TAction

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

TAction is the basic action object used on the LCL.

Declaration

Source position: actnlist.pas line 224

type TAction = class(TCustomAction)
public
constructor Create(); override; | Create - constructor for TCustomAction: calls inherited Create then initialises some local variables
published
property AutoCheck: Boolean; | AutoCheck - whether the control (eg a CheckBox) is to be automatically checked
property Caption: TTranslateString; | The Caption to be used if this action is associated with a visible component
property Checked: Boolean; | Whether the CheckBox associated with the action is Checked (default False)
property DisableIfNoHandler: Boolean; | DisableIfNoHandler - don't use this action if no Handler has been provided
property Enabled: Boolean; | Enabled - whether this action is able to be used (default True)
property GroupIndex: Integer; | GroupIndex - Index of the action within its group
property HelpContext: THelpContext; | HelpContext - the index for a context-based help message
property HelpKeyword: string; | HelpKeyWord - the keyword of a context-based help message
property HelpType: THelpType; | HelpType - the sort of help message to be offered: default Context-based
property Hint: TTranslateString; | Hint - a pop-up message that appears when the mouse hovers over an object
property ImageIndex: TImageIndex; | ImageIndex - the index number of the image to be associated with this action
property OnExecute; | Event called when action is executed
property OnHint: THintEvent; | OnHint - action to be taken when a hint is required
property OnUpdate;
property SecondaryShortCuts: TShortCutList; | SecondaryShortCuts - a stringlist containing shortcuts
property ShortCut: TShortCut; | ShortCut - an index to a shortcut list
property Visible: Boolean; | Visible - is this action visible? (default True)
end;

Inheritance

TAction | TAction is the basic action object used on the LCL.
|
TCustomAction | TCustomAction is the ancestor class for TAction
|
TContainedAction | TContainedAction - parent class for TCustomAction; defines some properties especially relationships with parents
|
TBasicAction
|
TComponent,IUnknown,IInterfaceComponentReference
|
TPersistent,IFPObserved
|
TObject

Description

TAction is the basic action object used on the LCL.

It redeclares many properties inherited from TCustomAction on the public section, but does not add any new features. For more details look at the See Also section for TCustomAction.

The properties of each Action can be modified at design time in the Object Inspector

See also

TCustomAction

TCustomAction is the ancestor class for TAction
The latest version of this document can be found at lazarus-ccr.sourceforge.net .


TAction
pl | ro | AutoCheck
pl | ro | Caption
pl | ro | Checked
pl | ro | DisableIfNoHandler
pl | ro | Enabled
pl | ro | GroupIndex
pl | ro | HelpContext
pl | ro | HelpKeyword
pl | ro | HelpType
pl | ro | Hint
pl | ro | ImageIndex
pl | ro | SecondaryShortCuts
pl | ro | ShortCut
pl | ro | Visible
TCustomAction
pt |  | SavedEnabledState
 |  | AutoCheck
 |  | Caption
 |  | Checked
 |  | DisableIfNoHandler
 |  | Enabled
 |  | GroupIndex
 |  | HelpContext
 |  | HelpKeyword
 |  | HelpType
 |  | Hint
 |  | ImageIndex
 |  | SecondaryShortCuts
 |  | ShortCut
 |  | Visible
TContainedAction
 |  | ActionList
 |  | Index
pl |  | Category
TBasicAction
 |  | ActionComponent
TComponent
 | ro | ComObject
 | ro | Components
 | ro | ComponentCount
 |  | ComponentIndex
 | ro | ComponentState
 | ro | ComponentStyle
 |  | DesignInfo
 | ro | Owner
 |  | VCLComObject
 |  | Name
 |  | Tag
TPersistent
TObject


pl | ro | AutoCheck (TAction)
 |  | Caption (TCustomAction)
pl | ro | Caption (TAction)
pl |  | Category (TContainedAction)
 |  | Checked (TCustomAction)
pl | ro | Checked (TAction)
 | ro | ComObject (TComponent)
 | ro | ComponentCount (TComponent)
 |  | ComponentIndex (TComponent)
 | ro | Components (TComponent)
 | ro | ComponentState (TComponent)
 | ro | ComponentStyle (TComponent)
 |  | DesignInfo (TComponent)
 |  | DisableIfNoHandler (TCustomAction)
pl | ro | DisableIfNoHandler (TAction)
 |  | Enabled (TCustomAction)
pl | ro | Enabled (TAction)
 |  | GroupIndex (TCustomAction)
pl | ro | GroupIndex (TAction)
 |  | HelpContext (TCustomAction)
pl | ro | HelpContext (TAction)
 |  | HelpKeyword (TCustomAction)
pl | ro | HelpKeyword (TAction)
 |  | HelpType (TCustomAction)
pl | ro | HelpType (TAction)
 |  | Hint (TCustomAction)
pl | ro | Hint (TAction)
 |  | ImageIndex (TCustomAction)
pl | ro | ImageIndex (TAction)
 |  | Index (TContainedAction)
 |  | Name (TComponent)
 | ro | Owner (TComponent)
pt |  | SavedEnabledState (TCustomAction)
 |  | SecondaryShortCuts (TCustomAction)
pl | ro | SecondaryShortCuts (TAction)
 |  | ShortCut (TCustomAction)
pl | ro | ShortCut (TAction)
 |  | Tag (TComponent)
 |  | VCLComObject (TComponent)
 |  | Visible (TCustomAction)
pl | ro | Visible (TAction)


TAction
 | Create
TCustomAction
pt | AssignTo
pt | SetName
pt | HandleShortCut
 | Create
 | Destroy
 | DoHint
 | Execute
TContainedAction
pt | ReadState
pt | SetParentComponent
 | Destroy
 | Execute
 | GetParentComponent
 | HasParent
 | Update
TBasicAction
 | Change
 | SetOnExecute
 | Create
 | Destroy
 | HandlesTarget
 | UpdateTarget
 | ExecuteTarget
 | Execute
 | RegisterChanges
 | UnRegisterChanges
 | Update
TComponent
 | GetComObject
 | GetComponent
 | GetComponentCount
 | GetComponentIndex
 | Insert
 | ReadLeft
 | ReadTop
 | Remove
 | RemoveNotification
 | SetComponentIndex
 | SetReference
 | WriteLeft
 | WriteTop
 | ChangeName
 | DefineProperties
 | GetChildren
 | GetChildOwner
 | GetChildParent
 | GetOwner
 | Loaded
 | Loading
 | Notification
 | PaletteCreated
 | ReadState
 | SetAncestor
 | SetDesigning
 | SetDesignInstance
 | SetInline
 | SetName
 | SetChildOrder
 | SetParentComponent
 | Updating
 | Updated
 | UpdateRegistry
 | ValidateRename
 | ValidateContainer
 | ValidateInsert
 | QueryInterface
 | _AddRef
 | _Release
 | iicrGetComponent
 | GetTypeInfoCount
 | GetTypeInfo
 | GetIDsOfNames
 | Invoke
 | WriteState
 | Create
 | Destroy
 | BeforeDestruction
 | DestroyComponents
 | Destroying
 | ExecuteAction
 | FindComponent
 | FreeNotification
 | RemoveFreeNotification
 | FreeOnRelease
 | GetEnumerator
 | GetNamePath
 | GetParentComponent
 | HasParent
 | InsertComponent
 | RemoveComponent
 | SafeCallException
 | SetSubComponent
 | UpdateAction
 | IsImplementorOf
 | ReferenceInterface
TPersistent
 | AssignError
 | AssignTo
 | DefineProperties
 | GetOwner
 | Destroy
 | Assign
 | FPOAttachObserver
 | FPODetachObserver
 | FPONotifyObservers
 | GetNamePath
TObject
 | Create
 | Destroy
 | newinstance
 | FreeInstance
 | SafeCallException
 | DefaultHandler
 | Free
 | InitInstance
 | CleanupInstance
 | ClassType
 | ClassInfo
 | ClassName
 | ClassNameIs
 | ClassParent
 | InstanceSize
 | InheritsFrom
 | StringMessageTable
 | MethodAddress
 | MethodName
 | FieldAddress
 | AfterConstruction
 | BeforeDestruction
 | DefaultHandlerStr
 | Dispatch
 | DispatchStr
 | GetInterface
 | GetInterfaceByStr
 | GetInterfaceWeak
 | GetInterfaceEntry
 | GetInterfaceEntryByStr
 | GetInterfaceTable
 | UnitName
 | Equals
 | GetHashCode
 | ToString


 | AssignError (TPersistent)
 | AssignTo (TPersistent)
pt | AssignTo (TCustomAction)
 | BeforeDestruction (TObject)
 | BeforeDestruction (TComponent)
 | Change (TBasicAction)
 | ChangeName (TComponent)
 | ClassInfo (TObject)
 | ClassName (TObject)
 | ClassNameIs (TObject)
 | ClassParent (TObject)
 | ClassType (TObject)
 | CleanupInstance (TObject)
 | Create (TObject)
 | Create (TComponent)
 | Create (TBasicAction)
 | Create (TCustomAction)
 | Create (TAction)
 | DefaultHandler (TObject)
 | DefaultHandlerStr (TObject)
 | DefineProperties (TPersistent)
 | DefineProperties (TComponent)
 | Destroy (TObject)
 | Destroy (TPersistent)
 | Destroy (TComponent)
 | Destroy (TBasicAction)
 | Destroy (TContainedAction)
 | Destroy (TCustomAction)
 | DestroyComponents (TComponent)
 | Destroying (TComponent)
 | Dispatch (TObject)
 | DispatchStr (TObject)
 | DoHint (TCustomAction)
 | Equals (TObject)
 | Execute (TBasicAction)
 | Execute (TContainedAction)
 | Execute (TCustomAction)
 | ExecuteAction (TComponent)
 | ExecuteTarget (TBasicAction)
 | FieldAddress (TObject)
 | FindComponent (TComponent)
 | FPOAttachObserver (TPersistent)
 | FPODetachObserver (TPersistent)
 | FPONotifyObservers (TPersistent)
 | Free (TObject)
 | FreeInstance (TObject)
 | FreeNotification (TComponent)
 | FreeOnRelease (TComponent)
 | GetChildOwner (TComponent)
 | GetChildParent (TComponent)
 | GetChildren (TComponent)
 | GetComObject (TComponent)
 | GetComponent (TComponent)
 | GetComponentCount (TComponent)
 | GetComponentIndex (TComponent)
 | GetEnumerator (TComponent)
 | GetHashCode (TObject)
 | GetIDsOfNames (TComponent)
 | GetInterface (TObject)
 | GetInterfaceByStr (TObject)
 | GetInterfaceEntry (TObject)
 | GetInterfaceEntryByStr (TObject)
 | GetInterfaceTable (TObject)
 | GetInterfaceWeak (TObject)
 | GetNamePath (TPersistent)
 | GetNamePath (TComponent)
 | GetOwner (TPersistent)
 | GetOwner (TComponent)
 | GetParentComponent (TComponent)
 | GetParentComponent (TContainedAction)
 | GetTypeInfo (TComponent)
 | GetTypeInfoCount (TComponent)
pt | HandleShortCut (TCustomAction)
 | HandlesTarget (TBasicAction)
 | HasParent (TComponent)
 | HasParent (TContainedAction)
 | iicrGetComponent (TComponent)
 | InheritsFrom (TObject)
 | InitInstance (TObject)
 | Insert (TComponent)
 | InsertComponent (TComponent)
 | InstanceSize (TObject)
 | Invoke (TComponent)
 | IsImplementorOf (TComponent)
 | Loaded (TComponent)
 | Loading (TComponent)
 | MethodAddress (TObject)
 | MethodName (TObject)
 | newinstance (TObject)
 | Notification (TComponent)
 | PaletteCreated (TComponent)
 | QueryInterface (TComponent)
 | ReadLeft (TComponent)
 | ReadState (TComponent)
pt | ReadState (TContainedAction)
 | ReadTop (TComponent)
 | ReferenceInterface (TComponent)
 | RegisterChanges (TBasicAction)
 | Remove (TComponent)
 | RemoveComponent (TComponent)
 | RemoveFreeNotification (TComponent)
 | RemoveNotification (TComponent)
 | SafeCallException (TObject)
 | SafeCallException (TComponent)
 | SetAncestor (TComponent)
 | SetChildOrder (TComponent)
 | SetComponentIndex (TComponent)
 | SetDesigning (TComponent)
 | SetDesignInstance (TComponent)
 | SetInline (TComponent)
 | SetName (TComponent)
pt | SetName (TCustomAction)
 | SetOnExecute (TBasicAction)
 | SetParentComponent (TComponent)
pt | SetParentComponent (TContainedAction)
 | SetReference (TComponent)
 | SetSubComponent (TComponent)
 | StringMessageTable (TObject)
 | ToString (TObject)
 | UnitName (TObject)
 | UnRegisterChanges (TBasicAction)
 | Update (TBasicAction)
 | Update (TContainedAction)
 | UpdateAction (TComponent)
 | Updated (TComponent)
 | UpdateRegistry (TComponent)
 | UpdateTarget (TBasicAction)
 | Updating (TComponent)
 | ValidateContainer (TComponent)
 | ValidateInsert (TComponent)
 | ValidateRename (TComponent)
 | WriteLeft (TComponent)
 | WriteState (TComponent)
 | WriteTop (TComponent)
 | _AddRef (TComponent)
 | _Release (TComponent)


TAction
pl | ro | OnExecute
pl | ro | OnHint
pl | ro | OnUpdate
TCustomAction
 |  | OnHint
TContainedAction
TBasicAction
 |  | OnChange
 |  | OnExecute
 |  | OnUpdate
TComponent
TPersistent
TObject


 |  | OnChange (TBasicAction)
 |  | OnExecute (TBasicAction)
pl | ro | OnExecute (TAction)
 |  | OnHint (TCustomAction)
pl | ro | OnHint (TAction)
 |  | OnUpdate (TBasicAction)
pl | ro | OnUpdate (TAction)


TActionEvent

Declaration

Source position: actnlist.pas line 73

type TActionEvent = procedure(

  AAction: TBasicAction;

  var Handled: Boolean

) of object;


TActionLink

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

A link between an action and a client class

Declaration

Source position: actnlist.pas line 250

type TActionLink = class(TBasicActionLink)
protected
procedure SetAutoCheck(); virtual; | SetAutoCheck - specifies the value of AutoCheck, whether True or False
procedure SetCaption(); virtual; | SetCaption - specifies the string to be used as caption
procedure SetChecked(); virtual; | SetChecked - specifies the value of the Checked property: True or False
procedure SetEnabled(); virtual; | SetEnabled - specifies the value of the Enabled property: True or False
procedure SetGroupIndex(); virtual; | SetGroupIndex - specifies the value for the Group Index
procedure SetHelpContext(); virtual; | SetHelpContext - specifies the value to be used for context-sensitive Help
procedure SetHelpKeyword(); virtual; | SetHelpKeyword - specifies the keyword to be used for Help
procedure SetHelpType(); virtual; | SetHelpType - specifies the trpe of Help to be used
procedure SetHint(); virtual; | SetHint - specifies the string to be used for Hints
procedure SetImageIndex(); virtual; | SetImageIndex - specifies the index value for the image associated with the action
procedure SetShortCut(); virtual; | SetShortCut - specifies the shortcut for the action
procedure SetVisible(); virtual; | SetVisible - specifies whether or not the control for the action is Visible
public
function IsCaptionLinked; virtual; | Is the action's Caption linked to the client?
function IsCheckedLinked; virtual; | Is the action's Checked property linked to the client?
function IsEnabledLinked; virtual; | Is the action's Enabled property linked to the client?
function IsGroupIndexLinked; virtual; | Is the action's GroupIndex property linked to the client?
function IsHelpContextLinked; virtual; | Is the action's HelpContext property linked to the client?
function IsHelpLinked; virtual; | Is the action's Help property linked to the client?
function IsHintLinked; virtual; | Is the action's Hint property linked to the client?
function IsImageIndexLinked; virtual; | Is the action's ImageIndex property linked to the client?
function IsShortCutLinked; virtual; | Is the action's ShortCut property linked to the client?
function IsVisibleLinked; virtual; | Is the action's Visible property linked to the client?
end;

Inheritance

TActionLink

A link between an action and a client class
|

TBasicActionLink
|

TObject

Description

The class definition includes a number of protected procedures for setting properties for the action (as defined in TCustomAction), and a number of public boolean functions to indicate which part of the action is linked to the client


TActionLink

TBasicActionLink

Action

TObject


TActionLink
pt | SetAutoCheck
pt | SetCaption
pt | SetChecked
pt | SetEnabled
pt | SetGroupIndex
pt | SetHelpContext
pt | SetHelpKeyword
pt | SetHelpType
pt | SetHint
pt | SetImageIndex
pt | SetShortCut
pt | SetVisible
 | IsCaptionLinked
 | IsCheckedLinked
 | IsEnabledLinked
 | IsGroupIndexLinked
 | IsHelpContextLinked
 | IsHelpLinked
 | IsHintLinked
 | IsImageIndexLinked
 | IsShortCutLinked
 | IsVisibleLinked
TBasicActionLink
 | AssignClient
 | Change
 | IsOnExecuteLinked
 | SetAction
 | SetOnExecute
 | Create
 | Destroy
 | Execute
 | Update
TObject
 | Create
 | Destroy
 | newinstance
 | FreeInstance
 | SafeCallException
 | DefaultHandler
 | Free
 | InitInstance
 | CleanupInstance
 | ClassType
 | ClassInfo
 | ClassName
 | ClassNameIs
 | ClassParent
 | InstanceSize
 | InheritsFrom
 | StringMessageTable
 | MethodAddress
 | MethodName
 | FieldAddress
 | AfterConstruction
 | BeforeDestruction
 | DefaultHandlerStr
 | Dispatch
 | DispatchStr
 | GetInterface
 | GetInterfaceByStr
 | GetInterfaceWeak
 | GetInterfaceEntry
 | GetInterfaceEntryByStr
 | GetInterfaceTable
 | UnitName
 | Equals
 | GetHashCode
 | ToString


 | AssignClient (TBasicActionLink)
 | BeforeDestruction (TObject)
 | Change (TBasicActionLink)
 | ClassInfo (TObject)
 | ClassName (TObject)
 | ClassNameIs (TObject)
 | ClassParent (TObject)
 | ClassType (TObject)
 | CleanupInstance (TObject)
 | Create (TObject)
 | Create (TBasicActionLink)
 | DefaultHandler (TObject)
 | DefaultHandlerStr (TObject)
 | Destroy (TObject)
 | Destroy (TBasicActionLink)
 | Dispatch (TObject)
 | DispatchStr (TObject)
 | Equals (TObject)
 | Execute (TBasicActionLink)
 | FieldAddress (TObject)
 | Free (TObject)
 | FreeInstance (TObject)
 | GetHashCode (TObject)
 | GetInterface (TObject)
 | GetInterfaceByStr (TObject)
 | GetInterfaceEntry (TObject)
 | GetInterfaceEntryByStr (TObject)
 | GetInterfaceTable (TObject)
 | GetInterfaceWeak (TObject)
 | InheritsFrom (TObject)
 | InitInstance (TObject)
 | InstanceSize (TObject)
 | IsCaptionLinked (TActionLink)
 | IsCheckedLinked (TActionLink)
 | IsEnabledLinked (TActionLink)
 | IsGroupIndexLinked (TActionLink)
 | IsHelpContextLinked (TActionLink)
 | IsHelpLinked (TActionLink)
 | IsHintLinked (TActionLink)
 | IsImageIndexLinked (TActionLink)
 | IsOnExecuteLinked (TBasicActionLink)
 | IsShortCutLinked (TActionLink)
 | IsVisibleLinked (TActionLink)
 | MethodAddress (TObject)
 | MethodName (TObject)
 | newinstance (TObject)
 | SafeCallException (TObject)
 | SetAction (TBasicActionLink)
pt | SetAutoCheck (TActionLink)
pt | SetCaption (TActionLink)
pt | SetChecked (TActionLink)
pt | SetEnabled (TActionLink)
pt | SetGroupIndex (TActionLink)
pt | SetHelpContext (TActionLink)
pt | SetHelpKeyword (TActionLink)
pt | SetHelpType (TActionLink)
pt | SetHint (TActionLink)
pt | SetImageIndex (TActionLink)
 | SetOnExecute (TBasicActionLink)
pt | SetShortCut (TActionLink)
pt | SetVisible (TActionLink)
 | StringMessageTable (TObject)
 | ToString (TObject)
 | UnitName (TObject)
 | Update (TBasicActionLink)


TActionLink

TBasicActionLink

OnChange

TObject


TActionLink.IsCaptionLinked

Is the action's Caption linked to the client?

Declaration

Source position: actnlist.pas line 265

public function TActionLink.IsCaptionLinked: Boolean; virtual;


TActionLink.IsCheckedLinked

Is the action's Checked property linked to the client?

Declaration

Source position: actnlist.pas line 266

public function TActionLink.IsCheckedLinked: Boolean; virtual;


TActionLink.IsEnabledLinked

Is the action's Enabled property linked to the client?

Declaration

Source position: actnlist.pas line 267

public function TActionLink.IsEnabledLinked: Boolean; virtual;


TActionLink.IsGroupIndexLinked

Is the action's GroupIndex property linked to the client?

Declaration

Source position: actnlist.pas line 268

public function TActionLink.IsGroupIndexLinked: Boolean; virtual;


TActionLink.IsHelpContextLinked

Is the action's HelpContext property linked to the client?

Declaration

Source position: actnlist.pas line 269

public function TActionLink.IsHelpContextLinked: Boolean; virtual;


TActionLink.IsHelpLinked

Is the action's Help property linked to the client?

Declaration

Source position: actnlist.pas line 270

public function TActionLink.IsHelpLinked: Boolean; virtual;


TActionLink.IsHintLinked

Is the action's Hint property linked to the client?

Declaration

Source position: actnlist.pas line 271

public function TActionLink.IsHintLinked: Boolean; virtual;


TActionLink.IsImageIndexLinked

Is the action's ImageIndex property linked to the client?

Declaration

Source position: actnlist.pas line 272

public function TActionLink.IsImageIndexLinked: Boolean; virtual;


TActionLink.IsShortCutLinked

Is the action's ShortCut property linked to the client?

Declaration

Source position: actnlist.pas line 273

public function TActionLink.IsShortCutLinked: Boolean; virtual;


TActionLink.IsVisibleLinked

Is the action's Visible property linked to the client?

Declaration

Source position: actnlist.pas line 274

public function TActionLink.IsVisibleLinked: Boolean; virtual;


TActionLink.SetAutoCheck

SetAutoCheck - specifies the value of AutoCheck, whether True or False

Declaration

Source position: actnlist.pas line 252

protected procedure TActionLink.SetAutoCheck(

  Value: Boolean

); virtual;


TActionLink.SetCaption

SetCaption - specifies the string to be used as caption

Declaration

Source position: actnlist.pas line 253

protected procedure TActionLink.SetCaption(

  const Value: string

); virtual;


TActionLink.SetChecked

SetChecked - specifies the value of the Checked property: True or False

Declaration

Source position: actnlist.pas line 254

protected procedure TActionLink.SetChecked(

  Value: Boolean

); virtual;


TActionLink.SetEnabled

SetEnabled - specifies the value of the Enabled property: True or False

Declaration

Source position: actnlist.pas line 255

protected procedure TActionLink.SetEnabled(

  Value: Boolean

); virtual;


TActionLink.SetGroupIndex

SetGroupIndex - specifies the value for the Group Index

Declaration

Source position: actnlist.pas line 256

protected procedure TActionLink.SetGroupIndex(

  Value: Integer

); virtual;


TActionLink.SetHelpContext

SetHelpContext - specifies the value to be used for context-sensitive Help

Declaration

Source position: actnlist.pas line 257

protected procedure TActionLink.SetHelpContext(

  Value: THelpContext

); virtual;


TActionLink.SetHelpKeyword

SetHelpKeyword - specifies the keyword to be used for Help

Declaration

Source position: actnlist.pas line 258

protected procedure TActionLink.SetHelpKeyword(

  const Value: string

); virtual;


TActionLink.SetHelpType

SetHelpType - specifies the trpe of Help to be used

Declaration

Source position: actnlist.pas line 259

protected procedure TActionLink.SetHelpType(

  Value: THelpType

); virtual;


TActionLink.SetHint

SetHint - specifies the string to be used for Hints

Declaration

Source position: actnlist.pas line 260

protected procedure TActionLink.SetHint(

  const Value: string

); virtual;


TActionLink.SetImageIndex

SetImageIndex - specifies the index value for the image associated with the action

Declaration

Source position: actnlist.pas line 261

protected procedure TActionLink.SetImageIndex(

  Value: Integer

); virtual;


TActionLink.SetShortCut

SetShortCut - specifies the shortcut for the action

Declaration

Source position: actnlist.pas line 262

protected procedure TActionLink.SetShortCut(

  Value: TShortCut

); virtual;


TActionLink.SetVisible

SetVisible - specifies whether or not the control for the action is Visible

Declaration

Source position: actnlist.pas line 263

protected procedure TActionLink.SetVisible(

  Value: Boolean

); virtual;


TActionLinkClass

TActionLinkClass - class of TActionLink

Declaration

Source position: actnlist.pas line 277

type TActionLinkClass = class of TActionLink;


TActionList

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

TActionList - The basic actions list class

Declaration

Source position: actnlist.pas line 122

type TActionList = class(TCustomActionList)
published
property Images: TCustomImageList; | The Images from an ImageList to be associated with the actions, eg in a Menu display
property State: TActionListState; | State of the action : Normal, Suspended or SuspendedEnabled
property OnChange: TNotifyEvent; | OnChange - event handler for a change in the action
property OnExecute: TActionEvent; | OnExecute - event handler for execution of the action
property OnUpdate: TActionEvent; | OnUpdate - event handler for updating the action
end;

Inheritance

TActionList | TActionList - The basic actions list class
|
TCustomActionList | TCustomActionList - the ancestor class for TActionList
|
TLCLComponent | The base class for LCL components associated with widgets.
|
TComponent,IUnknown,IInterfaceComponentReference
|
TPersistent,IFPObserved
|
TObject

Description

TActionList - The basic actions list class

TActionList is the last component on the "Standard" component pallete on the Lazarus IDE.

To use an ActionList, click on the icon on the IDE Standard Components toolbar, then click anywhere on the main form and an ActionList icon will appear. It doesn't matter where you position it, because it is not visible at run-time.

You can add, remove or modify actions on the list by right-clicking on the ActionList icon on the form editor and then choosing "Edit action list...", or by double-clicking on the icon with the left mouse button. This will open the "Action List Editor".

You can now use the "+" and "-" buttons to add and remove actions. The ActionList editor menu allows you to select standard actions from a selection (option 'New Standard Action') or create a new action (option 'New Action'). To edit an action, click it and then open the object inspector. To add code to be executed when an action is triggered, double-click the action's name on the "Action List Editor".

The TActionList Class introduces very few properties of its own, but inherits a lot from its ancestor, TCustomActionList, and related components TAction, TCustomAction, TContainedAction and TBasicAction

Each entry in the ActionList appears in the Object Inspector as an instance of TAction, and its properties are accessible and modifiable from the Object Inspector


TActionList
pl | ro | Images
pl | ro | State
TCustomActionList
 |  | Actions
 | ro | ActionCount
 |  | Images
 |  | State
TLCLComponent
 | ro | LCLRefCount
 | ro | WidgetSetClass
TComponent
 | ro | ComObject
 | ro | Components
 | ro | ComponentCount
 |  | ComponentIndex
 | ro | ComponentState
 | ro | ComponentStyle
 |  | DesignInfo
 | ro | Owner
 |  | VCLComObject
 |  | Name
 |  | Tag
TPersistent
TObject


 | ro | ActionCount (TCustomActionList)
 |  | Actions (TCustomActionList)
 | ro | ComObject (TComponent)
 | ro | ComponentCount (TComponent)
 |  | ComponentIndex (TComponent)
 | ro | Components (TComponent)
 | ro | ComponentState (TComponent)
 | ro | ComponentStyle (TComponent)
 |  | DesignInfo (TComponent)
 |  | Images (TCustomActionList)
pl | ro | Images (TActionList)
 | ro | LCLRefCount (TLCLComponent)
 |  | Name (TComponent)
 | ro | Owner (TComponent)
 |  | State (TCustomActionList)
pl | ro | State (TActionList)
 |  | Tag (TComponent)
 |  | VCLComObject (TComponent)
 | ro | WidgetSetClass (TLCLComponent)


TActionList
TCustomActionList
pt | AddAction
pt | RemoveAction
pt | Change
pt | GetChildren
pt | Notification
pt | SetChildOrder
pt | SetImages
 | Create
 | Destroy
 | ActionByName
 | ExecuteAction
 | GetEnumerator
 | IndexOfName
 | IsShortCut
 | UpdateAction
TLCLComponent
pt | WSRegisterClass
pt | GetWSComponentClass
 | Create
 | Destroy
 | NewInstance
 | RemoveAllHandlersOfObject
 | IncLCLRefCount
 | DecLCLRefCount
TComponent
 | GetComObject
 | GetComponent
 | GetComponentCount
 | GetComponentIndex
 | Insert
 | ReadLeft
 | ReadTop
 | Remove
 | RemoveNotification
 | SetComponentIndex
 | SetReference
 | WriteLeft
 | WriteTop
 | ChangeName
 | DefineProperties
 | GetChildren
 | GetChildOwner
 | GetChildParent
 | GetOwner
 | Loaded
 | Loading
 | Notification
 | PaletteCreated
 | ReadState
 | SetAncestor
 | SetDesigning
 | SetDesignInstance
 | SetInline
 | SetName
 | SetChildOrder
 | SetParentComponent
 | Updating
 | Updated
 | UpdateRegistry
 | ValidateRename
 | ValidateContainer
 | ValidateInsert
 | QueryInterface
 | _AddRef
 | _Release
 | iicrGetComponent
 | GetTypeInfoCount
 | GetTypeInfo
 | GetIDsOfNames
 | Invoke
 | WriteState
 | Create
 | Destroy
 | BeforeDestruction
 | DestroyComponents
 | Destroying
 | ExecuteAction
 | FindComponent
 | FreeNotification
 | RemoveFreeNotification
 | FreeOnRelease
 | GetEnumerator
 | GetNamePath
 | GetParentComponent
 | HasParent
 | InsertComponent
 | RemoveComponent
 | SafeCallException
 | SetSubComponent
 | UpdateAction
 | IsImplementorOf
 | ReferenceInterface
TPersistent
 | AssignError
 | AssignTo
 | DefineProperties
 | GetOwner
 | Destroy
 | Assign
 | FPOAttachObserver
 | FPODetachObserver
 | FPONotifyObservers
 | GetNamePath
TObject
 | Create
 | Destroy
 | newinstance
 | FreeInstance
 | SafeCallException
 | DefaultHandler
 | Free
 | InitInstance
 | CleanupInstance
 | ClassType
 | ClassInfo
 | ClassName
 | ClassNameIs
 | ClassParent
 | InstanceSize
 | InheritsFrom
 | StringMessageTable
 | MethodAddress
 | MethodName
 | FieldAddress
 | AfterConstruction
 | BeforeDestruction
 | DefaultHandlerStr
 | Dispatch
 | DispatchStr
 | GetInterface
 | GetInterfaceByStr
 | GetInterfaceWeak
 | GetInterfaceEntry
 | GetInterfaceEntryByStr
 | GetInterfaceTable
 | UnitName
 | Equals
 | GetHashCode
 | ToString


pt | AddAction (TCustomActionList)
 | AfterConstruction (TObject)
 | Assign (TPersistent)
 | AssignError (TPersistent)
 | AssignTo (TPersistent)
 | BeforeDestruction (TObject)
 | BeforeDestruction (TComponent)
pt | Change (TCustomActionList)
 | ChangeName (TComponent)
 | ClassInfo (TObject)
 | ClassName (TObject)
 | ClassNameIs (TObject)
 | ClassParent (TObject)
 | ClassType (TObject)
 | CleanupInstance (TObject)
 | Create (TObject)
 | Create (TComponent)
 | Create (TLCLComponent)
 | Create (TCustomActionList)
 | DecLCLRefCount (TLCLComponent)
 | DefaultHandler (TObject)
 | DefaultHandlerStr (TObject)
 | DefineProperties (TPersistent)
 | DefineProperties (TComponent)
 | Destroy (TObject)
 | Destroy (TPersistent)
 | Destroy (TComponent)
 | Destroy (TLCLComponent)
 | Destroy (TCustomActionList)
 | DestroyComponents (TComponent)
 | Destroying (TComponent)
 | Dispatch (TObject)
 | DispatchStr (TObject)
 | Equals (TObject)
 | ExecuteAction (TComponent)
 | ExecuteAction (TCustomActionList)
 | FieldAddress (TObject)
 | FindComponent (TComponent)
 | FPOAttachObserver (TPersistent)
 | FPODetachObserver (TPersistent)
 | FPONotifyObservers (TPersistent)
 | Free (TObject)
 | FreeInstance (TObject)
 | FreeNotification (TComponent)
 | FreeOnRelease (TComponent)
 | GetChildOwner (TComponent)
 | GetChildParent (TComponent)
 | GetChildren (TComponent)
pt | GetChildren (TCustomActionList)
 | GetComObject (TComponent)
 | GetComponent (TComponent)
 | GetComponentCount (TComponent)
 | GetComponentIndex (TComponent)
 | GetEnumerator (TComponent)
 | GetEnumerator (TCustomActionList)
 | GetHashCode (TObject)
 | GetIDsOfNames (TComponent)
 | GetInterface (TObject)
 | GetInterfaceByStr (TObject)
 | GetInterfaceEntry (TObject)
 | GetInterfaceEntryByStr (TObject)
 | GetInterfaceTable (TObject)
 | GetInterfaceWeak (TObject)
 | GetNamePath (TPersistent)
 | GetNamePath (TComponent)
 | GetOwner (TPersistent)
 | GetOwner (TComponent)
 | GetParentComponent (TComponent)
 | GetTypeInfo (TComponent)
 | GetTypeInfoCount (TComponent)
pt | GetWSComponentClass (TLCLComponent)
 | HasParent (TComponent)
 | iicrGetComponent (TComponent)
 | IncLCLRefCount (TLCLComponent)
 | IndexOfName (TCustomActionList)
 | InheritsFrom (TObject)
 | InitInstance (TObject)
 | Insert (TComponent)
 | InsertComponent (TComponent)
 | InstanceSize (TObject)
 | Invoke (TComponent)
 | IsImplementorOf (TComponent)
 | IsShortCut (TCustomActionList)
 | Loaded (TComponent)
 | Loading (TComponent)
 | MethodAddress (TObject)
 | MethodName (TObject)
 | newinstance (TObject)
 | NewInstance (TLCLComponent)
 | Notification (TComponent)
pt | Notification (TCustomActionList)
 | PaletteCreated (TComponent)
 | QueryInterface (TComponent)
 | ReadLeft (TComponent)
 | ReadState (TComponent)
 | ReadTop (TComponent)
 | ReferenceInterface (TComponent)
 | Remove (TComponent)
pt | RemoveAction (TCustomActionList)
 | RemoveAllHandlersOfObject (TLCLComponent)
 | RemoveComponent (TComponent)
 | RemoveFreeNotification (TComponent)
 | RemoveNotification (TComponent)
 | SafeCallException (TObject)
 | SafeCallException (TComponent)
 | SetAncestor (TComponent)
 | SetChildOrder (TComponent)
pt | SetChildOrder (TCustomActionList)
 | SetComponentIndex (TComponent)
 | SetDesigning (TComponent)
 | SetDesignInstance (TComponent)
pt | SetImages (TCustomActionList)
 | SetInline (TComponent)
 | SetName (TComponent)
 | SetParentComponent (TComponent)
 | SetReference (TComponent)
 | SetSubComponent (TComponent)
 | StringMessageTable (TObject)
 | ToString (TObject)
 | UnitName (TObject)
 | UpdateAction (TComponent)
 | UpdateAction (TCustomActionList)
 | Updated (TComponent)
 | UpdateRegistry (TComponent)
 | Updating (TComponent)
 | ValidateContainer (TComponent)
 | ValidateInsert (TComponent)
 | ValidateRename (TComponent)
 | WriteLeft (TComponent)
 | WriteState (TComponent)
 | WriteTop (TComponent)
pt | WSRegisterClass (TLCLComponent)
 | _AddRef (TComponent)
 | _Release (TComponent)


TActionList
pl | ro | OnChange
pl | ro | OnExecute
pl | ro | OnUpdate
TCustomActionList
pt |  | OnChange
pt |  | OnExecute
pt |  | OnUpdate
TLCLComponent
TComponent
TPersistent
TObject


pt |  | OnChange (TCustomActionList)
pl | ro | OnChange (TActionList)
pt |  | OnExecute (TCustomActionList)
pl | ro | OnExecute (TActionList)
pt |  | OnUpdate (TCustomActionList)
pl | ro | OnUpdate (TActionList)


TActionListEnumerator

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Declaration

Source position: actnlist.pas line 59

type TActionListEnumerator = class

public

  constructor Create();

  function MoveNext;

  property Current: TContainedAction; [r]

end;

Inheritance

TActionListEnumerator
|

TObject


TActionListEnumerator

ro

Current


ro

Current (TActionListEnumerator)


TActionListEnumerator
 | Create
 | MoveNext


TActionListEnumerator


TActionListEnumerator.Create

Declaration

Source position: actnlist.pas line 65

public constructor TActionListEnumerator.Create(

  AList: TCustomActionList

);


TActionListEnumerator.Current

Declaration

Source position: actnlist.pas line 67

public property TActionListEnumerator.Current : TContainedAction
  read GetCurrent;


TActionListEnumerator.MoveNext

Declaration

Source position: actnlist.pas line 66

public function TActionListEnumerator.MoveNext: Boolean;


TContainedAction

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

TContainedAction - parent class for TCustomAction; defines some properties especially relationships with parents

Declaration

Source position: actnlist.pas line 32

type TContainedAction = class(TBasicAction)
protected
procedure ReadState(); override; |
procedure SetParentComponent(); override; |
public
destructor Destroy; override;
function Execute; override; |
function GetParentComponent; override; |
function HasParent; override; |
function Update; override; |
property ActionList: TCustomActionList; [rw] | The ActionList in which this action is contained
property Index: Integer; [rws] | The Index of this action in the list of actions
published
property Category: string; [rw] | The Category of this action
end;

Inheritance

TContainedAction

TContainedAction - parent class for TCustomAction; defines some properties especially relationships with parents
|

TBasicAction
|

TComponent,IUnknown,IInterfaceComponentReference
|

TPersistent,IFPObserved
|

TObject


TContainedAction
 |  | ActionList
 |  | Index
pl |  | Category
TBasicAction
 |  | ActionComponent
TComponent
 | ro | ComObject
 | ro | Components
 | ro | ComponentCount
 |  | ComponentIndex
 | ro | ComponentState
 | ro | ComponentStyle
 |  | DesignInfo
 | ro | Owner
 |  | VCLComObject
 |  | Name
 |  | Tag
TPersistent
TObject


pl |  | Category (TContainedAction)
 | ro | ComObject (TComponent)
 | ro | ComponentCount (TComponent)
 |  | ComponentIndex (TComponent)
 | ro | Components (TComponent)
 | ro | ComponentState (TComponent)
 | ro | ComponentStyle (TComponent)
 |  | DesignInfo (TComponent)
 |  | Index (TContainedAction)
 |  | Name (TComponent)
 | ro | Owner (TComponent)
 |  | Tag (TComponent)
 |  | VCLComObject (TComponent)


TContainedAction
pt | ReadState
pt | SetParentComponent
 | Destroy
 | Execute
 | GetParentComponent
 | HasParent
 | Update
TBasicAction
 | Change
 | SetOnExecute
 | Create
 | Destroy
 | HandlesTarget
 | UpdateTarget
 | ExecuteTarget
 | Execute
 | RegisterChanges
 | UnRegisterChanges
 | Update
TComponent
 | GetComObject
 | GetComponent
 | GetComponentCount
 | GetComponentIndex
 | Insert
 | ReadLeft
 | ReadTop
 | Remove
 | RemoveNotification
 | SetComponentIndex
 | SetReference
 | WriteLeft
 | WriteTop
 | ChangeName
 | DefineProperties
 | GetChildren
 | GetChildOwner
 | GetChildParent
 | GetOwner
 | Loaded
 | Loading
 | Notification
 | PaletteCreated
 | ReadState
 | SetAncestor
 | SetDesigning
 | SetDesignInstance
 | SetInline
 | SetName
 | SetChildOrder
 | SetParentComponent
 | Updating
 | Updated
 | UpdateRegistry
 | ValidateRename
 | ValidateContainer
 | ValidateInsert
 | QueryInterface
 | _AddRef
 | _Release
 | iicrGetComponent
 | GetTypeInfoCount
 | GetTypeInfo
 | GetIDsOfNames
 | Invoke
 | WriteState
 | Create
 | Destroy
 | BeforeDestruction
 | DestroyComponents
 | Destroying
 | ExecuteAction
 | FindComponent
 | FreeNotification
 | RemoveFreeNotification
 | FreeOnRelease
 | GetEnumerator
 | GetNamePath
 | GetParentComponent
 | HasParent
 | InsertComponent
 | RemoveComponent
 | SafeCallException
 | SetSubComponent
 | UpdateAction
 | IsImplementorOf
 | ReferenceInterface
TPersistent
 | AssignError
 | AssignTo
 | DefineProperties
 | GetOwner
 | Destroy
 | Assign
 | FPOAttachObserver
 | FPODetachObserver
 | FPONotifyObservers
 | GetNamePath
TObject
 | Create
 | Destroy
 | newinstance
 | FreeInstance
 | SafeCallException
 | DefaultHandler
 | Free
 | InitInstance
 | CleanupInstance
 | ClassType
 | ClassInfo
 | ClassName
 | ClassNameIs
 | ClassParent
 | InstanceSize
 | InheritsFrom
 | StringMessageTable
 | MethodAddress
 | MethodName
 | FieldAddress
 | AfterConstruction
 | BeforeDestruction
 | DefaultHandlerStr
 | Dispatch
 | DispatchStr
 | GetInterface
 | GetInterfaceByStr
 | GetInterfaceWeak
 | GetInterfaceEntry
 | GetInterfaceEntryByStr
 | GetInterfaceTable
 | UnitName
 | Equals
 | GetHashCode
 | ToString


 | AssignError (TPersistent)
 | AssignTo (TPersistent)
 | BeforeDestruction (TObject)
 | BeforeDestruction (TComponent)
 | Change (TBasicAction)
 | ChangeName (TComponent)
 | ClassInfo (TObject)
 | ClassName (TObject)
 | ClassNameIs (TObject)
 | ClassParent (TObject)
 | ClassType (TObject)
 | CleanupInstance (TObject)
 | Create (TObject)
 | Create (TComponent)
 | Create (TBasicAction)
 | DefaultHandler (TObject)
 | DefaultHandlerStr (TObject)
 | DefineProperties (TPersistent)
 | DefineProperties (TComponent)
 | Destroy (TObject)
 | Destroy (TPersistent)
 | Destroy (TComponent)
 | Destroy (TBasicAction)
 | Destroy (TContainedAction)
 | DestroyComponents (TComponent)
 | Destroying (TComponent)
 | Dispatch (TObject)
 | DispatchStr (TObject)
 | Equals (TObject)
 | Execute (TBasicAction)
 | Execute (TContainedAction)
 | ExecuteAction (TComponent)
 | ExecuteTarget (TBasicAction)
 | FieldAddress (TObject)
 | FindComponent (TComponent)
 | FPOAttachObserver (TPersistent)
 | FPODetachObserver (TPersistent)
 | FPONotifyObservers (TPersistent)
 | Free (TObject)
 | FreeInstance (TObject)
 | FreeNotification (TComponent)
 | FreeOnRelease (TComponent)
 | GetChildOwner (TComponent)
 | GetChildParent (TComponent)
 | GetChildren (TComponent)
 | GetComObject (TComponent)
 | GetComponent (TComponent)
 | GetComponentCount (TComponent)
 | GetComponentIndex (TComponent)
 | GetEnumerator (TComponent)
 | GetHashCode (TObject)
 | GetIDsOfNames (TComponent)
 | GetInterface (TObject)
 | GetInterfaceByStr (TObject)
 | GetInterfaceEntry (TObject)
 | GetInterfaceEntryByStr (TObject)
 | GetInterfaceTable (TObject)
 | GetInterfaceWeak (TObject)
 | GetNamePath (TPersistent)
 | GetNamePath (TComponent)
 | GetOwner (TPersistent)
 | GetOwner (TComponent)
 | GetParentComponent (TComponent)
 | GetParentComponent (TContainedAction)
 | GetTypeInfo (TComponent)
 | GetTypeInfoCount (TComponent)
 | HandlesTarget (TBasicAction)
 | HasParent (TComponent)
 | HasParent (TContainedAction)
 | iicrGetComponent (TComponent)
 | InheritsFrom (TObject)
 | InitInstance (TObject)
 | Insert (TComponent)
 | InsertComponent (TComponent)
 | InstanceSize (TObject)
 | Invoke (TComponent)
 | IsImplementorOf (TComponent)
 | Loaded (TComponent)
 | Loading (TComponent)
 | MethodAddress (TObject)
 | MethodName (TObject)
 | newinstance (TObject)
 | Notification (TComponent)
 | PaletteCreated (TComponent)
 | QueryInterface (TComponent)
 | ReadLeft (TComponent)
 | ReadState (TComponent)
pt | ReadState (TContainedAction)
 | ReadTop (TComponent)
 | ReferenceInterface (TComponent)
 | RegisterChanges (TBasicAction)
 | Remove (TComponent)
 | RemoveComponent (TComponent)
 | RemoveFreeNotification (TComponent)
 | RemoveNotification (TComponent)
 | SafeCallException (TObject)
 | SafeCallException (TComponent)
 | SetAncestor (TComponent)
 | SetChildOrder (TComponent)
 | SetComponentIndex (TComponent)
 | SetDesigning (TComponent)
 | SetDesignInstance (TComponent)
 | SetInline (TComponent)
 | SetName (TComponent)
 | SetOnExecute (TBasicAction)
 | SetParentComponent (TComponent)
pt | SetParentComponent (TContainedAction)
 | SetReference (TComponent)
 | SetSubComponent (TComponent)
 | StringMessageTable (TObject)
 | ToString (TObject)
 | UnitName (TObject)
 | UnRegisterChanges (TBasicAction)
 | Update (TBasicAction)
 | Update (TContainedAction)
 | UpdateAction (TComponent)
 | Updated (TComponent)
 | UpdateRegistry (TComponent)
 | UpdateTarget (TBasicAction)
 | Updating (TComponent)
 | ValidateContainer (TComponent)
 | ValidateInsert (TComponent)
 | ValidateRename (TComponent)
 | WriteLeft (TComponent)
 | WriteState (TComponent)
 | WriteTop (TComponent)
 | _AddRef (TComponent)
 | _Release (TComponent)


TContainedAction
TBasicAction
 | OnChange
 | OnExecute
 | OnUpdate
TComponent
TPersistent
TObject


OnChange (TBasicAction)

OnExecute (TBasicAction)

OnUpdate (TBasicAction)


TContainedAction.ActionList

The ActionList in which this action is contained

Declaration

Source position: actnlist.pas line 49

public property TContainedAction.ActionList : TCustomActionList
  read FActionList
  write SetActionList;


TContainedAction.Category

The Category of this action

Declaration

Source position: actnlist.pas line 52

published property TContainedAction.Category : string
  read FCategory
  write SetCategory;


TContainedAction.Index

The Index of this action in the list of actions

Declaration

Source position: actnlist.pas line 50

public property TContainedAction.Index : Integer
  read GetIndex
  write SetIndex
  stored False;


TContainedActionClass

Declaration

Source position: actnlist.pas line 55

type TContainedActionClass = class of TContainedAction;


TCustomAction

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

TCustomAction is the ancestor class for TAction

Declaration

Source position: actnlist.pas line 150

type TCustomAction = class(TContainedAction)
protected
FImage: TObject; |
FMask: TObject; |
procedure AssignTo(); override;
procedure SetName(); override; |
function HandleShortCut; virtual; | HandleShortCut - returns True if there is a short cut associated with the handle
property SavedEnabledState: Boolean; [rw] | SavedEnabledState - if True, the Enabled state has been saved
public
constructor Create(); override; | Create - constructor for TCustomAction: calls inherited Create then initialises some local variables
destructor Destroy; override; | Destroy - destructor for TCustomAction: frees various lists and images, then calls inherited Destroy
function DoHint(); virtual; | DoHint - method for displaying the hint contained in HintStr if True value is returned
function Execute; override;
property AutoCheck: Boolean; [rw] | AutoCheck - whether the control (eg a CheckBox) is to be automatically checked
property Caption: TTranslateString; [rw] | The Caption to be used if this action is associated with a visible component
property Checked: Boolean; [rw] | Whether the CheckBox associated with the action is Checked (default False)
property DisableIfNoHandler: Boolean; [rw] | DisableIfNoHandler - don't use this action if no Handler has been provided
property Enabled: Boolean; [rw] | Enabled - whether this action is able to be used (default True)
property GroupIndex: Integer; [rw] | GroupIndex - Index of the action within its group
property HelpContext: THelpContext; [rw] | HelpContext - the index for a context-based help message
property HelpKeyword: string; [rw] | HelpKeyWord - the keyword of a context-based help message
property HelpType: THelpType; [rw] | HelpType - the sort of help message to be offered: default Context-based
property Hint: TTranslateString; [rw] | Hint - a pop-up message that appears when the mouse hovers over an object
property ImageIndex: TImageIndex; [rw] | ImageIndex - the index number of the image to be associated with this action
property OnHint: THintEvent; [rw] | OnHint - action to be taken when a hint is required
property SecondaryShortCuts: TShortCutList; [rws] | SecondaryShortCuts - a stringlist containing shortcuts
property ShortCut: TShortCut; [rw] | ShortCut - an index to a shortcut list
property Visible: Boolean; [rw] | Visible - is this action visible? (default True)
end;

Inheritance

TCustomAction | TCustomAction is the ancestor class for TAction
|
TContainedAction | TContainedAction - parent class for TCustomAction; defines some properties especially relationships with parents
|
TBasicAction
|
TComponent,IUnknown,IInterfaceComponentReference
|
TPersistent,IFPObserved
|
TObject

Description

TCustomAction is a generic class for all components that represent actions that can be be set on the user interface for buttons and other controls. TCustomAction is the ancestor for TAction. If you want to define your own action class, you should derive it from this class.

You can assign a action to a component by using the Object Inspector.

See also

TAction

TAction is the basic action object used on the LCL.


TCustomAction
pt |  | SavedEnabledState
 |  | AutoCheck
 |  | Caption
 |  | Checked
 |  | DisableIfNoHandler
 |  | Enabled
 |  | GroupIndex
 |  | HelpContext
 |  | HelpKeyword
 |  | HelpType
 |  | Hint
 |  | ImageIndex
 |  | SecondaryShortCuts
 |  | ShortCut
 |  | Visible
TContainedAction
 |  | ActionList
 |  | Index
pl |  | Category
TBasicAction
 |  | ActionComponent
TComponent
 | ro | ComObject
 | ro | Components
 | ro | ComponentCount
 |  | ComponentIndex
 | ro | ComponentState
 | ro | ComponentStyle
 |  | DesignInfo
 | ro | Owner
 |  | VCLComObject
 |  | Name
 |  | Tag
TPersistent
TObject


 |  | ActionComponent (TBasicAction)
 |  | ActionList (TContainedAction)
 |  | AutoCheck (TCustomAction)
 |  | Caption (TCustomAction)
pl |  | Category (TContainedAction)
 |  | Checked (TCustomAction)
 | ro | ComObject (TComponent)
 | ro | ComponentCount (TComponent)
 |  | ComponentIndex (TComponent)
 | ro | Components (TComponent)
 | ro | ComponentState (TComponent)
 | ro | ComponentStyle (TComponent)
 |  | DesignInfo (TComponent)
 |  | DisableIfNoHandler (TCustomAction)
 |  | Enabled (TCustomAction)
 |  | GroupIndex (TCustomAction)
 |  | HelpContext (TCustomAction)
 |  | HelpKeyword (TCustomAction)
 |  | HelpType (TCustomAction)
 |  | Hint (TCustomAction)
 |  | ImageIndex (TCustomAction)
 |  | Index (TContainedAction)
 |  | Name (TComponent)
 | ro | Owner (TComponent)
pt |  | SavedEnabledState (TCustomAction)
 |  | SecondaryShortCuts (TCustomAction)
 |  | ShortCut (TCustomAction)
 |  | Tag (TComponent)
 |  | VCLComObject (TComponent)
 |  | Visible (TCustomAction)


TCustomAction
pt | AssignTo
pt | SetName
pt | HandleShortCut
 | Create
 | Destroy
 | DoHint
 | Execute
TContainedAction
pt | ReadState
pt | SetParentComponent
 | Destroy
 | Execute
 | GetParentComponent
 | HasParent
 | Update
TBasicAction
 | Change
 | SetOnExecute
 | Create
 | Destroy
 | HandlesTarget
 | UpdateTarget
 | ExecuteTarget
 | Execute
 | RegisterChanges
 | UnRegisterChanges
 | Update
TComponent
 | GetComObject
 | GetComponent
 | GetComponentCount
 | GetComponentIndex
 | Insert
 | ReadLeft
 | ReadTop
 | Remove
 | RemoveNotification
 | SetComponentIndex
 | SetReference
 | WriteLeft
 | WriteTop
 | ChangeName
 | DefineProperties
 | GetChildren
 | GetChildOwner
 | GetChildParent
 | GetOwner
 | Loaded
 | Loading
 | Notification
 | PaletteCreated
 | ReadState
 | SetAncestor
 | SetDesigning
 | SetDesignInstance
 | SetInline
 | SetName
 | SetChildOrder
 | SetParentComponent
 | Updating
 | Updated
 | UpdateRegistry
 | ValidateRename
 | ValidateContainer
 | ValidateInsert
 | QueryInterface
 | _AddRef
 | _Release
 | iicrGetComponent
 | GetTypeInfoCount
 | GetTypeInfo
 | GetIDsOfNames
 | Invoke
 | WriteState
 | Create
 | Destroy
 | BeforeDestruction
 | DestroyComponents
 | Destroying
 | ExecuteAction
 | FindComponent
 | FreeNotification
 | RemoveFreeNotification
 | FreeOnRelease
 | GetEnumerator
 | GetNamePath
 | GetParentComponent
 | HasParent
 | InsertComponent
 | RemoveComponent
 | SafeCallException
 | SetSubComponent
 | UpdateAction
 | IsImplementorOf
 | ReferenceInterface
TPersistent
 | AssignError
 | AssignTo
 | DefineProperties
 | GetOwner
 | Destroy
 | Assign
 | FPOAttachObserver
 | FPODetachObserver
 | FPONotifyObservers
 | GetNamePath
TObject
 | Create
 | Destroy
 | newinstance
 | FreeInstance
 | SafeCallException
 | DefaultHandler
 | Free
 | InitInstance
 | CleanupInstance
 | ClassType
 | ClassInfo
 | ClassName
 | ClassNameIs
 | ClassParent
 | InstanceSize
 | InheritsFrom
 | StringMessageTable
 | MethodAddress
 | MethodName
 | FieldAddress
 | AfterConstruction
 | BeforeDestruction
 | DefaultHandlerStr
 | Dispatch
 | DispatchStr
 | GetInterface
 | GetInterfaceByStr
 | GetInterfaceWeak
 | GetInterfaceEntry
 | GetInterfaceEntryByStr
 | GetInterfaceTable
 | UnitName
 | Equals
 | GetHashCode
 | ToString


 | AssignError (TPersistent)
 | AssignTo (TPersistent)
pt | AssignTo (TCustomAction)
 | BeforeDestruction (TObject)
 | BeforeDestruction (TComponent)
 | Change (TBasicAction)
 | ChangeName (TComponent)
 | ClassInfo (TObject)
 | ClassName (TObject)
 | ClassNameIs (TObject)
 | ClassParent (TObject)
 | ClassType (TObject)
 | CleanupInstance (TObject)
 | Create (TObject)
 | Create (TComponent)
 | Create (TBasicAction)
 | Create (TCustomAction)
 | DefaultHandler (TObject)
 | DefaultHandlerStr (TObject)
 | DefineProperties (TPersistent)
 | DefineProperties (TComponent)
 | Destroy (TObject)
 | Destroy (TPersistent)
 | Destroy (TComponent)
 | Destroy (TBasicAction)
 | Destroy (TContainedAction)
 | Destroy (TCustomAction)
 | DestroyComponents (TComponent)
 | Destroying (TComponent)
 | Dispatch (TObject)
 | DispatchStr (TObject)
 | DoHint (TCustomAction)
 | Equals (TObject)
 | Execute (TBasicAction)
 | Execute (TContainedAction)
 | Execute (TCustomAction)
 | ExecuteAction (TComponent)
 | ExecuteTarget (TBasicAction)
 | FieldAddress (TObject)
 | FindComponent (TComponent)
 | FPOAttachObserver (TPersistent)
 | FPODetachObserver (TPersistent)
 | FPONotifyObservers (TPersistent)
 | Free (TObject)
 | FreeInstance (TObject)
 | FreeNotification (TComponent)
 | FreeOnRelease (TComponent)
 | GetChildOwner (TComponent)
 | GetChildParent (TComponent)
 | GetChildren (TComponent)
 | GetComObject (TComponent)
 | GetComponent (TComponent)
 | GetComponentCount (TComponent)
 | GetComponentIndex (TComponent)
 | GetEnumerator (TComponent)
 | GetHashCode (TObject)
 | GetIDsOfNames (TComponent)
 | GetInterface (TObject)
 | GetInterfaceByStr (TObject)
 | GetInterfaceEntry (TObject)
 | GetInterfaceEntryByStr (TObject)
 | GetInterfaceTable (TObject)
 | GetInterfaceWeak (TObject)
 | GetNamePath (TPersistent)
 | GetNamePath (TComponent)
 | GetOwner (TPersistent)
 | GetOwner (TComponent)
 | GetParentComponent (TComponent)
 | GetParentComponent (TContainedAction)
 | GetTypeInfo (TComponent)
 | GetTypeInfoCount (TComponent)
pt | HandleShortCut (TCustomAction)
 | HandlesTarget (TBasicAction)
 | HasParent (TComponent)
 | HasParent (TContainedAction)
 | iicrGetComponent (TComponent)
 | InheritsFrom (TObject)
 | InitInstance (TObject)
 | Insert (TComponent)
 | InsertComponent (TComponent)
 | InstanceSize (TObject)
 | Invoke (TComponent)
 | IsImplementorOf (TComponent)
 | Loaded (TComponent)
 | Loading (TComponent)
 | MethodAddress (TObject)
 | MethodName (TObject)
 | newinstance (TObject)
 | Notification (TComponent)
 | PaletteCreated (TComponent)
 | QueryInterface (TComponent)
 | ReadLeft (TComponent)
 | ReadState (TComponent)
pt | ReadState (TContainedAction)
 | ReadTop (TComponent)
 | ReferenceInterface (TComponent)
 | RegisterChanges (TBasicAction)
 | Remove (TComponent)
 | RemoveComponent (TComponent)
 | RemoveFreeNotification (TComponent)
 | RemoveNotification (TComponent)
 | SafeCallException (TObject)
 | SafeCallException (TComponent)
 | SetAncestor (TComponent)
 | SetChildOrder (TComponent)
 | SetComponentIndex (TComponent)
 | SetDesigning (TComponent)
 | SetDesignInstance (TComponent)
 | SetInline (TComponent)
 | SetName (TComponent)
pt | SetName (TCustomAction)
 | SetOnExecute (TBasicAction)
 | SetParentComponent (TComponent)
pt | SetParentComponent (TContainedAction)
 | SetReference (TComponent)
 | SetSubComponent (TComponent)
 | StringMessageTable (TObject)
 | ToString (TObject)
 | UnitName (TObject)
 | UnRegisterChanges (TBasicAction)
 | Update (TBasicAction)
 | Update (TContainedAction)
 | UpdateAction (TComponent)
 | Updated (TComponent)
 | UpdateRegistry (TComponent)
 | UpdateTarget (TBasicAction)
 | Updating (TComponent)
 | ValidateContainer (TComponent)
 | ValidateInsert (TComponent)
 | ValidateRename (TComponent)
 | WriteLeft (TComponent)
 | WriteState (TComponent)
 | WriteTop (TComponent)
 | _AddRef (TComponent)
 | _Release (TComponent)


TCustomAction
 | OnHint
TContainedAction
TBasicAction
 | OnChange
 | OnExecute
 | OnUpdate
TComponent
TPersistent
TObject


OnChange (TBasicAction)

OnExecute (TBasicAction)

OnHint (TCustomAction)

OnUpdate (TBasicAction)


TCustomAction.AutoCheck

AutoCheck - whether the control (eg a CheckBox) is to be automatically checked

Declaration

Source position: actnlist.pas line 198

public property TCustomAction.AutoCheck : Boolean
  read FAutoCheck
  write SetAutoCheck
  default False;


TCustomAction.Caption

The Caption to be used if this action is associated with a visible component

Declaration

Source position: actnlist.pas line 200

public property TCustomAction.Caption : TTranslateString
  read FCaption
  write SetCaption;


TCustomAction.Checked

Whether the CheckBox associated with the action is Checked (default False)

Declaration

Source position: actnlist.pas line 201

public property TCustomAction.Checked : Boolean
  read FChecked
  write SetChecked
  default False;


TCustomAction.Create

Create - constructor for TCustomAction: calls inherited Create then initialises some local variables

Declaration

Source position: actnlist.pas line 193

public constructor TCustomAction.Create(

  AOwner: TComponent

); override;

See also

#rtl.Classes.TBasicAction.Create


TCustomAction.Destroy

Destroy - destructor for TCustomAction: frees various lists and images, then calls inherited Destroy

Declaration

Source position: actnlist.pas line 194

public destructor TCustomAction.Destroy; override;

See also

#rtl.Classes.TBasicAction.Destroy


TCustomAction.DisableIfNoHandler

DisableIfNoHandler - don't use this action if no Handler has been provided

Declaration

Source position: actnlist.pas line 202

public property TCustomAction.DisableIfNoHandler : Boolean
  read FDisableIfNoHandler
  write FDisableIfNoHandler
  default False;


TCustomAction.DoHint

DoHint - method for displaying the hint contained in HintStr if True value is returned

Declaration

Source position: actnlist.pas line 195

public function TCustomAction.DoHint(

  var HintStr: string

):Boolean; virtual;

Arguments

HintStr

HintStr - the text-string for display as a hint

Function result

True if hint is to be displayed


TCustomAction.Enabled

Enabled - whether this action is able to be used (default True)

Declaration

Source position: actnlist.pas line 204

public property TCustomAction.Enabled : Boolean
  read FEnabled
  write SetEnabled
  default True;


TCustomAction.FImage

Declaration

Source position: actnlist.pas line 185

protected TCustomAction.FImage : TObject;


TCustomAction.FMask

Declaration

Source position: actnlist.pas line 186

protected TCustomAction.FMask : TObject;


TCustomAction.GroupIndex

GroupIndex - Index of the action within its group

Declaration

Source position: actnlist.pas line 205

public property TCustomAction.GroupIndex : Integer
  read FGroupIndex
  write SetGroupIndex
  default 0;


TCustomAction.HandleShortCut

HandleShortCut - returns True if there is a short cut associated with the handle

Declaration

Source position: actnlist.pas line 189

protected function TCustomAction.HandleShortCut: Boolean; virtual;


TCustomAction.HelpContext

HelpContext - the index for a context-based help message

Declaration

Source position: actnlist.pas line 206

public property TCustomAction.HelpContext : THelpContext
  read FHelpContext
  write SetHelpContext
  default 0;


TCustomAction.HelpKeyword

HelpKeyWord - the keyword of a context-based help message

Declaration

Source position: actnlist.pas line 208

public property TCustomAction.HelpKeyword : string
  read FHelpKeyword
  write SetHelpKeyword;


TCustomAction.HelpType

HelpType - the sort of help message to be offered: default Context-based

Declaration

Source position: actnlist.pas line 209

public property TCustomAction.HelpType : THelpType
  read FHelpType
  write SetHelpType
  default htContext;


TCustomAction.Hint

Hint - a pop-up message that appears when the mouse hovers over an object

Declaration

Source position: actnlist.pas line 211

public property TCustomAction.Hint : TTranslateString
  read FHint
  write SetHint;


TCustomAction.ImageIndex

ImageIndex - the index number of the image to be associated with this action

Declaration

Source position: actnlist.pas line 212

public property TCustomAction.ImageIndex : TImageIndex
  read FImageIndex
  write SetImageIndex
  default - 1;


TCustomAction.OnHint

OnHint - action to be taken when a hint is required

Declaration

Source position: actnlist.pas line 214

public property TCustomAction.OnHint : THintEvent
  read FOnHint
  write FOnHint;


TCustomAction.SavedEnabledState

SavedEnabledState - if True, the Enabled state has been saved

Declaration

Source position: actnlist.pas line 190

protected property TCustomAction.SavedEnabledState : Boolean
  read FSavedEnabledState
  write FSavedEnabledState;


TCustomAction.SecondaryShortCuts

SecondaryShortCuts - a stringlist containing shortcuts

Declaration

Source position: actnlist.pas line 215

public property TCustomAction.SecondaryShortCuts : TShortCutList
  read GetSecondaryShortCuts
  write SetSecondaryShortCuts
  stored IsSecondaryShortCutsStored;


TCustomAction.ShortCut

ShortCut - an index to a shortcut list

Declaration

Source position: actnlist.pas line 217

public property TCustomAction.ShortCut : TShortCut
  read FShortCut
  write SetShortCut
  default 0;


TCustomAction.Visible

Visible - is this action visible? (default True)

Declaration

Source position: actnlist.pas line 218

public property TCustomAction.Visible : Boolean
  read FVisible
  write SetVisible
  default True;


TCustomActionList

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

TCustomActionList - the ancestor class for TActionList

Declaration

Source position: actnlist.pas line 76

type TCustomActionList = class(TLCLComponent)
protected
procedure AddAction(); virtual; | AddAction - adds an action to the list
procedure RemoveAction(); virtual; | RemoveAction - removes an action from the list
procedure Change; virtual; | Change the action
procedure GetChildren(); override; |
procedure Notification(); override; |
procedure SetChildOrder(); override; |
procedure SetImages(); virtual; | SetImages - stores a list of images
property OnChange: TNotifyEvent; [rw] | OnChange - event handler for a change in the action
property OnExecute: TActionEvent; [rw] | OnExecute - event handler for execution of the action
property OnUpdate: TActionEvent; [rw] | OnUpdate - event handler for updating the action
public
constructor Create(); override; | Create - constructor for TCustomActionList: calls inherited Create then initialises some local variables
destructor Destroy; override; | Destroy - destructor for TCustomActionList: frees various links then calls inherited Destroy
function ActionByName(); | Returns an action identified by its name (as a string)
function ExecuteAction(); override;
function GetEnumerator;
function IndexOfName(); | The Index value of the name of this action in the ActionList
function IsShortCut(); | This action is associated with a shortcut
function UpdateAction(); override;
property Actions []: TContainedAction; default; [rw] | The indexed list of actions
property ActionCount: Integer; [r] | The total number of actions in the actionlist
property Images: TCustomImageList; [rw] | The Images from an ImageList to be associated with the actions, eg in a Menu display
property State: TActionListState; [rw] | State of the action : Normal, Suspended or SuspendedEnabled
end;

Inheritance

TCustomActionList | TCustomActionList - the ancestor class for TActionList
|
TLCLComponent | The base class for LCL components associated with widgets.
|
TComponent,IUnknown,IInterfaceComponentReference
|
TPersistent,IFPObserved
|
TObject

Description

TCustomActionList - the ancestor class for TActionList. If you want to define your own action list class, you should derive it from this class.

TActionList, TAction, TActionLink and TContainedAction are used to centralize the implementation of user commands, and can then be linked to the appropriate button, menu or another component. This is an Object-Oriented programming strategy to reuse the code, as opposed to the Event-Oriented approach of writing an OnClick event for each component.

See also

TActionList

TActionList - The basic actions list class


TCustomActionList
 |  | Actions
 | ro | ActionCount
 |  | Images
 |  | State
TLCLComponent
 | ro | LCLRefCount
 | ro | WidgetSetClass
TComponent
 | ro | ComObject
 | ro | Components
 | ro | ComponentCount
 |  | ComponentIndex
 | ro | ComponentState
 | ro | ComponentStyle
 |  | DesignInfo
 | ro | Owner
 |  | VCLComObject
 |  | Name
 |  | Tag
TPersistent
TObject


ro | ActionCount (TCustomActionList)
 | Actions (TCustomActionList)
ro | ComObject (TComponent)
ro | ComponentCount (TComponent)
 | ComponentIndex (TComponent)
ro | Components (TComponent)
ro | ComponentState (TComponent)
ro | ComponentStyle (TComponent)
 | DesignInfo (TComponent)
 | Images (TCustomActionList)
ro | LCLRefCount (TLCLComponent)
 | Name (TComponent)
ro | Owner (TComponent)
 | State (TCustomActionList)
 | Tag (TComponent)
 | VCLComObject (TComponent)
ro | WidgetSetClass (TLCLComponent)


TCustomActionList
pt | AddAction
pt | RemoveAction
pt | Change
pt | GetChildren
pt | Notification
pt | SetChildOrder
pt | SetImages
 | Create
 | Destroy
 | ActionByName
 | ExecuteAction
 | GetEnumerator
 | IndexOfName
 | IsShortCut
 | UpdateAction
TLCLComponent
pt | WSRegisterClass
pt | GetWSComponentClass
 | Create
 | Destroy
 | NewInstance
 | RemoveAllHandlersOfObject
 | IncLCLRefCount
 | DecLCLRefCount
TComponent
 | GetComObject
 | GetComponent
 | GetComponentCount
 | GetComponentIndex
 | Insert
 | ReadLeft
 | ReadTop
 | Remove
 | RemoveNotification
 | SetComponentIndex
 | SetReference
 | WriteLeft
 | WriteTop
 | ChangeName
 | DefineProperties
 | GetChildren
 | GetChildOwner
 | GetChildParent
 | GetOwner
 | Loaded
 | Loading
 | Notification
 | PaletteCreated
 | ReadState
 | SetAncestor
 | SetDesigning
 | SetDesignInstance
 | SetInline
 | SetName
 | SetChildOrder
 | SetParentComponent
 | Updating
 | Updated
 | UpdateRegistry
 | ValidateRename
 | ValidateContainer
 | ValidateInsert
 | QueryInterface
 | _AddRef
 | _Release
 | iicrGetComponent
 | GetTypeInfoCount
 | GetTypeInfo
 | GetIDsOfNames
 | Invoke
 | WriteState
 | Create
 | Destroy
 | BeforeDestruction
 | DestroyComponents
 | Destroying
 | ExecuteAction
 | FindComponent
 | FreeNotification
 | RemoveFreeNotification
 | FreeOnRelease
 | GetEnumerator
 | GetNamePath
 | GetParentComponent
 | HasParent
 | InsertComponent
 | RemoveComponent
 | SafeCallException
 | SetSubComponent
 | UpdateAction
 | IsImplementorOf
 | ReferenceInterface
TPersistent
 | AssignError
 | AssignTo
 | DefineProperties
 | GetOwner
 | Destroy
 | Assign
 | FPOAttachObserver
 | FPODetachObserver
 | FPONotifyObservers
 | GetNamePath
TObject
 | Create
 | Destroy
 | newinstance
 | FreeInstance
 | SafeCallException
 | DefaultHandler
 | Free
 | InitInstance
 | CleanupInstance
 | ClassType
 | ClassInfo
 | ClassName
 | ClassNameIs
 | ClassParent
 | InstanceSize
 | InheritsFrom
 | StringMessageTable
 | MethodAddress
 | MethodName
 | FieldAddress
 | AfterConstruction
 | BeforeDestruction
 | DefaultHandlerStr
 | Dispatch
 | DispatchStr
 | GetInterface
 | GetInterfaceByStr
 | GetInterfaceWeak
 | GetInterfaceEntry
 | GetInterfaceEntryByStr
 | GetInterfaceTable
 | UnitName
 | Equals
 | GetHashCode
 | ToString


TCustomActionList
pt | OnChange
pt | OnExecute
pt | OnUpdate
TLCLComponent
TComponent
TPersistent
TObject


pt | OnChange (TCustomActionList)
pt | OnExecute (TCustomActionList)
pt | OnUpdate (TCustomActionList)


TCustomActionList.ActionByName

Returns an action identified by its name (as a string)

Declaration

Source position: actnlist.pas line 106

public function TCustomActionList.ActionByName(

  const ActionName: string

):TContainedAction;


TCustomActionList.ActionCount

The total number of actions in the actionlist

Declaration

Source position: actnlist.pas line 114

public property TCustomActionList.ActionCount : Integer
  read GetActionCount;


TCustomActionList.Actions

The indexed list of actions

Declaration

Source position: actnlist.pas line 113

public property TCustomActionList.Actions[Index: Integer] : TContainedAction
  read GetAction
  write SetAction;
  default;


TCustomActionList.AddAction

AddAction - adds an action to the list

Declaration

Source position: actnlist.pas line 91

protected procedure TCustomActionList.AddAction(

  Action: TContainedAction

); virtual;


TCustomActionList.Change

Change the action

Declaration

Source position: actnlist.pas line 93

protected procedure TCustomActionList.Change; virtual;


TCustomActionList.Create

Create - constructor for TCustomActionList: calls inherited Create then initialises some local variables

Declaration

Source position: actnlist.pas line 103

public constructor TCustomActionList.Create(

  AOwner: TComponent

); override;

See also

#rtl.Classes.TComponent.Create


TCustomActionList.Destroy

Destroy - destructor for TCustomActionList: frees various links then calls inherited Destroy

Declaration

Source position: actnlist.pas line 104

public destructor TCustomActionList.Destroy; override;

Description

Destroy sends a opRemove notification to all components in the free-notification list. After that, all owned components are destroyed by calling DestroyComponents (and hence removed from the list of owned components). When this is done, the component removes itself from its owner's child component list. After that, the parent's destroy method is called.

See also

#rtl.Classes.TComponent.Destroy


TCustomActionList.GetEnumerator

Declaration

Source position: actnlist.pas line 108

public function TCustomActionList.GetEnumerator: TActionListEnumerator;


TCustomActionList.Images

The Images from an ImageList to be associated with the actions, eg in a Menu display

Declaration

Source position: actnlist.pas line 115

public property TCustomActionList.Images : TCustomImageList
  read FImages
  write SetImages;


TCustomActionList.IndexOfName

The Index value of the name of this action in the ActionList

Declaration

Source position: actnlist.pas line 109

public function TCustomActionList.IndexOfName(

  const ActionName: string

):Integer;


TCustomActionList.IsShortCut

This action is associated with a shortcut

Declaration

Source position: actnlist.pas line 110

public function TCustomActionList.IsShortCut(

  var Message: TLMKey

):Boolean;


TCustomActionList.OnChange

OnChange - event handler for a change in the action

Declaration

Source position: actnlist.pas line 99

protected property TCustomActionList.OnChange : TNotifyEvent
  read FOnChange
  write FOnChange;


TCustomActionList.OnExecute

OnExecute - event handler for execution of the action

Declaration

Source position: actnlist.pas line 100

protected property TCustomActionList.OnExecute : TActionEvent
  read FOnExecute
  write FOnExecute;


TCustomActionList.OnUpdate

OnUpdate - event handler for updating the action

Declaration

Source position: actnlist.pas line 101

protected property TCustomActionList.OnUpdate : TActionEvent
  read FOnUpdate
  write FOnUpdate;


TCustomActionList.RemoveAction

RemoveAction - removes an action from the list

Declaration

Source position: actnlist.pas line 92

protected procedure TCustomActionList.RemoveAction(

  Action: TContainedAction

); virtual;


TCustomActionList.SetImages

SetImages - stores a list of images

Declaration

Source position: actnlist.pas line 98

protected procedure TCustomActionList.SetImages(

  Value: TCustomImageList

); virtual;


TCustomActionList.State

State of the action : Normal, Suspended or SuspendedEnabled

Declaration

Source position: actnlist.pas line 116

public property TCustomActionList.State : TActionListState
  read FState
  write SetState
  default asNormal;


TShortCutList

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

TShortCutList - a list of shortcuts for actions in an ActionList

Declaration

Source position: actnlist.pas line 135

type TShortCutList = class(TStringList)
public
function Add(); override; | Add a shortcut to the list; implements the #rtl.classes.TStrings.Add function
function IndexOfShortCut(); | The index number of the shortcut in the list
property ShortCuts []: TShortCut; [r] | The indexed list of short cuts
end;

Inheritance

TShortCutList

TShortCutList - a list of shortcuts for actions in an ActionList
|

TStringList
|

TStrings
|

TPersistent,IFPObserved
|

TObject


TShortCutList
 | ro | ShortCuts
TStringList
 |  | Duplicates
 |  | Sorted
 |  | CaseSensitive
 |  | OwnsObjects
 |  | SortStyle
TStrings
 | ro | UpdateCount
 |  | TextLineBreakStyle
 |  | Delimiter
 |  | DelimitedText
 |  | LineBreak
 |  | StrictDelimiter
 |  | QuoteChar
 |  | NameValueSeparator
 |  | ValueFromIndex
 |  | Capacity
 |  | CommaText
 | ro | Count
 | ro | Names
 |  | Objects
 |  | Values
 |  | Strings
 |  | Text
 |  | StringsAdapter
 |  | SkipLastLineBreak
TPersistent
TObject


ro | Count (TStrings)
 | DelimitedText (TStrings)
 | Delimiter (TStrings)
 | Duplicates (TStringList)
 | LineBreak (TStrings)
ro | Names (TStrings)
 | NameValueSeparator (TStrings)
 | Objects (TStrings)
 | OwnsObjects (TStringList)
 | QuoteChar (TStrings)
ro | ShortCuts (TShortCutList)
 | SkipLastLineBreak (TStrings)
 | Sorted (TStringList)
 | SortStyle (TStringList)
 | StrictDelimiter (TStrings)
 | Strings (TStrings)
 | StringsAdapter (TStrings)
 | Text (TStrings)
 | TextLineBreakStyle (TStrings)
ro | UpdateCount (TStrings)
 | ValueFromIndex (TStrings)
 | Values (TStrings)


TShortCutList
 | Add
 | IndexOfShortCut
TStringList
 | ExchangeItemsInt
 | GetSorted
 | Grow
 | InternalClear
 | QuickSort
 | SetSorted
 | SetCaseSensitive
 | SetSortStyle
 | ExchangeItems
 | Changed
 | Changing
 | Get
 | GetCapacity
 | GetCount
 | GetObject
 | Put
 | PutObject
 | SetCapacity
 | SetUpdateState
 | InsertItem
 | DoCompareText
 | CompareStrings
 | Destroy
 | Add
 | Clear
 | Delete
 | Exchange
 | Find
 | IndexOf
 | Insert
 | Sort
 | CustomSort
TStrings
 | GetCommaText
 | GetName
 | GetValue
 | GetLBS
 | SetLBS
 | ReadData
 | SetCommaText
 | SetStringsAdapter
 | SetValue
 | SetDelimiter
 | SetQuoteChar
 | SetNameValueSeparator
 | WriteData
 | DoSetTextStr
 | GetDelimiter
 | GetNameValueSeparator
 | GetQuoteChar
 | GetLineBreak
 | SetLineBreak
 | GetSkipLastLineBreak
 | SetSkipLastLineBreak
 | DefineProperties
 | Error
 | Get
 | GetCapacity
 | GetCount
 | GetObject
 | GetTextStr
 | Put
 | PutObject
 | SetCapacity
 | SetTextStr
 | SetUpdateState
 | DoCompareText
 | GetDelimitedText
 | SetDelimitedText
 | GetValueFromIndex
 | SetValueFromIndex
 | CheckSpecialChars
 | GetNextLine
 | GetNextLinebreak
 | Destroy
 | Add
 | AddObject
 | Append
 | AddStrings
 | AddText
 | Assign
 | BeginUpdate
 | Clear
 | Delete
 | EndUpdate
 | Equals
 | Exchange
 | GetEnumerator
 | GetText
 | IndexOf
 | IndexOfName
 | IndexOfObject
 | Insert
 | InsertObject
 | LoadFromFile
 | LoadFromStream
 | Move
 | SaveToFile
 | SaveToStream
 | SetText
 | GetNameValue
 | ExtractName
TPersistent
 | AssignError
 | AssignTo
 | DefineProperties
 | GetOwner
 | Destroy
 | Assign
 | FPOAttachObserver
 | FPODetachObserver
 | FPONotifyObservers
 | GetNamePath
TObject
 | Create
 | Destroy
 | newinstance
 | FreeInstance
 | SafeCallException
 | DefaultHandler
 | Free
 | InitInstance
 | CleanupInstance
 | ClassType
 | ClassInfo
 | ClassName
 | ClassNameIs
 | ClassParent
 | InstanceSize
 | InheritsFrom
 | StringMessageTable
 | MethodAddress
 | MethodName
 | FieldAddress
 | AfterConstruction
 | BeforeDestruction
 | DefaultHandlerStr
 | Dispatch
 | DispatchStr
 | GetInterface
 | GetInterfaceByStr
 | GetInterfaceWeak
 | GetInterfaceEntry
 | GetInterfaceEntryByStr
 | GetInterfaceTable
 | UnitName
 | Equals
 | GetHashCode
 | ToString


Add (TStrings)

Add (TStringList)

Add (TShortCutList)

AddObject (TStrings)

AddStrings (TStrings)

AddText (TStrings)

AfterConstruction (TObject)

Append (TStrings)

Assign (TPersistent)

Assign (TStrings)

AssignError (TPersistent)

AssignTo (TPersistent)

BeforeDestruction (TObject)

BeginUpdate (TStrings)

Changed (TStringList)

Changing (TStringList)

CheckSpecialChars (TStrings)

ClassInfo (TObject)

ClassName (TObject)

ClassNameIs (TObject)

ClassParent (TObject)

ClassType (TObject)

CleanupInstance (TObject)

Clear (TStrings)

Clear (TStringList)

CompareStrings (TStringList)

Create (TObject)

CustomSort (TStringList)

DefaultHandler (TObject)

DefaultHandlerStr (TObject)

DefineProperties (TPersistent)

DefineProperties (TStrings)

Delete (TStrings)

Delete (TStringList)

Destroy (TObject)

Destroy (TPersistent)

Destroy (TStrings)

Destroy (TStringList)

Dispatch (TObject)

DispatchStr (TObject)

DoCompareText (TStrings)

DoCompareText (TStringList)

DoSetTextStr (TStrings)

EndUpdate (TStrings)

Equals (TObject)

Equals (TStrings)

Error (TStrings)

Exchange (TStrings)

Exchange (TStringList)

ExchangeItems (TStringList)

ExchangeItemsInt (TStringList)

ExtractName (TStrings)

FieldAddress (TObject)

Find (TStringList)

FPOAttachObserver (TPersistent)

FPODetachObserver (TPersistent)

FPONotifyObservers (TPersistent)

Free (TObject)

FreeInstance (TObject)

Get (TStrings)

Get (TStringList)

GetCapacity (TStrings)

GetCapacity (TStringList)

GetCommaText (TStrings)

GetCount (TStrings)

GetCount (TStringList)

GetDelimitedText (TStrings)

GetDelimiter (TStrings)

GetEnumerator (TStrings)

GetHashCode (TObject)

GetInterface (TObject)

GetInterfaceByStr (TObject)

GetInterfaceEntry (TObject)

GetInterfaceEntryByStr (TObject)

GetInterfaceTable (TObject)

GetInterfaceWeak (TObject)

GetLBS (TStrings)

GetLineBreak (TStrings)

GetName (TStrings)

GetNamePath (TPersistent)

GetNameValue (TStrings)

GetNameValueSeparator (TStrings)

GetNextLine (TStrings)

GetNextLinebreak (TStrings)

GetObject (TStrings)

GetObject (TStringList)

GetOwner (TPersistent)

GetQuoteChar (TStrings)

GetSkipLastLineBreak (TStrings)

GetSorted (TStringList)

GetText (TStrings)

GetTextStr (TStrings)

GetValue (TStrings)

GetValueFromIndex (TStrings)

Grow (TStringList)

IndexOf (TStrings)

IndexOf (TStringList)

IndexOfName (TStrings)

IndexOfObject (TStrings)

IndexOfShortCut (TShortCutList)

InheritsFrom (TObject)

InitInstance (TObject)

Insert (TStrings)

Insert (TStringList)

InsertItem (TStringList)

InsertObject (TStrings)

InstanceSize (TObject)

InternalClear (TStringList)

LoadFromFile (TStrings)

LoadFromStream (TStrings)

MethodAddress (TObject)

MethodName (TObject)

Move (TStrings)

newinstance (TObject)

Put (TStrings)

Put (TStringList)

PutObject (TStrings)

PutObject (TStringList)

QuickSort (TStringList)

ReadData (TStrings)

SafeCallException (TObject)

SaveToFile (TStrings)

SaveToStream (TStrings)

SetCapacity (TStrings)

SetCapacity (TStringList)

SetCaseSensitive (TStringList)

SetCommaText (TStrings)

SetDelimitedText (TStrings)

SetDelimiter (TStrings)

SetLBS (TStrings)

SetLineBreak (TStrings)

SetNameValueSeparator (TStrings)

SetQuoteChar (TStrings)

SetSkipLastLineBreak (TStrings)

SetSorted (TStringList)

SetSortStyle (TStringList)

SetStringsAdapter (TStrings)

SetText (TStrings)

SetTextStr (TStrings)

SetUpdateState (TStrings)

SetUpdateState (TStringList)

SetValue (TStrings)

SetValueFromIndex (TStrings)

Sort (TStringList)

StringMessageTable (TObject)

ToString (TObject)

UnitName (TObject)

WriteData (TStrings)


TShortCutList
TStringList
 | OnChange
 | OnChanging
TStrings
TPersistent
TObject


TShortCutList.Add

Add a shortcut to the list; implements the #rtl.classes.TStrings.Add function

Declaration

Source position: actnlist.pas line 139

public function TShortCutList.Add(

  const S: string

):Integer; override;


TShortCutList.IndexOfShortCut

The index number of the shortcut in the list

Declaration

Source position: actnlist.pas line 140

public function TShortCutList.IndexOfShortCut(

  const Shortcut: TShortCut

):Integer;


TShortCutList.ShortCuts

The indexed list of short cuts

Declaration

Source position: actnlist.pas line 141

public property TShortCutList.ShortCuts[Index: Integer] : TShortCut
  read GetShortCuts;


TArrow

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

TArrow - an arrow symbol widely used in forms

Declaration

Source position: arrow.pp line 33

type TArrow = class(TIndustrialBase)
protected
class function GetControlClassDefaultSize; override; | Returns the default size for this class of controls (when added to a form).
procedure Paint; override; | Override this method in your derived class with your own paint handler.
public
constructor Create(); override; |
published
property Align: TAlign; | Specifies the placement of the control inside its Parent.
property Anchors: TAnchors; | The set of anchor definitions for this control.
property ArrowColor: TColor; [rw]
property ArrowType: TArrowType; [rw] | ArrowType - pointing up, down, left or right
property ArrowPointerAngle: Integer; [rw]
property BorderSpacing: TControlBorderSpacing; | Determines the inner and outer border spacing for this control.
property Color: TColor;
property Constraints: TSizeConstraints;
property Enabled: Boolean;
property Hint: TTranslateString;
property OnChangeBounds: TNotifyEvent; | Event handler for a change of the Bounds of the control.
property OnClick: TNotifyEvent; | Notification handler for mouse clicks.
property OnContextPopup: TContextPopupEvent; | Invoked when a context-sensitive pop-up menu is requested.
property OnDblClick: TNotifyEvent; | Event Handler for double mouse clicks.
property OnDragDrop: TDragDropEvent;
property OnDragOver: TDragOverEvent;
property OnEndDrag: TEndDragEvent;
property OnMouseDown: TMouseEvent; | Event handler for mouse button going down.
property OnMouseEnter: TNotifyEvent;
property OnMouseLeave: TNotifyEvent;
property OnMouseMove: TMouseMoveEvent; | Event handler for mouse movement within the control.
property OnMouseUp: TMouseEvent; | Event handler for mouse button going up.
property OnMouseWheel: TMouseWheelEvent;
property OnMouseWheelDown: TMouseWheelUpDownEvent;
property OnMouseWheelUp: TMouseWheelUpDownEvent;
property OnMouseWheelHorz: TMouseWheelEvent;
property OnMouseWheelLeft: TMouseWheelUpDownEvent;
property OnMouseWheelRight: TMouseWheelUpDownEvent;
property OnPaint: TNotifyEvent;
property OnResize: TNotifyEvent; | Notification handler for a resize of the control.
property OnStartDrag: TStartDragEvent;
property ParentColor: Boolean;
property ParentShowHint: Boolean;
property PopupMenu: TPopupMenu; | A context-sensitive menu that pops up when the right mouse button is clicked over this control
property ShadowType: TShadowType; [rw] | ShadowType - the type of shadowing: None, In, Out, EtchedIn, EtchedOut
property ShadowColor: TColor; [rw]
property ShowHint: Boolean;
property Visible: Boolean; | Allows to show or hide the control, and all of its children.
end;

Inheritance

TArrow | TArrow - an arrow symbol widely used in forms
|
TIndustrialBase |
|
TGraphicControl | TGraphicControl is the base class for all lightweight controls.
|
TControl | The base class for visible controls.
|
TLCLComponent | The base class for LCL components associated with widgets.
|
TComponent,IUnknown,IInterfaceComponentReference
|
TPersistent,IFPObserved
|
TObject


TArrow
pl | ro | Align
pl | ro | Anchors
pl |  | ArrowColor
pl |  | ArrowType
pl |  | ArrowPointerAngle
pl | ro | BorderSpacing
pl | ro | Color
pl | ro | Constraints
pl | ro | Enabled
pl | ro | Hint
pl | ro | ParentColor
pl | ro | ParentShowHint
pl | ro | PopupMenu
pl |  | ShadowType
pl |  | ShadowColor
pl | ro | ShowHint
pl | ro | Visible
TIndustrialBase
pl |  | AntiAliasingMode
TGraphicControl
 | ro | Canvas
TControl
pt | ro | AutoSizing
pt | ro | AutoSizingAll
pt | ro | AutoSizingLockCount
pt |  | ActionLink
pt |  | DesktopFont
pt |  | DragCursor
pt |  | DragKind
pt |  | DragMode
pt |  | MouseCapture
pt |  | ParentColor
pt |  | ParentFont
pt |  | ParentShowHint
pt |  | SessionProperties
pt |  | Text
 | ro | AnchoredControls
 | ro | BaseBounds
 | ro | ReadBounds
 | ro | BaseParentClientSize
 |  | AccessibleDescription
 |  | AccessibleValue
 |  | AccessibleRole
 |  | Action
 |  | Align
 |  | Anchors
 | ro | AnchorSide
 |  | AutoSize
 |  | BorderSpacing
 |  | BoundsRect
 |  | BoundsRectForNewParent
 |  | Caption
 |  | CaptureMouseButtons
 |  | ClientHeight
 | ro | ClientOrigin
 | ro | ClientRect
 |  | ClientWidth
 |  | Color
 |  | Constraints
 | ro | ControlOrigin
 |  | ControlState
 |  | ControlStyle
 |  | Enabled
 |  | Font
 |  | IsControl
 | ro | MouseEntered
 | ro | MouseInClient
 |  | Parent
 |  | PopupMenu
 |  | ShowHint
 |  | Visible
 |  | WindowProc
 |  | DockOrientation
 | ro | Floating
 |  | FloatingDockSiteClass
 |  | HostDockSite
 |  | LRDockWidth
 |  | TBDockHeight
 |  | UndockHeight
 |  | UndockWidth
 |  | BiDiMode
 |  | ParentBiDiMode
pl |  | AnchorSideLeft
pl |  | AnchorSideTop
pl |  | AnchorSideRight
pl |  | AnchorSideBottom
pl |  | Cursor
pl |  | Left
pl |  | Height
pl |  | Hint
pl |  | Top
pl |  | Width
pl |  | HelpType
pl |  | HelpKeyword
pl |  | HelpContext
TLCLComponent
 | ro | LCLRefCount
 | ro | WidgetSetClass
TComponent
 | ro | ComObject
 | ro | Components
 | ro | ComponentCount
 |  | ComponentIndex
 | ro | ComponentState
 | ro | ComponentStyle
 |  | DesignInfo
 | ro | Owner
 |  | VCLComObject
 |  | Name
 |  | Tag
TPersistent
TObject


 |  | AccessibleDescription (TControl)
 |  | AccessibleRole (TControl)
 |  | AccessibleValue (TControl)
 |  | Action (TControl)
pt |  | ActionLink (TControl)
 |  | Align (TControl)
pl | ro | Align (TArrow)
 | ro | AnchoredControls (TControl)
 |  | Anchors (TControl)
pl | ro | Anchors (TArrow)
 | ro | AnchorSide (TControl)
pl |  | AnchorSideBottom (TControl)
pl |  | AnchorSideLeft (TControl)
pl |  | AnchorSideRight (TControl)
pl |  | AnchorSideTop (TControl)
pl |  | AntiAliasingMode (TIndustrialBase)
pl |  | ArrowColor (TArrow)
pl |  | ArrowPointerAngle (TArrow)
pl |  | ArrowType (TArrow)
 |  | AutoSize (TControl)
pt | ro | AutoSizing (TControl)
pt | ro | AutoSizingAll (TControl)
pt | ro | AutoSizingLockCount (TControl)
 | ro | BaseBounds (TControl)
 | ro | BaseParentClientSize (TControl)
 |  | BiDiMode (TControl)
 |  | BorderSpacing (TControl)
pl | ro | BorderSpacing (TArrow)
 |  | BoundsRect (TControl)
 |  | BoundsRectForNewParent (TControl)
 | ro | Canvas (TGraphicControl)
 |  | Caption (TControl)
 |  | CaptureMouseButtons (TControl)
 |  | ClientHeight (TControl)
 | ro | ClientOrigin (TControl)
 | ro | ClientRect (TControl)
 |  | ClientWidth (TControl)
 |  | Color (TControl)
pl | ro | Color (TArrow)
 | ro | ComObject (TComponent)
 | ro | ComponentCount (TComponent)
 |  | ComponentIndex (TComponent)
 | ro | Components (TComponent)
 | ro | ComponentState (TComponent)
 | ro | ComponentStyle (TComponent)
 |  | Constraints (TControl)
pl | ro | Constraints (TArrow)
 | ro | ControlOrigin (TControl)
 |  | ControlState (TControl)
 |  | ControlStyle (TControl)
pl |  | Cursor (TControl)
 |  | DesignInfo (TComponent)
pt |  | DesktopFont (TControl)
 |  | DockOrientation (TControl)
pt |  | DragCursor (TControl)
pt |  | DragKind (TControl)
pt |  | DragMode (TControl)
 |  | Enabled (TControl)
pl | ro | Enabled (TArrow)
 | ro | Floating (TControl)
 |  | FloatingDockSiteClass (TControl)
 |  | Font (TControl)
pl |  | Height (TControl)
pl |  | HelpContext (TControl)
pl |  | HelpKeyword (TControl)
pl |  | HelpType (TControl)
pl |  | Hint (TControl)
pl | ro | Hint (TArrow)
 |  | HostDockSite (TControl)
 |  | IsControl (TControl)
 | ro | LCLRefCount (TLCLComponent)
pl |  | Left (TControl)
 |  | LRDockWidth (TControl)
pt |  | MouseCapture (TControl)
 | ro | MouseEntered (TControl)
 | ro | MouseInClient (TControl)
 |  | Name (TComponent)
 | ro | Owner (TComponent)
 |  | Parent (TControl)
 |  | ParentBiDiMode (TControl)
pt |  | ParentColor (TControl)
pl | ro | ParentColor (TArrow)
pt |  | ParentFont (TControl)
pt |  | ParentShowHint (TControl)
pl | ro | ParentShowHint (TArrow)
 |  | PopupMenu (TControl)
pl | ro | PopupMenu (TArrow)
 | ro | ReadBounds (TControl)
pt |  | SessionProperties (TControl)
pl |  | ShadowColor (TArrow)
pl |  | ShadowType (TArrow)
 |  | ShowHint (TControl)
pl | ro | ShowHint (TArrow)
 |  | Tag (TComponent)
 |  | TBDockHeight (TControl)
pt |  | Text (TControl)
pl |  | Top (TControl)
 |  | UndockHeight (TControl)
 |  | UndockWidth (TControl)
 |  | VCLComObject (TComponent)
 |  | Visible (TControl)
pl | ro | Visible (TArrow)
 | ro | WidgetSetClass (TLCLComponent)
pl |  | Width (TControl)
 |  | WindowProc (TControl)


TArrow
pt | GetControlClassDefaultSize
pt | Paint
 | Create
TIndustrialBase
pt | GraphicChanged
 | Create
TGraphicControl
pt | WSRegisterClass
pt | FontChanged
pt | Paint
pt | DoOnChangeBounds
pt | DoOnParentHandleDestruction
pt | CMCursorChanged
 | Create
 | Destroy
TControl
pt | WSRegisterClass
pt | GetCursor
pt | SetCursor
pt | SetVisible
pt | DoOnParentHandleDestruction
pt | DoAutoSize
pt | DoAllAutoSize
pt | BeginAutoSizing
pt | EndAutoSizing
pt | AnchorSideChanged
pt | ForeignAnchorSideChanged
pt | SetAlign
pt | SetAnchors
pt | SetAutoSize
pt | BoundsChanged
pt | CreateControlBorderSpacing
pt | DoConstraintsChange
pt | DoBorderSpacingChange
pt | IsBorderSpacingInnerBorderStored
pt | IsCaptionStored
pt | SendMoveSizeMessages
pt | ConstrainedResize
pt | CalculatePreferredSize
pt | DoOnResize
pt | DoOnChangeBounds
pt | CheckOnChangeBounds
pt | Resize
pt | RequestAlign
pt | UpdateAnchorRules
pt | ChangeBounds
pt | DoSetBounds
pt | ScaleConstraints
pt | ChangeScale
pt | CanAutoSize
pt | SetBiDiMode
pt | SetParentBiDiMode
pt | IsAParentAligning
pt | GetClientOrigin
pt | GetClientRect
pt | GetLogicalClientRect
pt | GetScrolledClientRect
pt | GetClientScrollOffset
pt | GetControlOrigin
pt | IsClientHeightStored
pt | IsClientWidthStored
pt | WidthIsAnchored
pt | HeightIsAnchored
pt | WMCancelMode
pt | WMContextMenu
pt | WMLButtonDown
pt | WMRButtonDown
pt | WMMButtonDown
pt | WMXButtonDown
pt | WMLButtonDBLCLK
pt | WMRButtonDBLCLK
pt | WMMButtonDBLCLK
pt | WMXButtonDBLCLK
pt | WMLButtonTripleCLK
pt | WMRButtonTripleCLK
pt | WMMButtonTripleCLK
pt | WMXButtonTripleCLK
pt | WMLButtonQuadCLK
pt | WMRButtonQuadCLK
pt | WMMButtonQuadCLK
pt | WMXButtonQuadCLK
pt | WMMouseMove
pt | WMLButtonUp
pt | WMRButtonUp
pt | WMMButtonUp
pt | WMXButtonUp
pt | WMMouseWheel
pt | WMMouseHWheel
pt | WMMove
pt | WMSize
pt | WMWindowPosChanged
pt | CMChanged
pt | LMCaptureChanged
pt | CMBiDiModeChanged
pt | CMSysFontChanged
pt | CMEnabledChanged
pt | CMHitTest
pt | CMMouseEnter
pt | CMMouseLeave
pt | CMHintShow
pt | CMParentBiDiModeChanged
pt | CMParentColorChanged
pt | CMParentFontChanged
pt | CMParentShowHintChanged
pt | CMVisibleChanged
pt | CMTextChanged
pt | CMCursorChanged
pt | CalculateDockSizes
pt | CreateFloatingDockSite
pt | GetDockEdge
pt | GetDragImages
pt | GetFloating
pt | GetFloatingDockSiteClass
pt | BeforeDragStart
pt | BeginAutoDrag
pt | DoFloatMsg
pt | DockTrackNoTarget
pt | DoDock
pt | DoDragMsg
pt | DoEndDock
pt | DoEndDrag
pt | DoStartDock
pt | DoStartDrag
pt | DragCanceled
pt | DragOver
pt | PositionDockRect
pt | SetDragMode
pt | GetDefaultDockCaption
pt | Click
pt | DblClick
pt | TripleClick
pt | QuadClick
pt | GetMousePosFromMessage
pt | MouseDown
pt | MouseMove
pt | MouseUp
pt | MouseEnter
pt | MouseLeave
pt | DialogChar
pt | UpdateMouseCursor
pt | Changed
pt | GetPalette
pt | ChildClassAllowed
pt | ReadState
pt | Loaded
pt | LoadedAll
pt | DefineProperties
pt | AssignTo
pt | FormEndUpdated
pt | InvalidateControl
pt | FontChanged
pt | ParentFontChanged
pt | GetAction
pt | RealGetText
pt | RealSetText
pt | TextChanged
pt | GetCachedText
pt | SetAction
pt | SetColor
pt | SetEnabled
pt | SetHint
pt | SetName
pt | SetParent
pt | SetParentComponent
pt | WndProc
pt | ParentFormHandleInitialized
pt | GetMouseCapture
pt | CaptureChanged
pt | Notification
pt | CanTab
pt | GetDeviceContext
pt | GetEnabled
pt | GetPopupMenu
pt | DoOnShowHint
pt | DoMouseWheel
pt | DoMouseWheelDown
pt | DoMouseWheelUp
pt | DoMouseWheelHorz
pt | DoMouseWheelLeft
pt | DoMouseWheelRight
pt | VisibleChanging
pt | VisibleChanged
pt | EnabledChanging
pt | EnabledChanged
pt | AddHandler
pt | RemoveHandler
pt | DoCallNotifyHandler
pt | DoCallKeyEventHandler
pt | DoCallMouseWheelEventHandler
pt | DoContextPopup
pt | SetZOrder
pt | GetControlClassDefaultSize
pt | ColorIsStored
pt | DoAutoAdjustLayout
pt | DoFixDesignFontPPI
pt | DoScaleFontPPI
pt | GetActionLinkClass
pt | ActionChange
 | DragDrop
 | Dock
 | ManualDock
 | ManualFloat
 | ReplaceDockedControl
 | Docked
 | Dragging
 | GetAccessibleObject
 | CreateAccessibleObject
 | GetSelectedChildAccessibleObject
 | GetChildAccessibleObjectAtPos
 | ScaleDesignToForm
 | ScaleFormToDesign
 | Scale96ToForm
 | ScaleFormTo96
 | Scale96ToFont
 | ScaleFontTo96
 | ScaleScreenToFont
 | ScaleFontToScreen
 | Scale96ToScreen
 | ScaleScreenTo96
 | AdjustSize
 | AutoSizePhases
 | AutoSizeDelayed
 | AutoSizeDelayedReport
 | AutoSizeDelayedHandle
 | AnchorToNeighbour
 | AnchorParallel
 | AnchorHorizontalCenterTo
 | AnchorVerticalCenterTo
 | AnchorToCompanion
 | AnchorSame
 | AnchorAsAlign
 | AnchorClient
 | AnchoredControlCount
 | SetBounds
 | SetInitialBounds
 | SetBoundsKeepBase
 | GetPreferredSize
 | GetCanvasScaleFactor
 | GetDefaultWidth
 | GetDefaultHeight
 | GetDefaultColor
 | GetColorResolvingParent
 | GetRGBColorResolvingParent
 | GetSidePosition
 | CNPreferredSizeChanged
 | InvalidatePreferredSize
 | GetAnchorsDependingOnParent
 | DisableAutoSizing
 | EnableAutoSizing
 | UpdateBaseBounds
 | WriteLayoutDebugReport
 | AutoAdjustLayout
 | ShouldAutoAdjust
 | FixDesignFontsPPI
 | ScaleFontsPPI
 | Create
 | Destroy
 | BeforeDestruction
 | EditingDone
 | ExecuteDefaultAction
 | ExecuteCancelAction
 | BeginDrag
 | EndDrag
 | BringToFront
 | HasParent
 | GetParentComponent
 | IsParentOf
 | GetTopParent
 | IsVisible
 | IsControlVisible
 | IsEnabled
 | IsParentColor
 | IsParentFont
 | FormIsUpdating
 | IsProcessingPaintMsg
 | Hide
 | Refresh
 | Repaint
 | Invalidate
 | CheckChildClassAllowed
 | CheckNewParent
 | SendToBack
 | SetTempCursor
 | UpdateRolesForForm
 | ActiveDefaultControlChanged
 | GetTextBuf
 | GetTextLen
 | SetTextBuf
 | Perform
 | ScreenToClient
 | ClientToScreen
 | ScreenToControl
 | ControlToScreen
 | ClientToParent
 | ParentToClient
 | GetChildrenRect
 | Show
 | Update
 | HandleObjectShouldBeVisible
 | ParentDestroyingHandle
 | ParentHandlesAllocated
 | InitiateAction
 | ShowHelp
 | HasHelp
 | RemoveAllHandlersOfObject
 | AddHandlerOnResize
 | RemoveHandlerOnResize
 | AddHandlerOnChangeBounds
 | RemoveHandlerOnChangeBounds
 | AddHandlerOnVisibleChanging
 | RemoveHandlerOnVisibleChanging
 | AddHandlerOnVisibleChanged
 | RemoveHandlerOnVisibleChanged
 | AddHandlerOnEnabledChanged
 | RemoveHandlerOnEnableChanging
 | AddHandlerOnKeyDown
 | RemoveHandlerOnKeyDown
 | AddHandlerOnBeforeDestruction
 | RemoveHandlerOnBeforeDestruction
 | AddHandlerOnMouseWheel
 | RemoveHandlerOnMouseWheel
 | UseRightToLeftAlignment
 | UseRightToLeftReading
 | UseRightToLeftScrollBar
 | IsRightToLeft
TLCLComponent
pt | WSRegisterClass
pt | GetWSComponentClass
 | Create
 | Destroy
 | NewInstance
 | RemoveAllHandlersOfObject
 | IncLCLRefCount
 | DecLCLRefCount
TComponent
 | GetComObject
 | GetComponent
 | GetComponentCount
 | GetComponentIndex
 | Insert
 | ReadLeft
 | ReadTop
 | Remove
 | RemoveNotification
 | SetComponentIndex
 | SetReference
 | WriteLeft
 | WriteTop
 | ChangeName
 | DefineProperties
 | GetChildren
 | GetChildOwner
 | GetChildParent
 | GetOwner
 | Loaded
 | Loading
 | Notification
 | PaletteCreated
 | ReadState
 | SetAncestor
 | SetDesigning
 | SetDesignInstance
 | SetInline
 | SetName
 | SetChildOrder
 | SetParentComponent
 | Updating
 | Updated
 | UpdateRegistry
 | ValidateRename
 | ValidateContainer
 | ValidateInsert
 | QueryInterface
 | _AddRef
 | _Release
 | iicrGetComponent
 | GetTypeInfoCount
 | GetTypeInfo
 | GetIDsOfNames
 | Invoke
 | WriteState
 | Create
 | Destroy
 | BeforeDestruction
 | DestroyComponents
 | Destroying
 | ExecuteAction
 | FindComponent
 | FreeNotification
 | RemoveFreeNotification
 | FreeOnRelease
 | GetEnumerator
 | GetNamePath
 | GetParentComponent
 | HasParent
 | InsertComponent
 | RemoveComponent
 | SafeCallException
 | SetSubComponent
 | UpdateAction
 | IsImplementorOf
 | ReferenceInterface
TPersistent
 | AssignError
 | AssignTo
 | DefineProperties
 | GetOwner
 | Destroy
 | Assign
 | FPOAttachObserver
 | FPODetachObserver
 | FPONotifyObservers
 | GetNamePath
TObject
 | Create
 | Destroy
 | newinstance
 | FreeInstance
 | SafeCallException
 | DefaultHandler
 | Free
 | InitInstance
 | CleanupInstance
 | ClassType
 | ClassInfo
 | ClassName
 | ClassNameIs
 | ClassParent
 | InstanceSize
 | InheritsFrom
 | StringMessageTable
 | MethodAddress
 | MethodName
 | FieldAddress
 | AfterConstruction
 | BeforeDestruction
 | DefaultHandlerStr
 | Dispatch
 | DispatchStr
 | GetInterface
 | GetInterfaceByStr
 | GetInterfaceWeak
 | GetInterfaceEntry
 | GetInterfaceEntryByStr
 | GetInterfaceTable
 | UnitName
 | Equals
 | GetHashCode
 | ToString


pt | ActionChange (TControl)
 | ActiveDefaultControlChanged (TControl)
pt | AddHandler (TControl)
 | AddHandlerOnBeforeDestruction (TControl)
 | AddHandlerOnChangeBounds (TControl)
 | AddHandlerOnEnabledChanged (TControl)
 | AddHandlerOnKeyDown (TControl)
 | AddHandlerOnMouseWheel (TControl)
 | AddHandlerOnResize (TControl)
 | AddHandlerOnVisibleChanged (TControl)
 | AddHandlerOnVisibleChanging (TControl)
 | AdjustSize (TControl)
 | AfterConstruction (TObject)
 | AnchorAsAlign (TControl)
 | AnchorClient (TControl)
 | AnchoredControlCount (TControl)
 | AnchorHorizontalCenterTo (TControl)
 | AnchorParallel (TControl)
 | AnchorSame (TControl)
pt | AnchorSideChanged (TControl)
 | AnchorToCompanion (TControl)
 | AnchorToNeighbour (TControl)
 | AnchorVerticalCenterTo (TControl)
 | Assign (TPersistent)
 | AssignError (TPersistent)
 | AssignTo (TPersistent)
pt | AssignTo (TControl)
 | AutoAdjustLayout (TControl)
 | AutoSizeDelayed (TControl)
 | AutoSizeDelayedHandle (TControl)
 | AutoSizeDelayedReport (TControl)
 | AutoSizePhases (TControl)
 | BeforeDestruction (TObject)
 | BeforeDestruction (TComponent)
 | BeforeDestruction (TControl)
pt | BeforeDragStart (TControl)
pt | BeginAutoDrag (TControl)
pt | BeginAutoSizing (TControl)
 | BeginDrag (TControl)
pt | BoundsChanged (TControl)
 | BringToFront (TControl)
pt | CalculateDockSizes (TControl)
pt | CalculatePreferredSize (TControl)
pt | CanAutoSize (TControl)
pt | CanTab (TControl)
pt | CaptureChanged (TControl)
pt | ChangeBounds (TControl)
pt | Changed (TControl)
 | ChangeName (TComponent)
pt | ChangeScale (TControl)
 | CheckChildClassAllowed (TControl)
 | CheckNewParent (TControl)
pt | CheckOnChangeBounds (TControl)
pt | ChildClassAllowed (TControl)
 | ClassInfo (TObject)
 | ClassName (TObject)
 | ClassNameIs (TObject)
 | ClassParent (TObject)
 | ClassType (TObject)
 | CleanupInstance (TObject)
pt | Click (TControl)
 | ClientToParent (TControl)
 | ClientToScreen (TControl)
pt | CMBiDiModeChanged (TControl)
pt | CMChanged (TControl)
pt | CMCursorChanged (TControl)
pt | CMCursorChanged (TGraphicControl)
pt | CMEnabledChanged (TControl)
pt | CMHintShow (TControl)
pt | CMHitTest (TControl)
pt | CMMouseEnter (TControl)
pt | CMMouseLeave (TControl)
pt | CMParentBiDiModeChanged (TControl)
pt | CMParentColorChanged (TControl)
pt | CMParentFontChanged (TControl)
pt | CMParentShowHintChanged (TControl)
pt | CMSysFontChanged (TControl)
pt | CMTextChanged (TControl)
pt | CMVisibleChanged (TControl)
 | CNPreferredSizeChanged (TControl)
pt | ColorIsStored (TControl)
pt | ConstrainedResize (TControl)
 | ControlToScreen (TControl)
 | Create (TObject)
 | Create (TComponent)
 | Create (TLCLComponent)
 | Create (TControl)
 | Create (TGraphicControl)
 | Create (TIndustrialBase)
 | Create (TArrow)
 | CreateAccessibleObject (TControl)
pt | CreateControlBorderSpacing (TControl)
pt | CreateFloatingDockSite (TControl)
pt | DblClick (TControl)
 | DecLCLRefCount (TLCLComponent)
 | DefaultHandler (TObject)
 | DefaultHandlerStr (TObject)
 | DefineProperties (TPersistent)
 | DefineProperties (TComponent)
pt | DefineProperties (TControl)
 | Destroy (TObject)
 | Destroy (TPersistent)
 | Destroy (TComponent)
 | Destroy (TLCLComponent)
 | Destroy (TControl)
 | Destroy (TGraphicControl)
 | DestroyComponents (TComponent)
 | Destroying (TComponent)
pt | DialogChar (TControl)
 | DisableAutoSizing (TControl)
 | Dispatch (TObject)
 | DispatchStr (TObject)
pt | DoAllAutoSize (TControl)
pt | DoAutoAdjustLayout (TControl)
pt | DoAutoSize (TControl)
pt | DoBorderSpacingChange (TControl)
pt | DoCallKeyEventHandler (TControl)
pt | DoCallMouseWheelEventHandler (TControl)
pt | DoCallNotifyHandler (TControl)
 | Dock (TControl)
 | Docked (TControl)
pt | DockTrackNoTarget (TControl)
pt | DoConstraintsChange (TControl)
pt | DoContextPopup (TControl)
pt | DoDock (TControl)
pt | DoDragMsg (TControl)
pt | DoEndDock (TControl)
pt | DoEndDrag (TControl)
pt | DoFixDesignFontPPI (TControl)
pt | DoFloatMsg (TControl)
pt | DoMouseWheel (TControl)
pt | DoMouseWheelDown (TControl)
pt | DoMouseWheelHorz (TControl)
pt | DoMouseWheelLeft (TControl)
pt | DoMouseWheelRight (TControl)
pt | DoMouseWheelUp (TControl)
pt | DoOnChangeBounds (TControl)
pt | DoOnChangeBounds (TGraphicControl)
pt | DoOnParentHandleDestruction (TControl)
pt | DoOnParentHandleDestruction (TGraphicControl)
pt | DoOnResize (TControl)
pt | DoOnShowHint (TControl)
pt | DoScaleFontPPI (TControl)
pt | DoSetBounds (TControl)
pt | DoStartDock (TControl)
pt | DoStartDrag (TControl)
pt | DragCanceled (TControl)
 | DragDrop (TControl)
 | Dragging (TControl)
pt | DragOver (TControl)
 | EditingDone (TControl)
 | EnableAutoSizing (TControl)
pt | EnabledChanged (TControl)
pt | EnabledChanging (TControl)
pt | EndAutoSizing (TControl)
 | EndDrag (TControl)
 | Equals (TObject)
 | ExecuteAction (TComponent)
 | ExecuteCancelAction (TControl)
 | ExecuteDefaultAction (TControl)
 | FieldAddress (TObject)
 | FindComponent (TComponent)
 | FixDesignFontsPPI (TControl)
pt | FontChanged (TControl)
pt | FontChanged (TGraphicControl)
pt | ForeignAnchorSideChanged (TControl)
pt | FormEndUpdated (TControl)
 | FormIsUpdating (TControl)
 | FPOAttachObserver (TPersistent)
 | FPODetachObserver (TPersistent)
 | FPONotifyObservers (TPersistent)
 | Free (TObject)
 | FreeInstance (TObject)
 | FreeNotification (TComponent)
 | FreeOnRelease (TComponent)
 | GetAccessibleObject (TControl)
pt | GetAction (TControl)
pt | GetActionLinkClass (TControl)
 | GetAnchorsDependingOnParent (TControl)
pt | GetCachedText (TControl)
 | GetCanvasScaleFactor (TControl)
 | GetChildAccessibleObjectAtPos (TControl)
 | GetChildOwner (TComponent)
 | GetChildParent (TComponent)
 | GetChildren (TComponent)
 | GetChildrenRect (TControl)
pt | GetClientOrigin (TControl)
pt | GetClientRect (TControl)
pt | GetClientScrollOffset (TControl)
 | GetColorResolvingParent (TControl)
 | GetComObject (TComponent)
 | GetComponent (TComponent)
 | GetComponentCount (TComponent)
 | GetComponentIndex (TComponent)
pt | GetControlClassDefaultSize (TControl)
pt | GetControlClassDefaultSize (TArrow)
pt | GetControlOrigin (TControl)
pt | GetCursor (TControl)
 | GetDefaultColor (TControl)
pt | GetDefaultDockCaption (TControl)
 | GetDefaultHeight (TControl)
 | GetDefaultWidth (TControl)
pt | GetDeviceContext (TControl)
pt | GetDockEdge (TControl)
pt | GetDragImages (TControl)
pt | GetEnabled (TControl)
 | GetEnumerator (TComponent)
pt | GetFloating (TControl)
pt | GetFloatingDockSiteClass (TControl)
 | GetHashCode (TObject)
 | GetIDsOfNames (TComponent)
 | GetInterface (TObject)
 | GetInterfaceByStr (TObject)
 | GetInterfaceEntry (TObject)
 | GetInterfaceEntryByStr (TObject)
 | GetInterfaceTable (TObject)
 | GetInterfaceWeak (TObject)
pt | GetLogicalClientRect (TControl)
pt | GetMouseCapture (TControl)
pt | GetMousePosFromMessage (TControl)
 | GetNamePath (TPersistent)
 | GetNamePath (TComponent)
 | GetOwner (TPersistent)
 | GetOwner (TComponent)
pt | GetPalette (TControl)
 | GetParentComponent (TComponent)
 | GetParentComponent (TControl)
pt | GetPopupMenu (TControl)
 | GetPreferredSize (TControl)
 | GetRGBColorResolvingParent (TControl)
pt | GetScrolledClientRect (TControl)
 | GetSelectedChildAccessibleObject (TControl)
 | GetSidePosition (TControl)
 | GetTextBuf (TControl)
 | GetTextLen (TControl)
 | GetTopParent (TControl)
 | GetTypeInfo (TComponent)
 | GetTypeInfoCount (TComponent)
pt | GetWSComponentClass (TLCLComponent)
pt | GraphicChanged (TIndustrialBase)
 | HandleObjectShouldBeVisible (TControl)
 | HasHelp (TControl)
 | HasParent (TComponent)
 | HasParent (TControl)
pt | HeightIsAnchored (TControl)
 | Hide (TControl)
 | iicrGetComponent (TComponent)
 | IncLCLRefCount (TLCLComponent)
 | InheritsFrom (TObject)
 | InitiateAction (TControl)
 | InitInstance (TObject)
 | Insert (TComponent)
 | InsertComponent (TComponent)
 | InstanceSize (TObject)
 | Invalidate (TControl)
pt | InvalidateControl (TControl)
 | InvalidatePreferredSize (TControl)
 | Invoke (TComponent)
pt | IsAParentAligning (TControl)
pt | IsBorderSpacingInnerBorderStored (TControl)
pt | IsCaptionStored (TControl)
pt | IsClientHeightStored (TControl)
pt | IsClientWidthStored (TControl)
 | IsControlVisible (TControl)
 | IsEnabled (TControl)
 | IsImplementorOf (TComponent)
 | IsParentColor (TControl)
 | IsParentFont (TControl)
 | IsParentOf (TControl)
 | IsProcessingPaintMsg (TControl)
 | IsRightToLeft (TControl)
 | IsVisible (TControl)
pt | LMCaptureChanged (TControl)
 | Loaded (TComponent)
pt | Loaded (TControl)
pt | LoadedAll (TControl)
 | Loading (TComponent)
 | ManualDock (TControl)
 | ManualFloat (TControl)
 | MethodAddress (TObject)
 | MethodName (TObject)
pt | MouseDown (TControl)
pt | MouseEnter (TControl)
pt | MouseLeave (TControl)
pt | MouseMove (TControl)
pt | MouseUp (TControl)
 | newinstance (TObject)
 | NewInstance (TLCLComponent)
 | Notification (TComponent)
pt | Notification (TControl)
pt | Paint (TGraphicControl)
pt | Paint (TArrow)
 | PaletteCreated (TComponent)
 | ParentDestroyingHandle (TControl)
pt | ParentFontChanged (TControl)
pt | ParentFormHandleInitialized (TControl)
 | ParentHandlesAllocated (TControl)
 | ParentToClient (TControl)
 | Perform (TControl)
pt | PositionDockRect (TControl)
pt | QuadClick (TControl)
 | QueryInterface (TComponent)
 | ReadLeft (TComponent)
 | ReadState (TComponent)
pt | ReadState (TControl)
 | ReadTop (TComponent)
pt | RealGetText (TControl)
pt | RealSetText (TControl)
 | ReferenceInterface (TComponent)
 | Refresh (TControl)
 | Remove (TComponent)
 | RemoveAllHandlersOfObject (TLCLComponent)
 | RemoveAllHandlersOfObject (TControl)
 | RemoveComponent (TComponent)
 | RemoveFreeNotification (TComponent)
pt | RemoveHandler (TControl)
 | RemoveHandlerOnBeforeDestruction (TControl)
 | RemoveHandlerOnChangeBounds (TControl)
 | RemoveHandlerOnEnableChanging (TControl)
 | RemoveHandlerOnKeyDown (TControl)
 | RemoveHandlerOnMouseWheel (TControl)
 | RemoveHandlerOnResize (TControl)
 | RemoveHandlerOnVisibleChanged (TControl)
 | RemoveHandlerOnVisibleChanging (TControl)
 | RemoveNotification (TComponent)
 | Repaint (TControl)
 | ReplaceDockedControl (TControl)
pt | RequestAlign (TControl)
pt | Resize (TControl)
 | SafeCallException (TObject)
 | SafeCallException (TComponent)
 | Scale96ToFont (TControl)
 | Scale96ToForm (TControl)
 | Scale96ToScreen (TControl)
pt | ScaleConstraints (TControl)
 | ScaleDesignToForm (TControl)
 | ScaleFontsPPI (TControl)
 | ScaleFontTo96 (TControl)
 | ScaleFontToScreen (TControl)
 | ScaleFormTo96 (TControl)
 | ScaleFormToDesign (TControl)
 | ScaleScreenTo96 (TControl)
 | ScaleScreenToFont (TControl)
 | ScreenToClient (TControl)
 | ScreenToControl (TControl)
pt | SendMoveSizeMessages (TControl)
 | SendToBack (TControl)
pt | SetAction (TControl)
pt | SetAlign (TControl)
 | SetAncestor (TComponent)
pt | SetAnchors (TControl)
pt | SetAutoSize (TControl)
pt | SetBiDiMode (TControl)
 | SetBounds (TControl)
 | SetBoundsKeepBase (TControl)
 | SetChildOrder (TComponent)
pt | SetColor (TControl)
 | SetComponentIndex (TComponent)
pt | SetCursor (TControl)
 | SetDesigning (TComponent)
 | SetDesignInstance (TComponent)
pt | SetDragMode (TControl)
pt | SetEnabled (TControl)
pt | SetHint (TControl)
 | SetInitialBounds (TControl)
 | SetInline (TComponent)
 | SetName (TComponent)
pt | SetName (TControl)
pt | SetParent (TControl)
pt | SetParentBiDiMode (TControl)
 | SetParentComponent (TComponent)
pt | SetParentComponent (TControl)
 | SetReference (TComponent)
 | SetSubComponent (TComponent)
 | SetTempCursor (TControl)
 | SetTextBuf (TControl)
pt | SetVisible (TControl)
pt | SetZOrder (TControl)
 | ShouldAutoAdjust (TControl)
 | Show (TControl)
 | ShowHelp (TControl)
 | StringMessageTable (TObject)
pt | TextChanged (TControl)
 | ToString (TObject)
pt | TripleClick (TControl)
 | UnitName (TObject)
 | Update (TControl)
 | UpdateAction (TComponent)
pt | UpdateAnchorRules (TControl)
 | UpdateBaseBounds (TControl)
 | Updated (TComponent)
pt | UpdateMouseCursor (TControl)
 | UpdateRegistry (TComponent)
 | UpdateRolesForForm (TControl)
 | Updating (TComponent)
 | UseRightToLeftAlignment (TControl)
 | UseRightToLeftReading (TControl)
 | UseRightToLeftScrollBar (TControl)
 | ValidateContainer (TComponent)
 | ValidateInsert (TComponent)
 | ValidateRename (TComponent)
pt | VisibleChanged (TControl)
pt | VisibleChanging (TControl)
pt | WidthIsAnchored (TControl)
pt | WMCancelMode (TControl)
pt | WMContextMenu (TControl)
pt | WMLButtonDBLCLK (TControl)
pt | WMLButtonDown (TControl)
pt | WMLButtonQuadCLK (TControl)
pt | WMLButtonTripleCLK (TControl)
pt | WMLButtonUp (TControl)
pt | WMMButtonDBLCLK (TControl)
pt | WMMButtonDown (TControl)
pt | WMMButtonQuadCLK (TControl)
pt | WMMButtonTripleCLK (TControl)
pt | WMMButtonUp (TControl)
pt | WMMouseHWheel (TControl)
pt | WMMouseMove (TControl)
pt | WMMouseWheel (TControl)
pt | WMMove (TControl)
pt | WMRButtonDBLCLK (TControl)
pt | WMRButtonDown (TControl)
pt | WMRButtonQuadCLK (TControl)
pt | WMRButtonTripleCLK (TControl)
pt | WMRButtonUp (TControl)
pt | WMSize (TControl)
pt | WMWindowPosChanged (TControl)
pt | WMXButtonDBLCLK (TControl)
pt | WMXButtonDown (TControl)
pt | WMXButtonQuadCLK (TControl)
pt | WMXButtonTripleCLK (TControl)
pt | WMXButtonUp (TControl)
pt | WndProc (TControl)
 | WriteLayoutDebugReport (TControl)
 | WriteLeft (TComponent)
 | WriteState (TComponent)
 | WriteTop (TComponent)
pt | WSRegisterClass (TLCLComponent)
pt | WSRegisterClass (TControl)
pt | WSRegisterClass (TGraphicControl)
 | _AddRef (TComponent)
 | _Release (TComponent)


TArrow
pl | ro | OnChangeBounds
pl | ro | OnClick
pl | ro | OnContextPopup
pl | ro | OnDblClick
pl | ro | OnDragDrop
pl | ro | OnDragOver
pl | ro | OnEndDrag
pl | ro | OnMouseDown
pl | ro | OnMouseEnter
pl | ro | OnMouseLeave
pl | ro | OnMouseMove
pl | ro | OnMouseUp
pl | ro | OnMouseWheel
pl | ro | OnMouseWheelDown
pl | ro | OnMouseWheelUp
pl | ro | OnMouseWheelHorz
pl | ro | OnMouseWheelLeft
pl | ro | OnMouseWheelRight
pl | ro | OnPaint
pl | ro | OnResize
pl | ro | OnStartDrag
TIndustrialBase
TGraphicControl
pt |  | OnPaint
TControl
pt |  | OnConstrainedResize
pt |  | OnContextPopup
pt |  | OnDblClick
pt |  | OnTripleClick
pt |  | OnQuadClick
pt |  | OnDragDrop
pt |  | OnDragOver
pt |  | OnEndDock
pt |  | OnEndDrag
pt |  | OnMouseDown
pt |  | OnMouseMove
pt |  | OnMouseUp
pt |  | OnMouseEnter
pt |  | OnMouseLeave
pt |  | OnMouseWheel
pt |  | OnMouseWheelDown
pt |  | OnMouseWheelUp
pt |  | OnMouseWheelHorz
pt |  | OnMouseWheelLeft
pt |  | OnMouseWheelRight
pt |  | OnStartDock
pt |  | OnStartDrag
pt |  | OnEditingDone
 |  | OnChangeBounds
 |  | OnClick
 |  | OnResize
 |  | OnShowHint
TLCLComponent
TComponent
TPersistent
TObject


pl | ro | OnChangeBounds (TArrow)
 |  | OnClick (TControl)
pl | ro | OnClick (TArrow)
pt |  | OnConstrainedResize (TControl)
pt |  | OnContextPopup (TControl)
pl | ro | OnContextPopup (TArrow)
pt |  | OnDblClick (TControl)
pl | ro | OnDblClick (TArrow)
pt |  | OnDragDrop (TControl)
pl | ro | OnDragDrop (TArrow)
pt |  | OnDragOver (TControl)
pl | ro | OnDragOver (TArrow)
pt |  | OnEditingDone (TControl)
pt |  | OnEndDock (TControl)
pt |  | OnEndDrag (TControl)
pl | ro | OnEndDrag (TArrow)
pt |  | OnMouseDown (TControl)
pl | ro | OnMouseDown (TArrow)
pt |  | OnMouseEnter (TControl)
pl | ro | OnMouseEnter (TArrow)
pt |  | OnMouseLeave (TControl)
pl | ro | OnMouseLeave (TArrow)
pt |  | OnMouseMove (TControl)
pl | ro | OnMouseMove (TArrow)
pt |  | OnMouseUp (TControl)
pl | ro | OnMouseUp (TArrow)
pt |  | OnMouseWheel (TControl)
pl | ro | OnMouseWheel (TArrow)
pt |  | OnMouseWheelDown (TControl)
pl | ro | OnMouseWheelDown (TArrow)
pt |  | OnMouseWheelHorz (TControl)
pl | ro | OnMouseWheelHorz (TArrow)
pt |  | OnMouseWheelLeft (TControl)
pl | ro | OnMouseWheelLeft (TArrow)
pt |  | OnMouseWheelRight (TControl)
pl | ro | OnMouseWheelRight (TArrow)
pt |  | OnMouseWheelUp (TControl)
pl | ro | OnMouseWheelUp (TArrow)
pt |  | OnPaint (TGraphicControl)
pl | ro | OnPaint (TArrow)
pt |  | OnQuadClick (TControl)
 |  | OnResize (TControl)
pl | ro | OnResize (TArrow)
 |  | OnShowHint (TControl)
pt |  | OnStartDock (TControl)
pt |  | OnStartDrag (TControl)
pl | ro | OnStartDrag (TArrow)
pt |  | OnTripleClick (TControl)


TArrow.ArrowColor

Declaration

Source position: arrow.pp line 56

published property TArrow.ArrowColor : TColor
  read FArrowColor
  write SetArrowColor
  default clBlack;


TArrow.ArrowPointerAngle

Declaration

Source position: arrow.pp line 58

published property TArrow.ArrowPointerAngle : Integer
  read FArrowAngle
  write SetArrowAngle
  default 60;


TArrow.ArrowType

ArrowType - pointing up, down, left or right

Declaration

Source position: arrow.pp line 57

published property TArrow.ArrowType : TArrowType
  read FArrowType
  write SetArrowType
  default atLeft;


TArrow.Color

Declaration

Source position: arrow.pp line 60

published property TArrow.Color : TColor;


TArrow.Constraints

Declaration

Source position: arrow.pp line 61

published property TArrow.Constraints : TSizeConstraints;


TArrow.Enabled

Declaration

Source position: arrow.pp line 62

published property TArrow.Enabled : Boolean;


TArrow.Hint

Declaration

Source position: arrow.pp line 63

published property TArrow.Hint : TTranslateString;


TArrow.OnDragDrop

Declaration

Source position: arrow.pp line 68

published property TArrow.OnDragDrop : TDragDropEvent;


TArrow.OnDragOver

Declaration

Source position: arrow.pp line 69

published property TArrow.OnDragOver : TDragOverEvent;


TArrow.OnEndDrag

Declaration

Source position: arrow.pp line 70

published property TArrow.OnEndDrag : TEndDragEvent;


TArrow.OnMouseEnter

Declaration

Source position: arrow.pp line 72

published property TArrow.OnMouseEnter : TNotifyEvent;


TArrow.OnMouseLeave

Declaration

Source position: arrow.pp line 73

published property TArrow.OnMouseLeave : TNotifyEvent;


TArrow.OnMouseWheel

Declaration

Source position: arrow.pp line 76

published property TArrow.OnMouseWheel : TMouseWheelEvent;


TArrow.OnMouseWheelDown

Declaration

Source position: arrow.pp line 77

published property TArrow.OnMouseWheelDown : TMouseWheelUpDownEvent;


TArrow.OnMouseWheelHorz

Declaration

Source position: arrow.pp line 79

published property TArrow.OnMouseWheelHorz : TMouseWheelEvent;


TArrow.OnMouseWheelLeft

Declaration

Source position: arrow.pp line 80

published property TArrow.OnMouseWheelLeft : TMouseWheelUpDownEvent;


TArrow.OnMouseWheelRight

Declaration

Source position: arrow.pp line 81

published property TArrow.OnMouseWheelRight : TMouseWheelUpDownEvent;


TArrow.OnMouseWheelUp

Declaration

Source position: arrow.pp line 78

published property TArrow.OnMouseWheelUp : TMouseWheelUpDownEvent;


TArrow.OnPaint

Declaration

Source position: arrow.pp line 82

published property TArrow.OnPaint : TNotifyEvent;


TArrow.OnStartDrag

Declaration

Source position: arrow.pp line 84

published property TArrow.OnStartDrag : TStartDragEvent;


TArrow.ParentColor

Declaration

Source position: arrow.pp line 85

published property TArrow.ParentColor : Boolean;


TArrow.ParentShowHint

Declaration

Source position: arrow.pp line 86

published property TArrow.ParentShowHint : Boolean;


TArrow.ShadowColor

Declaration

Source position: arrow.pp line 89

published property TArrow.ShadowColor : TColor
  read FShadowColor
  write SetShadowColor
  default cl3DShadow;


TArrow.ShadowType

ShadowType - the type of shadowing: None, In, Out, EtchedIn, EtchedOut

Declaration

Source position: arrow.pp line 88

published property TArrow.ShadowType : TShadowType
  read FShadowType
  write SetShadowType
  default stEtchedIn;


TArrow.ShowHint

Declaration

Source position: arrow.pp line 90

published property TArrow.ShowHint : Boolean;


TArrowType

Declaration

Source position: arrow.pp line 26

type TArrowType = (

  atUp,

  atDown,

  atLeft,

  atRight

);


TAsyncProcess

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Declaration

Source position: asyncprocess.pp line 35

type TAsyncProcess = class(TProcessUTF8)

protected

  function GetNumBytesAvailable;

  procedure HandlePipeInput();

  procedure HandleProcessTermination();

  procedure UnhookPipeHandle;

  procedure UnhookProcessHandle;

public

  procedure Execute; override;

  destructor Destroy; override;

  property NumBytesAvailable: dword; [r]

published

  property OnReadData: TNotifyEvent; [rw]

  property OnTerminate: TNotifyEvent; [rw]

end;

Inheritance

TAsyncProcess

|

TProcessUTF8
|

TProcess
|

TComponent,IUnknown,IInterfaceComponentReference
|

TPersistent,IFPObserved
|

TObject


TAsyncProcess
 | ro | NumBytesAvailable
TProcessUTF8
 |  | ApplicationName
 |  | CommandLine
 |  | ConsoleTitle
 |  | CurrentDirectory
 |  | Desktop
 |  | Environment
 |  | Executable
 |  | Parameters
TProcess
 |  | WindowRect
 | ro | Handle
 | ro | ProcessHandle
 | ro | ThreadHandle
 | ro | ProcessID
 | ro | ThreadID
 | ro | Input
 | ro | Output
 | ro | Stderr
 | ro | ExitStatus
 | ro | ExitCode
 |  | InheritHandles
 |  | PipeBufferSize
 |  | Active
 |  | ApplicationName
 |  | CommandLine
 |  | Executable
 |  | Parameters
 |  | ConsoleTitle
 |  | CurrentDirectory
 |  | Desktop
 |  | Environment
 |  | Options
 |  | Priority
 |  | StartupOptions
 | ro | Running
 |  | ShowWindow
 |  | WindowColumns
 |  | WindowHeight
 |  | WindowLeft
 |  | WindowRows
 |  | WindowTop
 |  | WindowWidth
 |  | FillAttribute
 |  | XTermProgram
TComponent
 | ro | ComObject
 | ro | Components
 | ro | ComponentCount
 |  | ComponentIndex
 | ro | ComponentState
 | ro | ComponentStyle
 |  | DesignInfo
 | ro | Owner
 |  | VCLComObject
 |  | Name
 |  | Tag
TPersistent
TObject


 | Active (TProcess)
 | ApplicationName (TProcess)
 | ApplicationName (TProcessUTF8)
 | CommandLine (TProcess)
 | CommandLine (TProcessUTF8)
ro | ComObject (TComponent)
ro | ComponentCount (TComponent)
 | ComponentIndex (TComponent)
ro | Components (TComponent)
ro | ComponentState (TComponent)
ro | ComponentStyle (TComponent)
 | ConsoleTitle (TProcess)
 | ConsoleTitle (TProcessUTF8)
 | CurrentDirectory (TProcess)
 | CurrentDirectory (TProcessUTF8)
 | DesignInfo (TComponent)
 | Desktop (TProcess)
 | Desktop (TProcessUTF8)
 | Environment (TProcess)
 | Environment (TProcessUTF8)
 | Executable (TProcess)
 | Executable (TProcessUTF8)
ro | ExitCode (TProcess)
ro | ExitStatus (TProcess)
 | FillAttribute (TProcess)
ro | Handle (TProcess)
 | InheritHandles (TProcess)
ro | Input (TProcess)
 | Name (TComponent)
ro | NumBytesAvailable (TAsyncProcess)
 | Options (TProcess)
ro | Output (TProcess)
ro | Owner (TComponent)
 | Parameters (TProcess)
 | Parameters (TProcessUTF8)
 | PipeBufferSize (TProcess)
 | Priority (TProcess)
ro | ProcessHandle (TProcess)
ro | ProcessID (TProcess)
ro | Running (TProcess)
 | ShowWindow (TProcess)
 | StartupOptions (TProcess)
ro | Stderr (TProcess)
 | Tag (TComponent)
ro | ThreadHandle (TProcess)
ro | ThreadID (TProcess)
 | VCLComObject (TComponent)
 | WindowColumns (TProcess)
 | WindowHeight (TProcess)
 | WindowLeft (TProcess)
 | WindowRect (TProcess)
 | WindowRows (TProcess)
 | WindowTop (TProcess)
 | WindowWidth (TProcess)
 | XTermProgram (TProcess)


TAsyncProcess
pt | GetNumBytesAvailable
pt | HandlePipeInput
pt | HandleProcessTermination
pt | UnhookPipeHandle
pt | UnhookProcessHandle
 | Execute
 | Destroy
TProcessUTF8
 | SetApplicationNameUTF8
 | SetCommandLineUTF8
 | SetConsoleTitleUTF8
 | SetCurrentDirectoryUTF8
 | SetDesktopUTF8
 | SetEnvironmentUTF8
 | SetExecutableUTF8
 | SetParametersUTF8
 | UpdateEnvironment
 | Create
 | Destroy
 | Execute
 | ParseCmdLine
TProcess
 | FreeStreams
 | GetExitStatus
 | GetExitCode
 | GetRunning
 | GetWindowRect
 | SetCommandLine
 | SetParameters
 | SetWindowRect
 | SetShowWindow
 | SetWindowColumns
 | SetWindowHeight
 | SetWindowLeft
 | SetWindowRows
 | SetWindowTop
 | SetWindowWidth
 | SetApplicationName
 | SetProcessOptions
 | SetActive
 | SetEnvironment
 | ConvertCommandLine
 | PeekExitStatus
 | CloseProcessHandles
 | CreateStreams
 | FreeStream
 | Loaded
 | Create
 | Destroy
 | Execute
 | CloseInput
 | CloseOutput
 | CloseStderr
 | Resume
 | Suspend
 | Terminate
 | WaitOnExit
TComponent
 | GetComObject
 | GetComponent
 | GetComponentCount
 | GetComponentIndex
 | Insert
 | ReadLeft
 | ReadTop
 | Remove
 | RemoveNotification
 | SetComponentIndex
 | SetReference
 | WriteLeft
 | WriteTop
 | ChangeName
 | DefineProperties
 | GetChildren
 | GetChildOwner
 | GetChildParent
 | GetOwner
 | Loaded
 | Loading
 | Notification
 | PaletteCreated
 | ReadState
 | SetAncestor
 | SetDesigning
 | SetDesignInstance
 | SetInline
 | SetName
 | SetChildOrder
 | SetParentComponent
 | Updating
 | Updated
 | UpdateRegistry
 | ValidateRename
 | ValidateContainer
 | ValidateInsert
 | QueryInterface
 | _AddRef
 | _Release
 | iicrGetComponent
 | GetTypeInfoCount
 | GetTypeInfo
 | GetIDsOfNames
 | Invoke
 | WriteState
 | Create
 | Destroy
 | BeforeDestruction
 | DestroyComponents
 | Destroying
 | ExecuteAction
 | FindComponent
 | FreeNotification
 | RemoveFreeNotification
 | FreeOnRelease
 | GetEnumerator
 | GetNamePath
 | GetParentComponent
 | HasParent
 | InsertComponent
 | RemoveComponent
 | SafeCallException
 | SetSubComponent
 | UpdateAction
 | IsImplementorOf
 | ReferenceInterface
TPersistent
 | AssignError
 | AssignTo
 | DefineProperties
 | GetOwner
 | Destroy
 | Assign
 | FPOAttachObserver
 | FPODetachObserver
 | FPONotifyObservers
 | GetNamePath
TObject
 | Create
 | Destroy
 | newinstance
 | FreeInstance
 | SafeCallException
 | DefaultHandler
 | Free
 | InitInstance
 | CleanupInstance
 | ClassType
 | ClassInfo
 | ClassName
 | ClassNameIs
 | ClassParent
 | InstanceSize
 | InheritsFrom
 | StringMessageTable
 | MethodAddress
 | MethodName
 | FieldAddress
 | AfterConstruction
 | BeforeDestruction
 | DefaultHandlerStr
 | Dispatch
 | DispatchStr
 | GetInterface
 | GetInterfaceByStr
 | GetInterfaceWeak
 | GetInterfaceEntry
 | GetInterfaceEntryByStr
 | GetInterfaceTable
 | UnitName
 | Equals
 | GetHashCode
 | ToString


 | AssignError (TPersistent)
 | AssignTo (TPersistent)
 | BeforeDestruction (TObject)
 | BeforeDestruction (TComponent)
 | ChangeName (TComponent)
 | ClassInfo (TObject)
 | ClassName (TObject)
 | ClassNameIs (TObject)
 | ClassParent (TObject)
 | ClassType (TObject)
 | CleanupInstance (TObject)
 | CloseInput (TProcess)
 | CloseOutput (TProcess)
 | CloseProcessHandles (TProcess)
 | CloseStderr (TProcess)
 | ConvertCommandLine (TProcess)
 | Create (TObject)
 | Create (TComponent)
 | Create (TProcess)
 | Create (TProcessUTF8)
 | CreateStreams (TProcess)
 | DefaultHandler (TObject)
 | DefaultHandlerStr (TObject)
 | DefineProperties (TPersistent)
 | DefineProperties (TComponent)
 | Destroy (TObject)
 | Destroy (TPersistent)
 | Destroy (TComponent)
 | Destroy (TProcess)
 | Destroy (TProcessUTF8)
 | Destroy (TAsyncProcess)
 | DestroyComponents (TComponent)
 | Destroying (TComponent)
 | Dispatch (TObject)
 | DispatchStr (TObject)
 | Equals (TObject)
 | Execute (TProcess)
 | Execute (TProcessUTF8)
 | Execute (TAsyncProcess)
 | ExecuteAction (TComponent)
 | FieldAddress (TObject)
 | FindComponent (TComponent)
 | FPOAttachObserver (TPersistent)
 | FPODetachObserver (TPersistent)
 | FPONotifyObservers (TPersistent)
 | Free (TObject)
 | FreeInstance (TObject)
 | FreeNotification (TComponent)
 | FreeOnRelease (TComponent)
 | FreeStream (TProcess)
 | FreeStreams (TProcess)
 | GetChildOwner (TComponent)
 | GetChildParent (TComponent)
 | GetChildren (TComponent)
 | GetComObject (TComponent)
 | GetComponent (TComponent)
 | GetComponentCount (TComponent)
 | GetComponentIndex (TComponent)
 | GetEnumerator (TComponent)
 | GetExitCode (TProcess)
 | GetExitStatus (TProcess)
 | GetHashCode (TObject)
 | GetIDsOfNames (TComponent)
 | GetInterface (TObject)
 | GetInterfaceByStr (TObject)
 | GetInterfaceEntry (TObject)
 | GetInterfaceEntryByStr (TObject)
 | GetInterfaceTable (TObject)
 | GetInterfaceWeak (TObject)
 | GetNamePath (TPersistent)
 | GetNamePath (TComponent)
pt | GetNumBytesAvailable (TAsyncProcess)
 | GetOwner (TPersistent)
 | GetOwner (TComponent)
 | GetParentComponent (TComponent)
 | GetRunning (TProcess)
 | GetTypeInfo (TComponent)
 | GetTypeInfoCount (TComponent)
 | GetWindowRect (TProcess)
pt | HandlePipeInput (TAsyncProcess)
pt | HandleProcessTermination (TAsyncProcess)
 | HasParent (TComponent)
 | iicrGetComponent (TComponent)
 | InheritsFrom (TObject)
 | InitInstance (TObject)
 | Insert (TComponent)
 | InsertComponent (TComponent)
 | InstanceSize (TObject)
 | Invoke (TComponent)
 | IsImplementorOf (TComponent)
 | Loaded (TComponent)
 | Loaded (TProcess)
 | Loading (TComponent)
 | MethodAddress (TObject)
 | MethodName (TObject)
 | newinstance (TObject)
 | Notification (TComponent)
 | PaletteCreated (TComponent)
 | ParseCmdLine (TProcessUTF8)
 | PeekExitStatus (TProcess)
 | QueryInterface (TComponent)
 | ReadLeft (TComponent)
 | ReadState (TComponent)
 | ReadTop (TComponent)
 | ReferenceInterface (TComponent)
 | Remove (TComponent)
 | RemoveComponent (TComponent)
 | RemoveFreeNotification (TComponent)
 | RemoveNotification (TComponent)
 | Resume (TProcess)
 | SafeCallException (TObject)
 | SafeCallException (TComponent)
 | SetActive (TProcess)
 | SetAncestor (TComponent)
 | SetApplicationName (TProcess)
 | SetApplicationNameUTF8 (TProcessUTF8)
 | SetChildOrder (TComponent)
 | SetCommandLine (TProcess)
 | SetCommandLineUTF8 (TProcessUTF8)
 | SetComponentIndex (TComponent)
 | SetConsoleTitleUTF8 (TProcessUTF8)
 | SetCurrentDirectoryUTF8 (TProcessUTF8)
 | SetDesigning (TComponent)
 | SetDesignInstance (TComponent)
 | SetDesktopUTF8 (TProcessUTF8)
 | SetEnvironment (TProcess)
 | SetEnvironmentUTF8 (TProcessUTF8)
 | SetExecutableUTF8 (TProcessUTF8)
 | SetInline (TComponent)
 | SetName (TComponent)
 | SetParameters (TProcess)
 | SetParametersUTF8 (TProcessUTF8)
 | SetParentComponent (TComponent)
 | SetProcessOptions (TProcess)
 | SetReference (TComponent)
 | SetShowWindow (TProcess)
 | SetSubComponent (TComponent)
 | SetWindowColumns (TProcess)
 | SetWindowHeight (TProcess)
 | SetWindowLeft (TProcess)
 | SetWindowRect (TProcess)
 | SetWindowRows (TProcess)
 | SetWindowTop (TProcess)
 | SetWindowWidth (TProcess)
 | StringMessageTable (TObject)
 | Suspend (TProcess)
 | Terminate (TProcess)
 | ToString (TObject)
pt | UnhookPipeHandle (TAsyncProcess)
pt | UnhookProcessHandle (TAsyncProcess)
 | UnitName (TObject)
 | UpdateAction (TComponent)
 | Updated (TComponent)
 | UpdateEnvironment (TProcessUTF8)
 | UpdateRegistry (TComponent)
 | Updating (TComponent)
 | ValidateContainer (TComponent)
 | ValidateInsert (TComponent)
 | ValidateRename (TComponent)
 | WaitOnExit (TProcess)
 | WriteLeft (TComponent)
 | WriteState (TComponent)
 | WriteTop (TComponent)
 | _AddRef (TComponent)
 | _Release (TComponent)


TAsyncProcess
pl | OnReadData
pl | OnTerminate
TProcessUTF8
TProcess
 | OnForkEvent
TComponent
TPersistent
TObject


pl | OnReadData (TAsyncProcess)
pl | OnTerminate (TAsyncProcess)


TAsyncProcess.Destroy

Declaration

Source position: asyncprocess.pp line 49

public destructor TAsyncProcess.Destroy; override;


TAsyncProcess.Execute

Declaration

Source position: asyncprocess.pp line 48

public procedure TAsyncProcess.Execute; override;


TAsyncProcess.GetNumBytesAvailable

Declaration

Source position: asyncprocess.pp line 42

protected function TAsyncProcess.GetNumBytesAvailable: dword;


TAsyncProcess.HandlePipeInput

Declaration

Source position: asyncprocess.pp line 43

protected procedure TAsyncProcess.HandlePipeInput(

  AData: PtrInt;

  AReasons: TPipeReasons

);


TAsyncProcess.HandleProcessTermination

Declaration

Source position: asyncprocess.pp line 44

protected procedure TAsyncProcess.HandleProcessTermination(

  AData: PtrInt;

  AReason: TChildExitReason;

  AInfo: dword

);


TAsyncProcess.NumBytesAvailable

Declaration

Source position: asyncprocess.pp line 50

public property TAsyncProcess.NumBytesAvailable : dword
  read GetNumBytesAvailable;


TAsyncProcess.OnReadData

Declaration

Source position: asyncprocess.pp line 52

published property TAsyncProcess.OnReadData : TNotifyEvent
  read FOnReadData
  write FOnReadData;


TAsyncProcess.OnTerminate

Declaration

Source position: asyncprocess.pp line 53

published property TAsyncProcess.OnTerminate : TNotifyEvent
  read FOnTerminate
  write FOnTerminate;


TAsyncProcess.UnhookPipeHandle

Declaration

Source position: asyncprocess.pp line 45

protected procedure TAsyncProcess.UnhookPipeHandle;


TAsyncProcess.UnhookProcessHandle

Declaration

Source position: asyncprocess.pp line 46

protected procedure TAsyncProcess.UnhookProcessHandle;


TButtonPanel

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

TButtonPanel - a panel containing BitButtons

Declaration

Source position: buttonpanel.pas line 118

type TButtonPanel = class(TCustomButtonPanel)
published
property Align: TAlign; | Specifies the placement of the control inside its Parent.
property Anchors: TAnchors; | The set of anchor definitions for this control.
property AutoSize: Boolean; | Allows to automatically adjust the size of the control, according to its content.
property BorderSpacing: TControlBorderSpacing;
property Constraints: TSizeConstraints;
property Enabled: Boolean;
property OKButton: TPanelBitBtn; | OKButton - a button with the caption 'OK' signifying acceptance by the user
property HelpButton: TPanelBitBtn; | HelpButton - a button with the 'Help' caption, for requesting help
property CloseButton: TPanelBitBtn; | CloseButton - a button with the 'Close' caption for terminating the Form or panel
property CancelButton: TPanelBitBtn; | CancelButton - a button with the 'Cancel' caption for cancelling the operation
property Color: TColor;
property ButtonOrder: TButtonOrder; | ButtonOrder - the order in which the series of buttons will appear on the panel
property TabOrder: TTabOrder; | Determines the sequence of controls, reachable when the user presses the Tab key.
property DefaultButton: TPanelButton; | DefaultButton - the button which represents the default action, selected by pressing 'Return' or 'Enter'
property Spacing: TSpacingSize;
property OnClick: TNotifyEvent; | Notification handler for mouse clicks.
property OnDblClick: TNotifyEvent; | Event Handler for double mouse clicks.
property OnDragDrop: TDragDropEvent; | This handler determines the action on an drop onto this control, in a drag-drop operation.
property OnEnter: TNotifyEvent; | Handler for control receiving the focus.
property OnExit: TNotifyEvent; | Handler for control loosing the focus. This is a good place for checking the finished user input.
property OnKeyDown: TKeyEvent; | Handler for keyboard key pressed.
property OnKeyPress: TKeyPressEvent; | Handler for a character entered by the user.
property OnKeyUp: TKeyEvent; | Handler for keyboard key released.
property OnMouseDown: TMouseEvent; | Event handler for mouse button going down.
property OnMouseEnter: TNotifyEvent;
property OnMouseLeave: TNotifyEvent;
property OnMouseMove: TMouseMoveEvent; | Event handler for mouse movement within the control.
property OnMouseUp: TMouseEvent; | Event handler for mouse button going up.
property OnMouseWheel: TMouseWheelEvent;
property OnMouseWheelDown: TMouseWheelUpDownEvent;
property OnMouseWheelUp: TMouseWheelUpDownEvent;
property OnResize: TNotifyEvent; | Notification handler for a resize of the control.
property OnUTF8KeyPress: TUTF8KeyPressEvent; | Handler for a character entered by the user.
property ShowButtons: TPanelButtons; | ShowButtons - whether the buttons are to be visible
property ShowGlyphs: TPanelButtons; | ShowGlyphs - whether the Glyphs (small images) are to be shown on the buttons
property ShowBevel: Boolean;
property Visible: Boolean; | Allows to show or hide the control, and all of its children.
end;

Inheritance

TButtonPanel | TButtonPanel - a panel containing BitButtons
|
TCustomButtonPanel | TCustomButtonPanel - base class for TButtonPanel, a panel containing BitButtons
|
TCustomPanel | The base class for a general container which can hold other objects. It has a customizable border and a central text.
|
TCustomControl | The base class for windowed controls which paint themselves.
|
TWinControl | The base class for controls which can contain other (child) controls.
|
TControl | The base class for visible controls.
|
TLCLComponent | The base class for LCL components associated with widgets.
|
TComponent,IUnknown,IInterfaceComponentReference
|
TPersistent,IFPObserved
|
TObject


TButtonPanel
pl | ro | Align
pl | ro | Anchors
pl | ro | AutoSize
pl | ro | BorderSpacing
pl | ro | Constraints
pl | ro | Enabled
pl | ro | OKButton
pl | ro | HelpButton
pl | ro | CloseButton
pl | ro | CancelButton
pl | ro | Color
pl | ro | ButtonOrder
pl | ro | TabOrder
pl | ro | DefaultButton
pl | ro | Spacing
pl | ro | ShowButtons
pl | ro | ShowGlyphs
pl | ro | ShowBevel
pl | ro | Visible
TCustomButtonPanel
 | ro | Align
 | ro | AutoSize
 | ro | OKButton
 | ro | HelpButton
 | ro | CloseButton
 | ro | CancelButton
 |  | ButtonOrder
 |  | DefaultButton
 |  | ShowButtons
 |  | ShowGlyphs
 |  | ShowBevel
 |  | Spacing
TCustomPanel
pt |  | WordWrap
 | ro | Align
 |  | Alignment
 |  | BevelColor
 |  | BevelInner
 |  | BevelOuter
 |  | BevelWidth
 | ro | Color
 |  | FullRepaint
 | ro | ParentBackground
 | ro | ParentColor
 | ro | TabStop
TCustomControl
 |  | Canvas
 | ro | BorderStyle
TWinControl
pt |  | WindowHandle
pt |  | BorderStyle
pt |  | ParentBackground
 |  | BorderWidth
 | ro | BoundsLockCount
 | ro | Brush
 | ro | CachedClientHeight
 | ro | CachedClientWidth
 |  | ChildSizing
 | ro | ControlCount
 | ro | Controls
 |  | DefWndProc
 | ro | DockClientCount
 | ro | DockClients
 |  | DockManager
 |  | DockSite
 |  | DoubleBuffered
 |  | Handle
 | ro | IsFlipped
 | ro | IsResizing
 |  | TabOrder
 |  | TabStop
 |  | ParentDoubleBuffered
 |  | ParentWindow
 | ro | Showing
 |  | UseDockManager
 |  | DesignerDeleting
 | ro | VisibleDockClientCount
TControl
pt | ro | AutoSizing
pt | ro | AutoSizingAll
pt | ro | AutoSizingLockCount
pt |  | ActionLink
pt |  | DesktopFont
pt |  | DragCursor
pt |  | DragKind
pt |  | DragMode
pt |  | MouseCapture
pt |  | ParentColor
pt |  | ParentFont
pt |  | ParentShowHint
pt |  | SessionProperties
pt |  | Text
 | ro | AnchoredControls
 | ro | BaseBounds
 | ro | ReadBounds
 | ro | BaseParentClientSize
 |  | AccessibleDescription
 |  | AccessibleValue
 |  | AccessibleRole
 |  | Action
 |  | Align
 |  | Anchors
 | ro | AnchorSide
 |  | AutoSize
 |  | BorderSpacing
 |  | BoundsRect
 |  | BoundsRectForNewParent
 |  | Caption
 |  | CaptureMouseButtons
 |  | ClientHeight
 | ro | ClientOrigin
 | ro | ClientRect
 |  | ClientWidth
 |  | Color
 |  | Constraints
 | ro | ControlOrigin
 |  | ControlState
 |  | ControlStyle
 |  | Enabled
 |  | Font
 |  | IsControl
 | ro | MouseEntered
 | ro | MouseInClient
 |  | Parent
 |  | PopupMenu
 |  | ShowHint
 |  | Visible
 |  | WindowProc
 |  | DockOrientation
 | ro | Floating
 |  | FloatingDockSiteClass
 |  | HostDockSite
 |  | LRDockWidth
 |  | TBDockHeight
 |  | UndockHeight
 |  | UndockWidth
 |  | BiDiMode
 |  | ParentBiDiMode
pl |  | AnchorSideLeft
pl |  | AnchorSideTop
pl |  | AnchorSideRight
pl |  | AnchorSideBottom
pl |  | Cursor
pl |  | Left
pl |  | Height
pl |  | Hint
pl |  | Top
pl |  | Width
pl |  | HelpType
pl |  | HelpKeyword
pl |  | HelpContext
TLCLComponent
 | ro | LCLRefCount
 | ro | WidgetSetClass
TComponent
 | ro | ComObject
 | ro | Components
 | ro | ComponentCount
 |  | ComponentIndex
 | ro | ComponentState
 | ro | ComponentStyle
 |  | DesignInfo
 | ro | Owner
 |  | VCLComObject
 |  | Name
 |  | Tag
TPersistent
TObject


 |  | AccessibleDescription (TControl)
 |  | AccessibleRole (TControl)
 |  | AccessibleValue (TControl)
 |  | Action (TControl)
pt |  | ActionLink (TControl)
 |  | Align (TControl)
 | ro | Align (TCustomPanel)
 | ro | Align (TCustomButtonPanel)
pl | ro | Align (TButtonPanel)
 |  | Alignment (TCustomPanel)
 | ro | AnchoredControls (TControl)
 |  | Anchors (TControl)
pl | ro | Anchors (TButtonPanel)
 | ro | AnchorSide (TControl)
pl |  | AnchorSideBottom (TControl)
pl |  | AnchorSideLeft (TControl)
pl |  | AnchorSideRight (TControl)
pl |  | AnchorSideTop (TControl)
 |  | AutoSize (TControl)
 | ro | AutoSize (TCustomButtonPanel)
pl | ro | AutoSize (TButtonPanel)
pt | ro | AutoSizing (TControl)
pt | ro | AutoSizingAll (TControl)
pt | ro | AutoSizingLockCount (TControl)
 | ro | BaseBounds (TControl)
 | ro | BaseParentClientSize (TControl)
 |  | BevelColor (TCustomPanel)
 |  | BevelInner (TCustomPanel)
 |  | BevelOuter (TCustomPanel)
 |  | BevelWidth (TCustomPanel)
 |  | BiDiMode (TControl)
 |  | BorderSpacing (TControl)
pl | ro | BorderSpacing (TButtonPanel)
pt |  | BorderStyle (TWinControl)
 | ro | BorderStyle (TCustomControl)
 |  | BorderWidth (TWinControl)
 | ro | BoundsLockCount (TWinControl)
 |  | BoundsRect (TControl)
 |  | BoundsRectForNewParent (TControl)
 | ro | Brush (TWinControl)
 |  | ButtonOrder (TCustomButtonPanel)
pl | ro | ButtonOrder (TButtonPanel)
 | ro | CachedClientHeight (TWinControl)
 | ro | CachedClientWidth (TWinControl)
 | ro | CancelButton (TCustomButtonPanel)
pl | ro | CancelButton (TButtonPanel)
 |  | Canvas (TCustomControl)
 |  | Caption (TControl)
 |  | CaptureMouseButtons (TControl)
 |  | ChildSizing (TWinControl)
 |  | ClientHeight (TControl)
 | ro | ClientOrigin (TControl)
 | ro | ClientRect (TControl)
 |  | ClientWidth (TControl)
 | ro | CloseButton (TCustomButtonPanel)
pl | ro | CloseButton (TButtonPanel)
 |  | Color (TControl)
 | ro | Color (TCustomPanel)
pl | ro | Color (TButtonPanel)
 | ro | ComObject (TComponent)
 | ro | ComponentCount (TComponent)
 |  | ComponentIndex (TComponent)
 | ro | Components (TComponent)
 | ro | ComponentState (TComponent)
 | ro | ComponentStyle (TComponent)
 |  | Constraints (TControl)
pl | ro | Constraints (TButtonPanel)
 | ro | ControlCount (TWinControl)
 | ro | ControlOrigin (TControl)
 | ro | Controls (TWinControl)
 |  | ControlState (TControl)
 |  | ControlStyle (TControl)
pl |  | Cursor (TControl)
 |  | DefaultButton (TCustomButtonPanel)
pl | ro | DefaultButton (TButtonPanel)
 |  | DefWndProc (TWinControl)
 |  | DesignerDeleting (TWinControl)
 |  | DesignInfo (TComponent)
pt |  | DesktopFont (TControl)
 | ro | DockClientCount (TWinControl)
 | ro | DockClients (TWinControl)
 |  | DockManager (TWinControl)
 |  | DockOrientation (TControl)
 |  | DockSite (TWinControl)
 |  | DoubleBuffered (TWinControl)
pt |  | DragCursor (TControl)
pt |  | DragKind (TControl)
pt |  | DragMode (TControl)
 |  | Enabled (TControl)
pl | ro | Enabled (TButtonPanel)
 | ro | Floating (TControl)
 |  | FloatingDockSiteClass (TControl)
 |  | Font (TControl)
 |  | FullRepaint (TCustomPanel)
 |  | Handle (TWinControl)
pl |  | Height (TControl)
 | ro | HelpButton (TCustomButtonPanel)
pl | ro | HelpButton (TButtonPanel)
pl |  | HelpContext (TControl)
pl |  | HelpKeyword (TControl)
pl |  | HelpType (TControl)
pl |  | Hint (TControl)
 |  | HostDockSite (TControl)
 |  | IsControl (TControl)
 | ro | IsFlipped (TWinControl)
 | ro | IsResizing (TWinControl)
 | ro | LCLRefCount (TLCLComponent)
pl |  | Left (TControl)
 |  | LRDockWidth (TControl)
pt |  | MouseCapture (TControl)
 | ro | MouseEntered (TControl)
 | ro | MouseInClient (TControl)
 |  | Name (TComponent)
 | ro | OKButton (TCustomButtonPanel)
pl | ro | OKButton (TButtonPanel)
 | ro | Owner (TComponent)
 |  | Parent (TControl)
pt |  | ParentBackground (TWinControl)
 | ro | ParentBackground (TCustomPanel)
 |  | ParentBiDiMode (TControl)
pt |  | ParentColor (TControl)
 | ro | ParentColor (TCustomPanel)
 |  | ParentDoubleBuffered (TWinControl)
pt |  | ParentFont (TControl)
pt |  | ParentShowHint (TControl)
 |  | ParentWindow (TWinControl)
 |  | PopupMenu (TControl)
 | ro | ReadBounds (TControl)
pt |  | SessionProperties (TControl)
 |  | ShowBevel (TCustomButtonPanel)
pl | ro | ShowBevel (TButtonPanel)
 |  | ShowButtons (TCustomButtonPanel)
pl | ro | ShowButtons (TButtonPanel)
 |  | ShowGlyphs (TCustomButtonPanel)
pl | ro | ShowGlyphs (TButtonPanel)
 |  | ShowHint (TControl)
 | ro | Showing (TWinControl)
 |  | Spacing (TCustomButtonPanel)
pl | ro | Spacing (TButtonPanel)
 |  | TabOrder (TWinControl)
pl | ro | TabOrder (TButtonPanel)
 |  | TabStop (TWinControl)
 | ro | TabStop (TCustomPanel)
 |  | Tag (TComponent)
 |  | TBDockHeight (TControl)
pt |  | Text (TControl)
pl |  | Top (TControl)
 |  | UndockHeight (TControl)
 |  | UndockWidth (TControl)
 |  | UseDockManager (TWinControl)
 |  | VCLComObject (TComponent)
 |  | Visible (TControl)
pl | ro | Visible (TButtonPanel)
 | ro | VisibleDockClientCount (TWinControl)
 | ro | WidgetSetClass (TLCLComponent)
pl |  | Width (TControl)
pt |  | WindowHandle (TWinControl)
 |  | WindowProc (TControl)
pt |  | WordWrap (TCustomPanel)


TButtonPanel
TCustomButtonPanel
pt | CreateControlBorderSpacing
pt | CustomAlignInsertBefore
pt | CustomAlignPosition
pt | CalculatePreferredSize
pt | Notification
pt | SetAlign
pt | CMAppShowBtnGlyphChanged
pt | CMShowingChanged
 | Create
 | Destroy
TCustomPanel
pt | WSRegisterClass
pt | AdjustClientRect
pt | GetControlClassDefaultSize
pt | CMParentColorChanged
pt | GetDefaultDockCaption
pt | Loaded
pt | RealSetText
pt | Paint
pt | SetParentBackground
pt | UpdateParentColorChange
 | Create
TCustomControl
pt | WSRegisterClass
pt | WMPaint
pt | DestroyWnd
pt | PaintWindow
pt | FontChanged
pt | SetColor
pt | Paint
 | Create
 | Destroy
TWinControl
pt | WSRegisterClass
pt | AdjustClientRect
pt | GetAdjustedLogicalClientRect
pt | AlignControls
pt | CustomAlignInsertBefore
pt | CustomAlignPosition
pt | DoAlignChildControls
pt | DoChildSizingChange
pt | InvalidatePreferredChildSizes
pt | CanTab
pt | IsClientHeightStored
pt | IsClientWidthStored
pt | DoSendShowHideToInterface
pt | ControlsAligned
pt | DoSendBoundsToInterface
pt | RealizeBounds
pt | RealizeBoundsRecursive
pt | InvalidateBoundsRealized
pt | CreateSubClass
pt | DoConstraintsChange
pt | DoSetBounds
pt | DoAutoSize
pt | DoAllAutoSize
pt | AllAutoSized
pt | CalculatePreferredSize
pt | GetPreferredSizeClientFrame
pt | GetChildren
pt | ChildClassAllowed
pt | PaintControls
pt | PaintHandler
pt | PaintWindow
pt | CreateBrush
pt | ScaleControls
pt | ChangeScale
pt | CMBiDiModeChanged
pt | CMBorderChanged
pt | CMDoubleBufferedChanged
pt | CMEnabledChanged
pt | CMParentDoubleBufferedChanged
pt | CMShowingChanged
pt | CMShowHintChanged
pt | CMVisibleChanged
pt | CMEnter
pt | CMExit
pt | WMContextMenu
pt | WMEraseBkgnd
pt | WMNotify
pt | WMSetFocus
pt | WMKillFocus
pt | WMShowWindow
pt | WMEnter
pt | WMExit
pt | WMKeyDown
pt | WMSysKeyDown
pt | WMKeyUp
pt | WMSysKeyUp
pt | WMChar
pt | WMSysChar
pt | WMPaint
pt | WMDestroy
pt | WMMove
pt | WMSize
pt | WMWindowPosChanged
pt | CNKeyDown
pt | CNSysKeyDown
pt | CNKeyUp
pt | CNSysKeyUp
pt | CNChar
pt | DoDragMsg
pt | DoDockClientMsg
pt | DoUndockClientMsg
pt | DoAddDockClient
pt | DockOver
pt | DoDockOver
pt | DoRemoveDockClient
pt | DoUnDock
pt | GetSiteInfo
pt | GetParentHandle
pt | GetTopParentHandle
pt | ReloadDockedControl
pt | CreateDockManager
pt | SetDockManager
pt | DoFloatMsg
pt | DoGetDockCaption
pt | DoEnter
pt | DoExit
pt | DoKeyDownBeforeInterface
pt | DoRemainingKeyDown
pt | DoRemainingKeyUp
pt | DoKeyPress
pt | DoUTF8KeyPress
pt | DoKeyUpBeforeInterface
pt | ChildKey
pt | SendDialogChar
pt | DialogChar
pt | ControlKeyDown
pt | ControlKeyUp
pt | KeyDown
pt | KeyDownBeforeInterface
pt | KeyDownAfterInterface
pt | KeyPress
pt | KeyUp
pt | KeyUpBeforeInterface
pt | KeyUpAfterInterface
pt | UTF8KeyPress
pt | FindNextControl
pt | SelectFirst
pt | RealGetText
pt | GetBorderStyle
pt | GetClientOrigin
pt | GetClientRect
pt | GetControlOrigin
pt | GetDeviceContext
pt | GetParentBackground
pt | IsControlMouseMsg
pt | CreateHandle
pt | CreateParams
pt | CreateWnd
pt | DestroyHandle
pt | DestroyWnd
pt | DoFlipChildren
pt | FinalizeWnd
pt | FixupTabList
pt | FontChanged
pt | InitializeWnd
pt | Loaded
pt | FormEndUpdated
pt | MainWndProc
pt | ParentFormHandleInitialized
pt | ChildHandlesCreated
pt | GetMouseCapture
pt | RealSetText
pt | RemoveFocus
pt | SendMoveSizeMessages
pt | SetBorderStyle
pt | SetColor
pt | SetChildZPosition
pt | SetParentBackground
pt | ShowControl
pt | UpdateControlState
pt | UpdateShowing
pt | WndProc
pt | WSSetText
 | AutoSizePhases
 | AutoSizeDelayed
 | AutoSizeDelayedReport
 | AutoSizeDelayedHandle
 | BeginUpdateBounds
 | EndUpdateBounds
 | LockRealizeBounds
 | UnlockRealizeBounds
 | ControlAtPos
 | ContainsControl
 | DoAdjustClientRectChange
 | InvalidateClientRectCache
 | ClientRectNeedsInterfaceUpdate
 | SetBounds
 | GetChildrenRect
 | DisableAlign
 | EnableAlign
 | ReAlign
 | ScrollBy_WS
 | ScrollBy
 | WriteLayoutDebugReport
 | AutoAdjustLayout
 | Create
 | CreateParented
 | CreateParentedControl
 | Destroy
 | DockDrop
 | CanFocus
 | CanSetFocus
 | GetControlIndex
 | SetControlIndex
 | Focused
 | PerformTab
 | FindChildControl
 | SelectNext
 | SetTempCursor
 | BroadCast
 | NotifyControls
 | DefaultHandler
 | GetTextLen
 | Invalidate
 | AddControl
 | InsertControl
 | RemoveControl
 | GetEnumeratorControls
 | GetEnumeratorControlsReverse
 | Repaint
 | Update
 | SetFocus
 | FlipChildren
 | ScaleBy
 | GetDockCaption
 | UpdateDockCaption
 | GetTabOrderList
 | HandleAllocated
 | ParentHandlesAllocated
 | HandleNeeded
 | BrushCreated
 | EraseBackground
 | IntfUTF8KeyPress
 | IntfGetDropFilesTarget
 | PaintTo
 | SetShape
TControl
pt | WSRegisterClass
pt | GetCursor
pt | SetCursor
pt | SetVisible
pt | DoOnParentHandleDestruction
pt | DoAutoSize
pt | DoAllAutoSize
pt | BeginAutoSizing
pt | EndAutoSizing
pt | AnchorSideChanged
pt | ForeignAnchorSideChanged
pt | SetAlign
pt | SetAnchors
pt | SetAutoSize
pt | BoundsChanged
pt | CreateControlBorderSpacing
pt | DoConstraintsChange
pt | DoBorderSpacingChange
pt | IsBorderSpacingInnerBorderStored
pt | IsCaptionStored
pt | SendMoveSizeMessages
pt | ConstrainedResize
pt | CalculatePreferredSize
pt | DoOnResize
pt | DoOnChangeBounds
pt | CheckOnChangeBounds
pt | Resize
pt | RequestAlign
pt | UpdateAnchorRules
pt | ChangeBounds
pt | DoSetBounds
pt | ScaleConstraints
pt | ChangeScale
pt | CanAutoSize
pt | SetBiDiMode
pt | SetParentBiDiMode
pt | IsAParentAligning
pt | GetClientOrigin
pt | GetClientRect
pt | GetLogicalClientRect
pt | GetScrolledClientRect
pt | GetClientScrollOffset
pt | GetControlOrigin
pt | IsClientHeightStored
pt | IsClientWidthStored
pt | WidthIsAnchored
pt | HeightIsAnchored
pt | WMCancelMode
pt | WMContextMenu
pt | WMLButtonDown
pt | WMRButtonDown
pt | WMMButtonDown
pt | WMXButtonDown
pt | WMLButtonDBLCLK
pt | WMRButtonDBLCLK
pt | WMMButtonDBLCLK
pt | WMXButtonDBLCLK
pt | WMLButtonTripleCLK
pt | WMRButtonTripleCLK
pt | WMMButtonTripleCLK
pt | WMXButtonTripleCLK
pt | WMLButtonQuadCLK
pt | WMRButtonQuadCLK
pt | WMMButtonQuadCLK
pt | WMXButtonQuadCLK
pt | WMMouseMove
pt | WMLButtonUp
pt | WMRButtonUp
pt | WMMButtonUp
pt | WMXButtonUp
pt | WMMouseWheel
pt | WMMouseHWheel
pt | WMMove
pt | WMSize
pt | WMWindowPosChanged
pt | CMChanged
pt | LMCaptureChanged
pt | CMBiDiModeChanged
pt | CMSysFontChanged
pt | CMEnabledChanged
pt | CMHitTest
pt | CMMouseEnter
pt | CMMouseLeave
pt | CMHintShow
pt | CMParentBiDiModeChanged
pt | CMParentColorChanged
pt | CMParentFontChanged
pt | CMParentShowHintChanged
pt | CMVisibleChanged
pt | CMTextChanged
pt | CMCursorChanged
pt | CalculateDockSizes
pt | CreateFloatingDockSite
pt | GetDockEdge
pt | GetDragImages
pt | GetFloating
pt | GetFloatingDockSiteClass
pt | BeforeDragStart
pt | BeginAutoDrag
pt | DoFloatMsg
pt | DockTrackNoTarget
pt | DoDock
pt | DoDragMsg
pt | DoEndDock
pt | DoEndDrag
pt | DoStartDock
pt | DoStartDrag
pt | DragCanceled
pt | DragOver
pt | PositionDockRect
pt | SetDragMode
pt | GetDefaultDockCaption
pt | Click
pt | DblClick
pt | TripleClick
pt | QuadClick
pt | GetMousePosFromMessage
pt | MouseDown
pt | MouseMove
pt | MouseUp
pt | MouseEnter
pt | MouseLeave
pt | DialogChar
pt | UpdateMouseCursor
pt | Changed
pt | GetPalette
pt | ChildClassAllowed
pt | ReadState
pt | Loaded
pt | LoadedAll
pt | DefineProperties
pt | AssignTo
pt | FormEndUpdated
pt | InvalidateControl
pt | FontChanged
pt | ParentFontChanged
pt | GetAction
pt | RealGetText
pt | RealSetText
pt | TextChanged
pt | GetCachedText
pt | SetAction
pt | SetColor
pt | SetEnabled
pt | SetHint
pt | SetName
pt | SetParent
pt | SetParentComponent
pt | WndProc
pt | ParentFormHandleInitialized
pt | GetMouseCapture
pt | CaptureChanged
pt | Notification
pt | CanTab
pt | GetDeviceContext
pt | GetEnabled
pt | GetPopupMenu
pt | DoOnShowHint
pt | DoMouseWheel
pt | DoMouseWheelDown
pt | DoMouseWheelUp
pt | DoMouseWheelHorz
pt | DoMouseWheelLeft
pt | DoMouseWheelRight
pt | VisibleChanging
pt | VisibleChanged
pt | EnabledChanging
pt | EnabledChanged
pt | AddHandler
pt | RemoveHandler
pt | DoCallNotifyHandler
pt | DoCallKeyEventHandler
pt | DoCallMouseWheelEventHandler
pt | DoContextPopup
pt | SetZOrder
pt | GetControlClassDefaultSize
pt | ColorIsStored
pt | DoAutoAdjustLayout
pt | DoFixDesignFontPPI
pt | DoScaleFontPPI
pt | GetActionLinkClass
pt | ActionChange
 | DragDrop
 | Dock
 | ManualDock
 | ManualFloat
 | ReplaceDockedControl
 | Docked
 | Dragging
 | GetAccessibleObject
 | CreateAccessibleObject
 | GetSelectedChildAccessibleObject
 | GetChildAccessibleObjectAtPos
 | ScaleDesignToForm
 | ScaleFormToDesign
 | Scale96ToForm
 | ScaleFormTo96
 | Scale96ToFont
 | ScaleFontTo96
 | ScaleScreenToFont
 | ScaleFontToScreen
 | Scale96ToScreen
 | ScaleScreenTo96
 | AdjustSize
 | AutoSizePhases
 | AutoSizeDelayed
 | AutoSizeDelayedReport
 | AutoSizeDelayedHandle
 | AnchorToNeighbour
 | AnchorParallel
 | AnchorHorizontalCenterTo
 | AnchorVerticalCenterTo
 | AnchorToCompanion
 | AnchorSame
 | AnchorAsAlign
 | AnchorClient
 | AnchoredControlCount
 | SetBounds
 | SetInitialBounds
 | SetBoundsKeepBase
 | GetPreferredSize
 | GetCanvasScaleFactor
 | GetDefaultWidth
 | GetDefaultHeight
 | GetDefaultColor
 | GetColorResolvingParent
 | GetRGBColorResolvingParent
 | GetSidePosition
 | CNPreferredSizeChanged
 | InvalidatePreferredSize
 | GetAnchorsDependingOnParent
 | DisableAutoSizing
 | EnableAutoSizing
 | UpdateBaseBounds
 | WriteLayoutDebugReport
 | AutoAdjustLayout
 | ShouldAutoAdjust
 | FixDesignFontsPPI
 | ScaleFontsPPI
 | Create
 | Destroy
 | BeforeDestruction
 | EditingDone
 | ExecuteDefaultAction
 | ExecuteCancelAction
 | BeginDrag
 | EndDrag
 | BringToFront
 | HasParent
 | GetParentComponent
 | IsParentOf
 | GetTopParent
 | IsVisible
 | IsControlVisible
 | IsEnabled
 | IsParentColor
 | IsParentFont
 | FormIsUpdating
 | IsProcessingPaintMsg
 | Hide
 | Refresh
 | Repaint
 | Invalidate
 | CheckChildClassAllowed
 | CheckNewParent
 | SendToBack
 | SetTempCursor
 | UpdateRolesForForm
 | ActiveDefaultControlChanged
 | GetTextBuf
 | GetTextLen
 | SetTextBuf
 | Perform
 | ScreenToClient
 | ClientToScreen
 | ScreenToControl
 | ControlToScreen
 | ClientToParent
 | ParentToClient
 | GetChildrenRect
 | Show
 | Update
 | HandleObjectShouldBeVisible
 | ParentDestroyingHandle
 | ParentHandlesAllocated
 | InitiateAction
 | ShowHelp
 | HasHelp
 | RemoveAllHandlersOfObject
 | AddHandlerOnResize
 | RemoveHandlerOnResize
 | AddHandlerOnChangeBounds
 | RemoveHandlerOnChangeBounds
 | AddHandlerOnVisibleChanging
 | RemoveHandlerOnVisibleChanging
 | AddHandlerOnVisibleChanged
 | RemoveHandlerOnVisibleChanged
 | AddHandlerOnEnabledChanged
 | RemoveHandlerOnEnableChanging
 | AddHandlerOnKeyDown
 | RemoveHandlerOnKeyDown
 | AddHandlerOnBeforeDestruction
 | RemoveHandlerOnBeforeDestruction
 | AddHandlerOnMouseWheel
 | RemoveHandlerOnMouseWheel
 | UseRightToLeftAlignment
 | UseRightToLeftReading
 | UseRightToLeftScrollBar
 | IsRightToLeft
TLCLComponent
pt | WSRegisterClass
pt | GetWSComponentClass
 | Create
 | Destroy
 | NewInstance
 | RemoveAllHandlersOfObject
 | IncLCLRefCount
 | DecLCLRefCount
TComponent
 | GetComObject
 | GetComponent
 | GetComponentCount
 | GetComponentIndex
 | Insert
 | ReadLeft
 | ReadTop
 | Remove
 | RemoveNotification
 | SetComponentIndex
 | SetReference
 | WriteLeft
 | WriteTop
 | ChangeName
 | DefineProperties
 | GetChildren
 | GetChildOwner
 | GetChildParent
 | GetOwner
 | Loaded
 | Loading
 | Notification
 | PaletteCreated
 | ReadState
 | SetAncestor
 | SetDesigning
 | SetDesignInstance
 | SetInline
 | SetName
 | SetChildOrder
 | SetParentComponent
 | Updating
 | Updated
 | UpdateRegistry
 | ValidateRename
 | ValidateContainer
 | ValidateInsert
 | QueryInterface
 | _AddRef
 | _Release
 | iicrGetComponent
 | GetTypeInfoCount
 | GetTypeInfo
 | GetIDsOfNames
 | Invoke
 | WriteState
 | Create
 | Destroy
 | BeforeDestruction
 | DestroyComponents
 | Destroying
 | ExecuteAction
 | FindComponent
 | FreeNotification
 | RemoveFreeNotification
 | FreeOnRelease
 | GetEnumerator
 | GetNamePath
 | GetParentComponent
 | HasParent
 | InsertComponent
 | RemoveComponent
 | SafeCallException
 | SetSubComponent
 | UpdateAction
 | IsImplementorOf
 | ReferenceInterface
TPersistent
 | AssignError
 | AssignTo
 | DefineProperties
 | GetOwner
 | Destroy
 | Assign
 | FPOAttachObserver
 | FPODetachObserver
 | FPONotifyObservers
 | GetNamePath
TObject
 | Create
 | Destroy
 | newinstance
 | FreeInstance
 | SafeCallException
 | DefaultHandler
 | Free
 | InitInstance
 | CleanupInstance
 | ClassType
 | ClassInfo
 | ClassName
 | ClassNameIs
 | ClassParent
 | InstanceSize
 | InheritsFrom
 | StringMessageTable
 | MethodAddress
 | MethodName
 | FieldAddress
 | AfterConstruction
 | BeforeDestruction
 | DefaultHandlerStr
 | Dispatch
 | DispatchStr
 | GetInterface
 | GetInterfaceByStr
 | GetInterfaceWeak
 | GetInterfaceEntry
 | GetInterfaceEntryByStr
 | GetInterfaceTable
 | UnitName
 | Equals
 | GetHashCode
 | ToString


pt | ActionChange (TControl)
 | ActiveDefaultControlChanged (TControl)
 | AddControl (TWinControl)
pt | AddHandler (TControl)
 | AddHandlerOnBeforeDestruction (TControl)
 | AddHandlerOnChangeBounds (TControl)
 | AddHandlerOnEnabledChanged (TControl)
 | AddHandlerOnKeyDown (TControl)
 | AddHandlerOnMouseWheel (TControl)
 | AddHandlerOnResize (TControl)
 | AddHandlerOnVisibleChanged (TControl)
 | AddHandlerOnVisibleChanging (TControl)
pt | AdjustClientRect (TWinControl)
pt | AdjustClientRect (TCustomPanel)
 | AdjustSize (TControl)
 | AfterConstruction (TObject)
pt | AlignControls (TWinControl)
pt | AllAutoSized (TWinControl)
 | AnchorAsAlign (TControl)
 | AnchorClient (TControl)
 | AnchoredControlCount (TControl)
 | AnchorHorizontalCenterTo (TControl)
 | AnchorParallel (TControl)
 | AnchorSame (TControl)
pt | AnchorSideChanged (TControl)
 | AnchorToCompanion (TControl)
 | AnchorToNeighbour (TControl)
 | AnchorVerticalCenterTo (TControl)
 | Assign (TPersistent)
 | AssignError (TPersistent)
 | AssignTo (TPersistent)
pt | AssignTo (TControl)
 | AutoAdjustLayout (TControl)
 | AutoAdjustLayout (TWinControl)
 | AutoSizeDelayed (TControl)
 | AutoSizeDelayed (TWinControl)
 | AutoSizeDelayedHandle (TControl)
 | AutoSizeDelayedHandle (TWinControl)
 | AutoSizeDelayedReport (TControl)
 | AutoSizeDelayedReport (TWinControl)
 | AutoSizePhases (TControl)
 | AutoSizePhases (TWinControl)
 | BeforeDestruction (TObject)
 | BeforeDestruction (TComponent)
 | BeforeDestruction (TControl)
pt | BeforeDragStart (TControl)
pt | BeginAutoDrag (TControl)
pt | BeginAutoSizing (TControl)
 | BeginDrag (TControl)
 | BeginUpdateBounds (TWinControl)
pt | BoundsChanged (TControl)
 | BringToFront (TControl)
 | BroadCast (TWinControl)
 | BrushCreated (TWinControl)
pt | CalculateDockSizes (TControl)
pt | CalculatePreferredSize (TControl)
pt | CalculatePreferredSize (TWinControl)
pt | CalculatePreferredSize (TCustomButtonPanel)
pt | CanAutoSize (TControl)
 | CanFocus (TWinControl)
 | CanSetFocus (TWinControl)
pt | CanTab (TControl)
pt | CanTab (TWinControl)
pt | CaptureChanged (TControl)
pt | ChangeBounds (TControl)
pt | Changed (TControl)
 | ChangeName (TComponent)
pt | ChangeScale (TControl)
pt | ChangeScale (TWinControl)
 | CheckChildClassAllowed (TControl)
 | CheckNewParent (TControl)
pt | CheckOnChangeBounds (TControl)
pt | ChildClassAllowed (TControl)
pt | ChildClassAllowed (TWinControl)
pt | ChildHandlesCreated (TWinControl)
pt | ChildKey (TWinControl)
 | ClassInfo (TObject)
 | ClassName (TObject)
 | ClassNameIs (TObject)
 | ClassParent (TObject)
 | ClassType (TObject)
 | CleanupInstance (TObject)
pt | Click (TControl)
 | ClientRectNeedsInterfaceUpdate (TWinControl)
 | ClientToParent (TControl)
 | ClientToScreen (TControl)
pt | CMAppShowBtnGlyphChanged (TCustomButtonPanel)
pt | CMBiDiModeChanged (TControl)
pt | CMBiDiModeChanged (TWinControl)
pt | CMBorderChanged (TWinControl)
pt | CMChanged (TControl)
pt | CMCursorChanged (TControl)
pt | CMDoubleBufferedChanged (TWinControl)
pt | CMEnabledChanged (TControl)
pt | CMEnabledChanged (TWinControl)
pt | CMEnter (TWinControl)
pt | CMExit (TWinControl)
pt | CMHintShow (TControl)
pt | CMHitTest (TControl)
pt | CMMouseEnter (TControl)
pt | CMMouseLeave (TControl)
pt | CMParentBiDiModeChanged (TControl)
pt | CMParentColorChanged (TControl)
pt | CMParentColorChanged (TCustomPanel)
pt | CMParentDoubleBufferedChanged (TWinControl)
pt | CMParentFontChanged (TControl)
pt | CMParentShowHintChanged (TControl)
pt | CMShowHintChanged (TWinControl)
pt | CMShowingChanged (TWinControl)
pt | CMShowingChanged (TCustomButtonPanel)
pt | CMSysFontChanged (TControl)
pt | CMTextChanged (TControl)
pt | CMVisibleChanged (TControl)
pt | CMVisibleChanged (TWinControl)
pt | CNChar (TWinControl)
pt | CNKeyDown (TWinControl)
pt | CNKeyUp (TWinControl)
 | CNPreferredSizeChanged (TControl)
pt | CNSysKeyDown (TWinControl)
pt | CNSysKeyUp (TWinControl)
pt | ColorIsStored (TControl)
pt | ConstrainedResize (TControl)
 | ContainsControl (TWinControl)
 | ControlAtPos (TWinControl)
pt | ControlKeyDown (TWinControl)
pt | ControlKeyUp (TWinControl)
pt | ControlsAligned (TWinControl)
 | ControlToScreen (TControl)
 | Create (TObject)
 | Create (TComponent)
 | Create (TLCLComponent)
 | Create (TControl)
 | Create (TWinControl)
 | Create (TCustomControl)
 | Create (TCustomPanel)
 | Create (TCustomButtonPanel)
 | CreateAccessibleObject (TControl)
pt | CreateBrush (TWinControl)
pt | CreateControlBorderSpacing (TControl)
pt | CreateControlBorderSpacing (TCustomButtonPanel)
pt | CreateDockManager (TWinControl)
pt | CreateFloatingDockSite (TControl)
pt | CreateHandle (TWinControl)
pt | CreateParams (TWinControl)
 | CreateParented (TWinControl)
 | CreateParentedControl (TWinControl)
pt | CreateSubClass (TWinControl)
pt | CreateWnd (TWinControl)
pt | CustomAlignInsertBefore (TWinControl)
pt | CustomAlignInsertBefore (TCustomButtonPanel)
pt | CustomAlignPosition (TWinControl)
pt | CustomAlignPosition (TCustomButtonPanel)
pt | DblClick (TControl)
 | DecLCLRefCount (TLCLComponent)
 | DefaultHandler (TObject)
 | DefaultHandler (TWinControl)
 | DefaultHandlerStr (TObject)
 | DefineProperties (TPersistent)
 | DefineProperties (TComponent)
pt | DefineProperties (TControl)
 | Destroy (TObject)
 | Destroy (TPersistent)
 | Destroy (TComponent)
 | Destroy (TLCLComponent)
 | Destroy (TControl)
 | Destroy (TWinControl)
 | Destroy (TCustomControl)
 | Destroy (TCustomButtonPanel)
 | DestroyComponents (TComponent)
pt | DestroyHandle (TWinControl)
 | Destroying (TComponent)
pt | DestroyWnd (TWinControl)
pt | DestroyWnd (TCustomControl)
pt | DialogChar (TControl)
pt | DialogChar (TWinControl)
 | DisableAlign (TWinControl)
 | DisableAutoSizing (TControl)
 | Dispatch (TObject)
 | DispatchStr (TObject)
pt | DoAddDockClient (TWinControl)
 | DoAdjustClientRectChange (TWinControl)
pt | DoAlignChildControls (TWinControl)
pt | DoAllAutoSize (TControl)
pt | DoAllAutoSize (TWinControl)
pt | DoAutoAdjustLayout (TControl)
pt | DoAutoSize (TControl)
pt | DoAutoSize (TWinControl)
pt | DoBorderSpacingChange (TControl)
pt | DoCallKeyEventHandler (TControl)
pt | DoCallMouseWheelEventHandler (TControl)
pt | DoCallNotifyHandler (TControl)
pt | DoChildSizingChange (TWinControl)
 | Dock (TControl)
 | DockDrop (TWinControl)
 | Docked (TControl)
pt | DockOver (TWinControl)
pt | DockTrackNoTarget (TControl)
pt | DoConstraintsChange (TControl)
pt | DoConstraintsChange (TWinControl)
pt | DoContextPopup (TControl)
pt | DoDock (TControl)
pt | DoDockClientMsg (TWinControl)
pt | DoDockOver (TWinControl)
pt | DoDragMsg (TControl)
pt | DoDragMsg (TWinControl)
pt | DoEndDock (TControl)
pt | DoEndDrag (TControl)
pt | DoEnter (TWinControl)
pt | DoExit (TWinControl)
pt | DoFixDesignFontPPI (TControl)
pt | DoFlipChildren (TWinControl)
pt | DoFloatMsg (TControl)
pt | DoFloatMsg (TWinControl)
pt | DoGetDockCaption (TWinControl)
pt | DoKeyDownBeforeInterface (TWinControl)
pt | DoKeyPress (TWinControl)
pt | DoKeyUpBeforeInterface (TWinControl)
pt | DoMouseWheel (TControl)
pt | DoMouseWheelDown (TControl)
pt | DoMouseWheelHorz (TControl)
pt | DoMouseWheelLeft (TControl)
pt | DoMouseWheelRight (TControl)
pt | DoMouseWheelUp (TControl)
pt | DoOnChangeBounds (TControl)
pt | DoOnParentHandleDestruction (TControl)
pt | DoOnResize (TControl)
pt | DoOnShowHint (TControl)
pt | DoRemainingKeyDown (TWinControl)
pt | DoRemainingKeyUp (TWinControl)
pt | DoRemoveDockClient (TWinControl)
pt | DoScaleFontPPI (TControl)
pt | DoSendBoundsToInterface (TWinControl)
pt | DoSendShowHideToInterface (TWinControl)
pt | DoSetBounds (TControl)
pt | DoSetBounds (TWinControl)
pt | DoStartDock (TControl)
pt | DoStartDrag (TControl)
pt | DoUnDock (TWinControl)
pt | DoUndockClientMsg (TWinControl)
pt | DoUTF8KeyPress (TWinControl)
pt | DragCanceled (TControl)
 | DragDrop (TControl)
 | Dragging (TControl)
pt | DragOver (TControl)
 | EditingDone (TControl)
 | EnableAlign (TWinControl)
 | EnableAutoSizing (TControl)
pt | EnabledChanged (TControl)
pt | EnabledChanging (TControl)
pt | EndAutoSizing (TControl)
 | EndDrag (TControl)
 | EndUpdateBounds (TWinControl)
 | Equals (TObject)
 | EraseBackground (TWinControl)
 | ExecuteAction (TComponent)
 | ExecuteCancelAction (TControl)
 | ExecuteDefaultAction (TControl)
 | FieldAddress (TObject)
pt | FinalizeWnd (TWinControl)
 | FindChildControl (TWinControl)
 | FindComponent (TComponent)
pt | FindNextControl (TWinControl)
 | FixDesignFontsPPI (TControl)
pt | FixupTabList (TWinControl)
 | FlipChildren (TWinControl)
 | Focused (TWinControl)
pt | FontChanged (TControl)
pt | FontChanged (TWinControl)
pt | FontChanged (TCustomControl)
pt | ForeignAnchorSideChanged (TControl)
pt | FormEndUpdated (TControl)
pt | FormEndUpdated (TWinControl)
 | FormIsUpdating (TControl)
 | FPOAttachObserver (TPersistent)
 | FPODetachObserver (TPersistent)
 | FPONotifyObservers (TPersistent)
 | Free (TObject)
 | FreeInstance (TObject)
 | FreeNotification (TComponent)
 | FreeOnRelease (TComponent)
 | GetAccessibleObject (TControl)
pt | GetAction (TControl)
pt | GetActionLinkClass (TControl)
pt | GetAdjustedLogicalClientRect (TWinControl)
 | GetAnchorsDependingOnParent (TControl)
pt | GetBorderStyle (TWinControl)
pt | GetCachedText (TControl)
 | GetCanvasScaleFactor (TControl)
 | GetChildAccessibleObjectAtPos (TControl)
 | GetChildOwner (TComponent)
 | GetChildParent (TComponent)
 | GetChildren (TComponent)
pt | GetChildren (TWinControl)
 | GetChildrenRect (TControl)
 | GetChildrenRect (TWinControl)
pt | GetClientOrigin (TControl)
pt | GetClientOrigin (TWinControl)
pt | GetClientRect (TControl)
pt | GetClientRect (TWinControl)
pt | GetClientScrollOffset (TControl)
 | GetColorResolvingParent (TControl)
 | GetComObject (TComponent)
 | GetComponent (TComponent)
 | GetComponentCount (TComponent)
 | GetComponentIndex (TComponent)
pt | GetControlClassDefaultSize (TControl)
pt | GetControlClassDefaultSize (TCustomPanel)
 | GetControlIndex (TWinControl)
pt | GetControlOrigin (TControl)
pt | GetControlOrigin (TWinControl)
pt | GetCursor (TControl)
 | GetDefaultColor (TControl)
pt | GetDefaultDockCaption (TControl)
pt | GetDefaultDockCaption (TCustomPanel)
 | GetDefaultHeight (TControl)
 | GetDefaultWidth (TControl)
pt | GetDeviceContext (TControl)
pt | GetDeviceContext (TWinControl)
 | GetDockCaption (TWinControl)
pt | GetDockEdge (TControl)
pt | GetDragImages (TControl)
pt | GetEnabled (TControl)
 | GetEnumerator (TComponent)
 | GetEnumeratorControls (TWinControl)
 | GetEnumeratorControlsReverse (TWinControl)
pt | GetFloating (TControl)
pt | GetFloatingDockSiteClass (TControl)
 | GetHashCode (TObject)
 | GetIDsOfNames (TComponent)
 | GetInterface (TObject)
 | GetInterfaceByStr (TObject)
 | GetInterfaceEntry (TObject)
 | GetInterfaceEntryByStr (TObject)
 | GetInterfaceTable (TObject)
 | GetInterfaceWeak (TObject)
pt | GetLogicalClientRect (TControl)
pt | GetMouseCapture (TControl)
pt | GetMouseCapture (TWinControl)
pt | GetMousePosFromMessage (TControl)
 | GetNamePath (TPersistent)
 | GetNamePath (TComponent)
 | GetOwner (TPersistent)
 | GetOwner (TComponent)
pt | GetPalette (TControl)
pt | GetParentBackground (TWinControl)
 | GetParentComponent (TComponent)
 | GetParentComponent (TControl)
pt | GetParentHandle (TWinControl)
pt | GetPopupMenu (TControl)
 | GetPreferredSize (TControl)
pt | GetPreferredSizeClientFrame (TWinControl)
 | GetRGBColorResolvingParent (TControl)
pt | GetScrolledClientRect (TControl)
 | GetSelectedChildAccessibleObject (TControl)
 | GetSidePosition (TControl)
pt | GetSiteInfo (TWinControl)
 | GetTabOrderList (TWinControl)
 | GetTextBuf (TControl)
 | GetTextLen (TControl)
 | GetTextLen (TWinControl)
 | GetTopParent (TControl)
pt | GetTopParentHandle (TWinControl)
 | GetTypeInfo (TComponent)
 | GetTypeInfoCount (TComponent)
pt | GetWSComponentClass (TLCLComponent)
 | HandleAllocated (TWinControl)
 | HandleNeeded (TWinControl)
 | HandleObjectShouldBeVisible (TControl)
 | HasHelp (TControl)
 | HasParent (TComponent)
 | HasParent (TControl)
pt | HeightIsAnchored (TControl)
 | Hide (TControl)
 | iicrGetComponent (TComponent)
 | IncLCLRefCount (TLCLComponent)
 | InheritsFrom (TObject)
pt | InitializeWnd (TWinControl)
 | InitiateAction (TControl)
 | InitInstance (TObject)
 | Insert (TComponent)
 | InsertComponent (TComponent)
 | InsertControl (TWinControl)
 | InstanceSize (TObject)
 | IntfGetDropFilesTarget (TWinControl)
 | IntfUTF8KeyPress (TWinControl)
 | Invalidate (TControl)
 | Invalidate (TWinControl)
pt | InvalidateBoundsRealized (TWinControl)
 | InvalidateClientRectCache (TWinControl)
pt | InvalidateControl (TControl)
pt | InvalidatePreferredChildSizes (TWinControl)
 | InvalidatePreferredSize (TControl)
 | Invoke (TComponent)
pt | IsAParentAligning (TControl)
pt | IsBorderSpacingInnerBorderStored (TControl)
pt | IsCaptionStored (TControl)
pt | IsClientHeightStored (TControl)
pt | IsClientHeightStored (TWinControl)
pt | IsClientWidthStored (TControl)
pt | IsClientWidthStored (TWinControl)
pt | IsControlMouseMsg (TWinControl)
 | IsControlVisible (TControl)
 | IsEnabled (TControl)
 | IsImplementorOf (TComponent)
 | IsParentColor (TControl)
 | IsParentFont (TControl)
 | IsParentOf (TControl)
 | IsProcessingPaintMsg (TControl)
 | IsRightToLeft (TControl)
 | IsVisible (TControl)
pt | KeyDown (TWinControl)
pt | KeyDownAfterInterface (TWinControl)
pt | KeyDownBeforeInterface (TWinControl)
pt | KeyPress (TWinControl)
pt | KeyUp (TWinControl)
pt | KeyUpAfterInterface (TWinControl)
pt | KeyUpBeforeInterface (TWinControl)
pt | LMCaptureChanged (TControl)
 | Loaded (TComponent)
pt | Loaded (TControl)
pt | Loaded (TWinControl)
pt | Loaded (TCustomPanel)
pt | LoadedAll (TControl)
 | Loading (TComponent)
 | LockRealizeBounds (TWinControl)
pt | MainWndProc (TWinControl)
 | ManualDock (TControl)
 | ManualFloat (TControl)
 | MethodAddress (TObject)
 | MethodName (TObject)
pt | MouseDown (TControl)
pt | MouseEnter (TControl)
pt | MouseLeave (TControl)
pt | MouseMove (TControl)
pt | MouseUp (TControl)
 | newinstance (TObject)
 | NewInstance (TLCLComponent)
 | Notification (TComponent)
pt | Notification (TControl)
pt | Notification (TCustomButtonPanel)
 | NotifyControls (TWinControl)
pt | Paint (TCustomControl)
pt | Paint (TCustomPanel)
pt | PaintControls (TWinControl)
pt | PaintHandler (TWinControl)
 | PaintTo (TWinControl)
pt | PaintWindow (TWinControl)
pt | PaintWindow (TCustomControl)
 | PaletteCreated (TComponent)
 | ParentDestroyingHandle (TControl)
pt | ParentFontChanged (TControl)
pt | ParentFormHandleInitialized (TControl)
pt | ParentFormHandleInitialized (TWinControl)
 | ParentHandlesAllocated (TControl)
 | ParentHandlesAllocated (TWinControl)
 | ParentToClient (TControl)
 | Perform (TControl)
 | PerformTab (TWinControl)
pt | PositionDockRect (TControl)
pt | QuadClick (TControl)
 | QueryInterface (TComponent)
 | ReadLeft (TComponent)
 | ReadState (TComponent)
pt | ReadState (TControl)
 | ReadTop (TComponent)
pt | RealGetText (TControl)
pt | RealGetText (TWinControl)
 | ReAlign (TWinControl)
pt | RealizeBounds (TWinControl)
pt | RealizeBoundsRecursive (TWinControl)
pt | RealSetText (TControl)
pt | RealSetText (TWinControl)
pt | RealSetText (TCustomPanel)
 | ReferenceInterface (TComponent)
 | Refresh (TControl)
pt | ReloadDockedControl (TWinControl)
 | Remove (TComponent)
 | RemoveAllHandlersOfObject (TLCLComponent)
 | RemoveAllHandlersOfObject (TControl)
 | RemoveComponent (TComponent)
 | RemoveControl (TWinControl)
pt | RemoveFocus (TWinControl)
 | RemoveFreeNotification (TComponent)
pt | RemoveHandler (TControl)
 | RemoveHandlerOnBeforeDestruction (TControl)
 | RemoveHandlerOnChangeBounds (TControl)
 | RemoveHandlerOnEnableChanging (TControl)
 | RemoveHandlerOnKeyDown (TControl)
 | RemoveHandlerOnMouseWheel (TControl)
 | RemoveHandlerOnResize (TControl)
 | RemoveHandlerOnVisibleChanged (TControl)
 | RemoveHandlerOnVisibleChanging (TControl)
 | RemoveNotification (TComponent)
 | Repaint (TControl)
 | Repaint (TWinControl)
 | ReplaceDockedControl (TControl)
pt | RequestAlign (TControl)
pt | Resize (TControl)
 | SafeCallException (TObject)
 | SafeCallException (TComponent)
 | Scale96ToFont (TControl)
 | Scale96ToForm (TControl)
 | Scale96ToScreen (TControl)
 | ScaleBy (TWinControl)
pt | ScaleConstraints (TControl)
pt | ScaleControls (TWinControl)
 | ScaleDesignToForm (TControl)
 | ScaleFontsPPI (TControl)
 | ScaleFontTo96 (TControl)
 | ScaleFontToScreen (TControl)
 | ScaleFormTo96 (TControl)
 | ScaleFormToDesign (TControl)
 | ScaleScreenTo96 (TControl)
 | ScaleScreenToFont (TControl)
 | ScreenToClient (TControl)
 | ScreenToControl (TControl)
 | ScrollBy (TWinControl)
 | ScrollBy_WS (TWinControl)
pt | SelectFirst (TWinControl)
 | SelectNext (TWinControl)
pt | SendDialogChar (TWinControl)
pt | SendMoveSizeMessages (TControl)
pt | SendMoveSizeMessages (TWinControl)
 | SendToBack (TControl)
pt | SetAction (TControl)
pt | SetAlign (TControl)
pt | SetAlign (TCustomButtonPanel)
 | SetAncestor (TComponent)
pt | SetAnchors (TControl)
pt | SetAutoSize (TControl)
pt | SetBiDiMode (TControl)
pt | SetBorderStyle (TWinControl)
 | SetBounds (TControl)
 | SetBounds (TWinControl)
 | SetBoundsKeepBase (TControl)
 | SetChildOrder (TComponent)
pt | SetChildZPosition (TWinControl)
pt | SetColor (TControl)
pt | SetColor (TWinControl)
pt | SetColor (TCustomControl)
 | SetComponentIndex (TComponent)
 | SetControlIndex (TWinControl)
pt | SetCursor (TControl)
 | SetDesigning (TComponent)
 | SetDesignInstance (TComponent)
pt | SetDockManager (TWinControl)
pt | SetDragMode (TControl)
pt | SetEnabled (TControl)
 | SetFocus (TWinControl)
pt | SetHint (TControl)
 | SetInitialBounds (TControl)
 | SetInline (TComponent)
 | SetName (TComponent)
pt | SetName (TControl)
pt | SetParent (TControl)
pt | SetParentBackground (TWinControl)
pt | SetParentBackground (TCustomPanel)
pt | SetParentBiDiMode (TControl)
 | SetParentComponent (TComponent)
pt | SetParentComponent (TControl)
 | SetReference (TComponent)
 | SetShape (TWinControl)
 | SetSubComponent (TComponent)
 | SetTempCursor (TControl)
 | SetTempCursor (TWinControl)
 | SetTextBuf (TControl)
pt | SetVisible (TControl)
pt | SetZOrder (TControl)
 | ShouldAutoAdjust (TControl)
 | Show (TControl)
pt | ShowControl (TWinControl)
 | ShowHelp (TControl)
 | StringMessageTable (TObject)
pt | TextChanged (TControl)
 | ToString (TObject)
pt | TripleClick (TControl)
 | UnitName (TObject)
 | UnlockRealizeBounds (TWinControl)
 | Update (TControl)
 | Update (TWinControl)
 | UpdateAction (TComponent)
pt | UpdateAnchorRules (TControl)
 | UpdateBaseBounds (TControl)
pt | UpdateControlState (TWinControl)
 | Updated (TComponent)
 | UpdateDockCaption (TWinControl)
pt | UpdateMouseCursor (TControl)
pt | UpdateParentColorChange (TCustomPanel)
 | UpdateRegistry (TComponent)
 | UpdateRolesForForm (TControl)
pt | UpdateShowing (TWinControl)
 | Updating (TComponent)
 | UseRightToLeftAlignment (TControl)
 | UseRightToLeftReading (TControl)
 | UseRightToLeftScrollBar (TControl)
pt | UTF8KeyPress (TWinControl)
 | ValidateContainer (TComponent)
 | ValidateInsert (TComponent)
 | ValidateRename (TComponent)
pt | VisibleChanged (TControl)
pt | VisibleChanging (TControl)
pt | WidthIsAnchored (TControl)
pt | WMCancelMode (TControl)
pt | WMChar (TWinControl)
pt | WMContextMenu (TControl)
pt | WMContextMenu (TWinControl)
pt | WMDestroy (TWinControl)
pt | WMEnter (TWinControl)
pt | WMEraseBkgnd (TWinControl)
pt | WMExit (TWinControl)
pt | WMKeyDown (TWinControl)
pt | WMKeyUp (TWinControl)
pt | WMKillFocus (TWinControl)
pt | WMLButtonDBLCLK (TControl)
pt | WMLButtonDown (TControl)
pt | WMLButtonQuadCLK (TControl)
pt | WMLButtonTripleCLK (TControl)
pt | WMLButtonUp (TControl)
pt | WMMButtonDBLCLK (TControl)
pt | WMMButtonDown (TControl)
pt | WMMButtonQuadCLK (TControl)
pt | WMMButtonTripleCLK (TControl)
pt | WMMButtonUp (TControl)
pt | WMMouseHWheel (TControl)
pt | WMMouseMove (TControl)
pt | WMMouseWheel (TControl)
pt | WMMove (TControl)
pt | WMMove (TWinControl)
pt | WMNotify (TWinControl)
pt | WMPaint (TWinControl)
pt | WMPaint (TCustomControl)
pt | WMRButtonDBLCLK (TControl)
pt | WMRButtonDown (TControl)
pt | WMRButtonQuadCLK (TControl)
pt | WMRButtonTripleCLK (TControl)
pt | WMRButtonUp (TControl)
pt | WMSetFocus (TWinControl)
pt | WMShowWindow (TWinControl)
pt | WMSize (TControl)
pt | WMSize (TWinControl)
pt | WMSysChar (TWinControl)
pt | WMSysKeyDown (TWinControl)
pt | WMSysKeyUp (TWinControl)
pt | WMWindowPosChanged (TControl)
pt | WMWindowPosChanged (TWinControl)
pt | WMXButtonDBLCLK (TControl)
pt | WMXButtonDown (TControl)
pt | WMXButtonQuadCLK (TControl)
pt | WMXButtonTripleCLK (TControl)
pt | WMXButtonUp (TControl)
pt | WndProc (TControl)
pt | WndProc (TWinControl)
 | WriteLayoutDebugReport (TControl)
 | WriteLayoutDebugReport (TWinControl)
 | WriteLeft (TComponent)
 | WriteState (TComponent)
 | WriteTop (TComponent)
pt | WSRegisterClass (TLCLComponent)
pt | WSRegisterClass (TControl)
pt | WSRegisterClass (TWinControl)
pt | WSRegisterClass (TCustomControl)
pt | WSRegisterClass (TCustomPanel)
pt | WSSetText (TWinControl)
 | _AddRef (TComponent)
 | _Release (TComponent)


TButtonPanel
pl | ro | OnClick
pl | ro | OnDblClick
pl | ro | OnDragDrop
pl | ro | OnEnter
pl | ro | OnExit
pl | ro | OnKeyDown
pl | ro | OnKeyPress
pl | ro | OnKeyUp
pl | ro | OnMouseDown
pl | ro | OnMouseEnter
pl | ro | OnMouseLeave
pl | ro | OnMouseMove
pl | ro | OnMouseUp
pl | ro | OnMouseWheel
pl | ro | OnMouseWheelDown
pl | ro | OnMouseWheelUp
pl | ro | OnResize
pl | ro | OnUTF8KeyPress
TCustomButtonPanel
TCustomPanel
TCustomControl
 |  | OnPaint
TWinControl
pt |  | OnGetSiteInfo
pt |  | OnGetDockCaption
 |  | OnAlignInsertBefore
 |  | OnAlignPosition
 |  | OnDockDrop
 |  | OnDockOver
 |  | OnEnter
 |  | OnExit
 |  | OnKeyDown
 |  | OnKeyPress
 |  | OnKeyUp
 |  | OnUnDock
 |  | OnUTF8KeyPress
TControl
pt |  | OnConstrainedResize
pt |  | OnContextPopup
pt |  | OnDblClick
pt |  | OnTripleClick
pt |  | OnQuadClick
pt |  | OnDragDrop
pt |  | OnDragOver
pt |  | OnEndDock
pt |  | OnEndDrag
pt |  | OnMouseDown
pt |  | OnMouseMove
pt |  | OnMouseUp
pt |  | OnMouseEnter
pt |  | OnMouseLeave
pt |  | OnMouseWheel
pt |  | OnMouseWheelDown
pt |  | OnMouseWheelUp
pt |  | OnMouseWheelHorz
pt |  | OnMouseWheelLeft
pt |  | OnMouseWheelRight
pt |  | OnStartDock
pt |  | OnStartDrag
pt |  | OnEditingDone
 |  | OnChangeBounds
 |  | OnClick
 |  | OnResize
 |  | OnShowHint
TLCLComponent
TComponent
TPersistent
TObject


 |  | OnAlignInsertBefore (TWinControl)
 |  | OnAlignPosition (TWinControl)
 |  | OnChangeBounds (TControl)
 |  | OnClick (TControl)
pl | ro | OnClick (TButtonPanel)
pt |  | OnConstrainedResize (TControl)
pt |  | OnContextPopup (TControl)
pt |  | OnDblClick (TControl)
pl | ro | OnDblClick (TButtonPanel)
 |  | OnDockDrop (TWinControl)
 |  | OnDockOver (TWinControl)
pt |  | OnDragDrop (TControl)
pl | ro | OnDragDrop (TButtonPanel)
pt |  | OnDragOver (TControl)
pt |  | OnEditingDone (TControl)
pt |  | OnEndDock (TControl)
pt |  | OnEndDrag (TControl)
 |  | OnEnter (TWinControl)
pl | ro | OnEnter (TButtonPanel)
 |  | OnExit (TWinControl)
pl | ro | OnExit (TButtonPanel)
pt |  | OnGetDockCaption (TWinControl)
pt |  | OnGetSiteInfo (TWinControl)
 |  | OnKeyDown (TWinControl)
pl | ro | OnKeyDown (TButtonPanel)
 |  | OnKeyPress (TWinControl)
pl | ro | OnKeyPress (TButtonPanel)
 |  | OnKeyUp (TWinControl)
pl | ro | OnKeyUp (TButtonPanel)
pt |  | OnMouseDown (TControl)
pl | ro | OnMouseDown (TButtonPanel)
pt |  | OnMouseEnter (TControl)
pl | ro | OnMouseEnter (TButtonPanel)
pt |  | OnMouseLeave (TControl)
pl | ro | OnMouseLeave (TButtonPanel)
pt |  | OnMouseMove (TControl)
pl | ro | OnMouseMove (TButtonPanel)
pt |  | OnMouseUp (TControl)
pl | ro | OnMouseUp (TButtonPanel)
pt |  | OnMouseWheel (TControl)
pl | ro | OnMouseWheel (TButtonPanel)
pt |  | OnMouseWheelDown (TControl)
pl | ro | OnMouseWheelDown (TButtonPanel)
pt |  | OnMouseWheelHorz (TControl)
pt |  | OnMouseWheelLeft (TControl)
pt |  | OnMouseWheelRight (TControl)
pt |  | OnMouseWheelUp (TControl)
pl | ro | OnMouseWheelUp (TButtonPanel)
 |  | OnPaint (TCustomControl)
pt |  | OnQuadClick (TControl)
 |  | OnResize (TControl)
pl | ro | OnResize (TButtonPanel)
 |  | OnShowHint (TControl)
pt |  | OnStartDock (TControl)
pt |  | OnStartDrag (TControl)
pt |  | OnTripleClick (TControl)
 |  | OnUnDock (TWinControl)
 |  | OnUTF8KeyPress (TWinControl)
pl | ro | OnUTF8KeyPress (TButtonPanel)


TButtonPanel.BorderSpacing

Declaration

Source position: buttonpanel.pas line 123

published property TButtonPanel.BorderSpacing : TControlBorderSpacing;


TButtonPanel.Color

Declaration

Source position: buttonpanel.pas line 130

published property TButtonPanel.Color : TColor;


TButtonPanel.Constraints

Declaration

Source position: buttonpanel.pas line 124

published property TButtonPanel.Constraints : TSizeConstraints;


TButtonPanel.Enabled

Declaration

Source position: buttonpanel.pas line 125

published property TButtonPanel.Enabled : Boolean;


TButtonPanel.OnMouseEnter

Declaration

Source position: buttonpanel.pas line 144

published property TButtonPanel.OnMouseEnter : TNotifyEvent;


TButtonPanel.OnMouseLeave

Declaration

Source position: buttonpanel.pas line 145

published property TButtonPanel.OnMouseLeave : TNotifyEvent;


TButtonPanel.OnMouseWheel

Declaration

Source position: buttonpanel.pas line 148

published property TButtonPanel.OnMouseWheel : TMouseWheelEvent;


TButtonPanel.OnMouseWheelDown

Declaration

Source position: buttonpanel.pas line 149

published property TButtonPanel.OnMouseWheelDown : TMouseWheelUpDownEvent;


TButtonPanel.OnMouseWheelUp

Declaration

Source position: buttonpanel.pas line 150

published property TButtonPanel.OnMouseWheelUp : TMouseWheelUpDownEvent;


TButtonPanel.ShowBevel

Declaration

Source position: buttonpanel.pas line 155

published property TButtonPanel.ShowBevel : Boolean;


TButtonPanel.Spacing

Declaration

Source position: buttonpanel.pas line 134

published property TButtonPanel.Spacing : TSpacingSize;


TCustomButtonPanel

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

TCustomButtonPanel - base class for TButtonPanel, a panel containing BitButtons

Declaration

Source position: buttonpanel.pas line 54

type TCustomButtonPanel = class(TCustomPanel)
protected
function CreateControlBorderSpacing; override;
function CustomAlignInsertBefore(); override;
procedure CustomAlignPosition(); override;
procedure CalculatePreferredSize(); override;
procedure Notification(); override;
procedure SetAlign(); override;
procedure CMAppShowBtnGlyphChanged(); message;
procedure CMShowingChanged(); message;
public
constructor Create(); override; |
destructor Destroy; override; |
property Align: TAlign;
property AutoSize: Boolean; | TCustomButtonPanel default is True
property OKButton: TPanelBitBtn; [r] | OKButton - a button with the caption 'OK' signifying acceptance by the user
property HelpButton: TPanelBitBtn; [r] | HelpButton - a button with the 'Help' caption, for requesting help
property CloseButton: TPanelBitBtn; [r] | CloseButton - a button with the 'Close' caption for terminating the Form or panel
property CancelButton: TPanelBitBtn; [r] | CancelButton - a button with the 'Cancel' caption for cancelling the operation
property ButtonOrder: TButtonOrder; [rw] | ButtonOrder - the order in which the series of buttons will appear on the panel
property DefaultButton: TPanelButton; [rw] | DefaultButton - the button which represents the default action, selected by pressing 'Return' or 'Enter'
property ShowButtons: TPanelButtons; [rw] | ShowButtons - whether the buttons are to be visible
property ShowGlyphs: TPanelButtons; [rw] | ShowGlyphs - whether the Glyphs (small images) are to be shown on the buttons
property ShowBevel: Boolean; [rw]
property Spacing: TSpacingSize; [rw]
end;

Inheritance

TCustomButtonPanel | TCustomButtonPanel - base class for TButtonPanel, a panel containing BitButtons
|
TCustomPanel | The base class for a general container which can hold other objects. It has a customizable border and a central text.
|
TCustomControl | The base class for windowed controls which paint themselves.
|
TWinControl | The base class for controls which can contain other (child) controls.
|
TControl | The base class for visible controls.
|
TLCLComponent | The base class for LCL components associated with widgets.
|
TComponent,IUnknown,IInterfaceComponentReference
|
TPersistent,IFPObserved
|
TObject


TCustomButtonPanel
 | ro | Align
 | ro | AutoSize
 | ro | OKButton
 | ro | HelpButton
 | ro | CloseButton
 | ro | CancelButton
 |  | ButtonOrder
 |  | DefaultButton
 |  | ShowButtons
 |  | ShowGlyphs
 |  | ShowBevel
 |  | Spacing
TCustomPanel
pt |  | WordWrap
 | ro | Align
 |  | Alignment
 |  | BevelColor
 |  | BevelInner
 |  | BevelOuter
 |  | BevelWidth
 | ro | Color
 |  | FullRepaint
 | ro | ParentBackground
 | ro | ParentColor
 | ro | TabStop
TCustomControl
 |  | Canvas
 | ro | BorderStyle
TWinControl
pt |  | WindowHandle
pt |  | BorderStyle
pt |  | ParentBackground
 |  | BorderWidth
 | ro | BoundsLockCount
 | ro | Brush
 | ro | CachedClientHeight
 | ro | CachedClientWidth
 |  | ChildSizing
 | ro | ControlCount
 | ro | Controls
 |  | DefWndProc
 | ro | DockClientCount
 | ro | DockClients
 |  | DockManager
 |  | DockSite
 |  | DoubleBuffered
 |  | Handle
 | ro | IsFlipped
 | ro | IsResizing
 |  | TabOrder
 |  | TabStop
 |  | ParentDoubleBuffered
 |  | ParentWindow
 | ro | Showing
 |  | UseDockManager
 |  | DesignerDeleting
 | ro | VisibleDockClientCount
TControl
pt | ro | AutoSizing
pt | ro | AutoSizingAll
pt | ro | AutoSizingLockCount
pt |  | ActionLink
pt |  | DesktopFont
pt |  | DragCursor
pt |  | DragKind
pt |  | DragMode
pt |  | MouseCapture
pt |  | ParentColor
pt |  | ParentFont
pt |  | ParentShowHint
pt |  | SessionProperties
pt |  | Text
 | ro | AnchoredControls
 | ro | BaseBounds
 | ro | ReadBounds
 | ro | BaseParentClientSize
 |  | AccessibleDescription
 |  | AccessibleValue
 |  | AccessibleRole
 |  | Action
 |  | Align
 |  | Anchors
 | ro | AnchorSide
 |  | AutoSize
 |  | BorderSpacing
 |  | BoundsRect
 |  | BoundsRectForNewParent
 |  | Caption
 |  | CaptureMouseButtons
 |  | ClientHeight
 | ro | ClientOrigin
 | ro | ClientRect
 |  | ClientWidth
 |  | Color
 |  | Constraints
 | ro | ControlOrigin
 |  | ControlState
 |  | ControlStyle
 |  | Enabled
 |  | Font
 |  | IsControl
 | ro | MouseEntered
 | ro | MouseInClient
 |  | Parent
 |  | PopupMenu
 |  | ShowHint
 |  | Visible
 |  | WindowProc
 |  | DockOrientation
 | ro | Floating
 |  | FloatingDockSiteClass
 |  | HostDockSite
 |  | LRDockWidth
 |  | TBDockHeight
 |  | UndockHeight
 |  | UndockWidth
 |  | BiDiMode
 |  | ParentBiDiMode
pl |  | AnchorSideLeft
pl |  | AnchorSideTop
pl |  | AnchorSideRight
pl |  | AnchorSideBottom
pl |  | Cursor
pl |  | Left
pl |  | Height
pl |  | Hint
pl |  | Top
pl |  | Width
pl |  | HelpType
pl |  | HelpKeyword
pl |  | HelpContext
TLCLComponent
 | ro | LCLRefCount
 | ro | WidgetSetClass
TComponent
 | ro | ComObject
 | ro | Components
 | ro | ComponentCount
 |  | ComponentIndex
 | ro | ComponentState
 | ro | ComponentStyle
 |  | DesignInfo
 | ro | Owner
 |  | VCLComObject
 |  | Name
 |  | Tag
TPersistent
TObject


 |  | AccessibleDescription (TControl)
 |  | AccessibleRole (TControl)
 |  | AccessibleValue (TControl)
 |  | Action (TControl)
pt |  | ActionLink (TControl)
 |  | Align (TControl)
 | ro | Align (TCustomPanel)
 | ro | Align (TCustomButtonPanel)
 |  | Alignment (TCustomPanel)
 | ro | AnchoredControls (TControl)
 |  | Anchors (TControl)
 | ro | AnchorSide (TControl)
pl |  | AnchorSideBottom (TControl)
pl |  | AnchorSideLeft (TControl)
pl |  | AnchorSideRight (TControl)
pl |  | AnchorSideTop (TControl)
 |  | AutoSize (TControl)
 | ro | AutoSize (TCustomButtonPanel)
pt | ro | AutoSizing (TControl)
pt | ro | AutoSizingAll (TControl)
pt | ro | AutoSizingLockCount (TControl)
 | ro | BaseBounds (TControl)
 | ro | BaseParentClientSize (TControl)
 |  | BevelColor (TCustomPanel)
 |  | BevelInner (TCustomPanel)
 |  | BevelOuter (TCustomPanel)
 |  | BevelWidth (TCustomPanel)
 |  | BiDiMode (TControl)
 |  | BorderSpacing (TControl)
pt |  | BorderStyle (TWinControl)
 | ro | BorderStyle (TCustomControl)
 |  | BorderWidth (TWinControl)
 | ro | BoundsLockCount (TWinControl)
 |  | BoundsRect (TControl)
 |  | BoundsRectForNewParent (TControl)
 | ro | Brush (TWinControl)
 |  | ButtonOrder (TCustomButtonPanel)
 | ro | CachedClientHeight (TWinControl)
 | ro | CachedClientWidth (TWinControl)
 | ro | CancelButton (TCustomButtonPanel)
 |  | Canvas (TCustomControl)
 |  | Caption (TControl)
 |  | CaptureMouseButtons (TControl)
 |  | ChildSizing (TWinControl)
 |  | ClientHeight (TControl)
 | ro | ClientOrigin (TControl)
 | ro | ClientRect (TControl)
 |  | ClientWidth (TControl)
 | ro | CloseButton (TCustomButtonPanel)
 |  | Color (TControl)
 | ro | Color (TCustomPanel)
 | ro | ComObject (TComponent)
 | ro | ComponentCount (TComponent)
 |  | ComponentIndex (TComponent)
 | ro | Components (TComponent)
 | ro | ComponentState (TComponent)
 | ro | ComponentStyle (TComponent)
 |  | Constraints (TControl)
 | ro | ControlCount (TWinControl)
 | ro | ControlOrigin (TControl)
 | ro | Controls (TWinControl)
 |  | ControlState (TControl)
 |  | ControlStyle (TControl)
pl |  | Cursor (TControl)
 |  | DefaultButton (TCustomButtonPanel)
 |  | DefWndProc (TWinControl)
 |  | DesignerDeleting (TWinControl)
 |  | DesignInfo (TComponent)
pt |  | DesktopFont (TControl)
 | ro | DockClientCount (TWinControl)
 | ro | DockClients (TWinControl)
 |  | DockManager (TWinControl)
 |  | DockOrientation (TControl)
 |  | DockSite (TWinControl)
 |  | DoubleBuffered (TWinControl)
pt |  | DragCursor (TControl)
pt |  | DragKind (TControl)
pt |  | DragMode (TControl)
 |  | Enabled (TControl)
 | ro | Floating (TControl)
 |  | FloatingDockSiteClass (TControl)
 |  | Font (TControl)
 |  | FullRepaint (TCustomPanel)
 |  | Handle (TWinControl)
pl |  | Height (TControl)
 | ro | HelpButton (TCustomButtonPanel)
pl |  | HelpContext (TControl)
pl |  | HelpKeyword (TControl)
pl |  | HelpType (TControl)
pl |  | Hint (TControl)
 |  | HostDockSite (TControl)
 |  | IsControl (TControl)
 | ro | IsFlipped (TWinControl)
 | ro | IsResizing (TWinControl)
 | ro | LCLRefCount (TLCLComponent)
pl |  | Left (TControl)
 |  | LRDockWidth (TControl)
pt |  | MouseCapture (TControl)
 | ro | MouseEntered (TControl)
 | ro | MouseInClient (TControl)
 |  | Name (TComponent)
 | ro | OKButton (TCustomButtonPanel)
 | ro | Owner (TComponent)
 |  | Parent (TControl)
pt |  | ParentBackground (TWinControl)
 | ro | ParentBackground (TCustomPanel)
 |  | ParentBiDiMode (TControl)
pt |  | ParentColor (TControl)
 | ro | ParentColor (TCustomPanel)
 |  | ParentDoubleBuffered (TWinControl)
pt |  | ParentFont (TControl)
pt |  | ParentShowHint (TControl)
 |  | ParentWindow (TWinControl)
 |  | PopupMenu (TControl)
 | ro | ReadBounds (TControl)
pt |  | SessionProperties (TControl)
 |  | ShowBevel (TCustomButtonPanel)
 |  | ShowButtons (TCustomButtonPanel)
 |  | ShowGlyphs (TCustomButtonPanel)
 |  | ShowHint (TControl)
 | ro | Showing (TWinControl)
 |  | Spacing (TCustomButtonPanel)
 |  | TabOrder (TWinControl)
 |  | TabStop (TWinControl)
 | ro | TabStop (TCustomPanel)
 |  | Tag (TComponent)
 |  | TBDockHeight (TControl)
pt |  | Text (TControl)
pl |  | Top (TControl)
 |  | UndockHeight (TControl)
 |  | UndockWidth (TControl)
 |  | UseDockManager (TWinControl)
 |  | VCLComObject (TComponent)
 |  | Visible (TControl)
 | ro | VisibleDockClientCount (TWinControl)
 | ro | WidgetSetClass (TLCLComponent)
pl |  | Width (TControl)
pt |  | WindowHandle (TWinControl)
 |  | WindowProc (TControl)
pt |  | WordWrap (TCustomPanel)


TCustomButtonPanel
pt | CreateControlBorderSpacing
pt | CustomAlignInsertBefore
pt | CustomAlignPosition
pt | CalculatePreferredSize
pt | Notification
pt | SetAlign
pt | CMAppShowBtnGlyphChanged
pt | CMShowingChanged
 | Create
 | Destroy
TCustomPanel
pt | WSRegisterClass
pt | AdjustClientRect
pt | GetControlClassDefaultSize
pt | CMParentColorChanged
pt | GetDefaultDockCaption
pt | Loaded
pt | RealSetText
pt | Paint
pt | SetParentBackground
pt | UpdateParentColorChange
 | Create
TCustomControl
pt | WSRegisterClass
pt | WMPaint
pt | DestroyWnd
pt | PaintWindow
pt | FontChanged
pt | SetColor
pt | Paint
 | Create
 | Destroy
TWinControl
pt | WSRegisterClass
pt | AdjustClientRect
pt | GetAdjustedLogicalClientRect
pt | AlignControls
pt | CustomAlignInsertBefore
pt | CustomAlignPosition
pt | DoAlignChildControls
pt | DoChildSizingChange
pt | InvalidatePreferredChildSizes
pt | CanTab
pt | IsClientHeightStored
pt | IsClientWidthStored
pt | DoSendShowHideToInterface
pt | ControlsAligned
pt | DoSendBoundsToInterface
pt | RealizeBounds
pt | RealizeBoundsRecursive
pt | InvalidateBoundsRealized
pt | CreateSubClass
pt | DoConstraintsChange
pt | DoSetBounds
pt | DoAutoSize
pt | DoAllAutoSize
pt | AllAutoSized
pt | CalculatePreferredSize
pt | GetPreferredSizeClientFrame
pt | GetChildren
pt | ChildClassAllowed
pt | PaintControls
pt | PaintHandler
pt | PaintWindow
pt | CreateBrush
pt | ScaleControls
pt | ChangeScale
pt | CMBiDiModeChanged
pt | CMBorderChanged
pt | CMDoubleBufferedChanged
pt | CMEnabledChanged
pt | CMParentDoubleBufferedChanged
pt | CMShowingChanged
pt | CMShowHintChanged
pt | CMVisibleChanged
pt | CMEnter
pt | CMExit
pt | WMContextMenu
pt | WMEraseBkgnd
pt | WMNotify
pt | WMSetFocus
pt | WMKillFocus
pt | WMShowWindow
pt | WMEnter
pt | WMExit
pt | WMKeyDown
pt | WMSysKeyDown
pt | WMKeyUp
pt | WMSysKeyUp
pt | WMChar
pt | WMSysChar
pt | WMPaint
pt | WMDestroy
pt | WMMove
pt | WMSize
pt | WMWindowPosChanged
pt | CNKeyDown
pt | CNSysKeyDown
pt | CNKeyUp
pt | CNSysKeyUp
pt | CNChar
pt | DoDragMsg
pt | DoDockClientMsg
pt | DoUndockClientMsg
pt | DoAddDockClient
pt | DockOver
pt | DoDockOver
pt | DoRemoveDockClient
pt | DoUnDock
pt | GetSiteInfo
pt | GetParentHandle
pt | GetTopParentHandle
pt | ReloadDockedControl
pt | CreateDockManager
pt | SetDockManager
pt | DoFloatMsg
pt | DoGetDockCaption
pt | DoEnter
pt | DoExit
pt | DoKeyDownBeforeInterface
pt | DoRemainingKeyDown
pt | DoRemainingKeyUp
pt | DoKeyPress
pt | DoUTF8KeyPress
pt | DoKeyUpBeforeInterface
pt | ChildKey
pt | SendDialogChar
pt | DialogChar
pt | ControlKeyDown
pt | ControlKeyUp
pt | KeyDown
pt | KeyDownBeforeInterface
pt | KeyDownAfterInterface
pt | KeyPress
pt | KeyUp
pt | KeyUpBeforeInterface
pt | KeyUpAfterInterface
pt | UTF8KeyPress
pt | FindNextControl
pt | SelectFirst
pt | RealGetText
pt | GetBorderStyle
pt | GetClientOrigin
pt | GetClientRect
pt | GetControlOrigin
pt | GetDeviceContext
pt | GetParentBackground
pt | IsControlMouseMsg
pt | CreateHandle
pt | CreateParams
pt | CreateWnd
pt | DestroyHandle
pt | DestroyWnd
pt | DoFlipChildren
pt | FinalizeWnd
pt | FixupTabList
pt | FontChanged
pt | InitializeWnd
pt | Loaded
pt | FormEndUpdated
pt | MainWndProc
pt | ParentFormHandleInitialized
pt | ChildHandlesCreated
pt | GetMouseCapture
pt | RealSetText
pt | RemoveFocus
pt | SendMoveSizeMessages
pt | SetBorderStyle
pt | SetColor
pt | SetChildZPosition
pt | SetParentBackground
pt | ShowControl
pt | UpdateControlState
pt | UpdateShowing
pt | WndProc
pt | WSSetText
 | AutoSizePhases
 | AutoSizeDelayed
 | AutoSizeDelayedReport
 | AutoSizeDelayedHandle
 | BeginUpdateBounds
 | EndUpdateBounds
 | LockRealizeBounds
 | UnlockRealizeBounds
 | ControlAtPos
 | ContainsControl
 | DoAdjustClientRectChange
 | InvalidateClientRectCache
 | ClientRectNeedsInterfaceUpdate
 | SetBounds
 | GetChildrenRect
 | DisableAlign
 | EnableAlign
 | ReAlign
 | ScrollBy_WS
 | ScrollBy
 | WriteLayoutDebugReport
 | AutoAdjustLayout
 | Create
 | CreateParented
 | CreateParentedControl
 | Destroy
 | DockDrop
 | CanFocus
 | CanSetFocus
 | GetControlIndex
 | SetControlIndex
 | Focused
 | PerformTab
 | FindChildControl
 | SelectNext
 | SetTempCursor
 | BroadCast
 | NotifyControls
 | DefaultHandler
 | GetTextLen
 | Invalidate
 | AddControl
 | InsertControl
 | RemoveControl
 | GetEnumeratorControls
 | GetEnumeratorControlsReverse
 | Repaint
 | Update
 | SetFocus
 | FlipChildren
 | ScaleBy
 | GetDockCaption
 | UpdateDockCaption
 | GetTabOrderList
 | HandleAllocated
 | ParentHandlesAllocated
 | HandleNeeded
 | BrushCreated
 | EraseBackground
 | IntfUTF8KeyPress
 | IntfGetDropFilesTarget
 | PaintTo
 | SetShape
TControl
pt | WSRegisterClass
pt | GetCursor
pt | SetCursor
pt | SetVisible
pt | DoOnParentHandleDestruction
pt | DoAutoSize
pt | DoAllAutoSize
pt | BeginAutoSizing
pt | EndAutoSizing
pt | AnchorSideChanged
pt | ForeignAnchorSideChanged
pt | SetAlign
pt | SetAnchors
pt | SetAutoSize
pt | BoundsChanged
pt | CreateControlBorderSpacing
pt | DoConstraintsChange
pt | DoBorderSpacingChange
pt | IsBorderSpacingInnerBorderStored
pt | IsCaptionStored
pt | SendMoveSizeMessages
pt | ConstrainedResize
pt | CalculatePreferredSize
pt | DoOnResize
pt | DoOnChangeBounds
pt | CheckOnChangeBounds
pt | Resize
pt | RequestAlign
pt | UpdateAnchorRules
pt | ChangeBounds
pt | DoSetBounds
pt | ScaleConstraints
pt | ChangeScale
pt | CanAutoSize
pt | SetBiDiMode
pt | SetParentBiDiMode
pt | IsAParentAligning
pt | GetClientOrigin
pt | GetClientRect
pt | GetLogicalClientRect
pt | GetScrolledClientRect
pt | GetClientScrollOffset
pt | GetControlOrigin
pt | IsClientHeightStored
pt | IsClientWidthStored
pt | WidthIsAnchored
pt | HeightIsAnchored
pt | WMCancelMode
pt | WMContextMenu
pt | WMLButtonDown
pt | WMRButtonDown
pt | WMMButtonDown
pt | WMXButtonDown
pt | WMLButtonDBLCLK
pt | WMRButtonDBLCLK
pt | WMMButtonDBLCLK
pt | WMXButtonDBLCLK
pt | WMLButtonTripleCLK
pt | WMRButtonTripleCLK
pt | WMMButtonTripleCLK
pt | WMXButtonTripleCLK
pt | WMLButtonQuadCLK
pt | WMRButtonQuadCLK
pt | WMMButtonQuadCLK
pt | WMXButtonQuadCLK
pt | WMMouseMove
pt | WMLButtonUp
pt | WMRButtonUp
pt | WMMButtonUp
pt | WMXButtonUp
pt | WMMouseWheel
pt | WMMouseHWheel
pt | WMMove
pt | WMSize
pt | WMWindowPosChanged
pt | CMChanged
pt | LMCaptureChanged
pt | CMBiDiModeChanged
pt | CMSysFontChanged
pt | CMEnabledChanged
pt | CMHitTest
pt | CMMouseEnter
pt | CMMouseLeave
pt | CMHintShow
pt | CMParentBiDiModeChanged
pt | CMParentColorChanged
pt | CMParentFontChanged
pt | CMParentShowHintChanged
pt | CMVisibleChanged
pt | CMTextChanged
pt | CMCursorChanged
pt | CalculateDockSizes
pt | CreateFloatingDockSite
pt | GetDockEdge
pt | GetDragImages
pt | GetFloating
pt | GetFloatingDockSiteClass
pt | BeforeDragStart
pt | BeginAutoDrag
pt | DoFloatMsg
pt | DockTrackNoTarget
pt | DoDock
pt | DoDragMsg
pt | DoEndDock
pt | DoEndDrag
pt | DoStartDock
pt | DoStartDrag
pt | DragCanceled
pt | DragOver
pt | PositionDockRect
pt | SetDragMode
pt | GetDefaultDockCaption
pt | Click
pt | DblClick
pt | TripleClick
pt | QuadClick
pt | GetMousePosFromMessage
pt | MouseDown
pt | MouseMove
pt | MouseUp
pt | MouseEnter
pt | MouseLeave
pt | DialogChar
pt | UpdateMouseCursor
pt | Changed
pt | GetPalette
pt | ChildClassAllowed
pt | ReadState
pt | Loaded
pt | LoadedAll
pt | DefineProperties
pt | AssignTo
pt | FormEndUpdated
pt | InvalidateControl
pt | FontChanged
pt | ParentFontChanged
pt | GetAction
pt | RealGetText
pt | RealSetText
pt | TextChanged
pt | GetCachedText
pt | SetAction
pt | SetColor
pt | SetEnabled
pt | SetHint
pt | SetName
pt | SetParent
pt | SetParentComponent
pt | WndProc
pt | ParentFormHandleInitialized
pt | GetMouseCapture
pt | CaptureChanged
pt | Notification
pt | CanTab
pt | GetDeviceContext
pt | GetEnabled
pt | GetPopupMenu
pt | DoOnShowHint
pt | DoMouseWheel
pt | DoMouseWheelDown
pt | DoMouseWheelUp
pt | DoMouseWheelHorz
pt | DoMouseWheelLeft
pt | DoMouseWheelRight
pt | VisibleChanging
pt | VisibleChanged
pt | EnabledChanging
pt | EnabledChanged
pt | AddHandler
pt | RemoveHandler
pt | DoCallNotifyHandler
pt | DoCallKeyEventHandler
pt | DoCallMouseWheelEventHandler
pt | DoContextPopup
pt | SetZOrder
pt | GetControlClassDefaultSize
pt | ColorIsStored
pt | DoAutoAdjustLayout
pt | DoFixDesignFontPPI
pt | DoScaleFontPPI
pt | GetActionLinkClass
pt | ActionChange
 | DragDrop
 | Dock
 | ManualDock
 | ManualFloat
 | ReplaceDockedControl
 | Docked
 | Dragging
 | GetAccessibleObject
 | CreateAccessibleObject
 | GetSelectedChildAccessibleObject
 | GetChildAccessibleObjectAtPos
 | ScaleDesignToForm
 | ScaleFormToDesign
 | Scale96ToForm
 | ScaleFormTo96
 | Scale96ToFont
 | ScaleFontTo96
 | ScaleScreenToFont
 | ScaleFontToScreen
 | Scale96ToScreen
 | ScaleScreenTo96
 | AdjustSize
 | AutoSizePhases
 | AutoSizeDelayed
 | AutoSizeDelayedReport
 | AutoSizeDelayedHandle
 | AnchorToNeighbour
 | AnchorParallel
 | AnchorHorizontalCenterTo
 | AnchorVerticalCenterTo
 | AnchorToCompanion
 | AnchorSame
 | AnchorAsAlign
 | AnchorClient
 | AnchoredControlCount
 | SetBounds
 | SetInitialBounds
 | SetBoundsKeepBase
 | GetPreferredSize
 | GetCanvasScaleFactor
 | GetDefaultWidth
 | GetDefaultHeight
 | GetDefaultColor
 | GetColorResolvingParent
 | GetRGBColorResolvingParent
 | GetSidePosition
 | CNPreferredSizeChanged
 | InvalidatePreferredSize
 | GetAnchorsDependingOnParent
 | DisableAutoSizing
 | EnableAutoSizing
 | UpdateBaseBounds
 | WriteLayoutDebugReport
 | AutoAdjustLayout
 | ShouldAutoAdjust
 | FixDesignFontsPPI
 | ScaleFontsPPI
 | Create
 | Destroy
 | BeforeDestruction
 | EditingDone
 | ExecuteDefaultAction
 | ExecuteCancelAction
 | BeginDrag
 | EndDrag
 | BringToFront
 | HasParent
 | GetParentComponent
 | IsParentOf
 | GetTopParent
 | IsVisible
 | IsControlVisible
 | IsEnabled
 | IsParentColor
 | IsParentFont
 | FormIsUpdating
 | IsProcessingPaintMsg
 | Hide
 | Refresh
 | Repaint
 | Invalidate
 | CheckChildClassAllowed
 | CheckNewParent
 | SendToBack
 | SetTempCursor
 | UpdateRolesForForm
 | ActiveDefaultControlChanged
 | GetTextBuf
 | GetTextLen
 | SetTextBuf
 | Perform
 | ScreenToClient
 | ClientToScreen
 | ScreenToControl
 | ControlToScreen
 | ClientToParent
 | ParentToClient
 | GetChildrenRect
 | Show
 | Update
 | HandleObjectShouldBeVisible
 | ParentDestroyingHandle
 | ParentHandlesAllocated
 | InitiateAction
 | ShowHelp
 | HasHelp
 | RemoveAllHandlersOfObject
 | AddHandlerOnResize
 | RemoveHandlerOnResize
 | AddHandlerOnChangeBounds
 | RemoveHandlerOnChangeBounds
 | AddHandlerOnVisibleChanging
 | RemoveHandlerOnVisibleChanging
 | AddHandlerOnVisibleChanged
 | RemoveHandlerOnVisibleChanged
 | AddHandlerOnEnabledChanged
 | RemoveHandlerOnEnableChanging
 | AddHandlerOnKeyDown
 | RemoveHandlerOnKeyDown
 | AddHandlerOnBeforeDestruction
 | RemoveHandlerOnBeforeDestruction
 | AddHandlerOnMouseWheel
 | RemoveHandlerOnMouseWheel
 | UseRightToLeftAlignment
 | UseRightToLeftReading
 | UseRightToLeftScrollBar
 | IsRightToLeft
TLCLComponent
pt | WSRegisterClass
pt | GetWSComponentClass
 | Create
 | Destroy
 | NewInstance
 | RemoveAllHandlersOfObject
 | IncLCLRefCount
 | DecLCLRefCount
TComponent
 | GetComObject
 | GetComponent
 | GetComponentCount
 | GetComponentIndex
 | Insert
 | ReadLeft
 | ReadTop
 | Remove
 | RemoveNotification
 | SetComponentIndex
 | SetReference
 | WriteLeft
 | WriteTop
 | ChangeName
 | DefineProperties
 | GetChildren
 | GetChildOwner
 | GetChildParent
 | GetOwner
 | Loaded
 | Loading
 | Notification
 | PaletteCreated
 | ReadState
 | SetAncestor
 | SetDesigning
 | SetDesignInstance
 | SetInline
 | SetName
 | SetChildOrder
 | SetParentComponent
 | Updating
 | Updated
 | UpdateRegistry
 | ValidateRename
 | ValidateContainer
 | ValidateInsert
 | QueryInterface
 | _AddRef
 | _Release
 | iicrGetComponent
 | GetTypeInfoCount
 | GetTypeInfo
 | GetIDsOfNames
 | Invoke
 | WriteState
 | Create
 | Destroy
 | BeforeDestruction
 | DestroyComponents
 | Destroying
 | ExecuteAction
 | FindComponent
 | FreeNotification
 | RemoveFreeNotification
 | FreeOnRelease
 | GetEnumerator
 | GetNamePath
 | GetParentComponent
 | HasParent
 | InsertComponent
 | RemoveComponent
 | SafeCallException
 | SetSubComponent
 | UpdateAction
 | IsImplementorOf
 | ReferenceInterface
TPersistent
 | AssignError
 | AssignTo
 | DefineProperties
 | GetOwner
 | Destroy
 | Assign
 | FPOAttachObserver
 | FPODetachObserver
 | FPONotifyObservers
 | GetNamePath
TObject
 | Create
 | Destroy
 | newinstance
 | FreeInstance
 | SafeCallException
 | DefaultHandler
 | Free
 | InitInstance
 | CleanupInstance
 | ClassType
 | ClassInfo
 | ClassName
 | ClassNameIs
 | ClassParent
 | InstanceSize
 | InheritsFrom
 | StringMessageTable
 | MethodAddress
 | MethodName
 | FieldAddress
 | AfterConstruction
 | BeforeDestruction
 | DefaultHandlerStr
 | Dispatch
 | DispatchStr
 | GetInterface
 | GetInterfaceByStr
 | GetInterfaceWeak
 | GetInterfaceEntry
 | GetInterfaceEntryByStr
 | GetInterfaceTable
 | UnitName
 | Equals
 | GetHashCode
 | ToString


TCustomButtonPanel
TCustomPanel
TCustomControl
 | OnPaint
TWinControl
pt | OnGetSiteInfo
pt | OnGetDockCaption
 | OnAlignInsertBefore
 | OnAlignPosition
 | OnDockDrop
 | OnDockOver
 | OnEnter
 | OnExit
 | OnKeyDown
 | OnKeyPress
 | OnKeyUp
 | OnUnDock
 | OnUTF8KeyPress
TControl
pt | OnConstrainedResize
pt | OnContextPopup
pt | OnDblClick
pt | OnTripleClick
pt | OnQuadClick
pt | OnDragDrop
pt | OnDragOver
pt | OnEndDock
pt | OnEndDrag
pt | OnMouseDown
pt | OnMouseMove
pt | OnMouseUp
pt | OnMouseEnter
pt | OnMouseLeave
pt | OnMouseWheel
pt | OnMouseWheelDown
pt | OnMouseWheelUp
pt | OnMouseWheelHorz
pt | OnMouseWheelLeft
pt | OnMouseWheelRight
pt | OnStartDock
pt | OnStartDrag
pt | OnEditingDone
 | OnChangeBounds
 | OnClick
 | OnResize
 | OnShowHint
TLCLComponent
TComponent
TPersistent
TObject


 | OnAlignInsertBefore (TWinControl)
 | OnAlignPosition (TWinControl)
 | OnChangeBounds (TControl)
 | OnClick (TControl)
pt | OnConstrainedResize (TControl)
pt | OnContextPopup (TControl)
pt | OnDblClick (TControl)
 | OnDockDrop (TWinControl)
 | OnDockOver (TWinControl)
pt | OnDragDrop (TControl)
pt | OnDragOver (TControl)
pt | OnEditingDone (TControl)
pt | OnEndDock (TControl)
pt | OnEndDrag (TControl)
 | OnEnter (TWinControl)
 | OnExit (TWinControl)
pt | OnGetDockCaption (TWinControl)
pt | OnGetSiteInfo (TWinControl)
 | OnKeyDown (TWinControl)
 | OnKeyPress (TWinControl)
 | OnKeyUp (TWinControl)
pt | OnMouseDown (TControl)
pt | OnMouseEnter (TControl)
pt | OnMouseLeave (TControl)
pt | OnMouseMove (TControl)
pt | OnMouseUp (TControl)
pt | OnMouseWheel (TControl)
pt | OnMouseWheelDown (TControl)
pt | OnMouseWheelHorz (TControl)
pt | OnMouseWheelLeft (TControl)
pt | OnMouseWheelRight (TControl)
pt | OnMouseWheelUp (TControl)
 | OnPaint (TCustomControl)
pt | OnQuadClick (TControl)
 | OnResize (TControl)
 | OnShowHint (TControl)
pt | OnStartDock (TControl)
pt | OnStartDrag (TControl)
pt | OnTripleClick (TControl)
 | OnUnDock (TWinControl)
 | OnUTF8KeyPress (TWinControl)


TCustomButtonPanel.AutoSize

TCustomButtonPanel default is True

Declaration

Source position: buttonpanel.pas line 100

public property TCustomButtonPanel.AutoSize : Boolean
  default True;


TCustomButtonPanel.ButtonOrder

ButtonOrder - the order in which the series of buttons will appear on the panel

Declaration

Source position: buttonpanel.pas line 106

public property TCustomButtonPanel.ButtonOrder : TButtonOrder
  read FButtonOrder
  write SetButtonOrder
  default boDefault;


TCustomButtonPanel.CalculatePreferredSize

Declaration

Source position: buttonpanel.pas line 89

protected procedure TCustomButtonPanel.CalculatePreferredSize(

  var PreferredWidth: Integer;

  var PreferredHeight: Integer;

  WithThemeSpace: Boolean

); override;


TCustomButtonPanel.CancelButton

CancelButton - a button with the 'Cancel' caption for cancelling the operation

Declaration

Source position: buttonpanel.pas line 105

public property TCustomButtonPanel.CancelButton : TPanelBitBtn
  read FButtons[pbCancel]
  default Nil;


TCustomButtonPanel.CloseButton

CloseButton - a button with the 'Close' caption for terminating the Form or panel

Declaration

Source position: buttonpanel.pas line 104

public property TCustomButtonPanel.CloseButton : TPanelBitBtn
  read FButtons[pbClose]
  default Nil;


TCustomButtonPanel.CMAppShowBtnGlyphChanged

Declaration

Source position: buttonpanel.pas line 93

protected procedure TCustomButtonPanel.CMAppShowBtnGlyphChanged(

  var Message: TLMessage

); message;


TCustomButtonPanel.CMShowingChanged

Declaration

Source position: buttonpanel.pas line 94

protected procedure TCustomButtonPanel.CMShowingChanged(

  var Message: TLMessage

); message;


TCustomButtonPanel.CreateControlBorderSpacing

Declaration

Source position: buttonpanel.pas line 84

protected function TCustomButtonPanel.CreateControlBorderSpacing: TControlBorderSpacing; override;


TCustomButtonPanel.CustomAlignInsertBefore

Declaration

Source position: buttonpanel.pas line 85

protected function TCustomButtonPanel.CustomAlignInsertBefore(

  AControl1: TControl;

  AControl2: TControl

):Boolean; override;


TCustomButtonPanel.CustomAlignPosition

Declaration

Source position: buttonpanel.pas line 86

protected procedure TCustomButtonPanel.CustomAlignPosition(

  AControl: TControl;

  var ANewLeft: Integer;

  var ANewTop: Integer;

  var ANewWidth: Integer;

  var ANewHeight: Integer;

  var AlignRect: TRect;

  AlignInfo: TAlignInfo

); override;


TCustomButtonPanel.DefaultButton

DefaultButton - the button which represents the default action, selected by pressing 'Return' or 'Enter'

Declaration

Source position: buttonpanel.pas line 108

public property TCustomButtonPanel.DefaultButton : TPanelButton
  read FDefaultButton
  write SetDefaultButton
  default pbOK;


TCustomButtonPanel.HelpButton

HelpButton - a button with the 'Help' caption, for requesting help

Declaration

Source position: buttonpanel.pas line 103

public property TCustomButtonPanel.HelpButton : TPanelBitBtn
  read FButtons[pbHelp]
  default Nil;


TCustomButtonPanel.OKButton

OKButton - a button with the caption 'OK' signifying acceptance by the user

Declaration

Source position: buttonpanel.pas line 102

public property TCustomButtonPanel.OKButton : TPanelBitBtn
  read FButtons[pbOK]
  default Nil;


TCustomButtonPanel.SetAlign

Declaration

Source position: buttonpanel.pas line 92

protected procedure TCustomButtonPanel.SetAlign(

  Value: TAlign

); override;


TCustomButtonPanel.ShowBevel

Declaration

Source position: buttonpanel.pas line 111

public property TCustomButtonPanel.ShowBevel : Boolean
  read FShowBevel
  write SetShowBevel
  default True;


TCustomButtonPanel.ShowButtons

ShowButtons - whether the buttons are to be visible

Declaration

Source position: buttonpanel.pas line 109

public property TCustomButtonPanel.ShowButtons : TPanelButtons
  read FShowButtons
  write SetShowButtons
  default DefShowButtons;


TCustomButtonPanel.ShowGlyphs

ShowGlyphs - whether the Glyphs (small images) are to be shown on the buttons

Declaration

Source position: buttonpanel.pas line 110

public property TCustomButtonPanel.ShowGlyphs : TPanelButtons
  read FShowGlyphs
  write SetShowGlyphs
  default DefShowGlyphs;


TCustomButtonPanel.Spacing

Declaration

Source position: buttonpanel.pas line 112

public property TCustomButtonPanel.Spacing : TSpacingSize
  read FSpacing
  write SetSpacing
  default 6;


TPanelBitBtn

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

TPanelBitBtn - special class of BitButton for use in ButtonPanels

Declaration

Source position: buttonpanel.pas line 32

type TPanelBitBtn = class(TCustomBitBtn)
public
constructor Create(); override; | Calls inherited Create then initialises layout, style and spacing, creates the Button Glyph
published
property Caption: TCaption; [s] | The text describing the control to the user.
property DefaultCaption: Boolean; [s]
property Left: Integer; [s]
property Top: Integer; [s]
property Width: Integer; [s]
property Height: Integer; [s]
property Enabled: Boolean; | Determines whether the control reacts on mouse or keyboard input.
property Font: TFont; | The font to be used for text display in this control.
property Glyph: TBitmap; | The BitMap Glyph to be displayed on the button
property Name; [s]
property PopupMenu: TPopupMenu;
property ShowHint: Boolean;
property OnClick: TNotifyEvent; | Notification handler for mouse clicks.
end;

Inheritance

TPanelBitBtn | TPanelBitBtn - special class of BitButton for use in ButtonPanels
|
TCustomBitBtn | TCustomBitBtn - the ancestor class for TBitBtn.
|
TCustomButton | The base class for clickable buttons (TButton and TBitBtn).
|
TButtonControl | The base class for various button controls.
|
TWinControl | The base class for controls which can contain other (child) controls.
|
TControl | The base class for visible controls.
|
TLCLComponent | The base class for LCL components associated with widgets.
|
TComponent,IUnknown,IInterfaceComponentReference
|
TPersistent,IFPObserved
|
TObject


TPanelBitBtn
pl | ro | Caption
pl | ro | DefaultCaption
pl | ro | Left
pl | ro | Top
pl | ro | Width
pl | ro | Height
pl | ro | Enabled
pl | ro | Font
pl | ro | Glyph
pl | ro | Name
pl | ro | PopupMenu
pl | ro | ShowHint
TCustomBitBtn
 | ro | Caption
 |  | DefaultCaption
 |  | Glyph
 |  | NumGlyphs
 |  | Images
 |  | ImageIndex
 |  | ImageWidth
 |  | Kind
 |  | Layout
 |  | Margin
 |  | Spacing
 |  | GlyphShowMode
TCustomButton
pt | ro | ParentColor
 | ro | Active
 |  | Default
 |  | ModalResult
 | ro | ShortCut
 | ro | ShortCutKey2
 |  | Cancel
 | ro | Color
 | ro | TabStop
TButtonControl
pt |  | Checked
pt |  | ClicksDisabled
TWinControl
pt |  | WindowHandle
pt |  | BorderStyle
pt |  | ParentBackground
 |  | BorderWidth
 | ro | BoundsLockCount
 | ro | Brush
 | ro | CachedClientHeight
 | ro | CachedClientWidth
 |  | ChildSizing
 | ro | ControlCount
 | ro | Controls
 |  | DefWndProc
 | ro | DockClientCount
 | ro | DockClients
 |  | DockManager
 |  | DockSite
 |  | DoubleBuffered
 |  | Handle
 | ro | IsFlipped
 | ro | IsResizing
 |  | TabOrder
 |  | TabStop
 |  | ParentDoubleBuffered
 |  | ParentWindow
 | ro | Showing
 |  | UseDockManager
 |  | DesignerDeleting
 | ro | VisibleDockClientCount
TControl
pt | ro | AutoSizing
pt | ro | AutoSizingAll
pt | ro | AutoSizingLockCount
pt |  | ActionLink
pt |  | DesktopFont
pt |  | DragCursor
pt |  | DragKind
pt |  | DragMode
pt |  | MouseCapture
pt |  | ParentColor
pt |  | ParentFont
pt |  | ParentShowHint
pt |  | SessionProperties
pt |  | Text
 | ro | AnchoredControls
 | ro | BaseBounds
 | ro | ReadBounds
 | ro | BaseParentClientSize
 |  | AccessibleDescription
 |  | AccessibleValue
 |  | AccessibleRole
 |  | Action
 |  | Align
 |  | Anchors
 | ro | AnchorSide
 |  | AutoSize
 |  | BorderSpacing
 |  | BoundsRect
 |  | BoundsRectForNewParent
 |  | Caption
 |  | CaptureMouseButtons
 |  | ClientHeight
 | ro | ClientOrigin
 | ro | ClientRect
 |  | ClientWidth
 |  | Color
 |  | Constraints
 | ro | ControlOrigin
 |  | ControlState
 |  | ControlStyle
 |  | Enabled
 |  | Font
 |  | IsControl
 | ro | MouseEntered
 | ro | MouseInClient
 |  | Parent
 |  | PopupMenu
 |  | ShowHint
 |  | Visible
 |  | WindowProc
 |  | DockOrientation
 | ro | Floating
 |  | FloatingDockSiteClass
 |  | HostDockSite
 |  | LRDockWidth
 |  | TBDockHeight
 |  | UndockHeight
 |  | UndockWidth
 |  | BiDiMode
 |  | ParentBiDiMode
pl |  | AnchorSideLeft
pl |  | AnchorSideTop
pl |  | AnchorSideRight
pl |  | AnchorSideBottom
pl |  | Cursor
pl |  | Left
pl |  | Height
pl |  | Hint
pl |  | Top
pl |  | Width
pl |  | HelpType
pl |  | HelpKeyword
pl |  | HelpContext
TLCLComponent
 | ro | LCLRefCount
 | ro | WidgetSetClass
TComponent
 | ro | ComObject
 | ro | Components
 | ro | ComponentCount
 |  | ComponentIndex
 | ro | ComponentState
 | ro | ComponentStyle
 |  | DesignInfo
 | ro | Owner
 |  | VCLComObject
 |  | Name
 |  | Tag
TPersistent
TObject


 |  | AccessibleDescription (TControl)
 |  | AccessibleRole (TControl)
 |  | AccessibleValue (TControl)
 |  | Action (TControl)
pt |  | ActionLink (TControl)
 | ro | Active (TCustomButton)
 |  | Align (TControl)
 | ro | AnchoredControls (TControl)
 |  | Anchors (TControl)
 | ro | AnchorSide (TControl)
pl |  | AnchorSideBottom (TControl)
pl |  | AnchorSideLeft (TControl)
pl |  | AnchorSideRight (TControl)
pl |  | AnchorSideTop (TControl)
 |  | AutoSize (TControl)
pt | ro | AutoSizing (TControl)
pt | ro | AutoSizingAll (TControl)
pt | ro | AutoSizingLockCount (TControl)
 | ro | BaseBounds (TControl)
 | ro | BaseParentClientSize (TControl)
 |  | BiDiMode (TControl)
 |  | BorderSpacing (TControl)
pt |  | BorderStyle (TWinControl)
 |  | BorderWidth (TWinControl)
 | ro | BoundsLockCount (TWinControl)
 |  | BoundsRect (TControl)
 |  | BoundsRectForNewParent (TControl)
 | ro | Brush (TWinControl)
 | ro | CachedClientHeight (TWinControl)
 | ro | CachedClientWidth (TWinControl)
 |  | Cancel (TCustomButton)
 |  | Caption (TControl)
 | ro | Caption (TCustomBitBtn)
pl | ro | Caption (TPanelBitBtn)
 |  | CaptureMouseButtons (TControl)
pt |  | Checked (TButtonControl)
 |  | ChildSizing (TWinControl)
pt |  | ClicksDisabled (TButtonControl)
 |  | ClientHeight (TControl)
 | ro | ClientOrigin (TControl)
 | ro | ClientRect (TControl)
 |  | ClientWidth (TControl)
 |  | Color (TControl)
 | ro | Color (TCustomButton)
 | ro | ComObject (TComponent)
 | ro | ComponentCount (TComponent)
 |  | ComponentIndex (TComponent)
 | ro | Components (TComponent)
 | ro | ComponentState (TComponent)
 | ro | ComponentStyle (TComponent)
 |  | Constraints (TControl)
 | ro | ControlCount (TWinControl)
 | ro | ControlOrigin (TControl)
 | ro | Controls (TWinControl)
 |  | ControlState (TControl)
 |  | ControlStyle (TControl)
pl |  | Cursor (TControl)
 |  | Default (TCustomButton)
 |  | DefaultCaption (TCustomBitBtn)
pl | ro | DefaultCaption (TPanelBitBtn)
 |  | DefWndProc (TWinControl)
 |  | DesignerDeleting (TWinControl)
 |  | DesignInfo (TComponent)
pt |  | DesktopFont (TControl)
 | ro | DockClientCount (TWinControl)
 | ro | DockClients (TWinControl)
 |  | DockManager (TWinControl)
 |  | DockOrientation (TControl)
 |  | DockSite (TWinControl)
 |  | DoubleBuffered (TWinControl)
pt |  | DragCursor (TControl)
pt |  | DragKind (TControl)
pt |  | DragMode (TControl)
 |  | Enabled (TControl)
pl | ro | Enabled (TPanelBitBtn)
 | ro | Floating (TControl)
 |  | FloatingDockSiteClass (TControl)
 |  | Font (TControl)
pl | ro | Font (TPanelBitBtn)
 |  | Glyph (TCustomBitBtn)
pl | ro | Glyph (TPanelBitBtn)
 |  | GlyphShowMode (TCustomBitBtn)
 |  | Handle (TWinControl)
pl |  | Height (TControl)
pl | ro | Height (TPanelBitBtn)
pl |  | HelpContext (TControl)
pl |  | HelpKeyword (TControl)
pl |  | HelpType (TControl)
pl |  | Hint (TControl)
 |  | HostDockSite (TControl)
 |  | ImageIndex (TCustomBitBtn)
 |  | Images (TCustomBitBtn)
 |  | ImageWidth (TCustomBitBtn)
 |  | IsControl (TControl)
 | ro | IsFlipped (TWinControl)
 | ro | IsResizing (TWinControl)
 |  | Kind (TCustomBitBtn)
 |  | Layout (TCustomBitBtn)
 | ro | LCLRefCount (TLCLComponent)
pl |  | Left (TControl)
pl | ro | Left (TPanelBitBtn)
 |  | LRDockWidth (TControl)
 |  | Margin (TCustomBitBtn)
 |  | ModalResult (TCustomButton)
pt |  | MouseCapture (TControl)
 | ro | MouseEntered (TControl)
 | ro | MouseInClient (TControl)
 |  | Name (TComponent)
pl | ro | Name (TPanelBitBtn)
 |  | NumGlyphs (TCustomBitBtn)
 | ro | Owner (TComponent)
 |  | Parent (TControl)
pt |  | ParentBackground (TWinControl)
 |  | ParentBiDiMode (TControl)
pt |  | ParentColor (TControl)
pt | ro | ParentColor (TCustomButton)
 |  | ParentDoubleBuffered (TWinControl)
pt |  | ParentFont (TControl)
pt |  | ParentShowHint (TControl)
 |  | ParentWindow (TWinControl)
 |  | PopupMenu (TControl)
pl | ro | PopupMenu (TPanelBitBtn)
 | ro | ReadBounds (TControl)
pt |  | SessionProperties (TControl)
 | ro | ShortCut (TCustomButton)
 | ro | ShortCutKey2 (TCustomButton)
 |  | ShowHint (TControl)
pl | ro | ShowHint (TPanelBitBtn)
 | ro | Showing (TWinControl)
 |  | Spacing (TCustomBitBtn)
 |  | TabOrder (TWinControl)
 |  | TabStop (TWinControl)
 | ro | TabStop (TCustomButton)
 |  | Tag (TComponent)
 |  | TBDockHeight (TControl)
pt |  | Text (TControl)
pl |  | Top (TControl)
pl | ro | Top (TPanelBitBtn)
 |  | UndockHeight (TControl)
 |  | UndockWidth (TControl)
 |  | UseDockManager (TWinControl)
 |  | VCLComObject (TComponent)
 |  | Visible (TControl)
 | ro | VisibleDockClientCount (TWinControl)
 | ro | WidgetSetClass (TLCLComponent)
pl |  | Width (TControl)
pl | ro | Width (TPanelBitBtn)
pt |  | WindowHandle (TWinControl)
 |  | WindowProc (TControl)


TPanelBitBtn
 | Create
TCustomBitBtn
pt | WSRegisterClass
pt | ActionChange
pt | GlyphChanged
pt | InitializeWnd
pt | IsCaptionStored
pt | Loaded
pt | Notification
pt | TextChanged
pt | GetControlClassDefaultSize
pt | CMAppShowBtnGlyphChanged
 | Create
 | Destroy
 | Click
 | LoadGlyphFromResourceName
 | LoadGlyphFromLazarusResource
 | LoadGlyphFromStock
 | CanShowGlyph
TCustomButton
pt | WSRegisterClass
pt | CreateWnd
pt | CreateParams
pt | ControlKeyDown
pt | ControlKeyUp
pt | DialogChar
pt | ChildClassAllowed
pt | GetControlClassDefaultSize
pt | WSSetDefault
pt | WSSetText
pt | TextChanged
pt | Loaded
pt | UpdateDefaultCancel
 | Create
 | Click
 | ExecuteDefaultAction
 | ExecuteCancelAction
 | ActiveDefaultControlChanged
 | UpdateRolesForForm
 | UseRightToLeftAlignment
TButtonControl
pt | WSRegisterClass
pt | GetActionLinkClass
pt | GetChecked
pt | SetChecked
pt | DoOnChange
pt | Click
 | Create
TWinControl
pt | WSRegisterClass
pt | AdjustClientRect
pt | GetAdjustedLogicalClientRect
pt | AlignControls
pt | CustomAlignInsertBefore
pt | CustomAlignPosition
pt | DoAlignChildControls
pt | DoChildSizingChange
pt | InvalidatePreferredChildSizes
pt | CanTab
pt | IsClientHeightStored
pt | IsClientWidthStored
pt | DoSendShowHideToInterface
pt | ControlsAligned
pt | DoSendBoundsToInterface
pt | RealizeBounds
pt | RealizeBoundsRecursive
pt | InvalidateBoundsRealized
pt | CreateSubClass
pt | DoConstraintsChange
pt | DoSetBounds
pt | DoAutoSize
pt | DoAllAutoSize
pt | AllAutoSized
pt | CalculatePreferredSize
pt | GetPreferredSizeClientFrame
pt | GetChildren
pt | ChildClassAllowed
pt | PaintControls
pt | PaintHandler
pt | PaintWindow
pt | CreateBrush
pt | ScaleControls
pt | ChangeScale
pt | CMBiDiModeChanged
pt | CMBorderChanged
pt | CMDoubleBufferedChanged
pt | CMEnabledChanged
pt | CMParentDoubleBufferedChanged
pt | CMShowingChanged
pt | CMShowHintChanged
pt | CMVisibleChanged
pt | CMEnter
pt | CMExit
pt | WMContextMenu
pt | WMEraseBkgnd
pt | WMNotify
pt | WMSetFocus
pt | WMKillFocus
pt | WMShowWindow
pt | WMEnter
pt | WMExit
pt | WMKeyDown
pt | WMSysKeyDown
pt | WMKeyUp
pt | WMSysKeyUp
pt | WMChar
pt | WMSysChar
pt | WMPaint
pt | WMDestroy
pt | WMMove
pt | WMSize
pt | WMWindowPosChanged
pt | CNKeyDown
pt | CNSysKeyDown
pt | CNKeyUp
pt | CNSysKeyUp
pt | CNChar
pt | DoDragMsg
pt | DoDockClientMsg
pt | DoUndockClientMsg
pt | DoAddDockClient
pt | DockOver
pt | DoDockOver
pt | DoRemoveDockClient
pt | DoUnDock
pt | GetSiteInfo
pt | GetParentHandle
pt | GetTopParentHandle
pt | ReloadDockedControl
pt | CreateDockManager
pt | SetDockManager
pt | DoFloatMsg
pt | DoGetDockCaption
pt | DoEnter
pt | DoExit
pt | DoKeyDownBeforeInterface
pt | DoRemainingKeyDown
pt | DoRemainingKeyUp
pt | DoKeyPress
pt | DoUTF8KeyPress
pt | DoKeyUpBeforeInterface
pt | ChildKey
pt | SendDialogChar
pt | DialogChar
pt | ControlKeyDown
pt | ControlKeyUp
pt | KeyDown
pt | KeyDownBeforeInterface
pt | KeyDownAfterInterface
pt | KeyPress
pt | KeyUp
pt | KeyUpBeforeInterface
pt | KeyUpAfterInterface
pt | UTF8KeyPress
pt | FindNextControl
pt | SelectFirst
pt | RealGetText
pt | GetBorderStyle
pt | GetClientOrigin
pt | GetClientRect
pt | GetControlOrigin
pt | GetDeviceContext
pt | GetParentBackground
pt | IsControlMouseMsg
pt | CreateHandle
pt | CreateParams
pt | CreateWnd
pt | DestroyHandle
pt | DestroyWnd
pt | DoFlipChildren
pt | FinalizeWnd
pt | FixupTabList
pt | FontChanged
pt | InitializeWnd
pt | Loaded
pt | FormEndUpdated
pt | MainWndProc
pt | ParentFormHandleInitialized
pt | ChildHandlesCreated
pt | GetMouseCapture
pt | RealSetText
pt | RemoveFocus
pt | SendMoveSizeMessages
pt | SetBorderStyle
pt | SetColor
pt | SetChildZPosition
pt | SetParentBackground
pt | ShowControl
pt | UpdateControlState
pt | UpdateShowing
pt | WndProc
pt | WSSetText
 | AutoSizePhases
 | AutoSizeDelayed
 | AutoSizeDelayedReport
 | AutoSizeDelayedHandle
 | BeginUpdateBounds
 | EndUpdateBounds
 | LockRealizeBounds
 | UnlockRealizeBounds
 | ControlAtPos
 | ContainsControl
 | DoAdjustClientRectChange
 | InvalidateClientRectCache
 | ClientRectNeedsInterfaceUpdate
 | SetBounds
 | GetChildrenRect
 | DisableAlign
 | EnableAlign
 | ReAlign
 | ScrollBy_WS
 | ScrollBy
 | WriteLayoutDebugReport
 | AutoAdjustLayout
 | Create
 | CreateParented
 | CreateParentedControl
 | Destroy
 | DockDrop
 | CanFocus
 | CanSetFocus
 | GetControlIndex
 | SetControlIndex
 | Focused
 | PerformTab
 | FindChildControl
 | SelectNext
 | SetTempCursor
 | BroadCast
 | NotifyControls
 | DefaultHandler
 | GetTextLen
 | Invalidate
 | AddControl
 | InsertControl
 | RemoveControl
 | GetEnumeratorControls
 | GetEnumeratorControlsReverse
 | Repaint
 | Update
 | SetFocus
 | FlipChildren
 | ScaleBy
 | GetDockCaption
 | UpdateDockCaption
 | GetTabOrderList
 | HandleAllocated
 | ParentHandlesAllocated
 | HandleNeeded
 | BrushCreated
 | EraseBackground
 | IntfUTF8KeyPress
 | IntfGetDropFilesTarget
 | PaintTo
 | SetShape
TControl
pt | WSRegisterClass
pt | GetCursor
pt | SetCursor
pt | SetVisible
pt | DoOnParentHandleDestruction
pt | DoAutoSize
pt | DoAllAutoSize
pt | BeginAutoSizing
pt | EndAutoSizing
pt | AnchorSideChanged
pt | ForeignAnchorSideChanged
pt | SetAlign
pt | SetAnchors
pt | SetAutoSize
pt | BoundsChanged
pt | CreateControlBorderSpacing
pt | DoConstraintsChange
pt | DoBorderSpacingChange
pt | IsBorderSpacingInnerBorderStored
pt | IsCaptionStored
pt | SendMoveSizeMessages
pt | ConstrainedResize
pt | CalculatePreferredSize
pt | DoOnResize
pt | DoOnChangeBounds
pt | CheckOnChangeBounds
pt | Resize
pt | RequestAlign
pt | UpdateAnchorRules
pt | ChangeBounds
pt | DoSetBounds
pt | ScaleConstraints
pt | ChangeScale
pt | CanAutoSize
pt | SetBiDiMode
pt | SetParentBiDiMode
pt | IsAParentAligning
pt | GetClientOrigin
pt | GetClientRect
pt | GetLogicalClientRect
pt | GetScrolledClientRect
pt | GetClientScrollOffset
pt | GetControlOrigin
pt | IsClientHeightStored
pt | IsClientWidthStored
pt | WidthIsAnchored
pt | HeightIsAnchored
pt | WMCancelMode
pt | WMContextMenu
pt | WMLButtonDown
pt | WMRButtonDown
pt | WMMButtonDown
pt | WMXButtonDown
pt | WMLButtonDBLCLK
pt | WMRButtonDBLCLK
pt | WMMButtonDBLCLK
pt | WMXButtonDBLCLK
pt | WMLButtonTripleCLK
pt | WMRButtonTripleCLK
pt | WMMButtonTripleCLK
pt | WMXButtonTripleCLK
pt | WMLButtonQuadCLK
pt | WMRButtonQuadCLK
pt | WMMButtonQuadCLK
pt | WMXButtonQuadCLK
pt | WMMouseMove
pt | WMLButtonUp
pt | WMRButtonUp
pt | WMMButtonUp
pt | WMXButtonUp
pt | WMMouseWheel
pt | WMMouseHWheel
pt | WMMove
pt | WMSize
pt | WMWindowPosChanged
pt | CMChanged
pt | LMCaptureChanged
pt | CMBiDiModeChanged
pt | CMSysFontChanged
pt | CMEnabledChanged
pt | CMHitTest
pt | CMMouseEnter
pt | CMMouseLeave
pt | CMHintShow
pt | CMParentBiDiModeChanged
pt | CMParentColorChanged
pt | CMParentFontChanged
pt | CMParentShowHintChanged
pt | CMVisibleChanged
pt | CMTextChanged
pt | CMCursorChanged
pt | CalculateDockSizes
pt | CreateFloatingDockSite
pt | GetDockEdge
pt | GetDragImages
pt | GetFloating
pt | GetFloatingDockSiteClass
pt | BeforeDragStart
pt | BeginAutoDrag
pt | DoFloatMsg
pt | DockTrackNoTarget
pt | DoDock
pt | DoDragMsg
pt | DoEndDock
pt | DoEndDrag
pt | DoStartDock
pt | DoStartDrag
pt | DragCanceled
pt | DragOver
pt | PositionDockRect
pt | SetDragMode
pt | GetDefaultDockCaption
pt | Click
pt | DblClick
pt | TripleClick
pt | QuadClick
pt | GetMousePosFromMessage
pt | MouseDown
pt | MouseMove
pt | MouseUp
pt | MouseEnter
pt | MouseLeave
pt | DialogChar
pt | UpdateMouseCursor
pt | Changed
pt | GetPalette
pt | ChildClassAllowed
pt | ReadState
pt | Loaded
pt | LoadedAll
pt | DefineProperties
pt | AssignTo
pt | FormEndUpdated
pt | InvalidateControl
pt | FontChanged
pt | ParentFontChanged
pt | GetAction
pt | RealGetText
pt | RealSetText
pt | TextChanged
pt | GetCachedText
pt | SetAction
pt | SetColor
pt | SetEnabled
pt | SetHint
pt | SetName
pt | SetParent
pt | SetParentComponent
pt | WndProc
pt | ParentFormHandleInitialized
pt | GetMouseCapture
pt | CaptureChanged
pt | Notification
pt | CanTab
pt | GetDeviceContext
pt | GetEnabled
pt | GetPopupMenu
pt | DoOnShowHint
pt | DoMouseWheel
pt | DoMouseWheelDown
pt | DoMouseWheelUp
pt | DoMouseWheelHorz
pt | DoMouseWheelLeft
pt | DoMouseWheelRight
pt | VisibleChanging
pt | VisibleChanged
pt | EnabledChanging
pt | EnabledChanged
pt | AddHandler
pt | RemoveHandler
pt | DoCallNotifyHandler
pt | DoCallKeyEventHandler
pt | DoCallMouseWheelEventHandler
pt | DoContextPopup
pt | SetZOrder
pt | GetControlClassDefaultSize
pt | ColorIsStored
pt | DoAutoAdjustLayout
pt | DoFixDesignFontPPI
pt | DoScaleFontPPI
pt | GetActionLinkClass
pt | ActionChange
 | DragDrop
 | Dock
 | ManualDock
 | ManualFloat
 | ReplaceDockedControl
 | Docked
 | Dragging
 | GetAccessibleObject
 | CreateAccessibleObject
 | GetSelectedChildAccessibleObject
 | GetChildAccessibleObjectAtPos
 | ScaleDesignToForm
 | ScaleFormToDesign
 | Scale96ToForm
 | ScaleFormTo96
 | Scale96ToFont
 | ScaleFontTo96
 | ScaleScreenToFont
 | ScaleFontToScreen
 | Scale96ToScreen
 | ScaleScreenTo96
 | AdjustSize
 | AutoSizePhases
 | AutoSizeDelayed
 | AutoSizeDelayedReport
 | AutoSizeDelayedHandle
 | AnchorToNeighbour
 | AnchorParallel
 | AnchorHorizontalCenterTo
 | AnchorVerticalCenterTo
 | AnchorToCompanion
 | AnchorSame
 | AnchorAsAlign
 | AnchorClient
 | AnchoredControlCount
 | SetBounds
 | SetInitialBounds
 | SetBoundsKeepBase
 | GetPreferredSize
 | GetCanvasScaleFactor
 | GetDefaultWidth
 | GetDefaultHeight
 | GetDefaultColor
 | GetColorResolvingParent
 | GetRGBColorResolvingParent
 | GetSidePosition
 | CNPreferredSizeChanged
 | InvalidatePreferredSize
 | GetAnchorsDependingOnParent
 | DisableAutoSizing
 | EnableAutoSizing
 | UpdateBaseBounds
 | WriteLayoutDebugReport
 | AutoAdjustLayout
 | ShouldAutoAdjust
 | FixDesignFontsPPI
 | ScaleFontsPPI
 | Create
 | Destroy
 | BeforeDestruction
 | EditingDone
 | ExecuteDefaultAction
 | ExecuteCancelAction
 | BeginDrag
 | EndDrag
 | BringToFront
 | HasParent
 | GetParentComponent
 | IsParentOf
 | GetTopParent
 | IsVisible
 | IsControlVisible
 | IsEnabled
 | IsParentColor
 | IsParentFont
 | FormIsUpdating
 | IsProcessingPaintMsg
 | Hide
 | Refresh
 | Repaint
 | Invalidate
 | CheckChildClassAllowed
 | CheckNewParent
 | SendToBack
 | SetTempCursor
 | UpdateRolesForForm
 | ActiveDefaultControlChanged
 | GetTextBuf
 | GetTextLen
 | SetTextBuf
 | Perform
 | ScreenToClient
 | ClientToScreen
 | ScreenToControl
 | ControlToScreen
 | ClientToParent
 | ParentToClient
 | GetChildrenRect
 | Show
 | Update
 | HandleObjectShouldBeVisible
 | ParentDestroyingHandle
 | ParentHandlesAllocated
 | InitiateAction
 | ShowHelp
 | HasHelp
 | RemoveAllHandlersOfObject
 | AddHandlerOnResize
 | RemoveHandlerOnResize
 | AddHandlerOnChangeBounds
 | RemoveHandlerOnChangeBounds
 | AddHandlerOnVisibleChanging
 | RemoveHandlerOnVisibleChanging
 | AddHandlerOnVisibleChanged
 | RemoveHandlerOnVisibleChanged
 | AddHandlerOnEnabledChanged
 | RemoveHandlerOnEnableChanging
 | AddHandlerOnKeyDown
 | RemoveHandlerOnKeyDown
 | AddHandlerOnBeforeDestruction
 | RemoveHandlerOnBeforeDestruction
 | AddHandlerOnMouseWheel
 | RemoveHandlerOnMouseWheel
 | UseRightToLeftAlignment
 | UseRightToLeftReading
 | UseRightToLeftScrollBar
 | IsRightToLeft
TLCLComponent
pt | WSRegisterClass
pt | GetWSComponentClass
 | Create
 | Destroy
 | NewInstance
 | RemoveAllHandlersOfObject
 | IncLCLRefCount
 | DecLCLRefCount
TComponent
 | GetComObject
 | GetComponent
 | GetComponentCount
 | GetComponentIndex
 | Insert
 | ReadLeft
 | ReadTop
 | Remove
 | RemoveNotification
 | SetComponentIndex
 | SetReference
 | WriteLeft
 | WriteTop
 | ChangeName
 | DefineProperties
 | GetChildren
 | GetChildOwner
 | GetChildParent
 | GetOwner
 | Loaded
 | Loading
 | Notification
 | PaletteCreated
 | ReadState
 | SetAncestor
 | SetDesigning
 | SetDesignInstance
 | SetInline
 | SetName
 | SetChildOrder
 | SetParentComponent
 | Updating
 | Updated
 | UpdateRegistry
 | ValidateRename
 | ValidateContainer
 | ValidateInsert
 | QueryInterface
 | _AddRef
 | _Release
 | iicrGetComponent
 | GetTypeInfoCount
 | GetTypeInfo
 | GetIDsOfNames
 | Invoke
 | WriteState
 | Create
 | Destroy
 | BeforeDestruction
 | DestroyComponents
 | Destroying
 | ExecuteAction
 | FindComponent
 | FreeNotification
 | RemoveFreeNotification
 | FreeOnRelease
 | GetEnumerator
 | GetNamePath
 | GetParentComponent
 | HasParent
 | InsertComponent
 | RemoveComponent
 | SafeCallException
 | SetSubComponent
 | UpdateAction
 | IsImplementorOf
 | ReferenceInterface
TPersistent
 | AssignError
 | AssignTo
 | DefineProperties
 | GetOwner
 | Destroy
 | Assign
 | FPOAttachObserver
 | FPODetachObserver
 | FPONotifyObservers
 | GetNamePath
TObject
 | Create
 | Destroy
 | newinstance
 | FreeInstance
 | SafeCallException
 | DefaultHandler
 | Free
 | InitInstance
 | CleanupInstance
 | ClassType
 | ClassInfo
 | ClassName
 | ClassNameIs
 | ClassParent
 | InstanceSize
 | InheritsFrom
 | StringMessageTable
 | MethodAddress
 | MethodName
 | FieldAddress
 | AfterConstruction
 | BeforeDestruction
 | DefaultHandlerStr
 | Dispatch
 | DispatchStr
 | GetInterface
 | GetInterfaceByStr
 | GetInterfaceWeak
 | GetInterfaceEntry
 | GetInterfaceEntryByStr
 | GetInterfaceTable
 | UnitName
 | Equals
 | GetHashCode
 | ToString


pt | ActionChange (TControl)
pt | ActionChange (TCustomBitBtn)
 | ActiveDefaultControlChanged (TControl)
 | ActiveDefaultControlChanged (TCustomButton)
 | AddControl (TWinControl)
pt | AddHandler (TControl)
 | AddHandlerOnBeforeDestruction (TControl)
 | AddHandlerOnChangeBounds (TControl)
 | AddHandlerOnEnabledChanged (TControl)
 | AddHandlerOnKeyDown (TControl)
 | AddHandlerOnMouseWheel (TControl)
 | AddHandlerOnResize (TControl)
 | AddHandlerOnVisibleChanged (TControl)
 | AddHandlerOnVisibleChanging (TControl)
pt | AdjustClientRect (TWinControl)
 | AdjustSize (TControl)
 | AfterConstruction (TObject)
pt | AlignControls (TWinControl)
pt | AllAutoSized (TWinControl)
 | AnchorAsAlign (TControl)
 | AnchorClient (TControl)
 | AnchoredControlCount (TControl)
 | AnchorHorizontalCenterTo (TControl)
 | AnchorParallel (TControl)
 | AnchorSame (TControl)
pt | AnchorSideChanged (TControl)
 | AnchorToCompanion (TControl)
 | AnchorToNeighbour (TControl)
 | AnchorVerticalCenterTo (TControl)
 | Assign (TPersistent)
 | AssignError (TPersistent)
 | AssignTo (TPersistent)
pt | AssignTo (TControl)
 | AutoAdjustLayout (TControl)
 | AutoAdjustLayout (TWinControl)
 | AutoSizeDelayed (TControl)
 | AutoSizeDelayed (TWinControl)
 | AutoSizeDelayedHandle (TControl)
 | AutoSizeDelayedHandle (TWinControl)
 | AutoSizeDelayedReport (TControl)
 | AutoSizeDelayedReport (TWinControl)
 | AutoSizePhases (TControl)
 | AutoSizePhases (TWinControl)
 | BeforeDestruction (TObject)
 | BeforeDestruction (TComponent)
 | BeforeDestruction (TControl)
pt | BeforeDragStart (TControl)
pt | BeginAutoDrag (TControl)
pt | BeginAutoSizing (TControl)
 | BeginDrag (TControl)
 | BeginUpdateBounds (TWinControl)
pt | BoundsChanged (TControl)
 | BringToFront (TControl)
 | BroadCast (TWinControl)
 | BrushCreated (TWinControl)
pt | CalculateDockSizes (TControl)
pt | CalculatePreferredSize (TControl)
pt | CalculatePreferredSize (TWinControl)
pt | CanAutoSize (TControl)
 | CanFocus (TWinControl)
 | CanSetFocus (TWinControl)
 | CanShowGlyph (TCustomBitBtn)
pt | CanTab (TControl)
pt | CanTab (TWinControl)
pt | CaptureChanged (TControl)
pt | ChangeBounds (TControl)
pt | Changed (TControl)
 | ChangeName (TComponent)
pt | ChangeScale (TControl)
pt | ChangeScale (TWinControl)
 | CheckChildClassAllowed (TControl)
 | CheckNewParent (TControl)
pt | CheckOnChangeBounds (TControl)
pt | ChildClassAllowed (TControl)
pt | ChildClassAllowed (TWinControl)
pt | ChildClassAllowed (TCustomButton)
pt | ChildHandlesCreated (TWinControl)
pt | ChildKey (TWinControl)
 | ClassInfo (TObject)
 | ClassName (TObject)
 | ClassNameIs (TObject)
 | ClassParent (TObject)
 | ClassType (TObject)
 | CleanupInstance (TObject)
pt | Click (TControl)
pt | Click (TButtonControl)
 | Click (TCustomButton)
 | Click (TCustomBitBtn)
 | ClientRectNeedsInterfaceUpdate (TWinControl)
 | ClientToParent (TControl)
 | ClientToScreen (TControl)
pt | CMAppShowBtnGlyphChanged (TCustomBitBtn)
pt | CMBiDiModeChanged (TControl)
pt | CMBiDiModeChanged (TWinControl)
pt | CMBorderChanged (TWinControl)
pt | CMChanged (TControl)
pt | CMCursorChanged (TControl)
pt | CMDoubleBufferedChanged (TWinControl)
pt | CMEnabledChanged (TControl)
pt | CMEnabledChanged (TWinControl)
pt | CMEnter (TWinControl)
pt | CMExit (TWinControl)
pt | CMHintShow (TControl)
pt | CMHitTest (TControl)
pt | CMMouseEnter (TControl)
pt | CMMouseLeave (TControl)
pt | CMParentBiDiModeChanged (TControl)
pt | CMParentColorChanged (TControl)
pt | CMParentDoubleBufferedChanged (TWinControl)
pt | CMParentFontChanged (TControl)
pt | CMParentShowHintChanged (TControl)
pt | CMShowHintChanged (TWinControl)
pt | CMShowingChanged (TWinControl)
pt | CMSysFontChanged (TControl)
pt | CMTextChanged (TControl)
pt | CMVisibleChanged (TControl)
pt | CMVisibleChanged (TWinControl)
pt | CNChar (TWinControl)
pt | CNKeyDown (TWinControl)
pt | CNKeyUp (TWinControl)
 | CNPreferredSizeChanged (TControl)
pt | CNSysKeyDown (TWinControl)
pt | CNSysKeyUp (TWinControl)
pt | ColorIsStored (TControl)
pt | ConstrainedResize (TControl)
 | ContainsControl (TWinControl)
 | ControlAtPos (TWinControl)
pt | ControlKeyDown (TWinControl)
pt | ControlKeyDown (TCustomButton)
pt | ControlKeyUp (TWinControl)
pt | ControlKeyUp (TCustomButton)
pt | ControlsAligned (TWinControl)
 | ControlToScreen (TControl)
 | Create (TObject)
 | Create (TComponent)
 | Create (TLCLComponent)
 | Create (TControl)
 | Create (TWinControl)
 | Create (TButtonControl)
 | Create (TCustomButton)
 | Create (TCustomBitBtn)
 | Create (TPanelBitBtn)
 | CreateAccessibleObject (TControl)
pt | CreateBrush (TWinControl)
pt | CreateControlBorderSpacing (TControl)
pt | CreateDockManager (TWinControl)
pt | CreateFloatingDockSite (TControl)
pt | CreateHandle (TWinControl)
pt | CreateParams (TWinControl)
pt | CreateParams (TCustomButton)
 | CreateParented (TWinControl)
 | CreateParentedControl (TWinControl)
pt | CreateSubClass (TWinControl)
pt | CreateWnd (TWinControl)
pt | CreateWnd (TCustomButton)
pt | CustomAlignInsertBefore (TWinControl)
pt | CustomAlignPosition (TWinControl)
pt | DblClick (TControl)
 | DecLCLRefCount (TLCLComponent)
 | DefaultHandler (TObject)
 | DefaultHandler (TWinControl)
 | DefaultHandlerStr (TObject)
 | DefineProperties (TPersistent)
 | DefineProperties (TComponent)
pt | DefineProperties (TControl)
 | Destroy (TObject)
 | Destroy (TPersistent)
 | Destroy (TComponent)
 | Destroy (TLCLComponent)
 | Destroy (TControl)
 | Destroy (TWinControl)
 | Destroy (TCustomBitBtn)
 | DestroyComponents (TComponent)
pt | DestroyHandle (TWinControl)
 | Destroying (TComponent)
pt | DestroyWnd (TWinControl)
pt | DialogChar (TControl)
pt | DialogChar (TWinControl)
pt | DialogChar (TCustomButton)
 | DisableAlign (TWinControl)
 | DisableAutoSizing (TControl)
 | Dispatch (TObject)
 | DispatchStr (TObject)
pt | DoAddDockClient (TWinControl)
 | DoAdjustClientRectChange (TWinControl)
pt | DoAlignChildControls (TWinControl)
pt | DoAllAutoSize (TControl)
pt | DoAllAutoSize (TWinControl)
pt | DoAutoAdjustLayout (TControl)
pt | DoAutoSize (TControl)
pt | DoAutoSize (TWinControl)
pt | DoBorderSpacingChange (TControl)
pt | DoCallKeyEventHandler (TControl)
pt | DoCallMouseWheelEventHandler (TControl)
pt | DoCallNotifyHandler (TControl)
pt | DoChildSizingChange (TWinControl)
 | Dock (TControl)
 | DockDrop (TWinControl)
 | Docked (TControl)
pt | DockOver (TWinControl)
pt | DockTrackNoTarget (TControl)
pt | DoConstraintsChange (TControl)
pt | DoConstraintsChange (TWinControl)
pt | DoContextPopup (TControl)
pt | DoDock (TControl)
pt | DoDockClientMsg (TWinControl)
pt | DoDockOver (TWinControl)
pt | DoDragMsg (TControl)
pt | DoDragMsg (TWinControl)
pt | DoEndDock (TControl)
pt | DoEndDrag (TControl)
pt | DoEnter (TWinControl)
pt | DoExit (TWinControl)
pt | DoFixDesignFontPPI (TControl)
pt | DoFlipChildren (TWinControl)
pt | DoFloatMsg (TControl)
pt | DoFloatMsg (TWinControl)
pt | DoGetDockCaption (TWinControl)
pt | DoKeyDownBeforeInterface (TWinControl)
pt | DoKeyPress (TWinControl)
pt | DoKeyUpBeforeInterface (TWinControl)
pt | DoMouseWheel (TControl)
pt | DoMouseWheelDown (TControl)
pt | DoMouseWheelHorz (TControl)
pt | DoMouseWheelLeft (TControl)
pt | DoMouseWheelRight (TControl)
pt | DoMouseWheelUp (TControl)
pt | DoOnChange (TButtonControl)
pt | DoOnChangeBounds (TControl)
pt | DoOnParentHandleDestruction (TControl)
pt | DoOnResize (TControl)
pt | DoOnShowHint (TControl)
pt | DoRemainingKeyDown (TWinControl)
pt | DoRemainingKeyUp (TWinControl)
pt | DoRemoveDockClient (TWinControl)
pt | DoScaleFontPPI (TControl)
pt | DoSendBoundsToInterface (TWinControl)
pt | DoSendShowHideToInterface (TWinControl)
pt | DoSetBounds (TControl)
pt | DoSetBounds (TWinControl)
pt | DoStartDock (TControl)
pt | DoStartDrag (TControl)
pt | DoUnDock (TWinControl)
pt | DoUndockClientMsg (TWinControl)
pt | DoUTF8KeyPress (TWinControl)
pt | DragCanceled (TControl)
 | DragDrop (TControl)
 | Dragging (TControl)
pt | DragOver (TControl)
 | EditingDone (TControl)
 | EnableAlign (TWinControl)
 | EnableAutoSizing (TControl)
pt | EnabledChanged (TControl)
pt | EnabledChanging (TControl)
pt | EndAutoSizing (TControl)
 | EndDrag (TControl)
 | EndUpdateBounds (TWinControl)
 | Equals (TObject)
 | EraseBackground (TWinControl)
 | ExecuteAction (TComponent)
 | ExecuteCancelAction (TControl)
 | ExecuteCancelAction (TCustomButton)
 | ExecuteDefaultAction (TControl)
 | ExecuteDefaultAction (TCustomButton)
 | FieldAddress (TObject)
pt | FinalizeWnd (TWinControl)
 | FindChildControl (TWinControl)
 | FindComponent (TComponent)
pt | FindNextControl (TWinControl)
 | FixDesignFontsPPI (TControl)
pt | FixupTabList (TWinControl)
 | FlipChildren (TWinControl)
 | Focused (TWinControl)
pt | FontChanged (TControl)
pt | FontChanged (TWinControl)
pt | ForeignAnchorSideChanged (TControl)
pt | FormEndUpdated (TControl)
pt | FormEndUpdated (TWinControl)
 | FormIsUpdating (TControl)
 | FPOAttachObserver (TPersistent)
 | FPODetachObserver (TPersistent)
 | FPONotifyObservers (TPersistent)
 | Free (TObject)
 | FreeInstance (TObject)
 | FreeNotification (TComponent)
 | FreeOnRelease (TComponent)
 | GetAccessibleObject (TControl)
pt | GetAction (TControl)
pt | GetActionLinkClass (TControl)
pt | GetActionLinkClass (TButtonControl)
pt | GetAdjustedLogicalClientRect (TWinControl)
 | GetAnchorsDependingOnParent (TControl)
pt | GetBorderStyle (TWinControl)
pt | GetCachedText (TControl)
 | GetCanvasScaleFactor (TControl)
pt | GetChecked (TButtonControl)
 | GetChildAccessibleObjectAtPos (TControl)
 | GetChildOwner (TComponent)
 | GetChildParent (TComponent)
 | GetChildren (TComponent)
pt | GetChildren (TWinControl)
 | GetChildrenRect (TControl)
 | GetChildrenRect (TWinControl)
pt | GetClientOrigin (TControl)
pt | GetClientOrigin (TWinControl)
pt | GetClientRect (TControl)
pt | GetClientRect (TWinControl)
pt | GetClientScrollOffset (TControl)
 | GetColorResolvingParent (TControl)
 | GetComObject (TComponent)
 | GetComponent (TComponent)
 | GetComponentCount (TComponent)
 | GetComponentIndex (TComponent)
pt | GetControlClassDefaultSize (TControl)
pt | GetControlClassDefaultSize (TCustomButton)
pt | GetControlClassDefaultSize (TCustomBitBtn)
 | GetControlIndex (TWinControl)
pt | GetControlOrigin (TControl)
pt | GetControlOrigin (TWinControl)
pt | GetCursor (TControl)
 | GetDefaultColor (TControl)
pt | GetDefaultDockCaption (TControl)
 | GetDefaultHeight (TControl)
 | GetDefaultWidth (TControl)
pt | GetDeviceContext (TControl)
pt | GetDeviceContext (TWinControl)
 | GetDockCaption (TWinControl)
pt | GetDockEdge (TControl)
pt | GetDragImages (TControl)
pt | GetEnabled (TControl)
 | GetEnumerator (TComponent)
 | GetEnumeratorControls (TWinControl)
 | GetEnumeratorControlsReverse (TWinControl)
pt | GetFloating (TControl)
pt | GetFloatingDockSiteClass (TControl)
 | GetHashCode (TObject)
 | GetIDsOfNames (TComponent)
 | GetInterface (TObject)
 | GetInterfaceByStr (TObject)
 | GetInterfaceEntry (TObject)
 | GetInterfaceEntryByStr (TObject)
 | GetInterfaceTable (TObject)
 | GetInterfaceWeak (TObject)
pt | GetLogicalClientRect (TControl)
pt | GetMouseCapture (TControl)
pt | GetMouseCapture (TWinControl)
pt | GetMousePosFromMessage (TControl)
 | GetNamePath (TPersistent)
 | GetNamePath (TComponent)
 | GetOwner (TPersistent)
 | GetOwner (TComponent)
pt | GetPalette (TControl)
pt | GetParentBackground (TWinControl)
 | GetParentComponent (TComponent)
 | GetParentComponent (TControl)
pt | GetParentHandle (TWinControl)
pt | GetPopupMenu (TControl)
 | GetPreferredSize (TControl)
pt | GetPreferredSizeClientFrame (TWinControl)
 | GetRGBColorResolvingParent (TControl)
pt | GetScrolledClientRect (TControl)
 | GetSelectedChildAccessibleObject (TControl)
 | GetSidePosition (TControl)
pt | GetSiteInfo (TWinControl)
 | GetTabOrderList (TWinControl)
 | GetTextBuf (TControl)
 | GetTextLen (TControl)
 | GetTextLen (TWinControl)
 | GetTopParent (TControl)
pt | GetTopParentHandle (TWinControl)
 | GetTypeInfo (TComponent)
 | GetTypeInfoCount (TComponent)
pt | GetWSComponentClass (TLCLComponent)
pt | GlyphChanged (TCustomBitBtn)
 | HandleAllocated (TWinControl)
 | HandleNeeded (TWinControl)
 | HandleObjectShouldBeVisible (TControl)
 | HasHelp (TControl)
 | HasParent (TComponent)
 | HasParent (TControl)
pt | HeightIsAnchored (TControl)
 | Hide (TControl)
 | iicrGetComponent (TComponent)
 | IncLCLRefCount (TLCLComponent)
 | InheritsFrom (TObject)
pt | InitializeWnd (TWinControl)
pt | InitializeWnd (TCustomBitBtn)
 | InitiateAction (TControl)
 | InitInstance (TObject)
 | Insert (TComponent)
 | InsertComponent (TComponent)
 | InsertControl (TWinControl)
 | InstanceSize (TObject)
 | IntfGetDropFilesTarget (TWinControl)
 | IntfUTF8KeyPress (TWinControl)
 | Invalidate (TControl)
 | Invalidate (TWinControl)
pt | InvalidateBoundsRealized (TWinControl)
 | InvalidateClientRectCache (TWinControl)
pt | InvalidateControl (TControl)
pt | InvalidatePreferredChildSizes (TWinControl)
 | InvalidatePreferredSize (TControl)
 | Invoke (TComponent)
pt | IsAParentAligning (TControl)
pt | IsBorderSpacingInnerBorderStored (TControl)
pt | IsCaptionStored (TControl)
pt | IsCaptionStored (TCustomBitBtn)
pt | IsClientHeightStored (TControl)
pt | IsClientHeightStored (TWinControl)
pt | IsClientWidthStored (TControl)
pt | IsClientWidthStored (TWinControl)
pt | IsControlMouseMsg (TWinControl)
 | IsControlVisible (TControl)
 | IsEnabled (TControl)
 | IsImplementorOf (TComponent)
 | IsParentColor (TControl)
 | IsParentFont (TControl)
 | IsParentOf (TControl)
 | IsProcessingPaintMsg (TControl)
 | IsRightToLeft (TControl)
 | IsVisible (TControl)
pt | KeyDown (TWinControl)
pt | KeyDownAfterInterface (TWinControl)
pt | KeyDownBeforeInterface (TWinControl)
pt | KeyPress (TWinControl)
pt | KeyUp (TWinControl)
pt | KeyUpAfterInterface (TWinControl)
pt | KeyUpBeforeInterface (TWinControl)
pt | LMCaptureChanged (TControl)
 | Loaded (TComponent)
pt | Loaded (TControl)
pt | Loaded (TWinControl)
pt | Loaded (TCustomButton)
pt | Loaded (TCustomBitBtn)
pt | LoadedAll (TControl)
 | LoadGlyphFromLazarusResource (TCustomBitBtn)
 | LoadGlyphFromResourceName (TCustomBitBtn)
 | LoadGlyphFromStock (TCustomBitBtn)
 | Loading (TComponent)
 | LockRealizeBounds (TWinControl)
pt | MainWndProc (TWinControl)
 | ManualDock (TControl)
 | ManualFloat (TControl)
 | MethodAddress (TObject)
 | MethodName (TObject)
pt | MouseDown (TControl)
pt | MouseEnter (TControl)
pt | MouseLeave (TControl)
pt | MouseMove (TControl)
pt | MouseUp (TControl)
 | newinstance (TObject)
 | NewInstance (TLCLComponent)
 | Notification (TComponent)
pt | Notification (TControl)
pt | Notification (TCustomBitBtn)
 | NotifyControls (TWinControl)
pt | PaintControls (TWinControl)
pt | PaintHandler (TWinControl)
 | PaintTo (TWinControl)
pt | PaintWindow (TWinControl)
 | PaletteCreated (TComponent)
 | ParentDestroyingHandle (TControl)
pt | ParentFontChanged (TControl)
pt | ParentFormHandleInitialized (TControl)
pt | ParentFormHandleInitialized (TWinControl)
 | ParentHandlesAllocated (TControl)
 | ParentHandlesAllocated (TWinControl)
 | ParentToClient (TControl)
 | Perform (TControl)
 | PerformTab (TWinControl)
pt | PositionDockRect (TControl)
pt | QuadClick (TControl)
 | QueryInterface (TComponent)
 | ReadLeft (TComponent)
 | ReadState (TComponent)
pt | ReadState (TControl)
 | ReadTop (TComponent)
pt | RealGetText (TControl)
pt | RealGetText (TWinControl)
 | ReAlign (TWinControl)
pt | RealizeBounds (TWinControl)
pt | RealizeBoundsRecursive (TWinControl)
pt | RealSetText (TControl)
pt | RealSetText (TWinControl)
 | ReferenceInterface (TComponent)
 | Refresh (TControl)
pt | ReloadDockedControl (TWinControl)
 | Remove (TComponent)
 | RemoveAllHandlersOfObject (TLCLComponent)
 | RemoveAllHandlersOfObject (TControl)
 | RemoveComponent (TComponent)
 | RemoveControl (TWinControl)
pt | RemoveFocus (TWinControl)
 | RemoveFreeNotification (TComponent)
pt | RemoveHandler (TControl)
 | RemoveHandlerOnBeforeDestruction (TControl)
 | RemoveHandlerOnChangeBounds (TControl)
 | RemoveHandlerOnEnableChanging (TControl)
 | RemoveHandlerOnKeyDown (TControl)
 | RemoveHandlerOnMouseWheel (TControl)
 | RemoveHandlerOnResize (TControl)
 | RemoveHandlerOnVisibleChanged (TControl)
 | RemoveHandlerOnVisibleChanging (TControl)
 | RemoveNotification (TComponent)
 | Repaint (TControl)
 | Repaint (TWinControl)
 | ReplaceDockedControl (TControl)
pt | RequestAlign (TControl)
pt | Resize (TControl)
 | SafeCallException (TObject)
 | SafeCallException (TComponent)
 | Scale96ToFont (TControl)
 | Scale96ToForm (TControl)
 | Scale96ToScreen (TControl)
 | ScaleBy (TWinControl)
pt | ScaleConstraints (TControl)
pt | ScaleControls (TWinControl)
 | ScaleDesignToForm (TControl)
 | ScaleFontsPPI (TControl)
 | ScaleFontTo96 (TControl)
 | ScaleFontToScreen (TControl)
 | ScaleFormTo96 (TControl)
 | ScaleFormToDesign (TControl)
 | ScaleScreenTo96 (TControl)
 | ScaleScreenToFont (TControl)
 | ScreenToClient (TControl)
 | ScreenToControl (TControl)
 | ScrollBy (TWinControl)
 | ScrollBy_WS (TWinControl)
pt | SelectFirst (TWinControl)
 | SelectNext (TWinControl)
pt | SendDialogChar (TWinControl)
pt | SendMoveSizeMessages (TControl)
pt | SendMoveSizeMessages (TWinControl)
 | SendToBack (TControl)
pt | SetAction (TControl)
pt | SetAlign (TControl)
 | SetAncestor (TComponent)
pt | SetAnchors (TControl)
pt | SetAutoSize (TControl)
pt | SetBiDiMode (TControl)
pt | SetBorderStyle (TWinControl)
 | SetBounds (TControl)
 | SetBounds (TWinControl)
 | SetBoundsKeepBase (TControl)
pt | SetChecked (TButtonControl)
 | SetChildOrder (TComponent)
pt | SetChildZPosition (TWinControl)
pt | SetColor (TControl)
pt | SetColor (TWinControl)
 | SetComponentIndex (TComponent)
 | SetControlIndex (TWinControl)
pt | SetCursor (TControl)
 | SetDesigning (TComponent)
 | SetDesignInstance (TComponent)
pt | SetDockManager (TWinControl)
pt | SetDragMode (TControl)
pt | SetEnabled (TControl)
 | SetFocus (TWinControl)
pt | SetHint (TControl)
 | SetInitialBounds (TControl)
 | SetInline (TComponent)
 | SetName (TComponent)
pt | SetName (TControl)
pt | SetParent (TControl)
pt | SetParentBackground (TWinControl)
pt | SetParentBiDiMode (TControl)
 | SetParentComponent (TComponent)
pt | SetParentComponent (TControl)
 | SetReference (TComponent)
 | SetShape (TWinControl)
 | SetSubComponent (TComponent)
 | SetTempCursor (TControl)
 | SetTempCursor (TWinControl)
 | SetTextBuf (TControl)
pt | SetVisible (TControl)
pt | SetZOrder (TControl)
 | ShouldAutoAdjust (TControl)
 | Show (TControl)
pt | ShowControl (TWinControl)
 | ShowHelp (TControl)
 | StringMessageTable (TObject)
pt | TextChanged (TControl)
pt | TextChanged (TCustomButton)
pt | TextChanged (TCustomBitBtn)
 | ToString (TObject)
pt | TripleClick (TControl)
 | UnitName (TObject)
 | UnlockRealizeBounds (TWinControl)
 | Update (TControl)
 | Update (TWinControl)
 | UpdateAction (TComponent)
pt | UpdateAnchorRules (TControl)
 | UpdateBaseBounds (TControl)
pt | UpdateControlState (TWinControl)
 | Updated (TComponent)
pt | UpdateDefaultCancel (TCustomButton)
 | UpdateDockCaption (TWinControl)
pt | UpdateMouseCursor (TControl)
 | UpdateRegistry (TComponent)
 | UpdateRolesForForm (TControl)
 | UpdateRolesForForm (TCustomButton)
pt | UpdateShowing (TWinControl)
 | Updating (TComponent)
 | UseRightToLeftAlignment (TControl)
 | UseRightToLeftAlignment (TCustomButton)
 | UseRightToLeftReading (TControl)
 | UseRightToLeftScrollBar (TControl)
pt | UTF8KeyPress (TWinControl)
 | ValidateContainer (TComponent)
 | ValidateInsert (TComponent)
 | ValidateRename (TComponent)
pt | VisibleChanged (TControl)
pt | VisibleChanging (TControl)
pt | WidthIsAnchored (TControl)
pt | WMCancelMode (TControl)
pt | WMChar (TWinControl)
pt | WMContextMenu (TControl)
pt | WMContextMenu (TWinControl)
pt | WMDestroy (TWinControl)
pt | WMEnter (TWinControl)
pt | WMEraseBkgnd (TWinControl)
pt | WMExit (TWinControl)
pt | WMKeyDown (TWinControl)
pt | WMKeyUp (TWinControl)
pt | WMKillFocus (TWinControl)
pt | WMLButtonDBLCLK (TControl)
pt | WMLButtonDown (TControl)
pt | WMLButtonQuadCLK (TControl)
pt | WMLButtonTripleCLK (TControl)
pt | WMLButtonUp (TControl)
pt | WMMButtonDBLCLK (TControl)
pt | WMMButtonDown (TControl)
pt | WMMButtonQuadCLK (TControl)
pt | WMMButtonTripleCLK (TControl)
pt | WMMButtonUp (TControl)
pt | WMMouseHWheel (TControl)
pt | WMMouseMove (TControl)
pt | WMMouseWheel (TControl)
pt | WMMove (TControl)
pt | WMMove (TWinControl)
pt | WMNotify (TWinControl)
pt | WMPaint (TWinControl)
pt | WMRButtonDBLCLK (TControl)
pt | WMRButtonDown (TControl)
pt | WMRButtonQuadCLK (TControl)
pt | WMRButtonTripleCLK (TControl)
pt | WMRButtonUp (TControl)
pt | WMSetFocus (TWinControl)
pt | WMShowWindow (TWinControl)
pt | WMSize (TControl)
pt | WMSize (TWinControl)
pt | WMSysChar (TWinControl)
pt | WMSysKeyDown (TWinControl)
pt | WMSysKeyUp (TWinControl)
pt | WMWindowPosChanged (TControl)
pt | WMWindowPosChanged (TWinControl)
pt | WMXButtonDBLCLK (TControl)
pt | WMXButtonDown (TControl)
pt | WMXButtonQuadCLK (TControl)
pt | WMXButtonTripleCLK (TControl)
pt | WMXButtonUp (TControl)
pt | WndProc (TControl)
pt | WndProc (TWinControl)
 | WriteLayoutDebugReport (TControl)
 | WriteLayoutDebugReport (TWinControl)
 | WriteLeft (TComponent)
 | WriteState (TComponent)
 | WriteTop (TComponent)
pt | WSRegisterClass (TLCLComponent)
pt | WSRegisterClass (TControl)
pt | WSRegisterClass (TWinControl)
pt | WSRegisterClass (TButtonControl)
pt | WSRegisterClass (TCustomButton)
pt | WSRegisterClass (TCustomBitBtn)
pt | WSSetDefault (TCustomButton)
pt | WSSetText (TWinControl)
pt | WSSetText (TCustomButton)
 | _AddRef (TComponent)
 | _Release (TComponent)


TPanelBitBtn
pl | ro | OnClick
TCustomBitBtn
TCustomButton
TButtonControl
pt |  | OnChange
TWinControl
pt |  | OnGetSiteInfo
pt |  | OnGetDockCaption
 |  | OnAlignInsertBefore
 |  | OnAlignPosition
 |  | OnDockDrop
 |  | OnDockOver
 |  | OnEnter
 |  | OnExit
 |  | OnKeyDown
 |  | OnKeyPress
 |  | OnKeyUp
 |  | OnUnDock
 |  | OnUTF8KeyPress
TControl
pt |  | OnConstrainedResize
pt |  | OnContextPopup
pt |  | OnDblClick
pt |  | OnTripleClick
pt |  | OnQuadClick
pt |  | OnDragDrop
pt |  | OnDragOver
pt |  | OnEndDock
pt |  | OnEndDrag
pt |  | OnMouseDown
pt |  | OnMouseMove
pt |  | OnMouseUp
pt |  | OnMouseEnter
pt |  | OnMouseLeave
pt |  | OnMouseWheel
pt |  | OnMouseWheelDown
pt |  | OnMouseWheelUp
pt |  | OnMouseWheelHorz
pt |  | OnMouseWheelLeft
pt |  | OnMouseWheelRight
pt |  | OnStartDock
pt |  | OnStartDrag
pt |  | OnEditingDone
 |  | OnChangeBounds
 |  | OnClick
 |  | OnResize
 |  | OnShowHint
TLCLComponent
TComponent
TPersistent
TObject


pt |  | OnChange (TButtonControl)
 |  | OnChangeBounds (TControl)
 |  | OnClick (TControl)
pl | ro | OnClick (TPanelBitBtn)
pt |  | OnConstrainedResize (TControl)
pt |  | OnContextPopup (TControl)
pt |  | OnDblClick (TControl)
 |  | OnDockDrop (TWinControl)
 |  | OnDockOver (TWinControl)
pt |  | OnDragDrop (TControl)
pt |  | OnDragOver (TControl)
pt |  | OnEditingDone (TControl)
pt |  | OnEndDock (TControl)
pt |  | OnEndDrag (TControl)
 |  | OnEnter (TWinControl)
 |  | OnExit (TWinControl)
pt |  | OnGetDockCaption (TWinControl)
pt |  | OnGetSiteInfo (TWinControl)
 |  | OnKeyDown (TWinControl)
 |  | OnKeyPress (TWinControl)
 |  | OnKeyUp (TWinControl)
pt |  | OnMouseDown (TControl)
pt |  | OnMouseEnter (TControl)
pt |  | OnMouseLeave (TControl)
pt |  | OnMouseMove (TControl)
pt |  | OnMouseUp (TControl)
pt |  | OnMouseWheel (TControl)
pt |  | OnMouseWheelDown (TControl)
pt |  | OnMouseWheelHorz (TControl)
pt |  | OnMouseWheelLeft (TControl)
pt |  | OnMouseWheelRight (TControl)
pt |  | OnMouseWheelUp (TControl)
pt |  | OnQuadClick (TControl)
 |  | OnResize (TControl)
 |  | OnShowHint (TControl)
pt |  | OnStartDock (TControl)
pt |  | OnStartDrag (TControl)
pt |  | OnTripleClick (TControl)
 |  | OnUnDock (TWinControl)
 |  | OnUTF8KeyPress (TWinControl)


TPanelBitBtn.DefaultCaption

Declaration

Source position: buttonpanel.pas line 38

published property TPanelBitBtn.DefaultCaption : Boolean
  stored True;


TPanelBitBtn.Height

Declaration

Source position: buttonpanel.pas line 42

published property TPanelBitBtn.Height : Integer
  stored False;


TPanelBitBtn.Left

Declaration

Source position: buttonpanel.pas line 39

published property TPanelBitBtn.Left : Integer
  stored False;


TPanelBitBtn.Name

Declaration

Source position: buttonpanel.pas line 46

published property TPanelBitBtn.Name
  stored True;


TPanelBitBtn.PopupMenu

Declaration

Source position: buttonpanel.pas line 47

published property TPanelBitBtn.PopupMenu : TPopupMenu;


TPanelBitBtn.ShowHint

Declaration

Source position: buttonpanel.pas line 48

published property TPanelBitBtn.ShowHint : Boolean;


TPanelBitBtn.Top

Declaration

Source position: buttonpanel.pas line 40

published property TPanelBitBtn.Top : Integer
  stored False;


TPanelBitBtn.Width

Declaration

Source position: buttonpanel.pas line 41

published property TPanelBitBtn.Width : Integer
  stored False;


TBitBtn

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

A Button with a small image attached

Declaration

Source position: buttons.pp line 225

type TBitBtn = class(TCustomBitBtn)
published
property Action: TBasicAction; | The Action associated with this control.
property Align: TAlign; | Specifies the placement of the control inside its Parent.
property Anchors: TAnchors; | The set of anchor definitions for this control.
property AutoSize: Boolean; | Allows to automatically adjust the size of the control, according to its content.
property BidiMode: TBiDiMode;
property BorderSpacing: TControlBorderSpacing; | Determines the inner and outer border spacing for this control.
property Cancel: Boolean; | True if this is the modal Cancel button.
property Caption: TCaption; | The text describing the control to the user.
property Color: TColor; | The background color of the control.
property Constraints: TSizeConstraints; | The minimal and maximal Width and Height of this control.
property Default: Boolean; | True if this is the modal Default button.
property DefaultCaption: Boolean;
property Enabled: Boolean; | Determines whether the control reacts on mouse or keyboard input.
property Font: TFont; | The font to be used for text display in this control.
property Glyph: TBitmap; | The BitMap Glyph to be displayed on the button
property GlyphShowMode: TGlyphShowMode; | Indicates the policy for showing or hiding the glyph image of this button
property Kind: TBitBtnKind; | What kind of BitButton? Custom, OK, Cancel, Yes, No etc
property Layout: TButtonLayout; | Layout of button - Glyph at top, bottom, left or right
property Margin: Integer; | The margin to be left around glyphs
property ModalResult: TModalResult; | When clicked, the button will close the form and return its ModalResult. (unless mrNone)
property NumGlyphs: Integer; | The number of glyphs for display
property Images: TCustomImageList;
property ImageIndex: TImageIndex;
property ImageWidth: Integer;
property OnChangeBounds: TNotifyEvent; | Event handler for a change of the Bounds of the control.
property OnClick: TNotifyEvent; | Notification handler for mouse clicks.
property OnContextPopup: TContextPopupEvent;
property OnDragDrop: TDragDropEvent;
property OnDragOver: TDragOverEvent;
property OnEndDrag: TEndDragEvent;
property OnEnter: TNotifyEvent; | Handler for control receiving the focus.
property OnExit: TNotifyEvent; | Handler for control loosing the focus. This is a good place for checking the finished user input.
property OnKeyDown: TKeyEvent; | Handler for keyboard key pressed.
property OnKeyPress: TKeyPressEvent; | Handler for a character entered by the user.
property OnKeyUp: TKeyEvent; | Handler for keyboard key released.
property OnMouseDown: TMouseEvent; | Event handler for mouse button going down.
property OnMouseEnter: TNotifyEvent;
property OnMouseLeave: TNotifyEvent;
property OnMouseMove: TMouseMoveEvent; | Event handler for mouse movement within the control.
property OnMouseUp: TMouseEvent; | Event handler for mouse button going up.
property OnMouseWheel: TMouseWheelEvent;
property OnMouseWheelDown: TMouseWheelUpDownEvent;
property OnMouseWheelUp: TMouseWheelUpDownEvent;
property OnResize: TNotifyEvent; | Notification handler for a resize of the control.
property OnStartDrag: TStartDragEvent;
property OnUTF8KeyPress: TUTF8KeyPressEvent; | Handler for a character entered by the user.
property ParentBidiMode: Boolean;
property ParentFont: Boolean; | If true, the Font of the control will be the same as the one from the Parent. Default is true.
property ParentShowHint: Boolean; | If true, the value of ShowHint for the control will be the same as the one from the Parent. Default is true.
property PopupMenu: TPopupMenu; | A context-sensitive menu that pops up when the right mouse button is clicked over this control
property ShowHint: Boolean; | Enables the Hint display.
property Spacing: Integer; | The spacing around the BitButton
property TabOrder: TTabOrder; | Determines the sequence of controls, reachable when the user presses the Tab key.
property TabStop: Boolean; | Allows the user to navigate to this control, by pressing the Tab key.
property Visible: Boolean; | Allows to show or hide the control, and all of its children.
end;

Inheritance

TBitBtn | A Button with a small image attached
|
TCustomBitBtn | TCustomBitBtn - the ancestor class for TBitBtn.
|
TCustomButton | The base class for clickable buttons (TButton and TBitBtn).
|
TButtonControl | The base class for various button controls.
|
TWinControl | The base class for controls which can contain other (child) controls.
|
TControl | The base class for visible controls.
|
TLCLComponent | The base class for LCL components associated with widgets.
|
TComponent,IUnknown,IInterfaceComponentReference
|
TPersistent,IFPObserved
|
TObject

Description

Bit Button: a push button control on a toolbar causing a particular action to be executed. It often displays a glyph or small graphic to denote its function.

See also

HowToUseStdCtrls

How to use StdCtrls, ComCtrls or ExtCtrls


TBitBtn
pl | ro | Action
pl | ro | Align
pl | ro | Anchors
pl | ro | AutoSize
pl | ro | BidiMode
pl | ro | BorderSpacing
pl | ro | Cancel
pl | ro | Caption
pl | ro | Color
pl | ro | Constraints
pl | ro | Default
pl | ro | DefaultCaption
pl | ro | Enabled
pl | ro | Font
pl | ro | Glyph
pl | ro | GlyphShowMode
pl | ro | Kind
pl | ro | Layout
pl | ro | Margin
pl | ro | ModalResult
pl | ro | NumGlyphs
pl | ro | Images
pl | ro | ImageIndex
pl | ro | ImageWidth
pl | ro | ParentBidiMode
pl | ro | ParentFont
pl | ro | ParentShowHint
pl | ro | PopupMenu
pl | ro | ShowHint
pl | ro | Spacing
pl | ro | TabOrder
pl | ro | TabStop
pl | ro | Visible
TCustomBitBtn
 | ro | Caption
 |  | DefaultCaption
 |  | Glyph
 |  | NumGlyphs
 |  | Images
 |  | ImageIndex
 |  | ImageWidth
 |  | Kind
 |  | Layout
 |  | Margin
 |  | Spacing
 |  | GlyphShowMode
TCustomButton
pt | ro | ParentColor
 | ro | Active
 |  | Default
 |  | ModalResult
 | ro | ShortCut
 | ro | ShortCutKey2
 |  | Cancel
 | ro | Color
 | ro | TabStop
TButtonControl
pt |  | Checked
pt |  | ClicksDisabled
TWinControl
pt |  | WindowHandle
pt |  | BorderStyle
pt |  | ParentBackground
 |  | BorderWidth
 | ro | BoundsLockCount
 | ro | Brush
 | ro | CachedClientHeight
 | ro | CachedClientWidth
 |  | ChildSizing
 | ro | ControlCount
 | ro | Controls
 |  | DefWndProc
 | ro | DockClientCount
 | ro | DockClients
 |  | DockManager
 |  | DockSite
 |  | DoubleBuffered
 |  | Handle
 | ro | IsFlipped
 | ro | IsResizing
 |  | TabOrder
 |  | TabStop
 |  | ParentDoubleBuffered
 |  | ParentWindow
 | ro | Showing
 |  | UseDockManager
 |  | DesignerDeleting
 | ro | VisibleDockClientCount
TControl
pt | ro | AutoSizing
pt | ro | AutoSizingAll
pt | ro | AutoSizingLockCount
pt |  | ActionLink
pt |  | DesktopFont
pt |  | DragCursor
pt |  | DragKind
pt |  | DragMode
pt |  | MouseCapture
pt |  | ParentColor
pt |  | ParentFont
pt |  | ParentShowHint
pt |  | SessionProperties
pt |  | Text
 | ro | AnchoredControls
 | ro | BaseBounds
 | ro | ReadBounds
 | ro | BaseParentClientSize
 |  | AccessibleDescription
 |  | AccessibleValue
 |  | AccessibleRole
 |  | Action
 |  | Align
 |  | Anchors
 | ro | AnchorSide
 |  | AutoSize
 |  | BorderSpacing
 |  | BoundsRect
 |  | BoundsRectForNewParent
 |  | Caption
 |  | CaptureMouseButtons
 |  | ClientHeight
 | ro | ClientOrigin
 | ro | ClientRect
 |  | ClientWidth
 |  | Color
 |  | Constraints
 | ro | ControlOrigin
 |  | ControlState
 |  | ControlStyle
 |  | Enabled
 |  | Font
 |  | IsControl
 | ro | MouseEntered
 | ro | MouseInClient
 |  | Parent
 |  | PopupMenu
 |  | ShowHint
 |  | Visible
 |  | WindowProc
 |  | DockOrientation
 | ro | Floating
 |  | FloatingDockSiteClass
 |  | HostDockSite
 |  | LRDockWidth
 |  | TBDockHeight
 |  | UndockHeight
 |  | UndockWidth
 |  | BiDiMode
 |  | ParentBiDiMode
pl |  | AnchorSideLeft
pl |  | AnchorSideTop
pl |  | AnchorSideRight
pl |  | AnchorSideBottom
pl |  | Cursor
pl |  | Left
pl |  | Height
pl |  | Hint
pl |  | Top
pl |  | Width
pl |  | HelpType
pl |  | HelpKeyword
pl |  | HelpContext
TLCLComponent
 | ro | LCLRefCount
 | ro | WidgetSetClass
TComponent
 | ro | ComObject
 | ro | Components
 | ro | ComponentCount
 |  | ComponentIndex
 | ro | ComponentState
 | ro | ComponentStyle
 |  | DesignInfo
 | ro | Owner
 |  | VCLComObject
 |  | Name
 |  | Tag
TPersistent
TObject


 |  | AccessibleDescription (TControl)
 |  | AccessibleRole (TControl)
 |  | AccessibleValue (TControl)
 |  | Action (TControl)
pl | ro | Action (TBitBtn)
pt |  | ActionLink (TControl)
 | ro | Active (TCustomButton)
 |  | Align (TControl)
pl | ro | Align (TBitBtn)
 | ro | AnchoredControls (TControl)
 |  | Anchors (TControl)
pl | ro | Anchors (TBitBtn)
 | ro | AnchorSide (TControl)
pl |  | AnchorSideBottom (TControl)
pl |  | AnchorSideLeft (TControl)
pl |  | AnchorSideRight (TControl)
pl |  | AnchorSideTop (TControl)
 |  | AutoSize (TControl)
pl | ro | AutoSize (TBitBtn)
pt | ro | AutoSizing (TControl)
pt | ro | AutoSizingAll (TControl)
pt | ro | AutoSizingLockCount (TControl)
 | ro | BaseBounds (TControl)
 | ro | BaseParentClientSize (TControl)
 |  | BiDiMode (TControl)
pl | ro | BidiMode (TBitBtn)
 |  | BorderSpacing (TControl)
pl | ro | BorderSpacing (TBitBtn)
pt |  | BorderStyle (TWinControl)
 |  | BorderWidth (TWinControl)
 | ro | BoundsLockCount (TWinControl)
 |  | BoundsRect (TControl)
 |  | BoundsRectForNewParent (TControl)
 | ro | Brush (TWinControl)
 | ro | CachedClientHeight (TWinControl)
 | ro | CachedClientWidth (TWinControl)
 |  | Cancel (TCustomButton)
pl | ro | Cancel (TBitBtn)
 |  | Caption (TControl)
 | ro | Caption (TCustomBitBtn)
pl | ro | Caption (TBitBtn)
 |  | CaptureMouseButtons (TControl)
pt |  | Checked (TButtonControl)
 |  | ChildSizing (TWinControl)
pt |  | ClicksDisabled (TButtonControl)
 |  | ClientHeight (TControl)
 | ro | ClientOrigin (TControl)
 | ro | ClientRect (TControl)
 |  | ClientWidth (TControl)
 |  | Color (TControl)
 | ro | Color (TCustomButton)
pl | ro | Color (TBitBtn)
 | ro | ComObject (TComponent)
 | ro | ComponentCount (TComponent)
 |  | ComponentIndex (TComponent)
 | ro | Components (TComponent)
 | ro | ComponentState (TComponent)
 | ro | ComponentStyle (TComponent)
 |  | Constraints (TControl)
pl | ro | Constraints (TBitBtn)
 | ro | ControlCount (TWinControl)
 | ro | ControlOrigin (TControl)
 | ro | Controls (TWinControl)
 |  | ControlState (TControl)
 |  | ControlStyle (TControl)
pl |  | Cursor (TControl)
 |  | Default (TCustomButton)
pl | ro | Default (TBitBtn)
 |  | DefaultCaption (TCustomBitBtn)
pl | ro | DefaultCaption (TBitBtn)
 |  | DefWndProc (TWinControl)
 |  | DesignerDeleting (TWinControl)
 |  | DesignInfo (TComponent)
pt |  | DesktopFont (TControl)
 | ro | DockClientCount (TWinControl)
 | ro | DockClients (TWinControl)
 |  | DockManager (TWinControl)
 |  | DockOrientation (TControl)
 |  | DockSite (TWinControl)
 |  | DoubleBuffered (TWinControl)
pt |  | DragCursor (TControl)
pt |  | DragKind (TControl)
pt |  | DragMode (TControl)
 |  | Enabled (TControl)
pl | ro | Enabled (TBitBtn)
 | ro | Floating (TControl)
 |  | FloatingDockSiteClass (TControl)
 |  | Font (TControl)
pl | ro | Font (TBitBtn)
 |  | Glyph (TCustomBitBtn)
pl | ro | Glyph (TBitBtn)
 |  | GlyphShowMode (TCustomBitBtn)
pl | ro | GlyphShowMode (TBitBtn)
 |  | Handle (TWinControl)
pl |  | Height (TControl)
pl |  | HelpContext (TControl)
pl |  | HelpKeyword (TControl)
pl |  | HelpType (TControl)
pl |  | Hint (TControl)
 |  | HostDockSite (TControl)
 |  | ImageIndex (TCustomBitBtn)
pl | ro | ImageIndex (TBitBtn)
 |  | Images (TCustomBitBtn)
pl | ro | Images (TBitBtn)
 |  | ImageWidth (TCustomBitBtn)
pl | ro | ImageWidth (TBitBtn)
 |  | IsControl (TControl)
 | ro | IsFlipped (TWinControl)
 | ro | IsResizing (TWinControl)
 |  | Kind (TCustomBitBtn)
pl | ro | Kind (TBitBtn)
 |  | Layout (TCustomBitBtn)
pl | ro | Layout (TBitBtn)
 | ro | LCLRefCount (TLCLComponent)
pl |  | Left (TControl)
 |  | LRDockWidth (TControl)
 |  | Margin (TCustomBitBtn)
pl | ro | Margin (TBitBtn)
 |  | ModalResult (TCustomButton)
pl | ro | ModalResult (TBitBtn)
pt |  | MouseCapture (TControl)
 | ro | MouseEntered (TControl)
 | ro | MouseInClient (TControl)
 |  | Name (TComponent)
 |  | NumGlyphs (TCustomBitBtn)
pl | ro | NumGlyphs (TBitBtn)
 | ro | Owner (TComponent)
 |  | Parent (TControl)
pt |  | ParentBackground (TWinControl)
 |  | ParentBiDiMode (TControl)
pl | ro | ParentBidiMode (TBitBtn)
pt |  | ParentColor (TControl)
pt | ro | ParentColor (TCustomButton)
 |  | ParentDoubleBuffered (TWinControl)
pt |  | ParentFont (TControl)
pl | ro | ParentFont (TBitBtn)
pt |  | ParentShowHint (TControl)
pl | ro | ParentShowHint (TBitBtn)
 |  | ParentWindow (TWinControl)
 |  | PopupMenu (TControl)
pl | ro | PopupMenu (TBitBtn)
 | ro | ReadBounds (TControl)
pt |  | SessionProperties (TControl)
 | ro | ShortCut (TCustomButton)
 | ro | ShortCutKey2 (TCustomButton)
 |  | ShowHint (TControl)
pl | ro | ShowHint (TBitBtn)
 | ro | Showing (TWinControl)
 |  | Spacing (TCustomBitBtn)
pl | ro | Spacing (TBitBtn)
 |  | TabOrder (TWinControl)
pl | ro | TabOrder (TBitBtn)
 |  | TabStop (TWinControl)
 | ro | TabStop (TCustomButton)
pl | ro | TabStop (TBitBtn)
 |  | Tag (TComponent)
 |  | TBDockHeight (TControl)
pt |  | Text (TControl)
pl |  | Top (TControl)
 |  | UndockHeight (TControl)
 |  | UndockWidth (TControl)
 |  | UseDockManager (TWinControl)
 |  | VCLComObject (TComponent)
 |  | Visible (TControl)
pl | ro | Visible (TBitBtn)
 | ro | VisibleDockClientCount (TWinControl)
 | ro | WidgetSetClass (TLCLComponent)
pl |  | Width (TControl)
pt |  | WindowHandle (TWinControl)
 |  | WindowProc (TControl)


TBitBtn
TCustomBitBtn
pt | WSRegisterClass
pt | ActionChange
pt | GlyphChanged
pt | InitializeWnd
pt | IsCaptionStored
pt | Loaded
pt | Notification
pt | TextChanged
pt | GetControlClassDefaultSize
pt | CMAppShowBtnGlyphChanged
 | Create
 | Destroy
 | Click
 | LoadGlyphFromResourceName
 | LoadGlyphFromLazarusResource
 | LoadGlyphFromStock
 | CanShowGlyph
TCustomButton
pt | WSRegisterClass
pt | CreateWnd
pt | CreateParams
pt | ControlKeyDown
pt | ControlKeyUp
pt | DialogChar
pt | ChildClassAllowed
pt | GetControlClassDefaultSize
pt | WSSetDefault
pt | WSSetText
pt | TextChanged
pt | Loaded
pt | UpdateDefaultCancel
 | Create
 | Click
 | ExecuteDefaultAction
 | ExecuteCancelAction
 | ActiveDefaultControlChanged
 | UpdateRolesForForm
 | UseRightToLeftAlignment
TButtonControl
pt | WSRegisterClass
pt | GetActionLinkClass
pt | GetChecked
pt | SetChecked
pt | DoOnChange
pt | Click
 | Create
TWinControl
pt | WSRegisterClass
pt | AdjustClientRect
pt | GetAdjustedLogicalClientRect
pt | AlignControls
pt | CustomAlignInsertBefore
pt | CustomAlignPosition
pt | DoAlignChildControls
pt | DoChildSizingChange
pt | InvalidatePreferredChildSizes
pt | CanTab
pt | IsClientHeightStored
pt | IsClientWidthStored
pt | DoSendShowHideToInterface
pt | ControlsAligned
pt | DoSendBoundsToInterface
pt | RealizeBounds
pt | RealizeBoundsRecursive
pt | InvalidateBoundsRealized
pt | CreateSubClass
pt | DoConstraintsChange
pt | DoSetBounds
pt | DoAutoSize
pt | DoAllAutoSize
pt | AllAutoSized
pt | CalculatePreferredSize
pt | GetPreferredSizeClientFrame
pt | GetChildren
pt | ChildClassAllowed
pt | PaintControls
pt | PaintHandler
pt | PaintWindow
pt | CreateBrush
pt | ScaleControls
pt | ChangeScale
pt | CMBiDiModeChanged
pt | CMBorderChanged
pt | CMDoubleBufferedChanged
pt | CMEnabledChanged
pt | CMParentDoubleBufferedChanged
pt | CMShowingChanged
pt | CMShowHintChanged
pt | CMVisibleChanged
pt | CMEnter
pt | CMExit
pt | WMContextMenu
pt | WMEraseBkgnd
pt | WMNotify
pt | WMSetFocus
pt | WMKillFocus
pt | WMShowWindow
pt | WMEnter
pt | WMExit
pt | WMKeyDown
pt | WMSysKeyDown
pt | WMKeyUp
pt | WMSysKeyUp
pt | WMChar
pt | WMSysChar
pt | WMPaint
pt | WMDestroy
pt | WMMove
pt | WMSize
pt | WMWindowPosChanged
pt | CNKeyDown
pt | CNSysKeyDown
pt | CNKeyUp
pt | CNSysKeyUp
pt | CNChar
pt | DoDragMsg
pt | DoDockClientMsg
pt | DoUndockClientMsg
pt | DoAddDockClient
pt | DockOver
pt | DoDockOver
pt | DoRemoveDockClient
pt | DoUnDock
pt | GetSiteInfo
pt | GetParentHandle
pt | GetTopParentHandle
pt | ReloadDockedControl
pt | CreateDockManager
pt | SetDockManager
pt | DoFloatMsg
pt | DoGetDockCaption
pt | DoEnter
pt | DoExit
pt | DoKeyDownBeforeInterface
pt | DoRemainingKeyDown
pt | DoRemainingKeyUp
pt | DoKeyPress
pt | DoUTF8KeyPress
pt | DoKeyUpBeforeInterface
pt | ChildKey
pt | SendDialogChar
pt | DialogChar
pt | ControlKeyDown
pt | ControlKeyUp
pt | KeyDown
pt | KeyDownBeforeInterface
pt | KeyDownAfterInterface
pt | KeyPress
pt | KeyUp
pt | KeyUpBeforeInterface
pt | KeyUpAfterInterface
pt | UTF8KeyPress
pt | FindNextControl
pt | SelectFirst
pt | RealGetText
pt | GetBorderStyle
pt | GetClientOrigin
pt | GetClientRect
pt | GetControlOrigin
pt | GetDeviceContext
pt | GetParentBackground
pt | IsControlMouseMsg
pt | CreateHandle
pt | CreateParams
pt | CreateWnd
pt | DestroyHandle
pt | DestroyWnd
pt | DoFlipChildren
pt | FinalizeWnd
pt | FixupTabList
pt | FontChanged
pt | InitializeWnd
pt | Loaded
pt | FormEndUpdated
pt | MainWndProc
pt | ParentFormHandleInitialized
pt | ChildHandlesCreated
pt | GetMouseCapture
pt | RealSetText
pt | RemoveFocus
pt | SendMoveSizeMessages
pt | SetBorderStyle
pt | SetColor
pt | SetChildZPosition
pt | SetParentBackground
pt | ShowControl
pt | UpdateControlState
pt | UpdateShowing
pt | WndProc
pt | WSSetText
 | AutoSizePhases
 | AutoSizeDelayed
 | AutoSizeDelayedReport
 | AutoSizeDelayedHandle
 | BeginUpdateBounds
 | EndUpdateBounds
 | LockRealizeBounds
 | UnlockRealizeBounds
 | ControlAtPos
 | ContainsControl
 | DoAdjustClientRectChange
 | InvalidateClientRectCache
 | ClientRectNeedsInterfaceUpdate
 | SetBounds
 | GetChildrenRect
 | DisableAlign
 | EnableAlign
 | ReAlign
 | ScrollBy_WS
 | ScrollBy
 | WriteLayoutDebugReport
 | AutoAdjustLayout
 | Create
 | CreateParented
 | CreateParentedControl
 | Destroy
 | DockDrop
 | CanFocus
 | CanSetFocus
 | GetControlIndex
 | SetControlIndex
 | Focused
 | PerformTab
 | FindChildControl
 | SelectNext
 | SetTempCursor
 | BroadCast
 | NotifyControls
 | DefaultHandler
 | GetTextLen
 | Invalidate
 | AddControl
 | InsertControl
 | RemoveControl
 | GetEnumeratorControls
 | GetEnumeratorControlsReverse
 | Repaint
 | Update
 | SetFocus
 | FlipChildren
 | ScaleBy
 | GetDockCaption
 | UpdateDockCaption
 | GetTabOrderList
 | HandleAllocated
 | ParentHandlesAllocated
 | HandleNeeded
 | BrushCreated
 | EraseBackground
 | IntfUTF8KeyPress
 | IntfGetDropFilesTarget
 | PaintTo
 | SetShape
TControl
pt | WSRegisterClass
pt | GetCursor
pt | SetCursor
pt | SetVisible
pt | DoOnParentHandleDestruction
pt | DoAutoSize
pt | DoAllAutoSize
pt | BeginAutoSizing
pt | EndAutoSizing
pt | AnchorSideChanged
pt | ForeignAnchorSideChanged
pt | SetAlign
pt | SetAnchors
pt | SetAutoSize
pt | BoundsChanged
pt | CreateControlBorderSpacing
pt | DoConstraintsChange
pt | DoBorderSpacingChange
pt | IsBorderSpacingInnerBorderStored
pt | IsCaptionStored
pt | SendMoveSizeMessages
pt | ConstrainedResize
pt | CalculatePreferredSize
pt | DoOnResize
pt | DoOnChangeBounds
pt | CheckOnChangeBounds
pt | Resize
pt | RequestAlign
pt | UpdateAnchorRules
pt | ChangeBounds
pt | DoSetBounds
pt | ScaleConstraints
pt | ChangeScale
pt | CanAutoSize
pt | SetBiDiMode
pt | SetParentBiDiMode
pt | IsAParentAligning
pt | GetClientOrigin
pt | GetClientRect
pt | GetLogicalClientRect
pt | GetScrolledClientRect
pt | GetClientScrollOffset
pt | GetControlOrigin
pt | IsClientHeightStored
pt | IsClientWidthStored
pt | WidthIsAnchored
pt | HeightIsAnchored
pt | WMCancelMode
pt | WMContextMenu
pt | WMLButtonDown
pt | WMRButtonDown
pt | WMMButtonDown
pt | WMXButtonDown
pt | WMLButtonDBLCLK
pt | WMRButtonDBLCLK
pt | WMMButtonDBLCLK
pt | WMXButtonDBLCLK
pt | WMLButtonTripleCLK
pt | WMRButtonTripleCLK
pt | WMMButtonTripleCLK
pt | WMXButtonTripleCLK
pt | WMLButtonQuadCLK
pt | WMRButtonQuadCLK
pt | WMMButtonQuadCLK
pt | WMXButtonQuadCLK
pt | WMMouseMove
pt | WMLButtonUp
pt | WMRButtonUp
pt | WMMButtonUp
pt | WMXButtonUp
pt | WMMouseWheel
pt | WMMouseHWheel
pt | WMMove
pt | WMSize
pt | WMWindowPosChanged
pt | CMChanged
pt | LMCaptureChanged
pt | CMBiDiModeChanged
pt | CMSysFontChanged
pt | CMEnabledChanged
pt | CMHitTest
pt | CMMouseEnter
pt | CMMouseLeave
pt | CMHintShow
pt | CMParentBiDiModeChanged
pt | CMParentColorChanged
pt | CMParentFontChanged
pt | CMParentShowHintChanged
pt | CMVisibleChanged
pt | CMTextChanged
pt | CMCursorChanged
pt | CalculateDockSizes
pt | CreateFloatingDockSite
pt | GetDockEdge
pt | GetDragImages
pt | GetFloating
pt | GetFloatingDockSiteClass
pt | BeforeDragStart
pt | BeginAutoDrag
pt | DoFloatMsg
pt | DockTrackNoTarget
pt | DoDock
pt | DoDragMsg
pt | DoEndDock
pt | DoEndDrag
pt | DoStartDock
pt | DoStartDrag
pt | DragCanceled
pt | DragOver
pt | PositionDockRect
pt | SetDragMode
pt | GetDefaultDockCaption
pt | Click
pt | DblClick
pt | TripleClick
pt | QuadClick
pt | GetMousePosFromMessage
pt | MouseDown
pt | MouseMove
pt | MouseUp
pt | MouseEnter
pt | MouseLeave
pt | DialogChar
pt | UpdateMouseCursor
pt | Changed
pt | GetPalette
pt | ChildClassAllowed
pt | ReadState
pt | Loaded
pt | LoadedAll
pt | DefineProperties
pt | AssignTo
pt | FormEndUpdated
pt | InvalidateControl
pt | FontChanged
pt | ParentFontChanged
pt | GetAction
pt | RealGetText
pt | RealSetText
pt | TextChanged
pt | GetCachedText
pt | SetAction
pt | SetColor
pt | SetEnabled
pt | SetHint
pt | SetName
pt | SetParent
pt | SetParentComponent
pt | WndProc
pt | ParentFormHandleInitialized
pt | GetMouseCapture
pt | CaptureChanged
pt | Notification
pt | CanTab
pt | GetDeviceContext
pt | GetEnabled
pt | GetPopupMenu
pt | DoOnShowHint
pt | DoMouseWheel
pt | DoMouseWheelDown
pt | DoMouseWheelUp
pt | DoMouseWheelHorz
pt | DoMouseWheelLeft
pt | DoMouseWheelRight
pt | VisibleChanging
pt | VisibleChanged
pt | EnabledChanging
pt | EnabledChanged
pt | AddHandler
pt | RemoveHandler
pt | DoCallNotifyHandler
pt | DoCallKeyEventHandler
pt | DoCallMouseWheelEventHandler
pt | DoContextPopup
pt | SetZOrder
pt | GetControlClassDefaultSize
pt | ColorIsStored
pt | DoAutoAdjustLayout
pt | DoFixDesignFontPPI
pt | DoScaleFontPPI
pt | GetActionLinkClass
pt | ActionChange
 | DragDrop
 | Dock
 | ManualDock
 | ManualFloat
 | ReplaceDockedControl
 | Docked
 | Dragging
 | GetAccessibleObject
 | CreateAccessibleObject
 | GetSelectedChildAccessibleObject
 | GetChildAccessibleObjectAtPos
 | ScaleDesignToForm
 | ScaleFormToDesign
 | Scale96ToForm
 | ScaleFormTo96
 | Scale96ToFont
 | ScaleFontTo96
 | ScaleScreenToFont
 | ScaleFontToScreen
 | Scale96ToScreen
 | ScaleScreenTo96
 | AdjustSize
 | AutoSizePhases
 | AutoSizeDelayed
 | AutoSizeDelayedReport
 | AutoSizeDelayedHandle
 | AnchorToNeighbour
 | AnchorParallel
 | AnchorHorizontalCenterTo
 | AnchorVerticalCenterTo
 | AnchorToCompanion
 | AnchorSame
 | AnchorAsAlign
 | AnchorClient
 | AnchoredControlCount
 | SetBounds
 | SetInitialBounds
 | SetBoundsKeepBase
 | GetPreferredSize
 | GetCanvasScaleFactor
 | GetDefaultWidth
 | GetDefaultHeight
 | GetDefaultColor
 | GetColorResolvingParent
 | GetRGBColorResolvingParent
 | GetSidePosition
 | CNPreferredSizeChanged
 | InvalidatePreferredSize
 | GetAnchorsDependingOnParent
 | DisableAutoSizing
 | EnableAutoSizing
 | UpdateBaseBounds
 | WriteLayoutDebugReport
 | AutoAdjustLayout
 | ShouldAutoAdjust
 | FixDesignFontsPPI
 | ScaleFontsPPI
 | Create
 | Destroy
 | BeforeDestruction
 | EditingDone
 | ExecuteDefaultAction
 | ExecuteCancelAction
 | BeginDrag
 | EndDrag
 | BringToFront
 | HasParent
 | GetParentComponent
 | IsParentOf
 | GetTopParent
 | IsVisible
 | IsControlVisible
 | IsEnabled
 | IsParentColor
 | IsParentFont
 | FormIsUpdating
 | IsProcessingPaintMsg
 | Hide
 | Refresh
 | Repaint
 | Invalidate
 | CheckChildClassAllowed
 | CheckNewParent
 | SendToBack
 | SetTempCursor
 | UpdateRolesForForm
 | ActiveDefaultControlChanged
 | GetTextBuf
 | GetTextLen
 | SetTextBuf
 | Perform
 | ScreenToClient
 | ClientToScreen
 | ScreenToControl
 | ControlToScreen
 | ClientToParent
 | ParentToClient
 | GetChildrenRect
 | Show
 | Update
 | HandleObjectShouldBeVisible
 | ParentDestroyingHandle
 | ParentHandlesAllocated
 | InitiateAction
 | ShowHelp
 | HasHelp
 | RemoveAllHandlersOfObject
 | AddHandlerOnResize
 | RemoveHandlerOnResize
 | AddHandlerOnChangeBounds
 | RemoveHandlerOnChangeBounds
 | AddHandlerOnVisibleChanging
 | RemoveHandlerOnVisibleChanging
 | AddHandlerOnVisibleChanged
 | RemoveHandlerOnVisibleChanged
 | AddHandlerOnEnabledChanged
 | RemoveHandlerOnEnableChanging
 | AddHandlerOnKeyDown
 | RemoveHandlerOnKeyDown
 | AddHandlerOnBeforeDestruction
 | RemoveHandlerOnBeforeDestruction
 | AddHandlerOnMouseWheel
 | RemoveHandlerOnMouseWheel
 | UseRightToLeftAlignment
 | UseRightToLeftReading
 | UseRightToLeftScrollBar
 | IsRightToLeft
TLCLComponent
pt | WSRegisterClass
pt | GetWSComponentClass
 | Create
 | Destroy
 | NewInstance
 | RemoveAllHandlersOfObject
 | IncLCLRefCount
 | DecLCLRefCount
TComponent
 | GetComObject
 | GetComponent
 | GetComponentCount
 | GetComponentIndex
 | Insert
 | ReadLeft
 | ReadTop
 | Remove
 | RemoveNotification
 | SetComponentIndex
 | SetReference
 | WriteLeft
 | WriteTop
 | ChangeName
 | DefineProperties
 | GetChildren
 | GetChildOwner
 | GetChildParent
 | GetOwner
 | Loaded
 | Loading
 | Notification
 | PaletteCreated
 | ReadState
 | SetAncestor
 | SetDesigning
 | SetDesignInstance
 | SetInline
 | SetName
 | SetChildOrder
 | SetParentComponent
 | Updating
 | Updated
 | UpdateRegistry
 | ValidateRename
 | ValidateContainer
 | ValidateInsert
 | QueryInterface
 | _AddRef
 | _Release
 | iicrGetComponent
 | GetTypeInfoCount
 | GetTypeInfo
 | GetIDsOfNames
 | Invoke
 | WriteState
 | Create
 | Destroy
 | BeforeDestruction
 | DestroyComponents
 | Destroying
 | ExecuteAction
 | FindComponent
 | FreeNotification
 | RemoveFreeNotification
 | FreeOnRelease
 | GetEnumerator
 | GetNamePath
 | GetParentComponent
 | HasParent
 | InsertComponent
 | RemoveComponent
 | SafeCallException
 | SetSubComponent
 | UpdateAction
 | IsImplementorOf
 | ReferenceInterface
TPersistent
 | AssignError
 | AssignTo
 | DefineProperties
 | GetOwner
 | Destroy
 | Assign
 | FPOAttachObserver
 | FPODetachObserver
 | FPONotifyObservers
 | GetNamePath
TObject
 | Create
 | Destroy
 | newinstance
 | FreeInstance
 | SafeCallException
 | DefaultHandler
 | Free
 | InitInstance
 | CleanupInstance
 | ClassType
 | ClassInfo
 | ClassName
 | ClassNameIs
 | ClassParent
 | InstanceSize
 | InheritsFrom
 | StringMessageTable
 | MethodAddress
 | MethodName
 | FieldAddress
 | AfterConstruction
 | BeforeDestruction
 | DefaultHandlerStr
 | Dispatch
 | DispatchStr
 | GetInterface
 | GetInterfaceByStr
 | GetInterfaceWeak
 | GetInterfaceEntry
 | GetInterfaceEntryByStr
 | GetInterfaceTable
 | UnitName
 | Equals
 | GetHashCode
 | ToString


pt | ActionChange (TControl)
pt | ActionChange (TCustomBitBtn)
 | ActiveDefaultControlChanged (TControl)
 | ActiveDefaultControlChanged (TCustomButton)
 | AddControl (TWinControl)
pt | AddHandler (TControl)
 | AddHandlerOnBeforeDestruction (TControl)
 | AddHandlerOnChangeBounds (TControl)
 | AddHandlerOnEnabledChanged (TControl)
 | AddHandlerOnKeyDown (TControl)
 | AddHandlerOnMouseWheel (TControl)
 | AddHandlerOnResize (TControl)
 | AddHandlerOnVisibleChanged (TControl)
 | AddHandlerOnVisibleChanging (TControl)
pt | AdjustClientRect (TWinControl)
 | AdjustSize (TControl)
 | AfterConstruction (TObject)
pt | AlignControls (TWinControl)
pt | AllAutoSized (TWinControl)
 | AnchorAsAlign (TControl)
 | AnchorClient (TControl)
 | AnchoredControlCount (TControl)
 | AnchorHorizontalCenterTo (TControl)
 | AnchorParallel (TControl)
 | AnchorSame (TControl)
pt | AnchorSideChanged (TControl)
 | AnchorToCompanion (TControl)
 | AnchorToNeighbour (TControl)
 | AnchorVerticalCenterTo (TControl)
 | Assign (TPersistent)
 | AssignError (TPersistent)
 | AssignTo (TPersistent)
pt | AssignTo (TControl)
 | AutoAdjustLayout (TControl)
 | AutoAdjustLayout (TWinControl)
 | AutoSizeDelayed (TControl)
 | AutoSizeDelayed (TWinControl)
 | AutoSizeDelayedHandle (TControl)
 | AutoSizeDelayedHandle (TWinControl)
 | AutoSizeDelayedReport (TControl)
 | AutoSizeDelayedReport (TWinControl)
 | AutoSizePhases (TControl)
 | AutoSizePhases (TWinControl)
 | BeforeDestruction (TObject)
 | BeforeDestruction (TComponent)
 | BeforeDestruction (TControl)
pt | BeforeDragStart (TControl)
pt | BeginAutoDrag (TControl)
pt | BeginAutoSizing (TControl)
 | BeginDrag (TControl)
 | BeginUpdateBounds (TWinControl)
pt | BoundsChanged (TControl)
 | BringToFront (TControl)
 | BroadCast (TWinControl)
 | BrushCreated (TWinControl)
pt | CalculateDockSizes (TControl)
pt | CalculatePreferredSize (TControl)
pt | CalculatePreferredSize (TWinControl)
pt | CanAutoSize (TControl)
 | CanFocus (TWinControl)
 | CanSetFocus (TWinControl)
 | CanShowGlyph (TCustomBitBtn)
pt | CanTab (TControl)
pt | CanTab (TWinControl)
pt | CaptureChanged (TControl)
pt | ChangeBounds (TControl)
pt | Changed (TControl)
 | ChangeName (TComponent)
pt | ChangeScale (TControl)
pt | ChangeScale (TWinControl)
 | CheckChildClassAllowed (TControl)
 | CheckNewParent (TControl)
pt | CheckOnChangeBounds (TControl)
pt | ChildClassAllowed (TControl)
pt | ChildClassAllowed (TWinControl)
pt | ChildClassAllowed (TCustomButton)
pt | ChildHandlesCreated (TWinControl)
pt | ChildKey (TWinControl)
 | ClassInfo (TObject)
 | ClassName (TObject)
 | ClassNameIs (TObject)
 | ClassParent (TObject)
 | ClassType (TObject)
 | CleanupInstance (TObject)
pt | Click (TControl)
pt | Click (TButtonControl)
 | Click (TCustomButton)
 | Click (TCustomBitBtn)
 | ClientRectNeedsInterfaceUpdate (TWinControl)
 | ClientToParent (TControl)
 | ClientToScreen (TControl)
pt | CMAppShowBtnGlyphChanged (TCustomBitBtn)
pt | CMBiDiModeChanged (TControl)
pt | CMBiDiModeChanged (TWinControl)
pt | CMBorderChanged (TWinControl)
pt | CMChanged (TControl)
pt | CMCursorChanged (TControl)
pt | CMDoubleBufferedChanged (TWinControl)
pt | CMEnabledChanged (TControl)
pt | CMEnabledChanged (TWinControl)
pt | CMEnter (TWinControl)
pt | CMExit (TWinControl)
pt | CMHintShow (TControl)
pt | CMHitTest (TControl)
pt | CMMouseEnter (TControl)
pt | CMMouseLeave (TControl)
pt | CMParentBiDiModeChanged (TControl)
pt | CMParentColorChanged (TControl)
pt | CMParentDoubleBufferedChanged (TWinControl)
pt | CMParentFontChanged (TControl)
pt | CMParentShowHintChanged (TControl)
pt | CMShowHintChanged (TWinControl)
pt | CMShowingChanged (TWinControl)
pt | CMSysFontChanged (TControl)
pt | CMTextChanged (TControl)
pt | CMVisibleChanged (TControl)
pt | CMVisibleChanged (TWinControl)
pt | CNChar (TWinControl)
pt | CNKeyDown (TWinControl)
pt | CNKeyUp (TWinControl)
 | CNPreferredSizeChanged (TControl)
pt | CNSysKeyDown (TWinControl)
pt | CNSysKeyUp (TWinControl)
pt | ColorIsStored (TControl)
pt | ConstrainedResize (TControl)
 | ContainsControl (TWinControl)
 | ControlAtPos (TWinControl)
pt | ControlKeyDown (TWinControl)
pt | ControlKeyDown (TCustomButton)
pt | ControlKeyUp (TWinControl)
pt | ControlKeyUp (TCustomButton)
pt | ControlsAligned (TWinControl)
 | ControlToScreen (TControl)
 | Create (TObject)
 | Create (TComponent)
 | Create (TLCLComponent)
 | Create (TControl)
 | Create (TWinControl)
 | Create (TButtonControl)
 | Create (TCustomButton)
 | Create (TCustomBitBtn)
 | CreateAccessibleObject (TControl)
pt | CreateBrush (TWinControl)
pt | CreateControlBorderSpacing (TControl)
pt | CreateDockManager (TWinControl)
pt | CreateFloatingDockSite (TControl)
pt | CreateHandle (TWinControl)
pt | CreateParams (TWinControl)
pt | CreateParams (TCustomButton)
 | CreateParented (TWinControl)
 | CreateParentedControl (TWinControl)
pt | CreateSubClass (TWinControl)
pt | CreateWnd (TWinControl)
pt | CreateWnd (TCustomButton)
pt | CustomAlignInsertBefore (TWinControl)
pt | CustomAlignPosition (TWinControl)
pt | DblClick (TControl)
 | DecLCLRefCount (TLCLComponent)
 | DefaultHandler (TObject)
 | DefaultHandler (TWinControl)
 | DefaultHandlerStr (TObject)
 | DefineProperties (TPersistent)
 | DefineProperties (TComponent)
pt | DefineProperties (TControl)
 | Destroy (TObject)
 | Destroy (TPersistent)
 | Destroy (TComponent)
 | Destroy (TLCLComponent)
 | Destroy (TControl)
 | Destroy (TWinControl)
 | Destroy (TCustomBitBtn)
 | DestroyComponents (TComponent)
pt | DestroyHandle (TWinControl)
 | Destroying (TComponent)
pt | DestroyWnd (TWinControl)
pt | DialogChar (TControl)
pt | DialogChar (TWinControl)
pt | DialogChar (TCustomButton)
 | DisableAlign (TWinControl)
 | DisableAutoSizing (TControl)
 | Dispatch (TObject)
 | DispatchStr (TObject)
pt | DoAddDockClient (TWinControl)
 | DoAdjustClientRectChange (TWinControl)
pt | DoAlignChildControls (TWinControl)
pt | DoAllAutoSize (TControl)
pt | DoAllAutoSize (TWinControl)
pt | DoAutoAdjustLayout (TControl)
pt | DoAutoSize (TControl)
pt | DoAutoSize (TWinControl)
pt | DoBorderSpacingChange (TControl)
pt | DoCallKeyEventHandler (TControl)
pt | DoCallMouseWheelEventHandler (TControl)
pt | DoCallNotifyHandler (TControl)
pt | DoChildSizingChange (TWinControl)
 | Dock (TControl)
 | DockDrop (TWinControl)
 | Docked (TControl)
pt | DockOver (TWinControl)
pt | DockTrackNoTarget (TControl)
pt | DoConstraintsChange (TControl)
pt | DoConstraintsChange (TWinControl)
pt | DoContextPopup (TControl)
pt | DoDock (TControl)
pt | DoDockClientMsg (TWinControl)
pt | DoDockOver (TWinControl)
pt | DoDragMsg (TControl)
pt | DoDragMsg (TWinControl)
pt | DoEndDock (TControl)
pt | DoEndDrag (TControl)
pt | DoEnter (TWinControl)
pt | DoExit (TWinControl)
pt | DoFixDesignFontPPI (TControl)
pt | DoFlipChildren (TWinControl)
pt | DoFloatMsg (TControl)
pt | DoFloatMsg (TWinControl)
pt | DoGetDockCaption (TWinControl)
pt | DoKeyDownBeforeInterface (TWinControl)
pt | DoKeyPress (TWinControl)
pt | DoKeyUpBeforeInterface (TWinControl)
pt | DoMouseWheel (TControl)
pt | DoMouseWheelDown (TControl)
pt | DoMouseWheelHorz (TControl)
pt | DoMouseWheelLeft (TControl)
pt | DoMouseWheelRight (TControl)
pt | DoMouseWheelUp (TControl)
pt | DoOnChange (TButtonControl)
pt | DoOnChangeBounds (TControl)
pt | DoOnParentHandleDestruction (TControl)
pt | DoOnResize (TControl)
pt | DoOnShowHint (TControl)
pt | DoRemainingKeyDown (TWinControl)
pt | DoRemainingKeyUp (TWinControl)
pt | DoRemoveDockClient (TWinControl)
pt | DoScaleFontPPI (TControl)
pt | DoSendBoundsToInterface (TWinControl)
pt | DoSendShowHideToInterface (TWinControl)
pt | DoSetBounds (TControl)
pt | DoSetBounds (TWinControl)
pt | DoStartDock (TControl)
pt | DoStartDrag (TControl)
pt | DoUnDock (TWinControl)
pt | DoUndockClientMsg (TWinControl)
pt | DoUTF8KeyPress (TWinControl)
pt | DragCanceled (TControl)
 | DragDrop (TControl)
 | Dragging (TControl)
pt | DragOver (TControl)
 | EditingDone (TControl)
 | EnableAlign (TWinControl)
 | EnableAutoSizing (TControl)
pt | EnabledChanged (TControl)
pt | EnabledChanging (TControl)
pt | EndAutoSizing (TControl)
 | EndDrag (TControl)
 | EndUpdateBounds (TWinControl)
 | Equals (TObject)
 | EraseBackground (TWinControl)
 | ExecuteAction (TComponent)
 | ExecuteCancelAction (TControl)
 | ExecuteCancelAction (TCustomButton)
 | ExecuteDefaultAction (TControl)
 | ExecuteDefaultAction (TCustomButton)
 | FieldAddress (TObject)
pt | FinalizeWnd (TWinControl)
 | FindChildControl (TWinControl)
 | FindComponent (TComponent)
pt | FindNextControl (TWinControl)
 | FixDesignFontsPPI (TControl)
pt | FixupTabList (TWinControl)
 | FlipChildren (TWinControl)
 | Focused (TWinControl)
pt | FontChanged (TControl)
pt | FontChanged (TWinControl)
pt | ForeignAnchorSideChanged (TControl)
pt | FormEndUpdated (TControl)
pt | FormEndUpdated (TWinControl)
 | FormIsUpdating (TControl)
 | FPOAttachObserver (TPersistent)
 | FPODetachObserver (TPersistent)
 | FPONotifyObservers (TPersistent)
 | Free (TObject)
 | FreeInstance (TObject)
 | FreeNotification (TComponent)
 | FreeOnRelease (TComponent)
 | GetAccessibleObject (TControl)
pt | GetAction (TControl)
pt | GetActionLinkClass (TControl)
pt | GetActionLinkClass (TButtonControl)
pt | GetAdjustedLogicalClientRect (TWinControl)
 | GetAnchorsDependingOnParent (TControl)
pt | GetBorderStyle (TWinControl)
pt | GetCachedText (TControl)
 | GetCanvasScaleFactor (TControl)
pt | GetChecked (TButtonControl)
 | GetChildAccessibleObjectAtPos (TControl)
 | GetChildOwner (TComponent)
 | GetChildParent (TComponent)
 | GetChildren (TComponent)
pt | GetChildren (TWinControl)
 | GetChildrenRect (TControl)
 | GetChildrenRect (TWinControl)
pt | GetClientOrigin (TControl)
pt | GetClientOrigin (TWinControl)
pt | GetClientRect (TControl)
pt | GetClientRect (TWinControl)
pt | GetClientScrollOffset (TControl)
 | GetColorResolvingParent (TControl)
 | GetComObject (TComponent)
 | GetComponent (TComponent)
 | GetComponentCount (TComponent)
 | GetComponentIndex (TComponent)
pt | GetControlClassDefaultSize (TControl)
pt | GetControlClassDefaultSize (TCustomButton)
pt | GetControlClassDefaultSize (TCustomBitBtn)
 | GetControlIndex (TWinControl)
pt | GetControlOrigin (TControl)
pt | GetControlOrigin (TWinControl)
pt | GetCursor (TControl)
 | GetDefaultColor (TControl)
pt | GetDefaultDockCaption (TControl)
 | GetDefaultHeight (TControl)
 | GetDefaultWidth (TControl)
pt | GetDeviceContext (TControl)
pt | GetDeviceContext (TWinControl)
 | GetDockCaption (TWinControl)
pt | GetDockEdge (TControl)
pt | GetDragImages (TControl)
pt | GetEnabled (TControl)
 | GetEnumerator (TComponent)
 | GetEnumeratorControls (TWinControl)
 | GetEnumeratorControlsReverse (TWinControl)
pt | GetFloating (TControl)
pt | GetFloatingDockSiteClass (TControl)
 | GetHashCode (TObject)
 | GetIDsOfNames (TComponent)
 | GetInterface (TObject)
 | GetInterfaceByStr (TObject)
 | GetInterfaceEntry (TObject)
 | GetInterfaceEntryByStr (TObject)
 | GetInterfaceTable (TObject)
 | GetInterfaceWeak (TObject)
pt | GetLogicalClientRect (TControl)
pt | GetMouseCapture (TControl)
pt | GetMouseCapture (TWinControl)
pt | GetMousePosFromMessage (TControl)
 | GetNamePath (TPersistent)
 | GetNamePath (TComponent)
 | GetOwner (TPersistent)
 | GetOwner (TComponent)
pt | GetPalette (TControl)
pt | GetParentBackground (TWinControl)
 | GetParentComponent (TComponent)
 | GetParentComponent (TControl)
pt | GetParentHandle (TWinControl)
pt | GetPopupMenu (TControl)
 | GetPreferredSize (TControl)
pt | GetPreferredSizeClientFrame (TWinControl)
 | GetRGBColorResolvingParent (TControl)
pt | GetScrolledClientRect (TControl)
 | GetSelectedChildAccessibleObject (TControl)
 | GetSidePosition (TControl)
pt | GetSiteInfo (TWinControl)
 | GetTabOrderList (TWinControl)
 | GetTextBuf (TControl)
 | GetTextLen (TControl)
 | GetTextLen (TWinControl)
 | GetTopParent (TControl)
pt | GetTopParentHandle (TWinControl)
 | GetTypeInfo (TComponent)
 | GetTypeInfoCount (TComponent)
pt | GetWSComponentClass (TLCLComponent)
pt | GlyphChanged (TCustomBitBtn)
 | HandleAllocated (TWinControl)
 | HandleNeeded (TWinControl)
 | HandleObjectShouldBeVisible (TControl)
 | HasHelp (TControl)
 | HasParent (TComponent)
 | HasParent (TControl)
pt | HeightIsAnchored (TControl)
 | Hide (TControl)
 | iicrGetComponent (TComponent)
 | IncLCLRefCount (TLCLComponent)
 | InheritsFrom (TObject)
pt | InitializeWnd (TWinControl)
pt | InitializeWnd (TCustomBitBtn)
 | InitiateAction (TControl)
 | InitInstance (TObject)
 | Insert (TComponent)
 | InsertComponent (TComponent)
 | InsertControl (TWinControl)
 | InstanceSize (TObject)
 | IntfGetDropFilesTarget (TWinControl)
 | IntfUTF8KeyPress (TWinControl)
 | Invalidate (TControl)
 | Invalidate (TWinControl)
pt | InvalidateBoundsRealized (TWinControl)
 | InvalidateClientRectCache (TWinControl)
pt | InvalidateControl (TControl)
pt | InvalidatePreferredChildSizes (TWinControl)
 | InvalidatePreferredSize (TControl)
 | Invoke (TComponent)
pt | IsAParentAligning (TControl)
pt | IsBorderSpacingInnerBorderStored (TControl)
pt | IsCaptionStored (TControl)
pt | IsCaptionStored (TCustomBitBtn)
pt | IsClientHeightStored (TControl)
pt | IsClientHeightStored (TWinControl)
pt | IsClientWidthStored (TControl)
pt | IsClientWidthStored (TWinControl)
pt | IsControlMouseMsg (TWinControl)
 | IsControlVisible (TControl)
 | IsEnabled (TControl)
 | IsImplementorOf (TComponent)
 | IsParentColor (TControl)
 | IsParentFont (TControl)
 | IsParentOf (TControl)
 | IsProcessingPaintMsg (TControl)
 | IsRightToLeft (TControl)
 | IsVisible (TControl)
pt | KeyDown (TWinControl)
pt | KeyDownAfterInterface (TWinControl)
pt | KeyDownBeforeInterface (TWinControl)
pt | KeyPress (TWinControl)
pt | KeyUp (TWinControl)
pt | KeyUpAfterInterface (TWinControl)
pt | KeyUpBeforeInterface (TWinControl)
pt | LMCaptureChanged (TControl)
 | Loaded (TComponent)
pt | Loaded (TControl)
pt | Loaded (TWinControl)
pt | Loaded (TCustomButton)
pt | Loaded (TCustomBitBtn)
pt | LoadedAll (TControl)
 | LoadGlyphFromLazarusResource (TCustomBitBtn)
 | LoadGlyphFromResourceName (TCustomBitBtn)
 | LoadGlyphFromStock (TCustomBitBtn)
 | Loading (TComponent)
 | LockRealizeBounds (TWinControl)
pt | MainWndProc (TWinControl)
 | ManualDock (TControl)
 | ManualFloat (TControl)
 | MethodAddress (TObject)
 | MethodName (TObject)
pt | MouseDown (TControl)
pt | MouseEnter (TControl)
pt | MouseLeave (TControl)
pt | MouseMove (TControl)
pt | MouseUp (TControl)
 | newinstance (TObject)
 | NewInstance (TLCLComponent)
 | Notification (TComponent)
pt | Notification (TControl)
pt | Notification (TCustomBitBtn)
 | NotifyControls (TWinControl)
pt | PaintControls (TWinControl)
pt | PaintHandler (TWinControl)
 | PaintTo (TWinControl)
pt | PaintWindow (TWinControl)
 | PaletteCreated (TComponent)
 | ParentDestroyingHandle (TControl)
pt | ParentFontChanged (TControl)
pt | ParentFormHandleInitialized (TControl)
pt | ParentFormHandleInitialized (TWinControl)
 | ParentHandlesAllocated (TControl)
 | ParentHandlesAllocated (TWinControl)
 | ParentToClient (TControl)
 | Perform (TControl)
 | PerformTab (TWinControl)
pt | PositionDockRect (TControl)
pt | QuadClick (TControl)
 | QueryInterface (TComponent)
 | ReadLeft (TComponent)
 | ReadState (TComponent)
pt | ReadState (TControl)
 | ReadTop (TComponent)
pt | RealGetText (TControl)
pt | RealGetText (TWinControl)
 | ReAlign (TWinControl)
pt | RealizeBounds (TWinControl)
pt | RealizeBoundsRecursive (TWinControl)
pt | RealSetText (TControl)
pt | RealSetText (TWinControl)
 | ReferenceInterface (TComponent)
 | Refresh (TControl)
pt | ReloadDockedControl (TWinControl)
 | Remove (TComponent)
 | RemoveAllHandlersOfObject (TLCLComponent)
 | RemoveAllHandlersOfObject (TControl)
 | RemoveComponent (TComponent)
 | RemoveControl (TWinControl)
pt | RemoveFocus (TWinControl)
 | RemoveFreeNotification (TComponent)
pt | RemoveHandler (TControl)
 | RemoveHandlerOnBeforeDestruction (TControl)
 | RemoveHandlerOnChangeBounds (TControl)
 | RemoveHandlerOnEnableChanging (TControl)
 | RemoveHandlerOnKeyDown (TControl)
 | RemoveHandlerOnMouseWheel (TControl)
 | RemoveHandlerOnResize (TControl)
 | RemoveHandlerOnVisibleChanged (TControl)
 | RemoveHandlerOnVisibleChanging (TControl)
 | RemoveNotification (TComponent)
 | Repaint (TControl)
 | Repaint (TWinControl)
 | ReplaceDockedControl (TControl)
pt | RequestAlign (TControl)
pt | Resize (TControl)
 | SafeCallException (TObject)
 | SafeCallException (TComponent)
 | Scale96ToFont (TControl)
 | Scale96ToForm (TControl)
 | Scale96ToScreen (TControl)
 | ScaleBy (TWinControl)
pt | ScaleConstraints (TControl)
pt | ScaleControls (TWinControl)
 | ScaleDesignToForm (TControl)
 | ScaleFontsPPI (TControl)
 | ScaleFontTo96 (TControl)
 | ScaleFontToScreen (TControl)
 | ScaleFormTo96 (TControl)
 | ScaleFormToDesign (TControl)
 | ScaleScreenTo96 (TControl)
 | ScaleScreenToFont (TControl)
 | ScreenToClient (TControl)
 | ScreenToControl (TControl)
 | ScrollBy (TWinControl)
 | ScrollBy_WS (TWinControl)
pt | SelectFirst (TWinControl)
 | SelectNext (TWinControl)
pt | SendDialogChar (TWinControl)
pt | SendMoveSizeMessages (TControl)
pt | SendMoveSizeMessages (TWinControl)
 | SendToBack (TControl)
pt | SetAction (TControl)
pt | SetAlign (TControl)
 | SetAncestor (TComponent)
pt | SetAnchors (TControl)
pt | SetAutoSize (TControl)
pt | SetBiDiMode (TControl)
pt | SetBorderStyle (TWinControl)
 | SetBounds (TControl)
 | SetBounds (TWinControl)
 | SetBoundsKeepBase (TControl)
pt | SetChecked (TButtonControl)
 | SetChildOrder (TComponent)
pt | SetChildZPosition (TWinControl)
pt | SetColor (TControl)
pt | SetColor (TWinControl)
 | SetComponentIndex (TComponent)
 | SetControlIndex (TWinControl)
pt | SetCursor (TControl)
 | SetDesigning (TComponent)
 | SetDesignInstance (TComponent)
pt | SetDockManager (TWinControl)
pt | SetDragMode (TControl)
pt | SetEnabled (TControl)
 | SetFocus (TWinControl)
pt | SetHint (TControl)
 | SetInitialBounds (TControl)
 | SetInline (TComponent)
 | SetName (TComponent)
pt | SetName (TControl)
pt | SetParent (TControl)
pt | SetParentBackground (TWinControl)
pt | SetParentBiDiMode (TControl)
 | SetParentComponent (TComponent)
pt | SetParentComponent (TControl)
 | SetReference (TComponent)
 | SetShape (TWinControl)
 | SetSubComponent (TComponent)
 | SetTempCursor (TControl)
 | SetTempCursor (TWinControl)
 | SetTextBuf (TControl)
pt | SetVisible (TControl)
pt | SetZOrder (TControl)
 | ShouldAutoAdjust (TControl)
 | Show (TControl)
pt | ShowControl (TWinControl)
 | ShowHelp (TControl)
 | StringMessageTable (TObject)
pt | TextChanged (TControl)
pt | TextChanged (TCustomButton)
pt | TextChanged (TCustomBitBtn)
 | ToString (TObject)
pt | TripleClick (TControl)
 | UnitName (TObject)
 | UnlockRealizeBounds (TWinControl)
 | Update (TControl)
 | Update (TWinControl)
 | UpdateAction (TComponent)
pt | UpdateAnchorRules (TControl)
 | UpdateBaseBounds (TControl)
pt | UpdateControlState (TWinControl)
 | Updated (TComponent)
pt | UpdateDefaultCancel (TCustomButton)
 | UpdateDockCaption (TWinControl)
pt | UpdateMouseCursor (TControl)
 | UpdateRegistry (TComponent)
 | UpdateRolesForForm (TControl)
 | UpdateRolesForForm (TCustomButton)
pt | UpdateShowing (TWinControl)
 | Updating (TComponent)
 | UseRightToLeftAlignment (TControl)
 | UseRightToLeftAlignment (TCustomButton)
 | UseRightToLeftReading (TControl)
 | UseRightToLeftScrollBar (TControl)
pt | UTF8KeyPress (TWinControl)
 | ValidateContainer (TComponent)
 | ValidateInsert (TComponent)
 | ValidateRename (TComponent)
pt | VisibleChanged (TControl)
pt | VisibleChanging (TControl)
pt | WidthIsAnchored (TControl)
pt | WMCancelMode (TControl)
pt | WMChar (TWinControl)
pt | WMContextMenu (TControl)
pt | WMContextMenu (TWinControl)
pt | WMDestroy (TWinControl)
pt | WMEnter (TWinControl)
pt | WMEraseBkgnd (TWinControl)
pt | WMExit (TWinControl)
pt | WMKeyDown (TWinControl)
pt | WMKeyUp (TWinControl)
pt | WMKillFocus (TWinControl)
pt | WMLButtonDBLCLK (TControl)
pt | WMLButtonDown (TControl)
pt | WMLButtonQuadCLK (TControl)
pt | WMLButtonTripleCLK (TControl)
pt | WMLButtonUp (TControl)
pt | WMMButtonDBLCLK (TControl)
pt | WMMButtonDown (TControl)
pt | WMMButtonQuadCLK (TControl)
pt | WMMButtonTripleCLK (TControl)
pt | WMMButtonUp (TControl)
pt | WMMouseHWheel (TControl)
pt | WMMouseMove (TControl)
pt | WMMouseWheel (TControl)
pt | WMMove (TControl)
pt | WMMove (TWinControl)
pt | WMNotify (TWinControl)
pt | WMPaint (TWinControl)
pt | WMRButtonDBLCLK (TControl)
pt | WMRButtonDown (TControl)
pt | WMRButtonQuadCLK (TControl)
pt | WMRButtonTripleCLK (TControl)
pt | WMRButtonUp (TControl)
pt | WMSetFocus (TWinControl)
pt | WMShowWindow (TWinControl)
pt | WMSize (TControl)
pt | WMSize (TWinControl)
pt | WMSysChar (TWinControl)
pt | WMSysKeyDown (TWinControl)
pt | WMSysKeyUp (TWinControl)
pt | WMWindowPosChanged (TControl)
pt | WMWindowPosChanged (TWinControl)
pt | WMXButtonDBLCLK (TControl)
pt | WMXButtonDown (TControl)
pt | WMXButtonQuadCLK (TControl)
pt | WMXButtonTripleCLK (TControl)
pt | WMXButtonUp (TControl)
pt | WndProc (TControl)
pt | WndProc (TWinControl)
 | WriteLayoutDebugReport (TControl)
 | WriteLayoutDebugReport (TWinControl)
 | WriteLeft (TComponent)
 | WriteState (TComponent)
 | WriteTop (TComponent)
pt | WSRegisterClass (TLCLComponent)
pt | WSRegisterClass (TControl)
pt | WSRegisterClass (TWinControl)
pt | WSRegisterClass (TButtonControl)
pt | WSRegisterClass (TCustomButton)
pt | WSRegisterClass (TCustomBitBtn)
pt | WSSetDefault (TCustomButton)
pt | WSSetText (TWinControl)
pt | WSSetText (TCustomButton)
 | _AddRef (TComponent)
 | _Release (TComponent)


TBitBtn
pl | ro | OnChangeBounds
pl | ro | OnClick
pl | ro | OnContextPopup
pl | ro | OnDragDrop
pl | ro | OnDragOver
pl | ro | OnEndDrag
pl | ro | OnEnter
pl | ro | OnExit
pl | ro | OnKeyDown
pl | ro | OnKeyPress
pl | ro | OnKeyUp
pl | ro | OnMouseDown
pl | ro | OnMouseEnter
pl | ro | OnMouseLeave
pl | ro | OnMouseMove
pl | ro | OnMouseUp
pl | ro | OnMouseWheel
pl | ro | OnMouseWheelDown
pl | ro | OnMouseWheelUp
pl | ro | OnResize
pl | ro | OnStartDrag
pl | ro | OnUTF8KeyPress
TCustomBitBtn
TCustomButton
TButtonControl
pt |  | OnChange
TWinControl
pt |  | OnGetSiteInfo
pt |  | OnGetDockCaption
 |  | OnAlignInsertBefore
 |  | OnAlignPosition
 |  | OnDockDrop
 |  | OnDockOver
 |  | OnEnter
 |  | OnExit
 |  | OnKeyDown
 |  | OnKeyPress
 |  | OnKeyUp
 |  | OnUnDock
 |  | OnUTF8KeyPress
TControl
pt |  | OnConstrainedResize
pt |  | OnContextPopup
pt |  | OnDblClick
pt |  | OnTripleClick
pt |  | OnQuadClick
pt |  | OnDragDrop
pt |  | OnDragOver
pt |  | OnEndDock
pt |  | OnEndDrag
pt |  | OnMouseDown
pt |  | OnMouseMove
pt |  | OnMouseUp
pt |  | OnMouseEnter
pt |  | OnMouseLeave
pt |  | OnMouseWheel
pt |  | OnMouseWheelDown
pt |  | OnMouseWheelUp
pt |  | OnMouseWheelHorz
pt |  | OnMouseWheelLeft
pt |  | OnMouseWheelRight
pt |  | OnStartDock
pt |  | OnStartDrag
pt |  | OnEditingDone
 |  | OnChangeBounds
 |  | OnClick
 |  | OnResize
 |  | OnShowHint
TLCLComponent
TComponent
TPersistent
TObject


pt |  | OnChange (TButtonControl)
 |  | OnChangeBounds (TControl)
pl | ro | OnChangeBounds (TBitBtn)
 |  | OnClick (TControl)
pl | ro | OnClick (TBitBtn)
pt |  | OnConstrainedResize (TControl)
pt |  | OnContextPopup (TControl)
pl | ro | OnContextPopup (TBitBtn)
pt |  | OnDblClick (TControl)
 |  | OnDockDrop (TWinControl)
 |  | OnDockOver (TWinControl)
pt |  | OnDragDrop (TControl)
pl | ro | OnDragDrop (TBitBtn)
pt |  | OnDragOver (TControl)
pl | ro | OnDragOver (TBitBtn)
pt |  | OnEditingDone (TControl)
pt |  | OnEndDock (TControl)
pt |  | OnEndDrag (TControl)
pl | ro | OnEndDrag (TBitBtn)
 |  | OnEnter (TWinControl)
pl | ro | OnEnter (TBitBtn)
 |  | OnExit (TWinControl)
pl | ro | OnExit (TBitBtn)
pt |  | OnGetDockCaption (TWinControl)
pt |  | OnGetSiteInfo (TWinControl)
 |  | OnKeyDown (TWinControl)
pl | ro | OnKeyDown (TBitBtn)
 |  | OnKeyPress (TWinControl)
pl | ro | OnKeyPress (TBitBtn)
 |  | OnKeyUp (TWinControl)
pl | ro | OnKeyUp (TBitBtn)
pt |  | OnMouseDown (TControl)
pl | ro | OnMouseDown (TBitBtn)
pt |  | OnMouseEnter (TControl)
pl | ro | OnMouseEnter (TBitBtn)
pt |  | OnMouseLeave (TControl)
pl | ro | OnMouseLeave (TBitBtn)
pt |  | OnMouseMove (TControl)
pl | ro | OnMouseMove (TBitBtn)
pt |  | OnMouseUp (TControl)
pl | ro | OnMouseUp (TBitBtn)
pt |  | OnMouseWheel (TControl)
pl | ro | OnMouseWheel (TBitBtn)
pt |  | OnMouseWheelDown (TControl)
pl | ro | OnMouseWheelDown (TBitBtn)
pt |  | OnMouseWheelHorz (TControl)
pt |  | OnMouseWheelLeft (TControl)
pt |  | OnMouseWheelRight (TControl)
pt |  | OnMouseWheelUp (TControl)
pl | ro | OnMouseWheelUp (TBitBtn)
pt |  | OnQuadClick (TControl)
 |  | OnResize (TControl)
pl | ro | OnResize (TBitBtn)
 |  | OnShowHint (TControl)
pt |  | OnStartDock (TControl)
pt |  | OnStartDrag (TControl)
pl | ro | OnStartDrag (TBitBtn)
pt |  | OnTripleClick (TControl)
 |  | OnUnDock (TWinControl)
 |  | OnUTF8KeyPress (TWinControl)
pl | ro | OnUTF8KeyPress (TBitBtn)


TBitBtn.BidiMode

Declaration

Source position: buttons.pp line 231

published property TBitBtn.BidiMode : TBiDiMode;


TBitBtn.DefaultCaption

Declaration

Source position: buttons.pp line 238

published property TBitBtn.DefaultCaption : Boolean;


TBitBtn.ImageIndex

Declaration

Source position: buttons.pp line 249

published property TBitBtn.ImageIndex : TImageIndex;


TBitBtn.Images

Declaration

Source position: buttons.pp line 248

published property TBitBtn.Images : TCustomImageList;


TBitBtn.ImageWidth

Declaration

Source position: buttons.pp line 250

published property TBitBtn.ImageWidth : Integer;


TBitBtn.OnContextPopup

Declaration

Source position: buttons.pp line 253

published property TBitBtn.OnContextPopup : TContextPopupEvent;


TBitBtn.OnDragDrop

Declaration

Source position: buttons.pp line 254

published property TBitBtn.OnDragDrop : TDragDropEvent;


TBitBtn.OnDragOver

Declaration

Source position: buttons.pp line 255

published property TBitBtn.OnDragOver : TDragOverEvent;


TBitBtn.OnEndDrag

Declaration

Source position: buttons.pp line 256

published property TBitBtn.OnEndDrag : TEndDragEvent;


TBitBtn.OnMouseEnter

Declaration

Source position: buttons.pp line 263

published property TBitBtn.OnMouseEnter : TNotifyEvent;


TBitBtn.OnMouseLeave

Declaration

Source position: buttons.pp line 264

published property TBitBtn.OnMouseLeave : TNotifyEvent;


TBitBtn.OnMouseWheel

Declaration

Source position: buttons.pp line 267

published property TBitBtn.OnMouseWheel : TMouseWheelEvent;


TBitBtn.OnMouseWheelDown

Declaration

Source position: buttons.pp line 268

published property TBitBtn.OnMouseWheelDown : TMouseWheelUpDownEvent;


TBitBtn.OnMouseWheelUp

Declaration

Source position: buttons.pp line 269

published property TBitBtn.OnMouseWheelUp : TMouseWheelUpDownEvent;


TBitBtn.OnStartDrag

Declaration

Source position: buttons.pp line 271

published property TBitBtn.OnStartDrag : TStartDragEvent;


TBitBtn.ParentBidiMode

Declaration

Source position: buttons.pp line 273

published property TBitBtn.ParentBidiMode : Boolean;


TBitBtnKind

TBitBtnKind - enumerated type of possible kinds of BitButtons.

Declaration

Source position: buttons.pp line 151

type TBitBtnKind = (

  bkCustom,

  bkOK,

  bkCancel,

  bkHelp,

  bkYes,

  bkNo,

  bkClose,

  bkAbort,

  bkRetry,

  bkIgnore,

  bkAll,

  bkNoToAll,

  bkYesToAll

);

Description

TBitBtnKind - enumerated type of possible kinds of BitButtons.

bkCustom,
bkOK,
bkCancel,
bkHelp,
bkYes,
bkNo,
bkClose,
bkAbort,
bkRetry,
bkIgnore,
bkAll,
bkNoToAll,
bkYesToAll


TBitBtnKinds

TBitBtnKinds - set of TBitBtnKind

Declaration

Source position: buttons.pp line 154

type TBitBtnKinds = set of (

  bkCustom,

  bkOK,

  bkCancel,

  bkHelp,

  bkYes,

  bkNo,

  bkClose,

  bkAbort,

  bkRetry,

  bkIgnore,

  bkAll,

  bkNoToAll,

  bkYesToAll

);


TButtonGlyph

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

A small image that can be attached to buttons

Declaration

Source position: buttons.pp line 74

type TButtonGlyph = class(TObject, IUnknown, IImageCacheListener)
public
function QueryInterface();
function _AddRef;
function _Release;
procedure CacheSetImageList();
procedure CacheSetImageIndex();
protected
function CanShow;
function CanShowGlyph;
procedure DoChange; virtual;
procedure GlyphChanged(); |
procedure SetTransparentMode();
property TransparentMode: TGlyphTransparencyMode; [r]
public
constructor Create; | Create - constructor for TButtonGlyph: frees the Images cache then creates a Glyph Bitmap
destructor Destroy; override; | Destroy - destructor for TButtonGlyph: frees caches and calls inherited Destroy
procedure GetImageIndexAndEffect(); | Find the index for the image and the effect to be used for drawing it
function Draw(); | Draw the image in the specified rectangle, within the client rectangle at specified offset, with the specified state and transparency
procedure Refresh;
property Glyph: TBitmap; [rw] | The small bitmap image to be drawn on the button
property IsDesigning: Boolean; [rw]
property NumGlyphs: TNumGlyphs; [rw] | The number of glyphs to be drawn
property Images: TCustomImageList; [r] | The list of available images from which selection can be made
property LCLGlyphName: string; [rw]
property ExternalImages: TCustomImageList; [rw]
property ExternalImageIndex: Integer; [rw]
property ExternalImageWidth: Integer; [rw]
property Width: Integer; [r] | The width of the glyph image
property Height: Integer; [r] | The height of the glyph image
property ShowMode: TGlyphShowMode; [rw]
property OnChange: TNotifyEvent; [rw] | Event handler for a change in the glyph
end;

Inheritance

TButtonGlyph,IUnknown,IImageCacheListener

A small image that can be attached to buttons
|

TObject

Description

Button Glyph: The graphics and legend on a button


TButtonGlyph
pt | ro | TransparentMode
 |  | Glyph
 |  | IsDesigning
 |  | NumGlyphs
 | ro | Images
 |  | LCLGlyphName
 |  | ExternalImages
 |  | ExternalImageIndex
 |  | ExternalImageWidth
 | ro | Width
 | ro | Height
 |  | ShowMode
TObject


 |  | ExternalImageIndex (TButtonGlyph)
 |  | ExternalImages (TButtonGlyph)
 |  | ExternalImageWidth (TButtonGlyph)
 |  | Glyph (TButtonGlyph)
 | ro | Height (TButtonGlyph)
 | ro | Images (TButtonGlyph)
 |  | IsDesigning (TButtonGlyph)
 |  | LCLGlyphName (TButtonGlyph)
 |  | NumGlyphs (TButtonGlyph)
 |  | ShowMode (TButtonGlyph)
pt | ro | TransparentMode (TButtonGlyph)
 | ro | Width (TButtonGlyph)


TButtonGlyph
 | QueryInterface
 | _AddRef
 | _Release
 | CacheSetImageList
 | CacheSetImageIndex
pt | CanShow
pt | CanShowGlyph
pt | DoChange
pt | GlyphChanged
pt | SetTransparentMode
 | Create
 | Destroy
 | GetImageIndexAndEffect
 | Draw
 | Refresh
TObject
 | Create
 | Destroy
 | newinstance
 | FreeInstance
 | SafeCallException
 | DefaultHandler
 | Free
 | InitInstance
 | CleanupInstance
 | ClassType
 | ClassInfo
 | ClassName
 | ClassNameIs
 | ClassParent
 | InstanceSize
 | InheritsFrom
 | StringMessageTable
 | MethodAddress
 | MethodName
 | FieldAddress
 | AfterConstruction
 | BeforeDestruction
 | DefaultHandlerStr
 | Dispatch
 | DispatchStr
 | GetInterface
 | GetInterfaceByStr
 | GetInterfaceWeak
 | GetInterfaceEntry
 | GetInterfaceEntryByStr
 | GetInterfaceTable
 | UnitName
 | Equals
 | GetHashCode
 | ToString


 | AfterConstruction (TObject)
 | BeforeDestruction (TObject)
 | CacheSetImageIndex (TButtonGlyph)
 | CacheSetImageList (TButtonGlyph)
pt | CanShow (TButtonGlyph)
pt | CanShowGlyph (TButtonGlyph)
 | ClassInfo (TObject)
 | ClassName (TObject)
 | ClassNameIs (TObject)
 | ClassParent (TObject)
 | ClassType (TObject)
 | CleanupInstance (TObject)
 | Create (TObject)
 | Create (TButtonGlyph)
 | DefaultHandler (TObject)
 | DefaultHandlerStr (TObject)
 | Destroy (TObject)
 | Destroy (TButtonGlyph)
 | Dispatch (TObject)
 | DispatchStr (TObject)
pt | DoChange (TButtonGlyph)
 | Draw (TButtonGlyph)
 | Equals (TObject)
 | FieldAddress (TObject)
 | Free (TObject)
 | FreeInstance (TObject)
 | GetHashCode (TObject)
 | GetImageIndexAndEffect (TButtonGlyph)
 | GetInterface (TObject)
 | GetInterfaceByStr (TObject)
 | GetInterfaceEntry (TObject)
 | GetInterfaceEntryByStr (TObject)
 | GetInterfaceTable (TObject)
 | GetInterfaceWeak (TObject)
pt | GlyphChanged (TButtonGlyph)
 | InheritsFrom (TObject)
 | InitInstance (TObject)
 | InstanceSize (TObject)
 | MethodAddress (TObject)
 | MethodName (TObject)
 | newinstance (TObject)
 | QueryInterface (TButtonGlyph)
 | Refresh (TButtonGlyph)
 | SafeCallException (TObject)
pt | SetTransparentMode (TButtonGlyph)
 | StringMessageTable (TObject)
 | ToString (TObject)
 | UnitName (TObject)
 | _AddRef (TButtonGlyph)
 | _Release (TButtonGlyph)


TButtonGlyph

OnChange

TObject


TButtonGlyph._AddRef

Declaration

Source position: buttons.pp line 105

public function TButtonGlyph._AddRef: LongInt;


TButtonGlyph._Release

Declaration

Source position: buttons.pp line 106

public function TButtonGlyph._Release: LongInt;


TButtonGlyph.CacheSetImageIndex

Declaration

Source position: buttons.pp line 109

public procedure TButtonGlyph.CacheSetImageIndex(

  AIndex: Integer;

  AImageIndex: Integer

);


TButtonGlyph.CacheSetImageList

Declaration

Source position: buttons.pp line 108

public procedure TButtonGlyph.CacheSetImageList(

  AImageList: TCustomImageList

);


TButtonGlyph.CanShow

Declaration

Source position: buttons.pp line 111

protected function TButtonGlyph.CanShow: Boolean;


TButtonGlyph.CanShowGlyph

Declaration

Source position: buttons.pp line 112

protected function TButtonGlyph.CanShowGlyph: Boolean;


TButtonGlyph.Create

Create - constructor for TButtonGlyph: frees the Images cache then creates a Glyph Bitmap

Declaration

Source position: buttons.pp line 119

public constructor TButtonGlyph.Create;

Description

If you drop a component on the form editor you don´t need to add code to explicitly create it. The component is automatically created together with the the form, and destroyed when the form is destroyed. However, if you create the component by code don´t forget to free it when it is no longer needed. Constructors allocate memory and system resources needed by the object. They also call the constructor of any sub-objects present in the class.


TButtonGlyph.Destroy

Destroy - destructor for TButtonGlyph: frees caches and calls inherited Destroy

Declaration

Source position: buttons.pp line 120

public destructor TButtonGlyph.Destroy; override;

Description

If you call Destroy for an object which hasn´t being initialized yet it will generate an error. Always use the Free method to deallocate objects, because it verifies if object variable doesn´t contain the value nil. Take the following precautions when creating your own Destroy method: * Declare Destroy with the override directive, because it is a virtual method. * Always call 'inherited Destroy;' as the last thing on the destructor code. * An exception may be raised on the constructor in case there is not enought memory to create an object, or something else goes wrong. If the exception is not handled inside the constructor, the object will be only partially built. In this case Destroy will be called, so your destructor must check if the resources were really allocated before disposing of them. * Remember to call Free for all objects created on the constructor.

See also

TObject.Destroy


TButtonGlyph.DoChange

Declaration

Source position: buttons.pp line 113

protected procedure TButtonGlyph.DoChange; virtual;


TButtonGlyph.Draw

Draw the image in the specified rectangle, within the client rectangle at specified offset, with the specified state and transparency

Declaration

Source position: buttons.pp line 125

public function TButtonGlyph.Draw(

  Canvas: TCanvas;

  const Client: TRect;

  const Offset: TPoint;

  State: TButtonState;

  Transparent: Boolean;

  BiDiFlags: LongInt

):TRect;

function TButtonGlyph.Draw(

  Canvas: TCanvas;

  const Client: TRect;

  const Offset: TPoint;

  State: TButtonState;

  Transparent: Boolean;

  BiDiFlags: LongInt;

  PPI: LongInt;

  const ScaleFactor: Double

):TRect;


TButtonGlyph.ExternalImageIndex

Declaration

Source position: buttons.pp line 138

public property TButtonGlyph.ExternalImageIndex : Integer
  read FExternalImageIndex
  write SetExternalImageIndex;


TButtonGlyph.ExternalImages

Declaration

Source position: buttons.pp line 137

public property TButtonGlyph.ExternalImages : TCustomImageList
  read FExternalImages
  write SetExternalImages;


TButtonGlyph.ExternalImageWidth

Declaration

Source position: buttons.pp line 139

public property TButtonGlyph.ExternalImageWidth : Integer
  read FExternalImageWidth
  write SetExternalImageWidth;


TButtonGlyph.GetImageIndexAndEffect

Find the index for the image and the effect to be used for drawing it

Declaration

Source position: buttons.pp line 121

public procedure TButtonGlyph.GetImageIndexAndEffect(

  State: TButtonState;

  APPI: Integer;

  const ACanvasScaleFactor: Double;

  out AImageResolution: TScaledImageListResolution;

  out AIndex: Integer;

  out AEffect: TGraphicsDrawEffect

);


TButtonGlyph.Glyph

The small bitmap image to be drawn on the button

Declaration

Source position: buttons.pp line 132

public property TButtonGlyph.Glyph : TBitmap
  read FOriginal
  write SetGlyph;


TButtonGlyph.GlyphChanged

Declaration

Source position: buttons.pp line 114

protected procedure TButtonGlyph.GlyphChanged(

  Sender: TObject

);


TButtonGlyph.Height

The height of the glyph image

Declaration

Source position: buttons.pp line 141

public property TButtonGlyph.Height : Integer
  read GetHeight;


TButtonGlyph.Images

The list of available images from which selection can be made

Declaration

Source position: buttons.pp line 135

public property TButtonGlyph.Images : TCustomImageList
  read FImages;


TButtonGlyph.IsDesigning

Declaration

Source position: buttons.pp line 133

public property TButtonGlyph.IsDesigning : Boolean
  read FIsDesigning
  write FIsDesigning;


TButtonGlyph.LCLGlyphName

Declaration

Source position: buttons.pp line 136

public property TButtonGlyph.LCLGlyphName : string
  read FLCLGlyphName
  write SetLCLGlyphName;


TButtonGlyph.NumGlyphs

The number of glyphs to be drawn

Declaration

Source position: buttons.pp line 134

public property TButtonGlyph.NumGlyphs : TNumGlyphs
  read GetNumGlyphs
  write SetNumGlyphs;


TButtonGlyph.OnChange

Event handler for a change in the glyph

Declaration

Source position: buttons.pp line 144

public property TButtonGlyph.OnChange : TNotifyEvent
  read FOnChange
  write FOnChange;


TButtonGlyph.QueryInterface

Declaration

Source position: buttons.pp line 104

public function TButtonGlyph.QueryInterface(

  iid: TGuid;

  out obj

):LongInt;


TButtonGlyph.Refresh

Declaration

Source position: buttons.pp line 131

public procedure TButtonGlyph.Refresh;


TButtonGlyph.SetTransparentMode

Declaration

Source position: buttons.pp line 115

protected procedure TButtonGlyph.SetTransparentMode(

  AValue: TGlyphTransparencyMode

);


TButtonGlyph.ShowMode

Declaration

Source position: buttons.pp line 142

public property TButtonGlyph.ShowMode : TGlyphShowMode
  read FShowMode
  write SetShowMode;


TButtonGlyph.TransparentMode

Declaration

Source position: buttons.pp line 117

protected property TButtonGlyph.TransparentMode : TGlyphTransparencyMode
  read FTransparentMode;


TButtonGlyph.Width

The width of the glyph image

Declaration

Source position: buttons.pp line 140

public property TButtonGlyph.Width : Integer
  read GetWidth;


TCustomBitBtn

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

TCustomBitBtn - the ancestor class for TBitBtn.

Declaration

Source position: buttons.pp line 156

type TCustomBitBtn = class(TCustomButton)
protected
FButtonGlyph: TButtonGlyph; | FButtonGlyph - local variable holding the Glyph for this button
class procedure WSRegisterClass; override; | Registers this component class with the current WidgetSet.
procedure ActionChange(); override; | ActionChange - Change the action associated with this BitButton
procedure GlyphChanged(); | What to do if the Glyph has been changed
procedure InitializeWnd; override; | Copies cached control properties to the just created widget.
function IsCaptionStored;
procedure Loaded; override;
procedure Notification(); override;
procedure TextChanged; override; | Handles changes of the Text property.
class function GetControlClassDefaultSize; override; | Returns the default size for this class of controls (when added to a form).
procedure CMAppShowBtnGlyphChanged(); message;
public
constructor Create(); override; | Calls inherited Create then initialises layout, style and spacing, creates the Button Glyph
destructor Destroy; override; | frees Button Glyph then calls inherited Destroy
procedure Click; override; | Invokes the OnClick and ActionLink.Execute handlers.
procedure LoadGlyphFromResourceName();
procedure LoadGlyphFromLazarusResource(); | LoadGlyphFromLazarusResource - method for loading the glyph from a Lazarus resource file (.lrs)
procedure LoadGlyphFromStock();
function CanShowGlyph();
property Caption: TCaption; [s]
property DefaultCaption: Boolean; [rw]
property Glyph: TBitmap; [rws] | The BitMap Glyph to be displayed on the button
property NumGlyphs: Integer; [rw] | The number of glyphs for display
property Images: TCustomImageList; [rw]
property ImageIndex: TImageIndex; [rw]
property ImageWidth: Integer; [rw]
property Kind: TBitBtnKind; [rw] | What kind of BitButton? Custom, OK, Cancel, Yes, No etc
property Layout: TButtonLayout; [rw] | Layout of button - Glyph at top, bottom, left or right
property Margin: Integer; [rw] | The margin to be left around glyphs
property Spacing: Integer; [rw] | The spacing around the BitButton
property GlyphShowMode: TGlyphShowMode; [rw] | Indicates the policy for showing or hiding the glyph image of this button
end;

Inheritance

TCustomBitBtn | TCustomBitBtn - the ancestor class for TBitBtn.
|
TCustomButton | The base class for clickable buttons (TButton and TBitBtn).
|
TButtonControl | The base class for various button controls.
|
TWinControl | The base class for controls which can contain other (child) controls.
|
TControl | The base class for visible controls.
|
TLCLComponent | The base class for LCL components associated with widgets.
|
TComponent,IUnknown,IInterfaceComponentReference
|
TPersistent,IFPObserved
|
TObject

Description

TCustomBitBtn is the ancestor for TBitBtn. If you want to define your own bitbutton class, you should use this class to derive it from.


TCustomBitBtn
 | ro | Caption
 |  | DefaultCaption
 |  | Glyph
 |  | NumGlyphs
 |  | Images
 |  | ImageIndex
 |  | ImageWidth
 |  | Kind
 |  | Layout
 |  | Margin
 |  | Spacing
 |  | GlyphShowMode
TCustomButton
pt | ro | ParentColor
 | ro | Active
 |  | Default
 |  | ModalResult
 | ro | ShortCut
 | ro | ShortCutKey2
 |  | Cancel
 | ro | Color
 | ro | TabStop
TButtonControl
pt |  | Checked
pt |  | ClicksDisabled
TWinControl
pt |  | WindowHandle
pt |  | BorderStyle
pt |  | ParentBackground
 |  | BorderWidth
 | ro | BoundsLockCount
 | ro | Brush
 | ro | CachedClientHeight
 | ro | CachedClientWidth
 |  | ChildSizing
 | ro | ControlCount
 | ro | Controls
 |  | DefWndProc
 | ro | DockClientCount
 | ro | DockClients
 |  | DockManager
 |  | DockSite
 |  | DoubleBuffered
 |  | Handle
 | ro | IsFlipped
 | ro | IsResizing
 |  | TabOrder
 |  | TabStop
 |  | ParentDoubleBuffered
 |  | ParentWindow
 | ro | Showing
 |  | UseDockManager
 |  | DesignerDeleting
 | ro | VisibleDockClientCount
TControl
pt | ro | AutoSizing
pt | ro | AutoSizingAll
pt | ro | AutoSizingLockCount
pt |  | ActionLink
pt |  | DesktopFont
pt |  | DragCursor
pt |  | DragKind
pt |  | DragMode
pt |  | MouseCapture
pt |  | ParentColor
pt |  | ParentFont
pt |  | ParentShowHint
pt |  | SessionProperties
pt |  | Text
 | ro | AnchoredControls
 | ro | BaseBounds
 | ro | ReadBounds
 | ro | BaseParentClientSize
 |  | AccessibleDescription
 |  | AccessibleValue
 |  | AccessibleRole
 |  | Action
 |  | Align
 |  | Anchors
 | ro | AnchorSide
 |  | AutoSize
 |  | BorderSpacing
 |  | BoundsRect
 |  | BoundsRectForNewParent
 |  | Caption
 |  | CaptureMouseButtons
 |  | ClientHeight
 | ro | ClientOrigin
 | ro | ClientRect
 |  | ClientWidth
 |  | Color
 |  | Constraints
 | ro | ControlOrigin
 |  | ControlState
 |  | ControlStyle
 |  | Enabled
 |  | Font
 |  | IsControl
 | ro | MouseEntered
 | ro | MouseInClient
 |  | Parent
 |  | PopupMenu
 |  | ShowHint
 |  | Visible
 |  | WindowProc
 |  | DockOrientation
 | ro | Floating
 |  | FloatingDockSiteClass
 |  | HostDockSite
 |  | LRDockWidth
 |  | TBDockHeight
 |  | UndockHeight
 |  | UndockWidth
 |  | BiDiMode
 |  | ParentBiDiMode
pl |  | AnchorSideLeft
pl |  | AnchorSideTop
pl |  | AnchorSideRight
pl |  | AnchorSideBottom
pl |  | Cursor
pl |  | Left
pl |  | Height
pl |  | Hint
pl |  | Top
pl |  | Width
pl |  | HelpType
pl |  | HelpKeyword
pl |  | HelpContext
TLCLComponent
 | ro | LCLRefCount
 | ro | WidgetSetClass
TComponent
 | ro | ComObject
 | ro | Components
 | ro | ComponentCount
 |  | ComponentIndex
 | ro | ComponentState
 | ro | ComponentStyle
 |  | DesignInfo
 | ro | Owner
 |  | VCLComObject
 |  | Name
 |  | Tag
TPersistent
TObject


 |  | AccessibleDescription (TControl)
 |  | AccessibleRole (TControl)
 |  | AccessibleValue (TControl)
 |  | Action (TControl)
pt |  | ActionLink (TControl)
 | ro | Active (TCustomButton)
 |  | Align (TControl)
 | ro | AnchoredControls (TControl)
 |  | Anchors (TControl)
 | ro | AnchorSide (TControl)
pl |  | AnchorSideBottom (TControl)
pl |  | AnchorSideLeft (TControl)
pl |  | AnchorSideRight (TControl)
pl |  | AnchorSideTop (TControl)
 |  | AutoSize (TControl)
pt | ro | AutoSizing (TControl)
pt | ro | AutoSizingAll (TControl)
pt | ro | AutoSizingLockCount (TControl)
 | ro | BaseBounds (TControl)
 | ro | BaseParentClientSize (TControl)
 |  | BiDiMode (TControl)
 |  | BorderSpacing (TControl)
pt |  | BorderStyle (TWinControl)
 |  | BorderWidth (TWinControl)
 | ro | BoundsLockCount (TWinControl)
 |  | BoundsRect (TControl)
 |  | BoundsRectForNewParent (TControl)
 | ro | Brush (TWinControl)
 | ro | CachedClientHeight (TWinControl)
 | ro | CachedClientWidth (TWinControl)
 |  | Cancel (TCustomButton)
 |  | Caption (TControl)
 | ro | Caption (TCustomBitBtn)
 |  | CaptureMouseButtons (TControl)
pt |  | Checked (TButtonControl)
 |  | ChildSizing (TWinControl)
pt |  | ClicksDisabled (TButtonControl)
 |  | ClientHeight (TControl)
 | ro | ClientOrigin (TControl)
 | ro | ClientRect (TControl)
 |  | ClientWidth (TControl)
 |  | Color (TControl)
 | ro | Color (TCustomButton)
 | ro | ComObject (TComponent)
 | ro | ComponentCount (TComponent)
 |  | ComponentIndex (TComponent)
 | ro | Components (TComponent)
 | ro | ComponentState (TComponent)
 | ro | ComponentStyle (TComponent)
 |  | Constraints (TControl)
 | ro | ControlCount (TWinControl)
 | ro | ControlOrigin (TControl)
 | ro | Controls (TWinControl)
 |  | ControlState (TControl)
 |  | ControlStyle (TControl)
pl |  | Cursor (TControl)
 |  | Default (TCustomButton)
 |  | DefaultCaption (TCustomBitBtn)
 |  | DefWndProc (TWinControl)
 |  | DesignerDeleting (TWinControl)
 |  | DesignInfo (TComponent)
pt |  | DesktopFont (TControl)
 | ro | DockClientCount (TWinControl)
 | ro | DockClients (TWinControl)
 |  | DockManager (TWinControl)
 |  | DockOrientation (TControl)
 |  | DockSite (TWinControl)
 |  | DoubleBuffered (TWinControl)
pt |  | DragCursor (TControl)
pt |  | DragKind (TControl)
pt |  | DragMode (TControl)
 |  | Enabled (TControl)
 | ro | Floating (TControl)
 |  | FloatingDockSiteClass (TControl)
 |  | Font (TControl)
 |  | Glyph (TCustomBitBtn)
 |  | GlyphShowMode (TCustomBitBtn)
 |  | Handle (TWinControl)
pl |  | Height (TControl)
pl |  | HelpContext (TControl)
pl |  | HelpKeyword (TControl)
pl |  | HelpType (TControl)
pl |  | Hint (TControl)
 |  | HostDockSite (TControl)
 |  | ImageIndex (TCustomBitBtn)
 |  | Images (TCustomBitBtn)
 |  | ImageWidth (TCustomBitBtn)
 |  | IsControl (TControl)
 | ro | IsFlipped (TWinControl)
 | ro | IsResizing (TWinControl)
 |  | Kind (TCustomBitBtn)
 |  | Layout (TCustomBitBtn)
 | ro | LCLRefCount (TLCLComponent)
pl |  | Left (TControl)
 |  | LRDockWidth (TControl)
 |  | Margin (TCustomBitBtn)
 |  | ModalResult (TCustomButton)
pt |  | MouseCapture (TControl)
 | ro | MouseEntered (TControl)
 | ro | MouseInClient (TControl)
 |  | Name (TComponent)
 |  | NumGlyphs (TCustomBitBtn)
 | ro | Owner (TComponent)
 |  | Parent (TControl)
pt |  | ParentBackground (TWinControl)
 |  | ParentBiDiMode (TControl)
pt |  | ParentColor (TControl)
pt | ro | ParentColor (TCustomButton)
 |  | ParentDoubleBuffered (TWinControl)
pt |  | ParentFont (TControl)
pt |  | ParentShowHint (TControl)
 |  | ParentWindow (TWinControl)
 |  | PopupMenu (TControl)
 | ro | ReadBounds (TControl)
pt |  | SessionProperties (TControl)
 | ro | ShortCut (TCustomButton)
 | ro | ShortCutKey2 (TCustomButton)
 |  | ShowHint (TControl)
 | ro | Showing (TWinControl)
 |  | Spacing (TCustomBitBtn)
 |  | TabOrder (TWinControl)
 |  | TabStop (TWinControl)
 | ro | TabStop (TCustomButton)
 |  | Tag (TComponent)
 |  | TBDockHeight (TControl)
pt |  | Text (TControl)
pl |  | Top (TControl)
 |  | UndockHeight (TControl)
 |  | UndockWidth (TControl)
 |  | UseDockManager (TWinControl)
 |  | VCLComObject (TComponent)
 |  | Visible (TControl)
 | ro | VisibleDockClientCount (TWinControl)
 | ro | WidgetSetClass (TLCLComponent)
pl |  | Width (TControl)
pt |  | WindowHandle (TWinControl)
 |  | WindowProc (TControl)


TCustomBitBtn
pt | WSRegisterClass
pt | ActionChange
pt | GlyphChanged
pt | InitializeWnd
pt | IsCaptionStored
pt | Loaded
pt | Notification
pt | TextChanged
pt | GetControlClassDefaultSize
pt | CMAppShowBtnGlyphChanged
 | Create
 | Destroy
 | Click
 | LoadGlyphFromResourceName
 | LoadGlyphFromLazarusResource
 | LoadGlyphFromStock
 | CanShowGlyph
TCustomButton
pt | WSRegisterClass
pt | CreateWnd
pt | CreateParams
pt | ControlKeyDown
pt | ControlKeyUp
pt | DialogChar
pt | ChildClassAllowed
pt | GetControlClassDefaultSize
pt | WSSetDefault
pt | WSSetText
pt | TextChanged
pt | Loaded
pt | UpdateDefaultCancel
 | Create
 | Click
 | ExecuteDefaultAction
 | ExecuteCancelAction
 | ActiveDefaultControlChanged
 | UpdateRolesForForm
 | UseRightToLeftAlignment
TButtonControl
pt | WSRegisterClass
pt | GetActionLinkClass
pt | GetChecked
pt | SetChecked
pt | DoOnChange
pt | Click
 | Create
TWinControl
pt | WSRegisterClass
pt | AdjustClientRect
pt | GetAdjustedLogicalClientRect
pt | AlignControls
pt | CustomAlignInsertBefore
pt | CustomAlignPosition
pt | DoAlignChildControls
pt | DoChildSizingChange
pt | InvalidatePreferredChildSizes
pt | CanTab
pt | IsClientHeightStored
pt | IsClientWidthStored
pt | DoSendShowHideToInterface
pt | ControlsAligned
pt | DoSendBoundsToInterface
pt | RealizeBounds
pt | RealizeBoundsRecursive
pt | InvalidateBoundsRealized
pt | CreateSubClass
pt | DoConstraintsChange
pt | DoSetBounds
pt | DoAutoSize
pt | DoAllAutoSize
pt | AllAutoSized
pt | CalculatePreferredSize
pt | GetPreferredSizeClientFrame
pt | GetChildren
pt | ChildClassAllowed
pt | PaintControls
pt | PaintHandler
pt | PaintWindow
pt | CreateBrush
pt | ScaleControls
pt | ChangeScale
pt | CMBiDiModeChanged
pt | CMBorderChanged
pt | CMDoubleBufferedChanged
pt | CMEnabledChanged
pt | CMParentDoubleBufferedChanged
pt | CMShowingChanged
pt | CMShowHintChanged
pt | CMVisibleChanged
pt | CMEnter
pt | CMExit
pt | WMContextMenu
pt | WMEraseBkgnd
pt | WMNotify
pt | WMSetFocus
pt | WMKillFocus
pt | WMShowWindow
pt | WMEnter
pt | WMExit
pt | WMKeyDown
pt | WMSysKeyDown
pt | WMKeyUp
pt | WMSysKeyUp
pt | WMChar
pt | WMSysChar
pt | WMPaint
pt | WMDestroy
pt | WMMove
pt | WMSize
pt | WMWindowPosChanged
pt | CNKeyDown
pt | CNSysKeyDown
pt | CNKeyUp
pt | CNSysKeyUp
pt | CNChar
pt | DoDragMsg
pt | DoDockClientMsg
pt | DoUndockClientMsg
pt | DoAddDockClient
pt | DockOver
pt | DoDockOver
pt | DoRemoveDockClient
pt | DoUnDock
pt | GetSiteInfo
pt | GetParentHandle
pt | GetTopParentHandle
pt | ReloadDockedControl
pt | CreateDockManager
pt | SetDockManager
pt | DoFloatMsg
pt | DoGetDockCaption
pt | DoEnter
pt | DoExit
pt | DoKeyDownBeforeInterface
pt | DoRemainingKeyDown
pt | DoRemainingKeyUp
pt | DoKeyPress
pt | DoUTF8KeyPress
pt | DoKeyUpBeforeInterface
pt | ChildKey
pt | SendDialogChar
pt | DialogChar
pt | ControlKeyDown
pt | ControlKeyUp
pt | KeyDown
pt | KeyDownBeforeInterface
pt | KeyDownAfterInterface
pt | KeyPress
pt | KeyUp
pt | KeyUpBeforeInterface
pt | KeyUpAfterInterface
pt | UTF8KeyPress
pt | FindNextControl
pt | SelectFirst
pt | RealGetText
pt | GetBorderStyle
pt | GetClientOrigin
pt | GetClientRect
pt | GetControlOrigin
pt | GetDeviceContext
pt | GetParentBackground
pt | IsControlMouseMsg
pt | CreateHandle
pt | CreateParams
pt | CreateWnd
pt | DestroyHandle
pt | DestroyWnd
pt | DoFlipChildren
pt | FinalizeWnd
pt | FixupTabList
pt | FontChanged
pt | InitializeWnd
pt | Loaded
pt | FormEndUpdated
pt | MainWndProc
pt | ParentFormHandleInitialized
pt | ChildHandlesCreated
pt | GetMouseCapture
pt | RealSetText
pt | RemoveFocus
pt | SendMoveSizeMessages
pt | SetBorderStyle
pt | SetColor
pt | SetChildZPosition
pt | SetParentBackground
pt | ShowControl
pt | UpdateControlState
pt | UpdateShowing
pt | WndProc
pt | WSSetText
 | AutoSizePhases
 | AutoSizeDelayed
 | AutoSizeDelayedReport
 | AutoSizeDelayedHandle
 | BeginUpdateBounds
 | EndUpdateBounds
 | LockRealizeBounds
 | UnlockRealizeBounds
 | ControlAtPos
 | ContainsControl
 | DoAdjustClientRectChange
 | InvalidateClientRectCache
 | ClientRectNeedsInterfaceUpdate
 | SetBounds
 | GetChildrenRect
 | DisableAlign
 | EnableAlign
 | ReAlign
 | ScrollBy_WS
 | ScrollBy
 | WriteLayoutDebugReport
 | AutoAdjustLayout
 | Create
 | CreateParented
 | CreateParentedControl
 | Destroy
 | DockDrop
 | CanFocus
 | CanSetFocus
 | GetControlIndex
 | SetControlIndex
 | Focused
 | PerformTab
 | FindChildControl
 | SelectNext
 | SetTempCursor
 | BroadCast
 | NotifyControls
 | DefaultHandler
 | GetTextLen
 | Invalidate
 | AddControl
 | InsertControl
 | RemoveControl
 | GetEnumeratorControls
 | GetEnumeratorControlsReverse
 | Repaint
 | Update
 | SetFocus
 | FlipChildren
 | ScaleBy
 | GetDockCaption
 | UpdateDockCaption
 | GetTabOrderList
 | HandleAllocated
 | ParentHandlesAllocated
 | HandleNeeded
 | BrushCreated
 | EraseBackground
 | IntfUTF8KeyPress
 | IntfGetDropFilesTarget
 | PaintTo
 | SetShape
TControl
pt | WSRegisterClass
pt | GetCursor
pt | SetCursor
pt | SetVisible
pt | DoOnParentHandleDestruction
pt | DoAutoSize
pt | DoAllAutoSize
pt | BeginAutoSizing
pt | EndAutoSizing
pt | AnchorSideChanged
pt | ForeignAnchorSideChanged
pt | SetAlign
pt | SetAnchors
pt | SetAutoSize
pt | BoundsChanged
pt | CreateControlBorderSpacing
pt | DoConstraintsChange
pt | DoBorderSpacingChange
pt | IsBorderSpacingInnerBorderStored
pt | IsCaptionStored
pt | SendMoveSizeMessages
pt | ConstrainedResize
pt | CalculatePreferredSize
pt | DoOnResize
pt | DoOnChangeBounds
pt | CheckOnChangeBounds
pt | Resize
pt | RequestAlign
pt | UpdateAnchorRules
pt | ChangeBounds
pt | DoSetBounds
pt | ScaleConstraints
pt | ChangeScale
pt | CanAutoSize
pt | SetBiDiMode
pt | SetParentBiDiMode
pt | IsAParentAligning
pt | GetClientOrigin
pt | GetClientRect
pt | GetLogicalClientRect
pt | GetScrolledClientRect
pt | GetClientScrollOffset
pt | GetControlOrigin
pt | IsClientHeightStored
pt | IsClientWidthStored
pt | WidthIsAnchored
pt | HeightIsAnchored
pt | WMCancelMode
pt | WMContextMenu
pt | WMLButtonDown
pt | WMRButtonDown
pt | WMMButtonDown
pt | WMXButtonDown
pt | WMLButtonDBLCLK
pt | WMRButtonDBLCLK
pt | WMMButtonDBLCLK
pt | WMXButtonDBLCLK
pt | WMLButtonTripleCLK
pt | WMRButtonTripleCLK
pt | WMMButtonTripleCLK
pt | WMXButtonTripleCLK
pt | WMLButtonQuadCLK
pt | WMRButtonQuadCLK
pt | WMMButtonQuadCLK
pt | WMXButtonQuadCLK
pt | WMMouseMove
pt | WMLButtonUp
pt | WMRButtonUp
pt | WMMButtonUp
pt | WMXButtonUp
pt | WMMouseWheel
pt | WMMouseHWheel
pt | WMMove
pt | WMSize
pt | WMWindowPosChanged
pt | CMChanged
pt | LMCaptureChanged
pt | CMBiDiModeChanged
pt | CMSysFontChanged
pt | CMEnabledChanged
pt | CMHitTest
pt | CMMouseEnter
pt | CMMouseLeave
pt | CMHintShow
pt | CMParentBiDiModeChanged
pt | CMParentColorChanged
pt | CMParentFontChanged
pt | CMParentShowHintChanged
pt | CMVisibleChanged
pt | CMTextChanged
pt | CMCursorChanged
pt | CalculateDockSizes
pt | CreateFloatingDockSite
pt | GetDockEdge
pt | GetDragImages
pt | GetFloating
pt | GetFloatingDockSiteClass
pt | BeforeDragStart
pt | BeginAutoDrag
pt | DoFloatMsg
pt | DockTrackNoTarget
pt | DoDock
pt | DoDragMsg
pt | DoEndDock
pt | DoEndDrag
pt | DoStartDock
pt | DoStartDrag
pt | DragCanceled
pt | DragOver
pt | PositionDockRect
pt | SetDragMode
pt | GetDefaultDockCaption
pt | Click
pt | DblClick
pt | TripleClick
pt | QuadClick
pt | GetMousePosFromMessage
pt | MouseDown
pt | MouseMove
pt | MouseUp
pt | MouseEnter
pt | MouseLeave
pt | DialogChar
pt | UpdateMouseCursor
pt | Changed
pt | GetPalette
pt | ChildClassAllowed
pt | ReadState
pt | Loaded
pt | LoadedAll
pt | DefineProperties
pt | AssignTo
pt | FormEndUpdated
pt | InvalidateControl
pt | FontChanged
pt | ParentFontChanged
pt | GetAction
pt | RealGetText
pt | RealSetText
pt | TextChanged
pt | GetCachedText
pt | SetAction
pt | SetColor
pt | SetEnabled
pt | SetHint
pt | SetName
pt | SetParent
pt | SetParentComponent
pt | WndProc
pt | ParentFormHandleInitialized
pt | GetMouseCapture
pt | CaptureChanged
pt | Notification
pt | CanTab
pt | GetDeviceContext
pt | GetEnabled
pt | GetPopupMenu
pt | DoOnShowHint
pt | DoMouseWheel
pt | DoMouseWheelDown
pt | DoMouseWheelUp
pt | DoMouseWheelHorz
pt | DoMouseWheelLeft
pt | DoMouseWheelRight
pt | VisibleChanging
pt | VisibleChanged
pt | EnabledChanging
pt | EnabledChanged
pt | AddHandler
pt | RemoveHandler
pt | DoCallNotifyHandler
pt | DoCallKeyEventHandler
pt | DoCallMouseWheelEventHandler
pt | DoContextPopup
pt | SetZOrder
pt | GetControlClassDefaultSize
pt | ColorIsStored
pt | DoAutoAdjustLayout
pt | DoFixDesignFontPPI
pt | DoScaleFontPPI
pt | GetActionLinkClass
pt | ActionChange
 | DragDrop
 | Dock
 | ManualDock
 | ManualFloat
 | ReplaceDockedControl
 | Docked
 | Dragging
 | GetAccessibleObject
 | CreateAccessibleObject
 | GetSelectedChildAccessibleObject
 | GetChildAccessibleObjectAtPos
 | ScaleDesignToForm
 | ScaleFormToDesign
 | Scale96ToForm
 | ScaleFormTo96
 | Scale96ToFont
 | ScaleFontTo96
 | ScaleScreenToFont
 | ScaleFontToScreen
 | Scale96ToScreen
 | ScaleScreenTo96
 | AdjustSize
 | AutoSizePhases
 | AutoSizeDelayed
 | AutoSizeDelayedReport
 | AutoSizeDelayedHandle
 | AnchorToNeighbour
 | AnchorParallel
 | AnchorHorizontalCenterTo
 | AnchorVerticalCenterTo
 | AnchorToCompanion
 | AnchorSame
 | AnchorAsAlign
 | AnchorClient
 | AnchoredControlCount
 | SetBounds
 | SetInitialBounds
 | SetBoundsKeepBase
 | GetPreferredSize
 | GetCanvasScaleFactor
 | GetDefaultWidth
 | GetDefaultHeight
 | GetDefaultColor
 | GetColorResolvingParent
 | GetRGBColorResolvingParent
 | GetSidePosition
 | CNPreferredSizeChanged
 | InvalidatePreferredSize
 | GetAnchorsDependingOnParent
 | DisableAutoSizing
 | EnableAutoSizing
 | UpdateBaseBounds
 | WriteLayoutDebugReport
 | AutoAdjustLayout
 | ShouldAutoAdjust
 | FixDesignFontsPPI
 | ScaleFontsPPI
 | Create
 | Destroy
 | BeforeDestruction
 | EditingDone
 | ExecuteDefaultAction
 | ExecuteCancelAction
 | BeginDrag
 | EndDrag
 | BringToFront
 | HasParent
 | GetParentComponent
 | IsParentOf
 | GetTopParent
 | IsVisible
 | IsControlVisible
 | IsEnabled
 | IsParentColor
 | IsParentFont
 | FormIsUpdating
 | IsProcessingPaintMsg
 | Hide
 | Refresh
 | Repaint
 | Invalidate
 | CheckChildClassAllowed
 | CheckNewParent
 | SendToBack
 | SetTempCursor
 | UpdateRolesForForm
 | ActiveDefaultControlChanged
 | GetTextBuf
 | GetTextLen
 | SetTextBuf
 | Perform
 | ScreenToClient
 | ClientToScreen
 | ScreenToControl
 | ControlToScreen
 | ClientToParent
 | ParentToClient
 | GetChildrenRect
 | Show
 | Update
 | HandleObjectShouldBeVisible
 | ParentDestroyingHandle
 | ParentHandlesAllocated
 | InitiateAction
 | ShowHelp
 | HasHelp
 | RemoveAllHandlersOfObject
 | AddHandlerOnResize
 | RemoveHandlerOnResize
 | AddHandlerOnChangeBounds
 | RemoveHandlerOnChangeBounds
 | AddHandlerOnVisibleChanging
 | RemoveHandlerOnVisibleChanging
 | AddHandlerOnVisibleChanged
 | RemoveHandlerOnVisibleChanged
 | AddHandlerOnEnabledChanged
 | RemoveHandlerOnEnableChanging
 | AddHandlerOnKeyDown
 | RemoveHandlerOnKeyDown
 | AddHandlerOnBeforeDestruction
 | RemoveHandlerOnBeforeDestruction
 | AddHandlerOnMouseWheel
 | RemoveHandlerOnMouseWheel
 | UseRightToLeftAlignment
 | UseRightToLeftReading
 | UseRightToLeftScrollBar
 | IsRightToLeft
TLCLComponent
pt | WSRegisterClass
pt | GetWSComponentClass
 | Create
 | Destroy
 | NewInstance
 | RemoveAllHandlersOfObject
 | IncLCLRefCount
 | DecLCLRefCount
TComponent
 | GetComObject
 | GetComponent
 | GetComponentCount
 | GetComponentIndex
 | Insert
 | ReadLeft
 | ReadTop
 | Remove
 | RemoveNotification
 | SetComponentIndex
 | SetReference
 | WriteLeft
 | WriteTop
 | ChangeName
 | DefineProperties
 | GetChildren
 | GetChildOwner
 | GetChildParent
 | GetOwner
 | Loaded
 | Loading
 | Notification
 | PaletteCreated
 | ReadState
 | SetAncestor
 | SetDesigning
 | SetDesignInstance
 | SetInline
 | SetName
 | SetChildOrder
 | SetParentComponent
 | Updating
 | Updated
 | UpdateRegistry
 | ValidateRename
 | ValidateContainer
 | ValidateInsert
 | QueryInterface
 | _AddRef
 | _Release
 | iicrGetComponent
 | GetTypeInfoCount
 | GetTypeInfo
 | GetIDsOfNames
 | Invoke
 | WriteState
 | Create
 | Destroy
 | BeforeDestruction
 | DestroyComponents
 | Destroying
 | ExecuteAction
 | FindComponent
 | FreeNotification
 | RemoveFreeNotification
 | FreeOnRelease
 | GetEnumerator
 | GetNamePath
 | GetParentComponent
 | HasParent
 | InsertComponent
 | RemoveComponent
 | SafeCallException
 | SetSubComponent
 | UpdateAction
 | IsImplementorOf
 | ReferenceInterface
TPersistent
 | AssignError
 | AssignTo
 | DefineProperties
 | GetOwner
 | Destroy
 | Assign
 | FPOAttachObserver
 | FPODetachObserver
 | FPONotifyObservers
 | GetNamePath
TObject
 | Create
 | Destroy
 | newinstance
 | FreeInstance
 | SafeCallException
 | DefaultHandler
 | Free
 | InitInstance
 | CleanupInstance
 | ClassType
 | ClassInfo
 | ClassName
 | ClassNameIs
 | ClassParent
 | InstanceSize
 | InheritsFrom
 | StringMessageTable
 | MethodAddress
 | MethodName
 | FieldAddress
 | AfterConstruction
 | BeforeDestruction
 | DefaultHandlerStr
 | Dispatch
 | DispatchStr
 | GetInterface
 | GetInterfaceByStr
 | GetInterfaceWeak
 | GetInterfaceEntry
 | GetInterfaceEntryByStr
 | GetInterfaceTable
 | UnitName
 | Equals
 | GetHashCode
 | ToString


TCustomBitBtn
TCustomButton
TButtonControl
pt | OnChange
TWinControl
pt | OnGetSiteInfo
pt | OnGetDockCaption
 | OnAlignInsertBefore
 | OnAlignPosition
 | OnDockDrop
 | OnDockOver
 | OnEnter
 | OnExit
 | OnKeyDown
 | OnKeyPress
 | OnKeyUp
 | OnUnDock
 | OnUTF8KeyPress
TControl
pt | OnConstrainedResize
pt | OnContextPopup
pt | OnDblClick
pt | OnTripleClick
pt | OnQuadClick
pt | OnDragDrop
pt | OnDragOver
pt | OnEndDock
pt | OnEndDrag
pt | OnMouseDown
pt | OnMouseMove
pt | OnMouseUp
pt | OnMouseEnter
pt | OnMouseLeave
pt | OnMouseWheel
pt | OnMouseWheelDown
pt | OnMouseWheelUp
pt | OnMouseWheelHorz
pt | OnMouseWheelLeft
pt | OnMouseWheelRight
pt | OnStartDock
pt | OnStartDrag
pt | OnEditingDone
 | OnChangeBounds
 | OnClick
 | OnResize
 | OnShowHint
TLCLComponent
TComponent
TPersistent
TObject


pt | OnChange (TButtonControl)
 | OnChangeBounds (TControl)
 | OnClick (TControl)
pt | OnConstrainedResize (TControl)
pt | OnContextPopup (TControl)
pt | OnDblClick (TControl)
 | OnDockDrop (TWinControl)
 | OnDockOver (TWinControl)
pt | OnDragDrop (TControl)
pt | OnDragOver (TControl)
pt | OnEditingDone (TControl)
pt | OnEndDock (TControl)
pt | OnEndDrag (TControl)
 | OnEnter (TWinControl)
 | OnExit (TWinControl)
pt | OnGetDockCaption (TWinControl)
pt | OnGetSiteInfo (TWinControl)
 | OnKeyDown (TWinControl)
 | OnKeyPress (TWinControl)
 | OnKeyUp (TWinControl)
pt | OnMouseDown (TControl)
pt | OnMouseEnter (TControl)
pt | OnMouseLeave (TControl)
pt | OnMouseMove (TControl)
pt | OnMouseUp (TControl)
pt | OnMouseWheel (TControl)
pt | OnMouseWheelDown (TControl)
pt | OnMouseWheelHorz (TControl)
pt | OnMouseWheelLeft (TControl)
pt | OnMouseWheelRight (TControl)
pt | OnMouseWheelUp (TControl)
pt | OnQuadClick (TControl)
 | OnResize (TControl)
 | OnShowHint (TControl)
pt | OnStartDock (TControl)
pt | OnStartDrag (TControl)
pt | OnTripleClick (TControl)
 | OnUnDock (TWinControl)
 | OnUTF8KeyPress (TWinControl)


TCustomBitBtn.ActionChange

ActionChange - Change the action associated with this BitButton

Declaration

Source position: buttons.pp line 188

protected procedure TCustomBitBtn.ActionChange(

  Sender: TObject;

  CheckDefaults: Boolean

); override;


TCustomBitBtn.CanShowGlyph

Declaration

Source position: buttons.pp line 205

public function TCustomBitBtn.CanShowGlyph(

  const AWithShowMode: Boolean = False

):Boolean;


TCustomBitBtn.Caption

Declaration

Source position: buttons.pp line 207

public property TCustomBitBtn.Caption : TCaption
  stored IsCaptionStored;


TCustomBitBtn.CMAppShowBtnGlyphChanged

Declaration

Source position: buttons.pp line 197

protected procedure TCustomBitBtn.CMAppShowBtnGlyphChanged(

  var Message: TLMessage

); message;


TCustomBitBtn.Create

Calls inherited Create then initialises layout, style and spacing, creates the Button Glyph

Declaration

Source position: buttons.pp line 199

public constructor TCustomBitBtn.Create(

  TheOwner: TComponent

); override;

See also

TComponent.Create

TCustomButton.Create


TCustomBitBtn.DefaultCaption

Declaration

Source position: buttons.pp line 208

public property TCustomBitBtn.DefaultCaption : Boolean
  read FDefaultCaption
  write FDefaultCaption
  default False;


TCustomBitBtn.Destroy

frees Button Glyph then calls inherited Destroy

Declaration

Source position: buttons.pp line 200

public destructor TCustomBitBtn.Destroy; override;

See also

TComponent.Destroy


TCustomBitBtn.FButtonGlyph

FButtonGlyph - local variable holding the Glyph for this button

Declaration

Source position: buttons.pp line 186

protected TCustomBitBtn.FButtonGlyph : TButtonGlyph;


TCustomBitBtn.Glyph

The BitMap Glyph to be displayed on the button

Declaration

Source position: buttons.pp line 209

public property TCustomBitBtn.Glyph : TBitmap
  read GetGlyph
  write SetGlyph
  stored IsGlyphStored;


TCustomBitBtn.GlyphChanged

What to do if the Glyph has been changed

Declaration

Source position: buttons.pp line 189

protected procedure TCustomBitBtn.GlyphChanged(

  Sender: TObject

);


TCustomBitBtn.GlyphShowMode

Indicates the policy for showing or hiding the glyph image of this button

Declaration

Source position: buttons.pp line 218

public property TCustomBitBtn.GlyphShowMode : TGlyphShowMode
  read GetGlyphShowMode
  write SetGlyphShowMode
  default gsmApplication;

See also

#LCL.Menus.TGlyphShowMode | TGlyphShowMode indicates if the glyph image of a menu or button should shown or not and in which circunstances
#LCL.Forms.TApplication.ShowMenuGlyphs | Sets the default policy for showing or hiding glyph images in menus


TCustomBitBtn.ImageIndex

Declaration

Source position: buttons.pp line 212

public property TCustomBitBtn.ImageIndex : TImageIndex
  read GetImageIndex
  write SetImageIndex
  default - 1;


TCustomBitBtn.Images

Declaration

Source position: buttons.pp line 211

public property TCustomBitBtn.Images : TCustomImageList
  read GetImages
  write SetImages;


TCustomBitBtn.ImageWidth

Declaration

Source position: buttons.pp line 213

public property TCustomBitBtn.ImageWidth : Integer
  read GetImageWidth
  write SetImageWidth
  default 0;


TCustomBitBtn.IsCaptionStored

Declaration

Source position: buttons.pp line 191

protected function TCustomBitBtn.IsCaptionStored: Boolean;


TCustomBitBtn.Kind

What kind of BitButton? Custom, OK, Cancel, Yes, No etc

Declaration

Source position: buttons.pp line 214

public property TCustomBitBtn.Kind : TBitBtnKind
  read FKind
  write SetKind
  default bkCustom;


TCustomBitBtn.Layout

Layout of button - Glyph at top, bottom, left or right

Declaration

Source position: buttons.pp line 215

public property TCustomBitBtn.Layout : TButtonLayout
  read FLayout
  write SetLayout
  default blGlyphLeft;


TCustomBitBtn.LoadGlyphFromLazarusResource

LoadGlyphFromLazarusResource - method for loading the glyph from a Lazarus resource file (.lrs)

Declaration

Source position: buttons.pp line 203

public procedure TCustomBitBtn.LoadGlyphFromLazarusResource(

  const AName: string

);


TCustomBitBtn.LoadGlyphFromResourceName

Declaration

Source position: buttons.pp line 202

public procedure TCustomBitBtn.LoadGlyphFromResourceName(

  Instance: THandle;

  const AName: string

);


TCustomBitBtn.LoadGlyphFromStock

Declaration

Source position: buttons.pp line 204

public procedure TCustomBitBtn.LoadGlyphFromStock(

  idButton: Integer

);


TCustomBitBtn.Margin

The margin to be left around glyphs

Declaration

Source position: buttons.pp line 216

public property TCustomBitBtn.Margin : Integer
  read FMargin
  write SetMargin
  default - 1;


TCustomBitBtn.Notification

Declaration

Source position: buttons.pp line 193

protected procedure TCustomBitBtn.Notification(

  AComponent: TComponent;

  Operation: TOperation

); override;


TCustomBitBtn.NumGlyphs

The number of glyphs for display

Declaration

Source position: buttons.pp line 210

public property TCustomBitBtn.NumGlyphs : Integer
  read GetNumGlyphs
  write SetNumGlyphs
  default 1;


TCustomBitBtn.Spacing

The spacing around the BitButton

Declaration

Source position: buttons.pp line 217

public property TCustomBitBtn.Spacing : Integer
  read FSpacing
  write SetSpacing
  default 4;


TCustomSpeedButton

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

The ancestor class for TSpeedButton

Declaration

Source position: buttons.pp line 299

type TCustomSpeedButton = class(TGraphicControl)
protected
FState: TButtonState; | FState - local variable to hold the state of the speedbutton (whether checked or not)
class procedure WSRegisterClass; override; | Registers this component class with the current WidgetSet.
function ButtonGlyph;
function GetNumGlyphs; | Find the number of Glyphs
procedure GlyphChanged(); virtual; | What to do if the Glyph has changed
function DialogChar(); override; | Do something useful with accelerators etc.
procedure CalculatePreferredSize(); override;
procedure MeasureDraw();
procedure MouseEnter; override; | Invokes the OnMouseEnter handler.
procedure MouseLeave; override; | Invokes the OnMouseLeave handler.
procedure MouseDown(); override; | Handler for MouseDown events.
procedure MouseMove(); override; | Handler for MouseMove events.
procedure MouseUp(); override; | Invokes the OnMouseUp handler.
procedure Notification(); override;
procedure Paint; override; | Override this method with your own painting code.
procedure PaintBackground(); virtual; | Paint the background
procedure SetDown(); | SetDown - specifies the boolean value of Down (ie whether or not button was pressed)
procedure SetGroupIndex(); | SetGroupIndex - specifies the value of the Group Index
procedure SetFlat(); | SetFlat - specifies whether or not the button is displayed Flat
procedure SetMargin(); | SetMargin - specifies the size of the margin
procedure SetNumGlyphs(); | SetNumGlyphs - specifies the number of glyphs
procedure SetSpacing(); | SetSpacing - specifies the spacing between buttons
procedure RealSetText(); override; | Sets the Caption property.
procedure UpdateState(); virtual; | UpdateState - brings the state up oto date, implementing any pending changes, and rendering non-valid if InvalidateOnChange is True
function GetDrawDetails; virtual; | GetDrawDetails - returns the structured details for drawing
property MouseInControl: Boolean; [r] | MouseInControl - returns True if the mouse cursor is in the control
procedure ActionChange(); override; | Handler for a changed Action.
function GetActionLinkClass; override; | The default ActionLink class (TControlActionLink).
class function GetControlClassDefaultSize; override; | Returns the default size for this class of controls (when added to a form).
procedure Loaded; override;
function GetGlyphSize(); virtual; | GetGlyphSize - returns the size of the glyoh within the specified PaintRect
function GetTextSize(); virtual; | GetTextSize - returns the size of the text within the specified PaintRect
function DrawGlyph(); virtual; | Draw the glyph in the specified canvas in the specified rectangle at a given offset within the client, with specified state and transparency
public
constructor Create(); override; | Create - constructor for TCustomSpeedButton: calls inherited Create and initialises many defaults and properties
destructor Destroy; override; | Destroy - destructor for TCustomSpeedButton: frees Glyph then calls inherited Destroy
function FindDownButton; | FindDownButton - returns the button that is down
procedure Click; override; | Invokes the OnClick and ActionLink.Execute handlers.
procedure LoadGlyphFromResourceName();
procedure LoadGlyphFromLazarusResource(); | LoadGlyphFromLazarusResource - method for loading a glyph from a Lazarus Resource file (.lrs)
property AllowAllUp: Boolean; [rw] | Boolean flag to determine whether all buttons are allowed to be Up (default false)
property Color: TColor;
property Down: Boolean; [rw] | The button has been set in the Down state
property Flat: Boolean; [rw] | Whether the button is to be displayed Flat or in relief
property Glyph: TBitmap; [rws] | The Bitmap glyph to be used on this button
property GroupIndex: Integer; [rw] | The Index within the group of speedbuttons
property Images: TCustomImageList; [rw]
property ImageIndex: TImageIndex; [rw]
property ImageWidth: Integer; [rw]
property Layout: TButtonLayout; [rw] | The button layout - Glyph at top, bottom, left or right
property Margin: Integer; [rw] | Margin - the space around glyph and caption
property NumGlyphs: Integer; [rw] | The number of Glyphs available
property ShowAccelChar: Boolean; [rw] | Should accelerator character be shown (ie underlined character denoting key to be pressed for quick action)?
property ShowCaption: Boolean; [rw] | Should caption be displayed?
property Spacing: Integer; [rw] | Spacing between Glyph and Caption
property Transparent: Boolean; [rw] | Whether button is transparent
end;

Inheritance

TCustomSpeedButton | The ancestor class for TSpeedButton
|
TGraphicControl | TGraphicControl is the base class for all lightweight controls.
|
TControl | The base class for visible controls.
|
TLCLComponent | The base class for LCL components associated with widgets.
|
TComponent,IUnknown,IInterfaceComponentReference
|
TPersistent,IFPObserved
|
TObject

Description

TCustomSpeedButton is the ancestor for TSpeedButton. If you want to define your own speedbutton class, you should use this class to derive it from.

The Speed Button is designed to automate a process when it is selected. An user pushes a button to start an action or set a mode.

When a user clicks on a SpeedButton focus is not shifted; a Speed Button never gets focus. The button may carry an descriptive glyph, and has a state (checked or not, etc)


TCustomSpeedButton
pt | ro | MouseInControl
 |  | AllowAllUp
 | ro | Color
 |  | Down
 |  | Flat
 |  | Glyph
 |  | GroupIndex
 |  | Images
 |  | ImageIndex
 |  | ImageWidth
 |  | Layout
 |  | Margin
 |  | NumGlyphs
 |  | ShowAccelChar
 |  | ShowCaption
 |  | Spacing
 |  | Transparent
TGraphicControl
 | ro | Canvas
TControl
pt | ro | AutoSizing
pt | ro | AutoSizingAll
pt | ro | AutoSizingLockCount
pt |  | ActionLink
pt |  | DesktopFont
pt |  | DragCursor
pt |  | DragKind
pt |  | DragMode
pt |  | MouseCapture
pt |  | ParentColor
pt |  | ParentFont
pt |  | ParentShowHint
pt |  | SessionProperties
pt |  | Text
 | ro | AnchoredControls
 | ro | BaseBounds
 | ro | ReadBounds
 | ro | BaseParentClientSize
 |  | AccessibleDescription
 |  | AccessibleValue
 |  | AccessibleRole
 |  | Action
 |  | Align
 |  | Anchors
 | ro | AnchorSide
 |  | AutoSize
 |  | BorderSpacing
 |  | BoundsRect
 |  | BoundsRectForNewParent
 |  | Caption
 |  | CaptureMouseButtons
 |  | ClientHeight
 | ro | ClientOrigin
 | ro | ClientRect
 |  | ClientWidth
 |  | Color
 |  | Constraints
 | ro | ControlOrigin
 |  | ControlState
 |  | ControlStyle
 |  | Enabled
 |  | Font
 |  | IsControl
 | ro | MouseEntered
 | ro | MouseInClient
 |  | Parent
 |  | PopupMenu
 |  | ShowHint
 |  | Visible
 |  | WindowProc
 |  | DockOrientation
 | ro | Floating
 |  | FloatingDockSiteClass
 |  | HostDockSite
 |  | LRDockWidth
 |  | TBDockHeight
 |  | UndockHeight
 |  | UndockWidth
 |  | BiDiMode
 |  | ParentBiDiMode
pl |  | AnchorSideLeft
pl |  | AnchorSideTop
pl |  | AnchorSideRight
pl |  | AnchorSideBottom
pl |  | Cursor
pl |  | Left
pl |  | Height
pl |  | Hint
pl |  | Top
pl |  | Width
pl |  | HelpType
pl |  | HelpKeyword
pl |  | HelpContext
TLCLComponent
 | ro | LCLRefCount
 | ro | WidgetSetClass
TComponent
 | ro | ComObject
 | ro | Components
 | ro | ComponentCount
 |  | ComponentIndex
 | ro | ComponentState
 | ro | ComponentStyle
 |  | DesignInfo
 | ro | Owner
 |  | VCLComObject
 |  | Name
 |  | Tag
TPersistent
TObject


 |  | AccessibleDescription (TControl)
 |  | AccessibleRole (TControl)
 |  | AccessibleValue (TControl)
 |  | Action (TControl)
pt |  | ActionLink (TControl)
 |  | Align (TControl)
 |  | AllowAllUp (TCustomSpeedButton)
 | ro | AnchoredControls (TControl)
 |  | Anchors (TControl)
 | ro | AnchorSide (TControl)
pl |  | AnchorSideBottom (TControl)
pl |  | AnchorSideLeft (TControl)
pl |  | AnchorSideRight (TControl)
pl |  | AnchorSideTop (TControl)
 |  | AutoSize (TControl)
pt | ro | AutoSizing (TControl)
pt | ro | AutoSizingAll (TControl)
pt | ro | AutoSizingLockCount (TControl)
 | ro | BaseBounds (TControl)
 | ro | BaseParentClientSize (TControl)
 |  | BiDiMode (TControl)
 |  | BorderSpacing (TControl)
 |  | BoundsRect (TControl)
 |  | BoundsRectForNewParent (TControl)
 | ro | Canvas (TGraphicControl)
 |  | Caption (TControl)
 |  | CaptureMouseButtons (TControl)
 |  | ClientHeight (TControl)
 | ro | ClientOrigin (TControl)
 | ro | ClientRect (TControl)
 |  | ClientWidth (TControl)
 |  | Color (TControl)
 | ro | Color (TCustomSpeedButton)
 | ro | ComObject (TComponent)
 | ro | ComponentCount (TComponent)
 |  | ComponentIndex (TComponent)
 | ro | Components (TComponent)
 | ro | ComponentState (TComponent)
 | ro | ComponentStyle (TComponent)
 |  | Constraints (TControl)
 | ro | ControlOrigin (TControl)
 |  | ControlState (TControl)
 |  | ControlStyle (TControl)
pl |  | Cursor (TControl)
 |  | DesignInfo (TComponent)
pt |  | DesktopFont (TControl)
 |  | DockOrientation (TControl)
 |  | Down (TCustomSpeedButton)
pt |  | DragCursor (TControl)
pt |  | DragKind (TControl)
pt |  | DragMode (TControl)
 |  | Enabled (TControl)
 |  | Flat (TCustomSpeedButton)
 | ro | Floating (TControl)
 |  | FloatingDockSiteClass (TControl)
 |  | Font (TControl)
 |  | Glyph (TCustomSpeedButton)
 |  | GroupIndex (TCustomSpeedButton)
pl |  | Height (TControl)
pl |  | HelpContext (TControl)
pl |  | HelpKeyword (TControl)
pl |  | HelpType (TControl)
pl |  | Hint (TControl)
 |  | HostDockSite (TControl)
 |  | ImageIndex (TCustomSpeedButton)
 |  | Images (TCustomSpeedButton)
 |  | ImageWidth (TCustomSpeedButton)
 |  | IsControl (TControl)
 |  | Layout (TCustomSpeedButton)
 | ro | LCLRefCount (TLCLComponent)
pl |  | Left (TControl)
 |  | LRDockWidth (TControl)
 |  | Margin (TCustomSpeedButton)
pt |  | MouseCapture (TControl)
 | ro | MouseEntered (TControl)
 | ro | MouseInClient (TControl)
pt | ro | MouseInControl (TCustomSpeedButton)
 |  | Name (TComponent)
 |  | NumGlyphs (TCustomSpeedButton)
 | ro | Owner (TComponent)
 |  | Parent (TControl)
 |  | ParentBiDiMode (TControl)
pt |  | ParentColor (TControl)
pt |  | ParentFont (TControl)
pt |  | ParentShowHint (TControl)
 |  | PopupMenu (TControl)
 | ro | ReadBounds (TControl)
pt |  | SessionProperties (TControl)
 |  | ShowAccelChar (TCustomSpeedButton)
 |  | ShowCaption (TCustomSpeedButton)
 |  | ShowHint (TControl)
 |  | Spacing (TCustomSpeedButton)
 |  | Tag (TComponent)
 |  | TBDockHeight (TControl)
pt |  | Text (TControl)
pl |  | Top (TControl)
 |  | Transparent (TCustomSpeedButton)
 |  | UndockHeight (TControl)
 |  | UndockWidth (TControl)
 |  | VCLComObject (TComponent)
 |  | Visible (TControl)
 | ro | WidgetSetClass (TLCLComponent)
pl |  | Width (TControl)
 |  | WindowProc (TControl)


TCustomSpeedButton
pt | WSRegisterClass
pt | ButtonGlyph
pt | GetNumGlyphs
pt | GlyphChanged
pt | DialogChar
pt | CalculatePreferredSize
pt | MeasureDraw
pt | MouseEnter
pt | MouseLeave
pt | MouseDown
pt | MouseMove
pt | MouseUp
pt | Notification
pt | Paint
pt | PaintBackground
pt | SetDown
pt | SetGroupIndex
pt | SetFlat
pt | SetMargin
pt | SetNumGlyphs
pt | SetSpacing
pt | RealSetText
pt | UpdateState
pt | GetDrawDetails
pt | ActionChange
pt | GetActionLinkClass
pt | GetControlClassDefaultSize
pt | Loaded
pt | GetGlyphSize
pt | GetTextSize
pt | DrawGlyph
 | Create
 | Destroy
 | FindDownButton
 | Click
 | LoadGlyphFromResourceName
 | LoadGlyphFromLazarusResource
TGraphicControl
pt | WSRegisterClass
pt | FontChanged
pt | Paint
pt | DoOnChangeBounds
pt | DoOnParentHandleDestruction
pt | CMCursorChanged
 | Create
 | Destroy
TControl
pt | WSRegisterClass
pt | GetCursor
pt | SetCursor
pt | SetVisible
pt | DoOnParentHandleDestruction
pt | DoAutoSize
pt | DoAllAutoSize
pt | BeginAutoSizing
pt | EndAutoSizing
pt | AnchorSideChanged
pt | ForeignAnchorSideChanged
pt | SetAlign
pt | SetAnchors
pt | SetAutoSize
pt | BoundsChanged
pt | CreateControlBorderSpacing
pt | DoConstraintsChange
pt | DoBorderSpacingChange
pt | IsBorderSpacingInnerBorderStored
pt | IsCaptionStored
pt | SendMoveSizeMessages
pt | ConstrainedResize
pt | CalculatePreferredSize
pt | DoOnResize
pt | DoOnChangeBounds
pt | CheckOnChangeBounds
pt | Resize
pt | RequestAlign
pt | UpdateAnchorRules
pt | ChangeBounds
pt | DoSetBounds
pt | ScaleConstraints
pt | ChangeScale
pt | CanAutoSize
pt | SetBiDiMode
pt | SetParentBiDiMode
pt | IsAParentAligning
pt | GetClientOrigin
pt | GetClientRect
pt | GetLogicalClientRect
pt | GetScrolledClientRect
pt | GetClientScrollOffset
pt | GetControlOrigin
pt | IsClientHeightStored
pt | IsClientWidthStored
pt | WidthIsAnchored
pt | HeightIsAnchored
pt | WMCancelMode
pt | WMContextMenu
pt | WMLButtonDown
pt | WMRButtonDown
pt | WMMButtonDown
pt | WMXButtonDown
pt | WMLButtonDBLCLK
pt | WMRButtonDBLCLK
pt | WMMButtonDBLCLK
pt | WMXButtonDBLCLK
pt | WMLButtonTripleCLK
pt | WMRButtonTripleCLK
pt | WMMButtonTripleCLK
pt | WMXButtonTripleCLK
pt | WMLButtonQuadCLK
pt | WMRButtonQuadCLK
pt | WMMButtonQuadCLK
pt | WMXButtonQuadCLK
pt | WMMouseMove
pt | WMLButtonUp
pt | WMRButtonUp
pt | WMMButtonUp
pt | WMXButtonUp
pt | WMMouseWheel
pt | WMMouseHWheel
pt | WMMove
pt | WMSize
pt | WMWindowPosChanged
pt | CMChanged
pt | LMCaptureChanged
pt | CMBiDiModeChanged
pt | CMSysFontChanged
pt | CMEnabledChanged
pt | CMHitTest
pt | CMMouseEnter
pt | CMMouseLeave
pt | CMHintShow
pt | CMParentBiDiModeChanged
pt | CMParentColorChanged
pt | CMParentFontChanged
pt | CMParentShowHintChanged
pt | CMVisibleChanged
pt | CMTextChanged
pt | CMCursorChanged
pt | CalculateDockSizes
pt | CreateFloatingDockSite
pt | GetDockEdge
pt | GetDragImages
pt | GetFloating
pt | GetFloatingDockSiteClass
pt | BeforeDragStart
pt | BeginAutoDrag
pt | DoFloatMsg
pt | DockTrackNoTarget
pt | DoDock
pt | DoDragMsg
pt | DoEndDock
pt | DoEndDrag
pt | DoStartDock
pt | DoStartDrag
pt | DragCanceled
pt | DragOver
pt | PositionDockRect
pt | SetDragMode
pt | GetDefaultDockCaption
pt | Click
pt | DblClick
pt | TripleClick
pt | QuadClick
pt | GetMousePosFromMessage
pt | MouseDown
pt | MouseMove
pt | MouseUp
pt | MouseEnter
pt | MouseLeave
pt | DialogChar
pt | UpdateMouseCursor
pt | Changed
pt | GetPalette
pt | ChildClassAllowed
pt | ReadState
pt | Loaded
pt | LoadedAll
pt | DefineProperties
pt | AssignTo
pt | FormEndUpdated
pt | InvalidateControl
pt | FontChanged
pt | ParentFontChanged
pt | GetAction
pt | RealGetText
pt | RealSetText
pt | TextChanged
pt | GetCachedText
pt | SetAction
pt | SetColor
pt | SetEnabled
pt | SetHint
pt | SetName
pt | SetParent
pt | SetParentComponent
pt | WndProc
pt | ParentFormHandleInitialized
pt | GetMouseCapture
pt | CaptureChanged
pt | Notification
pt | CanTab
pt | GetDeviceContext
pt | GetEnabled
pt | GetPopupMenu
pt | DoOnShowHint
pt | DoMouseWheel
pt | DoMouseWheelDown
pt | DoMouseWheelUp
pt | DoMouseWheelHorz
pt | DoMouseWheelLeft
pt | DoMouseWheelRight
pt | VisibleChanging
pt | VisibleChanged
pt | EnabledChanging
pt | EnabledChanged
pt | AddHandler
pt | RemoveHandler
pt | DoCallNotifyHandler
pt | DoCallKeyEventHandler
pt | DoCallMouseWheelEventHandler
pt | DoContextPopup
pt | SetZOrder
pt | GetControlClassDefaultSize
pt | ColorIsStored
pt | DoAutoAdjustLayout
pt | DoFixDesignFontPPI
pt | DoScaleFontPPI
pt | GetActionLinkClass
pt | ActionChange
 | DragDrop
 | Dock
 | ManualDock
 | ManualFloat
 | ReplaceDockedControl
 | Docked
 | Dragging
 | GetAccessibleObject
 | CreateAccessibleObject
 | GetSelectedChildAccessibleObject
 | GetChildAccessibleObjectAtPos
 | ScaleDesignToForm
 | ScaleFormToDesign
 | Scale96ToForm
 | ScaleFormTo96
 | Scale96ToFont
 | ScaleFontTo96
 | ScaleScreenToFont
 | ScaleFontToScreen
 | Scale96ToScreen
 | ScaleScreenTo96
 | AdjustSize
 | AutoSizePhases
 | AutoSizeDelayed
 | AutoSizeDelayedReport
 | AutoSizeDelayedHandle
 | AnchorToNeighbour
 | AnchorParallel
 | AnchorHorizontalCenterTo
 | AnchorVerticalCenterTo
 | AnchorToCompanion
 | AnchorSame
 | AnchorAsAlign
 | AnchorClient
 | AnchoredControlCount
 | SetBounds
 | SetInitialBounds
 | SetBoundsKeepBase
 | GetPreferredSize
 | GetCanvasScaleFactor
 | GetDefaultWidth
 | GetDefaultHeight
 | GetDefaultColor
 | GetColorResolvingParent
 | GetRGBColorResolvingParent
 | GetSidePosition
 | CNPreferredSizeChanged
 | InvalidatePreferredSize
 | GetAnchorsDependingOnParent
 | DisableAutoSizing
 | EnableAutoSizing
 | UpdateBaseBounds
 | WriteLayoutDebugReport
 | AutoAdjustLayout
 | ShouldAutoAdjust
 | FixDesignFontsPPI
 | ScaleFontsPPI
 | Create
 | Destroy
 | BeforeDestruction
 | EditingDone
 | ExecuteDefaultAction
 | ExecuteCancelAction
 | BeginDrag
 | EndDrag
 | BringToFront
 | HasParent
 | GetParentComponent
 | IsParentOf
 | GetTopParent
 | IsVisible
 | IsControlVisible
 | IsEnabled
 | IsParentColor
 | IsParentFont
 | FormIsUpdating
 | IsProcessingPaintMsg
 | Hide
 | Refresh
 | Repaint
 | Invalidate
 | CheckChildClassAllowed
 | CheckNewParent
 | SendToBack
 | SetTempCursor
 | UpdateRolesForForm
 | ActiveDefaultControlChanged
 | GetTextBuf
 | GetTextLen
 | SetTextBuf
 | Perform
 | ScreenToClient
 | ClientToScreen
 | ScreenToControl
 | ControlToScreen
 | ClientToParent
 | ParentToClient
 | GetChildrenRect
 | Show
 | Update
 | HandleObjectShouldBeVisible
 | ParentDestroyingHandle
 | ParentHandlesAllocated
 | InitiateAction
 | ShowHelp
 | HasHelp
 | RemoveAllHandlersOfObject
 | AddHandlerOnResize
 | RemoveHandlerOnResize
 | AddHandlerOnChangeBounds
 | RemoveHandlerOnChangeBounds
 | AddHandlerOnVisibleChanging
 | RemoveHandlerOnVisibleChanging
 | AddHandlerOnVisibleChanged
 | RemoveHandlerOnVisibleChanged
 | AddHandlerOnEnabledChanged
 | RemoveHandlerOnEnableChanging
 | AddHandlerOnKeyDown
 | RemoveHandlerOnKeyDown
 | AddHandlerOnBeforeDestruction
 | RemoveHandlerOnBeforeDestruction
 | AddHandlerOnMouseWheel
 | RemoveHandlerOnMouseWheel
 | UseRightToLeftAlignment
 | UseRightToLeftReading
 | UseRightToLeftScrollBar
 | IsRightToLeft
TLCLComponent
pt | WSRegisterClass
pt | GetWSComponentClass
 | Create
 | Destroy
 | NewInstance
 | RemoveAllHandlersOfObject
 | IncLCLRefCount
 | DecLCLRefCount
TComponent
 | GetComObject
 | GetComponent
 | GetComponentCount
 | GetComponentIndex
 | Insert
 | ReadLeft
 | ReadTop
 | Remove
 | RemoveNotification
 | SetComponentIndex
 | SetReference
 | WriteLeft
 | WriteTop
 | ChangeName
 | DefineProperties
 | GetChildren
 | GetChildOwner
 | GetChildParent
 | GetOwner
 | Loaded
 | Loading
 | Notification
 | PaletteCreated
 | ReadState
 | SetAncestor
 | SetDesigning
 | SetDesignInstance
 | SetInline
 | SetName
 | SetChildOrder
 | SetParentComponent
 | Updating
 | Updated
 | UpdateRegistry
 | ValidateRename
 | ValidateContainer
 | ValidateInsert
 | QueryInterface
 | _AddRef
 | _Release
 | iicrGetComponent
 | GetTypeInfoCount
 | GetTypeInfo
 | GetIDsOfNames
 | Invoke
 | WriteState
 | Create
 | Destroy
 | BeforeDestruction
 | DestroyComponents
 | Destroying
 | ExecuteAction
 | FindComponent
 | FreeNotification
 | RemoveFreeNotification
 | FreeOnRelease
 | GetEnumerator
 | GetNamePath
 | GetParentComponent
 | HasParent
 | InsertComponent
 | RemoveComponent
 | SafeCallException
 | SetSubComponent
 | UpdateAction
 | IsImplementorOf
 | ReferenceInterface
TPersistent
 | AssignError
 | AssignTo
 | DefineProperties
 | GetOwner
 | Destroy
 | Assign
 | FPOAttachObserver
 | FPODetachObserver
 | FPONotifyObservers
 | GetNamePath
TObject
 | Create
 | Destroy
 | newinstance
 | FreeInstance
 | SafeCallException
 | DefaultHandler
 | Free
 | InitInstance
 | CleanupInstance
 | ClassType
 | ClassInfo
 | ClassName
 | ClassNameIs
 | ClassParent
 | InstanceSize
 | InheritsFrom
 | StringMessageTable
 | MethodAddress
 | MethodName
 | FieldAddress
 | AfterConstruction
 | BeforeDestruction
 | DefaultHandlerStr
 | Dispatch
 | DispatchStr
 | GetInterface
 | GetInterfaceByStr
 | GetInterfaceWeak
 | GetInterfaceEntry
 | GetInterfaceEntryByStr
 | GetInterfaceTable
 | UnitName
 | Equals
 | GetHashCode
 | ToString


pt | ActionChange (TControl)
pt | ActionChange (TCustomSpeedButton)
 | ActiveDefaultControlChanged (TControl)
pt | AddHandler (TControl)
 | AddHandlerOnBeforeDestruction (TControl)
 | AddHandlerOnChangeBounds (TControl)
 | AddHandlerOnEnabledChanged (TControl)
 | AddHandlerOnKeyDown (TControl)
 | AddHandlerOnMouseWheel (TControl)
 | AddHandlerOnResize (TControl)
 | AddHandlerOnVisibleChanged (TControl)
 | AddHandlerOnVisibleChanging (TControl)
 | AdjustSize (TControl)
 | AfterConstruction (TObject)
 | AnchorAsAlign (TControl)
 | AnchorClient (TControl)
 | AnchoredControlCount (TControl)
 | AnchorHorizontalCenterTo (TControl)
 | AnchorParallel (TControl)
 | AnchorSame (TControl)
pt | AnchorSideChanged (TControl)
 | AnchorToCompanion (TControl)
 | AnchorToNeighbour (TControl)
 | AnchorVerticalCenterTo (TControl)
 | Assign (TPersistent)
 | AssignError (TPersistent)
 | AssignTo (TPersistent)
pt | AssignTo (TControl)
 | AutoAdjustLayout (TControl)
 | AutoSizeDelayed (TControl)
 | AutoSizeDelayedHandle (TControl)
 | AutoSizeDelayedReport (TControl)
 | AutoSizePhases (TControl)
 | BeforeDestruction (TObject)
 | BeforeDestruction (TComponent)
 | BeforeDestruction (TControl)
pt | BeforeDragStart (TControl)
pt | BeginAutoDrag (TControl)
pt | BeginAutoSizing (TControl)
 | BeginDrag (TControl)
pt | BoundsChanged (TControl)
 | BringToFront (TControl)
pt | ButtonGlyph (TCustomSpeedButton)
pt | CalculateDockSizes (TControl)
pt | CalculatePreferredSize (TControl)
pt | CalculatePreferredSize (TCustomSpeedButton)
pt | CanAutoSize (TControl)
pt | CanTab (TControl)
pt | CaptureChanged (TControl)
pt | ChangeBounds (TControl)
pt | Changed (TControl)
 | ChangeName (TComponent)
pt | ChangeScale (TControl)
 | CheckChildClassAllowed (TControl)
 | CheckNewParent (TControl)
pt | CheckOnChangeBounds (TControl)
pt | ChildClassAllowed (TControl)
 | ClassInfo (TObject)
 | ClassName (TObject)
 | ClassNameIs (TObject)
 | ClassParent (TObject)
 | ClassType (TObject)
 | CleanupInstance (TObject)
pt | Click (TControl)
 | Click (TCustomSpeedButton)
 | ClientToParent (TControl)
 | ClientToScreen (TControl)
pt | CMBiDiModeChanged (TControl)
pt | CMChanged (TControl)
pt | CMCursorChanged (TControl)
pt | CMCursorChanged (TGraphicControl)
pt | CMEnabledChanged (TControl)
pt | CMHintShow (TControl)
pt | CMHitTest (TControl)
pt | CMMouseEnter (TControl)
pt | CMMouseLeave (TControl)
pt | CMParentBiDiModeChanged (TControl)
pt | CMParentColorChanged (TControl)
pt | CMParentFontChanged (TControl)
pt | CMParentShowHintChanged (TControl)
pt | CMSysFontChanged (TControl)
pt | CMTextChanged (TControl)
pt | CMVisibleChanged (TControl)
 | CNPreferredSizeChanged (TControl)
pt | ColorIsStored (TControl)
pt | ConstrainedResize (TControl)
 | ControlToScreen (TControl)
 | Create (TObject)
 | Create (TComponent)
 | Create (TLCLComponent)
 | Create (TControl)
 | Create (TGraphicControl)
 | Create (TCustomSpeedButton)
 | CreateAccessibleObject (TControl)
pt | CreateControlBorderSpacing (TControl)
pt | CreateFloatingDockSite (TControl)
pt | DblClick (TControl)
 | DecLCLRefCount (TLCLComponent)
 | DefaultHandler (TObject)
 | DefaultHandlerStr (TObject)
 | DefineProperties (TPersistent)
 | DefineProperties (TComponent)
pt | DefineProperties (TControl)
 | Destroy (TObject)
 | Destroy (TPersistent)
 | Destroy (TComponent)
 | Destroy (TLCLComponent)
 | Destroy (TControl)
 | Destroy (TGraphicControl)
 | Destroy (TCustomSpeedButton)
 | DestroyComponents (TComponent)
 | Destroying (TComponent)
pt | DialogChar (TControl)
pt | DialogChar (TCustomSpeedButton)
 | DisableAutoSizing (TControl)
 | Dispatch (TObject)
 | DispatchStr (TObject)
pt | DoAllAutoSize (TControl)
pt | DoAutoAdjustLayout (TControl)
pt | DoAutoSize (TControl)
pt | DoBorderSpacingChange (TControl)
pt | DoCallKeyEventHandler (TControl)
pt | DoCallMouseWheelEventHandler (TControl)
pt | DoCallNotifyHandler (TControl)
 | Dock (TControl)
 | Docked (TControl)
pt | DockTrackNoTarget (TControl)
pt | DoConstraintsChange (TControl)
pt | DoContextPopup (TControl)
pt | DoDock (TControl)
pt | DoDragMsg (TControl)
pt | DoEndDock (TControl)
pt | DoEndDrag (TControl)
pt | DoFixDesignFontPPI (TControl)
pt | DoFloatMsg (TControl)
pt | DoMouseWheel (TControl)
pt | DoMouseWheelDown (TControl)
pt | DoMouseWheelHorz (TControl)
pt | DoMouseWheelLeft (TControl)
pt | DoMouseWheelRight (TControl)
pt | DoMouseWheelUp (TControl)
pt | DoOnChangeBounds (TControl)
pt | DoOnChangeBounds (TGraphicControl)
pt | DoOnParentHandleDestruction (TControl)
pt | DoOnParentHandleDestruction (TGraphicControl)
pt | DoOnResize (TControl)
pt | DoOnShowHint (TControl)
pt | DoScaleFontPPI (TControl)
pt | DoSetBounds (TControl)
pt | DoStartDock (TControl)
pt | DoStartDrag (TControl)
pt | DragCanceled (TControl)
 | DragDrop (TControl)
 | Dragging (TControl)
pt | DragOver (TControl)
pt | DrawGlyph (TCustomSpeedButton)
 | EditingDone (TControl)
 | EnableAutoSizing (TControl)
pt | EnabledChanged (TControl)
pt | EnabledChanging (TControl)
pt | EndAutoSizing (TControl)
 | EndDrag (TControl)
 | Equals (TObject)
 | ExecuteAction (TComponent)
 | ExecuteCancelAction (TControl)
 | ExecuteDefaultAction (TControl)
 | FieldAddress (TObject)
 | FindComponent (TComponent)
 | FindDownButton (TCustomSpeedButton)
 | FixDesignFontsPPI (TControl)
pt | FontChanged (TControl)
pt | FontChanged (TGraphicControl)
pt | ForeignAnchorSideChanged (TControl)
pt | FormEndUpdated (TControl)
 | FormIsUpdating (TControl)
 | FPOAttachObserver (TPersistent)
 | FPODetachObserver (TPersistent)
 | FPONotifyObservers (TPersistent)
 | Free (TObject)
 | FreeInstance (TObject)
 | FreeNotification (TComponent)
 | FreeOnRelease (TComponent)
 | GetAccessibleObject (TControl)
pt | GetAction (TControl)
pt | GetActionLinkClass (TControl)
pt | GetActionLinkClass (TCustomSpeedButton)
 | GetAnchorsDependingOnParent (TControl)
pt | GetCachedText (TControl)
 | GetCanvasScaleFactor (TControl)
 | GetChildAccessibleObjectAtPos (TControl)
 | GetChildOwner (TComponent)
 | GetChildParent (TComponent)
 | GetChildren (TComponent)
 | GetChildrenRect (TControl)
pt | GetClientOrigin (TControl)
pt | GetClientRect (TControl)
pt | GetClientScrollOffset (TControl)
 | GetColorResolvingParent (TControl)
 | GetComObject (TComponent)
 | GetComponent (TComponent)
 | GetComponentCount (TComponent)
 | GetComponentIndex (TComponent)
pt | GetControlClassDefaultSize (TControl)
pt | GetControlClassDefaultSize (TCustomSpeedButton)
pt | GetControlOrigin (TControl)
pt | GetCursor (TControl)
 | GetDefaultColor (TControl)
pt | GetDefaultDockCaption (TControl)
 | GetDefaultHeight (TControl)
 | GetDefaultWidth (TControl)
pt | GetDeviceContext (TControl)
pt | GetDockEdge (TControl)
pt | GetDragImages (TControl)
pt | GetDrawDetails (TCustomSpeedButton)
pt | GetEnabled (TControl)
 | GetEnumerator (TComponent)
pt | GetFloating (TControl)
pt | GetFloatingDockSiteClass (TControl)
pt | GetGlyphSize (TCustomSpeedButton)
 | GetHashCode (TObject)
 | GetIDsOfNames (TComponent)
 | GetInterface (TObject)
 | GetInterfaceByStr (TObject)
 | GetInterfaceEntry (TObject)
 | GetInterfaceEntryByStr (TObject)
 | GetInterfaceTable (TObject)
 | GetInterfaceWeak (TObject)
pt | GetLogicalClientRect (TControl)
pt | GetMouseCapture (TControl)
pt | GetMousePosFromMessage (TControl)
 | GetNamePath (TPersistent)
 | GetNamePath (TComponent)
pt | GetNumGlyphs (TCustomSpeedButton)
 | GetOwner (TPersistent)
 | GetOwner (TComponent)
pt | GetPalette (TControl)
 | GetParentComponent (TComponent)
 | GetParentComponent (TControl)
pt | GetPopupMenu (TControl)
 | GetPreferredSize (TControl)
 | GetRGBColorResolvingParent (TControl)
pt | GetScrolledClientRect (TControl)
 | GetSelectedChildAccessibleObject (TControl)
 | GetSidePosition (TControl)
 | GetTextBuf (TControl)
 | GetTextLen (TControl)
pt | GetTextSize (TCustomSpeedButton)
 | GetTopParent (TControl)
 | GetTypeInfo (TComponent)
 | GetTypeInfoCount (TComponent)
pt | GetWSComponentClass (TLCLComponent)
pt | GlyphChanged (TCustomSpeedButton)
 | HandleObjectShouldBeVisible (TControl)
 | HasHelp (TControl)
 | HasParent (TComponent)
 | HasParent (TControl)
pt | HeightIsAnchored (TControl)
 | Hide (TControl)
 | iicrGetComponent (TComponent)
 | IncLCLRefCount (TLCLComponent)
 | InheritsFrom (TObject)
 | InitiateAction (TControl)
 | InitInstance (TObject)
 | Insert (TComponent)
 | InsertComponent (TComponent)
 | InstanceSize (TObject)
 | Invalidate (TControl)
pt | InvalidateControl (TControl)
 | InvalidatePreferredSize (TControl)
 | Invoke (TComponent)
pt | IsAParentAligning (TControl)
pt | IsBorderSpacingInnerBorderStored (TControl)
pt | IsCaptionStored (TControl)
pt | IsClientHeightStored (TControl)
pt | IsClientWidthStored (TControl)
 | IsControlVisible (TControl)
 | IsEnabled (TControl)
 | IsImplementorOf (TComponent)
 | IsParentColor (TControl)
 | IsParentFont (TControl)
 | IsParentOf (TControl)
 | IsProcessingPaintMsg (TControl)
 | IsRightToLeft (TControl)
 | IsVisible (TControl)
pt | LMCaptureChanged (TControl)
 | Loaded (TComponent)
pt | Loaded (TControl)
pt | Loaded (TCustomSpeedButton)
pt | LoadedAll (TControl)
 | LoadGlyphFromLazarusResource (TCustomSpeedButton)
 | LoadGlyphFromResourceName (TCustomSpeedButton)
 | Loading (TComponent)
 | ManualDock (TControl)
 | ManualFloat (TControl)
pt | MeasureDraw (TCustomSpeedButton)
 | MethodAddress (TObject)
 | MethodName (TObject)
pt | MouseDown (TControl)
pt | MouseDown (TCustomSpeedButton)
pt | MouseEnter (TControl)
pt | MouseEnter (TCustomSpeedButton)
pt | MouseLeave (TControl)
pt | MouseLeave (TCustomSpeedButton)
pt | MouseMove (TControl)
pt | MouseMove (TCustomSpeedButton)
pt | MouseUp (TControl)
pt | MouseUp (TCustomSpeedButton)
 | newinstance (TObject)
 | NewInstance (TLCLComponent)
 | Notification (TComponent)
pt | Notification (TControl)
pt | Notification (TCustomSpeedButton)
pt | Paint (TGraphicControl)
pt | Paint (TCustomSpeedButton)
pt | PaintBackground (TCustomSpeedButton)
 | PaletteCreated (TComponent)
 | ParentDestroyingHandle (TControl)
pt | ParentFontChanged (TControl)
pt | ParentFormHandleInitialized (TControl)
 | ParentHandlesAllocated (TControl)
 | ParentToClient (TControl)
 | Perform (TControl)
pt | PositionDockRect (TControl)
pt | QuadClick (TControl)
 | QueryInterface (TComponent)
 | ReadLeft (TComponent)
 | ReadState (TComponent)
pt | ReadState (TControl)
 | ReadTop (TComponent)
pt | RealGetText (TControl)
pt | RealSetText (TControl)
pt | RealSetText (TCustomSpeedButton)
 | ReferenceInterface (TComponent)
 | Refresh (TControl)
 | Remove (TComponent)
 | RemoveAllHandlersOfObject (TLCLComponent)
 | RemoveAllHandlersOfObject (TControl)
 | RemoveComponent (TComponent)
 | RemoveFreeNotification (TComponent)
pt | RemoveHandler (TControl)
 | RemoveHandlerOnBeforeDestruction (TControl)
 | RemoveHandlerOnChangeBounds (TControl)
 | RemoveHandlerOnEnableChanging (TControl)
 | RemoveHandlerOnKeyDown (TControl)
 | RemoveHandlerOnMouseWheel (TControl)
 | RemoveHandlerOnResize (TControl)
 | RemoveHandlerOnVisibleChanged (TControl)
 | RemoveHandlerOnVisibleChanging (TControl)
 | RemoveNotification (TComponent)
 | Repaint (TControl)
 | ReplaceDockedControl (TControl)
pt | RequestAlign (TControl)
pt | Resize (TControl)
 | SafeCallException (TObject)
 | SafeCallException (TComponent)
 | Scale96ToFont (TControl)
 | Scale96ToForm (TControl)
 | Scale96ToScreen (TControl)
pt | ScaleConstraints (TControl)
 | ScaleDesignToForm (TControl)
 | ScaleFontsPPI (TControl)
 | ScaleFontTo96 (TControl)
 | ScaleFontToScreen (TControl)
 | ScaleFormTo96 (TControl)
 | ScaleFormToDesign (TControl)
 | ScaleScreenTo96 (TControl)
 | ScaleScreenToFont (TControl)
 | ScreenToClient (TControl)
 | ScreenToControl (TControl)
pt | SendMoveSizeMessages (TControl)
 | SendToBack (TControl)
pt | SetAction (TControl)
pt | SetAlign (TControl)
 | SetAncestor (TComponent)
pt | SetAnchors (TControl)
pt | SetAutoSize (TControl)
pt | SetBiDiMode (TControl)
 | SetBounds (TControl)
 | SetBoundsKeepBase (TControl)
 | SetChildOrder (TComponent)
pt | SetColor (TControl)
 | SetComponentIndex (TComponent)
pt | SetCursor (TControl)
 | SetDesigning (TComponent)
 | SetDesignInstance (TComponent)
pt | SetDown (TCustomSpeedButton)
pt | SetDragMode (TControl)
pt | SetEnabled (TControl)
pt | SetFlat (TCustomSpeedButton)
pt | SetGroupIndex (TCustomSpeedButton)
pt | SetHint (TControl)
 | SetInitialBounds (TControl)
 | SetInline (TComponent)
pt | SetMargin (TCustomSpeedButton)
 | SetName (TComponent)
pt | SetName (TControl)
pt | SetNumGlyphs (TCustomSpeedButton)
pt | SetParent (TControl)
pt | SetParentBiDiMode (TControl)
 | SetParentComponent (TComponent)
pt | SetParentComponent (TControl)
 | SetReference (TComponent)
pt | SetSpacing (TCustomSpeedButton)
 | SetSubComponent (TComponent)
 | SetTempCursor (TControl)
 | SetTextBuf (TControl)
pt | SetVisible (TControl)
pt | SetZOrder (TControl)
 | ShouldAutoAdjust (TControl)
 | Show (TControl)
 | ShowHelp (TControl)
 | StringMessageTable (TObject)
pt | TextChanged (TControl)
 | ToString (TObject)
pt | TripleClick (TControl)
 | UnitName (TObject)
 | Update (TControl)
 | UpdateAction (TComponent)
pt | UpdateAnchorRules (TControl)
 | UpdateBaseBounds (TControl)
 | Updated (TComponent)
pt | UpdateMouseCursor (TControl)
 | UpdateRegistry (TComponent)
 | UpdateRolesForForm (TControl)
pt | UpdateState (TCustomSpeedButton)
 | Updating (TComponent)
 | UseRightToLeftAlignment (TControl)
 | UseRightToLeftReading (TControl)
 | UseRightToLeftScrollBar (TControl)
 | ValidateContainer (TComponent)
 | ValidateInsert (TComponent)
 | ValidateRename (TComponent)
pt | VisibleChanged (TControl)
pt | VisibleChanging (TControl)
pt | WidthIsAnchored (TControl)
pt | WMCancelMode (TControl)
pt | WMContextMenu (TControl)
pt | WMLButtonDBLCLK (TControl)
pt | WMLButtonDown (TControl)
pt | WMLButtonQuadCLK (TControl)
pt | WMLButtonTripleCLK (TControl)
pt | WMLButtonUp (TControl)
pt | WMMButtonDBLCLK (TControl)
pt | WMMButtonDown (TControl)
pt | WMMButtonQuadCLK (TControl)
pt | WMMButtonTripleCLK (TControl)
pt | WMMButtonUp (TControl)
pt | WMMouseHWheel (TControl)
pt | WMMouseMove (TControl)
pt | WMMouseWheel (TControl)
pt | WMMove (TControl)
pt | WMRButtonDBLCLK (TControl)
pt | WMRButtonDown (TControl)
pt | WMRButtonQuadCLK (TControl)
pt | WMRButtonTripleCLK (TControl)
pt | WMRButtonUp (TControl)
pt | WMSize (TControl)
pt | WMWindowPosChanged (TControl)
pt | WMXButtonDBLCLK (TControl)
pt | WMXButtonDown (TControl)
pt | WMXButtonQuadCLK (TControl)
pt | WMXButtonTripleCLK (TControl)
pt | WMXButtonUp (TControl)
pt | WndProc (TControl)
 | WriteLayoutDebugReport (TControl)
 | WriteLeft (TComponent)
 | WriteState (TComponent)
 | WriteTop (TComponent)
pt | WSRegisterClass (TLCLComponent)
pt | WSRegisterClass (TControl)
pt | WSRegisterClass (TGraphicControl)
pt | WSRegisterClass (TCustomSpeedButton)
 | _AddRef (TComponent)
 | _Release (TComponent)


TCustomSpeedButton
TGraphicControl
pt | OnPaint
TControl
pt | OnConstrainedResize
pt | OnContextPopup
pt | OnDblClick
pt | OnTripleClick
pt | OnQuadClick
pt | OnDragDrop
pt | OnDragOver
pt | OnEndDock
pt | OnEndDrag
pt | OnMouseDown
pt | OnMouseMove
pt | OnMouseUp
pt | OnMouseEnter
pt | OnMouseLeave
pt | OnMouseWheel
pt | OnMouseWheelDown
pt | OnMouseWheelUp
pt | OnMouseWheelHorz
pt | OnMouseWheelLeft
pt | OnMouseWheelRight
pt | OnStartDock
pt | OnStartDrag
pt | OnEditingDone
 | OnChangeBounds
 | OnClick
 | OnResize
 | OnShowHint
TLCLComponent
TComponent
TPersistent
TObject


pt | OnConstrainedResize (TControl)
pt | OnContextPopup (TControl)
pt | OnDblClick (TControl)
pt | OnDragDrop (TControl)
pt | OnDragOver (TControl)
pt | OnEditingDone (TControl)
pt | OnEndDock (TControl)
pt | OnEndDrag (TControl)
pt | OnMouseDown (TControl)
pt | OnMouseEnter (TControl)
pt | OnMouseLeave (TControl)
pt | OnMouseMove (TControl)
pt | OnMouseUp (TControl)
pt | OnMouseWheel (TControl)
pt | OnMouseWheelDown (TControl)
pt | OnMouseWheelHorz (TControl)
pt | OnMouseWheelLeft (TControl)
pt | OnMouseWheelRight (TControl)
pt | OnMouseWheelUp (TControl)
pt | OnPaint (TGraphicControl)
pt | OnQuadClick (TControl)
 | OnResize (TControl)
 | OnShowHint (TControl)
pt | OnStartDock (TControl)
pt | OnStartDrag (TControl)
pt | OnTripleClick (TControl)


TCustomSpeedButton.AllowAllUp

Boolean flag to determine whether all buttons are allowed to be Up (default false)

Declaration

Source position: buttons.pp line 390

public property TCustomSpeedButton.AllowAllUp : Boolean
  read FAllowAllUp
  write SetAllowAllUp
  default False;


TCustomSpeedButton.ButtonGlyph

Declaration

Source position: buttons.pp line 344

protected function TCustomSpeedButton.ButtonGlyph: TButtonGlyph;


TCustomSpeedButton.CalculatePreferredSize

Declaration

Source position: buttons.pp line 348

protected procedure TCustomSpeedButton.CalculatePreferredSize(

  var PreferredWidth: Integer;

  var PreferredHeight: Integer;

  WithThemeSpace: Boolean

); override;


TCustomSpeedButton.Color

Declaration

Source position: buttons.pp line 391

public property TCustomSpeedButton.Color : TColor
  default clBtnFace;


TCustomSpeedButton.Create

Create - constructor for TCustomSpeedButton: calls inherited Create and initialises many defaults and properties

Declaration

Source position: buttons.pp line 383

public constructor TCustomSpeedButton.Create(

  AOwner: TComponent

); override;

Description

Create - constructor for TCustomSpeedButton: calls inherited Create and initialises many defaults and properties

Among the properties set are Glyph, initial bounds, control style, layout, colour, caption and mouse responses

See also

TGraphicControl.Create


TCustomSpeedButton.Destroy

Destroy - destructor for TCustomSpeedButton: frees Glyph then calls inherited Destroy

Declaration

Source position: buttons.pp line 384

public destructor TCustomSpeedButton.Destroy; override;

See also

TGraphicControl.Destroy


TCustomSpeedButton.Down

The button has been set in the Down state

Declaration

Source position: buttons.pp line 392

public property TCustomSpeedButton.Down : Boolean
  read FDown
  write SetDown
  default False;


TCustomSpeedButton.DrawGlyph

Draw the glyph in the specified canvas in the specified rectangle at a given offset within the client, with specified state and transparency

Declaration

Source position: buttons.pp line 380

protected function TCustomSpeedButton.DrawGlyph(

  ACanvas: TCanvas;

  const AClient: TRect;

  const AOffset: TPoint;

  AState: TButtonState;

  ATransparent: Boolean;

  BiDiFlags: LongInt

):TRect; virtual;


TCustomSpeedButton.FindDownButton

FindDownButton - returns the button that is down

Declaration

Source position: buttons.pp line 385

public function TCustomSpeedButton.FindDownButton: TCustomSpeedButton;


TCustomSpeedButton.Flat

Whether the button is to be displayed Flat or in relief

Declaration

Source position: buttons.pp line 393

public property TCustomSpeedButton.Flat : Boolean
  read FFlat
  write SetFlat
  default False;


TCustomSpeedButton.FState

FState - local variable to hold the state of the speedbutton (whether checked or not)

Declaration

Source position: buttons.pp line 342

protected TCustomSpeedButton.FState : TButtonState;


TCustomSpeedButton.GetDrawDetails

GetDrawDetails - returns the structured details for drawing

Declaration

Source position: buttons.pp line 371

protected function TCustomSpeedButton.GetDrawDetails: TThemedElementDetails; virtual;


TCustomSpeedButton.GetGlyphSize

GetGlyphSize - returns the size of the glyoh within the specified PaintRect

Declaration

Source position: buttons.pp line 378

protected function TCustomSpeedButton.GetGlyphSize(

  Drawing: Boolean;

  PaintRect: TRect

):TSize; virtual;


TCustomSpeedButton.GetNumGlyphs

Find the number of Glyphs

Declaration

Source position: buttons.pp line 345

protected function TCustomSpeedButton.GetNumGlyphs: Integer;


TCustomSpeedButton.GetTextSize

GetTextSize - returns the size of the text within the specified PaintRect

Declaration

Source position: buttons.pp line 379

protected function TCustomSpeedButton.GetTextSize(

  Drawing: Boolean;

  PaintRect: TRect

):TSize; virtual;


TCustomSpeedButton.Glyph

The Bitmap glyph to be used on this button

Declaration

Source position: buttons.pp line 394

public property TCustomSpeedButton.Glyph : TBitmap
  read GetGlyph
  write SetGlyph
  stored IsGlyphStored;


TCustomSpeedButton.GlyphChanged

What to do if the Glyph has changed

Declaration

Source position: buttons.pp line 346

protected procedure TCustomSpeedButton.GlyphChanged(

  Sender: TObject

); virtual;


TCustomSpeedButton.GroupIndex

The Index within the group of speedbuttons

Declaration

Source position: buttons.pp line 395

public property TCustomSpeedButton.GroupIndex : Integer
  read FGroupIndex
  write SetGroupIndex
  default 0;


TCustomSpeedButton.ImageIndex

Declaration

Source position: buttons.pp line 397

public property TCustomSpeedButton.ImageIndex : TImageIndex
  read GetImageIndex
  write SetImageIndex
  default - 1;


TCustomSpeedButton.Images

Declaration

Source position: buttons.pp line 396

public property TCustomSpeedButton.Images : TCustomImageList
  read GetImages
  write SetImages;


TCustomSpeedButton.ImageWidth

Declaration

Source position: buttons.pp line 398

public property TCustomSpeedButton.ImageWidth : Integer
  read GetImageWidth
  write SetImageWidth
  default 0;


TCustomSpeedButton.Layout

The button layout - Glyph at top, bottom, left or right

Declaration

Source position: buttons.pp line 399

public property TCustomSpeedButton.Layout : TButtonLayout
  read FLayout
  write SetLayout
  default blGlyphLeft;


TCustomSpeedButton.LoadGlyphFromLazarusResource

LoadGlyphFromLazarusResource - method for loading a glyph from a Lazarus Resource file (.lrs)

Declaration

Source position: buttons.pp line 388

public procedure TCustomSpeedButton.LoadGlyphFromLazarusResource(

  const AName: string

);


TCustomSpeedButton.LoadGlyphFromResourceName

Declaration

Source position: buttons.pp line 387

public procedure TCustomSpeedButton.LoadGlyphFromResourceName(

  Instance: THandle;

  const AName: string

);


TCustomSpeedButton.Margin

Margin - the space around glyph and caption

Declaration

Source position: buttons.pp line 400

public property TCustomSpeedButton.Margin : Integer
  read FMargin
  write SetMargin
  default - 1;

Description

A value of -1 centers the content. If Spacing is -1 too then there is the same space on the left, between the glyph and caption, and on the right.


TCustomSpeedButton.MeasureDraw

Declaration

Source position: buttons.pp line 350

protected procedure TCustomSpeedButton.MeasureDraw(

  Draw: Boolean;

  PaintRect: TRect;

  out PreferredWidth: Integer;

  out PreferredHeight: Integer

);


TCustomSpeedButton.MouseInControl

MouseInControl - returns True if the mouse cursor is in the control

Declaration

Source position: buttons.pp line 372

protected property TCustomSpeedButton.MouseInControl : Boolean
  read FMouseInControl;


TCustomSpeedButton.Notification

Declaration

Source position: buttons.pp line 359

protected procedure TCustomSpeedButton.Notification(

  AComponent: TComponent;

  Operation: TOperation

); override;


TCustomSpeedButton.NumGlyphs

The number of Glyphs available

Declaration

Source position: buttons.pp line 401

public property TCustomSpeedButton.NumGlyphs : Integer
  read GetNumGlyphs
  write SetNumGlyphs
  default 1;


TCustomSpeedButton.PaintBackground

Paint the background

Declaration

Source position: buttons.pp line 362

protected procedure TCustomSpeedButton.PaintBackground(

  var PaintRect: TRect

); virtual;


TCustomSpeedButton.SetDown

SetDown - specifies the boolean value of Down (ie whether or not button was pressed)

Declaration

Source position: buttons.pp line 363

protected procedure TCustomSpeedButton.SetDown(

  Value: Boolean

);


TCustomSpeedButton.SetFlat

SetFlat - specifies whether or not the button is displayed Flat

Declaration

Source position: buttons.pp line 365

protected procedure TCustomSpeedButton.SetFlat(

  const Value: Boolean

);


TCustomSpeedButton.SetGroupIndex

SetGroupIndex - specifies the value of the Group Index

Declaration

Source position: buttons.pp line 364

protected procedure TCustomSpeedButton.SetGroupIndex(

  const Value: Integer

);


TCustomSpeedButton.SetMargin

SetMargin - specifies the size of the margin

Declaration

Source position: buttons.pp line 366

protected procedure TCustomSpeedButton.SetMargin(

  const Value: Integer

);


TCustomSpeedButton.SetNumGlyphs

SetNumGlyphs - specifies the number of glyphs

Declaration

Source position: buttons.pp line 367

protected procedure TCustomSpeedButton.SetNumGlyphs(

  Value: Integer

);


TCustomSpeedButton.SetSpacing

SetSpacing - specifies the spacing between buttons

Declaration

Source position: buttons.pp line 368

protected procedure TCustomSpeedButton.SetSpacing(

  const Value: Integer

);


TCustomSpeedButton.ShowAccelChar

Should accelerator character be shown (ie underlined character denoting key to be pressed for quick action)?

Declaration

Source position: buttons.pp line 402

public property TCustomSpeedButton.ShowAccelChar : Boolean
  read FShowAccelChar
  write SetShowAccelChar
  default True;


TCustomSpeedButton.ShowCaption

Should caption be displayed?

Declaration

Source position: buttons.pp line 403

public property TCustomSpeedButton.ShowCaption : Boolean
  read FShowCaption
  write SetShowCaption
  default True;


TCustomSpeedButton.Spacing

Spacing between Glyph and Caption

Declaration

Source position: buttons.pp line 404

public property TCustomSpeedButton.Spacing : Integer
  read FSpacing
  write SetSpacing
  default 4;

Description

If Spacing is -1 and Margin is -1 then Glyph and Caption are centered and there is the same amount of space between Glyph and Caption and on the left and right. If Spacing is -1 and Margin is not -1 then Spacing will fill the remaining space.


TCustomSpeedButton.Transparent

Whether button is transparent

Declaration

Source position: buttons.pp line 405

public property TCustomSpeedButton.Transparent : Boolean
  read GetTransparent
  write SetTransparent
  default True;


TCustomSpeedButton.UpdateState

UpdateState - brings the state up oto date, implementing any pending changes, and rendering non-valid if InvalidateOnChange is True

Declaration

Source position: buttons.pp line 370

protected procedure TCustomSpeedButton.UpdateState(

  InvalidateOnChange: Boolean

); virtual;


TSpeedButton

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

A Button used to represent states (checked or not, etc)

Declaration

Source position: buttons.pp line 411

type TSpeedButton = class(TCustomSpeedButton)
published
property Action: TBasicAction; | The Action associated with this control.
property Align: TAlign; | Specifies the placement of the control inside its Parent.
property AllowAllUp: Boolean; | Boolean flag to determine whether all buttons are allowed to be Up (default false)
property Anchors: TAnchors; | The set of anchor definitions for this control.
property AutoSize: Boolean;
property BidiMode: TBiDiMode;
property BorderSpacing: TControlBorderSpacing; | Determines the inner and outer border spacing for this control.
property Constraints: TSizeConstraints; | The minimal and maximal Width and Height of this control.
property Caption: TCaption; | The text describing the control to the user.
property Color: TColor; | The background color of the control.
property Down: Boolean; | The button has been set in the Down state
property Enabled: Boolean; | Determines whether the control reacts on mouse or keyboard input.
property Flat: Boolean; | Whether the button is to be displayed Flat or in relief
property Font: TFont; | The font to be used for text display in this control.
property Glyph: TBitmap; | The Bitmap glyph to be used on this button
property GroupIndex: Integer; | The Index within the group of speedbuttons
property Images: TCustomImageList;
property ImageIndex: TImageIndex;
property ImageWidth: Integer;
property Layout: TButtonLayout; | The button layout - Glyph at top, bottom, left or right
property Margin: Integer; | Margin - the space around glyph and caption
property NumGlyphs: Integer; | The number of Glyphs available
property Spacing: Integer; | Spacing between Glyph and Caption
property Transparent: Boolean; | Whether button is transparent
property Visible: Boolean; | Allows to show or hide the control, and all of its children.
property OnClick: TNotifyEvent; | Notification handler for mouse clicks.
property OnDblClick: TNotifyEvent; | Event Handler for double mouse clicks.
property OnMouseDown: TMouseEvent; | Event handler for mouse button going down.
property OnMouseEnter: TNotifyEvent; | Event handler for mouse entering the area of the control.
property OnMouseLeave: TNotifyEvent; | Event handler for mouse leaving the area of the control.
property OnMouseMove: TMouseMoveEvent; | Event handler for mouse movement within the current control
property OnMouseUp: TMouseEvent; | Event handler for mouse button going up.
property OnMouseWheel: TMouseWheelEvent;
property OnMouseWheelDown: TMouseWheelUpDownEvent;
property OnMouseWheelUp: TMouseWheelUpDownEvent;
property OnPaint: TNotifyEvent; | Supply your own OnPaint handler for painting the control.
property OnResize: TNotifyEvent; | Notification handler for a resize of the control.
property OnChangeBounds: TNotifyEvent; | Event handler for a change of the Bounds of the control.
property ShowCaption: Boolean; | Should caption be displayed?
property ShowHint: Boolean; | Enables the Hint display.
property ParentBidiMode: Boolean;
property ParentFont: Boolean; | If true, the Font of the control will be the same as the one from the Parent. Default is true.
property ParentShowHint: Boolean; | If true, the value of ShowHint for the control will be the same as the one from the Parent. Default is true.
property PopupMenu: TPopupMenu; | A context-sensitive menu that pops up when the right mouse button is clicked over this control
end;

Inheritance

TSpeedButton | A Button used to represent states (checked or not, etc)
|
TCustomSpeedButton | The ancestor class for TSpeedButton
|
TGraphicControl | TGraphicControl is the base class for all lightweight controls.
|
TControl | The base class for visible controls.
|
TLCLComponent | The base class for LCL components associated with widgets.
|
TComponent,IUnknown,IInterfaceComponentReference
|
TPersistent,IFPObserved
|
TObject

Description

The Speed Button is designed to automate a process when it is selected. An user pushes a button to start an action or set a mode.
When a user clicks on a SpeedButton focus is not shifted; a Speed Button never gets focus. The button may carry an descriptive glyph, and has a state (checked or not, etc)

See also

HowToUseStdCtrls

How to use StdCtrls, ComCtrls or ExtCtrls


TSpeedButton
pl | ro | Action
pl | ro | Align
pl | ro | AllowAllUp
pl | ro | Anchors
pl | ro | AutoSize
pl | ro | BidiMode
pl | ro | BorderSpacing
pl | ro | Constraints
pl | ro | Caption
pl | ro | Color
pl | ro | Down
pl | ro | Enabled
pl | ro | Flat
pl | ro | Font
pl | ro | Glyph
pl | ro | GroupIndex
pl | ro | Images
pl | ro | ImageIndex
pl | ro | ImageWidth
pl | ro | Layout
pl | ro | Margin
pl | ro | NumGlyphs
pl | ro | Spacing
pl | ro | Transparent
pl | ro | Visible
pl | ro | ShowCaption
pl | ro | ShowHint
pl | ro | ParentBidiMode
pl | ro | ParentFont
pl | ro | ParentShowHint
pl | ro | PopupMenu
TCustomSpeedButton
pt | ro | MouseInControl
 |  | AllowAllUp
 | ro | Color
 |  | Down
 |  | Flat
 |  | Glyph
 |  | GroupIndex
 |  | Images
 |  | ImageIndex
 |  | ImageWidth
 |  | Layout
 |  | Margin
 |  | NumGlyphs
 |  | ShowAccelChar
 |  | ShowCaption
 |  | Spacing
 |  | Transparent
TGraphicControl
 | ro | Canvas
TControl
pt | ro | AutoSizing
pt | ro | AutoSizingAll
pt | ro | AutoSizingLockCount
pt |  | ActionLink
pt |  | DesktopFont
pt |  | DragCursor
pt |  | DragKind
pt |  | DragMode
pt |  | MouseCapture
pt |  | ParentColor
pt |  | ParentFont
pt |  | ParentShowHint
pt |  | SessionProperties
pt |  | Text
 | ro | AnchoredControls
 | ro | BaseBounds
 | ro | ReadBounds
 | ro | BaseParentClientSize
 |  | AccessibleDescription
 |  | AccessibleValue
 |  | AccessibleRole
 |  | Action
 |  | Align
 |  | Anchors
 | ro | AnchorSide
 |  | AutoSize
 |  | BorderSpacing
 |  | BoundsRect
 |  | BoundsRectForNewParent
 |  | Caption
 |  | CaptureMouseButtons
 |  | ClientHeight
 | ro | ClientOrigin
 | ro | ClientRect
 |  | ClientWidth
 |  | Color
 |  | Constraints
 | ro | ControlOrigin
 |  | ControlState
 |  | ControlStyle
 |  | Enabled
 |  | Font
 |  | IsControl
 | ro | MouseEntered
 | ro | MouseInClient
 |  | Parent
 |  | PopupMenu
 |  | ShowHint
 |  | Visible
 |  | WindowProc
 |  | DockOrientation
 | ro | Floating
 |  | FloatingDockSiteClass
 |  | HostDockSite
 |  | LRDockWidth
 |  | TBDockHeight
 |  | UndockHeight
 |  | UndockWidth
 |  | BiDiMode
 |  | ParentBiDiMode
pl |  | AnchorSideLeft
pl |  | AnchorSideTop
pl |  | AnchorSideRight
pl |  | AnchorSideBottom
pl |  | Cursor
pl |  | Left
pl |  | Height
pl |  | Hint
pl |  | Top
pl |  | Width
pl |  | HelpType
pl |  | HelpKeyword
pl |  | HelpContext
TLCLComponent
 | ro | LCLRefCount
 | ro | WidgetSetClass
TComponent
 | ro | ComObject
 | ro | Components
 | ro | ComponentCount
 |  | ComponentIndex
 | ro | ComponentState
 | ro | ComponentStyle
 |  | DesignInfo
 | ro | Owner
 |  | VCLComObject
 |  | Name
 |  | Tag
TPersistent
TObject


 |  | AccessibleDescription (TControl)
 |  | AccessibleRole (TControl)
 |  | AccessibleValue (TControl)
 |  | Action (TControl)
pl | ro | Action (TSpeedButton)
pt |  | ActionLink (TControl)
 |  | Align (TControl)
pl | ro | Align (TSpeedButton)
 |  | AllowAllUp (TCustomSpeedButton)
pl | ro | AllowAllUp (TSpeedButton)
 | ro | AnchoredControls (TControl)
 |  | Anchors (TControl)
pl | ro | Anchors (TSpeedButton)
 | ro | AnchorSide (TControl)
pl |  | AnchorSideBottom (TControl)
pl |  | AnchorSideLeft (TControl)
pl |  | AnchorSideRight (TControl)
pl |  | AnchorSideTop (TControl)
 |  | AutoSize (TControl)
pl | ro | AutoSize (TSpeedButton)
pt | ro | AutoSizing (TControl)
pt | ro | AutoSizingAll (TControl)
pt | ro | AutoSizingLockCount (TControl)
 | ro | BaseBounds (TControl)
 | ro | BaseParentClientSize (TControl)
 |  | BiDiMode (TControl)
pl | ro | BidiMode (TSpeedButton)
 |  | BorderSpacing (TControl)
pl | ro | BorderSpacing (TSpeedButton)
 |  | BoundsRect (TControl)
 |  | BoundsRectForNewParent (TControl)
 | ro | Canvas (TGraphicControl)
 |  | Caption (TControl)
pl | ro | Caption (TSpeedButton)
 |  | CaptureMouseButtons (TControl)
 |  | ClientHeight (TControl)
 | ro | ClientOrigin (TControl)
 | ro | ClientRect (TControl)
 |  | ClientWidth (TControl)
 |  | Color (TControl)
 | ro | Color (TCustomSpeedButton)
pl | ro | Color (TSpeedButton)
 | ro | ComObject (TComponent)
 | ro | ComponentCount (TComponent)
 |  | ComponentIndex (TComponent)
 | ro | Components (TComponent)
 | ro | ComponentState (TComponent)
 | ro | ComponentStyle (TComponent)
 |  | Constraints (TControl)
pl | ro | Constraints (TSpeedButton)
 | ro | ControlOrigin (TControl)
 |  | ControlState (TControl)
 |  | ControlStyle (TControl)
pl |  | Cursor (TControl)
 |  | DesignInfo (TComponent)
pt |  | DesktopFont (TControl)
 |  | DockOrientation (TControl)
 |  | Down (TCustomSpeedButton)
pl | ro | Down (TSpeedButton)
pt |  | DragCursor (TControl)
pt |  | DragKind (TControl)
pt |  | DragMode (TControl)
 |  | Enabled (TControl)
pl | ro | Enabled (TSpeedButton)
 |  | Flat (TCustomSpeedButton)
pl | ro | Flat (TSpeedButton)
 | ro | Floating (TControl)
 |  | FloatingDockSiteClass (TControl)
 |  | Font (TControl)
pl | ro | Font (TSpeedButton)
 |  | Glyph (TCustomSpeedButton)
pl | ro | Glyph (TSpeedButton)
 |  | GroupIndex (TCustomSpeedButton)
pl | ro | GroupIndex (TSpeedButton)
pl |  | Height (TControl)
pl |  | HelpContext (TControl)
pl |  | HelpKeyword (TControl)
pl |  | HelpType (TControl)
pl |  | Hint (TControl)
 |  | HostDockSite (TControl)
 |  | ImageIndex (TCustomSpeedButton)
pl | ro | ImageIndex (TSpeedButton)
 |  | Images (TCustomSpeedButton)
pl | ro | Images (TSpeedButton)
 |  | ImageWidth (TCustomSpeedButton)
pl | ro | ImageWidth (TSpeedButton)
 |  | IsControl (TControl)
 |  | Layout (TCustomSpeedButton)
pl | ro | Layout (TSpeedButton)
 | ro | LCLRefCount (TLCLComponent)
pl |  | Left (TControl)
 |  | LRDockWidth (TControl)
 |  | Margin (TCustomSpeedButton)
pl | ro | Margin (TSpeedButton)
pt |  | MouseCapture (TControl)
 | ro | MouseEntered (TControl)
 | ro | MouseInClient (TControl)
pt | ro | MouseInControl (TCustomSpeedButton)
 |  | Name (TComponent)
 |  | NumGlyphs (TCustomSpeedButton)
pl | ro | NumGlyphs (TSpeedButton)
 | ro | Owner (TComponent)
 |  | Parent (TControl)
 |  | ParentBiDiMode (TControl)
pl | ro | ParentBidiMode (TSpeedButton)
pt |  | ParentColor (TControl)
pt |  | ParentFont (TControl)
pl | ro | ParentFont (TSpeedButton)
pt |  | ParentShowHint (TControl)
pl | ro | ParentShowHint (TSpeedButton)
 |  | PopupMenu (TControl)
pl | ro | PopupMenu (TSpeedButton)
 | ro | ReadBounds (TControl)
pt |  | SessionProperties (TControl)
 |  | ShowAccelChar (TCustomSpeedButton)
 |  | ShowCaption (TCustomSpeedButton)
pl | ro | ShowCaption (TSpeedButton)
 |  | ShowHint (TControl)
pl | ro | ShowHint (TSpeedButton)
 |  | Spacing (TCustomSpeedButton)
pl | ro | Spacing (TSpeedButton)
 |  | Tag (TComponent)
 |  | TBDockHeight (TControl)
pt |  | Text (TControl)
pl |  | Top (TControl)
 |  | Transparent (TCustomSpeedButton)
pl | ro | Transparent (TSpeedButton)
 |  | UndockHeight (TControl)
 |  | UndockWidth (TControl)
 |  | VCLComObject (TComponent)
 |  | Visible (TControl)
pl | ro | Visible (TSpeedButton)
 | ro | WidgetSetClass (TLCLComponent)
pl |  | Width (TControl)
 |  | WindowProc (TControl)


TSpeedButton
TCustomSpeedButton
pt | WSRegisterClass
pt | ButtonGlyph
pt | GetNumGlyphs
pt | GlyphChanged
pt | DialogChar
pt | CalculatePreferredSize
pt | MeasureDraw
pt | MouseEnter
pt | MouseLeave
pt | MouseDown
pt | MouseMove
pt | MouseUp
pt | Notification
pt | Paint
pt | PaintBackground
pt | SetDown
pt | SetGroupIndex
pt | SetFlat
pt | SetMargin
pt | SetNumGlyphs
pt | SetSpacing
pt | RealSetText
pt | UpdateState
pt | GetDrawDetails
pt | ActionChange
pt | GetActionLinkClass
pt | GetControlClassDefaultSize
pt | Loaded
pt | GetGlyphSize
pt | GetTextSize
pt | DrawGlyph
 | Create
 | Destroy
 | FindDownButton
 | Click
 | LoadGlyphFromResourceName
 | LoadGlyphFromLazarusResource
TGraphicControl
pt | WSRegisterClass
pt | FontChanged
pt | Paint
pt | DoOnChangeBounds
pt | DoOnParentHandleDestruction
pt | CMCursorChanged
 | Create
 | Destroy
TControl
pt | WSRegisterClass
pt | GetCursor
pt | SetCursor
pt | SetVisible
pt | DoOnParentHandleDestruction
pt | DoAutoSize
pt | DoAllAutoSize
pt | BeginAutoSizing
pt | EndAutoSizing
pt | AnchorSideChanged
pt | ForeignAnchorSideChanged
pt | SetAlign
pt | SetAnchors
pt | SetAutoSize
pt | BoundsChanged
pt | CreateControlBorderSpacing
pt | DoConstraintsChange
pt | DoBorderSpacingChange
pt | IsBorderSpacingInnerBorderStored
pt | IsCaptionStored
pt | SendMoveSizeMessages
pt | ConstrainedResize
pt | CalculatePreferredSize
pt | DoOnResize
pt | DoOnChangeBounds
pt | CheckOnChangeBounds
pt | Resize
pt | RequestAlign
pt | UpdateAnchorRules
pt | ChangeBounds
pt | DoSetBounds
pt | ScaleConstraints
pt | ChangeScale
pt | CanAutoSize
pt | SetBiDiMode
pt | SetParentBiDiMode
pt | IsAParentAligning
pt | GetClientOrigin
pt | GetClientRect
pt | GetLogicalClientRect
pt | GetScrolledClientRect
pt | GetClientScrollOffset
pt | GetControlOrigin
pt | IsClientHeightStored
pt | IsClientWidthStored
pt | WidthIsAnchored
pt | HeightIsAnchored
pt | WMCancelMode
pt | WMContextMenu
pt | WMLButtonDown
pt | WMRButtonDown
pt | WMMButtonDown
pt | WMXButtonDown
pt | WMLButtonDBLCLK
pt | WMRButtonDBLCLK
pt | WMMButtonDBLCLK
pt | WMXButtonDBLCLK
pt | WMLButtonTripleCLK
pt | WMRButtonTripleCLK
pt | WMMButtonTripleCLK
pt | WMXButtonTripleCLK
pt | WMLButtonQuadCLK
pt | WMRButtonQuadCLK
pt | WMMButtonQuadCLK
pt | WMXButtonQuadCLK
pt | WMMouseMove
pt | WMLButtonUp
pt | WMRButtonUp
pt | WMMButtonUp
pt | WMXButtonUp
pt | WMMouseWheel
pt | WMMouseHWheel
pt | WMMove
pt | WMSize
pt | WMWindowPosChanged
pt | CMChanged
pt | LMCaptureChanged
pt | CMBiDiModeChanged
pt | CMSysFontChanged
pt | CMEnabledChanged
pt | CMHitTest
pt | CMMouseEnter
pt | CMMouseLeave
pt | CMHintShow
pt | CMParentBiDiModeChanged
pt | CMParentColorChanged
pt | CMParentFontChanged
pt | CMParentShowHintChanged
pt | CMVisibleChanged
pt | CMTextChanged
pt | CMCursorChanged
pt | CalculateDockSizes
pt | CreateFloatingDockSite
pt | GetDockEdge
pt | GetDragImages
pt | GetFloating
pt | GetFloatingDockSiteClass
pt | BeforeDragStart
pt | BeginAutoDrag
pt | DoFloatMsg
pt | DockTrackNoTarget
pt | DoDock
pt | DoDragMsg
pt | DoEndDock
pt | DoEndDrag
pt | DoStartDock
pt | DoStartDrag
pt | DragCanceled
pt | DragOver
pt | PositionDockRect
pt | SetDragMode
pt | GetDefaultDockCaption
pt | Click
pt | DblClick
pt | TripleClick
pt | QuadClick
pt | GetMousePosFromMessage
pt | MouseDown
pt | MouseMove
pt | MouseUp
pt | MouseEnter
pt | MouseLeave
pt | DialogChar
pt | UpdateMouseCursor
pt | Changed
pt | GetPalette
pt | ChildClassAllowed
pt | ReadState
pt | Loaded
pt | LoadedAll
pt | DefineProperties
pt | AssignTo
pt | FormEndUpdated
pt | InvalidateControl
pt | FontChanged
pt | ParentFontChanged
pt | GetAction
pt | RealGetText
pt | RealSetText
pt | TextChanged
pt | GetCachedText
pt | SetAction
pt | SetColor
pt | SetEnabled
pt | SetHint
pt | SetName
pt | SetParent
pt | SetParentComponent
pt | WndProc
pt | ParentFormHandleInitialized
pt | GetMouseCapture
pt | CaptureChanged
pt | Notification
pt | CanTab
pt | GetDeviceContext
pt | GetEnabled
pt | GetPopupMenu
pt | DoOnShowHint
pt | DoMouseWheel
pt | DoMouseWheelDown
pt | DoMouseWheelUp
pt | DoMouseWheelHorz
pt | DoMouseWheelLeft
pt | DoMouseWheelRight
pt | VisibleChanging
pt | VisibleChanged
pt | EnabledChanging
pt | EnabledChanged
pt | AddHandler
pt | RemoveHandler
pt | DoCallNotifyHandler
pt | DoCallKeyEventHandler
pt | DoCallMouseWheelEventHandler
pt | DoContextPopup
pt | SetZOrder
pt | GetControlClassDefaultSize
pt | ColorIsStored
pt | DoAutoAdjustLayout
pt | DoFixDesignFontPPI
pt | DoScaleFontPPI
pt | GetActionLinkClass
pt | ActionChange
 | DragDrop
 | Dock
 | ManualDock
 | ManualFloat
 | ReplaceDockedControl
 | Docked
 | Dragging
 | GetAccessibleObject
 | CreateAccessibleObject
 | GetSelectedChildAccessibleObject
 | GetChildAccessibleObjectAtPos
 | ScaleDesignToForm
 | ScaleFormToDesign
 | Scale96ToForm
 | ScaleFormTo96
 | Scale96ToFont
 | ScaleFontTo96
 | ScaleScreenToFont
 | ScaleFontToScreen
 | Scale96ToScreen
 | ScaleScreenTo96
 | AdjustSize
 | AutoSizePhases
 | AutoSizeDelayed
 | AutoSizeDelayedReport
 | AutoSizeDelayedHandle
 | AnchorToNeighbour
 | AnchorParallel
 | AnchorHorizontalCenterTo
 | AnchorVerticalCenterTo
 | AnchorToCompanion
 | AnchorSame
 | AnchorAsAlign
 | AnchorClient
 | AnchoredControlCount
 | SetBounds
 | SetInitialBounds
 | SetBoundsKeepBase
 | GetPreferredSize
 | GetCanvasScaleFactor
 | GetDefaultWidth
 | GetDefaultHeight
 | GetDefaultColor
 | GetColorResolvingParent
 | GetRGBColorResolvingParent
 | GetSidePosition
 | CNPreferredSizeChanged
 | InvalidatePreferredSize
 | GetAnchorsDependingOnParent
 | DisableAutoSizing
 | EnableAutoSizing
 | UpdateBaseBounds
 | WriteLayoutDebugReport
 | AutoAdjustLayout
 | ShouldAutoAdjust
 | FixDesignFontsPPI
 | ScaleFontsPPI
 | Create
 | Destroy
 | BeforeDestruction
 | EditingDone
 | ExecuteDefaultAction
 | ExecuteCancelAction
 | BeginDrag
 | EndDrag
 | BringToFront
 | HasParent
 | GetParentComponent
 | IsParentOf
 | GetTopParent
 | IsVisible
 | IsControlVisible
 | IsEnabled
 | IsParentColor
 | IsParentFont
 | FormIsUpdating
 | IsProcessingPaintMsg
 | Hide
 | Refresh
 | Repaint
 | Invalidate
 | CheckChildClassAllowed
 | CheckNewParent
 | SendToBack
 | SetTempCursor
 | UpdateRolesForForm
 | ActiveDefaultControlChanged
 | GetTextBuf
 | GetTextLen
 | SetTextBuf
 | Perform
 | ScreenToClient
 | ClientToScreen
 | ScreenToControl
 | ControlToScreen
 | ClientToParent
 | ParentToClient
 | GetChildrenRect
 | Show
 | Update
 | HandleObjectShouldBeVisible
 | ParentDestroyingHandle
 | ParentHandlesAllocated
 | InitiateAction
 | ShowHelp
 | HasHelp
 | RemoveAllHandlersOfObject
 | AddHandlerOnResize
 | RemoveHandlerOnResize
 | AddHandlerOnChangeBounds
 | RemoveHandlerOnChangeBounds
 | AddHandlerOnVisibleChanging
 | RemoveHandlerOnVisibleChanging
 | AddHandlerOnVisibleChanged
 | RemoveHandlerOnVisibleChanged
 | AddHandlerOnEnabledChanged
 | RemoveHandlerOnEnableChanging
 | AddHandlerOnKeyDown
 | RemoveHandlerOnKeyDown
 | AddHandlerOnBeforeDestruction
 | RemoveHandlerOnBeforeDestruction
 | AddHandlerOnMouseWheel
 | RemoveHandlerOnMouseWheel
 | UseRightToLeftAlignment
 | UseRightToLeftReading
 | UseRightToLeftScrollBar
 | IsRightToLeft
TLCLComponent
pt | WSRegisterClass
pt | GetWSComponentClass
 | Create
 | Destroy
 | NewInstance
 | RemoveAllHandlersOfObject
 | IncLCLRefCount
 | DecLCLRefCount
TComponent
 | GetComObject
 | GetComponent
 | GetComponentCount
 | GetComponentIndex
 | Insert
 | ReadLeft
 | ReadTop
 | Remove
 | RemoveNotification
 | SetComponentIndex
 | SetReference
 | WriteLeft
 | WriteTop
 | ChangeName
 | DefineProperties
 | GetChildren
 | GetChildOwner
 | GetChildParent
 | GetOwner
 | Loaded
 | Loading
 | Notification
 | PaletteCreated
 | ReadState
 | SetAncestor
 | SetDesigning
 | SetDesignInstance
 | SetInline
 | SetName
 | SetChildOrder
 | SetParentComponent
 | Updating
 | Updated
 | UpdateRegistry
 | ValidateRename
 | ValidateContainer
 | ValidateInsert
 | QueryInterface
 | _AddRef
 | _Release
 | iicrGetComponent
 | GetTypeInfoCount
 | GetTypeInfo
 | GetIDsOfNames
 | Invoke
 | WriteState
 | Create
 | Destroy
 | BeforeDestruction
 | DestroyComponents
 | Destroying
 | ExecuteAction
 | FindComponent
 | FreeNotification
 | RemoveFreeNotification
 | FreeOnRelease
 | GetEnumerator
 | GetNamePath
 | GetParentComponent
 | HasParent
 | InsertComponent
 | RemoveComponent
 | SafeCallException
 | SetSubComponent
 | UpdateAction
 | IsImplementorOf
 | ReferenceInterface
TPersistent
 | AssignError
 | AssignTo
 | DefineProperties
 | GetOwner
 | Destroy
 | Assign
 | FPOAttachObserver
 | FPODetachObserver
 | FPONotifyObservers
 | GetNamePath
TObject
 | Create
 | Destroy
 | newinstance
 | FreeInstance
 | SafeCallException
 | DefaultHandler
 | Free
 | InitInstance
 | CleanupInstance
 | ClassType
 | ClassInfo
 | ClassName
 | ClassNameIs
 | ClassParent
 | InstanceSize
 | InheritsFrom
 | StringMessageTable
 | MethodAddress
 | MethodName
 | FieldAddress
 | AfterConstruction
 | BeforeDestruction
 | DefaultHandlerStr
 | Dispatch
 | DispatchStr
 | GetInterface
 | GetInterfaceByStr
 | GetInterfaceWeak
 | GetInterfaceEntry
 | GetInterfaceEntryByStr
 | GetInterfaceTable
 | UnitName
 | Equals
 | GetHashCode
 | ToString


TSpeedButton
pl | ro | OnClick
pl | ro | OnDblClick
pl | ro | OnMouseDown
pl | ro | OnMouseEnter
pl | ro | OnMouseLeave
pl | ro | OnMouseMove
pl | ro | OnMouseUp
pl | ro | OnMouseWheel
pl | ro | OnMouseWheelDown
pl | ro | OnMouseWheelUp
pl | ro | OnPaint
pl | ro | OnResize
pl | ro | OnChangeBounds
TCustomSpeedButton
TGraphicControl
pt |  | OnPaint
TControl
pt |  | OnConstrainedResize
pt |  | OnContextPopup
pt |  | OnDblClick
pt |  | OnTripleClick
pt |  | OnQuadClick
pt |  | OnDragDrop
pt |  | OnDragOver
pt |  | OnEndDock
pt |  | OnEndDrag
pt |  | OnMouseDown
pt |  | OnMouseMove
pt |  | OnMouseUp
pt |  | OnMouseEnter
pt |  | OnMouseLeave
pt |  | OnMouseWheel
pt |  | OnMouseWheelDown
pt |  | OnMouseWheelUp
pt |  | OnMouseWheelHorz
pt |  | OnMouseWheelLeft
pt |  | OnMouseWheelRight
pt |  | OnStartDock
pt |  | OnStartDrag
pt |  | OnEditingDone
 |  | OnChangeBounds
 |  | OnClick
 |  | OnResize
 |  | OnShowHint
TLCLComponent
TComponent
TPersistent
TObject


pl | ro | OnChangeBounds (TSpeedButton)
 |  | OnClick (TControl)
pl | ro | OnClick (TSpeedButton)
pt |  | OnConstrainedResize (TControl)
pt |  | OnContextPopup (TControl)
pt |  | OnDblClick (TControl)
pl | ro | OnDblClick (TSpeedButton)
pt |  | OnDragDrop (TControl)
pt |  | OnDragOver (TControl)
pt |  | OnEditingDone (TControl)
pt |  | OnEndDock (TControl)
pt |  | OnEndDrag (TControl)
pt |  | OnMouseDown (TControl)
pl | ro | OnMouseDown (TSpeedButton)
pt |  | OnMouseEnter (TControl)
pl | ro | OnMouseEnter (TSpeedButton)
pt |  | OnMouseLeave (TControl)
pl | ro | OnMouseLeave (TSpeedButton)
pt |  | OnMouseMove (TControl)
pl | ro | OnMouseMove (TSpeedButton)
pt |  | OnMouseUp (TControl)
pl | ro | OnMouseUp (TSpeedButton)
pt |  | OnMouseWheel (TControl)
pl | ro | OnMouseWheel (TSpeedButton)
pt |  | OnMouseWheelDown (TControl)
pl | ro | OnMouseWheelDown (TSpeedButton)
pt |  | OnMouseWheelHorz (TControl)
pt |  | OnMouseWheelLeft (TControl)
pt |  | OnMouseWheelRight (TControl)
pt |  | OnMouseWheelUp (TControl)
pl | ro | OnMouseWheelUp (TSpeedButton)
pt |  | OnPaint (TGraphicControl)
pl | ro | OnPaint (TSpeedButton)
pt |  | OnQuadClick (TControl)
 |  | OnResize (TControl)
pl | ro | OnResize (TSpeedButton)
 |  | OnShowHint (TControl)
pt |  | OnStartDock (TControl)
pt |  | OnStartDrag (TControl)
pt |  | OnTripleClick (TControl)


TSpeedButton.AutoSize

Declaration

Source position: buttons.pp line 417

published property TSpeedButton.AutoSize : Boolean;


TSpeedButton.BidiMode

Declaration

Source position: buttons.pp line 418

published property TSpeedButton.BidiMode : TBiDiMode;


TSpeedButton.ImageIndex

Declaration

Source position: buttons.pp line 430

published property TSpeedButton.ImageIndex : TImageIndex;


TSpeedButton.Images

Declaration

Source position: buttons.pp line 429

published property TSpeedButton.Images : TCustomImageList;


TSpeedButton.ImageWidth

Declaration

Source position: buttons.pp line 431

published property TSpeedButton.ImageWidth : Integer;


TSpeedButton.OnMouseMove

Event handler for mouse movement within the current control

Declaration

Source position: buttons.pp line 443

published property TSpeedButton.OnMouseMove : TMouseMoveEvent;


TSpeedButton.OnMouseWheel

Declaration

Source position: buttons.pp line 445

published property TSpeedButton.OnMouseWheel : TMouseWheelEvent;


TSpeedButton.OnMouseWheelDown

Declaration

Source position: buttons.pp line 446

published property TSpeedButton.OnMouseWheelDown : TMouseWheelUpDownEvent;


TSpeedButton.OnMouseWheelUp

Declaration

Source position: buttons.pp line 447

published property TSpeedButton.OnMouseWheelUp : TMouseWheelUpDownEvent;


TSpeedButton.ParentBidiMode

Declaration

Source position: buttons.pp line 453

published property TSpeedButton.ParentBidiMode : Boolean;


TSpeedButtonActionLink

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Links a TSpeedButton with an action.

Declaration

Source position: buttons.pp line 287

type TSpeedButtonActionLink = class(TControlActionLink)
protected
procedure AssignClient(); override; |
procedure SetGroupIndex(); override; | SetGroupIndex - stores the value of the index within the list of links
procedure SetChecked(); override; | SetChecked - stores the Checked status (True or False)
public
function IsCheckedLinked; override; | Is the action's Checked property linked to the client?
function IsGroupIndexLinked; override; | Is the action's GroupIndex property linked to the client?
end;

Inheritance

TSpeedButtonActionLink | Links a TSpeedButton with an action.
|
TControlActionLink | Links an Action to a control.
|
TActionLink | A link between an action and a client class
|
TBasicActionLink
|
TObject


TSpeedButtonActionLink

TControlActionLink

TActionLink

TBasicActionLink

Action

TObject


TSpeedButtonActionLink
pt | AssignClient
pt | SetGroupIndex
pt | SetChecked
 | IsCheckedLinked
 | IsGroupIndexLinked
TControlActionLink
pt | AssignClient
pt | SetCaption
pt | SetEnabled
pt | SetHint
pt | SetHelpContext
pt | SetHelpKeyword
pt | SetHelpType
pt | SetVisible
pt | SetOnExecute
pt | IsOnExecuteLinked
pt | DoShowHint
 | IsCaptionLinked
 | IsEnabledLinked
 | IsHelpLinked
 | IsHintLinked
 | IsVisibleLinked
TActionLink
pt | SetAutoCheck
pt | SetCaption
pt | SetChecked
pt | SetEnabled
pt | SetGroupIndex
pt | SetHelpContext
pt | SetHelpKeyword
pt | SetHelpType
pt | SetHint
pt | SetImageIndex
pt | SetShortCut
pt | SetVisible
 | IsCaptionLinked
 | IsCheckedLinked
 | IsEnabledLinked
 | IsGroupIndexLinked
 | IsHelpContextLinked
 | IsHelpLinked
 | IsHintLinked
 | IsImageIndexLinked
 | IsShortCutLinked
 | IsVisibleLinked
TBasicActionLink
 | AssignClient
 | Change
 | IsOnExecuteLinked
 | SetAction
 | SetOnExecute
 | Create
 | Destroy
 | Execute
 | Update
TObject
 | Create
 | Destroy
 | newinstance
 | FreeInstance
 | SafeCallException
 | DefaultHandler
 | Free
 | InitInstance
 | CleanupInstance
 | ClassType
 | ClassInfo
 | ClassName
 | ClassNameIs
 | ClassParent
 | InstanceSize
 | InheritsFrom
 | StringMessageTable
 | MethodAddress
 | MethodName
 | FieldAddress
 | AfterConstruction
 | BeforeDestruction
 | DefaultHandlerStr
 | Dispatch
 | DispatchStr
 | GetInterface
 | GetInterfaceByStr
 | GetInterfaceWeak
 | GetInterfaceEntry
 | GetInterfaceEntryByStr
 | GetInterfaceTable
 | UnitName
 | Equals
 | GetHashCode
 | ToString


 | AssignClient (TBasicActionLink)
pt | AssignClient (TControlActionLink)
pt | AssignClient (TSpeedButtonActionLink)
 | BeforeDestruction (TObject)
 | Change (TBasicActionLink)
 | ClassInfo (TObject)
 | ClassName (TObject)
 | ClassNameIs (TObject)
 | ClassParent (TObject)
 | ClassType (TObject)
 | CleanupInstance (TObject)
 | Create (TObject)
 | Create (TBasicActionLink)
 | DefaultHandler (TObject)
 | DefaultHandlerStr (TObject)
 | Destroy (TObject)
 | Destroy (TBasicActionLink)
 | Dispatch (TObject)
 | DispatchStr (TObject)
pt | DoShowHint (TControlActionLink)
 | Equals (TObject)
 | Execute (TBasicActionLink)
 | FieldAddress (TObject)
 | Free (TObject)
 | FreeInstance (TObject)
 | GetHashCode (TObject)
 | GetInterface (TObject)
 | GetInterfaceByStr (TObject)
 | GetInterfaceEntry (TObject)
 | GetInterfaceEntryByStr (TObject)
 | GetInterfaceTable (TObject)
 | GetInterfaceWeak (TObject)
 | InheritsFrom (TObject)
 | InitInstance (TObject)
 | InstanceSize (TObject)
 | IsCaptionLinked (TActionLink)
 | IsCaptionLinked (TControlActionLink)
 | IsCheckedLinked (TActionLink)
 | IsCheckedLinked (TSpeedButtonActionLink)
 | IsEnabledLinked (TActionLink)
 | IsEnabledLinked (TControlActionLink)
 | IsGroupIndexLinked (TActionLink)
 | IsGroupIndexLinked (TSpeedButtonActionLink)
 | IsHelpContextLinked (TActionLink)
 | IsHelpLinked (TActionLink)
 | IsHelpLinked (TControlActionLink)
 | IsHintLinked (TActionLink)
 | IsHintLinked (TControlActionLink)
 | IsImageIndexLinked (TActionLink)
 | IsOnExecuteLinked (TBasicActionLink)
pt | IsOnExecuteLinked (TControlActionLink)
 | IsShortCutLinked (TActionLink)
 | IsVisibleLinked (TActionLink)
 | IsVisibleLinked (TControlActionLink)
 | MethodAddress (TObject)
 | MethodName (TObject)
 | newinstance (TObject)
 | SafeCallException (TObject)
 | SetAction (TBasicActionLink)
pt | SetAutoCheck (TActionLink)
pt | SetCaption (TActionLink)
pt | SetCaption (TControlActionLink)
pt | SetChecked (TActionLink)
pt | SetChecked (TSpeedButtonActionLink)
pt | SetEnabled (TActionLink)
pt | SetEnabled (TControlActionLink)
pt | SetGroupIndex (TActionLink)
pt | SetGroupIndex (TSpeedButtonActionLink)
pt | SetHelpContext (TActionLink)
pt | SetHelpContext (TControlActionLink)
pt | SetHelpKeyword (TActionLink)
pt | SetHelpKeyword (TControlActionLink)
pt | SetHelpType (TActionLink)
pt | SetHelpType (TControlActionLink)
pt | SetHint (TActionLink)
pt | SetHint (TControlActionLink)
pt | SetImageIndex (TActionLink)
 | SetOnExecute (TBasicActionLink)
pt | SetOnExecute (TControlActionLink)
pt | SetShortCut (TActionLink)
pt | SetVisible (TActionLink)
pt | SetVisible (TControlActionLink)
 | StringMessageTable (TObject)
 | ToString (TObject)
 | UnitName (TObject)
 | Update (TBasicActionLink)


TSpeedButtonActionLink

TControlActionLink

TActionLink

TBasicActionLink

OnChange

TObject


TSpeedButtonActionLink.SetChecked

SetChecked - stores the Checked status (True or False)

Declaration

Source position: buttons.pp line 291

protected procedure TSpeedButtonActionLink.SetChecked(

  Value: Boolean

); override;


TSpeedButtonActionLink.SetGroupIndex

SetGroupIndex - stores the value of the index within the list of links

Declaration

Source position: buttons.pp line 290

protected procedure TSpeedButtonActionLink.SetGroupIndex(

  Value: Integer

); override;


EInvalidDate

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

EInvalidDate - exception handler when a non-valid date is selected

Declaration

Source position: calendar.pp line 68

type EInvalidDate = class(Exception)

Inheritance

EInvalidDate

EInvalidDate - exception handler when a non-valid date is selected
|

Exception
|

TObject


EInvalidDate
Exception
 | HelpContext
 | Message
TObject


EInvalidDate
Exception
 | Create
 | CreateFmt
 | CreateRes
 | CreateResFmt
 | CreateHelp
 | CreateFmtHelp
 | CreateResHelp
 | CreateResFmtHelp
 | ToString
TObject
 | Create
 | Destroy
 | newinstance
 | FreeInstance
 | SafeCallException
 | DefaultHandler
 | Free
 | InitInstance
 | CleanupInstance
 | ClassType
 | ClassInfo
 | ClassName
 | ClassNameIs
 | ClassParent
 | InstanceSize
 | InheritsFrom
 | StringMessageTable
 | MethodAddress
 | MethodName
 | FieldAddress
 | AfterConstruction
 | BeforeDestruction
 | DefaultHandlerStr
 | Dispatch
 | DispatchStr
 | GetInterface
 | GetInterfaceByStr
 | GetInterfaceWeak
 | GetInterfaceEntry
 | GetInterfaceEntryByStr
 | GetInterfaceTable
 | UnitName
 | Equals
 | GetHashCode
 | ToString


AfterConstruction (TObject)

BeforeDestruction (TObject)

ClassInfo (TObject)

ClassName (TObject)

ClassNameIs (TObject)

ClassParent (TObject)

ClassType (TObject)

CleanupInstance (TObject)

Create (TObject)

Create (Exception)

CreateFmt (Exception)

CreateFmtHelp (Exception)

CreateHelp (Exception)

CreateRes (Exception)

CreateResFmt (Exception)

CreateResFmtHelp (Exception)

CreateResHelp (Exception)

DefaultHandler (TObject)

DefaultHandlerStr (TObject)

Destroy (TObject)

Dispatch (TObject)

DispatchStr (TObject)

Equals (TObject)

FieldAddress (TObject)

Free (TObject)

FreeInstance (TObject)

GetHashCode (TObject)

GetInterface (TObject)

GetInterfaceByStr (TObject)

GetInterfaceEntry (TObject)

GetInterfaceEntryByStr (TObject)

GetInterfaceTable (TObject)

GetInterfaceWeak (TObject)

InheritsFrom (TObject)

InitInstance (TObject)

InstanceSize (TObject)

MethodAddress (TObject)

MethodName (TObject)

newinstance (TObject)

SafeCallException (TObject)

StringMessageTable (TObject)

ToString (TObject)

ToString (Exception)

UnitName (TObject)


EInvalidDate

Exception

TObject


TCalendar

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

TCalendar - a graphic allowing the user to select a date which is returned as data to the calling routine

Declaration

Source position: calendar.pp line 116

type TCalendar = class(TCustomCalendar)
published
property Align: TAlign; | Specifies the placement of the control inside its Parent.
property Anchors: TAnchors; | The set of anchor definitions for this control.
property AutoSize: Boolean;
property BorderSpacing: TControlBorderSpacing; | Determines the inner and outer border spacing for this control.
property Constraints: TSizeConstraints; | The minimal and maximal Width and Height of this control.
property DateTime: TDateTime; | The composite DateTime value returned by the control
property DisplaySettings: TDisplaySettings; | DisplaySettings - various options governing the appearance of the display
property DoubleBuffered: Boolean;
property Hint: TTranslateString;
property OnChange: TNotifyEvent; | OnChange - event handler for any change in Calendar
property OnChangeBounds: TNotifyEvent; | Event handler for a change of the Bounds of the control.
property OnClick: TNotifyEvent; | Notification handler for mouse clicks.
property OnDayChanged: TNotifyEvent; | OnDayChanged - event handler for a change in Day selected
property OnDblClick: TNotifyEvent; | Event Handler for double mouse clicks.
property OnEnter: TNotifyEvent; | Handler for control receiving the focus.
property OnExit: TNotifyEvent; | Handler for control loosing the focus. This is a good place for checking the finished user input.
property OnKeyDown: TKeyEvent; | Handler for keyboard key pressed.
property OnKeyPress: TKeyPressEvent; | Handler for a character entered by the user.
property OnKeyUp: TKeyEvent; | Handler for keyboard key released.
property OnMonthChanged: TNotifyEvent; | OnMonthChanged - event handler for a change in month selected
property OnMouseDown: TMouseEvent; | Event handler for mouse button going down.
property OnMouseEnter: TNotifyEvent; | Event handler for mouse entering the area of the control.
property OnMouseLeave: TNotifyEvent; | Event handler for mouse leaving the area of the control.
property OnMouseMove: TMouseMoveEvent; | Event handler for mouse movement within the control.
property OnMouseUp: TMouseEvent; | Event handler for mouse button going up.
property OnMouseWheel: TMouseWheelEvent;
property OnMouseWheelDown: TMouseWheelUpDownEvent;
property OnMouseWheelUp: TMouseWheelUpDownEvent;
property OnMouseWheelHorz: TMouseWheelEvent;
property OnMouseWheelLeft: TMouseWheelUpDownEvent;
property OnMouseWheelRight: TMouseWheelUpDownEvent;
property OnResize: TNotifyEvent; | Notification handler for a resize of the control.
property OnUTF8KeyPress: TUTF8KeyPressEvent; | Handler for a character entered by the user.
property OnYearChanged: TNotifyEvent; | OnYearChanged - event handler for a change in the year selected
property ParentDoubleBuffered: Boolean;
property PopupMenu: TPopupMenu; | A context-sensitive menu that pops up when the right mouse button is clicked over this control
property ShowHint: Boolean;
property TabOrder: TTabOrder;
property TabStop: Boolean; | Allows the user to navigate to this control, by pressing the Tab key.
property Visible: Boolean; | Allows to show or hide the control, and all of its children.
end;

Inheritance

TCalendar | TCalendar - a graphic allowing the user to select a date which is returned as data to the calling routine
|
TCustomCalendar | TCustomCalendar - base class for TCalendar, a graphic for selecting a date
|
TWinControl | The base class for controls which can contain other (child) controls.
|
TControl | The base class for visible controls.
|
TLCLComponent | The base class for LCL components associated with widgets.
|
TComponent,IUnknown,IInterfaceComponentReference
|
TPersistent,IFPObserved
|
TObject


TCalendar
pl | ro | Align
pl | ro | Anchors
pl | ro | AutoSize
pl | ro | BorderSpacing
pl | ro | Constraints
pl | ro | DateTime
pl | ro | DisplaySettings
pl | ro | DoubleBuffered
pl | ro | Hint
pl | ro | ParentDoubleBuffered
pl | ro | PopupMenu
pl | ro | ShowHint
pl | ro | TabOrder
pl | ro | TabStop
pl | ro | Visible
TCustomCalendar
 |  | Date
 |  | DateTime
 |  | DisplaySettings
TWinControl
pt |  | WindowHandle
pt |  | BorderStyle
pt |  | ParentBackground
 |  | BorderWidth
 | ro | BoundsLockCount
 | ro | Brush
 | ro | CachedClientHeight
 | ro | CachedClientWidth
 |  | ChildSizing
 | ro | ControlCount
 | ro | Controls
 |  | DefWndProc
 | ro | DockClientCount
 | ro | DockClients
 |  | DockManager
 |  | DockSite
 |  | DoubleBuffered
 |  | Handle
 | ro | IsFlipped
 | ro | IsResizing
 |  | TabOrder
 |  | TabStop
 |  | ParentDoubleBuffered
 |  | ParentWindow
 | ro | Showing
 |  | UseDockManager
 |  | DesignerDeleting
 | ro | VisibleDockClientCount
TControl
pt | ro | AutoSizing
pt | ro | AutoSizingAll
pt | ro | AutoSizingLockCount
pt |  | ActionLink
pt |  | DesktopFont
pt |  | DragCursor
pt |  | DragKind
pt |  | DragMode
pt |  | MouseCapture
pt |  | ParentColor
pt |  | ParentFont
pt |  | ParentShowHint
pt |  | SessionProperties
pt |  | Text
 | ro | AnchoredControls
 | ro | BaseBounds
 | ro | ReadBounds
 | ro | BaseParentClientSize
 |  | AccessibleDescription
 |  | AccessibleValue
 |  | AccessibleRole
 |  | Action
 |  | Align
 |  | Anchors
 | ro | AnchorSide
 |  | AutoSize
 |  | BorderSpacing
 |  | BoundsRect
 |  | BoundsRectForNewParent
 |  | Caption
 |  | CaptureMouseButtons
 |  | ClientHeight
 | ro | ClientOrigin
 | ro | ClientRect
 |  | ClientWidth
 |  | Color
 |  | Constraints
 | ro | ControlOrigin
 |  | ControlState
 |  | ControlStyle
 |  | Enabled
 |  | Font
 |  | IsControl
 | ro | MouseEntered
 | ro | MouseInClient
 |  | Parent
 |  | PopupMenu
 |  | ShowHint
 |  | Visible
 |  | WindowProc
 |  | DockOrientation
 | ro | Floating
 |  | FloatingDockSiteClass
 |  | HostDockSite
 |  | LRDockWidth
 |  | TBDockHeight
 |  | UndockHeight
 |  | UndockWidth
 |  | BiDiMode
 |  | ParentBiDiMode
pl |  | AnchorSideLeft
pl |  | AnchorSideTop
pl |  | AnchorSideRight
pl |  | AnchorSideBottom
pl |  | Cursor
pl |  | Left
pl |  | Height
pl |  | Hint
pl |  | Top
pl |  | Width
pl |  | HelpType
pl |  | HelpKeyword
pl |  | HelpContext
TLCLComponent
 | ro | LCLRefCount
 | ro | WidgetSetClass
TComponent
 | ro | ComObject
 | ro | Components
 | ro | ComponentCount
 |  | ComponentIndex
 | ro | ComponentState
 | ro | ComponentStyle
 |  | DesignInfo
 | ro | Owner
 |  | VCLComObject
 |  | Name
 |  | Tag
TPersistent
TObject


 |  | AccessibleDescription (TControl)
 |  | AccessibleRole (TControl)
 |  | AccessibleValue (TControl)
 |  | Action (TControl)
pt |  | ActionLink (TControl)
 |  | Align (TControl)
pl | ro | Align (TCalendar)
 | ro | AnchoredControls (TControl)
 |  | Anchors (TControl)
pl | ro | Anchors (TCalendar)
 | ro | AnchorSide (TControl)
pl |  | AnchorSideBottom (TControl)
pl |  | AnchorSideLeft (TControl)
pl |  | AnchorSideRight (TControl)
pl |  | AnchorSideTop (TControl)
 |  | AutoSize (TControl)
pl | ro | AutoSize (TCalendar)
pt | ro | AutoSizing (TControl)
pt | ro | AutoSizingAll (TControl)
pt | ro | AutoSizingLockCount (TControl)
 | ro | BaseBounds (TControl)
 | ro | BaseParentClientSize (TControl)
 |  | BiDiMode (TControl)
 |  | BorderSpacing (TControl)
pl | ro | BorderSpacing (TCalendar)
pt |  | BorderStyle (TWinControl)
 |  | BorderWidth (TWinControl)
 | ro | BoundsLockCount (TWinControl)
 |  | BoundsRect (TControl)
 |  | BoundsRectForNewParent (TControl)
 | ro | Brush (TWinControl)
 | ro | CachedClientHeight (TWinControl)
 | ro | CachedClientWidth (TWinControl)
 |  | Caption (TControl)
 |  | CaptureMouseButtons (TControl)
 |  | ChildSizing (TWinControl)
 |  | ClientHeight (TControl)
 | ro | ClientOrigin (TControl)
 | ro | ClientRect (TControl)
 |  | ClientWidth (TControl)
 |  | Color (TControl)
 | ro | ComObject (TComponent)
 | ro | ComponentCount (TComponent)
 |  | ComponentIndex (TComponent)
 | ro | Components (TComponent)
 | ro | ComponentState (TComponent)
 | ro | ComponentStyle (TComponent)
 |  | Constraints (TControl)
pl | ro | Constraints (TCalendar)
 | ro | ControlCount (TWinControl)
 | ro | ControlOrigin (TControl)
 | ro | Controls (TWinControl)
 |  | ControlState (TControl)
 |  | ControlStyle (TControl)
pl |  | Cursor (TControl)
 |  | Date (TCustomCalendar)
 |  | DateTime (TCustomCalendar)
pl | ro | DateTime (TCalendar)
 |  | DefWndProc (TWinControl)
 |  | DesignerDeleting (TWinControl)
 |  | DesignInfo (TComponent)
pt |  | DesktopFont (TControl)
 |  | DisplaySettings (TCustomCalendar)
pl | ro | DisplaySettings (TCalendar)
 | ro | DockClientCount (TWinControl)
 | ro | DockClients (TWinControl)
 |  | DockManager (TWinControl)
 |  | DockOrientation (TControl)
 |  | DockSite (TWinControl)
 |  | DoubleBuffered (TWinControl)
pl | ro | DoubleBuffered (TCalendar)
pt |  | DragCursor (TControl)
pt |  | DragKind (TControl)
pt |  | DragMode (TControl)
 |  | Enabled (TControl)
 | ro | Floating (TControl)
 |  | FloatingDockSiteClass (TControl)
 |  | Font (TControl)
 |  | Handle (TWinControl)
pl |  | Height (TControl)
pl |  | HelpContext (TControl)
pl |  | HelpKeyword (TControl)
pl |  | HelpType (TControl)
pl |  | Hint (TControl)
pl | ro | Hint (TCalendar)
 |  | HostDockSite (TControl)
 |  | IsControl (TControl)
 | ro | IsFlipped (TWinControl)
 | ro | IsResizing (TWinControl)
 | ro | LCLRefCount (TLCLComponent)
pl |  | Left (TControl)
 |  | LRDockWidth (TControl)
pt |  | MouseCapture (TControl)
 | ro | MouseEntered (TControl)
 | ro | MouseInClient (TControl)
 |  | Name (TComponent)
 | ro | Owner (TComponent)
 |  | Parent (TControl)
pt |  | ParentBackground (TWinControl)
 |  | ParentBiDiMode (TControl)
pt |  | ParentColor (TControl)
 |  | ParentDoubleBuffered (TWinControl)
pl | ro | ParentDoubleBuffered (TCalendar)
pt |  | ParentFont (TControl)
pt |  | ParentShowHint (TControl)
 |  | ParentWindow (TWinControl)
 |  | PopupMenu (TControl)
pl | ro | PopupMenu (TCalendar)
 | ro | ReadBounds (TControl)
pt |  | SessionProperties (TControl)
 |  | ShowHint (TControl)
pl | ro | ShowHint (TCalendar)
 | ro | Showing (TWinControl)
 |  | TabOrder (TWinControl)
pl | ro | TabOrder (TCalendar)
 |  | TabStop (TWinControl)
pl | ro | TabStop (TCalendar)
 |  | Tag (TComponent)
 |  | TBDockHeight (TControl)
pt |  | Text (TControl)
pl |  | Top (TControl)
 |  | UndockHeight (TControl)
 |  | UndockWidth (TControl)
 |  | UseDockManager (TWinControl)
 |  | VCLComObject (TComponent)
 |  | Visible (TControl)
pl | ro | Visible (TCalendar)
 | ro | VisibleDockClientCount (TWinControl)
 | ro | WidgetSetClass (TLCLComponent)
pl |  | Width (TControl)
pt |  | WindowHandle (TWinControl)
 |  | WindowProc (TControl)


TCalendar
TCustomCalendar
pt | WSRegisterClass
pt | LMChanged
pt | LMMonthChanged
pt | LMYearChanged
pt | LMDayChanged
pt | GetControlClassDefaultSize
pt | Loaded
pt | InitializeWnd
pt | DestroyWnd
 | Create
 | HitTest
 | GetCalendarView
TWinControl
pt | WSRegisterClass
pt | AdjustClientRect
pt | GetAdjustedLogicalClientRect
pt | AlignControls
pt | CustomAlignInsertBefore
pt | CustomAlignPosition
pt | DoAlignChildControls
pt | DoChildSizingChange
pt | InvalidatePreferredChildSizes
pt | CanTab
pt | IsClientHeightStored
pt | IsClientWidthStored
pt | DoSendShowHideToInterface
pt | ControlsAligned
pt | DoSendBoundsToInterface
pt | RealizeBounds
pt | RealizeBoundsRecursive
pt | InvalidateBoundsRealized
pt | CreateSubClass
pt | DoConstraintsChange
pt | DoSetBounds
pt | DoAutoSize
pt | DoAllAutoSize
pt | AllAutoSized
pt | CalculatePreferredSize
pt | GetPreferredSizeClientFrame
pt | GetChildren
pt | ChildClassAllowed
pt | PaintControls
pt | PaintHandler
pt | PaintWindow
pt | CreateBrush
pt | ScaleControls
pt | ChangeScale
pt | CMBiDiModeChanged
pt | CMBorderChanged
pt | CMDoubleBufferedChanged
pt | CMEnabledChanged
pt | CMParentDoubleBufferedChanged
pt | CMShowingChanged
pt | CMShowHintChanged
pt | CMVisibleChanged
pt | CMEnter
pt | CMExit
pt | WMContextMenu
pt | WMEraseBkgnd
pt | WMNotify
pt | WMSetFocus
pt | WMKillFocus
pt | WMShowWindow
pt | WMEnter
pt | WMExit
pt | WMKeyDown
pt | WMSysKeyDown
pt | WMKeyUp
pt | WMSysKeyUp
pt | WMChar
pt | WMSysChar
pt | WMPaint
pt | WMDestroy
pt | WMMove
pt | WMSize
pt | WMWindowPosChanged
pt | CNKeyDown
pt | CNSysKeyDown
pt | CNKeyUp
pt | CNSysKeyUp
pt | CNChar
pt | DoDragMsg
pt | DoDockClientMsg
pt | DoUndockClientMsg
pt | DoAddDockClient
pt | DockOver
pt | DoDockOver
pt | DoRemoveDockClient
pt | DoUnDock
pt | GetSiteInfo
pt | GetParentHandle
pt | GetTopParentHandle
pt | ReloadDockedControl
pt | CreateDockManager
pt | SetDockManager
pt | DoFloatMsg
pt | DoGetDockCaption
pt | DoEnter
pt | DoExit
pt | DoKeyDownBeforeInterface
pt | DoRemainingKeyDown
pt | DoRemainingKeyUp
pt | DoKeyPress
pt | DoUTF8KeyPress
pt | DoKeyUpBeforeInterface
pt | ChildKey
pt | SendDialogChar
pt | DialogChar
pt | ControlKeyDown
pt | ControlKeyUp
pt | KeyDown
pt | KeyDownBeforeInterface
pt | KeyDownAfterInterface
pt | KeyPress
pt | KeyUp
pt | KeyUpBeforeInterface
pt | KeyUpAfterInterface
pt | UTF8KeyPress
pt | FindNextControl
pt | SelectFirst
pt | RealGetText
pt | GetBorderStyle
pt | GetClientOrigin
pt | GetClientRect
pt | GetControlOrigin
pt | GetDeviceContext
pt | GetParentBackground
pt | IsControlMouseMsg
pt | CreateHandle
pt | CreateParams
pt | CreateWnd
pt | DestroyHandle
pt | DestroyWnd
pt | DoFlipChildren
pt | FinalizeWnd
pt | FixupTabList
pt | FontChanged
pt | InitializeWnd
pt | Loaded
pt | FormEndUpdated
pt | MainWndProc
pt | ParentFormHandleInitialized
pt | ChildHandlesCreated
pt | GetMouseCapture
pt | RealSetText
pt | RemoveFocus
pt | SendMoveSizeMessages
pt | SetBorderStyle
pt | SetColor
pt | SetChildZPosition
pt | SetParentBackground
pt | ShowControl
pt | UpdateControlState
pt | UpdateShowing
pt | WndProc
pt | WSSetText
 | AutoSizePhases
 | AutoSizeDelayed
 | AutoSizeDelayedReport
 | AutoSizeDelayedHandle
 | BeginUpdateBounds
 | EndUpdateBounds
 | LockRealizeBounds
 | UnlockRealizeBounds
 | ControlAtPos
 | ContainsControl
 | DoAdjustClientRectChange
 | InvalidateClientRectCache
 | ClientRectNeedsInterfaceUpdate
 | SetBounds
 | GetChildrenRect
 | DisableAlign
 | EnableAlign
 | ReAlign
 | ScrollBy_WS
 | ScrollBy
 | WriteLayoutDebugReport
 | AutoAdjustLayout
 | Create
 | CreateParented
 | CreateParentedControl
 | Destroy
 | DockDrop
 | CanFocus
 | CanSetFocus
 | GetControlIndex
 | SetControlIndex
 | Focused
 | PerformTab
 | FindChildControl
 | SelectNext
 | SetTempCursor
 | BroadCast
 | NotifyControls
 | DefaultHandler
 | GetTextLen
 | Invalidate
 | AddControl
 | InsertControl
 | RemoveControl
 | GetEnumeratorControls
 | GetEnumeratorControlsReverse
 | Repaint
 | Update
 | SetFocus
 | FlipChildren
 | ScaleBy
 | GetDockCaption
 | UpdateDockCaption
 | GetTabOrderList
 | HandleAllocated
 | ParentHandlesAllocated
 | HandleNeeded
 | BrushCreated
 | EraseBackground
 | IntfUTF8KeyPress
 | IntfGetDropFilesTarget
 | PaintTo
 | SetShape
TControl
pt | WSRegisterClass
pt | GetCursor
pt | SetCursor
pt | SetVisible
pt | DoOnParentHandleDestruction
pt | DoAutoSize
pt | DoAllAutoSize
pt | BeginAutoSizing
pt | EndAutoSizing
pt | AnchorSideChanged
pt | ForeignAnchorSideChanged
pt | SetAlign
pt | SetAnchors
pt | SetAutoSize
pt | BoundsChanged
pt | CreateControlBorderSpacing
pt | DoConstraintsChange
pt | DoBorderSpacingChange
pt | IsBorderSpacingInnerBorderStored
pt | IsCaptionStored
pt | SendMoveSizeMessages
pt | ConstrainedResize
pt | CalculatePreferredSize
pt | DoOnResize
pt | DoOnChangeBounds
pt | CheckOnChangeBounds
pt | Resize
pt | RequestAlign
pt | UpdateAnchorRules
pt | ChangeBounds
pt | DoSetBounds
pt | ScaleConstraints
pt | ChangeScale
pt | CanAutoSize
pt | SetBiDiMode
pt | SetParentBiDiMode
pt | IsAParentAligning
pt | GetClientOrigin
pt | GetClientRect
pt | GetLogicalClientRect
pt | GetScrolledClientRect
pt | GetClientScrollOffset
pt | GetControlOrigin
pt | IsClientHeightStored
pt | IsClientWidthStored
pt | WidthIsAnchored
pt | HeightIsAnchored
pt | WMCancelMode
pt | WMContextMenu
pt | WMLButtonDown
pt | WMRButtonDown
pt | WMMButtonDown
pt | WMXButtonDown
pt | WMLButtonDBLCLK
pt | WMRButtonDBLCLK
pt | WMMButtonDBLCLK
pt | WMXButtonDBLCLK
pt | WMLButtonTripleCLK
pt | WMRButtonTripleCLK
pt | WMMButtonTripleCLK
pt | WMXButtonTripleCLK
pt | WMLButtonQuadCLK
pt | WMRButtonQuadCLK
pt | WMMButtonQuadCLK
pt | WMXButtonQuadCLK
pt | WMMouseMove
pt | WMLButtonUp
pt | WMRButtonUp
pt | WMMButtonUp
pt | WMXButtonUp
pt | WMMouseWheel
pt | WMMouseHWheel
pt | WMMove
pt | WMSize
pt | WMWindowPosChanged
pt | CMChanged
pt | LMCaptureChanged
pt | CMBiDiModeChanged
pt | CMSysFontChanged
pt | CMEnabledChanged
pt | CMHitTest
pt | CMMouseEnter
pt | CMMouseLeave
pt | CMHintShow
pt | CMParentBiDiModeChanged
pt | CMParentColorChanged
pt | CMParentFontChanged
pt | CMParentShowHintChanged
pt | CMVisibleChanged
pt | CMTextChanged
pt | CMCursorChanged
pt | CalculateDockSizes
pt | CreateFloatingDockSite
pt | GetDockEdge
pt | GetDragImages
pt | GetFloating
pt | GetFloatingDockSiteClass
pt | BeforeDragStart
pt | BeginAutoDrag
pt | DoFloatMsg
pt | DockTrackNoTarget
pt | DoDock
pt | DoDragMsg
pt | DoEndDock
pt | DoEndDrag
pt | DoStartDock
pt | DoStartDrag
pt | DragCanceled
pt | DragOver
pt | PositionDockRect
pt | SetDragMode
pt | GetDefaultDockCaption
pt | Click
pt | DblClick
pt | TripleClick
pt | QuadClick
pt | GetMousePosFromMessage
pt | MouseDown
pt | MouseMove
pt | MouseUp
pt | MouseEnter
pt | MouseLeave
pt | DialogChar
pt | UpdateMouseCursor
pt | Changed
pt | GetPalette
pt | ChildClassAllowed
pt | ReadState
pt | Loaded
pt | LoadedAll
pt | DefineProperties
pt | AssignTo
pt | FormEndUpdated
pt | InvalidateControl
pt | FontChanged
pt | ParentFontChanged
pt | GetAction
pt | RealGetText
pt | RealSetText
pt | TextChanged
pt | GetCachedText
pt | SetAction
pt | SetColor
pt | SetEnabled
pt | SetHint
pt | SetName
pt | SetParent
pt | SetParentComponent
pt | WndProc
pt | ParentFormHandleInitialized
pt | GetMouseCapture
pt | CaptureChanged
pt | Notification
pt | CanTab
pt | GetDeviceContext
pt | GetEnabled
pt | GetPopupMenu
pt | DoOnShowHint
pt | DoMouseWheel
pt | DoMouseWheelDown
pt | DoMouseWheelUp
pt | DoMouseWheelHorz
pt | DoMouseWheelLeft
pt | DoMouseWheelRight
pt | VisibleChanging
pt | VisibleChanged
pt | EnabledChanging
pt | EnabledChanged
pt | AddHandler
pt | RemoveHandler
pt | DoCallNotifyHandler
pt | DoCallKeyEventHandler
pt | DoCallMouseWheelEventHandler
pt | DoContextPopup
pt | SetZOrder
pt | GetControlClassDefaultSize
pt | ColorIsStored
pt | DoAutoAdjustLayout
pt | DoFixDesignFontPPI
pt | DoScaleFontPPI
pt | GetActionLinkClass
pt | ActionChange
 | DragDrop
 | Dock
 | ManualDock
 | ManualFloat
 | ReplaceDockedControl
 | Docked
 | Dragging
 | GetAccessibleObject
 | CreateAccessibleObject
 | GetSelectedChildAccessibleObject
 | GetChildAccessibleObjectAtPos
 | ScaleDesignToForm
 | ScaleFormToDesign
 | Scale96ToForm
 | ScaleFormTo96
 | Scale96ToFont
 | ScaleFontTo96
 | ScaleScreenToFont
 | ScaleFontToScreen
 | Scale96ToScreen
 | ScaleScreenTo96
 | AdjustSize
 | AutoSizePhases
 | AutoSizeDelayed
 | AutoSizeDelayedReport
 | AutoSizeDelayedHandle
 | AnchorToNeighbour
 | AnchorParallel
 | AnchorHorizontalCenterTo
 | AnchorVerticalCenterTo
 | AnchorToCompanion
 | AnchorSame
 | AnchorAsAlign
 | AnchorClient
 | AnchoredControlCount
 | SetBounds
 | SetInitialBounds
 | SetBoundsKeepBase
 | GetPreferredSize
 | GetCanvasScaleFactor
 | GetDefaultWidth
 | GetDefaultHeight
 | GetDefaultColor
 | GetColorResolvingParent
 | GetRGBColorResolvingParent
 | GetSidePosition
 | CNPreferredSizeChanged
 | InvalidatePreferredSize
 | GetAnchorsDependingOnParent
 | DisableAutoSizing
 | EnableAutoSizing
 | UpdateBaseBounds
 | WriteLayoutDebugReport
 | AutoAdjustLayout
 | ShouldAutoAdjust
 | FixDesignFontsPPI
 | ScaleFontsPPI
 | Create
 | Destroy
 | BeforeDestruction
 | EditingDone
 | ExecuteDefaultAction
 | ExecuteCancelAction
 | BeginDrag
 | EndDrag
 | BringToFront
 | HasParent
 | GetParentComponent
 | IsParentOf
 | GetTopParent
 | IsVisible
 | IsControlVisible
 | IsEnabled
 | IsParentColor
 | IsParentFont
 | FormIsUpdating
 | IsProcessingPaintMsg
 | Hide
 | Refresh
 | Repaint
 | Invalidate
 | CheckChildClassAllowed
 | CheckNewParent
 | SendToBack
 | SetTempCursor
 | UpdateRolesForForm
 | ActiveDefaultControlChanged
 | GetTextBuf
 | GetTextLen
 | SetTextBuf
 | Perform
 | ScreenToClient
 | ClientToScreen
 | ScreenToControl
 | ControlToScreen
 | ClientToParent
 | ParentToClient
 | GetChildrenRect
 | Show
 | Update
 | HandleObjectShouldBeVisible
 | ParentDestroyingHandle
 | ParentHandlesAllocated
 | InitiateAction
 | ShowHelp
 | HasHelp
 | RemoveAllHandlersOfObject
 | AddHandlerOnResize
 | RemoveHandlerOnResize
 | AddHandlerOnChangeBounds
 | RemoveHandlerOnChangeBounds
 | AddHandlerOnVisibleChanging
 | RemoveHandlerOnVisibleChanging
 | AddHandlerOnVisibleChanged
 | RemoveHandlerOnVisibleChanged
 | AddHandlerOnEnabledChanged
 | RemoveHandlerOnEnableChanging
 | AddHandlerOnKeyDown
 | RemoveHandlerOnKeyDown
 | AddHandlerOnBeforeDestruction
 | RemoveHandlerOnBeforeDestruction
 | AddHandlerOnMouseWheel
 | RemoveHandlerOnMouseWheel
 | UseRightToLeftAlignment
 | UseRightToLeftReading
 | UseRightToLeftScrollBar
 | IsRightToLeft
TLCLComponent
pt | WSRegisterClass
pt | GetWSComponentClass
 | Create
 | Destroy
 | NewInstance
 | RemoveAllHandlersOfObject
 | IncLCLRefCount
 | DecLCLRefCount
TComponent
 | GetComObject
 | GetComponent
 | GetComponentCount
 | GetComponentIndex
 | Insert
 | ReadLeft
 | ReadTop
 | Remove
 | RemoveNotification
 | SetComponentIndex
 | SetReference
 | WriteLeft
 | WriteTop
 | ChangeName
 | DefineProperties
 | GetChildren
 | GetChildOwner
 | GetChildParent
 | GetOwner
 | Loaded
 | Loading
 | Notification
 | PaletteCreated
 | ReadState
 | SetAncestor
 | SetDesigning
 | SetDesignInstance
 | SetInline
 | SetName
 | SetChildOrder
 | SetParentComponent
 | Updating
 | Updated
 | UpdateRegistry
 | ValidateRename
 | ValidateContainer
 | ValidateInsert
 | QueryInterface
 | _AddRef
 | _Release
 | iicrGetComponent
 | GetTypeInfoCount
 | GetTypeInfo
 | GetIDsOfNames
 | Invoke
 | WriteState
 | Create
 | Destroy
 | BeforeDestruction
 | DestroyComponents
 | Destroying
 | ExecuteAction
 | FindComponent
 | FreeNotification
 | RemoveFreeNotification
 | FreeOnRelease
 | GetEnumerator
 | GetNamePath
 | GetParentComponent
 | HasParent
 | InsertComponent
 | RemoveComponent
 | SafeCallException
 | SetSubComponent
 | UpdateAction
 | IsImplementorOf
 | ReferenceInterface
TPersistent
 | AssignError
 | AssignTo
 | DefineProperties
 | GetOwner
 | Destroy
 | Assign
 | FPOAttachObserver
 | FPODetachObserver
 | FPONotifyObservers
 | GetNamePath
TObject
 | Create
 | Destroy
 | newinstance
 | FreeInstance
 | SafeCallException
 | DefaultHandler
 | Free
 | InitInstance
 | CleanupInstance
 | ClassType
 | ClassInfo
 | ClassName
 | ClassNameIs
 | ClassParent
 | InstanceSize
 | InheritsFrom
 | StringMessageTable
 | MethodAddress
 | MethodName
 | FieldAddress
 | AfterConstruction
 | BeforeDestruction
 | DefaultHandlerStr
 | Dispatch
 | DispatchStr
 | GetInterface
 | GetInterfaceByStr
 | GetInterfaceWeak
 | GetInterfaceEntry
 | GetInterfaceEntryByStr
 | GetInterfaceTable
 | UnitName
 | Equals
 | GetHashCode
 | ToString


pt | ActionChange (TControl)
 | ActiveDefaultControlChanged (TControl)
 | AddControl (TWinControl)
pt | AddHandler (TControl)
 | AddHandlerOnBeforeDestruction (TControl)
 | AddHandlerOnChangeBounds (TControl)
 | AddHandlerOnEnabledChanged (TControl)
 | AddHandlerOnKeyDown (TControl)
 | AddHandlerOnMouseWheel (TControl)
 | AddHandlerOnResize (TControl)
 | AddHandlerOnVisibleChanged (TControl)
 | AddHandlerOnVisibleChanging (TControl)
pt | AdjustClientRect (TWinControl)
 | AdjustSize (TControl)
 | AfterConstruction (TObject)
pt | AlignControls (TWinControl)
pt | AllAutoSized (TWinControl)
 | AnchorAsAlign (TControl)
 | AnchorClient (TControl)
 | AnchoredControlCount (TControl)
 | AnchorHorizontalCenterTo (TControl)
 | AnchorParallel (TControl)
 | AnchorSame (TControl)
pt | AnchorSideChanged (TControl)
 | AnchorToCompanion (TControl)
 | AnchorToNeighbour (TControl)
 | AnchorVerticalCenterTo (TControl)
 | Assign (TPersistent)
 | AssignError (TPersistent)
 | AssignTo (TPersistent)
pt | AssignTo (TControl)
 | AutoAdjustLayout (TControl)
 | AutoAdjustLayout (TWinControl)
 | AutoSizeDelayed (TControl)
 | AutoSizeDelayed (TWinControl)
 | AutoSizeDelayedHandle (TControl)
 | AutoSizeDelayedHandle (TWinControl)
 | AutoSizeDelayedReport (TControl)
 | AutoSizeDelayedReport (TWinControl)
 | AutoSizePhases (TControl)
 | AutoSizePhases (TWinControl)
 | BeforeDestruction (TObject)
 | BeforeDestruction (TComponent)
 | BeforeDestruction (TControl)
pt | BeforeDragStart (TControl)
pt | BeginAutoDrag (TControl)
pt | BeginAutoSizing (TControl)
 | BeginDrag (TControl)
 | BeginUpdateBounds (TWinControl)
pt | BoundsChanged (TControl)
 | BringToFront (TControl)
 | BroadCast (TWinControl)
 | BrushCreated (TWinControl)
pt | CalculateDockSizes (TControl)
pt | CalculatePreferredSize (TControl)
pt | CalculatePreferredSize (TWinControl)
pt | CanAutoSize (TControl)
 | CanFocus (TWinControl)
 | CanSetFocus (TWinControl)
pt | CanTab (TControl)
pt | CanTab (TWinControl)
pt | CaptureChanged (TControl)
pt | ChangeBounds (TControl)
pt | Changed (TControl)
 | ChangeName (TComponent)
pt | ChangeScale (TControl)
pt | ChangeScale (TWinControl)
 | CheckChildClassAllowed (TControl)
 | CheckNewParent (TControl)
pt | CheckOnChangeBounds (TControl)
pt | ChildClassAllowed (TControl)
pt | ChildClassAllowed (TWinControl)
pt | ChildHandlesCreated (TWinControl)
pt | ChildKey (TWinControl)
 | ClassInfo (TObject)
 | ClassName (TObject)
 | ClassNameIs (TObject)
 | ClassParent (TObject)
 | ClassType (TObject)
 | CleanupInstance (TObject)
pt | Click (TControl)
 | ClientRectNeedsInterfaceUpdate (TWinControl)
 | ClientToParent (TControl)
 | ClientToScreen (TControl)
pt | CMBiDiModeChanged (TControl)
pt | CMBiDiModeChanged (TWinControl)
pt | CMBorderChanged (TWinControl)
pt | CMChanged (TControl)
pt | CMCursorChanged (TControl)
pt | CMDoubleBufferedChanged (TWinControl)
pt | CMEnabledChanged (TControl)
pt | CMEnabledChanged (TWinControl)
pt | CMEnter (TWinControl)
pt | CMExit (TWinControl)
pt | CMHintShow (TControl)
pt | CMHitTest (TControl)
pt | CMMouseEnter (TControl)
pt | CMMouseLeave (TControl)
pt | CMParentBiDiModeChanged (TControl)
pt | CMParentColorChanged (TControl)
pt | CMParentDoubleBufferedChanged (TWinControl)
pt | CMParentFontChanged (TControl)
pt | CMParentShowHintChanged (TControl)
pt | CMShowHintChanged (TWinControl)
pt | CMShowingChanged (TWinControl)
pt | CMSysFontChanged (TControl)
pt | CMTextChanged (TControl)
pt | CMVisibleChanged (TControl)
pt | CMVisibleChanged (TWinControl)
pt | CNChar (TWinControl)
pt | CNKeyDown (TWinControl)
pt | CNKeyUp (TWinControl)
 | CNPreferredSizeChanged (TControl)
pt | CNSysKeyDown (TWinControl)
pt | CNSysKeyUp (TWinControl)
pt | ColorIsStored (TControl)
pt | ConstrainedResize (TControl)
 | ContainsControl (TWinControl)
 | ControlAtPos (TWinControl)
pt | ControlKeyDown (TWinControl)
pt | ControlKeyUp (TWinControl)
pt | ControlsAligned (TWinControl)
 | ControlToScreen (TControl)
 | Create (TObject)
 | Create (TComponent)
 | Create (TLCLComponent)
 | Create (TControl)
 | Create (TWinControl)
 | Create (TCustomCalendar)
 | CreateAccessibleObject (TControl)
pt | CreateBrush (TWinControl)
pt | CreateControlBorderSpacing (TControl)
pt | CreateDockManager (TWinControl)
pt | CreateFloatingDockSite (TControl)
pt | CreateHandle (TWinControl)
pt | CreateParams (TWinControl)
 | CreateParented (TWinControl)
 | CreateParentedControl (TWinControl)
pt | CreateSubClass (TWinControl)
pt | CreateWnd (TWinControl)
pt | CustomAlignInsertBefore (TWinControl)
pt | CustomAlignPosition (TWinControl)
pt | DblClick (TControl)
 | DecLCLRefCount (TLCLComponent)
 | DefaultHandler (TObject)
 | DefaultHandler (TWinControl)
 | DefaultHandlerStr (TObject)
 | DefineProperties (TPersistent)
 | DefineProperties (TComponent)
pt | DefineProperties (TControl)
 | Destroy (TObject)
 | Destroy (TPersistent)
 | Destroy (TComponent)
 | Destroy (TLCLComponent)
 | Destroy (TControl)
 | Destroy (TWinControl)
 | DestroyComponents (TComponent)
pt | DestroyHandle (TWinControl)
 | Destroying (TComponent)
pt | DestroyWnd (TWinControl)
pt | DestroyWnd (TCustomCalendar)
pt | DialogChar (TControl)
pt | DialogChar (TWinControl)
 | DisableAlign (TWinControl)
 | DisableAutoSizing (TControl)
 | Dispatch (TObject)
 | DispatchStr (TObject)
pt | DoAddDockClient (TWinControl)
 | DoAdjustClientRectChange (TWinControl)
pt | DoAlignChildControls (TWinControl)
pt | DoAllAutoSize (TControl)
pt | DoAllAutoSize (TWinControl)
pt | DoAutoAdjustLayout (TControl)
pt | DoAutoSize (TControl)
pt | DoAutoSize (TWinControl)
pt | DoBorderSpacingChange (TControl)
pt | DoCallKeyEventHandler (TControl)
pt | DoCallMouseWheelEventHandler (TControl)
pt | DoCallNotifyHandler (TControl)
pt | DoChildSizingChange (TWinControl)
 | Dock (TControl)
 | DockDrop (TWinControl)
 | Docked (TControl)
pt | DockOver (TWinControl)
pt | DockTrackNoTarget (TControl)
pt | DoConstraintsChange (TControl)
pt | DoConstraintsChange (TWinControl)
pt | DoContextPopup (TControl)
pt | DoDock (TControl)
pt | DoDockClientMsg (TWinControl)
pt | DoDockOver (TWinControl)
pt | DoDragMsg (TControl)
pt | DoDragMsg (TWinControl)
pt | DoEndDock (TControl)
pt | DoEndDrag (TControl)
pt | DoEnter (TWinControl)
pt | DoExit (TWinControl)
pt | DoFixDesignFontPPI (TControl)
pt | DoFlipChildren (TWinControl)
pt | DoFloatMsg (TControl)
pt | DoFloatMsg (TWinControl)
pt | DoGetDockCaption (TWinControl)
pt | DoKeyDownBeforeInterface (TWinControl)
pt | DoKeyPress (TWinControl)
pt | DoKeyUpBeforeInterface (TWinControl)
pt | DoMouseWheel (TControl)
pt | DoMouseWheelDown (TControl)
pt | DoMouseWheelHorz (TControl)
pt | DoMouseWheelLeft (TControl)
pt | DoMouseWheelRight (TControl)
pt | DoMouseWheelUp (TControl)
pt | DoOnChangeBounds (TControl)
pt | DoOnParentHandleDestruction (TControl)
pt | DoOnResize (TControl)
pt | DoOnShowHint (TControl)
pt | DoRemainingKeyDown (TWinControl)
pt | DoRemainingKeyUp (TWinControl)
pt | DoRemoveDockClient (TWinControl)
pt | DoScaleFontPPI (TControl)
pt | DoSendBoundsToInterface (TWinControl)
pt | DoSendShowHideToInterface (TWinControl)
pt | DoSetBounds (TControl)
pt | DoSetBounds (TWinControl)
pt | DoStartDock (TControl)
pt | DoStartDrag (TControl)
pt | DoUnDock (TWinControl)
pt | DoUndockClientMsg (TWinControl)
pt | DoUTF8KeyPress (TWinControl)
pt | DragCanceled (TControl)
 | DragDrop (TControl)
 | Dragging (TControl)
pt | DragOver (TControl)
 | EditingDone (TControl)
 | EnableAlign (TWinControl)
 | EnableAutoSizing (TControl)
pt | EnabledChanged (TControl)
pt | EnabledChanging (TControl)
pt | EndAutoSizing (TControl)
 | EndDrag (TControl)
 | EndUpdateBounds (TWinControl)
 | Equals (TObject)
 | EraseBackground (TWinControl)
 | ExecuteAction (TComponent)
 | ExecuteCancelAction (TControl)
 | ExecuteDefaultAction (TControl)
 | FieldAddress (TObject)
pt | FinalizeWnd (TWinControl)
 | FindChildControl (TWinControl)
 | FindComponent (TComponent)
pt | FindNextControl (TWinControl)
 | FixDesignFontsPPI (TControl)
pt | FixupTabList (TWinControl)
 | FlipChildren (TWinControl)
 | Focused (TWinControl)
pt | FontChanged (TControl)
pt | FontChanged (TWinControl)
pt | ForeignAnchorSideChanged (TControl)
pt | FormEndUpdated (TControl)
pt | FormEndUpdated (TWinControl)
 | FormIsUpdating (TControl)
 | FPOAttachObserver (TPersistent)
 | FPODetachObserver (TPersistent)
 | FPONotifyObservers (TPersistent)
 | Free (TObject)
 | FreeInstance (TObject)
 | FreeNotification (TComponent)
 | FreeOnRelease (TComponent)
 | GetAccessibleObject (TControl)
pt | GetAction (TControl)
pt | GetActionLinkClass (TControl)
pt | GetAdjustedLogicalClientRect (TWinControl)
 | GetAnchorsDependingOnParent (TControl)
pt | GetBorderStyle (TWinControl)
pt | GetCachedText (TControl)
 | GetCalendarView (TCustomCalendar)
 | GetCanvasScaleFactor (TControl)
 | GetChildAccessibleObjectAtPos (TControl)
 | GetChildOwner (TComponent)
 | GetChildParent (TComponent)
 | GetChildren (TComponent)
pt | GetChildren (TWinControl)
 | GetChildrenRect (TControl)
 | GetChildrenRect (TWinControl)
pt | GetClientOrigin (TControl)
pt | GetClientOrigin (TWinControl)
pt | GetClientRect (TControl)
pt | GetClientRect (TWinControl)
pt | GetClientScrollOffset (TControl)
 | GetColorResolvingParent (TControl)
 | GetComObject (TComponent)
 | GetComponent (TComponent)
 | GetComponentCount (TComponent)
 | GetComponentIndex (TComponent)
pt | GetControlClassDefaultSize (TControl)
pt | GetControlClassDefaultSize (TCustomCalendar)
 | GetControlIndex (TWinControl)
pt | GetControlOrigin (TControl)
pt | GetControlOrigin (TWinControl)
pt | GetCursor (TControl)
 | GetDefaultColor (TControl)
pt | GetDefaultDockCaption (TControl)
 | GetDefaultHeight (TControl)
 | GetDefaultWidth (TControl)
pt | GetDeviceContext (TControl)
pt | GetDeviceContext (TWinControl)
 | GetDockCaption (TWinControl)
pt | GetDockEdge (TControl)
pt | GetDragImages (TControl)
pt | GetEnabled (TControl)
 | GetEnumerator (TComponent)
 | GetEnumeratorControls (TWinControl)
 | GetEnumeratorControlsReverse (TWinControl)
pt | GetFloating (TControl)
pt | GetFloatingDockSiteClass (TControl)
 | GetHashCode (TObject)
 | GetIDsOfNames (TComponent)
 | GetInterface (TObject)
 | GetInterfaceByStr (TObject)
 | GetInterfaceEntry (TObject)
 | GetInterfaceEntryByStr (TObject)
 | GetInterfaceTable (TObject)
 | GetInterfaceWeak (TObject)
pt | GetLogicalClientRect (TControl)
pt | GetMouseCapture (TControl)
pt | GetMouseCapture (TWinControl)
pt | GetMousePosFromMessage (TControl)
 | GetNamePath (TPersistent)
 | GetNamePath (TComponent)
 | GetOwner (TPersistent)
 | GetOwner (TComponent)
pt | GetPalette (TControl)
pt | GetParentBackground (TWinControl)
 | GetParentComponent (TComponent)
 | GetParentComponent (TControl)
pt | GetParentHandle (TWinControl)
pt | GetPopupMenu (TControl)
 | GetPreferredSize (TControl)
pt | GetPreferredSizeClientFrame (TWinControl)
 | GetRGBColorResolvingParent (TControl)
pt | GetScrolledClientRect (TControl)
 | GetSelectedChildAccessibleObject (TControl)
 | GetSidePosition (TControl)
pt | GetSiteInfo (TWinControl)
 | GetTabOrderList (TWinControl)
 | GetTextBuf (TControl)
 | GetTextLen (TControl)
 | GetTextLen (TWinControl)
 | GetTopParent (TControl)
pt | GetTopParentHandle (TWinControl)
 | GetTypeInfo (TComponent)
 | GetTypeInfoCount (TComponent)
pt | GetWSComponentClass (TLCLComponent)
 | HandleAllocated (TWinControl)
 | HandleNeeded (TWinControl)
 | HandleObjectShouldBeVisible (TControl)
 | HasHelp (TControl)
 | HasParent (TComponent)
 | HasParent (TControl)
pt | HeightIsAnchored (TControl)
 | Hide (TControl)
 | HitTest (TCustomCalendar)
 | iicrGetComponent (TComponent)
 | IncLCLRefCount (TLCLComponent)
 | InheritsFrom (TObject)
pt | InitializeWnd (TWinControl)
pt | InitializeWnd (TCustomCalendar)
 | InitiateAction (TControl)
 | InitInstance (TObject)
 | Insert (TComponent)
 | InsertComponent (TComponent)
 | InsertControl (TWinControl)
 | InstanceSize (TObject)
 | IntfGetDropFilesTarget (TWinControl)
 | IntfUTF8KeyPress (TWinControl)
 | Invalidate (TControl)
 | Invalidate (TWinControl)
pt | InvalidateBoundsRealized (TWinControl)
 | InvalidateClientRectCache (TWinControl)
pt | InvalidateControl (TControl)
pt | InvalidatePreferredChildSizes (TWinControl)
 | InvalidatePreferredSize (TControl)
 | Invoke (TComponent)
pt | IsAParentAligning (TControl)
pt | IsBorderSpacingInnerBorderStored (TControl)
pt | IsCaptionStored (TControl)
pt | IsClientHeightStored (TControl)
pt | IsClientHeightStored (TWinControl)
pt | IsClientWidthStored (TControl)
pt | IsClientWidthStored (TWinControl)
pt | IsControlMouseMsg (TWinControl)
 | IsControlVisible (TControl)
 | IsEnabled (TControl)
 | IsImplementorOf (TComponent)
 | IsParentColor (TControl)
 | IsParentFont (TControl)
 | IsParentOf (TControl)
 | IsProcessingPaintMsg (TControl)
 | IsRightToLeft (TControl)
 | IsVisible (TControl)
pt | KeyDown (TWinControl)
pt | KeyDownAfterInterface (TWinControl)
pt | KeyDownBeforeInterface (TWinControl)
pt | KeyPress (TWinControl)
pt | KeyUp (TWinControl)
pt | KeyUpAfterInterface (TWinControl)
pt | KeyUpBeforeInterface (TWinControl)
pt | LMCaptureChanged (TControl)
pt | LMChanged (TCustomCalendar)
pt | LMDayChanged (TCustomCalendar)
pt | LMMonthChanged (TCustomCalendar)
pt | LMYearChanged (TCustomCalendar)
 | Loaded (TComponent)
pt | Loaded (TControl)
pt | Loaded (TWinControl)
pt | Loaded (TCustomCalendar)
pt | LoadedAll (TControl)
 | Loading (TComponent)
 | LockRealizeBounds (TWinControl)
pt | MainWndProc (TWinControl)
 | ManualDock (TControl)
 | ManualFloat (TControl)
 | MethodAddress (TObject)
 | MethodName (TObject)
pt | MouseDown (TControl)
pt | MouseEnter (TControl)
pt | MouseLeave (TControl)
pt | MouseMove (TControl)
pt | MouseUp (TControl)
 | newinstance (TObject)
 | NewInstance (TLCLComponent)
 | Notification (TComponent)
pt | Notification (TControl)
 | NotifyControls (TWinControl)
pt | PaintControls (TWinControl)
pt | PaintHandler (TWinControl)
 | PaintTo (TWinControl)
pt | PaintWindow (TWinControl)
 | PaletteCreated (TComponent)
 | ParentDestroyingHandle (TControl)
pt | ParentFontChanged (TControl)
pt | ParentFormHandleInitialized (TControl)
pt | ParentFormHandleInitialized (TWinControl)
 | ParentHandlesAllocated (TControl)
 | ParentHandlesAllocated (TWinControl)
 | ParentToClient (TControl)
 | Perform (TControl)
 | PerformTab (TWinControl)
pt | PositionDockRect (TControl)
pt | QuadClick (TControl)
 | QueryInterface (TComponent)
 | ReadLeft (TComponent)
 | ReadState (TComponent)
pt | ReadState (TControl)
 | ReadTop (TComponent)
pt | RealGetText (TControl)
pt | RealGetText (TWinControl)
 | ReAlign (TWinControl)
pt | RealizeBounds (TWinControl)
pt | RealizeBoundsRecursive (TWinControl)
pt | RealSetText (TControl)
pt | RealSetText (TWinControl)
 | ReferenceInterface (TComponent)
 | Refresh (TControl)
pt | ReloadDockedControl (TWinControl)
 | Remove (TComponent)
 | RemoveAllHandlersOfObject (TLCLComponent)
 | RemoveAllHandlersOfObject (TControl)
 | RemoveComponent (TComponent)
 | RemoveControl (TWinControl)
pt | RemoveFocus (TWinControl)
 | RemoveFreeNotification (TComponent)
pt | RemoveHandler (TControl)
 | RemoveHandlerOnBeforeDestruction (TControl)
 | RemoveHandlerOnChangeBounds (TControl)
 | RemoveHandlerOnEnableChanging (TControl)
 | RemoveHandlerOnKeyDown (TControl)
 | RemoveHandlerOnMouseWheel (TControl)
 | RemoveHandlerOnResize (TControl)
 | RemoveHandlerOnVisibleChanged (TControl)
 | RemoveHandlerOnVisibleChanging (TControl)
 | RemoveNotification (TComponent)
 | Repaint (TControl)
 | Repaint (TWinControl)
 | ReplaceDockedControl (TControl)
pt | RequestAlign (TControl)
pt | Resize (TControl)
 | SafeCallException (TObject)
 | SafeCallException (TComponent)
 | Scale96ToFont (TControl)
 | Scale96ToForm (TControl)
 | Scale96ToScreen (TControl)
 | ScaleBy (TWinControl)
pt | ScaleConstraints (TControl)
pt | ScaleControls (TWinControl)
 | ScaleDesignToForm (TControl)
 | ScaleFontsPPI (TControl)
 | ScaleFontTo96 (TControl)
 | ScaleFontToScreen (TControl)
 | ScaleFormTo96 (TControl)
 | ScaleFormToDesign (TControl)
 | ScaleScreenTo96 (TControl)
 | ScaleScreenToFont (TControl)
 | ScreenToClient (TControl)
 | ScreenToControl (TControl)
 | ScrollBy (TWinControl)
 | ScrollBy_WS (TWinControl)
pt | SelectFirst (TWinControl)
 | SelectNext (TWinControl)
pt | SendDialogChar (TWinControl)
pt | SendMoveSizeMessages (TControl)
pt | SendMoveSizeMessages (TWinControl)
 | SendToBack (TControl)
pt | SetAction (TControl)
pt | SetAlign (TControl)
 | SetAncestor (TComponent)
pt | SetAnchors (TControl)
pt | SetAutoSize (TControl)
pt | SetBiDiMode (TControl)
pt | SetBorderStyle (TWinControl)
 | SetBounds (TControl)
 | SetBounds (TWinControl)
 | SetBoundsKeepBase (TControl)
 | SetChildOrder (TComponent)
pt | SetChildZPosition (TWinControl)
pt | SetColor (TControl)
pt | SetColor (TWinControl)
 | SetComponentIndex (TComponent)
 | SetControlIndex (TWinControl)
pt | SetCursor (TControl)
 | SetDesigning (TComponent)
 | SetDesignInstance (TComponent)
pt | SetDockManager (TWinControl)
pt | SetDragMode (TControl)
pt | SetEnabled (TControl)
 | SetFocus (TWinControl)
pt | SetHint (TControl)
 | SetInitialBounds (TControl)
 | SetInline (TComponent)
 | SetName (TComponent)
pt | SetName (TControl)
pt | SetParent (TControl)
pt | SetParentBackground (TWinControl)
pt | SetParentBiDiMode (TControl)
 | SetParentComponent (TComponent)
pt | SetParentComponent (TControl)
 | SetReference (TComponent)
 | SetShape (TWinControl)
 | SetSubComponent (TComponent)
 | SetTempCursor (TControl)
 | SetTempCursor (TWinControl)
 | SetTextBuf (TControl)
pt | SetVisible (TControl)
pt | SetZOrder (TControl)
 | ShouldAutoAdjust (TControl)
 | Show (TControl)
pt | ShowControl (TWinControl)
 | ShowHelp (TControl)
 | StringMessageTable (TObject)
pt | TextChanged (TControl)
 | ToString (TObject)
pt | TripleClick (TControl)
 | UnitName (TObject)
 | UnlockRealizeBounds (TWinControl)
 | Update (TControl)
 | Update (TWinControl)
 | UpdateAction (TComponent)
pt | UpdateAnchorRules (TControl)
 | UpdateBaseBounds (TControl)
pt | UpdateControlState (TWinControl)
 | Updated (TComponent)
 | UpdateDockCaption (TWinControl)
pt | UpdateMouseCursor (TControl)
 | UpdateRegistry (TComponent)
 | UpdateRolesForForm (TControl)
pt | UpdateShowing (TWinControl)
 | Updating (TComponent)
 | UseRightToLeftAlignment (TControl)
 | UseRightToLeftReading (TControl)
 | UseRightToLeftScrollBar (TControl)
pt | UTF8KeyPress (TWinControl)
 | ValidateContainer (TComponent)
 | ValidateInsert (TComponent)
 | ValidateRename (TComponent)
pt | VisibleChanged (TControl)
pt | VisibleChanging (TControl)
pt | WidthIsAnchored (TControl)
pt | WMCancelMode (TControl)
pt | WMChar (TWinControl)
pt | WMContextMenu (TControl)
pt | WMContextMenu (TWinControl)
pt | WMDestroy (TWinControl)
pt | WMEnter (TWinControl)
pt | WMEraseBkgnd (TWinControl)
pt | WMExit (TWinControl)
pt | WMKeyDown (TWinControl)
pt | WMKeyUp (TWinControl)
pt | WMKillFocus (TWinControl)
pt | WMLButtonDBLCLK (TControl)
pt | WMLButtonDown (TControl)
pt | WMLButtonQuadCLK (TControl)
pt | WMLButtonTripleCLK (TControl)
pt | WMLButtonUp (TControl)
pt | WMMButtonDBLCLK (TControl)
pt | WMMButtonDown (TControl)
pt | WMMButtonQuadCLK (TControl)
pt | WMMButtonTripleCLK (TControl)
pt | WMMButtonUp (TControl)
pt | WMMouseHWheel (TControl)
pt | WMMouseMove (TControl)
pt | WMMouseWheel (TControl)
pt | WMMove (TControl)
pt | WMMove (TWinControl)
pt | WMNotify (TWinControl)
pt | WMPaint (TWinControl)
pt | WMRButtonDBLCLK (TControl)
pt | WMRButtonDown (TControl)
pt | WMRButtonQuadCLK (TControl)
pt | WMRButtonTripleCLK (TControl)
pt | WMRButtonUp (TControl)
pt | WMSetFocus (TWinControl)
pt | WMShowWindow (TWinControl)
pt | WMSize (TControl)
pt | WMSize (TWinControl)
pt | WMSysChar (TWinControl)
pt | WMSysKeyDown (TWinControl)
pt | WMSysKeyUp (TWinControl)
pt | WMWindowPosChanged (TControl)
pt | WMWindowPosChanged (TWinControl)
pt | WMXButtonDBLCLK (TControl)
pt | WMXButtonDown (TControl)
pt | WMXButtonQuadCLK (TControl)
pt | WMXButtonTripleCLK (TControl)
pt | WMXButtonUp (TControl)
pt | WndProc (TControl)
pt | WndProc (TWinControl)
 | WriteLayoutDebugReport (TControl)
 | WriteLayoutDebugReport (TWinControl)
 | WriteLeft (TComponent)
 | WriteState (TComponent)
 | WriteTop (TComponent)
pt | WSRegisterClass (TLCLComponent)
pt | WSRegisterClass (TControl)
pt | WSRegisterClass (TWinControl)
pt | WSRegisterClass (TCustomCalendar)
pt | WSSetText (TWinControl)
 | _AddRef (TComponent)
 | _Release (TComponent)


TCalendar
pl | ro | OnChange
pl | ro | OnChangeBounds
pl | ro | OnClick
pl | ro | OnDayChanged
pl | ro | OnDblClick
pl | ro | OnEnter
pl | ro | OnExit
pl | ro | OnKeyDown
pl | ro | OnKeyPress
pl | ro | OnKeyUp
pl | ro | OnMonthChanged
pl | ro | OnMouseDown
pl | ro | OnMouseEnter
pl | ro | OnMouseLeave
pl | ro | OnMouseMove
pl | ro | OnMouseUp
pl | ro | OnMouseWheel
pl | ro | OnMouseWheelDown
pl | ro | OnMouseWheelUp
pl | ro | OnMouseWheelHorz
pl | ro | OnMouseWheelLeft
pl | ro | OnMouseWheelRight
pl | ro | OnResize
pl | ro | OnUTF8KeyPress
pl | ro | OnYearChanged
TCustomCalendar
 |  | OnChange
 |  | OnDayChanged
 |  | OnMonthChanged
 |  | OnYearChanged
TWinControl
pt |  | OnGetSiteInfo
pt |  | OnGetDockCaption
 |  | OnAlignInsertBefore
 |  | OnAlignPosition
 |  | OnDockDrop
 |  | OnDockOver
 |  | OnEnter
 |  | OnExit
 |  | OnKeyDown
 |  | OnKeyPress
 |  | OnKeyUp
 |  | OnUnDock
 |  | OnUTF8KeyPress
TControl
pt |  | OnConstrainedResize
pt |  | OnContextPopup
pt |  | OnDblClick
pt |  | OnTripleClick
pt |  | OnQuadClick
pt |  | OnDragDrop
pt |  | OnDragOver
pt |  | OnEndDock
pt |  | OnEndDrag
pt |  | OnMouseDown
pt |  | OnMouseMove
pt |  | OnMouseUp
pt |  | OnMouseEnter
pt |  | OnMouseLeave
pt |  | OnMouseWheel
pt |  | OnMouseWheelDown
pt |  | OnMouseWheelUp
pt |  | OnMouseWheelHorz
pt |  | OnMouseWheelLeft
pt |  | OnMouseWheelRight
pt |  | OnStartDock
pt |  | OnStartDrag
pt |  | OnEditingDone
 |  | OnChangeBounds
 |  | OnClick
 |  | OnResize
 |  | OnShowHint
TLCLComponent
TComponent
TPersistent
TObject


pl | ro | OnChange (TCalendar)
 |  | OnChangeBounds (TControl)
pl | ro | OnChangeBounds (TCalendar)
 |  | OnClick (TControl)
pl | ro | OnClick (TCalendar)
pt |  | OnConstrainedResize (TControl)
pt |  | OnContextPopup (TControl)
 |  | OnDayChanged (TCustomCalendar)
pl | ro | OnDayChanged (TCalendar)
pt |  | OnDblClick (TControl)
pl | ro | OnDblClick (TCalendar)
 |  | OnDockDrop (TWinControl)
 |  | OnDockOver (TWinControl)
pt |  | OnDragDrop (TControl)
pt |  | OnDragOver (TControl)
pt |  | OnEditingDone (TControl)
pt |  | OnEndDock (TControl)
pt |  | OnEndDrag (TControl)
 |  | OnEnter (TWinControl)
pl | ro | OnEnter (TCalendar)
 |  | OnExit (TWinControl)
pl | ro | OnExit (TCalendar)
pt |  | OnGetDockCaption (TWinControl)
pt |  | OnGetSiteInfo (TWinControl)
 |  | OnKeyDown (TWinControl)
pl | ro | OnKeyDown (TCalendar)
 |  | OnKeyPress (TWinControl)
pl | ro | OnKeyPress (TCalendar)
 |  | OnKeyUp (TWinControl)
pl | ro | OnKeyUp (TCalendar)
 |  | OnMonthChanged (TCustomCalendar)
pl | ro | OnMonthChanged (TCalendar)
pt |  | OnMouseDown (TControl)
pl | ro | OnMouseDown (TCalendar)
pt |  | OnMouseEnter (TControl)
pl | ro | OnMouseEnter (TCalendar)
pt |  | OnMouseLeave (TControl)
pl | ro | OnMouseLeave (TCalendar)
pt |  | OnMouseMove (TControl)
pl | ro | OnMouseMove (TCalendar)
pt |  | OnMouseUp (TControl)
pl | ro | OnMouseUp (TCalendar)
pt |  | OnMouseWheel (TControl)
pl | ro | OnMouseWheel (TCalendar)
pt |  | OnMouseWheelDown (TControl)
pl | ro | OnMouseWheelDown (TCalendar)
pt |  | OnMouseWheelHorz (TControl)
pl | ro | OnMouseWheelHorz (TCalendar)
pt |  | OnMouseWheelLeft (TControl)
pl | ro | OnMouseWheelLeft (TCalendar)
pt |  | OnMouseWheelRight (TControl)
pl | ro | OnMouseWheelRight (TCalendar)
pt |  | OnMouseWheelUp (TControl)
pl | ro | OnMouseWheelUp (TCalendar)
pt |  | OnQuadClick (TControl)
 |  | OnResize (TControl)
pl | ro | OnResize (TCalendar)
 |  | OnShowHint (TControl)
pt |  | OnStartDock (TControl)
pt |  | OnStartDrag (TControl)
pt |  | OnTripleClick (TControl)
 |  | OnUnDock (TWinControl)
 |  | OnUTF8KeyPress (TWinControl)
pl | ro | OnUTF8KeyPress (TCalendar)
 |  | OnYearChanged (TCustomCalendar)
pl | ro | OnYearChanged (TCalendar)


TCalendar.AutoSize

Declaration

Source position: calendar.pp line 120

published property TCalendar.AutoSize : Boolean;


TCalendar.DoubleBuffered

Declaration

Source position: calendar.pp line 125

published property TCalendar.DoubleBuffered : Boolean;


TCalendar.Hint

Declaration

Source position: calendar.pp line 126

published property TCalendar.Hint : TTranslateString;


TCalendar.OnMouseWheel

Declaration

Source position: calendar.pp line 143

published property TCalendar.OnMouseWheel : TMouseWheelEvent;


TCalendar.OnMouseWheelDown

Declaration

Source position: calendar.pp line 144

published property TCalendar.OnMouseWheelDown : TMouseWheelUpDownEvent;


TCalendar.OnMouseWheelHorz

Declaration

Source position: calendar.pp line 146

published property TCalendar.OnMouseWheelHorz : TMouseWheelEvent;


TCalendar.OnMouseWheelLeft

Declaration

Source position: calendar.pp line 147

published property TCalendar.OnMouseWheelLeft : TMouseWheelUpDownEvent;


TCalendar.OnMouseWheelRight

Declaration

Source position: calendar.pp line 148

published property TCalendar.OnMouseWheelRight : TMouseWheelUpDownEvent;


TCalendar.OnMouseWheelUp

Declaration

Source position: calendar.pp line 145

published property TCalendar.OnMouseWheelUp : TMouseWheelUpDownEvent;


TCalendar.ParentDoubleBuffered

Declaration

Source position: calendar.pp line 152

published property TCalendar.ParentDoubleBuffered : Boolean;


TCalendar.ShowHint

Declaration

Source position: calendar.pp line 154

published property TCalendar.ShowHint : Boolean;


TCalendar.TabOrder

Declaration

Source position: calendar.pp line 155

published property TCalendar.TabOrder : TTabOrder;


TCalendarPart

Declaration

Source position: calendar.pp line 48

type TCalendarPart = (

  cpNoWhere,

  cpDate,

  cpWeekNumber,

  cpTitle,

  cpTitleBtn,

  cpTitleMonth,

  cpTitleYear

);


TCalendarView

Declaration

Source position: calendar.pp line 61

type TCalendarView = (

  cvMonth,

  cvYear,

  cvDecade,

  cvCentury

);


TCustomCalendar

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

TCustomCalendar - base class for TCalendar, a graphic for selecting a date

Declaration

Source position: calendar.pp line 72

type TCustomCalendar = class(TWinControl)
protected
class procedure WSRegisterClass; override; | Registers this component class with the current WidgetSet.
procedure LMChanged(); message; | LMChanged - LCL Message method to deal with changes in the control
procedure LMMonthChanged(); message; | LMMonthChanged - LCL Message method for change in Month
procedure LMYearChanged(); message; | LMYearChanged - LCL Message method for change in Year
procedure LMDayChanged(); message; | LMDayChanged - LCL Message method for change in Day
class function GetControlClassDefaultSize; override; | Returns the default size for this class of controls (when added to a form).
procedure Loaded; override; |
procedure InitializeWnd; override; | Copies cached control properties to the just created widget.
procedure DestroyWnd; override;
public
constructor Create(); override; | Create - constructor for TCustomCalendar: calls inherited Create and sets style, initial bounds, display settings; sets date and time to Now
function HitTest();
function GetCalendarView;
property Date: string; [rws] | The value of Date returned by the control
property DateTime: TDateTime; [rw] | The composite DateTime value returned by the control
property DisplaySettings: TDisplaySettings; [rw] | DisplaySettings - various options governing the appearance of the display
property OnChange: TNotifyEvent; [rw] | OnChange - event handler for any change in Calendar
property OnDayChanged: TNotifyEvent; [rw] | OnDayChanged - event handler for a change in Day selected
property OnMonthChanged: TNotifyEvent; [rw] | OnMonthChanged - event handler for a change in month selected
property OnYearChanged: TNotifyEvent; [rw] | OnYearChanged - event handler for a change in the year selected
end;

Inheritance

TCustomCalendar | TCustomCalendar - base class for TCalendar, a graphic for selecting a date
|
TWinControl | The base class for controls which can contain other (child) controls.
|
TControl | The base class for visible controls.
|
TLCLComponent | The base class for LCL components associated with widgets.
|
TComponent,IUnknown,IInterfaceComponentReference
|
TPersistent,IFPObserved
|
TObject


TCustomCalendar
 |  | Date
 |  | DateTime
 |  | DisplaySettings
TWinControl
pt |  | WindowHandle
pt |  | BorderStyle
pt |  | ParentBackground
 |  | BorderWidth
 | ro | BoundsLockCount
 | ro | Brush
 | ro | CachedClientHeight
 | ro | CachedClientWidth
 |  | ChildSizing
 | ro | ControlCount
 | ro | Controls
 |  | DefWndProc
 | ro | DockClientCount
 | ro | DockClients
 |  | DockManager
 |  | DockSite
 |  | DoubleBuffered
 |  | Handle
 | ro | IsFlipped
 | ro | IsResizing
 |  | TabOrder
 |  | TabStop
 |  | ParentDoubleBuffered
 |  | ParentWindow
 | ro | Showing
 |  | UseDockManager
 |  | DesignerDeleting
 | ro | VisibleDockClientCount
TControl
pt | ro | AutoSizing
pt | ro | AutoSizingAll
pt | ro | AutoSizingLockCount
pt |  | ActionLink
pt |  | DesktopFont
pt |  | DragCursor
pt |  | DragKind
pt |  | DragMode
pt |  | MouseCapture
pt |  | ParentColor
pt |  | ParentFont
pt |  | ParentShowHint
pt |  | SessionProperties
pt |  | Text
 | ro | AnchoredControls
 | ro | BaseBounds
 | ro | ReadBounds
 | ro | BaseParentClientSize
 |  | AccessibleDescription
 |  | AccessibleValue
 |  | AccessibleRole
 |  | Action
 |  | Align
 |  | Anchors
 | ro | AnchorSide
 |  | AutoSize
 |  | BorderSpacing
 |  | BoundsRect
 |  | BoundsRectForNewParent
 |  | Caption
 |  | CaptureMouseButtons
 |  | ClientHeight
 | ro | ClientOrigin
 | ro | ClientRect
 |  | ClientWidth
 |  | Color
 |  | Constraints
 | ro | ControlOrigin
 |  | ControlState
 |  | ControlStyle
 |  | Enabled
 |  | Font
 |  | IsControl
 | ro | MouseEntered
 | ro | MouseInClient
 |  | Parent
 |  | PopupMenu
 |  | ShowHint
 |  | Visible
 |  | WindowProc
 |  | DockOrientation
 | ro | Floating
 |  | FloatingDockSiteClass
 |  | HostDockSite
 |  | LRDockWidth
 |  | TBDockHeight
 |  | UndockHeight
 |  | UndockWidth
 |  | BiDiMode
 |  | ParentBiDiMode
pl |  | AnchorSideLeft
pl |  | AnchorSideTop
pl |  | AnchorSideRight
pl |  | AnchorSideBottom
pl |  | Cursor
pl |  | Left
pl |  | Height
pl |  | Hint
pl |  | Top
pl |  | Width
pl |  | HelpType
pl |  | HelpKeyword
pl |  | HelpContext
TLCLComponent
 | ro | LCLRefCount
 | ro | WidgetSetClass
TComponent
 | ro | ComObject
 | ro | Components
 | ro | ComponentCount
 |  | ComponentIndex
 | ro | ComponentState
 | ro | ComponentStyle
 |  | DesignInfo
 | ro | Owner
 |  | VCLComObject
 |  | Name
 |  | Tag
TPersistent
TObject


 |  | AccessibleDescription (TControl)
 |  | AccessibleRole (TControl)
 |  | AccessibleValue (TControl)
 |  | Action (TControl)
pt |  | ActionLink (TControl)
 |  | Align (TControl)
 | ro | AnchoredControls (TControl)
 |  | Anchors (TControl)
 | ro | AnchorSide (TControl)
pl |  | AnchorSideBottom (TControl)
pl |  | AnchorSideLeft (TControl)
pl |  | AnchorSideRight (TControl)
pl |  | AnchorSideTop (TControl)
 |  | AutoSize (TControl)
pt | ro | AutoSizing (TControl)
pt | ro | AutoSizingAll (TControl)
pt | ro | AutoSizingLockCount (TControl)
 | ro | BaseBounds (TControl)
 | ro | BaseParentClientSize (TControl)
 |  | BiDiMode (TControl)
 |  | BorderSpacing (TControl)
pt |  | BorderStyle (TWinControl)
 |  | BorderWidth (TWinControl)
 | ro | BoundsLockCount (TWinControl)
 |  | BoundsRect (TControl)
 |  | BoundsRectForNewParent (TControl)
 | ro | Brush (TWinControl)
 | ro | CachedClientHeight (TWinControl)
 | ro | CachedClientWidth (TWinControl)
 |  | Caption (TControl)
 |  | CaptureMouseButtons (TControl)
 |  | ChildSizing (TWinControl)
 |  | ClientHeight (TControl)
 | ro | ClientOrigin (TControl)
 | ro | ClientRect (TControl)
 |  | ClientWidth (TControl)
 |  | Color (TControl)
 | ro | ComObject (TComponent)
 | ro | ComponentCount (TComponent)
 |  | ComponentIndex (TComponent)
 | ro | Components (TComponent)
 | ro | ComponentState (TComponent)
 | ro | ComponentStyle (TComponent)
 |  | Constraints (TControl)
 | ro | ControlCount (TWinControl)
 | ro | ControlOrigin (TControl)
 | ro | Controls (TWinControl)
 |  | ControlState (TControl)
 |  | ControlStyle (TControl)
pl |  | Cursor (TControl)
 |  | Date (TCustomCalendar)
 |  | DateTime (TCustomCalendar)
 |  | DefWndProc (TWinControl)
 |  | DesignerDeleting (TWinControl)
 |  | DesignInfo (TComponent)
pt |  | DesktopFont (TControl)
 |  | DisplaySettings (TCustomCalendar)
 | ro | DockClientCount (TWinControl)
 | ro | DockClients (TWinControl)
 |  | DockManager (TWinControl)
 |  | DockOrientation (TControl)
 |  | DockSite (TWinControl)
 |  | DoubleBuffered (TWinControl)
pt |  | DragCursor (TControl)
pt |  | DragKind (TControl)
pt |  | DragMode (TControl)
 |  | Enabled (TControl)
 | ro | Floating (TControl)
 |  | FloatingDockSiteClass (TControl)
 |  | Font (TControl)
 |  | Handle (TWinControl)
pl |  | Height (TControl)
pl |  | HelpContext (TControl)
pl |  | HelpKeyword (TControl)
pl |  | HelpType (TControl)
pl |  | Hint (TControl)
 |  | HostDockSite (TControl)
 |  | IsControl (TControl)
 | ro | IsFlipped (TWinControl)
 | ro | IsResizing (TWinControl)
 | ro | LCLRefCount (TLCLComponent)
pl |  | Left (TControl)
 |  | LRDockWidth (TControl)
pt |  | MouseCapture (TControl)
 | ro | MouseEntered (TControl)
 | ro | MouseInClient (TControl)
 |  | Name (TComponent)
 | ro | Owner (TComponent)
 |  | Parent (TControl)
pt |  | ParentBackground (TWinControl)
 |  | ParentBiDiMode (TControl)
pt |  | ParentColor (TControl)
 |  | ParentDoubleBuffered (TWinControl)
pt |  | ParentFont (TControl)
pt |  | ParentShowHint (TControl)
 |  | ParentWindow (TWinControl)
 |  | PopupMenu (TControl)
 | ro | ReadBounds (TControl)
pt |  | SessionProperties (TControl)
 |  | ShowHint (TControl)
 | ro | Showing (TWinControl)
 |  | TabOrder (TWinControl)
 |  | TabStop (TWinControl)
 |  | Tag (TComponent)
 |  | TBDockHeight (TControl)
pt |  | Text (TControl)
pl |  | Top (TControl)
 |  | UndockHeight (TControl)
 |  | UndockWidth (TControl)
 |  | UseDockManager (TWinControl)
 |  | VCLComObject (TComponent)
 |  | Visible (TControl)
 | ro | VisibleDockClientCount (TWinControl)
 | ro | WidgetSetClass (TLCLComponent)
pl |  | Width (TControl)
pt |  | WindowHandle (TWinControl)
 |  | WindowProc (TControl)


TCustomCalendar
pt | WSRegisterClass
pt | LMChanged
pt | LMMonthChanged
pt | LMYearChanged
pt | LMDayChanged
pt | GetControlClassDefaultSize
pt | Loaded
pt | InitializeWnd
pt | DestroyWnd
 | Create
 | HitTest
 | GetCalendarView
TWinControl
pt | WSRegisterClass
pt | AdjustClientRect
pt | GetAdjustedLogicalClientRect
pt | AlignControls
pt | CustomAlignInsertBefore
pt | CustomAlignPosition
pt | DoAlignChildControls
pt | DoChildSizingChange
pt | InvalidatePreferredChildSizes
pt | CanTab
pt | IsClientHeightStored
pt | IsClientWidthStored
pt | DoSendShowHideToInterface
pt | ControlsAligned
pt | DoSendBoundsToInterface
pt | RealizeBounds
pt | RealizeBoundsRecursive
pt | InvalidateBoundsRealized
pt | CreateSubClass
pt | DoConstraintsChange
pt | DoSetBounds
pt | DoAutoSize
pt | DoAllAutoSize
pt | AllAutoSized
pt | CalculatePreferredSize
pt | GetPreferredSizeClientFrame
pt | GetChildren
pt | ChildClassAllowed
pt | PaintControls
pt | PaintHandler
pt | PaintWindow
pt | CreateBrush
pt | ScaleControls
pt | ChangeScale
pt | CMBiDiModeChanged
pt | CMBorderChanged
pt | CMDoubleBufferedChanged
pt | CMEnabledChanged
pt | CMParentDoubleBufferedChanged
pt | CMShowingChanged
pt | CMShowHintChanged
pt | CMVisibleChanged
pt | CMEnter
pt | CMExit
pt | WMContextMenu
pt | WMEraseBkgnd
pt | WMNotify
pt | WMSetFocus
pt | WMKillFocus
pt | WMShowWindow
pt | WMEnter
pt | WMExit
pt | WMKeyDown
pt | WMSysKeyDown
pt | WMKeyUp
pt | WMSysKeyUp
pt | WMChar
pt | WMSysChar
pt | WMPaint
pt | WMDestroy
pt | WMMove
pt | WMSize
pt | WMWindowPosChanged
pt | CNKeyDown
pt | CNSysKeyDown
pt | CNKeyUp
pt | CNSysKeyUp
pt | CNChar
pt | DoDragMsg
pt | DoDockClientMsg
pt | DoUndockClientMsg
pt | DoAddDockClient
pt | DockOver
pt | DoDockOver
pt | DoRemoveDockClient
pt | DoUnDock
pt | GetSiteInfo
pt | GetParentHandle
pt | GetTopParentHandle
pt | ReloadDockedControl
pt | CreateDockManager
pt | SetDockManager
pt | DoFloatMsg
pt | DoGetDockCaption
pt | DoEnter
pt | DoExit
pt | DoKeyDownBeforeInterface
pt | DoRemainingKeyDown
pt | DoRemainingKeyUp
pt | DoKeyPress
pt | DoUTF8KeyPress
pt | DoKeyUpBeforeInterface
pt | ChildKey
pt | SendDialogChar
pt | DialogChar
pt | ControlKeyDown
pt | ControlKeyUp
pt | KeyDown
pt | KeyDownBeforeInterface
pt | KeyDownAfterInterface
pt | KeyPress
pt | KeyUp
pt | KeyUpBeforeInterface
pt | KeyUpAfterInterface
pt | UTF8KeyPress
pt | FindNextControl
pt | SelectFirst
pt | RealGetText
pt | GetBorderStyle
pt | GetClientOrigin
pt | GetClientRect
pt | GetControlOrigin
pt | GetDeviceContext
pt | GetParentBackground
pt | IsControlMouseMsg
pt | CreateHandle
pt | CreateParams
pt | CreateWnd
pt | DestroyHandle
pt | DestroyWnd
pt | DoFlipChildren
pt | FinalizeWnd
pt | FixupTabList
pt | FontChanged
pt | InitializeWnd
pt | Loaded
pt | FormEndUpdated
pt | MainWndProc
pt | ParentFormHandleInitialized
pt | ChildHandlesCreated
pt | GetMouseCapture
pt | RealSetText
pt | RemoveFocus
pt | SendMoveSizeMessages
pt | SetBorderStyle
pt | SetColor
pt | SetChildZPosition
pt | SetParentBackground
pt | ShowControl
pt | UpdateControlState
pt | UpdateShowing
pt | WndProc
pt | WSSetText
 | AutoSizePhases
 | AutoSizeDelayed
 | AutoSizeDelayedReport
 | AutoSizeDelayedHandle
 | BeginUpdateBounds
 | EndUpdateBounds
 | LockRealizeBounds
 | UnlockRealizeBounds
 | ControlAtPos
 | ContainsControl
 | DoAdjustClientRectChange
 | InvalidateClientRectCache
 | ClientRectNeedsInterfaceUpdate
 | SetBounds
 | GetChildrenRect
 | DisableAlign
 | EnableAlign
 | ReAlign
 | ScrollBy_WS
 | ScrollBy
 | WriteLayoutDebugReport
 | AutoAdjustLayout
 | Create
 | CreateParented
 | CreateParentedControl
 | Destroy
 | DockDrop
 | CanFocus
 | CanSetFocus
 | GetControlIndex
 | SetControlIndex
 | Focused
 | PerformTab
 | FindChildControl
 | SelectNext
 | SetTempCursor
 | BroadCast
 | NotifyControls
 | DefaultHandler
 | GetTextLen
 | Invalidate
 | AddControl
 | InsertControl
 | RemoveControl
 | GetEnumeratorControls
 | GetEnumeratorControlsReverse
 | Repaint
 | Update
 | SetFocus
 | FlipChildren
 | ScaleBy
 | GetDockCaption
 | UpdateDockCaption
 | GetTabOrderList
 | HandleAllocated
 | ParentHandlesAllocated
 | HandleNeeded
 | BrushCreated
 | EraseBackground
 | IntfUTF8KeyPress
 | IntfGetDropFilesTarget
 | PaintTo
 | SetShape
TControl
pt | WSRegisterClass
pt | GetCursor
pt | SetCursor
pt | SetVisible
pt | DoOnParentHandleDestruction
pt | DoAutoSize
pt | DoAllAutoSize
pt | BeginAutoSizing
pt | EndAutoSizing
pt | AnchorSideChanged
pt | ForeignAnchorSideChanged
pt | SetAlign
pt | SetAnchors
pt | SetAutoSize
pt | BoundsChanged
pt | CreateControlBorderSpacing
pt | DoConstraintsChange
pt | DoBorderSpacingChange
pt | IsBorderSpacingInnerBorderStored
pt | IsCaptionStored
pt | SendMoveSizeMessages
pt | ConstrainedResize
pt | CalculatePreferredSize
pt | DoOnResize
pt | DoOnChangeBounds
pt | CheckOnChangeBounds
pt | Resize
pt | RequestAlign
pt | UpdateAnchorRules
pt | ChangeBounds
pt | DoSetBounds
pt | ScaleConstraints
pt | ChangeScale
pt | CanAutoSize
pt | SetBiDiMode
pt | SetParentBiDiMode
pt | IsAParentAligning
pt | GetClientOrigin
pt | GetClientRect
pt | GetLogicalClientRect
pt | GetScrolledClientRect
pt | GetClientScrollOffset
pt | GetControlOrigin
pt | IsClientHeightStored
pt | IsClientWidthStored
pt | WidthIsAnchored
pt | HeightIsAnchored
pt | WMCancelMode
pt | WMContextMenu
pt | WMLButtonDown
pt | WMRButtonDown
pt | WMMButtonDown
pt | WMXButtonDown
pt | WMLButtonDBLCLK
pt | WMRButtonDBLCLK
pt | WMMButtonDBLCLK
pt | WMXButtonDBLCLK
pt | WMLButtonTripleCLK
pt | WMRButtonTripleCLK
pt | WMMButtonTripleCLK
pt | WMXButtonTripleCLK
pt | WMLButtonQuadCLK
pt | WMRButtonQuadCLK
pt | WMMButtonQuadCLK
pt | WMXButtonQuadCLK
pt | WMMouseMove
pt | WMLButtonUp
pt | WMRButtonUp
pt | WMMButtonUp
pt | WMXButtonUp
pt | WMMouseWheel
pt | WMMouseHWheel
pt | WMMove
pt | WMSize
pt | WMWindowPosChanged
pt | CMChanged
pt | LMCaptureChanged
pt | CMBiDiModeChanged
pt | CMSysFontChanged
pt | CMEnabledChanged
pt | CMHitTest
pt | CMMouseEnter
pt | CMMouseLeave
pt | CMHintShow
pt | CMParentBiDiModeChanged
pt | CMParentColorChanged
pt | CMParentFontChanged
pt | CMParentShowHintChanged
pt | CMVisibleChanged
pt | CMTextChanged
pt | CMCursorChanged
pt | CalculateDockSizes
pt | CreateFloatingDockSite
pt | GetDockEdge
pt | GetDragImages
pt | GetFloating
pt | GetFloatingDockSiteClass
pt | BeforeDragStart
pt | BeginAutoDrag
pt | DoFloatMsg
pt | DockTrackNoTarget
pt | DoDock
pt | DoDragMsg
pt | DoEndDock
pt | DoEndDrag
pt | DoStartDock
pt | DoStartDrag
pt | DragCanceled
pt | DragOver
pt | PositionDockRect
pt | SetDragMode
pt | GetDefaultDockCaption
pt | Click
pt | DblClick
pt | TripleClick
pt | QuadClick
pt | GetMousePosFromMessage
pt | MouseDown
pt | MouseMove
pt | MouseUp
pt | MouseEnter
pt | MouseLeave
pt | DialogChar
pt | UpdateMouseCursor
pt | Changed
pt | GetPalette
pt | ChildClassAllowed
pt | ReadState
pt | Loaded
pt | LoadedAll
pt | DefineProperties
pt | AssignTo
pt | FormEndUpdated
pt | InvalidateControl
pt | FontChanged
pt | ParentFontChanged
pt | GetAction
pt | RealGetText
pt | RealSetText
pt | TextChanged
pt | GetCachedText
pt | SetAction
pt | SetColor
pt | SetEnabled
pt | SetHint
pt | SetName
pt | SetParent
pt | SetParentComponent
pt | WndProc
pt | ParentFormHandleInitialized
pt | GetMouseCapture
pt | CaptureChanged
pt | Notification
pt | CanTab
pt | GetDeviceContext
pt | GetEnabled
pt | GetPopupMenu
pt | DoOnShowHint
pt | DoMouseWheel
pt | DoMouseWheelDown
pt | DoMouseWheelUp
pt | DoMouseWheelHorz
pt | DoMouseWheelLeft
pt | DoMouseWheelRight
pt | VisibleChanging
pt | VisibleChanged
pt | EnabledChanging
pt | EnabledChanged
pt | AddHandler
pt | RemoveHandler
pt | DoCallNotifyHandler
pt | DoCallKeyEventHandler
pt | DoCallMouseWheelEventHandler
pt | DoContextPopup
pt | SetZOrder
pt | GetControlClassDefaultSize
pt | ColorIsStored
pt | DoAutoAdjustLayout
pt | DoFixDesignFontPPI
pt | DoScaleFontPPI
pt | GetActionLinkClass
pt | ActionChange
 | DragDrop
 | Dock
 | ManualDock
 | ManualFloat
 | ReplaceDockedControl
 | Docked
 | Dragging
 | GetAccessibleObject
 | CreateAccessibleObject
 | GetSelectedChildAccessibleObject
 | GetChildAccessibleObjectAtPos
 | ScaleDesignToForm
 | ScaleFormToDesign
 | Scale96ToForm
 | ScaleFormTo96
 | Scale96ToFont
 | ScaleFontTo96
 | ScaleScreenToFont
 | ScaleFontToScreen
 | Scale96ToScreen
 | ScaleScreenTo96
 | AdjustSize
 | AutoSizePhases
 | AutoSizeDelayed
 | AutoSizeDelayedReport
 | AutoSizeDelayedHandle
 | AnchorToNeighbour
 | AnchorParallel
 | AnchorHorizontalCenterTo
 | AnchorVerticalCenterTo
 | AnchorToCompanion
 | AnchorSame
 | AnchorAsAlign
 | AnchorClient
 | AnchoredControlCount
 | SetBounds
 | SetInitialBounds
 | SetBoundsKeepBase
 | GetPreferredSize
 | GetCanvasScaleFactor
 | GetDefaultWidth
 | GetDefaultHeight
 | GetDefaultColor
 | GetColorResolvingParent
 | GetRGBColorResolvingParent
 | GetSidePosition
 | CNPreferredSizeChanged
 | InvalidatePreferredSize
 | GetAnchorsDependingOnParent
 | DisableAutoSizing
 | EnableAutoSizing
 | UpdateBaseBounds
 | WriteLayoutDebugReport
 | AutoAdjustLayout
 | ShouldAutoAdjust
 | FixDesignFontsPPI
 | ScaleFontsPPI
 | Create
 | Destroy
 | BeforeDestruction
 | EditingDone
 | ExecuteDefaultAction
 | ExecuteCancelAction
 | BeginDrag
 | EndDrag
 | BringToFront
 | HasParent
 | GetParentComponent
 | IsParentOf
 | GetTopParent
 | IsVisible
 | IsControlVisible
 | IsEnabled
 | IsParentColor
 | IsParentFont
 | FormIsUpdating
 | IsProcessingPaintMsg
 | Hide
 | Refresh
 | Repaint
 | Invalidate
 | CheckChildClassAllowed
 | CheckNewParent
 | SendToBack
 | SetTempCursor
 | UpdateRolesForForm
 | ActiveDefaultControlChanged
 | GetTextBuf
 | GetTextLen
 | SetTextBuf
 | Perform
 | ScreenToClient
 | ClientToScreen
 | ScreenToControl
 | ControlToScreen
 | ClientToParent
 | ParentToClient
 | GetChildrenRect
 | Show
 | Update
 | HandleObjectShouldBeVisible
 | ParentDestroyingHandle
 | ParentHandlesAllocated
 | InitiateAction
 | ShowHelp
 | HasHelp
 | RemoveAllHandlersOfObject
 | AddHandlerOnResize
 | RemoveHandlerOnResize
 | AddHandlerOnChangeBounds
 | RemoveHandlerOnChangeBounds
 | AddHandlerOnVisibleChanging
 | RemoveHandlerOnVisibleChanging
 | AddHandlerOnVisibleChanged
 | RemoveHandlerOnVisibleChanged
 | AddHandlerOnEnabledChanged
 | RemoveHandlerOnEnableChanging
 | AddHandlerOnKeyDown
 | RemoveHandlerOnKeyDown
 | AddHandlerOnBeforeDestruction
 | RemoveHandlerOnBeforeDestruction
 | AddHandlerOnMouseWheel
 | RemoveHandlerOnMouseWheel
 | UseRightToLeftAlignment
 | UseRightToLeftReading
 | UseRightToLeftScrollBar
 | IsRightToLeft
TLCLComponent
pt | WSRegisterClass
pt | GetWSComponentClass
 | Create
 | Destroy
 | NewInstance
 | RemoveAllHandlersOfObject
 | IncLCLRefCount
 | DecLCLRefCount
TComponent
 | GetComObject
 | GetComponent
 | GetComponentCount
 | GetComponentIndex
 | Insert
 | ReadLeft
 | ReadTop
 | Remove
 | RemoveNotification
 | SetComponentIndex
 | SetReference
 | WriteLeft
 | WriteTop
 | ChangeName
 | DefineProperties
 | GetChildren
 | GetChildOwner
 | GetChildParent
 | GetOwner
 | Loaded
 | Loading
 | Notification
 | PaletteCreated
 | ReadState
 | SetAncestor
 | SetDesigning
 | SetDesignInstance
 | SetInline
 | SetName
 | SetChildOrder
 | SetParentComponent
 | Updating
 | Updated
 | UpdateRegistry
 | ValidateRename
 | ValidateContainer
 | ValidateInsert
 | QueryInterface
 | _AddRef
 | _Release
 | iicrGetComponent
 | GetTypeInfoCount
 | GetTypeInfo
 | GetIDsOfNames
 | Invoke
 | WriteState
 | Create
 | Destroy
 | BeforeDestruction
 | DestroyComponents
 | Destroying
 | ExecuteAction
 | FindComponent
 | FreeNotification
 | RemoveFreeNotification
 | FreeOnRelease
 | GetEnumerator
 | GetNamePath
 | GetParentComponent
 | HasParent
 | InsertComponent
 | RemoveComponent
 | SafeCallException
 | SetSubComponent
 | UpdateAction
 | IsImplementorOf
 | ReferenceInterface
TPersistent
 | AssignError
 | AssignTo
 | DefineProperties
 | GetOwner
 | Destroy
 | Assign
 | FPOAttachObserver
 | FPODetachObserver
 | FPONotifyObservers
 | GetNamePath
TObject
 | Create
 | Destroy
 | newinstance
 | FreeInstance
 | SafeCallException
 | DefaultHandler
 | Free
 | InitInstance
 | CleanupInstance
 | ClassType
 | ClassInfo
 | ClassName
 | ClassNameIs
 | ClassParent
 | InstanceSize
 | InheritsFrom
 | StringMessageTable
 | MethodAddress
 | MethodName
 | FieldAddress
 | AfterConstruction
 | BeforeDestruction
 | DefaultHandlerStr
 | Dispatch
 | DispatchStr
 | GetInterface
 | GetInterfaceByStr
 | GetInterfaceWeak
 | GetInterfaceEntry
 | GetInterfaceEntryByStr
 | GetInterfaceTable
 | UnitName
 | Equals
 | GetHashCode
 | ToString


TCustomCalendar
 | OnChange
 | OnDayChanged
 | OnMonthChanged
 | OnYearChanged
TWinControl
pt | OnGetSiteInfo
pt | OnGetDockCaption
 | OnAlignInsertBefore
 | OnAlignPosition
 | OnDockDrop
 | OnDockOver
 | OnEnter
 | OnExit
 | OnKeyDown
 | OnKeyPress
 | OnKeyUp
 | OnUnDock
 | OnUTF8KeyPress
TControl
pt | OnConstrainedResize
pt | OnContextPopup
pt | OnDblClick
pt | OnTripleClick
pt | OnQuadClick
pt | OnDragDrop
pt | OnDragOver
pt | OnEndDock
pt | OnEndDrag
pt | OnMouseDown
pt | OnMouseMove
pt | OnMouseUp
pt | OnMouseEnter
pt | OnMouseLeave
pt | OnMouseWheel
pt | OnMouseWheelDown
pt | OnMouseWheelUp
pt | OnMouseWheelHorz
pt | OnMouseWheelLeft
pt | OnMouseWheelRight
pt | OnStartDock
pt | OnStartDrag
pt | OnEditingDone
 | OnChangeBounds
 | OnClick
 | OnResize
 | OnShowHint
TLCLComponent
TComponent
TPersistent
TObject


 | OnAlignInsertBefore (TWinControl)
 | OnAlignPosition (TWinControl)
 | OnChange (TCustomCalendar)
 | OnChangeBounds (TControl)
 | OnClick (TControl)
pt | OnConstrainedResize (TControl)
pt | OnContextPopup (TControl)
 | OnDayChanged (TCustomCalendar)
pt | OnDblClick (TControl)
 | OnDockDrop (TWinControl)
 | OnDockOver (TWinControl)
pt | OnDragDrop (TControl)
pt | OnDragOver (TControl)
pt | OnEditingDone (TControl)
pt | OnEndDock (TControl)
pt | OnEndDrag (TControl)
 | OnEnter (TWinControl)
 | OnExit (TWinControl)
pt | OnGetDockCaption (TWinControl)
pt | OnGetSiteInfo (TWinControl)
 | OnKeyDown (TWinControl)
 | OnKeyPress (TWinControl)
 | OnKeyUp (TWinControl)
 | OnMonthChanged (TCustomCalendar)
pt | OnMouseDown (TControl)
pt | OnMouseEnter (TControl)
pt | OnMouseLeave (TControl)
pt | OnMouseMove (TControl)
pt | OnMouseUp (TControl)
pt | OnMouseWheel (TControl)
pt | OnMouseWheelDown (TControl)
pt | OnMouseWheelHorz (TControl)
pt | OnMouseWheelLeft (TControl)
pt | OnMouseWheelRight (TControl)
pt | OnMouseWheelUp (TControl)
pt | OnQuadClick (TControl)
 | OnResize (TControl)
 | OnShowHint (TControl)
pt | OnStartDock (TControl)
pt | OnStartDrag (TControl)
pt | OnTripleClick (TControl)
 | OnUnDock (TWinControl)
 | OnUTF8KeyPress (TWinControl)
 | OnYearChanged (TCustomCalendar)


TCustomCalendar.Create

Create - constructor for TCustomCalendar: calls inherited Create and sets style, initial bounds, display settings; sets date and time to Now

Declaration

Source position: calendar.pp line 101

public constructor TCustomCalendar.Create(

  AOwner: TComponent

); override;

See also

TWinControl.Create


TCustomCalendar.Date

The value of Date returned by the control

Declaration

Source position: calendar.pp line 104

public property TCustomCalendar.Date : string
  read GetDate
  write SetDate
  stored False;


TCustomCalendar.DateTime

The composite DateTime value returned by the control

Declaration

Source position: calendar.pp line 105

public property TCustomCalendar.DateTime : TDateTime
  read GetDateTime
  write SetDateTime;


TCustomCalendar.DisplaySettings

DisplaySettings - various options governing the appearance of the display

Declaration

Source position: calendar.pp line 106

public property TCustomCalendar.DisplaySettings : TDisplaySettings
  read GetDisplaySettings
  write SetDisplaySettings
  default DefaultDisplaySettings;

Description

DisplaySettings - various options governing the appearance of the display

Set of options including:

dsShowHeadings, dsShowDayNames, dsNoMonthChange, dsShowWeekNumbers, dsStartMonday


TCustomCalendar.GetCalendarView

Declaration

Source position: calendar.pp line 103

public function TCustomCalendar.GetCalendarView: TCalendarView;


TCustomCalendar.HitTest

Declaration

Source position: calendar.pp line 102

public function TCustomCalendar.HitTest(

  APoint: TPoint

):TCalendarPart;


TCustomCalendar.LMChanged

LMChanged - LCL Message method to deal with changes in the control

Declaration

Source position: calendar.pp line 92

protected procedure TCustomCalendar.LMChanged(

  var Message: TLMessage

); message;


TCustomCalendar.LMDayChanged

LMDayChanged - LCL Message method for change in Day

Declaration

Source position: calendar.pp line 95

protected procedure TCustomCalendar.LMDayChanged(

  var Message: TLMessage

); message;


TCustomCalendar.LMMonthChanged

LMMonthChanged - LCL Message method for change in Month

Declaration

Source position: calendar.pp line 93

protected procedure TCustomCalendar.LMMonthChanged(

  var Message: TLMessage

); message;


TCustomCalendar.LMYearChanged

LMYearChanged - LCL Message method for change in Year

Declaration

Source position: calendar.pp line 94

protected procedure TCustomCalendar.LMYearChanged(

  var Message: TLMessage

); message;


TCustomCalendar.OnChange

OnChange - event handler for any change in Calendar

Declaration

Source position: calendar.pp line 108

public property TCustomCalendar.OnChange : TNotifyEvent
  read FOnChange
  write FOnChange;


TCustomCalendar.OnDayChanged

OnDayChanged - event handler for a change in Day selected

Declaration

Source position: calendar.pp line 109

public property TCustomCalendar.OnDayChanged : TNotifyEvent
  read FDayChanged
  write FDayChanged;


TCustomCalendar.OnMonthChanged

OnMonthChanged - event handler for a change in month selected

Declaration

Source position: calendar.pp line 110

public property TCustomCalendar.OnMonthChanged : TNotifyEvent
  read FMonthChanged
  write FMonthChanged;


TCustomCalendar.OnYearChanged

OnYearChanged - event handler for a change in the year selected

Declaration

Source position: calendar.pp line 111

public property TCustomCalendar.OnYearChanged : TNotifyEvent
  read FYearChanged
  write FYearChanged;


TCheckListBox

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

TCheckListBox - the box found beside each item on a CheckList

Declaration

Source position: checklst.pas line 85

type TCheckListBox = class(TCustomCheckListBox)
published
property Align: TAlign; | Specifies the placement of the control inside its Parent.
property AllowGrayed: Boolean; | AllowGrayed - if True, the box is allowed to be greyed, and impossible to select
property Anchors: TAnchors; | The set of anchor definitions for this control.
property BidiMode: TBiDiMode; | Customization (of text controls) in bidirectional reading environments.
property BorderSpacing: TControlBorderSpacing; | Determines the inner and outer border spacing for this control.
property BorderStyle: TBorderStyle; | Allows to show a border (line) around the control,
property Color: TColor; | The background color of the control.
property Columns: Integer; | The number of visible vertical columns.
property Constraints: TSizeConstraints; | The minimal and maximal Width and Height of this control.
property DragCursor: TCursor; | The cursor shape shown while the control is dragged.
property DragMode: TDragMode; | Allows the user to drag the control.
property ExtendedSelect: Boolean; | True when a contiguous range of items can be selected by a SHIFT-click. Default True.
property Enabled: Boolean; | Determines whether the control reacts on mouse or keyboard input.
property Font: TFont; | The font to be used for text display in this control.
property IntegralHeight: Boolean; | Not implemented: shrink the Height of the widget, so that it only shows fully visible rows.
property Items: TStrings; | The list of all items in the control.
property ItemHeight: Integer; | The default height of all items.
property ItemIndex: Integer;
property MultiSelect: Boolean; | Allows to select more than one Item from the list, using CTRL-click.
property OnChangeBounds: TNotifyEvent; | Event handler for a change of the Bounds of the control.
property OnClick: TNotifyEvent; | Notification handler for mouse clicks.
property OnClickCheck: TNotifyEvent; | OnClickCheck - event handler for a mouse click on the CheckBox
property OnContextPopup: TContextPopupEvent; | Invoked when a context-sensitive pop-up menu is requested.
property OnDblClick: TNotifyEvent; | Event Handler for double mouse clicks.
property OnDrawItem: TDrawItemEvent; | Handler for special painting of an item (in owner-draw mode).
property OnDragDrop: TDragDropEvent; | This handler determines the action on an drop onto this control, in a drag-drop operation.
property OnDragOver: TDragOverEvent; | Event handler for a control being dragged over this control.
property OnEndDrag: TEndDragEvent; | Notification handler for the end of a dragging operation.
property OnEnter: TNotifyEvent; | Handler for control receiving the focus.
property OnExit: TNotifyEvent; | Handler for control loosing the focus. This is a good place for checking the finished user input.
property OnItemClick: TCheckListClicked; | OnItemClick - event handler for a mouse click on the data item associated with the checkbox
property OnKeyPress: TKeyPressEvent; | Handler for a character entered by the user.
property OnKeyDown: TKeyEvent; | Handler for keyboard key pressed.
property OnKeyUp: TKeyEvent; | Handler for keyboard key released.
property OnMouseDown: TMouseEvent; | Event handler for mouse button going down.
property OnMouseEnter: TNotifyEvent; | Event handler for mouse entering the area of the control.
property OnMouseLeave: TNotifyEvent; | Event handler for mouse leaving the area of the control.
property OnMouseMove: TMouseMoveEvent; | Event handler for mouse movement within the control.
property OnMouseUp: TMouseEvent; | Event handler for mouse button going up.
property OnMouseWheel: TMouseWheelEvent; | Event handler for mouse wheel turned.
property OnMouseWheelDown: TMouseWheelUpDownEvent; | Notification handler for downward movement of mouse wheel.
property OnMouseWheelUp: TMouseWheelUpDownEvent; | Notification handler for upward movement of mouse wheel.
property OnMouseWheelHorz: TMouseWheelEvent;
property OnMouseWheelLeft: TMouseWheelUpDownEvent;
property OnMouseWheelRight: TMouseWheelUpDownEvent;
property OnResize: TNotifyEvent; | Notification handler for a resize of the control.
property OnSelectionChange: TSelectionChangeEvent;
property OnShowHint: TControlShowHintEvent; | Event Handler when a hint shall be shown.
property OnStartDrag: TStartDragEvent; | Event handler for the start of a dragging operation.
property OnUTF8KeyPress: TUTF8KeyPressEvent; | Handler for a character entered by the user.
property ParentBidiMode: Boolean; | Allows to use the BiDiMode settings of Parent. Default is true.
property ParentColor: Boolean;
property ParentFont: Boolean; | If true, the Font of the control will be the same as the one from the Parent. Default is true.
property ParentShowHint: Boolean; | If true, the value of ShowHint for the control will be the same as the one from the Parent. Default is true.
property PopupMenu: TPopupMenu; | A context-sensitive menu that pops up when the right mouse button is clicked over this control
property ShowHint: Boolean; | Enables the Hint display.
property Sorted: Boolean; | Determines whether the list entries are sorted.
property Style: TListBoxStyle; | Appearance of the ListBox - normal, owner-draw fixed, or owner-draw variable.
property TabOrder: TTabOrder; | Determines the sequence of controls, reachable when the user presses the Tab key.
property TabStop: Boolean; | Allows the user to navigate to this control, by pressing the Tab key.
property TopIndex: Integer; | Index of the first visible (topmost) item.
property Visible: Boolean; | Allows to show or hide the control, and all of its children.
end;

Inheritance

TCheckListBox | TCheckListBox - the box found beside each item on a CheckList
|
TCustomCheckListBox | TCustomCheckListBox - base class for TCheckListBox, the box found on CheckLists
|
TCustomListBox | The base class for TListBox.
|
TWinControl | The base class for controls which can contain other (child) controls.
|
TControl | The base class for visible controls.
|
TLCLComponent | The base class for LCL components associated with widgets.
|
TComponent,IUnknown,IInterfaceComponentReference
|
TPersistent,IFPObserved
|
TObject


TCheckListBox
pl | ro | Align
pl | ro | AllowGrayed
pl | ro | Anchors
pl | ro | BidiMode
pl | ro | BorderSpacing
pl | ro | BorderStyle
pl | ro | Color
pl | ro | Columns
pl | ro | Constraints
pl | ro | DragCursor
pl | ro | DragMode
pl | ro | ExtendedSelect
pl | ro | Enabled
pl | ro | Font
pl | ro | IntegralHeight
pl | ro | Items
pl | ro | ItemHeight
pl | ro | ItemIndex
pl | ro | MultiSelect
pl | ro | ParentBidiMode
pl | ro | ParentColor
pl | ro | ParentFont
pl | ro | ParentShowHint
pl | ro | PopupMenu
pl | ro | ShowHint
pl | ro | Sorted
pl | ro | Style
pl | ro | TabOrder
pl | ro | TabStop
pl | ro | TopIndex
pl | ro | Visible
TCustomCheckListBox
 |  | AllowGrayed
 |  | Checked
 |  | Header
 |  | ItemEnabled
 |  | State
TCustomListBox
 | ro | Align
 | ro | Anchors
 | ro | BorderStyle
 | ro | Canvas
 |  | ClickOnSelChange
 |  | Columns
 | ro | Constraints
 | ro | Count
 |  | ExtendedSelect
 | ro | Font
 |  | IntegralHeight
 |  | ItemHeight
 |  | ItemIndex
 |  | Items
 |  | MultiSelect
 |  | Options
 | ro | ParentColor
 | ro | ParentFont
 | ro | ParentShowHint
 | ro | PopupMenu
 |  | ScrollWidth
 | ro | SelCount
 |  | Selected
 | ro | ShowHint
 |  | Sorted
 |  | Style
 | ro | TabOrder
 | ro | TabStop
 |  | TopIndex
 | ro | Visible
TWinControl
pt |  | WindowHandle
pt |  | BorderStyle
pt |  | ParentBackground
 |  | BorderWidth
 | ro | BoundsLockCount
 | ro | Brush
 | ro | CachedClientHeight
 | ro | CachedClientWidth
 |  | ChildSizing
 | ro | ControlCount
 | ro | Controls
 |  | DefWndProc
 | ro | DockClientCount
 | ro | DockClients
 |  | DockManager
 |  | DockSite
 |  | DoubleBuffered
 |  | Handle
 | ro | IsFlipped
 | ro | IsResizing
 |  | TabOrder
 |  | TabStop
 |  | ParentDoubleBuffered
 |  | ParentWindow
 | ro | Showing
 |  | UseDockManager
 |  | DesignerDeleting
 | ro | VisibleDockClientCount
TControl
pt | ro | AutoSizing
pt | ro | AutoSizingAll
pt | ro | AutoSizingLockCount
pt |  | ActionLink
pt |  | DesktopFont
pt |  | DragCursor
pt |  | DragKind
pt |  | DragMode
pt |  | MouseCapture
pt |  | ParentColor
pt |  | ParentFont
pt |  | ParentShowHint
pt |  | SessionProperties
pt |  | Text
 | ro | AnchoredControls
 | ro | BaseBounds
 | ro | ReadBounds
 | ro | BaseParentClientSize
 |  | AccessibleDescription
 |  | AccessibleValue
 |  | AccessibleRole
 |  | Action
 |  | Align
 |  | Anchors
 | ro | AnchorSide
 |  | AutoSize
 |  | BorderSpacing
 |  | BoundsRect
 |  | BoundsRectForNewParent
 |  | Caption
 |  | CaptureMouseButtons
 |  | ClientHeight
 | ro | ClientOrigin
 | ro | ClientRect
 |  | ClientWidth
 |  | Color
 |  | Constraints
 | ro | ControlOrigin
 |  | ControlState
 |  | ControlStyle
 |  | Enabled
 |  | Font
 |  | IsControl
 | ro | MouseEntered
 | ro | MouseInClient
 |  | Parent
 |  | PopupMenu
 |  | ShowHint
 |  | Visible
 |  | WindowProc
 |  | DockOrientation
 | ro | Floating
 |  | FloatingDockSiteClass
 |  | HostDockSite
 |  | LRDockWidth
 |  | TBDockHeight
 |  | UndockHeight
 |  | UndockWidth
 |  | BiDiMode
 |  | ParentBiDiMode
pl |  | AnchorSideLeft
pl |  | AnchorSideTop
pl |  | AnchorSideRight
pl |  | AnchorSideBottom
pl |  | Cursor
pl |  | Left
pl |  | Height
pl |  | Hint
pl |  | Top
pl |  | Width
pl |  | HelpType
pl |  | HelpKeyword
pl |  | HelpContext
TLCLComponent
 | ro | LCLRefCount
 | ro | WidgetSetClass
TComponent
 | ro | ComObject
 | ro | Components
 | ro | ComponentCount
 |  | ComponentIndex
 | ro | ComponentState
 | ro | ComponentStyle
 |  | DesignInfo
 | ro | Owner
 |  | VCLComObject
 |  | Name
 |  | Tag
TPersistent
TObject


 |  | AccessibleDescription (TControl)
 |  | AccessibleRole (TControl)
 |  | AccessibleValue (TControl)
 |  | Action (TControl)
pt |  | ActionLink (TControl)
 |  | Align (TControl)
 | ro | Align (TCustomListBox)
pl | ro | Align (TCheckListBox)
 |  | AllowGrayed (TCustomCheckListBox)
pl | ro | AllowGrayed (TCheckListBox)
 | ro | AnchoredControls (TControl)
 |  | Anchors (TControl)
 | ro | Anchors (TCustomListBox)
pl | ro | Anchors (TCheckListBox)
 | ro | AnchorSide (TControl)
pl |  | AnchorSideBottom (TControl)
pl |  | AnchorSideLeft (TControl)
pl |  | AnchorSideRight (TControl)
pl |  | AnchorSideTop (TControl)
 |  | AutoSize (TControl)
pt | ro | AutoSizing (TControl)
pt | ro | AutoSizingAll (TControl)
pt | ro | AutoSizingLockCount (TControl)
 | ro | BaseBounds (TControl)
 | ro | BaseParentClientSize (TControl)
 |  | BiDiMode (TControl)
pl | ro | BidiMode (TCheckListBox)
 |  | BorderSpacing (TControl)
pl | ro | BorderSpacing (TCheckListBox)
pt |  | BorderStyle (TWinControl)
 | ro | BorderStyle (TCustomListBox)
pl | ro | BorderStyle (TCheckListBox)
 |  | BorderWidth (TWinControl)
 | ro | BoundsLockCount (TWinControl)
 |  | BoundsRect (TControl)
 |  | BoundsRectForNewParent (TControl)
 | ro | Brush (TWinControl)
 | ro | CachedClientHeight (TWinControl)
 | ro | CachedClientWidth (TWinControl)
 | ro | Canvas (TCustomListBox)
 |  | Caption (TControl)
 |  | CaptureMouseButtons (TControl)
 |  | Checked (TCustomCheckListBox)
 |  | ChildSizing (TWinControl)
 |  | ClickOnSelChange (TCustomListBox)
 |  | ClientHeight (TControl)
 | ro | ClientOrigin (TControl)
 | ro | ClientRect (TControl)
 |  | ClientWidth (TControl)
 |  | Color (TControl)
pl | ro | Color (TCheckListBox)
 |  | Columns (TCustomListBox)
pl | ro | Columns (TCheckListBox)
 | ro | ComObject (TComponent)
 | ro | ComponentCount (TComponent)
 |  | ComponentIndex (TComponent)
 | ro | Components (TComponent)
 | ro | ComponentState (TComponent)
 | ro | ComponentStyle (TComponent)
 |  | Constraints (TControl)
 | ro | Constraints (TCustomListBox)
pl | ro | Constraints (TCheckListBox)
 | ro | ControlCount (TWinControl)
 | ro | ControlOrigin (TControl)
 | ro | Controls (TWinControl)
 |  | ControlState (TControl)
 |  | ControlStyle (TControl)
 | ro | Count (TCustomListBox)
pl |  | Cursor (TControl)
 |  | DefWndProc (TWinControl)
 |  | DesignerDeleting (TWinControl)
 |  | DesignInfo (TComponent)
pt |  | DesktopFont (TControl)
 | ro | DockClientCount (TWinControl)
 | ro | DockClients (TWinControl)
 |  | DockManager (TWinControl)
 |  | DockOrientation (TControl)
 |  | DockSite (TWinControl)
 |  | DoubleBuffered (TWinControl)
pt |  | DragCursor (TControl)
pl | ro | DragCursor (TCheckListBox)
pt |  | DragKind (TControl)
pt |  | DragMode (TControl)
pl | ro | DragMode (TCheckListBox)
 |  | Enabled (TControl)
pl | ro | Enabled (TCheckListBox)
 |  | ExtendedSelect (TCustomListBox)
pl | ro | ExtendedSelect (TCheckListBox)
 | ro | Floating (TControl)
 |  | FloatingDockSiteClass (TControl)
 |  | Font (TControl)
 | ro | Font (TCustomListBox)
pl | ro | Font (TCheckListBox)
 |  | Handle (TWinControl)
 |  | Header (TCustomCheckListBox)
pl |  | Height (TControl)
pl |  | HelpContext (TControl)
pl |  | HelpKeyword (TControl)
pl |  | HelpType (TControl)
pl |  | Hint (TControl)
 |  | HostDockSite (TControl)
 |  | IntegralHeight (TCustomListBox)
pl | ro | IntegralHeight (TCheckListBox)
 |  | IsControl (TControl)
 | ro | IsFlipped (TWinControl)
 | ro | IsResizing (TWinControl)
 |  | ItemEnabled (TCustomCheckListBox)
 |  | ItemHeight (TCustomListBox)
pl | ro | ItemHeight (TCheckListBox)
 |  | ItemIndex (TCustomListBox)
pl | ro | ItemIndex (TCheckListBox)
 |  | Items (TCustomListBox)
pl | ro | Items (TCheckListBox)
 | ro | LCLRefCount (TLCLComponent)
pl |  | Left (TControl)
 |  | LRDockWidth (TControl)
pt |  | MouseCapture (TControl)
 | ro | MouseEntered (TControl)
 | ro | MouseInClient (TControl)
 |  | MultiSelect (TCustomListBox)
pl | ro | MultiSelect (TCheckListBox)
 |  | Name (TComponent)
 |  | Options (TCustomListBox)
 | ro | Owner (TComponent)
 |  | Parent (TControl)
pt |  | ParentBackground (TWinControl)
 |  | ParentBiDiMode (TControl)
pl | ro | ParentBidiMode (TCheckListBox)
pt |  | ParentColor (TControl)
 | ro | ParentColor (TCustomListBox)
pl | ro | ParentColor (TCheckListBox)
 |  | ParentDoubleBuffered (TWinControl)
pt |  | ParentFont (TControl)
 | ro | ParentFont (TCustomListBox)
pl | ro | ParentFont (TCheckListBox)
pt |  | ParentShowHint (TControl)
 | ro | ParentShowHint (TCustomListBox)
pl | ro | ParentShowHint (TCheckListBox)
 |  | ParentWindow (TWinControl)
 |  | PopupMenu (TControl)
 | ro | PopupMenu (TCustomListBox)
pl | ro | PopupMenu (TCheckListBox)
 | ro | ReadBounds (TControl)
 |  | ScrollWidth (TCustomListBox)
 | ro | SelCount (TCustomListBox)
 |  | Selected (TCustomListBox)
pt |  | SessionProperties (TControl)
 |  | ShowHint (TControl)
 | ro | ShowHint (TCustomListBox)
pl | ro | ShowHint (TCheckListBox)
 | ro | Showing (TWinControl)
 |  | Sorted (TCustomListBox)
pl | ro | Sorted (TCheckListBox)
 |  | State (TCustomCheckListBox)
 |  | Style (TCustomListBox)
pl | ro | Style (TCheckListBox)
 |  | TabOrder (TWinControl)
 | ro | TabOrder (TCustomListBox)
pl | ro | TabOrder (TCheckListBox)
 |  | TabStop (TWinControl)
 | ro | TabStop (TCustomListBox)
pl | ro | TabStop (TCheckListBox)
 |  | Tag (TComponent)
 |  | TBDockHeight (TControl)
pt |  | Text (TControl)
pl |  | Top (TControl)
 |  | TopIndex (TCustomListBox)
pl | ro | TopIndex (TCheckListBox)
 |  | UndockHeight (TControl)
 |  | UndockWidth (TControl)
 |  | UseDockManager (TWinControl)
 |  | VCLComObject (TComponent)
 |  | Visible (TControl)
 | ro | Visible (TCustomListBox)
pl | ro | Visible (TCheckListBox)
 | ro | VisibleDockClientCount (TWinControl)
 | ro | WidgetSetClass (TLCLComponent)
pl |  | Width (TControl)
pt |  | WindowHandle (TWinControl)
 |  | WindowProc (TControl)


TCheckListBox
TCustomCheckListBox
pt | WSRegisterClass
pt | AssignItemDataToCache
pt | AssignCacheToItemData
pt | CreateParams
pt | DrawItem
pt | GetCachedDataSize
pt | GetCheckWidth
pt | DefineProperties
pt | ReadData
pt | WriteData
pt | ClickCheck
pt | ItemClick
pt | KeyDown
pt | FontChanged
 | Create
 | MeasureItem
 | Toggle
 | CheckAll
 | Exchange
TCustomListBox
pt | WSRegisterClass
pt | AssignItemDataToCache
pt | AssignCacheToItemData
pt | BeforeDragStart
pt | BeginAutoDrag
pt | CalculateStandardItemHeight
pt | CreateParams
pt | InitializeWnd
pt | DestroyWnd
pt | FinalizeWnd
pt | GetControlClassDefaultSize
pt | CheckIndex
pt | GetItemHeight
pt | GetItemIndex
pt | GetSelCount
pt | GetSelected
pt | GetCachedDataSize
pt | GetCachedData
pt | SetExtendedSelect
pt | SetItemIndex
pt | SetItems
pt | SetItemHeight
pt | SetMultiSelect
pt | SetSelected
pt | SetSorted
pt | SetStyle
pt | DrawItem
pt | DoAutoAdjustLayout
pt | DoSelectionChange
pt | SendItemIndex
pt | WMGetDlgCode
 | Create
 | Destroy
 | AddItem
 | Click
 | Clear
 | ClearSelection
 | GetIndexAtXY
 | GetIndexAtY
 | GetSelectedText
 | ItemAtPos
 | ItemRect
 | ItemVisible
 | ItemFullyVisible
 | LockSelectionChange
 | MakeCurrentVisible
 | MeasureItem
 | SelectAll
 | DeleteSelected
 | UnlockSelectionChange
TWinControl
pt | WSRegisterClass
pt | AdjustClientRect
pt | GetAdjustedLogicalClientRect
pt | AlignControls
pt | CustomAlignInsertBefore
pt | CustomAlignPosition
pt | DoAlignChildControls
pt | DoChildSizingChange
pt | InvalidatePreferredChildSizes
pt | CanTab
pt | IsClientHeightStored
pt | IsClientWidthStored
pt | DoSendShowHideToInterface
pt | ControlsAligned
pt | DoSendBoundsToInterface
pt | RealizeBounds
pt | RealizeBoundsRecursive
pt | InvalidateBoundsRealized
pt | CreateSubClass
pt | DoConstraintsChange
pt | DoSetBounds
pt | DoAutoSize
pt | DoAllAutoSize
pt | AllAutoSized
pt | CalculatePreferredSize
pt | GetPreferredSizeClientFrame
pt | GetChildren
pt | ChildClassAllowed
pt | PaintControls
pt | PaintHandler
pt | PaintWindow
pt | CreateBrush
pt | ScaleControls
pt | ChangeScale
pt | CMBiDiModeChanged
pt | CMBorderChanged
pt | CMDoubleBufferedChanged
pt | CMEnabledChanged
pt | CMParentDoubleBufferedChanged
pt | CMShowingChanged
pt | CMShowHintChanged
pt | CMVisibleChanged
pt | CMEnter
pt | CMExit
pt | WMContextMenu
pt | WMEraseBkgnd
pt | WMNotify
pt | WMSetFocus
pt | WMKillFocus
pt | WMShowWindow
pt | WMEnter
pt | WMExit
pt | WMKeyDown
pt | WMSysKeyDown
pt | WMKeyUp
pt | WMSysKeyUp
pt | WMChar
pt | WMSysChar
pt | WMPaint
pt | WMDestroy
pt | WMMove
pt | WMSize
pt | WMWindowPosChanged
pt | CNKeyDown
pt | CNSysKeyDown
pt | CNKeyUp
pt | CNSysKeyUp
pt | CNChar
pt | DoDragMsg
pt | DoDockClientMsg
pt | DoUndockClientMsg
pt | DoAddDockClient
pt | DockOver
pt | DoDockOver
pt | DoRemoveDockClient
pt | DoUnDock
pt | GetSiteInfo
pt | GetParentHandle
pt | GetTopParentHandle
pt | ReloadDockedControl
pt | CreateDockManager
pt | SetDockManager
pt | DoFloatMsg
pt | DoGetDockCaption
pt | DoEnter
pt | DoExit
pt | DoKeyDownBeforeInterface
pt | DoRemainingKeyDown
pt | DoRemainingKeyUp
pt | DoKeyPress
pt | DoUTF8KeyPress
pt | DoKeyUpBeforeInterface
pt | ChildKey
pt | SendDialogChar
pt | DialogChar
pt | ControlKeyDown
pt | ControlKeyUp
pt | KeyDown
pt | KeyDownBeforeInterface
pt | KeyDownAfterInterface
pt | KeyPress
pt | KeyUp
pt | KeyUpBeforeInterface
pt | KeyUpAfterInterface
pt | UTF8KeyPress
pt | FindNextControl
pt | SelectFirst
pt | RealGetText
pt | GetBorderStyle
pt | GetClientOrigin
pt | GetClientRect
pt | GetControlOrigin
pt | GetDeviceContext
pt | GetParentBackground
pt | IsControlMouseMsg
pt | CreateHandle
pt | CreateParams
pt | CreateWnd
pt | DestroyHandle
pt | DestroyWnd
pt | DoFlipChildren
pt | FinalizeWnd
pt | FixupTabList
pt | FontChanged
pt | InitializeWnd
pt | Loaded
pt | FormEndUpdated
pt | MainWndProc
pt | ParentFormHandleInitialized
pt | ChildHandlesCreated
pt | GetMouseCapture
pt | RealSetText
pt | RemoveFocus
pt | SendMoveSizeMessages
pt | SetBorderStyle
pt | SetColor
pt | SetChildZPosition
pt | SetParentBackground
pt | ShowControl
pt | UpdateControlState
pt | UpdateShowing
pt | WndProc
pt | WSSetText
 | AutoSizePhases
 | AutoSizeDelayed
 | AutoSizeDelayedReport
 | AutoSizeDelayedHandle
 | BeginUpdateBounds
 | EndUpdateBounds
 | LockRealizeBounds
 | UnlockRealizeBounds
 | ControlAtPos
 | ContainsControl
 | DoAdjustClientRectChange
 | InvalidateClientRectCache
 | ClientRectNeedsInterfaceUpdate
 | SetBounds
 | GetChildrenRect
 | DisableAlign
 | EnableAlign
 | ReAlign
 | ScrollBy_WS
 | ScrollBy
 | WriteLayoutDebugReport
 | AutoAdjustLayout
 | Create
 | CreateParented
 | CreateParentedControl
 | Destroy
 | DockDrop
 | CanFocus
 | CanSetFocus
 | GetControlIndex
 | SetControlIndex
 | Focused
 | PerformTab
 | FindChildControl
 | SelectNext
 | SetTempCursor
 | BroadCast
 | NotifyControls
 | DefaultHandler
 | GetTextLen
 | Invalidate
 | AddControl
 | InsertControl
 | RemoveControl
 | GetEnumeratorControls
 | GetEnumeratorControlsReverse
 | Repaint
 | Update
 | SetFocus
 | FlipChildren
 | ScaleBy
 | GetDockCaption
 | UpdateDockCaption
 | GetTabOrderList
 | HandleAllocated
 | ParentHandlesAllocated
 | HandleNeeded
 | BrushCreated
 | EraseBackground
 | IntfUTF8KeyPress
 | IntfGetDropFilesTarget
 | PaintTo
 | SetShape
TControl
pt | WSRegisterClass
pt | GetCursor
pt | SetCursor
pt | SetVisible
pt | DoOnParentHandleDestruction
pt | DoAutoSize
pt | DoAllAutoSize
pt | BeginAutoSizing
pt | EndAutoSizing
pt | AnchorSideChanged
pt | ForeignAnchorSideChanged
pt | SetAlign
pt | SetAnchors
pt | SetAutoSize
pt | BoundsChanged
pt | CreateControlBorderSpacing
pt | DoConstraintsChange
pt | DoBorderSpacingChange
pt | IsBorderSpacingInnerBorderStored
pt | IsCaptionStored
pt | SendMoveSizeMessages
pt | ConstrainedResize
pt | CalculatePreferredSize
pt | DoOnResize
pt | DoOnChangeBounds
pt | CheckOnChangeBounds
pt | Resize
pt | RequestAlign
pt | UpdateAnchorRules
pt | ChangeBounds
pt | DoSetBounds
pt | ScaleConstraints
pt | ChangeScale
pt | CanAutoSize
pt | SetBiDiMode
pt | SetParentBiDiMode
pt | IsAParentAligning
pt | GetClientOrigin
pt | GetClientRect
pt | GetLogicalClientRect
pt | GetScrolledClientRect
pt | GetClientScrollOffset
pt | GetControlOrigin
pt | IsClientHeightStored
pt | IsClientWidthStored
pt | WidthIsAnchored
pt | HeightIsAnchored
pt | WMCancelMode
pt | WMContextMenu
pt | WMLButtonDown
pt | WMRButtonDown
pt | WMMButtonDown
pt | WMXButtonDown
pt | WMLButtonDBLCLK
pt | WMRButtonDBLCLK
pt | WMMButtonDBLCLK
pt | WMXButtonDBLCLK
pt | WMLButtonTripleCLK
pt | WMRButtonTripleCLK
pt | WMMButtonTripleCLK
pt | WMXButtonTripleCLK
pt | WMLButtonQuadCLK
pt | WMRButtonQuadCLK
pt | WMMButtonQuadCLK
pt | WMXButtonQuadCLK
pt | WMMouseMove
pt | WMLButtonUp
pt | WMRButtonUp
pt | WMMButtonUp
pt | WMXButtonUp
pt | WMMouseWheel
pt | WMMouseHWheel
pt | WMMove
pt | WMSize
pt | WMWindowPosChanged
pt | CMChanged
pt | LMCaptureChanged
pt | CMBiDiModeChanged
pt | CMSysFontChanged
pt | CMEnabledChanged
pt | CMHitTest
pt | CMMouseEnter
pt | CMMouseLeave
pt | CMHintShow
pt | CMParentBiDiModeChanged
pt | CMParentColorChanged
pt | CMParentFontChanged
pt | CMParentShowHintChanged
pt | CMVisibleChanged
pt | CMTextChanged
pt | CMCursorChanged
pt | CalculateDockSizes
pt | CreateFloatingDockSite
pt | GetDockEdge
pt | GetDragImages
pt | GetFloating
pt | GetFloatingDockSiteClass
pt | BeforeDragStart
pt | BeginAutoDrag
pt | DoFloatMsg
pt | DockTrackNoTarget
pt | DoDock
pt | DoDragMsg
pt | DoEndDock
pt | DoEndDrag
pt | DoStartDock
pt | DoStartDrag
pt | DragCanceled
pt | DragOver
pt | PositionDockRect
pt | SetDragMode
pt | GetDefaultDockCaption
pt | Click
pt | DblClick
pt | TripleClick
pt | QuadClick
pt | GetMousePosFromMessage
pt | MouseDown
pt | MouseMove
pt | MouseUp
pt | MouseEnter
pt | MouseLeave
pt | DialogChar
pt | UpdateMouseCursor
pt | Changed
pt | GetPalette
pt | ChildClassAllowed
pt | ReadState
pt | Loaded
pt | LoadedAll
pt | DefineProperties
pt | AssignTo
pt | FormEndUpdated
pt | InvalidateControl
pt | FontChanged
pt | ParentFontChanged
pt | GetAction
pt | RealGetText
pt | RealSetText
pt | TextChanged
pt | GetCachedText
pt | SetAction
pt | SetColor
pt | SetEnabled
pt | SetHint
pt | SetName
pt | SetParent
pt | SetParentComponent
pt | WndProc
pt | ParentFormHandleInitialized
pt | GetMouseCapture
pt | CaptureChanged
pt | Notification
pt | CanTab
pt | GetDeviceContext
pt | GetEnabled
pt | GetPopupMenu
pt | DoOnShowHint
pt | DoMouseWheel
pt | DoMouseWheelDown
pt | DoMouseWheelUp
pt | DoMouseWheelHorz
pt | DoMouseWheelLeft
pt | DoMouseWheelRight
pt | VisibleChanging
pt | VisibleChanged
pt | EnabledChanging
pt | EnabledChanged
pt | AddHandler
pt | RemoveHandler
pt | DoCallNotifyHandler
pt | DoCallKeyEventHandler
pt | DoCallMouseWheelEventHandler
pt | DoContextPopup
pt | SetZOrder
pt | GetControlClassDefaultSize
pt | ColorIsStored
pt | DoAutoAdjustLayout
pt | DoFixDesignFontPPI
pt | DoScaleFontPPI
pt | GetActionLinkClass
pt | ActionChange
 | DragDrop
 | Dock
 | ManualDock
 | ManualFloat
 | ReplaceDockedControl
 | Docked
 | Dragging
 | GetAccessibleObject
 | CreateAccessibleObject
 | GetSelectedChildAccessibleObject
 | GetChildAccessibleObjectAtPos
 | ScaleDesignToForm
 | ScaleFormToDesign
 | Scale96ToForm
 | ScaleFormTo96
 | Scale96ToFont
 | ScaleFontTo96
 | ScaleScreenToFont
 | ScaleFontToScreen
 | Scale96ToScreen
 | ScaleScreenTo96
 | AdjustSize
 | AutoSizePhases
 | AutoSizeDelayed
 | AutoSizeDelayedReport
 | AutoSizeDelayedHandle
 | AnchorToNeighbour
 | AnchorParallel
 | AnchorHorizontalCenterTo
 | AnchorVerticalCenterTo
 | AnchorToCompanion
 | AnchorSame
 | AnchorAsAlign
 | AnchorClient
 | AnchoredControlCount
 | SetBounds
 | SetInitialBounds
 | SetBoundsKeepBase
 | GetPreferredSize
 | GetCanvasScaleFactor
 | GetDefaultWidth
 | GetDefaultHeight
 | GetDefaultColor
 | GetColorResolvingParent
 | GetRGBColorResolvingParent
 | GetSidePosition
 | CNPreferredSizeChanged
 | InvalidatePreferredSize
 | GetAnchorsDependingOnParent
 | DisableAutoSizing
 | EnableAutoSizing
 | UpdateBaseBounds
 | WriteLayoutDebugReport
 | AutoAdjustLayout
 | ShouldAutoAdjust
 | FixDesignFontsPPI
 | ScaleFontsPPI
 | Create
 | Destroy
 | BeforeDestruction
 | EditingDone
 | ExecuteDefaultAction
 | ExecuteCancelAction
 | BeginDrag
 | EndDrag
 | BringToFront
 | HasParent
 | GetParentComponent
 | IsParentOf
 | GetTopParent
 | IsVisible
 | IsControlVisible
 | IsEnabled
 | IsParentColor
 | IsParentFont
 | FormIsUpdating
 | IsProcessingPaintMsg
 | Hide
 | Refresh
 | Repaint
 | Invalidate
 | CheckChildClassAllowed
 | CheckNewParent
 | SendToBack
 | SetTempCursor
 | UpdateRolesForForm
 | ActiveDefaultControlChanged
 | GetTextBuf
 | GetTextLen
 | SetTextBuf
 | Perform
 | ScreenToClient
 | ClientToScreen
 | ScreenToControl
 | ControlToScreen
 | ClientToParent
 | ParentToClient
 | GetChildrenRect
 | Show
 | Update
 | HandleObjectShouldBeVisible
 | ParentDestroyingHandle
 | ParentHandlesAllocated
 | InitiateAction
 | ShowHelp
 | HasHelp
 | RemoveAllHandlersOfObject
 | AddHandlerOnResize
 | RemoveHandlerOnResize
 | AddHandlerOnChangeBounds
 | RemoveHandlerOnChangeBounds
 | AddHandlerOnVisibleChanging
 | RemoveHandlerOnVisibleChanging
 | AddHandlerOnVisibleChanged
 | RemoveHandlerOnVisibleChanged
 | AddHandlerOnEnabledChanged
 | RemoveHandlerOnEnableChanging
 | AddHandlerOnKeyDown
 | RemoveHandlerOnKeyDown
 | AddHandlerOnBeforeDestruction
 | RemoveHandlerOnBeforeDestruction
 | AddHandlerOnMouseWheel
 | RemoveHandlerOnMouseWheel
 | UseRightToLeftAlignment
 | UseRightToLeftReading
 | UseRightToLeftScrollBar
 | IsRightToLeft
TLCLComponent
pt | WSRegisterClass
pt | GetWSComponentClass
 | Create
 | Destroy
 | NewInstance
 | RemoveAllHandlersOfObject
 | IncLCLRefCount
 | DecLCLRefCount
TComponent
 | GetComObject
 | GetComponent
 | GetComponentCount
 | GetComponentIndex
 | Insert
 | ReadLeft
 | ReadTop
 | Remove
 | RemoveNotification
 | SetComponentIndex
 | SetReference
 | WriteLeft
 | WriteTop
 | ChangeName
 | DefineProperties
 | GetChildren
 | GetChildOwner
 | GetChildParent
 | GetOwner
 | Loaded
 | Loading
 | Notification
 | PaletteCreated
 | ReadState
 | SetAncestor
 | SetDesigning
 | SetDesignInstance
 | SetInline
 | SetName
 | SetChildOrder
 | SetParentComponent
 | Updating
 | Updated
 | UpdateRegistry
 | ValidateRename
 | ValidateContainer
 | ValidateInsert
 | QueryInterface
 | _AddRef
 | _Release
 | iicrGetComponent
 | GetTypeInfoCount
 | GetTypeInfo
 | GetIDsOfNames
 | Invoke
 | WriteState
 | Create
 | Destroy
 | BeforeDestruction
 | DestroyComponents
 | Destroying
 | ExecuteAction
 | FindComponent
 | FreeNotification
 | RemoveFreeNotification
 | FreeOnRelease
 | GetEnumerator
 | GetNamePath
 | GetParentComponent
 | HasParent
 | InsertComponent
 | RemoveComponent
 | SafeCallException
 | SetSubComponent
 | UpdateAction
 | IsImplementorOf
 | ReferenceInterface
TPersistent
 | AssignError
 | AssignTo
 | DefineProperties
 | GetOwner
 | Destroy
 | Assign
 | FPOAttachObserver
 | FPODetachObserver
 | FPONotifyObservers
 | GetNamePath
TObject
 | Create
 | Destroy
 | newinstance
 | FreeInstance
 | SafeCallException
 | DefaultHandler
 | Free
 | InitInstance
 | CleanupInstance
 | ClassType
 | ClassInfo
 | ClassName
 | ClassNameIs
 | ClassParent
 | InstanceSize
 | InheritsFrom
 | StringMessageTable
 | MethodAddress
 | MethodName
 | FieldAddress
 | AfterConstruction
 | BeforeDestruction
 | DefaultHandlerStr
 | Dispatch
 | DispatchStr
 | GetInterface
 | GetInterfaceByStr
 | GetInterfaceWeak
 | GetInterfaceEntry
 | GetInterfaceEntryByStr
 | GetInterfaceTable
 | UnitName
 | Equals
 | GetHashCode
 | ToString


pt | ActionChange (TControl)
 | ActiveDefaultControlChanged (TControl)
 | AddControl (TWinControl)
pt | AddHandler (TControl)
 | AddHandlerOnBeforeDestruction (TControl)
 | AddHandlerOnChangeBounds (TControl)
 | AddHandlerOnEnabledChanged (TControl)
 | AddHandlerOnKeyDown (TControl)
 | AddHandlerOnMouseWheel (TControl)
 | AddHandlerOnResize (TControl)
 | AddHandlerOnVisibleChanged (TControl)
 | AddHandlerOnVisibleChanging (TControl)
 | AddItem (TCustomListBox)
pt | AdjustClientRect (TWinControl)
 | AdjustSize (TControl)
 | AfterConstruction (TObject)
pt | AlignControls (TWinControl)
pt | AllAutoSized (TWinControl)
 | AnchorAsAlign (TControl)
 | AnchorClient (TControl)
 | AnchoredControlCount (TControl)
 | AnchorHorizontalCenterTo (TControl)
 | AnchorParallel (TControl)
 | AnchorSame (TControl)
pt | AnchorSideChanged (TControl)
 | AnchorToCompanion (TControl)
 | AnchorToNeighbour (TControl)
 | AnchorVerticalCenterTo (TControl)
 | Assign (TPersistent)
pt | AssignCacheToItemData (TCustomListBox)
pt | AssignCacheToItemData (TCustomCheckListBox)
 | AssignError (TPersistent)
pt | AssignItemDataToCache (TCustomListBox)
pt | AssignItemDataToCache (TCustomCheckListBox)
 | AssignTo (TPersistent)
pt | AssignTo (TControl)
 | AutoAdjustLayout (TControl)
 | AutoAdjustLayout (TWinControl)
 | AutoSizeDelayed (TControl)
 | AutoSizeDelayed (TWinControl)
 | AutoSizeDelayedHandle (TControl)
 | AutoSizeDelayedHandle (TWinControl)
 | AutoSizeDelayedReport (TControl)
 | AutoSizeDelayedReport (TWinControl)
 | AutoSizePhases (TControl)
 | AutoSizePhases (TWinControl)
 | BeforeDestruction (TObject)
 | BeforeDestruction (TComponent)
 | BeforeDestruction (TControl)
pt | BeforeDragStart (TControl)
pt | BeforeDragStart (TCustomListBox)
pt | BeginAutoDrag (TControl)
pt | BeginAutoDrag (TCustomListBox)
pt | BeginAutoSizing (TControl)
 | BeginDrag (TControl)
 | BeginUpdateBounds (TWinControl)
pt | BoundsChanged (TControl)
 | BringToFront (TControl)
 | BroadCast (TWinControl)
 | BrushCreated (TWinControl)
pt | CalculateDockSizes (TControl)
pt | CalculatePreferredSize (TControl)
pt | CalculatePreferredSize (TWinControl)
pt | CalculateStandardItemHeight (TCustomListBox)
pt | CanAutoSize (TControl)
 | CanFocus (TWinControl)
 | CanSetFocus (TWinControl)
pt | CanTab (TControl)
pt | CanTab (TWinControl)
pt | CaptureChanged (TControl)
pt | ChangeBounds (TControl)
pt | Changed (TControl)
 | ChangeName (TComponent)
pt | ChangeScale (TControl)
pt | ChangeScale (TWinControl)
 | CheckAll (TCustomCheckListBox)
 | CheckChildClassAllowed (TControl)
pt | CheckIndex (TCustomListBox)
 | CheckNewParent (TControl)
pt | CheckOnChangeBounds (TControl)
pt | ChildClassAllowed (TControl)
pt | ChildClassAllowed (TWinControl)
pt | ChildHandlesCreated (TWinControl)
pt | ChildKey (TWinControl)
 | ClassInfo (TObject)
 | ClassName (TObject)
 | ClassNameIs (TObject)
 | ClassParent (TObject)
 | ClassType (TObject)
 | CleanupInstance (TObject)
 | Clear (TCustomListBox)
 | ClearSelection (TCustomListBox)
pt | Click (TControl)
 | Click (TCustomListBox)
pt | ClickCheck (TCustomCheckListBox)
 | ClientRectNeedsInterfaceUpdate (TWinControl)
 | ClientToParent (TControl)
 | ClientToScreen (TControl)
pt | CMBiDiModeChanged (TControl)
pt | CMBiDiModeChanged (TWinControl)
pt | CMBorderChanged (TWinControl)
pt | CMChanged (TControl)
pt | CMCursorChanged (TControl)
pt | CMDoubleBufferedChanged (TWinControl)
pt | CMEnabledChanged (TControl)
pt | CMEnabledChanged (TWinControl)
pt | CMEnter (TWinControl)
pt | CMExit (TWinControl)
pt | CMHintShow (TControl)
pt | CMHitTest (TControl)
pt | CMMouseEnter (TControl)
pt | CMMouseLeave (TControl)
pt | CMParentBiDiModeChanged (TControl)
pt | CMParentColorChanged (TControl)
pt | CMParentDoubleBufferedChanged (TWinControl)
pt | CMParentFontChanged (TControl)
pt | CMParentShowHintChanged (TControl)
pt | CMShowHintChanged (TWinControl)
pt | CMShowingChanged (TWinControl)
pt | CMSysFontChanged (TControl)
pt | CMTextChanged (TControl)
pt | CMVisibleChanged (TControl)
pt | CMVisibleChanged (TWinControl)
pt | CNChar (TWinControl)
pt | CNKeyDown (TWinControl)
pt | CNKeyUp (TWinControl)
 | CNPreferredSizeChanged (TControl)
pt | CNSysKeyDown (TWinControl)
pt | CNSysKeyUp (TWinControl)
pt | ColorIsStored (TControl)
pt | ConstrainedResize (TControl)
 | ContainsControl (TWinControl)
 | ControlAtPos (TWinControl)
pt | ControlKeyDown (TWinControl)
pt | ControlKeyUp (TWinControl)
pt | ControlsAligned (TWinControl)
 | ControlToScreen (TControl)
 | Create (TObject)
 | Create (TComponent)
 | Create (TLCLComponent)
 | Create (TControl)
 | Create (TWinControl)
 | Create (TCustomListBox)
 | Create (TCustomCheckListBox)
 | CreateAccessibleObject (TControl)
pt | CreateBrush (TWinControl)
pt | CreateControlBorderSpacing (TControl)
pt | CreateDockManager (TWinControl)
pt | CreateFloatingDockSite (TControl)
pt | CreateHandle (TWinControl)
pt | CreateParams (TWinControl)
pt | CreateParams (TCustomListBox)
pt | CreateParams (TCustomCheckListBox)
 | CreateParented (TWinControl)
 | CreateParentedControl (TWinControl)
pt | CreateSubClass (TWinControl)
pt | CreateWnd (TWinControl)
pt | CustomAlignInsertBefore (TWinControl)
pt | CustomAlignPosition (TWinControl)
pt | DblClick (TControl)
 | DecLCLRefCount (TLCLComponent)
 | DefaultHandler (TObject)
 | DefaultHandler (TWinControl)
 | DefaultHandlerStr (TObject)
 | DefineProperties (TPersistent)
 | DefineProperties (TComponent)
pt | DefineProperties (TControl)
pt | DefineProperties (TCustomCheckListBox)
 | DeleteSelected (TCustomListBox)
 | Destroy (TObject)
 | Destroy (TPersistent)
 | Destroy (TComponent)
 | Destroy (TLCLComponent)
 | Destroy (TControl)
 | Destroy (TWinControl)
 | Destroy (TCustomListBox)
 | DestroyComponents (TComponent)
pt | DestroyHandle (TWinControl)
 | Destroying (TComponent)
pt | DestroyWnd (TWinControl)
pt | DestroyWnd (TCustomListBox)
pt | DialogChar (TControl)
pt | DialogChar (TWinControl)
 | DisableAlign (TWinControl)
 | DisableAutoSizing (TControl)
 | Dispatch (TObject)
 | DispatchStr (TObject)
pt | DoAddDockClient (TWinControl)
 | DoAdjustClientRectChange (TWinControl)
pt | DoAlignChildControls (TWinControl)
pt | DoAllAutoSize (TControl)
pt | DoAllAutoSize (TWinControl)
pt | DoAutoAdjustLayout (TControl)
pt | DoAutoAdjustLayout (TCustomListBox)
pt | DoAutoSize (TControl)
pt | DoAutoSize (TWinControl)
pt | DoBorderSpacingChange (TControl)
pt | DoCallKeyEventHandler (TControl)
pt | DoCallMouseWheelEventHandler (TControl)
pt | DoCallNotifyHandler (TControl)
pt | DoChildSizingChange (TWinControl)
 | Dock (TControl)
 | DockDrop (TWinControl)
 | Docked (TControl)
pt | DockOver (TWinControl)
pt | DockTrackNoTarget (TControl)
pt | DoConstraintsChange (TControl)
pt | DoConstraintsChange (TWinControl)
pt | DoContextPopup (TControl)
pt | DoDock (TControl)
pt | DoDockClientMsg (TWinControl)
pt | DoDockOver (TWinControl)
pt | DoDragMsg (TControl)
pt | DoDragMsg (TWinControl)
pt | DoEndDock (TControl)
pt | DoEndDrag (TControl)
pt | DoEnter (TWinControl)
pt | DoExit (TWinControl)
pt | DoFixDesignFontPPI (TControl)
pt | DoFlipChildren (TWinControl)
pt | DoFloatMsg (TControl)
pt | DoFloatMsg (TWinControl)
pt | DoGetDockCaption (TWinControl)
pt | DoKeyDownBeforeInterface (TWinControl)
pt | DoKeyPress (TWinControl)
pt | DoKeyUpBeforeInterface (TWinControl)
pt | DoMouseWheel (TControl)
pt | DoMouseWheelDown (TControl)
pt | DoMouseWheelHorz (TControl)
pt | DoMouseWheelLeft (TControl)
pt | DoMouseWheelRight (TControl)
pt | DoMouseWheelUp (TControl)
pt | DoOnChangeBounds (TControl)
pt | DoOnParentHandleDestruction (TControl)
pt | DoOnResize (TControl)
pt | DoOnShowHint (TControl)
pt | DoRemainingKeyDown (TWinControl)
pt | DoRemainingKeyUp (TWinControl)
pt | DoRemoveDockClient (TWinControl)
pt | DoScaleFontPPI (TControl)
pt | DoSelectionChange (TCustomListBox)
pt | DoSendBoundsToInterface (TWinControl)
pt | DoSendShowHideToInterface (TWinControl)
pt | DoSetBounds (TControl)
pt | DoSetBounds (TWinControl)
pt | DoStartDock (TControl)
pt | DoStartDrag (TControl)
pt | DoUnDock (TWinControl)
pt | DoUndockClientMsg (TWinControl)
pt | DoUTF8KeyPress (TWinControl)
pt | DragCanceled (TControl)
 | DragDrop (TControl)
 | Dragging (TControl)
pt | DragOver (TControl)
pt | DrawItem (TCustomListBox)
pt | DrawItem (TCustomCheckListBox)
 | EditingDone (TControl)
 | EnableAlign (TWinControl)
 | EnableAutoSizing (TControl)
pt | EnabledChanged (TControl)
pt | EnabledChanging (TControl)
pt | EndAutoSizing (TControl)
 | EndDrag (TControl)
 | EndUpdateBounds (TWinControl)
 | Equals (TObject)
 | EraseBackground (TWinControl)
 | Exchange (TCustomCheckListBox)
 | ExecuteAction (TComponent)
 | ExecuteCancelAction (TControl)
 | ExecuteDefaultAction (TControl)
 | FieldAddress (TObject)
pt | FinalizeWnd (TWinControl)
pt | FinalizeWnd (TCustomListBox)
 | FindChildControl (TWinControl)
 | FindComponent (TComponent)
pt | FindNextControl (TWinControl)
 | FixDesignFontsPPI (TControl)
pt | FixupTabList (TWinControl)
 | FlipChildren (TWinControl)
 | Focused (TWinControl)
pt | FontChanged (TControl)
pt | FontChanged (TWinControl)
pt | FontChanged (TCustomCheckListBox)
pt | ForeignAnchorSideChanged (TControl)
pt | FormEndUpdated (TControl)
pt | FormEndUpdated (TWinControl)
 | FormIsUpdating (TControl)
 | FPOAttachObserver (TPersistent)
 | FPODetachObserver (TPersistent)
 | FPONotifyObservers (TPersistent)
 | Free (TObject)
 | FreeInstance (TObject)
 | FreeNotification (TComponent)
 | FreeOnRelease (TComponent)
 | GetAccessibleObject (TControl)
pt | GetAction (TControl)
pt | GetActionLinkClass (TControl)
pt | GetAdjustedLogicalClientRect (TWinControl)
 | GetAnchorsDependingOnParent (TControl)
pt | GetBorderStyle (TWinControl)
pt | GetCachedData (TCustomListBox)
pt | GetCachedDataSize (TCustomListBox)
pt | GetCachedDataSize (TCustomCheckListBox)
pt | GetCachedText (TControl)
 | GetCanvasScaleFactor (TControl)
pt | GetCheckWidth (TCustomCheckListBox)
 | GetChildAccessibleObjectAtPos (TControl)
 | GetChildOwner (TComponent)
 | GetChildParent (TComponent)
 | GetChildren (TComponent)
pt | GetChildren (TWinControl)
 | GetChildrenRect (TControl)
 | GetChildrenRect (TWinControl)
pt | GetClientOrigin (TControl)
pt | GetClientOrigin (TWinControl)
pt | GetClientRect (TControl)
pt | GetClientRect (TWinControl)
pt | GetClientScrollOffset (TControl)
 | GetColorResolvingParent (TControl)
 | GetComObject (TComponent)
 | GetComponent (TComponent)
 | GetComponentCount (TComponent)
 | GetComponentIndex (TComponent)
pt | GetControlClassDefaultSize (TControl)
pt | GetControlClassDefaultSize (TCustomListBox)
 | GetControlIndex (TWinControl)
pt | GetControlOrigin (TControl)
pt | GetControlOrigin (TWinControl)
pt | GetCursor (TControl)
 | GetDefaultColor (TControl)
pt | GetDefaultDockCaption (TControl)
 | GetDefaultHeight (TControl)
 | GetDefaultWidth (TControl)
pt | GetDeviceContext (TControl)
pt | GetDeviceContext (TWinControl)
 | GetDockCaption (TWinControl)
pt | GetDockEdge (TControl)
pt | GetDragImages (TControl)
pt | GetEnabled (TControl)
 | GetEnumerator (TComponent)
 | GetEnumeratorControls (TWinControl)
 | GetEnumeratorControlsReverse (TWinControl)
pt | GetFloating (TControl)
pt | GetFloatingDockSiteClass (TControl)
 | GetHashCode (TObject)
 | GetIDsOfNames (TComponent)
 | GetIndexAtXY (TCustomListBox)
 | GetIndexAtY (TCustomListBox)
 | GetInterface (TObject)
 | GetInterfaceByStr (TObject)
 | GetInterfaceEntry (TObject)
 | GetInterfaceEntryByStr (TObject)
 | GetInterfaceTable (TObject)
 | GetInterfaceWeak (TObject)
pt | GetItemHeight (TCustomListBox)
pt | GetItemIndex (TCustomListBox)
pt | GetLogicalClientRect (TControl)
pt | GetMouseCapture (TControl)
pt | GetMouseCapture (TWinControl)
pt | GetMousePosFromMessage (TControl)
 | GetNamePath (TPersistent)
 | GetNamePath (TComponent)
 | GetOwner (TPersistent)
 | GetOwner (TComponent)
pt | GetPalette (TControl)
pt | GetParentBackground (TWinControl)
 | GetParentComponent (TComponent)
 | GetParentComponent (TControl)
pt | GetParentHandle (TWinControl)
pt | GetPopupMenu (TControl)
 | GetPreferredSize (TControl)
pt | GetPreferredSizeClientFrame (TWinControl)
 | GetRGBColorResolvingParent (TControl)
pt | GetScrolledClientRect (TControl)
pt | GetSelCount (TCustomListBox)
pt | GetSelected (TCustomListBox)
 | GetSelectedChildAccessibleObject (TControl)
 | GetSelectedText (TCustomListBox)
 | GetSidePosition (TControl)
pt | GetSiteInfo (TWinControl)
 | GetTabOrderList (TWinControl)
 | GetTextBuf (TControl)
 | GetTextLen (TControl)
 | GetTextLen (TWinControl)
 | GetTopParent (TControl)
pt | GetTopParentHandle (TWinControl)
 | GetTypeInfo (TComponent)
 | GetTypeInfoCount (TComponent)
pt | GetWSComponentClass (TLCLComponent)
 | HandleAllocated (TWinControl)
 | HandleNeeded (TWinControl)
 | HandleObjectShouldBeVisible (TControl)
 | HasHelp (TControl)
 | HasParent (TComponent)
 | HasParent (TControl)
pt | HeightIsAnchored (TControl)
 | Hide (TControl)
 | iicrGetComponent (TComponent)
 | IncLCLRefCount (TLCLComponent)
 | InheritsFrom (TObject)
pt | InitializeWnd (TWinControl)
pt | InitializeWnd (TCustomListBox)
 | InitiateAction (TControl)
 | InitInstance (TObject)
 | Insert (TComponent)
 | InsertComponent (TComponent)
 | InsertControl (TWinControl)
 | InstanceSize (TObject)
 | IntfGetDropFilesTarget (TWinControl)
 | IntfUTF8KeyPress (TWinControl)
 | Invalidate (TControl)
 | Invalidate (TWinControl)
pt | InvalidateBoundsRealized (TWinControl)
 | InvalidateClientRectCache (TWinControl)
pt | InvalidateControl (TControl)
pt | InvalidatePreferredChildSizes (TWinControl)
 | InvalidatePreferredSize (TControl)
 | Invoke (TComponent)
pt | IsAParentAligning (TControl)
pt | IsBorderSpacingInnerBorderStored (TControl)
pt | IsCaptionStored (TControl)
pt | IsClientHeightStored (TControl)
pt | IsClientHeightStored (TWinControl)
pt | IsClientWidthStored (TControl)
pt | IsClientWidthStored (TWinControl)
pt | IsControlMouseMsg (TWinControl)
 | IsControlVisible (TControl)
 | IsEnabled (TControl)
 | IsImplementorOf (TComponent)
 | IsParentColor (TControl)
 | IsParentFont (TControl)
 | IsParentOf (TControl)
 | IsProcessingPaintMsg (TControl)
 | IsRightToLeft (TControl)
 | IsVisible (TControl)
 | ItemAtPos (TCustomListBox)
pt | ItemClick (TCustomCheckListBox)
 | ItemFullyVisible (TCustomListBox)
 | ItemRect (TCustomListBox)
 | ItemVisible (TCustomListBox)
pt | KeyDown (TWinControl)
pt | KeyDown (TCustomCheckListBox)
pt | KeyDownAfterInterface (TWinControl)
pt | KeyDownBeforeInterface (TWinControl)
pt | KeyPress (TWinControl)
pt | KeyUp (TWinControl)
pt | KeyUpAfterInterface (TWinControl)
pt | KeyUpBeforeInterface (TWinControl)
pt | LMCaptureChanged (TControl)
 | Loaded (TComponent)
pt | Loaded (TControl)
pt | Loaded (TWinControl)
pt | LoadedAll (TControl)
 | Loading (TComponent)
 | LockRealizeBounds (TWinControl)
 | LockSelectionChange (TCustomListBox)
pt | MainWndProc (TWinControl)
 | MakeCurrentVisible (TCustomListBox)
 | ManualDock (TControl)
 | ManualFloat (TControl)
 | MeasureItem (TCustomListBox)
 | MeasureItem (TCustomCheckListBox)
 | MethodAddress (TObject)
 | MethodName (TObject)
pt | MouseDown (TControl)
pt | MouseEnter (TControl)
pt | MouseLeave (TControl)
pt | MouseMove (TControl)
pt | MouseUp (TControl)
 | newinstance (TObject)
 | NewInstance (TLCLComponent)
 | Notification (TComponent)
pt | Notification (TControl)
 | NotifyControls (TWinControl)
pt | PaintControls (TWinControl)
pt | PaintHandler (TWinControl)
 | PaintTo (TWinControl)
pt | PaintWindow (TWinControl)
 | PaletteCreated (TComponent)
 | ParentDestroyingHandle (TControl)
pt | ParentFontChanged (TControl)
pt | ParentFormHandleInitialized (TControl)
pt | ParentFormHandleInitialized (TWinControl)
 | ParentHandlesAllocated (TControl)
 | ParentHandlesAllocated (TWinControl)
 | ParentToClient (TControl)
 | Perform (TControl)
 | PerformTab (TWinControl)
pt | PositionDockRect (TControl)
pt | QuadClick (TControl)
 | QueryInterface (TComponent)
pt | ReadData (TCustomCheckListBox)
 | ReadLeft (TComponent)
 | ReadState (TComponent)
pt | ReadState (TControl)
 | ReadTop (TComponent)
pt | RealGetText (TControl)
pt | RealGetText (TWinControl)
 | ReAlign (TWinControl)
pt | RealizeBounds (TWinControl)
pt | RealizeBoundsRecursive (TWinControl)
pt | RealSetText (TControl)
pt | RealSetText (TWinControl)
 | ReferenceInterface (TComponent)
 | Refresh (TControl)
pt | ReloadDockedControl (TWinControl)
 | Remove (TComponent)
 | RemoveAllHandlersOfObject (TLCLComponent)
 | RemoveAllHandlersOfObject (TControl)
 | RemoveComponent (TComponent)
 | RemoveControl (TWinControl)
pt | RemoveFocus (TWinControl)
 | RemoveFreeNotification (TComponent)
pt | RemoveHandler (TControl)
 | RemoveHandlerOnBeforeDestruction (TControl)
 | RemoveHandlerOnChangeBounds (TControl)
 | RemoveHandlerOnEnableChanging (TControl)
 | RemoveHandlerOnKeyDown (TControl)
 | RemoveHandlerOnMouseWheel (TControl)
 | RemoveHandlerOnResize (TControl)
 | RemoveHandlerOnVisibleChanged (TControl)
 | RemoveHandlerOnVisibleChanging (TControl)
 | RemoveNotification (TComponent)
 | Repaint (TControl)
 | Repaint (TWinControl)
 | ReplaceDockedControl (TControl)
pt | RequestAlign (TControl)
pt | Resize (TControl)
 | SafeCallException (TObject)
 | SafeCallException (TComponent)
 | Scale96ToFont (TControl)
 | Scale96ToForm (TControl)
 | Scale96ToScreen (TControl)
 | ScaleBy (TWinControl)
pt | ScaleConstraints (TControl)
pt | ScaleControls (TWinControl)
 | ScaleDesignToForm (TControl)
 | ScaleFontsPPI (TControl)
 | ScaleFontTo96 (TControl)
 | ScaleFontToScreen (TControl)
 | ScaleFormTo96 (TControl)
 | ScaleFormToDesign (TControl)
 | ScaleScreenTo96 (TControl)
 | ScaleScreenToFont (TControl)
 | ScreenToClient (TControl)
 | ScreenToControl (TControl)
 | ScrollBy (TWinControl)
 | ScrollBy_WS (TWinControl)
 | SelectAll (TCustomListBox)
pt | SelectFirst (TWinControl)
 | SelectNext (TWinControl)
pt | SendDialogChar (TWinControl)
pt | SendItemIndex (TCustomListBox)
pt | SendMoveSizeMessages (TControl)
pt | SendMoveSizeMessages (TWinControl)
 | SendToBack (TControl)
pt | SetAction (TControl)
pt | SetAlign (TControl)
 | SetAncestor (TComponent)
pt | SetAnchors (TControl)
pt | SetAutoSize (TControl)
pt | SetBiDiMode (TControl)
pt | SetBorderStyle (TWinControl)
 | SetBounds (TControl)
 | SetBounds (TWinControl)
 | SetBoundsKeepBase (TControl)
 | SetChildOrder (TComponent)
pt | SetChildZPosition (TWinControl)
pt | SetColor (TControl)
pt | SetColor (TWinControl)
 | SetComponentIndex (TComponent)
 | SetControlIndex (TWinControl)
pt | SetCursor (TControl)
 | SetDesigning (TComponent)
 | SetDesignInstance (TComponent)
pt | SetDockManager (TWinControl)
pt | SetDragMode (TControl)
pt | SetEnabled (TControl)
pt | SetExtendedSelect (TCustomListBox)
 | SetFocus (TWinControl)
pt | SetHint (TControl)
 | SetInitialBounds (TControl)
 | SetInline (TComponent)
pt | SetItemHeight (TCustomListBox)
pt | SetItemIndex (TCustomListBox)
pt | SetItems (TCustomListBox)
pt | SetMultiSelect (TCustomListBox)
 | SetName (TComponent)
pt | SetName (TControl)
pt | SetParent (TControl)
pt | SetParentBackground (TWinControl)
pt | SetParentBiDiMode (TControl)
 | SetParentComponent (TComponent)
pt | SetParentComponent (TControl)
 | SetReference (TComponent)
pt | SetSelected (TCustomListBox)
 | SetShape (TWinControl)
pt | SetSorted (TCustomListBox)
pt | SetStyle (TCustomListBox)
 | SetSubComponent (TComponent)
 | SetTempCursor (TControl)
 | SetTempCursor (TWinControl)
 | SetTextBuf (TControl)
pt | SetVisible (TControl)
pt | SetZOrder (TControl)
 | ShouldAutoAdjust (TControl)
 | Show (TControl)
pt | ShowControl (TWinControl)
 | ShowHelp (TControl)
 | StringMessageTable (TObject)
pt | TextChanged (TControl)
 | Toggle (TCustomCheckListBox)
 | ToString (TObject)
pt | TripleClick (TControl)
 | UnitName (TObject)
 | UnlockRealizeBounds (TWinControl)
 | UnlockSelectionChange (TCustomListBox)
 | Update (TControl)
 | Update (TWinControl)
 | UpdateAction (TComponent)
pt | UpdateAnchorRules (TControl)
 | UpdateBaseBounds (TControl)
pt | UpdateControlState (TWinControl)
 | Updated (TComponent)
 | UpdateDockCaption (TWinControl)
pt | UpdateMouseCursor (TControl)
 | UpdateRegistry (TComponent)
 | UpdateRolesForForm (TControl)
pt | UpdateShowing (TWinControl)
 | Updating (TComponent)
 | UseRightToLeftAlignment (TControl)
 | UseRightToLeftReading (TControl)
 | UseRightToLeftScrollBar (TControl)
pt | UTF8KeyPress (TWinControl)
 | ValidateContainer (TComponent)
 | ValidateInsert (TComponent)
 | ValidateRename (TComponent)
pt | VisibleChanged (TControl)
pt | VisibleChanging (TControl)
pt | WidthIsAnchored (TControl)
pt | WMCancelMode (TControl)
pt | WMChar (TWinControl)
pt | WMContextMenu (TControl)
pt | WMContextMenu (TWinControl)
pt | WMDestroy (TWinControl)
pt | WMEnter (TWinControl)
pt | WMEraseBkgnd (TWinControl)
pt | WMExit (TWinControl)
pt | WMGetDlgCode (TCustomListBox)
pt | WMKeyDown (TWinControl)
pt | WMKeyUp (TWinControl)
pt | WMKillFocus (TWinControl)
pt | WMLButtonDBLCLK (TControl)
pt | WMLButtonDown (TControl)
pt | WMLButtonQuadCLK (TControl)
pt | WMLButtonTripleCLK (TControl)
pt | WMLButtonUp (TControl)
pt | WMMButtonDBLCLK (TControl)
pt | WMMButtonDown (TControl)
pt | WMMButtonQuadCLK (TControl)
pt | WMMButtonTripleCLK (TControl)
pt | WMMButtonUp (TControl)
pt | WMMouseHWheel (TControl)
pt | WMMouseMove (TControl)
pt | WMMouseWheel (TControl)
pt | WMMove (TControl)
pt | WMMove (TWinControl)
pt | WMNotify (TWinControl)
pt | WMPaint (TWinControl)
pt | WMRButtonDBLCLK (TControl)
pt | WMRButtonDown (TControl)
pt | WMRButtonQuadCLK (TControl)
pt | WMRButtonTripleCLK (TControl)
pt | WMRButtonUp (TControl)
pt | WMSetFocus (TWinControl)
pt | WMShowWindow (TWinControl)
pt | WMSize (TControl)
pt | WMSize (TWinControl)
pt | WMSysChar (TWinControl)
pt | WMSysKeyDown (TWinControl)
pt | WMSysKeyUp (TWinControl)
pt | WMWindowPosChanged (TControl)
pt | WMWindowPosChanged (TWinControl)
pt | WMXButtonDBLCLK (TControl)
pt | WMXButtonDown (TControl)
pt | WMXButtonQuadCLK (TControl)
pt | WMXButtonTripleCLK (TControl)
pt | WMXButtonUp (TControl)
pt | WndProc (TControl)
pt | WndProc (TWinControl)
pt | WriteData (TCustomCheckListBox)
 | WriteLayoutDebugReport (TControl)
 | WriteLayoutDebugReport (TWinControl)
 | WriteLeft (TComponent)
 | WriteState (TComponent)
 | WriteTop (TComponent)
pt | WSRegisterClass (TLCLComponent)
pt | WSRegisterClass (TControl)
pt | WSRegisterClass (TWinControl)
pt | WSRegisterClass (TCustomListBox)
pt | WSRegisterClass (TCustomCheckListBox)
pt | WSSetText (TWinControl)
 | _AddRef (TComponent)
 | _Release (TComponent)


TCheckListBox
pl | ro | OnChangeBounds
pl | ro | OnClick
pl | ro | OnClickCheck
pl | ro | OnContextPopup
pl | ro | OnDblClick
pl | ro | OnDrawItem
pl | ro | OnDragDrop
pl | ro | OnDragOver
pl | ro | OnEndDrag
pl | ro | OnEnter
pl | ro | OnExit
pl | ro | OnItemClick
pl | ro | OnKeyPress
pl | ro | OnKeyDown
pl | ro | OnKeyUp
pl | ro | OnMouseDown
pl | ro | OnMouseEnter
pl | ro | OnMouseLeave
pl | ro | OnMouseMove
pl | ro | OnMouseUp
pl | ro | OnMouseWheel
pl | ro | OnMouseWheelDown
pl | ro | OnMouseWheelUp
pl | ro | OnMouseWheelHorz
pl | ro | OnMouseWheelLeft
pl | ro | OnMouseWheelRight
pl | ro | OnResize
pl | ro | OnSelectionChange
pl | ro | OnShowHint
pl | ro | OnStartDrag
pl | ro | OnUTF8KeyPress
TCustomCheckListBox
 |  | OnClickCheck
 |  | OnItemClick
TCustomListBox
 | ro | OnChangeBounds
 | ro | OnClick
 | ro | OnDblClick
 |  | OnDrawItem
 | ro | OnEnter
 | ro | OnExit
 | ro | OnKeyDown
 | ro | OnKeyPress
 | ro | OnKeyUp
 |  | OnMeasureItem
 | ro | OnMouseDown
 | ro | OnMouseEnter
 | ro | OnMouseLeave
 | ro | OnMouseMove
 | ro | OnMouseUp
 | ro | OnMouseWheel
 | ro | OnMouseWheelDown
 | ro | OnMouseWheelUp
 | ro | OnResize
 |  | OnSelectionChange
 | ro | OnUTF8KeyPress
TWinControl
pt |  | OnGetSiteInfo
pt |  | OnGetDockCaption
 |  | OnAlignInsertBefore
 |  | OnAlignPosition
 |  | OnDockDrop
 |  | OnDockOver
 |  | OnEnter
 |  | OnExit
 |  | OnKeyDown
 |  | OnKeyPress
 |  | OnKeyUp
 |  | OnUnDock
 |  | OnUTF8KeyPress
TControl
pt |  | OnConstrainedResize
pt |  | OnContextPopup
pt |  | OnDblClick
pt |  | OnTripleClick
pt |  | OnQuadClick
pt |  | OnDragDrop
pt |  | OnDragOver
pt |  | OnEndDock
pt |  | OnEndDrag
pt |  | OnMouseDown
pt |  | OnMouseMove
pt |  | OnMouseUp
pt |  | OnMouseEnter
pt |  | OnMouseLeave
pt |  | OnMouseWheel
pt |  | OnMouseWheelDown
pt |  | OnMouseWheelUp
pt |  | OnMouseWheelHorz
pt |  | OnMouseWheelLeft
pt |  | OnMouseWheelRight
pt |  | OnStartDock
pt |  | OnStartDrag
pt |  | OnEditingDone
 |  | OnChangeBounds
 |  | OnClick
 |  | OnResize
 |  | OnShowHint
TLCLComponent
TComponent
TPersistent
TObject


 | ro | OnChangeBounds (TCustomListBox)
pl | ro | OnChangeBounds (TCheckListBox)
 |  | OnClick (TControl)
 | ro | OnClick (TCustomListBox)
pl | ro | OnClick (TCheckListBox)
 |  | OnClickCheck (TCustomCheckListBox)
pl | ro | OnClickCheck (TCheckListBox)
pt |  | OnConstrainedResize (TControl)
pt |  | OnContextPopup (TControl)
pl | ro | OnContextPopup (TCheckListBox)
pt |  | OnDblClick (TControl)
 | ro | OnDblClick (TCustomListBox)
pl | ro | OnDblClick (TCheckListBox)
 |  | OnDockDrop (TWinControl)
 |  | OnDockOver (TWinControl)
pt |  | OnDragDrop (TControl)
pl | ro | OnDragDrop (TCheckListBox)
pt |  | OnDragOver (TControl)
pl | ro | OnDragOver (TCheckListBox)
 |  | OnDrawItem (TCustomListBox)
pl | ro | OnDrawItem (TCheckListBox)
pt |  | OnEditingDone (TControl)
pt |  | OnEndDock (TControl)
pt |  | OnEndDrag (TControl)
pl | ro | OnEndDrag (TCheckListBox)
 |  | OnEnter (TWinControl)
 | ro | OnEnter (TCustomListBox)
pl | ro | OnEnter (TCheckListBox)
 |  | OnExit (TWinControl)
 | ro | OnExit (TCustomListBox)
pl | ro | OnExit (TCheckListBox)
pt |  | OnGetDockCaption (TWinControl)
pt |  | OnGetSiteInfo (TWinControl)
 |  | OnItemClick (TCustomCheckListBox)
pl | ro | OnItemClick (TCheckListBox)
 |  | OnKeyDown (TWinControl)
 | ro | OnKeyDown (TCustomListBox)
pl | ro | OnKeyDown (TCheckListBox)
 |  | OnKeyPress (TWinControl)
 | ro | OnKeyPress (TCustomListBox)
pl | ro | OnKeyPress (TCheckListBox)
 |  | OnKeyUp (TWinControl)
 | ro | OnKeyUp (TCustomListBox)
pl | ro | OnKeyUp (TCheckListBox)
 |  | OnMeasureItem (TCustomListBox)
pt |  | OnMouseDown (TControl)
 | ro | OnMouseDown (TCustomListBox)
pl | ro | OnMouseDown (TCheckListBox)
pt |  | OnMouseEnter (TControl)
 | ro | OnMouseEnter (TCustomListBox)
pl | ro | OnMouseEnter (TCheckListBox)
pt |  | OnMouseLeave (TControl)
 | ro | OnMouseLeave (TCustomListBox)
pl | ro | OnMouseLeave (TCheckListBox)
pt |  | OnMouseMove (TControl)
 | ro | OnMouseMove (TCustomListBox)
pl | ro | OnMouseMove (TCheckListBox)
pt |  | OnMouseUp (TControl)
 | ro | OnMouseUp (TCustomListBox)
pl | ro | OnMouseUp (TCheckListBox)
pt |  | OnMouseWheel (TControl)
 | ro | OnMouseWheel (TCustomListBox)
pl | ro | OnMouseWheel (TCheckListBox)
pt |  | OnMouseWheelDown (TControl)
 | ro | OnMouseWheelDown (TCustomListBox)
pl | ro | OnMouseWheelDown (TCheckListBox)
pt |  | OnMouseWheelHorz (TControl)
pl | ro | OnMouseWheelHorz (TCheckListBox)
pt |  | OnMouseWheelLeft (TControl)
pl | ro | OnMouseWheelLeft (TCheckListBox)
pt |  | OnMouseWheelRight (TControl)
pl | ro | OnMouseWheelRight (TCheckListBox)
pt |  | OnMouseWheelUp (TControl)
 | ro | OnMouseWheelUp (TCustomListBox)
pl | ro | OnMouseWheelUp (TCheckListBox)
pt |  | OnQuadClick (TControl)
 |  | OnResize (TControl)
 | ro | OnResize (TCustomListBox)
pl | ro | OnResize (TCheckListBox)
 |  | OnSelectionChange (TCustomListBox)
pl | ro | OnSelectionChange (TCheckListBox)
 |  | OnShowHint (TControl)
pl | ro | OnShowHint (TCheckListBox)
pt |  | OnStartDock (TControl)
pt |  | OnStartDrag (TControl)
pl | ro | OnStartDrag (TCheckListBox)
pt |  | OnTripleClick (TControl)
 |  | OnUnDock (TWinControl)
 |  | OnUTF8KeyPress (TWinControl)
 | ro | OnUTF8KeyPress (TCustomListBox)
pl | ro | OnUTF8KeyPress (TCheckListBox)


TCheckListBox.ItemIndex

Declaration

Source position: checklst.pas line 104

published property TCheckListBox.ItemIndex : Integer;


TCheckListBox.OnMouseWheelHorz

Declaration

Source position: checklst.pas line 129

published property TCheckListBox.OnMouseWheelHorz : TMouseWheelEvent;


TCheckListBox.OnMouseWheelLeft

Declaration

Source position: checklst.pas line 130

published property TCheckListBox.OnMouseWheelLeft : TMouseWheelUpDownEvent;


TCheckListBox.OnMouseWheelRight

Declaration

Source position: checklst.pas line 131

published property TCheckListBox.OnMouseWheelRight : TMouseWheelUpDownEvent;


TCheckListBox.OnSelectionChange

Declaration

Source position: checklst.pas line 133

published property TCheckListBox.OnSelectionChange : TSelectionChangeEvent;


TCheckListBox.ParentColor

Declaration

Source position: checklst.pas line 138

published property TCheckListBox.ParentColor : Boolean;


TCustomCheckListBox

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

TCustomCheckListBox - base class for TCheckListBox, the box found on CheckLists

Declaration

Source position: checklst.pas line 33

type TCustomCheckListBox = class(TCustomListBox)
protected
class procedure WSRegisterClass; override; | Registers this component class with the current WidgetSet.
procedure AssignItemDataToCache(); override; |
procedure AssignCacheToItemData(); override; |
procedure CreateParams(); override;
procedure DrawItem(); override;
function GetCachedDataSize; override; |
function GetCheckWidth;
procedure DefineProperties(); override;
procedure ReadData(); | ReadData from a stream
procedure WriteData(); | WriteData to a stream
procedure ClickCheck; virtual; | ClickCheck - software emulator of OnClickCheck event
procedure ItemClick(); virtual; | ItemClick - software emulation of OnItemClick event
procedure KeyDown(); override;
procedure FontChanged(); override;
public
constructor Create(); override; | Create - constructor for TCustomCheckListBox: calls inherited Create, finds the data size
procedure MeasureItem(); override; | Request the Height of a list item, using the OnMeasureItem handler.
procedure Toggle(); | Toggle the checked/unchecked state of this box
procedure CheckAll();
procedure Exchange();
property AllowGrayed: Boolean; [rw] | AllowGrayed - if True, the box is allowed to be greyed, and impossible to select
property Checked []: Boolean; [rw] | Checked - True if the box with the specified Index has been checked
property Header []: Boolean; [rw]
property ItemEnabled []: Boolean; [rw]
property State []: TCheckBoxState; [rw] | The State of the box with the specified index - checked, unchecked or greyed
property OnClickCheck: TNotifyEvent; [rw] | OnClickCheck - event handler for a mouse click on the CheckBox
property OnItemClick: TCheckListClicked; [rw] | OnItemClick - event handler for a mouse click on the data item associated with the checkbox
end;

Inheritance

TCustomCheckListBox | TCustomCheckListBox - base class for TCheckListBox, the box found on CheckLists
|
TCustomListBox | The base class for TListBox.
|
TWinControl | The base class for controls which can contain other (child) controls.
|
TControl | The base class for visible controls.
|
TLCLComponent | The base class for LCL components associated with widgets.
|
TComponent,IUnknown,IInterfaceComponentReference
|
TPersistent,IFPObserved
|
TObject


TCustomCheckListBox
 |  | AllowGrayed
 |  | Checked
 |  | Header
 |  | ItemEnabled
 |  | State
TCustomListBox
 | ro | Align
 | ro | Anchors
 | ro | BorderStyle
 | ro | Canvas
 |  | ClickOnSelChange
 |  | Columns
 | ro | Constraints
 | ro | Count
 |  | ExtendedSelect
 | ro | Font
 |  | IntegralHeight
 |  | ItemHeight
 |  | ItemIndex
 |  | Items
 |  | MultiSelect
 |  | Options
 | ro | ParentColor
 | ro | ParentFont
 | ro | ParentShowHint
 | ro | PopupMenu
 |  | ScrollWidth
 | ro | SelCount
 |  | Selected
 | ro | ShowHint
 |  | Sorted
 |  | Style
 | ro | TabOrder
 | ro | TabStop
 |  | TopIndex
 | ro | Visible
TWinControl
pt |  | WindowHandle
pt |  | BorderStyle
pt |  | ParentBackground
 |  | BorderWidth
 | ro | BoundsLockCount
 | ro | Brush
 | ro | CachedClientHeight
 | ro | CachedClientWidth
 |  | ChildSizing
 | ro | ControlCount
 | ro | Controls
 |  | DefWndProc
 | ro | DockClientCount
 | ro | DockClients
 |  | DockManager
 |  | DockSite
 |  | DoubleBuffered
 |  | Handle
 | ro | IsFlipped
 | ro | IsResizing
 |  | TabOrder
 |  | TabStop
 |  | ParentDoubleBuffered
 |  | ParentWindow
 | ro | Showing
 |  | UseDockManager
 |  | DesignerDeleting
 | ro | VisibleDockClientCount
TControl
pt | ro | AutoSizing
pt | ro | AutoSizingAll
pt | ro | AutoSizingLockCount
pt |  | ActionLink
pt |  | DesktopFont
pt |  | DragCursor
pt |  | DragKind
pt |  | DragMode
pt |  | MouseCapture
pt |  | ParentColor
pt |  | ParentFont
pt |  | ParentShowHint
pt |  | SessionProperties
pt |  | Text
 | ro | AnchoredControls
 | ro | BaseBounds
 | ro | ReadBounds
 | ro | BaseParentClientSize
 |  | AccessibleDescription
 |  | AccessibleValue
 |  | AccessibleRole
 |  | Action
 |  | Align
 |  | Anchors
 | ro | AnchorSide
 |  | AutoSize
 |  | BorderSpacing
 |  | BoundsRect
 |  | BoundsRectForNewParent
 |  | Caption
 |  | CaptureMouseButtons
 |  | ClientHeight
 | ro | ClientOrigin
 | ro | ClientRect
 |  | ClientWidth
 |  | Color
 |  | Constraints
 | ro | ControlOrigin
 |  | ControlState
 |  | ControlStyle
 |  | Enabled
 |  | Font
 |  | IsControl
 | ro | MouseEntered
 | ro | MouseInClient
 |  | Parent
 |  | PopupMenu
 |  | ShowHint
 |  | Visible
 |  | WindowProc
 |  | DockOrientation
 | ro | Floating
 |  | FloatingDockSiteClass
 |  | HostDockSite
 |  | LRDockWidth
 |  | TBDockHeight
 |  | UndockHeight
 |  | UndockWidth
 |  | BiDiMode
 |  | ParentBiDiMode
pl |  | AnchorSideLeft
pl |  | AnchorSideTop
pl |  | AnchorSideRight
pl |  | AnchorSideBottom
pl |  | Cursor
pl |  | Left
pl |  | Height
pl |  | Hint
pl |  | Top
pl |  | Width
pl |  | HelpType
pl |  | HelpKeyword
pl |  | HelpContext
TLCLComponent
 | ro | LCLRefCount
 | ro | WidgetSetClass
TComponent
 | ro | ComObject
 | ro | Components
 | ro | ComponentCount
 |  | ComponentIndex
 | ro | ComponentState
 | ro | ComponentStyle
 |  | DesignInfo
 | ro | Owner
 |  | VCLComObject
 |  | Name
 |  | Tag
TPersistent
TObject


 |  | AccessibleDescription (TControl)
 |  | AccessibleRole (TControl)
 |  | AccessibleValue (TControl)
 |  | Action (TControl)
pt |  | ActionLink (TControl)
 |  | Align (TControl)
 | ro | Align (TCustomListBox)
 |  | AllowGrayed (TCustomCheckListBox)
 | ro | AnchoredControls (TControl)
 |  | Anchors (TControl)
 | ro | Anchors (TCustomListBox)
 | ro | AnchorSide (TControl)
pl |  | AnchorSideBottom (TControl)
pl |  | AnchorSideLeft (TControl)
pl |  | AnchorSideRight (TControl)
pl |  | AnchorSideTop (TControl)
 |  | AutoSize (TControl)
pt | ro | AutoSizing (TControl)
pt | ro | AutoSizingAll (TControl)
pt | ro | AutoSizingLockCount (TControl)
 | ro | BaseBounds (TControl)
 | ro | BaseParentClientSize (TControl)
 |  | BiDiMode (TControl)
 |  | BorderSpacing (TControl)
pt |  | BorderStyle (TWinControl)
 | ro | BorderStyle (TCustomListBox)
 |  | BorderWidth (TWinControl)
 | ro | BoundsLockCount (TWinControl)
 |  | BoundsRect (TControl)
 |  | BoundsRectForNewParent (TControl)
 | ro | Brush (TWinControl)
 | ro | CachedClientHeight (TWinControl)
 | ro | CachedClientWidth (TWinControl)
 | ro | Canvas (TCustomListBox)
 |  | Caption (TControl)
 |  | CaptureMouseButtons (TControl)
 |  | Checked (TCustomCheckListBox)
 |  | ChildSizing (TWinControl)
 |  | ClickOnSelChange (TCustomListBox)
 |  | ClientHeight (TControl)
 | ro | ClientOrigin (TControl)
 | ro | ClientRect (TControl)
 |  | ClientWidth (TControl)
 |  | Color (TControl)
 |  | Columns (TCustomListBox)
 | ro | ComObject (TComponent)
 | ro | ComponentCount (TComponent)
 |  | ComponentIndex (TComponent)
 | ro | Components (TComponent)
 | ro | ComponentState (TComponent)
 | ro | ComponentStyle (TComponent)
 |  | Constraints (TControl)
 | ro | Constraints (TCustomListBox)
 | ro | ControlCount (TWinControl)
 | ro | ControlOrigin (TControl)
 | ro | Controls (TWinControl)
 |  | ControlState (TControl)
 |  | ControlStyle (TControl)
 | ro | Count (TCustomListBox)
pl |  | Cursor (TControl)
 |  | DefWndProc (TWinControl)
 |  | DesignerDeleting (TWinControl)
 |  | DesignInfo (TComponent)
pt |  | DesktopFont (TControl)
 | ro | DockClientCount (TWinControl)
 | ro | DockClients (TWinControl)
 |  | DockManager (TWinControl)
 |  | DockOrientation (TControl)
 |  | DockSite (TWinControl)
 |  | DoubleBuffered (TWinControl)
pt |  | DragCursor (TControl)
pt |  | DragKind (TControl)
pt |  | DragMode (TControl)
 |  | Enabled (TControl)
 |  | ExtendedSelect (TCustomListBox)
 | ro | Floating (TControl)
 |  | FloatingDockSiteClass (TControl)
 |  | Font (TControl)
 | ro | Font (TCustomListBox)
 |  | Handle (TWinControl)
 |  | Header (TCustomCheckListBox)
pl |  | Height (TControl)
pl |  | HelpContext (TControl)
pl |  | HelpKeyword (TControl)
pl |  | HelpType (TControl)
pl |  | Hint (TControl)
 |  | HostDockSite (TControl)
 |  | IntegralHeight (TCustomListBox)
 |  | IsControl (TControl)
 | ro | IsFlipped (TWinControl)
 | ro | IsResizing (TWinControl)
 |  | ItemEnabled (TCustomCheckListBox)
 |  | ItemHeight (TCustomListBox)
 |  | ItemIndex (TCustomListBox)
 |  | Items (TCustomListBox)
 | ro | LCLRefCount (TLCLComponent)
pl |  | Left (TControl)
 |  | LRDockWidth (TControl)
pt |  | MouseCapture (TControl)
 | ro | MouseEntered (TControl)
 | ro | MouseInClient (TControl)
 |  | MultiSelect (TCustomListBox)
 |  | Name (TComponent)
 |  | Options (TCustomListBox)
 | ro | Owner (TComponent)
 |  | Parent (TControl)
pt |  | ParentBackground (TWinControl)
 |  | ParentBiDiMode (TControl)
pt |  | ParentColor (TControl)
 | ro | ParentColor (TCustomListBox)
 |  | ParentDoubleBuffered (TWinControl)
pt |  | ParentFont (TControl)
 | ro | ParentFont (TCustomListBox)
pt |  | ParentShowHint (TControl)
 | ro | ParentShowHint (TCustomListBox)
 |  | ParentWindow (TWinControl)
 |  | PopupMenu (TControl)
 | ro | PopupMenu (TCustomListBox)
 | ro | ReadBounds (TControl)
 |  | ScrollWidth (TCustomListBox)
 | ro | SelCount (TCustomListBox)
 |  | Selected (TCustomListBox)
pt |  | SessionProperties (TControl)
 |  | ShowHint (TControl)
 | ro | ShowHint (TCustomListBox)
 | ro | Showing (TWinControl)
 |  | Sorted (TCustomListBox)
 |  | State (TCustomCheckListBox)
 |  | Style (TCustomListBox)
 |  | TabOrder (TWinControl)
 | ro | TabOrder (TCustomListBox)
 |  | TabStop (TWinControl)
 | ro | TabStop (TCustomListBox)
 |  | Tag (TComponent)
 |  | TBDockHeight (TControl)
pt |  | Text (TControl)
pl |  | Top (TControl)
 |  | TopIndex (TCustomListBox)
 |  | UndockHeight (TControl)
 |  | UndockWidth (TControl)
 |  | UseDockManager (TWinControl)
 |  | VCLComObject (TComponent)
 |  | Visible (TControl)
 | ro | Visible (TCustomListBox)
 | ro | VisibleDockClientCount (TWinControl)
 | ro | WidgetSetClass (TLCLComponent)
pl |  | Width (TControl)
pt |  | WindowHandle (TWinControl)
 |  | WindowProc (TControl)


TCustomCheckListBox
pt | WSRegisterClass
pt | AssignItemDataToCache
pt | AssignCacheToItemData
pt | CreateParams
pt | DrawItem
pt | GetCachedDataSize
pt | GetCheckWidth
pt | DefineProperties
pt | ReadData
pt | WriteData
pt | ClickCheck
pt | ItemClick
pt | KeyDown
pt | FontChanged
 | Create
 | MeasureItem
 | Toggle
 | CheckAll
 | Exchange
TCustomListBox
pt | WSRegisterClass
pt | AssignItemDataToCache
pt | AssignCacheToItemData
pt | BeforeDragStart
pt | BeginAutoDrag
pt | CalculateStandardItemHeight
pt | CreateParams
pt | InitializeWnd
pt | DestroyWnd
pt | FinalizeWnd
pt | GetControlClassDefaultSize
pt | CheckIndex
pt | GetItemHeight
pt | GetItemIndex
pt | GetSelCount
pt | GetSelected
pt | GetCachedDataSize
pt | GetCachedData
pt | SetExtendedSelect
pt | SetItemIndex
pt | SetItems
pt | SetItemHeight
pt | SetMultiSelect
pt | SetSelected
pt | SetSorted
pt | SetStyle
pt | DrawItem
pt | DoAutoAdjustLayout
pt | DoSelectionChange
pt | SendItemIndex
pt | WMGetDlgCode
 | Create
 | Destroy
 | AddItem
 | Click
 | Clear
 | ClearSelection
 | GetIndexAtXY
 | GetIndexAtY
 | GetSelectedText
 | ItemAtPos
 | ItemRect
 | ItemVisible
 | ItemFullyVisible
 | LockSelectionChange
 | MakeCurrentVisible
 | MeasureItem
 | SelectAll
 | DeleteSelected
 | UnlockSelectionChange
TWinControl
pt | WSRegisterClass
pt | AdjustClientRect
pt | GetAdjustedLogicalClientRect
pt | AlignControls
pt | CustomAlignInsertBefore
pt | CustomAlignPosition
pt | DoAlignChildControls
pt | DoChildSizingChange
pt | InvalidatePreferredChildSizes
pt | CanTab
pt | IsClientHeightStored
pt | IsClientWidthStored
pt | DoSendShowHideToInterface
pt | ControlsAligned
pt | DoSendBoundsToInterface
pt | RealizeBounds
pt | RealizeBoundsRecursive
pt | InvalidateBoundsRealized
pt | CreateSubClass
pt | DoConstraintsChange
pt | DoSetBounds
pt | DoAutoSize
pt | DoAllAutoSize
pt | AllAutoSized
pt | CalculatePreferredSize
pt | GetPreferredSizeClientFrame
pt | GetChildren
pt | ChildClassAllowed
pt | PaintControls
pt | PaintHandler
pt | PaintWindow
pt | CreateBrush
pt | ScaleControls
pt | ChangeScale
pt | CMBiDiModeChanged
pt | CMBorderChanged
pt | CMDoubleBufferedChanged
pt | CMEnabledChanged
pt | CMParentDoubleBufferedChanged
pt | CMShowingChanged
pt | CMShowHintChanged
pt | CMVisibleChanged
pt | CMEnter
pt | CMExit
pt | WMContextMenu
pt | WMEraseBkgnd
pt | WMNotify
pt | WMSetFocus
pt | WMKillFocus
pt | WMShowWindow
pt | WMEnter
pt | WMExit
pt | WMKeyDown
pt | WMSysKeyDown
pt | WMKeyUp
pt | WMSysKeyUp
pt | WMChar
pt | WMSysChar
pt | WMPaint
pt | WMDestroy
pt | WMMove
pt | WMSize
pt | WMWindowPosChanged
pt | CNKeyDown
pt | CNSysKeyDown
pt | CNKeyUp
pt | CNSysKeyUp
pt | CNChar
pt | DoDragMsg
pt | DoDockClientMsg
pt | DoUndockClientMsg
pt | DoAddDockClient
pt | DockOver
pt | DoDockOver
pt | DoRemoveDockClient
pt | DoUnDock
pt | GetSiteInfo
pt | GetParentHandle
pt | GetTopParentHandle
pt | ReloadDockedControl
pt | CreateDockManager
pt | SetDockManager
pt | DoFloatMsg
pt | DoGetDockCaption
pt | DoEnter
pt | DoExit
pt | DoKeyDownBeforeInterface
pt | DoRemainingKeyDown
pt | DoRemainingKeyUp
pt | DoKeyPress
pt | DoUTF8KeyPress
pt | DoKeyUpBeforeInterface
pt | ChildKey
pt | SendDialogChar
pt | DialogChar
pt | ControlKeyDown
pt | ControlKeyUp
pt | KeyDown
pt | KeyDownBeforeInterface
pt | KeyDownAfterInterface
pt | KeyPress
pt | KeyUp
pt | KeyUpBeforeInterface
pt | KeyUpAfterInterface
pt | UTF8KeyPress
pt | FindNextControl
pt | SelectFirst
pt | RealGetText
pt | GetBorderStyle
pt | GetClientOrigin
pt | GetClientRect
pt | GetControlOrigin
pt | GetDeviceContext
pt | GetParentBackground
pt | IsControlMouseMsg
pt | CreateHandle
pt | CreateParams
pt | CreateWnd
pt | DestroyHandle
pt | DestroyWnd
pt | DoFlipChildren
pt | FinalizeWnd
pt | FixupTabList
pt | FontChanged
pt | InitializeWnd
pt | Loaded
pt | FormEndUpdated
pt | MainWndProc
pt | ParentFormHandleInitialized
pt | ChildHandlesCreated
pt | GetMouseCapture
pt | RealSetText
pt | RemoveFocus
pt | SendMoveSizeMessages
pt | SetBorderStyle
pt | SetColor
pt | SetChildZPosition
pt | SetParentBackground
pt | ShowControl
pt | UpdateControlState
pt | UpdateShowing
pt | WndProc
pt | WSSetText
 | AutoSizePhases
 | AutoSizeDelayed
 | AutoSizeDelayedReport
 | AutoSizeDelayedHandle
 | BeginUpdateBounds
 | EndUpdateBounds
 | LockRealizeBounds
 | UnlockRealizeBounds
 | ControlAtPos
 | ContainsControl
 | DoAdjustClientRectChange
 | InvalidateClientRectCache
 | ClientRectNeedsInterfaceUpdate
 | SetBounds
 | GetChildrenRect
 | DisableAlign
 | EnableAlign
 | ReAlign
 | ScrollBy_WS
 | ScrollBy
 | WriteLayoutDebugReport
 | AutoAdjustLayout
 | Create
 | CreateParented
 | CreateParentedControl
 | Destroy
 | DockDrop
 | CanFocus
 | CanSetFocus
 | GetControlIndex
 | SetControlIndex
 | Focused
 | PerformTab
 | FindChildControl
 | SelectNext
 | SetTempCursor
 | BroadCast
 | NotifyControls
 | DefaultHandler
 | GetTextLen
 | Invalidate
 | AddControl
 | InsertControl
 | RemoveControl
 | GetEnumeratorControls
 | GetEnumeratorControlsReverse
 | Repaint
 | Update
 | SetFocus
 | FlipChildren
 | ScaleBy
 | GetDockCaption
 | UpdateDockCaption
 | GetTabOrderList
 | HandleAllocated
 | ParentHandlesAllocated
 | HandleNeeded
 | BrushCreated
 | EraseBackground
 | IntfUTF8KeyPress
 | IntfGetDropFilesTarget
 | PaintTo
 | SetShape
TControl
pt | WSRegisterClass
pt | GetCursor
pt | SetCursor
pt | SetVisible
pt | DoOnParentHandleDestruction
pt | DoAutoSize
pt | DoAllAutoSize
pt | BeginAutoSizing
pt | EndAutoSizing
pt | AnchorSideChanged
pt | ForeignAnchorSideChanged
pt | SetAlign
pt | SetAnchors
pt | SetAutoSize
pt | BoundsChanged
pt | CreateControlBorderSpacing
pt | DoConstraintsChange
pt | DoBorderSpacingChange
pt | IsBorderSpacingInnerBorderStored
pt | IsCaptionStored
pt | SendMoveSizeMessages
pt | ConstrainedResize
pt | CalculatePreferredSize
pt | DoOnResize
pt | DoOnChangeBounds
pt | CheckOnChangeBounds
pt | Resize
pt | RequestAlign
pt | UpdateAnchorRules
pt | ChangeBounds
pt | DoSetBounds
pt | ScaleConstraints
pt | ChangeScale
pt | CanAutoSize
pt | SetBiDiMode
pt | SetParentBiDiMode
pt | IsAParentAligning
pt | GetClientOrigin
pt | GetClientRect
pt | GetLogicalClientRect
pt | GetScrolledClientRect
pt | GetClientScrollOffset
pt | GetControlOrigin
pt | IsClientHeightStored
pt | IsClientWidthStored
pt | WidthIsAnchored
pt | HeightIsAnchored
pt | WMCancelMode
pt | WMContextMenu
pt | WMLButtonDown
pt | WMRButtonDown
pt | WMMButtonDown
pt | WMXButtonDown
pt | WMLButtonDBLCLK
pt | WMRButtonDBLCLK
pt | WMMButtonDBLCLK
pt | WMXButtonDBLCLK
pt | WMLButtonTripleCLK
pt | WMRButtonTripleCLK
pt | WMMButtonTripleCLK
pt | WMXButtonTripleCLK
pt | WMLButtonQuadCLK
pt | WMRButtonQuadCLK
pt | WMMButtonQuadCLK
pt | WMXButtonQuadCLK
pt | WMMouseMove
pt | WMLButtonUp
pt | WMRButtonUp
pt | WMMButtonUp
pt | WMXButtonUp
pt | WMMouseWheel
pt | WMMouseHWheel
pt | WMMove
pt | WMSize
pt | WMWindowPosChanged
pt | CMChanged
pt | LMCaptureChanged
pt | CMBiDiModeChanged
pt | CMSysFontChanged
pt | CMEnabledChanged
pt | CMHitTest
pt | CMMouseEnter
pt | CMMouseLeave
pt | CMHintShow
pt | CMParentBiDiModeChanged
pt | CMParentColorChanged
pt | CMParentFontChanged
pt | CMParentShowHintChanged
pt | CMVisibleChanged
pt | CMTextChanged
pt | CMCursorChanged
pt | CalculateDockSizes
pt | CreateFloatingDockSite
pt | GetDockEdge
pt | GetDragImages
pt | GetFloating
pt | GetFloatingDockSiteClass
pt | BeforeDragStart
pt | BeginAutoDrag
pt | DoFloatMsg
pt | DockTrackNoTarget
pt | DoDock
pt | DoDragMsg
pt | DoEndDock
pt | DoEndDrag
pt | DoStartDock
pt | DoStartDrag
pt | DragCanceled
pt | DragOver
pt | PositionDockRect
pt | SetDragMode
pt | GetDefaultDockCaption
pt | Click
pt | DblClick
pt | TripleClick
pt | QuadClick
pt | GetMousePosFromMessage
pt | MouseDown
pt | MouseMove
pt | MouseUp
pt | MouseEnter
pt | MouseLeave
pt | DialogChar
pt | UpdateMouseCursor
pt | Changed
pt | GetPalette
pt | ChildClassAllowed
pt | ReadState
pt | Loaded
pt | LoadedAll
pt | DefineProperties
pt | AssignTo
pt | FormEndUpdated
pt | InvalidateControl
pt | FontChanged
pt | ParentFontChanged
pt | GetAction
pt | RealGetText
pt | RealSetText
pt | TextChanged
pt | GetCachedText
pt | SetAction
pt | SetColor
pt | SetEnabled
pt | SetHint
pt | SetName
pt | SetParent
pt | SetParentComponent
pt | WndProc
pt | ParentFormHandleInitialized
pt | GetMouseCapture
pt | CaptureChanged
pt | Notification
pt | CanTab
pt | GetDeviceContext
pt | GetEnabled
pt | GetPopupMenu
pt | DoOnShowHint
pt | DoMouseWheel
pt | DoMouseWheelDown
pt | DoMouseWheelUp
pt | DoMouseWheelHorz
pt | DoMouseWheelLeft
pt | DoMouseWheelRight
pt | VisibleChanging
pt | VisibleChanged
pt | EnabledChanging
pt | EnabledChanged
pt | AddHandler
pt | RemoveHandler
pt | DoCallNotifyHandler
pt | DoCallKeyEventHandler
pt | DoCallMouseWheelEventHandler
pt | DoContextPopup
pt | SetZOrder
pt | GetControlClassDefaultSize
pt | ColorIsStored
pt | DoAutoAdjustLayout
pt | DoFixDesignFontPPI
pt | DoScaleFontPPI
pt | GetActionLinkClass
pt | ActionChange
 | DragDrop
 | Dock
 | ManualDock
 | ManualFloat
 | ReplaceDockedControl
 | Docked
 | Dragging
 | GetAccessibleObject
 | CreateAccessibleObject
 | GetSelectedChildAccessibleObject
 | GetChildAccessibleObjectAtPos
 | ScaleDesignToForm
 | ScaleFormToDesign
 | Scale96ToForm
 | ScaleFormTo96
 | Scale96ToFont
 | ScaleFontTo96
 | ScaleScreenToFont
 | ScaleFontToScreen
 | Scale96ToScreen
 | ScaleScreenTo96
 | AdjustSize
 | AutoSizePhases
 | AutoSizeDelayed
 | AutoSizeDelayedReport
 | AutoSizeDelayedHandle
 | AnchorToNeighbour
 | AnchorParallel
 | AnchorHorizontalCenterTo
 | AnchorVerticalCenterTo
 | AnchorToCompanion
 | AnchorSame
 | AnchorAsAlign
 | AnchorClient
 | AnchoredControlCount
 | SetBounds
 | SetInitialBounds
 | SetBoundsKeepBase
 | GetPreferredSize
 | GetCanvasScaleFactor
 | GetDefaultWidth
 | GetDefaultHeight
 | GetDefaultColor
 | GetColorResolvingParent
 | GetRGBColorResolvingParent
 | GetSidePosition
 | CNPreferredSizeChanged
 | InvalidatePreferredSize
 | GetAnchorsDependingOnParent
 | DisableAutoSizing
 | EnableAutoSizing
 | UpdateBaseBounds
 | WriteLayoutDebugReport
 | AutoAdjustLayout
 | ShouldAutoAdjust
 | FixDesignFontsPPI
 | ScaleFontsPPI
 | Create
 | Destroy
 | BeforeDestruction
 | EditingDone
 | ExecuteDefaultAction
 | ExecuteCancelAction
 | BeginDrag
 | EndDrag
 | BringToFront
 | HasParent
 | GetParentComponent
 | IsParentOf
 | GetTopParent
 | IsVisible
 | IsControlVisible
 | IsEnabled
 | IsParentColor
 | IsParentFont
 | FormIsUpdating
 | IsProcessingPaintMsg
 | Hide
 | Refresh
 | Repaint
 | Invalidate
 | CheckChildClassAllowed
 | CheckNewParent
 | SendToBack
 | SetTempCursor
 | UpdateRolesForForm
 | ActiveDefaultControlChanged
 | GetTextBuf
 | GetTextLen
 | SetTextBuf
 | Perform
 | ScreenToClient
 | ClientToScreen
 | ScreenToControl
 | ControlToScreen
 | ClientToParent
 | ParentToClient
 | GetChildrenRect
 | Show
 | Update
 | HandleObjectShouldBeVisible
 | ParentDestroyingHandle
 | ParentHandlesAllocated
 | InitiateAction
 | ShowHelp
 | HasHelp
 | RemoveAllHandlersOfObject
 | AddHandlerOnResize
 | RemoveHandlerOnResize
 | AddHandlerOnChangeBounds
 | RemoveHandlerOnChangeBounds
 | AddHandlerOnVisibleChanging
 | RemoveHandlerOnVisibleChanging
 | AddHandlerOnVisibleChanged
 | RemoveHandlerOnVisibleChanged
 | AddHandlerOnEnabledChanged
 | RemoveHandlerOnEnableChanging
 | AddHandlerOnKeyDown
 | RemoveHandlerOnKeyDown
 | AddHandlerOnBeforeDestruction
 | RemoveHandlerOnBeforeDestruction
 | AddHandlerOnMouseWheel
 | RemoveHandlerOnMouseWheel
 | UseRightToLeftAlignment
 | UseRightToLeftReading
 | UseRightToLeftScrollBar
 | IsRightToLeft
TLCLComponent
pt | WSRegisterClass
pt | GetWSComponentClass
 | Create
 | Destroy
 | NewInstance
 | RemoveAllHandlersOfObject
 | IncLCLRefCount
 | DecLCLRefCount
TComponent
 | GetComObject
 | GetComponent
 | GetComponentCount
 | GetComponentIndex
 | Insert
 | ReadLeft
 | ReadTop
 | Remove
 | RemoveNotification
 | SetComponentIndex
 | SetReference
 | WriteLeft
 | WriteTop
 | ChangeName
 | DefineProperties
 | GetChildren
 | GetChildOwner
 | GetChildParent
 | GetOwner
 | Loaded
 | Loading
 | Notification
 | PaletteCreated
 | ReadState
 | SetAncestor
 | SetDesigning
 | SetDesignInstance
 | SetInline
 | SetName
 | SetChildOrder
 | SetParentComponent
 | Updating
 | Updated
 | UpdateRegistry
 | ValidateRename
 | ValidateContainer
 | ValidateInsert
 | QueryInterface
 | _AddRef
 | _Release
 | iicrGetComponent
 | GetTypeInfoCount
 | GetTypeInfo
 | GetIDsOfNames
 | Invoke
 | WriteState
 | Create
 | Destroy
 | BeforeDestruction
 | DestroyComponents
 | Destroying
 | ExecuteAction
 | FindComponent
 | FreeNotification
 | RemoveFreeNotification
 | FreeOnRelease
 | GetEnumerator
 | GetNamePath
 | GetParentComponent
 | HasParent
 | InsertComponent
 | RemoveComponent
 | SafeCallException
 | SetSubComponent
 | UpdateAction
 | IsImplementorOf
 | ReferenceInterface
TPersistent
 | AssignError
 | AssignTo
 | DefineProperties
 | GetOwner
 | Destroy
 | Assign
 | FPOAttachObserver
 | FPODetachObserver
 | FPONotifyObservers
 | GetNamePath
TObject
 | Create
 | Destroy
 | newinstance
 | FreeInstance
 | SafeCallException
 | DefaultHandler
 | Free
 | InitInstance
 | CleanupInstance
 | ClassType
 | ClassInfo
 | ClassName
 | ClassNameIs
 | ClassParent
 | InstanceSize
 | InheritsFrom
 | StringMessageTable
 | MethodAddress
 | MethodName
 | FieldAddress
 | AfterConstruction
 | BeforeDestruction
 | DefaultHandlerStr
 | Dispatch
 | DispatchStr
 | GetInterface
 | GetInterfaceByStr
 | GetInterfaceWeak
 | GetInterfaceEntry
 | GetInterfaceEntryByStr
 | GetInterfaceTable
 | UnitName
 | Equals
 | GetHashCode
 | ToString


TCustomCheckListBox
 |  | OnClickCheck
 |  | OnItemClick
TCustomListBox
 | ro | OnChangeBounds
 | ro | OnClick
 | ro | OnDblClick
 |  | OnDrawItem
 | ro | OnEnter
 | ro | OnExit
 | ro | OnKeyDown
 | ro | OnKeyPress
 | ro | OnKeyUp
 |  | OnMeasureItem
 | ro | OnMouseDown
 | ro | OnMouseEnter
 | ro | OnMouseLeave
 | ro | OnMouseMove
 | ro | OnMouseUp
 | ro | OnMouseWheel
 | ro | OnMouseWheelDown
 | ro | OnMouseWheelUp
 | ro | OnResize
 |  | OnSelectionChange
 | ro | OnUTF8KeyPress
TWinControl
pt |  | OnGetSiteInfo
pt |  | OnGetDockCaption
 |  | OnAlignInsertBefore
 |  | OnAlignPosition
 |  | OnDockDrop
 |  | OnDockOver
 |  | OnEnter
 |  | OnExit
 |  | OnKeyDown
 |  | OnKeyPress
 |  | OnKeyUp
 |  | OnUnDock
 |  | OnUTF8KeyPress
TControl
pt |  | OnConstrainedResize
pt |  | OnContextPopup
pt |  | OnDblClick
pt |  | OnTripleClick
pt |  | OnQuadClick
pt |  | OnDragDrop
pt |  | OnDragOver
pt |  | OnEndDock
pt |  | OnEndDrag
pt |  | OnMouseDown
pt |  | OnMouseMove
pt |  | OnMouseUp
pt |  | OnMouseEnter
pt |  | OnMouseLeave
pt |  | OnMouseWheel
pt |  | OnMouseWheelDown
pt |  | OnMouseWheelUp
pt |  | OnMouseWheelHorz
pt |  | OnMouseWheelLeft
pt |  | OnMouseWheelRight
pt |  | OnStartDock
pt |  | OnStartDrag
pt |  | OnEditingDone
 |  | OnChangeBounds
 |  | OnClick
 |  | OnResize
 |  | OnShowHint
TLCLComponent
TComponent
TPersistent
TObject


 | ro | OnChangeBounds (TCustomListBox)
 |  | OnClick (TControl)
 | ro | OnClick (TCustomListBox)
 |  | OnClickCheck (TCustomCheckListBox)
pt |  | OnConstrainedResize (TControl)
pt |  | OnContextPopup (TControl)
pt |  | OnDblClick (TControl)
 | ro | OnDblClick (TCustomListBox)
 |  | OnDockDrop (TWinControl)
 |  | OnDockOver (TWinControl)
pt |  | OnDragDrop (TControl)
pt |  | OnDragOver (TControl)
 |  | OnDrawItem (TCustomListBox)
pt |  | OnEditingDone (TControl)
pt |  | OnEndDock (TControl)
pt |  | OnEndDrag (TControl)
 |  | OnEnter (TWinControl)
 | ro | OnEnter (TCustomListBox)
 |  | OnExit (TWinControl)
 | ro | OnExit (TCustomListBox)
pt |  | OnGetDockCaption (TWinControl)
pt |  | OnGetSiteInfo (TWinControl)
 |  | OnItemClick (TCustomCheckListBox)
 |  | OnKeyDown (TWinControl)
 | ro | OnKeyDown (TCustomListBox)
 |  | OnKeyPress (TWinControl)
 | ro | OnKeyPress (TCustomListBox)
 |  | OnKeyUp (TWinControl)
 | ro | OnKeyUp (TCustomListBox)
 |  | OnMeasureItem (TCustomListBox)
pt |  | OnMouseDown (TControl)
 | ro | OnMouseDown (TCustomListBox)
pt |  | OnMouseEnter (TControl)
 | ro | OnMouseEnter (TCustomListBox)
pt |  | OnMouseLeave (TControl)
 | ro | OnMouseLeave (TCustomListBox)
pt |  | OnMouseMove (TControl)
 | ro | OnMouseMove (TCustomListBox)
pt |  | OnMouseUp (TControl)
 | ro | OnMouseUp (TCustomListBox)
pt |  | OnMouseWheel (TControl)
 | ro | OnMouseWheel (TCustomListBox)
pt |  | OnMouseWheelDown (TControl)
 | ro | OnMouseWheelDown (TCustomListBox)
pt |  | OnMouseWheelHorz (TControl)
pt |  | OnMouseWheelLeft (TControl)
pt |  | OnMouseWheelRight (TControl)
pt |  | OnMouseWheelUp (TControl)
 | ro | OnMouseWheelUp (TCustomListBox)
pt |  | OnQuadClick (TControl)
 |  | OnResize (TControl)
 | ro | OnResize (TCustomListBox)
 |  | OnSelectionChange (TCustomListBox)
 |  | OnShowHint (TControl)
pt |  | OnStartDock (TControl)
pt |  | OnStartDrag (TControl)
pt |  | OnTripleClick (TControl)
 |  | OnUnDock (TWinControl)
 |  | OnUTF8KeyPress (TWinControl)
 | ro | OnUTF8KeyPress (TCustomListBox)


TCustomCheckListBox.AllowGrayed

AllowGrayed - if True, the box is allowed to be greyed, and impossible to select

Declaration

Source position: checklst.pas line 73

public property TCustomCheckListBox.AllowGrayed : Boolean
  read FAllowGrayed
  write FAllowGrayed
  default False;


TCustomCheckListBox.AssignCacheToItemData

Declaration

Source position: checklst.pas line 54

protected procedure TCustomCheckListBox.AssignCacheToItemData(

  const AIndex: Integer;

  const AData: Pointer

); override;


TCustomCheckListBox.AssignItemDataToCache

Declaration

Source position: checklst.pas line 53

protected procedure TCustomCheckListBox.AssignItemDataToCache(

  const AIndex: Integer;

  const AData: Pointer

); override;


TCustomCheckListBox.CheckAll

Declaration

Source position: checklst.pas line 70

public procedure TCustomCheckListBox.CheckAll(

  AState: TCheckBoxState;

  aAllowGrayed: Boolean = True;

  aAllowDisabled: Boolean = True

);


TCustomCheckListBox.Checked

Checked - True if the box with the specified Index has been checked

Declaration

Source position: checklst.pas line 74

public property TCustomCheckListBox.Checked[AIndex: Integer] : Boolean
  read GetChecked
  write SetChecked;


TCustomCheckListBox.ClickCheck

ClickCheck - software emulator of OnClickCheck event

Declaration

Source position: checklst.pas line 62

protected procedure TCustomCheckListBox.ClickCheck; virtual;


TCustomCheckListBox.Create

Create - constructor for TCustomCheckListBox: calls inherited Create, finds the data size

Declaration

Source position: checklst.pas line 67

public constructor TCustomCheckListBox.Create(

  AOwner: TComponent

); override;

See also

TCustomListBox.Create


TCustomCheckListBox.Exchange

Declaration

Source position: checklst.pas line 71

public procedure TCustomCheckListBox.Exchange(

  AIndex1: Integer;

  AIndex2: Integer

);


TCustomCheckListBox.FontChanged

Declaration

Source position: checklst.pas line 65

protected procedure TCustomCheckListBox.FontChanged(

  Sender: TObject

); override;


TCustomCheckListBox.GetCachedDataSize

Declaration

Source position: checklst.pas line 57

protected function TCustomCheckListBox.GetCachedDataSize: Integer; override;


TCustomCheckListBox.GetCheckWidth

Declaration

Source position: checklst.pas line 58

protected function TCustomCheckListBox.GetCheckWidth: Integer;


TCustomCheckListBox.Header

Declaration

Source position: checklst.pas line 75

public property TCustomCheckListBox.Header[AIndex: Integer] : Boolean
  read GetHeader
  write SetHeader;


TCustomCheckListBox.ItemClick

ItemClick - software emulation of OnItemClick event

Declaration

Source position: checklst.pas line 63

protected procedure TCustomCheckListBox.ItemClick(

  const AIndex: Integer

); virtual;


TCustomCheckListBox.ItemEnabled

Declaration

Source position: checklst.pas line 76

public property TCustomCheckListBox.ItemEnabled[AIndex: Integer] : Boolean
  read GetItemEnabled
  write SetItemEnabled;


TCustomCheckListBox.KeyDown

Declaration

Source position: checklst.pas line 64

protected procedure TCustomCheckListBox.KeyDown(

  var Key: Word;

  Shift: TShiftState

); override;


TCustomCheckListBox.OnClickCheck

OnClickCheck - event handler for a mouse click on the CheckBox

Declaration

Source position: checklst.pas line 78

public property TCustomCheckListBox.OnClickCheck : TNotifyEvent
  read FOnClickCheck
  write FOnClickCheck;


TCustomCheckListBox.OnItemClick

OnItemClick - event handler for a mouse click on the data item associated with the checkbox

Declaration

Source position: checklst.pas line 79

public property TCustomCheckListBox.OnItemClick : TCheckListClicked
  read FOnItemClick
  write FOnItemClick;


TCustomCheckListBox.ReadData

ReadData from a stream

Declaration

Source position: checklst.pas line 60

protected procedure TCustomCheckListBox.ReadData(

  Stream: TStream

);


TCustomCheckListBox.State

The State of the box with the specified index - checked, unchecked or greyed

Declaration

Source position: checklst.pas line 77

public property TCustomCheckListBox.State[AIndex: Integer] : TCheckBoxState
  read GetState
  write SetState;


TCustomCheckListBox.Toggle

Toggle the checked/unchecked state of this box

Declaration

Source position: checklst.pas line 69

public procedure TCustomCheckListBox.Toggle(

  AIndex: Integer

);


TCustomCheckListBox.WriteData

WriteData to a stream

Declaration

Source position: checklst.pas line 61

protected procedure TCustomCheckListBox.WriteData(

  Stream: TStream

);


TClipboard

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

TClipboard - area for holding information that has been cut or copied, ready for pasting

Declaration

Source position: clipbrd.pp line 152

type TClipboard = class(TPersistent)
public
function AddFormat(); | Aquires ownership of the Clipboard and adds a format
procedure Assign(); override;
procedure AssignTo(); override;
procedure Clear; | Clear the clipboard
procedure Close; | Close down the clipboard
constructor Create(); |
destructor Destroy; override;
function FindPictureFormatID; | FindPictureFormatID - search for the first format ID that is a graphic
function FindFormatID(); | FindFormatID - find a Format ID that has the specified name
function GetAsHtml(); | Retrieves the HTML content of the clipboard (if available)
function GetComponent(); | GetComponent - read a component from the clipboard
procedure GetComponentAsText(); | GetComponentAsText - read the component as text, if supported
function GetFormat(); | GetFormat - read information on format from the clipboard
procedure SupportedFormats(); |
function GetTextBuf(); | GetTextBuf - reads text from the clipboard and returns the number of characters
function HasFormat(); | HasFormat - look up the list to see if the format is supported. If a TPicture format is specified, all graphic formats are searched.
function HasFormatName(); | HasFormatName - checks if data have format with specified name
function HasPictureFormat; | HasPictureFormat - checks whether data are formatted as a picture
procedure Open; | Open the clipboard to receive and transmit data
procedure SetAsHtml(); | Puts a HTML string on the clipboard.
function SetComponent(); | Write specified component to the Clipboard
function SetComponentAsText();
function SetFormat(); |
function SetSupportedFormats(); | SetSupportedFormats - set all supported formats at once
procedure SetTextBuf(); |
property AsText: string; [rw] | AsText - holds the textual data in the clipboard as a string
property ClipboardType: TClipboardType; [r] | ClipboardType - ctPrimarySelection, ctSecondarySelection, ctClipboard
property FormatCount: Integer; [r] | FormatCount - the number of formats available
property Formats []: TClipboardFormat; [r] | Formats - the formats being used in the current clipboard
property OnRequest: TClipboardRequestEvent; [rw] | OnRequest - event handler for a request for clipboard data
end;

Inheritance

TClipboard

TClipboard - area for holding information that has been cut or copied, ready for pasting
|

TPersistent,IFPObserved
|

TObject

Description

TClipboard - area for holding information that has been cut or copied, ready for pasting

The clipboard object encapsulates the Windows clipboard and the three standard Gtk selections. For each of the three clipboards/selections there is an object: PrimarySelection, SecondarySelection and Clipboard. There is no difference between the three objects except their type.

A lot of information about Clipboard Formats, including pre-defined formats for Delphi/Kylix compatibility, is found in the LCLType unit, at TClipboardFormat, TClipboardType, ClipboardTypeName, TPredefinedClipboardFormat, PredefinedClipboardMimeTypes

See also

TClipboardFormat

TClipboardType

ClipboardTypeName

TPredefinedClipboardFormat

PredefinedClipboardMimeTypes


TClipboard
 |  | AsText
 | ro | ClipboardType
 | ro | FormatCount
 | ro | Formats
TPersistent
TObject


ro | ClipboardType (TClipboard)
ro | FormatCount (TClipboard)
ro | Formats (TClipboard)


TClipboard
 | AddFormat
 | Assign
 | AssignTo
 | Clear
 | Close
 | Create
 | Destroy
 | FindPictureFormatID
 | FindFormatID
 | GetAsHtml
 | GetComponent
 | GetComponentAsText
 | GetFormat
 | SupportedFormats
 | GetTextBuf
 | HasFormat
 | HasFormatName
 | HasPictureFormat
 | Open
 | SetAsHtml
 | SetComponent
 | SetComponentAsText
 | SetFormat
 | SetSupportedFormats
 | SetTextBuf
TPersistent
 | AssignError
 | AssignTo
 | DefineProperties
 | GetOwner
 | Destroy
 | Assign
 | FPOAttachObserver
 | FPODetachObserver
 | FPONotifyObservers
 | GetNamePath
TObject
 | Create
 | Destroy
 | newinstance
 | FreeInstance
 | SafeCallException
 | DefaultHandler
 | Free
 | InitInstance
 | CleanupInstance
 | ClassType
 | ClassInfo
 | ClassName
 | ClassNameIs
 | ClassParent
 | InstanceSize
 | InheritsFrom
 | StringMessageTable
 | MethodAddress
 | MethodName
 | FieldAddress
 | AfterConstruction
 | BeforeDestruction
 | DefaultHandlerStr
 | Dispatch
 | DispatchStr
 | GetInterface
 | GetInterfaceByStr
 | GetInterfaceWeak
 | GetInterfaceEntry
 | GetInterfaceEntryByStr
 | GetInterfaceTable
 | UnitName
 | Equals
 | GetHashCode
 | ToString


AddFormat (TClipboard)

AfterConstruction (TObject)

Assign (TPersistent)

Assign (TClipboard)

AssignError (TPersistent)

AssignTo (TPersistent)

AssignTo (TClipboard)

BeforeDestruction (TObject)

ClassInfo (TObject)

ClassName (TObject)

ClassNameIs (TObject)

ClassParent (TObject)

ClassType (TObject)

CleanupInstance (TObject)

Clear (TClipboard)

Close (TClipboard)

Create (TObject)

Create (TClipboard)

DefaultHandler (TObject)

DefaultHandlerStr (TObject)

DefineProperties (TPersistent)

Destroy (TObject)

Destroy (TPersistent)

Destroy (TClipboard)

Dispatch (TObject)

DispatchStr (TObject)

Equals (TObject)

FieldAddress (TObject)

FindFormatID (TClipboard)

FindPictureFormatID (TClipboard)

FPOAttachObserver (TPersistent)

FPODetachObserver (TPersistent)

FPONotifyObservers (TPersistent)

Free (TObject)

FreeInstance (TObject)

GetAsHtml (TClipboard)

GetComponent (TClipboard)

GetComponentAsText (TClipboard)

GetFormat (TClipboard)

GetHashCode (TObject)

GetInterface (TObject)

GetInterfaceByStr (TObject)

GetInterfaceEntry (TObject)

GetInterfaceEntryByStr (TObject)

GetInterfaceTable (TObject)

GetInterfaceWeak (TObject)

GetNamePath (TPersistent)

GetOwner (TPersistent)

GetTextBuf (TClipboard)

HasFormat (TClipboard)

HasFormatName (TClipboard)

HasPictureFormat (TClipboard)

InheritsFrom (TObject)

InitInstance (TObject)

InstanceSize (TObject)

MethodAddress (TObject)

MethodName (TObject)

newinstance (TObject)

Open (TClipboard)

SafeCallException (TObject)

SetAsHtml (TClipboard)

SetComponent (TClipboard)

SetComponentAsText (TClipboard)

SetFormat (TClipboard)

SetSupportedFormats (TClipboard)

SetTextBuf (TClipboard)

StringMessageTable (TObject)

SupportedFormats (TClipboard)

ToString (TObject)

UnitName (TObject)


TClipboard

OnRequest

TPersistent

TObject


TClipboard.AddFormat

Aquires ownership of the Clipboard and adds a format

Declaration

Source position: clipbrd.pp line 188

public function TClipboard.AddFormat(

  FormatID: TClipboardFormat;

  Stream: TStream

):Boolean;

function TClipboard.AddFormat(

  FormatID: TClipboardFormat;

  var Buffer;

  Size: Integer

):Boolean;

Function result

True if format added correctly

Description

If not already done this functions aquires ownership of the clipboard. Aquiring ownership clears the clipbaord. If the format already exists it replaces the old content otherwise it is added. The format CF_TEXT is handled by AsText and SetTextBuf. Use those functions instead.


TClipboard.AsText

AsText - holds the textual data in the clipboard as a string

Declaration

Source position: clipbrd.pp line 228

public property TClipboard.AsText : string
  read GetAsText
  write SetAsText;


TClipboard.Clear

Clear the clipboard

Declaration

Source position: clipbrd.pp line 192

public procedure TClipboard.Clear;


TClipboard.ClipboardType

ClipboardType - ctPrimarySelection, ctSecondarySelection, ctClipboard

Declaration

Source position: clipbrd.pp line 229

public property TClipboard.ClipboardType : TClipboardType
  read FClipboardType;


TClipboard.Close

Close down the clipboard

Declaration

Source position: clipbrd.pp line 193

public procedure TClipboard.Close;


TClipboard.Create

Declaration

Source position: clipbrd.pp line 194

public constructor TClipboard.Create;

constructor TClipboard.Create(

  AClipboardType: TClipboardType

);

Arguments

AClipboardType

AClipboardType - optional argument specifying type of clipboard to be created


TClipboard.FindFormatID

FindFormatID - find a Format ID that has the specified name

Declaration

Source position: clipbrd.pp line 198

public function TClipboard.FindFormatID(

  const FormatName: string

):TClipboardFormat;

Function result

Returns a Clipboard format


TClipboard.FindPictureFormatID

FindPictureFormatID - search for the first format ID that is a graphic

Declaration

Source position: clipbrd.pp line 197

public function TClipboard.FindPictureFormatID: TClipboardFormat;

Function result

Returns a Clipboard format


TClipboard.FormatCount

FormatCount - the number of formats available

Declaration

Source position: clipbrd.pp line 230

public property TClipboard.FormatCount : Integer
  read GetFormatCount;


TClipboard.Formats

Formats - the formats being used in the current clipboard

Declaration

Source position: clipbrd.pp line 231

public property TClipboard.Formats[Index: Integer] : TClipboardFormat
  read GetFormats;

Description

Formats - the formats being used in the current clipboard

You can read the formats with this property one by one. But this will result in many requests, which can be very slow (especially on terminals).

Better use "SupportedFormats".


TClipboard.GetAsHtml

Retrieves the HTML content of the clipboard (if available)

Declaration

Source position: clipbrd.pp line 200

public function TClipboard.GetAsHtml(

  ExtractFragmentOnly: Boolean

):string;

Function result

The HTML content of the clipboard as a string. Empty string if the function fails.

Description

Retrieves the HTML content of the clipboard (if available). On Windows it will automatically remove the clipboard header that Windows inserts. The resulting HTML string will be UTF-8 encoded.


TClipboard.GetComponent

GetComponent - read a component from the clipboard

Declaration

Source position: clipbrd.pp line 201

public function TClipboard.GetComponent(

  Owner: TComponent;

  Parent: TComponent

):TComponent;

procedure TClipboard.GetComponent(

  var RootComponent: TComponent;

  OnFindComponentClass: TFindComponentClassEvent;

  Owner: TComponent = Nil;

  Parent: TComponent = Nil

);


TClipboard.GetComponentAsText

GetComponentAsText - read the component as text, if supported

Declaration

Source position: clipbrd.pp line 206

public procedure TClipboard.GetComponentAsText(

  var RootComponent: TComponent;

  OnFindComponentClass: TFindComponentClassEvent;

  Owner: TComponent = Nil;

  Parent: TComponent = Nil

);


TClipboard.GetFormat

GetFormat - read information on format from the clipboard

Declaration

Source position: clipbrd.pp line 210

public function TClipboard.GetFormat(

  FormatID: TClipboardFormat;

  Stream: TStream

):Boolean;

Function result

True if Format found


TClipboard.GetTextBuf

GetTextBuf - reads text from the clipboard and returns the number of characters

Declaration

Source position: clipbrd.pp line 214

public function TClipboard.GetTextBuf(

  Buffer: PChar;

  BufSize: Integer

):Integer;

Function result

Number of characters in text buffer


TClipboard.HasFormat

HasFormat - look up the list to see if the format is supported. If a TPicture format is specified, all graphic formats are searched.

Declaration

Source position: clipbrd.pp line 215

public function TClipboard.HasFormat(

  FormatID: TClipboardFormat

):Boolean;

Function result

True if format is supported


TClipboard.HasFormatName

HasFormatName - checks if data have format with specified name

Declaration

Source position: clipbrd.pp line 216

public function TClipboard.HasFormatName(

  const FormatName: string

):Boolean;

Function result

True if named format found


TClipboard.HasPictureFormat

HasPictureFormat - checks whether data are formatted as a picture

Declaration

Source position: clipbrd.pp line 217

public function TClipboard.HasPictureFormat: Boolean;

Function result

True if formatted as picture


TClipboard.OnRequest

OnRequest - event handler for a request for clipboard data

Declaration

Source position: clipbrd.pp line 232

public property TClipboard.OnRequest : TClipboardRequestEvent
  read FOnRequest
  write SetOnRequest;

Description

OnRequest - event handler for a request for clipboard data

If the clipboard has the ownership, this event will be called each time data are requested from the clipboard by the application or another application.

There is one special case:

If the clipboard loses ownership the OnRequest event will be called with FormatID=0. This event will be erased on lost of ownership.

If the OnRequest event was already set before, the prior method will be called with FormatID=0 to be notified of the loss.


TClipboard.Open

Open the clipboard to receive and transmit data

Declaration

Source position: clipbrd.pp line 218

public procedure TClipboard.Open;


TClipboard.SetAsHtml

Puts a HTML string on the clipboard.

Declaration

Source position: clipbrd.pp line 220

public procedure TClipboard.SetAsHtml(

  Html: string

);

procedure TClipboard.SetAsHtml(

  Html: string;

  const PlainText: string

);

Arguments

Html

The Html string that shall be put on the ClipBoard

Arguments

Html | The Html string that shall be put on the ClipBoard
PlainText | Optional plain text (string) representation of the HTML

Description

Puts a HTML string on the clipboard. On Windows it will automatically insert a ClipBoard Header. The procedure can also (optionally) set a provided plaintext representation of the HTLM on the ClipBoard.


TClipboard.SetComponent

Write specified component to the Clipboard

Declaration

Source position: clipbrd.pp line 222

public function TClipboard.SetComponent(

  Component: TComponent

):Boolean;


TClipboard.SetComponentAsText

Declaration

Source position: clipbrd.pp line 223

public function TClipboard.SetComponentAsText(

  Component: TComponent

):Boolean;


TClipboard.SetFormat

Declaration

Source position: clipbrd.pp line 224

public function TClipboard.SetFormat(

  FormatID: TClipboardFormat;

  Stream: TStream

):Boolean;


TClipboard.SetSupportedFormats

SetSupportedFormats - set all supported formats at once

Declaration

Source position: clipbrd.pp line 225

public function TClipboard.SetSupportedFormats(

  AFormatCount: Integer;

  FormatList: PClipboardFormat

):Boolean;

Description

SetSupportedFormats - set all supported formats at once

All data will be empty.

This procedure is useful if setting the OnRequest event to put the data on the fly.

Example: Using the PrimarySelection from synedit.pp

procedure TCustomSynEdit.AquirePrimarySelection;
      var
        FormatList: TClipboardFormat;
      begin
        if (not SelAvail)
        or (PrimarySelection.OnRequest=@PrimarySelectionRequest) then exit;
        FormatList:=CF_TEXT;
        PrimarySelection.SetSupportedFormats(1,@FormatList);
        PrimarySelection.OnRequest:=@PrimarySelectionRequest;
      end;


TClipboard.SupportedFormats

Declaration

Source position: clipbrd.pp line 211

public procedure TClipboard.SupportedFormats(

  List: TStrings

);

procedure TClipboard.SupportedFormats(

  var AFormatCount: Integer;

  var FormatList: PClipboardFormat

);


TClipboardData

Declaration

Source position: clipbrd.pp line 145

type TClipboardData = record

  FormatID: TClipboardFormat;

  Stream: TMemoryStream;

end;


TColorBox

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

TColorBox - presents the user with a ComboBox with a drop-down list from which to select a colour

Declaration

Source position: colorbox.pas line 93

type TColorBox = class(TCustomColorBox)
published
property ColorRectWidth: Integer;
property ColorRectOffset: Integer;
property DefaultColorColor: TColor; | DefaultColorColor - the default colour, expressed as a Color value
property NoneColorColor: TColor; | NoneColorColor - the colour to be used when no selection has been made, or when None is selected, stored as a TColor
property Selected: TColor; | The colour that has been Selected from the ComboBox
property Style: TColorBoxStyle; | Appearance and behaviour of the ComboBox (static/drop-down, owner-draw...).
property OnGetColors: TGetColorsEvent; | OnGetColors - event handler for the instruction to Get Colours
property Align: TAlign; | Specifies the placement of the control inside its Parent.
property Anchors: TAnchors; | The set of anchor definitions for this control.
property ArrowKeysTraverseList: Boolean; | Allows the operator to use also the keyboard Arrow keys to move through the list.
property AutoComplete: Boolean; | Allows to select items from partial input, of the begin of the item text.
property AutoCompleteText: TComboBoxAutoCompleteText; | Options for the behavior of the Auto-Complete feature.
property AutoDropDown: Boolean; | Makes the drop-down list appear as soon as the user starts entering text.
property AutoSelect: Boolean;
property AutoSize: Boolean; | Allows to automatically adjust the size of the control, according to its content.
property BidiMode: TBiDiMode;
property BorderSpacing: TControlBorderSpacing; | Determines the inner and outer border spacing for this control.
property Color: TColor; | The background color of the control.
property Constraints: TSizeConstraints;
property DragCursor: TCursor; | The cursor shape shown while the control is dragged.
property DragMode: TDragMode; | Allows the user to drag the control.
property DropDownCount: Integer; | The height of the drop-down list, measured in number of items.
property Enabled: Boolean; | Determines whether the control reacts on mouse or keyboard input.
property Font: TFont; | The font to be used for text display in this control.
property ItemHeight: Integer; | The default height of a list item.
property ItemWidth: Integer; | The minimum width of the items in the drop-down list.
property OnChange: TNotifyEvent; | Event handler for user changed text in the edit box.
property OnChangeBounds: TNotifyEvent; | Event handler for a change of the Bounds of the control.
property OnClick: TNotifyEvent; | Notification handler for mouse clicks.
property OnCloseUp: TNotifyEvent; | Handler invoked when the drop-down list closes.
property OnContextPopup: TContextPopupEvent;
property OnDblClick: TNotifyEvent; | Event Handler for double mouse clicks.
property OnDragDrop: TDragDropEvent; | This handler determines the action on an drop onto this control, in a drag-drop operation.
property OnDragOver: TDragOverEvent; | Event handler for a control being dragged over this control.
property OnEndDrag: TEndDragEvent; | Notification handler for the end of a dragging operation.
property OnDropDown: TNotifyEvent; | Handler invoked when the list has dropped down.
property OnEditingDone: TNotifyEvent; | Event handler when editing is done.
property OnEnter: TNotifyEvent; | Handler for control receiving the focus.
property OnExit: TNotifyEvent; | Handler for control loosing the focus. This is a good place for checking the finished user input.
property OnKeyDown: TKeyEvent; | Handler for keyboard key pressed.
property OnKeyPress: TKeyPressEvent; | Handler for a character entered by the user.
property OnKeyUp: TKeyEvent; | Handler for keyboard key released.
property OnMouseDown: TMouseEvent; | Event handler for mouse button going down.
property OnMouseEnter: TNotifyEvent;
property OnMouseLeave: TNotifyEvent;
property OnMouseMove: TMouseMoveEvent; | Event handler for mouse movement within the control.
property OnMouseUp: TMouseEvent; | Event handler for mouse button going up.
property OnMouseWheel: TMouseWheelEvent;
property OnMouseWheelDown: TMouseWheelUpDownEvent;
property OnMouseWheelUp: TMouseWheelUpDownEvent;
property OnStartDrag: TStartDragEvent; | Event handler for the start of a dragging operation.
property OnSelect: TNotifyEvent; | Handler invoked when an item is selected.
property OnUTF8KeyPress: TUTF8KeyPressEvent; | Handler for a character entered by the user.
property ParentBidiMode: Boolean;
property ParentColor: Boolean; | If true, the Color of the control will be the same as the one from the Parent. Default is true.
property ParentFont: Boolean; | If true, the Font of the control will be the same as the one from the Parent. Default is true.
property ParentShowHint: Boolean; | If true, the value of ShowHint for the control will be the same as the one from the Parent. Default is true.
property PopupMenu: TPopupMenu; | A context-sensitive menu that pops up when the right mouse button is clicked over this control
property ShowHint: Boolean; | Enables the Hint display.
property TabOrder: TTabOrder; | Determines the sequence of controls, reachable when the user presses the Tab key.
property TabStop: Boolean; | Allows the user to navigate to this control, by pressing the Tab key.
property Visible: Boolean; | Allows to show or hide the control, and all of its children.
end;

Inheritance

TColorBox | TColorBox - presents the user with a ComboBox with a drop-down list from which to select a colour
|
TCustomColorBox | TCustomColorBox - base class for TColorBox
|
TCustomComboBox | The base class for ComboBox components.
|
TWinControl | The base class for controls which can contain other (child) controls.
|
TControl | The base class for visible controls.
|
TLCLComponent | The base class for LCL components associated with widgets.
|
TComponent,IUnknown,IInterfaceComponentReference
|
TPersistent,IFPObserved
|
TObject


TColorBox
pl | ro | ColorRectWidth
pl | ro | ColorRectOffset
pl | ro | DefaultColorColor
pl | ro | NoneColorColor
pl | ro | Selected
pl | ro | Style
pl | ro | Align
pl | ro | Anchors
pl | ro | ArrowKeysTraverseList
pl | ro | AutoComplete
pl | ro | AutoCompleteText
pl | ro | AutoDropDown
pl | ro | AutoSelect
pl | ro | AutoSize
pl | ro | BidiMode
pl | ro | BorderSpacing
pl | ro | Color
pl | ro | Constraints
pl | ro | DragCursor
pl | ro | DragMode
pl | ro | DropDownCount
pl | ro | Enabled
pl | ro | Font
pl | ro | ItemHeight
pl | ro | ItemWidth
pl | ro | ParentBidiMode
pl | ro | ParentColor
pl | ro | ParentFont
pl | ro | ParentShowHint
pl | ro | PopupMenu
pl | ro | ShowHint
pl | ro | TabOrder
pl | ro | TabStop
pl | ro | Visible
TCustomColorBox
 |  | ColorRectWidth
 |  | ColorRectOffset
 |  | Style
 | ro | Colors
 | ro | ColorNames
 |  | Selected
 |  | DefaultColorColor
 |  | NoneColorColor
TCustomComboBox
pt |  | ItemHeight
pt |  | ItemWidth
pt |  | MaxLength
pt | ro | ParentColor
pt |  | Sorted
 |  | CharCase
 |  | DroppedDown
 |  | DroppingDown
 |  | AutoComplete
 |  | AutoCompleteText
 |  | AutoDropDown
 |  | AutoSelect
 |  | AutoSelected
 | ro | AutoSize
 |  | ArrowKeysTraverseList
 | ro | Canvas
 |  | DropDownCount
 |  | Items
 |  | ItemIndex
 |  | ReadOnly
 |  | SelLength
 |  | SelStart
 |  | SelText
 |  | Style
 | ro | TabStop
 | ro | Text
TWinControl
pt |  | WindowHandle
pt |  | BorderStyle
pt |  | ParentBackground
 |  | BorderWidth
 | ro | BoundsLockCount
 | ro | Brush
 | ro | CachedClientHeight
 | ro | CachedClientWidth
 |  | ChildSizing
 | ro | ControlCount
 | ro | Controls
 |  | DefWndProc
 | ro | DockClientCount
 | ro | DockClients
 |  | DockManager
 |  | DockSite
 |  | DoubleBuffered
 |  | Handle
 | ro | IsFlipped
 | ro | IsResizing
 |  | TabOrder
 |  | TabStop
 |  | ParentDoubleBuffered
 |  | ParentWindow
 | ro | Showing
 |  | UseDockManager
 |  | DesignerDeleting
 | ro | VisibleDockClientCount
TControl
pt | ro | AutoSizing
pt | ro | AutoSizingAll
pt | ro | AutoSizingLockCount
pt |  | ActionLink
pt |  | DesktopFont
pt |  | DragCursor
pt |  | DragKind
pt |  | DragMode
pt |  | MouseCapture
pt |  | ParentColor
pt |  | ParentFont
pt |  | ParentShowHint
pt |  | SessionProperties
pt |  | Text
 | ro | AnchoredControls
 | ro | BaseBounds
 | ro | ReadBounds
 | ro | BaseParentClientSize
 |  | AccessibleDescription
 |  | AccessibleValue
 |  | AccessibleRole
 |  | Action
 |  | Align
 |  | Anchors
 | ro | AnchorSide
 |  | AutoSize
 |  | BorderSpacing
 |  | BoundsRect
 |  | BoundsRectForNewParent
 |  | Caption
 |  | CaptureMouseButtons
 |  | ClientHeight
 | ro | ClientOrigin
 | ro | ClientRect
 |  | ClientWidth
 |  | Color
 |  | Constraints
 | ro | ControlOrigin
 |  | ControlState
 |  | ControlStyle
 |  | Enabled
 |  | Font
 |  | IsControl
 | ro | MouseEntered
 | ro | MouseInClient
 |  | Parent
 |  | PopupMenu
 |  | ShowHint
 |  | Visible
 |  | WindowProc
 |  | DockOrientation
 | ro | Floating
 |  | FloatingDockSiteClass
 |  | HostDockSite
 |  | LRDockWidth
 |  | TBDockHeight
 |  | UndockHeight
 |  | UndockWidth
 |  | BiDiMode
 |  | ParentBiDiMode
pl |  | AnchorSideLeft
pl |  | AnchorSideTop
pl |  | AnchorSideRight
pl |  | AnchorSideBottom
pl |  | Cursor
pl |  | Left
pl |  | Height
pl |  | Hint
pl |  | Top
pl |  | Width
pl |  | HelpType
pl |  | HelpKeyword
pl |  | HelpContext
TLCLComponent
 | ro | LCLRefCount
 | ro | WidgetSetClass
TComponent
 | ro | ComObject
 | ro | Components
 | ro | ComponentCount
 |  | ComponentIndex
 | ro | ComponentState
 | ro | ComponentStyle
 |  | DesignInfo
 | ro | Owner
 |  | VCLComObject
 |  | Name
 |  | Tag
TPersistent
TObject


 |  | AccessibleDescription (TControl)
 |  | AccessibleRole (TControl)
 |  | AccessibleValue (TControl)
 |  | Action (TControl)
pt |  | ActionLink (TControl)
 |  | Align (TControl)
pl | ro | Align (TColorBox)
 | ro | AnchoredControls (TControl)
 |  | Anchors (TControl)
pl | ro | Anchors (TColorBox)
 | ro | AnchorSide (TControl)
pl |  | AnchorSideBottom (TControl)
pl |  | AnchorSideLeft (TControl)
pl |  | AnchorSideRight (TControl)
pl |  | AnchorSideTop (TControl)
 |  | ArrowKeysTraverseList (TCustomComboBox)
pl | ro | ArrowKeysTraverseList (TColorBox)
 |  | AutoComplete (TCustomComboBox)
pl | ro | AutoComplete (TColorBox)
 |  | AutoCompleteText (TCustomComboBox)
pl | ro | AutoCompleteText (TColorBox)
 |  | AutoDropDown (TCustomComboBox)
pl | ro | AutoDropDown (TColorBox)
 |  | AutoSelect (TCustomComboBox)
pl | ro | AutoSelect (TColorBox)
 |  | AutoSelected (TCustomComboBox)
 |  | AutoSize (TControl)
 | ro | AutoSize (TCustomComboBox)
pl | ro | AutoSize (TColorBox)
pt | ro | AutoSizing (TControl)
pt | ro | AutoSizingAll (TControl)
pt | ro | AutoSizingLockCount (TControl)
 | ro | BaseBounds (TControl)
 | ro | BaseParentClientSize (TControl)
 |  | BiDiMode (TControl)
pl | ro | BidiMode (TColorBox)
 |  | BorderSpacing (TControl)
pl | ro | BorderSpacing (TColorBox)
pt |  | BorderStyle (TWinControl)
 |  | BorderWidth (TWinControl)
 | ro | BoundsLockCount (TWinControl)
 |  | BoundsRect (TControl)
 |  | BoundsRectForNewParent (TControl)
 | ro | Brush (TWinControl)
 | ro | CachedClientHeight (TWinControl)
 | ro | CachedClientWidth (TWinControl)
 | ro | Canvas (TCustomComboBox)
 |  | Caption (TControl)
 |  | CaptureMouseButtons (TControl)
 |  | CharCase (TCustomComboBox)
 |  | ChildSizing (TWinControl)
 |  | ClientHeight (TControl)
 | ro | ClientOrigin (TControl)
 | ro | ClientRect (TControl)
 |  | ClientWidth (TControl)
 |  | Color (TControl)
pl | ro | Color (TColorBox)
 | ro | ColorNames (TCustomColorBox)
 |  | ColorRectOffset (TCustomColorBox)
pl | ro | ColorRectOffset (TColorBox)
 |  | ColorRectWidth (TCustomColorBox)
pl | ro | ColorRectWidth (TColorBox)
 | ro | Colors (TCustomColorBox)
 | ro | ComObject (TComponent)
 | ro | ComponentCount (TComponent)
 |  | ComponentIndex (TComponent)
 | ro | Components (TComponent)
 | ro | ComponentState (TComponent)
 | ro | ComponentStyle (TComponent)
 |  | Constraints (TControl)
pl | ro | Constraints (TColorBox)
 | ro | ControlCount (TWinControl)
 | ro | ControlOrigin (TControl)
 | ro | Controls (TWinControl)
 |  | ControlState (TControl)
 |  | ControlStyle (TControl)
pl |  | Cursor (TControl)
 |  | DefaultColorColor (TCustomColorBox)
pl | ro | DefaultColorColor (TColorBox)
 |  | DefWndProc (TWinControl)
 |  | DesignerDeleting (TWinControl)
 |  | DesignInfo (TComponent)
pt |  | DesktopFont (TControl)
 | ro | DockClientCount (TWinControl)
 | ro | DockClients (TWinControl)
 |  | DockManager (TWinControl)
 |  | DockOrientation (TControl)
 |  | DockSite (TWinControl)
 |  | DoubleBuffered (TWinControl)
pt |  | DragCursor (TControl)
pl | ro | DragCursor (TColorBox)
pt |  | DragKind (TControl)
pt |  | DragMode (TControl)
pl | ro | DragMode (TColorBox)
 |  | DropDownCount (TCustomComboBox)
pl | ro | DropDownCount (TColorBox)
 |  | DroppedDown (TCustomComboBox)
 |  | DroppingDown (TCustomComboBox)
 |  | Enabled (TControl)
pl | ro | Enabled (TColorBox)
 | ro | Floating (TControl)
 |  | FloatingDockSiteClass (TControl)
 |  | Font (TControl)
pl | ro | Font (TColorBox)
 |  | Handle (TWinControl)
pl |  | Height (TControl)
pl |  | HelpContext (TControl)
pl |  | HelpKeyword (TControl)
pl |  | HelpType (TControl)
pl |  | Hint (TControl)
 |  | HostDockSite (TControl)
 |  | IsControl (TControl)
 | ro | IsFlipped (TWinControl)
 | ro | IsResizing (TWinControl)
pt |  | ItemHeight (TCustomComboBox)
pl | ro | ItemHeight (TColorBox)
 |  | ItemIndex (TCustomComboBox)
 |  | Items (TCustomComboBox)
pt |  | ItemWidth (TCustomComboBox)
pl | ro | ItemWidth (TColorBox)
 | ro | LCLRefCount (TLCLComponent)
pl |  | Left (TControl)
 |  | LRDockWidth (TControl)
pt |  | MaxLength (TCustomComboBox)
pt |  | MouseCapture (TControl)
 | ro | MouseEntered (TControl)
 | ro | MouseInClient (TControl)
 |  | Name (TComponent)
 |  | NoneColorColor (TCustomColorBox)
pl | ro | NoneColorColor (TColorBox)
 | ro | Owner (TComponent)
 |  | Parent (TControl)
pt |  | ParentBackground (TWinControl)
 |  | ParentBiDiMode (TControl)
pl | ro | ParentBidiMode (TColorBox)
pt |  | ParentColor (TControl)
pt | ro | ParentColor (TCustomComboBox)
pl | ro | ParentColor (TColorBox)
 |  | ParentDoubleBuffered (TWinControl)
pt |  | ParentFont (TControl)
pl | ro | ParentFont (TColorBox)
pt |  | ParentShowHint (TControl)
pl | ro | ParentShowHint (TColorBox)
 |  | ParentWindow (TWinControl)
 |  | PopupMenu (TControl)
pl | ro | PopupMenu (TColorBox)
 | ro | ReadBounds (TControl)
 |  | ReadOnly (TCustomComboBox)
 |  | Selected (TCustomColorBox)
pl | ro | Selected (TColorBox)
 |  | SelLength (TCustomComboBox)
 |  | SelStart (TCustomComboBox)
 |  | SelText (TCustomComboBox)
pt |  | SessionProperties (TControl)
 |  | ShowHint (TControl)
pl | ro | ShowHint (TColorBox)
 | ro | Showing (TWinControl)
pt |  | Sorted (TCustomComboBox)
 |  | Style (TCustomComboBox)
 |  | Style (TCustomColorBox)
pl | ro | Style (TColorBox)
 |  | TabOrder (TWinControl)
pl | ro | TabOrder (TColorBox)
 |  | TabStop (TWinControl)
 | ro | TabStop (TCustomComboBox)
pl | ro | TabStop (TColorBox)
 |  | Tag (TComponent)
 |  | TBDockHeight (TControl)
pt |  | Text (TControl)
 | ro | Text (TCustomComboBox)
pl |  | Top (TControl)
 |  | UndockHeight (TControl)
 |  | UndockWidth (TControl)
 |  | UseDockManager (TWinControl)
 |  | VCLComObject (TComponent)
 |  | Visible (TControl)
pl | ro | Visible (TColorBox)
 | ro | VisibleDockClientCount (TWinControl)
 | ro | WidgetSetClass (TLCLComponent)
pl |  | Width (TControl)
pt |  | WindowHandle (TWinControl)
 |  | WindowProc (TControl)


TColorBox
TCustomColorBox
pt | ColorRectWidthStored
pt | DrawItem
pt | SetColorList
pt | Loaded
pt | InitializeWnd
pt | DoAutoAdjustLayout
pt | DoGetColors
pt | CloseUp
pt | PickCustomColor
 | Create
TCustomComboBox
pt | WSRegisterClass
pt | CreateParams
pt | InitializeWnd
pt | DestroyWnd
pt | DoEnter
pt | DoExit
pt | DrawItem
pt | KeyUpAfterInterface
pt | MeasureItem
pt | GetControlClassDefaultSize
pt | LMChanged
pt | CMWantSpecialKey
pt | Change
pt | Select
pt | DropDown
pt | GetItems
pt | SetItems
pt | CloseUp
pt | AdjustDropDown
pt | DoAutoAdjustLayout
pt | GetItemCount
pt | GetItemHeight
pt | GetSelLength
pt | GetSelStart
pt | GetSelText
pt | GetItemIndex
pt | GetMaxLength
pt | SetDropDownCount
pt | SetDroppedDown
pt | SetItemHeight
pt | SetItemIndex
pt | SetMaxLength
pt | SetSelLength
pt | SetSelStart
pt | SetSelText
pt | SetSorted
pt | SetStyle
pt | RealSetText
pt | KeyDown
pt | KeyUp
pt | UTF8KeyPress
pt | MouseUp
pt | SelectItem
pt | ShouldAutoAdjust
 | Create
 | Destroy
 | IntfGetItems
 | AddItem
 | AddHistoryItem
 | Clear
 | ClearSelection
 | SelectAll
TWinControl
pt | WSRegisterClass
pt | AdjustClientRect
pt | GetAdjustedLogicalClientRect
pt | AlignControls
pt | CustomAlignInsertBefore
pt | CustomAlignPosition
pt | DoAlignChildControls
pt | DoChildSizingChange
pt | InvalidatePreferredChildSizes
pt | CanTab
pt | IsClientHeightStored
pt | IsClientWidthStored
pt | DoSendShowHideToInterface
pt | ControlsAligned
pt | DoSendBoundsToInterface
pt | RealizeBounds
pt | RealizeBoundsRecursive
pt | InvalidateBoundsRealized
pt | CreateSubClass
pt | DoConstraintsChange
pt | DoSetBounds
pt | DoAutoSize
pt | DoAllAutoSize
pt | AllAutoSized
pt | CalculatePreferredSize
pt | GetPreferredSizeClientFrame
pt | GetChildren
pt | ChildClassAllowed
pt | PaintControls
pt | PaintHandler
pt | PaintWindow
pt | CreateBrush
pt | ScaleControls
pt | ChangeScale
pt | CMBiDiModeChanged
pt | CMBorderChanged
pt | CMDoubleBufferedChanged
pt | CMEnabledChanged
pt | CMParentDoubleBufferedChanged
pt | CMShowingChanged
pt | CMShowHintChanged
pt | CMVisibleChanged
pt | CMEnter
pt | CMExit
pt | WMContextMenu
pt | WMEraseBkgnd
pt | WMNotify
pt | WMSetFocus
pt | WMKillFocus
pt | WMShowWindow
pt | WMEnter
pt | WMExit
pt | WMKeyDown
pt | WMSysKeyDown
pt | WMKeyUp
pt | WMSysKeyUp
pt | WMChar
pt | WMSysChar
pt | WMPaint
pt | WMDestroy
pt | WMMove
pt | WMSize
pt | WMWindowPosChanged
pt | CNKeyDown
pt | CNSysKeyDown
pt | CNKeyUp
pt | CNSysKeyUp
pt | CNChar
pt | DoDragMsg
pt | DoDockClientMsg
pt | DoUndockClientMsg
pt | DoAddDockClient
pt | DockOver
pt | DoDockOver
pt | DoRemoveDockClient
pt | DoUnDock
pt | GetSiteInfo
pt | GetParentHandle
pt | GetTopParentHandle
pt | ReloadDockedControl
pt | CreateDockManager
pt | SetDockManager
pt | DoFloatMsg
pt | DoGetDockCaption
pt | DoEnter
pt | DoExit
pt | DoKeyDownBeforeInterface
pt | DoRemainingKeyDown
pt | DoRemainingKeyUp
pt | DoKeyPress
pt | DoUTF8KeyPress
pt | DoKeyUpBeforeInterface
pt | ChildKey
pt | SendDialogChar
pt | DialogChar
pt | ControlKeyDown
pt | ControlKeyUp
pt | KeyDown
pt | KeyDownBeforeInterface
pt | KeyDownAfterInterface
pt | KeyPress
pt | KeyUp
pt | KeyUpBeforeInterface
pt | KeyUpAfterInterface
pt | UTF8KeyPress
pt | FindNextControl
pt | SelectFirst
pt | RealGetText
pt | GetBorderStyle
pt | GetClientOrigin
pt | GetClientRect
pt | GetControlOrigin
pt | GetDeviceContext
pt | GetParentBackground
pt | IsControlMouseMsg
pt | CreateHandle
pt | CreateParams
pt | CreateWnd
pt | DestroyHandle
pt | DestroyWnd
pt | DoFlipChildren
pt | FinalizeWnd
pt | FixupTabList
pt | FontChanged
pt | InitializeWnd
pt | Loaded
pt | FormEndUpdated
pt | MainWndProc
pt | ParentFormHandleInitialized
pt | ChildHandlesCreated
pt | GetMouseCapture
pt | RealSetText
pt | RemoveFocus
pt | SendMoveSizeMessages
pt | SetBorderStyle
pt | SetColor
pt | SetChildZPosition
pt | SetParentBackground
pt | ShowControl
pt | UpdateControlState
pt | UpdateShowing
pt | WndProc
pt | WSSetText
 | AutoSizePhases
 | AutoSizeDelayed
 | AutoSizeDelayedReport
 | AutoSizeDelayedHandle
 | BeginUpdateBounds
 | EndUpdateBounds
 | LockRealizeBounds
 | UnlockRealizeBounds
 | ControlAtPos
 | ContainsControl
 | DoAdjustClientRectChange
 | InvalidateClientRectCache
 | ClientRectNeedsInterfaceUpdate
 | SetBounds
 | GetChildrenRect
 | DisableAlign
 | EnableAlign
 | ReAlign
 | ScrollBy_WS
 | ScrollBy
 | WriteLayoutDebugReport
 | AutoAdjustLayout
 | Create
 | CreateParented
 | CreateParentedControl
 | Destroy
 | DockDrop
 | CanFocus
 | CanSetFocus
 | GetControlIndex
 | SetControlIndex
 | Focused
 | PerformTab
 | FindChildControl
 | SelectNext
 | SetTempCursor
 | BroadCast
 | NotifyControls
 | DefaultHandler
 | GetTextLen
 | Invalidate
 | AddControl
 | InsertControl
 | RemoveControl
 | GetEnumeratorControls
 | GetEnumeratorControlsReverse
 | Repaint
 | Update
 | SetFocus
 | FlipChildren
 | ScaleBy
 | GetDockCaption
 | UpdateDockCaption
 | GetTabOrderList
 | HandleAllocated
 | ParentHandlesAllocated
 | HandleNeeded
 | BrushCreated
 | EraseBackground
 | IntfUTF8KeyPress
 | IntfGetDropFilesTarget
 | PaintTo
 | SetShape
TControl
pt | WSRegisterClass
pt | GetCursor
pt | SetCursor
pt | SetVisible
pt | DoOnParentHandleDestruction
pt | DoAutoSize
pt | DoAllAutoSize
pt | BeginAutoSizing
pt | EndAutoSizing
pt | AnchorSideChanged
pt | ForeignAnchorSideChanged
pt | SetAlign
pt | SetAnchors
pt | SetAutoSize
pt | BoundsChanged
pt | CreateControlBorderSpacing
pt | DoConstraintsChange
pt | DoBorderSpacingChange
pt | IsBorderSpacingInnerBorderStored
pt | IsCaptionStored
pt | SendMoveSizeMessages
pt | ConstrainedResize
pt | CalculatePreferredSize
pt | DoOnResize
pt | DoOnChangeBounds
pt | CheckOnChangeBounds
pt | Resize
pt | RequestAlign
pt | UpdateAnchorRules
pt | ChangeBounds
pt | DoSetBounds
pt | ScaleConstraints
pt | ChangeScale
pt | CanAutoSize
pt | SetBiDiMode
pt | SetParentBiDiMode
pt | IsAParentAligning
pt | GetClientOrigin
pt | GetClientRect
pt | GetLogicalClientRect
pt | GetScrolledClientRect
pt | GetClientScrollOffset
pt | GetControlOrigin
pt | IsClientHeightStored
pt | IsClientWidthStored
pt | WidthIsAnchored
pt | HeightIsAnchored
pt | WMCancelMode
pt | WMContextMenu
pt | WMLButtonDown
pt | WMRButtonDown
pt | WMMButtonDown
pt | WMXButtonDown
pt | WMLButtonDBLCLK
pt | WMRButtonDBLCLK
pt | WMMButtonDBLCLK
pt | WMXButtonDBLCLK
pt | WMLButtonTripleCLK
pt | WMRButtonTripleCLK
pt | WMMButtonTripleCLK
pt | WMXButtonTripleCLK
pt | WMLButtonQuadCLK
pt | WMRButtonQuadCLK
pt | WMMButtonQuadCLK
pt | WMXButtonQuadCLK
pt | WMMouseMove
pt | WMLButtonUp
pt | WMRButtonUp
pt | WMMButtonUp
pt | WMXButtonUp
pt | WMMouseWheel
pt | WMMouseHWheel
pt | WMMove
pt | WMSize
pt | WMWindowPosChanged
pt | CMChanged
pt | LMCaptureChanged
pt | CMBiDiModeChanged
pt | CMSysFontChanged
pt | CMEnabledChanged
pt | CMHitTest
pt | CMMouseEnter
pt | CMMouseLeave
pt | CMHintShow
pt | CMParentBiDiModeChanged
pt | CMParentColorChanged
pt | CMParentFontChanged
pt | CMParentShowHintChanged
pt | CMVisibleChanged
pt | CMTextChanged
pt | CMCursorChanged
pt | CalculateDockSizes
pt | CreateFloatingDockSite
pt | GetDockEdge
pt | GetDragImages
pt | GetFloating
pt | GetFloatingDockSiteClass
pt | BeforeDragStart
pt | BeginAutoDrag
pt | DoFloatMsg
pt | DockTrackNoTarget
pt | DoDock
pt | DoDragMsg
pt | DoEndDock
pt | DoEndDrag
pt | DoStartDock
pt | DoStartDrag
pt | DragCanceled
pt | DragOver
pt | PositionDockRect
pt | SetDragMode
pt | GetDefaultDockCaption
pt | Click
pt | DblClick
pt | TripleClick
pt | QuadClick
pt | GetMousePosFromMessage
pt | MouseDown
pt | MouseMove
pt | MouseUp
pt | MouseEnter
pt | MouseLeave
pt | DialogChar
pt | UpdateMouseCursor
pt | Changed
pt | GetPalette
pt | ChildClassAllowed
pt | ReadState
pt | Loaded
pt | LoadedAll
pt | DefineProperties
pt | AssignTo
pt | FormEndUpdated
pt | InvalidateControl
pt | FontChanged
pt | ParentFontChanged
pt | GetAction
pt | RealGetText
pt | RealSetText
pt | TextChanged
pt | GetCachedText
pt | SetAction
pt | SetColor
pt | SetEnabled
pt | SetHint
pt | SetName
pt | SetParent
pt | SetParentComponent
pt | WndProc
pt | ParentFormHandleInitialized
pt | GetMouseCapture
pt | CaptureChanged
pt | Notification
pt | CanTab
pt | GetDeviceContext
pt | GetEnabled
pt | GetPopupMenu
pt | DoOnShowHint
pt | DoMouseWheel
pt | DoMouseWheelDown
pt | DoMouseWheelUp
pt | DoMouseWheelHorz
pt | DoMouseWheelLeft
pt | DoMouseWheelRight
pt | VisibleChanging
pt | VisibleChanged
pt | EnabledChanging
pt | EnabledChanged
pt | AddHandler
pt | RemoveHandler
pt | DoCallNotifyHandler
pt | DoCallKeyEventHandler
pt | DoCallMouseWheelEventHandler
pt | DoContextPopup
pt | SetZOrder
pt | GetControlClassDefaultSize
pt | ColorIsStored
pt | DoAutoAdjustLayout
pt | DoFixDesignFontPPI
pt | DoScaleFontPPI
pt | GetActionLinkClass
pt | ActionChange
 | DragDrop
 | Dock
 | ManualDock
 | ManualFloat
 | ReplaceDockedControl
 | Docked
 | Dragging
 | GetAccessibleObject
 | CreateAccessibleObject
 | GetSelectedChildAccessibleObject
 | GetChildAccessibleObjectAtPos
 | ScaleDesignToForm
 | ScaleFormToDesign
 | Scale96ToForm
 | ScaleFormTo96
 | Scale96ToFont
 | ScaleFontTo96
 | ScaleScreenToFont
 | ScaleFontToScreen
 | Scale96ToScreen
 | ScaleScreenTo96
 | AdjustSize
 | AutoSizePhases
 | AutoSizeDelayed
 | AutoSizeDelayedReport
 | AutoSizeDelayedHandle
 | AnchorToNeighbour
 | AnchorParallel
 | AnchorHorizontalCenterTo
 | AnchorVerticalCenterTo
 | AnchorToCompanion
 | AnchorSame
 | AnchorAsAlign
 | AnchorClient
 | AnchoredControlCount
 | SetBounds
 | SetInitialBounds
 | SetBoundsKeepBase
 | GetPreferredSize
 | GetCanvasScaleFactor
 | GetDefaultWidth
 | GetDefaultHeight
 | GetDefaultColor
 | GetColorResolvingParent
 | GetRGBColorResolvingParent
 | GetSidePosition
 | CNPreferredSizeChanged
 | InvalidatePreferredSize
 | GetAnchorsDependingOnParent
 | DisableAutoSizing
 | EnableAutoSizing
 | UpdateBaseBounds
 | WriteLayoutDebugReport
 | AutoAdjustLayout
 | ShouldAutoAdjust
 | FixDesignFontsPPI
 | ScaleFontsPPI
 | Create
 | Destroy
 | BeforeDestruction
 | EditingDone
 | ExecuteDefaultAction
 | ExecuteCancelAction
 | BeginDrag
 | EndDrag
 | BringToFront
 | HasParent
 | GetParentComponent
 | IsParentOf
 | GetTopParent
 | IsVisible
 | IsControlVisible
 | IsEnabled
 | IsParentColor
 | IsParentFont
 | FormIsUpdating
 | IsProcessingPaintMsg
 | Hide
 | Refresh
 | Repaint
 | Invalidate
 | CheckChildClassAllowed
 | CheckNewParent
 | SendToBack
 | SetTempCursor
 | UpdateRolesForForm
 | ActiveDefaultControlChanged
 | GetTextBuf
 | GetTextLen
 | SetTextBuf
 | Perform
 | ScreenToClient
 | ClientToScreen
 | ScreenToControl
 | ControlToScreen
 | ClientToParent
 | ParentToClient
 | GetChildrenRect
 | Show
 | Update
 | HandleObjectShouldBeVisible
 | ParentDestroyingHandle
 | ParentHandlesAllocated
 | InitiateAction
 | ShowHelp
 | HasHelp
 | RemoveAllHandlersOfObject
 | AddHandlerOnResize
 | RemoveHandlerOnResize
 | AddHandlerOnChangeBounds
 | RemoveHandlerOnChangeBounds
 | AddHandlerOnVisibleChanging
 | RemoveHandlerOnVisibleChanging
 | AddHandlerOnVisibleChanged
 | RemoveHandlerOnVisibleChanged
 | AddHandlerOnEnabledChanged
 | RemoveHandlerOnEnableChanging
 | AddHandlerOnKeyDown
 | RemoveHandlerOnKeyDown
 | AddHandlerOnBeforeDestruction
 | RemoveHandlerOnBeforeDestruction
 | AddHandlerOnMouseWheel
 | RemoveHandlerOnMouseWheel
 | UseRightToLeftAlignment
 | UseRightToLeftReading
 | UseRightToLeftScrollBar
 | IsRightToLeft
TLCLComponent
pt | WSRegisterClass
pt | GetWSComponentClass
 | Create
 | Destroy
 | NewInstance
 | RemoveAllHandlersOfObject
 | IncLCLRefCount
 | DecLCLRefCount
TComponent
 | GetComObject
 | GetComponent
 | GetComponentCount
 | GetComponentIndex
 | Insert
 | ReadLeft
 | ReadTop
 | Remove
 | RemoveNotification
 | SetComponentIndex
 | SetReference
 | WriteLeft
 | WriteTop
 | ChangeName
 | DefineProperties
 | GetChildren
 | GetChildOwner
 | GetChildParent
 | GetOwner
 | Loaded
 | Loading
 | Notification
 | PaletteCreated
 | ReadState
 | SetAncestor
 | SetDesigning
 | SetDesignInstance
 | SetInline
 | SetName
 | SetChildOrder
 | SetParentComponent
 | Updating
 | Updated
 | UpdateRegistry
 | ValidateRename
 | ValidateContainer
 | ValidateInsert
 | QueryInterface
 | _AddRef
 | _Release
 | iicrGetComponent
 | GetTypeInfoCount
 | GetTypeInfo
 | GetIDsOfNames
 | Invoke
 | WriteState
 | Create
 | Destroy
 | BeforeDestruction
 | DestroyComponents
 | Destroying
 | ExecuteAction
 | FindComponent
 | FreeNotification
 | RemoveFreeNotification
 | FreeOnRelease
 | GetEnumerator
 | GetNamePath
 | GetParentComponent
 | HasParent
 | InsertComponent
 | RemoveComponent
 | SafeCallException
 | SetSubComponent
 | UpdateAction
 | IsImplementorOf
 | ReferenceInterface
TPersistent
 | AssignError
 | AssignTo
 | DefineProperties
 | GetOwner
 | Destroy
 | Assign
 | FPOAttachObserver
 | FPODetachObserver
 | FPONotifyObservers
 | GetNamePath
TObject
 | Create
 | Destroy
 | newinstance
 | FreeInstance
 | SafeCallException
 | DefaultHandler
 | Free
 | InitInstance
 | CleanupInstance
 | ClassType
 | ClassInfo
 | ClassName
 | ClassNameIs
 | ClassParent
 | InstanceSize
 | InheritsFrom
 | StringMessageTable
 | MethodAddress
 | MethodName
 | FieldAddress
 | AfterConstruction
 | BeforeDestruction
 | DefaultHandlerStr
 | Dispatch
 | DispatchStr
 | GetInterface
 | GetInterfaceByStr
 | GetInterfaceWeak
 | GetInterfaceEntry
 | GetInterfaceEntryByStr
 | GetInterfaceTable
 | UnitName
 | Equals
 | GetHashCode
 | ToString


pt | ActionChange (TControl)
 | ActiveDefaultControlChanged (TControl)
 | AddControl (TWinControl)
pt | AddHandler (TControl)
 | AddHandlerOnBeforeDestruction (TControl)
 | AddHandlerOnChangeBounds (TControl)
 | AddHandlerOnEnabledChanged (TControl)
 | AddHandlerOnKeyDown (TControl)
 | AddHandlerOnMouseWheel (TControl)
 | AddHandlerOnResize (TControl)
 | AddHandlerOnVisibleChanged (TControl)
 | AddHandlerOnVisibleChanging (TControl)
 | AddHistoryItem (TCustomComboBox)
 | AddItem (TCustomComboBox)
pt | AdjustClientRect (TWinControl)
pt | AdjustDropDown (TCustomComboBox)
 | AdjustSize (TControl)
 | AfterConstruction (TObject)
pt | AlignControls (TWinControl)
pt | AllAutoSized (TWinControl)
 | AnchorAsAlign (TControl)
 | AnchorClient (TControl)
 | AnchoredControlCount (TControl)
 | AnchorHorizontalCenterTo (TControl)
 | AnchorParallel (TControl)
 | AnchorSame (TControl)
pt | AnchorSideChanged (TControl)
 | AnchorToCompanion (TControl)
 | AnchorToNeighbour (TControl)
 | AnchorVerticalCenterTo (TControl)
 | Assign (TPersistent)
 | AssignError (TPersistent)
 | AssignTo (TPersistent)
pt | AssignTo (TControl)
 | AutoAdjustLayout (TControl)
 | AutoAdjustLayout (TWinControl)
 | AutoSizeDelayed (TControl)
 | AutoSizeDelayed (TWinControl)
 | AutoSizeDelayedHandle (TControl)
 | AutoSizeDelayedHandle (TWinControl)
 | AutoSizeDelayedReport (TControl)
 | AutoSizeDelayedReport (TWinControl)
 | AutoSizePhases (TControl)
 | AutoSizePhases (TWinControl)
 | BeforeDestruction (TObject)
 | BeforeDestruction (TComponent)
 | BeforeDestruction (TControl)
pt | BeforeDragStart (TControl)
pt | BeginAutoDrag (TControl)
pt | BeginAutoSizing (TControl)
 | BeginDrag (TControl)
 | BeginUpdateBounds (TWinControl)
pt | BoundsChanged (TControl)
 | BringToFront (TControl)
 | BroadCast (TWinControl)
 | BrushCreated (TWinControl)
pt | CalculateDockSizes (TControl)
pt | CalculatePreferredSize (TControl)
pt | CalculatePreferredSize (TWinControl)
pt | CanAutoSize (TControl)
 | CanFocus (TWinControl)
 | CanSetFocus (TWinControl)
pt | CanTab (TControl)
pt | CanTab (TWinControl)
pt | CaptureChanged (TControl)
pt | Change (TCustomComboBox)
pt | ChangeBounds (TControl)
pt | Changed (TControl)
 | ChangeName (TComponent)
pt | ChangeScale (TControl)
pt | ChangeScale (TWinControl)
 | CheckChildClassAllowed (TControl)
 | CheckNewParent (TControl)
pt | CheckOnChangeBounds (TControl)
pt | ChildClassAllowed (TControl)
pt | ChildClassAllowed (TWinControl)
pt | ChildHandlesCreated (TWinControl)
pt | ChildKey (TWinControl)
 | ClassInfo (TObject)
 | ClassName (TObject)
 | ClassNameIs (TObject)
 | ClassParent (TObject)
 | ClassType (TObject)
 | CleanupInstance (TObject)
 | Clear (TCustomComboBox)
 | ClearSelection (TCustomComboBox)
pt | Click (TControl)
 | ClientRectNeedsInterfaceUpdate (TWinControl)
 | ClientToParent (TControl)
 | ClientToScreen (TControl)
pt | CloseUp (TCustomComboBox)
pt | CloseUp (TCustomColorBox)
pt | CMBiDiModeChanged (TControl)
pt | CMBiDiModeChanged (TWinControl)
pt | CMBorderChanged (TWinControl)
pt | CMChanged (TControl)
pt | CMCursorChanged (TControl)
pt | CMDoubleBufferedChanged (TWinControl)
pt | CMEnabledChanged (TControl)
pt | CMEnabledChanged (TWinControl)
pt | CMEnter (TWinControl)
pt | CMExit (TWinControl)
pt | CMHintShow (TControl)
pt | CMHitTest (TControl)
pt | CMMouseEnter (TControl)
pt | CMMouseLeave (TControl)
pt | CMParentBiDiModeChanged (TControl)
pt | CMParentColorChanged (TControl)
pt | CMParentDoubleBufferedChanged (TWinControl)
pt | CMParentFontChanged (TControl)
pt | CMParentShowHintChanged (TControl)
pt | CMShowHintChanged (TWinControl)
pt | CMShowingChanged (TWinControl)
pt | CMSysFontChanged (TControl)
pt | CMTextChanged (TControl)
pt | CMVisibleChanged (TControl)
pt | CMVisibleChanged (TWinControl)
pt | CMWantSpecialKey (TCustomComboBox)
pt | CNChar (TWinControl)
pt | CNKeyDown (TWinControl)
pt | CNKeyUp (TWinControl)
 | CNPreferredSizeChanged (TControl)
pt | CNSysKeyDown (TWinControl)
pt | CNSysKeyUp (TWinControl)
pt | ColorIsStored (TControl)
pt | ColorRectWidthStored (TCustomColorBox)
pt | ConstrainedResize (TControl)
 | ContainsControl (TWinControl)
 | ControlAtPos (TWinControl)
pt | ControlKeyDown (TWinControl)
pt | ControlKeyUp (TWinControl)
pt | ControlsAligned (TWinControl)
 | ControlToScreen (TControl)
 | Create (TObject)
 | Create (TComponent)
 | Create (TLCLComponent)
 | Create (TControl)
 | Create (TWinControl)
 | Create (TCustomComboBox)
 | Create (TCustomColorBox)
 | CreateAccessibleObject (TControl)
pt | CreateBrush (TWinControl)
pt | CreateControlBorderSpacing (TControl)
pt | CreateDockManager (TWinControl)
pt | CreateFloatingDockSite (TControl)
pt | CreateHandle (TWinControl)
pt | CreateParams (TWinControl)
pt | CreateParams (TCustomComboBox)
 | CreateParented (TWinControl)
 | CreateParentedControl (TWinControl)
pt | CreateSubClass (TWinControl)
pt | CreateWnd (TWinControl)
pt | CustomAlignInsertBefore (TWinControl)
pt | CustomAlignPosition (TWinControl)
pt | DblClick (TControl)
 | DecLCLRefCount (TLCLComponent)
 | DefaultHandler (TObject)
 | DefaultHandler (TWinControl)
 | DefaultHandlerStr (TObject)
 | DefineProperties (TPersistent)
 | DefineProperties (TComponent)
pt | DefineProperties (TControl)
 | Destroy (TObject)
 | Destroy (TPersistent)
 | Destroy (TComponent)
 | Destroy (TLCLComponent)
 | Destroy (TControl)
 | Destroy (TWinControl)
 | Destroy (TCustomComboBox)
 | DestroyComponents (TComponent)
pt | DestroyHandle (TWinControl)
 | Destroying (TComponent)
pt | DestroyWnd (TWinControl)
pt | DestroyWnd (TCustomComboBox)
pt | DialogChar (TControl)
pt | DialogChar (TWinControl)
 | DisableAlign (TWinControl)
 | DisableAutoSizing (TControl)
 | Dispatch (TObject)
 | DispatchStr (TObject)
pt | DoAddDockClient (TWinControl)
 | DoAdjustClientRectChange (TWinControl)
pt | DoAlignChildControls (TWinControl)
pt | DoAllAutoSize (TControl)
pt | DoAllAutoSize (TWinControl)
pt | DoAutoAdjustLayout (TControl)
pt | DoAutoAdjustLayout (TCustomComboBox)
pt | DoAutoAdjustLayout (TCustomColorBox)
pt | DoAutoSize (TControl)
pt | DoAutoSize (TWinControl)
pt | DoBorderSpacingChange (TControl)
pt | DoCallKeyEventHandler (TControl)
pt | DoCallMouseWheelEventHandler (TControl)
pt | DoCallNotifyHandler (TControl)
pt | DoChildSizingChange (TWinControl)
 | Dock (TControl)
 | DockDrop (TWinControl)
 | Docked (TControl)
pt | DockOver (TWinControl)
pt | DockTrackNoTarget (TControl)
pt | DoConstraintsChange (TControl)
pt | DoConstraintsChange (TWinControl)
pt | DoContextPopup (TControl)
pt | DoDock (TControl)
pt | DoDockClientMsg (TWinControl)
pt | DoDockOver (TWinControl)
pt | DoDragMsg (TControl)
pt | DoDragMsg (TWinControl)
pt | DoEndDock (TControl)
pt | DoEndDrag (TControl)
pt | DoEnter (TWinControl)
pt | DoEnter (TCustomComboBox)
pt | DoExit (TWinControl)
pt | DoExit (TCustomComboBox)
pt | DoFixDesignFontPPI (TControl)
pt | DoFlipChildren (TWinControl)
pt | DoFloatMsg (TControl)
pt | DoFloatMsg (TWinControl)
pt | DoGetColors (TCustomColorBox)
pt | DoGetDockCaption (TWinControl)
pt | DoKeyDownBeforeInterface (TWinControl)
pt | DoKeyPress (TWinControl)
pt | DoKeyUpBeforeInterface (TWinControl)
pt | DoMouseWheel (TControl)
pt | DoMouseWheelDown (TControl)
pt | DoMouseWheelHorz (TControl)
pt | DoMouseWheelLeft (TControl)
pt | DoMouseWheelRight (TControl)
pt | DoMouseWheelUp (TControl)
pt | DoOnChangeBounds (TControl)
pt | DoOnParentHandleDestruction (TControl)
pt | DoOnResize (TControl)
pt | DoOnShowHint (TControl)
pt | DoRemainingKeyDown (TWinControl)
pt | DoRemainingKeyUp (TWinControl)
pt | DoRemoveDockClient (TWinControl)
pt | DoScaleFontPPI (TControl)
pt | DoSendBoundsToInterface (TWinControl)
pt | DoSendShowHideToInterface (TWinControl)
pt | DoSetBounds (TControl)
pt | DoSetBounds (TWinControl)
pt | DoStartDock (TControl)
pt | DoStartDrag (TControl)
pt | DoUnDock (TWinControl)
pt | DoUndockClientMsg (TWinControl)
pt | DoUTF8KeyPress (TWinControl)
pt | DragCanceled (TControl)
 | DragDrop (TControl)
 | Dragging (TControl)
pt | DragOver (TControl)
pt | DrawItem (TCustomComboBox)
pt | DrawItem (TCustomColorBox)
pt | DropDown (TCustomComboBox)
 | EditingDone (TControl)
 | EnableAlign (TWinControl)
 | EnableAutoSizing (TControl)
pt | EnabledChanged (TControl)
pt | EnabledChanging (TControl)
pt | EndAutoSizing (TControl)
 | EndDrag (TControl)
 | EndUpdateBounds (TWinControl)
 | Equals (TObject)
 | EraseBackground (TWinControl)
 | ExecuteAction (TComponent)
 | ExecuteCancelAction (TControl)
 | ExecuteDefaultAction (TControl)
 | FieldAddress (TObject)
pt | FinalizeWnd (TWinControl)
 | FindChildControl (TWinControl)
 | FindComponent (TComponent)
pt | FindNextControl (TWinControl)
 | FixDesignFontsPPI (TControl)
pt | FixupTabList (TWinControl)
 | FlipChildren (TWinControl)
 | Focused (TWinControl)
pt | FontChanged (TControl)
pt | FontChanged (TWinControl)
pt | ForeignAnchorSideChanged (TControl)
pt | FormEndUpdated (TControl)
pt | FormEndUpdated (TWinControl)
 | FormIsUpdating (TControl)
 | FPOAttachObserver (TPersistent)
 | FPODetachObserver (TPersistent)
 | FPONotifyObservers (TPersistent)
 | Free (TObject)
 | FreeInstance (TObject)
 | FreeNotification (TComponent)
 | FreeOnRelease (TComponent)
 | GetAccessibleObject (TControl)
pt | GetAction (TControl)
pt | GetActionLinkClass (TControl)
pt | GetAdjustedLogicalClientRect (TWinControl)
 | GetAnchorsDependingOnParent (TControl)
pt | GetBorderStyle (TWinControl)
pt | GetCachedText (TControl)
 | GetCanvasScaleFactor (TControl)
 | GetChildAccessibleObjectAtPos (TControl)
 | GetChildOwner (TComponent)
 | GetChildParent (TComponent)
 | GetChildren (TComponent)
pt | GetChildren (TWinControl)
 | GetChildrenRect (TControl)
 | GetChildrenRect (TWinControl)
pt | GetClientOrigin (TControl)
pt | GetClientOrigin (TWinControl)
pt | GetClientRect (TControl)
pt | GetClientRect (TWinControl)
pt | GetClientScrollOffset (TControl)
 | GetColorResolvingParent (TControl)
 | GetComObject (TComponent)
 | GetComponent (TComponent)
 | GetComponentCount (TComponent)
 | GetComponentIndex (TComponent)
pt | GetControlClassDefaultSize (TControl)
pt | GetControlClassDefaultSize (TCustomComboBox)
 | GetControlIndex (TWinControl)
pt | GetControlOrigin (TControl)
pt | GetControlOrigin (TWinControl)
pt | GetCursor (TControl)
 | GetDefaultColor (TControl)
pt | GetDefaultDockCaption (TControl)
 | GetDefaultHeight (TControl)
 | GetDefaultWidth (TControl)
pt | GetDeviceContext (TControl)
pt | GetDeviceContext (TWinControl)
 | GetDockCaption (TWinControl)
pt | GetDockEdge (TControl)
pt | GetDragImages (TControl)
pt | GetEnabled (TControl)
 | GetEnumerator (TComponent)
 | GetEnumeratorControls (TWinControl)
 | GetEnumeratorControlsReverse (TWinControl)
pt | GetFloating (TControl)
pt | GetFloatingDockSiteClass (TControl)
 | GetHashCode (TObject)
 | GetIDsOfNames (TComponent)
 | GetInterface (TObject)
 | GetInterfaceByStr (TObject)
 | GetInterfaceEntry (TObject)
 | GetInterfaceEntryByStr (TObject)
 | GetInterfaceTable (TObject)
 | GetInterfaceWeak (TObject)
pt | GetItemCount (TCustomComboBox)
pt | GetItemHeight (TCustomComboBox)
pt | GetItemIndex (TCustomComboBox)
pt | GetItems (TCustomComboBox)
pt | GetLogicalClientRect (TControl)
pt | GetMaxLength (TCustomComboBox)
pt | GetMouseCapture (TControl)
pt | GetMouseCapture (TWinControl)
pt | GetMousePosFromMessage (TControl)
 | GetNamePath (TPersistent)
 | GetNamePath (TComponent)
 | GetOwner (TPersistent)
 | GetOwner (TComponent)
pt | GetPalette (TControl)
pt | GetParentBackground (TWinControl)
 | GetParentComponent (TComponent)
 | GetParentComponent (TControl)
pt | GetParentHandle (TWinControl)
pt | GetPopupMenu (TControl)
 | GetPreferredSize (TControl)
pt | GetPreferredSizeClientFrame (TWinControl)
 | GetRGBColorResolvingParent (TControl)
pt | GetScrolledClientRect (TControl)
 | GetSelectedChildAccessibleObject (TControl)
pt | GetSelLength (TCustomComboBox)
pt | GetSelStart (TCustomComboBox)
pt | GetSelText (TCustomComboBox)
 | GetSidePosition (TControl)
pt | GetSiteInfo (TWinControl)
 | GetTabOrderList (TWinControl)
 | GetTextBuf (TControl)
 | GetTextLen (TControl)
 | GetTextLen (TWinControl)
 | GetTopParent (TControl)
pt | GetTopParentHandle (TWinControl)
 | GetTypeInfo (TComponent)
 | GetTypeInfoCount (TComponent)
pt | GetWSComponentClass (TLCLComponent)
 | HandleAllocated (TWinControl)
 | HandleNeeded (TWinControl)
 | HandleObjectShouldBeVisible (TControl)
 | HasHelp (TControl)
 | HasParent (TComponent)
 | HasParent (TControl)
pt | HeightIsAnchored (TControl)
 | Hide (TControl)
 | iicrGetComponent (TComponent)
 | IncLCLRefCount (TLCLComponent)
 | InheritsFrom (TObject)
pt | InitializeWnd (TWinControl)
pt | InitializeWnd (TCustomComboBox)
pt | InitializeWnd (TCustomColorBox)
 | InitiateAction (TControl)
 | InitInstance (TObject)
 | Insert (TComponent)
 | InsertComponent (TComponent)
 | InsertControl (TWinControl)
 | InstanceSize (TObject)
 | IntfGetDropFilesTarget (TWinControl)
 | IntfGetItems (TCustomComboBox)
 | IntfUTF8KeyPress (TWinControl)
 | Invalidate (TControl)
 | Invalidate (TWinControl)
pt | InvalidateBoundsRealized (TWinControl)
 | InvalidateClientRectCache (TWinControl)
pt | InvalidateControl (TControl)
pt | InvalidatePreferredChildSizes (TWinControl)
 | InvalidatePreferredSize (TControl)
 | Invoke (TComponent)
pt | IsAParentAligning (TControl)
pt | IsBorderSpacingInnerBorderStored (TControl)
pt | IsCaptionStored (TControl)
pt | IsClientHeightStored (TControl)
pt | IsClientHeightStored (TWinControl)
pt | IsClientWidthStored (TControl)
pt | IsClientWidthStored (TWinControl)
pt | IsControlMouseMsg (TWinControl)
 | IsControlVisible (TControl)
 | IsEnabled (TControl)
 | IsImplementorOf (TComponent)
 | IsParentColor (TControl)
 | IsParentFont (TControl)
 | IsParentOf (TControl)
 | IsProcessingPaintMsg (TControl)
 | IsRightToLeft (TControl)
 | IsVisible (TControl)
pt | KeyDown (TWinControl)
pt | KeyDown (TCustomComboBox)
pt | KeyDownAfterInterface (TWinControl)
pt | KeyDownBeforeInterface (TWinControl)
pt | KeyPress (TWinControl)
pt | KeyUp (TWinControl)
pt | KeyUp (TCustomComboBox)
pt | KeyUpAfterInterface (TWinControl)
pt | KeyUpAfterInterface (TCustomComboBox)
pt | KeyUpBeforeInterface (TWinControl)
pt | LMCaptureChanged (TControl)
pt | LMChanged (TCustomComboBox)
 | Loaded (TComponent)
pt | Loaded (TControl)
pt | Loaded (TWinControl)
pt | Loaded (TCustomColorBox)
pt | LoadedAll (TControl)
 | Loading (TComponent)
 | LockRealizeBounds (TWinControl)
pt | MainWndProc (TWinControl)
 | ManualDock (TControl)
 | ManualFloat (TControl)
pt | MeasureItem (TCustomComboBox)
 | MethodAddress (TObject)
 | MethodName (TObject)
pt | MouseDown (TControl)
pt | MouseEnter (TControl)
pt | MouseLeave (TControl)
pt | MouseMove (TControl)
pt | MouseUp (TControl)
pt | MouseUp (TCustomComboBox)
 | newinstance (TObject)
 | NewInstance (TLCLComponent)
 | Notification (TComponent)
pt | Notification (TControl)
 | NotifyControls (TWinControl)
pt | PaintControls (TWinControl)
pt | PaintHandler (TWinControl)
 | PaintTo (TWinControl)
pt | PaintWindow (TWinControl)
 | PaletteCreated (TComponent)
 | ParentDestroyingHandle (TControl)
pt | ParentFontChanged (TControl)
pt | ParentFormHandleInitialized (TControl)
pt | ParentFormHandleInitialized (TWinControl)
 | ParentHandlesAllocated (TControl)
 | ParentHandlesAllocated (TWinControl)
 | ParentToClient (TControl)
 | Perform (TControl)
 | PerformTab (TWinControl)
pt | PickCustomColor (TCustomColorBox)
pt | PositionDockRect (TControl)
pt | QuadClick (TControl)
 | QueryInterface (TComponent)
 | ReadLeft (TComponent)
 | ReadState (TComponent)
pt | ReadState (TControl)
 | ReadTop (TComponent)
pt | RealGetText (TControl)
pt | RealGetText (TWinControl)
 | ReAlign (TWinControl)
pt | RealizeBounds (TWinControl)
pt | RealizeBoundsRecursive (TWinControl)
pt | RealSetText (TControl)
pt | RealSetText (TWinControl)
pt | RealSetText (TCustomComboBox)
 | ReferenceInterface (TComponent)
 | Refresh (TControl)
pt | ReloadDockedControl (TWinControl)
 | Remove (TComponent)
 | RemoveAllHandlersOfObject (TLCLComponent)
 | RemoveAllHandlersOfObject (TControl)
 | RemoveComponent (TComponent)
 | RemoveControl (TWinControl)
pt | RemoveFocus (TWinControl)
 | RemoveFreeNotification (TComponent)
pt | RemoveHandler (TControl)
 | RemoveHandlerOnBeforeDestruction (TControl)
 | RemoveHandlerOnChangeBounds (TControl)
 | RemoveHandlerOnEnableChanging (TControl)
 | RemoveHandlerOnKeyDown (TControl)
 | RemoveHandlerOnMouseWheel (TControl)
 | RemoveHandlerOnResize (TControl)
 | RemoveHandlerOnVisibleChanged (TControl)
 | RemoveHandlerOnVisibleChanging (TControl)
 | RemoveNotification (TComponent)
 | Repaint (TControl)
 | Repaint (TWinControl)
 | ReplaceDockedControl (TControl)
pt | RequestAlign (TControl)
pt | Resize (TControl)
 | SafeCallException (TObject)
 | SafeCallException (TComponent)
 | Scale96ToFont (TControl)
 | Scale96ToForm (TControl)
 | Scale96ToScreen (TControl)
 | ScaleBy (TWinControl)
pt | ScaleConstraints (TControl)
pt | ScaleControls (TWinControl)
 | ScaleDesignToForm (TControl)
 | ScaleFontsPPI (TControl)
 | ScaleFontTo96 (TControl)
 | ScaleFontToScreen (TControl)
 | ScaleFormTo96 (TControl)
 | ScaleFormToDesign (TControl)
 | ScaleScreenTo96 (TControl)
 | ScaleScreenToFont (TControl)
 | ScreenToClient (TControl)
 | ScreenToControl (TControl)
 | ScrollBy (TWinControl)
 | ScrollBy_WS (TWinControl)
pt | Select (TCustomComboBox)
 | SelectAll (TCustomComboBox)
pt | SelectFirst (TWinControl)
pt | SelectItem (TCustomComboBox)
 | SelectNext (TWinControl)
pt | SendDialogChar (TWinControl)
pt | SendMoveSizeMessages (TControl)
pt | SendMoveSizeMessages (TWinControl)
 | SendToBack (TControl)
pt | SetAction (TControl)
pt | SetAlign (TControl)
 | SetAncestor (TComponent)
pt | SetAnchors (TControl)
pt | SetAutoSize (TControl)
pt | SetBiDiMode (TControl)
pt | SetBorderStyle (TWinControl)
 | SetBounds (TControl)
 | SetBounds (TWinControl)
 | SetBoundsKeepBase (TControl)
 | SetChildOrder (TComponent)
pt | SetChildZPosition (TWinControl)
pt | SetColor (TControl)
pt | SetColor (TWinControl)
pt | SetColorList (TCustomColorBox)
 | SetComponentIndex (TComponent)
 | SetControlIndex (TWinControl)
pt | SetCursor (TControl)
 | SetDesigning (TComponent)
 | SetDesignInstance (TComponent)
pt | SetDockManager (TWinControl)
pt | SetDragMode (TControl)
pt | SetDropDownCount (TCustomComboBox)
pt | SetDroppedDown (TCustomComboBox)
pt | SetEnabled (TControl)
 | SetFocus (TWinControl)
pt | SetHint (TControl)
 | SetInitialBounds (TControl)
 | SetInline (TComponent)
pt | SetItemHeight (TCustomComboBox)
pt | SetItemIndex (TCustomComboBox)
pt | SetItems (TCustomComboBox)
pt | SetMaxLength (TCustomComboBox)
 | SetName (TComponent)
pt | SetName (TControl)
pt | SetParent (TControl)
pt | SetParentBackground (TWinControl)
pt | SetParentBiDiMode (TControl)
 | SetParentComponent (TComponent)
pt | SetParentComponent (TControl)
 | SetReference (TComponent)
pt | SetSelLength (TCustomComboBox)
pt | SetSelStart (TCustomComboBox)
pt | SetSelText (TCustomComboBox)
 | SetShape (TWinControl)
pt | SetSorted (TCustomComboBox)
pt | SetStyle (TCustomComboBox)
 | SetSubComponent (TComponent)
 | SetTempCursor (TControl)
 | SetTempCursor (TWinControl)
 | SetTextBuf (TControl)
pt | SetVisible (TControl)
pt | SetZOrder (TControl)
 | ShouldAutoAdjust (TControl)
pt | ShouldAutoAdjust (TCustomComboBox)
 | Show (TControl)
pt | ShowControl (TWinControl)
 | ShowHelp (TControl)
 | StringMessageTable (TObject)
pt | TextChanged (TControl)
 | ToString (TObject)
pt | TripleClick (TControl)
 | UnitName (TObject)
 | UnlockRealizeBounds (TWinControl)
 | Update (TControl)
 | Update (TWinControl)
 | UpdateAction (TComponent)
pt | UpdateAnchorRules (TControl)
 | UpdateBaseBounds (TControl)
pt | UpdateControlState (TWinControl)
 | Updated (TComponent)
 | UpdateDockCaption (TWinControl)
pt | UpdateMouseCursor (TControl)
 | UpdateRegistry (TComponent)
 | UpdateRolesForForm (TControl)
pt | UpdateShowing (TWinControl)
 | Updating (TComponent)
 | UseRightToLeftAlignment (TControl)
 | UseRightToLeftReading (TControl)
 | UseRightToLeftScrollBar (TControl)
pt | UTF8KeyPress (TWinControl)
pt | UTF8KeyPress (TCustomComboBox)
 | ValidateContainer (TComponent)
 | ValidateInsert (TComponent)
 | ValidateRename (TComponent)
pt | VisibleChanged (TControl)
pt | VisibleChanging (TControl)
pt | WidthIsAnchored (TControl)
pt | WMCancelMode (TControl)
pt | WMChar (TWinControl)
pt | WMContextMenu (TControl)
pt | WMContextMenu (TWinControl)
pt | WMDestroy (TWinControl)
pt | WMEnter (TWinControl)
pt | WMEraseBkgnd (TWinControl)
pt | WMExit (TWinControl)
pt | WMKeyDown (TWinControl)
pt | WMKeyUp (TWinControl)
pt | WMKillFocus (TWinControl)
pt | WMLButtonDBLCLK (TControl)
pt | WMLButtonDown (TControl)
pt | WMLButtonQuadCLK (TControl)
pt | WMLButtonTripleCLK (TControl)
pt | WMLButtonUp (TControl)
pt | WMMButtonDBLCLK (TControl)
pt | WMMButtonDown (TControl)
pt | WMMButtonQuadCLK (TControl)
pt | WMMButtonTripleCLK (TControl)
pt | WMMButtonUp (TControl)
pt | WMMouseHWheel (TControl)
pt | WMMouseMove (TControl)
pt | WMMouseWheel (TControl)
pt | WMMove (TControl)
pt | WMMove (TWinControl)
pt | WMNotify (TWinControl)
pt | WMPaint (TWinControl)
pt | WMRButtonDBLCLK (TControl)
pt | WMRButtonDown (TControl)
pt | WMRButtonQuadCLK (TControl)
pt | WMRButtonTripleCLK (TControl)
pt | WMRButtonUp (TControl)
pt | WMSetFocus (TWinControl)
pt | WMShowWindow (TWinControl)
pt | WMSize (TControl)
pt | WMSize (TWinControl)
pt | WMSysChar (TWinControl)
pt | WMSysKeyDown (TWinControl)
pt | WMSysKeyUp (TWinControl)
pt | WMWindowPosChanged (TControl)
pt | WMWindowPosChanged (TWinControl)
pt | WMXButtonDBLCLK (TControl)
pt | WMXButtonDown (TControl)
pt | WMXButtonQuadCLK (TControl)
pt | WMXButtonTripleCLK (TControl)
pt | WMXButtonUp (TControl)
pt | WndProc (TControl)
pt | WndProc (TWinControl)
 | WriteLayoutDebugReport (TControl)
 | WriteLayoutDebugReport (TWinControl)
 | WriteLeft (TComponent)
 | WriteState (TComponent)
 | WriteTop (TComponent)
pt | WSRegisterClass (TLCLComponent)
pt | WSRegisterClass (TControl)
pt | WSRegisterClass (TWinControl)
pt | WSRegisterClass (TCustomComboBox)
pt | WSSetText (TWinControl)
 | _AddRef (TComponent)
 | _Release (TComponent)


TColorBox
pl | ro | OnGetColors
pl | ro | OnChange
pl | ro | OnChangeBounds
pl | ro | OnClick
pl | ro | OnCloseUp
pl | ro | OnContextPopup
pl | ro | OnDblClick
pl | ro | OnDragDrop
pl | ro | OnDragOver
pl | ro | OnEndDrag
pl | ro | OnDropDown
pl | ro | OnEditingDone
pl | ro | OnEnter
pl | ro | OnExit
pl | ro | OnKeyDown
pl | ro | OnKeyPress
pl | ro | OnKeyUp
pl | ro | OnMouseDown
pl | ro | OnMouseEnter
pl | ro | OnMouseLeave
pl | ro | OnMouseMove
pl | ro | OnMouseUp
pl | ro | OnMouseWheel
pl | ro | OnMouseWheelDown
pl | ro | OnMouseWheelUp
pl | ro | OnStartDrag
pl | ro | OnSelect
pl | ro | OnUTF8KeyPress
TCustomColorBox
 |  | OnGetColors
TCustomComboBox
pt |  | OnChange
pt |  | OnCloseUp
pt |  | OnDrawItem
pt |  | OnDropDown
pt |  | OnGetItems
pt |  | OnMeasureItem
pt |  | OnSelect
TWinControl
pt |  | OnGetSiteInfo
pt |  | OnGetDockCaption
 |  | OnAlignInsertBefore
 |  | OnAlignPosition
 |  | OnDockDrop
 |  | OnDockOver
 |  | OnEnter
 |  | OnExit
 |  | OnKeyDown
 |  | OnKeyPress
 |  | OnKeyUp
 |  | OnUnDock
 |  | OnUTF8KeyPress
TControl
pt |  | OnConstrainedResize
pt |  | OnContextPopup
pt |  | OnDblClick
pt |  | OnTripleClick
pt |  | OnQuadClick
pt |  | OnDragDrop
pt |  | OnDragOver
pt |  | OnEndDock
pt |  | OnEndDrag
pt |  | OnMouseDown
pt |  | OnMouseMove
pt |  | OnMouseUp
pt |  | OnMouseEnter
pt |  | OnMouseLeave
pt |  | OnMouseWheel
pt |  | OnMouseWheelDown
pt |  | OnMouseWheelUp
pt |  | OnMouseWheelHorz
pt |  | OnMouseWheelLeft
pt |  | OnMouseWheelRight
pt |  | OnStartDock
pt |  | OnStartDrag
pt |  | OnEditingDone
 |  | OnChangeBounds
 |  | OnClick
 |  | OnResize
 |  | OnShowHint
TLCLComponent
TComponent
TPersistent
TObject


pt |  | OnChange (TCustomComboBox)
pl | ro | OnChange (TColorBox)
 |  | OnChangeBounds (TControl)
pl | ro | OnChangeBounds (TColorBox)
 |  | OnClick (TControl)
pl | ro | OnClick (TColorBox)
pt |  | OnCloseUp (TCustomComboBox)
pl | ro | OnCloseUp (TColorBox)
pt |  | OnConstrainedResize (TControl)
pt |  | OnContextPopup (TControl)
pl | ro | OnContextPopup (TColorBox)
pt |  | OnDblClick (TControl)
pl | ro | OnDblClick (TColorBox)
 |  | OnDockDrop (TWinControl)
 |  | OnDockOver (TWinControl)
pt |  | OnDragDrop (TControl)
pl | ro | OnDragDrop (TColorBox)
pt |  | OnDragOver (TControl)
pl | ro | OnDragOver (TColorBox)
pt |  | OnDrawItem (TCustomComboBox)
pt |  | OnDropDown (TCustomComboBox)
pl | ro | OnDropDown (TColorBox)
pt |  | OnEditingDone (TControl)
pl | ro | OnEditingDone (TColorBox)
pt |  | OnEndDock (TControl)
pt |  | OnEndDrag (TControl)
pl | ro | OnEndDrag (TColorBox)
 |  | OnEnter (TWinControl)
pl | ro | OnEnter (TColorBox)
 |  | OnExit (TWinControl)
pl | ro | OnExit (TColorBox)
 |  | OnGetColors (TCustomColorBox)
pl | ro | OnGetColors (TColorBox)
pt |  | OnGetDockCaption (TWinControl)
pt |  | OnGetItems (TCustomComboBox)
pt |  | OnGetSiteInfo (TWinControl)
 |  | OnKeyDown (TWinControl)
pl | ro | OnKeyDown (TColorBox)
 |  | OnKeyPress (TWinControl)
pl | ro | OnKeyPress (TColorBox)
 |  | OnKeyUp (TWinControl)
pl | ro | OnKeyUp (TColorBox)
pt |  | OnMeasureItem (TCustomComboBox)
pt |  | OnMouseDown (TControl)
pl | ro | OnMouseDown (TColorBox)
pt |  | OnMouseEnter (TControl)
pl | ro | OnMouseEnter (TColorBox)
pt |  | OnMouseLeave (TControl)
pl | ro | OnMouseLeave (TColorBox)
pt |  | OnMouseMove (TControl)
pl | ro | OnMouseMove (TColorBox)
pt |  | OnMouseUp (TControl)
pl | ro | OnMouseUp (TColorBox)
pt |  | OnMouseWheel (TControl)
pl | ro | OnMouseWheel (TColorBox)
pt |  | OnMouseWheelDown (TControl)
pl | ro | OnMouseWheelDown (TColorBox)
pt |  | OnMouseWheelHorz (TControl)
pt |  | OnMouseWheelLeft (TControl)
pt |  | OnMouseWheelRight (TControl)
pt |  | OnMouseWheelUp (TControl)
pl | ro | OnMouseWheelUp (TColorBox)
pt |  | OnQuadClick (TControl)
 |  | OnResize (TControl)
pt |  | OnSelect (TCustomComboBox)
pl | ro | OnSelect (TColorBox)
 |  | OnShowHint (TControl)
pt |  | OnStartDock (TControl)
pt |  | OnStartDrag (TControl)
pl | ro | OnStartDrag (TColorBox)
pt |  | OnTripleClick (TControl)
 |  | OnUnDock (TWinControl)
 |  | OnUTF8KeyPress (TWinControl)
pl | ro | OnUTF8KeyPress (TColorBox)


TColorBox.AutoSelect

Declaration

Source position: colorbox.pas line 109

published property TColorBox.AutoSelect : Boolean;


TColorBox.BidiMode

Declaration

Source position: colorbox.pas line 111

published property TColorBox.BidiMode : TBiDiMode;


TColorBox.ColorRectOffset

Declaration

Source position: colorbox.pas line 96

published property TColorBox.ColorRectOffset : Integer;


TColorBox.ColorRectWidth

Declaration

Source position: colorbox.pas line 95

published property TColorBox.ColorRectWidth : Integer;


TColorBox.Constraints

Declaration

Source position: colorbox.pas line 114

published property TColorBox.Constraints : TSizeConstraints;


TColorBox.OnContextPopup

Declaration

Source position: colorbox.pas line 126

published property TColorBox.OnContextPopup : TContextPopupEvent;


TColorBox.OnMouseEnter

Declaration

Source position: colorbox.pas line 139

published property TColorBox.OnMouseEnter : TNotifyEvent;


TColorBox.OnMouseLeave

Declaration

Source position: colorbox.pas line 140

published property TColorBox.OnMouseLeave : TNotifyEvent;


TColorBox.OnMouseWheel

Declaration

Source position: colorbox.pas line 143

published property TColorBox.OnMouseWheel : TMouseWheelEvent;


TColorBox.OnMouseWheelDown

Declaration

Source position: colorbox.pas line 144

published property TColorBox.OnMouseWheelDown : TMouseWheelUpDownEvent;


TColorBox.OnMouseWheelUp

Declaration

Source position: colorbox.pas line 145

published property TColorBox.OnMouseWheelUp : TMouseWheelUpDownEvent;


TColorBox.ParentBidiMode

Declaration

Source position: colorbox.pas line 149

published property TColorBox.ParentBidiMode : Boolean;


TColorBoxStyle

TColorBoxStyle - set of TColorBoxStyles

Declaration

Source position: colorbox.pas line 42

type TColorBoxStyle = set of (

  cbStandardColors,

  cbExtendedColors,

  cbSystemColors,

  cbIncludeNone,

  cbIncludeDefault,

  cbCustomColor,

  cbPrettyNames,

  cbCustomColors

);


TColorBoxStyles

Declaration

Source position: colorbox.pas line 34

type TColorBoxStyles = (

  cbStandardColors,

  cbExtendedColors,

  cbSystemColors,

  cbIncludeNone,

  cbIncludeDefault,

  cbCustomColor,

  cbPrettyNames,

  cbCustomColors

);


TColorListBox

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

TColorListBox - a box containing a simple list of colours from which to select

Declaration

Source position: colorbox.pas line 213

type TColorListBox = class(TCustomColorListBox)
published
property ColorRectWidth: Integer;
property ColorRectOffset: Integer;
property DefaultColorColor: TColor; | DefaultColorColor - the default colour, expressed as a Color value
property NoneColorColor: TColor; | NoneColorColor - the colour to be used when no selection has been made, or when None is selected, stored as a TColor
property Selected: TColor; | The colour that has been Selected from the list
property Style: TColorBoxStyle; | Appearance of the ListBox - normal, owner-draw fixed, or owner-draw variable.
property OnGetColors: TLBGetColorsEvent; | OnGetColors - event handler for the instruction to Get Colours
property Align: TAlign; | Specifies the placement of the control inside its Parent.
property Anchors: TAnchors; | The set of anchor definitions for this control.
property BidiMode: TBiDiMode; | Customization (of text controls) in bidirectional reading environments.
property BorderSpacing: TControlBorderSpacing; | Determines the inner and outer border spacing for this control.
property BorderStyle: TBorderStyle; | Allows to show a border (line) around the control,
property ClickOnSelChange: Boolean; | Allows selection changes to generate a Click event.
property Color: TColor; | The background color of the control.
property Constraints: TSizeConstraints; | The minimal and maximal Width and Height of this control.
property DragCursor: TCursor; | The cursor shape shown while the control is dragged.
property DragKind: TDragKind;
property DragMode: TDragMode; | Allows the user to drag the control.
property ExtendedSelect: Boolean; | True when a contiguous range of items can be selected by a SHIFT-click. Default True.
property Enabled: Boolean; | Determines whether the control reacts on mouse or keyboard input.
property Font: TFont; | The font to be used for text display in this control.
property IntegralHeight: Boolean; | Not implemented: shrink the Height of the widget, so that it only shows fully visible rows.
property ItemHeight: Integer; | The default height of all items.
property OnChangeBounds: TNotifyEvent; | Event handler for a change of the Bounds of the control.
property OnClick: TNotifyEvent; | Notification handler for mouse clicks.
property OnContextPopup: TContextPopupEvent; | Invoked when a context-sensitive pop-up menu is requested.
property OnDblClick: TNotifyEvent; | Event Handler for double mouse clicks.
property OnDragDrop: TDragDropEvent; | This handler determines the action on an drop onto this control, in a drag-drop operation.
property OnDragOver: TDragOverEvent; | Event handler for a control being dragged over this control.
property OnEnter: TNotifyEvent; | Handler for control receiving the focus.
property OnEndDrag: TEndDragEvent; | Notification handler for the end of a dragging operation.
property OnExit: TNotifyEvent; | Handler for control loosing the focus. This is a good place for checking the finished user input.
property OnKeyPress: TKeyPressEvent; | Handler for a character entered by the user.
property OnKeyDown: TKeyEvent; | Handler for keyboard key pressed.
property OnKeyUp: TKeyEvent; | Handler for keyboard key released.
property OnMouseDown: TMouseEvent; | Event handler for mouse button going down.
property OnMouseEnter: TNotifyEvent; | Event handler for mouse entering the area of the control.
property OnMouseLeave: TNotifyEvent; | Event handler for mouse leaving the area of the control.
property OnMouseMove: TMouseMoveEvent; | Event handler for mouse movement within the control.
property OnMouseUp: TMouseEvent; | Event handler for mouse button going up.
property OnMouseWheel: TMouseWheelEvent; | Event handler for mouse wheel turned.
property OnMouseWheelDown: TMouseWheelUpDownEvent; | Notification handler for downward movement of mouse wheel.
property OnMouseWheelUp: TMouseWheelUpDownEvent; | Notification handler for upward movement of mouse wheel.
property OnMouseWheelHorz: TMouseWheelEvent;
property OnMouseWheelLeft: TMouseWheelUpDownEvent;
property OnMouseWheelRight: TMouseWheelUpDownEvent;
property OnResize: TNotifyEvent; | Notification handler for a resize of the control.
property OnSelectionChange: TSelectionChangeEvent; | Handler invoked when an item is selected.
property OnShowHint: TControlShowHintEvent; | Event Handler when a hint shall be shown.
property OnStartDrag: TStartDragEvent; | Event handler for the start of a dragging operation.
property OnUTF8KeyPress: TUTF8KeyPressEvent; | Handler for a character entered by the user.
property ParentBidiMode: Boolean; | Allows to use the BiDiMode settings of Parent. Default is true.
property ParentColor: Boolean; | If true, the Color of the control will be the same as the one from the Parent. Default is true.
property ParentShowHint: Boolean; | If true, the value of ShowHint for the control will be the same as the one from the Parent. Default is true.
property ParentFont: Boolean; | If true, the Font of the control will be the same as the one from the Parent. Default is true.
property PopupMenu: TPopupMenu; | A context-sensitive menu that pops up when the right mouse button is clicked over this control
property ShowHint: Boolean; | Enables the Hint display.
property TabOrder: TTabOrder; | Determines the sequence of controls, reachable when the user presses the Tab key.
property TabStop: Boolean; | Allows the user to navigate to this control, by pressing the Tab key.
property TopIndex: Integer; |
property Visible: Boolean; | Allows to show or hide the control, and all of its children.
end;

Inheritance

TColorListBox | TColorListBox - a box containing a simple list of colours from which to select
|
TCustomColorListBox | TCustomColorListBox - base class for TColorListBox
|
TCustomListBox | The base class for TListBox.
|
TWinControl | The base class for controls which can contain other (child) controls.
|
TControl | The base class for visible controls.
|
TLCLComponent | The base class for LCL components associated with widgets.
|
TComponent,IUnknown,IInterfaceComponentReference
|
TPersistent,IFPObserved
|
TObject


TColorListBox
pl | ro | ColorRectWidth
pl | ro | ColorRectOffset
pl | ro | DefaultColorColor
pl | ro | NoneColorColor
pl | ro | Selected
pl | ro | Style
pl | ro | Align
pl | ro | Anchors
pl | ro | BidiMode
pl | ro | BorderSpacing
pl | ro | BorderStyle
pl | ro | ClickOnSelChange
pl | ro | Color
pl | ro | Constraints
pl | ro | DragCursor
pl | ro | DragKind
pl | ro | DragMode
pl | ro | ExtendedSelect
pl | ro | Enabled
pl | ro | Font
pl | ro | IntegralHeight
pl | ro | ItemHeight
pl | ro | ParentBidiMode
pl | ro | ParentColor
pl | ro | ParentShowHint
pl | ro | ParentFont
pl | ro | PopupMenu
pl | ro | ShowHint
pl | ro | TabOrder
pl | ro | TabStop
pl | ro | TopIndex
pl | ro | Visible
TCustomColorListBox
 |  | ColorRectWidth
 |  | ColorRectOffset
 |  | Style
 |  | Colors
 | ro | ColorNames
 |  | Selected
 |  | DefaultColorColor
 |  | NoneColorColor
TCustomListBox
 | ro | Align
 | ro | Anchors
 | ro | BorderStyle
 | ro | Canvas
 |  | ClickOnSelChange
 |  | Columns
 | ro | Constraints
 | ro | Count
 |  | ExtendedSelect
 | ro | Font
 |  | IntegralHeight
 |  | ItemHeight
 |  | ItemIndex
 |  | Items
 |  | MultiSelect
 |  | Options
 | ro | ParentColor
 | ro | ParentFont
 | ro | ParentShowHint
 | ro | PopupMenu
 |  | ScrollWidth
 | ro | SelCount
 |  | Selected
 | ro | ShowHint
 |  | Sorted
 |  | Style
 | ro | TabOrder
 | ro | TabStop
 |  | TopIndex
 | ro | Visible
TWinControl
pt |  | WindowHandle
pt |  | BorderStyle
pt |  | ParentBackground
 |  | BorderWidth
 | ro | BoundsLockCount
 | ro | Brush
 | ro | CachedClientHeight
 | ro | CachedClientWidth
 |  | ChildSizing
 | ro | ControlCount
 | ro | Controls
 |  | DefWndProc
 | ro | DockClientCount
 | ro | DockClients
 |  | DockManager
 |  | DockSite
 |  | DoubleBuffered
 |  | Handle
 | ro | IsFlipped
 | ro | IsResizing
 |  | TabOrder
 |  | TabStop
 |  | ParentDoubleBuffered
 |  | ParentWindow
 | ro | Showing
 |  | UseDockManager
 |  | DesignerDeleting
 | ro | VisibleDockClientCount
TControl
pt | ro | AutoSizing
pt | ro | AutoSizingAll
pt | ro | AutoSizingLockCount
pt |  | ActionLink
pt |  | DesktopFont
pt |  | DragCursor
pt |  | DragKind
pt |  | DragMode
pt |  | MouseCapture
pt |  | ParentColor
pt |  | ParentFont
pt |  | ParentShowHint
pt |  | SessionProperties
pt |  | Text
 | ro | AnchoredControls
 | ro | BaseBounds
 | ro | ReadBounds
 | ro | BaseParentClientSize
 |  | AccessibleDescription
 |  | AccessibleValue
 |  | AccessibleRole
 |  | Action
 |  | Align
 |  | Anchors
 | ro | AnchorSide
 |  | AutoSize
 |  | BorderSpacing
 |  | BoundsRect
 |  | BoundsRectForNewParent
 |  | Caption
 |  | CaptureMouseButtons
 |  | ClientHeight
 | ro | ClientOrigin
 | ro | ClientRect
 |  | ClientWidth
 |  | Color
 |  | Constraints
 | ro | ControlOrigin
 |  | ControlState
 |  | ControlStyle
 |  | Enabled
 |  | Font
 |  | IsControl
 | ro | MouseEntered
 | ro | MouseInClient
 |  | Parent
 |  | PopupMenu
 |  | ShowHint
 |  | Visible
 |  | WindowProc
 |  | DockOrientation
 | ro | Floating
 |  | FloatingDockSiteClass
 |  | HostDockSite
 |  | LRDockWidth
 |  | TBDockHeight
 |  | UndockHeight
 |  | UndockWidth
 |  | BiDiMode
 |  | ParentBiDiMode
pl |  | AnchorSideLeft
pl |  | AnchorSideTop
pl |  | AnchorSideRight
pl |  | AnchorSideBottom
pl |  | Cursor
pl |  | Left
pl |  | Height
pl |  | Hint
pl |  | Top
pl |  | Width
pl |  | HelpType
pl |  | HelpKeyword
pl |  | HelpContext
TLCLComponent
 | ro | LCLRefCount
 | ro | WidgetSetClass
TComponent
 | ro | ComObject
 | ro | Components
 | ro | ComponentCount
 |  | ComponentIndex
 | ro | ComponentState
 | ro | ComponentStyle
 |  | DesignInfo
 | ro | Owner
 |  | VCLComObject
 |  | Name
 |  | Tag
TPersistent
TObject


 |  | AccessibleDescription (TControl)
 |  | AccessibleRole (TControl)
 |  | AccessibleValue (TControl)
 |  | Action (TControl)
pt |  | ActionLink (TControl)
 |  | Align (TControl)
 | ro | Align (TCustomListBox)
pl | ro | Align (TColorListBox)
 | ro | AnchoredControls (TControl)
 |  | Anchors (TControl)
 | ro | Anchors (TCustomListBox)
pl | ro | Anchors (TColorListBox)
 | ro | AnchorSide (TControl)
pl |  | AnchorSideBottom (TControl)
pl |  | AnchorSideLeft (TControl)
pl |  | AnchorSideRight (TControl)
pl |  | AnchorSideTop (TControl)
 |  | AutoSize (TControl)
pt | ro | AutoSizing (TControl)
pt | ro | AutoSizingAll (TControl)
pt | ro | AutoSizingLockCount (TControl)
 | ro | BaseBounds (TControl)
 | ro | BaseParentClientSize (TControl)
 |  | BiDiMode (TControl)
pl | ro | BidiMode (TColorListBox)
 |  | BorderSpacing (TControl)
pl | ro | BorderSpacing (TColorListBox)
pt |  | BorderStyle (TWinControl)
 | ro | BorderStyle (TCustomListBox)
pl | ro | BorderStyle (TColorListBox)
 |  | BorderWidth (TWinControl)
 | ro | BoundsLockCount (TWinControl)
 |  | BoundsRect (TControl)
 |  | BoundsRectForNewParent (TControl)
 | ro | Brush (TWinControl)
 | ro | CachedClientHeight (TWinControl)
 | ro | CachedClientWidth (TWinControl)
 | ro | Canvas (TCustomListBox)
 |  | Caption (TControl)
 |  | CaptureMouseButtons (TControl)
 |  | ChildSizing (TWinControl)
 |  | ClickOnSelChange (TCustomListBox)
pl | ro | ClickOnSelChange (TColorListBox)
 |  | ClientHeight (TControl)
 | ro | ClientOrigin (TControl)
 | ro | ClientRect (TControl)
 |  | ClientWidth (TControl)
 |  | Color (TControl)
pl | ro | Color (TColorListBox)
 | ro | ColorNames (TCustomColorListBox)
 |  | ColorRectOffset (TCustomColorListBox)
pl | ro | ColorRectOffset (TColorListBox)
 |  | ColorRectWidth (TCustomColorListBox)
pl | ro | ColorRectWidth (TColorListBox)
 |  | Colors (TCustomColorListBox)
 |  | Columns (TCustomListBox)
 | ro | ComObject (TComponent)
 | ro | ComponentCount (TComponent)
 |  | ComponentIndex (TComponent)
 | ro | Components (TComponent)
 | ro | ComponentState (TComponent)
 | ro | ComponentStyle (TComponent)
 |  | Constraints (TControl)
 | ro | Constraints (TCustomListBox)
pl | ro | Constraints (TColorListBox)
 | ro | ControlCount (TWinControl)
 | ro | ControlOrigin (TControl)
 | ro | Controls (TWinControl)
 |  | ControlState (TControl)
 |  | ControlStyle (TControl)
 | ro | Count (TCustomListBox)
pl |  | Cursor (TControl)
 |  | DefaultColorColor (TCustomColorListBox)
pl | ro | DefaultColorColor (TColorListBox)
 |  | DefWndProc (TWinControl)
 |  | DesignerDeleting (TWinControl)
 |  | DesignInfo (TComponent)
pt |  | DesktopFont (TControl)
 | ro | DockClientCount (TWinControl)
 | ro | DockClients (TWinControl)
 |  | DockManager (TWinControl)
 |  | DockOrientation (TControl)
 |  | DockSite (TWinControl)
 |  | DoubleBuffered (TWinControl)
pt |  | DragCursor (TControl)
pl | ro | DragCursor (TColorListBox)
pt |  | DragKind (TControl)
pl | ro | DragKind (TColorListBox)
pt |  | DragMode (TControl)
pl | ro | DragMode (TColorListBox)
 |  | Enabled (TControl)
pl | ro | Enabled (TColorListBox)
 |  | ExtendedSelect (TCustomListBox)
pl | ro | ExtendedSelect (TColorListBox)
 | ro | Floating (TControl)
 |  | FloatingDockSiteClass (TControl)
 |  | Font (TControl)
 | ro | Font (TCustomListBox)
pl | ro | Font (TColorListBox)
 |  | Handle (TWinControl)
pl |  | Height (TControl)
pl |  | HelpContext (TControl)
pl |  | HelpKeyword (TControl)
pl |  | HelpType (TControl)
pl |  | Hint (TControl)
 |  | HostDockSite (TControl)
 |  | IntegralHeight (TCustomListBox)
pl | ro | IntegralHeight (TColorListBox)
 |  | IsControl (TControl)
 | ro | IsFlipped (TWinControl)
 | ro | IsResizing (TWinControl)
 |  | ItemHeight (TCustomListBox)
pl | ro | ItemHeight (TColorListBox)
 |  | ItemIndex (TCustomListBox)
 |  | Items (TCustomListBox)
 | ro | LCLRefCount (TLCLComponent)
pl |  | Left (TControl)
 |  | LRDockWidth (TControl)
pt |  | MouseCapture (TControl)
 | ro | MouseEntered (TControl)
 | ro | MouseInClient (TControl)
 |  | MultiSelect (TCustomListBox)
 |  | Name (TComponent)
 |  | NoneColorColor (TCustomColorListBox)
pl | ro | NoneColorColor (TColorListBox)
 |  | Options (TCustomListBox)
 | ro | Owner (TComponent)
 |  | Parent (TControl)
pt |  | ParentBackground (TWinControl)
 |  | ParentBiDiMode (TControl)
pl | ro | ParentBidiMode (TColorListBox)
pt |  | ParentColor (TControl)
 | ro | ParentColor (TCustomListBox)
pl | ro | ParentColor (TColorListBox)
 |  | ParentDoubleBuffered (TWinControl)
pt |  | ParentFont (TControl)
 | ro | ParentFont (TCustomListBox)
pl | ro | ParentFont (TColorListBox)
pt |  | ParentShowHint (TControl)
 | ro | ParentShowHint (TCustomListBox)
pl | ro | ParentShowHint (TColorListBox)
 |  | ParentWindow (TWinControl)
 |  | PopupMenu (TControl)
 | ro | PopupMenu (TCustomListBox)
pl | ro | PopupMenu (TColorListBox)
 | ro | ReadBounds (TControl)
 |  | ScrollWidth (TCustomListBox)
 | ro | SelCount (TCustomListBox)
 |  | Selected (TCustomListBox)
 |  | Selected (TCustomColorListBox)
pl | ro | Selected (TColorListBox)
pt |  | SessionProperties (TControl)
 |  | ShowHint (TControl)
 | ro | ShowHint (TCustomListBox)
pl | ro | ShowHint (TColorListBox)
 | ro | Showing (TWinControl)
 |  | Sorted (TCustomListBox)
 |  | Style (TCustomListBox)
 |  | Style (TCustomColorListBox)
pl | ro | Style (TColorListBox)
 |  | TabOrder (TWinControl)
 | ro | TabOrder (TCustomListBox)
pl | ro | TabOrder (TColorListBox)
 |  | TabStop (TWinControl)
 | ro | TabStop (TCustomListBox)
pl | ro | TabStop (TColorListBox)
 |  | Tag (TComponent)
 |  | TBDockHeight (TControl)
pt |  | Text (TControl)
pl |  | Top (TControl)
 |  | TopIndex (TCustomListBox)
pl | ro | TopIndex (TColorListBox)
 |  | UndockHeight (TControl)
 |  | UndockWidth (TControl)
 |  | UseDockManager (TWinControl)
 |  | VCLComObject (TComponent)
 |  | Visible (TControl)
 | ro | Visible (TCustomListBox)
pl | ro | Visible (TColorListBox)
 | ro | VisibleDockClientCount (TWinControl)
 | ro | WidgetSetClass (TLCLComponent)
pl |  | Width (TControl)
pt |  | WindowHandle (TWinControl)
 |  | WindowProc (TControl)


TColorListBox
TCustomColorListBox
pt | ColorRectWidthStored
pt | DrawItem
pt | SetColorList
pt | Loaded
pt | InitializeWnd
pt | DoAutoAdjustLayout
pt | DoGetColors
pt | DoSelectionChange
pt | PickCustomColor
 | Create
TCustomListBox
pt | WSRegisterClass
pt | AssignItemDataToCache
pt | AssignCacheToItemData
pt | BeforeDragStart
pt | BeginAutoDrag
pt | CalculateStandardItemHeight
pt | CreateParams
pt | InitializeWnd
pt | DestroyWnd
pt | FinalizeWnd
pt | GetControlClassDefaultSize
pt | CheckIndex
pt | GetItemHeight
pt | GetItemIndex
pt | GetSelCount
pt | GetSelected
pt | GetCachedDataSize
pt | GetCachedData
pt | SetExtendedSelect
pt | SetItemIndex
pt | SetItems
pt | SetItemHeight
pt | SetMultiSelect
pt | SetSelected
pt | SetSorted
pt | SetStyle
pt | DrawItem
pt | DoAutoAdjustLayout
pt | DoSelectionChange
pt | SendItemIndex
pt | WMGetDlgCode
 | Create
 | Destroy
 | AddItem
 | Click
 | Clear
 | ClearSelection
 | GetIndexAtXY
 | GetIndexAtY
 | GetSelectedText
 | ItemAtPos
 | ItemRect
 | ItemVisible
 | ItemFullyVisible
 | LockSelectionChange
 | MakeCurrentVisible
 | MeasureItem
 | SelectAll
 | DeleteSelected
 | UnlockSelectionChange
TWinControl
pt | WSRegisterClass
pt | AdjustClientRect
pt | GetAdjustedLogicalClientRect
pt | AlignControls
pt | CustomAlignInsertBefore
pt | CustomAlignPosition
pt | DoAlignChildControls
pt | DoChildSizingChange
pt | InvalidatePreferredChildSizes
pt | CanTab
pt | IsClientHeightStored
pt | IsClientWidthStored
pt | DoSendShowHideToInterface
pt | ControlsAligned
pt | DoSendBoundsToInterface
pt | RealizeBounds
pt | RealizeBoundsRecursive
pt | InvalidateBoundsRealized
pt | CreateSubClass
pt | DoConstraintsChange
pt | DoSetBounds
pt | DoAutoSize
pt | DoAllAutoSize
pt | AllAutoSized
pt | CalculatePreferredSize
pt | GetPreferredSizeClientFrame
pt | GetChildren
pt | ChildClassAllowed
pt | PaintControls
pt | PaintHandler
pt | PaintWindow
pt | CreateBrush
pt | ScaleControls
pt | ChangeScale
pt | CMBiDiModeChanged
pt | CMBorderChanged
pt | CMDoubleBufferedChanged
pt | CMEnabledChanged
pt | CMParentDoubleBufferedChanged
pt | CMShowingChanged
pt | CMShowHintChanged
pt | CMVisibleChanged
pt | CMEnter
pt | CMExit
pt | WMContextMenu
pt | WMEraseBkgnd
pt | WMNotify
pt | WMSetFocus
pt | WMKillFocus
pt | WMShowWindow
pt | WMEnter
pt | WMExit
pt | WMKeyDown
pt | WMSysKeyDown
pt | WMKeyUp
pt | WMSysKeyUp
pt | WMChar
pt | WMSysChar
pt | WMPaint
pt | WMDestroy
pt | WMMove
pt | WMSize
pt | WMWindowPosChanged
pt | CNKeyDown
pt | CNSysKeyDown
pt | CNKeyUp
pt | CNSysKeyUp
pt | CNChar
pt | DoDragMsg
pt | DoDockClientMsg
pt | DoUndockClientMsg
pt | DoAddDockClient
pt | DockOver
pt | DoDockOver
pt | DoRemoveDockClient
pt | DoUnDock
pt | GetSiteInfo
pt | GetParentHandle
pt | GetTopParentHandle
pt | ReloadDockedControl
pt | CreateDockManager
pt | SetDockManager
pt | DoFloatMsg
pt | DoGetDockCaption
pt | DoEnter
pt | DoExit
pt | DoKeyDownBeforeInterface
pt | DoRemainingKeyDown
pt | DoRemainingKeyUp
pt | DoKeyPress
pt | DoUTF8KeyPress
pt | DoKeyUpBeforeInterface
pt | ChildKey
pt | SendDialogChar
pt | DialogChar
pt | ControlKeyDown
pt | ControlKeyUp
pt | KeyDown
pt | KeyDownBeforeInterface
pt | KeyDownAfterInterface
pt | KeyPress
pt | KeyUp
pt | KeyUpBeforeInterface
pt | KeyUpAfterInterface
pt | UTF8KeyPress
pt | FindNextControl
pt | SelectFirst
pt | RealGetText
pt | GetBorderStyle
pt | GetClientOrigin
pt | GetClientRect
pt | GetControlOrigin
pt | GetDeviceContext
pt | GetParentBackground
pt | IsControlMouseMsg
pt | CreateHandle
pt | CreateParams
pt | CreateWnd
pt | DestroyHandle
pt | DestroyWnd
pt | DoFlipChildren
pt | FinalizeWnd
pt | FixupTabList
pt | FontChanged
pt | InitializeWnd
pt | Loaded
pt | FormEndUpdated
pt | MainWndProc
pt | ParentFormHandleInitialized
pt | ChildHandlesCreated
pt | GetMouseCapture
pt | RealSetText
pt | RemoveFocus
pt | SendMoveSizeMessages
pt | SetBorderStyle
pt | SetColor
pt | SetChildZPosition
pt | SetParentBackground
pt | ShowControl
pt | UpdateControlState
pt | UpdateShowing
pt | WndProc
pt | WSSetText
 | AutoSizePhases
 | AutoSizeDelayed
 | AutoSizeDelayedReport
 | AutoSizeDelayedHandle
 | BeginUpdateBounds
 | EndUpdateBounds
 | LockRealizeBounds
 | UnlockRealizeBounds
 | ControlAtPos
 | ContainsControl
 | DoAdjustClientRectChange
 | InvalidateClientRectCache
 | ClientRectNeedsInterfaceUpdate
 | SetBounds
 | GetChildrenRect
 | DisableAlign
 | EnableAlign
 | ReAlign
 | ScrollBy_WS
 | ScrollBy
 | WriteLayoutDebugReport
 | AutoAdjustLayout
 | Create
 | CreateParented
 | CreateParentedControl
 | Destroy
 | DockDrop
 | CanFocus
 | CanSetFocus
 | GetControlIndex
 | SetControlIndex
 | Focused
 | PerformTab
 | FindChildControl
 | SelectNext
 | SetTempCursor
 | BroadCast
 | NotifyControls
 | DefaultHandler
 | GetTextLen
 | Invalidate
 | AddControl
 | InsertControl
 | RemoveControl
 | GetEnumeratorControls
 | GetEnumeratorControlsReverse
 | Repaint
 | Update
 | SetFocus
 | FlipChildren
 | ScaleBy
 | GetDockCaption
 | UpdateDockCaption
 | GetTabOrderList
 | HandleAllocated
 | ParentHandlesAllocated
 | HandleNeeded
 | BrushCreated
 | EraseBackground
 | IntfUTF8KeyPress
 | IntfGetDropFilesTarget
 | PaintTo
 | SetShape
TControl
pt | WSRegisterClass
pt | GetCursor
pt | SetCursor
pt | SetVisible
pt | DoOnParentHandleDestruction
pt | DoAutoSize
pt | DoAllAutoSize
pt | BeginAutoSizing
pt | EndAutoSizing
pt | AnchorSideChanged
pt | ForeignAnchorSideChanged
pt | SetAlign
pt | SetAnchors
pt | SetAutoSize
pt | BoundsChanged
pt | CreateControlBorderSpacing
pt | DoConstraintsChange
pt | DoBorderSpacingChange
pt | IsBorderSpacingInnerBorderStored
pt | IsCaptionStored
pt | SendMoveSizeMessages
pt | ConstrainedResize
pt | CalculatePreferredSize
pt | DoOnResize
pt | DoOnChangeBounds
pt | CheckOnChangeBounds
pt | Resize
pt | RequestAlign
pt | UpdateAnchorRules
pt | ChangeBounds
pt | DoSetBounds
pt | ScaleConstraints
pt | ChangeScale
pt | CanAutoSize
pt | SetBiDiMode
pt | SetParentBiDiMode
pt | IsAParentAligning
pt | GetClientOrigin
pt | GetClientRect
pt | GetLogicalClientRect
pt | GetScrolledClientRect
pt | GetClientScrollOffset
pt | GetControlOrigin
pt | IsClientHeightStored
pt | IsClientWidthStored
pt | WidthIsAnchored
pt | HeightIsAnchored
pt | WMCancelMode
pt | WMContextMenu
pt | WMLButtonDown
pt | WMRButtonDown
pt | WMMButtonDown
pt | WMXButtonDown
pt | WMLButtonDBLCLK
pt | WMRButtonDBLCLK
pt | WMMButtonDBLCLK
pt | WMXButtonDBLCLK
pt | WMLButtonTripleCLK
pt | WMRButtonTripleCLK
pt | WMMButtonTripleCLK
pt | WMXButtonTripleCLK
pt | WMLButtonQuadCLK
pt | WMRButtonQuadCLK
pt | WMMButtonQuadCLK
pt | WMXButtonQuadCLK
pt | WMMouseMove
pt | WMLButtonUp
pt | WMRButtonUp
pt | WMMButtonUp
pt | WMXButtonUp
pt | WMMouseWheel
pt | WMMouseHWheel
pt | WMMove
pt | WMSize
pt | WMWindowPosChanged
pt | CMChanged
pt | LMCaptureChanged
pt | CMBiDiModeChanged
pt | CMSysFontChanged
pt | CMEnabledChanged
pt | CMHitTest
pt | CMMouseEnter
pt | CMMouseLeave
pt | CMHintShow
pt | CMParentBiDiModeChanged
pt | CMParentColorChanged
pt | CMParentFontChanged
pt | CMParentShowHintChanged
pt | CMVisibleChanged
pt | CMTextChanged
pt | CMCursorChanged
pt | CalculateDockSizes
pt | CreateFloatingDockSite
pt | GetDockEdge
pt | GetDragImages
pt | GetFloating
pt | GetFloatingDockSiteClass
pt | BeforeDragStart
pt | BeginAutoDrag
pt | DoFloatMsg
pt | DockTrackNoTarget
pt | DoDock
pt | DoDragMsg
pt | DoEndDock
pt | DoEndDrag
pt | DoStartDock
pt | DoStartDrag
pt | DragCanceled
pt | DragOver
pt | PositionDockRect
pt | SetDragMode
pt | GetDefaultDockCaption
pt | Click
pt | DblClick
pt | TripleClick
pt | QuadClick
pt | GetMousePosFromMessage
pt | MouseDown
pt | MouseMove
pt | MouseUp
pt | MouseEnter
pt | MouseLeave
pt | DialogChar
pt | UpdateMouseCursor
pt | Changed
pt | GetPalette
pt | ChildClassAllowed
pt | ReadState
pt | Loaded
pt | LoadedAll
pt | DefineProperties
pt | AssignTo
pt | FormEndUpdated
pt | InvalidateControl
pt | FontChanged
pt | ParentFontChanged
pt | GetAction
pt | RealGetText
pt | RealSetText
pt | TextChanged
pt | GetCachedText
pt | SetAction
pt | SetColor
pt | SetEnabled
pt | SetHint
pt | SetName
pt | SetParent
pt | SetParentComponent
pt | WndProc
pt | ParentFormHandleInitialized
pt | GetMouseCapture
pt | CaptureChanged
pt | Notification
pt | CanTab
pt | GetDeviceContext
pt | GetEnabled
pt | GetPopupMenu
pt | DoOnShowHint
pt | DoMouseWheel
pt | DoMouseWheelDown
pt | DoMouseWheelUp
pt | DoMouseWheelHorz
pt | DoMouseWheelLeft
pt | DoMouseWheelRight
pt | VisibleChanging
pt | VisibleChanged
pt | EnabledChanging
pt | EnabledChanged
pt | AddHandler
pt | RemoveHandler
pt | DoCallNotifyHandler
pt | DoCallKeyEventHandler
pt | DoCallMouseWheelEventHandler
pt | DoContextPopup
pt | SetZOrder
pt | GetControlClassDefaultSize
pt | ColorIsStored
pt | DoAutoAdjustLayout
pt | DoFixDesignFontPPI
pt | DoScaleFontPPI
pt | GetActionLinkClass
pt | ActionChange
 | DragDrop
 | Dock
 | ManualDock
 | ManualFloat
 | ReplaceDockedControl
 | Docked
 | Dragging
 | GetAccessibleObject
 | CreateAccessibleObject
 | GetSelectedChildAccessibleObject
 | GetChildAccessibleObjectAtPos
 | ScaleDesignToForm
 | ScaleFormToDesign
 | Scale96ToForm
 | ScaleFormTo96
 | Scale96ToFont
 | ScaleFontTo96
 | ScaleScreenToFont
 | ScaleFontToScreen
 | Scale96ToScreen
 | ScaleScreenTo96
 | AdjustSize
 | AutoSizePhases
 | AutoSizeDelayed
 | AutoSizeDelayedReport
 | AutoSizeDelayedHandle
 | AnchorToNeighbour
 | AnchorParallel
 | AnchorHorizontalCenterTo
 | AnchorVerticalCenterTo
 | AnchorToCompanion
 | AnchorSame
 | AnchorAsAlign
 | AnchorClient
 | AnchoredControlCount
 | SetBounds
 | SetInitialBounds
 | SetBoundsKeepBase
 | GetPreferredSize
 | GetCanvasScaleFactor
 | GetDefaultWidth
 | GetDefaultHeight
 | GetDefaultColor
 | GetColorResolvingParent
 | GetRGBColorResolvingParent
 | GetSidePosition
 | CNPreferredSizeChanged
 | InvalidatePreferredSize
 | GetAnchorsDependingOnParent
 | DisableAutoSizing
 | EnableAutoSizing
 | UpdateBaseBounds
 | WriteLayoutDebugReport
 | AutoAdjustLayout
 | ShouldAutoAdjust
 | FixDesignFontsPPI
 | ScaleFontsPPI
 | Create
 | Destroy
 | BeforeDestruction
 | EditingDone
 | ExecuteDefaultAction
 | ExecuteCancelAction
 | BeginDrag
 | EndDrag
 | BringToFront
 | HasParent
 | GetParentComponent
 | IsParentOf
 | GetTopParent
 | IsVisible
 | IsControlVisible
 | IsEnabled
 | IsParentColor
 | IsParentFont
 | FormIsUpdating
 | IsProcessingPaintMsg
 | Hide
 | Refresh
 | Repaint
 | Invalidate
 | CheckChildClassAllowed
 | CheckNewParent
 | SendToBack
 | SetTempCursor
 | UpdateRolesForForm
 | ActiveDefaultControlChanged
 | GetTextBuf
 | GetTextLen
 | SetTextBuf
 | Perform
 | ScreenToClient
 | ClientToScreen
 | ScreenToControl
 | ControlToScreen
 | ClientToParent
 | ParentToClient
 | GetChildrenRect
 | Show
 | Update
 | HandleObjectShouldBeVisible
 | ParentDestroyingHandle
 | ParentHandlesAllocated
 | InitiateAction
 | ShowHelp
 | HasHelp
 | RemoveAllHandlersOfObject
 | AddHandlerOnResize
 | RemoveHandlerOnResize
 | AddHandlerOnChangeBounds
 | RemoveHandlerOnChangeBounds
 | AddHandlerOnVisibleChanging
 | RemoveHandlerOnVisibleChanging
 | AddHandlerOnVisibleChanged
 | RemoveHandlerOnVisibleChanged
 | AddHandlerOnEnabledChanged
 | RemoveHandlerOnEnableChanging
 | AddHandlerOnKeyDown
 | RemoveHandlerOnKeyDown
 | AddHandlerOnBeforeDestruction
 | RemoveHandlerOnBeforeDestruction
 | AddHandlerOnMouseWheel
 | RemoveHandlerOnMouseWheel
 | UseRightToLeftAlignment
 | UseRightToLeftReading
 | UseRightToLeftScrollBar
 | IsRightToLeft
TLCLComponent
pt | WSRegisterClass
pt | GetWSComponentClass
 | Create
 | Destroy
 | NewInstance
 | RemoveAllHandlersOfObject
 | IncLCLRefCount
 | DecLCLRefCount
TComponent
 | GetComObject
 | GetComponent
 | GetComponentCount
 | GetComponentIndex
 | Insert
 | ReadLeft
 | ReadTop
 | Remove
 | RemoveNotification
 | SetComponentIndex
 | SetReference
 | WriteLeft
 | WriteTop
 | ChangeName
 | DefineProperties
 | GetChildren
 | GetChildOwner
 | GetChildParent
 | GetOwner
 | Loaded
 | Loading
 | Notification
 | PaletteCreated
 | ReadState
 | SetAncestor
 | SetDesigning
 | SetDesignInstance
 | SetInline
 | SetName
 | SetChildOrder
 | SetParentComponent
 | Updating
 | Updated
 | UpdateRegistry
 | ValidateRename
 | ValidateContainer
 | ValidateInsert
 | QueryInterface
 | _AddRef
 | _Release
 | iicrGetComponent
 | GetTypeInfoCount
 | GetTypeInfo
 | GetIDsOfNames
 | Invoke
 | WriteState
 | Create
 | Destroy
 | BeforeDestruction
 | DestroyComponents
 | Destroying
 | ExecuteAction
 | FindComponent
 | FreeNotification
 | RemoveFreeNotification
 | FreeOnRelease
 | GetEnumerator
 | GetNamePath
 | GetParentComponent
 | HasParent
 | InsertComponent
 | RemoveComponent
 | SafeCallException
 | SetSubComponent
 | UpdateAction
 | IsImplementorOf
 | ReferenceInterface
TPersistent
 | AssignError
 | AssignTo
 | DefineProperties
 | GetOwner
 | Destroy
 | Assign
 | FPOAttachObserver
 | FPODetachObserver
 | FPONotifyObservers
 | GetNamePath
TObject
 | Create
 | Destroy
 | newinstance
 | FreeInstance
 | SafeCallException
 | DefaultHandler
 | Free
 | InitInstance
 | CleanupInstance
 | ClassType
 | ClassInfo
 | ClassName
 | ClassNameIs
 | ClassParent
 | InstanceSize
 | InheritsFrom
 | StringMessageTable
 | MethodAddress
 | MethodName
 | FieldAddress
 | AfterConstruction
 | BeforeDestruction
 | DefaultHandlerStr
 | Dispatch
 | DispatchStr
 | GetInterface
 | GetInterfaceByStr
 | GetInterfaceWeak
 | GetInterfaceEntry
 | GetInterfaceEntryByStr
 | GetInterfaceTable
 | UnitName
 | Equals
 | GetHashCode
 | ToString


pt | ActionChange (TControl)
 | ActiveDefaultControlChanged (TControl)
 | AddControl (TWinControl)
pt | AddHandler (TControl)
 | AddHandlerOnBeforeDestruction (TControl)
 | AddHandlerOnChangeBounds (TControl)
 | AddHandlerOnEnabledChanged (TControl)
 | AddHandlerOnKeyDown (TControl)
 | AddHandlerOnMouseWheel (TControl)
 | AddHandlerOnResize (TControl)
 | AddHandlerOnVisibleChanged (TControl)
 | AddHandlerOnVisibleChanging (TControl)
 | AddItem (TCustomListBox)
pt | AdjustClientRect (TWinControl)
 | AdjustSize (TControl)
 | AfterConstruction (TObject)
pt | AlignControls (TWinControl)
pt | AllAutoSized (TWinControl)
 | AnchorAsAlign (TControl)
 | AnchorClient (TControl)
 | AnchoredControlCount (TControl)
 | AnchorHorizontalCenterTo (TControl)
 | AnchorParallel (TControl)
 | AnchorSame (TControl)
pt | AnchorSideChanged (TControl)
 | AnchorToCompanion (TControl)
 | AnchorToNeighbour (TControl)
 | AnchorVerticalCenterTo (TControl)
 | Assign (TPersistent)
pt | AssignCacheToItemData (TCustomListBox)
 | AssignError (TPersistent)
pt | AssignItemDataToCache (TCustomListBox)
 | AssignTo (TPersistent)
pt | AssignTo (TControl)
 | AutoAdjustLayout (TControl)
 | AutoAdjustLayout (TWinControl)
 | AutoSizeDelayed (TControl)
 | AutoSizeDelayed (TWinControl)
 | AutoSizeDelayedHandle (TControl)
 | AutoSizeDelayedHandle (TWinControl)
 | AutoSizeDelayedReport (TControl)
 | AutoSizeDelayedReport (TWinControl)
 | AutoSizePhases (TControl)
 | AutoSizePhases (TWinControl)
 | BeforeDestruction (TObject)
 | BeforeDestruction (TComponent)
 | BeforeDestruction (TControl)
pt | BeforeDragStart (TControl)
pt | BeforeDragStart (TCustomListBox)
pt | BeginAutoDrag (TControl)
pt | BeginAutoDrag (TCustomListBox)
pt | BeginAutoSizing (TControl)
 | BeginDrag (TControl)
 | BeginUpdateBounds (TWinControl)
pt | BoundsChanged (TControl)
 | BringToFront (TControl)
 | BroadCast (TWinControl)
 | BrushCreated (TWinControl)
pt | CalculateDockSizes (TControl)
pt | CalculatePreferredSize (TControl)
pt | CalculatePreferredSize (TWinControl)
pt | CalculateStandardItemHeight (TCustomListBox)
pt | CanAutoSize (TControl)
 | CanFocus (TWinControl)
 | CanSetFocus (TWinControl)
pt | CanTab (TControl)
pt | CanTab (TWinControl)
pt | CaptureChanged (TControl)
pt | ChangeBounds (TControl)
pt | Changed (TControl)
 | ChangeName (TComponent)
pt | ChangeScale (TControl)
pt | ChangeScale (TWinControl)
 | CheckChildClassAllowed (TControl)
pt | CheckIndex (TCustomListBox)
 | CheckNewParent (TControl)
pt | CheckOnChangeBounds (TControl)
pt | ChildClassAllowed (TControl)
pt | ChildClassAllowed (TWinControl)
pt | ChildHandlesCreated (TWinControl)
pt | ChildKey (TWinControl)
 | ClassInfo (TObject)
 | ClassName (TObject)
 | ClassNameIs (TObject)
 | ClassParent (TObject)
 | ClassType (TObject)
 | CleanupInstance (TObject)
 | Clear (TCustomListBox)
 | ClearSelection (TCustomListBox)
pt | Click (TControl)
 | Click (TCustomListBox)
 | ClientRectNeedsInterfaceUpdate (TWinControl)
 | ClientToParent (TControl)
 | ClientToScreen (TControl)
pt | CMBiDiModeChanged (TControl)
pt | CMBiDiModeChanged (TWinControl)
pt | CMBorderChanged (TWinControl)
pt | CMChanged (TControl)
pt | CMCursorChanged (TControl)
pt | CMDoubleBufferedChanged (TWinControl)
pt | CMEnabledChanged (TControl)
pt | CMEnabledChanged (TWinControl)
pt | CMEnter (TWinControl)
pt | CMExit (TWinControl)
pt | CMHintShow (TControl)
pt | CMHitTest (TControl)
pt | CMMouseEnter (TControl)
pt | CMMouseLeave (TControl)
pt | CMParentBiDiModeChanged (TControl)
pt | CMParentColorChanged (TControl)
pt | CMParentDoubleBufferedChanged (TWinControl)
pt | CMParentFontChanged (TControl)
pt | CMParentShowHintChanged (TControl)
pt | CMShowHintChanged (TWinControl)
pt | CMShowingChanged (TWinControl)
pt | CMSysFontChanged (TControl)
pt | CMTextChanged (TControl)
pt | CMVisibleChanged (TControl)
pt | CMVisibleChanged (TWinControl)
pt | CNChar (TWinControl)
pt | CNKeyDown (TWinControl)
pt | CNKeyUp (TWinControl)
 | CNPreferredSizeChanged (TControl)
pt | CNSysKeyDown (TWinControl)
pt | CNSysKeyUp (TWinControl)
pt | ColorIsStored (TControl)
pt | ColorRectWidthStored (TCustomColorListBox)
pt | ConstrainedResize (TControl)
 | ContainsControl (TWinControl)
 | ControlAtPos (TWinControl)
pt | ControlKeyDown (TWinControl)
pt | ControlKeyUp (TWinControl)
pt | ControlsAligned (TWinControl)
 | ControlToScreen (TControl)
 | Create (TObject)
 | Create (TComponent)
 | Create (TLCLComponent)
 | Create (TControl)
 | Create (TWinControl)
 | Create (TCustomListBox)
 | Create (TCustomColorListBox)
 | CreateAccessibleObject (TControl)
pt | CreateBrush (TWinControl)
pt | CreateControlBorderSpacing (TControl)
pt | CreateDockManager (TWinControl)
pt | CreateFloatingDockSite (TControl)
pt | CreateHandle (TWinControl)
pt | CreateParams (TWinControl)
pt | CreateParams (TCustomListBox)
 | CreateParented (TWinControl)
 | CreateParentedControl (TWinControl)
pt | CreateSubClass (TWinControl)
pt | CreateWnd (TWinControl)
pt | CustomAlignInsertBefore (TWinControl)
pt | CustomAlignPosition (TWinControl)
pt | DblClick (TControl)
 | DecLCLRefCount (TLCLComponent)
 | DefaultHandler (TObject)
 | DefaultHandler (TWinControl)
 | DefaultHandlerStr (TObject)
 | DefineProperties (TPersistent)
 | DefineProperties (TComponent)
pt | DefineProperties (TControl)
 | DeleteSelected (TCustomListBox)
 | Destroy (TObject)
 | Destroy (TPersistent)
 | Destroy (TComponent)
 | Destroy (TLCLComponent)
 | Destroy (TControl)
 | Destroy (TWinControl)
 | Destroy (TCustomListBox)
 | DestroyComponents (TComponent)
pt | DestroyHandle (TWinControl)
 | Destroying (TComponent)
pt | DestroyWnd (TWinControl)
pt | DestroyWnd (TCustomListBox)
pt | DialogChar (TControl)
pt | DialogChar (TWinControl)
 | DisableAlign (TWinControl)
 | DisableAutoSizing (TControl)
 | Dispatch (TObject)
 | DispatchStr (TObject)
pt | DoAddDockClient (TWinControl)
 | DoAdjustClientRectChange (TWinControl)
pt | DoAlignChildControls (TWinControl)
pt | DoAllAutoSize (TControl)
pt | DoAllAutoSize (TWinControl)
pt | DoAutoAdjustLayout (TControl)
pt | DoAutoAdjustLayout (TCustomListBox)
pt | DoAutoAdjustLayout (TCustomColorListBox)
pt | DoAutoSize (TControl)
pt | DoAutoSize (TWinControl)
pt | DoBorderSpacingChange (TControl)
pt | DoCallKeyEventHandler (TControl)
pt | DoCallMouseWheelEventHandler (TControl)
pt | DoCallNotifyHandler (TControl)
pt | DoChildSizingChange (TWinControl)
 | Dock (TControl)
 | DockDrop (TWinControl)
 | Docked (TControl)
pt | DockOver (TWinControl)
pt | DockTrackNoTarget (TControl)
pt | DoConstraintsChange (TControl)
pt | DoConstraintsChange (TWinControl)
pt | DoContextPopup (TControl)
pt | DoDock (TControl)
pt | DoDockClientMsg (TWinControl)
pt | DoDockOver (TWinControl)
pt | DoDragMsg (TControl)
pt | DoDragMsg (TWinControl)
pt | DoEndDock (TControl)
pt | DoEndDrag (TControl)
pt | DoEnter (TWinControl)
pt | DoExit (TWinControl)
pt | DoFixDesignFontPPI (TControl)
pt | DoFlipChildren (TWinControl)
pt | DoFloatMsg (TControl)
pt | DoFloatMsg (TWinControl)
pt | DoGetColors (TCustomColorListBox)
pt | DoGetDockCaption (TWinControl)
pt | DoKeyDownBeforeInterface (TWinControl)
pt | DoKeyPress (TWinControl)
pt | DoKeyUpBeforeInterface (TWinControl)
pt | DoMouseWheel (TControl)
pt | DoMouseWheelDown (TControl)
pt | DoMouseWheelHorz (TControl)
pt | DoMouseWheelLeft (TControl)
pt | DoMouseWheelRight (TControl)
pt | DoMouseWheelUp (TControl)
pt | DoOnChangeBounds (TControl)
pt | DoOnParentHandleDestruction (TControl)
pt | DoOnResize (TControl)
pt | DoOnShowHint (TControl)
pt | DoRemainingKeyDown (TWinControl)
pt | DoRemainingKeyUp (TWinControl)
pt | DoRemoveDockClient (TWinControl)
pt | DoScaleFontPPI (TControl)
pt | DoSelectionChange (TCustomListBox)
pt | DoSelectionChange (TCustomColorListBox)
pt | DoSendBoundsToInterface (TWinControl)
pt | DoSendShowHideToInterface (TWinControl)
pt | DoSetBounds (TControl)
pt | DoSetBounds (TWinControl)
pt | DoStartDock (TControl)
pt | DoStartDrag (TControl)
pt | DoUnDock (TWinControl)
pt | DoUndockClientMsg (TWinControl)
pt | DoUTF8KeyPress (TWinControl)
pt | DragCanceled (TControl)
 | DragDrop (TControl)
 | Dragging (TControl)
pt | DragOver (TControl)
pt | DrawItem (TCustomListBox)
pt | DrawItem (TCustomColorListBox)
 | EditingDone (TControl)
 | EnableAlign (TWinControl)
 | EnableAutoSizing (TControl)
pt | EnabledChanged (TControl)
pt | EnabledChanging (TControl)
pt | EndAutoSizing (TControl)
 | EndDrag (TControl)
 | EndUpdateBounds (TWinControl)
 | Equals (TObject)
 | EraseBackground (TWinControl)
 | ExecuteAction (TComponent)
 | ExecuteCancelAction (TControl)
 | ExecuteDefaultAction (TControl)
 | FieldAddress (TObject)
pt | FinalizeWnd (TWinControl)
pt | FinalizeWnd (TCustomListBox)
 | FindChildControl (TWinControl)
 | FindComponent (TComponent)
pt | FindNextControl (TWinControl)
 | FixDesignFontsPPI (TControl)
pt | FixupTabList (TWinControl)
 | FlipChildren (TWinControl)
 | Focused (TWinControl)
pt | FontChanged (TControl)
pt | FontChanged (TWinControl)
pt | ForeignAnchorSideChanged (TControl)
pt | FormEndUpdated (TControl)
pt | FormEndUpdated (TWinControl)
 | FormIsUpdating (TControl)
 | FPOAttachObserver (TPersistent)
 | FPODetachObserver (TPersistent)
 | FPONotifyObservers (TPersistent)
 | Free (TObject)
 | FreeInstance (TObject)
 | FreeNotification (TComponent)
 | FreeOnRelease (TComponent)
 | GetAccessibleObject (TControl)
pt | GetAction (TControl)
pt | GetActionLinkClass (TControl)
pt | GetAdjustedLogicalClientRect (TWinControl)
 | GetAnchorsDependingOnParent (TControl)
pt | GetBorderStyle (TWinControl)
pt | GetCachedData (TCustomListBox)
pt | GetCachedDataSize (TCustomListBox)
pt | GetCachedText (TControl)
 | GetCanvasScaleFactor (TControl)
 | GetChildAccessibleObjectAtPos (TControl)
 | GetChildOwner (TComponent)
 | GetChildParent (TComponent)
 | GetChildren (TComponent)
pt | GetChildren (TWinControl)
 | GetChildrenRect (TControl)
 | GetChildrenRect (TWinControl)
pt | GetClientOrigin (TControl)
pt | GetClientOrigin (TWinControl)
pt | GetClientRect (TControl)
pt | GetClientRect (TWinControl)
pt | GetClientScrollOffset (TControl)
 | GetColorResolvingParent (TControl)
 | GetComObject (TComponent)
 | GetComponent (TComponent)
 | GetComponentCount (TComponent)
 | GetComponentIndex (TComponent)
pt | GetControlClassDefaultSize (TControl)
pt | GetControlClassDefaultSize (TCustomListBox)
 | GetControlIndex (TWinControl)
pt | GetControlOrigin (TControl)
pt | GetControlOrigin (TWinControl)
pt | GetCursor (TControl)
 | GetDefaultColor (TControl)
pt | GetDefaultDockCaption (TControl)
 | GetDefaultHeight (TControl)
 | GetDefaultWidth (TControl)
pt | GetDeviceContext (TControl)
pt | GetDeviceContext (TWinControl)
 | GetDockCaption (TWinControl)
pt | GetDockEdge (TControl)
pt | GetDragImages (TControl)
pt | GetEnabled (TControl)
 | GetEnumerator (TComponent)
 | GetEnumeratorControls (TWinControl)
 | GetEnumeratorControlsReverse (TWinControl)
pt | GetFloating (TControl)
pt | GetFloatingDockSiteClass (TControl)
 | GetHashCode (TObject)
 | GetIDsOfNames (TComponent)
 | GetIndexAtXY (TCustomListBox)
 | GetIndexAtY (TCustomListBox)
 | GetInterface (TObject)
 | GetInterfaceByStr (TObject)
 | GetInterfaceEntry (TObject)
 | GetInterfaceEntryByStr (TObject)
 | GetInterfaceTable (TObject)
 | GetInterfaceWeak (TObject)
pt | GetItemHeight (TCustomListBox)
pt | GetItemIndex (TCustomListBox)
pt | GetLogicalClientRect (TControl)
pt | GetMouseCapture (TControl)
pt | GetMouseCapture (TWinControl)
pt | GetMousePosFromMessage (TControl)
 | GetNamePath (TPersistent)
 | GetNamePath (TComponent)
 | GetOwner (TPersistent)
 | GetOwner (TComponent)
pt | GetPalette (TControl)
pt | GetParentBackground (TWinControl)
 | GetParentComponent (TComponent)
 | GetParentComponent (TControl)
pt | GetParentHandle (TWinControl)
pt | GetPopupMenu (TControl)
 | GetPreferredSize (TControl)
pt | GetPreferredSizeClientFrame (TWinControl)
 | GetRGBColorResolvingParent (TControl)
pt | GetScrolledClientRect (TControl)
pt | GetSelCount (TCustomListBox)
pt | GetSelected (TCustomListBox)
 | GetSelectedChildAccessibleObject (TControl)
 | GetSelectedText (TCustomListBox)
 | GetSidePosition (TControl)
pt | GetSiteInfo (TWinControl)
 | GetTabOrderList (TWinControl)
 | GetTextBuf (TControl)
 | GetTextLen (TControl)
 | GetTextLen (TWinControl)
 | GetTopParent (TControl)
pt | GetTopParentHandle (TWinControl)
 | GetTypeInfo (TComponent)
 | GetTypeInfoCount (TComponent)
pt | GetWSComponentClass (TLCLComponent)
 | HandleAllocated (TWinControl)
 | HandleNeeded (TWinControl)
 | HandleObjectShouldBeVisible (TControl)
 | HasHelp (TControl)
 | HasParent (TComponent)
 | HasParent (TControl)
pt | HeightIsAnchored (TControl)
 | Hide (TControl)
 | iicrGetComponent (TComponent)
 | IncLCLRefCount (TLCLComponent)
 | InheritsFrom (TObject)
pt | InitializeWnd (TWinControl)
pt | InitializeWnd (TCustomListBox)
pt | InitializeWnd (TCustomColorListBox)
 | InitiateAction (TControl)
 | InitInstance (TObject)
 | Insert (TComponent)
 | InsertComponent (TComponent)
 | InsertControl (TWinControl)
 | InstanceSize (TObject)
 | IntfGetDropFilesTarget (TWinControl)
 | IntfUTF8KeyPress (TWinControl)
 | Invalidate (TControl)
 | Invalidate (TWinControl)
pt | InvalidateBoundsRealized (TWinControl)
 | InvalidateClientRectCache (TWinControl)
pt | InvalidateControl (TControl)
pt | InvalidatePreferredChildSizes (TWinControl)
 | InvalidatePreferredSize (TControl)
 | Invoke (TComponent)
pt | IsAParentAligning (TControl)
pt | IsBorderSpacingInnerBorderStored (TControl)
pt | IsCaptionStored (TControl)
pt | IsClientHeightStored (TControl)
pt | IsClientHeightStored (TWinControl)
pt | IsClientWidthStored (TControl)
pt | IsClientWidthStored (TWinControl)
pt | IsControlMouseMsg (TWinControl)
 | IsControlVisible (TControl)
 | IsEnabled (TControl)
 | IsImplementorOf (TComponent)
 | IsParentColor (TControl)
 | IsParentFont (TControl)
 | IsParentOf (TControl)
 | IsProcessingPaintMsg (TControl)
 | IsRightToLeft (TControl)
 | IsVisible (TControl)
 | ItemAtPos (TCustomListBox)
 | ItemFullyVisible (TCustomListBox)
 | ItemRect (TCustomListBox)
 | ItemVisible (TCustomListBox)
pt | KeyDown (TWinControl)
pt | KeyDownAfterInterface (TWinControl)
pt | KeyDownBeforeInterface (TWinControl)
pt | KeyPress (TWinControl)
pt | KeyUp (TWinControl)
pt | KeyUpAfterInterface (TWinControl)
pt | KeyUpBeforeInterface (TWinControl)
pt | LMCaptureChanged (TControl)
 | Loaded (TComponent)
pt | Loaded (TControl)
pt | Loaded (TWinControl)
pt | Loaded (TCustomColorListBox)
pt | LoadedAll (TControl)
 | Loading (TComponent)
 | LockRealizeBounds (TWinControl)
 | LockSelectionChange (TCustomListBox)
pt | MainWndProc (TWinControl)
 | MakeCurrentVisible (TCustomListBox)
 | ManualDock (TControl)
 | ManualFloat (TControl)
 | MeasureItem (TCustomListBox)
 | MethodAddress (TObject)
 | MethodName (TObject)
pt | MouseDown (TControl)
pt | MouseEnter (TControl)
pt | MouseLeave (TControl)
pt | MouseMove (TControl)
pt | MouseUp (TControl)
 | newinstance (TObject)
 | NewInstance (TLCLComponent)
 | Notification (TComponent)
pt | Notification (TControl)
 | NotifyControls (TWinControl)
pt | PaintControls (TWinControl)
pt | PaintHandler (TWinControl)
 | PaintTo (TWinControl)
pt | PaintWindow (TWinControl)
 | PaletteCreated (TComponent)
 | ParentDestroyingHandle (TControl)
pt | ParentFontChanged (TControl)
pt | ParentFormHandleInitialized (TControl)
pt | ParentFormHandleInitialized (TWinControl)
 | ParentHandlesAllocated (TControl)
 | ParentHandlesAllocated (TWinControl)
 | ParentToClient (TControl)
 | Perform (TControl)
 | PerformTab (TWinControl)
pt | PickCustomColor (TCustomColorListBox)
pt | PositionDockRect (TControl)
pt | QuadClick (TControl)
 | QueryInterface (TComponent)
 | ReadLeft (TComponent)
 | ReadState (TComponent)
pt | ReadState (TControl)
 | ReadTop (TComponent)
pt | RealGetText (TControl)
pt | RealGetText (TWinControl)
 | ReAlign (TWinControl)
pt | RealizeBounds (TWinControl)
pt | RealizeBoundsRecursive (TWinControl)
pt | RealSetText (TControl)
pt | RealSetText (TWinControl)
 | ReferenceInterface (TComponent)
 | Refresh (TControl)
pt | ReloadDockedControl (TWinControl)
 | Remove (TComponent)
 | RemoveAllHandlersOfObject (TLCLComponent)
 | RemoveAllHandlersOfObject (TControl)
 | RemoveComponent (TComponent)
 | RemoveControl (TWinControl)
pt | RemoveFocus (TWinControl)
 | RemoveFreeNotification (TComponent)
pt | RemoveHandler (TControl)
 | RemoveHandlerOnBeforeDestruction (TControl)
 | RemoveHandlerOnChangeBounds (TControl)
 | RemoveHandlerOnEnableChanging (TControl)
 | RemoveHandlerOnKeyDown (TControl)
 | RemoveHandlerOnMouseWheel (TControl)
 | RemoveHandlerOnResize (TControl)
 | RemoveHandlerOnVisibleChanged (TControl)
 | RemoveHandlerOnVisibleChanging (TControl)
 | RemoveNotification (TComponent)
 | Repaint (TControl)
 | Repaint (TWinControl)
 | ReplaceDockedControl (TControl)
pt | RequestAlign (TControl)
pt | Resize (TControl)
 | SafeCallException (TObject)
 | SafeCallException (TComponent)
 | Scale96ToFont (TControl)
 | Scale96ToForm (TControl)
 | Scale96ToScreen (TControl)
 | ScaleBy (TWinControl)
pt | ScaleConstraints (TControl)
pt | ScaleControls (TWinControl)
 | ScaleDesignToForm (TControl)
 | ScaleFontsPPI (TControl)
 | ScaleFontTo96 (TControl)
 | ScaleFontToScreen (TControl)
 | ScaleFormTo96 (TControl)
 | ScaleFormToDesign (TControl)
 | ScaleScreenTo96 (TControl)
 | ScaleScreenToFont (TControl)
 | ScreenToClient (TControl)
 | ScreenToControl (TControl)
 | ScrollBy (TWinControl)
 | ScrollBy_WS (TWinControl)
 | SelectAll (TCustomListBox)
pt | SelectFirst (TWinControl)
 | SelectNext (TWinControl)
pt | SendDialogChar (TWinControl)
pt | SendItemIndex (TCustomListBox)
pt | SendMoveSizeMessages (TControl)
pt | SendMoveSizeMessages (TWinControl)
 | SendToBack (TControl)
pt | SetAction (TControl)
pt | SetAlign (TControl)
 | SetAncestor (TComponent)
pt | SetAnchors (TControl)
pt | SetAutoSize (TControl)
pt | SetBiDiMode (TControl)
pt | SetBorderStyle (TWinControl)
 | SetBounds (TControl)
 | SetBounds (TWinControl)
 | SetBoundsKeepBase (TControl)
 | SetChildOrder (TComponent)
pt | SetChildZPosition (TWinControl)
pt | SetColor (TControl)
pt | SetColor (TWinControl)
pt | SetColorList (TCustomColorListBox)
 | SetComponentIndex (TComponent)
 | SetControlIndex (TWinControl)
pt | SetCursor (TControl)
 | SetDesigning (TComponent)
 | SetDesignInstance (TComponent)
pt | SetDockManager (TWinControl)
pt | SetDragMode (TControl)
pt | SetEnabled (TControl)
pt | SetExtendedSelect (TCustomListBox)
 | SetFocus (TWinControl)
pt | SetHint (TControl)
 | SetInitialBounds (TControl)
 | SetInline (TComponent)
pt | SetItemHeight (TCustomListBox)
pt | SetItemIndex (TCustomListBox)
pt | SetItems (TCustomListBox)
pt | SetMultiSelect (TCustomListBox)
 | SetName (TComponent)
pt | SetName (TControl)
pt | SetParent (TControl)
pt | SetParentBackground (TWinControl)
pt | SetParentBiDiMode (TControl)
 | SetParentComponent (TComponent)
pt | SetParentComponent (TControl)
 | SetReference (TComponent)
pt | SetSelected (TCustomListBox)
 | SetShape (TWinControl)
pt | SetSorted (TCustomListBox)
pt | SetStyle (TCustomListBox)
 | SetSubComponent (TComponent)
 | SetTempCursor (TControl)
 | SetTempCursor (TWinControl)
 | SetTextBuf (TControl)
pt | SetVisible (TControl)
pt | SetZOrder (TControl)
 | ShouldAutoAdjust (TControl)
 | Show (TControl)
pt | ShowControl (TWinControl)
 | ShowHelp (TControl)
 | StringMessageTable (TObject)
pt | TextChanged (TControl)
 | ToString (TObject)
pt | TripleClick (TControl)
 | UnitName (TObject)
 | UnlockRealizeBounds (TWinControl)
 | UnlockSelectionChange (TCustomListBox)
 | Update (TControl)
 | Update (TWinControl)
 | UpdateAction (TComponent)
pt | UpdateAnchorRules (TControl)
 | UpdateBaseBounds (TControl)
pt | UpdateControlState (TWinControl)
 | Updated (TComponent)
 | UpdateDockCaption (TWinControl)
pt | UpdateMouseCursor (TControl)
 | UpdateRegistry (TComponent)
 | UpdateRolesForForm (TControl)
pt | UpdateShowing (TWinControl)
 | Updating (TComponent)
 | UseRightToLeftAlignment (TControl)
 | UseRightToLeftReading (TControl)
 | UseRightToLeftScrollBar (TControl)
pt | UTF8KeyPress (TWinControl)
 | ValidateContainer (TComponent)
 | ValidateInsert (TComponent)
 | ValidateRename (TComponent)
pt | VisibleChanged (TControl)
pt | VisibleChanging (TControl)
pt | WidthIsAnchored (TControl)
pt | WMCancelMode (TControl)
pt | WMChar (TWinControl)
pt | WMContextMenu (TControl)
pt | WMContextMenu (TWinControl)
pt | WMDestroy (TWinControl)
pt | WMEnter (TWinControl)
pt | WMEraseBkgnd (TWinControl)
pt | WMExit (TWinControl)
pt | WMGetDlgCode (TCustomListBox)
pt | WMKeyDown (TWinControl)
pt | WMKeyUp (TWinControl)
pt | WMKillFocus (TWinControl)
pt | WMLButtonDBLCLK (TControl)
pt | WMLButtonDown (TControl)
pt | WMLButtonQuadCLK (TControl)
pt | WMLButtonTripleCLK (TControl)
pt | WMLButtonUp (TControl)
pt | WMMButtonDBLCLK (TControl)
pt | WMMButtonDown (TControl)
pt | WMMButtonQuadCLK (TControl)
pt | WMMButtonTripleCLK (TControl)
pt | WMMButtonUp (TControl)
pt | WMMouseHWheel (TControl)
pt | WMMouseMove (TControl)
pt | WMMouseWheel (TControl)
pt | WMMove (TControl)
pt | WMMove (TWinControl)
pt | WMNotify (TWinControl)
pt | WMPaint (TWinControl)
pt | WMRButtonDBLCLK (TControl)
pt | WMRButtonDown (TControl)
pt | WMRButtonQuadCLK (TControl)
pt | WMRButtonTripleCLK (TControl)
pt | WMRButtonUp (TControl)
pt | WMSetFocus (TWinControl)
pt | WMShowWindow (TWinControl)
pt | WMSize (TControl)
pt | WMSize (TWinControl)
pt | WMSysChar (TWinControl)
pt | WMSysKeyDown (TWinControl)
pt | WMSysKeyUp (TWinControl)
pt | WMWindowPosChanged (TControl)
pt | WMWindowPosChanged (TWinControl)
pt | WMXButtonDBLCLK (TControl)
pt | WMXButtonDown (TControl)
pt | WMXButtonQuadCLK (TControl)
pt | WMXButtonTripleCLK (TControl)
pt | WMXButtonUp (TControl)
pt | WndProc (TControl)
pt | WndProc (TWinControl)
 | WriteLayoutDebugReport (TControl)
 | WriteLayoutDebugReport (TWinControl)
 | WriteLeft (TComponent)
 | WriteState (TComponent)
 | WriteTop (TComponent)
pt | WSRegisterClass (TLCLComponent)
pt | WSRegisterClass (TControl)
pt | WSRegisterClass (TWinControl)
pt | WSRegisterClass (TCustomListBox)
pt | WSSetText (TWinControl)
 | _AddRef (TComponent)
 | _Release (TComponent)


TColorListBox
pl | ro | OnGetColors
pl | ro | OnChangeBounds
pl | ro | OnClick
pl | ro | OnContextPopup
pl | ro | OnDblClick
pl | ro | OnDragDrop
pl | ro | OnDragOver
pl | ro | OnEnter
pl | ro | OnEndDrag
pl | ro | OnExit
pl | ro | OnKeyPress
pl | ro | OnKeyDown
pl | ro | OnKeyUp
pl | ro | OnMouseDown
pl | ro | OnMouseEnter
pl | ro | OnMouseLeave
pl | ro | OnMouseMove
pl | ro | OnMouseUp
pl | ro | OnMouseWheel
pl | ro | OnMouseWheelDown
pl | ro | OnMouseWheelUp
pl | ro | OnMouseWheelHorz
pl | ro | OnMouseWheelLeft
pl | ro | OnMouseWheelRight
pl | ro | OnResize
pl | ro | OnSelectionChange
pl | ro | OnShowHint
pl | ro | OnStartDrag
pl | ro | OnUTF8KeyPress
TCustomColorListBox
 |  | OnGetColors
TCustomListBox
 | ro | OnChangeBounds
 | ro | OnClick
 | ro | OnDblClick
 |  | OnDrawItem
 | ro | OnEnter
 | ro | OnExit
 | ro | OnKeyDown
 | ro | OnKeyPress
 | ro | OnKeyUp
 |  | OnMeasureItem
 | ro | OnMouseDown
 | ro | OnMouseEnter
 | ro | OnMouseLeave
 | ro | OnMouseMove
 | ro | OnMouseUp
 | ro | OnMouseWheel
 | ro | OnMouseWheelDown
 | ro | OnMouseWheelUp
 | ro | OnResize
 |  | OnSelectionChange
 | ro | OnUTF8KeyPress
TWinControl
pt |  | OnGetSiteInfo
pt |  | OnGetDockCaption
 |  | OnAlignInsertBefore
 |  | OnAlignPosition
 |  | OnDockDrop
 |  | OnDockOver
 |  | OnEnter
 |  | OnExit
 |  | OnKeyDown
 |  | OnKeyPress
 |  | OnKeyUp
 |  | OnUnDock
 |  | OnUTF8KeyPress
TControl
pt |  | OnConstrainedResize
pt |  | OnContextPopup
pt |  | OnDblClick
pt |  | OnTripleClick
pt |  | OnQuadClick
pt |  | OnDragDrop
pt |  | OnDragOver
pt |  | OnEndDock
pt |  | OnEndDrag
pt |  | OnMouseDown
pt |  | OnMouseMove
pt |  | OnMouseUp
pt |  | OnMouseEnter
pt |  | OnMouseLeave
pt |  | OnMouseWheel
pt |  | OnMouseWheelDown
pt |  | OnMouseWheelUp
pt |  | OnMouseWheelHorz
pt |  | OnMouseWheelLeft
pt |  | OnMouseWheelRight
pt |  | OnStartDock
pt |  | OnStartDrag
pt |  | OnEditingDone
 |  | OnChangeBounds
 |  | OnClick
 |  | OnResize
 |  | OnShowHint
TLCLComponent
TComponent
TPersistent
TObject


 | ro | OnChangeBounds (TCustomListBox)
pl | ro | OnChangeBounds (TColorListBox)
 |  | OnClick (TControl)
 | ro | OnClick (TCustomListBox)
pl | ro | OnClick (TColorListBox)
pt |  | OnConstrainedResize (TControl)
pt |  | OnContextPopup (TControl)
pl | ro | OnContextPopup (TColorListBox)
pt |  | OnDblClick (TControl)
 | ro | OnDblClick (TCustomListBox)
pl | ro | OnDblClick (TColorListBox)
 |  | OnDockDrop (TWinControl)
 |  | OnDockOver (TWinControl)
pt |  | OnDragDrop (TControl)
pl | ro | OnDragDrop (TColorListBox)
pt |  | OnDragOver (TControl)
pl | ro | OnDragOver (TColorListBox)
 |  | OnDrawItem (TCustomListBox)
pt |  | OnEditingDone (TControl)
pt |  | OnEndDock (TControl)
pt |  | OnEndDrag (TControl)
pl | ro | OnEndDrag (TColorListBox)
 |  | OnEnter (TWinControl)
 | ro | OnEnter (TCustomListBox)
pl | ro | OnEnter (TColorListBox)
 |  | OnExit (TWinControl)
 | ro | OnExit (TCustomListBox)
pl | ro | OnExit (TColorListBox)
 |  | OnGetColors (TCustomColorListBox)
pl | ro | OnGetColors (TColorListBox)
pt |  | OnGetDockCaption (TWinControl)
pt |  | OnGetSiteInfo (TWinControl)
 |  | OnKeyDown (TWinControl)
 | ro | OnKeyDown (TCustomListBox)
pl | ro | OnKeyDown (TColorListBox)
 |  | OnKeyPress (TWinControl)
 | ro | OnKeyPress (TCustomListBox)
pl | ro | OnKeyPress (TColorListBox)
 |  | OnKeyUp (TWinControl)
 | ro | OnKeyUp (TCustomListBox)
pl | ro | OnKeyUp (TColorListBox)
 |  | OnMeasureItem (TCustomListBox)
pt |  | OnMouseDown (TControl)
 | ro | OnMouseDown (TCustomListBox)
pl | ro | OnMouseDown (TColorListBox)
pt |  | OnMouseEnter (TControl)
 | ro | OnMouseEnter (TCustomListBox)
pl | ro | OnMouseEnter (TColorListBox)
pt |  | OnMouseLeave (TControl)
 | ro | OnMouseLeave (TCustomListBox)
pl | ro | OnMouseLeave (TColorListBox)
pt |  | OnMouseMove (TControl)
 | ro | OnMouseMove (TCustomListBox)
pl | ro | OnMouseMove (TColorListBox)
pt |  | OnMouseUp (TControl)
 | ro | OnMouseUp (TCustomListBox)
pl | ro | OnMouseUp (TColorListBox)
pt |  | OnMouseWheel (TControl)
 | ro | OnMouseWheel (TCustomListBox)
pl | ro | OnMouseWheel (TColorListBox)
pt |  | OnMouseWheelDown (TControl)
 | ro | OnMouseWheelDown (TCustomListBox)
pl | ro | OnMouseWheelDown (TColorListBox)
pt |  | OnMouseWheelHorz (TControl)
pl | ro | OnMouseWheelHorz (TColorListBox)
pt |  | OnMouseWheelLeft (TControl)
pl | ro | OnMouseWheelLeft (TColorListBox)
pt |  | OnMouseWheelRight (TControl)
pl | ro | OnMouseWheelRight (TColorListBox)
pt |  | OnMouseWheelUp (TControl)
 | ro | OnMouseWheelUp (TCustomListBox)
pl | ro | OnMouseWheelUp (TColorListBox)
pt |  | OnQuadClick (TControl)
 |  | OnResize (TControl)
 | ro | OnResize (TCustomListBox)
pl | ro | OnResize (TColorListBox)
 |  | OnSelectionChange (TCustomListBox)
pl | ro | OnSelectionChange (TColorListBox)
 |  | OnShowHint (TControl)
pl | ro | OnShowHint (TColorListBox)
pt |  | OnStartDock (TControl)
pt |  | OnStartDrag (TControl)
pl | ro | OnStartDrag (TColorListBox)
pt |  | OnTripleClick (TControl)
 |  | OnUnDock (TWinControl)
 |  | OnUTF8KeyPress (TWinControl)
 | ro | OnUTF8KeyPress (TCustomListBox)
pl | ro | OnUTF8KeyPress (TColorListBox)


TColorListBox.ColorRectOffset

Declaration

Source position: colorbox.pas line 216

published property TColorListBox.ColorRectOffset : Integer;


TColorListBox.ColorRectWidth

Declaration

Source position: colorbox.pas line 215

published property TColorListBox.ColorRectWidth : Integer;


TColorListBox.DragKind

Declaration

Source position: colorbox.pas line 232

published property TColorListBox.DragKind : TDragKind;


TColorListBox.OnMouseWheelHorz

Declaration

Source position: colorbox.pas line 259

published property TColorListBox.OnMouseWheelHorz : TMouseWheelEvent;


TColorListBox.OnMouseWheelLeft

Declaration

Source position: colorbox.pas line 260

published property TColorListBox.OnMouseWheelLeft : TMouseWheelUpDownEvent;


TColorListBox.OnMouseWheelRight

Declaration

Source position: colorbox.pas line 261

published property TColorListBox.OnMouseWheelRight : TMouseWheelUpDownEvent;


TColorListBox.Selected

The colour that has been Selected from the list

Declaration

Source position: colorbox.pas line 219

published property TColorListBox.Selected : TColor;


TColorListBox.TopIndex

Declaration

Source position: colorbox.pas line 275

published property TColorListBox.TopIndex : Integer;


TCustomColorBox

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

TCustomColorBox - base class for TColorBox

Declaration

Source position: colorbox.pas line 45

type TCustomColorBox = class(TCustomComboBox)
protected
function ColorRectWidthStored;
procedure DrawItem(); override; | Draws an item, using the OnDrawItem handler if one is installed.
procedure SetColorList; | SetColorList - specifies the list of colours to be presented in the drop-down
procedure Loaded; override;
procedure InitializeWnd; override; | Copies cached control properties to the just created widget.
procedure DoAutoAdjustLayout(); override;
procedure DoGetColors; virtual; | DoGetColors - perform the code for getting colours
procedure CloseUp; override;
function PickCustomColor; virtual; | PickCustomColor - if True, a custom colour is picked rather than one of the standard list
public
constructor Create(); override; | Create - constructor for TCustomColorBox: calls inherited Create, sets style, default colours and colour list, ReadOnly and Selected properties
property ColorRectWidth: Integer; [rws]
property ColorRectOffset: Integer; [rw]
property Style: TColorBoxStyle; [rw] | Appearance and behaviour of the ComboBox (static/drop-down, owner-draw...).
property Colors []: TColor; [r] | Colors the colour specified by the Index
property ColorNames []: string; [r] | ColorNames - the name of the specified (indexed) colour, stored as a string
property Selected: TColor; [rw] | The colour that has been Selected from the ComboBox
property DefaultColorColor: TColor; [rw] | DefaultColorColor - the default colour, expressed as a Color value
property NoneColorColor: TColor; [rw] | NoneColorColor - the colour to be used when no selection has been made, or when None is selected, stored as a TColor
property OnGetColors: TGetColorsEvent; [rw] | OnGetColors - event handler for the instruction to Get Colours
end;

Inheritance

TCustomColorBox | TCustomColorBox - base class for TColorBox
|
TCustomComboBox | The base class for ComboBox components.
|
TWinControl | The base class for controls which can contain other (child) controls.
|
TControl | The base class for visible controls.
|
TLCLComponent | The base class for LCL components associated with widgets.
|
TComponent,IUnknown,IInterfaceComponentReference
|
TPersistent,IFPObserved
|
TObject


TCustomColorBox
 |  | ColorRectWidth
 |  | ColorRectOffset
 |  | Style
 | ro | Colors
 | ro | ColorNames
 |  | Selected
 |  | DefaultColorColor
 |  | NoneColorColor
TCustomComboBox
pt |  | ItemHeight
pt |  | ItemWidth
pt |  | MaxLength
pt | ro | ParentColor
pt |  | Sorted
 |  | CharCase
 |  | DroppedDown
 |  | DroppingDown
 |  | AutoComplete
 |  | AutoCompleteText
 |  | AutoDropDown
 |  | AutoSelect
 |  | AutoSelected
 | ro | AutoSize
 |  | ArrowKeysTraverseList
 | ro | Canvas
 |  | DropDownCount
 |  | Items
 |  | ItemIndex
 |  | ReadOnly
 |  | SelLength
 |  | SelStart
 |  | SelText
 |  | Style
 | ro | TabStop
 | ro | Text
TWinControl
pt |  | WindowHandle
pt |  | BorderStyle
pt |  | ParentBackground
 |  | BorderWidth
 | ro | BoundsLockCount
 | ro | Brush
 | ro | CachedClientHeight
 | ro | CachedClientWidth
 |  | ChildSizing
 | ro | ControlCount
 | ro | Controls
 |  | DefWndProc
 | ro | DockClientCount
 | ro | DockClients
 |  | DockManager
 |  | DockSite
 |  | DoubleBuffered
 |  | Handle
 | ro | IsFlipped
 | ro | IsResizing
 |  | TabOrder
 |  | TabStop
 |  | ParentDoubleBuffered
 |  | ParentWindow
 | ro | Showing
 |  | UseDockManager
 |  | DesignerDeleting
 | ro | VisibleDockClientCount
TControl
pt | ro | AutoSizing
pt | ro | AutoSizingAll
pt | ro | AutoSizingLockCount
pt |  | ActionLink
pt |  | DesktopFont
pt |  | DragCursor
pt |  | DragKind
pt |  | DragMode
pt |  | MouseCapture
pt |  | ParentColor
pt |  | ParentFont
pt |  | ParentShowHint
pt |  | SessionProperties
pt |  | Text
 | ro | AnchoredControls
 | ro | BaseBounds
 | ro | ReadBounds
 | ro | BaseParentClientSize
 |  | AccessibleDescription
 |  | AccessibleValue
 |  | AccessibleRole
 |  | Action
 |  | Align
 |  | Anchors
 | ro | AnchorSide
 |  | AutoSize
 |  | BorderSpacing
 |  | BoundsRect
 |  | BoundsRectForNewParent
 |  | Caption
 |  | CaptureMouseButtons
 |  | ClientHeight
 | ro | ClientOrigin
 | ro | ClientRect
 |  | ClientWidth
 |  | Color
 |  | Constraints
 | ro | ControlOrigin
 |  | ControlState
 |  | ControlStyle
 |  | Enabled
 |  | Font
 |  | IsControl
 | ro | MouseEntered
 | ro | MouseInClient
 |  | Parent
 |  | PopupMenu
 |  | ShowHint
 |  | Visible
 |  | WindowProc
 |  | DockOrientation
 | ro | Floating
 |  | FloatingDockSiteClass
 |  | HostDockSite
 |  | LRDockWidth
 |  | TBDockHeight
 |  | UndockHeight
 |  | UndockWidth
 |  | BiDiMode
 |  | ParentBiDiMode
pl |  | AnchorSideLeft
pl |  | AnchorSideTop
pl |  | AnchorSideRight
pl |  | AnchorSideBottom
pl |  | Cursor
pl |  | Left
pl |  | Height
pl |  | Hint
pl |  | Top
pl |  | Width
pl |  | HelpType
pl |  | HelpKeyword
pl |  | HelpContext
TLCLComponent
 | ro | LCLRefCount
 | ro | WidgetSetClass
TComponent
 | ro | ComObject
 | ro | Components
 | ro | ComponentCount
 |  | ComponentIndex
 | ro | ComponentState
 | ro | ComponentStyle
 |  | DesignInfo
 | ro | Owner
 |  | VCLComObject
 |  | Name
 |  | Tag
TPersistent
TObject


 |  | AccessibleDescription (TControl)
 |  | AccessibleRole (TControl)
 |  | AccessibleValue (TControl)
 |  | Action (TControl)
pt |  | ActionLink (TControl)
 |  | Align (TControl)
 | ro | AnchoredControls (TControl)
 |  | Anchors (TControl)
 | ro | AnchorSide (TControl)
pl |  | AnchorSideBottom (TControl)
pl |  | AnchorSideLeft (TControl)
pl |  | AnchorSideRight (TControl)
pl |  | AnchorSideTop (TControl)
 |  | ArrowKeysTraverseList (TCustomComboBox)
 |  | AutoComplete (TCustomComboBox)
 |  | AutoCompleteText (TCustomComboBox)
 |  | AutoDropDown (TCustomComboBox)
 |  | AutoSelect (TCustomComboBox)
 |  | AutoSelected (TCustomComboBox)
 |  | AutoSize (TControl)
 | ro | AutoSize (TCustomComboBox)
pt | ro | AutoSizing (TControl)
pt | ro | AutoSizingAll (TControl)
pt | ro | AutoSizingLockCount (TControl)
 | ro | BaseBounds (TControl)
 | ro | BaseParentClientSize (TControl)
 |  | BiDiMode (TControl)
 |  | BorderSpacing (TControl)
pt |  | BorderStyle (TWinControl)
 |  | BorderWidth (TWinControl)
 | ro | BoundsLockCount (TWinControl)
 |  | BoundsRect (TControl)
 |  | BoundsRectForNewParent (TControl)
 | ro | Brush (TWinControl)
 | ro | CachedClientHeight (TWinControl)
 | ro | CachedClientWidth (TWinControl)
 | ro | Canvas (TCustomComboBox)
 |  | Caption (TControl)
 |  | CaptureMouseButtons (TControl)
 |  | CharCase (TCustomComboBox)
 |  | ChildSizing (TWinControl)
 |  | ClientHeight (TControl)
 | ro | ClientOrigin (TControl)
 | ro | ClientRect (TControl)
 |  | ClientWidth (TControl)
 |  | Color (TControl)
 | ro | ColorNames (TCustomColorBox)
 |  | ColorRectOffset (TCustomColorBox)
 |  | ColorRectWidth (TCustomColorBox)
 | ro | Colors (TCustomColorBox)
 | ro | ComObject (TComponent)
 | ro | ComponentCount (TComponent)
 |  | ComponentIndex (TComponent)
 | ro | Components (TComponent)
 | ro | ComponentState (TComponent)
 | ro | ComponentStyle (TComponent)
 |  | Constraints (TControl)
 | ro | ControlCount (TWinControl)
 | ro | ControlOrigin (TControl)
 | ro | Controls (TWinControl)
 |  | ControlState (TControl)
 |  | ControlStyle (TControl)
pl |  | Cursor (TControl)
 |  | DefaultColorColor (TCustomColorBox)
 |  | DefWndProc (TWinControl)
 |  | DesignerDeleting (TWinControl)
 |  | DesignInfo (TComponent)
pt |  | DesktopFont (TControl)
 | ro | DockClientCount (TWinControl)
 | ro | DockClients (TWinControl)
 |  | DockManager (TWinControl)
 |  | DockOrientation (TControl)
 |  | DockSite (TWinControl)
 |  | DoubleBuffered (TWinControl)
pt |  | DragCursor (TControl)
pt |  | DragKind (TControl)
pt |  | DragMode (TControl)
 |  | DropDownCount (TCustomComboBox)
 |  | DroppedDown (TCustomComboBox)
 |  | DroppingDown (TCustomComboBox)
 |  | Enabled (TControl)
 | ro | Floating (TControl)
 |  | FloatingDockSiteClass (TControl)
 |  | Font (TControl)
 |  | Handle (TWinControl)
pl |  | Height (TControl)
pl |  | HelpContext (TControl)
pl |  | HelpKeyword (TControl)
pl |  | HelpType (TControl)
pl |  | Hint (TControl)
 |  | HostDockSite (TControl)
 |  | IsControl (TControl)
 | ro | IsFlipped (TWinControl)
 | ro | IsResizing (TWinControl)
pt |  | ItemHeight (TCustomComboBox)
 |  | ItemIndex (TCustomComboBox)
 |  | Items (TCustomComboBox)
pt |  | ItemWidth (TCustomComboBox)
 | ro | LCLRefCount (TLCLComponent)
pl |  | Left (TControl)
 |  | LRDockWidth (TControl)
pt |  | MaxLength (TCustomComboBox)
pt |  | MouseCapture (TControl)
 | ro | MouseEntered (TControl)
 | ro | MouseInClient (TControl)
 |  | Name (TComponent)
 |  | NoneColorColor (TCustomColorBox)
 | ro | Owner (TComponent)
 |  | Parent (TControl)
pt |  | ParentBackground (TWinControl)
 |  | ParentBiDiMode (TControl)
pt |  | ParentColor (TControl)
pt | ro | ParentColor (TCustomComboBox)
 |  | ParentDoubleBuffered (TWinControl)
pt |  | ParentFont (TControl)
pt |  | ParentShowHint (TControl)
 |  | ParentWindow (TWinControl)
 |  | PopupMenu (TControl)
 | ro | ReadBounds (TControl)
 |  | ReadOnly (TCustomComboBox)
 |  | Selected (TCustomColorBox)
 |  | SelLength (TCustomComboBox)
 |  | SelStart (TCustomComboBox)
 |  | SelText (TCustomComboBox)
pt |  | SessionProperties (TControl)
 |  | ShowHint (TControl)
 | ro | Showing (TWinControl)
pt |  | Sorted (TCustomComboBox)
 |  | Style (TCustomComboBox)
 |  | Style (TCustomColorBox)
 |  | TabOrder (TWinControl)
 |  | TabStop (TWinControl)
 | ro | TabStop (TCustomComboBox)
 |  | Tag (TComponent)
 |  | TBDockHeight (TControl)
pt |  | Text (TControl)
 | ro | Text (TCustomComboBox)
pl |  | Top (TControl)
 |  | UndockHeight (TControl)
 |  | UndockWidth (TControl)
 |  | UseDockManager (TWinControl)
 |  | VCLComObject (TComponent)
 |  | Visible (TControl)
 | ro | VisibleDockClientCount (TWinControl)
 | ro | WidgetSetClass (TLCLComponent)
pl |  | Width (TControl)
pt |  | WindowHandle (TWinControl)
 |  | WindowProc (TControl)


TCustomColorBox
pt | ColorRectWidthStored
pt | DrawItem
pt | SetColorList
pt | Loaded
pt | InitializeWnd
pt | DoAutoAdjustLayout
pt | DoGetColors
pt | CloseUp
pt | PickCustomColor
 | Create
TCustomComboBox
pt | WSRegisterClass
pt | CreateParams
pt | InitializeWnd
pt | DestroyWnd
pt | DoEnter
pt | DoExit
pt | DrawItem
pt | KeyUpAfterInterface
pt | MeasureItem
pt | GetControlClassDefaultSize
pt | LMChanged
pt | CMWantSpecialKey
pt | Change
pt | Select
pt | DropDown
pt | GetItems
pt | SetItems
pt | CloseUp
pt | AdjustDropDown
pt | DoAutoAdjustLayout
pt | GetItemCount
pt | GetItemHeight
pt | GetSelLength
pt | GetSelStart
pt | GetSelText
pt | GetItemIndex
pt | GetMaxLength
pt | SetDropDownCount
pt | SetDroppedDown
pt | SetItemHeight
pt | SetItemIndex
pt | SetMaxLength
pt | SetSelLength
pt | SetSelStart
pt | SetSelText
pt | SetSorted
pt | SetStyle
pt | RealSetText
pt | KeyDown
pt | KeyUp
pt | UTF8KeyPress
pt | MouseUp
pt | SelectItem
pt | ShouldAutoAdjust
 | Create
 | Destroy
 | IntfGetItems
 | AddItem
 | AddHistoryItem
 | Clear
 | ClearSelection
 | SelectAll
TWinControl
pt | WSRegisterClass
pt | AdjustClientRect
pt | GetAdjustedLogicalClientRect
pt | AlignControls
pt | CustomAlignInsertBefore
pt | CustomAlignPosition
pt | DoAlignChildControls
pt | DoChildSizingChange
pt | InvalidatePreferredChildSizes
pt | CanTab
pt | IsClientHeightStored
pt | IsClientWidthStored
pt | DoSendShowHideToInterface
pt | ControlsAligned
pt | DoSendBoundsToInterface
pt | RealizeBounds
pt | RealizeBoundsRecursive
pt | InvalidateBoundsRealized
pt | CreateSubClass
pt | DoConstraintsChange
pt | DoSetBounds
pt | DoAutoSize
pt | DoAllAutoSize
pt | AllAutoSized
pt | CalculatePreferredSize
pt | GetPreferredSizeClientFrame
pt | GetChildren
pt | ChildClassAllowed
pt | PaintControls
pt | PaintHandler
pt | PaintWindow
pt | CreateBrush
pt | ScaleControls
pt | ChangeScale
pt | CMBiDiModeChanged
pt | CMBorderChanged
pt | CMDoubleBufferedChanged
pt | CMEnabledChanged
pt | CMParentDoubleBufferedChanged
pt | CMShowingChanged
pt | CMShowHintChanged
pt | CMVisibleChanged
pt | CMEnter
pt | CMExit
pt | WMContextMenu
pt | WMEraseBkgnd
pt | WMNotify
pt | WMSetFocus
pt | WMKillFocus
pt | WMShowWindow
pt | WMEnter
pt | WMExit
pt | WMKeyDown
pt | WMSysKeyDown
pt | WMKeyUp
pt | WMSysKeyUp
pt | WMChar
pt | WMSysChar
pt | WMPaint
pt | WMDestroy
pt | WMMove
pt | WMSize
pt | WMWindowPosChanged
pt | CNKeyDown
pt | CNSysKeyDown
pt | CNKeyUp
pt | CNSysKeyUp
pt | CNChar
pt | DoDragMsg
pt | DoDockClientMsg
pt | DoUndockClientMsg
pt | DoAddDockClient
pt | DockOver
pt | DoDockOver
pt | DoRemoveDockClient
pt | DoUnDock
pt | GetSiteInfo
pt | GetParentHandle
pt | GetTopParentHandle
pt | ReloadDockedControl
pt | CreateDockManager
pt | SetDockManager
pt | DoFloatMsg
pt | DoGetDockCaption
pt | DoEnter
pt | DoExit
pt | DoKeyDownBeforeInterface
pt | DoRemainingKeyDown
pt | DoRemainingKeyUp
pt | DoKeyPress
pt | DoUTF8KeyPress
pt | DoKeyUpBeforeInterface
pt | ChildKey
pt | SendDialogChar
pt | DialogChar
pt | ControlKeyDown
pt | ControlKeyUp
pt | KeyDown
pt | KeyDownBeforeInterface
pt | KeyDownAfterInterface
pt | KeyPress
pt | KeyUp
pt | KeyUpBeforeInterface
pt | KeyUpAfterInterface
pt | UTF8KeyPress
pt | FindNextControl
pt | SelectFirst
pt | RealGetText
pt | GetBorderStyle
pt | GetClientOrigin
pt | GetClientRect
pt | GetControlOrigin
pt | GetDeviceContext
pt | GetParentBackground
pt | IsControlMouseMsg
pt | CreateHandle
pt | CreateParams
pt | CreateWnd
pt | DestroyHandle
pt | DestroyWnd
pt | DoFlipChildren
pt | FinalizeWnd
pt | FixupTabList
pt | FontChanged
pt | InitializeWnd
pt | Loaded
pt | FormEndUpdated
pt | MainWndProc
pt | ParentFormHandleInitialized
pt | ChildHandlesCreated
pt | GetMouseCapture
pt | RealSetText
pt | RemoveFocus
pt | SendMoveSizeMessages
pt | SetBorderStyle
pt | SetColor
pt | SetChildZPosition
pt | SetParentBackground
pt | ShowControl
pt | UpdateControlState
pt | UpdateShowing
pt | WndProc
pt | WSSetText
 | AutoSizePhases
 | AutoSizeDelayed
 | AutoSizeDelayedReport
 | AutoSizeDelayedHandle
 | BeginUpdateBounds
 | EndUpdateBounds
 | LockRealizeBounds
 | UnlockRealizeBounds
 | ControlAtPos
 | ContainsControl
 | DoAdjustClientRectChange
 | InvalidateClientRectCache
 | ClientRectNeedsInterfaceUpdate
 | SetBounds
 | GetChildrenRect
 | DisableAlign
 | EnableAlign
 | ReAlign
 | ScrollBy_WS
 | ScrollBy
 | WriteLayoutDebugReport
 | AutoAdjustLayout
 | Create
 | CreateParented
 | CreateParentedControl
 | Destroy
 | DockDrop
 | CanFocus
 | CanSetFocus
 | GetControlIndex
 | SetControlIndex
 | Focused
 | PerformTab
 | FindChildControl
 | SelectNext
 | SetTempCursor
 | BroadCast
 | NotifyControls
 | DefaultHandler
 | GetTextLen
 | Invalidate
 | AddControl
 | InsertControl
 | RemoveControl
 | GetEnumeratorControls
 | GetEnumeratorControlsReverse
 | Repaint
 | Update
 | SetFocus
 | FlipChildren
 | ScaleBy
 | GetDockCaption
 | UpdateDockCaption
 | GetTabOrderList
 | HandleAllocated
 | ParentHandlesAllocated
 | HandleNeeded
 | BrushCreated
 | EraseBackground
 | IntfUTF8KeyPress
 | IntfGetDropFilesTarget
 | PaintTo
 | SetShape
TControl
pt | WSRegisterClass
pt | GetCursor
pt | SetCursor
pt | SetVisible
pt | DoOnParentHandleDestruction
pt | DoAutoSize
pt | DoAllAutoSize
pt | BeginAutoSizing
pt | EndAutoSizing
pt | AnchorSideChanged
pt | ForeignAnchorSideChanged
pt | SetAlign
pt | SetAnchors
pt | SetAutoSize
pt | BoundsChanged
pt | CreateControlBorderSpacing
pt | DoConstraintsChange
pt | DoBorderSpacingChange
pt | IsBorderSpacingInnerBorderStored
pt | IsCaptionStored
pt | SendMoveSizeMessages
pt | ConstrainedResize
pt | CalculatePreferredSize
pt | DoOnResize
pt | DoOnChangeBounds
pt | CheckOnChangeBounds
pt | Resize
pt | RequestAlign
pt | UpdateAnchorRules
pt | ChangeBounds
pt | DoSetBounds
pt | ScaleConstraints
pt | ChangeScale
pt | CanAutoSize
pt | SetBiDiMode
pt | SetParentBiDiMode
pt | IsAParentAligning
pt | GetClientOrigin
pt | GetClientRect
pt | GetLogicalClientRect
pt | GetScrolledClientRect
pt | GetClientScrollOffset
pt | GetControlOrigin
pt | IsClientHeightStored
pt | IsClientWidthStored
pt | WidthIsAnchored
pt | HeightIsAnchored
pt | WMCancelMode
pt | WMContextMenu
pt | WMLButtonDown
pt | WMRButtonDown
pt | WMMButtonDown
pt | WMXButtonDown
pt | WMLButtonDBLCLK
pt | WMRButtonDBLCLK
pt | WMMButtonDBLCLK
pt | WMXButtonDBLCLK
pt | WMLButtonTripleCLK
pt | WMRButtonTripleCLK
pt | WMMButtonTripleCLK
pt | WMXButtonTripleCLK
pt | WMLButtonQuadCLK
pt | WMRButtonQuadCLK
pt | WMMButtonQuadCLK
pt | WMXButtonQuadCLK
pt | WMMouseMove
pt | WMLButtonUp
pt | WMRButtonUp
pt | WMMButtonUp
pt | WMXButtonUp
pt | WMMouseWheel
pt | WMMouseHWheel
pt | WMMove
pt | WMSize
pt | WMWindowPosChanged
pt | CMChanged
pt | LMCaptureChanged
pt | CMBiDiModeChanged
pt | CMSysFontChanged
pt | CMEnabledChanged
pt | CMHitTest
pt | CMMouseEnter
pt | CMMouseLeave
pt | CMHintShow
pt | CMParentBiDiModeChanged
pt | CMParentColorChanged
pt | CMParentFontChanged
pt | CMParentShowHintChanged
pt | CMVisibleChanged
pt | CMTextChanged
pt | CMCursorChanged
pt | CalculateDockSizes
pt | CreateFloatingDockSite
pt | GetDockEdge
pt | GetDragImages
pt | GetFloating
pt | GetFloatingDockSiteClass
pt | BeforeDragStart
pt | BeginAutoDrag
pt | DoFloatMsg
pt | DockTrackNoTarget
pt | DoDock
pt | DoDragMsg
pt | DoEndDock
pt | DoEndDrag
pt | DoStartDock
pt | DoStartDrag
pt | DragCanceled
pt | DragOver
pt | PositionDockRect
pt | SetDragMode
pt | GetDefaultDockCaption
pt | Click
pt | DblClick
pt | TripleClick
pt | QuadClick
pt | GetMousePosFromMessage
pt | MouseDown
pt | MouseMove
pt | MouseUp
pt | MouseEnter
pt | MouseLeave
pt | DialogChar
pt | UpdateMouseCursor
pt | Changed
pt | GetPalette
pt | ChildClassAllowed
pt | ReadState
pt | Loaded
pt | LoadedAll
pt | DefineProperties
pt | AssignTo
pt | FormEndUpdated
pt | InvalidateControl
pt | FontChanged
pt | ParentFontChanged
pt | GetAction
pt | RealGetText
pt | RealSetText
pt | TextChanged
pt | GetCachedText
pt | SetAction
pt | SetColor
pt | SetEnabled
pt | SetHint
pt | SetName
pt | SetParent
pt | SetParentComponent
pt | WndProc
pt | ParentFormHandleInitialized
pt | GetMouseCapture
pt | CaptureChanged
pt | Notification
pt | CanTab
pt | GetDeviceContext
pt | GetEnabled
pt | GetPopupMenu
pt | DoOnShowHint
pt | DoMouseWheel
pt | DoMouseWheelDown
pt | DoMouseWheelUp
pt | DoMouseWheelHorz
pt | DoMouseWheelLeft
pt | DoMouseWheelRight
pt | VisibleChanging
pt | VisibleChanged
pt | EnabledChanging
pt | EnabledChanged
pt | AddHandler
pt | RemoveHandler
pt | DoCallNotifyHandler
pt | DoCallKeyEventHandler
pt | DoCallMouseWheelEventHandler
pt | DoContextPopup
pt | SetZOrder
pt | GetControlClassDefaultSize
pt | ColorIsStored
pt | DoAutoAdjustLayout
pt | DoFixDesignFontPPI
pt | DoScaleFontPPI
pt | GetActionLinkClass
pt | ActionChange
 | DragDrop
 | Dock
 | ManualDock
 | ManualFloat
 | ReplaceDockedControl
 | Docked
 | Dragging
 | GetAccessibleObject
 | CreateAccessibleObject
 | GetSelectedChildAccessibleObject
 | GetChildAccessibleObjectAtPos
 | ScaleDesignToForm
 | ScaleFormToDesign
 | Scale96ToForm
 | ScaleFormTo96
 | Scale96ToFont
 | ScaleFontTo96
 | ScaleScreenToFont
 | ScaleFontToScreen
 | Scale96ToScreen
 | ScaleScreenTo96
 | AdjustSize
 | AutoSizePhases
 | AutoSizeDelayed
 | AutoSizeDelayedReport
 | AutoSizeDelayedHandle
 | AnchorToNeighbour
 | AnchorParallel
 | AnchorHorizontalCenterTo
 | AnchorVerticalCenterTo
 | AnchorToCompanion
 | AnchorSame
 | AnchorAsAlign
 | AnchorClient
 | AnchoredControlCount
 | SetBounds
 | SetInitialBounds
 | SetBoundsKeepBase
 | GetPreferredSize
 | GetCanvasScaleFactor
 | GetDefaultWidth
 | GetDefaultHeight
 | GetDefaultColor
 | GetColorResolvingParent
 | GetRGBColorResolvingParent
 | GetSidePosition
 | CNPreferredSizeChanged
 | InvalidatePreferredSize
 | GetAnchorsDependingOnParent
 | DisableAutoSizing
 | EnableAutoSizing
 | UpdateBaseBounds
 | WriteLayoutDebugReport
 | AutoAdjustLayout
 | ShouldAutoAdjust
 | FixDesignFontsPPI
 | ScaleFontsPPI
 | Create
 | Destroy
 | BeforeDestruction
 | EditingDone
 | ExecuteDefaultAction
 | ExecuteCancelAction
 | BeginDrag
 | EndDrag
 | BringToFront
 | HasParent
 | GetParentComponent
 | IsParentOf
 | GetTopParent
 | IsVisible
 | IsControlVisible
 | IsEnabled
 | IsParentColor
 | IsParentFont
 | FormIsUpdating
 | IsProcessingPaintMsg
 | Hide
 | Refresh
 | Repaint
 | Invalidate
 | CheckChildClassAllowed
 | CheckNewParent
 | SendToBack
 | SetTempCursor
 | UpdateRolesForForm
 | ActiveDefaultControlChanged
 | GetTextBuf
 | GetTextLen
 | SetTextBuf
 | Perform
 | ScreenToClient
 | ClientToScreen
 | ScreenToControl
 | ControlToScreen
 | ClientToParent
 | ParentToClient
 | GetChildrenRect
 | Show
 | Update
 | HandleObjectShouldBeVisible
 | ParentDestroyingHandle
 | ParentHandlesAllocated
 | InitiateAction
 | ShowHelp
 | HasHelp
 | RemoveAllHandlersOfObject
 | AddHandlerOnResize
 | RemoveHandlerOnResize
 | AddHandlerOnChangeBounds
 | RemoveHandlerOnChangeBounds
 | AddHandlerOnVisibleChanging
 | RemoveHandlerOnVisibleChanging
 | AddHandlerOnVisibleChanged
 | RemoveHandlerOnVisibleChanged
 | AddHandlerOnEnabledChanged
 | RemoveHandlerOnEnableChanging
 | AddHandlerOnKeyDown
 | RemoveHandlerOnKeyDown
 | AddHandlerOnBeforeDestruction
 | RemoveHandlerOnBeforeDestruction
 | AddHandlerOnMouseWheel
 | RemoveHandlerOnMouseWheel
 | UseRightToLeftAlignment
 | UseRightToLeftReading
 | UseRightToLeftScrollBar
 | IsRightToLeft
TLCLComponent
pt | WSRegisterClass
pt | GetWSComponentClass
 | Create
 | Destroy
 | NewInstance
 | RemoveAllHandlersOfObject
 | IncLCLRefCount
 | DecLCLRefCount
TComponent
 | GetComObject
 | GetComponent
 | GetComponentCount
 | GetComponentIndex
 | Insert
 | ReadLeft
 | ReadTop
 | Remove
 | RemoveNotification
 | SetComponentIndex
 | SetReference
 | WriteLeft
 | WriteTop
 | ChangeName
 | DefineProperties
 | GetChildren
 | GetChildOwner
 | GetChildParent
 | GetOwner
 | Loaded
 | Loading
 | Notification
 | PaletteCreated
 | ReadState
 | SetAncestor
 | SetDesigning
 | SetDesignInstance
 | SetInline
 | SetName
 | SetChildOrder
 | SetParentComponent
 | Updating
 | Updated
 | UpdateRegistry
 | ValidateRename
 | ValidateContainer
 | ValidateInsert
 | QueryInterface
 | _AddRef
 | _Release
 | iicrGetComponent
 | GetTypeInfoCount
 | GetTypeInfo
 | GetIDsOfNames
 | Invoke
 | WriteState
 | Create
 | Destroy
 | BeforeDestruction
 | DestroyComponents
 | Destroying
 | ExecuteAction
 | FindComponent
 | FreeNotification
 | RemoveFreeNotification
 | FreeOnRelease
 | GetEnumerator
 | GetNamePath
 | GetParentComponent
 | HasParent
 | InsertComponent
 | RemoveComponent
 | SafeCallException
 | SetSubComponent
 | UpdateAction
 | IsImplementorOf
 | ReferenceInterface
TPersistent
 | AssignError
 | AssignTo
 | DefineProperties
 | GetOwner
 | Destroy
 | Assign
 | FPOAttachObserver
 | FPODetachObserver
 | FPONotifyObservers
 | GetNamePath
TObject
 | Create
 | Destroy
 | newinstance
 | FreeInstance
 | SafeCallException
 | DefaultHandler
 | Free
 | InitInstance
 | CleanupInstance
 | ClassType
 | ClassInfo
 | ClassName
 | ClassNameIs
 | ClassParent
 | InstanceSize
 | InheritsFrom
 | StringMessageTable
 | MethodAddress
 | MethodName
 | FieldAddress
 | AfterConstruction
 | BeforeDestruction
 | DefaultHandlerStr
 | Dispatch
 | DispatchStr
 | GetInterface
 | GetInterfaceByStr
 | GetInterfaceWeak
 | GetInterfaceEntry
 | GetInterfaceEntryByStr
 | GetInterfaceTable
 | UnitName
 | Equals
 | GetHashCode
 | ToString


TCustomColorBox
 | OnGetColors
TCustomComboBox
pt | OnChange
pt | OnCloseUp
pt | OnDrawItem
pt | OnDropDown
pt | OnGetItems
pt | OnMeasureItem
pt | OnSelect
TWinControl
pt | OnGetSiteInfo
pt | OnGetDockCaption
 | OnAlignInsertBefore
 | OnAlignPosition
 | OnDockDrop
 | OnDockOver
 | OnEnter
 | OnExit
 | OnKeyDown
 | OnKeyPress
 | OnKeyUp
 | OnUnDock
 | OnUTF8KeyPress
TControl
pt | OnConstrainedResize
pt | OnContextPopup
pt | OnDblClick
pt | OnTripleClick
pt | OnQuadClick
pt | OnDragDrop
pt | OnDragOver
pt | OnEndDock
pt | OnEndDrag
pt | OnMouseDown
pt | OnMouseMove
pt | OnMouseUp
pt | OnMouseEnter
pt | OnMouseLeave
pt | OnMouseWheel
pt | OnMouseWheelDown
pt | OnMouseWheelUp
pt | OnMouseWheelHorz
pt | OnMouseWheelLeft
pt | OnMouseWheelRight
pt | OnStartDock
pt | OnStartDrag
pt | OnEditingDone
 | OnChangeBounds
 | OnClick
 | OnResize
 | OnShowHint
TLCLComponent
TComponent
TPersistent
TObject


pt | OnChange (TCustomComboBox)
 | OnChangeBounds (TControl)
 | OnClick (TControl)
pt | OnCloseUp (TCustomComboBox)
pt | OnConstrainedResize (TControl)
pt | OnContextPopup (TControl)
pt | OnDblClick (TControl)
 | OnDockDrop (TWinControl)
 | OnDockOver (TWinControl)
pt | OnDragDrop (TControl)
pt | OnDragOver (TControl)
pt | OnDrawItem (TCustomComboBox)
pt | OnDropDown (TCustomComboBox)
pt | OnEditingDone (TControl)
pt | OnEndDock (TControl)
pt | OnEndDrag (TControl)
 | OnEnter (TWinControl)
 | OnExit (TWinControl)
 | OnGetColors (TCustomColorBox)
pt | OnGetDockCaption (TWinControl)
pt | OnGetItems (TCustomComboBox)
pt | OnGetSiteInfo (TWinControl)
 | OnKeyDown (TWinControl)
 | OnKeyPress (TWinControl)
 | OnKeyUp (TWinControl)
pt | OnMeasureItem (TCustomComboBox)
pt | OnMouseDown (TControl)
pt | OnMouseEnter (TControl)
pt | OnMouseLeave (TControl)
pt | OnMouseMove (TControl)
pt | OnMouseUp (TControl)
pt | OnMouseWheel (TControl)
pt | OnMouseWheelDown (TControl)
pt | OnMouseWheelHorz (TControl)
pt | OnMouseWheelLeft (TControl)
pt | OnMouseWheelRight (TControl)
pt | OnMouseWheelUp (TControl)
pt | OnQuadClick (TControl)
 | OnResize (TControl)
pt | OnSelect (TCustomComboBox)
 | OnShowHint (TControl)
pt | OnStartDock (TControl)
pt | OnStartDrag (TControl)
pt | OnTripleClick (TControl)
 | OnUnDock (TWinControl)
 | OnUTF8KeyPress (TWinControl)


TCustomColorBox.ColorNames

ColorNames - the name of the specified (indexed) colour, stored as a string

Declaration

Source position: colorbox.pas line 84

public property TCustomColorBox.ColorNames[Index: Integer] : string
  read GetColorName;


TCustomColorBox.ColorRectOffset

Declaration

Source position: colorbox.pas line 80

public property TCustomColorBox.ColorRectOffset : Integer
  read FColorRectOffset
  write SetColorRectOffset
  default cDefaultColorRectOffset;


TCustomColorBox.ColorRectWidth

Declaration

Source position: colorbox.pas line 79

public property TCustomColorBox.ColorRectWidth : Integer
  read GetColorRectWidth
  write SetColorRectWidth
  stored ColorRectWidthStored;


TCustomColorBox.ColorRectWidthStored

Declaration

Source position: colorbox.pas line 67

protected function TCustomColorBox.ColorRectWidthStored: Boolean;


TCustomColorBox.Colors

Colors the colour specified by the Index

Declaration

Source position: colorbox.pas line 83

public property TCustomColorBox.Colors[Index: Integer] : TColor
  read GetColor;


TCustomColorBox.Create

Create - constructor for TCustomColorBox: calls inherited Create, sets style, default colours and colour list, ReadOnly and Selected properties

Declaration

Source position: colorbox.pas line 78

public constructor TCustomColorBox.Create(

  AOwner: TComponent

); override;

See also

TCustomCombobox.Create


TCustomColorBox.DefaultColorColor

DefaultColorColor - the default colour, expressed as a Color value

Declaration

Source position: colorbox.pas line 86

public property TCustomColorBox.DefaultColorColor : TColor
  read FDefaultColorColor
  write SetDefaultColorColor
  default clBlack;

Description

DefaultColorColor - the default colour, expressed as a Color value

The use of the construct ..ColorColor denotes the value of a colour as a TColor, as opposed to an index value


TCustomColorBox.DoAutoAdjustLayout

Declaration

Source position: colorbox.pas line 72

protected procedure TCustomColorBox.DoAutoAdjustLayout(

  const AMode: TLayoutAdjustmentPolicy;

  const AXProportion: Double;

  const AYProportion: Double

); override;


TCustomColorBox.DoGetColors

DoGetColors - perform the code for getting colours

Declaration

Source position: colorbox.pas line 74

protected procedure TCustomColorBox.DoGetColors; virtual;


TCustomColorBox.NoneColorColor

NoneColorColor - the colour to be used when no selection has been made, or when None is selected, stored as a TColor

Declaration

Source position: colorbox.pas line 87

public property TCustomColorBox.NoneColorColor : TColor
  read FNoneColorColor
  write SetNoneColorColor
  default clBlack;


TCustomColorBox.OnGetColors

OnGetColors - event handler for the instruction to Get Colours

Declaration

Source position: colorbox.pas line 88

public property TCustomColorBox.OnGetColors : TGetColorsEvent
  read FOnGetColors
  write FOnGetColors;


TCustomColorBox.PickCustomColor

PickCustomColor - if True, a custom colour is picked rather than one of the standard list

Declaration

Source position: colorbox.pas line 76

protected function TCustomColorBox.PickCustomColor: Boolean; virtual;


TCustomColorBox.Selected

The colour that has been Selected from the ComboBox

Declaration

Source position: colorbox.pas line 85

public property TCustomColorBox.Selected : TColor
  read GetSelected
  write SetSelected
  default clBlack;


TCustomColorBox.SetColorList

SetColorList - specifies the list of colours to be presented in the drop-down

Declaration

Source position: colorbox.pas line 69

protected procedure TCustomColorBox.SetColorList;


TCustomColorListBox

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

TCustomColorListBox - base class for TColorListBox

Declaration

Source position: colorbox.pas line 165

type TCustomColorListBox = class(TCustomListBox)
protected
function ColorRectWidthStored;
procedure DrawItem(); override; | Paints an item in owner-draw mode.
procedure SetColorList; | SetColorList - specifies the list of colours
procedure Loaded; override;
procedure InitializeWnd; override; | Copies cached control properties to the just created widget.
procedure DoAutoAdjustLayout(); override;
procedure DoGetColors; virtual; | DoGetColors - perform the code for getting the colours
procedure DoSelectionChange(); override; | Invokes the OnSelectionChange handler.
function PickCustomColor; virtual; | PickCustomColor - if True, a custom colour is picked rather than one from the standard list
public
constructor Create(); override; | Create - constructor for TCustomColorListBox: calls inherited Create, initialises style, default colours and sets colour list
property ColorRectWidth: Integer; [rws]
property ColorRectOffset: Integer; [rw]
property Style: TColorBoxStyle; [rw] | Appearance of the ListBox - normal, owner-draw fixed, or owner-draw variable.
property Colors []: TColor; [rw] | The Colors specified by Index
property ColorNames []: string; [r] | ColorNames - the name of the indexed colour, stored as a string
property Selected: TColor; [rw] | Get or set the Selected state of an item.
property DefaultColorColor: TColor; [rw] | DefaultColorColor - the default colour, expressed as a Color value
property NoneColorColor: TColor; [rw] | NoneColorColor - the colour to be used when no selection has been made, or when None is selected, stored as a TColor
property OnGetColors: TLBGetColorsEvent; [rw] | OnGetColors - event handler for the instruction to Get Colours
end;

Inheritance

TCustomColorListBox | TCustomColorListBox - base class for TColorListBox
|
TCustomListBox | The base class for TListBox.
|
TWinControl | The base class for controls which can contain other (child) controls.
|
TControl | The base class for visible controls.
|
TLCLComponent | The base class for LCL components associated with widgets.
|
TComponent,IUnknown,IInterfaceComponentReference
|
TPersistent,IFPObserved
|
TObject


TCustomColorListBox
 |  | ColorRectWidth
 |  | ColorRectOffset
 |  | Style
 |  | Colors
 | ro | ColorNames
 |  | Selected
 |  | DefaultColorColor
 |  | NoneColorColor
TCustomListBox
 | ro | Align
 | ro | Anchors
 | ro | BorderStyle
 | ro | Canvas
 |  | ClickOnSelChange
 |  | Columns
 | ro | Constraints
 | ro | Count
 |  | ExtendedSelect
 | ro | Font
 |  | IntegralHeight
 |  | ItemHeight
 |  | ItemIndex
 |  | Items
 |  | MultiSelect
 |  | Options
 | ro | ParentColor
 | ro | ParentFont
 | ro | ParentShowHint
 | ro | PopupMenu
 |  | ScrollWidth
 | ro | SelCount
 |  | Selected
 | ro | ShowHint
 |  | Sorted
 |  | Style
 | ro | TabOrder
 | ro | TabStop
 |  | TopIndex
 | ro | Visible
TWinControl
pt |  | WindowHandle
pt |  | BorderStyle
pt |  | ParentBackground
 |  | BorderWidth
 | ro | BoundsLockCount
 | ro | Brush
 | ro | CachedClientHeight
 | ro | CachedClientWidth
 |  | ChildSizing
 | ro | ControlCount
 | ro | Controls
 |  | DefWndProc
 | ro | DockClientCount
 | ro | DockClients
 |  | DockManager
 |  | DockSite
 |  | DoubleBuffered
 |  | Handle
 | ro | IsFlipped
 | ro | IsResizing
 |  | TabOrder
 |  | TabStop
 |  | ParentDoubleBuffered
 |  | ParentWindow
 | ro | Showing
 |  | UseDockManager
 |  | DesignerDeleting
 | ro | VisibleDockClientCount
TControl
pt | ro | AutoSizing
pt | ro | AutoSizingAll
pt | ro | AutoSizingLockCount
pt |  | ActionLink
pt |  | DesktopFont
pt |  | DragCursor
pt |  | DragKind
pt |  | DragMode
pt |  | MouseCapture
pt |  | ParentColor
pt |  | ParentFont
pt |  | ParentShowHint
pt |  | SessionProperties
pt |  | Text
 | ro | AnchoredControls
 | ro | BaseBounds
 | ro | ReadBounds
 | ro | BaseParentClientSize
 |  | AccessibleDescription
 |  | AccessibleValue
 |  | AccessibleRole
 |  | Action
 |  | Align
 |  | Anchors
 | ro | AnchorSide
 |  | AutoSize
 |  | BorderSpacing
 |  | BoundsRect
 |  | BoundsRectForNewParent
 |  | Caption
 |  | CaptureMouseButtons
 |  | ClientHeight
 | ro | ClientOrigin
 | ro | ClientRect
 |  | ClientWidth
 |  | Color
 |  | Constraints
 | ro | ControlOrigin
 |  | ControlState
 |  | ControlStyle
 |  | Enabled
 |  | Font
 |  | IsControl
 | ro | MouseEntered
 | ro | MouseInClient
 |  | Parent
 |  | PopupMenu
 |  | ShowHint
 |  | Visible
 |  | WindowProc
 |  | DockOrientation
 | ro | Floating
 |  | FloatingDockSiteClass
 |  | HostDockSite
 |  | LRDockWidth
 |  | TBDockHeight
 |  | UndockHeight
 |  | UndockWidth
 |  | BiDiMode
 |  | ParentBiDiMode
pl |  | AnchorSideLeft
pl |  | AnchorSideTop
pl |  | AnchorSideRight
pl |  | AnchorSideBottom
pl |  | Cursor
pl |  | Left
pl |  | Height
pl |  | Hint
pl |  | Top
pl |  | Width
pl |  | HelpType
pl |  | HelpKeyword
pl |  | HelpContext
TLCLComponent
 | ro | LCLRefCount
 | ro | WidgetSetClass
TComponent
 | ro | ComObject
 | ro | Components
 | ro | ComponentCount
 |  | ComponentIndex
 | ro | ComponentState
 | ro | ComponentStyle
 |  | DesignInfo
 | ro | Owner
 |  | VCLComObject
 |  | Name
 |  | Tag
TPersistent
TObject


 |  | AccessibleDescription (TControl)
 |  | AccessibleRole (TControl)
 |  | AccessibleValue (TControl)
 |  | Action (TControl)
pt |  | ActionLink (TControl)
 |  | Align (TControl)
 | ro | Align (TCustomListBox)
 | ro | AnchoredControls (TControl)
 |  | Anchors (TControl)
 | ro | Anchors (TCustomListBox)
 | ro | AnchorSide (TControl)
pl |  | AnchorSideBottom (TControl)
pl |  | AnchorSideLeft (TControl)
pl |  | AnchorSideRight (TControl)
pl |  | AnchorSideTop (TControl)
 |  | AutoSize (TControl)
pt | ro | AutoSizing (TControl)
pt | ro | AutoSizingAll (TControl)
pt | ro | AutoSizingLockCount (TControl)
 | ro | BaseBounds (TControl)
 | ro | BaseParentClientSize (TControl)
 |  | BiDiMode (TControl)
 |  | BorderSpacing (TControl)
pt |  | BorderStyle (TWinControl)
 | ro | BorderStyle (TCustomListBox)
 |  | BorderWidth (TWinControl)
 | ro | BoundsLockCount (TWinControl)
 |  | BoundsRect (TControl)
 |  | BoundsRectForNewParent (TControl)
 | ro | Brush (TWinControl)
 | ro | CachedClientHeight (TWinControl)
 | ro | CachedClientWidth (TWinControl)
 | ro | Canvas (TCustomListBox)
 |  | Caption (TControl)
 |  | CaptureMouseButtons (TControl)
 |  | ChildSizing (TWinControl)
 |  | ClickOnSelChange (TCustomListBox)
 |  | ClientHeight (TControl)
 | ro | ClientOrigin (TControl)
 | ro | ClientRect (TControl)
 |  | ClientWidth (TControl)
 |  | Color (TControl)
 | ro | ColorNames (TCustomColorListBox)
 |  | ColorRectOffset (TCustomColorListBox)
 |  | ColorRectWidth (TCustomColorListBox)
 |  | Colors (TCustomColorListBox)
 |  | Columns (TCustomListBox)
 | ro | ComObject (TComponent)
 | ro | ComponentCount (TComponent)
 |  | ComponentIndex (TComponent)
 | ro | Components (TComponent)
 | ro | ComponentState (TComponent)
 | ro | ComponentStyle (TComponent)
 |  | Constraints (TControl)
 | ro | Constraints (TCustomListBox)
 | ro | ControlCount (TWinControl)
 | ro | ControlOrigin (TControl)
 | ro | Controls (TWinControl)
 |  | ControlState (TControl)
 |  | ControlStyle (TControl)
 | ro | Count (TCustomListBox)
pl |  | Cursor (TControl)
 |  | DefaultColorColor (TCustomColorListBox)
 |  | DefWndProc (TWinControl)
 |  | DesignerDeleting (TWinControl)
 |  | DesignInfo (TComponent)
pt |  | DesktopFont (TControl)
 | ro | DockClientCount (TWinControl)
 | ro | DockClients (TWinControl)
 |  | DockManager (TWinControl)
 |  | DockOrientation (TControl)
 |  | DockSite (TWinControl)
 |  | DoubleBuffered (TWinControl)
pt |  | DragCursor (TControl)
pt |  | DragKind (TControl)
pt |  | DragMode (TControl)
 |  | Enabled (TControl)
 |  | ExtendedSelect (TCustomListBox)
 | ro | Floating (TControl)
 |  | FloatingDockSiteClass (TControl)
 |  | Font (TControl)
 | ro | Font (TCustomListBox)
 |  | Handle (TWinControl)
pl |  | Height (TControl)
pl |  | HelpContext (TControl)
pl |  | HelpKeyword (TControl)
pl |  | HelpType (TControl)
pl |  | Hint (TControl)
 |  | HostDockSite (TControl)
 |  | IntegralHeight (TCustomListBox)
 |  | IsControl (TControl)
 | ro | IsFlipped (TWinControl)
 | ro | IsResizing (TWinControl)
 |  | ItemHeight (TCustomListBox)
 |  | ItemIndex (TCustomListBox)
 |  | Items (TCustomListBox)
 | ro | LCLRefCount (TLCLComponent)
pl |  | Left (TControl)
 |  | LRDockWidth (TControl)
pt |  | MouseCapture (TControl)
 | ro | MouseEntered (TControl)
 | ro | MouseInClient (TControl)
 |  | MultiSelect (TCustomListBox)
 |  | Name (TComponent)
 |  | NoneColorColor (TCustomColorListBox)
 |  | Options (TCustomListBox)
 | ro | Owner (TComponent)
 |  | Parent (TControl)
pt |  | ParentBackground (TWinControl)
 |  | ParentBiDiMode (TControl)
pt |  | ParentColor (TControl)
 | ro | ParentColor (TCustomListBox)
 |  | ParentDoubleBuffered (TWinControl)
pt |  | ParentFont (TControl)
 | ro | ParentFont (TCustomListBox)
pt |  | ParentShowHint (TControl)
 | ro | ParentShowHint (TCustomListBox)
 |  | ParentWindow (TWinControl)
 |  | PopupMenu (TControl)
 | ro | PopupMenu (TCustomListBox)
 | ro | ReadBounds (TControl)
 |  | ScrollWidth (TCustomListBox)
 | ro | SelCount (TCustomListBox)
 |  | Selected (TCustomListBox)
 |  | Selected (TCustomColorListBox)
pt |  | SessionProperties (TControl)
 |  | ShowHint (TControl)
 | ro | ShowHint (TCustomListBox)
 | ro | Showing (TWinControl)
 |  | Sorted (TCustomListBox)
 |  | Style (TCustomListBox)
 |  | Style (TCustomColorListBox)
 |  | TabOrder (TWinControl)
 | ro | TabOrder (TCustomListBox)
 |  | TabStop (TWinControl)
 | ro | TabStop (TCustomListBox)
 |  | Tag (TComponent)
 |  | TBDockHeight (TControl)
pt |  | Text (TControl)
pl |  | Top (TControl)
 |  | TopIndex (TCustomListBox)
 |  | UndockHeight (TControl)
 |  | UndockWidth (TControl)
 |  | UseDockManager (TWinControl)
 |  | VCLComObject (TComponent)
 |  | Visible (TControl)
 | ro | Visible (TCustomListBox)
 | ro | VisibleDockClientCount (TWinControl)
 | ro | WidgetSetClass (TLCLComponent)
pl |  | Width (TControl)
pt |  | WindowHandle (TWinControl)
 |  | WindowProc (TControl)


TCustomColorListBox
pt | ColorRectWidthStored
pt | DrawItem
pt | SetColorList
pt | Loaded
pt | InitializeWnd
pt | DoAutoAdjustLayout
pt | DoGetColors
pt | DoSelectionChange
pt | PickCustomColor
 | Create
TCustomListBox
pt | WSRegisterClass
pt | AssignItemDataToCache
pt | AssignCacheToItemData
pt | BeforeDragStart
pt | BeginAutoDrag
pt | CalculateStandardItemHeight
pt | CreateParams
pt | InitializeWnd
pt | DestroyWnd
pt | FinalizeWnd
pt | GetControlClassDefaultSize
pt | CheckIndex
pt | GetItemHeight
pt | GetItemIndex
pt | GetSelCount
pt | GetSelected
pt | GetCachedDataSize
pt | GetCachedData
pt | SetExtendedSelect
pt | SetItemIndex
pt | SetItems
pt | SetItemHeight
pt | SetMultiSelect
pt | SetSelected
pt | SetSorted
pt | SetStyle
pt | DrawItem
pt | DoAutoAdjustLayout
pt | DoSelectionChange
pt | SendItemIndex
pt | WMGetDlgCode
 | Create
 | Destroy
 | AddItem
 | Click
 | Clear
 | ClearSelection
 | GetIndexAtXY
 | GetIndexAtY
 | GetSelectedText
 | ItemAtPos
 | ItemRect
 | ItemVisible
 | ItemFullyVisible
 | LockSelectionChange
 | MakeCurrentVisible
 | MeasureItem
 | SelectAll
 | DeleteSelected
 | UnlockSelectionChange
TWinControl
pt | WSRegisterClass
pt | AdjustClientRect
pt | GetAdjustedLogicalClientRect
pt | AlignControls
pt | CustomAlignInsertBefore
pt | CustomAlignPosition
pt | DoAlignChildControls
pt | DoChildSizingChange
pt | InvalidatePreferredChildSizes
pt | CanTab
pt | IsClientHeightStored
pt | IsClientWidthStored
pt | DoSendShowHideToInterface
pt | ControlsAligned
pt | DoSendBoundsToInterface
pt | RealizeBounds
pt | RealizeBoundsRecursive
pt | InvalidateBoundsRealized
pt | CreateSubClass
pt | DoConstraintsChange
pt | DoSetBounds
pt | DoAutoSize
pt | DoAllAutoSize
pt | AllAutoSized
pt | CalculatePreferredSize
pt | GetPreferredSizeClientFrame
pt | GetChildren
pt | ChildClassAllowed
pt | PaintControls
pt | PaintHandler
pt | PaintWindow
pt | CreateBrush
pt | ScaleControls
pt | ChangeScale
pt | CMBiDiModeChanged
pt | CMBorderChanged
pt | CMDoubleBufferedChanged
pt | CMEnabledChanged
pt | CMParentDoubleBufferedChanged
pt | CMShowingChanged
pt | CMShowHintChanged
pt | CMVisibleChanged
pt | CMEnter
pt | CMExit
pt | WMContextMenu
pt | WMEraseBkgnd
pt | WMNotify
pt | WMSetFocus
pt | WMKillFocus
pt | WMShowWindow
pt | WMEnter
pt | WMExit
pt | WMKeyDown
pt | WMSysKeyDown
pt | WMKeyUp
pt | WMSysKeyUp
pt | WMChar
pt | WMSysChar
pt | WMPaint
pt | WMDestroy
pt | WMMove
pt | WMSize
pt | WMWindowPosChanged
pt | CNKeyDown
pt | CNSysKeyDown
pt | CNKeyUp
pt | CNSysKeyUp
pt | CNChar
pt | DoDragMsg
pt | DoDockClientMsg
pt | DoUndockClientMsg
pt | DoAddDockClient
pt | DockOver
pt | DoDockOver
pt | DoRemoveDockClient
pt | DoUnDock
pt | GetSiteInfo
pt | GetParentHandle
pt | GetTopParentHandle
pt | ReloadDockedControl
pt | CreateDockManager
pt | SetDockManager
pt | DoFloatMsg
pt | DoGetDockCaption
pt | DoEnter
pt | DoExit
pt | DoKeyDownBeforeInterface
pt | DoRemainingKeyDown
pt | DoRemainingKeyUp
pt | DoKeyPress
pt | DoUTF8KeyPress
pt | DoKeyUpBeforeInterface
pt | ChildKey
pt | SendDialogChar
pt | DialogChar
pt | ControlKeyDown
pt | ControlKeyUp
pt | KeyDown
pt | KeyDownBeforeInterface
pt | KeyDownAfterInterface
pt | KeyPress
pt | KeyUp
pt | KeyUpBeforeInterface
pt | KeyUpAfterInterface
pt | UTF8KeyPress
pt | FindNextControl
pt | SelectFirst
pt | RealGetText
pt | GetBorderStyle
pt | GetClientOrigin
pt | GetClientRect
pt | GetControlOrigin
pt | GetDeviceContext
pt | GetParentBackground
pt | IsControlMouseMsg
pt | CreateHandle
pt | CreateParams
pt | CreateWnd
pt | DestroyHandle
pt | DestroyWnd
pt | DoFlipChildren
pt | FinalizeWnd
pt | FixupTabList
pt | FontChanged
pt | InitializeWnd
pt | Loaded
pt | FormEndUpdated
pt | MainWndProc
pt | ParentFormHandleInitialized
pt | ChildHandlesCreated
pt | GetMouseCapture
pt | RealSetText
pt | RemoveFocus
pt | SendMoveSizeMessages
pt | SetBorderStyle
pt | SetColor
pt | SetChildZPosition
pt | SetParentBackground
pt | ShowControl
pt | UpdateControlState
pt | UpdateShowing
pt | WndProc
pt | WSSetText
 | AutoSizePhases
 | AutoSizeDelayed
 | AutoSizeDelayedReport
 | AutoSizeDelayedHandle
 | BeginUpdateBounds
 | EndUpdateBounds
 | LockRealizeBounds
 | UnlockRealizeBounds
 | ControlAtPos
 | ContainsControl
 | DoAdjustClientRectChange
 | InvalidateClientRectCache
 | ClientRectNeedsInterfaceUpdate
 | SetBounds
 | GetChildrenRect
 | DisableAlign
 | EnableAlign
 | ReAlign
 | ScrollBy_WS
 | ScrollBy
 | WriteLayoutDebugReport
 | AutoAdjustLayout
 | Create
 | CreateParented
 | CreateParentedControl
 | Destroy
 | DockDrop
 | CanFocus
 | CanSetFocus
 | GetControlIndex
 | SetControlIndex
 | Focused
 | PerformTab
 | FindChildControl
 | SelectNext
 | SetTempCursor
 | BroadCast
 | NotifyControls
 | DefaultHandler
 | GetTextLen
 | Invalidate
 | AddControl
 | InsertControl
 | RemoveControl
 | GetEnumeratorControls
 | GetEnumeratorControlsReverse
 | Repaint
 | Update
 | SetFocus
 | FlipChildren
 | ScaleBy
 | GetDockCaption
 | UpdateDockCaption
 | GetTabOrderList
 | HandleAllocated
 | ParentHandlesAllocated
 | HandleNeeded
 | BrushCreated
 | EraseBackground
 | IntfUTF8KeyPress
 | IntfGetDropFilesTarget
 | PaintTo
 | SetShape
TControl
pt | WSRegisterClass
pt | GetCursor
pt | SetCursor
pt | SetVisible
pt | DoOnParentHandleDestruction
pt | DoAutoSize
pt | DoAllAutoSize
pt | BeginAutoSizing
pt | EndAutoSizing
pt | AnchorSideChanged
pt | ForeignAnchorSideChanged
pt | SetAlign
pt | SetAnchors
pt | SetAutoSize
pt | BoundsChanged
pt | CreateControlBorderSpacing
pt | DoConstraintsChange
pt | DoBorderSpacingChange
pt | IsBorderSpacingInnerBorderStored
pt | IsCaptionStored
pt | SendMoveSizeMessages
pt | ConstrainedResize
pt | CalculatePreferredSize
pt | DoOnResize
pt | DoOnChangeBounds
pt | CheckOnChangeBounds
pt | Resize
pt | RequestAlign
pt | UpdateAnchorRules
pt | ChangeBounds
pt | DoSetBounds
pt | ScaleConstraints
pt | ChangeScale
pt | CanAutoSize
pt | SetBiDiMode
pt | SetParentBiDiMode
pt | IsAParentAligning
pt | GetClientOrigin
pt | GetClientRect
pt | GetLogicalClientRect
pt | GetScrolledClientRect
pt | GetClientScrollOffset
pt | GetControlOrigin
pt | IsClientHeightStored
pt | IsClientWidthStored
pt | WidthIsAnchored
pt | HeightIsAnchored
pt | WMCancelMode
pt | WMContextMenu
pt | WMLButtonDown
pt | WMRButtonDown
pt | WMMButtonDown
pt | WMXButtonDown
pt | WMLButtonDBLCLK
pt | WMRButtonDBLCLK
pt | WMMButtonDBLCLK
pt | WMXButtonDBLCLK
pt | WMLButtonTripleCLK
pt | WMRButtonTripleCLK
pt | WMMButtonTripleCLK
pt | WMXButtonTripleCLK
pt | WMLButtonQuadCLK
pt | WMRButtonQuadCLK
pt | WMMButtonQuadCLK
pt | WMXButtonQuadCLK
pt | WMMouseMove
pt | WMLButtonUp
pt | WMRButtonUp
pt | WMMButtonUp
pt | WMXButtonUp
pt | WMMouseWheel
pt | WMMouseHWheel
pt | WMMove
pt | WMSize
pt | WMWindowPosChanged
pt | CMChanged
pt | LMCaptureChanged
pt | CMBiDiModeChanged
pt | CMSysFontChanged
pt | CMEnabledChanged
pt | CMHitTest
pt | CMMouseEnter
pt | CMMouseLeave
pt | CMHintShow
pt | CMParentBiDiModeChanged
pt | CMParentColorChanged
pt | CMParentFontChanged
pt | CMParentShowHintChanged
pt | CMVisibleChanged
pt | CMTextChanged
pt | CMCursorChanged
pt | CalculateDockSizes
pt | CreateFloatingDockSite
pt | GetDockEdge
pt | GetDragImages
pt | GetFloating
pt | GetFloatingDockSiteClass
pt | BeforeDragStart
pt | BeginAutoDrag
pt | DoFloatMsg
pt | DockTrackNoTarget
pt | DoDock
pt | DoDragMsg
pt | DoEndDock
pt | DoEndDrag
pt | DoStartDock
pt | DoStartDrag
pt | DragCanceled
pt | DragOver
pt | PositionDockRect
pt | SetDragMode
pt | GetDefaultDockCaption
pt | Click
pt | DblClick
pt | TripleClick
pt | QuadClick
pt | GetMousePosFromMessage
pt | MouseDown
pt | MouseMove
pt | MouseUp
pt | MouseEnter
pt | MouseLeave
pt | DialogChar
pt | UpdateMouseCursor
pt | Changed
pt | GetPalette
pt | ChildClassAllowed
pt | ReadState
pt | Loaded
pt | LoadedAll
pt | DefineProperties
pt | AssignTo
pt | FormEndUpdated
pt | InvalidateControl
pt | FontChanged
pt | ParentFontChanged
pt | GetAction
pt | RealGetText
pt | RealSetText
pt | TextChanged
pt | GetCachedText
pt | SetAction
pt | SetColor
pt | SetEnabled
pt | SetHint
pt | SetName
pt | SetParent
pt | SetParentComponent
pt | WndProc
pt | ParentFormHandleInitialized
pt | GetMouseCapture
pt | CaptureChanged
pt | Notification
pt | CanTab
pt | GetDeviceContext
pt | GetEnabled
pt | GetPopupMenu
pt | DoOnShowHint
pt | DoMouseWheel
pt | DoMouseWheelDown
pt | DoMouseWheelUp
pt | DoMouseWheelHorz
pt | DoMouseWheelLeft
pt | DoMouseWheelRight
pt | VisibleChanging
pt | VisibleChanged
pt | EnabledChanging
pt | EnabledChanged
pt | AddHandler
pt | RemoveHandler
pt | DoCallNotifyHandler
pt | DoCallKeyEventHandler
pt | DoCallMouseWheelEventHandler
pt | DoContextPopup
pt | SetZOrder
pt | GetControlClassDefaultSize
pt | ColorIsStored
pt | DoAutoAdjustLayout
pt | DoFixDesignFontPPI
pt | DoScaleFontPPI
pt | GetActionLinkClass
pt | ActionChange
 | DragDrop
 | Dock
 | ManualDock
 | ManualFloat
 | ReplaceDockedControl
 | Docked
 | Dragging
 | GetAccessibleObject
 | CreateAccessibleObject
 | GetSelectedChildAccessibleObject
 | GetChildAccessibleObjectAtPos
 | ScaleDesignToForm
 | ScaleFormToDesign
 | Scale96ToForm
 | ScaleFormTo96
 | Scale96ToFont
 | ScaleFontTo96
 | ScaleScreenToFont
 | ScaleFontToScreen
 | Scale96ToScreen
 | ScaleScreenTo96
 | AdjustSize
 | AutoSizePhases
 | AutoSizeDelayed
 | AutoSizeDelayedReport
 | AutoSizeDelayedHandle
 | AnchorToNeighbour
 | AnchorParallel
 | AnchorHorizontalCenterTo
 | AnchorVerticalCenterTo
 | AnchorToCompanion
 | AnchorSame
 | AnchorAsAlign
 | AnchorClient
 | AnchoredControlCount
 | SetBounds
 | SetInitialBounds
 | SetBoundsKeepBase
 | GetPreferredSize
 | GetCanvasScaleFactor
 | GetDefaultWidth
 | GetDefaultHeight
 | GetDefaultColor
 | GetColorResolvingParent
 | GetRGBColorResolvingParent
 | GetSidePosition
 | CNPreferredSizeChanged
 | InvalidatePreferredSize
 | GetAnchorsDependingOnParent
 | DisableAutoSizing
 | EnableAutoSizing
 | UpdateBaseBounds
 | WriteLayoutDebugReport
 | AutoAdjustLayout
 | ShouldAutoAdjust
 | FixDesignFontsPPI
 | ScaleFontsPPI
 | Create
 | Destroy
 | BeforeDestruction
 | EditingDone
 | ExecuteDefaultAction
 | ExecuteCancelAction
 | BeginDrag
 | EndDrag
 | BringToFront
 | HasParent
 | GetParentComponent
 | IsParentOf
 | GetTopParent
 | IsVisible
 | IsControlVisible
 | IsEnabled
 | IsParentColor
 | IsParentFont
 | FormIsUpdating
 | IsProcessingPaintMsg
 | Hide
 | Refresh
 | Repaint
 | Invalidate
 | CheckChildClassAllowed
 | CheckNewParent
 | SendToBack
 | SetTempCursor
 | UpdateRolesForForm
 | ActiveDefaultControlChanged
 | GetTextBuf
 | GetTextLen
 | SetTextBuf
 | Perform
 | ScreenToClient
 | ClientToScreen
 | ScreenToControl
 | ControlToScreen
 | ClientToParent
 | ParentToClient
 | GetChildrenRect
 | Show
 | Update
 | HandleObjectShouldBeVisible
 | ParentDestroyingHandle
 | ParentHandlesAllocated
 | InitiateAction
 | ShowHelp
 | HasHelp
 | RemoveAllHandlersOfObject
 | AddHandlerOnResize
 | RemoveHandlerOnResize
 | AddHandlerOnChangeBounds
 | RemoveHandlerOnChangeBounds
 | AddHandlerOnVisibleChanging
 | RemoveHandlerOnVisibleChanging
 | AddHandlerOnVisibleChanged
 | RemoveHandlerOnVisibleChanged
 | AddHandlerOnEnabledChanged
 | RemoveHandlerOnEnableChanging
 | AddHandlerOnKeyDown
 | RemoveHandlerOnKeyDown
 | AddHandlerOnBeforeDestruction
 | RemoveHandlerOnBeforeDestruction
 | AddHandlerOnMouseWheel
 | RemoveHandlerOnMouseWheel
 | UseRightToLeftAlignment
 | UseRightToLeftReading
 | UseRightToLeftScrollBar
 | IsRightToLeft
TLCLComponent
pt | WSRegisterClass
pt | GetWSComponentClass
 | Create
 | Destroy
 | NewInstance
 | RemoveAllHandlersOfObject
 | IncLCLRefCount
 | DecLCLRefCount
TComponent
 | GetComObject
 | GetComponent
 | GetComponentCount
 | GetComponentIndex
 | Insert
 | ReadLeft
 | ReadTop
 | Remove
 | RemoveNotification
 | SetComponentIndex
 | SetReference
 | WriteLeft
 | WriteTop
 | ChangeName
 | DefineProperties
 | GetChildren
 | GetChildOwner
 | GetChildParent
 | GetOwner
 | Loaded
 | Loading
 | Notification
 | PaletteCreated
 | ReadState
 | SetAncestor
 | SetDesigning
 | SetDesignInstance
 | SetInline
 | SetName
 | SetChildOrder
 | SetParentComponent
 | Updating
 | Updated
 | UpdateRegistry
 | ValidateRename
 | ValidateContainer
 | ValidateInsert
 | QueryInterface
 | _AddRef
 | _Release
 | iicrGetComponent
 | GetTypeInfoCount
 | GetTypeInfo
 | GetIDsOfNames
 | Invoke
 | WriteState
 | Create
 | Destroy
 | BeforeDestruction
 | DestroyComponents
 | Destroying
 | ExecuteAction
 | FindComponent
 | FreeNotification
 | RemoveFreeNotification
 | FreeOnRelease
 | GetEnumerator
 | GetNamePath
 | GetParentComponent
 | HasParent
 | InsertComponent
 | RemoveComponent
 | SafeCallException
 | SetSubComponent
 | UpdateAction
 | IsImplementorOf
 | ReferenceInterface
TPersistent
 | AssignError
 | AssignTo
 | DefineProperties
 | GetOwner
 | Destroy
 | Assign
 | FPOAttachObserver
 | FPODetachObserver
 | FPONotifyObservers
 | GetNamePath
TObject
 | Create
 | Destroy
 | newinstance
 | FreeInstance
 | SafeCallException
 | DefaultHandler
 | Free
 | InitInstance
 | CleanupInstance
 | ClassType
 | ClassInfo
 | ClassName
 | ClassNameIs
 | ClassParent
 | InstanceSize
 | InheritsFrom
 | StringMessageTable
 | MethodAddress
 | MethodName
 | FieldAddress
 | AfterConstruction
 | BeforeDestruction
 | DefaultHandlerStr
 | Dispatch
 | DispatchStr
 | GetInterface
 | GetInterfaceByStr
 | GetInterfaceWeak
 | GetInterfaceEntry
 | GetInterfaceEntryByStr
 | GetInterfaceTable
 | UnitName
 | Equals
 | GetHashCode
 | ToString


TCustomColorListBox
 |  | OnGetColors
TCustomListBox
 | ro | OnChangeBounds
 | ro | OnClick
 | ro | OnDblClick
 |  | OnDrawItem
 | ro | OnEnter
 | ro | OnExit
 | ro | OnKeyDown
 | ro | OnKeyPress
 | ro | OnKeyUp
 |  | OnMeasureItem
 | ro | OnMouseDown
 | ro | OnMouseEnter
 | ro | OnMouseLeave
 | ro | OnMouseMove
 | ro | OnMouseUp
 | ro | OnMouseWheel
 | ro | OnMouseWheelDown
 | ro | OnMouseWheelUp
 | ro | OnResize
 |  | OnSelectionChange
 | ro | OnUTF8KeyPress
TWinControl
pt |  | OnGetSiteInfo
pt |  | OnGetDockCaption
 |  | OnAlignInsertBefore
 |  | OnAlignPosition
 |  | OnDockDrop
 |  | OnDockOver
 |  | OnEnter
 |  | OnExit
 |  | OnKeyDown
 |  | OnKeyPress
 |  | OnKeyUp
 |  | OnUnDock
 |  | OnUTF8KeyPress
TControl
pt |  | OnConstrainedResize
pt |  | OnContextPopup
pt |  | OnDblClick
pt |  | OnTripleClick
pt |  | OnQuadClick
pt |  | OnDragDrop
pt |  | OnDragOver
pt |  | OnEndDock
pt |  | OnEndDrag
pt |  | OnMouseDown
pt |  | OnMouseMove
pt |  | OnMouseUp
pt |  | OnMouseEnter
pt |  | OnMouseLeave
pt |  | OnMouseWheel
pt |  | OnMouseWheelDown
pt |  | OnMouseWheelUp
pt |  | OnMouseWheelHorz
pt |  | OnMouseWheelLeft
pt |  | OnMouseWheelRight
pt |  | OnStartDock
pt |  | OnStartDrag
pt |  | OnEditingDone
 |  | OnChangeBounds
 |  | OnClick
 |  | OnResize
 |  | OnShowHint
TLCLComponent
TComponent
TPersistent
TObject


 | ro | OnChangeBounds (TCustomListBox)
 |  | OnClick (TControl)
 | ro | OnClick (TCustomListBox)
pt |  | OnConstrainedResize (TControl)
pt |  | OnContextPopup (TControl)
pt |  | OnDblClick (TControl)
 | ro | OnDblClick (TCustomListBox)
 |  | OnDockDrop (TWinControl)
 |  | OnDockOver (TWinControl)
pt |  | OnDragDrop (TControl)
pt |  | OnDragOver (TControl)
 |  | OnDrawItem (TCustomListBox)
pt |  | OnEditingDone (TControl)
pt |  | OnEndDock (TControl)
pt |  | OnEndDrag (TControl)
 |  | OnEnter (TWinControl)
 | ro | OnEnter (TCustomListBox)
 |  | OnExit (TWinControl)
 | ro | OnExit (TCustomListBox)
 |  | OnGetColors (TCustomColorListBox)
pt |  | OnGetDockCaption (TWinControl)
pt |  | OnGetSiteInfo (TWinControl)
 |  | OnKeyDown (TWinControl)
 | ro | OnKeyDown (TCustomListBox)
 |  | OnKeyPress (TWinControl)
 | ro | OnKeyPress (TCustomListBox)
 |  | OnKeyUp (TWinControl)
 | ro | OnKeyUp (TCustomListBox)
 |  | OnMeasureItem (TCustomListBox)
pt |  | OnMouseDown (TControl)
 | ro | OnMouseDown (TCustomListBox)
pt |  | OnMouseEnter (TControl)
 | ro | OnMouseEnter (TCustomListBox)
pt |  | OnMouseLeave (TControl)
 | ro | OnMouseLeave (TCustomListBox)
pt |  | OnMouseMove (TControl)
 | ro | OnMouseMove (TCustomListBox)
pt |  | OnMouseUp (TControl)
 | ro | OnMouseUp (TCustomListBox)
pt |  | OnMouseWheel (TControl)
 | ro | OnMouseWheel (TCustomListBox)
pt |  | OnMouseWheelDown (TControl)
 | ro | OnMouseWheelDown (TCustomListBox)
pt |  | OnMouseWheelHorz (TControl)
pt |  | OnMouseWheelLeft (TControl)
pt |  | OnMouseWheelRight (TControl)
pt |  | OnMouseWheelUp (TControl)
 | ro | OnMouseWheelUp (TCustomListBox)
pt |  | OnQuadClick (TControl)
 |  | OnResize (TControl)
 | ro | OnResize (TCustomListBox)
 |  | OnSelectionChange (TCustomListBox)
 |  | OnShowHint (TControl)
pt |  | OnStartDock (TControl)
pt |  | OnStartDrag (TControl)
pt |  | OnTripleClick (TControl)
 |  | OnUnDock (TWinControl)
 |  | OnUTF8KeyPress (TWinControl)
 | ro | OnUTF8KeyPress (TCustomListBox)


TCustomColorListBox.ColorNames

ColorNames - the name of the indexed colour, stored as a string

Declaration

Source position: colorbox.pas line 204

public property TCustomColorListBox.ColorNames[Index: Integer] : string
  read GetColorName;


TCustomColorListBox.ColorRectOffset

Declaration

Source position: colorbox.pas line 200

public property TCustomColorListBox.ColorRectOffset : Integer
  read FColorRectOffset
  write SetColorRectOffset
  default cDefaultColorRectOffset;


TCustomColorListBox.ColorRectWidth

Declaration

Source position: colorbox.pas line 199

public property TCustomColorListBox.ColorRectWidth : Integer
  read GetColorRectWidth
  write SetColorRectWidth
  stored ColorRectWidthStored;


TCustomColorListBox.ColorRectWidthStored

Declaration

Source position: colorbox.pas line 187

protected function TCustomColorListBox.ColorRectWidthStored: Boolean;


TCustomColorListBox.Colors

The Colors specified by Index

Declaration

Source position: colorbox.pas line 203

public property TCustomColorListBox.Colors[Index: Integer] : TColor
  read GetColors
  write SetColors;


TCustomColorListBox.Create

Create - constructor for TCustomColorListBox: calls inherited Create, initialises style, default colours and sets colour list

Declaration

Source position: colorbox.pas line 198

public constructor TCustomColorListBox.Create(

  AOwner: TComponent

); override;

See also

TCustomListBox.Create


TCustomColorListBox.DefaultColorColor

DefaultColorColor - the default colour, expressed as a Color value

Declaration

Source position: colorbox.pas line 206

public property TCustomColorListBox.DefaultColorColor : TColor
  read FDefaultColorColor
  write SetDefaultColorColor
  default clBlack;

Description

DefaultColorColor - the default colour, expressed as a Color value

The use of the construct ..ColorColor denotes the value of a colour as a TColor, as opposed to an index value


TCustomColorListBox.DoAutoAdjustLayout

Declaration

Source position: colorbox.pas line 192

protected procedure TCustomColorListBox.DoAutoAdjustLayout(

  const AMode: TLayoutAdjustmentPolicy;

  const AXProportion: Double;

  const AYProportion: Double

); override;


TCustomColorListBox.DoGetColors

DoGetColors - perform the code for getting the colours

Declaration

Source position: colorbox.pas line 194

protected procedure TCustomColorListBox.DoGetColors; virtual;


TCustomColorListBox.NoneColorColor

NoneColorColor - the colour to be used when no selection has been made, or when None is selected, stored as a TColor

Declaration

Source position: colorbox.pas line 207

public property TCustomColorListBox.NoneColorColor : TColor
  read FNoneColorColor
  write SetNoneColorColor
  default clBlack;


TCustomColorListBox.OnGetColors

OnGetColors - event handler for the instruction to Get Colours

Declaration

Source position: colorbox.pas line 208

public property TCustomColorListBox.OnGetColors : TLBGetColorsEvent
  read FOnGetColors
  write FOnGetColors;


TCustomColorListBox.PickCustomColor

PickCustomColor - if True, a custom colour is picked rather than one from the standard list

Declaration

Source position: colorbox.pas line 196

protected function TCustomColorListBox.PickCustomColor: Boolean; virtual;


TCustomColorListBox.SetColorList

SetColorList - specifies the list of colours

Declaration

Source position: colorbox.pas line 189

protected procedure TCustomColorListBox.SetColorList;


TCheckComboBox

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Declaration

Source position: comboex.pas line 332

type TCheckComboBox = class(TCustomCheckCombo)

published

  property Align: TAlign;

  property AllowGrayed: Boolean;

  property Anchors: TAnchors;

  property ArrowKeysTraverseList: Boolean;

  property AutoDropDown: Boolean;

  property AutoSize: Boolean;

  property BidiMode: TBiDiMode;

  property BorderSpacing: TControlBorderSpacing;

  property BorderStyle: TBorderStyle;

  property Color: TColor;

  property Constraints: TSizeConstraints;

  property Count: Integer;

  property DragCursor: TCursor;

  property DragKind: TDragKind;

  property DragMode: TDragMode;

  property DropDownCount: Integer;

  property Enabled: Boolean;

  property Font: TFont;

  property ItemHeight: Integer;

  property ItemIndex: Integer;

  property Items: TStrings;

  property ItemWidth: Integer;

  property MaxLength: Integer;

  property OnChange: TNotifyEvent;

  property OnChangeBounds: TNotifyEvent;

  property OnClick: TNotifyEvent;

  property OnCloseUp: TNotifyEvent;

  property OnContextPopup: TContextPopupEvent;

  property OnDblClick: TNotifyEvent;

  property OnDragDrop: TDragDropEvent;

  property OnDragOver: TDragOverEvent;

  property OnEndDrag: TEndDragEvent;

  property OnDropDown: TNotifyEvent;

  property OnEditingDone: TNotifyEvent;

  property OnEnter: TNotifyEvent;

  property OnExit: TNotifyEvent;

  property OnGetItems: TNotifyEvent;

  property OnItemChange: TCheckItemChange;

  property OnKeyDown: TKeyEvent;

  property OnKeyPress: TKeyPressEvent;

  property OnKeyUp: TKeyEvent;

  property OnMouseDown: TMouseEvent;

  property OnMouseEnter: TNotifyEvent;

  property OnMouseLeave: TNotifyEvent;

  property OnMouseMove: TMouseMoveEvent;

  property OnMouseUp: TMouseEvent;

  property OnMouseWheel: TMouseWheelEvent;

  property OnMouseWheelDown: TMouseWheelUpDownEvent;

  property OnMouseWheelUp: TMouseWheelUpDownEvent;

  property OnStartDrag: TStartDragEvent;

  property OnSelect: TNotifyEvent;

  property OnUTF8KeyPress: TUTF8KeyPressEvent;

  property ParentBidiMode: Boolean;

  property ParentColor: Boolean;

  property ParentFont: Boolean;

  property ParentShowHint: Boolean;

  property PopupMenu: TPopupMenu;

  property ShowHint: Boolean;

  property Sorted: Boolean;

  property TabOrder: TTabOrder;

  property TabStop: Boolean;

  property Text: TCaption;

  property Visible: Boolean;

end;

Inheritance

TCheckComboBox |
|
TCustomCheckCombo |
|
TCustomComboBox | The base class for ComboBox components.
|
TWinControl | The base class for controls which can contain other (child) controls.
|
TControl | The base class for visible controls.
|
TLCLComponent | The base class for LCL components associated with widgets.
|
TComponent,IUnknown,IInterfaceComponentReference
|
TPersistent,IFPObserved
|
TObject


TCheckComboBox
pl | ro | Align
pl | ro | AllowGrayed
pl | ro | Anchors
pl | ro | ArrowKeysTraverseList
pl | ro | AutoDropDown
pl | ro | AutoSize
pl | ro | BidiMode
pl | ro | BorderSpacing
pl | ro | BorderStyle
pl | ro | Color
pl | ro | Constraints
pl | ro | Count
pl | ro | DragCursor
pl | ro | DragKind
pl | ro | DragMode
pl | ro | DropDownCount
pl | ro | Enabled
pl | ro | Font
pl | ro | ItemHeight
pl | ro | ItemIndex
pl | ro | Items
pl | ro | ItemWidth
pl | ro | MaxLength
pl | ro | ParentBidiMode
pl | ro | ParentColor
pl | ro | ParentFont
pl | ro | ParentShowHint
pl | ro | PopupMenu
pl | ro | ShowHint
pl | ro | Sorted
pl | ro | TabOrder
pl | ro | TabStop
pl | ro | Text
pl | ro | Visible
TCustomCheckCombo
 |  | AllowGrayed
 | ro | Count
 |  | Checked
 |  | ItemEnabled
 |  | Objects
 |  | State
TCustomComboBox
pt |  | ItemHeight
pt |  | ItemWidth
pt |  | MaxLength
pt | ro | ParentColor
pt |  | Sorted
 |  | CharCase
 |  | DroppedDown
 |  | DroppingDown
 |  | AutoComplete
 |  | AutoCompleteText
 |  | AutoDropDown
 |  | AutoSelect
 |  | AutoSelected
 | ro | AutoSize
 |  | ArrowKeysTraverseList
 | ro | Canvas
 |  | DropDownCount
 |  | Items
 |  | ItemIndex
 |  | ReadOnly
 |  | SelLength
 |  | SelStart
 |  | SelText
 |  | Style
 | ro | TabStop
 | ro | Text
TWinControl
pt |  | WindowHandle
pt |  | BorderStyle
pt |  | ParentBackground
 |  | BorderWidth
 | ro | BoundsLockCount
 | ro | Brush
 | ro | CachedClientHeight
 | ro | CachedClientWidth
 |  | ChildSizing
 | ro | ControlCount
 | ro | Controls
 |  | DefWndProc
 | ro | DockClientCount
 | ro | DockClients
 |  | DockManager
 |  | DockSite
 |  | DoubleBuffered
 |  | Handle
 | ro | IsFlipped
 | ro | IsResizing
 |  | TabOrder
 |  | TabStop
 |  | ParentDoubleBuffered
 |  | ParentWindow
 | ro | Showing
 |  | UseDockManager
 |  | DesignerDeleting
 | ro | VisibleDockClientCount
TControl
pt | ro | AutoSizing
pt | ro | AutoSizingAll
pt | ro | AutoSizingLockCount
pt |  | ActionLink
pt |  | DesktopFont
pt |  | DragCursor
pt |  | DragKind
pt |  | DragMode
pt |  | MouseCapture
pt |  | ParentColor
pt |  | ParentFont
pt |  | ParentShowHint
pt |  | SessionProperties
pt |  | Text
 | ro | AnchoredControls
 | ro | BaseBounds
 | ro | ReadBounds
 | ro | BaseParentClientSize
 |  | AccessibleDescription
 |  | AccessibleValue
 |  | AccessibleRole
 |  | Action
 |  | Align
 |  | Anchors
 | ro | AnchorSide
 |  | AutoSize
 |  | BorderSpacing
 |  | BoundsRect
 |  | BoundsRectForNewParent
 |  | Caption
 |  | CaptureMouseButtons
 |  | ClientHeight
 | ro | ClientOrigin
 | ro | ClientRect
 |  | ClientWidth
 |  | Color
 |  | Constraints
 | ro | ControlOrigin
 |  | ControlState
 |  | ControlStyle
 |  | Enabled
 |  | Font
 |  | IsControl
 | ro | MouseEntered
 | ro | MouseInClient
 |  | Parent
 |  | PopupMenu
 |  | ShowHint
 |  | Visible
 |  | WindowProc
 |  | DockOrientation
 | ro | Floating
 |  | FloatingDockSiteClass
 |  | HostDockSite
 |  | LRDockWidth
 |  | TBDockHeight
 |  | UndockHeight
 |  | UndockWidth
 |  | BiDiMode
 |  | ParentBiDiMode
pl |  | AnchorSideLeft
pl |  | AnchorSideTop
pl |  | AnchorSideRight
pl |  | AnchorSideBottom
pl |  | Cursor
pl |  | Left
pl |  | Height
pl |  | Hint
pl |  | Top
pl |  | Width
pl |  | HelpType
pl |  | HelpKeyword
pl |  | HelpContext
TLCLComponent
 | ro | LCLRefCount
 | ro | WidgetSetClass
TComponent
 | ro | ComObject
 | ro | Components
 | ro | ComponentCount
 |  | ComponentIndex
 | ro | ComponentState
 | ro | ComponentStyle
 |  | DesignInfo
 | ro | Owner
 |  | VCLComObject
 |  | Name
 |  | Tag
TPersistent
TObject


 |  | AccessibleDescription (TControl)
 |  | AccessibleRole (TControl)
 |  | AccessibleValue (TControl)
 |  | Action (TControl)
pt |  | ActionLink (TControl)
 |  | Align (TControl)
pl | ro | Align (TCheckComboBox)
 |  | AllowGrayed (TCustomCheckCombo)
pl | ro | AllowGrayed (TCheckComboBox)
 | ro | AnchoredControls (TControl)
 |  | Anchors (TControl)
pl | ro | Anchors (TCheckComboBox)
 | ro | AnchorSide (TControl)
pl |  | AnchorSideBottom (TControl)
pl |  | AnchorSideLeft (TControl)
pl |  | AnchorSideRight (TControl)
pl |  | AnchorSideTop (TControl)
 |  | ArrowKeysTraverseList (TCustomComboBox)
pl | ro | ArrowKeysTraverseList (TCheckComboBox)
 |  | AutoComplete (TCustomComboBox)
 |  | AutoCompleteText (TCustomComboBox)
 |  | AutoDropDown (TCustomComboBox)
pl | ro | AutoDropDown (TCheckComboBox)
 |  | AutoSelect (TCustomComboBox)
 |  | AutoSelected (TCustomComboBox)
 |  | AutoSize (TControl)
 | ro | AutoSize (TCustomComboBox)
pl | ro | AutoSize (TCheckComboBox)
pt | ro | AutoSizing (TControl)
pt | ro | AutoSizingAll (TControl)
pt | ro | AutoSizingLockCount (TControl)
 | ro | BaseBounds (TControl)
 | ro | BaseParentClientSize (TControl)
 |  | BiDiMode (TControl)
pl | ro | BidiMode (TCheckComboBox)
 |  | BorderSpacing (TControl)
pl | ro | BorderSpacing (TCheckComboBox)
pt |  | BorderStyle (TWinControl)
pl | ro | BorderStyle (TCheckComboBox)
 |  | BorderWidth (TWinControl)
 | ro | BoundsLockCount (TWinControl)
 |  | BoundsRect (TControl)
 |  | BoundsRectForNewParent (TControl)
 | ro | Brush (TWinControl)
 | ro | CachedClientHeight (TWinControl)
 | ro | CachedClientWidth (TWinControl)
 | ro | Canvas (TCustomComboBox)
 |  | Caption (TControl)
 |  | CaptureMouseButtons (TControl)
 |  | CharCase (TCustomComboBox)
 |  | Checked (TCustomCheckCombo)
 |  | ChildSizing (TWinControl)
 |  | ClientHeight (TControl)
 | ro | ClientOrigin (TControl)
 | ro | ClientRect (TControl)
 |  | ClientWidth (TControl)
 |  | Color (TControl)
pl | ro | Color (TCheckComboBox)
 | ro | ComObject (TComponent)
 | ro | ComponentCount (TComponent)
 |  | ComponentIndex (TComponent)
 | ro | Components (TComponent)
 | ro | ComponentState (TComponent)
 | ro | ComponentStyle (TComponent)
 |  | Constraints (TControl)
pl | ro | Constraints (TCheckComboBox)
 | ro | ControlCount (TWinControl)
 | ro | ControlOrigin (TControl)
 | ro | Controls (TWinControl)
 |  | ControlState (TControl)
 |  | ControlStyle (TControl)
 | ro | Count (TCustomCheckCombo)
pl | ro | Count (TCheckComboBox)
pl |  | Cursor (TControl)
 |  | DefWndProc (TWinControl)
 |  | DesignerDeleting (TWinControl)
 |  | DesignInfo (TComponent)
pt |  | DesktopFont (TControl)
 | ro | DockClientCount (TWinControl)
 | ro | DockClients (TWinControl)
 |  | DockManager (TWinControl)
 |  | DockOrientation (TControl)
 |  | DockSite (TWinControl)
 |  | DoubleBuffered (TWinControl)
pt |  | DragCursor (TControl)
pl | ro | DragCursor (TCheckComboBox)
pt |  | DragKind (TControl)
pl | ro | DragKind (TCheckComboBox)
pt |  | DragMode (TControl)
pl | ro | DragMode (TCheckComboBox)
 |  | DropDownCount (TCustomComboBox)
pl | ro | DropDownCount (TCheckComboBox)
 |  | DroppedDown (TCustomComboBox)
 |  | DroppingDown (TCustomComboBox)
 |  | Enabled (TControl)
pl | ro | Enabled (TCheckComboBox)
 | ro | Floating (TControl)
 |  | FloatingDockSiteClass (TControl)
 |  | Font (TControl)
pl | ro | Font (TCheckComboBox)
 |  | Handle (TWinControl)
pl |  | Height (TControl)
pl |  | HelpContext (TControl)
pl |  | HelpKeyword (TControl)
pl |  | HelpType (TControl)
pl |  | Hint (TControl)
 |  | HostDockSite (TControl)
 |  | IsControl (TControl)
 | ro | IsFlipped (TWinControl)
 | ro | IsResizing (TWinControl)
 |  | ItemEnabled (TCustomCheckCombo)
pt |  | ItemHeight (TCustomComboBox)
pl | ro | ItemHeight (TCheckComboBox)
 |  | ItemIndex (TCustomComboBox)
pl | ro | ItemIndex (TCheckComboBox)
 |  | Items (TCustomComboBox)
pl | ro | Items (TCheckComboBox)
pt |  | ItemWidth (TCustomComboBox)
pl | ro | ItemWidth (TCheckComboBox)
 | ro | LCLRefCount (TLCLComponent)
pl |  | Left (TControl)
 |  | LRDockWidth (TControl)
pt |  | MaxLength (TCustomComboBox)
pl | ro | MaxLength (TCheckComboBox)
pt |  | MouseCapture (TControl)
 | ro | MouseEntered (TControl)
 | ro | MouseInClient (TControl)
 |  | Name (TComponent)
 |  | Objects (TCustomCheckCombo)
 | ro | Owner (TComponent)
 |  | Parent (TControl)
pt |  | ParentBackground (TWinControl)
 |  | ParentBiDiMode (TControl)
pl | ro | ParentBidiMode (TCheckComboBox)
pt |  | ParentColor (TControl)
pt | ro | ParentColor (TCustomComboBox)
pl | ro | ParentColor (TCheckComboBox)
 |  | ParentDoubleBuffered (TWinControl)
pt |  | ParentFont (TControl)
pl | ro | ParentFont (TCheckComboBox)
pt |  | ParentShowHint (TControl)
pl | ro | ParentShowHint (TCheckComboBox)
 |  | ParentWindow (TWinControl)
 |  | PopupMenu (TControl)
pl | ro | PopupMenu (TCheckComboBox)
 | ro | ReadBounds (TControl)
 |  | ReadOnly (TCustomComboBox)
 |  | SelLength (TCustomComboBox)
 |  | SelStart (TCustomComboBox)
 |  | SelText (TCustomComboBox)
pt |  | SessionProperties (TControl)
 |  | ShowHint (TControl)
pl | ro | ShowHint (TCheckComboBox)
 | ro | Showing (TWinControl)
pt |  | Sorted (TCustomComboBox)
pl | ro | Sorted (TCheckComboBox)
 |  | State (TCustomCheckCombo)
 |  | Style (TCustomComboBox)
 |  | TabOrder (TWinControl)
pl | ro | TabOrder (TCheckComboBox)
 |  | TabStop (TWinControl)
 | ro | TabStop (TCustomComboBox)
pl | ro | TabStop (TCheckComboBox)
 |  | Tag (TComponent)
 |  | TBDockHeight (TControl)
pt |  | Text (TControl)
 | ro | Text (TCustomComboBox)
pl | ro | Text (TCheckComboBox)
pl |  | Top (TControl)
 |  | UndockHeight (TControl)
 |  | UndockWidth (TControl)
 |  | UseDockManager (TWinControl)
 |  | VCLComObject (TComponent)
 |  | Visible (TControl)
pl | ro | Visible (TCheckComboBox)
 | ro | VisibleDockClientCount (TWinControl)
 | ro | WidgetSetClass (TLCLComponent)
pl |  | Width (TControl)
pt |  | WindowHandle (TWinControl)
 |  | WindowProc (TControl)


TCheckComboBox
TCustomCheckCombo
pt | CMBiDiModeChanged
pt | ClearItemStates
pt | CloseUp
pt | DrawItem
pt | DropDown
pt | FontChanged
pt | InitializeWnd
pt | InitItemStates
pt | CheckItemStates
pt | QueueCheckItemStates
pt | KeyDown
pt | Loaded
pt | MouseLeave
pt | MouseMove
pt | SetItemHeight
pt | SetItems
pt | Select
 | Create
 | Destroy
 | AddItem
 | AssignItems
 | Clear
 | DeleteItem
 | CheckAll
 | Toggle
TCustomComboBox
pt | WSRegisterClass
pt | CreateParams
pt | InitializeWnd
pt | DestroyWnd
pt | DoEnter
pt | DoExit
pt | DrawItem
pt | KeyUpAfterInterface
pt | MeasureItem
pt | GetControlClassDefaultSize
pt | LMChanged
pt | CMWantSpecialKey
pt | Change
pt | Select
pt | DropDown
pt | GetItems
pt | SetItems
pt | CloseUp
pt | AdjustDropDown
pt | DoAutoAdjustLayout
pt | GetItemCount
pt | GetItemHeight
pt | GetSelLength
pt | GetSelStart
pt | GetSelText
pt | GetItemIndex
pt | GetMaxLength
pt | SetDropDownCount
pt | SetDroppedDown
pt | SetItemHeight
pt | SetItemIndex
pt | SetMaxLength
pt | SetSelLength
pt | SetSelStart
pt | SetSelText
pt | SetSorted
pt | SetStyle
pt | RealSetText
pt | KeyDown
pt | KeyUp
pt | UTF8KeyPress
pt | MouseUp
pt | SelectItem
pt | ShouldAutoAdjust
 | Create
 | Destroy
 | IntfGetItems
 | AddItem
 | AddHistoryItem
 | Clear
 | ClearSelection
 | SelectAll
TWinControl
pt | WSRegisterClass
pt | AdjustClientRect
pt | GetAdjustedLogicalClientRect
pt | AlignControls
pt | CustomAlignInsertBefore
pt | CustomAlignPosition
pt | DoAlignChildControls
pt | DoChildSizingChange
pt | InvalidatePreferredChildSizes
pt | CanTab
pt | IsClientHeightStored
pt | IsClientWidthStored
pt | DoSendShowHideToInterface
pt | ControlsAligned
pt | DoSendBoundsToInterface
pt | RealizeBounds
pt | RealizeBoundsRecursive
pt | InvalidateBoundsRealized
pt | CreateSubClass
pt | DoConstraintsChange
pt | DoSetBounds
pt | DoAutoSize
pt | DoAllAutoSize
pt | AllAutoSized
pt | CalculatePreferredSize
pt | GetPreferredSizeClientFrame
pt | GetChildren
pt | ChildClassAllowed
pt | PaintControls
pt | PaintHandler
pt | PaintWindow
pt | CreateBrush
pt | ScaleControls
pt | ChangeScale
pt | CMBiDiModeChanged
pt | CMBorderChanged
pt | CMDoubleBufferedChanged
pt | CMEnabledChanged
pt | CMParentDoubleBufferedChanged
pt | CMShowingChanged
pt | CMShowHintChanged
pt | CMVisibleChanged
pt | CMEnter
pt | CMExit
pt | WMContextMenu
pt | WMEraseBkgnd
pt | WMNotify
pt | WMSetFocus
pt | WMKillFocus
pt | WMShowWindow
pt | WMEnter
pt | WMExit
pt | WMKeyDown
pt | WMSysKeyDown
pt | WMKeyUp
pt | WMSysKeyUp
pt | WMChar
pt | WMSysChar
pt | WMPaint
pt | WMDestroy
pt | WMMove
pt | WMSize
pt | WMWindowPosChanged
pt | CNKeyDown
pt | CNSysKeyDown
pt | CNKeyUp
pt | CNSysKeyUp
pt | CNChar
pt | DoDragMsg
pt | DoDockClientMsg
pt | DoUndockClientMsg
pt | DoAddDockClient
pt | DockOver
pt | DoDockOver
pt | DoRemoveDockClient
pt | DoUnDock
pt | GetSiteInfo
pt | GetParentHandle
pt | GetTopParentHandle
pt | ReloadDockedControl
pt | CreateDockManager
pt | SetDockManager
pt | DoFloatMsg
pt | DoGetDockCaption
pt | DoEnter
pt | DoExit
pt | DoKeyDownBeforeInterface
pt | DoRemainingKeyDown
pt | DoRemainingKeyUp
pt | DoKeyPress
pt | DoUTF8KeyPress
pt | DoKeyUpBeforeInterface
pt | ChildKey
pt | SendDialogChar
pt | DialogChar
pt | ControlKeyDown
pt | ControlKeyUp
pt | KeyDown
pt | KeyDownBeforeInterface
pt | KeyDownAfterInterface
pt | KeyPress
pt | KeyUp
pt | KeyUpBeforeInterface
pt | KeyUpAfterInterface
pt | UTF8KeyPress
pt | FindNextControl
pt | SelectFirst
pt | RealGetText
pt | GetBorderStyle
pt | GetClientOrigin
pt | GetClientRect
pt | GetControlOrigin
pt | GetDeviceContext
pt | GetParentBackground
pt | IsControlMouseMsg
pt | CreateHandle
pt | CreateParams
pt | CreateWnd
pt | DestroyHandle
pt | DestroyWnd
pt | DoFlipChildren
pt | FinalizeWnd
pt | FixupTabList
pt | FontChanged
pt | InitializeWnd
pt | Loaded
pt | FormEndUpdated
pt | MainWndProc
pt | ParentFormHandleInitialized
pt | ChildHandlesCreated
pt | GetMouseCapture
pt | RealSetText
pt | RemoveFocus
pt | SendMoveSizeMessages
pt | SetBorderStyle
pt | SetColor
pt | SetChildZPosition
pt | SetParentBackground
pt | ShowControl
pt | UpdateControlState
pt | UpdateShowing
pt | WndProc
pt | WSSetText
 | AutoSizePhases
 | AutoSizeDelayed
 | AutoSizeDelayedReport
 | AutoSizeDelayedHandle
 | BeginUpdateBounds
 | EndUpdateBounds
 | LockRealizeBounds
 | UnlockRealizeBounds
 | ControlAtPos
 | ContainsControl
 | DoAdjustClientRectChange
 | InvalidateClientRectCache
 | ClientRectNeedsInterfaceUpdate
 | SetBounds
 | GetChildrenRect
 | DisableAlign
 | EnableAlign
 | ReAlign
 | ScrollBy_WS
 | ScrollBy
 | WriteLayoutDebugReport
 | AutoAdjustLayout
 | Create
 | CreateParented
 | CreateParentedControl
 | Destroy
 | DockDrop
 | CanFocus
 | CanSetFocus
 | GetControlIndex
 | SetControlIndex
 | Focused
 | PerformTab
 | FindChildControl
 | SelectNext
 | SetTempCursor
 | BroadCast
 | NotifyControls
 | DefaultHandler
 | GetTextLen
 | Invalidate
 | AddControl
 | InsertControl
 | RemoveControl
 | GetEnumeratorControls
 | GetEnumeratorControlsReverse
 | Repaint
 | Update
 | SetFocus
 | FlipChildren
 | ScaleBy
 | GetDockCaption
 | UpdateDockCaption
 | GetTabOrderList
 | HandleAllocated
 | ParentHandlesAllocated
 | HandleNeeded
 | BrushCreated
 | EraseBackground
 | IntfUTF8KeyPress
 | IntfGetDropFilesTarget
 | PaintTo
 | SetShape
TControl
pt | WSRegisterClass
pt | GetCursor
pt | SetCursor
pt | SetVisible
pt | DoOnParentHandleDestruction
pt | DoAutoSize
pt | DoAllAutoSize
pt | BeginAutoSizing
pt | EndAutoSizing
pt | AnchorSideChanged
pt | ForeignAnchorSideChanged
pt | SetAlign
pt | SetAnchors
pt | SetAutoSize
pt | BoundsChanged
pt | CreateControlBorderSpacing
pt | DoConstraintsChange
pt | DoBorderSpacingChange
pt | IsBorderSpacingInnerBorderStored
pt | IsCaptionStored
pt | SendMoveSizeMessages
pt | ConstrainedResize
pt | CalculatePreferredSize
pt | DoOnResize
pt | DoOnChangeBounds
pt | CheckOnChangeBounds
pt | Resize
pt | RequestAlign
pt | UpdateAnchorRules
pt | ChangeBounds
pt | DoSetBounds
pt | ScaleConstraints
pt | ChangeScale
pt | CanAutoSize
pt | SetBiDiMode
pt | SetParentBiDiMode
pt | IsAParentAligning
pt | GetClientOrigin
pt | GetClientRect
pt | GetLogicalClientRect
pt | GetScrolledClientRect
pt | GetClientScrollOffset
pt | GetControlOrigin
pt | IsClientHeightStored
pt | IsClientWidthStored
pt | WidthIsAnchored
pt | HeightIsAnchored
pt | WMCancelMode
pt | WMContextMenu
pt | WMLButtonDown
pt | WMRButtonDown
pt | WMMButtonDown
pt | WMXButtonDown
pt | WMLButtonDBLCLK
pt | WMRButtonDBLCLK
pt | WMMButtonDBLCLK
pt | WMXButtonDBLCLK
pt | WMLButtonTripleCLK
pt | WMRButtonTripleCLK
pt | WMMButtonTripleCLK
pt | WMXButtonTripleCLK
pt | WMLButtonQuadCLK
pt | WMRButtonQuadCLK
pt | WMMButtonQuadCLK
pt | WMXButtonQuadCLK
pt | WMMouseMove
pt | WMLButtonUp
pt | WMRButtonUp
pt | WMMButtonUp
pt | WMXButtonUp
pt | WMMouseWheel
pt | WMMouseHWheel
pt | WMMove
pt | WMSize
pt | WMWindowPosChanged
pt | CMChanged
pt | LMCaptureChanged
pt | CMBiDiModeChanged
pt | CMSysFontChanged
pt | CMEnabledChanged
pt | CMHitTest
pt | CMMouseEnter
pt | CMMouseLeave
pt | CMHintShow
pt | CMParentBiDiModeChanged
pt | CMParentColorChanged
pt | CMParentFontChanged
pt | CMParentShowHintChanged
pt | CMVisibleChanged
pt | CMTextChanged
pt | CMCursorChanged
pt | CalculateDockSizes
pt | CreateFloatingDockSite
pt | GetDockEdge
pt | GetDragImages
pt | GetFloating
pt | GetFloatingDockSiteClass
pt | BeforeDragStart
pt | BeginAutoDrag
pt | DoFloatMsg
pt | DockTrackNoTarget
pt | DoDock
pt | DoDragMsg
pt | DoEndDock
pt | DoEndDrag
pt | DoStartDock
pt | DoStartDrag
pt | DragCanceled
pt | DragOver
pt | PositionDockRect
pt | SetDragMode
pt | GetDefaultDockCaption
pt | Click
pt | DblClick
pt | TripleClick
pt | QuadClick
pt | GetMousePosFromMessage
pt | MouseDown
pt | MouseMove
pt | MouseUp
pt | MouseEnter
pt | MouseLeave
pt | DialogChar
pt | UpdateMouseCursor
pt | Changed
pt | GetPalette
pt | ChildClassAllowed
pt | ReadState
pt | Loaded
pt | LoadedAll
pt | DefineProperties
pt | AssignTo
pt | FormEndUpdated
pt | InvalidateControl
pt | FontChanged
pt | ParentFontChanged
pt | GetAction
pt | RealGetText
pt | RealSetText
pt | TextChanged
pt | GetCachedText
pt | SetAction
pt | SetColor
pt | SetEnabled
pt | SetHint
pt | SetName
pt | SetParent
pt | SetParentComponent
pt | WndProc
pt | ParentFormHandleInitialized
pt | GetMouseCapture
pt | CaptureChanged
pt | Notification
pt | CanTab
pt | GetDeviceContext
pt | GetEnabled
pt | GetPopupMenu
pt | DoOnShowHint
pt | DoMouseWheel
pt | DoMouseWheelDown
pt | DoMouseWheelUp
pt | DoMouseWheelHorz
pt | DoMouseWheelLeft
pt | DoMouseWheelRight
pt | VisibleChanging
pt | VisibleChanged
pt | EnabledChanging
pt | EnabledChanged
pt | AddHandler
pt | RemoveHandler
pt | DoCallNotifyHandler
pt | DoCallKeyEventHandler
pt | DoCallMouseWheelEventHandler
pt | DoContextPopup
pt | SetZOrder
pt | GetControlClassDefaultSize
pt | ColorIsStored
pt | DoAutoAdjustLayout
pt | DoFixDesignFontPPI
pt | DoScaleFontPPI
pt | GetActionLinkClass
pt | ActionChange
 | DragDrop
 | Dock
 | ManualDock
 | ManualFloat
 | ReplaceDockedControl
 | Docked
 | Dragging
 | GetAccessibleObject
 | CreateAccessibleObject
 | GetSelectedChildAccessibleObject
 | GetChildAccessibleObjectAtPos
 | ScaleDesignToForm
 | ScaleFormToDesign
 | Scale96ToForm
 | ScaleFormTo96
 | Scale96ToFont
 | ScaleFontTo96
 | ScaleScreenToFont
 | ScaleFontToScreen
 | Scale96ToScreen
 | ScaleScreenTo96
 | AdjustSize
 | AutoSizePhases
 | AutoSizeDelayed
 | AutoSizeDelayedReport
 | AutoSizeDelayedHandle
 | AnchorToNeighbour
 | AnchorParallel
 | AnchorHorizontalCenterTo
 | AnchorVerticalCenterTo
 | AnchorToCompanion
 | AnchorSame
 | AnchorAsAlign
 | AnchorClient
 | AnchoredControlCount
 | SetBounds
 | SetInitialBounds
 | SetBoundsKeepBase
 | GetPreferredSize
 | GetCanvasScaleFactor
 | GetDefaultWidth
 | GetDefaultHeight
 | GetDefaultColor
 | GetColorResolvingParent
 | GetRGBColorResolvingParent
 | GetSidePosition
 | CNPreferredSizeChanged
 | InvalidatePreferredSize
 | GetAnchorsDependingOnParent
 | DisableAutoSizing
 | EnableAutoSizing
 | UpdateBaseBounds
 | WriteLayoutDebugReport
 | AutoAdjustLayout
 | ShouldAutoAdjust
 | FixDesignFontsPPI
 | ScaleFontsPPI
 | Create
 | Destroy
 | BeforeDestruction
 | EditingDone
 | ExecuteDefaultAction
 | ExecuteCancelAction
 | BeginDrag
 | EndDrag
 | BringToFront
 | HasParent
 | GetParentComponent
 | IsParentOf
 | GetTopParent
 | IsVisible
 | IsControlVisible
 | IsEnabled
 | IsParentColor
 | IsParentFont
 | FormIsUpdating
 | IsProcessingPaintMsg
 | Hide
 | Refresh
 | Repaint
 | Invalidate
 | CheckChildClassAllowed
 | CheckNewParent
 | SendToBack
 | SetTempCursor
 | UpdateRolesForForm
 | ActiveDefaultControlChanged
 | GetTextBuf
 | GetTextLen
 | SetTextBuf
 | Perform
 | ScreenToClient
 | ClientToScreen
 | ScreenToControl
 | ControlToScreen
 | ClientToParent
 | ParentToClient
 | GetChildrenRect
 | Show
 | Update
 | HandleObjectShouldBeVisible
 | ParentDestroyingHandle
 | ParentHandlesAllocated
 | InitiateAction
 | ShowHelp
 | HasHelp
 | RemoveAllHandlersOfObject
 | AddHandlerOnResize
 | RemoveHandlerOnResize
 | AddHandlerOnChangeBounds
 | RemoveHandlerOnChangeBounds
 | AddHandlerOnVisibleChanging
 | RemoveHandlerOnVisibleChanging
 | AddHandlerOnVisibleChanged
 | RemoveHandlerOnVisibleChanged
 | AddHandlerOnEnabledChanged
 | RemoveHandlerOnEnableChanging
 | AddHandlerOnKeyDown
 | RemoveHandlerOnKeyDown
 | AddHandlerOnBeforeDestruction
 | RemoveHandlerOnBeforeDestruction
 | AddHandlerOnMouseWheel
 | RemoveHandlerOnMouseWheel
 | UseRightToLeftAlignment
 | UseRightToLeftReading
 | UseRightToLeftScrollBar
 | IsRightToLeft
TLCLComponent
pt | WSRegisterClass
pt | GetWSComponentClass
 | Create
 | Destroy
 | NewInstance
 | RemoveAllHandlersOfObject
 | IncLCLRefCount
 | DecLCLRefCount
TComponent
 | GetComObject
 | GetComponent
 | GetComponentCount
 | GetComponentIndex
 | Insert
 | ReadLeft
 | ReadTop
 | Remove
 | RemoveNotification
 | SetComponentIndex
 | SetReference
 | WriteLeft
 | WriteTop
 | ChangeName
 | DefineProperties
 | GetChildren
 | GetChildOwner
 | GetChildParent
 | GetOwner
 | Loaded
 | Loading
 | Notification
 | PaletteCreated
 | ReadState
 | SetAncestor
 | SetDesigning
 | SetDesignInstance
 | SetInline
 | SetName
 | SetChildOrder
 | SetParentComponent
 | Updating
 | Updated
 | UpdateRegistry
 | ValidateRename
 | ValidateContainer
 | ValidateInsert
 | QueryInterface
 | _AddRef
 | _Release
 | iicrGetComponent
 | GetTypeInfoCount
 | GetTypeInfo
 | GetIDsOfNames
 | Invoke
 | WriteState
 | Create
 | Destroy
 | BeforeDestruction
 | DestroyComponents
 | Destroying
 | ExecuteAction
 | FindComponent
 | FreeNotification
 | RemoveFreeNotification
 | FreeOnRelease
 | GetEnumerator
 | GetNamePath
 | GetParentComponent
 | HasParent
 | InsertComponent
 | RemoveComponent
 | SafeCallException
 | SetSubComponent
 | UpdateAction
 | IsImplementorOf
 | ReferenceInterface
TPersistent
 | AssignError
 | AssignTo
 | DefineProperties
 | GetOwner
 | Destroy
 | Assign
 | FPOAttachObserver
 | FPODetachObserver
 | FPONotifyObservers
 | GetNamePath
TObject
 | Create
 | Destroy
 | newinstance
 | FreeInstance
 | SafeCallException
 | DefaultHandler
 | Free
 | InitInstance
 | CleanupInstance
 | ClassType
 | ClassInfo
 | ClassName
 | ClassNameIs
 | ClassParent
 | InstanceSize
 | InheritsFrom
 | StringMessageTable
 | MethodAddress
 | MethodName
 | FieldAddress
 | AfterConstruction
 | BeforeDestruction
 | DefaultHandlerStr
 | Dispatch
 | DispatchStr
 | GetInterface
 | GetInterfaceByStr
 | GetInterfaceWeak
 | GetInterfaceEntry
 | GetInterfaceEntryByStr
 | GetInterfaceTable
 | UnitName
 | Equals
 | GetHashCode
 | ToString


pt | ActionChange (TControl)
 | ActiveDefaultControlChanged (TControl)
 | AddControl (TWinControl)
pt | AddHandler (TControl)
 | AddHandlerOnBeforeDestruction (TControl)
 | AddHandlerOnChangeBounds (TControl)
 | AddHandlerOnEnabledChanged (TControl)
 | AddHandlerOnKeyDown (TControl)
 | AddHandlerOnMouseWheel (TControl)
 | AddHandlerOnResize (TControl)
 | AddHandlerOnVisibleChanged (TControl)
 | AddHandlerOnVisibleChanging (TControl)
 | AddHistoryItem (TCustomComboBox)
 | AddItem (TCustomComboBox)
 | AddItem (TCustomCheckCombo)
pt | AdjustClientRect (TWinControl)
pt | AdjustDropDown (TCustomComboBox)
 | AdjustSize (TControl)
 | AfterConstruction (TObject)
pt | AlignControls (TWinControl)
pt | AllAutoSized (TWinControl)
 | AnchorAsAlign (TControl)
 | AnchorClient (TControl)
 | AnchoredControlCount (TControl)
 | AnchorHorizontalCenterTo (TControl)
 | AnchorParallel (TControl)
 | AnchorSame (TControl)
pt | AnchorSideChanged (TControl)
 | AnchorToCompanion (TControl)
 | AnchorToNeighbour (TControl)
 | AnchorVerticalCenterTo (TControl)
 | Assign (TPersistent)
 | AssignError (TPersistent)
 | AssignItems (TCustomCheckCombo)
 | AssignTo (TPersistent)
pt | AssignTo (TControl)
 | AutoAdjustLayout (TControl)
 | AutoAdjustLayout (TWinControl)
 | AutoSizeDelayed (TControl)
 | AutoSizeDelayed (TWinControl)
 | AutoSizeDelayedHandle (TControl)
 | AutoSizeDelayedHandle (TWinControl)
 | AutoSizeDelayedReport (TControl)
 | AutoSizeDelayedReport (TWinControl)
 | AutoSizePhases (TControl)
 | AutoSizePhases (TWinControl)
 | BeforeDestruction (TObject)
 | BeforeDestruction (TComponent)
 | BeforeDestruction (TControl)
pt | BeforeDragStart (TControl)
pt | BeginAutoDrag (TControl)
pt | BeginAutoSizing (TControl)
 | BeginDrag (TControl)
 | BeginUpdateBounds (TWinControl)
pt | BoundsChanged (TControl)
 | BringToFront (TControl)
 | BroadCast (TWinControl)
 | BrushCreated (TWinControl)
pt | CalculateDockSizes (TControl)
pt | CalculatePreferredSize (TControl)
pt | CalculatePreferredSize (TWinControl)
pt | CanAutoSize (TControl)
 | CanFocus (TWinControl)
 | CanSetFocus (TWinControl)
pt | CanTab (TControl)
pt | CanTab (TWinControl)
pt | CaptureChanged (TControl)
pt | Change (TCustomComboBox)
pt | ChangeBounds (TControl)
pt | Changed (TControl)
 | ChangeName (TComponent)
pt | ChangeScale (TControl)
pt | ChangeScale (TWinControl)
 | CheckAll (TCustomCheckCombo)
 | CheckChildClassAllowed (TControl)
pt | CheckItemStates (TCustomCheckCombo)
 | CheckNewParent (TControl)
pt | CheckOnChangeBounds (TControl)
pt | ChildClassAllowed (TControl)
pt | ChildClassAllowed (TWinControl)
pt | ChildHandlesCreated (TWinControl)
pt | ChildKey (TWinControl)
 | ClassInfo (TObject)
 | ClassName (TObject)
 | ClassNameIs (TObject)
 | ClassParent (TObject)
 | ClassType (TObject)
 | CleanupInstance (TObject)
 | Clear (TCustomComboBox)
 | Clear (TCustomCheckCombo)
pt | ClearItemStates (TCustomCheckCombo)
 | ClearSelection (TCustomComboBox)
pt | Click (TControl)
 | ClientRectNeedsInterfaceUpdate (TWinControl)
 | ClientToParent (TControl)
 | ClientToScreen (TControl)
pt | CloseUp (TCustomComboBox)
pt | CloseUp (TCustomCheckCombo)
pt | CMBiDiModeChanged (TControl)
pt | CMBiDiModeChanged (TWinControl)
pt | CMBiDiModeChanged (TCustomCheckCombo)
pt | CMBorderChanged (TWinControl)
pt | CMChanged (TControl)
pt | CMCursorChanged (TControl)
pt | CMDoubleBufferedChanged (TWinControl)
pt | CMEnabledChanged (TControl)
pt | CMEnabledChanged (TWinControl)
pt | CMEnter (TWinControl)
pt | CMExit (TWinControl)
pt | CMHintShow (TControl)
pt | CMHitTest (TControl)
pt | CMMouseEnter (TControl)
pt | CMMouseLeave (TControl)
pt | CMParentBiDiModeChanged (TControl)
pt | CMParentColorChanged (TControl)
pt | CMParentDoubleBufferedChanged (TWinControl)
pt | CMParentFontChanged (TControl)
pt | CMParentShowHintChanged (TControl)
pt | CMShowHintChanged (TWinControl)
pt | CMShowingChanged (TWinControl)
pt | CMSysFontChanged (TControl)
pt | CMTextChanged (TControl)
pt | CMVisibleChanged (TControl)
pt | CMVisibleChanged (TWinControl)
pt | CMWantSpecialKey (TCustomComboBox)
pt | CNChar (TWinControl)
pt | CNKeyDown (TWinControl)
pt | CNKeyUp (TWinControl)
 | CNPreferredSizeChanged (TControl)
pt | CNSysKeyDown (TWinControl)
pt | CNSysKeyUp (TWinControl)
pt | ColorIsStored (TControl)
pt | ConstrainedResize (TControl)
 | ContainsControl (TWinControl)
 | ControlAtPos (TWinControl)
pt | ControlKeyDown (TWinControl)
pt | ControlKeyUp (TWinControl)
pt | ControlsAligned (TWinControl)
 | ControlToScreen (TControl)
 | Create (TObject)
 | Create (TComponent)
 | Create (TLCLComponent)
 | Create (TControl)
 | Create (TWinControl)
 | Create (TCustomComboBox)
 | Create (TCustomCheckCombo)
 | CreateAccessibleObject (TControl)
pt | CreateBrush (TWinControl)
pt | CreateControlBorderSpacing (TControl)
pt | CreateDockManager (TWinControl)
pt | CreateFloatingDockSite (TControl)
pt | CreateHandle (TWinControl)
pt | CreateParams (TWinControl)
pt | CreateParams (TCustomComboBox)
 | CreateParented (TWinControl)
 | CreateParentedControl (TWinControl)
pt | CreateSubClass (TWinControl)
pt | CreateWnd (TWinControl)
pt | CustomAlignInsertBefore (TWinControl)
pt | CustomAlignPosition (TWinControl)
pt | DblClick (TControl)
 | DecLCLRefCount (TLCLComponent)
 | DefaultHandler (TObject)
 | DefaultHandler (TWinControl)
 | DefaultHandlerStr (TObject)
 | DefineProperties (TPersistent)
 | DefineProperties (TComponent)
pt | DefineProperties (TControl)
 | DeleteItem (TCustomCheckCombo)
 | Destroy (TObject)
 | Destroy (TPersistent)
 | Destroy (TComponent)
 | Destroy (TLCLComponent)
 | Destroy (TControl)
 | Destroy (TWinControl)
 | Destroy (TCustomComboBox)
 | Destroy (TCustomCheckCombo)
 | DestroyComponents (TComponent)
pt | DestroyHandle (TWinControl)
 | Destroying (TComponent)
pt | DestroyWnd (TWinControl)
pt | DestroyWnd (TCustomComboBox)
pt | DialogChar (TControl)
pt | DialogChar (TWinControl)
 | DisableAlign (TWinControl)
 | DisableAutoSizing (TControl)
 | Dispatch (TObject)
 | DispatchStr (TObject)
pt | DoAddDockClient (TWinControl)
 | DoAdjustClientRectChange (TWinControl)
pt | DoAlignChildControls (TWinControl)
pt | DoAllAutoSize (TControl)
pt | DoAllAutoSize (TWinControl)
pt | DoAutoAdjustLayout (TControl)
pt | DoAutoAdjustLayout (TCustomComboBox)
pt | DoAutoSize (TControl)
pt | DoAutoSize (TWinControl)
pt | DoBorderSpacingChange (TControl)
pt | DoCallKeyEventHandler (TControl)
pt | DoCallMouseWheelEventHandler (TControl)
pt | DoCallNotifyHandler (TControl)
pt | DoChildSizingChange (TWinControl)
 | Dock (TControl)
 | DockDrop (TWinControl)
 | Docked (TControl)
pt | DockOver (TWinControl)
pt | DockTrackNoTarget (TControl)
pt | DoConstraintsChange (TControl)
pt | DoConstraintsChange (TWinControl)
pt | DoContextPopup (TControl)
pt | DoDock (TControl)
pt | DoDockClientMsg (TWinControl)
pt | DoDockOver (TWinControl)
pt | DoDragMsg (TControl)
pt | DoDragMsg (TWinControl)
pt | DoEndDock (TControl)
pt | DoEndDrag (TControl)
pt | DoEnter (TWinControl)
pt | DoEnter (TCustomComboBox)
pt | DoExit (TWinControl)
pt | DoExit (TCustomComboBox)
pt | DoFixDesignFontPPI (TControl)
pt | DoFlipChildren (TWinControl)
pt | DoFloatMsg (TControl)
pt | DoFloatMsg (TWinControl)
pt | DoGetDockCaption (TWinControl)
pt | DoKeyDownBeforeInterface (TWinControl)
pt | DoKeyPress (TWinControl)
pt | DoKeyUpBeforeInterface (TWinControl)
pt | DoMouseWheel (TControl)
pt | DoMouseWheelDown (TControl)
pt | DoMouseWheelHorz (TControl)
pt | DoMouseWheelLeft (TControl)
pt | DoMouseWheelRight (TControl)
pt | DoMouseWheelUp (TControl)
pt | DoOnChangeBounds (TControl)
pt | DoOnParentHandleDestruction (TControl)
pt | DoOnResize (TControl)
pt | DoOnShowHint (TControl)
pt | DoRemainingKeyDown (TWinControl)
pt | DoRemainingKeyUp (TWinControl)
pt | DoRemoveDockClient (TWinControl)
pt | DoScaleFontPPI (TControl)
pt | DoSendBoundsToInterface (TWinControl)
pt | DoSendShowHideToInterface (TWinControl)
pt | DoSetBounds (TControl)
pt | DoSetBounds (TWinControl)
pt | DoStartDock (TControl)
pt | DoStartDrag (TControl)
pt | DoUnDock (TWinControl)
pt | DoUndockClientMsg (TWinControl)
pt | DoUTF8KeyPress (TWinControl)
pt | DragCanceled (TControl)
 | DragDrop (TControl)
 | Dragging (TControl)
pt | DragOver (TControl)
pt | DrawItem (TCustomComboBox)
pt | DrawItem (TCustomCheckCombo)
pt | DropDown (TCustomComboBox)
pt | DropDown (TCustomCheckCombo)
 | EditingDone (TControl)
 | EnableAlign (TWinControl)
 | EnableAutoSizing (TControl)
pt | EnabledChanged (TControl)
pt | EnabledChanging (TControl)
pt | EndAutoSizing (TControl)
 | EndDrag (TControl)
 | EndUpdateBounds (TWinControl)
 | Equals (TObject)
 | EraseBackground (TWinControl)
 | ExecuteAction (TComponent)
 | ExecuteCancelAction (TControl)
 | ExecuteDefaultAction (TControl)
 | FieldAddress (TObject)
pt | FinalizeWnd (TWinControl)
 | FindChildControl (TWinControl)
 | FindComponent (TComponent)
pt | FindNextControl (TWinControl)
 | FixDesignFontsPPI (TControl)
pt | FixupTabList (TWinControl)
 | FlipChildren (TWinControl)
 | Focused (TWinControl)
pt | FontChanged (TControl)
pt | FontChanged (TWinControl)
pt | FontChanged (TCustomCheckCombo)
pt | ForeignAnchorSideChanged (TControl)
pt | FormEndUpdated (TControl)
pt | FormEndUpdated (TWinControl)
 | FormIsUpdating (TControl)
 | FPOAttachObserver (TPersistent)
 | FPODetachObserver (TPersistent)
 | FPONotifyObservers (TPersistent)
 | Free (TObject)
 | FreeInstance (TObject)
 | FreeNotification (TComponent)
 | FreeOnRelease (TComponent)
 | GetAccessibleObject (TControl)
pt | GetAction (TControl)
pt | GetActionLinkClass (TControl)
pt | GetAdjustedLogicalClientRect (TWinControl)
 | GetAnchorsDependingOnParent (TControl)
pt | GetBorderStyle (TWinControl)
pt | GetCachedText (TControl)
 | GetCanvasScaleFactor (TControl)
 | GetChildAccessibleObjectAtPos (TControl)
 | GetChildOwner (TComponent)
 | GetChildParent (TComponent)
 | GetChildren (TComponent)
pt | GetChildren (TWinControl)
 | GetChildrenRect (TControl)
 | GetChildrenRect (TWinControl)
pt | GetClientOrigin (TControl)
pt | GetClientOrigin (TWinControl)
pt | GetClientRect (TControl)
pt | GetClientRect (TWinControl)
pt | GetClientScrollOffset (TControl)
 | GetColorResolvingParent (TControl)
 | GetComObject (TComponent)
 | GetComponent (TComponent)
 | GetComponentCount (TComponent)
 | GetComponentIndex (TComponent)
pt | GetControlClassDefaultSize (TControl)
pt | GetControlClassDefaultSize (TCustomComboBox)
 | GetControlIndex (TWinControl)
pt | GetControlOrigin (TControl)
pt | GetControlOrigin (TWinControl)
pt | GetCursor (TControl)
 | GetDefaultColor (TControl)
pt | GetDefaultDockCaption (TControl)
 | GetDefaultHeight (TControl)
 | GetDefaultWidth (TControl)
pt | GetDeviceContext (TControl)
pt | GetDeviceContext (TWinControl)
 | GetDockCaption (TWinControl)
pt | GetDockEdge (TControl)
pt | GetDragImages (TControl)
pt | GetEnabled (TControl)
 | GetEnumerator (TComponent)
 | GetEnumeratorControls (TWinControl)
 | GetEnumeratorControlsReverse (TWinControl)
pt | GetFloating (TControl)
pt | GetFloatingDockSiteClass (TControl)
 | GetHashCode (TObject)
 | GetIDsOfNames (TComponent)
 | GetInterface (TObject)
 | GetInterfaceByStr (TObject)
 | GetInterfaceEntry (TObject)
 | GetInterfaceEntryByStr (TObject)
 | GetInterfaceTable (TObject)
 | GetInterfaceWeak (TObject)
pt | GetItemCount (TCustomComboBox)
pt | GetItemHeight (TCustomComboBox)
pt | GetItemIndex (TCustomComboBox)
pt | GetItems (TCustomComboBox)
pt | GetLogicalClientRect (TControl)
pt | GetMaxLength (TCustomComboBox)
pt | GetMouseCapture (TControl)
pt | GetMouseCapture (TWinControl)
pt | GetMousePosFromMessage (TControl)
 | GetNamePath (TPersistent)
 | GetNamePath (TComponent)
 | GetOwner (TPersistent)
 | GetOwner (TComponent)
pt | GetPalette (TControl)
pt | GetParentBackground (TWinControl)
 | GetParentComponent (TComponent)
 | GetParentComponent (TControl)
pt | GetParentHandle (TWinControl)
pt | GetPopupMenu (TControl)
 | GetPreferredSize (TControl)
pt | GetPreferredSizeClientFrame (TWinControl)
 | GetRGBColorResolvingParent (TControl)
pt | GetScrolledClientRect (TControl)
 | GetSelectedChildAccessibleObject (TControl)
pt | GetSelLength (TCustomComboBox)
pt | GetSelStart (TCustomComboBox)
pt | GetSelText (TCustomComboBox)
 | GetSidePosition (TControl)
pt | GetSiteInfo (TWinControl)
 | GetTabOrderList (TWinControl)
 | GetTextBuf (TControl)
 | GetTextLen (TControl)
 | GetTextLen (TWinControl)
 | GetTopParent (TControl)
pt | GetTopParentHandle (TWinControl)
 | GetTypeInfo (TComponent)
 | GetTypeInfoCount (TComponent)
pt | GetWSComponentClass (TLCLComponent)
 | HandleAllocated (TWinControl)
 | HandleNeeded (TWinControl)
 | HandleObjectShouldBeVisible (TControl)
 | HasHelp (TControl)
 | HasParent (TComponent)
 | HasParent (TControl)
pt | HeightIsAnchored (TControl)
 | Hide (TControl)
 | iicrGetComponent (TComponent)
 | IncLCLRefCount (TLCLComponent)
 | InheritsFrom (TObject)
pt | InitializeWnd (TWinControl)
pt | InitializeWnd (TCustomComboBox)
pt | InitializeWnd (TCustomCheckCombo)
 | InitiateAction (TControl)
 | InitInstance (TObject)
pt | InitItemStates (TCustomCheckCombo)
 | Insert (TComponent)
 | InsertComponent (TComponent)
 | InsertControl (TWinControl)
 | InstanceSize (TObject)
 | IntfGetDropFilesTarget (TWinControl)
 | IntfGetItems (TCustomComboBox)
 | IntfUTF8KeyPress (TWinControl)
 | Invalidate (TControl)
 | Invalidate (TWinControl)
pt | InvalidateBoundsRealized (TWinControl)
 | InvalidateClientRectCache (TWinControl)
pt | InvalidateControl (TControl)
pt | InvalidatePreferredChildSizes (TWinControl)
 | InvalidatePreferredSize (TControl)
 | Invoke (TComponent)
pt | IsAParentAligning (TControl)
pt | IsBorderSpacingInnerBorderStored (TControl)
pt | IsCaptionStored (TControl)
pt | IsClientHeightStored (TControl)
pt | IsClientHeightStored (TWinControl)
pt | IsClientWidthStored (TControl)
pt | IsClientWidthStored (TWinControl)
pt | IsControlMouseMsg (TWinControl)
 | IsControlVisible (TControl)
 | IsEnabled (TControl)
 | IsImplementorOf (TComponent)
 | IsParentColor (TControl)
 | IsParentFont (TControl)
 | IsParentOf (TControl)
 | IsProcessingPaintMsg (TControl)
 | IsRightToLeft (TControl)
 | IsVisible (TControl)
pt | KeyDown (TWinControl)
pt | KeyDown (TCustomComboBox)
pt | KeyDown (TCustomCheckCombo)
pt | KeyDownAfterInterface (TWinControl)
pt | KeyDownBeforeInterface (TWinControl)
pt | KeyPress (TWinControl)
pt | KeyUp (TWinControl)
pt | KeyUp (TCustomComboBox)
pt | KeyUpAfterInterface (TWinControl)
pt | KeyUpAfterInterface (TCustomComboBox)
pt | KeyUpBeforeInterface (TWinControl)
pt | LMCaptureChanged (TControl)
pt | LMChanged (TCustomComboBox)
 | Loaded (TComponent)
pt | Loaded (TControl)
pt | Loaded (TWinControl)
pt | Loaded (TCustomCheckCombo)
pt | LoadedAll (TControl)
 | Loading (TComponent)
 | LockRealizeBounds (TWinControl)
pt | MainWndProc (TWinControl)
 | ManualDock (TControl)
 | ManualFloat (TControl)
pt | MeasureItem (TCustomComboBox)
 | MethodAddress (TObject)
 | MethodName (TObject)
pt | MouseDown (TControl)
pt | MouseEnter (TControl)
pt | MouseLeave (TControl)
pt | MouseLeave (TCustomCheckCombo)
pt | MouseMove (TControl)
pt | MouseMove (TCustomCheckCombo)
pt | MouseUp (TControl)
pt | MouseUp (TCustomComboBox)
 | newinstance (TObject)
 | NewInstance (TLCLComponent)
 | Notification (TComponent)
pt | Notification (TControl)
 | NotifyControls (TWinControl)
pt | PaintControls (TWinControl)
pt | PaintHandler (TWinControl)
 | PaintTo (TWinControl)
pt | PaintWindow (TWinControl)
 | PaletteCreated (TComponent)
 | ParentDestroyingHandle (TControl)
pt | ParentFontChanged (TControl)
pt | ParentFormHandleInitialized (TControl)
pt | ParentFormHandleInitialized (TWinControl)
 | ParentHandlesAllocated (TControl)
 | ParentHandlesAllocated (TWinControl)
 | ParentToClient (TControl)
 | Perform (TControl)
 | PerformTab (TWinControl)
pt | PositionDockRect (TControl)
pt | QuadClick (TControl)
 | QueryInterface (TComponent)
pt | QueueCheckItemStates (TCustomCheckCombo)
 | ReadLeft (TComponent)
 | ReadState (TComponent)
pt | ReadState (TControl)
 | ReadTop (TComponent)
pt | RealGetText (TControl)
pt | RealGetText (TWinControl)
 | ReAlign (TWinControl)
pt | RealizeBounds (TWinControl)
pt | RealizeBoundsRecursive (TWinControl)
pt | RealSetText (TControl)
pt | RealSetText (TWinControl)
pt | RealSetText (TCustomComboBox)
 | ReferenceInterface (TComponent)
 | Refresh (TControl)
pt | ReloadDockedControl (TWinControl)
 | Remove (TComponent)
 | RemoveAllHandlersOfObject (TLCLComponent)
 | RemoveAllHandlersOfObject (TControl)
 | RemoveComponent (TComponent)
 | RemoveControl (TWinControl)
pt | RemoveFocus (TWinControl)
 | RemoveFreeNotification (TComponent)
pt | RemoveHandler (TControl)
 | RemoveHandlerOnBeforeDestruction (TControl)
 | RemoveHandlerOnChangeBounds (TControl)
 | RemoveHandlerOnEnableChanging (TControl)
 | RemoveHandlerOnKeyDown (TControl)
 | RemoveHandlerOnMouseWheel (TControl)
 | RemoveHandlerOnResize (TControl)
 | RemoveHandlerOnVisibleChanged (TControl)
 | RemoveHandlerOnVisibleChanging (TControl)
 | RemoveNotification (TComponent)
 | Repaint (TControl)
 | Repaint (TWinControl)
 | ReplaceDockedControl (TControl)
pt | RequestAlign (TControl)
pt | Resize (TControl)
 | SafeCallException (TObject)
 | SafeCallException (TComponent)
 | Scale96ToFont (TControl)
 | Scale96ToForm (TControl)
 | Scale96ToScreen (TControl)
 | ScaleBy (TWinControl)
pt | ScaleConstraints (TControl)
pt | ScaleControls (TWinControl)
 | ScaleDesignToForm (TControl)
 | ScaleFontsPPI (TControl)
 | ScaleFontTo96 (TControl)
 | ScaleFontToScreen (TControl)
 | ScaleFormTo96 (TControl)
 | ScaleFormToDesign (TControl)
 | ScaleScreenTo96 (TControl)
 | ScaleScreenToFont (TControl)
 | ScreenToClient (TControl)
 | ScreenToControl (TControl)
 | ScrollBy (TWinControl)
 | ScrollBy_WS (TWinControl)
pt | Select (TCustomComboBox)
pt | Select (TCustomCheckCombo)
 | SelectAll (TCustomComboBox)
pt | SelectFirst (TWinControl)
pt | SelectItem (TCustomComboBox)
 | SelectNext (TWinControl)
pt | SendDialogChar (TWinControl)
pt | SendMoveSizeMessages (TControl)
pt | SendMoveSizeMessages (TWinControl)
 | SendToBack (TControl)
pt | SetAction (TControl)
pt | SetAlign (TControl)
 | SetAncestor (TComponent)
pt | SetAnchors (TControl)
pt | SetAutoSize (TControl)
pt | SetBiDiMode (TControl)
pt | SetBorderStyle (TWinControl)
 | SetBounds (TControl)
 | SetBounds (TWinControl)
 | SetBoundsKeepBase (TControl)
 | SetChildOrder (TComponent)
pt | SetChildZPosition (TWinControl)
pt | SetColor (TControl)
pt | SetColor (TWinControl)
 | SetComponentIndex (TComponent)
 | SetControlIndex (TWinControl)
pt | SetCursor (TControl)
 | SetDesigning (TComponent)
 | SetDesignInstance (TComponent)
pt | SetDockManager (TWinControl)
pt | SetDragMode (TControl)
pt | SetDropDownCount (TCustomComboBox)
pt | SetDroppedDown (TCustomComboBox)
pt | SetEnabled (TControl)
 | SetFocus (TWinControl)
pt | SetHint (TControl)
 | SetInitialBounds (TControl)
 | SetInline (TComponent)
pt | SetItemHeight (TCustomComboBox)
pt | SetItemHeight (TCustomCheckCombo)
pt | SetItemIndex (TCustomComboBox)
pt | SetItems (TCustomComboBox)
pt | SetItems (TCustomCheckCombo)
pt | SetMaxLength (TCustomComboBox)
 | SetName (TComponent)
pt | SetName (TControl)
pt | SetParent (TControl)
pt | SetParentBackground (TWinControl)
pt | SetParentBiDiMode (TControl)
 | SetParentComponent (TComponent)
pt | SetParentComponent (TControl)
 | SetReference (TComponent)
pt | SetSelLength (TCustomComboBox)
pt | SetSelStart (TCustomComboBox)
pt | SetSelText (TCustomComboBox)
 | SetShape (TWinControl)
pt | SetSorted (TCustomComboBox)
pt | SetStyle (TCustomComboBox)
 | SetSubComponent (TComponent)
 | SetTempCursor (TControl)
 | SetTempCursor (TWinControl)
 | SetTextBuf (TControl)
pt | SetVisible (TControl)
pt | SetZOrder (TControl)
 | ShouldAutoAdjust (TControl)
pt | ShouldAutoAdjust (TCustomComboBox)
 | Show (TControl)
pt | ShowControl (TWinControl)
 | ShowHelp (TControl)
 | StringMessageTable (TObject)
pt | TextChanged (TControl)
 | Toggle (TCustomCheckCombo)
 | ToString (TObject)
pt | TripleClick (TControl)
 | UnitName (TObject)
 | UnlockRealizeBounds (TWinControl)
 | Update (TControl)
 | Update (TWinControl)
 | UpdateAction (TComponent)
pt | UpdateAnchorRules (TControl)
 | UpdateBaseBounds (TControl)
pt | UpdateControlState (TWinControl)
 | Updated (TComponent)
 | UpdateDockCaption (TWinControl)
pt | UpdateMouseCursor (TControl)
 | UpdateRegistry (TComponent)
 | UpdateRolesForForm (TControl)
pt | UpdateShowing (TWinControl)
 | Updating (TComponent)
 | UseRightToLeftAlignment (TControl)
 | UseRightToLeftReading (TControl)
 | UseRightToLeftScrollBar (TControl)
pt | UTF8KeyPress (TWinControl)
pt | UTF8KeyPress (TCustomComboBox)
 | ValidateContainer (TComponent)
 | ValidateInsert (TComponent)
 | ValidateRename (TComponent)
pt | VisibleChanged (TControl)
pt | VisibleChanging (TControl)
pt | WidthIsAnchored (TControl)
pt | WMCancelMode (TControl)
pt | WMChar (TWinControl)
pt | WMContextMenu (TControl)
pt | WMContextMenu (TWinControl)
pt | WMDestroy (TWinControl)
pt | WMEnter (TWinControl)
pt | WMEraseBkgnd (TWinControl)
pt | WMExit (TWinControl)
pt | WMKeyDown (TWinControl)
pt | WMKeyUp (TWinControl)
pt | WMKillFocus (TWinControl)
pt | WMLButtonDBLCLK (TControl)
pt | WMLButtonDown (TControl)
pt | WMLButtonQuadCLK (TControl)
pt | WMLButtonTripleCLK (TControl)
pt | WMLButtonUp (TControl)
pt | WMMButtonDBLCLK (TControl)
pt | WMMButtonDown (TControl)
pt | WMMButtonQuadCLK (TControl)
pt | WMMButtonTripleCLK (TControl)
pt | WMMButtonUp (TControl)
pt | WMMouseHWheel (TControl)
pt | WMMouseMove (TControl)
pt | WMMouseWheel (TControl)
pt | WMMove (TControl)
pt | WMMove (TWinControl)
pt | WMNotify (TWinControl)
pt | WMPaint (TWinControl)
pt | WMRButtonDBLCLK (TControl)
pt | WMRButtonDown (TControl)
pt | WMRButtonQuadCLK (TControl)
pt | WMRButtonTripleCLK (TControl)
pt | WMRButtonUp (TControl)
pt | WMSetFocus (TWinControl)
pt | WMShowWindow (TWinControl)
pt | WMSize (TControl)
pt | WMSize (TWinControl)
pt | WMSysChar (TWinControl)
pt | WMSysKeyDown (TWinControl)
pt | WMSysKeyUp (TWinControl)
pt | WMWindowPosChanged (TControl)
pt | WMWindowPosChanged (TWinControl)
pt | WMXButtonDBLCLK (TControl)
pt | WMXButtonDown (TControl)
pt | WMXButtonQuadCLK (TControl)
pt | WMXButtonTripleCLK (TControl)
pt | WMXButtonUp (TControl)
pt | WndProc (TControl)
pt | WndProc (TWinControl)
 | WriteLayoutDebugReport (TControl)
 | WriteLayoutDebugReport (TWinControl)
 | WriteLeft (TComponent)
 | WriteState (TComponent)
 | WriteTop (TComponent)
pt | WSRegisterClass (TLCLComponent)
pt | WSRegisterClass (TControl)
pt | WSRegisterClass (TWinControl)
pt | WSRegisterClass (TCustomComboBox)
pt | WSSetText (TWinControl)
 | _AddRef (TComponent)
 | _Release (TComponent)


TCheckComboBox
pl | ro | OnChange
pl | ro | OnChangeBounds
pl | ro | OnClick
pl | ro | OnCloseUp
pl | ro | OnContextPopup
pl | ro | OnDblClick
pl | ro | OnDragDrop
pl | ro | OnDragOver
pl | ro | OnEndDrag
pl | ro | OnDropDown
pl | ro | OnEditingDone
pl | ro | OnEnter
pl | ro | OnExit
pl | ro | OnGetItems
pl | ro | OnItemChange
pl | ro | OnKeyDown
pl | ro | OnKeyPress
pl | ro | OnKeyUp
pl | ro | OnMouseDown
pl | ro | OnMouseEnter
pl | ro | OnMouseLeave
pl | ro | OnMouseMove
pl | ro | OnMouseUp
pl | ro | OnMouseWheel
pl | ro | OnMouseWheelDown
pl | ro | OnMouseWheelUp
pl | ro | OnStartDrag
pl | ro | OnSelect
pl | ro | OnUTF8KeyPress
TCustomCheckCombo
 |  | OnItemChange
TCustomComboBox
pt |  | OnChange
pt |  | OnCloseUp
pt |  | OnDrawItem
pt |  | OnDropDown
pt |  | OnGetItems
pt |  | OnMeasureItem
pt |  | OnSelect
TWinControl
pt |  | OnGetSiteInfo
pt |  | OnGetDockCaption
 |  | OnAlignInsertBefore
 |  | OnAlignPosition
 |  | OnDockDrop
 |  | OnDockOver
 |  | OnEnter
 |  | OnExit
 |  | OnKeyDown
 |  | OnKeyPress
 |  | OnKeyUp
 |  | OnUnDock
 |  | OnUTF8KeyPress
TControl
pt |  | OnConstrainedResize
pt |  | OnContextPopup
pt |  | OnDblClick
pt |  | OnTripleClick
pt |  | OnQuadClick
pt |  | OnDragDrop
pt |  | OnDragOver
pt |  | OnEndDock
pt |  | OnEndDrag
pt |  | OnMouseDown
pt |  | OnMouseMove
pt |  | OnMouseUp
pt |  | OnMouseEnter
pt |  | OnMouseLeave
pt |  | OnMouseWheel
pt |  | OnMouseWheelDown
pt |  | OnMouseWheelUp
pt |  | OnMouseWheelHorz
pt |  | OnMouseWheelLeft
pt |  | OnMouseWheelRight
pt |  | OnStartDock
pt |  | OnStartDrag
pt |  | OnEditingDone
 |  | OnChangeBounds
 |  | OnClick
 |  | OnResize
 |  | OnShowHint
TLCLComponent
TComponent
TPersistent
TObject


pt |  | OnChange (TCustomComboBox)
pl | ro | OnChange (TCheckComboBox)
 |  | OnChangeBounds (TControl)
pl | ro | OnChangeBounds (TCheckComboBox)
 |  | OnClick (TControl)
pl | ro | OnClick (TCheckComboBox)
pt |  | OnCloseUp (TCustomComboBox)
pl | ro | OnCloseUp (TCheckComboBox)
pt |  | OnConstrainedResize (TControl)
pt |  | OnContextPopup (TControl)
pl | ro | OnContextPopup (TCheckComboBox)
pt |  | OnDblClick (TControl)
pl | ro | OnDblClick (TCheckComboBox)
 |  | OnDockDrop (TWinControl)
 |  | OnDockOver (TWinControl)
pt |  | OnDragDrop (TControl)
pl | ro | OnDragDrop (TCheckComboBox)
pt |  | OnDragOver (TControl)
pl | ro | OnDragOver (TCheckComboBox)
pt |  | OnDrawItem (TCustomComboBox)
pt |  | OnDropDown (TCustomComboBox)
pl | ro | OnDropDown (TCheckComboBox)
pt |  | OnEditingDone (TControl)
pl | ro | OnEditingDone (TCheckComboBox)
pt |  | OnEndDock (TControl)
pt |  | OnEndDrag (TControl)
pl | ro | OnEndDrag (TCheckComboBox)
 |  | OnEnter (TWinControl)
pl | ro | OnEnter (TCheckComboBox)
 |  | OnExit (TWinControl)
pl | ro | OnExit (TCheckComboBox)
pt |  | OnGetDockCaption (TWinControl)
pt |  | OnGetItems (TCustomComboBox)
pl | ro | OnGetItems (TCheckComboBox)
pt |  | OnGetSiteInfo (TWinControl)
 |  | OnItemChange (TCustomCheckCombo)
pl | ro | OnItemChange (TCheckComboBox)
 |  | OnKeyDown (TWinControl)
pl | ro | OnKeyDown (TCheckComboBox)
 |  | OnKeyPress (TWinControl)
pl | ro | OnKeyPress (TCheckComboBox)
 |  | OnKeyUp (TWinControl)
pl | ro | OnKeyUp (TCheckComboBox)
pt |  | OnMeasureItem (TCustomComboBox)
pt |  | OnMouseDown (TControl)
pl | ro | OnMouseDown (TCheckComboBox)
pt |  | OnMouseEnter (TControl)
pl | ro | OnMouseEnter (TCheckComboBox)
pt |  | OnMouseLeave (TControl)
pl | ro | OnMouseLeave (TCheckComboBox)
pt |  | OnMouseMove (TControl)
pl | ro | OnMouseMove (TCheckComboBox)
pt |  | OnMouseUp (TControl)
pl | ro | OnMouseUp (TCheckComboBox)
pt |  | OnMouseWheel (TControl)
pl | ro | OnMouseWheel (TCheckComboBox)
pt |  | OnMouseWheelDown (TControl)
pl | ro | OnMouseWheelDown (TCheckComboBox)
pt |  | OnMouseWheelHorz (TControl)
pt |  | OnMouseWheelLeft (TControl)
pt |  | OnMouseWheelRight (TControl)
pt |  | OnMouseWheelUp (TControl)
pl | ro | OnMouseWheelUp (TCheckComboBox)
pt |  | OnQuadClick (TControl)
 |  | OnResize (TControl)
pt |  | OnSelect (TCustomComboBox)
pl | ro | OnSelect (TCheckComboBox)
 |  | OnShowHint (TControl)
pt |  | OnStartDock (TControl)
pt |  | OnStartDrag (TControl)
pl | ro | OnStartDrag (TCheckComboBox)
pt |  | OnTripleClick (TControl)
 |  | OnUnDock (TWinControl)
 |  | OnUTF8KeyPress (TWinControl)
pl | ro | OnUTF8KeyPress (TCheckComboBox)


TCheckComboBox.Align

Declaration

Source position: comboex.pas line 334

published property TCheckComboBox.Align : TAlign;


TCheckComboBox.AllowGrayed

Declaration

Source position: comboex.pas line 335

published property TCheckComboBox.AllowGrayed : Boolean;


TCheckComboBox.Anchors

Declaration

Source position: comboex.pas line 336

published property TCheckComboBox.Anchors : TAnchors;


TCheckComboBox.ArrowKeysTraverseList

Declaration

Source position: comboex.pas line 337

published property TCheckComboBox.ArrowKeysTraverseList : Boolean;


TCheckComboBox.AutoDropDown

Declaration

Source position: comboex.pas line 338

published property TCheckComboBox.AutoDropDown : Boolean;


TCheckComboBox.AutoSize

Declaration

Source position: comboex.pas line 339

published property TCheckComboBox.AutoSize : Boolean;


TCheckComboBox.BidiMode

Declaration

Source position: comboex.pas line 340

published property TCheckComboBox.BidiMode : TBiDiMode;


TCheckComboBox.BorderSpacing

Declaration

Source position: comboex.pas line 341

published property TCheckComboBox.BorderSpacing : TControlBorderSpacing;


TCheckComboBox.BorderStyle

Declaration

Source position: comboex.pas line 342

published property TCheckComboBox.BorderStyle : TBorderStyle;


TCheckComboBox.Color

Declaration

Source position: comboex.pas line 343

published property TCheckComboBox.Color : TColor;


TCheckComboBox.Constraints

Declaration

Source position: comboex.pas line 344

published property TCheckComboBox.Constraints : TSizeConstraints;


TCheckComboBox.Count

Declaration

Source position: comboex.pas line 345

published property TCheckComboBox.Count : Integer;


TCheckComboBox.DragCursor

Declaration

Source position: comboex.pas line 346

published property TCheckComboBox.DragCursor : TCursor;


TCheckComboBox.DragKind

Declaration

Source position: comboex.pas line 347

published property TCheckComboBox.DragKind : TDragKind;


TCheckComboBox.DragMode

Declaration

Source position: comboex.pas line 348

published property TCheckComboBox.DragMode : TDragMode;


TCheckComboBox.DropDownCount

Declaration

Source position: comboex.pas line 349

published property TCheckComboBox.DropDownCount : Integer;


TCheckComboBox.Enabled

Declaration

Source position: comboex.pas line 350

published property TCheckComboBox.Enabled : Boolean;


TCheckComboBox.Font

Declaration

Source position: comboex.pas line 351

published property TCheckComboBox.Font : TFont;


TCheckComboBox.ItemHeight

Declaration

Source position: comboex.pas line 352

published property TCheckComboBox.ItemHeight : Integer;


TCheckComboBox.ItemIndex

Declaration

Source position: comboex.pas line 353

published property TCheckComboBox.ItemIndex : Integer;


TCheckComboBox.Items

Declaration

Source position: comboex.pas line 354

published property TCheckComboBox.Items : TStrings;


TCheckComboBox.ItemWidth

Declaration

Source position: comboex.pas line 355

published property TCheckComboBox.ItemWidth : Integer;


TCheckComboBox.MaxLength

Declaration

Source position: comboex.pas line 356

published property TCheckComboBox.MaxLength : Integer;


TCheckComboBox.OnChange

Declaration

Source position: comboex.pas line 357

published property TCheckComboBox.OnChange : TNotifyEvent;


TCheckComboBox.OnChangeBounds

Declaration

Source position: comboex.pas line 358

published property TCheckComboBox.OnChangeBounds : TNotifyEvent;


TCheckComboBox.OnClick

Declaration

Source position: comboex.pas line 359

published property TCheckComboBox.OnClick : TNotifyEvent;


TCheckComboBox.OnCloseUp

Declaration

Source position: comboex.pas line 360

published property TCheckComboBox.OnCloseUp : TNotifyEvent;


TCheckComboBox.OnContextPopup

Declaration

Source position: comboex.pas line 361

published property TCheckComboBox.OnContextPopup : TContextPopupEvent;


TCheckComboBox.OnDblClick

Declaration

Source position: comboex.pas line 362

published property TCheckComboBox.OnDblClick : TNotifyEvent;


TCheckComboBox.OnDragDrop

Declaration

Source position: comboex.pas line 363

published property TCheckComboBox.OnDragDrop : TDragDropEvent;


TCheckComboBox.OnDragOver

Declaration

Source position: comboex.pas line 364

published property TCheckComboBox.OnDragOver : TDragOverEvent;


TCheckComboBox.OnDropDown

Declaration

Source position: comboex.pas line 366

published property TCheckComboBox.OnDropDown : TNotifyEvent;


TCheckComboBox.OnEditingDone

Declaration

Source position: comboex.pas line 367

published property TCheckComboBox.OnEditingDone : TNotifyEvent;


TCheckComboBox.OnEndDrag

Declaration

Source position: comboex.pas line 365

published property TCheckComboBox.OnEndDrag : TEndDragEvent;


TCheckComboBox.OnEnter

Declaration

Source position: comboex.pas line 368

published property TCheckComboBox.OnEnter : TNotifyEvent;


TCheckComboBox.OnExit

Declaration

Source position: comboex.pas line 369

published property TCheckComboBox.OnExit : TNotifyEvent;


TCheckComboBox.OnGetItems

Declaration

Source position: comboex.pas line 370

published property TCheckComboBox.OnGetItems : TNotifyEvent;


TCheckComboBox.OnItemChange

Declaration

Source position: comboex.pas line 371

published property TCheckComboBox.OnItemChange : TCheckItemChange;


TCheckComboBox.OnKeyDown

Declaration

Source position: comboex.pas line 372

published property TCheckComboBox.OnKeyDown : TKeyEvent;


TCheckComboBox.OnKeyPress

Declaration

Source position: comboex.pas line 373

published property TCheckComboBox.OnKeyPress : TKeyPressEvent;


TCheckComboBox.OnKeyUp

Declaration

Source position: comboex.pas line 374

published property TCheckComboBox.OnKeyUp : TKeyEvent;


TCheckComboBox.OnMouseDown

Declaration

Source position: comboex.pas line 375

published property TCheckComboBox.OnMouseDown : TMouseEvent;


TCheckComboBox.OnMouseEnter

Declaration

Source position: comboex.pas line 376

published property TCheckComboBox.OnMouseEnter : TNotifyEvent;


TCheckComboBox.OnMouseLeave

Declaration

Source position: comboex.pas line 377

published property TCheckComboBox.OnMouseLeave : TNotifyEvent;


TCheckComboBox.OnMouseMove

Declaration

Source position: comboex.pas line 378

published property TCheckComboBox.OnMouseMove : TMouseMoveEvent;


TCheckComboBox.OnMouseUp

Declaration

Source position: comboex.pas line 379

published property TCheckComboBox.OnMouseUp : TMouseEvent;


TCheckComboBox.OnMouseWheel

Declaration

Source position: comboex.pas line 380

published property TCheckComboBox.OnMouseWheel : TMouseWheelEvent;


TCheckComboBox.OnMouseWheelDown

Declaration

Source position: comboex.pas line 381

published property TCheckComboBox.OnMouseWheelDown : TMouseWheelUpDownEvent;


TCheckComboBox.OnMouseWheelUp

Declaration

Source position: comboex.pas line 382

published property TCheckComboBox.OnMouseWheelUp : TMouseWheelUpDownEvent;


TCheckComboBox.OnSelect

Declaration

Source position: comboex.pas line 384

published property TCheckComboBox.OnSelect : TNotifyEvent;


TCheckComboBox.OnStartDrag

Declaration

Source position: comboex.pas line 383

published property TCheckComboBox.OnStartDrag : TStartDragEvent;


TCheckComboBox.OnUTF8KeyPress

Declaration

Source position: comboex.pas line 385

published property TCheckComboBox.OnUTF8KeyPress : TUTF8KeyPressEvent;


TCheckComboBox.ParentBidiMode

Declaration

Source position: comboex.pas line 386

published property TCheckComboBox.ParentBidiMode : Boolean;


TCheckComboBox.ParentColor

Declaration

Source position: comboex.pas line 387

published property TCheckComboBox.ParentColor : Boolean;


TCheckComboBox.ParentFont

Declaration

Source position: comboex.pas line 388

published property TCheckComboBox.ParentFont : Boolean;


TCheckComboBox.ParentShowHint

Declaration

Source position: comboex.pas line 389

published property TCheckComboBox.ParentShowHint : Boolean;


TCheckComboBox.PopupMenu

Declaration

Source position: comboex.pas line 390

published property TCheckComboBox.PopupMenu : TPopupMenu;


TCheckComboBox.ShowHint

Declaration

Source position: comboex.pas line 391

published property TCheckComboBox.ShowHint : Boolean;


TCheckComboBox.Sorted

Declaration

Source position: comboex.pas line 392

published property TCheckComboBox.Sorted : Boolean;


TCheckComboBox.TabOrder

Declaration

Source position: comboex.pas line 393

published property TCheckComboBox.TabOrder : TTabOrder;


TCheckComboBox.TabStop

Declaration

Source position: comboex.pas line 394

published property TCheckComboBox.TabStop : Boolean;


TCheckComboBox.Text

Declaration

Source position: comboex.pas line 395

published property TCheckComboBox.Text : TCaption;


TCheckComboBox.Visible

Declaration

Source position: comboex.pas line 396

published property TCheckComboBox.Visible : Boolean;


TCheckComboItemState

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Declaration

Source position: comboex.pas line 262

type TCheckComboItemState = class

public

  State: TCheckBoxState;

  Enabled: Boolean;

  Data: TObject;

end;

Inheritance

TCheckComboItemState

|

TObject


TCheckComboItemState


TCheckComboItemState.Data

Declaration

Source position: comboex.pas line 266

public TCheckComboItemState.Data : TObject;


TCheckComboItemState.Enabled

Declaration

Source position: comboex.pas line 265

public TCheckComboItemState.Enabled : Boolean;


TCheckComboItemState.State

Declaration

Source position: comboex.pas line 264

public TCheckComboItemState.State : TCheckBoxState;


TComboBoxEx

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Declaration

Source position: comboex.pas line 186

type TComboBoxEx = class(TCustomComboBoxEx)

published

  property Align: TAlign;

  property Anchors: TAnchors;

  property ArrowKeysTraverseList: Boolean;

  property AutoComplete: Boolean;

  property AutoCompleteOptions: TAutoCompleteOptions;

  property AutoCompleteText: TComboBoxAutoCompleteText;

  property AutoDropDown: Boolean;

  property AutoSelect: Boolean;

  property AutoSize: Boolean;

  property BidiMode: TBiDiMode;

  property BorderSpacing: TControlBorderSpacing;

  property BorderStyle: TBorderStyle;

  property CharCase: TEditCharCase;

  property Color: TColor;

  property Constraints: TSizeConstraints;

  property DragCursor: TCursor;

  property DragKind: TDragKind;

  property DragMode: TDragMode;

  property DropDownCount: Integer;

  property Enabled: Boolean;

  property Font: TFont;

  property Images: TCustomImageList;

  property ImagesWidth: Integer;

  property ItemHeight: Integer;

  property ItemsEx: TComboExItems;

  property ItemIndex: Integer;

  property ItemWidth: Integer;

  property MaxLength: Integer;

  property OnChange: TNotifyEvent;

  property OnChangeBounds: TNotifyEvent;

  property OnClick: TNotifyEvent;

  property OnCloseUp: TNotifyEvent;

  property OnContextPopup: TContextPopupEvent;

  property OnDblClick: TNotifyEvent;

  property OnDragDrop: TDragDropEvent;

  property OnDragOver: TDragOverEvent;

  property OnDropDown: TNotifyEvent;

  property OnEditingDone: TNotifyEvent;

  property OnEndDock: TEndDragEvent;

  property OnEndDrag: TEndDragEvent;

  property OnEnter: TNotifyEvent;

  property OnExit: TNotifyEvent;

  property OnGetItems: TNotifyEvent;

  property OnKeyDown: TKeyEvent;

  property OnKeyPress: TKeyPressEvent;

  property OnKeyUp: TKeyEvent;

  property OnMouseDown: TMouseEvent;

  property OnMouseEnter: TNotifyEvent;

  property OnMouseLeave: TNotifyEvent;

  property OnMouseMove: TMouseMoveEvent;

  property OnMouseUp: TMouseEvent;

  property OnMouseWheel: TMouseWheelEvent;

  property OnMouseWheelDown: TMouseWheelUpDownEvent;

  property OnMouseWheelUp: TMouseWheelUpDownEvent;

  property OnSelect: TNotifyEvent;

  property OnStartDock: TStartDockEvent;

  property OnStartDrag: TStartDragEvent;

  property OnUTF8KeyPress: TUTF8KeyPressEvent;

  property ParentBidiMode: Boolean;

  property ParentColor: Boolean;

  property ParentFont: Boolean;

  property ParentShowHint: Boolean;

  property PopupMenu: TPopupMenu;

  property ReadOnly: Boolean;

  property ShowHint: Boolean;

  property Style: TComboBoxExStyle;

  property StyleEx: TComboBoxExStyles;

  property TabOrder: TTabOrder;

  property TabStop: Boolean;

  property Text: TCaption;

  property Visible: Boolean;

end;

Inheritance

TComboBoxEx |
|
TCustomComboBoxEx |
|
TCustomComboBox | The base class for ComboBox components.
|
TWinControl | The base class for controls which can contain other (child) controls.
|
TControl | The base class for visible controls.
|
TLCLComponent | The base class for LCL components associated with widgets.
|
TComponent,IUnknown,IInterfaceComponentReference
|
TPersistent,IFPObserved
|
TObject


TComboBoxEx
pl | ro | Align
pl | ro | Anchors
pl | ro | ArrowKeysTraverseList
pl | ro | AutoComplete
pl | ro | AutoCompleteOptions
pl | ro | AutoCompleteText
pl | ro | AutoDropDown
pl | ro | AutoSelect
pl | ro | AutoSize
pl | ro | BidiMode
pl | ro | BorderSpacing
pl | ro | BorderStyle
pl | ro | CharCase
pl | ro | Color
pl | ro | Constraints
pl | ro | DragCursor
pl | ro | DragKind
pl | ro | DragMode
pl | ro | DropDownCount
pl | ro | Enabled
pl | ro | Font
pl | ro | Images
pl | ro | ImagesWidth
pl | ro | ItemHeight
pl | ro | ItemsEx
pl | ro | ItemIndex
pl | ro | ItemWidth
pl | ro | MaxLength
pl | ro | ParentBidiMode
pl | ro | ParentColor
pl | ro | ParentFont
pl | ro | ParentShowHint
pl | ro | PopupMenu
pl | ro | ReadOnly
pl | ro | ShowHint
pl | ro | Style
pl | ro | StyleEx
pl | ro | TabOrder
pl | ro | TabStop
pl | ro | Text
pl | ro | Visible
TCustomComboBoxEx
 |  | AutoCompleteOptions
 |  | Images
 |  | ImagesWidth
 |  | ItemsEx
 |  | Style
 |  | StyleEx
TCustomComboBox
pt |  | ItemHeight
pt |  | ItemWidth
pt |  | MaxLength
pt | ro | ParentColor
pt |  | Sorted
 |  | CharCase
 |  | DroppedDown
 |  | DroppingDown
 |  | AutoComplete
 |  | AutoCompleteText
 |  | AutoDropDown
 |  | AutoSelect
 |  | AutoSelected
 | ro | AutoSize
 |  | ArrowKeysTraverseList
 | ro | Canvas
 |  | DropDownCount
 |  | Items
 |  | ItemIndex
 |  | ReadOnly
 |  | SelLength
 |  | SelStart
 |  | SelText
 |  | Style
 | ro | TabStop
 | ro | Text
TWinControl
pt |  | WindowHandle
pt |  | BorderStyle
pt |  | ParentBackground
 |  | BorderWidth
 | ro | BoundsLockCount
 | ro | Brush
 | ro | CachedClientHeight
 | ro | CachedClientWidth
 |  | ChildSizing
 | ro | ControlCount
 | ro | Controls
 |  | DefWndProc
 | ro | DockClientCount
 | ro | DockClients
 |  | DockManager
 |  | DockSite
 |  | DoubleBuffered
 |  | Handle
 | ro | IsFlipped
 | ro | IsResizing
 |  | TabOrder
 |  | TabStop
 |  | ParentDoubleBuffered
 |  | ParentWindow
 | ro | Showing
 |  | UseDockManager
 |  | DesignerDeleting
 | ro | VisibleDockClientCount
TControl
pt | ro | AutoSizing
pt | ro | AutoSizingAll
pt | ro | AutoSizingLockCount
pt |  | ActionLink
pt |  | DesktopFont
pt |  | DragCursor
pt |  | DragKind
pt |  | DragMode
pt |  | MouseCapture
pt |  | ParentColor
pt |  | ParentFont
pt |  | ParentShowHint
pt |  | SessionProperties
pt |  | Text
 | ro | AnchoredControls
 | ro | BaseBounds
 | ro | ReadBounds
 | ro | BaseParentClientSize
 |  | AccessibleDescription
 |  | AccessibleValue
 |  | AccessibleRole
 |  | Action
 |  | Align
 |  | Anchors
 | ro | AnchorSide
 |  | AutoSize
 |  | BorderSpacing
 |  | BoundsRect
 |  | BoundsRectForNewParent
 |  | Caption
 |  | CaptureMouseButtons
 |  | ClientHeight
 | ro | ClientOrigin
 | ro | ClientRect
 |  | ClientWidth
 |  | Color
 |  | Constraints
 | ro | ControlOrigin
 |  | ControlState
 |  | ControlStyle
 |  | Enabled
 |  | Font
 |  | IsControl
 | ro | MouseEntered
 | ro | MouseInClient
 |  | Parent
 |  | PopupMenu
 |  | ShowHint
 |  | Visible
 |  | WindowProc
 |  | DockOrientation
 | ro | Floating
 |  | FloatingDockSiteClass
 |  | HostDockSite
 |  | LRDockWidth
 |  | TBDockHeight
 |  | UndockHeight
 |  | UndockWidth
 |  | BiDiMode
 |  | ParentBiDiMode
pl |  | AnchorSideLeft
pl |  | AnchorSideTop
pl |  | AnchorSideRight
pl |  | AnchorSideBottom
pl |  | Cursor
pl |  | Left
pl |  | Height
pl |  | Hint
pl |  | Top
pl |  | Width
pl |  | HelpType
pl |  | HelpKeyword
pl |  | HelpContext
TLCLComponent
 | ro | LCLRefCount
 | ro | WidgetSetClass
TComponent
 | ro | ComObject
 | ro | Components
 | ro | ComponentCount
 |  | ComponentIndex
 | ro | ComponentState
 | ro | ComponentStyle
 |  | DesignInfo
 | ro | Owner
 |  | VCLComObject
 |  | Name
 |  | Tag
TPersistent
TObject


 |  | AccessibleDescription (TControl)
 |  | AccessibleRole (TControl)
 |  | AccessibleValue (TControl)
 |  | Action (TControl)
pt |  | ActionLink (TControl)
 |  | Align (TControl)
pl | ro | Align (TComboBoxEx)
 | ro | AnchoredControls (TControl)
 |  | Anchors (TControl)
pl | ro | Anchors (TComboBoxEx)
 | ro | AnchorSide (TControl)
pl |  | AnchorSideBottom (TControl)
pl |  | AnchorSideLeft (TControl)
pl |  | AnchorSideRight (TControl)
pl |  | AnchorSideTop (TControl)
 |  | ArrowKeysTraverseList (TCustomComboBox)
pl | ro | ArrowKeysTraverseList (TComboBoxEx)
 |  | AutoComplete (TCustomComboBox)
pl | ro | AutoComplete (TComboBoxEx)
 |  | AutoCompleteOptions (TCustomComboBoxEx)
pl | ro | AutoCompleteOptions (TComboBoxEx)
 |  | AutoCompleteText (TCustomComboBox)
pl | ro | AutoCompleteText (TComboBoxEx)
 |  | AutoDropDown (TCustomComboBox)
pl | ro | AutoDropDown (TComboBoxEx)
 |  | AutoSelect (TCustomComboBox)
pl | ro | AutoSelect (TComboBoxEx)
 |  | AutoSelected (TCustomComboBox)
 |  | AutoSize (TControl)
 | ro | AutoSize (TCustomComboBox)
pl | ro | AutoSize (TComboBoxEx)
pt | ro | AutoSizing (TControl)
pt | ro | AutoSizingAll (TControl)
pt | ro | AutoSizingLockCount (TControl)
 | ro | BaseBounds (TControl)
 | ro | BaseParentClientSize (TControl)
 |  | BiDiMode (TControl)
pl | ro | BidiMode (TComboBoxEx)
 |  | BorderSpacing (TControl)
pl | ro | BorderSpacing (TComboBoxEx)
pt |  | BorderStyle (TWinControl)
pl | ro | BorderStyle (TComboBoxEx)
 |  | BorderWidth (TWinControl)
 | ro | BoundsLockCount (TWinControl)
 |  | BoundsRect (TControl)
 |  | BoundsRectForNewParent (TControl)
 | ro | Brush (TWinControl)
 | ro | CachedClientHeight (TWinControl)
 | ro | CachedClientWidth (TWinControl)
 | ro | Canvas (TCustomComboBox)
 |  | Caption (TControl)
 |  | CaptureMouseButtons (TControl)
 |  | CharCase (TCustomComboBox)
pl | ro | CharCase (TComboBoxEx)
 |  | ChildSizing (TWinControl)
 |  | ClientHeight (TControl)
 | ro | ClientOrigin (TControl)
 | ro | ClientRect (TControl)
 |  | ClientWidth (TControl)
 |  | Color (TControl)
pl | ro | Color (TComboBoxEx)
 | ro | ComObject (TComponent)
 | ro | ComponentCount (TComponent)
 |  | ComponentIndex (TComponent)
 | ro | Components (TComponent)
 | ro | ComponentState (TComponent)
 | ro | ComponentStyle (TComponent)
 |  | Constraints (TControl)
pl | ro | Constraints (TComboBoxEx)
 | ro | ControlCount (TWinControl)
 | ro | ControlOrigin (TControl)
 | ro | Controls (TWinControl)
 |  | ControlState (TControl)
 |  | ControlStyle (TControl)
pl |  | Cursor (TControl)
 |  | DefWndProc (TWinControl)
 |  | DesignerDeleting (TWinControl)
 |  | DesignInfo (TComponent)
pt |  | DesktopFont (TControl)
 | ro | DockClientCount (TWinControl)
 | ro | DockClients (TWinControl)
 |  | DockManager (TWinControl)
 |  | DockOrientation (TControl)
 |  | DockSite (TWinControl)
 |  | DoubleBuffered (TWinControl)
pt |  | DragCursor (TControl)
pl | ro | DragCursor (TComboBoxEx)
pt |  | DragKind (TControl)
pl | ro | DragKind (TComboBoxEx)
pt |  | DragMode (TControl)
pl | ro | DragMode (TComboBoxEx)
 |  | DropDownCount (TCustomComboBox)
pl | ro | DropDownCount (TComboBoxEx)
 |  | DroppedDown (TCustomComboBox)
 |  | DroppingDown (TCustomComboBox)
 |  | Enabled (TControl)
pl | ro | Enabled (TComboBoxEx)
 | ro | Floating (TControl)
 |  | FloatingDockSiteClass (TControl)
 |  | Font (TControl)
pl | ro | Font (TComboBoxEx)
 |  | Handle (TWinControl)
pl |  | Height (TControl)
pl |  | HelpContext (TControl)
pl |  | HelpKeyword (TControl)
pl |  | HelpType (TControl)
pl |  | Hint (TControl)
 |  | HostDockSite (TControl)
 |  | Images (TCustomComboBoxEx)
pl | ro | Images (TComboBoxEx)
 |  | ImagesWidth (TCustomComboBoxEx)
pl | ro | ImagesWidth (TComboBoxEx)
 |  | IsControl (TControl)
 | ro | IsFlipped (TWinControl)
 | ro | IsResizing (TWinControl)
pt |  | ItemHeight (TCustomComboBox)
pl | ro | ItemHeight (TComboBoxEx)
 |  | ItemIndex (TCustomComboBox)
pl | ro | ItemIndex (TComboBoxEx)
 |  | Items (TCustomComboBox)
 |  | ItemsEx (TCustomComboBoxEx)
pl | ro | ItemsEx (TComboBoxEx)
pt |  | ItemWidth (TCustomComboBox)
pl | ro | ItemWidth (TComboBoxEx)
 | ro | LCLRefCount (TLCLComponent)
pl |  | Left (TControl)
 |  | LRDockWidth (TControl)
pt |  | MaxLength (TCustomComboBox)
pl | ro | MaxLength (TComboBoxEx)
pt |  | MouseCapture (TControl)
 | ro | MouseEntered (TControl)
 | ro | MouseInClient (TControl)
 |  | Name (TComponent)
 | ro | Owner (TComponent)
 |  | Parent (TControl)
pt |  | ParentBackground (TWinControl)
 |  | ParentBiDiMode (TControl)
pl | ro | ParentBidiMode (TComboBoxEx)
pt |  | ParentColor (TControl)
pt | ro | ParentColor (TCustomComboBox)
pl | ro | ParentColor (TComboBoxEx)
 |  | ParentDoubleBuffered (TWinControl)
pt |  | ParentFont (TControl)
pl | ro | ParentFont (TComboBoxEx)
pt |  | ParentShowHint (TControl)
pl | ro | ParentShowHint (TComboBoxEx)
 |  | ParentWindow (TWinControl)
 |  | PopupMenu (TControl)
pl | ro | PopupMenu (TComboBoxEx)
 | ro | ReadBounds (TControl)
 |  | ReadOnly (TCustomComboBox)
pl | ro | ReadOnly (TComboBoxEx)
 |  | SelLength (TCustomComboBox)
 |  | SelStart (TCustomComboBox)
 |  | SelText (TCustomComboBox)
pt |  | SessionProperties (TControl)
 |  | ShowHint (TControl)
pl | ro | ShowHint (TComboBoxEx)
 | ro | Showing (TWinControl)
pt |  | Sorted (TCustomComboBox)
 |  | Style (TCustomComboBox)
 |  | Style (TCustomComboBoxEx)
pl | ro | Style (TComboBoxEx)
 |  | StyleEx (TCustomComboBoxEx)
pl | ro | StyleEx (TComboBoxEx)
 |  | TabOrder (TWinControl)
pl | ro | TabOrder (TComboBoxEx)
 |  | TabStop (TWinControl)
 | ro | TabStop (TCustomComboBox)
pl | ro | TabStop (TComboBoxEx)
 |  | Tag (TComponent)
 |  | TBDockHeight (TControl)
pt |  | Text (TControl)
 | ro | Text (TCustomComboBox)
pl | ro | Text (TComboBoxEx)
pl |  | Top (TControl)
 |  | UndockHeight (TControl)
 |  | UndockWidth (TControl)
 |  | UseDockManager (TWinControl)
 |  | VCLComObject (TComponent)
 |  | Visible (TControl)
pl | ro | Visible (TComboBoxEx)
 | ro | VisibleDockClientCount (TWinControl)
 | ro | WidgetSetClass (TLCLComponent)
pl |  | Width (TControl)
pt |  | WindowHandle (TWinControl)
 |  | WindowProc (TControl)


TComboBoxEx
TCustomComboBoxEx
pt | CMBiDiModeChanged
pt | DrawItem
pt | FontChanged
pt | InitializeWnd
pt | SetItemHeight
 | Create
 | Destroy
 | Add
 | AddItem
 | AssignItemsEx
 | Clear
 | Delete
 | DeleteSelected
 | Insert
TCustomComboBox
pt | WSRegisterClass
pt | CreateParams
pt | InitializeWnd
pt | DestroyWnd
pt | DoEnter
pt | DoExit
pt | DrawItem
pt | KeyUpAfterInterface
pt | MeasureItem
pt | GetControlClassDefaultSize
pt | LMChanged
pt | CMWantSpecialKey
pt | Change
pt | Select
pt | DropDown
pt | GetItems
pt | SetItems
pt | CloseUp
pt | AdjustDropDown
pt | DoAutoAdjustLayout
pt | GetItemCount
pt | GetItemHeight
pt | GetSelLength
pt | GetSelStart
pt | GetSelText
pt | GetItemIndex
pt | GetMaxLength
pt | SetDropDownCount
pt | SetDroppedDown
pt | SetItemHeight
pt | SetItemIndex
pt | SetMaxLength
pt | SetSelLength
pt | SetSelStart
pt | SetSelText
pt | SetSorted
pt | SetStyle
pt | RealSetText
pt | KeyDown
pt | KeyUp
pt | UTF8KeyPress
pt | MouseUp
pt | SelectItem
pt | ShouldAutoAdjust
 | Create
 | Destroy
 | IntfGetItems
 | AddItem
 | AddHistoryItem
 | Clear
 | ClearSelection
 | SelectAll
TWinControl
pt | WSRegisterClass
pt | AdjustClientRect
pt | GetAdjustedLogicalClientRect
pt | AlignControls
pt | CustomAlignInsertBefore
pt | CustomAlignPosition
pt | DoAlignChildControls
pt | DoChildSizingChange
pt | InvalidatePreferredChildSizes
pt | CanTab
pt | IsClientHeightStored
pt | IsClientWidthStored
pt | DoSendShowHideToInterface
pt | ControlsAligned
pt | DoSendBoundsToInterface
pt | RealizeBounds
pt | RealizeBoundsRecursive
pt | InvalidateBoundsRealized
pt | CreateSubClass
pt | DoConstraintsChange
pt | DoSetBounds
pt | DoAutoSize
pt | DoAllAutoSize
pt | AllAutoSized
pt | CalculatePreferredSize
pt | GetPreferredSizeClientFrame
pt | GetChildren
pt | ChildClassAllowed
pt | PaintControls
pt | PaintHandler
pt | PaintWindow
pt | CreateBrush
pt | ScaleControls
pt | ChangeScale
pt | CMBiDiModeChanged
pt | CMBorderChanged
pt | CMDoubleBufferedChanged
pt | CMEnabledChanged
pt | CMParentDoubleBufferedChanged
pt | CMShowingChanged
pt | CMShowHintChanged
pt | CMVisibleChanged
pt | CMEnter
pt | CMExit
pt | WMContextMenu
pt | WMEraseBkgnd
pt | WMNotify
pt | WMSetFocus
pt | WMKillFocus
pt | WMShowWindow
pt | WMEnter
pt | WMExit
pt | WMKeyDown
pt | WMSysKeyDown
pt | WMKeyUp
pt | WMSysKeyUp
pt | WMChar
pt | WMSysChar
pt | WMPaint
pt | WMDestroy
pt | WMMove
pt | WMSize
pt | WMWindowPosChanged
pt | CNKeyDown
pt | CNSysKeyDown
pt | CNKeyUp
pt | CNSysKeyUp
pt | CNChar
pt | DoDragMsg
pt | DoDockClientMsg
pt | DoUndockClientMsg
pt | DoAddDockClient
pt | DockOver
pt | DoDockOver
pt | DoRemoveDockClient
pt | DoUnDock
pt | GetSiteInfo
pt | GetParentHandle
pt | GetTopParentHandle
pt | ReloadDockedControl
pt | CreateDockManager
pt | SetDockManager
pt | DoFloatMsg
pt | DoGetDockCaption
pt | DoEnter
pt | DoExit
pt | DoKeyDownBeforeInterface
pt | DoRemainingKeyDown
pt | DoRemainingKeyUp
pt | DoKeyPress
pt | DoUTF8KeyPress
pt | DoKeyUpBeforeInterface
pt | ChildKey
pt | SendDialogChar
pt | DialogChar
pt | ControlKeyDown
pt | ControlKeyUp
pt | KeyDown
pt | KeyDownBeforeInterface
pt | KeyDownAfterInterface
pt | KeyPress
pt | KeyUp
pt | KeyUpBeforeInterface
pt | KeyUpAfterInterface
pt | UTF8KeyPress
pt | FindNextControl
pt | SelectFirst
pt | RealGetText
pt | GetBorderStyle
pt | GetClientOrigin
pt | GetClientRect
pt | GetControlOrigin
pt | GetDeviceContext
pt | GetParentBackground
pt | IsControlMouseMsg
pt | CreateHandle
pt | CreateParams
pt | CreateWnd
pt | DestroyHandle
pt | DestroyWnd
pt | DoFlipChildren
pt | FinalizeWnd
pt | FixupTabList
pt | FontChanged
pt | InitializeWnd
pt | Loaded
pt | FormEndUpdated
pt | MainWndProc
pt | ParentFormHandleInitialized
pt | ChildHandlesCreated
pt | GetMouseCapture
pt | RealSetText
pt | RemoveFocus
pt | SendMoveSizeMessages
pt | SetBorderStyle
pt | SetColor
pt | SetChildZPosition
pt | SetParentBackground
pt | ShowControl
pt | UpdateControlState
pt | UpdateShowing
pt | WndProc
pt | WSSetText
 | AutoSizePhases
 | AutoSizeDelayed
 | AutoSizeDelayedReport
 | AutoSizeDelayedHandle
 | BeginUpdateBounds
 | EndUpdateBounds
 | LockRealizeBounds
 | UnlockRealizeBounds
 | ControlAtPos
 | ContainsControl
 | DoAdjustClientRectChange
 | InvalidateClientRectCache
 | ClientRectNeedsInterfaceUpdate
 | SetBounds
 | GetChildrenRect
 | DisableAlign
 | EnableAlign
 | ReAlign
 | ScrollBy_WS
 | ScrollBy
 | WriteLayoutDebugReport
 | AutoAdjustLayout
 | Create
 | CreateParented
 | CreateParentedControl
 | Destroy
 | DockDrop
 | CanFocus
 | CanSetFocus
 | GetControlIndex
 | SetControlIndex
 | Focused
 | PerformTab
 | FindChildControl
 | SelectNext
 | SetTempCursor
 | BroadCast
 | NotifyControls
 | DefaultHandler
 | GetTextLen
 | Invalidate
 | AddControl
 | InsertControl
 | RemoveControl
 | GetEnumeratorControls
 | GetEnumeratorControlsReverse
 | Repaint
 | Update
 | SetFocus
 | FlipChildren
 | ScaleBy
 | GetDockCaption
 | UpdateDockCaption
 | GetTabOrderList
 | HandleAllocated
 | ParentHandlesAllocated
 | HandleNeeded
 | BrushCreated
 | EraseBackground
 | IntfUTF8KeyPress
 | IntfGetDropFilesTarget
 | PaintTo
 | SetShape
TControl
pt | WSRegisterClass
pt | GetCursor
pt | SetCursor
pt | SetVisible
pt | DoOnParentHandleDestruction
pt | DoAutoSize
pt | DoAllAutoSize
pt | BeginAutoSizing
pt | EndAutoSizing
pt | AnchorSideChanged
pt | ForeignAnchorSideChanged
pt | SetAlign
pt | SetAnchors
pt | SetAutoSize
pt | BoundsChanged
pt | CreateControlBorderSpacing
pt | DoConstraintsChange
pt | DoBorderSpacingChange
pt | IsBorderSpacingInnerBorderStored
pt | IsCaptionStored
pt | SendMoveSizeMessages
pt | ConstrainedResize
pt | CalculatePreferredSize
pt | DoOnResize
pt | DoOnChangeBounds
pt | CheckOnChangeBounds
pt | Resize
pt | RequestAlign
pt | UpdateAnchorRules
pt | ChangeBounds
pt | DoSetBounds
pt | ScaleConstraints
pt | ChangeScale
pt | CanAutoSize
pt | SetBiDiMode
pt | SetParentBiDiMode
pt | IsAParentAligning
pt | GetClientOrigin
pt | GetClientRect
pt | GetLogicalClientRect
pt | GetScrolledClientRect
pt | GetClientScrollOffset
pt | GetControlOrigin
pt | IsClientHeightStored
pt | IsClientWidthStored
pt | WidthIsAnchored
pt | HeightIsAnchored
pt | WMCancelMode
pt | WMContextMenu
pt | WMLButtonDown
pt | WMRButtonDown
pt | WMMButtonDown
pt | WMXButtonDown
pt | WMLButtonDBLCLK
pt | WMRButtonDBLCLK
pt | WMMButtonDBLCLK
pt | WMXButtonDBLCLK
pt | WMLButtonTripleCLK
pt | WMRButtonTripleCLK
pt | WMMButtonTripleCLK
pt | WMXButtonTripleCLK
pt | WMLButtonQuadCLK
pt | WMRButtonQuadCLK
pt | WMMButtonQuadCLK
pt | WMXButtonQuadCLK
pt | WMMouseMove
pt | WMLButtonUp
pt | WMRButtonUp
pt | WMMButtonUp
pt | WMXButtonUp
pt | WMMouseWheel
pt | WMMouseHWheel
pt | WMMove
pt | WMSize
pt | WMWindowPosChanged
pt | CMChanged
pt | LMCaptureChanged
pt | CMBiDiModeChanged
pt | CMSysFontChanged
pt | CMEnabledChanged
pt | CMHitTest
pt | CMMouseEnter
pt | CMMouseLeave
pt | CMHintShow
pt | CMParentBiDiModeChanged
pt | CMParentColorChanged
pt | CMParentFontChanged
pt | CMParentShowHintChanged
pt | CMVisibleChanged
pt | CMTextChanged
pt | CMCursorChanged
pt | CalculateDockSizes
pt | CreateFloatingDockSite
pt | GetDockEdge
pt | GetDragImages
pt | GetFloating
pt | GetFloatingDockSiteClass
pt | BeforeDragStart
pt | BeginAutoDrag
pt | DoFloatMsg
pt | DockTrackNoTarget
pt | DoDock
pt | DoDragMsg
pt | DoEndDock
pt | DoEndDrag
pt | DoStartDock
pt | DoStartDrag
pt | DragCanceled
pt | DragOver
pt | PositionDockRect
pt | SetDragMode
pt | GetDefaultDockCaption
pt | Click
pt | DblClick
pt | TripleClick
pt | QuadClick
pt | GetMousePosFromMessage
pt | MouseDown
pt | MouseMove
pt | MouseUp
pt | MouseEnter
pt | MouseLeave
pt | DialogChar
pt | UpdateMouseCursor
pt | Changed
pt | GetPalette
pt | ChildClassAllowed
pt | ReadState
pt | Loaded
pt | LoadedAll
pt | DefineProperties
pt | AssignTo
pt | FormEndUpdated
pt | InvalidateControl
pt | FontChanged
pt | ParentFontChanged
pt | GetAction
pt | RealGetText
pt | RealSetText
pt | TextChanged
pt | GetCachedText
pt | SetAction
pt | SetColor
pt | SetEnabled
pt | SetHint
pt | SetName
pt | SetParent
pt | SetParentComponent
pt | WndProc
pt | ParentFormHandleInitialized
pt | GetMouseCapture
pt | CaptureChanged
pt | Notification
pt | CanTab
pt | GetDeviceContext
pt | GetEnabled
pt | GetPopupMenu
pt | DoOnShowHint
pt | DoMouseWheel
pt | DoMouseWheelDown
pt | DoMouseWheelUp
pt | DoMouseWheelHorz
pt | DoMouseWheelLeft
pt | DoMouseWheelRight
pt | VisibleChanging
pt | VisibleChanged
pt | EnabledChanging
pt | EnabledChanged
pt | AddHandler
pt | RemoveHandler
pt | DoCallNotifyHandler
pt | DoCallKeyEventHandler
pt | DoCallMouseWheelEventHandler
pt | DoContextPopup
pt | SetZOrder
pt | GetControlClassDefaultSize
pt | ColorIsStored
pt | DoAutoAdjustLayout
pt | DoFixDesignFontPPI
pt | DoScaleFontPPI
pt | GetActionLinkClass
pt | ActionChange
 | DragDrop
 | Dock
 | ManualDock
 | ManualFloat
 | ReplaceDockedControl
 | Docked
 | Dragging
 | GetAccessibleObject
 | CreateAccessibleObject
 | GetSelectedChildAccessibleObject
 | GetChildAccessibleObjectAtPos
 | ScaleDesignToForm
 | ScaleFormToDesign
 | Scale96ToForm
 | ScaleFormTo96
 | Scale96ToFont
 | ScaleFontTo96
 | ScaleScreenToFont
 | ScaleFontToScreen
 | Scale96ToScreen
 | ScaleScreenTo96
 | AdjustSize
 | AutoSizePhases
 | AutoSizeDelayed
 | AutoSizeDelayedReport
 | AutoSizeDelayedHandle
 | AnchorToNeighbour
 | AnchorParallel
 | AnchorHorizontalCenterTo
 | AnchorVerticalCenterTo
 | AnchorToCompanion
 | AnchorSame
 | AnchorAsAlign
 | AnchorClient
 | AnchoredControlCount
 | SetBounds
 | SetInitialBounds
 | SetBoundsKeepBase
 | GetPreferredSize
 | GetCanvasScaleFactor
 | GetDefaultWidth
 | GetDefaultHeight
 | GetDefaultColor
 | GetColorResolvingParent
 | GetRGBColorResolvingParent
 | GetSidePosition
 | CNPreferredSizeChanged
 | InvalidatePreferredSize
 | GetAnchorsDependingOnParent
 | DisableAutoSizing
 | EnableAutoSizing
 | UpdateBaseBounds
 | WriteLayoutDebugReport
 | AutoAdjustLayout
 | ShouldAutoAdjust
 | FixDesignFontsPPI
 | ScaleFontsPPI
 | Create
 | Destroy
 | BeforeDestruction
 | EditingDone
 | ExecuteDefaultAction
 | ExecuteCancelAction
 | BeginDrag
 | EndDrag
 | BringToFront
 | HasParent
 | GetParentComponent
 | IsParentOf
 | GetTopParent
 | IsVisible
 | IsControlVisible
 | IsEnabled
 | IsParentColor
 | IsParentFont
 | FormIsUpdating
 | IsProcessingPaintMsg
 | Hide
 | Refresh
 | Repaint
 | Invalidate
 | CheckChildClassAllowed
 | CheckNewParent
 | SendToBack
 | SetTempCursor
 | UpdateRolesForForm
 | ActiveDefaultControlChanged
 | GetTextBuf
 | GetTextLen
 | SetTextBuf
 | Perform
 | ScreenToClient
 | ClientToScreen
 | ScreenToControl
 | ControlToScreen
 | ClientToParent
 | ParentToClient
 | GetChildrenRect
 | Show
 | Update
 | HandleObjectShouldBeVisible
 | ParentDestroyingHandle
 | ParentHandlesAllocated
 | InitiateAction
 | ShowHelp
 | HasHelp
 | RemoveAllHandlersOfObject
 | AddHandlerOnResize
 | RemoveHandlerOnResize
 | AddHandlerOnChangeBounds
 | RemoveHandlerOnChangeBounds
 | AddHandlerOnVisibleChanging
 | RemoveHandlerOnVisibleChanging
 | AddHandlerOnVisibleChanged
 | RemoveHandlerOnVisibleChanged
 | AddHandlerOnEnabledChanged
 | RemoveHandlerOnEnableChanging
 | AddHandlerOnKeyDown
 | RemoveHandlerOnKeyDown
 | AddHandlerOnBeforeDestruction
 | RemoveHandlerOnBeforeDestruction
 | AddHandlerOnMouseWheel
 | RemoveHandlerOnMouseWheel
 | UseRightToLeftAlignment
 | UseRightToLeftReading
 | UseRightToLeftScrollBar
 | IsRightToLeft
TLCLComponent
pt | WSRegisterClass
pt | GetWSComponentClass
 | Create
 | Destroy
 | NewInstance
 | RemoveAllHandlersOfObject
 | IncLCLRefCount
 | DecLCLRefCount
TComponent
 | GetComObject
 | GetComponent
 | GetComponentCount
 | GetComponentIndex
 | Insert
 | ReadLeft
 | ReadTop
 | Remove
 | RemoveNotification
 | SetComponentIndex
 | SetReference
 | WriteLeft
 | WriteTop
 | ChangeName
 | DefineProperties
 | GetChildren
 | GetChildOwner
 | GetChildParent
 | GetOwner
 | Loaded
 | Loading
 | Notification
 | PaletteCreated
 | ReadState
 | SetAncestor
 | SetDesigning
 | SetDesignInstance
 | SetInline
 | SetName
 | SetChildOrder
 | SetParentComponent
 | Updating
 | Updated
 | UpdateRegistry
 | ValidateRename
 | ValidateContainer
 | ValidateInsert
 | QueryInterface
 | _AddRef
 | _Release
 | iicrGetComponent
 | GetTypeInfoCount
 | GetTypeInfo
 | GetIDsOfNames
 | Invoke
 | WriteState
 | Create
 | Destroy
 | BeforeDestruction
 | DestroyComponents
 | Destroying
 | ExecuteAction
 | FindComponent
 | FreeNotification
 | RemoveFreeNotification
 | FreeOnRelease
 | GetEnumerator
 | GetNamePath
 | GetParentComponent
 | HasParent
 | InsertComponent
 | RemoveComponent
 | SafeCallException
 | SetSubComponent
 | UpdateAction
 | IsImplementorOf
 | ReferenceInterface
TPersistent
 | AssignError
 | AssignTo
 | DefineProperties
 | GetOwner
 | Destroy
 | Assign
 | FPOAttachObserver
 | FPODetachObserver
 | FPONotifyObservers
 | GetNamePath
TObject
 | Create
 | Destroy
 | newinstance
 | FreeInstance
 | SafeCallException
 | DefaultHandler
 | Free
 | InitInstance
 | CleanupInstance
 | ClassType
 | ClassInfo
 | ClassName
 | ClassNameIs
 | ClassParent
 | InstanceSize
 | InheritsFrom
 | StringMessageTable
 | MethodAddress
 | MethodName
 | FieldAddress
 | AfterConstruction
 | BeforeDestruction
 | DefaultHandlerStr
 | Dispatch
 | DispatchStr
 | GetInterface
 | GetInterfaceByStr
 | GetInterfaceWeak
 | GetInterfaceEntry
 | GetInterfaceEntryByStr
 | GetInterfaceTable
 | UnitName
 | Equals
 | GetHashCode
 | ToString


pt | ActionChange (TControl)
 | ActiveDefaultControlChanged (TControl)
 | Add (TCustomComboBoxEx)
 | AddControl (TWinControl)
pt | AddHandler (TControl)
 | AddHandlerOnBeforeDestruction (TControl)
 | AddHandlerOnChangeBounds (TControl)
 | AddHandlerOnEnabledChanged (TControl)
 | AddHandlerOnKeyDown (TControl)
 | AddHandlerOnMouseWheel (TControl)
 | AddHandlerOnResize (TControl)
 | AddHandlerOnVisibleChanged (TControl)
 | AddHandlerOnVisibleChanging (TControl)
 | AddHistoryItem (TCustomComboBox)
 | AddItem (TCustomComboBox)
 | AddItem (TCustomComboBoxEx)
pt | AdjustClientRect (TWinControl)
pt | AdjustDropDown (TCustomComboBox)
 | AdjustSize (TControl)
 | AfterConstruction (TObject)
pt | AlignControls (TWinControl)
pt | AllAutoSized (TWinControl)
 | AnchorAsAlign (TControl)
 | AnchorClient (TControl)
 | AnchoredControlCount (TControl)
 | AnchorHorizontalCenterTo (TControl)
 | AnchorParallel (TControl)
 | AnchorSame (TControl)
pt | AnchorSideChanged (TControl)
 | AnchorToCompanion (TControl)
 | AnchorToNeighbour (TControl)
 | AnchorVerticalCenterTo (TControl)
 | Assign (TPersistent)
 | AssignError (TPersistent)
 | AssignItemsEx (TCustomComboBoxEx)
 | AssignTo (TPersistent)
pt | AssignTo (TControl)
 | AutoAdjustLayout (TControl)
 | AutoAdjustLayout (TWinControl)
 | AutoSizeDelayed (TControl)
 | AutoSizeDelayed (TWinControl)
 | AutoSizeDelayedHandle (TControl)
 | AutoSizeDelayedHandle (TWinControl)
 | AutoSizeDelayedReport (TControl)
 | AutoSizeDelayedReport (TWinControl)
 | AutoSizePhases (TControl)
 | AutoSizePhases (TWinControl)
 | BeforeDestruction (TObject)
 | BeforeDestruction (TComponent)
 | BeforeDestruction (TControl)
pt | BeforeDragStart (TControl)
pt | BeginAutoDrag (TControl)
pt | BeginAutoSizing (TControl)
 | BeginDrag (TControl)
 | BeginUpdateBounds (TWinControl)
pt | BoundsChanged (TControl)
 | BringToFront (TControl)
 | BroadCast (TWinControl)
 | BrushCreated (TWinControl)
pt | CalculateDockSizes (TControl)
pt | CalculatePreferredSize (TControl)
pt | CalculatePreferredSize (TWinControl)
pt | CanAutoSize (TControl)
 | CanFocus (TWinControl)
 | CanSetFocus (TWinControl)
pt | CanTab (TControl)
pt | CanTab (TWinControl)
pt | CaptureChanged (TControl)
pt | Change (TCustomComboBox)
pt | ChangeBounds (TControl)
pt | Changed (TControl)
 | ChangeName (TComponent)
pt | ChangeScale (TControl)
pt | ChangeScale (TWinControl)
 | CheckChildClassAllowed (TControl)
 | CheckNewParent (TControl)
pt | CheckOnChangeBounds (TControl)
pt | ChildClassAllowed (TControl)
pt | ChildClassAllowed (TWinControl)
pt | ChildHandlesCreated (TWinControl)
pt | ChildKey (TWinControl)
 | ClassInfo (TObject)
 | ClassName (TObject)
 | ClassNameIs (TObject)
 | ClassParent (TObject)
 | ClassType (TObject)
 | CleanupInstance (TObject)
 | Clear (TCustomComboBox)
 | Clear (TCustomComboBoxEx)
 | ClearSelection (TCustomComboBox)
pt | Click (TControl)
 | ClientRectNeedsInterfaceUpdate (TWinControl)
 | ClientToParent (TControl)
 | ClientToScreen (TControl)
pt | CloseUp (TCustomComboBox)
pt | CMBiDiModeChanged (TControl)
pt | CMBiDiModeChanged (TWinControl)
pt | CMBiDiModeChanged (TCustomComboBoxEx)
pt | CMBorderChanged (TWinControl)
pt | CMChanged (TControl)
pt | CMCursorChanged (TControl)
pt | CMDoubleBufferedChanged (TWinControl)
pt | CMEnabledChanged (TControl)
pt | CMEnabledChanged (TWinControl)
pt | CMEnter (TWinControl)
pt | CMExit (TWinControl)
pt | CMHintShow (TControl)
pt | CMHitTest (TControl)
pt | CMMouseEnter (TControl)
pt | CMMouseLeave (TControl)
pt | CMParentBiDiModeChanged (TControl)
pt | CMParentColorChanged (TControl)
pt | CMParentDoubleBufferedChanged (TWinControl)
pt | CMParentFontChanged (TControl)
pt | CMParentShowHintChanged (TControl)
pt | CMShowHintChanged (TWinControl)
pt | CMShowingChanged (TWinControl)
pt | CMSysFontChanged (TControl)
pt | CMTextChanged (TControl)
pt | CMVisibleChanged (TControl)
pt | CMVisibleChanged (TWinControl)
pt | CMWantSpecialKey (TCustomComboBox)
pt | CNChar (TWinControl)
pt | CNKeyDown (TWinControl)
pt | CNKeyUp (TWinControl)
 | CNPreferredSizeChanged (TControl)
pt | CNSysKeyDown (TWinControl)
pt | CNSysKeyUp (TWinControl)
pt | ColorIsStored (TControl)
pt | ConstrainedResize (TControl)
 | ContainsControl (TWinControl)
 | ControlAtPos (TWinControl)
pt | ControlKeyDown (TWinControl)
pt | ControlKeyUp (TWinControl)
pt | ControlsAligned (TWinControl)
 | ControlToScreen (TControl)
 | Create (TObject)
 | Create (TComponent)
 | Create (TLCLComponent)
 | Create (TControl)
 | Create (TWinControl)
 | Create (TCustomComboBox)
 | Create (TCustomComboBoxEx)
 | CreateAccessibleObject (TControl)
pt | CreateBrush (TWinControl)
pt | CreateControlBorderSpacing (TControl)
pt | CreateDockManager (TWinControl)
pt | CreateFloatingDockSite (TControl)
pt | CreateHandle (TWinControl)
pt | CreateParams (TWinControl)
pt | CreateParams (TCustomComboBox)
 | CreateParented (TWinControl)
 | CreateParentedControl (TWinControl)
pt | CreateSubClass (TWinControl)
pt | CreateWnd (TWinControl)
pt | CustomAlignInsertBefore (TWinControl)
pt | CustomAlignPosition (TWinControl)
pt | DblClick (TControl)
 | DecLCLRefCount (TLCLComponent)
 | DefaultHandler (TObject)
 | DefaultHandler (TWinControl)
 | DefaultHandlerStr (TObject)
 | DefineProperties (TPersistent)
 | DefineProperties (TComponent)
pt | DefineProperties (TControl)
 | Delete (TCustomComboBoxEx)
 | DeleteSelected (TCustomComboBoxEx)
 | Destroy (TObject)
 | Destroy (TPersistent)
 | Destroy (TComponent)
 | Destroy (TLCLComponent)
 | Destroy (TControl)
 | Destroy (TWinControl)
 | Destroy (TCustomComboBox)
 | Destroy (TCustomComboBoxEx)
 | DestroyComponents (TComponent)
pt | DestroyHandle (TWinControl)
 | Destroying (TComponent)
pt | DestroyWnd (TWinControl)
pt | DestroyWnd (TCustomComboBox)
pt | DialogChar (TControl)
pt | DialogChar (TWinControl)
 | DisableAlign (TWinControl)
 | DisableAutoSizing (TControl)
 | Dispatch (TObject)
 | DispatchStr (TObject)
pt | DoAddDockClient (TWinControl)
 | DoAdjustClientRectChange (TWinControl)
pt | DoAlignChildControls (TWinControl)
pt | DoAllAutoSize (TControl)
pt | DoAllAutoSize (TWinControl)
pt | DoAutoAdjustLayout (TControl)
pt | DoAutoAdjustLayout (TCustomComboBox)
pt | DoAutoSize (TControl)
pt | DoAutoSize (TWinControl)
pt | DoBorderSpacingChange (TControl)
pt | DoCallKeyEventHandler (TControl)
pt | DoCallMouseWheelEventHandler (TControl)
pt | DoCallNotifyHandler (TControl)
pt | DoChildSizingChange (TWinControl)
 | Dock (TControl)
 | DockDrop (TWinControl)
 | Docked (TControl)
pt | DockOver (TWinControl)
pt | DockTrackNoTarget (TControl)
pt | DoConstraintsChange (TControl)
pt | DoConstraintsChange (TWinControl)
pt | DoContextPopup (TControl)
pt | DoDock (TControl)
pt | DoDockClientMsg (TWinControl)
pt | DoDockOver (TWinControl)
pt | DoDragMsg (TControl)
pt | DoDragMsg (TWinControl)
pt | DoEndDock (TControl)
pt | DoEndDrag (TControl)
pt | DoEnter (TWinControl)
pt | DoEnter (TCustomComboBox)
pt | DoExit (TWinControl)
pt | DoExit (TCustomComboBox)
pt | DoFixDesignFontPPI (TControl)
pt | DoFlipChildren (TWinControl)
pt | DoFloatMsg (TControl)
pt | DoFloatMsg (TWinControl)
pt | DoGetDockCaption (TWinControl)
pt | DoKeyDownBeforeInterface (TWinControl)
pt | DoKeyPress (TWinControl)
pt | DoKeyUpBeforeInterface (TWinControl)
pt | DoMouseWheel (TControl)
pt | DoMouseWheelDown (TControl)
pt | DoMouseWheelHorz (TControl)
pt | DoMouseWheelLeft (TControl)
pt | DoMouseWheelRight (TControl)
pt | DoMouseWheelUp (TControl)
pt | DoOnChangeBounds (TControl)
pt | DoOnParentHandleDestruction (TControl)
pt | DoOnResize (TControl)
pt | DoOnShowHint (TControl)
pt | DoRemainingKeyDown (TWinControl)
pt | DoRemainingKeyUp (TWinControl)
pt | DoRemoveDockClient (TWinControl)
pt | DoScaleFontPPI (TControl)
pt | DoSendBoundsToInterface (TWinControl)
pt | DoSendShowHideToInterface (TWinControl)
pt | DoSetBounds (TControl)
pt | DoSetBounds (TWinControl)
pt | DoStartDock (TControl)
pt | DoStartDrag (TControl)
pt | DoUnDock (TWinControl)
pt | DoUndockClientMsg (TWinControl)
pt | DoUTF8KeyPress (TWinControl)
pt | DragCanceled (TControl)
 | DragDrop (TControl)
 | Dragging (TControl)
pt | DragOver (TControl)
pt | DrawItem (TCustomComboBox)
pt | DrawItem (TCustomComboBoxEx)
pt | DropDown (TCustomComboBox)
 | EditingDone (TControl)
 | EnableAlign (TWinControl)
 | EnableAutoSizing (TControl)
pt | EnabledChanged (TControl)
pt | EnabledChanging (TControl)
pt | EndAutoSizing (TControl)
 | EndDrag (TControl)
 | EndUpdateBounds (TWinControl)
 | Equals (TObject)
 | EraseBackground (TWinControl)
 | ExecuteAction (TComponent)
 | ExecuteCancelAction (TControl)
 | ExecuteDefaultAction (TControl)
 | FieldAddress (TObject)
pt | FinalizeWnd (TWinControl)
 | FindChildControl (TWinControl)
 | FindComponent (TComponent)
pt | FindNextControl (TWinControl)
 | FixDesignFontsPPI (TControl)
pt | FixupTabList (TWinControl)
 | FlipChildren (TWinControl)
 | Focused (TWinControl)
pt | FontChanged (TControl)
pt | FontChanged (TWinControl)
pt | FontChanged (TCustomComboBoxEx)
pt | ForeignAnchorSideChanged (TControl)
pt | FormEndUpdated (TControl)
pt | FormEndUpdated (TWinControl)
 | FormIsUpdating (TControl)
 | FPOAttachObserver (TPersistent)
 | FPODetachObserver (TPersistent)
 | FPONotifyObservers (TPersistent)
 | Free (TObject)
 | FreeInstance (TObject)
 | FreeNotification (TComponent)
 | FreeOnRelease (TComponent)
 | GetAccessibleObject (TControl)
pt | GetAction (TControl)
pt | GetActionLinkClass (TControl)
pt | GetAdjustedLogicalClientRect (TWinControl)
 | GetAnchorsDependingOnParent (TControl)
pt | GetBorderStyle (TWinControl)
pt | GetCachedText (TControl)
 | GetCanvasScaleFactor (TControl)
 | GetChildAccessibleObjectAtPos (TControl)
 | GetChildOwner (TComponent)
 | GetChildParent (TComponent)
 | GetChildren (TComponent)
pt | GetChildren (TWinControl)
 | GetChildrenRect (TControl)
 | GetChildrenRect (TWinControl)
pt | GetClientOrigin (TControl)
pt | GetClientOrigin (TWinControl)
pt | GetClientRect (TControl)
pt | GetClientRect (TWinControl)
pt | GetClientScrollOffset (TControl)
 | GetColorResolvingParent (TControl)
 | GetComObject (TComponent)
 | GetComponent (TComponent)
 | GetComponentCount (TComponent)
 | GetComponentIndex (TComponent)
pt | GetControlClassDefaultSize (TControl)
pt | GetControlClassDefaultSize (TCustomComboBox)
 | GetControlIndex (TWinControl)
pt | GetControlOrigin (TControl)
pt | GetControlOrigin (TWinControl)
pt | GetCursor (TControl)
 | GetDefaultColor (TControl)
pt | GetDefaultDockCaption (TControl)
 | GetDefaultHeight (TControl)
 | GetDefaultWidth (TControl)
pt | GetDeviceContext (TControl)
pt | GetDeviceContext (TWinControl)
 | GetDockCaption (TWinControl)
pt | GetDockEdge (TControl)
pt | GetDragImages (TControl)
pt | GetEnabled (TControl)
 | GetEnumerator (TComponent)
 | GetEnumeratorControls (TWinControl)
 | GetEnumeratorControlsReverse (TWinControl)
pt | GetFloating (TControl)
pt | GetFloatingDockSiteClass (TControl)
 | GetHashCode (TObject)
 | GetIDsOfNames (TComponent)
 | GetInterface (TObject)
 | GetInterfaceByStr (TObject)
 | GetInterfaceEntry (TObject)
 | GetInterfaceEntryByStr (TObject)
 | GetInterfaceTable (TObject)
 | GetInterfaceWeak (TObject)
pt | GetItemCount (TCustomComboBox)
pt | GetItemHeight (TCustomComboBox)
pt | GetItemIndex (TCustomComboBox)
pt | GetItems (TCustomComboBox)
pt | GetLogicalClientRect (TControl)
pt | GetMaxLength (TCustomComboBox)
pt | GetMouseCapture (TControl)
pt | GetMouseCapture (TWinControl)
pt | GetMousePosFromMessage (TControl)
 | GetNamePath (TPersistent)
 | GetNamePath (TComponent)
 | GetOwner (TPersistent)
 | GetOwner (TComponent)
pt | GetPalette (TControl)
pt | GetParentBackground (TWinControl)
 | GetParentComponent (TComponent)
 | GetParentComponent (TControl)
pt | GetParentHandle (TWinControl)
pt | GetPopupMenu (TControl)
 | GetPreferredSize (TControl)
pt | GetPreferredSizeClientFrame (TWinControl)
 | GetRGBColorResolvingParent (TControl)
pt | GetScrolledClientRect (TControl)
 | GetSelectedChildAccessibleObject (TControl)
pt | GetSelLength (TCustomComboBox)
pt | GetSelStart (TCustomComboBox)
pt | GetSelText (TCustomComboBox)
 | GetSidePosition (TControl)
pt | GetSiteInfo (TWinControl)
 | GetTabOrderList (TWinControl)
 | GetTextBuf (TControl)
 | GetTextLen (TControl)
 | GetTextLen (TWinControl)
 | GetTopParent (TControl)
pt | GetTopParentHandle (TWinControl)
 | GetTypeInfo (TComponent)
 | GetTypeInfoCount (TComponent)
pt | GetWSComponentClass (TLCLComponent)
 | HandleAllocated (TWinControl)
 | HandleNeeded (TWinControl)
 | HandleObjectShouldBeVisible (TControl)
 | HasHelp (TControl)
 | HasParent (TComponent)
 | HasParent (TControl)
pt | HeightIsAnchored (TControl)
 | Hide (TControl)
 | iicrGetComponent (TComponent)
 | IncLCLRefCount (TLCLComponent)
 | InheritsFrom (TObject)
pt | InitializeWnd (TWinControl)
pt | InitializeWnd (TCustomComboBox)
pt | InitializeWnd (TCustomComboBoxEx)
 | InitiateAction (TControl)
 | InitInstance (TObject)
 | Insert (TComponent)
 | Insert (TCustomComboBoxEx)
 | InsertComponent (TComponent)
 | InsertControl (TWinControl)
 | InstanceSize (TObject)
 | IntfGetDropFilesTarget (TWinControl)
 | IntfGetItems (TCustomComboBox)
 | IntfUTF8KeyPress (TWinControl)
 | Invalidate (TControl)
 | Invalidate (TWinControl)
pt | InvalidateBoundsRealized (TWinControl)
 | InvalidateClientRectCache (TWinControl)
pt | InvalidateControl (TControl)
pt | InvalidatePreferredChildSizes (TWinControl)
 | InvalidatePreferredSize (TControl)
 | Invoke (TComponent)
pt | IsAParentAligning (TControl)
pt | IsBorderSpacingInnerBorderStored (TControl)
pt | IsCaptionStored (TControl)
pt | IsClientHeightStored (TControl)
pt | IsClientHeightStored (TWinControl)
pt | IsClientWidthStored (TControl)
pt | IsClientWidthStored (TWinControl)
pt | IsControlMouseMsg (TWinControl)
 | IsControlVisible (TControl)
 | IsEnabled (TControl)
 | IsImplementorOf (TComponent)
 | IsParentColor (TControl)
 | IsParentFont (TControl)
 | IsParentOf (TControl)
 | IsProcessingPaintMsg (TControl)
 | IsRightToLeft (TControl)
 | IsVisible (TControl)
pt | KeyDown (TWinControl)
pt | KeyDown (TCustomComboBox)
pt | KeyDownAfterInterface (TWinControl)
pt | KeyDownBeforeInterface (TWinControl)
pt | KeyPress (TWinControl)
pt | KeyUp (TWinControl)
pt | KeyUp (TCustomComboBox)
pt | KeyUpAfterInterface (TWinControl)
pt | KeyUpAfterInterface (TCustomComboBox)
pt | KeyUpBeforeInterface (TWinControl)
pt | LMCaptureChanged (TControl)
pt | LMChanged (TCustomComboBox)
 | Loaded (TComponent)
pt | Loaded (TControl)
pt | Loaded (TWinControl)
pt | LoadedAll (TControl)
 | Loading (TComponent)
 | LockRealizeBounds (TWinControl)
pt | MainWndProc (TWinControl)
 | ManualDock (TControl)
 | ManualFloat (TControl)
pt | MeasureItem (TCustomComboBox)
 | MethodAddress (TObject)
 | MethodName (TObject)
pt | MouseDown (TControl)
pt | MouseEnter (TControl)
pt | MouseLeave (TControl)
pt | MouseMove (TControl)
pt | MouseUp (TControl)
pt | MouseUp (TCustomComboBox)
 | newinstance (TObject)
 | NewInstance (TLCLComponent)
 | Notification (TComponent)
pt | Notification (TControl)
 | NotifyControls (TWinControl)
pt | PaintControls (TWinControl)
pt | PaintHandler (TWinControl)
 | PaintTo (TWinControl)
pt | PaintWindow (TWinControl)
 | PaletteCreated (TComponent)
 | ParentDestroyingHandle (TControl)
pt | ParentFontChanged (TControl)
pt | ParentFormHandleInitialized (TControl)
pt | ParentFormHandleInitialized (TWinControl)
 | ParentHandlesAllocated (TControl)
 | ParentHandlesAllocated (TWinControl)
 | ParentToClient (TControl)
 | Perform (TControl)
 | PerformTab (TWinControl)
pt | PositionDockRect (TControl)
pt | QuadClick (TControl)
 | QueryInterface (TComponent)
 | ReadLeft (TComponent)
 | ReadState (TComponent)
pt | ReadState (TControl)
 | ReadTop (TComponent)
pt | RealGetText (TControl)
pt | RealGetText (TWinControl)
 | ReAlign (TWinControl)
pt | RealizeBounds (TWinControl)
pt | RealizeBoundsRecursive (TWinControl)
pt | RealSetText (TControl)
pt | RealSetText (TWinControl)
pt | RealSetText (TCustomComboBox)
 | ReferenceInterface (TComponent)
 | Refresh (TControl)
pt | ReloadDockedControl (TWinControl)
 | Remove (TComponent)
 | RemoveAllHandlersOfObject (TLCLComponent)
 | RemoveAllHandlersOfObject (TControl)
 | RemoveComponent (TComponent)
 | RemoveControl (TWinControl)
pt | RemoveFocus (TWinControl)
 | RemoveFreeNotification (TComponent)
pt | RemoveHandler (TControl)
 | RemoveHandlerOnBeforeDestruction (TControl)
 | RemoveHandlerOnChangeBounds (TControl)
 | RemoveHandlerOnEnableChanging (TControl)
 | RemoveHandlerOnKeyDown (TControl)
 | RemoveHandlerOnMouseWheel (TControl)
 | RemoveHandlerOnResize (TControl)
 | RemoveHandlerOnVisibleChanged (TControl)
 | RemoveHandlerOnVisibleChanging (TControl)
 | RemoveNotification (TComponent)
 | Repaint (TControl)
 | Repaint (TWinControl)
 | ReplaceDockedControl (TControl)
pt | RequestAlign (TControl)
pt | Resize (TControl)
 | SafeCallException (TObject)
 | SafeCallException (TComponent)
 | Scale96ToFont (TControl)
 | Scale96ToForm (TControl)
 | Scale96ToScreen (TControl)
 | ScaleBy (TWinControl)
pt | ScaleConstraints (TControl)
pt | ScaleControls (TWinControl)
 | ScaleDesignToForm (TControl)
 | ScaleFontsPPI (TControl)
 | ScaleFontTo96 (TControl)
 | ScaleFontToScreen (TControl)
 | ScaleFormTo96 (TControl)
 | ScaleFormToDesign (TControl)
 | ScaleScreenTo96 (TControl)
 | ScaleScreenToFont (TControl)
 | ScreenToClient (TControl)
 | ScreenToControl (TControl)
 | ScrollBy (TWinControl)
 | ScrollBy_WS (TWinControl)
pt | Select (TCustomComboBox)
 | SelectAll (TCustomComboBox)
pt | SelectFirst (TWinControl)
pt | SelectItem (TCustomComboBox)
 | SelectNext (TWinControl)
pt | SendDialogChar (TWinControl)
pt | SendMoveSizeMessages (TControl)
pt | SendMoveSizeMessages (TWinControl)
 | SendToBack (TControl)
pt | SetAction (TControl)
pt | SetAlign (TControl)
 | SetAncestor (TComponent)
pt | SetAnchors (TControl)
pt | SetAutoSize (TControl)
pt | SetBiDiMode (TControl)
pt | SetBorderStyle (TWinControl)
 | SetBounds (TControl)
 | SetBounds (TWinControl)
 | SetBoundsKeepBase (TControl)
 | SetChildOrder (TComponent)
pt | SetChildZPosition (TWinControl)
pt | SetColor (TControl)
pt | SetColor (TWinControl)
 | SetComponentIndex (TComponent)
 | SetControlIndex (TWinControl)
pt | SetCursor (TControl)
 | SetDesigning (TComponent)
 | SetDesignInstance (TComponent)
pt | SetDockManager (TWinControl)
pt | SetDragMode (TControl)
pt | SetDropDownCount (TCustomComboBox)
pt | SetDroppedDown (TCustomComboBox)
pt | SetEnabled (TControl)
 | SetFocus (TWinControl)
pt | SetHint (TControl)
 | SetInitialBounds (TControl)
 | SetInline (TComponent)
pt | SetItemHeight (TCustomComboBox)
pt | SetItemHeight (TCustomComboBoxEx)
pt | SetItemIndex (TCustomComboBox)
pt | SetItems (TCustomComboBox)
pt | SetMaxLength (TCustomComboBox)
 | SetName (TComponent)
pt | SetName (TControl)
pt | SetParent (TControl)
pt | SetParentBackground (TWinControl)
pt | SetParentBiDiMode (TControl)
 | SetParentComponent (TComponent)
pt | SetParentComponent (TControl)
 | SetReference (TComponent)
pt | SetSelLength (TCustomComboBox)
pt | SetSelStart (TCustomComboBox)
pt | SetSelText (TCustomComboBox)
 | SetShape (TWinControl)
pt | SetSorted (TCustomComboBox)
pt | SetStyle (TCustomComboBox)
 | SetSubComponent (TComponent)
 | SetTempCursor (TControl)
 | SetTempCursor (TWinControl)
 | SetTextBuf (TControl)
pt | SetVisible (TControl)
pt | SetZOrder (TControl)
 | ShouldAutoAdjust (TControl)
pt | ShouldAutoAdjust (TCustomComboBox)
 | Show (TControl)
pt | ShowControl (TWinControl)
 | ShowHelp (TControl)
 | StringMessageTable (TObject)
pt | TextChanged (TControl)
 | ToString (TObject)
pt | TripleClick (TControl)
 | UnitName (TObject)
 | UnlockRealizeBounds (TWinControl)
 | Update (TControl)
 | Update (TWinControl)
 | UpdateAction (TComponent)
pt | UpdateAnchorRules (TControl)
 | UpdateBaseBounds (TControl)
pt | UpdateControlState (TWinControl)
 | Updated (TComponent)
 | UpdateDockCaption (TWinControl)
pt | UpdateMouseCursor (TControl)
 | UpdateRegistry (TComponent)
 | UpdateRolesForForm (TControl)
pt | UpdateShowing (TWinControl)
 | Updating (TComponent)
 | UseRightToLeftAlignment (TControl)
 | UseRightToLeftReading (TControl)
 | UseRightToLeftScrollBar (TControl)
pt | UTF8KeyPress (TWinControl)
pt | UTF8KeyPress (TCustomComboBox)
 | ValidateContainer (TComponent)
 | ValidateInsert (TComponent)
 | ValidateRename (TComponent)
pt | VisibleChanged (TControl)
pt | VisibleChanging (TControl)
pt | WidthIsAnchored (TControl)
pt | WMCancelMode (TControl)
pt | WMChar (TWinControl)
pt | WMContextMenu (TControl)
pt | WMContextMenu (TWinControl)
pt | WMDestroy (TWinControl)
pt | WMEnter (TWinControl)
pt | WMEraseBkgnd (TWinControl)
pt | WMExit (TWinControl)
pt | WMKeyDown (TWinControl)
pt | WMKeyUp (TWinControl)
pt | WMKillFocus (TWinControl)
pt | WMLButtonDBLCLK (TControl)
pt | WMLButtonDown (TControl)
pt | WMLButtonQuadCLK (TControl)
pt | WMLButtonTripleCLK (TControl)
pt | WMLButtonUp (TControl)
pt | WMMButtonDBLCLK (TControl)
pt | WMMButtonDown (TControl)
pt | WMMButtonQuadCLK (TControl)
pt | WMMButtonTripleCLK (TControl)
pt | WMMButtonUp (TControl)
pt | WMMouseHWheel (TControl)
pt | WMMouseMove (TControl)
pt | WMMouseWheel (TControl)
pt | WMMove (TControl)
pt | WMMove (TWinControl)
pt | WMNotify (TWinControl)
pt | WMPaint (TWinControl)
pt | WMRButtonDBLCLK (TControl)
pt | WMRButtonDown (TControl)
pt | WMRButtonQuadCLK (TControl)
pt | WMRButtonTripleCLK (TControl)
pt | WMRButtonUp (TControl)
pt | WMSetFocus (TWinControl)
pt | WMShowWindow (TWinControl)
pt | WMSize (TControl)
pt | WMSize (TWinControl)
pt | WMSysChar (TWinControl)
pt | WMSysKeyDown (TWinControl)
pt | WMSysKeyUp (TWinControl)
pt | WMWindowPosChanged (TControl)
pt | WMWindowPosChanged (TWinControl)
pt | WMXButtonDBLCLK (TControl)
pt | WMXButtonDown (TControl)
pt | WMXButtonQuadCLK (TControl)
pt | WMXButtonTripleCLK (TControl)
pt | WMXButtonUp (TControl)
pt | WndProc (TControl)
pt | WndProc (TWinControl)
 | WriteLayoutDebugReport (TControl)
 | WriteLayoutDebugReport (TWinControl)
 | WriteLeft (TComponent)
 | WriteState (TComponent)
 | WriteTop (TComponent)
pt | WSRegisterClass (TLCLComponent)
pt | WSRegisterClass (TControl)
pt | WSRegisterClass (TWinControl)
pt | WSRegisterClass (TCustomComboBox)
pt | WSSetText (TWinControl)
 | _AddRef (TComponent)
 | _Release (TComponent)


TComboBoxEx
pl | ro | OnChange
pl | ro | OnChangeBounds
pl | ro | OnClick
pl | ro | OnCloseUp
pl | ro | OnContextPopup
pl | ro | OnDblClick
pl | ro | OnDragDrop
pl | ro | OnDragOver
pl | ro | OnDropDown
pl | ro | OnEditingDone
pl | ro | OnEndDock
pl | ro | OnEndDrag
pl | ro | OnEnter
pl | ro | OnExit
pl | ro | OnGetItems
pl | ro | OnKeyDown
pl | ro | OnKeyPress
pl | ro | OnKeyUp
pl | ro | OnMouseDown
pl | ro | OnMouseEnter
pl | ro | OnMouseLeave
pl | ro | OnMouseMove
pl | ro | OnMouseUp
pl | ro | OnMouseWheel
pl | ro | OnMouseWheelDown
pl | ro | OnMouseWheelUp
pl | ro | OnSelect
pl | ro | OnStartDock
pl | ro | OnStartDrag
pl | ro | OnUTF8KeyPress
TCustomComboBoxEx
TCustomComboBox
pt |  | OnChange
pt |  | OnCloseUp
pt |  | OnDrawItem
pt |  | OnDropDown
pt |  | OnGetItems
pt |  | OnMeasureItem
pt |  | OnSelect
TWinControl
pt |  | OnGetSiteInfo
pt |  | OnGetDockCaption
 |  | OnAlignInsertBefore
 |  | OnAlignPosition
 |  | OnDockDrop
 |  | OnDockOver
 |  | OnEnter
 |  | OnExit
 |  | OnKeyDown
 |  | OnKeyPress
 |  | OnKeyUp
 |  | OnUnDock
 |  | OnUTF8KeyPress
TControl
pt |  | OnConstrainedResize
pt |  | OnContextPopup
pt |  | OnDblClick
pt |  | OnTripleClick
pt |  | OnQuadClick
pt |  | OnDragDrop
pt |  | OnDragOver
pt |  | OnEndDock
pt |  | OnEndDrag
pt |  | OnMouseDown
pt |  | OnMouseMove
pt |  | OnMouseUp
pt |  | OnMouseEnter
pt |  | OnMouseLeave
pt |  | OnMouseWheel
pt |  | OnMouseWheelDown
pt |  | OnMouseWheelUp
pt |  | OnMouseWheelHorz
pt |  | OnMouseWheelLeft
pt |  | OnMouseWheelRight
pt |  | OnStartDock
pt |  | OnStartDrag
pt |  | OnEditingDone
 |  | OnChangeBounds
 |  | OnClick
 |  | OnResize
 |  | OnShowHint
TLCLComponent
TComponent
TPersistent
TObject


pt |  | OnChange (TCustomComboBox)
pl | ro | OnChange (TComboBoxEx)
 |  | OnChangeBounds (TControl)
pl | ro | OnChangeBounds (TComboBoxEx)
 |  | OnClick (TControl)
pl | ro | OnClick (TComboBoxEx)
pt |  | OnCloseUp (TCustomComboBox)
pl | ro | OnCloseUp (TComboBoxEx)
pt |  | OnConstrainedResize (TControl)
pt |  | OnContextPopup (TControl)
pl | ro | OnContextPopup (TComboBoxEx)
pt |  | OnDblClick (TControl)
pl | ro | OnDblClick (TComboBoxEx)
 |  | OnDockDrop (TWinControl)
 |  | OnDockOver (TWinControl)
pt |  | OnDragDrop (TControl)
pl | ro | OnDragDrop (TComboBoxEx)
pt |  | OnDragOver (TControl)
pl | ro | OnDragOver (TComboBoxEx)
pt |  | OnDrawItem (TCustomComboBox)
pt |  | OnDropDown (TCustomComboBox)
pl | ro | OnDropDown (TComboBoxEx)
pt |  | OnEditingDone (TControl)
pl | ro | OnEditingDone (TComboBoxEx)
pt |  | OnEndDock (TControl)
pl | ro | OnEndDock (TComboBoxEx)
pt |  | OnEndDrag (TControl)
pl | ro | OnEndDrag (TComboBoxEx)
 |  | OnEnter (TWinControl)
pl | ro | OnEnter (TComboBoxEx)
 |  | OnExit (TWinControl)
pl | ro | OnExit (TComboBoxEx)
pt |  | OnGetDockCaption (TWinControl)
pt |  | OnGetItems (TCustomComboBox)
pl | ro | OnGetItems (TComboBoxEx)
pt |  | OnGetSiteInfo (TWinControl)
 |  | OnKeyDown (TWinControl)
pl | ro | OnKeyDown (TComboBoxEx)
 |  | OnKeyPress (TWinControl)
pl | ro | OnKeyPress (TComboBoxEx)
 |  | OnKeyUp (TWinControl)
pl | ro | OnKeyUp (TComboBoxEx)
pt |  | OnMeasureItem (TCustomComboBox)
pt |  | OnMouseDown (TControl)
pl | ro | OnMouseDown (TComboBoxEx)
pt |  | OnMouseEnter (TControl)
pl | ro | OnMouseEnter (TComboBoxEx)
pt |  | OnMouseLeave (TControl)
pl | ro | OnMouseLeave (TComboBoxEx)
pt |  | OnMouseMove (TControl)
pl | ro | OnMouseMove (TComboBoxEx)
pt |  | OnMouseUp (TControl)
pl | ro | OnMouseUp (TComboBoxEx)
pt |  | OnMouseWheel (TControl)
pl | ro | OnMouseWheel (TComboBoxEx)
pt |  | OnMouseWheelDown (TControl)
pl | ro | OnMouseWheelDown (TComboBoxEx)
pt |  | OnMouseWheelHorz (TControl)
pt |  | OnMouseWheelLeft (TControl)
pt |  | OnMouseWheelRight (TControl)
pt |  | OnMouseWheelUp (TControl)
pl | ro | OnMouseWheelUp (TComboBoxEx)
pt |  | OnQuadClick (TControl)
 |  | OnResize (TControl)
pt |  | OnSelect (TCustomComboBox)
pl | ro | OnSelect (TComboBoxEx)
 |  | OnShowHint (TControl)
pt |  | OnStartDock (TControl)
pl | ro | OnStartDock (TComboBoxEx)
pt |  | OnStartDrag (TControl)
pl | ro | OnStartDrag (TComboBoxEx)
pt |  | OnTripleClick (TControl)
 |  | OnUnDock (TWinControl)
 |  | OnUTF8KeyPress (TWinControl)
pl | ro | OnUTF8KeyPress (TComboBoxEx)


TComboBoxEx.Align

Declaration

Source position: comboex.pas line 188

published property TComboBoxEx.Align : TAlign;


TComboBoxEx.Anchors

Declaration

Source position: comboex.pas line 189

published property TComboBoxEx.Anchors : TAnchors;


TComboBoxEx.ArrowKeysTraverseList

Declaration

Source position: comboex.pas line 190

published property TComboBoxEx.ArrowKeysTraverseList : Boolean;


TComboBoxEx.AutoComplete

Declaration

Source position: comboex.pas line 191

published property TComboBoxEx.AutoComplete : Boolean;


TComboBoxEx.AutoCompleteOptions

Declaration

Source position: comboex.pas line 192

published property TComboBoxEx.AutoCompleteOptions : TAutoCompleteOptions;


TComboBoxEx.AutoCompleteText

Declaration

Source position: comboex.pas line 193

published property TComboBoxEx.AutoCompleteText : TComboBoxAutoCompleteText;


TComboBoxEx.AutoDropDown

Declaration

Source position: comboex.pas line 194

published property TComboBoxEx.AutoDropDown : Boolean;


TComboBoxEx.AutoSelect

Declaration

Source position: comboex.pas line 195

published property TComboBoxEx.AutoSelect : Boolean;


TComboBoxEx.AutoSize

Declaration

Source position: comboex.pas line 196

published property TComboBoxEx.AutoSize : Boolean;


TComboBoxEx.BidiMode

Declaration

Source position: comboex.pas line 197

published property TComboBoxEx.BidiMode : TBiDiMode;


TComboBoxEx.BorderSpacing

Declaration

Source position: comboex.pas line 198

published property TComboBoxEx.BorderSpacing : TControlBorderSpacing;


TComboBoxEx.BorderStyle

Declaration

Source position: comboex.pas line 199

published property TComboBoxEx.BorderStyle : TBorderStyle;


TComboBoxEx.CharCase

Declaration

Source position: comboex.pas line 200

published property TComboBoxEx.CharCase : TEditCharCase;


TComboBoxEx.Color

Declaration

Source position: comboex.pas line 201

published property TComboBoxEx.Color : TColor;


TComboBoxEx.Constraints

Declaration

Source position: comboex.pas line 202

published property TComboBoxEx.Constraints : TSizeConstraints;


TComboBoxEx.DragCursor

Declaration

Source position: comboex.pas line 203

published property TComboBoxEx.DragCursor : TCursor;


TComboBoxEx.DragKind

Declaration

Source position: comboex.pas line 204

published property TComboBoxEx.DragKind : TDragKind;


TComboBoxEx.DragMode

Declaration

Source position: comboex.pas line 205

published property TComboBoxEx.DragMode : TDragMode;


TComboBoxEx.DropDownCount

Declaration

Source position: comboex.pas line 206

published property TComboBoxEx.DropDownCount : Integer;


TComboBoxEx.Enabled

Declaration

Source position: comboex.pas line 207

published property TComboBoxEx.Enabled : Boolean;


TComboBoxEx.Font

Declaration

Source position: comboex.pas line 208

published property TComboBoxEx.Font : TFont;


TComboBoxEx.Images

Declaration

Source position: comboex.pas line 209

published property TComboBoxEx.Images : TCustomImageList;


TComboBoxEx.ImagesWidth

Declaration

Source position: comboex.pas line 210

published property TComboBoxEx.ImagesWidth : Integer;


TComboBoxEx.ItemHeight

Declaration

Source position: comboex.pas line 211

published property TComboBoxEx.ItemHeight : Integer;


TComboBoxEx.ItemIndex

Declaration

Source position: comboex.pas line 213

published property TComboBoxEx.ItemIndex : Integer;


TComboBoxEx.ItemsEx

Declaration

Source position: comboex.pas line 212

published property TComboBoxEx.ItemsEx : TComboExItems;


TComboBoxEx.ItemWidth

Declaration

Source position: comboex.pas line 214

published property TComboBoxEx.ItemWidth : Integer;


TComboBoxEx.MaxLength

Declaration

Source position: comboex.pas line 215

published property TComboBoxEx.MaxLength : Integer;


TComboBoxEx.OnChange

Declaration

Source position: comboex.pas line 216

published property TComboBoxEx.OnChange : TNotifyEvent;


TComboBoxEx.OnChangeBounds

Declaration

Source position: comboex.pas line 217

published property TComboBoxEx.OnChangeBounds : TNotifyEvent;


TComboBoxEx.OnClick

Declaration

Source position: comboex.pas line 218

published property TComboBoxEx.OnClick : TNotifyEvent;


TComboBoxEx.OnCloseUp

Declaration

Source position: comboex.pas line 219

published property TComboBoxEx.OnCloseUp : TNotifyEvent;


TComboBoxEx.OnContextPopup

Declaration

Source position: comboex.pas line 220

published property TComboBoxEx.OnContextPopup : TContextPopupEvent;


TComboBoxEx.OnDblClick

Declaration

Source position: comboex.pas line 221

published property TComboBoxEx.OnDblClick : TNotifyEvent;


TComboBoxEx.OnDragDrop

Declaration

Source position: comboex.pas line 222

published property TComboBoxEx.OnDragDrop : TDragDropEvent;


TComboBoxEx.OnDragOver

Declaration

Source position: comboex.pas line 223

published property TComboBoxEx.OnDragOver : TDragOverEvent;


TComboBoxEx.OnDropDown

Declaration

Source position: comboex.pas line 224

published property TComboBoxEx.OnDropDown : TNotifyEvent;


TComboBoxEx.OnEditingDone

Declaration

Source position: comboex.pas line 225

published property TComboBoxEx.OnEditingDone : TNotifyEvent;


TComboBoxEx.OnEndDock

Declaration

Source position: comboex.pas line 226

published property TComboBoxEx.OnEndDock : TEndDragEvent;


TComboBoxEx.OnEndDrag

Declaration

Source position: comboex.pas line 227

published property TComboBoxEx.OnEndDrag : TEndDragEvent;


TComboBoxEx.OnEnter

Declaration

Source position: comboex.pas line 228

published property TComboBoxEx.OnEnter : TNotifyEvent;


TComboBoxEx.OnExit

Declaration

Source position: comboex.pas line 229

published property TComboBoxEx.OnExit : TNotifyEvent;


TComboBoxEx.OnGetItems

Declaration

Source position: comboex.pas line 230

published property TComboBoxEx.OnGetItems : TNotifyEvent;


TComboBoxEx.OnKeyDown

Declaration

Source position: comboex.pas line 231

published property TComboBoxEx.OnKeyDown : TKeyEvent;


TComboBoxEx.OnKeyPress

Declaration

Source position: comboex.pas line 232

published property TComboBoxEx.OnKeyPress : TKeyPressEvent;


TComboBoxEx.OnKeyUp

Declaration

Source position: comboex.pas line 233

published property TComboBoxEx.OnKeyUp : TKeyEvent;


TComboBoxEx.OnMouseDown

Declaration

Source position: comboex.pas line 234

published property TComboBoxEx.OnMouseDown : TMouseEvent;


TComboBoxEx.OnMouseEnter

Declaration

Source position: comboex.pas line 235

published property TComboBoxEx.OnMouseEnter : TNotifyEvent;


TComboBoxEx.OnMouseLeave

Declaration

Source position: comboex.pas line 236

published property TComboBoxEx.OnMouseLeave : TNotifyEvent;


TComboBoxEx.OnMouseMove

Declaration

Source position: comboex.pas line 237

published property TComboBoxEx.OnMouseMove : TMouseMoveEvent;


TComboBoxEx.OnMouseUp

Declaration

Source position: comboex.pas line 238

published property TComboBoxEx.OnMouseUp : TMouseEvent;


TComboBoxEx.OnMouseWheel

Declaration

Source position: comboex.pas line 239

published property TComboBoxEx.OnMouseWheel : TMouseWheelEvent;


TComboBoxEx.OnMouseWheelDown

Declaration

Source position: comboex.pas line 240

published property TComboBoxEx.OnMouseWheelDown : TMouseWheelUpDownEvent;


TComboBoxEx.OnMouseWheelUp

Declaration

Source position: comboex.pas line 241

published property TComboBoxEx.OnMouseWheelUp : TMouseWheelUpDownEvent;


TComboBoxEx.OnSelect

Declaration

Source position: comboex.pas line 242

published property TComboBoxEx.OnSelect : TNotifyEvent;


TComboBoxEx.OnStartDock

Declaration

Source position: comboex.pas line 243

published property TComboBoxEx.OnStartDock : TStartDockEvent;


TComboBoxEx.OnStartDrag

Declaration

Source position: comboex.pas line 244

published property TComboBoxEx.OnStartDrag : TStartDragEvent;


TComboBoxEx.OnUTF8KeyPress

Declaration

Source position: comboex.pas line 245

published property TComboBoxEx.OnUTF8KeyPress : TUTF8KeyPressEvent;


TComboBoxEx.ParentBidiMode

Declaration

Source position: comboex.pas line 246

published property TComboBoxEx.ParentBidiMode : Boolean;


TComboBoxEx.ParentColor

Declaration

Source position: comboex.pas line 247

published property TComboBoxEx.ParentColor : Boolean;


TComboBoxEx.ParentFont

Declaration

Source position: comboex.pas line 248

published property TComboBoxEx.ParentFont : Boolean;


TComboBoxEx.ParentShowHint

Declaration

Source position: comboex.pas line 249

published property TComboBoxEx.ParentShowHint : Boolean;


TComboBoxEx.PopupMenu

Declaration

Source position: comboex.pas line 250

published property TComboBoxEx.PopupMenu : TPopupMenu;


TComboBoxEx.ReadOnly

Declaration

Source position: comboex.pas line 251

published property TComboBoxEx.ReadOnly : Boolean;


TComboBoxEx.ShowHint

Declaration

Source position: comboex.pas line 252

published property TComboBoxEx.ShowHint : Boolean;


TComboBoxEx.Style

Declaration

Source position: comboex.pas line 253

published property TComboBoxEx.Style : TComboBoxExStyle;


TComboBoxEx.StyleEx

Declaration

Source position: comboex.pas line 254

published property TComboBoxEx.StyleEx : TComboBoxExStyles;


TComboBoxEx.TabOrder

Declaration

Source position: comboex.pas line 255

published property TComboBoxEx.TabOrder : TTabOrder;


TComboBoxEx.TabStop

Declaration

Source position: comboex.pas line 256

published property TComboBoxEx.TabStop : Boolean;


TComboBoxEx.Text

Declaration

Source position: comboex.pas line 257

published property TComboBoxEx.Text : TCaption;


TComboBoxEx.Visible

Declaration

Source position: comboex.pas line 258

published property TComboBoxEx.Visible : Boolean;


TComboBoxExStyle

Declaration

Source position: comboex.pas line 43

type TComboBoxExStyle = (

  csExDropDown,

  csExSimple,

  csExDropDownList

);


TComboBoxExStyleEx

Declaration

Source position: comboex.pas line 44

type TComboBoxExStyleEx = (

  csExCaseSensitive,

  csExNoEditImage,

  csExNoEditImageIndent,

  csExNoSizeLimit,

  csExPathWordBreak

);


TComboBoxExStyles

Declaration

Source position: comboex.pas line 46

type TComboBoxExStyles = set of (

  csExCaseSensitive,

  csExNoEditImage,

  csExNoEditImageIndent,

  csExNoSizeLimit,

  csExPathWordBreak

);


TComboExItem

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Declaration

Source position: comboex.pas line 73

type TComboExItem = class(TListControlItem)

protected

Const

  cDefCaption = 'ItemEx'

public

  constructor Create(); override;

  destructor Destroy; override;

published

  property Indent: SmallInt; [rw]

  property OverlayImageIndex: SmallInt; [rw]

  property SelectedImageIndex: SmallInt; [rw]

end;

Inheritance

TComboExItem

|

TListControlItem

|

TCollectionItem
|

TPersistent,IFPObserved
|

TObject


TComboExItem
pl |  | Indent
pl |  | OverlayImageIndex
pl |  | SelectedImageIndex
TListControlItem
 |  | Data
pl |  | Caption
pl |  | ImageIndex
TCollectionItem
 | ro | UpdateCount
 |  | Collection
 | ro | ID
 |  | Index
 |  | DisplayName
TPersistent
TObject


pl |  | Caption (TListControlItem)
 |  | Collection (TCollectionItem)
 |  | Data (TListControlItem)
 |  | DisplayName (TCollectionItem)
 | ro | ID (TCollectionItem)
pl |  | ImageIndex (TListControlItem)
pl |  | Indent (TComboExItem)
 |  | Index (TCollectionItem)
pl |  | OverlayImageIndex (TComboExItem)
pl |  | SelectedImageIndex (TComboExItem)
 | ro | UpdateCount (TCollectionItem)


TComboExItem
 | Create
 | Destroy
TListControlItem
 | Create
TCollectionItem
 | GetIndex
 | SetCollection
 | Changed
 | GetOwner
 | GetDisplayName
 | SetIndex
 | SetDisplayName
 | Create
 | Destroy
 | GetNamePath
TPersistent
 | AssignError
 | AssignTo
 | DefineProperties
 | GetOwner
 | Destroy
 | Assign
 | FPOAttachObserver
 | FPODetachObserver
 | FPONotifyObservers
 | GetNamePath
TObject
 | Create
 | Destroy
 | newinstance
 | FreeInstance
 | SafeCallException
 | DefaultHandler
 | Free
 | InitInstance
 | CleanupInstance
 | ClassType
 | ClassInfo
 | ClassName
 | ClassNameIs
 | ClassParent
 | InstanceSize
 | InheritsFrom
 | StringMessageTable
 | MethodAddress
 | MethodName
 | FieldAddress
 | AfterConstruction
 | BeforeDestruction
 | DefaultHandlerStr
 | Dispatch
 | DispatchStr
 | GetInterface
 | GetInterfaceByStr
 | GetInterfaceWeak
 | GetInterfaceEntry
 | GetInterfaceEntryByStr
 | GetInterfaceTable
 | UnitName
 | Equals
 | GetHashCode
 | ToString


AssignError (TPersistent)

AssignTo (TPersistent)

BeforeDestruction (TObject)

Changed (TCollectionItem)

ClassInfo (TObject)

ClassName (TObject)

ClassNameIs (TObject)

ClassParent (TObject)

ClassType (TObject)

CleanupInstance (TObject)

Create (TObject)

Create (TCollectionItem)

Create (TListControlItem)

Create (TComboExItem)

DefaultHandler (TObject)

DefaultHandlerStr (TObject)

DefineProperties (TPersistent)

Destroy (TObject)

Destroy (TPersistent)

Destroy (TCollectionItem)

Destroy (TComboExItem)

Dispatch (TObject)

DispatchStr (TObject)

Equals (TObject)

FieldAddress (TObject)

FPOAttachObserver (TPersistent)

FPODetachObserver (TPersistent)

FPONotifyObservers (TPersistent)

Free (TObject)

FreeInstance (TObject)

GetDisplayName (TCollectionItem)

GetHashCode (TObject)

GetIndex (TCollectionItem)

GetInterface (TObject)

GetInterfaceByStr (TObject)

GetInterfaceEntry (TObject)

GetInterfaceEntryByStr (TObject)

GetInterfaceTable (TObject)

GetInterfaceWeak (TObject)

GetNamePath (TPersistent)

GetNamePath (TCollectionItem)

GetOwner (TPersistent)

GetOwner (TCollectionItem)

InheritsFrom (TObject)

InitInstance (TObject)

InstanceSize (TObject)

MethodAddress (TObject)

MethodName (TObject)

newinstance (TObject)

SafeCallException (TObject)

SetCollection (TCollectionItem)

SetDisplayName (TCollectionItem)

SetIndex (TCollectionItem)

StringMessageTable (TObject)

ToString (TObject)

UnitName (TObject)


TComboExItem

TListControlItem

TCollectionItem

TPersistent

TObject


TComboExItem.cDefCaption

Declaration

Source position: comboex.pas line 82

protected const TComboExItem.cDefCaption = 'ItemEx';


TComboExItem.Create

Declaration

Source position: comboex.pas line 84

public constructor TComboExItem.Create(

  ACollection: TCollection

); override;


TComboExItem.Destroy

Declaration

Source position: comboex.pas line 85

public destructor TComboExItem.Destroy; override;


TComboExItem.Indent

Declaration

Source position: comboex.pas line 87

published property TComboExItem.Indent : SmallInt
  read FIndent
  write SetIndent
  default - 1;


TComboExItem.OverlayImageIndex

Declaration

Source position: comboex.pas line 88

published property TComboExItem.OverlayImageIndex : SmallInt
  read FOverlayImageIndex
  write SetOverlayImageIndex
  default - 1;


TComboExItem.SelectedImageIndex

Declaration

Source position: comboex.pas line 89

published property TComboExItem.SelectedImageIndex : SmallInt
  read FSelectedImageIndex
  write SetSelectedImageIndex
  default - 1;


TComboExItems

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Declaration

Source position: comboex.pas line 119

type TComboExItems = class(TListControlItems)

protected

  FAddingOrDeletingItem: Boolean;

  procedure Notify(); override;

  procedure Update(); override;

public

  function Add;

  function AddItem();

  function Insert();

  property ComboItems []: TComboExItem; default; [r]

end;

Inheritance

TComboExItems

|

TListControlItems

|

TOwnedCollection
|

TCollection
|

TPersistent,IFPObserved
|

TObject


TComboExItems
 | ro | ComboItems
TListControlItems
 | ro | Items
pl |  | CaseSensitive
pl |  | SortType
TOwnedCollection
TCollection
 |  | PropName
 | ro | UpdateCount
 | ro | Count
 | ro | ItemClass
 |  | Items
TPersistent
TObject


pl |  | CaseSensitive (TListControlItems)
 | ro | ComboItems (TComboExItems)
 | ro | Count (TCollection)
 | ro | ItemClass (TCollection)
 |  | Items (TCollection)
 | ro | Items (TListControlItems)
 |  | PropName (TCollection)
pl |  | SortType (TListControlItems)
 | ro | UpdateCount (TCollection)


TComboExItems
pt | Notify
pt | Update
 | Add
 | AddItem
 | Insert
TListControlItems
pt | CompareItems
pt | DoCustomSort
pt | DoOnCompare
pt | Update
 | Add
 | CustomSort
 | Sort
TOwnedCollection
 | GetOwner
 | Create
TCollection
 | GetCount
 | GetPropName
 | InsertItem
 | RemoveItem
 | DoClear
 | GetAttrCount
 | GetAttr
 | GetItemAttr
 | Changed
 | GetItem
 | SetItem
 | SetItemName
 | SetPropName
 | Update
 | Notify
 | Create
 | Destroy
 | Owner
 | Add
 | Assign
 | BeginUpdate
 | Clear
 | EndUpdate
 | Delete
 | GetEnumerator
 | GetNamePath
 | Insert
 | FindItemID
 | Exchange
 | Sort
TPersistent
 | AssignError
 | AssignTo
 | DefineProperties
 | GetOwner
 | Destroy
 | Assign
 | FPOAttachObserver
 | FPODetachObserver
 | FPONotifyObservers
 | GetNamePath
TObject
 | Create
 | Destroy
 | newinstance
 | FreeInstance
 | SafeCallException
 | DefaultHandler
 | Free
 | InitInstance
 | CleanupInstance
 | ClassType
 | ClassInfo
 | ClassName
 | ClassNameIs
 | ClassParent
 | InstanceSize
 | InheritsFrom
 | StringMessageTable
 | MethodAddress
 | MethodName
 | FieldAddress
 | AfterConstruction
 | BeforeDestruction
 | DefaultHandlerStr
 | Dispatch
 | DispatchStr
 | GetInterface
 | GetInterfaceByStr
 | GetInterfaceWeak
 | GetInterfaceEntry
 | GetInterfaceEntryByStr
 | GetInterfaceTable
 | UnitName
 | Equals
 | GetHashCode
 | ToString


 | Add (TCollection)
 | Add (TListControlItems)
 | Add (TComboExItems)
 | AddItem (TComboExItems)
 | AfterConstruction (TObject)
 | Assign (TPersistent)
 | Assign (TCollection)
 | AssignError (TPersistent)
 | AssignTo (TPersistent)
 | BeforeDestruction (TObject)
 | BeginUpdate (TCollection)
 | Changed (TCollection)
 | ClassInfo (TObject)
 | ClassName (TObject)
 | ClassNameIs (TObject)
 | ClassParent (TObject)
 | ClassType (TObject)
 | CleanupInstance (TObject)
 | Clear (TCollection)
pt | CompareItems (TListControlItems)
 | Create (TObject)
 | Create (TCollection)
 | Create (TOwnedCollection)
 | CustomSort (TListControlItems)
 | DefaultHandler (TObject)
 | DefaultHandlerStr (TObject)
 | DefineProperties (TPersistent)
 | Delete (TCollection)
 | Destroy (TObject)
 | Destroy (TPersistent)
 | Destroy (TCollection)
 | Dispatch (TObject)
 | DispatchStr (TObject)
 | DoClear (TCollection)
pt | DoCustomSort (TListControlItems)
pt | DoOnCompare (TListControlItems)
 | EndUpdate (TCollection)
 | Equals (TObject)
 | Exchange (TCollection)
 | FieldAddress (TObject)
 | FindItemID (TCollection)
 | FPOAttachObserver (TPersistent)
 | FPODetachObserver (TPersistent)
 | FPONotifyObservers (TPersistent)
 | Free (TObject)
 | FreeInstance (TObject)
 | GetAttr (TCollection)
 | GetAttrCount (TCollection)
 | GetCount (TCollection)
 | GetEnumerator (TCollection)
 | GetHashCode (TObject)
 | GetInterface (TObject)
 | GetInterfaceByStr (TObject)
 | GetInterfaceEntry (TObject)
 | GetInterfaceEntryByStr (TObject)
 | GetInterfaceTable (TObject)
 | GetInterfaceWeak (TObject)
 | GetItem (TCollection)
 | GetItemAttr (TCollection)
 | GetNamePath (TPersistent)
 | GetNamePath (TCollection)
 | GetOwner (TPersistent)
 | GetOwner (TOwnedCollection)
 | GetPropName (TCollection)
 | InheritsFrom (TObject)
 | InitInstance (TObject)
 | Insert (TCollection)
 | Insert (TComboExItems)
 | InsertItem (TCollection)
 | InstanceSize (TObject)
 | MethodAddress (TObject)
 | MethodName (TObject)
 | newinstance (TObject)
 | Notify (TCollection)
pt | Notify (TComboExItems)
 | Owner (TCollection)
 | RemoveItem (TCollection)
 | SafeCallException (TObject)
 | SetItem (TCollection)
 | SetItemName (TCollection)
 | SetPropName (TCollection)
 | Sort (TCollection)
 | Sort (TListControlItems)
 | StringMessageTable (TObject)
 | ToString (TObject)
 | UnitName (TObject)
 | Update (TCollection)
pt | Update (TListControlItems)
pt | Update (TComboExItems)


TComboExItems

TListControlItems

pl

OnCompare

TOwnedCollection

TCollection

TPersistent

TObject


pl

OnCompare (TListControlItems)


TComboExItems.Add

Declaration

Source position: comboex.pas line 127

public function TComboExItems.Add: TComboExItem;


TComboExItems.AddItem

Declaration

Source position: comboex.pas line 128

public function TComboExItems.AddItem(

  const ACaption: string;

  AImageIndex: SmallInt = - 1;

  AOverlayImageIndex: SmallInt = - 1;

  ASelectedImageIndex: SmallInt = - 1;

  AIndent: SmallInt = - 1;

  AData: TCustomData = Nil

):TComboExItem;


TComboExItems.ComboItems

Declaration

Source position: comboex.pas line 132

public property TComboExItems.ComboItems[AIndex: Integer] : TComboExItem
  read GetComboItems;
  default;


TComboExItems.FAddingOrDeletingItem

Declaration

Source position: comboex.pas line 123

protected TComboExItems.FAddingOrDeletingItem : Boolean;


TComboExItems.Insert

Declaration

Source position: comboex.pas line 131

public function TComboExItems.Insert(

  AIndex: Integer

):TComboExItem;


TComboExItems.Notify

Declaration

Source position: comboex.pas line 124

protected procedure TComboExItems.Notify(

  Item: TCollectionItem;

  Action: TCollectionNotification

); override;


TComboExItems.Update

Declaration

Source position: comboex.pas line 125

protected procedure TComboExItems.Update(

  Item: TCollectionItem

); override;


TCustomCheckCombo

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Declaration

Source position: comboex.pas line 270

type TCustomCheckCombo = class(TCustomComboBox)

protected

  FCheckHighlight: Boolean;

  FCheckSize: TSize;

  FDropped: Boolean;

  FHilightedIndex: Integer;

  FHiLiteLeft: Integer;

  FHiLiteRight: Integer;

  FNeedMeasure: Boolean;

  FRejectDropDown: Boolean;

  FRejectToggleOnSelect: Boolean;

  FRightToLeft: Boolean;

  FTextHeight: SmallInt;

  procedure CMBiDiModeChanged(); message;

  procedure ClearItemStates;

  procedure CloseUp; override;

  procedure DrawItem(); override;

  procedure DropDown; override;

  procedure FontChanged(); override;

  procedure InitializeWnd; override;

  procedure InitItemStates;

  procedure CheckItemStates;

  procedure QueueCheckItemStates;

  procedure KeyDown(); override;

  procedure Loaded; override;

  procedure MouseLeave; override;

  procedure MouseMove(); override;

  procedure SetItemHeight(); override;

  procedure SetItems(); override;

  procedure Select; override;

public

  constructor Create(); override;

  destructor Destroy; override;

  procedure AddItem();

  procedure AssignItems();

  procedure Clear; override;

  procedure DeleteItem();

  procedure CheckAll();

  procedure Toggle();

  property AllowGrayed: Boolean; [rw]

  property Count: Integer; [r]

  property Checked []: Boolean; [rw]

  property ItemEnabled []: Boolean; [rw]

  property Objects []: TObject; [rw]

  property State []: TCheckBoxState; [rw]

  property OnItemChange: TCheckItemChange; [rw]

end;

Inheritance

TCustomCheckCombo |
|
TCustomComboBox | The base class for ComboBox components.
|
TWinControl | The base class for controls which can contain other (child) controls.
|
TControl | The base class for visible controls.
|
TLCLComponent | The base class for LCL components associated with widgets.
|
TComponent,IUnknown,IInterfaceComponentReference
|
TPersistent,IFPObserved
|
TObject


TCustomCheckCombo
 |  | AllowGrayed
 | ro | Count
 |  | Checked
 |  | ItemEnabled
 |  | Objects
 |  | State
TCustomComboBox
pt |  | ItemHeight
pt |  | ItemWidth
pt |  | MaxLength
pt | ro | ParentColor
pt |  | Sorted
 |  | CharCase
 |  | DroppedDown
 |  | DroppingDown
 |  | AutoComplete
 |  | AutoCompleteText
 |  | AutoDropDown
 |  | AutoSelect
 |  | AutoSelected
 | ro | AutoSize
 |  | ArrowKeysTraverseList
 | ro | Canvas
 |  | DropDownCount
 |  | Items
 |  | ItemIndex
 |  | ReadOnly
 |  | SelLength
 |  | SelStart
 |  | SelText
 |  | Style
 | ro | TabStop
 | ro | Text
TWinControl
pt |  | WindowHandle
pt |  | BorderStyle
pt |  | ParentBackground
 |  | BorderWidth
 | ro | BoundsLockCount
 | ro | Brush
 | ro | CachedClientHeight
 | ro | CachedClientWidth
 |  | ChildSizing
 | ro | ControlCount
 | ro | Controls
 |  | DefWndProc
 | ro | DockClientCount
 | ro | DockClients
 |  | DockManager
 |  | DockSite
 |  | DoubleBuffered
 |  | Handle
 | ro | IsFlipped
 | ro | IsResizing
 |  | TabOrder
 |  | TabStop
 |  | ParentDoubleBuffered
 |  | ParentWindow
 | ro | Showing
 |  | UseDockManager
 |  | DesignerDeleting
 | ro | VisibleDockClientCount
TControl
pt | ro | AutoSizing
pt | ro | AutoSizingAll
pt | ro | AutoSizingLockCount
pt |  | ActionLink
pt |  | DesktopFont
pt |  | DragCursor
pt |  | DragKind
pt |  | DragMode
pt |  | MouseCapture
pt |  | ParentColor
pt |  | ParentFont
pt |  | ParentShowHint
pt |  | SessionProperties
pt |  | Text
 | ro | AnchoredControls
 | ro | BaseBounds
 | ro | ReadBounds
 | ro | BaseParentClientSize
 |  | AccessibleDescription
 |  | AccessibleValue
 |  | AccessibleRole
 |  | Action
 |  | Align
 |  | Anchors
 | ro | AnchorSide
 |  | AutoSize
 |  | BorderSpacing
 |  | BoundsRect
 |  | BoundsRectForNewParent
 |  | Caption
 |  | CaptureMouseButtons
 |  | ClientHeight
 | ro | ClientOrigin
 | ro | ClientRect
 |  | ClientWidth
 |  | Color
 |  | Constraints
 | ro | ControlOrigin
 |  | ControlState
 |  | ControlStyle
 |  | Enabled
 |  | Font
 |  | IsControl
 | ro | MouseEntered
 | ro | MouseInClient
 |  | Parent
 |  | PopupMenu
 |  | ShowHint
 |  | Visible
 |  | WindowProc
 |  | DockOrientation
 | ro | Floating
 |  | FloatingDockSiteClass
 |  | HostDockSite
 |  | LRDockWidth
 |  | TBDockHeight
 |  | UndockHeight
 |  | UndockWidth
 |  | BiDiMode
 |  | ParentBiDiMode
pl |  | AnchorSideLeft
pl |  | AnchorSideTop
pl |  | AnchorSideRight
pl |  | AnchorSideBottom
pl |  | Cursor
pl |  | Left
pl |  | Height
pl |  | Hint
pl |  | Top
pl |  | Width
pl |  | HelpType
pl |  | HelpKeyword
pl |  | HelpContext
TLCLComponent
 | ro | LCLRefCount
 | ro | WidgetSetClass
TComponent
 | ro | ComObject
 | ro | Components
 | ro | ComponentCount
 |  | ComponentIndex
 | ro | ComponentState
 | ro | ComponentStyle
 |  | DesignInfo
 | ro | Owner
 |  | VCLComObject
 |  | Name
 |  | Tag
TPersistent
TObject


 |  | AccessibleDescription (TControl)
 |  | AccessibleRole (TControl)
 |  | AccessibleValue (TControl)
 |  | Action (TControl)
pt |  | ActionLink (TControl)
 |  | Align (TControl)
 |  | AllowGrayed (TCustomCheckCombo)
 | ro | AnchoredControls (TControl)
 |  | Anchors (TControl)
 | ro | AnchorSide (TControl)
pl |  | AnchorSideBottom (TControl)
pl |  | AnchorSideLeft (TControl)
pl |  | AnchorSideRight (TControl)
pl |  | AnchorSideTop (TControl)
 |  | ArrowKeysTraverseList (TCustomComboBox)
 |  | AutoComplete (TCustomComboBox)
 |  | AutoCompleteText (TCustomComboBox)
 |  | AutoDropDown (TCustomComboBox)
 |  | AutoSelect (TCustomComboBox)
 |  | AutoSelected (TCustomComboBox)
 |  | AutoSize (TControl)
 | ro | AutoSize (TCustomComboBox)
pt | ro | AutoSizing (TControl)
pt | ro | AutoSizingAll (TControl)
pt | ro | AutoSizingLockCount (TControl)
 | ro | BaseBounds (TControl)
 | ro | BaseParentClientSize (TControl)
 |  | BiDiMode (TControl)
 |  | BorderSpacing (TControl)
pt |  | BorderStyle (TWinControl)
 |  | BorderWidth (TWinControl)
 | ro | BoundsLockCount (TWinControl)
 |  | BoundsRect (TControl)
 |  | BoundsRectForNewParent (TControl)
 | ro | Brush (TWinControl)
 | ro | CachedClientHeight (TWinControl)
 | ro | CachedClientWidth (TWinControl)
 | ro | Canvas (TCustomComboBox)
 |  | Caption (TControl)
 |  | CaptureMouseButtons (TControl)
 |  | CharCase (TCustomComboBox)
 |  | Checked (TCustomCheckCombo)
 |  | ChildSizing (TWinControl)
 |  | ClientHeight (TControl)
 | ro | ClientOrigin (TControl)
 | ro | ClientRect (TControl)
 |  | ClientWidth (TControl)
 |  | Color (TControl)
 | ro | ComObject (TComponent)
 | ro | ComponentCount (TComponent)
 |  | ComponentIndex (TComponent)
 | ro | Components (TComponent)
 | ro | ComponentState (TComponent)
 | ro | ComponentStyle (TComponent)
 |  | Constraints (TControl)
 | ro | ControlCount (TWinControl)
 | ro | ControlOrigin (TControl)
 | ro | Controls (TWinControl)
 |  | ControlState (TControl)
 |  | ControlStyle (TControl)
 | ro | Count (TCustomCheckCombo)
pl |  | Cursor (TControl)
 |  | DefWndProc (TWinControl)
 |  | DesignerDeleting (TWinControl)
 |  | DesignInfo (TComponent)
pt |  | DesktopFont (TControl)
 | ro | DockClientCount (TWinControl)
 | ro | DockClients (TWinControl)
 |  | DockManager (TWinControl)
 |  | DockOrientation (TControl)
 |  | DockSite (TWinControl)
 |  | DoubleBuffered (TWinControl)
pt |  | DragCursor (TControl)
pt |  | DragKind (TControl)
pt |  | DragMode (TControl)
 |  | DropDownCount (TCustomComboBox)
 |  | DroppedDown (TCustomComboBox)
 |  | DroppingDown (TCustomComboBox)
 |  | Enabled (TControl)
 | ro | Floating (TControl)
 |  | FloatingDockSiteClass (TControl)
 |  | Font (TControl)
 |  | Handle (TWinControl)
pl |  | Height (TControl)
pl |  | HelpContext (TControl)
pl |  | HelpKeyword (TControl)
pl |  | HelpType (TControl)
pl |  | Hint (TControl)
 |  | HostDockSite (TControl)
 |  | IsControl (TControl)
 | ro | IsFlipped (TWinControl)
 | ro | IsResizing (TWinControl)
 |  | ItemEnabled (TCustomCheckCombo)
pt |  | ItemHeight (TCustomComboBox)
 |  | ItemIndex (TCustomComboBox)
 |  | Items (TCustomComboBox)
pt |  | ItemWidth (TCustomComboBox)
 | ro | LCLRefCount (TLCLComponent)
pl |  | Left (TControl)
 |  | LRDockWidth (TControl)
pt |  | MaxLength (TCustomComboBox)
pt |  | MouseCapture (TControl)
 | ro | MouseEntered (TControl)
 | ro | MouseInClient (TControl)
 |  | Name (TComponent)
 |  | Objects (TCustomCheckCombo)
 | ro | Owner (TComponent)
 |  | Parent (TControl)
pt |  | ParentBackground (TWinControl)
 |  | ParentBiDiMode (TControl)
pt |  | ParentColor (TControl)
pt | ro | ParentColor (TCustomComboBox)
 |  | ParentDoubleBuffered (TWinControl)
pt |  | ParentFont (TControl)
pt |  | ParentShowHint (TControl)
 |  | ParentWindow (TWinControl)
 |  | PopupMenu (TControl)
 | ro | ReadBounds (TControl)
 |  | ReadOnly (TCustomComboBox)
 |  | SelLength (TCustomComboBox)
 |  | SelStart (TCustomComboBox)
 |  | SelText (TCustomComboBox)
pt |  | SessionProperties (TControl)
 |  | ShowHint (TControl)
 | ro | Showing (TWinControl)
pt |  | Sorted (TCustomComboBox)
 |  | State (TCustomCheckCombo)
 |  | Style (TCustomComboBox)
 |  | TabOrder (TWinControl)
 |  | TabStop (TWinControl)
 | ro | TabStop (TCustomComboBox)
 |  | Tag (TComponent)
 |  | TBDockHeight (TControl)
pt |  | Text (TControl)
 | ro | Text (TCustomComboBox)
pl |  | Top (TControl)
 |  | UndockHeight (TControl)
 |  | UndockWidth (TControl)
 |  | UseDockManager (TWinControl)
 |  | VCLComObject (TComponent)
 |  | Visible (TControl)
 | ro | VisibleDockClientCount (TWinControl)
 | ro | WidgetSetClass (TLCLComponent)
pl |  | Width (TControl)
pt |  | WindowHandle (TWinControl)
 |  | WindowProc (TControl)


TCustomCheckCombo
pt | CMBiDiModeChanged
pt | ClearItemStates
pt | CloseUp
pt | DrawItem
pt | DropDown
pt | FontChanged
pt | InitializeWnd
pt | InitItemStates
pt | CheckItemStates
pt | QueueCheckItemStates
pt | KeyDown
pt | Loaded
pt | MouseLeave
pt | MouseMove
pt | SetItemHeight
pt | SetItems
pt | Select
 | Create
 | Destroy
 | AddItem
 | AssignItems
 | Clear
 | DeleteItem
 | CheckAll
 | Toggle
TCustomComboBox
pt | WSRegisterClass
pt | CreateParams
pt | InitializeWnd
pt | DestroyWnd
pt | DoEnter
pt | DoExit
pt | DrawItem
pt | KeyUpAfterInterface
pt | MeasureItem
pt | GetControlClassDefaultSize
pt | LMChanged
pt | CMWantSpecialKey
pt | Change
pt | Select
pt | DropDown
pt | GetItems
pt | SetItems
pt | CloseUp
pt | AdjustDropDown
pt | DoAutoAdjustLayout
pt | GetItemCount
pt | GetItemHeight
pt | GetSelLength
pt | GetSelStart
pt | GetSelText
pt | GetItemIndex
pt | GetMaxLength
pt | SetDropDownCount
pt | SetDroppedDown
pt | SetItemHeight
pt | SetItemIndex
pt | SetMaxLength
pt | SetSelLength
pt | SetSelStart
pt | SetSelText
pt | SetSorted
pt | SetStyle
pt | RealSetText
pt | KeyDown
pt | KeyUp
pt | UTF8KeyPress
pt | MouseUp
pt | SelectItem
pt | ShouldAutoAdjust
 | Create
 | Destroy
 | IntfGetItems
 | AddItem
 | AddHistoryItem
 | Clear
 | ClearSelection
 | SelectAll
TWinControl
pt | WSRegisterClass
pt | AdjustClientRect
pt | GetAdjustedLogicalClientRect
pt | AlignControls
pt | CustomAlignInsertBefore
pt | CustomAlignPosition
pt | DoAlignChildControls
pt | DoChildSizingChange
pt | InvalidatePreferredChildSizes
pt | CanTab
pt | IsClientHeightStored
pt | IsClientWidthStored
pt | DoSendShowHideToInterface
pt | ControlsAligned
pt | DoSendBoundsToInterface
pt | RealizeBounds
pt | RealizeBoundsRecursive
pt | InvalidateBoundsRealized
pt | CreateSubClass
pt | DoConstraintsChange
pt | DoSetBounds
pt | DoAutoSize
pt | DoAllAutoSize
pt | AllAutoSized
pt | CalculatePreferredSize
pt | GetPreferredSizeClientFrame
pt | GetChildren
pt | ChildClassAllowed
pt | PaintControls
pt | PaintHandler
pt | PaintWindow
pt | CreateBrush
pt | ScaleControls
pt | ChangeScale
pt | CMBiDiModeChanged
pt | CMBorderChanged
pt | CMDoubleBufferedChanged
pt | CMEnabledChanged
pt | CMParentDoubleBufferedChanged
pt | CMShowingChanged
pt | CMShowHintChanged
pt | CMVisibleChanged
pt | CMEnter
pt | CMExit
pt | WMContextMenu
pt | WMEraseBkgnd
pt | WMNotify
pt | WMSetFocus
pt | WMKillFocus
pt | WMShowWindow
pt | WMEnter
pt | WMExit
pt | WMKeyDown
pt | WMSysKeyDown
pt | WMKeyUp
pt | WMSysKeyUp
pt | WMChar
pt | WMSysChar
pt | WMPaint
pt | WMDestroy
pt | WMMove
pt | WMSize
pt | WMWindowPosChanged
pt | CNKeyDown
pt | CNSysKeyDown
pt | CNKeyUp
pt | CNSysKeyUp
pt | CNChar
pt | DoDragMsg
pt | DoDockClientMsg
pt | DoUndockClientMsg
pt | DoAddDockClient
pt | DockOver
pt | DoDockOver
pt | DoRemoveDockClient
pt | DoUnDock
pt | GetSiteInfo
pt | GetParentHandle
pt | GetTopParentHandle
pt | ReloadDockedControl
pt | CreateDockManager
pt | SetDockManager
pt | DoFloatMsg
pt | DoGetDockCaption
pt | DoEnter
pt | DoExit
pt | DoKeyDownBeforeInterface
pt | DoRemainingKeyDown
pt | DoRemainingKeyUp
pt | DoKeyPress
pt | DoUTF8KeyPress
pt | DoKeyUpBeforeInterface
pt | ChildKey
pt | SendDialogChar
pt | DialogChar
pt | ControlKeyDown
pt | ControlKeyUp
pt | KeyDown
pt | KeyDownBeforeInterface
pt | KeyDownAfterInterface
pt | KeyPress
pt | KeyUp
pt | KeyUpBeforeInterface
pt | KeyUpAfterInterface
pt | UTF8KeyPress
pt | FindNextControl
pt | SelectFirst
pt | RealGetText
pt | GetBorderStyle
pt | GetClientOrigin
pt | GetClientRect
pt | GetControlOrigin
pt | GetDeviceContext
pt | GetParentBackground
pt | IsControlMouseMsg
pt | CreateHandle
pt | CreateParams
pt | CreateWnd
pt | DestroyHandle
pt | DestroyWnd
pt | DoFlipChildren
pt | FinalizeWnd
pt | FixupTabList
pt | FontChanged
pt | InitializeWnd
pt | Loaded
pt | FormEndUpdated
pt | MainWndProc
pt | ParentFormHandleInitialized
pt | ChildHandlesCreated
pt | GetMouseCapture
pt | RealSetText
pt | RemoveFocus
pt | SendMoveSizeMessages
pt | SetBorderStyle
pt | SetColor
pt | SetChildZPosition
pt | SetParentBackground
pt | ShowControl
pt | UpdateControlState
pt | UpdateShowing
pt | WndProc
pt | WSSetText
 | AutoSizePhases
 | AutoSizeDelayed
 | AutoSizeDelayedReport
 | AutoSizeDelayedHandle
 | BeginUpdateBounds
 | EndUpdateBounds
 | LockRealizeBounds
 | UnlockRealizeBounds
 | ControlAtPos
 | ContainsControl
 | DoAdjustClientRectChange
 | InvalidateClientRectCache
 | ClientRectNeedsInterfaceUpdate
 | SetBounds
 | GetChildrenRect
 | DisableAlign
 | EnableAlign
 | ReAlign
 | ScrollBy_WS
 | ScrollBy
 | WriteLayoutDebugReport
 | AutoAdjustLayout
 | Create
 | CreateParented
 | CreateParentedControl
 | Destroy
 | DockDrop
 | CanFocus
 | CanSetFocus
 | GetControlIndex
 | SetControlIndex
 | Focused
 | PerformTab
 | FindChildControl
 | SelectNext
 | SetTempCursor
 | BroadCast
 | NotifyControls
 | DefaultHandler
 | GetTextLen
 | Invalidate
 | AddControl
 | InsertControl
 | RemoveControl
 | GetEnumeratorControls
 | GetEnumeratorControlsReverse
 | Repaint
 | Update
 | SetFocus
 | FlipChildren
 | ScaleBy
 | GetDockCaption
 | UpdateDockCaption
 | GetTabOrderList
 | HandleAllocated
 | ParentHandlesAllocated
 | HandleNeeded
 | BrushCreated
 | EraseBackground
 | IntfUTF8KeyPress
 | IntfGetDropFilesTarget
 | PaintTo
 | SetShape
TControl
pt | WSRegisterClass
pt | GetCursor
pt | SetCursor
pt | SetVisible
pt | DoOnParentHandleDestruction
pt | DoAutoSize
pt | DoAllAutoSize
pt | BeginAutoSizing
pt | EndAutoSizing
pt | AnchorSideChanged
pt | ForeignAnchorSideChanged
pt | SetAlign
pt | SetAnchors
pt | SetAutoSize
pt | BoundsChanged
pt | CreateControlBorderSpacing
pt | DoConstraintsChange
pt | DoBorderSpacingChange
pt | IsBorderSpacingInnerBorderStored
pt | IsCaptionStored
pt | SendMoveSizeMessages
pt | ConstrainedResize
pt | CalculatePreferredSize
pt | DoOnResize
pt | DoOnChangeBounds
pt | CheckOnChangeBounds
pt | Resize
pt | RequestAlign
pt | UpdateAnchorRules
pt | ChangeBounds
pt | DoSetBounds
pt | ScaleConstraints
pt | ChangeScale
pt | CanAutoSize
pt | SetBiDiMode
pt | SetParentBiDiMode
pt | IsAParentAligning
pt | GetClientOrigin
pt | GetClientRect
pt | GetLogicalClientRect
pt | GetScrolledClientRect
pt | GetClientScrollOffset
pt | GetControlOrigin
pt | IsClientHeightStored
pt | IsClientWidthStored
pt | WidthIsAnchored
pt | HeightIsAnchored
pt | WMCancelMode
pt | WMContextMenu
pt | WMLButtonDown
pt | WMRButtonDown
pt | WMMButtonDown
pt | WMXButtonDown
pt | WMLButtonDBLCLK
pt | WMRButtonDBLCLK
pt | WMMButtonDBLCLK
pt | WMXButtonDBLCLK
pt | WMLButtonTripleCLK
pt | WMRButtonTripleCLK
pt | WMMButtonTripleCLK
pt | WMXButtonTripleCLK
pt | WMLButtonQuadCLK
pt | WMRButtonQuadCLK
pt | WMMButtonQuadCLK
pt | WMXButtonQuadCLK
pt | WMMouseMove
pt | WMLButtonUp
pt | WMRButtonUp
pt | WMMButtonUp
pt | WMXButtonUp
pt | WMMouseWheel
pt | WMMouseHWheel
pt | WMMove
pt | WMSize
pt | WMWindowPosChanged
pt | CMChanged
pt | LMCaptureChanged
pt | CMBiDiModeChanged
pt | CMSysFontChanged
pt | CMEnabledChanged
pt | CMHitTest
pt | CMMouseEnter
pt | CMMouseLeave
pt | CMHintShow
pt | CMParentBiDiModeChanged
pt | CMParentColorChanged
pt | CMParentFontChanged
pt | CMParentShowHintChanged
pt | CMVisibleChanged
pt | CMTextChanged
pt | CMCursorChanged
pt | CalculateDockSizes
pt | CreateFloatingDockSite
pt | GetDockEdge
pt | GetDragImages
pt | GetFloating
pt | GetFloatingDockSiteClass
pt | BeforeDragStart
pt | BeginAutoDrag
pt | DoFloatMsg
pt | DockTrackNoTarget
pt | DoDock
pt | DoDragMsg
pt | DoEndDock
pt | DoEndDrag
pt | DoStartDock
pt | DoStartDrag
pt | DragCanceled
pt | DragOver
pt | PositionDockRect
pt | SetDragMode
pt | GetDefaultDockCaption
pt | Click
pt | DblClick
pt | TripleClick
pt | QuadClick
pt | GetMousePosFromMessage
pt | MouseDown
pt | MouseMove
pt | MouseUp
pt | MouseEnter
pt | MouseLeave
pt | DialogChar
pt | UpdateMouseCursor
pt | Changed
pt | GetPalette
pt | ChildClassAllowed
pt | ReadState
pt | Loaded
pt | LoadedAll
pt | DefineProperties
pt | AssignTo
pt | FormEndUpdated
pt | InvalidateControl
pt | FontChanged
pt | ParentFontChanged
pt | GetAction
pt | RealGetText
pt | RealSetText
pt | TextChanged
pt | GetCachedText
pt | SetAction
pt | SetColor
pt | SetEnabled
pt | SetHint
pt | SetName
pt | SetParent
pt | SetParentComponent
pt | WndProc
pt | ParentFormHandleInitialized
pt | GetMouseCapture
pt | CaptureChanged
pt | Notification
pt | CanTab
pt | GetDeviceContext
pt | GetEnabled
pt | GetPopupMenu
pt | DoOnShowHint
pt | DoMouseWheel
pt | DoMouseWheelDown
pt | DoMouseWheelUp
pt | DoMouseWheelHorz
pt | DoMouseWheelLeft
pt | DoMouseWheelRight
pt | VisibleChanging
pt | VisibleChanged
pt | EnabledChanging
pt | EnabledChanged
pt | AddHandler
pt | RemoveHandler
pt | DoCallNotifyHandler
pt | DoCallKeyEventHandler
pt | DoCallMouseWheelEventHandler
pt | DoContextPopup
pt | SetZOrder
pt | GetControlClassDefaultSize
pt | ColorIsStored
pt | DoAutoAdjustLayout
pt | DoFixDesignFontPPI
pt | DoScaleFontPPI
pt | GetActionLinkClass
pt | ActionChange
 | DragDrop
 | Dock
 | ManualDock
 | ManualFloat
 | ReplaceDockedControl
 | Docked
 | Dragging
 | GetAccessibleObject
 | CreateAccessibleObject
 | GetSelectedChildAccessibleObject
 | GetChildAccessibleObjectAtPos
 | ScaleDesignToForm
 | ScaleFormToDesign
 | Scale96ToForm
 | ScaleFormTo96
 | Scale96ToFont
 | ScaleFontTo96
 | ScaleScreenToFont
 | ScaleFontToScreen
 | Scale96ToScreen
 | ScaleScreenTo96
 | AdjustSize
 | AutoSizePhases
 | AutoSizeDelayed
 | AutoSizeDelayedReport
 | AutoSizeDelayedHandle
 | AnchorToNeighbour
 | AnchorParallel
 | AnchorHorizontalCenterTo
 | AnchorVerticalCenterTo
 | AnchorToCompanion
 | AnchorSame
 | AnchorAsAlign
 | AnchorClient
 | AnchoredControlCount
 | SetBounds
 | SetInitialBounds
 | SetBoundsKeepBase
 | GetPreferredSize
 | GetCanvasScaleFactor
 | GetDefaultWidth
 | GetDefaultHeight
 | GetDefaultColor
 | GetColorResolvingParent
 | GetRGBColorResolvingParent
 | GetSidePosition
 | CNPreferredSizeChanged
 | InvalidatePreferredSize
 | GetAnchorsDependingOnParent
 | DisableAutoSizing
 | EnableAutoSizing
 | UpdateBaseBounds
 | WriteLayoutDebugReport
 | AutoAdjustLayout
 | ShouldAutoAdjust
 | FixDesignFontsPPI
 | ScaleFontsPPI
 | Create
 | Destroy
 | BeforeDestruction
 | EditingDone
 | ExecuteDefaultAction
 | ExecuteCancelAction
 | BeginDrag
 | EndDrag
 | BringToFront
 | HasParent
 | GetParentComponent
 | IsParentOf
 | GetTopParent
 | IsVisible
 | IsControlVisible
 | IsEnabled
 | IsParentColor
 | IsParentFont
 | FormIsUpdating
 | IsProcessingPaintMsg
 | Hide
 | Refresh
 | Repaint
 | Invalidate
 | CheckChildClassAllowed
 | CheckNewParent
 | SendToBack
 | SetTempCursor
 | UpdateRolesForForm
 | ActiveDefaultControlChanged
 | GetTextBuf
 | GetTextLen
 | SetTextBuf
 | Perform
 | ScreenToClient
 | ClientToScreen
 | ScreenToControl
 | ControlToScreen
 | ClientToParent
 | ParentToClient
 | GetChildrenRect
 | Show
 | Update
 | HandleObjectShouldBeVisible
 | ParentDestroyingHandle
 | ParentHandlesAllocated
 | InitiateAction
 | ShowHelp
 | HasHelp
 | RemoveAllHandlersOfObject
 | AddHandlerOnResize
 | RemoveHandlerOnResize
 | AddHandlerOnChangeBounds
 | RemoveHandlerOnChangeBounds
 | AddHandlerOnVisibleChanging
 | RemoveHandlerOnVisibleChanging
 | AddHandlerOnVisibleChanged
 | RemoveHandlerOnVisibleChanged
 | AddHandlerOnEnabledChanged
 | RemoveHandlerOnEnableChanging
 | AddHandlerOnKeyDown
 | RemoveHandlerOnKeyDown
 | AddHandlerOnBeforeDestruction
 | RemoveHandlerOnBeforeDestruction
 | AddHandlerOnMouseWheel
 | RemoveHandlerOnMouseWheel
 | UseRightToLeftAlignment
 | UseRightToLeftReading
 | UseRightToLeftScrollBar
 | IsRightToLeft
TLCLComponent
pt | WSRegisterClass
pt | GetWSComponentClass
 | Create
 | Destroy
 | NewInstance
 | RemoveAllHandlersOfObject
 | IncLCLRefCount
 | DecLCLRefCount
TComponent
 | GetComObject
 | GetComponent
 | GetComponentCount
 | GetComponentIndex
 | Insert
 | ReadLeft
 | ReadTop
 | Remove
 | RemoveNotification
 | SetComponentIndex
 | SetReference
 | WriteLeft
 | WriteTop
 | ChangeName
 | DefineProperties
 | GetChildren
 | GetChildOwner
 | GetChildParent
 | GetOwner
 | Loaded
 | Loading
 | Notification
 | PaletteCreated
 | ReadState
 | SetAncestor
 | SetDesigning
 | SetDesignInstance
 | SetInline
 | SetName
 | SetChildOrder
 | SetParentComponent
 | Updating
 | Updated
 | UpdateRegistry
 | ValidateRename
 | ValidateContainer
 | ValidateInsert
 | QueryInterface
 | _AddRef
 | _Release
 | iicrGetComponent
 | GetTypeInfoCount
 | GetTypeInfo
 | GetIDsOfNames
 | Invoke
 | WriteState
 | Create
 | Destroy
 | BeforeDestruction
 | DestroyComponents
 | Destroying
 | ExecuteAction
 | FindComponent
 | FreeNotification
 | RemoveFreeNotification
 | FreeOnRelease
 | GetEnumerator
 | GetNamePath
 | GetParentComponent
 | HasParent
 | InsertComponent
 | RemoveComponent
 | SafeCallException
 | SetSubComponent
 | UpdateAction
 | IsImplementorOf
 | ReferenceInterface
TPersistent
 | AssignError
 | AssignTo
 | DefineProperties
 | GetOwner
 | Destroy
 | Assign
 | FPOAttachObserver
 | FPODetachObserver
 | FPONotifyObservers
 | GetNamePath
TObject
 | Create
 | Destroy
 | newinstance
 | FreeInstance
 | SafeCallException
 | DefaultHandler
 | Free
 | InitInstance
 | CleanupInstance
 | ClassType
 | ClassInfo
 | ClassName
 | ClassNameIs
 | ClassParent
 | InstanceSize
 | InheritsFrom
 | StringMessageTable
 | MethodAddress
 | MethodName
 | FieldAddress
 | AfterConstruction
 | BeforeDestruction
 | DefaultHandlerStr
 | Dispatch
 | DispatchStr
 | GetInterface
 | GetInterfaceByStr
 | GetInterfaceWeak
 | GetInterfaceEntry
 | GetInterfaceEntryByStr
 | GetInterfaceTable
 | UnitName
 | Equals
 | GetHashCode
 | ToString


TCustomCheckCombo
 | OnItemChange
TCustomComboBox
pt | OnChange
pt | OnCloseUp
pt | OnDrawItem
pt | OnDropDown
pt | OnGetItems
pt | OnMeasureItem
pt | OnSelect
TWinControl
pt | OnGetSiteInfo
pt | OnGetDockCaption
 | OnAlignInsertBefore
 | OnAlignPosition
 | OnDockDrop
 | OnDockOver
 | OnEnter
 | OnExit
 | OnKeyDown
 | OnKeyPress
 | OnKeyUp
 | OnUnDock
 | OnUTF8KeyPress
TControl
pt | OnConstrainedResize
pt | OnContextPopup
pt | OnDblClick
pt | OnTripleClick
pt | OnQuadClick
pt | OnDragDrop
pt | OnDragOver
pt | OnEndDock
pt | OnEndDrag
pt | OnMouseDown
pt | OnMouseMove
pt | OnMouseUp
pt | OnMouseEnter
pt | OnMouseLeave
pt | OnMouseWheel
pt | OnMouseWheelDown
pt | OnMouseWheelUp
pt | OnMouseWheelHorz
pt | OnMouseWheelLeft
pt | OnMouseWheelRight
pt | OnStartDock
pt | OnStartDrag
pt | OnEditingDone
 | OnChangeBounds
 | OnClick
 | OnResize
 | OnShowHint
TLCLComponent
TComponent
TPersistent
TObject


pt | OnChange (TCustomComboBox)
 | OnChangeBounds (TControl)
 | OnClick (TControl)
pt | OnCloseUp (TCustomComboBox)
pt | OnConstrainedResize (TControl)
pt | OnContextPopup (TControl)
pt | OnDblClick (TControl)
 | OnDockDrop (TWinControl)
 | OnDockOver (TWinControl)
pt | OnDragDrop (TControl)
pt | OnDragOver (TControl)
pt | OnDrawItem (TCustomComboBox)
pt | OnDropDown (TCustomComboBox)
pt | OnEditingDone (TControl)
pt | OnEndDock (TControl)
pt | OnEndDrag (TControl)
 | OnEnter (TWinControl)
 | OnExit (TWinControl)
pt | OnGetDockCaption (TWinControl)
pt | OnGetItems (TCustomComboBox)
pt | OnGetSiteInfo (TWinControl)
 | OnItemChange (TCustomCheckCombo)
 | OnKeyDown (TWinControl)
 | OnKeyPress (TWinControl)
 | OnKeyUp (TWinControl)
pt | OnMeasureItem (TCustomComboBox)
pt | OnMouseDown (TControl)
pt | OnMouseEnter (TControl)
pt | OnMouseLeave (TControl)
pt | OnMouseMove (TControl)
pt | OnMouseUp (TControl)
pt | OnMouseWheel (TControl)
pt | OnMouseWheelDown (TControl)
pt | OnMouseWheelHorz (TControl)
pt | OnMouseWheelLeft (TControl)
pt | OnMouseWheelRight (TControl)
pt | OnMouseWheelUp (TControl)
pt | OnQuadClick (TControl)
 | OnResize (TControl)
pt | OnSelect (TCustomComboBox)
 | OnShowHint (TControl)
pt | OnStartDock (TControl)
pt | OnStartDrag (TControl)
pt | OnTripleClick (TControl)
 | OnUnDock (TWinControl)
 | OnUTF8KeyPress (TWinControl)


TCustomCheckCombo.AddItem

Declaration

Source position: comboex.pas line 316

public procedure TCustomCheckCombo.AddItem(

  const AItem: string;

  AState: TCheckBoxState;

  AEnabled: Boolean = True

);


TCustomCheckCombo.AllowGrayed

Declaration

Source position: comboex.pas line 322

public property TCustomCheckCombo.AllowGrayed : Boolean
  read FAllowGrayed
  write FAllowGrayed
  default False;


TCustomCheckCombo.AssignItems

Declaration

Source position: comboex.pas line 317

public procedure TCustomCheckCombo.AssignItems(

  AItems: TStrings

);


TCustomCheckCombo.CheckAll

Declaration

Source position: comboex.pas line 320

public procedure TCustomCheckCombo.CheckAll(

  AState: TCheckBoxState;

  AAllowGrayed: Boolean = True;

  AAllowDisabled: Boolean = True

);


TCustomCheckCombo.Checked

Declaration

Source position: comboex.pas line 324

public property TCustomCheckCombo.Checked[AIndex: Integer] : Boolean
  read GetChecked
  write SetChecked;


TCustomCheckCombo.CheckItemStates

Declaration

Source position: comboex.pas line 304

protected procedure TCustomCheckCombo.CheckItemStates;


TCustomCheckCombo.Clear

Declaration

Source position: comboex.pas line 318

public procedure TCustomCheckCombo.Clear; override;


TCustomCheckCombo.ClearItemStates

Declaration

Source position: comboex.pas line 297

protected procedure TCustomCheckCombo.ClearItemStates;


TCustomCheckCombo.CloseUp

Declaration

Source position: comboex.pas line 298

protected procedure TCustomCheckCombo.CloseUp; override;


TCustomCheckCombo.CMBiDiModeChanged

Declaration

Source position: comboex.pas line 296

protected procedure TCustomCheckCombo.CMBiDiModeChanged(

  var Message: TLMessage

); message;


TCustomCheckCombo.Count

Declaration

Source position: comboex.pas line 323

public property TCustomCheckCombo.Count : Integer
  read GetCount;


TCustomCheckCombo.Create

Declaration

Source position: comboex.pas line 314

public constructor TCustomCheckCombo.Create(

  AOwner: TComponent

); override;


TCustomCheckCombo.DeleteItem

Declaration

Source position: comboex.pas line 319

public procedure TCustomCheckCombo.DeleteItem(

  AIndex: Integer

);


TCustomCheckCombo.Destroy

Declaration

Source position: comboex.pas line 315

public destructor TCustomCheckCombo.Destroy; override;


TCustomCheckCombo.DrawItem

Declaration

Source position: comboex.pas line 299

protected procedure TCustomCheckCombo.DrawItem(

  Index: Integer;

  ARect: TRect;

  State: TOwnerDrawState

); override;


TCustomCheckCombo.DropDown

Declaration

Source position: comboex.pas line 300

protected procedure TCustomCheckCombo.DropDown; override;


TCustomCheckCombo.FCheckHighlight

Declaration

Source position: comboex.pas line 285

protected TCustomCheckCombo.FCheckHighlight : Boolean;


TCustomCheckCombo.FCheckSize

Declaration

Source position: comboex.pas line 286

protected TCustomCheckCombo.FCheckSize : TSize;


TCustomCheckCombo.FDropped

Declaration

Source position: comboex.pas line 287

protected TCustomCheckCombo.FDropped : Boolean;


TCustomCheckCombo.FHilightedIndex

Declaration

Source position: comboex.pas line 288

protected TCustomCheckCombo.FHilightedIndex : Integer;


TCustomCheckCombo.FHiLiteLeft

Declaration

Source position: comboex.pas line 289

protected TCustomCheckCombo.FHiLiteLeft : Integer;


TCustomCheckCombo.FHiLiteRight

Declaration

Source position: comboex.pas line 290

protected TCustomCheckCombo.FHiLiteRight : Integer;


TCustomCheckCombo.FNeedMeasure

Declaration

Source position: comboex.pas line 291

protected TCustomCheckCombo.FNeedMeasure : Boolean;


TCustomCheckCombo.FontChanged

Declaration

Source position: comboex.pas line 301

protected procedure TCustomCheckCombo.FontChanged(

  Sender: TObject

); override;


TCustomCheckCombo.FRejectDropDown

Declaration

Source position: comboex.pas line 292

protected TCustomCheckCombo.FRejectDropDown : Boolean;


TCustomCheckCombo.FRejectToggleOnSelect

Declaration

Source position: comboex.pas line 293

protected TCustomCheckCombo.FRejectToggleOnSelect : Boolean;


TCustomCheckCombo.FRightToLeft

Declaration

Source position: comboex.pas line 294

protected TCustomCheckCombo.FRightToLeft : Boolean;


TCustomCheckCombo.FTextHeight

Declaration

Source position: comboex.pas line 295

protected TCustomCheckCombo.FTextHeight : SmallInt;


TCustomCheckCombo.InitializeWnd

Declaration

Source position: comboex.pas line 302

protected procedure TCustomCheckCombo.InitializeWnd; override;


TCustomCheckCombo.InitItemStates

Declaration

Source position: comboex.pas line 303

protected procedure TCustomCheckCombo.InitItemStates;


TCustomCheckCombo.ItemEnabled

Declaration

Source position: comboex.pas line 325

public property TCustomCheckCombo.ItemEnabled[AIndex: Integer] : Boolean
  read GetItemEnabled
  write SetItemEnabled;


TCustomCheckCombo.KeyDown

Declaration

Source position: comboex.pas line 306

protected procedure TCustomCheckCombo.KeyDown(

  var Key: Word;

  Shift: TShiftState

); override;


TCustomCheckCombo.Loaded

Declaration

Source position: comboex.pas line 307

protected procedure TCustomCheckCombo.Loaded; override;


TCustomCheckCombo.MouseLeave

Declaration

Source position: comboex.pas line 308

protected procedure TCustomCheckCombo.MouseLeave; override;


TCustomCheckCombo.MouseMove

Declaration

Source position: comboex.pas line 309

protected procedure TCustomCheckCombo.MouseMove(

  Shift: TShiftState;

  X: Integer;

  Y: Integer

); override;


TCustomCheckCombo.Objects

Declaration

Source position: comboex.pas line 326

public property TCustomCheckCombo.Objects[AIndex: Integer] : TObject
  read GetObject
  write SetObject;


TCustomCheckCombo.OnItemChange

Declaration

Source position: comboex.pas line 328

public property TCustomCheckCombo.OnItemChange : TCheckItemChange
  read FOnItemChange
  write FOnItemChange;


TCustomCheckCombo.QueueCheckItemStates

Declaration

Source position: comboex.pas line 305

protected procedure TCustomCheckCombo.QueueCheckItemStates;


TCustomCheckCombo.Select

Declaration

Source position: comboex.pas line 312

protected procedure TCustomCheckCombo.Select; override;


TCustomCheckCombo.SetItemHeight

Declaration

Source position: comboex.pas line 310

protected procedure TCustomCheckCombo.SetItemHeight(

  const AValue: Integer

); override;


TCustomCheckCombo.State

Declaration

Source position: comboex.pas line 327

public property TCustomCheckCombo.State[AIndex: Integer] : TCheckBoxState
  read GetState
  write SetState;


TCustomCheckCombo.Toggle

Declaration

Source position: comboex.pas line 321

public procedure TCustomCheckCombo.Toggle(

  AIndex: Integer

);


TCustomComboBoxEx

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Declaration

Source position: comboex.pas line 136

type TCustomComboBoxEx = class(TCustomComboBox)

protected

Const

  cDefAutoCompOpts = [acoAutoAppend]

  cDefStyle = csExDropDown

  FNeedMeasure: Boolean;

  FRightToLeft: Boolean;

  FTextHeight: SmallInt;

  procedure CMBiDiModeChanged(); message;

  procedure DrawItem(); override;

  procedure FontChanged(); override;

  procedure InitializeWnd; override;

  procedure SetItemHeight(); override;

public

  constructor Create(); override;

  destructor Destroy; override;

  function Add();

  procedure AddItem(); override;

  procedure AssignItemsEx();

  procedure Clear; override;

  procedure Delete();

  procedure DeleteSelected;

  procedure Insert();

  property AutoCompleteOptions: TAutoCompleteOptions; [rw]

  property Images: TCustomImageList; [rw]

  property ImagesWidth: Integer; [rw]

  property ItemsEx: TComboExItems; [rw]

  property Style: TComboBoxExStyle; [rw]

  property StyleEx: TComboBoxExStyles; [rw]

end;

Inheritance

TCustomComboBoxEx |
|
TCustomComboBox | The base class for ComboBox components.
|
TWinControl | The base class for controls which can contain other (child) controls.
|
TControl | The base class for visible controls.
|
TLCLComponent | The base class for LCL components associated with widgets.
|
TComponent,IUnknown,IInterfaceComponentReference
|
TPersistent,IFPObserved
|
TObject


TCustomComboBoxEx
 |  | AutoCompleteOptions
 |  | Images
 |  | ImagesWidth
 |  | ItemsEx
 |  | Style
 |  | StyleEx
TCustomComboBox
pt |  | ItemHeight
pt |  | ItemWidth
pt |  | MaxLength
pt | ro | ParentColor
pt |  | Sorted
 |  | CharCase
 |  | DroppedDown
 |  | DroppingDown
 |  | AutoComplete
 |  | AutoCompleteText
 |  | AutoDropDown
 |  | AutoSelect
 |  | AutoSelected
 | ro | AutoSize
 |  | ArrowKeysTraverseList
 | ro | Canvas
 |  | DropDownCount
 |  | Items
 |  | ItemIndex
 |  | ReadOnly
 |  | SelLength
 |  | SelStart
 |  | SelText
 |  | Style
 | ro | TabStop
 | ro | Text
TWinControl
pt |  | WindowHandle
pt |  | BorderStyle
pt |  | ParentBackground
 |  | BorderWidth
 | ro | BoundsLockCount
 | ro | Brush
 | ro | CachedClientHeight
 | ro | CachedClientWidth
 |  | ChildSizing
 | ro | ControlCount
 | ro | Controls
 |  | DefWndProc
 | ro | DockClientCount
 | ro | DockClients
 |  | DockManager
 |  | DockSite
 |  | DoubleBuffered
 |  | Handle
 | ro | IsFlipped
 | ro | IsResizing
 |  | TabOrder
 |  | TabStop
 |  | ParentDoubleBuffered
 |  | ParentWindow
 | ro | Showing
 |  | UseDockManager
 |  | DesignerDeleting
 | ro | VisibleDockClientCount
TControl
pt | ro | AutoSizing
pt | ro | AutoSizingAll
pt | ro | AutoSizingLockCount
pt |  | ActionLink
pt |  | DesktopFont
pt |  | DragCursor
pt |  | DragKind
pt |  | DragMode
pt |  | MouseCapture
pt |  | ParentColor
pt |  | ParentFont
pt |  | ParentShowHint
pt |  | SessionProperties
pt |  | Text
 | ro | AnchoredControls
 | ro | BaseBounds
 | ro | ReadBounds
 | ro | BaseParentClientSize
 |  | AccessibleDescription
 |  | AccessibleValue
 |  | AccessibleRole
 |  | Action
 |  | Align
 |  | Anchors
 | ro | AnchorSide
 |  | AutoSize
 |  | BorderSpacing
 |  | BoundsRect
 |  | BoundsRectForNewParent
 |  | Caption
 |  | CaptureMouseButtons
 |  | ClientHeight
 | ro | ClientOrigin
 | ro | ClientRect
 |  | ClientWidth
 |  | Color
 |  | Constraints
 | ro | ControlOrigin
 |  | ControlState
 |  | ControlStyle
 |  | Enabled
 |  | Font
 |  | IsControl
 | ro | MouseEntered
 | ro | MouseInClient
 |  | Parent
 |  | PopupMenu
 |  | ShowHint
 |  | Visible
 |  | WindowProc
 |  | DockOrientation
 | ro | Floating
 |  | FloatingDockSiteClass
 |  | HostDockSite
 |  | LRDockWidth
 |  | TBDockHeight
 |  | UndockHeight
 |  | UndockWidth
 |  | BiDiMode
 |  | ParentBiDiMode
pl |  | AnchorSideLeft
pl |  | AnchorSideTop
pl |  | AnchorSideRight
pl |  | AnchorSideBottom
pl |  | Cursor
pl |  | Left
pl |  | Height
pl |  | Hint
pl |  | Top
pl |  | Width
pl |  | HelpType
pl |  | HelpKeyword
pl |  | HelpContext
TLCLComponent
 | ro | LCLRefCount
 | ro | WidgetSetClass
TComponent
 | ro | ComObject
 | ro | Components
 | ro | ComponentCount
 |  | ComponentIndex
 | ro | ComponentState
 | ro | ComponentStyle
 |  | DesignInfo
 | ro | Owner
 |  | VCLComObject
 |  | Name
 |  | Tag
TPersistent
TObject


 |  | AccessibleDescription (TControl)
 |  | AccessibleRole (TControl)
 |  | AccessibleValue (TControl)
 |  | Action (TControl)
pt |  | ActionLink (TControl)
 |  | Align (TControl)
 | ro | AnchoredControls (TControl)
 |  | Anchors (TControl)
 | ro | AnchorSide (TControl)
pl |  | AnchorSideBottom (TControl)
pl |  | AnchorSideLeft (TControl)
pl |  | AnchorSideRight (TControl)
pl |  | AnchorSideTop (TControl)
 |  | ArrowKeysTraverseList (TCustomComboBox)
 |  | AutoComplete (TCustomComboBox)
 |  | AutoCompleteOptions (TCustomComboBoxEx)
 |  | AutoCompleteText (TCustomComboBox)
 |  | AutoDropDown (TCustomComboBox)
 |  | AutoSelect (TCustomComboBox)
 |  | AutoSelected (TCustomComboBox)
 |  | AutoSize (TControl)
 | ro | AutoSize (TCustomComboBox)
pt | ro | AutoSizing (TControl)
pt | ro | AutoSizingAll (TControl)
pt | ro | AutoSizingLockCount (TControl)
 | ro | BaseBounds (TControl)
 | ro | BaseParentClientSize (TControl)
 |  | BiDiMode (TControl)
 |  | BorderSpacing (TControl)
pt |  | BorderStyle (TWinControl)
 |  | BorderWidth (TWinControl)
 | ro | BoundsLockCount (TWinControl)
 |  | BoundsRect (TControl)
 |  | BoundsRectForNewParent (TControl)
 | ro | Brush (TWinControl)
 | ro | CachedClientHeight (TWinControl)
 | ro | CachedClientWidth (TWinControl)
 | ro | Canvas (TCustomComboBox)
 |  | Caption (TControl)
 |  | CaptureMouseButtons (TControl)
 |  | CharCase (TCustomComboBox)
 |  | ChildSizing (TWinControl)
 |  | ClientHeight (TControl)
 | ro | ClientOrigin (TControl)
 | ro | ClientRect (TControl)
 |  | ClientWidth (TControl)
 |  | Color (TControl)
 | ro | ComObject (TComponent)
 | ro | ComponentCount (TComponent)
 |  | ComponentIndex (TComponent)
 | ro | Components (TComponent)
 | ro | ComponentState (TComponent)
 | ro | ComponentStyle (TComponent)
 |  | Constraints (TControl)
 | ro | ControlCount (TWinControl)
 | ro | ControlOrigin (TControl)
 | ro | Controls (TWinControl)
 |  | ControlState (TControl)
 |  | ControlStyle (TControl)
pl |  | Cursor (TControl)
 |  | DefWndProc (TWinControl)
 |  | DesignerDeleting (TWinControl)
 |  | DesignInfo (TComponent)
pt |  | DesktopFont (TControl)
 | ro | DockClientCount (TWinControl)
 | ro | DockClients (TWinControl)
 |  | DockManager (TWinControl)
 |  | DockOrientation (TControl)
 |  | DockSite (TWinControl)
 |  | DoubleBuffered (TWinControl)
pt |  | DragCursor (TControl)
pt |  | DragKind (TControl)
pt |  | DragMode (TControl)
 |  | DropDownCount (TCustomComboBox)
 |  | DroppedDown (TCustomComboBox)
 |  | DroppingDown (TCustomComboBox)
 |  | Enabled (TControl)
 | ro | Floating (TControl)
 |  | FloatingDockSiteClass (TControl)
 |  | Font (TControl)
 |  | Handle (TWinControl)
pl |  | Height (TControl)
pl |  | HelpContext (TControl)
pl |  | HelpKeyword (TControl)
pl |  | HelpType (TControl)
pl |  | Hint (TControl)
 |  | HostDockSite (TControl)
 |  | Images (TCustomComboBoxEx)
 |  | ImagesWidth (TCustomComboBoxEx)
 |  | IsControl (TControl)
 | ro | IsFlipped (TWinControl)
 | ro | IsResizing (TWinControl)
pt |  | ItemHeight (TCustomComboBox)
 |  | ItemIndex (TCustomComboBox)
 |  | Items (TCustomComboBox)
 |  | ItemsEx (TCustomComboBoxEx)
pt |  | ItemWidth (TCustomComboBox)
 | ro | LCLRefCount (TLCLComponent)
pl |  | Left (TControl)
 |  | LRDockWidth (TControl)
pt |  | MaxLength (TCustomComboBox)
pt |  | MouseCapture (TControl)
 | ro | MouseEntered (TControl)
 | ro | MouseInClient (TControl)
 |  | Name (TComponent)
 | ro | Owner (TComponent)
 |  | Parent (TControl)
pt |  | ParentBackground (TWinControl)
 |  | ParentBiDiMode (TControl)
pt |  | ParentColor (TControl)
pt | ro | ParentColor (TCustomComboBox)
 |  | ParentDoubleBuffered (TWinControl)
pt |  | ParentFont (TControl)
pt |  | ParentShowHint (TControl)
 |  | ParentWindow (TWinControl)
 |  | PopupMenu (TControl)
 | ro | ReadBounds (TControl)
 |  | ReadOnly (TCustomComboBox)
 |  | SelLength (TCustomComboBox)
 |  | SelStart (TCustomComboBox)
 |  | SelText (TCustomComboBox)
pt |  | SessionProperties (TControl)
 |  | ShowHint (TControl)
 | ro | Showing (TWinControl)
pt |  | Sorted (TCustomComboBox)
 |  | Style (TCustomComboBox)
 |  | Style (TCustomComboBoxEx)
 |  | StyleEx (TCustomComboBoxEx)
 |  | TabOrder (TWinControl)
 |  | TabStop (TWinControl)
 | ro | TabStop (TCustomComboBox)
 |  | Tag (TComponent)
 |  | TBDockHeight (TControl)
pt |  | Text (TControl)
 | ro | Text (TCustomComboBox)
pl |  | Top (TControl)
 |  | UndockHeight (TControl)
 |  | UndockWidth (TControl)
 |  | UseDockManager (TWinControl)
 |  | VCLComObject (TComponent)
 |  | Visible (TControl)
 | ro | VisibleDockClientCount (TWinControl)
 | ro | WidgetSetClass (TLCLComponent)
pl |  | Width (TControl)
pt |  | WindowHandle (TWinControl)
 |  | WindowProc (TControl)


TCustomComboBoxEx
pt | CMBiDiModeChanged
pt | DrawItem
pt | FontChanged
pt | InitializeWnd
pt | SetItemHeight
 | Create
 | Destroy
 | Add
 | AddItem
 | AssignItemsEx
 | Clear
 | Delete
 | DeleteSelected
 | Insert
TCustomComboBox
pt | WSRegisterClass
pt | CreateParams
pt | InitializeWnd
pt | DestroyWnd
pt | DoEnter
pt | DoExit
pt | DrawItem
pt | KeyUpAfterInterface
pt | MeasureItem
pt | GetControlClassDefaultSize
pt | LMChanged
pt | CMWantSpecialKey
pt | Change
pt | Select
pt | DropDown
pt | GetItems
pt | SetItems
pt | CloseUp
pt | AdjustDropDown
pt | DoAutoAdjustLayout
pt | GetItemCount
pt | GetItemHeight
pt | GetSelLength
pt | GetSelStart
pt | GetSelText
pt | GetItemIndex
pt | GetMaxLength
pt | SetDropDownCount
pt | SetDroppedDown
pt | SetItemHeight
pt | SetItemIndex
pt | SetMaxLength
pt | SetSelLength
pt | SetSelStart
pt | SetSelText
pt | SetSorted
pt | SetStyle
pt | RealSetText
pt | KeyDown
pt | KeyUp
pt | UTF8KeyPress
pt | MouseUp
pt | SelectItem
pt | ShouldAutoAdjust
 | Create
 | Destroy
 | IntfGetItems
 | AddItem
 | AddHistoryItem
 | Clear
 | ClearSelection
 | SelectAll
TWinControl
pt | WSRegisterClass
pt | AdjustClientRect
pt | GetAdjustedLogicalClientRect
pt | AlignControls
pt | CustomAlignInsertBefore
pt | CustomAlignPosition
pt | DoAlignChildControls
pt | DoChildSizingChange
pt | InvalidatePreferredChildSizes
pt | CanTab
pt | IsClientHeightStored
pt | IsClientWidthStored
pt | DoSendShowHideToInterface
pt | ControlsAligned
pt | DoSendBoundsToInterface
pt | RealizeBounds
pt | RealizeBoundsRecursive
pt | InvalidateBoundsRealized
pt | CreateSubClass
pt | DoConstraintsChange
pt | DoSetBounds
pt | DoAutoSize
pt | DoAllAutoSize
pt | AllAutoSized
pt | CalculatePreferredSize
pt | GetPreferredSizeClientFrame
pt | GetChildren
pt | ChildClassAllowed
pt | PaintControls
pt | PaintHandler
pt | PaintWindow
pt | CreateBrush
pt | ScaleControls
pt | ChangeScale
pt | CMBiDiModeChanged
pt | CMBorderChanged
pt | CMDoubleBufferedChanged
pt | CMEnabledChanged
pt | CMParentDoubleBufferedChanged
pt | CMShowingChanged
pt | CMShowHintChanged
pt | CMVisibleChanged
pt | CMEnter
pt | CMExit
pt | WMContextMenu
pt | WMEraseBkgnd
pt | WMNotify
pt | WMSetFocus
pt | WMKillFocus
pt | WMShowWindow
pt | WMEnter
pt | WMExit
pt | WMKeyDown
pt | WMSysKeyDown
pt | WMKeyUp
pt | WMSysKeyUp
pt | WMChar
pt | WMSysChar
pt | WMPaint
pt | WMDestroy
pt | WMMove
pt | WMSize
pt | WMWindowPosChanged
pt | CNKeyDown
pt | CNSysKeyDown
pt | CNKeyUp
pt | CNSysKeyUp
pt | CNChar
pt | DoDragMsg
pt | DoDockClientMsg
pt | DoUndockClientMsg
pt | DoAddDockClient
pt | DockOver
pt | DoDockOver
pt | DoRemoveDockClient
pt | DoUnDock
pt | GetSiteInfo
pt | GetParentHandle
pt | GetTopParentHandle
pt | ReloadDockedControl
pt | CreateDockManager
pt | SetDockManager
pt | DoFloatMsg
pt | DoGetDockCaption
pt | DoEnter
pt | DoExit
pt | DoKeyDownBeforeInterface
pt | DoRemainingKeyDown
pt | DoRemainingKeyUp
pt | DoKeyPress
pt | DoUTF8KeyPress
pt | DoKeyUpBeforeInterface
pt | ChildKey
pt | SendDialogChar
pt | DialogChar
pt | ControlKeyDown
pt | ControlKeyUp
pt | KeyDown
pt | KeyDownBeforeInterface
pt | KeyDownAfterInterface
pt | KeyPress
pt | KeyUp
pt | KeyUpBeforeInterface
pt | KeyUpAfterInterface
pt | UTF8KeyPress
pt | FindNextControl
pt | SelectFirst
pt | RealGetText
pt | GetBorderStyle
pt | GetClientOrigin
pt | GetClientRect
pt | GetControlOrigin
pt | GetDeviceContext
pt | GetParentBackground
pt | IsControlMouseMsg
pt | CreateHandle
pt | CreateParams
pt | CreateWnd
pt | DestroyHandle
pt | DestroyWnd
pt | DoFlipChildren
pt | FinalizeWnd
pt | FixupTabList
pt | FontChanged
pt | InitializeWnd
pt | Loaded
pt | FormEndUpdated
pt | MainWndProc
pt | ParentFormHandleInitialized
pt | ChildHandlesCreated
pt | GetMouseCapture
pt | RealSetText
pt | RemoveFocus
pt | SendMoveSizeMessages
pt | SetBorderStyle
pt | SetColor
pt | SetChildZPosition
pt | SetParentBackground
pt | ShowControl
pt | UpdateControlState
pt | UpdateShowing
pt | WndProc
pt | WSSetText
 | AutoSizePhases
 | AutoSizeDelayed
 | AutoSizeDelayedReport
 | AutoSizeDelayedHandle
 | BeginUpdateBounds
 | EndUpdateBounds
 | LockRealizeBounds
 | UnlockRealizeBounds
 | ControlAtPos
 | ContainsControl
 | DoAdjustClientRectChange
 | InvalidateClientRectCache
 | ClientRectNeedsInterfaceUpdate
 | SetBounds
 | GetChildrenRect
 | DisableAlign
 | EnableAlign
 | ReAlign
 | ScrollBy_WS
 | ScrollBy
 | WriteLayoutDebugReport
 | AutoAdjustLayout
 | Create
 | CreateParented
 | CreateParentedControl
 | Destroy
 | DockDrop
 | CanFocus
 | CanSetFocus
 | GetControlIndex
 | SetControlIndex
 | Focused
 | PerformTab
 | FindChildControl
 | SelectNext
 | SetTempCursor
 | BroadCast
 | NotifyControls
 | DefaultHandler
 | GetTextLen
 | Invalidate
 | AddControl
 | InsertControl
 | RemoveControl
 | GetEnumeratorControls
 | GetEnumeratorControlsReverse
 | Repaint
 | Update
 | SetFocus
 | FlipChildren
 | ScaleBy
 | GetDockCaption
 | UpdateDockCaption
 | GetTabOrderList
 | HandleAllocated
 | ParentHandlesAllocated
 | HandleNeeded
 | BrushCreated
 | EraseBackground
 | IntfUTF8KeyPress
 | IntfGetDropFilesTarget
 | PaintTo
 | SetShape
TControl
pt | WSRegisterClass
pt | GetCursor
pt | SetCursor
pt | SetVisible
pt | DoOnParentHandleDestruction
pt | DoAutoSize
pt | DoAllAutoSize
pt | BeginAutoSizing
pt | EndAutoSizing
pt | AnchorSideChanged
pt | ForeignAnchorSideChanged
pt | SetAlign
pt | SetAnchors
pt | SetAutoSize
pt | BoundsChanged
pt | CreateControlBorderSpacing
pt | DoConstraintsChange
pt | DoBorderSpacingChange
pt | IsBorderSpacingInnerBorderStored
pt | IsCaptionStored
pt | SendMoveSizeMessages
pt | ConstrainedResize
pt | CalculatePreferredSize
pt | DoOnResize
pt | DoOnChangeBounds
pt | CheckOnChangeBounds
pt | Resize
pt | RequestAlign
pt | UpdateAnchorRules
pt | ChangeBounds
pt | DoSetBounds
pt | ScaleConstraints
pt | ChangeScale
pt | CanAutoSize
pt | SetBiDiMode
pt | SetParentBiDiMode
pt | IsAParentAligning
pt | GetClientOrigin
pt | GetClientRect
pt | GetLogicalClientRect
pt | GetScrolledClientRect
pt | GetClientScrollOffset
pt | GetControlOrigin
pt | IsClientHeightStored
pt | IsClientWidthStored
pt | WidthIsAnchored
pt | HeightIsAnchored
pt | WMCancelMode
pt | WMContextMenu
pt | WMLButtonDown
pt | WMRButtonDown
pt | WMMButtonDown
pt | WMXButtonDown
pt | WMLButtonDBLCLK
pt | WMRButtonDBLCLK
pt | WMMButtonDBLCLK
pt | WMXButtonDBLCLK
pt | WMLButtonTripleCLK
pt | WMRButtonTripleCLK
pt | WMMButtonTripleCLK
pt | WMXButtonTripleCLK
pt | WMLButtonQuadCLK
pt | WMRButtonQuadCLK
pt | WMMButtonQuadCLK
pt | WMXButtonQuadCLK
pt | WMMouseMove
pt | WMLButtonUp
pt | WMRButtonUp
pt | WMMButtonUp
pt | WMXButtonUp
pt | WMMouseWheel
pt | WMMouseHWheel
pt | WMMove
pt | WMSize
pt | WMWindowPosChanged
pt | CMChanged
pt | LMCaptureChanged
pt | CMBiDiModeChanged
pt | CMSysFontChanged
pt | CMEnabledChanged
pt | CMHitTest
pt | CMMouseEnter
pt | CMMouseLeave
pt | CMHintShow
pt | CMParentBiDiModeChanged
pt | CMParentColorChanged
pt | CMParentFontChanged
pt | CMParentShowHintChanged
pt | CMVisibleChanged
pt | CMTextChanged
pt | CMCursorChanged
pt | CalculateDockSizes
pt | CreateFloatingDockSite
pt | GetDockEdge
pt | GetDragImages
pt | GetFloating
pt | GetFloatingDockSiteClass
pt | BeforeDragStart
pt | BeginAutoDrag
pt | DoFloatMsg
pt | DockTrackNoTarget
pt | DoDock
pt | DoDragMsg
pt | DoEndDock
pt | DoEndDrag
pt | DoStartDock
pt | DoStartDrag
pt | DragCanceled
pt | DragOver
pt | PositionDockRect
pt | SetDragMode
pt | GetDefaultDockCaption
pt | Click
pt | DblClick
pt | TripleClick
pt | QuadClick
pt | GetMousePosFromMessage
pt | MouseDown
pt | MouseMove
pt | MouseUp
pt | MouseEnter
pt | MouseLeave
pt | DialogChar
pt | UpdateMouseCursor
pt | Changed
pt | GetPalette
pt | ChildClassAllowed
pt | ReadState
pt | Loaded
pt | LoadedAll
pt | DefineProperties
pt | AssignTo
pt | FormEndUpdated
pt | InvalidateControl
pt | FontChanged
pt | ParentFontChanged
pt | GetAction
pt | RealGetText
pt | RealSetText
pt | TextChanged
pt | GetCachedText
pt | SetAction
pt | SetColor
pt | SetEnabled
pt | SetHint
pt | SetName
pt | SetParent
pt | SetParentComponent
pt | WndProc
pt | ParentFormHandleInitialized
pt | GetMouseCapture
pt | CaptureChanged
pt | Notification
pt | CanTab
pt | GetDeviceContext
pt | GetEnabled
pt | GetPopupMenu
pt | DoOnShowHint
pt | DoMouseWheel
pt | DoMouseWheelDown
pt | DoMouseWheelUp
pt | DoMouseWheelHorz
pt | DoMouseWheelLeft
pt | DoMouseWheelRight
pt | VisibleChanging
pt | VisibleChanged
pt | EnabledChanging
pt | EnabledChanged
pt | AddHandler
pt | RemoveHandler
pt | DoCallNotifyHandler
pt | DoCallKeyEventHandler
pt | DoCallMouseWheelEventHandler
pt | DoContextPopup
pt | SetZOrder
pt | GetControlClassDefaultSize
pt | ColorIsStored
pt | DoAutoAdjustLayout
pt | DoFixDesignFontPPI
pt | DoScaleFontPPI
pt | GetActionLinkClass
pt | ActionChange
 | DragDrop
 | Dock
 | ManualDock
 | ManualFloat
 | ReplaceDockedControl
 | Docked
 | Dragging
 | GetAccessibleObject
 | CreateAccessibleObject
 | GetSelectedChildAccessibleObject
 | GetChildAccessibleObjectAtPos
 | ScaleDesignToForm
 | ScaleFormToDesign
 | Scale96ToForm
 | ScaleFormTo96
 | Scale96ToFont
 | ScaleFontTo96
 | ScaleScreenToFont
 | ScaleFontToScreen
 | Scale96ToScreen
 | ScaleScreenTo96
 | AdjustSize
 | AutoSizePhases
 | AutoSizeDelayed
 | AutoSizeDelayedReport
 | AutoSizeDelayedHandle
 | AnchorToNeighbour
 | AnchorParallel
 | AnchorHorizontalCenterTo
 | AnchorVerticalCenterTo
 | AnchorToCompanion
 | AnchorSame
 | AnchorAsAlign
 | AnchorClient
 | AnchoredControlCount
 | SetBounds
 | SetInitialBounds
 | SetBoundsKeepBase
 | GetPreferredSize
 | GetCanvasScaleFactor
 | GetDefaultWidth
 | GetDefaultHeight
 | GetDefaultColor
 | GetColorResolvingParent
 | GetRGBColorResolvingParent
 | GetSidePosition
 | CNPreferredSizeChanged
 | InvalidatePreferredSize
 | GetAnchorsDependingOnParent
 | DisableAutoSizing
 | EnableAutoSizing
 | UpdateBaseBounds
 | WriteLayoutDebugReport
 | AutoAdjustLayout
 | ShouldAutoAdjust
 | FixDesignFontsPPI
 | ScaleFontsPPI
 | Create
 | Destroy
 | BeforeDestruction
 | EditingDone
 | ExecuteDefaultAction
 | ExecuteCancelAction
 | BeginDrag
 | EndDrag
 | BringToFront
 | HasParent
 | GetParentComponent
 | IsParentOf
 | GetTopParent
 | IsVisible
 | IsControlVisible
 | IsEnabled
 | IsParentColor
 | IsParentFont
 | FormIsUpdating
 | IsProcessingPaintMsg
 | Hide
 | Refresh
 | Repaint
 | Invalidate
 | CheckChildClassAllowed
 | CheckNewParent
 | SendToBack
 | SetTempCursor
 | UpdateRolesForForm
 | ActiveDefaultControlChanged
 | GetTextBuf
 | GetTextLen
 | SetTextBuf
 | Perform
 | ScreenToClient
 | ClientToScreen
 | ScreenToControl
 | ControlToScreen
 | ClientToParent
 | ParentToClient
 | GetChildrenRect
 | Show
 | Update
 | HandleObjectShouldBeVisible
 | ParentDestroyingHandle
 | ParentHandlesAllocated
 | InitiateAction
 | ShowHelp
 | HasHelp
 | RemoveAllHandlersOfObject
 | AddHandlerOnResize
 | RemoveHandlerOnResize
 | AddHandlerOnChangeBounds
 | RemoveHandlerOnChangeBounds
 | AddHandlerOnVisibleChanging
 | RemoveHandlerOnVisibleChanging
 | AddHandlerOnVisibleChanged
 | RemoveHandlerOnVisibleChanged
 | AddHandlerOnEnabledChanged
 | RemoveHandlerOnEnableChanging
 | AddHandlerOnKeyDown
 | RemoveHandlerOnKeyDown
 | AddHandlerOnBeforeDestruction
 | RemoveHandlerOnBeforeDestruction
 | AddHandlerOnMouseWheel
 | RemoveHandlerOnMouseWheel
 | UseRightToLeftAlignment
 | UseRightToLeftReading
 | UseRightToLeftScrollBar
 | IsRightToLeft
TLCLComponent
pt | WSRegisterClass
pt | GetWSComponentClass
 | Create
 | Destroy
 | NewInstance
 | RemoveAllHandlersOfObject
 | IncLCLRefCount
 | DecLCLRefCount
TComponent
 | GetComObject
 | GetComponent
 | GetComponentCount
 | GetComponentIndex
 | Insert
 | ReadLeft
 | ReadTop
 | Remove
 | RemoveNotification
 | SetComponentIndex
 | SetReference
 | WriteLeft
 | WriteTop
 | ChangeName
 | DefineProperties
 | GetChildren
 | GetChildOwner
 | GetChildParent
 | GetOwner
 | Loaded
 | Loading
 | Notification
 | PaletteCreated
 | ReadState
 | SetAncestor
 | SetDesigning
 | SetDesignInstance
 | SetInline
 | SetName
 | SetChildOrder
 | SetParentComponent
 | Updating
 | Updated
 | UpdateRegistry
 | ValidateRename
 | ValidateContainer
 | ValidateInsert
 | QueryInterface
 | _AddRef
 | _Release
 | iicrGetComponent
 | GetTypeInfoCount
 | GetTypeInfo
 | GetIDsOfNames
 | Invoke
 | WriteState
 | Create
 | Destroy
 | BeforeDestruction
 | DestroyComponents
 | Destroying
 | ExecuteAction
 | FindComponent
 | FreeNotification
 | RemoveFreeNotification
 | FreeOnRelease
 | GetEnumerator
 | GetNamePath
 | GetParentComponent
 | HasParent
 | InsertComponent
 | RemoveComponent
 | SafeCallException
 | SetSubComponent
 | UpdateAction
 | IsImplementorOf
 | ReferenceInterface
TPersistent
 | AssignError
 | AssignTo
 | DefineProperties
 | GetOwner
 | Destroy
 | Assign
 | FPOAttachObserver
 | FPODetachObserver
 | FPONotifyObservers
 | GetNamePath
TObject
 | Create
 | Destroy
 | newinstance
 | FreeInstance
 | SafeCallException
 | DefaultHandler
 | Free
 | InitInstance
 | CleanupInstance
 | ClassType
 | ClassInfo
 | ClassName
 | ClassNameIs
 | ClassParent
 | InstanceSize
 | InheritsFrom
 | StringMessageTable
 | MethodAddress
 | MethodName
 | FieldAddress
 | AfterConstruction
 | BeforeDestruction
 | DefaultHandlerStr
 | Dispatch
 | DispatchStr
 | GetInterface
 | GetInterfaceByStr
 | GetInterfaceWeak
 | GetInterfaceEntry
 | GetInterfaceEntryByStr
 | GetInterfaceTable
 | UnitName
 | Equals
 | GetHashCode
 | ToString


TCustomComboBoxEx
TCustomComboBox
pt | OnChange
pt | OnCloseUp
pt | OnDrawItem
pt | OnDropDown
pt | OnGetItems
pt | OnMeasureItem
pt | OnSelect
TWinControl
pt | OnGetSiteInfo
pt | OnGetDockCaption
 | OnAlignInsertBefore
 | OnAlignPosition
 | OnDockDrop
 | OnDockOver
 | OnEnter
 | OnExit
 | OnKeyDown
 | OnKeyPress
 | OnKeyUp
 | OnUnDock
 | OnUTF8KeyPress
TControl
pt | OnConstrainedResize
pt | OnContextPopup
pt | OnDblClick
pt | OnTripleClick
pt | OnQuadClick
pt | OnDragDrop
pt | OnDragOver
pt | OnEndDock
pt | OnEndDrag
pt | OnMouseDown
pt | OnMouseMove
pt | OnMouseUp
pt | OnMouseEnter
pt | OnMouseLeave
pt | OnMouseWheel
pt | OnMouseWheelDown
pt | OnMouseWheelUp
pt | OnMouseWheelHorz
pt | OnMouseWheelLeft
pt | OnMouseWheelRight
pt | OnStartDock
pt | OnStartDrag
pt | OnEditingDone
 | OnChangeBounds
 | OnClick
 | OnResize
 | OnShowHint
TLCLComponent
TComponent
TPersistent
TObject


pt | OnChange (TCustomComboBox)
 | OnChangeBounds (TControl)
 | OnClick (TControl)
pt | OnCloseUp (TCustomComboBox)
pt | OnConstrainedResize (TControl)
pt | OnContextPopup (TControl)
pt | OnDblClick (TControl)
 | OnDockDrop (TWinControl)
 | OnDockOver (TWinControl)
pt | OnDragDrop (TControl)
pt | OnDragOver (TControl)
pt | OnDrawItem (TCustomComboBox)
pt | OnDropDown (TCustomComboBox)
pt | OnEditingDone (TControl)
pt | OnEndDock (TControl)
pt | OnEndDrag (TControl)
 | OnEnter (TWinControl)
 | OnExit (TWinControl)
pt | OnGetDockCaption (TWinControl)
pt | OnGetItems (TCustomComboBox)
pt | OnGetSiteInfo (TWinControl)
 | OnKeyDown (TWinControl)
 | OnKeyPress (TWinControl)
 | OnKeyUp (TWinControl)
pt | OnMeasureItem (TCustomComboBox)
pt | OnMouseDown (TControl)
pt | OnMouseEnter (TControl)
pt | OnMouseLeave (TControl)
pt | OnMouseMove (TControl)
pt | OnMouseUp (TControl)
pt | OnMouseWheel (TControl)
pt | OnMouseWheelDown (TControl)
pt | OnMouseWheelHorz (TControl)
pt | OnMouseWheelLeft (TControl)
pt | OnMouseWheelRight (TControl)
pt | OnMouseWheelUp (TControl)
pt | OnQuadClick (TControl)
 | OnResize (TControl)
pt | OnSelect (TCustomComboBox)
 | OnShowHint (TControl)
pt | OnStartDock (TControl)
pt | OnStartDrag (TControl)
pt | OnTripleClick (TControl)
 | OnUnDock (TWinControl)
 | OnUTF8KeyPress (TWinControl)


TCustomComboBoxEx.Add

Declaration

Source position: comboex.pas line 163

public function TCustomComboBoxEx.Add: Integer; overload;

procedure TCustomComboBoxEx.Add(

  const ACaption: string;

  AIndent: SmallInt = - 1;

  AImgIdx: SmallInt = - 1;

  AOverlayImgIdx: SmallInt = - 1;

  ASelectedImgIdx: SmallInt = - 1

); overload;


TCustomComboBoxEx.AddItem

Declaration

Source position: comboex.pas line 167

public procedure TCustomComboBoxEx.AddItem(

  const Item: string;

  AnObject: TObject

); override;


TCustomComboBoxEx.AssignItemsEx

Declaration

Source position: comboex.pas line 168

public procedure TCustomComboBoxEx.AssignItemsEx(

  AItems: TStrings

); overload;

procedure TCustomComboBoxEx.AssignItemsEx(

  AItemsEx: TComboExItems

); overload;


TCustomComboBoxEx.AutoCompleteOptions

Declaration

Source position: comboex.pas line 176

public property TCustomComboBoxEx.AutoCompleteOptions : TAutoCompleteOptions
  read FAutoCompleteOptions
  write FAutoCompleteOptions
  default cDefAutoCompOpts;


TCustomComboBoxEx.cDefAutoCompOpts

Declaration

Source position: comboex.pas line 149

protected const TCustomComboBoxEx.cDefAutoCompOpts = [acoAutoAppend];


TCustomComboBoxEx.cDefStyle

Declaration

Source position: comboex.pas line 150

protected const TCustomComboBoxEx.cDefStyle = csExDropDown;


TCustomComboBoxEx.Clear

Declaration

Source position: comboex.pas line 170

public procedure TCustomComboBoxEx.Clear; override;


TCustomComboBoxEx.CMBiDiModeChanged

Declaration

Source position: comboex.pas line 155

protected procedure TCustomComboBoxEx.CMBiDiModeChanged(

  var Message: TLMessage

); message;


TCustomComboBoxEx.Create

Declaration

Source position: comboex.pas line 161

public constructor TCustomComboBoxEx.Create(

  TheOwner: TComponent

); override;


TCustomComboBoxEx.Delete

Declaration

Source position: comboex.pas line 171

public procedure TCustomComboBoxEx.Delete(

  AIndex: Integer

);


TCustomComboBoxEx.DeleteSelected

Declaration

Source position: comboex.pas line 172

public procedure TCustomComboBoxEx.DeleteSelected;


TCustomComboBoxEx.Destroy

Declaration

Source position: comboex.pas line 162

public destructor TCustomComboBoxEx.Destroy; override;


TCustomComboBoxEx.DrawItem

Declaration

Source position: comboex.pas line 156

protected procedure TCustomComboBoxEx.DrawItem(

  Index: Integer;

  ARect: TRect;

  State: TOwnerDrawState

); override;


TCustomComboBoxEx.FNeedMeasure

Declaration

Source position: comboex.pas line 152

protected TCustomComboBoxEx.FNeedMeasure : Boolean;


TCustomComboBoxEx.FontChanged

Declaration

Source position: comboex.pas line 157

protected procedure TCustomComboBoxEx.FontChanged(

  Sender: TObject

); override;


TCustomComboBoxEx.FRightToLeft

Declaration

Source position: comboex.pas line 153

protected TCustomComboBoxEx.FRightToLeft : Boolean;


TCustomComboBoxEx.FTextHeight

Declaration

Source position: comboex.pas line 154

protected TCustomComboBoxEx.FTextHeight : SmallInt;


TCustomComboBoxEx.Images

Declaration

Source position: comboex.pas line 178

public property TCustomComboBoxEx.Images : TCustomImageList
  read FImages
  write SetImages;


TCustomComboBoxEx.ImagesWidth

Declaration

Source position: comboex.pas line 179

public property TCustomComboBoxEx.ImagesWidth : Integer
  read FImagesWidth
  write SetImagesWidth
  default 0;


TCustomComboBoxEx.InitializeWnd

Declaration

Source position: comboex.pas line 158

protected procedure TCustomComboBoxEx.InitializeWnd; override;


TCustomComboBoxEx.Insert

Declaration

Source position: comboex.pas line 173

public procedure TCustomComboBoxEx.Insert(

  AIndex: Integer;

  const ACaption: string;

  AIndent: SmallInt = - 1;

  AImgIdx: SmallInt = - 1;

  AOverlayImgIdx: SmallInt = - 1;

  ASelectedImgIdx: SmallInt = - 1

);


TCustomComboBoxEx.ItemsEx

Declaration

Source position: comboex.pas line 180

public property TCustomComboBoxEx.ItemsEx : TComboExItems
  read FItemsEx
  write FItemsEx;


TCustomComboBoxEx.SetItemHeight

Declaration

Source position: comboex.pas line 159

protected procedure TCustomComboBoxEx.SetItemHeight(

  const AValue: Integer

); override;


TCustomComboBoxEx.Style

Declaration

Source position: comboex.pas line 181

public property TCustomComboBoxEx.Style : TComboBoxExStyle
  read FStyle
  write SetStyle
  default cDefStyle;


TCustomComboBoxEx.StyleEx

Declaration

Source position: comboex.pas line 182

public property TCustomComboBoxEx.StyleEx : TComboBoxExStyles
  read FStyleEx
  write SetStyleEx
  default [];


TListControlItem

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Declaration

Source position: comboex.pas line 57

type TListControlItem = class(TCollectionItem)

public

  property Data: TCustomData; [rw]

  constructor Create(); override;

published

  property Caption: TTranslateString; [rw]

  property ImageIndex: SmallInt; [rw]

end;

Inheritance

TListControlItem

|

TCollectionItem
|

TPersistent,IFPObserved
|

TObject


TListControlItem
 |  | Data
pl |  | Caption
pl |  | ImageIndex
TCollectionItem
 | ro | UpdateCount
 |  | Collection
 | ro | ID
 |  | Index
 |  | DisplayName
TPersistent
TObject


pl |  | Caption (TListControlItem)
 |  | Collection (TCollectionItem)
 |  | Data (TListControlItem)
 |  | DisplayName (TCollectionItem)
 | ro | ID (TCollectionItem)
pl |  | ImageIndex (TListControlItem)
 |  | Index (TCollectionItem)
 | ro | UpdateCount (TCollectionItem)


TListControlItem
 | Create
TCollectionItem
 | GetIndex
 | SetCollection
 | Changed
 | GetOwner
 | GetDisplayName
 | SetIndex
 | SetDisplayName
 | Create
 | Destroy
 | GetNamePath
TPersistent
 | AssignError
 | AssignTo
 | DefineProperties
 | GetOwner
 | Destroy
 | Assign
 | FPOAttachObserver
 | FPODetachObserver
 | FPONotifyObservers
 | GetNamePath
TObject
 | Create
 | Destroy
 | newinstance
 | FreeInstance
 | SafeCallException
 | DefaultHandler
 | Free
 | InitInstance
 | CleanupInstance
 | ClassType
 | ClassInfo
 | ClassName
 | ClassNameIs
 | ClassParent
 | InstanceSize
 | InheritsFrom
 | StringMessageTable
 | MethodAddress
 | MethodName
 | FieldAddress
 | AfterConstruction
 | BeforeDestruction
 | DefaultHandlerStr
 | Dispatch
 | DispatchStr
 | GetInterface
 | GetInterfaceByStr
 | GetInterfaceWeak
 | GetInterfaceEntry
 | GetInterfaceEntryByStr
 | GetInterfaceTable
 | UnitName
 | Equals
 | GetHashCode
 | ToString


AssignError (TPersistent)

AssignTo (TPersistent)

BeforeDestruction (TObject)

Changed (TCollectionItem)

ClassInfo (TObject)

ClassName (TObject)

ClassNameIs (TObject)

ClassParent (TObject)

ClassType (TObject)

CleanupInstance (TObject)

Create (TObject)

Create (TCollectionItem)

Create (TListControlItem)

DefaultHandler (TObject)

DefaultHandlerStr (TObject)

DefineProperties (TPersistent)

Destroy (TObject)

Destroy (TPersistent)

Destroy (TCollectionItem)

Dispatch (TObject)

DispatchStr (TObject)

Equals (TObject)

FieldAddress (TObject)

FPOAttachObserver (TPersistent)

FPODetachObserver (TPersistent)

FPONotifyObservers (TPersistent)

Free (TObject)

FreeInstance (TObject)

GetDisplayName (TCollectionItem)

GetHashCode (TObject)

GetIndex (TCollectionItem)

GetInterface (TObject)

GetInterfaceByStr (TObject)

GetInterfaceEntry (TObject)

GetInterfaceEntryByStr (TObject)

GetInterfaceTable (TObject)

GetInterfaceWeak (TObject)

GetNamePath (TPersistent)

GetNamePath (TCollectionItem)

GetOwner (TPersistent)

GetOwner (TCollectionItem)

InheritsFrom (TObject)

InitInstance (TObject)

InstanceSize (TObject)

MethodAddress (TObject)

MethodName (TObject)

newinstance (TObject)

SafeCallException (TObject)

SetCollection (TCollectionItem)

SetDisplayName (TCollectionItem)

SetIndex (TCollectionItem)

StringMessageTable (TObject)

ToString (TObject)

UnitName (TObject)


TListControlItem

TCollectionItem

TPersistent

TObject


TListControlItem.Caption

Declaration

Source position: comboex.pas line 68

published property TListControlItem.Caption : TTranslateString
  read FCaption
  write SetCaption;


TListControlItem.Create

Declaration

Source position: comboex.pas line 66

public constructor TListControlItem.Create(

  ACollection: TCollection

); override;


TListControlItem.Data

Declaration

Source position: comboex.pas line 65

public property TListControlItem.Data : TCustomData
  read FData
  write FData;


TListControlItem.ImageIndex

Declaration

Source position: comboex.pas line 69

published property TListControlItem.ImageIndex : SmallInt
  read FImageIndex
  write SetImageIndex
  default - 1;


TListControlItems

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Declaration

Source position: comboex.pas line 93

type TListControlItems = class(TOwnedCollection)

protected

  function CompareItems(); virtual;

  function DoCustomSort();

  function DoOnCompare();

  procedure Update(); override;

public

  function Add;

  procedure CustomSort();

  procedure Sort;

  property Items []: TListControlItem; default; [r]

published

  property CaseSensitive: Boolean; [rw]

  property SortType: TListItemsSortType; [rw]

  property OnCompare: TListCompareEvent; [rw]

end;

Inheritance

TListControlItems

|

TOwnedCollection
|

TCollection
|

TPersistent,IFPObserved
|

TObject


TListControlItems
 | ro | Items
pl |  | CaseSensitive
pl |  | SortType
TOwnedCollection
TCollection
 |  | PropName
 | ro | UpdateCount
 | ro | Count
 | ro | ItemClass
 |  | Items
TPersistent
TObject


pl |  | CaseSensitive (TListControlItems)
 | ro | Count (TCollection)
 | ro | ItemClass (TCollection)
 |  | Items (TCollection)
 | ro | Items (TListControlItems)
 |  | PropName (TCollection)
pl |  | SortType (TListControlItems)
 | ro | UpdateCount (TCollection)


TListControlItems
pt | CompareItems
pt | DoCustomSort
pt | DoOnCompare
pt | Update
 | Add
 | CustomSort
 | Sort
TOwnedCollection
 | GetOwner
 | Create
TCollection
 | GetCount
 | GetPropName
 | InsertItem
 | RemoveItem
 | DoClear
 | GetAttrCount
 | GetAttr
 | GetItemAttr
 | Changed
 | GetItem
 | SetItem
 | SetItemName
 | SetPropName
 | Update
 | Notify
 | Create
 | Destroy
 | Owner
 | Add
 | Assign
 | BeginUpdate
 | Clear
 | EndUpdate
 | Delete
 | GetEnumerator
 | GetNamePath
 | Insert
 | FindItemID
 | Exchange
 | Sort
TPersistent
 | AssignError
 | AssignTo
 | DefineProperties
 | GetOwner
 | Destroy
 | Assign
 | FPOAttachObserver
 | FPODetachObserver
 | FPONotifyObservers
 | GetNamePath
TObject
 | Create
 | Destroy
 | newinstance
 | FreeInstance
 | SafeCallException
 | DefaultHandler
 | Free
 | InitInstance
 | CleanupInstance
 | ClassType
 | ClassInfo
 | ClassName
 | ClassNameIs
 | ClassParent
 | InstanceSize
 | InheritsFrom
 | StringMessageTable
 | MethodAddress
 | MethodName
 | FieldAddress
 | AfterConstruction
 | BeforeDestruction
 | DefaultHandlerStr
 | Dispatch
 | DispatchStr
 | GetInterface
 | GetInterfaceByStr
 | GetInterfaceWeak
 | GetInterfaceEntry
 | GetInterfaceEntryByStr
 | GetInterfaceTable
 | UnitName
 | Equals
 | GetHashCode
 | ToString


 | Add (TCollection)
 | Add (TListControlItems)
 | AfterConstruction (TObject)
 | Assign (TPersistent)
 | Assign (TCollection)
 | AssignError (TPersistent)
 | AssignTo (TPersistent)
 | BeforeDestruction (TObject)
 | BeginUpdate (TCollection)
 | Changed (TCollection)
 | ClassInfo (TObject)
 | ClassName (TObject)
 | ClassNameIs (TObject)
 | ClassParent (TObject)
 | ClassType (TObject)
 | CleanupInstance (TObject)
 | Clear (TCollection)
pt | CompareItems (TListControlItems)
 | Create (TObject)
 | Create (TCollection)
 | Create (TOwnedCollection)
 | CustomSort (TListControlItems)
 | DefaultHandler (TObject)
 | DefaultHandlerStr (TObject)
 | DefineProperties (TPersistent)
 | Delete (TCollection)
 | Destroy (TObject)
 | Destroy (TPersistent)
 | Destroy (TCollection)
 | Dispatch (TObject)
 | DispatchStr (TObject)
 | DoClear (TCollection)
pt | DoCustomSort (TListControlItems)
pt | DoOnCompare (TListControlItems)
 | EndUpdate (TCollection)
 | Equals (TObject)
 | Exchange (TCollection)
 | FieldAddress (TObject)
 | FindItemID (TCollection)
 | FPOAttachObserver (TPersistent)
 | FPODetachObserver (TPersistent)
 | FPONotifyObservers (TPersistent)
 | Free (TObject)
 | FreeInstance (TObject)
 | GetAttr (TCollection)
 | GetAttrCount (TCollection)
 | GetCount (TCollection)
 | GetEnumerator (TCollection)
 | GetHashCode (TObject)
 | GetInterface (TObject)
 | GetInterfaceByStr (TObject)
 | GetInterfaceEntry (TObject)
 | GetInterfaceEntryByStr (TObject)
 | GetInterfaceTable (TObject)
 | GetInterfaceWeak (TObject)
 | GetItem (TCollection)
 | GetItemAttr (TCollection)
 | GetNamePath (TPersistent)
 | GetNamePath (TCollection)
 | GetOwner (TPersistent)
 | GetOwner (TOwnedCollection)
 | GetPropName (TCollection)
 | InheritsFrom (TObject)
 | InitInstance (TObject)
 | Insert (TCollection)
 | InsertItem (TCollection)
 | InstanceSize (TObject)
 | MethodAddress (TObject)
 | MethodName (TObject)
 | newinstance (TObject)
 | Notify (TCollection)
 | Owner (TCollection)
 | RemoveItem (TCollection)
 | SafeCallException (TObject)
 | SetItem (TCollection)
 | SetItemName (TCollection)
 | SetPropName (TCollection)
 | Sort (TCollection)
 | Sort (TListControlItems)
 | StringMessageTable (TObject)
 | ToString (TObject)
 | UnitName (TObject)
 | Update (TCollection)
pt | Update (TListControlItems)


TListControlItems

pl

OnCompare

TOwnedCollection

TCollection

TPersistent

TObject


TListControlItems.Add

Declaration

Source position: comboex.pas line 108

public function TListControlItems.Add: TListControlItem;


TListControlItems.CaseSensitive

Declaration

Source position: comboex.pas line 113

published property TListControlItems.CaseSensitive : Boolean
  read FCaseSensitive
  write SetCaseSensitive
  default False;


TListControlItems.CompareItems

Declaration

Source position: comboex.pas line 103

protected function TListControlItems.CompareItems(

  AItem1: TListControlItem;

  AItem2: TListControlItem

):Integer; virtual;


TListControlItems.CustomSort

Declaration

Source position: comboex.pas line 109

public procedure TListControlItems.CustomSort(

  ACompare: TListItemsCompare

);


TListControlItems.DoCustomSort

Declaration

Source position: comboex.pas line 104

protected function TListControlItems.DoCustomSort(

  AItem1: TListControlItem;

  AItem2: TListControlItem

):Integer;


TListControlItems.DoOnCompare

Declaration

Source position: comboex.pas line 105

protected function TListControlItems.DoOnCompare(

  AItem1: TListControlItem;

  AItem2: TListControlItem

):Integer;


TListControlItems.Items

Declaration

Source position: comboex.pas line 111

public property TListControlItems.Items[AIndex: Integer] : TListControlItem
  read GetItems;
  default;


TListControlItems.OnCompare

Declaration

Source position: comboex.pas line 115

published property TListControlItems.OnCompare : TListCompareEvent
  read FOnCompare
  write FOnCompare;


TListControlItems.Sort

Declaration

Source position: comboex.pas line 110

public procedure TListControlItems.Sort;


TListControlItems.SortType

Declaration

Source position: comboex.pas line 114

published property TListControlItems.SortType : TListItemsSortType
  read FSortType
  write SetSortType
  default stNone;


TListControlItems.Update

Declaration

Source position: comboex.pas line 106

protected procedure TListControlItems.Update(

  AItem: TCollectionItem

); override;


ETreeNodeError

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

ETreeNodeError - exception type for errors arising from the code of TTreeNode

Declaration

Source position: comctrls.pp line 2842

type ETreeNodeError = class(Exception)

Inheritance

ETreeNodeError

ETreeNodeError - exception type for errors arising from the code of TTreeNode
|

Exception
|

TObject


ETreeNodeError
Exception
 | HelpContext
 | Message
TObject


ETreeNodeError
Exception
 | Create
 | CreateFmt
 | CreateRes
 | CreateResFmt
 | CreateHelp
 | CreateFmtHelp
 | CreateResHelp
 | CreateResFmtHelp
 | ToString
TObject
 | Create
 | Destroy
 | newinstance
 | FreeInstance
 | SafeCallException
 | DefaultHandler
 | Free
 | InitInstance
 | CleanupInstance
 | ClassType
 | ClassInfo
 | ClassName
 | ClassNameIs
 | ClassParent
 | InstanceSize
 | InheritsFrom
 | StringMessageTable
 | MethodAddress
 | MethodName
 | FieldAddress
 | AfterConstruction
 | BeforeDestruction
 | DefaultHandlerStr
 | Dispatch
 | DispatchStr
 | GetInterface
 | GetInterfaceByStr
 | GetInterfaceWeak
 | GetInterfaceEntry
 | GetInterfaceEntryByStr
 | GetInterfaceTable
 | UnitName
 | Equals
 | GetHashCode
 | ToString


ETreeNodeError

Exception

TObject


ETreeViewError

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

ETreeViewError - exception type for errors arising from the code of TTreeView

Declaration

Source position: comctrls.pp line 2843

type ETreeViewError = class(ETreeNodeError)

Inheritance

ETreeViewError | ETreeViewError - exception type for errors arising from the code of TTreeView
|
ETreeNodeError | ETreeNodeError - exception type for errors arising from the code of TTreeNode
|
Exception
|
TObject


ETreeViewError
ETreeNodeError
Exception
 | HelpContext
 | Message
TObject


ETreeViewError
ETreeNodeError
Exception
 | Create
 | CreateFmt
 | CreateRes
 | CreateResFmt
 | CreateHelp
 | CreateFmtHelp
 | CreateResHelp
 | CreateResFmtHelp
 | ToString
TObject
 | Create
 | Destroy
 | newinstance
 | FreeInstance
 | SafeCallException
 | DefaultHandler
 | Free
 | InitInstance
 | CleanupInstance
 | ClassType
 | ClassInfo
 | ClassName
 | ClassNameIs
 | ClassParent
 | InstanceSize
 | InheritsFrom
 | StringMessageTable
 | MethodAddress
 | MethodName
 | FieldAddress
 | AfterConstruction
 | BeforeDestruction
 | DefaultHandlerStr
 | Dispatch
 | DispatchStr
 | GetInterface
 | GetInterfaceByStr
 | GetInterfaceWeak
 | GetInterfaceEntry
 | GetInterfaceEntryByStr
 | GetInterfaceTable
 | UnitName
 | Equals
 | GetHashCode
 | ToString


ETreeViewError

ETreeNodeError

Exception

TObject


TCoolBand

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Declaration

Source position: comctrls.pp line 2384

type TCoolBand = class(TCollectionItem)

protected

Const

  cDefMinHeight = 25

  cDefMinWidth = 100

  cDefWidth = 180

  cDivider = cDivider; = 2

  cGrabIndent = cGrabIndent; = 2

  FControlLeft: Integer;

  FControlTop: Integer;

  FTextWidth: Integer;

  function CalcControlLeft;

  function CalcPreferredHeight;

  function CalcPreferredWidth;

  procedure CalcTextWidth;

  function GetDisplayName; override;

public

  constructor Create(); override;

  destructor Destroy; override;

  procedure Assign(); override;

  procedure AutosizeWidth;

  procedure InvalidateCoolBar();

  property Height: Integer; [r]

  property Left: Integer; [r]

  property Right: Integer; [r]

  property Top: Integer; [r]

published

  property Bitmap: TBitmap; [rws]

  property BorderStyle: TBorderStyle; [rw]

  property Break: Boolean; [rw]

  property Color: TColor; [rws]

  property Control: TControl; [rw]

  property FixedBackground: Boolean; [rw]

  property FixedSize: Boolean; [rw]

  property HorizontalOnly: Boolean; [rw]

  property ImageIndex: TImageIndex; [rw]

  property MinHeight: Integer; [rw]

  property MinWidth: Integer; [rw]

  property ParentColor: Boolean; [rw]

  property ParentBitmap: Boolean; [rw]

  property Text: TTranslateString; [rw]

  property Visible: Boolean; [rw]

  property Width: Integer; [rw]

end;

Inheritance

TCoolBand
|

TCollectionItem
|

TPersistent,IFPObserved
|

TObject


TCoolBand
 | ro | Height
 | ro | Left
 | ro | Right
 | ro | Top
pl |  | Bitmap
pl |  | BorderStyle
pl |  | Break
pl |  | Color
pl |  | Control
pl |  | FixedBackground
pl |  | FixedSize
pl |  | HorizontalOnly
pl |  | ImageIndex
pl |  | MinHeight
pl |  | MinWidth
pl |  | ParentColor
pl |  | ParentBitmap
pl |  | Text
pl |  | Visible
pl |  | Width
TCollectionItem
 | ro | UpdateCount
 |  | Collection
 | ro | ID
 |  | Index
 |  | DisplayName
TPersistent
TObject


pl |  | Bitmap (TCoolBand)
pl |  | BorderStyle (TCoolBand)
pl |  | Break (TCoolBand)
 |  | Collection (TCollectionItem)
pl |  | Color (TCoolBand)
pl |  | Control (TCoolBand)
 |  | DisplayName (TCollectionItem)
pl |  | FixedBackground (TCoolBand)
pl |  | FixedSize (TCoolBand)
 | ro | Height (TCoolBand)
pl |  | HorizontalOnly (TCoolBand)
 | ro | ID (TCollectionItem)
pl |  | ImageIndex (TCoolBand)
 |  | Index (TCollectionItem)
 | ro | Left (TCoolBand)
pl |  | MinHeight (TCoolBand)
pl |  | MinWidth (TCoolBand)
pl |  | ParentBitmap (TCoolBand)
pl |  | ParentColor (TCoolBand)
 | ro | Right (TCoolBand)
pl |  | Text (TCoolBand)
 | ro | Top (TCoolBand)
 | ro | UpdateCount (TCollectionItem)
pl |  | Visible (TCoolBand)
pl |  | Width (TCoolBand)


TCoolBand
pt | CalcControlLeft
pt | CalcPreferredHeight
pt | CalcPreferredWidth
pt | CalcTextWidth
pt | GetDisplayName
 | Create
 | Destroy
 | Assign
 | AutosizeWidth
 | InvalidateCoolBar
TCollectionItem
 | GetIndex
 | SetCollection
 | Changed
 | GetOwner
 | GetDisplayName
 | SetIndex
 | SetDisplayName
 | Create
 | Destroy
 | GetNamePath
TPersistent
 | AssignError
 | AssignTo
 | DefineProperties
 | GetOwner
 | Destroy
 | Assign
 | FPOAttachObserver
 | FPODetachObserver
 | FPONotifyObservers
 | GetNamePath
TObject
 | Create
 | Destroy
 | newinstance
 | FreeInstance
 | SafeCallException
 | DefaultHandler
 | Free
 | InitInstance
 | CleanupInstance
 | ClassType
 | ClassInfo
 | ClassName
 | ClassNameIs
 | ClassParent
 | InstanceSize
 | InheritsFrom
 | StringMessageTable
 | MethodAddress
 | MethodName
 | FieldAddress
 | AfterConstruction
 | BeforeDestruction
 | DefaultHandlerStr
 | Dispatch
 | DispatchStr
 | GetInterface
 | GetInterfaceByStr
 | GetInterfaceWeak
 | GetInterfaceEntry
 | GetInterfaceEntryByStr
 | GetInterfaceTable
 | UnitName
 | Equals
 | GetHashCode
 | ToString


 | AssignError (TPersistent)
 | AssignTo (TPersistent)
 | AutosizeWidth (TCoolBand)
 | BeforeDestruction (TObject)
pt | CalcControlLeft (TCoolBand)
pt | CalcPreferredHeight (TCoolBand)
pt | CalcPreferredWidth (TCoolBand)
pt | CalcTextWidth (TCoolBand)
 | Changed (TCollectionItem)
 | ClassInfo (TObject)
 | ClassName (TObject)
 | ClassNameIs (TObject)
 | ClassParent (TObject)
 | ClassType (TObject)
 | CleanupInstance (TObject)
 | Create (TObject)
 | Create (TCollectionItem)
 | Create (TCoolBand)
 | DefaultHandler (TObject)
 | DefaultHandlerStr (TObject)
 | DefineProperties (TPersistent)
 | Destroy (TObject)
 | Destroy (TPersistent)
 | Destroy (TCollectionItem)
 | Destroy (TCoolBand)
 | Dispatch (TObject)
 | DispatchStr (TObject)
 | Equals (TObject)
 | FieldAddress (TObject)
 | FPOAttachObserver (TPersistent)
 | FPODetachObserver (TPersistent)
 | FPONotifyObservers (TPersistent)
 | Free (TObject)
 | FreeInstance (TObject)
 | GetDisplayName (TCollectionItem)
pt | GetDisplayName (TCoolBand)
 | GetHashCode (TObject)
 | GetIndex (TCollectionItem)
 | GetInterface (TObject)
 | GetInterfaceByStr (TObject)
 | GetInterfaceEntry (TObject)
 | GetInterfaceEntryByStr (TObject)
 | GetInterfaceTable (TObject)
 | GetInterfaceWeak (TObject)
 | GetNamePath (TPersistent)
 | GetNamePath (TCollectionItem)
 | GetOwner (TPersistent)
 | GetOwner (TCollectionItem)
 | InheritsFrom (TObject)
 | InitInstance (TObject)
 | InstanceSize (TObject)
 | InvalidateCoolBar (TCoolBand)
 | MethodAddress (TObject)
 | MethodName (TObject)
 | newinstance (TObject)
 | SafeCallException (TObject)
 | SetCollection (TCollectionItem)
 | SetDisplayName (TCollectionItem)
 | SetIndex (TCollectionItem)
 | StringMessageTable (TObject)
 | ToString (TObject)
 | UnitName (TObject)


TCoolBand

TCollectionItem

TPersistent

TObject


TCoolBand.Assign

Declaration

Source position: comctrls.pp line 2445

public procedure TCoolBand.Assign(

  aSource: TPersistent

); override;


TCoolBand.AutosizeWidth

Declaration

Source position: comctrls.pp line 2446

public procedure TCoolBand.AutosizeWidth;


TCoolBand.Bitmap

Declaration

Source position: comctrls.pp line 2453

published property TCoolBand.Bitmap : TBitmap
  read FBitmap
  write SetBitmap
  stored IsBitmapStored;


TCoolBand.BorderStyle

Declaration

Source position: comctrls.pp line 2454

published property TCoolBand.BorderStyle : TBorderStyle
  read FBorderStyle
  write SetBorderStyle
  default bsNone;


TCoolBand.Break

Declaration

Source position: comctrls.pp line 2455

published property TCoolBand.Break : Boolean
  read FBreak
  write SetBreak
  default True;


TCoolBand.CalcControlLeft

Declaration

Source position: comctrls.pp line 2437

protected function TCoolBand.CalcControlLeft: Integer;


TCoolBand.CalcPreferredHeight

Declaration

Source position: comctrls.pp line 2438

protected function TCoolBand.CalcPreferredHeight: Integer;


TCoolBand.CalcPreferredWidth

Declaration

Source position: comctrls.pp line 2439

protected function TCoolBand.CalcPreferredWidth: Integer;


TCoolBand.CalcTextWidth

Declaration

Source position: comctrls.pp line 2440

protected procedure TCoolBand.CalcTextWidth;


TCoolBand.cDefMinHeight

Declaration

Source position: comctrls.pp line 2428

protected const TCoolBand.cDefMinHeight = 25;


TCoolBand.cDefMinWidth

Declaration

Source position: comctrls.pp line 2429

protected const TCoolBand.cDefMinWidth = 100;


TCoolBand.cDefWidth

Declaration

Source position: comctrls.pp line 2430

protected const TCoolBand.cDefWidth = 180;


TCoolBand.cDivider

Declaration

Source position: comctrls.pp line 2431

protected const TCoolBand.cDivider: SmallInt = 2;


TCoolBand.cGrabIndent

Declaration

Source position: comctrls.pp line 2432

protected const TCoolBand.cGrabIndent: SmallInt = 2;


TCoolBand.Color

Declaration

Source position: comctrls.pp line 2456

published property TCoolBand.Color : TColor
  read FColor
  write SetColor
  stored IsColorStored
  default clDefault;


TCoolBand.Control

Declaration

Source position: comctrls.pp line 2457

published property TCoolBand.Control : TControl
  read FControl
  write SetControl;


TCoolBand.Create

Declaration

Source position: comctrls.pp line 2443

public constructor TCoolBand.Create(

  aCollection: TCollection

); override;


TCoolBand.Destroy

Declaration

Source position: comctrls.pp line 2444

public destructor TCoolBand.Destroy; override;


TCoolBand.FControlLeft

Declaration

Source position: comctrls.pp line 2434

protected TCoolBand.FControlLeft : Integer;


TCoolBand.FControlTop

Declaration

Source position: comctrls.pp line 2435

protected TCoolBand.FControlTop : Integer;


TCoolBand.FixedBackground

Declaration

Source position: comctrls.pp line 2458

published property TCoolBand.FixedBackground : Boolean
  read FFixedBackground
  write SetFixedBackground
  default True;


TCoolBand.FixedSize

Declaration

Source position: comctrls.pp line 2459

published property TCoolBand.FixedSize : Boolean
  read FFixedSize
  write FFixedSize
  default False;


TCoolBand.FTextWidth

Declaration

Source position: comctrls.pp line 2436

protected TCoolBand.FTextWidth : Integer;


TCoolBand.GetDisplayName

Declaration

Source position: comctrls.pp line 2441

protected function TCoolBand.GetDisplayName: string; override;


TCoolBand.Height

Declaration

Source position: comctrls.pp line 2448

public property TCoolBand.Height : Integer
  read FHeight;


TCoolBand.HorizontalOnly

Declaration

Source position: comctrls.pp line 2460

published property TCoolBand.HorizontalOnly : Boolean
  read FHorizontalOnly
  write SetHorizontalOnly
  default False;


TCoolBand.ImageIndex

Declaration

Source position: comctrls.pp line 2461

published property TCoolBand.ImageIndex : TImageIndex
  read FImageIndex
  write SetImageIndex
  default - 1;


TCoolBand.InvalidateCoolBar

Declaration

Source position: comctrls.pp line 2447

public procedure TCoolBand.InvalidateCoolBar(

  Sender: TObject

);


TCoolBand.Left

Declaration

Source position: comctrls.pp line 2449

public property TCoolBand.Left : Integer
  read FLeft;


TCoolBand.MinHeight

Declaration

Source position: comctrls.pp line 2462

published property TCoolBand.MinHeight : Integer
  read FMinHeight
  write SetMinHeight
  default cDefMinHeight;


TCoolBand.MinWidth

Declaration

Source position: comctrls.pp line 2463

published property TCoolBand.MinWidth : Integer
  read FMinWidth
  write SetMinWidth
  default cDefMinWidth;


TCoolBand.ParentBitmap

Declaration

Source position: comctrls.pp line 2465

published property TCoolBand.ParentBitmap : Boolean
  read FParentBitmap
  write SetParentBitmap
  default True;


TCoolBand.ParentColor

Declaration

Source position: comctrls.pp line 2464

published property TCoolBand.ParentColor : Boolean
  read FParentColor
  write SetParentColor
  default True;


TCoolBand.Right

Declaration

Source position: comctrls.pp line 2450

public property TCoolBand.Right : Integer
  read GetRight;


TCoolBand.Text

Declaration

Source position: comctrls.pp line 2466

published property TCoolBand.Text : TTranslateString
  read FText
  write SetText;


TCoolBand.Top

Declaration

Source position: comctrls.pp line 2451

public property TCoolBand.Top : Integer
  read FTop;


TCoolBand.Visible

Declaration

Source position: comctrls.pp line 2467

published property TCoolBand.Visible : Boolean
  read GetVisible
  write SetVisible
  default True;


TCoolBand.Width

Declaration

Source position: comctrls.pp line 2468

published property TCoolBand.Width : Integer
  read FWidth
  write SetWidth
  default cDefWidth;


TCoolBandMaximize

Declaration

Source position: comctrls.pp line 2493

type TCoolBandMaximize = (

  bmNone,

  bmClick,

  bmDblClick

);


TCoolBands

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Declaration

Source position: comctrls.pp line 2473

type TCoolBands = class(TCollection)

protected

  function GetOwner; override;

  procedure Update(); override;

  procedure Notify(); override;

public

  constructor Create();

  function Add;

  function FindBand();

  function FindBandIndex();

  property Items []: TCoolBand; default; [rw]

end;

Inheritance

TCoolBands
|

TCollection
|

TPersistent,IFPObserved
|

TObject


TCoolBands
 |  | Items
TCollection
 |  | PropName
 | ro | UpdateCount
 | ro | Count
 | ro | ItemClass
 |  | Items
TPersistent
TObject


ro | Count (TCollection)
ro | ItemClass (TCollection)
 | Items (TCollection)
 | Items (TCoolBands)
 | PropName (TCollection)
ro | UpdateCount (TCollection)


TCoolBands
pt | GetOwner
pt | Update
pt | Notify
 | Create
 | Add
 | FindBand
 | FindBandIndex
TCollection
 | GetCount
 | GetPropName
 | InsertItem
 | RemoveItem
 | DoClear
 | GetAttrCount
 | GetAttr
 | GetItemAttr
 | Changed
 | GetItem
 | SetItem
 | SetItemName
 | SetPropName
 | Update
 | Notify
 | Create
 | Destroy
 | Owner
 | Add
 | Assign
 | BeginUpdate
 | Clear
 | EndUpdate
 | Delete
 | GetEnumerator
 | GetNamePath
 | Insert
 | FindItemID
 | Exchange
 | Sort
TPersistent
 | AssignError
 | AssignTo
 | DefineProperties
 | GetOwner
 | Destroy
 | Assign
 | FPOAttachObserver
 | FPODetachObserver
 | FPONotifyObservers
 | GetNamePath
TObject
 | Create
 | Destroy
 | newinstance
 | FreeInstance
 | SafeCallException
 | DefaultHandler
 | Free
 | InitInstance
 | CleanupInstance
 | ClassType
 | ClassInfo
 | ClassName
 | ClassNameIs
 | ClassParent
 | InstanceSize
 | InheritsFrom
 | StringMessageTable
 | MethodAddress
 | MethodName
 | FieldAddress
 | AfterConstruction
 | BeforeDestruction
 | DefaultHandlerStr
 | Dispatch
 | DispatchStr
 | GetInterface
 | GetInterfaceByStr
 | GetInterfaceWeak
 | GetInterfaceEntry
 | GetInterfaceEntryByStr
 | GetInterfaceTable
 | UnitName
 | Equals
 | GetHashCode
 | ToString


 | Add (TCollection)
 | Add (TCoolBands)
 | AfterConstruction (TObject)
 | Assign (TPersistent)
 | Assign (TCollection)
 | AssignError (TPersistent)
 | AssignTo (TPersistent)
 | BeforeDestruction (TObject)
 | BeginUpdate (TCollection)
 | Changed (TCollection)
 | ClassInfo (TObject)
 | ClassName (TObject)
 | ClassNameIs (TObject)
 | ClassParent (TObject)
 | ClassType (TObject)
 | CleanupInstance (TObject)
 | Clear (TCollection)
 | Create (TObject)
 | Create (TCollection)
 | Create (TCoolBands)
 | DefaultHandler (TObject)
 | DefaultHandlerStr (TObject)
 | DefineProperties (TPersistent)
 | Delete (TCollection)
 | Destroy (TObject)
 | Destroy (TPersistent)
 | Destroy (TCollection)
 | Dispatch (TObject)
 | DispatchStr (TObject)
 | DoClear (TCollection)
 | EndUpdate (TCollection)
 | Equals (TObject)
 | Exchange (TCollection)
 | FieldAddress (TObject)
 | FindBand (TCoolBands)
 | FindBandIndex (TCoolBands)
 | FindItemID (TCollection)
 | FPOAttachObserver (TPersistent)
 | FPODetachObserver (TPersistent)
 | FPONotifyObservers (TPersistent)
 | Free (TObject)
 | FreeInstance (TObject)
 | GetAttr (TCollection)
 | GetAttrCount (TCollection)
 | GetCount (TCollection)
 | GetEnumerator (TCollection)
 | GetHashCode (TObject)
 | GetInterface (TObject)
 | GetInterfaceByStr (TObject)
 | GetInterfaceEntry (TObject)
 | GetInterfaceEntryByStr (TObject)
 | GetInterfaceTable (TObject)
 | GetInterfaceWeak (TObject)
 | GetItem (TCollection)
 | GetItemAttr (TCollection)
 | GetNamePath (TPersistent)
 | GetNamePath (TCollection)
 | GetOwner (TPersistent)
pt | GetOwner (TCoolBands)
 | GetPropName (TCollection)
 | InheritsFrom (TObject)
 | InitInstance (TObject)
 | Insert (TCollection)
 | InsertItem (TCollection)
 | InstanceSize (TObject)
 | MethodAddress (TObject)
 | MethodName (TObject)
 | newinstance (TObject)
 | Notify (TCollection)
pt | Notify (TCoolBands)
 | Owner (TCollection)
 | RemoveItem (TCollection)
 | SafeCallException (TObject)
 | SetItem (TCollection)
 | SetItemName (TCollection)
 | SetPropName (TCollection)
 | Sort (TCollection)
 | StringMessageTable (TObject)
 | ToString (TObject)
 | UnitName (TObject)
 | Update (TCollection)
pt | Update (TCoolBands)


TCoolBands

TCollection

TPersistent

TObject


TCoolBands.Add

Declaration

Source position: comctrls.pp line 2484

public function TCoolBands.Add: TCoolBand;


TCoolBands.Create

Declaration

Source position: comctrls.pp line 2483

public constructor TCoolBands.Create(

  ACoolBar: TCustomCoolBar

);


TCoolBands.FindBand

Declaration

Source position: comctrls.pp line 2485

public function TCoolBands.FindBand(

  AControl: TControl

):TCoolBand;


TCoolBands.FindBandIndex

Declaration

Source position: comctrls.pp line 2486

public function TCoolBands.FindBandIndex(

  AControl: TControl

):Integer;


TCoolBands.GetOwner

Declaration

Source position: comctrls.pp line 2479

protected function TCoolBands.GetOwner: TPersistent; override;


TCoolBands.Items

Declaration

Source position: comctrls.pp line 2488

public property TCoolBands.Items[Index: Integer] : TCoolBand
  read GetItem
  write SetItem;
  default;


TCoolBands.Notify

Declaration

Source position: comctrls.pp line 2481

protected procedure TCoolBands.Notify(

  aItem: TCollectionItem;

  aAction: TCollectionNotification

); override;


TCoolBands.Update

Declaration

Source position: comctrls.pp line 2480

protected procedure TCoolBands.Update(

  aItem: TCollectionItem

); override;


TCoolBar

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Declaration

Source position: comctrls.pp line 2603

type TCoolBar = class(TCustomCoolBar)

published

  property Align: TAlign;

  property Anchors: TAnchors;

  property AutoSize: Boolean;

  property BandBorderStyle: TBorderStyle;

  property BandMaximize: TCoolBandMaximize;

  property Bands: TCoolBands;

  property BiDiMode: TBiDiMode;

  property BorderWidth: TBorderWidth;

  property Color: TColor;

  property Constraints: TSizeConstraints;

  property DockSite: Boolean;

  property DragCursor: TCursor;

  property DragKind: TDragKind;

  property DragMode: TDragMode;

  property EdgeBorders: TEdgeBorders;

  property EdgeInner: TEdgeStyle;

  property EdgeOuter: TEdgeStyle;

  property Enabled: Boolean;

  property FixedSize: Boolean;

  property FixedOrder: Boolean;

  property Font: TFont;

  property GrabStyle: TGrabStyle;

  property GrabWidth: Integer;

  property HorizontalSpacing: Integer;

  property Images: TCustomImageList;

  property ImagesWidth: Integer;

  property ParentColor: Boolean;

  property ParentFont: Boolean;

  property ParentShowHint: Boolean;

  property Bitmap: TBitmap;

  property PopupMenu: TPopupMenu;

  property ShowHint: Boolean;

  property ShowText: Boolean;

  property Themed: Boolean;

  property Vertical: Boolean;

  property VerticalSpacing: Integer;

  property Visible: Boolean;

  property OnChange: TNotifyEvent;

  property OnClick: TNotifyEvent;

  property OnContextPopup: TContextPopupEvent;

  property OnDblClick: TNotifyEvent;

  property OnDockDrop: TDockDropEvent;

  property OnDockOver: TDockOverEvent;

  property OnDragDrop: TDragDropEvent;

  property OnDragOver: TDragOverEvent;

  property OnEndDock: TEndDragEvent;

  property OnEndDrag: TEndDragEvent;

  property OnGetSiteInfo: TGetSiteInfoEvent;

  property OnMouseDown: TMouseEvent;

  property OnMouseEnter: TNotifyEvent;

  property OnMouseLeave: TNotifyEvent;

  property OnMouseMove: TMouseMoveEvent;

  property OnMouseUp: TMouseEvent;

  property OnMouseWheel: TMouseWheelEvent;

  property OnMouseWheelDown: TMouseWheelUpDownEvent;

  property OnMouseWheelUp: TMouseWheelUpDownEvent;

  property OnResize: TNotifyEvent;

  property OnStartDock: TStartDockEvent;

  property OnStartDrag: TStartDragEvent;

  property OnUnDock: TUnDockEvent;

end;

Inheritance

TCoolBar
|
TCustomCoolBar
|
TToolWindow |
|
TCustomControl | The base class for windowed controls which paint themselves.
|
TWinControl | The base class for controls which can contain other (child) controls.
|
TControl | The base class for visible controls.
|
TLCLComponent | The base class for LCL components associated with widgets.
|
TComponent,IUnknown,IInterfaceComponentReference
|
TPersistent,IFPObserved
|
TObject


TCoolBar
pl | ro | Align
pl | ro | Anchors
pl | ro | AutoSize
pl | ro | BandBorderStyle
pl | ro | BandMaximize
pl | ro | Bands
pl | ro | BiDiMode
pl | ro | BorderWidth
pl | ro | Color
pl | ro | Constraints
pl | ro | DockSite
pl | ro | DragCursor
pl | ro | DragKind
pl | ro | DragMode
pl | ro | EdgeBorders
pl | ro | EdgeInner
pl | ro | EdgeOuter
pl | ro | Enabled
pl | ro | FixedSize
pl | ro | FixedOrder
pl | ro | Font
pl | ro | GrabStyle
pl | ro | GrabWidth
pl | ro | HorizontalSpacing
pl | ro | Images
pl | ro | ImagesWidth
pl | ro | ParentColor
pl | ro | ParentFont
pl | ro | ParentShowHint
pl | ro | Bitmap
pl | ro | PopupMenu
pl | ro | ShowHint
pl | ro | ShowText
pl | ro | Themed
pl | ro | Vertical
pl | ro | VerticalSpacing
pl | ro | Visible
TCustomCoolBar
 |  | Align
 |  | BandBorderStyle
 |  | BandMaximize
 |  | Bands
 |  | Bitmap
 |  | FixedSize
 |  | FixedOrder
 |  | GrabStyle
 |  | GrabWidth
 |  | HorizontalSpacing
 |  | Images
 |  | ImagesWidth
 |  | ShowText
 |  | Themed
 |  | Vertical
 |  | VerticalSpacing
TToolWindow
 |  | EdgeBorders
 |  | EdgeInner
 |  | EdgeOuter
TCustomControl
 |  | Canvas
 | ro | BorderStyle
TWinControl
pt |  | WindowHandle
pt |  | BorderStyle
pt |  | ParentBackground
 |  | BorderWidth
 | ro | BoundsLockCount
 | ro | Brush
 | ro | CachedClientHeight
 | ro | CachedClientWidth
 |  | ChildSizing
 | ro | ControlCount
 | ro | Controls
 |  | DefWndProc
 | ro | DockClientCount
 | ro | DockClients
 |  | DockManager
 |  | DockSite
 |  | DoubleBuffered
 |  | Handle
 | ro | IsFlipped
 | ro | IsResizing
 |  | TabOrder
 |  | TabStop
 |  | ParentDoubleBuffered
 |  | ParentWindow
 | ro | Showing
 |  | UseDockManager
 |  | DesignerDeleting
 | ro | VisibleDockClientCount
TControl
pt | ro | AutoSizing
pt | ro | AutoSizingAll
pt | ro | AutoSizingLockCount
pt |  | ActionLink
pt |  | DesktopFont
pt |  | DragCursor
pt |  | DragKind
pt |  | DragMode
pt |  | MouseCapture
pt |  | ParentColor
pt |  | ParentFont
pt |  | ParentShowHint
pt |  | SessionProperties
pt |  | Text
 | ro | AnchoredControls
 | ro | BaseBounds
 | ro | ReadBounds
 | ro | BaseParentClientSize
 |  | AccessibleDescription
 |  | AccessibleValue
 |  | AccessibleRole
 |  | Action
 |  | Align
 |  | Anchors
 | ro | AnchorSide
 |  | AutoSize
 |  | BorderSpacing
 |  | BoundsRect
 |  | BoundsRectForNewParent
 |  | Caption
 |  | CaptureMouseButtons
 |  | ClientHeight
 | ro | ClientOrigin
 | ro | ClientRect
 |  | ClientWidth
 |  | Color
 |  | Constraints
 | ro | ControlOrigin
 |  | ControlState
 |  | ControlStyle
 |  | Enabled
 |  | Font
 |  | IsControl
 | ro | MouseEntered
 | ro | MouseInClient
 |  | Parent
 |  | PopupMenu
 |  | ShowHint
 |  | Visible
 |  | WindowProc
 |  | DockOrientation
 | ro | Floating
 |  | FloatingDockSiteClass
 |  | HostDockSite
 |  | LRDockWidth
 |  | TBDockHeight
 |  | UndockHeight
 |  | UndockWidth
 |  | BiDiMode
 |  | ParentBiDiMode
pl |  | AnchorSideLeft
pl |  | AnchorSideTop
pl |  | AnchorSideRight
pl |  | AnchorSideBottom
pl |  | Cursor
pl |  | Left
pl |  | Height
pl |  | Hint
pl |  | Top
pl |  | Width
pl |  | HelpType
pl |  | HelpKeyword
pl |  | HelpContext
TLCLComponent
 | ro | LCLRefCount
 | ro | WidgetSetClass
TComponent
 | ro | ComObject
 | ro | Components
 | ro | ComponentCount
 |  | ComponentIndex
 | ro | ComponentState
 | ro | ComponentStyle
 |  | DesignInfo
 | ro | Owner
 |  | VCLComObject
 |  | Name
 |  | Tag
TPersistent
TObject


 |  | AccessibleDescription (TControl)
 |  | AccessibleRole (TControl)
 |  | AccessibleValue (TControl)
 |  | Action (TControl)
pt |  | ActionLink (TControl)
 |  | Align (TControl)
 |  | Align (TCustomCoolBar)
pl | ro | Align (TCoolBar)
 | ro | AnchoredControls (TControl)
 |  | Anchors (TControl)
pl | ro | Anchors (TCoolBar)
 | ro | AnchorSide (TControl)
pl |  | AnchorSideBottom (TControl)
pl |  | AnchorSideLeft (TControl)
pl |  | AnchorSideRight (TControl)
pl |  | AnchorSideTop (TControl)
 |  | AutoSize (TControl)
pl | ro | AutoSize (TCoolBar)
pt | ro | AutoSizing (TControl)
pt | ro | AutoSizingAll (TControl)
pt | ro | AutoSizingLockCount (TControl)
 |  | BandBorderStyle (TCustomCoolBar)
pl | ro | BandBorderStyle (TCoolBar)
 |  | BandMaximize (TCustomCoolBar)
pl | ro | BandMaximize (TCoolBar)
 |  | Bands (TCustomCoolBar)
pl | ro | Bands (TCoolBar)
 | ro | BaseBounds (TControl)
 | ro | BaseParentClientSize (TControl)
 |  | BiDiMode (TControl)
pl | ro | BiDiMode (TCoolBar)
 |  | Bitmap (TCustomCoolBar)
pl | ro | Bitmap (TCoolBar)
 |  | BorderSpacing (TControl)
pt |  | BorderStyle (TWinControl)
 | ro | BorderStyle (TCustomControl)
 |  | BorderWidth (TWinControl)
pl | ro | BorderWidth (TCoolBar)
 | ro | BoundsLockCount (TWinControl)
 |  | BoundsRect (TControl)
 |  | BoundsRectForNewParent (TControl)
 | ro | Brush (TWinControl)
 | ro | CachedClientHeight (TWinControl)
 | ro | CachedClientWidth (TWinControl)
 |  | Canvas (TCustomControl)
 |  | Caption (TControl)
 |  | CaptureMouseButtons (TControl)
 |  | ChildSizing (TWinControl)
 |  | ClientHeight (TControl)
 | ro | ClientOrigin (TControl)
 | ro | ClientRect (TControl)
 |  | ClientWidth (TControl)
 |  | Color (TControl)
pl | ro | Color (TCoolBar)
 | ro | ComObject (TComponent)
 | ro | ComponentCount (TComponent)
 |  | ComponentIndex (TComponent)
 | ro | Components (TComponent)
 | ro | ComponentState (TComponent)
 | ro | ComponentStyle (TComponent)
 |  | Constraints (TControl)
pl | ro | Constraints (TCoolBar)
 | ro | ControlCount (TWinControl)
 | ro | ControlOrigin (TControl)
 | ro | Controls (TWinControl)
 |  | ControlState (TControl)
 |  | ControlStyle (TControl)
pl |  | Cursor (TControl)
 |  | DefWndProc (TWinControl)
 |  | DesignerDeleting (TWinControl)
 |  | DesignInfo (TComponent)
pt |  | DesktopFont (TControl)
 | ro | DockClientCount (TWinControl)
 | ro | DockClients (TWinControl)
 |  | DockManager (TWinControl)
 |  | DockOrientation (TControl)
 |  | DockSite (TWinControl)
pl | ro | DockSite (TCoolBar)
 |  | DoubleBuffered (TWinControl)
pt |  | DragCursor (TControl)
pl | ro | DragCursor (TCoolBar)
pt |  | DragKind (TControl)
pl | ro | DragKind (TCoolBar)
pt |  | DragMode (TControl)
pl | ro | DragMode (TCoolBar)
 |  | EdgeBorders (TToolWindow)
pl | ro | EdgeBorders (TCoolBar)
 |  | EdgeInner (TToolWindow)
pl | ro | EdgeInner (TCoolBar)
 |  | EdgeOuter (TToolWindow)
pl | ro | EdgeOuter (TCoolBar)
 |  | Enabled (TControl)
pl | ro | Enabled (TCoolBar)
 |  | FixedOrder (TCustomCoolBar)
pl | ro | FixedOrder (TCoolBar)
 |  | FixedSize (TCustomCoolBar)
pl | ro | FixedSize (TCoolBar)
 | ro | Floating (TControl)
 |  | FloatingDockSiteClass (TControl)
 |  | Font (TControl)
pl | ro | Font (TCoolBar)
 |  | GrabStyle (TCustomCoolBar)
pl | ro | GrabStyle (TCoolBar)
 |  | GrabWidth (TCustomCoolBar)
pl | ro | GrabWidth (TCoolBar)
 |  | Handle (TWinControl)
pl |  | Height (TControl)
pl |  | HelpContext (TControl)
pl |  | HelpKeyword (TControl)
pl |  | HelpType (TControl)
pl |  | Hint (TControl)
 |  | HorizontalSpacing (TCustomCoolBar)
pl | ro | HorizontalSpacing (TCoolBar)
 |  | HostDockSite (TControl)
 |  | Images (TCustomCoolBar)
pl | ro | Images (TCoolBar)
 |  | ImagesWidth (TCustomCoolBar)
pl | ro | ImagesWidth (TCoolBar)
 |  | IsControl (TControl)
 | ro | IsFlipped (TWinControl)
 | ro | IsResizing (TWinControl)
 | ro | LCLRefCount (TLCLComponent)
pl |  | Left (TControl)
 |  | LRDockWidth (TControl)
pt |  | MouseCapture (TControl)
 | ro | MouseEntered (TControl)
 | ro | MouseInClient (TControl)
 |  | Name (TComponent)
 | ro | Owner (TComponent)
 |  | Parent (TControl)
pt |  | ParentBackground (TWinControl)
 |  | ParentBiDiMode (TControl)
pt |  | ParentColor (TControl)
pl | ro | ParentColor (TCoolBar)
 |  | ParentDoubleBuffered (TWinControl)
pt |  | ParentFont (TControl)
pl | ro | ParentFont (TCoolBar)
pt |  | ParentShowHint (TControl)
pl | ro | ParentShowHint (TCoolBar)
 |  | ParentWindow (TWinControl)
 |  | PopupMenu (TControl)
pl | ro | PopupMenu (TCoolBar)
 | ro | ReadBounds (TControl)
pt |  | SessionProperties (TControl)
 |  | ShowHint (TControl)
pl | ro | ShowHint (TCoolBar)
 | ro | Showing (TWinControl)
 |  | ShowText (TCustomCoolBar)
pl | ro | ShowText (TCoolBar)
 |  | TabOrder (TWinControl)
 |  | TabStop (TWinControl)
 |  | Tag (TComponent)
 |  | TBDockHeight (TControl)
pt |  | Text (TControl)
 |  | Themed (TCustomCoolBar)
pl | ro | Themed (TCoolBar)
pl |  | Top (TControl)
 |  | UndockHeight (TControl)
 |  | UndockWidth (TControl)
 |  | UseDockManager (TWinControl)
 |  | VCLComObject (TComponent)
 |  | Vertical (TCustomCoolBar)
pl | ro | Vertical (TCoolBar)
 |  | VerticalSpacing (TCustomCoolBar)
pl | ro | VerticalSpacing (TCoolBar)
 |  | Visible (TControl)
pl | ro | Visible (TCoolBar)
 | ro | VisibleDockClientCount (TWinControl)
 | ro | WidgetSetClass (TLCLComponent)
pl |  | Width (TControl)
pt |  | WindowHandle (TWinControl)
 |  | WindowProc (TControl)


TCoolBar
TCustomCoolBar
pt | AlignControls
pt | BitmapOrImageListChange
pt | CalculatePreferredSize
pt | CalculateAndAlign
pt | CalculateRealIndex
pt | ChangeCursor
pt | CMBiDiModeChanged
pt | CreateWnd
pt | DoFontChanged
pt | DrawTiledBitmap
pt | FontChanged
pt | IsFirstAtRow
pt | IsRowEnd
pt | MouseDown
pt | MouseMove
pt | MouseUp
pt | Notification
pt | Paint
pt | SetAlign
pt | SetAutoSize
pt | SetCursor
pt | WMSize
 | Create
 | Destroy
 | AutosizeBands
 | EndUpdate
 | Invalidate
 | InsertControl
 | MouseToBandPos
 | RemoveControl
TToolWindow
pt | AdjustClientRect
pt | Paint
 | Create
 | BeginUpdate
 | EndUpdate
TCustomControl
pt | WSRegisterClass
pt | WMPaint
pt | DestroyWnd
pt | PaintWindow
pt | FontChanged
pt | SetColor
pt | Paint
 | Create
 | Destroy
TWinControl
pt | WSRegisterClass
pt | AdjustClientRect
pt | GetAdjustedLogicalClientRect
pt | AlignControls
pt | CustomAlignInsertBefore
pt | CustomAlignPosition
pt | DoAlignChildControls
pt | DoChildSizingChange
pt | InvalidatePreferredChildSizes
pt | CanTab
pt | IsClientHeightStored
pt | IsClientWidthStored
pt | DoSendShowHideToInterface
pt | ControlsAligned
pt | DoSendBoundsToInterface
pt | RealizeBounds
pt | RealizeBoundsRecursive
pt | InvalidateBoundsRealized
pt | CreateSubClass
pt | DoConstraintsChange
pt | DoSetBounds
pt | DoAutoSize
pt | DoAllAutoSize
pt | AllAutoSized
pt | CalculatePreferredSize
pt | GetPreferredSizeClientFrame
pt | GetChildren
pt | ChildClassAllowed
pt | PaintControls
pt | PaintHandler
pt | PaintWindow
pt | CreateBrush
pt | ScaleControls
pt | ChangeScale
pt | CMBiDiModeChanged
pt | CMBorderChanged
pt | CMDoubleBufferedChanged
pt | CMEnabledChanged
pt | CMParentDoubleBufferedChanged
pt | CMShowingChanged
pt | CMShowHintChanged
pt | CMVisibleChanged
pt | CMEnter
pt | CMExit
pt | WMContextMenu
pt | WMEraseBkgnd
pt | WMNotify
pt | WMSetFocus
pt | WMKillFocus
pt | WMShowWindow
pt | WMEnter
pt | WMExit
pt | WMKeyDown
pt | WMSysKeyDown
pt | WMKeyUp
pt | WMSysKeyUp
pt | WMChar
pt | WMSysChar
pt | WMPaint
pt | WMDestroy
pt | WMMove
pt | WMSize
pt | WMWindowPosChanged
pt | CNKeyDown
pt | CNSysKeyDown
pt | CNKeyUp
pt | CNSysKeyUp
pt | CNChar
pt | DoDragMsg
pt | DoDockClientMsg
pt | DoUndockClientMsg
pt | DoAddDockClient
pt | DockOver
pt | DoDockOver
pt | DoRemoveDockClient
pt | DoUnDock
pt | GetSiteInfo
pt | GetParentHandle
pt | GetTopParentHandle
pt | ReloadDockedControl
pt | CreateDockManager
pt | SetDockManager
pt | DoFloatMsg
pt | DoGetDockCaption
pt | DoEnter
pt | DoExit
pt | DoKeyDownBeforeInterface
pt | DoRemainingKeyDown
pt | DoRemainingKeyUp
pt | DoKeyPress
pt | DoUTF8KeyPress
pt | DoKeyUpBeforeInterface
pt | ChildKey
pt | SendDialogChar
pt | DialogChar
pt | ControlKeyDown
pt | ControlKeyUp
pt | KeyDown
pt | KeyDownBeforeInterface
pt | KeyDownAfterInterface
pt | KeyPress
pt | KeyUp
pt | KeyUpBeforeInterface
pt | KeyUpAfterInterface
pt | UTF8KeyPress
pt | FindNextControl
pt | SelectFirst
pt | RealGetText
pt | GetBorderStyle
pt | GetClientOrigin
pt | GetClientRect
pt | GetControlOrigin
pt | GetDeviceContext
pt | GetParentBackground
pt | IsControlMouseMsg
pt | CreateHandle
pt | CreateParams
pt | CreateWnd
pt | DestroyHandle
pt | DestroyWnd
pt | DoFlipChildren
pt | FinalizeWnd
pt | FixupTabList
pt | FontChanged
pt | InitializeWnd
pt | Loaded
pt | FormEndUpdated
pt | MainWndProc
pt | ParentFormHandleInitialized
pt | ChildHandlesCreated
pt | GetMouseCapture
pt | RealSetText
pt | RemoveFocus
pt | SendMoveSizeMessages
pt | SetBorderStyle
pt | SetColor
pt | SetChildZPosition
pt | SetParentBackground
pt | ShowControl
pt | UpdateControlState
pt | UpdateShowing
pt | WndProc
pt | WSSetText
 | AutoSizePhases
 | AutoSizeDelayed
 | AutoSizeDelayedReport
 | AutoSizeDelayedHandle
 | BeginUpdateBounds
 | EndUpdateBounds
 | LockRealizeBounds
 | UnlockRealizeBounds
 | ControlAtPos
 | ContainsControl
 | DoAdjustClientRectChange
 | InvalidateClientRectCache
 | ClientRectNeedsInterfaceUpdate
 | SetBounds
 | GetChildrenRect
 | DisableAlign
 | EnableAlign
 | ReAlign
 | ScrollBy_WS
 | ScrollBy
 | WriteLayoutDebugReport
 | AutoAdjustLayout
 | Create
 | CreateParented
 | CreateParentedControl
 | Destroy
 | DockDrop
 | CanFocus
 | CanSetFocus
 | GetControlIndex
 | SetControlIndex
 | Focused
 | PerformTab
 | FindChildControl
 | SelectNext
 | SetTempCursor
 | BroadCast
 | NotifyControls
 | DefaultHandler
 | GetTextLen
 | Invalidate
 | AddControl
 | InsertControl
 | RemoveControl
 | GetEnumeratorControls
 | GetEnumeratorControlsReverse
 | Repaint
 | Update
 | SetFocus
 | FlipChildren
 | ScaleBy
 | GetDockCaption
 | UpdateDockCaption
 | GetTabOrderList
 | HandleAllocated
 | ParentHandlesAllocated
 | HandleNeeded
 | BrushCreated
 | EraseBackground
 | IntfUTF8KeyPress
 | IntfGetDropFilesTarget
 | PaintTo
 | SetShape
TControl
pt | WSRegisterClass
pt | GetCursor
pt | SetCursor
pt | SetVisible
pt | DoOnParentHandleDestruction
pt | DoAutoSize
pt | DoAllAutoSize
pt | BeginAutoSizing
pt | EndAutoSizing
pt | AnchorSideChanged
pt | ForeignAnchorSideChanged
pt | SetAlign
pt | SetAnchors
pt | SetAutoSize
pt | BoundsChanged
pt | CreateControlBorderSpacing
pt | DoConstraintsChange
pt | DoBorderSpacingChange
pt | IsBorderSpacingInnerBorderStored
pt | IsCaptionStored
pt | SendMoveSizeMessages
pt | ConstrainedResize
pt | CalculatePreferredSize
pt | DoOnResize
pt | DoOnChangeBounds
pt | CheckOnChangeBounds
pt | Resize
pt | RequestAlign
pt | UpdateAnchorRules
pt | ChangeBounds
pt | DoSetBounds
pt | ScaleConstraints
pt | ChangeScale
pt | CanAutoSize
pt | SetBiDiMode
pt | SetParentBiDiMode
pt | IsAParentAligning
pt | GetClientOrigin
pt | GetClientRect
pt | GetLogicalClientRect
pt | GetScrolledClientRect
pt | GetClientScrollOffset
pt | GetControlOrigin
pt | IsClientHeightStored
pt | IsClientWidthStored
pt | WidthIsAnchored
pt | HeightIsAnchored
pt | WMCancelMode
pt | WMContextMenu
pt | WMLButtonDown
pt | WMRButtonDown
pt | WMMButtonDown
pt | WMXButtonDown
pt | WMLButtonDBLCLK
pt | WMRButtonDBLCLK
pt | WMMButtonDBLCLK
pt | WMXButtonDBLCLK
pt | WMLButtonTripleCLK
pt | WMRButtonTripleCLK
pt | WMMButtonTripleCLK
pt | WMXButtonTripleCLK
pt | WMLButtonQuadCLK
pt | WMRButtonQuadCLK
pt | WMMButtonQuadCLK
pt | WMXButtonQuadCLK
pt | WMMouseMove
pt | WMLButtonUp
pt | WMRButtonUp
pt | WMMButtonUp
pt | WMXButtonUp
pt | WMMouseWheel
pt | WMMouseHWheel
pt | WMMove
pt | WMSize
pt | WMWindowPosChanged
pt | CMChanged
pt | LMCaptureChanged
pt | CMBiDiModeChanged
pt | CMSysFontChanged
pt | CMEnabledChanged
pt | CMHitTest
pt | CMMouseEnter
pt | CMMouseLeave
pt | CMHintShow
pt | CMParentBiDiModeChanged
pt | CMParentColorChanged
pt | CMParentFontChanged
pt | CMParentShowHintChanged
pt | CMVisibleChanged
pt | CMTextChanged
pt | CMCursorChanged
pt | CalculateDockSizes
pt | CreateFloatingDockSite
pt | GetDockEdge
pt | GetDragImages
pt | GetFloating
pt | GetFloatingDockSiteClass
pt | BeforeDragStart
pt | BeginAutoDrag
pt | DoFloatMsg
pt | DockTrackNoTarget
pt | DoDock
pt | DoDragMsg
pt | DoEndDock
pt | DoEndDrag
pt | DoStartDock
pt | DoStartDrag
pt | DragCanceled
pt | DragOver
pt | PositionDockRect
pt | SetDragMode
pt | GetDefaultDockCaption
pt | Click
pt | DblClick
pt | TripleClick
pt | QuadClick
pt | GetMousePosFromMessage
pt | MouseDown
pt | MouseMove
pt | MouseUp
pt | MouseEnter
pt | MouseLeave
pt | DialogChar
pt | UpdateMouseCursor
pt | Changed
pt | GetPalette
pt | ChildClassAllowed
pt | ReadState
pt | Loaded
pt | LoadedAll
pt | DefineProperties
pt | AssignTo
pt | FormEndUpdated
pt | InvalidateControl
pt | FontChanged
pt | ParentFontChanged
pt | GetAction
pt | RealGetText
pt | RealSetText
pt | TextChanged
pt | GetCachedText
pt | SetAction
pt | SetColor
pt | SetEnabled
pt | SetHint
pt | SetName
pt | SetParent
pt | SetParentComponent
pt | WndProc
pt | ParentFormHandleInitialized
pt | GetMouseCapture
pt | CaptureChanged
pt | Notification
pt | CanTab
pt | GetDeviceContext
pt | GetEnabled
pt | GetPopupMenu
pt | DoOnShowHint
pt | DoMouseWheel
pt | DoMouseWheelDown
pt | DoMouseWheelUp
pt | DoMouseWheelHorz
pt | DoMouseWheelLeft
pt | DoMouseWheelRight
pt | VisibleChanging
pt | VisibleChanged
pt | EnabledChanging
pt | EnabledChanged
pt | AddHandler
pt | RemoveHandler
pt | DoCallNotifyHandler
pt | DoCallKeyEventHandler
pt | DoCallMouseWheelEventHandler
pt | DoContextPopup
pt | SetZOrder
pt | GetControlClassDefaultSize
pt | ColorIsStored
pt | DoAutoAdjustLayout
pt | DoFixDesignFontPPI
pt | DoScaleFontPPI
pt | GetActionLinkClass
pt | ActionChange
 | DragDrop
 | Dock
 | ManualDock
 | ManualFloat
 | ReplaceDockedControl
 | Docked
 | Dragging
 | GetAccessibleObject
 | CreateAccessibleObject
 | GetSelectedChildAccessibleObject
 | GetChildAccessibleObjectAtPos
 | ScaleDesignToForm
 | ScaleFormToDesign
 | Scale96ToForm
 | ScaleFormTo96
 | Scale96ToFont
 | ScaleFontTo96
 | ScaleScreenToFont
 | ScaleFontToScreen
 | Scale96ToScreen
 | ScaleScreenTo96
 | AdjustSize
 | AutoSizePhases
 | AutoSizeDelayed
 | AutoSizeDelayedReport
 | AutoSizeDelayedHandle
 | AnchorToNeighbour
 | AnchorParallel
 | AnchorHorizontalCenterTo
 | AnchorVerticalCenterTo
 | AnchorToCompanion
 | AnchorSame
 | AnchorAsAlign
 | AnchorClient
 | AnchoredControlCount
 | SetBounds
 | SetInitialBounds
 | SetBoundsKeepBase
 | GetPreferredSize
 | GetCanvasScaleFactor
 | GetDefaultWidth
 | GetDefaultHeight
 | GetDefaultColor
 | GetColorResolvingParent
 | GetRGBColorResolvingParent
 | GetSidePosition
 | CNPreferredSizeChanged
 | InvalidatePreferredSize
 | GetAnchorsDependingOnParent
 | DisableAutoSizing
 | EnableAutoSizing
 | UpdateBaseBounds
 | WriteLayoutDebugReport
 | AutoAdjustLayout
 | ShouldAutoAdjust
 | FixDesignFontsPPI
 | ScaleFontsPPI
 | Create
 | Destroy
 | BeforeDestruction
 | EditingDone
 | ExecuteDefaultAction
 | ExecuteCancelAction
 | BeginDrag
 | EndDrag
 | BringToFront
 | HasParent
 | GetParentComponent
 | IsParentOf
 | GetTopParent
 | IsVisible
 | IsControlVisible
 | IsEnabled
 | IsParentColor
 | IsParentFont
 | FormIsUpdating
 | IsProcessingPaintMsg
 | Hide
 | Refresh
 | Repaint
 | Invalidate
 | CheckChildClassAllowed
 | CheckNewParent
 | SendToBack
 | SetTempCursor
 | UpdateRolesForForm
 | ActiveDefaultControlChanged
 | GetTextBuf
 | GetTextLen
 | SetTextBuf
 | Perform
 | ScreenToClient
 | ClientToScreen
 | ScreenToControl
 | ControlToScreen
 | ClientToParent
 | ParentToClient
 | GetChildrenRect
 | Show
 | Update
 | HandleObjectShouldBeVisible
 | ParentDestroyingHandle
 | ParentHandlesAllocated
 | InitiateAction
 | ShowHelp
 | HasHelp
 | RemoveAllHandlersOfObject
 | AddHandlerOnResize
 | RemoveHandlerOnResize
 | AddHandlerOnChangeBounds
 | RemoveHandlerOnChangeBounds
 | AddHandlerOnVisibleChanging
 | RemoveHandlerOnVisibleChanging
 | AddHandlerOnVisibleChanged
 | RemoveHandlerOnVisibleChanged
 | AddHandlerOnEnabledChanged
 | RemoveHandlerOnEnableChanging
 | AddHandlerOnKeyDown
 | RemoveHandlerOnKeyDown
 | AddHandlerOnBeforeDestruction
 | RemoveHandlerOnBeforeDestruction
 | AddHandlerOnMouseWheel
 | RemoveHandlerOnMouseWheel
 | UseRightToLeftAlignment
 | UseRightToLeftReading
 | UseRightToLeftScrollBar
 | IsRightToLeft
TLCLComponent
pt | WSRegisterClass
pt | GetWSComponentClass
 | Create
 | Destroy
 | NewInstance
 | RemoveAllHandlersOfObject
 | IncLCLRefCount
 | DecLCLRefCount
TComponent
 | GetComObject
 | GetComponent
 | GetComponentCount
 | GetComponentIndex
 | Insert
 | ReadLeft
 | ReadTop
 | Remove
 | RemoveNotification
 | SetComponentIndex
 | SetReference
 | WriteLeft
 | WriteTop
 | ChangeName
 | DefineProperties
 | GetChildren
 | GetChildOwner
 | GetChildParent
 | GetOwner
 | Loaded
 | Loading
 | Notification
 | PaletteCreated
 | ReadState
 | SetAncestor
 | SetDesigning
 | SetDesignInstance
 | SetInline
 | SetName
 | SetChildOrder
 | SetParentComponent
 | Updating
 | Updated
 | UpdateRegistry
 | ValidateRename
 | ValidateContainer
 | ValidateInsert
 | QueryInterface
 | _AddRef
 | _Release
 | iicrGetComponent
 | GetTypeInfoCount
 | GetTypeInfo
 | GetIDsOfNames
 | Invoke
 | WriteState
 | Create
 | Destroy
 | BeforeDestruction
 | DestroyComponents
 | Destroying
 | ExecuteAction
 | FindComponent
 | FreeNotification
 | RemoveFreeNotification
 | FreeOnRelease
 | GetEnumerator
 | GetNamePath
 | GetParentComponent
 | HasParent
 | InsertComponent
 | RemoveComponent
 | SafeCallException
 | SetSubComponent
 | UpdateAction
 | IsImplementorOf
 | ReferenceInterface
TPersistent
 | AssignError
 | AssignTo
 | DefineProperties
 | GetOwner
 | Destroy
 | Assign
 | FPOAttachObserver
 | FPODetachObserver
 | FPONotifyObservers
 | GetNamePath
TObject
 | Create
 | Destroy
 | newinstance
 | FreeInstance
 | SafeCallException
 | DefaultHandler
 | Free
 | InitInstance
 | CleanupInstance
 | ClassType
 | ClassInfo
 | ClassName
 | ClassNameIs
 | ClassParent
 | InstanceSize
 | InheritsFrom
 | StringMessageTable
 | MethodAddress
 | MethodName
 | FieldAddress
 | AfterConstruction
 | BeforeDestruction
 | DefaultHandlerStr
 | Dispatch
 | DispatchStr
 | GetInterface
 | GetInterfaceByStr
 | GetInterfaceWeak
 | GetInterfaceEntry
 | GetInterfaceEntryByStr
 | GetInterfaceTable
 | UnitName
 | Equals
 | GetHashCode
 | ToString


pt | ActionChange (TControl)
 | ActiveDefaultControlChanged (TControl)
 | AddControl (TWinControl)
pt | AddHandler (TControl)
 | AddHandlerOnBeforeDestruction (TControl)
 | AddHandlerOnChangeBounds (TControl)
 | AddHandlerOnEnabledChanged (TControl)
 | AddHandlerOnKeyDown (TControl)
 | AddHandlerOnMouseWheel (TControl)
 | AddHandlerOnResize (TControl)
 | AddHandlerOnVisibleChanged (TControl)
 | AddHandlerOnVisibleChanging (TControl)
pt | AdjustClientRect (TWinControl)
pt | AdjustClientRect (TToolWindow)
 | AdjustSize (TControl)
 | AfterConstruction (TObject)
pt | AlignControls (TWinControl)
pt | AlignControls (TCustomCoolBar)
pt | AllAutoSized (TWinControl)
 | AnchorAsAlign (TControl)
 | AnchorClient (TControl)
 | AnchoredControlCount (TControl)
 | AnchorHorizontalCenterTo (TControl)
 | AnchorParallel (TControl)
 | AnchorSame (TControl)
pt | AnchorSideChanged (TControl)
 | AnchorToCompanion (TControl)
 | AnchorToNeighbour (TControl)
 | AnchorVerticalCenterTo (TControl)
 | Assign (TPersistent)
 | AssignError (TPersistent)
 | AssignTo (TPersistent)
pt | AssignTo (TControl)
 | AutoAdjustLayout (TControl)
 | AutoAdjustLayout (TWinControl)
 | AutosizeBands (TCustomCoolBar)
 | AutoSizeDelayed (TControl)
 | AutoSizeDelayed (TWinControl)
 | AutoSizeDelayedHandle (TControl)
 | AutoSizeDelayedHandle (TWinControl)
 | AutoSizeDelayedReport (TControl)
 | AutoSizeDelayedReport (TWinControl)
 | AutoSizePhases (TControl)
 | AutoSizePhases (TWinControl)
 | BeforeDestruction (TObject)
 | BeforeDestruction (TComponent)
 | BeforeDestruction (TControl)
pt | BeforeDragStart (TControl)
pt | BeginAutoDrag (TControl)
pt | BeginAutoSizing (TControl)
 | BeginDrag (TControl)
 | BeginUpdate (TToolWindow)
 | BeginUpdateBounds (TWinControl)
pt | BitmapOrImageListChange (TCustomCoolBar)
pt | BoundsChanged (TControl)
 | BringToFront (TControl)
 | BroadCast (TWinControl)
 | BrushCreated (TWinControl)
pt | CalculateAndAlign (TCustomCoolBar)
pt | CalculateDockSizes (TControl)
pt | CalculatePreferredSize (TControl)
pt | CalculatePreferredSize (TWinControl)
pt | CalculatePreferredSize (TCustomCoolBar)
pt | CalculateRealIndex (TCustomCoolBar)
pt | CanAutoSize (TControl)
 | CanFocus (TWinControl)
 | CanSetFocus (TWinControl)
pt | CanTab (TControl)
pt | CanTab (TWinControl)
pt | CaptureChanged (TControl)
pt | ChangeBounds (TControl)
pt | ChangeCursor (TCustomCoolBar)
pt | Changed (TControl)
 | ChangeName (TComponent)
pt | ChangeScale (TControl)
pt | ChangeScale (TWinControl)
 | CheckChildClassAllowed (TControl)
 | CheckNewParent (TControl)
pt | CheckOnChangeBounds (TControl)
pt | ChildClassAllowed (TControl)
pt | ChildClassAllowed (TWinControl)
pt | ChildHandlesCreated (TWinControl)
pt | ChildKey (TWinControl)
 | ClassInfo (TObject)
 | ClassName (TObject)
 | ClassNameIs (TObject)
 | ClassParent (TObject)
 | ClassType (TObject)
 | CleanupInstance (TObject)
pt | Click (TControl)
 | ClientRectNeedsInterfaceUpdate (TWinControl)
 | ClientToParent (TControl)
 | ClientToScreen (TControl)
pt | CMBiDiModeChanged (TControl)
pt | CMBiDiModeChanged (TWinControl)
pt | CMBiDiModeChanged (TCustomCoolBar)
pt | CMBorderChanged (TWinControl)
pt | CMChanged (TControl)
pt | CMCursorChanged (TControl)
pt | CMDoubleBufferedChanged (TWinControl)
pt | CMEnabledChanged (TControl)
pt | CMEnabledChanged (TWinControl)
pt | CMEnter (TWinControl)
pt | CMExit (TWinControl)
pt | CMHintShow (TControl)
pt | CMHitTest (TControl)
pt | CMMouseEnter (TControl)
pt | CMMouseLeave (TControl)
pt | CMParentBiDiModeChanged (TControl)
pt | CMParentColorChanged (TControl)
pt | CMParentDoubleBufferedChanged (TWinControl)
pt | CMParentFontChanged (TControl)
pt | CMParentShowHintChanged (TControl)
pt | CMShowHintChanged (TWinControl)
pt | CMShowingChanged (TWinControl)
pt | CMSysFontChanged (TControl)
pt | CMTextChanged (TControl)
pt | CMVisibleChanged (TControl)
pt | CMVisibleChanged (TWinControl)
pt | CNChar (TWinControl)
pt | CNKeyDown (TWinControl)
pt | CNKeyUp (TWinControl)
 | CNPreferredSizeChanged (TControl)
pt | CNSysKeyDown (TWinControl)
pt | CNSysKeyUp (TWinControl)
pt | ColorIsStored (TControl)
pt | ConstrainedResize (TControl)
 | ContainsControl (TWinControl)
 | ControlAtPos (TWinControl)
pt | ControlKeyDown (TWinControl)
pt | ControlKeyUp (TWinControl)
pt | ControlsAligned (TWinControl)
 | ControlToScreen (TControl)
 | Create (TObject)
 | Create (TComponent)
 | Create (TLCLComponent)
 | Create (TControl)
 | Create (TWinControl)
 | Create (TCustomControl)
 | Create (TToolWindow)
 | Create (TCustomCoolBar)
 | CreateAccessibleObject (TControl)
pt | CreateBrush (TWinControl)
pt | CreateControlBorderSpacing (TControl)
pt | CreateDockManager (TWinControl)
pt | CreateFloatingDockSite (TControl)
pt | CreateHandle (TWinControl)
pt | CreateParams (TWinControl)
 | CreateParented (TWinControl)
 | CreateParentedControl (TWinControl)
pt | CreateSubClass (TWinControl)
pt | CreateWnd (TWinControl)
pt | CreateWnd (TCustomCoolBar)
pt | CustomAlignInsertBefore (TWinControl)
pt | CustomAlignPosition (TWinControl)
pt | DblClick (TControl)
 | DecLCLRefCount (TLCLComponent)
 | DefaultHandler (TObject)
 | DefaultHandler (TWinControl)
 | DefaultHandlerStr (TObject)
 | DefineProperties (TPersistent)
 | DefineProperties (TComponent)
pt | DefineProperties (TControl)
 | Destroy (TObject)
 | Destroy (TPersistent)
 | Destroy (TComponent)
 | Destroy (TLCLComponent)
 | Destroy (TControl)
 | Destroy (TWinControl)
 | Destroy (TCustomControl)
 | Destroy (TCustomCoolBar)
 | DestroyComponents (TComponent)
pt | DestroyHandle (TWinControl)
 | Destroying (TComponent)
pt | DestroyWnd (TWinControl)
pt | DestroyWnd (TCustomControl)
pt | DialogChar (TControl)
pt | DialogChar (TWinControl)
 | DisableAlign (TWinControl)
 | DisableAutoSizing (TControl)
 | Dispatch (TObject)
 | DispatchStr (TObject)
pt | DoAddDockClient (TWinControl)
 | DoAdjustClientRectChange (TWinControl)
pt | DoAlignChildControls (TWinControl)
pt | DoAllAutoSize (TControl)
pt | DoAllAutoSize (TWinControl)
pt | DoAutoAdjustLayout (TControl)
pt | DoAutoSize (TControl)
pt | DoAutoSize (TWinControl)
pt | DoBorderSpacingChange (TControl)
pt | DoCallKeyEventHandler (TControl)
pt | DoCallMouseWheelEventHandler (TControl)
pt | DoCallNotifyHandler (TControl)
pt | DoChildSizingChange (TWinControl)
 | Dock (TControl)
 | DockDrop (TWinControl)
 | Docked (TControl)
pt | DockOver (TWinControl)
pt | DockTrackNoTarget (TControl)
pt | DoConstraintsChange (TControl)
pt | DoConstraintsChange (TWinControl)
pt | DoContextPopup (TControl)
pt | DoDock (TControl)
pt | DoDockClientMsg (TWinControl)
pt | DoDockOver (TWinControl)
pt | DoDragMsg (TControl)
pt | DoDragMsg (TWinControl)
pt | DoEndDock (TControl)
pt | DoEndDrag (TControl)
pt | DoEnter (TWinControl)
pt | DoExit (TWinControl)
pt | DoFixDesignFontPPI (TControl)
pt | DoFlipChildren (TWinControl)
pt | DoFloatMsg (TControl)
pt | DoFloatMsg (TWinControl)
pt | DoFontChanged (TCustomCoolBar)
pt | DoGetDockCaption (TWinControl)
pt | DoKeyDownBeforeInterface (TWinControl)
pt | DoKeyPress (TWinControl)
pt | DoKeyUpBeforeInterface (TWinControl)
pt | DoMouseWheel (TControl)
pt | DoMouseWheelDown (TControl)
pt | DoMouseWheelHorz (TControl)
pt | DoMouseWheelLeft (TControl)
pt | DoMouseWheelRight (TControl)
pt | DoMouseWheelUp (TControl)
pt | DoOnChangeBounds (TControl)
pt | DoOnParentHandleDestruction (TControl)
pt | DoOnResize (TControl)
pt | DoOnShowHint (TControl)
pt | DoRemainingKeyDown (TWinControl)
pt | DoRemainingKeyUp (TWinControl)
pt | DoRemoveDockClient (TWinControl)
pt | DoScaleFontPPI (TControl)
pt | DoSendBoundsToInterface (TWinControl)
pt | DoSendShowHideToInterface (TWinControl)
pt | DoSetBounds (TControl)
pt | DoSetBounds (TWinControl)
pt | DoStartDock (TControl)
pt | DoStartDrag (TControl)
pt | DoUnDock (TWinControl)
pt | DoUndockClientMsg (TWinControl)
pt | DoUTF8KeyPress (TWinControl)
pt | DragCanceled (TControl)
 | DragDrop (TControl)
 | Dragging (TControl)
pt | DragOver (TControl)
pt | DrawTiledBitmap (TCustomCoolBar)
 | EditingDone (TControl)
 | EnableAlign (TWinControl)
 | EnableAutoSizing (TControl)
pt | EnabledChanged (TControl)
pt | EnabledChanging (TControl)
pt | EndAutoSizing (TControl)
 | EndDrag (TControl)
 | EndUpdate (TToolWindow)
 | EndUpdate (TCustomCoolBar)
 | EndUpdateBounds (TWinControl)
 | Equals (TObject)
 | EraseBackground (TWinControl)
 | ExecuteAction (TComponent)
 | ExecuteCancelAction (TControl)
 | ExecuteDefaultAction (TControl)
 | FieldAddress (TObject)
pt | FinalizeWnd (TWinControl)
 | FindChildControl (TWinControl)
 | FindComponent (TComponent)
pt | FindNextControl (TWinControl)
 | FixDesignFontsPPI (TControl)
pt | FixupTabList (TWinControl)
 | FlipChildren (TWinControl)
 | Focused (TWinControl)
pt | FontChanged (TControl)
pt | FontChanged (TWinControl)
pt | FontChanged (TCustomControl)
pt | FontChanged (TCustomCoolBar)
pt | ForeignAnchorSideChanged (TControl)
pt | FormEndUpdated (TControl)
pt | FormEndUpdated (TWinControl)
 | FormIsUpdating (TControl)
 | FPOAttachObserver (TPersistent)
 | FPODetachObserver (TPersistent)
 | FPONotifyObservers (TPersistent)
 | Free (TObject)
 | FreeInstance (TObject)
 | FreeNotification (TComponent)
 | FreeOnRelease (TComponent)
 | GetAccessibleObject (TControl)
pt | GetAction (TControl)
pt | GetActionLinkClass (TControl)
pt | GetAdjustedLogicalClientRect (TWinControl)
 | GetAnchorsDependingOnParent (TControl)
pt | GetBorderStyle (TWinControl)
pt | GetCachedText (TControl)
 | GetCanvasScaleFactor (TControl)
 | GetChildAccessibleObjectAtPos (TControl)
 | GetChildOwner (TComponent)
 | GetChildParent (TComponent)
 | GetChildren (TComponent)
pt | GetChildren (TWinControl)
 | GetChildrenRect (TControl)
 | GetChildrenRect (TWinControl)
pt | GetClientOrigin (TControl)
pt | GetClientOrigin (TWinControl)
pt | GetClientRect (TControl)
pt | GetClientRect (TWinControl)
pt | GetClientScrollOffset (TControl)
 | GetColorResolvingParent (TControl)
 | GetComObject (TComponent)
 | GetComponent (TComponent)
 | GetComponentCount (TComponent)
 | GetComponentIndex (TComponent)
pt | GetControlClassDefaultSize (TControl)
 | GetControlIndex (TWinControl)
pt | GetControlOrigin (TControl)
pt | GetControlOrigin (TWinControl)
pt | GetCursor (TControl)
 | GetDefaultColor (TControl)
pt | GetDefaultDockCaption (TControl)
 | GetDefaultHeight (TControl)
 | GetDefaultWidth (TControl)
pt | GetDeviceContext (TControl)
pt | GetDeviceContext (TWinControl)
 | GetDockCaption (TWinControl)
pt | GetDockEdge (TControl)
pt | GetDragImages (TControl)
pt | GetEnabled (TControl)
 | GetEnumerator (TComponent)
 | GetEnumeratorControls (TWinControl)
 | GetEnumeratorControlsReverse (TWinControl)
pt | GetFloating (TControl)
pt | GetFloatingDockSiteClass (TControl)
 | GetHashCode (TObject)
 | GetIDsOfNames (TComponent)
 | GetInterface (TObject)
 | GetInterfaceByStr (TObject)
 | GetInterfaceEntry (TObject)
 | GetInterfaceEntryByStr (TObject)
 | GetInterfaceTable (TObject)
 | GetInterfaceWeak (TObject)
pt | GetLogicalClientRect (TControl)
pt | GetMouseCapture (TControl)
pt | GetMouseCapture (TWinControl)
pt | GetMousePosFromMessage (TControl)
 | GetNamePath (TPersistent)
 | GetNamePath (TComponent)
 | GetOwner (TPersistent)
 | GetOwner (TComponent)
pt | GetPalette (TControl)
pt | GetParentBackground (TWinControl)
 | GetParentComponent (TComponent)
 | GetParentComponent (TControl)
pt | GetParentHandle (TWinControl)
pt | GetPopupMenu (TControl)
 | GetPreferredSize (TControl)
pt | GetPreferredSizeClientFrame (TWinControl)
 | GetRGBColorResolvingParent (TControl)
pt | GetScrolledClientRect (TControl)
 | GetSelectedChildAccessibleObject (TControl)
 | GetSidePosition (TControl)
pt | GetSiteInfo (TWinControl)
 | GetTabOrderList (TWinControl)
 | GetTextBuf (TControl)
 | GetTextLen (TControl)
 | GetTextLen (TWinControl)
 | GetTopParent (TControl)
pt | GetTopParentHandle (TWinControl)
 | GetTypeInfo (TComponent)
 | GetTypeInfoCount (TComponent)
pt | GetWSComponentClass (TLCLComponent)
 | HandleAllocated (TWinControl)
 | HandleNeeded (TWinControl)
 | HandleObjectShouldBeVisible (TControl)
 | HasHelp (TControl)
 | HasParent (TComponent)
 | HasParent (TControl)
pt | HeightIsAnchored (TControl)
 | Hide (TControl)
 | iicrGetComponent (TComponent)
 | IncLCLRefCount (TLCLComponent)
 | InheritsFrom (TObject)
pt | InitializeWnd (TWinControl)
 | InitiateAction (TControl)
 | InitInstance (TObject)
 | Insert (TComponent)
 | InsertComponent (TComponent)
 | InsertControl (TWinControl)
 | InsertControl (TCustomCoolBar)
 | InstanceSize (TObject)
 | IntfGetDropFilesTarget (TWinControl)
 | IntfUTF8KeyPress (TWinControl)
 | Invalidate (TControl)
 | Invalidate (TWinControl)
 | Invalidate (TCustomCoolBar)
pt | InvalidateBoundsRealized (TWinControl)
 | InvalidateClientRectCache (TWinControl)
pt | InvalidateControl (TControl)
pt | InvalidatePreferredChildSizes (TWinControl)
 | InvalidatePreferredSize (TControl)
 | Invoke (TComponent)
pt | IsAParentAligning (TControl)
pt | IsBorderSpacingInnerBorderStored (TControl)
pt | IsCaptionStored (TControl)
pt | IsClientHeightStored (TControl)
pt | IsClientHeightStored (TWinControl)
pt | IsClientWidthStored (TControl)
pt | IsClientWidthStored (TWinControl)
pt | IsControlMouseMsg (TWinControl)
 | IsControlVisible (TControl)
 | IsEnabled (TControl)
pt | IsFirstAtRow (TCustomCoolBar)
 | IsImplementorOf (TComponent)
 | IsParentColor (TControl)
 | IsParentFont (TControl)
 | IsParentOf (TControl)
 | IsProcessingPaintMsg (TControl)
 | IsRightToLeft (TControl)
pt | IsRowEnd (TCustomCoolBar)
 | IsVisible (TControl)
pt | KeyDown (TWinControl)
pt | KeyDownAfterInterface (TWinControl)
pt | KeyDownBeforeInterface (TWinControl)
pt | KeyPress (TWinControl)
pt | KeyUp (TWinControl)
pt | KeyUpAfterInterface (TWinControl)
pt | KeyUpBeforeInterface (TWinControl)
pt | LMCaptureChanged (TControl)
 | Loaded (TComponent)
pt | Loaded (TControl)
pt | Loaded (TWinControl)
pt | LoadedAll (TControl)
 | Loading (TComponent)
 | LockRealizeBounds (TWinControl)
pt | MainWndProc (TWinControl)
 | ManualDock (TControl)
 | ManualFloat (TControl)
 | MethodAddress (TObject)
 | MethodName (TObject)
pt | MouseDown (TControl)
pt | MouseDown (TCustomCoolBar)
pt | MouseEnter (TControl)
pt | MouseLeave (TControl)
pt | MouseMove (TControl)
pt | MouseMove (TCustomCoolBar)
 | MouseToBandPos (TCustomCoolBar)
pt | MouseUp (TControl)
pt | MouseUp (TCustomCoolBar)
 | newinstance (TObject)
 | NewInstance (TLCLComponent)
 | Notification (TComponent)
pt | Notification (TControl)
pt | Notification (TCustomCoolBar)
 | NotifyControls (TWinControl)
pt | Paint (TCustomControl)
pt | Paint (TToolWindow)
pt | Paint (TCustomCoolBar)
pt | PaintControls (TWinControl)
pt | PaintHandler (TWinControl)
 | PaintTo (TWinControl)
pt | PaintWindow (TWinControl)
pt | PaintWindow (TCustomControl)
 | PaletteCreated (TComponent)
 | ParentDestroyingHandle (TControl)
pt | ParentFontChanged (TControl)
pt | ParentFormHandleInitialized (TControl)
pt | ParentFormHandleInitialized (TWinControl)
 | ParentHandlesAllocated (TControl)
 | ParentHandlesAllocated (TWinControl)
 | ParentToClient (TControl)
 | Perform (TControl)
 | PerformTab (TWinControl)
pt | PositionDockRect (TControl)
pt | QuadClick (TControl)
 | QueryInterface (TComponent)
 | ReadLeft (TComponent)
 | ReadState (TComponent)
pt | ReadState (TControl)
 | ReadTop (TComponent)
pt | RealGetText (TControl)
pt | RealGetText (TWinControl)
 | ReAlign (TWinControl)
pt | RealizeBounds (TWinControl)
pt | RealizeBoundsRecursive (TWinControl)
pt | RealSetText (TControl)
pt | RealSetText (TWinControl)
 | ReferenceInterface (TComponent)
 | Refresh (TControl)
pt | ReloadDockedControl (TWinControl)
 | Remove (TComponent)
 | RemoveAllHandlersOfObject (TLCLComponent)
 | RemoveAllHandlersOfObject (TControl)
 | RemoveComponent (TComponent)
 | RemoveControl (TWinControl)
 | RemoveControl (TCustomCoolBar)
pt | RemoveFocus (TWinControl)
 | RemoveFreeNotification (TComponent)
pt | RemoveHandler (TControl)
 | RemoveHandlerOnBeforeDestruction (TControl)
 | RemoveHandlerOnChangeBounds (TControl)
 | RemoveHandlerOnEnableChanging (TControl)
 | RemoveHandlerOnKeyDown (TControl)
 | RemoveHandlerOnMouseWheel (TControl)
 | RemoveHandlerOnResize (TControl)
 | RemoveHandlerOnVisibleChanged (TControl)
 | RemoveHandlerOnVisibleChanging (TControl)
 | RemoveNotification (TComponent)
 | Repaint (TControl)
 | Repaint (TWinControl)
 | ReplaceDockedControl (TControl)
pt | RequestAlign (TControl)
pt | Resize (TControl)
 | SafeCallException (TObject)
 | SafeCallException (TComponent)
 | Scale96ToFont (TControl)
 | Scale96ToForm (TControl)
 | Scale96ToScreen (TControl)
 | ScaleBy (TWinControl)
pt | ScaleConstraints (TControl)
pt | ScaleControls (TWinControl)
 | ScaleDesignToForm (TControl)
 | ScaleFontsPPI (TControl)
 | ScaleFontTo96 (TControl)
 | ScaleFontToScreen (TControl)
 | ScaleFormTo96 (TControl)
 | ScaleFormToDesign (TControl)
 | ScaleScreenTo96 (TControl)
 | ScaleScreenToFont (TControl)
 | ScreenToClient (TControl)
 | ScreenToControl (TControl)
 | ScrollBy (TWinControl)
 | ScrollBy_WS (TWinControl)
pt | SelectFirst (TWinControl)
 | SelectNext (TWinControl)
pt | SendDialogChar (TWinControl)
pt | SendMoveSizeMessages (TControl)
pt | SendMoveSizeMessages (TWinControl)
 | SendToBack (TControl)
pt | SetAction (TControl)
pt | SetAlign (TControl)
pt | SetAlign (TCustomCoolBar)
 | SetAncestor (TComponent)
pt | SetAnchors (TControl)
pt | SetAutoSize (TControl)
pt | SetAutoSize (TCustomCoolBar)
pt | SetBiDiMode (TControl)
pt | SetBorderStyle (TWinControl)
 | SetBounds (TControl)
 | SetBounds (TWinControl)
 | SetBoundsKeepBase (TControl)
 | SetChildOrder (TComponent)
pt | SetChildZPosition (TWinControl)
pt | SetColor (TControl)
pt | SetColor (TWinControl)
pt | SetColor (TCustomControl)
 | SetComponentIndex (TComponent)
 | SetControlIndex (TWinControl)
pt | SetCursor (TControl)
pt | SetCursor (TCustomCoolBar)
 | SetDesigning (TComponent)
 | SetDesignInstance (TComponent)
pt | SetDockManager (TWinControl)
pt | SetDragMode (TControl)
pt | SetEnabled (TControl)
 | SetFocus (TWinControl)
pt | SetHint (TControl)
 | SetInitialBounds (TControl)
 | SetInline (TComponent)
 | SetName (TComponent)
pt | SetName (TControl)
pt | SetParent (TControl)
pt | SetParentBackground (TWinControl)
pt | SetParentBiDiMode (TControl)
 | SetParentComponent (TComponent)
pt | SetParentComponent (TControl)
 | SetReference (TComponent)
 | SetShape (TWinControl)
 | SetSubComponent (TComponent)
 | SetTempCursor (TControl)
 | SetTempCursor (TWinControl)
 | SetTextBuf (TControl)
pt | SetVisible (TControl)
pt | SetZOrder (TControl)
 | ShouldAutoAdjust (TControl)
 | Show (TControl)
pt | ShowControl (TWinControl)
 | ShowHelp (TControl)
 | StringMessageTable (TObject)
pt | TextChanged (TControl)
 | ToString (TObject)
pt | TripleClick (TControl)
 | UnitName (TObject)
 | UnlockRealizeBounds (TWinControl)
 | Update (TControl)
 | Update (TWinControl)
 | UpdateAction (TComponent)
pt | UpdateAnchorRules (TControl)
 | UpdateBaseBounds (TControl)
pt | UpdateControlState (TWinControl)
 | Updated (TComponent)
 | UpdateDockCaption (TWinControl)
pt | UpdateMouseCursor (TControl)
 | UpdateRegistry (TComponent)
 | UpdateRolesForForm (TControl)
pt | UpdateShowing (TWinControl)
 | Updating (TComponent)
 | UseRightToLeftAlignment (TControl)
 | UseRightToLeftReading (TControl)
 | UseRightToLeftScrollBar (TControl)
pt | UTF8KeyPress (TWinControl)
 | ValidateContainer (TComponent)
 | ValidateInsert (TComponent)
 | ValidateRename (TComponent)
pt | VisibleChanged (TControl)
pt | VisibleChanging (TControl)
pt | WidthIsAnchored (TControl)
pt | WMCancelMode (TControl)
pt | WMChar (TWinControl)
pt | WMContextMenu (TControl)
pt | WMContextMenu (TWinControl)
pt | WMDestroy (TWinControl)
pt | WMEnter (TWinControl)
pt | WMEraseBkgnd (TWinControl)
pt | WMExit (TWinControl)
pt | WMKeyDown (TWinControl)
pt | WMKeyUp (TWinControl)
pt | WMKillFocus (TWinControl)
pt | WMLButtonDBLCLK (TControl)
pt | WMLButtonDown (TControl)
pt | WMLButtonQuadCLK (TControl)
pt | WMLButtonTripleCLK (TControl)
pt | WMLButtonUp (TControl)
pt | WMMButtonDBLCLK (TControl)
pt | WMMButtonDown (TControl)
pt | WMMButtonQuadCLK (TControl)
pt | WMMButtonTripleCLK (TControl)
pt | WMMButtonUp (TControl)
pt | WMMouseHWheel (TControl)
pt | WMMouseMove (TControl)
pt | WMMouseWheel (TControl)
pt | WMMove (TControl)
pt | WMMove (TWinControl)
pt | WMNotify (TWinControl)
pt | WMPaint (TWinControl)
pt | WMPaint (TCustomControl)
pt | WMRButtonDBLCLK (TControl)
pt | WMRButtonDown (TControl)
pt | WMRButtonQuadCLK (TControl)
pt | WMRButtonTripleCLK (TControl)
pt | WMRButtonUp (TControl)
pt | WMSetFocus (TWinControl)
pt | WMShowWindow (TWinControl)
pt | WMSize (TControl)
pt | WMSize (TWinControl)
pt | WMSize (TCustomCoolBar)
pt | WMSysChar (TWinControl)
pt | WMSysKeyDown (TWinControl)
pt | WMSysKeyUp (TWinControl)
pt | WMWindowPosChanged (TControl)
pt | WMWindowPosChanged (TWinControl)
pt | WMXButtonDBLCLK (TControl)
pt | WMXButtonDown (TControl)
pt | WMXButtonQuadCLK (TControl)
pt | WMXButtonTripleCLK (TControl)
pt | WMXButtonUp (TControl)
pt | WndProc (TControl)
pt | WndProc (TWinControl)
 | WriteLayoutDebugReport (TControl)
 | WriteLayoutDebugReport (TWinControl)
 | WriteLeft (TComponent)
 | WriteState (TComponent)
 | WriteTop (TComponent)
pt | WSRegisterClass (TLCLComponent)
pt | WSRegisterClass (TControl)
pt | WSRegisterClass (TWinControl)
pt | WSRegisterClass (TCustomControl)
pt | WSSetText (TWinControl)
 | _AddRef (TComponent)
 | _Release (TComponent)


TCoolBar
pl | ro | OnChange
pl | ro | OnClick
pl | ro | OnContextPopup
pl | ro | OnDblClick
pl | ro | OnDockDrop
pl | ro | OnDockOver
pl | ro | OnDragDrop
pl | ro | OnDragOver
pl | ro | OnEndDock
pl | ro | OnEndDrag
pl | ro | OnGetSiteInfo
pl | ro | OnMouseDown
pl | ro | OnMouseEnter
pl | ro | OnMouseLeave
pl | ro | OnMouseMove
pl | ro | OnMouseUp
pl | ro | OnMouseWheel
pl | ro | OnMouseWheelDown
pl | ro | OnMouseWheelUp
pl | ro | OnResize
pl | ro | OnStartDock
pl | ro | OnStartDrag
pl | ro | OnUnDock
TCustomCoolBar
 |  | OnChange
TToolWindow
TCustomControl
 |  | OnPaint
TWinControl
pt |  | OnGetSiteInfo
pt |  | OnGetDockCaption
 |  | OnAlignInsertBefore
 |  | OnAlignPosition
 |  | OnDockDrop
 |  | OnDockOver
 |  | OnEnter
 |  | OnExit
 |  | OnKeyDown
 |  | OnKeyPress
 |  | OnKeyUp
 |  | OnUnDock
 |  | OnUTF8KeyPress
TControl
pt |  | OnConstrainedResize
pt |  | OnContextPopup
pt |  | OnDblClick
pt |  | OnTripleClick
pt |  | OnQuadClick
pt |  | OnDragDrop
pt |  | OnDragOver
pt |  | OnEndDock
pt |  | OnEndDrag
pt |  | OnMouseDown
pt |  | OnMouseMove
pt |  | OnMouseUp
pt |  | OnMouseEnter
pt |  | OnMouseLeave
pt |  | OnMouseWheel
pt |  | OnMouseWheelDown
pt |  | OnMouseWheelUp
pt |  | OnMouseWheelHorz
pt |  | OnMouseWheelLeft
pt |  | OnMouseWheelRight
pt |  | OnStartDock
pt |  | OnStartDrag
pt |  | OnEditingDone
 |  | OnChangeBounds
 |  | OnClick
 |  | OnResize
 |  | OnShowHint
TLCLComponent
TComponent
TPersistent
TObject


pl | ro | OnChange (TCoolBar)
 |  | OnChangeBounds (TControl)
 |  | OnClick (TControl)
pl | ro | OnClick (TCoolBar)
pt |  | OnConstrainedResize (TControl)
pt |  | OnContextPopup (TControl)
pl | ro | OnContextPopup (TCoolBar)
pt |  | OnDblClick (TControl)
pl | ro | OnDblClick (TCoolBar)
 |  | OnDockDrop (TWinControl)
pl | ro | OnDockDrop (TCoolBar)
 |  | OnDockOver (TWinControl)
pl | ro | OnDockOver (TCoolBar)
pt |  | OnDragDrop (TControl)
pl | ro | OnDragDrop (TCoolBar)
pt |  | OnDragOver (TControl)
pl | ro | OnDragOver (TCoolBar)
pt |  | OnEditingDone (TControl)
pt |  | OnEndDock (TControl)
pl | ro | OnEndDock (TCoolBar)
pt |  | OnEndDrag (TControl)
pl | ro | OnEndDrag (TCoolBar)
 |  | OnEnter (TWinControl)
 |  | OnExit (TWinControl)
pt |  | OnGetDockCaption (TWinControl)
pt |  | OnGetSiteInfo (TWinControl)
pl | ro | OnGetSiteInfo (TCoolBar)
 |  | OnKeyDown (TWinControl)
 |  | OnKeyPress (TWinControl)
 |  | OnKeyUp (TWinControl)
pt |  | OnMouseDown (TControl)
pl | ro | OnMouseDown (TCoolBar)
pt |  | OnMouseEnter (TControl)
pl | ro | OnMouseEnter (TCoolBar)
pt |  | OnMouseLeave (TControl)
pl | ro | OnMouseLeave (TCoolBar)
pt |  | OnMouseMove (TControl)
pl | ro | OnMouseMove (TCoolBar)
pt |  | OnMouseUp (TControl)
pl | ro | OnMouseUp (TCoolBar)
pt |  | OnMouseWheel (TControl)
pl | ro | OnMouseWheel (TCoolBar)
pt |  | OnMouseWheelDown (TControl)
pl | ro | OnMouseWheelDown (TCoolBar)
pt |  | OnMouseWheelHorz (TControl)
pt |  | OnMouseWheelLeft (TControl)
pt |  | OnMouseWheelRight (TControl)
pt |  | OnMouseWheelUp (TControl)
pl | ro | OnMouseWheelUp (TCoolBar)
 |  | OnPaint (TCustomControl)
pt |  | OnQuadClick (TControl)
 |  | OnResize (TControl)
pl | ro | OnResize (TCoolBar)
 |  | OnShowHint (TControl)
pt |  | OnStartDock (TControl)
pl | ro | OnStartDock (TCoolBar)
pt |  | OnStartDrag (TControl)
pl | ro | OnStartDrag (TCoolBar)
pt |  | OnTripleClick (TControl)
 |  | OnUnDock (TWinControl)
pl | ro | OnUnDock (TCoolBar)
 |  | OnUTF8KeyPress (TWinControl)


TCoolBar.Align

Declaration

Source position: comctrls.pp line 2605

published property TCoolBar.Align : TAlign;


TCoolBar.Anchors

Declaration

Source position: comctrls.pp line 2606

published property TCoolBar.Anchors : TAnchors;


TCoolBar.AutoSize

Declaration

Source position: comctrls.pp line 2607

published property TCoolBar.AutoSize : Boolean;


TCoolBar.BandBorderStyle

Declaration

Source position: comctrls.pp line 2608

published property TCoolBar.BandBorderStyle : TBorderStyle;


TCoolBar.BandMaximize

Declaration

Source position: comctrls.pp line 2609

published property TCoolBar.BandMaximize : TCoolBandMaximize;


TCoolBar.Bands

Declaration

Source position: comctrls.pp line 2610

published property TCoolBar.Bands : TCoolBands;


TCoolBar.BiDiMode

Declaration

Source position: comctrls.pp line 2611

published property TCoolBar.BiDiMode : TBiDiMode;


TCoolBar.Bitmap

Declaration

Source position: comctrls.pp line 2634

published property TCoolBar.Bitmap : TBitmap;


TCoolBar.BorderWidth

Declaration

Source position: comctrls.pp line 2612

published property TCoolBar.BorderWidth : TBorderWidth;


TCoolBar.Color

Declaration

Source position: comctrls.pp line 2613

published property TCoolBar.Color : TColor;


TCoolBar.Constraints

Declaration

Source position: comctrls.pp line 2614

published property TCoolBar.Constraints : TSizeConstraints;


TCoolBar.DockSite

Declaration

Source position: comctrls.pp line 2615

published property TCoolBar.DockSite : Boolean;


TCoolBar.DragCursor

Declaration

Source position: comctrls.pp line 2616

published property TCoolBar.DragCursor : TCursor;


TCoolBar.DragKind

Declaration

Source position: comctrls.pp line 2617

published property TCoolBar.DragKind : TDragKind;


TCoolBar.DragMode

Declaration

Source position: comctrls.pp line 2618

published property TCoolBar.DragMode : TDragMode;


TCoolBar.EdgeBorders

Declaration

Source position: comctrls.pp line 2619

published property TCoolBar.EdgeBorders : TEdgeBorders;


TCoolBar.EdgeInner

Declaration

Source position: comctrls.pp line 2620

published property TCoolBar.EdgeInner : TEdgeStyle;


TCoolBar.EdgeOuter

Declaration

Source position: comctrls.pp line 2621

published property TCoolBar.EdgeOuter : TEdgeStyle;


TCoolBar.Enabled

Declaration

Source position: comctrls.pp line 2622

published property TCoolBar.Enabled : Boolean;


TCoolBar.FixedOrder

Declaration

Source position: comctrls.pp line 2624

published property TCoolBar.FixedOrder : Boolean;


TCoolBar.FixedSize

Declaration

Source position: comctrls.pp line 2623

published property TCoolBar.FixedSize : Boolean;


TCoolBar.Font

Declaration

Source position: comctrls.pp line 2625

published property TCoolBar.Font : TFont;


TCoolBar.GrabStyle

Declaration

Source position: comctrls.pp line 2626

published property TCoolBar.GrabStyle : TGrabStyle;


TCoolBar.GrabWidth

Declaration

Source position: comctrls.pp line 2627

published property TCoolBar.GrabWidth : Integer;


TCoolBar.HorizontalSpacing

Declaration

Source position: comctrls.pp line 2628

published property TCoolBar.HorizontalSpacing : Integer;


TCoolBar.Images

Declaration

Source position: comctrls.pp line 2629

published property TCoolBar.Images : TCustomImageList;


TCoolBar.ImagesWidth

Declaration

Source position: comctrls.pp line 2630

published property TCoolBar.ImagesWidth : Integer;


TCoolBar.OnChange

Declaration

Source position: comctrls.pp line 2642

published property TCoolBar.OnChange : TNotifyEvent;


TCoolBar.OnClick

Declaration

Source position: comctrls.pp line 2643

published property TCoolBar.OnClick : TNotifyEvent;


TCoolBar.OnContextPopup

Declaration

Source position: comctrls.pp line 2644

published property TCoolBar.OnContextPopup : TContextPopupEvent;


TCoolBar.OnDblClick

Declaration

Source position: comctrls.pp line 2645

published property TCoolBar.OnDblClick : TNotifyEvent;


TCoolBar.OnDockDrop

Declaration

Source position: comctrls.pp line 2646

published property TCoolBar.OnDockDrop : TDockDropEvent;


TCoolBar.OnDockOver

Declaration

Source position: comctrls.pp line 2647

published property TCoolBar.OnDockOver : TDockOverEvent;


TCoolBar.OnDragDrop

Declaration

Source position: comctrls.pp line 2648

published property TCoolBar.OnDragDrop : TDragDropEvent;


TCoolBar.OnDragOver

Declaration

Source position: comctrls.pp line 2649

published property TCoolBar.OnDragOver : TDragOverEvent;


TCoolBar.OnEndDock

Declaration

Source position: comctrls.pp line 2650

published property TCoolBar.OnEndDock : TEndDragEvent;


TCoolBar.OnEndDrag

Declaration

Source position: comctrls.pp line 2651

published property TCoolBar.OnEndDrag : TEndDragEvent;


TCoolBar.OnGetSiteInfo

Declaration

Source position: comctrls.pp line 2652

published property TCoolBar.OnGetSiteInfo : TGetSiteInfoEvent;


TCoolBar.OnMouseDown

Declaration

Source position: comctrls.pp line 2653

published property TCoolBar.OnMouseDown : TMouseEvent;


TCoolBar.OnMouseEnter

Declaration

Source position: comctrls.pp line 2654

published property TCoolBar.OnMouseEnter : TNotifyEvent;


TCoolBar.OnMouseLeave

Declaration

Source position: comctrls.pp line 2655

published property TCoolBar.OnMouseLeave : TNotifyEvent;


TCoolBar.OnMouseMove

Declaration

Source position: comctrls.pp line 2656

published property TCoolBar.OnMouseMove : TMouseMoveEvent;


TCoolBar.OnMouseUp

Declaration

Source position: comctrls.pp line 2657

published property TCoolBar.OnMouseUp : TMouseEvent;


TCoolBar.OnMouseWheel

Declaration

Source position: comctrls.pp line 2658

published property TCoolBar.OnMouseWheel : TMouseWheelEvent;


TCoolBar.OnMouseWheelDown

Declaration

Source position: comctrls.pp line 2659

published property TCoolBar.OnMouseWheelDown : TMouseWheelUpDownEvent;


TCoolBar.OnMouseWheelUp

Declaration

Source position: comctrls.pp line 2660

published property TCoolBar.OnMouseWheelUp : TMouseWheelUpDownEvent;


TCoolBar.OnResize

Declaration

Source position: comctrls.pp line 2661

published property TCoolBar.OnResize : TNotifyEvent;


TCoolBar.OnStartDock

Declaration

Source position: comctrls.pp line 2662

published property TCoolBar.OnStartDock : TStartDockEvent;


TCoolBar.OnStartDrag

Declaration

Source position: comctrls.pp line 2663

published property TCoolBar.OnStartDrag : TStartDragEvent;


TCoolBar.OnUnDock

Declaration

Source position: comctrls.pp line 2664

published property TCoolBar.OnUnDock : TUnDockEvent;


TCoolBar.ParentColor

Declaration

Source position: comctrls.pp line 2631

published property TCoolBar.ParentColor : Boolean;


TCoolBar.ParentFont

Declaration

Source position: comctrls.pp line 2632

published property TCoolBar.ParentFont : Boolean;


TCoolBar.ParentShowHint

Declaration

Source position: comctrls.pp line 2633

published property TCoolBar.ParentShowHint : Boolean;


TCoolBar.PopupMenu

Declaration

Source position: comctrls.pp line 2635

published property TCoolBar.PopupMenu : TPopupMenu;


TCoolBar.ShowHint

Declaration

Source position: comctrls.pp line 2636

published property TCoolBar.ShowHint : Boolean;


TCoolBar.ShowText

Declaration

Source position: comctrls.pp line 2637

published property TCoolBar.ShowText : Boolean;


TCoolBar.Themed

Declaration

Source position: comctrls.pp line 2638

published property TCoolBar.Themed : Boolean;


TCoolBar.Vertical

Declaration

Source position: comctrls.pp line 2639

published property TCoolBar.Vertical : Boolean;


TCoolBar.VerticalSpacing

Declaration

Source position: comctrls.pp line 2640

published property TCoolBar.VerticalSpacing : Integer;


TCoolBar.Visible

Declaration

Source position: comctrls.pp line 2641

published property TCoolBar.Visible : Boolean;


TCustomCoolBar

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Declaration

Source position: comctrls.pp line 2497

type TCustomCoolBar = class(TToolWindow)

protected

Const

  cDefGrabStyle = gsDouble

  cDefGrabWidth = 10

  cDefHorSpacing = 5

  cDefVertSpacing = 3

  cNewRowBelow = cNewRowBelow; = - 1

  cNewRowAbove = cNewRowAbove; = - 2

  FBorderEdges: TEdgeBorders;

  FBorderLeft: SmallInt;

  FBorderTop: SmallInt;

  FBorderRight: SmallInt;

  FBorderBottom: SmallInt;

  FBorderWidth: SmallInt;

  FCursorBkgnd: TCursor;

  FDragBand: TDragBand;

  FDraggedBandIndex: Integer;

  FDragInitPos: Integer;

  FLockCursor: Boolean;

  FRightToLeft: Boolean;

  FTextHeight: Integer;

  FVisiBands: ;

  procedure AlignControls(); override;

  procedure BitmapOrImageListChange();

  procedure CalculatePreferredSize(); override;

  procedure CalculateAndAlign;

  function CalculateRealIndex();

  procedure ChangeCursor();

  procedure CMBiDiModeChanged(); message;

  procedure CreateWnd; override;

  procedure DoFontChanged;

  procedure DrawTiledBitmap();

  procedure FontChanged(); override;

  function IsFirstAtRow();

  function IsRowEnd();

  procedure MouseDown(); override;

  procedure MouseMove(); override;

  procedure MouseUp(); override;

  procedure Notification(); override;

  procedure Paint; override;

  procedure SetAlign();

  procedure SetAutoSize(); override;

  procedure SetCursor(); override;

  procedure WMSize(); message;

public

  constructor Create(); override;

  destructor Destroy; override;

  procedure AutosizeBands;

  procedure EndUpdate; override;

  procedure Invalidate; override;

  procedure InsertControl(); override;

  procedure MouseToBandPos();

  procedure RemoveControl(); override;

  property Align: TAlign; [rw]

  property BandBorderStyle: TBorderStyle; [rw]

  property BandMaximize: TCoolBandMaximize; [rw]

  property Bands: TCoolBands; [rw]

  property Bitmap: TBitmap; [rw]

  property FixedSize: Boolean; [rw]

  property FixedOrder: Boolean; [rw]

  property GrabStyle: TGrabStyle; [rw]

  property GrabWidth: Integer; [rw]

  property HorizontalSpacing: Integer; [rw]

  property Images: TCustomImageList; [rw]

  property ImagesWidth: Integer; [rw]

  property ShowText: Boolean; [rw]

  property Themed: Boolean; [rw]

  property Vertical: Boolean; [rw]

  property VerticalSpacing: Integer; [rw]

  property OnChange: TNotifyEvent; [rw]

end;

Inheritance

TCustomCoolBar
|
TToolWindow |
|
TCustomControl | The base class for windowed controls which paint themselves.
|
TWinControl | The base class for controls which can contain other (child) controls.
|
TControl | The base class for visible controls.
|
TLCLComponent | The base class for LCL components associated with widgets.
|
TComponent,IUnknown,IInterfaceComponentReference
|
TPersistent,IFPObserved
|
TObject


TCustomCoolBar
 |  | Align
 |  | BandBorderStyle
 |  | BandMaximize
 |  | Bands
 |  | Bitmap
 |  | FixedSize
 |  | FixedOrder
 |  | GrabStyle
 |  | GrabWidth
 |  | HorizontalSpacing
 |  | Images
 |  | ImagesWidth
 |  | ShowText
 |  | Themed
 |  | Vertical
 |  | VerticalSpacing
TToolWindow
 |  | EdgeBorders
 |  | EdgeInner
 |  | EdgeOuter
TCustomControl
 |  | Canvas
 | ro | BorderStyle
TWinControl
pt |  | WindowHandle
pt |  | BorderStyle
pt |  | ParentBackground
 |  | BorderWidth
 | ro | BoundsLockCount
 | ro | Brush
 | ro | CachedClientHeight
 | ro | CachedClientWidth
 |  | ChildSizing
 | ro | ControlCount
 | ro | Controls
 |  | DefWndProc
 | ro | DockClientCount
 | ro | DockClients
 |  | DockManager
 |  | DockSite
 |  | DoubleBuffered
 |  | Handle
 | ro | IsFlipped
 | ro | IsResizing
 |  | TabOrder
 |  | TabStop
 |  | ParentDoubleBuffered
 |  | ParentWindow
 | ro | Showing
 |  | UseDockManager
 |  | DesignerDeleting
 | ro | VisibleDockClientCount
TControl
pt | ro | AutoSizing
pt | ro | AutoSizingAll
pt | ro | AutoSizingLockCount
pt |  | ActionLink
pt |  | DesktopFont
pt |  | DragCursor
pt |  | DragKind
pt |  | DragMode
pt |  | MouseCapture
pt |  | ParentColor
pt |  | ParentFont
pt |  | ParentShowHint
pt |  | SessionProperties
pt |  | Text
 | ro | AnchoredControls
 | ro | BaseBounds
 | ro | ReadBounds
 | ro | BaseParentClientSize
 |  | AccessibleDescription
 |  | AccessibleValue
 |  | AccessibleRole
 |  | Action
 |  | Align
 |  | Anchors
 | ro | AnchorSide
 |  | AutoSize
 |  | BorderSpacing
 |  | BoundsRect
 |  | BoundsRectForNewParent
 |  | Caption
 |  | CaptureMouseButtons
 |  | ClientHeight
 | ro | ClientOrigin
 | ro | ClientRect
 |  | ClientWidth
 |  | Color
 |  | Constraints
 | ro | ControlOrigin
 |  | ControlState
 |  | ControlStyle
 |  | Enabled
 |  | Font
 |  | IsControl
 | ro | MouseEntered
 | ro | MouseInClient
 |  | Parent
 |  | PopupMenu
 |  | ShowHint
 |  | Visible
 |  | WindowProc
 |  | DockOrientation
 | ro | Floating
 |  | FloatingDockSiteClass
 |  | HostDockSite
 |  | LRDockWidth
 |  | TBDockHeight
 |  | UndockHeight
 |  | UndockWidth
 |  | BiDiMode
 |  | ParentBiDiMode
pl |  | AnchorSideLeft
pl |  | AnchorSideTop
pl |  | AnchorSideRight
pl |  | AnchorSideBottom
pl |  | Cursor
pl |  | Left
pl |  | Height
pl |  | Hint
pl |  | Top
pl |  | Width
pl |  | HelpType
pl |  | HelpKeyword
pl |  | HelpContext
TLCLComponent
 | ro | LCLRefCount
 | ro | WidgetSetClass
TComponent
 | ro | ComObject
 | ro | Components
 | ro | ComponentCount
 |  | ComponentIndex
 | ro | ComponentState
 | ro | ComponentStyle
 |  | DesignInfo
 | ro | Owner
 |  | VCLComObject
 |  | Name
 |  | Tag
TPersistent
TObject


 |  | AccessibleDescription (TControl)
 |  | AccessibleRole (TControl)
 |  | AccessibleValue (TControl)
 |  | Action (TControl)
pt |  | ActionLink (TControl)
 |  | Align (TControl)
 |  | Align (TCustomCoolBar)
 | ro | AnchoredControls (TControl)
 |  | Anchors (TControl)
 | ro | AnchorSide (TControl)
pl |  | AnchorSideBottom (TControl)
pl |  | AnchorSideLeft (TControl)
pl |  | AnchorSideRight (TControl)
pl |  | AnchorSideTop (TControl)
 |  | AutoSize (TControl)
pt | ro | AutoSizing (TControl)
pt | ro | AutoSizingAll (TControl)
pt | ro | AutoSizingLockCount (TControl)
 |  | BandBorderStyle (TCustomCoolBar)
 |  | BandMaximize (TCustomCoolBar)
 |  | Bands (TCustomCoolBar)
 | ro | BaseBounds (TControl)
 | ro | BaseParentClientSize (TControl)
 |  | BiDiMode (TControl)
 |  | Bitmap (TCustomCoolBar)
 |  | BorderSpacing (TControl)
pt |  | BorderStyle (TWinControl)
 | ro | BorderStyle (TCustomControl)
 |  | BorderWidth (TWinControl)
 | ro | BoundsLockCount (TWinControl)
 |  | BoundsRect (TControl)
 |  | BoundsRectForNewParent (TControl)
 | ro | Brush (TWinControl)
 | ro | CachedClientHeight (TWinControl)
 | ro | CachedClientWidth (TWinControl)
 |  | Canvas (TCustomControl)
 |  | Caption (TControl)
 |  | CaptureMouseButtons (TControl)
 |  | ChildSizing (TWinControl)
 |  | ClientHeight (TControl)
 | ro | ClientOrigin (TControl)
 | ro | ClientRect (TControl)
 |  | ClientWidth (TControl)
 |  | Color (TControl)
 | ro | ComObject (TComponent)
 | ro | ComponentCount (TComponent)
 |  | ComponentIndex (TComponent)
 | ro | Components (TComponent)
 | ro | ComponentState (TComponent)
 | ro | ComponentStyle (TComponent)
 |  | Constraints (TControl)
 | ro | ControlCount (TWinControl)
 | ro | ControlOrigin (TControl)
 | ro | Controls (TWinControl)
 |  | ControlState (TControl)
 |  | ControlStyle (TControl)
pl |  | Cursor (TControl)
 |  | DefWndProc (TWinControl)
 |  | DesignerDeleting (TWinControl)
 |  | DesignInfo (TComponent)
pt |  | DesktopFont (TControl)
 | ro | DockClientCount (TWinControl)
 | ro | DockClients (TWinControl)
 |  | DockManager (TWinControl)
 |  | DockOrientation (TControl)
 |  | DockSite (TWinControl)
 |  | DoubleBuffered (TWinControl)
pt |  | DragCursor (TControl)
pt |  | DragKind (TControl)
pt |  | DragMode (TControl)
 |  | EdgeBorders (TToolWindow)
 |  | EdgeInner (TToolWindow)
 |  | EdgeOuter (TToolWindow)
 |  | Enabled (TControl)
 |  | FixedOrder (TCustomCoolBar)
 |  | FixedSize (TCustomCoolBar)
 | ro | Floating (TControl)
 |  | FloatingDockSiteClass (TControl)
 |  | Font (TControl)
 |  | GrabStyle (TCustomCoolBar)
 |  | GrabWidth (TCustomCoolBar)
 |  | Handle (TWinControl)
pl |  | Height (TControl)
pl |  | HelpContext (TControl)
pl |  | HelpKeyword (TControl)
pl |  | HelpType (TControl)
pl |  | Hint (TControl)
 |  | HorizontalSpacing (TCustomCoolBar)
 |  | HostDockSite (TControl)
 |  | Images (TCustomCoolBar)
 |  | ImagesWidth (TCustomCoolBar)
 |  | IsControl (TControl)
 | ro | IsFlipped (TWinControl)
 | ro | IsResizing (TWinControl)
 | ro | LCLRefCount (TLCLComponent)
pl |  | Left (TControl)
 |  | LRDockWidth (TControl)
pt |  | MouseCapture (TControl)
 | ro | MouseEntered (TControl)
 | ro | MouseInClient (TControl)
 |  | Name (TComponent)
 | ro | Owner (TComponent)
 |  | Parent (TControl)
pt |  | ParentBackground (TWinControl)
 |  | ParentBiDiMode (TControl)
pt |  | ParentColor (TControl)
 |  | ParentDoubleBuffered (TWinControl)
pt |  | ParentFont (TControl)
pt |  | ParentShowHint (TControl)
 |  | ParentWindow (TWinControl)
 |  | PopupMenu (TControl)
 | ro | ReadBounds (TControl)
pt |  | SessionProperties (TControl)
 |  | ShowHint (TControl)
 | ro | Showing (TWinControl)
 |  | ShowText (TCustomCoolBar)
 |  | TabOrder (TWinControl)
 |  | TabStop (TWinControl)
 |  | Tag (TComponent)
 |  | TBDockHeight (TControl)
pt |  | Text (TControl)
 |  | Themed (TCustomCoolBar)
pl |  | Top (TControl)
 |  | UndockHeight (TControl)
 |  | UndockWidth (TControl)
 |  | UseDockManager (TWinControl)
 |  | VCLComObject (TComponent)
 |  | Vertical (TCustomCoolBar)
 |  | VerticalSpacing (TCustomCoolBar)
 |  | Visible (TControl)
 | ro | VisibleDockClientCount (TWinControl)
 | ro | WidgetSetClass (TLCLComponent)
pl |  | Width (TControl)
pt |  | WindowHandle (TWinControl)
 |  | WindowProc (TControl)


TCustomCoolBar
pt | AlignControls
pt | BitmapOrImageListChange
pt | CalculatePreferredSize
pt | CalculateAndAlign
pt | CalculateRealIndex
pt | ChangeCursor
pt | CMBiDiModeChanged
pt | CreateWnd
pt | DoFontChanged
pt | DrawTiledBitmap
pt | FontChanged
pt | IsFirstAtRow
pt | IsRowEnd
pt | MouseDown
pt | MouseMove
pt | MouseUp
pt | Notification
pt | Paint
pt | SetAlign
pt | SetAutoSize
pt | SetCursor
pt | WMSize
 | Create
 | Destroy
 | AutosizeBands
 | EndUpdate
 | Invalidate
 | InsertControl
 | MouseToBandPos
 | RemoveControl
TToolWindow
pt | AdjustClientRect
pt | Paint
 | Create
 | BeginUpdate
 | EndUpdate
TCustomControl
pt | WSRegisterClass
pt | WMPaint
pt | DestroyWnd
pt | PaintWindow
pt | FontChanged
pt | SetColor
pt | Paint
 | Create
 | Destroy
TWinControl
pt | WSRegisterClass
pt | AdjustClientRect
pt | GetAdjustedLogicalClientRect
pt | AlignControls
pt | CustomAlignInsertBefore
pt | CustomAlignPosition
pt | DoAlignChildControls
pt | DoChildSizingChange
pt | InvalidatePreferredChildSizes
pt | CanTab
pt | IsClientHeightStored
pt | IsClientWidthStored
pt | DoSendShowHideToInterface
pt | ControlsAligned
pt | DoSendBoundsToInterface
pt | RealizeBounds
pt | RealizeBoundsRecursive
pt | InvalidateBoundsRealized
pt | CreateSubClass
pt | DoConstraintsChange
pt | DoSetBounds
pt | DoAutoSize
pt | DoAllAutoSize
pt | AllAutoSized
pt | CalculatePreferredSize
pt | GetPreferredSizeClientFrame
pt | GetChildren
pt | ChildClassAllowed
pt | PaintControls
pt | PaintHandler
pt | PaintWindow
pt | CreateBrush
pt | ScaleControls
pt | ChangeScale
pt | CMBiDiModeChanged
pt | CMBorderChanged
pt | CMDoubleBufferedChanged
pt | CMEnabledChanged
pt | CMParentDoubleBufferedChanged
pt | CMShowingChanged
pt | CMShowHintChanged
pt | CMVisibleChanged
pt | CMEnter
pt | CMExit
pt | WMContextMenu
pt | WMEraseBkgnd
pt | WMNotify
pt | WMSetFocus
pt | WMKillFocus
pt | WMShowWindow
pt | WMEnter
pt | WMExit
pt | WMKeyDown
pt | WMSysKeyDown
pt | WMKeyUp
pt | WMSysKeyUp
pt | WMChar
pt | WMSysChar
pt | WMPaint
pt | WMDestroy
pt | WMMove
pt | WMSize
pt | WMWindowPosChanged
pt | CNKeyDown
pt | CNSysKeyDown
pt | CNKeyUp
pt | CNSysKeyUp
pt | CNChar
pt | DoDragMsg
pt | DoDockClientMsg
pt | DoUndockClientMsg
pt | DoAddDockClient
pt | DockOver
pt | DoDockOver
pt | DoRemoveDockClient
pt | DoUnDock
pt | GetSiteInfo
pt | GetParentHandle
pt | GetTopParentHandle
pt | ReloadDockedControl
pt | CreateDockManager
pt | SetDockManager
pt | DoFloatMsg
pt | DoGetDockCaption
pt | DoEnter
pt | DoExit
pt | DoKeyDownBeforeInterface
pt | DoRemainingKeyDown
pt | DoRemainingKeyUp
pt | DoKeyPress
pt | DoUTF8KeyPress
pt | DoKeyUpBeforeInterface
pt | ChildKey
pt | SendDialogChar
pt | DialogChar
pt | ControlKeyDown
pt | ControlKeyUp
pt | KeyDown
pt | KeyDownBeforeInterface
pt | KeyDownAfterInterface
pt | KeyPress
pt | KeyUp
pt | KeyUpBeforeInterface
pt | KeyUpAfterInterface
pt | UTF8KeyPress
pt | FindNextControl
pt | SelectFirst
pt | RealGetText
pt | GetBorderStyle
pt | GetClientOrigin
pt | GetClientRect
pt | GetControlOrigin
pt | GetDeviceContext
pt | GetParentBackground
pt | IsControlMouseMsg
pt | CreateHandle
pt | CreateParams
pt | CreateWnd
pt | DestroyHandle
pt | DestroyWnd
pt | DoFlipChildren
pt | FinalizeWnd
pt | FixupTabList
pt | FontChanged
pt | InitializeWnd
pt | Loaded
pt | FormEndUpdated
pt | MainWndProc
pt | ParentFormHandleInitialized
pt | ChildHandlesCreated
pt | GetMouseCapture
pt | RealSetText
pt | RemoveFocus
pt | SendMoveSizeMessages
pt | SetBorderStyle
pt | SetColor
pt | SetChildZPosition
pt | SetParentBackground
pt | ShowControl
pt | UpdateControlState
pt | UpdateShowing
pt | WndProc
pt | WSSetText
 | AutoSizePhases
 | AutoSizeDelayed
 | AutoSizeDelayedReport
 | AutoSizeDelayedHandle
 | BeginUpdateBounds
 | EndUpdateBounds
 | LockRealizeBounds
 | UnlockRealizeBounds
 | ControlAtPos
 | ContainsControl
 | DoAdjustClientRectChange
 | InvalidateClientRectCache
 | ClientRectNeedsInterfaceUpdate
 | SetBounds
 | GetChildrenRect
 | DisableAlign
 | EnableAlign
 | ReAlign
 | ScrollBy_WS
 | ScrollBy
 | WriteLayoutDebugReport
 | AutoAdjustLayout
 | Create
 | CreateParented
 | CreateParentedControl
 | Destroy
 | DockDrop
 | CanFocus
 | CanSetFocus
 | GetControlIndex
 | SetControlIndex
 | Focused
 | PerformTab
 | FindChildControl
 | SelectNext
 | SetTempCursor
 | BroadCast
 | NotifyControls
 | DefaultHandler
 | GetTextLen
 | Invalidate
 | AddControl
 | InsertControl
 | RemoveControl
 | GetEnumeratorControls
 | GetEnumeratorControlsReverse
 | Repaint
 | Update
 | SetFocus
 | FlipChildren
 | ScaleBy
 | GetDockCaption
 | UpdateDockCaption
 | GetTabOrderList
 | HandleAllocated
 | ParentHandlesAllocated
 | HandleNeeded
 | BrushCreated
 | EraseBackground
 | IntfUTF8KeyPress
 | IntfGetDropFilesTarget
 | PaintTo
 | SetShape
TControl
pt | WSRegisterClass
pt | GetCursor
pt | SetCursor
pt | SetVisible
pt | DoOnParentHandleDestruction
pt | DoAutoSize
pt | DoAllAutoSize
pt | BeginAutoSizing
pt | EndAutoSizing
pt | AnchorSideChanged
pt | ForeignAnchorSideChanged
pt | SetAlign
pt | SetAnchors
pt | SetAutoSize
pt | BoundsChanged
pt | CreateControlBorderSpacing
pt | DoConstraintsChange
pt | DoBorderSpacingChange
pt | IsBorderSpacingInnerBorderStored
pt | IsCaptionStored
pt | SendMoveSizeMessages
pt | ConstrainedResize
pt | CalculatePreferredSize
pt | DoOnResize
pt | DoOnChangeBounds
pt | CheckOnChangeBounds
pt | Resize
pt | RequestAlign
pt | UpdateAnchorRules
pt | ChangeBounds
pt | DoSetBounds
pt | ScaleConstraints
pt | ChangeScale
pt | CanAutoSize
pt | SetBiDiMode
pt | SetParentBiDiMode
pt | IsAParentAligning
pt | GetClientOrigin
pt | GetClientRect
pt | GetLogicalClientRect
pt | GetScrolledClientRect
pt | GetClientScrollOffset
pt | GetControlOrigin
pt | IsClientHeightStored
pt | IsClientWidthStored
pt | WidthIsAnchored
pt | HeightIsAnchored
pt | WMCancelMode
pt | WMContextMenu
pt | WMLButtonDown
pt | WMRButtonDown
pt | WMMButtonDown
pt | WMXButtonDown
pt | WMLButtonDBLCLK
pt | WMRButtonDBLCLK
pt | WMMButtonDBLCLK
pt | WMXButtonDBLCLK
pt | WMLButtonTripleCLK
pt | WMRButtonTripleCLK
pt | WMMButtonTripleCLK
pt | WMXButtonTripleCLK
pt | WMLButtonQuadCLK
pt | WMRButtonQuadCLK
pt | WMMButtonQuadCLK
pt | WMXButtonQuadCLK
pt | WMMouseMove
pt | WMLButtonUp
pt | WMRButtonUp
pt | WMMButtonUp
pt | WMXButtonUp
pt | WMMouseWheel
pt | WMMouseHWheel
pt | WMMove
pt | WMSize
pt | WMWindowPosChanged
pt | CMChanged
pt | LMCaptureChanged
pt | CMBiDiModeChanged
pt | CMSysFontChanged
pt | CMEnabledChanged
pt | CMHitTest
pt | CMMouseEnter
pt | CMMouseLeave
pt | CMHintShow
pt | CMParentBiDiModeChanged
pt | CMParentColorChanged
pt | CMParentFontChanged
pt | CMParentShowHintChanged
pt | CMVisibleChanged
pt | CMTextChanged
pt | CMCursorChanged
pt | CalculateDockSizes
pt | CreateFloatingDockSite
pt | GetDockEdge
pt | GetDragImages
pt | GetFloating
pt | GetFloatingDockSiteClass
pt | BeforeDragStart
pt | BeginAutoDrag
pt | DoFloatMsg
pt | DockTrackNoTarget
pt | DoDock
pt | DoDragMsg
pt | DoEndDock
pt | DoEndDrag
pt | DoStartDock
pt | DoStartDrag
pt | DragCanceled
pt | DragOver
pt | PositionDockRect
pt | SetDragMode
pt | GetDefaultDockCaption
pt | Click
pt | DblClick
pt | TripleClick
pt | QuadClick
pt | GetMousePosFromMessage
pt | MouseDown
pt | MouseMove
pt | MouseUp
pt | MouseEnter
pt | MouseLeave
pt | DialogChar
pt | UpdateMouseCursor
pt | Changed
pt | GetPalette
pt | ChildClassAllowed
pt | ReadState
pt | Loaded
pt | LoadedAll
pt | DefineProperties
pt | AssignTo
pt | FormEndUpdated
pt | InvalidateControl
pt | FontChanged
pt | ParentFontChanged
pt | GetAction
pt | RealGetText
pt | RealSetText
pt | TextChanged
pt | GetCachedText
pt | SetAction
pt | SetColor
pt | SetEnabled
pt | SetHint
pt | SetName
pt | SetParent
pt | SetParentComponent
pt | WndProc
pt | ParentFormHandleInitialized
pt | GetMouseCapture
pt | CaptureChanged
pt | Notification
pt | CanTab
pt | GetDeviceContext
pt | GetEnabled
pt | GetPopupMenu
pt | DoOnShowHint
pt | DoMouseWheel
pt | DoMouseWheelDown
pt | DoMouseWheelUp
pt | DoMouseWheelHorz
pt | DoMouseWheelLeft
pt | DoMouseWheelRight
pt | VisibleChanging
pt | VisibleChanged
pt | EnabledChanging
pt | EnabledChanged
pt | AddHandler
pt | RemoveHandler
pt | DoCallNotifyHandler
pt | DoCallKeyEventHandler
pt | DoCallMouseWheelEventHandler
pt | DoContextPopup
pt | SetZOrder
pt | GetControlClassDefaultSize
pt | ColorIsStored
pt | DoAutoAdjustLayout
pt | DoFixDesignFontPPI
pt | DoScaleFontPPI
pt | GetActionLinkClass
pt | ActionChange
 | DragDrop
 | Dock
 | ManualDock
 | ManualFloat
 | ReplaceDockedControl
 | Docked
 | Dragging
 | GetAccessibleObject
 | CreateAccessibleObject
 | GetSelectedChildAccessibleObject
 | GetChildAccessibleObjectAtPos
 | ScaleDesignToForm
 | ScaleFormToDesign
 | Scale96ToForm
 | ScaleFormTo96
 | Scale96ToFont
 | ScaleFontTo96
 | ScaleScreenToFont
 | ScaleFontToScreen
 | Scale96ToScreen
 | ScaleScreenTo96
 | AdjustSize
 | AutoSizePhases
 | AutoSizeDelayed
 | AutoSizeDelayedReport
 | AutoSizeDelayedHandle
 | AnchorToNeighbour
 | AnchorParallel
 | AnchorHorizontalCenterTo
 | AnchorVerticalCenterTo
 | AnchorToCompanion
 | AnchorSame
 | AnchorAsAlign
 | AnchorClient
 | AnchoredControlCount
 | SetBounds
 | SetInitialBounds
 | SetBoundsKeepBase
 | GetPreferredSize
 | GetCanvasScaleFactor
 | GetDefaultWidth
 | GetDefaultHeight
 | GetDefaultColor
 | GetColorResolvingParent
 | GetRGBColorResolvingParent
 | GetSidePosition
 | CNPreferredSizeChanged
 | InvalidatePreferredSize
 | GetAnchorsDependingOnParent
 | DisableAutoSizing
 | EnableAutoSizing
 | UpdateBaseBounds
 | WriteLayoutDebugReport
 | AutoAdjustLayout
 | ShouldAutoAdjust
 | FixDesignFontsPPI
 | ScaleFontsPPI
 | Create
 | Destroy
 | BeforeDestruction
 | EditingDone
 | ExecuteDefaultAction
 | ExecuteCancelAction
 | BeginDrag
 | EndDrag
 | BringToFront
 | HasParent
 | GetParentComponent
 | IsParentOf
 | GetTopParent
 | IsVisible
 | IsControlVisible
 | IsEnabled
 | IsParentColor
 | IsParentFont
 | FormIsUpdating
 | IsProcessingPaintMsg
 | Hide
 | Refresh
 | Repaint
 | Invalidate
 | CheckChildClassAllowed
 | CheckNewParent
 | SendToBack
 | SetTempCursor
 | UpdateRolesForForm
 | ActiveDefaultControlChanged
 | GetTextBuf
 | GetTextLen
 | SetTextBuf
 | Perform
 | ScreenToClient
 | ClientToScreen
 | ScreenToControl
 | ControlToScreen
 | ClientToParent
 | ParentToClient
 | GetChildrenRect
 | Show
 | Update
 | HandleObjectShouldBeVisible
 | ParentDestroyingHandle
 | ParentHandlesAllocated
 | InitiateAction
 | ShowHelp
 | HasHelp
 | RemoveAllHandlersOfObject
 | AddHandlerOnResize
 | RemoveHandlerOnResize
 | AddHandlerOnChangeBounds
 | RemoveHandlerOnChangeBounds
 | AddHandlerOnVisibleChanging
 | RemoveHandlerOnVisibleChanging
 | AddHandlerOnVisibleChanged
 | RemoveHandlerOnVisibleChanged
 | AddHandlerOnEnabledChanged
 | RemoveHandlerOnEnableChanging
 | AddHandlerOnKeyDown
 | RemoveHandlerOnKeyDown
 | AddHandlerOnBeforeDestruction
 | RemoveHandlerOnBeforeDestruction
 | AddHandlerOnMouseWheel
 | RemoveHandlerOnMouseWheel
 | UseRightToLeftAlignment
 | UseRightToLeftReading
 | UseRightToLeftScrollBar
 | IsRightToLeft
TLCLComponent
pt | WSRegisterClass
pt | GetWSComponentClass
 | Create
 | Destroy
 | NewInstance
 | RemoveAllHandlersOfObject
 | IncLCLRefCount
 | DecLCLRefCount
TComponent
 | GetComObject
 | GetComponent
 | GetComponentCount
 | GetComponentIndex
 | Insert
 | ReadLeft
 | ReadTop
 | Remove
 | RemoveNotification
 | SetComponentIndex
 | SetReference
 | WriteLeft
 | WriteTop
 | ChangeName
 | DefineProperties
 | GetChildren
 | GetChildOwner
 | GetChildParent
 | GetOwner
 | Loaded
 | Loading
 | Notification
 | PaletteCreated
 | ReadState
 | SetAncestor
 | SetDesigning
 | SetDesignInstance
 | SetInline
 | SetName
 | SetChildOrder
 | SetParentComponent
 | Updating
 | Updated
 | UpdateRegistry
 | ValidateRename
 | ValidateContainer
 | ValidateInsert
 | QueryInterface
 | _AddRef
 | _Release
 | iicrGetComponent
 | GetTypeInfoCount
 | GetTypeInfo
 | GetIDsOfNames
 | Invoke
 | WriteState
 | Create
 | Destroy
 | BeforeDestruction
 | DestroyComponents
 | Destroying
 | ExecuteAction
 | FindComponent
 | FreeNotification
 | RemoveFreeNotification
 | FreeOnRelease
 | GetEnumerator
 | GetNamePath
 | GetParentComponent
 | HasParent
 | InsertComponent
 | RemoveComponent
 | SafeCallException
 | SetSubComponent
 | UpdateAction
 | IsImplementorOf
 | ReferenceInterface
TPersistent
 | AssignError
 | AssignTo
 | DefineProperties
 | GetOwner
 | Destroy
 | Assign
 | FPOAttachObserver
 | FPODetachObserver
 | FPONotifyObservers
 | GetNamePath
TObject
 | Create
 | Destroy
 | newinstance
 | FreeInstance
 | SafeCallException
 | DefaultHandler
 | Free
 | InitInstance
 | CleanupInstance
 | ClassType
 | ClassInfo
 | ClassName
 | ClassNameIs
 | ClassParent
 | InstanceSize
 | InheritsFrom
 | StringMessageTable
 | MethodAddress
 | MethodName
 | FieldAddress
 | AfterConstruction
 | BeforeDestruction
 | DefaultHandlerStr
 | Dispatch
 | DispatchStr
 | GetInterface
 | GetInterfaceByStr
 | GetInterfaceWeak
 | GetInterfaceEntry
 | GetInterfaceEntryByStr
 | GetInterfaceTable
 | UnitName
 | Equals
 | GetHashCode
 | ToString


TCustomCoolBar
 | OnChange
TToolWindow
TCustomControl
 | OnPaint
TWinControl
pt | OnGetSiteInfo
pt | OnGetDockCaption
 | OnAlignInsertBefore
 | OnAlignPosition
 | OnDockDrop
 | OnDockOver
 | OnEnter
 | OnExit
 | OnKeyDown
 | OnKeyPress
 | OnKeyUp
 | OnUnDock
 | OnUTF8KeyPress
TControl
pt | OnConstrainedResize
pt | OnContextPopup
pt | OnDblClick
pt | OnTripleClick
pt | OnQuadClick
pt | OnDragDrop
pt | OnDragOver
pt | OnEndDock
pt | OnEndDrag
pt | OnMouseDown
pt | OnMouseMove
pt | OnMouseUp
pt | OnMouseEnter
pt | OnMouseLeave
pt | OnMouseWheel
pt | OnMouseWheelDown
pt | OnMouseWheelUp
pt | OnMouseWheelHorz
pt | OnMouseWheelLeft
pt | OnMouseWheelRight
pt | OnStartDock
pt | OnStartDrag
pt | OnEditingDone
 | OnChangeBounds
 | OnClick
 | OnResize
 | OnShowHint
TLCLComponent
TComponent
TPersistent
TObject


 | OnAlignInsertBefore (TWinControl)
 | OnAlignPosition (TWinControl)
 | OnChange (TCustomCoolBar)
 | OnChangeBounds (TControl)
 | OnClick (TControl)
pt | OnConstrainedResize (TControl)
pt | OnContextPopup (TControl)
pt | OnDblClick (TControl)
 | OnDockDrop (TWinControl)
 | OnDockOver (TWinControl)
pt | OnDragDrop (TControl)
pt | OnDragOver (TControl)
pt | OnEditingDone (TControl)
pt | OnEndDock (TControl)
pt | OnEndDrag (TControl)
 | OnEnter (TWinControl)
 | OnExit (TWinControl)
pt | OnGetDockCaption (TWinControl)
pt | OnGetSiteInfo (TWinControl)
 | OnKeyDown (TWinControl)
 | OnKeyPress (TWinControl)
 | OnKeyUp (TWinControl)
pt | OnMouseDown (TControl)
pt | OnMouseEnter (TControl)
pt | OnMouseLeave (TControl)
pt | OnMouseMove (TControl)
pt | OnMouseUp (TControl)
pt | OnMouseWheel (TControl)
pt | OnMouseWheelDown (TControl)
pt | OnMouseWheelHorz (TControl)
pt | OnMouseWheelLeft (TControl)
pt | OnMouseWheelRight (TControl)
pt | OnMouseWheelUp (TControl)
 | OnPaint (TCustomControl)
pt | OnQuadClick (TControl)
 | OnResize (TControl)
 | OnShowHint (TControl)
pt | OnStartDock (TControl)
pt | OnStartDrag (TControl)
pt | OnTripleClick (TControl)
 | OnUnDock (TWinControl)
 | OnUTF8KeyPress (TWinControl)


TCustomCoolBar.Align

Declaration

Source position: comctrls.pp line 2582

public property TCustomCoolBar.Align : TAlign
  read GetAlign
  write SetAlign
  default alTop;


TCustomCoolBar.AlignControls

Declaration

Source position: comctrls.pp line 2549

protected procedure TCustomCoolBar.AlignControls(

  AControl: TControl;

  var RemainingClientRect: TRect

); override;


TCustomCoolBar.AutosizeBands

Declaration

Source position: comctrls.pp line 2575

public procedure TCustomCoolBar.AutosizeBands;


TCustomCoolBar.BandBorderStyle

Declaration

Source position: comctrls.pp line 2583

public property TCustomCoolBar.BandBorderStyle : TBorderStyle
  read FBandBorderStyle
  write SetBandBorderStyle
  default bsSingle;


TCustomCoolBar.BandMaximize

Declaration

Source position: comctrls.pp line 2584

public property TCustomCoolBar.BandMaximize : TCoolBandMaximize
  read FBandMaximize
  write FBandMaximize
  default bmClick;


TCustomCoolBar.Bands

Declaration

Source position: comctrls.pp line 2585

public property TCustomCoolBar.Bands : TCoolBands
  read FBands
  write SetBands;


TCustomCoolBar.Bitmap

Declaration

Source position: comctrls.pp line 2586

public property TCustomCoolBar.Bitmap : TBitmap
  read FBitmap
  write SetBitmap;


TCustomCoolBar.BitmapOrImageListChange

Declaration

Source position: comctrls.pp line 2550

protected procedure TCustomCoolBar.BitmapOrImageListChange(

  Sender: TObject

);


TCustomCoolBar.CalculateAndAlign

Declaration

Source position: comctrls.pp line 2553

protected procedure TCustomCoolBar.CalculateAndAlign;


TCustomCoolBar.CalculatePreferredSize

Declaration

Source position: comctrls.pp line 2551

protected procedure TCustomCoolBar.CalculatePreferredSize(

  var PreferredWidth: Integer;

  var PreferredHeight: Integer;

  WithThemeSpace: Boolean

); override;


TCustomCoolBar.CalculateRealIndex

Declaration

Source position: comctrls.pp line 2554

protected function TCustomCoolBar.CalculateRealIndex(

  AVisibleIndex: Integer

):Integer;


TCustomCoolBar.cDefGrabStyle

Declaration

Source position: comctrls.pp line 2531

protected const TCustomCoolBar.cDefGrabStyle = gsDouble;


TCustomCoolBar.cDefGrabWidth

Declaration

Source position: comctrls.pp line 2532

protected const TCustomCoolBar.cDefGrabWidth = 10;


TCustomCoolBar.cDefHorSpacing

Declaration

Source position: comctrls.pp line 2533

protected const TCustomCoolBar.cDefHorSpacing = 5;


TCustomCoolBar.cDefVertSpacing

Declaration

Source position: comctrls.pp line 2534

protected const TCustomCoolBar.cDefVertSpacing = 3;


TCustomCoolBar.ChangeCursor

Declaration

Source position: comctrls.pp line 2555

protected procedure TCustomCoolBar.ChangeCursor(

  ABand: Boolean;

  AGrabber: Boolean

);


TCustomCoolBar.CMBiDiModeChanged

Declaration

Source position: comctrls.pp line 2556

protected procedure TCustomCoolBar.CMBiDiModeChanged(

  var Message: TLMessage

); message;


TCustomCoolBar.cNewRowAbove

Declaration

Source position: comctrls.pp line 2536

protected const TCustomCoolBar.cNewRowAbove: SmallInt = - 2;


TCustomCoolBar.cNewRowBelow

Declaration

Source position: comctrls.pp line 2535

protected const TCustomCoolBar.cNewRowBelow: SmallInt = - 1;


TCustomCoolBar.CreateWnd

Declaration

Source position: comctrls.pp line 2557

protected procedure TCustomCoolBar.CreateWnd; override;


TCustomCoolBar.Destroy

Declaration

Source position: comctrls.pp line 2574

public destructor TCustomCoolBar.Destroy; override;


TCustomCoolBar.DoFontChanged

Declaration

Source position: comctrls.pp line 2558

protected procedure TCustomCoolBar.DoFontChanged;


TCustomCoolBar.DrawTiledBitmap

Declaration

Source position: comctrls.pp line 2559

protected procedure TCustomCoolBar.DrawTiledBitmap(

  ARect: TRect;

  ABitmap: TBitmap

);


TCustomCoolBar.EndUpdate

Declaration

Source position: comctrls.pp line 2576

public procedure TCustomCoolBar.EndUpdate; override;


TCustomCoolBar.FBorderBottom

Declaration

Source position: comctrls.pp line 2539

protected TCustomCoolBar.FBorderBottom : SmallInt;


TCustomCoolBar.FBorderEdges

Declaration

Source position: comctrls.pp line 2538

protected TCustomCoolBar.FBorderEdges : TEdgeBorders;


TCustomCoolBar.FBorderLeft

Declaration

Source position: comctrls.pp line 2539

protected TCustomCoolBar.FBorderLeft : SmallInt;


TCustomCoolBar.FBorderRight

Declaration

Source position: comctrls.pp line 2539

protected TCustomCoolBar.FBorderRight : SmallInt;


TCustomCoolBar.FBorderTop

Declaration

Source position: comctrls.pp line 2539

protected TCustomCoolBar.FBorderTop : SmallInt;


TCustomCoolBar.FBorderWidth

Declaration

Source position: comctrls.pp line 2540

protected TCustomCoolBar.FBorderWidth : SmallInt;


TCustomCoolBar.FCursorBkgnd

Declaration

Source position: comctrls.pp line 2541

protected TCustomCoolBar.FCursorBkgnd : TCursor;


TCustomCoolBar.FDragBand

Declaration

Source position: comctrls.pp line 2542

protected TCustomCoolBar.FDragBand : TDragBand;


TCustomCoolBar.FDraggedBandIndex

Declaration

Source position: comctrls.pp line 2543

protected TCustomCoolBar.FDraggedBandIndex : Integer;


TCustomCoolBar.FDragInitPos

Declaration

Source position: comctrls.pp line 2544

protected TCustomCoolBar.FDragInitPos : Integer;


TCustomCoolBar.FixedOrder

Declaration

Source position: comctrls.pp line 2588

public property TCustomCoolBar.FixedOrder : Boolean
  read FFixedOrder
  write FFixedOrder
  default False;


TCustomCoolBar.FixedSize

Declaration

Source position: comctrls.pp line 2587

public property TCustomCoolBar.FixedSize : Boolean
  read FFixedSize
  write FFixedSize
  default False;


TCustomCoolBar.FLockCursor

Declaration

Source position: comctrls.pp line 2545

protected TCustomCoolBar.FLockCursor : Boolean;


TCustomCoolBar.FontChanged

Declaration

Source position: comctrls.pp line 2560

protected procedure TCustomCoolBar.FontChanged(

  Sender: TObject

); override;


TCustomCoolBar.FRightToLeft

Declaration

Source position: comctrls.pp line 2546

protected TCustomCoolBar.FRightToLeft : Boolean;


TCustomCoolBar.FTextHeight

Declaration

Source position: comctrls.pp line 2547

protected TCustomCoolBar.FTextHeight : Integer;


TCustomCoolBar.FVisiBands

Declaration

Source position: comctrls.pp line 2548

protected TCustomCoolBar.FVisiBands : array of TCoolBand;


TCustomCoolBar.GrabStyle

Declaration

Source position: comctrls.pp line 2589

public property TCustomCoolBar.GrabStyle : TGrabStyle
  read FGrabStyle
  write SetGrabStyle
  default cDefGrabStyle;


TCustomCoolBar.GrabWidth

Declaration

Source position: comctrls.pp line 2590

public property TCustomCoolBar.GrabWidth : Integer
  read FGrabWidth
  write SetGrabWidth
  default cDefGrabWidth;


TCustomCoolBar.HorizontalSpacing

Declaration

Source position: comctrls.pp line 2591

public property TCustomCoolBar.HorizontalSpacing : Integer
  read FHorizontalSpacing
  write SetHorizontalSpacing
  default cDefHorSpacing;


TCustomCoolBar.Images

Declaration

Source position: comctrls.pp line 2592

public property TCustomCoolBar.Images : TCustomImageList
  read FImages
  write SetImages;


TCustomCoolBar.ImagesWidth

Declaration

Source position: comctrls.pp line 2593

public property TCustomCoolBar.ImagesWidth : Integer
  read FImagesWidth
  write SetImagesWidth
  default 0;


TCustomCoolBar.InsertControl

Declaration

Source position: comctrls.pp line 2578

public procedure TCustomCoolBar.InsertControl(

  AControl: TControl;

  Index: Integer

); override;


TCustomCoolBar.Invalidate

Declaration

Source position: comctrls.pp line 2577

public procedure TCustomCoolBar.Invalidate; override;


TCustomCoolBar.IsFirstAtRow

Declaration

Source position: comctrls.pp line 2561

protected function TCustomCoolBar.IsFirstAtRow(

  ABand: Integer

):Boolean;


TCustomCoolBar.IsRowEnd

Declaration

Source position: comctrls.pp line 2562

protected function TCustomCoolBar.IsRowEnd(

  ALeft: Integer;

  AVisibleIndex: Integer

):Boolean;


TCustomCoolBar.MouseDown

Declaration

Source position: comctrls.pp line 2563

protected procedure TCustomCoolBar.MouseDown(

  Button: TMouseButton;

  Shift: TShiftState;

  X: Integer;

  Y: Integer

); override;


TCustomCoolBar.MouseMove

Declaration

Source position: comctrls.pp line 2564

protected procedure TCustomCoolBar.MouseMove(

  Shift: TShiftState;

  X: Integer;

  Y: Integer

); override;


TCustomCoolBar.MouseToBandPos

Declaration

Source position: comctrls.pp line 2579

public procedure TCustomCoolBar.MouseToBandPos(

  X: Integer;

  Y: Integer;

  out ABand: Integer;

  out AGrabber: Boolean

);


TCustomCoolBar.MouseUp

Declaration

Source position: comctrls.pp line 2565

protected procedure TCustomCoolBar.MouseUp(

  Button: TMouseButton;

  Shift: TShiftState;

  X: Integer;

  Y: Integer

); override;


TCustomCoolBar.Notification

Declaration

Source position: comctrls.pp line 2566

protected procedure TCustomCoolBar.Notification(

  AComponent: TComponent;

  Operation: TOperation

); override;


TCustomCoolBar.OnChange

Declaration

Source position: comctrls.pp line 2598

public property TCustomCoolBar.OnChange : TNotifyEvent
  read FOnChange
  write FOnChange;


TCustomCoolBar.RemoveControl

Declaration

Source position: comctrls.pp line 2580

public procedure TCustomCoolBar.RemoveControl(

  AControl: TControl

); override;


TCustomCoolBar.SetAlign

Declaration

Source position: comctrls.pp line 2568

protected procedure TCustomCoolBar.SetAlign(

  aValue: TAlign

);


TCustomCoolBar.SetAutoSize

Declaration

Source position: comctrls.pp line 2569

protected procedure TCustomCoolBar.SetAutoSize(

  Value: Boolean

); override;


TCustomCoolBar.SetCursor

Declaration

Source position: comctrls.pp line 2570

protected procedure TCustomCoolBar.SetCursor(

  Value: TCursor

); override;


TCustomCoolBar.ShowText

Declaration

Source position: comctrls.pp line 2594

public property TCustomCoolBar.ShowText : Boolean
  read FShowText
  write SetShowText
  default True;


TCustomCoolBar.Themed

Declaration

Source position: comctrls.pp line 2595

public property TCustomCoolBar.Themed : Boolean
  read FThemed
  write SetThemed
  default True;


TCustomCoolBar.Vertical

Declaration

Source position: comctrls.pp line 2596

public property TCustomCoolBar.Vertical : Boolean
  read FVertical
  write SetVertical
  default False;


TCustomCoolBar.VerticalSpacing

Declaration

Source position: comctrls.pp line 2597

public property TCustomCoolBar.VerticalSpacing : Integer
  read FVerticalSpacing
  write SetVerticalSpacing
  default cDefVertSpacing;


TCustomCoolBar.WMSize

Declaration

Source position: comctrls.pp line 2571

protected procedure TCustomCoolBar.WMSize(

  var Message: TLMSize

); message;


TCustomHeaderControl

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

TCustomHeaderControl - base class for THeaderControl, a header strip of user-designed sections which allow selection of pages or actions

Declaration

Source position: comctrls.pp line 3918

type TCustomHeaderControl = class(TCustomControl)
protected
function CreateSection; virtual; | CreateSection - method for creating a header section
function CreateSections; virtual; | CreateSections - method for creating a collection of header sections
procedure Loaded; override;
procedure Notification(); override;
procedure SectionClick(); virtual; | SectionClick - method for emulating the OnSectionClick event
procedure SectionResize(); virtual; | SectionResize - method for emulating the OnSectionResize event
procedure SectionTrack(); virtual; | SectionTrack - method for emulating the OnSectionTrack event
procedure SectionSeparatorDblClick(); virtual; | SectionSeparatorDblClick - method for emulating the OnSectionSeparatorDblClick event
procedure SectionEndDrag; virtual; | SectionEndDrag - method for emulating the OnSectionEndDrag event
function SectionDrag(); virtual; | SectionDrag - method to emulate the OnSectionDrag event
procedure MouseEnter; override; | Invokes the OnMouseEnter handler.
procedure MouseLeave; override; | Invokes the OnMouseLeave handler.
procedure MouseDown(); override; | Handler for MouseDown events.
procedure MouseMove(); override; | Handler for MouseMove events.
procedure MouseUp(); override; | Invokes the OnMouseUp handler.
procedure UpdateState; | UpdateState - bring the state of the control up-to-date
class function GetControlClassDefaultSize; override; | GetControlClassDefaultSize - returns its own defaults, overriding inherited values
procedure DoAutoAdjustLayout(); override;
public
property SectionFromOriginalIndex []: THeaderSection; [r] | SectionFromOriginalIndex - the section as defined by the original (unchanged) index
constructor Create(); override; | Create - constructor for TCustomHeaderControl: calls inherited Create, creates the sections and initialises style and bounds
destructor Destroy; override; | Destroy - destructor for TCustomHeaderControl: frees sections then calls inherited Destroy
procedure Click; override; | Invokes the OnClick and ActionLink.Execute handlers.
procedure DblClick; override; | Invokes the OnDblClick handler.
function GetSectionAt(); | GetSectionAt - find the index for the section located at point P
procedure Paint; override; | Override this method in your derived class with your own paint handler.
procedure PaintSection(); virtual; | PaintSection - method for painting the current section (specified by Index) of the Header
procedure ChangeScale(); override;
published
property DragReorder: Boolean; [rw] | DragReorder - find out if the sections are allowed to be re-ordered by dragging
property Images: TCustomImageList; [rw] | Images - the list of Images available for selection using this tool
property ImagesWidth: Integer; [rw]
property Sections: THeaderSections; [rw] | Sections - the short segments of the header separated by vertical bars that function as the elementary selection units of the header
property OnSectionDrag: TSectionDragEvent; [rw] | OnSectionDrag - event handler for dragging the section of header
property OnSectionEndDrag: TNotifyEvent; [rw] | OnSectionEndDrag - event handler for ending the drag process for this section
property OnSectionClick: TCustomSectionNotifyEvent; [rw] | OnSectionClick - event handler for mouse click on this section of header
property OnSectionResize: TCustomSectionNotifyEvent; [rw] | OnSectionResize - event handler for re-sizing this section of the header
property OnSectionTrack: TCustomSectionTrackEvent; [rw] | OnSectionTrack - event handler for tracking this section
property OnSectionSeparatorDblClick: TCustomSectionNotifyEvent; [rw] | OnSectionSeparatorDblClick - event handler for double-click on the separator between sections
property OnCreateSectionClass: TCustomHCCreateSectionClassEvent; [rw] | OnCreateSectionClass - event handler for creating a new section class
end;

Inheritance

TCustomHeaderControl | TCustomHeaderControl - base class for THeaderControl, a header strip of user-designed sections which allow selection of pages or actions
|
TCustomControl | The base class for windowed controls which paint themselves.
|
TWinControl | The base class for controls which can contain other (child) controls.
|
TControl | The base class for visible controls.
|
TLCLComponent | The base class for LCL components associated with widgets.
|
TComponent,IUnknown,IInterfaceComponentReference
|
TPersistent,IFPObserved
|
TObject

Description

TCustomHeaderControl - base class for THeaderControl, a header strip of user-designed sections which allow selection of pages or actions

THeaderControl offers a widget that could be placed along the edge of a Panel or Form allowing a highly customised mechanism for selection. However there are no intrinsically associated display areas and it is the developer's responsibility to supply an index associated with the selection from the THeaderControl and determining what action is to occur or what is to be displayed in any attached Panel or Form.

See also

Multi-PageControls

Multi-PageControls - controls that offer a selection of alternative pages for display


TCustomHeaderControl
 | ro | SectionFromOriginalIndex
pl |  | DragReorder
pl |  | Images
pl |  | ImagesWidth
pl |  | Sections
TCustomControl
 |  | Canvas
 | ro | BorderStyle
TWinControl
pt |  | WindowHandle
pt |  | BorderStyle
pt |  | ParentBackground
 |  | BorderWidth
 | ro | BoundsLockCount
 | ro | Brush
 | ro | CachedClientHeight
 | ro | CachedClientWidth
 |  | ChildSizing
 | ro | ControlCount
 | ro | Controls
 |  | DefWndProc
 | ro | DockClientCount
 | ro | DockClients
 |  | DockManager
 |  | DockSite
 |  | DoubleBuffered
 |  | Handle
 | ro | IsFlipped
 | ro | IsResizing
 |  | TabOrder
 |  | TabStop
 |  | ParentDoubleBuffered
 |  | ParentWindow
 | ro | Showing
 |  | UseDockManager
 |  | DesignerDeleting
 | ro | VisibleDockClientCount
TControl
pt | ro | AutoSizing
pt | ro | AutoSizingAll
pt | ro | AutoSizingLockCount
pt |  | ActionLink
pt |  | DesktopFont
pt |  | DragCursor
pt |  | DragKind
pt |  | DragMode
pt |  | MouseCapture
pt |  | ParentColor
pt |  | ParentFont
pt |  | ParentShowHint
pt |  | SessionProperties
pt |  | Text
 | ro | AnchoredControls
 | ro | BaseBounds
 | ro | ReadBounds
 | ro | BaseParentClientSize
 |  | AccessibleDescription
 |  | AccessibleValue
 |  | AccessibleRole
 |  | Action
 |  | Align
 |  | Anchors
 | ro | AnchorSide
 |  | AutoSize
 |  | BorderSpacing
 |  | BoundsRect
 |  | BoundsRectForNewParent
 |  | Caption
 |  | CaptureMouseButtons
 |  | ClientHeight
 | ro | ClientOrigin
 | ro | ClientRect
 |  | ClientWidth
 |  | Color
 |  | Constraints
 | ro | ControlOrigin
 |  | ControlState
 |  | ControlStyle
 |  | Enabled
 |  | Font
 |  | IsControl
 | ro | MouseEntered
 | ro | MouseInClient
 |  | Parent
 |  | PopupMenu
 |  | ShowHint
 |  | Visible
 |  | WindowProc
 |  | DockOrientation
 | ro | Floating
 |  | FloatingDockSiteClass
 |  | HostDockSite
 |  | LRDockWidth
 |  | TBDockHeight
 |  | UndockHeight
 |  | UndockWidth
 |  | BiDiMode
 |  | ParentBiDiMode
pl |  | AnchorSideLeft
pl |  | AnchorSideTop
pl |  | AnchorSideRight
pl |  | AnchorSideBottom
pl |  | Cursor
pl |  | Left
pl |  | Height
pl |  | Hint
pl |  | Top
pl |  | Width
pl |  | HelpType
pl |  | HelpKeyword
pl |  | HelpContext
TLCLComponent
 | ro | LCLRefCount
 | ro | WidgetSetClass
TComponent
 | ro | ComObject
 | ro | Components
 | ro | ComponentCount
 |  | ComponentIndex
 | ro | ComponentState
 | ro | ComponentStyle
 |  | DesignInfo
 | ro | Owner
 |  | VCLComObject
 |  | Name
 |  | Tag
TPersistent
TObject


 |  | AccessibleDescription (TControl)
 |  | AccessibleRole (TControl)
 |  | AccessibleValue (TControl)
 |  | Action (TControl)
pt |  | ActionLink (TControl)
 |  | Align (TControl)
 | ro | AnchoredControls (TControl)
 |  | Anchors (TControl)
 | ro | AnchorSide (TControl)
pl |  | AnchorSideBottom (TControl)
pl |  | AnchorSideLeft (TControl)
pl |  | AnchorSideRight (TControl)
pl |  | AnchorSideTop (TControl)
 |  | AutoSize (TControl)
pt | ro | AutoSizing (TControl)
pt | ro | AutoSizingAll (TControl)
pt | ro | AutoSizingLockCount (TControl)
 | ro | BaseBounds (TControl)
 | ro | BaseParentClientSize (TControl)
 |  | BiDiMode (TControl)
 |  | BorderSpacing (TControl)
pt |  | BorderStyle (TWinControl)
 | ro | BorderStyle (TCustomControl)
 |  | BorderWidth (TWinControl)
 | ro | BoundsLockCount (TWinControl)
 |  | BoundsRect (TControl)
 |  | BoundsRectForNewParent (TControl)
 | ro | Brush (TWinControl)
 | ro | CachedClientHeight (TWinControl)
 | ro | CachedClientWidth (TWinControl)
 |  | Canvas (TCustomControl)
 |  | Caption (TControl)
 |  | CaptureMouseButtons (TControl)
 |  | ChildSizing (TWinControl)
 |  | ClientHeight (TControl)
 | ro | ClientOrigin (TControl)
 | ro | ClientRect (TControl)
 |  | ClientWidth (TControl)
 |  | Color (TControl)
 | ro | ComObject (TComponent)
 | ro | ComponentCount (TComponent)
 |  | ComponentIndex (TComponent)
 | ro | Components (TComponent)
 | ro | ComponentState (TComponent)
 | ro | ComponentStyle (TComponent)
 |  | Constraints (TControl)
 | ro | ControlCount (TWinControl)
 | ro | ControlOrigin (TControl)
 | ro | Controls (TWinControl)
 |  | ControlState (TControl)
 |  | ControlStyle (TControl)
pl |  | Cursor (TControl)
 |  | DefWndProc (TWinControl)
 |  | DesignerDeleting (TWinControl)
 |  | DesignInfo (TComponent)
pt |  | DesktopFont (TControl)
 | ro | DockClientCount (TWinControl)
 | ro | DockClients (TWinControl)
 |  | DockManager (TWinControl)
 |  | DockOrientation (TControl)
 |  | DockSite (TWinControl)
 |  | DoubleBuffered (TWinControl)
pt |  | DragCursor (TControl)
pt |  | DragKind (TControl)
pt |  | DragMode (TControl)
pl |  | DragReorder (TCustomHeaderControl)
 |  | Enabled (TControl)
 | ro | Floating (TControl)
 |  | FloatingDockSiteClass (TControl)
 |  | Font (TControl)
 |  | Handle (TWinControl)
pl |  | Height (TControl)
pl |  | HelpContext (TControl)
pl |  | HelpKeyword (TControl)
pl |  | HelpType (TControl)
pl |  | Hint (TControl)
 |  | HostDockSite (TControl)
pl |  | Images (TCustomHeaderControl)
pl |  | ImagesWidth (TCustomHeaderControl)
 |  | IsControl (TControl)
 | ro | IsFlipped (TWinControl)
 | ro | IsResizing (TWinControl)
 | ro | LCLRefCount (TLCLComponent)
pl |  | Left (TControl)
 |  | LRDockWidth (TControl)
pt |  | MouseCapture (TControl)
 | ro | MouseEntered (TControl)
 | ro | MouseInClient (TControl)
 |  | Name (TComponent)
 | ro | Owner (TComponent)
 |  | Parent (TControl)
pt |  | ParentBackground (TWinControl)
 |  | ParentBiDiMode (TControl)
pt |  | ParentColor (TControl)
 |  | ParentDoubleBuffered (TWinControl)
pt |  | ParentFont (TControl)
pt |  | ParentShowHint (TControl)
 |  | ParentWindow (TWinControl)
 |  | PopupMenu (TControl)
 | ro | ReadBounds (TControl)
 | ro | SectionFromOriginalIndex (TCustomHeaderControl)
pl |  | Sections (TCustomHeaderControl)
pt |  | SessionProperties (TControl)
 |  | ShowHint (TControl)
 | ro | Showing (TWinControl)
 |  | TabOrder (TWinControl)
 |  | TabStop (TWinControl)
 |  | Tag (TComponent)
 |  | TBDockHeight (TControl)
pt |  | Text (TControl)
pl |  | Top (TControl)
 |  | UndockHeight (TControl)
 |  | UndockWidth (TControl)
 |  | UseDockManager (TWinControl)
 |  | VCLComObject (TComponent)
 |  | Visible (TControl)
 | ro | VisibleDockClientCount (TWinControl)
 | ro | WidgetSetClass (TLCLComponent)
pl |  | Width (TControl)
pt |  | WindowHandle (TWinControl)
 |  | WindowProc (TControl)


TCustomHeaderControl
pt | CreateSection
pt | CreateSections
pt | Loaded
pt | Notification
pt | SectionClick
pt | SectionResize
pt | SectionTrack
pt | SectionSeparatorDblClick
pt | SectionEndDrag
pt | SectionDrag
pt | MouseEnter
pt | MouseLeave
pt | MouseDown
pt | MouseMove
pt | MouseUp
pt | UpdateState
pt | GetControlClassDefaultSize
pt | DoAutoAdjustLayout
 | Create
 | Destroy
 | Click
 | DblClick
 | GetSectionAt
 | Paint
 | PaintSection
 | ChangeScale
TCustomControl
pt | WSRegisterClass
pt | WMPaint
pt | DestroyWnd
pt | PaintWindow
pt | FontChanged
pt | SetColor
pt | Paint
 | Create
 | Destroy
TWinControl
pt | WSRegisterClass
pt | AdjustClientRect
pt | GetAdjustedLogicalClientRect
pt | AlignControls
pt | CustomAlignInsertBefore
pt | CustomAlignPosition
pt | DoAlignChildControls
pt | DoChildSizingChange
pt | InvalidatePreferredChildSizes
pt | CanTab
pt | IsClientHeightStored
pt | IsClientWidthStored
pt | DoSendShowHideToInterface
pt | ControlsAligned
pt | DoSendBoundsToInterface
pt | RealizeBounds
pt | RealizeBoundsRecursive
pt | InvalidateBoundsRealized
pt | CreateSubClass
pt | DoConstraintsChange
pt | DoSetBounds
pt | DoAutoSize
pt | DoAllAutoSize
pt | AllAutoSized
pt | CalculatePreferredSize
pt | GetPreferredSizeClientFrame
pt | GetChildren
pt | ChildClassAllowed
pt | PaintControls
pt | PaintHandler
pt | PaintWindow
pt | CreateBrush
pt | ScaleControls
pt | ChangeScale
pt | CMBiDiModeChanged
pt | CMBorderChanged
pt | CMDoubleBufferedChanged
pt | CMEnabledChanged
pt | CMParentDoubleBufferedChanged
pt | CMShowingChanged
pt | CMShowHintChanged
pt | CMVisibleChanged
pt | CMEnter
pt | CMExit
pt | WMContextMenu
pt | WMEraseBkgnd
pt | WMNotify
pt | WMSetFocus
pt | WMKillFocus
pt | WMShowWindow
pt | WMEnter
pt | WMExit
pt | WMKeyDown
pt | WMSysKeyDown
pt | WMKeyUp
pt | WMSysKeyUp
pt | WMChar
pt | WMSysChar
pt | WMPaint
pt | WMDestroy
pt | WMMove
pt | WMSize
pt | WMWindowPosChanged
pt | CNKeyDown
pt | CNSysKeyDown
pt | CNKeyUp
pt | CNSysKeyUp
pt | CNChar
pt | DoDragMsg
pt | DoDockClientMsg
pt | DoUndockClientMsg
pt | DoAddDockClient
pt | DockOver
pt | DoDockOver
pt | DoRemoveDockClient
pt | DoUnDock
pt | GetSiteInfo
pt | GetParentHandle
pt | GetTopParentHandle
pt | ReloadDockedControl
pt | CreateDockManager
pt | SetDockManager
pt | DoFloatMsg
pt | DoGetDockCaption
pt | DoEnter
pt | DoExit
pt | DoKeyDownBeforeInterface
pt | DoRemainingKeyDown
pt | DoRemainingKeyUp
pt | DoKeyPress
pt | DoUTF8KeyPress
pt | DoKeyUpBeforeInterface
pt | ChildKey
pt | SendDialogChar
pt | DialogChar
pt | ControlKeyDown
pt | ControlKeyUp
pt | KeyDown
pt | KeyDownBeforeInterface
pt | KeyDownAfterInterface
pt | KeyPress
pt | KeyUp
pt | KeyUpBeforeInterface
pt | KeyUpAfterInterface
pt | UTF8KeyPress
pt | FindNextControl
pt | SelectFirst
pt | RealGetText
pt | GetBorderStyle
pt | GetClientOrigin
pt | GetClientRect
pt | GetControlOrigin
pt | GetDeviceContext
pt | GetParentBackground
pt | IsControlMouseMsg
pt | CreateHandle
pt | CreateParams
pt | CreateWnd
pt | DestroyHandle
pt | DestroyWnd
pt | DoFlipChildren
pt | FinalizeWnd
pt | FixupTabList
pt | FontChanged
pt | InitializeWnd
pt | Loaded
pt | FormEndUpdated
pt | MainWndProc
pt | ParentFormHandleInitialized
pt | ChildHandlesCreated
pt | GetMouseCapture
pt | RealSetText
pt | RemoveFocus
pt | SendMoveSizeMessages
pt | SetBorderStyle
pt | SetColor
pt | SetChildZPosition
pt | SetParentBackground
pt | ShowControl
pt | UpdateControlState
pt | UpdateShowing
pt | WndProc
pt | WSSetText
 | AutoSizePhases
 | AutoSizeDelayed
 | AutoSizeDelayedReport
 | AutoSizeDelayedHandle
 | BeginUpdateBounds
 | EndUpdateBounds
 | LockRealizeBounds
 | UnlockRealizeBounds
 | ControlAtPos
 | ContainsControl
 | DoAdjustClientRectChange
 | InvalidateClientRectCache
 | ClientRectNeedsInterfaceUpdate
 | SetBounds
 | GetChildrenRect
 | DisableAlign
 | EnableAlign
 | ReAlign
 | ScrollBy_WS
 | ScrollBy
 | WriteLayoutDebugReport
 | AutoAdjustLayout
 | Create
 | CreateParented
 | CreateParentedControl
 | Destroy
 | DockDrop
 | CanFocus
 | CanSetFocus
 | GetControlIndex
 | SetControlIndex
 | Focused
 | PerformTab
 | FindChildControl
 | SelectNext
 | SetTempCursor
 | BroadCast
 | NotifyControls
 | DefaultHandler
 | GetTextLen
 | Invalidate
 | AddControl
 | InsertControl
 | RemoveControl
 | GetEnumeratorControls
 | GetEnumeratorControlsReverse
 | Repaint
 | Update
 | SetFocus
 | FlipChildren
 | ScaleBy
 | GetDockCaption
 | UpdateDockCaption
 | GetTabOrderList
 | HandleAllocated
 | ParentHandlesAllocated
 | HandleNeeded
 | BrushCreated
 | EraseBackground
 | IntfUTF8KeyPress
 | IntfGetDropFilesTarget
 | PaintTo
 | SetShape
TControl
pt | WSRegisterClass
pt | GetCursor
pt | SetCursor
pt | SetVisible
pt | DoOnParentHandleDestruction
pt | DoAutoSize
pt | DoAllAutoSize
pt | BeginAutoSizing
pt | EndAutoSizing
pt | AnchorSideChanged
pt | ForeignAnchorSideChanged
pt | SetAlign
pt | SetAnchors
pt | SetAutoSize
pt | BoundsChanged
pt | CreateControlBorderSpacing
pt | DoConstraintsChange
pt | DoBorderSpacingChange
pt | IsBorderSpacingInnerBorderStored
pt | IsCaptionStored
pt | SendMoveSizeMessages
pt | ConstrainedResize
pt | CalculatePreferredSize
pt | DoOnResize
pt | DoOnChangeBounds
pt | CheckOnChangeBounds
pt | Resize
pt | RequestAlign
pt | UpdateAnchorRules
pt | ChangeBounds
pt | DoSetBounds
pt | ScaleConstraints
pt | ChangeScale
pt | CanAutoSize
pt | SetBiDiMode
pt | SetParentBiDiMode
pt | IsAParentAligning
pt | GetClientOrigin
pt | GetClientRect
pt | GetLogicalClientRect
pt | GetScrolledClientRect
pt | GetClientScrollOffset
pt | GetControlOrigin
pt | IsClientHeightStored
pt | IsClientWidthStored
pt | WidthIsAnchored
pt | HeightIsAnchored
pt | WMCancelMode
pt | WMContextMenu
pt | WMLButtonDown
pt | WMRButtonDown
pt | WMMButtonDown
pt | WMXButtonDown
pt | WMLButtonDBLCLK
pt | WMRButtonDBLCLK
pt | WMMButtonDBLCLK
pt | WMXButtonDBLCLK
pt | WMLButtonTripleCLK
pt | WMRButtonTripleCLK
pt | WMMButtonTripleCLK
pt | WMXButtonTripleCLK
pt | WMLButtonQuadCLK
pt | WMRButtonQuadCLK
pt | WMMButtonQuadCLK
pt | WMXButtonQuadCLK
pt | WMMouseMove
pt | WMLButtonUp
pt | WMRButtonUp
pt | WMMButtonUp
pt | WMXButtonUp
pt | WMMouseWheel
pt | WMMouseHWheel
pt | WMMove
pt | WMSize
pt | WMWindowPosChanged
pt | CMChanged
pt | LMCaptureChanged
pt | CMBiDiModeChanged
pt | CMSysFontChanged
pt | CMEnabledChanged
pt | CMHitTest
pt | CMMouseEnter
pt | CMMouseLeave
pt | CMHintShow
pt | CMParentBiDiModeChanged
pt | CMParentColorChanged
pt | CMParentFontChanged
pt | CMParentShowHintChanged
pt | CMVisibleChanged
pt | CMTextChanged
pt | CMCursorChanged
pt | CalculateDockSizes
pt | CreateFloatingDockSite
pt | GetDockEdge
pt | GetDragImages
pt | GetFloating
pt | GetFloatingDockSiteClass
pt | BeforeDragStart
pt | BeginAutoDrag
pt | DoFloatMsg
pt | DockTrackNoTarget
pt | DoDock
pt | DoDragMsg
pt | DoEndDock
pt | DoEndDrag
pt | DoStartDock
pt | DoStartDrag
pt | DragCanceled
pt | DragOver
pt | PositionDockRect
pt | SetDragMode
pt | GetDefaultDockCaption
pt | Click
pt | DblClick
pt | TripleClick
pt | QuadClick
pt | GetMousePosFromMessage
pt | MouseDown
pt | MouseMove
pt | MouseUp
pt | MouseEnter
pt | MouseLeave
pt | DialogChar
pt | UpdateMouseCursor
pt | Changed
pt | GetPalette
pt | ChildClassAllowed
pt | ReadState
pt | Loaded
pt | LoadedAll
pt | DefineProperties
pt | AssignTo
pt | FormEndUpdated
pt | InvalidateControl
pt | FontChanged
pt | ParentFontChanged
pt | GetAction
pt | RealGetText
pt | RealSetText
pt | TextChanged
pt | GetCachedText
pt | SetAction
pt | SetColor
pt | SetEnabled
pt | SetHint
pt | SetName
pt | SetParent
pt | SetParentComponent
pt | WndProc
pt | ParentFormHandleInitialized
pt | GetMouseCapture
pt | CaptureChanged
pt | Notification
pt | CanTab
pt | GetDeviceContext
pt | GetEnabled
pt | GetPopupMenu
pt | DoOnShowHint
pt | DoMouseWheel
pt | DoMouseWheelDown
pt | DoMouseWheelUp
pt | DoMouseWheelHorz
pt | DoMouseWheelLeft
pt | DoMouseWheelRight
pt | VisibleChanging
pt | VisibleChanged
pt | EnabledChanging
pt | EnabledChanged
pt | AddHandler
pt | RemoveHandler
pt | DoCallNotifyHandler
pt | DoCallKeyEventHandler
pt | DoCallMouseWheelEventHandler
pt | DoContextPopup
pt | SetZOrder
pt | GetControlClassDefaultSize
pt | ColorIsStored
pt | DoAutoAdjustLayout
pt | DoFixDesignFontPPI
pt | DoScaleFontPPI
pt | GetActionLinkClass
pt | ActionChange
 | DragDrop
 | Dock
 | ManualDock
 | ManualFloat
 | ReplaceDockedControl
 | Docked
 | Dragging
 | GetAccessibleObject
 | CreateAccessibleObject
 | GetSelectedChildAccessibleObject
 | GetChildAccessibleObjectAtPos
 | ScaleDesignToForm
 | ScaleFormToDesign
 | Scale96ToForm
 | ScaleFormTo96
 | Scale96ToFont
 | ScaleFontTo96
 | ScaleScreenToFont
 | ScaleFontToScreen
 | Scale96ToScreen
 | ScaleScreenTo96
 | AdjustSize
 | AutoSizePhases
 | AutoSizeDelayed
 | AutoSizeDelayedReport
 | AutoSizeDelayedHandle
 | AnchorToNeighbour
 | AnchorParallel
 | AnchorHorizontalCenterTo
 | AnchorVerticalCenterTo
 | AnchorToCompanion
 | AnchorSame
 | AnchorAsAlign
 | AnchorClient
 | AnchoredControlCount
 | SetBounds
 | SetInitialBounds
 | SetBoundsKeepBase
 | GetPreferredSize
 | GetCanvasScaleFactor
 | GetDefaultWidth
 | GetDefaultHeight
 | GetDefaultColor
 | GetColorResolvingParent
 | GetRGBColorResolvingParent
 | GetSidePosition
 | CNPreferredSizeChanged
 | InvalidatePreferredSize
 | GetAnchorsDependingOnParent
 | DisableAutoSizing
 | EnableAutoSizing
 | UpdateBaseBounds
 | WriteLayoutDebugReport
 | AutoAdjustLayout
 | ShouldAutoAdjust
 | FixDesignFontsPPI
 | ScaleFontsPPI
 | Create
 | Destroy
 | BeforeDestruction
 | EditingDone
 | ExecuteDefaultAction
 | ExecuteCancelAction
 | BeginDrag
 | EndDrag
 | BringToFront
 | HasParent
 | GetParentComponent
 | IsParentOf
 | GetTopParent
 | IsVisible
 | IsControlVisible
 | IsEnabled
 | IsParentColor
 | IsParentFont
 | FormIsUpdating
 | IsProcessingPaintMsg
 | Hide
 | Refresh
 | Repaint
 | Invalidate
 | CheckChildClassAllowed
 | CheckNewParent
 | SendToBack
 | SetTempCursor
 | UpdateRolesForForm
 | ActiveDefaultControlChanged
 | GetTextBuf
 | GetTextLen
 | SetTextBuf
 | Perform
 | ScreenToClient
 | ClientToScreen
 | ScreenToControl
 | ControlToScreen
 | ClientToParent
 | ParentToClient
 | GetChildrenRect
 | Show
 | Update
 | HandleObjectShouldBeVisible
 | ParentDestroyingHandle
 | ParentHandlesAllocated
 | InitiateAction
 | ShowHelp
 | HasHelp
 | RemoveAllHandlersOfObject
 | AddHandlerOnResize
 | RemoveHandlerOnResize
 | AddHandlerOnChangeBounds
 | RemoveHandlerOnChangeBounds
 | AddHandlerOnVisibleChanging
 | RemoveHandlerOnVisibleChanging
 | AddHandlerOnVisibleChanged
 | RemoveHandlerOnVisibleChanged
 | AddHandlerOnEnabledChanged
 | RemoveHandlerOnEnableChanging
 | AddHandlerOnKeyDown
 | RemoveHandlerOnKeyDown
 | AddHandlerOnBeforeDestruction
 | RemoveHandlerOnBeforeDestruction
 | AddHandlerOnMouseWheel
 | RemoveHandlerOnMouseWheel
 | UseRightToLeftAlignment
 | UseRightToLeftReading
 | UseRightToLeftScrollBar
 | IsRightToLeft
TLCLComponent
pt | WSRegisterClass
pt | GetWSComponentClass
 | Create
 | Destroy
 | NewInstance
 | RemoveAllHandlersOfObject
 | IncLCLRefCount
 | DecLCLRefCount
TComponent
 | GetComObject
 | GetComponent
 | GetComponentCount
 | GetComponentIndex
 | Insert
 | ReadLeft
 | ReadTop
 | Remove
 | RemoveNotification
 | SetComponentIndex
 | SetReference
 | WriteLeft
 | WriteTop
 | ChangeName
 | DefineProperties
 | GetChildren
 | GetChildOwner
 | GetChildParent
 | GetOwner
 | Loaded
 | Loading
 | Notification
 | PaletteCreated
 | ReadState
 | SetAncestor
 | SetDesigning
 | SetDesignInstance
 | SetInline
 | SetName
 | SetChildOrder
 | SetParentComponent
 | Updating
 | Updated
 | UpdateRegistry
 | ValidateRename
 | ValidateContainer
 | ValidateInsert
 | QueryInterface
 | _AddRef
 | _Release
 | iicrGetComponent
 | GetTypeInfoCount
 | GetTypeInfo
 | GetIDsOfNames
 | Invoke
 | WriteState
 | Create
 | Destroy
 | BeforeDestruction
 | DestroyComponents
 | Destroying
 | ExecuteAction
 | FindComponent
 | FreeNotification
 | RemoveFreeNotification
 | FreeOnRelease
 | GetEnumerator
 | GetNamePath
 | GetParentComponent
 | HasParent
 | InsertComponent
 | RemoveComponent
 | SafeCallException
 | SetSubComponent
 | UpdateAction
 | IsImplementorOf
 | ReferenceInterface
TPersistent
 | AssignError
 | AssignTo
 | DefineProperties
 | GetOwner
 | Destroy
 | Assign
 | FPOAttachObserver
 | FPODetachObserver
 | FPONotifyObservers
 | GetNamePath
TObject
 | Create
 | Destroy
 | newinstance
 | FreeInstance
 | SafeCallException
 | DefaultHandler
 | Free
 | InitInstance
 | CleanupInstance
 | ClassType
 | ClassInfo
 | ClassName
 | ClassNameIs
 | ClassParent
 | InstanceSize
 | InheritsFrom
 | StringMessageTable
 | MethodAddress
 | MethodName
 | FieldAddress
 | AfterConstruction
 | BeforeDestruction
 | DefaultHandlerStr
 | Dispatch
 | DispatchStr
 | GetInterface
 | GetInterfaceByStr
 | GetInterfaceWeak
 | GetInterfaceEntry
 | GetInterfaceEntryByStr
 | GetInterfaceTable
 | UnitName
 | Equals
 | GetHashCode
 | ToString


pt | ActionChange (TControl)
 | ActiveDefaultControlChanged (TControl)
 | AddControl (TWinControl)
pt | AddHandler (TControl)
 | AddHandlerOnBeforeDestruction (TControl)
 | AddHandlerOnChangeBounds (TControl)
 | AddHandlerOnEnabledChanged (TControl)
 | AddHandlerOnKeyDown (TControl)
 | AddHandlerOnMouseWheel (TControl)
 | AddHandlerOnResize (TControl)
 | AddHandlerOnVisibleChanged (TControl)
 | AddHandlerOnVisibleChanging (TControl)
pt | AdjustClientRect (TWinControl)
 | AdjustSize (TControl)
 | AfterConstruction (TObject)
pt | AlignControls (TWinControl)
pt | AllAutoSized (TWinControl)
 | AnchorAsAlign (TControl)
 | AnchorClient (TControl)
 | AnchoredControlCount (TControl)
 | AnchorHorizontalCenterTo (TControl)
 | AnchorParallel (TControl)
 | AnchorSame (TControl)
pt | AnchorSideChanged (TControl)
 | AnchorToCompanion (TControl)
 | AnchorToNeighbour (TControl)
 | AnchorVerticalCenterTo (TControl)
 | Assign (TPersistent)
 | AssignError (TPersistent)
 | AssignTo (TPersistent)
pt | AssignTo (TControl)
 | AutoAdjustLayout (TControl)
 | AutoAdjustLayout (TWinControl)
 | AutoSizeDelayed (TControl)
 | AutoSizeDelayed (TWinControl)
 | AutoSizeDelayedHandle (TControl)
 | AutoSizeDelayedHandle (TWinControl)
 | AutoSizeDelayedReport (TControl)
 | AutoSizeDelayedReport (TWinControl)
 | AutoSizePhases (TControl)
 | AutoSizePhases (TWinControl)
 | BeforeDestruction (TObject)
 | BeforeDestruction (TComponent)
 | BeforeDestruction (TControl)
pt | BeforeDragStart (TControl)
pt | BeginAutoDrag (TControl)
pt | BeginAutoSizing (TControl)
 | BeginDrag (TControl)
 | BeginUpdateBounds (TWinControl)
pt | BoundsChanged (TControl)
 | BringToFront (TControl)
 | BroadCast (TWinControl)
 | BrushCreated (TWinControl)
pt | CalculateDockSizes (TControl)
pt | CalculatePreferredSize (TControl)
pt | CalculatePreferredSize (TWinControl)
pt | CanAutoSize (TControl)
 | CanFocus (TWinControl)
 | CanSetFocus (TWinControl)
pt | CanTab (TControl)
pt | CanTab (TWinControl)
pt | CaptureChanged (TControl)
pt | ChangeBounds (TControl)
pt | Changed (TControl)
 | ChangeName (TComponent)
pt | ChangeScale (TControl)
pt | ChangeScale (TWinControl)
 | ChangeScale (TCustomHeaderControl)
 | CheckChildClassAllowed (TControl)
 | CheckNewParent (TControl)
pt | CheckOnChangeBounds (TControl)
pt | ChildClassAllowed (TControl)
pt | ChildClassAllowed (TWinControl)
pt | ChildHandlesCreated (TWinControl)
pt | ChildKey (TWinControl)
 | ClassInfo (TObject)
 | ClassName (TObject)
 | ClassNameIs (TObject)
 | ClassParent (TObject)
 | ClassType (TObject)
 | CleanupInstance (TObject)
pt | Click (TControl)
 | Click (TCustomHeaderControl)
 | ClientRectNeedsInterfaceUpdate (TWinControl)
 | ClientToParent (TControl)
 | ClientToScreen (TControl)
pt | CMBiDiModeChanged (TControl)
pt | CMBiDiModeChanged (TWinControl)
pt | CMBorderChanged (TWinControl)
pt | CMChanged (TControl)
pt | CMCursorChanged (TControl)
pt | CMDoubleBufferedChanged (TWinControl)
pt | CMEnabledChanged (TControl)
pt | CMEnabledChanged (TWinControl)
pt | CMEnter (TWinControl)
pt | CMExit (TWinControl)
pt | CMHintShow (TControl)
pt | CMHitTest (TControl)
pt | CMMouseEnter (TControl)
pt | CMMouseLeave (TControl)
pt | CMParentBiDiModeChanged (TControl)
pt | CMParentColorChanged (TControl)
pt | CMParentDoubleBufferedChanged (TWinControl)
pt | CMParentFontChanged (TControl)
pt | CMParentShowHintChanged (TControl)
pt | CMShowHintChanged (TWinControl)
pt | CMShowingChanged (TWinControl)
pt | CMSysFontChanged (TControl)
pt | CMTextChanged (TControl)
pt | CMVisibleChanged (TControl)
pt | CMVisibleChanged (TWinControl)
pt | CNChar (TWinControl)
pt | CNKeyDown (TWinControl)
pt | CNKeyUp (TWinControl)
 | CNPreferredSizeChanged (TControl)
pt | CNSysKeyDown (TWinControl)
pt | CNSysKeyUp (TWinControl)
pt | ColorIsStored (TControl)
pt | ConstrainedResize (TControl)
 | ContainsControl (TWinControl)
 | ControlAtPos (TWinControl)
pt | ControlKeyDown (TWinControl)
pt | ControlKeyUp (TWinControl)
pt | ControlsAligned (TWinControl)
 | ControlToScreen (TControl)
 | Create (TObject)
 | Create (TComponent)
 | Create (TLCLComponent)
 | Create (TControl)
 | Create (TWinControl)
 | Create (TCustomControl)
 | Create (TCustomHeaderControl)
 | CreateAccessibleObject (TControl)
pt | CreateBrush (TWinControl)
pt | CreateControlBorderSpacing (TControl)
pt | CreateDockManager (TWinControl)
pt | CreateFloatingDockSite (TControl)
pt | CreateHandle (TWinControl)
pt | CreateParams (TWinControl)
 | CreateParented (TWinControl)
 | CreateParentedControl (TWinControl)
pt | CreateSection (TCustomHeaderControl)
pt | CreateSections (TCustomHeaderControl)
pt | CreateSubClass (TWinControl)
pt | CreateWnd (TWinControl)
pt | CustomAlignInsertBefore (TWinControl)
pt | CustomAlignPosition (TWinControl)
pt | DblClick (TControl)
 | DblClick (TCustomHeaderControl)
 | DecLCLRefCount (TLCLComponent)
 | DefaultHandler (TObject)
 | DefaultHandler (TWinControl)
 | DefaultHandlerStr (TObject)
 | DefineProperties (TPersistent)
 | DefineProperties (TComponent)
pt | DefineProperties (TControl)
 | Destroy (TObject)
 | Destroy (TPersistent)
 | Destroy (TComponent)
 | Destroy (TLCLComponent)
 | Destroy (TControl)
 | Destroy (TWinControl)
 | Destroy (TCustomControl)
 | Destroy (TCustomHeaderControl)
 | DestroyComponents (TComponent)
pt | DestroyHandle (TWinControl)
 | Destroying (TComponent)
pt | DestroyWnd (TWinControl)
pt | DestroyWnd (TCustomControl)
pt | DialogChar (TControl)
pt | DialogChar (TWinControl)
 | DisableAlign (TWinControl)
 | DisableAutoSizing (TControl)
 | Dispatch (TObject)
 | DispatchStr (TObject)
pt | DoAddDockClient (TWinControl)
 | DoAdjustClientRectChange (TWinControl)
pt | DoAlignChildControls (TWinControl)
pt | DoAllAutoSize (TControl)
pt | DoAllAutoSize (TWinControl)
pt | DoAutoAdjustLayout (TControl)
pt | DoAutoAdjustLayout (TCustomHeaderControl)
pt | DoAutoSize (TControl)
pt | DoAutoSize (TWinControl)
pt | DoBorderSpacingChange (TControl)
pt | DoCallKeyEventHandler (TControl)
pt | DoCallMouseWheelEventHandler (TControl)
pt | DoCallNotifyHandler (TControl)
pt | DoChildSizingChange (TWinControl)
 | Dock (TControl)
 | DockDrop (TWinControl)
 | Docked (TControl)
pt | DockOver (TWinControl)
pt | DockTrackNoTarget (TControl)
pt | DoConstraintsChange (TControl)
pt | DoConstraintsChange (TWinControl)
pt | DoContextPopup (TControl)
pt | DoDock (TControl)
pt | DoDockClientMsg (TWinControl)
pt | DoDockOver (TWinControl)
pt | DoDragMsg (TControl)
pt | DoDragMsg (TWinControl)
pt | DoEndDock (TControl)
pt | DoEndDrag (TControl)
pt | DoEnter (TWinControl)
pt | DoExit (TWinControl)
pt | DoFixDesignFontPPI (TControl)
pt | DoFlipChildren (TWinControl)
pt | DoFloatMsg (TControl)
pt | DoFloatMsg (TWinControl)
pt | DoGetDockCaption (TWinControl)
pt | DoKeyDownBeforeInterface (TWinControl)
pt | DoKeyPress (TWinControl)
pt | DoKeyUpBeforeInterface (TWinControl)
pt | DoMouseWheel (TControl)
pt | DoMouseWheelDown (TControl)
pt | DoMouseWheelHorz (TControl)
pt | DoMouseWheelLeft (TControl)
pt | DoMouseWheelRight (TControl)
pt | DoMouseWheelUp (TControl)
pt | DoOnChangeBounds (TControl)
pt | DoOnParentHandleDestruction (TControl)
pt | DoOnResize (TControl)
pt | DoOnShowHint (TControl)
pt | DoRemainingKeyDown (TWinControl)
pt | DoRemainingKeyUp (TWinControl)
pt | DoRemoveDockClient (TWinControl)
pt | DoScaleFontPPI (TControl)
pt | DoSendBoundsToInterface (TWinControl)
pt | DoSendShowHideToInterface (TWinControl)
pt | DoSetBounds (TControl)
pt | DoSetBounds (TWinControl)
pt | DoStartDock (TControl)
pt | DoStartDrag (TControl)
pt | DoUnDock (TWinControl)
pt | DoUndockClientMsg (TWinControl)
pt | DoUTF8KeyPress (TWinControl)
pt | DragCanceled (TControl)
 | DragDrop (TControl)
 | Dragging (TControl)
pt | DragOver (TControl)
 | EditingDone (TControl)
 | EnableAlign (TWinControl)
 | EnableAutoSizing (TControl)
pt | EnabledChanged (TControl)
pt | EnabledChanging (TControl)
pt | EndAutoSizing (TControl)
 | EndDrag (TControl)
 | EndUpdateBounds (TWinControl)
 | Equals (TObject)
 | EraseBackground (TWinControl)
 | ExecuteAction (TComponent)
 | ExecuteCancelAction (TControl)
 | ExecuteDefaultAction (TControl)
 | FieldAddress (TObject)
pt | FinalizeWnd (TWinControl)
 | FindChildControl (TWinControl)
 | FindComponent (TComponent)
pt | FindNextControl (TWinControl)
 | FixDesignFontsPPI (TControl)
pt | FixupTabList (TWinControl)
 | FlipChildren (TWinControl)
 | Focused (TWinControl)
pt | FontChanged (TControl)
pt | FontChanged (TWinControl)
pt | FontChanged (TCustomControl)
pt | ForeignAnchorSideChanged (TControl)
pt | FormEndUpdated (TControl)
pt | FormEndUpdated (TWinControl)
 | FormIsUpdating (TControl)
 | FPOAttachObserver (TPersistent)
 | FPODetachObserver (TPersistent)
 | FPONotifyObservers (TPersistent)
 | Free (TObject)
 | FreeInstance (TObject)
 | FreeNotification (TComponent)
 | FreeOnRelease (TComponent)
 | GetAccessibleObject (TControl)
pt | GetAction (TControl)
pt | GetActionLinkClass (TControl)
pt | GetAdjustedLogicalClientRect (TWinControl)
 | GetAnchorsDependingOnParent (TControl)
pt | GetBorderStyle (TWinControl)
pt | GetCachedText (TControl)
 | GetCanvasScaleFactor (TControl)
 | GetChildAccessibleObjectAtPos (TControl)
 | GetChildOwner (TComponent)
 | GetChildParent (TComponent)
 | GetChildren (TComponent)
pt | GetChildren (TWinControl)
 | GetChildrenRect (TControl)
 | GetChildrenRect (TWinControl)
pt | GetClientOrigin (TControl)
pt | GetClientOrigin (TWinControl)
pt | GetClientRect (TControl)
pt | GetClientRect (TWinControl)
pt | GetClientScrollOffset (TControl)
 | GetColorResolvingParent (TControl)
 | GetComObject (TComponent)
 | GetComponent (TComponent)
 | GetComponentCount (TComponent)
 | GetComponentIndex (TComponent)
pt | GetControlClassDefaultSize (TControl)
pt | GetControlClassDefaultSize (TCustomHeaderControl)
 | GetControlIndex (TWinControl)
pt | GetControlOrigin (TControl)
pt | GetControlOrigin (TWinControl)
pt | GetCursor (TControl)
 | GetDefaultColor (TControl)
pt | GetDefaultDockCaption (TControl)
 | GetDefaultHeight (TControl)
 | GetDefaultWidth (TControl)
pt | GetDeviceContext (TControl)
pt | GetDeviceContext (TWinControl)
 | GetDockCaption (TWinControl)
pt | GetDockEdge (TControl)
pt | GetDragImages (TControl)
pt | GetEnabled (TControl)
 | GetEnumerator (TComponent)
 | GetEnumeratorControls (TWinControl)
 | GetEnumeratorControlsReverse (TWinControl)
pt | GetFloating (TControl)
pt | GetFloatingDockSiteClass (TControl)
 | GetHashCode (TObject)
 | GetIDsOfNames (TComponent)
 | GetInterface (TObject)
 | GetInterfaceByStr (TObject)
 | GetInterfaceEntry (TObject)
 | GetInterfaceEntryByStr (TObject)
 | GetInterfaceTable (TObject)
 | GetInterfaceWeak (TObject)
pt | GetLogicalClientRect (TControl)
pt | GetMouseCapture (TControl)
pt | GetMouseCapture (TWinControl)
pt | GetMousePosFromMessage (TControl)
 | GetNamePath (TPersistent)
 | GetNamePath (TComponent)
 | GetOwner (TPersistent)
 | GetOwner (TComponent)
pt | GetPalette (TControl)
pt | GetParentBackground (TWinControl)
 | GetParentComponent (TComponent)
 | GetParentComponent (TControl)
pt | GetParentHandle (TWinControl)
pt | GetPopupMenu (TControl)
 | GetPreferredSize (TControl)
pt | GetPreferredSizeClientFrame (TWinControl)
 | GetRGBColorResolvingParent (TControl)
pt | GetScrolledClientRect (TControl)
 | GetSectionAt (TCustomHeaderControl)
 | GetSelectedChildAccessibleObject (TControl)
 | GetSidePosition (TControl)
pt | GetSiteInfo (TWinControl)
 | GetTabOrderList (TWinControl)
 | GetTextBuf (TControl)
 | GetTextLen (TControl)
 | GetTextLen (TWinControl)
 | GetTopParent (TControl)
pt | GetTopParentHandle (TWinControl)
 | GetTypeInfo (TComponent)
 | GetTypeInfoCount (TComponent)
pt | GetWSComponentClass (TLCLComponent)
 | HandleAllocated (TWinControl)
 | HandleNeeded (TWinControl)
 | HandleObjectShouldBeVisible (TControl)
 | HasHelp (TControl)
 | HasParent (TComponent)
 | HasParent (TControl)
pt | HeightIsAnchored (TControl)
 | Hide (TControl)
 | iicrGetComponent (TComponent)
 | IncLCLRefCount (TLCLComponent)
 | InheritsFrom (TObject)
pt | InitializeWnd (TWinControl)
 | InitiateAction (TControl)
 | InitInstance (TObject)
 | Insert (TComponent)
 | InsertComponent (TComponent)
 | InsertControl (TWinControl)
 | InstanceSize (TObject)
 | IntfGetDropFilesTarget (TWinControl)
 | IntfUTF8KeyPress (TWinControl)
 | Invalidate (TControl)
 | Invalidate (TWinControl)
pt | InvalidateBoundsRealized (TWinControl)
 | InvalidateClientRectCache (TWinControl)
pt | InvalidateControl (TControl)
pt | InvalidatePreferredChildSizes (TWinControl)
 | InvalidatePreferredSize (TControl)
 | Invoke (TComponent)
pt | IsAParentAligning (TControl)
pt | IsBorderSpacingInnerBorderStored (TControl)
pt | IsCaptionStored (TControl)
pt | IsClientHeightStored (TControl)
pt | IsClientHeightStored (TWinControl)
pt | IsClientWidthStored (TControl)
pt | IsClientWidthStored (TWinControl)
pt | IsControlMouseMsg (TWinControl)
 | IsControlVisible (TControl)
 | IsEnabled (TControl)
 | IsImplementorOf (TComponent)
 | IsParentColor (TControl)
 | IsParentFont (TControl)
 | IsParentOf (TControl)
 | IsProcessingPaintMsg (TControl)
 | IsRightToLeft (TControl)
 | IsVisible (TControl)
pt | KeyDown (TWinControl)
pt | KeyDownAfterInterface (TWinControl)
pt | KeyDownBeforeInterface (TWinControl)
pt | KeyPress (TWinControl)
pt | KeyUp (TWinControl)
pt | KeyUpAfterInterface (TWinControl)
pt | KeyUpBeforeInterface (TWinControl)
pt | LMCaptureChanged (TControl)
 | Loaded (TComponent)
pt | Loaded (TControl)
pt | Loaded (TWinControl)
pt | Loaded (TCustomHeaderControl)
pt | LoadedAll (TControl)
 | Loading (TComponent)
 | LockRealizeBounds (TWinControl)
pt | MainWndProc (TWinControl)
 | ManualDock (TControl)
 | ManualFloat (TControl)
 | MethodAddress (TObject)
 | MethodName (TObject)
pt | MouseDown (TControl)
pt | MouseDown (TCustomHeaderControl)
pt | MouseEnter (TControl)
pt | MouseEnter (TCustomHeaderControl)
pt | MouseLeave (TControl)
pt | MouseLeave (TCustomHeaderControl)
pt | MouseMove (TControl)
pt | MouseMove (TCustomHeaderControl)
pt | MouseUp (TControl)
pt | MouseUp (TCustomHeaderControl)
 | newinstance (TObject)
 | NewInstance (TLCLComponent)
 | Notification (TComponent)
pt | Notification (TControl)
pt | Notification (TCustomHeaderControl)
 | NotifyControls (TWinControl)
pt | Paint (TCustomControl)
 | Paint (TCustomHeaderControl)
pt | PaintControls (TWinControl)
pt | PaintHandler (TWinControl)
 | PaintSection (TCustomHeaderControl)
 | PaintTo (TWinControl)
pt | PaintWindow (TWinControl)
pt | PaintWindow (TCustomControl)
 | PaletteCreated (TComponent)
 | ParentDestroyingHandle (TControl)
pt | ParentFontChanged (TControl)
pt | ParentFormHandleInitialized (TControl)
pt | ParentFormHandleInitialized (TWinControl)
 | ParentHandlesAllocated (TControl)
 | ParentHandlesAllocated (TWinControl)
 | ParentToClient (TControl)
 | Perform (TControl)
 | PerformTab (TWinControl)
pt | PositionDockRect (TControl)
pt | QuadClick (TControl)
 | QueryInterface (TComponent)
 | ReadLeft (TComponent)
 | ReadState (TComponent)
pt | ReadState (TControl)
 | ReadTop (TComponent)
pt | RealGetText (TControl)
pt | RealGetText (TWinControl)
 | ReAlign (TWinControl)
pt | RealizeBounds (TWinControl)
pt | RealizeBoundsRecursive (TWinControl)
pt | RealSetText (TControl)
pt | RealSetText (TWinControl)
 | ReferenceInterface (TComponent)
 | Refresh (TControl)
pt | ReloadDockedControl (TWinControl)
 | Remove (TComponent)
 | RemoveAllHandlersOfObject (TLCLComponent)
 | RemoveAllHandlersOfObject (TControl)
 | RemoveComponent (TComponent)
 | RemoveControl (TWinControl)
pt | RemoveFocus (TWinControl)
 | RemoveFreeNotification (TComponent)
pt | RemoveHandler (TControl)
 | RemoveHandlerOnBeforeDestruction (TControl)
 | RemoveHandlerOnChangeBounds (TControl)
 | RemoveHandlerOnEnableChanging (TControl)
 | RemoveHandlerOnKeyDown (TControl)
 | RemoveHandlerOnMouseWheel (TControl)
 | RemoveHandlerOnResize (TControl)
 | RemoveHandlerOnVisibleChanged (TControl)
 | RemoveHandlerOnVisibleChanging (TControl)
 | RemoveNotification (TComponent)
 | Repaint (TControl)
 | Repaint (TWinControl)
 | ReplaceDockedControl (TControl)
pt | RequestAlign (TControl)
pt | Resize (TControl)
 | SafeCallException (TObject)
 | SafeCallException (TComponent)
 | Scale96ToFont (TControl)
 | Scale96ToForm (TControl)
 | Scale96ToScreen (TControl)
 | ScaleBy (TWinControl)
pt | ScaleConstraints (TControl)
pt | ScaleControls (TWinControl)
 | ScaleDesignToForm (TControl)
 | ScaleFontsPPI (TControl)
 | ScaleFontTo96 (TControl)
 | ScaleFontToScreen (TControl)
 | ScaleFormTo96 (TControl)
 | ScaleFormToDesign (TControl)
 | ScaleScreenTo96 (TControl)
 | ScaleScreenToFont (TControl)
 | ScreenToClient (TControl)
 | ScreenToControl (TControl)
 | ScrollBy (TWinControl)
 | ScrollBy_WS (TWinControl)
pt | SectionClick (TCustomHeaderControl)
pt | SectionDrag (TCustomHeaderControl)
pt | SectionEndDrag (TCustomHeaderControl)
pt | SectionResize (TCustomHeaderControl)
pt | SectionSeparatorDblClick (TCustomHeaderControl)
pt | SectionTrack (TCustomHeaderControl)
pt | SelectFirst (TWinControl)
 | SelectNext (TWinControl)
pt | SendDialogChar (TWinControl)
pt | SendMoveSizeMessages (TControl)
pt | SendMoveSizeMessages (TWinControl)
 | SendToBack (TControl)
pt | SetAction (TControl)
pt | SetAlign (TControl)
 | SetAncestor (TComponent)
pt | SetAnchors (TControl)
pt | SetAutoSize (TControl)
pt | SetBiDiMode (TControl)
pt | SetBorderStyle (TWinControl)
 | SetBounds (TControl)
 | SetBounds (TWinControl)
 | SetBoundsKeepBase (TControl)
 | SetChildOrder (TComponent)
pt | SetChildZPosition (TWinControl)
pt | SetColor (TControl)
pt | SetColor (TWinControl)
pt | SetColor (TCustomControl)
 | SetComponentIndex (TComponent)
 | SetControlIndex (TWinControl)
pt | SetCursor (TControl)
 | SetDesigning (TComponent)
 | SetDesignInstance (TComponent)
pt | SetDockManager (TWinControl)
pt | SetDragMode (TControl)
pt | SetEnabled (TControl)
 | SetFocus (TWinControl)
pt | SetHint (TControl)
 | SetInitialBounds (TControl)
 | SetInline (TComponent)
 | SetName (TComponent)
pt | SetName (TControl)
pt | SetParent (TControl)
pt | SetParentBackground (TWinControl)
pt | SetParentBiDiMode (TControl)
 | SetParentComponent (TComponent)
pt | SetParentComponent (TControl)
 | SetReference (TComponent)
 | SetShape (TWinControl)
 | SetSubComponent (TComponent)
 | SetTempCursor (TControl)
 | SetTempCursor (TWinControl)
 | SetTextBuf (TControl)
pt | SetVisible (TControl)
pt | SetZOrder (TControl)
 | ShouldAutoAdjust (TControl)
 | Show (TControl)
pt | ShowControl (TWinControl)
 | ShowHelp (TControl)
 | StringMessageTable (TObject)
pt | TextChanged (TControl)
 | ToString (TObject)
pt | TripleClick (TControl)
 | UnitName (TObject)
 | UnlockRealizeBounds (TWinControl)
 | Update (TControl)
 | Update (TWinControl)
 | UpdateAction (TComponent)
pt | UpdateAnchorRules (TControl)
 | UpdateBaseBounds (TControl)
pt | UpdateControlState (TWinControl)
 | Updated (TComponent)
 | UpdateDockCaption (TWinControl)
pt | UpdateMouseCursor (TControl)
 | UpdateRegistry (TComponent)
 | UpdateRolesForForm (TControl)
pt | UpdateShowing (TWinControl)
pt | UpdateState (TCustomHeaderControl)
 | Updating (TComponent)
 | UseRightToLeftAlignment (TControl)
 | UseRightToLeftReading (TControl)
 | UseRightToLeftScrollBar (TControl)
pt | UTF8KeyPress (TWinControl)
 | ValidateContainer (TComponent)
 | ValidateInsert (TComponent)
 | ValidateRename (TComponent)
pt | VisibleChanged (TControl)
pt | VisibleChanging (TControl)
pt | WidthIsAnchored (TControl)
pt | WMCancelMode (TControl)
pt | WMChar (TWinControl)
pt | WMContextMenu (TControl)
pt | WMContextMenu (TWinControl)
pt | WMDestroy (TWinControl)
pt | WMEnter (TWinControl)
pt | WMEraseBkgnd (TWinControl)
pt | WMExit (TWinControl)
pt | WMKeyDown (TWinControl)
pt | WMKeyUp (TWinControl)
pt | WMKillFocus (TWinControl)
pt | WMLButtonDBLCLK (TControl)
pt | WMLButtonDown (TControl)
pt | WMLButtonQuadCLK (TControl)
pt | WMLButtonTripleCLK (TControl)
pt | WMLButtonUp (TControl)
pt | WMMButtonDBLCLK (TControl)
pt | WMMButtonDown (TControl)
pt | WMMButtonQuadCLK (TControl)
pt | WMMButtonTripleCLK (TControl)
pt | WMMButtonUp (TControl)
pt | WMMouseHWheel (TControl)
pt | WMMouseMove (TControl)
pt | WMMouseWheel (TControl)
pt | WMMove (TControl)
pt | WMMove (TWinControl)
pt | WMNotify (TWinControl)
pt | WMPaint (TWinControl)
pt | WMPaint (TCustomControl)
pt | WMRButtonDBLCLK (TControl)
pt | WMRButtonDown (TControl)
pt | WMRButtonQuadCLK (TControl)
pt | WMRButtonTripleCLK (TControl)
pt | WMRButtonUp (TControl)
pt | WMSetFocus (TWinControl)
pt | WMShowWindow (TWinControl)
pt | WMSize (TControl)
pt | WMSize (TWinControl)
pt | WMSysChar (TWinControl)
pt | WMSysKeyDown (TWinControl)
pt | WMSysKeyUp (TWinControl)
pt | WMWindowPosChanged (TControl)
pt | WMWindowPosChanged (TWinControl)
pt | WMXButtonDBLCLK (TControl)
pt | WMXButtonDown (TControl)
pt | WMXButtonQuadCLK (TControl)
pt | WMXButtonTripleCLK (TControl)
pt | WMXButtonUp (TControl)
pt | WndProc (TControl)
pt | WndProc (TWinControl)
 | WriteLayoutDebugReport (TControl)
 | WriteLayoutDebugReport (TWinControl)
 | WriteLeft (TComponent)
 | WriteState (TComponent)
 | WriteTop (TComponent)
pt | WSRegisterClass (TLCLComponent)
pt | WSRegisterClass (TControl)
pt | WSRegisterClass (TWinControl)
pt | WSRegisterClass (TCustomControl)
pt | WSSetText (TWinControl)
 | _AddRef (TComponent)
 | _Release (TComponent)


TCustomHeaderControl
pl | OnSectionDrag
pl | OnSectionEndDrag
pl | OnSectionClick
pl | OnSectionResize
pl | OnSectionTrack
pl | OnSectionSeparatorDblClick
pl | OnCreateSectionClass
TCustomControl
 | OnPaint
TWinControl
pt | OnGetSiteInfo
pt | OnGetDockCaption
 | OnAlignInsertBefore
 | OnAlignPosition
 | OnDockDrop
 | OnDockOver
 | OnEnter
 | OnExit
 | OnKeyDown
 | OnKeyPress
 | OnKeyUp
 | OnUnDock
 | OnUTF8KeyPress
TControl
pt | OnConstrainedResize
pt | OnContextPopup
pt | OnDblClick
pt | OnTripleClick
pt | OnQuadClick
pt | OnDragDrop
pt | OnDragOver
pt | OnEndDock
pt | OnEndDrag
pt | OnMouseDown
pt | OnMouseMove
pt | OnMouseUp
pt | OnMouseEnter
pt | OnMouseLeave
pt | OnMouseWheel
pt | OnMouseWheelDown
pt | OnMouseWheelUp
pt | OnMouseWheelHorz
pt | OnMouseWheelLeft
pt | OnMouseWheelRight
pt | OnStartDock
pt | OnStartDrag
pt | OnEditingDone
 | OnChangeBounds
 | OnClick
 | OnResize
 | OnShowHint
TLCLComponent
TComponent
TPersistent
TObject


 | OnAlignInsertBefore (TWinControl)
 | OnAlignPosition (TWinControl)
 | OnChangeBounds (TControl)
 | OnClick (TControl)
pt | OnConstrainedResize (TControl)
pt | OnContextPopup (TControl)
pl | OnCreateSectionClass (TCustomHeaderControl)
pt | OnDblClick (TControl)
 | OnDockDrop (TWinControl)
 | OnDockOver (TWinControl)
pt | OnDragDrop (TControl)
pt | OnDragOver (TControl)
pt | OnEditingDone (TControl)
pt | OnEndDock (TControl)
pt | OnEndDrag (TControl)
 | OnEnter (TWinControl)
 | OnExit (TWinControl)
pt | OnGetDockCaption (TWinControl)
pt | OnGetSiteInfo (TWinControl)
 | OnKeyDown (TWinControl)
 | OnKeyPress (TWinControl)
 | OnKeyUp (TWinControl)
pt | OnMouseDown (TControl)
pt | OnMouseEnter (TControl)
pt | OnMouseLeave (TControl)
pt | OnMouseMove (TControl)
pt | OnMouseUp (TControl)
pt | OnMouseWheel (TControl)
pt | OnMouseWheelDown (TControl)
pt | OnMouseWheelHorz (TControl)
pt | OnMouseWheelLeft (TControl)
pt | OnMouseWheelRight (TControl)
pt | OnMouseWheelUp (TControl)
 | OnPaint (TCustomControl)
pt | OnQuadClick (TControl)
 | OnResize (TControl)
pl | OnSectionClick (TCustomHeaderControl)
pl | OnSectionDrag (TCustomHeaderControl)
pl | OnSectionEndDrag (TCustomHeaderControl)
pl | OnSectionResize (TCustomHeaderControl)
pl | OnSectionSeparatorDblClick (TCustomHeaderControl)
pl | OnSectionTrack (TCustomHeaderControl)
 | OnShowHint (TControl)
pt | OnStartDock (TControl)
pt | OnStartDrag (TControl)
pt | OnTripleClick (TControl)
 | OnUnDock (TWinControl)
 | OnUTF8KeyPress (TWinControl)


TCustomHeaderControl.ChangeScale

Declaration

Source position: comctrls.pp line 3979

public procedure TCustomHeaderControl.ChangeScale(

  M: Integer;

  D: Integer

); override;


TCustomHeaderControl.Create

Create - constructor for TCustomHeaderControl: calls inherited Create, creates the sections and initialises style and bounds

Declaration

Source position: comctrls.pp line 3971

public constructor TCustomHeaderControl.Create(

  AOwner: TComponent

); override;

See also

TComponent.Create

TCustomControl.Create


TCustomHeaderControl.CreateSection

CreateSection - method for creating a header section

Declaration

Source position: comctrls.pp line 3947

protected function TCustomHeaderControl.CreateSection: THeaderSection; virtual;


TCustomHeaderControl.CreateSections

CreateSections - method for creating a collection of header sections

Declaration

Source position: comctrls.pp line 3948

protected function TCustomHeaderControl.CreateSections: THeaderSections; virtual;


TCustomHeaderControl.Destroy

Destroy - destructor for TCustomHeaderControl: frees sections then calls inherited Destroy

Declaration

Source position: comctrls.pp line 3972

public destructor TCustomHeaderControl.Destroy; override;

See also

TComponent.Destroy

TCustomControl.Destroy


TCustomHeaderControl.DoAutoAdjustLayout

Declaration

Source position: comctrls.pp line 3966

protected procedure TCustomHeaderControl.DoAutoAdjustLayout(

  const AMode: TLayoutAdjustmentPolicy;

  const AXProportion: Double;

  const AYProportion: Double

); override;


TCustomHeaderControl.DragReorder

DragReorder - find out if the sections are allowed to be re-ordered by dragging

Declaration

Source position: comctrls.pp line 3981

published property TCustomHeaderControl.DragReorder : Boolean
  read FDragReorder
  write FDragReorder;


TCustomHeaderControl.GetControlClassDefaultSize

GetControlClassDefaultSize - returns its own defaults, overriding inherited values

Declaration

Source position: comctrls.pp line 3965

protected class function TCustomHeaderControl.GetControlClassDefaultSize: TSize; override;

See also

TControl.GetControlClassDefaultSize

Returns the default size for this class of controls (when added to a form).


TCustomHeaderControl.GetSectionAt

GetSectionAt - find the index for the section located at point P

Declaration

Source position: comctrls.pp line 3976

public function TCustomHeaderControl.GetSectionAt(

  P: TPoint

):Integer;


TCustomHeaderControl.Images

Images - the list of Images available for selection using this tool

Declaration

Source position: comctrls.pp line 3982

published property TCustomHeaderControl.Images : TCustomImageList
  read FImages
  write SetImages;


TCustomHeaderControl.ImagesWidth

Declaration

Source position: comctrls.pp line 3983

published property TCustomHeaderControl.ImagesWidth : Integer
  read FImagesWidth
  write SetImagesWidth
  default 0;


TCustomHeaderControl.Loaded

Declaration

Source position: comctrls.pp line 3949

protected procedure TCustomHeaderControl.Loaded; override;


TCustomHeaderControl.OnCreateSectionClass

OnCreateSectionClass - event handler for creating a new section class

Declaration

Source position: comctrls.pp line 3997

published property TCustomHeaderControl.OnCreateSectionClass : TCustomHCCreateSectionClassEvent
  read FOnCreateSectionClass
  write FOnCreateSectionClass;


TCustomHeaderControl.OnSectionClick

OnSectionClick - event handler for mouse click on this section of header

Declaration

Source position: comctrls.pp line 3989

published property TCustomHeaderControl.OnSectionClick : TCustomSectionNotifyEvent
  read FOnSectionClick
  write FOnSectionClick;


TCustomHeaderControl.OnSectionDrag

OnSectionDrag - event handler for dragging the section of header

Declaration

Source position: comctrls.pp line 3986

published property TCustomHeaderControl.OnSectionDrag : TSectionDragEvent
  read FOnSectionDrag
  write FOnSectionDrag;


TCustomHeaderControl.OnSectionEndDrag

OnSectionEndDrag - event handler for ending the drag process for this section

Declaration

Source position: comctrls.pp line 3988

published property TCustomHeaderControl.OnSectionEndDrag : TNotifyEvent
  read FOnSectionEndDrag
  write FOnSectionEndDrag;


TCustomHeaderControl.OnSectionResize

OnSectionResize - event handler for re-sizing this section of the header

Declaration

Source position: comctrls.pp line 3991

published property TCustomHeaderControl.OnSectionResize : TCustomSectionNotifyEvent
  read FOnSectionResize
  write FOnSectionResize;


TCustomHeaderControl.OnSectionSeparatorDblClick

OnSectionSeparatorDblClick - event handler for double-click on the separator between sections

Declaration

Source position: comctrls.pp line 3995

published property TCustomHeaderControl.OnSectionSeparatorDblClick : TCustomSectionNotifyEvent
  read FOnSectionSeparatorDblClick
  write FOnSectionSeparatorDblClick;


TCustomHeaderControl.OnSectionTrack

OnSectionTrack - event handler for tracking this section

Declaration

Source position: comctrls.pp line 3993

published property TCustomHeaderControl.OnSectionTrack : TCustomSectionTrackEvent
  read FOnSectionTrack
  write FOnSectionTrack;


TCustomHeaderControl.PaintSection

PaintSection - method for painting the current section (specified by Index) of the Header

Declaration

Source position: comctrls.pp line 3978

public procedure TCustomHeaderControl.PaintSection(

  Index: Integer

); virtual;


TCustomHeaderControl.SectionClick

SectionClick - method for emulating the OnSectionClick event

Declaration

Source position: comctrls.pp line 3951

protected procedure TCustomHeaderControl.SectionClick(

  Section: THeaderSection

); virtual;


TCustomHeaderControl.SectionDrag

SectionDrag - method to emulate the OnSectionDrag event

Declaration

Source position: comctrls.pp line 3956

protected function TCustomHeaderControl.SectionDrag(

  FromSection: THeaderSection;

  ToSection: THeaderSection

):Boolean; virtual;


TCustomHeaderControl.SectionEndDrag

SectionEndDrag - method for emulating the OnSectionEndDrag event

Declaration

Source position: comctrls.pp line 3955

protected procedure TCustomHeaderControl.SectionEndDrag; virtual;


TCustomHeaderControl.SectionFromOriginalIndex

SectionFromOriginalIndex - the section as defined by the original (unchanged) index

Declaration

Source position: comctrls.pp line 3969

public property TCustomHeaderControl.SectionFromOriginalIndex[OriginalIndex: Integer] : THeaderSection
  read GetSectionFromOriginalIndex;


TCustomHeaderControl.SectionResize

SectionResize - method for emulating the OnSectionResize event

Declaration

Source position: comctrls.pp line 3952

protected procedure TCustomHeaderControl.SectionResize(

  Section: THeaderSection

); virtual;


TCustomHeaderControl.Sections

Sections - the short segments of the header separated by vertical bars that function as the elementary selection units of the header

Declaration

Source position: comctrls.pp line 3984

published property TCustomHeaderControl.Sections : THeaderSections
  read FSections
  write SetSections;


TCustomHeaderControl.SectionSeparatorDblClick

SectionSeparatorDblClick - method for emulating the OnSectionSeparatorDblClick event

Declaration

Source position: comctrls.pp line 3954

protected procedure TCustomHeaderControl.SectionSeparatorDblClick(

  Section: THeaderSection

); virtual;


TCustomHeaderControl.SectionTrack

SectionTrack - method for emulating the OnSectionTrack event

Declaration

Source position: comctrls.pp line 3953

protected procedure TCustomHeaderControl.SectionTrack(

  Section: THeaderSection;

  State: TSectionTrackState

); virtual;


TCustomHeaderControl.UpdateState

UpdateState - bring the state of the control up-to-date

Declaration

Source position: comctrls.pp line 3964

protected procedure TCustomHeaderControl.UpdateState;


TCustomListView

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

TCustomListView - the base class for TListView

Declaration

Source position: comctrls.pp line 1371

type TCustomListView = class(TWinControl)
protected
procedure ItemDeleted(); | ItemDeleted - the specified listitem is removed from the list
procedure ItemInserted(); | ItemInserted - the specified item is inserted into the list
class procedure WSRegisterClass; override; | Registers this component class with the current WidgetSet.
class function GetControlClassDefaultSize; override;
procedure InitializeWnd; override; | InitializeWnd - calls inherited method, then sets various local properties
procedure FinalizeWnd; override; | FinalizeWnd stores the list origin then calls inherited method
procedure DestroyWnd; override; | Destroys the interface object (widget).
procedure BeginAutoDrag; override; | For internal use: user has started dragging the control.
function CreateListItem; virtual;
function CreateListItems; virtual;
function CanEdit(); virtual;
procedure Change(); virtual; | Change - Internal procedure to simulate the OnChange event
procedure ColClick(); virtual; | ColClick - procedure to simulate the OnColumnClick event.
procedure Delete(); | Delete an Item from the List
procedure DoDeletion(); virtual; | DoDeletion - performs the actual deletion
procedure DoInsert(); virtual; | Performs the insertion
procedure DoItemChecked();
procedure DoSelectItem(); virtual; | DoSelectItem - perform item selection
procedure DoAutoAdjustLayout(); override;
procedure DoSetBounds(); override;
procedure DoEndEdit(); virtual;
procedure InsertItem(); | Insert an Item into the List
procedure ImageChanged(); | ImageChanged - procedure to signal that an image has chnaged
procedure Loaded; override; | Called when the control has been loaded from a resource, transfers the loaded property values to the widget.
procedure Notification(); override;
function IsCustomDrawn(); virtual; | IsCustomDrawn - returns True if a target has been custom drawn
function CustomDraw(); virtual; | CustomDraw - performs custom drawing in the given rectangle and returns True if successful
function CustomDrawItem(); virtual; | CustomDrawItem - custom draws the specified item and returns True if successful
function CustomDrawSubItem(); virtual; | CustomDrawSubItem - custom draws the specified subitem returning True if successful
function IntfCustomDraw(); | IntfCustomDraw - uses the interface to perform custom drawing and returns a result of drawing
function GetUpdateCount;
procedure DrawItem();
procedure DoGetOwnerData(); virtual;
function DoOwnerDataHint(); virtual;
function DoOwnerDataStateChange(); virtual;
procedure DblClick; override;
procedure KeyDown(); override;
property AllocBy: Integer; [rw] | When new items add to list, increase internal buffer capacity by this amount. Needed to not add to internal buffer by one.
property AutoSort: Boolean; [rw] | When user clicks ListView header's column, sort ListView by this column. After next click, sort in other order.
property AutoWidthLastColumn: Boolean; [rw] | For Report view. Resize last column, to fill entire ListView width.
property ColumnClick: Boolean; [rw] | Enable to react to clicks on ListView header columns. And to call OnColumnClick event.
property Columns: TListColumns; [rw] | Collection of items, which have properties of ListView columns (size, alignment, image index, etc).
property DefaultItemHeight: Integer; [rw] | Default height of lines in ListView.
property HideSelection: Boolean; [rw] | If control looses focus, don't paint selection background for selected item(s).
property HoverTime: Integer; [rw] | Time (in msec) for which the mouse cursor must hover over an item, before item's tooltip is shown.
property LargeImages: TCustomImageList; [rw] | ImageList object, which contains "big" icons for one if ListView layouts.
property LargeImagesWidth: Integer; [rw]
property OwnerDraw: Boolean; [rw] | Use owner-draw mode. It means that program must paint ListView items, using OnCustomDraw*, OnAdvancedCustomDraw* events.
property ScrollBars: TScrollStyle; [rw] | Kind of scrollbars in control: vertical, horizontal, none or both. Auto* mean that scrollbars hide automatically.
property ShowColumnHeaders: Boolean; [rw] | Show header area in ListView, which shows captions of columns.
property ShowWorkAreas: Boolean; [rw] | Property WorkAreas sets work areas in ListView. This property allows to highlight each work area with its own color and show with own caption.
property SmallImages: TCustomImageList; [rw] | ImageList object, which contains "small" icons for one if ListView layouts.
property SmallImagesWidth: Integer; [rw]
property SortType: TSortType; [rw] | Sets sorting order for current sorting column: by text, by Data of items, both or none.
property SortColumn: Integer; [rw] | Index of column, by which ListView was last sorted. -1 for none.
property SortDirection: TSortDirection; [rw] | Sets sorting direction for current sorting column.
property StateImages: TCustomImageList; [rw] | ImageList object, which contains "state" icons, for item states: selected, normal, etc.
property StateImagesWidth: Integer; [rw]
property ToolTips: Boolean; [rw] | Automatically show hints (tooltips) for ListView items, when mouse is over items.
property ViewStyle: TViewStyle; [rw] | Sets one of ListView layouts: List (simple column), Report (few columns with full width), Icon (big icons), Small Icon (small icons, 16x16).
property OnChange: TLVChangeEvent; [rw] | Called when content of list collection changes.
property OnColumnClick: TLVColumnClickEvent; [rw] | Called when user clicks on column's header area.
property OnCompare: TLVCompareEvent; [rw] | Called during sorting of list, by one of columns, to compare items.
property OnCreateItemClass: TLVCreateItemClassEvent; [rw]
property OnData: TLVDataEvent; [rw] | Called for owner-data mode.
property OnDataFind: TLVDataFindEvent; [rw] | Called for owner-data mode.
property OnDataHint: TLVDataHintEvent; [rw] | Called for owner-data mode.
property OnDataStateChange: TLVDataStateChangeEvent; [rw] | Called for owner-data mode.
property OnDeletion: TLVDeletedEvent; [rw] | Called when items are deleted by code.
property OnEdited: TLVEditedEvent; [rw]
property OnEditing: TLVEditingEvent; [rw]
property OnInsert: TLVInsertEvent; [rw] | Called when items are inserted by code.
property OnItemChecked: TLVCheckedItemEvent; [rw]
property OnSelectItem: TLVSelectItemEvent; [rw] | Called when items are selected or selection changes.
property OnCustomDraw: TLVCustomDrawEvent; [rw] | Called for owner-draw mode.
property OnCustomDrawItem: TLVCustomDrawItemEvent; [rw] | Called for owner-draw mode.
property OnCustomDrawSubItem: TLVCustomDrawSubItemEvent; [rw] | Called for owner-draw mode.
property OnDrawItem: TLVDrawItemEvent; [rw]
property OnAdvancedCustomDraw: TLVAdvancedCustomDrawEvent; [rw] | Called for owner-draw mode.
property OnAdvancedCustomDrawItem: TLVAdvancedCustomDrawItemEvent; [rw] | Called for owner-draw mode.
property OnAdvancedCustomDrawSubItem: TLVAdvancedCustomDrawSubItemEvent; [rw] | Called for owner-draw mode.
public
constructor Create(); override; | Create - constructor for TCustomListView: calls inherited Create then initialises columns, the list of items, the canvas and properties and some formats and styles
destructor Destroy; override; | Destroy - destructor for TCustomListView: frees Canvas, calls inherited Destroy and frees columns, links and list items
procedure AddItem();
function AlphaSort;
procedure Sort; |
function CustomSort();
procedure BeginUpdate; | BeginUpdate - start updating the list view
procedure Clear; | Clear - the stringlist
procedure EndUpdate; | EndUpdate - finish updating the list view
procedure Repaint; override;
function FindCaption(); | FindCaption- search for and return the list item that contains the nominated caption
function FindData();
function GetHitTestInfoAt();
function GetItemAt(); | GetItemAt - find and return the list item at the specified coordinates
function GetNearestItem();
function GetNextItem();
procedure ClearSelection;
procedure SelectAll;
function IsEditing;
property BoundingRect: TRect; [r] | Coordinates of the rectangle containing the ListView.
property BorderStyle: TBorderStyle; | Allows to show a border (line) around the control,
property Canvas: TCanvas; [r] | TCanvas object, defines the area on which all graphic is drawn.
property Checkboxes: Boolean; [rw] | Show the check-boxes column, at the side of usual lines. Allows to check/uncheck items.
property Column []: TListColumn; [r] | Property of ListView columns.
property ColumnCount: Integer; [r]
property DropTarget: TListItem; [rw]
property FlatScrollBars: Boolean; [rw] | Show ListView scrollbars in "flat" style (default off, not for all widgetsets).
property FullDrag: Boolean; [rw]
property GridLines: Boolean; [rw] | Show 1-pixel lines, as a grid, between rows and columns.
property HotTrack: Boolean; [rw] | Allow to highlight/underline current ListView item, which is under mouse cursor.
property HotTrackStyles: TListHotTrackStyles; [rw] | More options for HotTrack property.
property IconOptions: TIconOptions; [rw] | Options for layouts, which show icons. Sets arrangement of icons, text-wrapping state.
property ItemFocused: TListItem; [rw] | ListView item, which is shown as focused.
property ItemIndex: Integer; [rw]
property Items: TListItems; [rw] | Collection of items in ListView.
property MultiSelect: Boolean; [rw] | Allow to select several Listview items at a time, using Ctrl+click (select one item more).
property OwnerData: Boolean; [rw] | Use owner-data mode for ListView. It means, that ListView don't contain items, you must supply them using OnData* events.
property ReadOnly: Boolean; [rw] | Don't allow user to change item captions, by click with a delay.
property RowSelect: Boolean; [rw] | In Report view, this allows to highlight entire selected row, until right edge of ListView.
property SelCount: Integer; [r] | Number of currently selected items.
property Selected: TListItem; [rw] | Listview item, which is 1st selected.
property LastSelected: TListItem; [r] | Listview item, which is last selected, in MultiSelect mode.
property TabStop: Boolean; | Allows the user to navigate to this control, by pressing the Tab key.
property TopItem: TListItem; [r] | Listview item, which is shown at the top edge of ListView.
property ViewOrigin: TPoint; [rw] | Coordinate of the left/top visible point in ListView, updates when Listview scrolls.
property VisibleRowCount: Integer; [r] | Number of rows, which is currenly shown with current Listview position/size/layout.
end;

Inheritance

TCustomListView | TCustomListView - the base class for TListView
|
TWinControl | The base class for controls which can contain other (child) controls.
|
TControl | The base class for visible controls.
|
TLCLComponent | The base class for LCL components associated with widgets.
|
TComponent,IUnknown,IInterfaceComponentReference
|
TPersistent,IFPObserved
|
TObject

Description

TCustomListView is the base class for TListView. If you want to define your own ListView class, you should derive it from this class.


TCustomListView
pt |  | AllocBy
pt |  | AutoSort
pt |  | AutoWidthLastColumn
pt |  | ColumnClick
pt |  | Columns
pt |  | DefaultItemHeight
pt |  | HideSelection
pt |  | HoverTime
pt |  | LargeImages
pt |  | LargeImagesWidth
pt |  | OwnerDraw
pt |  | ScrollBars
pt |  | ShowColumnHeaders
pt |  | ShowWorkAreas
pt |  | SmallImages
pt |  | SmallImagesWidth
pt |  | SortType
pt |  | SortColumn
pt |  | SortDirection
pt |  | StateImages
pt |  | StateImagesWidth
pt |  | ToolTips
pt |  | ViewStyle
 | ro | BoundingRect
 | ro | BorderStyle
 | ro | Canvas
 |  | Checkboxes
 | ro | Column
 | ro | ColumnCount
 |  | DropTarget
 |  | FlatScrollBars
 |  | FullDrag
 |  | GridLines
 |  | HotTrack
 |  | HotTrackStyles
 |  | IconOptions
 |  | ItemFocused
 |  | ItemIndex
 |  | Items
 |  | MultiSelect
 |  | OwnerData
 |  | ReadOnly
 |  | RowSelect
 | ro | SelCount
 |  | Selected
 | ro | LastSelected
 | ro | TabStop
 | ro | TopItem
 |  | ViewOrigin
 | ro | VisibleRowCount
TWinControl
pt |  | WindowHandle
pt |  | BorderStyle
pt |  | ParentBackground
 |  | BorderWidth
 | ro | BoundsLockCount
 | ro | Brush
 | ro | CachedClientHeight
 | ro | CachedClientWidth
 |  | ChildSizing
 | ro | ControlCount
 | ro | Controls
 |  | DefWndProc
 | ro | DockClientCount
 | ro | DockClients
 |  | DockManager
 |  | DockSite
 |  | DoubleBuffered
 |  | Handle
 | ro | IsFlipped
 | ro | IsResizing
 |  | TabOrder
 |  | TabStop
 |  | ParentDoubleBuffered
 |  | ParentWindow
 | ro | Showing
 |  | UseDockManager
 |  | DesignerDeleting
 | ro | VisibleDockClientCount
TControl
pt | ro | AutoSizing
pt | ro | AutoSizingAll
pt | ro | AutoSizingLockCount
pt |  | ActionLink
pt |  | DesktopFont
pt |  | DragCursor
pt |  | DragKind
pt |  | DragMode
pt |  | MouseCapture
pt |  | ParentColor
pt |  | ParentFont
pt |  | ParentShowHint
pt |  | SessionProperties
pt |  | Text
 | ro | AnchoredControls
 | ro | BaseBounds
 | ro | ReadBounds
 | ro | BaseParentClientSize
 |  | AccessibleDescription
 |  | AccessibleValue
 |  | AccessibleRole
 |  | Action
 |  | Align
 |  | Anchors
 | ro | AnchorSide
 |  | AutoSize
 |  | BorderSpacing
 |  | BoundsRect
 |  | BoundsRectForNewParent
 |  | Caption
 |  | CaptureMouseButtons
 |  | ClientHeight
 | ro | ClientOrigin
 | ro | ClientRect
 |  | ClientWidth
 |  | Color
 |  | Constraints
 | ro | ControlOrigin
 |  | ControlState
 |  | ControlStyle
 |  | Enabled
 |  | Font
 |  | IsControl
 | ro | MouseEntered
 | ro | MouseInClient
 |  | Parent
 |  | PopupMenu
 |  | ShowHint
 |  | Visible
 |  | WindowProc
 |  | DockOrientation
 | ro | Floating
 |  | FloatingDockSiteClass
 |  | HostDockSite
 |  | LRDockWidth
 |  | TBDockHeight
 |  | UndockHeight
 |  | UndockWidth
 |  | BiDiMode
 |  | ParentBiDiMode
pl |  | AnchorSideLeft
pl |  | AnchorSideTop
pl |  | AnchorSideRight
pl |  | AnchorSideBottom
pl |  | Cursor
pl |  | Left
pl |  | Height
pl |  | Hint
pl |  | Top
pl |  | Width
pl |  | HelpType
pl |  | HelpKeyword
pl |  | HelpContext
TLCLComponent
 | ro | LCLRefCount
 | ro | WidgetSetClass
TComponent
 | ro | ComObject
 | ro | Components
 | ro | ComponentCount
 |  | ComponentIndex
 | ro | ComponentState
 | ro | ComponentStyle
 |  | DesignInfo
 | ro | Owner
 |  | VCLComObject
 |  | Name
 |  | Tag
TPersistent
TObject


 |  | AccessibleDescription (TControl)
 |  | AccessibleRole (TControl)
 |  | AccessibleValue (TControl)
 |  | Action (TControl)
pt |  | ActionLink (TControl)
 |  | Align (TControl)
pt |  | AllocBy (TCustomListView)
 | ro | AnchoredControls (TControl)
 |  | Anchors (TControl)
 | ro | AnchorSide (TControl)
pl |  | AnchorSideBottom (TControl)
pl |  | AnchorSideLeft (TControl)
pl |  | AnchorSideRight (TControl)
pl |  | AnchorSideTop (TControl)
 |  | AutoSize (TControl)
pt | ro | AutoSizing (TControl)
pt | ro | AutoSizingAll (TControl)
pt | ro | AutoSizingLockCount (TControl)
pt |  | AutoSort (TCustomListView)
pt |  | AutoWidthLastColumn (TCustomListView)
 | ro | BaseBounds (TControl)
 | ro | BaseParentClientSize (TControl)
 |  | BiDiMode (TControl)
 |  | BorderSpacing (TControl)
pt |  | BorderStyle (TWinControl)
 | ro | BorderStyle (TCustomListView)
 |  | BorderWidth (TWinControl)
 | ro | BoundingRect (TCustomListView)
 | ro | BoundsLockCount (TWinControl)
 |  | BoundsRect (TControl)
 |  | BoundsRectForNewParent (TControl)
 | ro | Brush (TWinControl)
 | ro | CachedClientHeight (TWinControl)
 | ro | CachedClientWidth (TWinControl)
 | ro | Canvas (TCustomListView)
 |  | Caption (TControl)
 |  | CaptureMouseButtons (TControl)
 |  | Checkboxes (TCustomListView)
 |  | ChildSizing (TWinControl)
 |  | ClientHeight (TControl)
 | ro | ClientOrigin (TControl)
 | ro | ClientRect (TControl)
 |  | ClientWidth (TControl)
 |  | Color (TControl)
 | ro | Column (TCustomListView)
pt |  | ColumnClick (TCustomListView)
 | ro | ColumnCount (TCustomListView)
pt |  | Columns (TCustomListView)
 | ro | ComObject (TComponent)
 | ro | ComponentCount (TComponent)
 |  | ComponentIndex (TComponent)
 | ro | Components (TComponent)
 | ro | ComponentState (TComponent)
 | ro | ComponentStyle (TComponent)
 |  | Constraints (TControl)
 | ro | ControlCount (TWinControl)
 | ro | ControlOrigin (TControl)
 | ro | Controls (TWinControl)
 |  | ControlState (TControl)
 |  | ControlStyle (TControl)
pl |  | Cursor (TControl)
pt |  | DefaultItemHeight (TCustomListView)
 |  | DefWndProc (TWinControl)
 |  | DesignerDeleting (TWinControl)
 |  | DesignInfo (TComponent)
pt |  | DesktopFont (TControl)
 | ro | DockClientCount (TWinControl)
 | ro | DockClients (TWinControl)
 |  | DockManager (TWinControl)
 |  | DockOrientation (TControl)
 |  | DockSite (TWinControl)
 |  | DoubleBuffered (TWinControl)
pt |  | DragCursor (TControl)
pt |  | DragKind (TControl)
pt |  | DragMode (TControl)
 |  | DropTarget (TCustomListView)
 |  | Enabled (TControl)
 |  | FlatScrollBars (TCustomListView)
 | ro | Floating (TControl)
 |  | FloatingDockSiteClass (TControl)
 |  | Font (TControl)
 |  | FullDrag (TCustomListView)
 |  | GridLines (TCustomListView)
 |  | Handle (TWinControl)
pl |  | Height (TControl)
pl |  | HelpContext (TControl)
pl |  | HelpKeyword (TControl)
pl |  | HelpType (TControl)
pt |  | HideSelection (TCustomListView)
pl |  | Hint (TControl)
 |  | HostDockSite (TControl)
 |  | HotTrack (TCustomListView)
 |  | HotTrackStyles (TCustomListView)
pt |  | HoverTime (TCustomListView)
 |  | IconOptions (TCustomListView)
 |  | IsControl (TControl)
 | ro | IsFlipped (TWinControl)
 | ro | IsResizing (TWinControl)
 |  | ItemFocused (TCustomListView)
 |  | ItemIndex (TCustomListView)
 |  | Items (TCustomListView)
pt |  | LargeImages (TCustomListView)
pt |  | LargeImagesWidth (TCustomListView)
 | ro | LastSelected (TCustomListView)
 | ro | LCLRefCount (TLCLComponent)
pl |  | Left (TControl)
 |  | LRDockWidth (TControl)
pt |  | MouseCapture (TControl)
 | ro | MouseEntered (TControl)
 | ro | MouseInClient (TControl)
 |  | MultiSelect (TCustomListView)
 |  | Name (TComponent)
 | ro | Owner (TComponent)
 |  | OwnerData (TCustomListView)
pt |  | OwnerDraw (TCustomListView)
 |  | Parent (TControl)
pt |  | ParentBackground (TWinControl)
 |  | ParentBiDiMode (TControl)
pt |  | ParentColor (TControl)
 |  | ParentDoubleBuffered (TWinControl)
pt |  | ParentFont (TControl)
pt |  | ParentShowHint (TControl)
 |  | ParentWindow (TWinControl)
 |  | PopupMenu (TControl)
 | ro | ReadBounds (TControl)
 |  | ReadOnly (TCustomListView)
 |  | RowSelect (TCustomListView)
pt |  | ScrollBars (TCustomListView)
 | ro | SelCount (TCustomListView)
 |  | Selected (TCustomListView)
pt |  | SessionProperties (TControl)
pt |  | ShowColumnHeaders (TCustomListView)
 |  | ShowHint (TControl)
 | ro | Showing (TWinControl)
pt |  | ShowWorkAreas (TCustomListView)
pt |  | SmallImages (TCustomListView)
pt |  | SmallImagesWidth (TCustomListView)
pt |  | SortColumn (TCustomListView)
pt |  | SortDirection (TCustomListView)
pt |  | SortType (TCustomListView)
pt |  | StateImages (TCustomListView)
pt |  | StateImagesWidth (TCustomListView)
 |  | TabOrder (TWinControl)
 |  | TabStop (TWinControl)
 | ro | TabStop (TCustomListView)
 |  | Tag (TComponent)
 |  | TBDockHeight (TControl)
pt |  | Text (TControl)
pt |  | ToolTips (TCustomListView)
pl |  | Top (TControl)
 | ro | TopItem (TCustomListView)
 |  | UndockHeight (TControl)
 |  | UndockWidth (TControl)
 |  | UseDockManager (TWinControl)
 |  | VCLComObject (TComponent)
 |  | ViewOrigin (TCustomListView)
pt |  | ViewStyle (TCustomListView)
 |  | Visible (TControl)
 | ro | VisibleDockClientCount (TWinControl)
 | ro | VisibleRowCount (TCustomListView)
 | ro | WidgetSetClass (TLCLComponent)
pl |  | Width (TControl)
pt |  | WindowHandle (TWinControl)
 |  | WindowProc (TControl)


TCustomListView
pt | ItemDeleted
pt | ItemInserted
pt | WSRegisterClass
pt | GetControlClassDefaultSize
pt | InitializeWnd
pt | FinalizeWnd
pt | DestroyWnd
pt | BeginAutoDrag
pt | CreateListItem
pt | CreateListItems
pt | CanEdit
pt | Change
pt | ColClick
pt | Delete
pt | DoDeletion
pt | DoInsert
pt | DoItemChecked
pt | DoSelectItem
pt | DoAutoAdjustLayout
pt | DoSetBounds
pt | DoEndEdit
pt | InsertItem
pt | ImageChanged
pt | Loaded
pt | Notification
pt | IsCustomDrawn
pt | CustomDraw
pt | CustomDrawItem
pt | CustomDrawSubItem
pt | IntfCustomDraw
pt | GetUpdateCount
pt | DrawItem
pt | DoGetOwnerData
pt | DoOwnerDataHint
pt | DoOwnerDataStateChange
pt | DblClick
pt | KeyDown
 | Create
 | Destroy
 | AddItem
 | AlphaSort
 | Sort
 | CustomSort
 | BeginUpdate
 | Clear
 | EndUpdate
 | Repaint
 | FindCaption
 | FindData
 | GetHitTestInfoAt
 | GetItemAt
 | GetNearestItem
 | GetNextItem
 | ClearSelection
 | SelectAll
 | IsEditing
TWinControl
pt | WSRegisterClass
pt | AdjustClientRect
pt | GetAdjustedLogicalClientRect
pt | AlignControls
pt | CustomAlignInsertBefore
pt | CustomAlignPosition
pt | DoAlignChildControls
pt | DoChildSizingChange
pt | InvalidatePreferredChildSizes
pt | CanTab
pt | IsClientHeightStored
pt | IsClientWidthStored
pt | DoSendShowHideToInterface
pt | ControlsAligned
pt | DoSendBoundsToInterface
pt | RealizeBounds
pt | RealizeBoundsRecursive
pt | InvalidateBoundsRealized
pt | CreateSubClass
pt | DoConstraintsChange
pt | DoSetBounds
pt | DoAutoSize
pt | DoAllAutoSize
pt | AllAutoSized
pt | CalculatePreferredSize
pt | GetPreferredSizeClientFrame
pt | GetChildren
pt | ChildClassAllowed
pt | PaintControls
pt | PaintHandler
pt | PaintWindow
pt | CreateBrush
pt | ScaleControls
pt | ChangeScale
pt | CMBiDiModeChanged
pt | CMBorderChanged
pt | CMDoubleBufferedChanged
pt | CMEnabledChanged
pt | CMParentDoubleBufferedChanged
pt | CMShowingChanged
pt | CMShowHintChanged
pt | CMVisibleChanged
pt | CMEnter
pt | CMExit
pt | WMContextMenu
pt | WMEraseBkgnd
pt | WMNotify
pt | WMSetFocus
pt | WMKillFocus
pt | WMShowWindow
pt | WMEnter
pt | WMExit
pt | WMKeyDown
pt | WMSysKeyDown
pt | WMKeyUp
pt | WMSysKeyUp
pt | WMChar
pt | WMSysChar
pt | WMPaint
pt | WMDestroy
pt | WMMove
pt | WMSize
pt | WMWindowPosChanged
pt | CNKeyDown
pt | CNSysKeyDown
pt | CNKeyUp
pt | CNSysKeyUp
pt | CNChar
pt | DoDragMsg
pt | DoDockClientMsg
pt | DoUndockClientMsg
pt | DoAddDockClient
pt | DockOver
pt | DoDockOver
pt | DoRemoveDockClient
pt | DoUnDock
pt | GetSiteInfo
pt | GetParentHandle
pt | GetTopParentHandle
pt | ReloadDockedControl
pt | CreateDockManager
pt | SetDockManager
pt | DoFloatMsg
pt | DoGetDockCaption
pt | DoEnter
pt | DoExit
pt | DoKeyDownBeforeInterface
pt | DoRemainingKeyDown
pt | DoRemainingKeyUp
pt | DoKeyPress
pt | DoUTF8KeyPress
pt | DoKeyUpBeforeInterface
pt | ChildKey
pt | SendDialogChar
pt | DialogChar
pt | ControlKeyDown
pt | ControlKeyUp
pt | KeyDown
pt | KeyDownBeforeInterface
pt | KeyDownAfterInterface
pt | KeyPress
pt | KeyUp
pt | KeyUpBeforeInterface
pt | KeyUpAfterInterface
pt | UTF8KeyPress
pt | FindNextControl
pt | SelectFirst
pt | RealGetText
pt | GetBorderStyle
pt | GetClientOrigin
pt | GetClientRect
pt | GetControlOrigin
pt | GetDeviceContext
pt | GetParentBackground
pt | IsControlMouseMsg
pt | CreateHandle
pt | CreateParams
pt | CreateWnd
pt | DestroyHandle
pt | DestroyWnd
pt | DoFlipChildren
pt | FinalizeWnd
pt | FixupTabList
pt | FontChanged
pt | InitializeWnd
pt | Loaded
pt | FormEndUpdated
pt | MainWndProc
pt | ParentFormHandleInitialized
pt | ChildHandlesCreated
pt | GetMouseCapture
pt | RealSetText
pt | RemoveFocus
pt | SendMoveSizeMessages
pt | SetBorderStyle
pt | SetColor
pt | SetChildZPosition
pt | SetParentBackground
pt | ShowControl
pt | UpdateControlState
pt | UpdateShowing
pt | WndProc
pt | WSSetText
 | AutoSizePhases
 | AutoSizeDelayed
 | AutoSizeDelayedReport
 | AutoSizeDelayedHandle
 | BeginUpdateBounds
 | EndUpdateBounds
 | LockRealizeBounds
 | UnlockRealizeBounds
 | ControlAtPos
 | ContainsControl
 | DoAdjustClientRectChange
 | InvalidateClientRectCache
 | ClientRectNeedsInterfaceUpdate
 | SetBounds
 | GetChildrenRect
 | DisableAlign
 | EnableAlign
 | ReAlign
 | ScrollBy_WS
 | ScrollBy
 | WriteLayoutDebugReport
 | AutoAdjustLayout
 | Create
 | CreateParented
 | CreateParentedControl
 | Destroy
 | DockDrop
 | CanFocus
 | CanSetFocus
 | GetControlIndex
 | SetControlIndex
 | Focused
 | PerformTab
 | FindChildControl
 | SelectNext
 | SetTempCursor
 | BroadCast
 | NotifyControls
 | DefaultHandler
 | GetTextLen
 | Invalidate
 | AddControl
 | InsertControl
 | RemoveControl
 | GetEnumeratorControls
 | GetEnumeratorControlsReverse
 | Repaint
 | Update
 | SetFocus
 | FlipChildren
 | ScaleBy
 | GetDockCaption
 | UpdateDockCaption
 | GetTabOrderList
 | HandleAllocated
 | ParentHandlesAllocated
 | HandleNeeded
 | BrushCreated
 | EraseBackground
 | IntfUTF8KeyPress
 | IntfGetDropFilesTarget
 | PaintTo
 | SetShape
TControl
pt | WSRegisterClass
pt | GetCursor
pt | SetCursor
pt | SetVisible
pt | DoOnParentHandleDestruction
pt | DoAutoSize
pt | DoAllAutoSize
pt | BeginAutoSizing
pt | EndAutoSizing
pt | AnchorSideChanged
pt | ForeignAnchorSideChanged
pt | SetAlign
pt | SetAnchors
pt | SetAutoSize
pt | BoundsChanged
pt | CreateControlBorderSpacing
pt | DoConstraintsChange
pt | DoBorderSpacingChange
pt | IsBorderSpacingInnerBorderStored
pt | IsCaptionStored
pt | SendMoveSizeMessages
pt | ConstrainedResize
pt | CalculatePreferredSize
pt | DoOnResize
pt | DoOnChangeBounds
pt | CheckOnChangeBounds
pt | Resize
pt | RequestAlign
pt | UpdateAnchorRules
pt | ChangeBounds
pt | DoSetBounds
pt | ScaleConstraints
pt | ChangeScale
pt | CanAutoSize
pt | SetBiDiMode
pt | SetParentBiDiMode
pt | IsAParentAligning
pt | GetClientOrigin
pt | GetClientRect
pt | GetLogicalClientRect
pt | GetScrolledClientRect
pt | GetClientScrollOffset
pt | GetControlOrigin
pt | IsClientHeightStored
pt | IsClientWidthStored
pt | WidthIsAnchored
pt | HeightIsAnchored
pt | WMCancelMode
pt | WMContextMenu
pt | WMLButtonDown
pt | WMRButtonDown
pt | WMMButtonDown
pt | WMXButtonDown
pt | WMLButtonDBLCLK
pt | WMRButtonDBLCLK
pt | WMMButtonDBLCLK
pt | WMXButtonDBLCLK
pt | WMLButtonTripleCLK
pt | WMRButtonTripleCLK
pt | WMMButtonTripleCLK
pt | WMXButtonTripleCLK
pt | WMLButtonQuadCLK
pt | WMRButtonQuadCLK
pt | WMMButtonQuadCLK
pt | WMXButtonQuadCLK
pt | WMMouseMove
pt | WMLButtonUp
pt | WMRButtonUp
pt | WMMButtonUp
pt | WMXButtonUp
pt | WMMouseWheel
pt | WMMouseHWheel
pt | WMMove
pt | WMSize
pt | WMWindowPosChanged
pt | CMChanged
pt | LMCaptureChanged
pt | CMBiDiModeChanged
pt | CMSysFontChanged
pt | CMEnabledChanged
pt | CMHitTest
pt | CMMouseEnter
pt | CMMouseLeave
pt | CMHintShow
pt | CMParentBiDiModeChanged
pt | CMParentColorChanged
pt | CMParentFontChanged
pt | CMParentShowHintChanged
pt | CMVisibleChanged
pt | CMTextChanged
pt | CMCursorChanged
pt | CalculateDockSizes
pt | CreateFloatingDockSite
pt | GetDockEdge
pt | GetDragImages
pt | GetFloating
pt | GetFloatingDockSiteClass
pt | BeforeDragStart
pt | BeginAutoDrag
pt | DoFloatMsg
pt | DockTrackNoTarget
pt | DoDock
pt | DoDragMsg
pt | DoEndDock
pt | DoEndDrag
pt | DoStartDock
pt | DoStartDrag
pt | DragCanceled
pt | DragOver
pt | PositionDockRect
pt | SetDragMode
pt | GetDefaultDockCaption
pt | Click
pt | DblClick
pt | TripleClick
pt | QuadClick
pt | GetMousePosFromMessage
pt | MouseDown
pt | MouseMove
pt | MouseUp
pt | MouseEnter
pt | MouseLeave
pt | DialogChar
pt | UpdateMouseCursor
pt | Changed
pt | GetPalette
pt | ChildClassAllowed
pt | ReadState
pt | Loaded
pt | LoadedAll
pt | DefineProperties
pt | AssignTo
pt | FormEndUpdated
pt | InvalidateControl
pt | FontChanged
pt | ParentFontChanged
pt | GetAction
pt | RealGetText
pt | RealSetText
pt | TextChanged
pt | GetCachedText
pt | SetAction
pt | SetColor
pt | SetEnabled
pt | SetHint
pt | SetName
pt | SetParent
pt | SetParentComponent
pt | WndProc
pt | ParentFormHandleInitialized
pt | GetMouseCapture
pt | CaptureChanged
pt | Notification
pt | CanTab
pt | GetDeviceContext
pt | GetEnabled
pt | GetPopupMenu
pt | DoOnShowHint
pt | DoMouseWheel
pt | DoMouseWheelDown
pt | DoMouseWheelUp
pt | DoMouseWheelHorz
pt | DoMouseWheelLeft
pt | DoMouseWheelRight
pt | VisibleChanging
pt | VisibleChanged
pt | EnabledChanging
pt | EnabledChanged
pt | AddHandler
pt | RemoveHandler
pt | DoCallNotifyHandler
pt | DoCallKeyEventHandler
pt | DoCallMouseWheelEventHandler
pt | DoContextPopup
pt | SetZOrder
pt | GetControlClassDefaultSize
pt | ColorIsStored
pt | DoAutoAdjustLayout
pt | DoFixDesignFontPPI
pt | DoScaleFontPPI
pt | GetActionLinkClass
pt | ActionChange
 | DragDrop
 | Dock
 | ManualDock
 | ManualFloat
 | ReplaceDockedControl
 | Docked
 | Dragging
 | GetAccessibleObject
 | CreateAccessibleObject
 | GetSelectedChildAccessibleObject
 | GetChildAccessibleObjectAtPos
 | ScaleDesignToForm
 | ScaleFormToDesign
 | Scale96ToForm
 | ScaleFormTo96
 | Scale96ToFont
 | ScaleFontTo96
 | ScaleScreenToFont
 | ScaleFontToScreen
 | Scale96ToScreen
 | ScaleScreenTo96
 | AdjustSize
 | AutoSizePhases
 | AutoSizeDelayed
 | AutoSizeDelayedReport
 | AutoSizeDelayedHandle
 | AnchorToNeighbour
 | AnchorParallel
 | AnchorHorizontalCenterTo
 | AnchorVerticalCenterTo
 | AnchorToCompanion
 | AnchorSame
 | AnchorAsAlign
 | AnchorClient
 | AnchoredControlCount
 | SetBounds
 | SetInitialBounds
 | SetBoundsKeepBase
 | GetPreferredSize
 | GetCanvasScaleFactor
 | GetDefaultWidth
 | GetDefaultHeight
 | GetDefaultColor
 | GetColorResolvingParent
 | GetRGBColorResolvingParent
 | GetSidePosition
 | CNPreferredSizeChanged
 | InvalidatePreferredSize
 | GetAnchorsDependingOnParent
 | DisableAutoSizing
 | EnableAutoSizing
 | UpdateBaseBounds
 | WriteLayoutDebugReport
 | AutoAdjustLayout
 | ShouldAutoAdjust
 | FixDesignFontsPPI
 | ScaleFontsPPI
 | Create
 | Destroy
 | BeforeDestruction
 | EditingDone
 | ExecuteDefaultAction
 | ExecuteCancelAction
 | BeginDrag
 | EndDrag
 | BringToFront
 | HasParent
 | GetParentComponent
 | IsParentOf
 | GetTopParent
 | IsVisible
 | IsControlVisible
 | IsEnabled
 | IsParentColor
 | IsParentFont
 | FormIsUpdating
 | IsProcessingPaintMsg
 | Hide
 | Refresh
 | Repaint
 | Invalidate
 | CheckChildClassAllowed
 | CheckNewParent
 | SendToBack
 | SetTempCursor
 | UpdateRolesForForm
 | ActiveDefaultControlChanged
 | GetTextBuf
 | GetTextLen
 | SetTextBuf
 | Perform
 | ScreenToClient
 | ClientToScreen
 | ScreenToControl
 | ControlToScreen
 | ClientToParent
 | ParentToClient
 | GetChildrenRect
 | Show
 | Update
 | HandleObjectShouldBeVisible
 | ParentDestroyingHandle
 | ParentHandlesAllocated
 | InitiateAction
 | ShowHelp
 | HasHelp
 | RemoveAllHandlersOfObject
 | AddHandlerOnResize
 | RemoveHandlerOnResize
 | AddHandlerOnChangeBounds
 | RemoveHandlerOnChangeBounds
 | AddHandlerOnVisibleChanging
 | RemoveHandlerOnVisibleChanging
 | AddHandlerOnVisibleChanged
 | RemoveHandlerOnVisibleChanged
 | AddHandlerOnEnabledChanged
 | RemoveHandlerOnEnableChanging
 | AddHandlerOnKeyDown
 | RemoveHandlerOnKeyDown
 | AddHandlerOnBeforeDestruction
 | RemoveHandlerOnBeforeDestruction
 | AddHandlerOnMouseWheel
 | RemoveHandlerOnMouseWheel
 | UseRightToLeftAlignment
 | UseRightToLeftReading
 | UseRightToLeftScrollBar
 | IsRightToLeft
TLCLComponent
pt | WSRegisterClass
pt | GetWSComponentClass
 | Create
 | Destroy
 | NewInstance
 | RemoveAllHandlersOfObject
 | IncLCLRefCount
 | DecLCLRefCount
TComponent
 | GetComObject
 | GetComponent
 | GetComponentCount
 | GetComponentIndex
 | Insert
 | ReadLeft
 | ReadTop
 | Remove
 | RemoveNotification
 | SetComponentIndex
 | SetReference
 | WriteLeft
 | WriteTop
 | ChangeName
 | DefineProperties
 | GetChildren
 | GetChildOwner
 | GetChildParent
 | GetOwner
 | Loaded
 | Loading
 | Notification
 | PaletteCreated
 | ReadState
 | SetAncestor
 | SetDesigning
 | SetDesignInstance
 | SetInline
 | SetName
 | SetChildOrder
 | SetParentComponent
 | Updating
 | Updated
 | UpdateRegistry
 | ValidateRename
 | ValidateContainer
 | ValidateInsert
 | QueryInterface
 | _AddRef
 | _Release
 | iicrGetComponent
 | GetTypeInfoCount
 | GetTypeInfo
 | GetIDsOfNames
 | Invoke
 | WriteState
 | Create
 | Destroy
 | BeforeDestruction
 | DestroyComponents
 | Destroying
 | ExecuteAction
 | FindComponent
 | FreeNotification
 | RemoveFreeNotification
 | FreeOnRelease
 | GetEnumerator
 | GetNamePath
 | GetParentComponent
 | HasParent
 | InsertComponent
 | RemoveComponent
 | SafeCallException
 | SetSubComponent
 | UpdateAction
 | IsImplementorOf
 | ReferenceInterface
TPersistent
 | AssignError
 | AssignTo
 | DefineProperties
 | GetOwner
 | Destroy
 | Assign
 | FPOAttachObserver
 | FPODetachObserver
 | FPONotifyObservers
 | GetNamePath
TObject
 | Create
 | Destroy
 | newinstance
 | FreeInstance
 | SafeCallException
 | DefaultHandler
 | Free
 | InitInstance
 | CleanupInstance
 | ClassType
 | ClassInfo
 | ClassName
 | ClassNameIs
 | ClassParent
 | InstanceSize
 | InheritsFrom
 | StringMessageTable
 | MethodAddress
 | MethodName
 | FieldAddress
 | AfterConstruction
 | BeforeDestruction
 | DefaultHandlerStr
 | Dispatch
 | DispatchStr
 | GetInterface
 | GetInterfaceByStr
 | GetInterfaceWeak
 | GetInterfaceEntry
 | GetInterfaceEntryByStr
 | GetInterfaceTable
 | UnitName
 | Equals
 | GetHashCode
 | ToString


pt | ActionChange (TControl)
 | ActiveDefaultControlChanged (TControl)
 | AddControl (TWinControl)
pt | AddHandler (TControl)
 | AddHandlerOnBeforeDestruction (TControl)
 | AddHandlerOnChangeBounds (TControl)
 | AddHandlerOnEnabledChanged (TControl)
 | AddHandlerOnKeyDown (TControl)
 | AddHandlerOnMouseWheel (TControl)
 | AddHandlerOnResize (TControl)
 | AddHandlerOnVisibleChanged (TControl)
 | AddHandlerOnVisibleChanging (TControl)
 | AddItem (TCustomListView)
pt | AdjustClientRect (TWinControl)
 | AdjustSize (TControl)
 | AfterConstruction (TObject)
pt | AlignControls (TWinControl)
pt | AllAutoSized (TWinControl)
 | AlphaSort (TCustomListView)
 | AnchorAsAlign (TControl)
 | AnchorClient (TControl)
 | AnchoredControlCount (TControl)
 | AnchorHorizontalCenterTo (TControl)
 | AnchorParallel (TControl)
 | AnchorSame (TControl)
pt | AnchorSideChanged (TControl)
 | AnchorToCompanion (TControl)
 | AnchorToNeighbour (TControl)
 | AnchorVerticalCenterTo (TControl)
 | Assign (TPersistent)
 | AssignError (TPersistent)
 | AssignTo (TPersistent)
pt | AssignTo (TControl)
 | AutoAdjustLayout (TControl)
 | AutoAdjustLayout (TWinControl)
 | AutoSizeDelayed (TControl)
 | AutoSizeDelayed (TWinControl)
 | AutoSizeDelayedHandle (TControl)
 | AutoSizeDelayedHandle (TWinControl)
 | AutoSizeDelayedReport (TControl)
 | AutoSizeDelayedReport (TWinControl)
 | AutoSizePhases (TControl)
 | AutoSizePhases (TWinControl)
 | BeforeDestruction (TObject)
 | BeforeDestruction (TComponent)
 | BeforeDestruction (TControl)
pt | BeforeDragStart (TControl)
pt | BeginAutoDrag (TControl)
pt | BeginAutoDrag (TCustomListView)
pt | BeginAutoSizing (TControl)
 | BeginDrag (TControl)
 | BeginUpdate (TCustomListView)
 | BeginUpdateBounds (TWinControl)
pt | BoundsChanged (TControl)
 | BringToFront (TControl)
 | BroadCast (TWinControl)
 | BrushCreated (TWinControl)
pt | CalculateDockSizes (TControl)
pt | CalculatePreferredSize (TControl)
pt | CalculatePreferredSize (TWinControl)
pt | CanAutoSize (TControl)
pt | CanEdit (TCustomListView)
 | CanFocus (TWinControl)
 | CanSetFocus (TWinControl)
pt | CanTab (TControl)
pt | CanTab (TWinControl)
pt | CaptureChanged (TControl)
pt | Change (TCustomListView)
pt | ChangeBounds (TControl)
pt | Changed (TControl)
 | ChangeName (TComponent)
pt | ChangeScale (TControl)
pt | ChangeScale (TWinControl)
 | CheckChildClassAllowed (TControl)
 | CheckNewParent (TControl)
pt | CheckOnChangeBounds (TControl)
pt | ChildClassAllowed (TControl)
pt | ChildClassAllowed (TWinControl)
pt | ChildHandlesCreated (TWinControl)
pt | ChildKey (TWinControl)
 | ClassInfo (TObject)
 | ClassName (TObject)
 | ClassNameIs (TObject)
 | ClassParent (TObject)
 | ClassType (TObject)
 | CleanupInstance (TObject)
 | Clear (TCustomListView)
 | ClearSelection (TCustomListView)
pt | Click (TControl)
 | ClientRectNeedsInterfaceUpdate (TWinControl)
 | ClientToParent (TControl)
 | ClientToScreen (TControl)
pt | CMBiDiModeChanged (TControl)
pt | CMBiDiModeChanged (TWinControl)
pt | CMBorderChanged (TWinControl)
pt | CMChanged (TControl)
pt | CMCursorChanged (TControl)
pt | CMDoubleBufferedChanged (TWinControl)
pt | CMEnabledChanged (TControl)
pt | CMEnabledChanged (TWinControl)
pt | CMEnter (TWinControl)
pt | CMExit (TWinControl)
pt | CMHintShow (TControl)
pt | CMHitTest (TControl)
pt | CMMouseEnter (TControl)
pt | CMMouseLeave (TControl)
pt | CMParentBiDiModeChanged (TControl)
pt | CMParentColorChanged (TControl)
pt | CMParentDoubleBufferedChanged (TWinControl)
pt | CMParentFontChanged (TControl)
pt | CMParentShowHintChanged (TControl)
pt | CMShowHintChanged (TWinControl)
pt | CMShowingChanged (TWinControl)
pt | CMSysFontChanged (TControl)
pt | CMTextChanged (TControl)
pt | CMVisibleChanged (TControl)
pt | CMVisibleChanged (TWinControl)
pt | CNChar (TWinControl)
pt | CNKeyDown (TWinControl)
pt | CNKeyUp (TWinControl)
 | CNPreferredSizeChanged (TControl)
pt | CNSysKeyDown (TWinControl)
pt | CNSysKeyUp (TWinControl)
pt | ColClick (TCustomListView)
pt | ColorIsStored (TControl)
pt | ConstrainedResize (TControl)
 | ContainsControl (TWinControl)
 | ControlAtPos (TWinControl)
pt | ControlKeyDown (TWinControl)
pt | ControlKeyUp (TWinControl)
pt | ControlsAligned (TWinControl)
 | ControlToScreen (TControl)
 | Create (TObject)
 | Create (TComponent)
 | Create (TLCLComponent)
 | Create (TControl)
 | Create (TWinControl)
 | Create (TCustomListView)
 | CreateAccessibleObject (TControl)
pt | CreateBrush (TWinControl)
pt | CreateControlBorderSpacing (TControl)
pt | CreateDockManager (TWinControl)
pt | CreateFloatingDockSite (TControl)
pt | CreateHandle (TWinControl)
pt | CreateListItem (TCustomListView)
pt | CreateListItems (TCustomListView)
pt | CreateParams (TWinControl)
 | CreateParented (TWinControl)
 | CreateParentedControl (TWinControl)
pt | CreateSubClass (TWinControl)
pt | CreateWnd (TWinControl)
pt | CustomAlignInsertBefore (TWinControl)
pt | CustomAlignPosition (TWinControl)
pt | CustomDraw (TCustomListView)
pt | CustomDrawItem (TCustomListView)
pt | CustomDrawSubItem (TCustomListView)
 | CustomSort (TCustomListView)
pt | DblClick (TControl)
pt | DblClick (TCustomListView)
 | DecLCLRefCount (TLCLComponent)
 | DefaultHandler (TObject)
 | DefaultHandler (TWinControl)
 | DefaultHandlerStr (TObject)
 | DefineProperties (TPersistent)
 | DefineProperties (TComponent)
pt | DefineProperties (TControl)
pt | Delete (TCustomListView)
 | Destroy (TObject)
 | Destroy (TPersistent)
 | Destroy (TComponent)
 | Destroy (TLCLComponent)
 | Destroy (TControl)
 | Destroy (TWinControl)
 | Destroy (TCustomListView)
 | DestroyComponents (TComponent)
pt | DestroyHandle (TWinControl)
 | Destroying (TComponent)
pt | DestroyWnd (TWinControl)
pt | DestroyWnd (TCustomListView)
pt | DialogChar (TControl)
pt | DialogChar (TWinControl)
 | DisableAlign (TWinControl)
 | DisableAutoSizing (TControl)
 | Dispatch (TObject)
 | DispatchStr (TObject)
pt | DoAddDockClient (TWinControl)
 | DoAdjustClientRectChange (TWinControl)
pt | DoAlignChildControls (TWinControl)
pt | DoAllAutoSize (TControl)
pt | DoAllAutoSize (TWinControl)
pt | DoAutoAdjustLayout (TControl)
pt | DoAutoAdjustLayout (TCustomListView)
pt | DoAutoSize (TControl)
pt | DoAutoSize (TWinControl)
pt | DoBorderSpacingChange (TControl)
pt | DoCallKeyEventHandler (TControl)
pt | DoCallMouseWheelEventHandler (TControl)
pt | DoCallNotifyHandler (TControl)
pt | DoChildSizingChange (TWinControl)
 | Dock (TControl)
 | DockDrop (TWinControl)
 | Docked (TControl)
pt | DockOver (TWinControl)
pt | DockTrackNoTarget (TControl)
pt | DoConstraintsChange (TControl)
pt | DoConstraintsChange (TWinControl)
pt | DoContextPopup (TControl)
pt | DoDeletion (TCustomListView)
pt | DoDock (TControl)
pt | DoDockClientMsg (TWinControl)
pt | DoDockOver (TWinControl)
pt | DoDragMsg (TControl)
pt | DoDragMsg (TWinControl)
pt | DoEndDock (TControl)
pt | DoEndDrag (TControl)
pt | DoEndEdit (TCustomListView)
pt | DoEnter (TWinControl)
pt | DoExit (TWinControl)
pt | DoFixDesignFontPPI (TControl)
pt | DoFlipChildren (TWinControl)
pt | DoFloatMsg (TControl)
pt | DoFloatMsg (TWinControl)
pt | DoGetDockCaption (TWinControl)
pt | DoGetOwnerData (TCustomListView)
pt | DoInsert (TCustomListView)
pt | DoItemChecked (TCustomListView)
pt | DoKeyDownBeforeInterface (TWinControl)
pt | DoKeyPress (TWinControl)
pt | DoKeyUpBeforeInterface (TWinControl)
pt | DoMouseWheel (TControl)
pt | DoMouseWheelDown (TControl)
pt | DoMouseWheelHorz (TControl)
pt | DoMouseWheelLeft (TControl)
pt | DoMouseWheelRight (TControl)
pt | DoMouseWheelUp (TControl)
pt | DoOnChangeBounds (TControl)
pt | DoOnParentHandleDestruction (TControl)
pt | DoOnResize (TControl)
pt | DoOnShowHint (TControl)
pt | DoOwnerDataHint (TCustomListView)
pt | DoOwnerDataStateChange (TCustomListView)
pt | DoRemainingKeyDown (TWinControl)
pt | DoRemainingKeyUp (TWinControl)
pt | DoRemoveDockClient (TWinControl)
pt | DoScaleFontPPI (TControl)
pt | DoSelectItem (TCustomListView)
pt | DoSendBoundsToInterface (TWinControl)
pt | DoSendShowHideToInterface (TWinControl)
pt | DoSetBounds (TControl)
pt | DoSetBounds (TWinControl)
pt | DoSetBounds (TCustomListView)
pt | DoStartDock (TControl)
pt | DoStartDrag (TControl)
pt | DoUnDock (TWinControl)
pt | DoUndockClientMsg (TWinControl)
pt | DoUTF8KeyPress (TWinControl)
pt | DragCanceled (TControl)
 | DragDrop (TControl)
 | Dragging (TControl)
pt | DragOver (TControl)
pt | DrawItem (TCustomListView)
 | EditingDone (TControl)
 | EnableAlign (TWinControl)
 | EnableAutoSizing (TControl)
pt | EnabledChanged (TControl)
pt | EnabledChanging (TControl)
pt | EndAutoSizing (TControl)
 | EndDrag (TControl)
 | EndUpdate (TCustomListView)
 | EndUpdateBounds (TWinControl)
 | Equals (TObject)
 | EraseBackground (TWinControl)
 | ExecuteAction (TComponent)
 | ExecuteCancelAction (TControl)
 | ExecuteDefaultAction (TControl)
 | FieldAddress (TObject)
pt | FinalizeWnd (TWinControl)
pt | FinalizeWnd (TCustomListView)
 | FindCaption (TCustomListView)
 | FindChildControl (TWinControl)
 | FindComponent (TComponent)
 | FindData (TCustomListView)
pt | FindNextControl (TWinControl)
 | FixDesignFontsPPI (TControl)
pt | FixupTabList (TWinControl)
 | FlipChildren (TWinControl)
 | Focused (TWinControl)
pt | FontChanged (TControl)
pt | FontChanged (TWinControl)
pt | ForeignAnchorSideChanged (TControl)
pt | FormEndUpdated (TControl)
pt | FormEndUpdated (TWinControl)
 | FormIsUpdating (TControl)
 | FPOAttachObserver (TPersistent)
 | FPODetachObserver (TPersistent)
 | FPONotifyObservers (TPersistent)
 | Free (TObject)
 | FreeInstance (TObject)
 | FreeNotification (TComponent)
 | FreeOnRelease (TComponent)
 | GetAccessibleObject (TControl)
pt | GetAction (TControl)
pt | GetActionLinkClass (TControl)
pt | GetAdjustedLogicalClientRect (TWinControl)
 | GetAnchorsDependingOnParent (TControl)
pt | GetBorderStyle (TWinControl)
pt | GetCachedText (TControl)
 | GetCanvasScaleFactor (TControl)
 | GetChildAccessibleObjectAtPos (TControl)
 | GetChildOwner (TComponent)
 | GetChildParent (TComponent)
 | GetChildren (TComponent)
pt | GetChildren (TWinControl)
 | GetChildrenRect (TControl)
 | GetChildrenRect (TWinControl)
pt | GetClientOrigin (TControl)
pt | GetClientOrigin (TWinControl)
pt | GetClientRect (TControl)
pt | GetClientRect (TWinControl)
pt | GetClientScrollOffset (TControl)
 | GetColorResolvingParent (TControl)
 | GetComObject (TComponent)
 | GetComponent (TComponent)
 | GetComponentCount (TComponent)
 | GetComponentIndex (TComponent)
pt | GetControlClassDefaultSize (TControl)
pt | GetControlClassDefaultSize (TCustomListView)
 | GetControlIndex (TWinControl)
pt | GetControlOrigin (TControl)
pt | GetControlOrigin (TWinControl)
pt | GetCursor (TControl)
 | GetDefaultColor (TControl)
pt | GetDefaultDockCaption (TControl)
 | GetDefaultHeight (TControl)
 | GetDefaultWidth (TControl)
pt | GetDeviceContext (TControl)
pt | GetDeviceContext (TWinControl)
 | GetDockCaption (TWinControl)
pt | GetDockEdge (TControl)
pt | GetDragImages (TControl)
pt | GetEnabled (TControl)
 | GetEnumerator (TComponent)
 | GetEnumeratorControls (TWinControl)
 | GetEnumeratorControlsReverse (TWinControl)
pt | GetFloating (TControl)
pt | GetFloatingDockSiteClass (TControl)
 | GetHashCode (TObject)
 | GetHitTestInfoAt (TCustomListView)
 | GetIDsOfNames (TComponent)
 | GetInterface (TObject)
 | GetInterfaceByStr (TObject)
 | GetInterfaceEntry (TObject)
 | GetInterfaceEntryByStr (TObject)
 | GetInterfaceTable (TObject)
 | GetInterfaceWeak (TObject)
 | GetItemAt (TCustomListView)
pt | GetLogicalClientRect (TControl)
pt | GetMouseCapture (TControl)
pt | GetMouseCapture (TWinControl)
pt | GetMousePosFromMessage (TControl)
 | GetNamePath (TPersistent)
 | GetNamePath (TComponent)
 | GetNearestItem (TCustomListView)
 | GetNextItem (TCustomListView)
 | GetOwner (TPersistent)
 | GetOwner (TComponent)
pt | GetPalette (TControl)
pt | GetParentBackground (TWinControl)
 | GetParentComponent (TComponent)
 | GetParentComponent (TControl)
pt | GetParentHandle (TWinControl)
pt | GetPopupMenu (TControl)
 | GetPreferredSize (TControl)
pt | GetPreferredSizeClientFrame (TWinControl)
 | GetRGBColorResolvingParent (TControl)
pt | GetScrolledClientRect (TControl)
 | GetSelectedChildAccessibleObject (TControl)
 | GetSidePosition (TControl)
pt | GetSiteInfo (TWinControl)
 | GetTabOrderList (TWinControl)
 | GetTextBuf (TControl)
 | GetTextLen (TControl)
 | GetTextLen (TWinControl)
 | GetTopParent (TControl)
pt | GetTopParentHandle (TWinControl)
 | GetTypeInfo (TComponent)
 | GetTypeInfoCount (TComponent)
pt | GetUpdateCount (TCustomListView)
pt | GetWSComponentClass (TLCLComponent)
 | HandleAllocated (TWinControl)
 | HandleNeeded (TWinControl)
 | HandleObjectShouldBeVisible (TControl)
 | HasHelp (TControl)
 | HasParent (TComponent)
 | HasParent (TControl)
pt | HeightIsAnchored (TControl)
 | Hide (TControl)
 | iicrGetComponent (TComponent)
pt | ImageChanged (TCustomListView)
 | IncLCLRefCount (TLCLComponent)
 | InheritsFrom (TObject)
pt | InitializeWnd (TWinControl)
pt | InitializeWnd (TCustomListView)
 | InitiateAction (TControl)
 | InitInstance (TObject)
 | Insert (TComponent)
 | InsertComponent (TComponent)
 | InsertControl (TWinControl)
pt | InsertItem (TCustomListView)
 | InstanceSize (TObject)
pt | IntfCustomDraw (TCustomListView)
 | IntfGetDropFilesTarget (TWinControl)
 | IntfUTF8KeyPress (TWinControl)
 | Invalidate (TControl)
 | Invalidate (TWinControl)
pt | InvalidateBoundsRealized (TWinControl)
 | InvalidateClientRectCache (TWinControl)
pt | InvalidateControl (TControl)
pt | InvalidatePreferredChildSizes (TWinControl)
 | InvalidatePreferredSize (TControl)
 | Invoke (TComponent)
pt | IsAParentAligning (TControl)
pt | IsBorderSpacingInnerBorderStored (TControl)
pt | IsCaptionStored (TControl)
pt | IsClientHeightStored (TControl)
pt | IsClientHeightStored (TWinControl)
pt | IsClientWidthStored (TControl)
pt | IsClientWidthStored (TWinControl)
pt | IsControlMouseMsg (TWinControl)
 | IsControlVisible (TControl)
pt | IsCustomDrawn (TCustomListView)
 | IsEditing (TCustomListView)
 | IsEnabled (TControl)
 | IsImplementorOf (TComponent)
 | IsParentColor (TControl)
 | IsParentFont (TControl)
 | IsParentOf (TControl)
 | IsProcessingPaintMsg (TControl)
 | IsRightToLeft (TControl)
 | IsVisible (TControl)
pt | ItemDeleted (TCustomListView)
pt | ItemInserted (TCustomListView)
pt | KeyDown (TWinControl)
pt | KeyDown (TCustomListView)
pt | KeyDownAfterInterface (TWinControl)
pt | KeyDownBeforeInterface (TWinControl)
pt | KeyPress (TWinControl)
pt | KeyUp (TWinControl)
pt | KeyUpAfterInterface (TWinControl)
pt | KeyUpBeforeInterface (TWinControl)
pt | LMCaptureChanged (TControl)
 | Loaded (TComponent)
pt | Loaded (TControl)
pt | Loaded (TWinControl)
pt | Loaded (TCustomListView)
pt | LoadedAll (TControl)
 | Loading (TComponent)
 | LockRealizeBounds (TWinControl)
pt | MainWndProc (TWinControl)
 | ManualDock (TControl)
 | ManualFloat (TControl)
 | MethodAddress (TObject)
 | MethodName (TObject)
pt | MouseDown (TControl)
pt | MouseEnter (TControl)
pt | MouseLeave (TControl)
pt | MouseMove (TControl)
pt | MouseUp (TControl)
 | newinstance (TObject)
 | NewInstance (TLCLComponent)
 | Notification (TComponent)
pt | Notification (TControl)
pt | Notification (TCustomListView)
 | NotifyControls (TWinControl)
pt | PaintControls (TWinControl)
pt | PaintHandler (TWinControl)
 | PaintTo (TWinControl)
pt | PaintWindow (TWinControl)
 | PaletteCreated (TComponent)
 | ParentDestroyingHandle (TControl)
pt | ParentFontChanged (TControl)
pt | ParentFormHandleInitialized (TControl)
pt | ParentFormHandleInitialized (TWinControl)
 | ParentHandlesAllocated (TControl)
 | ParentHandlesAllocated (TWinControl)
 | ParentToClient (TControl)
 | Perform (TControl)
 | PerformTab (TWinControl)
pt | PositionDockRect (TControl)
pt | QuadClick (TControl)
 | QueryInterface (TComponent)
 | ReadLeft (TComponent)
 | ReadState (TComponent)
pt | ReadState (TControl)
 | ReadTop (TComponent)
pt | RealGetText (TControl)
pt | RealGetText (TWinControl)
 | ReAlign (TWinControl)
pt | RealizeBounds (TWinControl)
pt | RealizeBoundsRecursive (TWinControl)
pt | RealSetText (TControl)
pt | RealSetText (TWinControl)
 | ReferenceInterface (TComponent)
 | Refresh (TControl)
pt | ReloadDockedControl (TWinControl)
 | Remove (TComponent)
 | RemoveAllHandlersOfObject (TLCLComponent)
 | RemoveAllHandlersOfObject (TControl)
 | RemoveComponent (TComponent)
 | RemoveControl (TWinControl)
pt | RemoveFocus (TWinControl)
 | RemoveFreeNotification (TComponent)
pt | RemoveHandler (TControl)
 | RemoveHandlerOnBeforeDestruction (TControl)
 | RemoveHandlerOnChangeBounds (TControl)
 | RemoveHandlerOnEnableChanging (TControl)
 | RemoveHandlerOnKeyDown (TControl)
 | RemoveHandlerOnMouseWheel (TControl)
 | RemoveHandlerOnResize (TControl)
 | RemoveHandlerOnVisibleChanged (TControl)
 | RemoveHandlerOnVisibleChanging (TControl)
 | RemoveNotification (TComponent)
 | Repaint (TControl)
 | Repaint (TWinControl)
 | Repaint (TCustomListView)
 | ReplaceDockedControl (TControl)
pt | RequestAlign (TControl)
pt | Resize (TControl)
 | SafeCallException (TObject)
 | SafeCallException (TComponent)
 | Scale96ToFont (TControl)
 | Scale96ToForm (TControl)
 | Scale96ToScreen (TControl)
 | ScaleBy (TWinControl)
pt | ScaleConstraints (TControl)
pt | ScaleControls (TWinControl)
 | ScaleDesignToForm (TControl)
 | ScaleFontsPPI (TControl)
 | ScaleFontTo96 (TControl)
 | ScaleFontToScreen (TControl)
 | ScaleFormTo96 (TControl)
 | ScaleFormToDesign (TControl)
 | ScaleScreenTo96 (TControl)
 | ScaleScreenToFont (TControl)
 | ScreenToClient (TControl)
 | ScreenToControl (TControl)
 | ScrollBy (TWinControl)
 | ScrollBy_WS (TWinControl)
 | SelectAll (TCustomListView)
pt | SelectFirst (TWinControl)
 | SelectNext (TWinControl)
pt | SendDialogChar (TWinControl)
pt | SendMoveSizeMessages (TControl)
pt | SendMoveSizeMessages (TWinControl)
 | SendToBack (TControl)
pt | SetAction (TControl)
pt | SetAlign (TControl)
 | SetAncestor (TComponent)
pt | SetAnchors (TControl)
pt | SetAutoSize (TControl)
pt | SetBiDiMode (TControl)
pt | SetBorderStyle (TWinControl)
 | SetBounds (TControl)
 | SetBounds (TWinControl)
 | SetBoundsKeepBase (TControl)
 | SetChildOrder (TComponent)
pt | SetChildZPosition (TWinControl)
pt | SetColor (TControl)
pt | SetColor (TWinControl)
 | SetComponentIndex (TComponent)
 | SetControlIndex (TWinControl)
pt | SetCursor (TControl)
 | SetDesigning (TComponent)
 | SetDesignInstance (TComponent)
pt | SetDockManager (TWinControl)
pt | SetDragMode (TControl)
pt | SetEnabled (TControl)
 | SetFocus (TWinControl)
pt | SetHint (TControl)
 | SetInitialBounds (TControl)
 | SetInline (TComponent)
 | SetName (TComponent)
pt | SetName (TControl)
pt | SetParent (TControl)
pt | SetParentBackground (TWinControl)
pt | SetParentBiDiMode (TControl)
 | SetParentComponent (TComponent)
pt | SetParentComponent (TControl)
 | SetReference (TComponent)
 | SetShape (TWinControl)
 | SetSubComponent (TComponent)
 | SetTempCursor (TControl)
 | SetTempCursor (TWinControl)
 | SetTextBuf (TControl)
pt | SetVisible (TControl)
pt | SetZOrder (TControl)
 | ShouldAutoAdjust (TControl)
 | Show (TControl)
pt | ShowControl (TWinControl)
 | ShowHelp (TControl)
 | Sort (TCustomListView)
 | StringMessageTable (TObject)
pt | TextChanged (TControl)
 | ToString (TObject)
pt | TripleClick (TControl)
 | UnitName (TObject)
 | UnlockRealizeBounds (TWinControl)
 | Update (TControl)
 | Update (TWinControl)
 | UpdateAction (TComponent)
pt | UpdateAnchorRules (TControl)
 | UpdateBaseBounds (TControl)
pt | UpdateControlState (TWinControl)
 | Updated (TComponent)
 | UpdateDockCaption (TWinControl)
pt | UpdateMouseCursor (TControl)
 | UpdateRegistry (TComponent)
 | UpdateRolesForForm (TControl)
pt | UpdateShowing (TWinControl)
 | Updating (TComponent)
 | UseRightToLeftAlignment (TControl)
 | UseRightToLeftReading (TControl)
 | UseRightToLeftScrollBar (TControl)
pt | UTF8KeyPress (TWinControl)
 | ValidateContainer (TComponent)
 | ValidateInsert (TComponent)
 | ValidateRename (TComponent)
pt | VisibleChanged (TControl)
pt | VisibleChanging (TControl)
pt | WidthIsAnchored (TControl)
pt | WMCancelMode (TControl)
pt | WMChar (TWinControl)
pt | WMContextMenu (TControl)
pt | WMContextMenu (TWinControl)
pt | WMDestroy (TWinControl)
pt | WMEnter (TWinControl)
pt | WMEraseBkgnd (TWinControl)
pt | WMExit (TWinControl)
pt | WMKeyDown (TWinControl)
pt | WMKeyUp (TWinControl)
pt | WMKillFocus (TWinControl)
pt | WMLButtonDBLCLK (TControl)
pt | WMLButtonDown (TControl)
pt | WMLButtonQuadCLK (TControl)
pt | WMLButtonTripleCLK (TControl)
pt | WMLButtonUp (TControl)
pt | WMMButtonDBLCLK (TControl)
pt | WMMButtonDown (TControl)
pt | WMMButtonQuadCLK (TControl)
pt | WMMButtonTripleCLK (TControl)
pt | WMMButtonUp (TControl)
pt | WMMouseHWheel (TControl)
pt | WMMouseMove (TControl)
pt | WMMouseWheel (TControl)
pt | WMMove (TControl)
pt | WMMove (TWinControl)
pt | WMNotify (TWinControl)
pt | WMPaint (TWinControl)
pt | WMRButtonDBLCLK (TControl)
pt | WMRButtonDown (TControl)
pt | WMRButtonQuadCLK (TControl)
pt | WMRButtonTripleCLK (TControl)
pt | WMRButtonUp (TControl)
pt | WMSetFocus (TWinControl)
pt | WMShowWindow (TWinControl)
pt | WMSize (TControl)
pt | WMSize (TWinControl)
pt | WMSysChar (TWinControl)
pt | WMSysKeyDown (TWinControl)
pt | WMSysKeyUp (TWinControl)
pt | WMWindowPosChanged (TControl)
pt | WMWindowPosChanged (TWinControl)
pt | WMXButtonDBLCLK (TControl)
pt | WMXButtonDown (TControl)
pt | WMXButtonQuadCLK (TControl)
pt | WMXButtonTripleCLK (TControl)
pt | WMXButtonUp (TControl)
pt | WndProc (TControl)
pt | WndProc (TWinControl)
 | WriteLayoutDebugReport (TControl)
 | WriteLayoutDebugReport (TWinControl)
 | WriteLeft (TComponent)
 | WriteState (TComponent)
 | WriteTop (TComponent)
pt | WSRegisterClass (TLCLComponent)
pt | WSRegisterClass (TControl)
pt | WSRegisterClass (TWinControl)
pt | WSRegisterClass (TCustomListView)
pt | WSSetText (TWinControl)
 | _AddRef (TComponent)
 | _Release (TComponent)


TCustomListView
pt | OnChange
pt | OnColumnClick
pt | OnCompare
pt | OnCreateItemClass
pt | OnData
pt | OnDataFind
pt | OnDataHint
pt | OnDataStateChange
pt | OnDeletion
pt | OnEdited
pt | OnEditing
pt | OnInsert
pt | OnItemChecked
pt | OnSelectItem
pt | OnCustomDraw
pt | OnCustomDrawItem
pt | OnCustomDrawSubItem
pt | OnDrawItem
pt | OnAdvancedCustomDraw
pt | OnAdvancedCustomDrawItem
pt | OnAdvancedCustomDrawSubItem
TWinControl
pt | OnGetSiteInfo
pt | OnGetDockCaption
 | OnAlignInsertBefore
 | OnAlignPosition
 | OnDockDrop
 | OnDockOver
 | OnEnter
 | OnExit
 | OnKeyDown
 | OnKeyPress
 | OnKeyUp
 | OnUnDock
 | OnUTF8KeyPress
TControl
pt | OnConstrainedResize
pt | OnContextPopup
pt | OnDblClick
pt | OnTripleClick
pt | OnQuadClick
pt | OnDragDrop
pt | OnDragOver
pt | OnEndDock
pt | OnEndDrag
pt | OnMouseDown
pt | OnMouseMove
pt | OnMouseUp
pt | OnMouseEnter
pt | OnMouseLeave
pt | OnMouseWheel
pt | OnMouseWheelDown
pt | OnMouseWheelUp
pt | OnMouseWheelHorz
pt | OnMouseWheelLeft
pt | OnMouseWheelRight
pt | OnStartDock
pt | OnStartDrag
pt | OnEditingDone
 | OnChangeBounds
 | OnClick
 | OnResize
 | OnShowHint
TLCLComponent
TComponent
TPersistent
TObject


pt | OnAdvancedCustomDraw (TCustomListView)
pt | OnAdvancedCustomDrawItem (TCustomListView)
pt | OnAdvancedCustomDrawSubItem (TCustomListView)
 | OnAlignInsertBefore (TWinControl)
 | OnAlignPosition (TWinControl)
pt | OnChange (TCustomListView)
 | OnChangeBounds (TControl)
 | OnClick (TControl)
pt | OnColumnClick (TCustomListView)
pt | OnCompare (TCustomListView)
pt | OnConstrainedResize (TControl)
pt | OnContextPopup (TControl)
pt | OnCreateItemClass (TCustomListView)
pt | OnCustomDraw (TCustomListView)
pt | OnCustomDrawItem (TCustomListView)
pt | OnCustomDrawSubItem (TCustomListView)
pt | OnData (TCustomListView)
pt | OnDataFind (TCustomListView)
pt | OnDataHint (TCustomListView)
pt | OnDataStateChange (TCustomListView)
pt | OnDblClick (TControl)
pt | OnDeletion (TCustomListView)
 | OnDockDrop (TWinControl)
 | OnDockOver (TWinControl)
pt | OnDragDrop (TControl)
pt | OnDragOver (TControl)
pt | OnDrawItem (TCustomListView)
pt | OnEdited (TCustomListView)
pt | OnEditing (TCustomListView)
pt | OnEditingDone (TControl)
pt | OnEndDock (TControl)
pt | OnEndDrag (TControl)
 | OnEnter (TWinControl)
 | OnExit (TWinControl)
pt | OnGetDockCaption (TWinControl)
pt | OnGetSiteInfo (TWinControl)
pt | OnInsert (TCustomListView)
pt | OnItemChecked (TCustomListView)
 | OnKeyDown (TWinControl)
 | OnKeyPress (TWinControl)
 | OnKeyUp (TWinControl)
pt | OnMouseDown (TControl)
pt | OnMouseEnter (TControl)
pt | OnMouseLeave (TControl)
pt | OnMouseMove (TControl)
pt | OnMouseUp (TControl)
pt | OnMouseWheel (TControl)
pt | OnMouseWheelDown (TControl)
pt | OnMouseWheelHorz (TControl)
pt | OnMouseWheelLeft (TControl)
pt | OnMouseWheelRight (TControl)
pt | OnMouseWheelUp (TControl)
pt | OnQuadClick (TControl)
 | OnResize (TControl)
pt | OnSelectItem (TCustomListView)
 | OnShowHint (TControl)
pt | OnStartDock (TControl)
pt | OnStartDrag (TControl)
pt | OnTripleClick (TControl)
 | OnUnDock (TWinControl)
 | OnUTF8KeyPress (TWinControl)


TCustomListView.AddItem

Declaration

Source position: comctrls.pp line 1585

public procedure TCustomListView.AddItem(

  Item: string;

  AObject: TObject

);


TCustomListView.AllocBy

When new items add to list, increase internal buffer capacity by this amount. Needed to not add to internal buffer by one.

Declaration

Source position: comctrls.pp line 1538

protected property TCustomListView.AllocBy : Integer
  read FAllocBy
  write SetAllocBy
  default 0;


TCustomListView.AlphaSort

Declaration

Source position: comctrls.pp line 1586

public function TCustomListView.AlphaSort: Boolean;


TCustomListView.AutoSort

When user clicks ListView header's column, sort ListView by this column. After next click, sort in other order.

Declaration

Source position: comctrls.pp line 1539

protected property TCustomListView.AutoSort : Boolean
  read FAutoSort
  write FAutoSort
  default True;


TCustomListView.AutoWidthLastColumn

For Report view. Resize last column, to fill entire ListView width.

Declaration

Source position: comctrls.pp line 1540

protected property TCustomListView.AutoWidthLastColumn : Boolean
  read FAutoWidthLastColumn
  write SetAutoWidthLastColumn
  default False;


TCustomListView.BeginUpdate

BeginUpdate - start updating the list view

Declaration

Source position: comctrls.pp line 1589

public procedure TCustomListView.BeginUpdate;


TCustomListView.BoundingRect

Coordinates of the rectangle containing the ListView.

Declaration

Source position: comctrls.pp line 1617

public property TCustomListView.BoundingRect : TRect
  read GetBoundingRect;


TCustomListView.CanEdit

Declaration

Source position: comctrls.pp line 1502

protected function TCustomListView.CanEdit(

  Item: TListItem

):Boolean; virtual;


TCustomListView.Canvas

TCanvas object, defines the area on which all graphic is drawn.

Declaration

Source position: comctrls.pp line 1619

public property TCustomListView.Canvas : TCanvas
  read FCanvas;


TCustomListView.Change

Change - Internal procedure to simulate the OnChange event

Declaration

Source position: comctrls.pp line 1503

protected procedure TCustomListView.Change(

  AItem: TListItem;

  AChange: Integer

); virtual;

Description

This is an internal procedure which is called after an item has been changed. It is a programmatic method for simulating the OnChange event if the programmer has assigned a method to this event.


TCustomListView.Checkboxes

Show the check-boxes column, at the side of usual lines. Allows to check/uncheck items.

Declaration

Source position: comctrls.pp line 1620

public property TCustomListView.Checkboxes : Boolean
  index Ord(lvpCheckboxes)
  read GetProperty
  write SetProperty
  default False;


TCustomListView.Clear

Clear - the stringlist

Declaration

Source position: comctrls.pp line 1590

public procedure TCustomListView.Clear;


TCustomListView.ClearSelection

Declaration

Source position: comctrls.pp line 1613

public procedure TCustomListView.ClearSelection;


TCustomListView.ColClick

ColClick - procedure to simulate the OnColumnClick event.

Declaration

Source position: comctrls.pp line 1504

protected procedure TCustomListView.ColClick(

  AColumn: TListColumn

); virtual;

Description

ColClick - procedure to simulate the OnColumnClick event.

Can be used programmatically to execute the same code as is used to respond to the OnColumnClick event


TCustomListView.Column

Property of ListView columns.

Declaration

Source position: comctrls.pp line 1621

public property TCustomListView.Column[AIndex: Integer] : TListColumn
  read GetColumnFromIndex;

Description

This property can be used to read the information of a column.

The column whose information is to be retrieved is determined by an index (AIndex). As with nearly all indexes, this index is 0 based. In column[0] the caption of the listitem is show, in subsequent column the subitems of the listitem are shown.

To add, change or delete a column use the Columns property


TCustomListView.ColumnClick

Enable to react to clicks on ListView header columns. And to call OnColumnClick event.

Declaration

Source position: comctrls.pp line 1541

protected property TCustomListView.ColumnClick : Boolean
  index Ord(lvpColumnClick)
  read GetProperty
  write SetProperty
  default True;


TCustomListView.ColumnCount

Declaration

Source position: comctrls.pp line 1622

public property TCustomListView.ColumnCount : Integer
  read GetColumnCount;


TCustomListView.Columns

Collection of items, which have properties of ListView columns (size, alignment, image index, etc).

Declaration

Source position: comctrls.pp line 1542

protected property TCustomListView.Columns : TListColumns
  read FColumns
  write SetColumns;


TCustomListView.Create

Create - constructor for TCustomListView: calls inherited Create then initialises columns, the list of items, the canvas and properties and some formats and styles

Declaration

Source position: comctrls.pp line 1583

public constructor TCustomListView.Create(

  AOwner: TComponent

); override;

See also

TComponent.Create

TWinControl.Create


TCustomListView.CreateListItem

Declaration

Source position: comctrls.pp line 1500

protected function TCustomListView.CreateListItem: TListItem; virtual;


TCustomListView.CreateListItems

Declaration

Source position: comctrls.pp line 1501

protected function TCustomListView.CreateListItems: TListItems; virtual;


TCustomListView.CustomDraw

CustomDraw - performs custom drawing in the given rectangle and returns True if successful

Declaration

Source position: comctrls.pp line 1523

protected function TCustomListView.CustomDraw(

  const ARect: TRect;

  AStage: TCustomDrawStage

):Boolean; virtual;


TCustomListView.CustomDrawItem

CustomDrawItem - custom draws the specified item and returns True if successful

Declaration

Source position: comctrls.pp line 1524

protected function TCustomListView.CustomDrawItem(

  AItem: TListItem;

  AState: TCustomDrawState;

  AStage: TCustomDrawStage

):Boolean; virtual;


TCustomListView.CustomDrawSubItem

CustomDrawSubItem - custom draws the specified subitem returning True if successful

Declaration

Source position: comctrls.pp line 1525

protected function TCustomListView.CustomDrawSubItem(

  AItem: TListItem;

  ASubItem: Integer;

  AState: TCustomDrawState;

  AStage: TCustomDrawStage

):Boolean; virtual;


TCustomListView.CustomSort

Declaration

Source position: comctrls.pp line 1588

public function TCustomListView.CustomSort(

  ASortProc: TLVCompare;

  AOptionalParam: PtrInt

):Boolean;


TCustomListView.DblClick

Declaration

Source position: comctrls.pp line 1535

protected procedure TCustomListView.DblClick; override;


TCustomListView.DefaultItemHeight

Default height of lines in ListView.

Declaration

Source position: comctrls.pp line 1543

protected property TCustomListView.DefaultItemHeight : Integer
  read FDefaultItemHeight
  write SetDefaultItemHeight;


TCustomListView.Delete

Delete an Item from the List

Declaration

Source position: comctrls.pp line 1506

protected procedure TCustomListView.Delete(

  Item: TListItem

);


TCustomListView.Destroy

Destroy - destructor for TCustomListView: frees Canvas, calls inherited Destroy and frees columns, links and list items

Declaration

Source position: comctrls.pp line 1584

public destructor TCustomListView.Destroy; override;

See also

TComponent.Destroy

TWinControl.Destroy


TCustomListView.DoAutoAdjustLayout

Declaration

Source position: comctrls.pp line 1511

protected procedure TCustomListView.DoAutoAdjustLayout(

  const AMode: TLayoutAdjustmentPolicy;

  const AXProportion: Double;

  const AYProportion: Double

); override;


TCustomListView.DoDeletion

DoDeletion - performs the actual deletion

Declaration

Source position: comctrls.pp line 1507

protected procedure TCustomListView.DoDeletion(

  AItem: TListItem

); virtual;


TCustomListView.DoEndEdit

Declaration

Source position: comctrls.pp line 1515

protected procedure TCustomListView.DoEndEdit(

  AItem: TListItem;

  const AValue: string

); virtual;


TCustomListView.DoGetOwnerData

Declaration

Source position: comctrls.pp line 1530

protected procedure TCustomListView.DoGetOwnerData(

  Item: TListItem

); virtual;


TCustomListView.DoInsert

Performs the insertion

Declaration

Source position: comctrls.pp line 1508

protected procedure TCustomListView.DoInsert(

  AItem: TListItem

); virtual;


TCustomListView.DoItemChecked

Declaration

Source position: comctrls.pp line 1509

protected procedure TCustomListView.DoItemChecked(

  AItem: TListItem

);


TCustomListView.DoOwnerDataHint

Declaration

Source position: comctrls.pp line 1531

protected function TCustomListView.DoOwnerDataHint(

  AStartIndex: Integer;

  AEndIndex: Integer

):Boolean; virtual;


TCustomListView.DoOwnerDataStateChange

Declaration

Source position: comctrls.pp line 1532

protected function TCustomListView.DoOwnerDataStateChange(

  AStartIndex: Integer;

  AEndIndex: Integer;

  AOldState: TListItemStates;

  ANewState: TListItemStates

):Boolean; virtual;


TCustomListView.DoSelectItem

DoSelectItem - perform item selection

Declaration

Source position: comctrls.pp line 1510

protected procedure TCustomListView.DoSelectItem(

  AItem: TListItem;

  ASelected: Boolean

); virtual;


TCustomListView.DrawItem

Declaration

Source position: comctrls.pp line 1528

protected procedure TCustomListView.DrawItem(

  AItem: TListItem;

  ARect: TRect;

  AState: TOwnerDrawState

);


TCustomListView.DropTarget

Declaration

Source position: comctrls.pp line 1623

public property TCustomListView.DropTarget : TListItem
  read GetDropTarget
  write SetDropTarget;


TCustomListView.EndUpdate

EndUpdate - finish updating the list view

Declaration

Source position: comctrls.pp line 1591

public procedure TCustomListView.EndUpdate;


TCustomListView.FinalizeWnd

FinalizeWnd stores the list origin then calls inherited method

Declaration

Source position: comctrls.pp line 1496

protected procedure TCustomListView.FinalizeWnd; override;

See also

TWinControl.FinalizeWnd

Prepare to remove the window (gets called before the Handle is destroyed).


TCustomListView.FindCaption

FindCaption- search for and return the list item that contains the nominated caption

Declaration

Source position: comctrls.pp line 1593

public function TCustomListView.FindCaption(

  StartIndex: Integer;

  Value: string;

  Partial: Boolean;

  Inclusive: Boolean;

  Wrap: Boolean;

  PartStart: Boolean = True

):TListItem;

Description

FindCaption- search for and return the list item that contains the nominated caption

Starting from item with StartIndex

Looking for the string Value

Partial, Inclusive, Wrap, PartStart: Boolean arguments allowing matches with part of the string, permitting the string to wrap over a line, etc


TCustomListView.FindData

Declaration

Source position: comctrls.pp line 1595

public function TCustomListView.FindData(

  StartIndex: Integer;

  Value: Pointer;

  Inclusive: Boolean;

  Wrap: Boolean

):TListItem;


TCustomListView.FlatScrollBars

Show ListView scrollbars in "flat" style (default off, not for all widgetsets).

Declaration

Source position: comctrls.pp line 1624

public property TCustomListView.FlatScrollBars : Boolean
  index Ord(lvpFlatScrollBars)
  read GetProperty
  write SetProperty
  default False;


TCustomListView.FullDrag

Declaration

Source position: comctrls.pp line 1625

public property TCustomListView.FullDrag : Boolean
  index Ord(lvpFullDrag)
  read GetProperty
  write SetProperty
  default False;


TCustomListView.GetControlClassDefaultSize

Declaration

Source position: comctrls.pp line 1494

protected class function TCustomListView.GetControlClassDefaultSize: TSize; override;


TCustomListView.GetHitTestInfoAt

Declaration

Source position: comctrls.pp line 1596

public function TCustomListView.GetHitTestInfoAt(

  X: Integer;

  Y: Integer

):THitTests;


TCustomListView.GetItemAt

GetItemAt - find and return the list item at the specified coordinates

Declaration

Source position: comctrls.pp line 1597

public function TCustomListView.GetItemAt(

  x: Integer;

  y: Integer

):TListItem;


TCustomListView.GetNearestItem

Declaration

Source position: comctrls.pp line 1605

public function TCustomListView.GetNearestItem(

  APoint: TPoint;

  Direction: TSearchDirection

):TListItem;


TCustomListView.GetNextItem

Declaration

Source position: comctrls.pp line 1611

public function TCustomListView.GetNextItem(

  StartItem: TListItem;

  Direction: TSearchDirection;

  States: TListItemStates

):TListItem;


TCustomListView.GetUpdateCount

Declaration

Source position: comctrls.pp line 1527

protected function TCustomListView.GetUpdateCount: Integer;


TCustomListView.GridLines

Show 1-pixel lines, as a grid, between rows and columns.

Declaration

Source position: comctrls.pp line 1626

public property TCustomListView.GridLines : Boolean
  index Ord(lvpGridLines)
  read GetProperty
  write SetProperty
  default False;


TCustomListView.HideSelection

If control looses focus, don't paint selection background for selected item(s).

Declaration

Source position: comctrls.pp line 1544

protected property TCustomListView.HideSelection : Boolean
  index Ord(lvpHideSelection)
  read GetProperty
  write SetProperty
  default True;


TCustomListView.HotTrack

Allow to highlight/underline current ListView item, which is under mouse cursor.

Declaration

Source position: comctrls.pp line 1627

public property TCustomListView.HotTrack : Boolean
  index Ord(lvpHotTrack)
  read GetProperty
  write SetProperty
  default False;

Description

HotTrack is the name given to the feature whereby, as the mouse pointer moves over some graphic item (e.g. a tab, an entry in a list, a button or other control in a form), that item becomes emphasized in some way.

The default list of emphasis possibilities is given by the definition

TListHotTrackStyle = (htHandPoint, htUnderlineCold, htUnderlineHot)

in other words

  • it may be indicated by a hand pointer
  • it may be underlined even when Cold (i.e. the pointer has covered it and moved on but the underlining remains)
  • it may be underlined when Hot (i.e. when the pointer is directly on the item)

This feature can be used in List Views and in TabControls

See also

TCustomListView.HotTrack

Allow to highlight/underline current ListView item, which is under mouse cursor.


TCustomListView.HotTrackStyles

More options for HotTrack property.

Declaration

Source position: comctrls.pp line 1628

public property TCustomListView.HotTrackStyles : TListHotTrackStyles
  read FHotTrackStyles
  write SetHotTrackStyles
  default [];


TCustomListView.HoverTime

Time (in msec) for which the mouse cursor must hover over an item, before item's tooltip is shown.

Declaration

Source position: comctrls.pp line 1545

protected property TCustomListView.HoverTime : Integer
  read GetHoverTime
  write SetHoverTime
  default - 1;


TCustomListView.IconOptions

Options for layouts, which show icons. Sets arrangement of icons, text-wrapping state.

Declaration

Source position: comctrls.pp line 1629

public property TCustomListView.IconOptions : TIconOptions
  read FIconOptions
  write SetIconOptions;


TCustomListView.ImageChanged

ImageChanged - procedure to signal that an image has chnaged

Declaration

Source position: comctrls.pp line 1518

protected procedure TCustomListView.ImageChanged(

  Sender: TObject

);


TCustomListView.InitializeWnd

InitializeWnd - calls inherited method, then sets various local properties

Declaration

Source position: comctrls.pp line 1495

protected procedure TCustomListView.InitializeWnd; override;

Description

InitializeWnd - calls inherited method, then sets style, adds columns, sets imagelists and item depending properties (scroll bars, sorting etc), adds items and sets other miscellaneous properties (default item height, hot track styles, hover time etc)

See also

TWinControl.InitializeWnd

Copies cached control properties to the just created widget.


TCustomListView.InsertItem

Insert an Item into the List

Declaration

Source position: comctrls.pp line 1517

protected procedure TCustomListView.InsertItem(

  Item: TListItem

);


TCustomListView.IntfCustomDraw

IntfCustomDraw - uses the interface to perform custom drawing and returns a result of drawing

Declaration

Source position: comctrls.pp line 1526

protected function TCustomListView.IntfCustomDraw(

  ATarget: TCustomDrawTarget;

  AStage: TCustomDrawStage;

  AItem: Integer;

  ASubItem: Integer;

  AState: TCustomDrawState;

  const ARect: PRect

):TCustomDrawResult;


TCustomListView.IsCustomDrawn

IsCustomDrawn - returns True if a target has been custom drawn

Declaration

Source position: comctrls.pp line 1522

protected function TCustomListView.IsCustomDrawn(

  ATarget: TCustomDrawTarget;

  AStage: TCustomDrawStage

):Boolean; virtual;


TCustomListView.IsEditing

Declaration

Source position: comctrls.pp line 1616

public function TCustomListView.IsEditing: Boolean;


TCustomListView.ItemDeleted

ItemDeleted - the specified listitem is removed from the list

Declaration

Source position: comctrls.pp line 1489

protected procedure TCustomListView.ItemDeleted(

  const AItem: TListItem

);


TCustomListView.ItemFocused

ListView item, which is shown as focused.

Declaration

Source position: comctrls.pp line 1630

public property TCustomListView.ItemFocused : TListItem
  read GetFocused
  write SetFocused;


TCustomListView.ItemIndex

Declaration

Source position: comctrls.pp line 1631

public property TCustomListView.ItemIndex : Integer
  read GetItemIndex
  write SetItemIndex;


TCustomListView.ItemInserted

ItemInserted - the specified item is inserted into the list

Declaration

Source position: comctrls.pp line 1490

protected procedure TCustomListView.ItemInserted(

  const AItem: TListItem

);


TCustomListView.Items

Collection of items in ListView.

Declaration

Source position: comctrls.pp line 1632

public property TCustomListView.Items : TListItems
  read FListItems
  write SetItems;

Description

Items - the list of entries in the list. Held as a linked list with a cached index of the last accessed item

Items is of type TListitems which has a built-in cache of the last accessed item. This speeds up interface updates since Item.Index is often used for the same item updating more properties. If FCacheIndex = -1 then the cache is not valid.


TCustomListView.LargeImages

ImageList object, which contains "big" icons for one if ListView layouts.

Declaration

Source position: comctrls.pp line 1546

protected property TCustomListView.LargeImages : TCustomImageList
  index Ord(lvilLarge)
  read GetImageList
  write SetImageList;

Description

A typical application might have two ImageLists: one ofLargeImages and one of SmallImages containing two versions of the same collection of images, in large and small format; the index numbers of the first list would correspond with those in the second list.

SmallImages could be displayed beside the text strings in the list view and the programmer would supply code to ensure that when an item with its associated SmallImage was selected, the corresponding LargeImage would be displayed in another window.

A TImageList control needs to be selected and pasted on to the Form Designer and the ImageList Editor can be opened from the pop-up menu obtained by right-clicking on TImageList icon in the Form Designer. Then in the StringList editor for Items the correct ImageIndex must be allocated to each entry in the list.


TCustomListView.LargeImagesWidth

Declaration

Source position: comctrls.pp line 1547

protected property TCustomListView.LargeImagesWidth : Integer
  index Ord(lvilLarge)
  read GetImageListWidth
  write SetImageListWidth
  default 0;


TCustomListView.LastSelected

Listview item, which is last selected, in MultiSelect mode.

Declaration

Source position: comctrls.pp line 1642

public property TCustomListView.LastSelected : TListItem
  read FSelected;


TCustomListView.MultiSelect

Allow to select several Listview items at a time, using Ctrl+click (select one item more).

Declaration

Source position: comctrls.pp line 1636

public property TCustomListView.MultiSelect : Boolean
  index Ord(lvpMultiselect)
  read GetProperty
  write SetProperty
  default False;


TCustomListView.Notification

Declaration

Source position: comctrls.pp line 1520

protected procedure TCustomListView.Notification(

  AComponent: TComponent;

  Operation: TOperation

); override;


TCustomListView.OnAdvancedCustomDraw

Called for owner-draw mode.

Declaration

Source position: comctrls.pp line 1579

protected property TCustomListView.OnAdvancedCustomDraw : TLVAdvancedCustomDrawEvent
  read FOnAdvancedCustomDraw
  write FOnAdvancedCustomDraw;


TCustomListView.OnAdvancedCustomDrawItem

Called for owner-draw mode.

Declaration

Source position: comctrls.pp line 1580

protected property TCustomListView.OnAdvancedCustomDrawItem : TLVAdvancedCustomDrawItemEvent
  read FOnAdvancedCustomDrawItem
  write FOnAdvancedCustomDrawItem;


TCustomListView.OnAdvancedCustomDrawSubItem

Called for owner-draw mode.

Declaration

Source position: comctrls.pp line 1581

protected property TCustomListView.OnAdvancedCustomDrawSubItem : TLVAdvancedCustomDrawSubItemEvent
  read FOnAdvancedCustomDrawSubItem
  write FOnAdvancedCustomDrawSubItem;


TCustomListView.OnChange

Called when content of list collection changes.

Declaration

Source position: comctrls.pp line 1561

protected property TCustomListView.OnChange : TLVChangeEvent
  read FOnChange
  write FOnChange;


TCustomListView.OnColumnClick

Called when user clicks on column's header area.

Declaration

Source position: comctrls.pp line 1562

protected property TCustomListView.OnColumnClick : TLVColumnClickEvent
  read FOnColumnClick
  write FOnColumnClick;


TCustomListView.OnCompare

Called during sorting of list, by one of columns, to compare items.

Declaration

Source position: comctrls.pp line 1563

protected property TCustomListView.OnCompare : TLVCompareEvent
  read FOnCompare
  write FOnCompare;


TCustomListView.OnCreateItemClass

Declaration

Source position: comctrls.pp line 1564

protected property TCustomListView.OnCreateItemClass : TLVCreateItemClassEvent
  read FOnCreateItemClass
  write FOnCreateItemClass;


TCustomListView.OnCustomDraw

Called for owner-draw mode.

Declaration

Source position: comctrls.pp line 1575

protected property TCustomListView.OnCustomDraw : TLVCustomDrawEvent
  read FOnCustomDraw
  write FOnCustomDraw;


TCustomListView.OnCustomDrawItem

Called for owner-draw mode.

Declaration

Source position: comctrls.pp line 1576

protected property TCustomListView.OnCustomDrawItem : TLVCustomDrawItemEvent
  read FOnCustomDrawItem
  write FOnCustomDrawItem;


TCustomListView.OnCustomDrawSubItem

Called for owner-draw mode.

Declaration

Source position: comctrls.pp line 1577

protected property TCustomListView.OnCustomDrawSubItem : TLVCustomDrawSubItemEvent
  read FOnCustomDrawSubItem
  write FOnCustomDrawSubItem;


TCustomListView.OnData

Called for owner-data mode.

Declaration

Source position: comctrls.pp line 1565

protected property TCustomListView.OnData : TLVDataEvent
  read FOnData
  write FOnData;


TCustomListView.OnDataFind

Called for owner-data mode.

Declaration

Source position: comctrls.pp line 1566

protected property TCustomListView.OnDataFind : TLVDataFindEvent
  read FOnDataFind
  write FOnDataFind;


TCustomListView.OnDataHint

Called for owner-data mode.

Declaration

Source position: comctrls.pp line 1567

protected property TCustomListView.OnDataHint : TLVDataHintEvent
  read FOnDataHint
  write FOnDataHint;


TCustomListView.OnDataStateChange

Called for owner-data mode.

Declaration

Source position: comctrls.pp line 1568

protected property TCustomListView.OnDataStateChange : TLVDataStateChangeEvent
  read FOnDataStateChange
  write FOnDataStateChange;


TCustomListView.OnDeletion

Called when items are deleted by code.

Declaration

Source position: comctrls.pp line 1569

protected property TCustomListView.OnDeletion : TLVDeletedEvent
  read FOnDeletion
  write FOnDeletion;


TCustomListView.OnDrawItem

Declaration

Source position: comctrls.pp line 1578

protected property TCustomListView.OnDrawItem : TLVDrawItemEvent
  read FOnDrawItem
  write FOnDrawItem;


TCustomListView.OnEdited

Declaration

Source position: comctrls.pp line 1570

protected property TCustomListView.OnEdited : TLVEditedEvent
  read FOnEdited
  write FOnEdited;


TCustomListView.OnEditing

Declaration

Source position: comctrls.pp line 1571

protected property TCustomListView.OnEditing : TLVEditingEvent
  read FOnEditing
  write FOnEditing;


TCustomListView.OnInsert

Called when items are inserted by code.

Declaration

Source position: comctrls.pp line 1572

protected property TCustomListView.OnInsert : TLVInsertEvent
  read FOnInsert
  write FOnInsert;


TCustomListView.OnItemChecked

Declaration

Source position: comctrls.pp line 1573

protected property TCustomListView.OnItemChecked : TLVCheckedItemEvent
  read FOnItemChecked
  write FOnItemChecked;


TCustomListView.OnSelectItem

Called when items are selected or selection changes.

Declaration

Source position: comctrls.pp line 1574

protected property TCustomListView.OnSelectItem : TLVSelectItemEvent
  read FOnSelectItem
  write FOnSelectItem;


TCustomListView.OwnerData

Use owner-data mode for ListView. It means, that ListView don't contain items, you must supply them using OnData* events.

Declaration

Source position: comctrls.pp line 1637

public property TCustomListView.OwnerData : Boolean
  read FOwnerData
  write SetOwnerData
  default False;


TCustomListView.OwnerDraw

Use owner-draw mode. It means that program must paint ListView items, using OnCustomDraw*, OnAdvancedCustomDraw* events.

Declaration

Source position: comctrls.pp line 1548

protected property TCustomListView.OwnerDraw : Boolean
  index Ord(lvpOwnerDraw)
  read GetProperty
  write SetProperty
  default False;


TCustomListView.ReadOnly

Don't allow user to change item captions, by click with a delay.

Declaration

Source position: comctrls.pp line 1638

public property TCustomListView.ReadOnly : Boolean
  index Ord(lvpReadOnly)
  read GetProperty
  write SetProperty
  default False;


TCustomListView.RowSelect

In Report view, this allows to highlight entire selected row, until right edge of ListView.

Declaration

Source position: comctrls.pp line 1639

public property TCustomListView.RowSelect : Boolean
  index Ord(lvpRowSelect)
  read GetProperty
  write SetProperty
  default False;


TCustomListView.ScrollBars

Kind of scrollbars in control: vertical, horizontal, none or both. Auto* mean that scrollbars hide automatically.

Declaration

Source position: comctrls.pp line 1549

protected property TCustomListView.ScrollBars : TScrollStyle
  read FScrollBars
  write SetScrollBars
  default ssBoth;


TCustomListView.SelCount

Number of currently selected items.

Declaration

Source position: comctrls.pp line 1640

public property TCustomListView.SelCount : Integer
  read GetSelCount;


TCustomListView.SelectAll

Declaration

Source position: comctrls.pp line 1614

public procedure TCustomListView.SelectAll;


TCustomListView.Selected

Listview item, which is 1st selected.

Declaration

Source position: comctrls.pp line 1641

public property TCustomListView.Selected : TListItem
  read GetSelection
  write SetSelection;


TCustomListView.ShowColumnHeaders

Show header area in ListView, which shows captions of columns.

Declaration

Source position: comctrls.pp line 1550

protected property TCustomListView.ShowColumnHeaders : Boolean
  index Ord(lvpShowColumnHeaders)
  read GetProperty
  write SetProperty
  default True;


TCustomListView.ShowWorkAreas

Property WorkAreas sets work areas in ListView. This property allows to highlight each work area with its own color and show with own caption.

Declaration

Source position: comctrls.pp line 1551

protected property TCustomListView.ShowWorkAreas : Boolean
  index Ord(lvpShowWorkAreas)
  read GetProperty
  write SetProperty
  default False;


TCustomListView.SmallImages

ImageList object, which contains "small" icons for one if ListView layouts.

Declaration

Source position: comctrls.pp line 1552

protected property TCustomListView.SmallImages : TCustomImageList
  index Ord(lvilSmall)
  read GetImageList
  write SetImageList;

Description

A typical application might have two ImageLists: one ofLargeImages and one of SmallImages containing two versions of the same collection of images, in large and small format; the index numbers of the first list would correspond with those in the second list.

SmallImages could be displayed beside the text strings in the list view and the programmer would supply code to ensure that when an item with its associated SmallImage was selected, the corresponding LargeImage would be displayed in another window.

A TImageList control needs to be selected and pasted on to the Form Designer and the ImageList Editor can be opened from the pop-up menu obtained by right-clicking on TImageList icon in the Form Designer. Then in the StringList editor for Items the correct ImageIndex must be allocated to each entry in the list.


TCustomListView.SmallImagesWidth

Declaration

Source position: comctrls.pp line 1553

protected property TCustomListView.SmallImagesWidth : Integer
  index Ord(lvilSmall)
  read GetImageListWidth
  write SetImageListWidth
  default 0;


TCustomListView.Sort

Declaration

Source position: comctrls.pp line 1587

public procedure TCustomListView.Sort;


TCustomListView.SortColumn

Index of column, by which ListView was last sorted. -1 for none.

Declaration

Source position: comctrls.pp line 1555

protected property TCustomListView.SortColumn : Integer
  read FSortColumn
  write SetSortColumn
  default - 1;


TCustomListView.SortDirection

Sets sorting direction for current sorting column.

Declaration

Source position: comctrls.pp line 1556

protected property TCustomListView.SortDirection : TSortDirection
  read FSortDirection
  write SetSortDirection
  default sdAscending;


TCustomListView.SortType

Sets sorting order for current sorting column: by text, by Data of items, both or none.

Declaration

Source position: comctrls.pp line 1554

protected property TCustomListView.SortType : TSortType
  read FSortType
  write SetSortType
  default stNone;


TCustomListView.StateImages

ImageList object, which contains "state" icons, for item states: selected, normal, etc.

Declaration

Source position: comctrls.pp line 1557

protected property TCustomListView.StateImages : TCustomImageList
  index Ord(lvilState)
  read GetImageList
  write SetImageList;


TCustomListView.StateImagesWidth

Declaration

Source position: comctrls.pp line 1558

protected property TCustomListView.StateImagesWidth : Integer
  index Ord(lvilState)
  read GetImageListWidth
  write SetImageListWidth
  default 0;


TCustomListView.ToolTips

Automatically show hints (tooltips) for ListView items, when mouse is over items.

Declaration

Source position: comctrls.pp line 1559

protected property TCustomListView.ToolTips : Boolean
  index Ord(lvpToolTips)
  read GetProperty
  write SetProperty
  default True;


TCustomListView.TopItem

Listview item, which is shown at the top edge of ListView.

Declaration

Source position: comctrls.pp line 1644

public property TCustomListView.TopItem : TListItem
  read GetTopItem;


TCustomListView.ViewOrigin

Coordinate of the left/top visible point in ListView, updates when Listview scrolls.

Declaration

Source position: comctrls.pp line 1645

public property TCustomListView.ViewOrigin : TPoint
  read GetViewOrigin
  write SetViewOrigin;


TCustomListView.ViewStyle

Sets one of ListView layouts: List (simple column), Report (few columns with full width), Icon (big icons), Small Icon (small icons, 16x16).

Declaration

Source position: comctrls.pp line 1560

protected property TCustomListView.ViewStyle : TViewStyle
  read FViewStyle
  write SetViewStyle
  default vsList;


TCustomListView.VisibleRowCount

Number of rows, which is currenly shown with current Listview position/size/layout.

Declaration

Source position: comctrls.pp line 1646

public property TCustomListView.VisibleRowCount : Integer
  read GetVisibleRowCount;


TCustomListViewEditor

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Declaration

Source position: comctrls.pp line 1357

type TCustomListViewEditor = class(TCustomEdit)

protected

  procedure DoExit; override;

public

  constructor Create(); override;

  property Item: TListItem; [rw]

end;

Inheritance

TCustomListViewEditor
|
TCustomEdit | The base class for controls presenting editable text.
|
TWinControl | The base class for controls which can contain other (child) controls.
|
TControl | The base class for visible controls.
|
TLCLComponent | The base class for LCL components associated with widgets.
|
TComponent,IUnknown,IInterfaceComponentReference
|
TPersistent,IFPObserved
|
TObject


TCustomListViewEditor
 |  | Item
TCustomEdit
pt |  | AutoSelect
pt |  | AutoSelected
pt | ro | ParentColor
 |  | Alignment
 | ro | AutoSize
 | ro | BorderStyle
 | ro | CanUndo
 |  | CaretPos
 |  | CharCase
 |  | EchoMode
 |  | HideSelection
 |  | MaxLength
 |  | Modified
 |  | NumbersOnly
 |  | PasswordChar
 | ro | PopupMenu
 |  | ReadOnly
 |  | SelLength
 |  | SelStart
 |  | SelText
 | ro | TabOrder
 | ro | TabStop
 | ro | Text
 |  | TextHint
TWinControl
pt |  | WindowHandle
pt |  | BorderStyle
pt |  | ParentBackground
 |  | BorderWidth
 | ro | BoundsLockCount
 | ro | Brush
 | ro | CachedClientHeight
 | ro | CachedClientWidth
 |  | ChildSizing
 | ro | ControlCount
 | ro | Controls
 |  | DefWndProc
 | ro | DockClientCount
 | ro | DockClients
 |  | DockManager
 |  | DockSite
 |  | DoubleBuffered
 |  | Handle
 | ro | IsFlipped
 | ro | IsResizing
 |  | TabOrder
 |  | TabStop
 |  | ParentDoubleBuffered
 |  | ParentWindow
 | ro | Showing
 |  | UseDockManager
 |  | DesignerDeleting
 | ro | VisibleDockClientCount
TControl
pt | ro | AutoSizing
pt | ro | AutoSizingAll
pt | ro | AutoSizingLockCount
pt |  | ActionLink
pt |  | DesktopFont
pt |  | DragCursor
pt |  | DragKind
pt |  | DragMode
pt |  | MouseCapture
pt |  | ParentColor
pt |  | ParentFont
pt |  | ParentShowHint
pt |  | SessionProperties
pt |  | Text
 | ro | AnchoredControls
 | ro | BaseBounds
 | ro | ReadBounds
 | ro | BaseParentClientSize
 |  | AccessibleDescription
 |  | AccessibleValue
 |  | AccessibleRole
 |  | Action
 |  | Align
 |  | Anchors
 | ro | AnchorSide
 |  | AutoSize
 |  | BorderSpacing
 |  | BoundsRect
 |  | BoundsRectForNewParent
 |  | Caption
 |  | CaptureMouseButtons
 |  | ClientHeight
 | ro | ClientOrigin
 | ro | ClientRect
 |  | ClientWidth
 |  | Color
 |  | Constraints
 | ro | ControlOrigin
 |  | ControlState
 |  | ControlStyle
 |  | Enabled
 |  | Font
 |  | IsControl
 | ro | MouseEntered
 | ro | MouseInClient
 |  | Parent
 |  | PopupMenu
 |  | ShowHint
 |  | Visible
 |  | WindowProc
 |  | DockOrientation
 | ro | Floating
 |  | FloatingDockSiteClass
 |  | HostDockSite
 |  | LRDockWidth
 |  | TBDockHeight
 |  | UndockHeight
 |  | UndockWidth
 |  | BiDiMode
 |  | ParentBiDiMode
pl |  | AnchorSideLeft
pl |  | AnchorSideTop
pl |  | AnchorSideRight
pl |  | AnchorSideBottom
pl |  | Cursor
pl |  | Left
pl |  | Height
pl |  | Hint
pl |  | Top
pl |  | Width
pl |  | HelpType
pl |  | HelpKeyword
pl |  | HelpContext
TLCLComponent
 | ro | LCLRefCount
 | ro | WidgetSetClass
TComponent
 | ro | ComObject
 | ro | Components
 | ro | ComponentCount
 |  | ComponentIndex
 | ro | ComponentState
 | ro | ComponentStyle
 |  | DesignInfo
 | ro | Owner
 |  | VCLComObject
 |  | Name
 |  | Tag
TPersistent
TObject


 |  | AccessibleDescription (TControl)
 |  | AccessibleRole (TControl)
 |  | AccessibleValue (TControl)
 |  | Action (TControl)
pt |  | ActionLink (TControl)
 |  | Align (TControl)
 |  | Alignment (TCustomEdit)
 | ro | AnchoredControls (TControl)
 |  | Anchors (TControl)
 | ro | AnchorSide (TControl)
pl |  | AnchorSideBottom (TControl)
pl |  | AnchorSideLeft (TControl)
pl |  | AnchorSideRight (TControl)
pl |  | AnchorSideTop (TControl)
pt |  | AutoSelect (TCustomEdit)
pt |  | AutoSelected (TCustomEdit)
 |  | AutoSize (TControl)
 | ro | AutoSize (TCustomEdit)
pt | ro | AutoSizing (TControl)
pt | ro | AutoSizingAll (TControl)
pt | ro | AutoSizingLockCount (TControl)
 | ro | BaseBounds (TControl)
 | ro | BaseParentClientSize (TControl)
 |  | BiDiMode (TControl)
 |  | BorderSpacing (TControl)
pt |  | BorderStyle (TWinControl)
 | ro | BorderStyle (TCustomEdit)
 |  | BorderWidth (TWinControl)
 | ro | BoundsLockCount (TWinControl)
 |  | BoundsRect (TControl)
 |  | BoundsRectForNewParent (TControl)
 | ro | Brush (TWinControl)
 | ro | CachedClientHeight (TWinControl)
 | ro | CachedClientWidth (TWinControl)
 | ro | CanUndo (TCustomEdit)
 |  | Caption (TControl)
 |  | CaptureMouseButtons (TControl)
 |  | CaretPos (TCustomEdit)
 |  | CharCase (TCustomEdit)
 |  | ChildSizing (TWinControl)
 |  | ClientHeight (TControl)
 | ro | ClientOrigin (TControl)
 | ro | ClientRect (TControl)
 |  | ClientWidth (TControl)
 |  | Color (TControl)
 | ro | ComObject (TComponent)
 | ro | ComponentCount (TComponent)
 |  | ComponentIndex (TComponent)
 | ro | Components (TComponent)
 | ro | ComponentState (TComponent)
 | ro | ComponentStyle (TComponent)
 |  | Constraints (TControl)
 | ro | ControlCount (TWinControl)
 | ro | ControlOrigin (TControl)
 | ro | Controls (TWinControl)
 |  | ControlState (TControl)
 |  | ControlStyle (TControl)
pl |  | Cursor (TControl)
 |  | DefWndProc (TWinControl)
 |  | DesignerDeleting (TWinControl)
 |  | DesignInfo (TComponent)
pt |  | DesktopFont (TControl)
 | ro | DockClientCount (TWinControl)
 | ro | DockClients (TWinControl)
 |  | DockManager (TWinControl)
 |  | DockOrientation (TControl)
 |  | DockSite (TWinControl)
 |  | DoubleBuffered (TWinControl)
pt |  | DragCursor (TControl)
pt |  | DragKind (TControl)
pt |  | DragMode (TControl)
 |  | EchoMode (TCustomEdit)
 |  | Enabled (TControl)
 | ro | Floating (TControl)
 |  | FloatingDockSiteClass (TControl)
 |  | Font (TControl)
 |  | Handle (TWinControl)
pl |  | Height (TControl)
pl |  | HelpContext (TControl)
pl |  | HelpKeyword (TControl)
pl |  | HelpType (TControl)
 |  | HideSelection (TCustomEdit)
pl |  | Hint (TControl)
 |  | HostDockSite (TControl)
 |  | IsControl (TControl)
 | ro | IsFlipped (TWinControl)
 | ro | IsResizing (TWinControl)
 |  | Item (TCustomListViewEditor)
 | ro | LCLRefCount (TLCLComponent)
pl |  | Left (TControl)
 |  | LRDockWidth (TControl)
 |  | MaxLength (TCustomEdit)
 |  | Modified (TCustomEdit)
pt |  | MouseCapture (TControl)
 | ro | MouseEntered (TControl)
 | ro | MouseInClient (TControl)
 |  | Name (TComponent)
 |  | NumbersOnly (TCustomEdit)
 | ro | Owner (TComponent)
 |  | Parent (TControl)
pt |  | ParentBackground (TWinControl)
 |  | ParentBiDiMode (TControl)
pt |  | ParentColor (TControl)
pt | ro | ParentColor (TCustomEdit)
 |  | ParentDoubleBuffered (TWinControl)
pt |  | ParentFont (TControl)
pt |  | ParentShowHint (TControl)
 |  | ParentWindow (TWinControl)
 |  | PasswordChar (TCustomEdit)
 |  | PopupMenu (TControl)
 | ro | PopupMenu (TCustomEdit)
 | ro | ReadBounds (TControl)
 |  | ReadOnly (TCustomEdit)
 |  | SelLength (TCustomEdit)
 |  | SelStart (TCustomEdit)
 |  | SelText (TCustomEdit)
pt |  | SessionProperties (TControl)
 |  | ShowHint (TControl)
 | ro | Showing (TWinControl)
 |  | TabOrder (TWinControl)
 | ro | TabOrder (TCustomEdit)
 |  | TabStop (TWinControl)
 | ro | TabStop (TCustomEdit)
 |  | Tag (TComponent)
 |  | TBDockHeight (TControl)
pt |  | Text (TControl)
 | ro | Text (TCustomEdit)
 |  | TextHint (TCustomEdit)
pl |  | Top (TControl)
 |  | UndockHeight (TControl)
 |  | UndockWidth (TControl)
 |  | UseDockManager (TWinControl)
 |  | VCLComObject (TComponent)
 |  | Visible (TControl)
 | ro | VisibleDockClientCount (TWinControl)
 | ro | WidgetSetClass (TLCLComponent)
pl |  | Width (TControl)
pt |  | WindowHandle (TWinControl)
 |  | WindowProc (TControl)


TCustomListViewEditor
pt | DoExit
 | Create
TCustomEdit
pt | WSRegisterClass
pt | CanShowEmulatedTextHint
pt | CreateEmulatedTextHintFont
pt | CalculatePreferredSize
pt | CreateParams
pt | InitializeWnd
pt | TextChanged
pt | FontChanged
pt | Change
pt | DoEnter
pt | DoExit
pt | EditingDone
pt | GetCaretPos
pt | GetNumbersOnly
pt | GetReadOnly
pt | GetSelLength
pt | GetSelStart
pt | GetSelText
pt | GetTextHint
pt | SetCaretPos
pt | SetEchoMode
pt | SetNumbersOnly
pt | SetReadOnly
pt | SetSelLength
pt | SetSelStart
pt | SetSelText
pt | SetTextHint
pt | ChildClassAllowed
pt | GetControlClassDefaultSize
pt | MouseUp
pt | RealSetText
pt | RealGetText
pt | KeyUpAfterInterface
pt | WMChar
pt | CMWantSpecialKey
pt | WndProc
pt | ShouldAutoAdjust
pt | WMSetFocus
pt | WMKillFocus
 | Create
 | Destroy
 | Clear
 | SelectAll
 | ClearSelection
 | CopyToClipboard
 | CutToClipboard
 | PasteFromClipboard
 | Undo
 | RemoveAllHandlersOfObject
 | AddHandlerOnChange
 | RemoveHandlerOnChange
TWinControl
pt | WSRegisterClass
pt | AdjustClientRect
pt | GetAdjustedLogicalClientRect
pt | AlignControls
pt | CustomAlignInsertBefore
pt | CustomAlignPosition
pt | DoAlignChildControls
pt | DoChildSizingChange
pt | InvalidatePreferredChildSizes
pt | CanTab
pt | IsClientHeightStored
pt | IsClientWidthStored
pt | DoSendShowHideToInterface
pt | ControlsAligned
pt | DoSendBoundsToInterface
pt | RealizeBounds
pt | RealizeBoundsRecursive
pt | InvalidateBoundsRealized
pt | CreateSubClass
pt | DoConstraintsChange
pt | DoSetBounds
pt | DoAutoSize
pt | DoAllAutoSize
pt | AllAutoSized
pt | CalculatePreferredSize
pt | GetPreferredSizeClientFrame
pt | GetChildren
pt | ChildClassAllowed
pt | PaintControls
pt | PaintHandler
pt | PaintWindow
pt | CreateBrush
pt | ScaleControls
pt | ChangeScale
pt | CMBiDiModeChanged
pt | CMBorderChanged
pt | CMDoubleBufferedChanged
pt | CMEnabledChanged
pt | CMParentDoubleBufferedChanged
pt | CMShowingChanged
pt | CMShowHintChanged
pt | CMVisibleChanged
pt | CMEnter
pt | CMExit
pt | WMContextMenu
pt | WMEraseBkgnd
pt | WMNotify
pt | WMSetFocus
pt | WMKillFocus
pt | WMShowWindow
pt | WMEnter
pt | WMExit
pt | WMKeyDown
pt | WMSysKeyDown
pt | WMKeyUp
pt | WMSysKeyUp
pt | WMChar
pt | WMSysChar
pt | WMPaint
pt | WMDestroy
pt | WMMove
pt | WMSize
pt | WMWindowPosChanged
pt | CNKeyDown
pt | CNSysKeyDown
pt | CNKeyUp
pt | CNSysKeyUp
pt | CNChar
pt | DoDragMsg
pt | DoDockClientMsg
pt | DoUndockClientMsg
pt | DoAddDockClient
pt | DockOver
pt | DoDockOver
pt | DoRemoveDockClient
pt | DoUnDock
pt | GetSiteInfo
pt | GetParentHandle
pt | GetTopParentHandle
pt | ReloadDockedControl
pt | CreateDockManager
pt | SetDockManager
pt | DoFloatMsg
pt | DoGetDockCaption
pt | DoEnter
pt | DoExit
pt | DoKeyDownBeforeInterface
pt | DoRemainingKeyDown
pt | DoRemainingKeyUp
pt | DoKeyPress
pt | DoUTF8KeyPress
pt | DoKeyUpBeforeInterface
pt | ChildKey
pt | SendDialogChar
pt | DialogChar
pt | ControlKeyDown
pt | ControlKeyUp
pt | KeyDown
pt | KeyDownBeforeInterface
pt | KeyDownAfterInterface
pt | KeyPress
pt | KeyUp
pt | KeyUpBeforeInterface
pt | KeyUpAfterInterface
pt | UTF8KeyPress
pt | FindNextControl
pt | SelectFirst
pt | RealGetText
pt | GetBorderStyle
pt | GetClientOrigin
pt | GetClientRect
pt | GetControlOrigin
pt | GetDeviceContext
pt | GetParentBackground
pt | IsControlMouseMsg
pt | CreateHandle
pt | CreateParams
pt | CreateWnd
pt | DestroyHandle
pt | DestroyWnd
pt | DoFlipChildren
pt | FinalizeWnd
pt | FixupTabList
pt | FontChanged
pt | InitializeWnd
pt | Loaded
pt | FormEndUpdated
pt | MainWndProc
pt | ParentFormHandleInitialized
pt | ChildHandlesCreated
pt | GetMouseCapture
pt | RealSetText
pt | RemoveFocus
pt | SendMoveSizeMessages
pt | SetBorderStyle
pt | SetColor
pt | SetChildZPosition
pt | SetParentBackground
pt | ShowControl
pt | UpdateControlState
pt | UpdateShowing
pt | WndProc
pt | WSSetText
 | AutoSizePhases
 | AutoSizeDelayed
 | AutoSizeDelayedReport
 | AutoSizeDelayedHandle
 | BeginUpdateBounds
 | EndUpdateBounds
 | LockRealizeBounds
 | UnlockRealizeBounds
 | ControlAtPos
 | ContainsControl
 | DoAdjustClientRectChange
 | InvalidateClientRectCache
 | ClientRectNeedsInterfaceUpdate
 | SetBounds
 | GetChildrenRect
 | DisableAlign
 | EnableAlign
 | ReAlign
 | ScrollBy_WS
 | ScrollBy
 | WriteLayoutDebugReport
 | AutoAdjustLayout
 | Create
 | CreateParented
 | CreateParentedControl
 | Destroy
 | DockDrop
 | CanFocus
 | CanSetFocus
 | GetControlIndex
 | SetControlIndex
 | Focused
 | PerformTab
 | FindChildControl
 | SelectNext
 | SetTempCursor
 | BroadCast
 | NotifyControls
 | DefaultHandler
 | GetTextLen
 | Invalidate
 | AddControl
 | InsertControl
 | RemoveControl
 | GetEnumeratorControls
 | GetEnumeratorControlsReverse
 | Repaint
 | Update
 | SetFocus
 | FlipChildren
 | ScaleBy
 | GetDockCaption
 | UpdateDockCaption
 | GetTabOrderList
 | HandleAllocated
 | ParentHandlesAllocated
 | HandleNeeded
 | BrushCreated
 | EraseBackground
 | IntfUTF8KeyPress
 | IntfGetDropFilesTarget
 | PaintTo
 | SetShape
TControl
pt | WSRegisterClass
pt | GetCursor
pt | SetCursor
pt | SetVisible
pt | DoOnParentHandleDestruction
pt | DoAutoSize
pt | DoAllAutoSize
pt | BeginAutoSizing
pt | EndAutoSizing
pt | AnchorSideChanged
pt | ForeignAnchorSideChanged
pt | SetAlign
pt | SetAnchors
pt | SetAutoSize
pt | BoundsChanged
pt | CreateControlBorderSpacing
pt | DoConstraintsChange
pt | DoBorderSpacingChange
pt | IsBorderSpacingInnerBorderStored
pt | IsCaptionStored
pt | SendMoveSizeMessages
pt | ConstrainedResize
pt | CalculatePreferredSize
pt | DoOnResize
pt | DoOnChangeBounds
pt | CheckOnChangeBounds
pt | Resize
pt | RequestAlign
pt | UpdateAnchorRules
pt | ChangeBounds
pt | DoSetBounds
pt | ScaleConstraints
pt | ChangeScale
pt | CanAutoSize
pt | SetBiDiMode
pt | SetParentBiDiMode
pt | IsAParentAligning
pt | GetClientOrigin
pt | GetClientRect
pt | GetLogicalClientRect
pt | GetScrolledClientRect
pt | GetClientScrollOffset
pt | GetControlOrigin
pt | IsClientHeightStored
pt | IsClientWidthStored
pt | WidthIsAnchored
pt | HeightIsAnchored
pt | WMCancelMode
pt | WMContextMenu
pt | WMLButtonDown
pt | WMRButtonDown
pt | WMMButtonDown
pt | WMXButtonDown
pt | WMLButtonDBLCLK
pt | WMRButtonDBLCLK
pt | WMMButtonDBLCLK
pt | WMXButtonDBLCLK
pt | WMLButtonTripleCLK
pt | WMRButtonTripleCLK
pt | WMMButtonTripleCLK
pt | WMXButtonTripleCLK
pt | WMLButtonQuadCLK
pt | WMRButtonQuadCLK
pt | WMMButtonQuadCLK
pt | WMXButtonQuadCLK
pt | WMMouseMove
pt | WMLButtonUp
pt | WMRButtonUp
pt | WMMButtonUp
pt | WMXButtonUp
pt | WMMouseWheel
pt | WMMouseHWheel
pt | WMMove
pt | WMSize
pt | WMWindowPosChanged
pt | CMChanged
pt | LMCaptureChanged
pt | CMBiDiModeChanged
pt | CMSysFontChanged
pt | CMEnabledChanged
pt | CMHitTest
pt | CMMouseEnter
pt | CMMouseLeave
pt | CMHintShow
pt | CMParentBiDiModeChanged
pt | CMParentColorChanged
pt | CMParentFontChanged
pt | CMParentShowHintChanged
pt | CMVisibleChanged
pt | CMTextChanged
pt | CMCursorChanged
pt | CalculateDockSizes
pt | CreateFloatingDockSite
pt | GetDockEdge
pt | GetDragImages
pt | GetFloating
pt | GetFloatingDockSiteClass
pt | BeforeDragStart
pt | BeginAutoDrag
pt | DoFloatMsg
pt | DockTrackNoTarget
pt | DoDock
pt | DoDragMsg
pt | DoEndDock
pt | DoEndDrag
pt | DoStartDock
pt | DoStartDrag
pt | DragCanceled
pt | DragOver
pt | PositionDockRect
pt | SetDragMode
pt | GetDefaultDockCaption
pt | Click
pt | DblClick
pt | TripleClick
pt | QuadClick
pt | GetMousePosFromMessage
pt | MouseDown
pt | MouseMove
pt | MouseUp
pt | MouseEnter
pt | MouseLeave
pt | DialogChar
pt | UpdateMouseCursor
pt | Changed
pt | GetPalette
pt | ChildClassAllowed
pt | ReadState
pt | Loaded
pt | LoadedAll
pt | DefineProperties
pt | AssignTo
pt | FormEndUpdated
pt | InvalidateControl
pt | FontChanged
pt | ParentFontChanged
pt | GetAction
pt | RealGetText
pt | RealSetText
pt | TextChanged
pt | GetCachedText
pt | SetAction
pt | SetColor
pt | SetEnabled
pt | SetHint
pt | SetName
pt | SetParent
pt | SetParentComponent
pt | WndProc
pt | ParentFormHandleInitialized
pt | GetMouseCapture
pt | CaptureChanged
pt | Notification
pt | CanTab
pt | GetDeviceContext
pt | GetEnabled
pt | GetPopupMenu
pt | DoOnShowHint
pt | DoMouseWheel
pt | DoMouseWheelDown
pt | DoMouseWheelUp
pt | DoMouseWheelHorz
pt | DoMouseWheelLeft
pt | DoMouseWheelRight
pt | VisibleChanging
pt | VisibleChanged
pt | EnabledChanging
pt | EnabledChanged
pt | AddHandler
pt | RemoveHandler
pt | DoCallNotifyHandler
pt | DoCallKeyEventHandler
pt | DoCallMouseWheelEventHandler
pt | DoContextPopup
pt | SetZOrder
pt | GetControlClassDefaultSize
pt | ColorIsStored
pt | DoAutoAdjustLayout
pt | DoFixDesignFontPPI
pt | DoScaleFontPPI
pt | GetActionLinkClass
pt | ActionChange
 | DragDrop
 | Dock
 | ManualDock
 | ManualFloat
 | ReplaceDockedControl
 | Docked
 | Dragging
 | GetAccessibleObject
 | CreateAccessibleObject
 | GetSelectedChildAccessibleObject
 | GetChildAccessibleObjectAtPos
 | ScaleDesignToForm
 | ScaleFormToDesign
 | Scale96ToForm
 | ScaleFormTo96
 | Scale96ToFont
 | ScaleFontTo96
 | ScaleScreenToFont
 | ScaleFontToScreen
 | Scale96ToScreen
 | ScaleScreenTo96
 | AdjustSize
 | AutoSizePhases
 | AutoSizeDelayed
 | AutoSizeDelayedReport
 | AutoSizeDelayedHandle
 | AnchorToNeighbour
 | AnchorParallel
 | AnchorHorizontalCenterTo
 | AnchorVerticalCenterTo
 | AnchorToCompanion
 | AnchorSame
 | AnchorAsAlign
 | AnchorClient
 | AnchoredControlCount
 | SetBounds
 | SetInitialBounds
 | SetBoundsKeepBase
 | GetPreferredSize
 | GetCanvasScaleFactor
 | GetDefaultWidth
 | GetDefaultHeight
 | GetDefaultColor
 | GetColorResolvingParent
 | GetRGBColorResolvingParent
 | GetSidePosition
 | CNPreferredSizeChanged
 | InvalidatePreferredSize
 | GetAnchorsDependingOnParent
 | DisableAutoSizing
 | EnableAutoSizing
 | UpdateBaseBounds
 | WriteLayoutDebugReport
 | AutoAdjustLayout
 | ShouldAutoAdjust
 | FixDesignFontsPPI
 | ScaleFontsPPI
 | Create
 | Destroy
 | BeforeDestruction
 | EditingDone
 | ExecuteDefaultAction
 | ExecuteCancelAction
 | BeginDrag
 | EndDrag
 | BringToFront
 | HasParent
 | GetParentComponent
 | IsParentOf
 | GetTopParent
 | IsVisible
 | IsControlVisible
 | IsEnabled
 | IsParentColor
 | IsParentFont
 | FormIsUpdating
 | IsProcessingPaintMsg
 | Hide
 | Refresh
 | Repaint
 | Invalidate
 | CheckChildClassAllowed
 | CheckNewParent
 | SendToBack
 | SetTempCursor
 | UpdateRolesForForm
 | ActiveDefaultControlChanged
 | GetTextBuf
 | GetTextLen
 | SetTextBuf
 | Perform
 | ScreenToClient
 | ClientToScreen
 | ScreenToControl
 | ControlToScreen
 | ClientToParent
 | ParentToClient
 | GetChildrenRect
 | Show
 | Update
 | HandleObjectShouldBeVisible
 | ParentDestroyingHandle
 | ParentHandlesAllocated
 | InitiateAction
 | ShowHelp
 | HasHelp
 | RemoveAllHandlersOfObject
 | AddHandlerOnResize
 | RemoveHandlerOnResize
 | AddHandlerOnChangeBounds
 | RemoveHandlerOnChangeBounds
 | AddHandlerOnVisibleChanging
 | RemoveHandlerOnVisibleChanging
 | AddHandlerOnVisibleChanged
 | RemoveHandlerOnVisibleChanged
 | AddHandlerOnEnabledChanged
 | RemoveHandlerOnEnableChanging
 | AddHandlerOnKeyDown
 | RemoveHandlerOnKeyDown
 | AddHandlerOnBeforeDestruction
 | RemoveHandlerOnBeforeDestruction
 | AddHandlerOnMouseWheel
 | RemoveHandlerOnMouseWheel
 | UseRightToLeftAlignment
 | UseRightToLeftReading
 | UseRightToLeftScrollBar
 | IsRightToLeft
TLCLComponent
pt | WSRegisterClass
pt | GetWSComponentClass
 | Create
 | Destroy
 | NewInstance
 | RemoveAllHandlersOfObject
 | IncLCLRefCount
 | DecLCLRefCount
TComponent
 | GetComObject
 | GetComponent
 | GetComponentCount
 | GetComponentIndex
 | Insert
 | ReadLeft
 | ReadTop
 | Remove
 | RemoveNotification
 | SetComponentIndex
 | SetReference
 | WriteLeft
 | WriteTop
 | ChangeName
 | DefineProperties
 | GetChildren
 | GetChildOwner
 | GetChildParent
 | GetOwner
 | Loaded
 | Loading
 | Notification
 | PaletteCreated
 | ReadState
 | SetAncestor
 | SetDesigning
 | SetDesignInstance
 | SetInline
 | SetName
 | SetChildOrder
 | SetParentComponent
 | Updating
 | Updated
 | UpdateRegistry
 | ValidateRename
 | ValidateContainer
 | ValidateInsert
 | QueryInterface
 | _AddRef
 | _Release
 | iicrGetComponent
 | GetTypeInfoCount
 | GetTypeInfo
 | GetIDsOfNames
 | Invoke
 | WriteState
 | Create
 | Destroy
 | BeforeDestruction
 | DestroyComponents
 | Destroying
 | ExecuteAction
 | FindComponent
 | FreeNotification
 | RemoveFreeNotification
 | FreeOnRelease
 | GetEnumerator
 | GetNamePath
 | GetParentComponent
 | HasParent
 | InsertComponent
 | RemoveComponent
 | SafeCallException
 | SetSubComponent
 | UpdateAction
 | IsImplementorOf
 | ReferenceInterface
TPersistent
 | AssignError
 | AssignTo
 | DefineProperties
 | GetOwner
 | Destroy
 | Assign
 | FPOAttachObserver
 | FPODetachObserver
 | FPONotifyObservers
 | GetNamePath
TObject
 | Create
 | Destroy
 | newinstance
 | FreeInstance
 | SafeCallException
 | DefaultHandler
 | Free
 | InitInstance
 | CleanupInstance
 | ClassType
 | ClassInfo
 | ClassName
 | ClassNameIs
 | ClassParent
 | InstanceSize
 | InheritsFrom
 | StringMessageTable
 | MethodAddress
 | MethodName
 | FieldAddress
 | AfterConstruction
 | BeforeDestruction
 | DefaultHandlerStr
 | Dispatch
 | DispatchStr
 | GetInterface
 | GetInterfaceByStr
 | GetInterfaceWeak
 | GetInterfaceEntry
 | GetInterfaceEntryByStr
 | GetInterfaceTable
 | UnitName
 | Equals
 | GetHashCode
 | ToString


pt | ActionChange (TControl)
 | ActiveDefaultControlChanged (TControl)
 | AddControl (TWinControl)
pt | AddHandler (TControl)
 | AddHandlerOnBeforeDestruction (TControl)
 | AddHandlerOnChange (TCustomEdit)
 | AddHandlerOnChangeBounds (TControl)
 | AddHandlerOnEnabledChanged (TControl)
 | AddHandlerOnKeyDown (TControl)
 | AddHandlerOnMouseWheel (TControl)
 | AddHandlerOnResize (TControl)
 | AddHandlerOnVisibleChanged (TControl)
 | AddHandlerOnVisibleChanging (TControl)
pt | AdjustClientRect (TWinControl)
 | AdjustSize (TControl)
 | AfterConstruction (TObject)
pt | AlignControls (TWinControl)
pt | AllAutoSized (TWinControl)
 | AnchorAsAlign (TControl)
 | AnchorClient (TControl)
 | AnchoredControlCount (TControl)
 | AnchorHorizontalCenterTo (TControl)
 | AnchorParallel (TControl)
 | AnchorSame (TControl)
pt | AnchorSideChanged (TControl)
 | AnchorToCompanion (TControl)
 | AnchorToNeighbour (TControl)
 | AnchorVerticalCenterTo (TControl)
 | Assign (TPersistent)
 | AssignError (TPersistent)
 | AssignTo (TPersistent)
pt | AssignTo (TControl)
 | AutoAdjustLayout (TControl)
 | AutoAdjustLayout (TWinControl)
 | AutoSizeDelayed (TControl)
 | AutoSizeDelayed (TWinControl)
 | AutoSizeDelayedHandle (TControl)
 | AutoSizeDelayedHandle (TWinControl)
 | AutoSizeDelayedReport (TControl)
 | AutoSizeDelayedReport (TWinControl)
 | AutoSizePhases (TControl)
 | AutoSizePhases (TWinControl)
 | BeforeDestruction (TObject)
 | BeforeDestruction (TComponent)
 | BeforeDestruction (TControl)
pt | BeforeDragStart (TControl)
pt | BeginAutoDrag (TControl)
pt | BeginAutoSizing (TControl)
 | BeginDrag (TControl)
 | BeginUpdateBounds (TWinControl)
pt | BoundsChanged (TControl)
 | BringToFront (TControl)
 | BroadCast (TWinControl)
 | BrushCreated (TWinControl)
pt | CalculateDockSizes (TControl)
pt | CalculatePreferredSize (TControl)
pt | CalculatePreferredSize (TWinControl)
pt | CalculatePreferredSize (TCustomEdit)
pt | CanAutoSize (TControl)
 | CanFocus (TWinControl)
 | CanSetFocus (TWinControl)
pt | CanShowEmulatedTextHint (TCustomEdit)
pt | CanTab (TControl)
pt | CanTab (TWinControl)
pt | CaptureChanged (TControl)
pt | Change (TCustomEdit)
pt | ChangeBounds (TControl)
pt | Changed (TControl)
 | ChangeName (TComponent)
pt | ChangeScale (TControl)
pt | ChangeScale (TWinControl)
 | CheckChildClassAllowed (TControl)
 | CheckNewParent (TControl)
pt | CheckOnChangeBounds (TControl)
pt | ChildClassAllowed (TControl)
pt | ChildClassAllowed (TWinControl)
pt | ChildClassAllowed (TCustomEdit)
pt | ChildHandlesCreated (TWinControl)
pt | ChildKey (TWinControl)
 | ClassInfo (TObject)
 | ClassName (TObject)
 | ClassNameIs (TObject)
 | ClassParent (TObject)
 | ClassType (TObject)
 | CleanupInstance (TObject)
 | Clear (TCustomEdit)
 | ClearSelection (TCustomEdit)
pt | Click (TControl)
 | ClientRectNeedsInterfaceUpdate (TWinControl)
 | ClientToParent (TControl)
 | ClientToScreen (TControl)
pt | CMBiDiModeChanged (TControl)
pt | CMBiDiModeChanged (TWinControl)
pt | CMBorderChanged (TWinControl)
pt | CMChanged (TControl)
pt | CMCursorChanged (TControl)
pt | CMDoubleBufferedChanged (TWinControl)
pt | CMEnabledChanged (TControl)
pt | CMEnabledChanged (TWinControl)
pt | CMEnter (TWinControl)
pt | CMExit (TWinControl)
pt | CMHintShow (TControl)
pt | CMHitTest (TControl)
pt | CMMouseEnter (TControl)
pt | CMMouseLeave (TControl)
pt | CMParentBiDiModeChanged (TControl)
pt | CMParentColorChanged (TControl)
pt | CMParentDoubleBufferedChanged (TWinControl)
pt | CMParentFontChanged (TControl)
pt | CMParentShowHintChanged (TControl)
pt | CMShowHintChanged (TWinControl)
pt | CMShowingChanged (TWinControl)
pt | CMSysFontChanged (TControl)
pt | CMTextChanged (TControl)
pt | CMVisibleChanged (TControl)
pt | CMVisibleChanged (TWinControl)
pt | CMWantSpecialKey (TCustomEdit)
pt | CNChar (TWinControl)
pt | CNKeyDown (TWinControl)
pt | CNKeyUp (TWinControl)
 | CNPreferredSizeChanged (TControl)
pt | CNSysKeyDown (TWinControl)
pt | CNSysKeyUp (TWinControl)
pt | ColorIsStored (TControl)
pt | ConstrainedResize (TControl)
 | ContainsControl (TWinControl)
 | ControlAtPos (TWinControl)
pt | ControlKeyDown (TWinControl)
pt | ControlKeyUp (TWinControl)
pt | ControlsAligned (TWinControl)
 | ControlToScreen (TControl)
 | CopyToClipboard (TCustomEdit)
 | Create (TObject)
 | Create (TComponent)
 | Create (TLCLComponent)
 | Create (TControl)
 | Create (TWinControl)
 | Create (TCustomEdit)
 | Create (TCustomListViewEditor)
 | CreateAccessibleObject (TControl)
pt | CreateBrush (TWinControl)
pt | CreateControlBorderSpacing (TControl)
pt | CreateDockManager (TWinControl)
pt | CreateEmulatedTextHintFont (TCustomEdit)
pt | CreateFloatingDockSite (TControl)
pt | CreateHandle (TWinControl)
pt | CreateParams (TWinControl)
pt | CreateParams (TCustomEdit)
 | CreateParented (TWinControl)
 | CreateParentedControl (TWinControl)
pt | CreateSubClass (TWinControl)
pt | CreateWnd (TWinControl)
pt | CustomAlignInsertBefore (TWinControl)
pt | CustomAlignPosition (TWinControl)
 | CutToClipboard (TCustomEdit)
pt | DblClick (TControl)
 | DecLCLRefCount (TLCLComponent)
 | DefaultHandler (TObject)
 | DefaultHandler (TWinControl)
 | DefaultHandlerStr (TObject)
 | DefineProperties (TPersistent)
 | DefineProperties (TComponent)
pt | DefineProperties (TControl)
 | Destroy (TObject)
 | Destroy (TPersistent)
 | Destroy (TComponent)
 | Destroy (TLCLComponent)
 | Destroy (TControl)
 | Destroy (TWinControl)
 | Destroy (TCustomEdit)
 | DestroyComponents (TComponent)
pt | DestroyHandle (TWinControl)
 | Destroying (TComponent)
pt | DestroyWnd (TWinControl)
pt | DialogChar (TControl)
pt | DialogChar (TWinControl)
 | DisableAlign (TWinControl)
 | DisableAutoSizing (TControl)
 | Dispatch (TObject)
 | DispatchStr (TObject)
pt | DoAddDockClient (TWinControl)
 | DoAdjustClientRectChange (TWinControl)
pt | DoAlignChildControls (TWinControl)
pt | DoAllAutoSize (TControl)
pt | DoAllAutoSize (TWinControl)
pt | DoAutoAdjustLayout (TControl)
pt | DoAutoSize (TControl)
pt | DoAutoSize (TWinControl)
pt | DoBorderSpacingChange (TControl)
pt | DoCallKeyEventHandler (TControl)
pt | DoCallMouseWheelEventHandler (TControl)
pt | DoCallNotifyHandler (TControl)
pt | DoChildSizingChange (TWinControl)
 | Dock (TControl)
 | DockDrop (TWinControl)
 | Docked (TControl)
pt | DockOver (TWinControl)
pt | DockTrackNoTarget (TControl)
pt | DoConstraintsChange (TControl)
pt | DoConstraintsChange (TWinControl)
pt | DoContextPopup (TControl)
pt | DoDock (TControl)
pt | DoDockClientMsg (TWinControl)
pt | DoDockOver (TWinControl)
pt | DoDragMsg (TControl)
pt | DoDragMsg (TWinControl)
pt | DoEndDock (TControl)
pt | DoEndDrag (TControl)
pt | DoEnter (TWinControl)
pt | DoEnter (TCustomEdit)
pt | DoExit (TWinControl)
pt | DoExit (TCustomEdit)
pt | DoExit (TCustomListViewEditor)
pt | DoFixDesignFontPPI (TControl)
pt | DoFlipChildren (TWinControl)
pt | DoFloatMsg (TControl)
pt | DoFloatMsg (TWinControl)
pt | DoGetDockCaption (TWinControl)
pt | DoKeyDownBeforeInterface (TWinControl)
pt | DoKeyPress (TWinControl)
pt | DoKeyUpBeforeInterface (TWinControl)
pt | DoMouseWheel (TControl)
pt | DoMouseWheelDown (TControl)
pt | DoMouseWheelHorz (TControl)
pt | DoMouseWheelLeft (TControl)
pt | DoMouseWheelRight (TControl)
pt | DoMouseWheelUp (TControl)
pt | DoOnChangeBounds (TControl)
pt | DoOnParentHandleDestruction (TControl)
pt | DoOnResize (TControl)
pt | DoOnShowHint (TControl)
pt | DoRemainingKeyDown (TWinControl)
pt | DoRemainingKeyUp (TWinControl)
pt | DoRemoveDockClient (TWinControl)
pt | DoScaleFontPPI (TControl)
pt | DoSendBoundsToInterface (TWinControl)
pt | DoSendShowHideToInterface (TWinControl)
pt | DoSetBounds (TControl)
pt | DoSetBounds (TWinControl)
pt | DoStartDock (TControl)
pt | DoStartDrag (TControl)
pt | DoUnDock (TWinControl)
pt | DoUndockClientMsg (TWinControl)
pt | DoUTF8KeyPress (TWinControl)
pt | DragCanceled (TControl)
 | DragDrop (TControl)
 | Dragging (TControl)
pt | DragOver (TControl)
 | EditingDone (TControl)
pt | EditingDone (TCustomEdit)
 | EnableAlign (TWinControl)
 | EnableAutoSizing (TControl)
pt | EnabledChanged (TControl)
pt | EnabledChanging (TControl)
pt | EndAutoSizing (TControl)
 | EndDrag (TControl)
 | EndUpdateBounds (TWinControl)
 | Equals (TObject)
 | EraseBackground (TWinControl)
 | ExecuteAction (TComponent)
 | ExecuteCancelAction (TControl)
 | ExecuteDefaultAction (TControl)
 | FieldAddress (TObject)
pt | FinalizeWnd (TWinControl)
 | FindChildControl (TWinControl)
 | FindComponent (TComponent)
pt | FindNextControl (TWinControl)
 | FixDesignFontsPPI (TControl)
pt | FixupTabList (TWinControl)
 | FlipChildren (TWinControl)
 | Focused (TWinControl)
pt | FontChanged (TControl)
pt | FontChanged (TWinControl)
pt | FontChanged (TCustomEdit)
pt | ForeignAnchorSideChanged (TControl)
pt | FormEndUpdated (TControl)
pt | FormEndUpdated (TWinControl)
 | FormIsUpdating (TControl)
 | FPOAttachObserver (TPersistent)
 | FPODetachObserver (TPersistent)
 | FPONotifyObservers (TPersistent)
 | Free (TObject)
 | FreeInstance (TObject)
 | FreeNotification (TComponent)
 | FreeOnRelease (TComponent)
 | GetAccessibleObject (TControl)
pt | GetAction (TControl)
pt | GetActionLinkClass (TControl)
pt | GetAdjustedLogicalClientRect (TWinControl)
 | GetAnchorsDependingOnParent (TControl)
pt | GetBorderStyle (TWinControl)
pt | GetCachedText (TControl)
 | GetCanvasScaleFactor (TControl)
pt | GetCaretPos (TCustomEdit)
 | GetChildAccessibleObjectAtPos (TControl)
 | GetChildOwner (TComponent)
 | GetChildParent (TComponent)
 | GetChildren (TComponent)
pt | GetChildren (TWinControl)
 | GetChildrenRect (TControl)
 | GetChildrenRect (TWinControl)
pt | GetClientOrigin (TControl)
pt | GetClientOrigin (TWinControl)
pt | GetClientRect (TControl)
pt | GetClientRect (TWinControl)
pt | GetClientScrollOffset (TControl)
 | GetColorResolvingParent (TControl)
 | GetComObject (TComponent)
 | GetComponent (TComponent)
 | GetComponentCount (TComponent)
 | GetComponentIndex (TComponent)
pt | GetControlClassDefaultSize (TControl)
pt | GetControlClassDefaultSize (TCustomEdit)
 | GetControlIndex (TWinControl)
pt | GetControlOrigin (TControl)
pt | GetControlOrigin (TWinControl)
pt | GetCursor (TControl)
 | GetDefaultColor (TControl)
pt | GetDefaultDockCaption (TControl)
 | GetDefaultHeight (TControl)
 | GetDefaultWidth (TControl)
pt | GetDeviceContext (TControl)
pt | GetDeviceContext (TWinControl)
 | GetDockCaption (TWinControl)
pt | GetDockEdge (TControl)
pt | GetDragImages (TControl)
pt | GetEnabled (TControl)
 | GetEnumerator (TComponent)
 | GetEnumeratorControls (TWinControl)
 | GetEnumeratorControlsReverse (TWinControl)
pt | GetFloating (TControl)
pt | GetFloatingDockSiteClass (TControl)
 | GetHashCode (TObject)
 | GetIDsOfNames (TComponent)
 | GetInterface (TObject)
 | GetInterfaceByStr (TObject)
 | GetInterfaceEntry (TObject)
 | GetInterfaceEntryByStr (TObject)
 | GetInterfaceTable (TObject)
 | GetInterfaceWeak (TObject)
pt | GetLogicalClientRect (TControl)
pt | GetMouseCapture (TControl)
pt | GetMouseCapture (TWinControl)
pt | GetMousePosFromMessage (TControl)
 | GetNamePath (TPersistent)
 | GetNamePath (TComponent)
pt | GetNumbersOnly (TCustomEdit)
 | GetOwner (TPersistent)
 | GetOwner (TComponent)
pt | GetPalette (TControl)
pt | GetParentBackground (TWinControl)
 | GetParentComponent (TComponent)
 | GetParentComponent (TControl)
pt | GetParentHandle (TWinControl)
pt | GetPopupMenu (TControl)
 | GetPreferredSize (TControl)
pt | GetPreferredSizeClientFrame (TWinControl)
pt | GetReadOnly (TCustomEdit)
 | GetRGBColorResolvingParent (TControl)
pt | GetScrolledClientRect (TControl)
 | GetSelectedChildAccessibleObject (TControl)
pt | GetSelLength (TCustomEdit)
pt | GetSelStart (TCustomEdit)
pt | GetSelText (TCustomEdit)
 | GetSidePosition (TControl)
pt | GetSiteInfo (TWinControl)
 | GetTabOrderList (TWinControl)
 | GetTextBuf (TControl)
pt | GetTextHint (TCustomEdit)
 | GetTextLen (TControl)
 | GetTextLen (TWinControl)
 | GetTopParent (TControl)
pt | GetTopParentHandle (TWinControl)
 | GetTypeInfo (TComponent)
 | GetTypeInfoCount (TComponent)
pt | GetWSComponentClass (TLCLComponent)
 | HandleAllocated (TWinControl)
 | HandleNeeded (TWinControl)
 | HandleObjectShouldBeVisible (TControl)
 | HasHelp (TControl)
 | HasParent (TComponent)
 | HasParent (TControl)
pt | HeightIsAnchored (TControl)
 | Hide (TControl)
 | iicrGetComponent (TComponent)
 | IncLCLRefCount (TLCLComponent)
 | InheritsFrom (TObject)
pt | InitializeWnd (TWinControl)
pt | InitializeWnd (TCustomEdit)
 | InitiateAction (TControl)
 | InitInstance (TObject)
 | Insert (TComponent)
 | InsertComponent (TComponent)
 | InsertControl (TWinControl)
 | InstanceSize (TObject)
 | IntfGetDropFilesTarget (TWinControl)
 | IntfUTF8KeyPress (TWinControl)
 | Invalidate (TControl)
 | Invalidate (TWinControl)
pt | InvalidateBoundsRealized (TWinControl)
 | InvalidateClientRectCache (TWinControl)
pt | InvalidateControl (TControl)
pt | InvalidatePreferredChildSizes (TWinControl)
 | InvalidatePreferredSize (TControl)
 | Invoke (TComponent)
pt | IsAParentAligning (TControl)
pt | IsBorderSpacingInnerBorderStored (TControl)
pt | IsCaptionStored (TControl)
pt | IsClientHeightStored (TControl)
pt | IsClientHeightStored (TWinControl)
pt | IsClientWidthStored (TControl)
pt | IsClientWidthStored (TWinControl)
pt | IsControlMouseMsg (TWinControl)
 | IsControlVisible (TControl)
 | IsEnabled (TControl)
 | IsImplementorOf (TComponent)
 | IsParentColor (TControl)
 | IsParentFont (TControl)
 | IsParentOf (TControl)
 | IsProcessingPaintMsg (TControl)
 | IsRightToLeft (TControl)
 | IsVisible (TControl)
pt | KeyDown (TWinControl)
pt | KeyDownAfterInterface (TWinControl)
pt | KeyDownBeforeInterface (TWinControl)
pt | KeyPress (TWinControl)
pt | KeyUp (TWinControl)
pt | KeyUpAfterInterface (TWinControl)
pt | KeyUpAfterInterface (TCustomEdit)
pt | KeyUpBeforeInterface (TWinControl)
pt | LMCaptureChanged (TControl)
 | Loaded (TComponent)
pt | Loaded (TControl)
pt | Loaded (TWinControl)
pt | LoadedAll (TControl)
 | Loading (TComponent)
 | LockRealizeBounds (TWinControl)
pt | MainWndProc (TWinControl)
 | ManualDock (TControl)
 | ManualFloat (TControl)
 | MethodAddress (TObject)
 | MethodName (TObject)
pt | MouseDown (TControl)
pt | MouseEnter (TControl)
pt | MouseLeave (TControl)
pt | MouseMove (TControl)
pt | MouseUp (TControl)
pt | MouseUp (TCustomEdit)
 | newinstance (TObject)
 | NewInstance (TLCLComponent)
 | Notification (TComponent)
pt | Notification (TControl)
 | NotifyControls (TWinControl)
pt | PaintControls (TWinControl)
pt | PaintHandler (TWinControl)
 | PaintTo (TWinControl)
pt | PaintWindow (TWinControl)
 | PaletteCreated (TComponent)
 | ParentDestroyingHandle (TControl)
pt | ParentFontChanged (TControl)
pt | ParentFormHandleInitialized (TControl)
pt | ParentFormHandleInitialized (TWinControl)
 | ParentHandlesAllocated (TControl)
 | ParentHandlesAllocated (TWinControl)
 | ParentToClient (TControl)
 | PasteFromClipboard (TCustomEdit)
 | Perform (TControl)
 | PerformTab (TWinControl)
pt | PositionDockRect (TControl)
pt | QuadClick (TControl)
 | QueryInterface (TComponent)
 | ReadLeft (TComponent)
 | ReadState (TComponent)
pt | ReadState (TControl)
 | ReadTop (TComponent)
pt | RealGetText (TControl)
pt | RealGetText (TWinControl)
pt | RealGetText (TCustomEdit)
 | ReAlign (TWinControl)
pt | RealizeBounds (TWinControl)
pt | RealizeBoundsRecursive (TWinControl)
pt | RealSetText (TControl)
pt | RealSetText (TWinControl)
pt | RealSetText (TCustomEdit)
 | ReferenceInterface (TComponent)
 | Refresh (TControl)
pt | ReloadDockedControl (TWinControl)
 | Remove (TComponent)
 | RemoveAllHandlersOfObject (TLCLComponent)
 | RemoveAllHandlersOfObject (TControl)
 | RemoveAllHandlersOfObject (TCustomEdit)
 | RemoveComponent (TComponent)
 | RemoveControl (TWinControl)
pt | RemoveFocus (TWinControl)
 | RemoveFreeNotification (TComponent)
pt | RemoveHandler (TControl)
 | RemoveHandlerOnBeforeDestruction (TControl)
 | RemoveHandlerOnChange (TCustomEdit)
 | RemoveHandlerOnChangeBounds (TControl)
 | RemoveHandlerOnEnableChanging (TControl)
 | RemoveHandlerOnKeyDown (TControl)
 | RemoveHandlerOnMouseWheel (TControl)
 | RemoveHandlerOnResize (TControl)
 | RemoveHandlerOnVisibleChanged (TControl)
 | RemoveHandlerOnVisibleChanging (TControl)
 | RemoveNotification (TComponent)
 | Repaint (TControl)
 | Repaint (TWinControl)
 | ReplaceDockedControl (TControl)
pt | RequestAlign (TControl)
pt | Resize (TControl)
 | SafeCallException (TObject)
 | SafeCallException (TComponent)
 | Scale96ToFont (TControl)
 | Scale96ToForm (TControl)
 | Scale96ToScreen (TControl)
 | ScaleBy (TWinControl)
pt | ScaleConstraints (TControl)
pt | ScaleControls (TWinControl)
 | ScaleDesignToForm (TControl)
 | ScaleFontsPPI (TControl)
 | ScaleFontTo96 (TControl)
 | ScaleFontToScreen (TControl)
 | ScaleFormTo96 (TControl)
 | ScaleFormToDesign (TControl)
 | ScaleScreenTo96 (TControl)
 | ScaleScreenToFont (TControl)
 | ScreenToClient (TControl)
 | ScreenToControl (TControl)
 | ScrollBy (TWinControl)
 | ScrollBy_WS (TWinControl)
 | SelectAll (TCustomEdit)
pt | SelectFirst (TWinControl)
 | SelectNext (TWinControl)
pt | SendDialogChar (TWinControl)
pt | SendMoveSizeMessages (TControl)
pt | SendMoveSizeMessages (TWinControl)
 | SendToBack (TControl)
pt | SetAction (TControl)
pt | SetAlign (TControl)
 | SetAncestor (TComponent)
pt | SetAnchors (TControl)
pt | SetAutoSize (TControl)
pt | SetBiDiMode (TControl)
pt | SetBorderStyle (TWinControl)
 | SetBounds (TControl)
 | SetBounds (TWinControl)
 | SetBoundsKeepBase (TControl)
pt | SetCaretPos (TCustomEdit)
 | SetChildOrder (TComponent)
pt | SetChildZPosition (TWinControl)
pt | SetColor (TControl)
pt | SetColor (TWinControl)
 | SetComponentIndex (TComponent)
 | SetControlIndex (TWinControl)
pt | SetCursor (TControl)
 | SetDesigning (TComponent)
 | SetDesignInstance (TComponent)
pt | SetDockManager (TWinControl)
pt | SetDragMode (TControl)
pt | SetEchoMode (TCustomEdit)
pt | SetEnabled (TControl)
 | SetFocus (TWinControl)
pt | SetHint (TControl)
 | SetInitialBounds (TControl)
 | SetInline (TComponent)
 | SetName (TComponent)
pt | SetName (TControl)
pt | SetNumbersOnly (TCustomEdit)
pt | SetParent (TControl)
pt | SetParentBackground (TWinControl)
pt | SetParentBiDiMode (TControl)
 | SetParentComponent (TComponent)
pt | SetParentComponent (TControl)
pt | SetReadOnly (TCustomEdit)
 | SetReference (TComponent)
pt | SetSelLength (TCustomEdit)
pt | SetSelStart (TCustomEdit)
pt | SetSelText (TCustomEdit)
 | SetShape (TWinControl)
 | SetSubComponent (TComponent)
 | SetTempCursor (TControl)
 | SetTempCursor (TWinControl)
 | SetTextBuf (TControl)
pt | SetTextHint (TCustomEdit)
pt | SetVisible (TControl)
pt | SetZOrder (TControl)
 | ShouldAutoAdjust (TControl)
pt | ShouldAutoAdjust (TCustomEdit)
 | Show (TControl)
pt | ShowControl (TWinControl)
 | ShowHelp (TControl)
 | StringMessageTable (TObject)
pt | TextChanged (TControl)
pt | TextChanged (TCustomEdit)
 | ToString (TObject)
pt | TripleClick (TControl)
 | Undo (TCustomEdit)
 | UnitName (TObject)
 | UnlockRealizeBounds (TWinControl)
 | Update (TControl)
 | Update (TWinControl)
 | UpdateAction (TComponent)
pt | UpdateAnchorRules (TControl)
 | UpdateBaseBounds (TControl)
pt | UpdateControlState (TWinControl)
 | Updated (TComponent)
 | UpdateDockCaption (TWinControl)
pt | UpdateMouseCursor (TControl)
 | UpdateRegistry (TComponent)
 | UpdateRolesForForm (TControl)
pt | UpdateShowing (TWinControl)
 | Updating (TComponent)
 | UseRightToLeftAlignment (TControl)
 | UseRightToLeftReading (TControl)
 | UseRightToLeftScrollBar (TControl)
pt | UTF8KeyPress (TWinControl)
 | ValidateContainer (TComponent)
 | ValidateInsert (TComponent)
 | ValidateRename (TComponent)
pt | VisibleChanged (TControl)
pt | VisibleChanging (TControl)
pt | WidthIsAnchored (TControl)
pt | WMCancelMode (TControl)
pt | WMChar (TWinControl)
pt | WMChar (TCustomEdit)
pt | WMContextMenu (TControl)
pt | WMContextMenu (TWinControl)
pt | WMDestroy (TWinControl)
pt | WMEnter (TWinControl)
pt | WMEraseBkgnd (TWinControl)
pt | WMExit (TWinControl)
pt | WMKeyDown (TWinControl)
pt | WMKeyUp (TWinControl)
pt | WMKillFocus (TWinControl)
pt | WMKillFocus (TCustomEdit)
pt | WMLButtonDBLCLK (TControl)
pt | WMLButtonDown (TControl)
pt | WMLButtonQuadCLK (TControl)
pt | WMLButtonTripleCLK (TControl)
pt | WMLButtonUp (TControl)
pt | WMMButtonDBLCLK (TControl)
pt | WMMButtonDown (TControl)
pt | WMMButtonQuadCLK (TControl)
pt | WMMButtonTripleCLK (TControl)
pt | WMMButtonUp (TControl)
pt | WMMouseHWheel (TControl)
pt | WMMouseMove (TControl)
pt | WMMouseWheel (TControl)
pt | WMMove (TControl)
pt | WMMove (TWinControl)
pt | WMNotify (TWinControl)
pt | WMPaint (TWinControl)
pt | WMRButtonDBLCLK (TControl)
pt | WMRButtonDown (TControl)
pt | WMRButtonQuadCLK (TControl)
pt | WMRButtonTripleCLK (TControl)
pt | WMRButtonUp (TControl)
pt | WMSetFocus (TWinControl)
pt | WMSetFocus (TCustomEdit)
pt | WMShowWindow (TWinControl)
pt | WMSize (TControl)
pt | WMSize (TWinControl)
pt | WMSysChar (TWinControl)
pt | WMSysKeyDown (TWinControl)
pt | WMSysKeyUp (TWinControl)
pt | WMWindowPosChanged (TControl)
pt | WMWindowPosChanged (TWinControl)
pt | WMXButtonDBLCLK (TControl)
pt | WMXButtonDown (TControl)
pt | WMXButtonQuadCLK (TControl)
pt | WMXButtonTripleCLK (TControl)
pt | WMXButtonUp (TControl)
pt | WndProc (TControl)
pt | WndProc (TWinControl)
pt | WndProc (TCustomEdit)
 | WriteLayoutDebugReport (TControl)
 | WriteLayoutDebugReport (TWinControl)
 | WriteLeft (TComponent)
 | WriteState (TComponent)
 | WriteTop (TComponent)
pt | WSRegisterClass (TLCLComponent)
pt | WSRegisterClass (TControl)
pt | WSRegisterClass (TWinControl)
pt | WSRegisterClass (TCustomEdit)
pt | WSSetText (TWinControl)
 | _AddRef (TComponent)
 | _Release (TComponent)


TCustomListViewEditor
TCustomEdit
 | OnChange
TWinControl
pt | OnGetSiteInfo
pt | OnGetDockCaption
 | OnAlignInsertBefore
 | OnAlignPosition
 | OnDockDrop
 | OnDockOver
 | OnEnter
 | OnExit
 | OnKeyDown
 | OnKeyPress
 | OnKeyUp
 | OnUnDock
 | OnUTF8KeyPress
TControl
pt | OnConstrainedResize
pt | OnContextPopup
pt | OnDblClick
pt | OnTripleClick
pt | OnQuadClick
pt | OnDragDrop
pt | OnDragOver
pt | OnEndDock
pt | OnEndDrag
pt | OnMouseDown
pt | OnMouseMove
pt | OnMouseUp
pt | OnMouseEnter
pt | OnMouseLeave
pt | OnMouseWheel
pt | OnMouseWheelDown
pt | OnMouseWheelUp
pt | OnMouseWheelHorz
pt | OnMouseWheelLeft
pt | OnMouseWheelRight
pt | OnStartDock
pt | OnStartDrag
pt | OnEditingDone
 | OnChangeBounds
 | OnClick
 | OnResize
 | OnShowHint
TLCLComponent
TComponent
TPersistent
TObject


 | OnAlignInsertBefore (TWinControl)
 | OnAlignPosition (TWinControl)
 | OnChange (TCustomEdit)
 | OnChangeBounds (TControl)
 | OnClick (TControl)
pt | OnConstrainedResize (TControl)
pt | OnContextPopup (TControl)
pt | OnDblClick (TControl)
 | OnDockDrop (TWinControl)
 | OnDockOver (TWinControl)
pt | OnDragDrop (TControl)
pt | OnDragOver (TControl)
pt | OnEditingDone (TControl)
pt | OnEndDock (TControl)
pt | OnEndDrag (TControl)
 | OnEnter (TWinControl)
 | OnExit (TWinControl)
pt | OnGetDockCaption (TWinControl)
pt | OnGetSiteInfo (TWinControl)
 | OnKeyDown (TWinControl)
 | OnKeyPress (TWinControl)
 | OnKeyUp (TWinControl)
pt | OnMouseDown (TControl)
pt | OnMouseEnter (TControl)
pt | OnMouseLeave (TControl)
pt | OnMouseMove (TControl)
pt | OnMouseUp (TControl)
pt | OnMouseWheel (TControl)
pt | OnMouseWheelDown (TControl)
pt | OnMouseWheelHorz (TControl)
pt | OnMouseWheelLeft (TControl)
pt | OnMouseWheelRight (TControl)
pt | OnMouseWheelUp (TControl)
pt | OnQuadClick (TControl)
 | OnResize (TControl)
 | OnShowHint (TControl)
pt | OnStartDock (TControl)
pt | OnStartDrag (TControl)
pt | OnTripleClick (TControl)
 | OnUnDock (TWinControl)
 | OnUTF8KeyPress (TWinControl)


TCustomListViewEditor.Item

Declaration

Source position: comctrls.pp line 1366

public property TCustomListViewEditor.Item : TListItem
  read FItem
  write FItem;


TCustomPage

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

TCustomPage: The base type for Page

Declaration

Source position: comctrls.pp line 236

type TCustomPage = class(TWinControl)
protected
class procedure WSRegisterClass; override;
procedure WMPaint(); message; | Manages paint requests, handles double buffering.
procedure SetParent(); override;
property Flags: TPageFlags; [rw] |
procedure CMHitTest(); message; | Message handler for hit test.
procedure CMVisibleChanged(); message;
function GetPageIndex; virtual; | GetPageIndex - returns the index of the current page
procedure SetPageIndex(); virtual; | SetPageIndex - specifies an index for the current page
function GetTabVisible; virtual; |
function DialogChar(); override; | Do something useful with accelerators etc.
procedure DoHide; virtual; | DoHide - perform the code for the OnHide event handler
procedure DoShow; virtual; | DoShow - perform the code for the OnShow event handler
procedure DestroyHandle; override; | Destroys this and all child widgets.
procedure RealSetText(); override;
public
constructor Create(); override; | Create - constructor for TCustomPage: calls inherited Create then initialises style, visibility, alignment and caption
function CanTab; override; | If True, the Tab key can be used to navigate to this control.
function IsControlVisible; override; | True if the control is Visible, or is in design mode.
function HandleObjectShouldBeVisible; override;
function VisibleIndex; virtual; | VisibleIndex - returns the index number of a visible page
procedure CheckNewParent(); override;
property PageIndex: Integer; [rw] | PageIndex - integer index value for this page in the notebook
property TabVisible: Boolean; [rw] | TabVisible - is the Tab for this page visible?
property ImageIndex: TImageIndex; [rw] | ImageIndex - integer index value for the image associated with this page
property Left: Integer; [s] | The client coordinate of the left edge of the control.
property Top: Integer; [s] | The client coordinate of the top edge of the control.
property Width: Integer; [s] | The horizontal extent of the control.
property Height: Integer; [s] | The vertical size of the control.
property TabOrder: TTabOrder; [s] | Determines the sequence of controls, reachable when the user presses the Tab key.
property Visible: Boolean; [s] | Allows to show or hide the control, and all of its children.
property OnHide: TNotifyEvent; [rw] | OnHide - event handler for hiding this page in a notebook
property OnShow: TNotifyEvent; [rw] | OnShow - event handler for showing (making visible) this page of a notebook
end;

Inheritance

TCustomPage | TCustomPage: The base type for Page
|
TWinControl | The base class for controls which can contain other (child) controls.
|
TControl | The base class for visible controls.
|
TLCLComponent | The base class for LCL components associated with widgets.
|
TComponent,IUnknown,IInterfaceComponentReference
|
TPersistent,IFPObserved
|
TObject

Description

TCustomPage: The base type for the tabbed pages found in notebooks

See also

Multi-PageControls

Multi-PageControls - controls that offer a selection of alternative pages for display


TCustomPage
pt |  | Flags
 |  | PageIndex
 |  | TabVisible
 |  | ImageIndex
 | ro | Left
 | ro | Top
 | ro | Width
 | ro | Height
 | ro | TabOrder
 | ro | Visible
TWinControl
pt |  | WindowHandle
pt |  | BorderStyle
pt |  | ParentBackground
 |  | BorderWidth
 | ro | BoundsLockCount
 | ro | Brush
 | ro | CachedClientHeight
 | ro | CachedClientWidth
 |  | ChildSizing
 | ro | ControlCount
 | ro | Controls
 |  | DefWndProc
 | ro | DockClientCount
 | ro | DockClients
 |  | DockManager
 |  | DockSite
 |  | DoubleBuffered
 |  | Handle
 | ro | IsFlipped
 | ro | IsResizing
 |  | TabOrder
 |  | TabStop
 |  | ParentDoubleBuffered
 |  | ParentWindow
 | ro | Showing
 |  | UseDockManager
 |  | DesignerDeleting
 | ro | VisibleDockClientCount
TControl
pt | ro | AutoSizing
pt | ro | AutoSizingAll
pt | ro | AutoSizingLockCount
pt |  | ActionLink
pt |  | DesktopFont
pt |  | DragCursor
pt |  | DragKind
pt |  | DragMode
pt |  | MouseCapture
pt |  | ParentColor
pt |  | ParentFont
pt |  | ParentShowHint
pt |  | SessionProperties
pt |  | Text
 | ro | AnchoredControls
 | ro | BaseBounds
 | ro | ReadBounds
 | ro | BaseParentClientSize
 |  | AccessibleDescription
 |  | AccessibleValue
 |  | AccessibleRole
 |  | Action
 |  | Align
 |  | Anchors
 | ro | AnchorSide
 |  | AutoSize
 |  | BorderSpacing
 |  | BoundsRect
 |  | BoundsRectForNewParent
 |  | Caption
 |  | CaptureMouseButtons
 |  | ClientHeight
 | ro | ClientOrigin
 | ro | ClientRect
 |  | ClientWidth
 |  | Color
 |  | Constraints
 | ro | ControlOrigin
 |  | ControlState
 |  | ControlStyle
 |  | Enabled
 |  | Font
 |  | IsControl
 | ro | MouseEntered
 | ro | MouseInClient
 |  | Parent
 |  | PopupMenu
 |  | ShowHint
 |  | Visible
 |  | WindowProc
 |  | DockOrientation
 | ro | Floating
 |  | FloatingDockSiteClass
 |  | HostDockSite
 |  | LRDockWidth
 |  | TBDockHeight
 |  | UndockHeight
 |  | UndockWidth
 |  | BiDiMode
 |  | ParentBiDiMode
pl |  | AnchorSideLeft
pl |  | AnchorSideTop
pl |  | AnchorSideRight
pl |  | AnchorSideBottom
pl |  | Cursor
pl |  | Left
pl |  | Height
pl |  | Hint
pl |  | Top
pl |  | Width
pl |  | HelpType
pl |  | HelpKeyword
pl |  | HelpContext
TLCLComponent
 | ro | LCLRefCount
 | ro | WidgetSetClass
TComponent
 | ro | ComObject
 | ro | Components
 | ro | ComponentCount
 |  | ComponentIndex
 | ro | ComponentState
 | ro | ComponentStyle
 |  | DesignInfo
 | ro | Owner
 |  | VCLComObject
 |  | Name
 |  | Tag
TPersistent
TObject


 |  | AccessibleDescription (TControl)
 |  | AccessibleRole (TControl)
 |  | AccessibleValue (TControl)
 |  | Action (TControl)
pt |  | ActionLink (TControl)
 |  | Align (TControl)
 | ro | AnchoredControls (TControl)
 |  | Anchors (TControl)
 | ro | AnchorSide (TControl)
pl |  | AnchorSideBottom (TControl)
pl |  | AnchorSideLeft (TControl)
pl |  | AnchorSideRight (TControl)
pl |  | AnchorSideTop (TControl)
 |  | AutoSize (TControl)
pt | ro | AutoSizing (TControl)
pt | ro | AutoSizingAll (TControl)
pt | ro | AutoSizingLockCount (TControl)
 | ro | BaseBounds (TControl)
 | ro | BaseParentClientSize (TControl)
 |  | BiDiMode (TControl)
 |  | BorderSpacing (TControl)
pt |  | BorderStyle (TWinControl)
 |  | BorderWidth (TWinControl)
 | ro | BoundsLockCount (TWinControl)
 |  | BoundsRect (TControl)
 |  | BoundsRectForNewParent (TControl)
 | ro | Brush (TWinControl)
 | ro | CachedClientHeight (TWinControl)
 | ro | CachedClientWidth (TWinControl)
 |  | Caption (TControl)
 |  | CaptureMouseButtons (TControl)
 |  | ChildSizing (TWinControl)
 |  | ClientHeight (TControl)
 | ro | ClientOrigin (TControl)
 | ro | ClientRect (TControl)
 |  | ClientWidth (TControl)
 |  | Color (TControl)
 | ro | ComObject (TComponent)
 | ro | ComponentCount (TComponent)
 |  | ComponentIndex (TComponent)
 | ro | Components (TComponent)
 | ro | ComponentState (TComponent)
 | ro | ComponentStyle (TComponent)
 |  | Constraints (TControl)
 | ro | ControlCount (TWinControl)
 | ro | ControlOrigin (TControl)
 | ro | Controls (TWinControl)
 |  | ControlState (TControl)
 |  | ControlStyle (TControl)
pl |  | Cursor (TControl)
 |  | DefWndProc (TWinControl)
 |  | DesignerDeleting (TWinControl)
 |  | DesignInfo (TComponent)
pt |  | DesktopFont (TControl)
 | ro | DockClientCount (TWinControl)
 | ro | DockClients (TWinControl)
 |  | DockManager (TWinControl)
 |  | DockOrientation (TControl)
 |  | DockSite (TWinControl)
 |  | DoubleBuffered (TWinControl)
pt |  | DragCursor (TControl)
pt |  | DragKind (TControl)
pt |  | DragMode (TControl)
 |  | Enabled (TControl)
pt |  | Flags (TCustomPage)
 | ro | Floating (TControl)
 |  | FloatingDockSiteClass (TControl)
 |  | Font (TControl)
 |  | Handle (TWinControl)
pl |  | Height (TControl)
 | ro | Height (TCustomPage)
pl |  | HelpContext (TControl)
pl |  | HelpKeyword (TControl)
pl |  | HelpType (TControl)
pl |  | Hint (TControl)
 |  | HostDockSite (TControl)
 |  | ImageIndex (TCustomPage)
 |  | IsControl (TControl)
 | ro | IsFlipped (TWinControl)
 | ro | IsResizing (TWinControl)
 | ro | LCLRefCount (TLCLComponent)
pl |  | Left (TControl)
 | ro | Left (TCustomPage)
 |  | LRDockWidth (TControl)
pt |  | MouseCapture (TControl)
 | ro | MouseEntered (TControl)
 | ro | MouseInClient (TControl)
 |  | Name (TComponent)
 | ro | Owner (TComponent)
 |  | PageIndex (TCustomPage)
 |  | Parent (TControl)
pt |  | ParentBackground (TWinControl)
 |  | ParentBiDiMode (TControl)
pt |  | ParentColor (TControl)
 |  | ParentDoubleBuffered (TWinControl)
pt |  | ParentFont (TControl)
pt |  | ParentShowHint (TControl)
 |  | ParentWindow (TWinControl)
 |  | PopupMenu (TControl)
 | ro | ReadBounds (TControl)
pt |  | SessionProperties (TControl)
 |  | ShowHint (TControl)
 | ro | Showing (TWinControl)
 |  | TabOrder (TWinControl)
 | ro | TabOrder (TCustomPage)
 |  | TabStop (TWinControl)
 |  | TabVisible (TCustomPage)
 |  | Tag (TComponent)
 |  | TBDockHeight (TControl)
pt |  | Text (TControl)
pl |  | Top (TControl)
 | ro | Top (TCustomPage)
 |  | UndockHeight (TControl)
 |  | UndockWidth (TControl)
 |  | UseDockManager (TWinControl)
 |  | VCLComObject (TComponent)
 |  | Visible (TControl)
 | ro | Visible (TCustomPage)
 | ro | VisibleDockClientCount (TWinControl)
 | ro | WidgetSetClass (TLCLComponent)
pl |  | Width (TControl)
 | ro | Width (TCustomPage)
pt |  | WindowHandle (TWinControl)
 |  | WindowProc (TControl)


TCustomPage
pt | WSRegisterClass
pt | WMPaint
pt | SetParent
pt | CMHitTest
pt | CMVisibleChanged
pt | GetPageIndex
pt | SetPageIndex
pt | GetTabVisible
pt | DialogChar
pt | DoHide
pt | DoShow
pt | DestroyHandle
pt | RealSetText
 | Create
 | CanTab
 | IsControlVisible
 | HandleObjectShouldBeVisible
 | VisibleIndex
 | CheckNewParent
TWinControl
pt | WSRegisterClass
pt | AdjustClientRect
pt | GetAdjustedLogicalClientRect
pt | AlignControls
pt | CustomAlignInsertBefore
pt | CustomAlignPosition
pt | DoAlignChildControls
pt | DoChildSizingChange
pt | InvalidatePreferredChildSizes
pt | CanTab
pt | IsClientHeightStored
pt | IsClientWidthStored
pt | DoSendShowHideToInterface
pt | ControlsAligned
pt | DoSendBoundsToInterface
pt | RealizeBounds
pt | RealizeBoundsRecursive
pt | InvalidateBoundsRealized
pt | CreateSubClass
pt | DoConstraintsChange
pt | DoSetBounds
pt | DoAutoSize
pt | DoAllAutoSize
pt | AllAutoSized
pt | CalculatePreferredSize
pt | GetPreferredSizeClientFrame
pt | GetChildren
pt | ChildClassAllowed
pt | PaintControls
pt | PaintHandler
pt | PaintWindow
pt | CreateBrush
pt | ScaleControls
pt | ChangeScale
pt | CMBiDiModeChanged
pt | CMBorderChanged
pt | CMDoubleBufferedChanged
pt | CMEnabledChanged
pt | CMParentDoubleBufferedChanged
pt | CMShowingChanged
pt | CMShowHintChanged
pt | CMVisibleChanged
pt | CMEnter
pt | CMExit
pt | WMContextMenu
pt | WMEraseBkgnd
pt | WMNotify
pt | WMSetFocus
pt | WMKillFocus
pt | WMShowWindow
pt | WMEnter
pt | WMExit
pt | WMKeyDown
pt | WMSysKeyDown
pt | WMKeyUp
pt | WMSysKeyUp
pt | WMChar
pt | WMSysChar
pt | WMPaint
pt | WMDestroy
pt | WMMove
pt | WMSize
pt | WMWindowPosChanged
pt | CNKeyDown
pt | CNSysKeyDown
pt | CNKeyUp
pt | CNSysKeyUp
pt | CNChar
pt | DoDragMsg
pt | DoDockClientMsg
pt | DoUndockClientMsg
pt | DoAddDockClient
pt | DockOver
pt | DoDockOver
pt | DoRemoveDockClient
pt | DoUnDock
pt | GetSiteInfo
pt | GetParentHandle
pt | GetTopParentHandle
pt | ReloadDockedControl
pt | CreateDockManager
pt | SetDockManager
pt | DoFloatMsg
pt | DoGetDockCaption
pt | DoEnter
pt | DoExit
pt | DoKeyDownBeforeInterface
pt | DoRemainingKeyDown
pt | DoRemainingKeyUp
pt | DoKeyPress
pt | DoUTF8KeyPress
pt | DoKeyUpBeforeInterface
pt | ChildKey
pt | SendDialogChar
pt | DialogChar
pt | ControlKeyDown
pt | ControlKeyUp
pt | KeyDown
pt | KeyDownBeforeInterface
pt | KeyDownAfterInterface
pt | KeyPress
pt | KeyUp
pt | KeyUpBeforeInterface
pt | KeyUpAfterInterface
pt | UTF8KeyPress
pt | FindNextControl
pt | SelectFirst
pt | RealGetText
pt | GetBorderStyle
pt | GetClientOrigin
pt | GetClientRect
pt | GetControlOrigin
pt | GetDeviceContext
pt | GetParentBackground
pt | IsControlMouseMsg
pt | CreateHandle
pt | CreateParams
pt | CreateWnd
pt | DestroyHandle
pt | DestroyWnd
pt | DoFlipChildren
pt | FinalizeWnd
pt | FixupTabList
pt | FontChanged
pt | InitializeWnd
pt | Loaded
pt | FormEndUpdated
pt | MainWndProc
pt | ParentFormHandleInitialized
pt | ChildHandlesCreated
pt | GetMouseCapture
pt | RealSetText
pt | RemoveFocus
pt | SendMoveSizeMessages
pt | SetBorderStyle
pt | SetColor
pt | SetChildZPosition
pt | SetParentBackground
pt | ShowControl
pt | UpdateControlState
pt | UpdateShowing
pt | WndProc
pt | WSSetText
 | AutoSizePhases
 | AutoSizeDelayed
 | AutoSizeDelayedReport
 | AutoSizeDelayedHandle
 | BeginUpdateBounds
 | EndUpdateBounds
 | LockRealizeBounds
 | UnlockRealizeBounds
 | ControlAtPos
 | ContainsControl
 | DoAdjustClientRectChange
 | InvalidateClientRectCache
 | ClientRectNeedsInterfaceUpdate
 | SetBounds
 | GetChildrenRect
 | DisableAlign
 | EnableAlign
 | ReAlign
 | ScrollBy_WS
 | ScrollBy
 | WriteLayoutDebugReport
 | AutoAdjustLayout
 | Create
 | CreateParented
 | CreateParentedControl
 | Destroy
 | DockDrop
 | CanFocus
 | CanSetFocus
 | GetControlIndex
 | SetControlIndex
 | Focused
 | PerformTab
 | FindChildControl
 | SelectNext
 | SetTempCursor
 | BroadCast
 | NotifyControls
 | DefaultHandler
 | GetTextLen
 | Invalidate
 | AddControl
 | InsertControl
 | RemoveControl
 | GetEnumeratorControls
 | GetEnumeratorControlsReverse
 | Repaint
 | Update
 | SetFocus
 | FlipChildren
 | ScaleBy
 | GetDockCaption
 | UpdateDockCaption
 | GetTabOrderList
 | HandleAllocated
 | ParentHandlesAllocated
 | HandleNeeded
 | BrushCreated
 | EraseBackground
 | IntfUTF8KeyPress
 | IntfGetDropFilesTarget
 | PaintTo
 | SetShape
TControl
pt | WSRegisterClass
pt | GetCursor
pt | SetCursor
pt | SetVisible
pt | DoOnParentHandleDestruction
pt | DoAutoSize
pt | DoAllAutoSize
pt | BeginAutoSizing
pt | EndAutoSizing
pt | AnchorSideChanged
pt | ForeignAnchorSideChanged
pt | SetAlign
pt | SetAnchors
pt | SetAutoSize
pt | BoundsChanged
pt | CreateControlBorderSpacing
pt | DoConstraintsChange
pt | DoBorderSpacingChange
pt | IsBorderSpacingInnerBorderStored
pt | IsCaptionStored
pt | SendMoveSizeMessages
pt | ConstrainedResize
pt | CalculatePreferredSize
pt | DoOnResize
pt | DoOnChangeBounds
pt | CheckOnChangeBounds
pt | Resize
pt | RequestAlign
pt | UpdateAnchorRules
pt | ChangeBounds
pt | DoSetBounds
pt | ScaleConstraints
pt | ChangeScale
pt | CanAutoSize
pt | SetBiDiMode
pt | SetParentBiDiMode
pt | IsAParentAligning
pt | GetClientOrigin
pt | GetClientRect
pt | GetLogicalClientRect
pt | GetScrolledClientRect
pt | GetClientScrollOffset
pt | GetControlOrigin
pt | IsClientHeightStored
pt | IsClientWidthStored
pt | WidthIsAnchored
pt | HeightIsAnchored
pt | WMCancelMode
pt | WMContextMenu
pt | WMLButtonDown
pt | WMRButtonDown
pt | WMMButtonDown
pt | WMXButtonDown
pt | WMLButtonDBLCLK
pt | WMRButtonDBLCLK
pt | WMMButtonDBLCLK
pt | WMXButtonDBLCLK
pt | WMLButtonTripleCLK
pt | WMRButtonTripleCLK
pt | WMMButtonTripleCLK
pt | WMXButtonTripleCLK
pt | WMLButtonQuadCLK
pt | WMRButtonQuadCLK
pt | WMMButtonQuadCLK
pt | WMXButtonQuadCLK
pt | WMMouseMove
pt | WMLButtonUp
pt | WMRButtonUp
pt | WMMButtonUp
pt | WMXButtonUp
pt | WMMouseWheel
pt | WMMouseHWheel
pt | WMMove
pt | WMSize
pt | WMWindowPosChanged
pt | CMChanged
pt | LMCaptureChanged
pt | CMBiDiModeChanged
pt | CMSysFontChanged
pt | CMEnabledChanged
pt | CMHitTest
pt | CMMouseEnter
pt | CMMouseLeave
pt | CMHintShow
pt | CMParentBiDiModeChanged
pt | CMParentColorChanged
pt | CMParentFontChanged
pt | CMParentShowHintChanged
pt | CMVisibleChanged
pt | CMTextChanged
pt | CMCursorChanged
pt | CalculateDockSizes
pt | CreateFloatingDockSite
pt | GetDockEdge
pt | GetDragImages
pt | GetFloating
pt | GetFloatingDockSiteClass
pt | BeforeDragStart
pt | BeginAutoDrag
pt | DoFloatMsg
pt | DockTrackNoTarget
pt | DoDock
pt | DoDragMsg
pt | DoEndDock
pt | DoEndDrag
pt | DoStartDock
pt | DoStartDrag
pt | DragCanceled
pt | DragOver
pt | PositionDockRect
pt | SetDragMode
pt | GetDefaultDockCaption
pt | Click
pt | DblClick
pt | TripleClick
pt | QuadClick
pt | GetMousePosFromMessage
pt | MouseDown
pt | MouseMove
pt | MouseUp
pt | MouseEnter
pt | MouseLeave
pt | DialogChar
pt | UpdateMouseCursor
pt | Changed
pt | GetPalette
pt | ChildClassAllowed
pt | ReadState
pt | Loaded
pt | LoadedAll
pt | DefineProperties
pt | AssignTo
pt | FormEndUpdated
pt | InvalidateControl
pt | FontChanged
pt | ParentFontChanged
pt | GetAction
pt | RealGetText
pt | RealSetText
pt | TextChanged
pt | GetCachedText
pt | SetAction
pt | SetColor
pt | SetEnabled
pt | SetHint
pt | SetName
pt | SetParent
pt | SetParentComponent
pt | WndProc
pt | ParentFormHandleInitialized
pt | GetMouseCapture
pt | CaptureChanged
pt | Notification
pt | CanTab
pt | GetDeviceContext
pt | GetEnabled
pt | GetPopupMenu
pt | DoOnShowHint
pt | DoMouseWheel
pt | DoMouseWheelDown
pt | DoMouseWheelUp
pt | DoMouseWheelHorz
pt | DoMouseWheelLeft
pt | DoMouseWheelRight
pt | VisibleChanging
pt | VisibleChanged
pt | EnabledChanging
pt | EnabledChanged
pt | AddHandler
pt | RemoveHandler
pt | DoCallNotifyHandler
pt | DoCallKeyEventHandler
pt | DoCallMouseWheelEventHandler
pt | DoContextPopup
pt | SetZOrder
pt | GetControlClassDefaultSize
pt | ColorIsStored
pt | DoAutoAdjustLayout
pt | DoFixDesignFontPPI
pt | DoScaleFontPPI
pt | GetActionLinkClass
pt | ActionChange
 | DragDrop
 | Dock
 | ManualDock
 | ManualFloat
 | ReplaceDockedControl
 | Docked
 | Dragging
 | GetAccessibleObject
 | CreateAccessibleObject
 | GetSelectedChildAccessibleObject
 | GetChildAccessibleObjectAtPos
 | ScaleDesignToForm
 | ScaleFormToDesign
 | Scale96ToForm
 | ScaleFormTo96
 | Scale96ToFont
 | ScaleFontTo96
 | ScaleScreenToFont
 | ScaleFontToScreen
 | Scale96ToScreen
 | ScaleScreenTo96
 | AdjustSize
 | AutoSizePhases
 | AutoSizeDelayed
 | AutoSizeDelayedReport
 | AutoSizeDelayedHandle
 | AnchorToNeighbour
 | AnchorParallel
 | AnchorHorizontalCenterTo
 | AnchorVerticalCenterTo
 | AnchorToCompanion
 | AnchorSame
 | AnchorAsAlign
 | AnchorClient
 | AnchoredControlCount
 | SetBounds
 | SetInitialBounds
 | SetBoundsKeepBase
 | GetPreferredSize
 | GetCanvasScaleFactor
 | GetDefaultWidth
 | GetDefaultHeight
 | GetDefaultColor
 | GetColorResolvingParent
 | GetRGBColorResolvingParent
 | GetSidePosition
 | CNPreferredSizeChanged
 | InvalidatePreferredSize
 | GetAnchorsDependingOnParent
 | DisableAutoSizing
 | EnableAutoSizing
 | UpdateBaseBounds
 | WriteLayoutDebugReport
 | AutoAdjustLayout
 | ShouldAutoAdjust
 | FixDesignFontsPPI
 | ScaleFontsPPI
 | Create
 | Destroy
 | BeforeDestruction
 | EditingDone
 | ExecuteDefaultAction
 | ExecuteCancelAction
 | BeginDrag
 | EndDrag
 | BringToFront
 | HasParent
 | GetParentComponent
 | IsParentOf
 | GetTopParent
 | IsVisible
 | IsControlVisible
 | IsEnabled
 | IsParentColor
 | IsParentFont
 | FormIsUpdating
 | IsProcessingPaintMsg
 | Hide
 | Refresh
 | Repaint
 | Invalidate
 | CheckChildClassAllowed
 | CheckNewParent
 | SendToBack
 | SetTempCursor
 | UpdateRolesForForm
 | ActiveDefaultControlChanged
 | GetTextBuf
 | GetTextLen
 | SetTextBuf
 | Perform
 | ScreenToClient
 | ClientToScreen
 | ScreenToControl
 | ControlToScreen
 | ClientToParent
 | ParentToClient
 | GetChildrenRect
 | Show
 | Update
 | HandleObjectShouldBeVisible
 | ParentDestroyingHandle
 | ParentHandlesAllocated
 | InitiateAction
 | ShowHelp
 | HasHelp
 | RemoveAllHandlersOfObject
 | AddHandlerOnResize
 | RemoveHandlerOnResize
 | AddHandlerOnChangeBounds
 | RemoveHandlerOnChangeBounds
 | AddHandlerOnVisibleChanging
 | RemoveHandlerOnVisibleChanging
 | AddHandlerOnVisibleChanged
 | RemoveHandlerOnVisibleChanged
 | AddHandlerOnEnabledChanged
 | RemoveHandlerOnEnableChanging
 | AddHandlerOnKeyDown
 | RemoveHandlerOnKeyDown
 | AddHandlerOnBeforeDestruction
 | RemoveHandlerOnBeforeDestruction
 | AddHandlerOnMouseWheel
 | RemoveHandlerOnMouseWheel
 | UseRightToLeftAlignment
 | UseRightToLeftReading
 | UseRightToLeftScrollBar
 | IsRightToLeft
TLCLComponent
pt | WSRegisterClass
pt | GetWSComponentClass
 | Create
 | Destroy
 | NewInstance
 | RemoveAllHandlersOfObject
 | IncLCLRefCount
 | DecLCLRefCount
TComponent
 | GetComObject
 | GetComponent
 | GetComponentCount
 | GetComponentIndex
 | Insert
 | ReadLeft
 | ReadTop
 | Remove
 | RemoveNotification
 | SetComponentIndex
 | SetReference
 | WriteLeft
 | WriteTop
 | ChangeName
 | DefineProperties
 | GetChildren
 | GetChildOwner
 | GetChildParent
 | GetOwner
 | Loaded
 | Loading
 | Notification
 | PaletteCreated
 | ReadState
 | SetAncestor
 | SetDesigning
 | SetDesignInstance
 | SetInline
 | SetName
 | SetChildOrder
 | SetParentComponent
 | Updating
 | Updated
 | UpdateRegistry
 | ValidateRename
 | ValidateContainer
 | ValidateInsert
 | QueryInterface
 | _AddRef
 | _Release
 | iicrGetComponent
 | GetTypeInfoCount
 | GetTypeInfo
 | GetIDsOfNames
 | Invoke
 | WriteState
 | Create
 | Destroy
 | BeforeDestruction
 | DestroyComponents
 | Destroying
 | ExecuteAction
 | FindComponent
 | FreeNotification
 | RemoveFreeNotification
 | FreeOnRelease
 | GetEnumerator
 | GetNamePath
 | GetParentComponent
 | HasParent
 | InsertComponent
 | RemoveComponent
 | SafeCallException
 | SetSubComponent
 | UpdateAction
 | IsImplementorOf
 | ReferenceInterface
TPersistent
 | AssignError
 | AssignTo
 | DefineProperties
 | GetOwner
 | Destroy
 | Assign
 | FPOAttachObserver
 | FPODetachObserver
 | FPONotifyObservers
 | GetNamePath
TObject
 | Create
 | Destroy
 | newinstance
 | FreeInstance
 | SafeCallException
 | DefaultHandler
 | Free
 | InitInstance
 | CleanupInstance
 | ClassType
 | ClassInfo
 | ClassName
 | ClassNameIs
 | ClassParent
 | InstanceSize
 | InheritsFrom
 | StringMessageTable
 | MethodAddress
 | MethodName
 | FieldAddress
 | AfterConstruction
 | BeforeDestruction
 | DefaultHandlerStr
 | Dispatch
 | DispatchStr
 | GetInterface
 | GetInterfaceByStr
 | GetInterfaceWeak
 | GetInterfaceEntry
 | GetInterfaceEntryByStr
 | GetInterfaceTable
 | UnitName
 | Equals
 | GetHashCode
 | ToString


pt | ActionChange (TControl)
 | ActiveDefaultControlChanged (TControl)
 | AddControl (TWinControl)
pt | AddHandler (TControl)
 | AddHandlerOnBeforeDestruction (TControl)
 | AddHandlerOnChangeBounds (TControl)
 | AddHandlerOnEnabledChanged (TControl)
 | AddHandlerOnKeyDown (TControl)
 | AddHandlerOnMouseWheel (TControl)
 | AddHandlerOnResize (TControl)
 | AddHandlerOnVisibleChanged (TControl)
 | AddHandlerOnVisibleChanging (TControl)
pt | AdjustClientRect (TWinControl)
 | AdjustSize (TControl)
 | AfterConstruction (TObject)
pt | AlignControls (TWinControl)
pt | AllAutoSized (TWinControl)
 | AnchorAsAlign (TControl)
 | AnchorClient (TControl)
 | AnchoredControlCount (TControl)
 | AnchorHorizontalCenterTo (TControl)
 | AnchorParallel (TControl)
 | AnchorSame (TControl)
pt | AnchorSideChanged (TControl)
 | AnchorToCompanion (TControl)
 | AnchorToNeighbour (TControl)
 | AnchorVerticalCenterTo (TControl)
 | Assign (TPersistent)
 | AssignError (TPersistent)
 | AssignTo (TPersistent)
pt | AssignTo (TControl)
 | AutoAdjustLayout (TControl)
 | AutoAdjustLayout (TWinControl)
 | AutoSizeDelayed (TControl)
 | AutoSizeDelayed (TWinControl)
 | AutoSizeDelayedHandle (TControl)
 | AutoSizeDelayedHandle (TWinControl)
 | AutoSizeDelayedReport (TControl)
 | AutoSizeDelayedReport (TWinControl)
 | AutoSizePhases (TControl)
 | AutoSizePhases (TWinControl)
 | BeforeDestruction (TObject)
 | BeforeDestruction (TComponent)
 | BeforeDestruction (TControl)
pt | BeforeDragStart (TControl)
pt | BeginAutoDrag (TControl)
pt | BeginAutoSizing (TControl)
 | BeginDrag (TControl)
 | BeginUpdateBounds (TWinControl)
pt | BoundsChanged (TControl)
 | BringToFront (TControl)
 | BroadCast (TWinControl)
 | BrushCreated (TWinControl)
pt | CalculateDockSizes (TControl)
pt | CalculatePreferredSize (TControl)
pt | CalculatePreferredSize (TWinControl)
pt | CanAutoSize (TControl)
 | CanFocus (TWinControl)
 | CanSetFocus (TWinControl)
pt | CanTab (TControl)
pt | CanTab (TWinControl)
 | CanTab (TCustomPage)
pt | CaptureChanged (TControl)
pt | ChangeBounds (TControl)
pt | Changed (TControl)
 | ChangeName (TComponent)
pt | ChangeScale (TControl)
pt | ChangeScale (TWinControl)
 | CheckChildClassAllowed (TControl)
 | CheckNewParent (TControl)
 | CheckNewParent (TCustomPage)
pt | CheckOnChangeBounds (TControl)
pt | ChildClassAllowed (TControl)
pt | ChildClassAllowed (TWinControl)
pt | ChildHandlesCreated (TWinControl)
pt | ChildKey (TWinControl)
 | ClassInfo (TObject)
 | ClassName (TObject)
 | ClassNameIs (TObject)
 | ClassParent (TObject)
 | ClassType (TObject)
 | CleanupInstance (TObject)
pt | Click (TControl)
 | ClientRectNeedsInterfaceUpdate (TWinControl)
 | ClientToParent (TControl)
 | ClientToScreen (TControl)
pt | CMBiDiModeChanged (TControl)
pt | CMBiDiModeChanged (TWinControl)
pt | CMBorderChanged (TWinControl)
pt | CMChanged (TControl)
pt | CMCursorChanged (TControl)
pt | CMDoubleBufferedChanged (TWinControl)
pt | CMEnabledChanged (TControl)
pt | CMEnabledChanged (TWinControl)
pt | CMEnter (TWinControl)
pt | CMExit (TWinControl)
pt | CMHintShow (TControl)
pt | CMHitTest (TControl)
pt | CMHitTest (TCustomPage)
pt | CMMouseEnter (TControl)
pt | CMMouseLeave (TControl)
pt | CMParentBiDiModeChanged (TControl)
pt | CMParentColorChanged (TControl)
pt | CMParentDoubleBufferedChanged (TWinControl)
pt | CMParentFontChanged (TControl)
pt | CMParentShowHintChanged (TControl)
pt | CMShowHintChanged (TWinControl)
pt | CMShowingChanged (TWinControl)
pt | CMSysFontChanged (TControl)
pt | CMTextChanged (TControl)
pt | CMVisibleChanged (TControl)
pt | CMVisibleChanged (TWinControl)
pt | CMVisibleChanged (TCustomPage)
pt | CNChar (TWinControl)
pt | CNKeyDown (TWinControl)
pt | CNKeyUp (TWinControl)
 | CNPreferredSizeChanged (TControl)
pt | CNSysKeyDown (TWinControl)
pt | CNSysKeyUp (TWinControl)
pt | ColorIsStored (TControl)
pt | ConstrainedResize (TControl)
 | ContainsControl (TWinControl)
 | ControlAtPos (TWinControl)
pt | ControlKeyDown (TWinControl)
pt | ControlKeyUp (TWinControl)
pt | ControlsAligned (TWinControl)
 | ControlToScreen (TControl)
 | Create (TObject)
 | Create (TComponent)
 | Create (TLCLComponent)
 | Create (TControl)
 | Create (TWinControl)
 | Create (TCustomPage)
 | CreateAccessibleObject (TControl)
pt | CreateBrush (TWinControl)
pt | CreateControlBorderSpacing (TControl)
pt | CreateDockManager (TWinControl)
pt | CreateFloatingDockSite (TControl)
pt | CreateHandle (TWinControl)
pt | CreateParams (TWinControl)
 | CreateParented (TWinControl)
 | CreateParentedControl (TWinControl)
pt | CreateSubClass (TWinControl)
pt | CreateWnd (TWinControl)
pt | CustomAlignInsertBefore (TWinControl)
pt | CustomAlignPosition (TWinControl)
pt | DblClick (TControl)
 | DecLCLRefCount (TLCLComponent)
 | DefaultHandler (TObject)
 | DefaultHandler (TWinControl)
 | DefaultHandlerStr (TObject)
 | DefineProperties (TPersistent)
 | DefineProperties (TComponent)
pt | DefineProperties (TControl)
 | Destroy (TObject)
 | Destroy (TPersistent)
 | Destroy (TComponent)
 | Destroy (TLCLComponent)
 | Destroy (TControl)
 | Destroy (TWinControl)
 | DestroyComponents (TComponent)
pt | DestroyHandle (TWinControl)
pt | DestroyHandle (TCustomPage)
 | Destroying (TComponent)
pt | DestroyWnd (TWinControl)
pt | DialogChar (TControl)
pt | DialogChar (TWinControl)
pt | DialogChar (TCustomPage)
 | DisableAlign (TWinControl)
 | DisableAutoSizing (TControl)
 | Dispatch (TObject)
 | DispatchStr (TObject)
pt | DoAddDockClient (TWinControl)
 | DoAdjustClientRectChange (TWinControl)
pt | DoAlignChildControls (TWinControl)
pt | DoAllAutoSize (TControl)
pt | DoAllAutoSize (TWinControl)
pt | DoAutoAdjustLayout (TControl)
pt | DoAutoSize (TControl)
pt | DoAutoSize (TWinControl)
pt | DoBorderSpacingChange (TControl)
pt | DoCallKeyEventHandler (TControl)
pt | DoCallMouseWheelEventHandler (TControl)
pt | DoCallNotifyHandler (TControl)
pt | DoChildSizingChange (TWinControl)
 | Dock (TControl)
 | DockDrop (TWinControl)
 | Docked (TControl)
pt | DockOver (TWinControl)
pt | DockTrackNoTarget (TControl)
pt | DoConstraintsChange (TControl)
pt | DoConstraintsChange (TWinControl)
pt | DoContextPopup (TControl)
pt | DoDock (TControl)
pt | DoDockClientMsg (TWinControl)
pt | DoDockOver (TWinControl)
pt | DoDragMsg (TControl)
pt | DoDragMsg (TWinControl)
pt | DoEndDock (TControl)
pt | DoEndDrag (TControl)
pt | DoEnter (TWinControl)
pt | DoExit (TWinControl)
pt | DoFixDesignFontPPI (TControl)
pt | DoFlipChildren (TWinControl)
pt | DoFloatMsg (TControl)
pt | DoFloatMsg (TWinControl)
pt | DoGetDockCaption (TWinControl)
pt | DoHide (TCustomPage)
pt | DoKeyDownBeforeInterface (TWinControl)
pt | DoKeyPress (TWinControl)
pt | DoKeyUpBeforeInterface (TWinControl)
pt | DoMouseWheel (TControl)
pt | DoMouseWheelDown (TControl)
pt | DoMouseWheelHorz (TControl)
pt | DoMouseWheelLeft (TControl)
pt | DoMouseWheelRight (TControl)
pt | DoMouseWheelUp (TControl)
pt | DoOnChangeBounds (TControl)
pt | DoOnParentHandleDestruction (TControl)
pt | DoOnResize (TControl)
pt | DoOnShowHint (TControl)
pt | DoRemainingKeyDown (TWinControl)
pt | DoRemainingKeyUp (TWinControl)
pt | DoRemoveDockClient (TWinControl)
pt | DoScaleFontPPI (TControl)
pt | DoSendBoundsToInterface (TWinControl)
pt | DoSendShowHideToInterface (TWinControl)
pt | DoSetBounds (TControl)
pt | DoSetBounds (TWinControl)
pt | DoShow (TCustomPage)
pt | DoStartDock (TControl)
pt | DoStartDrag (TControl)
pt | DoUnDock (TWinControl)
pt | DoUndockClientMsg (TWinControl)
pt | DoUTF8KeyPress (TWinControl)
pt | DragCanceled (TControl)
 | DragDrop (TControl)
 | Dragging (TControl)
pt | DragOver (TControl)
 | EditingDone (TControl)
 | EnableAlign (TWinControl)
 | EnableAutoSizing (TControl)
pt | EnabledChanged (TControl)
pt | EnabledChanging (TControl)
pt | EndAutoSizing (TControl)
 | EndDrag (TControl)
 | EndUpdateBounds (TWinControl)
 | Equals (TObject)
 | EraseBackground (TWinControl)
 | ExecuteAction (TComponent)
 | ExecuteCancelAction (TControl)
 | ExecuteDefaultAction (TControl)
 | FieldAddress (TObject)
pt | FinalizeWnd (TWinControl)
 | FindChildControl (TWinControl)
 | FindComponent (TComponent)
pt | FindNextControl (TWinControl)
 | FixDesignFontsPPI (TControl)
pt | FixupTabList (TWinControl)
 | FlipChildren (TWinControl)
 | Focused (TWinControl)
pt | FontChanged (TControl)
pt | FontChanged (TWinControl)
pt | ForeignAnchorSideChanged (TControl)
pt | FormEndUpdated (TControl)
pt | FormEndUpdated (TWinControl)
 | FormIsUpdating (TControl)
 | FPOAttachObserver (TPersistent)
 | FPODetachObserver (TPersistent)
 | FPONotifyObservers (TPersistent)
 | Free (TObject)
 | FreeInstance (TObject)
 | FreeNotification (TComponent)
 | FreeOnRelease (TComponent)
 | GetAccessibleObject (TControl)
pt | GetAction (TControl)
pt | GetActionLinkClass (TControl)
pt | GetAdjustedLogicalClientRect (TWinControl)
 | GetAnchorsDependingOnParent (TControl)
pt | GetBorderStyle (TWinControl)
pt | GetCachedText (TControl)
 | GetCanvasScaleFactor (TControl)
 | GetChildAccessibleObjectAtPos (TControl)
 | GetChildOwner (TComponent)
 | GetChildParent (TComponent)
 | GetChildren (TComponent)
pt | GetChildren (TWinControl)
 | GetChildrenRect (TControl)
 | GetChildrenRect (TWinControl)
pt | GetClientOrigin (TControl)
pt | GetClientOrigin (TWinControl)
pt | GetClientRect (TControl)
pt | GetClientRect (TWinControl)
pt | GetClientScrollOffset (TControl)
 | GetColorResolvingParent (TControl)
 | GetComObject (TComponent)
 | GetComponent (TComponent)
 | GetComponentCount (TComponent)
 | GetComponentIndex (TComponent)
pt | GetControlClassDefaultSize (TControl)
 | GetControlIndex (TWinControl)
pt | GetControlOrigin (TControl)
pt | GetControlOrigin (TWinControl)
pt | GetCursor (TControl)
 | GetDefaultColor (TControl)
pt | GetDefaultDockCaption (TControl)
 | GetDefaultHeight (TControl)
 | GetDefaultWidth (TControl)
pt | GetDeviceContext (TControl)
pt | GetDeviceContext (TWinControl)
 | GetDockCaption (TWinControl)
pt | GetDockEdge (TControl)
pt | GetDragImages (TControl)
pt | GetEnabled (TControl)
 | GetEnumerator (TComponent)
 | GetEnumeratorControls (TWinControl)
 | GetEnumeratorControlsReverse (TWinControl)
pt | GetFloating (TControl)
pt | GetFloatingDockSiteClass (TControl)
 | GetHashCode (TObject)
 | GetIDsOfNames (TComponent)
 | GetInterface (TObject)
 | GetInterfaceByStr (TObject)
 | GetInterfaceEntry (TObject)
 | GetInterfaceEntryByStr (TObject)
 | GetInterfaceTable (TObject)
 | GetInterfaceWeak (TObject)
pt | GetLogicalClientRect (TControl)
pt | GetMouseCapture (TControl)
pt | GetMouseCapture (TWinControl)
pt | GetMousePosFromMessage (TControl)
 | GetNamePath (TPersistent)
 | GetNamePath (TComponent)
 | GetOwner (TPersistent)
 | GetOwner (TComponent)
pt | GetPageIndex (TCustomPage)
pt | GetPalette (TControl)
pt | GetParentBackground (TWinControl)
 | GetParentComponent (TComponent)
 | GetParentComponent (TControl)
pt | GetParentHandle (TWinControl)
pt | GetPopupMenu (TControl)
 | GetPreferredSize (TControl)
pt | GetPreferredSizeClientFrame (TWinControl)
 | GetRGBColorResolvingParent (TControl)
pt | GetScrolledClientRect (TControl)
 | GetSelectedChildAccessibleObject (TControl)
 | GetSidePosition (TControl)
pt | GetSiteInfo (TWinControl)
 | GetTabOrderList (TWinControl)
pt | GetTabVisible (TCustomPage)
 | GetTextBuf (TControl)
 | GetTextLen (TControl)
 | GetTextLen (TWinControl)
 | GetTopParent (TControl)
pt | GetTopParentHandle (TWinControl)
 | GetTypeInfo (TComponent)
 | GetTypeInfoCount (TComponent)
pt | GetWSComponentClass (TLCLComponent)
 | HandleAllocated (TWinControl)
 | HandleNeeded (TWinControl)
 | HandleObjectShouldBeVisible (TControl)
 | HandleObjectShouldBeVisible (TCustomPage)
 | HasHelp (TControl)
 | HasParent (TComponent)
 | HasParent (TControl)
pt | HeightIsAnchored (TControl)
 | Hide (TControl)
 | iicrGetComponent (TComponent)
 | IncLCLRefCount (TLCLComponent)
 | InheritsFrom (TObject)
pt | InitializeWnd (TWinControl)
 | InitiateAction (TControl)
 | InitInstance (TObject)
 | Insert (TComponent)
 | InsertComponent (TComponent)
 | InsertControl (TWinControl)
 | InstanceSize (TObject)
 | IntfGetDropFilesTarget (TWinControl)
 | IntfUTF8KeyPress (TWinControl)
 | Invalidate (TControl)
 | Invalidate (TWinControl)
pt | InvalidateBoundsRealized (TWinControl)
 | InvalidateClientRectCache (TWinControl)
pt | InvalidateControl (TControl)
pt | InvalidatePreferredChildSizes (TWinControl)
 | InvalidatePreferredSize (TControl)
 | Invoke (TComponent)
pt | IsAParentAligning (TControl)
pt | IsBorderSpacingInnerBorderStored (TControl)
pt | IsCaptionStored (TControl)
pt | IsClientHeightStored (TControl)
pt | IsClientHeightStored (TWinControl)
pt | IsClientWidthStored (TControl)
pt | IsClientWidthStored (TWinControl)
pt | IsControlMouseMsg (TWinControl)
 | IsControlVisible (TControl)
 | IsControlVisible (TCustomPage)
 | IsEnabled (TControl)
 | IsImplementorOf (TComponent)
 | IsParentColor (TControl)
 | IsParentFont (TControl)
 | IsParentOf (TControl)
 | IsProcessingPaintMsg (TControl)
 | IsRightToLeft (TControl)
 | IsVisible (TControl)
pt | KeyDown (TWinControl)
pt | KeyDownAfterInterface (TWinControl)
pt | KeyDownBeforeInterface (TWinControl)
pt | KeyPress (TWinControl)
pt | KeyUp (TWinControl)
pt | KeyUpAfterInterface (TWinControl)
pt | KeyUpBeforeInterface (TWinControl)
pt | LMCaptureChanged (TControl)
 | Loaded (TComponent)
pt | Loaded (TControl)
pt | Loaded (TWinControl)
pt | LoadedAll (TControl)
 | Loading (TComponent)
 | LockRealizeBounds (TWinControl)
pt | MainWndProc (TWinControl)
 | ManualDock (TControl)
 | ManualFloat (TControl)
 | MethodAddress (TObject)
 | MethodName (TObject)
pt | MouseDown (TControl)
pt | MouseEnter (TControl)
pt | MouseLeave (TControl)
pt | MouseMove (TControl)
pt | MouseUp (TControl)
 | newinstance (TObject)
 | NewInstance (TLCLComponent)
 | Notification (TComponent)
pt | Notification (TControl)
 | NotifyControls (TWinControl)
pt | PaintControls (TWinControl)
pt | PaintHandler (TWinControl)
 | PaintTo (TWinControl)
pt | PaintWindow (TWinControl)
 | PaletteCreated (TComponent)
 | ParentDestroyingHandle (TControl)
pt | ParentFontChanged (TControl)
pt | ParentFormHandleInitialized (TControl)
pt | ParentFormHandleInitialized (TWinControl)
 | ParentHandlesAllocated (TControl)
 | ParentHandlesAllocated (TWinControl)
 | ParentToClient (TControl)
 | Perform (TControl)
 | PerformTab (TWinControl)
pt | PositionDockRect (TControl)
pt | QuadClick (TControl)
 | QueryInterface (TComponent)
 | ReadLeft (TComponent)
 | ReadState (TComponent)
pt | ReadState (TControl)
 | ReadTop (TComponent)
pt | RealGetText (TControl)
pt | RealGetText (TWinControl)
 | ReAlign (TWinControl)
pt | RealizeBounds (TWinControl)
pt | RealizeBoundsRecursive (TWinControl)
pt | RealSetText (TControl)
pt | RealSetText (TWinControl)
pt | RealSetText (TCustomPage)
 | ReferenceInterface (TComponent)
 | Refresh (TControl)
pt | ReloadDockedControl (TWinControl)
 | Remove (TComponent)
 | RemoveAllHandlersOfObject (TLCLComponent)
 | RemoveAllHandlersOfObject (TControl)
 | RemoveComponent (TComponent)
 | RemoveControl (TWinControl)
pt | RemoveFocus (TWinControl)
 | RemoveFreeNotification (TComponent)
pt | RemoveHandler (TControl)
 | RemoveHandlerOnBeforeDestruction (TControl)
 | RemoveHandlerOnChangeBounds (TControl)
 | RemoveHandlerOnEnableChanging (TControl)
 | RemoveHandlerOnKeyDown (TControl)
 | RemoveHandlerOnMouseWheel (TControl)
 | RemoveHandlerOnResize (TControl)
 | RemoveHandlerOnVisibleChanged (TControl)
 | RemoveHandlerOnVisibleChanging (TControl)
 | RemoveNotification (TComponent)
 | Repaint (TControl)
 | Repaint (TWinControl)
 | ReplaceDockedControl (TControl)
pt | RequestAlign (TControl)
pt | Resize (TControl)
 | SafeCallException (TObject)
 | SafeCallException (TComponent)
 | Scale96ToFont (TControl)
 | Scale96ToForm (TControl)
 | Scale96ToScreen (TControl)
 | ScaleBy (TWinControl)
pt | ScaleConstraints (TControl)
pt | ScaleControls (TWinControl)
 | ScaleDesignToForm (TControl)
 | ScaleFontsPPI (TControl)
 | ScaleFontTo96 (TControl)
 | ScaleFontToScreen (TControl)
 | ScaleFormTo96 (TControl)
 | ScaleFormToDesign (TControl)
 | ScaleScreenTo96 (TControl)
 | ScaleScreenToFont (TControl)
 | ScreenToClient (TControl)
 | ScreenToControl (TControl)
 | ScrollBy (TWinControl)
 | ScrollBy_WS (TWinControl)
pt | SelectFirst (TWinControl)
 | SelectNext (TWinControl)
pt | SendDialogChar (TWinControl)
pt | SendMoveSizeMessages (TControl)
pt | SendMoveSizeMessages (TWinControl)
 | SendToBack (TControl)
pt | SetAction (TControl)
pt | SetAlign (TControl)
 | SetAncestor (TComponent)
pt | SetAnchors (TControl)
pt | SetAutoSize (TControl)
pt | SetBiDiMode (TControl)
pt | SetBorderStyle (TWinControl)
 | SetBounds (TControl)
 | SetBounds (TWinControl)
 | SetBoundsKeepBase (TControl)
 | SetChildOrder (TComponent)
pt | SetChildZPosition (TWinControl)
pt | SetColor (TControl)
pt | SetColor (TWinControl)
 | SetComponentIndex (TComponent)
 | SetControlIndex (TWinControl)
pt | SetCursor (TControl)
 | SetDesigning (TComponent)
 | SetDesignInstance (TComponent)
pt | SetDockManager (TWinControl)
pt | SetDragMode (TControl)
pt | SetEnabled (TControl)
 | SetFocus (TWinControl)
pt | SetHint (TControl)
 | SetInitialBounds (TControl)
 | SetInline (TComponent)
 | SetName (TComponent)
pt | SetName (TControl)
pt | SetPageIndex (TCustomPage)
pt | SetParent (TControl)
pt | SetParent (TCustomPage)
pt | SetParentBackground (TWinControl)
pt | SetParentBiDiMode (TControl)
 | SetParentComponent (TComponent)
pt | SetParentComponent (TControl)
 | SetReference (TComponent)
 | SetShape (TWinControl)
 | SetSubComponent (TComponent)
 | SetTempCursor (TControl)
 | SetTempCursor (TWinControl)
 | SetTextBuf (TControl)
pt | SetVisible (TControl)
pt | SetZOrder (TControl)
 | ShouldAutoAdjust (TControl)
 | Show (TControl)
pt | ShowControl (TWinControl)
 | ShowHelp (TControl)
 | StringMessageTable (TObject)
pt | TextChanged (TControl)
 | ToString (TObject)
pt | TripleClick (TControl)
 | UnitName (TObject)
 | UnlockRealizeBounds (TWinControl)
 | Update (TControl)
 | Update (TWinControl)
 | UpdateAction (TComponent)
pt | UpdateAnchorRules (TControl)
 | UpdateBaseBounds (TControl)
pt | UpdateControlState (TWinControl)
 | Updated (TComponent)
 | UpdateDockCaption (TWinControl)
pt | UpdateMouseCursor (TControl)
 | UpdateRegistry (TComponent)
 | UpdateRolesForForm (TControl)
pt | UpdateShowing (TWinControl)
 | Updating (TComponent)
 | UseRightToLeftAlignment (TControl)
 | UseRightToLeftReading (TControl)
 | UseRightToLeftScrollBar (TControl)
pt | UTF8KeyPress (TWinControl)
 | ValidateContainer (TComponent)
 | ValidateInsert (TComponent)
 | ValidateRename (TComponent)
pt | VisibleChanged (TControl)
pt | VisibleChanging (TControl)
 | VisibleIndex (TCustomPage)
pt | WidthIsAnchored (TControl)
pt | WMCancelMode (TControl)
pt | WMChar (TWinControl)
pt | WMContextMenu (TControl)
pt | WMContextMenu (TWinControl)
pt | WMDestroy (TWinControl)
pt | WMEnter (TWinControl)
pt | WMEraseBkgnd (TWinControl)
pt | WMExit (TWinControl)
pt | WMKeyDown (TWinControl)
pt | WMKeyUp (TWinControl)
pt | WMKillFocus (TWinControl)
pt | WMLButtonDBLCLK (TControl)
pt | WMLButtonDown (TControl)
pt | WMLButtonQuadCLK (TControl)
pt | WMLButtonTripleCLK (TControl)
pt | WMLButtonUp (TControl)
pt | WMMButtonDBLCLK (TControl)
pt | WMMButtonDown (TControl)
pt | WMMButtonQuadCLK (TControl)
pt | WMMButtonTripleCLK (TControl)
pt | WMMButtonUp (TControl)
pt | WMMouseHWheel (TControl)
pt | WMMouseMove (TControl)
pt | WMMouseWheel (TControl)
pt | WMMove (TControl)
pt | WMMove (TWinControl)
pt | WMNotify (TWinControl)
pt | WMPaint (TWinControl)
pt | WMPaint (TCustomPage)
pt | WMRButtonDBLCLK (TControl)
pt | WMRButtonDown (TControl)
pt | WMRButtonQuadCLK (TControl)
pt | WMRButtonTripleCLK (TControl)
pt | WMRButtonUp (TControl)
pt | WMSetFocus (TWinControl)
pt | WMShowWindow (TWinControl)
pt | WMSize (TControl)
pt | WMSize (TWinControl)
pt | WMSysChar (TWinControl)
pt | WMSysKeyDown (TWinControl)
pt | WMSysKeyUp (TWinControl)
pt | WMWindowPosChanged (TControl)
pt | WMWindowPosChanged (TWinControl)
pt | WMXButtonDBLCLK (TControl)
pt | WMXButtonDown (TControl)
pt | WMXButtonQuadCLK (TControl)
pt | WMXButtonTripleCLK (TControl)
pt | WMXButtonUp (TControl)
pt | WndProc (TControl)
pt | WndProc (TWinControl)
 | WriteLayoutDebugReport (TControl)
 | WriteLayoutDebugReport (TWinControl)
 | WriteLeft (TComponent)
 | WriteState (TComponent)
 | WriteTop (TComponent)
pt | WSRegisterClass (TLCLComponent)
pt | WSRegisterClass (TControl)
pt | WSRegisterClass (TWinControl)
pt | WSRegisterClass (TCustomPage)
pt | WSSetText (TWinControl)
 | _AddRef (TComponent)
 | _Release (TComponent)


TCustomPage
 | OnHide
 | OnShow
TWinControl
pt | OnGetSiteInfo
pt | OnGetDockCaption
 | OnAlignInsertBefore
 | OnAlignPosition
 | OnDockDrop
 | OnDockOver
 | OnEnter
 | OnExit
 | OnKeyDown
 | OnKeyPress
 | OnKeyUp
 | OnUnDock
 | OnUTF8KeyPress
TControl
pt | OnConstrainedResize
pt | OnContextPopup
pt | OnDblClick
pt | OnTripleClick
pt | OnQuadClick
pt | OnDragDrop
pt | OnDragOver
pt | OnEndDock
pt | OnEndDrag
pt | OnMouseDown
pt | OnMouseMove
pt | OnMouseUp
pt | OnMouseEnter
pt | OnMouseLeave
pt | OnMouseWheel
pt | OnMouseWheelDown
pt | OnMouseWheelUp
pt | OnMouseWheelHorz
pt | OnMouseWheelLeft
pt | OnMouseWheelRight
pt | OnStartDock
pt | OnStartDrag
pt | OnEditingDone
 | OnChangeBounds
 | OnClick
 | OnResize
 | OnShowHint
TLCLComponent
TComponent
TPersistent
TObject


 | OnAlignInsertBefore (TWinControl)
 | OnAlignPosition (TWinControl)
 | OnChangeBounds (TControl)
 | OnClick (TControl)
pt | OnConstrainedResize (TControl)
pt | OnContextPopup (TControl)
pt | OnDblClick (TControl)
 | OnDockDrop (TWinControl)
 | OnDockOver (TWinControl)
pt | OnDragDrop (TControl)
pt | OnDragOver (TControl)
pt | OnEditingDone (TControl)
pt | OnEndDock (TControl)
pt | OnEndDrag (TControl)
 | OnEnter (TWinControl)
 | OnExit (TWinControl)
pt | OnGetDockCaption (TWinControl)
pt | OnGetSiteInfo (TWinControl)
 | OnHide (TCustomPage)
 | OnKeyDown (TWinControl)
 | OnKeyPress (TWinControl)
 | OnKeyUp (TWinControl)
pt | OnMouseDown (TControl)
pt | OnMouseEnter (TControl)
pt | OnMouseLeave (TControl)
pt | OnMouseMove (TControl)
pt | OnMouseUp (TControl)
pt | OnMouseWheel (TControl)
pt | OnMouseWheelDown (TControl)
pt | OnMouseWheelHorz (TControl)
pt | OnMouseWheelLeft (TControl)
pt | OnMouseWheelRight (TControl)
pt | OnMouseWheelUp (TControl)
pt | OnQuadClick (TControl)
 | OnResize (TControl)
 | OnShow (TCustomPage)
 | OnShowHint (TControl)
pt | OnStartDock (TControl)
pt | OnStartDrag (TControl)
pt | OnTripleClick (TControl)
 | OnUnDock (TWinControl)
 | OnUTF8KeyPress (TWinControl)


TCustomPage.CheckNewParent

Declaration

Source position: comctrls.pp line 266

public procedure TCustomPage.CheckNewParent(

  AParent: TWinControl

); override;


TCustomPage.Create

Create - constructor for TCustomPage: calls inherited Create then initialises style, visibility, alignment and caption

Declaration

Source position: comctrls.pp line 261

public constructor TCustomPage.Create(

  TheOwner: TComponent

); override;

See also

TControl.Create


TCustomPage.DoHide

DoHide - perform the code for the OnHide event handler

Declaration

Source position: comctrls.pp line 256

protected procedure TCustomPage.DoHide; virtual;


TCustomPage.DoShow

DoShow - perform the code for the OnShow event handler

Declaration

Source position: comctrls.pp line 257

protected procedure TCustomPage.DoShow; virtual;


TCustomPage.Flags

Declaration

Source position: comctrls.pp line 249

protected property TCustomPage.Flags : TPageFlags
  read FFlags
  write FFlags;


TCustomPage.GetPageIndex

GetPageIndex - returns the index of the current page

Declaration

Source position: comctrls.pp line 252

protected function TCustomPage.GetPageIndex: Integer; virtual;


TCustomPage.GetTabVisible

Declaration

Source position: comctrls.pp line 254

protected function TCustomPage.GetTabVisible: Boolean; virtual;


TCustomPage.HandleObjectShouldBeVisible

Declaration

Source position: comctrls.pp line 264

public function TCustomPage.HandleObjectShouldBeVisible: Boolean; override;


TCustomPage.ImageIndex

ImageIndex - integer index value for the image associated with this page

Declaration

Source position: comctrls.pp line 269

public property TCustomPage.ImageIndex : TImageIndex
  read FImageIndex
  write SetImageIndex
  default - 1;


TCustomPage.OnHide

OnHide - event handler for hiding this page in a notebook

Declaration

Source position: comctrls.pp line 276

public property TCustomPage.OnHide : TNotifyEvent
  read FOnHide
  write FOnHide;


TCustomPage.OnShow

OnShow - event handler for showing (making visible) this page of a notebook

Declaration

Source position: comctrls.pp line 277

public property TCustomPage.OnShow : TNotifyEvent
  read FOnShow
  write FOnShow;


TCustomPage.PageIndex

PageIndex - integer index value for this page in the notebook

Declaration

Source position: comctrls.pp line 267

public property TCustomPage.PageIndex : Integer
  read GetPageIndex
  write SetPageIndex;


TCustomPage.SetPageIndex

SetPageIndex - specifies an index for the current page

Declaration

Source position: comctrls.pp line 253

protected procedure TCustomPage.SetPageIndex(

  AValue: Integer

); virtual;


TCustomPage.TabVisible

TabVisible - is the Tab for this page visible?

Declaration

Source position: comctrls.pp line 268

public property TCustomPage.TabVisible : Boolean
  read GetTabVisible
  write SetTabVisible
  default True;


TCustomPage.VisibleIndex

VisibleIndex - returns the index number of a visible page

Declaration

Source position: comctrls.pp line 265

public function TCustomPage.VisibleIndex: Integer; virtual;


TCustomPageClass

TCustomPageClass - class of TCustomPage

Declaration

Source position: comctrls.pp line 280

type TCustomPageClass = class of TCustomPage;


TCustomProgressBar

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

The ancestor class for TProgressBar

Declaration

Source position: comctrls.pp line 1765

type TCustomProgressBar = class(TWinControl)
protected
class procedure WSRegisterClass; override; | Registers this component class with the current WidgetSet.
procedure ApplyChanges; | ApplyChanges - apply any changes that have occurred
procedure InitializeWnd; override; | InitializeWnd calls inherited method then applies changes
procedure Loaded; override; | Loaded calls inherited method then applies changes
class function GetControlClassDefaultSize; override; | GetControlClassDefaultSize returns its own defaults, overriding inherited values
public
constructor Create(); override; | Create - constructor for TCustomProgressBar: calls inherited Create, initialises position, orientation and size
procedure StepIt; | StepIt - move indicator to new position (current position plus Step)
procedure StepBy(); | StepBy - move indicator by amount specified in Delta
property Max: Integer; [rw] | Max - maximum value for progressbar
property Min: Integer; [rw] | Min - minimum value of progressbar
property Orientation: TProgressBarOrientation; [rw] | Orientation - horizontal or vertical
property Position: Integer; [rw] | Position of indicator along progressbar
property Smooth: Boolean; [rw] | Whether Smooth display (True) or stepped
property Step: Integer; [rw] | Step - size of increment for display
property Style: TProgressBarStyle; [rw]
property BarShowText: Boolean; [rw] | BarShowText - some widget sets allow text to be displayed on the bar to indicate its position (e.g. 32%)
end;

Inheritance

TCustomProgressBar | The ancestor class for TProgressBar
|
TWinControl | The base class for controls which can contain other (child) controls.
|
TControl | The base class for visible controls.
|
TLCLComponent | The base class for LCL components associated with widgets.
|
TComponent,IUnknown,IInterfaceComponentReference
|
TPersistent,IFPObserved
|
TObject

Description

TCustomProgressBar is the ancestor for TProgressBar. If you want to define your own ProgressBar class, you should derive it from this class.


TCustomProgressBar
 |  | Max
 |  | Min
 |  | Orientation
 |  | Position
 |  | Smooth
 |  | Step
 |  | Style
 |  | BarShowText
TWinControl
pt |  | WindowHandle
pt |  | BorderStyle
pt |  | ParentBackground
 |  | BorderWidth
 | ro | BoundsLockCount
 | ro | Brush
 | ro | CachedClientHeight
 | ro | CachedClientWidth
 |  | ChildSizing
 | ro | ControlCount
 | ro | Controls
 |  | DefWndProc
 | ro | DockClientCount
 | ro | DockClients
 |  | DockManager
 |  | DockSite
 |  | DoubleBuffered
 |  | Handle
 | ro | IsFlipped
 | ro | IsResizing
 |  | TabOrder
 |  | TabStop
 |  | ParentDoubleBuffered
 |  | ParentWindow
 | ro | Showing
 |  | UseDockManager
 |  | DesignerDeleting
 | ro | VisibleDockClientCount
TControl
pt | ro | AutoSizing
pt | ro | AutoSizingAll
pt | ro | AutoSizingLockCount
pt |  | ActionLink
pt |  | DesktopFont
pt |  | DragCursor
pt |  | DragKind
pt |  | DragMode
pt |  | MouseCapture
pt |  | ParentColor
pt |  | ParentFont
pt |  | ParentShowHint
pt |  | SessionProperties
pt |  | Text
 | ro | AnchoredControls
 | ro | BaseBounds
 | ro | ReadBounds
 | ro | BaseParentClientSize
 |  | AccessibleDescription
 |  | AccessibleValue
 |  | AccessibleRole
 |  | Action
 |  | Align
 |  | Anchors
 | ro | AnchorSide
 |  | AutoSize
 |  | BorderSpacing
 |  | BoundsRect
 |  | BoundsRectForNewParent
 |  | Caption
 |  | CaptureMouseButtons
 |  | ClientHeight
 | ro | ClientOrigin
 | ro | ClientRect
 |  | ClientWidth
 |  | Color
 |  | Constraints
 | ro | ControlOrigin
 |  | ControlState
 |  | ControlStyle
 |  | Enabled
 |  | Font
 |  | IsControl
 | ro | MouseEntered
 | ro | MouseInClient
 |  | Parent
 |  | PopupMenu
 |  | ShowHint
 |  | Visible
 |  | WindowProc
 |  | DockOrientation
 | ro | Floating
 |  | FloatingDockSiteClass
 |  | HostDockSite
 |  | LRDockWidth
 |  | TBDockHeight
 |  | UndockHeight
 |  | UndockWidth
 |  | BiDiMode
 |  | ParentBiDiMode
pl |  | AnchorSideLeft
pl |  | AnchorSideTop
pl |  | AnchorSideRight
pl |  | AnchorSideBottom
pl |  | Cursor
pl |  | Left
pl |  | Height
pl |  | Hint
pl |  | Top
pl |  | Width
pl |  | HelpType
pl |  | HelpKeyword
pl |  | HelpContext
TLCLComponent
 | ro | LCLRefCount
 | ro | WidgetSetClass
TComponent
 | ro | ComObject
 | ro | Components
 | ro | ComponentCount
 |  | ComponentIndex
 | ro | ComponentState
 | ro | ComponentStyle
 |  | DesignInfo
 | ro | Owner
 |  | VCLComObject
 |  | Name
 |  | Tag
TPersistent
TObject


 |  | AccessibleDescription (TControl)
 |  | AccessibleRole (TControl)
 |  | AccessibleValue (TControl)
 |  | Action (TControl)
pt |  | ActionLink (TControl)
 |  | Align (TControl)
 | ro | AnchoredControls (TControl)
 |  | Anchors (TControl)
 | ro | AnchorSide (TControl)
pl |  | AnchorSideBottom (TControl)
pl |  | AnchorSideLeft (TControl)
pl |  | AnchorSideRight (TControl)
pl |  | AnchorSideTop (TControl)
 |  | AutoSize (TControl)
pt | ro | AutoSizing (TControl)
pt | ro | AutoSizingAll (TControl)
pt | ro | AutoSizingLockCount (TControl)
 |  | BarShowText (TCustomProgressBar)
 | ro | BaseBounds (TControl)
 | ro | BaseParentClientSize (TControl)
 |  | BiDiMode (TControl)
 |  | BorderSpacing (TControl)
pt |  | BorderStyle (TWinControl)
 |  | BorderWidth (TWinControl)
 | ro | BoundsLockCount (TWinControl)
 |  | BoundsRect (TControl)
 |  | BoundsRectForNewParent (TControl)
 | ro | Brush (TWinControl)
 | ro | CachedClientHeight (TWinControl)
 | ro | CachedClientWidth (TWinControl)
 |  | Caption (TControl)
 |  | CaptureMouseButtons (TControl)
 |  | ChildSizing (TWinControl)
 |  | ClientHeight (TControl)
 | ro | ClientOrigin (TControl)
 | ro | ClientRect (TControl)
 |  | ClientWidth (TControl)
 |  | Color (TControl)
 | ro | ComObject (TComponent)
 | ro | ComponentCount (TComponent)
 |  | ComponentIndex (TComponent)
 | ro | Components (TComponent)
 | ro | ComponentState (TComponent)
 | ro | ComponentStyle (TComponent)
 |  | Constraints (TControl)
 | ro | ControlCount (TWinControl)
 | ro | ControlOrigin (TControl)
 | ro | Controls (TWinControl)
 |  | ControlState (TControl)
 |  | ControlStyle (TControl)
pl |  | Cursor (TControl)
 |  | DefWndProc (TWinControl)
 |  | DesignerDeleting (TWinControl)
 |  | DesignInfo (TComponent)
pt |  | DesktopFont (TControl)
 | ro | DockClientCount (TWinControl)
 | ro | DockClients (TWinControl)
 |  | DockManager (TWinControl)
 |  | DockOrientation (TControl)
 |  | DockSite (TWinControl)
 |  | DoubleBuffered (TWinControl)
pt |  | DragCursor (TControl)
pt |  | DragKind (TControl)
pt |  | DragMode (TControl)
 |  | Enabled (TControl)
 | ro | Floating (TControl)
 |  | FloatingDockSiteClass (TControl)
 |  | Font (TControl)
 |  | Handle (TWinControl)
pl |  | Height (TControl)
pl |  | HelpContext (TControl)
pl |  | HelpKeyword (TControl)
pl |  | HelpType (TControl)
pl |  | Hint (TControl)
 |  | HostDockSite (TControl)
 |  | IsControl (TControl)
 | ro | IsFlipped (TWinControl)
 | ro | IsResizing (TWinControl)
 | ro | LCLRefCount (TLCLComponent)
pl |  | Left (TControl)
 |  | LRDockWidth (TControl)
 |  | Max (TCustomProgressBar)
 |  | Min (TCustomProgressBar)
pt |  | MouseCapture (TControl)
 | ro | MouseEntered (TControl)
 | ro | MouseInClient (TControl)
 |  | Name (TComponent)
 |  | Orientation (TCustomProgressBar)
 | ro | Owner (TComponent)
 |  | Parent (TControl)
pt |  | ParentBackground (TWinControl)
 |  | ParentBiDiMode (TControl)
pt |  | ParentColor (TControl)
 |  | ParentDoubleBuffered (TWinControl)
pt |  | ParentFont (TControl)
pt |  | ParentShowHint (TControl)
 |  | ParentWindow (TWinControl)
 |  | PopupMenu (TControl)
 |  | Position (TCustomProgressBar)
 | ro | ReadBounds (TControl)
pt |  | SessionProperties (TControl)
 |  | ShowHint (TControl)
 | ro | Showing (TWinControl)
 |  | Smooth (TCustomProgressBar)
 |  | Step (TCustomProgressBar)
 |  | Style (TCustomProgressBar)
 |  | TabOrder (TWinControl)
 |  | TabStop (TWinControl)
 |  | Tag (TComponent)
 |  | TBDockHeight (TControl)
pt |  | Text (TControl)
pl |  | Top (TControl)
 |  | UndockHeight (TControl)
 |  | UndockWidth (TControl)
 |  | UseDockManager (TWinControl)
 |  | VCLComObject (TComponent)
 |  | Visible (TControl)
 | ro | VisibleDockClientCount (TWinControl)
 | ro | WidgetSetClass (TLCLComponent)
pl |  | Width (TControl)
pt |  | WindowHandle (TWinControl)
 |  | WindowProc (TControl)


TCustomProgressBar
pt | WSRegisterClass
pt | ApplyChanges
pt | InitializeWnd
pt | Loaded
pt | GetControlClassDefaultSize
 | Create
 | StepIt
 | StepBy
TWinControl
pt | WSRegisterClass
pt | AdjustClientRect
pt | GetAdjustedLogicalClientRect
pt | AlignControls
pt | CustomAlignInsertBefore
pt | CustomAlignPosition
pt | DoAlignChildControls
pt | DoChildSizingChange
pt | InvalidatePreferredChildSizes
pt | CanTab
pt | IsClientHeightStored
pt | IsClientWidthStored
pt | DoSendShowHideToInterface
pt | ControlsAligned
pt | DoSendBoundsToInterface
pt | RealizeBounds
pt | RealizeBoundsRecursive
pt | InvalidateBoundsRealized
pt | CreateSubClass
pt | DoConstraintsChange
pt | DoSetBounds
pt | DoAutoSize
pt | DoAllAutoSize
pt | AllAutoSized
pt | CalculatePreferredSize
pt | GetPreferredSizeClientFrame
pt | GetChildren
pt | ChildClassAllowed
pt | PaintControls
pt | PaintHandler
pt | PaintWindow
pt | CreateBrush
pt | ScaleControls
pt | ChangeScale
pt | CMBiDiModeChanged
pt | CMBorderChanged
pt | CMDoubleBufferedChanged
pt | CMEnabledChanged
pt | CMParentDoubleBufferedChanged
pt | CMShowingChanged
pt | CMShowHintChanged
pt | CMVisibleChanged
pt | CMEnter
pt | CMExit
pt | WMContextMenu
pt | WMEraseBkgnd
pt | WMNotify
pt | WMSetFocus
pt | WMKillFocus
pt | WMShowWindow
pt | WMEnter
pt | WMExit
pt | WMKeyDown
pt | WMSysKeyDown
pt | WMKeyUp
pt | WMSysKeyUp
pt | WMChar
pt | WMSysChar
pt | WMPaint
pt | WMDestroy
pt | WMMove
pt | WMSize
pt | WMWindowPosChanged
pt | CNKeyDown
pt | CNSysKeyDown
pt | CNKeyUp
pt | CNSysKeyUp
pt | CNChar
pt | DoDragMsg
pt | DoDockClientMsg
pt | DoUndockClientMsg
pt | DoAddDockClient
pt | DockOver
pt | DoDockOver
pt | DoRemoveDockClient
pt | DoUnDock
pt | GetSiteInfo
pt | GetParentHandle
pt | GetTopParentHandle
pt | ReloadDockedControl
pt | CreateDockManager
pt | SetDockManager
pt | DoFloatMsg
pt | DoGetDockCaption
pt | DoEnter
pt | DoExit
pt | DoKeyDownBeforeInterface
pt | DoRemainingKeyDown
pt | DoRemainingKeyUp
pt | DoKeyPress
pt | DoUTF8KeyPress
pt | DoKeyUpBeforeInterface
pt | ChildKey
pt | SendDialogChar
pt | DialogChar
pt | ControlKeyDown
pt | ControlKeyUp
pt | KeyDown
pt | KeyDownBeforeInterface
pt | KeyDownAfterInterface
pt | KeyPress
pt | KeyUp
pt | KeyUpBeforeInterface
pt | KeyUpAfterInterface
pt | UTF8KeyPress
pt | FindNextControl
pt | SelectFirst
pt | RealGetText
pt | GetBorderStyle
pt | GetClientOrigin
pt | GetClientRect
pt | GetControlOrigin
pt | GetDeviceContext
pt | GetParentBackground
pt | IsControlMouseMsg
pt | CreateHandle
pt | CreateParams
pt | CreateWnd
pt | DestroyHandle
pt | DestroyWnd
pt | DoFlipChildren
pt | FinalizeWnd
pt | FixupTabList
pt | FontChanged
pt | InitializeWnd
pt | Loaded
pt | FormEndUpdated
pt | MainWndProc
pt | ParentFormHandleInitialized
pt | ChildHandlesCreated
pt | GetMouseCapture
pt | RealSetText
pt | RemoveFocus
pt | SendMoveSizeMessages
pt | SetBorderStyle
pt | SetColor
pt | SetChildZPosition
pt | SetParentBackground
pt | ShowControl
pt | UpdateControlState
pt | UpdateShowing
pt | WndProc
pt | WSSetText
 | AutoSizePhases
 | AutoSizeDelayed
 | AutoSizeDelayedReport
 | AutoSizeDelayedHandle
 | BeginUpdateBounds
 | EndUpdateBounds
 | LockRealizeBounds
 | UnlockRealizeBounds
 | ControlAtPos
 | ContainsControl
 | DoAdjustClientRectChange
 | InvalidateClientRectCache
 | ClientRectNeedsInterfaceUpdate
 | SetBounds
 | GetChildrenRect
 | DisableAlign
 | EnableAlign
 | ReAlign
 | ScrollBy_WS
 | ScrollBy
 | WriteLayoutDebugReport
 | AutoAdjustLayout
 | Create
 | CreateParented
 | CreateParentedControl
 | Destroy
 | DockDrop
 | CanFocus
 | CanSetFocus
 | GetControlIndex
 | SetControlIndex
 | Focused
 | PerformTab
 | FindChildControl
 | SelectNext
 | SetTempCursor
 | BroadCast
 | NotifyControls
 | DefaultHandler
 | GetTextLen
 | Invalidate
 | AddControl
 | InsertControl
 | RemoveControl
 | GetEnumeratorControls
 | GetEnumeratorControlsReverse
 | Repaint
 | Update
 | SetFocus
 | FlipChildren
 | ScaleBy
 | GetDockCaption
 | UpdateDockCaption
 | GetTabOrderList
 | HandleAllocated
 | ParentHandlesAllocated
 | HandleNeeded
 | BrushCreated
 | EraseBackground
 | IntfUTF8KeyPress
 | IntfGetDropFilesTarget
 | PaintTo
 | SetShape
TControl
pt | WSRegisterClass
pt | GetCursor
pt | SetCursor
pt | SetVisible
pt | DoOnParentHandleDestruction
pt | DoAutoSize
pt | DoAllAutoSize
pt | BeginAutoSizing
pt | EndAutoSizing
pt | AnchorSideChanged
pt | ForeignAnchorSideChanged
pt | SetAlign
pt | SetAnchors
pt | SetAutoSize
pt | BoundsChanged
pt | CreateControlBorderSpacing
pt | DoConstraintsChange
pt | DoBorderSpacingChange
pt | IsBorderSpacingInnerBorderStored
pt | IsCaptionStored
pt | SendMoveSizeMessages
pt | ConstrainedResize
pt | CalculatePreferredSize
pt | DoOnResize
pt | DoOnChangeBounds
pt | CheckOnChangeBounds
pt | Resize
pt | RequestAlign
pt | UpdateAnchorRules
pt | ChangeBounds
pt | DoSetBounds
pt | ScaleConstraints
pt | ChangeScale
pt | CanAutoSize
pt | SetBiDiMode
pt | SetParentBiDiMode
pt | IsAParentAligning
pt | GetClientOrigin
pt | GetClientRect
pt | GetLogicalClientRect
pt | GetScrolledClientRect
pt | GetClientScrollOffset
pt | GetControlOrigin
pt | IsClientHeightStored
pt | IsClientWidthStored
pt | WidthIsAnchored
pt | HeightIsAnchored
pt | WMCancelMode
pt | WMContextMenu
pt | WMLButtonDown
pt | WMRButtonDown
pt | WMMButtonDown
pt | WMXButtonDown
pt | WMLButtonDBLCLK
pt | WMRButtonDBLCLK
pt | WMMButtonDBLCLK
pt | WMXButtonDBLCLK
pt | WMLButtonTripleCLK
pt | WMRButtonTripleCLK
pt | WMMButtonTripleCLK
pt | WMXButtonTripleCLK
pt | WMLButtonQuadCLK
pt | WMRButtonQuadCLK
pt | WMMButtonQuadCLK
pt | WMXButtonQuadCLK
pt | WMMouseMove
pt | WMLButtonUp
pt | WMRButtonUp
pt | WMMButtonUp
pt | WMXButtonUp
pt | WMMouseWheel
pt | WMMouseHWheel
pt | WMMove
pt | WMSize
pt | WMWindowPosChanged
pt | CMChanged
pt | LMCaptureChanged
pt | CMBiDiModeChanged
pt | CMSysFontChanged
pt | CMEnabledChanged
pt | CMHitTest
pt | CMMouseEnter
pt | CMMouseLeave
pt | CMHintShow
pt | CMParentBiDiModeChanged
pt | CMParentColorChanged
pt | CMParentFontChanged
pt | CMParentShowHintChanged
pt | CMVisibleChanged
pt | CMTextChanged
pt | CMCursorChanged
pt | CalculateDockSizes
pt | CreateFloatingDockSite
pt | GetDockEdge
pt | GetDragImages
pt | GetFloating
pt | GetFloatingDockSiteClass
pt | BeforeDragStart
pt | BeginAutoDrag
pt | DoFloatMsg
pt | DockTrackNoTarget
pt | DoDock
pt | DoDragMsg
pt | DoEndDock
pt | DoEndDrag
pt | DoStartDock
pt | DoStartDrag
pt | DragCanceled
pt | DragOver
pt | PositionDockRect
pt | SetDragMode
pt | GetDefaultDockCaption
pt | Click
pt | DblClick
pt | TripleClick
pt | QuadClick
pt | GetMousePosFromMessage
pt | MouseDown
pt | MouseMove
pt | MouseUp
pt | MouseEnter
pt | MouseLeave
pt | DialogChar
pt | UpdateMouseCursor
pt | Changed
pt | GetPalette
pt | ChildClassAllowed
pt | ReadState
pt | Loaded
pt | LoadedAll
pt | DefineProperties
pt | AssignTo
pt | FormEndUpdated
pt | InvalidateControl
pt | FontChanged
pt | ParentFontChanged
pt | GetAction
pt | RealGetText
pt | RealSetText
pt | TextChanged
pt | GetCachedText
pt | SetAction
pt | SetColor
pt | SetEnabled
pt | SetHint
pt | SetName
pt | SetParent
pt | SetParentComponent
pt | WndProc
pt | ParentFormHandleInitialized
pt | GetMouseCapture
pt | CaptureChanged
pt | Notification
pt | CanTab
pt | GetDeviceContext
pt | GetEnabled
pt | GetPopupMenu
pt | DoOnShowHint
pt | DoMouseWheel
pt | DoMouseWheelDown
pt | DoMouseWheelUp
pt | DoMouseWheelHorz
pt | DoMouseWheelLeft
pt | DoMouseWheelRight
pt | VisibleChanging
pt | VisibleChanged
pt | EnabledChanging
pt | EnabledChanged
pt | AddHandler
pt | RemoveHandler
pt | DoCallNotifyHandler
pt | DoCallKeyEventHandler
pt | DoCallMouseWheelEventHandler
pt | DoContextPopup
pt | SetZOrder
pt | GetControlClassDefaultSize
pt | ColorIsStored
pt | DoAutoAdjustLayout
pt | DoFixDesignFontPPI
pt | DoScaleFontPPI
pt | GetActionLinkClass
pt | ActionChange
 | DragDrop
 | Dock
 | ManualDock
 | ManualFloat
 | ReplaceDockedControl
 | Docked
 | Dragging
 | GetAccessibleObject
 | CreateAccessibleObject
 | GetSelectedChildAccessibleObject
 | GetChildAccessibleObjectAtPos
 | ScaleDesignToForm
 | ScaleFormToDesign
 | Scale96ToForm
 | ScaleFormTo96
 | Scale96ToFont
 | ScaleFontTo96
 | ScaleScreenToFont
 | ScaleFontToScreen
 | Scale96ToScreen
 | ScaleScreenTo96
 | AdjustSize
 | AutoSizePhases
 | AutoSizeDelayed
 | AutoSizeDelayedReport
 | AutoSizeDelayedHandle
 | AnchorToNeighbour
 | AnchorParallel
 | AnchorHorizontalCenterTo
 | AnchorVerticalCenterTo
 | AnchorToCompanion
 | AnchorSame
 | AnchorAsAlign
 | AnchorClient
 | AnchoredControlCount
 | SetBounds
 | SetInitialBounds
 | SetBoundsKeepBase
 | GetPreferredSize
 | GetCanvasScaleFactor
 | GetDefaultWidth
 | GetDefaultHeight
 | GetDefaultColor
 | GetColorResolvingParent
 | GetRGBColorResolvingParent
 | GetSidePosition
 | CNPreferredSizeChanged
 | InvalidatePreferredSize
 | GetAnchorsDependingOnParent
 | DisableAutoSizing
 | EnableAutoSizing
 | UpdateBaseBounds
 | WriteLayoutDebugReport
 | AutoAdjustLayout
 | ShouldAutoAdjust
 | FixDesignFontsPPI
 | ScaleFontsPPI
 | Create
 | Destroy
 | BeforeDestruction
 | EditingDone
 | ExecuteDefaultAction
 | ExecuteCancelAction
 | BeginDrag
 | EndDrag
 | BringToFront
 | HasParent
 | GetParentComponent
 | IsParentOf
 | GetTopParent
 | IsVisible
 | IsControlVisible
 | IsEnabled
 | IsParentColor
 | IsParentFont
 | FormIsUpdating
 | IsProcessingPaintMsg
 | Hide
 | Refresh
 | Repaint
 | Invalidate
 | CheckChildClassAllowed
 | CheckNewParent
 | SendToBack
 | SetTempCursor
 | UpdateRolesForForm
 | ActiveDefaultControlChanged
 | GetTextBuf
 | GetTextLen
 | SetTextBuf
 | Perform
 | ScreenToClient
 | ClientToScreen
 | ScreenToControl
 | ControlToScreen
 | ClientToParent
 | ParentToClient
 | GetChildrenRect
 | Show
 | Update
 | HandleObjectShouldBeVisible
 | ParentDestroyingHandle
 | ParentHandlesAllocated
 | InitiateAction
 | ShowHelp
 | HasHelp
 | RemoveAllHandlersOfObject
 | AddHandlerOnResize
 | RemoveHandlerOnResize
 | AddHandlerOnChangeBounds
 | RemoveHandlerOnChangeBounds
 | AddHandlerOnVisibleChanging
 | RemoveHandlerOnVisibleChanging
 | AddHandlerOnVisibleChanged
 | RemoveHandlerOnVisibleChanged
 | AddHandlerOnEnabledChanged
 | RemoveHandlerOnEnableChanging
 | AddHandlerOnKeyDown
 | RemoveHandlerOnKeyDown
 | AddHandlerOnBeforeDestruction
 | RemoveHandlerOnBeforeDestruction
 | AddHandlerOnMouseWheel
 | RemoveHandlerOnMouseWheel
 | UseRightToLeftAlignment
 | UseRightToLeftReading
 | UseRightToLeftScrollBar
 | IsRightToLeft
TLCLComponent
pt | WSRegisterClass
pt | GetWSComponentClass
 | Create
 | Destroy
 | NewInstance
 | RemoveAllHandlersOfObject
 | IncLCLRefCount
 | DecLCLRefCount
TComponent
 | GetComObject
 | GetComponent
 | GetComponentCount
 | GetComponentIndex
 | Insert
 | ReadLeft
 | ReadTop
 | Remove
 | RemoveNotification
 | SetComponentIndex
 | SetReference
 | WriteLeft
 | WriteTop
 | ChangeName
 | DefineProperties
 | GetChildren
 | GetChildOwner
 | GetChildParent
 | GetOwner
 | Loaded
 | Loading
 | Notification
 | PaletteCreated
 | ReadState
 | SetAncestor
 | SetDesigning
 | SetDesignInstance
 | SetInline
 | SetName
 | SetChildOrder
 | SetParentComponent
 | Updating
 | Updated
 | UpdateRegistry
 | ValidateRename
 | ValidateContainer
 | ValidateInsert
 | QueryInterface
 | _AddRef
 | _Release
 | iicrGetComponent
 | GetTypeInfoCount
 | GetTypeInfo
 | GetIDsOfNames
 | Invoke
 | WriteState
 | Create
 | Destroy
 | BeforeDestruction
 | DestroyComponents
 | Destroying
 | ExecuteAction
 | FindComponent
 | FreeNotification
 | RemoveFreeNotification
 | FreeOnRelease
 | GetEnumerator
 | GetNamePath
 | GetParentComponent
 | HasParent
 | InsertComponent
 | RemoveComponent
 | SafeCallException
 | SetSubComponent
 | UpdateAction
 | IsImplementorOf
 | ReferenceInterface
TPersistent
 | AssignError
 | AssignTo
 | DefineProperties
 | GetOwner
 | Destroy
 | Assign
 | FPOAttachObserver
 | FPODetachObserver
 | FPONotifyObservers
 | GetNamePath
TObject
 | Create
 | Destroy
 | newinstance
 | FreeInstance
 | SafeCallException
 | DefaultHandler
 | Free
 | InitInstance
 | CleanupInstance
 | ClassType
 | ClassInfo
 | ClassName
 | ClassNameIs
 | ClassParent
 | InstanceSize
 | InheritsFrom
 | StringMessageTable
 | MethodAddress
 | MethodName
 | FieldAddress
 | AfterConstruction
 | BeforeDestruction
 | DefaultHandlerStr
 | Dispatch
 | DispatchStr
 | GetInterface
 | GetInterfaceByStr
 | GetInterfaceWeak
 | GetInterfaceEntry
 | GetInterfaceEntryByStr
 | GetInterfaceTable
 | UnitName
 | Equals
 | GetHashCode
 | ToString


pt | ActionChange (TControl)
 | ActiveDefaultControlChanged (TControl)
 | AddControl (TWinControl)
pt | AddHandler (TControl)
 | AddHandlerOnBeforeDestruction (TControl)
 | AddHandlerOnChangeBounds (TControl)
 | AddHandlerOnEnabledChanged (TControl)
 | AddHandlerOnKeyDown (TControl)
 | AddHandlerOnMouseWheel (TControl)
 | AddHandlerOnResize (TControl)
 | AddHandlerOnVisibleChanged (TControl)
 | AddHandlerOnVisibleChanging (TControl)
pt | AdjustClientRect (TWinControl)
 | AdjustSize (TControl)
 | AfterConstruction (TObject)
pt | AlignControls (TWinControl)
pt | AllAutoSized (TWinControl)
 | AnchorAsAlign (TControl)
 | AnchorClient (TControl)
 | AnchoredControlCount (TControl)
 | AnchorHorizontalCenterTo (TControl)
 | AnchorParallel (TControl)
 | AnchorSame (TControl)
pt | AnchorSideChanged (TControl)
 | AnchorToCompanion (TControl)
 | AnchorToNeighbour (TControl)
 | AnchorVerticalCenterTo (TControl)
pt | ApplyChanges (TCustomProgressBar)
 | Assign (TPersistent)
 | AssignError (TPersistent)
 | AssignTo (TPersistent)
pt | AssignTo (TControl)
 | AutoAdjustLayout (TControl)
 | AutoAdjustLayout (TWinControl)
 | AutoSizeDelayed (TControl)
 | AutoSizeDelayed (TWinControl)
 | AutoSizeDelayedHandle (TControl)
 | AutoSizeDelayedHandle (TWinControl)
 | AutoSizeDelayedReport (TControl)
 | AutoSizeDelayedReport (TWinControl)
 | AutoSizePhases (TControl)
 | AutoSizePhases (TWinControl)
 | BeforeDestruction (TObject)
 | BeforeDestruction (TComponent)
 | BeforeDestruction (TControl)
pt | BeforeDragStart (TControl)
pt | BeginAutoDrag (TControl)
pt | BeginAutoSizing (TControl)
 | BeginDrag (TControl)
 | BeginUpdateBounds (TWinControl)
pt | BoundsChanged (TControl)
 | BringToFront (TControl)
 | BroadCast (TWinControl)
 | BrushCreated (TWinControl)
pt | CalculateDockSizes (TControl)
pt | CalculatePreferredSize (TControl)
pt | CalculatePreferredSize (TWinControl)
pt | CanAutoSize (TControl)
 | CanFocus (TWinControl)
 | CanSetFocus (TWinControl)
pt | CanTab (TControl)
pt | CanTab (TWinControl)
pt | CaptureChanged (TControl)
pt | ChangeBounds (TControl)
pt | Changed (TControl)
 | ChangeName (TComponent)
pt | ChangeScale (TControl)
pt | ChangeScale (TWinControl)
 | CheckChildClassAllowed (TControl)
 | CheckNewParent (TControl)
pt | CheckOnChangeBounds (TControl)
pt | ChildClassAllowed (TControl)
pt | ChildClassAllowed (TWinControl)
pt | ChildHandlesCreated (TWinControl)
pt | ChildKey (TWinControl)
 | ClassInfo (TObject)
 | ClassName (TObject)
 | ClassNameIs (TObject)
 | ClassParent (TObject)
 | ClassType (TObject)
 | CleanupInstance (TObject)
pt | Click (TControl)
 | ClientRectNeedsInterfaceUpdate (TWinControl)
 | ClientToParent (TControl)
 | ClientToScreen (TControl)
pt | CMBiDiModeChanged (TControl)
pt | CMBiDiModeChanged (TWinControl)
pt | CMBorderChanged (TWinControl)
pt | CMChanged (TControl)
pt | CMCursorChanged (TControl)
pt | CMDoubleBufferedChanged (TWinControl)
pt | CMEnabledChanged (TControl)
pt | CMEnabledChanged (TWinControl)
pt | CMEnter (TWinControl)
pt | CMExit (TWinControl)
pt | CMHintShow (TControl)
pt | CMHitTest (TControl)
pt | CMMouseEnter (TControl)
pt | CMMouseLeave (TControl)
pt | CMParentBiDiModeChanged (TControl)
pt | CMParentColorChanged (TControl)
pt | CMParentDoubleBufferedChanged (TWinControl)
pt | CMParentFontChanged (TControl)
pt | CMParentShowHintChanged (TControl)
pt | CMShowHintChanged (TWinControl)
pt | CMShowingChanged (TWinControl)
pt | CMSysFontChanged (TControl)
pt | CMTextChanged (TControl)
pt | CMVisibleChanged (TControl)
pt | CMVisibleChanged (TWinControl)
pt | CNChar (TWinControl)
pt | CNKeyDown (TWinControl)
pt | CNKeyUp (TWinControl)
 | CNPreferredSizeChanged (TControl)
pt | CNSysKeyDown (TWinControl)
pt | CNSysKeyUp (TWinControl)
pt | ColorIsStored (TControl)
pt | ConstrainedResize (TControl)
 | ContainsControl (TWinControl)
 | ControlAtPos (TWinControl)
pt | ControlKeyDown (TWinControl)
pt | ControlKeyUp (TWinControl)
pt | ControlsAligned (TWinControl)
 | ControlToScreen (TControl)
 | Create (TObject)
 | Create (TComponent)
 | Create (TLCLComponent)
 | Create (TControl)
 | Create (TWinControl)
 | Create (TCustomProgressBar)
 | CreateAccessibleObject (TControl)
pt | CreateBrush (TWinControl)
pt | CreateControlBorderSpacing (TControl)
pt | CreateDockManager (TWinControl)
pt | CreateFloatingDockSite (TControl)
pt | CreateHandle (TWinControl)
pt | CreateParams (TWinControl)
 | CreateParented (TWinControl)
 | CreateParentedControl (TWinControl)
pt | CreateSubClass (TWinControl)
pt | CreateWnd (TWinControl)
pt | CustomAlignInsertBefore (TWinControl)
pt | CustomAlignPosition (TWinControl)
pt | DblClick (TControl)
 | DecLCLRefCount (TLCLComponent)
 | DefaultHandler (TObject)
 | DefaultHandler (TWinControl)
 | DefaultHandlerStr (TObject)
 | DefineProperties (TPersistent)
 | DefineProperties (TComponent)
pt | DefineProperties (TControl)
 | Destroy (TObject)
 | Destroy (TPersistent)
 | Destroy (TComponent)
 | Destroy (TLCLComponent)
 | Destroy (TControl)
 | Destroy (TWinControl)
 | DestroyComponents (TComponent)
pt | DestroyHandle (TWinControl)
 | Destroying (TComponent)
pt | DestroyWnd (TWinControl)
pt | DialogChar (TControl)
pt | DialogChar (TWinControl)
 | DisableAlign (TWinControl)
 | DisableAutoSizing (TControl)
 | Dispatch (TObject)
 | DispatchStr (TObject)
pt | DoAddDockClient (TWinControl)
 | DoAdjustClientRectChange (TWinControl)
pt | DoAlignChildControls (TWinControl)
pt | DoAllAutoSize (TControl)
pt | DoAllAutoSize (TWinControl)
pt | DoAutoAdjustLayout (TControl)
pt | DoAutoSize (TControl)
pt | DoAutoSize (TWinControl)
pt | DoBorderSpacingChange (TControl)
pt | DoCallKeyEventHandler (TControl)
pt | DoCallMouseWheelEventHandler (TControl)
pt | DoCallNotifyHandler (TControl)
pt | DoChildSizingChange (TWinControl)
 | Dock (TControl)
 | DockDrop (TWinControl)
 | Docked (TControl)
pt | DockOver (TWinControl)
pt | DockTrackNoTarget (TControl)
pt | DoConstraintsChange (TControl)
pt | DoConstraintsChange (TWinControl)
pt | DoContextPopup (TControl)
pt | DoDock (TControl)
pt | DoDockClientMsg (TWinControl)
pt | DoDockOver (TWinControl)
pt | DoDragMsg (TControl)
pt | DoDragMsg (TWinControl)
pt | DoEndDock (TControl)
pt | DoEndDrag (TControl)
pt | DoEnter (TWinControl)
pt | DoExit (TWinControl)
pt | DoFixDesignFontPPI (TControl)
pt | DoFlipChildren (TWinControl)
pt | DoFloatMsg (TControl)
pt | DoFloatMsg (TWinControl)
pt | DoGetDockCaption (TWinControl)
pt | DoKeyDownBeforeInterface (TWinControl)
pt | DoKeyPress (TWinControl)
pt | DoKeyUpBeforeInterface (TWinControl)
pt | DoMouseWheel (TControl)
pt | DoMouseWheelDown (TControl)
pt | DoMouseWheelHorz (TControl)
pt | DoMouseWheelLeft (TControl)
pt | DoMouseWheelRight (TControl)
pt | DoMouseWheelUp (TControl)
pt | DoOnChangeBounds (TControl)
pt | DoOnParentHandleDestruction (TControl)
pt | DoOnResize (TControl)
pt | DoOnShowHint (TControl)
pt | DoRemainingKeyDown (TWinControl)
pt | DoRemainingKeyUp (TWinControl)
pt | DoRemoveDockClient (TWinControl)
pt | DoScaleFontPPI (TControl)
pt | DoSendBoundsToInterface (TWinControl)
pt | DoSendShowHideToInterface (TWinControl)
pt | DoSetBounds (TControl)
pt | DoSetBounds (TWinControl)
pt | DoStartDock (TControl)
pt | DoStartDrag (TControl)
pt | DoUnDock (TWinControl)
pt | DoUndockClientMsg (TWinControl)
pt | DoUTF8KeyPress (TWinControl)
pt | DragCanceled (TControl)
 | DragDrop (TControl)
 | Dragging (TControl)
pt | DragOver (TControl)
 | EditingDone (TControl)
 | EnableAlign (TWinControl)
 | EnableAutoSizing (TControl)
pt | EnabledChanged (TControl)
pt | EnabledChanging (TControl)
pt | EndAutoSizing (TControl)
 | EndDrag (TControl)
 | EndUpdateBounds (TWinControl)
 | Equals (TObject)
 | EraseBackground (TWinControl)
 | ExecuteAction (TComponent)
 | ExecuteCancelAction (TControl)
 | ExecuteDefaultAction (TControl)
 | FieldAddress (TObject)
pt | FinalizeWnd (TWinControl)
 | FindChildControl (TWinControl)
 | FindComponent (TComponent)
pt | FindNextControl (TWinControl)
 | FixDesignFontsPPI (TControl)
pt | FixupTabList (TWinControl)
 | FlipChildren (TWinControl)
 | Focused (TWinControl)
pt | FontChanged (TControl)
pt | FontChanged (TWinControl)
pt | ForeignAnchorSideChanged (TControl)
pt | FormEndUpdated (TControl)
pt | FormEndUpdated (TWinControl)
 | FormIsUpdating (TControl)
 | FPOAttachObserver (TPersistent)
 | FPODetachObserver (TPersistent)
 | FPONotifyObservers (TPersistent)
 | Free (TObject)
 | FreeInstance (TObject)
 | FreeNotification (TComponent)
 | FreeOnRelease (TComponent)
 | GetAccessibleObject (TControl)
pt | GetAction (TControl)
pt | GetActionLinkClass (TControl)
pt | GetAdjustedLogicalClientRect (TWinControl)
 | GetAnchorsDependingOnParent (TControl)
pt | GetBorderStyle (TWinControl)
pt | GetCachedText (TControl)
 | GetCanvasScaleFactor (TControl)
 | GetChildAccessibleObjectAtPos (TControl)
 | GetChildOwner (TComponent)
 | GetChildParent (TComponent)
 | GetChildren (TComponent)
pt | GetChildren (TWinControl)
 | GetChildrenRect (TControl)
 | GetChildrenRect (TWinControl)
pt | GetClientOrigin (TControl)
pt | GetClientOrigin (TWinControl)
pt | GetClientRect (TControl)
pt | GetClientRect (TWinControl)
pt | GetClientScrollOffset (TControl)
 | GetColorResolvingParent (TControl)
 | GetComObject (TComponent)
 | GetComponent (TComponent)
 | GetComponentCount (TComponent)
 | GetComponentIndex (TComponent)
pt | GetControlClassDefaultSize (TControl)
pt | GetControlClassDefaultSize (TCustomProgressBar)
 | GetControlIndex (TWinControl)
pt | GetControlOrigin (TControl)
pt | GetControlOrigin (TWinControl)
pt | GetCursor (TControl)
 | GetDefaultColor (TControl)
pt | GetDefaultDockCaption (TControl)
 | GetDefaultHeight (TControl)
 | GetDefaultWidth (TControl)
pt | GetDeviceContext (TControl)
pt | GetDeviceContext (TWinControl)
 | GetDockCaption (TWinControl)
pt | GetDockEdge (TControl)
pt | GetDragImages (TControl)
pt | GetEnabled (TControl)
 | GetEnumerator (TComponent)
 | GetEnumeratorControls (TWinControl)
 | GetEnumeratorControlsReverse (TWinControl)
pt | GetFloating (TControl)
pt | GetFloatingDockSiteClass (TControl)
 | GetHashCode (TObject)
 | GetIDsOfNames (TComponent)
 | GetInterface (TObject)
 | GetInterfaceByStr (TObject)
 | GetInterfaceEntry (TObject)
 | GetInterfaceEntryByStr (TObject)
 | GetInterfaceTable (TObject)
 | GetInterfaceWeak (TObject)
pt | GetLogicalClientRect (TControl)
pt | GetMouseCapture (TControl)
pt | GetMouseCapture (TWinControl)
pt | GetMousePosFromMessage (TControl)
 | GetNamePath (TPersistent)
 | GetNamePath (TComponent)
 | GetOwner (TPersistent)
 | GetOwner (TComponent)
pt | GetPalette (TControl)
pt | GetParentBackground (TWinControl)
 | GetParentComponent (TComponent)
 | GetParentComponent (TControl)
pt | GetParentHandle (TWinControl)
pt | GetPopupMenu (TControl)
 | GetPreferredSize (TControl)
pt | GetPreferredSizeClientFrame (TWinControl)
 | GetRGBColorResolvingParent (TControl)
pt | GetScrolledClientRect (TControl)
 | GetSelectedChildAccessibleObject (TControl)
 | GetSidePosition (TControl)
pt | GetSiteInfo (TWinControl)
 | GetTabOrderList (TWinControl)
 | GetTextBuf (TControl)
 | GetTextLen (TControl)
 | GetTextLen (TWinControl)
 | GetTopParent (TControl)
pt | GetTopParentHandle (TWinControl)
 | GetTypeInfo (TComponent)
 | GetTypeInfoCount (TComponent)
pt | GetWSComponentClass (TLCLComponent)
 | HandleAllocated (TWinControl)
 | HandleNeeded (TWinControl)
 | HandleObjectShouldBeVisible (TControl)
 | HasHelp (TControl)
 | HasParent (TComponent)
 | HasParent (TControl)
pt | HeightIsAnchored (TControl)
 | Hide (TControl)
 | iicrGetComponent (TComponent)
 | IncLCLRefCount (TLCLComponent)
 | InheritsFrom (TObject)
pt | InitializeWnd (TWinControl)
pt | InitializeWnd (TCustomProgressBar)
 | InitiateAction (TControl)
 | InitInstance (TObject)
 | Insert (TComponent)
 | InsertComponent (TComponent)
 | InsertControl (TWinControl)
 | InstanceSize (TObject)
 | IntfGetDropFilesTarget (TWinControl)
 | IntfUTF8KeyPress (TWinControl)
 | Invalidate (TControl)
 | Invalidate (TWinControl)
pt | InvalidateBoundsRealized (TWinControl)
 | InvalidateClientRectCache (TWinControl)
pt | InvalidateControl (TControl)
pt | InvalidatePreferredChildSizes (TWinControl)
 | InvalidatePreferredSize (TControl)
 | Invoke (TComponent)
pt | IsAParentAligning (TControl)
pt | IsBorderSpacingInnerBorderStored (TControl)
pt | IsCaptionStored (TControl)
pt | IsClientHeightStored (TControl)
pt | IsClientHeightStored (TWinControl)
pt | IsClientWidthStored (TControl)
pt | IsClientWidthStored (TWinControl)
pt | IsControlMouseMsg (TWinControl)
 | IsControlVisible (TControl)
 | IsEnabled (TControl)
 | IsImplementorOf (TComponent)
 | IsParentColor (TControl)
 | IsParentFont (TControl)
 | IsParentOf (TControl)
 | IsProcessingPaintMsg (TControl)
 | IsRightToLeft (TControl)
 | IsVisible (TControl)
pt | KeyDown (TWinControl)
pt | KeyDownAfterInterface (TWinControl)
pt | KeyDownBeforeInterface (TWinControl)
pt | KeyPress (TWinControl)
pt | KeyUp (TWinControl)
pt | KeyUpAfterInterface (TWinControl)
pt | KeyUpBeforeInterface (TWinControl)
pt | LMCaptureChanged (TControl)
 | Loaded (TComponent)
pt | Loaded (TControl)
pt | Loaded (TWinControl)
pt | Loaded (TCustomProgressBar)
pt | LoadedAll (TControl)
 | Loading (TComponent)
 | LockRealizeBounds (TWinControl)
pt | MainWndProc (TWinControl)
 | ManualDock (TControl)
 | ManualFloat (TControl)
 | MethodAddress (TObject)
 | MethodName (TObject)
pt | MouseDown (TControl)
pt | MouseEnter (TControl)
pt | MouseLeave (TControl)
pt | MouseMove (TControl)
pt | MouseUp (TControl)
 | newinstance (TObject)
 | NewInstance (TLCLComponent)
 | Notification (TComponent)
pt | Notification (TControl)
 | NotifyControls (TWinControl)
pt | PaintControls (TWinControl)
pt | PaintHandler (TWinControl)
 | PaintTo (TWinControl)
pt | PaintWindow (TWinControl)
 | PaletteCreated (TComponent)
 | ParentDestroyingHandle (TControl)
pt | ParentFontChanged (TControl)
pt | ParentFormHandleInitialized (TControl)
pt | ParentFormHandleInitialized (TWinControl)
 | ParentHandlesAllocated (TControl)
 | ParentHandlesAllocated (TWinControl)
 | ParentToClient (TControl)
 | Perform (TControl)
 | PerformTab (TWinControl)
pt | PositionDockRect (TControl)
pt | QuadClick (TControl)
 | QueryInterface (TComponent)
 | ReadLeft (TComponent)
 | ReadState (TComponent)
pt | ReadState (TControl)
 | ReadTop (TComponent)
pt | RealGetText (TControl)
pt | RealGetText (TWinControl)
 | ReAlign (TWinControl)
pt | RealizeBounds (TWinControl)
pt | RealizeBoundsRecursive (TWinControl)
pt | RealSetText (TControl)
pt | RealSetText (TWinControl)
 | ReferenceInterface (TComponent)
 | Refresh (TControl)
pt | ReloadDockedControl (TWinControl)
 | Remove (TComponent)
 | RemoveAllHandlersOfObject (TLCLComponent)
 | RemoveAllHandlersOfObject (TControl)
 | RemoveComponent (TComponent)
 | RemoveControl (TWinControl)
pt | RemoveFocus (TWinControl)
 | RemoveFreeNotification (TComponent)
pt | RemoveHandler (TControl)
 | RemoveHandlerOnBeforeDestruction (TControl)
 | RemoveHandlerOnChangeBounds (TControl)
 | RemoveHandlerOnEnableChanging (TControl)
 | RemoveHandlerOnKeyDown (TControl)
 | RemoveHandlerOnMouseWheel (TControl)
 | RemoveHandlerOnResize (TControl)
 | RemoveHandlerOnVisibleChanged (TControl)
 | RemoveHandlerOnVisibleChanging (TControl)
 | RemoveNotification (TComponent)
 | Repaint (TControl)
 | Repaint (TWinControl)
 | ReplaceDockedControl (TControl)
pt | RequestAlign (TControl)
pt | Resize (TControl)
 | SafeCallException (TObject)
 | SafeCallException (TComponent)
 | Scale96ToFont (TControl)
 | Scale96ToForm (TControl)
 | Scale96ToScreen (TControl)
 | ScaleBy (TWinControl)
pt | ScaleConstraints (TControl)
pt | ScaleControls (TWinControl)
 | ScaleDesignToForm (TControl)
 | ScaleFontsPPI (TControl)
 | ScaleFontTo96 (TControl)
 | ScaleFontToScreen (TControl)
 | ScaleFormTo96 (TControl)
 | ScaleFormToDesign (TControl)
 | ScaleScreenTo96 (TControl)
 | ScaleScreenToFont (TControl)
 | ScreenToClient (TControl)
 | ScreenToControl (TControl)
 | ScrollBy (TWinControl)
 | ScrollBy_WS (TWinControl)
pt | SelectFirst (TWinControl)
 | SelectNext (TWinControl)
pt | SendDialogChar (TWinControl)
pt | SendMoveSizeMessages (TControl)
pt | SendMoveSizeMessages (TWinControl)
 | SendToBack (TControl)
pt | SetAction (TControl)
pt | SetAlign (TControl)
 | SetAncestor (TComponent)
pt | SetAnchors (TControl)
pt | SetAutoSize (TControl)
pt | SetBiDiMode (TControl)
pt | SetBorderStyle (TWinControl)
 | SetBounds (TControl)
 | SetBounds (TWinControl)
 | SetBoundsKeepBase (TControl)
 | SetChildOrder (TComponent)
pt | SetChildZPosition (TWinControl)
pt | SetColor (TControl)
pt | SetColor (TWinControl)
 | SetComponentIndex (TComponent)
 | SetControlIndex (TWinControl)
pt | SetCursor (TControl)
 | SetDesigning (TComponent)
 | SetDesignInstance (TComponent)
pt | SetDockManager (TWinControl)
pt | SetDragMode (TControl)
pt | SetEnabled (TControl)
 | SetFocus (TWinControl)
pt | SetHint (TControl)
 | SetInitialBounds (TControl)
 | SetInline (TComponent)
 | SetName (TComponent)
pt | SetName (TControl)
pt | SetParent (TControl)
pt | SetParentBackground (TWinControl)
pt | SetParentBiDiMode (TControl)
 | SetParentComponent (TComponent)
pt | SetParentComponent (TControl)
 | SetReference (TComponent)
 | SetShape (TWinControl)
 | SetSubComponent (TComponent)
 | SetTempCursor (TControl)
 | SetTempCursor (TWinControl)
 | SetTextBuf (TControl)
pt | SetVisible (TControl)
pt | SetZOrder (TControl)
 | ShouldAutoAdjust (TControl)
 | Show (TControl)
pt | ShowControl (TWinControl)
 | ShowHelp (TControl)
 | StepBy (TCustomProgressBar)
 | StepIt (TCustomProgressBar)
 | StringMessageTable (TObject)
pt | TextChanged (TControl)
 | ToString (TObject)
pt | TripleClick (TControl)
 | UnitName (TObject)
 | UnlockRealizeBounds (TWinControl)
 | Update (TControl)
 | Update (TWinControl)
 | UpdateAction (TComponent)
pt | UpdateAnchorRules (TControl)
 | UpdateBaseBounds (TControl)
pt | UpdateControlState (TWinControl)
 | Updated (TComponent)
 | UpdateDockCaption (TWinControl)
pt | UpdateMouseCursor (TControl)
 | UpdateRegistry (TComponent)
 | UpdateRolesForForm (TControl)
pt | UpdateShowing (TWinControl)
 | Updating (TComponent)
 | UseRightToLeftAlignment (TControl)
 | UseRightToLeftReading (TControl)
 | UseRightToLeftScrollBar (TControl)
pt | UTF8KeyPress (TWinControl)
 | ValidateContainer (TComponent)
 | ValidateInsert (TComponent)
 | ValidateRename (TComponent)
pt | VisibleChanged (TControl)
pt | VisibleChanging (TControl)
pt | WidthIsAnchored (TControl)
pt | WMCancelMode (TControl)
pt | WMChar (TWinControl)
pt | WMContextMenu (TControl)
pt | WMContextMenu (TWinControl)
pt | WMDestroy (TWinControl)
pt | WMEnter (TWinControl)
pt | WMEraseBkgnd (TWinControl)
pt | WMExit (TWinControl)
pt | WMKeyDown (TWinControl)
pt | WMKeyUp (TWinControl)
pt | WMKillFocus (TWinControl)
pt | WMLButtonDBLCLK (TControl)
pt | WMLButtonDown (TControl)
pt | WMLButtonQuadCLK (TControl)
pt | WMLButtonTripleCLK (TControl)
pt | WMLButtonUp (TControl)
pt | WMMButtonDBLCLK (TControl)
pt | WMMButtonDown (TControl)
pt | WMMButtonQuadCLK (TControl)
pt | WMMButtonTripleCLK (TControl)
pt | WMMButtonUp (TControl)
pt | WMMouseHWheel (TControl)
pt | WMMouseMove (TControl)
pt | WMMouseWheel (TControl)
pt | WMMove (TControl)
pt | WMMove (TWinControl)
pt | WMNotify (TWinControl)
pt | WMPaint (TWinControl)
pt | WMRButtonDBLCLK (TControl)
pt | WMRButtonDown (TControl)
pt | WMRButtonQuadCLK (TControl)
pt | WMRButtonTripleCLK (TControl)
pt | WMRButtonUp (TControl)
pt | WMSetFocus (TWinControl)
pt | WMShowWindow (TWinControl)
pt | WMSize (TControl)
pt | WMSize (TWinControl)
pt | WMSysChar (TWinControl)
pt | WMSysKeyDown (TWinControl)
pt | WMSysKeyUp (TWinControl)
pt | WMWindowPosChanged (TControl)
pt | WMWindowPosChanged (TWinControl)
pt | WMXButtonDBLCLK (TControl)
pt | WMXButtonDown (TControl)
pt | WMXButtonQuadCLK (TControl)
pt | WMXButtonTripleCLK (TControl)
pt | WMXButtonUp (TControl)
pt | WndProc (TControl)
pt | WndProc (TWinControl)
 | WriteLayoutDebugReport (TControl)
 | WriteLayoutDebugReport (TWinControl)
 | WriteLeft (TComponent)
 | WriteState (TComponent)
 | WriteTop (TComponent)
pt | WSRegisterClass (TLCLComponent)
pt | WSRegisterClass (TControl)
pt | WSRegisterClass (TWinControl)
pt | WSRegisterClass (TCustomProgressBar)
pt | WSSetText (TWinControl)
 | _AddRef (TComponent)
 | _Release (TComponent)


TCustomProgressBar
TWinControl
pt | OnGetSiteInfo
pt | OnGetDockCaption
 | OnAlignInsertBefore
 | OnAlignPosition
 | OnDockDrop
 | OnDockOver
 | OnEnter
 | OnExit
 | OnKeyDown
 | OnKeyPress
 | OnKeyUp
 | OnUnDock
 | OnUTF8KeyPress
TControl
pt | OnConstrainedResize
pt | OnContextPopup
pt | OnDblClick
pt | OnTripleClick
pt | OnQuadClick
pt | OnDragDrop
pt | OnDragOver
pt | OnEndDock
pt | OnEndDrag
pt | OnMouseDown
pt | OnMouseMove
pt | OnMouseUp
pt | OnMouseEnter
pt | OnMouseLeave
pt | OnMouseWheel
pt | OnMouseWheelDown
pt | OnMouseWheelUp
pt | OnMouseWheelHorz
pt | OnMouseWheelLeft
pt | OnMouseWheelRight
pt | OnStartDock
pt | OnStartDrag
pt | OnEditingDone
 | OnChangeBounds
 | OnClick
 | OnResize
 | OnShowHint
TLCLComponent
TComponent
TPersistent
TObject


 | OnAlignInsertBefore (TWinControl)
 | OnAlignPosition (TWinControl)
 | OnChangeBounds (TControl)
 | OnClick (TControl)
pt | OnConstrainedResize (TControl)
pt | OnContextPopup (TControl)
pt | OnDblClick (TControl)
 | OnDockDrop (TWinControl)
 | OnDockOver (TWinControl)
pt | OnDragDrop (TControl)
pt | OnDragOver (TControl)
pt | OnEditingDone (TControl)
pt | OnEndDock (TControl)
pt | OnEndDrag (TControl)
 | OnEnter (TWinControl)
 | OnExit (TWinControl)
pt | OnGetDockCaption (TWinControl)
pt | OnGetSiteInfo (TWinControl)
 | OnKeyDown (TWinControl)
 | OnKeyPress (TWinControl)
 | OnKeyUp (TWinControl)
pt | OnMouseDown (TControl)
pt | OnMouseEnter (TControl)
pt | OnMouseLeave (TControl)
pt | OnMouseMove (TControl)
pt | OnMouseUp (TControl)
pt | OnMouseWheel (TControl)
pt | OnMouseWheelDown (TControl)
pt | OnMouseWheelHorz (TControl)
pt | OnMouseWheelLeft (TControl)
pt | OnMouseWheelRight (TControl)
pt | OnMouseWheelUp (TControl)
pt | OnQuadClick (TControl)
 | OnResize (TControl)
 | OnShowHint (TControl)
pt | OnStartDock (TControl)
pt | OnStartDrag (TControl)
pt | OnTripleClick (TControl)
 | OnUnDock (TWinControl)
 | OnUTF8KeyPress (TWinControl)


TCustomProgressBar.ApplyChanges

ApplyChanges - apply any changes that have occurred

Declaration

Source position: comctrls.pp line 1790

protected procedure TCustomProgressBar.ApplyChanges;


TCustomProgressBar.BarShowText

BarShowText - some widget sets allow text to be displayed on the bar to indicate its position (e.g. 32%)

Declaration

Source position: comctrls.pp line 1806

public property TCustomProgressBar.BarShowText : Boolean
  read FBarShowText
  write SetBarShowText
  default False;


TCustomProgressBar.Create

Create - constructor for TCustomProgressBar: calls inherited Create, initialises position, orientation and size

Declaration

Source position: comctrls.pp line 1795

public constructor TCustomProgressBar.Create(

  AOwner: TComponent

); override;

See also

TComponent.Create

TWinControl.Create


TCustomProgressBar.GetControlClassDefaultSize

GetControlClassDefaultSize returns its own defaults, overriding inherited values

Declaration

Source position: comctrls.pp line 1793

protected class function TCustomProgressBar.GetControlClassDefaultSize: TSize; override;

See also

TControl.GetControlClassDefaultSize

Returns the default size for this class of controls (when added to a form).


TCustomProgressBar.InitializeWnd

InitializeWnd calls inherited method then applies changes

Declaration

Source position: comctrls.pp line 1791

protected procedure TCustomProgressBar.InitializeWnd; override;

See also

TWinControl.InitializeWnd

Copies cached control properties to the just created widget.


TCustomProgressBar.Loaded

Loaded calls inherited method then applies changes

Declaration

Source position: comctrls.pp line 1792

protected procedure TCustomProgressBar.Loaded; override;

See also

TWinControl.Loaded

Called when the control has been loaded from a resource, transfers the loaded property values to the widget.


TCustomProgressBar.Max

Max - maximum value for progressbar

Declaration

Source position: comctrls.pp line 1799

public property TCustomProgressBar.Max : Integer
  read GetMax
  write SetMax
  default 100;


TCustomProgressBar.Min

Min - minimum value of progressbar

Declaration

Source position: comctrls.pp line 1800

public property TCustomProgressBar.Min : Integer
  read GetMin
  write SetMin
  default 0;


TCustomProgressBar.Orientation

Orientation - horizontal or vertical

Declaration

Source position: comctrls.pp line 1801

public property TCustomProgressBar.Orientation : TProgressBarOrientation
  read FOrientation
  write SetOrientation
  default pbHorizontal;


TCustomProgressBar.Position

Position of indicator along progressbar

Declaration

Source position: comctrls.pp line 1802

public property TCustomProgressBar.Position : Integer
  read GetPosition
  write SetPosition
  default 0;


TCustomProgressBar.Smooth

Whether Smooth display (True) or stepped

Declaration

Source position: comctrls.pp line 1803

public property TCustomProgressBar.Smooth : Boolean
  read FSmooth
  write SetSmooth
  default False;


TCustomProgressBar.Step

Step - size of increment for display

Declaration

Source position: comctrls.pp line 1804

public property TCustomProgressBar.Step : Integer
  read FStep
  write SetStep
  default 10;


TCustomProgressBar.StepBy

StepBy - move indicator by amount specified in Delta

Declaration

Source position: comctrls.pp line 1797

public procedure TCustomProgressBar.StepBy(

  Delta: Integer

);


TCustomProgressBar.StepIt

StepIt - move indicator to new position (current position plus Step)

Declaration

Source position: comctrls.pp line 1796

public procedure TCustomProgressBar.StepIt;


TCustomProgressBar.Style

Declaration

Source position: comctrls.pp line 1805

public property TCustomProgressBar.Style : TProgressBarStyle
  read FStyle
  write SetStyle
  default pbstNormal;


TCustomTabControl

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

TCustomTabControl - base class for TTabControl, a series of Tabs along the edge of a display area; selection of a Tab governs the contents of the DisplayRect

Declaration

Source position: comctrls.pp line 373

type TCustomTabControl = class(TWinControl)
protected
PageClass: TCustomPageClass; | PageClass - the class of page that is included in this NoteBook
procedure DoAutoAdjustLayout(); override;
function GetPageClass; virtual;
function GetListClass; virtual;
procedure SetOptions(); virtual; |
procedure AddRemovePageHandle(); virtual; |
procedure CNNotify(); message; |
class procedure WSRegisterClass; override; | Registers this component class with the current WidgetSet.
procedure CreateWnd; override; | Creates the interface object (widget) and assigns it to Handle.
procedure Loaded; override; | Called when the control has been loaded from a resource, transfers the loaded property values to the widget.
procedure DoChange; virtual;
procedure InitializeWnd; override;
procedure Change; virtual; | Change - software emulation of the OnChange event
procedure KeyDown(); override;
procedure ReadState(); override; |
function DialogChar(); override; | Do something useful with accelerators etc.
procedure InternalSetPageIndex();
procedure ShowControl(); override; | Asks the parent to show ourself.
function IndexOfTabAt(); | IndexOfTabAt - returns the index value of the Tab located at specified X, Y
function IndexOfPageAt();
procedure UpdateTabProperties; virtual; | UpdateTabProperties - apply all pending changes to the Tab
class function GetControlClassDefaultSize; override; | GetControlClassDefaultSize returns its own defaults, overriding inherited values
procedure Notification(); override; | Notification handler for insertion or deletion of components.
property ActivePageComponent: TCustomPage; [rw] | ActivePageComponent - the actual contents of the currently selected Page
property ActivePage: string; [rws] | ActivePage - the name (string) of the Page that is currently selected and is available for interaction
function GetPage(); virtual; |
function GetPageCount; virtual; |
procedure InsertPage(); virtual; |
procedure RemovePage(); virtual; |
function CanChange; virtual; | CanChange - returns True if the control can be changed
property DisplayRect: TRect; [r] | DisplayRect - the rectangular area to be used for displaying information determined by the identity of the selected Tab
property HotTrack: Boolean; [rw] | HotTrack - the property whereby the item under the mouse pointer becomes emphasised
property MultiSelect: Boolean; [rw] | MultiSelect - whether multiple Tabs are allowed to be selected at the same time (e.g. by pressing Shift or Ctrl while selecting)
property OwnerDraw: Boolean; [rw] | OwnerDraw - is the calling routine (Owner) allowed to specify the drawing method?
property RaggedRight: Boolean; [rw] | RaggedRight - un-justified or un-aligned text
property ScrollOpposite: Boolean; [rw] | ScrollOpposite - is scrolling to happen in the opposite direction to usual?
property Style: TTabStyle; [rw] | Style - Tabs, buttons or flat buttons?
property Tabs: TStrings; [rw] | Tabs - the actual Tabs expressed as strings
property TabIndex: Integer; [rw] | TabIndex - index value of current Tab. If none selected, default value of -1 is returned
property OnChange: TNotifyEvent; [rw] | OnChange - event handler for a change in the Tabs
public
constructor Create(); override; | Create - constructor for TCustomTabControl: calls inherited Create, sets initial bounds, forms links and sets some defaults
destructor Destroy; override; | Destroy - destructor for TCustomTabControl: frees links and tabs, then calls inherited Destroy
function TabRect(); | TabRect - the rectangle occupied by the specified Tab
function GetImageIndex(); virtual; | GetImageIndex - software emulation of the OnGetImageIndex event
function IndexOf(); virtual; | IndexOf - returns the index value of a specified page
function CustomPage(); | CustomPage - returns the page specified by Index
function CanChangePageIndex; virtual; | CanChangePageIndex - determine whether it is permissible to change the index of the page
function GetMinimumTabWidth; virtual; | GetMinimumTabWidth - find the smallest permissible tab width
function GetMinimumTabHeight; virtual; | GetMinimumTabHeight - find the least permissible height for a tab
function GetCapabilities; virtual; | GetCapabilities - returns the set of capabilities
function TabToPageIndex();
function PageToTabIndex();
procedure DoCloseTabClicked(); virtual; | DoCloseTabClicked - perform the action associated with clicking the Close tab for this page (OnCloseTabClicked)
property Images: TCustomImageList; [rw] | Images - the list of Images available for display in the DisplayRect
property ImagesWidth: Integer; [rw]
property MultiLine: Boolean; [rw] | MultiLine - whether the Tab's caption is allowed to have multiple lines
property OnChanging: TTabChangingEvent; [rw] | OnChanging - event handler while Tab is changing
property OnCloseTabClicked: TNotifyEvent; [rw] | OnCloseTabClicked - event handler for clicking on the Close button to close a tab
property OnGetImageIndex: TTabGetImageEvent; [rw] | OnGetImageIndex - event handler for finding the index value of the required image
property Options: TCTabControlOptions; [rw] | The set of Options for the Notebook: Show close buttons on the tabs, multi-line tabs
property Page []: TCustomPage; [r] | The current Page of the Notebook
property PageCount: Integer; [r] | PageCount - the number of Pages in the Notebook
property PageIndex: Integer; [rw] | PageIndex - Index number of the current page
property Pages: TStrings; [rw] | The contents of the Pages in the Notebook (as Strings)
property ShowTabs: Boolean; [rw] | ShowTabs - if True (default condition), show the tabs for each page
property TabHeight: SmallInt; [rw] | TabHeight - height of the tabs
property TabPosition: TTabPosition; [rw] | TabPosition - top, bottom, left or right
property TabWidth: SmallInt; [rw] | TabWidth - width of the tabs
published
property TabStop: Boolean; | Allows the user to navigate to this control, by pressing the Tab key.
end;

Inheritance

TCustomTabControl | TCustomTabControl - base class for TTabControl, a series of Tabs along the edge of a display area; selection of a Tab governs the contents of the DisplayRect
|
TWinControl | The base class for controls which can contain other (child) controls.
|
TControl | The base class for visible controls.
|
TLCLComponent | The base class for LCL components associated with widgets.
|
TComponent,IUnknown,IInterfaceComponentReference
|
TPersistent,IFPObserved
|
TObject

Description

TCustomTabControl - base class for TTabControl, a series of Tabs along the edge of a display area; selection of a Tab governs the contents of the DisplayRect

See also

Multi-PageControls

Multi-PageControls - controls that offer a selection of alternative pages for display


TCustomTabControl
pt |  | ActivePageComponent
pt |  | ActivePage
pt | ro | DisplayRect
pt |  | HotTrack
pt |  | MultiSelect
pt |  | OwnerDraw
pt |  | RaggedRight
pt |  | ScrollOpposite
pt |  | Style
pt |  | Tabs
pt |  | TabIndex
 |  | Images
 |  | ImagesWidth
 |  | MultiLine
 |  | Options
 | ro | Page
 | ro | PageCount
 |  | PageIndex
 |  | Pages
 |  | ShowTabs
 |  | TabHeight
 |  | TabPosition
 |  | TabWidth
pl | ro | TabStop
TWinControl
pt |  | WindowHandle
pt |  | BorderStyle
pt |  | ParentBackground
 |  | BorderWidth
 | ro | BoundsLockCount
 | ro | Brush
 | ro | CachedClientHeight
 | ro | CachedClientWidth
 |  | ChildSizing
 | ro | ControlCount
 | ro | Controls
 |  | DefWndProc
 | ro | DockClientCount
 | ro | DockClients
 |  | DockManager
 |  | DockSite
 |  | DoubleBuffered
 |  | Handle
 | ro | IsFlipped
 | ro | IsResizing
 |  | TabOrder
 |  | TabStop
 |  | ParentDoubleBuffered
 |  | ParentWindow
 | ro | Showing
 |  | UseDockManager
 |  | DesignerDeleting
 | ro | VisibleDockClientCount
TControl
pt | ro | AutoSizing
pt | ro | AutoSizingAll
pt | ro | AutoSizingLockCount
pt |  | ActionLink
pt |  | DesktopFont
pt |  | DragCursor
pt |  | DragKind
pt |  | DragMode
pt |  | MouseCapture
pt |  | ParentColor
pt |  | ParentFont
pt |  | ParentShowHint
pt |  | SessionProperties
pt |  | Text
 | ro | AnchoredControls
 | ro | BaseBounds
 | ro | ReadBounds
 | ro | BaseParentClientSize
 |  | AccessibleDescription
 |  | AccessibleValue
 |  | AccessibleRole
 |  | Action
 |  | Align
 |  | Anchors
 | ro | AnchorSide
 |  | AutoSize
 |  | BorderSpacing
 |  | BoundsRect
 |  | BoundsRectForNewParent
 |  | Caption
 |  | CaptureMouseButtons
 |  | ClientHeight
 | ro | ClientOrigin
 | ro | ClientRect
 |  | ClientWidth
 |  | Color
 |  | Constraints
 | ro | ControlOrigin
 |  | ControlState
 |  | ControlStyle
 |  | Enabled
 |  | Font
 |  | IsControl
 | ro | MouseEntered
 | ro | MouseInClient
 |  | Parent
 |  | PopupMenu
 |  | ShowHint
 |  | Visible
 |  | WindowProc
 |  | DockOrientation
 | ro | Floating
 |  | FloatingDockSiteClass
 |  | HostDockSite
 |  | LRDockWidth
 |  | TBDockHeight
 |  | UndockHeight
 |  | UndockWidth
 |  | BiDiMode
 |  | ParentBiDiMode
pl |  | AnchorSideLeft
pl |  | AnchorSideTop
pl |  | AnchorSideRight
pl |  | AnchorSideBottom
pl |  | Cursor
pl |  | Left
pl |  | Height
pl |  | Hint
pl |  | Top
pl |  | Width
pl |  | HelpType
pl |  | HelpKeyword
pl |  | HelpContext
TLCLComponent
 | ro | LCLRefCount
 | ro | WidgetSetClass
TComponent
 | ro | ComObject
 | ro | Components
 | ro | ComponentCount
 |  | ComponentIndex
 | ro | ComponentState
 | ro | ComponentStyle
 |  | DesignInfo
 | ro | Owner
 |  | VCLComObject
 |  | Name
 |  | Tag
TPersistent
TObject


 |  | AccessibleDescription (TControl)
 |  | AccessibleRole (TControl)
 |  | AccessibleValue (TControl)
 |  | Action (TControl)
pt |  | ActionLink (TControl)
pt |  | ActivePage (TCustomTabControl)
pt |  | ActivePageComponent (TCustomTabControl)
 |  | Align (TControl)
 | ro | AnchoredControls (TControl)
 |  | Anchors (TControl)
 | ro | AnchorSide (TControl)
pl |  | AnchorSideBottom (TControl)
pl |  | AnchorSideLeft (TControl)
pl |  | AnchorSideRight (TControl)
pl |  | AnchorSideTop (TControl)
 |  | AutoSize (TControl)
pt | ro | AutoSizing (TControl)
pt | ro | AutoSizingAll (TControl)
pt | ro | AutoSizingLockCount (TControl)
 | ro | BaseBounds (TControl)
 | ro | BaseParentClientSize (TControl)
 |  | BiDiMode (TControl)
 |  | BorderSpacing (TControl)
pt |  | BorderStyle (TWinControl)
 |  | BorderWidth (TWinControl)
 | ro | BoundsLockCount (TWinControl)
 |  | BoundsRect (TControl)
 |  | BoundsRectForNewParent (TControl)
 | ro | Brush (TWinControl)
 | ro | CachedClientHeight (TWinControl)
 | ro | CachedClientWidth (TWinControl)
 |  | Caption (TControl)
 |  | CaptureMouseButtons (TControl)
 |  | ChildSizing (TWinControl)
 |  | ClientHeight (TControl)
 | ro | ClientOrigin (TControl)
 | ro | ClientRect (TControl)
 |  | ClientWidth (TControl)
 |  | Color (TControl)
 | ro | ComObject (TComponent)
 | ro | ComponentCount (TComponent)
 |  | ComponentIndex (TComponent)
 | ro | Components (TComponent)
 | ro | ComponentState (TComponent)
 | ro | ComponentStyle (TComponent)
 |  | Constraints (TControl)
 | ro | ControlCount (TWinControl)
 | ro | ControlOrigin (TControl)
 | ro | Controls (TWinControl)
 |  | ControlState (TControl)
 |  | ControlStyle (TControl)
pl |  | Cursor (TControl)
 |  | DefWndProc (TWinControl)
 |  | DesignerDeleting (TWinControl)
 |  | DesignInfo (TComponent)
pt |  | DesktopFont (TControl)
pt | ro | DisplayRect (TCustomTabControl)
 | ro | DockClientCount (TWinControl)
 | ro | DockClients (TWinControl)
 |  | DockManager (TWinControl)
 |  | DockOrientation (TControl)
 |  | DockSite (TWinControl)
 |  | DoubleBuffered (TWinControl)
pt |  | DragCursor (TControl)
pt |  | DragKind (TControl)
pt |  | DragMode (TControl)
 |  | Enabled (TControl)
 | ro | Floating (TControl)
 |  | FloatingDockSiteClass (TControl)
 |  | Font (TControl)
 |  | Handle (TWinControl)
pl |  | Height (TControl)
pl |  | HelpContext (TControl)
pl |  | HelpKeyword (TControl)
pl |  | HelpType (TControl)
pl |  | Hint (TControl)
 |  | HostDockSite (TControl)
pt |  | HotTrack (TCustomTabControl)
 |  | Images (TCustomTabControl)
 |  | ImagesWidth (TCustomTabControl)
 |  | IsControl (TControl)
 | ro | IsFlipped (TWinControl)
 | ro | IsResizing (TWinControl)
 | ro | LCLRefCount (TLCLComponent)
pl |  | Left (TControl)
 |  | LRDockWidth (TControl)
pt |  | MouseCapture (TControl)
 | ro | MouseEntered (TControl)
 | ro | MouseInClient (TControl)
 |  | MultiLine (TCustomTabControl)
pt |  | MultiSelect (TCustomTabControl)
 |  | Name (TComponent)
 |  | Options (TCustomTabControl)
 | ro | Owner (TComponent)
pt |  | OwnerDraw (TCustomTabControl)
 | ro | Page (TCustomTabControl)
 | ro | PageCount (TCustomTabControl)
 |  | PageIndex (TCustomTabControl)
 |  | Pages (TCustomTabControl)
 |  | Parent (TControl)
pt |  | ParentBackground (TWinControl)
 |  | ParentBiDiMode (TControl)
pt |  | ParentColor (TControl)
 |  | ParentDoubleBuffered (TWinControl)
pt |  | ParentFont (TControl)
pt |  | ParentShowHint (TControl)
 |  | ParentWindow (TWinControl)
 |  | PopupMenu (TControl)
pt |  | RaggedRight (TCustomTabControl)
 | ro | ReadBounds (TControl)
pt |  | ScrollOpposite (TCustomTabControl)
pt |  | SessionProperties (TControl)
 |  | ShowHint (TControl)
 | ro | Showing (TWinControl)
 |  | ShowTabs (TCustomTabControl)
pt |  | Style (TCustomTabControl)
 |  | TabHeight (TCustomTabControl)
pt |  | TabIndex (TCustomTabControl)
 |  | TabOrder (TWinControl)
 |  | TabPosition (TCustomTabControl)
pt |  | Tabs (TCustomTabControl)
 |  | TabStop (TWinControl)
pl | ro | TabStop (TCustomTabControl)
 |  | TabWidth (TCustomTabControl)
 |  | Tag (TComponent)
 |  | TBDockHeight (TControl)
pt |  | Text (TControl)
pl |  | Top (TControl)
 |  | UndockHeight (TControl)
 |  | UndockWidth (TControl)
 |  | UseDockManager (TWinControl)
 |  | VCLComObject (TComponent)
 |  | Visible (TControl)
 | ro | VisibleDockClientCount (TWinControl)
 | ro | WidgetSetClass (TLCLComponent)
pl |  | Width (TControl)
pt |  | WindowHandle (TWinControl)
 |  | WindowProc (TControl)


TCustomTabControl
pt | DoAutoAdjustLayout
pt | GetPageClass
pt | GetListClass
pt | SetOptions
pt | AddRemovePageHandle
pt | CNNotify
pt | WSRegisterClass
pt | CreateWnd
pt | Loaded
pt | DoChange
pt | InitializeWnd
pt | Change
pt | KeyDown
pt | ReadState
pt | DialogChar
pt | InternalSetPageIndex
pt | ShowControl
pt | IndexOfTabAt
pt | IndexOfPageAt
pt | UpdateTabProperties
pt | GetControlClassDefaultSize
pt | Notification
pt | GetPage
pt | GetPageCount
pt | InsertPage
pt | RemovePage
pt | CanChange
 | Create
 | Destroy
 | TabRect
 | GetImageIndex
 | IndexOf
 | CustomPage
 | CanChangePageIndex
 | GetMinimumTabWidth
 | GetMinimumTabHeight
 | GetCapabilities
 | TabToPageIndex
 | PageToTabIndex
 | DoCloseTabClicked
TWinControl
pt | WSRegisterClass
pt | AdjustClientRect
pt | GetAdjustedLogicalClientRect
pt | AlignControls
pt | CustomAlignInsertBefore
pt | CustomAlignPosition
pt | DoAlignChildControls
pt | DoChildSizingChange
pt | InvalidatePreferredChildSizes
pt | CanTab
pt | IsClientHeightStored
pt | IsClientWidthStored
pt | DoSendShowHideToInterface
pt | ControlsAligned
pt | DoSendBoundsToInterface
pt | RealizeBounds
pt | RealizeBoundsRecursive
pt | InvalidateBoundsRealized
pt | CreateSubClass
pt | DoConstraintsChange
pt | DoSetBounds
pt | DoAutoSize
pt | DoAllAutoSize
pt | AllAutoSized
pt | CalculatePreferredSize
pt | GetPreferredSizeClientFrame
pt | GetChildren
pt | ChildClassAllowed
pt | PaintControls
pt | PaintHandler
pt | PaintWindow
pt | CreateBrush
pt | ScaleControls
pt | ChangeScale
pt | CMBiDiModeChanged
pt | CMBorderChanged
pt | CMDoubleBufferedChanged
pt | CMEnabledChanged
pt | CMParentDoubleBufferedChanged
pt | CMShowingChanged
pt | CMShowHintChanged
pt | CMVisibleChanged
pt | CMEnter
pt | CMExit
pt | WMContextMenu
pt | WMEraseBkgnd
pt | WMNotify
pt | WMSetFocus
pt | WMKillFocus
pt | WMShowWindow
pt | WMEnter
pt | WMExit
pt | WMKeyDown
pt | WMSysKeyDown
pt | WMKeyUp
pt | WMSysKeyUp
pt | WMChar
pt | WMSysChar
pt | WMPaint
pt | WMDestroy
pt | WMMove
pt | WMSize
pt | WMWindowPosChanged
pt | CNKeyDown
pt | CNSysKeyDown
pt | CNKeyUp
pt | CNSysKeyUp
pt | CNChar
pt | DoDragMsg
pt | DoDockClientMsg
pt | DoUndockClientMsg
pt | DoAddDockClient
pt | DockOver
pt | DoDockOver
pt | DoRemoveDockClient
pt | DoUnDock
pt | GetSiteInfo
pt | GetParentHandle
pt | GetTopParentHandle
pt | ReloadDockedControl
pt | CreateDockManager
pt | SetDockManager
pt | DoFloatMsg
pt | DoGetDockCaption
pt | DoEnter
pt | DoExit
pt | DoKeyDownBeforeInterface
pt | DoRemainingKeyDown
pt | DoRemainingKeyUp
pt | DoKeyPress
pt | DoUTF8KeyPress
pt | DoKeyUpBeforeInterface
pt | ChildKey
pt | SendDialogChar
pt | DialogChar
pt | ControlKeyDown
pt | ControlKeyUp
pt | KeyDown
pt | KeyDownBeforeInterface
pt | KeyDownAfterInterface
pt | KeyPress
pt | KeyUp
pt | KeyUpBeforeInterface
pt | KeyUpAfterInterface
pt | UTF8KeyPress
pt | FindNextControl
pt | SelectFirst
pt | RealGetText
pt | GetBorderStyle
pt | GetClientOrigin
pt | GetClientRect
pt | GetControlOrigin
pt | GetDeviceContext
pt | GetParentBackground
pt | IsControlMouseMsg
pt | CreateHandle
pt | CreateParams
pt | CreateWnd
pt | DestroyHandle
pt | DestroyWnd
pt | DoFlipChildren
pt | FinalizeWnd
pt | FixupTabList
pt | FontChanged
pt | InitializeWnd
pt | Loaded
pt | FormEndUpdated
pt | MainWndProc
pt | ParentFormHandleInitialized
pt | ChildHandlesCreated
pt | GetMouseCapture
pt | RealSetText
pt | RemoveFocus
pt | SendMoveSizeMessages
pt | SetBorderStyle
pt | SetColor
pt | SetChildZPosition
pt | SetParentBackground
pt | ShowControl
pt | UpdateControlState
pt | UpdateShowing
pt | WndProc
pt | WSSetText
 | AutoSizePhases
 | AutoSizeDelayed
 | AutoSizeDelayedReport
 | AutoSizeDelayedHandle
 | BeginUpdateBounds
 | EndUpdateBounds
 | LockRealizeBounds
 | UnlockRealizeBounds
 | ControlAtPos
 | ContainsControl
 | DoAdjustClientRectChange
 | InvalidateClientRectCache
 | ClientRectNeedsInterfaceUpdate
 | SetBounds
 | GetChildrenRect
 | DisableAlign
 | EnableAlign
 | ReAlign
 | ScrollBy_WS
 | ScrollBy
 | WriteLayoutDebugReport
 | AutoAdjustLayout
 | Create
 | CreateParented
 | CreateParentedControl
 | Destroy
 | DockDrop
 | CanFocus
 | CanSetFocus
 | GetControlIndex
 | SetControlIndex
 | Focused
 | PerformTab
 | FindChildControl
 | SelectNext
 | SetTempCursor
 | BroadCast
 | NotifyControls
 | DefaultHandler
 | GetTextLen
 | Invalidate
 | AddControl
 | InsertControl
 | RemoveControl
 | GetEnumeratorControls
 | GetEnumeratorControlsReverse
 | Repaint
 | Update
 | SetFocus
 | FlipChildren
 | ScaleBy
 | GetDockCaption
 | UpdateDockCaption
 | GetTabOrderList
 | HandleAllocated
 | ParentHandlesAllocated
 | HandleNeeded
 | BrushCreated
 | EraseBackground
 | IntfUTF8KeyPress
 | IntfGetDropFilesTarget
 | PaintTo
 | SetShape
TControl
pt | WSRegisterClass
pt | GetCursor
pt | SetCursor
pt | SetVisible
pt | DoOnParentHandleDestruction
pt | DoAutoSize
pt | DoAllAutoSize
pt | BeginAutoSizing
pt | EndAutoSizing
pt | AnchorSideChanged
pt | ForeignAnchorSideChanged
pt | SetAlign
pt | SetAnchors
pt | SetAutoSize
pt | BoundsChanged
pt | CreateControlBorderSpacing
pt | DoConstraintsChange
pt | DoBorderSpacingChange
pt | IsBorderSpacingInnerBorderStored
pt | IsCaptionStored
pt | SendMoveSizeMessages
pt | ConstrainedResize
pt | CalculatePreferredSize
pt | DoOnResize
pt | DoOnChangeBounds
pt | CheckOnChangeBounds
pt | Resize
pt | RequestAlign
pt | UpdateAnchorRules
pt | ChangeBounds
pt | DoSetBounds
pt | ScaleConstraints
pt | ChangeScale
pt | CanAutoSize
pt | SetBiDiMode
pt | SetParentBiDiMode
pt | IsAParentAligning
pt | GetClientOrigin
pt | GetClientRect
pt | GetLogicalClientRect
pt | GetScrolledClientRect
pt | GetClientScrollOffset
pt | GetControlOrigin
pt | IsClientHeightStored
pt | IsClientWidthStored
pt | WidthIsAnchored
pt | HeightIsAnchored
pt | WMCancelMode
pt | WMContextMenu
pt | WMLButtonDown
pt | WMRButtonDown
pt | WMMButtonDown
pt | WMXButtonDown
pt | WMLButtonDBLCLK
pt | WMRButtonDBLCLK
pt | WMMButtonDBLCLK
pt | WMXButtonDBLCLK
pt | WMLButtonTripleCLK
pt | WMRButtonTripleCLK
pt | WMMButtonTripleCLK
pt | WMXButtonTripleCLK
pt | WMLButtonQuadCLK
pt | WMRButtonQuadCLK
pt | WMMButtonQuadCLK
pt | WMXButtonQuadCLK
pt | WMMouseMove
pt | WMLButtonUp
pt | WMRButtonUp
pt | WMMButtonUp
pt | WMXButtonUp
pt | WMMouseWheel
pt | WMMouseHWheel
pt | WMMove
pt | WMSize
pt | WMWindowPosChanged
pt | CMChanged
pt | LMCaptureChanged
pt | CMBiDiModeChanged
pt | CMSysFontChanged
pt | CMEnabledChanged
pt | CMHitTest
pt | CMMouseEnter
pt | CMMouseLeave
pt | CMHintShow
pt | CMParentBiDiModeChanged
pt | CMParentColorChanged
pt | CMParentFontChanged
pt | CMParentShowHintChanged
pt | CMVisibleChanged
pt | CMTextChanged
pt | CMCursorChanged
pt | CalculateDockSizes
pt | CreateFloatingDockSite
pt | GetDockEdge
pt | GetDragImages
pt | GetFloating
pt | GetFloatingDockSiteClass
pt | BeforeDragStart
pt | BeginAutoDrag
pt | DoFloatMsg
pt | DockTrackNoTarget
pt | DoDock
pt | DoDragMsg
pt | DoEndDock
pt | DoEndDrag
pt | DoStartDock
pt | DoStartDrag
pt | DragCanceled
pt | DragOver
pt | PositionDockRect
pt | SetDragMode
pt | GetDefaultDockCaption
pt | Click
pt | DblClick
pt | TripleClick
pt | QuadClick
pt | GetMousePosFromMessage
pt | MouseDown
pt | MouseMove
pt | MouseUp
pt | MouseEnter
pt | MouseLeave
pt | DialogChar
pt | UpdateMouseCursor
pt | Changed
pt | GetPalette
pt | ChildClassAllowed
pt | ReadState
pt | Loaded
pt | LoadedAll
pt | DefineProperties
pt | AssignTo
pt | FormEndUpdated
pt | InvalidateControl
pt | FontChanged
pt | ParentFontChanged
pt | GetAction
pt | RealGetText
pt | RealSetText
pt | TextChanged
pt | GetCachedText
pt | SetAction
pt | SetColor
pt | SetEnabled
pt | SetHint
pt | SetName
pt | SetParent
pt | SetParentComponent
pt | WndProc
pt | ParentFormHandleInitialized
pt | GetMouseCapture
pt | CaptureChanged
pt | Notification
pt | CanTab
pt | GetDeviceContext
pt | GetEnabled
pt | GetPopupMenu
pt | DoOnShowHint
pt | DoMouseWheel
pt | DoMouseWheelDown
pt | DoMouseWheelUp
pt | DoMouseWheelHorz
pt | DoMouseWheelLeft
pt | DoMouseWheelRight
pt | VisibleChanging
pt | VisibleChanged
pt | EnabledChanging
pt | EnabledChanged
pt | AddHandler
pt | RemoveHandler
pt | DoCallNotifyHandler
pt | DoCallKeyEventHandler
pt | DoCallMouseWheelEventHandler
pt | DoContextPopup
pt | SetZOrder
pt | GetControlClassDefaultSize
pt | ColorIsStored
pt | DoAutoAdjustLayout
pt | DoFixDesignFontPPI
pt | DoScaleFontPPI
pt | GetActionLinkClass
pt | ActionChange
 | DragDrop
 | Dock
 | ManualDock
 | ManualFloat
 | ReplaceDockedControl
 | Docked
 | Dragging
 | GetAccessibleObject
 | CreateAccessibleObject
 | GetSelectedChildAccessibleObject
 | GetChildAccessibleObjectAtPos
 | ScaleDesignToForm
 | ScaleFormToDesign
 | Scale96ToForm
 | ScaleFormTo96
 | Scale96ToFont
 | ScaleFontTo96
 | ScaleScreenToFont
 | ScaleFontToScreen
 | Scale96ToScreen
 | ScaleScreenTo96
 | AdjustSize
 | AutoSizePhases
 | AutoSizeDelayed
 | AutoSizeDelayedReport
 | AutoSizeDelayedHandle
 | AnchorToNeighbour
 | AnchorParallel
 | AnchorHorizontalCenterTo
 | AnchorVerticalCenterTo
 | AnchorToCompanion
 | AnchorSame
 | AnchorAsAlign
 | AnchorClient
 | AnchoredControlCount
 | SetBounds
 | SetInitialBounds
 | SetBoundsKeepBase
 | GetPreferredSize
 | GetCanvasScaleFactor
 | GetDefaultWidth
 | GetDefaultHeight
 | GetDefaultColor
 | GetColorResolvingParent
 | GetRGBColorResolvingParent
 | GetSidePosition
 | CNPreferredSizeChanged
 | InvalidatePreferredSize
 | GetAnchorsDependingOnParent
 | DisableAutoSizing
 | EnableAutoSizing
 | UpdateBaseBounds
 | WriteLayoutDebugReport
 | AutoAdjustLayout
 | ShouldAutoAdjust
 | FixDesignFontsPPI
 | ScaleFontsPPI
 | Create
 | Destroy
 | BeforeDestruction
 | EditingDone
 | ExecuteDefaultAction
 | ExecuteCancelAction
 | BeginDrag
 | EndDrag
 | BringToFront
 | HasParent
 | GetParentComponent
 | IsParentOf
 | GetTopParent
 | IsVisible
 | IsControlVisible
 | IsEnabled
 | IsParentColor
 | IsParentFont
 | FormIsUpdating
 | IsProcessingPaintMsg
 | Hide
 | Refresh
 | Repaint
 | Invalidate
 | CheckChildClassAllowed
 | CheckNewParent
 | SendToBack
 | SetTempCursor
 | UpdateRolesForForm
 | ActiveDefaultControlChanged
 | GetTextBuf
 | GetTextLen
 | SetTextBuf
 | Perform
 | ScreenToClient
 | ClientToScreen
 | ScreenToControl
 | ControlToScreen
 | ClientToParent
 | ParentToClient
 | GetChildrenRect
 | Show
 | Update
 | HandleObjectShouldBeVisible
 | ParentDestroyingHandle
 | ParentHandlesAllocated
 | InitiateAction
 | ShowHelp
 | HasHelp
 | RemoveAllHandlersOfObject
 | AddHandlerOnResize
 | RemoveHandlerOnResize
 | AddHandlerOnChangeBounds
 | RemoveHandlerOnChangeBounds
 | AddHandlerOnVisibleChanging
 | RemoveHandlerOnVisibleChanging
 | AddHandlerOnVisibleChanged
 | RemoveHandlerOnVisibleChanged
 | AddHandlerOnEnabledChanged
 | RemoveHandlerOnEnableChanging
 | AddHandlerOnKeyDown
 | RemoveHandlerOnKeyDown
 | AddHandlerOnBeforeDestruction
 | RemoveHandlerOnBeforeDestruction
 | AddHandlerOnMouseWheel
 | RemoveHandlerOnMouseWheel
 | UseRightToLeftAlignment
 | UseRightToLeftReading
 | UseRightToLeftScrollBar
 | IsRightToLeft
TLCLComponent
pt | WSRegisterClass
pt | GetWSComponentClass
 | Create
 | Destroy
 | NewInstance
 | RemoveAllHandlersOfObject
 | IncLCLRefCount
 | DecLCLRefCount
TComponent
 | GetComObject
 | GetComponent
 | GetComponentCount
 | GetComponentIndex
 | Insert
 | ReadLeft
 | ReadTop
 | Remove
 | RemoveNotification
 | SetComponentIndex
 | SetReference
 | WriteLeft
 | WriteTop
 | ChangeName
 | DefineProperties
 | GetChildren
 | GetChildOwner
 | GetChildParent
 | GetOwner
 | Loaded
 | Loading
 | Notification
 | PaletteCreated
 | ReadState
 | SetAncestor
 | SetDesigning
 | SetDesignInstance
 | SetInline
 | SetName
 | SetChildOrder
 | SetParentComponent
 | Updating
 | Updated
 | UpdateRegistry
 | ValidateRename
 | ValidateContainer
 | ValidateInsert
 | QueryInterface
 | _AddRef
 | _Release
 | iicrGetComponent
 | GetTypeInfoCount
 | GetTypeInfo
 | GetIDsOfNames
 | Invoke
 | WriteState
 | Create
 | Destroy
 | BeforeDestruction
 | DestroyComponents
 | Destroying
 | ExecuteAction
 | FindComponent
 | FreeNotification
 | RemoveFreeNotification
 | FreeOnRelease
 | GetEnumerator
 | GetNamePath
 | GetParentComponent
 | HasParent
 | InsertComponent
 | RemoveComponent
 | SafeCallException
 | SetSubComponent
 | UpdateAction
 | IsImplementorOf
 | ReferenceInterface
TPersistent
 | AssignError
 | AssignTo
 | DefineProperties
 | GetOwner
 | Destroy
 | Assign
 | FPOAttachObserver
 | FPODetachObserver
 | FPONotifyObservers
 | GetNamePath
TObject
 | Create
 | Destroy
 | newinstance
 | FreeInstance
 | SafeCallException
 | DefaultHandler
 | Free
 | InitInstance
 | CleanupInstance
 | ClassType
 | ClassInfo
 | ClassName
 | ClassNameIs
 | ClassParent
 | InstanceSize
 | InheritsFrom
 | StringMessageTable
 | MethodAddress
 | MethodName
 | FieldAddress
 | AfterConstruction
 | BeforeDestruction
 | DefaultHandlerStr
 | Dispatch
 | DispatchStr
 | GetInterface
 | GetInterfaceByStr
 | GetInterfaceWeak
 | GetInterfaceEntry
 | GetInterfaceEntryByStr
 | GetInterfaceTable
 | UnitName
 | Equals
 | GetHashCode
 | ToString


pt | ActionChange (TControl)
 | ActiveDefaultControlChanged (TControl)
 | AddControl (TWinControl)
pt | AddHandler (TControl)
 | AddHandlerOnBeforeDestruction (TControl)
 | AddHandlerOnChangeBounds (TControl)
 | AddHandlerOnEnabledChanged (TControl)
 | AddHandlerOnKeyDown (TControl)
 | AddHandlerOnMouseWheel (TControl)
 | AddHandlerOnResize (TControl)
 | AddHandlerOnVisibleChanged (TControl)
 | AddHandlerOnVisibleChanging (TControl)
pt | AddRemovePageHandle (TCustomTabControl)
pt | AdjustClientRect (TWinControl)
 | AdjustSize (TControl)
 | AfterConstruction (TObject)
pt | AlignControls (TWinControl)
pt | AllAutoSized (TWinControl)
 | AnchorAsAlign (TControl)
 | AnchorClient (TControl)
 | AnchoredControlCount (TControl)
 | AnchorHorizontalCenterTo (TControl)
 | AnchorParallel (TControl)
 | AnchorSame (TControl)
pt | AnchorSideChanged (TControl)
 | AnchorToCompanion (TControl)
 | AnchorToNeighbour (TControl)
 | AnchorVerticalCenterTo (TControl)
 | Assign (TPersistent)
 | AssignError (TPersistent)
 | AssignTo (TPersistent)
pt | AssignTo (TControl)
 | AutoAdjustLayout (TControl)
 | AutoAdjustLayout (TWinControl)
 | AutoSizeDelayed (TControl)
 | AutoSizeDelayed (TWinControl)
 | AutoSizeDelayedHandle (TControl)
 | AutoSizeDelayedHandle (TWinControl)
 | AutoSizeDelayedReport (TControl)
 | AutoSizeDelayedReport (TWinControl)
 | AutoSizePhases (TControl)
 | AutoSizePhases (TWinControl)
 | BeforeDestruction (TObject)
 | BeforeDestruction (TComponent)
 | BeforeDestruction (TControl)
pt | BeforeDragStart (TControl)
pt | BeginAutoDrag (TControl)
pt | BeginAutoSizing (TControl)
 | BeginDrag (TControl)
 | BeginUpdateBounds (TWinControl)
pt | BoundsChanged (TControl)
 | BringToFront (TControl)
 | BroadCast (TWinControl)
 | BrushCreated (TWinControl)
pt | CalculateDockSizes (TControl)
pt | CalculatePreferredSize (TControl)
pt | CalculatePreferredSize (TWinControl)
pt | CanAutoSize (TControl)
pt | CanChange (TCustomTabControl)
 | CanChangePageIndex (TCustomTabControl)
 | CanFocus (TWinControl)
 | CanSetFocus (TWinControl)
pt | CanTab (TControl)
pt | CanTab (TWinControl)
pt | CaptureChanged (TControl)
pt | Change (TCustomTabControl)
pt | ChangeBounds (TControl)
pt | Changed (TControl)
 | ChangeName (TComponent)
pt | ChangeScale (TControl)
pt | ChangeScale (TWinControl)
 | CheckChildClassAllowed (TControl)
 | CheckNewParent (TControl)
pt | CheckOnChangeBounds (TControl)
pt | ChildClassAllowed (TControl)
pt | ChildClassAllowed (TWinControl)
pt | ChildHandlesCreated (TWinControl)
pt | ChildKey (TWinControl)
 | ClassInfo (TObject)
 | ClassName (TObject)
 | ClassNameIs (TObject)
 | ClassParent (TObject)
 | ClassType (TObject)
 | CleanupInstance (TObject)
pt | Click (TControl)
 | ClientRectNeedsInterfaceUpdate (TWinControl)
 | ClientToParent (TControl)
 | ClientToScreen (TControl)
pt | CMBiDiModeChanged (TControl)
pt | CMBiDiModeChanged (TWinControl)
pt | CMBorderChanged (TWinControl)
pt | CMChanged (TControl)
pt | CMCursorChanged (TControl)
pt | CMDoubleBufferedChanged (TWinControl)
pt | CMEnabledChanged (TControl)
pt | CMEnabledChanged (TWinControl)
pt | CMEnter (TWinControl)
pt | CMExit (TWinControl)
pt | CMHintShow (TControl)
pt | CMHitTest (TControl)
pt | CMMouseEnter (TControl)
pt | CMMouseLeave (TControl)
pt | CMParentBiDiModeChanged (TControl)
pt | CMParentColorChanged (TControl)
pt | CMParentDoubleBufferedChanged (TWinControl)
pt | CMParentFontChanged (TControl)
pt | CMParentShowHintChanged (TControl)
pt | CMShowHintChanged (TWinControl)
pt | CMShowingChanged (TWinControl)
pt | CMSysFontChanged (TControl)
pt | CMTextChanged (TControl)
pt | CMVisibleChanged (TControl)
pt | CMVisibleChanged (TWinControl)
pt | CNChar (TWinControl)
pt | CNKeyDown (TWinControl)
pt | CNKeyUp (TWinControl)
pt | CNNotify (TCustomTabControl)
 | CNPreferredSizeChanged (TControl)
pt | CNSysKeyDown (TWinControl)
pt | CNSysKeyUp (TWinControl)
pt | ColorIsStored (TControl)
pt | ConstrainedResize (TControl)
 | ContainsControl (TWinControl)
 | ControlAtPos (TWinControl)
pt | ControlKeyDown (TWinControl)
pt | ControlKeyUp (TWinControl)
pt | ControlsAligned (TWinControl)
 | ControlToScreen (TControl)
 | Create (TObject)
 | Create (TComponent)
 | Create (TLCLComponent)
 | Create (TControl)
 | Create (TWinControl)
 | Create (TCustomTabControl)
 | CreateAccessibleObject (TControl)
pt | CreateBrush (TWinControl)
pt | CreateControlBorderSpacing (TControl)
pt | CreateDockManager (TWinControl)
pt | CreateFloatingDockSite (TControl)
pt | CreateHandle (TWinControl)
pt | CreateParams (TWinControl)
 | CreateParented (TWinControl)
 | CreateParentedControl (TWinControl)
pt | CreateSubClass (TWinControl)
pt | CreateWnd (TWinControl)
pt | CreateWnd (TCustomTabControl)
pt | CustomAlignInsertBefore (TWinControl)
pt | CustomAlignPosition (TWinControl)
 | CustomPage (TCustomTabControl)
pt | DblClick (TControl)
 | DecLCLRefCount (TLCLComponent)
 | DefaultHandler (TObject)
 | DefaultHandler (TWinControl)
 | DefaultHandlerStr (TObject)
 | DefineProperties (TPersistent)
 | DefineProperties (TComponent)
pt | DefineProperties (TControl)
 | Destroy (TObject)
 | Destroy (TPersistent)
 | Destroy (TComponent)
 | Destroy (TLCLComponent)
 | Destroy (TControl)
 | Destroy (TWinControl)
 | Destroy (TCustomTabControl)
 | DestroyComponents (TComponent)
pt | DestroyHandle (TWinControl)
 | Destroying (TComponent)
pt | DestroyWnd (TWinControl)
pt | DialogChar (TControl)
pt | DialogChar (TWinControl)
pt | DialogChar (TCustomTabControl)
 | DisableAlign (TWinControl)
 | DisableAutoSizing (TControl)
 | Dispatch (TObject)
 | DispatchStr (TObject)
pt | DoAddDockClient (TWinControl)
 | DoAdjustClientRectChange (TWinControl)
pt | DoAlignChildControls (TWinControl)
pt | DoAllAutoSize (TControl)
pt | DoAllAutoSize (TWinControl)
pt | DoAutoAdjustLayout (TControl)
pt | DoAutoAdjustLayout (TCustomTabControl)
pt | DoAutoSize (TControl)
pt | DoAutoSize (TWinControl)
pt | DoBorderSpacingChange (TControl)
pt | DoCallKeyEventHandler (TControl)
pt | DoCallMouseWheelEventHandler (TControl)
pt | DoCallNotifyHandler (TControl)
pt | DoChange (TCustomTabControl)
pt | DoChildSizingChange (TWinControl)
 | Dock (TControl)
 | DockDrop (TWinControl)
 | Docked (TControl)
pt | DockOver (TWinControl)
pt | DockTrackNoTarget (TControl)
 | DoCloseTabClicked (TCustomTabControl)
pt | DoConstraintsChange (TControl)
pt | DoConstraintsChange (TWinControl)
pt | DoContextPopup (TControl)
pt | DoDock (TControl)
pt | DoDockClientMsg (TWinControl)
pt | DoDockOver (TWinControl)
pt | DoDragMsg (TControl)
pt | DoDragMsg (TWinControl)
pt | DoEndDock (TControl)
pt | DoEndDrag (TControl)
pt | DoEnter (TWinControl)
pt | DoExit (TWinControl)
pt | DoFixDesignFontPPI (TControl)
pt | DoFlipChildren (TWinControl)
pt | DoFloatMsg (TControl)
pt | DoFloatMsg (TWinControl)
pt | DoGetDockCaption (TWinControl)
pt | DoKeyDownBeforeInterface (TWinControl)
pt | DoKeyPress (TWinControl)
pt | DoKeyUpBeforeInterface (TWinControl)
pt | DoMouseWheel (TControl)
pt | DoMouseWheelDown (TControl)
pt | DoMouseWheelHorz (TControl)
pt | DoMouseWheelLeft (TControl)
pt | DoMouseWheelRight (TControl)
pt | DoMouseWheelUp (TControl)
pt | DoOnChangeBounds (TControl)
pt | DoOnParentHandleDestruction (TControl)
pt | DoOnResize (TControl)
pt | DoOnShowHint (TControl)
pt | DoRemainingKeyDown (TWinControl)
pt | DoRemainingKeyUp (TWinControl)
pt | DoRemoveDockClient (TWinControl)
pt | DoScaleFontPPI (TControl)
pt | DoSendBoundsToInterface (TWinControl)
pt | DoSendShowHideToInterface (TWinControl)
pt | DoSetBounds (TControl)
pt | DoSetBounds (TWinControl)
pt | DoStartDock (TControl)
pt | DoStartDrag (TControl)
pt | DoUnDock (TWinControl)
pt | DoUndockClientMsg (TWinControl)
pt | DoUTF8KeyPress (TWinControl)
pt | DragCanceled (TControl)
 | DragDrop (TControl)
 | Dragging (TControl)
pt | DragOver (TControl)
 | EditingDone (TControl)
 | EnableAlign (TWinControl)
 | EnableAutoSizing (TControl)
pt | EnabledChanged (TControl)
pt | EnabledChanging (TControl)
pt | EndAutoSizing (TControl)
 | EndDrag (TControl)
 | EndUpdateBounds (TWinControl)
 | Equals (TObject)
 | EraseBackground (TWinControl)
 | ExecuteAction (TComponent)
 | ExecuteCancelAction (TControl)
 | ExecuteDefaultAction (TControl)
 | FieldAddress (TObject)
pt | FinalizeWnd (TWinControl)
 | FindChildControl (TWinControl)
 | FindComponent (TComponent)
pt | FindNextControl (TWinControl)
 | FixDesignFontsPPI (TControl)
pt | FixupTabList (TWinControl)
 | FlipChildren (TWinControl)
 | Focused (TWinControl)
pt | FontChanged (TControl)
pt | FontChanged (TWinControl)
pt | ForeignAnchorSideChanged (TControl)
pt | FormEndUpdated (TControl)
pt | FormEndUpdated (TWinControl)
 | FormIsUpdating (TControl)
 | FPOAttachObserver (TPersistent)
 | FPODetachObserver (TPersistent)
 | FPONotifyObservers (TPersistent)
 | Free (TObject)
 | FreeInstance (TObject)
 | FreeNotification (TComponent)
 | FreeOnRelease (TComponent)
 | GetAccessibleObject (TControl)
pt | GetAction (TControl)
pt | GetActionLinkClass (TControl)
pt | GetAdjustedLogicalClientRect (TWinControl)
 | GetAnchorsDependingOnParent (TControl)
pt | GetBorderStyle (TWinControl)
pt | GetCachedText (TControl)
 | GetCanvasScaleFactor (TControl)
 | GetCapabilities (TCustomTabControl)
 | GetChildAccessibleObjectAtPos (TControl)
 | GetChildOwner (TComponent)
 | GetChildParent (TComponent)
 | GetChildren (TComponent)
pt | GetChildren (TWinControl)
 | GetChildrenRect (TControl)
 | GetChildrenRect (TWinControl)
pt | GetClientOrigin (TControl)
pt | GetClientOrigin (TWinControl)
pt | GetClientRect (TControl)
pt | GetClientRect (TWinControl)
pt | GetClientScrollOffset (TControl)
 | GetColorResolvingParent (TControl)
 | GetComObject (TComponent)
 | GetComponent (TComponent)
 | GetComponentCount (TComponent)
 | GetComponentIndex (TComponent)
pt | GetControlClassDefaultSize (TControl)
pt | GetControlClassDefaultSize (TCustomTabControl)
 | GetControlIndex (TWinControl)
pt | GetControlOrigin (TControl)
pt | GetControlOrigin (TWinControl)
pt | GetCursor (TControl)
 | GetDefaultColor (TControl)
pt | GetDefaultDockCaption (TControl)
 | GetDefaultHeight (TControl)
 | GetDefaultWidth (TControl)
pt | GetDeviceContext (TControl)
pt | GetDeviceContext (TWinControl)
 | GetDockCaption (TWinControl)
pt | GetDockEdge (TControl)
pt | GetDragImages (TControl)
pt | GetEnabled (TControl)
 | GetEnumerator (TComponent)
 | GetEnumeratorControls (TWinControl)
 | GetEnumeratorControlsReverse (TWinControl)
pt | GetFloating (TControl)
pt | GetFloatingDockSiteClass (TControl)
 | GetHashCode (TObject)
 | GetIDsOfNames (TComponent)
 | GetImageIndex (TCustomTabControl)
 | GetInterface (TObject)
 | GetInterfaceByStr (TObject)
 | GetInterfaceEntry (TObject)
 | GetInterfaceEntryByStr (TObject)
 | GetInterfaceTable (TObject)
 | GetInterfaceWeak (TObject)
pt | GetListClass (TCustomTabControl)
pt | GetLogicalClientRect (TControl)
 | GetMinimumTabHeight (TCustomTabControl)
 | GetMinimumTabWidth (TCustomTabControl)
pt | GetMouseCapture (TControl)
pt | GetMouseCapture (TWinControl)
pt | GetMousePosFromMessage (TControl)
 | GetNamePath (TPersistent)
 | GetNamePath (TComponent)
 | GetOwner (TPersistent)
 | GetOwner (TComponent)
pt | GetPage (TCustomTabControl)
pt | GetPageClass (TCustomTabControl)
pt | GetPageCount (TCustomTabControl)
pt | GetPalette (TControl)
pt | GetParentBackground (TWinControl)
 | GetParentComponent (TComponent)
 | GetParentComponent (TControl)
pt | GetParentHandle (TWinControl)
pt | GetPopupMenu (TControl)
 | GetPreferredSize (TControl)
pt | GetPreferredSizeClientFrame (TWinControl)
 | GetRGBColorResolvingParent (TControl)
pt | GetScrolledClientRect (TControl)
 | GetSelectedChildAccessibleObject (TControl)
 | GetSidePosition (TControl)
pt | GetSiteInfo (TWinControl)
 | GetTabOrderList (TWinControl)
 | GetTextBuf (TControl)
 | GetTextLen (TControl)
 | GetTextLen (TWinControl)
 | GetTopParent (TControl)
pt | GetTopParentHandle (TWinControl)
 | GetTypeInfo (TComponent)
 | GetTypeInfoCount (TComponent)
pt | GetWSComponentClass (TLCLComponent)
 | HandleAllocated (TWinControl)
 | HandleNeeded (TWinControl)
 | HandleObjectShouldBeVisible (TControl)
 | HasHelp (TControl)
 | HasParent (TComponent)
 | HasParent (TControl)
pt | HeightIsAnchored (TControl)
 | Hide (TControl)
 | iicrGetComponent (TComponent)
 | IncLCLRefCount (TLCLComponent)
 | IndexOf (TCustomTabControl)
pt | IndexOfPageAt (TCustomTabControl)
pt | IndexOfTabAt (TCustomTabControl)
 | InheritsFrom (TObject)
pt | InitializeWnd (TWinControl)
pt | InitializeWnd (TCustomTabControl)
 | InitiateAction (TControl)
 | InitInstance (TObject)
 | Insert (TComponent)
 | InsertComponent (TComponent)
 | InsertControl (TWinControl)
pt | InsertPage (TCustomTabControl)
 | InstanceSize (TObject)
pt | InternalSetPageIndex (TCustomTabControl)
 | IntfGetDropFilesTarget (TWinControl)
 | IntfUTF8KeyPress (TWinControl)
 | Invalidate (TControl)
 | Invalidate (TWinControl)
pt | InvalidateBoundsRealized (TWinControl)
 | InvalidateClientRectCache (TWinControl)
pt | InvalidateControl (TControl)
pt | InvalidatePreferredChildSizes (TWinControl)
 | InvalidatePreferredSize (TControl)
 | Invoke (TComponent)
pt | IsAParentAligning (TControl)
pt | IsBorderSpacingInnerBorderStored (TControl)
pt | IsCaptionStored (TControl)
pt | IsClientHeightStored (TControl)
pt | IsClientHeightStored (TWinControl)
pt | IsClientWidthStored (TControl)
pt | IsClientWidthStored (TWinControl)
pt | IsControlMouseMsg (TWinControl)
 | IsControlVisible (TControl)
 | IsEnabled (TControl)
 | IsImplementorOf (TComponent)
 | IsParentColor (TControl)
 | IsParentFont (TControl)
 | IsParentOf (TControl)
 | IsProcessingPaintMsg (TControl)
 | IsRightToLeft (TControl)
 | IsVisible (TControl)
pt | KeyDown (TWinControl)
pt | KeyDown (TCustomTabControl)
pt | KeyDownAfterInterface (TWinControl)
pt | KeyDownBeforeInterface (TWinControl)
pt | KeyPress (TWinControl)
pt | KeyUp (TWinControl)
pt | KeyUpAfterInterface (TWinControl)
pt | KeyUpBeforeInterface (TWinControl)
pt | LMCaptureChanged (TControl)
 | Loaded (TComponent)
pt | Loaded (TControl)
pt | Loaded (TWinControl)
pt | Loaded (TCustomTabControl)
pt | LoadedAll (TControl)
 | Loading (TComponent)
 | LockRealizeBounds (TWinControl)
pt | MainWndProc (TWinControl)
 | ManualDock (TControl)
 | ManualFloat (TControl)
 | MethodAddress (TObject)
 | MethodName (TObject)
pt | MouseDown (TControl)
pt | MouseEnter (TControl)
pt | MouseLeave (TControl)
pt | MouseMove (TControl)
pt | MouseUp (TControl)
 | newinstance (TObject)
 | NewInstance (TLCLComponent)
 | Notification (TComponent)
pt | Notification (TControl)
pt | Notification (TCustomTabControl)
 | NotifyControls (TWinControl)
 | PageToTabIndex (TCustomTabControl)
pt | PaintControls (TWinControl)
pt | PaintHandler (TWinControl)
 | PaintTo (TWinControl)
pt | PaintWindow (TWinControl)
 | PaletteCreated (TComponent)
 | ParentDestroyingHandle (TControl)
pt | ParentFontChanged (TControl)
pt | ParentFormHandleInitialized (TControl)
pt | ParentFormHandleInitialized (TWinControl)
 | ParentHandlesAllocated (TControl)
 | ParentHandlesAllocated (TWinControl)
 | ParentToClient (TControl)
 | Perform (TControl)
 | PerformTab (TWinControl)
pt | PositionDockRect (TControl)
pt | QuadClick (TControl)
 | QueryInterface (TComponent)
 | ReadLeft (TComponent)
 | ReadState (TComponent)
pt | ReadState (TControl)
pt | ReadState (TCustomTabControl)
 | ReadTop (TComponent)
pt | RealGetText (TControl)
pt | RealGetText (TWinControl)
 | ReAlign (TWinControl)
pt | RealizeBounds (TWinControl)
pt | RealizeBoundsRecursive (TWinControl)
pt | RealSetText (TControl)
pt | RealSetText (TWinControl)
 | ReferenceInterface (TComponent)
 | Refresh (TControl)
pt | ReloadDockedControl (TWinControl)
 | Remove (TComponent)
 | RemoveAllHandlersOfObject (TLCLComponent)
 | RemoveAllHandlersOfObject (TControl)
 | RemoveComponent (TComponent)
 | RemoveControl (TWinControl)
pt | RemoveFocus (TWinControl)
 | RemoveFreeNotification (TComponent)
pt | RemoveHandler (TControl)
 | RemoveHandlerOnBeforeDestruction (TControl)
 | RemoveHandlerOnChangeBounds (TControl)
 | RemoveHandlerOnEnableChanging (TControl)
 | RemoveHandlerOnKeyDown (TControl)
 | RemoveHandlerOnMouseWheel (TControl)
 | RemoveHandlerOnResize (TControl)
 | RemoveHandlerOnVisibleChanged (TControl)
 | RemoveHandlerOnVisibleChanging (TControl)
 | RemoveNotification (TComponent)
pt | RemovePage (TCustomTabControl)
 | Repaint (TControl)
 | Repaint (TWinControl)
 | ReplaceDockedControl (TControl)
pt | RequestAlign (TControl)
pt | Resize (TControl)
 | SafeCallException (TObject)
 | SafeCallException (TComponent)
 | Scale96ToFont (TControl)
 | Scale96ToForm (TControl)
 | Scale96ToScreen (TControl)
 | ScaleBy (TWinControl)
pt | ScaleConstraints (TControl)
pt | ScaleControls (TWinControl)
 | ScaleDesignToForm (TControl)
 | ScaleFontsPPI (TControl)
 | ScaleFontTo96 (TControl)
 | ScaleFontToScreen (TControl)
 | ScaleFormTo96 (TControl)
 | ScaleFormToDesign (TControl)
 | ScaleScreenTo96 (TControl)
 | ScaleScreenToFont (TControl)
 | ScreenToClient (TControl)
 | ScreenToControl (TControl)
 | ScrollBy (TWinControl)
 | ScrollBy_WS (TWinControl)
pt | SelectFirst (TWinControl)
 | SelectNext (TWinControl)
pt | SendDialogChar (TWinControl)
pt | SendMoveSizeMessages (TControl)
pt | SendMoveSizeMessages (TWinControl)
 | SendToBack (TControl)
pt | SetAction (TControl)
pt | SetAlign (TControl)
 | SetAncestor (TComponent)
pt | SetAnchors (TControl)
pt | SetAutoSize (TControl)
pt | SetBiDiMode (TControl)
pt | SetBorderStyle (TWinControl)
 | SetBounds (TControl)
 | SetBounds (TWinControl)
 | SetBoundsKeepBase (TControl)
 | SetChildOrder (TComponent)
pt | SetChildZPosition (TWinControl)
pt | SetColor (TControl)
pt | SetColor (TWinControl)
 | SetComponentIndex (TComponent)
 | SetControlIndex (TWinControl)
pt | SetCursor (TControl)
 | SetDesigning (TComponent)
 | SetDesignInstance (TComponent)
pt | SetDockManager (TWinControl)
pt | SetDragMode (TControl)
pt | SetEnabled (TControl)
 | SetFocus (TWinControl)
pt | SetHint (TControl)
 | SetInitialBounds (TControl)
 | SetInline (TComponent)
 | SetName (TComponent)
pt | SetName (TControl)
pt | SetOptions (TCustomTabControl)
pt | SetParent (TControl)
pt | SetParentBackground (TWinControl)
pt | SetParentBiDiMode (TControl)
 | SetParentComponent (TComponent)
pt | SetParentComponent (TControl)
 | SetReference (TComponent)
 | SetShape (TWinControl)
 | SetSubComponent (TComponent)
 | SetTempCursor (TControl)
 | SetTempCursor (TWinControl)
 | SetTextBuf (TControl)
pt | SetVisible (TControl)
pt | SetZOrder (TControl)
 | ShouldAutoAdjust (TControl)
 | Show (TControl)
pt | ShowControl (TWinControl)
pt | ShowControl (TCustomTabControl)
 | ShowHelp (TControl)
 | StringMessageTable (TObject)
 | TabRect (TCustomTabControl)
 | TabToPageIndex (TCustomTabControl)
pt | TextChanged (TControl)
 | ToString (TObject)
pt | TripleClick (TControl)
 | UnitName (TObject)
 | UnlockRealizeBounds (TWinControl)
 | Update (TControl)
 | Update (TWinControl)
 | UpdateAction (TComponent)
pt | UpdateAnchorRules (TControl)
 | UpdateBaseBounds (TControl)
pt | UpdateControlState (TWinControl)
 | Updated (TComponent)
 | UpdateDockCaption (TWinControl)
pt | UpdateMouseCursor (TControl)
 | UpdateRegistry (TComponent)
 | UpdateRolesForForm (TControl)
pt | UpdateShowing (TWinControl)
pt | UpdateTabProperties (TCustomTabControl)
 | Updating (TComponent)
 | UseRightToLeftAlignment (TControl)
 | UseRightToLeftReading (TControl)
 | UseRightToLeftScrollBar (TControl)
pt | UTF8KeyPress (TWinControl)
 | ValidateContainer (TComponent)
 | ValidateInsert (TComponent)
 | ValidateRename (TComponent)
pt | VisibleChanged (TControl)
pt | VisibleChanging (TControl)
pt | WidthIsAnchored (TControl)
pt | WMCancelMode (TControl)
pt | WMChar (TWinControl)
pt | WMContextMenu (TControl)
pt | WMContextMenu (TWinControl)
pt | WMDestroy (TWinControl)
pt | WMEnter (TWinControl)
pt | WMEraseBkgnd (TWinControl)
pt | WMExit (TWinControl)
pt | WMKeyDown (TWinControl)
pt | WMKeyUp (TWinControl)
pt | WMKillFocus (TWinControl)
pt | WMLButtonDBLCLK (TControl)
pt | WMLButtonDown (TControl)
pt | WMLButtonQuadCLK (TControl)
pt | WMLButtonTripleCLK (TControl)
pt | WMLButtonUp (TControl)
pt | WMMButtonDBLCLK (TControl)
pt | WMMButtonDown (TControl)
pt | WMMButtonQuadCLK (TControl)
pt | WMMButtonTripleCLK (TControl)
pt | WMMButtonUp (TControl)
pt | WMMouseHWheel (TControl)
pt | WMMouseMove (TControl)
pt | WMMouseWheel (TControl)
pt | WMMove (TControl)
pt | WMMove (TWinControl)
pt | WMNotify (TWinControl)
pt | WMPaint (TWinControl)
pt | WMRButtonDBLCLK (TControl)
pt | WMRButtonDown (TControl)
pt | WMRButtonQuadCLK (TControl)
pt | WMRButtonTripleCLK (TControl)
pt | WMRButtonUp (TControl)
pt | WMSetFocus (TWinControl)
pt | WMShowWindow (TWinControl)
pt | WMSize (TControl)
pt | WMSize (TWinControl)
pt | WMSysChar (TWinControl)
pt | WMSysKeyDown (TWinControl)
pt | WMSysKeyUp (TWinControl)
pt | WMWindowPosChanged (TControl)
pt | WMWindowPosChanged (TWinControl)
pt | WMXButtonDBLCLK (TControl)
pt | WMXButtonDown (TControl)
pt | WMXButtonQuadCLK (TControl)
pt | WMXButtonTripleCLK (TControl)
pt | WMXButtonUp (TControl)
pt | WndProc (TControl)
pt | WndProc (TWinControl)
 | WriteLayoutDebugReport (TControl)
 | WriteLayoutDebugReport (TWinControl)
 | WriteLeft (TComponent)
 | WriteState (TComponent)
 | WriteTop (TComponent)
pt | WSRegisterClass (TLCLComponent)
pt | WSRegisterClass (TControl)
pt | WSRegisterClass (TWinControl)
pt | WSRegisterClass (TCustomTabControl)
pt | WSSetText (TWinControl)
 | _AddRef (TComponent)
 | _Release (TComponent)


TCustomTabControl
pt | OnChange
 | OnChanging
 | OnCloseTabClicked
 | OnGetImageIndex
TWinControl
pt | OnGetSiteInfo
pt | OnGetDockCaption
 | OnAlignInsertBefore
 | OnAlignPosition
 | OnDockDrop
 | OnDockOver
 | OnEnter
 | OnExit
 | OnKeyDown
 | OnKeyPress
 | OnKeyUp
 | OnUnDock
 | OnUTF8KeyPress
TControl
pt | OnConstrainedResize
pt | OnContextPopup
pt | OnDblClick
pt | OnTripleClick
pt | OnQuadClick
pt | OnDragDrop
pt | OnDragOver
pt | OnEndDock
pt | OnEndDrag
pt | OnMouseDown
pt | OnMouseMove
pt | OnMouseUp
pt | OnMouseEnter
pt | OnMouseLeave
pt | OnMouseWheel
pt | OnMouseWheelDown
pt | OnMouseWheelUp
pt | OnMouseWheelHorz
pt | OnMouseWheelLeft
pt | OnMouseWheelRight
pt | OnStartDock
pt | OnStartDrag
pt | OnEditingDone
 | OnChangeBounds
 | OnClick
 | OnResize
 | OnShowHint
TLCLComponent
TComponent
TPersistent
TObject


pt | OnChange (TCustomTabControl)
 | OnChangeBounds (TControl)
 | OnChanging (TCustomTabControl)
 | OnClick (TControl)
 | OnCloseTabClicked (TCustomTabControl)
pt | OnConstrainedResize (TControl)
pt | OnContextPopup (TControl)
pt | OnDblClick (TControl)
 | OnDockDrop (TWinControl)
 | OnDockOver (TWinControl)
pt | OnDragDrop (TControl)
pt | OnDragOver (TControl)
pt | OnEditingDone (TControl)
pt | OnEndDock (TControl)
pt | OnEndDrag (TControl)
 | OnEnter (TWinControl)
 | OnExit (TWinControl)
pt | OnGetDockCaption (TWinControl)
 | OnGetImageIndex (TCustomTabControl)
pt | OnGetSiteInfo (TWinControl)
 | OnKeyDown (TWinControl)
 | OnKeyPress (TWinControl)
 | OnKeyUp (TWinControl)
pt | OnMouseDown (TControl)
pt | OnMouseEnter (TControl)
pt | OnMouseLeave (TControl)
pt | OnMouseMove (TControl)
pt | OnMouseUp (TControl)
pt | OnMouseWheel (TControl)
pt | OnMouseWheelDown (TControl)
pt | OnMouseWheelHorz (TControl)
pt | OnMouseWheelLeft (TControl)
pt | OnMouseWheelRight (TControl)
pt | OnMouseWheelUp (TControl)
pt | OnQuadClick (TControl)
 | OnResize (TControl)
 | OnShowHint (TControl)
pt | OnStartDock (TControl)
pt | OnStartDrag (TControl)
pt | OnTripleClick (TControl)
 | OnUnDock (TWinControl)
 | OnUTF8KeyPress (TWinControl)


TCustomTabControl.ActivePage

ActivePage - the name (string) of the Page that is currently selected and is available for interaction

Declaration

Source position: comctrls.pp line 458

protected property TCustomTabControl.ActivePage : string
  read GetActivePage
  write SetActivePage
  stored IsStoredActivePage;


TCustomTabControl.ActivePageComponent

ActivePageComponent - the actual contents of the currently selected Page

Declaration

Source position: comctrls.pp line 456

protected property TCustomTabControl.ActivePageComponent : TCustomPage
  read GetActivePageComponent
  write SetActivePageComponent;


TCustomTabControl.AddRemovePageHandle

Declaration

Source position: comctrls.pp line 436

protected procedure TCustomTabControl.AddRemovePageHandle(

  APage: TCustomPage

); virtual;


TCustomTabControl.CanChange

CanChange - returns True if the control can be changed

Declaration

Source position: comctrls.pp line 466

protected function TCustomTabControl.CanChange: Boolean; virtual;


TCustomTabControl.CanChangePageIndex

CanChangePageIndex - determine whether it is permissible to change the index of the page

Declaration

Source position: comctrls.pp line 484

public function TCustomTabControl.CanChangePageIndex: Boolean; virtual;


TCustomTabControl.Change

Change - software emulation of the OnChange event

Declaration

Source position: comctrls.pp line 443

protected procedure TCustomTabControl.Change; virtual;


TCustomTabControl.CNNotify

Declaration

Source position: comctrls.pp line 437

protected procedure TCustomTabControl.CNNotify(

  var Message: TLMNotify

); message;


TCustomTabControl.Create

Create - constructor for TCustomTabControl: calls inherited Create, sets initial bounds, forms links and sets some defaults

Declaration

Source position: comctrls.pp line 478

public constructor TCustomTabControl.Create(

  TheOwner: TComponent

); override;

See also

TCustomControl.Create

TComponent.Create


TCustomTabControl.CustomPage

CustomPage - returns the page specified by Index

Declaration

Source position: comctrls.pp line 483

public function TCustomTabControl.CustomPage(

  Index: Integer

):TCustomPage;


TCustomTabControl.Destroy

Destroy - destructor for TCustomTabControl: frees links and tabs, then calls inherited Destroy

Declaration

Source position: comctrls.pp line 479

public destructor TCustomTabControl.Destroy; override;

See also

TCustomControl.Destroy

TComponent.Destroy


TCustomTabControl.DisplayRect

DisplayRect - the rectangular area to be used for displaying information determined by the identity of the selected Tab

Declaration

Source position: comctrls.pp line 467

protected property TCustomTabControl.DisplayRect : TRect
  read GetDisplayRect;


TCustomTabControl.DoAutoAdjustLayout

Declaration

Source position: comctrls.pp line 431

protected procedure TCustomTabControl.DoAutoAdjustLayout(

  const AMode: TLayoutAdjustmentPolicy;

  const AXProportion: Double;

  const AYProportion: Double

); override;


TCustomTabControl.DoChange

Declaration

Source position: comctrls.pp line 441

protected procedure TCustomTabControl.DoChange; virtual;


TCustomTabControl.DoCloseTabClicked

DoCloseTabClicked - perform the action associated with clicking the Close tab for this page (OnCloseTabClicked)

Declaration

Source position: comctrls.pp line 491

public procedure TCustomTabControl.DoCloseTabClicked(

  APage: TCustomPage

); virtual;


TCustomTabControl.GetCapabilities

GetCapabilities - returns the set of capabilities

Declaration

Source position: comctrls.pp line 487

public function TCustomTabControl.GetCapabilities: TCTabControlCapabilities; virtual;


TCustomTabControl.GetControlClassDefaultSize

GetControlClassDefaultSize returns its own defaults, overriding inherited values

Declaration

Source position: comctrls.pp line 454

protected class function TCustomTabControl.GetControlClassDefaultSize: TSize; override;

See also

TControl.GetControlClassDefaultSize

Returns the default size for this class of controls (when added to a form).


TCustomTabControl.GetImageIndex

GetImageIndex - software emulation of the OnGetImageIndex event

Declaration

Source position: comctrls.pp line 481

public function TCustomTabControl.GetImageIndex(

  ThePageIndex: Integer

):Integer; virtual;


TCustomTabControl.GetListClass

Declaration

Source position: comctrls.pp line 434

protected function TCustomTabControl.GetListClass: TNBBasePagesClass; virtual;


TCustomTabControl.GetMinimumTabHeight

GetMinimumTabHeight - find the least permissible height for a tab

Declaration

Source position: comctrls.pp line 486

public function TCustomTabControl.GetMinimumTabHeight: Integer; virtual;


TCustomTabControl.GetMinimumTabWidth

GetMinimumTabWidth - find the smallest permissible tab width

Declaration

Source position: comctrls.pp line 485

public function TCustomTabControl.GetMinimumTabWidth: Integer; virtual;


TCustomTabControl.GetPage

Declaration

Source position: comctrls.pp line 461

protected function TCustomTabControl.GetPage(

  AIndex: Integer

):TCustomPage; virtual;


TCustomTabControl.GetPageClass

Declaration

Source position: comctrls.pp line 433

protected function TCustomTabControl.GetPageClass: TCustomPageClass; virtual;


TCustomTabControl.GetPageCount

Declaration

Source position: comctrls.pp line 462

protected function TCustomTabControl.GetPageCount: Integer; virtual;


TCustomTabControl.HotTrack

HotTrack - the property whereby the item under the mouse pointer becomes emphasised

Declaration

Source position: comctrls.pp line 468

protected property TCustomTabControl.HotTrack : Boolean
  read FHotTrack
  write FHotTrack
  default False;

See also

TCustomListView.HotTrack

Allow to highlight/underline current ListView item, which is under mouse cursor.


TCustomTabControl.Images

Images - the list of Images available for display in the DisplayRect

Declaration

Source position: comctrls.pp line 492

public property TCustomTabControl.Images : TCustomImageList
  read FImages
  write SetImages;


TCustomTabControl.ImagesWidth

Declaration

Source position: comctrls.pp line 493

public property TCustomTabControl.ImagesWidth : Integer
  read FImagesWidth
  write SetImagesWidth
  default 0;


TCustomTabControl.IndexOf

IndexOf - returns the index value of a specified page

Declaration

Source position: comctrls.pp line 482

public function TCustomTabControl.IndexOf(

  APage: TPersistent

):Integer; virtual;


TCustomTabControl.IndexOfPageAt

Declaration

Source position: comctrls.pp line 451

protected function TCustomTabControl.IndexOfPageAt(

  X: Integer;

  Y: Integer

):Integer; virtual; overload;

function TCustomTabControl.IndexOfPageAt(

  P: TPoint

):Integer; virtual; overload;


TCustomTabControl.IndexOfTabAt

IndexOfTabAt - returns the index value of the Tab located at specified X, Y

Declaration

Source position: comctrls.pp line 449

protected function TCustomTabControl.IndexOfTabAt(

  X: Integer;

  Y: Integer

):Integer; virtual; overload;

function TCustomTabControl.IndexOfTabAt(

  P: TPoint

):Integer; virtual; overload;


TCustomTabControl.InsertPage

Declaration

Source position: comctrls.pp line 463

protected procedure TCustomTabControl.InsertPage(

  APage: TCustomPage;

  Index: Integer

); virtual;


TCustomTabControl.InternalSetPageIndex

Declaration

Source position: comctrls.pp line 447

protected procedure TCustomTabControl.InternalSetPageIndex(

  AValue: Integer

);


TCustomTabControl.MultiLine

MultiLine - whether the Tab's caption is allowed to have multiple lines

Declaration

Source position: comctrls.pp line 494

public property TCustomTabControl.MultiLine : Boolean
  read GetMultiLine
  write SetMultiLine
  default False;


TCustomTabControl.MultiSelect

MultiSelect - whether multiple Tabs are allowed to be selected at the same time (e.g. by pressing Shift or Ctrl while selecting)

Declaration

Source position: comctrls.pp line 469

protected property TCustomTabControl.MultiSelect : Boolean
  read FMultiSelect
  write FMultiSelect
  default False;


TCustomTabControl.OnChange

OnChange - event handler for a change in the Tabs

Declaration

Source position: comctrls.pp line 476

protected property TCustomTabControl.OnChange : TNotifyEvent
  read FOnPageChanged
  write FOnPageChanged;


TCustomTabControl.OnChanging

OnChanging - event handler while Tab is changing

Declaration

Source position: comctrls.pp line 495

public property TCustomTabControl.OnChanging : TTabChangingEvent
  read FOnChanging
  write FOnChanging;


TCustomTabControl.OnCloseTabClicked

OnCloseTabClicked - event handler for clicking on the Close button to close a tab

Declaration

Source position: comctrls.pp line 496

public property TCustomTabControl.OnCloseTabClicked : TNotifyEvent
  read FOnCloseTabClicked
  write FOnCloseTabClicked;


TCustomTabControl.OnGetImageIndex

OnGetImageIndex - event handler for finding the index value of the required image

Declaration

Source position: comctrls.pp line 498

public property TCustomTabControl.OnGetImageIndex : TTabGetImageEvent
  read FOnGetImageIndex
  write FOnGetImageIndex;


TCustomTabControl.Options

The set of Options for the Notebook: Show close buttons on the tabs, multi-line tabs

Declaration

Source position: comctrls.pp line 500

public property TCustomTabControl.Options : TCTabControlOptions
  read FOptions
  write SetOptions
  default [];

Description

The set of Options for the Notebook:

nboShowCloseButtons (display a little CloseButton on the Tab next to the label to allow a user to close that tab),

nboMultiLine (allows multi-line captions on the Tabs)


TCustomTabControl.OwnerDraw

OwnerDraw - is the calling routine (Owner) allowed to specify the drawing method?

Declaration

Source position: comctrls.pp line 470

protected property TCustomTabControl.OwnerDraw : Boolean
  read FOwnerDraw
  write FOwnerDraw
  default False;


TCustomTabControl.Page

The current Page of the Notebook

Declaration

Source position: comctrls.pp line 501

public property TCustomTabControl.Page[Index: Integer] : TCustomPage
  read GetPage;


TCustomTabControl.PageClass

PageClass - the class of page that is included in this NoteBook

Declaration

Source position: comctrls.pp line 430

protected TCustomTabControl.PageClass : TCustomPageClass;


TCustomTabControl.PageCount

PageCount - the number of Pages in the Notebook

Declaration

Source position: comctrls.pp line 502

public property TCustomTabControl.PageCount : Integer
  read GetPageCount;


TCustomTabControl.PageIndex

PageIndex - Index number of the current page

Declaration

Source position: comctrls.pp line 503

public property TCustomTabControl.PageIndex : Integer
  read FPageIndex
  write SetPageIndex
  default - 1;


TCustomTabControl.Pages

The contents of the Pages in the Notebook (as Strings)

Declaration

Source position: comctrls.pp line 505

public property TCustomTabControl.Pages : TStrings
  read FAccess
  write SetPages;


TCustomTabControl.PageToTabIndex

Declaration

Source position: comctrls.pp line 489

public function TCustomTabControl.PageToTabIndex(

  AIndex: Integer

):Integer;


TCustomTabControl.RaggedRight

RaggedRight - un-justified or un-aligned text

Declaration

Source position: comctrls.pp line 471

protected property TCustomTabControl.RaggedRight : Boolean
  read FRaggedRight
  write FRaggedRight
  default False;


TCustomTabControl.RemovePage

Declaration

Source position: comctrls.pp line 464

protected procedure TCustomTabControl.RemovePage(

  Index: Integer

); virtual;


TCustomTabControl.ScrollOpposite

ScrollOpposite - is scrolling to happen in the opposite direction to usual?

Declaration

Source position: comctrls.pp line 472

protected property TCustomTabControl.ScrollOpposite : Boolean
  read FScrollOpposite
  write FScrollOpposite
  default False;


TCustomTabControl.SetOptions

Declaration

Source position: comctrls.pp line 435

protected procedure TCustomTabControl.SetOptions(

  const AValue: TCTabControlOptions

); virtual;


TCustomTabControl.ShowTabs

ShowTabs - if True (default condition), show the tabs for each page

Declaration

Source position: comctrls.pp line 506

public property TCustomTabControl.ShowTabs : Boolean
  read FShowTabs
  write SetShowTabs
  default True;


TCustomTabControl.Style

Style - Tabs, buttons or flat buttons?

Declaration

Source position: comctrls.pp line 473

protected property TCustomTabControl.Style : TTabStyle
  read FStyle
  write SetStyle
  default tsTabs;


TCustomTabControl.TabHeight

TabHeight - height of the tabs

Declaration

Source position: comctrls.pp line 507

public property TCustomTabControl.TabHeight : SmallInt
  read FTabHeight
  write SetTabHeight
  default 0;


TCustomTabControl.TabIndex

TabIndex - index value of current Tab. If none selected, default value of -1 is returned

Declaration

Source position: comctrls.pp line 475

protected property TCustomTabControl.TabIndex : Integer
  read FPageIndex
  write SetPageIndex
  default - 1;


TCustomTabControl.TabPosition

TabPosition - top, bottom, left or right

Declaration

Source position: comctrls.pp line 508

public property TCustomTabControl.TabPosition : TTabPosition
  read FTabPosition
  write SetTabPosition
  default tpTop;


TCustomTabControl.TabRect

TabRect - the rectangle occupied by the specified Tab

Declaration

Source position: comctrls.pp line 480

public function TCustomTabControl.TabRect(

  AIndex: Integer

):TRect;


TCustomTabControl.Tabs

Tabs - the actual Tabs expressed as strings

Declaration

Source position: comctrls.pp line 474

protected property TCustomTabControl.Tabs : TStrings
  read FAccess
  write SetPages;


TCustomTabControl.TabToPageIndex

Declaration

Source position: comctrls.pp line 488

public function TCustomTabControl.TabToPageIndex(

  AIndex: Integer

):Integer;


TCustomTabControl.TabWidth

TabWidth - width of the tabs

Declaration

Source position: comctrls.pp line 509

public property TCustomTabControl.TabWidth : SmallInt
  read FTabWidth
  write SetTabWidth
  default 0;


TCustomTabControl.UpdateTabProperties

UpdateTabProperties - apply all pending changes to the Tab

Declaration

Source position: comctrls.pp line 453

protected procedure TCustomTabControl.UpdateTabProperties; virtual;


TCustomTrackBar

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

TCustomTrackBar - the base class for TTrackBar

Declaration

Source position: comctrls.pp line 2674

type TCustomTrackBar = class(TWinControl)
protected
class procedure WSRegisterClass; override; | Registers this component class with the current WidgetSet.
procedure ApplyChanges; | ApplyChanges - implement any pending changes
procedure Changed; virtual;
procedure DoChange(); message; | DoChange - system message to implement changes
procedure FixParams();
class function GetControlClassDefaultSize; override; | GetControlClassDefaultSize - returns its own defaults, overriding the inherited values
procedure InitializeWnd; override; | Copies cached control properties to the just created widget.
procedure Loaded; override; | Called when the control has been loaded from a resource, transfers the loaded property values to the widget.
public
constructor Create(); override; | Create - constructor for TCustomTrackBar: calls inherited Create then initialises style, position, size and bounds
procedure SetTick(); | SetTick - set the interval for ticks on the taskbar (integer)
published
property Frequency: Integer; [rw] | Frequency - how frequently the position of the slider is to be read and updated (currently unsupported)
property LineSize: Integer; [rw] | Line-Size - increment for slider position when an arrow key is pressed
property Max: Integer; [rw] | Max - the value corresponding to full movement of the slider. Default = 10
property Min: Integer; [rw] | Min - the value associated with the minimum slider position. Default = 0
property OnChange: TNotifyEvent; [rw] | OnChange - action to be taken on change in the slider position
property Orientation: TTrackBarOrientation; [rw] | Orientation - horizontal or vertical
property PageSize: Integer; [rw] | PageSize - increment for slider position when PageUp or PageDown key is pressed
property Position: Integer; [rw] | Position - the location of the slider along the track bar. Represents the Return value from the control
property Reversed: Boolean; [rw]
property ScalePos: TTrackBarScalePos; [rw] | ScalePos - whether scaling label appears at top, bottom, left or right
property SelEnd: Integer; [rw]
property SelStart: Integer; [rw]
property ShowSelRange: Boolean; [rw]
property TabStop: Boolean; | Allows the user to navigate to this control, by pressing the Tab key.
property TickMarks: TTickMark; [rw] | Tickmarks - whether the ticks are above/left, below/right, or both
property TickStyle: TTickStyle; [rw] | TickStyle - none, produced automatically or calculated manually
end;

Inheritance

TCustomTrackBar | TCustomTrackBar - the base class for TTrackBar
|
TWinControl | The base class for controls which can contain other (child) controls.
|
TControl | The base class for visible controls.
|
TLCLComponent | The base class for LCL components associated with widgets.
|
TComponent,IUnknown,IInterfaceComponentReference
|
TPersistent,IFPObserved
|
TObject

Description

TCustomTrackBar defines many of the properties inherited by TTrackBar, a device that allows the user to determine the value of a variable using a quasi-analog slider


TCustomTrackBar
pl |  | Frequency
pl |  | LineSize
pl |  | Max
pl |  | Min
pl |  | Orientation
pl |  | PageSize
pl |  | Position
pl |  | Reversed
pl |  | ScalePos
pl |  | SelEnd
pl |  | SelStart
pl |  | ShowSelRange
pl | ro | TabStop
pl |  | TickMarks
pl |  | TickStyle
TWinControl
pt |  | WindowHandle
pt |  | BorderStyle
pt |  | ParentBackground
 |  | BorderWidth
 | ro | BoundsLockCount
 | ro | Brush
 | ro | CachedClientHeight
 | ro | CachedClientWidth
 |  | ChildSizing
 | ro | ControlCount
 | ro | Controls
 |  | DefWndProc
 | ro | DockClientCount
 | ro | DockClients
 |  | DockManager
 |  | DockSite
 |  | DoubleBuffered
 |  | Handle
 | ro | IsFlipped
 | ro | IsResizing
 |  | TabOrder
 |  | TabStop
 |  | ParentDoubleBuffered
 |  | ParentWindow
 | ro | Showing
 |  | UseDockManager
 |  | DesignerDeleting
 | ro | VisibleDockClientCount
TControl
pt | ro | AutoSizing
pt | ro | AutoSizingAll
pt | ro | AutoSizingLockCount
pt |  | ActionLink
pt |  | DesktopFont
pt |  | DragCursor
pt |  | DragKind
pt |  | DragMode
pt |  | MouseCapture
pt |  | ParentColor
pt |  | ParentFont
pt |  | ParentShowHint
pt |  | SessionProperties
pt |  | Text
 | ro | AnchoredControls
 | ro | BaseBounds
 | ro | ReadBounds
 | ro | BaseParentClientSize
 |  | AccessibleDescription
 |  | AccessibleValue
 |  | AccessibleRole
 |  | Action
 |  | Align
 |  | Anchors
 | ro | AnchorSide
 |  | AutoSize
 |  | BorderSpacing
 |  | BoundsRect
 |  | BoundsRectForNewParent
 |  | Caption
 |  | CaptureMouseButtons
 |  | ClientHeight
 | ro | ClientOrigin
 | ro | ClientRect
 |  | ClientWidth
 |  | Color
 |  | Constraints
 | ro | ControlOrigin
 |  | ControlState
 |  | ControlStyle
 |  | Enabled
 |  | Font
 |  | IsControl
 | ro | MouseEntered
 | ro | MouseInClient
 |  | Parent
 |  | PopupMenu
 |  | ShowHint
 |  | Visible
 |  | WindowProc
 |  | DockOrientation
 | ro | Floating
 |  | FloatingDockSiteClass
 |  | HostDockSite
 |  | LRDockWidth
 |  | TBDockHeight
 |  | UndockHeight
 |  | UndockWidth
 |  | BiDiMode
 |  | ParentBiDiMode
pl |  | AnchorSideLeft
pl |  | AnchorSideTop
pl |  | AnchorSideRight
pl |  | AnchorSideBottom
pl |  | Cursor
pl |  | Left
pl |  | Height
pl |  | Hint
pl |  | Top
pl |  | Width
pl |  | HelpType
pl |  | HelpKeyword
pl |  | HelpContext
TLCLComponent
 | ro | LCLRefCount
 | ro | WidgetSetClass
TComponent
 | ro | ComObject
 | ro | Components
 | ro | ComponentCount
 |  | ComponentIndex
 | ro | ComponentState
 | ro | ComponentStyle
 |  | DesignInfo
 | ro | Owner
 |  | VCLComObject
 |  | Name
 |  | Tag
TPersistent
TObject


 |  | AccessibleDescription (TControl)
 |  | AccessibleRole (TControl)
 |  | AccessibleValue (TControl)
 |  | Action (TControl)
pt |  | ActionLink (TControl)
 |  | Align (TControl)
 | ro | AnchoredControls (TControl)
 |  | Anchors (TControl)
 | ro | AnchorSide (TControl)
pl |  | AnchorSideBottom (TControl)
pl |  | AnchorSideLeft (TControl)
pl |  | AnchorSideRight (TControl)
pl |  | AnchorSideTop (TControl)
 |  | AutoSize (TControl)
pt | ro | AutoSizing (TControl)
pt | ro | AutoSizingAll (TControl)
pt | ro | AutoSizingLockCount (TControl)
 | ro | BaseBounds (TControl)
 | ro | BaseParentClientSize (TControl)
 |  | BiDiMode (TControl)
 |  | BorderSpacing (TControl)
pt |  | BorderStyle (TWinControl)
 |  | BorderWidth (TWinControl)
 | ro | BoundsLockCount (TWinControl)
 |  | BoundsRect (TControl)
 |  | BoundsRectForNewParent (TControl)
 | ro | Brush (TWinControl)
 | ro | CachedClientHeight (TWinControl)
 | ro | CachedClientWidth (TWinControl)
 |  | Caption (TControl)
 |  | CaptureMouseButtons (TControl)
 |  | ChildSizing (TWinControl)
 |  | ClientHeight (TControl)
 | ro | ClientOrigin (TControl)
 | ro | ClientRect (TControl)
 |  | ClientWidth (TControl)
 |  | Color (TControl)
 | ro | ComObject (TComponent)
 | ro | ComponentCount (TComponent)
 |  | ComponentIndex (TComponent)
 | ro | Components (TComponent)
 | ro | ComponentState (TComponent)
 | ro | ComponentStyle (TComponent)
 |  | Constraints (TControl)
 | ro | ControlCount (TWinControl)
 | ro | ControlOrigin (TControl)
 | ro | Controls (TWinControl)
 |  | ControlState (TControl)
 |  | ControlStyle (TControl)
pl |  | Cursor (TControl)
 |  | DefWndProc (TWinControl)
 |  | DesignerDeleting (TWinControl)
 |  | DesignInfo (TComponent)
pt |  | DesktopFont (TControl)
 | ro | DockClientCount (TWinControl)
 | ro | DockClients (TWinControl)
 |  | DockManager (TWinControl)
 |  | DockOrientation (TControl)
 |  | DockSite (TWinControl)
 |  | DoubleBuffered (TWinControl)
pt |  | DragCursor (TControl)
pt |  | DragKind (TControl)
pt |  | DragMode (TControl)
 |  | Enabled (TControl)
 | ro | Floating (TControl)
 |  | FloatingDockSiteClass (TControl)
 |  | Font (TControl)
pl |  | Frequency (TCustomTrackBar)
 |  | Handle (TWinControl)
pl |  | Height (TControl)
pl |  | HelpContext (TControl)
pl |  | HelpKeyword (TControl)
pl |  | HelpType (TControl)
pl |  | Hint (TControl)
 |  | HostDockSite (TControl)
 |  | IsControl (TControl)
 | ro | IsFlipped (TWinControl)
 | ro | IsResizing (TWinControl)
 | ro | LCLRefCount (TLCLComponent)
pl |  | Left (TControl)
pl |  | LineSize (TCustomTrackBar)
 |  | LRDockWidth (TControl)
pl |  | Max (TCustomTrackBar)
pl |  | Min (TCustomTrackBar)
pt |  | MouseCapture (TControl)
 | ro | MouseEntered (TControl)
 | ro | MouseInClient (TControl)
 |  | Name (TComponent)
pl |  | Orientation (TCustomTrackBar)
 | ro | Owner (TComponent)
pl |  | PageSize (TCustomTrackBar)
 |  | Parent (TControl)
pt |  | ParentBackground (TWinControl)
 |  | ParentBiDiMode (TControl)
pt |  | ParentColor (TControl)
 |  | ParentDoubleBuffered (TWinControl)
pt |  | ParentFont (TControl)
pt |  | ParentShowHint (TControl)
 |  | ParentWindow (TWinControl)
 |  | PopupMenu (TControl)
pl |  | Position (TCustomTrackBar)
 | ro | ReadBounds (TControl)
pl |  | Reversed (TCustomTrackBar)
pl |  | ScalePos (TCustomTrackBar)
pl |  | SelEnd (TCustomTrackBar)
pl |  | SelStart (TCustomTrackBar)
pt |  | SessionProperties (TControl)
 |  | ShowHint (TControl)
 | ro | Showing (TWinControl)
pl |  | ShowSelRange (TCustomTrackBar)
 |  | TabOrder (TWinControl)
 |  | TabStop (TWinControl)
pl | ro | TabStop (TCustomTrackBar)
 |  | Tag (TComponent)
 |  | TBDockHeight (TControl)
pt |  | Text (TControl)
pl |  | TickMarks (TCustomTrackBar)
pl |  | TickStyle (TCustomTrackBar)
pl |  | Top (TControl)
 |  | UndockHeight (TControl)
 |  | UndockWidth (TControl)
 |  | UseDockManager (TWinControl)
 |  | VCLComObject (TComponent)
 |  | Visible (TControl)
 | ro | VisibleDockClientCount (TWinControl)
 | ro | WidgetSetClass (TLCLComponent)
pl |  | Width (TControl)
pt |  | WindowHandle (TWinControl)
 |  | WindowProc (TControl)


TCustomTrackBar
pt | WSRegisterClass
pt | ApplyChanges
pt | Changed
pt | DoChange
pt | FixParams
pt | GetControlClassDefaultSize
pt | InitializeWnd
pt | Loaded
 | Create
 | SetTick
TWinControl
pt | WSRegisterClass
pt | AdjustClientRect
pt | GetAdjustedLogicalClientRect
pt | AlignControls
pt | CustomAlignInsertBefore
pt | CustomAlignPosition
pt | DoAlignChildControls
pt | DoChildSizingChange
pt | InvalidatePreferredChildSizes
pt | CanTab
pt | IsClientHeightStored
pt | IsClientWidthStored
pt | DoSendShowHideToInterface
pt | ControlsAligned
pt | DoSendBoundsToInterface
pt | RealizeBounds
pt | RealizeBoundsRecursive
pt | InvalidateBoundsRealized
pt | CreateSubClass
pt | DoConstraintsChange
pt | DoSetBounds
pt | DoAutoSize
pt | DoAllAutoSize
pt | AllAutoSized
pt | CalculatePreferredSize
pt | GetPreferredSizeClientFrame
pt | GetChildren
pt | ChildClassAllowed
pt | PaintControls
pt | PaintHandler
pt | PaintWindow
pt | CreateBrush
pt | ScaleControls
pt | ChangeScale
pt | CMBiDiModeChanged
pt | CMBorderChanged
pt | CMDoubleBufferedChanged
pt | CMEnabledChanged
pt | CMParentDoubleBufferedChanged
pt | CMShowingChanged
pt | CMShowHintChanged
pt | CMVisibleChanged
pt | CMEnter
pt | CMExit
pt | WMContextMenu
pt | WMEraseBkgnd
pt | WMNotify
pt | WMSetFocus
pt | WMKillFocus
pt | WMShowWindow
pt | WMEnter
pt | WMExit
pt | WMKeyDown
pt | WMSysKeyDown
pt | WMKeyUp
pt | WMSysKeyUp
pt | WMChar
pt | WMSysChar
pt | WMPaint
pt | WMDestroy
pt | WMMove
pt | WMSize
pt | WMWindowPosChanged
pt | CNKeyDown
pt | CNSysKeyDown
pt | CNKeyUp
pt | CNSysKeyUp
pt | CNChar
pt | DoDragMsg
pt | DoDockClientMsg
pt | DoUndockClientMsg
pt | DoAddDockClient
pt | DockOver
pt | DoDockOver
pt | DoRemoveDockClient
pt | DoUnDock
pt | GetSiteInfo
pt | GetParentHandle
pt | GetTopParentHandle
pt | ReloadDockedControl
pt | CreateDockManager
pt | SetDockManager
pt | DoFloatMsg
pt | DoGetDockCaption
pt | DoEnter
pt | DoExit
pt | DoKeyDownBeforeInterface
pt | DoRemainingKeyDown
pt | DoRemainingKeyUp
pt | DoKeyPress
pt | DoUTF8KeyPress
pt | DoKeyUpBeforeInterface
pt | ChildKey
pt | SendDialogChar
pt | DialogChar
pt | ControlKeyDown
pt | ControlKeyUp
pt | KeyDown
pt | KeyDownBeforeInterface
pt | KeyDownAfterInterface
pt | KeyPress
pt | KeyUp
pt | KeyUpBeforeInterface
pt | KeyUpAfterInterface
pt | UTF8KeyPress
pt | FindNextControl
pt | SelectFirst
pt | RealGetText
pt | GetBorderStyle
pt | GetClientOrigin
pt | GetClientRect
pt | GetControlOrigin
pt | GetDeviceContext
pt | GetParentBackground
pt | IsControlMouseMsg
pt | CreateHandle
pt | CreateParams
pt | CreateWnd
pt | DestroyHandle
pt | DestroyWnd
pt | DoFlipChildren
pt | FinalizeWnd
pt | FixupTabList
pt | FontChanged
pt | InitializeWnd
pt | Loaded
pt | FormEndUpdated
pt | MainWndProc
pt | ParentFormHandleInitialized
pt | ChildHandlesCreated
pt | GetMouseCapture
pt | RealSetText
pt | RemoveFocus
pt | SendMoveSizeMessages
pt | SetBorderStyle
pt | SetColor
pt | SetChildZPosition
pt | SetParentBackground
pt | ShowControl
pt | UpdateControlState
pt | UpdateShowing
pt | WndProc
pt | WSSetText
 | AutoSizePhases
 | AutoSizeDelayed
 | AutoSizeDelayedReport
 | AutoSizeDelayedHandle
 | BeginUpdateBounds
 | EndUpdateBounds
 | LockRealizeBounds
 | UnlockRealizeBounds
 | ControlAtPos
 | ContainsControl
 | DoAdjustClientRectChange
 | InvalidateClientRectCache
 | ClientRectNeedsInterfaceUpdate
 | SetBounds
 | GetChildrenRect
 | DisableAlign
 | EnableAlign
 | ReAlign
 | ScrollBy_WS
 | ScrollBy
 | WriteLayoutDebugReport
 | AutoAdjustLayout
 | Create
 | CreateParented
 | CreateParentedControl
 | Destroy
 | DockDrop
 | CanFocus
 | CanSetFocus
 | GetControlIndex
 | SetControlIndex
 | Focused
 | PerformTab
 | FindChildControl
 | SelectNext
 | SetTempCursor
 | BroadCast
 | NotifyControls
 | DefaultHandler
 | GetTextLen
 | Invalidate
 | AddControl
 | InsertControl
 | RemoveControl
 | GetEnumeratorControls
 | GetEnumeratorControlsReverse
 | Repaint
 | Update
 | SetFocus
 | FlipChildren
 | ScaleBy
 | GetDockCaption
 | UpdateDockCaption
 | GetTabOrderList
 | HandleAllocated
 | ParentHandlesAllocated
 | HandleNeeded
 | BrushCreated
 | EraseBackground
 | IntfUTF8KeyPress
 | IntfGetDropFilesTarget
 | PaintTo
 | SetShape
TControl
pt | WSRegisterClass
pt | GetCursor
pt | SetCursor
pt | SetVisible
pt | DoOnParentHandleDestruction
pt | DoAutoSize
pt | DoAllAutoSize
pt | BeginAutoSizing
pt | EndAutoSizing
pt | AnchorSideChanged
pt | ForeignAnchorSideChanged
pt | SetAlign
pt | SetAnchors
pt | SetAutoSize
pt | BoundsChanged
pt | CreateControlBorderSpacing
pt | DoConstraintsChange
pt | DoBorderSpacingChange
pt | IsBorderSpacingInnerBorderStored
pt | IsCaptionStored
pt | SendMoveSizeMessages
pt | ConstrainedResize
pt | CalculatePreferredSize
pt | DoOnResize
pt | DoOnChangeBounds
pt | CheckOnChangeBounds
pt | Resize
pt | RequestAlign
pt | UpdateAnchorRules
pt | ChangeBounds
pt | DoSetBounds
pt | ScaleConstraints
pt | ChangeScale
pt | CanAutoSize
pt | SetBiDiMode
pt | SetParentBiDiMode
pt | IsAParentAligning
pt | GetClientOrigin
pt | GetClientRect
pt | GetLogicalClientRect
pt | GetScrolledClientRect
pt | GetClientScrollOffset
pt | GetControlOrigin
pt | IsClientHeightStored
pt | IsClientWidthStored
pt | WidthIsAnchored
pt | HeightIsAnchored
pt | WMCancelMode
pt | WMContextMenu
pt | WMLButtonDown
pt | WMRButtonDown
pt | WMMButtonDown
pt | WMXButtonDown
pt | WMLButtonDBLCLK
pt | WMRButtonDBLCLK
pt | WMMButtonDBLCLK
pt | WMXButtonDBLCLK
pt | WMLButtonTripleCLK
pt | WMRButtonTripleCLK
pt | WMMButtonTripleCLK
pt | WMXButtonTripleCLK
pt | WMLButtonQuadCLK
pt | WMRButtonQuadCLK
pt | WMMButtonQuadCLK
pt | WMXButtonQuadCLK
pt | WMMouseMove
pt | WMLButtonUp
pt | WMRButtonUp
pt | WMMButtonUp
pt | WMXButtonUp
pt | WMMouseWheel
pt | WMMouseHWheel
pt | WMMove
pt | WMSize
pt | WMWindowPosChanged
pt | CMChanged
pt | LMCaptureChanged
pt | CMBiDiModeChanged
pt | CMSysFontChanged
pt | CMEnabledChanged
pt | CMHitTest
pt | CMMouseEnter
pt | CMMouseLeave
pt | CMHintShow
pt | CMParentBiDiModeChanged
pt | CMParentColorChanged
pt | CMParentFontChanged
pt | CMParentShowHintChanged
pt | CMVisibleChanged
pt | CMTextChanged
pt | CMCursorChanged
pt | CalculateDockSizes
pt | CreateFloatingDockSite
pt | GetDockEdge
pt | GetDragImages
pt | GetFloating
pt | GetFloatingDockSiteClass
pt | BeforeDragStart
pt | BeginAutoDrag
pt | DoFloatMsg
pt | DockTrackNoTarget
pt | DoDock
pt | DoDragMsg
pt | DoEndDock
pt | DoEndDrag
pt | DoStartDock
pt | DoStartDrag
pt | DragCanceled
pt | DragOver
pt | PositionDockRect
pt | SetDragMode
pt | GetDefaultDockCaption
pt | Click
pt | DblClick
pt | TripleClick
pt | QuadClick
pt | GetMousePosFromMessage
pt | MouseDown
pt | MouseMove
pt | MouseUp
pt | MouseEnter
pt | MouseLeave
pt | DialogChar
pt | UpdateMouseCursor
pt | Changed
pt | GetPalette
pt | ChildClassAllowed
pt | ReadState
pt | Loaded
pt | LoadedAll
pt | DefineProperties
pt | AssignTo
pt | FormEndUpdated
pt | InvalidateControl
pt | FontChanged
pt | ParentFontChanged
pt | GetAction
pt | RealGetText
pt | RealSetText
pt | TextChanged
pt | GetCachedText
pt | SetAction
pt | SetColor
pt | SetEnabled
pt | SetHint
pt | SetName
pt | SetParent
pt | SetParentComponent
pt | WndProc
pt | ParentFormHandleInitialized
pt | GetMouseCapture
pt | CaptureChanged
pt | Notification
pt | CanTab
pt | GetDeviceContext
pt | GetEnabled
pt | GetPopupMenu
pt | DoOnShowHint
pt | DoMouseWheel
pt | DoMouseWheelDown
pt | DoMouseWheelUp
pt | DoMouseWheelHorz
pt | DoMouseWheelLeft
pt | DoMouseWheelRight
pt | VisibleChanging
pt | VisibleChanged
pt | EnabledChanging
pt | EnabledChanged
pt | AddHandler
pt | RemoveHandler
pt | DoCallNotifyHandler
pt | DoCallKeyEventHandler
pt | DoCallMouseWheelEventHandler
pt | DoContextPopup
pt | SetZOrder
pt | GetControlClassDefaultSize
pt | ColorIsStored
pt | DoAutoAdjustLayout
pt | DoFixDesignFontPPI
pt | DoScaleFontPPI
pt | GetActionLinkClass
pt | ActionChange
 | DragDrop
 | Dock
 | ManualDock
 | ManualFloat
 | ReplaceDockedControl
 | Docked
 | Dragging
 | GetAccessibleObject
 | CreateAccessibleObject
 | GetSelectedChildAccessibleObject
 | GetChildAccessibleObjectAtPos
 | ScaleDesignToForm
 | ScaleFormToDesign
 | Scale96ToForm
 | ScaleFormTo96
 | Scale96ToFont
 | ScaleFontTo96
 | ScaleScreenToFont
 | ScaleFontToScreen
 | Scale96ToScreen
 | ScaleScreenTo96
 | AdjustSize
 | AutoSizePhases
 | AutoSizeDelayed
 | AutoSizeDelayedReport
 | AutoSizeDelayedHandle
 | AnchorToNeighbour
 | AnchorParallel
 | AnchorHorizontalCenterTo
 | AnchorVerticalCenterTo
 | AnchorToCompanion
 | AnchorSame
 | AnchorAsAlign
 | AnchorClient
 | AnchoredControlCount
 | SetBounds
 | SetInitialBounds
 | SetBoundsKeepBase
 | GetPreferredSize
 | GetCanvasScaleFactor
 | GetDefaultWidth
 | GetDefaultHeight
 | GetDefaultColor
 | GetColorResolvingParent
 | GetRGBColorResolvingParent
 | GetSidePosition
 | CNPreferredSizeChanged
 | InvalidatePreferredSize
 | GetAnchorsDependingOnParent
 | DisableAutoSizing
 | EnableAutoSizing
 | UpdateBaseBounds
 | WriteLayoutDebugReport
 | AutoAdjustLayout
 | ShouldAutoAdjust
 | FixDesignFontsPPI
 | ScaleFontsPPI
 | Create
 | Destroy
 | BeforeDestruction
 | EditingDone
 | ExecuteDefaultAction
 | ExecuteCancelAction
 | BeginDrag
 | EndDrag
 | BringToFront
 | HasParent
 | GetParentComponent
 | IsParentOf
 | GetTopParent
 | IsVisible
 | IsControlVisible
 | IsEnabled
 | IsParentColor
 | IsParentFont
 | FormIsUpdating
 | IsProcessingPaintMsg
 | Hide
 | Refresh
 | Repaint
 | Invalidate
 | CheckChildClassAllowed
 | CheckNewParent
 | SendToBack
 | SetTempCursor
 | UpdateRolesForForm
 | ActiveDefaultControlChanged
 | GetTextBuf
 | GetTextLen
 | SetTextBuf
 | Perform
 | ScreenToClient
 | ClientToScreen
 | ScreenToControl
 | ControlToScreen
 | ClientToParent
 | ParentToClient
 | GetChildrenRect
 | Show
 | Update
 | HandleObjectShouldBeVisible
 | ParentDestroyingHandle
 | ParentHandlesAllocated
 | InitiateAction
 | ShowHelp
 | HasHelp
 | RemoveAllHandlersOfObject
 | AddHandlerOnResize
 | RemoveHandlerOnResize
 | AddHandlerOnChangeBounds
 | RemoveHandlerOnChangeBounds
 | AddHandlerOnVisibleChanging
 | RemoveHandlerOnVisibleChanging
 | AddHandlerOnVisibleChanged
 | RemoveHandlerOnVisibleChanged
 | AddHandlerOnEnabledChanged
 | RemoveHandlerOnEnableChanging
 | AddHandlerOnKeyDown
 | RemoveHandlerOnKeyDown
 | AddHandlerOnBeforeDestruction
 | RemoveHandlerOnBeforeDestruction
 | AddHandlerOnMouseWheel
 | RemoveHandlerOnMouseWheel
 | UseRightToLeftAlignment
 | UseRightToLeftReading
 | UseRightToLeftScrollBar
 | IsRightToLeft
TLCLComponent
pt | WSRegisterClass
pt | GetWSComponentClass
 | Create
 | Destroy
 | NewInstance
 | RemoveAllHandlersOfObject
 | IncLCLRefCount
 | DecLCLRefCount
TComponent
 | GetComObject
 | GetComponent
 | GetComponentCount
 | GetComponentIndex
 | Insert
 | ReadLeft
 | ReadTop
 | Remove
 | RemoveNotification
 | SetComponentIndex
 | SetReference
 | WriteLeft
 | WriteTop
 | ChangeName
 | DefineProperties
 | GetChildren
 | GetChildOwner
 | GetChildParent
 | GetOwner
 | Loaded
 | Loading
 | Notification
 | PaletteCreated
 | ReadState
 | SetAncestor
 | SetDesigning
 | SetDesignInstance
 | SetInline
 | SetName
 | SetChildOrder
 | SetParentComponent
 | Updating
 | Updated
 | UpdateRegistry
 | ValidateRename
 | ValidateContainer
 | ValidateInsert
 | QueryInterface
 | _AddRef
 | _Release
 | iicrGetComponent
 | GetTypeInfoCount
 | GetTypeInfo
 | GetIDsOfNames
 | Invoke
 | WriteState
 | Create
 | Destroy
 | BeforeDestruction
 | DestroyComponents
 | Destroying
 | ExecuteAction
 | FindComponent
 | FreeNotification
 | RemoveFreeNotification
 | FreeOnRelease
 | GetEnumerator
 | GetNamePath
 | GetParentComponent
 | HasParent
 | InsertComponent
 | RemoveComponent
 | SafeCallException
 | SetSubComponent
 | UpdateAction
 | IsImplementorOf
 | ReferenceInterface
TPersistent
 | AssignError
 | AssignTo
 | DefineProperties
 | GetOwner
 | Destroy
 | Assign
 | FPOAttachObserver
 | FPODetachObserver
 | FPONotifyObservers
 | GetNamePath
TObject
 | Create
 | Destroy
 | newinstance
 | FreeInstance
 | SafeCallException
 | DefaultHandler
 | Free
 | InitInstance
 | CleanupInstance
 | ClassType
 | ClassInfo
 | ClassName
 | ClassNameIs
 | ClassParent
 | InstanceSize
 | InheritsFrom
 | StringMessageTable
 | MethodAddress
 | MethodName
 | FieldAddress
 | AfterConstruction
 | BeforeDestruction
 | DefaultHandlerStr
 | Dispatch
 | DispatchStr
 | GetInterface
 | GetInterfaceByStr
 | GetInterfaceWeak
 | GetInterfaceEntry
 | GetInterfaceEntryByStr
 | GetInterfaceTable
 | UnitName
 | Equals
 | GetHashCode
 | ToString


pt | ActionChange (TControl)
 | ActiveDefaultControlChanged (TControl)
 | AddControl (TWinControl)
pt | AddHandler (TControl)
 | AddHandlerOnBeforeDestruction (TControl)
 | AddHandlerOnChangeBounds (TControl)
 | AddHandlerOnEnabledChanged (TControl)
 | AddHandlerOnKeyDown (TControl)
 | AddHandlerOnMouseWheel (TControl)
 | AddHandlerOnResize (TControl)
 | AddHandlerOnVisibleChanged (TControl)
 | AddHandlerOnVisibleChanging (TControl)
pt | AdjustClientRect (TWinControl)
 | AdjustSize (TControl)
 | AfterConstruction (TObject)
pt | AlignControls (TWinControl)
pt | AllAutoSized (TWinControl)
 | AnchorAsAlign (TControl)
 | AnchorClient (TControl)
 | AnchoredControlCount (TControl)
 | AnchorHorizontalCenterTo (TControl)
 | AnchorParallel (TControl)
 | AnchorSame (TControl)
pt | AnchorSideChanged (TControl)
 | AnchorToCompanion (TControl)
 | AnchorToNeighbour (TControl)
 | AnchorVerticalCenterTo (TControl)
pt | ApplyChanges (TCustomTrackBar)
 | Assign (TPersistent)
 | AssignError (TPersistent)
 | AssignTo (TPersistent)
pt | AssignTo (TControl)
 | AutoAdjustLayout (TControl)
 | AutoAdjustLayout (TWinControl)
 | AutoSizeDelayed (TControl)
 | AutoSizeDelayed (TWinControl)
 | AutoSizeDelayedHandle (TControl)
 | AutoSizeDelayedHandle (TWinControl)
 | AutoSizeDelayedReport (TControl)
 | AutoSizeDelayedReport (TWinControl)
 | AutoSizePhases (TControl)
 | AutoSizePhases (TWinControl)
 | BeforeDestruction (TObject)
 | BeforeDestruction (TComponent)
 | BeforeDestruction (TControl)
pt | BeforeDragStart (TControl)
pt | BeginAutoDrag (TControl)
pt | BeginAutoSizing (TControl)
 | BeginDrag (TControl)
 | BeginUpdateBounds (TWinControl)
pt | BoundsChanged (TControl)
 | BringToFront (TControl)
 | BroadCast (TWinControl)
 | BrushCreated (TWinControl)
pt | CalculateDockSizes (TControl)
pt | CalculatePreferredSize (TControl)
pt | CalculatePreferredSize (TWinControl)
pt | CanAutoSize (TControl)
 | CanFocus (TWinControl)
 | CanSetFocus (TWinControl)
pt | CanTab (TControl)
pt | CanTab (TWinControl)
pt | CaptureChanged (TControl)
pt | ChangeBounds (TControl)
pt | Changed (TControl)
pt | Changed (TCustomTrackBar)
 | ChangeName (TComponent)
pt | ChangeScale (TControl)
pt | ChangeScale (TWinControl)
 | CheckChildClassAllowed (TControl)
 | CheckNewParent (TControl)
pt | CheckOnChangeBounds (TControl)
pt | ChildClassAllowed (TControl)
pt | ChildClassAllowed (TWinControl)
pt | ChildHandlesCreated (TWinControl)
pt | ChildKey (TWinControl)
 | ClassInfo (TObject)
 | ClassName (TObject)
 | ClassNameIs (TObject)
 | ClassParent (TObject)
 | ClassType (TObject)
 | CleanupInstance (TObject)
pt | Click (TControl)
 | ClientRectNeedsInterfaceUpdate (TWinControl)
 | ClientToParent (TControl)
 | ClientToScreen (TControl)
pt | CMBiDiModeChanged (TControl)
pt | CMBiDiModeChanged (TWinControl)
pt | CMBorderChanged (TWinControl)
pt | CMChanged (TControl)
pt | CMCursorChanged (TControl)
pt | CMDoubleBufferedChanged (TWinControl)
pt | CMEnabledChanged (TControl)
pt | CMEnabledChanged (TWinControl)
pt | CMEnter (TWinControl)
pt | CMExit (TWinControl)
pt | CMHintShow (TControl)
pt | CMHitTest (TControl)
pt | CMMouseEnter (TControl)
pt | CMMouseLeave (TControl)
pt | CMParentBiDiModeChanged (TControl)
pt | CMParentColorChanged (TControl)
pt | CMParentDoubleBufferedChanged (TWinControl)
pt | CMParentFontChanged (TControl)
pt | CMParentShowHintChanged (TControl)
pt | CMShowHintChanged (TWinControl)
pt | CMShowingChanged (TWinControl)
pt | CMSysFontChanged (TControl)
pt | CMTextChanged (TControl)
pt | CMVisibleChanged (TControl)
pt | CMVisibleChanged (TWinControl)
pt | CNChar (TWinControl)
pt | CNKeyDown (TWinControl)
pt | CNKeyUp (TWinControl)
 | CNPreferredSizeChanged (TControl)
pt | CNSysKeyDown (TWinControl)
pt | CNSysKeyUp (TWinControl)
pt | ColorIsStored (TControl)
pt | ConstrainedResize (TControl)
 | ContainsControl (TWinControl)
 | ControlAtPos (TWinControl)
pt | ControlKeyDown (TWinControl)
pt | ControlKeyUp (TWinControl)
pt | ControlsAligned (TWinControl)
 | ControlToScreen (TControl)
 | Create (TObject)
 | Create (TComponent)
 | Create (TLCLComponent)
 | Create (TControl)
 | Create (TWinControl)
 | Create (TCustomTrackBar)
 | CreateAccessibleObject (TControl)
pt | CreateBrush (TWinControl)
pt | CreateControlBorderSpacing (TControl)
pt | CreateDockManager (TWinControl)
pt | CreateFloatingDockSite (TControl)
pt | CreateHandle (TWinControl)
pt | CreateParams (TWinControl)
 | CreateParented (TWinControl)
 | CreateParentedControl (TWinControl)
pt | CreateSubClass (TWinControl)
pt | CreateWnd (TWinControl)
pt | CustomAlignInsertBefore (TWinControl)
pt | CustomAlignPosition (TWinControl)
pt | DblClick (TControl)
 | DecLCLRefCount (TLCLComponent)
 | DefaultHandler (TObject)
 | DefaultHandler (TWinControl)
 | DefaultHandlerStr (TObject)
 | DefineProperties (TPersistent)
 | DefineProperties (TComponent)
pt | DefineProperties (TControl)
 | Destroy (TObject)
 | Destroy (TPersistent)
 | Destroy (TComponent)
 | Destroy (TLCLComponent)
 | Destroy (TControl)
 | Destroy (TWinControl)
 | DestroyComponents (TComponent)
pt | DestroyHandle (TWinControl)
 | Destroying (TComponent)
pt | DestroyWnd (TWinControl)
pt | DialogChar (TControl)
pt | DialogChar (TWinControl)
 | DisableAlign (TWinControl)
 | DisableAutoSizing (TControl)
 | Dispatch (TObject)
 | DispatchStr (TObject)
pt | DoAddDockClient (TWinControl)
 | DoAdjustClientRectChange (TWinControl)
pt | DoAlignChildControls (TWinControl)
pt | DoAllAutoSize (TControl)
pt | DoAllAutoSize (TWinControl)
pt | DoAutoAdjustLayout (TControl)
pt | DoAutoSize (TControl)
pt | DoAutoSize (TWinControl)
pt | DoBorderSpacingChange (TControl)
pt | DoCallKeyEventHandler (TControl)
pt | DoCallMouseWheelEventHandler (TControl)
pt | DoCallNotifyHandler (TControl)
pt | DoChange (TCustomTrackBar)
pt | DoChildSizingChange (TWinControl)
 | Dock (TControl)
 | DockDrop (TWinControl)
 | Docked (TControl)
pt | DockOver (TWinControl)
pt | DockTrackNoTarget (TControl)
pt | DoConstraintsChange (TControl)
pt | DoConstraintsChange (TWinControl)
pt | DoContextPopup (TControl)
pt | DoDock (TControl)
pt | DoDockClientMsg (TWinControl)
pt | DoDockOver (TWinControl)
pt | DoDragMsg (TControl)
pt | DoDragMsg (TWinControl)
pt | DoEndDock (TControl)
pt | DoEndDrag (TControl)
pt | DoEnter (TWinControl)
pt | DoExit (TWinControl)
pt | DoFixDesignFontPPI (TControl)
pt | DoFlipChildren (TWinControl)
pt | DoFloatMsg (TControl)
pt | DoFloatMsg (TWinControl)
pt | DoGetDockCaption (TWinControl)
pt | DoKeyDownBeforeInterface (TWinControl)
pt | DoKeyPress (TWinControl)
pt | DoKeyUpBeforeInterface (TWinControl)
pt | DoMouseWheel (TControl)
pt | DoMouseWheelDown (TControl)
pt | DoMouseWheelHorz (TControl)
pt | DoMouseWheelLeft (TControl)
pt | DoMouseWheelRight (TControl)
pt | DoMouseWheelUp (TControl)
pt | DoOnChangeBounds (TControl)
pt | DoOnParentHandleDestruction (TControl)
pt | DoOnResize (TControl)
pt | DoOnShowHint (TControl)
pt | DoRemainingKeyDown (TWinControl)
pt | DoRemainingKeyUp (TWinControl)
pt | DoRemoveDockClient (TWinControl)
pt | DoScaleFontPPI (TControl)
pt | DoSendBoundsToInterface (TWinControl)
pt | DoSendShowHideToInterface (TWinControl)
pt | DoSetBounds (TControl)
pt | DoSetBounds (TWinControl)
pt | DoStartDock (TControl)
pt | DoStartDrag (TControl)
pt | DoUnDock (TWinControl)
pt | DoUndockClientMsg (TWinControl)
pt | DoUTF8KeyPress (TWinControl)
pt | DragCanceled (TControl)
 | DragDrop (TControl)
 | Dragging (TControl)
pt | DragOver (TControl)
 | EditingDone (TControl)
 | EnableAlign (TWinControl)
 | EnableAutoSizing (TControl)
pt | EnabledChanged (TControl)
pt | EnabledChanging (TControl)
pt | EndAutoSizing (TControl)
 | EndDrag (TControl)
 | EndUpdateBounds (TWinControl)
 | Equals (TObject)
 | EraseBackground (TWinControl)
 | ExecuteAction (TComponent)
 | ExecuteCancelAction (TControl)
 | ExecuteDefaultAction (TControl)
 | FieldAddress (TObject)
pt | FinalizeWnd (TWinControl)
 | FindChildControl (TWinControl)
 | FindComponent (TComponent)
pt | FindNextControl (TWinControl)
 | FixDesignFontsPPI (TControl)
pt | FixParams (TCustomTrackBar)
pt | FixupTabList (TWinControl)
 | FlipChildren (TWinControl)
 | Focused (TWinControl)
pt | FontChanged (TControl)
pt | FontChanged (TWinControl)
pt | ForeignAnchorSideChanged (TControl)
pt | FormEndUpdated (TControl)
pt | FormEndUpdated (TWinControl)
 | FormIsUpdating (TControl)
 | FPOAttachObserver (TPersistent)
 | FPODetachObserver (TPersistent)
 | FPONotifyObservers (TPersistent)
 | Free (TObject)
 | FreeInstance (TObject)
 | FreeNotification (TComponent)
 | FreeOnRelease (TComponent)
 | GetAccessibleObject (TControl)
pt | GetAction (TControl)
pt | GetActionLinkClass (TControl)
pt | GetAdjustedLogicalClientRect (TWinControl)
 | GetAnchorsDependingOnParent (TControl)
pt | GetBorderStyle (TWinControl)
pt | GetCachedText (TControl)
 | GetCanvasScaleFactor (TControl)
 | GetChildAccessibleObjectAtPos (TControl)
 | GetChildOwner (TComponent)
 | GetChildParent (TComponent)
 | GetChildren (TComponent)
pt | GetChildren (TWinControl)
 | GetChildrenRect (TControl)
 | GetChildrenRect (TWinControl)
pt | GetClientOrigin (TControl)
pt | GetClientOrigin (TWinControl)
pt | GetClientRect (TControl)
pt | GetClientRect (TWinControl)
pt | GetClientScrollOffset (TControl)
 | GetColorResolvingParent (TControl)
 | GetComObject (TComponent)
 | GetComponent (TComponent)
 | GetComponentCount (TComponent)
 | GetComponentIndex (TComponent)
pt | GetControlClassDefaultSize (TControl)
pt | GetControlClassDefaultSize (TCustomTrackBar)
 | GetControlIndex (TWinControl)
pt | GetControlOrigin (TControl)
pt | GetControlOrigin (TWinControl)
pt | GetCursor (TControl)
 | GetDefaultColor (TControl)
pt | GetDefaultDockCaption (TControl)
 | GetDefaultHeight (TControl)
 | GetDefaultWidth (TControl)
pt | GetDeviceContext (TControl)
pt | GetDeviceContext (TWinControl)
 | GetDockCaption (TWinControl)
pt | GetDockEdge (TControl)
pt | GetDragImages (TControl)
pt | GetEnabled (TControl)
 | GetEnumerator (TComponent)
 | GetEnumeratorControls (TWinControl)
 | GetEnumeratorControlsReverse (TWinControl)
pt | GetFloating (TControl)
pt | GetFloatingDockSiteClass (TControl)
 | GetHashCode (TObject)
 | GetIDsOfNames (TComponent)
 | GetInterface (TObject)
 | GetInterfaceByStr (TObject)
 | GetInterfaceEntry (TObject)
 | GetInterfaceEntryByStr (TObject)
 | GetInterfaceTable (TObject)
 | GetInterfaceWeak (TObject)
pt | GetLogicalClientRect (TControl)
pt | GetMouseCapture (TControl)
pt | GetMouseCapture (TWinControl)
pt | GetMousePosFromMessage (TControl)
 | GetNamePath (TPersistent)
 | GetNamePath (TComponent)
 | GetOwner (TPersistent)
 | GetOwner (TComponent)
pt | GetPalette (TControl)
pt | GetParentBackground (TWinControl)
 | GetParentComponent (TComponent)
 | GetParentComponent (TControl)
pt | GetParentHandle (TWinControl)
pt | GetPopupMenu (TControl)
 | GetPreferredSize (TControl)
pt | GetPreferredSizeClientFrame (TWinControl)
 | GetRGBColorResolvingParent (TControl)
pt | GetScrolledClientRect (TControl)
 | GetSelectedChildAccessibleObject (TControl)
 | GetSidePosition (TControl)
pt | GetSiteInfo (TWinControl)
 | GetTabOrderList (TWinControl)
 | GetTextBuf (TControl)
 | GetTextLen (TControl)
 | GetTextLen (TWinControl)
 | GetTopParent (TControl)
pt | GetTopParentHandle (TWinControl)
 | GetTypeInfo (TComponent)
 | GetTypeInfoCount (TComponent)
pt | GetWSComponentClass (TLCLComponent)
 | HandleAllocated (TWinControl)
 | HandleNeeded (TWinControl)
 | HandleObjectShouldBeVisible (TControl)
 | HasHelp (TControl)
 | HasParent (TComponent)
 | HasParent (TControl)
pt | HeightIsAnchored (TControl)
 | Hide (TControl)
 | iicrGetComponent (TComponent)
 | IncLCLRefCount (TLCLComponent)
 | InheritsFrom (TObject)
pt | InitializeWnd (TWinControl)
pt | InitializeWnd (TCustomTrackBar)
 | InitiateAction (TControl)
 | InitInstance (TObject)
 | Insert (TComponent)
 | InsertComponent (TComponent)
 | InsertControl (TWinControl)
 | InstanceSize (TObject)
 | IntfGetDropFilesTarget (TWinControl)
 | IntfUTF8KeyPress (TWinControl)
 | Invalidate (TControl)
 | Invalidate (TWinControl)
pt | InvalidateBoundsRealized (TWinControl)
 | InvalidateClientRectCache (TWinControl)
pt | InvalidateControl (TControl)
pt | InvalidatePreferredChildSizes (TWinControl)
 | InvalidatePreferredSize (TControl)
 | Invoke (TComponent)
pt | IsAParentAligning (TControl)
pt | IsBorderSpacingInnerBorderStored (TControl)
pt | IsCaptionStored (TControl)
pt | IsClientHeightStored (TControl)
pt | IsClientHeightStored (TWinControl)
pt | IsClientWidthStored (TControl)
pt | IsClientWidthStored (TWinControl)
pt | IsControlMouseMsg (TWinControl)
 | IsControlVisible (TControl)
 | IsEnabled (TControl)
 | IsImplementorOf (TComponent)
 | IsParentColor (TControl)
 | IsParentFont (TControl)
 | IsParentOf (TControl)
 | IsProcessingPaintMsg (TControl)
 | IsRightToLeft (TControl)
 | IsVisible (TControl)
pt | KeyDown (TWinControl)
pt | KeyDownAfterInterface (TWinControl)
pt | KeyDownBeforeInterface (TWinControl)
pt | KeyPress (TWinControl)
pt | KeyUp (TWinControl)
pt | KeyUpAfterInterface (TWinControl)
pt | KeyUpBeforeInterface (TWinControl)
pt | LMCaptureChanged (TControl)
 | Loaded (TComponent)
pt | Loaded (TControl)
pt | Loaded (TWinControl)
pt | Loaded (TCustomTrackBar)
pt | LoadedAll (TControl)
 | Loading (TComponent)
 | LockRealizeBounds (TWinControl)
pt | MainWndProc (TWinControl)
 | ManualDock (TControl)
 | ManualFloat (TControl)
 | MethodAddress (TObject)
 | MethodName (TObject)
pt | MouseDown (TControl)
pt | MouseEnter (TControl)
pt | MouseLeave (TControl)
pt | MouseMove (TControl)
pt | MouseUp (TControl)
 | newinstance (TObject)
 | NewInstance (TLCLComponent)
 | Notification (TComponent)
pt | Notification (TControl)
 | NotifyControls (TWinControl)
pt | PaintControls (TWinControl)
pt | PaintHandler (TWinControl)
 | PaintTo (TWinControl)
pt | PaintWindow (TWinControl)
 | PaletteCreated (TComponent)
 | ParentDestroyingHandle (TControl)
pt | ParentFontChanged (TControl)
pt | ParentFormHandleInitialized (TControl)
pt | ParentFormHandleInitialized (TWinControl)
 | ParentHandlesAllocated (TControl)
 | ParentHandlesAllocated (TWinControl)
 | ParentToClient (TControl)
 | Perform (TControl)
 | PerformTab (TWinControl)
pt | PositionDockRect (TControl)
pt | QuadClick (TControl)
 | QueryInterface (TComponent)
 | ReadLeft (TComponent)
 | ReadState (TComponent)
pt | ReadState (TControl)
 | ReadTop (TComponent)
pt | RealGetText (TControl)
pt | RealGetText (TWinControl)
 | ReAlign (TWinControl)
pt | RealizeBounds (TWinControl)
pt | RealizeBoundsRecursive (TWinControl)
pt | RealSetText (TControl)
pt | RealSetText (TWinControl)
 | ReferenceInterface (TComponent)
 | Refresh (TControl)
pt | ReloadDockedControl (TWinControl)
 | Remove (TComponent)
 | RemoveAllHandlersOfObject (TLCLComponent)
 | RemoveAllHandlersOfObject (TControl)
 | RemoveComponent (TComponent)
 | RemoveControl (TWinControl)
pt | RemoveFocus (TWinControl)
 | RemoveFreeNotification (TComponent)
pt | RemoveHandler (TControl)
 | RemoveHandlerOnBeforeDestruction (TControl)
 | RemoveHandlerOnChangeBounds (TControl)
 | RemoveHandlerOnEnableChanging (TControl)
 | RemoveHandlerOnKeyDown (TControl)
 | RemoveHandlerOnMouseWheel (TControl)
 | RemoveHandlerOnResize (TControl)
 | RemoveHandlerOnVisibleChanged (TControl)
 | RemoveHandlerOnVisibleChanging (TControl)
 | RemoveNotification (TComponent)
 | Repaint (TControl)
 | Repaint (TWinControl)
 | ReplaceDockedControl (TControl)
pt | RequestAlign (TControl)
pt | Resize (TControl)
 | SafeCallException (TObject)
 | SafeCallException (TComponent)
 | Scale96ToFont (TControl)
 | Scale96ToForm (TControl)
 | Scale96ToScreen (TControl)
 | ScaleBy (TWinControl)
pt | ScaleConstraints (TControl)
pt | ScaleControls (TWinControl)
 | ScaleDesignToForm (TControl)
 | ScaleFontsPPI (TControl)
 | ScaleFontTo96 (TControl)
 | ScaleFontToScreen (TControl)
 | ScaleFormTo96 (TControl)
 | ScaleFormToDesign (TControl)
 | ScaleScreenTo96 (TControl)
 | ScaleScreenToFont (TControl)
 | ScreenToClient (TControl)
 | ScreenToControl (TControl)
 | ScrollBy (TWinControl)
 | ScrollBy_WS (TWinControl)
pt | SelectFirst (TWinControl)
 | SelectNext (TWinControl)
pt | SendDialogChar (TWinControl)
pt | SendMoveSizeMessages (TControl)
pt | SendMoveSizeMessages (TWinControl)
 | SendToBack (TControl)
pt | SetAction (TControl)
pt | SetAlign (TControl)
 | SetAncestor (TComponent)
pt | SetAnchors (TControl)
pt | SetAutoSize (TControl)
pt | SetBiDiMode (TControl)
pt | SetBorderStyle (TWinControl)
 | SetBounds (TControl)
 | SetBounds (TWinControl)
 | SetBoundsKeepBase (TControl)
 | SetChildOrder (TComponent)
pt | SetChildZPosition (TWinControl)
pt | SetColor (TControl)
pt | SetColor (TWinControl)
 | SetComponentIndex (TComponent)
 | SetControlIndex (TWinControl)
pt | SetCursor (TControl)
 | SetDesigning (TComponent)
 | SetDesignInstance (TComponent)
pt | SetDockManager (TWinControl)
pt | SetDragMode (TControl)
pt | SetEnabled (TControl)
 | SetFocus (TWinControl)
pt | SetHint (TControl)
 | SetInitialBounds (TControl)
 | SetInline (TComponent)
 | SetName (TComponent)
pt | SetName (TControl)
pt | SetParent (TControl)
pt | SetParentBackground (TWinControl)
pt | SetParentBiDiMode (TControl)
 | SetParentComponent (TComponent)
pt | SetParentComponent (TControl)
 | SetReference (TComponent)
 | SetShape (TWinControl)
 | SetSubComponent (TComponent)
 | SetTempCursor (TControl)
 | SetTempCursor (TWinControl)
 | SetTextBuf (TControl)
 | SetTick (TCustomTrackBar)
pt | SetVisible (TControl)
pt | SetZOrder (TControl)
 | ShouldAutoAdjust (TControl)
 | Show (TControl)
pt | ShowControl (TWinControl)
 | ShowHelp (TControl)
 | StringMessageTable (TObject)
pt | TextChanged (TControl)
 | ToString (TObject)
pt | TripleClick (TControl)
 | UnitName (TObject)
 | UnlockRealizeBounds (TWinControl)
 | Update (TControl)
 | Update (TWinControl)
 | UpdateAction (TComponent)
pt | UpdateAnchorRules (TControl)
 | UpdateBaseBounds (TControl)
pt | UpdateControlState (TWinControl)
 | Updated (TComponent)
 | UpdateDockCaption (TWinControl)
pt | UpdateMouseCursor (TControl)
 | UpdateRegistry (TComponent)
 | UpdateRolesForForm (TControl)
pt | UpdateShowing (TWinControl)
 | Updating (TComponent)
 | UseRightToLeftAlignment (TControl)
 | UseRightToLeftReading (TControl)
 | UseRightToLeftScrollBar (TControl)
pt | UTF8KeyPress (TWinControl)
 | ValidateContainer (TComponent)
 | ValidateInsert (TComponent)
 | ValidateRename (TComponent)
pt | VisibleChanged (TControl)
pt | VisibleChanging (TControl)
pt | WidthIsAnchored (TControl)
pt | WMCancelMode (TControl)
pt | WMChar (TWinControl)
pt | WMContextMenu (TControl)
pt | WMContextMenu (TWinControl)
pt | WMDestroy (TWinControl)
pt | WMEnter (TWinControl)
pt | WMEraseBkgnd (TWinControl)
pt | WMExit (TWinControl)
pt | WMKeyDown (TWinControl)
pt | WMKeyUp (TWinControl)
pt | WMKillFocus (TWinControl)
pt | WMLButtonDBLCLK (TControl)
pt | WMLButtonDown (TControl)
pt | WMLButtonQuadCLK (TControl)
pt | WMLButtonTripleCLK (TControl)
pt | WMLButtonUp (TControl)
pt | WMMButtonDBLCLK (TControl)
pt | WMMButtonDown (TControl)
pt | WMMButtonQuadCLK (TControl)
pt | WMMButtonTripleCLK (TControl)
pt | WMMButtonUp (TControl)
pt | WMMouseHWheel (TControl)
pt | WMMouseMove (TControl)
pt | WMMouseWheel (TControl)
pt | WMMove (TControl)
pt | WMMove (TWinControl)
pt | WMNotify (TWinControl)
pt | WMPaint (TWinControl)
pt | WMRButtonDBLCLK (TControl)
pt | WMRButtonDown (TControl)
pt | WMRButtonQuadCLK (TControl)
pt | WMRButtonTripleCLK (TControl)
pt | WMRButtonUp (TControl)
pt | WMSetFocus (TWinControl)
pt | WMShowWindow (TWinControl)
pt | WMSize (TControl)
pt | WMSize (TWinControl)
pt | WMSysChar (TWinControl)
pt | WMSysKeyDown (TWinControl)
pt | WMSysKeyUp (TWinControl)
pt | WMWindowPosChanged (TControl)
pt | WMWindowPosChanged (TWinControl)
pt | WMXButtonDBLCLK (TControl)
pt | WMXButtonDown (TControl)
pt | WMXButtonQuadCLK (TControl)
pt | WMXButtonTripleCLK (TControl)
pt | WMXButtonUp (TControl)
pt | WndProc (TControl)
pt | WndProc (TWinControl)
 | WriteLayoutDebugReport (TControl)
 | WriteLayoutDebugReport (TWinControl)
 | WriteLeft (TComponent)
 | WriteState (TComponent)
 | WriteTop (TComponent)
pt | WSRegisterClass (TLCLComponent)
pt | WSRegisterClass (TControl)
pt | WSRegisterClass (TWinControl)
pt | WSRegisterClass (TCustomTrackBar)
pt | WSSetText (TWinControl)
 | _AddRef (TComponent)
 | _Release (TComponent)


TCustomTrackBar
pl | OnChange
TWinControl
pt | OnGetSiteInfo
pt | OnGetDockCaption
 | OnAlignInsertBefore
 | OnAlignPosition
 | OnDockDrop
 | OnDockOver
 | OnEnter
 | OnExit
 | OnKeyDown
 | OnKeyPress
 | OnKeyUp
 | OnUnDock
 | OnUTF8KeyPress
TControl
pt | OnConstrainedResize
pt | OnContextPopup
pt | OnDblClick
pt | OnTripleClick
pt | OnQuadClick
pt | OnDragDrop
pt | OnDragOver
pt | OnEndDock
pt | OnEndDrag
pt | OnMouseDown
pt | OnMouseMove
pt | OnMouseUp
pt | OnMouseEnter
pt | OnMouseLeave
pt | OnMouseWheel
pt | OnMouseWheelDown
pt | OnMouseWheelUp
pt | OnMouseWheelHorz
pt | OnMouseWheelLeft
pt | OnMouseWheelRight
pt | OnStartDock
pt | OnStartDrag
pt | OnEditingDone
 | OnChangeBounds
 | OnClick
 | OnResize
 | OnShowHint
TLCLComponent
TComponent
TPersistent
TObject


pl | OnChange (TCustomTrackBar)
 | OnChangeBounds (TControl)
 | OnClick (TControl)
pt | OnConstrainedResize (TControl)
pt | OnContextPopup (TControl)
pt | OnDblClick (TControl)
 | OnDockDrop (TWinControl)
 | OnDockOver (TWinControl)
pt | OnDragDrop (TControl)
pt | OnDragOver (TControl)
pt | OnEditingDone (TControl)
pt | OnEndDock (TControl)
pt | OnEndDrag (TControl)
 | OnEnter (TWinControl)
 | OnExit (TWinControl)
pt | OnGetDockCaption (TWinControl)
pt | OnGetSiteInfo (TWinControl)
 | OnKeyDown (TWinControl)
 | OnKeyPress (TWinControl)
 | OnKeyUp (TWinControl)
pt | OnMouseDown (TControl)
pt | OnMouseEnter (TControl)
pt | OnMouseLeave (TControl)
pt | OnMouseMove (TControl)
pt | OnMouseUp (TControl)
pt | OnMouseWheel (TControl)
pt | OnMouseWheelDown (TControl)
pt | OnMouseWheelHorz (TControl)
pt | OnMouseWheelLeft (TControl)
pt | OnMouseWheelRight (TControl)
pt | OnMouseWheelUp (TControl)
pt | OnQuadClick (TControl)
 | OnResize (TControl)
 | OnShowHint (TControl)
pt | OnStartDock (TControl)
pt | OnStartDrag (TControl)
pt | OnTripleClick (TControl)
 | OnUnDock (TWinControl)
 | OnUTF8KeyPress (TWinControl)


TCustomTrackBar.ApplyChanges

ApplyChanges - implement any pending changes

Declaration

Source position: comctrls.pp line 2710

protected procedure TCustomTrackBar.ApplyChanges;


TCustomTrackBar.Changed

Declaration

Source position: comctrls.pp line 2711

protected procedure TCustomTrackBar.Changed; virtual;


TCustomTrackBar.Create

Create - constructor for TCustomTrackBar: calls inherited Create then initialises style, position, size and bounds

Declaration

Source position: comctrls.pp line 2718

public constructor TCustomTrackBar.Create(

  AOwner: TComponent

); override;

See also

TComponent.Create

TWinControl.Create


TCustomTrackBar.DoChange

DoChange - system message to implement changes

Declaration

Source position: comctrls.pp line 2712

protected procedure TCustomTrackBar.DoChange(

  var msg

); message;


TCustomTrackBar.FixParams

Declaration

Source position: comctrls.pp line 2713

protected procedure TCustomTrackBar.FixParams(

  var APosition: Integer;

  var AMin: Integer;

  var AMax: Integer

);


TCustomTrackBar.Frequency

Frequency - how frequently the position of the slider is to be read and updated (currently unsupported)

Declaration

Source position: comctrls.pp line 2721

published property TCustomTrackBar.Frequency : Integer
  read FFrequency
  write SetFrequency
  default 1;


TCustomTrackBar.GetControlClassDefaultSize

GetControlClassDefaultSize - returns its own defaults, overriding the inherited values

Declaration

Source position: comctrls.pp line 2714

protected class function TCustomTrackBar.GetControlClassDefaultSize: TSize; override;

See also

TControl.GetControlClassDefaultSize

Returns the default size for this class of controls (when added to a form).


TCustomTrackBar.LineSize

Line-Size - increment for slider position when an arrow key is pressed

Declaration

Source position: comctrls.pp line 2722

published property TCustomTrackBar.LineSize : Integer
  read FLineSize
  write SetLineSize
  default 1;


TCustomTrackBar.Max

Max - the value corresponding to full movement of the slider. Default = 10

Declaration

Source position: comctrls.pp line 2723

published property TCustomTrackBar.Max : Integer
  read FMax
  write SetMax
  default 10;


TCustomTrackBar.Min

Min - the value associated with the minimum slider position. Default = 0

Declaration

Source position: comctrls.pp line 2724

published property TCustomTrackBar.Min : Integer
  read FMin
  write SetMin
  default 0;


TCustomTrackBar.OnChange

OnChange - action to be taken on change in the slider position

Declaration

Source position: comctrls.pp line 2725

published property TCustomTrackBar.OnChange : TNotifyEvent
  read FOnChange
  write FOnChange;


TCustomTrackBar.Orientation

Orientation - horizontal or vertical

Declaration

Source position: comctrls.pp line 2726

published property TCustomTrackBar.Orientation : TTrackBarOrientation
  read FOrientation
  write SetOrientation
  default trHorizontal;


TCustomTrackBar.PageSize

PageSize - increment for slider position when PageUp or PageDown key is pressed

Declaration

Source position: comctrls.pp line 2727

published property TCustomTrackBar.PageSize : Integer
  read FPageSize
  write SetPageSize
  default 2;


TCustomTrackBar.Position

Position - the location of the slider along the track bar. Represents the Return value from the control

Declaration

Source position: comctrls.pp line 2728

published property TCustomTrackBar.Position : Integer
  read FPosition
  write SetPosition;


TCustomTrackBar.Reversed

Declaration

Source position: comctrls.pp line 2729

published property TCustomTrackBar.Reversed : Boolean
  read FReversed
  write SetReversed
  default False;


TCustomTrackBar.ScalePos

ScalePos - whether scaling label appears at top, bottom, left or right

Declaration

Source position: comctrls.pp line 2730

published property TCustomTrackBar.ScalePos : TTrackBarScalePos
  read FScalePos
  write SetScalePos
  default trTop;


TCustomTrackBar.SelEnd

Declaration

Source position: comctrls.pp line 2731

published property TCustomTrackBar.SelEnd : Integer
  read FSelEnd
  write SetSelEnd
  default 0;


TCustomTrackBar.SelStart

Declaration

Source position: comctrls.pp line 2732

published property TCustomTrackBar.SelStart : Integer
  read FSelStart
  write SetSelStart
  default 0;


TCustomTrackBar.SetTick

SetTick - set the interval for ticks on the taskbar (integer)

Declaration

Source position: comctrls.pp line 2719

public procedure TCustomTrackBar.SetTick(

  Value: Integer

);


TCustomTrackBar.ShowSelRange

Declaration

Source position: comctrls.pp line 2733

published property TCustomTrackBar.ShowSelRange : Boolean
  read FShowSelRange
  write SetShowSelRange
  default True;


TCustomTrackBar.TickMarks

Tickmarks - whether the ticks are above/left, below/right, or both

Declaration

Source position: comctrls.pp line 2735

published property TCustomTrackBar.TickMarks : TTickMark
  read FTickMarks
  write SetTickMarks
  default tmBottomRight;

Description

Tickmarks - where the ticks appear relative to the bar: above/left, below/right, or both


TCustomTrackBar.TickStyle

TickStyle - none, produced automatically or calculated manually

Declaration

Source position: comctrls.pp line 2736

published property TCustomTrackBar.TickStyle : TTickStyle
  read FTickStyle
  write SetTickStyle
  default tsAuto;


TCustomTreeView

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

TCustomTreeView - ancestor class for TTreeView

Declaration

Source position: comctrls.pp line 3305

type TCustomTreeView = class(TCustomControl)
protected
FChangeTimer: TTimer; | FChangeTimer - local variable to act as timer for changes
FEditor: TEdit;
class procedure WSRegisterClass; override; | Registers this component class with the current WidgetSet.
class function GetControlClassDefaultSize; override;
procedure Added(); virtual;
procedure EditorEditingDone(); virtual;
procedure EditorKeyDown(); virtual;
procedure BeginAutoDrag; override; | For internal use: user has started dragging the control.
procedure BeginEditing(); virtual;
function DoDragMsg(); override; | Dispatches a drag message, sent by the DragManager.
function CanChange(); virtual; | CanChange - returns True if a given TreeNode can be changed
function CanCollapse(); virtual; | CanCollapse returns True if a given TreeNode is able to be collapsed
function CanEdit(); virtual; | CanEdit - returns True if a Given TreeNode is allowed to be edited
function CanExpand(); virtual; | CanExpand - returns True if the specified TreeNode can be expanded
function CreateNode; virtual; | CreateNode - creates a new node in a TreeView and returns its content
function CreateNodes; virtual;
function CustomDraw(); virtual; | CustomDraw - returns True if Custom Drawing is proceeding in the specified Rectangle
function CustomDrawItem(); virtual; | CustomDrawItem - returns True if Custom Image drawing is proceeding at the specified TreeNode
function DefaultItemHeightIsStored;
procedure DoAutoAdjustLayout(); override;
function ExpandSignSizeIsStored;
function GetDragImages; override; | Get the list of images usable during dragging.
function GetMaxLvl; | GetMaxLvl - returns the maximum level of branching of the tree structure
function GetMaxScrollLeft; | GetMaxScrollLeft - returns maximal extent of scrolling to the left
function GetMaxScrollTop; | GetMaxScrollTop - returns the maximal extent of scrolling upwards
function GetNodeAtY(); | GetNodeAtY - returns the node at the specified (absolute) Y coordinate
function GetNodeDrawAreaHeight; | GetNodeDrawAreaHeight - returns the height for the area in which node is drawn
function GetNodeDrawAreaWidth; | GetNodeDrawAreaWidth - returns the width for the area in which node is drawn
function IndentIsStored;
function IsCustomDrawn(); virtual; | IsCustomDrawn - returns True if the specified target node is custom drawn
function IsNodeVisible(); | IsNodeVisible - returns True if the specified node is visible
function IsNodeHeightFullVisible(); | IsNodeHeightFullVisible - returns True if the full height of the specified node is visible in the current view
function IsInsertMarkVisible; virtual; | IsInsertMarkVisible - returns True if an Insert mark is visible
procedure MoveSelection();
procedure Change(); virtual; | Change - software emulation of the OnChange event
procedure Collapse(); virtual; | Collapse - software emulation of the OnCollapsed event
procedure CreateWnd; override; | Creates the interface object (widget) and assigns it to Handle.
procedure Delete(); virtual; | Delete - remove the specified node from the tree structure (software emulation of the OnDeletion event)
procedure DestroyWnd; override; | Destroys the interface object (widget).
procedure DoCreateNodeClass(); virtual;
procedure DoEndDrag(); override; | Invokes the OnEndDrag handler.
function DoMouseWheel(); override; | Invokes the OnMouseWheel handlers, when the wheel has been turned.
function DoMouseWheelHorz(); override;
procedure DoPaint; virtual; | DoPaint - perform the actual painting
procedure DoPaintNode(); virtual; | DoPaintNode - perform the actual painting of the specified node
procedure DoStartDrag(); override; | Invokes the OnStartDrag handler
procedure DragOver(); override; | Called when an object is dragged over this control. Determines whether a drop is acceptable, using the OnDragOver handler.
procedure EndEditing(); virtual; | EndEditing - finish editing
procedure EnsureNodeIsVisible(); | EnsureNodeIsVisible - method to make sure specified node is visible
procedure Expand(); virtual; | Expand the specified node
procedure GetImageIndex(); virtual; | GetImageIndex - returns the index of the image associated with the specified node
procedure GetSelectedIndex(); virtual; | GetSelectedIndex - returns the index of the selected node
procedure InitializeWnd; override; | Copies cached control properties to the just created widget.
procedure KeyDown(); override; | Invokes the OnKeyDown handler.
procedure Loaded; override; | Called when the control has been loaded from a resource, transfers the loaded property values to the widget.
procedure MouseDown(); override; | Handler for MouseDown events.
procedure MouseMove(); override; | Handler for MouseMove events.
procedure MouseUp(); override; | Invokes the OnMouseUp handler.
procedure MouseLeave; override;
procedure NodeChanged(); virtual;
procedure Notification(); override; | Notification handler for insertion or deletion of components.
procedure Paint; override; | Override this method in your derived class with your own paint handler.
procedure ScrollView();
procedure SetDragMode(); override;
procedure SetOptions(); virtual; | SetOptions - specifies the options for the TreeView
procedure UpdateDefaultItemHeight; virtual; | UpdateDefaultItemHeight - brings the value of the default item height up-to-date
procedure UpdateInsertMark(); virtual; | UpdateInsertMark - see if there is an insert mark at X,Y and put one in if necessary
procedure DoSelectionChanged; virtual; | DoSelectionChanged - perform the code required for a change in selection
procedure WMHScroll(); message; | WMHScroll - LCL Message for horizontal scroll
procedure WMVScroll(); message; | WMVScroll - LCL Message for Vertical scroll
procedure WMLButtonDown(); message; | Message handler for left mouse button going down.
procedure WMSetFocus(); message;
procedure WMKillFocus(); message;
procedure Resize; override; | Checks for changes and calls DoOnResize if needed.
property EditingItem: TTreeNode; [r]
property States: TTreeViewStates; [r]
public
function GetSelectedChildAccessibleObject; override;
function GetChildAccessibleObjectAtPos(); override;
property AccessibilityOn: Boolean; [rw] | Allows to turn accessibility off to speed up the control
protected
property AutoExpand: Boolean; [rw] | Unfold a tree-item when user clicks it or an item activated by code.
property BorderStyle: TBorderStyle;
property HideSelection: Boolean; [rw] | If a control looses focus, then don't paint selection for a selected tree-item.
property HotTrack: Boolean; [rw] | Additionally highlight/underline tree-item when mouse is over it.
property HotTrackColor: TColor; [rw]
property Indent: Integer; [rws] | Size in pixels by which each nested branching level is to be indented.
property MultiSelect: Boolean; [rw] | Allow to select several tree-items at a time, e.g. using Ctrl+click (select one item more) or Shift+click (select range of items).
property OnAddition: TTVExpandedEvent; [rw]
property OnAdvancedCustomDraw: TTVAdvancedCustomDrawEvent; [rw] | OnAdvancedCustomDraw - event handler for advanced custom drawing
property OnAdvancedCustomDrawItem: TTVAdvancedCustomDrawItemEvent; [rw] | OnAdvancedCustomDrawItem - event handleer for advanced custom drawing item
property OnChange: TTVChangedEvent; [rw] | OnChange - specialised event handler for a change in the TreeView
property OnChanging: TTVChangingEvent; [rw] | OnChanging - specialised event handler while TreeView is being changed
property OnCollapsed: TTVExpandedEvent; [rw] | OnCollapsed - specialised event handler when part of the tree is collapsed
property OnCollapsing: TTVCollapsingEvent; [rw] | OnCollapsing - specialised event handler while part of the tree is being collapsed
property OnCompare: TTVCompareEvent; [rw] | OnCompare - specialised event handler for comparisons within the TreeView
property OnCreateNodeClass: TTVCreateNodeClassEvent; [rw]
property OnCustomCreateItem: TTVCustomCreateNodeEvent; [rw] | OnCustomCreateItem - event handler for custom item creation
property OnCustomDraw: TTVCustomDrawEvent; [rw] | OnCustomDraw - event handler for custom drawing
property OnCustomDrawItem: TTVCustomDrawItemEvent; [rw] | OnCustomDrawItem - event handler for custom drawing item
property OnCustomDrawArrow: TTVCustomDrawArrowEvent; [rw]
property OnDeletion: TTVExpandedEvent; [rw] | OnDeletion - specialised event handler for deletion of node(s) from the tree
property OnEdited: TTVEditedEvent; [rw] | OnEdited - specialised event handler when the TreeView has been edited
property OnEditing: TTVEditingEvent; [rw] | OnEditing - specialised event handler while a TreeView is being edited
property OnEditingEnd: TTVEditingEndEvent; [rw]
property OnExpanded: TTVExpandedEvent; [rw] | OnExpanded - specialised event handler when a TreeView has been expanded
property OnExpanding: TTVExpandingEvent; [rw] | OnExpanding - specialised event handler while a TreeView is being expanded
property OnGetImageIndex: TTVExpandedEvent; [rw] | OnGetImageIndex - event handler for finding the index of an image
property OnGetSelectedIndex: TTVExpandedEvent; [rw] | OnGetSelectedIndex - event handler for finding index of selected item
property OnNodeChanged: TTVNodeChangedEvent; [rw]
property OnSelectionChanged: TNotifyEvent; [rw] | OnSelectionChanged - event handler for a change in the selection
property ReadOnly: Boolean; [rw] | Don't allow to change item captions by mouse click with a delay.
property RightClickSelect: Boolean; [rw] | Right-click also selects tree-item. Else it only calls PopupMenu.
property RowSelect: Boolean; [rw] | When a tree-item is selected, paint selection background with full width.
property ScrolledLeft: Integer; [rw] | ScrolledLeft - the position of the tree when fully scrolled to the left
property ScrolledTop: Integer; [rw] | ScrolledTop - the position of the tree when fully scrolled to the top
property ShowButtons: Boolean; [rw] | Show expand/collapse (fold/unfold) icons at left side for nodes with sub-nodes.
property ShowLines: Boolean; [rw] | Show vertical lines at left side. They paint the tree structure for nested nodes.
property ShowRoot: Boolean; [rw] | Show the root tree-item which is always present in code but may be hidden for user.
property ShowSeparators: Boolean; [rw]
property SortType: TSortType; [rw] | Allow to show items sorted: by caption, by Data property or both.
property ToolTips: Boolean; [rw] | Show tooltip (hint) for a tree-item when the item is too long to fit by width and mouse is over it.
public
constructor Create(); override; | Create - constructor for TCustomTreeView: calls inherited Create then sets defaults for style, size, etc
destructor Destroy; override; | Destroy - destructor for TCustomTreeView: frees images, nodes and links, then calls inherited Destroy
function AlphaSort; | If True, sort alphabetically
procedure ClearSelection(); virtual;
procedure ConsistencyCheck; | ConsistencyCheck - check that indexes of treenodes match those of images etc
function CustomSort(); | CustomSort - if True, an external sorting method specified by SortProc is to be used
function DefaultTreeViewSort(); | DefaultTreeViewSort - returns result of string comparison between names of Node1 and Node2
procedure EraseBackground(); override; | Fills the entire control with the designed background color and pattern.
function GetHitTestInfoAt(); | GetHitTestInfoAt - returns the result of a hit test at the point (X, Y)
function GetNodeAt(); | GetNodeAt - returns the TreeNode at position (X. Y)
procedure GetInsertMarkAt(); | GetInsertMarkAt - find if there is an insert mark at the specified coordinates
procedure SetInsertMark(); | SetInsertMark - place an Insert mark at the specified node in the tree
procedure SetInsertMarkAt(); virtual; | SetInsertMarkAt - place an insert mark at the specified coordinates
procedure Invalidate; override; | Force a delayed Repaint of the control, by marking its visible area of the control as invalid.
function IsEditing; | IsEditing - returns True if editing is in progress
procedure BeginUpdate; | BeginUpdate - start the update of the display
procedure EndUpdate; | EndUpdate finishes updating the display
procedure FullCollapse; | FullCollapse - method to collapse the treeview fully and show just the root
procedure FullExpand; | FullExpand - method to expand the treeview fully and show all the branches
procedure LoadFromFile(); | LoadFromFile - load the data from the specified file
procedure LoadFromStream(); | LoadFromStream - load data from the specified stream
procedure SaveToFile(); | SaveToFile - saves the data to the specified file
procedure SaveToStream(); | SaveToStream - save the data to the specified stream
procedure WriteDebugReport(); | WriteDebugReport - used for debugging
procedure LockSelectionChangeEvent; | LockSelectionChangeEvent - if the selection has changed, lock its status
procedure UnlockSelectionChangeEvent; | UnlockSelectionChangeEvent - unlock a selection to allow it to be changed
function GetFirstMultiSelected; | GetFirstMultiSelected - returns the first node from a multiple selection
function GetLastMultiSelected;
procedure Select();
function SelectionVisible; | SelectionVisible - returns True if a selection is visible
procedure MakeSelectionVisible; | MakeSelectionVisible - method for making a selection visible
procedure ClearInvisibleSelection;
function StoreCurrentSelection;
procedure ApplyStoredSelection();
procedure MoveToNextNode();
procedure MoveToPrevNode();
procedure MovePageDown();
procedure MovePageUp();
procedure MoveHome();
procedure MoveEnd();
property BackgroundColor: TColor; [rws] | Color of background area of control.
property BorderWidth: TBorderWidth; | Width of the Border around the control; default is zero.
property BottomItem: TTreeNode; [rw] | BottomItem - the last item on the list
property Color: TColor;
property DefaultItemHeight: Integer; [rws] | Default height of tree-items. If tvoAutoItemHeight is set in Options, this value is detected from font and icons.
property DropTarget: TTreeNode; [rw] | DropTarget - the target node for dropping a dragged item
property ExpandSignColor: TColor; [rw] | Color used to paint expand/collapse (fold/unfold) symbol (i.e. plus/minus symbol).
property ExpandSignSize: Integer; [rws] | Size of expand/collapse (fold/unfold) symbol.
property ExpandSignType: TTreeViewExpandSignType; [rw] | Sets shape of expand/collapse (fold/unfold) symbol: plus/minus, empty arrows, filled arrows etc.
property Images: TCustomImageList; [rw] | TImageList object which holds icons for tree-items.
property ImagesWidth: Integer; [rw]
property InsertMarkNode: TTreeNode; [rw] | InsertMarkNode - place a marker on the specified node
property InsertMarkType: TTreeViewInsertMarkType; [rw] | InsertMarkType - the type of marker to be inserted
property Items: TTreeNodes; [rw] | Collection of tree-items which is the content of control. Has type TTreeNodes.
property KeepCollapsedNodes: Boolean; [rw] | KeepCollapsedNodes - if True, the collapsed nodes are to be retained
property MultiSelectStyle: TMultiSelectStyle; [rw] | Additional options for MultiSelect property.
property Options: TTreeViewOptions; [rw] | Set of additional option flags for treeview.
property ScrollBars: TScrollStyle; [rw] | Kind of scrollbars: horizontal, vertical, or both. Auto* mean that scrollbars hide automatically.
property Selected: TTreeNode; [rw] | The Selected tree nodes
property SelectionColor: TColor; [rw] | Color used to paint background of item selection.
property SelectionCount: Cardinal; [r]
property SelectionFontColor: TColor; [rw] | Color used to paint text of selected item.
property SelectionFontColorUsed: Boolean; [rw] | Allow to use property SelectionFontColor. If not used, that color is detected automatically.
property Selections []: TTreeNode; [r]
property SeparatorColor: TColor; [rw] | Color used to paint horizontal lines between items, separators.
property StateImages: TCustomImageList; [rw] | TImageList object which holds icons for tree-item states: normal item, selected item, etc.
property StateImagesWidth: Integer; [rw]
property TopItem: TTreeNode; [rw] | TopItem - the first visible node of the tree
property TreeLineColor: TColor; [rw] | Color used to paint vertical lines at left side.
property TreeLinePenStyle: TPenStyle; [rw] | Style of TPen, used to paint vertical lines at left side.
published
property TabStop: Boolean; | Allows the user to navigate to this control, by pressing the Tab key.
end;

Inheritance

TCustomTreeView | TCustomTreeView - ancestor class for TTreeView
|
TCustomControl | The base class for windowed controls which paint themselves.
|
TWinControl | The base class for controls which can contain other (child) controls.
|
TControl | The base class for visible controls.
|
TLCLComponent | The base class for LCL components associated with widgets.
|
TComponent,IUnknown,IInterfaceComponentReference
|
TPersistent,IFPObserved
|
TObject

Description

TCustomTreeView - ancestor class for TTreeView, which displays a collection of items in a hierarchical tree form. This class defines many properties which are inherited by children classes, including loading the data from files or streams, saving to files or streams, updating, sorting alphabetically, editing, making visible or invisible, expanding or collapsing the tree display, and many more.

Please note that Accessibility support in TCustomTreeView might make this control slower if there is a very large number of items, for example, 10.000+ items. If the performance impact is unacceptable it is possible to turn accessibility off for tree view items by setting TCustomTreeView.AccessibilityOn to false. The default value is true.


TCustomTreeView
pt | ro | EditingItem
pt | ro | States
 |  | AccessibilityOn
pt |  | AutoExpand
pt | ro | BorderStyle
pt |  | HideSelection
pt |  | HotTrack
pt |  | HotTrackColor
pt |  | Indent
pt |  | MultiSelect
pt |  | ReadOnly
pt |  | RightClickSelect
pt |  | RowSelect
pt |  | ScrolledLeft
pt |  | ScrolledTop
pt |  | ShowButtons
pt |  | ShowLines
pt |  | ShowRoot
pt |  | ShowSeparators
pt |  | SortType
pt |  | ToolTips
 |  | BackgroundColor
 | ro | BorderWidth
 |  | BottomItem
 | ro | Color
 |  | DefaultItemHeight
 |  | DropTarget
 |  | ExpandSignColor
 |  | ExpandSignSize
 |  | ExpandSignType
 |  | Images
 |  | ImagesWidth
 |  | InsertMarkNode
 |  | InsertMarkType
 |  | Items
 |  | KeepCollapsedNodes
 |  | MultiSelectStyle
 |  | Options
 |  | ScrollBars
 |  | Selected
 |  | SelectionColor
 | ro | SelectionCount
 |  | SelectionFontColor
 |  | SelectionFontColorUsed
 | ro | Selections
 |  | SeparatorColor
 |  | StateImages
 |  | StateImagesWidth
 |  | TopItem
 |  | TreeLineColor
 |  | TreeLinePenStyle
pl | ro | TabStop
TCustomControl
 |  | Canvas
 | ro | BorderStyle
TWinControl
pt |  | WindowHandle
pt |  | BorderStyle
pt |  | ParentBackground
 |  | BorderWidth
 | ro | BoundsLockCount
 | ro | Brush
 | ro | CachedClientHeight
 | ro | CachedClientWidth
 |  | ChildSizing
 | ro | ControlCount
 | ro | Controls
 |  | DefWndProc
 | ro | DockClientCount
 | ro | DockClients
 |  | DockManager
 |  | DockSite
 |  | DoubleBuffered
 |  | Handle
 | ro | IsFlipped
 | ro | IsResizing
 |  | TabOrder
 |  | TabStop
 |  | ParentDoubleBuffered
 |  | ParentWindow
 | ro | Showing
 |  | UseDockManager
 |  | DesignerDeleting
 | ro | VisibleDockClientCount
TControl
pt | ro | AutoSizing
pt | ro | AutoSizingAll
pt | ro | AutoSizingLockCount
pt |  | ActionLink
pt |  | DesktopFont
pt |  | DragCursor
pt |  | DragKind
pt |  | DragMode
pt |  | MouseCapture
pt |  | ParentColor
pt |  | ParentFont
pt |  | ParentShowHint
pt |  | SessionProperties
pt |  | Text
 | ro | AnchoredControls
 | ro | BaseBounds
 | ro | ReadBounds
 | ro | BaseParentClientSize
 |  | AccessibleDescription
 |  | AccessibleValue
 |  | AccessibleRole
 |  | Action
 |  | Align
 |  | Anchors
 | ro | AnchorSide
 |  | AutoSize
 |  | BorderSpacing
 |  | BoundsRect
 |  | BoundsRectForNewParent
 |  | Caption
 |  | CaptureMouseButtons
 |  | ClientHeight
 | ro | ClientOrigin
 | ro | ClientRect
 |  | ClientWidth
 |  | Color
 |  | Constraints
 | ro | ControlOrigin
 |  | ControlState
 |  | ControlStyle
 |  | Enabled
 |  | Font
 |  | IsControl
 | ro | MouseEntered
 | ro | MouseInClient
 |  | Parent
 |  | PopupMenu
 |  | ShowHint
 |  | Visible
 |  | WindowProc
 |  | DockOrientation
 | ro | Floating
 |  | FloatingDockSiteClass
 |  | HostDockSite
 |  | LRDockWidth
 |  | TBDockHeight
 |  | UndockHeight
 |  | UndockWidth
 |  | BiDiMode
 |  | ParentBiDiMode
pl |  | AnchorSideLeft
pl |  | AnchorSideTop
pl |  | AnchorSideRight
pl |  | AnchorSideBottom
pl |  | Cursor
pl |  | Left
pl |  | Height
pl |  | Hint
pl |  | Top
pl |  | Width
pl |  | HelpType
pl |  | HelpKeyword
pl |  | HelpContext
TLCLComponent
 | ro | LCLRefCount
 | ro | WidgetSetClass
TComponent
 | ro | ComObject
 | ro | Components
 | ro | ComponentCount
 |  | ComponentIndex
 | ro | ComponentState
 | ro | ComponentStyle
 |  | DesignInfo
 | ro | Owner
 |  | VCLComObject
 |  | Name
 |  | Tag
TPersistent
TObject


 |  | AccessibilityOn (TCustomTreeView)
 |  | AccessibleDescription (TControl)
 |  | AccessibleRole (TControl)
 |  | AccessibleValue (TControl)
 |  | Action (TControl)
pt |  | ActionLink (TControl)
 |  | Align (TControl)
 | ro | AnchoredControls (TControl)
 |  | Anchors (TControl)
 | ro | AnchorSide (TControl)
pl |  | AnchorSideBottom (TControl)
pl |  | AnchorSideLeft (TControl)
pl |  | AnchorSideRight (TControl)
pl |  | AnchorSideTop (TControl)
pt |  | AutoExpand (TCustomTreeView)
 |  | AutoSize (TControl)
pt | ro | AutoSizing (TControl)
pt | ro | AutoSizingAll (TControl)
pt | ro | AutoSizingLockCount (TControl)
 |  | BackgroundColor (TCustomTreeView)
 | ro | BaseBounds (TControl)
 | ro | BaseParentClientSize (TControl)
 |  | BiDiMode (TControl)
 |  | BorderSpacing (TControl)
pt |  | BorderStyle (TWinControl)
 | ro | BorderStyle (TCustomControl)
pt | ro | BorderStyle (TCustomTreeView)
 |  | BorderWidth (TWinControl)
 | ro | BorderWidth (TCustomTreeView)
 |  | BottomItem (TCustomTreeView)
 | ro | BoundsLockCount (TWinControl)
 |  | BoundsRect (TControl)
 |  | BoundsRectForNewParent (TControl)
 | ro | Brush (TWinControl)
 | ro | CachedClientHeight (TWinControl)
 | ro | CachedClientWidth (TWinControl)
 |  | Canvas (TCustomControl)
 |  | Caption (TControl)
 |  | CaptureMouseButtons (TControl)
 |  | ChildSizing (TWinControl)
 |  | ClientHeight (TControl)
 | ro | ClientOrigin (TControl)
 | ro | ClientRect (TControl)
 |  | ClientWidth (TControl)
 |  | Color (TControl)
 | ro | Color (TCustomTreeView)
 | ro | ComObject (TComponent)
 | ro | ComponentCount (TComponent)
 |  | ComponentIndex (TComponent)
 | ro | Components (TComponent)
 | ro | ComponentState (TComponent)
 | ro | ComponentStyle (TComponent)
 |  | Constraints (TControl)
 | ro | ControlCount (TWinControl)
 | ro | ControlOrigin (TControl)
 | ro | Controls (TWinControl)
 |  | ControlState (TControl)
 |  | ControlStyle (TControl)
pl |  | Cursor (TControl)
 |  | DefaultItemHeight (TCustomTreeView)
 |  | DefWndProc (TWinControl)
 |  | DesignerDeleting (TWinControl)
 |  | DesignInfo (TComponent)
pt |  | DesktopFont (TControl)
 | ro | DockClientCount (TWinControl)
 | ro | DockClients (TWinControl)
 |  | DockManager (TWinControl)
 |  | DockOrientation (TControl)
 |  | DockSite (TWinControl)
 |  | DoubleBuffered (TWinControl)
pt |  | DragCursor (TControl)
pt |  | DragKind (TControl)
pt |  | DragMode (TControl)
 |  | DropTarget (TCustomTreeView)
pt | ro | EditingItem (TCustomTreeView)
 |  | Enabled (TControl)
 |  | ExpandSignColor (TCustomTreeView)
 |  | ExpandSignSize (TCustomTreeView)
 |  | ExpandSignType (TCustomTreeView)
 | ro | Floating (TControl)
 |  | FloatingDockSiteClass (TControl)
 |  | Font (TControl)
 |  | Handle (TWinControl)
pl |  | Height (TControl)
pl |  | HelpContext (TControl)
pl |  | HelpKeyword (TControl)
pl |  | HelpType (TControl)
pt |  | HideSelection (TCustomTreeView)
pl |  | Hint (TControl)
 |  | HostDockSite (TControl)
pt |  | HotTrack (TCustomTreeView)
pt |  | HotTrackColor (TCustomTreeView)
 |  | Images (TCustomTreeView)
 |  | ImagesWidth (TCustomTreeView)
pt |  | Indent (TCustomTreeView)
 |  | InsertMarkNode (TCustomTreeView)
 |  | InsertMarkType (TCustomTreeView)
 |  | IsControl (TControl)
 | ro | IsFlipped (TWinControl)
 | ro | IsResizing (TWinControl)
 |  | Items (TCustomTreeView)
 |  | KeepCollapsedNodes (TCustomTreeView)
 | ro | LCLRefCount (TLCLComponent)
pl |  | Left (TControl)
 |  | LRDockWidth (TControl)
pt |  | MouseCapture (TControl)
 | ro | MouseEntered (TControl)
 | ro | MouseInClient (TControl)
pt |  | MultiSelect (TCustomTreeView)
 |  | MultiSelectStyle (TCustomTreeView)
 |  | Name (TComponent)
 |  | Options (TCustomTreeView)
 | ro | Owner (TComponent)
 |  | Parent (TControl)
pt |  | ParentBackground (TWinControl)
 |  | ParentBiDiMode (TControl)
pt |  | ParentColor (TControl)
 |  | ParentDoubleBuffered (TWinControl)
pt |  | ParentFont (TControl)
pt |  | ParentShowHint (TControl)
 |  | ParentWindow (TWinControl)
 |  | PopupMenu (TControl)
 | ro | ReadBounds (TControl)
pt |  | ReadOnly (TCustomTreeView)
pt |  | RightClickSelect (TCustomTreeView)
pt |  | RowSelect (TCustomTreeView)
 |  | ScrollBars (TCustomTreeView)
pt |  | ScrolledLeft (TCustomTreeView)
pt |  | ScrolledTop (TCustomTreeView)
 |  | Selected (TCustomTreeView)
 |  | SelectionColor (TCustomTreeView)
 | ro | SelectionCount (TCustomTreeView)
 |  | SelectionFontColor (TCustomTreeView)
 |  | SelectionFontColorUsed (TCustomTreeView)
 | ro | Selections (TCustomTreeView)
 |  | SeparatorColor (TCustomTreeView)
pt |  | SessionProperties (TControl)
pt |  | ShowButtons (TCustomTreeView)
 |  | ShowHint (TControl)
 | ro | Showing (TWinControl)
pt |  | ShowLines (TCustomTreeView)
pt |  | ShowRoot (TCustomTreeView)
pt |  | ShowSeparators (TCustomTreeView)
pt |  | SortType (TCustomTreeView)
 |  | StateImages (TCustomTreeView)
 |  | StateImagesWidth (TCustomTreeView)
pt | ro | States (TCustomTreeView)
 |  | TabOrder (TWinControl)
 |  | TabStop (TWinControl)
pl | ro | TabStop (TCustomTreeView)
 |  | Tag (TComponent)
 |  | TBDockHeight (TControl)
pt |  | Text (TControl)
pt |  | ToolTips (TCustomTreeView)
pl |  | Top (TControl)
 |  | TopItem (TCustomTreeView)
 |  | TreeLineColor (TCustomTreeView)
 |  | TreeLinePenStyle (TCustomTreeView)
 |  | UndockHeight (TControl)
 |  | UndockWidth (TControl)
 |  | UseDockManager (TWinControl)
 |  | VCLComObject (TComponent)
 |  | Visible (TControl)
 | ro | VisibleDockClientCount (TWinControl)
 | ro | WidgetSetClass (TLCLComponent)
pl |  | Width (TControl)
pt |  | WindowHandle (TWinControl)
 |  | WindowProc (TControl)


TCustomTreeView
pt | WSRegisterClass
pt | GetControlClassDefaultSize
pt | Added
pt | EditorEditingDone
pt | EditorKeyDown
pt | BeginAutoDrag
pt | BeginEditing
pt | DoDragMsg
pt | CanChange
pt | CanCollapse
pt | CanEdit
pt | CanExpand
pt | CreateNode
pt | CreateNodes
pt | CustomDraw
pt | CustomDrawItem
pt | DefaultItemHeightIsStored
pt | DoAutoAdjustLayout
pt | ExpandSignSizeIsStored
pt | GetDragImages
pt | GetMaxLvl
pt | GetMaxScrollLeft
pt | GetMaxScrollTop
pt | GetNodeAtY
pt | GetNodeDrawAreaHeight
pt | GetNodeDrawAreaWidth
pt | IndentIsStored
pt | IsCustomDrawn
pt | IsNodeVisible
pt | IsNodeHeightFullVisible
pt | IsInsertMarkVisible
pt | MoveSelection
pt | Change
pt | Collapse
pt | CreateWnd
pt | Delete
pt | DestroyWnd
pt | DoCreateNodeClass
pt | DoEndDrag
pt | DoMouseWheel
pt | DoMouseWheelHorz
pt | DoPaint
pt | DoPaintNode
pt | DoStartDrag
pt | DragOver
pt | EndEditing
pt | EnsureNodeIsVisible
pt | Expand
pt | GetImageIndex
pt | GetSelectedIndex
pt | InitializeWnd
pt | KeyDown
pt | Loaded
pt | MouseDown
pt | MouseMove
pt | MouseUp
pt | MouseLeave
pt | NodeChanged
pt | Notification
pt | Paint
pt | ScrollView
pt | SetDragMode
pt | SetOptions
pt | UpdateDefaultItemHeight
pt | UpdateInsertMark
pt | DoSelectionChanged
pt | WMHScroll
pt | WMVScroll
pt | WMLButtonDown
pt | WMSetFocus
pt | WMKillFocus
pt | Resize
 | GetSelectedChildAccessibleObject
 | GetChildAccessibleObjectAtPos
 | Create
 | Destroy
 | AlphaSort
 | ClearSelection
 | ConsistencyCheck
 | CustomSort
 | DefaultTreeViewSort
 | EraseBackground
 | GetHitTestInfoAt
 | GetNodeAt
 | GetInsertMarkAt
 | SetInsertMark
 | SetInsertMarkAt
 | Invalidate
 | IsEditing
 | BeginUpdate
 | EndUpdate
 | FullCollapse
 | FullExpand
 | LoadFromFile
 | LoadFromStream
 | SaveToFile
 | SaveToStream
 | WriteDebugReport
 | LockSelectionChangeEvent
 | UnlockSelectionChangeEvent
 | GetFirstMultiSelected
 | GetLastMultiSelected
 | Select
 | SelectionVisible
 | MakeSelectionVisible
 | ClearInvisibleSelection
 | StoreCurrentSelection
 | ApplyStoredSelection
 | MoveToNextNode
 | MoveToPrevNode
 | MovePageDown
 | MovePageUp
 | MoveHome
 | MoveEnd
TCustomControl
pt | WSRegisterClass
pt | WMPaint
pt | DestroyWnd
pt | PaintWindow
pt | FontChanged
pt | SetColor
pt | Paint
 | Create
 | Destroy
TWinControl
pt | WSRegisterClass
pt | AdjustClientRect
pt | GetAdjustedLogicalClientRect
pt | AlignControls
pt | CustomAlignInsertBefore
pt | CustomAlignPosition
pt | DoAlignChildControls
pt | DoChildSizingChange
pt | InvalidatePreferredChildSizes
pt | CanTab
pt | IsClientHeightStored
pt | IsClientWidthStored
pt | DoSendShowHideToInterface
pt | ControlsAligned
pt | DoSendBoundsToInterface
pt | RealizeBounds
pt | RealizeBoundsRecursive
pt | InvalidateBoundsRealized
pt | CreateSubClass
pt | DoConstraintsChange
pt | DoSetBounds
pt | DoAutoSize
pt | DoAllAutoSize
pt | AllAutoSized
pt | CalculatePreferredSize
pt | GetPreferredSizeClientFrame
pt | GetChildren
pt | ChildClassAllowed
pt | PaintControls
pt | PaintHandler
pt | PaintWindow
pt | CreateBrush
pt | ScaleControls
pt | ChangeScale
pt | CMBiDiModeChanged
pt | CMBorderChanged
pt | CMDoubleBufferedChanged
pt | CMEnabledChanged
pt | CMParentDoubleBufferedChanged
pt | CMShowingChanged
pt | CMShowHintChanged
pt | CMVisibleChanged
pt | CMEnter
pt | CMExit
pt | WMContextMenu
pt | WMEraseBkgnd
pt | WMNotify
pt | WMSetFocus
pt | WMKillFocus
pt | WMShowWindow
pt | WMEnter
pt | WMExit
pt | WMKeyDown
pt | WMSysKeyDown
pt | WMKeyUp
pt | WMSysKeyUp
pt | WMChar
pt | WMSysChar
pt | WMPaint
pt | WMDestroy
pt | WMMove
pt | WMSize
pt | WMWindowPosChanged
pt | CNKeyDown
pt | CNSysKeyDown
pt | CNKeyUp
pt | CNSysKeyUp
pt | CNChar
pt | DoDragMsg
pt | DoDockClientMsg
pt | DoUndockClientMsg
pt | DoAddDockClient
pt | DockOver
pt | DoDockOver
pt | DoRemoveDockClient
pt | DoUnDock
pt | GetSiteInfo
pt | GetParentHandle
pt | GetTopParentHandle
pt | ReloadDockedControl
pt | CreateDockManager
pt | SetDockManager
pt | DoFloatMsg
pt | DoGetDockCaption
pt | DoEnter
pt | DoExit
pt | DoKeyDownBeforeInterface
pt | DoRemainingKeyDown
pt | DoRemainingKeyUp
pt | DoKeyPress
pt | DoUTF8KeyPress
pt | DoKeyUpBeforeInterface
pt | ChildKey
pt | SendDialogChar
pt | DialogChar
pt | ControlKeyDown
pt | ControlKeyUp
pt | KeyDown
pt | KeyDownBeforeInterface
pt | KeyDownAfterInterface
pt | KeyPress
pt | KeyUp
pt | KeyUpBeforeInterface
pt | KeyUpAfterInterface
pt | UTF8KeyPress
pt | FindNextControl
pt | SelectFirst
pt | RealGetText
pt | GetBorderStyle
pt | GetClientOrigin
pt | GetClientRect
pt | GetControlOrigin
pt | GetDeviceContext
pt | GetParentBackground
pt | IsControlMouseMsg
pt | CreateHandle
pt | CreateParams
pt | CreateWnd
pt | DestroyHandle
pt | DestroyWnd
pt | DoFlipChildren
pt | FinalizeWnd
pt | FixupTabList
pt | FontChanged
pt | InitializeWnd
pt | Loaded
pt | FormEndUpdated
pt | MainWndProc
pt | ParentFormHandleInitialized
pt | ChildHandlesCreated
pt | GetMouseCapture
pt | RealSetText
pt | RemoveFocus
pt | SendMoveSizeMessages
pt | SetBorderStyle
pt | SetColor
pt | SetChildZPosition
pt | SetParentBackground
pt | ShowControl
pt | UpdateControlState
pt | UpdateShowing
pt | WndProc
pt | WSSetText
 | AutoSizePhases
 | AutoSizeDelayed
 | AutoSizeDelayedReport
 | AutoSizeDelayedHandle
 | BeginUpdateBounds
 | EndUpdateBounds
 | LockRealizeBounds
 | UnlockRealizeBounds
 | ControlAtPos
 | ContainsControl
 | DoAdjustClientRectChange
 | InvalidateClientRectCache
 | ClientRectNeedsInterfaceUpdate
 | SetBounds
 | GetChildrenRect
 | DisableAlign
 | EnableAlign
 | ReAlign
 | ScrollBy_WS
 | ScrollBy
 | WriteLayoutDebugReport
 | AutoAdjustLayout
 | Create
 | CreateParented
 | CreateParentedControl
 | Destroy
 | DockDrop
 | CanFocus
 | CanSetFocus
 | GetControlIndex
 | SetControlIndex
 | Focused
 | PerformTab
 | FindChildControl
 | SelectNext
 | SetTempCursor
 | BroadCast
 | NotifyControls
 | DefaultHandler
 | GetTextLen
 | Invalidate
 | AddControl
 | InsertControl
 | RemoveControl
 | GetEnumeratorControls
 | GetEnumeratorControlsReverse
 | Repaint
 | Update
 | SetFocus
 | FlipChildren
 | ScaleBy
 | GetDockCaption
 | UpdateDockCaption
 | GetTabOrderList
 | HandleAllocated
 | ParentHandlesAllocated
 | HandleNeeded
 | BrushCreated
 | EraseBackground
 | IntfUTF8KeyPress
 | IntfGetDropFilesTarget
 | PaintTo
 | SetShape
TControl
pt | WSRegisterClass
pt | GetCursor
pt | SetCursor
pt | SetVisible
pt | DoOnParentHandleDestruction
pt | DoAutoSize
pt | DoAllAutoSize
pt | BeginAutoSizing
pt | EndAutoSizing
pt | AnchorSideChanged
pt | ForeignAnchorSideChanged
pt | SetAlign
pt | SetAnchors
pt | SetAutoSize
pt | BoundsChanged
pt | CreateControlBorderSpacing
pt | DoConstraintsChange
pt | DoBorderSpacingChange
pt | IsBorderSpacingInnerBorderStored
pt | IsCaptionStored
pt | SendMoveSizeMessages
pt | ConstrainedResize
pt | CalculatePreferredSize
pt | DoOnResize
pt | DoOnChangeBounds
pt | CheckOnChangeBounds
pt | Resize
pt | RequestAlign
pt | UpdateAnchorRules
pt | ChangeBounds
pt | DoSetBounds
pt | ScaleConstraints
pt | ChangeScale
pt | CanAutoSize
pt | SetBiDiMode
pt | SetParentBiDiMode
pt | IsAParentAligning
pt | GetClientOrigin
pt | GetClientRect
pt | GetLogicalClientRect
pt | GetScrolledClientRect
pt | GetClientScrollOffset
pt | GetControlOrigin
pt | IsClientHeightStored
pt | IsClientWidthStored
pt | WidthIsAnchored
pt | HeightIsAnchored
pt | WMCancelMode
pt | WMContextMenu
pt | WMLButtonDown
pt | WMRButtonDown
pt | WMMButtonDown
pt | WMXButtonDown
pt | WMLButtonDBLCLK
pt | WMRButtonDBLCLK
pt | WMMButtonDBLCLK
pt | WMXButtonDBLCLK
pt | WMLButtonTripleCLK
pt | WMRButtonTripleCLK
pt | WMMButtonTripleCLK
pt | WMXButtonTripleCLK
pt | WMLButtonQuadCLK
pt | WMRButtonQuadCLK
pt | WMMButtonQuadCLK
pt | WMXButtonQuadCLK
pt | WMMouseMove
pt | WMLButtonUp
pt | WMRButtonUp
pt | WMMButtonUp
pt | WMXButtonUp
pt | WMMouseWheel
pt | WMMouseHWheel
pt | WMMove
pt | WMSize
pt | WMWindowPosChanged
pt | CMChanged
pt | LMCaptureChanged
pt | CMBiDiModeChanged
pt | CMSysFontChanged
pt | CMEnabledChanged
pt | CMHitTest
pt | CMMouseEnter
pt | CMMouseLeave
pt | CMHintShow
pt | CMParentBiDiModeChanged
pt | CMParentColorChanged
pt | CMParentFontChanged
pt | CMParentShowHintChanged
pt | CMVisibleChanged
pt | CMTextChanged
pt | CMCursorChanged
pt | CalculateDockSizes
pt | CreateFloatingDockSite
pt | GetDockEdge
pt | GetDragImages
pt | GetFloating
pt | GetFloatingDockSiteClass
pt | BeforeDragStart
pt | BeginAutoDrag
pt | DoFloatMsg
pt | DockTrackNoTarget
pt | DoDock
pt | DoDragMsg
pt | DoEndDock
pt | DoEndDrag
pt | DoStartDock
pt | DoStartDrag
pt | DragCanceled
pt | DragOver
pt | PositionDockRect
pt | SetDragMode
pt | GetDefaultDockCaption
pt | Click
pt | DblClick
pt | TripleClick
pt | QuadClick
pt | GetMousePosFromMessage
pt | MouseDown
pt | MouseMove
pt | MouseUp
pt | MouseEnter
pt | MouseLeave
pt | DialogChar
pt | UpdateMouseCursor
pt | Changed
pt | GetPalette
pt | ChildClassAllowed
pt | ReadState
pt | Loaded
pt | LoadedAll
pt | DefineProperties
pt | AssignTo
pt | FormEndUpdated
pt | InvalidateControl
pt | FontChanged
pt | ParentFontChanged
pt | GetAction
pt | RealGetText
pt | RealSetText
pt | TextChanged
pt | GetCachedText
pt | SetAction
pt | SetColor
pt | SetEnabled
pt | SetHint
pt | SetName
pt | SetParent
pt | SetParentComponent
pt | WndProc
pt | ParentFormHandleInitialized
pt | GetMouseCapture
pt | CaptureChanged
pt | Notification
pt | CanTab
pt | GetDeviceContext
pt | GetEnabled
pt | GetPopupMenu
pt | DoOnShowHint
pt | DoMouseWheel
pt | DoMouseWheelDown
pt | DoMouseWheelUp
pt | DoMouseWheelHorz
pt | DoMouseWheelLeft
pt | DoMouseWheelRight
pt | VisibleChanging
pt | VisibleChanged
pt | EnabledChanging
pt | EnabledChanged
pt | AddHandler
pt | RemoveHandler
pt | DoCallNotifyHandler
pt | DoCallKeyEventHandler
pt | DoCallMouseWheelEventHandler
pt | DoContextPopup
pt | SetZOrder
pt | GetControlClassDefaultSize
pt | ColorIsStored
pt | DoAutoAdjustLayout
pt | DoFixDesignFontPPI
pt | DoScaleFontPPI
pt | GetActionLinkClass
pt | ActionChange
 | DragDrop
 | Dock
 | ManualDock
 | ManualFloat
 | ReplaceDockedControl
 | Docked
 | Dragging
 | GetAccessibleObject
 | CreateAccessibleObject
 | GetSelectedChildAccessibleObject
 | GetChildAccessibleObjectAtPos
 | ScaleDesignToForm
 | ScaleFormToDesign
 | Scale96ToForm
 | ScaleFormTo96
 | Scale96ToFont
 | ScaleFontTo96
 | ScaleScreenToFont
 | ScaleFontToScreen
 | Scale96ToScreen
 | ScaleScreenTo96
 | AdjustSize
 | AutoSizePhases
 | AutoSizeDelayed
 | AutoSizeDelayedReport
 | AutoSizeDelayedHandle
 | AnchorToNeighbour
 | AnchorParallel
 | AnchorHorizontalCenterTo
 | AnchorVerticalCenterTo
 | AnchorToCompanion
 | AnchorSame
 | AnchorAsAlign
 | AnchorClient
 | AnchoredControlCount
 | SetBounds
 | SetInitialBounds
 | SetBoundsKeepBase
 | GetPreferredSize
 | GetCanvasScaleFactor
 | GetDefaultWidth
 | GetDefaultHeight
 | GetDefaultColor
 | GetColorResolvingParent
 | GetRGBColorResolvingParent
 | GetSidePosition
 | CNPreferredSizeChanged
 | InvalidatePreferredSize
 | GetAnchorsDependingOnParent
 | DisableAutoSizing
 | EnableAutoSizing
 | UpdateBaseBounds
 | WriteLayoutDebugReport
 | AutoAdjustLayout
 | ShouldAutoAdjust
 | FixDesignFontsPPI
 | ScaleFontsPPI
 | Create
 | Destroy
 | BeforeDestruction
 | EditingDone
 | ExecuteDefaultAction
 | ExecuteCancelAction
 | BeginDrag
 | EndDrag
 | BringToFront
 | HasParent
 | GetParentComponent
 | IsParentOf
 | GetTopParent
 | IsVisible
 | IsControlVisible
 | IsEnabled
 | IsParentColor
 | IsParentFont
 | FormIsUpdating
 | IsProcessingPaintMsg
 | Hide
 | Refresh
 | Repaint
 | Invalidate
 | CheckChildClassAllowed
 | CheckNewParent
 | SendToBack
 | SetTempCursor
 | UpdateRolesForForm
 | ActiveDefaultControlChanged
 | GetTextBuf
 | GetTextLen
 | SetTextBuf
 | Perform
 | ScreenToClient
 | ClientToScreen
 | ScreenToControl
 | ControlToScreen
 | ClientToParent
 | ParentToClient
 | GetChildrenRect
 | Show
 | Update
 | HandleObjectShouldBeVisible
 | ParentDestroyingHandle
 | ParentHandlesAllocated
 | InitiateAction
 | ShowHelp
 | HasHelp
 | RemoveAllHandlersOfObject
 | AddHandlerOnResize
 | RemoveHandlerOnResize
 | AddHandlerOnChangeBounds
 | RemoveHandlerOnChangeBounds
 | AddHandlerOnVisibleChanging
 | RemoveHandlerOnVisibleChanging
 | AddHandlerOnVisibleChanged
 | RemoveHandlerOnVisibleChanged
 | AddHandlerOnEnabledChanged
 | RemoveHandlerOnEnableChanging
 | AddHandlerOnKeyDown
 | RemoveHandlerOnKeyDown
 | AddHandlerOnBeforeDestruction
 | RemoveHandlerOnBeforeDestruction
 | AddHandlerOnMouseWheel
 | RemoveHandlerOnMouseWheel
 | UseRightToLeftAlignment
 | UseRightToLeftReading
 | UseRightToLeftScrollBar
 | IsRightToLeft
TLCLComponent
pt | WSRegisterClass
pt | GetWSComponentClass
 | Create
 | Destroy
 | NewInstance
 | RemoveAllHandlersOfObject
 | IncLCLRefCount
 | DecLCLRefCount
TComponent
 | GetComObject
 | GetComponent
 | GetComponentCount
 | GetComponentIndex
 | Insert
 | ReadLeft
 | ReadTop
 | Remove
 | RemoveNotification
 | SetComponentIndex
 | SetReference
 | WriteLeft
 | WriteTop
 | ChangeName
 | DefineProperties
 | GetChildren
 | GetChildOwner
 | GetChildParent
 | GetOwner
 | Loaded
 | Loading
 | Notification
 | PaletteCreated
 | ReadState
 | SetAncestor
 | SetDesigning
 | SetDesignInstance
 | SetInline
 | SetName
 | SetChildOrder
 | SetParentComponent
 | Updating
 | Updated
 | UpdateRegistry
 | ValidateRename
 | ValidateContainer
 | ValidateInsert
 | QueryInterface
 | _AddRef
 | _Release
 | iicrGetComponent
 | GetTypeInfoCount
 | GetTypeInfo
 | GetIDsOfNames
 | Invoke
 | WriteState
 | Create
 | Destroy
 | BeforeDestruction
 | DestroyComponents
 | Destroying
 | ExecuteAction
 | FindComponent
 | FreeNotification
 | RemoveFreeNotification
 | FreeOnRelease
 | GetEnumerator
 | GetNamePath
 | GetParentComponent
 | HasParent
 | InsertComponent
 | RemoveComponent
 | SafeCallException
 | SetSubComponent
 | UpdateAction
 | IsImplementorOf
 | ReferenceInterface
TPersistent
 | AssignError
 | AssignTo
 | DefineProperties
 | GetOwner
 | Destroy
 | Assign
 | FPOAttachObserver
 | FPODetachObserver
 | FPONotifyObservers
 | GetNamePath
TObject
 | Create
 | Destroy
 | newinstance
 | FreeInstance
 | SafeCallException
 | DefaultHandler
 | Free
 | InitInstance
 | CleanupInstance
 | ClassType
 | ClassInfo
 | ClassName
 | ClassNameIs
 | ClassParent
 | InstanceSize
 | InheritsFrom
 | StringMessageTable
 | MethodAddress
 | MethodName
 | FieldAddress
 | AfterConstruction
 | BeforeDestruction
 | DefaultHandlerStr
 | Dispatch
 | DispatchStr
 | GetInterface
 | GetInterfaceByStr
 | GetInterfaceWeak
 | GetInterfaceEntry
 | GetInterfaceEntryByStr
 | GetInterfaceTable
 | UnitName
 | Equals
 | GetHashCode
 | ToString


pt | ActionChange (TControl)
 | ActiveDefaultControlChanged (TControl)
 | AddControl (TWinControl)
pt | Added (TCustomTreeView)
pt | AddHandler (TControl)
 | AddHandlerOnBeforeDestruction (TControl)
 | AddHandlerOnChangeBounds (TControl)
 | AddHandlerOnEnabledChanged (TControl)
 | AddHandlerOnKeyDown (TControl)
 | AddHandlerOnMouseWheel (TControl)
 | AddHandlerOnResize (TControl)
 | AddHandlerOnVisibleChanged (TControl)
 | AddHandlerOnVisibleChanging (TControl)
pt | AdjustClientRect (TWinControl)
 | AdjustSize (TControl)
 | AfterConstruction (TObject)
pt | AlignControls (TWinControl)
pt | AllAutoSized (TWinControl)
 | AlphaSort (TCustomTreeView)
 | AnchorAsAlign (TControl)
 | AnchorClient (TControl)
 | AnchoredControlCount (TControl)
 | AnchorHorizontalCenterTo (TControl)
 | AnchorParallel (TControl)
 | AnchorSame (TControl)
pt | AnchorSideChanged (TControl)
 | AnchorToCompanion (TControl)
 | AnchorToNeighbour (TControl)
 | AnchorVerticalCenterTo (TControl)
 | ApplyStoredSelection (TCustomTreeView)
 | Assign (TPersistent)
 | AssignError (TPersistent)
 | AssignTo (TPersistent)
pt | AssignTo (TControl)
 | AutoAdjustLayout (TControl)
 | AutoAdjustLayout (TWinControl)
 | AutoSizeDelayed (TControl)
 | AutoSizeDelayed (TWinControl)
 | AutoSizeDelayedHandle (TControl)
 | AutoSizeDelayedHandle (TWinControl)
 | AutoSizeDelayedReport (TControl)
 | AutoSizeDelayedReport (TWinControl)
 | AutoSizePhases (TControl)
 | AutoSizePhases (TWinControl)
 | BeforeDestruction (TObject)
 | BeforeDestruction (TComponent)
 | BeforeDestruction (TControl)
pt | BeforeDragStart (TControl)
pt | BeginAutoDrag (TControl)
pt | BeginAutoDrag (TCustomTreeView)
pt | BeginAutoSizing (TControl)
 | BeginDrag (TControl)
pt | BeginEditing (TCustomTreeView)
 | BeginUpdate (TCustomTreeView)
 | BeginUpdateBounds (TWinControl)
pt | BoundsChanged (TControl)
 | BringToFront (TControl)
 | BroadCast (TWinControl)
 | BrushCreated (TWinControl)
pt | CalculateDockSizes (TControl)
pt | CalculatePreferredSize (TControl)
pt | CalculatePreferredSize (TWinControl)
pt | CanAutoSize (TControl)
pt | CanChange (TCustomTreeView)
pt | CanCollapse (TCustomTreeView)
pt | CanEdit (TCustomTreeView)
pt | CanExpand (TCustomTreeView)
 | CanFocus (TWinControl)
 | CanSetFocus (TWinControl)
pt | CanTab (TControl)
pt | CanTab (TWinControl)
pt | CaptureChanged (TControl)
pt | Change (TCustomTreeView)
pt | ChangeBounds (TControl)
pt | Changed (TControl)
 | ChangeName (TComponent)
pt | ChangeScale (TControl)
pt | ChangeScale (TWinControl)
 | CheckChildClassAllowed (TControl)
 | CheckNewParent (TControl)
pt | CheckOnChangeBounds (TControl)
pt | ChildClassAllowed (TControl)
pt | ChildClassAllowed (TWinControl)
pt | ChildHandlesCreated (TWinControl)
pt | ChildKey (TWinControl)
 | ClassInfo (TObject)
 | ClassName (TObject)
 | ClassNameIs (TObject)
 | ClassParent (TObject)
 | ClassType (TObject)
 | CleanupInstance (TObject)
 | ClearInvisibleSelection (TCustomTreeView)
 | ClearSelection (TCustomTreeView)
pt | Click (TControl)
 | ClientRectNeedsInterfaceUpdate (TWinControl)
 | ClientToParent (TControl)
 | ClientToScreen (TControl)
pt | CMBiDiModeChanged (TControl)
pt | CMBiDiModeChanged (TWinControl)
pt | CMBorderChanged (TWinControl)
pt | CMChanged (TControl)
pt | CMCursorChanged (TControl)
pt | CMDoubleBufferedChanged (TWinControl)
pt | CMEnabledChanged (TControl)
pt | CMEnabledChanged (TWinControl)
pt | CMEnter (TWinControl)
pt | CMExit (TWinControl)
pt | CMHintShow (TControl)
pt | CMHitTest (TControl)
pt | CMMouseEnter (TControl)
pt | CMMouseLeave (TControl)
pt | CMParentBiDiModeChanged (TControl)
pt | CMParentColorChanged (TControl)
pt | CMParentDoubleBufferedChanged (TWinControl)
pt | CMParentFontChanged (TControl)
pt | CMParentShowHintChanged (TControl)
pt | CMShowHintChanged (TWinControl)
pt | CMShowingChanged (TWinControl)
pt | CMSysFontChanged (TControl)
pt | CMTextChanged (TControl)
pt | CMVisibleChanged (TControl)
pt | CMVisibleChanged (TWinControl)
pt | CNChar (TWinControl)
pt | CNKeyDown (TWinControl)
pt | CNKeyUp (TWinControl)
 | CNPreferredSizeChanged (TControl)
pt | CNSysKeyDown (TWinControl)
pt | CNSysKeyUp (TWinControl)
pt | Collapse (TCustomTreeView)
pt | ColorIsStored (TControl)
 | ConsistencyCheck (TCustomTreeView)
pt | ConstrainedResize (TControl)
 | ContainsControl (TWinControl)
 | ControlAtPos (TWinControl)
pt | ControlKeyDown (TWinControl)
pt | ControlKeyUp (TWinControl)
pt | ControlsAligned (TWinControl)
 | ControlToScreen (TControl)
 | Create (TObject)
 | Create (TComponent)
 | Create (TLCLComponent)
 | Create (TControl)
 | Create (TWinControl)
 | Create (TCustomControl)
 | Create (TCustomTreeView)
 | CreateAccessibleObject (TControl)
pt | CreateBrush (TWinControl)
pt | CreateControlBorderSpacing (TControl)
pt | CreateDockManager (TWinControl)
pt | CreateFloatingDockSite (TControl)
pt | CreateHandle (TWinControl)
pt | CreateNode (TCustomTreeView)
pt | CreateNodes (TCustomTreeView)
pt | CreateParams (TWinControl)
 | CreateParented (TWinControl)
 | CreateParentedControl (TWinControl)
pt | CreateSubClass (TWinControl)
pt | CreateWnd (TWinControl)
pt | CreateWnd (TCustomTreeView)
pt | CustomAlignInsertBefore (TWinControl)
pt | CustomAlignPosition (TWinControl)
pt | CustomDraw (TCustomTreeView)
pt | CustomDrawItem (TCustomTreeView)
 | CustomSort (TCustomTreeView)
pt | DblClick (TControl)
 | DecLCLRefCount (TLCLComponent)
 | DefaultHandler (TObject)
 | DefaultHandler (TWinControl)
 | DefaultHandlerStr (TObject)
pt | DefaultItemHeightIsStored (TCustomTreeView)
 | DefaultTreeViewSort (TCustomTreeView)
 | DefineProperties (TPersistent)
 | DefineProperties (TComponent)
pt | DefineProperties (TControl)
pt | Delete (TCustomTreeView)
 | Destroy (TObject)
 | Destroy (TPersistent)
 | Destroy (TComponent)
 | Destroy (TLCLComponent)
 | Destroy (TControl)
 | Destroy (TWinControl)
 | Destroy (TCustomControl)
 | Destroy (TCustomTreeView)
 | DestroyComponents (TComponent)
pt | DestroyHandle (TWinControl)
 | Destroying (TComponent)
pt | DestroyWnd (TWinControl)
pt | DestroyWnd (TCustomControl)
pt | DestroyWnd (TCustomTreeView)
pt | DialogChar (TControl)
pt | DialogChar (TWinControl)
 | DisableAlign (TWinControl)
 | DisableAutoSizing (TControl)
 | Dispatch (TObject)
 | DispatchStr (TObject)
pt | DoAddDockClient (TWinControl)
 | DoAdjustClientRectChange (TWinControl)
pt | DoAlignChildControls (TWinControl)
pt | DoAllAutoSize (TControl)
pt | DoAllAutoSize (TWinControl)
pt | DoAutoAdjustLayout (TControl)
pt | DoAutoAdjustLayout (TCustomTreeView)
pt | DoAutoSize (TControl)
pt | DoAutoSize (TWinControl)
pt | DoBorderSpacingChange (TControl)
pt | DoCallKeyEventHandler (TControl)
pt | DoCallMouseWheelEventHandler (TControl)
pt | DoCallNotifyHandler (TControl)
pt | DoChildSizingChange (TWinControl)
 | Dock (TControl)
 | DockDrop (TWinControl)
 | Docked (TControl)
pt | DockOver (TWinControl)
pt | DockTrackNoTarget (TControl)
pt | DoConstraintsChange (TControl)
pt | DoConstraintsChange (TWinControl)
pt | DoContextPopup (TControl)
pt | DoCreateNodeClass (TCustomTreeView)
pt | DoDock (TControl)
pt | DoDockClientMsg (TWinControl)
pt | DoDockOver (TWinControl)
pt | DoDragMsg (TControl)
pt | DoDragMsg (TWinControl)
pt | DoDragMsg (TCustomTreeView)
pt | DoEndDock (TControl)
pt | DoEndDrag (TControl)
pt | DoEndDrag (TCustomTreeView)
pt | DoEnter (TWinControl)
pt | DoExit (TWinControl)
pt | DoFixDesignFontPPI (TControl)
pt | DoFlipChildren (TWinControl)
pt | DoFloatMsg (TControl)
pt | DoFloatMsg (TWinControl)
pt | DoGetDockCaption (TWinControl)
pt | DoKeyDownBeforeInterface (TWinControl)
pt | DoKeyPress (TWinControl)
pt | DoKeyUpBeforeInterface (TWinControl)
pt | DoMouseWheel (TControl)
pt | DoMouseWheel (TCustomTreeView)
pt | DoMouseWheelDown (TControl)
pt | DoMouseWheelHorz (TControl)
pt | DoMouseWheelHorz (TCustomTreeView)
pt | DoMouseWheelLeft (TControl)
pt | DoMouseWheelRight (TControl)
pt | DoMouseWheelUp (TControl)
pt | DoOnChangeBounds (TControl)
pt | DoOnParentHandleDestruction (TControl)
pt | DoOnResize (TControl)
pt | DoOnShowHint (TControl)
pt | DoPaint (TCustomTreeView)
pt | DoPaintNode (TCustomTreeView)
pt | DoRemainingKeyDown (TWinControl)
pt | DoRemainingKeyUp (TWinControl)
pt | DoRemoveDockClient (TWinControl)
pt | DoScaleFontPPI (TControl)
pt | DoSelectionChanged (TCustomTreeView)
pt | DoSendBoundsToInterface (TWinControl)
pt | DoSendShowHideToInterface (TWinControl)
pt | DoSetBounds (TControl)
pt | DoSetBounds (TWinControl)
pt | DoStartDock (TControl)
pt | DoStartDrag (TControl)
pt | DoStartDrag (TCustomTreeView)
pt | DoUnDock (TWinControl)
pt | DoUndockClientMsg (TWinControl)
pt | DoUTF8KeyPress (TWinControl)
pt | DragCanceled (TControl)
 | DragDrop (TControl)
 | Dragging (TControl)
pt | DragOver (TControl)
pt | DragOver (TCustomTreeView)
 | EditingDone (TControl)
pt | EditorEditingDone (TCustomTreeView)
pt | EditorKeyDown (TCustomTreeView)
 | EnableAlign (TWinControl)
 | EnableAutoSizing (TControl)
pt | EnabledChanged (TControl)
pt | EnabledChanging (TControl)
pt | EndAutoSizing (TControl)
 | EndDrag (TControl)
pt | EndEditing (TCustomTreeView)
 | EndUpdate (TCustomTreeView)
 | EndUpdateBounds (TWinControl)
pt | EnsureNodeIsVisible (TCustomTreeView)
 | Equals (TObject)
 | EraseBackground (TWinControl)
 | EraseBackground (TCustomTreeView)
 | ExecuteAction (TComponent)
 | ExecuteCancelAction (TControl)
 | ExecuteDefaultAction (TControl)
pt | Expand (TCustomTreeView)
pt | ExpandSignSizeIsStored (TCustomTreeView)
 | FieldAddress (TObject)
pt | FinalizeWnd (TWinControl)
 | FindChildControl (TWinControl)
 | FindComponent (TComponent)
pt | FindNextControl (TWinControl)
 | FixDesignFontsPPI (TControl)
pt | FixupTabList (TWinControl)
 | FlipChildren (TWinControl)
 | Focused (TWinControl)
pt | FontChanged (TControl)
pt | FontChanged (TWinControl)
pt | FontChanged (TCustomControl)
pt | ForeignAnchorSideChanged (TControl)
pt | FormEndUpdated (TControl)
pt | FormEndUpdated (TWinControl)
 | FormIsUpdating (TControl)
 | FPOAttachObserver (TPersistent)
 | FPODetachObserver (TPersistent)
 | FPONotifyObservers (TPersistent)
 | Free (TObject)
 | FreeInstance (TObject)
 | FreeNotification (TComponent)
 | FreeOnRelease (TComponent)
 | FullCollapse (TCustomTreeView)
 | FullExpand (TCustomTreeView)
 | GetAccessibleObject (TControl)
pt | GetAction (TControl)
pt | GetActionLinkClass (TControl)
pt | GetAdjustedLogicalClientRect (TWinControl)
 | GetAnchorsDependingOnParent (TControl)
pt | GetBorderStyle (TWinControl)
pt | GetCachedText (TControl)
 | GetCanvasScaleFactor (TControl)
 | GetChildAccessibleObjectAtPos (TControl)
 | GetChildAccessibleObjectAtPos (TCustomTreeView)
 | GetChildOwner (TComponent)
 | GetChildParent (TComponent)
 | GetChildren (TComponent)
pt | GetChildren (TWinControl)
 | GetChildrenRect (TControl)
 | GetChildrenRect (TWinControl)
pt | GetClientOrigin (TControl)
pt | GetClientOrigin (TWinControl)
pt | GetClientRect (TControl)
pt | GetClientRect (TWinControl)
pt | GetClientScrollOffset (TControl)
 | GetColorResolvingParent (TControl)
 | GetComObject (TComponent)
 | GetComponent (TComponent)
 | GetComponentCount (TComponent)
 | GetComponentIndex (TComponent)
pt | GetControlClassDefaultSize (TControl)
pt | GetControlClassDefaultSize (TCustomTreeView)
 | GetControlIndex (TWinControl)
pt | GetControlOrigin (TControl)
pt | GetControlOrigin (TWinControl)
pt | GetCursor (TControl)
 | GetDefaultColor (TControl)
pt | GetDefaultDockCaption (TControl)
 | GetDefaultHeight (TControl)
 | GetDefaultWidth (TControl)
pt | GetDeviceContext (TControl)
pt | GetDeviceContext (TWinControl)
 | GetDockCaption (TWinControl)
pt | GetDockEdge (TControl)
pt | GetDragImages (TControl)
pt | GetDragImages (TCustomTreeView)
pt | GetEnabled (TControl)
 | GetEnumerator (TComponent)
 | GetEnumeratorControls (TWinControl)
 | GetEnumeratorControlsReverse (TWinControl)
 | GetFirstMultiSelected (TCustomTreeView)
pt | GetFloating (TControl)
pt | GetFloatingDockSiteClass (TControl)
 | GetHashCode (TObject)
 | GetHitTestInfoAt (TCustomTreeView)
 | GetIDsOfNames (TComponent)
pt | GetImageIndex (TCustomTreeView)
 | GetInsertMarkAt (TCustomTreeView)
 | GetInterface (TObject)
 | GetInterfaceByStr (TObject)
 | GetInterfaceEntry (TObject)
 | GetInterfaceEntryByStr (TObject)
 | GetInterfaceTable (TObject)
 | GetInterfaceWeak (TObject)
 | GetLastMultiSelected (TCustomTreeView)
pt | GetLogicalClientRect (TControl)
pt | GetMaxLvl (TCustomTreeView)
pt | GetMaxScrollLeft (TCustomTreeView)
pt | GetMaxScrollTop (TCustomTreeView)
pt | GetMouseCapture (TControl)
pt | GetMouseCapture (TWinControl)
pt | GetMousePosFromMessage (TControl)
 | GetNamePath (TPersistent)
 | GetNamePath (TComponent)
 | GetNodeAt (TCustomTreeView)
pt | GetNodeAtY (TCustomTreeView)
pt | GetNodeDrawAreaHeight (TCustomTreeView)
pt | GetNodeDrawAreaWidth (TCustomTreeView)
 | GetOwner (TPersistent)
 | GetOwner (TComponent)
pt | GetPalette (TControl)
pt | GetParentBackground (TWinControl)
 | GetParentComponent (TComponent)
 | GetParentComponent (TControl)
pt | GetParentHandle (TWinControl)
pt | GetPopupMenu (TControl)
 | GetPreferredSize (TControl)
pt | GetPreferredSizeClientFrame (TWinControl)
 | GetRGBColorResolvingParent (TControl)
pt | GetScrolledClientRect (TControl)
 | GetSelectedChildAccessibleObject (TControl)
 | GetSelectedChildAccessibleObject (TCustomTreeView)
pt | GetSelectedIndex (TCustomTreeView)
 | GetSidePosition (TControl)
pt | GetSiteInfo (TWinControl)
 | GetTabOrderList (TWinControl)
 | GetTextBuf (TControl)
 | GetTextLen (TControl)
 | GetTextLen (TWinControl)
 | GetTopParent (TControl)
pt | GetTopParentHandle (TWinControl)
 | GetTypeInfo (TComponent)
 | GetTypeInfoCount (TComponent)
pt | GetWSComponentClass (TLCLComponent)
 | HandleAllocated (TWinControl)
 | HandleNeeded (TWinControl)
 | HandleObjectShouldBeVisible (TControl)
 | HasHelp (TControl)
 | HasParent (TComponent)
 | HasParent (TControl)
pt | HeightIsAnchored (TControl)
 | Hide (TControl)
 | iicrGetComponent (TComponent)
 | IncLCLRefCount (TLCLComponent)
pt | IndentIsStored (TCustomTreeView)
 | InheritsFrom (TObject)
pt | InitializeWnd (TWinControl)
pt | InitializeWnd (TCustomTreeView)
 | InitiateAction (TControl)
 | InitInstance (TObject)
 | Insert (TComponent)
 | InsertComponent (TComponent)
 | InsertControl (TWinControl)
 | InstanceSize (TObject)
 | IntfGetDropFilesTarget (TWinControl)
 | IntfUTF8KeyPress (TWinControl)
 | Invalidate (TControl)
 | Invalidate (TWinControl)
 | Invalidate (TCustomTreeView)
pt | InvalidateBoundsRealized (TWinControl)
 | InvalidateClientRectCache (TWinControl)
pt | InvalidateControl (TControl)
pt | InvalidatePreferredChildSizes (TWinControl)
 | InvalidatePreferredSize (TControl)
 | Invoke (TComponent)
pt | IsAParentAligning (TControl)
pt | IsBorderSpacingInnerBorderStored (TControl)
pt | IsCaptionStored (TControl)
pt | IsClientHeightStored (TControl)
pt | IsClientHeightStored (TWinControl)
pt | IsClientWidthStored (TControl)
pt | IsClientWidthStored (TWinControl)
pt | IsControlMouseMsg (TWinControl)
 | IsControlVisible (TControl)
pt | IsCustomDrawn (TCustomTreeView)
 | IsEditing (TCustomTreeView)
 | IsEnabled (TControl)
 | IsImplementorOf (TComponent)
pt | IsInsertMarkVisible (TCustomTreeView)
pt | IsNodeHeightFullVisible (TCustomTreeView)
pt | IsNodeVisible (TCustomTreeView)
 | IsParentColor (TControl)
 | IsParentFont (TControl)
 | IsParentOf (TControl)
 | IsProcessingPaintMsg (TControl)
 | IsRightToLeft (TControl)
 | IsVisible (TControl)
pt | KeyDown (TWinControl)
pt | KeyDown (TCustomTreeView)
pt | KeyDownAfterInterface (TWinControl)
pt | KeyDownBeforeInterface (TWinControl)
pt | KeyPress (TWinControl)
pt | KeyUp (TWinControl)
pt | KeyUpAfterInterface (TWinControl)
pt | KeyUpBeforeInterface (TWinControl)
pt | LMCaptureChanged (TControl)
 | Loaded (TComponent)
pt | Loaded (TControl)
pt | Loaded (TWinControl)
pt | Loaded (TCustomTreeView)
pt | LoadedAll (TControl)
 | LoadFromFile (TCustomTreeView)
 | LoadFromStream (TCustomTreeView)
 | Loading (TComponent)
 | LockRealizeBounds (TWinControl)
 | LockSelectionChangeEvent (TCustomTreeView)
pt | MainWndProc (TWinControl)
 | MakeSelectionVisible (TCustomTreeView)
 | ManualDock (TControl)
 | ManualFloat (TControl)
 | MethodAddress (TObject)
 | MethodName (TObject)
pt | MouseDown (TControl)
pt | MouseDown (TCustomTreeView)
pt | MouseEnter (TControl)
pt | MouseLeave (TControl)
pt | MouseLeave (TCustomTreeView)
pt | MouseMove (TControl)
pt | MouseMove (TCustomTreeView)
pt | MouseUp (TControl)
pt | MouseUp (TCustomTreeView)
 | MoveEnd (TCustomTreeView)
 | MoveHome (TCustomTreeView)
 | MovePageDown (TCustomTreeView)
 | MovePageUp (TCustomTreeView)
pt | MoveSelection (TCustomTreeView)
 | MoveToNextNode (TCustomTreeView)
 | MoveToPrevNode (TCustomTreeView)
 | newinstance (TObject)
 | NewInstance (TLCLComponent)
pt | NodeChanged (TCustomTreeView)
 | Notification (TComponent)
pt | Notification (TControl)
pt | Notification (TCustomTreeView)
 | NotifyControls (TWinControl)
pt | Paint (TCustomControl)
pt | Paint (TCustomTreeView)
pt | PaintControls (TWinControl)
pt | PaintHandler (TWinControl)
 | PaintTo (TWinControl)
pt | PaintWindow (TWinControl)
pt | PaintWindow (TCustomControl)
 | PaletteCreated (TComponent)
 | ParentDestroyingHandle (TControl)
pt | ParentFontChanged (TControl)
pt | ParentFormHandleInitialized (TControl)
pt | ParentFormHandleInitialized (TWinControl)
 | ParentHandlesAllocated (TControl)
 | ParentHandlesAllocated (TWinControl)
 | ParentToClient (TControl)
 | Perform (TControl)
 | PerformTab (TWinControl)
pt | PositionDockRect (TControl)
pt | QuadClick (TControl)
 | QueryInterface (TComponent)
 | ReadLeft (TComponent)
 | ReadState (TComponent)
pt | ReadState (TControl)
 | ReadTop (TComponent)
pt | RealGetText (TControl)
pt | RealGetText (TWinControl)
 | ReAlign (TWinControl)
pt | RealizeBounds (TWinControl)
pt | RealizeBoundsRecursive (TWinControl)
pt | RealSetText (TControl)
pt | RealSetText (TWinControl)
 | ReferenceInterface (TComponent)
 | Refresh (TControl)
pt | ReloadDockedControl (TWinControl)
 | Remove (TComponent)
 | RemoveAllHandlersOfObject (TLCLComponent)
 | RemoveAllHandlersOfObject (TControl)
 | RemoveComponent (TComponent)
 | RemoveControl (TWinControl)
pt | RemoveFocus (TWinControl)
 | RemoveFreeNotification (TComponent)
pt | RemoveHandler (TControl)
 | RemoveHandlerOnBeforeDestruction (TControl)
 | RemoveHandlerOnChangeBounds (TControl)
 | RemoveHandlerOnEnableChanging (TControl)
 | RemoveHandlerOnKeyDown (TControl)
 | RemoveHandlerOnMouseWheel (TControl)
 | RemoveHandlerOnResize (TControl)
 | RemoveHandlerOnVisibleChanged (TControl)
 | RemoveHandlerOnVisibleChanging (TControl)
 | RemoveNotification (TComponent)
 | Repaint (TControl)
 | Repaint (TWinControl)
 | ReplaceDockedControl (TControl)
pt | RequestAlign (TControl)
pt | Resize (TControl)
pt | Resize (TCustomTreeView)
 | SafeCallException (TObject)
 | SafeCallException (TComponent)
 | SaveToFile (TCustomTreeView)
 | SaveToStream (TCustomTreeView)
 | Scale96ToFont (TControl)
 | Scale96ToForm (TControl)
 | Scale96ToScreen (TControl)
 | ScaleBy (TWinControl)
pt | ScaleConstraints (TControl)
pt | ScaleControls (TWinControl)
 | ScaleDesignToForm (TControl)
 | ScaleFontsPPI (TControl)
 | ScaleFontTo96 (TControl)
 | ScaleFontToScreen (TControl)
 | ScaleFormTo96 (TControl)
 | ScaleFormToDesign (TControl)
 | ScaleScreenTo96 (TControl)
 | ScaleScreenToFont (TControl)
 | ScreenToClient (TControl)
 | ScreenToControl (TControl)
 | ScrollBy (TWinControl)
 | ScrollBy_WS (TWinControl)
pt | ScrollView (TCustomTreeView)
 | Select (TCustomTreeView)
pt | SelectFirst (TWinControl)
 | SelectionVisible (TCustomTreeView)
 | SelectNext (TWinControl)
pt | SendDialogChar (TWinControl)
pt | SendMoveSizeMessages (TControl)
pt | SendMoveSizeMessages (TWinControl)
 | SendToBack (TControl)
pt | SetAction (TControl)
pt | SetAlign (TControl)
 | SetAncestor (TComponent)
pt | SetAnchors (TControl)
pt | SetAutoSize (TControl)
pt | SetBiDiMode (TControl)
pt | SetBorderStyle (TWinControl)
 | SetBounds (TControl)
 | SetBounds (TWinControl)
 | SetBoundsKeepBase (TControl)
 | SetChildOrder (TComponent)
pt | SetChildZPosition (TWinControl)
pt | SetColor (TControl)
pt | SetColor (TWinControl)
pt | SetColor (TCustomControl)
 | SetComponentIndex (TComponent)
 | SetControlIndex (TWinControl)
pt | SetCursor (TControl)
 | SetDesigning (TComponent)
 | SetDesignInstance (TComponent)
pt | SetDockManager (TWinControl)
pt | SetDragMode (TControl)
pt | SetDragMode (TCustomTreeView)
pt | SetEnabled (TControl)
 | SetFocus (TWinControl)
pt | SetHint (TControl)
 | SetInitialBounds (TControl)
 | SetInline (TComponent)
 | SetInsertMark (TCustomTreeView)
 | SetInsertMarkAt (TCustomTreeView)
 | SetName (TComponent)
pt | SetName (TControl)
pt | SetOptions (TCustomTreeView)
pt | SetParent (TControl)
pt | SetParentBackground (TWinControl)
pt | SetParentBiDiMode (TControl)
 | SetParentComponent (TComponent)
pt | SetParentComponent (TControl)
 | SetReference (TComponent)
 | SetShape (TWinControl)
 | SetSubComponent (TComponent)
 | SetTempCursor (TControl)
 | SetTempCursor (TWinControl)
 | SetTextBuf (TControl)
pt | SetVisible (TControl)
pt | SetZOrder (TControl)
 | ShouldAutoAdjust (TControl)
 | Show (TControl)
pt | ShowControl (TWinControl)
 | ShowHelp (TControl)
 | StoreCurrentSelection (TCustomTreeView)
 | StringMessageTable (TObject)
pt | TextChanged (TControl)
 | ToString (TObject)
pt | TripleClick (TControl)
 | UnitName (TObject)
 | UnlockRealizeBounds (TWinControl)
 | UnlockSelectionChangeEvent (TCustomTreeView)
 | Update (TControl)
 | Update (TWinControl)
 | UpdateAction (TComponent)
pt | UpdateAnchorRules (TControl)
 | UpdateBaseBounds (TControl)
pt | UpdateControlState (TWinControl)
 | Updated (TComponent)
pt | UpdateDefaultItemHeight (TCustomTreeView)
 | UpdateDockCaption (TWinControl)
pt | UpdateInsertMark (TCustomTreeView)
pt | UpdateMouseCursor (TControl)
 | UpdateRegistry (TComponent)
 | UpdateRolesForForm (TControl)
pt | UpdateShowing (TWinControl)
 | Updating (TComponent)
 | UseRightToLeftAlignment (TControl)
 | UseRightToLeftReading (TControl)
 | UseRightToLeftScrollBar (TControl)
pt | UTF8KeyPress (TWinControl)
 | ValidateContainer (TComponent)
 | ValidateInsert (TComponent)
 | ValidateRename (TComponent)
pt | VisibleChanged (TControl)
pt | VisibleChanging (TControl)
pt | WidthIsAnchored (TControl)
pt | WMCancelMode (TControl)
pt | WMChar (TWinControl)
pt | WMContextMenu (TControl)
pt | WMContextMenu (TWinControl)
pt | WMDestroy (TWinControl)
pt | WMEnter (TWinControl)
pt | WMEraseBkgnd (TWinControl)
pt | WMExit (TWinControl)
pt | WMHScroll (TCustomTreeView)
pt | WMKeyDown (TWinControl)
pt | WMKeyUp (TWinControl)
pt | WMKillFocus (TWinControl)
pt | WMKillFocus (TCustomTreeView)
pt | WMLButtonDBLCLK (TControl)
pt | WMLButtonDown (TControl)
pt | WMLButtonDown (TCustomTreeView)
pt | WMLButtonQuadCLK (TControl)
pt | WMLButtonTripleCLK (TControl)
pt | WMLButtonUp (TControl)
pt | WMMButtonDBLCLK (TControl)
pt | WMMButtonDown (TControl)
pt | WMMButtonQuadCLK (TControl)
pt | WMMButtonTripleCLK (TControl)
pt | WMMButtonUp (TControl)
pt | WMMouseHWheel (TControl)
pt | WMMouseMove (TControl)
pt | WMMouseWheel (TControl)
pt | WMMove (TControl)
pt | WMMove (TWinControl)
pt | WMNotify (TWinControl)
pt | WMPaint (TWinControl)
pt | WMPaint (TCustomControl)
pt | WMRButtonDBLCLK (TControl)
pt | WMRButtonDown (TControl)
pt | WMRButtonQuadCLK (TControl)
pt | WMRButtonTripleCLK (TControl)
pt | WMRButtonUp (TControl)
pt | WMSetFocus (TWinControl)
pt | WMSetFocus (TCustomTreeView)
pt | WMShowWindow (TWinControl)
pt | WMSize (TControl)
pt | WMSize (TWinControl)
pt | WMSysChar (TWinControl)
pt | WMSysKeyDown (TWinControl)
pt | WMSysKeyUp (TWinControl)
pt | WMVScroll (TCustomTreeView)
pt | WMWindowPosChanged (TControl)
pt | WMWindowPosChanged (TWinControl)
pt | WMXButtonDBLCLK (TControl)
pt | WMXButtonDown (TControl)
pt | WMXButtonQuadCLK (TControl)
pt | WMXButtonTripleCLK (TControl)
pt | WMXButtonUp (TControl)
pt | WndProc (TControl)
pt | WndProc (TWinControl)
 | WriteDebugReport (TCustomTreeView)
 | WriteLayoutDebugReport (TControl)
 | WriteLayoutDebugReport (TWinControl)
 | WriteLeft (TComponent)
 | WriteState (TComponent)
 | WriteTop (TComponent)
pt | WSRegisterClass (TLCLComponent)
pt | WSRegisterClass (TControl)
pt | WSRegisterClass (TWinControl)
pt | WSRegisterClass (TCustomControl)
pt | WSRegisterClass (TCustomTreeView)
pt | WSSetText (TWinControl)
 | _AddRef (TComponent)
 | _Release (TComponent)


TCustomTreeView
pt | OnAddition
pt | OnAdvancedCustomDraw
pt | OnAdvancedCustomDrawItem
pt | OnChange
pt | OnChanging
pt | OnCollapsed
pt | OnCollapsing
pt | OnCompare
pt | OnCreateNodeClass
pt | OnCustomCreateItem
pt | OnCustomDraw
pt | OnCustomDrawItem
pt | OnCustomDrawArrow
pt | OnDeletion
pt | OnEdited
pt | OnEditing
pt | OnEditingEnd
pt | OnExpanded
pt | OnExpanding
pt | OnGetImageIndex
pt | OnGetSelectedIndex
pt | OnNodeChanged
pt | OnSelectionChanged
TCustomControl
 | OnPaint
TWinControl
pt | OnGetSiteInfo
pt | OnGetDockCaption
 | OnAlignInsertBefore
 | OnAlignPosition
 | OnDockDrop
 | OnDockOver
 | OnEnter
 | OnExit
 | OnKeyDown
 | OnKeyPress
 | OnKeyUp
 | OnUnDock
 | OnUTF8KeyPress
TControl
pt | OnConstrainedResize
pt | OnContextPopup
pt | OnDblClick
pt | OnTripleClick
pt | OnQuadClick
pt | OnDragDrop
pt | OnDragOver
pt | OnEndDock
pt | OnEndDrag
pt | OnMouseDown
pt | OnMouseMove
pt | OnMouseUp
pt | OnMouseEnter
pt | OnMouseLeave
pt | OnMouseWheel
pt | OnMouseWheelDown
pt | OnMouseWheelUp
pt | OnMouseWheelHorz
pt | OnMouseWheelLeft
pt | OnMouseWheelRight
pt | OnStartDock
pt | OnStartDrag
pt | OnEditingDone
 | OnChangeBounds
 | OnClick
 | OnResize
 | OnShowHint
TLCLComponent
TComponent
TPersistent
TObject


pt | OnAddition (TCustomTreeView)
pt | OnAdvancedCustomDraw (TCustomTreeView)
pt | OnAdvancedCustomDrawItem (TCustomTreeView)
 | OnAlignInsertBefore (TWinControl)
 | OnAlignPosition (TWinControl)
pt | OnChange (TCustomTreeView)
 | OnChangeBounds (TControl)
pt | OnChanging (TCustomTreeView)
 | OnClick (TControl)
pt | OnCollapsed (TCustomTreeView)
pt | OnCollapsing (TCustomTreeView)
pt | OnCompare (TCustomTreeView)
pt | OnConstrainedResize (TControl)
pt | OnContextPopup (TControl)
pt | OnCreateNodeClass (TCustomTreeView)
pt | OnCustomCreateItem (TCustomTreeView)
pt | OnCustomDraw (TCustomTreeView)
pt | OnCustomDrawArrow (TCustomTreeView)
pt | OnCustomDrawItem (TCustomTreeView)
pt | OnDblClick (TControl)
pt | OnDeletion (TCustomTreeView)
 | OnDockDrop (TWinControl)
 | OnDockOver (TWinControl)
pt | OnDragDrop (TControl)
pt | OnDragOver (TControl)
pt | OnEdited (TCustomTreeView)
pt | OnEditing (TCustomTreeView)
pt | OnEditingDone (TControl)
pt | OnEditingEnd (TCustomTreeView)
pt | OnEndDock (TControl)
pt | OnEndDrag (TControl)
 | OnEnter (TWinControl)
 | OnExit (TWinControl)
pt | OnExpanded (TCustomTreeView)
pt | OnExpanding (TCustomTreeView)
pt | OnGetDockCaption (TWinControl)
pt | OnGetImageIndex (TCustomTreeView)
pt | OnGetSelectedIndex (TCustomTreeView)
pt | OnGetSiteInfo (TWinControl)
 | OnKeyDown (TWinControl)
 | OnKeyPress (TWinControl)
 | OnKeyUp (TWinControl)
pt | OnMouseDown (TControl)
pt | OnMouseEnter (TControl)
pt | OnMouseLeave (TControl)
pt | OnMouseMove (TControl)
pt | OnMouseUp (TControl)
pt | OnMouseWheel (TControl)
pt | OnMouseWheelDown (TControl)
pt | OnMouseWheelHorz (TControl)
pt | OnMouseWheelLeft (TControl)
pt | OnMouseWheelRight (TControl)
pt | OnMouseWheelUp (TControl)
pt | OnNodeChanged (TCustomTreeView)
 | OnPaint (TCustomControl)
pt | OnQuadClick (TControl)
 | OnResize (TControl)
pt | OnSelectionChanged (TCustomTreeView)
 | OnShowHint (TControl)
pt | OnStartDock (TControl)
pt | OnStartDrag (TControl)
pt | OnTripleClick (TControl)
 | OnUnDock (TWinControl)
 | OnUTF8KeyPress (TWinControl)


TCustomTreeView.AccessibilityOn

Allows to turn accessibility off to speed up the control

Declaration

Source position: comctrls.pp line 3554

public property TCustomTreeView.AccessibilityOn : Boolean
  read FAccessibilityOn
  write FAccessibilityOn
  default True;

Description

This property is provided for the case when a tree view contains a huge amount of items, lets say 10.000+. In this case accessibility might slow the tree down, so turning this property off might make things faster.


TCustomTreeView.Added

Declaration

Source position: comctrls.pp line 3468

protected procedure TCustomTreeView.Added(

  Node: TTreeNode

); virtual;


TCustomTreeView.AlphaSort

If True, sort alphabetically

Declaration

Source position: comctrls.pp line 3607

public function TCustomTreeView.AlphaSort: Boolean;


TCustomTreeView.ApplyStoredSelection

Declaration

Source position: comctrls.pp line 3642

public procedure TCustomTreeView.ApplyStoredSelection(

  ASelection: TStringList;

  FreeList: Boolean = True

);


TCustomTreeView.AutoExpand

Unfold a tree-item when user clicks it or an item activated by code.

Declaration

Source position: comctrls.pp line 3556

protected property TCustomTreeView.AutoExpand : Boolean
  read GetAutoExpand
  write SetAutoExpand
  default False;


TCustomTreeView.BackgroundColor

Color of background area of control.

Declaration

Source position: comctrls.pp line 3650

public property TCustomTreeView.BackgroundColor : TColor
  read GetBackgroundColor
  write SetBackgroundColor
  stored IsStoredBackgroundColor;


TCustomTreeView.BeginEditing

Declaration

Source position: comctrls.pp line 3472

protected procedure TCustomTreeView.BeginEditing(

  ANode: TTreeNode

); virtual;


TCustomTreeView.BeginUpdate

BeginUpdate - start the update of the display

Declaration

Source position: comctrls.pp line 3622

public procedure TCustomTreeView.BeginUpdate;


TCustomTreeView.BottomItem

BottomItem - the last item on the list

Declaration

Source position: comctrls.pp line 3652

public property TCustomTreeView.BottomItem : TTreeNode
  read GetBottomItem
  write SetBottomItem;


TCustomTreeView.CanChange

CanChange - returns True if a given TreeNode can be changed

Declaration

Source position: comctrls.pp line 3474

protected function TCustomTreeView.CanChange(

  Node: TTreeNode

):Boolean; virtual;


TCustomTreeView.CanCollapse

CanCollapse returns True if a given TreeNode is able to be collapsed

Declaration

Source position: comctrls.pp line 3475

protected function TCustomTreeView.CanCollapse(

  Node: TTreeNode

):Boolean; virtual;


TCustomTreeView.CanEdit

CanEdit - returns True if a Given TreeNode is allowed to be edited

Declaration

Source position: comctrls.pp line 3476

protected function TCustomTreeView.CanEdit(

  Node: TTreeNode

):Boolean; virtual;


TCustomTreeView.CanExpand

CanExpand - returns True if the specified TreeNode can be expanded

Declaration

Source position: comctrls.pp line 3477

protected function TCustomTreeView.CanExpand(

  Node: TTreeNode

):Boolean; virtual;


TCustomTreeView.Change

Change - software emulation of the OnChange event

Declaration

Source position: comctrls.pp line 3502

protected procedure TCustomTreeView.Change(

  Node: TTreeNode

); virtual;


TCustomTreeView.ClearInvisibleSelection

Declaration

Source position: comctrls.pp line 3640

public procedure TCustomTreeView.ClearInvisibleSelection;


TCustomTreeView.ClearSelection

Declaration

Source position: comctrls.pp line 3608

public procedure TCustomTreeView.ClearSelection(

  KeepPrimary: Boolean = False

); virtual;


TCustomTreeView.Collapse

Collapse - software emulation of the OnCollapsed event

Declaration

Source position: comctrls.pp line 3503

protected procedure TCustomTreeView.Collapse(

  Node: TTreeNode

); virtual;


TCustomTreeView.Color

Declaration

Source position: comctrls.pp line 3653

public property TCustomTreeView.Color : TColor
  default clWindow;


TCustomTreeView.ConsistencyCheck

ConsistencyCheck - check that indexes of treenodes match those of images etc

Declaration

Source position: comctrls.pp line 3609

public procedure TCustomTreeView.ConsistencyCheck;


TCustomTreeView.Create

Create - constructor for TCustomTreeView: calls inherited Create then sets defaults for style, size, etc

Declaration

Source position: comctrls.pp line 3605

public constructor TCustomTreeView.Create(

  AnOwner: TComponent

); override;

Description

Create - constructor for TCustomTreeView: calls inherited Create then sets defaults for style, size, etc

Among the variables initialised and defaults set are:

size, colour, the symbols for expansion etc, the border style and width, scroll bars, options, indentation, timers, action links

See also

TComponent.Create

TCustomControl.Create


TCustomTreeView.CreateNode

CreateNode - creates a new node in a TreeView and returns its content

Declaration

Source position: comctrls.pp line 3478

protected function TCustomTreeView.CreateNode: TTreeNode; virtual;


TCustomTreeView.CreateNodes

Declaration

Source position: comctrls.pp line 3479

protected function TCustomTreeView.CreateNodes: TTreeNodes; virtual;


TCustomTreeView.CustomDraw

CustomDraw - returns True if Custom Drawing is proceeding in the specified Rectangle

Declaration

Source position: comctrls.pp line 3480

protected function TCustomTreeView.CustomDraw(

  const ARect: TRect;

  Stage: TCustomDrawStage

):Boolean; virtual;

Description

CustomDraw - returns True if Custom Drawing is proceeding in the specified Rectangle

Stage indicates whether PrePaint, PostPaint, PreErase or PostErase

See also

Progress

Monitoring the progress of drawing a complicated Graphic


TCustomTreeView.CustomDrawItem

CustomDrawItem - returns True if Custom Image drawing is proceeding at the specified TreeNode

Declaration

Source position: comctrls.pp line 3482

protected function TCustomTreeView.CustomDrawItem(

  Node: TTreeNode;

  State: TCustomDrawState;

  Stage: TCustomDrawStage;

  var PaintImages: Boolean

):Boolean; virtual;

Description

CustomDrawItem - returns True if Custom Image drawing is proceeding at the specified TreeNode

State denotes one of Selected, Grayed, Disabled, Checked, Focused, Default, Hot, Marked or Indeterminate

Stage indicates whether PrePaint, PostPaint, PreErase or PostErase

If PaintImages is True, Images should be painted as well as text


TCustomTreeView.CustomSort

CustomSort - if True, an external sorting method specified by SortProc is to be used

Declaration

Source position: comctrls.pp line 3610

public function TCustomTreeView.CustomSort(

  SortProc: TTreeNodeCompare

):Boolean;


TCustomTreeView.DefaultItemHeight

Default height of tree-items. If tvoAutoItemHeight is set in Options, this value is detected from font and icons.

Declaration

Source position: comctrls.pp line 3654

public property TCustomTreeView.DefaultItemHeight : Integer
  read FDefItemHeight
  write SetDefaultItemHeight
  stored DefaultItemHeightIsStored;


TCustomTreeView.DefaultItemHeightIsStored

Declaration

Source position: comctrls.pp line 3484

protected function TCustomTreeView.DefaultItemHeightIsStored: Boolean;


TCustomTreeView.DefaultTreeViewSort

DefaultTreeViewSort - returns result of string comparison between names of Node1 and Node2

Declaration

Source position: comctrls.pp line 3611

public function TCustomTreeView.DefaultTreeViewSort(

  Node1: TTreeNode;

  Node2: TTreeNode

):Integer;

Description

DefaultTreeViewSort - returns result of string comparison between names of Node1 and Node2

DefaultTreeViewSort compares the text of two TreeNodes and returns the following result:

< 0
if Node1.Text<Node2.Text.
0
if Node1.Text=Node2.Text.
> 0
if Node1.Text>Node2.Text.

The comparision takes into account Ansi characters, i.e. it takes care of strange accented characters. Contrary to AnsiCompareText the comparision is case sensitive.


TCustomTreeView.Delete

Delete - remove the specified node from the tree structure (software emulation of the OnDeletion event)

Declaration

Source position: comctrls.pp line 3505

protected procedure TCustomTreeView.Delete(

  Node: TTreeNode

); virtual;


TCustomTreeView.Destroy

Destroy - destructor for TCustomTreeView: frees images, nodes and links, then calls inherited Destroy

Declaration

Source position: comctrls.pp line 3606

public destructor TCustomTreeView.Destroy; override;

See also

TComponent.Destroy

TCustomControl.Destroy


TCustomTreeView.DoAutoAdjustLayout

Declaration

Source position: comctrls.pp line 3485

protected procedure TCustomTreeView.DoAutoAdjustLayout(

  const AMode: TLayoutAdjustmentPolicy;

  const AXProportion: Double;

  const AYProportion: Double

); override;


TCustomTreeView.DoCreateNodeClass

Declaration

Source position: comctrls.pp line 3507

protected procedure TCustomTreeView.DoCreateNodeClass(

  var NewNodeClass: TTreeNodeClass

); virtual;


TCustomTreeView.DoMouseWheelHorz

Declaration

Source position: comctrls.pp line 3511

protected function TCustomTreeView.DoMouseWheelHorz(

  Shift: TShiftState;

  WheelDelta: Integer;

  MousePos: TPoint

):Boolean; override;


TCustomTreeView.DoPaint

DoPaint - perform the actual painting

Declaration

Source position: comctrls.pp line 3513

protected procedure TCustomTreeView.DoPaint; virtual;


TCustomTreeView.DoPaintNode

DoPaintNode - perform the actual painting of the specified node

Declaration

Source position: comctrls.pp line 3514

protected procedure TCustomTreeView.DoPaintNode(

  Node: TTreeNode

); virtual;


TCustomTreeView.DoSelectionChanged

DoSelectionChanged - perform the code required for a change in selection

Declaration

Source position: comctrls.pp line 3538

protected procedure TCustomTreeView.DoSelectionChanged; virtual;


TCustomTreeView.DropTarget

DropTarget - the target node for dropping a dragged item

Declaration

Source position: comctrls.pp line 3655

public property TCustomTreeView.DropTarget : TTreeNode
  read GetDropTarget
  write SetDropTarget;


TCustomTreeView.EditingItem

Declaration

Source position: comctrls.pp line 3545

protected property TCustomTreeView.EditingItem : TTreeNode
  read FEditingItem;


TCustomTreeView.EditorEditingDone

Declaration

Source position: comctrls.pp line 3469

protected procedure TCustomTreeView.EditorEditingDone(

  Sender: TObject

); virtual;


TCustomTreeView.EditorKeyDown

Declaration

Source position: comctrls.pp line 3470

protected procedure TCustomTreeView.EditorKeyDown(

  Sender: TObject;

  var Key: Word;

  Shift: TShiftState

); virtual;


TCustomTreeView.EndEditing

EndEditing - finish editing

Declaration

Source position: comctrls.pp line 3518

protected procedure TCustomTreeView.EndEditing(

  Cancel: Boolean = False

); virtual;


TCustomTreeView.EndUpdate

EndUpdate finishes updating the display

Declaration

Source position: comctrls.pp line 3623

public procedure TCustomTreeView.EndUpdate;


TCustomTreeView.EnsureNodeIsVisible

EnsureNodeIsVisible - method to make sure specified node is visible

Declaration

Source position: comctrls.pp line 3519

protected procedure TCustomTreeView.EnsureNodeIsVisible(

  ANode: TTreeNode

);


TCustomTreeView.Expand

Expand the specified node

Declaration

Source position: comctrls.pp line 3520

protected procedure TCustomTreeView.Expand(

  Node: TTreeNode

); virtual;


TCustomTreeView.ExpandSignColor

Color used to paint expand/collapse (fold/unfold) symbol (i.e. plus/minus symbol).

Declaration

Source position: comctrls.pp line 3656

public property TCustomTreeView.ExpandSignColor : TColor
  read FExpandSignColor
  write FExpandSignColor
  default clWindowFrame;


TCustomTreeView.ExpandSignSize

Size of expand/collapse (fold/unfold) symbol.

Declaration

Source position: comctrls.pp line 3657

public property TCustomTreeView.ExpandSignSize : Integer
  read GetExpandSignSize
  write SetExpandSignSize
  stored ExpandSignSizeIsStored;

Description

Use 0 for autosized value.

Use GetRealExpandSignSize for real value.


TCustomTreeView.ExpandSignSizeIsStored

Declaration

Source position: comctrls.pp line 3487

protected function TCustomTreeView.ExpandSignSizeIsStored: Boolean;


TCustomTreeView.ExpandSignType

Sets shape of expand/collapse (fold/unfold) symbol: plus/minus, empty arrows, filled arrows etc.

Declaration

Source position: comctrls.pp line 3658

public property TCustomTreeView.ExpandSignType : TTreeViewExpandSignType
  read FExpandSignType
  write SetExpandSignType
  default tvestTheme;


TCustomTreeView.FChangeTimer

FChangeTimer - local variable to act as timer for changes

Declaration

Source position: comctrls.pp line 3464

protected TCustomTreeView.FChangeTimer : TTimer;


TCustomTreeView.FEditor

Declaration

Source position: comctrls.pp line 3465

protected TCustomTreeView.FEditor : TEdit;


TCustomTreeView.FullCollapse

FullCollapse - method to collapse the treeview fully and show just the root

Declaration

Source position: comctrls.pp line 3624

public procedure TCustomTreeView.FullCollapse;


TCustomTreeView.FullExpand

FullExpand - method to expand the treeview fully and show all the branches

Declaration

Source position: comctrls.pp line 3625

public procedure TCustomTreeView.FullExpand;


TCustomTreeView.GetChildAccessibleObjectAtPos

Declaration

Source position: comctrls.pp line 3550

public function TCustomTreeView.GetChildAccessibleObjectAtPos(

  APos: TPoint

):TLazAccessibleObject; override;


TCustomTreeView.GetControlClassDefaultSize

Declaration

Source position: comctrls.pp line 3467

protected class function TCustomTreeView.GetControlClassDefaultSize: TSize; override;


TCustomTreeView.GetFirstMultiSelected

GetFirstMultiSelected - returns the first node from a multiple selection

Declaration

Source position: comctrls.pp line 3633

public function TCustomTreeView.GetFirstMultiSelected: TTreeNode;

Description

This works only if tvoAllowMultiSelect is enabled.


TCustomTreeView.GetHitTestInfoAt

GetHitTestInfoAt - returns the result of a hit test at the point (X, Y)

Declaration

Source position: comctrls.pp line 3613

public function TCustomTreeView.GetHitTestInfoAt(

  X: Integer;

  Y: Integer

):THitTests;


TCustomTreeView.GetImageIndex

GetImageIndex - returns the index of the image associated with the specified node

Declaration

Source position: comctrls.pp line 3521

protected procedure TCustomTreeView.GetImageIndex(

  Node: TTreeNode

); virtual;


TCustomTreeView.GetInsertMarkAt

GetInsertMarkAt - find if there is an insert mark at the specified coordinates

Declaration

Source position: comctrls.pp line 3615

public procedure TCustomTreeView.GetInsertMarkAt(

  X: Integer;

  Y: Integer;

  out AnInsertMarkNode: TTreeNode;

  out AnInsertMarkType: TTreeViewInsertMarkType

);


TCustomTreeView.GetLastMultiSelected

Declaration

Source position: comctrls.pp line 3634

public function TCustomTreeView.GetLastMultiSelected: TTreeNode;


TCustomTreeView.GetMaxLvl

GetMaxLvl - returns the maximum level of branching of the tree structure

Declaration

Source position: comctrls.pp line 3489

protected function TCustomTreeView.GetMaxLvl: Integer;


TCustomTreeView.GetMaxScrollLeft

GetMaxScrollLeft - returns maximal extent of scrolling to the left

Declaration

Source position: comctrls.pp line 3490

protected function TCustomTreeView.GetMaxScrollLeft: Integer;


TCustomTreeView.GetMaxScrollTop

GetMaxScrollTop - returns the maximal extent of scrolling upwards

Declaration

Source position: comctrls.pp line 3491

protected function TCustomTreeView.GetMaxScrollTop: Integer;


TCustomTreeView.GetNodeAt

GetNodeAt - returns the TreeNode at position (X. Y)

Declaration

Source position: comctrls.pp line 3614

public function TCustomTreeView.GetNodeAt(

  X: Integer;

  Y: Integer

):TTreeNode;


TCustomTreeView.GetNodeAtY

GetNodeAtY - returns the node at the specified (absolute) Y coordinate

Declaration

Source position: comctrls.pp line 3492

protected function TCustomTreeView.GetNodeAtY(

  Y: Integer

):TTreeNode;


TCustomTreeView.GetNodeDrawAreaHeight

GetNodeDrawAreaHeight - returns the height for the area in which node is drawn

Declaration

Source position: comctrls.pp line 3493

protected function TCustomTreeView.GetNodeDrawAreaHeight: Integer;


TCustomTreeView.GetNodeDrawAreaWidth

GetNodeDrawAreaWidth - returns the width for the area in which node is drawn

Declaration

Source position: comctrls.pp line 3494

protected function TCustomTreeView.GetNodeDrawAreaWidth: Integer;


TCustomTreeView.GetSelectedChildAccessibleObject

Declaration

Source position: comctrls.pp line 3549

public function TCustomTreeView.GetSelectedChildAccessibleObject: TLazAccessibleObject; override;


TCustomTreeView.GetSelectedIndex

GetSelectedIndex - returns the index of the selected node

Declaration

Source position: comctrls.pp line 3522

protected procedure TCustomTreeView.GetSelectedIndex(

  Node: TTreeNode

); virtual;


TCustomTreeView.HideSelection

If a control looses focus, then don't paint selection for a selected tree-item.

Declaration

Source position: comctrls.pp line 3558

protected property TCustomTreeView.HideSelection : Boolean
  read GetHideSelection
  write SetHideSelection
  default True;


TCustomTreeView.HotTrack

Additionally highlight/underline tree-item when mouse is over it.

Declaration

Source position: comctrls.pp line 3560

protected property TCustomTreeView.HotTrack : Boolean
  read GetHotTrack
  write SetHotTrack
  default False;

See also

TCustomListView.HotTrack

Allow to highlight/underline current ListView item, which is under mouse cursor.


TCustomTreeView.HotTrackColor

Declaration

Source position: comctrls.pp line 3561

protected property TCustomTreeView.HotTrackColor : TColor
  read FHotTrackColor
  write FHotTrackColor
  default clNone;


TCustomTreeView.Images

TImageList object which holds icons for tree-items.

Declaration

Source position: comctrls.pp line 3660

public property TCustomTreeView.Images : TCustomImageList
  read FImages
  write SetImages;


TCustomTreeView.ImagesWidth

Declaration

Source position: comctrls.pp line 3661

public property TCustomTreeView.ImagesWidth : Integer
  read FImagesWidth
  write SetImagesWidth
  default 0;


TCustomTreeView.Indent

Size in pixels by which each nested branching level is to be indented.

Declaration

Source position: comctrls.pp line 3562

protected property TCustomTreeView.Indent : Integer
  read GetIndent
  write SetIndent
  stored IndentIsStored;

Description

Use 0 for autosized value.

Use GetRealIndent for real value.


TCustomTreeView.IndentIsStored

Declaration

Source position: comctrls.pp line 3495

protected function TCustomTreeView.IndentIsStored: Boolean;


TCustomTreeView.InsertMarkNode

InsertMarkNode - place a marker on the specified node

Declaration

Source position: comctrls.pp line 3662

public property TCustomTreeView.InsertMarkNode : TTreeNode
  read FInsertMarkNode
  write SetInsertMarkNode;


TCustomTreeView.InsertMarkType

InsertMarkType - the type of marker to be inserted

Declaration

Source position: comctrls.pp line 3663

public property TCustomTreeView.InsertMarkType : TTreeViewInsertMarkType
  read FInsertMarkType
  write SetInsertMarkType;


TCustomTreeView.IsCustomDrawn

IsCustomDrawn - returns True if the specified target node is custom drawn

Declaration

Source position: comctrls.pp line 3496

protected function TCustomTreeView.IsCustomDrawn(

  Target: TCustomDrawTarget;

  Stage: TCustomDrawStage

):Boolean; virtual;


TCustomTreeView.IsEditing

IsEditing - returns True if editing is in progress

Declaration

Source position: comctrls.pp line 3621

public function TCustomTreeView.IsEditing: Boolean;


TCustomTreeView.IsInsertMarkVisible

IsInsertMarkVisible - returns True if an Insert mark is visible

Declaration

Source position: comctrls.pp line 3500

protected function TCustomTreeView.IsInsertMarkVisible: Boolean; virtual;


TCustomTreeView.IsNodeHeightFullVisible

IsNodeHeightFullVisible - returns True if the full height of the specified node is visible in the current view

Declaration

Source position: comctrls.pp line 3499

protected function TCustomTreeView.IsNodeHeightFullVisible(

  ANode: TTreeNode

):Boolean;


TCustomTreeView.IsNodeVisible

IsNodeVisible - returns True if the specified node is visible

Declaration

Source position: comctrls.pp line 3498

protected function TCustomTreeView.IsNodeVisible(

  ANode: TTreeNode

):Boolean;


TCustomTreeView.Items

Collection of tree-items which is the content of control. Has type TTreeNodes.

Declaration

Source position: comctrls.pp line 3664

public property TCustomTreeView.Items : TTreeNodes
  read FTreeNodes
  write SetTreeNodes;


TCustomTreeView.KeepCollapsedNodes

KeepCollapsedNodes - if True, the collapsed nodes are to be retained

Declaration

Source position: comctrls.pp line 3665

public property TCustomTreeView.KeepCollapsedNodes : Boolean
  read GetKeepCollapsedNodes
  write SetKeepCollapsedNodes;


TCustomTreeView.LoadFromFile

LoadFromFile - load the data from the specified file

Declaration

Source position: comctrls.pp line 3626

public procedure TCustomTreeView.LoadFromFile(

  const FileName: string

);


TCustomTreeView.LoadFromStream

LoadFromStream - load data from the specified stream

Declaration

Source position: comctrls.pp line 3627

public procedure TCustomTreeView.LoadFromStream(

  Stream: TStream

);


TCustomTreeView.LockSelectionChangeEvent

LockSelectionChangeEvent - if the selection has changed, lock its status

Declaration

Source position: comctrls.pp line 3631

public procedure TCustomTreeView.LockSelectionChangeEvent;


TCustomTreeView.MakeSelectionVisible

MakeSelectionVisible - method for making a selection visible

Declaration

Source position: comctrls.pp line 3639

public procedure TCustomTreeView.MakeSelectionVisible;


TCustomTreeView.MouseLeave

Declaration

Source position: comctrls.pp line 3529

protected procedure TCustomTreeView.MouseLeave; override;


TCustomTreeView.MoveEnd

Declaration

Source position: comctrls.pp line 3648

public procedure TCustomTreeView.MoveEnd(

  ASelect: Boolean = False

);


TCustomTreeView.MoveHome

Declaration

Source position: comctrls.pp line 3647

public procedure TCustomTreeView.MoveHome(

  ASelect: Boolean = False

);


TCustomTreeView.MovePageDown

Declaration

Source position: comctrls.pp line 3645

public procedure TCustomTreeView.MovePageDown(

  ASelect: Boolean = False

);


TCustomTreeView.MovePageUp

Declaration

Source position: comctrls.pp line 3646

public procedure TCustomTreeView.MovePageUp(

  ASelect: Boolean = False

);


TCustomTreeView.MoveSelection

Declaration

Source position: comctrls.pp line 3501

protected procedure TCustomTreeView.MoveSelection(

  ANewNode: TTreeNode;

  ASelect: Boolean

);


TCustomTreeView.MoveToNextNode

Declaration

Source position: comctrls.pp line 3643

public procedure TCustomTreeView.MoveToNextNode(

  ASelect: Boolean = False

);


TCustomTreeView.MoveToPrevNode

Declaration

Source position: comctrls.pp line 3644

public procedure TCustomTreeView.MoveToPrevNode(

  ASelect: Boolean = False

);


TCustomTreeView.MultiSelect

Allow to select several tree-items at a time, e.g. using Ctrl+click (select one item more) or Shift+click (select range of items).

Declaration

Source position: comctrls.pp line 3563

protected property TCustomTreeView.MultiSelect : Boolean
  read GetMultiSelect
  write SetMultiSelect
  default False;


TCustomTreeView.MultiSelectStyle

Additional options for MultiSelect property.

Declaration

Source position: comctrls.pp line 3666

public property TCustomTreeView.MultiSelectStyle : TMultiSelectStyle
  read FMultiSelectStyle
  write SetMultiSelectStyle
  default DefaultMultiSelectStyle;


TCustomTreeView.NodeChanged

Declaration

Source position: comctrls.pp line 3530

protected procedure TCustomTreeView.NodeChanged(

  Node: TTreeNode;

  ChangeReason: TTreeNodeChangeReason

); virtual;


TCustomTreeView.OnAddition

Declaration

Source position: comctrls.pp line 3564

protected property TCustomTreeView.OnAddition : TTVExpandedEvent
  read FOnAddition
  write FOnAddition;


TCustomTreeView.OnAdvancedCustomDraw

OnAdvancedCustomDraw - event handler for advanced custom drawing

Declaration

Source position: comctrls.pp line 3565

protected property TCustomTreeView.OnAdvancedCustomDraw : TTVAdvancedCustomDrawEvent
  read FOnAdvancedCustomDraw
  write FOnAdvancedCustomDraw;


TCustomTreeView.OnAdvancedCustomDrawItem

OnAdvancedCustomDrawItem - event handleer for advanced custom drawing item

Declaration

Source position: comctrls.pp line 3567

protected property TCustomTreeView.OnAdvancedCustomDrawItem : TTVAdvancedCustomDrawItemEvent
  read FOnAdvancedCustomDrawItem
  write FOnAdvancedCustomDrawItem;


TCustomTreeView.OnChange

OnChange - specialised event handler for a change in the TreeView

Declaration

Source position: comctrls.pp line 3569

protected property TCustomTreeView.OnChange : TTVChangedEvent
  read FOnChange
  write FOnChange;


TCustomTreeView.OnChanging

OnChanging - specialised event handler while TreeView is being changed

Declaration

Source position: comctrls.pp line 3570

protected property TCustomTreeView.OnChanging : TTVChangingEvent
  read FOnChanging
  write FOnChanging;


TCustomTreeView.OnCollapsed

OnCollapsed - specialised event handler when part of the tree is collapsed

Declaration

Source position: comctrls.pp line 3571

protected property TCustomTreeView.OnCollapsed : TTVExpandedEvent
  read FOnCollapsed
  write FOnCollapsed;


TCustomTreeView.OnCollapsing

OnCollapsing - specialised event handler while part of the tree is being collapsed

Declaration

Source position: comctrls.pp line 3572

protected property TCustomTreeView.OnCollapsing : TTVCollapsingEvent
  read FOnCollapsing
  write FOnCollapsing;


TCustomTreeView.OnCompare

OnCompare - specialised event handler for comparisons within the TreeView

Declaration

Source position: comctrls.pp line 3573

protected property TCustomTreeView.OnCompare : TTVCompareEvent
  read FOnCompare
  write FOnCompare;


TCustomTreeView.OnCreateNodeClass

Declaration

Source position: comctrls.pp line 3574

protected property TCustomTreeView.OnCreateNodeClass : TTVCreateNodeClassEvent
  read FOnCreateNodeClass
  write FOnCreateNodeClass;


TCustomTreeView.OnCustomCreateItem

OnCustomCreateItem - event handler for custom item creation

Declaration

Source position: comctrls.pp line 3575

protected property TCustomTreeView.OnCustomCreateItem : TTVCustomCreateNodeEvent
  read FOnCustomCreateItem
  write FOnCustomCreateItem;


TCustomTreeView.OnCustomDraw

OnCustomDraw - event handler for custom drawing

Declaration

Source position: comctrls.pp line 3576

protected property TCustomTreeView.OnCustomDraw : TTVCustomDrawEvent
  read FOnCustomDraw
  write FOnCustomDraw;


TCustomTreeView.OnCustomDrawArrow

Declaration

Source position: comctrls.pp line 3578

protected property TCustomTreeView.OnCustomDrawArrow : TTVCustomDrawArrowEvent
  read FOnCustomDrawArrow
  write FOnCustomDrawArrow;


TCustomTreeView.OnCustomDrawItem

OnCustomDrawItem - event handler for custom drawing item

Declaration

Source position: comctrls.pp line 3577

protected property TCustomTreeView.OnCustomDrawItem : TTVCustomDrawItemEvent
  read FOnCustomDrawItem
  write FOnCustomDrawItem;


TCustomTreeView.OnDeletion

OnDeletion - specialised event handler for deletion of node(s) from the tree

Declaration

Source position: comctrls.pp line 3579

protected property TCustomTreeView.OnDeletion : TTVExpandedEvent
  read FOnDeletion
  write FOnDeletion;


TCustomTreeView.OnEdited

OnEdited - specialised event handler when the TreeView has been edited

Declaration

Source position: comctrls.pp line 3580

protected property TCustomTreeView.OnEdited : TTVEditedEvent
  read FOnEdited
  write FOnEdited;


TCustomTreeView.OnEditing

OnEditing - specialised event handler while a TreeView is being edited

Declaration

Source position: comctrls.pp line 3581

protected property TCustomTreeView.OnEditing : TTVEditingEvent
  read FOnEditing
  write FOnEditing;


TCustomTreeView.OnEditingEnd

Declaration

Source position: comctrls.pp line 3582

protected property TCustomTreeView.OnEditingEnd : TTVEditingEndEvent
  read FOnEditingEnd
  write FOnEditingEnd;


TCustomTreeView.OnExpanded

OnExpanded - specialised event handler when a TreeView has been expanded

Declaration

Source position: comctrls.pp line 3583

protected property TCustomTreeView.OnExpanded : TTVExpandedEvent
  read FOnExpanded
  write FOnExpanded;


TCustomTreeView.OnExpanding

OnExpanding - specialised event handler while a TreeView is being expanded

Declaration

Source position: comctrls.pp line 3584

protected property TCustomTreeView.OnExpanding : TTVExpandingEvent
  read FOnExpanding
  write FOnExpanding;


TCustomTreeView.OnGetImageIndex

OnGetImageIndex - event handler for finding the index of an image

Declaration

Source position: comctrls.pp line 3585

protected property TCustomTreeView.OnGetImageIndex : TTVExpandedEvent
  read FOnGetImageIndex
  write FOnGetImageIndex;


TCustomTreeView.OnGetSelectedIndex

OnGetSelectedIndex - event handler for finding index of selected item

Declaration

Source position: comctrls.pp line 3587

protected property TCustomTreeView.OnGetSelectedIndex : TTVExpandedEvent
  read FOnGetSelectedIndex
  write FOnGetSelectedIndex;


TCustomTreeView.OnNodeChanged

Declaration

Source position: comctrls.pp line 3589

protected property TCustomTreeView.OnNodeChanged : TTVNodeChangedEvent
  read FOnNodeChanged
  write FOnNodeChanged;


TCustomTreeView.OnSelectionChanged

OnSelectionChanged - event handler for a change in the selection

Declaration

Source position: comctrls.pp line 3590

protected property TCustomTreeView.OnSelectionChanged : TNotifyEvent
  read FOnSelectionChanged
  write FOnSelectionChanged;


TCustomTreeView.Options

Set of additional option flags for treeview.

Declaration

Source position: comctrls.pp line 3668

public property TCustomTreeView.Options : TTreeViewOptions
  read FOptions
  write SetOptions
  default DefaultTreeViewOptions;


TCustomTreeView.ReadOnly

Don't allow to change item captions by mouse click with a delay.

Declaration

Source position: comctrls.pp line 3592

protected property TCustomTreeView.ReadOnly : Boolean
  read GetReadOnly
  write SetReadOnly
  default False;


TCustomTreeView.RightClickSelect

Right-click also selects tree-item. Else it only calls PopupMenu.

Declaration

Source position: comctrls.pp line 3593

protected property TCustomTreeView.RightClickSelect : Boolean
  read GetRightClickSelect
  write SetRightClickSelect
  default False;


TCustomTreeView.RowSelect

When a tree-item is selected, paint selection background with full width.

Declaration

Source position: comctrls.pp line 3595

protected property TCustomTreeView.RowSelect : Boolean
  read GetRowSelect
  write SetRowSelect
  default False;


TCustomTreeView.SaveToFile

SaveToFile - saves the data to the specified file

Declaration

Source position: comctrls.pp line 3628

public procedure TCustomTreeView.SaveToFile(

  const FileName: string

);


TCustomTreeView.SaveToStream

SaveToStream - save the data to the specified stream

Declaration

Source position: comctrls.pp line 3629

public procedure TCustomTreeView.SaveToStream(

  Stream: TStream

);


TCustomTreeView.ScrollBars

Kind of scrollbars: horizontal, vertical, or both. Auto* mean that scrollbars hide automatically.

Declaration

Source position: comctrls.pp line 3669

public property TCustomTreeView.ScrollBars : TScrollStyle
  read FScrollBars
  write SetScrollBars
  default ssBoth;


TCustomTreeView.ScrolledLeft

ScrolledLeft - the position of the tree when fully scrolled to the left

Declaration

Source position: comctrls.pp line 3596

protected property TCustomTreeView.ScrolledLeft : Integer
  read FScrolledLeft
  write SetScrolledLeft;


TCustomTreeView.ScrolledTop

ScrolledTop - the position of the tree when fully scrolled to the top

Declaration

Source position: comctrls.pp line 3597

protected property TCustomTreeView.ScrolledTop : Integer
  read FScrolledTop
  write SetScrolledTop;


TCustomTreeView.ScrollView

Declaration

Source position: comctrls.pp line 3533

protected procedure TCustomTreeView.ScrollView(

  DeltaX: Integer;

  DeltaY: Integer

);


TCustomTreeView.Select

Declaration

Source position: comctrls.pp line 3635

public procedure TCustomTreeView.Select(

  Node: TTreeNode;

  ShiftState: TShiftState = []

);

procedure TCustomTreeView.Select(

  const Nodes: array of TTreeNode

); virtual;

procedure TCustomTreeView.Select(

  Nodes: TList

); virtual;


TCustomTreeView.Selected

The Selected tree nodes

Declaration

Source position: comctrls.pp line 3670

public property TCustomTreeView.Selected : TTreeNode
  read GetSelection
  write SetSelection;


TCustomTreeView.SelectionColor

Color used to paint background of item selection.

Declaration

Source position: comctrls.pp line 3671

public property TCustomTreeView.SelectionColor : TColor
  read FSelectedColor
  write SetSelectedColor
  default clHighlight;


TCustomTreeView.SelectionCount

Declaration

Source position: comctrls.pp line 3672

public property TCustomTreeView.SelectionCount : Cardinal
  read GetSelectionCount;


TCustomTreeView.SelectionFontColor

Color used to paint text of selected item.

Declaration

Source position: comctrls.pp line 3673

public property TCustomTreeView.SelectionFontColor : TColor
  read FSelectedFontColor
  write SetSelectedFontColor
  default clWhite;


TCustomTreeView.SelectionFontColorUsed

Allow to use property SelectionFontColor. If not used, that color is detected automatically.

Declaration

Source position: comctrls.pp line 3674

public property TCustomTreeView.SelectionFontColorUsed : Boolean
  read FSelectedFontColorUsed
  write FSelectedFontColorUsed
  default False;


TCustomTreeView.Selections

Declaration

Source position: comctrls.pp line 3675

public property TCustomTreeView.Selections[AIndex: Integer] : TTreeNode
  read GetSelections;


TCustomTreeView.SelectionVisible

SelectionVisible - returns True if a selection is visible

Declaration

Source position: comctrls.pp line 3638

public function TCustomTreeView.SelectionVisible: Boolean;


TCustomTreeView.SeparatorColor

Color used to paint horizontal lines between items, separators.

Declaration

Source position: comctrls.pp line 3676

public property TCustomTreeView.SeparatorColor : TColor
  read fSeparatorColor
  write SetSeparatorColor
  default clGray;


TCustomTreeView.SetInsertMark

SetInsertMark - place an Insert mark at the specified node in the tree

Declaration

Source position: comctrls.pp line 3617

public procedure TCustomTreeView.SetInsertMark(

  AnInsertMarkNode: TTreeNode;

  AnInsertMarkType: TTreeViewInsertMarkType

);


TCustomTreeView.SetInsertMarkAt

SetInsertMarkAt - place an insert mark at the specified coordinates

Declaration

Source position: comctrls.pp line 3619

public procedure TCustomTreeView.SetInsertMarkAt(

  X: Integer;

  Y: Integer

); virtual;


TCustomTreeView.SetOptions

SetOptions - specifies the options for the TreeView

Declaration

Source position: comctrls.pp line 3535

protected procedure TCustomTreeView.SetOptions(

  NewOptions: TTreeViewOptions

); virtual;


TCustomTreeView.ShowButtons

Show expand/collapse (fold/unfold) icons at left side for nodes with sub-nodes.

Declaration

Source position: comctrls.pp line 3598

protected property TCustomTreeView.ShowButtons : Boolean
  read GetShowButtons
  write SetShowButton
  default True;


TCustomTreeView.ShowLines

Show vertical lines at left side. They paint the tree structure for nested nodes.

Declaration

Source position: comctrls.pp line 3599

protected property TCustomTreeView.ShowLines : Boolean
  read GetShowLines
  write SetShowLines
  default True;


TCustomTreeView.ShowRoot

Show the root tree-item which is always present in code but may be hidden for user.

Declaration

Source position: comctrls.pp line 3600

protected property TCustomTreeView.ShowRoot : Boolean
  read GetShowRoot
  write SetShowRoot
  default True;


TCustomTreeView.ShowSeparators

Declaration

Source position: comctrls.pp line 3601

protected property TCustomTreeView.ShowSeparators : Boolean
  read GetShowSeparators
  write SetShowSeparators
  default True;


TCustomTreeView.SortType

Allow to show items sorted: by caption, by Data property or both.

Declaration

Source position: comctrls.pp line 3602

protected property TCustomTreeView.SortType : TSortType
  read FSortType
  write SetSortType
  default stNone;

Description

Changing the Text or Data of a node will sort again. While adding nodes does not. Call TreeView1.AlphaSort to sort the whole tree. Call ParentNode.CustomSort(nil) to sort only the child nodes of a single node.


TCustomTreeView.StateImages

TImageList object which holds icons for tree-item states: normal item, selected item, etc.

Declaration

Source position: comctrls.pp line 3677

public property TCustomTreeView.StateImages : TCustomImageList
  read FStateImages
  write SetStateImages;


TCustomTreeView.StateImagesWidth

Declaration

Source position: comctrls.pp line 3678

public property TCustomTreeView.StateImagesWidth : Integer
  read FStateImagesWidth
  write SetStateImagesWidth
  default 0;


TCustomTreeView.States

Declaration

Source position: comctrls.pp line 3546

protected property TCustomTreeView.States : TTreeViewStates
  read FStates;


TCustomTreeView.StoreCurrentSelection

Declaration

Source position: comctrls.pp line 3641

public function TCustomTreeView.StoreCurrentSelection: TStringList;


TCustomTreeView.ToolTips

Show tooltip (hint) for a tree-item when the item is too long to fit by width and mouse is over it.

Declaration

Source position: comctrls.pp line 3603

protected property TCustomTreeView.ToolTips : Boolean
  read GetToolTips
  write SetToolTips
  default True;


TCustomTreeView.TopItem

TopItem - the first visible node of the tree

Declaration

Source position: comctrls.pp line 3679

public property TCustomTreeView.TopItem : TTreeNode
  read GetTopItem
  write SetTopItem;

Description

Use TopItem to get the topmost visible node. It is usually needed when tree view contains many nodes and scroll bar is requred to display them all. If you need the first node of the tree regardless of visibility use Items[0]

See also

Items | Collection of tree-items which is the content of control. Has type TTreeNodes.
GetNodeAtY | GetNodeAtY - returns the node at the specified (absolute) Y coordinate


TCustomTreeView.TreeLineColor

Color used to paint vertical lines at left side.

Declaration

Source position: comctrls.pp line 3680

public property TCustomTreeView.TreeLineColor : TColor
  read FTreeLineColor
  write FTreeLineColor
  default clWindowFrame;


TCustomTreeView.TreeLinePenStyle

Style of TPen, used to paint vertical lines at left side.

Declaration

Source position: comctrls.pp line 3681

public property TCustomTreeView.TreeLinePenStyle : TPenStyle
  read FTreeLinePenStyle
  write FTreeLinePenStyle
  default psPattern;


TCustomTreeView.UnlockSelectionChangeEvent

UnlockSelectionChangeEvent - unlock a selection to allow it to be changed

Declaration

Source position: comctrls.pp line 3632

public procedure TCustomTreeView.UnlockSelectionChangeEvent;


TCustomTreeView.UpdateDefaultItemHeight

UpdateDefaultItemHeight - brings the value of the default item height up-to-date

Declaration

Source position: comctrls.pp line 3536

protected procedure TCustomTreeView.UpdateDefaultItemHeight; virtual;


TCustomTreeView.UpdateInsertMark

UpdateInsertMark - see if there is an insert mark at X,Y and put one in if necessary

Declaration

Source position: comctrls.pp line 3537

protected procedure TCustomTreeView.UpdateInsertMark(

  X: Integer;

  Y: Integer

); virtual;


TCustomTreeView.WMHScroll

WMHScroll - LCL Message for horizontal scroll

Declaration

Source position: comctrls.pp line 3539

protected procedure TCustomTreeView.WMHScroll(

  var Msg: TLMScroll

); message;


TCustomTreeView.WMKillFocus

Declaration

Source position: comctrls.pp line 3543

protected procedure TCustomTreeView.WMKillFocus(

  var Message: TLMKILLFOCUS

); message;


TCustomTreeView.WMSetFocus

Declaration

Source position: comctrls.pp line 3542

protected procedure TCustomTreeView.WMSetFocus(

  var Message: TLMSetFocus

); message;


TCustomTreeView.WMVScroll

WMVScroll - LCL Message for Vertical scroll

Declaration

Source position: comctrls.pp line 3540

protected procedure TCustomTreeView.WMVScroll(

  var Msg: TLMScroll

); message;


TCustomTreeView.WriteDebugReport

WriteDebugReport - used for debugging

Declaration

Source position: comctrls.pp line 3630

public procedure TCustomTreeView.WriteDebugReport(

  const Prefix: string;

  AllNodes: Boolean

);


TCustomUpDown

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

TCustomUpDown - base class for TUpDown - a pair of arrow-like buttons which are used to increment or decrement some controlled variable; often attached to a scroll-bar but can also control a digital numeric display

Declaration

Source position: comctrls.pp line 1872

type TCustomUpDown = class(TCustomControl)
protected
class procedure WSRegisterClass; override; | Registers this component class with the current WidgetSet.
procedure AssociateKeyDown(); | AssociateKeyDown - protected procedure for dealing with action to be taken if an associate key (Shift, Ctrl or Alt) is pressed while the control is active
procedure AssociateMouseWheel();
procedure OnAssociateChangeBounds(); | OnAssociateChangeBounds - event handler for a change in bounds of the associate control
procedure OnAssociateChangeEnabled();
procedure OnAssociateChangeVisible();
function DoMouseWheelDown(); override;
function DoMouseWheelUp(); override;
function DoMouseWheelLeft(); override;
function DoMouseWheelRight(); override;
procedure DoSetBounds(); override;
procedure SetEnabled(); override;
class function GetControlClassDefaultSize; override; | GetControlClassDefaultSize returns its own defaults, overriding inherited values
procedure CalculatePreferredSize(); override;
function CanChange; virtual; | CanChange - if True, control can be changed
procedure Notification(); override; | Notification calls inherited method; if the operation requires removal of the associate control, this is performed
procedure Click(); virtual; overload; | Click - calls OnClick event handler if it is assigned
property AlignButton: TUDAlignButton; [rw] | AlignButton - how to align the button: left or right
property ArrowKeys: Boolean; [rw] | ArrowKeys - if True, the control can be operated by the keyboard's arrow keys which would simulate a click on the Next or Previous button
property Associate: TWinControl; [rw] | Associate - the associated control whose properties (controlled variable) are to be changed by the UpDown control
property Increment: Integer; [rw] | The amount by which the controlled variable is to be increased or decreased on each click
property Max: SmallInt; [rw] | Max - greatest value of controlled variable
property Min: SmallInt; [rw] | Min - least value of controlled variable
property MinRepeatInterval: Byte; [rw]
property OnChanging: TUDChangingEvent; [rw] | OnChanging - event handler for a change in the value of the controlled variable
property OnChangingEx: TUDChangingEventEx; [rw]
property OnClick: TUDClickEvent; [rw] | OnClick - special event handler for a click on up or down button
property Orientation: TUDOrientation; [rw] | Whether horizontal or vertical
property Position: SmallInt; [rw] | The Position of the UpDown control
property Thousands: Boolean; [rw] | If True, multiply all displayed values and the Increment by 1000
property Flat: Boolean; [rw]
property Wrap: Boolean; [rw] | If True, displayed control or value starts again from minimum or maximum value if clicking a button would cause incrementing or decrmenting beyond the extreme value
public
constructor Create(); override; | Create - constructor for TCustomUpDown: calls inherited Create, initialises orientation, max and min, bounds, size and alignment
destructor Destroy; override; | Destroy - destructor for TCustomUpDown: removes connection with associate control and calls inherited Destroy
end;

Inheritance

TCustomUpDown | TCustomUpDown - base class for TUpDown - a pair of arrow-like buttons which are used to increment or decrement some controlled variable; often attached to a scroll-bar but can also control a digital numeric display
|
TCustomControl | The base class for windowed controls which paint themselves.
|
TWinControl | The base class for controls which can contain other (child) controls.
|
TControl | The base class for visible controls.
|
TLCLComponent | The base class for LCL components associated with widgets.
|
TComponent,IUnknown,IInterfaceComponentReference
|
TPersistent,IFPObserved
|
TObject

Description

TCustomUpDown - base class for TUpDown - a pair of arrow-like buttons which are used to increment or decrement some controlled variable; often attached to a scroll-bar but can also control a digital numeric display

The control definition itself does not specify the variable upon which the buttons operate. The application programmer is responsible for supplying an event handler for OnClick to determine which button has been selected (designated btNext or btPrev) and incrementing or decrementing the variable in the control with which the UpDown is associated.

The amount by which the variable is changed is set by the integer property Increment with the optional multiplier Thousands (a boolean property).

For example the UpDown control may be used to move a slider up and down a scale by a specified amount for each click; alternatively a number may be displayed in a text box and clicking the buttons of the UpDown control may increment or decrement the number displayed by a specified amount.


TCustomUpDown
pt |  | AlignButton
pt |  | ArrowKeys
pt |  | Associate
pt |  | Increment
pt |  | Max
pt |  | Min
pt |  | MinRepeatInterval
pt |  | Orientation
pt |  | Position
pt |  | Thousands
pt |  | Flat
pt |  | Wrap
TCustomControl
 |  | Canvas
 | ro | BorderStyle
TWinControl
pt |  | WindowHandle
pt |  | BorderStyle
pt |  | ParentBackground
 |  | BorderWidth
 | ro | BoundsLockCount
 | ro | Brush
 | ro | CachedClientHeight
 | ro | CachedClientWidth
 |  | ChildSizing
 | ro | ControlCount
 | ro | Controls
 |  | DefWndProc
 | ro | DockClientCount
 | ro | DockClients
 |  | DockManager
 |  | DockSite
 |  | DoubleBuffered
 |  | Handle
 | ro | IsFlipped
 | ro | IsResizing
 |  | TabOrder
 |  | TabStop
 |  | ParentDoubleBuffered
 |  | ParentWindow
 | ro | Showing
 |  | UseDockManager
 |  | DesignerDeleting
 | ro | VisibleDockClientCount
TControl
pt | ro | AutoSizing
pt | ro | AutoSizingAll
pt | ro | AutoSizingLockCount
pt |  | ActionLink
pt |  | DesktopFont
pt |  | DragCursor
pt |  | DragKind
pt |  | DragMode
pt |  | MouseCapture
pt |  | ParentColor
pt |  | ParentFont
pt |  | ParentShowHint
pt |  | SessionProperties
pt |  | Text
 | ro | AnchoredControls
 | ro | BaseBounds
 | ro | ReadBounds
 | ro | BaseParentClientSize
 |  | AccessibleDescription
 |  | AccessibleValue
 |  | AccessibleRole
 |  | Action
 |  | Align
 |  | Anchors
 | ro | AnchorSide
 |  | AutoSize
 |  | BorderSpacing
 |  | BoundsRect
 |  | BoundsRectForNewParent
 |  | Caption
 |  | CaptureMouseButtons
 |  | ClientHeight
 | ro | ClientOrigin
 | ro | ClientRect
 |  | ClientWidth
 |  | Color
 |  | Constraints
 | ro | ControlOrigin
 |  | ControlState
 |  | ControlStyle
 |  | Enabled
 |  | Font
 |  | IsControl
 | ro | MouseEntered
 | ro | MouseInClient
 |  | Parent
 |  | PopupMenu
 |  | ShowHint
 |  | Visible
 |  | WindowProc
 |  | DockOrientation
 | ro | Floating
 |  | FloatingDockSiteClass
 |  | HostDockSite
 |  | LRDockWidth
 |  | TBDockHeight
 |  | UndockHeight
 |  | UndockWidth
 |  | BiDiMode
 |  | ParentBiDiMode
pl |  | AnchorSideLeft
pl |  | AnchorSideTop
pl |  | AnchorSideRight
pl |  | AnchorSideBottom
pl |  | Cursor
pl |  | Left
pl |  | Height
pl |  | Hint
pl |  | Top
pl |  | Width
pl |  | HelpType
pl |  | HelpKeyword
pl |  | HelpContext
TLCLComponent
 | ro | LCLRefCount
 | ro | WidgetSetClass
TComponent
 | ro | ComObject
 | ro | Components
 | ro | ComponentCount
 |  | ComponentIndex
 | ro | ComponentState
 | ro | ComponentStyle
 |  | DesignInfo
 | ro | Owner
 |  | VCLComObject
 |  | Name
 |  | Tag
TPersistent
TObject


 |  | AccessibleDescription (TControl)
 |  | AccessibleRole (TControl)
 |  | AccessibleValue (TControl)
 |  | Action (TControl)
pt |  | ActionLink (TControl)
 |  | Align (TControl)
pt |  | AlignButton (TCustomUpDown)
 | ro | AnchoredControls (TControl)
 |  | Anchors (TControl)
 | ro | AnchorSide (TControl)
pl |  | AnchorSideBottom (TControl)
pl |  | AnchorSideLeft (TControl)
pl |  | AnchorSideRight (TControl)
pl |  | AnchorSideTop (TControl)
pt |  | ArrowKeys (TCustomUpDown)
pt |  | Associate (TCustomUpDown)
 |  | AutoSize (TControl)
pt | ro | AutoSizing (TControl)
pt | ro | AutoSizingAll (TControl)
pt | ro | AutoSizingLockCount (TControl)
 | ro | BaseBounds (TControl)
 | ro | BaseParentClientSize (TControl)
 |  | BiDiMode (TControl)
 |  | BorderSpacing (TControl)
pt |  | BorderStyle (TWinControl)
 | ro | BorderStyle (TCustomControl)
 |  | BorderWidth (TWinControl)
 | ro | BoundsLockCount (TWinControl)
 |  | BoundsRect (TControl)
 |  | BoundsRectForNewParent (TControl)
 | ro | Brush (TWinControl)
 | ro | CachedClientHeight (TWinControl)
 | ro | CachedClientWidth (TWinControl)
 |  | Canvas (TCustomControl)
 |  | Caption (TControl)
 |  | CaptureMouseButtons (TControl)
 |  | ChildSizing (TWinControl)
 |  | ClientHeight (TControl)
 | ro | ClientOrigin (TControl)
 | ro | ClientRect (TControl)
 |  | ClientWidth (TControl)
 |  | Color (TControl)
 | ro | ComObject (TComponent)
 | ro | ComponentCount (TComponent)
 |  | ComponentIndex (TComponent)
 | ro | Components (TComponent)
 | ro | ComponentState (TComponent)
 | ro | ComponentStyle (TComponent)
 |  | Constraints (TControl)
 | ro | ControlCount (TWinControl)
 | ro | ControlOrigin (TControl)
 | ro | Controls (TWinControl)
 |  | ControlState (TControl)
 |  | ControlStyle (TControl)
pl |  | Cursor (TControl)
 |  | DefWndProc (TWinControl)
 |  | DesignerDeleting (TWinControl)
 |  | DesignInfo (TComponent)
pt |  | DesktopFont (TControl)
 | ro | DockClientCount (TWinControl)
 | ro | DockClients (TWinControl)
 |  | DockManager (TWinControl)
 |  | DockOrientation (TControl)
 |  | DockSite (TWinControl)
 |  | DoubleBuffered (TWinControl)
pt |  | DragCursor (TControl)
pt |  | DragKind (TControl)
pt |  | DragMode (TControl)
 |  | Enabled (TControl)
pt |  | Flat (TCustomUpDown)
 | ro | Floating (TControl)
 |  | FloatingDockSiteClass (TControl)
 |  | Font (TControl)
 |  | Handle (TWinControl)
pl |  | Height (TControl)
pl |  | HelpContext (TControl)
pl |  | HelpKeyword (TControl)
pl |  | HelpType (TControl)
pl |  | Hint (TControl)
 |  | HostDockSite (TControl)
pt |  | Increment (TCustomUpDown)
 |  | IsControl (TControl)
 | ro | IsFlipped (TWinControl)
 | ro | IsResizing (TWinControl)
 | ro | LCLRefCount (TLCLComponent)
pl |  | Left (TControl)
 |  | LRDockWidth (TControl)
pt |  | Max (TCustomUpDown)
pt |  | Min (TCustomUpDown)
pt |  | MinRepeatInterval (TCustomUpDown)
pt |  | MouseCapture (TControl)
 | ro | MouseEntered (TControl)
 | ro | MouseInClient (TControl)
 |  | Name (TComponent)
pt |  | Orientation (TCustomUpDown)
 | ro | Owner (TComponent)
 |  | Parent (TControl)
pt |  | ParentBackground (TWinControl)
 |  | ParentBiDiMode (TControl)
pt |  | ParentColor (TControl)
 |  | ParentDoubleBuffered (TWinControl)
pt |  | ParentFont (TControl)
pt |  | ParentShowHint (TControl)
 |  | ParentWindow (TWinControl)
 |  | PopupMenu (TControl)
pt |  | Position (TCustomUpDown)
 | ro | ReadBounds (TControl)
pt |  | SessionProperties (TControl)
 |  | ShowHint (TControl)
 | ro | Showing (TWinControl)
 |  | TabOrder (TWinControl)
 |  | TabStop (TWinControl)
 |  | Tag (TComponent)
 |  | TBDockHeight (TControl)
pt |  | Text (TControl)
pt |  | Thousands (TCustomUpDown)
pl |  | Top (TControl)
 |  | UndockHeight (TControl)
 |  | UndockWidth (TControl)
 |  | UseDockManager (TWinControl)
 |  | VCLComObject (TComponent)
 |  | Visible (TControl)
 | ro | VisibleDockClientCount (TWinControl)
 | ro | WidgetSetClass (TLCLComponent)
pl |  | Width (TControl)
pt |  | WindowHandle (TWinControl)
 |  | WindowProc (TControl)
pt |  | Wrap (TCustomUpDown)


TCustomUpDown
pt | WSRegisterClass
pt | AssociateKeyDown
pt | AssociateMouseWheel
pt | OnAssociateChangeBounds
pt | OnAssociateChangeEnabled
pt | OnAssociateChangeVisible
pt | DoMouseWheelDown
pt | DoMouseWheelUp
pt | DoMouseWheelLeft
pt | DoMouseWheelRight
pt | DoSetBounds
pt | SetEnabled
pt | GetControlClassDefaultSize
pt | CalculatePreferredSize
pt | CanChange
pt | Notification
pt | Click
 | Create
 | Destroy
TCustomControl
pt | WSRegisterClass
pt | WMPaint
pt | DestroyWnd
pt | PaintWindow
pt | FontChanged
pt | SetColor
pt | Paint
 | Create
 | Destroy
TWinControl
pt | WSRegisterClass
pt | AdjustClientRect
pt | GetAdjustedLogicalClientRect
pt | AlignControls
pt | CustomAlignInsertBefore
pt | CustomAlignPosition
pt | DoAlignChildControls
pt | DoChildSizingChange
pt | InvalidatePreferredChildSizes
pt | CanTab
pt | IsClientHeightStored
pt | IsClientWidthStored
pt | DoSendShowHideToInterface
pt | ControlsAligned
pt | DoSendBoundsToInterface
pt | RealizeBounds
pt | RealizeBoundsRecursive
pt | InvalidateBoundsRealized
pt | CreateSubClass
pt | DoConstraintsChange
pt | DoSetBounds
pt | DoAutoSize
pt | DoAllAutoSize
pt | AllAutoSized
pt | CalculatePreferredSize
pt | GetPreferredSizeClientFrame
pt | GetChildren
pt | ChildClassAllowed
pt | PaintControls
pt | PaintHandler
pt | PaintWindow
pt | CreateBrush
pt | ScaleControls
pt | ChangeScale
pt | CMBiDiModeChanged
pt | CMBorderChanged
pt | CMDoubleBufferedChanged
pt | CMEnabledChanged
pt | CMParentDoubleBufferedChanged
pt | CMShowingChanged
pt | CMShowHintChanged
pt | CMVisibleChanged
pt | CMEnter
pt | CMExit
pt | WMContextMenu
pt | WMEraseBkgnd
pt | WMNotify
pt | WMSetFocus
pt | WMKillFocus
pt | WMShowWindow
pt | WMEnter
pt | WMExit
pt | WMKeyDown
pt | WMSysKeyDown
pt | WMKeyUp
pt | WMSysKeyUp
pt | WMChar
pt | WMSysChar
pt | WMPaint
pt | WMDestroy
pt | WMMove
pt | WMSize
pt | WMWindowPosChanged
pt | CNKeyDown
pt | CNSysKeyDown
pt | CNKeyUp
pt | CNSysKeyUp
pt | CNChar
pt | DoDragMsg
pt | DoDockClientMsg
pt | DoUndockClientMsg
pt | DoAddDockClient
pt | DockOver
pt | DoDockOver
pt | DoRemoveDockClient
pt | DoUnDock
pt | GetSiteInfo
pt | GetParentHandle
pt | GetTopParentHandle
pt | ReloadDockedControl
pt | CreateDockManager
pt | SetDockManager
pt | DoFloatMsg
pt | DoGetDockCaption
pt | DoEnter
pt | DoExit
pt | DoKeyDownBeforeInterface
pt | DoRemainingKeyDown
pt | DoRemainingKeyUp
pt | DoKeyPress
pt | DoUTF8KeyPress
pt | DoKeyUpBeforeInterface
pt | ChildKey
pt | SendDialogChar
pt | DialogChar
pt | ControlKeyDown
pt | ControlKeyUp
pt | KeyDown
pt | KeyDownBeforeInterface
pt | KeyDownAfterInterface
pt | KeyPress
pt | KeyUp
pt | KeyUpBeforeInterface
pt | KeyUpAfterInterface
pt | UTF8KeyPress
pt | FindNextControl
pt | SelectFirst
pt | RealGetText
pt | GetBorderStyle
pt | GetClientOrigin
pt | GetClientRect
pt | GetControlOrigin
pt | GetDeviceContext
pt | GetParentBackground
pt | IsControlMouseMsg
pt | CreateHandle
pt | CreateParams
pt | CreateWnd
pt | DestroyHandle
pt | DestroyWnd
pt | DoFlipChildren
pt | FinalizeWnd
pt | FixupTabList
pt | FontChanged
pt | InitializeWnd
pt | Loaded
pt | FormEndUpdated
pt | MainWndProc
pt | ParentFormHandleInitialized
pt | ChildHandlesCreated
pt | GetMouseCapture
pt | RealSetText
pt | RemoveFocus
pt | SendMoveSizeMessages
pt | SetBorderStyle
pt | SetColor
pt | SetChildZPosition
pt | SetParentBackground
pt | ShowControl
pt | UpdateControlState
pt | UpdateShowing
pt | WndProc
pt | WSSetText
 | AutoSizePhases
 | AutoSizeDelayed
 | AutoSizeDelayedReport
 | AutoSizeDelayedHandle
 | BeginUpdateBounds
 | EndUpdateBounds
 | LockRealizeBounds
 | UnlockRealizeBounds
 | ControlAtPos
 | ContainsControl
 | DoAdjustClientRectChange
 | InvalidateClientRectCache
 | ClientRectNeedsInterfaceUpdate
 | SetBounds
 | GetChildrenRect
 | DisableAlign
 | EnableAlign
 | ReAlign
 | ScrollBy_WS
 | ScrollBy
 | WriteLayoutDebugReport
 | AutoAdjustLayout
 | Create
 | CreateParented
 | CreateParentedControl
 | Destroy
 | DockDrop
 | CanFocus
 | CanSetFocus
 | GetControlIndex
 | SetControlIndex
 | Focused
 | PerformTab
 | FindChildControl
 | SelectNext
 | SetTempCursor
 | BroadCast
 | NotifyControls
 | DefaultHandler
 | GetTextLen
 | Invalidate
 | AddControl
 | InsertControl
 | RemoveControl
 | GetEnumeratorControls
 | GetEnumeratorControlsReverse
 | Repaint
 | Update
 | SetFocus
 | FlipChildren
 | ScaleBy
 | GetDockCaption
 | UpdateDockCaption
 | GetTabOrderList
 | HandleAllocated
 | ParentHandlesAllocated
 | HandleNeeded
 | BrushCreated
 | EraseBackground
 | IntfUTF8KeyPress
 | IntfGetDropFilesTarget
 | PaintTo
 | SetShape
TControl
pt | WSRegisterClass
pt | GetCursor
pt | SetCursor
pt | SetVisible
pt | DoOnParentHandleDestruction
pt | DoAutoSize
pt | DoAllAutoSize
pt | BeginAutoSizing
pt | EndAutoSizing
pt | AnchorSideChanged
pt | ForeignAnchorSideChanged
pt | SetAlign
pt | SetAnchors
pt | SetAutoSize
pt | BoundsChanged
pt | CreateControlBorderSpacing
pt | DoConstraintsChange
pt | DoBorderSpacingChange
pt | IsBorderSpacingInnerBorderStored
pt | IsCaptionStored
pt | SendMoveSizeMessages
pt | ConstrainedResize
pt | CalculatePreferredSize
pt | DoOnResize
pt | DoOnChangeBounds
pt | CheckOnChangeBounds
pt | Resize
pt | RequestAlign
pt | UpdateAnchorRules
pt | ChangeBounds
pt | DoSetBounds
pt | ScaleConstraints
pt | ChangeScale
pt | CanAutoSize
pt | SetBiDiMode
pt | SetParentBiDiMode
pt | IsAParentAligning
pt | GetClientOrigin
pt | GetClientRect
pt | GetLogicalClientRect
pt | GetScrolledClientRect
pt | GetClientScrollOffset
pt | GetControlOrigin
pt | IsClientHeightStored
pt | IsClientWidthStored
pt | WidthIsAnchored
pt | HeightIsAnchored
pt | WMCancelMode
pt | WMContextMenu
pt | WMLButtonDown
pt | WMRButtonDown
pt | WMMButtonDown
pt | WMXButtonDown
pt | WMLButtonDBLCLK
pt | WMRButtonDBLCLK
pt | WMMButtonDBLCLK
pt | WMXButtonDBLCLK
pt | WMLButtonTripleCLK
pt | WMRButtonTripleCLK
pt | WMMButtonTripleCLK
pt | WMXButtonTripleCLK
pt | WMLButtonQuadCLK
pt | WMRButtonQuadCLK
pt | WMMButtonQuadCLK
pt | WMXButtonQuadCLK
pt | WMMouseMove
pt | WMLButtonUp
pt | WMRButtonUp
pt | WMMButtonUp
pt | WMXButtonUp
pt | WMMouseWheel
pt | WMMouseHWheel
pt | WMMove
pt | WMSize
pt | WMWindowPosChanged
pt | CMChanged
pt | LMCaptureChanged
pt | CMBiDiModeChanged
pt | CMSysFontChanged
pt | CMEnabledChanged
pt | CMHitTest
pt | CMMouseEnter
pt | CMMouseLeave
pt | CMHintShow
pt | CMParentBiDiModeChanged
pt | CMParentColorChanged
pt | CMParentFontChanged
pt | CMParentShowHintChanged
pt | CMVisibleChanged
pt | CMTextChanged
pt | CMCursorChanged
pt | CalculateDockSizes
pt | CreateFloatingDockSite
pt | GetDockEdge
pt | GetDragImages
pt | GetFloating
pt | GetFloatingDockSiteClass
pt | BeforeDragStart
pt | BeginAutoDrag
pt | DoFloatMsg
pt | DockTrackNoTarget
pt | DoDock
pt | DoDragMsg
pt | DoEndDock
pt | DoEndDrag
pt | DoStartDock
pt | DoStartDrag
pt | DragCanceled
pt | DragOver
pt | PositionDockRect
pt | SetDragMode
pt | GetDefaultDockCaption
pt | Click
pt | DblClick
pt | TripleClick
pt | QuadClick
pt | GetMousePosFromMessage
pt | MouseDown
pt | MouseMove
pt | MouseUp
pt | MouseEnter
pt | MouseLeave
pt | DialogChar
pt | UpdateMouseCursor
pt | Changed
pt | GetPalette
pt | ChildClassAllowed
pt | ReadState
pt | Loaded
pt | LoadedAll
pt | DefineProperties
pt | AssignTo
pt | FormEndUpdated
pt | InvalidateControl
pt | FontChanged
pt | ParentFontChanged
pt | GetAction
pt | RealGetText
pt | RealSetText
pt | TextChanged
pt | GetCachedText
pt | SetAction
pt | SetColor
pt | SetEnabled
pt | SetHint
pt | SetName
pt | SetParent
pt | SetParentComponent
pt | WndProc
pt | ParentFormHandleInitialized
pt | GetMouseCapture
pt | CaptureChanged
pt | Notification
pt | CanTab
pt | GetDeviceContext
pt | GetEnabled
pt | GetPopupMenu
pt | DoOnShowHint
pt | DoMouseWheel
pt | DoMouseWheelDown
pt | DoMouseWheelUp
pt | DoMouseWheelHorz
pt | DoMouseWheelLeft
pt | DoMouseWheelRight
pt | VisibleChanging
pt | VisibleChanged
pt | EnabledChanging
pt | EnabledChanged
pt | AddHandler
pt | RemoveHandler
pt | DoCallNotifyHandler
pt | DoCallKeyEventHandler
pt | DoCallMouseWheelEventHandler
pt | DoContextPopup
pt | SetZOrder
pt | GetControlClassDefaultSize
pt | ColorIsStored
pt | DoAutoAdjustLayout
pt | DoFixDesignFontPPI
pt | DoScaleFontPPI
pt | GetActionLinkClass
pt | ActionChange
 | DragDrop
 | Dock
 | ManualDock
 | ManualFloat
 | ReplaceDockedControl
 | Docked
 | Dragging
 | GetAccessibleObject
 | CreateAccessibleObject
 | GetSelectedChildAccessibleObject
 | GetChildAccessibleObjectAtPos
 | ScaleDesignToForm
 | ScaleFormToDesign
 | Scale96ToForm
 | ScaleFormTo96
 | Scale96ToFont
 | ScaleFontTo96
 | ScaleScreenToFont
 | ScaleFontToScreen
 | Scale96ToScreen
 | ScaleScreenTo96
 | AdjustSize
 | AutoSizePhases
 | AutoSizeDelayed
 | AutoSizeDelayedReport
 | AutoSizeDelayedHandle
 | AnchorToNeighbour
 | AnchorParallel
 | AnchorHorizontalCenterTo
 | AnchorVerticalCenterTo
 | AnchorToCompanion
 | AnchorSame
 | AnchorAsAlign
 | AnchorClient
 | AnchoredControlCount
 | SetBounds
 | SetInitialBounds
 | SetBoundsKeepBase
 | GetPreferredSize
 | GetCanvasScaleFactor
 | GetDefaultWidth
 | GetDefaultHeight
 | GetDefaultColor
 | GetColorResolvingParent
 | GetRGBColorResolvingParent
 | GetSidePosition
 | CNPreferredSizeChanged
 | InvalidatePreferredSize
 | GetAnchorsDependingOnParent
 | DisableAutoSizing
 | EnableAutoSizing
 | UpdateBaseBounds
 | WriteLayoutDebugReport
 | AutoAdjustLayout
 | ShouldAutoAdjust
 | FixDesignFontsPPI
 | ScaleFontsPPI
 | Create
 | Destroy
 | BeforeDestruction
 | EditingDone
 | ExecuteDefaultAction
 | ExecuteCancelAction
 | BeginDrag
 | EndDrag
 | BringToFront
 | HasParent
 | GetParentComponent
 | IsParentOf
 | GetTopParent
 | IsVisible
 | IsControlVisible
 | IsEnabled
 | IsParentColor
 | IsParentFont
 | FormIsUpdating
 | IsProcessingPaintMsg
 | Hide
 | Refresh
 | Repaint
 | Invalidate
 | CheckChildClassAllowed
 | CheckNewParent
 | SendToBack
 | SetTempCursor
 | UpdateRolesForForm
 | ActiveDefaultControlChanged
 | GetTextBuf
 | GetTextLen
 | SetTextBuf
 | Perform
 | ScreenToClient
 | ClientToScreen
 | ScreenToControl
 | ControlToScreen
 | ClientToParent
 | ParentToClient
 | GetChildrenRect
 | Show
 | Update
 | HandleObjectShouldBeVisible
 | ParentDestroyingHandle
 | ParentHandlesAllocated
 | InitiateAction
 | ShowHelp
 | HasHelp
 | RemoveAllHandlersOfObject
 | AddHandlerOnResize
 | RemoveHandlerOnResize
 | AddHandlerOnChangeBounds
 | RemoveHandlerOnChangeBounds
 | AddHandlerOnVisibleChanging
 | RemoveHandlerOnVisibleChanging
 | AddHandlerOnVisibleChanged
 | RemoveHandlerOnVisibleChanged
 | AddHandlerOnEnabledChanged
 | RemoveHandlerOnEnableChanging
 | AddHandlerOnKeyDown
 | RemoveHandlerOnKeyDown
 | AddHandlerOnBeforeDestruction
 | RemoveHandlerOnBeforeDestruction
 | AddHandlerOnMouseWheel
 | RemoveHandlerOnMouseWheel
 | UseRightToLeftAlignment
 | UseRightToLeftReading
 | UseRightToLeftScrollBar
 | IsRightToLeft
TLCLComponent
pt | WSRegisterClass
pt | GetWSComponentClass
 | Create
 | Destroy
 | NewInstance
 | RemoveAllHandlersOfObject
 | IncLCLRefCount
 | DecLCLRefCount
TComponent
 | GetComObject
 | GetComponent
 | GetComponentCount
 | GetComponentIndex
 | Insert
 | ReadLeft
 | ReadTop
 | Remove
 | RemoveNotification
 | SetComponentIndex
 | SetReference
 | WriteLeft
 | WriteTop
 | ChangeName
 | DefineProperties
 | GetChildren
 | GetChildOwner
 | GetChildParent
 | GetOwner
 | Loaded
 | Loading
 | Notification
 | PaletteCreated
 | ReadState
 | SetAncestor
 | SetDesigning
 | SetDesignInstance
 | SetInline
 | SetName
 | SetChildOrder
 | SetParentComponent
 | Updating
 | Updated
 | UpdateRegistry
 | ValidateRename
 | ValidateContainer
 | ValidateInsert
 | QueryInterface
 | _AddRef
 | _Release
 | iicrGetComponent
 | GetTypeInfoCount
 | GetTypeInfo
 | GetIDsOfNames
 | Invoke
 | WriteState
 | Create
 | Destroy
 | BeforeDestruction
 | DestroyComponents
 | Destroying
 | ExecuteAction
 | FindComponent
 | FreeNotification
 | RemoveFreeNotification
 | FreeOnRelease
 | GetEnumerator
 | GetNamePath
 | GetParentComponent
 | HasParent
 | InsertComponent
 | RemoveComponent
 | SafeCallException
 | SetSubComponent
 | UpdateAction
 | IsImplementorOf
 | ReferenceInterface
TPersistent
 | AssignError
 | AssignTo
 | DefineProperties
 | GetOwner
 | Destroy
 | Assign
 | FPOAttachObserver
 | FPODetachObserver
 | FPONotifyObservers
 | GetNamePath
TObject
 | Create
 | Destroy
 | newinstance
 | FreeInstance
 | SafeCallException
 | DefaultHandler
 | Free
 | InitInstance
 | CleanupInstance
 | ClassType
 | ClassInfo
 | ClassName
 | ClassNameIs
 | ClassParent
 | InstanceSize
 | InheritsFrom
 | StringMessageTable
 | MethodAddress
 | MethodName
 | FieldAddress
 | AfterConstruction
 | BeforeDestruction
 | DefaultHandlerStr
 | Dispatch
 | DispatchStr
 | GetInterface
 | GetInterfaceByStr
 | GetInterfaceWeak
 | GetInterfaceEntry
 | GetInterfaceEntryByStr
 | GetInterfaceTable
 | UnitName
 | Equals
 | GetHashCode
 | ToString


pt | ActionChange (TControl)
 | ActiveDefaultControlChanged (TControl)
 | AddControl (TWinControl)
pt | AddHandler (TControl)
 | AddHandlerOnBeforeDestruction (TControl)
 | AddHandlerOnChangeBounds (TControl)
 | AddHandlerOnEnabledChanged (TControl)
 | AddHandlerOnKeyDown (TControl)
 | AddHandlerOnMouseWheel (TControl)
 | AddHandlerOnResize (TControl)
 | AddHandlerOnVisibleChanged (TControl)
 | AddHandlerOnVisibleChanging (TControl)
pt | AdjustClientRect (TWinControl)
 | AdjustSize (TControl)
 | AfterConstruction (TObject)
pt | AlignControls (TWinControl)
pt | AllAutoSized (TWinControl)
 | AnchorAsAlign (TControl)
 | AnchorClient (TControl)
 | AnchoredControlCount (TControl)
 | AnchorHorizontalCenterTo (TControl)
 | AnchorParallel (TControl)
 | AnchorSame (TControl)
pt | AnchorSideChanged (TControl)
 | AnchorToCompanion (TControl)
 | AnchorToNeighbour (TControl)
 | AnchorVerticalCenterTo (TControl)
 | Assign (TPersistent)
 | AssignError (TPersistent)
 | AssignTo (TPersistent)
pt | AssignTo (TControl)
pt | AssociateKeyDown (TCustomUpDown)
pt | AssociateMouseWheel (TCustomUpDown)
 | AutoAdjustLayout (TControl)
 | AutoAdjustLayout (TWinControl)
 | AutoSizeDelayed (TControl)
 | AutoSizeDelayed (TWinControl)
 | AutoSizeDelayedHandle (TControl)
 | AutoSizeDelayedHandle (TWinControl)
 | AutoSizeDelayedReport (TControl)
 | AutoSizeDelayedReport (TWinControl)
 | AutoSizePhases (TControl)
 | AutoSizePhases (TWinControl)
 | BeforeDestruction (TObject)
 | BeforeDestruction (TComponent)
 | BeforeDestruction (TControl)
pt | BeforeDragStart (TControl)
pt | BeginAutoDrag (TControl)
pt | BeginAutoSizing (TControl)
 | BeginDrag (TControl)
 | BeginUpdateBounds (TWinControl)
pt | BoundsChanged (TControl)
 | BringToFront (TControl)
 | BroadCast (TWinControl)
 | BrushCreated (TWinControl)
pt | CalculateDockSizes (TControl)
pt | CalculatePreferredSize (TControl)
pt | CalculatePreferredSize (TWinControl)
pt | CalculatePreferredSize (TCustomUpDown)
pt | CanAutoSize (TControl)
pt | CanChange (TCustomUpDown)
 | CanFocus (TWinControl)
 | CanSetFocus (TWinControl)
pt | CanTab (TControl)
pt | CanTab (TWinControl)
pt | CaptureChanged (TControl)
pt | ChangeBounds (TControl)
pt | Changed (TControl)
 | ChangeName (TComponent)
pt | ChangeScale (TControl)
pt | ChangeScale (TWinControl)
 | CheckChildClassAllowed (TControl)
 | CheckNewParent (TControl)
pt | CheckOnChangeBounds (TControl)
pt | ChildClassAllowed (TControl)
pt | ChildClassAllowed (TWinControl)
pt | ChildHandlesCreated (TWinControl)
pt | ChildKey (TWinControl)
 | ClassInfo (TObject)
 | ClassName (TObject)
 | ClassNameIs (TObject)
 | ClassParent (TObject)
 | ClassType (TObject)
 | CleanupInstance (TObject)
pt | Click (TControl)
pt | Click (TCustomUpDown)
 | ClientRectNeedsInterfaceUpdate (TWinControl)
 | ClientToParent (TControl)
 | ClientToScreen (TControl)
pt | CMBiDiModeChanged (TControl)
pt | CMBiDiModeChanged (TWinControl)
pt | CMBorderChanged (TWinControl)
pt | CMChanged (TControl)
pt | CMCursorChanged (TControl)
pt | CMDoubleBufferedChanged (TWinControl)
pt | CMEnabledChanged (TControl)
pt | CMEnabledChanged (TWinControl)
pt | CMEnter (TWinControl)
pt | CMExit (TWinControl)
pt | CMHintShow (TControl)
pt | CMHitTest (TControl)
pt | CMMouseEnter (TControl)
pt | CMMouseLeave (TControl)
pt | CMParentBiDiModeChanged (TControl)
pt | CMParentColorChanged (TControl)
pt | CMParentDoubleBufferedChanged (TWinControl)
pt | CMParentFontChanged (TControl)
pt | CMParentShowHintChanged (TControl)
pt | CMShowHintChanged (TWinControl)
pt | CMShowingChanged (TWinControl)
pt | CMSysFontChanged (TControl)
pt | CMTextChanged (TControl)
pt | CMVisibleChanged (TControl)
pt | CMVisibleChanged (TWinControl)
pt | CNChar (TWinControl)
pt | CNKeyDown (TWinControl)
pt | CNKeyUp (TWinControl)
 | CNPreferredSizeChanged (TControl)
pt | CNSysKeyDown (TWinControl)
pt | CNSysKeyUp (TWinControl)
pt | ColorIsStored (TControl)
pt | ConstrainedResize (TControl)
 | ContainsControl (TWinControl)
 | ControlAtPos (TWinControl)
pt | ControlKeyDown (TWinControl)
pt | ControlKeyUp (TWinControl)
pt | ControlsAligned (TWinControl)
 | ControlToScreen (TControl)
 | Create (TObject)
 | Create (TComponent)
 | Create (TLCLComponent)
 | Create (TControl)
 | Create (TWinControl)
 | Create (TCustomControl)
 | Create (TCustomUpDown)
 | CreateAccessibleObject (TControl)
pt | CreateBrush (TWinControl)
pt | CreateControlBorderSpacing (TControl)
pt | CreateDockManager (TWinControl)
pt | CreateFloatingDockSite (TControl)
pt | CreateHandle (TWinControl)
pt | CreateParams (TWinControl)
 | CreateParented (TWinControl)
 | CreateParentedControl (TWinControl)
pt | CreateSubClass (TWinControl)
pt | CreateWnd (TWinControl)
pt | CustomAlignInsertBefore (TWinControl)
pt | CustomAlignPosition (TWinControl)
pt | DblClick (TControl)
 | DecLCLRefCount (TLCLComponent)
 | DefaultHandler (TObject)
 | DefaultHandler (TWinControl)
 | DefaultHandlerStr (TObject)
 | DefineProperties (TPersistent)
 | DefineProperties (TComponent)
pt | DefineProperties (TControl)
 | Destroy (TObject)
 | Destroy (TPersistent)
 | Destroy (TComponent)
 | Destroy (TLCLComponent)
 | Destroy (TControl)
 | Destroy (TWinControl)
 | Destroy (TCustomControl)
 | Destroy (TCustomUpDown)
 | DestroyComponents (TComponent)
pt | DestroyHandle (TWinControl)
 | Destroying (TComponent)
pt | DestroyWnd (TWinControl)
pt | DestroyWnd (TCustomControl)
pt | DialogChar (TControl)
pt | DialogChar (TWinControl)
 | DisableAlign (TWinControl)
 | DisableAutoSizing (TControl)
 | Dispatch (TObject)
 | DispatchStr (TObject)
pt | DoAddDockClient (TWinControl)
 | DoAdjustClientRectChange (TWinControl)
pt | DoAlignChildControls (TWinControl)
pt | DoAllAutoSize (TControl)
pt | DoAllAutoSize (TWinControl)
pt | DoAutoAdjustLayout (TControl)
pt | DoAutoSize (TControl)
pt | DoAutoSize (TWinControl)
pt | DoBorderSpacingChange (TControl)
pt | DoCallKeyEventHandler (TControl)
pt | DoCallMouseWheelEventHandler (TControl)
pt | DoCallNotifyHandler (TControl)
pt | DoChildSizingChange (TWinControl)
 | Dock (TControl)
 | DockDrop (TWinControl)
 | Docked (TControl)
pt | DockOver (TWinControl)
pt | DockTrackNoTarget (TControl)
pt | DoConstraintsChange (TControl)
pt | DoConstraintsChange (TWinControl)
pt | DoContextPopup (TControl)
pt | DoDock (TControl)
pt | DoDockClientMsg (TWinControl)
pt | DoDockOver (TWinControl)
pt | DoDragMsg (TControl)
pt | DoDragMsg (TWinControl)
pt | DoEndDock (TControl)
pt | DoEndDrag (TControl)
pt | DoEnter (TWinControl)
pt | DoExit (TWinControl)
pt | DoFixDesignFontPPI (TControl)
pt | DoFlipChildren (TWinControl)
pt | DoFloatMsg (TControl)
pt | DoFloatMsg (TWinControl)
pt | DoGetDockCaption (TWinControl)
pt | DoKeyDownBeforeInterface (TWinControl)
pt | DoKeyPress (TWinControl)
pt | DoKeyUpBeforeInterface (TWinControl)
pt | DoMouseWheel (TControl)
pt | DoMouseWheelDown (TControl)
pt | DoMouseWheelDown (TCustomUpDown)
pt | DoMouseWheelHorz (TControl)
pt | DoMouseWheelLeft (TControl)
pt | DoMouseWheelLeft (TCustomUpDown)
pt | DoMouseWheelRight (TControl)
pt | DoMouseWheelRight (TCustomUpDown)
pt | DoMouseWheelUp (TControl)
pt | DoMouseWheelUp (TCustomUpDown)
pt | DoOnChangeBounds (TControl)
pt | DoOnParentHandleDestruction (TControl)
pt | DoOnResize (TControl)
pt | DoOnShowHint (TControl)
pt | DoRemainingKeyDown (TWinControl)
pt | DoRemainingKeyUp (TWinControl)
pt | DoRemoveDockClient (TWinControl)
pt | DoScaleFontPPI (TControl)
pt | DoSendBoundsToInterface (TWinControl)
pt | DoSendShowHideToInterface (TWinControl)
pt | DoSetBounds (TControl)
pt | DoSetBounds (TWinControl)
pt | DoSetBounds (TCustomUpDown)
pt | DoStartDock (TControl)
pt | DoStartDrag (TControl)
pt | DoUnDock (TWinControl)
pt | DoUndockClientMsg (TWinControl)
pt | DoUTF8KeyPress (TWinControl)
pt | DragCanceled (TControl)
 | DragDrop (TControl)
 | Dragging (TControl)
pt | DragOver (TControl)
 | EditingDone (TControl)
 | EnableAlign (TWinControl)
 | EnableAutoSizing (TControl)
pt | EnabledChanged (TControl)
pt | EnabledChanging (TControl)
pt | EndAutoSizing (TControl)
 | EndDrag (TControl)
 | EndUpdateBounds (TWinControl)
 | Equals (TObject)
 | EraseBackground (TWinControl)
 | ExecuteAction (TComponent)
 | ExecuteCancelAction (TControl)
 | ExecuteDefaultAction (TControl)
 | FieldAddress (TObject)
pt | FinalizeWnd (TWinControl)
 | FindChildControl (TWinControl)
 | FindComponent (TComponent)
pt | FindNextControl (TWinControl)
 | FixDesignFontsPPI (TControl)
pt | FixupTabList (TWinControl)
 | FlipChildren (TWinControl)
 | Focused (TWinControl)
pt | FontChanged (TControl)
pt | FontChanged (TWinControl)
pt | FontChanged (TCustomControl)
pt | ForeignAnchorSideChanged (TControl)
pt | FormEndUpdated (TControl)
pt | FormEndUpdated (TWinControl)
 | FormIsUpdating (TControl)
 | FPOAttachObserver (TPersistent)
 | FPODetachObserver (TPersistent)
 | FPONotifyObservers (TPersistent)
 | Free (TObject)
 | FreeInstance (TObject)
 | FreeNotification (TComponent)
 | FreeOnRelease (TComponent)
 | GetAccessibleObject (TControl)
pt | GetAction (TControl)
pt | GetActionLinkClass (TControl)
pt | GetAdjustedLogicalClientRect (TWinControl)
 | GetAnchorsDependingOnParent (TControl)
pt | GetBorderStyle (TWinControl)
pt | GetCachedText (TControl)
 | GetCanvasScaleFactor (TControl)
 | GetChildAccessibleObjectAtPos (TControl)
 | GetChildOwner (TComponent)
 | GetChildParent (TComponent)
 | GetChildren (TComponent)
pt | GetChildren (TWinControl)
 | GetChildrenRect (TControl)
 | GetChildrenRect (TWinControl)
pt | GetClientOrigin (TControl)
pt | GetClientOrigin (TWinControl)
pt | GetClientRect (TControl)
pt | GetClientRect (TWinControl)
pt | GetClientScrollOffset (TControl)
 | GetColorResolvingParent (TControl)
 | GetComObject (TComponent)
 | GetComponent (TComponent)
 | GetComponentCount (TComponent)
 | GetComponentIndex (TComponent)
pt | GetControlClassDefaultSize (TControl)
pt | GetControlClassDefaultSize (TCustomUpDown)
 | GetControlIndex (TWinControl)
pt | GetControlOrigin (TControl)
pt | GetControlOrigin (TWinControl)
pt | GetCursor (TControl)
 | GetDefaultColor (TControl)
pt | GetDefaultDockCaption (TControl)
 | GetDefaultHeight (TControl)
 | GetDefaultWidth (TControl)
pt | GetDeviceContext (TControl)
pt | GetDeviceContext (TWinControl)
 | GetDockCaption (TWinControl)
pt | GetDockEdge (TControl)
pt | GetDragImages (TControl)
pt | GetEnabled (TControl)
 | GetEnumerator (TComponent)
 | GetEnumeratorControls (TWinControl)
 | GetEnumeratorControlsReverse (TWinControl)
pt | GetFloating (TControl)
pt | GetFloatingDockSiteClass (TControl)
 | GetHashCode (TObject)
 | GetIDsOfNames (TComponent)
 | GetInterface (TObject)
 | GetInterfaceByStr (TObject)
 | GetInterfaceEntry (TObject)
 | GetInterfaceEntryByStr (TObject)
 | GetInterfaceTable (TObject)
 | GetInterfaceWeak (TObject)
pt | GetLogicalClientRect (TControl)
pt | GetMouseCapture (TControl)
pt | GetMouseCapture (TWinControl)
pt | GetMousePosFromMessage (TControl)
 | GetNamePath (TPersistent)
 | GetNamePath (TComponent)
 | GetOwner (TPersistent)
 | GetOwner (TComponent)
pt | GetPalette (TControl)
pt | GetParentBackground (TWinControl)
 | GetParentComponent (TComponent)
 | GetParentComponent (TControl)
pt | GetParentHandle (TWinControl)
pt | GetPopupMenu (TControl)
 | GetPreferredSize (TControl)
pt | GetPreferredSizeClientFrame (TWinControl)
 | GetRGBColorResolvingParent (TControl)
pt | GetScrolledClientRect (TControl)
 | GetSelectedChildAccessibleObject (TControl)
 | GetSidePosition (TControl)
pt | GetSiteInfo (TWinControl)
 | GetTabOrderList (TWinControl)
 | GetTextBuf (TControl)
 | GetTextLen (TControl)
 | GetTextLen (TWinControl)
 | GetTopParent (TControl)
pt | GetTopParentHandle (TWinControl)
 | GetTypeInfo (TComponent)
 | GetTypeInfoCount (TComponent)
pt | GetWSComponentClass (TLCLComponent)
 | HandleAllocated (TWinControl)
 | HandleNeeded (TWinControl)
 | HandleObjectShouldBeVisible (TControl)
 | HasHelp (TControl)
 | HasParent (TComponent)
 | HasParent (TControl)
pt | HeightIsAnchored (TControl)
 | Hide (TControl)
 | iicrGetComponent (TComponent)
 | IncLCLRefCount (TLCLComponent)
 | InheritsFrom (TObject)
pt | InitializeWnd (TWinControl)
 | InitiateAction (TControl)
 | InitInstance (TObject)
 | Insert (TComponent)
 | InsertComponent (TComponent)
 | InsertControl (TWinControl)
 | InstanceSize (TObject)
 | IntfGetDropFilesTarget (TWinControl)
 | IntfUTF8KeyPress (TWinControl)
 | Invalidate (TControl)
 | Invalidate (TWinControl)
pt | InvalidateBoundsRealized (TWinControl)
 | InvalidateClientRectCache (TWinControl)
pt | InvalidateControl (TControl)
pt | InvalidatePreferredChildSizes (TWinControl)
 | InvalidatePreferredSize (TControl)
 | Invoke (TComponent)
pt | IsAParentAligning (TControl)
pt | IsBorderSpacingInnerBorderStored (TControl)
pt | IsCaptionStored (TControl)
pt | IsClientHeightStored (TControl)
pt | IsClientHeightStored (TWinControl)
pt | IsClientWidthStored (TControl)
pt | IsClientWidthStored (TWinControl)
pt | IsControlMouseMsg (TWinControl)
 | IsControlVisible (TControl)
 | IsEnabled (TControl)
 | IsImplementorOf (TComponent)
 | IsParentColor (TControl)
 | IsParentFont (TControl)
 | IsParentOf (TControl)
 | IsProcessingPaintMsg (TControl)
 | IsRightToLeft (TControl)
 | IsVisible (TControl)
pt | KeyDown (TWinControl)
pt | KeyDownAfterInterface (TWinControl)
pt | KeyDownBeforeInterface (TWinControl)
pt | KeyPress (TWinControl)
pt | KeyUp (TWinControl)
pt | KeyUpAfterInterface (TWinControl)
pt | KeyUpBeforeInterface (TWinControl)
pt | LMCaptureChanged (TControl)
 | Loaded (TComponent)
pt | Loaded (TControl)
pt | Loaded (TWinControl)
pt | LoadedAll (TControl)
 | Loading (TComponent)
 | LockRealizeBounds (TWinControl)
pt | MainWndProc (TWinControl)
 | ManualDock (TControl)
 | ManualFloat (TControl)
 | MethodAddress (TObject)
 | MethodName (TObject)
pt | MouseDown (TControl)
pt | MouseEnter (TControl)
pt | MouseLeave (TControl)
pt | MouseMove (TControl)
pt | MouseUp (TControl)
 | newinstance (TObject)
 | NewInstance (TLCLComponent)
 | Notification (TComponent)
pt | Notification (TControl)
pt | Notification (TCustomUpDown)
 | NotifyControls (TWinControl)
pt | OnAssociateChangeBounds (TCustomUpDown)
pt | OnAssociateChangeEnabled (TCustomUpDown)
pt | OnAssociateChangeVisible (TCustomUpDown)
pt | Paint (TCustomControl)
pt | PaintControls (TWinControl)
pt | PaintHandler (TWinControl)
 | PaintTo (TWinControl)
pt | PaintWindow (TWinControl)
pt | PaintWindow (TCustomControl)
 | PaletteCreated (TComponent)
 | ParentDestroyingHandle (TControl)
pt | ParentFontChanged (TControl)
pt | ParentFormHandleInitialized (TControl)
pt | ParentFormHandleInitialized (TWinControl)
 | ParentHandlesAllocated (TControl)
 | ParentHandlesAllocated (TWinControl)
 | ParentToClient (TControl)
 | Perform (TControl)
 | PerformTab (TWinControl)
pt | PositionDockRect (TControl)
pt | QuadClick (TControl)
 | QueryInterface (TComponent)
 | ReadLeft (TComponent)
 | ReadState (TComponent)
pt | ReadState (TControl)
 | ReadTop (TComponent)
pt | RealGetText (TControl)
pt | RealGetText (TWinControl)
 | ReAlign (TWinControl)
pt | RealizeBounds (TWinControl)
pt | RealizeBoundsRecursive (TWinControl)
pt | RealSetText (TControl)
pt | RealSetText (TWinControl)
 | ReferenceInterface (TComponent)
 | Refresh (TControl)
pt | ReloadDockedControl (TWinControl)
 | Remove (TComponent)
 | RemoveAllHandlersOfObject (TLCLComponent)
 | RemoveAllHandlersOfObject (TControl)
 | RemoveComponent (TComponent)
 | RemoveControl (TWinControl)
pt | RemoveFocus (TWinControl)
 | RemoveFreeNotification (TComponent)
pt | RemoveHandler (TControl)
 | RemoveHandlerOnBeforeDestruction (TControl)
 | RemoveHandlerOnChangeBounds (TControl)
 | RemoveHandlerOnEnableChanging (TControl)
 | RemoveHandlerOnKeyDown (TControl)
 | RemoveHandlerOnMouseWheel (TControl)
 | RemoveHandlerOnResize (TControl)
 | RemoveHandlerOnVisibleChanged (TControl)
 | RemoveHandlerOnVisibleChanging (TControl)
 | RemoveNotification (TComponent)
 | Repaint (TControl)
 | Repaint (TWinControl)
 | ReplaceDockedControl (TControl)
pt | RequestAlign (TControl)
pt | Resize (TControl)
 | SafeCallException (TObject)
 | SafeCallException (TComponent)
 | Scale96ToFont (TControl)
 | Scale96ToForm (TControl)
 | Scale96ToScreen (TControl)
 | ScaleBy (TWinControl)
pt | ScaleConstraints (TControl)
pt | ScaleControls (TWinControl)
 | ScaleDesignToForm (TControl)
 | ScaleFontsPPI (TControl)
 | ScaleFontTo96 (TControl)
 | ScaleFontToScreen (TControl)
 | ScaleFormTo96 (TControl)
 | ScaleFormToDesign (TControl)
 | ScaleScreenTo96 (TControl)
 | ScaleScreenToFont (TControl)
 | ScreenToClient (TControl)
 | ScreenToControl (TControl)
 | ScrollBy (TWinControl)
 | ScrollBy_WS (TWinControl)
pt | SelectFirst (TWinControl)
 | SelectNext (TWinControl)
pt | SendDialogChar (TWinControl)
pt | SendMoveSizeMessages (TControl)
pt | SendMoveSizeMessages (TWinControl)
 | SendToBack (TControl)
pt | SetAction (TControl)
pt | SetAlign (TControl)
 | SetAncestor (TComponent)
pt | SetAnchors (TControl)
pt | SetAutoSize (TControl)
pt | SetBiDiMode (TControl)
pt | SetBorderStyle (TWinControl)
 | SetBounds (TControl)
 | SetBounds (TWinControl)
 | SetBoundsKeepBase (TControl)
 | SetChildOrder (TComponent)
pt | SetChildZPosition (TWinControl)
pt | SetColor (TControl)
pt | SetColor (TWinControl)
pt | SetColor (TCustomControl)
 | SetComponentIndex (TComponent)
 | SetControlIndex (TWinControl)
pt | SetCursor (TControl)
 | SetDesigning (TComponent)
 | SetDesignInstance (TComponent)
pt | SetDockManager (TWinControl)
pt | SetDragMode (TControl)
pt | SetEnabled (TControl)
pt | SetEnabled (TCustomUpDown)
 | SetFocus (TWinControl)
pt | SetHint (TControl)
 | SetInitialBounds (TControl)
 | SetInline (TComponent)
 | SetName (TComponent)
pt | SetName (TControl)
pt | SetParent (TControl)
pt | SetParentBackground (TWinControl)
pt | SetParentBiDiMode (TControl)
 | SetParentComponent (TComponent)
pt | SetParentComponent (TControl)
 | SetReference (TComponent)
 | SetShape (TWinControl)
 | SetSubComponent (TComponent)
 | SetTempCursor (TControl)
 | SetTempCursor (TWinControl)
 | SetTextBuf (TControl)
pt | SetVisible (TControl)
pt | SetZOrder (TControl)
 | ShouldAutoAdjust (TControl)
 | Show (TControl)
pt | ShowControl (TWinControl)
 | ShowHelp (TControl)
 | StringMessageTable (TObject)
pt | TextChanged (TControl)
 | ToString (TObject)
pt | TripleClick (TControl)
 | UnitName (TObject)
 | UnlockRealizeBounds (TWinControl)
 | Update (TControl)
 | Update (TWinControl)
 | UpdateAction (TComponent)
pt | UpdateAnchorRules (TControl)
 | UpdateBaseBounds (TControl)
pt | UpdateControlState (TWinControl)
 | Updated (TComponent)
 | UpdateDockCaption (TWinControl)
pt | UpdateMouseCursor (TControl)
 | UpdateRegistry (TComponent)
 | UpdateRolesForForm (TControl)
pt | UpdateShowing (TWinControl)
 | Updating (TComponent)
 | UseRightToLeftAlignment (TControl)
 | UseRightToLeftReading (TControl)
 | UseRightToLeftScrollBar (TControl)
pt | UTF8KeyPress (TWinControl)
 | ValidateContainer (TComponent)
 | ValidateInsert (TComponent)
 | ValidateRename (TComponent)
pt | VisibleChanged (TControl)
pt | VisibleChanging (TControl)
pt | WidthIsAnchored (TControl)
pt | WMCancelMode (TControl)
pt | WMChar (TWinControl)
pt | WMContextMenu (TControl)
pt | WMContextMenu (TWinControl)
pt | WMDestroy (TWinControl)
pt | WMEnter (TWinControl)
pt | WMEraseBkgnd (TWinControl)
pt | WMExit (TWinControl)
pt | WMKeyDown (TWinControl)
pt | WMKeyUp (TWinControl)
pt | WMKillFocus (TWinControl)
pt | WMLButtonDBLCLK (TControl)
pt | WMLButtonDown (TControl)
pt | WMLButtonQuadCLK (TControl)
pt | WMLButtonTripleCLK (TControl)
pt | WMLButtonUp (TControl)
pt | WMMButtonDBLCLK (TControl)
pt | WMMButtonDown (TControl)
pt | WMMButtonQuadCLK (TControl)
pt | WMMButtonTripleCLK (TControl)
pt | WMMButtonUp (TControl)
pt | WMMouseHWheel (TControl)
pt | WMMouseMove (TControl)
pt | WMMouseWheel (TControl)
pt | WMMove (TControl)
pt | WMMove (TWinControl)
pt | WMNotify (TWinControl)
pt | WMPaint (TWinControl)
pt | WMPaint (TCustomControl)
pt | WMRButtonDBLCLK (TControl)
pt | WMRButtonDown (TControl)
pt | WMRButtonQuadCLK (TControl)
pt | WMRButtonTripleCLK (TControl)
pt | WMRButtonUp (TControl)
pt | WMSetFocus (TWinControl)
pt | WMShowWindow (TWinControl)
pt | WMSize (TControl)
pt | WMSize (TWinControl)
pt | WMSysChar (TWinControl)
pt | WMSysKeyDown (TWinControl)
pt | WMSysKeyUp (TWinControl)
pt | WMWindowPosChanged (TControl)
pt | WMWindowPosChanged (TWinControl)
pt | WMXButtonDBLCLK (TControl)
pt | WMXButtonDown (TControl)
pt | WMXButtonQuadCLK (TControl)
pt | WMXButtonTripleCLK (TControl)
pt | WMXButtonUp (TControl)
pt | WndProc (TControl)
pt | WndProc (TWinControl)
 | WriteLayoutDebugReport (TControl)
 | WriteLayoutDebugReport (TWinControl)
 | WriteLeft (TComponent)
 | WriteState (TComponent)
 | WriteTop (TComponent)
pt | WSRegisterClass (TLCLComponent)
pt | WSRegisterClass (TControl)
pt | WSRegisterClass (TWinControl)
pt | WSRegisterClass (TCustomControl)
pt | WSRegisterClass (TCustomUpDown)
pt | WSSetText (TWinControl)
 | _AddRef (TComponent)
 | _Release (TComponent)


TCustomUpDown
pt | OnChanging
pt | OnChangingEx
pt | OnClick
TCustomControl
 | OnPaint
TWinControl
pt | OnGetSiteInfo
pt | OnGetDockCaption
 | OnAlignInsertBefore
 | OnAlignPosition
 | OnDockDrop
 | OnDockOver
 | OnEnter
 | OnExit
 | OnKeyDown
 | OnKeyPress
 | OnKeyUp
 | OnUnDock
 | OnUTF8KeyPress
TControl
pt | OnConstrainedResize
pt | OnContextPopup
pt | OnDblClick
pt | OnTripleClick
pt | OnQuadClick
pt | OnDragDrop
pt | OnDragOver
pt | OnEndDock
pt | OnEndDrag
pt | OnMouseDown
pt | OnMouseMove
pt | OnMouseUp
pt | OnMouseEnter
pt | OnMouseLeave
pt | OnMouseWheel
pt | OnMouseWheelDown
pt | OnMouseWheelUp
pt | OnMouseWheelHorz
pt | OnMouseWheelLeft
pt | OnMouseWheelRight
pt | OnStartDock
pt | OnStartDrag
pt | OnEditingDone
 | OnChangeBounds
 | OnClick
 | OnResize
 | OnShowHint
TLCLComponent
TComponent
TPersistent
TObject


pt | OnChanging (TCustomUpDown)
pt | OnChangingEx (TCustomUpDown)
 | OnClick (TControl)
pt | OnClick (TCustomUpDown)
pt | OnConstrainedResize (TControl)
pt | OnContextPopup (TControl)
pt | OnDblClick (TControl)
 | OnDockDrop (TWinControl)
 | OnDockOver (TWinControl)
pt | OnDragDrop (TControl)
pt | OnDragOver (TControl)
pt | OnEditingDone (TControl)
pt | OnEndDock (TControl)
pt | OnEndDrag (TControl)
 | OnEnter (TWinControl)
 | OnExit (TWinControl)
pt | OnGetDockCaption (TWinControl)
pt | OnGetSiteInfo (TWinControl)
 | OnKeyDown (TWinControl)
 | OnKeyPress (TWinControl)
 | OnKeyUp (TWinControl)
pt | OnMouseDown (TControl)
pt | OnMouseEnter (TControl)
pt | OnMouseLeave (TControl)
pt | OnMouseMove (TControl)
pt | OnMouseUp (TControl)
pt | OnMouseWheel (TControl)
pt | OnMouseWheelDown (TControl)
pt | OnMouseWheelHorz (TControl)
pt | OnMouseWheelLeft (TControl)
pt | OnMouseWheelRight (TControl)
pt | OnMouseWheelUp (TControl)
 | OnPaint (TCustomControl)
pt | OnQuadClick (TControl)
 | OnResize (TControl)
 | OnShowHint (TControl)
pt | OnStartDock (TControl)
pt | OnStartDrag (TControl)
pt | OnTripleClick (TControl)
 | OnUnDock (TWinControl)
 | OnUTF8KeyPress (TWinControl)


TCustomUpDown.AlignButton

AlignButton - how to align the button: left or right

Declaration

Source position: comctrls.pp line 1933

protected property TCustomUpDown.AlignButton : TUDAlignButton
  read FAlignButton
  write SetAlignButton
  default udRight;


TCustomUpDown.ArrowKeys

ArrowKeys - if True, the control can be operated by the keyboard's arrow keys which would simulate a click on the Next or Previous button

Declaration

Source position: comctrls.pp line 1934

protected property TCustomUpDown.ArrowKeys : Boolean
  read FArrowKeys
  write SetArrowKeys
  default True;


TCustomUpDown.Associate

Associate - the associated control whose properties (controlled variable) are to be changed by the UpDown control

Declaration

Source position: comctrls.pp line 1935

protected property TCustomUpDown.Associate : TWinControl
  read FAssociate
  write SetAssociate;


TCustomUpDown.AssociateKeyDown

AssociateKeyDown - protected procedure for dealing with action to be taken if an associate key (Shift, Ctrl or Alt) is pressed while the control is active

Declaration

Source position: comctrls.pp line 1914

protected procedure TCustomUpDown.AssociateKeyDown(

  Sender: TObject;

  var Key: Word;

  ShiftState: TShiftState

);


TCustomUpDown.AssociateMouseWheel

Declaration

Source position: comctrls.pp line 1915

protected procedure TCustomUpDown.AssociateMouseWheel(

  Sender: TObject;

  Shift: TShiftState;

  WheelDelta: Integer;

  MousePos: TPoint;

  var Handled: Boolean

);


TCustomUpDown.CalculatePreferredSize

Declaration

Source position: comctrls.pp line 1927

protected procedure TCustomUpDown.CalculatePreferredSize(

  var PreferredWidth: Integer;

  var PreferredHeight: Integer;

  WithThemeSpace: Boolean

); override;


TCustomUpDown.CanChange

CanChange - if True, control can be changed

Declaration

Source position: comctrls.pp line 1929

protected function TCustomUpDown.CanChange: Boolean; virtual;


TCustomUpDown.Click

Click - calls OnClick event handler if it is assigned

Declaration

Source position: comctrls.pp line 1931

protected procedure TCustomUpDown.Click(

  Button: TUDBtnType

); virtual; overload;

See also

TControl.Click

Invokes the OnClick and ActionLink.Execute handlers.


TCustomUpDown.Create

Create - constructor for TCustomUpDown: calls inherited Create, initialises orientation, max and min, bounds, size and alignment

Declaration

Source position: comctrls.pp line 1949

public constructor TCustomUpDown.Create(

  AOwner: TComponent

); override;

See also

TComponent.Create

TCustomControl.Create


TCustomUpDown.Destroy

Destroy - destructor for TCustomUpDown: removes connection with associate control and calls inherited Destroy

Declaration

Source position: comctrls.pp line 1950

public destructor TCustomUpDown.Destroy; override;

See also

TComponent.Destroy

TCustomControl.Destroy


TCustomUpDown.DoMouseWheelDown

Declaration

Source position: comctrls.pp line 1920

protected function TCustomUpDown.DoMouseWheelDown(

  Shift: TShiftState;

  MousePos: TPoint

):Boolean; override;


TCustomUpDown.DoMouseWheelLeft

Declaration

Source position: comctrls.pp line 1922

protected function TCustomUpDown.DoMouseWheelLeft(

  Shift: TShiftState;

  MousePos: TPoint

):Boolean; override;


TCustomUpDown.DoMouseWheelRight

Declaration

Source position: comctrls.pp line 1923

protected function TCustomUpDown.DoMouseWheelRight(

  Shift: TShiftState;

  MousePos: TPoint

):Boolean; override;


TCustomUpDown.DoMouseWheelUp

Declaration

Source position: comctrls.pp line 1921

protected function TCustomUpDown.DoMouseWheelUp(

  Shift: TShiftState;

  MousePos: TPoint

):Boolean; override;


TCustomUpDown.DoSetBounds

Declaration

Source position: comctrls.pp line 1924

protected procedure TCustomUpDown.DoSetBounds(

  ALeft: Integer;

  ATop: Integer;

  AWidth: Integer;

  AHeight: Integer

); override;


TCustomUpDown.Flat

Declaration

Source position: comctrls.pp line 1946

protected property TCustomUpDown.Flat : Boolean
  read GetFlat
  write SetFlat
  default False;


TCustomUpDown.GetControlClassDefaultSize

GetControlClassDefaultSize returns its own defaults, overriding inherited values

Declaration

Source position: comctrls.pp line 1926

protected class function TCustomUpDown.GetControlClassDefaultSize: TSize; override;

See also

TControl.GetControlClassDefaultSize

Returns the default size for this class of controls (when added to a form).


TCustomUpDown.Increment

The amount by which the controlled variable is to be increased or decreased on each click

Declaration

Source position: comctrls.pp line 1936

protected property TCustomUpDown.Increment : Integer
  read FIncrement
  write SetIncrement
  default 1;


TCustomUpDown.Max

Max - greatest value of controlled variable

Declaration

Source position: comctrls.pp line 1937

protected property TCustomUpDown.Max : SmallInt
  read FMax
  write SetMax
  default 100;


TCustomUpDown.Min

Min - least value of controlled variable

Declaration

Source position: comctrls.pp line 1938

protected property TCustomUpDown.Min : SmallInt
  read FMin
  write SetMin;


TCustomUpDown.MinRepeatInterval

Declaration

Source position: comctrls.pp line 1939

protected property TCustomUpDown.MinRepeatInterval : Byte
  read FMinRepeatInterval
  write SetMinRepeatInterval
  default 100;


TCustomUpDown.Notification

Notification calls inherited method; if the operation requires removal of the associate control, this is performed

Declaration

Source position: comctrls.pp line 1930

protected procedure TCustomUpDown.Notification(

  AComponent: TComponent;

  Operation: TOperation

); override;

See also

TControl.Notification

Notification handler for insertion or deletion of components.


TCustomUpDown.OnAssociateChangeBounds

OnAssociateChangeBounds - event handler for a change in bounds of the associate control

Declaration

Source position: comctrls.pp line 1917

protected procedure TCustomUpDown.OnAssociateChangeBounds(

  Sender: TObject

);


TCustomUpDown.OnAssociateChangeEnabled

Declaration

Source position: comctrls.pp line 1918

protected procedure TCustomUpDown.OnAssociateChangeEnabled(

  Sender: TObject

);


TCustomUpDown.OnAssociateChangeVisible

Declaration

Source position: comctrls.pp line 1919

protected procedure TCustomUpDown.OnAssociateChangeVisible(

  Sender: TObject

);


TCustomUpDown.OnChanging

OnChanging - event handler for a change in the value of the controlled variable

Declaration

Source position: comctrls.pp line 1940

protected property TCustomUpDown.OnChanging : TUDChangingEvent
  read FOnChanging
  write FOnChanging;


TCustomUpDown.OnChangingEx

Declaration

Source position: comctrls.pp line 1941

protected property TCustomUpDown.OnChangingEx : TUDChangingEventEx
  read FOnChangingEx
  write FOnChangingEx;


TCustomUpDown.OnClick

OnClick - special event handler for a click on up or down button

Declaration

Source position: comctrls.pp line 1942

protected property TCustomUpDown.OnClick : TUDClickEvent
  read FOnClick
  write FOnClick;

Description

OnClick - special event handler for a click on up or down button

The event handler must determine whether the [next] or [prev] button was clicked and therefore whether to increment or decrement the controlled variable and adjust the display


TCustomUpDown.Orientation

Whether horizontal or vertical

Declaration

Source position: comctrls.pp line 1943

protected property TCustomUpDown.Orientation : TUDOrientation
  read FOrientation
  write SetOrientation
  default udVertical;


TCustomUpDown.Position

The Position of the UpDown control

Declaration

Source position: comctrls.pp line 1944

protected property TCustomUpDown.Position : SmallInt
  read GetPosition
  write SetPosition;


TCustomUpDown.SetEnabled

Declaration

Source position: comctrls.pp line 1925

protected procedure TCustomUpDown.SetEnabled(

  Value: Boolean

); override;


TCustomUpDown.Thousands

If True, multiply all displayed values and the Increment by 1000

Declaration

Source position: comctrls.pp line 1945

protected property TCustomUpDown.Thousands : Boolean
  read FThousands
  write SetThousands
  default True;


TCustomUpDown.Wrap

If True, displayed control or value starts again from minimum or maximum value if clicking a button would cause incrementing or decrmenting beyond the extreme value

Declaration

Source position: comctrls.pp line 1947

protected property TCustomUpDown.Wrap : Boolean
  read FWrap
  write SetWrap
  default False;


THeaderControl

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

THeaderControl, a header strip of user-designed sections which allow selection of pages or actions

Declaration

Source position: comctrls.pp line 4004

type THeaderControl = class(TCustomHeaderControl)
published
property Align: TAlign; | Specifies the placement of the control inside its Parent.
property Anchors: TAnchors; | The set of anchor definitions for this control.
property BiDiMode: TBiDiMode; | Customization (of text controls) in bidirectional reading environments.
property BorderWidth: TBorderWidth; | Width of the Border around the control; default is zero.
property BorderSpacing: TControlBorderSpacing;
property DragCursor: TCursor; | The cursor shape shown while the control is dragged.
property DragKind: TDragKind; | The operation when the control is dragged - Drag or Dock.
property DragMode: TDragMode; | Allows the user to drag the control.
property Enabled: Boolean; | Determines whether the control reacts on mouse or keyboard input.
property Font: TFont; | The font to be used for text display in this control.
property Images: TCustomImageList; | Images - the list of Images available for selection using this tool
property ImagesWidth: Integer;
property Constraints: TSizeConstraints; | The minimal and maximal Width and Height of this control.
property Sections: THeaderSections; | Sections - the short segments of the header separated by vertical bars that function as the elementary selection units of the header
property ShowHint: Boolean; | Enables the Hint display.
property ParentBiDiMode: Boolean; | Allows to use the BiDiMode settings of Parent. Default is true.
property ParentFont: Boolean; | If true, the Font of the control will be the same as the one from the Parent. Default is true.
property ParentShowHint: Boolean; | If true, the value of ShowHint for the control will be the same as the one from the Parent. Default is true.
property PopupMenu: TPopupMenu; | A context-sensitive menu that pops up when the right mouse button is clicked over this control
property Visible: Boolean; | Allows to show or hide the control, and all of its children.
property OnContextPopup: TContextPopupEvent; | Invoked when a context-sensitive pop-up menu is requested.
property OnCreateSectionClass: TCustomHCCreateSectionClassEvent; | OnCreateSectionClass - event handler for creating a new section class
property OnDragDrop: TDragDropEvent; | This handler determines the action on an drop onto this control, in a drag-drop operation.
property OnDragOver: TDragOverEvent; | Event handler for a control being dragged over this control.
property OnEndDock: TEndDragEvent; | Notification handler for the end of a docking operation.
property OnEndDrag: TEndDragEvent; | Notification handler for the end of a dragging operation.
property OnMouseDown: TMouseEvent; | Event handler for mouse button going down.
property OnMouseEnter: TNotifyEvent; | Event handler for mouse entering the area of the control.
property OnMouseLeave: TNotifyEvent; | Event handler for mouse leaving the area of the control.
property OnMouseMove: TMouseMoveEvent; | Event handler for mouse movement within the control.
property OnMouseUp: TMouseEvent; | Event handler for mouse button going up.
property OnMouseWheel: TMouseWheelEvent;
property OnMouseWheelDown: TMouseWheelUpDownEvent;
property OnMouseWheelUp: TMouseWheelUpDownEvent;
property OnMouseWheelHorz: TMouseWheelEvent;
property OnMouseWheelLeft: TMouseWheelUpDownEvent;
property OnMouseWheelRight: TMouseWheelUpDownEvent;
property OnResize: TNotifyEvent; | Notification handler for a resize of the control.
property OnSectionClick: TCustomSectionNotifyEvent; | OnSectionClick - event handler for mouse click on this section of header
property OnSectionResize: TCustomSectionNotifyEvent; | OnSectionResize - event handler for re-sizing this section of the header
property OnSectionTrack: TCustomSectionTrackEvent; | OnSectionTrack - event handler for tracking this section
end;

Inheritance

THeaderControl | THeaderControl, a header strip of user-designed sections which allow selection of pages or actions
|
TCustomHeaderControl | TCustomHeaderControl - base class for THeaderControl, a header strip of user-designed sections which allow selection of pages or actions
|
TCustomControl | The base class for windowed controls which paint themselves.
|
TWinControl | The base class for controls which can contain other (child) controls.
|
TControl | The base class for visible controls.
|
TLCLComponent | The base class for LCL components associated with widgets.
|
TComponent,IUnknown,IInterfaceComponentReference
|
TPersistent,IFPObserved
|
TObject

Description

THeaderControl, a header strip of user-designed sections which allow selection of pages or actions

THeaderControl offers a widget that could be placed along the edge of a Panel or Form allowing a highly customised mechanism for selection. However there are no intrinsically associated display areas and it is the developer's responsibility to supply an index associated with the selection from the THeaderControl and determine what action is to occur or what is to be displayed in any attached Panel or Form.

THeaderControl is used by selecting its icon from the Common Controls tab of the IDE Component Palette and placing it on the Form in the desired position. It may be convenient to dock it with a Form or Panel whose properties it is to be used for controlling.

After size, position, docking, alignment, anchoring etc have been performed using the Object Inspector or Form Designer, the Sections of the Header can be created by selecting the control, right-clicking with the mouse and choosing 'Section Editor'. A Stringlist editor will pop up with options to add, delete or move entries up or down the list. Each entry is given an Index which can be used in OnClick event handlers to determine the action to be taken when that section is selected at run-time.

See also

Multi-PageControls

Multi-PageControls - controls that offer a selection of alternative pages for display


THeaderControl
pl | ro | Align
pl | ro | Anchors
pl | ro | BiDiMode
pl | ro | BorderWidth
pl | ro | BorderSpacing
pl | ro | DragCursor
pl | ro | DragKind
pl | ro | DragMode
pl | ro | Enabled
pl | ro | Font
pl | ro | Images
pl | ro | ImagesWidth
pl | ro | Constraints
pl | ro | Sections
pl | ro | ShowHint
pl | ro | ParentBiDiMode
pl | ro | ParentFont
pl | ro | ParentShowHint
pl | ro | PopupMenu
pl | ro | Visible
TCustomHeaderControl
 | ro | SectionFromOriginalIndex
pl |  | DragReorder
pl |  | Images
pl |  | ImagesWidth
pl |  | Sections
TCustomControl
 |  | Canvas
 | ro | BorderStyle
TWinControl
pt |  | WindowHandle
pt |  | BorderStyle
pt |  | ParentBackground
 |  | BorderWidth
 | ro | BoundsLockCount
 | ro | Brush
 | ro | CachedClientHeight
 | ro | CachedClientWidth
 |  | ChildSizing
 | ro | ControlCount
 | ro | Controls
 |  | DefWndProc
 | ro | DockClientCount
 | ro | DockClients
 |  | DockManager
 |  | DockSite
 |  | DoubleBuffered
 |  | Handle
 | ro | IsFlipped
 | ro | IsResizing
 |  | TabOrder
 |  | TabStop
 |  | ParentDoubleBuffered
 |  | ParentWindow
 | ro | Showing
 |  | UseDockManager
 |  | DesignerDeleting
 | ro | VisibleDockClientCount
TControl
pt | ro | AutoSizing
pt | ro | AutoSizingAll
pt | ro | AutoSizingLockCount
pt |  | ActionLink
pt |  | DesktopFont
pt |  | DragCursor
pt |  | DragKind
pt |  | DragMode
pt |  | MouseCapture
pt |  | ParentColor
pt |  | ParentFont
pt |  | ParentShowHint
pt |  | SessionProperties
pt |  | Text
 | ro | AnchoredControls
 | ro | BaseBounds
 | ro | ReadBounds
 | ro | BaseParentClientSize
 |  | AccessibleDescription
 |  | AccessibleValue
 |  | AccessibleRole
 |  | Action
 |  | Align
 |  | Anchors
 | ro | AnchorSide
 |  | AutoSize
 |  | BorderSpacing
 |  | BoundsRect
 |  | BoundsRectForNewParent
 |  | Caption
 |  | CaptureMouseButtons
 |  | ClientHeight
 | ro | ClientOrigin
 | ro | ClientRect
 |  | ClientWidth
 |  | Color
 |  | Constraints
 | ro | ControlOrigin
 |  | ControlState
 |  | ControlStyle
 |  | Enabled
 |  | Font
 |  | IsControl
 | ro | MouseEntered
 | ro | MouseInClient
 |  | Parent
 |  | PopupMenu
 |  | ShowHint
 |  | Visible
 |  | WindowProc
 |  | DockOrientation
 | ro | Floating
 |  | FloatingDockSiteClass
 |  | HostDockSite
 |  | LRDockWidth
 |  | TBDockHeight
 |  | UndockHeight
 |  | UndockWidth
 |  | BiDiMode
 |  | ParentBiDiMode
pl |  | AnchorSideLeft
pl |  | AnchorSideTop
pl |  | AnchorSideRight
pl |  | AnchorSideBottom
pl |  | Cursor
pl |  | Left
pl |  | Height
pl |  | Hint
pl |  | Top
pl |  | Width
pl |  | HelpType
pl |  | HelpKeyword
pl |  | HelpContext
TLCLComponent
 | ro | LCLRefCount
 | ro | WidgetSetClass
TComponent
 | ro | ComObject
 | ro | Components
 | ro | ComponentCount
 |  | ComponentIndex
 | ro | ComponentState
 | ro | ComponentStyle
 |  | DesignInfo
 | ro | Owner
 |  | VCLComObject
 |  | Name
 |  | Tag
TPersistent
TObject


 |  | AccessibleDescription (TControl)
 |  | AccessibleRole (TControl)
 |  | AccessibleValue (TControl)
 |  | Action (TControl)
pt |  | ActionLink (TControl)
 |  | Align (TControl)
pl | ro | Align (THeaderControl)
 | ro | AnchoredControls (TControl)
 |  | Anchors (TControl)
pl | ro | Anchors (THeaderControl)
 | ro | AnchorSide (TControl)
pl |  | AnchorSideBottom (TControl)
pl |  | AnchorSideLeft (TControl)
pl |  | AnchorSideRight (TControl)
pl |  | AnchorSideTop (TControl)
 |  | AutoSize (TControl)
pt | ro | AutoSizing (TControl)
pt | ro | AutoSizingAll (TControl)
pt | ro | AutoSizingLockCount (TControl)
 | ro | BaseBounds (TControl)
 | ro | BaseParentClientSize (TControl)
 |  | BiDiMode (TControl)
pl | ro | BiDiMode (THeaderControl)
 |  | BorderSpacing (TControl)
pl | ro | BorderSpacing (THeaderControl)
pt |  | BorderStyle (TWinControl)
 | ro | BorderStyle (TCustomControl)
 |  | BorderWidth (TWinControl)
pl | ro | BorderWidth (THeaderControl)
 | ro | BoundsLockCount (TWinControl)
 |  | BoundsRect (TControl)
 |  | BoundsRectForNewParent (TControl)
 | ro | Brush (TWinControl)
 | ro | CachedClientHeight (TWinControl)
 | ro | CachedClientWidth (TWinControl)
 |  | Canvas (TCustomControl)
 |  | Caption (TControl)
 |  | CaptureMouseButtons (TControl)
 |  | ChildSizing (TWinControl)
 |  | ClientHeight (TControl)
 | ro | ClientOrigin (TControl)
 | ro | ClientRect (TControl)
 |  | ClientWidth (TControl)
 |  | Color (TControl)
 | ro | ComObject (TComponent)
 | ro | ComponentCount (TComponent)
 |  | ComponentIndex (TComponent)
 | ro | Components (TComponent)
 | ro | ComponentState (TComponent)
 | ro | ComponentStyle (TComponent)
 |  | Constraints (TControl)
pl | ro | Constraints (THeaderControl)
 | ro | ControlCount (TWinControl)
 | ro | ControlOrigin (TControl)
 | ro | Controls (TWinControl)
 |  | ControlState (TControl)
 |  | ControlStyle (TControl)
pl |  | Cursor (TControl)
 |  | DefWndProc (TWinControl)
 |  | DesignerDeleting (TWinControl)
 |  | DesignInfo (TComponent)
pt |  | DesktopFont (TControl)
 | ro | DockClientCount (TWinControl)
 | ro | DockClients (TWinControl)
 |  | DockManager (TWinControl)
 |  | DockOrientation (TControl)
 |  | DockSite (TWinControl)
 |  | DoubleBuffered (TWinControl)
pt |  | DragCursor (TControl)
pl | ro | DragCursor (THeaderControl)
pt |  | DragKind (TControl)
pl | ro | DragKind (THeaderControl)
pt |  | DragMode (TControl)
pl | ro | DragMode (THeaderControl)
pl |  | DragReorder (TCustomHeaderControl)
 |  | Enabled (TControl)
pl | ro | Enabled (THeaderControl)
 | ro | Floating (TControl)
 |  | FloatingDockSiteClass (TControl)
 |  | Font (TControl)
pl | ro | Font (THeaderControl)
 |  | Handle (TWinControl)
pl |  | Height (TControl)
pl |  | HelpContext (TControl)
pl |  | HelpKeyword (TControl)
pl |  | HelpType (TControl)
pl |  | Hint (TControl)
 |  | HostDockSite (TControl)
pl |  | Images (TCustomHeaderControl)
pl | ro | Images (THeaderControl)
pl |  | ImagesWidth (TCustomHeaderControl)
pl | ro | ImagesWidth (THeaderControl)
 |  | IsControl (TControl)
 | ro | IsFlipped (TWinControl)
 | ro | IsResizing (TWinControl)
 | ro | LCLRefCount (TLCLComponent)
pl |  | Left (TControl)
 |  | LRDockWidth (TControl)
pt |  | MouseCapture (TControl)
 | ro | MouseEntered (TControl)
 | ro | MouseInClient (TControl)
 |  | Name (TComponent)
 | ro | Owner (TComponent)
 |  | Parent (TControl)
pt |  | ParentBackground (TWinControl)
 |  | ParentBiDiMode (TControl)
pl | ro | ParentBiDiMode (THeaderControl)
pt |  | ParentColor (TControl)
 |  | ParentDoubleBuffered (TWinControl)
pt |  | ParentFont (TControl)
pl | ro | ParentFont (THeaderControl)
pt |  | ParentShowHint (TControl)
pl | ro | ParentShowHint (THeaderControl)
 |  | ParentWindow (TWinControl)
 |  | PopupMenu (TControl)
pl | ro | PopupMenu (THeaderControl)
 | ro | ReadBounds (TControl)
 | ro | SectionFromOriginalIndex (TCustomHeaderControl)
pl |  | Sections (TCustomHeaderControl)
pl | ro | Sections (THeaderControl)
pt |  | SessionProperties (TControl)
 |  | ShowHint (TControl)
pl | ro | ShowHint (THeaderControl)
 | ro | Showing (TWinControl)
 |  | TabOrder (TWinControl)
 |  | TabStop (TWinControl)
 |  | Tag (TComponent)
 |  | TBDockHeight (TControl)
pt |  | Text (TControl)
pl |  | Top (TControl)
 |  | UndockHeight (TControl)
 |  | UndockWidth (TControl)
 |  | UseDockManager (TWinControl)
 |  | VCLComObject (TComponent)
 |  | Visible (TControl)
pl | ro | Visible (THeaderControl)
 | ro | VisibleDockClientCount (TWinControl)
 | ro | WidgetSetClass (TLCLComponent)
pl |  | Width (TControl)
pt |  | WindowHandle (TWinControl)
 |  | WindowProc (TControl)


THeaderControl
TCustomHeaderControl
pt | CreateSection
pt | CreateSections
pt | Loaded
pt | Notification
pt | SectionClick
pt | SectionResize
pt | SectionTrack
pt | SectionSeparatorDblClick
pt | SectionEndDrag
pt | SectionDrag
pt | MouseEnter
pt | MouseLeave
pt | MouseDown
pt | MouseMove
pt | MouseUp
pt | UpdateState
pt | GetControlClassDefaultSize
pt | DoAutoAdjustLayout
 | Create
 | Destroy
 | Click
 | DblClick
 | GetSectionAt
 | Paint
 | PaintSection
 | ChangeScale
TCustomControl
pt | WSRegisterClass
pt | WMPaint
pt | DestroyWnd
pt | PaintWindow
pt | FontChanged
pt | SetColor
pt | Paint
 | Create
 | Destroy
TWinControl
pt | WSRegisterClass
pt | AdjustClientRect
pt | GetAdjustedLogicalClientRect
pt | AlignControls
pt | CustomAlignInsertBefore
pt | CustomAlignPosition
pt | DoAlignChildControls
pt | DoChildSizingChange
pt | InvalidatePreferredChildSizes
pt | CanTab
pt | IsClientHeightStored
pt | IsClientWidthStored
pt | DoSendShowHideToInterface
pt | ControlsAligned
pt | DoSendBoundsToInterface
pt | RealizeBounds
pt | RealizeBoundsRecursive
pt | InvalidateBoundsRealized
pt | CreateSubClass
pt | DoConstraintsChange
pt | DoSetBounds
pt | DoAutoSize
pt | DoAllAutoSize
pt | AllAutoSized
pt | CalculatePreferredSize
pt | GetPreferredSizeClientFrame
pt | GetChildren
pt | ChildClassAllowed
pt | PaintControls
pt | PaintHandler
pt | PaintWindow
pt | CreateBrush
pt | ScaleControls
pt | ChangeScale
pt | CMBiDiModeChanged
pt | CMBorderChanged
pt | CMDoubleBufferedChanged
pt | CMEnabledChanged
pt | CMParentDoubleBufferedChanged
pt | CMShowingChanged
pt | CMShowHintChanged
pt | CMVisibleChanged
pt | CMEnter
pt | CMExit
pt | WMContextMenu
pt | WMEraseBkgnd
pt | WMNotify
pt | WMSetFocus
pt | WMKillFocus
pt | WMShowWindow
pt | WMEnter
pt | WMExit
pt | WMKeyDown
pt | WMSysKeyDown
pt | WMKeyUp
pt | WMSysKeyUp
pt | WMChar
pt | WMSysChar
pt | WMPaint
pt | WMDestroy
pt | WMMove
pt | WMSize
pt | WMWindowPosChanged
pt | CNKeyDown
pt | CNSysKeyDown
pt | CNKeyUp
pt | CNSysKeyUp
pt | CNChar
pt | DoDragMsg
pt | DoDockClientMsg
pt | DoUndockClientMsg
pt | DoAddDockClient
pt | DockOver
pt | DoDockOver
pt | DoRemoveDockClient
pt | DoUnDock
pt | GetSiteInfo
pt | GetParentHandle
pt | GetTopParentHandle
pt | ReloadDockedControl
pt | CreateDockManager
pt | SetDockManager
pt | DoFloatMsg
pt | DoGetDockCaption
pt | DoEnter
pt | DoExit
pt | DoKeyDownBeforeInterface
pt | DoRemainingKeyDown
pt | DoRemainingKeyUp
pt | DoKeyPress
pt | DoUTF8KeyPress
pt | DoKeyUpBeforeInterface
pt | ChildKey
pt | SendDialogChar
pt | DialogChar
pt | ControlKeyDown
pt | ControlKeyUp
pt | KeyDown
pt | KeyDownBeforeInterface
pt | KeyDownAfterInterface
pt | KeyPress
pt | KeyUp
pt | KeyUpBeforeInterface
pt | KeyUpAfterInterface
pt | UTF8KeyPress
pt | FindNextControl
pt | SelectFirst
pt | RealGetText
pt | GetBorderStyle
pt | GetClientOrigin
pt | GetClientRect
pt | GetControlOrigin
pt | GetDeviceContext
pt | GetParentBackground
pt | IsControlMouseMsg
pt | CreateHandle
pt | CreateParams
pt | CreateWnd
pt | DestroyHandle
pt | DestroyWnd
pt | DoFlipChildren
pt | FinalizeWnd
pt | FixupTabList
pt | FontChanged
pt | InitializeWnd
pt | Loaded
pt | FormEndUpdated
pt | MainWndProc
pt | ParentFormHandleInitialized
pt | ChildHandlesCreated
pt | GetMouseCapture
pt | RealSetText
pt | RemoveFocus
pt | SendMoveSizeMessages
pt | SetBorderStyle
pt | SetColor
pt | SetChildZPosition
pt | SetParentBackground
pt | ShowControl
pt | UpdateControlState
pt | UpdateShowing
pt | WndProc
pt | WSSetText
 | AutoSizePhases
 | AutoSizeDelayed
 | AutoSizeDelayedReport
 | AutoSizeDelayedHandle
 | BeginUpdateBounds
 | EndUpdateBounds
 | LockRealizeBounds
 | UnlockRealizeBounds
 | ControlAtPos
 | ContainsControl
 | DoAdjustClientRectChange
 | InvalidateClientRectCache
 | ClientRectNeedsInterfaceUpdate
 | SetBounds
 | GetChildrenRect
 | DisableAlign
 | EnableAlign
 | ReAlign
 | ScrollBy_WS
 | ScrollBy
 | WriteLayoutDebugReport
 | AutoAdjustLayout
 | Create
 | CreateParented
 | CreateParentedControl
 | Destroy
 | DockDrop
 | CanFocus
 | CanSetFocus
 | GetControlIndex
 | SetControlIndex
 | Focused
 | PerformTab
 | FindChildControl
 | SelectNext
 | SetTempCursor
 | BroadCast
 | NotifyControls
 | DefaultHandler
 | GetTextLen
 | Invalidate
 | AddControl
 | InsertControl
 | RemoveControl
 | GetEnumeratorControls
 | GetEnumeratorControlsReverse
 | Repaint
 | Update
 | SetFocus
 | FlipChildren
 | ScaleBy
 | GetDockCaption
 | UpdateDockCaption
 | GetTabOrderList
 | HandleAllocated
 | ParentHandlesAllocated
 | HandleNeeded
 | BrushCreated
 | EraseBackground
 | IntfUTF8KeyPress
 | IntfGetDropFilesTarget
 | PaintTo
 | SetShape
TControl
pt | WSRegisterClass
pt | GetCursor
pt | SetCursor
pt | SetVisible
pt | DoOnParentHandleDestruction
pt | DoAutoSize
pt | DoAllAutoSize
pt | BeginAutoSizing
pt | EndAutoSizing
pt | AnchorSideChanged
pt | ForeignAnchorSideChanged
pt | SetAlign
pt | SetAnchors
pt | SetAutoSize
pt | BoundsChanged
pt | CreateControlBorderSpacing
pt | DoConstraintsChange
pt | DoBorderSpacingChange
pt | IsBorderSpacingInnerBorderStored
pt | IsCaptionStored
pt | SendMoveSizeMessages
pt | ConstrainedResize
pt | CalculatePreferredSize
pt | DoOnResize
pt | DoOnChangeBounds
pt | CheckOnChangeBounds
pt | Resize
pt | RequestAlign
pt | UpdateAnchorRules
pt | ChangeBounds
pt | DoSetBounds
pt | ScaleConstraints
pt | ChangeScale
pt | CanAutoSize
pt | SetBiDiMode
pt | SetParentBiDiMode
pt | IsAParentAligning
pt | GetClientOrigin
pt | GetClientRect
pt | GetLogicalClientRect
pt | GetScrolledClientRect
pt | GetClientScrollOffset
pt | GetControlOrigin
pt | IsClientHeightStored
pt | IsClientWidthStored
pt | WidthIsAnchored
pt | HeightIsAnchored
pt | WMCancelMode
pt | WMContextMenu
pt | WMLButtonDown
pt | WMRButtonDown
pt | WMMButtonDown
pt | WMXButtonDown
pt | WMLButtonDBLCLK
pt | WMRButtonDBLCLK
pt | WMMButtonDBLCLK
pt | WMXButtonDBLCLK
pt | WMLButtonTripleCLK
pt | WMRButtonTripleCLK
pt | WMMButtonTripleCLK
pt | WMXButtonTripleCLK
pt | WMLButtonQuadCLK
pt | WMRButtonQuadCLK
pt | WMMButtonQuadCLK
pt | WMXButtonQuadCLK
pt | WMMouseMove
pt | WMLButtonUp
pt | WMRButtonUp
pt | WMMButtonUp
pt | WMXButtonUp
pt | WMMouseWheel
pt | WMMouseHWheel
pt | WMMove
pt | WMSize
pt | WMWindowPosChanged
pt | CMChanged
pt | LMCaptureChanged
pt | CMBiDiModeChanged
pt | CMSysFontChanged
pt | CMEnabledChanged
pt | CMHitTest
pt | CMMouseEnter
pt | CMMouseLeave
pt | CMHintShow
pt | CMParentBiDiModeChanged
pt | CMParentColorChanged
pt | CMParentFontChanged
pt | CMParentShowHintChanged
pt | CMVisibleChanged
pt | CMTextChanged
pt | CMCursorChanged
pt | CalculateDockSizes
pt | CreateFloatingDockSite
pt | GetDockEdge
pt | GetDragImages
pt | GetFloating
pt | GetFloatingDockSiteClass
pt | BeforeDragStart
pt | BeginAutoDrag
pt | DoFloatMsg
pt | DockTrackNoTarget
pt | DoDock
pt | DoDragMsg
pt | DoEndDock
pt | DoEndDrag
pt | DoStartDock
pt | DoStartDrag
pt | DragCanceled
pt | DragOver
pt | PositionDockRect
pt | SetDragMode
pt | GetDefaultDockCaption
pt | Click
pt | DblClick
pt | TripleClick
pt | QuadClick
pt | GetMousePosFromMessage
pt | MouseDown
pt | MouseMove
pt | MouseUp
pt | MouseEnter
pt | MouseLeave
pt | DialogChar
pt | UpdateMouseCursor
pt | Changed
pt | GetPalette
pt | ChildClassAllowed
pt | ReadState
pt | Loaded
pt | LoadedAll
pt | DefineProperties
pt | AssignTo
pt | FormEndUpdated
pt | InvalidateControl
pt | FontChanged
pt | ParentFontChanged
pt | GetAction
pt | RealGetText
pt | RealSetText
pt | TextChanged
pt | GetCachedText
pt | SetAction
pt | SetColor
pt | SetEnabled
pt | SetHint
pt | SetName
pt | SetParent
pt | SetParentComponent
pt | WndProc
pt | ParentFormHandleInitialized
pt | GetMouseCapture
pt | CaptureChanged
pt | Notification
pt | CanTab
pt | GetDeviceContext
pt | GetEnabled
pt | GetPopupMenu
pt | DoOnShowHint
pt | DoMouseWheel
pt | DoMouseWheelDown
pt | DoMouseWheelUp
pt | DoMouseWheelHorz
pt | DoMouseWheelLeft
pt | DoMouseWheelRight
pt | VisibleChanging
pt | VisibleChanged
pt | EnabledChanging
pt | EnabledChanged
pt | AddHandler
pt | RemoveHandler
pt | DoCallNotifyHandler
pt | DoCallKeyEventHandler
pt | DoCallMouseWheelEventHandler
pt | DoContextPopup
pt | SetZOrder
pt | GetControlClassDefaultSize
pt | ColorIsStored
pt | DoAutoAdjustLayout
pt | DoFixDesignFontPPI
pt | DoScaleFontPPI
pt | GetActionLinkClass
pt | ActionChange
 | DragDrop
 | Dock
 | ManualDock
 | ManualFloat
 | ReplaceDockedControl
 | Docked
 | Dragging
 | GetAccessibleObject
 | CreateAccessibleObject
 | GetSelectedChildAccessibleObject
 | GetChildAccessibleObjectAtPos
 | ScaleDesignToForm
 | ScaleFormToDesign
 | Scale96ToForm
 | ScaleFormTo96
 | Scale96ToFont
 | ScaleFontTo96
 | ScaleScreenToFont
 | ScaleFontToScreen
 | Scale96ToScreen
 | ScaleScreenTo96
 | AdjustSize
 | AutoSizePhases
 | AutoSizeDelayed
 | AutoSizeDelayedReport
 | AutoSizeDelayedHandle
 | AnchorToNeighbour
 | AnchorParallel
 | AnchorHorizontalCenterTo
 | AnchorVerticalCenterTo
 | AnchorToCompanion
 | AnchorSame
 | AnchorAsAlign
 | AnchorClient
 | AnchoredControlCount
 | SetBounds
 | SetInitialBounds
 | SetBoundsKeepBase
 | GetPreferredSize
 | GetCanvasScaleFactor
 | GetDefaultWidth
 | GetDefaultHeight
 | GetDefaultColor
 | GetColorResolvingParent
 | GetRGBColorResolvingParent
 | GetSidePosition
 | CNPreferredSizeChanged
 | InvalidatePreferredSize
 | GetAnchorsDependingOnParent
 | DisableAutoSizing
 | EnableAutoSizing
 | UpdateBaseBounds
 | WriteLayoutDebugReport
 | AutoAdjustLayout
 | ShouldAutoAdjust
 | FixDesignFontsPPI
 | ScaleFontsPPI
 | Create
 | Destroy
 | BeforeDestruction
 | EditingDone
 | ExecuteDefaultAction
 | ExecuteCancelAction
 | BeginDrag
 | EndDrag
 | BringToFront
 | HasParent
 | GetParentComponent
 | IsParentOf
 | GetTopParent
 | IsVisible
 | IsControlVisible
 | IsEnabled
 | IsParentColor
 | IsParentFont
 | FormIsUpdating
 | IsProcessingPaintMsg
 | Hide
 | Refresh
 | Repaint
 | Invalidate
 | CheckChildClassAllowed
 | CheckNewParent
 | SendToBack
 | SetTempCursor
 | UpdateRolesForForm
 | ActiveDefaultControlChanged
 | GetTextBuf
 | GetTextLen
 | SetTextBuf
 | Perform
 | ScreenToClient
 | ClientToScreen
 | ScreenToControl
 | ControlToScreen
 | ClientToParent
 | ParentToClient
 | GetChildrenRect
 | Show
 | Update
 | HandleObjectShouldBeVisible
 | ParentDestroyingHandle
 | ParentHandlesAllocated
 | InitiateAction
 | ShowHelp
 | HasHelp
 | RemoveAllHandlersOfObject
 | AddHandlerOnResize
 | RemoveHandlerOnResize
 | AddHandlerOnChangeBounds
 | RemoveHandlerOnChangeBounds
 | AddHandlerOnVisibleChanging
 | RemoveHandlerOnVisibleChanging
 | AddHandlerOnVisibleChanged
 | RemoveHandlerOnVisibleChanged
 | AddHandlerOnEnabledChanged
 | RemoveHandlerOnEnableChanging
 | AddHandlerOnKeyDown
 | RemoveHandlerOnKeyDown
 | AddHandlerOnBeforeDestruction
 | RemoveHandlerOnBeforeDestruction
 | AddHandlerOnMouseWheel
 | RemoveHandlerOnMouseWheel
 | UseRightToLeftAlignment
 | UseRightToLeftReading
 | UseRightToLeftScrollBar
 | IsRightToLeft
TLCLComponent
pt | WSRegisterClass
pt | GetWSComponentClass
 | Create
 | Destroy
 | NewInstance
 | RemoveAllHandlersOfObject
 | IncLCLRefCount
 | DecLCLRefCount
TComponent
 | GetComObject
 | GetComponent
 | GetComponentCount
 | GetComponentIndex
 | Insert
 | ReadLeft
 | ReadTop
 | Remove
 | RemoveNotification
 | SetComponentIndex
 | SetReference
 | WriteLeft
 | WriteTop
 | ChangeName
 | DefineProperties
 | GetChildren
 | GetChildOwner
 | GetChildParent
 | GetOwner
 | Loaded
 | Loading
 | Notification
 | PaletteCreated
 | ReadState
 | SetAncestor
 | SetDesigning
 | SetDesignInstance
 | SetInline
 | SetName
 | SetChildOrder
 | SetParentComponent
 | Updating
 | Updated
 | UpdateRegistry
 | ValidateRename
 | ValidateContainer
 | ValidateInsert
 | QueryInterface
 | _AddRef
 | _Release
 | iicrGetComponent
 | GetTypeInfoCount
 | GetTypeInfo
 | GetIDsOfNames
 | Invoke
 | WriteState
 | Create
 | Destroy
 | BeforeDestruction
 | DestroyComponents
 | Destroying
 | ExecuteAction
 | FindComponent
 | FreeNotification
 | RemoveFreeNotification
 | FreeOnRelease
 | GetEnumerator
 | GetNamePath
 | GetParentComponent
 | HasParent
 | InsertComponent
 | RemoveComponent
 | SafeCallException
 | SetSubComponent
 | UpdateAction
 | IsImplementorOf
 | ReferenceInterface
TPersistent
 | AssignError
 | AssignTo
 | DefineProperties
 | GetOwner
 | Destroy
 | Assign
 | FPOAttachObserver
 | FPODetachObserver
 | FPONotifyObservers
 | GetNamePath
TObject
 | Create
 | Destroy
 | newinstance
 | FreeInstance
 | SafeCallException
 | DefaultHandler
 | Free
 | InitInstance
 | CleanupInstance
 | ClassType
 | ClassInfo
 | ClassName
 | ClassNameIs
 | ClassParent
 | InstanceSize
 | InheritsFrom
 | StringMessageTable
 | MethodAddress
 | MethodName
 | FieldAddress
 | AfterConstruction
 | BeforeDestruction
 | DefaultHandlerStr
 | Dispatch
 | DispatchStr
 | GetInterface
 | GetInterfaceByStr
 | GetInterfaceWeak
 | GetInterfaceEntry
 | GetInterfaceEntryByStr
 | GetInterfaceTable
 | UnitName
 | Equals
 | GetHashCode
 | ToString


THeaderControl
pl | ro | OnContextPopup
pl | ro | OnCreateSectionClass
pl | ro | OnDragDrop
pl | ro | OnDragOver
pl | ro | OnEndDock
pl | ro | OnEndDrag
pl | ro | OnMouseDown
pl | ro | OnMouseEnter
pl | ro | OnMouseLeave
pl | ro | OnMouseMove
pl | ro | OnMouseUp
pl | ro | OnMouseWheel
pl | ro | OnMouseWheelDown
pl | ro | OnMouseWheelUp
pl | ro | OnMouseWheelHorz
pl | ro | OnMouseWheelLeft
pl | ro | OnMouseWheelRight
pl | ro | OnResize
pl | ro | OnSectionClick
pl | ro | OnSectionResize
pl | ro | OnSectionTrack
TCustomHeaderControl
pl |  | OnSectionDrag
pl |  | OnSectionEndDrag
pl |  | OnSectionClick
pl |  | OnSectionResize
pl |  | OnSectionTrack
pl |  | OnSectionSeparatorDblClick
pl |  | OnCreateSectionClass
TCustomControl
 |  | OnPaint
TWinControl
pt |  | OnGetSiteInfo
pt |  | OnGetDockCaption
 |  | OnAlignInsertBefore
 |  | OnAlignPosition
 |  | OnDockDrop
 |  | OnDockOver
 |  | OnEnter
 |  | OnExit
 |  | OnKeyDown
 |  | OnKeyPress
 |  | OnKeyUp
 |  | OnUnDock
 |  | OnUTF8KeyPress
TControl
pt |  | OnConstrainedResize
pt |  | OnContextPopup
pt |  | OnDblClick
pt |  | OnTripleClick
pt |  | OnQuadClick
pt |  | OnDragDrop
pt |  | OnDragOver
pt |  | OnEndDock
pt |  | OnEndDrag
pt |  | OnMouseDown
pt |  | OnMouseMove
pt |  | OnMouseUp
pt |  | OnMouseEnter
pt |  | OnMouseLeave
pt |  | OnMouseWheel
pt |  | OnMouseWheelDown
pt |  | OnMouseWheelUp
pt |  | OnMouseWheelHorz
pt |  | OnMouseWheelLeft
pt |  | OnMouseWheelRight
pt |  | OnStartDock
pt |  | OnStartDrag
pt |  | OnEditingDone
 |  | OnChangeBounds
 |  | OnClick
 |  | OnResize
 |  | OnShowHint
TLCLComponent
TComponent
TPersistent
TObject


 |  | OnAlignInsertBefore (TWinControl)
 |  | OnAlignPosition (TWinControl)
 |  | OnChangeBounds (TControl)
 |  | OnClick (TControl)
pt |  | OnConstrainedResize (TControl)
pt |  | OnContextPopup (TControl)
pl | ro | OnContextPopup (THeaderControl)
pl |  | OnCreateSectionClass (TCustomHeaderControl)
pl | ro | OnCreateSectionClass (THeaderControl)
pt |  | OnDblClick (TControl)
 |  | OnDockDrop (TWinControl)
 |  | OnDockOver (TWinControl)
pt |  | OnDragDrop (TControl)
pl | ro | OnDragDrop (THeaderControl)
pt |  | OnDragOver (TControl)
pl | ro | OnDragOver (THeaderControl)
pt |  | OnEditingDone (TControl)
pt |  | OnEndDock (TControl)
pl | ro | OnEndDock (THeaderControl)
pt |  | OnEndDrag (TControl)
pl | ro | OnEndDrag (THeaderControl)
 |  | OnEnter (TWinControl)
 |  | OnExit (TWinControl)
pt |  | OnGetDockCaption (TWinControl)
pt |  | OnGetSiteInfo (TWinControl)
 |  | OnKeyDown (TWinControl)
 |  | OnKeyPress (TWinControl)
 |  | OnKeyUp (TWinControl)
pt |  | OnMouseDown (TControl)
pl | ro | OnMouseDown (THeaderControl)
pt |  | OnMouseEnter (TControl)
pl | ro | OnMouseEnter (THeaderControl)
pt |  | OnMouseLeave (TControl)
pl | ro | OnMouseLeave (THeaderControl)
pt |  | OnMouseMove (TControl)
pl | ro | OnMouseMove (THeaderControl)
pt |  | OnMouseUp (TControl)
pl | ro | OnMouseUp (THeaderControl)
pt |  | OnMouseWheel (TControl)
pl | ro | OnMouseWheel (THeaderControl)
pt |  | OnMouseWheelDown (TControl)
pl | ro | OnMouseWheelDown (THeaderControl)
pt |  | OnMouseWheelHorz (TControl)
pl | ro | OnMouseWheelHorz (THeaderControl)
pt |  | OnMouseWheelLeft (TControl)
pl | ro | OnMouseWheelLeft (THeaderControl)
pt |  | OnMouseWheelRight (TControl)
pl | ro | OnMouseWheelRight (THeaderControl)
pt |  | OnMouseWheelUp (TControl)
pl | ro | OnMouseWheelUp (THeaderControl)
 |  | OnPaint (TCustomControl)
pt |  | OnQuadClick (TControl)
 |  | OnResize (TControl)
pl | ro | OnResize (THeaderControl)
pl |  | OnSectionClick (TCustomHeaderControl)
pl | ro | OnSectionClick (THeaderControl)
pl |  | OnSectionDrag (TCustomHeaderControl)
pl |  | OnSectionEndDrag (TCustomHeaderControl)
pl |  | OnSectionResize (TCustomHeaderControl)
pl | ro | OnSectionResize (THeaderControl)
pl |  | OnSectionSeparatorDblClick (TCustomHeaderControl)
pl |  | OnSectionTrack (TCustomHeaderControl)
pl | ro | OnSectionTrack (THeaderControl)
 |  | OnShowHint (TControl)
pt |  | OnStartDock (TControl)
pt |  | OnStartDrag (TControl)
pt |  | OnTripleClick (TControl)
 |  | OnUnDock (TWinControl)
 |  | OnUTF8KeyPress (TWinControl)


THeaderControl.BorderSpacing

Declaration

Source position: comctrls.pp line 4010

published property THeaderControl.BorderSpacing : TControlBorderSpacing;


THeaderControl.ImagesWidth

Declaration

Source position: comctrls.pp line 4017

published property THeaderControl.ImagesWidth : Integer;


THeaderControl.OnMouseWheel

Declaration

Source position: comctrls.pp line 4038

published property THeaderControl.OnMouseWheel : TMouseWheelEvent;


THeaderControl.OnMouseWheelDown

Declaration

Source position: comctrls.pp line 4039

published property THeaderControl.OnMouseWheelDown : TMouseWheelUpDownEvent;


THeaderControl.OnMouseWheelHorz

Declaration

Source position: comctrls.pp line 4041

published property THeaderControl.OnMouseWheelHorz : TMouseWheelEvent;


THeaderControl.OnMouseWheelLeft

Declaration

Source position: comctrls.pp line 4042

published property THeaderControl.OnMouseWheelLeft : TMouseWheelUpDownEvent;


THeaderControl.OnMouseWheelRight

Declaration

Source position: comctrls.pp line 4043

published property THeaderControl.OnMouseWheelRight : TMouseWheelUpDownEvent;


THeaderControl.OnMouseWheelUp

Declaration

Source position: comctrls.pp line 4040

published property THeaderControl.OnMouseWheelUp : TMouseWheelUpDownEvent;


THeaderSection

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

THeaderSection - the individual sections of a THeaderControl, each of which can be used to control its own option, selection etc

Declaration

Source position: comctrls.pp line 3841

type THeaderSection = class(TCollectionItem)
protected
function GetDisplayName; override;
public
constructor Create(); override; | - constructor for THeaderSection: calls inherited Create then initialises state, visibility, alignment, size and Index
procedure Assign(); override; | Assign - if Source is of correct type, copies properties directly, otherwise calls inherited Assign which probably raises an exception
property Left: Integer; [r] | The position of the left boundary of the section
property Right: Integer; [r] | The position of the right boundary of the section
property State: THeaderSectionState; [rw] | State - whether normal, hot (i.e. mouse hovers over it ready to be selected) or pressed (selected)
published
property Alignment: TAlignment; [rw] | Alignment - whether text is to be left or right justified or centered
property ImageIndex: TImageIndex; [rw] | Index of the image in the imagelist
property MaxWidth: Integer; [rw] | Maximum permissable width of a section
property MinWidth: Integer; [rw] | Minimum permissable width of a section (default = 0)
property Text: TCaption; [rw] | The text string that is to appear in the section
property Width: Integer; [rw] | The Width of the section that appears on the THeaderControl
property Visible: Boolean; [rw] | Visible if True
property OriginalIndex: Integer; [r] | OriginalIndex - index which doesn't change when the user reorders the sections
end;

Inheritance

THeaderSection

THeaderSection - the individual sections of a THeaderControl, each of which can be used to control its own option, selection etc
|

TCollectionItem
|

TPersistent,IFPObserved
|

TObject


THeaderSection
 | ro | Left
 | ro | Right
 |  | State
pl |  | Alignment
pl |  | ImageIndex
pl |  | MaxWidth
pl |  | MinWidth
pl |  | Text
pl |  | Width
pl |  | Visible
pl | ro | OriginalIndex
TCollectionItem
 | ro | UpdateCount
 |  | Collection
 | ro | ID
 |  | Index
 |  | DisplayName
TPersistent
TObject


pl |  | Alignment (THeaderSection)
 |  | Collection (TCollectionItem)
 |  | DisplayName (TCollectionItem)
 | ro | ID (TCollectionItem)
pl |  | ImageIndex (THeaderSection)
 |  | Index (TCollectionItem)
 | ro | Left (THeaderSection)
pl |  | MaxWidth (THeaderSection)
pl |  | MinWidth (THeaderSection)
pl | ro | OriginalIndex (THeaderSection)
 | ro | Right (THeaderSection)
 |  | State (THeaderSection)
pl |  | Text (THeaderSection)
 | ro | UpdateCount (TCollectionItem)
pl |  | Visible (THeaderSection)
pl |  | Width (THeaderSection)


THeaderSection
pt | GetDisplayName
 | Create
 | Assign
TCollectionItem
 | GetIndex
 | SetCollection
 | Changed
 | GetOwner
 | GetDisplayName
 | SetIndex
 | SetDisplayName
 | Create
 | Destroy
 | GetNamePath
TPersistent
 | AssignError
 | AssignTo
 | DefineProperties
 | GetOwner
 | Destroy
 | Assign
 | FPOAttachObserver
 | FPODetachObserver
 | FPONotifyObservers
 | GetNamePath
TObject
 | Create
 | Destroy
 | newinstance
 | FreeInstance
 | SafeCallException
 | DefaultHandler
 | Free
 | InitInstance
 | CleanupInstance
 | ClassType
 | ClassInfo
 | ClassName
 | ClassNameIs
 | ClassParent
 | InstanceSize
 | InheritsFrom
 | StringMessageTable
 | MethodAddress
 | MethodName
 | FieldAddress
 | AfterConstruction
 | BeforeDestruction
 | DefaultHandlerStr
 | Dispatch
 | DispatchStr
 | GetInterface
 | GetInterfaceByStr
 | GetInterfaceWeak
 | GetInterfaceEntry
 | GetInterfaceEntryByStr
 | GetInterfaceTable
 | UnitName
 | Equals
 | GetHashCode
 | ToString


 | AssignError (TPersistent)
 | AssignTo (TPersistent)
 | BeforeDestruction (TObject)
 | Changed (TCollectionItem)
 | ClassInfo (TObject)
 | ClassName (TObject)
 | ClassNameIs (TObject)
 | ClassParent (TObject)
 | ClassType (TObject)
 | CleanupInstance (TObject)
 | Create (TObject)
 | Create (TCollectionItem)
 | Create (THeaderSection)
 | DefaultHandler (TObject)
 | DefaultHandlerStr (TObject)
 | DefineProperties (TPersistent)
 | Destroy (TObject)
 | Destroy (TPersistent)
 | Destroy (TCollectionItem)
 | Dispatch (TObject)
 | DispatchStr (TObject)
 | Equals (TObject)
 | FieldAddress (TObject)
 | FPOAttachObserver (TPersistent)
 | FPODetachObserver (TPersistent)
 | FPONotifyObservers (TPersistent)
 | Free (TObject)
 | FreeInstance (TObject)
 | GetDisplayName (TCollectionItem)
pt | GetDisplayName (THeaderSection)
 | GetHashCode (TObject)
 | GetIndex (TCollectionItem)
 | GetInterface (TObject)
 | GetInterfaceByStr (TObject)
 | GetInterfaceEntry (TObject)
 | GetInterfaceEntryByStr (TObject)
 | GetInterfaceTable (TObject)
 | GetInterfaceWeak (TObject)
 | GetNamePath (TPersistent)
 | GetNamePath (TCollectionItem)
 | GetOwner (TPersistent)
 | GetOwner (TCollectionItem)
 | InheritsFrom (TObject)
 | InitInstance (TObject)
 | InstanceSize (TObject)
 | MethodAddress (TObject)
 | MethodName (TObject)
 | newinstance (TObject)
 | SafeCallException (TObject)
 | SetCollection (TCollectionItem)
 | SetDisplayName (TCollectionItem)
 | SetIndex (TCollectionItem)
 | StringMessageTable (TObject)
 | ToString (TObject)
 | UnitName (TObject)


THeaderSection

TCollectionItem

TPersistent

TObject


THeaderSection.Alignment

Alignment - whether text is to be left or right justified or centered

Declaration

Source position: comctrls.pp line 3873

published property THeaderSection.Alignment : TAlignment
  read FAlignment
  write SetAlignment;


THeaderSection.Assign

Assign - if Source is of correct type, copies properties directly, otherwise calls inherited Assign which probably raises an exception

Declaration

Source position: comctrls.pp line 3868

public procedure THeaderSection.Assign(

  Source: TPersistent

); override;

See also

TPersistent.Assign


THeaderSection.Create

- constructor for THeaderSection: calls inherited Create then initialises state, visibility, alignment, size and Index

Declaration

Source position: comctrls.pp line 3867

public constructor THeaderSection.Create(

  ACollection: TCollection

); override;

See also

TCollectionItem.Create


THeaderSection.GetDisplayName

Declaration

Source position: comctrls.pp line 3865

protected function THeaderSection.GetDisplayName: string; override;


THeaderSection.ImageIndex

Index of the image in the imagelist

Declaration

Source position: comctrls.pp line 3874

published property THeaderSection.ImageIndex : TImageIndex
  read FImageIndex
  write SetImageIndex
  default - 1;


THeaderSection.Left

The position of the left boundary of the section

Declaration

Source position: comctrls.pp line 3869

public property THeaderSection.Left : Integer
  read GetLeft;


THeaderSection.MaxWidth

Maximum permissable width of a section

Declaration

Source position: comctrls.pp line 3875

published property THeaderSection.MaxWidth : Integer
  read FMaxWidth
  write SetMaxWidth
  default 10000;


THeaderSection.MinWidth

Minimum permissable width of a section (default = 0)

Declaration

Source position: comctrls.pp line 3876

published property THeaderSection.MinWidth : Integer
  read FMinWidth
  write SetMinWidth
  default 0;


THeaderSection.OriginalIndex

OriginalIndex - index which doesn't change when the user reorders the sections

Declaration

Source position: comctrls.pp line 3881

published property THeaderSection.OriginalIndex : Integer
  read FOriginalIndex;


THeaderSection.Right

The position of the right boundary of the section

Declaration

Source position: comctrls.pp line 3870

public property THeaderSection.Right : Integer
  read GetRight;


THeaderSection.State

State - whether normal, hot (i.e. mouse hovers over it ready to be selected) or pressed (selected)

Declaration

Source position: comctrls.pp line 3871

public property THeaderSection.State : THeaderSectionState
  read FState
  write SetState;


THeaderSection.Text

The text string that is to appear in the section

Declaration

Source position: comctrls.pp line 3877

published property THeaderSection.Text : TCaption
  read FText
  write SetText;


THeaderSection.Visible

Visible if True

Declaration

Source position: comctrls.pp line 3879

published property THeaderSection.Visible : Boolean
  read FVisible
  write SetVisible;


THeaderSection.Width

The Width of the section that appears on the THeaderControl

Declaration

Source position: comctrls.pp line 3878

published property THeaderSection.Width : Integer
  read GetWidth
  write SetWidth;


THeaderSectionClass

THeaderSectionClass - class of THeaderSection

Declaration

Source position: comctrls.pp line 3884

type THeaderSectionClass = class of THeaderSection;


THeaderSections

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

THeaderSections - a collection of Items ot type THeaderSection, the individual parts of a THeaderControl

Declaration

Source position: comctrls.pp line 3889

type THeaderSections = class(TCollection)
protected
function GetOwner; override; | GetOwner returns a HeaderControl, overriding inherited value
procedure Update(); override;
public
constructor Create();
function Add;
function AddItem(); | AddItem - adds a HeaderSection to the Header at the position specified by Index
function Insert();
procedure Delete();
property Items []: THeaderSection; default; [rw] | Items - the series of individual HeaderSections in the collection
end;

Inheritance

THeaderSections

THeaderSections - a collection of Items ot type THeaderSection, the individual parts of a THeaderControl
|

TCollection
|

TPersistent,IFPObserved
|

TObject


THeaderSections
 |  | Items
TCollection
 |  | PropName
 | ro | UpdateCount
 | ro | Count
 | ro | ItemClass
 |  | Items
TPersistent
TObject


ro | Count (TCollection)
ro | ItemClass (TCollection)
 | Items (TCollection)
 | Items (THeaderSections)
 | PropName (TCollection)
ro | UpdateCount (TCollection)


THeaderSections
pt | GetOwner
pt | Update
 | Create
 | Add
 | AddItem
 | Insert
 | Delete
TCollection
 | GetCount
 | GetPropName
 | InsertItem
 | RemoveItem
 | DoClear
 | GetAttrCount
 | GetAttr
 | GetItemAttr
 | Changed
 | GetItem
 | SetItem
 | SetItemName
 | SetPropName
 | Update
 | Notify
 | Create
 | Destroy
 | Owner
 | Add
 | Assign
 | BeginUpdate
 | Clear
 | EndUpdate
 | Delete
 | GetEnumerator
 | GetNamePath
 | Insert
 | FindItemID
 | Exchange
 | Sort
TPersistent
 | AssignError
 | AssignTo
 | DefineProperties
 | GetOwner
 | Destroy
 | Assign
 | FPOAttachObserver
 | FPODetachObserver
 | FPONotifyObservers
 | GetNamePath
TObject
 | Create
 | Destroy
 | newinstance
 | FreeInstance
 | SafeCallException
 | DefaultHandler
 | Free
 | InitInstance
 | CleanupInstance
 | ClassType
 | ClassInfo
 | ClassName
 | ClassNameIs
 | ClassParent
 | InstanceSize
 | InheritsFrom
 | StringMessageTable
 | MethodAddress
 | MethodName
 | FieldAddress
 | AfterConstruction
 | BeforeDestruction
 | DefaultHandlerStr
 | Dispatch
 | DispatchStr
 | GetInterface
 | GetInterfaceByStr
 | GetInterfaceWeak
 | GetInterfaceEntry
 | GetInterfaceEntryByStr
 | GetInterfaceTable
 | UnitName
 | Equals
 | GetHashCode
 | ToString


 | Add (TCollection)
 | Add (THeaderSections)
 | AddItem (THeaderSections)
 | AfterConstruction (TObject)
 | Assign (TPersistent)
 | Assign (TCollection)
 | AssignError (TPersistent)
 | AssignTo (TPersistent)
 | BeforeDestruction (TObject)
 | BeginUpdate (TCollection)
 | Changed (TCollection)
 | ClassInfo (TObject)
 | ClassName (TObject)
 | ClassNameIs (TObject)
 | ClassParent (TObject)
 | ClassType (TObject)
 | CleanupInstance (TObject)
 | Clear (TCollection)
 | Create (TObject)
 | Create (TCollection)
 | Create (THeaderSections)
 | DefaultHandler (TObject)
 | DefaultHandlerStr (TObject)
 | DefineProperties (TPersistent)
 | Delete (TCollection)
 | Delete (THeaderSections)
 | Destroy (TObject)
 | Destroy (TPersistent)
 | Destroy (TCollection)
 | Dispatch (TObject)
 | DispatchStr (TObject)
 | DoClear (TCollection)
 | EndUpdate (TCollection)
 | Equals (TObject)
 | Exchange (TCollection)
 | FieldAddress (TObject)
 | FindItemID (TCollection)
 | FPOAttachObserver (TPersistent)
 | FPODetachObserver (TPersistent)
 | FPONotifyObservers (TPersistent)
 | Free (TObject)
 | FreeInstance (TObject)
 | GetAttr (TCollection)
 | GetAttrCount (TCollection)
 | GetCount (TCollection)
 | GetEnumerator (TCollection)
 | GetHashCode (TObject)
 | GetInterface (TObject)
 | GetInterfaceByStr (TObject)
 | GetInterfaceEntry (TObject)
 | GetInterfaceEntryByStr (TObject)
 | GetInterfaceTable (TObject)
 | GetInterfaceWeak (TObject)
 | GetItem (TCollection)
 | GetItemAttr (TCollection)
 | GetNamePath (TPersistent)
 | GetNamePath (TCollection)
 | GetOwner (TPersistent)
pt | GetOwner (THeaderSections)
 | GetPropName (TCollection)
 | InheritsFrom (TObject)
 | InitInstance (TObject)
 | Insert (TCollection)
 | Insert (THeaderSections)
 | InsertItem (TCollection)
 | InstanceSize (TObject)
 | MethodAddress (TObject)
 | MethodName (TObject)
 | newinstance (TObject)
 | Notify (TCollection)
 | Owner (TCollection)
 | RemoveItem (TCollection)
 | SafeCallException (TObject)
 | SetItem (TCollection)
 | SetItemName (TCollection)
 | SetPropName (TCollection)
 | Sort (TCollection)
 | StringMessageTable (TObject)
 | ToString (TObject)
 | UnitName (TObject)
 | Update (TCollection)
pt | Update (THeaderSections)


THeaderSections

TCollection

TPersistent

TObject


THeaderSections.AddItem

AddItem - adds a HeaderSection to the Header at the position specified by Index

Declaration

Source position: comctrls.pp line 3900

public function THeaderSections.AddItem(

  Item: THeaderSection;

  Index: Integer

):THeaderSection;


THeaderSections.GetOwner

GetOwner returns a HeaderControl, overriding inherited value

Declaration

Source position: comctrls.pp line 3895

protected function THeaderSections.GetOwner: TPersistent; override;

See also

TPersistent.GetOwner


THeaderSections.Items

Items - the series of individual HeaderSections in the collection

Declaration

Source position: comctrls.pp line 3903

public property THeaderSections.Items[Index: Integer] : THeaderSection
  read GetItem
  write SetItem;
  default;


THeaderSectionState

THeaderSectionState - enumerated type containing possible selection states for header

Declaration

Source position: comctrls.pp line 3835

type THeaderSectionState = (

  hsNormal,

  hsHot,

  hsPressed

);


TIconOptions

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Declaration

Source position: comctrls.pp line 976

type TIconOptions = class(TPersistent)

protected

  procedure AssignTo(); override;

  function GetOwner; override;

public

  constructor Create();

published

  property Arrangement: TIconArrangement; [rw]

  property AutoArrange: Boolean; [rw]

  property WrapText: Boolean; [rw]

end;

Inheritance

TIconOptions
|

TPersistent,IFPObserved
|

TObject


TIconOptions
pl | Arrangement
pl | AutoArrange
pl | WrapText
TPersistent
TObject


pl | Arrangement (TIconOptions)
pl | AutoArrange (TIconOptions)
pl | WrapText (TIconOptions)


TIconOptions
pt | AssignTo
pt | GetOwner
 | Create
TPersistent
 | AssignError
 | AssignTo
 | DefineProperties
 | GetOwner
 | Destroy
 | Assign
 | FPOAttachObserver
 | FPODetachObserver
 | FPONotifyObservers
 | GetNamePath
TObject
 | Create
 | Destroy
 | newinstance
 | FreeInstance
 | SafeCallException
 | DefaultHandler
 | Free
 | InitInstance
 | CleanupInstance
 | ClassType
 | ClassInfo
 | ClassName
 | ClassNameIs
 | ClassParent
 | InstanceSize
 | InheritsFrom
 | StringMessageTable
 | MethodAddress
 | MethodName
 | FieldAddress
 | AfterConstruction
 | BeforeDestruction
 | DefaultHandlerStr
 | Dispatch
 | DispatchStr
 | GetInterface
 | GetInterfaceByStr
 | GetInterfaceWeak
 | GetInterfaceEntry
 | GetInterfaceEntryByStr
 | GetInterfaceTable
 | UnitName
 | Equals
 | GetHashCode
 | ToString


 | AssignError (TPersistent)
 | AssignTo (TPersistent)
pt | AssignTo (TIconOptions)
 | BeforeDestruction (TObject)
 | ClassInfo (TObject)
 | ClassName (TObject)
 | ClassNameIs (TObject)
 | ClassParent (TObject)
 | ClassType (TObject)
 | CleanupInstance (TObject)
 | Create (TObject)
 | Create (TIconOptions)
 | DefaultHandler (TObject)
 | DefaultHandlerStr (TObject)
 | DefineProperties (TPersistent)
 | Destroy (TObject)
 | Destroy (TPersistent)
 | Dispatch (TObject)
 | DispatchStr (TObject)
 | Equals (TObject)
 | FieldAddress (TObject)
 | FPOAttachObserver (TPersistent)
 | FPODetachObserver (TPersistent)
 | FPONotifyObservers (TPersistent)
 | Free (TObject)
 | FreeInstance (TObject)
 | GetHashCode (TObject)
 | GetInterface (TObject)
 | GetInterfaceByStr (TObject)
 | GetInterfaceEntry (TObject)
 | GetInterfaceEntryByStr (TObject)
 | GetInterfaceTable (TObject)
 | GetInterfaceWeak (TObject)
 | GetNamePath (TPersistent)
 | GetOwner (TPersistent)
pt | GetOwner (TIconOptions)
 | InheritsFrom (TObject)
 | InitInstance (TObject)
 | InstanceSize (TObject)
 | MethodAddress (TObject)
 | MethodName (TObject)
 | newinstance (TObject)
 | SafeCallException (TObject)
 | StringMessageTable (TObject)
 | ToString (TObject)
 | UnitName (TObject)


TIconOptions

TPersistent

TObject


TIconOptions.Arrangement

Declaration

Source position: comctrls.pp line 991

published property TIconOptions.Arrangement : TIconArrangement
  read FArrangement
  write SetArrangement
  default iaTop;


TIconOptions.AssignTo

Declaration

Source position: comctrls.pp line 986

protected procedure TIconOptions.AssignTo(

  Dest: TPersistent

); override;


TIconOptions.AutoArrange

Declaration

Source position: comctrls.pp line 992

published property TIconOptions.AutoArrange : Boolean
  read GetAutoArrange
  write SetAutoArrange
  default False;


TIconOptions.Create

Declaration

Source position: comctrls.pp line 989

public constructor TIconOptions.Create(

  AOwner: TCustomListView

);


TIconOptions.GetOwner

Declaration

Source position: comctrls.pp line 987

protected function TIconOptions.GetOwner: TPersistent; override;


TIconOptions.WrapText

Declaration

Source position: comctrls.pp line 993

published property TIconOptions.WrapText : Boolean
  read GetWrapText
  write SetWrapText
  default True;


TListColumn

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

TListColumn - an individual column in a multi-column List control

Declaration

Source position: comctrls.pp line 1191

type TListColumn = class(TCollectionItem)
protected
procedure SetIndex(); override; | SetIndex - calls inherited method and if this is a new index value, changes to the new column index
function GetDisplayName; override; | GetDisplayName returns the Caption; if this is blank, calls inherited method
function GetStoredWidth;
public
constructor Create(); override; | Create - constructor for TListColumn: calls inherited Create then sets defaults for size, alignment and index
destructor Destroy; override; | Destroy - destructor for TListColumn: if update allowed, updates columns then calls inherited Destroy
procedure Assign(); override; | Assign - if source is of correct type, copies alignment, caption, visibility and size properties, otherwise calls inherited Assign which probably raises an exception
property WidthType: TWidth; [r]
published
property Alignment: TAlignment; [rw] | Sets alignment of caption: text is left or right justified or centered.
property AutoSize: Boolean; [rw] | When other columns have fixed width, auto-calculate width of this column, to fill entire width.
property Caption: TTranslateString; [rw] | Caption text of column.
property ImageIndex: TImageIndex; [rw] | Index of icon, inside ImageList object for columns of Listview.
property MaxWidth: TWidth; [rw] | Maximal width for this column.
property MinWidth: TWidth; [rw] | Minimal width for this column.
property Tag: PtrInt; [rw] | Int value, to store some info for this column.
property Visible: Boolean; [rw] | Allow to show this column.
property Width: TWidth; [rw] | Current width of column. May be calculcated auto, if AutoSize used.
end;

Inheritance

TListColumn

TListColumn - an individual column in a multi-column List control
|

TCollectionItem
|

TPersistent,IFPObserved
|

TObject


TListColumn
 | ro | WidthType
pl |  | Alignment
pl |  | AutoSize
pl |  | Caption
pl |  | ImageIndex
pl |  | MaxWidth
pl |  | MinWidth
pl |  | Tag
pl |  | Visible
pl |  | Width
TCollectionItem
 | ro | UpdateCount
 |  | Collection
 | ro | ID
 |  | Index
 |  | DisplayName
TPersistent
TObject


pl |  | Alignment (TListColumn)
pl |  | AutoSize (TListColumn)
pl |  | Caption (TListColumn)
 |  | Collection (TCollectionItem)
 |  | DisplayName (TCollectionItem)
 | ro | ID (TCollectionItem)
pl |  | ImageIndex (TListColumn)
 |  | Index (TCollectionItem)
pl |  | MaxWidth (TListColumn)
pl |  | MinWidth (TListColumn)
pl |  | Tag (TListColumn)
 | ro | UpdateCount (TCollectionItem)
pl |  | Visible (TListColumn)
pl |  | Width (TListColumn)
 | ro | WidthType (TListColumn)


TListColumn
pt | SetIndex
pt | GetDisplayName
pt | GetStoredWidth
 | Create
 | Destroy
 | Assign
TCollectionItem
 | GetIndex
 | SetCollection
 | Changed
 | GetOwner
 | GetDisplayName
 | SetIndex
 | SetDisplayName
 | Create
 | Destroy
 | GetNamePath
TPersistent
 | AssignError
 | AssignTo
 | DefineProperties
 | GetOwner
 | Destroy
 | Assign
 | FPOAttachObserver
 | FPODetachObserver
 | FPONotifyObservers
 | GetNamePath
TObject
 | Create
 | Destroy
 | newinstance
 | FreeInstance
 | SafeCallException
 | DefaultHandler
 | Free
 | InitInstance
 | CleanupInstance
 | ClassType
 | ClassInfo
 | ClassName
 | ClassNameIs
 | ClassParent
 | InstanceSize
 | InheritsFrom
 | StringMessageTable
 | MethodAddress
 | MethodName
 | FieldAddress
 | AfterConstruction
 | BeforeDestruction
 | DefaultHandlerStr
 | Dispatch
 | DispatchStr
 | GetInterface
 | GetInterfaceByStr
 | GetInterfaceWeak
 | GetInterfaceEntry
 | GetInterfaceEntryByStr
 | GetInterfaceTable
 | UnitName
 | Equals
 | GetHashCode
 | ToString


 | AssignError (TPersistent)
 | AssignTo (TPersistent)
 | BeforeDestruction (TObject)
 | Changed (TCollectionItem)
 | ClassInfo (TObject)
 | ClassName (TObject)
 | ClassNameIs (TObject)
 | ClassParent (TObject)
 | ClassType (TObject)
 | CleanupInstance (TObject)
 | Create (TObject)
 | Create (TCollectionItem)
 | Create (TListColumn)
 | DefaultHandler (TObject)
 | DefaultHandlerStr (TObject)
 | DefineProperties (TPersistent)
 | Destroy (TObject)
 | Destroy (TPersistent)
 | Destroy (TCollectionItem)
 | Destroy (TListColumn)
 | Dispatch (TObject)
 | DispatchStr (TObject)
 | Equals (TObject)
 | FieldAddress (TObject)
 | FPOAttachObserver (TPersistent)
 | FPODetachObserver (TPersistent)
 | FPONotifyObservers (TPersistent)
 | Free (TObject)
 | FreeInstance (TObject)
 | GetDisplayName (TCollectionItem)
pt | GetDisplayName (TListColumn)
 | GetHashCode (TObject)
 | GetIndex (TCollectionItem)
 | GetInterface (TObject)
 | GetInterfaceByStr (TObject)
 | GetInterfaceEntry (TObject)
 | GetInterfaceEntryByStr (TObject)
 | GetInterfaceTable (TObject)
 | GetInterfaceWeak (TObject)
 | GetNamePath (TPersistent)
 | GetNamePath (TCollectionItem)
 | GetOwner (TPersistent)
 | GetOwner (TCollectionItem)
pt | GetStoredWidth (TListColumn)
 | InheritsFrom (TObject)
 | InitInstance (TObject)
 | InstanceSize (TObject)
 | MethodAddress (TObject)
 | MethodName (TObject)
 | newinstance (TObject)
 | SafeCallException (TObject)
 | SetCollection (TCollectionItem)
 | SetDisplayName (TCollectionItem)
 | SetIndex (TCollectionItem)
pt | SetIndex (TListColumn)
 | StringMessageTable (TObject)
 | ToString (TObject)
 | UnitName (TObject)


TListColumn

TCollectionItem

TPersistent

TObject


TListColumn.Alignment

Sets alignment of caption: text is left or right justified or centered.

Declaration

Source position: comctrls.pp line 1225

published property TListColumn.Alignment : TAlignment
  read FAlignment
  write SetAlignment
  default taLeftJustify;


TListColumn.Assign

Assign - if source is of correct type, copies alignment, caption, visibility and size properties, otherwise calls inherited Assign which probably raises an exception

Declaration

Source position: comctrls.pp line 1222

public procedure TListColumn.Assign(

  ASource: TPersistent

); override;

See also

TPersistent.Assign


TListColumn.AutoSize

When other columns have fixed width, auto-calculate width of this column, to fill entire width.

Declaration

Source position: comctrls.pp line 1226

published property TListColumn.AutoSize : Boolean
  read FAutoSize
  write SetAutoSize
  default False;


TListColumn.Caption

Caption text of column.

Declaration

Source position: comctrls.pp line 1227

published property TListColumn.Caption : TTranslateString
  read FCaption
  write SetCaption;


TListColumn.Create

Create - constructor for TListColumn: calls inherited Create then sets defaults for size, alignment and index

Declaration

Source position: comctrls.pp line 1220

public constructor TListColumn.Create(

  ACollection: TCollection

); override;

See also

TCollectionItem.Create


TListColumn.Destroy

Destroy - destructor for TListColumn: if update allowed, updates columns then calls inherited Destroy

Declaration

Source position: comctrls.pp line 1221

public destructor TListColumn.Destroy; override;

See also

TCollectionItem.Destroy


TListColumn.GetDisplayName

GetDisplayName returns the Caption; if this is blank, calls inherited method

Declaration

Source position: comctrls.pp line 1217

protected function TListColumn.GetDisplayName: string; override;

See also

TCollectionItem.GetDisplayName


TListColumn.GetStoredWidth

Declaration

Source position: comctrls.pp line 1218

protected function TListColumn.GetStoredWidth: Integer;


TListColumn.ImageIndex

Index of icon, inside ImageList object for columns of Listview.

Declaration

Source position: comctrls.pp line 1228

published property TListColumn.ImageIndex : TImageIndex
  read FImageIndex
  write SetImageIndex
  default - 1;


TListColumn.MaxWidth

Maximal width for this column.

Declaration

Source position: comctrls.pp line 1229

published property TListColumn.MaxWidth : TWidth
  read FMaxWidth
  write SetMaxWidth
  default 0;


TListColumn.MinWidth

Minimal width for this column.

Declaration

Source position: comctrls.pp line 1230

published property TListColumn.MinWidth : TWidth
  read FMinWidth
  write SetMinWidth
  default 0;


TListColumn.SetIndex

SetIndex - calls inherited method and if this is a new index value, changes to the new column index

Declaration

Source position: comctrls.pp line 1216

protected procedure TListColumn.SetIndex(

  AValue: Integer

); override;

See also

TCollectionItem.SetIndex


TListColumn.Tag

Int value, to store some info for this column.

Declaration

Source position: comctrls.pp line 1231

published property TListColumn.Tag : PtrInt
  read FTag
  write FTag
  default 0;


TListColumn.Visible

Allow to show this column.

Declaration

Source position: comctrls.pp line 1232

published property TListColumn.Visible : Boolean
  read FVisible
  write SetVisible
  default True;


TListColumn.Width

Current width of column. May be calculcated auto, if AutoSize used.

Declaration

Source position: comctrls.pp line 1233

published property TListColumn.Width : TWidth
  read GetWidth
  write SetWidth
  default 50;


TListColumn.WidthType

Declaration

Source position: comctrls.pp line 1223

public property TListColumn.WidthType : TWidth
  read FWidth;


TListColumns

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

TListColumns - a collection of Items of type TListColumn (the columns appearing in a multi-column list)

Declaration

Source position: comctrls.pp line 1239

type TListColumns = class(TCollection)
protected
function GetOwner; override;
public
constructor Create(); | Create - constructor for TListColumns: sets ownership then calls inherited Create
destructor Destroy; override; | Destroy - destructor for TListColumns: calls inherited destructor
procedure Update(); override; | Update checks if update is in fact required, then calls inherited method
function Add; | Add calls inherited method, then adjusts state flags
property Owner: TCustomListView; [r] |
property Items []: TListColumn; default; [rw] |
procedure Assign(); override; | Assign checks that source is of correct type, then adds new columns and copies items from source into them; otherwise calls inherited Assign which probably raises an exception
end;

Inheritance

TListColumns

TListColumns - a collection of Items of type TListColumn (the columns appearing in a multi-column list)
|

TCollection
|

TPersistent,IFPObserved
|

TObject


TListColumns
 | ro | Owner
 |  | Items
TCollection
 |  | PropName
 | ro | UpdateCount
 | ro | Count
 | ro | ItemClass
 |  | Items
TPersistent
TObject


ro | Count (TCollection)
ro | ItemClass (TCollection)
 | Items (TCollection)
 | Items (TListColumns)
ro | Owner (TListColumns)
 | PropName (TCollection)
ro | UpdateCount (TCollection)


TListColumns
pt | GetOwner
 | Create
 | Destroy
 | Update
 | Add
 | Assign
TCollection
 | GetCount
 | GetPropName
 | InsertItem
 | RemoveItem
 | DoClear
 | GetAttrCount
 | GetAttr
 | GetItemAttr
 | Changed
 | GetItem
 | SetItem
 | SetItemName
 | SetPropName
 | Update
 | Notify
 | Create
 | Destroy
 | Owner
 | Add
 | Assign
 | BeginUpdate
 | Clear
 | EndUpdate
 | Delete
 | GetEnumerator
 | GetNamePath
 | Insert
 | FindItemID
 | Exchange
 | Sort
TPersistent
 | AssignError
 | AssignTo
 | DefineProperties
 | GetOwner
 | Destroy
 | Assign
 | FPOAttachObserver
 | FPODetachObserver
 | FPONotifyObservers
 | GetNamePath
TObject
 | Create
 | Destroy
 | newinstance
 | FreeInstance
 | SafeCallException
 | DefaultHandler
 | Free
 | InitInstance
 | CleanupInstance
 | ClassType
 | ClassInfo
 | ClassName
 | ClassNameIs
 | ClassParent
 | InstanceSize
 | InheritsFrom
 | StringMessageTable
 | MethodAddress
 | MethodName
 | FieldAddress
 | AfterConstruction
 | BeforeDestruction
 | DefaultHandlerStr
 | Dispatch
 | DispatchStr
 | GetInterface
 | GetInterfaceByStr
 | GetInterfaceWeak
 | GetInterfaceEntry
 | GetInterfaceEntryByStr
 | GetInterfaceTable
 | UnitName
 | Equals
 | GetHashCode
 | ToString


 | Add (TCollection)
 | Add (TListColumns)
 | AfterConstruction (TObject)
 | Assign (TPersistent)
 | Assign (TCollection)
 | Assign (TListColumns)
 | AssignError (TPersistent)
 | AssignTo (TPersistent)
 | BeforeDestruction (TObject)
 | BeginUpdate (TCollection)
 | Changed (TCollection)
 | ClassInfo (TObject)
 | ClassName (TObject)
 | ClassNameIs (TObject)
 | ClassParent (TObject)
 | ClassType (TObject)
 | CleanupInstance (TObject)
 | Clear (TCollection)
 | Create (TObject)
 | Create (TCollection)
 | Create (TListColumns)
 | DefaultHandler (TObject)
 | DefaultHandlerStr (TObject)
 | DefineProperties (TPersistent)
 | Delete (TCollection)
 | Destroy (TObject)
 | Destroy (TPersistent)
 | Destroy (TCollection)
 | Destroy (TListColumns)
 | Dispatch (TObject)
 | DispatchStr (TObject)
 | DoClear (TCollection)
 | EndUpdate (TCollection)
 | Equals (TObject)
 | Exchange (TCollection)
 | FieldAddress (TObject)
 | FindItemID (TCollection)
 | FPOAttachObserver (TPersistent)
 | FPODetachObserver (TPersistent)
 | FPONotifyObservers (TPersistent)
 | Free (TObject)
 | FreeInstance (TObject)
 | GetAttr (TCollection)
 | GetAttrCount (TCollection)
 | GetCount (TCollection)
 | GetEnumerator (TCollection)
 | GetHashCode (TObject)
 | GetInterface (TObject)
 | GetInterfaceByStr (TObject)
 | GetInterfaceEntry (TObject)
 | GetInterfaceEntryByStr (TObject)
 | GetInterfaceTable (TObject)
 | GetInterfaceWeak (TObject)
 | GetItem (TCollection)
 | GetItemAttr (TCollection)
 | GetNamePath (TPersistent)
 | GetNamePath (TCollection)
 | GetOwner (TPersistent)
pt | GetOwner (TListColumns)
 | GetPropName (TCollection)
 | InheritsFrom (TObject)
 | InitInstance (TObject)
 | Insert (TCollection)
 | InsertItem (TCollection)
 | InstanceSize (TObject)
 | MethodAddress (TObject)
 | MethodName (TObject)
 | newinstance (TObject)
 | Notify (TCollection)
 | Owner (TCollection)
 | RemoveItem (TCollection)
 | SafeCallException (TObject)
 | SetItem (TCollection)
 | SetItemName (TCollection)
 | SetPropName (TCollection)
 | Sort (TCollection)
 | StringMessageTable (TObject)
 | ToString (TObject)
 | UnitName (TObject)
 | Update (TCollection)
 | Update (TListColumns)


TListColumns

TCollection

TPersistent

TObject


TListColumns.Add

Add calls inherited method, then adjusts state flags

Declaration

Source position: comctrls.pp line 1254

public function TListColumns.Add: TListColumn;

See also

TCollection.Add


TListColumns.Assign

Assign checks that source is of correct type, then adds new columns and copies items from source into them; otherwise calls inherited Assign which probably raises an exception

Declaration

Source position: comctrls.pp line 1258

public procedure TListColumns.Assign(

  Source: TPersistent

); override;

See also

TCollection.Assign


TListColumns.Create

Create - constructor for TListColumns: sets ownership then calls inherited Create

Declaration

Source position: comctrls.pp line 1251

public constructor TListColumns.Create(

  AOwner: TCustomListView

);

See also

TCollection.Create


TListColumns.Destroy

Destroy - destructor for TListColumns: calls inherited destructor

Declaration

Source position: comctrls.pp line 1252

public destructor TListColumns.Destroy; override;

See also

TCollection.Destroy


TListColumns.GetOwner

Declaration

Source position: comctrls.pp line 1249

protected function TListColumns.GetOwner: TPersistent; override;


TListColumns.Update

Update checks if update is in fact required, then calls inherited method

Declaration

Source position: comctrls.pp line 1253

public procedure TListColumns.Update(

  Item: TCollectionItem

); override;

See also

TCollection.Update


TListItem

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

TListItem - the ancestor class for the Items in TCustomListView and TListView

Declaration

Source position: comctrls.pp line 998

type TListItem = class(TPersistent)
protected
function IsEqual(); | The current ListItem IsEqual to the item specified in the argument AItem
function IsOwnerData; virtual;
function GetCheckedInternal; | GetCheckedInternal - returns True if item is internally checked
function GetOwner; override;
public
procedure Assign(); override; | Assign - if source has correct type, copies Caption, Data, ImageIndex and SubItems from source, otherwise calls inherited Assign which probably raises an exception
constructor Create(); virtual; | Create - constructor for TListItem: calls inherited Create then initialises flags, states, ImageIndex and SubItems
destructor Destroy; override; | Destroy - destructor for TListItem: frees SubItems, sets flags to signify destruction, then calls inherited Destroy
procedure Delete; | Remove an Item from the list
procedure MakeVisible(); | MakeVisible - render the item visible (if PartialOK is True, only part may be visible)
function DisplayRect(); | DisplayRect - returns the coordinates of a rectangle for displaying the current item
function DisplayRectSubItem(); | DisplayRectSubItem - returns the coordinates of a display rectangle for a specified sub-item
function EditCaption;
property Caption: string; [rw] | Caption - the name given to this item on the list
property Checked: Boolean; [rw] | Checked - if True, a check mark is present beside the item implying it has been selected
property Cut: Boolean; [rw] | Cut this item from the list (but it can be placed on the clipboard)
property Data: Pointer; [rw] | Pointer to the Data asociated with this item
property DropTarget: Boolean; [rw] | DropTarget - returns True if this is a valid target on the list for dropping
property Focused: Boolean; [rw] | Property is true if this item has Focus
property Index: Integer; [r] | The index of this item in the list (integer)
property ImageIndex: TImageIndex; [rw] | The index of the image associated with this Item in the list
property Left: Integer; [rw] | The position of the Left side of the list item
property ListView: TCustomListView; [r] | The ListView in which this Item is fould
property Owner: TListItems; [r] | The Owner of the ListItem
property Position: TPoint; [rw] | The coordinates of the position where the ListItem is located
property Selected: Boolean; [rw] | Whether this Item has been Selected (often denoted by a check-mark)
property StateIndex: TImageIndex; [rw]
property SubItems: TStrings; [rw] | The list of SubItems associated with this ListItem
property SubItemImages []: Integer; [rw] | SubItemImages - the list of Images associated with the SubItems
property Top: Integer; [rw] | The position of the Top of this ListItem
end;

Inheritance

TListItem

TListItem - the ancestor class for the Items in TCustomListView and TListView
|

TPersistent,IFPObserved
|

TObject

Description

Most properties are inherited from ancestors, TPersistent and TObject

See also

Classes.TPersistent

Objects.TObject


TListItem
 |  | Caption
 |  | Checked
 |  | Cut
 |  | Data
 |  | DropTarget
 |  | Focused
 | ro | Index
 |  | ImageIndex
 |  | Left
 | ro | ListView
 | ro | Owner
 |  | Position
 |  | Selected
 |  | StateIndex
 |  | SubItems
 |  | SubItemImages
 |  | Top
TPersistent
TObject


 | Caption (TListItem)
 | Checked (TListItem)
 | Cut (TListItem)
 | Data (TListItem)
 | DropTarget (TListItem)
 | Focused (TListItem)
 | ImageIndex (TListItem)
ro | Index (TListItem)
 | Left (TListItem)
ro | ListView (TListItem)
ro | Owner (TListItem)
 | Position (TListItem)
 | Selected (TListItem)
 | StateIndex (TListItem)
 | SubItemImages (TListItem)
 | SubItems (TListItem)
 | Top (TListItem)


TListItem
pt | IsEqual
pt | IsOwnerData
pt | GetCheckedInternal
pt | GetOwner
 | Assign
 | Create
 | Destroy
 | Delete
 | MakeVisible
 | DisplayRect
 | DisplayRectSubItem
 | EditCaption
TPersistent
 | AssignError
 | AssignTo
 | DefineProperties
 | GetOwner
 | Destroy
 | Assign
 | FPOAttachObserver
 | FPODetachObserver
 | FPONotifyObservers
 | GetNamePath
TObject
 | Create
 | Destroy
 | newinstance
 | FreeInstance
 | SafeCallException
 | DefaultHandler
 | Free
 | InitInstance
 | CleanupInstance
 | ClassType
 | ClassInfo
 | ClassName
 | ClassNameIs
 | ClassParent
 | InstanceSize
 | InheritsFrom
 | StringMessageTable
 | MethodAddress
 | MethodName
 | FieldAddress
 | AfterConstruction
 | BeforeDestruction
 | DefaultHandlerStr
 | Dispatch
 | DispatchStr
 | GetInterface
 | GetInterfaceByStr
 | GetInterfaceWeak
 | GetInterfaceEntry
 | GetInterfaceEntryByStr
 | GetInterfaceTable
 | UnitName
 | Equals
 | GetHashCode
 | ToString


 | AssignError (TPersistent)
 | AssignTo (TPersistent)
 | BeforeDestruction (TObject)
 | ClassInfo (TObject)
 | ClassName (TObject)
 | ClassNameIs (TObject)
 | ClassParent (TObject)
 | ClassType (TObject)
 | CleanupInstance (TObject)
 | Create (TObject)
 | Create (TListItem)
 | DefaultHandler (TObject)
 | DefaultHandlerStr (TObject)
 | DefineProperties (TPersistent)
 | Delete (TListItem)
 | Destroy (TObject)
 | Destroy (TPersistent)
 | Destroy (TListItem)
 | Dispatch (TObject)
 | DispatchStr (TObject)
 | DisplayRect (TListItem)
 | DisplayRectSubItem (TListItem)
 | EditCaption (TListItem)
 | Equals (TObject)
 | FieldAddress (TObject)
 | FPOAttachObserver (TPersistent)
 | FPODetachObserver (TPersistent)
 | FPONotifyObservers (TPersistent)
 | Free (TObject)
 | FreeInstance (TObject)
pt | GetCheckedInternal (TListItem)
 | GetHashCode (TObject)
 | GetInterface (TObject)
 | GetInterfaceByStr (TObject)
 | GetInterfaceEntry (TObject)
 | GetInterfaceEntryByStr (TObject)
 | GetInterfaceTable (TObject)
 | GetInterfaceWeak (TObject)
 | GetNamePath (TPersistent)
 | GetOwner (TPersistent)
pt | GetOwner (TListItem)
 | InheritsFrom (TObject)
 | InitInstance (TObject)
 | InstanceSize (TObject)
pt | IsEqual (TListItem)
pt | IsOwnerData (TListItem)
 | MakeVisible (TListItem)
 | MethodAddress (TObject)
 | MethodName (TObject)
 | newinstance (TObject)
 | SafeCallException (TObject)
 | StringMessageTable (TObject)
 | ToString (TObject)
 | UnitName (TObject)


TListItem

TPersistent

TObject


TListItem.Assign

Assign - if source has correct type, copies Caption, Data, ImageIndex and SubItems from source, otherwise calls inherited Assign which probably raises an exception

Declaration

Source position: comctrls.pp line 1045

public procedure TListItem.Assign(

  ASource: TPersistent

); override;

See also

TPersistent.Assign


TListItem.Caption

Caption - the name given to this item on the list

Declaration

Source position: comctrls.pp line 1055

public property TListItem.Caption : string
  read GetCaption
  write SetCaption;


TListItem.Checked

Checked - if True, a check mark is present beside the item implying it has been selected

Declaration

Source position: comctrls.pp line 1056

public property TListItem.Checked : Boolean
  read GetChecked
  write SetChecked;


TListItem.Create

Create - constructor for TListItem: calls inherited Create then initialises flags, states, ImageIndex and SubItems

Declaration

Source position: comctrls.pp line 1047

public constructor TListItem.Create(

  AOwner: TListItems

); virtual;

See also

TObject.Create


TListItem.Cut

Cut this item from the list (but it can be placed on the clipboard)

Declaration

Source position: comctrls.pp line 1057

public property TListItem.Cut : Boolean
  index Ord(lisCut)
  read GetState
  write SetState;


TListItem.Data

Pointer to the Data asociated with this item

Declaration

Source position: comctrls.pp line 1058

public property TListItem.Data : Pointer
  read FData
  write SetData;


TListItem.Delete

Remove an Item from the list

Declaration

Source position: comctrls.pp line 1049

public procedure TListItem.Delete;


TListItem.Destroy

Destroy - destructor for TListItem: frees SubItems, sets flags to signify destruction, then calls inherited Destroy

Declaration

Source position: comctrls.pp line 1048

public destructor TListItem.Destroy; override;

See also

TPersistent.Destroy


TListItem.DisplayRect

DisplayRect - returns the coordinates of a rectangle for displaying the current item

Declaration

Source position: comctrls.pp line 1051

public function TListItem.DisplayRect(

  Code: TDisplayCode

):TRect;

Description

DisplayRect - returns the coordinates of a rectangle for displaying the current item

Display codes can be: drBounds, drIcon, drLabel, drSelectBounds


TListItem.DisplayRectSubItem

DisplayRectSubItem - returns the coordinates of a display rectangle for a specified sub-item

Declaration

Source position: comctrls.pp line 1052

public function TListItem.DisplayRectSubItem(

  subItem: Integer;

  Code: TDisplayCode

):TRect;

Description

DisplayRectSubItem - returns the coordinates of a display rectangle for a specified sub-item

Display codes can be: drBounds, drIcon, drLabel, drSelectBounds


TListItem.DropTarget

DropTarget - returns True if this is a valid target on the list for dropping

Declaration

Source position: comctrls.pp line 1059

public property TListItem.DropTarget : Boolean
  index Ord(lisDropTarget)
  read GetState
  write SetState;


TListItem.EditCaption

Declaration

Source position: comctrls.pp line 1053

public function TListItem.EditCaption: Boolean;


TListItem.Focused

Property is true if this item has Focus

Declaration

Source position: comctrls.pp line 1060

public property TListItem.Focused : Boolean
  index Ord(lisFocused)
  read GetState
  write SetState;


TListItem.GetCheckedInternal

GetCheckedInternal - returns True if item is internally checked

Declaration

Source position: comctrls.pp line 1042

protected function TListItem.GetCheckedInternal: Boolean;


TListItem.GetOwner

Declaration

Source position: comctrls.pp line 1043

protected function TListItem.GetOwner: TPersistent; override;


TListItem.ImageIndex

The index of the image associated with this Item in the list

Declaration

Source position: comctrls.pp line 1062

public property TListItem.ImageIndex : TImageIndex
  read GetImageIndex
  write SetImageIndex
  default - 1;


TListItem.Index

The index of this item in the list (integer)

Declaration

Source position: comctrls.pp line 1061

public property TListItem.Index : Integer
  read GetIndex;


TListItem.IsEqual

The current ListItem IsEqual to the item specified in the argument AItem

Declaration

Source position: comctrls.pp line 1040

protected function TListItem.IsEqual(

  const AItem: TListItem

):Boolean;


TListItem.IsOwnerData

Declaration

Source position: comctrls.pp line 1041

protected function TListItem.IsOwnerData: Boolean; virtual;


TListItem.Left

The position of the Left side of the list item

Declaration

Source position: comctrls.pp line 1063

public property TListItem.Left : Integer
  read GetLeft
  write SetLeft;


TListItem.ListView

The ListView in which this Item is fould

Declaration

Source position: comctrls.pp line 1064

public property TListItem.ListView : TCustomListView
  read GetListView;


TListItem.MakeVisible

MakeVisible - render the item visible (if PartialOK is True, only part may be visible)

Declaration

Source position: comctrls.pp line 1050

public procedure TListItem.MakeVisible(

  PartialOK: Boolean

);


TListItem.Owner

The Owner of the ListItem

Declaration

Source position: comctrls.pp line 1065

public property TListItem.Owner : TListItems
  read FOwner;


TListItem.Position

The coordinates of the position where the ListItem is located

Declaration

Source position: comctrls.pp line 1066

public property TListItem.Position : TPoint
  read GetPosition
  write SetPosition;


TListItem.Selected

Whether this Item has been Selected (often denoted by a check-mark)

Declaration

Source position: comctrls.pp line 1067

public property TListItem.Selected : Boolean
  index Ord(lisSelected)
  read GetState
  write SetState;


TListItem.StateIndex

Declaration

Source position: comctrls.pp line 1068

public property TListItem.StateIndex : TImageIndex
  read GetStateIndex
  write SetStateIndex;


TListItem.SubItemImages

SubItemImages - the list of Images associated with the SubItems

Declaration

Source position: comctrls.pp line 1070

public property TListItem.SubItemImages[AIndex: Integer] : Integer
  read GetSubItemImages
  write SetSubItemImages;


TListItem.SubItems

The list of SubItems associated with this ListItem

Declaration

Source position: comctrls.pp line 1069

public property TListItem.SubItems : TStrings
  read GetSubItems
  write SetSubItems;


TListItem.Top

The position of the Top of this ListItem

Declaration

Source position: comctrls.pp line 1071

public property TListItem.Top : Integer
  read GetTop
  write SetTop;


TListItemClass

Declaration

Source position: comctrls.pp line 1073

type TListItemClass = class of TListItem;


TListItemFlag

TListItemFlag - enumerated type, a flag denoting a list item is being destroyed or created

Declaration

Source position: comctrls.pp line 967

type TListItemFlag = (

  lifDestroying,

  lifCreated

);


TListItemFlags

TListItemFlags - set of TListItemFlag

Declaration

Source position: comctrls.pp line 968

type TListItemFlags = set of (

  lifDestroying,

  lifCreated

);


TListItems

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

TListItems - a list of items with a cache of the last accessed item

Declaration

Source position: comctrls.pp line 1121

type TListItems = class(TPersistent)
protected
procedure DefineProperties(); override; | DefineProperties - calls inherited method, then defines some specific binary properties
function GetCount; virtual; | GetCount - find the number of Items in the list
function GetItem(); virtual; | GetItem returns the ListItem specified by AIndex
function GetOwner; override;
procedure WSCreateItems; | WSCreateItems - instruction to the Widget Set to create Items
procedure DoFinalizeWnd;
procedure SetCount(); virtual;
procedure SetItem(); | SetItem - writes the Index and content of a given Item to a local variable
procedure ClearSelection;
procedure SelectAll;
public
function Add; | Add an Item to the Collection
procedure AddItem(); | AddItem - add the specified AItem to the collection
procedure BeginUpdate; | BeginUpdate - start the update process
procedure Clear; virtual; | Clear - remove all Items from the list
constructor Create(); | Create - constructor for TListItems: calls inherited Create then creates the list
destructor Destroy; override; | Destroy destructor for TListItems: frees the individual items on the list, then calls inherited Destroy
procedure Delete(); | Remove the Item specified by AIndex from the collection
procedure EndUpdate; | EndUpdate - finish the update process
procedure Exchange();
procedure Move();
function FindCaption(); | FindCaption - returns the ListItem with the specified caption at the given starting place.
function FindData(); | FindData - returns the ListItem associated with the specified datapointer
function GetEnumerator;
function IndexOf(); | Returns the IndexOf the Item specified by AItem
function Insert(); | Insert an item in the list at AIndex, returning the value of the ListItem
procedure InsertItem(); | InsertItem - procedure to insert AItem at position AIndex in the list
property Flags: TListItemsFlags; [r]
property Count: Integer; [rw] | Count - the number of items in the collection
property Item []: TListItem; default; [rw] | An Item in the list, specified by its Index value
property Owner: TCustomListView; [r] | Owner - the ListView that owns this collection of ListItems
end;

Inheritance

TListItems

TListItems - a list of items with a cache of the last accessed item
|

TPersistent,IFPObserved
|

TObject

Description

TListitems has a built-in cache of the last accessed item. This will speed up interface updates since Item.Index is often used for the same item updating more properties. If FCacheIndex = -1 then the cache is not valid.


TListItems
 | ro | Flags
 |  | Count
 |  | Item
 | ro | Owner
TPersistent
TObject


ro | Flags (TListItems)
 | Item (TListItems)
ro | Owner (TListItems)


TListItems
pt | DefineProperties
pt | GetCount
pt | GetItem
pt | GetOwner
pt | WSCreateItems
pt | DoFinalizeWnd
pt | SetCount
pt | SetItem
pt | ClearSelection
pt | SelectAll
 | Add
 | AddItem
 | BeginUpdate
 | Clear
 | Create
 | Destroy
 | Delete
 | EndUpdate
 | Exchange
 | Move
 | FindCaption
 | FindData
 | GetEnumerator
 | IndexOf
 | Insert
 | InsertItem
TPersistent
 | AssignError
 | AssignTo
 | DefineProperties
 | GetOwner
 | Destroy
 | Assign
 | FPOAttachObserver
 | FPODetachObserver
 | FPONotifyObservers
 | GetNamePath
TObject
 | Create
 | Destroy
 | newinstance
 | FreeInstance
 | SafeCallException
 | DefaultHandler
 | Free
 | InitInstance
 | CleanupInstance
 | ClassType
 | ClassInfo
 | ClassName
 | ClassNameIs
 | ClassParent
 | InstanceSize
 | InheritsFrom
 | StringMessageTable
 | MethodAddress
 | MethodName
 | FieldAddress
 | AfterConstruction
 | BeforeDestruction
 | DefaultHandlerStr
 | Dispatch
 | DispatchStr
 | GetInterface
 | GetInterfaceByStr
 | GetInterfaceWeak
 | GetInterfaceEntry
 | GetInterfaceEntryByStr
 | GetInterfaceTable
 | UnitName
 | Equals
 | GetHashCode
 | ToString


 | Add (TListItems)
 | AddItem (TListItems)
 | AfterConstruction (TObject)
 | Assign (TPersistent)
 | AssignError (TPersistent)
 | AssignTo (TPersistent)
 | BeforeDestruction (TObject)
 | BeginUpdate (TListItems)
 | ClassInfo (TObject)
 | ClassName (TObject)
 | ClassNameIs (TObject)
 | ClassParent (TObject)
 | ClassType (TObject)
 | CleanupInstance (TObject)
 | Clear (TListItems)
pt | ClearSelection (TListItems)
 | Create (TObject)
 | Create (TListItems)
 | DefaultHandler (TObject)
 | DefaultHandlerStr (TObject)
 | DefineProperties (TPersistent)
pt | DefineProperties (TListItems)
 | Delete (TListItems)
 | Destroy (TObject)
 | Destroy (TPersistent)
 | Destroy (TListItems)
 | Dispatch (TObject)
 | DispatchStr (TObject)
pt | DoFinalizeWnd (TListItems)
 | EndUpdate (TListItems)
 | Equals (TObject)
 | Exchange (TListItems)
 | FieldAddress (TObject)
 | FindCaption (TListItems)
 | FindData (TListItems)
 | FPOAttachObserver (TPersistent)
 | FPODetachObserver (TPersistent)
 | FPONotifyObservers (TPersistent)
 | Free (TObject)
 | FreeInstance (TObject)
pt | GetCount (TListItems)
 | GetEnumerator (TListItems)
 | GetHashCode (TObject)
 | GetInterface (TObject)
 | GetInterfaceByStr (TObject)
 | GetInterfaceEntry (TObject)
 | GetInterfaceEntryByStr (TObject)
 | GetInterfaceTable (TObject)
 | GetInterfaceWeak (TObject)
pt | GetItem (TListItems)
 | GetNamePath (TPersistent)
 | GetOwner (TPersistent)
pt | GetOwner (TListItems)
 | IndexOf (TListItems)
 | InheritsFrom (TObject)
 | InitInstance (TObject)
 | Insert (TListItems)
 | InsertItem (TListItems)
 | InstanceSize (TObject)
 | MethodAddress (TObject)
 | MethodName (TObject)
 | Move (TListItems)
 | newinstance (TObject)
 | SafeCallException (TObject)
pt | SelectAll (TListItems)
pt | SetCount (TListItems)
pt | SetItem (TListItems)
 | StringMessageTable (TObject)
 | ToString (TObject)
 | UnitName (TObject)
pt | WSCreateItems (TListItems)


TListItems

TPersistent

TObject


TListItems.Add

Add an Item to the Collection

Declaration

Source position: comctrls.pp line 1148

public function TListItems.Add: TListItem;


TListItems.AddItem

AddItem - add the specified AItem to the collection

Declaration

Source position: comctrls.pp line 1149

public procedure TListItems.AddItem(

  AItem: TListItem

);


TListItems.BeginUpdate

BeginUpdate - start the update process

Declaration

Source position: comctrls.pp line 1150

public procedure TListItems.BeginUpdate;


TListItems.Clear

Clear - remove all Items from the list

Declaration

Source position: comctrls.pp line 1151

public procedure TListItems.Clear; virtual;


TListItems.ClearSelection

Declaration

Source position: comctrls.pp line 1145

protected procedure TListItems.ClearSelection;


TListItems.Count

Count - the number of items in the collection

Declaration

Source position: comctrls.pp line 1168

public property TListItems.Count : Integer
  read GetCount
  write SetCount;


TListItems.Create

Create - constructor for TListItems: calls inherited Create then creates the list

Declaration

Source position: comctrls.pp line 1152

public constructor TListItems.Create(

  AOwner: TCustomListView

);

See also

TObject.Create


TListItems.DefineProperties

DefineProperties - calls inherited method, then defines some specific binary properties

Declaration

Source position: comctrls.pp line 1137

protected procedure TListItems.DefineProperties(

  Filer: TFiler

); override;

See also

TPersistent.DefineProperties


TListItems.Delete

Remove the Item specified by AIndex from the collection

Declaration

Source position: comctrls.pp line 1154

public procedure TListItems.Delete(

  const AIndex: Integer

);


TListItems.Destroy

Destroy destructor for TListItems: frees the individual items on the list, then calls inherited Destroy

Declaration

Source position: comctrls.pp line 1153

public destructor TListItems.Destroy; override;

See also

TPersistent.Destroy


TListItems.DoFinalizeWnd

Declaration

Source position: comctrls.pp line 1142

protected procedure TListItems.DoFinalizeWnd;


TListItems.EndUpdate

EndUpdate - finish the update process

Declaration

Source position: comctrls.pp line 1155

public procedure TListItems.EndUpdate;


TListItems.Exchange

Declaration

Source position: comctrls.pp line 1156

public procedure TListItems.Exchange(

  const AIndex1: Integer;

  const AIndex2: Integer

);


TListItems.FindCaption

FindCaption - returns the ListItem with the specified caption at the given starting place.

Declaration

Source position: comctrls.pp line 1158

public function TListItems.FindCaption(

  StartIndex: Integer;

  Value: string;

  Partial: Boolean;

  Inclusive: Boolean;

  Wrap: Boolean;

  PartStart: Boolean = True

):TListItem;


TListItems.FindData

FindData - returns the ListItem associated with the specified datapointer

Declaration

Source position: comctrls.pp line 1161

public function TListItems.FindData(

  const AData: Pointer

):TListItem; overload;

function TListItems.FindData(

  StartIndex: Integer;

  Value: Pointer;

  Inclusive: Boolean;

  Wrap: Boolean

):TListItem; overload;


TListItems.Flags

Declaration

Source position: comctrls.pp line 1167

public property TListItems.Flags : TListItemsFlags
  read FFlags;


TListItems.GetCount

GetCount - find the number of Items in the list

Declaration

Source position: comctrls.pp line 1138

protected function TListItems.GetCount: Integer; virtual;


TListItems.GetEnumerator

Declaration

Source position: comctrls.pp line 1163

public function TListItems.GetEnumerator: TListItemsEnumerator;


TListItems.GetItem

GetItem returns the ListItem specified by AIndex

Declaration

Source position: comctrls.pp line 1139

protected function TListItems.GetItem(

  const AIndex: Integer

):TListItem; virtual;


TListItems.GetOwner

Declaration

Source position: comctrls.pp line 1140

protected function TListItems.GetOwner: TPersistent; override;


TListItems.IndexOf

Returns the IndexOf the Item specified by AItem

Declaration

Source position: comctrls.pp line 1164

public function TListItems.IndexOf(

  const AItem: TListItem

):Integer;


TListItems.Insert

Insert an item in the list at AIndex, returning the value of the ListItem

Declaration

Source position: comctrls.pp line 1165

public function TListItems.Insert(

  const AIndex: Integer

):TListItem;


TListItems.InsertItem

InsertItem - procedure to insert AItem at position AIndex in the list

Declaration

Source position: comctrls.pp line 1166

public procedure TListItems.InsertItem(

  AItem: TListItem;

  const AIndex: Integer

);


TListItems.Item

An Item in the list, specified by its Index value

Declaration

Source position: comctrls.pp line 1169

public property TListItems.Item[AIndex: Integer] : TListItem
  read GetItem
  write SetItem;
  default;


TListItems.Move

Declaration

Source position: comctrls.pp line 1157

public procedure TListItems.Move(

  const AFromIndex: Integer;

  const AToIndex: Integer

);


TListItems.Owner

Owner - the ListView that owns this collection of ListItems

Declaration

Source position: comctrls.pp line 1170

public property TListItems.Owner : TCustomListView
  read FOwner;


TListItems.SelectAll

Declaration

Source position: comctrls.pp line 1146

protected procedure TListItems.SelectAll;


TListItems.SetCount

Declaration

Source position: comctrls.pp line 1143

protected procedure TListItems.SetCount(

  const ACount: Integer

); virtual;


TListItems.SetItem

SetItem - writes the Index and content of a given Item to a local variable

Declaration

Source position: comctrls.pp line 1144

protected procedure TListItems.SetItem(

  const AIndex: Integer;

  const AValue: TListItem

);


TListItems.WSCreateItems

WSCreateItems - instruction to the Widget Set to create Items

Declaration

Source position: comctrls.pp line 1141

protected procedure TListItems.WSCreateItems;


TListItemsEnumerator

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Declaration

Source position: comctrls.pp line 1098

type TListItemsEnumerator = class

public

  constructor Create();

  function MoveNext;

  property Current: TListItem; [r]

end;

Inheritance

TListItemsEnumerator
|

TObject


TListItemsEnumerator

ro

Current


ro

Current (TListItemsEnumerator)


TListItemsEnumerator
 | Create
 | MoveNext


TListItemsEnumerator


TListItemsEnumerator.Create

Declaration

Source position: comctrls.pp line 1104

public constructor TListItemsEnumerator.Create(

  AItems: TListItems

);


TListItemsEnumerator.Current

Declaration

Source position: comctrls.pp line 1106

public property TListItemsEnumerator.Current : TListItem
  read GetCurrent;


TListItemsEnumerator.MoveNext

Declaration

Source position: comctrls.pp line 1105

public function TListItemsEnumerator.MoveNext: Boolean;


TListView

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

TListView - a window showing a list of Items which may or may not have associated icons

Declaration

Source position: comctrls.pp line 1652

type TListView = class(TCustomListView)
published
property Align: TAlign; | Specifies the placement of the control inside its Parent.
property AllocBy: Integer;
property Anchors: TAnchors; | The set of anchor definitions for this control.
property AutoSort: Boolean;
property AutoWidthLastColumn: Boolean; [rw]
property BorderSpacing: TControlBorderSpacing; | Determines the inner and outer border spacing for this control.
property BorderStyle: TBorderStyle; | Allows to show a border (line) around the control,
property BorderWidth: TBorderWidth; | Width of the Border around the control; default is zero.
property Checkboxes: Boolean;
property Color: TColor; | The background color of the control.
property Columns: TListColumns; |
property ColumnClick: Boolean; |
property Constraints: TSizeConstraints; | The minimal and maximal Width and Height of this control.
property DragCursor: TCursor; | The cursor shape shown while the control is dragged.
property DragKind: TDragKind;
property DragMode: TDragMode; | Allows the user to drag the control.
property Enabled: Boolean; | Determines whether the control reacts on mouse or keyboard input.
property Font: TFont; | The font to be used for text display in this control.
property GridLines: Boolean;
property HideSelection: Boolean;
property IconOptions: TIconOptions;
property Items: TListItems; |
property LargeImages: TCustomImageList; |
property LargeImagesWidth: Integer;
property MultiSelect: Boolean; |
property OwnerData: Boolean;
property OwnerDraw: Boolean;
property ParentColor: Boolean;
property ParentFont: Boolean; | If true, the Font of the control will be the same as the one from the Parent. Default is true.
property ParentShowHint: Boolean; | If true, the value of ShowHint for the control will be the same as the one from the Parent. Default is true.
property PopupMenu: TPopupMenu; | A context-sensitive menu that pops up when the right mouse button is clicked over this control
property ReadOnly: Boolean;
property RowSelect: Boolean; |
property ScrollBars: TScrollStyle; |
property ShowColumnHeaders: Boolean; |
property ShowHint: Boolean; | Enables the Hint display.
property SmallImages: TCustomImageList; |
property SmallImagesWidth: Integer;
property SortColumn: Integer; |
property SortDirection: TSortDirection;
property SortType: TSortType; |
property StateImages: TCustomImageList; |
property StateImagesWidth: Integer;
property TabStop: Boolean; | Allows the user to navigate to this control, by pressing the Tab key.
property TabOrder: TTabOrder; | Determines the sequence of controls, reachable when the user presses the Tab key.
property ToolTips: Boolean;
property Visible: Boolean; | Allows to show or hide the control, and all of its children.
property ViewStyle: TViewStyle; |
property OnAdvancedCustomDraw: TLVAdvancedCustomDrawEvent;
property OnAdvancedCustomDrawItem: TLVAdvancedCustomDrawItemEvent;
property OnAdvancedCustomDrawSubItem: TLVAdvancedCustomDrawSubItemEvent;
property OnChange: TLVChangeEvent; |
property OnClick: TNotifyEvent; | Notification handler for mouse clicks.
property OnColumnClick: TLVColumnClickEvent; |
property OnCompare: TLVCompareEvent; |
property OnContextPopup: TContextPopupEvent; | Invoked when a context-sensitive pop-up menu is requested.
property OnCreateItemClass: TLVCreateItemClassEvent;
property OnCustomDraw: TLVCustomDrawEvent;
property OnCustomDrawItem: TLVCustomDrawItemEvent;
property OnCustomDrawSubItem: TLVCustomDrawSubItemEvent;
property OnData: TLVDataEvent;
property OnDataFind: TLVDataFindEvent;
property OnDataHint: TLVDataHintEvent;
property OnDataStateChange: TLVDataStateChangeEvent;
property OnDblClick: TNotifyEvent; | Event Handler for double mouse clicks.
property OnDeletion: TLVDeletedEvent; |
property OnDragDrop: TDragDropEvent; | This handler determines the action on an drop onto this control, in a drag-drop operation.
property OnDragOver: TDragOverEvent; | Event handler for a control being dragged over this control.
property OnDrawItem: TLVDrawItemEvent;
property OnEdited: TLVEditedEvent;
property OnEditing: TLVEditingEvent;
property OnEndDock: TEndDragEvent;
property OnEndDrag: TEndDragEvent; | Notification handler for the end of a dragging operation.
property OnEnter: TNotifyEvent;
property OnExit: TNotifyEvent;
property OnInsert: TLVInsertEvent;
property OnItemChecked: TLVCheckedItemEvent;
property OnKeyDown: TKeyEvent; | Handler for keyboard key pressed.
property OnKeyPress: TKeyPressEvent; | Handler for a character entered by the user.
property OnKeyUp: TKeyEvent; | Handler for keyboard key released.
property OnMouseDown: TMouseEvent; | Event handler for mouse button going down.
property OnMouseEnter: TNotifyEvent;
property OnMouseLeave: TNotifyEvent;
property OnMouseMove: TMouseMoveEvent; | Event handler for mouse movement within the control.
property OnMouseUp: TMouseEvent; | Event handler for mouse button going up.
property OnMouseWheel: TMouseWheelEvent;
property OnMouseWheelDown: TMouseWheelUpDownEvent;
property OnMouseWheelUp: TMouseWheelUpDownEvent;
property OnMouseWheelHorz: TMouseWheelEvent;
property OnMouseWheelLeft: TMouseWheelUpDownEvent;
property OnMouseWheelRight: TMouseWheelUpDownEvent;
property OnResize: TNotifyEvent; | Notification handler for a resize of the control.
property OnSelectItem: TLVSelectItemEvent; |
property OnShowHint: TControlShowHintEvent;
property OnStartDock: TStartDockEvent;
property OnStartDrag: TStartDragEvent; | Event handler for the start of a dragging operation.
property OnUTF8KeyPress: TUTF8KeyPressEvent; | Handler for a character entered by the user.
end;

Inheritance

TListView | TListView - a window showing a list of Items which may or may not have associated icons
|
TCustomListView | TCustomListView - the base class for TListView
|
TWinControl | The base class for controls which can contain other (child) controls.
|
TControl | The base class for visible controls.
|
TLCLComponent | The base class for LCL components associated with widgets.
|
TComponent,IUnknown,IInterfaceComponentReference
|
TPersistent,IFPObserved
|
TObject

Description

TListView - a window showing a list of items which may or may not have associated icons

At first this control looks very like TListBox but it has a much higher degree of complexity. It is capable of displaying Items in Columns of Rows and it can have images associated with the list Items.

The important information is held in Items, a string-list that can be created using the string-list editor obtained by right-clicking on the ListView in the Form Editor or by clicking on the ellipsis (...) next to the Items entry in the Object Inspector.

A typical application might have two ImageLists: one ofLargeImages and one of SmallImages, containing two versions of the same collection of images, in large and small format; the index numbers of the first list would correspond with those in the second list.

SmallImages (if assigned to a string-list) can be displayed beside the text strings in the list view and the programmer would supply code to ensure that when an item with its associated Small Image was selected, the corresponding Large Image would be displayed in another window.

One or more TImageList controls need to be selected and pasted on to the Form Designer and the ImageList Editor can be opened from the pop-up menu obtained by right-clicking on TImageList icon in the Form Designer. The image list can be populated by reading from files. Then in the StringList editor for Items the correct ImageIndex must be allocated to each entry in the list.


TListView
pl | ro | Align
pl | ro | AllocBy
pl | ro | Anchors
pl | ro | AutoSort
pl |  | AutoWidthLastColumn
pl | ro | BorderSpacing
pl | ro | BorderStyle
pl | ro | BorderWidth
pl | ro | Checkboxes
pl | ro | Color
pl | ro | Columns
pl | ro | ColumnClick
pl | ro | Constraints
pl | ro | DragCursor
pl | ro | DragKind
pl | ro | DragMode
pl | ro | Enabled
pl | ro | Font
pl | ro | GridLines
pl | ro | HideSelection
pl | ro | IconOptions
pl | ro | Items
pl | ro | LargeImages
pl | ro | LargeImagesWidth
pl | ro | MultiSelect
pl | ro | OwnerData
pl | ro | OwnerDraw
pl | ro | ParentColor
pl | ro | ParentFont
pl | ro | ParentShowHint
pl | ro | PopupMenu
pl | ro | ReadOnly
pl | ro | RowSelect
pl | ro | ScrollBars
pl | ro | ShowColumnHeaders
pl | ro | ShowHint
pl | ro | SmallImages
pl | ro | SmallImagesWidth
pl | ro | SortColumn
pl | ro | SortDirection
pl | ro | SortType
pl | ro | StateImages
pl | ro | StateImagesWidth
pl | ro | TabStop
pl | ro | TabOrder
pl | ro | ToolTips
pl | ro | Visible
pl | ro | ViewStyle
TCustomListView
pt |  | AllocBy
pt |  | AutoSort
pt |  | AutoWidthLastColumn
pt |  | ColumnClick
pt |  | Columns
pt |  | DefaultItemHeight
pt |  | HideSelection
pt |  | HoverTime
pt |  | LargeImages
pt |  | LargeImagesWidth
pt |  | OwnerDraw
pt |  | ScrollBars
pt |  | ShowColumnHeaders
pt |  | ShowWorkAreas
pt |  | SmallImages
pt |  | SmallImagesWidth
pt |  | SortType
pt |  | SortColumn
pt |  | SortDirection
pt |  | StateImages
pt |  | StateImagesWidth
pt |  | ToolTips
pt |  | ViewStyle
 | ro | BoundingRect
 | ro | BorderStyle
 | ro | Canvas
 |  | Checkboxes
 | ro | Column
 | ro | ColumnCount
 |  | DropTarget
 |  | FlatScrollBars
 |  | FullDrag
 |  | GridLines
 |  | HotTrack
 |  | HotTrackStyles
 |  | IconOptions
 |  | ItemFocused
 |  | ItemIndex
 |  | Items
 |  | MultiSelect
 |  | OwnerData
 |  | ReadOnly
 |  | RowSelect
 | ro | SelCount
 |  | Selected
 | ro | LastSelected
 | ro | TabStop
 | ro | TopItem
 |  | ViewOrigin
 | ro | VisibleRowCount
TWinControl
pt |  | WindowHandle
pt |  | BorderStyle
pt |  | ParentBackground
 |  | BorderWidth
 | ro | BoundsLockCount
 | ro | Brush
 | ro | CachedClientHeight
 | ro | CachedClientWidth
 |  | ChildSizing
 | ro | ControlCount
 | ro | Controls
 |  | DefWndProc
 | ro | DockClientCount
 | ro | DockClients
 |  | DockManager
 |  | DockSite
 |  | DoubleBuffered
 |  | Handle
 | ro | IsFlipped
 | ro | IsResizing
 |  | TabOrder
 |  | TabStop
 |  | ParentDoubleBuffered
 |  | ParentWindow
 | ro | Showing
 |  | UseDockManager
 |  | DesignerDeleting
 | ro | VisibleDockClientCount
TControl
pt | ro | AutoSizing
pt | ro | AutoSizingAll
pt | ro | AutoSizingLockCount
pt |  | ActionLink
pt |  | DesktopFont
pt |  | DragCursor
pt |  | DragKind
pt |  | DragMode
pt |  | MouseCapture
pt |  | ParentColor
pt |  | ParentFont
pt |  | ParentShowHint
pt |  | SessionProperties
pt |  | Text
 | ro | AnchoredControls
 | ro | BaseBounds
 | ro | ReadBounds
 | ro | BaseParentClientSize
 |  | AccessibleDescription
 |  | AccessibleValue
 |  | AccessibleRole
 |  | Action
 |  | Align
 |  | Anchors
 | ro | AnchorSide
 |  | AutoSize
 |  | BorderSpacing
 |  | BoundsRect
 |  | BoundsRectForNewParent
 |  | Caption
 |  | CaptureMouseButtons
 |  | ClientHeight
 | ro | ClientOrigin
 | ro | ClientRect
 |  | ClientWidth
 |  | Color
 |  | Constraints
 | ro | ControlOrigin
 |  | ControlState
 |  | ControlStyle
 |  | Enabled
 |  | Font
 |  | IsControl
 | ro | MouseEntered
 | ro | MouseInClient
 |  | Parent
 |  | PopupMenu
 |  | ShowHint
 |  | Visible
 |  | WindowProc
 |  | DockOrientation
 | ro | Floating
 |  | FloatingDockSiteClass
 |  | HostDockSite
 |  | LRDockWidth
 |  | TBDockHeight
 |  | UndockHeight
 |  | UndockWidth
 |  | BiDiMode
 |  | ParentBiDiMode
pl |  | AnchorSideLeft
pl |  | AnchorSideTop
pl |  | AnchorSideRight
pl |  | AnchorSideBottom
pl |  | Cursor
pl |  | Left
pl |  | Height
pl |  | Hint
pl |  | Top
pl |  | Width
pl |  | HelpType
pl |  | HelpKeyword
pl |  | HelpContext
TLCLComponent
 | ro | LCLRefCount
 | ro | WidgetSetClass
TComponent
 | ro | ComObject
 | ro | Components
 | ro | ComponentCount
 |  | ComponentIndex
 | ro | ComponentState
 | ro | ComponentStyle
 |  | DesignInfo
 | ro | Owner
 |  | VCLComObject
 |  | Name
 |  | Tag
TPersistent
TObject


 |  | AccessibleDescription (TControl)
 |  | AccessibleRole (TControl)
 |  | AccessibleValue (TControl)
 |  | Action (TControl)
pt |  | ActionLink (TControl)
 |  | Align (TControl)
pl | ro | Align (TListView)
pt |  | AllocBy (TCustomListView)
pl | ro | AllocBy (TListView)
 | ro | AnchoredControls (TControl)
 |  | Anchors (TControl)
pl | ro | Anchors (TListView)
 | ro | AnchorSide (TControl)
pl |  | AnchorSideBottom (TControl)
pl |  | AnchorSideLeft (TControl)
pl |  | AnchorSideRight (TControl)
pl |  | AnchorSideTop (TControl)
 |  | AutoSize (TControl)
pt | ro | AutoSizing (TControl)
pt | ro | AutoSizingAll (TControl)
pt | ro | AutoSizingLockCount (TControl)
pt |  | AutoSort (TCustomListView)
pl | ro | AutoSort (TListView)
pt |  | AutoWidthLastColumn (TCustomListView)
pl |  | AutoWidthLastColumn (TListView)
 | ro | BaseBounds (TControl)
 | ro | BaseParentClientSize (TControl)
 |  | BiDiMode (TControl)
 |  | BorderSpacing (TControl)
pl | ro | BorderSpacing (TListView)
pt |  | BorderStyle (TWinControl)
 | ro | BorderStyle (TCustomListView)
pl | ro | BorderStyle (TListView)
 |  | BorderWidth (TWinControl)
pl | ro | BorderWidth (TListView)
 | ro | BoundingRect (TCustomListView)
 | ro | BoundsLockCount (TWinControl)
 |  | BoundsRect (TControl)
 |  | BoundsRectForNewParent (TControl)
 | ro | Brush (TWinControl)
 | ro | CachedClientHeight (TWinControl)
 | ro | CachedClientWidth (TWinControl)
 | ro | Canvas (TCustomListView)
 |  | Caption (TControl)
 |  | CaptureMouseButtons (TControl)
 |  | Checkboxes (TCustomListView)
pl | ro | Checkboxes (TListView)
 |  | ChildSizing (TWinControl)
 |  | ClientHeight (TControl)
 | ro | ClientOrigin (TControl)
 | ro | ClientRect (TControl)
 |  | ClientWidth (TControl)
 |  | Color (TControl)
pl | ro | Color (TListView)
 | ro | Column (TCustomListView)
pt |  | ColumnClick (TCustomListView)
pl | ro | ColumnClick (TListView)
 | ro | ColumnCount (TCustomListView)
pt |  | Columns (TCustomListView)
pl | ro | Columns (TListView)
 | ro | ComObject (TComponent)
 | ro | ComponentCount (TComponent)
 |  | ComponentIndex (TComponent)
 | ro | Components (TComponent)
 | ro | ComponentState (TComponent)
 | ro | ComponentStyle (TComponent)
 |  | Constraints (TControl)
pl | ro | Constraints (TListView)
 | ro | ControlCount (TWinControl)
 | ro | ControlOrigin (TControl)
 | ro | Controls (TWinControl)
 |  | ControlState (TControl)
 |  | ControlStyle (TControl)
pl |  | Cursor (TControl)
pt |  | DefaultItemHeight (TCustomListView)
 |  | DefWndProc (TWinControl)
 |  | DesignerDeleting (TWinControl)
 |  | DesignInfo (TComponent)
pt |  | DesktopFont (TControl)
 | ro | DockClientCount (TWinControl)
 | ro | DockClients (TWinControl)
 |  | DockManager (TWinControl)
 |  | DockOrientation (TControl)
 |  | DockSite (TWinControl)
 |  | DoubleBuffered (TWinControl)
pt |  | DragCursor (TControl)
pl | ro | DragCursor (TListView)
pt |  | DragKind (TControl)
pl | ro | DragKind (TListView)
pt |  | DragMode (TControl)
pl | ro | DragMode (TListView)
 |  | DropTarget (TCustomListView)
 |  | Enabled (TControl)
pl | ro | Enabled (TListView)
 |  | FlatScrollBars (TCustomListView)
 | ro | Floating (TControl)
 |  | FloatingDockSiteClass (TControl)
 |  | Font (TControl)
pl | ro | Font (TListView)
 |  | FullDrag (TCustomListView)
 |  | GridLines (TCustomListView)
pl | ro | GridLines (TListView)
 |  | Handle (TWinControl)
pl |  | Height (TControl)
pl |  | HelpContext (TControl)
pl |  | HelpKeyword (TControl)
pl |  | HelpType (TControl)
pt |  | HideSelection (TCustomListView)
pl | ro | HideSelection (TListView)
pl |  | Hint (TControl)
 |  | HostDockSite (TControl)
 |  | HotTrack (TCustomListView)
 |  | HotTrackStyles (TCustomListView)
pt |  | HoverTime (TCustomListView)
 |  | IconOptions (TCustomListView)
pl | ro | IconOptions (TListView)
 |  | IsControl (TControl)
 | ro | IsFlipped (TWinControl)
 | ro | IsResizing (TWinControl)
 |  | ItemFocused (TCustomListView)
 |  | ItemIndex (TCustomListView)
 |  | Items (TCustomListView)
pl | ro | Items (TListView)
pt |  | LargeImages (TCustomListView)
pl | ro | LargeImages (TListView)
pt |  | LargeImagesWidth (TCustomListView)
pl | ro | LargeImagesWidth (TListView)
 | ro | LastSelected (TCustomListView)
 | ro | LCLRefCount (TLCLComponent)
pl |  | Left (TControl)
 |  | LRDockWidth (TControl)
pt |  | MouseCapture (TControl)
 | ro | MouseEntered (TControl)
 | ro | MouseInClient (TControl)
 |  | MultiSelect (TCustomListView)
pl | ro | MultiSelect (TListView)
 |  | Name (TComponent)
 | ro | Owner (TComponent)
 |  | OwnerData (TCustomListView)
pl | ro | OwnerData (TListView)
pt |  | OwnerDraw (TCustomListView)
pl | ro | OwnerDraw (TListView)
 |  | Parent (TControl)
pt |  | ParentBackground (TWinControl)
 |  | ParentBiDiMode (TControl)
pt |  | ParentColor (TControl)
pl | ro | ParentColor (TListView)
 |  | ParentDoubleBuffered (TWinControl)
pt |  | ParentFont (TControl)
pl | ro | ParentFont (TListView)
pt |  | ParentShowHint (TControl)
pl | ro | ParentShowHint (TListView)
 |  | ParentWindow (TWinControl)
 |  | PopupMenu (TControl)
pl | ro | PopupMenu (TListView)
 | ro | ReadBounds (TControl)
 |  | ReadOnly (TCustomListView)
pl | ro | ReadOnly (TListView)
 |  | RowSelect (TCustomListView)
pl | ro | RowSelect (TListView)
pt |  | ScrollBars (TCustomListView)
pl | ro | ScrollBars (TListView)
 | ro | SelCount (TCustomListView)
 |  | Selected (TCustomListView)
pt |  | SessionProperties (TControl)
pt |  | ShowColumnHeaders (TCustomListView)
pl | ro | ShowColumnHeaders (TListView)
 |  | ShowHint (TControl)
pl | ro | ShowHint (TListView)
 | ro | Showing (TWinControl)
pt |  | ShowWorkAreas (TCustomListView)
pt |  | SmallImages (TCustomListView)
pl | ro | SmallImages (TListView)
pt |  | SmallImagesWidth (TCustomListView)
pl | ro | SmallImagesWidth (TListView)
pt |  | SortColumn (TCustomListView)
pl | ro | SortColumn (TListView)
pt |  | SortDirection (TCustomListView)
pl | ro | SortDirection (TListView)
pt |  | SortType (TCustomListView)
pl | ro | SortType (TListView)
pt |  | StateImages (TCustomListView)
pl | ro | StateImages (TListView)
pt |  | StateImagesWidth (TCustomListView)
pl | ro | StateImagesWidth (TListView)
 |  | TabOrder (TWinControl)
pl | ro | TabOrder (TListView)
 |  | TabStop (TWinControl)
 | ro | TabStop (TCustomListView)
pl | ro | TabStop (TListView)
 |  | Tag (TComponent)
 |  | TBDockHeight (TControl)
pt |  | Text (TControl)
pt |  | ToolTips (TCustomListView)
pl | ro | ToolTips (TListView)
pl |  | Top (TControl)
 | ro | TopItem (TCustomListView)
 |  | UndockHeight (TControl)
 |  | UndockWidth (TControl)
 |  | UseDockManager (TWinControl)
 |  | VCLComObject (TComponent)
 |  | ViewOrigin (TCustomListView)
pt |  | ViewStyle (TCustomListView)
pl | ro | ViewStyle (TListView)
 |  | Visible (TControl)
pl | ro | Visible (TListView)
 | ro | VisibleDockClientCount (TWinControl)
 | ro | VisibleRowCount (TCustomListView)
 | ro | WidgetSetClass (TLCLComponent)
pl |  | Width (TControl)
pt |  | WindowHandle (TWinControl)
 |  | WindowProc (TControl)


TListView
TCustomListView
pt | ItemDeleted
pt | ItemInserted
pt | WSRegisterClass
pt | GetControlClassDefaultSize
pt | InitializeWnd
pt | FinalizeWnd
pt | DestroyWnd
pt | BeginAutoDrag
pt | CreateListItem
pt | CreateListItems
pt | CanEdit
pt | Change
pt | ColClick
pt | Delete
pt | DoDeletion
pt | DoInsert
pt | DoItemChecked
pt | DoSelectItem
pt | DoAutoAdjustLayout
pt | DoSetBounds
pt | DoEndEdit
pt | InsertItem
pt | ImageChanged
pt | Loaded
pt | Notification
pt | IsCustomDrawn
pt | CustomDraw
pt | CustomDrawItem
pt | CustomDrawSubItem
pt | IntfCustomDraw
pt | GetUpdateCount
pt | DrawItem
pt | DoGetOwnerData
pt | DoOwnerDataHint
pt | DoOwnerDataStateChange
pt | DblClick
pt | KeyDown
 | Create
 | Destroy
 | AddItem
 | AlphaSort
 | Sort
 | CustomSort
 | BeginUpdate
 | Clear
 | EndUpdate
 | Repaint
 | FindCaption
 | FindData
 | GetHitTestInfoAt
 | GetItemAt
 | GetNearestItem
 | GetNextItem
 | ClearSelection
 | SelectAll
 | IsEditing
TWinControl
pt | WSRegisterClass
pt | AdjustClientRect
pt | GetAdjustedLogicalClientRect
pt | AlignControls
pt | CustomAlignInsertBefore
pt | CustomAlignPosition
pt | DoAlignChildControls
pt | DoChildSizingChange
pt | InvalidatePreferredChildSizes
pt | CanTab
pt | IsClientHeightStored
pt | IsClientWidthStored
pt | DoSendShowHideToInterface
pt | ControlsAligned
pt | DoSendBoundsToInterface
pt | RealizeBounds
pt | RealizeBoundsRecursive
pt | InvalidateBoundsRealized
pt | CreateSubClass
pt | DoConstraintsChange
pt | DoSetBounds
pt | DoAutoSize
pt | DoAllAutoSize
pt | AllAutoSized
pt | CalculatePreferredSize
pt | GetPreferredSizeClientFrame
pt | GetChildren
pt | ChildClassAllowed
pt | PaintControls
pt | PaintHandler
pt | PaintWindow
pt | CreateBrush
pt | ScaleControls
pt | ChangeScale
pt | CMBiDiModeChanged
pt | CMBorderChanged
pt | CMDoubleBufferedChanged
pt | CMEnabledChanged
pt | CMParentDoubleBufferedChanged
pt | CMShowingChanged
pt | CMShowHintChanged
pt | CMVisibleChanged
pt | CMEnter
pt | CMExit
pt | WMContextMenu
pt | WMEraseBkgnd
pt | WMNotify
pt | WMSetFocus
pt | WMKillFocus
pt | WMShowWindow
pt | WMEnter
pt | WMExit
pt | WMKeyDown
pt | WMSysKeyDown
pt | WMKeyUp
pt | WMSysKeyUp
pt | WMChar
pt | WMSysChar
pt | WMPaint
pt | WMDestroy
pt | WMMove
pt | WMSize
pt | WMWindowPosChanged
pt | CNKeyDown
pt | CNSysKeyDown
pt | CNKeyUp
pt | CNSysKeyUp
pt | CNChar
pt | DoDragMsg
pt | DoDockClientMsg
pt | DoUndockClientMsg
pt | DoAddDockClient
pt | DockOver
pt | DoDockOver
pt | DoRemoveDockClient
pt | DoUnDock
pt | GetSiteInfo
pt | GetParentHandle
pt | GetTopParentHandle
pt | ReloadDockedControl
pt | CreateDockManager
pt | SetDockManager
pt | DoFloatMsg
pt | DoGetDockCaption
pt | DoEnter
pt | DoExit
pt | DoKeyDownBeforeInterface
pt | DoRemainingKeyDown
pt | DoRemainingKeyUp
pt | DoKeyPress
pt | DoUTF8KeyPress
pt | DoKeyUpBeforeInterface
pt | ChildKey
pt | SendDialogChar
pt | DialogChar
pt | ControlKeyDown
pt | ControlKeyUp
pt | KeyDown
pt | KeyDownBeforeInterface
pt | KeyDownAfterInterface
pt | KeyPress
pt | KeyUp
pt | KeyUpBeforeInterface
pt | KeyUpAfterInterface
pt | UTF8KeyPress
pt | FindNextControl
pt | SelectFirst
pt | RealGetText
pt | GetBorderStyle
pt | GetClientOrigin
pt | GetClientRect
pt | GetControlOrigin
pt | GetDeviceContext
pt | GetParentBackground
pt | IsControlMouseMsg
pt | CreateHandle
pt | CreateParams
pt | CreateWnd
pt | DestroyHandle
pt | DestroyWnd
pt | DoFlipChildren
pt | FinalizeWnd
pt | FixupTabList
pt | FontChanged
pt | InitializeWnd
pt | Loaded
pt | FormEndUpdated
pt | MainWndProc
pt | ParentFormHandleInitialized
pt | ChildHandlesCreated
pt | GetMouseCapture
pt | RealSetText
pt | RemoveFocus
pt | SendMoveSizeMessages
pt | SetBorderStyle
pt | SetColor
pt | SetChildZPosition
pt | SetParentBackground
pt | ShowControl
pt | UpdateControlState
pt | UpdateShowing
pt | WndProc
pt | WSSetText
 | AutoSizePhases
 | AutoSizeDelayed
 | AutoSizeDelayedReport
 | AutoSizeDelayedHandle
 | BeginUpdateBounds
 | EndUpdateBounds
 | LockRealizeBounds
 | UnlockRealizeBounds
 | ControlAtPos
 | ContainsControl
 | DoAdjustClientRectChange
 | InvalidateClientRectCache
 | ClientRectNeedsInterfaceUpdate
 | SetBounds
 | GetChildrenRect
 | DisableAlign
 | EnableAlign
 | ReAlign
 | ScrollBy_WS
 | ScrollBy
 | WriteLayoutDebugReport
 | AutoAdjustLayout
 | Create
 | CreateParented
 | CreateParentedControl
 | Destroy
 | DockDrop
 | CanFocus
 | CanSetFocus
 | GetControlIndex
 | SetControlIndex
 | Focused
 | PerformTab
 | FindChildControl
 | SelectNext
 | SetTempCursor
 | BroadCast
 | NotifyControls
 | DefaultHandler
 | GetTextLen
 | Invalidate
 | AddControl
 | InsertControl
 | RemoveControl
 | GetEnumeratorControls
 | GetEnumeratorControlsReverse
 | Repaint
 | Update
 | SetFocus
 | FlipChildren
 | ScaleBy
 | GetDockCaption
 | UpdateDockCaption
 | GetTabOrderList
 | HandleAllocated
 | ParentHandlesAllocated
 | HandleNeeded
 | BrushCreated
 | EraseBackground
 | IntfUTF8KeyPress
 | IntfGetDropFilesTarget
 | PaintTo
 | SetShape
TControl
pt | WSRegisterClass
pt | GetCursor
pt | SetCursor
pt | SetVisible
pt | DoOnParentHandleDestruction
pt | DoAutoSize
pt | DoAllAutoSize
pt | BeginAutoSizing
pt | EndAutoSizing
pt | AnchorSideChanged
pt | ForeignAnchorSideChanged
pt | SetAlign
pt | SetAnchors
pt | SetAutoSize
pt | BoundsChanged
pt | CreateControlBorderSpacing
pt | DoConstraintsChange
pt | DoBorderSpacingChange
pt | IsBorderSpacingInnerBorderStored
pt | IsCaptionStored
pt | SendMoveSizeMessages
pt | ConstrainedResize
pt | CalculatePreferredSize
pt | DoOnResize
pt | DoOnChangeBounds
pt | CheckOnChangeBounds
pt | Resize
pt | RequestAlign
pt | UpdateAnchorRules
pt | ChangeBounds
pt | DoSetBounds
pt | ScaleConstraints
pt | ChangeScale
pt | CanAutoSize
pt | SetBiDiMode
pt | SetParentBiDiMode
pt | IsAParentAligning
pt | GetClientOrigin
pt | GetClientRect
pt | GetLogicalClientRect
pt | GetScrolledClientRect
pt | GetClientScrollOffset
pt | GetControlOrigin
pt | IsClientHeightStored
pt | IsClientWidthStored
pt | WidthIsAnchored
pt | HeightIsAnchored
pt | WMCancelMode
pt | WMContextMenu
pt | WMLButtonDown
pt | WMRButtonDown
pt | WMMButtonDown
pt | WMXButtonDown
pt | WMLButtonDBLCLK
pt | WMRButtonDBLCLK
pt | WMMButtonDBLCLK
pt | WMXButtonDBLCLK
pt | WMLButtonTripleCLK
pt | WMRButtonTripleCLK
pt | WMMButtonTripleCLK
pt | WMXButtonTripleCLK
pt | WMLButtonQuadCLK
pt | WMRButtonQuadCLK
pt | WMMButtonQuadCLK
pt | WMXButtonQuadCLK
pt | WMMouseMove
pt | WMLButtonUp
pt | WMRButtonUp
pt | WMMButtonUp
pt | WMXButtonUp
pt | WMMouseWheel
pt | WMMouseHWheel
pt | WMMove
pt | WMSize
pt | WMWindowPosChanged
pt | CMChanged
pt | LMCaptureChanged
pt | CMBiDiModeChanged
pt | CMSysFontChanged
pt | CMEnabledChanged
pt | CMHitTest
pt | CMMouseEnter
pt | CMMouseLeave
pt | CMHintShow
pt | CMParentBiDiModeChanged
pt | CMParentColorChanged
pt | CMParentFontChanged
pt | CMParentShowHintChanged
pt | CMVisibleChanged
pt | CMTextChanged
pt | CMCursorChanged
pt | CalculateDockSizes
pt | CreateFloatingDockSite
pt | GetDockEdge
pt | GetDragImages
pt | GetFloating
pt | GetFloatingDockSiteClass
pt | BeforeDragStart
pt | BeginAutoDrag
pt | DoFloatMsg
pt | DockTrackNoTarget
pt | DoDock
pt | DoDragMsg
pt | DoEndDock
pt | DoEndDrag
pt | DoStartDock
pt | DoStartDrag
pt | DragCanceled
pt | DragOver
pt | PositionDockRect
pt | SetDragMode
pt | GetDefaultDockCaption
pt | Click
pt | DblClick
pt | TripleClick
pt | QuadClick
pt | GetMousePosFromMessage
pt | MouseDown
pt | MouseMove
pt | MouseUp
pt | MouseEnter
pt | MouseLeave
pt | DialogChar
pt | UpdateMouseCursor
pt | Changed
pt | GetPalette
pt | ChildClassAllowed
pt | ReadState
pt | Loaded
pt | LoadedAll
pt | DefineProperties
pt | AssignTo
pt | FormEndUpdated
pt | InvalidateControl
pt | FontChanged
pt | ParentFontChanged
pt | GetAction
pt | RealGetText
pt | RealSetText
pt | TextChanged
pt | GetCachedText
pt | SetAction
pt | SetColor
pt | SetEnabled
pt | SetHint
pt | SetName
pt | SetParent
pt | SetParentComponent
pt | WndProc
pt | ParentFormHandleInitialized
pt | GetMouseCapture
pt | CaptureChanged
pt | Notification
pt | CanTab
pt | GetDeviceContext
pt | GetEnabled
pt | GetPopupMenu
pt | DoOnShowHint
pt | DoMouseWheel
pt | DoMouseWheelDown
pt | DoMouseWheelUp
pt | DoMouseWheelHorz
pt | DoMouseWheelLeft
pt | DoMouseWheelRight
pt | VisibleChanging
pt | VisibleChanged
pt | EnabledChanging
pt | EnabledChanged
pt | AddHandler
pt | RemoveHandler
pt | DoCallNotifyHandler
pt | DoCallKeyEventHandler
pt | DoCallMouseWheelEventHandler
pt | DoContextPopup
pt | SetZOrder
pt | GetControlClassDefaultSize
pt | ColorIsStored
pt | DoAutoAdjustLayout
pt | DoFixDesignFontPPI
pt | DoScaleFontPPI
pt | GetActionLinkClass
pt | ActionChange
 | DragDrop
 | Dock
 | ManualDock
 | ManualFloat
 | ReplaceDockedControl
 | Docked
 | Dragging
 | GetAccessibleObject
 | CreateAccessibleObject
 | GetSelectedChildAccessibleObject
 | GetChildAccessibleObjectAtPos
 | ScaleDesignToForm
 | ScaleFormToDesign
 | Scale96ToForm
 | ScaleFormTo96
 | Scale96ToFont
 | ScaleFontTo96
 | ScaleScreenToFont
 | ScaleFontToScreen
 | Scale96ToScreen
 | ScaleScreenTo96
 | AdjustSize
 | AutoSizePhases
 | AutoSizeDelayed
 | AutoSizeDelayedReport
 | AutoSizeDelayedHandle
 | AnchorToNeighbour
 | AnchorParallel
 | AnchorHorizontalCenterTo
 | AnchorVerticalCenterTo
 | AnchorToCompanion
 | AnchorSame
 | AnchorAsAlign
 | AnchorClient
 | AnchoredControlCount
 | SetBounds
 | SetInitialBounds
 | SetBoundsKeepBase
 | GetPreferredSize
 | GetCanvasScaleFactor
 | GetDefaultWidth
 | GetDefaultHeight
 | GetDefaultColor
 | GetColorResolvingParent
 | GetRGBColorResolvingParent
 | GetSidePosition
 | CNPreferredSizeChanged
 | InvalidatePreferredSize
 | GetAnchorsDependingOnParent
 | DisableAutoSizing
 | EnableAutoSizing
 | UpdateBaseBounds
 | WriteLayoutDebugReport
 | AutoAdjustLayout
 | ShouldAutoAdjust
 | FixDesignFontsPPI
 | ScaleFontsPPI
 | Create
 | Destroy
 | BeforeDestruction
 | EditingDone
 | ExecuteDefaultAction
 | ExecuteCancelAction
 | BeginDrag
 | EndDrag
 | BringToFront
 | HasParent
 | GetParentComponent
 | IsParentOf
 | GetTopParent
 | IsVisible
 | IsControlVisible
 | IsEnabled
 | IsParentColor
 | IsParentFont
 | FormIsUpdating
 | IsProcessingPaintMsg
 | Hide
 | Refresh
 | Repaint
 | Invalidate
 | CheckChildClassAllowed
 | CheckNewParent
 | SendToBack
 | SetTempCursor
 | UpdateRolesForForm
 | ActiveDefaultControlChanged
 | GetTextBuf
 | GetTextLen
 | SetTextBuf
 | Perform
 | ScreenToClient
 | ClientToScreen
 | ScreenToControl
 | ControlToScreen
 | ClientToParent
 | ParentToClient
 | GetChildrenRect
 | Show
 | Update
 | HandleObjectShouldBeVisible
 | ParentDestroyingHandle
 | ParentHandlesAllocated
 | InitiateAction
 | ShowHelp
 | HasHelp
 | RemoveAllHandlersOfObject
 | AddHandlerOnResize
 | RemoveHandlerOnResize
 | AddHandlerOnChangeBounds
 | RemoveHandlerOnChangeBounds
 | AddHandlerOnVisibleChanging
 | RemoveHandlerOnVisibleChanging
 | AddHandlerOnVisibleChanged
 | RemoveHandlerOnVisibleChanged
 | AddHandlerOnEnabledChanged
 | RemoveHandlerOnEnableChanging
 | AddHandlerOnKeyDown
 | RemoveHandlerOnKeyDown
 | AddHandlerOnBeforeDestruction
 | RemoveHandlerOnBeforeDestruction
 | AddHandlerOnMouseWheel
 | RemoveHandlerOnMouseWheel
 | UseRightToLeftAlignment
 | UseRightToLeftReading
 | UseRightToLeftScrollBar
 | IsRightToLeft
TLCLComponent
pt | WSRegisterClass
pt | GetWSComponentClass
 | Create
 | Destroy
 | NewInstance
 | RemoveAllHandlersOfObject
 | IncLCLRefCount
 | DecLCLRefCount
TComponent
 | GetComObject
 | GetComponent
 | GetComponentCount
 | GetComponentIndex
 | Insert
 | ReadLeft
 | ReadTop
 | Remove
 | RemoveNotification
 | SetComponentIndex
 | SetReference
 | WriteLeft
 | WriteTop
 | ChangeName
 | DefineProperties
 | GetChildren
 | GetChildOwner
 | GetChildParent
 | GetOwner
 | Loaded
 | Loading
 | Notification
 | PaletteCreated
 | ReadState
 | SetAncestor
 | SetDesigning
 | SetDesignInstance
 | SetInline
 | SetName
 | SetChildOrder
 | SetParentComponent
 | Updating
 | Updated
 | UpdateRegistry
 | ValidateRename
 | ValidateContainer
 | ValidateInsert
 | QueryInterface
 | _AddRef
 | _Release
 | iicrGetComponent
 | GetTypeInfoCount
 | GetTypeInfo
 | GetIDsOfNames
 | Invoke
 | WriteState
 | Create
 | Destroy
 | BeforeDestruction
 | DestroyComponents
 | Destroying
 | ExecuteAction
 | FindComponent
 | FreeNotification
 | RemoveFreeNotification
 | FreeOnRelease
 | GetEnumerator
 | GetNamePath
 | GetParentComponent
 | HasParent
 | InsertComponent
 | RemoveComponent
 | SafeCallException
 | SetSubComponent
 | UpdateAction
 | IsImplementorOf
 | ReferenceInterface
TPersistent
 | AssignError
 | AssignTo
 | DefineProperties
 | GetOwner
 | Destroy
 | Assign
 | FPOAttachObserver
 | FPODetachObserver
 | FPONotifyObservers
 | GetNamePath
TObject
 | Create
 | Destroy
 | newinstance
 | FreeInstance
 | SafeCallException
 | DefaultHandler
 | Free
 | InitInstance
 | CleanupInstance
 | ClassType
 | ClassInfo
 | ClassName
 | ClassNameIs
 | ClassParent
 | InstanceSize
 | InheritsFrom
 | StringMessageTable
 | MethodAddress
 | MethodName
 | FieldAddress
 | AfterConstruction
 | BeforeDestruction
 | DefaultHandlerStr
 | Dispatch
 | DispatchStr
 | GetInterface
 | GetInterfaceByStr
 | GetInterfaceWeak
 | GetInterfaceEntry
 | GetInterfaceEntryByStr
 | GetInterfaceTable
 | UnitName
 | Equals
 | GetHashCode
 | ToString


TListView
pl | ro | OnAdvancedCustomDraw
pl | ro | OnAdvancedCustomDrawItem
pl | ro | OnAdvancedCustomDrawSubItem
pl | ro | OnChange
pl | ro | OnClick
pl | ro | OnColumnClick
pl | ro | OnCompare
pl | ro | OnContextPopup
pl | ro | OnCreateItemClass
pl | ro | OnCustomDraw
pl | ro | OnCustomDrawItem
pl | ro | OnCustomDrawSubItem
pl | ro | OnData
pl | ro | OnDataFind
pl | ro | OnDataHint
pl | ro | OnDataStateChange
pl | ro | OnDblClick
pl | ro | OnDeletion
pl | ro | OnDragDrop
pl | ro | OnDragOver
pl | ro | OnDrawItem
pl | ro | OnEdited
pl | ro | OnEditing
pl | ro | OnEndDock
pl | ro | OnEndDrag
pl | ro | OnEnter
pl | ro | OnExit
pl | ro | OnInsert
pl | ro | OnItemChecked
pl | ro | OnKeyDown
pl | ro | OnKeyPress
pl | ro | OnKeyUp
pl | ro | OnMouseDown
pl | ro | OnMouseEnter
pl | ro | OnMouseLeave
pl | ro | OnMouseMove
pl | ro | OnMouseUp
pl | ro | OnMouseWheel
pl | ro | OnMouseWheelDown
pl | ro | OnMouseWheelUp
pl | ro | OnMouseWheelHorz
pl | ro | OnMouseWheelLeft
pl | ro | OnMouseWheelRight
pl | ro | OnResize
pl | ro | OnSelectItem
pl | ro | OnShowHint
pl | ro | OnStartDock
pl | ro | OnStartDrag
pl | ro | OnUTF8KeyPress
TCustomListView
pt |  | OnChange
pt |  | OnColumnClick
pt |  | OnCompare
pt |  | OnCreateItemClass
pt |  | OnData
pt |  | OnDataFind
pt |  | OnDataHint
pt |  | OnDataStateChange
pt |  | OnDeletion
pt |  | OnEdited
pt |  | OnEditing
pt |  | OnInsert
pt |  | OnItemChecked
pt |  | OnSelectItem
pt |  | OnCustomDraw
pt |  | OnCustomDrawItem
pt |  | OnCustomDrawSubItem
pt |  | OnDrawItem
pt |  | OnAdvancedCustomDraw
pt |  | OnAdvancedCustomDrawItem
pt |  | OnAdvancedCustomDrawSubItem
TWinControl
pt |  | OnGetSiteInfo
pt |  | OnGetDockCaption
 |  | OnAlignInsertBefore
 |  | OnAlignPosition
 |  | OnDockDrop
 |  | OnDockOver
 |  | OnEnter
 |  | OnExit
 |  | OnKeyDown
 |  | OnKeyPress
 |  | OnKeyUp
 |  | OnUnDock
 |  | OnUTF8KeyPress
TControl
pt |  | OnConstrainedResize
pt |  | OnContextPopup
pt |  | OnDblClick
pt |  | OnTripleClick
pt |  | OnQuadClick
pt |  | OnDragDrop
pt |  | OnDragOver
pt |  | OnEndDock
pt |  | OnEndDrag
pt |  | OnMouseDown
pt |  | OnMouseMove
pt |  | OnMouseUp
pt |  | OnMouseEnter
pt |  | OnMouseLeave
pt |  | OnMouseWheel
pt |  | OnMouseWheelDown
pt |  | OnMouseWheelUp
pt |  | OnMouseWheelHorz
pt |  | OnMouseWheelLeft
pt |  | OnMouseWheelRight
pt |  | OnStartDock
pt |  | OnStartDrag
pt |  | OnEditingDone
 |  | OnChangeBounds
 |  | OnClick
 |  | OnResize
 |  | OnShowHint
TLCLComponent
TComponent
TPersistent
TObject


pt |  | OnAdvancedCustomDraw (TCustomListView)
pl | ro | OnAdvancedCustomDraw (TListView)
pt |  | OnAdvancedCustomDrawItem (TCustomListView)
pl | ro | OnAdvancedCustomDrawItem (TListView)
pt |  | OnAdvancedCustomDrawSubItem (TCustomListView)
pl | ro | OnAdvancedCustomDrawSubItem (TListView)
 |  | OnAlignInsertBefore (TWinControl)
 |  | OnAlignPosition (TWinControl)
pt |  | OnChange (TCustomListView)
pl | ro | OnChange (TListView)
 |  | OnChangeBounds (TControl)
 |  | OnClick (TControl)
pl | ro | OnClick (TListView)
pt |  | OnColumnClick (TCustomListView)
pl | ro | OnColumnClick (TListView)
pt |  | OnCompare (TCustomListView)
pl | ro | OnCompare (TListView)
pt |  | OnConstrainedResize (TControl)
pt |  | OnContextPopup (TControl)
pl | ro | OnContextPopup (TListView)
pt |  | OnCreateItemClass (TCustomListView)
pl | ro | OnCreateItemClass (TListView)
pt |  | OnCustomDraw (TCustomListView)
pl | ro | OnCustomDraw (TListView)
pt |  | OnCustomDrawItem (TCustomListView)
pl | ro | OnCustomDrawItem (TListView)
pt |  | OnCustomDrawSubItem (TCustomListView)
pl | ro | OnCustomDrawSubItem (TListView)
pt |  | OnData (TCustomListView)
pl | ro | OnData (TListView)
pt |  | OnDataFind (TCustomListView)
pl | ro | OnDataFind (TListView)
pt |  | OnDataHint (TCustomListView)
pl | ro | OnDataHint (TListView)
pt |  | OnDataStateChange (TCustomListView)
pl | ro | OnDataStateChange (TListView)
pt |  | OnDblClick (TControl)
pl | ro | OnDblClick (TListView)
pt |  | OnDeletion (TCustomListView)
pl | ro | OnDeletion (TListView)
 |  | OnDockDrop (TWinControl)
 |  | OnDockOver (TWinControl)
pt |  | OnDragDrop (TControl)
pl | ro | OnDragDrop (TListView)
pt |  | OnDragOver (TControl)
pl | ro | OnDragOver (TListView)
pt |  | OnDrawItem (TCustomListView)
pl | ro | OnDrawItem (TListView)
pt |  | OnEdited (TCustomListView)
pl | ro | OnEdited (TListView)
pt |  | OnEditing (TCustomListView)
pl | ro | OnEditing (TListView)
pt |  | OnEditingDone (TControl)
pt |  | OnEndDock (TControl)
pl | ro | OnEndDock (TListView)
pt |  | OnEndDrag (TControl)
pl | ro | OnEndDrag (TListView)
 |  | OnEnter (TWinControl)
pl | ro | OnEnter (TListView)
 |  | OnExit (TWinControl)
pl | ro | OnExit (TListView)
pt |  | OnGetDockCaption (TWinControl)
pt |  | OnGetSiteInfo (TWinControl)
pt |  | OnInsert (TCustomListView)
pl | ro | OnInsert (TListView)
pt |  | OnItemChecked (TCustomListView)
pl | ro | OnItemChecked (TListView)
 |  | OnKeyDown (TWinControl)
pl | ro | OnKeyDown (TListView)
 |  | OnKeyPress (TWinControl)
pl | ro | OnKeyPress (TListView)
 |  | OnKeyUp (TWinControl)
pl | ro | OnKeyUp (TListView)
pt |  | OnMouseDown (TControl)
pl | ro | OnMouseDown (TListView)
pt |  | OnMouseEnter (TControl)
pl | ro | OnMouseEnter (TListView)
pt |  | OnMouseLeave (TControl)
pl | ro | OnMouseLeave (TListView)
pt |  | OnMouseMove (TControl)
pl | ro | OnMouseMove (TListView)
pt |  | OnMouseUp (TControl)
pl | ro | OnMouseUp (TListView)
pt |  | OnMouseWheel (TControl)
pl | ro | OnMouseWheel (TListView)
pt |  | OnMouseWheelDown (TControl)
pl | ro | OnMouseWheelDown (TListView)
pt |  | OnMouseWheelHorz (TControl)
pl | ro | OnMouseWheelHorz (TListView)
pt |  | OnMouseWheelLeft (TControl)
pl | ro | OnMouseWheelLeft (TListView)
pt |  | OnMouseWheelRight (TControl)
pl | ro | OnMouseWheelRight (TListView)
pt |  | OnMouseWheelUp (TControl)
pl | ro | OnMouseWheelUp (TListView)
pt |  | OnQuadClick (TControl)
 |  | OnResize (TControl)
pl | ro | OnResize (TListView)
pt |  | OnSelectItem (TCustomListView)
pl | ro | OnSelectItem (TListView)
 |  | OnShowHint (TControl)
pl | ro | OnShowHint (TListView)
pt |  | OnStartDock (TControl)
pl | ro | OnStartDock (TListView)
pt |  | OnStartDrag (TControl)
pl | ro | OnStartDrag (TListView)
pt |  | OnTripleClick (TControl)
 |  | OnUnDock (TWinControl)
 |  | OnUTF8KeyPress (TWinControl)
pl | ro | OnUTF8KeyPress (TListView)


TListView.Checkboxes

Declaration

Source position: comctrls.pp line 1662

published property TListView.Checkboxes : Boolean;


TListView.ColumnClick

Declaration

Source position: comctrls.pp line 1665

published property TListView.ColumnClick : Boolean;


TListView.Columns

Declaration

Source position: comctrls.pp line 1664

published property TListView.Columns : TListColumns;


TListView.DragKind

Declaration

Source position: comctrls.pp line 1668

published property TListView.DragKind : TDragKind;


TListView.HideSelection

Declaration

Source position: comctrls.pp line 1673

published property TListView.HideSelection : Boolean;


TListView.Items

Declaration

Source position: comctrls.pp line 1677

published property TListView.Items : TListItems;


TListView.LargeImages

Declaration

Source position: comctrls.pp line 1678

published property TListView.LargeImages : TCustomImageList;


TListView.LargeImagesWidth

Declaration

Source position: comctrls.pp line 1679

published property TListView.LargeImagesWidth : Integer;


TListView.MultiSelect

Declaration

Source position: comctrls.pp line 1680

published property TListView.MultiSelect : Boolean;


TListView.OnAdvancedCustomDraw

Declaration

Source position: comctrls.pp line 1704

published property TListView.OnAdvancedCustomDraw : TLVAdvancedCustomDrawEvent;


TListView.OnAdvancedCustomDrawItem

Declaration

Source position: comctrls.pp line 1705

published property TListView.OnAdvancedCustomDrawItem : TLVAdvancedCustomDrawItemEvent;


TListView.OnAdvancedCustomDrawSubItem

Declaration

Source position: comctrls.pp line 1706

published property TListView.OnAdvancedCustomDrawSubItem : TLVAdvancedCustomDrawSubItemEvent;


TListView.OnChange

Declaration

Source position: comctrls.pp line 1707

published property TListView.OnChange : TLVChangeEvent;


TListView.OnColumnClick

Declaration

Source position: comctrls.pp line 1709

published property TListView.OnColumnClick : TLVColumnClickEvent;


TListView.OnCompare

Declaration

Source position: comctrls.pp line 1710

published property TListView.OnCompare : TLVCompareEvent;


TListView.OnCreateItemClass

Declaration

Source position: comctrls.pp line 1712

published property TListView.OnCreateItemClass : TLVCreateItemClassEvent;


TListView.OnCustomDraw

Declaration

Source position: comctrls.pp line 1713

published property TListView.OnCustomDraw : TLVCustomDrawEvent;


TListView.OnCustomDrawItem

Declaration

Source position: comctrls.pp line 1714

published property TListView.OnCustomDrawItem : TLVCustomDrawItemEvent;


TListView.OnCustomDrawSubItem

Declaration

Source position: comctrls.pp line 1715

published property TListView.OnCustomDrawSubItem : TLVCustomDrawSubItemEvent;


TListView.OnDeletion

Declaration

Source position: comctrls.pp line 1721

published property TListView.OnDeletion : TLVDeletedEvent;


TListView.OnDrawItem

Declaration

Source position: comctrls.pp line 1724

published property TListView.OnDrawItem : TLVDrawItemEvent;


TListView.OnEdited

Declaration

Source position: comctrls.pp line 1725

published property TListView.OnEdited : TLVEditedEvent;


TListView.OnEditing

Declaration

Source position: comctrls.pp line 1726

published property TListView.OnEditing : TLVEditingEvent;


TListView.OnEndDock

Declaration

Source position: comctrls.pp line 1727

published property TListView.OnEndDock : TEndDragEvent;


TListView.OnEnter

Declaration

Source position: comctrls.pp line 1729

published property TListView.OnEnter : TNotifyEvent;


TListView.OnExit

Declaration

Source position: comctrls.pp line 1730

published property TListView.OnExit : TNotifyEvent;


TListView.OnItemChecked

Declaration

Source position: comctrls.pp line 1732

published property TListView.OnItemChecked : TLVCheckedItemEvent;


TListView.OnMouseEnter

Declaration

Source position: comctrls.pp line 1737

published property TListView.OnMouseEnter : TNotifyEvent;


TListView.OnMouseLeave

Declaration

Source position: comctrls.pp line 1738

published property TListView.OnMouseLeave : TNotifyEvent;


TListView.OnMouseWheel

Declaration

Source position: comctrls.pp line 1741

published property TListView.OnMouseWheel : TMouseWheelEvent;


TListView.OnMouseWheelDown

Declaration

Source position: comctrls.pp line 1742

published property TListView.OnMouseWheelDown : TMouseWheelUpDownEvent;


TListView.OnMouseWheelHorz

Declaration

Source position: comctrls.pp line 1744

published property TListView.OnMouseWheelHorz : TMouseWheelEvent;


TListView.OnMouseWheelLeft

Declaration

Source position: comctrls.pp line 1745

published property TListView.OnMouseWheelLeft : TMouseWheelUpDownEvent;


TListView.OnMouseWheelRight

Declaration

Source position: comctrls.pp line 1746

published property TListView.OnMouseWheelRight : TMouseWheelUpDownEvent;


TListView.OnMouseWheelUp

Declaration

Source position: comctrls.pp line 1743

published property TListView.OnMouseWheelUp : TMouseWheelUpDownEvent;


TListView.OnSelectItem

Declaration

Source position: comctrls.pp line 1748

published property TListView.OnSelectItem : TLVSelectItemEvent;


TListView.OnShowHint

Declaration

Source position: comctrls.pp line 1749

published property TListView.OnShowHint : TControlShowHintEvent;


TListView.OnStartDock

Declaration

Source position: comctrls.pp line 1750

published property TListView.OnStartDock : TStartDockEvent;


TListView.ParentColor

Declaration

Source position: comctrls.pp line 1683

published property TListView.ParentColor : Boolean
  default False;


TListView.ReadOnly

Declaration

Source position: comctrls.pp line 1687

published property TListView.ReadOnly : Boolean;


TListView.RowSelect

Declaration

Source position: comctrls.pp line 1688

published property TListView.RowSelect : Boolean;


TListView.ScrollBars

Declaration

Source position: comctrls.pp line 1689

published property TListView.ScrollBars : TScrollStyle;


TListView.ShowColumnHeaders

Declaration

Source position: comctrls.pp line 1690

published property TListView.ShowColumnHeaders : Boolean;


TListView.SmallImages

Declaration

Source position: comctrls.pp line 1692

published property TListView.SmallImages : TCustomImageList;


TListView.SmallImagesWidth

Declaration

Source position: comctrls.pp line 1693

published property TListView.SmallImagesWidth : Integer;


TListView.SortColumn

Declaration

Source position: comctrls.pp line 1694

published property TListView.SortColumn : Integer;


TListView.SortType

Declaration

Source position: comctrls.pp line 1696

published property TListView.SortType : TSortType;


TListView.StateImages

Declaration

Source position: comctrls.pp line 1697

published property TListView.StateImages : TCustomImageList;


TListView.StateImagesWidth

Declaration

Source position: comctrls.pp line 1698

published property TListView.StateImagesWidth : Integer;


TListView.ToolTips

Declaration

Source position: comctrls.pp line 1701

published property TListView.ToolTips : Boolean;


TListView.ViewStyle

Declaration

Source position: comctrls.pp line 1703

published property TListView.ViewStyle : TViewStyle;


TListViewFlag

TListViewFlag - enumerated type (currently containing only one value) for List View flag

Declaration

Source position: comctrls.pp line 1345

type TListViewFlag = (

  lffSelectedValid,

  lffItemsMoving,

  lffItemsSorting,

  lffPreparingSorting

);


TListViewFlags

TListViewFlags - set of TListViewFlag

Declaration

Source position: comctrls.pp line 1351

type TListViewFlags = set of (

  lffSelectedValid,

  lffItemsMoving,

  lffItemsSorting,

  lffPreparingSorting

);


TListViewImageList

TListViewImageList - enumerated type denoting the category of image list

Declaration

Source position: comctrls.pp line 1340

type TListViewImageList = (

  lvilSmall,

  lvilLarge,

  lvilState

);


TListViewProperties

TListViewProperties - set of TListViewProperty

Declaration

Source position: comctrls.pp line 1338

type TListViewProperties = set of (

  lvpAutoArrange,

  lvpCheckboxes,

  lvpColumnClick,

  lvpFlatScrollBars,

  lvpFullDrag,

  lvpGridLines,

  lvpHideSelection,

  lvpHotTrack,

  lvpMultiSelect,

  lvpOwnerDraw,

  lvpReadOnly,

  lvpRowSelect,

  lvpShowColumnHeaders,

  lvpShowWorkAreas,

  lvpWrapText,

  lvpToolTips

);


TListViewProperty

TListViewProperty - enumerated type: a series of constants denoting the properties of a listview

Declaration

Source position: comctrls.pp line 1320

type TListViewProperty = (

  lvpAutoArrange,

  lvpCheckboxes,

  lvpColumnClick,

  lvpFlatScrollBars,

  lvpFullDrag,

  lvpGridLines,

  lvpHideSelection,

  lvpHotTrack,

  lvpMultiSelect,

  lvpOwnerDraw,

  lvpReadOnly,

  lvpRowSelect,

  lvpShowColumnHeaders,

  lvpShowWorkAreas,

  lvpWrapText,

  lvpToolTips

);

Description

TListViewProperty - enumerated type: a series of constants denoting the properties of a listview

lvpAutoArrange,
    lvpCheckboxes,
    lvpColumnClick,
    lvpFlatScrollBars,
    lvpFullDrag,
    lvpGridLines,
    lvpHideSelection,
    lvpHotTrack,
    lvpMultiSelect,
    lvpOwnerDraw,
    lvpReadOnly,
    lvpRowSelect,
    lvpShowColumnHeaders,
    lvpShowWorkAreas,
    lvpWrapText,
    lvpToolTips


TNBBasePages

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Declaration

Source position: comctrls.pp line 288

type TNBBasePages = class(TStrings)

protected

  function IndexOfPage(); virtual; abstract;

  procedure InsertPage(); virtual; abstract;

  procedure DeletePage(); virtual; abstract;

  function GetPage(); virtual; abstract;

public

  constructor Create(); virtual;

end;

Inheritance

TNBBasePages
|

TStrings
|

TPersistent,IFPObserved
|

TObject


TNBBasePages
TStrings
 | ro | UpdateCount
 |  | TextLineBreakStyle
 |  | Delimiter
 |  | DelimitedText
 |  | LineBreak
 |  | StrictDelimiter
 |  | QuoteChar
 |  | NameValueSeparator
 |  | ValueFromIndex
 |  | Capacity
 |  | CommaText
 | ro | Count
 | ro | Names
 |  | Objects
 |  | Values
 |  | Strings
 |  | Text
 |  | StringsAdapter
 |  | SkipLastLineBreak
TPersistent
TObject


ro | Count (TStrings)
 | DelimitedText (TStrings)
 | Delimiter (TStrings)
 | LineBreak (TStrings)
ro | Names (TStrings)
 | NameValueSeparator (TStrings)
 | Objects (TStrings)
 | QuoteChar (TStrings)
 | SkipLastLineBreak (TStrings)
 | StrictDelimiter (TStrings)
 | Strings (TStrings)
 | StringsAdapter (TStrings)
 | Text (TStrings)
 | TextLineBreakStyle (TStrings)
ro | UpdateCount (TStrings)
 | ValueFromIndex (TStrings)
 | Values (TStrings)


TNBBasePages
pt | IndexOfPage
pt | InsertPage
pt | DeletePage
pt | GetPage
 | Create
TStrings
 | GetCommaText
 | GetName
 | GetValue
 | GetLBS
 | SetLBS
 | ReadData
 | SetCommaText
 | SetStringsAdapter
 | SetValue
 | SetDelimiter
 | SetQuoteChar
 | SetNameValueSeparator
 | WriteData
 | DoSetTextStr
 | GetDelimiter
 | GetNameValueSeparator
 | GetQuoteChar
 | GetLineBreak
 | SetLineBreak
 | GetSkipLastLineBreak
 | SetSkipLastLineBreak
 | DefineProperties
 | Error
 | Get
 | GetCapacity
 | GetCount
 | GetObject
 | GetTextStr
 | Put
 | PutObject
 | SetCapacity
 | SetTextStr
 | SetUpdateState
 | DoCompareText
 | GetDelimitedText
 | SetDelimitedText
 | GetValueFromIndex
 | SetValueFromIndex
 | CheckSpecialChars
 | GetNextLine
 | GetNextLinebreak
 | Destroy
 | Add
 | AddObject
 | Append
 | AddStrings
 | AddText
 | Assign
 | BeginUpdate
 | Clear
 | Delete
 | EndUpdate
 | Equals
 | Exchange
 | GetEnumerator
 | GetText
 | IndexOf
 | IndexOfName
 | IndexOfObject
 | Insert
 | InsertObject
 | LoadFromFile
 | LoadFromStream
 | Move
 | SaveToFile
 | SaveToStream
 | SetText
 | GetNameValue
 | ExtractName
TPersistent
 | AssignError
 | AssignTo
 | DefineProperties
 | GetOwner
 | Destroy
 | Assign
 | FPOAttachObserver
 | FPODetachObserver
 | FPONotifyObservers
 | GetNamePath
TObject
 | Create
 | Destroy
 | newinstance
 | FreeInstance
 | SafeCallException
 | DefaultHandler
 | Free
 | InitInstance
 | CleanupInstance
 | ClassType
 | ClassInfo
 | ClassName
 | ClassNameIs
 | ClassParent
 | InstanceSize
 | InheritsFrom
 | StringMessageTable
 | MethodAddress
 | MethodName
 | FieldAddress
 | AfterConstruction
 | BeforeDestruction
 | DefaultHandlerStr
 | Dispatch
 | DispatchStr
 | GetInterface
 | GetInterfaceByStr
 | GetInterfaceWeak
 | GetInterfaceEntry
 | GetInterfaceEntryByStr
 | GetInterfaceTable
 | UnitName
 | Equals
 | GetHashCode
 | ToString


 | Add (TStrings)
 | AddObject (TStrings)
 | AddStrings (TStrings)
 | AddText (TStrings)
 | AfterConstruction (TObject)
 | Append (TStrings)
 | Assign (TPersistent)
 | Assign (TStrings)
 | AssignError (TPersistent)
 | AssignTo (TPersistent)
 | BeforeDestruction (TObject)
 | BeginUpdate (TStrings)
 | CheckSpecialChars (TStrings)
 | ClassInfo (TObject)
 | ClassName (TObject)
 | ClassNameIs (TObject)
 | ClassParent (TObject)
 | ClassType (TObject)
 | CleanupInstance (TObject)
 | Clear (TStrings)
 | Create (TObject)
 | Create (TNBBasePages)
 | DefaultHandler (TObject)
 | DefaultHandlerStr (TObject)
 | DefineProperties (TPersistent)
 | DefineProperties (TStrings)
 | Delete (TStrings)
pt | DeletePage (TNBBasePages)
 | Destroy (TObject)
 | Destroy (TPersistent)
 | Destroy (TStrings)
 | Dispatch (TObject)
 | DispatchStr (TObject)
 | DoCompareText (TStrings)
 | DoSetTextStr (TStrings)
 | EndUpdate (TStrings)
 | Equals (TObject)
 | Equals (TStrings)
 | Error (TStrings)
 | Exchange (TStrings)
 | ExtractName (TStrings)
 | FieldAddress (TObject)
 | FPOAttachObserver (TPersistent)
 | FPODetachObserver (TPersistent)
 | FPONotifyObservers (TPersistent)
 | Free (TObject)
 | FreeInstance (TObject)
 | Get (TStrings)
 | GetCapacity (TStrings)
 | GetCommaText (TStrings)
 | GetCount (TStrings)
 | GetDelimitedText (TStrings)
 | GetDelimiter (TStrings)
 | GetEnumerator (TStrings)
 | GetHashCode (TObject)
 | GetInterface (TObject)
 | GetInterfaceByStr (TObject)
 | GetInterfaceEntry (TObject)
 | GetInterfaceEntryByStr (TObject)
 | GetInterfaceTable (TObject)
 | GetInterfaceWeak (TObject)
 | GetLBS (TStrings)
 | GetLineBreak (TStrings)
 | GetName (TStrings)
 | GetNamePath (TPersistent)
 | GetNameValue (TStrings)
 | GetNameValueSeparator (TStrings)
 | GetNextLine (TStrings)
 | GetNextLinebreak (TStrings)
 | GetObject (TStrings)
 | GetOwner (TPersistent)
pt | GetPage (TNBBasePages)
 | GetQuoteChar (TStrings)
 | GetSkipLastLineBreak (TStrings)
 | GetText (TStrings)
 | GetTextStr (TStrings)
 | GetValue (TStrings)
 | GetValueFromIndex (TStrings)
 | IndexOf (TStrings)
 | IndexOfName (TStrings)
 | IndexOfObject (TStrings)
pt | IndexOfPage (TNBBasePages)
 | InheritsFrom (TObject)
 | InitInstance (TObject)
 | Insert (TStrings)
 | InsertObject (TStrings)
pt | InsertPage (TNBBasePages)
 | InstanceSize (TObject)
 | LoadFromFile (TStrings)
 | LoadFromStream (TStrings)
 | MethodAddress (TObject)
 | MethodName (TObject)
 | Move (TStrings)
 | newinstance (TObject)
 | Put (TStrings)
 | PutObject (TStrings)
 | ReadData (TStrings)
 | SafeCallException (TObject)
 | SaveToFile (TStrings)
 | SaveToStream (TStrings)
 | SetCapacity (TStrings)
 | SetCommaText (TStrings)
 | SetDelimitedText (TStrings)
 | SetDelimiter (TStrings)
 | SetLBS (TStrings)
 | SetLineBreak (TStrings)
 | SetNameValueSeparator (TStrings)
 | SetQuoteChar (TStrings)
 | SetSkipLastLineBreak (TStrings)
 | SetStringsAdapter (TStrings)
 | SetText (TStrings)
 | SetTextStr (TStrings)
 | SetUpdateState (TStrings)
 | SetValue (TStrings)
 | SetValueFromIndex (TStrings)
 | StringMessageTable (TObject)
 | ToString (TObject)
 | UnitName (TObject)
 | WriteData (TStrings)


TNBBasePages

TStrings

TPersistent

TObject


TNBBasePages.Create

Declaration

Source position: comctrls.pp line 295

public constructor TNBBasePages.Create(

  theNotebook: TCustomTabControl

); virtual;


TNBBasePages.DeletePage

Declaration

Source position: comctrls.pp line 292

protected procedure TNBBasePages.DeletePage(

  Index: Integer

); virtual; abstract;


TNBBasePages.GetPage

Declaration

Source position: comctrls.pp line 293

protected function TNBBasePages.GetPage(

  Index: Integer

):TCustomPage; virtual; abstract;


TNBBasePages.IndexOfPage

Declaration

Source position: comctrls.pp line 290

protected function TNBBasePages.IndexOfPage(

  const AnObject: TPersistent

):Integer; virtual; abstract;


TNBBasePages.InsertPage

Declaration

Source position: comctrls.pp line 291

protected procedure TNBBasePages.InsertPage(

  Index: Integer;

  const APage: TCustomPage

); virtual; abstract;


TNBBasePagesClass

Declaration

Source position: comctrls.pp line 298

type TNBBasePagesClass = class of TNBBasePages;


TNBNoPages

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Declaration

Source position: comctrls.pp line 327

type TNBNoPages = class(TNBBasePages)

protected

  function Get(); override;

  function GetCount; override;

  function IndexOfPage(); override;

  function GetPage(); override;

end;

Inheritance

TNBNoPages
|

TNBBasePages
|

TStrings
|

TPersistent,IFPObserved
|

TObject


TNBNoPages
TNBBasePages
TStrings
 | ro | UpdateCount
 |  | TextLineBreakStyle
 |  | Delimiter
 |  | DelimitedText
 |  | LineBreak
 |  | StrictDelimiter
 |  | QuoteChar
 |  | NameValueSeparator
 |  | ValueFromIndex
 |  | Capacity
 |  | CommaText
 | ro | Count
 | ro | Names
 |  | Objects
 |  | Values
 |  | Strings
 |  | Text
 |  | StringsAdapter
 |  | SkipLastLineBreak
TPersistent
TObject


TNBNoPages
pt | Get
pt | GetCount
pt | IndexOfPage
pt | GetPage
TNBBasePages
pt | IndexOfPage
pt | InsertPage
pt | DeletePage
pt | GetPage
 | Create
TStrings
 | GetCommaText
 | GetName
 | GetValue
 | GetLBS
 | SetLBS
 | ReadData
 | SetCommaText
 | SetStringsAdapter
 | SetValue
 | SetDelimiter
 | SetQuoteChar
 | SetNameValueSeparator
 | WriteData
 | DoSetTextStr
 | GetDelimiter
 | GetNameValueSeparator
 | GetQuoteChar
 | GetLineBreak
 | SetLineBreak
 | GetSkipLastLineBreak
 | SetSkipLastLineBreak
 | DefineProperties
 | Error
 | Get
 | GetCapacity
 | GetCount
 | GetObject
 | GetTextStr
 | Put
 | PutObject
 | SetCapacity
 | SetTextStr
 | SetUpdateState
 | DoCompareText
 | GetDelimitedText
 | SetDelimitedText
 | GetValueFromIndex
 | SetValueFromIndex
 | CheckSpecialChars
 | GetNextLine
 | GetNextLinebreak
 | Destroy
 | Add
 | AddObject
 | Append
 | AddStrings
 | AddText
 | Assign
 | BeginUpdate
 | Clear
 | Delete
 | EndUpdate
 | Equals
 | Exchange
 | GetEnumerator
 | GetText
 | IndexOf
 | IndexOfName
 | IndexOfObject
 | Insert
 | InsertObject
 | LoadFromFile
 | LoadFromStream
 | Move
 | SaveToFile
 | SaveToStream
 | SetText
 | GetNameValue
 | ExtractName
TPersistent
 | AssignError
 | AssignTo
 | DefineProperties
 | GetOwner
 | Destroy
 | Assign
 | FPOAttachObserver
 | FPODetachObserver
 | FPONotifyObservers
 | GetNamePath
TObject
 | Create
 | Destroy
 | newinstance
 | FreeInstance
 | SafeCallException
 | DefaultHandler
 | Free
 | InitInstance
 | CleanupInstance
 | ClassType
 | ClassInfo
 | ClassName
 | ClassNameIs
 | ClassParent
 | InstanceSize
 | InheritsFrom
 | StringMessageTable
 | MethodAddress
 | MethodName
 | FieldAddress
 | AfterConstruction
 | BeforeDestruction
 | DefaultHandlerStr
 | Dispatch
 | DispatchStr
 | GetInterface
 | GetInterfaceByStr
 | GetInterfaceWeak
 | GetInterfaceEntry
 | GetInterfaceEntryByStr
 | GetInterfaceTable
 | UnitName
 | Equals
 | GetHashCode
 | ToString


 | Add (TStrings)
 | AddObject (TStrings)
 | AddStrings (TStrings)
 | AddText (TStrings)
 | AfterConstruction (TObject)
 | Append (TStrings)
 | Assign (TPersistent)
 | Assign (TStrings)
 | AssignError (TPersistent)
 | AssignTo (TPersistent)
 | BeforeDestruction (TObject)
 | BeginUpdate (TStrings)
 | CheckSpecialChars (TStrings)
 | ClassInfo (TObject)
 | ClassName (TObject)
 | ClassNameIs (TObject)
 | ClassParent (TObject)
 | ClassType (TObject)
 | CleanupInstance (TObject)
 | Clear (TStrings)
 | Create (TObject)
 | Create (TNBBasePages)
 | DefaultHandler (TObject)
 | DefaultHandlerStr (TObject)
 | DefineProperties (TPersistent)
 | DefineProperties (TStrings)
 | Delete (TStrings)
pt | DeletePage (TNBBasePages)
 | Destroy (TObject)
 | Destroy (TPersistent)
 | Destroy (TStrings)
 | Dispatch (TObject)
 | DispatchStr (TObject)
 | DoCompareText (TStrings)
 | DoSetTextStr (TStrings)
 | EndUpdate (TStrings)
 | Equals (TObject)
 | Equals (TStrings)
 | Error (TStrings)
 | Exchange (TStrings)
 | ExtractName (TStrings)
 | FieldAddress (TObject)
 | FPOAttachObserver (TPersistent)
 | FPODetachObserver (TPersistent)
 | FPONotifyObservers (TPersistent)
 | Free (TObject)
 | FreeInstance (TObject)
 | Get (TStrings)
pt | Get (TNBNoPages)
 | GetCapacity (TStrings)
 | GetCommaText (TStrings)
 | GetCount (TStrings)
pt | GetCount (TNBNoPages)
 | GetDelimitedText (TStrings)
 | GetDelimiter (TStrings)
 | GetEnumerator (TStrings)
 | GetHashCode (TObject)
 | GetInterface (TObject)
 | GetInterfaceByStr (TObject)
 | GetInterfaceEntry (TObject)
 | GetInterfaceEntryByStr (TObject)
 | GetInterfaceTable (TObject)
 | GetInterfaceWeak (TObject)
 | GetLBS (TStrings)
 | GetLineBreak (TStrings)
 | GetName (TStrings)
 | GetNamePath (TPersistent)
 | GetNameValue (TStrings)
 | GetNameValueSeparator (TStrings)
 | GetNextLine (TStrings)
 | GetNextLinebreak (TStrings)
 | GetObject (TStrings)
 | GetOwner (TPersistent)
pt | GetPage (TNBBasePages)
pt | GetPage (TNBNoPages)
 | GetQuoteChar (TStrings)
 | GetSkipLastLineBreak (TStrings)
 | GetText (TStrings)
 | GetTextStr (TStrings)
 | GetValue (TStrings)
 | GetValueFromIndex (TStrings)
 | IndexOf (TStrings)
 | IndexOfName (TStrings)
 | IndexOfObject (TStrings)
pt | IndexOfPage (TNBBasePages)
pt | IndexOfPage (TNBNoPages)
 | InheritsFrom (TObject)
 | InitInstance (TObject)
 | Insert (TStrings)
 | InsertObject (TStrings)
pt | InsertPage (TNBBasePages)
 | InstanceSize (TObject)
 | LoadFromFile (TStrings)
 | LoadFromStream (TStrings)
 | MethodAddress (TObject)
 | MethodName (TObject)
 | Move (TStrings)
 | newinstance (TObject)
 | Put (TStrings)
 | PutObject (TStrings)
 | ReadData (TStrings)
 | SafeCallException (TObject)
 | SaveToFile (TStrings)
 | SaveToStream (TStrings)
 | SetCapacity (TStrings)
 | SetCommaText (TStrings)
 | SetDelimitedText (TStrings)
 | SetDelimiter (TStrings)
 | SetLBS (TStrings)
 | SetLineBreak (TStrings)
 | SetNameValueSeparator (TStrings)
 | SetQuoteChar (TStrings)
 | SetSkipLastLineBreak (TStrings)
 | SetStringsAdapter (TStrings)
 | SetText (TStrings)
 | SetTextStr (TStrings)
 | SetUpdateState (TStrings)
 | SetValue (TStrings)
 | SetValueFromIndex (TStrings)
 | StringMessageTable (TObject)
 | ToString (TObject)
 | UnitName (TObject)
 | WriteData (TStrings)


TNBNoPages

TNBBasePages

TStrings

TPersistent

TObject


TNBNoPages.Get

Declaration

Source position: comctrls.pp line 331

protected function TNBNoPages.Get(

  Index: Integer

):string; override;


TNBNoPages.GetCount

Declaration

Source position: comctrls.pp line 332

protected function TNBNoPages.GetCount: Integer; override;


TNBNoPages.GetPage

Declaration

Source position: comctrls.pp line 338

protected function TNBNoPages.GetPage(

  Index: Integer

):TCustomPage; override;


TNBNoPages.IndexOfPage

Declaration

Source position: comctrls.pp line 335

protected function TNBNoPages.IndexOfPage(

  const AnObject: TPersistent

):Integer; override;


TNBPages

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

TNBPages - NoteBook Pages: an array of strings containing the names of the pages

Declaration

Source position: comctrls.pp line 300

type TNBPages = class(TNBBasePages)
protected
function Get(); override; |
function GetCount; override; |
function GetObject(); override; |
procedure Put(); override; |
function IndexOfPage(); override;
procedure InsertPage(); override;
procedure DeletePage(); override;
function GetPage(); override;
property PageList: TListWithEvent; [r]
property Notebook: TCustomTabControl; [r]
public
constructor Create(); override; | Create - constructor for TNBPages: calls inherited Create then sets up the list of pages on the notebook
destructor Destroy; override;
procedure Clear; override; |
procedure Delete(); override; |
procedure Insert(); override; |
procedure Move(); override; |
end;

Inheritance

TNBPages

TNBPages - NoteBook Pages: an array of strings containing the names of the pages
|

TNBBasePages
|

TStrings
|

TPersistent,IFPObserved
|

TObject


TNBPages
pt | ro | PageList
pt | ro | Notebook
TNBBasePages
TStrings
 | ro | UpdateCount
 |  | TextLineBreakStyle
 |  | Delimiter
 |  | DelimitedText
 |  | LineBreak
 |  | StrictDelimiter
 |  | QuoteChar
 |  | NameValueSeparator
 |  | ValueFromIndex
 |  | Capacity
 |  | CommaText
 | ro | Count
 | ro | Names
 |  | Objects
 |  | Values
 |  | Strings
 |  | Text
 |  | StringsAdapter
 |  | SkipLastLineBreak
TPersistent
TObject


 | ro | Count (TStrings)
 |  | DelimitedText (TStrings)
 |  | Delimiter (TStrings)
 |  | LineBreak (TStrings)
 | ro | Names (TStrings)
 |  | NameValueSeparator (TStrings)
pt | ro | Notebook (TNBPages)
 |  | Objects (TStrings)
pt | ro | PageList (TNBPages)
 |  | QuoteChar (TStrings)
 |  | SkipLastLineBreak (TStrings)
 |  | StrictDelimiter (TStrings)
 |  | Strings (TStrings)
 |  | StringsAdapter (TStrings)
 |  | Text (TStrings)
 |  | TextLineBreakStyle (TStrings)
 | ro | UpdateCount (TStrings)
 |  | ValueFromIndex (TStrings)
 |  | Values (TStrings)


TNBPages
pt | Get
pt | GetCount
pt | GetObject
pt | Put
pt | IndexOfPage
pt | InsertPage
pt | DeletePage
pt | GetPage
 | Create
 | Destroy
 | Clear
 | Delete
 | Insert
 | Move
TNBBasePages
pt | IndexOfPage
pt | InsertPage
pt | DeletePage
pt | GetPage
 | Create
TStrings
 | GetCommaText
 | GetName
 | GetValue
 | GetLBS
 | SetLBS
 | ReadData
 | SetCommaText
 | SetStringsAdapter
 | SetValue
 | SetDelimiter
 | SetQuoteChar
 | SetNameValueSeparator
 | WriteData
 | DoSetTextStr
 | GetDelimiter
 | GetNameValueSeparator
 | GetQuoteChar
 | GetLineBreak
 | SetLineBreak
 | GetSkipLastLineBreak
 | SetSkipLastLineBreak
 | DefineProperties
 | Error
 | Get
 | GetCapacity
 | GetCount
 | GetObject
 | GetTextStr
 | Put
 | PutObject
 | SetCapacity
 | SetTextStr
 | SetUpdateState
 | DoCompareText
 | GetDelimitedText
 | SetDelimitedText
 | GetValueFromIndex
 | SetValueFromIndex
 | CheckSpecialChars
 | GetNextLine
 | GetNextLinebreak
 | Destroy
 | Add
 | AddObject
 | Append
 | AddStrings
 | AddText
 | Assign
 | BeginUpdate
 | Clear
 | Delete
 | EndUpdate
 | Equals
 | Exchange
 | GetEnumerator
 | GetText
 | IndexOf
 | IndexOfName
 | IndexOfObject
 | Insert
 | InsertObject
 | LoadFromFile
 | LoadFromStream
 | Move
 | SaveToFile
 | SaveToStream
 | SetText
 | GetNameValue
 | ExtractName
TPersistent
 | AssignError
 | AssignTo
 | DefineProperties
 | GetOwner
 | Destroy
 | Assign
 | FPOAttachObserver
 | FPODetachObserver
 | FPONotifyObservers
 | GetNamePath
TObject
 | Create
 | Destroy
 | newinstance
 | FreeInstance
 | SafeCallException
 | DefaultHandler
 | Free
 | InitInstance
 | CleanupInstance
 | ClassType
 | ClassInfo
 | ClassName
 | ClassNameIs
 | ClassParent
 | InstanceSize
 | InheritsFrom
 | StringMessageTable
 | MethodAddress
 | MethodName
 | FieldAddress
 | AfterConstruction
 | BeforeDestruction
 | DefaultHandlerStr
 | Dispatch
 | DispatchStr
 | GetInterface
 | GetInterfaceByStr
 | GetInterfaceWeak
 | GetInterfaceEntry
 | GetInterfaceEntryByStr
 | GetInterfaceTable
 | UnitName
 | Equals
 | GetHashCode
 | ToString


 | Add (TStrings)
 | AddObject (TStrings)
 | AddStrings (TStrings)
 | AddText (TStrings)
 | AfterConstruction (TObject)
 | Append (TStrings)
 | Assign (TPersistent)
 | Assign (TStrings)
 | AssignError (TPersistent)
 | AssignTo (TPersistent)
 | BeforeDestruction (TObject)
 | BeginUpdate (TStrings)
 | CheckSpecialChars (TStrings)
 | ClassInfo (TObject)
 | ClassName (TObject)
 | ClassNameIs (TObject)
 | ClassParent (TObject)
 | ClassType (TObject)
 | CleanupInstance (TObject)
 | Clear (TStrings)
 | Clear (TNBPages)
 | Create (TObject)
 | Create (TNBBasePages)
 | Create (TNBPages)
 | DefaultHandler (TObject)
 | DefaultHandlerStr (TObject)
 | DefineProperties (TPersistent)
 | DefineProperties (TStrings)
 | Delete (TStrings)
 | Delete (TNBPages)
pt | DeletePage (TNBBasePages)
pt | DeletePage (TNBPages)
 | Destroy (TObject)
 | Destroy (TPersistent)
 | Destroy (TStrings)
 | Destroy (TNBPages)
 | Dispatch (TObject)
 | DispatchStr (TObject)
 | DoCompareText (TStrings)
 | DoSetTextStr (TStrings)
 | EndUpdate (TStrings)
 | Equals (TObject)
 | Equals (TStrings)
 | Error (TStrings)
 | Exchange (TStrings)
 | ExtractName (TStrings)
 | FieldAddress (TObject)
 | FPOAttachObserver (TPersistent)
 | FPODetachObserver (TPersistent)
 | FPONotifyObservers (TPersistent)
 | Free (TObject)
 | FreeInstance (TObject)
 | Get (TStrings)
pt | Get (TNBPages)
 | GetCapacity (TStrings)
 | GetCommaText (TStrings)
 | GetCount (TStrings)
pt | GetCount (TNBPages)
 | GetDelimitedText (TStrings)
 | GetDelimiter (TStrings)
 | GetEnumerator (TStrings)
 | GetHashCode (TObject)
 | GetInterface (TObject)
 | GetInterfaceByStr (TObject)
 | GetInterfaceEntry (TObject)
 | GetInterfaceEntryByStr (TObject)
 | GetInterfaceTable (TObject)
 | GetInterfaceWeak (TObject)
 | GetLBS (TStrings)
 | GetLineBreak (TStrings)
 | GetName (TStrings)
 | GetNamePath (TPersistent)
 | GetNameValue (TStrings)
 | GetNameValueSeparator (TStrings)
 | GetNextLine (TStrings)
 | GetNextLinebreak (TStrings)
 | GetObject (TStrings)
pt | GetObject (TNBPages)
 | GetOwner (TPersistent)
pt | GetPage (TNBBasePages)
pt | GetPage (TNBPages)
 | GetQuoteChar (TStrings)
 | GetSkipLastLineBreak (TStrings)
 | GetText (TStrings)
 | GetTextStr (TStrings)
 | GetValue (TStrings)
 | GetValueFromIndex (TStrings)
 | IndexOf (TStrings)
 | IndexOfName (TStrings)
 | IndexOfObject (TStrings)
pt | IndexOfPage (TNBBasePages)
pt | IndexOfPage (TNBPages)
 | InheritsFrom (TObject)
 | InitInstance (TObject)
 | Insert (TStrings)
 | Insert (TNBPages)
 | InsertObject (TStrings)
pt | InsertPage (TNBBasePages)
pt | InsertPage (TNBPages)
 | InstanceSize (TObject)
 | LoadFromFile (TStrings)
 | LoadFromStream (TStrings)
 | MethodAddress (TObject)
 | MethodName (TObject)
 | Move (TStrings)
 | Move (TNBPages)
 | newinstance (TObject)
 | Put (TStrings)
pt | Put (TNBPages)
 | PutObject (TStrings)
 | ReadData (TStrings)
 | SafeCallException (TObject)
 | SaveToFile (TStrings)
 | SaveToStream (TStrings)
 | SetCapacity (TStrings)
 | SetCommaText (TStrings)
 | SetDelimitedText (TStrings)
 | SetDelimiter (TStrings)
 | SetLBS (TStrings)
 | SetLineBreak (TStrings)
 | SetNameValueSeparator (TStrings)
 | SetQuoteChar (TStrings)
 | SetSkipLastLineBreak (TStrings)
 | SetStringsAdapter (TStrings)
 | SetText (TStrings)
 | SetTextStr (TStrings)
 | SetUpdateState (TStrings)
 | SetValue (TStrings)
 | SetValueFromIndex (TStrings)
 | StringMessageTable (TObject)
 | ToString (TObject)
 | UnitName (TObject)
 | WriteData (TStrings)


TNBPages

TNBBasePages

TStrings

TPersistent

TObject


TNBPages.Create

Create - constructor for TNBPages: calls inherited Create then sets up the list of pages on the notebook

Declaration

Source position: comctrls.pp line 317

public constructor TNBPages.Create(

  theNotebook: TCustomTabControl

); override;

See also

TObject.Create


TNBPages.DeletePage

Declaration

Source position: comctrls.pp line 312

protected procedure TNBPages.DeletePage(

  Index: Integer

); override;


TNBPages.Destroy

Declaration

Source position: comctrls.pp line 318

public destructor TNBPages.Destroy; override;


TNBPages.GetPage

Declaration

Source position: comctrls.pp line 313

protected function TNBPages.GetPage(

  Index: Integer

):TCustomPage; override;


TNBPages.IndexOfPage

Declaration

Source position: comctrls.pp line 310

protected function TNBPages.IndexOfPage(

  const AnObject: TPersistent

):Integer; override;


TNBPages.InsertPage

Declaration

Source position: comctrls.pp line 311

protected procedure TNBPages.InsertPage(

  Index: Integer;

  const APage: TCustomPage

); override;


TNBPages.Notebook

Declaration

Source position: comctrls.pp line 315

protected property TNBPages.Notebook : TCustomTabControl
  read FNotebook;


TNBPages.PageList

Declaration

Source position: comctrls.pp line 314

protected property TNBPages.PageList : TListWithEvent
  read FPageList;


TNoteBookStringsTabControl

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Declaration

Source position: comctrls.pp line 724

type TNoteBookStringsTabControl = class(TPageControl)

protected

  FHandleCreated: TNotifyEvent;

  procedure CreateHandle; override;

  procedure DoStartDrag(); override;

  procedure DragDrop(); override;

  procedure DragOver(); override;

  procedure MouseDown(); override;

  procedure MouseMove(); override;

  procedure MouseUp(); override;

  procedure MouseEnter; override;

  procedure MouseLeave; override;

  class procedure WSRegisterClass; override;

end;

Inheritance

TNoteBookStringsTabControl
|
TPageControl | TPageControl - provides a series of tabs along the edge of a multi-page component to allow selection of one of the pages (TTabSheet) of the component.
|
TCustomTabControl | TCustomTabControl - base class for TTabControl, a series of Tabs along the edge of a display area; selection of a Tab governs the contents of the DisplayRect
|
TWinControl | The base class for controls which can contain other (child) controls.
|
TControl | The base class for visible controls.
|
TLCLComponent | The base class for LCL components associated with widgets.
|
TComponent,IUnknown,IInterfaceComponentReference
|
TPersistent,IFPObserved
|
TObject


TNoteBookStringsTabControl
TPageControl
 |  | ActivePageIndex
 | ro | Pages
pl |  | ActivePage
pl | ro | Align
pl | ro | Anchors
pl | ro | BorderSpacing
pl | ro | BiDiMode
pl | ro | Constraints
pl | ro | DockSite
pl | ro | DragCursor
pl | ro | DragKind
pl | ro | DragMode
pl | ro | Enabled
pl | ro | Font
pl | ro | Images
pl | ro | ImagesWidth
pl | ro | MultiLine
pl | ro | ParentBiDiMode
pl | ro | ParentFont
pl | ro | ParentShowHint
pl | ro | PopupMenu
pl | ro | ShowHint
pl | ro | ShowTabs
pl | ro | TabHeight
pl | ro | TabIndex
pl | ro | TabOrder
pl | ro | TabPosition
pl | ro | TabStop
pl | ro | TabWidth
pl | ro | Visible
pl | ro | Options
TCustomTabControl
pt |  | ActivePageComponent
pt |  | ActivePage
pt | ro | DisplayRect
pt |  | HotTrack
pt |  | MultiSelect
pt |  | OwnerDraw
pt |  | RaggedRight
pt |  | ScrollOpposite
pt |  | Style
pt |  | Tabs
pt |  | TabIndex
 |  | Images
 |  | ImagesWidth
 |  | MultiLine
 |  | Options
 | ro | Page
 | ro | PageCount
 |  | PageIndex
 |  | Pages
 |  | ShowTabs
 |  | TabHeight
 |  | TabPosition
 |  | TabWidth
pl | ro | TabStop
TWinControl
pt |  | WindowHandle
pt |  | BorderStyle
pt |  | ParentBackground
 |  | BorderWidth
 | ro | BoundsLockCount
 | ro | Brush
 | ro | CachedClientHeight
 | ro | CachedClientWidth
 |  | ChildSizing
 | ro | ControlCount
 | ro | Controls
 |  | DefWndProc
 | ro | DockClientCount
 | ro | DockClients
 |  | DockManager
 |  | DockSite
 |  | DoubleBuffered
 |  | Handle
 | ro | IsFlipped
 | ro | IsResizing
 |  | TabOrder
 |  | TabStop
 |  | ParentDoubleBuffered
 |  | ParentWindow
 | ro | Showing
 |  | UseDockManager
 |  | DesignerDeleting
 | ro | VisibleDockClientCount
TControl
pt | ro | AutoSizing
pt | ro | AutoSizingAll
pt | ro | AutoSizingLockCount
pt |  | ActionLink
pt |  | DesktopFont
pt |  | DragCursor
pt |  | DragKind
pt |  | DragMode
pt |  | MouseCapture
pt |  | ParentColor
pt |  | ParentFont
pt |  | ParentShowHint
pt |  | SessionProperties
pt |  | Text
 | ro | AnchoredControls
 | ro | BaseBounds
 | ro | ReadBounds
 | ro | BaseParentClientSize
 |  | AccessibleDescription
 |  | AccessibleValue
 |  | AccessibleRole
 |  | Action
 |  | Align
 |  | Anchors
 | ro | AnchorSide
 |  | AutoSize
 |  | BorderSpacing
 |  | BoundsRect
 |  | BoundsRectForNewParent
 |  | Caption
 |  | CaptureMouseButtons
 |  | ClientHeight
 | ro | ClientOrigin
 | ro | ClientRect
 |  | ClientWidth
 |  | Color
 |  | Constraints
 | ro | ControlOrigin
 |  | ControlState
 |  | ControlStyle
 |  | Enabled
 |  | Font
 |  | IsControl
 | ro | MouseEntered
 | ro | MouseInClient
 |  | Parent
 |  | PopupMenu
 |  | ShowHint
 |  | Visible
 |  | WindowProc
 |  | DockOrientation
 | ro | Floating
 |  | FloatingDockSiteClass
 |  | HostDockSite
 |  | LRDockWidth
 |  | TBDockHeight
 |  | UndockHeight
 |  | UndockWidth
 |  | BiDiMode
 |  | ParentBiDiMode
pl |  | AnchorSideLeft
pl |  | AnchorSideTop
pl |  | AnchorSideRight
pl |  | AnchorSideBottom
pl |  | Cursor
pl |  | Left
pl |  | Height
pl |  | Hint
pl |  | Top
pl |  | Width
pl |  | HelpType
pl |  | HelpKeyword
pl |  | HelpContext
TLCLComponent
 | ro | LCLRefCount
 | ro | WidgetSetClass
TComponent
 | ro | ComObject
 | ro | Components
 | ro | ComponentCount
 |  | ComponentIndex
 | ro | ComponentState
 | ro | ComponentStyle
 |  | DesignInfo
 | ro | Owner
 |  | VCLComObject
 |  | Name
 |  | Tag
TPersistent
TObject


 |  | AccessibleDescription (TControl)
 |  | AccessibleRole (TControl)
 |  | AccessibleValue (TControl)
 |  | Action (TControl)
pt |  | ActionLink (TControl)
pt |  | ActivePage (TCustomTabControl)
pl |  | ActivePage (TPageControl)
pt |  | ActivePageComponent (TCustomTabControl)
 |  | ActivePageIndex (TPageControl)
 |  | Align (TControl)
pl | ro | Align (TPageControl)
 | ro | AnchoredControls (TControl)
 |  | Anchors (TControl)
pl | ro | Anchors (TPageControl)
 | ro | AnchorSide (TControl)
pl |  | AnchorSideBottom (TControl)
pl |  | AnchorSideLeft (TControl)
pl |  | AnchorSideRight (TControl)
pl |  | AnchorSideTop (TControl)
 |  | AutoSize (TControl)
pt | ro | AutoSizing (TControl)
pt | ro | AutoSizingAll (TControl)
pt | ro | AutoSizingLockCount (TControl)
 | ro | BaseBounds (TControl)
 | ro | BaseParentClientSize (TControl)
 |  | BiDiMode (TControl)
pl | ro | BiDiMode (TPageControl)
 |  | BorderSpacing (TControl)
pl | ro | BorderSpacing (TPageControl)
pt |  | BorderStyle (TWinControl)
 |  | BorderWidth (TWinControl)
 | ro | BoundsLockCount (TWinControl)
 |  | BoundsRect (TControl)
 |  | BoundsRectForNewParent (TControl)
 | ro | Brush (TWinControl)
 | ro | CachedClientHeight (TWinControl)
 | ro | CachedClientWidth (TWinControl)
 |  | Caption (TControl)
 |  | CaptureMouseButtons (TControl)
 |  | ChildSizing (TWinControl)
 |  | ClientHeight (TControl)
 | ro | ClientOrigin (TControl)
 | ro | ClientRect (TControl)
 |  | ClientWidth (TControl)
 |  | Color (TControl)
 | ro | ComObject (TComponent)
 | ro | ComponentCount (TComponent)
 |  | ComponentIndex (TComponent)
 | ro | Components (TComponent)
 | ro | ComponentState (TComponent)
 | ro | ComponentStyle (TComponent)
 |  | Constraints (TControl)
pl | ro | Constraints (TPageControl)
 | ro | ControlCount (TWinControl)
 | ro | ControlOrigin (TControl)
 | ro | Controls (TWinControl)
 |  | ControlState (TControl)
 |  | ControlStyle (TControl)
pl |  | Cursor (TControl)
 |  | DefWndProc (TWinControl)
 |  | DesignerDeleting (TWinControl)
 |  | DesignInfo (TComponent)
pt |  | DesktopFont (TControl)
pt | ro | DisplayRect (TCustomTabControl)
 | ro | DockClientCount (TWinControl)
 | ro | DockClients (TWinControl)
 |  | DockManager (TWinControl)
 |  | DockOrientation (TControl)
 |  | DockSite (TWinControl)
pl | ro | DockSite (TPageControl)
 |  | DoubleBuffered (TWinControl)
pt |  | DragCursor (TControl)
pl | ro | DragCursor (TPageControl)
pt |  | DragKind (TControl)
pl | ro | DragKind (TPageControl)
pt |  | DragMode (TControl)
pl | ro | DragMode (TPageControl)
 |  | Enabled (TControl)
pl | ro | Enabled (TPageControl)
 | ro | Floating (TControl)
 |  | FloatingDockSiteClass (TControl)
 |  | Font (TControl)
pl | ro | Font (TPageControl)
 |  | Handle (TWinControl)
pl |  | Height (TControl)
pl |  | HelpContext (TControl)
pl |  | HelpKeyword (TControl)
pl |  | HelpType (TControl)
pl |  | Hint (TControl)
 |  | HostDockSite (TControl)
pt |  | HotTrack (TCustomTabControl)
 |  | Images (TCustomTabControl)
pl | ro | Images (TPageControl)
 |  | ImagesWidth (TCustomTabControl)
pl | ro | ImagesWidth (TPageControl)
 |  | IsControl (TControl)
 | ro | IsFlipped (TWinControl)
 | ro | IsResizing (TWinControl)
 | ro | LCLRefCount (TLCLComponent)
pl |  | Left (TControl)
 |  | LRDockWidth (TControl)
pt |  | MouseCapture (TControl)
 | ro | MouseEntered (TControl)
 | ro | MouseInClient (TControl)
 |  | MultiLine (TCustomTabControl)
pl | ro | MultiLine (TPageControl)
pt |  | MultiSelect (TCustomTabControl)
 |  | Name (TComponent)
 |  | Options (TCustomTabControl)
pl | ro | Options (TPageControl)
 | ro | Owner (TComponent)
pt |  | OwnerDraw (TCustomTabControl)
 | ro | Page (TCustomTabControl)
 | ro | PageCount (TCustomTabControl)
 |  | PageIndex (TCustomTabControl)
 |  | Pages (TCustomTabControl)
 | ro | Pages (TPageControl)
 |  | Parent (TControl)
pt |  | ParentBackground (TWinControl)
 |  | ParentBiDiMode (TControl)
pl | ro | ParentBiDiMode (TPageControl)
pt |  | ParentColor (TControl)
 |  | ParentDoubleBuffered (TWinControl)
pt |  | ParentFont (TControl)
pl | ro | ParentFont (TPageControl)
pt |  | ParentShowHint (TControl)
pl | ro | ParentShowHint (TPageControl)
 |  | ParentWindow (TWinControl)
 |  | PopupMenu (TControl)
pl | ro | PopupMenu (TPageControl)
pt |  | RaggedRight (TCustomTabControl)
 | ro | ReadBounds (TControl)
pt |  | ScrollOpposite (TCustomTabControl)
pt |  | SessionProperties (TControl)
 |  | ShowHint (TControl)
pl | ro | ShowHint (TPageControl)
 | ro | Showing (TWinControl)
 |  | ShowTabs (TCustomTabControl)
pl | ro | ShowTabs (TPageControl)
pt |  | Style (TCustomTabControl)
 |  | TabHeight (TCustomTabControl)
pl | ro | TabHeight (TPageControl)
pt |  | TabIndex (TCustomTabControl)
pl | ro | TabIndex (TPageControl)
 |  | TabOrder (TWinControl)
pl | ro | TabOrder (TPageControl)
 |  | TabPosition (TCustomTabControl)
pl | ro | TabPosition (TPageControl)
pt |  | Tabs (TCustomTabControl)
 |  | TabStop (TWinControl)
pl | ro | TabStop (TCustomTabControl)
pl | ro | TabStop (TPageControl)
 |  | TabWidth (TCustomTabControl)
pl | ro | TabWidth (TPageControl)
 |  | Tag (TComponent)
 |  | TBDockHeight (TControl)
pt |  | Text (TControl)
pl |  | Top (TControl)
 |  | UndockHeight (TControl)
 |  | UndockWidth (TControl)
 |  | UseDockManager (TWinControl)
 |  | VCLComObject (TComponent)
 |  | Visible (TControl)
pl | ro | Visible (TPageControl)
 | ro | VisibleDockClientCount (TWinControl)
 | ro | WidgetSetClass (TLCLComponent)
pl |  | Width (TControl)
pt |  | WindowHandle (TWinControl)
 |  | WindowProc (TControl)


TNoteBookStringsTabControl
pt | CreateHandle
pt | DoStartDrag
pt | DragDrop
pt | DragOver
pt | MouseDown
pt | MouseMove
pt | MouseUp
pt | MouseEnter
pt | MouseLeave
pt | WSRegisterClass
TPageControl
pt | WSRegisterClass
pt | GetPageClass
pt | DoAddDockClient
pt | DockOver
pt | DoRemoveDockClient
pt | DoUndockClientMsg
pt | ChildClassAllowed
 | FindNextPage
 | SelectNextPage
 | IndexOfTabAt
 | IndexOfPageAt
 | AddTabSheet
TCustomTabControl
pt | DoAutoAdjustLayout
pt | GetPageClass
pt | GetListClass
pt | SetOptions
pt | AddRemovePageHandle
pt | CNNotify
pt | WSRegisterClass
pt | CreateWnd
pt | Loaded
pt | DoChange
pt | InitializeWnd
pt | Change
pt | KeyDown
pt | ReadState
pt | DialogChar
pt | InternalSetPageIndex
pt | ShowControl
pt | IndexOfTabAt
pt | IndexOfPageAt
pt | UpdateTabProperties
pt | GetControlClassDefaultSize
pt | Notification
pt | GetPage
pt | GetPageCount
pt | InsertPage
pt | RemovePage
pt | CanChange
 | Create
 | Destroy
 | TabRect
 | GetImageIndex
 | IndexOf
 | CustomPage
 | CanChangePageIndex
 | GetMinimumTabWidth
 | GetMinimumTabHeight
 | GetCapabilities
 | TabToPageIndex
 | PageToTabIndex
 | DoCloseTabClicked
TWinControl
pt | WSRegisterClass
pt | AdjustClientRect
pt | GetAdjustedLogicalClientRect
pt | AlignControls
pt | CustomAlignInsertBefore
pt | CustomAlignPosition
pt | DoAlignChildControls
pt | DoChildSizingChange
pt | InvalidatePreferredChildSizes
pt | CanTab
pt | IsClientHeightStored
pt | IsClientWidthStored
pt | DoSendShowHideToInterface
pt | ControlsAligned
pt | DoSendBoundsToInterface
pt | RealizeBounds
pt | RealizeBoundsRecursive
pt | InvalidateBoundsRealized
pt | CreateSubClass
pt | DoConstraintsChange
pt | DoSetBounds
pt | DoAutoSize
pt | DoAllAutoSize
pt | AllAutoSized
pt | CalculatePreferredSize
pt | GetPreferredSizeClientFrame
pt | GetChildren
pt | ChildClassAllowed
pt | PaintControls
pt | PaintHandler
pt | PaintWindow
pt | CreateBrush
pt | ScaleControls
pt | ChangeScale
pt | CMBiDiModeChanged
pt | CMBorderChanged
pt | CMDoubleBufferedChanged
pt | CMEnabledChanged
pt | CMParentDoubleBufferedChanged
pt | CMShowingChanged
pt | CMShowHintChanged
pt | CMVisibleChanged
pt | CMEnter
pt | CMExit
pt | WMContextMenu
pt | WMEraseBkgnd
pt | WMNotify
pt | WMSetFocus
pt | WMKillFocus
pt | WMShowWindow
pt | WMEnter
pt | WMExit
pt | WMKeyDown
pt | WMSysKeyDown
pt | WMKeyUp
pt | WMSysKeyUp
pt | WMChar
pt | WMSysChar
pt | WMPaint
pt | WMDestroy
pt | WMMove
pt | WMSize
pt | WMWindowPosChanged
pt | CNKeyDown
pt | CNSysKeyDown
pt | CNKeyUp
pt | CNSysKeyUp
pt | CNChar
pt | DoDragMsg
pt | DoDockClientMsg
pt | DoUndockClientMsg
pt | DoAddDockClient
pt | DockOver
pt | DoDockOver
pt | DoRemoveDockClient
pt | DoUnDock
pt | GetSiteInfo
pt | GetParentHandle
pt | GetTopParentHandle
pt | ReloadDockedControl
pt | CreateDockManager
pt | SetDockManager
pt | DoFloatMsg
pt | DoGetDockCaption
pt | DoEnter
pt | DoExit
pt | DoKeyDownBeforeInterface
pt | DoRemainingKeyDown
pt | DoRemainingKeyUp
pt | DoKeyPress
pt | DoUTF8KeyPress
pt | DoKeyUpBeforeInterface
pt | ChildKey
pt | SendDialogChar
pt | DialogChar
pt | ControlKeyDown
pt | ControlKeyUp
pt | KeyDown
pt | KeyDownBeforeInterface
pt | KeyDownAfterInterface
pt | KeyPress
pt | KeyUp
pt | KeyUpBeforeInterface
pt | KeyUpAfterInterface
pt | UTF8KeyPress
pt | FindNextControl
pt | SelectFirst
pt | RealGetText
pt | GetBorderStyle
pt | GetClientOrigin
pt | GetClientRect
pt | GetControlOrigin
pt | GetDeviceContext
pt | GetParentBackground
pt | IsControlMouseMsg
pt | CreateHandle
pt | CreateParams
pt | CreateWnd
pt | DestroyHandle
pt | DestroyWnd
pt | DoFlipChildren
pt | FinalizeWnd
pt | FixupTabList
pt | FontChanged
pt | InitializeWnd
pt | Loaded
pt | FormEndUpdated
pt | MainWndProc
pt | ParentFormHandleInitialized
pt | ChildHandlesCreated
pt | GetMouseCapture
pt | RealSetText
pt | RemoveFocus
pt | SendMoveSizeMessages
pt | SetBorderStyle
pt | SetColor
pt | SetChildZPosition
pt | SetParentBackground
pt | ShowControl
pt | UpdateControlState
pt | UpdateShowing
pt | WndProc
pt | WSSetText
 | AutoSizePhases
 | AutoSizeDelayed
 | AutoSizeDelayedReport
 | AutoSizeDelayedHandle
 | BeginUpdateBounds
 | EndUpdateBounds
 | LockRealizeBounds
 | UnlockRealizeBounds
 | ControlAtPos
 | ContainsControl
 | DoAdjustClientRectChange
 | InvalidateClientRectCache
 | ClientRectNeedsInterfaceUpdate
 | SetBounds
 | GetChildrenRect
 | DisableAlign
 | EnableAlign
 | ReAlign
 | ScrollBy_WS
 | ScrollBy
 | WriteLayoutDebugReport
 | AutoAdjustLayout
 | Create
 | CreateParented
 | CreateParentedControl
 | Destroy
 | DockDrop
 | CanFocus
 | CanSetFocus
 | GetControlIndex
 | SetControlIndex
 | Focused
 | PerformTab
 | FindChildControl
 | SelectNext
 | SetTempCursor
 | BroadCast
 | NotifyControls
 | DefaultHandler
 | GetTextLen
 | Invalidate
 | AddControl
 | InsertControl
 | RemoveControl
 | GetEnumeratorControls
 | GetEnumeratorControlsReverse
 | Repaint
 | Update
 | SetFocus
 | FlipChildren
 | ScaleBy
 | GetDockCaption
 | UpdateDockCaption
 | GetTabOrderList
 | HandleAllocated
 | ParentHandlesAllocated
 | HandleNeeded
 | BrushCreated
 | EraseBackground
 | IntfUTF8KeyPress
 | IntfGetDropFilesTarget
 | PaintTo
 | SetShape
TControl
pt | WSRegisterClass
pt | GetCursor
pt | SetCursor
pt | SetVisible
pt | DoOnParentHandleDestruction
pt | DoAutoSize
pt | DoAllAutoSize
pt | BeginAutoSizing
pt | EndAutoSizing
pt | AnchorSideChanged
pt | ForeignAnchorSideChanged
pt | SetAlign
pt | SetAnchors
pt | SetAutoSize
pt | BoundsChanged
pt | CreateControlBorderSpacing
pt | DoConstraintsChange
pt | DoBorderSpacingChange
pt | IsBorderSpacingInnerBorderStored
pt | IsCaptionStored
pt | SendMoveSizeMessages
pt | ConstrainedResize
pt | CalculatePreferredSize
pt | DoOnResize
pt | DoOnChangeBounds
pt | CheckOnChangeBounds
pt | Resize
pt | RequestAlign
pt | UpdateAnchorRules
pt | ChangeBounds
pt | DoSetBounds
pt | ScaleConstraints
pt | ChangeScale
pt | CanAutoSize
pt | SetBiDiMode
pt | SetParentBiDiMode
pt | IsAParentAligning
pt | GetClientOrigin
pt | GetClientRect
pt | GetLogicalClientRect
pt | GetScrolledClientRect
pt | GetClientScrollOffset
pt | GetControlOrigin
pt | IsClientHeightStored
pt | IsClientWidthStored
pt | WidthIsAnchored
pt | HeightIsAnchored
pt | WMCancelMode
pt | WMContextMenu
pt | WMLButtonDown
pt | WMRButtonDown
pt | WMMButtonDown
pt | WMXButtonDown
pt | WMLButtonDBLCLK
pt | WMRButtonDBLCLK
pt | WMMButtonDBLCLK
pt | WMXButtonDBLCLK
pt | WMLButtonTripleCLK
pt | WMRButtonTripleCLK
pt | WMMButtonTripleCLK
pt | WMXButtonTripleCLK
pt | WMLButtonQuadCLK
pt | WMRButtonQuadCLK
pt | WMMButtonQuadCLK
pt | WMXButtonQuadCLK
pt | WMMouseMove
pt | WMLButtonUp
pt | WMRButtonUp
pt | WMMButtonUp
pt | WMXButtonUp
pt | WMMouseWheel
pt | WMMouseHWheel
pt | WMMove
pt | WMSize
pt | WMWindowPosChanged
pt | CMChanged
pt | LMCaptureChanged
pt | CMBiDiModeChanged
pt | CMSysFontChanged
pt | CMEnabledChanged
pt | CMHitTest
pt | CMMouseEnter
pt | CMMouseLeave
pt | CMHintShow
pt | CMParentBiDiModeChanged
pt | CMParentColorChanged
pt | CMParentFontChanged
pt | CMParentShowHintChanged
pt | CMVisibleChanged
pt | CMTextChanged
pt | CMCursorChanged
pt | CalculateDockSizes
pt | CreateFloatingDockSite
pt | GetDockEdge
pt | GetDragImages
pt | GetFloating
pt | GetFloatingDockSiteClass
pt | BeforeDragStart
pt | BeginAutoDrag
pt | DoFloatMsg
pt | DockTrackNoTarget
pt | DoDock
pt | DoDragMsg
pt | DoEndDock
pt | DoEndDrag
pt | DoStartDock
pt | DoStartDrag
pt | DragCanceled
pt | DragOver
pt | PositionDockRect
pt | SetDragMode
pt | GetDefaultDockCaption
pt | Click
pt | DblClick
pt | TripleClick
pt | QuadClick
pt | GetMousePosFromMessage
pt | MouseDown
pt | MouseMove
pt | MouseUp
pt | MouseEnter
pt | MouseLeave
pt | DialogChar
pt | UpdateMouseCursor
pt | Changed
pt | GetPalette
pt | ChildClassAllowed
pt | ReadState
pt | Loaded
pt | LoadedAll
pt | DefineProperties
pt | AssignTo
pt | FormEndUpdated
pt | InvalidateControl
pt | FontChanged
pt | ParentFontChanged
pt | GetAction
pt | RealGetText
pt | RealSetText
pt | TextChanged
pt | GetCachedText
pt | SetAction
pt | SetColor
pt | SetEnabled
pt | SetHint
pt | SetName
pt | SetParent
pt | SetParentComponent
pt | WndProc
pt | ParentFormHandleInitialized
pt | GetMouseCapture
pt | CaptureChanged
pt | Notification
pt | CanTab
pt | GetDeviceContext
pt | GetEnabled
pt | GetPopupMenu
pt | DoOnShowHint
pt | DoMouseWheel
pt | DoMouseWheelDown
pt | DoMouseWheelUp
pt | DoMouseWheelHorz
pt | DoMouseWheelLeft
pt | DoMouseWheelRight
pt | VisibleChanging
pt | VisibleChanged
pt | EnabledChanging
pt | EnabledChanged
pt | AddHandler
pt | RemoveHandler
pt | DoCallNotifyHandler
pt | DoCallKeyEventHandler
pt | DoCallMouseWheelEventHandler
pt | DoContextPopup
pt | SetZOrder
pt | GetControlClassDefaultSize
pt | ColorIsStored
pt | DoAutoAdjustLayout
pt | DoFixDesignFontPPI
pt | DoScaleFontPPI
pt | GetActionLinkClass
pt | ActionChange
 | DragDrop
 | Dock
 | ManualDock
 | ManualFloat
 | ReplaceDockedControl
 | Docked
 | Dragging
 | GetAccessibleObject
 | CreateAccessibleObject
 | GetSelectedChildAccessibleObject
 | GetChildAccessibleObjectAtPos
 | ScaleDesignToForm
 | ScaleFormToDesign
 | Scale96ToForm
 | ScaleFormTo96
 | Scale96ToFont
 | ScaleFontTo96
 | ScaleScreenToFont
 | ScaleFontToScreen
 | Scale96ToScreen
 | ScaleScreenTo96
 | AdjustSize
 | AutoSizePhases
 | AutoSizeDelayed
 | AutoSizeDelayedReport
 | AutoSizeDelayedHandle
 | AnchorToNeighbour
 | AnchorParallel
 | AnchorHorizontalCenterTo
 | AnchorVerticalCenterTo
 | AnchorToCompanion
 | AnchorSame
 | AnchorAsAlign
 | AnchorClient
 | AnchoredControlCount
 | SetBounds
 | SetInitialBounds
 | SetBoundsKeepBase
 | GetPreferredSize
 | GetCanvasScaleFactor
 | GetDefaultWidth
 | GetDefaultHeight
 | GetDefaultColor
 | GetColorResolvingParent
 | GetRGBColorResolvingParent
 | GetSidePosition
 | CNPreferredSizeChanged
 | InvalidatePreferredSize
 | GetAnchorsDependingOnParent
 | DisableAutoSizing
 | EnableAutoSizing
 | UpdateBaseBounds
 | WriteLayoutDebugReport
 | AutoAdjustLayout
 | ShouldAutoAdjust
 | FixDesignFontsPPI
 | ScaleFontsPPI
 | Create
 | Destroy
 | BeforeDestruction
 | EditingDone
 | ExecuteDefaultAction
 | ExecuteCancelAction
 | BeginDrag
 | EndDrag
 | BringToFront
 | HasParent
 | GetParentComponent
 | IsParentOf
 | GetTopParent
 | IsVisible
 | IsControlVisible
 | IsEnabled
 | IsParentColor
 | IsParentFont
 | FormIsUpdating
 | IsProcessingPaintMsg
 | Hide
 | Refresh
 | Repaint
 | Invalidate
 | CheckChildClassAllowed
 | CheckNewParent
 | SendToBack
 | SetTempCursor
 | UpdateRolesForForm
 | ActiveDefaultControlChanged
 | GetTextBuf
 | GetTextLen
 | SetTextBuf
 | Perform
 | ScreenToClient
 | ClientToScreen
 | ScreenToControl
 | ControlToScreen
 | ClientToParent
 | ParentToClient
 | GetChildrenRect
 | Show
 | Update
 | HandleObjectShouldBeVisible
 | ParentDestroyingHandle
 | ParentHandlesAllocated
 | InitiateAction
 | ShowHelp
 | HasHelp
 | RemoveAllHandlersOfObject
 | AddHandlerOnResize
 | RemoveHandlerOnResize
 | AddHandlerOnChangeBounds
 | RemoveHandlerOnChangeBounds
 | AddHandlerOnVisibleChanging
 | RemoveHandlerOnVisibleChanging
 | AddHandlerOnVisibleChanged
 | RemoveHandlerOnVisibleChanged
 | AddHandlerOnEnabledChanged
 | RemoveHandlerOnEnableChanging
 | AddHandlerOnKeyDown
 | RemoveHandlerOnKeyDown
 | AddHandlerOnBeforeDestruction
 | RemoveHandlerOnBeforeDestruction
 | AddHandlerOnMouseWheel
 | RemoveHandlerOnMouseWheel
 | UseRightToLeftAlignment
 | UseRightToLeftReading
 | UseRightToLeftScrollBar
 | IsRightToLeft
TLCLComponent
pt | WSRegisterClass
pt | GetWSComponentClass
 | Create
 | Destroy
 | NewInstance
 | RemoveAllHandlersOfObject
 | IncLCLRefCount
 | DecLCLRefCount
TComponent
 | GetComObject
 | GetComponent
 | GetComponentCount
 | GetComponentIndex
 | Insert
 | ReadLeft
 | ReadTop
 | Remove
 | RemoveNotification
 | SetComponentIndex
 | SetReference
 | WriteLeft
 | WriteTop
 | ChangeName
 | DefineProperties
 | GetChildren
 | GetChildOwner
 | GetChildParent
 | GetOwner
 | Loaded
 | Loading
 | Notification
 | PaletteCreated
 | ReadState
 | SetAncestor
 | SetDesigning
 | SetDesignInstance
 | SetInline
 | SetName
 | SetChildOrder
 | SetParentComponent
 | Updating
 | Updated
 | UpdateRegistry
 | ValidateRename
 | ValidateContainer
 | ValidateInsert
 | QueryInterface
 | _AddRef
 | _Release
 | iicrGetComponent
 | GetTypeInfoCount
 | GetTypeInfo
 | GetIDsOfNames
 | Invoke
 | WriteState
 | Create
 | Destroy
 | BeforeDestruction
 | DestroyComponents
 | Destroying
 | ExecuteAction
 | FindComponent
 | FreeNotification
 | RemoveFreeNotification
 | FreeOnRelease
 | GetEnumerator
 | GetNamePath
 | GetParentComponent
 | HasParent
 | InsertComponent
 | RemoveComponent
 | SafeCallException
 | SetSubComponent
 | UpdateAction
 | IsImplementorOf
 | ReferenceInterface
TPersistent
 | AssignError
 | AssignTo
 | DefineProperties
 | GetOwner
 | Destroy
 | Assign
 | FPOAttachObserver
 | FPODetachObserver
 | FPONotifyObservers
 | GetNamePath
TObject
 | Create
 | Destroy
 | newinstance
 | FreeInstance
 | SafeCallException
 | DefaultHandler
 | Free
 | InitInstance
 | CleanupInstance
 | ClassType
 | ClassInfo
 | ClassName
 | ClassNameIs
 | ClassParent
 | InstanceSize
 | InheritsFrom
 | StringMessageTable
 | MethodAddress
 | MethodName
 | FieldAddress
 | AfterConstruction
 | BeforeDestruction
 | DefaultHandlerStr
 | Dispatch
 | DispatchStr
 | GetInterface
 | GetInterfaceByStr
 | GetInterfaceWeak
 | GetInterfaceEntry
 | GetInterfaceEntryByStr
 | GetInterfaceTable
 | UnitName
 | Equals
 | GetHashCode
 | ToString


pt | ActionChange (TControl)
 | ActiveDefaultControlChanged (TControl)
 | AddControl (TWinControl)
pt | AddHandler (TControl)
 | AddHandlerOnBeforeDestruction (TControl)
 | AddHandlerOnChangeBounds (TControl)
 | AddHandlerOnEnabledChanged (TControl)
 | AddHandlerOnKeyDown (TControl)
 | AddHandlerOnMouseWheel (TControl)
 | AddHandlerOnResize (TControl)
 | AddHandlerOnVisibleChanged (TControl)
 | AddHandlerOnVisibleChanging (TControl)
pt | AddRemovePageHandle (TCustomTabControl)
 | AddTabSheet (TPageControl)
pt | AdjustClientRect (TWinControl)
 | AdjustSize (TControl)
 | AfterConstruction (TObject)
pt | AlignControls (TWinControl)
pt | AllAutoSized (TWinControl)
 | AnchorAsAlign (TControl)
 | AnchorClient (TControl)
 | AnchoredControlCount (TControl)
 | AnchorHorizontalCenterTo (TControl)
 | AnchorParallel (TControl)
 | AnchorSame (TControl)
pt | AnchorSideChanged (TControl)
 | AnchorToCompanion (TControl)
 | AnchorToNeighbour (TControl)
 | AnchorVerticalCenterTo (TControl)
 | Assign (TPersistent)
 | AssignError (TPersistent)
 | AssignTo (TPersistent)
pt | AssignTo (TControl)
 | AutoAdjustLayout (TControl)
 | AutoAdjustLayout (TWinControl)
 | AutoSizeDelayed (TControl)
 | AutoSizeDelayed (TWinControl)
 | AutoSizeDelayedHandle (TControl)
 | AutoSizeDelayedHandle (TWinControl)
 | AutoSizeDelayedReport (TControl)
 | AutoSizeDelayedReport (TWinControl)
 | AutoSizePhases (TControl)
 | AutoSizePhases (TWinControl)
 | BeforeDestruction (TObject)
 | BeforeDestruction (TComponent)
 | BeforeDestruction (TControl)
pt | BeforeDragStart (TControl)
pt | BeginAutoDrag (TControl)
pt | BeginAutoSizing (TControl)
 | BeginDrag (TControl)
 | BeginUpdateBounds (TWinControl)
pt | BoundsChanged (TControl)
 | BringToFront (TControl)
 | BroadCast (TWinControl)
 | BrushCreated (TWinControl)
pt | CalculateDockSizes (TControl)
pt | CalculatePreferredSize (TControl)
pt | CalculatePreferredSize (TWinControl)
pt | CanAutoSize (TControl)
pt | CanChange (TCustomTabControl)
 | CanChangePageIndex (TCustomTabControl)
 | CanFocus (TWinControl)
 | CanSetFocus (TWinControl)
pt | CanTab (TControl)
pt | CanTab (TWinControl)
pt | CaptureChanged (TControl)
pt | Change (TCustomTabControl)
pt | ChangeBounds (TControl)
pt | Changed (TControl)
 | ChangeName (TComponent)
pt | ChangeScale (TControl)
pt | ChangeScale (TWinControl)
 | CheckChildClassAllowed (TControl)
 | CheckNewParent (TControl)
pt | CheckOnChangeBounds (TControl)
pt | ChildClassAllowed (TControl)
pt | ChildClassAllowed (TWinControl)
pt | ChildClassAllowed (TPageControl)
pt | ChildHandlesCreated (TWinControl)
pt | ChildKey (TWinControl)
 | ClassInfo (TObject)
 | ClassName (TObject)
 | ClassNameIs (TObject)
 | ClassParent (TObject)
 | ClassType (TObject)
 | CleanupInstance (TObject)
pt | Click (TControl)
 | ClientRectNeedsInterfaceUpdate (TWinControl)
 | ClientToParent (TControl)
 | ClientToScreen (TControl)
pt | CMBiDiModeChanged (TControl)
pt | CMBiDiModeChanged (TWinControl)
pt | CMBorderChanged (TWinControl)
pt | CMChanged (TControl)
pt | CMCursorChanged (TControl)
pt | CMDoubleBufferedChanged (TWinControl)
pt | CMEnabledChanged (TControl)
pt | CMEnabledChanged (TWinControl)
pt | CMEnter (TWinControl)
pt | CMExit (TWinControl)
pt | CMHintShow (TControl)
pt | CMHitTest (TControl)
pt | CMMouseEnter (TControl)
pt | CMMouseLeave (TControl)
pt | CMParentBiDiModeChanged (TControl)
pt | CMParentColorChanged (TControl)
pt | CMParentDoubleBufferedChanged (TWinControl)
pt | CMParentFontChanged (TControl)
pt | CMParentShowHintChanged (TControl)
pt | CMShowHintChanged (TWinControl)
pt | CMShowingChanged (TWinControl)
pt | CMSysFontChanged (TControl)
pt | CMTextChanged (TControl)
pt | CMVisibleChanged (TControl)
pt | CMVisibleChanged (TWinControl)
pt | CNChar (TWinControl)
pt | CNKeyDown (TWinControl)
pt | CNKeyUp (TWinControl)
pt | CNNotify (TCustomTabControl)
 | CNPreferredSizeChanged (TControl)
pt | CNSysKeyDown (TWinControl)
pt | CNSysKeyUp (TWinControl)
pt | ColorIsStored (TControl)
pt | ConstrainedResize (TControl)
 | ContainsControl (TWinControl)
 | ControlAtPos (TWinControl)
pt | ControlKeyDown (TWinControl)
pt | ControlKeyUp (TWinControl)
pt | ControlsAligned (TWinControl)
 | ControlToScreen (TControl)
 | Create (TObject)
 | Create (TComponent)
 | Create (TLCLComponent)
 | Create (TControl)
 | Create (TWinControl)
 | Create (TCustomTabControl)
 | CreateAccessibleObject (TControl)
pt | CreateBrush (TWinControl)
pt | CreateControlBorderSpacing (TControl)
pt | CreateDockManager (TWinControl)
pt | CreateFloatingDockSite (TControl)
pt | CreateHandle (TWinControl)
pt | CreateHandle (TNoteBookStringsTabControl)
pt | CreateParams (TWinControl)
 | CreateParented (TWinControl)
 | CreateParentedControl (TWinControl)
pt | CreateSubClass (TWinControl)
pt | CreateWnd (TWinControl)
pt | CreateWnd (TCustomTabControl)
pt | CustomAlignInsertBefore (TWinControl)
pt | CustomAlignPosition (TWinControl)
 | CustomPage (TCustomTabControl)
pt | DblClick (TControl)
 | DecLCLRefCount (TLCLComponent)
 | DefaultHandler (TObject)
 | DefaultHandler (TWinControl)
 | DefaultHandlerStr (TObject)
 | DefineProperties (TPersistent)
 | DefineProperties (TComponent)
pt | DefineProperties (TControl)
 | Destroy (TObject)
 | Destroy (TPersistent)
 | Destroy (TComponent)
 | Destroy (TLCLComponent)
 | Destroy (TControl)
 | Destroy (TWinControl)
 | Destroy (TCustomTabControl)
 | DestroyComponents (TComponent)
pt | DestroyHandle (TWinControl)
 | Destroying (TComponent)
pt | DestroyWnd (TWinControl)
pt | DialogChar (TControl)
pt | DialogChar (TWinControl)
pt | DialogChar (TCustomTabControl)
 | DisableAlign (TWinControl)
 | DisableAutoSizing (TControl)
 | Dispatch (TObject)
 | DispatchStr (TObject)
pt | DoAddDockClient (TWinControl)
pt | DoAddDockClient (TPageControl)
 | DoAdjustClientRectChange (TWinControl)
pt | DoAlignChildControls (TWinControl)
pt | DoAllAutoSize (TControl)
pt | DoAllAutoSize (TWinControl)
pt | DoAutoAdjustLayout (TControl)
pt | DoAutoAdjustLayout (TCustomTabControl)
pt | DoAutoSize (TControl)
pt | DoAutoSize (TWinControl)
pt | DoBorderSpacingChange (TControl)
pt | DoCallKeyEventHandler (TControl)
pt | DoCallMouseWheelEventHandler (TControl)
pt | DoCallNotifyHandler (TControl)
pt | DoChange (TCustomTabControl)
pt | DoChildSizingChange (TWinControl)
 | Dock (TControl)
 | DockDrop (TWinControl)
 | Docked (TControl)
pt | DockOver (TWinControl)
pt | DockOver (TPageControl)
pt | DockTrackNoTarget (TControl)
 | DoCloseTabClicked (TCustomTabControl)
pt | DoConstraintsChange (TControl)
pt | DoConstraintsChange (TWinControl)
pt | DoContextPopup (TControl)
pt | DoDock (TControl)
pt | DoDockClientMsg (TWinControl)
pt | DoDockOver (TWinControl)
pt | DoDragMsg (TControl)
pt | DoDragMsg (TWinControl)
pt | DoEndDock (TControl)
pt | DoEndDrag (TControl)
pt | DoEnter (TWinControl)
pt | DoExit (TWinControl)
pt | DoFixDesignFontPPI (TControl)
pt | DoFlipChildren (TWinControl)
pt | DoFloatMsg (TControl)
pt | DoFloatMsg (TWinControl)
pt | DoGetDockCaption (TWinControl)
pt | DoKeyDownBeforeInterface (TWinControl)
pt | DoKeyPress (TWinControl)
pt | DoKeyUpBeforeInterface (TWinControl)
pt | DoMouseWheel (TControl)
pt | DoMouseWheelDown (TControl)
pt | DoMouseWheelHorz (TControl)
pt | DoMouseWheelLeft (TControl)
pt | DoMouseWheelRight (TControl)
pt | DoMouseWheelUp (TControl)
pt | DoOnChangeBounds (TControl)
pt | DoOnParentHandleDestruction (TControl)
pt | DoOnResize (TControl)
pt | DoOnShowHint (TControl)
pt | DoRemainingKeyDown (TWinControl)
pt | DoRemainingKeyUp (TWinControl)
pt | DoRemoveDockClient (TWinControl)
pt | DoRemoveDockClient (TPageControl)
pt | DoScaleFontPPI (TControl)
pt | DoSendBoundsToInterface (TWinControl)
pt | DoSendShowHideToInterface (TWinControl)
pt | DoSetBounds (TControl)
pt | DoSetBounds (TWinControl)
pt | DoStartDock (TControl)
pt | DoStartDrag (TControl)
pt | DoStartDrag (TNoteBookStringsTabControl)
pt | DoUnDock (TWinControl)
pt | DoUndockClientMsg (TWinControl)
pt | DoUndockClientMsg (TPageControl)
pt | DoUTF8KeyPress (TWinControl)
pt | DragCanceled (TControl)
 | DragDrop (TControl)
pt | DragDrop (TNoteBookStringsTabControl)
 | Dragging (TControl)
pt | DragOver (TControl)
pt | DragOver (TNoteBookStringsTabControl)
 | EditingDone (TControl)
 | EnableAlign (TWinControl)
 | EnableAutoSizing (TControl)
pt | EnabledChanged (TControl)
pt | EnabledChanging (TControl)
pt | EndAutoSizing (TControl)
 | EndDrag (TControl)
 | EndUpdateBounds (TWinControl)
 | Equals (TObject)
 | EraseBackground (TWinControl)
 | ExecuteAction (TComponent)
 | ExecuteCancelAction (TControl)
 | ExecuteDefaultAction (TControl)
 | FieldAddress (TObject)
pt | FinalizeWnd (TWinControl)
 | FindChildControl (TWinControl)
 | FindComponent (TComponent)
pt | FindNextControl (TWinControl)
 | FindNextPage (TPageControl)
 | FixDesignFontsPPI (TControl)
pt | FixupTabList (TWinControl)
 | FlipChildren (TWinControl)
 | Focused (TWinControl)
pt | FontChanged (TControl)
pt | FontChanged (TWinControl)
pt | ForeignAnchorSideChanged (TControl)
pt | FormEndUpdated (TControl)
pt | FormEndUpdated (TWinControl)
 | FormIsUpdating (TControl)
 | FPOAttachObserver (TPersistent)
 | FPODetachObserver (TPersistent)
 | FPONotifyObservers (TPersistent)
 | Free (TObject)
 | FreeInstance (TObject)
 | FreeNotification (TComponent)
 | FreeOnRelease (TComponent)
 | GetAccessibleObject (TControl)
pt | GetAction (TControl)
pt | GetActionLinkClass (TControl)
pt | GetAdjustedLogicalClientRect (TWinControl)
 | GetAnchorsDependingOnParent (TControl)
pt | GetBorderStyle (TWinControl)
pt | GetCachedText (TControl)
 | GetCanvasScaleFactor (TControl)
 | GetCapabilities (TCustomTabControl)
 | GetChildAccessibleObjectAtPos (TControl)
 | GetChildOwner (TComponent)
 | GetChildParent (TComponent)
 | GetChildren (TComponent)
pt | GetChildren (TWinControl)
 | GetChildrenRect (TControl)
 | GetChildrenRect (TWinControl)
pt | GetClientOrigin (TControl)
pt | GetClientOrigin (TWinControl)
pt | GetClientRect (TControl)
pt | GetClientRect (TWinControl)
pt | GetClientScrollOffset (TControl)
 | GetColorResolvingParent (TControl)
 | GetComObject (TComponent)
 | GetComponent (TComponent)
 | GetComponentCount (TComponent)
 | GetComponentIndex (TComponent)
pt | GetControlClassDefaultSize (TControl)
pt | GetControlClassDefaultSize (TCustomTabControl)
 | GetControlIndex (TWinControl)
pt | GetControlOrigin (TControl)
pt | GetControlOrigin (TWinControl)
pt | GetCursor (TControl)
 | GetDefaultColor (TControl)
pt | GetDefaultDockCaption (TControl)
 | GetDefaultHeight (TControl)
 | GetDefaultWidth (TControl)
pt | GetDeviceContext (TControl)
pt | GetDeviceContext (TWinControl)
 | GetDockCaption (TWinControl)
pt | GetDockEdge (TControl)
pt | GetDragImages (TControl)
pt | GetEnabled (TControl)
 | GetEnumerator (TComponent)
 | GetEnumeratorControls (TWinControl)
 | GetEnumeratorControlsReverse (TWinControl)
pt | GetFloating (TControl)
pt | GetFloatingDockSiteClass (TControl)
 | GetHashCode (TObject)
 | GetIDsOfNames (TComponent)
 | GetImageIndex (TCustomTabControl)
 | GetInterface (TObject)
 | GetInterfaceByStr (TObject)
 | GetInterfaceEntry (TObject)
 | GetInterfaceEntryByStr (TObject)
 | GetInterfaceTable (TObject)
 | GetInterfaceWeak (TObject)
pt | GetListClass (TCustomTabControl)
pt | GetLogicalClientRect (TControl)
 | GetMinimumTabHeight (TCustomTabControl)
 | GetMinimumTabWidth (TCustomTabControl)
pt | GetMouseCapture (TControl)
pt | GetMouseCapture (TWinControl)
pt | GetMousePosFromMessage (TControl)
 | GetNamePath (TPersistent)
 | GetNamePath (TComponent)
 | GetOwner (TPersistent)
 | GetOwner (TComponent)
pt | GetPage (TCustomTabControl)
pt | GetPageClass (TCustomTabControl)
pt | GetPageClass (TPageControl)
pt | GetPageCount (TCustomTabControl)
pt | GetPalette (TControl)
pt | GetParentBackground (TWinControl)
 | GetParentComponent (TComponent)
 | GetParentComponent (TControl)
pt | GetParentHandle (TWinControl)
pt | GetPopupMenu (TControl)
 | GetPreferredSize (TControl)
pt | GetPreferredSizeClientFrame (TWinControl)
 | GetRGBColorResolvingParent (TControl)
pt | GetScrolledClientRect (TControl)
 | GetSelectedChildAccessibleObject (TControl)
 | GetSidePosition (TControl)
pt | GetSiteInfo (TWinControl)
 | GetTabOrderList (TWinControl)
 | GetTextBuf (TControl)
 | GetTextLen (TControl)
 | GetTextLen (TWinControl)
 | GetTopParent (TControl)
pt | GetTopParentHandle (TWinControl)
 | GetTypeInfo (TComponent)
 | GetTypeInfoCount (TComponent)
pt | GetWSComponentClass (TLCLComponent)
 | HandleAllocated (TWinControl)
 | HandleNeeded (TWinControl)
 | HandleObjectShouldBeVisible (TControl)
 | HasHelp (TControl)
 | HasParent (TComponent)
 | HasParent (TControl)
pt | HeightIsAnchored (TControl)
 | Hide (TControl)
 | iicrGetComponent (TComponent)
 | IncLCLRefCount (TLCLComponent)
 | IndexOf (TCustomTabControl)
pt | IndexOfPageAt (TCustomTabControl)
 | IndexOfPageAt (TPageControl)
pt | IndexOfTabAt (TCustomTabControl)
 | IndexOfTabAt (TPageControl)
 | InheritsFrom (TObject)
pt | InitializeWnd (TWinControl)
pt | InitializeWnd (TCustomTabControl)
 | InitiateAction (TControl)
 | InitInstance (TObject)
 | Insert (TComponent)
 | InsertComponent (TComponent)
 | InsertControl (TWinControl)
pt | InsertPage (TCustomTabControl)
 | InstanceSize (TObject)
pt | InternalSetPageIndex (TCustomTabControl)
 | IntfGetDropFilesTarget (TWinControl)
 | IntfUTF8KeyPress (TWinControl)
 | Invalidate (TControl)
 | Invalidate (TWinControl)
pt | InvalidateBoundsRealized (TWinControl)
 | InvalidateClientRectCache (TWinControl)
pt | InvalidateControl (TControl)
pt | InvalidatePreferredChildSizes (TWinControl)
 | InvalidatePreferredSize (TControl)
 | Invoke (TComponent)
pt | IsAParentAligning (TControl)
pt | IsBorderSpacingInnerBorderStored (TControl)
pt | IsCaptionStored (TControl)
pt | IsClientHeightStored (TControl)
pt | IsClientHeightStored (TWinControl)
pt | IsClientWidthStored (TControl)
pt | IsClientWidthStored (TWinControl)
pt | IsControlMouseMsg (TWinControl)
 | IsControlVisible (TControl)
 | IsEnabled (TControl)
 | IsImplementorOf (TComponent)
 | IsParentColor (TControl)
 | IsParentFont (TControl)
 | IsParentOf (TControl)
 | IsProcessingPaintMsg (TControl)
 | IsRightToLeft (TControl)
 | IsVisible (TControl)
pt | KeyDown (TWinControl)
pt | KeyDown (TCustomTabControl)
pt | KeyDownAfterInterface (TWinControl)
pt | KeyDownBeforeInterface (TWinControl)
pt | KeyPress (TWinControl)
pt | KeyUp (TWinControl)
pt | KeyUpAfterInterface (TWinControl)
pt | KeyUpBeforeInterface (TWinControl)
pt | LMCaptureChanged (TControl)
 | Loaded (TComponent)
pt | Loaded (TControl)
pt | Loaded (TWinControl)
pt | Loaded (TCustomTabControl)
pt | LoadedAll (TControl)
 | Loading (TComponent)
 | LockRealizeBounds (TWinControl)
pt | MainWndProc (TWinControl)
 | ManualDock (TControl)
 | ManualFloat (TControl)
 | MethodAddress (TObject)
 | MethodName (TObject)
pt | MouseDown (TControl)
pt | MouseDown (TNoteBookStringsTabControl)
pt | MouseEnter (TControl)
pt | MouseEnter (TNoteBookStringsTabControl)
pt | MouseLeave (TControl)
pt | MouseLeave (TNoteBookStringsTabControl)
pt | MouseMove (TControl)
pt | MouseMove (TNoteBookStringsTabControl)
pt | MouseUp (TControl)
pt | MouseUp (TNoteBookStringsTabControl)
 | newinstance (TObject)
 | NewInstance (TLCLComponent)
 | Notification (TComponent)
pt | Notification (TControl)
pt | Notification (TCustomTabControl)
 | NotifyControls (TWinControl)
 | PageToTabIndex (TCustomTabControl)
pt | PaintControls (TWinControl)
pt | PaintHandler (TWinControl)
 | PaintTo (TWinControl)
pt | PaintWindow (TWinControl)
 | PaletteCreated (TComponent)
 | ParentDestroyingHandle (TControl)
pt | ParentFontChanged (TControl)
pt | ParentFormHandleInitialized (TControl)
pt | ParentFormHandleInitialized (TWinControl)
 | ParentHandlesAllocated (TControl)
 | ParentHandlesAllocated (TWinControl)
 | ParentToClient (TControl)
 | Perform (TControl)
 | PerformTab (TWinControl)
pt | PositionDockRect (TControl)
pt | QuadClick (TControl)
 | QueryInterface (TComponent)
 | ReadLeft (TComponent)
 | ReadState (TComponent)
pt | ReadState (TControl)
pt | ReadState (TCustomTabControl)
 | ReadTop (TComponent)
pt | RealGetText (TControl)
pt | RealGetText (TWinControl)
 | ReAlign (TWinControl)
pt | RealizeBounds (TWinControl)
pt | RealizeBoundsRecursive (TWinControl)
pt | RealSetText (TControl)
pt | RealSetText (TWinControl)
 | ReferenceInterface (TComponent)
 | Refresh (TControl)
pt | ReloadDockedControl (TWinControl)
 | Remove (TComponent)
 | RemoveAllHandlersOfObject (TLCLComponent)
 | RemoveAllHandlersOfObject (TControl)
 | RemoveComponent (TComponent)
 | RemoveControl (TWinControl)
pt | RemoveFocus (TWinControl)
 | RemoveFreeNotification (TComponent)
pt | RemoveHandler (TControl)
 | RemoveHandlerOnBeforeDestruction (TControl)
 | RemoveHandlerOnChangeBounds (TControl)
 | RemoveHandlerOnEnableChanging (TControl)
 | RemoveHandlerOnKeyDown (TControl)
 | RemoveHandlerOnMouseWheel (TControl)
 | RemoveHandlerOnResize (TControl)
 | RemoveHandlerOnVisibleChanged (TControl)
 | RemoveHandlerOnVisibleChanging (TControl)
 | RemoveNotification (TComponent)
pt | RemovePage (TCustomTabControl)
 | Repaint (TControl)
 | Repaint (TWinControl)
 | ReplaceDockedControl (TControl)
pt | RequestAlign (TControl)
pt | Resize (TControl)
 | SafeCallException (TObject)
 | SafeCallException (TComponent)
 | Scale96ToFont (TControl)
 | Scale96ToForm (TControl)
 | Scale96ToScreen (TControl)
 | ScaleBy (TWinControl)
pt | ScaleConstraints (TControl)
pt | ScaleControls (TWinControl)
 | ScaleDesignToForm (TControl)
 | ScaleFontsPPI (TControl)
 | ScaleFontTo96 (TControl)
 | ScaleFontToScreen (TControl)
 | ScaleFormTo96 (TControl)
 | ScaleFormToDesign (TControl)
 | ScaleScreenTo96 (TControl)
 | ScaleScreenToFont (TControl)
 | ScreenToClient (TControl)
 | ScreenToControl (TControl)
 | ScrollBy (TWinControl)
 | ScrollBy_WS (TWinControl)
pt | SelectFirst (TWinControl)
 | SelectNext (TWinControl)
 | SelectNextPage (TPageControl)
pt | SendDialogChar (TWinControl)
pt | SendMoveSizeMessages (TControl)
pt | SendMoveSizeMessages (TWinControl)
 | SendToBack (TControl)
pt | SetAction (TControl)
pt | SetAlign (TControl)
 | SetAncestor (TComponent)
pt | SetAnchors (TControl)
pt | SetAutoSize (TControl)
pt | SetBiDiMode (TControl)
pt | SetBorderStyle (TWinControl)
 | SetBounds (TControl)
 | SetBounds (TWinControl)
 | SetBoundsKeepBase (TControl)
 | SetChildOrder (TComponent)
pt | SetChildZPosition (TWinControl)
pt | SetColor (TControl)
pt | SetColor (TWinControl)
 | SetComponentIndex (TComponent)
 | SetControlIndex (TWinControl)
pt | SetCursor (TControl)
 | SetDesigning (TComponent)
 | SetDesignInstance (TComponent)
pt | SetDockManager (TWinControl)
pt | SetDragMode (TControl)
pt | SetEnabled (TControl)
 | SetFocus (TWinControl)
pt | SetHint (TControl)
 | SetInitialBounds (TControl)
 | SetInline (TComponent)
 | SetName (TComponent)
pt | SetName (TControl)
pt | SetOptions (TCustomTabControl)
pt | SetParent (TControl)
pt | SetParentBackground (TWinControl)
pt | SetParentBiDiMode (TControl)
 | SetParentComponent (TComponent)
pt | SetParentComponent (TControl)
 | SetReference (TComponent)
 | SetShape (TWinControl)
 | SetSubComponent (TComponent)
 | SetTempCursor (TControl)
 | SetTempCursor (TWinControl)
 | SetTextBuf (TControl)
pt | SetVisible (TControl)
pt | SetZOrder (TControl)
 | ShouldAutoAdjust (TControl)
 | Show (TControl)
pt | ShowControl (TWinControl)
pt | ShowControl (TCustomTabControl)
 | ShowHelp (TControl)
 | StringMessageTable (TObject)
 | TabRect (TCustomTabControl)
 | TabToPageIndex (TCustomTabControl)
pt | TextChanged (TControl)
 | ToString (TObject)
pt | TripleClick (TControl)
 | UnitName (TObject)
 | UnlockRealizeBounds (TWinControl)
 | Update (TControl)
 | Update (TWinControl)
 | UpdateAction (TComponent)
pt | UpdateAnchorRules (TControl)
 | UpdateBaseBounds (TControl)
pt | UpdateControlState (TWinControl)
 | Updated (TComponent)
 | UpdateDockCaption (TWinControl)
pt | UpdateMouseCursor (TControl)
 | UpdateRegistry (TComponent)
 | UpdateRolesForForm (TControl)
pt | UpdateShowing (TWinControl)
pt | UpdateTabProperties (TCustomTabControl)
 | Updating (TComponent)
 | UseRightToLeftAlignment (TControl)
 | UseRightToLeftReading (TControl)
 | UseRightToLeftScrollBar (TControl)
pt | UTF8KeyPress (TWinControl)
 | ValidateContainer (TComponent)
 | ValidateInsert (TComponent)
 | ValidateRename (TComponent)
pt | VisibleChanged (TControl)
pt | VisibleChanging (TControl)
pt | WidthIsAnchored (TControl)
pt | WMCancelMode (TControl)
pt | WMChar (TWinControl)
pt | WMContextMenu (TControl)
pt | WMContextMenu (TWinControl)
pt | WMDestroy (TWinControl)
pt | WMEnter (TWinControl)
pt | WMEraseBkgnd (TWinControl)
pt | WMExit (TWinControl)
pt | WMKeyDown (TWinControl)
pt | WMKeyUp (TWinControl)
pt | WMKillFocus (TWinControl)
pt | WMLButtonDBLCLK (TControl)
pt | WMLButtonDown (TControl)
pt | WMLButtonQuadCLK (TControl)
pt | WMLButtonTripleCLK (TControl)
pt | WMLButtonUp (TControl)
pt | WMMButtonDBLCLK (TControl)
pt | WMMButtonDown (TControl)
pt | WMMButtonQuadCLK (TControl)
pt | WMMButtonTripleCLK (TControl)
pt | WMMButtonUp (TControl)
pt | WMMouseHWheel (TControl)
pt | WMMouseMove (TControl)
pt | WMMouseWheel (TControl)
pt | WMMove (TControl)
pt | WMMove (TWinControl)
pt | WMNotify (TWinControl)
pt | WMPaint (TWinControl)
pt | WMRButtonDBLCLK (TControl)
pt | WMRButtonDown (TControl)
pt | WMRButtonQuadCLK (TControl)
pt | WMRButtonTripleCLK (TControl)
pt | WMRButtonUp (TControl)
pt | WMSetFocus (TWinControl)
pt | WMShowWindow (TWinControl)
pt | WMSize (TControl)
pt | WMSize (TWinControl)
pt | WMSysChar (TWinControl)
pt | WMSysKeyDown (TWinControl)
pt | WMSysKeyUp (TWinControl)
pt | WMWindowPosChanged (TControl)
pt | WMWindowPosChanged (TWinControl)
pt | WMXButtonDBLCLK (TControl)
pt | WMXButtonDown (TControl)
pt | WMXButtonQuadCLK (TControl)
pt | WMXButtonTripleCLK (TControl)
pt | WMXButtonUp (TControl)
pt | WndProc (TControl)
pt | WndProc (TWinControl)
 | WriteLayoutDebugReport (TControl)
 | WriteLayoutDebugReport (TWinControl)
 | WriteLeft (TComponent)
 | WriteState (TComponent)
 | WriteTop (TComponent)
pt | WSRegisterClass (TLCLComponent)
pt | WSRegisterClass (TControl)
pt | WSRegisterClass (TWinControl)
pt | WSRegisterClass (TCustomTabControl)
pt | WSRegisterClass (TPageControl)
pt | WSRegisterClass (TNoteBookStringsTabControl)
pt | WSSetText (TWinControl)
 | _AddRef (TComponent)
 | _Release (TComponent)


TNoteBookStringsTabControl
TPageControl
pl | ro | OnGetDockCaption
pl | ro | OnChange
pl | ro | OnChanging
pl | ro | OnCloseTabClicked
pl | ro | OnContextPopup
pl | ro | OnDockDrop
pl | ro | OnDockOver
pl | ro | OnDragDrop
pl | ro | OnDragOver
pl | ro | OnEndDock
pl | ro | OnEndDrag
pl | ro | OnEnter
pl | ro | OnExit
pl | ro | OnGetImageIndex
pl | ro | OnGetSiteInfo
pl | ro | OnMouseDown
pl | ro | OnMouseEnter
pl | ro | OnMouseLeave
pl | ro | OnMouseMove
pl | ro | OnMouseUp
pl | ro | OnMouseWheel
pl | ro | OnMouseWheelDown
pl | ro | OnMouseWheelUp
pl | ro | OnResize
pl | ro | OnStartDock
pl | ro | OnStartDrag
pl | ro | OnUnDock
TCustomTabControl
pt |  | OnChange
 |  | OnChanging
 |  | OnCloseTabClicked
 |  | OnGetImageIndex
TWinControl
pt |  | OnGetSiteInfo
pt |  | OnGetDockCaption
 |  | OnAlignInsertBefore
 |  | OnAlignPosition
 |  | OnDockDrop
 |  | OnDockOver
 |  | OnEnter
 |  | OnExit
 |  | OnKeyDown
 |  | OnKeyPress
 |  | OnKeyUp
 |  | OnUnDock
 |  | OnUTF8KeyPress
TControl
pt |  | OnConstrainedResize
pt |  | OnContextPopup
pt |  | OnDblClick
pt |  | OnTripleClick
pt |  | OnQuadClick
pt |  | OnDragDrop
pt |  | OnDragOver
pt |  | OnEndDock
pt |  | OnEndDrag
pt |  | OnMouseDown
pt |  | OnMouseMove
pt |  | OnMouseUp
pt |  | OnMouseEnter
pt |  | OnMouseLeave
pt |  | OnMouseWheel
pt |  | OnMouseWheelDown
pt |  | OnMouseWheelUp
pt |  | OnMouseWheelHorz
pt |  | OnMouseWheelLeft
pt |  | OnMouseWheelRight
pt |  | OnStartDock
pt |  | OnStartDrag
pt |  | OnEditingDone
 |  | OnChangeBounds
 |  | OnClick
 |  | OnResize
 |  | OnShowHint
TLCLComponent
TComponent
TPersistent
TObject


pt |  | OnChange (TCustomTabControl)
pl | ro | OnChange (TPageControl)
 |  | OnChangeBounds (TControl)
 |  | OnChanging (TCustomTabControl)
pl | ro | OnChanging (TPageControl)
 |  | OnClick (TControl)
 |  | OnCloseTabClicked (TCustomTabControl)
pl | ro | OnCloseTabClicked (TPageControl)
pt |  | OnConstrainedResize (TControl)
pt |  | OnContextPopup (TControl)
pl | ro | OnContextPopup (TPageControl)
pt |  | OnDblClick (TControl)
 |  | OnDockDrop (TWinControl)
pl | ro | OnDockDrop (TPageControl)
 |  | OnDockOver (TWinControl)
pl | ro | OnDockOver (TPageControl)
pt |  | OnDragDrop (TControl)
pl | ro | OnDragDrop (TPageControl)
pt |  | OnDragOver (TControl)
pl | ro | OnDragOver (TPageControl)
pt |  | OnEditingDone (TControl)
pt |  | OnEndDock (TControl)
pl | ro | OnEndDock (TPageControl)
pt |  | OnEndDrag (TControl)
pl | ro | OnEndDrag (TPageControl)
 |  | OnEnter (TWinControl)
pl | ro | OnEnter (TPageControl)
 |  | OnExit (TWinControl)
pl | ro | OnExit (TPageControl)
pt |  | OnGetDockCaption (TWinControl)
pl | ro | OnGetDockCaption (TPageControl)
 |  | OnGetImageIndex (TCustomTabControl)
pl | ro | OnGetImageIndex (TPageControl)
pt |  | OnGetSiteInfo (TWinControl)
pl | ro | OnGetSiteInfo (TPageControl)
 |  | OnKeyDown (TWinControl)
 |  | OnKeyPress (TWinControl)
 |  | OnKeyUp (TWinControl)
pt |  | OnMouseDown (TControl)
pl | ro | OnMouseDown (TPageControl)
pt |  | OnMouseEnter (TControl)
pl | ro | OnMouseEnter (TPageControl)
pt |  | OnMouseLeave (TControl)
pl | ro | OnMouseLeave (TPageControl)
pt |  | OnMouseMove (TControl)
pl | ro | OnMouseMove (TPageControl)
pt |  | OnMouseUp (TControl)
pl | ro | OnMouseUp (TPageControl)
pt |  | OnMouseWheel (TControl)
pl | ro | OnMouseWheel (TPageControl)
pt |  | OnMouseWheelDown (TControl)
pl | ro | OnMouseWheelDown (TPageControl)
pt |  | OnMouseWheelHorz (TControl)
pt |  | OnMouseWheelLeft (TControl)
pt |  | OnMouseWheelRight (TControl)
pt |  | OnMouseWheelUp (TControl)
pl | ro | OnMouseWheelUp (TPageControl)
pt |  | OnQuadClick (TControl)
 |  | OnResize (TControl)
pl | ro | OnResize (TPageControl)
 |  | OnShowHint (TControl)
pt |  | OnStartDock (TControl)
pl | ro | OnStartDock (TPageControl)
pt |  | OnStartDrag (TControl)
pl | ro | OnStartDrag (TPageControl)
pt |  | OnTripleClick (TControl)
 |  | OnUnDock (TWinControl)
pl | ro | OnUnDock (TPageControl)
 |  | OnUTF8KeyPress (TWinControl)


TNoteBookStringsTabControl.CreateHandle

Declaration

Source position: comctrls.pp line 727

protected procedure TNoteBookStringsTabControl.CreateHandle; override;


TNoteBookStringsTabControl.DoStartDrag

Declaration

Source position: comctrls.pp line 728

protected procedure TNoteBookStringsTabControl.DoStartDrag(

  var DragObject: TDragObject

); override;


TNoteBookStringsTabControl.DragDrop

Declaration

Source position: comctrls.pp line 729

protected procedure TNoteBookStringsTabControl.DragDrop(

  Source: TObject;

  X: Integer;

  Y: Integer

); override;


TNoteBookStringsTabControl.DragOver

Declaration

Source position: comctrls.pp line 730

protected procedure TNoteBookStringsTabControl.DragOver(

  Source: TObject;

  X: Integer;

  Y: Integer;

  State: TDragState;

  var Accept: Boolean

); override;


TNoteBookStringsTabControl.FHandleCreated

Declaration

Source position: comctrls.pp line 726

protected TNoteBookStringsTabControl.FHandleCreated : TNotifyEvent;


TNoteBookStringsTabControl.MouseDown

Declaration

Source position: comctrls.pp line 732

protected procedure TNoteBookStringsTabControl.MouseDown(

  Button: TMouseButton;

  Shift: TShiftState;

  X: Integer;

  Y: Integer

); override;


TNoteBookStringsTabControl.MouseEnter

Declaration

Source position: comctrls.pp line 735

protected procedure TNoteBookStringsTabControl.MouseEnter; override;


TNoteBookStringsTabControl.MouseLeave

Declaration

Source position: comctrls.pp line 736

protected procedure TNoteBookStringsTabControl.MouseLeave; override;


TNoteBookStringsTabControl.MouseMove

Declaration

Source position: comctrls.pp line 733

protected procedure TNoteBookStringsTabControl.MouseMove(

  Shift: TShiftState;

  X: Integer;

  Y: Integer

); override;


TNoteBookStringsTabControl.MouseUp

Declaration

Source position: comctrls.pp line 734

protected procedure TNoteBookStringsTabControl.MouseUp(

  Button: TMouseButton;

  Shift: TShiftState;

  X: Integer;

  Y: Integer

); override;


TNoteBookStringsTabControlClass

Declaration

Source position: comctrls.pp line 739

type TNoteBookStringsTabControlClass = class of TNoteBookStringsTabControl;


TOwnerDataListItem

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Declaration

Source position: comctrls.pp line 1077

type TOwnerDataListItem = class(TListItem)

protected

  function IsOwnerData; override;

public

  procedure SetDataIndex();

  procedure SetOwner();

end;

Inheritance

TOwnerDataListItem
|

TListItem

TListItem - the ancestor class for the Items in TCustomListView and TListView
|

TPersistent,IFPObserved
|

TObject


TOwnerDataListItem
TListItem
 |  | Caption
 |  | Checked
 |  | Cut
 |  | Data
 |  | DropTarget
 |  | Focused
 | ro | Index
 |  | ImageIndex
 |  | Left
 | ro | ListView
 | ro | Owner
 |  | Position
 |  | Selected
 |  | StateIndex
 |  | SubItems
 |  | SubItemImages
 |  | Top
TPersistent
TObject


TOwnerDataListItem
pt | IsOwnerData
 | SetDataIndex
 | SetOwner
TListItem
pt | IsEqual
pt | IsOwnerData
pt | GetCheckedInternal
pt | GetOwner
 | Assign
 | Create
 | Destroy
 | Delete
 | MakeVisible
 | DisplayRect
 | DisplayRectSubItem
 | EditCaption
TPersistent
 | AssignError
 | AssignTo
 | DefineProperties
 | GetOwner
 | Destroy
 | Assign
 | FPOAttachObserver
 | FPODetachObserver
 | FPONotifyObservers
 | GetNamePath
TObject
 | Create
 | Destroy
 | newinstance
 | FreeInstance
 | SafeCallException
 | DefaultHandler
 | Free
 | InitInstance
 | CleanupInstance
 | ClassType
 | ClassInfo
 | ClassName
 | ClassNameIs
 | ClassParent
 | InstanceSize
 | InheritsFrom
 | StringMessageTable
 | MethodAddress
 | MethodName
 | FieldAddress
 | AfterConstruction
 | BeforeDestruction
 | DefaultHandlerStr
 | Dispatch
 | DispatchStr
 | GetInterface
 | GetInterfaceByStr
 | GetInterfaceWeak
 | GetInterfaceEntry
 | GetInterfaceEntryByStr
 | GetInterfaceTable
 | UnitName
 | Equals
 | GetHashCode
 | ToString


 | AssignError (TPersistent)
 | AssignTo (TPersistent)
 | BeforeDestruction (TObject)
 | ClassInfo (TObject)
 | ClassName (TObject)
 | ClassNameIs (TObject)
 | ClassParent (TObject)
 | ClassType (TObject)
 | CleanupInstance (TObject)
 | Create (TObject)
 | Create (TListItem)
 | DefaultHandler (TObject)
 | DefaultHandlerStr (TObject)
 | DefineProperties (TPersistent)
 | Delete (TListItem)
 | Destroy (TObject)
 | Destroy (TPersistent)
 | Destroy (TListItem)
 | Dispatch (TObject)
 | DispatchStr (TObject)
 | DisplayRect (TListItem)
 | DisplayRectSubItem (TListItem)
 | EditCaption (TListItem)
 | Equals (TObject)
 | FieldAddress (TObject)
 | FPOAttachObserver (TPersistent)
 | FPODetachObserver (TPersistent)
 | FPONotifyObservers (TPersistent)
 | Free (TObject)
 | FreeInstance (TObject)
pt | GetCheckedInternal (TListItem)
 | GetHashCode (TObject)
 | GetInterface (TObject)
 | GetInterfaceByStr (TObject)
 | GetInterfaceEntry (TObject)
 | GetInterfaceEntryByStr (TObject)
 | GetInterfaceTable (TObject)
 | GetInterfaceWeak (TObject)
 | GetNamePath (TPersistent)
 | GetOwner (TPersistent)
pt | GetOwner (TListItem)
 | InheritsFrom (TObject)
 | InitInstance (TObject)
 | InstanceSize (TObject)
pt | IsEqual (TListItem)
pt | IsOwnerData (TListItem)
pt | IsOwnerData (TOwnerDataListItem)
 | MakeVisible (TListItem)
 | MethodAddress (TObject)
 | MethodName (TObject)
 | newinstance (TObject)
 | SafeCallException (TObject)
 | SetDataIndex (TOwnerDataListItem)
 | SetOwner (TOwnerDataListItem)
 | StringMessageTable (TObject)
 | ToString (TObject)
 | UnitName (TObject)


TOwnerDataListItem

TListItem

TPersistent

TObject


TOwnerDataListItem.IsOwnerData

Declaration

Source position: comctrls.pp line 1090

protected function TOwnerDataListItem.IsOwnerData: Boolean; override;


TOwnerDataListItem.SetDataIndex

Declaration

Source position: comctrls.pp line 1092

public procedure TOwnerDataListItem.SetDataIndex(

  ADataIndex: Integer

);


TOwnerDataListItem.SetOwner

Declaration

Source position: comctrls.pp line 1093

public procedure TOwnerDataListItem.SetOwner(

  AOwner: TListItems

);


TOwnerDataListItems

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Declaration

Source position: comctrls.pp line 1175

type TOwnerDataListItems = class(TListItems)

protected

  function GetCount; override;

  procedure SetCount(); override;

  function GetItem(); override;

public

  procedure Clear; override;

end;

Inheritance

TOwnerDataListItems
|

TListItems

TListItems - a list of items with a cache of the last accessed item
|

TPersistent,IFPObserved
|

TObject


TOwnerDataListItems
TListItems
 | ro | Flags
 |  | Count
 |  | Item
 | ro | Owner
TPersistent
TObject


TOwnerDataListItems
pt | GetCount
pt | SetCount
pt | GetItem
 | Clear
TListItems
pt | DefineProperties
pt | GetCount
pt | GetItem
pt | GetOwner
pt | WSCreateItems
pt | DoFinalizeWnd
pt | SetCount
pt | SetItem
pt | ClearSelection
pt | SelectAll
 | Add
 | AddItem
 | BeginUpdate
 | Clear
 | Create
 | Destroy
 | Delete
 | EndUpdate
 | Exchange
 | Move
 | FindCaption
 | FindData
 | GetEnumerator
 | IndexOf
 | Insert
 | InsertItem
TPersistent
 | AssignError
 | AssignTo
 | DefineProperties
 | GetOwner
 | Destroy
 | Assign
 | FPOAttachObserver
 | FPODetachObserver
 | FPONotifyObservers
 | GetNamePath
TObject
 | Create
 | Destroy
 | newinstance
 | FreeInstance
 | SafeCallException
 | DefaultHandler
 | Free
 | InitInstance
 | CleanupInstance
 | ClassType
 | ClassInfo
 | ClassName
 | ClassNameIs
 | ClassParent
 | InstanceSize
 | InheritsFrom
 | StringMessageTable
 | MethodAddress
 | MethodName
 | FieldAddress
 | AfterConstruction
 | BeforeDestruction
 | DefaultHandlerStr
 | Dispatch
 | DispatchStr
 | GetInterface
 | GetInterfaceByStr
 | GetInterfaceWeak
 | GetInterfaceEntry
 | GetInterfaceEntryByStr
 | GetInterfaceTable
 | UnitName
 | Equals
 | GetHashCode
 | ToString


 | Add (TListItems)
 | AddItem (TListItems)
 | AfterConstruction (TObject)
 | Assign (TPersistent)
 | AssignError (TPersistent)
 | AssignTo (TPersistent)
 | BeforeDestruction (TObject)
 | BeginUpdate (TListItems)
 | ClassInfo (TObject)
 | ClassName (TObject)
 | ClassNameIs (TObject)
 | ClassParent (TObject)
 | ClassType (TObject)
 | CleanupInstance (TObject)
 | Clear (TListItems)
 | Clear (TOwnerDataListItems)
pt | ClearSelection (TListItems)
 | Create (TObject)
 | Create (TListItems)
 | DefaultHandler (TObject)
 | DefaultHandlerStr (TObject)
 | DefineProperties (TPersistent)
pt | DefineProperties (TListItems)
 | Delete (TListItems)
 | Destroy (TObject)
 | Destroy (TPersistent)
 | Destroy (TListItems)
 | Dispatch (TObject)
 | DispatchStr (TObject)
pt | DoFinalizeWnd (TListItems)
 | EndUpdate (TListItems)
 | Equals (TObject)
 | Exchange (TListItems)
 | FieldAddress (TObject)
 | FindCaption (TListItems)
 | FindData (TListItems)
 | FPOAttachObserver (TPersistent)
 | FPODetachObserver (TPersistent)
 | FPONotifyObservers (TPersistent)
 | Free (TObject)
 | FreeInstance (TObject)
pt | GetCount (TListItems)
pt | GetCount (TOwnerDataListItems)
 | GetEnumerator (TListItems)
 | GetHashCode (TObject)
 | GetInterface (TObject)
 | GetInterfaceByStr (TObject)
 | GetInterfaceEntry (TObject)
 | GetInterfaceEntryByStr (TObject)
 | GetInterfaceTable (TObject)
 | GetInterfaceWeak (TObject)
pt | GetItem (TListItems)
pt | GetItem (TOwnerDataListItems)
 | GetNamePath (TPersistent)
 | GetOwner (TPersistent)
pt | GetOwner (TListItems)
 | IndexOf (TListItems)
 | InheritsFrom (TObject)
 | InitInstance (TObject)
 | Insert (TListItems)
 | InsertItem (TListItems)
 | InstanceSize (TObject)
 | MethodAddress (TObject)
 | MethodName (TObject)
 | Move (TListItems)
 | newinstance (TObject)
 | SafeCallException (TObject)
pt | SelectAll (TListItems)
pt | SetCount (TListItems)
pt | SetCount (TOwnerDataListItems)
pt | SetItem (TListItems)
 | StringMessageTable (TObject)
 | ToString (TObject)
 | UnitName (TObject)
pt | WSCreateItems (TListItems)


TOwnerDataListItems

TListItems

TPersistent

TObject


TOwnerDataListItems.SetCount

Declaration

Source position: comctrls.pp line 1180

protected procedure TOwnerDataListItems.SetCount(

  const ACount: Integer

); override;


TPageControl

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

TPageControl - provides a series of tabs along the edge of a multi-page component to allow selection of one of the pages (TTabSheet) of the component.

Declaration

Source position: comctrls.pp line 573

type TPageControl = class(TCustomTabControl)
protected
class procedure WSRegisterClass; override; | Registers this component class with the current WidgetSet.
function GetPageClass; override;
procedure DoAddDockClient(); override; | DoAddDockClient creates a new TabSheet in the PageControl, places the client on it and aligns it
procedure DockOver(); override;
procedure DoRemoveDockClient(); override; | DoRemoveDockClient - frees the page which is being undocked
function DoUndockClientMsg(); override; | Notifies the DockManager of the undock of a client control.
function ChildClassAllowed(); override;
public
function FindNextPage(); | FindNextPage - returns the next page (TTabSheet) in the sequence
procedure SelectNextPage(); | SelectNextPage - checking that its tab is visible
function IndexOfTabAt();
function IndexOfPageAt();
function AddTabSheet;
property ActivePageIndex: Integer; [rw] | ActivePageIndex - index value of currently selected (active) page
property Pages []: TTabSheet; [r] | Pages - the actual Pages (TTabSheet) that comprise the component
published
property ActivePage: TTabSheet; [rw] | ActivePage - the currently selected active page (TTabSheet)
property OnGetDockCaption: TGetDockCaptionEvent; | This handler can provide a special DockCaption, different from the Caption default.
property Align: TAlign; | Specifies the placement of the control inside its Parent.
property Anchors: TAnchors; | The set of anchor definitions for this control.
property BorderSpacing: TControlBorderSpacing; | Determines the inner and outer border spacing for this control.
property BiDiMode: TBiDiMode;
property Constraints: TSizeConstraints; | The minimal and maximal Width and Height of this control.
property DockSite: Boolean; | Allows to drag-dock other controls into this control.
property DragCursor: TCursor; | The cursor shape shown while the control is dragged.
property DragKind: TDragKind; | The operation when the control is dragged - Drag or Dock.
property DragMode: TDragMode; | Allows the user to drag the control.
property Enabled: Boolean; | Determines whether the control reacts on mouse or keyboard input.
property Font: TFont; | The font to be used for text display in this control.
property Images: TCustomImageList; |
property ImagesWidth: Integer;
property MultiLine: Boolean;
property ParentBiDiMode: Boolean;
property ParentFont: Boolean; | If true, the Font of the control will be the same as the one from the Parent. Default is true.
property ParentShowHint: Boolean; | If true, the value of ShowHint for the control will be the same as the one from the Parent. Default is true.
property PopupMenu: TPopupMenu; | A context-sensitive menu that pops up when the right mouse button is clicked over this control
property ShowHint: Boolean; | Enables the Hint display.
property ShowTabs: Boolean;
property TabHeight: SmallInt;
property TabIndex: Integer; | TabIndex - the Index value of the currently selected Tab
property TabOrder: TTabOrder; | Determines the sequence of controls, reachable when the user presses the Tab key.
property TabPosition: TTabPosition; |
property TabStop: Boolean; | Allows the user to navigate to this control, by pressing the Tab key.
property TabWidth: SmallInt;
property Visible: Boolean; | Allows to show or hide the control, and all of its children.
property OnChange: TNotifyEvent; | OnChange - Occurs immediately after a tab is selected.
property OnChanging: TTabChangingEvent; | OnChanging - Occurs immediately before a tab is selected.
property OnCloseTabClicked: TNotifyEvent;
property OnContextPopup: TContextPopupEvent; | Invoked when a context-sensitive pop-up menu is requested.
property OnDockDrop: TDockDropEvent; | Notification handler for the drop of a control to be docked.
property OnDockOver: TDockOverEvent; | Event handler for moves of a control over this docksite. Determines acceptance or rejection of an possible drop.
property OnDragDrop: TDragDropEvent; | This handler determines the action on an drop onto this control, in a drag-drop operation.
property OnDragOver: TDragOverEvent; | Event handler for a control being dragged over this control.
property OnEndDock: TEndDragEvent; | Notification handler for the end of a docking operation.
property OnEndDrag: TEndDragEvent; | Notification handler for the end of a dragging operation.
property OnEnter: TNotifyEvent; | Handler for control receiving the focus.
property OnExit: TNotifyEvent; | Handler for control loosing the focus. This is a good place for checking the finished user input.
property OnGetImageIndex: TTabGetImageEvent; |
property OnGetSiteInfo: TGetSiteInfoEvent; | Provides information about the DockSite.
property OnMouseDown: TMouseEvent; | Event handler for mouse button going down.
property OnMouseEnter: TNotifyEvent;
property OnMouseLeave: TNotifyEvent;
property OnMouseMove: TMouseMoveEvent; | Event handler for mouse movement within the control.
property OnMouseUp: TMouseEvent; | Event handler for mouse button going up.
property OnMouseWheel: TMouseWheelEvent;
property OnMouseWheelDown: TMouseWheelUpDownEvent;
property OnMouseWheelUp: TMouseWheelUpDownEvent;
property OnResize: TNotifyEvent; | Notification handler for a resize of the control.
property OnStartDock: TStartDockEvent; | Event handler for the start of a docking operation.
property OnStartDrag: TStartDragEvent; | Event handler for the start of a dragging operation.
property OnUnDock: TUnDockEvent; | Event handler for control being undocked from this DockSite.
property Options: TCTabControlOptions;
end;

Inheritance

TPageControl | TPageControl - provides a series of tabs along the edge of a multi-page component to allow selection of one of the pages (TTabSheet) of the component.
|
TCustomTabControl | TCustomTabControl - base class for TTabControl, a series of Tabs along the edge of a display area; selection of a Tab governs the contents of the DisplayRect
|
TWinControl | The base class for controls which can contain other (child) controls.
|
TControl | The base class for visible controls.
|
TLCLComponent | The base class for LCL components associated with widgets.
|
TComponent,IUnknown,IInterfaceComponentReference
|
TPersistent,IFPObserved
|
TObject

Description

TPageControl - provides a series of tabs along the edge of a multi-page component to allow selection of one of the pages (TTabSheet) of the component.

To use TPageControl, select its icon from the Common Controls tab of the IDE Component Palette and place it at the desired location on the Form.

Use the Form Designer and Object Inspector to adjust its shape, size, alignment, anchoring, docking and other properties, then select the object and right click with the mouse to bring up a pop-up menu whose first item is 'AddPage'. After you have added as many pages as you need, the individual pages can be edited by selecting ActivePage in the Object Inspector choosing the page required and editing its properties.

While a given page is selected, it is also possible to drop other controls (such as buttons, memo boxes etc) on to the page from the Component Palette.

Inherits most of its properties from TCustomTabControl

See also

Multi-PageControls

Multi-PageControls - controls that offer a selection of alternative pages for display


TPageControl
 |  | ActivePageIndex
 | ro | Pages
pl |  | ActivePage
pl | ro | Align
pl | ro | Anchors
pl | ro | BorderSpacing
pl | ro | BiDiMode
pl | ro | Constraints
pl | ro | DockSite
pl | ro | DragCursor
pl | ro | DragKind
pl | ro | DragMode
pl | ro | Enabled
pl | ro | Font
pl | ro | Images
pl | ro | ImagesWidth
pl | ro | MultiLine
pl | ro | ParentBiDiMode
pl | ro | ParentFont
pl | ro | ParentShowHint
pl | ro | PopupMenu
pl | ro | ShowHint
pl | ro | ShowTabs
pl | ro | TabHeight
pl | ro | TabIndex
pl | ro | TabOrder
pl | ro | TabPosition
pl | ro | TabStop
pl | ro | TabWidth
pl | ro | Visible
pl | ro | Options
TCustomTabControl
pt |  | ActivePageComponent
pt |  | ActivePage
pt | ro | DisplayRect
pt |  | HotTrack
pt |  | MultiSelect
pt |  | OwnerDraw
pt |  | RaggedRight
pt |  | ScrollOpposite
pt |  | Style
pt |  | Tabs
pt |  | TabIndex
 |  | Images
 |  | ImagesWidth
 |  | MultiLine
 |  | Options
 | ro | Page
 | ro | PageCount
 |  | PageIndex
 |  | Pages
 |  | ShowTabs
 |  | TabHeight
 |  | TabPosition
 |  | TabWidth
pl | ro | TabStop
TWinControl
pt |  | WindowHandle
pt |  | BorderStyle
pt |  | ParentBackground
 |  | BorderWidth
 | ro | BoundsLockCount
 | ro | Brush
 | ro | CachedClientHeight
 | ro | CachedClientWidth
 |  | ChildSizing
 | ro | ControlCount
 | ro | Controls
 |  | DefWndProc
 | ro | DockClientCount
 | ro | DockClients
 |  | DockManager
 |  | DockSite
 |  | DoubleBuffered
 |  | Handle
 | ro | IsFlipped
 | ro | IsResizing
 |  | TabOrder
 |  | TabStop
 |  | ParentDoubleBuffered
 |  | ParentWindow
 | ro | Showing
 |  | UseDockManager
 |  | DesignerDeleting
 | ro | VisibleDockClientCount
TControl
pt | ro | AutoSizing
pt | ro | AutoSizingAll
pt | ro | AutoSizingLockCount
pt |  | ActionLink
pt |  | DesktopFont
pt |  | DragCursor
pt |  | DragKind
pt |  | DragMode
pt |  | MouseCapture
pt |  | ParentColor
pt |  | ParentFont
pt |  | ParentShowHint
pt |  | SessionProperties
pt |  | Text
 | ro | AnchoredControls
 | ro | BaseBounds
 | ro | ReadBounds
 | ro | BaseParentClientSize
 |  | AccessibleDescription
 |  | AccessibleValue
 |  | AccessibleRole
 |  | Action
 |  | Align
 |  | Anchors
 | ro | AnchorSide
 |  | AutoSize
 |  | BorderSpacing
 |  | BoundsRect
 |  | BoundsRectForNewParent
 |  | Caption
 |  | CaptureMouseButtons
 |  | ClientHeight
 | ro | ClientOrigin
 | ro | ClientRect
 |  | ClientWidth
 |  | Color
 |  | Constraints
 | ro | ControlOrigin
 |  | ControlState
 |  | ControlStyle
 |  | Enabled
 |  | Font
 |  | IsControl
 | ro | MouseEntered
 | ro | MouseInClient
 |  | Parent
 |  | PopupMenu
 |  | ShowHint
 |  | Visible
 |  | WindowProc
 |  | DockOrientation
 | ro | Floating
 |  | FloatingDockSiteClass
 |  | HostDockSite
 |  | LRDockWidth
 |  | TBDockHeight
 |  | UndockHeight
 |  | UndockWidth
 |  | BiDiMode
 |  | ParentBiDiMode
pl |  | AnchorSideLeft
pl |  | AnchorSideTop
pl |  | AnchorSideRight
pl |  | AnchorSideBottom
pl |  | Cursor
pl |  | Left
pl |  | Height
pl |  | Hint
pl |  | Top
pl |  | Width
pl |  | HelpType
pl |  | HelpKeyword
pl |  | HelpContext
TLCLComponent
 | ro | LCLRefCount
 | ro | WidgetSetClass
TComponent
 | ro | ComObject
 | ro | Components
 | ro | ComponentCount
 |  | ComponentIndex
 | ro | ComponentState
 | ro | ComponentStyle
 |  | DesignInfo
 | ro | Owner
 |  | VCLComObject
 |  | Name
 |  | Tag
TPersistent
TObject


TPageControl
pt | WSRegisterClass
pt | GetPageClass
pt | DoAddDockClient
pt | DockOver
pt | DoRemoveDockClient
pt | DoUndockClientMsg
pt | ChildClassAllowed
 | FindNextPage
 | SelectNextPage
 | IndexOfTabAt
 | IndexOfPageAt
 | AddTabSheet
TCustomTabControl
pt | DoAutoAdjustLayout
pt | GetPageClass
pt | GetListClass
pt | SetOptions
pt | AddRemovePageHandle
pt | CNNotify
pt | WSRegisterClass
pt | CreateWnd
pt | Loaded
pt | DoChange
pt | InitializeWnd
pt | Change
pt | KeyDown
pt | ReadState
pt | DialogChar
pt | InternalSetPageIndex
pt | ShowControl
pt | IndexOfTabAt
pt | IndexOfPageAt
pt | UpdateTabProperties
pt | GetControlClassDefaultSize
pt | Notification
pt | GetPage
pt | GetPageCount
pt | InsertPage
pt | RemovePage
pt | CanChange
 | Create
 | Destroy
 | TabRect
 | GetImageIndex
 | IndexOf
 | CustomPage
 | CanChangePageIndex
 | GetMinimumTabWidth
 | GetMinimumTabHeight
 | GetCapabilities
 | TabToPageIndex
 | PageToTabIndex
 | DoCloseTabClicked
TWinControl
pt | WSRegisterClass
pt | AdjustClientRect
pt | GetAdjustedLogicalClientRect
pt | AlignControls
pt | CustomAlignInsertBefore
pt | CustomAlignPosition
pt | DoAlignChildControls
pt | DoChildSizingChange
pt | InvalidatePreferredChildSizes
pt | CanTab
pt | IsClientHeightStored
pt | IsClientWidthStored
pt | DoSendShowHideToInterface
pt | ControlsAligned
pt | DoSendBoundsToInterface
pt | RealizeBounds
pt | RealizeBoundsRecursive
pt | InvalidateBoundsRealized
pt | CreateSubClass
pt | DoConstraintsChange
pt | DoSetBounds
pt | DoAutoSize
pt | DoAllAutoSize
pt | AllAutoSized
pt | CalculatePreferredSize
pt | GetPreferredSizeClientFrame
pt | GetChildren
pt | ChildClassAllowed
pt | PaintControls
pt | PaintHandler
pt | PaintWindow
pt | CreateBrush
pt | ScaleControls
pt | ChangeScale
pt | CMBiDiModeChanged
pt | CMBorderChanged
pt | CMDoubleBufferedChanged
pt | CMEnabledChanged
pt | CMParentDoubleBufferedChanged
pt | CMShowingChanged
pt | CMShowHintChanged
pt | CMVisibleChanged
pt | CMEnter
pt | CMExit
pt | WMContextMenu
pt | WMEraseBkgnd
pt | WMNotify
pt | WMSetFocus
pt | WMKillFocus
pt | WMShowWindow
pt | WMEnter
pt | WMExit
pt | WMKeyDown
pt | WMSysKeyDown
pt | WMKeyUp
pt | WMSysKeyUp
pt | WMChar
pt | WMSysChar
pt | WMPaint
pt | WMDestroy
pt | WMMove
pt | WMSize
pt | WMWindowPosChanged
pt | CNKeyDown
pt | CNSysKeyDown
pt | CNKeyUp
pt | CNSysKeyUp
pt | CNChar
pt | DoDragMsg
pt | DoDockClientMsg
pt | DoUndockClientMsg
pt | DoAddDockClient
pt | DockOver
pt | DoDockOver
pt | DoRemoveDockClient
pt | DoUnDock
pt | GetSiteInfo
pt | GetParentHandle
pt | GetTopParentHandle
pt | ReloadDockedControl
pt | CreateDockManager
pt | SetDockManager
pt | DoFloatMsg
pt | DoGetDockCaption
pt | DoEnter
pt | DoExit
pt | DoKeyDownBeforeInterface
pt | DoRemainingKeyDown
pt | DoRemainingKeyUp
pt | DoKeyPress
pt | DoUTF8KeyPress
pt | DoKeyUpBeforeInterface
pt | ChildKey
pt | SendDialogChar
pt | DialogChar
pt | ControlKeyDown
pt | ControlKeyUp
pt | KeyDown
pt | KeyDownBeforeInterface
pt | KeyDownAfterInterface
pt | KeyPress
pt | KeyUp
pt | KeyUpBeforeInterface
pt | KeyUpAfterInterface
pt | UTF8KeyPress
pt | FindNextControl
pt | SelectFirst
pt | RealGetText
pt | GetBorderStyle
pt | GetClientOrigin
pt | GetClientRect
pt | GetControlOrigin
pt | GetDeviceContext
pt | GetParentBackground
pt | IsControlMouseMsg
pt | CreateHandle
pt | CreateParams
pt | CreateWnd
pt | DestroyHandle
pt | DestroyWnd
pt | DoFlipChildren
pt | FinalizeWnd
pt | FixupTabList
pt | FontChanged
pt | InitializeWnd
pt | Loaded
pt | FormEndUpdated
pt | MainWndProc
pt | ParentFormHandleInitialized
pt | ChildHandlesCreated
pt | GetMouseCapture
pt | RealSetText
pt | RemoveFocus
pt | SendMoveSizeMessages
pt | SetBorderStyle
pt | SetColor
pt | SetChildZPosition
pt | SetParentBackground
pt | ShowControl
pt | UpdateControlState
pt | UpdateShowing
pt | WndProc
pt | WSSetText
 | AutoSizePhases
 | AutoSizeDelayed
 | AutoSizeDelayedReport
 | AutoSizeDelayedHandle
 | BeginUpdateBounds
 | EndUpdateBounds
 | LockRealizeBounds
 | UnlockRealizeBounds
 | ControlAtPos
 | ContainsControl
 | DoAdjustClientRectChange
 | InvalidateClientRectCache
 | ClientRectNeedsInterfaceUpdate
 | SetBounds
 | GetChildrenRect
 | DisableAlign
 | EnableAlign
 | ReAlign
 | ScrollBy_WS
 | ScrollBy
 | WriteLayoutDebugReport
 | AutoAdjustLayout
 | Create
 | CreateParented
 | CreateParentedControl
 | Destroy
 | DockDrop
 | CanFocus
 | CanSetFocus
 | GetControlIndex
 | SetControlIndex
 | Focused
 | PerformTab
 | FindChildControl
 | SelectNext
 | SetTempCursor
 | BroadCast
 | NotifyControls
 | DefaultHandler
 | GetTextLen
 | Invalidate
 | AddControl
 | InsertControl
 | RemoveControl
 | GetEnumeratorControls
 | GetEnumeratorControlsReverse
 | Repaint
 | Update
 | SetFocus
 | FlipChildren
 | ScaleBy
 | GetDockCaption
 | UpdateDockCaption
 | GetTabOrderList
 | HandleAllocated
 | ParentHandlesAllocated
 | HandleNeeded
 | BrushCreated
 | EraseBackground
 | IntfUTF8KeyPress
 | IntfGetDropFilesTarget
 | PaintTo
 | SetShape
TControl
pt | WSRegisterClass
pt | GetCursor
pt | SetCursor
pt | SetVisible
pt | DoOnParentHandleDestruction
pt | DoAutoSize
pt | DoAllAutoSize
pt | BeginAutoSizing
pt | EndAutoSizing
pt | AnchorSideChanged
pt | ForeignAnchorSideChanged
pt | SetAlign
pt | SetAnchors
pt | SetAutoSize
pt | BoundsChanged
pt | CreateControlBorderSpacing
pt | DoConstraintsChange
pt | DoBorderSpacingChange
pt | IsBorderSpacingInnerBorderStored
pt | IsCaptionStored
pt | SendMoveSizeMessages
pt | ConstrainedResize
pt | CalculatePreferredSize
pt | DoOnResize
pt | DoOnChangeBounds
pt | CheckOnChangeBounds
pt | Resize
pt | RequestAlign
pt | UpdateAnchorRules
pt | ChangeBounds
pt | DoSetBounds
pt | ScaleConstraints
pt | ChangeScale
pt | CanAutoSize
pt | SetBiDiMode
pt | SetParentBiDiMode
pt | IsAParentAligning
pt | GetClientOrigin
pt | GetClientRect
pt | GetLogicalClientRect
pt | GetScrolledClientRect
pt | GetClientScrollOffset
pt | GetControlOrigin
pt | IsClientHeightStored
pt | IsClientWidthStored
pt | WidthIsAnchored
pt | HeightIsAnchored
pt | WMCancelMode
pt | WMContextMenu
pt | WMLButtonDown
pt | WMRButtonDown
pt | WMMButtonDown
pt | WMXButtonDown
pt | WMLButtonDBLCLK
pt | WMRButtonDBLCLK
pt | WMMButtonDBLCLK
pt | WMXButtonDBLCLK
pt | WMLButtonTripleCLK
pt | WMRButtonTripleCLK
pt | WMMButtonTripleCLK
pt | WMXButtonTripleCLK
pt | WMLButtonQuadCLK
pt | WMRButtonQuadCLK
pt | WMMButtonQuadCLK
pt | WMXButtonQuadCLK
pt | WMMouseMove
pt | WMLButtonUp
pt | WMRButtonUp
pt | WMMButtonUp
pt | WMXButtonUp
pt | WMMouseWheel
pt | WMMouseHWheel
pt | WMMove
pt | WMSize
pt | WMWindowPosChanged
pt | CMChanged
pt | LMCaptureChanged
pt | CMBiDiModeChanged
pt | CMSysFontChanged
pt | CMEnabledChanged
pt | CMHitTest
pt | CMMouseEnter
pt | CMMouseLeave
pt | CMHintShow
pt | CMParentBiDiModeChanged
pt | CMParentColorChanged
pt | CMParentFontChanged
pt | CMParentShowHintChanged
pt | CMVisibleChanged
pt | CMTextChanged
pt | CMCursorChanged
pt | CalculateDockSizes
pt | CreateFloatingDockSite
pt | GetDockEdge
pt | GetDragImages
pt | GetFloating
pt | GetFloatingDockSiteClass
pt | BeforeDragStart
pt | BeginAutoDrag
pt | DoFloatMsg
pt | DockTrackNoTarget
pt | DoDock
pt | DoDragMsg
pt | DoEndDock
pt | DoEndDrag
pt | DoStartDock
pt | DoStartDrag
pt | DragCanceled
pt | DragOver
pt | PositionDockRect
pt | SetDragMode
pt | GetDefaultDockCaption
pt | Click
pt | DblClick
pt | TripleClick
pt | QuadClick
pt | GetMousePosFromMessage
pt | MouseDown
pt | MouseMove
pt | MouseUp
pt | MouseEnter
pt | MouseLeave
pt | DialogChar
pt | UpdateMouseCursor
pt | Changed
pt | GetPalette
pt | ChildClassAllowed
pt | ReadState
pt | Loaded
pt | LoadedAll
pt | DefineProperties
pt | AssignTo
pt | FormEndUpdated
pt | InvalidateControl
pt | FontChanged
pt | ParentFontChanged
pt | GetAction
pt | RealGetText
pt | RealSetText
pt | TextChanged
pt | GetCachedText
pt | SetAction
pt | SetColor
pt | SetEnabled
pt | SetHint
pt | SetName
pt | SetParent
pt | SetParentComponent
pt | WndProc
pt | ParentFormHandleInitialized
pt | GetMouseCapture
pt | CaptureChanged
pt | Notification
pt | CanTab
pt | GetDeviceContext
pt | GetEnabled
pt | GetPopupMenu
pt | DoOnShowHint
pt | DoMouseWheel
pt | DoMouseWheelDown
pt | DoMouseWheelUp
pt | DoMouseWheelHorz
pt | DoMouseWheelLeft
pt | DoMouseWheelRight
pt | VisibleChanging
pt | VisibleChanged
pt | EnabledChanging
pt | EnabledChanged
pt | AddHandler
pt | RemoveHandler
pt | DoCallNotifyHandler
pt | DoCallKeyEventHandler
pt | DoCallMouseWheelEventHandler
pt | DoContextPopup
pt | SetZOrder
pt | GetControlClassDefaultSize
pt | ColorIsStored
pt | DoAutoAdjustLayout
pt | DoFixDesignFontPPI
pt | DoScaleFontPPI
pt | GetActionLinkClass
pt | ActionChange
 | DragDrop
 | Dock
 | ManualDock
 | ManualFloat
 | ReplaceDockedControl
 | Docked
 | Dragging
 | GetAccessibleObject
 | CreateAccessibleObject
 | GetSelectedChildAccessibleObject
 | GetChildAccessibleObjectAtPos
 | ScaleDesignToForm
 | ScaleFormToDesign
 | Scale96ToForm
 | ScaleFormTo96
 | Scale96ToFont
 | ScaleFontTo96
 | ScaleScreenToFont
 | ScaleFontToScreen
 | Scale96ToScreen
 | ScaleScreenTo96
 | AdjustSize
 | AutoSizePhases
 | AutoSizeDelayed
 | AutoSizeDelayedReport
 | AutoSizeDelayedHandle
 | AnchorToNeighbour
 | AnchorParallel
 | AnchorHorizontalCenterTo
 | AnchorVerticalCenterTo
 | AnchorToCompanion
 | AnchorSame
 | AnchorAsAlign
 | AnchorClient
 | AnchoredControlCount
 | SetBounds
 | SetInitialBounds
 | SetBoundsKeepBase
 | GetPreferredSize
 | GetCanvasScaleFactor
 | GetDefaultWidth
 | GetDefaultHeight
 | GetDefaultColor
 | GetColorResolvingParent
 | GetRGBColorResolvingParent
 | GetSidePosition
 | CNPreferredSizeChanged
 | InvalidatePreferredSize
 | GetAnchorsDependingOnParent
 | DisableAutoSizing
 | EnableAutoSizing
 | UpdateBaseBounds
 | WriteLayoutDebugReport
 | AutoAdjustLayout
 | ShouldAutoAdjust
 | FixDesignFontsPPI
 | ScaleFontsPPI
 | Create
 | Destroy
 | BeforeDestruction
 | EditingDone
 | ExecuteDefaultAction
 | ExecuteCancelAction
 | BeginDrag
 | EndDrag
 | BringToFront
 | HasParent
 | GetParentComponent
 | IsParentOf
 | GetTopParent
 | IsVisible
 | IsControlVisible
 | IsEnabled
 | IsParentColor
 | IsParentFont
 | FormIsUpdating
 | IsProcessingPaintMsg
 | Hide
 | Refresh
 | Repaint
 | Invalidate
 | CheckChildClassAllowed
 | CheckNewParent
 | SendToBack
 | SetTempCursor
 | UpdateRolesForForm
 | ActiveDefaultControlChanged
 | GetTextBuf
 | GetTextLen
 | SetTextBuf
 | Perform
 | ScreenToClient
 | ClientToScreen
 | ScreenToControl
 | ControlToScreen
 | ClientToParent
 | ParentToClient
 | GetChildrenRect
 | Show
 | Update
 | HandleObjectShouldBeVisible
 | ParentDestroyingHandle
 | ParentHandlesAllocated
 | InitiateAction
 | ShowHelp
 | HasHelp
 | RemoveAllHandlersOfObject
 | AddHandlerOnResize
 | RemoveHandlerOnResize
 | AddHandlerOnChangeBounds
 | RemoveHandlerOnChangeBounds
 | AddHandlerOnVisibleChanging
 | RemoveHandlerOnVisibleChanging
 | AddHandlerOnVisibleChanged
 | RemoveHandlerOnVisibleChanged
 | AddHandlerOnEnabledChanged
 | RemoveHandlerOnEnableChanging
 | AddHandlerOnKeyDown
 | RemoveHandlerOnKeyDown
 | AddHandlerOnBeforeDestruction
 | RemoveHandlerOnBeforeDestruction
 | AddHandlerOnMouseWheel
 | RemoveHandlerOnMouseWheel
 | UseRightToLeftAlignment
 | UseRightToLeftReading
 | UseRightToLeftScrollBar
 | IsRightToLeft
TLCLComponent
pt | WSRegisterClass
pt | GetWSComponentClass
 | Create
 | Destroy
 | NewInstance
 | RemoveAllHandlersOfObject
 | IncLCLRefCount
 | DecLCLRefCount
TComponent
 | GetComObject
 | GetComponent
 | GetComponentCount
 | GetComponentIndex
 | Insert
 | ReadLeft
 | ReadTop
 | Remove
 | RemoveNotification
 | SetComponentIndex
 | SetReference
 | WriteLeft
 | WriteTop
 | ChangeName
 | DefineProperties
 | GetChildren
 | GetChildOwner
 | GetChildParent
 | GetOwner
 | Loaded
 | Loading
 | Notification
 | PaletteCreated
 | ReadState
 | SetAncestor
 | SetDesigning
 | SetDesignInstance
 | SetInline
 | SetName
 | SetChildOrder
 | SetParentComponent
 | Updating
 | Updated
 | UpdateRegistry
 | ValidateRename
 | ValidateContainer
 | ValidateInsert
 | QueryInterface
 | _AddRef
 | _Release
 | iicrGetComponent
 | GetTypeInfoCount
 | GetTypeInfo
 | GetIDsOfNames
 | Invoke
 | WriteState
 | Create
 | Destroy
 | BeforeDestruction
 | DestroyComponents
 | Destroying
 | ExecuteAction
 | FindComponent
 | FreeNotification
 | RemoveFreeNotification
 | FreeOnRelease
 | GetEnumerator
 | GetNamePath
 | GetParentComponent
 | HasParent
 | InsertComponent
 | RemoveComponent
 | SafeCallException
 | SetSubComponent
 | UpdateAction
 | IsImplementorOf
 | ReferenceInterface
TPersistent
 | AssignError
 | AssignTo
 | DefineProperties
 | GetOwner
 | Destroy
 | Assign
 | FPOAttachObserver
 | FPODetachObserver
 | FPONotifyObservers
 | GetNamePath
TObject
 | Create
 | Destroy
 | newinstance
 | FreeInstance
 | SafeCallException
 | DefaultHandler
 | Free
 | InitInstance
 | CleanupInstance
 | ClassType
 | ClassInfo
 | ClassName
 | ClassNameIs
 | ClassParent
 | InstanceSize
 | InheritsFrom
 | StringMessageTable
 | MethodAddress
 | MethodName
 | FieldAddress
 | AfterConstruction
 | BeforeDestruction
 | DefaultHandlerStr
 | Dispatch
 | DispatchStr
 | GetInterface
 | GetInterfaceByStr
 | GetInterfaceWeak
 | GetInterfaceEntry
 | GetInterfaceEntryByStr
 | GetInterfaceTable
 | UnitName
 | Equals
 | GetHashCode
 | ToString


pt | ActionChange (TControl)
 | ActiveDefaultControlChanged (TControl)
 | AddControl (TWinControl)
pt | AddHandler (TControl)
 | AddHandlerOnBeforeDestruction (TControl)
 | AddHandlerOnChangeBounds (TControl)
 | AddHandlerOnEnabledChanged (TControl)
 | AddHandlerOnKeyDown (TControl)
 | AddHandlerOnMouseWheel (TControl)
 | AddHandlerOnResize (TControl)
 | AddHandlerOnVisibleChanged (TControl)
 | AddHandlerOnVisibleChanging (TControl)
pt | AddRemovePageHandle (TCustomTabControl)
 | AddTabSheet (TPageControl)
pt | AdjustClientRect (TWinControl)
 | AdjustSize (TControl)
 | AfterConstruction (TObject)
pt | AlignControls (TWinControl)
pt | AllAutoSized (TWinControl)
 | AnchorAsAlign (TControl)
 | AnchorClient (TControl)
 | AnchoredControlCount (TControl)
 | AnchorHorizontalCenterTo (TControl)
 | AnchorParallel (TControl)
 | AnchorSame (TControl)
pt | AnchorSideChanged (TControl)
 | AnchorToCompanion (TControl)
 | AnchorToNeighbour (TControl)
 | AnchorVerticalCenterTo (TControl)
 | Assign (TPersistent)
 | AssignError (TPersistent)
 | AssignTo (TPersistent)
pt | AssignTo (TControl)
 | AutoAdjustLayout (TControl)
 | AutoAdjustLayout (TWinControl)
 | AutoSizeDelayed (TControl)
 | AutoSizeDelayed (TWinControl)
 | AutoSizeDelayedHandle (TControl)
 | AutoSizeDelayedHandle (TWinControl)
 | AutoSizeDelayedReport (TControl)
 | AutoSizeDelayedReport (TWinControl)
 | AutoSizePhases (TControl)
 | AutoSizePhases (TWinControl)
 | BeforeDestruction (TObject)
 | BeforeDestruction (TComponent)
 | BeforeDestruction (TControl)
pt | BeforeDragStart (TControl)
pt | BeginAutoDrag (TControl)
pt | BeginAutoSizing (TControl)
 | BeginDrag (TControl)
 | BeginUpdateBounds (TWinControl)
pt | BoundsChanged (TControl)
 | BringToFront (TControl)
 | BroadCast (TWinControl)
 | BrushCreated (TWinControl)
pt | CalculateDockSizes (TControl)
pt | CalculatePreferredSize (TControl)
pt | CalculatePreferredSize (TWinControl)
pt | CanAutoSize (TControl)
pt | CanChange (TCustomTabControl)
 | CanChangePageIndex (TCustomTabControl)
 | CanFocus (TWinControl)
 | CanSetFocus (TWinControl)
pt | CanTab (TControl)
pt | CanTab (TWinControl)
pt | CaptureChanged (TControl)
pt | Change (TCustomTabControl)
pt | ChangeBounds (TControl)
pt | Changed (TControl)
 | ChangeName (TComponent)
pt | ChangeScale (TControl)
pt | ChangeScale (TWinControl)
 | CheckChildClassAllowed (TControl)
 | CheckNewParent (TControl)
pt | CheckOnChangeBounds (TControl)
pt | ChildClassAllowed (TControl)
pt | ChildClassAllowed (TWinControl)
pt | ChildClassAllowed (TPageControl)
pt | ChildHandlesCreated (TWinControl)
pt | ChildKey (TWinControl)
 | ClassInfo (TObject)
 | ClassName (TObject)
 | ClassNameIs (TObject)
 | ClassParent (TObject)
 | ClassType (TObject)
 | CleanupInstance (TObject)
pt | Click (TControl)
 | ClientRectNeedsInterfaceUpdate (TWinControl)
 | ClientToParent (TControl)
 | ClientToScreen (TControl)
pt | CMBiDiModeChanged (TControl)
pt | CMBiDiModeChanged (TWinControl)
pt | CMBorderChanged (TWinControl)
pt | CMChanged (TControl)
pt | CMCursorChanged (TControl)
pt | CMDoubleBufferedChanged (TWinControl)
pt | CMEnabledChanged (TControl)
pt | CMEnabledChanged (TWinControl)
pt | CMEnter (TWinControl)
pt | CMExit (TWinControl)
pt | CMHintShow (TControl)
pt | CMHitTest (TControl)
pt | CMMouseEnter (TControl)
pt | CMMouseLeave (TControl)
pt | CMParentBiDiModeChanged (TControl)
pt | CMParentColorChanged (TControl)
pt | CMParentDoubleBufferedChanged (TWinControl)
pt | CMParentFontChanged (TControl)
pt | CMParentShowHintChanged (TControl)
pt | CMShowHintChanged (TWinControl)
pt | CMShowingChanged (TWinControl)
pt | CMSysFontChanged (TControl)
pt | CMTextChanged (TControl)
pt | CMVisibleChanged (TControl)
pt | CMVisibleChanged (TWinControl)
pt | CNChar (TWinControl)
pt | CNKeyDown (TWinControl)
pt | CNKeyUp (TWinControl)
pt | CNNotify (TCustomTabControl)
 | CNPreferredSizeChanged (TControl)
pt | CNSysKeyDown (TWinControl)
pt | CNSysKeyUp (TWinControl)
pt | ColorIsStored (TControl)
pt | ConstrainedResize (TControl)
 | ContainsControl (TWinControl)
 | ControlAtPos (TWinControl)
pt | ControlKeyDown (TWinControl)
pt | ControlKeyUp (TWinControl)
pt | ControlsAligned (TWinControl)
 | ControlToScreen (TControl)
 | Create (TObject)
 | Create (TComponent)
 | Create (TLCLComponent)
 | Create (TControl)
 | Create (TWinControl)
 | Create (TCustomTabControl)
 | CreateAccessibleObject (TControl)
pt | CreateBrush (TWinControl)
pt | CreateControlBorderSpacing (TControl)
pt | CreateDockManager (TWinControl)
pt | CreateFloatingDockSite (TControl)
pt | CreateHandle (TWinControl)
pt | CreateParams (TWinControl)
 | CreateParented (TWinControl)
 | CreateParentedControl (TWinControl)
pt | CreateSubClass (TWinControl)
pt | CreateWnd (TWinControl)
pt | CreateWnd (TCustomTabControl)
pt | CustomAlignInsertBefore (TWinControl)
pt | CustomAlignPosition (TWinControl)
 | CustomPage (TCustomTabControl)
pt | DblClick (TControl)
 | DecLCLRefCount (TLCLComponent)
 | DefaultHandler (TObject)
 | DefaultHandler (TWinControl)
 | DefaultHandlerStr (TObject)
 | DefineProperties (TPersistent)
 | DefineProperties (TComponent)
pt | DefineProperties (TControl)
 | Destroy (TObject)
 | Destroy (TPersistent)
 | Destroy (TComponent)
 | Destroy (TLCLComponent)
 | Destroy (TControl)
 | Destroy (TWinControl)
 | Destroy (TCustomTabControl)
 | DestroyComponents (TComponent)
pt | DestroyHandle (TWinControl)
 | Destroying (TComponent)
pt | DestroyWnd (TWinControl)
pt | DialogChar (TControl)
pt | DialogChar (TWinControl)
pt | DialogChar (TCustomTabControl)
 | DisableAlign (TWinControl)
 | DisableAutoSizing (TControl)
 | Dispatch (TObject)
 | DispatchStr (TObject)
pt | DoAddDockClient (TWinControl)
pt | DoAddDockClient (TPageControl)
 | DoAdjustClientRectChange (TWinControl)
pt | DoAlignChildControls (TWinControl)
pt | DoAllAutoSize (TControl)
pt | DoAllAutoSize (TWinControl)
pt | DoAutoAdjustLayout (TControl)
pt | DoAutoAdjustLayout (TCustomTabControl)
pt | DoAutoSize (TControl)
pt | DoAutoSize (TWinControl)
pt | DoBorderSpacingChange (TControl)
pt | DoCallKeyEventHandler (TControl)
pt | DoCallMouseWheelEventHandler (TControl)
pt | DoCallNotifyHandler (TControl)
pt | DoChange (TCustomTabControl)
pt | DoChildSizingChange (TWinControl)
 | Dock (TControl)
 | DockDrop (TWinControl)
 | Docked (TControl)
pt | DockOver (TWinControl)
pt | DockOver (TPageControl)
pt | DockTrackNoTarget (TControl)
 | DoCloseTabClicked (TCustomTabControl)
pt | DoConstraintsChange (TControl)
pt | DoConstraintsChange (TWinControl)
pt | DoContextPopup (TControl)
pt | DoDock (TControl)
pt | DoDockClientMsg (TWinControl)
pt | DoDockOver (TWinControl)
pt | DoDragMsg (TControl)
pt | DoDragMsg (TWinControl)
pt | DoEndDock (TControl)
pt | DoEndDrag (TControl)
pt | DoEnter (TWinControl)
pt | DoExit (TWinControl)
pt | DoFixDesignFontPPI (TControl)
pt | DoFlipChildren (TWinControl)
pt | DoFloatMsg (TControl)
pt | DoFloatMsg (TWinControl)
pt | DoGetDockCaption (TWinControl)
pt | DoKeyDownBeforeInterface (TWinControl)
pt | DoKeyPress (TWinControl)
pt | DoKeyUpBeforeInterface (TWinControl)
pt | DoMouseWheel (TControl)
pt | DoMouseWheelDown (TControl)
pt | DoMouseWheelHorz (TControl)
pt | DoMouseWheelLeft (TControl)
pt | DoMouseWheelRight (TControl)
pt | DoMouseWheelUp (TControl)
pt | DoOnChangeBounds (TControl)
pt | DoOnParentHandleDestruction (TControl)
pt | DoOnResize (TControl)
pt | DoOnShowHint (TControl)
pt | DoRemainingKeyDown (TWinControl)
pt | DoRemainingKeyUp (TWinControl)
pt | DoRemoveDockClient (TWinControl)
pt | DoRemoveDockClient (TPageControl)
pt | DoScaleFontPPI (TControl)
pt | DoSendBoundsToInterface (TWinControl)
pt | DoSendShowHideToInterface (TWinControl)
pt | DoSetBounds (TControl)
pt | DoSetBounds (TWinControl)
pt | DoStartDock (TControl)
pt | DoStartDrag (TControl)
pt | DoUnDock (TWinControl)
pt | DoUndockClientMsg (TWinControl)
pt | DoUndockClientMsg (TPageControl)
pt | DoUTF8KeyPress (TWinControl)
pt | DragCanceled (TControl)
 | DragDrop (TControl)
 | Dragging (TControl)
pt | DragOver (TControl)
 | EditingDone (TControl)
 | EnableAlign (TWinControl)
 | EnableAutoSizing (TControl)
pt | EnabledChanged (TControl)
pt | EnabledChanging (TControl)
pt | EndAutoSizing (TControl)
 | EndDrag (TControl)
 | EndUpdateBounds (TWinControl)
 | Equals (TObject)
 | EraseBackground (TWinControl)
 | ExecuteAction (TComponent)
 | ExecuteCancelAction (TControl)
 | ExecuteDefaultAction (TControl)
 | FieldAddress (TObject)
pt | FinalizeWnd (TWinControl)
 | FindChildControl (TWinControl)
 | FindComponent (TComponent)
pt | FindNextControl (TWinControl)
 | FindNextPage (TPageControl)
 | FixDesignFontsPPI (TControl)
pt | FixupTabList (TWinControl)
 | FlipChildren (TWinControl)
 | Focused (TWinControl)
pt | FontChanged (TControl)
pt | FontChanged (TWinControl)
pt | ForeignAnchorSideChanged (TControl)
pt | FormEndUpdated (TControl)
pt | FormEndUpdated (TWinControl)
 | FormIsUpdating (TControl)
 | FPOAttachObserver (TPersistent)
 | FPODetachObserver (TPersistent)
 | FPONotifyObservers (TPersistent)
 | Free (TObject)
 | FreeInstance (TObject)
 | FreeNotification (TComponent)
 | FreeOnRelease (TComponent)
 | GetAccessibleObject (TControl)
pt | GetAction (TControl)
pt | GetActionLinkClass (TControl)
pt | GetAdjustedLogicalClientRect (TWinControl)
 | GetAnchorsDependingOnParent (TControl)
pt | GetBorderStyle (TWinControl)
pt | GetCachedText (TControl)
 | GetCanvasScaleFactor (TControl)
 | GetCapabilities (TCustomTabControl)
 | GetChildAccessibleObjectAtPos (TControl)
 | GetChildOwner (TComponent)
 | GetChildParent (TComponent)
 | GetChildren (TComponent)
pt | GetChildren (TWinControl)
 | GetChildrenRect (TControl)
 | GetChildrenRect (TWinControl)
pt | GetClientOrigin (TControl)
pt | GetClientOrigin (TWinControl)
pt | GetClientRect (TControl)
pt | GetClientRect (TWinControl)
pt | GetClientScrollOffset (TControl)
 | GetColorResolvingParent (TControl)
 | GetComObject (TComponent)
 | GetComponent (TComponent)
 | GetComponentCount (TComponent)
 | GetComponentIndex (TComponent)
pt | GetControlClassDefaultSize (TControl)
pt | GetControlClassDefaultSize (TCustomTabControl)
 | GetControlIndex (TWinControl)
pt | GetControlOrigin (TControl)
pt | GetControlOrigin (TWinControl)
pt | GetCursor (TControl)
 | GetDefaultColor (TControl)
pt | GetDefaultDockCaption (TControl)
 | GetDefaultHeight (TControl)
 | GetDefaultWidth (TControl)
pt | GetDeviceContext (TControl)
pt | GetDeviceContext (TWinControl)
 | GetDockCaption (TWinControl)
pt | GetDockEdge (TControl)
pt | GetDragImages (TControl)
pt | GetEnabled (TControl)
 | GetEnumerator (TComponent)
 | GetEnumeratorControls (TWinControl)
 | GetEnumeratorControlsReverse (TWinControl)
pt | GetFloating (TControl)
pt | GetFloatingDockSiteClass (TControl)
 | GetHashCode (TObject)
 | GetIDsOfNames (TComponent)
 | GetImageIndex (TCustomTabControl)
 | GetInterface (TObject)
 | GetInterfaceByStr (TObject)
 | GetInterfaceEntry (TObject)
 | GetInterfaceEntryByStr (TObject)
 | GetInterfaceTable (TObject)
 | GetInterfaceWeak (TObject)
pt | GetListClass (TCustomTabControl)
pt | GetLogicalClientRect (TControl)
 | GetMinimumTabHeight (TCustomTabControl)
 | GetMinimumTabWidth (TCustomTabControl)
pt | GetMouseCapture (TControl)
pt | GetMouseCapture (TWinControl)
pt | GetMousePosFromMessage (TControl)
 | GetNamePath (TPersistent)
 | GetNamePath (TComponent)
 | GetOwner (TPersistent)
 | GetOwner (TComponent)
pt | GetPage (TCustomTabControl)
pt | GetPageClass (TCustomTabControl)
pt | GetPageClass (TPageControl)
pt | GetPageCount (TCustomTabControl)
pt | GetPalette (TControl)
pt | GetParentBackground (TWinControl)
 | GetParentComponent (TComponent)
 | GetParentComponent (TControl)
pt | GetParentHandle (TWinControl)
pt | GetPopupMenu (TControl)
 | GetPreferredSize (TControl)
pt | GetPreferredSizeClientFrame (TWinControl)
 | GetRGBColorResolvingParent (TControl)
pt | GetScrolledClientRect (TControl)
 | GetSelectedChildAccessibleObject (TControl)
 | GetSidePosition (TControl)
pt | GetSiteInfo (TWinControl)
 | GetTabOrderList (TWinControl)
 | GetTextBuf (TControl)
 | GetTextLen (TControl)
 | GetTextLen (TWinControl)
 | GetTopParent (TControl)
pt | GetTopParentHandle (TWinControl)
 | GetTypeInfo (TComponent)
 | GetTypeInfoCount (TComponent)
pt | GetWSComponentClass (TLCLComponent)
 | HandleAllocated (TWinControl)
 | HandleNeeded (TWinControl)
 | HandleObjectShouldBeVisible (TControl)
 | HasHelp (TControl)
 | HasParent (TComponent)
 | HasParent (TControl)
pt | HeightIsAnchored (TControl)
 | Hide (TControl)
 | iicrGetComponent (TComponent)
 | IncLCLRefCount (TLCLComponent)
 | IndexOf (TCustomTabControl)
pt | IndexOfPageAt (TCustomTabControl)
 | IndexOfPageAt (TPageControl)
pt | IndexOfTabAt (TCustomTabControl)
 | IndexOfTabAt (TPageControl)
 | InheritsFrom (TObject)
pt | InitializeWnd (TWinControl)
pt | InitializeWnd (TCustomTabControl)
 | InitiateAction (TControl)
 | InitInstance (TObject)
 | Insert (TComponent)
 | InsertComponent (TComponent)
 | InsertControl (TWinControl)
pt | InsertPage (TCustomTabControl)
 | InstanceSize (TObject)
pt | InternalSetPageIndex (TCustomTabControl)
 | IntfGetDropFilesTarget (TWinControl)
 | IntfUTF8KeyPress (TWinControl)
 | Invalidate (TControl)
 | Invalidate (TWinControl)
pt | InvalidateBoundsRealized (TWinControl)
 | InvalidateClientRectCache (TWinControl)
pt | InvalidateControl (TControl)
pt | InvalidatePreferredChildSizes (TWinControl)
 | InvalidatePreferredSize (TControl)
 | Invoke (TComponent)
pt | IsAParentAligning (TControl)
pt | IsBorderSpacingInnerBorderStored (TControl)
pt | IsCaptionStored (TControl)
pt | IsClientHeightStored (TControl)
pt | IsClientHeightStored (TWinControl)
pt | IsClientWidthStored (TControl)
pt | IsClientWidthStored (TWinControl)
pt | IsControlMouseMsg (TWinControl)
 | IsControlVisible (TControl)
 | IsEnabled (TControl)
 | IsImplementorOf (TComponent)
 | IsParentColor (TControl)
 | IsParentFont (TControl)
 | IsParentOf (TControl)
 | IsProcessingPaintMsg (TControl)
 | IsRightToLeft (TControl)
 | IsVisible (TControl)
pt | KeyDown (TWinControl)
pt | KeyDown (TCustomTabControl)
pt | KeyDownAfterInterface (TWinControl)
pt | KeyDownBeforeInterface (TWinControl)
pt | KeyPress (TWinControl)
pt | KeyUp (TWinControl)
pt | KeyUpAfterInterface (TWinControl)
pt | KeyUpBeforeInterface (TWinControl)
pt | LMCaptureChanged (TControl)
 | Loaded (TComponent)
pt | Loaded (TControl)
pt | Loaded (TWinControl)
pt | Loaded (TCustomTabControl)
pt | LoadedAll (TControl)
 | Loading (TComponent)
 | LockRealizeBounds (TWinControl)
pt | MainWndProc (TWinControl)
 | ManualDock (TControl)
 | ManualFloat (TControl)
 | MethodAddress (TObject)
 | MethodName (TObject)
pt | MouseDown (TControl)
pt | MouseEnter (TControl)
pt | MouseLeave (TControl)
pt | MouseMove (TControl)
pt | MouseUp (TControl)
 | newinstance (TObject)
 | NewInstance (TLCLComponent)
 | Notification (TComponent)
pt | Notification (TControl)
pt | Notification (TCustomTabControl)
 | NotifyControls (TWinControl)
 | PageToTabIndex (TCustomTabControl)
pt | PaintControls (TWinControl)
pt | PaintHandler (TWinControl)
 | PaintTo (TWinControl)
pt | PaintWindow (TWinControl)
 | PaletteCreated (TComponent)
 | ParentDestroyingHandle (TControl)
pt | ParentFontChanged (TControl)
pt | ParentFormHandleInitialized (TControl)
pt | ParentFormHandleInitialized (TWinControl)
 | ParentHandlesAllocated (TControl)
 | ParentHandlesAllocated (TWinControl)
 | ParentToClient (TControl)
 | Perform (TControl)
 | PerformTab (TWinControl)
pt | PositionDockRect (TControl)
pt | QuadClick (TControl)
 | QueryInterface (TComponent)
 | ReadLeft (TComponent)
 | ReadState (TComponent)
pt | ReadState (TControl)
pt | ReadState (TCustomTabControl)
 | ReadTop (TComponent)
pt | RealGetText (TControl)
pt | RealGetText (TWinControl)
 | ReAlign (TWinControl)
pt | RealizeBounds (TWinControl)
pt | RealizeBoundsRecursive (TWinControl)
pt | RealSetText (TControl)
pt | RealSetText (TWinControl)
 | ReferenceInterface (TComponent)
 | Refresh (TControl)
pt | ReloadDockedControl (TWinControl)
 | Remove (TComponent)
 | RemoveAllHandlersOfObject (TLCLComponent)
 | RemoveAllHandlersOfObject (TControl)
 | RemoveComponent (TComponent)
 | RemoveControl (TWinControl)
pt | RemoveFocus (TWinControl)
 | RemoveFreeNotification (TComponent)
pt | RemoveHandler (TControl)
 | RemoveHandlerOnBeforeDestruction (TControl)
 | RemoveHandlerOnChangeBounds (TControl)
 | RemoveHandlerOnEnableChanging (TControl)
 | RemoveHandlerOnKeyDown (TControl)
 | RemoveHandlerOnMouseWheel (TControl)
 | RemoveHandlerOnResize (TControl)
 | RemoveHandlerOnVisibleChanged (TControl)
 | RemoveHandlerOnVisibleChanging (TControl)
 | RemoveNotification (TComponent)
pt | RemovePage (TCustomTabControl)
 | Repaint (TControl)
 | Repaint (TWinControl)
 | ReplaceDockedControl (TControl)
pt | RequestAlign (TControl)
pt | Resize (TControl)
 | SafeCallException (TObject)
 | SafeCallException (TComponent)
 | Scale96ToFont (TControl)
 | Scale96ToForm (TControl)
 | Scale96ToScreen (TControl)
 | ScaleBy (TWinControl)
pt | ScaleConstraints (TControl)
pt | ScaleControls (TWinControl)
 | ScaleDesignToForm (TControl)
 | ScaleFontsPPI (TControl)
 | ScaleFontTo96 (TControl)
 | ScaleFontToScreen (TControl)
 | ScaleFormTo96 (TControl)
 | ScaleFormToDesign (TControl)
 | ScaleScreenTo96 (TControl)
 | ScaleScreenToFont (TControl)
 | ScreenToClient (TControl)
 | ScreenToControl (TControl)
 | ScrollBy (TWinControl)
 | ScrollBy_WS (TWinControl)
pt | SelectFirst (TWinControl)
 | SelectNext (TWinControl)
 | SelectNextPage (TPageControl)
pt | SendDialogChar (TWinControl)
pt | SendMoveSizeMessages (TControl)
pt | SendMoveSizeMessages (TWinControl)
 | SendToBack (TControl)
pt | SetAction (TControl)
pt | SetAlign (TControl)
 | SetAncestor (TComponent)
pt | SetAnchors (TControl)
pt | SetAutoSize (TControl)
pt | SetBiDiMode (TControl)
pt | SetBorderStyle (TWinControl)
 | SetBounds (TControl)
 | SetBounds (TWinControl)
 | SetBoundsKeepBase (TControl)
 | SetChildOrder (TComponent)
pt | SetChildZPosition (TWinControl)
pt | SetColor (TControl)
pt | SetColor (TWinControl)
 | SetComponentIndex (TComponent)
 | SetControlIndex (TWinControl)
pt | SetCursor (TControl)
 | SetDesigning (TComponent)
 | SetDesignInstance (TComponent)
pt | SetDockManager (TWinControl)
pt | SetDragMode (TControl)
pt | SetEnabled (TControl)
 | SetFocus (TWinControl)
pt | SetHint (TControl)
 | SetInitialBounds (TControl)
 | SetInline (TComponent)
 | SetName (TComponent)
pt | SetName (TControl)
pt | SetOptions (TCustomTabControl)
pt | SetParent (TControl)
pt | SetParentBackground (TWinControl)
pt | SetParentBiDiMode (TControl)
 | SetParentComponent (TComponent)
pt | SetParentComponent (TControl)
 | SetReference (TComponent)
 | SetShape (TWinControl)
 | SetSubComponent (TComponent)
 | SetTempCursor (TControl)
 | SetTempCursor (TWinControl)
 | SetTextBuf (TControl)
pt | SetVisible (TControl)
pt | SetZOrder (TControl)
 | ShouldAutoAdjust (TControl)
 | Show (TControl)
pt | ShowControl (TWinControl)
pt | ShowControl (TCustomTabControl)
 | ShowHelp (TControl)
 | StringMessageTable (TObject)
 | TabRect (TCustomTabControl)
 | TabToPageIndex (TCustomTabControl)
pt | TextChanged (TControl)
 | ToString (TObject)
pt | TripleClick (TControl)
 | UnitName (TObject)
 | UnlockRealizeBounds (TWinControl)
 | Update (TControl)
 | Update (TWinControl)
 | UpdateAction (TComponent)
pt | UpdateAnchorRules (TControl)
 | UpdateBaseBounds (TControl)
pt | UpdateControlState (TWinControl)
 | Updated (TComponent)
 | UpdateDockCaption (TWinControl)
pt | UpdateMouseCursor (TControl)
 | UpdateRegistry (TComponent)
 | UpdateRolesForForm (TControl)
pt | UpdateShowing (TWinControl)
pt | UpdateTabProperties (TCustomTabControl)
 | Updating (TComponent)
 | UseRightToLeftAlignment (TControl)
 | UseRightToLeftReading (TControl)
 | UseRightToLeftScrollBar (TControl)
pt | UTF8KeyPress (TWinControl)
 | ValidateContainer (TComponent)
 | ValidateInsert (TComponent)
 | ValidateRename (TComponent)
pt | VisibleChanged (TControl)
pt | VisibleChanging (TControl)
pt | WidthIsAnchored (TControl)
pt | WMCancelMode (TControl)
pt | WMChar (TWinControl)
pt | WMContextMenu (TControl)
pt | WMContextMenu (TWinControl)
pt | WMDestroy (TWinControl)
pt | WMEnter (TWinControl)
pt | WMEraseBkgnd (TWinControl)
pt | WMExit (TWinControl)
pt | WMKeyDown (TWinControl)
pt | WMKeyUp (TWinControl)
pt | WMKillFocus (TWinControl)
pt | WMLButtonDBLCLK (TControl)
pt | WMLButtonDown (TControl)
pt | WMLButtonQuadCLK (TControl)
pt | WMLButtonTripleCLK (TControl)
pt | WMLButtonUp (TControl)
pt | WMMButtonDBLCLK (TControl)
pt | WMMButtonDown (TControl)
pt | WMMButtonQuadCLK (TControl)
pt | WMMButtonTripleCLK (TControl)
pt | WMMButtonUp (TControl)
pt | WMMouseHWheel (TControl)
pt | WMMouseMove (TControl)
pt | WMMouseWheel (TControl)
pt | WMMove (TControl)
pt | WMMove (TWinControl)
pt | WMNotify (TWinControl)
pt | WMPaint (TWinControl)
pt | WMRButtonDBLCLK (TControl)
pt | WMRButtonDown (TControl)
pt | WMRButtonQuadCLK (TControl)
pt | WMRButtonTripleCLK (TControl)
pt | WMRButtonUp (TControl)
pt | WMSetFocus (TWinControl)
pt | WMShowWindow (TWinControl)
pt | WMSize (TControl)
pt | WMSize (TWinControl)
pt | WMSysChar (TWinControl)
pt | WMSysKeyDown (TWinControl)
pt | WMSysKeyUp (TWinControl)
pt | WMWindowPosChanged (TControl)
pt | WMWindowPosChanged (TWinControl)
pt | WMXButtonDBLCLK (TControl)
pt | WMXButtonDown (TControl)
pt | WMXButtonQuadCLK (TControl)
pt | WMXButtonTripleCLK (TControl)
pt | WMXButtonUp (TControl)
pt | WndProc (TControl)
pt | WndProc (TWinControl)
 | WriteLayoutDebugReport (TControl)
 | WriteLayoutDebugReport (TWinControl)
 | WriteLeft (TComponent)
 | WriteState (TComponent)
 | WriteTop (TComponent)
pt | WSRegisterClass (TLCLComponent)
pt | WSRegisterClass (TControl)
pt | WSRegisterClass (TWinControl)
pt | WSRegisterClass (TCustomTabControl)
pt | WSRegisterClass (TPageControl)
pt | WSSetText (TWinControl)
 | _AddRef (TComponent)
 | _Release (TComponent)


TPageControl
pl | ro | OnGetDockCaption
pl | ro | OnChange
pl | ro | OnChanging
pl | ro | OnCloseTabClicked
pl | ro | OnContextPopup
pl | ro | OnDockDrop
pl | ro | OnDockOver
pl | ro | OnDragDrop
pl | ro | OnDragOver
pl | ro | OnEndDock
pl | ro | OnEndDrag
pl | ro | OnEnter
pl | ro | OnExit
pl | ro | OnGetImageIndex
pl | ro | OnGetSiteInfo
pl | ro | OnMouseDown
pl | ro | OnMouseEnter
pl | ro | OnMouseLeave
pl | ro | OnMouseMove
pl | ro | OnMouseUp
pl | ro | OnMouseWheel
pl | ro | OnMouseWheelDown
pl | ro | OnMouseWheelUp
pl | ro | OnResize
pl | ro | OnStartDock
pl | ro | OnStartDrag
pl | ro | OnUnDock
TCustomTabControl
pt |  | OnChange
 |  | OnChanging
 |  | OnCloseTabClicked
 |  | OnGetImageIndex
TWinControl
pt |  | OnGetSiteInfo
pt |  | OnGetDockCaption
 |  | OnAlignInsertBefore
 |  | OnAlignPosition
 |  | OnDockDrop
 |  | OnDockOver
 |  | OnEnter
 |  | OnExit
 |  | OnKeyDown
 |  | OnKeyPress
 |  | OnKeyUp
 |  | OnUnDock
 |  | OnUTF8KeyPress
TControl
pt |  | OnConstrainedResize
pt |  | OnContextPopup
pt |  | OnDblClick
pt |  | OnTripleClick
pt |  | OnQuadClick
pt |  | OnDragDrop
pt |  | OnDragOver
pt |  | OnEndDock
pt |  | OnEndDrag
pt |  | OnMouseDown
pt |  | OnMouseMove
pt |  | OnMouseUp
pt |  | OnMouseEnter
pt |  | OnMouseLeave
pt |  | OnMouseWheel
pt |  | OnMouseWheelDown
pt |  | OnMouseWheelUp
pt |  | OnMouseWheelHorz
pt |  | OnMouseWheelLeft
pt |  | OnMouseWheelRight
pt |  | OnStartDock
pt |  | OnStartDrag
pt |  | OnEditingDone
 |  | OnChangeBounds
 |  | OnClick
 |  | OnResize
 |  | OnShowHint
TLCLComponent
TComponent
TPersistent
TObject


TPageControl.ActivePage

ActivePage - the currently selected active page (TTabSheet)

Declaration

Source position: comctrls.pp line 605

published property TPageControl.ActivePage : TTabSheet
  read GetActiveTabSheet
  write SetActiveTabSheet;

Description

ActivePage - the currently selected active page (TTabSheet)

Note that this overrides the definition in TCustomTabControl where ActivePage is defined as a String.


TPageControl.ActivePageIndex

ActivePageIndex - index value of currently selected (active) page

Declaration

Source position: comctrls.pp line 601

public property TPageControl.ActivePageIndex : Integer
  read GetActivePageIndex
  write SetActivePageIndex;


TPageControl.AddTabSheet

Declaration

Source position: comctrls.pp line 600

public function TPageControl.AddTabSheet: TTabSheet;


TPageControl.BiDiMode

Declaration

Source position: comctrls.pp line 611

published property TPageControl.BiDiMode : TBiDiMode;


TPageControl.ChildClassAllowed

Declaration

Source position: comctrls.pp line 590

protected function TPageControl.ChildClassAllowed(

  ChildClass: TClass

):Boolean; override;


TPageControl.DoAddDockClient

DoAddDockClient creates a new TabSheet in the PageControl, places the client on it and aligns it

Declaration

Source position: comctrls.pp line 585

protected procedure TPageControl.DoAddDockClient(

  Client: TControl;

  const ARect: TRect

); override;

Description

Client cannot be added to TPageControl itself but new TabSheet should be added and client placed onto it

See also

TWinControl.DoAddDockClient

Adjust the Parent of a newly docked Client.


TPageControl.DockOver

Declaration

Source position: comctrls.pp line 586

protected procedure TPageControl.DockOver(

  Source: TDragDockObject;

  X: Integer;

  Y: Integer;

  State: TDragState;

  var Accept: Boolean

); override;


TPageControl.DoRemoveDockClient

DoRemoveDockClient - frees the page which is being undocked

Declaration

Source position: comctrls.pp line 588

protected procedure TPageControl.DoRemoveDockClient(

  Client: TControl

); override;

See also

TWinControl.DoRemoveDockClient

Override this method to take special actions on removal of an docked client.


TPageControl.FindNextPage

FindNextPage - returns the next page (TTabSheet) in the sequence

Declaration

Source position: comctrls.pp line 592

public function TPageControl.FindNextPage(

  CurPage: TTabSheet;

  GoForward: Boolean;

  CheckTabVisible: Boolean

):TTabSheet;


TPageControl.GetPageClass

Declaration

Source position: comctrls.pp line 584

protected function TPageControl.GetPageClass: TCustomPageClass; override;


TPageControl.ImagesWidth

Declaration

Source position: comctrls.pp line 621

published property TPageControl.ImagesWidth : Integer;


TPageControl.IndexOfPageAt

Declaration

Source position: comctrls.pp line 598

public function TPageControl.IndexOfPageAt(

  X: Integer;

  Y: Integer

):Integer; override;

function TPageControl.IndexOfPageAt(

  P: TPoint

):Integer; override;


TPageControl.OnChange

OnChange - Occurs immediately after a tab is selected.

Declaration

Source position: comctrls.pp line 640

published property TPageControl.OnChange : TNotifyEvent;

Description

Occurs immediately after a tab is selected.


TPageControl.OnChanging

OnChanging - Occurs immediately before a tab is selected.

Declaration

Source position: comctrls.pp line 641

published property TPageControl.OnChanging : TTabChangingEvent;

Description

Occurs immediately before a tab is selected.


TPageControl.OnMouseEnter

Declaration

Source position: comctrls.pp line 656

published property TPageControl.OnMouseEnter : TNotifyEvent;


TPageControl.OnMouseLeave

Declaration

Source position: comctrls.pp line 657

published property TPageControl.OnMouseLeave : TNotifyEvent;


TPageControl.OnMouseWheel

Declaration

Source position: comctrls.pp line 660

published property TPageControl.OnMouseWheel : TMouseWheelEvent;


TPageControl.OnMouseWheelDown

Declaration

Source position: comctrls.pp line 661

published property TPageControl.OnMouseWheelDown : TMouseWheelUpDownEvent;


TPageControl.OnMouseWheelUp

Declaration

Source position: comctrls.pp line 662

published property TPageControl.OnMouseWheelUp : TMouseWheelUpDownEvent;


TPageControl.Pages

Pages - the actual Pages (TTabSheet) that comprise the component

Declaration

Source position: comctrls.pp line 603

public property TPageControl.Pages[Index: Integer] : TTabSheet
  read GetTabSheet;

See also

TCustomTabControl.Pages

The contents of the Pages in the Notebook (as Strings)


TPageControl.ParentBiDiMode

Declaration

Source position: comctrls.pp line 624

published property TPageControl.ParentBiDiMode : Boolean;


TPageControl.SelectNextPage

SelectNextPage - checking that its tab is visible

Declaration

Source position: comctrls.pp line 594

public procedure TPageControl.SelectNextPage(

  GoForward: Boolean

);

procedure TPageControl.SelectNextPage(

  GoForward: Boolean;

  CheckTabVisible: Boolean

);

Description

If GoForward is True, goes to next (higher index) page;

if False, goes to previous (lower index)

If CheckTabVisible is True, will only move if the tab is visible


TPageControl.TabIndex

TabIndex - the Index value of the currently selected Tab

Declaration

Source position: comctrls.pp line 634

published property TPageControl.TabIndex : Integer;


TProgressBar

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

TProgress Bar - a bar that depicts what proportion of a process has been completed

Declaration

Source position: comctrls.pp line 1812

type TProgressBar = class(TCustomProgressBar)
published
property Align: TAlign; | Specifies the placement of the control inside its Parent.
property Anchors: TAnchors; | The set of anchor definitions for this control.
property BorderSpacing: TControlBorderSpacing; | Determines the inner and outer border spacing for this control.
property BorderWidth: TBorderWidth; | Width of the Border around the control; default is zero.
property Color: TColor;
property Constraints: TSizeConstraints; | The minimal and maximal Width and Height of this control.
property DragCursor: TCursor; | The cursor shape shown while the control is dragged.
property DragKind: TDragKind; | The operation when the control is dragged - Drag or Dock.
property DragMode: TDragMode; | Allows the user to drag the control.
property Enabled: Boolean; | Determines whether the control reacts on mouse or keyboard input.
property Font: TFont;
property Hint: TTranslateString; | The text to show in the Hint window for this control.
property Max: Integer; | Max - maximum value for progressbar
property Min: Integer; | Min - minimum value of progressbar
property OnContextPopup: TContextPopupEvent; | Invoked when a context-sensitive pop-up menu is requested.
property OnDragDrop: TDragDropEvent; | This handler determines the action on an drop onto this control, in a drag-drop operation.
property OnDragOver: TDragOverEvent; | Event handler for a control being dragged over this control.
property OnEndDrag: TEndDragEvent; | Notification handler for the end of a dragging operation.
property OnEnter: TNotifyEvent; | Handler for control receiving the focus.
property OnExit: TNotifyEvent; | Handler for control loosing the focus. This is a good place for checking the finished user input.
property OnMouseDown: TMouseEvent; | Event handler for mouse button going down.
property OnMouseEnter: TNotifyEvent;
property OnMouseLeave: TNotifyEvent;
property OnMouseMove: TMouseMoveEvent; | Event handler for mouse movement within the control.
property OnMouseUp: TMouseEvent; | Event handler for mouse button going up.
property OnMouseWheel: TMouseWheelEvent;
property OnMouseWheelDown: TMouseWheelUpDownEvent;
property OnMouseWheelUp: TMouseWheelUpDownEvent;
property OnStartDock: TStartDockEvent; | Event handler for the start of a docking operation.
property OnStartDrag: TStartDragEvent; | Event handler for the start of a dragging operation.
property Orientation: TProgressBarOrientation; | Orientation - horizontal or vertical
property ParentColor: Boolean;
property ParentFont: Boolean;
property ParentShowHint: Boolean; | If true, the value of ShowHint for the control will be the same as the one from the Parent. Default is true.
property PopupMenu: TPopupMenu; | A context-sensitive menu that pops up when the right mouse button is clicked over this control
property Position: Integer; | Position of indicator along progressbar
property ShowHint: Boolean; | Enables the Hint display.
property Smooth: Boolean; | Whether Smooth display (True) or stepped
property Step: Integer; | Step - size of increment for display
property Style: TProgressBarStyle;
property TabOrder: TTabOrder; | Determines the sequence of controls, reachable when the user presses the Tab key.
property TabStop: Boolean; | Allows the user to navigate to this control, by pressing the Tab key.
property Visible: Boolean; | Allows to show or hide the control, and all of its children.
property BarShowText: Boolean; | BarShowText - some widget sets allow text to be displayed on the bar to indicate its position (e.g. 32%)
end;

Inheritance

TProgressBar | TProgress Bar - a bar that depicts what proportion of a process has been completed
|
TCustomProgressBar | The ancestor class for TProgressBar
|
TWinControl | The base class for controls which can contain other (child) controls.
|
TControl | The base class for visible controls.
|
TLCLComponent | The base class for LCL components associated with widgets.
|
TComponent,IUnknown,IInterfaceComponentReference
|
TPersistent,IFPObserved
|
TObject

Description

TProgress Bar: a control that appears at or near the bottom of form or window. It depicts the progress of a process or what proportion of the process is complete. A series of coloured rectangles appears in the control filling it from left to right or from top to bottom as the process progresses

See also

HowToUseStdCtrls

How to use StdCtrls, ComCtrls or ExtCtrls


TProgressBar
pl | ro | Align
pl | ro | Anchors
pl | ro | BorderSpacing
pl | ro | BorderWidth
pl | ro | Color
pl | ro | Constraints
pl | ro | DragCursor
pl | ro | DragKind
pl | ro | DragMode
pl | ro | Enabled
pl | ro | Font
pl | ro | Hint
pl | ro | Max
pl | ro | Min
pl | ro | Orientation
pl | ro | ParentColor
pl | ro | ParentFont
pl | ro | ParentShowHint
pl | ro | PopupMenu
pl | ro | Position
pl | ro | ShowHint
pl | ro | Smooth
pl | ro | Step
pl | ro | Style
pl | ro | TabOrder
pl | ro | TabStop
pl | ro | Visible
pl | ro | BarShowText
TCustomProgressBar
 |  | Max
 |  | Min
 |  | Orientation
 |  | Position
 |  | Smooth
 |  | Step
 |  | Style
 |  | BarShowText
TWinControl
pt |  | WindowHandle
pt |  | BorderStyle
pt |  | ParentBackground
 |  | BorderWidth
 | ro | BoundsLockCount
 | ro | Brush
 | ro | CachedClientHeight
 | ro | CachedClientWidth
 |  | ChildSizing
 | ro | ControlCount
 | ro | Controls
 |  | DefWndProc
 | ro | DockClientCount
 | ro | DockClients
 |  | DockManager
 |  | DockSite
 |  | DoubleBuffered
 |  | Handle
 | ro | IsFlipped
 | ro | IsResizing
 |  | TabOrder
 |  | TabStop
 |  | ParentDoubleBuffered
 |  | ParentWindow
 | ro | Showing
 |  | UseDockManager
 |  | DesignerDeleting
 | ro | VisibleDockClientCount
TControl
pt | ro | AutoSizing
pt | ro | AutoSizingAll
pt | ro | AutoSizingLockCount
pt |  | ActionLink
pt |  | DesktopFont
pt |  | DragCursor
pt |  | DragKind
pt |  | DragMode
pt |  | MouseCapture
pt |  | ParentColor
pt |  | ParentFont
pt |  | ParentShowHint
pt |  | SessionProperties
pt |  | Text
 | ro | AnchoredControls
 | ro | BaseBounds
 | ro | ReadBounds
 | ro | BaseParentClientSize
 |  | AccessibleDescription
 |  | AccessibleValue
 |  | AccessibleRole
 |  | Action
 |  | Align
 |  | Anchors
 | ro | AnchorSide
 |  | AutoSize
 |  | BorderSpacing
 |  | BoundsRect
 |  | BoundsRectForNewParent
 |  | Caption
 |  | CaptureMouseButtons
 |  | ClientHeight
 | ro | ClientOrigin
 | ro | ClientRect
 |  | ClientWidth
 |  | Color
 |  | Constraints
 | ro | ControlOrigin
 |  | ControlState
 |  | ControlStyle
 |  | Enabled
 |  | Font
 |  | IsControl
 | ro | MouseEntered
 | ro | MouseInClient
 |  | Parent
 |  | PopupMenu
 |  | ShowHint
 |  | Visible
 |  | WindowProc
 |  | DockOrientation
 | ro | Floating
 |  | FloatingDockSiteClass
 |  | HostDockSite
 |  | LRDockWidth
 |  | TBDockHeight
 |  | UndockHeight
 |  | UndockWidth
 |  | BiDiMode
 |  | ParentBiDiMode
pl |  | AnchorSideLeft
pl |  | AnchorSideTop
pl |  | AnchorSideRight
pl |  | AnchorSideBottom
pl |  | Cursor
pl |  | Left
pl |  | Height
pl |  | Hint
pl |  | Top
pl |  | Width
pl |  | HelpType
pl |  | HelpKeyword
pl |  | HelpContext
TLCLComponent
 | ro | LCLRefCount
 | ro | WidgetSetClass
TComponent
 | ro | ComObject
 | ro | Components
 | ro | ComponentCount
 |  | ComponentIndex
 | ro | ComponentState
 | ro | ComponentStyle
 |  | DesignInfo
 | ro | Owner
 |  | VCLComObject
 |  | Name
 |  | Tag
TPersistent
TObject


 |  | AccessibleDescription (TControl)
 |  | AccessibleRole (TControl)
 |  | AccessibleValue (TControl)
 |  | Action (TControl)
pt |  | ActionLink (TControl)
 |  | Align (TControl)
pl | ro | Align (TProgressBar)
 | ro | AnchoredControls (TControl)
 |  | Anchors (TControl)
pl | ro | Anchors (TProgressBar)
 | ro | AnchorSide (TControl)
pl |  | AnchorSideBottom (TControl)
pl |  | AnchorSideLeft (TControl)
pl |  | AnchorSideRight (TControl)
pl |  | AnchorSideTop (TControl)
 |  | AutoSize (TControl)
pt | ro | AutoSizing (TControl)
pt | ro | AutoSizingAll (TControl)
pt | ro | AutoSizingLockCount (TControl)
 |  | BarShowText (TCustomProgressBar)
pl | ro | BarShowText (TProgressBar)
 | ro | BaseBounds (TControl)
 | ro | BaseParentClientSize (TControl)
 |  | BiDiMode (TControl)
 |  | BorderSpacing (TControl)
pl | ro | BorderSpacing (TProgressBar)
pt |  | BorderStyle (TWinControl)
 |  | BorderWidth (TWinControl)
pl | ro | BorderWidth (TProgressBar)
 | ro | BoundsLockCount (TWinControl)
 |  | BoundsRect (TControl)
 |  | BoundsRectForNewParent (TControl)
 | ro | Brush (TWinControl)
 | ro | CachedClientHeight (TWinControl)
 | ro | CachedClientWidth (TWinControl)
 |  | Caption (TControl)
 |  | CaptureMouseButtons (TControl)
 |  | ChildSizing (TWinControl)
 |  | ClientHeight (TControl)
 | ro | ClientOrigin (TControl)
 | ro | ClientRect (TControl)
 |  | ClientWidth (TControl)
 |  | Color (TControl)
pl | ro | Color (TProgressBar)
 | ro | ComObject (TComponent)
 | ro | ComponentCount (TComponent)
 |  | ComponentIndex (TComponent)
 | ro | Components (TComponent)
 | ro | ComponentState (TComponent)
 | ro | ComponentStyle (TComponent)
 |  | Constraints (TControl)
pl | ro | Constraints (TProgressBar)
 | ro | ControlCount (TWinControl)
 | ro | ControlOrigin (TControl)
 | ro | Controls (TWinControl)
 |  | ControlState (TControl)
 |  | ControlStyle (TControl)
pl |  | Cursor (TControl)
 |  | DefWndProc (TWinControl)
 |  | DesignerDeleting (TWinControl)
 |  | DesignInfo (TComponent)
pt |  | DesktopFont (TControl)
 | ro | DockClientCount (TWinControl)
 | ro | DockClients (TWinControl)
 |  | DockManager (TWinControl)
 |  | DockOrientation (TControl)
 |  | DockSite (TWinControl)
 |  | DoubleBuffered (TWinControl)
pt |  | DragCursor (TControl)
pl | ro | DragCursor (TProgressBar)
pt |  | DragKind (TControl)
pl | ro | DragKind (TProgressBar)
pt |  | DragMode (TControl)
pl | ro | DragMode (TProgressBar)
 |  | Enabled (TControl)
pl | ro | Enabled (TProgressBar)
 | ro | Floating (TControl)
 |  | FloatingDockSiteClass (TControl)
 |  | Font (TControl)
pl | ro | Font (TProgressBar)
 |  | Handle (TWinControl)
pl |  | Height (TControl)
pl |  | HelpContext (TControl)
pl |  | HelpKeyword (TControl)
pl |  | HelpType (TControl)
pl |  | Hint (TControl)
pl | ro | Hint (TProgressBar)
 |  | HostDockSite (TControl)
 |  | IsControl (TControl)
 | ro | IsFlipped (TWinControl)
 | ro | IsResizing (TWinControl)
 | ro | LCLRefCount (TLCLComponent)
pl |  | Left (TControl)
 |  | LRDockWidth (TControl)
 |  | Max (TCustomProgressBar)
pl | ro | Max (TProgressBar)
 |  | Min (TCustomProgressBar)
pl | ro | Min (TProgressBar)
pt |  | MouseCapture (TControl)
 | ro | MouseEntered (TControl)
 | ro | MouseInClient (TControl)
 |  | Name (TComponent)
 |  | Orientation (TCustomProgressBar)
pl | ro | Orientation (TProgressBar)
 | ro | Owner (TComponent)
 |  | Parent (TControl)
pt |  | ParentBackground (TWinControl)
 |  | ParentBiDiMode (TControl)
pt |  | ParentColor (TControl)
pl | ro | ParentColor (TProgressBar)
 |  | ParentDoubleBuffered (TWinControl)
pt |  | ParentFont (TControl)
pl | ro | ParentFont (TProgressBar)
pt |  | ParentShowHint (TControl)
pl | ro | ParentShowHint (TProgressBar)
 |  | ParentWindow (TWinControl)
 |  | PopupMenu (TControl)
pl | ro | PopupMenu (TProgressBar)
 |  | Position (TCustomProgressBar)
pl | ro | Position (TProgressBar)
 | ro | ReadBounds (TControl)
pt |  | SessionProperties (TControl)
 |  | ShowHint (TControl)
pl | ro | ShowHint (TProgressBar)
 | ro | Showing (TWinControl)
 |  | Smooth (TCustomProgressBar)
pl | ro | Smooth (TProgressBar)
 |  | Step (TCustomProgressBar)
pl | ro | Step (TProgressBar)
 |  | Style (TCustomProgressBar)
pl | ro | Style (TProgressBar)
 |  | TabOrder (TWinControl)
pl | ro | TabOrder (TProgressBar)
 |  | TabStop (TWinControl)
pl | ro | TabStop (TProgressBar)
 |  | Tag (TComponent)
 |  | TBDockHeight (TControl)
pt |  | Text (TControl)
pl |  | Top (TControl)
 |  | UndockHeight (TControl)
 |  | UndockWidth (TControl)
 |  | UseDockManager (TWinControl)
 |  | VCLComObject (TComponent)
 |  | Visible (TControl)
pl | ro | Visible (TProgressBar)
 | ro | VisibleDockClientCount (TWinControl)
 | ro | WidgetSetClass (TLCLComponent)
pl |  | Width (TControl)
pt |  | WindowHandle (TWinControl)
 |  | WindowProc (TControl)


TProgressBar
TCustomProgressBar
pt | WSRegisterClass
pt | ApplyChanges
pt | InitializeWnd
pt | Loaded
pt | GetControlClassDefaultSize
 | Create
 | StepIt
 | StepBy
TWinControl
pt | WSRegisterClass
pt | AdjustClientRect
pt | GetAdjustedLogicalClientRect
pt | AlignControls
pt | CustomAlignInsertBefore
pt | CustomAlignPosition
pt | DoAlignChildControls
pt | DoChildSizingChange
pt | InvalidatePreferredChildSizes
pt | CanTab
pt | IsClientHeightStored
pt | IsClientWidthStored
pt | DoSendShowHideToInterface
pt | ControlsAligned
pt | DoSendBoundsToInterface
pt | RealizeBounds
pt | RealizeBoundsRecursive
pt | InvalidateBoundsRealized
pt | CreateSubClass
pt | DoConstraintsChange
pt | DoSetBounds
pt | DoAutoSize
pt | DoAllAutoSize
pt | AllAutoSized
pt | CalculatePreferredSize
pt | GetPreferredSizeClientFrame
pt | GetChildren
pt | ChildClassAllowed
pt | PaintControls
pt | PaintHandler
pt | PaintWindow
pt | CreateBrush
pt | ScaleControls
pt | ChangeScale
pt | CMBiDiModeChanged
pt | CMBorderChanged
pt | CMDoubleBufferedChanged
pt | CMEnabledChanged
pt | CMParentDoubleBufferedChanged
pt | CMShowingChanged
pt | CMShowHintChanged
pt | CMVisibleChanged
pt | CMEnter
pt | CMExit
pt | WMContextMenu
pt | WMEraseBkgnd
pt | WMNotify
pt | WMSetFocus
pt | WMKillFocus
pt | WMShowWindow
pt | WMEnter
pt | WMExit
pt | WMKeyDown
pt | WMSysKeyDown
pt | WMKeyUp
pt | WMSysKeyUp
pt | WMChar
pt | WMSysChar
pt | WMPaint
pt | WMDestroy
pt | WMMove
pt | WMSize
pt | WMWindowPosChanged
pt | CNKeyDown
pt | CNSysKeyDown
pt | CNKeyUp
pt | CNSysKeyUp
pt | CNChar
pt | DoDragMsg
pt | DoDockClientMsg
pt | DoUndockClientMsg
pt | DoAddDockClient
pt | DockOver
pt | DoDockOver
pt | DoRemoveDockClient
pt | DoUnDock
pt | GetSiteInfo
pt | GetParentHandle
pt | GetTopParentHandle
pt | ReloadDockedControl
pt | CreateDockManager
pt | SetDockManager
pt | DoFloatMsg
pt | DoGetDockCaption
pt | DoEnter
pt | DoExit
pt | DoKeyDownBeforeInterface
pt | DoRemainingKeyDown
pt | DoRemainingKeyUp
pt | DoKeyPress
pt | DoUTF8KeyPress
pt | DoKeyUpBeforeInterface
pt | ChildKey
pt | SendDialogChar
pt | DialogChar
pt | ControlKeyDown
pt | ControlKeyUp
pt | KeyDown
pt | KeyDownBeforeInterface
pt | KeyDownAfterInterface
pt | KeyPress
pt | KeyUp
pt | KeyUpBeforeInterface
pt | KeyUpAfterInterface
pt | UTF8KeyPress
pt | FindNextControl
pt | SelectFirst
pt | RealGetText
pt | GetBorderStyle
pt | GetClientOrigin
pt | GetClientRect
pt | GetControlOrigin
pt | GetDeviceContext
pt | GetParentBackground
pt | IsControlMouseMsg
pt | CreateHandle
pt | CreateParams
pt | CreateWnd
pt | DestroyHandle
pt | DestroyWnd
pt | DoFlipChildren
pt | FinalizeWnd
pt | FixupTabList
pt | FontChanged
pt | InitializeWnd
pt | Loaded
pt | FormEndUpdated
pt | MainWndProc
pt | ParentFormHandleInitialized
pt | ChildHandlesCreated
pt | GetMouseCapture
pt | RealSetText
pt | RemoveFocus
pt | SendMoveSizeMessages
pt | SetBorderStyle
pt | SetColor
pt | SetChildZPosition
pt | SetParentBackground
pt | ShowControl
pt | UpdateControlState
pt | UpdateShowing
pt | WndProc
pt | WSSetText
 | AutoSizePhases
 | AutoSizeDelayed
 | AutoSizeDelayedReport
 | AutoSizeDelayedHandle
 | BeginUpdateBounds
 | EndUpdateBounds
 | LockRealizeBounds
 | UnlockRealizeBounds
 | ControlAtPos
 | ContainsControl
 | DoAdjustClientRectChange
 | InvalidateClientRectCache
 | ClientRectNeedsInterfaceUpdate
 | SetBounds
 | GetChildrenRect
 | DisableAlign
 | EnableAlign
 | ReAlign
 | ScrollBy_WS
 | ScrollBy
 | WriteLayoutDebugReport
 | AutoAdjustLayout
 | Create
 | CreateParented
 | CreateParentedControl
 | Destroy
 | DockDrop
 | CanFocus
 | CanSetFocus
 | GetControlIndex
 | SetControlIndex
 | Focused
 | PerformTab
 | FindChildControl
 | SelectNext
 | SetTempCursor
 | BroadCast
 | NotifyControls
 | DefaultHandler
 | GetTextLen
 | Invalidate
 | AddControl
 | InsertControl
 | RemoveControl
 | GetEnumeratorControls
 | GetEnumeratorControlsReverse
 | Repaint
 | Update
 | SetFocus
 | FlipChildren
 | ScaleBy
 | GetDockCaption
 | UpdateDockCaption
 | GetTabOrderList
 | HandleAllocated
 | ParentHandlesAllocated
 | HandleNeeded
 | BrushCreated
 | EraseBackground
 | IntfUTF8KeyPress
 | IntfGetDropFilesTarget
 | PaintTo
 | SetShape
TControl
pt | WSRegisterClass
pt | GetCursor
pt | SetCursor
pt | SetVisible
pt | DoOnParentHandleDestruction
pt | DoAutoSize
pt | DoAllAutoSize
pt | BeginAutoSizing
pt | EndAutoSizing
pt | AnchorSideChanged
pt | ForeignAnchorSideChanged
pt | SetAlign
pt | SetAnchors
pt | SetAutoSize
pt | BoundsChanged
pt | CreateControlBorderSpacing
pt | DoConstraintsChange
pt | DoBorderSpacingChange
pt | IsBorderSpacingInnerBorderStored
pt | IsCaptionStored
pt | SendMoveSizeMessages
pt | ConstrainedResize
pt | CalculatePreferredSize
pt | DoOnResize
pt | DoOnChangeBounds
pt | CheckOnChangeBounds
pt | Resize
pt | RequestAlign
pt | UpdateAnchorRules
pt | ChangeBounds
pt | DoSetBounds
pt | ScaleConstraints
pt | ChangeScale
pt | CanAutoSize
pt | SetBiDiMode
pt | SetParentBiDiMode
pt | IsAParentAligning
pt | GetClientOrigin
pt | GetClientRect
pt | GetLogicalClientRect
pt | GetScrolledClientRect
pt | GetClientScrollOffset
pt | GetControlOrigin
pt | IsClientHeightStored
pt | IsClientWidthStored
pt | WidthIsAnchored
pt | HeightIsAnchored
pt | WMCancelMode
pt | WMContextMenu
pt | WMLButtonDown
pt | WMRButtonDown
pt | WMMButtonDown
pt | WMXButtonDown
pt | WMLButtonDBLCLK
pt | WMRButtonDBLCLK
pt | WMMButtonDBLCLK
pt | WMXButtonDBLCLK
pt | WMLButtonTripleCLK
pt | WMRButtonTripleCLK
pt | WMMButtonTripleCLK
pt | WMXButtonTripleCLK
pt | WMLButtonQuadCLK
pt | WMRButtonQuadCLK
pt | WMMButtonQuadCLK
pt | WMXButtonQuadCLK
pt | WMMouseMove
pt | WMLButtonUp
pt | WMRButtonUp
pt | WMMButtonUp
pt | WMXButtonUp
pt | WMMouseWheel
pt | WMMouseHWheel
pt | WMMove
pt | WMSize
pt | WMWindowPosChanged
pt | CMChanged
pt | LMCaptureChanged
pt | CMBiDiModeChanged
pt | CMSysFontChanged
pt | CMEnabledChanged
pt | CMHitTest
pt | CMMouseEnter
pt | CMMouseLeave
pt | CMHintShow
pt | CMParentBiDiModeChanged
pt | CMParentColorChanged
pt | CMParentFontChanged
pt | CMParentShowHintChanged
pt | CMVisibleChanged
pt | CMTextChanged
pt | CMCursorChanged
pt | CalculateDockSizes
pt | CreateFloatingDockSite
pt | GetDockEdge
pt | GetDragImages
pt | GetFloating
pt | GetFloatingDockSiteClass
pt | BeforeDragStart
pt | BeginAutoDrag
pt | DoFloatMsg
pt | DockTrackNoTarget
pt | DoDock
pt | DoDragMsg
pt | DoEndDock
pt | DoEndDrag
pt | DoStartDock
pt | DoStartDrag
pt | DragCanceled
pt | DragOver
pt | PositionDockRect
pt | SetDragMode
pt | GetDefaultDockCaption
pt | Click
pt | DblClick
pt | TripleClick
pt | QuadClick
pt | GetMousePosFromMessage
pt | MouseDown
pt | MouseMove
pt | MouseUp
pt | MouseEnter
pt | MouseLeave
pt | DialogChar
pt | UpdateMouseCursor
pt | Changed
pt | GetPalette
pt | ChildClassAllowed
pt | ReadState
pt | Loaded
pt | LoadedAll
pt | DefineProperties
pt | AssignTo
pt | FormEndUpdated
pt | InvalidateControl
pt | FontChanged
pt | ParentFontChanged
pt | GetAction
pt | RealGetText
pt | RealSetText
pt | TextChanged
pt | GetCachedText
pt | SetAction
pt | SetColor
pt | SetEnabled
pt | SetHint
pt | SetName
pt | SetParent
pt | SetParentComponent
pt | WndProc
pt | ParentFormHandleInitialized
pt | GetMouseCapture
pt | CaptureChanged
pt | Notification
pt | CanTab
pt | GetDeviceContext
pt | GetEnabled
pt | GetPopupMenu
pt | DoOnShowHint
pt | DoMouseWheel
pt | DoMouseWheelDown
pt | DoMouseWheelUp
pt | DoMouseWheelHorz
pt | DoMouseWheelLeft
pt | DoMouseWheelRight
pt | VisibleChanging
pt | VisibleChanged
pt | EnabledChanging
pt | EnabledChanged
pt | AddHandler
pt | RemoveHandler
pt | DoCallNotifyHandler
pt | DoCallKeyEventHandler
pt | DoCallMouseWheelEventHandler
pt | DoContextPopup
pt | SetZOrder
pt | GetControlClassDefaultSize
pt | ColorIsStored
pt | DoAutoAdjustLayout
pt | DoFixDesignFontPPI
pt | DoScaleFontPPI
pt | GetActionLinkClass
pt | ActionChange
 | DragDrop
 | Dock
 | ManualDock
 | ManualFloat
 | ReplaceDockedControl
 | Docked
 | Dragging
 | GetAccessibleObject
 | CreateAccessibleObject
 | GetSelectedChildAccessibleObject
 | GetChildAccessibleObjectAtPos
 | ScaleDesignToForm
 | ScaleFormToDesign
 | Scale96ToForm
 | ScaleFormTo96
 | Scale96ToFont
 | ScaleFontTo96
 | ScaleScreenToFont
 | ScaleFontToScreen
 | Scale96ToScreen
 | ScaleScreenTo96
 | AdjustSize
 | AutoSizePhases
 | AutoSizeDelayed
 | AutoSizeDelayedReport
 | AutoSizeDelayedHandle
 | AnchorToNeighbour
 | AnchorParallel
 | AnchorHorizontalCenterTo
 | AnchorVerticalCenterTo
 | AnchorToCompanion
 | AnchorSame
 | AnchorAsAlign
 | AnchorClient
 | AnchoredControlCount
 | SetBounds
 | SetInitialBounds
 | SetBoundsKeepBase
 | GetPreferredSize
 | GetCanvasScaleFactor
 | GetDefaultWidth
 | GetDefaultHeight
 | GetDefaultColor
 | GetColorResolvingParent
 | GetRGBColorResolvingParent
 | GetSidePosition
 | CNPreferredSizeChanged
 | InvalidatePreferredSize
 | GetAnchorsDependingOnParent
 | DisableAutoSizing
 | EnableAutoSizing
 | UpdateBaseBounds
 | WriteLayoutDebugReport
 | AutoAdjustLayout
 | ShouldAutoAdjust
 | FixDesignFontsPPI
 | ScaleFontsPPI
 | Create
 | Destroy
 | BeforeDestruction
 | EditingDone
 | ExecuteDefaultAction
 | ExecuteCancelAction
 | BeginDrag
 | EndDrag
 | BringToFront
 | HasParent
 | GetParentComponent
 | IsParentOf
 | GetTopParent
 | IsVisible
 | IsControlVisible
 | IsEnabled
 | IsParentColor
 | IsParentFont
 | FormIsUpdating
 | IsProcessingPaintMsg
 | Hide
 | Refresh
 | Repaint
 | Invalidate
 | CheckChildClassAllowed
 | CheckNewParent
 | SendToBack
 | SetTempCursor
 | UpdateRolesForForm
 | ActiveDefaultControlChanged
 | GetTextBuf
 | GetTextLen
 | SetTextBuf
 | Perform
 | ScreenToClient
 | ClientToScreen
 | ScreenToControl
 | ControlToScreen
 | ClientToParent
 | ParentToClient
 | GetChildrenRect
 | Show
 | Update
 | HandleObjectShouldBeVisible
 | ParentDestroyingHandle
 | ParentHandlesAllocated
 | InitiateAction
 | ShowHelp
 | HasHelp
 | RemoveAllHandlersOfObject
 | AddHandlerOnResize
 | RemoveHandlerOnResize
 | AddHandlerOnChangeBounds
 | RemoveHandlerOnChangeBounds
 | AddHandlerOnVisibleChanging
 | RemoveHandlerOnVisibleChanging
 | AddHandlerOnVisibleChanged
 | RemoveHandlerOnVisibleChanged
 | AddHandlerOnEnabledChanged
 | RemoveHandlerOnEnableChanging
 | AddHandlerOnKeyDown
 | RemoveHandlerOnKeyDown
 | AddHandlerOnBeforeDestruction
 | RemoveHandlerOnBeforeDestruction
 | AddHandlerOnMouseWheel
 | RemoveHandlerOnMouseWheel
 | UseRightToLeftAlignment
 | UseRightToLeftReading
 | UseRightToLeftScrollBar
 | IsRightToLeft
TLCLComponent
pt | WSRegisterClass
pt | GetWSComponentClass
 | Create
 | Destroy
 | NewInstance
 | RemoveAllHandlersOfObject
 | IncLCLRefCount
 | DecLCLRefCount
TComponent
 | GetComObject
 | GetComponent
 | GetComponentCount
 | GetComponentIndex
 | Insert
 | ReadLeft
 | ReadTop
 | Remove
 | RemoveNotification
 | SetComponentIndex
 | SetReference
 | WriteLeft
 | WriteTop
 | ChangeName
 | DefineProperties
 | GetChildren
 | GetChildOwner
 | GetChildParent
 | GetOwner
 | Loaded
 | Loading
 | Notification
 | PaletteCreated
 | ReadState
 | SetAncestor
 | SetDesigning
 | SetDesignInstance
 | SetInline
 | SetName
 | SetChildOrder
 | SetParentComponent
 | Updating
 | Updated
 | UpdateRegistry
 | ValidateRename
 | ValidateContainer
 | ValidateInsert
 | QueryInterface
 | _AddRef
 | _Release
 | iicrGetComponent
 | GetTypeInfoCount
 | GetTypeInfo
 | GetIDsOfNames
 | Invoke
 | WriteState
 | Create
 | Destroy
 | BeforeDestruction
 | DestroyComponents
 | Destroying
 | ExecuteAction
 | FindComponent
 | FreeNotification
 | RemoveFreeNotification
 | FreeOnRelease
 | GetEnumerator
 | GetNamePath
 | GetParentComponent
 | HasParent
 | InsertComponent
 | RemoveComponent
 | SafeCallException
 | SetSubComponent
 | UpdateAction
 | IsImplementorOf
 | ReferenceInterface
TPersistent
 | AssignError
 | AssignTo
 | DefineProperties
 | GetOwner
 | Destroy
 | Assign
 | FPOAttachObserver
 | FPODetachObserver
 | FPONotifyObservers
 | GetNamePath
TObject
 | Create
 | Destroy
 | newinstance
 | FreeInstance
 | SafeCallException
 | DefaultHandler
 | Free
 | InitInstance
 | CleanupInstance
 | ClassType
 | ClassInfo
 | ClassName
 | ClassNameIs
 | ClassParent
 | InstanceSize
 | InheritsFrom
 | StringMessageTable
 | MethodAddress
 | MethodName
 | FieldAddress
 | AfterConstruction
 | BeforeDestruction
 | DefaultHandlerStr
 | Dispatch
 | DispatchStr
 | GetInterface
 | GetInterfaceByStr
 | GetInterfaceWeak
 | GetInterfaceEntry
 | GetInterfaceEntryByStr
 | GetInterfaceTable
 | UnitName
 | Equals
 | GetHashCode
 | ToString


TProgressBar
pl | ro | OnContextPopup
pl | ro | OnDragDrop
pl | ro | OnDragOver
pl | ro | OnEndDrag
pl | ro | OnEnter
pl | ro | OnExit
pl | ro | OnMouseDown
pl | ro | OnMouseEnter
pl | ro | OnMouseLeave
pl | ro | OnMouseMove
pl | ro | OnMouseUp
pl | ro | OnMouseWheel
pl | ro | OnMouseWheelDown
pl | ro | OnMouseWheelUp
pl | ro | OnStartDock
pl | ro | OnStartDrag
TCustomProgressBar
TWinControl
pt |  | OnGetSiteInfo
pt |  | OnGetDockCaption
 |  | OnAlignInsertBefore
 |  | OnAlignPosition
 |  | OnDockDrop
 |  | OnDockOver
 |  | OnEnter
 |  | OnExit
 |  | OnKeyDown
 |  | OnKeyPress
 |  | OnKeyUp
 |  | OnUnDock
 |  | OnUTF8KeyPress
TControl
pt |  | OnConstrainedResize
pt |  | OnContextPopup
pt |  | OnDblClick
pt |  | OnTripleClick
pt |  | OnQuadClick
pt |  | OnDragDrop
pt |  | OnDragOver
pt |  | OnEndDock
pt |  | OnEndDrag
pt |  | OnMouseDown
pt |  | OnMouseMove
pt |  | OnMouseUp
pt |  | OnMouseEnter
pt |  | OnMouseLeave
pt |  | OnMouseWheel
pt |  | OnMouseWheelDown
pt |  | OnMouseWheelUp
pt |  | OnMouseWheelHorz
pt |  | OnMouseWheelLeft
pt |  | OnMouseWheelRight
pt |  | OnStartDock
pt |  | OnStartDrag
pt |  | OnEditingDone
 |  | OnChangeBounds
 |  | OnClick
 |  | OnResize
 |  | OnShowHint
TLCLComponent
TComponent
TPersistent
TObject


 |  | OnAlignInsertBefore (TWinControl)
 |  | OnAlignPosition (TWinControl)
 |  | OnChangeBounds (TControl)
 |  | OnClick (TControl)
pt |  | OnConstrainedResize (TControl)
pt |  | OnContextPopup (TControl)
pl | ro | OnContextPopup (TProgressBar)
pt |  | OnDblClick (TControl)
 |  | OnDockDrop (TWinControl)
 |  | OnDockOver (TWinControl)
pt |  | OnDragDrop (TControl)
pl | ro | OnDragDrop (TProgressBar)
pt |  | OnDragOver (TControl)
pl | ro | OnDragOver (TProgressBar)
pt |  | OnEditingDone (TControl)
pt |  | OnEndDock (TControl)
pt |  | OnEndDrag (TControl)
pl | ro | OnEndDrag (TProgressBar)
 |  | OnEnter (TWinControl)
pl | ro | OnEnter (TProgressBar)
 |  | OnExit (TWinControl)
pl | ro | OnExit (TProgressBar)
pt |  | OnGetDockCaption (TWinControl)
pt |  | OnGetSiteInfo (TWinControl)
 |  | OnKeyDown (TWinControl)
 |  | OnKeyPress (TWinControl)
 |  | OnKeyUp (TWinControl)
pt |  | OnMouseDown (TControl)
pl | ro | OnMouseDown (TProgressBar)
pt |  | OnMouseEnter (TControl)
pl | ro | OnMouseEnter (TProgressBar)
pt |  | OnMouseLeave (TControl)
pl | ro | OnMouseLeave (TProgressBar)
pt |  | OnMouseMove (TControl)
pl | ro | OnMouseMove (TProgressBar)
pt |  | OnMouseUp (TControl)
pl | ro | OnMouseUp (TProgressBar)
pt |  | OnMouseWheel (TControl)
pl | ro | OnMouseWheel (TProgressBar)
pt |  | OnMouseWheelDown (TControl)
pl | ro | OnMouseWheelDown (TProgressBar)
pt |  | OnMouseWheelHorz (TControl)
pt |  | OnMouseWheelLeft (TControl)
pt |  | OnMouseWheelRight (TControl)
pt |  | OnMouseWheelUp (TControl)
pl | ro | OnMouseWheelUp (TProgressBar)
pt |  | OnQuadClick (TControl)
 |  | OnResize (TControl)
 |  | OnShowHint (TControl)
pt |  | OnStartDock (TControl)
pl | ro | OnStartDock (TProgressBar)
pt |  | OnStartDrag (TControl)
pl | ro | OnStartDrag (TProgressBar)
pt |  | OnTripleClick (TControl)
 |  | OnUnDock (TWinControl)
 |  | OnUTF8KeyPress (TWinControl)


TProgressBar.Color

Declaration

Source position: comctrls.pp line 1818

published property TProgressBar.Color : TColor;


TProgressBar.Font

Declaration

Source position: comctrls.pp line 1824

published property TProgressBar.Font : TFont;


TProgressBar.OnMouseEnter

Declaration

Source position: comctrls.pp line 1835

published property TProgressBar.OnMouseEnter : TNotifyEvent;


TProgressBar.OnMouseLeave

Declaration

Source position: comctrls.pp line 1836

published property TProgressBar.OnMouseLeave : TNotifyEvent;


TProgressBar.OnMouseWheel

Declaration

Source position: comctrls.pp line 1839

published property TProgressBar.OnMouseWheel : TMouseWheelEvent;


TProgressBar.OnMouseWheelDown

Declaration

Source position: comctrls.pp line 1840

published property TProgressBar.OnMouseWheelDown : TMouseWheelUpDownEvent;


TProgressBar.OnMouseWheelUp

Declaration

Source position: comctrls.pp line 1841

published property TProgressBar.OnMouseWheelUp : TMouseWheelUpDownEvent;


TProgressBar.ParentColor

Declaration

Source position: comctrls.pp line 1845

published property TProgressBar.ParentColor : Boolean;


TProgressBar.ParentFont

Declaration

Source position: comctrls.pp line 1846

published property TProgressBar.ParentFont : Boolean;


TProgressBar.Style

Declaration

Source position: comctrls.pp line 1853

published property TProgressBar.Style : TProgressBarStyle;


TProgressBarOrientation

TProgressBarOrientation - enumerated type with a series of constants denoting the orientation of the progress bar

Declaration

Source position: comctrls.pp line 1755

type TProgressBarOrientation = (

  pbHorizontal,

  pbVertical,

  pbRightToLeft,

  pbTopDown

);


TProgressBarStyle

Declaration

Source position: comctrls.pp line 1757

type TProgressBarStyle = (

  pbstNormal,

  pbstMarquee

);


TStatusBar

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

TStatusBar - a strip along the bottom of a form for displaying information on current status

Declaration

Source position: comctrls.pp line 120

type TStatusBar = class(TWinControl)
protected
class procedure WSRegisterClass; override; | Registers this component class with the current WidgetSet.
procedure BoundsChanged; override; | Invoked when the Bounds of the control have been changed. Override as required.
procedure CreateWnd; override; | CreateWnd calls inherited method, then fixes handles if needed
procedure DestroyWnd; override; | DestroyWnd calls inherited method and frees handles
procedure Loaded; override; | Loaded calls inherited method and fixes handles if needed
procedure UpdateHandleObject(); virtual; | UpdateHandleObject - updates all panel parts that have been changed
procedure CalculatePreferredSize(); override; | CalculatePreferredSize calls inherited method then supplies its own values if any are missing
procedure SetBiDiMode(); override;
function CreatePanel; virtual; | CreatePanel - returns a created Status Panel
function CreatePanels; virtual; | CreatePanels - returns a set of created panels
function GetPanelClass; virtual; | GetPanelClass - returns a class of status panel
function DoSetApplicationHint(); virtual; | DoSetApplicationHint - specifies a hint string and returns True if successful
function DoHint; virtual; | DoHint - shows the hint and returns True if successful (uses OnHint event handler)
procedure DrawPanel(); virtual; | DrawPanel calls the OnDrawPanel event handler if assigned
procedure LMDrawItem(); message; | LMDrawItem - LCL message handler for drawing the item on the current canvas
procedure DoAutoAdjustLayout(); override;
public
constructor Create(); override; | Create - constructor for TStatusBar: calls inherited Create and initialises a number of local variables
destructor Destroy; override; | Destroy - destructor for TStatusBar: frees canvas and panels, then calls inherited Destroy
procedure InvalidatePanel(); virtual; | InvalidatePanel - renders the panel with specified index non-valid
procedure BeginUpdate; | BeginUpdate - starts the update process
procedure EndUpdate; | EndUpdate - finishes the update process
function ExecuteAction(); override; | ExecuteAction: if required action is a Hint-related, sets the Hint in place, otherwise calls inherited method
function GetPanelIndexAt();
function SizeGripEnabled; | SizeGripEnabled - returns True if the size-grip (an area at the bottom of the statusbar where a mouse can grip to change the size) is enabled
function UpdatingStatusBar; | UpdatingStatusBar - returns True if the status bar is being updated
property Canvas: TCanvas; [r] | The Canvas where the Panels of the StatusBar are to be Painted
published
property Action: TBasicAction; | The Action associated with this control.
property Align: TAlign; | Specifies the placement of the control inside its Parent.
property Anchors: TAnchors; | The set of anchor definitions for this control.
property AutoHint: Boolean; [rw] | AutoHint - if True, a hint is automatically shown when mouse hovers over status bar. Default False
property AutoSize: Boolean; | TStatusBar default is True
property BiDiMode: TBiDiMode;
property BorderSpacing: TControlBorderSpacing;
property BorderWidth: TBorderWidth;
property Color: TColor; | The background color of the control.
property Constraints: TSizeConstraints; | The minimal and maximal Width and Height of this control.
property DragCursor: TCursor; | The cursor shape shown while the control is dragged.
property DragKind: TDragKind; | The operation when the control is dragged - Drag or Dock.
property DragMode: TDragMode; | Allows the user to drag the control.
property Enabled: Boolean; | Determines whether the control reacts on mouse or keyboard input.
property Font: TFont;
property Panels: TStatusPanels; [rw] | Panels - the list of strings to be placed in the sub-panels of TStatusBar
property ParentBiDiMode: Boolean;
property ParentColor: Boolean;
property ParentFont: Boolean;
property ParentShowHint: Boolean; | If true, the value of ShowHint for the control will be the same as the one from the Parent. Default is true.
property PopupMenu: TPopupMenu;
property SimpleText: TCaption; [rw] | SimpleText - a character string containing the information to be displayed in the Status Bar
property SimplePanel: Boolean; [rw] | SimplePanel - boolean. Is there just one continuous panel or several sub-panels?
property SizeGrip: Boolean; [rw] | SizeGrip - an area at the bottom of the statusbar where a mouse can grip to change the size: True if this is working
property ShowHint: Boolean; | Enables the Hint display.
property UseSystemFont: Boolean; [rw]
property Visible: Boolean; | Allows to show or hide the control, and all of its children.
property OnClick: TNotifyEvent; | Notification handler for mouse clicks.
property OnContextPopup: TContextPopupEvent; | Invoked when a context-sensitive pop-up menu is requested.
property OnCreatePanelClass: TSBCreatePanelClassEvent; [rw] | Event handler for creating a StatusBar Panel class
property OnDblClick: TNotifyEvent; | Event Handler for double mouse clicks.
property OnDragDrop: TDragDropEvent; | This handler determines the action on an drop onto this control, in a drag-drop operation.
property OnDragOver: TDragOverEvent; | Event handler for a control being dragged over this control.
property OnDrawPanel: TDrawPanelEvent; [rw]
property OnEndDock: TEndDragEvent; | Notification handler for the end of a docking operation.
property OnEndDrag: TEndDragEvent; | Notification handler for the end of a dragging operation.
property OnHint: TNotifyEvent; [rw] | Event handler for showing a hint when required
property OnMouseDown: TMouseEvent; | Event handler for mouse button going down.
property OnMouseEnter: TNotifyEvent;
property OnMouseLeave: TNotifyEvent;
property OnMouseMove: TMouseMoveEvent; | Event handler for mouse movement within the control.
property OnMouseUp: TMouseEvent; | Event handler for mouse button going up.
property OnMouseWheel: TMouseWheelEvent;
property OnMouseWheelDown: TMouseWheelUpDownEvent;
property OnMouseWheelUp: TMouseWheelUpDownEvent;
property OnResize: TNotifyEvent; | Notification handler for a resize of the control.
property OnStartDock: TStartDockEvent; | Event handler for the start of a docking operation.
property OnStartDrag: TStartDragEvent; | Event handler for the start of a dragging operation.
end;

Inheritance

TStatusBar | TStatusBar - a strip along the bottom of a form for displaying information on current status
|
TWinControl | The base class for controls which can contain other (child) controls.
|
TControl | The base class for visible controls.
|
TLCLComponent | The base class for LCL components associated with widgets.
|
TComponent,IUnknown,IInterfaceComponentReference
|
TPersistent,IFPObserved
|
TObject

Description

TStatusBar - a strip along the bottom of a form for displaying information on current status

The bar may consist of a single SimplePanel in which case the displayed text is contained in SimpleText.

However if SimplePanel is false, then there can be multiple panels or sub-sections of the status bar whose properties are described in Panels.

The property SimpleText can be assigned programatically to display the value of some variable, such as the position of the Splitter in the example

Example

procedure TTrivialForm1.Splitter1Moved(Sender: TObject);
begin
  StatusBar1.SimpleText := IntToStr(Splitter1.Left);
end;


TStatusBar
 | ro | Canvas
pl | ro | Action
pl | ro | Align
pl | ro | Anchors
pl |  | AutoHint
pl | ro | AutoSize
pl | ro | BiDiMode
pl | ro | BorderSpacing
pl | ro | BorderWidth
pl | ro | Color
pl | ro | Constraints
pl | ro | DragCursor
pl | ro | DragKind
pl | ro | DragMode
pl | ro | Enabled
pl | ro | Font
pl |  | Panels
pl | ro | ParentBiDiMode
pl | ro | ParentColor
pl | ro | ParentFont
pl | ro | ParentShowHint
pl | ro | PopupMenu
pl |  | SimpleText
pl |  | SimplePanel
pl |  | SizeGrip
pl | ro | ShowHint
pl |  | UseSystemFont
pl | ro | Visible
TWinControl
pt |  | WindowHandle
pt |  | BorderStyle
pt |  | ParentBackground
 |  | BorderWidth
 | ro | BoundsLockCount
 | ro | Brush
 | ro | CachedClientHeight
 | ro | CachedClientWidth
 |  | ChildSizing
 | ro | ControlCount
 | ro | Controls
 |  | DefWndProc
 | ro | DockClientCount
 | ro | DockClients
 |  | DockManager
 |  | DockSite
 |  | DoubleBuffered
 |  | Handle
 | ro | IsFlipped
 | ro | IsResizing
 |  | TabOrder
 |  | TabStop
 |  | ParentDoubleBuffered
 |  | ParentWindow
 | ro | Showing
 |  | UseDockManager
 |  | DesignerDeleting
 | ro | VisibleDockClientCount
TControl
pt | ro | AutoSizing
pt | ro | AutoSizingAll
pt | ro | AutoSizingLockCount
pt |  | ActionLink
pt |  | DesktopFont
pt |  | DragCursor
pt |  | DragKind
pt |  | DragMode
pt |  | MouseCapture
pt |  | ParentColor
pt |  | ParentFont
pt |  | ParentShowHint
pt |  | SessionProperties
pt |  | Text
 | ro | AnchoredControls
 | ro | BaseBounds
 | ro | ReadBounds
 | ro | BaseParentClientSize
 |  | AccessibleDescription
 |  | AccessibleValue
 |  | AccessibleRole
 |  | Action
 |  | Align
 |  | Anchors
 | ro | AnchorSide
 |  | AutoSize
 |  | BorderSpacing
 |  | BoundsRect
 |  | BoundsRectForNewParent
 |  | Caption
 |  | CaptureMouseButtons
 |  | ClientHeight
 | ro | ClientOrigin
 | ro | ClientRect
 |  | ClientWidth
 |  | Color
 |  | Constraints
 | ro | ControlOrigin
 |  | ControlState
 |  | ControlStyle
 |  | Enabled
 |  | Font
 |  | IsControl
 | ro | MouseEntered
 | ro | MouseInClient
 |  | Parent
 |  | PopupMenu
 |  | ShowHint
 |  | Visible
 |  | WindowProc
 |  | DockOrientation
 | ro | Floating
 |  | FloatingDockSiteClass
 |  | HostDockSite
 |  | LRDockWidth
 |  | TBDockHeight
 |  | UndockHeight
 |  | UndockWidth
 |  | BiDiMode
 |  | ParentBiDiMode
pl |  | AnchorSideLeft
pl |  | AnchorSideTop
pl |  | AnchorSideRight
pl |  | AnchorSideBottom
pl |  | Cursor
pl |  | Left
pl |  | Height
pl |  | Hint
pl |  | Top
pl |  | Width
pl |  | HelpType
pl |  | HelpKeyword
pl |  | HelpContext
TLCLComponent
 | ro | LCLRefCount
 | ro | WidgetSetClass
TComponent
 | ro | ComObject
 | ro | Components
 | ro | ComponentCount
 |  | ComponentIndex
 | ro | ComponentState
 | ro | ComponentStyle
 |  | DesignInfo
 | ro | Owner
 |  | VCLComObject
 |  | Name
 |  | Tag
TPersistent
TObject


 |  | AccessibleDescription (TControl)
 |  | AccessibleRole (TControl)
 |  | AccessibleValue (TControl)
 |  | Action (TControl)
pl | ro | Action (TStatusBar)
pt |  | ActionLink (TControl)
 |  | Align (TControl)
pl | ro | Align (TStatusBar)
 | ro | AnchoredControls (TControl)
 |  | Anchors (TControl)
pl | ro | Anchors (TStatusBar)
 | ro | AnchorSide (TControl)
pl |  | AnchorSideBottom (TControl)
pl |  | AnchorSideLeft (TControl)
pl |  | AnchorSideRight (TControl)
pl |  | AnchorSideTop (TControl)
pl |  | AutoHint (TStatusBar)
 |  | AutoSize (TControl)
pl | ro | AutoSize (TStatusBar)
pt | ro | AutoSizing (TControl)
pt | ro | AutoSizingAll (TControl)
pt | ro | AutoSizingLockCount (TControl)
 | ro | BaseBounds (TControl)
 | ro | BaseParentClientSize (TControl)
 |  | BiDiMode (TControl)
pl | ro | BiDiMode (TStatusBar)
 |  | BorderSpacing (TControl)
pl | ro | BorderSpacing (TStatusBar)
pt |  | BorderStyle (TWinControl)
 |  | BorderWidth (TWinControl)
pl | ro | BorderWidth (TStatusBar)
 | ro | BoundsLockCount (TWinControl)
 |  | BoundsRect (TControl)
 |  | BoundsRectForNewParent (TControl)
 | ro | Brush (TWinControl)
 | ro | CachedClientHeight (TWinControl)
 | ro | CachedClientWidth (TWinControl)
 | ro | Canvas (TStatusBar)
 |  | Caption (TControl)
 |  | CaptureMouseButtons (TControl)
 |  | ChildSizing (TWinControl)
 |  | ClientHeight (TControl)
 | ro | ClientOrigin (TControl)
 | ro | ClientRect (TControl)
 |  | ClientWidth (TControl)
 |  | Color (TControl)
pl | ro | Color (TStatusBar)
 | ro | ComObject (TComponent)
 | ro | ComponentCount (TComponent)
 |  | ComponentIndex (TComponent)
 | ro | Components (TComponent)
 | ro | ComponentState (TComponent)
 | ro | ComponentStyle (TComponent)
 |  | Constraints (TControl)
pl | ro | Constraints (TStatusBar)
 | ro | ControlCount (TWinControl)
 | ro | ControlOrigin (TControl)
 | ro | Controls (TWinControl)
 |  | ControlState (TControl)
 |  | ControlStyle (TControl)
pl |  | Cursor (TControl)
 |  | DefWndProc (TWinControl)
 |  | DesignerDeleting (TWinControl)
 |  | DesignInfo (TComponent)
pt |  | DesktopFont (TControl)
 | ro | DockClientCount (TWinControl)
 | ro | DockClients (TWinControl)
 |  | DockManager (TWinControl)
 |  | DockOrientation (TControl)
 |  | DockSite (TWinControl)
 |  | DoubleBuffered (TWinControl)
pt |  | DragCursor (TControl)
pl | ro | DragCursor (TStatusBar)
pt |  | DragKind (TControl)
pl | ro | DragKind (TStatusBar)
pt |  | DragMode (TControl)
pl | ro | DragMode (TStatusBar)
 |  | Enabled (TControl)
pl | ro | Enabled (TStatusBar)
 | ro | Floating (TControl)
 |  | FloatingDockSiteClass (TControl)
 |  | Font (TControl)
pl | ro | Font (TStatusBar)
 |  | Handle (TWinControl)
pl |  | Height (TControl)
pl |  | HelpContext (TControl)
pl |  | HelpKeyword (TControl)
pl |  | HelpType (TControl)
pl |  | Hint (TControl)
 |  | HostDockSite (TControl)
 |  | IsControl (TControl)
 | ro | IsFlipped (TWinControl)
 | ro | IsResizing (TWinControl)
 | ro | LCLRefCount (TLCLComponent)
pl |  | Left (TControl)
 |  | LRDockWidth (TControl)
pt |  | MouseCapture (TControl)
 | ro | MouseEntered (TControl)
 | ro | MouseInClient (TControl)
 |  | Name (TComponent)
 | ro | Owner (TComponent)
pl |  | Panels (TStatusBar)
 |  | Parent (TControl)
pt |  | ParentBackground (TWinControl)
 |  | ParentBiDiMode (TControl)
pl | ro | ParentBiDiMode (TStatusBar)
pt |  | ParentColor (TControl)
pl | ro | ParentColor (TStatusBar)
 |  | ParentDoubleBuffered (TWinControl)
pt |  | ParentFont (TControl)
pl | ro | ParentFont (TStatusBar)
pt |  | ParentShowHint (TControl)
pl | ro | ParentShowHint (TStatusBar)
 |  | ParentWindow (TWinControl)
 |  | PopupMenu (TControl)
pl | ro | PopupMenu (TStatusBar)
 | ro | ReadBounds (TControl)
pt |  | SessionProperties (TControl)
 |  | ShowHint (TControl)
pl | ro | ShowHint (TStatusBar)
 | ro | Showing (TWinControl)
pl |  | SimplePanel (TStatusBar)
pl |  | SimpleText (TStatusBar)
pl |  | SizeGrip (TStatusBar)
 |  | TabOrder (TWinControl)
 |  | TabStop (TWinControl)
 |  | Tag (TComponent)
 |  | TBDockHeight (TControl)
pt |  | Text (TControl)
pl |  | Top (TControl)
 |  | UndockHeight (TControl)
 |  | UndockWidth (TControl)
 |  | UseDockManager (TWinControl)
pl |  | UseSystemFont (TStatusBar)
 |  | VCLComObject (TComponent)
 |  | Visible (TControl)
pl | ro | Visible (TStatusBar)
 | ro | VisibleDockClientCount (TWinControl)
 | ro | WidgetSetClass (TLCLComponent)
pl |  | Width (TControl)
pt |  | WindowHandle (TWinControl)
 |  | WindowProc (TControl)


TStatusBar
pt | WSRegisterClass
pt | BoundsChanged
pt | CreateWnd
pt | DestroyWnd
pt | Loaded
pt | UpdateHandleObject
pt | CalculatePreferredSize
pt | SetBiDiMode
pt | CreatePanel
pt | CreatePanels
pt | GetPanelClass
pt | DoSetApplicationHint
pt | DoHint
pt | DrawPanel
pt | LMDrawItem
pt | DoAutoAdjustLayout
 | Create
 | Destroy
 | InvalidatePanel
 | BeginUpdate
 | EndUpdate
 | ExecuteAction
 | GetPanelIndexAt
 | SizeGripEnabled
 | UpdatingStatusBar
TWinControl
pt | WSRegisterClass
pt | AdjustClientRect
pt | GetAdjustedLogicalClientRect
pt | AlignControls
pt | CustomAlignInsertBefore
pt | CustomAlignPosition
pt | DoAlignChildControls
pt | DoChildSizingChange
pt | InvalidatePreferredChildSizes
pt | CanTab
pt | IsClientHeightStored
pt | IsClientWidthStored
pt | DoSendShowHideToInterface
pt | ControlsAligned
pt | DoSendBoundsToInterface
pt | RealizeBounds
pt | RealizeBoundsRecursive
pt | InvalidateBoundsRealized
pt | CreateSubClass
pt | DoConstraintsChange
pt | DoSetBounds
pt | DoAutoSize
pt | DoAllAutoSize
pt | AllAutoSized
pt | CalculatePreferredSize
pt | GetPreferredSizeClientFrame
pt | GetChildren
pt | ChildClassAllowed
pt | PaintControls
pt | PaintHandler
pt | PaintWindow
pt | CreateBrush
pt | ScaleControls
pt | ChangeScale
pt | CMBiDiModeChanged
pt | CMBorderChanged
pt | CMDoubleBufferedChanged
pt | CMEnabledChanged
pt | CMParentDoubleBufferedChanged
pt | CMShowingChanged
pt | CMShowHintChanged
pt | CMVisibleChanged
pt | CMEnter
pt | CMExit
pt | WMContextMenu
pt | WMEraseBkgnd
pt | WMNotify
pt | WMSetFocus
pt | WMKillFocus
pt | WMShowWindow
pt | WMEnter
pt | WMExit
pt | WMKeyDown
pt | WMSysKeyDown
pt | WMKeyUp
pt | WMSysKeyUp
pt | WMChar
pt | WMSysChar
pt | WMPaint
pt | WMDestroy
pt | WMMove
pt | WMSize
pt | WMWindowPosChanged
pt | CNKeyDown
pt | CNSysKeyDown
pt | CNKeyUp
pt | CNSysKeyUp
pt | CNChar
pt | DoDragMsg
pt | DoDockClientMsg
pt | DoUndockClientMsg
pt | DoAddDockClient
pt | DockOver
pt | DoDockOver
pt | DoRemoveDockClient
pt | DoUnDock
pt | GetSiteInfo
pt | GetParentHandle
pt | GetTopParentHandle
pt | ReloadDockedControl
pt | CreateDockManager
pt | SetDockManager
pt | DoFloatMsg
pt | DoGetDockCaption
pt | DoEnter
pt | DoExit
pt | DoKeyDownBeforeInterface
pt | DoRemainingKeyDown
pt | DoRemainingKeyUp
pt | DoKeyPress
pt | DoUTF8KeyPress
pt | DoKeyUpBeforeInterface
pt | ChildKey
pt | SendDialogChar
pt | DialogChar
pt | ControlKeyDown
pt | ControlKeyUp
pt | KeyDown
pt | KeyDownBeforeInterface
pt | KeyDownAfterInterface
pt | KeyPress
pt | KeyUp
pt | KeyUpBeforeInterface
pt | KeyUpAfterInterface
pt | UTF8KeyPress
pt | FindNextControl
pt | SelectFirst
pt | RealGetText
pt | GetBorderStyle
pt | GetClientOrigin
pt | GetClientRect
pt | GetControlOrigin
pt | GetDeviceContext
pt | GetParentBackground
pt | IsControlMouseMsg
pt | CreateHandle
pt | CreateParams
pt | CreateWnd
pt | DestroyHandle
pt | DestroyWnd
pt | DoFlipChildren
pt | FinalizeWnd
pt | FixupTabList
pt | FontChanged
pt | InitializeWnd
pt | Loaded
pt | FormEndUpdated
pt | MainWndProc
pt | ParentFormHandleInitialized
pt | ChildHandlesCreated
pt | GetMouseCapture
pt | RealSetText
pt | RemoveFocus
pt | SendMoveSizeMessages
pt | SetBorderStyle
pt | SetColor
pt | SetChildZPosition
pt | SetParentBackground
pt | ShowControl
pt | UpdateControlState
pt | UpdateShowing
pt | WndProc
pt | WSSetText
 | AutoSizePhases
 | AutoSizeDelayed
 | AutoSizeDelayedReport
 | AutoSizeDelayedHandle
 | BeginUpdateBounds
 | EndUpdateBounds
 | LockRealizeBounds
 | UnlockRealizeBounds
 | ControlAtPos
 | ContainsControl
 | DoAdjustClientRectChange
 | InvalidateClientRectCache
 | ClientRectNeedsInterfaceUpdate
 | SetBounds
 | GetChildrenRect
 | DisableAlign
 | EnableAlign
 | ReAlign
 | ScrollBy_WS
 | ScrollBy
 | WriteLayoutDebugReport
 | AutoAdjustLayout
 | Create
 | CreateParented
 | CreateParentedControl
 | Destroy
 | DockDrop
 | CanFocus
 | CanSetFocus
 | GetControlIndex
 | SetControlIndex
 | Focused
 | PerformTab
 | FindChildControl
 | SelectNext
 | SetTempCursor
 | BroadCast
 | NotifyControls
 | DefaultHandler
 | GetTextLen
 | Invalidate
 | AddControl
 | InsertControl
 | RemoveControl
 | GetEnumeratorControls
 | GetEnumeratorControlsReverse
 | Repaint
 | Update
 | SetFocus
 | FlipChildren
 | ScaleBy
 | GetDockCaption
 | UpdateDockCaption
 | GetTabOrderList
 | HandleAllocated
 | ParentHandlesAllocated
 | HandleNeeded
 | BrushCreated
 | EraseBackground
 | IntfUTF8KeyPress
 | IntfGetDropFilesTarget
 | PaintTo
 | SetShape
TControl
pt | WSRegisterClass
pt | GetCursor
pt | SetCursor
pt | SetVisible
pt | DoOnParentHandleDestruction
pt | DoAutoSize
pt | DoAllAutoSize
pt | BeginAutoSizing
pt | EndAutoSizing
pt | AnchorSideChanged
pt | ForeignAnchorSideChanged
pt | SetAlign
pt | SetAnchors
pt | SetAutoSize
pt | BoundsChanged
pt | CreateControlBorderSpacing
pt | DoConstraintsChange
pt | DoBorderSpacingChange
pt | IsBorderSpacingInnerBorderStored
pt | IsCaptionStored
pt | SendMoveSizeMessages
pt | ConstrainedResize
pt | CalculatePreferredSize
pt | DoOnResize
pt | DoOnChangeBounds
pt | CheckOnChangeBounds
pt | Resize
pt | RequestAlign
pt | UpdateAnchorRules
pt | ChangeBounds
pt | DoSetBounds
pt | ScaleConstraints
pt | ChangeScale
pt | CanAutoSize
pt | SetBiDiMode
pt | SetParentBiDiMode
pt | IsAParentAligning
pt | GetClientOrigin
pt | GetClientRect
pt | GetLogicalClientRect
pt | GetScrolledClientRect
pt | GetClientScrollOffset
pt | GetControlOrigin
pt | IsClientHeightStored
pt | IsClientWidthStored
pt | WidthIsAnchored
pt | HeightIsAnchored
pt | WMCancelMode
pt | WMContextMenu
pt | WMLButtonDown
pt | WMRButtonDown
pt | WMMButtonDown
pt | WMXButtonDown
pt | WMLButtonDBLCLK
pt | WMRButtonDBLCLK
pt | WMMButtonDBLCLK
pt | WMXButtonDBLCLK
pt | WMLButtonTripleCLK
pt | WMRButtonTripleCLK
pt | WMMButtonTripleCLK
pt | WMXButtonTripleCLK
pt | WMLButtonQuadCLK
pt | WMRButtonQuadCLK
pt | WMMButtonQuadCLK
pt | WMXButtonQuadCLK
pt | WMMouseMove
pt | WMLButtonUp
pt | WMRButtonUp
pt | WMMButtonUp
pt | WMXButtonUp
pt | WMMouseWheel
pt | WMMouseHWheel
pt | WMMove
pt | WMSize
pt | WMWindowPosChanged
pt | CMChanged
pt | LMCaptureChanged
pt | CMBiDiModeChanged
pt | CMSysFontChanged
pt | CMEnabledChanged
pt | CMHitTest
pt | CMMouseEnter
pt | CMMouseLeave
pt | CMHintShow
pt | CMParentBiDiModeChanged
pt | CMParentColorChanged
pt | CMParentFontChanged
pt | CMParentShowHintChanged
pt | CMVisibleChanged
pt | CMTextChanged
pt | CMCursorChanged
pt | CalculateDockSizes
pt | CreateFloatingDockSite
pt | GetDockEdge
pt | GetDragImages
pt | GetFloating
pt | GetFloatingDockSiteClass
pt | BeforeDragStart
pt | BeginAutoDrag
pt | DoFloatMsg
pt | DockTrackNoTarget
pt | DoDock
pt | DoDragMsg
pt | DoEndDock
pt | DoEndDrag
pt | DoStartDock
pt | DoStartDrag
pt | DragCanceled
pt | DragOver
pt | PositionDockRect
pt | SetDragMode
pt | GetDefaultDockCaption
pt | Click
pt | DblClick
pt | TripleClick
pt | QuadClick
pt | GetMousePosFromMessage
pt | MouseDown
pt | MouseMove
pt | MouseUp
pt | MouseEnter
pt | MouseLeave
pt | DialogChar
pt | UpdateMouseCursor
pt | Changed
pt | GetPalette
pt | ChildClassAllowed
pt | ReadState
pt | Loaded
pt | LoadedAll
pt | DefineProperties
pt | AssignTo
pt | FormEndUpdated
pt | InvalidateControl
pt | FontChanged
pt | ParentFontChanged
pt | GetAction
pt | RealGetText
pt | RealSetText
pt | TextChanged
pt | GetCachedText
pt | SetAction
pt | SetColor
pt | SetEnabled
pt | SetHint
pt | SetName
pt | SetParent
pt | SetParentComponent
pt | WndProc
pt | ParentFormHandleInitialized
pt | GetMouseCapture
pt | CaptureChanged
pt | Notification
pt | CanTab
pt | GetDeviceContext
pt | GetEnabled
pt | GetPopupMenu
pt | DoOnShowHint
pt | DoMouseWheel
pt | DoMouseWheelDown
pt | DoMouseWheelUp
pt | DoMouseWheelHorz
pt | DoMouseWheelLeft
pt | DoMouseWheelRight
pt | VisibleChanging
pt | VisibleChanged
pt | EnabledChanging
pt | EnabledChanged
pt | AddHandler
pt | RemoveHandler
pt | DoCallNotifyHandler
pt | DoCallKeyEventHandler
pt | DoCallMouseWheelEventHandler
pt | DoContextPopup
pt | SetZOrder
pt | GetControlClassDefaultSize
pt | ColorIsStored
pt | DoAutoAdjustLayout
pt | DoFixDesignFontPPI
pt | DoScaleFontPPI
pt | GetActionLinkClass
pt | ActionChange
 | DragDrop
 | Dock
 | ManualDock
 | ManualFloat
 | ReplaceDockedControl
 | Docked
 | Dragging
 | GetAccessibleObject
 | CreateAccessibleObject
 | GetSelectedChildAccessibleObject
 | GetChildAccessibleObjectAtPos
 | ScaleDesignToForm
 | ScaleFormToDesign
 | Scale96ToForm
 | ScaleFormTo96
 | Scale96ToFont
 | ScaleFontTo96
 | ScaleScreenToFont
 | ScaleFontToScreen
 | Scale96ToScreen
 | ScaleScreenTo96
 | AdjustSize
 | AutoSizePhases
 | AutoSizeDelayed
 | AutoSizeDelayedReport
 | AutoSizeDelayedHandle
 | AnchorToNeighbour
 | AnchorParallel
 | AnchorHorizontalCenterTo
 | AnchorVerticalCenterTo
 | AnchorToCompanion
 | AnchorSame
 | AnchorAsAlign
 | AnchorClient
 | AnchoredControlCount
 | SetBounds
 | SetInitialBounds
 | SetBoundsKeepBase
 | GetPreferredSize
 | GetCanvasScaleFactor
 | GetDefaultWidth
 | GetDefaultHeight
 | GetDefaultColor
 | GetColorResolvingParent
 | GetRGBColorResolvingParent
 | GetSidePosition
 | CNPreferredSizeChanged
 | InvalidatePreferredSize
 | GetAnchorsDependingOnParent
 | DisableAutoSizing
 | EnableAutoSizing
 | UpdateBaseBounds
 | WriteLayoutDebugReport
 | AutoAdjustLayout
 | ShouldAutoAdjust
 | FixDesignFontsPPI
 | ScaleFontsPPI
 | Create
 | Destroy
 | BeforeDestruction
 | EditingDone
 | ExecuteDefaultAction
 | ExecuteCancelAction
 | BeginDrag
 | EndDrag
 | BringToFront
 | HasParent
 | GetParentComponent
 | IsParentOf
 | GetTopParent
 | IsVisible
 | IsControlVisible
 | IsEnabled
 | IsParentColor
 | IsParentFont
 | FormIsUpdating
 | IsProcessingPaintMsg
 | Hide
 | Refresh
 | Repaint
 | Invalidate
 | CheckChildClassAllowed
 | CheckNewParent
 | SendToBack
 | SetTempCursor
 | UpdateRolesForForm
 | ActiveDefaultControlChanged
 | GetTextBuf
 | GetTextLen
 | SetTextBuf
 | Perform
 | ScreenToClient
 | ClientToScreen
 | ScreenToControl
 | ControlToScreen
 | ClientToParent
 | ParentToClient
 | GetChildrenRect
 | Show
 | Update
 | HandleObjectShouldBeVisible
 | ParentDestroyingHandle
 | ParentHandlesAllocated
 | InitiateAction
 | ShowHelp
 | HasHelp
 | RemoveAllHandlersOfObject
 | AddHandlerOnResize
 | RemoveHandlerOnResize
 | AddHandlerOnChangeBounds
 | RemoveHandlerOnChangeBounds
 | AddHandlerOnVisibleChanging
 | RemoveHandlerOnVisibleChanging
 | AddHandlerOnVisibleChanged
 | RemoveHandlerOnVisibleChanged
 | AddHandlerOnEnabledChanged
 | RemoveHandlerOnEnableChanging
 | AddHandlerOnKeyDown
 | RemoveHandlerOnKeyDown
 | AddHandlerOnBeforeDestruction
 | RemoveHandlerOnBeforeDestruction
 | AddHandlerOnMouseWheel
 | RemoveHandlerOnMouseWheel
 | UseRightToLeftAlignment
 | UseRightToLeftReading
 | UseRightToLeftScrollBar
 | IsRightToLeft
TLCLComponent
pt | WSRegisterClass
pt | GetWSComponentClass
 | Create
 | Destroy
 | NewInstance
 | RemoveAllHandlersOfObject
 | IncLCLRefCount
 | DecLCLRefCount
TComponent
 | GetComObject
 | GetComponent
 | GetComponentCount
 | GetComponentIndex
 | Insert
 | ReadLeft
 | ReadTop
 | Remove
 | RemoveNotification
 | SetComponentIndex
 | SetReference
 | WriteLeft
 | WriteTop
 | ChangeName
 | DefineProperties
 | GetChildren
 | GetChildOwner
 | GetChildParent
 | GetOwner
 | Loaded
 | Loading
 | Notification
 | PaletteCreated
 | ReadState
 | SetAncestor
 | SetDesigning
 | SetDesignInstance
 | SetInline
 | SetName
 | SetChildOrder
 | SetParentComponent
 | Updating
 | Updated
 | UpdateRegistry
 | ValidateRename
 | ValidateContainer
 | ValidateInsert
 | QueryInterface
 | _AddRef
 | _Release
 | iicrGetComponent
 | GetTypeInfoCount
 | GetTypeInfo
 | GetIDsOfNames
 | Invoke
 | WriteState
 | Create
 | Destroy
 | BeforeDestruction
 | DestroyComponents
 | Destroying
 | ExecuteAction
 | FindComponent
 | FreeNotification
 | RemoveFreeNotification
 | FreeOnRelease
 | GetEnumerator
 | GetNamePath
 | GetParentComponent
 | HasParent
 | InsertComponent
 | RemoveComponent
 | SafeCallException
 | SetSubComponent
 | UpdateAction
 | IsImplementorOf
 | ReferenceInterface
TPersistent
 | AssignError
 | AssignTo
 | DefineProperties
 | GetOwner
 | Destroy
 | Assign
 | FPOAttachObserver
 | FPODetachObserver
 | FPONotifyObservers
 | GetNamePath
TObject
 | Create
 | Destroy
 | newinstance
 | FreeInstance
 | SafeCallException
 | DefaultHandler
 | Free
 | InitInstance
 | CleanupInstance
 | ClassType
 | ClassInfo
 | ClassName
 | ClassNameIs
 | ClassParent
 | InstanceSize
 | InheritsFrom
 | StringMessageTable
 | MethodAddress
 | MethodName
 | FieldAddress
 | AfterConstruction
 | BeforeDestruction
 | DefaultHandlerStr
 | Dispatch
 | DispatchStr
 | GetInterface
 | GetInterfaceByStr
 | GetInterfaceWeak
 | GetInterfaceEntry
 | GetInterfaceEntryByStr
 | GetInterfaceTable
 | UnitName
 | Equals
 | GetHashCode
 | ToString


pt | ActionChange (TControl)
 | ActiveDefaultControlChanged (TControl)
 | AddControl (TWinControl)
pt | AddHandler (TControl)
 | AddHandlerOnBeforeDestruction (TControl)
 | AddHandlerOnChangeBounds (TControl)
 | AddHandlerOnEnabledChanged (TControl)
 | AddHandlerOnKeyDown (TControl)
 | AddHandlerOnMouseWheel (TControl)
 | AddHandlerOnResize (TControl)
 | AddHandlerOnVisibleChanged (TControl)
 | AddHandlerOnVisibleChanging (TControl)
pt | AdjustClientRect (TWinControl)
 | AdjustSize (TControl)
 | AfterConstruction (TObject)
pt | AlignControls (TWinControl)
pt | AllAutoSized (TWinControl)
 | AnchorAsAlign (TControl)
 | AnchorClient (TControl)
 | AnchoredControlCount (TControl)
 | AnchorHorizontalCenterTo (TControl)
 | AnchorParallel (TControl)
 | AnchorSame (TControl)
pt | AnchorSideChanged (TControl)
 | AnchorToCompanion (TControl)
 | AnchorToNeighbour (TControl)
 | AnchorVerticalCenterTo (TControl)
 | Assign (TPersistent)
 | AssignError (TPersistent)
 | AssignTo (TPersistent)
pt | AssignTo (TControl)
 | AutoAdjustLayout (TControl)
 | AutoAdjustLayout (TWinControl)
 | AutoSizeDelayed (TControl)
 | AutoSizeDelayed (TWinControl)
 | AutoSizeDelayedHandle (TControl)
 | AutoSizeDelayedHandle (TWinControl)
 | AutoSizeDelayedReport (TControl)
 | AutoSizeDelayedReport (TWinControl)
 | AutoSizePhases (TControl)
 | AutoSizePhases (TWinControl)
 | BeforeDestruction (TObject)
 | BeforeDestruction (TComponent)
 | BeforeDestruction (TControl)
pt | BeforeDragStart (TControl)
pt | BeginAutoDrag (TControl)
pt | BeginAutoSizing (TControl)
 | BeginDrag (TControl)
 | BeginUpdate (TStatusBar)
 | BeginUpdateBounds (TWinControl)
pt | BoundsChanged (TControl)
pt | BoundsChanged (TStatusBar)
 | BringToFront (TControl)
 | BroadCast (TWinControl)
 | BrushCreated (TWinControl)
pt | CalculateDockSizes (TControl)
pt | CalculatePreferredSize (TControl)
pt | CalculatePreferredSize (TWinControl)
pt | CalculatePreferredSize (TStatusBar)
pt | CanAutoSize (TControl)
 | CanFocus (TWinControl)
 | CanSetFocus (TWinControl)
pt | CanTab (TControl)
pt | CanTab (TWinControl)
pt | CaptureChanged (TControl)
pt | ChangeBounds (TControl)
pt | Changed (TControl)
 | ChangeName (TComponent)
pt | ChangeScale (TControl)
pt | ChangeScale (TWinControl)
 | CheckChildClassAllowed (TControl)
 | CheckNewParent (TControl)
pt | CheckOnChangeBounds (TControl)
pt | ChildClassAllowed (TControl)
pt | ChildClassAllowed (TWinControl)
pt | ChildHandlesCreated (TWinControl)
pt | ChildKey (TWinControl)
 | ClassInfo (TObject)
 | ClassName (TObject)
 | ClassNameIs (TObject)
 | ClassParent (TObject)
 | ClassType (TObject)
 | CleanupInstance (TObject)
pt | Click (TControl)
 | ClientRectNeedsInterfaceUpdate (TWinControl)
 | ClientToParent (TControl)
 | ClientToScreen (TControl)
pt | CMBiDiModeChanged (TControl)
pt | CMBiDiModeChanged (TWinControl)
pt | CMBorderChanged (TWinControl)
pt | CMChanged (TControl)
pt | CMCursorChanged (TControl)
pt | CMDoubleBufferedChanged (TWinControl)
pt | CMEnabledChanged (TControl)
pt | CMEnabledChanged (TWinControl)
pt | CMEnter (TWinControl)
pt | CMExit (TWinControl)
pt | CMHintShow (TControl)
pt | CMHitTest (TControl)
pt | CMMouseEnter (TControl)
pt | CMMouseLeave (TControl)
pt | CMParentBiDiModeChanged (TControl)
pt | CMParentColorChanged (TControl)
pt | CMParentDoubleBufferedChanged (TWinControl)
pt | CMParentFontChanged (TControl)
pt | CMParentShowHintChanged (TControl)
pt | CMShowHintChanged (TWinControl)
pt | CMShowingChanged (TWinControl)
pt | CMSysFontChanged (TControl)
pt | CMTextChanged (TControl)
pt | CMVisibleChanged (TControl)
pt | CMVisibleChanged (TWinControl)
pt | CNChar (TWinControl)
pt | CNKeyDown (TWinControl)
pt | CNKeyUp (TWinControl)
 | CNPreferredSizeChanged (TControl)
pt | CNSysKeyDown (TWinControl)
pt | CNSysKeyUp (TWinControl)
pt | ColorIsStored (TControl)
pt | ConstrainedResize (TControl)
 | ContainsControl (TWinControl)
 | ControlAtPos (TWinControl)
pt | ControlKeyDown (TWinControl)
pt | ControlKeyUp (TWinControl)
pt | ControlsAligned (TWinControl)
 | ControlToScreen (TControl)
 | Create (TObject)
 | Create (TComponent)
 | Create (TLCLComponent)
 | Create (TControl)
 | Create (TWinControl)
 | Create (TStatusBar)
 | CreateAccessibleObject (TControl)
pt | CreateBrush (TWinControl)
pt | CreateControlBorderSpacing (TControl)
pt | CreateDockManager (TWinControl)
pt | CreateFloatingDockSite (TControl)
pt | CreateHandle (TWinControl)
pt | CreatePanel (TStatusBar)
pt | CreatePanels (TStatusBar)
pt | CreateParams (TWinControl)
 | CreateParented (TWinControl)
 | CreateParentedControl (TWinControl)
pt | CreateSubClass (TWinControl)
pt | CreateWnd (TWinControl)
pt | CreateWnd (TStatusBar)
pt | CustomAlignInsertBefore (TWinControl)
pt | CustomAlignPosition (TWinControl)
pt | DblClick (TControl)
 | DecLCLRefCount (TLCLComponent)
 | DefaultHandler (TObject)
 | DefaultHandler (TWinControl)
 | DefaultHandlerStr (TObject)
 | DefineProperties (TPersistent)
 | DefineProperties (TComponent)
pt | DefineProperties (TControl)
 | Destroy (TObject)
 | Destroy (TPersistent)
 | Destroy (TComponent)
 | Destroy (TLCLComponent)
 | Destroy (TControl)
 | Destroy (TWinControl)
 | Destroy (TStatusBar)
 | DestroyComponents (TComponent)
pt | DestroyHandle (TWinControl)
 | Destroying (TComponent)
pt | DestroyWnd (TWinControl)
pt | DestroyWnd (TStatusBar)
pt | DialogChar (TControl)
pt | DialogChar (TWinControl)
 | DisableAlign (TWinControl)
 | DisableAutoSizing (TControl)
 | Dispatch (TObject)
 | DispatchStr (TObject)
pt | DoAddDockClient (TWinControl)
 | DoAdjustClientRectChange (TWinControl)
pt | DoAlignChildControls (TWinControl)
pt | DoAllAutoSize (TControl)
pt | DoAllAutoSize (TWinControl)
pt | DoAutoAdjustLayout (TControl)
pt | DoAutoAdjustLayout (TStatusBar)
pt | DoAutoSize (TControl)
pt | DoAutoSize (TWinControl)
pt | DoBorderSpacingChange (TControl)
pt | DoCallKeyEventHandler (TControl)
pt | DoCallMouseWheelEventHandler (TControl)
pt | DoCallNotifyHandler (TControl)
pt | DoChildSizingChange (TWinControl)
 | Dock (TControl)
 | DockDrop (TWinControl)
 | Docked (TControl)
pt | DockOver (TWinControl)
pt | DockTrackNoTarget (TControl)
pt | DoConstraintsChange (TControl)
pt | DoConstraintsChange (TWinControl)
pt | DoContextPopup (TControl)
pt | DoDock (TControl)
pt | DoDockClientMsg (TWinControl)
pt | DoDockOver (TWinControl)
pt | DoDragMsg (TControl)
pt | DoDragMsg (TWinControl)
pt | DoEndDock (TControl)
pt | DoEndDrag (TControl)
pt | DoEnter (TWinControl)
pt | DoExit (TWinControl)
pt | DoFixDesignFontPPI (TControl)
pt | DoFlipChildren (TWinControl)
pt | DoFloatMsg (TControl)
pt | DoFloatMsg (TWinControl)
pt | DoGetDockCaption (TWinControl)
pt | DoHint (TStatusBar)
pt | DoKeyDownBeforeInterface (TWinControl)
pt | DoKeyPress (TWinControl)
pt | DoKeyUpBeforeInterface (TWinControl)
pt | DoMouseWheel (TControl)
pt | DoMouseWheelDown (TControl)
pt | DoMouseWheelHorz (TControl)
pt | DoMouseWheelLeft (TControl)
pt | DoMouseWheelRight (TControl)
pt | DoMouseWheelUp (TControl)
pt | DoOnChangeBounds (TControl)
pt | DoOnParentHandleDestruction (TControl)
pt | DoOnResize (TControl)
pt | DoOnShowHint (TControl)
pt | DoRemainingKeyDown (TWinControl)
pt | DoRemainingKeyUp (TWinControl)
pt | DoRemoveDockClient (TWinControl)
pt | DoScaleFontPPI (TControl)
pt | DoSendBoundsToInterface (TWinControl)
pt | DoSendShowHideToInterface (TWinControl)
pt | DoSetApplicationHint (TStatusBar)
pt | DoSetBounds (TControl)
pt | DoSetBounds (TWinControl)
pt | DoStartDock (TControl)
pt | DoStartDrag (TControl)
pt | DoUnDock (TWinControl)
pt | DoUndockClientMsg (TWinControl)
pt | DoUTF8KeyPress (TWinControl)
pt | DragCanceled (TControl)
 | DragDrop (TControl)
 | Dragging (TControl)
pt | DragOver (TControl)
pt | DrawPanel (TStatusBar)
 | EditingDone (TControl)
 | EnableAlign (TWinControl)
 | EnableAutoSizing (TControl)
pt | EnabledChanged (TControl)
pt | EnabledChanging (TControl)
pt | EndAutoSizing (TControl)
 | EndDrag (TControl)
 | EndUpdate (TStatusBar)
 | EndUpdateBounds (TWinControl)
 | Equals (TObject)
 | EraseBackground (TWinControl)
 | ExecuteAction (TComponent)
 | ExecuteAction (TStatusBar)
 | ExecuteCancelAction (TControl)
 | ExecuteDefaultAction (TControl)
 | FieldAddress (TObject)
pt | FinalizeWnd (TWinControl)
 | FindChildControl (TWinControl)
 | FindComponent (TComponent)
pt | FindNextControl (TWinControl)
 | FixDesignFontsPPI (TControl)
pt | FixupTabList (TWinControl)
 | FlipChildren (TWinControl)
 | Focused (TWinControl)
pt | FontChanged (TControl)
pt | FontChanged (TWinControl)
pt | ForeignAnchorSideChanged (TControl)
pt | FormEndUpdated (TControl)
pt | FormEndUpdated (TWinControl)
 | FormIsUpdating (TControl)
 | FPOAttachObserver (TPersistent)
 | FPODetachObserver (TPersistent)
 | FPONotifyObservers (TPersistent)
 | Free (TObject)
 | FreeInstance (TObject)
 | FreeNotification (TComponent)
 | FreeOnRelease (TComponent)
 | GetAccessibleObject (TControl)
pt | GetAction (TControl)
pt | GetActionLinkClass (TControl)
pt | GetAdjustedLogicalClientRect (TWinControl)
 | GetAnchorsDependingOnParent (TControl)
pt | GetBorderStyle (TWinControl)
pt | GetCachedText (TControl)
 | GetCanvasScaleFactor (TControl)
 | GetChildAccessibleObjectAtPos (TControl)
 | GetChildOwner (TComponent)
 | GetChildParent (TComponent)
 | GetChildren (TComponent)
pt | GetChildren (TWinControl)
 | GetChildrenRect (TControl)
 | GetChildrenRect (TWinControl)
pt | GetClientOrigin (TControl)
pt | GetClientOrigin (TWinControl)
pt | GetClientRect (TControl)
pt | GetClientRect (TWinControl)
pt | GetClientScrollOffset (TControl)
 | GetColorResolvingParent (TControl)
 | GetComObject (TComponent)
 | GetComponent (TComponent)
 | GetComponentCount (TComponent)
 | GetComponentIndex (TComponent)
pt | GetControlClassDefaultSize (TControl)
 | GetControlIndex (TWinControl)
pt | GetControlOrigin (TControl)
pt | GetControlOrigin (TWinControl)
pt | GetCursor (TControl)
 | GetDefaultColor (TControl)
pt | GetDefaultDockCaption (TControl)
 | GetDefaultHeight (TControl)
 | GetDefaultWidth (TControl)
pt | GetDeviceContext (TControl)
pt | GetDeviceContext (TWinControl)
 | GetDockCaption (TWinControl)
pt | GetDockEdge (TControl)
pt | GetDragImages (TControl)
pt | GetEnabled (TControl)
 | GetEnumerator (TComponent)
 | GetEnumeratorControls (TWinControl)
 | GetEnumeratorControlsReverse (TWinControl)
pt | GetFloating (TControl)
pt | GetFloatingDockSiteClass (TControl)
 | GetHashCode (TObject)
 | GetIDsOfNames (TComponent)
 | GetInterface (TObject)
 | GetInterfaceByStr (TObject)
 | GetInterfaceEntry (TObject)
 | GetInterfaceEntryByStr (TObject)
 | GetInterfaceTable (TObject)
 | GetInterfaceWeak (TObject)
pt | GetLogicalClientRect (TControl)
pt | GetMouseCapture (TControl)
pt | GetMouseCapture (TWinControl)
pt | GetMousePosFromMessage (TControl)
 | GetNamePath (TPersistent)
 | GetNamePath (TComponent)
 | GetOwner (TPersistent)
 | GetOwner (TComponent)
pt | GetPalette (TControl)
pt | GetPanelClass (TStatusBar)
 | GetPanelIndexAt (TStatusBar)
pt | GetParentBackground (TWinControl)
 | GetParentComponent (TComponent)
 | GetParentComponent (TControl)
pt | GetParentHandle (TWinControl)
pt | GetPopupMenu (TControl)
 | GetPreferredSize (TControl)
pt | GetPreferredSizeClientFrame (TWinControl)
 | GetRGBColorResolvingParent (TControl)
pt | GetScrolledClientRect (TControl)
 | GetSelectedChildAccessibleObject (TControl)
 | GetSidePosition (TControl)
pt | GetSiteInfo (TWinControl)
 | GetTabOrderList (TWinControl)
 | GetTextBuf (TControl)
 | GetTextLen (TControl)
 | GetTextLen (TWinControl)
 | GetTopParent (TControl)
pt | GetTopParentHandle (TWinControl)
 | GetTypeInfo (TComponent)
 | GetTypeInfoCount (TComponent)
pt | GetWSComponentClass (TLCLComponent)
 | HandleAllocated (TWinControl)
 | HandleNeeded (TWinControl)
 | HandleObjectShouldBeVisible (TControl)
 | HasHelp (TControl)
 | HasParent (TComponent)
 | HasParent (TControl)
pt | HeightIsAnchored (TControl)
 | Hide (TControl)
 | iicrGetComponent (TComponent)
 | IncLCLRefCount (TLCLComponent)
 | InheritsFrom (TObject)
pt | InitializeWnd (TWinControl)
 | InitiateAction (TControl)
 | InitInstance (TObject)
 | Insert (TComponent)
 | InsertComponent (TComponent)
 | InsertControl (TWinControl)
 | InstanceSize (TObject)
 | IntfGetDropFilesTarget (TWinControl)
 | IntfUTF8KeyPress (TWinControl)
 | Invalidate (TControl)
 | Invalidate (TWinControl)
pt | InvalidateBoundsRealized (TWinControl)
 | InvalidateClientRectCache (TWinControl)
pt | InvalidateControl (TControl)
 | InvalidatePanel (TStatusBar)
pt | InvalidatePreferredChildSizes (TWinControl)
 | InvalidatePreferredSize (TControl)
 | Invoke (TComponent)
pt | IsAParentAligning (TControl)
pt | IsBorderSpacingInnerBorderStored (TControl)
pt | IsCaptionStored (TControl)
pt | IsClientHeightStored (TControl)
pt | IsClientHeightStored (TWinControl)
pt | IsClientWidthStored (TControl)
pt | IsClientWidthStored (TWinControl)
pt | IsControlMouseMsg (TWinControl)
 | IsControlVisible (TControl)
 | IsEnabled (TControl)
 | IsImplementorOf (TComponent)
 | IsParentColor (TControl)
 | IsParentFont (TControl)
 | IsParentOf (TControl)
 | IsProcessingPaintMsg (TControl)
 | IsRightToLeft (TControl)
 | IsVisible (TControl)
pt | KeyDown (TWinControl)
pt | KeyDownAfterInterface (TWinControl)
pt | KeyDownBeforeInterface (TWinControl)
pt | KeyPress (TWinControl)
pt | KeyUp (TWinControl)
pt | KeyUpAfterInterface (TWinControl)
pt | KeyUpBeforeInterface (TWinControl)
pt | LMCaptureChanged (TControl)
pt | LMDrawItem (TStatusBar)
 | Loaded (TComponent)
pt | Loaded (TControl)
pt | Loaded (TWinControl)
pt | Loaded (TStatusBar)
pt | LoadedAll (TControl)
 | Loading (TComponent)
 | LockRealizeBounds (TWinControl)
pt | MainWndProc (TWinControl)
 | ManualDock (TControl)
 | ManualFloat (TControl)
 | MethodAddress (TObject)
 | MethodName (TObject)
pt | MouseDown (TControl)
pt | MouseEnter (TControl)
pt | MouseLeave (TControl)
pt | MouseMove (TControl)
pt | MouseUp (TControl)
 | newinstance (TObject)
 | NewInstance (TLCLComponent)
 | Notification (TComponent)
pt | Notification (TControl)
 | NotifyControls (TWinControl)
pt | PaintControls (TWinControl)
pt | PaintHandler (TWinControl)
 | PaintTo (TWinControl)
pt | PaintWindow (TWinControl)
 | PaletteCreated (TComponent)
 | ParentDestroyingHandle (TControl)
pt | ParentFontChanged (TControl)
pt | ParentFormHandleInitialized (TControl)
pt | ParentFormHandleInitialized (TWinControl)
 | ParentHandlesAllocated (TControl)
 | ParentHandlesAllocated (TWinControl)
 | ParentToClient (TControl)
 | Perform (TControl)
 | PerformTab (TWinControl)
pt | PositionDockRect (TControl)
pt | QuadClick (TControl)
 | QueryInterface (TComponent)
 | ReadLeft (TComponent)
 | ReadState (TComponent)
pt | ReadState (TControl)
 | ReadTop (TComponent)
pt | RealGetText (TControl)
pt | RealGetText (TWinControl)
 | ReAlign (TWinControl)
pt | RealizeBounds (TWinControl)
pt | RealizeBoundsRecursive (TWinControl)
pt | RealSetText (TControl)
pt | RealSetText (TWinControl)
 | ReferenceInterface (TComponent)
 | Refresh (TControl)
pt | ReloadDockedControl (TWinControl)
 | Remove (TComponent)
 | RemoveAllHandlersOfObject (TLCLComponent)
 | RemoveAllHandlersOfObject (TControl)
 | RemoveComponent (TComponent)
 | RemoveControl (TWinControl)
pt | RemoveFocus (TWinControl)
 | RemoveFreeNotification (TComponent)
pt | RemoveHandler (TControl)
 | RemoveHandlerOnBeforeDestruction (TControl)
 | RemoveHandlerOnChangeBounds (TControl)
 | RemoveHandlerOnEnableChanging (TControl)
 | RemoveHandlerOnKeyDown (TControl)
 | RemoveHandlerOnMouseWheel (TControl)
 | RemoveHandlerOnResize (TControl)
 | RemoveHandlerOnVisibleChanged (TControl)
 | RemoveHandlerOnVisibleChanging (TControl)
 | RemoveNotification (TComponent)
 | Repaint (TControl)
 | Repaint (TWinControl)
 | ReplaceDockedControl (TControl)
pt | RequestAlign (TControl)
pt | Resize (TControl)
 | SafeCallException (TObject)
 | SafeCallException (TComponent)
 | Scale96ToFont (TControl)
 | Scale96ToForm (TControl)
 | Scale96ToScreen (TControl)
 | ScaleBy (TWinControl)
pt | ScaleConstraints (TControl)
pt | ScaleControls (TWinControl)
 | ScaleDesignToForm (TControl)
 | ScaleFontsPPI (TControl)
 | ScaleFontTo96 (TControl)
 | ScaleFontToScreen (TControl)
 | ScaleFormTo96 (TControl)
 | ScaleFormToDesign (TControl)
 | ScaleScreenTo96 (TControl)
 | ScaleScreenToFont (TControl)
 | ScreenToClient (TControl)
 | ScreenToControl (TControl)
 | ScrollBy (TWinControl)
 | ScrollBy_WS (TWinControl)
pt | SelectFirst (TWinControl)
 | SelectNext (TWinControl)
pt | SendDialogChar (TWinControl)
pt | SendMoveSizeMessages (TControl)
pt | SendMoveSizeMessages (TWinControl)
 | SendToBack (TControl)
pt | SetAction (TControl)
pt | SetAlign (TControl)
 | SetAncestor (TComponent)
pt | SetAnchors (TControl)
pt | SetAutoSize (TControl)
pt | SetBiDiMode (TControl)
pt | SetBiDiMode (TStatusBar)
pt | SetBorderStyle (TWinControl)
 | SetBounds (TControl)
 | SetBounds (TWinControl)
 | SetBoundsKeepBase (TControl)
 | SetChildOrder (TComponent)
pt | SetChildZPosition (TWinControl)
pt | SetColor (TControl)
pt | SetColor (TWinControl)
 | SetComponentIndex (TComponent)
 | SetControlIndex (TWinControl)
pt | SetCursor (TControl)
 | SetDesigning (TComponent)
 | SetDesignInstance (TComponent)
pt | SetDockManager (TWinControl)
pt | SetDragMode (TControl)
pt | SetEnabled (TControl)
 | SetFocus (TWinControl)
pt | SetHint (TControl)
 | SetInitialBounds (TControl)
 | SetInline (TComponent)
 | SetName (TComponent)
pt | SetName (TControl)
pt | SetParent (TControl)
pt | SetParentBackground (TWinControl)
pt | SetParentBiDiMode (TControl)
 | SetParentComponent (TComponent)
pt | SetParentComponent (TControl)
 | SetReference (TComponent)
 | SetShape (TWinControl)
 | SetSubComponent (TComponent)
 | SetTempCursor (TControl)
 | SetTempCursor (TWinControl)
 | SetTextBuf (TControl)
pt | SetVisible (TControl)
pt | SetZOrder (TControl)
 | ShouldAutoAdjust (TControl)
 | Show (TControl)
pt | ShowControl (TWinControl)
 | ShowHelp (TControl)
 | SizeGripEnabled (TStatusBar)
 | StringMessageTable (TObject)
pt | TextChanged (TControl)
 | ToString (TObject)
pt | TripleClick (TControl)
 | UnitName (TObject)
 | UnlockRealizeBounds (TWinControl)
 | Update (TControl)
 | Update (TWinControl)
 | UpdateAction (TComponent)
pt | UpdateAnchorRules (TControl)
 | UpdateBaseBounds (TControl)
pt | UpdateControlState (TWinControl)
 | Updated (TComponent)
 | UpdateDockCaption (TWinControl)
pt | UpdateHandleObject (TStatusBar)
pt | UpdateMouseCursor (TControl)
 | UpdateRegistry (TComponent)
 | UpdateRolesForForm (TControl)
pt | UpdateShowing (TWinControl)
 | Updating (TComponent)
 | UpdatingStatusBar (TStatusBar)
 | UseRightToLeftAlignment (TControl)
 | UseRightToLeftReading (TControl)
 | UseRightToLeftScrollBar (TControl)
pt | UTF8KeyPress (TWinControl)
 | ValidateContainer (TComponent)
 | ValidateInsert (TComponent)
 | ValidateRename (TComponent)
pt | VisibleChanged (TControl)
pt | VisibleChanging (TControl)
pt | WidthIsAnchored (TControl)
pt | WMCancelMode (TControl)
pt | WMChar (TWinControl)
pt | WMContextMenu (TControl)
pt | WMContextMenu (TWinControl)
pt | WMDestroy (TWinControl)
pt | WMEnter (TWinControl)
pt | WMEraseBkgnd (TWinControl)
pt | WMExit (TWinControl)
pt | WMKeyDown (TWinControl)
pt | WMKeyUp (TWinControl)
pt | WMKillFocus (TWinControl)
pt | WMLButtonDBLCLK (TControl)
pt | WMLButtonDown (TControl)
pt | WMLButtonQuadCLK (TControl)
pt | WMLButtonTripleCLK (TControl)
pt | WMLButtonUp (TControl)
pt | WMMButtonDBLCLK (TControl)
pt | WMMButtonDown (TControl)
pt | WMMButtonQuadCLK (TControl)
pt | WMMButtonTripleCLK (TControl)
pt | WMMButtonUp (TControl)
pt | WMMouseHWheel (TControl)
pt | WMMouseMove (TControl)
pt | WMMouseWheel (TControl)
pt | WMMove (TControl)
pt | WMMove (TWinControl)
pt | WMNotify (TWinControl)
pt | WMPaint (TWinControl)
pt | WMRButtonDBLCLK (TControl)
pt | WMRButtonDown (TControl)
pt | WMRButtonQuadCLK (TControl)
pt | WMRButtonTripleCLK (TControl)
pt | WMRButtonUp (TControl)
pt | WMSetFocus (TWinControl)
pt | WMShowWindow (TWinControl)
pt | WMSize (TControl)
pt | WMSize (TWinControl)
pt | WMSysChar (TWinControl)
pt | WMSysKeyDown (TWinControl)
pt | WMSysKeyUp (TWinControl)
pt | WMWindowPosChanged (TControl)
pt | WMWindowPosChanged (TWinControl)
pt | WMXButtonDBLCLK (TControl)
pt | WMXButtonDown (TControl)
pt | WMXButtonQuadCLK (TControl)
pt | WMXButtonTripleCLK (TControl)
pt | WMXButtonUp (TControl)
pt | WndProc (TControl)
pt | WndProc (TWinControl)
 | WriteLayoutDebugReport (TControl)
 | WriteLayoutDebugReport (TWinControl)
 | WriteLeft (TComponent)
 | WriteState (TComponent)
 | WriteTop (TComponent)
pt | WSRegisterClass (TLCLComponent)
pt | WSRegisterClass (TControl)
pt | WSRegisterClass (TWinControl)
pt | WSRegisterClass (TStatusBar)
pt | WSSetText (TWinControl)
 | _AddRef (TComponent)
 | _Release (TComponent)


TStatusBar
pl | ro | OnClick
pl | ro | OnContextPopup
pl |  | OnCreatePanelClass
pl | ro | OnDblClick
pl | ro | OnDragDrop
pl | ro | OnDragOver
pl |  | OnDrawPanel
pl | ro | OnEndDock
pl | ro | OnEndDrag
pl |  | OnHint
pl | ro | OnMouseDown
pl | ro | OnMouseEnter
pl | ro | OnMouseLeave
pl | ro | OnMouseMove
pl | ro | OnMouseUp
pl | ro | OnMouseWheel
pl | ro | OnMouseWheelDown
pl | ro | OnMouseWheelUp
pl | ro | OnResize
pl | ro | OnStartDock
pl | ro | OnStartDrag
TWinControl
pt |  | OnGetSiteInfo
pt |  | OnGetDockCaption
 |  | OnAlignInsertBefore
 |  | OnAlignPosition
 |  | OnDockDrop
 |  | OnDockOver
 |  | OnEnter
 |  | OnExit
 |  | OnKeyDown
 |  | OnKeyPress
 |  | OnKeyUp
 |  | OnUnDock
 |  | OnUTF8KeyPress
TControl
pt |  | OnConstrainedResize
pt |  | OnContextPopup
pt |  | OnDblClick
pt |  | OnTripleClick
pt |  | OnQuadClick
pt |  | OnDragDrop
pt |  | OnDragOver
pt |  | OnEndDock
pt |  | OnEndDrag
pt |  | OnMouseDown
pt |  | OnMouseMove
pt |  | OnMouseUp
pt |  | OnMouseEnter
pt |  | OnMouseLeave
pt |  | OnMouseWheel
pt |  | OnMouseWheelDown
pt |  | OnMouseWheelUp
pt |  | OnMouseWheelHorz
pt |  | OnMouseWheelLeft
pt |  | OnMouseWheelRight
pt |  | OnStartDock
pt |  | OnStartDrag
pt |  | OnEditingDone
 |  | OnChangeBounds
 |  | OnClick
 |  | OnResize
 |  | OnShowHint
TLCLComponent
TComponent
TPersistent
TObject


 |  | OnAlignInsertBefore (TWinControl)
 |  | OnAlignPosition (TWinControl)
 |  | OnChangeBounds (TControl)
 |  | OnClick (TControl)
pl | ro | OnClick (TStatusBar)
pt |  | OnConstrainedResize (TControl)
pt |  | OnContextPopup (TControl)
pl | ro | OnContextPopup (TStatusBar)
pl |  | OnCreatePanelClass (TStatusBar)
pt |  | OnDblClick (TControl)
pl | ro | OnDblClick (TStatusBar)
 |  | OnDockDrop (TWinControl)
 |  | OnDockOver (TWinControl)
pt |  | OnDragDrop (TControl)
pl | ro | OnDragDrop (TStatusBar)
pt |  | OnDragOver (TControl)
pl | ro | OnDragOver (TStatusBar)
pl |  | OnDrawPanel (TStatusBar)
pt |  | OnEditingDone (TControl)
pt |  | OnEndDock (TControl)
pl | ro | OnEndDock (TStatusBar)
pt |  | OnEndDrag (TControl)
pl | ro | OnEndDrag (TStatusBar)
 |  | OnEnter (TWinControl)
 |  | OnExit (TWinControl)
pt |  | OnGetDockCaption (TWinControl)
pt |  | OnGetSiteInfo (TWinControl)
pl |  | OnHint (TStatusBar)
 |  | OnKeyDown (TWinControl)
 |  | OnKeyPress (TWinControl)
 |  | OnKeyUp (TWinControl)
pt |  | OnMouseDown (TControl)
pl | ro | OnMouseDown (TStatusBar)
pt |  | OnMouseEnter (TControl)
pl | ro | OnMouseEnter (TStatusBar)
pt |  | OnMouseLeave (TControl)
pl | ro | OnMouseLeave (TStatusBar)
pt |  | OnMouseMove (TControl)
pl | ro | OnMouseMove (TStatusBar)
pt |  | OnMouseUp (TControl)
pl | ro | OnMouseUp (TStatusBar)
pt |  | OnMouseWheel (TControl)
pl | ro | OnMouseWheel (TStatusBar)
pt |  | OnMouseWheelDown (TControl)
pl | ro | OnMouseWheelDown (TStatusBar)
pt |  | OnMouseWheelHorz (TControl)
pt |  | OnMouseWheelLeft (TControl)
pt |  | OnMouseWheelRight (TControl)
pt |  | OnMouseWheelUp (TControl)
pl | ro | OnMouseWheelUp (TStatusBar)
pt |  | OnQuadClick (TControl)
 |  | OnResize (TControl)
pl | ro | OnResize (TStatusBar)
 |  | OnShowHint (TControl)
pt |  | OnStartDock (TControl)
pl | ro | OnStartDock (TStatusBar)
pt |  | OnStartDrag (TControl)
pl | ro | OnStartDrag (TStatusBar)
pt |  | OnTripleClick (TControl)
 |  | OnUnDock (TWinControl)
 |  | OnUTF8KeyPress (TWinControl)


TStatusBar.AutoHint

AutoHint - if True, a hint is automatically shown when mouse hovers over status bar. Default False

Declaration

Source position: comctrls.pp line 179

published property TStatusBar.AutoHint : Boolean
  read FAutoHint
  write FAutoHint
  default False;


TStatusBar.AutoSize

TStatusBar default is True

Declaration

Source position: comctrls.pp line 180

published property TStatusBar.AutoSize : Boolean
  default True;


TStatusBar.BeginUpdate

BeginUpdate - starts the update process

Declaration

Source position: comctrls.pp line 168

public procedure TStatusBar.BeginUpdate;


TStatusBar.BiDiMode

Declaration

Source position: comctrls.pp line 181

published property TStatusBar.BiDiMode : TBiDiMode;


TStatusBar.BorderSpacing

Declaration

Source position: comctrls.pp line 182

published property TStatusBar.BorderSpacing : TControlBorderSpacing;


TStatusBar.CalculatePreferredSize

CalculatePreferredSize calls inherited method then supplies its own values if any are missing

Declaration

Source position: comctrls.pp line 147

protected procedure TStatusBar.CalculatePreferredSize(

  var PreferredWidth: Integer;

  var PreferredHeight: Integer;

  WithThemeSpace: Boolean

); override;

See also

TControl.CalculatePreferredSize

Override this method to return the preferred height and width.


TStatusBar.Canvas

The Canvas where the Panels of the StatusBar are to be Painted

Declaration

Source position: comctrls.pp line 174

public property TStatusBar.Canvas : TCanvas
  read FCanvas;


TStatusBar.Create

Create - constructor for TStatusBar: calls inherited Create and initialises a number of local variables

Declaration

Source position: comctrls.pp line 165

public constructor TStatusBar.Create(

  TheOwner: TComponent

); override;

Description

Create - constructor for TStatusBar: calls inherited Create and initialises a number of local variables

Among the variables initialised are:

AutoHint (False), Canvas, ControlStyle, Colour, Align, AutoSize, and SimplePanel (True)

See also

TComponent.Create

TWinControl.Create


TStatusBar.CreatePanel

CreatePanel - returns a created Status Panel

Declaration

Source position: comctrls.pp line 153

protected function TStatusBar.CreatePanel: TStatusPanel; virtual;


TStatusBar.CreatePanels

CreatePanels - returns a set of created panels

Declaration

Source position: comctrls.pp line 154

protected function TStatusBar.CreatePanels: TStatusPanels; virtual;


TStatusBar.CreateWnd

CreateWnd calls inherited method, then fixes handles if needed

Declaration

Source position: comctrls.pp line 143

protected procedure TStatusBar.CreateWnd; override;

See also

TWinControl.CreateWnd

Creates the interface object (widget) and assigns it to Handle.


TStatusBar.Destroy

Destroy - destructor for TStatusBar: frees canvas and panels, then calls inherited Destroy

Declaration

Source position: comctrls.pp line 166

public destructor TStatusBar.Destroy; override;

See also

TComponent.Destroy

TWinControl.Destroy


TStatusBar.DestroyWnd

DestroyWnd calls inherited method and frees handles

Declaration

Source position: comctrls.pp line 144

protected procedure TStatusBar.DestroyWnd; override;

See also

TWinControl.DestroyWnd

Destroys the interface object (widget).


TStatusBar.DoAutoAdjustLayout

Declaration

Source position: comctrls.pp line 162

protected procedure TStatusBar.DoAutoAdjustLayout(

  const AMode: TLayoutAdjustmentPolicy;

  const AXProportion: Double;

  const AYProportion: Double

); override;


TStatusBar.DoHint

DoHint - shows the hint and returns True if successful (uses OnHint event handler)

Declaration

Source position: comctrls.pp line 158

protected function TStatusBar.DoHint: Boolean; virtual;


TStatusBar.DoSetApplicationHint

DoSetApplicationHint - specifies a hint string and returns True if successful

Declaration

Source position: comctrls.pp line 157

protected function TStatusBar.DoSetApplicationHint(

  AHintStr: string

):Boolean; virtual;


TStatusBar.DrawPanel

DrawPanel calls the OnDrawPanel event handler if assigned

Declaration

Source position: comctrls.pp line 159

protected procedure TStatusBar.DrawPanel(

  Panel: TStatusPanel;

  const Rect: TRect

); virtual;


TStatusBar.EndUpdate

EndUpdate - finishes the update process

Declaration

Source position: comctrls.pp line 169

public procedure TStatusBar.EndUpdate;


TStatusBar.ExecuteAction

ExecuteAction: if required action is a Hint-related, sets the Hint in place, otherwise calls inherited method

Declaration

Source position: comctrls.pp line 170

public function TStatusBar.ExecuteAction(

  ExeAction: TBasicAction

):Boolean; override;

See also

TComponent.ExecuteAction


TStatusBar.Font

Declaration

Source position: comctrls.pp line 190

published property TStatusBar.Font : TFont;


TStatusBar.GetPanelClass

GetPanelClass - returns a class of status panel

Declaration

Source position: comctrls.pp line 155

protected function TStatusBar.GetPanelClass: TStatusPanelClass; virtual;


TStatusBar.GetPanelIndexAt

Declaration

Source position: comctrls.pp line 171

public function TStatusBar.GetPanelIndexAt(

  X: Integer;

  Y: Integer

):Integer;


TStatusBar.InvalidatePanel

InvalidatePanel - renders the panel with specified index non-valid

Declaration

Source position: comctrls.pp line 167

public procedure TStatusBar.InvalidatePanel(

  PanelIndex: Integer;

  PanelParts: TPanelParts

); virtual;


TStatusBar.LMDrawItem

LMDrawItem - LCL message handler for drawing the item on the current canvas

Declaration

Source position: comctrls.pp line 160

protected procedure TStatusBar.LMDrawItem(

  var Message: TLMDrawItems

); message;


TStatusBar.Loaded

Loaded calls inherited method and fixes handles if needed

Declaration

Source position: comctrls.pp line 145

protected procedure TStatusBar.Loaded; override;

See also

TWinControl.Loaded

Called when the control has been loaded from a resource, transfers the loaded property values to the widget.


TStatusBar.OnCreatePanelClass

Event handler for creating a StatusBar Panel class

Declaration

Source position: comctrls.pp line 205

published property TStatusBar.OnCreatePanelClass : TSBCreatePanelClassEvent
  read FOnCreatePanelClass
  write FOnCreatePanelClass;


TStatusBar.OnDrawPanel

Declaration

Source position: comctrls.pp line 209

published property TStatusBar.OnDrawPanel : TDrawPanelEvent
  read FOnDrawPanel
  write FOnDrawPanel;


TStatusBar.OnHint

Event handler for showing a hint when required

Declaration

Source position: comctrls.pp line 212

published property TStatusBar.OnHint : TNotifyEvent
  read FOnHint
  write FOnHint;


TStatusBar.OnMouseEnter

Declaration

Source position: comctrls.pp line 214

published property TStatusBar.OnMouseEnter : TNotifyEvent;


TStatusBar.OnMouseLeave

Declaration

Source position: comctrls.pp line 215

published property TStatusBar.OnMouseLeave : TNotifyEvent;


TStatusBar.OnMouseWheel

Declaration

Source position: comctrls.pp line 218

published property TStatusBar.OnMouseWheel : TMouseWheelEvent;


TStatusBar.OnMouseWheelDown

Declaration

Source position: comctrls.pp line 219

published property TStatusBar.OnMouseWheelDown : TMouseWheelUpDownEvent;


TStatusBar.OnMouseWheelUp

Declaration

Source position: comctrls.pp line 220

published property TStatusBar.OnMouseWheelUp : TMouseWheelUpDownEvent;


TStatusBar.Panels

Panels - the list of strings to be placed in the sub-panels of TStatusBar

Declaration

Source position: comctrls.pp line 191

published property TStatusBar.Panels : TStatusPanels
  read FPanels
  write SetPanels;

Description

If SimplePanel is false, the contents of Panels is displayed.

Contents can be adjusted with a stringlist editor that pops up when the ellipsis (...) next to Panels in the Object Inspector is selected and allows insertion of an arbitrary number of sub-panels with their own strings


TStatusBar.ParentBiDiMode

Declaration

Source position: comctrls.pp line 192

published property TStatusBar.ParentBiDiMode : Boolean;


TStatusBar.ParentColor

Declaration

Source position: comctrls.pp line 193

published property TStatusBar.ParentColor : Boolean;


TStatusBar.ParentFont

Declaration

Source position: comctrls.pp line 194

published property TStatusBar.ParentFont : Boolean;


TStatusBar.PopupMenu

Declaration

Source position: comctrls.pp line 196

published property TStatusBar.PopupMenu : TPopupMenu;


TStatusBar.SetBiDiMode

Declaration

Source position: comctrls.pp line 150

protected procedure TStatusBar.SetBiDiMode(

  AValue: TBiDiMode

); override;


TStatusBar.SimplePanel

SimplePanel - boolean. Is there just one continuous panel or several sub-panels?

Declaration

Source position: comctrls.pp line 198

published property TStatusBar.SimplePanel : Boolean
  read FSimplePanel
  write SetSimplePanel
  default True;

Description

SimplePanel - boolean. Is there just one continuous panel or several sub-panels?

If true, the value of SimpleText is displayed; if false, the contents of Panels is displayed.

Contents can be adjusted with a stringlist editor that pops up when the ellipsis (...) next to Panels is selected and allows insertion of an arbitrary number of sub-panels with their own strings


TStatusBar.SimpleText

SimpleText - a character string containing the information to be displayed in the Status Bar

Declaration

Source position: comctrls.pp line 197

published property TStatusBar.SimpleText : TCaption
  read FSimpleText
  write SetSimpleText;

Description

SimpleText - a character string containing the information to be displayed in the Status Bar

This is displayed if SimplePanel is true; otherwise the information in Panels is displayed.


TStatusBar.SizeGrip

SizeGrip - an area at the bottom of the statusbar where a mouse can grip to change the size: True if this is working

Declaration

Source position: comctrls.pp line 199

published property TStatusBar.SizeGrip : Boolean
  read FSizeGrip
  write SetSizeGrip
  default True;


TStatusBar.SizeGripEnabled

SizeGripEnabled - returns True if the size-grip (an area at the bottom of the statusbar where a mouse can grip to change the size) is enabled

Declaration

Source position: comctrls.pp line 172

public function TStatusBar.SizeGripEnabled: Boolean;


TStatusBar.UpdateHandleObject

UpdateHandleObject - updates all panel parts that have been changed

Declaration

Source position: comctrls.pp line 146

protected procedure TStatusBar.UpdateHandleObject(

  PanelIndex: Integer;

  PanelParts: TPanelParts

); virtual;


TStatusBar.UpdatingStatusBar

UpdatingStatusBar - returns True if the status bar is being updated

Declaration

Source position: comctrls.pp line 173

public function TStatusBar.UpdatingStatusBar: Boolean;


TStatusBar.UseSystemFont

Declaration

Source position: comctrls.pp line 201

published property TStatusBar.UseSystemFont : Boolean
  read FUseSystemFont
  write FUseSystemFont
  default True;


TStatusPanel

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

TStatusPanel - one of the panels contained in a StatusBar

Declaration

Source position: comctrls.pp line 62

type TStatusPanel = class(TCollectionItem)
protected
FIntfFlag: Integer;
function GetDisplayName; override; | GetDisplayName - looks first at the Text property; if it is blank calls inherited method
procedure PanelChanged(); | PanelChanged - method for dealing with a status panel, one or more of whose parts has changed
procedure SetIndex(); override; | SetIndex saves the old index value, checks that the supplied value is different and then calls inherited method
public
constructor Create(); override; | Create - constructor for TStatusPanel: sets default width, alignment and bevel, calls inherited Create and loads into StatusBar
destructor Destroy; override; | Destroy - destructor for TStatusPanel: calls inherited Destroy and removes itself from the StatusBar
procedure Assign(); override; | Assign copies text, width, alignment, bevel and style properties from Source if it is of correct type, otherwise calls inherited Assign (which will probably raise an exception)
function StatusBar; | The StatusBar that contains this StatusPanel
published
property Alignment: TAlignment; [rw] | Alignment - whether left- or right-justified or centered
property Bevel: TStatusPanelBevel; [rw] | The type of Bevel for the display
property BidiMode: TBiDiMode; [rw]
property ParentBiDiMode: Boolean; [rw]
property Style: TStatusPanelStyle; [rw] | Style - whether text or something drawn by the owner
property Text: TCaption; [rw] | Text - the string for display in the StatusBar
property Width: Integer; [rw] | The Width of this panel on the StatusBar
end;

Inheritance

TStatusPanel

TStatusPanel - one of the panels contained in a StatusBar
|

TCollectionItem
|

TPersistent,IFPObserved
|

TObject


TStatusPanel
pl |  | Alignment
pl |  | Bevel
pl |  | BidiMode
pl |  | ParentBiDiMode
pl |  | Style
pl |  | Text
pl |  | Width
TCollectionItem
 | ro | UpdateCount
 |  | Collection
 | ro | ID
 |  | Index
 |  | DisplayName
TPersistent
TObject


pl |  | Alignment (TStatusPanel)
pl |  | Bevel (TStatusPanel)
pl |  | BidiMode (TStatusPanel)
 |  | Collection (TCollectionItem)
 |  | DisplayName (TCollectionItem)
 | ro | ID (TCollectionItem)
 |  | Index (TCollectionItem)
pl |  | ParentBiDiMode (TStatusPanel)
pl |  | Style (TStatusPanel)
pl |  | Text (TStatusPanel)
 | ro | UpdateCount (TCollectionItem)
pl |  | Width (TStatusPanel)


TStatusPanel
pt | GetDisplayName
pt | PanelChanged
pt | SetIndex
 | Create
 | Destroy
 | Assign
 | StatusBar
TCollectionItem
 | GetIndex
 | SetCollection
 | Changed
 | GetOwner
 | GetDisplayName
 | SetIndex
 | SetDisplayName
 | Create
 | Destroy
 | GetNamePath
TPersistent
 | AssignError
 | AssignTo
 | DefineProperties
 | GetOwner
 | Destroy
 | Assign
 | FPOAttachObserver
 | FPODetachObserver
 | FPONotifyObservers
 | GetNamePath
TObject
 | Create
 | Destroy
 | newinstance
 | FreeInstance
 | SafeCallException
 | DefaultHandler
 | Free
 | InitInstance
 | CleanupInstance
 | ClassType
 | ClassInfo
 | ClassName
 | ClassNameIs
 | ClassParent
 | InstanceSize
 | InheritsFrom
 | StringMessageTable
 | MethodAddress
 | MethodName
 | FieldAddress
 | AfterConstruction
 | BeforeDestruction
 | DefaultHandlerStr
 | Dispatch
 | DispatchStr
 | GetInterface
 | GetInterfaceByStr
 | GetInterfaceWeak
 | GetInterfaceEntry
 | GetInterfaceEntryByStr
 | GetInterfaceTable
 | UnitName
 | Equals
 | GetHashCode
 | ToString


 | AssignError (TPersistent)
 | AssignTo (TPersistent)
 | BeforeDestruction (TObject)
 | Changed (TCollectionItem)
 | ClassInfo (TObject)
 | ClassName (TObject)
 | ClassNameIs (TObject)
 | ClassParent (TObject)
 | ClassType (TObject)
 | CleanupInstance (TObject)
 | Create (TObject)
 | Create (TCollectionItem)
 | Create (TStatusPanel)
 | DefaultHandler (TObject)
 | DefaultHandlerStr (TObject)
 | DefineProperties (TPersistent)
 | Destroy (TObject)
 | Destroy (TPersistent)
 | Destroy (TCollectionItem)
 | Destroy (TStatusPanel)
 | Dispatch (TObject)
 | DispatchStr (TObject)
 | Equals (TObject)
 | FieldAddress (TObject)
 | FPOAttachObserver (TPersistent)
 | FPODetachObserver (TPersistent)
 | FPONotifyObservers (TPersistent)
 | Free (TObject)
 | FreeInstance (TObject)
 | GetDisplayName (TCollectionItem)
pt | GetDisplayName (TStatusPanel)
 | GetHashCode (TObject)
 | GetIndex (TCollectionItem)
 | GetInterface (TObject)
 | GetInterfaceByStr (TObject)
 | GetInterfaceEntry (TObject)
 | GetInterfaceEntryByStr (TObject)
 | GetInterfaceTable (TObject)
 | GetInterfaceWeak (TObject)
 | GetNamePath (TPersistent)
 | GetNamePath (TCollectionItem)
 | GetOwner (TPersistent)
 | GetOwner (TCollectionItem)
 | InheritsFrom (TObject)
 | InitInstance (TObject)
 | InstanceSize (TObject)
 | MethodAddress (TObject)
 | MethodName (TObject)
 | newinstance (TObject)
pt | PanelChanged (TStatusPanel)
 | SafeCallException (TObject)
 | SetCollection (TCollectionItem)
 | SetDisplayName (TCollectionItem)
 | SetIndex (TCollectionItem)
pt | SetIndex (TStatusPanel)
 | StatusBar (TStatusPanel)
 | StringMessageTable (TObject)
 | ToString (TObject)
 | UnitName (TObject)


TStatusPanel

TCollectionItem

TPersistent

TObject


TStatusPanel.Alignment

Alignment - whether left- or right-justified or centered

Declaration

Source position: comctrls.pp line 88

published property TStatusPanel.Alignment : TAlignment
  read FAlignment
  write SetAlignment
  default taLeftJustify;

Description

Only supported on Windows.


TStatusPanel.Assign

Assign copies text, width, alignment, bevel and style properties from Source if it is of correct type, otherwise calls inherited Assign (which will probably raise an exception)

Declaration

Source position: comctrls.pp line 85

public procedure TStatusPanel.Assign(

  Source: TPersistent

); override;

See also

TPersistent.Assign


TStatusPanel.Bevel

The type of Bevel for the display

Declaration

Source position: comctrls.pp line 89

published property TStatusPanel.Bevel : TStatusPanelBevel
  read FBevel
  write SetBevel
  default pbLowered;

Description

Only supported on Windows.


TStatusPanel.BidiMode

Declaration

Source position: comctrls.pp line 90

published property TStatusPanel.BidiMode : TBiDiMode
  read FBidiMode
  write FBidiMode
  default bdLeftToRight;


TStatusPanel.Create

Create - constructor for TStatusPanel: sets default width, alignment and bevel, calls inherited Create and loads into StatusBar

Declaration

Source position: comctrls.pp line 83

public constructor TStatusPanel.Create(

  ACollection: TCollection

); override;

See also

TCollectionItem.Create


TStatusPanel.Destroy

Destroy - destructor for TStatusPanel: calls inherited Destroy and removes itself from the StatusBar

Declaration

Source position: comctrls.pp line 84

public destructor TStatusPanel.Destroy; override;

See also

TCollectionItem.Destroy


TStatusPanel.FIntfFlag

Declaration

Source position: comctrls.pp line 78

protected TStatusPanel.FIntfFlag : Integer;


TStatusPanel.GetDisplayName

GetDisplayName - looks first at the Text property; if it is blank calls inherited method

Declaration

Source position: comctrls.pp line 79

protected function TStatusPanel.GetDisplayName: string; override;

See also

TCollectionItem.GetDisplayName


TStatusPanel.PanelChanged

PanelChanged - method for dealing with a status panel, one or more of whose parts has changed

Declaration

Source position: comctrls.pp line 80

protected procedure TStatusPanel.PanelChanged(

  const Parts: TPanelParts

);


TStatusPanel.ParentBiDiMode

Declaration

Source position: comctrls.pp line 91

published property TStatusPanel.ParentBiDiMode : Boolean
  read FParentBiDiMode
  write FParentBiDiMode
  default True;


TStatusPanel.SetIndex

SetIndex saves the old index value, checks that the supplied value is different and then calls inherited method

Declaration

Source position: comctrls.pp line 81

protected procedure TStatusPanel.SetIndex(

  Value: Integer

); override;

See also

TCollectionItem.SetIndex


TStatusPanel.StatusBar

The StatusBar that contains this StatusPanel

Declaration

Source position: comctrls.pp line 86

public function TStatusPanel.StatusBar: TStatusBar;


TStatusPanel.Style

Style - whether text or something drawn by the owner

Declaration

Source position: comctrls.pp line 92

published property TStatusPanel.Style : TStatusPanelStyle
  read FStyle
  write SetStyle
  default psText;


TStatusPanel.Text

Text - the string for display in the StatusBar

Declaration

Source position: comctrls.pp line 93

published property TStatusPanel.Text : TCaption
  read FText
  write SetText;


TStatusPanel.Width

The Width of this panel on the StatusBar

Declaration

Source position: comctrls.pp line 94

published property TStatusPanel.Width : Integer
  read FWidth
  write SetWidth;


TStatusPanelBevel

TStatusPanelBevel - enumerated type for panel bevel style

Declaration

Source position: comctrls.pp line 46

type TStatusPanelBevel = (

  pbNone,

  pbLowered,

  pbRaised

);


TStatusPanelClass

TStatusPanelClass - set of TStatusPanel

Declaration

Source position: comctrls.pp line 60

type TStatusPanelClass = class of TStatusPanel;


TStatusPanels

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

TStatusPanels - the collection of Status Panels in this StatusBar

Declaration

Source position: comctrls.pp line 97

type TStatusPanels = class(TCollection)
protected
function GetOwner; override; | GetOwner returns a Status Bar overriding the inherited method
procedure Update(); override; |
public
constructor Create(); | Create - constructor for TStatusPanels: calls inherited Create and attaches itself to StatusBar
function Add; |
property Items []: TStatusPanel; default; [rw] |
property StatusBar: TStatusBar; [r] | The StatusBar to which this collection of Status Panels belongs
end;

Inheritance

TStatusPanels

TStatusPanels - the collection of Status Panels in this StatusBar
|

TCollection
|

TPersistent,IFPObserved
|

TObject


TStatusPanels
 |  | Items
 | ro | StatusBar
TCollection
 |  | PropName
 | ro | UpdateCount
 | ro | Count
 | ro | ItemClass
 |  | Items
TPersistent
TObject


ro | Count (TCollection)
ro | ItemClass (TCollection)
 | Items (TCollection)
 | Items (TStatusPanels)
 | PropName (TCollection)
ro | StatusBar (TStatusPanels)
ro | UpdateCount (TCollection)


TStatusPanels
pt | GetOwner
pt | Update
 | Create
 | Add
TCollection
 | GetCount
 | GetPropName
 | InsertItem
 | RemoveItem
 | DoClear
 | GetAttrCount
 | GetAttr
 | GetItemAttr
 | Changed
 | GetItem
 | SetItem
 | SetItemName
 | SetPropName
 | Update
 | Notify
 | Create
 | Destroy
 | Owner
 | Add
 | Assign
 | BeginUpdate
 | Clear
 | EndUpdate
 | Delete
 | GetEnumerator
 | GetNamePath
 | Insert
 | FindItemID
 | Exchange
 | Sort
TPersistent
 | AssignError
 | AssignTo
 | DefineProperties
 | GetOwner
 | Destroy
 | Assign
 | FPOAttachObserver
 | FPODetachObserver
 | FPONotifyObservers
 | GetNamePath
TObject
 | Create
 | Destroy
 | newinstance
 | FreeInstance
 | SafeCallException
 | DefaultHandler
 | Free
 | InitInstance
 | CleanupInstance
 | ClassType
 | ClassInfo
 | ClassName
 | ClassNameIs
 | ClassParent
 | InstanceSize
 | InheritsFrom
 | StringMessageTable
 | MethodAddress
 | MethodName
 | FieldAddress
 | AfterConstruction
 | BeforeDestruction
 | DefaultHandlerStr
 | Dispatch
 | DispatchStr
 | GetInterface
 | GetInterfaceByStr
 | GetInterfaceWeak
 | GetInterfaceEntry
 | GetInterfaceEntryByStr
 | GetInterfaceTable
 | UnitName
 | Equals
 | GetHashCode
 | ToString


 | Add (TCollection)
 | Add (TStatusPanels)
 | AfterConstruction (TObject)
 | Assign (TPersistent)
 | Assign (TCollection)
 | AssignError (TPersistent)
 | AssignTo (TPersistent)
 | BeforeDestruction (TObject)
 | BeginUpdate (TCollection)
 | Changed (TCollection)
 | ClassInfo (TObject)
 | ClassName (TObject)
 | ClassNameIs (TObject)
 | ClassParent (TObject)
 | ClassType (TObject)
 | CleanupInstance (TObject)
 | Clear (TCollection)
 | Create (TObject)
 | Create (TCollection)
 | Create (TStatusPanels)
 | DefaultHandler (TObject)
 | DefaultHandlerStr (TObject)
 | DefineProperties (TPersistent)
 | Delete (TCollection)
 | Destroy (TObject)
 | Destroy (TPersistent)
 | Destroy (TCollection)
 | Dispatch (TObject)
 | DispatchStr (TObject)
 | DoClear (TCollection)
 | EndUpdate (TCollection)
 | Equals (TObject)
 | Exchange (TCollection)
 | FieldAddress (TObject)
 | FindItemID (TCollection)
 | FPOAttachObserver (TPersistent)
 | FPODetachObserver (TPersistent)
 | FPONotifyObservers (TPersistent)
 | Free (TObject)
 | FreeInstance (TObject)
 | GetAttr (TCollection)
 | GetAttrCount (TCollection)
 | GetCount (TCollection)
 | GetEnumerator (TCollection)
 | GetHashCode (TObject)
 | GetInterface (TObject)
 | GetInterfaceByStr (TObject)
 | GetInterfaceEntry (TObject)
 | GetInterfaceEntryByStr (TObject)
 | GetInterfaceTable (TObject)
 | GetInterfaceWeak (TObject)
 | GetItem (TCollection)
 | GetItemAttr (TCollection)
 | GetNamePath (TPersistent)
 | GetNamePath (TCollection)
 | GetOwner (TPersistent)
pt | GetOwner (TStatusPanels)
 | GetPropName (TCollection)
 | InheritsFrom (TObject)
 | InitInstance (TObject)
 | Insert (TCollection)
 | InsertItem (TCollection)
 | InstanceSize (TObject)
 | MethodAddress (TObject)
 | MethodName (TObject)
 | newinstance (TObject)
 | Notify (TCollection)
 | Owner (TCollection)
 | RemoveItem (TCollection)
 | SafeCallException (TObject)
 | SetItem (TCollection)
 | SetItemName (TCollection)
 | SetPropName (TCollection)
 | Sort (TCollection)
 | StringMessageTable (TObject)
 | ToString (TObject)
 | UnitName (TObject)
 | Update (TCollection)
pt | Update (TStatusPanels)


TStatusPanels

TCollection

TPersistent

TObject


TStatusPanels.Create

Create - constructor for TStatusPanels: calls inherited Create and attaches itself to StatusBar

Declaration

Source position: comctrls.pp line 106

public constructor TStatusPanels.Create(

  AStatusBar: TStatusBar

);

See also

TCollection.Create


TStatusPanels.GetOwner

GetOwner returns a Status Bar overriding the inherited method

Declaration

Source position: comctrls.pp line 103

protected function TStatusPanels.GetOwner: TPersistent; override;

See also

TPersistent.GetOwner


TStatusPanels.StatusBar

The StatusBar to which this collection of Status Panels belongs

Declaration

Source position: comctrls.pp line 109

public property TStatusPanels.StatusBar : TStatusBar
  read FStatusBar;


TStatusPanelStyle

TStatusPanelStyle - enumerated type for panel style

Declaration

Source position: comctrls.pp line 45

type TStatusPanelStyle = (

  psText,

  psOwnerDraw

);


TTabControl

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

TTabControl - a series of Tabs along the edge of a display area; selection of a Tab governs the contents of the DisplayRect

Declaration

Source position: comctrls.pp line 789

type TTabControl = class(TCustomTabControl)
protected
procedure SetOptions(); override;
procedure AddRemovePageHandle(); override;
function CanChange; override;
function CanShowTab(); virtual;
procedure Change; override;
procedure CreateWnd; override;
procedure DestroyHandle; override;
procedure Notification(); override;
procedure SetDragMode(); override;
procedure SetTabIndex(); virtual;
procedure UpdateTabImages;
procedure ImageListChange();
procedure DoSetBounds(); override;
class function GetControlClassDefaultSize; override;
procedure PaintWindow(); override;
procedure Paint; virtual;
procedure AdjustDisplayRectWithBorder(); virtual;
procedure AdjustClientRect(); override;
function CreateTabNoteBookStrings; virtual;
public
constructor Create(); override;
destructor Destroy; override;
function IndexOfTabAt();
function GetHitTestInfoAt();
function GetImageIndex(); override;
function IndexOfTabWithCaption();
function TabRect();
function RowCount;
procedure ScrollTabs();
procedure BeginUpdate;
procedure EndUpdate;
function IsUpdating;
property DisplayRect: TRect; [r] | DisplayRect - the rectangular area to be used for displaying information determined by the identity of the selected Tab
published
property HotTrack: Boolean; [rw] | HotTrack - the property whereby the item under the mouse pointer becomes emphasised
property Images: TCustomImageList; | Images - the list of Images available for display in the DisplayRect
property ImagesWidth: Integer;
property MultiLine: Boolean; [rw] | MultiLine - whether the Tab's caption is allowed to have multiple lines
property MultiSelect: Boolean; [rw] | MultiSelect - whether multiple Tabs are allowed to be selected at the same time (e.g. by pressing Shift or Ctrl while selecting)
property OnChange: TNotifyEvent; [rw] | OnChange - event handler for a change in the Tabs
property OnChanging: TTabChangingEvent; | OnChanging - event handler while Tab is changing
property OnGetImageIndex: TTabGetImageEvent; | OnGetImageIndex - event handler for finding the index value of the required image
property OwnerDraw: Boolean; [rw] | OwnerDraw - is the calling routine (Owner) allowed to specify the drawing method?
property RaggedRight: Boolean; [rw] | RaggedRight - un-justified or un-aligned text
property ScrollOpposite: Boolean; [rw] | ScrollOpposite - is scrolling to happen in the opposite direction to usual?
property Style: TTabStyle; | Style - Tabs, buttons or flat buttons?
property TabPosition: TTabPosition; | TabPosition - top, bottom, left or right
property TabHeight: SmallInt; [rw] | TabHeight - height of the tabs
property TabIndex: Integer; [rw] | TabIndex - index value of current Tab. If none selected, default value of -1 is returned
property Tabs: TStrings; [rw] | Tabs - the actual Tabs expressed as strings
property TabStop: Boolean; [rw] | Allows the user to navigate to this control, by pressing the Tab key.
property TabWidth: SmallInt; [rw] | TabWidth - width of the tabs
property Align: TAlign; | Specifies the placement of the control inside its Parent.
property Anchors: TAnchors; | The set of anchor definitions for this control.
property BiDiMode: TBiDiMode;
property BorderSpacing: TControlBorderSpacing; | Determines the inner and outer border spacing for this control.
property Constraints: TSizeConstraints; | The minimal and maximal Width and Height of this control.
property DockSite: Boolean; | Allows to drag-dock other controls into this control.
property DragCursor: TCursor; | The cursor shape shown while the control is dragged.
property DragKind: TDragKind; | The operation when the control is dragged - Drag or Dock.
property DragMode: TDragMode; | Allows the user to drag the control.
property Enabled: Boolean; | Determines whether the control reacts on mouse or keyboard input.
property Font: TFont; | The font to be used for text display in this control.
property OnChangeBounds: TNotifyEvent; | Event handler for a change of the Bounds of the control.
property OnContextPopup: TContextPopupEvent; | Invoked when a context-sensitive pop-up menu is requested.
property OnDockDrop: TDockDropEvent; | Notification handler for the drop of a control to be docked.
property OnDockOver: TDockOverEvent; | Event handler for moves of a control over this docksite. Determines acceptance or rejection of an possible drop.
property OnDragDrop: TDragDropEvent; | This handler determines the action on an drop onto this control, in a drag-drop operation.
property OnDragOver: TDragOverEvent; | Event handler for a control being dragged over this control.
property OnEndDock: TEndDragEvent; | Notification handler for the end of a docking operation.
property OnEndDrag: TEndDragEvent; | Notification handler for the end of a dragging operation.
property OnEnter: TNotifyEvent; | Handler for control receiving the focus.
property OnExit: TNotifyEvent; | Handler for control loosing the focus. This is a good place for checking the finished user input.
property OnGetSiteInfo: TGetSiteInfoEvent; | OnGetSiteInfo - event handler for getting information about the current site
property OnMouseDown: TMouseEvent; | Event handler for mouse button going down.
property OnMouseEnter: TNotifyEvent;
property OnMouseLeave: TNotifyEvent;
property OnMouseMove: TMouseMoveEvent; | Event handler for mouse movement within the control.
property OnMouseUp: TMouseEvent; | Event handler for mouse button going up.
property OnMouseWheel: TMouseWheelEvent;
property OnMouseWheelDown: TMouseWheelUpDownEvent;
property OnMouseWheelUp: TMouseWheelUpDownEvent;
property OnResize: TNotifyEvent; | Notification handler for a resize of the control.
property OnStartDock: TStartDockEvent; | Event handler for the start of a docking operation.
property OnStartDrag: TStartDragEvent; | Event handler for the start of a dragging operation.
property OnUnDock: TUnDockEvent; | Event handler for control being undocked from this DockSite.
property ParentBiDiMode: Boolean;
property ParentFont: Boolean; | If true, the Font of the control will be the same as the one from the Parent. Default is true.
property ParentShowHint: Boolean; | If true, the value of ShowHint for the control will be the same as the one from the Parent. Default is true.
property PopupMenu: TPopupMenu; | A context-sensitive menu that pops up when the right mouse button is clicked over this control
property ShowHint: Boolean; | Enables the Hint display.
property TabOrder: TTabOrder; | Determines the sequence of controls, reachable when the user presses the Tab key.
property Visible: Boolean; | Allows to show or hide the control, and all of its children.
end;

Inheritance

TTabControl | TTabControl - a series of Tabs along the edge of a display area; selection of a Tab governs the contents of the DisplayRect
|
TCustomTabControl | TCustomTabControl - base class for TTabControl, a series of Tabs along the edge of a display area; selection of a Tab governs the contents of the DisplayRect
|
TWinControl | The base class for controls which can contain other (child) controls.
|
TControl | The base class for visible controls.
|
TLCLComponent | The base class for LCL components associated with widgets.
|
TComponent,IUnknown,IInterfaceComponentReference
|
TPersistent,IFPObserved
|
TObject

Description

TTabControl - a series of Tabs along the edge of a display area; selection of a Tab governs the contents of the DisplayRect

Use TTabControl by selecting its icon from the Common Controls tab of the IDE Component Palette and placing it at the desired location on the Form. Use the Form Designer and Object Inspector to adjust its shape, size, alignment, anchoring and other properties. Tabs can be aded or removed from the component by selecting it, then right-clicking with the mouse to get a pop-up menu whose first item is 'Add Tab'. Once created, the Tabs can be edited by selecting the Tabs entry in the Object Inspector and selecting the ellipsis (...) which will cause a pop-up String editor to appear. The tabs can be given new captions, moved up and down the list or removed altogether as required.

Each Tab has an Index (starting from 0) and this index can be used to specify an entry from Images for display in the DisplayRect.

See also

Multi-PageControls

Multi-PageControls - controls that offer a selection of alternative pages for display


TTabControl
 | ro | DisplayRect
pl |  | HotTrack
pl | ro | Images
pl | ro | ImagesWidth
pl |  | MultiLine
pl |  | MultiSelect
pl |  | OwnerDraw
pl |  | RaggedRight
pl |  | ScrollOpposite
pl | ro | Style
pl | ro | TabPosition
pl |  | TabHeight
pl |  | TabIndex
pl |  | Tabs
pl |  | TabStop
pl |  | TabWidth
pl | ro | Align
pl | ro | Anchors
pl | ro | BiDiMode
pl | ro | BorderSpacing
pl | ro | Constraints
pl | ro | DockSite
pl | ro | DragCursor
pl | ro | DragKind
pl | ro | DragMode
pl | ro | Enabled
pl | ro | Font
pl | ro | ParentBiDiMode
pl | ro | ParentFont
pl | ro | ParentShowHint
pl | ro | PopupMenu
pl | ro | ShowHint
pl | ro | TabOrder
pl | ro | Visible
TCustomTabControl
pt |  | ActivePageComponent
pt |  | ActivePage
pt | ro | DisplayRect
pt |  | HotTrack
pt |  | MultiSelect
pt |  | OwnerDraw
pt |  | RaggedRight
pt |  | ScrollOpposite
pt |  | Style
pt |  | Tabs
pt |  | TabIndex
 |  | Images
 |  | ImagesWidth
 |  | MultiLine
 |  | Options
 | ro | Page
 | ro | PageCount
 |  | PageIndex
 |  | Pages
 |  | ShowTabs
 |  | TabHeight
 |  | TabPosition
 |  | TabWidth
pl | ro | TabStop
TWinControl
pt |  | WindowHandle
pt |  | BorderStyle
pt |  | ParentBackground
 |  | BorderWidth
 | ro | BoundsLockCount
 | ro | Brush
 | ro | CachedClientHeight
 | ro | CachedClientWidth
 |  | ChildSizing
 | ro | ControlCount
 | ro | Controls
 |  | DefWndProc
 | ro | DockClientCount
 | ro | DockClients
 |  | DockManager
 |  | DockSite
 |  | DoubleBuffered
 |  | Handle
 | ro | IsFlipped
 | ro | IsResizing
 |  | TabOrder
 |  | TabStop
 |  | ParentDoubleBuffered
 |  | ParentWindow
 | ro | Showing
 |  | UseDockManager
 |  | DesignerDeleting
 | ro | VisibleDockClientCount
TControl
pt | ro | AutoSizing
pt | ro | AutoSizingAll
pt | ro | AutoSizingLockCount
pt |  | ActionLink
pt |  | DesktopFont
pt |  | DragCursor
pt |  | DragKind
pt |  | DragMode
pt |  | MouseCapture
pt |  | ParentColor
pt |  | ParentFont
pt |  | ParentShowHint
pt |  | SessionProperties
pt |  | Text
 | ro | AnchoredControls
 | ro | BaseBounds
 | ro | ReadBounds
 | ro | BaseParentClientSize
 |  | AccessibleDescription
 |  | AccessibleValue
 |  | AccessibleRole
 |  | Action
 |  | Align
 |  | Anchors
 | ro | AnchorSide
 |  | AutoSize
 |  | BorderSpacing
 |  | BoundsRect
 |  | BoundsRectForNewParent
 |  | Caption
 |  | CaptureMouseButtons
 |  | ClientHeight
 | ro | ClientOrigin
 | ro | ClientRect
 |  | ClientWidth
 |  | Color
 |  | Constraints
 | ro | ControlOrigin
 |  | ControlState
 |  | ControlStyle
 |  | Enabled
 |  | Font
 |  | IsControl
 | ro | MouseEntered
 | ro | MouseInClient
 |  | Parent
 |  | PopupMenu
 |  | ShowHint
 |  | Visible
 |  | WindowProc
 |  | DockOrientation
 | ro | Floating
 |  | FloatingDockSiteClass
 |  | HostDockSite
 |  | LRDockWidth
 |  | TBDockHeight
 |  | UndockHeight
 |  | UndockWidth
 |  | BiDiMode
 |  | ParentBiDiMode
pl |  | AnchorSideLeft
pl |  | AnchorSideTop
pl |  | AnchorSideRight
pl |  | AnchorSideBottom
pl |  | Cursor
pl |  | Left
pl |  | Height
pl |  | Hint
pl |  | Top
pl |  | Width
pl |  | HelpType
pl |  | HelpKeyword
pl |  | HelpContext
TLCLComponent
 | ro | LCLRefCount
 | ro | WidgetSetClass
TComponent
 | ro | ComObject
 | ro | Components
 | ro | ComponentCount
 |  | ComponentIndex
 | ro | ComponentState
 | ro | ComponentStyle
 |  | DesignInfo
 | ro | Owner
 |  | VCLComObject
 |  | Name
 |  | Tag
TPersistent
TObject


 |  | AccessibleDescription (TControl)
 |  | AccessibleRole (TControl)
 |  | AccessibleValue (TControl)
 |  | Action (TControl)
pt |  | ActionLink (TControl)
pt |  | ActivePage (TCustomTabControl)
pt |  | ActivePageComponent (TCustomTabControl)
 |  | Align (TControl)
pl | ro | Align (TTabControl)
 | ro | AnchoredControls (TControl)
 |  | Anchors (TControl)
pl | ro | Anchors (TTabControl)
 | ro | AnchorSide (TControl)
pl |  | AnchorSideBottom (TControl)
pl |  | AnchorSideLeft (TControl)
pl |  | AnchorSideRight (TControl)
pl |  | AnchorSideTop (TControl)
 |  | AutoSize (TControl)
pt | ro | AutoSizing (TControl)
pt | ro | AutoSizingAll (TControl)
pt | ro | AutoSizingLockCount (TControl)
 | ro | BaseBounds (TControl)
 | ro | BaseParentClientSize (TControl)
 |  | BiDiMode (TControl)
pl | ro | BiDiMode (TTabControl)
 |  | BorderSpacing (TControl)
pl | ro | BorderSpacing (TTabControl)
pt |  | BorderStyle (TWinControl)
 |  | BorderWidth (TWinControl)
 | ro | BoundsLockCount (TWinControl)
 |  | BoundsRect (TControl)
 |  | BoundsRectForNewParent (TControl)
 | ro | Brush (TWinControl)
 | ro | CachedClientHeight (TWinControl)
 | ro | CachedClientWidth (TWinControl)
 |  | Caption (TControl)
 |  | CaptureMouseButtons (TControl)
 |  | ChildSizing (TWinControl)
 |  | ClientHeight (TControl)
 | ro | ClientOrigin (TControl)
 | ro | ClientRect (TControl)
 |  | ClientWidth (TControl)
 |  | Color (TControl)
 | ro | ComObject (TComponent)
 | ro | ComponentCount (TComponent)
 |  | ComponentIndex (TComponent)
 | ro | Components (TComponent)
 | ro | ComponentState (TComponent)
 | ro | ComponentStyle (TComponent)
 |  | Constraints (TControl)
pl | ro | Constraints (TTabControl)
 | ro | ControlCount (TWinControl)
 | ro | ControlOrigin (TControl)
 | ro | Controls (TWinControl)
 |  | ControlState (TControl)
 |  | ControlStyle (TControl)
pl |  | Cursor (TControl)
 |  | DefWndProc (TWinControl)
 |  | DesignerDeleting (TWinControl)
 |  | DesignInfo (TComponent)
pt |  | DesktopFont (TControl)
pt | ro | DisplayRect (TCustomTabControl)
 | ro | DisplayRect (TTabControl)
 | ro | DockClientCount (TWinControl)
 | ro | DockClients (TWinControl)
 |  | DockManager (TWinControl)
 |  | DockOrientation (TControl)
 |  | DockSite (TWinControl)
pl | ro | DockSite (TTabControl)
 |  | DoubleBuffered (TWinControl)
pt |  | DragCursor (TControl)
pl | ro | DragCursor (TTabControl)
pt |  | DragKind (TControl)
pl | ro | DragKind (TTabControl)
pt |  | DragMode (TControl)
pl | ro | DragMode (TTabControl)
 |  | Enabled (TControl)
pl | ro | Enabled (TTabControl)
 | ro | Floating (TControl)
 |  | FloatingDockSiteClass (TControl)
 |  | Font (TControl)
pl | ro | Font (TTabControl)
 |  | Handle (TWinControl)
pl |  | Height (TControl)
pl |  | HelpContext (TControl)
pl |  | HelpKeyword (TControl)
pl |  | HelpType (TControl)
pl |  | Hint (TControl)
 |  | HostDockSite (TControl)
pt |  | HotTrack (TCustomTabControl)
pl |  | HotTrack (TTabControl)
 |  | Images (TCustomTabControl)
pl | ro | Images (TTabControl)
 |  | ImagesWidth (TCustomTabControl)
pl | ro | ImagesWidth (TTabControl)
 |  | IsControl (TControl)
 | ro | IsFlipped (TWinControl)
 | ro | IsResizing (TWinControl)
 | ro | LCLRefCount (TLCLComponent)
pl |  | Left (TControl)
 |  | LRDockWidth (TControl)
pt |  | MouseCapture (TControl)
 | ro | MouseEntered (TControl)
 | ro | MouseInClient (TControl)
 |  | MultiLine (TCustomTabControl)
pl |  | MultiLine (TTabControl)
pt |  | MultiSelect (TCustomTabControl)
pl |  | MultiSelect (TTabControl)
 |  | Name (TComponent)
 |  | Options (TCustomTabControl)
 | ro | Owner (TComponent)
pt |  | OwnerDraw (TCustomTabControl)
pl |  | OwnerDraw (TTabControl)
 | ro | Page (TCustomTabControl)
 | ro | PageCount (TCustomTabControl)
 |  | PageIndex (TCustomTabControl)
 |  | Pages (TCustomTabControl)
 |  | Parent (TControl)
pt |  | ParentBackground (TWinControl)
 |  | ParentBiDiMode (TControl)
pl | ro | ParentBiDiMode (TTabControl)
pt |  | ParentColor (TControl)
 |  | ParentDoubleBuffered (TWinControl)
pt |  | ParentFont (TControl)
pl | ro | ParentFont (TTabControl)
pt |  | ParentShowHint (TControl)
pl | ro | ParentShowHint (TTabControl)
 |  | ParentWindow (TWinControl)
 |  | PopupMenu (TControl)
pl | ro | PopupMenu (TTabControl)
pt |  | RaggedRight (TCustomTabControl)
pl |  | RaggedRight (TTabControl)
 | ro | ReadBounds (TControl)
pt |  | ScrollOpposite (TCustomTabControl)
pl |  | ScrollOpposite (TTabControl)
pt |  | SessionProperties (TControl)
 |  | ShowHint (TControl)
pl | ro | ShowHint (TTabControl)
 | ro | Showing (TWinControl)
 |  | ShowTabs (TCustomTabControl)
pt |  | Style (TCustomTabControl)
pl | ro | Style (TTabControl)
 |  | TabHeight (TCustomTabControl)
pl |  | TabHeight (TTabControl)
pt |  | TabIndex (TCustomTabControl)
pl |  | TabIndex (TTabControl)
 |  | TabOrder (TWinControl)
pl | ro | TabOrder (TTabControl)
 |  | TabPosition (TCustomTabControl)
pl | ro | TabPosition (TTabControl)
pt |  | Tabs (TCustomTabControl)
pl |  | Tabs (TTabControl)
 |  | TabStop (TWinControl)
pl | ro | TabStop (TCustomTabControl)
pl |  | TabStop (TTabControl)
 |  | TabWidth (TCustomTabControl)
pl |  | TabWidth (TTabControl)
 |  | Tag (TComponent)
 |  | TBDockHeight (TControl)
pt |  | Text (TControl)
pl |  | Top (TControl)
 |  | UndockHeight (TControl)
 |  | UndockWidth (TControl)
 |  | UseDockManager (TWinControl)
 |  | VCLComObject (TComponent)
 |  | Visible (TControl)
pl | ro | Visible (TTabControl)
 | ro | VisibleDockClientCount (TWinControl)
 | ro | WidgetSetClass (TLCLComponent)
pl |  | Width (TControl)
pt |  | WindowHandle (TWinControl)
 |  | WindowProc (TControl)


TTabControl
pt | SetOptions
pt | AddRemovePageHandle
pt | CanChange
pt | CanShowTab
pt | Change
pt | CreateWnd
pt | DestroyHandle
pt | Notification
pt | SetDragMode
pt | SetTabIndex
pt | UpdateTabImages
pt | ImageListChange
pt | DoSetBounds
pt | GetControlClassDefaultSize
pt | PaintWindow
pt | Paint
pt | AdjustDisplayRectWithBorder
pt | AdjustClientRect
pt | CreateTabNoteBookStrings
 | Create
 | Destroy
 | IndexOfTabAt
 | GetHitTestInfoAt
 | GetImageIndex
 | IndexOfTabWithCaption
 | TabRect
 | RowCount
 | ScrollTabs
 | BeginUpdate
 | EndUpdate
 | IsUpdating
TCustomTabControl
pt | DoAutoAdjustLayout
pt | GetPageClass
pt | GetListClass
pt | SetOptions
pt | AddRemovePageHandle
pt | CNNotify
pt | WSRegisterClass
pt | CreateWnd
pt | Loaded
pt | DoChange
pt | InitializeWnd
pt | Change
pt | KeyDown
pt | ReadState
pt | DialogChar
pt | InternalSetPageIndex
pt | ShowControl
pt | IndexOfTabAt
pt | IndexOfPageAt
pt | UpdateTabProperties
pt | GetControlClassDefaultSize
pt | Notification
pt | GetPage
pt | GetPageCount
pt | InsertPage
pt | RemovePage
pt | CanChange
 | Create
 | Destroy
 | TabRect
 | GetImageIndex
 | IndexOf
 | CustomPage
 | CanChangePageIndex
 | GetMinimumTabWidth
 | GetMinimumTabHeight
 | GetCapabilities
 | TabToPageIndex
 | PageToTabIndex
 | DoCloseTabClicked
TWinControl
pt | WSRegisterClass
pt | AdjustClientRect
pt | GetAdjustedLogicalClientRect
pt | AlignControls
pt | CustomAlignInsertBefore
pt | CustomAlignPosition
pt | DoAlignChildControls
pt | DoChildSizingChange
pt | InvalidatePreferredChildSizes
pt | CanTab
pt | IsClientHeightStored
pt | IsClientWidthStored
pt | DoSendShowHideToInterface
pt | ControlsAligned
pt | DoSendBoundsToInterface
pt | RealizeBounds
pt | RealizeBoundsRecursive
pt | InvalidateBoundsRealized
pt | CreateSubClass
pt | DoConstraintsChange
pt | DoSetBounds
pt | DoAutoSize
pt | DoAllAutoSize
pt | AllAutoSized
pt | CalculatePreferredSize
pt | GetPreferredSizeClientFrame
pt | GetChildren
pt | ChildClassAllowed
pt | PaintControls
pt | PaintHandler
pt | PaintWindow
pt | CreateBrush
pt | ScaleControls
pt | ChangeScale
pt | CMBiDiModeChanged
pt | CMBorderChanged
pt | CMDoubleBufferedChanged
pt | CMEnabledChanged
pt | CMParentDoubleBufferedChanged
pt | CMShowingChanged
pt | CMShowHintChanged
pt | CMVisibleChanged
pt | CMEnter
pt | CMExit
pt | WMContextMenu
pt | WMEraseBkgnd
pt | WMNotify
pt | WMSetFocus
pt | WMKillFocus
pt | WMShowWindow
pt | WMEnter
pt | WMExit
pt | WMKeyDown
pt | WMSysKeyDown
pt | WMKeyUp
pt | WMSysKeyUp
pt | WMChar
pt | WMSysChar
pt | WMPaint
pt | WMDestroy
pt | WMMove
pt | WMSize
pt | WMWindowPosChanged
pt | CNKeyDown
pt | CNSysKeyDown
pt | CNKeyUp
pt | CNSysKeyUp
pt | CNChar
pt | DoDragMsg
pt | DoDockClientMsg
pt | DoUndockClientMsg
pt | DoAddDockClient
pt | DockOver
pt | DoDockOver
pt | DoRemoveDockClient
pt | DoUnDock
pt | GetSiteInfo
pt | GetParentHandle
pt | GetTopParentHandle
pt | ReloadDockedControl
pt | CreateDockManager
pt | SetDockManager
pt | DoFloatMsg
pt | DoGetDockCaption
pt | DoEnter
pt | DoExit
pt | DoKeyDownBeforeInterface
pt | DoRemainingKeyDown
pt | DoRemainingKeyUp
pt | DoKeyPress
pt | DoUTF8KeyPress
pt | DoKeyUpBeforeInterface
pt | ChildKey
pt | SendDialogChar
pt | DialogChar
pt | ControlKeyDown
pt | ControlKeyUp
pt | KeyDown
pt | KeyDownBeforeInterface
pt | KeyDownAfterInterface
pt | KeyPress
pt | KeyUp
pt | KeyUpBeforeInterface
pt | KeyUpAfterInterface
pt | UTF8KeyPress
pt | FindNextControl
pt | SelectFirst
pt | RealGetText
pt | GetBorderStyle
pt | GetClientOrigin
pt | GetClientRect
pt | GetControlOrigin
pt | GetDeviceContext
pt | GetParentBackground
pt | IsControlMouseMsg
pt | CreateHandle
pt | CreateParams
pt | CreateWnd
pt | DestroyHandle
pt | DestroyWnd
pt | DoFlipChildren
pt | FinalizeWnd
pt | FixupTabList
pt | FontChanged
pt | InitializeWnd
pt | Loaded
pt | FormEndUpdated
pt | MainWndProc
pt | ParentFormHandleInitialized
pt | ChildHandlesCreated
pt | GetMouseCapture
pt | RealSetText
pt | RemoveFocus
pt | SendMoveSizeMessages
pt | SetBorderStyle
pt | SetColor
pt | SetChildZPosition
pt | SetParentBackground
pt | ShowControl
pt | UpdateControlState
pt | UpdateShowing
pt | WndProc
pt | WSSetText
 | AutoSizePhases
 | AutoSizeDelayed
 | AutoSizeDelayedReport
 | AutoSizeDelayedHandle
 | BeginUpdateBounds
 | EndUpdateBounds
 | LockRealizeBounds
 | UnlockRealizeBounds
 | ControlAtPos
 | ContainsControl
 | DoAdjustClientRectChange
 | InvalidateClientRectCache
 | ClientRectNeedsInterfaceUpdate
 | SetBounds
 | GetChildrenRect
 | DisableAlign
 | EnableAlign
 | ReAlign
 | ScrollBy_WS
 | ScrollBy
 | WriteLayoutDebugReport
 | AutoAdjustLayout
 | Create
 | CreateParented
 | CreateParentedControl
 | Destroy
 | DockDrop
 | CanFocus
 | CanSetFocus
 | GetControlIndex
 | SetControlIndex
 | Focused
 | PerformTab
 | FindChildControl
 | SelectNext
 | SetTempCursor
 | BroadCast
 | NotifyControls
 | DefaultHandler
 | GetTextLen
 | Invalidate
 | AddControl
 | InsertControl
 | RemoveControl
 | GetEnumeratorControls
 | GetEnumeratorControlsReverse
 | Repaint
 | Update
 | SetFocus
 | FlipChildren
 | ScaleBy
 | GetDockCaption
 | UpdateDockCaption
 | GetTabOrderList
 | HandleAllocated
 | ParentHandlesAllocated
 | HandleNeeded
 | BrushCreated
 | EraseBackground
 | IntfUTF8KeyPress
 | IntfGetDropFilesTarget
 | PaintTo
 | SetShape
TControl
pt | WSRegisterClass
pt | GetCursor
pt | SetCursor
pt | SetVisible
pt | DoOnParentHandleDestruction
pt | DoAutoSize
pt | DoAllAutoSize
pt | BeginAutoSizing
pt | EndAutoSizing
pt | AnchorSideChanged
pt | ForeignAnchorSideChanged
pt | SetAlign
pt | SetAnchors
pt | SetAutoSize
pt | BoundsChanged
pt | CreateControlBorderSpacing
pt | DoConstraintsChange
pt | DoBorderSpacingChange
pt | IsBorderSpacingInnerBorderStored
pt | IsCaptionStored
pt | SendMoveSizeMessages
pt | ConstrainedResize
pt | CalculatePreferredSize
pt | DoOnResize
pt | DoOnChangeBounds
pt | CheckOnChangeBounds
pt | Resize
pt | RequestAlign
pt | UpdateAnchorRules
pt | ChangeBounds
pt | DoSetBounds
pt | ScaleConstraints
pt | ChangeScale
pt | CanAutoSize
pt | SetBiDiMode
pt | SetParentBiDiMode
pt | IsAParentAligning
pt | GetClientOrigin
pt | GetClientRect
pt | GetLogicalClientRect
pt | GetScrolledClientRect
pt | GetClientScrollOffset
pt | GetControlOrigin
pt | IsClientHeightStored
pt | IsClientWidthStored
pt | WidthIsAnchored
pt | HeightIsAnchored
pt | WMCancelMode
pt | WMContextMenu
pt | WMLButtonDown
pt | WMRButtonDown
pt | WMMButtonDown
pt | WMXButtonDown
pt | WMLButtonDBLCLK
pt | WMRButtonDBLCLK
pt | WMMButtonDBLCLK
pt | WMXButtonDBLCLK
pt | WMLButtonTripleCLK
pt | WMRButtonTripleCLK
pt | WMMButtonTripleCLK
pt | WMXButtonTripleCLK
pt | WMLButtonQuadCLK
pt | WMRButtonQuadCLK
pt | WMMButtonQuadCLK
pt | WMXButtonQuadCLK
pt | WMMouseMove
pt | WMLButtonUp
pt | WMRButtonUp
pt | WMMButtonUp
pt | WMXButtonUp
pt | WMMouseWheel
pt | WMMouseHWheel
pt | WMMove
pt | WMSize
pt | WMWindowPosChanged
pt | CMChanged
pt | LMCaptureChanged
pt | CMBiDiModeChanged
pt | CMSysFontChanged
pt | CMEnabledChanged
pt | CMHitTest
pt | CMMouseEnter
pt | CMMouseLeave
pt | CMHintShow
pt | CMParentBiDiModeChanged
pt | CMParentColorChanged
pt | CMParentFontChanged
pt | CMParentShowHintChanged
pt | CMVisibleChanged
pt | CMTextChanged
pt | CMCursorChanged
pt | CalculateDockSizes
pt | CreateFloatingDockSite
pt | GetDockEdge
pt | GetDragImages
pt | GetFloating
pt | GetFloatingDockSiteClass
pt | BeforeDragStart
pt | BeginAutoDrag
pt | DoFloatMsg
pt | DockTrackNoTarget
pt | DoDock
pt | DoDragMsg
pt | DoEndDock
pt | DoEndDrag
pt | DoStartDock
pt | DoStartDrag
pt | DragCanceled
pt | DragOver
pt | PositionDockRect
pt | SetDragMode
pt | GetDefaultDockCaption
pt | Click
pt | DblClick
pt | TripleClick
pt | QuadClick
pt | GetMousePosFromMessage
pt | MouseDown
pt | MouseMove
pt | MouseUp
pt | MouseEnter
pt | MouseLeave
pt | DialogChar
pt | UpdateMouseCursor
pt | Changed
pt | GetPalette
pt | ChildClassAllowed
pt | ReadState
pt | Loaded
pt | LoadedAll
pt | DefineProperties
pt | AssignTo
pt | FormEndUpdated
pt | InvalidateControl
pt | FontChanged
pt | ParentFontChanged
pt | GetAction
pt | RealGetText
pt | RealSetText
pt | TextChanged
pt | GetCachedText
pt | SetAction
pt | SetColor
pt | SetEnabled
pt | SetHint
pt | SetName
pt | SetParent
pt | SetParentComponent
pt | WndProc
pt | ParentFormHandleInitialized
pt | GetMouseCapture
pt | CaptureChanged
pt | Notification
pt | CanTab
pt | GetDeviceContext
pt | GetEnabled
pt | GetPopupMenu
pt | DoOnShowHint
pt | DoMouseWheel
pt | DoMouseWheelDown
pt | DoMouseWheelUp
pt | DoMouseWheelHorz
pt | DoMouseWheelLeft
pt | DoMouseWheelRight
pt | VisibleChanging
pt | VisibleChanged
pt | EnabledChanging
pt | EnabledChanged
pt | AddHandler
pt | RemoveHandler
pt | DoCallNotifyHandler
pt | DoCallKeyEventHandler
pt | DoCallMouseWheelEventHandler
pt | DoContextPopup
pt | SetZOrder
pt | GetControlClassDefaultSize
pt | ColorIsStored
pt | DoAutoAdjustLayout
pt | DoFixDesignFontPPI
pt | DoScaleFontPPI
pt | GetActionLinkClass
pt | ActionChange
 | DragDrop
 | Dock
 | ManualDock
 | ManualFloat
 | ReplaceDockedControl
 | Docked
 | Dragging
 | GetAccessibleObject
 | CreateAccessibleObject
 | GetSelectedChildAccessibleObject
 | GetChildAccessibleObjectAtPos
 | ScaleDesignToForm
 | ScaleFormToDesign
 | Scale96ToForm
 | ScaleFormTo96
 | Scale96ToFont
 | ScaleFontTo96
 | ScaleScreenToFont
 | ScaleFontToScreen
 | Scale96ToScreen
 | ScaleScreenTo96
 | AdjustSize
 | AutoSizePhases
 | AutoSizeDelayed
 | AutoSizeDelayedReport
 | AutoSizeDelayedHandle
 | AnchorToNeighbour
 | AnchorParallel
 | AnchorHorizontalCenterTo
 | AnchorVerticalCenterTo
 | AnchorToCompanion
 | AnchorSame
 | AnchorAsAlign
 | AnchorClient
 | AnchoredControlCount
 | SetBounds
 | SetInitialBounds
 | SetBoundsKeepBase
 | GetPreferredSize
 | GetCanvasScaleFactor
 | GetDefaultWidth
 | GetDefaultHeight
 | GetDefaultColor
 | GetColorResolvingParent
 | GetRGBColorResolvingParent
 | GetSidePosition
 | CNPreferredSizeChanged
 | InvalidatePreferredSize
 | GetAnchorsDependingOnParent
 | DisableAutoSizing
 | EnableAutoSizing
 | UpdateBaseBounds
 | WriteLayoutDebugReport
 | AutoAdjustLayout
 | ShouldAutoAdjust
 | FixDesignFontsPPI
 | ScaleFontsPPI
 | Create
 | Destroy
 | BeforeDestruction
 | EditingDone
 | ExecuteDefaultAction
 | ExecuteCancelAction
 | BeginDrag
 | EndDrag
 | BringToFront
 | HasParent
 | GetParentComponent
 | IsParentOf
 | GetTopParent
 | IsVisible
 | IsControlVisible
 | IsEnabled
 | IsParentColor
 | IsParentFont
 | FormIsUpdating
 | IsProcessingPaintMsg
 | Hide
 | Refresh
 | Repaint
 | Invalidate
 | CheckChildClassAllowed
 | CheckNewParent
 | SendToBack
 | SetTempCursor
 | UpdateRolesForForm
 | ActiveDefaultControlChanged
 | GetTextBuf
 | GetTextLen
 | SetTextBuf
 | Perform
 | ScreenToClient
 | ClientToScreen
 | ScreenToControl
 | ControlToScreen
 | ClientToParent
 | ParentToClient
 | GetChildrenRect
 | Show
 | Update
 | HandleObjectShouldBeVisible
 | ParentDestroyingHandle
 | ParentHandlesAllocated
 | InitiateAction
 | ShowHelp
 | HasHelp
 | RemoveAllHandlersOfObject
 | AddHandlerOnResize
 | RemoveHandlerOnResize
 | AddHandlerOnChangeBounds
 | RemoveHandlerOnChangeBounds
 | AddHandlerOnVisibleChanging
 | RemoveHandlerOnVisibleChanging
 | AddHandlerOnVisibleChanged
 | RemoveHandlerOnVisibleChanged
 | AddHandlerOnEnabledChanged
 | RemoveHandlerOnEnableChanging
 | AddHandlerOnKeyDown
 | RemoveHandlerOnKeyDown
 | AddHandlerOnBeforeDestruction
 | RemoveHandlerOnBeforeDestruction
 | AddHandlerOnMouseWheel
 | RemoveHandlerOnMouseWheel
 | UseRightToLeftAlignment
 | UseRightToLeftReading
 | UseRightToLeftScrollBar
 | IsRightToLeft
TLCLComponent
pt | WSRegisterClass
pt | GetWSComponentClass
 | Create
 | Destroy
 | NewInstance
 | RemoveAllHandlersOfObject
 | IncLCLRefCount
 | DecLCLRefCount
TComponent
 | GetComObject
 | GetComponent
 | GetComponentCount
 | GetComponentIndex
 | Insert
 | ReadLeft
 | ReadTop
 | Remove
 | RemoveNotification
 | SetComponentIndex
 | SetReference
 | WriteLeft
 | WriteTop
 | ChangeName
 | DefineProperties
 | GetChildren
 | GetChildOwner
 | GetChildParent
 | GetOwner
 | Loaded
 | Loading
 | Notification
 | PaletteCreated
 | ReadState
 | SetAncestor
 | SetDesigning
 | SetDesignInstance
 | SetInline
 | SetName
 | SetChildOrder
 | SetParentComponent
 | Updating
 | Updated
 | UpdateRegistry
 | ValidateRename
 | ValidateContainer
 | ValidateInsert
 | QueryInterface
 | _AddRef
 | _Release
 | iicrGetComponent
 | GetTypeInfoCount
 | GetTypeInfo
 | GetIDsOfNames
 | Invoke
 | WriteState
 | Create
 | Destroy
 | BeforeDestruction
 | DestroyComponents
 | Destroying
 | ExecuteAction
 | FindComponent
 | FreeNotification
 | RemoveFreeNotification
 | FreeOnRelease
 | GetEnumerator
 | GetNamePath
 | GetParentComponent
 | HasParent
 | InsertComponent
 | RemoveComponent
 | SafeCallException
 | SetSubComponent
 | UpdateAction
 | IsImplementorOf
 | ReferenceInterface
TPersistent
 | AssignError
 | AssignTo
 | DefineProperties
 | GetOwner
 | Destroy
 | Assign
 | FPOAttachObserver
 | FPODetachObserver
 | FPONotifyObservers
 | GetNamePath
TObject
 | Create
 | Destroy
 | newinstance
 | FreeInstance
 | SafeCallException
 | DefaultHandler
 | Free
 | InitInstance
 | CleanupInstance
 | ClassType
 | ClassInfo
 | ClassName
 | ClassNameIs
 | ClassParent
 | InstanceSize
 | InheritsFrom
 | StringMessageTable
 | MethodAddress
 | MethodName
 | FieldAddress
 | AfterConstruction
 | BeforeDestruction
 | DefaultHandlerStr
 | Dispatch
 | DispatchStr
 | GetInterface
 | GetInterfaceByStr
 | GetInterfaceWeak
 | GetInterfaceEntry
 | GetInterfaceEntryByStr
 | GetInterfaceTable
 | UnitName
 | Equals
 | GetHashCode
 | ToString


pt | ActionChange (TControl)
 | ActiveDefaultControlChanged (TControl)
 | AddControl (TWinControl)
pt | AddHandler (TControl)
 | AddHandlerOnBeforeDestruction (TControl)
 | AddHandlerOnChangeBounds (TControl)
 | AddHandlerOnEnabledChanged (TControl)
 | AddHandlerOnKeyDown (TControl)
 | AddHandlerOnMouseWheel (TControl)
 | AddHandlerOnResize (TControl)
 | AddHandlerOnVisibleChanged (TControl)
 | AddHandlerOnVisibleChanging (TControl)
pt | AddRemovePageHandle (TCustomTabControl)
pt | AddRemovePageHandle (TTabControl)
pt | AdjustClientRect (TWinControl)
pt | AdjustClientRect (TTabControl)
pt | AdjustDisplayRectWithBorder (TTabControl)
 | AdjustSize (TControl)
 | AfterConstruction (TObject)
pt | AlignControls (TWinControl)
pt | AllAutoSized (TWinControl)
 | AnchorAsAlign (TControl)
 | AnchorClient (TControl)
 | AnchoredControlCount (TControl)
 | AnchorHorizontalCenterTo (TControl)
 | AnchorParallel (TControl)
 | AnchorSame (TControl)
pt | AnchorSideChanged (TControl)
 | AnchorToCompanion (TControl)
 | AnchorToNeighbour (TControl)
 | AnchorVerticalCenterTo (TControl)
 | Assign (TPersistent)
 | AssignError (TPersistent)
 | AssignTo (TPersistent)
pt | AssignTo (TControl)
 | AutoAdjustLayout (TControl)
 | AutoAdjustLayout (TWinControl)
 | AutoSizeDelayed (TControl)
 | AutoSizeDelayed (TWinControl)
 | AutoSizeDelayedHandle (TControl)
 | AutoSizeDelayedHandle (TWinControl)
 | AutoSizeDelayedReport (TControl)
 | AutoSizeDelayedReport (TWinControl)
 | AutoSizePhases (TControl)
 | AutoSizePhases (TWinControl)
 | BeforeDestruction (TObject)
 | BeforeDestruction (TComponent)
 | BeforeDestruction (TControl)
pt | BeforeDragStart (TControl)
pt | BeginAutoDrag (TControl)
pt | BeginAutoSizing (TControl)
 | BeginDrag (TControl)
 | BeginUpdate (TTabControl)
 | BeginUpdateBounds (TWinControl)
pt | BoundsChanged (TControl)
 | BringToFront (TControl)
 | BroadCast (TWinControl)
 | BrushCreated (TWinControl)
pt | CalculateDockSizes (TControl)
pt | CalculatePreferredSize (TControl)
pt | CalculatePreferredSize (TWinControl)
pt | CanAutoSize (TControl)
pt | CanChange (TCustomTabControl)
pt | CanChange (TTabControl)
 | CanChangePageIndex (TCustomTabControl)
 | CanFocus (TWinControl)
 | CanSetFocus (TWinControl)
pt | CanShowTab (TTabControl)
pt | CanTab (TControl)
pt | CanTab (TWinControl)
pt | CaptureChanged (TControl)
pt | Change (TCustomTabControl)
pt | Change (TTabControl)
pt | ChangeBounds (TControl)
pt | Changed (TControl)
 | ChangeName (TComponent)
pt | ChangeScale (TControl)
pt | ChangeScale (TWinControl)
 | CheckChildClassAllowed (TControl)
 | CheckNewParent (TControl)
pt | CheckOnChangeBounds (TControl)
pt | ChildClassAllowed (TControl)
pt | ChildClassAllowed (TWinControl)
pt | ChildHandlesCreated (TWinControl)
pt | ChildKey (TWinControl)
 | ClassInfo (TObject)
 | ClassName (TObject)
 | ClassNameIs (TObject)
 | ClassParent (TObject)
 | ClassType (TObject)
 | CleanupInstance (TObject)
pt | Click (TControl)
 | ClientRectNeedsInterfaceUpdate (TWinControl)
 | ClientToParent (TControl)
 | ClientToScreen (TControl)
pt | CMBiDiModeChanged (TControl)
pt | CMBiDiModeChanged (TWinControl)
pt | CMBorderChanged (TWinControl)
pt | CMChanged (TControl)
pt | CMCursorChanged (TControl)
pt | CMDoubleBufferedChanged (TWinControl)
pt | CMEnabledChanged (TControl)
pt | CMEnabledChanged (TWinControl)
pt | CMEnter (TWinControl)
pt | CMExit (TWinControl)
pt | CMHintShow (TControl)
pt | CMHitTest (TControl)
pt | CMMouseEnter (TControl)
pt | CMMouseLeave (TControl)
pt | CMParentBiDiModeChanged (TControl)
pt | CMParentColorChanged (TControl)
pt | CMParentDoubleBufferedChanged (TWinControl)
pt | CMParentFontChanged (TControl)
pt | CMParentShowHintChanged (TControl)
pt | CMShowHintChanged (TWinControl)
pt | CMShowingChanged (TWinControl)
pt | CMSysFontChanged (TControl)
pt | CMTextChanged (TControl)
pt | CMVisibleChanged (TControl)
pt | CMVisibleChanged (TWinControl)
pt | CNChar (TWinControl)
pt | CNKeyDown (TWinControl)
pt | CNKeyUp (TWinControl)
pt | CNNotify (TCustomTabControl)
 | CNPreferredSizeChanged (TControl)
pt | CNSysKeyDown (TWinControl)
pt | CNSysKeyUp (TWinControl)
pt | ColorIsStored (TControl)
pt | ConstrainedResize (TControl)
 | ContainsControl (TWinControl)
 | ControlAtPos (TWinControl)
pt | ControlKeyDown (TWinControl)
pt | ControlKeyUp (TWinControl)
pt | ControlsAligned (TWinControl)
 | ControlToScreen (TControl)
 | Create (TObject)
 | Create (TComponent)
 | Create (TLCLComponent)
 | Create (TControl)
 | Create (TWinControl)
 | Create (TCustomTabControl)
 | Create (TTabControl)
 | CreateAccessibleObject (TControl)
pt | CreateBrush (TWinControl)
pt | CreateControlBorderSpacing (TControl)
pt | CreateDockManager (TWinControl)
pt | CreateFloatingDockSite (TControl)
pt | CreateHandle (TWinControl)
pt | CreateParams (TWinControl)
 | CreateParented (TWinControl)
 | CreateParentedControl (TWinControl)
pt | CreateSubClass (TWinControl)
pt | CreateTabNoteBookStrings (TTabControl)
pt | CreateWnd (TWinControl)
pt | CreateWnd (TCustomTabControl)
pt | CreateWnd (TTabControl)
pt | CustomAlignInsertBefore (TWinControl)
pt | CustomAlignPosition (TWinControl)
 | CustomPage (TCustomTabControl)
pt | DblClick (TControl)
 | DecLCLRefCount (TLCLComponent)
 | DefaultHandler (TObject)
 | DefaultHandler (TWinControl)
 | DefaultHandlerStr (TObject)
 | DefineProperties (TPersistent)
 | DefineProperties (TComponent)
pt | DefineProperties (TControl)
 | Destroy (TObject)
 | Destroy (TPersistent)
 | Destroy (TComponent)
 | Destroy (TLCLComponent)
 | Destroy (TControl)
 | Destroy (TWinControl)
 | Destroy (TCustomTabControl)
 | Destroy (TTabControl)
 | DestroyComponents (TComponent)
pt | DestroyHandle (TWinControl)
pt | DestroyHandle (TTabControl)
 | Destroying (TComponent)
pt | DestroyWnd (TWinControl)
pt | DialogChar (TControl)
pt | DialogChar (TWinControl)
pt | DialogChar (TCustomTabControl)
 | DisableAlign (TWinControl)
 | DisableAutoSizing (TControl)
 | Dispatch (TObject)
 | DispatchStr (TObject)
pt | DoAddDockClient (TWinControl)
 | DoAdjustClientRectChange (TWinControl)
pt | DoAlignChildControls (TWinControl)
pt | DoAllAutoSize (TControl)
pt | DoAllAutoSize (TWinControl)
pt | DoAutoAdjustLayout (TControl)
pt | DoAutoAdjustLayout (TCustomTabControl)
pt | DoAutoSize (TControl)
pt | DoAutoSize (TWinControl)
pt | DoBorderSpacingChange (TControl)
pt | DoCallKeyEventHandler (TControl)
pt | DoCallMouseWheelEventHandler (TControl)
pt | DoCallNotifyHandler (TControl)
pt | DoChange (TCustomTabControl)
pt | DoChildSizingChange (TWinControl)
 | Dock (TControl)
 | DockDrop (TWinControl)
 | Docked (TControl)
pt | DockOver (TWinControl)
pt | DockTrackNoTarget (TControl)
 | DoCloseTabClicked (TCustomTabControl)
pt | DoConstraintsChange (TControl)
pt | DoConstraintsChange (TWinControl)
pt | DoContextPopup (TControl)
pt | DoDock (TControl)
pt | DoDockClientMsg (TWinControl)
pt | DoDockOver (TWinControl)
pt | DoDragMsg (TControl)
pt | DoDragMsg (TWinControl)
pt | DoEndDock (TControl)
pt | DoEndDrag (TControl)
pt | DoEnter (TWinControl)
pt | DoExit (TWinControl)
pt | DoFixDesignFontPPI (TControl)
pt | DoFlipChildren (TWinControl)
pt | DoFloatMsg (TControl)
pt | DoFloatMsg (TWinControl)
pt | DoGetDockCaption (TWinControl)
pt | DoKeyDownBeforeInterface (TWinControl)
pt | DoKeyPress (TWinControl)
pt | DoKeyUpBeforeInterface (TWinControl)
pt | DoMouseWheel (TControl)
pt | DoMouseWheelDown (TControl)
pt | DoMouseWheelHorz (TControl)
pt | DoMouseWheelLeft (TControl)
pt | DoMouseWheelRight (TControl)
pt | DoMouseWheelUp (TControl)
pt | DoOnChangeBounds (TControl)
pt | DoOnParentHandleDestruction (TControl)
pt | DoOnResize (TControl)
pt | DoOnShowHint (TControl)
pt | DoRemainingKeyDown (TWinControl)
pt | DoRemainingKeyUp (TWinControl)
pt | DoRemoveDockClient (TWinControl)
pt | DoScaleFontPPI (TControl)
pt | DoSendBoundsToInterface (TWinControl)
pt | DoSendShowHideToInterface (TWinControl)
pt | DoSetBounds (TControl)
pt | DoSetBounds (TWinControl)
pt | DoSetBounds (TTabControl)
pt | DoStartDock (TControl)
pt | DoStartDrag (TControl)
pt | DoUnDock (TWinControl)
pt | DoUndockClientMsg (TWinControl)
pt | DoUTF8KeyPress (TWinControl)
pt | DragCanceled (TControl)
 | DragDrop (TControl)
 | Dragging (TControl)
pt | DragOver (TControl)
 | EditingDone (TControl)
 | EnableAlign (TWinControl)
 | EnableAutoSizing (TControl)
pt | EnabledChanged (TControl)
pt | EnabledChanging (TControl)
pt | EndAutoSizing (TControl)
 | EndDrag (TControl)
 | EndUpdate (TTabControl)
 | EndUpdateBounds (TWinControl)
 | Equals (TObject)
 | EraseBackground (TWinControl)
 | ExecuteAction (TComponent)
 | ExecuteCancelAction (TControl)
 | ExecuteDefaultAction (TControl)
 | FieldAddress (TObject)
pt | FinalizeWnd (TWinControl)
 | FindChildControl (TWinControl)
 | FindComponent (TComponent)
pt | FindNextControl (TWinControl)
 | FixDesignFontsPPI (TControl)
pt | FixupTabList (TWinControl)
 | FlipChildren (TWinControl)
 | Focused (TWinControl)
pt | FontChanged (TControl)
pt | FontChanged (TWinControl)
pt | ForeignAnchorSideChanged (TControl)
pt | FormEndUpdated (TControl)
pt | FormEndUpdated (TWinControl)
 | FormIsUpdating (TControl)
 | FPOAttachObserver (TPersistent)
 | FPODetachObserver (TPersistent)
 | FPONotifyObservers (TPersistent)
 | Free (TObject)
 | FreeInstance (TObject)
 | FreeNotification (TComponent)
 | FreeOnRelease (TComponent)
 | GetAccessibleObject (TControl)
pt | GetAction (TControl)
pt | GetActionLinkClass (TControl)
pt | GetAdjustedLogicalClientRect (TWinControl)
 | GetAnchorsDependingOnParent (TControl)
pt | GetBorderStyle (TWinControl)
pt | GetCachedText (TControl)
 | GetCanvasScaleFactor (TControl)
 | GetCapabilities (TCustomTabControl)
 | GetChildAccessibleObjectAtPos (TControl)
 | GetChildOwner (TComponent)
 | GetChildParent (TComponent)
 | GetChildren (TComponent)
pt | GetChildren (TWinControl)
 | GetChildrenRect (TControl)
 | GetChildrenRect (TWinControl)
pt | GetClientOrigin (TControl)
pt | GetClientOrigin (TWinControl)
pt | GetClientRect (TControl)
pt | GetClientRect (TWinControl)
pt | GetClientScrollOffset (TControl)
 | GetColorResolvingParent (TControl)
 | GetComObject (TComponent)
 | GetComponent (TComponent)
 | GetComponentCount (TComponent)
 | GetComponentIndex (TComponent)
pt | GetControlClassDefaultSize (TControl)
pt | GetControlClassDefaultSize (TCustomTabControl)
pt | GetControlClassDefaultSize (TTabControl)
 | GetControlIndex (TWinControl)
pt | GetControlOrigin (TControl)
pt | GetControlOrigin (TWinControl)
pt | GetCursor (TControl)
 | GetDefaultColor (TControl)
pt | GetDefaultDockCaption (TControl)
 | GetDefaultHeight (TControl)
 | GetDefaultWidth (TControl)
pt | GetDeviceContext (TControl)
pt | GetDeviceContext (TWinControl)
 | GetDockCaption (TWinControl)
pt | GetDockEdge (TControl)
pt | GetDragImages (TControl)
pt | GetEnabled (TControl)
 | GetEnumerator (TComponent)
 | GetEnumeratorControls (TWinControl)
 | GetEnumeratorControlsReverse (TWinControl)
pt | GetFloating (TControl)
pt | GetFloatingDockSiteClass (TControl)
 | GetHashCode (TObject)
 | GetHitTestInfoAt (TTabControl)
 | GetIDsOfNames (TComponent)
 | GetImageIndex (TCustomTabControl)
 | GetImageIndex (TTabControl)
 | GetInterface (TObject)
 | GetInterfaceByStr (TObject)
 | GetInterfaceEntry (TObject)
 | GetInterfaceEntryByStr (TObject)
 | GetInterfaceTable (TObject)
 | GetInterfaceWeak (TObject)
pt | GetListClass (TCustomTabControl)
pt | GetLogicalClientRect (TControl)
 | GetMinimumTabHeight (TCustomTabControl)
 | GetMinimumTabWidth (TCustomTabControl)
pt | GetMouseCapture (TControl)
pt | GetMouseCapture (TWinControl)
pt | GetMousePosFromMessage (TControl)
 | GetNamePath (TPersistent)
 | GetNamePath (TComponent)
 | GetOwner (TPersistent)
 | GetOwner (TComponent)
pt | GetPage (TCustomTabControl)
pt | GetPageClass (TCustomTabControl)
pt | GetPageCount (TCustomTabControl)
pt | GetPalette (TControl)
pt | GetParentBackground (TWinControl)
 | GetParentComponent (TComponent)
 | GetParentComponent (TControl)
pt | GetParentHandle (TWinControl)
pt | GetPopupMenu (TControl)
 | GetPreferredSize (TControl)
pt | GetPreferredSizeClientFrame (TWinControl)
 | GetRGBColorResolvingParent (TControl)
pt | GetScrolledClientRect (TControl)
 | GetSelectedChildAccessibleObject (TControl)
 | GetSidePosition (TControl)
pt | GetSiteInfo (TWinControl)
 | GetTabOrderList (TWinControl)
 | GetTextBuf (TControl)
 | GetTextLen (TControl)
 | GetTextLen (TWinControl)
 | GetTopParent (TControl)
pt | GetTopParentHandle (TWinControl)
 | GetTypeInfo (TComponent)
 | GetTypeInfoCount (TComponent)
pt | GetWSComponentClass (TLCLComponent)
 | HandleAllocated (TWinControl)
 | HandleNeeded (TWinControl)
 | HandleObjectShouldBeVisible (TControl)
 | HasHelp (TControl)
 | HasParent (TComponent)
 | HasParent (TControl)
pt | HeightIsAnchored (TControl)
 | Hide (TControl)
 | iicrGetComponent (TComponent)
pt | ImageListChange (TTabControl)
 | IncLCLRefCount (TLCLComponent)
 | IndexOf (TCustomTabControl)
pt | IndexOfPageAt (TCustomTabControl)
pt | IndexOfTabAt (TCustomTabControl)
 | IndexOfTabAt (TTabControl)
 | IndexOfTabWithCaption (TTabControl)
 | InheritsFrom (TObject)
pt | InitializeWnd (TWinControl)
pt | InitializeWnd (TCustomTabControl)
 | InitiateAction (TControl)
 | InitInstance (TObject)
 | Insert (TComponent)
 | InsertComponent (TComponent)
 | InsertControl (TWinControl)
pt | InsertPage (TCustomTabControl)
 | InstanceSize (TObject)
pt | InternalSetPageIndex (TCustomTabControl)
 | IntfGetDropFilesTarget (TWinControl)
 | IntfUTF8KeyPress (TWinControl)
 | Invalidate (TControl)
 | Invalidate (TWinControl)
pt | InvalidateBoundsRealized (TWinControl)
 | InvalidateClientRectCache (TWinControl)
pt | InvalidateControl (TControl)
pt | InvalidatePreferredChildSizes (TWinControl)
 | InvalidatePreferredSize (TControl)
 | Invoke (TComponent)
pt | IsAParentAligning (TControl)
pt | IsBorderSpacingInnerBorderStored (TControl)
pt | IsCaptionStored (TControl)
pt | IsClientHeightStored (TControl)
pt | IsClientHeightStored (TWinControl)
pt | IsClientWidthStored (TControl)
pt | IsClientWidthStored (TWinControl)
pt | IsControlMouseMsg (TWinControl)
 | IsControlVisible (TControl)
 | IsEnabled (TControl)
 | IsImplementorOf (TComponent)
 | IsParentColor (TControl)
 | IsParentFont (TControl)
 | IsParentOf (TControl)
 | IsProcessingPaintMsg (TControl)
 | IsRightToLeft (TControl)
 | IsUpdating (TTabControl)
 | IsVisible (TControl)
pt | KeyDown (TWinControl)
pt | KeyDown (TCustomTabControl)
pt | KeyDownAfterInterface (TWinControl)
pt | KeyDownBeforeInterface (TWinControl)
pt | KeyPress (TWinControl)
pt | KeyUp (TWinControl)
pt | KeyUpAfterInterface (TWinControl)
pt | KeyUpBeforeInterface (TWinControl)
pt | LMCaptureChanged (TControl)
 | Loaded (TComponent)
pt | Loaded (TControl)
pt | Loaded (TWinControl)
pt | Loaded (TCustomTabControl)
pt | LoadedAll (TControl)
 | Loading (TComponent)
 | LockRealizeBounds (TWinControl)
pt | MainWndProc (TWinControl)
 | ManualDock (TControl)
 | ManualFloat (TControl)
 | MethodAddress (TObject)
 | MethodName (TObject)
pt | MouseDown (TControl)
pt | MouseEnter (TControl)
pt | MouseLeave (TControl)
pt | MouseMove (TControl)
pt | MouseUp (TControl)
 | newinstance (TObject)
 | NewInstance (TLCLComponent)
 | Notification (TComponent)
pt | Notification (TControl)
pt | Notification (TCustomTabControl)
pt | Notification (TTabControl)
 | NotifyControls (TWinControl)
 | PageToTabIndex (TCustomTabControl)
pt | Paint (TTabControl)
pt | PaintControls (TWinControl)
pt | PaintHandler (TWinControl)
 | PaintTo (TWinControl)
pt | PaintWindow (TWinControl)
pt | PaintWindow (TTabControl)
 | PaletteCreated (TComponent)
 | ParentDestroyingHandle (TControl)
pt | ParentFontChanged (TControl)
pt | ParentFormHandleInitialized (TControl)
pt | ParentFormHandleInitialized (TWinControl)
 | ParentHandlesAllocated (TControl)
 | ParentHandlesAllocated (TWinControl)
 | ParentToClient (TControl)
 | Perform (TControl)
 | PerformTab (TWinControl)
pt | PositionDockRect (TControl)
pt | QuadClick (TControl)
 | QueryInterface (TComponent)
 | ReadLeft (TComponent)
 | ReadState (TComponent)
pt | ReadState (TControl)
pt | ReadState (TCustomTabControl)
 | ReadTop (TComponent)
pt | RealGetText (TControl)
pt | RealGetText (TWinControl)
 | ReAlign (TWinControl)
pt | RealizeBounds (TWinControl)
pt | RealizeBoundsRecursive (TWinControl)
pt | RealSetText (TControl)
pt | RealSetText (TWinControl)
 | ReferenceInterface (TComponent)
 | Refresh (TControl)
pt | ReloadDockedControl (TWinControl)
 | Remove (TComponent)
 | RemoveAllHandlersOfObject (TLCLComponent)
 | RemoveAllHandlersOfObject (TControl)
 | RemoveComponent (TComponent)
 | RemoveControl (TWinControl)
pt | RemoveFocus (TWinControl)
 | RemoveFreeNotification (TComponent)
pt | RemoveHandler (TControl)
 | RemoveHandlerOnBeforeDestruction (TControl)
 | RemoveHandlerOnChangeBounds (TControl)
 | RemoveHandlerOnEnableChanging (TControl)
 | RemoveHandlerOnKeyDown (TControl)
 | RemoveHandlerOnMouseWheel (TControl)
 | RemoveHandlerOnResize (TControl)
 | RemoveHandlerOnVisibleChanged (TControl)
 | RemoveHandlerOnVisibleChanging (TControl)
 | RemoveNotification (TComponent)
pt | RemovePage (TCustomTabControl)
 | Repaint (TControl)
 | Repaint (TWinControl)
 | ReplaceDockedControl (TControl)
pt | RequestAlign (TControl)
pt | Resize (TControl)
 | RowCount (TTabControl)
 | SafeCallException (TObject)
 | SafeCallException (TComponent)
 | Scale96ToFont (TControl)
 | Scale96ToForm (TControl)
 | Scale96ToScreen (TControl)
 | ScaleBy (TWinControl)
pt | ScaleConstraints (TControl)
pt | ScaleControls (TWinControl)
 | ScaleDesignToForm (TControl)
 | ScaleFontsPPI (TControl)
 | ScaleFontTo96 (TControl)
 | ScaleFontToScreen (TControl)
 | ScaleFormTo96 (TControl)
 | ScaleFormToDesign (TControl)
 | ScaleScreenTo96 (TControl)
 | ScaleScreenToFont (TControl)
 | ScreenToClient (TControl)
 | ScreenToControl (TControl)
 | ScrollBy (TWinControl)
 | ScrollBy_WS (TWinControl)
 | ScrollTabs (TTabControl)
pt | SelectFirst (TWinControl)
 | SelectNext (TWinControl)
pt | SendDialogChar (TWinControl)
pt | SendMoveSizeMessages (TControl)
pt | SendMoveSizeMessages (TWinControl)
 | SendToBack (TControl)
pt | SetAction (TControl)
pt | SetAlign (TControl)
 | SetAncestor (TComponent)
pt | SetAnchors (TControl)
pt | SetAutoSize (TControl)
pt | SetBiDiMode (TControl)
pt | SetBorderStyle (TWinControl)
 | SetBounds (TControl)
 | SetBounds (TWinControl)
 | SetBoundsKeepBase (TControl)
 | SetChildOrder (TComponent)
pt | SetChildZPosition (TWinControl)
pt | SetColor (TControl)
pt | SetColor (TWinControl)
 | SetComponentIndex (TComponent)
 | SetControlIndex (TWinControl)
pt | SetCursor (TControl)
 | SetDesigning (TComponent)
 | SetDesignInstance (TComponent)
pt | SetDockManager (TWinControl)
pt | SetDragMode (TControl)
pt | SetDragMode (TTabControl)
pt | SetEnabled (TControl)
 | SetFocus (TWinControl)
pt | SetHint (TControl)
 | SetInitialBounds (TControl)
 | SetInline (TComponent)
 | SetName (TComponent)
pt | SetName (TControl)
pt | SetOptions (TCustomTabControl)
pt | SetOptions (TTabControl)
pt | SetParent (TControl)
pt | SetParentBackground (TWinControl)
pt | SetParentBiDiMode (TControl)
 | SetParentComponent (TComponent)
pt | SetParentComponent (TControl)
 | SetReference (TComponent)
 | SetShape (TWinControl)
 | SetSubComponent (TComponent)
pt | SetTabIndex (TTabControl)
 | SetTempCursor (TControl)
 | SetTempCursor (TWinControl)
 | SetTextBuf (TControl)
pt | SetVisible (TControl)
pt | SetZOrder (TControl)
 | ShouldAutoAdjust (TControl)
 | Show (TControl)
pt | ShowControl (TWinControl)
pt | ShowControl (TCustomTabControl)
 | ShowHelp (TControl)
 | StringMessageTable (TObject)
 | TabRect (TCustomTabControl)
 | TabRect (TTabControl)
 | TabToPageIndex (TCustomTabControl)
pt | TextChanged (TControl)
 | ToString (TObject)
pt | TripleClick (TControl)
 | UnitName (TObject)
 | UnlockRealizeBounds (TWinControl)
 | Update (TControl)
 | Update (TWinControl)
 | UpdateAction (TComponent)
pt | UpdateAnchorRules (TControl)
 | UpdateBaseBounds (TControl)
pt | UpdateControlState (TWinControl)
 | Updated (TComponent)
 | UpdateDockCaption (TWinControl)
pt | UpdateMouseCursor (TControl)
 | UpdateRegistry (TComponent)
 | UpdateRolesForForm (TControl)
pt | UpdateShowing (TWinControl)
pt | UpdateTabImages (TTabControl)
pt | UpdateTabProperties (TCustomTabControl)
 | Updating (TComponent)
 | UseRightToLeftAlignment (TControl)
 | UseRightToLeftReading (TControl)
 | UseRightToLeftScrollBar (TControl)
pt | UTF8KeyPress (TWinControl)
 | ValidateContainer (TComponent)
 | ValidateInsert (TComponent)
 | ValidateRename (TComponent)
pt | VisibleChanged (TControl)
pt | VisibleChanging (TControl)
pt | WidthIsAnchored (TControl)
pt | WMCancelMode (TControl)
pt | WMChar (TWinControl)
pt | WMContextMenu (TControl)
pt | WMContextMenu (TWinControl)
pt | WMDestroy (TWinControl)
pt | WMEnter (TWinControl)
pt | WMEraseBkgnd (TWinControl)
pt | WMExit (TWinControl)
pt | WMKeyDown (TWinControl)
pt | WMKeyUp (TWinControl)
pt | WMKillFocus (TWinControl)
pt | WMLButtonDBLCLK (TControl)
pt | WMLButtonDown (TControl)
pt | WMLButtonQuadCLK (TControl)
pt | WMLButtonTripleCLK (TControl)
pt | WMLButtonUp (TControl)
pt | WMMButtonDBLCLK (TControl)
pt | WMMButtonDown (TControl)
pt | WMMButtonQuadCLK (TControl)
pt | WMMButtonTripleCLK (TControl)
pt | WMMButtonUp (TControl)
pt | WMMouseHWheel (TControl)
pt | WMMouseMove (TControl)
pt | WMMouseWheel (TControl)
pt | WMMove (TControl)
pt | WMMove (TWinControl)
pt | WMNotify (TWinControl)
pt | WMPaint (TWinControl)
pt | WMRButtonDBLCLK (TControl)
pt | WMRButtonDown (TControl)
pt | WMRButtonQuadCLK (TControl)
pt | WMRButtonTripleCLK (TControl)
pt | WMRButtonUp (TControl)
pt | WMSetFocus (TWinControl)
pt | WMShowWindow (TWinControl)
pt | WMSize (TControl)
pt | WMSize (TWinControl)
pt | WMSysChar (TWinControl)
pt | WMSysKeyDown (TWinControl)
pt | WMSysKeyUp (TWinControl)
pt | WMWindowPosChanged (TControl)
pt | WMWindowPosChanged (TWinControl)
pt | WMXButtonDBLCLK (TControl)
pt | WMXButtonDown (TControl)
pt | WMXButtonQuadCLK (TControl)
pt | WMXButtonTripleCLK (TControl)
pt | WMXButtonUp (TControl)
pt | WndProc (TControl)
pt | WndProc (TWinControl)
 | WriteLayoutDebugReport (TControl)
 | WriteLayoutDebugReport (TWinControl)
 | WriteLeft (TComponent)
 | WriteState (TComponent)
 | WriteTop (TComponent)
pt | WSRegisterClass (TLCLComponent)
pt | WSRegisterClass (TControl)
pt | WSRegisterClass (TWinControl)
pt | WSRegisterClass (TCustomTabControl)
pt | WSSetText (TWinControl)
 | _AddRef (TComponent)
 | _Release (TComponent)


TTabControl
pl |  | OnChange
pl | ro | OnChanging
pl | ro | OnGetImageIndex
pl | ro | OnChangeBounds
pl | ro | OnContextPopup
pl | ro | OnDockDrop
pl | ro | OnDockOver
pl | ro | OnDragDrop
pl | ro | OnDragOver
pl | ro | OnEndDock
pl | ro | OnEndDrag
pl | ro | OnEnter
pl | ro | OnExit
pl | ro | OnGetSiteInfo
pl | ro | OnMouseDown
pl | ro | OnMouseEnter
pl | ro | OnMouseLeave
pl | ro | OnMouseMove
pl | ro | OnMouseUp
pl | ro | OnMouseWheel
pl | ro | OnMouseWheelDown
pl | ro | OnMouseWheelUp
pl | ro | OnResize
pl | ro | OnStartDock
pl | ro | OnStartDrag
pl | ro | OnUnDock
TCustomTabControl
pt |  | OnChange
 |  | OnChanging
 |  | OnCloseTabClicked
 |  | OnGetImageIndex
TWinControl
pt |  | OnGetSiteInfo
pt |  | OnGetDockCaption
 |  | OnAlignInsertBefore
 |  | OnAlignPosition
 |  | OnDockDrop
 |  | OnDockOver
 |  | OnEnter
 |  | OnExit
 |  | OnKeyDown
 |  | OnKeyPress
 |  | OnKeyUp
 |  | OnUnDock
 |  | OnUTF8KeyPress
TControl
pt |  | OnConstrainedResize
pt |  | OnContextPopup
pt |  | OnDblClick
pt |  | OnTripleClick
pt |  | OnQuadClick
pt |  | OnDragDrop
pt |  | OnDragOver
pt |  | OnEndDock
pt |  | OnEndDrag
pt |  | OnMouseDown
pt |  | OnMouseMove
pt |  | OnMouseUp
pt |  | OnMouseEnter
pt |  | OnMouseLeave
pt |  | OnMouseWheel
pt |  | OnMouseWheelDown
pt |  | OnMouseWheelUp
pt |  | OnMouseWheelHorz
pt |  | OnMouseWheelLeft
pt |  | OnMouseWheelRight
pt |  | OnStartDock
pt |  | OnStartDrag
pt |  | OnEditingDone
 |  | OnChangeBounds
 |  | OnClick
 |  | OnResize
 |  | OnShowHint
TLCLComponent
TComponent
TPersistent
TObject


pt |  | OnChange (TCustomTabControl)
pl |  | OnChange (TTabControl)
 |  | OnChangeBounds (TControl)
pl | ro | OnChangeBounds (TTabControl)
 |  | OnChanging (TCustomTabControl)
pl | ro | OnChanging (TTabControl)
 |  | OnClick (TControl)
 |  | OnCloseTabClicked (TCustomTabControl)
pt |  | OnConstrainedResize (TControl)
pt |  | OnContextPopup (TControl)
pl | ro | OnContextPopup (TTabControl)
pt |  | OnDblClick (TControl)
 |  | OnDockDrop (TWinControl)
pl | ro | OnDockDrop (TTabControl)
 |  | OnDockOver (TWinControl)
pl | ro | OnDockOver (TTabControl)
pt |  | OnDragDrop (TControl)
pl | ro | OnDragDrop (TTabControl)
pt |  | OnDragOver (TControl)
pl | ro | OnDragOver (TTabControl)
pt |  | OnEditingDone (TControl)
pt |  | OnEndDock (TControl)
pl | ro | OnEndDock (TTabControl)
pt |  | OnEndDrag (TControl)
pl | ro | OnEndDrag (TTabControl)
 |  | OnEnter (TWinControl)
pl | ro | OnEnter (TTabControl)
 |  | OnExit (TWinControl)
pl | ro | OnExit (TTabControl)
pt |  | OnGetDockCaption (TWinControl)
 |  | OnGetImageIndex (TCustomTabControl)
pl | ro | OnGetImageIndex (TTabControl)
pt |  | OnGetSiteInfo (TWinControl)
pl | ro | OnGetSiteInfo (TTabControl)
 |  | OnKeyDown (TWinControl)
 |  | OnKeyPress (TWinControl)
 |  | OnKeyUp (TWinControl)
pt |  | OnMouseDown (TControl)
pl | ro | OnMouseDown (TTabControl)
pt |  | OnMouseEnter (TControl)
pl | ro | OnMouseEnter (TTabControl)
pt |  | OnMouseLeave (TControl)
pl | ro | OnMouseLeave (TTabControl)
pt |  | OnMouseMove (TControl)
pl | ro | OnMouseMove (TTabControl)
pt |  | OnMouseUp (TControl)
pl | ro | OnMouseUp (TTabControl)
pt |  | OnMouseWheel (TControl)
pl | ro | OnMouseWheel (TTabControl)
pt |  | OnMouseWheelDown (TControl)
pl | ro | OnMouseWheelDown (TTabControl)
pt |  | OnMouseWheelHorz (TControl)
pt |  | OnMouseWheelLeft (TControl)
pt |  | OnMouseWheelRight (TControl)
pt |  | OnMouseWheelUp (TControl)
pl | ro | OnMouseWheelUp (TTabControl)
pt |  | OnQuadClick (TControl)
 |  | OnResize (TControl)
pl | ro | OnResize (TTabControl)
 |  | OnShowHint (TControl)
pt |  | OnStartDock (TControl)
pl | ro | OnStartDock (TTabControl)
pt |  | OnStartDrag (TControl)
pl | ro | OnStartDrag (TTabControl)
pt |  | OnTripleClick (TControl)
 |  | OnUnDock (TWinControl)
pl | ro | OnUnDock (TTabControl)
 |  | OnUTF8KeyPress (TWinControl)


TTabControl.AdjustClientRect

Declaration

Source position: comctrls.pp line 839

protected procedure TTabControl.AdjustClientRect(

  var ARect: TRect

); override;


TTabControl.AdjustDisplayRectWithBorder

Declaration

Source position: comctrls.pp line 838

protected procedure TTabControl.AdjustDisplayRectWithBorder(

  var ARect: TRect

); virtual;


TTabControl.BeginUpdate

Declaration

Source position: comctrls.pp line 852

public procedure TTabControl.BeginUpdate;


TTabControl.BiDiMode

Declaration

Source position: comctrls.pp line 880

published property TTabControl.BiDiMode : TBiDiMode;


TTabControl.CanShowTab

Declaration

Source position: comctrls.pp line 825

protected function TTabControl.CanShowTab(

  ATabIndex: Integer

):Boolean; virtual;


TTabControl.CreateTabNoteBookStrings

Declaration

Source position: comctrls.pp line 840

protected function TTabControl.CreateTabNoteBookStrings: TTabControlNoteBookStrings; virtual;


TTabControl.DestroyHandle

Declaration

Source position: comctrls.pp line 828

protected procedure TTabControl.DestroyHandle; override;


TTabControl.DoSetBounds

Declaration

Source position: comctrls.pp line 834

protected procedure TTabControl.DoSetBounds(

  ALeft: Integer;

  ATop: Integer;

  AWidth: Integer;

  AHeight: Integer

); override;


TTabControl.EndUpdate

Declaration

Source position: comctrls.pp line 853

public procedure TTabControl.EndUpdate;


TTabControl.GetHitTestInfoAt

Declaration

Source position: comctrls.pp line 846

public function TTabControl.GetHitTestInfoAt(

  X: Integer;

  Y: Integer

):THitTests;


TTabControl.ImageListChange

Declaration

Source position: comctrls.pp line 833

protected procedure TTabControl.ImageListChange(

  Sender: TObject

);


TTabControl.ImagesWidth

Declaration

Source position: comctrls.pp line 860

published property TTabControl.ImagesWidth : Integer;


TTabControl.IndexOfTabWithCaption

Declaration

Source position: comctrls.pp line 848

public function TTabControl.IndexOfTabWithCaption(

  const TabCaption: string

):Integer;


TTabControl.IsUpdating

Declaration

Source position: comctrls.pp line 854

public function TTabControl.IsUpdating: Boolean;


TTabControl.OnGetSiteInfo

OnGetSiteInfo - event handler for getting information about the current site

Declaration

Source position: comctrls.pp line 899

published property TTabControl.OnGetSiteInfo : TGetSiteInfoEvent;


TTabControl.OnMouseEnter

Declaration

Source position: comctrls.pp line 901

published property TTabControl.OnMouseEnter : TNotifyEvent;


TTabControl.OnMouseLeave

Declaration

Source position: comctrls.pp line 902

published property TTabControl.OnMouseLeave : TNotifyEvent;


TTabControl.OnMouseWheel

Declaration

Source position: comctrls.pp line 905

published property TTabControl.OnMouseWheel : TMouseWheelEvent;


TTabControl.OnMouseWheelDown

Declaration

Source position: comctrls.pp line 906

published property TTabControl.OnMouseWheelDown : TMouseWheelUpDownEvent;


TTabControl.OnMouseWheelUp

Declaration

Source position: comctrls.pp line 907

published property TTabControl.OnMouseWheelUp : TMouseWheelUpDownEvent;


TTabControl.Paint

Declaration

Source position: comctrls.pp line 837

protected procedure TTabControl.Paint; virtual;


TTabControl.PaintWindow

Declaration

Source position: comctrls.pp line 836

protected procedure TTabControl.PaintWindow(

  DC: HDC

); override;


TTabControl.ParentBiDiMode

Declaration

Source position: comctrls.pp line 912

published property TTabControl.ParentBiDiMode : Boolean;


TTabControl.RowCount

Declaration

Source position: comctrls.pp line 850

public function TTabControl.RowCount: Integer;


TTabControl.ScrollTabs

Declaration

Source position: comctrls.pp line 851

public procedure TTabControl.ScrollTabs(

  Delta: Integer

);


TTabControl.SetDragMode

Declaration

Source position: comctrls.pp line 830

protected procedure TTabControl.SetDragMode(

  Value: TDragMode

); override;


TTabControl.SetTabIndex

Declaration

Source position: comctrls.pp line 831

protected procedure TTabControl.SetTabIndex(

  Value: Integer

); virtual;


TTabControl.UpdateTabImages

Declaration

Source position: comctrls.pp line 832

protected procedure TTabControl.UpdateTabImages;


TTabControlNoteBookStrings

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

TTabControlNoteBookStrings - instance of TTabControlStrings for use with a TNoteBook

Declaration

Source position: comctrls.pp line 743

type TTabControlNoteBookStrings = class(TTabControlStrings)
protected
function GetInternalTabControllClass; virtual;
function Get(); override; | Get returns the text string found on the indexed page
function GetCount; override; |
function GetObject(); override; | GetObject returns the indexed object from the paged notebook
function GetTabIndex; override; | GetTabIndex - returns the Index value of the current Tab
function GetTabPosition;
procedure NBChanging(); virtual; | NBChanging - method for dealing with the process for change in a NoteBook
procedure NBGetImageIndex(); virtual; | NBGetImageIndex - obtains the Image Index associated with a given Tab Index in the NoteBook
procedure NBPageChanged(); virtual; | NBPageChanged - Method for dealing with a NoteBook page that has changed
procedure NBHandleCreated();
procedure Put(); override; | Put writes the supplied string to the indexed page of the notebook
procedure PutObject(); override; | PutObject stores the supplied object at the indexed place in the paged notebook
procedure SetImages(); override; | SetImages - if the supplied ImageList is of correct type, stores it in the notebook Images area
procedure SetMultiLine(); override;
procedure SetTabIndex(); override; | SetTabIndex - specfies an index value for a tab
procedure SetUpdateState(); override; | SetUpdateState - if Updating is True, calls BeginUpdate; otherwise calls EndUpdate
procedure SetTabPosition();
public
constructor Create(); override; | Create - constructor for TTabControlNoteBookStrings: calls inherited Create then sets some default Actions
destructor Destroy; override; | Destroy - destructor for TTabControlNoteBookStrings: frees NoteBook then calls inherited Destroy
procedure Clear; override; | Clear calls the Clear method for the client Notebook
procedure Delete(); override; | Delete calls the Delete method for the client NoteBook
procedure Insert(); override; | Insert calls the Insert method for the client NoteBok
function GetSize; override; | GetSize - returns the size of the tab string
procedure TabControlBoundsChange; override; | TabControlBoundsChange - method for dealing with a change in the bounds of a Tab Control
function IndexOfTabAt(); override; | IndexOfTabAt - returns the Index value of the tab at the specified location X, Y
property TabPosition: TTabPosition; [rw]
property Style: TTabStyle; [rw]
property NoteBook: TCustomTabControl; [r] | The NoteBook for which the tab strings are to be used
end;

Inheritance

TTabControlNoteBookStrings | TTabControlNoteBookStrings - instance of TTabControlStrings for use with a TNoteBook
|
TTabControlStrings | TTabControlStrings - the Strings that appear on the tabs of TTabControl
|
TStrings
|
TPersistent,IFPObserved
|
TObject


TTabControlNoteBookStrings
 |  | TabPosition
 |  | Style
 | ro | NoteBook
TTabControlStrings
 | ro | TabControl
 |  | TabIndex
 |  | HotTrack
 |  | Images
 |  | MultiLine
 |  | MultiSelect
 |  | OwnerDraw
 |  | RaggedRight
 |  | ScrollOpposite
TStrings
 | ro | UpdateCount
 |  | TextLineBreakStyle
 |  | Delimiter
 |  | DelimitedText
 |  | LineBreak
 |  | StrictDelimiter
 |  | QuoteChar
 |  | NameValueSeparator
 |  | ValueFromIndex
 |  | Capacity
 |  | CommaText
 | ro | Count
 | ro | Names
 |  | Objects
 |  | Values
 |  | Strings
 |  | Text
 |  | StringsAdapter
 |  | SkipLastLineBreak
TPersistent
TObject


ro | Count (TStrings)
 | DelimitedText (TStrings)
 | Delimiter (TStrings)
 | HotTrack (TTabControlStrings)
 | Images (TTabControlStrings)
 | LineBreak (TStrings)
 | MultiLine (TTabControlStrings)
 | MultiSelect (TTabControlStrings)
ro | Names (TStrings)
 | NameValueSeparator (TStrings)
ro | NoteBook (TTabControlNoteBookStrings)
 | Objects (TStrings)
 | OwnerDraw (TTabControlStrings)
 | QuoteChar (TStrings)
 | RaggedRight (TTabControlStrings)
 | ScrollOpposite (TTabControlStrings)
 | SkipLastLineBreak (TStrings)
 | StrictDelimiter (TStrings)
 | Strings (TStrings)
 | StringsAdapter (TStrings)
 | Style (TTabControlNoteBookStrings)
ro | TabControl (TTabControlStrings)
 | TabIndex (TTabControlStrings)
 | TabPosition (TTabControlNoteBookStrings)
 | Text (TStrings)
 | TextLineBreakStyle (TStrings)
ro | UpdateCount (TStrings)
 | ValueFromIndex (TStrings)
 | Values (TStrings)


TTabControlNoteBookStrings
pt | GetInternalTabControllClass
pt | Get
pt | GetCount
pt | GetObject
pt | GetTabIndex
pt | GetTabPosition
pt | NBChanging
pt | NBGetImageIndex
pt | NBPageChanged
pt | NBHandleCreated
pt | Put
pt | PutObject
pt | SetImages
pt | SetMultiLine
pt | SetTabIndex
pt | SetUpdateState
pt | SetTabPosition
 | Create
 | Destroy
 | Clear
 | Delete
 | Insert
 | GetSize
 | TabControlBoundsChange
 | IndexOfTabAt
TTabControlStrings
pt | GetTabIndex
pt | SetHotTrack
pt | SetImages
pt | SetMultiLine
pt | SetMultiSelect
pt | SetOwnerDraw
pt | SetRaggedRight
pt | SetScrollOpposite
pt | SetTabIndex
 | Create
 | GetHitTestInfoAt
 | GetSize
 | IndexOfTabAt
 | RowCount
 | TabRect
 | ImageListChange
 | ScrollTabs
 | TabControlBoundsChange
 | UpdateTabImages
 | BeginUpdate
 | EndUpdate
 | IsUpdating
TStrings
 | GetCommaText
 | GetName
 | GetValue
 | GetLBS
 | SetLBS
 | ReadData
 | SetCommaText
 | SetStringsAdapter
 | SetValue
 | SetDelimiter
 | SetQuoteChar
 | SetNameValueSeparator
 | WriteData
 | DoSetTextStr
 | GetDelimiter
 | GetNameValueSeparator
 | GetQuoteChar
 | GetLineBreak
 | SetLineBreak
 | GetSkipLastLineBreak
 | SetSkipLastLineBreak
 | DefineProperties
 | Error
 | Get
 | GetCapacity
 | GetCount
 | GetObject
 | GetTextStr
 | Put
 | PutObject
 | SetCapacity
 | SetTextStr
 | SetUpdateState
 | DoCompareText
 | GetDelimitedText
 | SetDelimitedText
 | GetValueFromIndex
 | SetValueFromIndex
 | CheckSpecialChars
 | GetNextLine
 | GetNextLinebreak
 | Destroy
 | Add
 | AddObject
 | Append
 | AddStrings
 | AddText
 | Assign
 | BeginUpdate
 | Clear
 | Delete
 | EndUpdate
 | Equals
 | Exchange
 | GetEnumerator
 | GetText
 | IndexOf
 | IndexOfName
 | IndexOfObject
 | Insert
 | InsertObject
 | LoadFromFile
 | LoadFromStream
 | Move
 | SaveToFile
 | SaveToStream
 | SetText
 | GetNameValue
 | ExtractName
TPersistent
 | AssignError
 | AssignTo
 | DefineProperties
 | GetOwner
 | Destroy
 | Assign
 | FPOAttachObserver
 | FPODetachObserver
 | FPONotifyObservers
 | GetNamePath
TObject
 | Create
 | Destroy
 | newinstance
 | FreeInstance
 | SafeCallException
 | DefaultHandler
 | Free
 | InitInstance
 | CleanupInstance
 | ClassType
 | ClassInfo
 | ClassName
 | ClassNameIs
 | ClassParent
 | InstanceSize
 | InheritsFrom
 | StringMessageTable
 | MethodAddress
 | MethodName
 | FieldAddress
 | AfterConstruction
 | BeforeDestruction
 | DefaultHandlerStr
 | Dispatch
 | DispatchStr
 | GetInterface
 | GetInterfaceByStr
 | GetInterfaceWeak
 | GetInterfaceEntry
 | GetInterfaceEntryByStr
 | GetInterfaceTable
 | UnitName
 | Equals
 | GetHashCode
 | ToString


 | Add (TStrings)
 | AddObject (TStrings)
 | AddStrings (TStrings)
 | AddText (TStrings)
 | AfterConstruction (TObject)
 | Append (TStrings)
 | Assign (TPersistent)
 | Assign (TStrings)
 | AssignError (TPersistent)
 | AssignTo (TPersistent)
 | BeforeDestruction (TObject)
 | BeginUpdate (TStrings)
 | BeginUpdate (TTabControlStrings)
 | CheckSpecialChars (TStrings)
 | ClassInfo (TObject)
 | ClassName (TObject)
 | ClassNameIs (TObject)
 | ClassParent (TObject)
 | ClassType (TObject)
 | CleanupInstance (TObject)
 | Clear (TStrings)
 | Clear (TTabControlNoteBookStrings)
 | Create (TObject)
 | Create (TTabControlStrings)
 | Create (TTabControlNoteBookStrings)
 | DefaultHandler (TObject)
 | DefaultHandlerStr (TObject)
 | DefineProperties (TPersistent)
 | DefineProperties (TStrings)
 | Delete (TStrings)
 | Delete (TTabControlNoteBookStrings)
 | Destroy (TObject)
 | Destroy (TPersistent)
 | Destroy (TStrings)
 | Destroy (TTabControlNoteBookStrings)
 | Dispatch (TObject)
 | DispatchStr (TObject)
 | DoCompareText (TStrings)
 | DoSetTextStr (TStrings)
 | EndUpdate (TStrings)
 | EndUpdate (TTabControlStrings)
 | Equals (TObject)
 | Equals (TStrings)
 | Error (TStrings)
 | Exchange (TStrings)
 | ExtractName (TStrings)
 | FieldAddress (TObject)
 | FPOAttachObserver (TPersistent)
 | FPODetachObserver (TPersistent)
 | FPONotifyObservers (TPersistent)
 | Free (TObject)
 | FreeInstance (TObject)
 | Get (TStrings)
pt | Get (TTabControlNoteBookStrings)
 | GetCapacity (TStrings)
 | GetCommaText (TStrings)
 | GetCount (TStrings)
pt | GetCount (TTabControlNoteBookStrings)
 | GetDelimitedText (TStrings)
 | GetDelimiter (TStrings)
 | GetEnumerator (TStrings)
 | GetHashCode (TObject)
 | GetHitTestInfoAt (TTabControlStrings)
 | GetInterface (TObject)
 | GetInterfaceByStr (TObject)
 | GetInterfaceEntry (TObject)
 | GetInterfaceEntryByStr (TObject)
 | GetInterfaceTable (TObject)
 | GetInterfaceWeak (TObject)
pt | GetInternalTabControllClass (TTabControlNoteBookStrings)
 | GetLBS (TStrings)
 | GetLineBreak (TStrings)
 | GetName (TStrings)
 | GetNamePath (TPersistent)
 | GetNameValue (TStrings)
 | GetNameValueSeparator (TStrings)
 | GetNextLine (TStrings)
 | GetNextLinebreak (TStrings)
 | GetObject (TStrings)
pt | GetObject (TTabControlNoteBookStrings)
 | GetOwner (TPersistent)
 | GetQuoteChar (TStrings)
 | GetSize (TTabControlStrings)
 | GetSize (TTabControlNoteBookStrings)
 | GetSkipLastLineBreak (TStrings)
pt | GetTabIndex (TTabControlStrings)
pt | GetTabIndex (TTabControlNoteBookStrings)
pt | GetTabPosition (TTabControlNoteBookStrings)
 | GetText (TStrings)
 | GetTextStr (TStrings)
 | GetValue (TStrings)
 | GetValueFromIndex (TStrings)
 | ImageListChange (TTabControlStrings)
 | IndexOf (TStrings)
 | IndexOfName (TStrings)
 | IndexOfObject (TStrings)
 | IndexOfTabAt (TTabControlStrings)
 | IndexOfTabAt (TTabControlNoteBookStrings)
 | InheritsFrom (TObject)
 | InitInstance (TObject)
 | Insert (TStrings)
 | Insert (TTabControlNoteBookStrings)
 | InsertObject (TStrings)
 | InstanceSize (TObject)
 | IsUpdating (TTabControlStrings)
 | LoadFromFile (TStrings)
 | LoadFromStream (TStrings)
 | MethodAddress (TObject)
 | MethodName (TObject)
 | Move (TStrings)
pt | NBChanging (TTabControlNoteBookStrings)
pt | NBGetImageIndex (TTabControlNoteBookStrings)
pt | NBHandleCreated (TTabControlNoteBookStrings)
pt | NBPageChanged (TTabControlNoteBookStrings)
 | newinstance (TObject)
 | Put (TStrings)
pt | Put (TTabControlNoteBookStrings)
 | PutObject (TStrings)
pt | PutObject (TTabControlNoteBookStrings)
 | ReadData (TStrings)
 | RowCount (TTabControlStrings)
 | SafeCallException (TObject)
 | SaveToFile (TStrings)
 | SaveToStream (TStrings)
 | ScrollTabs (TTabControlStrings)
 | SetCapacity (TStrings)
 | SetCommaText (TStrings)
 | SetDelimitedText (TStrings)
 | SetDelimiter (TStrings)
pt | SetHotTrack (TTabControlStrings)
pt | SetImages (TTabControlStrings)
pt | SetImages (TTabControlNoteBookStrings)
 | SetLBS (TStrings)
 | SetLineBreak (TStrings)
pt | SetMultiLine (TTabControlStrings)
pt | SetMultiLine (TTabControlNoteBookStrings)
pt | SetMultiSelect (TTabControlStrings)
 | SetNameValueSeparator (TStrings)
pt | SetOwnerDraw (TTabControlStrings)
 | SetQuoteChar (TStrings)
pt | SetRaggedRight (TTabControlStrings)
pt | SetScrollOpposite (TTabControlStrings)
 | SetSkipLastLineBreak (TStrings)
 | SetStringsAdapter (TStrings)
pt | SetTabIndex (TTabControlStrings)
pt | SetTabIndex (TTabControlNoteBookStrings)
pt | SetTabPosition (TTabControlNoteBookStrings)
 | SetText (TStrings)
 | SetTextStr (TStrings)
 | SetUpdateState (TStrings)
pt | SetUpdateState (TTabControlNoteBookStrings)
 | SetValue (TStrings)
 | SetValueFromIndex (TStrings)
 | StringMessageTable (TObject)
 | TabControlBoundsChange (TTabControlStrings)
 | TabControlBoundsChange (TTabControlNoteBookStrings)
 | TabRect (TTabControlStrings)
 | ToString (TObject)
 | UnitName (TObject)
 | UpdateTabImages (TTabControlStrings)
 | WriteData (TStrings)


TTabControlNoteBookStrings

TTabControlStrings

TStrings

TPersistent

TObject


TTabControlNoteBookStrings.Clear

Clear calls the Clear method for the client Notebook

Declaration

Source position: comctrls.pp line 771

public procedure TTabControlNoteBookStrings.Clear; override;

See also

TStrings.Clear


TTabControlNoteBookStrings.Create

Create - constructor for TTabControlNoteBookStrings: calls inherited Create then sets some default Actions

Declaration

Source position: comctrls.pp line 769

public constructor TTabControlNoteBookStrings.Create(

  TheTabControl: TTabControl

); override;

Description

Create - constructor for TTabControlNoteBookStrings: calls inherited Create then sets some default Actions

Among the actions set are:

OnGetImageIndex, OnChanging, OnChange. Notebook is created with a nominated parent

See also

TObject.Create

TTabControlStrings.Create

Create - constructor for TTabControlStrings: calls inherited Create then sets many local defaults


TTabControlNoteBookStrings.Delete

Delete calls the Delete method for the client NoteBook

Declaration

Source position: comctrls.pp line 772

public procedure TTabControlNoteBookStrings.Delete(

  Index: Integer

); override;

See also

TStrings.Delete


TTabControlNoteBookStrings.Destroy

Destroy - destructor for TTabControlNoteBookStrings: frees NoteBook then calls inherited Destroy

Declaration

Source position: comctrls.pp line 770

public destructor TTabControlNoteBookStrings.Destroy; override;

See also

TStrings.Destroy


TTabControlNoteBookStrings.Get

Get returns the text string found on the indexed page

Declaration

Source position: comctrls.pp line 751

protected function TTabControlNoteBookStrings.Get(

  Index: Integer

):string; override;

See also

TStrings.Get


TTabControlNoteBookStrings.GetInternalTabControllClass

Declaration

Source position: comctrls.pp line 750

protected function TTabControlNoteBookStrings.GetInternalTabControllClass: TNoteBookStringsTabControlClass; virtual;


TTabControlNoteBookStrings.GetObject

GetObject returns the indexed object from the paged notebook

Declaration

Source position: comctrls.pp line 753

protected function TTabControlNoteBookStrings.GetObject(

  Index: Integer

):TObject; override;

See also

TStrings.GetObject


TTabControlNoteBookStrings.GetTabPosition

Declaration

Source position: comctrls.pp line 755

protected function TTabControlNoteBookStrings.GetTabPosition: TTabPosition;


TTabControlNoteBookStrings.Insert

Insert calls the Insert method for the client NoteBok

Declaration

Source position: comctrls.pp line 773

public procedure TTabControlNoteBookStrings.Insert(

  Index: Integer;

  const S: string

); override;

See also

TStrings.Insert


TTabControlNoteBookStrings.NBChanging

NBChanging - method for dealing with the process for change in a NoteBook

Declaration

Source position: comctrls.pp line 756

protected procedure TTabControlNoteBookStrings.NBChanging(

  Sender: TObject;

  var AllowChange: Boolean

); virtual;


TTabControlNoteBookStrings.NBGetImageIndex

NBGetImageIndex - obtains the Image Index associated with a given Tab Index in the NoteBook

Declaration

Source position: comctrls.pp line 757

protected procedure TTabControlNoteBookStrings.NBGetImageIndex(

  Sender: TObject;

  TheTabIndex: Integer;

  var ImageIndex: Integer

); virtual;


TTabControlNoteBookStrings.NBHandleCreated

Declaration

Source position: comctrls.pp line 760

protected procedure TTabControlNoteBookStrings.NBHandleCreated(

  Sender: TObject

);


TTabControlNoteBookStrings.NBPageChanged

NBPageChanged - Method for dealing with a NoteBook page that has changed

Declaration

Source position: comctrls.pp line 759

protected procedure TTabControlNoteBookStrings.NBPageChanged(

  Sender: TObject

); virtual;


TTabControlNoteBookStrings.NoteBook

The NoteBook for which the tab strings are to be used

Declaration

Source position: comctrls.pp line 780

public property TTabControlNoteBookStrings.NoteBook : TCustomTabControl
  read FNoteBook;


TTabControlNoteBookStrings.Put

Put writes the supplied string to the indexed page of the notebook

Declaration

Source position: comctrls.pp line 761

protected procedure TTabControlNoteBookStrings.Put(

  Index: Integer;

  const S: string

); override;

See also

TStrings.Put


TTabControlNoteBookStrings.PutObject

PutObject stores the supplied object at the indexed place in the paged notebook

Declaration

Source position: comctrls.pp line 762

protected procedure TTabControlNoteBookStrings.PutObject(

  Index: Integer;

  AObject: TObject

); override;

See also

TStrings.PutObject


TTabControlNoteBookStrings.SetImages

SetImages - if the supplied ImageList is of correct type, stores it in the notebook Images area

Declaration

Source position: comctrls.pp line 763

protected procedure TTabControlNoteBookStrings.SetImages(

  const AValue: TCustomImageList

); override;

See also

TTabControlStrings.SetImages

SetImages - specifies the list of images to be used


TTabControlNoteBookStrings.SetTabPosition

Declaration

Source position: comctrls.pp line 767

protected procedure TTabControlNoteBookStrings.SetTabPosition(

  AValue: TTabPosition

);


TTabControlNoteBookStrings.SetUpdateState

SetUpdateState - if Updating is True, calls BeginUpdate; otherwise calls EndUpdate

Declaration

Source position: comctrls.pp line 766

protected procedure TTabControlNoteBookStrings.SetUpdateState(

  Updating: Boolean

); override;

See also

TStrings.SetUpdateState


TTabControlNoteBookStrings.Style

Declaration

Source position: comctrls.pp line 778

public property TTabControlNoteBookStrings.Style : TTabStyle
  read GetStyle
  write SetStyle;


TTabControlNoteBookStrings.TabPosition

Declaration

Source position: comctrls.pp line 777

public property TTabControlNoteBookStrings.TabPosition : TTabPosition
  read GetTabPosition
  write SetTabPosition;


TTabControlStrings

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

TTabControlStrings - the Strings that appear on the tabs of TTabControl

Declaration

Source position: comctrls.pp line 674

type TTabControlStrings = class(TStrings)
protected
function GetTabIndex; virtual; abstract; | GetTabIndex - returns the Index value of the current Tab
procedure SetHotTrack(); virtual; | SetHotTrack - specifies the status of HotTrack
procedure SetImages(); virtual; | SetImages - specifies the list of images to be used
procedure SetMultiLine(); virtual; | SetMultiLine - specifies whether multiline captions are to be used
procedure SetMultiSelect(); virtual; | SetMultiSelect - specifies whether MultiSelection is available
procedure SetOwnerDraw(); virtual; | SetOwnerDraw - specifies whether an owner-derived drawing can be used
procedure SetRaggedRight(); virtual; | SetRaggedRight - specifies whether ragged-right (as opposed to right-justified) alignment is to be used
procedure SetScrollOpposite(); virtual; | SetScrollOpposite - specifies whether scrollbars are to operate in the opposite sense to normal
procedure SetTabIndex(); virtual; abstract; | SetTabIndex - specfies an index value for a tab
public
constructor Create(); virtual; | Create - constructor for TTabControlStrings: calls inherited Create then sets many local defaults
function GetHitTestInfoAt(); virtual; | GetHitTestInfoAt - returns the results of a hit test at the specified location X, Y
function GetSize; virtual; abstract; | GetSize - returns the size of the tab string
function IndexOfTabAt(); virtual; | IndexOfTabAt - returns the Index value of the tab at the specified location X, Y
function RowCount; virtual; | RowCount - number of rows (for a multi-row string)
function TabRect(); virtual; | TabRec - returns the coordinates of the rectangle for the tab with specified index
procedure ImageListChange(); virtual; | ImageListChange - method for changing the image list
procedure ScrollTabs(); virtual; | ScrollTabs - scrolls the tabs by an amount specified by Delta
procedure TabControlBoundsChange; virtual; | TabControlBoundsChange - method for dealing with a change in the bounds of a Tab Control
procedure UpdateTabImages; virtual; | UpdateTabImages - bring the tab images up to date
procedure BeginUpdate; virtual; | BeginUpdate increments the Update count
procedure EndUpdate; virtual; | EndUpdate decrements the Update count
function IsUpdating; virtual; | IsUpdating - returns True if in the process of updating
property TabControl: TTabControl; [r] | The TabControl to which these strings apply
property TabIndex: Integer; [rw] | TabIndex - the index of the current Tab
property HotTrack: Boolean; [rw] | HotTrack - the property whereby the item under the mouse pointer becomes emphasised
property Images: TCustomImageList; [rw] | The list of Images associated with the Strings for these tabs
property MultiLine: Boolean; [rw] | MultiLine - if True, multiple lines may be used in Tab strings
property MultiSelect: Boolean; [rw] | MultiSelect - if True, multiple tabs can be selected, for example by holding down Shift or Ctrl keys while selecting
property OwnerDraw: Boolean; [rw] | OwnerDraw - if True, Owner object (or calling routine) can specify drawing methods
property RaggedRight: Boolean; [rw] | RaggedRight - if True, strings are un-justified or un-aligned with ragged right margin
property ScrollOpposite: Boolean; [rw] | ScrollOpposite - if True, scrolling proceeds in opposite direction to usual
end;

Inheritance

TTabControlStrings

TTabControlStrings - the Strings that appear on the tabs of TTabControl
|

TStrings
|

TPersistent,IFPObserved
|

TObject


TTabControlStrings
 | ro | TabControl
 |  | TabIndex
 |  | HotTrack
 |  | Images
 |  | MultiLine
 |  | MultiSelect
 |  | OwnerDraw
 |  | RaggedRight
 |  | ScrollOpposite
TStrings
 | ro | UpdateCount
 |  | TextLineBreakStyle
 |  | Delimiter
 |  | DelimitedText
 |  | LineBreak
 |  | StrictDelimiter
 |  | QuoteChar
 |  | NameValueSeparator
 |  | ValueFromIndex
 |  | Capacity
 |  | CommaText
 | ro | Count
 | ro | Names
 |  | Objects
 |  | Values
 |  | Strings
 |  | Text
 |  | StringsAdapter
 |  | SkipLastLineBreak
TPersistent
TObject


ro | Count (TStrings)
 | DelimitedText (TStrings)
 | Delimiter (TStrings)
 | HotTrack (TTabControlStrings)
 | Images (TTabControlStrings)
 | LineBreak (TStrings)
 | MultiLine (TTabControlStrings)
 | MultiSelect (TTabControlStrings)
ro | Names (TStrings)
 | NameValueSeparator (TStrings)
 | Objects (TStrings)
 | OwnerDraw (TTabControlStrings)
 | QuoteChar (TStrings)
 | RaggedRight (TTabControlStrings)
 | ScrollOpposite (TTabControlStrings)
 | SkipLastLineBreak (TStrings)
 | StrictDelimiter (TStrings)
 | Strings (TStrings)
 | StringsAdapter (TStrings)
ro | TabControl (TTabControlStrings)
 | TabIndex (TTabControlStrings)
 | Text (TStrings)
 | TextLineBreakStyle (TStrings)
ro | UpdateCount (TStrings)
 | ValueFromIndex (TStrings)
 | Values (TStrings)


TTabControlStrings
pt | GetTabIndex
pt | SetHotTrack
pt | SetImages
pt | SetMultiLine
pt | SetMultiSelect
pt | SetOwnerDraw
pt | SetRaggedRight
pt | SetScrollOpposite
pt | SetTabIndex
 | Create
 | GetHitTestInfoAt
 | GetSize
 | IndexOfTabAt
 | RowCount
 | TabRect
 | ImageListChange
 | ScrollTabs
 | TabControlBoundsChange
 | UpdateTabImages
 | BeginUpdate
 | EndUpdate
 | IsUpdating
TStrings
 | GetCommaText
 | GetName
 | GetValue
 | GetLBS
 | SetLBS
 | ReadData
 | SetCommaText
 | SetStringsAdapter
 | SetValue
 | SetDelimiter
 | SetQuoteChar
 | SetNameValueSeparator
 | WriteData
 | DoSetTextStr
 | GetDelimiter
 | GetNameValueSeparator
 | GetQuoteChar
 | GetLineBreak
 | SetLineBreak
 | GetSkipLastLineBreak
 | SetSkipLastLineBreak
 | DefineProperties
 | Error
 | Get
 | GetCapacity
 | GetCount
 | GetObject
 | GetTextStr
 | Put
 | PutObject
 | SetCapacity
 | SetTextStr
 | SetUpdateState
 | DoCompareText
 | GetDelimitedText
 | SetDelimitedText
 | GetValueFromIndex
 | SetValueFromIndex
 | CheckSpecialChars
 | GetNextLine
 | GetNextLinebreak
 | Destroy
 | Add
 | AddObject
 | Append
 | AddStrings
 | AddText
 | Assign
 | BeginUpdate
 | Clear
 | Delete
 | EndUpdate
 | Equals
 | Exchange
 | GetEnumerator
 | GetText
 | IndexOf
 | IndexOfName
 | IndexOfObject
 | Insert
 | InsertObject
 | LoadFromFile
 | LoadFromStream
 | Move
 | SaveToFile
 | SaveToStream
 | SetText
 | GetNameValue
 | ExtractName
TPersistent
 | AssignError
 | AssignTo
 | DefineProperties
 | GetOwner
 | Destroy
 | Assign
 | FPOAttachObserver
 | FPODetachObserver
 | FPONotifyObservers
 | GetNamePath
TObject
 | Create
 | Destroy
 | newinstance
 | FreeInstance
 | SafeCallException
 | DefaultHandler
 | Free
 | InitInstance
 | CleanupInstance
 | ClassType
 | ClassInfo
 | ClassName
 | ClassNameIs
 | ClassParent
 | InstanceSize
 | InheritsFrom
 | StringMessageTable
 | MethodAddress
 | MethodName
 | FieldAddress
 | AfterConstruction
 | BeforeDestruction
 | DefaultHandlerStr
 | Dispatch
 | DispatchStr
 | GetInterface
 | GetInterfaceByStr
 | GetInterfaceWeak
 | GetInterfaceEntry
 | GetInterfaceEntryByStr
 | GetInterfaceTable
 | UnitName
 | Equals
 | GetHashCode
 | ToString


 | Add (TStrings)
 | AddObject (TStrings)
 | AddStrings (TStrings)
 | AddText (TStrings)
 | AfterConstruction (TObject)
 | Append (TStrings)
 | Assign (TPersistent)
 | Assign (TStrings)
 | AssignError (TPersistent)
 | AssignTo (TPersistent)
 | BeforeDestruction (TObject)
 | BeginUpdate (TStrings)
 | BeginUpdate (TTabControlStrings)
 | CheckSpecialChars (TStrings)
 | ClassInfo (TObject)
 | ClassName (TObject)
 | ClassNameIs (TObject)
 | ClassParent (TObject)
 | ClassType (TObject)
 | CleanupInstance (TObject)
 | Clear (TStrings)
 | Create (TObject)
 | Create (TTabControlStrings)
 | DefaultHandler (TObject)
 | DefaultHandlerStr (TObject)
 | DefineProperties (TPersistent)
 | DefineProperties (TStrings)
 | Delete (TStrings)
 | Destroy (TObject)
 | Destroy (TPersistent)
 | Destroy (TStrings)
 | Dispatch (TObject)
 | DispatchStr (TObject)
 | DoCompareText (TStrings)
 | DoSetTextStr (TStrings)
 | EndUpdate (TStrings)
 | EndUpdate (TTabControlStrings)
 | Equals (TObject)
 | Equals (TStrings)
 | Error (TStrings)
 | Exchange (TStrings)
 | ExtractName (TStrings)
 | FieldAddress (TObject)
 | FPOAttachObserver (TPersistent)
 | FPODetachObserver (TPersistent)
 | FPONotifyObservers (TPersistent)
 | Free (TObject)
 | FreeInstance (TObject)
 | Get (TStrings)
 | GetCapacity (TStrings)
 | GetCommaText (TStrings)
 | GetCount (TStrings)
 | GetDelimitedText (TStrings)
 | GetDelimiter (TStrings)
 | GetEnumerator (TStrings)
 | GetHashCode (TObject)
 | GetHitTestInfoAt (TTabControlStrings)
 | GetInterface (TObject)
 | GetInterfaceByStr (TObject)
 | GetInterfaceEntry (TObject)
 | GetInterfaceEntryByStr (TObject)
 | GetInterfaceTable (TObject)
 | GetInterfaceWeak (TObject)
 | GetLBS (TStrings)
 | GetLineBreak (TStrings)
 | GetName (TStrings)
 | GetNamePath (TPersistent)
 | GetNameValue (TStrings)
 | GetNameValueSeparator (TStrings)
 | GetNextLine (TStrings)
 | GetNextLinebreak (TStrings)
 | GetObject (TStrings)
 | GetOwner (TPersistent)
 | GetQuoteChar (TStrings)
 | GetSize (TTabControlStrings)
 | GetSkipLastLineBreak (TStrings)
pt | GetTabIndex (TTabControlStrings)
 | GetText (TStrings)
 | GetTextStr (TStrings)
 | GetValue (TStrings)
 | GetValueFromIndex (TStrings)
 | ImageListChange (TTabControlStrings)
 | IndexOf (TStrings)
 | IndexOfName (TStrings)
 | IndexOfObject (TStrings)
 | IndexOfTabAt (TTabControlStrings)
 | InheritsFrom (TObject)
 | InitInstance (TObject)
 | Insert (TStrings)
 | InsertObject (TStrings)
 | InstanceSize (TObject)
 | IsUpdating (TTabControlStrings)
 | LoadFromFile (TStrings)
 | LoadFromStream (TStrings)
 | MethodAddress (TObject)
 | MethodName (TObject)
 | Move (TStrings)
 | newinstance (TObject)
 | Put (TStrings)
 | PutObject (TStrings)
 | ReadData (TStrings)
 | RowCount (TTabControlStrings)
 | SafeCallException (TObject)
 | SaveToFile (TStrings)
 | SaveToStream (TStrings)
 | ScrollTabs (TTabControlStrings)
 | SetCapacity (TStrings)
 | SetCommaText (TStrings)
 | SetDelimitedText (TStrings)
 | SetDelimiter (TStrings)
pt | SetHotTrack (TTabControlStrings)
pt | SetImages (TTabControlStrings)
 | SetLBS (TStrings)
 | SetLineBreak (TStrings)
pt | SetMultiLine (TTabControlStrings)
pt | SetMultiSelect (TTabControlStrings)
 | SetNameValueSeparator (TStrings)
pt | SetOwnerDraw (TTabControlStrings)
 | SetQuoteChar (TStrings)
pt | SetRaggedRight (TTabControlStrings)
pt | SetScrollOpposite (TTabControlStrings)
 | SetSkipLastLineBreak (TStrings)
 | SetStringsAdapter (TStrings)
pt | SetTabIndex (TTabControlStrings)
 | SetText (TStrings)
 | SetTextStr (TStrings)
 | SetUpdateState (TStrings)
 | SetValue (TStrings)
 | SetValueFromIndex (TStrings)
 | StringMessageTable (TObject)
 | TabControlBoundsChange (TTabControlStrings)
 | TabRect (TTabControlStrings)
 | ToString (TObject)
 | UnitName (TObject)
 | UpdateTabImages (TTabControlStrings)
 | WriteData (TStrings)


TTabControlStrings

TStrings

TPersistent

TObject


TTabControlStrings.BeginUpdate

BeginUpdate increments the Update count

Declaration

Source position: comctrls.pp line 706

public procedure TTabControlStrings.BeginUpdate; virtual;

See also

TStrings.BeginUpdate


TTabControlStrings.Create

Create - constructor for TTabControlStrings: calls inherited Create then sets many local defaults

Declaration

Source position: comctrls.pp line 696

public constructor TTabControlStrings.Create(

  TheTabControl: TTabControl

); virtual;

Description

Create - constructor for TTabControlStrings: calls inherited Create then sets many local defaults

Among the defaults set are:

HotTrack, Multiline, MultiSelect, OwnerDraw, RaggedRight, ScrollOpposite - all False; Tab height and width to zero

See also

TObject.Create


TTabControlStrings.EndUpdate

EndUpdate decrements the Update count

Declaration

Source position: comctrls.pp line 707

public procedure TTabControlStrings.EndUpdate; virtual;

Errors

An exception is raised if the Update count is zero

See also

TStrings.EndUpdate


TTabControlStrings.GetHitTestInfoAt

GetHitTestInfoAt - returns the results of a hit test at the specified location X, Y

Declaration

Source position: comctrls.pp line 697

public function TTabControlStrings.GetHitTestInfoAt(

  X: Integer;

  Y: Integer

):THitTests; virtual;


TTabControlStrings.GetSize

GetSize - returns the size of the tab string

Declaration

Source position: comctrls.pp line 698

public function TTabControlStrings.GetSize: Integer; virtual; abstract;


TTabControlStrings.GetTabIndex

GetTabIndex - returns the Index value of the current Tab

Declaration

Source position: comctrls.pp line 686

protected function TTabControlStrings.GetTabIndex: Integer; virtual; abstract;


TTabControlStrings.HotTrack

HotTrack - the property whereby the item under the mouse pointer becomes emphasised

Declaration

Source position: comctrls.pp line 712

public property TTabControlStrings.HotTrack : Boolean
  read FHotTrack
  write SetHotTrack;

See also

TCustomListView.HotTrack

Allow to highlight/underline current ListView item, which is under mouse cursor.


TTabControlStrings.ImageListChange

ImageListChange - method for changing the image list

Declaration

Source position: comctrls.pp line 702

public procedure TTabControlStrings.ImageListChange(

  Sender: TObject

); virtual;


TTabControlStrings.Images

The list of Images associated with the Strings for these tabs

Declaration

Source position: comctrls.pp line 713

public property TTabControlStrings.Images : TCustomImageList
  read FImages
  write SetImages;


TTabControlStrings.IndexOfTabAt

IndexOfTabAt - returns the Index value of the tab at the specified location X, Y

Declaration

Source position: comctrls.pp line 699

public function TTabControlStrings.IndexOfTabAt(

  X: Integer;

  Y: Integer

):Integer; virtual;


TTabControlStrings.IsUpdating

IsUpdating - returns True if in the process of updating

Declaration

Source position: comctrls.pp line 708

public function TTabControlStrings.IsUpdating: Boolean; virtual;


TTabControlStrings.MultiLine

MultiLine - if True, multiple lines may be used in Tab strings

Declaration

Source position: comctrls.pp line 714

public property TTabControlStrings.MultiLine : Boolean
  read FMultiLine
  write SetMultiLine;


TTabControlStrings.MultiSelect

MultiSelect - if True, multiple tabs can be selected, for example by holding down Shift or Ctrl keys while selecting

Declaration

Source position: comctrls.pp line 715

public property TTabControlStrings.MultiSelect : Boolean
  read FMultiSelect
  write SetMultiSelect;


TTabControlStrings.OwnerDraw

OwnerDraw - if True, Owner object (or calling routine) can specify drawing methods

Declaration

Source position: comctrls.pp line 716

public property TTabControlStrings.OwnerDraw : Boolean
  read FOwnerDraw
  write SetOwnerDraw;


TTabControlStrings.RaggedRight

RaggedRight - if True, strings are un-justified or un-aligned with ragged right margin

Declaration

Source position: comctrls.pp line 717

public property TTabControlStrings.RaggedRight : Boolean
  read FRaggedRight
  write SetRaggedRight;


TTabControlStrings.RowCount

RowCount - number of rows (for a multi-row string)

Declaration

Source position: comctrls.pp line 700

public function TTabControlStrings.RowCount: Integer; virtual;


TTabControlStrings.ScrollOpposite

ScrollOpposite - if True, scrolling proceeds in opposite direction to usual

Declaration

Source position: comctrls.pp line 718

public property TTabControlStrings.ScrollOpposite : Boolean
  read FScrollOpposite
  write SetScrollOpposite;


TTabControlStrings.ScrollTabs

ScrollTabs - scrolls the tabs by an amount specified by Delta

Declaration

Source position: comctrls.pp line 703

public procedure TTabControlStrings.ScrollTabs(

  Delta: Integer

); virtual;


TTabControlStrings.SetHotTrack

SetHotTrack - specifies the status of HotTrack

Declaration

Source position: comctrls.pp line 687

protected procedure TTabControlStrings.SetHotTrack(

  const AValue: Boolean

); virtual;


TTabControlStrings.SetImages

SetImages - specifies the list of images to be used

Declaration

Source position: comctrls.pp line 688

protected procedure TTabControlStrings.SetImages(

  const AValue: TCustomImageList

); virtual;


TTabControlStrings.SetMultiLine

SetMultiLine - specifies whether multiline captions are to be used

Declaration

Source position: comctrls.pp line 689

protected procedure TTabControlStrings.SetMultiLine(

  const AValue: Boolean

); virtual;


TTabControlStrings.SetMultiSelect

SetMultiSelect - specifies whether MultiSelection is available

Declaration

Source position: comctrls.pp line 690

protected procedure TTabControlStrings.SetMultiSelect(

  const AValue: Boolean

); virtual;


TTabControlStrings.SetOwnerDraw

SetOwnerDraw - specifies whether an owner-derived drawing can be used

Declaration

Source position: comctrls.pp line 691

protected procedure TTabControlStrings.SetOwnerDraw(

  const AValue: Boolean

); virtual;


TTabControlStrings.SetRaggedRight

SetRaggedRight - specifies whether ragged-right (as opposed to right-justified) alignment is to be used

Declaration

Source position: comctrls.pp line 692

protected procedure TTabControlStrings.SetRaggedRight(

  const AValue: Boolean

); virtual;


TTabControlStrings.SetScrollOpposite

SetScrollOpposite - specifies whether scrollbars are to operate in the opposite sense to normal

Declaration

Source position: comctrls.pp line 693

protected procedure TTabControlStrings.SetScrollOpposite(

  const AValue: Boolean

); virtual;


TTabControlStrings.SetTabIndex

SetTabIndex - specfies an index value for a tab

Declaration

Source position: comctrls.pp line 694

protected procedure TTabControlStrings.SetTabIndex(

  const AValue: Integer

); virtual; abstract;


TTabControlStrings.TabControl

The TabControl to which these strings apply

Declaration

Source position: comctrls.pp line 710

public property TTabControlStrings.TabControl : TTabControl
  read FTabControl;


TTabControlStrings.TabControlBoundsChange

TabControlBoundsChange - method for dealing with a change in the bounds of a Tab Control

Declaration

Source position: comctrls.pp line 704

public procedure TTabControlStrings.TabControlBoundsChange; virtual;


TTabControlStrings.TabIndex

TabIndex - the index of the current Tab

Declaration

Source position: comctrls.pp line 711

public property TTabControlStrings.TabIndex : Integer
  read GetTabIndex
  write SetTabIndex;


TTabControlStrings.TabRect

TabRec - returns the coordinates of the rectangle for the tab with specified index

Declaration

Source position: comctrls.pp line 701

public function TTabControlStrings.TabRect(

  Index: Integer

):TRect; virtual;


TTabControlStrings.UpdateTabImages

UpdateTabImages - bring the tab images up to date

Declaration

Source position: comctrls.pp line 705

public procedure TTabControlStrings.UpdateTabImages; virtual;


TTabSheet

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

TTabSheet - individual page of a TPageControl; a more elaborate version of TPage

Declaration

Source position: comctrls.pp line 518

type TTabSheet = class(TCustomPage)
protected
class procedure WSRegisterClass; override; | Registers this component class with the current WidgetSet.
public
constructor Create(); override; | calls inherited Create and zeroes ImageIndex
destructor Destroy; override; | Destroy - destructor for TTabSheet: detaches from the Host Dock Site and calls inherited Destroy
property PageControl: TPageControl; [rw] | The PageControl of which this TabSheet is a member
property TabIndex: Integer; [r] | TabIndex - the Index value or sequence number of this TabSheet
published
property BorderWidth: TBorderWidth;
property BiDiMode: TBiDiMode;
property Caption: TCaption; | The text describing the control to the user.
property ChildSizing: TControlChildSizing; | Parameters for child control arrangement and spacing.
property ClientHeight: Integer; | The height of the client area of the control.
property ClientWidth: Integer; | The width of the client area of the control.
property Enabled: Boolean; | Determines whether the control reacts on mouse or keyboard input.
property Font: TFont;
property Height: Integer; [s] | The vertical size of the control.
property ImageIndex: TImageIndex; |
property Left: Integer; [s] | The client coordinate of the left edge of the control.
property OnContextPopup: TContextPopupEvent; | Invoked when a context-sensitive pop-up menu is requested.
property OnDragDrop: TDragDropEvent; | This handler determines the action on an drop onto this control, in a drag-drop operation.
property OnDragOver: TDragOverEvent; | Event handler for a control being dragged over this control.
property OnEndDrag: TEndDragEvent; | Notification handler for the end of a dragging operation.
property OnEnter: TNotifyEvent; | Handler for control receiving the focus.
property OnExit: TNotifyEvent; | Handler for control loosing the focus. This is a good place for checking the finished user input.
property OnHide: TNotifyEvent; |
property OnMouseDown: TMouseEvent; | Event handler for mouse button going down.
property OnMouseEnter: TNotifyEvent;
property OnMouseLeave: TNotifyEvent;
property OnMouseMove: TMouseMoveEvent; | Event handler for mouse movement within the control.
property OnMouseUp: TMouseEvent; | Event handler for mouse button going up.
property OnMouseWheel: TMouseWheelEvent;
property OnMouseWheelDown: TMouseWheelUpDownEvent;
property OnMouseWheelUp: TMouseWheelUpDownEvent;
property OnResize: TNotifyEvent; | Notification handler for a resize of the control.
property OnShow: TNotifyEvent; |
property OnStartDrag: TStartDragEvent; | Event handler for the start of a dragging operation.
property PageIndex: Integer; [s] |
property ParentBiDiMode: Boolean;
property ParentFont: Boolean; | If true, the Font of the control will be the same as the one from the Parent. Default is true.
property ParentShowHint: Boolean; | If true, the value of ShowHint for the control will be the same as the one from the Parent. Default is true.
property PopupMenu: TPopupMenu; | A context-sensitive menu that pops up when the right mouse button is clicked over this control
property ShowHint: Boolean; | Enables the Hint display.
property TabVisible: Boolean; |
property Top: Integer; [s] | The client coordinate of the top edge of the control.
property Width: Integer; [s] | The horizontal extent of the control.
end;

Inheritance

TTabSheet | TTabSheet - individual page of a TPageControl; a more elaborate version of TPage
|
TCustomPage | TCustomPage: The base type for Page
|
TWinControl | The base class for controls which can contain other (child) controls.
|
TControl | The base class for visible controls.
|
TLCLComponent | The base class for LCL components associated with widgets.
|
TComponent,IUnknown,IInterfaceComponentReference
|
TPersistent,IFPObserved
|
TObject

Description

TTabSheet - individual page of a TPageControl; a more elaborate version of TPage

Contains the following features lacked by TPage:

  • Drag/Drop properties
  • Ability to Enable/Disable the page
  • Ability to make the Tab visible or not

See also

Multi-PageControls | Multi-PageControls - controls that offer a selection of alternative pages for display
HowToUseStdCtrls | How to use StdCtrls, ComCtrls or ExtCtrls


TTabSheet
 |  | PageControl
 | ro | TabIndex
pl | ro | BorderWidth
pl | ro | BiDiMode
pl | ro | Caption
pl | ro | ChildSizing
pl | ro | ClientHeight
pl | ro | ClientWidth
pl | ro | Enabled
pl | ro | Font
pl | ro | Height
pl | ro | ImageIndex
pl | ro | Left
pl | ro | PageIndex
pl | ro | ParentBiDiMode
pl | ro | ParentFont
pl | ro | ParentShowHint
pl | ro | PopupMenu
pl | ro | ShowHint
pl | ro | TabVisible
pl | ro | Top
pl | ro | Width
TCustomPage
pt |  | Flags
 |  | PageIndex
 |  | TabVisible
 |  | ImageIndex
 | ro | Left
 | ro | Top
 | ro | Width
 | ro | Height
 | ro | TabOrder
 | ro | Visible
TWinControl
pt |  | WindowHandle
pt |  | BorderStyle
pt |  | ParentBackground
 |  | BorderWidth
 | ro | BoundsLockCount
 | ro | Brush
 | ro | CachedClientHeight
 | ro | CachedClientWidth
 |  | ChildSizing
 | ro | ControlCount
 | ro | Controls
 |  | DefWndProc
 | ro | DockClientCount
 | ro | DockClients
 |  | DockManager
 |  | DockSite
 |  | DoubleBuffered
 |  | Handle
 | ro | IsFlipped
 | ro | IsResizing
 |  | TabOrder
 |  | TabStop
 |  | ParentDoubleBuffered
 |  | ParentWindow
 | ro | Showing
 |  | UseDockManager
 |  | DesignerDeleting
 | ro | VisibleDockClientCount
TControl
pt | ro | AutoSizing
pt | ro | AutoSizingAll
pt | ro | AutoSizingLockCount
pt |  | ActionLink
pt |  | DesktopFont
pt |  | DragCursor
pt |  | DragKind
pt |  | DragMode
pt |  | MouseCapture
pt |  | ParentColor
pt |  | ParentFont
pt |  | ParentShowHint
pt |  | SessionProperties
pt |  | Text
 | ro | AnchoredControls
 | ro | BaseBounds
 | ro | ReadBounds
 | ro | BaseParentClientSize
 |  | AccessibleDescription
 |  | AccessibleValue
 |  | AccessibleRole
 |  | Action
 |  | Align
 |  | Anchors
 | ro | AnchorSide
 |  | AutoSize
 |  | BorderSpacing
 |  | BoundsRect
 |  | BoundsRectForNewParent
 |  | Caption
 |  | CaptureMouseButtons
 |  | ClientHeight
 | ro | ClientOrigin
 | ro | ClientRect
 |  | ClientWidth
 |  | Color
 |  | Constraints
 | ro | ControlOrigin
 |  | ControlState
 |  | ControlStyle
 |  | Enabled
 |  | Font
 |  | IsControl
 | ro | MouseEntered
 | ro | MouseInClient
 |  | Parent
 |  | PopupMenu
 |  | ShowHint
 |  | Visible
 |  | WindowProc
 |  | DockOrientation
 | ro | Floating
 |  | FloatingDockSiteClass
 |  | HostDockSite
 |  | LRDockWidth
 |  | TBDockHeight
 |  | UndockHeight
 |  | UndockWidth
 |  | BiDiMode
 |  | ParentBiDiMode
pl |  | AnchorSideLeft
pl |  | AnchorSideTop
pl |  | AnchorSideRight
pl |  | AnchorSideBottom
pl |  | Cursor
pl |  | Left
pl |  | Height
pl |  | Hint
pl |  | Top
pl |  | Width
pl |  | HelpType
pl |  | HelpKeyword
pl |  | HelpContext
TLCLComponent
 | ro | LCLRefCount
 | ro | WidgetSetClass
TComponent
 | ro | ComObject
 | ro | Components
 | ro | ComponentCount
 |  | ComponentIndex
 | ro | ComponentState
 | ro | ComponentStyle
 |  | DesignInfo
 | ro | Owner
 |  | VCLComObject
 |  | Name
 |  | Tag
TPersistent
TObject


 |  | AccessibleDescription (TControl)
 |  | AccessibleRole (TControl)
 |  | AccessibleValue (TControl)
 |  | Action (TControl)
pt |  | ActionLink (TControl)
 |  | Align (TControl)
 | ro | AnchoredControls (TControl)
 |  | Anchors (TControl)
 | ro | AnchorSide (TControl)
pl |  | AnchorSideBottom (TControl)
pl |  | AnchorSideLeft (TControl)
pl |  | AnchorSideRight (TControl)
pl |  | AnchorSideTop (TControl)
 |  | AutoSize (TControl)
pt | ro | AutoSizing (TControl)
pt | ro | AutoSizingAll (TControl)
pt | ro | AutoSizingLockCount (TControl)
 | ro | BaseBounds (TControl)
 | ro | BaseParentClientSize (TControl)
 |  | BiDiMode (TControl)
pl | ro | BiDiMode (TTabSheet)
 |  | BorderSpacing (TControl)
pt |  | BorderStyle (TWinControl)
 |  | BorderWidth (TWinControl)
pl | ro | BorderWidth (TTabSheet)
 | ro | BoundsLockCount (TWinControl)
 |  | BoundsRect (TControl)
 |  | BoundsRectForNewParent (TControl)
 | ro | Brush (TWinControl)
 | ro | CachedClientHeight (TWinControl)
 | ro | CachedClientWidth (TWinControl)
 |  | Caption (TControl)
pl | ro | Caption (TTabSheet)
 |  | CaptureMouseButtons (TControl)
 |  | ChildSizing (TWinControl)
pl | ro | ChildSizing (TTabSheet)
 |  | ClientHeight (TControl)
pl | ro | ClientHeight (TTabSheet)
 | ro | ClientOrigin (TControl)
 | ro | ClientRect (TControl)
 |  | ClientWidth (TControl)
pl | ro | ClientWidth (TTabSheet)
 |  | Color (TControl)
 | ro | ComObject (TComponent)
 | ro | ComponentCount (TComponent)
 |  | ComponentIndex (TComponent)
 | ro | Components (TComponent)
 | ro | ComponentState (TComponent)
 | ro | ComponentStyle (TComponent)
 |  | Constraints (TControl)
 | ro | ControlCount (TWinControl)
 | ro | ControlOrigin (TControl)
 | ro | Controls (TWinControl)
 |  | ControlState (TControl)
 |  | ControlStyle (TControl)
pl |  | Cursor (TControl)
 |  | DefWndProc (TWinControl)
 |  | DesignerDeleting (TWinControl)
 |  | DesignInfo (TComponent)
pt |  | DesktopFont (TControl)
 | ro | DockClientCount (TWinControl)
 | ro | DockClients (TWinControl)
 |  | DockManager (TWinControl)
 |  | DockOrientation (TControl)
 |  | DockSite (TWinControl)
 |  | DoubleBuffered (TWinControl)
pt |  | DragCursor (TControl)
pt |  | DragKind (TControl)
pt |  | DragMode (TControl)
 |  | Enabled (TControl)
pl | ro | Enabled (TTabSheet)
pt |  | Flags (TCustomPage)
 | ro | Floating (TControl)
 |  | FloatingDockSiteClass (TControl)
 |  | Font (TControl)
pl | ro | Font (TTabSheet)
 |  | Handle (TWinControl)
pl |  | Height (TControl)
 | ro | Height (TCustomPage)
pl | ro | Height (TTabSheet)
pl |  | HelpContext (TControl)
pl |  | HelpKeyword (TControl)
pl |  | HelpType (TControl)
pl |  | Hint (TControl)
 |  | HostDockSite (TControl)
 |  | ImageIndex (TCustomPage)
pl | ro | ImageIndex (TTabSheet)
 |  | IsControl (TControl)
 | ro | IsFlipped (TWinControl)
 | ro | IsResizing (TWinControl)
 | ro | LCLRefCount (TLCLComponent)
pl |  | Left (TControl)
 | ro | Left (TCustomPage)
pl | ro | Left (TTabSheet)
 |  | LRDockWidth (TControl)
pt |  | MouseCapture (TControl)
 | ro | MouseEntered (TControl)
 | ro | MouseInClient (TControl)
 |  | Name (TComponent)
 | ro | Owner (TComponent)
 |  | PageControl (TTabSheet)
 |  | PageIndex (TCustomPage)
pl | ro | PageIndex (TTabSheet)
 |  | Parent (TControl)
pt |  | ParentBackground (TWinControl)
 |  | ParentBiDiMode (TControl)
pl | ro | ParentBiDiMode (TTabSheet)
pt |  | ParentColor (TControl)
 |  | ParentDoubleBuffered (TWinControl)
pt |  | ParentFont (TControl)
pl | ro | ParentFont (TTabSheet)
pt |  | ParentShowHint (TControl)
pl | ro | ParentShowHint (TTabSheet)
 |  | ParentWindow (TWinControl)
 |  | PopupMenu (TControl)
pl | ro | PopupMenu (TTabSheet)
 | ro | ReadBounds (TControl)
pt |  | SessionProperties (TControl)
 |  | ShowHint (TControl)
pl | ro | ShowHint (TTabSheet)
 | ro | Showing (TWinControl)
 | ro | TabIndex (TTabSheet)
 |  | TabOrder (TWinControl)
 | ro | TabOrder (TCustomPage)
 |  | TabStop (TWinControl)
 |  | TabVisible (TCustomPage)
pl | ro | TabVisible (TTabSheet)
 |  | Tag (TComponent)
 |  | TBDockHeight (TControl)
pt |  | Text (TControl)
pl |  | Top (TControl)
 | ro | Top (TCustomPage)
pl | ro | Top (TTabSheet)
 |  | UndockHeight (TControl)
 |  | UndockWidth (TControl)
 |  | UseDockManager (TWinControl)
 |  | VCLComObject (TComponent)
 |  | Visible (TControl)
 | ro | Visible (TCustomPage)
 | ro | VisibleDockClientCount (TWinControl)
 | ro | WidgetSetClass (TLCLComponent)
pl |  | Width (TControl)
 | ro | Width (TCustomPage)
pl | ro | Width (TTabSheet)
pt |  | WindowHandle (TWinControl)
 |  | WindowProc (TControl)


TTabSheet
pt | WSRegisterClass
 | Create
 | Destroy
TCustomPage
pt | WSRegisterClass
pt | WMPaint
pt | SetParent
pt | CMHitTest
pt | CMVisibleChanged
pt | GetPageIndex
pt | SetPageIndex
pt | GetTabVisible
pt | DialogChar
pt | DoHide
pt | DoShow
pt | DestroyHandle
pt | RealSetText
 | Create
 | CanTab
 | IsControlVisible
 | HandleObjectShouldBeVisible
 | VisibleIndex
 | CheckNewParent
TWinControl
pt | WSRegisterClass
pt | AdjustClientRect
pt | GetAdjustedLogicalClientRect
pt | AlignControls
pt | CustomAlignInsertBefore
pt | CustomAlignPosition
pt | DoAlignChildControls
pt | DoChildSizingChange
pt | InvalidatePreferredChildSizes
pt | CanTab
pt | IsClientHeightStored
pt | IsClientWidthStored
pt | DoSendShowHideToInterface
pt | ControlsAligned
pt | DoSendBoundsToInterface
pt | RealizeBounds
pt | RealizeBoundsRecursive
pt | InvalidateBoundsRealized
pt | CreateSubClass
pt | DoConstraintsChange
pt | DoSetBounds
pt | DoAutoSize
pt | DoAllAutoSize
pt | AllAutoSized
pt | CalculatePreferredSize
pt | GetPreferredSizeClientFrame
pt | GetChildren
pt | ChildClassAllowed
pt | PaintControls
pt | PaintHandler
pt | PaintWindow
pt | CreateBrush
pt | ScaleControls
pt | ChangeScale
pt | CMBiDiModeChanged
pt | CMBorderChanged
pt | CMDoubleBufferedChanged
pt | CMEnabledChanged
pt | CMParentDoubleBufferedChanged
pt | CMShowingChanged
pt | CMShowHintChanged
pt | CMVisibleChanged
pt | CMEnter
pt | CMExit
pt | WMContextMenu
pt | WMEraseBkgnd
pt | WMNotify
pt | WMSetFocus
pt | WMKillFocus
pt | WMShowWindow
pt | WMEnter
pt | WMExit
pt | WMKeyDown
pt | WMSysKeyDown
pt | WMKeyUp
pt | WMSysKeyUp
pt | WMChar
pt | WMSysChar
pt | WMPaint
pt | WMDestroy
pt | WMMove
pt | WMSize
pt | WMWindowPosChanged
pt | CNKeyDown
pt | CNSysKeyDown
pt | CNKeyUp
pt | CNSysKeyUp
pt | CNChar
pt | DoDragMsg
pt | DoDockClientMsg
pt | DoUndockClientMsg
pt | DoAddDockClient
pt | DockOver
pt | DoDockOver
pt | DoRemoveDockClient
pt | DoUnDock
pt | GetSiteInfo
pt | GetParentHandle
pt | GetTopParentHandle
pt | ReloadDockedControl
pt | CreateDockManager
pt | SetDockManager
pt | DoFloatMsg
pt | DoGetDockCaption
pt | DoEnter
pt | DoExit
pt | DoKeyDownBeforeInterface
pt | DoRemainingKeyDown
pt | DoRemainingKeyUp
pt | DoKeyPress
pt | DoUTF8KeyPress
pt | DoKeyUpBeforeInterface
pt | ChildKey
pt | SendDialogChar
pt | DialogChar
pt | ControlKeyDown
pt | ControlKeyUp
pt | KeyDown
pt | KeyDownBeforeInterface
pt | KeyDownAfterInterface
pt | KeyPress
pt | KeyUp
pt | KeyUpBeforeInterface
pt | KeyUpAfterInterface
pt | UTF8KeyPress
pt | FindNextControl
pt | SelectFirst
pt | RealGetText
pt | GetBorderStyle
pt | GetClientOrigin
pt | GetClientRect
pt | GetControlOrigin
pt | GetDeviceContext
pt | GetParentBackground
pt | IsControlMouseMsg
pt | CreateHandle
pt | CreateParams
pt | CreateWnd
pt | DestroyHandle
pt | DestroyWnd
pt | DoFlipChildren
pt | FinalizeWnd
pt | FixupTabList
pt | FontChanged
pt | InitializeWnd
pt | Loaded
pt | FormEndUpdated
pt | MainWndProc
pt | ParentFormHandleInitialized
pt | ChildHandlesCreated
pt | GetMouseCapture
pt | RealSetText
pt | RemoveFocus
pt | SendMoveSizeMessages
pt | SetBorderStyle
pt | SetColor
pt | SetChildZPosition
pt | SetParentBackground
pt | ShowControl
pt | UpdateControlState
pt | UpdateShowing
pt | WndProc
pt | WSSetText
 | AutoSizePhases
 | AutoSizeDelayed
 | AutoSizeDelayedReport
 | AutoSizeDelayedHandle
 | BeginUpdateBounds
 | EndUpdateBounds
 | LockRealizeBounds
 | UnlockRealizeBounds
 | ControlAtPos
 | ContainsControl
 | DoAdjustClientRectChange
 | InvalidateClientRectCache
 | ClientRectNeedsInterfaceUpdate
 | SetBounds
 | GetChildrenRect
 | DisableAlign
 | EnableAlign
 | ReAlign
 | ScrollBy_WS
 | ScrollBy
 | WriteLayoutDebugReport
 | AutoAdjustLayout
 | Create
 | CreateParented
 | CreateParentedControl
 | Destroy
 | DockDrop
 | CanFocus
 | CanSetFocus
 | GetControlIndex
 | SetControlIndex
 | Focused
 | PerformTab
 | FindChildControl
 | SelectNext
 | SetTempCursor
 | BroadCast
 | NotifyControls
 | DefaultHandler
 | GetTextLen
 | Invalidate
 | AddControl
 | InsertControl
 | RemoveControl
 | GetEnumeratorControls
 | GetEnumeratorControlsReverse
 | Repaint
 | Update
 | SetFocus
 | FlipChildren
 | ScaleBy
 | GetDockCaption
 | UpdateDockCaption
 | GetTabOrderList
 | HandleAllocated
 | ParentHandlesAllocated
 | HandleNeeded
 | BrushCreated
 | EraseBackground
 | IntfUTF8KeyPress
 | IntfGetDropFilesTarget
 | PaintTo
 | SetShape
TControl
pt | WSRegisterClass
pt | GetCursor
pt | SetCursor
pt | SetVisible
pt | DoOnParentHandleDestruction
pt | DoAutoSize
pt | DoAllAutoSize
pt | BeginAutoSizing
pt | EndAutoSizing
pt | AnchorSideChanged
pt | ForeignAnchorSideChanged
pt | SetAlign
pt | SetAnchors
pt | SetAutoSize
pt | BoundsChanged
pt | CreateControlBorderSpacing
pt | DoConstraintsChange
pt | DoBorderSpacingChange
pt | IsBorderSpacingInnerBorderStored
pt | IsCaptionStored
pt | SendMoveSizeMessages
pt | ConstrainedResize
pt | CalculatePreferredSize
pt | DoOnResize
pt | DoOnChangeBounds
pt | CheckOnChangeBounds
pt | Resize
pt | RequestAlign
pt | UpdateAnchorRules
pt | ChangeBounds
pt | DoSetBounds
pt | ScaleConstraints
pt | ChangeScale
pt | CanAutoSize
pt | SetBiDiMode
pt | SetParentBiDiMode
pt | IsAParentAligning
pt | GetClientOrigin
pt | GetClientRect
pt | GetLogicalClientRect
pt | GetScrolledClientRect
pt | GetClientScrollOffset
pt | GetControlOrigin
pt | IsClientHeightStored
pt | IsClientWidthStored
pt | WidthIsAnchored
pt | HeightIsAnchored
pt | WMCancelMode
pt | WMContextMenu
pt | WMLButtonDown
pt | WMRButtonDown
pt | WMMButtonDown
pt | WMXButtonDown
pt | WMLButtonDBLCLK
pt | WMRButtonDBLCLK
pt | WMMButtonDBLCLK
pt | WMXButtonDBLCLK
pt | WMLButtonTripleCLK
pt | WMRButtonTripleCLK
pt | WMMButtonTripleCLK
pt | WMXButtonTripleCLK
pt | WMLButtonQuadCLK
pt | WMRButtonQuadCLK
pt | WMMButtonQuadCLK
pt | WMXButtonQuadCLK
pt | WMMouseMove
pt | WMLButtonUp
pt | WMRButtonUp
pt | WMMButtonUp
pt | WMXButtonUp
pt | WMMouseWheel
pt | WMMouseHWheel
pt | WMMove
pt | WMSize
pt | WMWindowPosChanged
pt | CMChanged
pt | LMCaptureChanged
pt | CMBiDiModeChanged
pt | CMSysFontChanged
pt | CMEnabledChanged
pt | CMHitTest
pt | CMMouseEnter
pt | CMMouseLeave
pt | CMHintShow
pt | CMParentBiDiModeChanged
pt | CMParentColorChanged
pt | CMParentFontChanged
pt | CMParentShowHintChanged
pt | CMVisibleChanged
pt | CMTextChanged
pt | CMCursorChanged
pt | CalculateDockSizes
pt | CreateFloatingDockSite
pt | GetDockEdge
pt | GetDragImages
pt | GetFloating
pt | GetFloatingDockSiteClass
pt | BeforeDragStart
pt | BeginAutoDrag
pt | DoFloatMsg
pt | DockTrackNoTarget
pt | DoDock
pt | DoDragMsg
pt | DoEndDock
pt | DoEndDrag
pt | DoStartDock
pt | DoStartDrag
pt | DragCanceled
pt | DragOver
pt | PositionDockRect
pt | SetDragMode
pt | GetDefaultDockCaption
pt | Click
pt | DblClick
pt | TripleClick
pt | QuadClick
pt | GetMousePosFromMessage
pt | MouseDown
pt | MouseMove
pt | MouseUp
pt | MouseEnter
pt | MouseLeave
pt | DialogChar
pt | UpdateMouseCursor
pt | Changed
pt | GetPalette
pt | ChildClassAllowed
pt | ReadState
pt | Loaded
pt | LoadedAll
pt | DefineProperties
pt | AssignTo
pt | FormEndUpdated
pt | InvalidateControl
pt | FontChanged
pt | ParentFontChanged
pt | GetAction
pt | RealGetText
pt | RealSetText
pt | TextChanged
pt | GetCachedText
pt | SetAction
pt | SetColor
pt | SetEnabled
pt | SetHint
pt | SetName
pt | SetParent
pt | SetParentComponent
pt | WndProc
pt | ParentFormHandleInitialized
pt | GetMouseCapture
pt | CaptureChanged
pt | Notification
pt | CanTab
pt | GetDeviceContext
pt | GetEnabled
pt | GetPopupMenu
pt | DoOnShowHint
pt | DoMouseWheel
pt | DoMouseWheelDown
pt | DoMouseWheelUp
pt | DoMouseWheelHorz
pt | DoMouseWheelLeft
pt | DoMouseWheelRight
pt | VisibleChanging
pt | VisibleChanged
pt | EnabledChanging
pt | EnabledChanged
pt | AddHandler
pt | RemoveHandler
pt | DoCallNotifyHandler
pt | DoCallKeyEventHandler
pt | DoCallMouseWheelEventHandler
pt | DoContextPopup
pt | SetZOrder
pt | GetControlClassDefaultSize
pt | ColorIsStored
pt | DoAutoAdjustLayout
pt | DoFixDesignFontPPI
pt | DoScaleFontPPI
pt | GetActionLinkClass
pt | ActionChange
 | DragDrop
 | Dock
 | ManualDock
 | ManualFloat
 | ReplaceDockedControl
 | Docked
 | Dragging
 | GetAccessibleObject
 | CreateAccessibleObject
 | GetSelectedChildAccessibleObject
 | GetChildAccessibleObjectAtPos
 | ScaleDesignToForm
 | ScaleFormToDesign
 | Scale96ToForm
 | ScaleFormTo96
 | Scale96ToFont
 | ScaleFontTo96
 | ScaleScreenToFont
 | ScaleFontToScreen
 | Scale96ToScreen
 | ScaleScreenTo96
 | AdjustSize
 | AutoSizePhases
 | AutoSizeDelayed
 | AutoSizeDelayedReport
 | AutoSizeDelayedHandle
 | AnchorToNeighbour
 | AnchorParallel
 | AnchorHorizontalCenterTo
 | AnchorVerticalCenterTo
 | AnchorToCompanion
 | AnchorSame
 | AnchorAsAlign
 | AnchorClient
 | AnchoredControlCount
 | SetBounds
 | SetInitialBounds
 | SetBoundsKeepBase
 | GetPreferredSize
 | GetCanvasScaleFactor
 | GetDefaultWidth
 | GetDefaultHeight
 | GetDefaultColor
 | GetColorResolvingParent
 | GetRGBColorResolvingParent
 | GetSidePosition
 | CNPreferredSizeChanged
 | InvalidatePreferredSize
 | GetAnchorsDependingOnParent
 | DisableAutoSizing
 | EnableAutoSizing
 | UpdateBaseBounds
 | WriteLayoutDebugReport
 | AutoAdjustLayout
 | ShouldAutoAdjust
 | FixDesignFontsPPI
 | ScaleFontsPPI
 | Create
 | Destroy
 | BeforeDestruction
 | EditingDone
 | ExecuteDefaultAction
 | ExecuteCancelAction
 | BeginDrag
 | EndDrag
 | BringToFront
 | HasParent
 | GetParentComponent
 | IsParentOf
 | GetTopParent
 | IsVisible
 | IsControlVisible
 | IsEnabled
 | IsParentColor
 | IsParentFont
 | FormIsUpdating
 | IsProcessingPaintMsg
 | Hide
 | Refresh
 | Repaint
 | Invalidate
 | CheckChildClassAllowed
 | CheckNewParent
 | SendToBack
 | SetTempCursor
 | UpdateRolesForForm
 | ActiveDefaultControlChanged
 | GetTextBuf
 | GetTextLen
 | SetTextBuf
 | Perform
 | ScreenToClient
 | ClientToScreen
 | ScreenToControl
 | ControlToScreen
 | ClientToParent
 | ParentToClient
 | GetChildrenRect
 | Show
 | Update
 | HandleObjectShouldBeVisible
 | ParentDestroyingHandle
 | ParentHandlesAllocated
 | InitiateAction
 | ShowHelp
 | HasHelp
 | RemoveAllHandlersOfObject
 | AddHandlerOnResize
 | RemoveHandlerOnResize
 | AddHandlerOnChangeBounds
 | RemoveHandlerOnChangeBounds
 | AddHandlerOnVisibleChanging
 | RemoveHandlerOnVisibleChanging
 | AddHandlerOnVisibleChanged
 | RemoveHandlerOnVisibleChanged
 | AddHandlerOnEnabledChanged
 | RemoveHandlerOnEnableChanging
 | AddHandlerOnKeyDown
 | RemoveHandlerOnKeyDown
 | AddHandlerOnBeforeDestruction
 | RemoveHandlerOnBeforeDestruction
 | AddHandlerOnMouseWheel
 | RemoveHandlerOnMouseWheel
 | UseRightToLeftAlignment
 | UseRightToLeftReading
 | UseRightToLeftScrollBar
 | IsRightToLeft
TLCLComponent
pt | WSRegisterClass
pt | GetWSComponentClass
 | Create
 | Destroy
 | NewInstance
 | RemoveAllHandlersOfObject
 | IncLCLRefCount
 | DecLCLRefCount
TComponent
 | GetComObject
 | GetComponent
 | GetComponentCount
 | GetComponentIndex
 | Insert
 | ReadLeft
 | ReadTop
 | Remove
 | RemoveNotification
 | SetComponentIndex
 | SetReference
 | WriteLeft
 | WriteTop
 | ChangeName
 | DefineProperties
 | GetChildren
 | GetChildOwner
 | GetChildParent
 | GetOwner
 | Loaded
 | Loading
 | Notification
 | PaletteCreated
 | ReadState
 | SetAncestor
 | SetDesigning
 | SetDesignInstance
 | SetInline
 | SetName
 | SetChildOrder
 | SetParentComponent
 | Updating
 | Updated
 | UpdateRegistry
 | ValidateRename
 | ValidateContainer
 | ValidateInsert
 | QueryInterface
 | _AddRef
 | _Release
 | iicrGetComponent
 | GetTypeInfoCount
 | GetTypeInfo
 | GetIDsOfNames
 | Invoke
 | WriteState
 | Create
 | Destroy
 | BeforeDestruction
 | DestroyComponents
 | Destroying
 | ExecuteAction
 | FindComponent
 | FreeNotification
 | RemoveFreeNotification
 | FreeOnRelease
 | GetEnumerator
 | GetNamePath
 | GetParentComponent
 | HasParent
 | InsertComponent
 | RemoveComponent
 | SafeCallException
 | SetSubComponent
 | UpdateAction
 | IsImplementorOf
 | ReferenceInterface
TPersistent
 | AssignError
 | AssignTo
 | DefineProperties
 | GetOwner
 | Destroy
 | Assign
 | FPOAttachObserver
 | FPODetachObserver
 | FPONotifyObservers
 | GetNamePath
TObject
 | Create
 | Destroy
 | newinstance
 | FreeInstance
 | SafeCallException
 | DefaultHandler
 | Free
 | InitInstance
 | CleanupInstance
 | ClassType
 | ClassInfo
 | ClassName
 | ClassNameIs
 | ClassParent
 | InstanceSize
 | InheritsFrom
 | StringMessageTable
 | MethodAddress
 | MethodName
 | FieldAddress
 | AfterConstruction
 | BeforeDestruction
 | DefaultHandlerStr
 | Dispatch
 | DispatchStr
 | GetInterface
 | GetInterfaceByStr
 | GetInterfaceWeak
 | GetInterfaceEntry
 | GetInterfaceEntryByStr
 | GetInterfaceTable
 | UnitName
 | Equals
 | GetHashCode
 | ToString


pt | ActionChange (TControl)
 | ActiveDefaultControlChanged (TControl)
 | AddControl (TWinControl)
pt | AddHandler (TControl)
 | AddHandlerOnBeforeDestruction (TControl)
 | AddHandlerOnChangeBounds (TControl)
 | AddHandlerOnEnabledChanged (TControl)
 | AddHandlerOnKeyDown (TControl)
 | AddHandlerOnMouseWheel (TControl)
 | AddHandlerOnResize (TControl)
 | AddHandlerOnVisibleChanged (TControl)
 | AddHandlerOnVisibleChanging (TControl)
pt | AdjustClientRect (TWinControl)
 | AdjustSize (TControl)
 | AfterConstruction (TObject)
pt | AlignControls (TWinControl)
pt | AllAutoSized (TWinControl)
 | AnchorAsAlign (TControl)
 | AnchorClient (TControl)
 | AnchoredControlCount (TControl)
 | AnchorHorizontalCenterTo (TControl)
 | AnchorParallel (TControl)
 | AnchorSame (TControl)
pt | AnchorSideChanged (TControl)
 | AnchorToCompanion (TControl)
 | AnchorToNeighbour (TControl)
 | AnchorVerticalCenterTo (TControl)
 | Assign (TPersistent)
 | AssignError (TPersistent)
 | AssignTo (TPersistent)
pt | AssignTo (TControl)
 | AutoAdjustLayout (TControl)
 | AutoAdjustLayout (TWinControl)
 | AutoSizeDelayed (TControl)
 | AutoSizeDelayed (TWinControl)
 | AutoSizeDelayedHandle (TControl)
 | AutoSizeDelayedHandle (TWinControl)
 | AutoSizeDelayedReport (TControl)
 | AutoSizeDelayedReport (TWinControl)
 | AutoSizePhases (TControl)
 | AutoSizePhases (TWinControl)
 | BeforeDestruction (TObject)
 | BeforeDestruction (TComponent)
 | BeforeDestruction (TControl)
pt | BeforeDragStart (TControl)
pt | BeginAutoDrag (TControl)
pt | BeginAutoSizing (TControl)
 | BeginDrag (TControl)
 | BeginUpdateBounds (TWinControl)
pt | BoundsChanged (TControl)
 | BringToFront (TControl)
 | BroadCast (TWinControl)
 | BrushCreated (TWinControl)
pt | CalculateDockSizes (TControl)
pt | CalculatePreferredSize (TControl)
pt | CalculatePreferredSize (TWinControl)
pt | CanAutoSize (TControl)
 | CanFocus (TWinControl)
 | CanSetFocus (TWinControl)
pt | CanTab (TControl)
pt | CanTab (TWinControl)
 | CanTab (TCustomPage)
pt | CaptureChanged (TControl)
pt | ChangeBounds (TControl)
pt | Changed (TControl)
 | ChangeName (TComponent)
pt | ChangeScale (TControl)
pt | ChangeScale (TWinControl)
 | CheckChildClassAllowed (TControl)
 | CheckNewParent (TControl)
 | CheckNewParent (TCustomPage)
pt | CheckOnChangeBounds (TControl)
pt | ChildClassAllowed (TControl)
pt | ChildClassAllowed (TWinControl)
pt | ChildHandlesCreated (TWinControl)
pt | ChildKey (TWinControl)
 | ClassInfo (TObject)
 | ClassName (TObject)
 | ClassNameIs (TObject)
 | ClassParent (TObject)
 | ClassType (TObject)
 | CleanupInstance (TObject)
pt | Click (TControl)
 | ClientRectNeedsInterfaceUpdate (TWinControl)
 | ClientToParent (TControl)
 | ClientToScreen (TControl)
pt | CMBiDiModeChanged (TControl)
pt | CMBiDiModeChanged (TWinControl)
pt | CMBorderChanged (TWinControl)
pt | CMChanged (TControl)
pt | CMCursorChanged (TControl)
pt | CMDoubleBufferedChanged (TWinControl)
pt | CMEnabledChanged (TControl)
pt | CMEnabledChanged (TWinControl)
pt | CMEnter (TWinControl)
pt | CMExit (TWinControl)
pt | CMHintShow (TControl)
pt | CMHitTest (TControl)
pt | CMHitTest (TCustomPage)
pt | CMMouseEnter (TControl)
pt | CMMouseLeave (TControl)
pt | CMParentBiDiModeChanged (TControl)
pt | CMParentColorChanged (TControl)
pt | CMParentDoubleBufferedChanged (TWinControl)
pt | CMParentFontChanged (TControl)
pt | CMParentShowHintChanged (TControl)
pt | CMShowHintChanged (TWinControl)
pt | CMShowingChanged (TWinControl)
pt | CMSysFontChanged (TControl)
pt | CMTextChanged (TControl)
pt | CMVisibleChanged (TControl)
pt | CMVisibleChanged (TWinControl)
pt | CMVisibleChanged (TCustomPage)
pt | CNChar (TWinControl)
pt | CNKeyDown (TWinControl)
pt | CNKeyUp (TWinControl)
 | CNPreferredSizeChanged (TControl)
pt | CNSysKeyDown (TWinControl)
pt | CNSysKeyUp (TWinControl)
pt | ColorIsStored (TControl)
pt | ConstrainedResize (TControl)
 | ContainsControl (TWinControl)
 | ControlAtPos (TWinControl)
pt | ControlKeyDown (TWinControl)
pt | ControlKeyUp (TWinControl)
pt | ControlsAligned (TWinControl)
 | ControlToScreen (TControl)
 | Create (TObject)
 | Create (TComponent)
 | Create (TLCLComponent)
 | Create (TControl)
 | Create (TWinControl)
 | Create (TCustomPage)
 | Create (TTabSheet)
 | CreateAccessibleObject (TControl)
pt | CreateBrush (TWinControl)
pt | CreateControlBorderSpacing (TControl)
pt | CreateDockManager (TWinControl)
pt | CreateFloatingDockSite (TControl)
pt | CreateHandle (TWinControl)
pt | CreateParams (TWinControl)
 | CreateParented (TWinControl)
 | CreateParentedControl (TWinControl)
pt | CreateSubClass (TWinControl)
pt | CreateWnd (TWinControl)
pt | CustomAlignInsertBefore (TWinControl)
pt | CustomAlignPosition (TWinControl)
pt | DblClick (TControl)
 | DecLCLRefCount (TLCLComponent)
 | DefaultHandler (TObject)
 | DefaultHandler (TWinControl)
 | DefaultHandlerStr (TObject)
 | DefineProperties (TPersistent)
 | DefineProperties (TComponent)
pt | DefineProperties (TControl)
 | Destroy (TObject)
 | Destroy (TPersistent)
 | Destroy (TComponent)
 | Destroy (TLCLComponent)
 | Destroy (TControl)
 | Destroy (TWinControl)
 | Destroy (TTabSheet)
 | DestroyComponents (TComponent)
pt | DestroyHandle (TWinControl)
pt | DestroyHandle (TCustomPage)
 | Destroying (TComponent)
pt | DestroyWnd (TWinControl)
pt | DialogChar (TControl)
pt | DialogChar (TWinControl)
pt | DialogChar (TCustomPage)
 | DisableAlign (TWinControl)
 | DisableAutoSizing (TControl)
 | Dispatch (TObject)
 | DispatchStr (TObject)
pt | DoAddDockClient (TWinControl)
 | DoAdjustClientRectChange (TWinControl)
pt | DoAlignChildControls (TWinControl)
pt | DoAllAutoSize (TControl)
pt | DoAllAutoSize (TWinControl)
pt | DoAutoAdjustLayout (TControl)
pt | DoAutoSize (TControl)
pt | DoAutoSize (TWinControl)
pt | DoBorderSpacingChange (TControl)
pt | DoCallKeyEventHandler (TControl)
pt | DoCallMouseWheelEventHandler (TControl)
pt | DoCallNotifyHandler (TControl)
pt | DoChildSizingChange (TWinControl)
 | Dock (TControl)
 | DockDrop (TWinControl)
 | Docked (TControl)
pt | DockOver (TWinControl)
pt | DockTrackNoTarget (TControl)
pt | DoConstraintsChange (TControl)
pt | DoConstraintsChange (TWinControl)
pt | DoContextPopup (TControl)
pt | DoDock (TControl)
pt | DoDockClientMsg (TWinControl)
pt | DoDockOver (TWinControl)
pt | DoDragMsg (TControl)
pt | DoDragMsg (TWinControl)
pt | DoEndDock (TControl)
pt | DoEndDrag (TControl)
pt | DoEnter (TWinControl)
pt | DoExit (TWinControl)
pt | DoFixDesignFontPPI (TControl)
pt | DoFlipChildren (TWinControl)
pt | DoFloatMsg (TControl)
pt | DoFloatMsg (TWinControl)
pt | DoGetDockCaption (TWinControl)
pt | DoHide (TCustomPage)
pt | DoKeyDownBeforeInterface (TWinControl)
pt | DoKeyPress (TWinControl)
pt | DoKeyUpBeforeInterface (TWinControl)
pt | DoMouseWheel (TControl)
pt | DoMouseWheelDown (TControl)
pt | DoMouseWheelHorz (TControl)
pt | DoMouseWheelLeft (TControl)
pt | DoMouseWheelRight (TControl)
pt | DoMouseWheelUp (TControl)
pt | DoOnChangeBounds (TControl)
pt | DoOnParentHandleDestruction (TControl)
pt | DoOnResize (TControl)
pt | DoOnShowHint (TControl)
pt | DoRemainingKeyDown (TWinControl)
pt | DoRemainingKeyUp (TWinControl)
pt | DoRemoveDockClient (TWinControl)
pt | DoScaleFontPPI (TControl)
pt | DoSendBoundsToInterface (TWinControl)
pt | DoSendShowHideToInterface (TWinControl)
pt | DoSetBounds (TControl)
pt | DoSetBounds (TWinControl)
pt | DoShow (TCustomPage)
pt | DoStartDock (TControl)
pt | DoStartDrag (TControl)
pt | DoUnDock (TWinControl)
pt | DoUndockClientMsg (TWinControl)
pt | DoUTF8KeyPress (TWinControl)
pt | DragCanceled (TControl)
 | DragDrop (TControl)
 | Dragging (TControl)
pt | DragOver (TControl)
 | EditingDone (TControl)
 | EnableAlign (TWinControl)
 | EnableAutoSizing (TControl)
pt | EnabledChanged (TControl)
pt | EnabledChanging (TControl)
pt | EndAutoSizing (TControl)
 | EndDrag (TControl)
 | EndUpdateBounds (TWinControl)
 | Equals (TObject)
 | EraseBackground (TWinControl)
 | ExecuteAction (TComponent)
 | ExecuteCancelAction (TControl)
 | ExecuteDefaultAction (TControl)
 | FieldAddress (TObject)
pt | FinalizeWnd (TWinControl)
 | FindChildControl (TWinControl)
 | FindComponent (TComponent)
pt | FindNextControl (TWinControl)
 | FixDesignFontsPPI (TControl)
pt | FixupTabList (TWinControl)
 | FlipChildren (TWinControl)
 | Focused (TWinControl)
pt | FontChanged (TControl)
pt | FontChanged (TWinControl)
pt | ForeignAnchorSideChanged (TControl)
pt | FormEndUpdated (TControl)
pt | FormEndUpdated (TWinControl)
 | FormIsUpdating (TControl)
 | FPOAttachObserver (TPersistent)
 | FPODetachObserver (TPersistent)
 | FPONotifyObservers (TPersistent)
 | Free (TObject)
 | FreeInstance (TObject)
 | FreeNotification (TComponent)
 | FreeOnRelease (TComponent)
 | GetAccessibleObject (TControl)
pt | GetAction (TControl)
pt | GetActionLinkClass (TControl)
pt | GetAdjustedLogicalClientRect (TWinControl)
 | GetAnchorsDependingOnParent (TControl)
pt | GetBorderStyle (TWinControl)
pt | GetCachedText (TControl)
 | GetCanvasScaleFactor (TControl)
 | GetChildAccessibleObjectAtPos (TControl)
 | GetChildOwner (TComponent)
 | GetChildParent (TComponent)
 | GetChildren (TComponent)
pt | GetChildren (TWinControl)
 | GetChildrenRect (TControl)
 | GetChildrenRect (TWinControl)
pt | GetClientOrigin (TControl)
pt | GetClientOrigin (TWinControl)
pt | GetClientRect (TControl)
pt | GetClientRect (TWinControl)
pt | GetClientScrollOffset (TControl)
 | GetColorResolvingParent (TControl)
 | GetComObject (TComponent)
 | GetComponent (TComponent)
 | GetComponentCount (TComponent)
 | GetComponentIndex (TComponent)
pt | GetControlClassDefaultSize (TControl)
 | GetControlIndex (TWinControl)
pt | GetControlOrigin (TControl)
pt | GetControlOrigin (TWinControl)
pt | GetCursor (TControl)
 | GetDefaultColor (TControl)
pt | GetDefaultDockCaption (TControl)
 | GetDefaultHeight (TControl)
 | GetDefaultWidth (TControl)
pt | GetDeviceContext (TControl)
pt | GetDeviceContext (TWinControl)
 | GetDockCaption (TWinControl)
pt | GetDockEdge (TControl)
pt | GetDragImages (TControl)
pt | GetEnabled (TControl)
 | GetEnumerator (TComponent)
 | GetEnumeratorControls (TWinControl)
 | GetEnumeratorControlsReverse (TWinControl)
pt | GetFloating (TControl)
pt | GetFloatingDockSiteClass (TControl)
 | GetHashCode (TObject)
 | GetIDsOfNames (TComponent)
 | GetInterface (TObject)
 | GetInterfaceByStr (TObject)
 | GetInterfaceEntry (TObject)
 | GetInterfaceEntryByStr (TObject)
 | GetInterfaceTable (TObject)
 | GetInterfaceWeak (TObject)
pt | GetLogicalClientRect (TControl)
pt | GetMouseCapture (TControl)
pt | GetMouseCapture (TWinControl)
pt | GetMousePosFromMessage (TControl)
 | GetNamePath (TPersistent)
 | GetNamePath (TComponent)
 | GetOwner (TPersistent)
 | GetOwner (TComponent)
pt | GetPageIndex (TCustomPage)
pt | GetPalette (TControl)
pt | GetParentBackground (TWinControl)
 | GetParentComponent (TComponent)
 | GetParentComponent (TControl)
pt | GetParentHandle (TWinControl)
pt | GetPopupMenu (TControl)
 | GetPreferredSize (TControl)
pt | GetPreferredSizeClientFrame (TWinControl)
 | GetRGBColorResolvingParent (TControl)
pt | GetScrolledClientRect (TControl)
 | GetSelectedChildAccessibleObject (TControl)
 | GetSidePosition (TControl)
pt | GetSiteInfo (TWinControl)
 | GetTabOrderList (TWinControl)
pt | GetTabVisible (TCustomPage)
 | GetTextBuf (TControl)
 | GetTextLen (TControl)
 | GetTextLen (TWinControl)
 | GetTopParent (TControl)
pt | GetTopParentHandle (TWinControl)
 | GetTypeInfo (TComponent)
 | GetTypeInfoCount (TComponent)
pt | GetWSComponentClass (TLCLComponent)
 | HandleAllocated (TWinControl)
 | HandleNeeded (TWinControl)
 | HandleObjectShouldBeVisible (TControl)
 | HandleObjectShouldBeVisible (TCustomPage)
 | HasHelp (TControl)
 | HasParent (TComponent)
 | HasParent (TControl)
pt | HeightIsAnchored (TControl)
 | Hide (TControl)
 | iicrGetComponent (TComponent)
 | IncLCLRefCount (TLCLComponent)
 | InheritsFrom (TObject)
pt | InitializeWnd (TWinControl)
 | InitiateAction (TControl)
 | InitInstance (TObject)
 | Insert (TComponent)
 | InsertComponent (TComponent)
 | InsertControl (TWinControl)
 | InstanceSize (TObject)
 | IntfGetDropFilesTarget (TWinControl)
 | IntfUTF8KeyPress (TWinControl)
 | Invalidate (TControl)
 | Invalidate (TWinControl)
pt | InvalidateBoundsRealized (TWinControl)
 | InvalidateClientRectCache (TWinControl)
pt | InvalidateControl (TControl)
pt | InvalidatePreferredChildSizes (TWinControl)
 | InvalidatePreferredSize (TControl)
 | Invoke (TComponent)
pt | IsAParentAligning (TControl)
pt | IsBorderSpacingInnerBorderStored (TControl)
pt | IsCaptionStored (TControl)
pt | IsClientHeightStored (TControl)
pt | IsClientHeightStored (TWinControl)
pt | IsClientWidthStored (TControl)
pt | IsClientWidthStored (TWinControl)
pt | IsControlMouseMsg (TWinControl)
 | IsControlVisible (TControl)
 | IsControlVisible (TCustomPage)
 | IsEnabled (TControl)
 | IsImplementorOf (TComponent)
 | IsParentColor (TControl)
 | IsParentFont (TControl)
 | IsParentOf (TControl)
 | IsProcessingPaintMsg (TControl)
 | IsRightToLeft (TControl)
 | IsVisible (TControl)
pt | KeyDown (TWinControl)
pt | KeyDownAfterInterface (TWinControl)
pt | KeyDownBeforeInterface (TWinControl)
pt | KeyPress (TWinControl)
pt | KeyUp (TWinControl)
pt | KeyUpAfterInterface (TWinControl)
pt | KeyUpBeforeInterface (TWinControl)
pt | LMCaptureChanged (TControl)
 | Loaded (TComponent)
pt | Loaded (TControl)
pt | Loaded (TWinControl)
pt | LoadedAll (TControl)
 | Loading (TComponent)
 | LockRealizeBounds (TWinControl)
pt | MainWndProc (TWinControl)
 | ManualDock (TControl)
 | ManualFloat (TControl)
 | MethodAddress (TObject)
 | MethodName (TObject)
pt | MouseDown (TControl)
pt | MouseEnter (TControl)
pt | MouseLeave (TControl)
pt | MouseMove (TControl)
pt | MouseUp (TControl)
 | newinstance (TObject)
 | NewInstance (TLCLComponent)
 | Notification (TComponent)
pt | Notification (TControl)
 | NotifyControls (TWinControl)
pt | PaintControls (TWinControl)
pt | PaintHandler (TWinControl)
 | PaintTo (TWinControl)
pt | PaintWindow (TWinControl)
 | PaletteCreated (TComponent)
 | ParentDestroyingHandle (TControl)
pt | ParentFontChanged (TControl)
pt | ParentFormHandleInitialized (TControl)
pt | ParentFormHandleInitialized (TWinControl)
 | ParentHandlesAllocated (TControl)
 | ParentHandlesAllocated (TWinControl)
 | ParentToClient (TControl)
 | Perform (TControl)
 | PerformTab (TWinControl)
pt | PositionDockRect (TControl)
pt | QuadClick (TControl)
 | QueryInterface (TComponent)
 | ReadLeft (TComponent)
 | ReadState (TComponent)
pt | ReadState (TControl)
 | ReadTop (TComponent)
pt | RealGetText (TControl)
pt | RealGetText (TWinControl)
 | ReAlign (TWinControl)
pt | RealizeBounds (TWinControl)
pt | RealizeBoundsRecursive (TWinControl)
pt | RealSetText (TControl)
pt | RealSetText (TWinControl)
pt | RealSetText (TCustomPage)
 | ReferenceInterface (TComponent)
 | Refresh (TControl)
pt | ReloadDockedControl (TWinControl)
 | Remove (TComponent)
 | RemoveAllHandlersOfObject (TLCLComponent)
 | RemoveAllHandlersOfObject (TControl)
 | RemoveComponent (TComponent)
 | RemoveControl (TWinControl)
pt | RemoveFocus (TWinControl)
 | RemoveFreeNotification (TComponent)
pt | RemoveHandler (TControl)
 | RemoveHandlerOnBeforeDestruction (TControl)
 | RemoveHandlerOnChangeBounds (TControl)
 | RemoveHandlerOnEnableChanging (TControl)
 | RemoveHandlerOnKeyDown (TControl)
 | RemoveHandlerOnMouseWheel (TControl)
 | RemoveHandlerOnResize (TControl)
 | RemoveHandlerOnVisibleChanged (TControl)
 | RemoveHandlerOnVisibleChanging (TControl)
 | RemoveNotification (TComponent)
 | Repaint (TControl)
 | Repaint (TWinControl)
 | ReplaceDockedControl (TControl)
pt | RequestAlign (TControl)
pt | Resize (TControl)
 | SafeCallException (TObject)
 | SafeCallException (TComponent)
 | Scale96ToFont (TControl)
 | Scale96ToForm (TControl)
 | Scale96ToScreen (TControl)
 | ScaleBy (TWinControl)
pt | ScaleConstraints (TControl)
pt | ScaleControls (TWinControl)
 | ScaleDesignToForm (TControl)
 | ScaleFontsPPI (TControl)
 | ScaleFontTo96 (TControl)
 | ScaleFontToScreen (TControl)
 | ScaleFormTo96 (TControl)
 | ScaleFormToDesign (TControl)
 | ScaleScreenTo96 (TControl)
 | ScaleScreenToFont (TControl)
 | ScreenToClient (TControl)
 | ScreenToControl (TControl)
 | ScrollBy (TWinControl)
 | ScrollBy_WS (TWinControl)
pt | SelectFirst (TWinControl)
 | SelectNext (TWinControl)
pt | SendDialogChar (TWinControl)
pt | SendMoveSizeMessages (TControl)
pt | SendMoveSizeMessages (TWinControl)
 | SendToBack (TControl)
pt | SetAction (TControl)
pt | SetAlign (TControl)
 | SetAncestor (TComponent)
pt | SetAnchors (TControl)
pt | SetAutoSize (TControl)
pt | SetBiDiMode (TControl)
pt | SetBorderStyle (TWinControl)
 | SetBounds (TControl)
 | SetBounds (TWinControl)
 | SetBoundsKeepBase (TControl)
 | SetChildOrder (TComponent)
pt | SetChildZPosition (TWinControl)
pt | SetColor (TControl)
pt | SetColor (TWinControl)
 | SetComponentIndex (TComponent)
 | SetControlIndex (TWinControl)
pt | SetCursor (TControl)
 | SetDesigning (TComponent)
 | SetDesignInstance (TComponent)
pt | SetDockManager (TWinControl)
pt | SetDragMode (TControl)
pt | SetEnabled (TControl)
 | SetFocus (TWinControl)
pt | SetHint (TControl)
 | SetInitialBounds (TControl)
 | SetInline (TComponent)
 | SetName (TComponent)
pt | SetName (TControl)
pt | SetPageIndex (TCustomPage)
pt | SetParent (TControl)
pt | SetParent (TCustomPage)
pt | SetParentBackground (TWinControl)
pt | SetParentBiDiMode (TControl)
 | SetParentComponent (TComponent)
pt | SetParentComponent (TControl)
 | SetReference (TComponent)
 | SetShape (TWinControl)
 | SetSubComponent (TComponent)
 | SetTempCursor (TControl)
 | SetTempCursor (TWinControl)
 | SetTextBuf (TControl)
pt | SetVisible (TControl)
pt | SetZOrder (TControl)
 | ShouldAutoAdjust (TControl)
 | Show (TControl)
pt | ShowControl (TWinControl)
 | ShowHelp (TControl)
 | StringMessageTable (TObject)
pt | TextChanged (TControl)
 | ToString (TObject)
pt | TripleClick (TControl)
 | UnitName (TObject)
 | UnlockRealizeBounds (TWinControl)
 | Update (TControl)
 | Update (TWinControl)
 | UpdateAction (TComponent)
pt | UpdateAnchorRules (TControl)
 | UpdateBaseBounds (TControl)
pt | UpdateControlState (TWinControl)
 | Updated (TComponent)
 | UpdateDockCaption (TWinControl)
pt | UpdateMouseCursor (TControl)
 | UpdateRegistry (TComponent)
 | UpdateRolesForForm (TControl)
pt | UpdateShowing (TWinControl)
 | Updating (TComponent)
 | UseRightToLeftAlignment (TControl)
 | UseRightToLeftReading (TControl)
 | UseRightToLeftScrollBar (TControl)
pt | UTF8KeyPress (TWinControl)
 | ValidateContainer (TComponent)
 | ValidateInsert (TComponent)
 | ValidateRename (TComponent)
pt | VisibleChanged (TControl)
pt | VisibleChanging (TControl)
 | VisibleIndex (TCustomPage)
pt | WidthIsAnchored (TControl)
pt | WMCancelMode (TControl)
pt | WMChar (TWinControl)
pt | WMContextMenu (TControl)
pt | WMContextMenu (TWinControl)
pt | WMDestroy (TWinControl)
pt | WMEnter (TWinControl)
pt | WMEraseBkgnd (TWinControl)
pt | WMExit (TWinControl)
pt | WMKeyDown (TWinControl)
pt | WMKeyUp (TWinControl)
pt | WMKillFocus (TWinControl)
pt | WMLButtonDBLCLK (TControl)
pt | WMLButtonDown (TControl)
pt | WMLButtonQuadCLK (TControl)
pt | WMLButtonTripleCLK (TControl)
pt | WMLButtonUp (TControl)
pt | WMMButtonDBLCLK (TControl)
pt | WMMButtonDown (TControl)
pt | WMMButtonQuadCLK (TControl)
pt | WMMButtonTripleCLK (TControl)
pt | WMMButtonUp (TControl)
pt | WMMouseHWheel (TControl)
pt | WMMouseMove (TControl)
pt | WMMouseWheel (TControl)
pt | WMMove (TControl)
pt | WMMove (TWinControl)
pt | WMNotify (TWinControl)
pt | WMPaint (TWinControl)
pt | WMPaint (TCustomPage)
pt | WMRButtonDBLCLK (TControl)
pt | WMRButtonDown (TControl)
pt | WMRButtonQuadCLK (TControl)
pt | WMRButtonTripleCLK (TControl)
pt | WMRButtonUp (TControl)
pt | WMSetFocus (TWinControl)
pt | WMShowWindow (TWinControl)
pt | WMSize (TControl)
pt | WMSize (TWinControl)
pt | WMSysChar (TWinControl)
pt | WMSysKeyDown (TWinControl)
pt | WMSysKeyUp (TWinControl)
pt | WMWindowPosChanged (TControl)
pt | WMWindowPosChanged (TWinControl)
pt | WMXButtonDBLCLK (TControl)
pt | WMXButtonDown (TControl)
pt | WMXButtonQuadCLK (TControl)
pt | WMXButtonTripleCLK (TControl)
pt | WMXButtonUp (TControl)
pt | WndProc (TControl)
pt | WndProc (TWinControl)
 | WriteLayoutDebugReport (TControl)
 | WriteLayoutDebugReport (TWinControl)
 | WriteLeft (TComponent)
 | WriteState (TComponent)
 | WriteTop (TComponent)
pt | WSRegisterClass (TLCLComponent)
pt | WSRegisterClass (TControl)
pt | WSRegisterClass (TWinControl)
pt | WSRegisterClass (TCustomPage)
pt | WSRegisterClass (TTabSheet)
pt | WSSetText (TWinControl)
 | _AddRef (TComponent)
 | _Release (TComponent)


TTabSheet
pl | ro | OnContextPopup
pl | ro | OnDragDrop
pl | ro | OnDragOver
pl | ro | OnEndDrag
pl | ro | OnEnter
pl | ro | OnExit
pl | ro | OnHide
pl | ro | OnMouseDown
pl | ro | OnMouseEnter
pl | ro | OnMouseLeave
pl | ro | OnMouseMove
pl | ro | OnMouseUp
pl | ro | OnMouseWheel
pl | ro | OnMouseWheelDown
pl | ro | OnMouseWheelUp
pl | ro | OnResize
pl | ro | OnShow
pl | ro | OnStartDrag
TCustomPage
 |  | OnHide
 |  | OnShow
TWinControl
pt |  | OnGetSiteInfo
pt |  | OnGetDockCaption
 |  | OnAlignInsertBefore
 |  | OnAlignPosition
 |  | OnDockDrop
 |  | OnDockOver
 |  | OnEnter
 |  | OnExit
 |  | OnKeyDown
 |  | OnKeyPress
 |  | OnKeyUp
 |  | OnUnDock
 |  | OnUTF8KeyPress
TControl
pt |  | OnConstrainedResize
pt |  | OnContextPopup
pt |  | OnDblClick
pt |  | OnTripleClick
pt |  | OnQuadClick
pt |  | OnDragDrop
pt |  | OnDragOver
pt |  | OnEndDock
pt |  | OnEndDrag
pt |  | OnMouseDown
pt |  | OnMouseMove
pt |  | OnMouseUp
pt |  | OnMouseEnter
pt |  | OnMouseLeave
pt |  | OnMouseWheel
pt |  | OnMouseWheelDown
pt |  | OnMouseWheelUp
pt |  | OnMouseWheelHorz
pt |  | OnMouseWheelLeft
pt |  | OnMouseWheelRight
pt |  | OnStartDock
pt |  | OnStartDrag
pt |  | OnEditingDone
 |  | OnChangeBounds
 |  | OnClick
 |  | OnResize
 |  | OnShowHint
TLCLComponent
TComponent
TPersistent
TObject


 |  | OnAlignInsertBefore (TWinControl)
 |  | OnAlignPosition (TWinControl)
 |  | OnChangeBounds (TControl)
 |  | OnClick (TControl)
pt |  | OnConstrainedResize (TControl)
pt |  | OnContextPopup (TControl)
pl | ro | OnContextPopup (TTabSheet)
pt |  | OnDblClick (TControl)
 |  | OnDockDrop (TWinControl)
 |  | OnDockOver (TWinControl)
pt |  | OnDragDrop (TControl)
pl | ro | OnDragDrop (TTabSheet)
pt |  | OnDragOver (TControl)
pl | ro | OnDragOver (TTabSheet)
pt |  | OnEditingDone (TControl)
pt |  | OnEndDock (TControl)
pt |  | OnEndDrag (TControl)
pl | ro | OnEndDrag (TTabSheet)
 |  | OnEnter (TWinControl)
pl | ro | OnEnter (TTabSheet)
 |  | OnExit (TWinControl)
pl | ro | OnExit (TTabSheet)
pt |  | OnGetDockCaption (TWinControl)
pt |  | OnGetSiteInfo (TWinControl)
 |  | OnHide (TCustomPage)
pl | ro | OnHide (TTabSheet)
 |  | OnKeyDown (TWinControl)
 |  | OnKeyPress (TWinControl)
 |  | OnKeyUp (TWinControl)
pt |  | OnMouseDown (TControl)
pl | ro | OnMouseDown (TTabSheet)
pt |  | OnMouseEnter (TControl)
pl | ro | OnMouseEnter (TTabSheet)
pt |  | OnMouseLeave (TControl)
pl | ro | OnMouseLeave (TTabSheet)
pt |  | OnMouseMove (TControl)
pl | ro | OnMouseMove (TTabSheet)
pt |  | OnMouseUp (TControl)
pl | ro | OnMouseUp (TTabSheet)
pt |  | OnMouseWheel (TControl)
pl | ro | OnMouseWheel (TTabSheet)
pt |  | OnMouseWheelDown (TControl)
pl | ro | OnMouseWheelDown (TTabSheet)
pt |  | OnMouseWheelHorz (TControl)
pt |  | OnMouseWheelLeft (TControl)
pt |  | OnMouseWheelRight (TControl)
pt |  | OnMouseWheelUp (TControl)
pl | ro | OnMouseWheelUp (TTabSheet)
pt |  | OnQuadClick (TControl)
 |  | OnResize (TControl)
pl | ro | OnResize (TTabSheet)
 |  | OnShow (TCustomPage)
pl | ro | OnShow (TTabSheet)
 |  | OnShowHint (TControl)
pt |  | OnStartDock (TControl)
pt |  | OnStartDrag (TControl)
pl | ro | OnStartDrag (TTabSheet)
pt |  | OnTripleClick (TControl)
 |  | OnUnDock (TWinControl)
 |  | OnUTF8KeyPress (TWinControl)


TTabSheet.BiDiMode

Declaration

Source position: comctrls.pp line 532

published property TTabSheet.BiDiMode : TBiDiMode;


TTabSheet.BorderWidth

Declaration

Source position: comctrls.pp line 531

published property TTabSheet.BorderWidth : TBorderWidth;


TTabSheet.Create

calls inherited Create and zeroes ImageIndex

Declaration

Source position: comctrls.pp line 526

public constructor TTabSheet.Create(

  TheOwner: TComponent

); override;

See also

TComponent.Create


TTabSheet.Destroy

Destroy - destructor for TTabSheet: detaches from the Host Dock Site and calls inherited Destroy

Declaration

Source position: comctrls.pp line 527

public destructor TTabSheet.Destroy; override;

See also

TComponent.Destroy


TTabSheet.Font

Declaration

Source position: comctrls.pp line 538

published property TTabSheet.Font : TFont;


TTabSheet.OnMouseEnter

Declaration

Source position: comctrls.pp line 550

published property TTabSheet.OnMouseEnter : TNotifyEvent;


TTabSheet.OnMouseLeave

Declaration

Source position: comctrls.pp line 551

published property TTabSheet.OnMouseLeave : TNotifyEvent;


TTabSheet.OnMouseWheel

Declaration

Source position: comctrls.pp line 554

published property TTabSheet.OnMouseWheel : TMouseWheelEvent;


TTabSheet.OnMouseWheelDown

Declaration

Source position: comctrls.pp line 555

published property TTabSheet.OnMouseWheelDown : TMouseWheelUpDownEvent;


TTabSheet.OnMouseWheelUp

Declaration

Source position: comctrls.pp line 556

published property TTabSheet.OnMouseWheelUp : TMouseWheelUpDownEvent;


TTabSheet.PageControl

The PageControl of which this TabSheet is a member

Declaration

Source position: comctrls.pp line 528

public property TTabSheet.PageControl : TPageControl
  read GetPageControl
  write SetPageControl;


TTabSheet.ParentBiDiMode

Declaration

Source position: comctrls.pp line 561

published property TTabSheet.ParentBiDiMode : Boolean;


TTabSheet.TabIndex

TabIndex - the Index value or sequence number of this TabSheet

Declaration

Source position: comctrls.pp line 529

public property TTabSheet.TabIndex : Integer
  read GetTabIndex;


TToolBar

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Declaration

Source position: comctrls.pp line 2202

type TToolBar = class(TToolWindow)
protected
Const
cDefButtonWidth = 23
cDefButtonHeight = 22
FPrevVertical: Boolean;
function IsVertical; virtual;
class procedure WSRegisterClass; override; | Registers this component class with the current WidgetSet.
procedure AdjustClientRect(); override; | Override this method when the ClientRect of a control differs from the default value.
function ButtonHeightIsStored;
function ButtonWidthIsStored;
function DropDownWidthIsStored;
class function GetControlClassDefaultSize; override; | GetControlClassDefaultSize - returns its own defaults, overriding the inherited values
procedure DoAutoSize; override;
procedure CalculatePreferredSize(); override; | Override this method to return the preferred height and width.
function CheckMenuDropdown(); virtual; | CheckMenuDropdown - returns True if there is a checked dropdown menu
procedure ClickButton(); virtual; | ClickButton - software emulation of the OnClick event
procedure CreateWnd; override; | Creates the interface object (widget) and assigns it to Handle.
procedure AlignControls(); override;
function FindButtonFromAccel(); | FindButtonFromAccel - returns the Button corresponding to the specified accelerator key
procedure FontChanged(); override; | FontChanged - method to cope with change in font
procedure Loaded; override; | Called when the control has been loaded from a resource, transfers the loaded property values to the widget.
procedure Notification(); override; | Notification handler for insertion or deletion of components.
procedure Paint; override; | Override this method in your derived class with your own paint handler.
procedure RepositionButton(); | RepositionButton - method for re-positioning a button
procedure RepositionButtons(); | RepositionButtons - method for re-positioning several buttons
function WrapButtons(); | WrapButtons - returns True if changing to NewHeight and NewWidth causes wrapping of buttons
procedure CNDropDownClosed(); message;
procedure DoAutoAdjustLayout(); override;
public
constructor Create(); override; | Create - constructor for TToolBar: calls inherited Create and sets many formatting and size defaults
destructor Destroy; override; | Destroy - destructor for TToolBar: frees buttons and links then calls inherited Destroy
procedure EndUpdate; override; | EndUpdate - finishes the update process
procedure FlipChildren(); override; | Flip children horizontally. That means mirroring the Left position and anchoring.
function GetEnumerator;
procedure SetButtonSize(); | SetButtonSize - stores new values for height and width
function CanFocus; override; | Is this control allowed to receive the focus when parent form is visible?
property ButtonCount: Integer; [r] | ButtonCount - the number of buttons on the ToolBar
property Buttons []: TToolButton; [r] | Lists the tool buttons (TToolButton) in the toolbar.
property ButtonList: TList; [r] | ButtonList - the list of Buttons (as a TList)
property RowCount: Integer; [r] | RowCount - the number of Rows of Buttons
property ButtonDropWidth: Integer; [r]
published
property Align: TAlign; | Specifies the placement of the control inside its Parent.
property Anchors: TAnchors;
property AutoSize: Boolean; | Allows to automatically adjust the size of the control, according to its content.
property BorderSpacing: TControlBorderSpacing; | Determines the inner and outer border spacing for this control.
property BorderWidth: TBorderWidth; | Width of the Border around the control; default is zero.
property ButtonHeight: Integer; [rws] | ButtonHeight - the height of the buttons
property ButtonWidth: Integer; [rws] | ButtonWidth - the width of the buttons
property Caption: TCaption; | The text describing the control to the user.
property ChildSizing: TControlChildSizing; | Parameters for child control arrangement and spacing.
property Constraints: TSizeConstraints; | The minimal and maximal Width and Height of this control.
property Color: TColor; | The background color of the control.
property DisabledImages: TCustomImageList; [rw] | The Images on the Image List that are NOT selected for display
property DragCursor: TCursor; | The cursor shape shown while the control is dragged.
property DragKind: TDragKind; | The operation when the control is dragged - Drag or Dock.
property DragMode: TDragMode; | Allows the user to drag the control.
property DropDownWidth: Integer; [rws] | Width of the drop down arrow button.
property EdgeBorders: TEdgeBorders; | EdgeBorders - which borders form the edge
property EdgeInner: TEdgeStyle; | EdgeInner - this toolbar has an inner edge
property EdgeOuter: TEdgeStyle; | EdgeOuter - this toolbar has an outer edge
property Enabled: Boolean; | Determines whether the control reacts on mouse or keyboard input.
property Flat: Boolean; [rw] | Should the toolbuttons be displayed Flat (rather than in relief)? Default false
property Font: TFont; | The font to be used for text display in this control.
property Height: Integer; | The vertical size of the control.
property HotImages: TCustomImageList; [rw] | The Images on the Image list that are selected for display
property Images: TCustomImageList; [rw] | The Images to be displayed on the buttons
property ImagesWidth: Integer; [rw]
property Indent: Integer; [rw] | Indent - the amount by which the buttons should be indented Default is 1
property List: Boolean; [rw] | Should the contents of the toolbar be displayed as a List? Default false
property ParentColor: Boolean; | If true, the Color of the control will be the same as the one from the Parent. Default is true.
property ParentFont: Boolean; | If true, the Font of the control will be the same as the one from the Parent. Default is true.
property ParentShowHint: Boolean; | If true, the value of ShowHint for the control will be the same as the one from the Parent. Default is true.
property PopupMenu: TPopupMenu; | A context-sensitive menu that pops up when the right mouse button is clicked over this control
property ShowCaptions: Boolean; [rw] | ShowCaptions - should the captions be shown for the buttons? (Default False)
property ShowHint: Boolean; | Enables the Hint display.
property TabOrder: TTabOrder; | Determines the sequence of controls, reachable when the user presses the Tab key.
property TabStop: Boolean; | Allows the user to navigate to this control, by pressing the Tab key.
property Transparent: Boolean; [rw] | Is the ToolBar to be Transparent? Default False
property Visible: Boolean; | Allows to show or hide the control, and all of its children.
property Wrapable: Boolean; [rw] | Wrapable - enables wrapping buttons to the next row if there are too many for the current row
property OnClick: TNotifyEvent; | Notification handler for mouse clicks.
property OnContextPopup: TContextPopupEvent; | Invoked when a context-sensitive pop-up menu is requested.
property OnDblClick: TNotifyEvent; | Event Handler for double mouse clicks.
property OnDragDrop: TDragDropEvent; | This handler determines the action on an drop onto this control, in a drag-drop operation.
property OnDragOver: TDragOverEvent; | Event handler for a control being dragged over this control.
property OnPaintButton: TToolBarOnPaintButton; [rw]
property OnEndDrag: TEndDragEvent; | Notification handler for the end of a dragging operation.
property OnEnter: TNotifyEvent; | Handler for control receiving the focus.
property OnExit: TNotifyEvent; | Handler for control loosing the focus. This is a good place for checking the finished user input.
property OnMouseDown: TMouseEvent; | Event handler for mouse button going down.
property OnMouseEnter: TNotifyEvent; | Event handler for mouse entering the area of the control.
property OnMouseLeave: TNotifyEvent; | Event handler for mouse leaving the area of the control.
property OnMouseMove: TMouseMoveEvent; | Event handler for mouse movement within the control.
property OnMouseUp: TMouseEvent; | Event handler for mouse button going up.
property OnMouseWheel: TMouseWheelEvent;
property OnMouseWheelDown: TMouseWheelUpDownEvent;
property OnMouseWheelUp: TMouseWheelUpDownEvent;
property OnPaint: TNotifyEvent; [rw]
property OnResize: TNotifyEvent; | Notification handler for a resize of the control.
property OnChangeBounds: TNotifyEvent; | Event handler for a change of the Bounds of the control.
property OnStartDrag: TStartDragEvent; | Event handler for the start of a dragging operation.
end;

Inheritance

TToolBar
|
TToolWindow |
|
TCustomControl | The base class for windowed controls which paint themselves.
|
TWinControl | The base class for controls which can contain other (child) controls.
|
TControl | The base class for visible controls.
|
TLCLComponent | The base class for LCL components associated with widgets.
|
TComponent,IUnknown,IInterfaceComponentReference
|
TPersistent,IFPObserved
|
TObject


TToolBar
 | ro | ButtonCount
 | ro | Buttons
 | ro | ButtonList
 | ro | RowCount
 | ro | ButtonDropWidth
pl | ro | Align
pl | ro | Anchors
pl | ro | AutoSize
pl | ro | BorderSpacing
pl | ro | BorderWidth
pl |  | ButtonHeight
pl |  | ButtonWidth
pl | ro | Caption
pl | ro | ChildSizing
pl | ro | Constraints
pl | ro | Color
pl |  | DisabledImages
pl | ro | DragCursor
pl | ro | DragKind
pl | ro | DragMode
pl |  | DropDownWidth
pl | ro | EdgeBorders
pl | ro | EdgeInner
pl | ro | EdgeOuter
pl | ro | Enabled
pl |  | Flat
pl | ro | Font
pl | ro | Height
pl |  | HotImages
pl |  | Images
pl |  | ImagesWidth
pl |  | Indent
pl |  | List
pl | ro | ParentColor
pl | ro | ParentFont
pl | ro | ParentShowHint
pl | ro | PopupMenu
pl |  | ShowCaptions
pl | ro | ShowHint
pl | ro | TabOrder
pl | ro | TabStop
pl |  | Transparent
pl | ro | Visible
pl |  | Wrapable
TToolWindow
 |  | EdgeBorders
 |  | EdgeInner
 |  | EdgeOuter
TCustomControl
 |  | Canvas
 | ro | BorderStyle
TWinControl
pt |  | WindowHandle
pt |  | BorderStyle
pt |  | ParentBackground
 |  | BorderWidth
 | ro | BoundsLockCount
 | ro | Brush
 | ro | CachedClientHeight
 | ro | CachedClientWidth
 |  | ChildSizing
 | ro | ControlCount
 | ro | Controls
 |  | DefWndProc
 | ro | DockClientCount
 | ro | DockClients
 |  | DockManager
 |  | DockSite
 |  | DoubleBuffered
 |  | Handle
 | ro | IsFlipped
 | ro | IsResizing
 |  | TabOrder
 |  | TabStop
 |  | ParentDoubleBuffered
 |  | ParentWindow
 | ro | Showing
 |  | UseDockManager
 |  | DesignerDeleting
 | ro | VisibleDockClientCount
TControl
pt | ro | AutoSizing
pt | ro | AutoSizingAll
pt | ro | AutoSizingLockCount
pt |  | ActionLink
pt |  | DesktopFont
pt |  | DragCursor
pt |  | DragKind
pt |  | DragMode
pt |  | MouseCapture
pt |  | ParentColor
pt |  | ParentFont
pt |  | ParentShowHint
pt |  | SessionProperties
pt |  | Text
 | ro | AnchoredControls
 | ro | BaseBounds
 | ro | ReadBounds
 | ro | BaseParentClientSize
 |  | AccessibleDescription
 |  | AccessibleValue
 |  | AccessibleRole
 |  | Action
 |  | Align
 |  | Anchors
 | ro | AnchorSide
 |  | AutoSize
 |  | BorderSpacing
 |  | BoundsRect
 |  | BoundsRectForNewParent
 |  | Caption
 |  | CaptureMouseButtons
 |  | ClientHeight
 | ro | ClientOrigin
 | ro | ClientRect
 |  | ClientWidth
 |  | Color
 |  | Constraints
 | ro | ControlOrigin
 |  | ControlState
 |  | ControlStyle
 |  | Enabled
 |  | Font
 |  | IsControl
 | ro | MouseEntered
 | ro | MouseInClient
 |  | Parent
 |  | PopupMenu
 |  | ShowHint
 |  | Visible
 |  | WindowProc
 |  | DockOrientation
 | ro | Floating
 |  | FloatingDockSiteClass
 |  | HostDockSite
 |  | LRDockWidth
 |  | TBDockHeight
 |  | UndockHeight
 |  | UndockWidth
 |  | BiDiMode
 |  | ParentBiDiMode
pl |  | AnchorSideLeft
pl |  | AnchorSideTop
pl |  | AnchorSideRight
pl |  | AnchorSideBottom
pl |  | Cursor
pl |  | Left
pl |  | Height
pl |  | Hint
pl |  | Top
pl |  | Width
pl |  | HelpType
pl |  | HelpKeyword
pl |  | HelpContext
TLCLComponent
 | ro | LCLRefCount
 | ro | WidgetSetClass
TComponent
 | ro | ComObject
 | ro | Components
 | ro | ComponentCount
 |  | ComponentIndex
 | ro | ComponentState
 | ro | ComponentStyle
 |  | DesignInfo
 | ro | Owner
 |  | VCLComObject
 |  | Name
 |  | Tag
TPersistent
TObject


 |  | AccessibleDescription (TControl)
 |  | AccessibleRole (TControl)
 |  | AccessibleValue (TControl)
 |  | Action (TControl)
pt |  | ActionLink (TControl)
 |  | Align (TControl)
pl | ro | Align (TToolBar)
 | ro | AnchoredControls (TControl)
 |  | Anchors (TControl)
pl | ro | Anchors (TToolBar)
 | ro | AnchorSide (TControl)
pl |  | AnchorSideBottom (TControl)
pl |  | AnchorSideLeft (TControl)
pl |  | AnchorSideRight (TControl)
pl |  | AnchorSideTop (TControl)
 |  | AutoSize (TControl)
pl | ro | AutoSize (TToolBar)
pt | ro | AutoSizing (TControl)
pt | ro | AutoSizingAll (TControl)
pt | ro | AutoSizingLockCount (TControl)
 | ro | BaseBounds (TControl)
 | ro | BaseParentClientSize (TControl)
 |  | BiDiMode (TControl)
 |  | BorderSpacing (TControl)
pl | ro | BorderSpacing (TToolBar)
pt |  | BorderStyle (TWinControl)
 | ro | BorderStyle (TCustomControl)
 |  | BorderWidth (TWinControl)
pl | ro | BorderWidth (TToolBar)
 | ro | BoundsLockCount (TWinControl)
 |  | BoundsRect (TControl)
 |  | BoundsRectForNewParent (TControl)
 | ro | Brush (TWinControl)
 | ro | ButtonCount (TToolBar)
 | ro | ButtonDropWidth (TToolBar)
pl |  | ButtonHeight (TToolBar)
 | ro | ButtonList (TToolBar)
 | ro | Buttons (TToolBar)
pl |  | ButtonWidth (TToolBar)
 | ro | CachedClientHeight (TWinControl)
 | ro | CachedClientWidth (TWinControl)
 |  | Canvas (TCustomControl)
 |  | Caption (TControl)
pl | ro | Caption (TToolBar)
 |  | CaptureMouseButtons (TControl)
 |  | ChildSizing (TWinControl)
pl | ro | ChildSizing (TToolBar)
 |  | ClientHeight (TControl)
 | ro | ClientOrigin (TControl)
 | ro | ClientRect (TControl)
 |  | ClientWidth (TControl)
 |  | Color (TControl)
pl | ro | Color (TToolBar)
 | ro | ComObject (TComponent)
 | ro | ComponentCount (TComponent)
 |  | ComponentIndex (TComponent)
 | ro | Components (TComponent)
 | ro | ComponentState (TComponent)
 | ro | ComponentStyle (TComponent)
 |  | Constraints (TControl)
pl | ro | Constraints (TToolBar)
 | ro | ControlCount (TWinControl)
 | ro | ControlOrigin (TControl)
 | ro | Controls (TWinControl)
 |  | ControlState (TControl)
 |  | ControlStyle (TControl)
pl |  | Cursor (TControl)
 |  | DefWndProc (TWinControl)
 |  | DesignerDeleting (TWinControl)
 |  | DesignInfo (TComponent)
pt |  | DesktopFont (TControl)
pl |  | DisabledImages (TToolBar)
 | ro | DockClientCount (TWinControl)
 | ro | DockClients (TWinControl)
 |  | DockManager (TWinControl)
 |  | DockOrientation (TControl)
 |  | DockSite (TWinControl)
 |  | DoubleBuffered (TWinControl)
pt |  | DragCursor (TControl)
pl | ro | DragCursor (TToolBar)
pt |  | DragKind (TControl)
pl | ro | DragKind (TToolBar)
pt |  | DragMode (TControl)
pl | ro | DragMode (TToolBar)
pl |  | DropDownWidth (TToolBar)
 |  | EdgeBorders (TToolWindow)
pl | ro | EdgeBorders (TToolBar)
 |  | EdgeInner (TToolWindow)
pl | ro | EdgeInner (TToolBar)
 |  | EdgeOuter (TToolWindow)
pl | ro | EdgeOuter (TToolBar)
 |  | Enabled (TControl)
pl | ro | Enabled (TToolBar)
pl |  | Flat (TToolBar)
 | ro | Floating (TControl)
 |  | FloatingDockSiteClass (TControl)
 |  | Font (TControl)
pl | ro | Font (TToolBar)
 |  | Handle (TWinControl)
pl |  | Height (TControl)
pl | ro | Height (TToolBar)
pl |  | HelpContext (TControl)
pl |  | HelpKeyword (TControl)
pl |  | HelpType (TControl)
pl |  | Hint (TControl)
 |  | HostDockSite (TControl)
pl |  | HotImages (TToolBar)
pl |  | Images (TToolBar)
pl |  | ImagesWidth (TToolBar)
pl |  | Indent (TToolBar)
 |  | IsControl (TControl)
 | ro | IsFlipped (TWinControl)
 | ro | IsResizing (TWinControl)
 | ro | LCLRefCount (TLCLComponent)
pl |  | Left (TControl)
pl |  | List (TToolBar)
 |  | LRDockWidth (TControl)
pt |  | MouseCapture (TControl)
 | ro | MouseEntered (TControl)
 | ro | MouseInClient (TControl)
 |  | Name (TComponent)
 | ro | Owner (TComponent)
 |  | Parent (TControl)
pt |  | ParentBackground (TWinControl)
 |  | ParentBiDiMode (TControl)
pt |  | ParentColor (TControl)
pl | ro | ParentColor (TToolBar)
 |  | ParentDoubleBuffered (TWinControl)
pt |  | ParentFont (TControl)
pl | ro | ParentFont (TToolBar)
pt |  | ParentShowHint (TControl)
pl | ro | ParentShowHint (TToolBar)
 |  | ParentWindow (TWinControl)
 |  | PopupMenu (TControl)
pl | ro | PopupMenu (TToolBar)
 | ro | ReadBounds (TControl)
 | ro | RowCount (TToolBar)
pt |  | SessionProperties (TControl)
pl |  | ShowCaptions (TToolBar)
 |  | ShowHint (TControl)
pl | ro | ShowHint (TToolBar)
 | ro | Showing (TWinControl)
 |  | TabOrder (TWinControl)
pl | ro | TabOrder (TToolBar)
 |  | TabStop (TWinControl)
pl | ro | TabStop (TToolBar)
 |  | Tag (TComponent)
 |  | TBDockHeight (TControl)
pt |  | Text (TControl)
pl |  | Top (TControl)
pl |  | Transparent (TToolBar)
 |  | UndockHeight (TControl)
 |  | UndockWidth (TControl)
 |  | UseDockManager (TWinControl)
 |  | VCLComObject (TComponent)
 |  | Visible (TControl)
pl | ro | Visible (TToolBar)
 | ro | VisibleDockClientCount (TWinControl)
 | ro | WidgetSetClass (TLCLComponent)
pl |  | Width (TControl)
pt |  | WindowHandle (TWinControl)
 |  | WindowProc (TControl)
pl |  | Wrapable (TToolBar)


TToolBar
pt | IsVertical
pt | WSRegisterClass
pt | AdjustClientRect
pt | ButtonHeightIsStored
pt | ButtonWidthIsStored
pt | DropDownWidthIsStored
pt | GetControlClassDefaultSize
pt | DoAutoSize
pt | CalculatePreferredSize
pt | CheckMenuDropdown
pt | ClickButton
pt | CreateWnd
pt | AlignControls
pt | FindButtonFromAccel
pt | FontChanged
pt | Loaded
pt | Notification
pt | Paint
pt | RepositionButton
pt | RepositionButtons
pt | WrapButtons
pt | CNDropDownClosed
pt | DoAutoAdjustLayout
 | Create
 | Destroy
 | EndUpdate
 | FlipChildren
 | GetEnumerator
 | SetButtonSize
 | CanFocus
TToolWindow
pt | AdjustClientRect
pt | Paint
 | Create
 | BeginUpdate
 | EndUpdate
TCustomControl
pt | WSRegisterClass
pt | WMPaint
pt | DestroyWnd
pt | PaintWindow
pt | FontChanged
pt | SetColor
pt | Paint
 | Create
 | Destroy
TWinControl
pt | WSRegisterClass
pt | AdjustClientRect
pt | GetAdjustedLogicalClientRect
pt | AlignControls
pt | CustomAlignInsertBefore
pt | CustomAlignPosition
pt | DoAlignChildControls
pt | DoChildSizingChange
pt | InvalidatePreferredChildSizes
pt | CanTab
pt | IsClientHeightStored
pt | IsClientWidthStored
pt | DoSendShowHideToInterface
pt | ControlsAligned
pt | DoSendBoundsToInterface
pt | RealizeBounds
pt | RealizeBoundsRecursive
pt | InvalidateBoundsRealized
pt | CreateSubClass
pt | DoConstraintsChange
pt | DoSetBounds
pt | DoAutoSize
pt | DoAllAutoSize
pt | AllAutoSized
pt | CalculatePreferredSize
pt | GetPreferredSizeClientFrame
pt | GetChildren
pt | ChildClassAllowed
pt | PaintControls
pt | PaintHandler
pt | PaintWindow
pt | CreateBrush
pt | ScaleControls
pt | ChangeScale
pt | CMBiDiModeChanged
pt | CMBorderChanged
pt | CMDoubleBufferedChanged
pt | CMEnabledChanged
pt | CMParentDoubleBufferedChanged
pt | CMShowingChanged
pt | CMShowHintChanged
pt | CMVisibleChanged
pt | CMEnter
pt | CMExit
pt | WMContextMenu
pt | WMEraseBkgnd
pt | WMNotify
pt | WMSetFocus
pt | WMKillFocus
pt | WMShowWindow
pt | WMEnter
pt | WMExit
pt | WMKeyDown
pt | WMSysKeyDown
pt | WMKeyUp
pt | WMSysKeyUp
pt | WMChar
pt | WMSysChar
pt | WMPaint
pt | WMDestroy
pt | WMMove
pt | WMSize
pt | WMWindowPosChanged
pt | CNKeyDown
pt | CNSysKeyDown
pt | CNKeyUp
pt | CNSysKeyUp
pt | CNChar
pt | DoDragMsg
pt | DoDockClientMsg
pt | DoUndockClientMsg
pt | DoAddDockClient
pt | DockOver
pt | DoDockOver
pt | DoRemoveDockClient
pt | DoUnDock
pt | GetSiteInfo
pt | GetParentHandle
pt | GetTopParentHandle
pt | ReloadDockedControl
pt | CreateDockManager
pt | SetDockManager
pt | DoFloatMsg
pt | DoGetDockCaption
pt | DoEnter
pt | DoExit
pt | DoKeyDownBeforeInterface
pt | DoRemainingKeyDown
pt | DoRemainingKeyUp
pt | DoKeyPress
pt | DoUTF8KeyPress
pt | DoKeyUpBeforeInterface
pt | ChildKey
pt | SendDialogChar
pt | DialogChar
pt | ControlKeyDown
pt | ControlKeyUp
pt | KeyDown
pt | KeyDownBeforeInterface
pt | KeyDownAfterInterface
pt | KeyPress
pt | KeyUp
pt | KeyUpBeforeInterface
pt | KeyUpAfterInterface
pt | UTF8KeyPress
pt | FindNextControl
pt | SelectFirst
pt | RealGetText
pt | GetBorderStyle
pt | GetClientOrigin
pt | GetClientRect
pt | GetControlOrigin
pt | GetDeviceContext
pt | GetParentBackground
pt | IsControlMouseMsg
pt | CreateHandle
pt | CreateParams
pt | CreateWnd
pt | DestroyHandle
pt | DestroyWnd
pt | DoFlipChildren
pt | FinalizeWnd
pt | FixupTabList
pt | FontChanged
pt | InitializeWnd
pt | Loaded
pt | FormEndUpdated
pt | MainWndProc
pt | ParentFormHandleInitialized
pt | ChildHandlesCreated
pt | GetMouseCapture
pt | RealSetText
pt | RemoveFocus
pt | SendMoveSizeMessages
pt | SetBorderStyle
pt | SetColor
pt | SetChildZPosition
pt | SetParentBackground
pt | ShowControl
pt | UpdateControlState
pt | UpdateShowing
pt | WndProc
pt | WSSetText
 | AutoSizePhases
 | AutoSizeDelayed
 | AutoSizeDelayedReport
 | AutoSizeDelayedHandle
 | BeginUpdateBounds
 | EndUpdateBounds
 | LockRealizeBounds
 | UnlockRealizeBounds
 | ControlAtPos
 | ContainsControl
 | DoAdjustClientRectChange
 | InvalidateClientRectCache
 | ClientRectNeedsInterfaceUpdate
 | SetBounds
 | GetChildrenRect
 | DisableAlign
 | EnableAlign
 | ReAlign
 | ScrollBy_WS
 | ScrollBy
 | WriteLayoutDebugReport
 | AutoAdjustLayout
 | Create
 | CreateParented
 | CreateParentedControl
 | Destroy
 | DockDrop
 | CanFocus
 | CanSetFocus
 | GetControlIndex
 | SetControlIndex
 | Focused
 | PerformTab
 | FindChildControl
 | SelectNext
 | SetTempCursor
 | BroadCast
 | NotifyControls
 | DefaultHandler
 | GetTextLen
 | Invalidate
 | AddControl
 | InsertControl
 | RemoveControl
 | GetEnumeratorControls
 | GetEnumeratorControlsReverse
 | Repaint
 | Update
 | SetFocus
 | FlipChildren
 | ScaleBy
 | GetDockCaption
 | UpdateDockCaption
 | GetTabOrderList
 | HandleAllocated
 | ParentHandlesAllocated
 | HandleNeeded
 | BrushCreated
 | EraseBackground
 | IntfUTF8KeyPress
 | IntfGetDropFilesTarget
 | PaintTo
 | SetShape
TControl
pt | WSRegisterClass
pt | GetCursor
pt | SetCursor
pt | SetVisible
pt | DoOnParentHandleDestruction
pt | DoAutoSize
pt | DoAllAutoSize
pt | BeginAutoSizing
pt | EndAutoSizing
pt | AnchorSideChanged
pt | ForeignAnchorSideChanged
pt | SetAlign
pt | SetAnchors
pt | SetAutoSize
pt | BoundsChanged
pt | CreateControlBorderSpacing
pt | DoConstraintsChange
pt | DoBorderSpacingChange
pt | IsBorderSpacingInnerBorderStored
pt | IsCaptionStored
pt | SendMoveSizeMessages
pt | ConstrainedResize
pt | CalculatePreferredSize
pt | DoOnResize
pt | DoOnChangeBounds
pt | CheckOnChangeBounds
pt | Resize
pt | RequestAlign
pt | UpdateAnchorRules
pt | ChangeBounds
pt | DoSetBounds
pt | ScaleConstraints
pt | ChangeScale
pt | CanAutoSize
pt | SetBiDiMode
pt | SetParentBiDiMode
pt | IsAParentAligning
pt | GetClientOrigin
pt | GetClientRect
pt | GetLogicalClientRect
pt | GetScrolledClientRect
pt | GetClientScrollOffset
pt | GetControlOrigin
pt | IsClientHeightStored
pt | IsClientWidthStored
pt | WidthIsAnchored
pt | HeightIsAnchored
pt | WMCancelMode
pt | WMContextMenu
pt | WMLButtonDown
pt | WMRButtonDown
pt | WMMButtonDown
pt | WMXButtonDown
pt | WMLButtonDBLCLK
pt | WMRButtonDBLCLK
pt | WMMButtonDBLCLK
pt | WMXButtonDBLCLK
pt | WMLButtonTripleCLK
pt | WMRButtonTripleCLK
pt | WMMButtonTripleCLK
pt | WMXButtonTripleCLK
pt | WMLButtonQuadCLK
pt | WMRButtonQuadCLK
pt | WMMButtonQuadCLK
pt | WMXButtonQuadCLK
pt | WMMouseMove
pt | WMLButtonUp
pt | WMRButtonUp
pt | WMMButtonUp
pt | WMXButtonUp
pt | WMMouseWheel
pt | WMMouseHWheel
pt | WMMove
pt | WMSize
pt | WMWindowPosChanged
pt | CMChanged
pt | LMCaptureChanged
pt | CMBiDiModeChanged
pt | CMSysFontChanged
pt | CMEnabledChanged
pt | CMHitTest
pt | CMMouseEnter
pt | CMMouseLeave
pt | CMHintShow
pt | CMParentBiDiModeChanged
pt | CMParentColorChanged
pt | CMParentFontChanged
pt | CMParentShowHintChanged
pt | CMVisibleChanged
pt | CMTextChanged
pt | CMCursorChanged
pt | CalculateDockSizes
pt | CreateFloatingDockSite
pt | GetDockEdge
pt | GetDragImages
pt | GetFloating
pt | GetFloatingDockSiteClass
pt | BeforeDragStart
pt | BeginAutoDrag
pt | DoFloatMsg
pt | DockTrackNoTarget
pt | DoDock
pt | DoDragMsg
pt | DoEndDock
pt | DoEndDrag
pt | DoStartDock
pt | DoStartDrag
pt | DragCanceled
pt | DragOver
pt | PositionDockRect
pt | SetDragMode
pt | GetDefaultDockCaption
pt | Click
pt | DblClick
pt | TripleClick
pt | QuadClick
pt | GetMousePosFromMessage
pt | MouseDown
pt | MouseMove
pt | MouseUp
pt | MouseEnter
pt | MouseLeave
pt | DialogChar
pt | UpdateMouseCursor
pt | Changed
pt | GetPalette
pt | ChildClassAllowed
pt | ReadState
pt | Loaded
pt | LoadedAll
pt | DefineProperties
pt | AssignTo
pt | FormEndUpdated
pt | InvalidateControl
pt | FontChanged
pt | ParentFontChanged
pt | GetAction
pt | RealGetText
pt | RealSetText
pt | TextChanged
pt | GetCachedText
pt | SetAction
pt | SetColor
pt | SetEnabled
pt | SetHint
pt | SetName
pt | SetParent
pt | SetParentComponent
pt | WndProc
pt | ParentFormHandleInitialized
pt | GetMouseCapture
pt | CaptureChanged
pt | Notification
pt | CanTab
pt | GetDeviceContext
pt | GetEnabled
pt | GetPopupMenu
pt | DoOnShowHint
pt | DoMouseWheel
pt | DoMouseWheelDown
pt | DoMouseWheelUp
pt | DoMouseWheelHorz
pt | DoMouseWheelLeft
pt | DoMouseWheelRight
pt | VisibleChanging
pt | VisibleChanged
pt | EnabledChanging
pt | EnabledChanged
pt | AddHandler
pt | RemoveHandler
pt | DoCallNotifyHandler
pt | DoCallKeyEventHandler
pt | DoCallMouseWheelEventHandler
pt | DoContextPopup
pt | SetZOrder
pt | GetControlClassDefaultSize
pt | ColorIsStored
pt | DoAutoAdjustLayout
pt | DoFixDesignFontPPI
pt | DoScaleFontPPI
pt | GetActionLinkClass
pt | ActionChange
 | DragDrop
 | Dock
 | ManualDock
 | ManualFloat
 | ReplaceDockedControl
 | Docked
 | Dragging
 | GetAccessibleObject
 | CreateAccessibleObject
 | GetSelectedChildAccessibleObject
 | GetChildAccessibleObjectAtPos
 | ScaleDesignToForm
 | ScaleFormToDesign
 | Scale96ToForm
 | ScaleFormTo96
 | Scale96ToFont
 | ScaleFontTo96
 | ScaleScreenToFont
 | ScaleFontToScreen
 | Scale96ToScreen
 | ScaleScreenTo96
 | AdjustSize
 | AutoSizePhases
 | AutoSizeDelayed
 | AutoSizeDelayedReport
 | AutoSizeDelayedHandle
 | AnchorToNeighbour
 | AnchorParallel
 | AnchorHorizontalCenterTo
 | AnchorVerticalCenterTo
 | AnchorToCompanion
 | AnchorSame
 | AnchorAsAlign
 | AnchorClient
 | AnchoredControlCount
 | SetBounds
 | SetInitialBounds
 | SetBoundsKeepBase
 | GetPreferredSize
 | GetCanvasScaleFactor
 | GetDefaultWidth
 | GetDefaultHeight
 | GetDefaultColor
 | GetColorResolvingParent
 | GetRGBColorResolvingParent
 | GetSidePosition
 | CNPreferredSizeChanged
 | InvalidatePreferredSize
 | GetAnchorsDependingOnParent
 | DisableAutoSizing
 | EnableAutoSizing
 | UpdateBaseBounds
 | WriteLayoutDebugReport
 | AutoAdjustLayout
 | ShouldAutoAdjust
 | FixDesignFontsPPI
 | ScaleFontsPPI
 | Create
 | Destroy
 | BeforeDestruction
 | EditingDone
 | ExecuteDefaultAction
 | ExecuteCancelAction
 | BeginDrag
 | EndDrag
 | BringToFront
 | HasParent
 | GetParentComponent
 | IsParentOf
 | GetTopParent
 | IsVisible
 | IsControlVisible
 | IsEnabled
 | IsParentColor
 | IsParentFont
 | FormIsUpdating
 | IsProcessingPaintMsg
 | Hide
 | Refresh
 | Repaint
 | Invalidate
 | CheckChildClassAllowed
 | CheckNewParent
 | SendToBack
 | SetTempCursor
 | UpdateRolesForForm
 | ActiveDefaultControlChanged
 | GetTextBuf
 | GetTextLen
 | SetTextBuf
 | Perform
 | ScreenToClient
 | ClientToScreen
 | ScreenToControl
 | ControlToScreen
 | ClientToParent
 | ParentToClient
 | GetChildrenRect
 | Show
 | Update
 | HandleObjectShouldBeVisible
 | ParentDestroyingHandle
 | ParentHandlesAllocated
 | InitiateAction
 | ShowHelp
 | HasHelp
 | RemoveAllHandlersOfObject
 | AddHandlerOnResize
 | RemoveHandlerOnResize
 | AddHandlerOnChangeBounds
 | RemoveHandlerOnChangeBounds
 | AddHandlerOnVisibleChanging
 | RemoveHandlerOnVisibleChanging
 | AddHandlerOnVisibleChanged
 | RemoveHandlerOnVisibleChanged
 | AddHandlerOnEnabledChanged
 | RemoveHandlerOnEnableChanging
 | AddHandlerOnKeyDown
 | RemoveHandlerOnKeyDown
 | AddHandlerOnBeforeDestruction
 | RemoveHandlerOnBeforeDestruction
 | AddHandlerOnMouseWheel
 | RemoveHandlerOnMouseWheel
 | UseRightToLeftAlignment
 | UseRightToLeftReading
 | UseRightToLeftScrollBar
 | IsRightToLeft
TLCLComponent
pt | WSRegisterClass
pt | GetWSComponentClass
 | Create
 | Destroy
 | NewInstance
 | RemoveAllHandlersOfObject
 | IncLCLRefCount
 | DecLCLRefCount
TComponent
 | GetComObject
 | GetComponent
 | GetComponentCount
 | GetComponentIndex
 | Insert
 | ReadLeft
 | ReadTop
 | Remove
 | RemoveNotification
 | SetComponentIndex
 | SetReference
 | WriteLeft
 | WriteTop
 | ChangeName
 | DefineProperties
 | GetChildren
 | GetChildOwner
 | GetChildParent
 | GetOwner
 | Loaded
 | Loading
 | Notification
 | PaletteCreated
 | ReadState
 | SetAncestor
 | SetDesigning
 | SetDesignInstance
 | SetInline
 | SetName
 | SetChildOrder
 | SetParentComponent
 | Updating
 | Updated
 | UpdateRegistry
 | ValidateRename
 | ValidateContainer
 | ValidateInsert
 | QueryInterface
 | _AddRef
 | _Release
 | iicrGetComponent
 | GetTypeInfoCount
 | GetTypeInfo
 | GetIDsOfNames
 | Invoke
 | WriteState
 | Create
 | Destroy
 | BeforeDestruction
 | DestroyComponents
 | Destroying
 | ExecuteAction
 | FindComponent
 | FreeNotification
 | RemoveFreeNotification
 | FreeOnRelease
 | GetEnumerator
 | GetNamePath
 | GetParentComponent
 | HasParent
 | InsertComponent
 | RemoveComponent
 | SafeCallException
 | SetSubComponent
 | UpdateAction
 | IsImplementorOf
 | ReferenceInterface
TPersistent
 | AssignError
 | AssignTo
 | DefineProperties
 | GetOwner
 | Destroy
 | Assign
 | FPOAttachObserver
 | FPODetachObserver
 | FPONotifyObservers
 | GetNamePath
TObject
 | Create
 | Destroy
 | newinstance
 | FreeInstance
 | SafeCallException
 | DefaultHandler
 | Free
 | InitInstance
 | CleanupInstance
 | ClassType
 | ClassInfo
 | ClassName
 | ClassNameIs
 | ClassParent
 | InstanceSize
 | InheritsFrom
 | StringMessageTable
 | MethodAddress
 | MethodName
 | FieldAddress
 | AfterConstruction
 | BeforeDestruction
 | DefaultHandlerStr
 | Dispatch
 | DispatchStr
 | GetInterface
 | GetInterfaceByStr
 | GetInterfaceWeak
 | GetInterfaceEntry
 | GetInterfaceEntryByStr
 | GetInterfaceTable
 | UnitName
 | Equals
 | GetHashCode
 | ToString


pt | ActionChange (TControl)
 | ActiveDefaultControlChanged (TControl)
 | AddControl (TWinControl)
pt | AddHandler (TControl)
 | AddHandlerOnBeforeDestruction (TControl)
 | AddHandlerOnChangeBounds (TControl)
 | AddHandlerOnEnabledChanged (TControl)
 | AddHandlerOnKeyDown (TControl)
 | AddHandlerOnMouseWheel (TControl)
 | AddHandlerOnResize (TControl)
 | AddHandlerOnVisibleChanged (TControl)
 | AddHandlerOnVisibleChanging (TControl)
pt | AdjustClientRect (TWinControl)
pt | AdjustClientRect (TToolWindow)
pt | AdjustClientRect (TToolBar)
 | AdjustSize (TControl)
 | AfterConstruction (TObject)
pt | AlignControls (TWinControl)
pt | AlignControls (TToolBar)
pt | AllAutoSized (TWinControl)
 | AnchorAsAlign (TControl)
 | AnchorClient (TControl)
 | AnchoredControlCount (TControl)
 | AnchorHorizontalCenterTo (TControl)
 | AnchorParallel (TControl)
 | AnchorSame (TControl)
pt | AnchorSideChanged (TControl)
 | AnchorToCompanion (TControl)
 | AnchorToNeighbour (TControl)
 | AnchorVerticalCenterTo (TControl)
 | Assign (TPersistent)
 | AssignError (TPersistent)
 | AssignTo (TPersistent)
pt | AssignTo (TControl)
 | AutoAdjustLayout (TControl)
 | AutoAdjustLayout (TWinControl)
 | AutoSizeDelayed (TControl)
 | AutoSizeDelayed (TWinControl)
 | AutoSizeDelayedHandle (TControl)
 | AutoSizeDelayedHandle (TWinControl)
 | AutoSizeDelayedReport (TControl)
 | AutoSizeDelayedReport (TWinControl)
 | AutoSizePhases (TControl)
 | AutoSizePhases (TWinControl)
 | BeforeDestruction (TObject)
 | BeforeDestruction (TComponent)
 | BeforeDestruction (TControl)
pt | BeforeDragStart (TControl)
pt | BeginAutoDrag (TControl)
pt | BeginAutoSizing (TControl)
 | BeginDrag (TControl)
 | BeginUpdate (TToolWindow)
 | BeginUpdateBounds (TWinControl)
pt | BoundsChanged (TControl)
 | BringToFront (TControl)
 | BroadCast (TWinControl)
 | BrushCreated (TWinControl)
pt | ButtonHeightIsStored (TToolBar)
pt | ButtonWidthIsStored (TToolBar)
pt | CalculateDockSizes (TControl)
pt | CalculatePreferredSize (TControl)
pt | CalculatePreferredSize (TWinControl)
pt | CalculatePreferredSize (TToolBar)
pt | CanAutoSize (TControl)
 | CanFocus (TWinControl)
 | CanFocus (TToolBar)
 | CanSetFocus (TWinControl)
pt | CanTab (TControl)
pt | CanTab (TWinControl)
pt | CaptureChanged (TControl)
pt | ChangeBounds (TControl)
pt | Changed (TControl)
 | ChangeName (TComponent)
pt | ChangeScale (TControl)
pt | ChangeScale (TWinControl)
 | CheckChildClassAllowed (TControl)
pt | CheckMenuDropdown (TToolBar)
 | CheckNewParent (TControl)
pt | CheckOnChangeBounds (TControl)
pt | ChildClassAllowed (TControl)
pt | ChildClassAllowed (TWinControl)
pt | ChildHandlesCreated (TWinControl)
pt | ChildKey (TWinControl)
 | ClassInfo (TObject)
 | ClassName (TObject)
 | ClassNameIs (TObject)
 | ClassParent (TObject)
 | ClassType (TObject)
 | CleanupInstance (TObject)
pt | Click (TControl)
pt | ClickButton (TToolBar)
 | ClientRectNeedsInterfaceUpdate (TWinControl)
 | ClientToParent (TControl)
 | ClientToScreen (TControl)
pt | CMBiDiModeChanged (TControl)
pt | CMBiDiModeChanged (TWinControl)
pt | CMBorderChanged (TWinControl)
pt | CMChanged (TControl)
pt | CMCursorChanged (TControl)
pt | CMDoubleBufferedChanged (TWinControl)
pt | CMEnabledChanged (TControl)
pt | CMEnabledChanged (TWinControl)
pt | CMEnter (TWinControl)
pt | CMExit (TWinControl)
pt | CMHintShow (TControl)
pt | CMHitTest (TControl)
pt | CMMouseEnter (TControl)
pt | CMMouseLeave (TControl)
pt | CMParentBiDiModeChanged (TControl)
pt | CMParentColorChanged (TControl)
pt | CMParentDoubleBufferedChanged (TWinControl)
pt | CMParentFontChanged (TControl)
pt | CMParentShowHintChanged (TControl)
pt | CMShowHintChanged (TWinControl)
pt | CMShowingChanged (TWinControl)
pt | CMSysFontChanged (TControl)
pt | CMTextChanged (TControl)
pt | CMVisibleChanged (TControl)
pt | CMVisibleChanged (TWinControl)
pt | CNChar (TWinControl)
pt | CNDropDownClosed (TToolBar)
pt | CNKeyDown (TWinControl)
pt | CNKeyUp (TWinControl)
 | CNPreferredSizeChanged (TControl)
pt | CNSysKeyDown (TWinControl)
pt | CNSysKeyUp (TWinControl)
pt | ColorIsStored (TControl)
pt | ConstrainedResize (TControl)
 | ContainsControl (TWinControl)
 | ControlAtPos (TWinControl)
pt | ControlKeyDown (TWinControl)
pt | ControlKeyUp (TWinControl)
pt | ControlsAligned (TWinControl)
 | ControlToScreen (TControl)
 | Create (TObject)
 | Create (TComponent)
 | Create (TLCLComponent)
 | Create (TControl)
 | Create (TWinControl)
 | Create (TCustomControl)
 | Create (TToolWindow)
 | Create (TToolBar)
 | CreateAccessibleObject (TControl)
pt | CreateBrush (TWinControl)
pt | CreateControlBorderSpacing (TControl)
pt | CreateDockManager (TWinControl)
pt | CreateFloatingDockSite (TControl)
pt | CreateHandle (TWinControl)
pt | CreateParams (TWinControl)
 | CreateParented (TWinControl)
 | CreateParentedControl (TWinControl)
pt | CreateSubClass (TWinControl)
pt | CreateWnd (TWinControl)
pt | CreateWnd (TToolBar)
pt | CustomAlignInsertBefore (TWinControl)
pt | CustomAlignPosition (TWinControl)
pt | DblClick (TControl)
 | DecLCLRefCount (TLCLComponent)
 | DefaultHandler (TObject)
 | DefaultHandler (TWinControl)
 | DefaultHandlerStr (TObject)
 | DefineProperties (TPersistent)
 | DefineProperties (TComponent)
pt | DefineProperties (TControl)
 | Destroy (TObject)
 | Destroy (TPersistent)
 | Destroy (TComponent)
 | Destroy (TLCLComponent)
 | Destroy (TControl)
 | Destroy (TWinControl)
 | Destroy (TCustomControl)
 | Destroy (TToolBar)
 | DestroyComponents (TComponent)
pt | DestroyHandle (TWinControl)
 | Destroying (TComponent)
pt | DestroyWnd (TWinControl)
pt | DestroyWnd (TCustomControl)
pt | DialogChar (TControl)
pt | DialogChar (TWinControl)
 | DisableAlign (TWinControl)
 | DisableAutoSizing (TControl)
 | Dispatch (TObject)
 | DispatchStr (TObject)
pt | DoAddDockClient (TWinControl)
 | DoAdjustClientRectChange (TWinControl)
pt | DoAlignChildControls (TWinControl)
pt | DoAllAutoSize (TControl)
pt | DoAllAutoSize (TWinControl)
pt | DoAutoAdjustLayout (TControl)
pt | DoAutoAdjustLayout (TToolBar)
pt | DoAutoSize (TControl)
pt | DoAutoSize (TWinControl)
pt | DoAutoSize (TToolBar)
pt | DoBorderSpacingChange (TControl)
pt | DoCallKeyEventHandler (TControl)
pt | DoCallMouseWheelEventHandler (TControl)
pt | DoCallNotifyHandler (TControl)
pt | DoChildSizingChange (TWinControl)
 | Dock (TControl)
 | DockDrop (TWinControl)
 | Docked (TControl)
pt | DockOver (TWinControl)
pt | DockTrackNoTarget (TControl)
pt | DoConstraintsChange (TControl)
pt | DoConstraintsChange (TWinControl)
pt | DoContextPopup (TControl)
pt | DoDock (TControl)
pt | DoDockClientMsg (TWinControl)
pt | DoDockOver (TWinControl)
pt | DoDragMsg (TControl)
pt | DoDragMsg (TWinControl)
pt | DoEndDock (TControl)
pt | DoEndDrag (TControl)
pt | DoEnter (TWinControl)
pt | DoExit (TWinControl)
pt | DoFixDesignFontPPI (TControl)
pt | DoFlipChildren (TWinControl)
pt | DoFloatMsg (TControl)
pt | DoFloatMsg (TWinControl)
pt | DoGetDockCaption (TWinControl)
pt | DoKeyDownBeforeInterface (TWinControl)
pt | DoKeyPress (TWinControl)
pt | DoKeyUpBeforeInterface (TWinControl)
pt | DoMouseWheel (TControl)
pt | DoMouseWheelDown (TControl)
pt | DoMouseWheelHorz (TControl)
pt | DoMouseWheelLeft (TControl)
pt | DoMouseWheelRight (TControl)
pt | DoMouseWheelUp (TControl)
pt | DoOnChangeBounds (TControl)
pt | DoOnParentHandleDestruction (TControl)
pt | DoOnResize (TControl)
pt | DoOnShowHint (TControl)
pt | DoRemainingKeyDown (TWinControl)
pt | DoRemainingKeyUp (TWinControl)
pt | DoRemoveDockClient (TWinControl)
pt | DoScaleFontPPI (TControl)
pt | DoSendBoundsToInterface (TWinControl)
pt | DoSendShowHideToInterface (TWinControl)
pt | DoSetBounds (TControl)
pt | DoSetBounds (TWinControl)
pt | DoStartDock (TControl)
pt | DoStartDrag (TControl)
pt | DoUnDock (TWinControl)
pt | DoUndockClientMsg (TWinControl)
pt | DoUTF8KeyPress (TWinControl)
pt | DragCanceled (TControl)
 | DragDrop (TControl)
 | Dragging (TControl)
pt | DragOver (TControl)
pt | DropDownWidthIsStored (TToolBar)
 | EditingDone (TControl)
 | EnableAlign (TWinControl)
 | EnableAutoSizing (TControl)
pt | EnabledChanged (TControl)
pt | EnabledChanging (TControl)
pt | EndAutoSizing (TControl)
 | EndDrag (TControl)
 | EndUpdate (TToolWindow)
 | EndUpdate (TToolBar)
 | EndUpdateBounds (TWinControl)
 | Equals (TObject)
 | EraseBackground (TWinControl)
 | ExecuteAction (TComponent)
 | ExecuteCancelAction (TControl)
 | ExecuteDefaultAction (TControl)
 | FieldAddress (TObject)
pt | FinalizeWnd (TWinControl)
pt | FindButtonFromAccel (TToolBar)
 | FindChildControl (TWinControl)
 | FindComponent (TComponent)
pt | FindNextControl (TWinControl)
 | FixDesignFontsPPI (TControl)
pt | FixupTabList (TWinControl)
 | FlipChildren (TWinControl)
 | FlipChildren (TToolBar)
 | Focused (TWinControl)
pt | FontChanged (TControl)
pt | FontChanged (TWinControl)
pt | FontChanged (TCustomControl)
pt | FontChanged (TToolBar)
pt | ForeignAnchorSideChanged (TControl)
pt | FormEndUpdated (TControl)
pt | FormEndUpdated (TWinControl)
 | FormIsUpdating (TControl)
 | FPOAttachObserver (TPersistent)
 | FPODetachObserver (TPersistent)
 | FPONotifyObservers (TPersistent)
 | Free (TObject)
 | FreeInstance (TObject)
 | FreeNotification (TComponent)
 | FreeOnRelease (TComponent)
 | GetAccessibleObject (TControl)
pt | GetAction (TControl)
pt | GetActionLinkClass (TControl)
pt | GetAdjustedLogicalClientRect (TWinControl)
 | GetAnchorsDependingOnParent (TControl)
pt | GetBorderStyle (TWinControl)
pt | GetCachedText (TControl)
 | GetCanvasScaleFactor (TControl)
 | GetChildAccessibleObjectAtPos (TControl)
 | GetChildOwner (TComponent)
 | GetChildParent (TComponent)
 | GetChildren (TComponent)
pt | GetChildren (TWinControl)
 | GetChildrenRect (TControl)
 | GetChildrenRect (TWinControl)
pt | GetClientOrigin (TControl)
pt | GetClientOrigin (TWinControl)
pt | GetClientRect (TControl)
pt | GetClientRect (TWinControl)
pt | GetClientScrollOffset (TControl)
 | GetColorResolvingParent (TControl)
 | GetComObject (TComponent)
 | GetComponent (TComponent)
 | GetComponentCount (TComponent)
 | GetComponentIndex (TComponent)
pt | GetControlClassDefaultSize (TControl)
pt | GetControlClassDefaultSize (TToolBar)
 | GetControlIndex (TWinControl)
pt | GetControlOrigin (TControl)
pt | GetControlOrigin (TWinControl)
pt | GetCursor (TControl)
 | GetDefaultColor (TControl)
pt | GetDefaultDockCaption (TControl)
 | GetDefaultHeight (TControl)
 | GetDefaultWidth (TControl)
pt | GetDeviceContext (TControl)
pt | GetDeviceContext (TWinControl)
 | GetDockCaption (TWinControl)
pt | GetDockEdge (TControl)
pt | GetDragImages (TControl)
pt | GetEnabled (TControl)
 | GetEnumerator (TComponent)
 | GetEnumerator (TToolBar)
 | GetEnumeratorControls (TWinControl)
 | GetEnumeratorControlsReverse (TWinControl)
pt | GetFloating (TControl)
pt | GetFloatingDockSiteClass (TControl)
 | GetHashCode (TObject)
 | GetIDsOfNames (TComponent)
 | GetInterface (TObject)
 | GetInterfaceByStr (TObject)
 | GetInterfaceEntry (TObject)
 | GetInterfaceEntryByStr (TObject)
 | GetInterfaceTable (TObject)
 | GetInterfaceWeak (TObject)
pt | GetLogicalClientRect (TControl)
pt | GetMouseCapture (TControl)
pt | GetMouseCapture (TWinControl)
pt | GetMousePosFromMessage (TControl)
 | GetNamePath (TPersistent)
 | GetNamePath (TComponent)
 | GetOwner (TPersistent)
 | GetOwner (TComponent)
pt | GetPalette (TControl)
pt | GetParentBackground (TWinControl)
 | GetParentComponent (TComponent)
 | GetParentComponent (TControl)
pt | GetParentHandle (TWinControl)
pt | GetPopupMenu (TControl)
 | GetPreferredSize (TControl)
pt | GetPreferredSizeClientFrame (TWinControl)
 | GetRGBColorResolvingParent (TControl)
pt | GetScrolledClientRect (TControl)
 | GetSelectedChildAccessibleObject (TControl)
 | GetSidePosition (TControl)
pt | GetSiteInfo (TWinControl)
 | GetTabOrderList (TWinControl)
 | GetTextBuf (TControl)
 | GetTextLen (TControl)
 | GetTextLen (TWinControl)
 | GetTopParent (TControl)
pt | GetTopParentHandle (TWinControl)
 | GetTypeInfo (TComponent)
 | GetTypeInfoCount (TComponent)
pt | GetWSComponentClass (TLCLComponent)
 | HandleAllocated (TWinControl)
 | HandleNeeded (TWinControl)
 | HandleObjectShouldBeVisible (TControl)
 | HasHelp (TControl)
 | HasParent (TComponent)
 | HasParent (TControl)
pt | HeightIsAnchored (TControl)
 | Hide (TControl)
 | iicrGetComponent (TComponent)
 | IncLCLRefCount (TLCLComponent)
 | InheritsFrom (TObject)
pt | InitializeWnd (TWinControl)
 | InitiateAction (TControl)
 | InitInstance (TObject)
 | Insert (TComponent)
 | InsertComponent (TComponent)
 | InsertControl (TWinControl)
 | InstanceSize (TObject)
 | IntfGetDropFilesTarget (TWinControl)
 | IntfUTF8KeyPress (TWinControl)
 | Invalidate (TControl)
 | Invalidate (TWinControl)
pt | InvalidateBoundsRealized (TWinControl)
 | InvalidateClientRectCache (TWinControl)
pt | InvalidateControl (TControl)
pt | InvalidatePreferredChildSizes (TWinControl)
 | InvalidatePreferredSize (TControl)
 | Invoke (TComponent)
pt | IsAParentAligning (TControl)
pt | IsBorderSpacingInnerBorderStored (TControl)
pt | IsCaptionStored (TControl)
pt | IsClientHeightStored (TControl)
pt | IsClientHeightStored (TWinControl)
pt | IsClientWidthStored (TControl)
pt | IsClientWidthStored (TWinControl)
pt | IsControlMouseMsg (TWinControl)
 | IsControlVisible (TControl)
 | IsEnabled (TControl)
 | IsImplementorOf (TComponent)
 | IsParentColor (TControl)
 | IsParentFont (TControl)
 | IsParentOf (TControl)
 | IsProcessingPaintMsg (TControl)
 | IsRightToLeft (TControl)
pt | IsVertical (TToolBar)
 | IsVisible (TControl)
pt | KeyDown (TWinControl)
pt | KeyDownAfterInterface (TWinControl)
pt | KeyDownBeforeInterface (TWinControl)
pt | KeyPress (TWinControl)
pt | KeyUp (TWinControl)
pt | KeyUpAfterInterface (TWinControl)
pt | KeyUpBeforeInterface (TWinControl)
pt | LMCaptureChanged (TControl)
 | Loaded (TComponent)
pt | Loaded (TControl)
pt | Loaded (TWinControl)
pt | Loaded (TToolBar)
pt | LoadedAll (TControl)
 | Loading (TComponent)
 | LockRealizeBounds (TWinControl)
pt | MainWndProc (TWinControl)
 | ManualDock (TControl)
 | ManualFloat (TControl)
 | MethodAddress (TObject)
 | MethodName (TObject)
pt | MouseDown (TControl)
pt | MouseEnter (TControl)
pt | MouseLeave (TControl)
pt | MouseMove (TControl)
pt | MouseUp (TControl)
 | newinstance (TObject)
 | NewInstance (TLCLComponent)
 | Notification (TComponent)
pt | Notification (TControl)
pt | Notification (TToolBar)
 | NotifyControls (TWinControl)
pt | Paint (TCustomControl)
pt | Paint (TToolWindow)
pt | Paint (TToolBar)
pt | PaintControls (TWinControl)
pt | PaintHandler (TWinControl)
 | PaintTo (TWinControl)
pt | PaintWindow (TWinControl)
pt | PaintWindow (TCustomControl)
 | PaletteCreated (TComponent)
 | ParentDestroyingHandle (TControl)
pt | ParentFontChanged (TControl)
pt | ParentFormHandleInitialized (TControl)
pt | ParentFormHandleInitialized (TWinControl)
 | ParentHandlesAllocated (TControl)
 | ParentHandlesAllocated (TWinControl)
 | ParentToClient (TControl)
 | Perform (TControl)
 | PerformTab (TWinControl)
pt | PositionDockRect (TControl)
pt | QuadClick (TControl)
 | QueryInterface (TComponent)
 | ReadLeft (TComponent)
 | ReadState (TComponent)
pt | ReadState (TControl)
 | ReadTop (TComponent)
pt | RealGetText (TControl)
pt | RealGetText (TWinControl)
 | ReAlign (TWinControl)
pt | RealizeBounds (TWinControl)
pt | RealizeBoundsRecursive (TWinControl)
pt | RealSetText (TControl)
pt | RealSetText (TWinControl)
 | ReferenceInterface (TComponent)
 | Refresh (TControl)
pt | ReloadDockedControl (TWinControl)
 | Remove (TComponent)
 | RemoveAllHandlersOfObject (TLCLComponent)
 | RemoveAllHandlersOfObject (TControl)
 | RemoveComponent (TComponent)
 | RemoveControl (TWinControl)
pt | RemoveFocus (TWinControl)
 | RemoveFreeNotification (TComponent)
pt | RemoveHandler (TControl)
 | RemoveHandlerOnBeforeDestruction (TControl)
 | RemoveHandlerOnChangeBounds (TControl)
 | RemoveHandlerOnEnableChanging (TControl)
 | RemoveHandlerOnKeyDown (TControl)
 | RemoveHandlerOnMouseWheel (TControl)
 | RemoveHandlerOnResize (TControl)
 | RemoveHandlerOnVisibleChanged (TControl)
 | RemoveHandlerOnVisibleChanging (TControl)
 | RemoveNotification (TComponent)
 | Repaint (TControl)
 | Repaint (TWinControl)
 | ReplaceDockedControl (TControl)
pt | RepositionButton (TToolBar)
pt | RepositionButtons (TToolBar)
pt | RequestAlign (TControl)
pt | Resize (TControl)
 | SafeCallException (TObject)
 | SafeCallException (TComponent)
 | Scale96ToFont (TControl)
 | Scale96ToForm (TControl)
 | Scale96ToScreen (TControl)
 | ScaleBy (TWinControl)
pt | ScaleConstraints (TControl)
pt | ScaleControls (TWinControl)
 | ScaleDesignToForm (TControl)
 | ScaleFontsPPI (TControl)
 | ScaleFontTo96 (TControl)
 | ScaleFontToScreen (TControl)
 | ScaleFormTo96 (TControl)
 | ScaleFormToDesign (TControl)
 | ScaleScreenTo96 (TControl)
 | ScaleScreenToFont (TControl)
 | ScreenToClient (TControl)
 | ScreenToControl (TControl)
 | ScrollBy (TWinControl)
 | ScrollBy_WS (TWinControl)
pt | SelectFirst (TWinControl)
 | SelectNext (TWinControl)
pt | SendDialogChar (TWinControl)
pt | SendMoveSizeMessages (TControl)
pt | SendMoveSizeMessages (TWinControl)
 | SendToBack (TControl)
pt | SetAction (TControl)
pt | SetAlign (TControl)
 | SetAncestor (TComponent)
pt | SetAnchors (TControl)
pt | SetAutoSize (TControl)
pt | SetBiDiMode (TControl)
pt | SetBorderStyle (TWinControl)
 | SetBounds (TControl)
 | SetBounds (TWinControl)
 | SetBoundsKeepBase (TControl)
 | SetButtonSize (TToolBar)
 | SetChildOrder (TComponent)
pt | SetChildZPosition (TWinControl)
pt | SetColor (TControl)
pt | SetColor (TWinControl)
pt | SetColor (TCustomControl)
 | SetComponentIndex (TComponent)
 | SetControlIndex (TWinControl)
pt | SetCursor (TControl)
 | SetDesigning (TComponent)
 | SetDesignInstance (TComponent)
pt | SetDockManager (TWinControl)
pt | SetDragMode (TControl)
pt | SetEnabled (TControl)
 | SetFocus (TWinControl)
pt | SetHint (TControl)
 | SetInitialBounds (TControl)
 | SetInline (TComponent)
 | SetName (TComponent)
pt | SetName (TControl)
pt | SetParent (TControl)
pt | SetParentBackground (TWinControl)
pt | SetParentBiDiMode (TControl)
 | SetParentComponent (TComponent)
pt | SetParentComponent (TControl)
 | SetReference (TComponent)
 | SetShape (TWinControl)
 | SetSubComponent (TComponent)
 | SetTempCursor (TControl)
 | SetTempCursor (TWinControl)
 | SetTextBuf (TControl)
pt | SetVisible (TControl)
pt | SetZOrder (TControl)
 | ShouldAutoAdjust (TControl)
 | Show (TControl)
pt | ShowControl (TWinControl)
 | ShowHelp (TControl)
 | StringMessageTable (TObject)
pt | TextChanged (TControl)
 | ToString (TObject)
pt | TripleClick (TControl)
 | UnitName (TObject)
 | UnlockRealizeBounds (TWinControl)
 | Update (TControl)
 | Update (TWinControl)
 | UpdateAction (TComponent)
pt | UpdateAnchorRules (TControl)
 | UpdateBaseBounds (TControl)
pt | UpdateControlState (TWinControl)
 | Updated (TComponent)
 | UpdateDockCaption (TWinControl)
pt | UpdateMouseCursor (TControl)
 | UpdateRegistry (TComponent)
 | UpdateRolesForForm (TControl)
pt | UpdateShowing (TWinControl)
 | Updating (TComponent)
 | UseRightToLeftAlignment (TControl)
 | UseRightToLeftReading (TControl)
 | UseRightToLeftScrollBar (TControl)
pt | UTF8KeyPress (TWinControl)
 | ValidateContainer (TComponent)
 | ValidateInsert (TComponent)
 | ValidateRename (TComponent)
pt | VisibleChanged (TControl)
pt | VisibleChanging (TControl)
pt | WidthIsAnchored (TControl)
pt | WMCancelMode (TControl)
pt | WMChar (TWinControl)
pt | WMContextMenu (TControl)
pt | WMContextMenu (TWinControl)
pt | WMDestroy (TWinControl)
pt | WMEnter (TWinControl)
pt | WMEraseBkgnd (TWinControl)
pt | WMExit (TWinControl)
pt | WMKeyDown (TWinControl)
pt | WMKeyUp (TWinControl)
pt | WMKillFocus (TWinControl)
pt | WMLButtonDBLCLK (TControl)
pt | WMLButtonDown (TControl)
pt | WMLButtonQuadCLK (TControl)
pt | WMLButtonTripleCLK (TControl)
pt | WMLButtonUp (TControl)
pt | WMMButtonDBLCLK (TControl)
pt | WMMButtonDown (TControl)
pt | WMMButtonQuadCLK (TControl)
pt | WMMButtonTripleCLK (TControl)
pt | WMMButtonUp (TControl)
pt | WMMouseHWheel (TControl)
pt | WMMouseMove (TControl)
pt | WMMouseWheel (TControl)
pt | WMMove (TControl)
pt | WMMove (TWinControl)
pt | WMNotify (TWinControl)
pt | WMPaint (TWinControl)
pt | WMPaint (TCustomControl)
pt | WMRButtonDBLCLK (TControl)
pt | WMRButtonDown (TControl)
pt | WMRButtonQuadCLK (TControl)
pt | WMRButtonTripleCLK (TControl)
pt | WMRButtonUp (TControl)
pt | WMSetFocus (TWinControl)
pt | WMShowWindow (TWinControl)
pt | WMSize (TControl)
pt | WMSize (TWinControl)
pt | WMSysChar (TWinControl)
pt | WMSysKeyDown (TWinControl)
pt | WMSysKeyUp (TWinControl)
pt | WMWindowPosChanged (TControl)
pt | WMWindowPosChanged (TWinControl)
pt | WMXButtonDBLCLK (TControl)
pt | WMXButtonDown (TControl)
pt | WMXButtonQuadCLK (TControl)
pt | WMXButtonTripleCLK (TControl)
pt | WMXButtonUp (TControl)
pt | WndProc (TControl)
pt | WndProc (TWinControl)
pt | WrapButtons (TToolBar)
 | WriteLayoutDebugReport (TControl)
 | WriteLayoutDebugReport (TWinControl)
 | WriteLeft (TComponent)
 | WriteState (TComponent)
 | WriteTop (TComponent)
pt | WSRegisterClass (TLCLComponent)
pt | WSRegisterClass (TControl)
pt | WSRegisterClass (TWinControl)
pt | WSRegisterClass (TCustomControl)
pt | WSRegisterClass (TToolBar)
pt | WSSetText (TWinControl)
 | _AddRef (TComponent)
 | _Release (TComponent)


TToolBar
pl | ro | OnClick
pl | ro | OnContextPopup
pl | ro | OnDblClick
pl | ro | OnDragDrop
pl | ro | OnDragOver
pl |  | OnPaintButton
pl | ro | OnEndDrag
pl | ro | OnEnter
pl | ro | OnExit
pl | ro | OnMouseDown
pl | ro | OnMouseEnter
pl | ro | OnMouseLeave
pl | ro | OnMouseMove
pl | ro | OnMouseUp
pl | ro | OnMouseWheel
pl | ro | OnMouseWheelDown
pl | ro | OnMouseWheelUp
pl |  | OnPaint
pl | ro | OnResize
pl | ro | OnChangeBounds
pl | ro | OnStartDrag
TToolWindow
TCustomControl
 |  | OnPaint
TWinControl
pt |  | OnGetSiteInfo
pt |  | OnGetDockCaption
 |  | OnAlignInsertBefore
 |  | OnAlignPosition
 |  | OnDockDrop
 |  | OnDockOver
 |  | OnEnter
 |  | OnExit
 |  | OnKeyDown
 |  | OnKeyPress
 |  | OnKeyUp
 |  | OnUnDock
 |  | OnUTF8KeyPress
TControl
pt |  | OnConstrainedResize
pt |  | OnContextPopup
pt |  | OnDblClick
pt |  | OnTripleClick
pt |  | OnQuadClick
pt |  | OnDragDrop
pt |  | OnDragOver
pt |  | OnEndDock
pt |  | OnEndDrag
pt |  | OnMouseDown
pt |  | OnMouseMove
pt |  | OnMouseUp
pt |  | OnMouseEnter
pt |  | OnMouseLeave
pt |  | OnMouseWheel
pt |  | OnMouseWheelDown
pt |  | OnMouseWheelUp
pt |  | OnMouseWheelHorz
pt |  | OnMouseWheelLeft
pt |  | OnMouseWheelRight
pt |  | OnStartDock
pt |  | OnStartDrag
pt |  | OnEditingDone
 |  | OnChangeBounds
 |  | OnClick
 |  | OnResize
 |  | OnShowHint
TLCLComponent
TComponent
TPersistent
TObject


pl | ro | OnChangeBounds (TToolBar)
 |  | OnClick (TControl)
pl | ro | OnClick (TToolBar)
pt |  | OnConstrainedResize (TControl)
pt |  | OnContextPopup (TControl)
pl | ro | OnContextPopup (TToolBar)
pt |  | OnDblClick (TControl)
pl | ro | OnDblClick (TToolBar)
 |  | OnDockDrop (TWinControl)
 |  | OnDockOver (TWinControl)
pt |  | OnDragDrop (TControl)
pl | ro | OnDragDrop (TToolBar)
pt |  | OnDragOver (TControl)
pl | ro | OnDragOver (TToolBar)
pt |  | OnEditingDone (TControl)
pt |  | OnEndDock (TControl)
pt |  | OnEndDrag (TControl)
pl | ro | OnEndDrag (TToolBar)
 |  | OnEnter (TWinControl)
pl | ro | OnEnter (TToolBar)
 |  | OnExit (TWinControl)
pl | ro | OnExit (TToolBar)
pt |  | OnGetDockCaption (TWinControl)
pt |  | OnGetSiteInfo (TWinControl)
 |  | OnKeyDown (TWinControl)
 |  | OnKeyPress (TWinControl)
 |  | OnKeyUp (TWinControl)
pt |  | OnMouseDown (TControl)
pl | ro | OnMouseDown (TToolBar)
pt |  | OnMouseEnter (TControl)
pl | ro | OnMouseEnter (TToolBar)
pt |  | OnMouseLeave (TControl)
pl | ro | OnMouseLeave (TToolBar)
pt |  | OnMouseMove (TControl)
pl | ro | OnMouseMove (TToolBar)
pt |  | OnMouseUp (TControl)
pl | ro | OnMouseUp (TToolBar)
pt |  | OnMouseWheel (TControl)
pl | ro | OnMouseWheel (TToolBar)
pt |  | OnMouseWheelDown (TControl)
pl | ro | OnMouseWheelDown (TToolBar)
pt |  | OnMouseWheelHorz (TControl)
pt |  | OnMouseWheelLeft (TControl)
pt |  | OnMouseWheelRight (TControl)
pt |  | OnMouseWheelUp (TControl)
pl | ro | OnMouseWheelUp (TToolBar)
 |  | OnPaint (TCustomControl)
pl |  | OnPaint (TToolBar)
pl |  | OnPaintButton (TToolBar)
pt |  | OnQuadClick (TControl)
 |  | OnResize (TControl)
pl | ro | OnResize (TToolBar)
 |  | OnShowHint (TControl)
pt |  | OnStartDock (TControl)
pt |  | OnStartDrag (TControl)
pl | ro | OnStartDrag (TToolBar)
pt |  | OnTripleClick (TControl)
 |  | OnUnDock (TWinControl)
 |  | OnUTF8KeyPress (TWinControl)


TToolBar.AlignControls

Declaration

Source position: comctrls.pp line 2284

protected procedure TToolBar.AlignControls(

  AControl: TControl;

  var RemainingClientRect: TRect

); override;


TToolBar.Anchors

Declaration

Source position: comctrls.pp line 2314

published property TToolBar.Anchors : TAnchors;


TToolBar.ButtonCount

ButtonCount - the number of buttons on the ToolBar

Declaration

Source position: comctrls.pp line 2307

public property TToolBar.ButtonCount : Integer
  read GetButtonCount;


TToolBar.ButtonDropWidth

Declaration

Source position: comctrls.pp line 2311

public property TToolBar.ButtonDropWidth : Integer
  read GetButtonDropWidth;


TToolBar.ButtonHeight

ButtonHeight - the height of the buttons

Declaration

Source position: comctrls.pp line 2318

published property TToolBar.ButtonHeight : Integer
  read GetButtonHeight
  write SetButtonHeight
  stored ButtonHeightIsStored;

Description

Use 0 for autosized value

Use GetRealButtonHeight for real value.


TToolBar.ButtonHeightIsStored

Declaration

Source position: comctrls.pp line 2274

protected function TToolBar.ButtonHeightIsStored: Boolean;


TToolBar.ButtonList

ButtonList - the list of Buttons (as a TList)

Declaration

Source position: comctrls.pp line 2309

public property TToolBar.ButtonList : TList
  read FButtons;


TToolBar.Buttons

Lists the tool buttons (TToolButton) in the toolbar.

Declaration

Source position: comctrls.pp line 2308

public property TToolBar.Buttons[Index: Integer] : TToolButton
  read GetButton;

Description

Buttons maintains a list of TToolButton instances. All tool buttons that share a TToolBar parent have the same height and (except for separators and dividers) the same width. Other controls on a toolbar are held in place by invisible separators, which are automatically created and destroyed.

To add tool buttons to the toolbar at design time, select the toolbar, right-click, and choose New Button. To create a space (separator) between one button and the next, select New Separator. To create a divider between buttons, add a button and set its Style propery to tbsDivider. Other controls may be added to the toolbar directly from the Component palette.

See also

#LCL.ComCtrls.TToolButton.Style

Determines the style of the tool button.

Example

{ To use this example, create a new application and add the example code
  to the unit. Remember to add the ComCtls unit in the uses clause. }

procedure AddButtons(ToolBar: TToolBar; const ButtonCaptions: array of String);
var
  i: integer;
begin
  for i := 0 to High(ButtonCaptions) do
  begin
    with TToolButton.Create(ToolBar) do
    begin
      Parent := ToolBar;
      Caption := ButtonCaptions[i];
      if (ButtonCaptions[i] = '|') then
        Style := tbsSeparator
      else
        Style := tbsButton;
      AutoSize := True;
    end;
  end;
end;

procedure TForm1.FormCreate(Sender: TObject);
var
  ToolBar: TToolBar;
begin
  ToolBar := TToolBar.Create(Self);
  ToolBar.Parent := Self;
  ShowMessage(IntToStr(ToolBar.ButtonCount));
  AddButtons(ToolBar, ['New', 'Save', '|', 'Cut', 'Copy', 'Paste']);
  ToolBar.ShowCaptions := True;
  ToolBar.Height := 40;
  ToolBar.ButtonWidth := 75;
  ShowMessage(IntToStr(ToolBar.ButtonCount));
end;


TToolBar.ButtonWidth

ButtonWidth - the width of the buttons

Declaration

Source position: comctrls.pp line 2319

published property TToolBar.ButtonWidth : Integer
  read GetButtonWidth
  write SetButtonWidth
  stored ButtonWidthIsStored;

Description

Use 0 for autosized value

Use GetRealButtonWidth for real value.


TToolBar.ButtonWidthIsStored

Declaration

Source position: comctrls.pp line 2275

protected function TToolBar.ButtonWidthIsStored: Boolean;


TToolBar.cDefButtonHeight

Declaration

Source position: comctrls.pp line 2268

protected const TToolBar.cDefButtonHeight = 22;


TToolBar.cDefButtonWidth

Declaration

Source position: comctrls.pp line 2267

protected const TToolBar.cDefButtonWidth = 23;


TToolBar.CheckMenuDropdown

CheckMenuDropdown - returns True if there is a checked dropdown menu

Declaration

Source position: comctrls.pp line 2281

protected function TToolBar.CheckMenuDropdown(

  Button: TToolButton

):Boolean; virtual;


TToolBar.ClickButton

ClickButton - software emulation of the OnClick event

Declaration

Source position: comctrls.pp line 2282

protected procedure TToolBar.ClickButton(

  Button: TToolButton

); virtual;


TToolBar.CNDropDownClosed

Declaration

Source position: comctrls.pp line 2295

protected procedure TToolBar.CNDropDownClosed(

  var Message: TLMessage

); message;


TToolBar.Create

Create - constructor for TToolBar: calls inherited Create and sets many formatting and size defaults

Declaration

Source position: comctrls.pp line 2299

public constructor TToolBar.Create(

  TheOwner: TComponent

); override;

Description

Create - constructor for TToolBar: calls inherited Create and sets many formatting and size defaults

Among the variables initialised and defaults set are the list of buttons, button width and height, style, indentation, alignment, links for image change, the bounds and the edge borders

See also

TComponent.Create


TToolBar.Destroy

Destroy - destructor for TToolBar: frees buttons and links then calls inherited Destroy

Declaration

Source position: comctrls.pp line 2300

public destructor TToolBar.Destroy; override;

See also

TComponent.Destroy

TCustomControl.Destroy


TToolBar.DisabledImages

The Images on the Image List that are NOT selected for display

Declaration

Source position: comctrls.pp line 2324

published property TToolBar.DisabledImages : TCustomImageList
  read FDisabledImages
  write SetDisabledImages;


TToolBar.DoAutoAdjustLayout

Declaration

Source position: comctrls.pp line 2296

protected procedure TToolBar.DoAutoAdjustLayout(

  const AMode: TLayoutAdjustmentPolicy;

  const AXProportion: Double;

  const AYProportion: Double

); override;


TToolBar.DoAutoSize

Declaration

Source position: comctrls.pp line 2278

protected procedure TToolBar.DoAutoSize; override;


TToolBar.DropDownWidth

Width of the drop down arrow button.

Declaration

Source position: comctrls.pp line 2328

published property TToolBar.DropDownWidth : Integer
  read GetDropDownWidth
  write SetDropDownWidth
  stored DropDownWidthIsStored;

Description

Use 0 for autosized value

Use GetRealDropDownWidth for real value.


TToolBar.DropDownWidthIsStored

Declaration

Source position: comctrls.pp line 2276

protected function TToolBar.DropDownWidthIsStored: Boolean;


TToolBar.EdgeBorders

EdgeBorders - which borders form the edge

Declaration

Source position: comctrls.pp line 2329

published property TToolBar.EdgeBorders : TEdgeBorders
  default [ebTop];


TToolBar.EdgeInner

EdgeInner - this toolbar has an inner edge

Declaration

Source position: comctrls.pp line 2330

published property TToolBar.EdgeInner : TEdgeStyle;


TToolBar.EdgeOuter

EdgeOuter - this toolbar has an outer edge

Declaration

Source position: comctrls.pp line 2331

published property TToolBar.EdgeOuter : TEdgeStyle;


TToolBar.EndUpdate

EndUpdate - finishes the update process

Declaration

Source position: comctrls.pp line 2301

public procedure TToolBar.EndUpdate; override;


TToolBar.FindButtonFromAccel

FindButtonFromAccel - returns the Button corresponding to the specified accelerator key

Declaration

Source position: comctrls.pp line 2285

protected function TToolBar.FindButtonFromAccel(

  Accel: Word

):TToolButton;


TToolBar.Flat

Should the toolbuttons be displayed Flat (rather than in relief)? Default false

Declaration

Source position: comctrls.pp line 2333

published property TToolBar.Flat : Boolean
  read FFlat
  write SetFlat
  default True;


TToolBar.FontChanged

FontChanged - method to cope with change in font

Declaration

Source position: comctrls.pp line 2286

protected procedure TToolBar.FontChanged(

  Sender: TObject

); override;


TToolBar.FPrevVertical

Declaration

Source position: comctrls.pp line 2270

protected TToolBar.FPrevVertical : Boolean;


TToolBar.GetControlClassDefaultSize

GetControlClassDefaultSize - returns its own defaults, overriding the inherited values

Declaration

Source position: comctrls.pp line 2277

protected class function TToolBar.GetControlClassDefaultSize: TSize; override;

See also

Control.GetControlClassDefaultSize

Returns the default size for this class of controls (when added to a form).


TToolBar.GetEnumerator

Declaration

Source position: comctrls.pp line 2303

public function TToolBar.GetEnumerator: TToolBarEnumerator;


TToolBar.HotImages

The Images on the Image list that are selected for display

Declaration

Source position: comctrls.pp line 2336

published property TToolBar.HotImages : TCustomImageList
  read FHotImages
  write SetHotImages;


TToolBar.Images

The Images to be displayed on the buttons

Declaration

Source position: comctrls.pp line 2337

published property TToolBar.Images : TCustomImageList
  read FImages
  write SetImages;


TToolBar.ImagesWidth

Declaration

Source position: comctrls.pp line 2338

published property TToolBar.ImagesWidth : Integer
  read FImagesWidth
  write SetImagesWidth
  default 0;


TToolBar.Indent

Indent - the amount by which the buttons should be indented Default is 1

Declaration

Source position: comctrls.pp line 2339

published property TToolBar.Indent : Integer
  read FIndent
  write SetIndent
  default 1;


TToolBar.IsVertical

Declaration

Source position: comctrls.pp line 2271

protected function TToolBar.IsVertical: Boolean; virtual;


TToolBar.List

Should the contents of the toolbar be displayed as a List? Default false

Declaration

Source position: comctrls.pp line 2340

published property TToolBar.List : Boolean
  read FList
  write SetList
  default False;


TToolBar.OnMouseWheel

Declaration

Source position: comctrls.pp line 2366

published property TToolBar.OnMouseWheel : TMouseWheelEvent;


TToolBar.OnMouseWheelDown

Declaration

Source position: comctrls.pp line 2367

published property TToolBar.OnMouseWheelDown : TMouseWheelUpDownEvent;


TToolBar.OnMouseWheelUp

Declaration

Source position: comctrls.pp line 2368

published property TToolBar.OnMouseWheelUp : TMouseWheelUpDownEvent;


TToolBar.OnPaint

Declaration

Source position: comctrls.pp line 2369

published property TToolBar.OnPaint : TNotifyEvent
  read FOnPaint
  write FOnPaint;


TToolBar.OnPaintButton

Declaration

Source position: comctrls.pp line 2357

published property TToolBar.OnPaintButton : TToolBarOnPaintButton
  read FOnPaintButton
  write FOnPaintButton;


TToolBar.RepositionButton

RepositionButton - method for re-positioning a button

Declaration

Source position: comctrls.pp line 2290

protected procedure TToolBar.RepositionButton(

  Index: Integer

);


TToolBar.RepositionButtons

RepositionButtons - method for re-positioning several buttons

Declaration

Source position: comctrls.pp line 2291

protected procedure TToolBar.RepositionButtons(

  Index: Integer

);


TToolBar.RowCount

RowCount - the number of Rows of Buttons

Declaration

Source position: comctrls.pp line 2310

public property TToolBar.RowCount : Integer
  read FRowCount;


TToolBar.SetButtonSize

SetButtonSize - stores new values for height and width

Declaration

Source position: comctrls.pp line 2304

public procedure TToolBar.SetButtonSize(

  NewButtonWidth: Integer;

  NewButtonHeight: Integer

);


TToolBar.ShowCaptions

ShowCaptions - should the captions be shown for the buttons? (Default False)

Declaration

Source position: comctrls.pp line 2345

published property TToolBar.ShowCaptions : Boolean
  read FShowCaptions
  write SetShowCaptions
  default False;


TToolBar.Transparent

Is the ToolBar to be Transparent? Default False

Declaration

Source position: comctrls.pp line 2349

published property TToolBar.Transparent : Boolean
  read GetTransparent
  write SetTransparent
  default False;


TToolBar.Wrapable

Wrapable - enables wrapping buttons to the next row if there are too many for the current row

Declaration

Source position: comctrls.pp line 2351

published property TToolBar.Wrapable : Boolean
  read FWrapable
  write SetWrapable
  default True;


TToolBar.WrapButtons

WrapButtons - returns True if changing to NewHeight and NewWidth causes wrapping of buttons

Declaration

Source position: comctrls.pp line 2292

protected function TToolBar.WrapButtons(

  UseSize: Integer;

  out NewWidth: Integer;

  out NewHeight: Integer;

  Simulate: Boolean

):Boolean;


TToolBarEnumerator

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Declaration

Source position: comctrls.pp line 2180

type TToolBarEnumerator = class

public

  constructor Create();

  function MoveNext;

  property Current: TToolButton; [r]

end;

Inheritance

TToolBarEnumerator
|

TObject


TToolBarEnumerator

ro

Current


ro

Current (TToolBarEnumerator)


TToolBarEnumerator
 | Create
 | MoveNext


TToolBarEnumerator


TToolBarEnumerator.Create

Declaration

Source position: comctrls.pp line 2186

public constructor TToolBarEnumerator.Create(

  AToolBar: TToolBar

);


TToolBarEnumerator.Current

Declaration

Source position: comctrls.pp line 2188

public property TToolBarEnumerator.Current : TToolButton
  read GetCurrent;


TToolBarEnumerator.MoveNext

Declaration

Source position: comctrls.pp line 2187

public function TToolBarEnumerator.MoveNext: Boolean;


TToolButton

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

TToolButton is a button control in a TToolBar object.

Declaration

Source position: comctrls.pp line 2045

type TToolButton = class(TGraphicControl)
protected
Const
cDefSeparatorWidth = 8
cDefDividerWidth = 5
cDefButtonDropDecArrowWidth = 2
FToolBar: TToolBar; | FToolBar - local variable indicating in which toolbar this button lives
class procedure WSRegisterClass; override; | Registers this component class with the current WidgetSet.
procedure CopyPropertiesFromMenuItem(); | CopyPropertiesFromMenuItem - method for copying the properties of the corresponding Menu Item, to ensure that ToolButton and MenuItem produce the same behaviour
function GetActionLinkClass; override; | GetActionLinkClass - returns the Class of the ActionLink for this ToolButton
procedure ActionChange(); override; | ActionChange - a method for changing the action associated with the Button
procedure AssignTo(); override; | AssignTo calls inherited method: if the destination is of correct type, copies ImageIindex to destination and sets it Checked
procedure BeginUpdate; virtual; | BeginUpdate - start the update process
procedure EndUpdate; virtual; | EndUpdate - finish the update process
procedure MouseMove(); override; | Handler for MouseMove events.
procedure MouseDown(); override; | Handler for MouseDown events.
procedure MouseUp(); override; | Invokes the OnMouseUp handler.
procedure MouseEnter; override; | Invokes the OnMouseEnter handler.
procedure MouseLeave; override; | Invokes the OnMouseLeave handler.
procedure Notification(); override; |
procedure Paint; override; | Override this method with your own painting code.
procedure TextChanged; override; | Handles changes of the Text property.
procedure CalculatePreferredSize(); override; | Override this method to return the preferred height and width.
class function GetControlClassDefaultSize; override; | GetControlClassDefaultSize returns its own defaults, overriding inherited values
procedure Loaded; override;
procedure RefreshControl; virtual; | RefreshControl - refreshes the drawing of the tool in case changes have been made
procedure SetToolBar(); | SetToolBar - records the existence of a new toolbar
procedure UpdateControl; virtual; | UpdateControl - brings the control up to date
function GetButtonDrawDetail; virtual; | GetButtonDrawDetail - find theme information for Windows XP inplementations
procedure SetParent(); override;
procedure UpdateVisibleToolbar; | UpdateVisibleToolbar - updates just the visible part of the toolbar
function GroupAllUpAllowed; | GroupAllUpAllowed - returns True if all buttons in a group are allowed to ne 'Up'
function DialogChar(); override; | Do something useful with accelerators etc.
procedure SetAutoSize(); override; |
procedure RealSetText(); override;
public
constructor Create(); override; | Create - constructor for TToolButton: calls inherited Create and sets initial bounds and style
function CheckMenuDropdown; virtual; | CheckMenuDropdown - returns True if there is a checked dropdown menu
procedure Click; override; | Invokes the OnClick and ActionLink.Execute handlers.
procedure ArrowClick; virtual; | Invokes the OnArrowClick event handler
procedure GetCurrentIcon(); virtual; | GetCurrentIcon - finds the icon for the current button
procedure GetPreferredSize(); override; | Returns default/preferred height and width, for use in autosizing.
property Index: Integer; [r] | Index - the sequence number of the current button in the list of buttons
function PointInArrow();
published
property Action: TBasicAction; | The Action associated with this control.
property AllowAllUp: Boolean; [rw] | AllowAllUp - if True, all buttons are allowed to be 'Up' at the same time. Default False
property AutoSize: Boolean; | Allows to automatically adjust the size of the control, according to its content.
property Caption: TCaption; | The text describing the control to the user.
property Down: Boolean; [rws] | Is this button Down (i.e. has it been selected)? Default false
property DragCursor: TCursor; | The cursor shape shown while the control is dragged.
property DragKind: TDragKind; | The operation when the control is dragged - Drag or Dock.
property DragMode: TDragMode; | Allows the user to drag the control.
property DropdownMenu: TPopupMenu; [rw] | A DropDownMenu that appears when this button is selected
property Enabled: Boolean; | Determines whether the control reacts on mouse or keyboard input.
property Grouped: Boolean; [rw] | Is this button a member of a group? Default false
property Height: Integer; [s] | The vertical size of the control.
property ImageIndex: TImageIndex; [rws] | ImageIndex - the index value of the image from the imagelist to be used with this button
property Indeterminate: Boolean; [rw] | Indeterminate - if True, this button is in an unspecified state. Default False
property Marked: Boolean; [rw] | Is this button Marked (i.e. has it been selected)? Default false
property MenuItem: TMenuItem; [rw] | The item on the Main Menu with which this tool button is associated
property OnArrowClick: TNotifyEvent; [rw] | Executed when user clicked the arrow part for Style=tbsDropDown.
property OnClick: TNotifyEvent; | Notification handler for mouse clicks.
property OnContextPopup: TContextPopupEvent; | Invoked when a context-sensitive pop-up menu is requested.
property OnDragDrop: TDragDropEvent; | This handler determines the action on an drop onto this control, in a drag-drop operation.
property OnDragOver: TDragOverEvent; | Event handler for a control being dragged over this control.
property OnEndDock: TEndDragEvent; | Notification handler for the end of a docking operation.
property OnEndDrag: TEndDragEvent; | Notification handler for the end of a dragging operation.
property OnMouseDown: TMouseEvent; | Event handler for mouse button going down.
property OnMouseEnter: TNotifyEvent;
property OnMouseLeave: TNotifyEvent;
property OnMouseMove: TMouseMoveEvent; | Event handler for mouse movement within the control.
property OnMouseUp: TMouseEvent; | Event handler for mouse button going up.
property OnMouseWheel: TMouseWheelEvent;
property OnMouseWheelDown: TMouseWheelUpDownEvent;
property OnMouseWheelUp: TMouseWheelUpDownEvent;
property OnStartDock: TStartDockEvent; | Event handler for the start of a docking operation.
property OnStartDrag: TStartDragEvent; | Event handler for the start of a dragging operation.
property ParentShowHint: Boolean; | If true, the value of ShowHint for the control will be the same as the one from the Parent. Default is true.
property PopupMenu: TPopupMenu; | A context-sensitive menu that pops up when the right mouse button is clicked over this control
property ShowCaption: Boolean; [rw] | Show/Hide caption
property ShowHint: Boolean; | Enables the Hint display.
property Style: TToolButtonStyle; [rw] | Determines the style of the tool button.
property Visible: Boolean; | Allows to show or hide the control, and all of its children.
property Width: Integer; [s] | The horizontal extent of the control.
property Wrap: Boolean; [rw] | Has this button been wrapped to the next row?
end;

Inheritance

TToolButton | TToolButton is a button control in a TToolBar object.
|
TGraphicControl | TGraphicControl is the base class for all lightweight controls.
|
TControl | The base class for visible controls.
|
TLCLComponent | The base class for LCL components associated with widgets.
|
TComponent,IUnknown,IInterfaceComponentReference
|
TPersistent,IFPObserved
|
TObject

Description

Use TToolButton to implement buttons on a toolbar. While other controls (including TButton and TSpeedButton) can be placed on toolbars, TToolButton utilizes special toolbar features to simplify the configuration of buttons and offers added display options such as pop-up borders and transparency.

To place tool buttons on a toolbar at design time, select the toolbar, right-click, and choose New Button.

See also

TToolBar
TButton | A push button control.
TSpeedButton | A Button used to represent states (checked or not, etc)
HowToUseStdCtrls | How to use StdCtrls, ComCtrls or ExtCtrls

Example

{ To use this example, create a new application and add the example code
  to the unit. Remember to add the ComCtls unit in the uses clause. }

procedure AddButtons(ToolBar: TToolBar; const ButtonCaptions: array of String);
var
  i: integer;
begin
  for i := 0 to High(ButtonCaptions) do
  begin
    with TToolButton.Create(ToolBar) do
    begin
      Parent := ToolBar;
      Caption := ButtonCaptions[i];
      if (ButtonCaptions[i] = '|') then
        Style := tbsSeparator
      else
        Style := tbsButton;
      AutoSize := True;
    end;
  end;
end;

procedure TForm1.FormCreate(Sender: TObject);
var
  ToolBar: TToolBar;
begin
  ToolBar := TToolBar.Create(Self);
  ToolBar.Parent := Self;
  ShowMessage(IntToStr(ToolBar.ButtonCount));
  AddButtons(ToolBar, ['New', 'Save', '|', 'Cut', 'Copy', 'Paste']);
  ToolBar.ShowCaptions := True;
  ToolBar.Height := 40;
  ToolBar.ButtonWidth := 75;
  ShowMessage(IntToStr(ToolBar.ButtonCount));
end;


TToolButton
 | ro | Index
pl | ro | Action
pl |  | AllowAllUp
pl | ro | AutoSize
pl | ro | Caption
pl |  | Down
pl | ro | DragCursor
pl | ro | DragKind
pl | ro | DragMode
pl |  | DropdownMenu
pl | ro | Enabled
pl |  | Grouped
pl | ro | Height
pl |  | ImageIndex
pl |  | Indeterminate
pl |  | Marked
pl |  | MenuItem
pl | ro | ParentShowHint
pl | ro | PopupMenu
pl |  | ShowCaption
pl | ro | ShowHint
pl |  | Style
pl | ro | Visible
pl | ro | Width
pl |  | Wrap
TGraphicControl
 | ro | Canvas
TControl
pt | ro | AutoSizing
pt | ro | AutoSizingAll
pt | ro | AutoSizingLockCount
pt |  | ActionLink
pt |  | DesktopFont
pt |  | DragCursor
pt |  | DragKind
pt |  | DragMode
pt |  | MouseCapture
pt |  | ParentColor
pt |  | ParentFont
pt |  | ParentShowHint
pt |  | SessionProperties
pt |  | Text
 | ro | AnchoredControls
 | ro | BaseBounds
 | ro | ReadBounds
 | ro | BaseParentClientSize
 |  | AccessibleDescription
 |  | AccessibleValue
 |  | AccessibleRole
 |  | Action
 |  | Align
 |  | Anchors
 | ro | AnchorSide
 |  | AutoSize
 |  | BorderSpacing
 |  | BoundsRect
 |  | BoundsRectForNewParent
 |  | Caption
 |  | CaptureMouseButtons
 |  | ClientHeight
 | ro | ClientOrigin
 | ro | ClientRect
 |  | ClientWidth
 |  | Color
 |  | Constraints
 | ro | ControlOrigin
 |  | ControlState
 |  | ControlStyle
 |  | Enabled
 |  | Font
 |  | IsControl
 | ro | MouseEntered
 | ro | MouseInClient
 |  | Parent
 |  | PopupMenu
 |  | ShowHint
 |  | Visible
 |  | WindowProc
 |  | DockOrientation
 | ro | Floating
 |  | FloatingDockSiteClass
 |  | HostDockSite
 |  | LRDockWidth
 |  | TBDockHeight
 |  | UndockHeight
 |  | UndockWidth
 |  | BiDiMode
 |  | ParentBiDiMode
pl |  | AnchorSideLeft
pl |  | AnchorSideTop
pl |  | AnchorSideRight
pl |  | AnchorSideBottom
pl |  | Cursor
pl |  | Left
pl |  | Height
pl |  | Hint
pl |  | Top
pl |  | Width
pl |  | HelpType
pl |  | HelpKeyword
pl |  | HelpContext
TLCLComponent
 | ro | LCLRefCount
 | ro | WidgetSetClass
TComponent
 | ro | ComObject
 | ro | Components
 | ro | ComponentCount
 |  | ComponentIndex
 | ro | ComponentState
 | ro | ComponentStyle
 |  | DesignInfo
 | ro | Owner
 |  | VCLComObject
 |  | Name
 |  | Tag
TPersistent
TObject


 |  | AccessibleDescription (TControl)
 |  | AccessibleRole (TControl)
 |  | AccessibleValue (TControl)
 |  | Action (TControl)
pl | ro | Action (TToolButton)
pt |  | ActionLink (TControl)
 |  | Align (TControl)
pl |  | AllowAllUp (TToolButton)
 | ro | AnchoredControls (TControl)
 |  | Anchors (TControl)
 | ro | AnchorSide (TControl)
pl |  | AnchorSideBottom (TControl)
pl |  | AnchorSideLeft (TControl)
pl |  | AnchorSideRight (TControl)
pl |  | AnchorSideTop (TControl)
 |  | AutoSize (TControl)
pl | ro | AutoSize (TToolButton)
pt | ro | AutoSizing (TControl)
pt | ro | AutoSizingAll (TControl)
pt | ro | AutoSizingLockCount (TControl)
 | ro | BaseBounds (TControl)
 | ro | BaseParentClientSize (TControl)
 |  | BiDiMode (TControl)
 |  | BorderSpacing (TControl)
 |  | BoundsRect (TControl)
 |  | BoundsRectForNewParent (TControl)
 | ro | Canvas (TGraphicControl)
 |  | Caption (TControl)
pl | ro | Caption (TToolButton)
 |  | CaptureMouseButtons (TControl)
 |  | ClientHeight (TControl)
 | ro | ClientOrigin (TControl)
 | ro | ClientRect (TControl)
 |  | ClientWidth (TControl)
 |  | Color (TControl)
 | ro | ComObject (TComponent)
 | ro | ComponentCount (TComponent)
 |  | ComponentIndex (TComponent)
 | ro | Components (TComponent)
 | ro | ComponentState (TComponent)
 | ro | ComponentStyle (TComponent)
 |  | Constraints (TControl)
 | ro | ControlOrigin (TControl)
 |  | ControlState (TControl)
 |  | ControlStyle (TControl)
pl |  | Cursor (TControl)
 |  | DesignInfo (TComponent)
pt |  | DesktopFont (TControl)
 |  | DockOrientation (TControl)
pl |  | Down (TToolButton)
pt |  | DragCursor (TControl)
pl | ro | DragCursor (TToolButton)
pt |  | DragKind (TControl)
pl | ro | DragKind (TToolButton)
pt |  | DragMode (TControl)
pl | ro | DragMode (TToolButton)
pl |  | DropdownMenu (TToolButton)
 |  | Enabled (TControl)
pl | ro | Enabled (TToolButton)
 | ro | Floating (TControl)
 |  | FloatingDockSiteClass (TControl)
 |  | Font (TControl)
pl |  | Grouped (TToolButton)
pl |  | Height (TControl)
pl | ro | Height (TToolButton)
pl |  | HelpContext (TControl)
pl |  | HelpKeyword (TControl)
pl |  | HelpType (TControl)
pl |  | Hint (TControl)
 |  | HostDockSite (TControl)
pl |  | ImageIndex (TToolButton)
pl |  | Indeterminate (TToolButton)
 | ro | Index (TToolButton)
 |  | IsControl (TControl)
 | ro | LCLRefCount (TLCLComponent)
pl |  | Left (TControl)
 |  | LRDockWidth (TControl)
pl |  | Marked (TToolButton)
pl |  | MenuItem (TToolButton)
pt |  | MouseCapture (TControl)
 | ro | MouseEntered (TControl)
 | ro | MouseInClient (TControl)
 |  | Name (TComponent)
 | ro | Owner (TComponent)
 |  | Parent (TControl)
 |  | ParentBiDiMode (TControl)
pt |  | ParentColor (TControl)
pt |  | ParentFont (TControl)
pt |  | ParentShowHint (TControl)
pl | ro | ParentShowHint (TToolButton)
 |  | PopupMenu (TControl)
pl | ro | PopupMenu (TToolButton)
 | ro | ReadBounds (TControl)
pt |  | SessionProperties (TControl)
pl |  | ShowCaption (TToolButton)
 |  | ShowHint (TControl)
pl | ro | ShowHint (TToolButton)
pl |  | Style (TToolButton)
 |  | Tag (TComponent)
 |  | TBDockHeight (TControl)
pt |  | Text (TControl)
pl |  | Top (TControl)
 |  | UndockHeight (TControl)
 |  | UndockWidth (TControl)
 |  | VCLComObject (TComponent)
 |  | Visible (TControl)
pl | ro | Visible (TToolButton)
 | ro | WidgetSetClass (TLCLComponent)
pl |  | Width (TControl)
pl | ro | Width (TToolButton)
 |  | WindowProc (TControl)
pl |  | Wrap (TToolButton)


TToolButton
pt | WSRegisterClass
pt | CopyPropertiesFromMenuItem
pt | GetActionLinkClass
pt | ActionChange
pt | AssignTo
pt | BeginUpdate
pt | EndUpdate
pt | MouseMove
pt | MouseDown
pt | MouseUp
pt | MouseEnter
pt | MouseLeave
pt | Notification
pt | Paint
pt | TextChanged
pt | CalculatePreferredSize
pt | GetControlClassDefaultSize
pt | Loaded
pt | RefreshControl
pt | SetToolBar
pt | UpdateControl
pt | GetButtonDrawDetail
pt | SetParent
pt | UpdateVisibleToolbar
pt | GroupAllUpAllowed
pt | DialogChar
pt | SetAutoSize
pt | RealSetText
 | Create
 | CheckMenuDropdown
 | Click
 | ArrowClick
 | GetCurrentIcon
 | GetPreferredSize
 | PointInArrow
TGraphicControl
pt | WSRegisterClass
pt | FontChanged
pt | Paint
pt | DoOnChangeBounds
pt | DoOnParentHandleDestruction
pt | CMCursorChanged
 | Create
 | Destroy
TControl
pt | WSRegisterClass
pt | GetCursor
pt | SetCursor
pt | SetVisible
pt | DoOnParentHandleDestruction
pt | DoAutoSize
pt | DoAllAutoSize
pt | BeginAutoSizing
pt | EndAutoSizing
pt | AnchorSideChanged
pt | ForeignAnchorSideChanged
pt | SetAlign
pt | SetAnchors
pt | SetAutoSize
pt | BoundsChanged
pt | CreateControlBorderSpacing
pt | DoConstraintsChange
pt | DoBorderSpacingChange
pt | IsBorderSpacingInnerBorderStored
pt | IsCaptionStored
pt | SendMoveSizeMessages
pt | ConstrainedResize
pt | CalculatePreferredSize
pt | DoOnResize
pt | DoOnChangeBounds
pt | CheckOnChangeBounds
pt | Resize
pt | RequestAlign
pt | UpdateAnchorRules
pt | ChangeBounds
pt | DoSetBounds
pt | ScaleConstraints
pt | ChangeScale
pt | CanAutoSize
pt | SetBiDiMode
pt | SetParentBiDiMode
pt | IsAParentAligning
pt | GetClientOrigin
pt | GetClientRect
pt | GetLogicalClientRect
pt | GetScrolledClientRect
pt | GetClientScrollOffset
pt | GetControlOrigin
pt | IsClientHeightStored
pt | IsClientWidthStored
pt | WidthIsAnchored
pt | HeightIsAnchored
pt | WMCancelMode
pt | WMContextMenu
pt | WMLButtonDown
pt | WMRButtonDown
pt | WMMButtonDown
pt | WMXButtonDown
pt | WMLButtonDBLCLK
pt | WMRButtonDBLCLK
pt | WMMButtonDBLCLK
pt | WMXButtonDBLCLK
pt | WMLButtonTripleCLK
pt | WMRButtonTripleCLK
pt | WMMButtonTripleCLK
pt | WMXButtonTripleCLK
pt | WMLButtonQuadCLK
pt | WMRButtonQuadCLK
pt | WMMButtonQuadCLK
pt | WMXButtonQuadCLK
pt | WMMouseMove
pt | WMLButtonUp
pt | WMRButtonUp
pt | WMMButtonUp
pt | WMXButtonUp
pt | WMMouseWheel
pt | WMMouseHWheel
pt | WMMove
pt | WMSize
pt | WMWindowPosChanged
pt | CMChanged
pt | LMCaptureChanged
pt | CMBiDiModeChanged
pt | CMSysFontChanged
pt | CMEnabledChanged
pt | CMHitTest
pt | CMMouseEnter
pt | CMMouseLeave
pt | CMHintShow
pt | CMParentBiDiModeChanged
pt | CMParentColorChanged
pt | CMParentFontChanged
pt | CMParentShowHintChanged
pt | CMVisibleChanged
pt | CMTextChanged
pt | CMCursorChanged
pt | CalculateDockSizes
pt | CreateFloatingDockSite
pt | GetDockEdge
pt | GetDragImages
pt | GetFloating
pt | GetFloatingDockSiteClass
pt | BeforeDragStart
pt | BeginAutoDrag
pt | DoFloatMsg
pt | DockTrackNoTarget
pt | DoDock
pt | DoDragMsg
pt | DoEndDock
pt | DoEndDrag
pt | DoStartDock
pt | DoStartDrag
pt | DragCanceled
pt | DragOver
pt | PositionDockRect
pt | SetDragMode
pt | GetDefaultDockCaption
pt | Click
pt | DblClick
pt | TripleClick
pt | QuadClick
pt | GetMousePosFromMessage
pt | MouseDown
pt | MouseMove
pt | MouseUp
pt | MouseEnter
pt | MouseLeave
pt | DialogChar
pt | UpdateMouseCursor
pt | Changed
pt | GetPalette
pt | ChildClassAllowed
pt | ReadState
pt | Loaded
pt | LoadedAll
pt | DefineProperties
pt | AssignTo
pt | FormEndUpdated
pt | InvalidateControl
pt | FontChanged
pt | ParentFontChanged
pt | GetAction
pt | RealGetText
pt | RealSetText
pt | TextChanged
pt | GetCachedText
pt | SetAction
pt | SetColor
pt | SetEnabled
pt | SetHint
pt | SetName
pt | SetParent
pt | SetParentComponent
pt | WndProc
pt | ParentFormHandleInitialized
pt | GetMouseCapture
pt | CaptureChanged
pt | Notification
pt | CanTab
pt | GetDeviceContext
pt | GetEnabled
pt | GetPopupMenu
pt | DoOnShowHint
pt | DoMouseWheel
pt | DoMouseWheelDown
pt | DoMouseWheelUp
pt | DoMouseWheelHorz
pt | DoMouseWheelLeft
pt | DoMouseWheelRight
pt | VisibleChanging
pt | VisibleChanged
pt | EnabledChanging
pt | EnabledChanged
pt | AddHandler
pt | RemoveHandler
pt | DoCallNotifyHandler
pt | DoCallKeyEventHandler
pt | DoCallMouseWheelEventHandler
pt | DoContextPopup
pt | SetZOrder
pt | GetControlClassDefaultSize
pt | ColorIsStored
pt | DoAutoAdjustLayout
pt | DoFixDesignFontPPI
pt | DoScaleFontPPI
pt | GetActionLinkClass
pt | ActionChange
 | DragDrop
 | Dock
 | ManualDock
 | ManualFloat
 | ReplaceDockedControl
 | Docked
 | Dragging
 | GetAccessibleObject
 | CreateAccessibleObject
 | GetSelectedChildAccessibleObject
 | GetChildAccessibleObjectAtPos
 | ScaleDesignToForm
 | ScaleFormToDesign
 | Scale96ToForm
 | ScaleFormTo96
 | Scale96ToFont
 | ScaleFontTo96
 | ScaleScreenToFont
 | ScaleFontToScreen
 | Scale96ToScreen
 | ScaleScreenTo96
 | AdjustSize
 | AutoSizePhases
 | AutoSizeDelayed
 | AutoSizeDelayedReport
 | AutoSizeDelayedHandle
 | AnchorToNeighbour
 | AnchorParallel
 | AnchorHorizontalCenterTo
 | AnchorVerticalCenterTo
 | AnchorToCompanion
 | AnchorSame
 | AnchorAsAlign
 | AnchorClient
 | AnchoredControlCount
 | SetBounds
 | SetInitialBounds
 | SetBoundsKeepBase
 | GetPreferredSize
 | GetCanvasScaleFactor
 | GetDefaultWidth
 | GetDefaultHeight
 | GetDefaultColor
 | GetColorResolvingParent
 | GetRGBColorResolvingParent
 | GetSidePosition
 | CNPreferredSizeChanged
 | InvalidatePreferredSize
 | GetAnchorsDependingOnParent
 | DisableAutoSizing
 | EnableAutoSizing
 | UpdateBaseBounds
 | WriteLayoutDebugReport
 | AutoAdjustLayout
 | ShouldAutoAdjust
 | FixDesignFontsPPI
 | ScaleFontsPPI
 | Create
 | Destroy
 | BeforeDestruction
 | EditingDone
 | ExecuteDefaultAction
 | ExecuteCancelAction
 | BeginDrag
 | EndDrag
 | BringToFront
 | HasParent
 | GetParentComponent
 | IsParentOf
 | GetTopParent
 | IsVisible
 | IsControlVisible
 | IsEnabled
 | IsParentColor
 | IsParentFont
 | FormIsUpdating
 | IsProcessingPaintMsg
 | Hide
 | Refresh
 | Repaint
 | Invalidate
 | CheckChildClassAllowed
 | CheckNewParent
 | SendToBack
 | SetTempCursor
 | UpdateRolesForForm
 | ActiveDefaultControlChanged
 | GetTextBuf
 | GetTextLen
 | SetTextBuf
 | Perform
 | ScreenToClient
 | ClientToScreen
 | ScreenToControl
 | ControlToScreen
 | ClientToParent
 | ParentToClient
 | GetChildrenRect
 | Show
 | Update
 | HandleObjectShouldBeVisible
 | ParentDestroyingHandle
 | ParentHandlesAllocated
 | InitiateAction
 | ShowHelp
 | HasHelp
 | RemoveAllHandlersOfObject
 | AddHandlerOnResize
 | RemoveHandlerOnResize
 | AddHandlerOnChangeBounds
 | RemoveHandlerOnChangeBounds
 | AddHandlerOnVisibleChanging
 | RemoveHandlerOnVisibleChanging
 | AddHandlerOnVisibleChanged
 | RemoveHandlerOnVisibleChanged
 | AddHandlerOnEnabledChanged
 | RemoveHandlerOnEnableChanging
 | AddHandlerOnKeyDown
 | RemoveHandlerOnKeyDown
 | AddHandlerOnBeforeDestruction
 | RemoveHandlerOnBeforeDestruction
 | AddHandlerOnMouseWheel
 | RemoveHandlerOnMouseWheel
 | UseRightToLeftAlignment
 | UseRightToLeftReading
 | UseRightToLeftScrollBar
 | IsRightToLeft
TLCLComponent
pt | WSRegisterClass
pt | GetWSComponentClass
 | Create
 | Destroy
 | NewInstance
 | RemoveAllHandlersOfObject
 | IncLCLRefCount
 | DecLCLRefCount
TComponent
 | GetComObject
 | GetComponent
 | GetComponentCount
 | GetComponentIndex
 | Insert
 | ReadLeft
 | ReadTop
 | Remove
 | RemoveNotification
 | SetComponentIndex
 | SetReference
 | WriteLeft
 | WriteTop
 | ChangeName
 | DefineProperties
 | GetChildren
 | GetChildOwner
 | GetChildParent
 | GetOwner
 | Loaded
 | Loading
 | Notification
 | PaletteCreated
 | ReadState
 | SetAncestor
 | SetDesigning
 | SetDesignInstance
 | SetInline
 | SetName
 | SetChildOrder
 | SetParentComponent
 | Updating
 | Updated
 | UpdateRegistry
 | ValidateRename
 | ValidateContainer
 | ValidateInsert
 | QueryInterface
 | _AddRef
 | _Release
 | iicrGetComponent
 | GetTypeInfoCount
 | GetTypeInfo
 | GetIDsOfNames
 | Invoke
 | WriteState
 | Create
 | Destroy
 | BeforeDestruction
 | DestroyComponents
 | Destroying
 | ExecuteAction
 | FindComponent
 | FreeNotification
 | RemoveFreeNotification
 | FreeOnRelease
 | GetEnumerator
 | GetNamePath
 | GetParentComponent
 | HasParent
 | InsertComponent
 | RemoveComponent
 | SafeCallException
 | SetSubComponent
 | UpdateAction
 | IsImplementorOf
 | ReferenceInterface
TPersistent
 | AssignError
 | AssignTo
 | DefineProperties
 | GetOwner
 | Destroy
 | Assign
 | FPOAttachObserver
 | FPODetachObserver
 | FPONotifyObservers
 | GetNamePath
TObject
 | Create
 | Destroy
 | newinstance
 | FreeInstance
 | SafeCallException
 | DefaultHandler
 | Free
 | InitInstance
 | CleanupInstance
 | ClassType
 | ClassInfo
 | ClassName
 | ClassNameIs
 | ClassParent
 | InstanceSize
 | InheritsFrom
 | StringMessageTable
 | MethodAddress
 | MethodName
 | FieldAddress
 | AfterConstruction
 | BeforeDestruction
 | DefaultHandlerStr
 | Dispatch
 | DispatchStr
 | GetInterface
 | GetInterfaceByStr
 | GetInterfaceWeak
 | GetInterfaceEntry
 | GetInterfaceEntryByStr
 | GetInterfaceTable
 | UnitName
 | Equals
 | GetHashCode
 | ToString


pt | ActionChange (TControl)
pt | ActionChange (TToolButton)
 | ActiveDefaultControlChanged (TControl)
pt | AddHandler (TControl)
 | AddHandlerOnBeforeDestruction (TControl)
 | AddHandlerOnChangeBounds (TControl)
 | AddHandlerOnEnabledChanged (TControl)
 | AddHandlerOnKeyDown (TControl)
 | AddHandlerOnMouseWheel (TControl)
 | AddHandlerOnResize (TControl)
 | AddHandlerOnVisibleChanged (TControl)
 | AddHandlerOnVisibleChanging (TControl)
 | AdjustSize (TControl)
 | AfterConstruction (TObject)
 | AnchorAsAlign (TControl)
 | AnchorClient (TControl)
 | AnchoredControlCount (TControl)
 | AnchorHorizontalCenterTo (TControl)
 | AnchorParallel (TControl)
 | AnchorSame (TControl)
pt | AnchorSideChanged (TControl)
 | AnchorToCompanion (TControl)
 | AnchorToNeighbour (TControl)
 | AnchorVerticalCenterTo (TControl)
 | ArrowClick (TToolButton)
 | Assign (TPersistent)
 | AssignError (TPersistent)
 | AssignTo (TPersistent)
pt | AssignTo (TControl)
pt | AssignTo (TToolButton)
 | AutoAdjustLayout (TControl)
 | AutoSizeDelayed (TControl)
 | AutoSizeDelayedHandle (TControl)
 | AutoSizeDelayedReport (TControl)
 | AutoSizePhases (TControl)
 | BeforeDestruction (TObject)
 | BeforeDestruction (TComponent)
 | BeforeDestruction (TControl)
pt | BeforeDragStart (TControl)
pt | BeginAutoDrag (TControl)
pt | BeginAutoSizing (TControl)
 | BeginDrag (TControl)
pt | BeginUpdate (TToolButton)
pt | BoundsChanged (TControl)
 | BringToFront (TControl)
pt | CalculateDockSizes (TControl)
pt | CalculatePreferredSize (TControl)
pt | CalculatePreferredSize (TToolButton)
pt | CanAutoSize (TControl)
pt | CanTab (TControl)
pt | CaptureChanged (TControl)
pt | ChangeBounds (TControl)
pt | Changed (TControl)
 | ChangeName (TComponent)
pt | ChangeScale (TControl)
 | CheckChildClassAllowed (TControl)
 | CheckMenuDropdown (TToolButton)
 | CheckNewParent (TControl)
pt | CheckOnChangeBounds (TControl)
pt | ChildClassAllowed (TControl)
 | ClassInfo (TObject)
 | ClassName (TObject)
 | ClassNameIs (TObject)
 | ClassParent (TObject)
 | ClassType (TObject)
 | CleanupInstance (TObject)
pt | Click (TControl)
 | Click (TToolButton)
 | ClientToParent (TControl)
 | ClientToScreen (TControl)
pt | CMBiDiModeChanged (TControl)
pt | CMChanged (TControl)
pt | CMCursorChanged (TControl)
pt | CMCursorChanged (TGraphicControl)
pt | CMEnabledChanged (TControl)
pt | CMHintShow (TControl)
pt | CMHitTest (TControl)
pt | CMMouseEnter (TControl)
pt | CMMouseLeave (TControl)
pt | CMParentBiDiModeChanged (TControl)
pt | CMParentColorChanged (TControl)
pt | CMParentFontChanged (TControl)
pt | CMParentShowHintChanged (TControl)
pt | CMSysFontChanged (TControl)
pt | CMTextChanged (TControl)
pt | CMVisibleChanged (TControl)
 | CNPreferredSizeChanged (TControl)
pt | ColorIsStored (TControl)
pt | ConstrainedResize (TControl)
 | ControlToScreen (TControl)
pt | CopyPropertiesFromMenuItem (TToolButton)
 | Create (TObject)
 | Create (TComponent)
 | Create (TLCLComponent)
 | Create (TControl)
 | Create (TGraphicControl)
 | Create (TToolButton)
 | CreateAccessibleObject (TControl)
pt | CreateControlBorderSpacing (TControl)
pt | CreateFloatingDockSite (TControl)
pt | DblClick (TControl)
 | DecLCLRefCount (TLCLComponent)
 | DefaultHandler (TObject)
 | DefaultHandlerStr (TObject)
 | DefineProperties (TPersistent)
 | DefineProperties (TComponent)
pt | DefineProperties (TControl)
 | Destroy (TObject)
 | Destroy (TPersistent)
 | Destroy (TComponent)
 | Destroy (TLCLComponent)
 | Destroy (TControl)
 | Destroy (TGraphicControl)
 | DestroyComponents (TComponent)
 | Destroying (TComponent)
pt | DialogChar (TControl)
pt | DialogChar (TToolButton)
 | DisableAutoSizing (TControl)
 | Dispatch (TObject)
 | DispatchStr (TObject)
pt | DoAllAutoSize (TControl)
pt | DoAutoAdjustLayout (TControl)
pt | DoAutoSize (TControl)
pt | DoBorderSpacingChange (TControl)
pt | DoCallKeyEventHandler (TControl)
pt | DoCallMouseWheelEventHandler (TControl)
pt | DoCallNotifyHandler (TControl)
 | Dock (TControl)
 | Docked (TControl)
pt | DockTrackNoTarget (TControl)
pt | DoConstraintsChange (TControl)
pt | DoContextPopup (TControl)
pt | DoDock (TControl)
pt | DoDragMsg (TControl)
pt | DoEndDock (TControl)
pt | DoEndDrag (TControl)
pt | DoFixDesignFontPPI (TControl)
pt | DoFloatMsg (TControl)
pt | DoMouseWheel (TControl)
pt | DoMouseWheelDown (TControl)
pt | DoMouseWheelHorz (TControl)
pt | DoMouseWheelLeft (TControl)
pt | DoMouseWheelRight (TControl)
pt | DoMouseWheelUp (TControl)
pt | DoOnChangeBounds (TControl)
pt | DoOnChangeBounds (TGraphicControl)
pt | DoOnParentHandleDestruction (TControl)
pt | DoOnParentHandleDestruction (TGraphicControl)
pt | DoOnResize (TControl)
pt | DoOnShowHint (TControl)
pt | DoScaleFontPPI (TControl)
pt | DoSetBounds (TControl)
pt | DoStartDock (TControl)
pt | DoStartDrag (TControl)
pt | DragCanceled (TControl)
 | DragDrop (TControl)
 | Dragging (TControl)
pt | DragOver (TControl)
 | EditingDone (TControl)
 | EnableAutoSizing (TControl)
pt | EnabledChanged (TControl)
pt | EnabledChanging (TControl)
pt | EndAutoSizing (TControl)
 | EndDrag (TControl)
pt | EndUpdate (TToolButton)
 | Equals (TObject)
 | ExecuteAction (TComponent)
 | ExecuteCancelAction (TControl)
 | ExecuteDefaultAction (TControl)
 | FieldAddress (TObject)
 | FindComponent (TComponent)
 | FixDesignFontsPPI (TControl)
pt | FontChanged (TControl)
pt | FontChanged (TGraphicControl)
pt | ForeignAnchorSideChanged (TControl)
pt | FormEndUpdated (TControl)
 | FormIsUpdating (TControl)
 | FPOAttachObserver (TPersistent)
 | FPODetachObserver (TPersistent)
 | FPONotifyObservers (TPersistent)
 | Free (TObject)
 | FreeInstance (TObject)
 | FreeNotification (TComponent)
 | FreeOnRelease (TComponent)
 | GetAccessibleObject (TControl)
pt | GetAction (TControl)
pt | GetActionLinkClass (TControl)
pt | GetActionLinkClass (TToolButton)
 | GetAnchorsDependingOnParent (TControl)
pt | GetButtonDrawDetail (TToolButton)
pt | GetCachedText (TControl)
 | GetCanvasScaleFactor (TControl)
 | GetChildAccessibleObjectAtPos (TControl)
 | GetChildOwner (TComponent)
 | GetChildParent (TComponent)
 | GetChildren (TComponent)
 | GetChildrenRect (TControl)
pt | GetClientOrigin (TControl)
pt | GetClientRect (TControl)
pt | GetClientScrollOffset (TControl)
 | GetColorResolvingParent (TControl)
 | GetComObject (TComponent)
 | GetComponent (TComponent)
 | GetComponentCount (TComponent)
 | GetComponentIndex (TComponent)
pt | GetControlClassDefaultSize (TControl)
pt | GetControlClassDefaultSize (TToolButton)
pt | GetControlOrigin (TControl)
 | GetCurrentIcon (TToolButton)
pt | GetCursor (TControl)
 | GetDefaultColor (TControl)
pt | GetDefaultDockCaption (TControl)
 | GetDefaultHeight (TControl)
 | GetDefaultWidth (TControl)
pt | GetDeviceContext (TControl)
pt | GetDockEdge (TControl)
pt | GetDragImages (TControl)
pt | GetEnabled (TControl)
 | GetEnumerator (TComponent)
pt | GetFloating (TControl)
pt | GetFloatingDockSiteClass (TControl)
 | GetHashCode (TObject)
 | GetIDsOfNames (TComponent)
 | GetInterface (TObject)
 | GetInterfaceByStr (TObject)
 | GetInterfaceEntry (TObject)
 | GetInterfaceEntryByStr (TObject)
 | GetInterfaceTable (TObject)
 | GetInterfaceWeak (TObject)
pt | GetLogicalClientRect (TControl)
pt | GetMouseCapture (TControl)
pt | GetMousePosFromMessage (TControl)
 | GetNamePath (TPersistent)
 | GetNamePath (TComponent)
 | GetOwner (TPersistent)
 | GetOwner (TComponent)
pt | GetPalette (TControl)
 | GetParentComponent (TComponent)
 | GetParentComponent (TControl)
pt | GetPopupMenu (TControl)
 | GetPreferredSize (TControl)
 | GetPreferredSize (TToolButton)
 | GetRGBColorResolvingParent (TControl)
pt | GetScrolledClientRect (TControl)
 | GetSelectedChildAccessibleObject (TControl)
 | GetSidePosition (TControl)
 | GetTextBuf (TControl)
 | GetTextLen (TControl)
 | GetTopParent (TControl)
 | GetTypeInfo (TComponent)
 | GetTypeInfoCount (TComponent)
pt | GetWSComponentClass (TLCLComponent)
pt | GroupAllUpAllowed (TToolButton)
 | HandleObjectShouldBeVisible (TControl)
 | HasHelp (TControl)
 | HasParent (TComponent)
 | HasParent (TControl)
pt | HeightIsAnchored (TControl)
 | Hide (TControl)
 | iicrGetComponent (TComponent)
 | IncLCLRefCount (TLCLComponent)
 | InheritsFrom (TObject)
 | InitiateAction (TControl)
 | InitInstance (TObject)
 | Insert (TComponent)
 | InsertComponent (TComponent)
 | InstanceSize (TObject)
 | Invalidate (TControl)
pt | InvalidateControl (TControl)
 | InvalidatePreferredSize (TControl)
 | Invoke (TComponent)
pt | IsAParentAligning (TControl)
pt | IsBorderSpacingInnerBorderStored (TControl)
pt | IsCaptionStored (TControl)
pt | IsClientHeightStored (TControl)
pt | IsClientWidthStored (TControl)
 | IsControlVisible (TControl)
 | IsEnabled (TControl)
 | IsImplementorOf (TComponent)
 | IsParentColor (TControl)
 | IsParentFont (TControl)
 | IsParentOf (TControl)
 | IsProcessingPaintMsg (TControl)
 | IsRightToLeft (TControl)
 | IsVisible (TControl)
pt | LMCaptureChanged (TControl)
 | Loaded (TComponent)
pt | Loaded (TControl)
pt | Loaded (TToolButton)
pt | LoadedAll (TControl)
 | Loading (TComponent)
 | ManualDock (TControl)
 | ManualFloat (TControl)
 | MethodAddress (TObject)
 | MethodName (TObject)
pt | MouseDown (TControl)
pt | MouseDown (TToolButton)
pt | MouseEnter (TControl)
pt | MouseEnter (TToolButton)
pt | MouseLeave (TControl)
pt | MouseLeave (TToolButton)
pt | MouseMove (TControl)
pt | MouseMove (TToolButton)
pt | MouseUp (TControl)
pt | MouseUp (TToolButton)
 | newinstance (TObject)
 | NewInstance (TLCLComponent)
 | Notification (TComponent)
pt | Notification (TControl)
pt | Notification (TToolButton)
pt | Paint (TGraphicControl)
pt | Paint (TToolButton)
 | PaletteCreated (TComponent)
 | ParentDestroyingHandle (TControl)
pt | ParentFontChanged (TControl)
pt | ParentFormHandleInitialized (TControl)
 | ParentHandlesAllocated (TControl)
 | ParentToClient (TControl)
 | Perform (TControl)
 | PointInArrow (TToolButton)
pt | PositionDockRect (TControl)
pt | QuadClick (TControl)
 | QueryInterface (TComponent)
 | ReadLeft (TComponent)
 | ReadState (TComponent)
pt | ReadState (TControl)
 | ReadTop (TComponent)
pt | RealGetText (TControl)
pt | RealSetText (TControl)
pt | RealSetText (TToolButton)
 | ReferenceInterface (TComponent)
 | Refresh (TControl)
pt | RefreshControl (TToolButton)
 | Remove (TComponent)
 | RemoveAllHandlersOfObject (TLCLComponent)
 | RemoveAllHandlersOfObject (TControl)
 | RemoveComponent (TComponent)
 | RemoveFreeNotification (TComponent)
pt | RemoveHandler (TControl)
 | RemoveHandlerOnBeforeDestruction (TControl)
 | RemoveHandlerOnChangeBounds (TControl)
 | RemoveHandlerOnEnableChanging (TControl)
 | RemoveHandlerOnKeyDown (TControl)
 | RemoveHandlerOnMouseWheel (TControl)
 | RemoveHandlerOnResize (TControl)
 | RemoveHandlerOnVisibleChanged (TControl)
 | RemoveHandlerOnVisibleChanging (TControl)
 | RemoveNotification (TComponent)
 | Repaint (TControl)
 | ReplaceDockedControl (TControl)
pt | RequestAlign (TControl)
pt | Resize (TControl)
 | SafeCallException (TObject)
 | SafeCallException (TComponent)
 | Scale96ToFont (TControl)
 | Scale96ToForm (TControl)
 | Scale96ToScreen (TControl)
pt | ScaleConstraints (TControl)
 | ScaleDesignToForm (TControl)
 | ScaleFontsPPI (TControl)
 | ScaleFontTo96 (TControl)
 | ScaleFontToScreen (TControl)
 | ScaleFormTo96 (TControl)
 | ScaleFormToDesign (TControl)
 | ScaleScreenTo96 (TControl)
 | ScaleScreenToFont (TControl)
 | ScreenToClient (TControl)
 | ScreenToControl (TControl)
pt | SendMoveSizeMessages (TControl)
 | SendToBack (TControl)
pt | SetAction (TControl)
pt | SetAlign (TControl)
 | SetAncestor (TComponent)
pt | SetAnchors (TControl)
pt | SetAutoSize (TControl)
pt | SetAutoSize (TToolButton)
pt | SetBiDiMode (TControl)
 | SetBounds (TControl)
 | SetBoundsKeepBase (TControl)
 | SetChildOrder (TComponent)
pt | SetColor (TControl)
 | SetComponentIndex (TComponent)
pt | SetCursor (TControl)
 | SetDesigning (TComponent)
 | SetDesignInstance (TComponent)
pt | SetDragMode (TControl)
pt | SetEnabled (TControl)
pt | SetHint (TControl)
 | SetInitialBounds (TControl)
 | SetInline (TComponent)
 | SetName (TComponent)
pt | SetName (TControl)
pt | SetParent (TControl)
pt | SetParent (TToolButton)
pt | SetParentBiDiMode (TControl)
 | SetParentComponent (TComponent)
pt | SetParentComponent (TControl)
 | SetReference (TComponent)
 | SetSubComponent (TComponent)
 | SetTempCursor (TControl)
 | SetTextBuf (TControl)
pt | SetToolBar (TToolButton)
pt | SetVisible (TControl)
pt | SetZOrder (TControl)
 | ShouldAutoAdjust (TControl)
 | Show (TControl)
 | ShowHelp (TControl)
 | StringMessageTable (TObject)
pt | TextChanged (TControl)
pt | TextChanged (TToolButton)
 | ToString (TObject)
pt | TripleClick (TControl)
 | UnitName (TObject)
 | Update (TControl)
 | UpdateAction (TComponent)
pt | UpdateAnchorRules (TControl)
 | UpdateBaseBounds (TControl)
pt | UpdateControl (TToolButton)
 | Updated (TComponent)
pt | UpdateMouseCursor (TControl)
 | UpdateRegistry (TComponent)
 | UpdateRolesForForm (TControl)
pt | UpdateVisibleToolbar (TToolButton)
 | Updating (TComponent)
 | UseRightToLeftAlignment (TControl)
 | UseRightToLeftReading (TControl)
 | UseRightToLeftScrollBar (TControl)
 | ValidateContainer (TComponent)
 | ValidateInsert (TComponent)
 | ValidateRename (TComponent)
pt | VisibleChanged (TControl)
pt | VisibleChanging (TControl)
pt | WidthIsAnchored (TControl)
pt | WMCancelMode (TControl)
pt | WMContextMenu (TControl)
pt | WMLButtonDBLCLK (TControl)
pt | WMLButtonDown (TControl)
pt | WMLButtonQuadCLK (TControl)
pt | WMLButtonTripleCLK (TControl)
pt | WMLButtonUp (TControl)
pt | WMMButtonDBLCLK (TControl)
pt | WMMButtonDown (TControl)
pt | WMMButtonQuadCLK (TControl)
pt | WMMButtonTripleCLK (TControl)
pt | WMMButtonUp (TControl)
pt | WMMouseHWheel (TControl)
pt | WMMouseMove (TControl)
pt | WMMouseWheel (TControl)
pt | WMMove (TControl)
pt | WMRButtonDBLCLK (TControl)
pt | WMRButtonDown (TControl)
pt | WMRButtonQuadCLK (TControl)
pt | WMRButtonTripleCLK (TControl)
pt | WMRButtonUp (TControl)
pt | WMSize (TControl)
pt | WMWindowPosChanged (TControl)
pt | WMXButtonDBLCLK (TControl)
pt | WMXButtonDown (TControl)
pt | WMXButtonQuadCLK (TControl)
pt | WMXButtonTripleCLK (TControl)
pt | WMXButtonUp (TControl)
pt | WndProc (TControl)
 | WriteLayoutDebugReport (TControl)
 | WriteLeft (TComponent)
 | WriteState (TComponent)
 | WriteTop (TComponent)
pt | WSRegisterClass (TLCLComponent)
pt | WSRegisterClass (TControl)
pt | WSRegisterClass (TGraphicControl)
pt | WSRegisterClass (TToolButton)
 | _AddRef (TComponent)
 | _Release (TComponent)


TToolButton
pl |  | OnArrowClick
pl | ro | OnClick
pl | ro | OnContextPopup
pl | ro | OnDragDrop
pl | ro | OnDragOver
pl | ro | OnEndDock
pl | ro | OnEndDrag
pl | ro | OnMouseDown
pl | ro | OnMouseEnter
pl | ro | OnMouseLeave
pl | ro | OnMouseMove
pl | ro | OnMouseUp
pl | ro | OnMouseWheel
pl | ro | OnMouseWheelDown
pl | ro | OnMouseWheelUp
pl | ro | OnStartDock
pl | ro | OnStartDrag
TGraphicControl
pt |  | OnPaint
TControl
pt |  | OnConstrainedResize
pt |  | OnContextPopup
pt |  | OnDblClick
pt |  | OnTripleClick
pt |  | OnQuadClick
pt |  | OnDragDrop
pt |  | OnDragOver
pt |  | OnEndDock
pt |  | OnEndDrag
pt |  | OnMouseDown
pt |  | OnMouseMove
pt |  | OnMouseUp
pt |  | OnMouseEnter
pt |  | OnMouseLeave
pt |  | OnMouseWheel
pt |  | OnMouseWheelDown
pt |  | OnMouseWheelUp
pt |  | OnMouseWheelHorz
pt |  | OnMouseWheelLeft
pt |  | OnMouseWheelRight
pt |  | OnStartDock
pt |  | OnStartDrag
pt |  | OnEditingDone
 |  | OnChangeBounds
 |  | OnClick
 |  | OnResize
 |  | OnShowHint
TLCLComponent
TComponent
TPersistent
TObject


pl |  | OnArrowClick (TToolButton)
 |  | OnChangeBounds (TControl)
 |  | OnClick (TControl)
pl | ro | OnClick (TToolButton)
pt |  | OnConstrainedResize (TControl)
pt |  | OnContextPopup (TControl)
pl | ro | OnContextPopup (TToolButton)
pt |  | OnDblClick (TControl)
pt |  | OnDragDrop (TControl)
pl | ro | OnDragDrop (TToolButton)
pt |  | OnDragOver (TControl)
pl | ro | OnDragOver (TToolButton)
pt |  | OnEditingDone (TControl)
pt |  | OnEndDock (TControl)
pl | ro | OnEndDock (TToolButton)
pt |  | OnEndDrag (TControl)
pl | ro | OnEndDrag (TToolButton)
pt |  | OnMouseDown (TControl)
pl | ro | OnMouseDown (TToolButton)
pt |  | OnMouseEnter (TControl)
pl | ro | OnMouseEnter (TToolButton)
pt |  | OnMouseLeave (TControl)
pl | ro | OnMouseLeave (TToolButton)
pt |  | OnMouseMove (TControl)
pl | ro | OnMouseMove (TToolButton)
pt |  | OnMouseUp (TControl)
pl | ro | OnMouseUp (TToolButton)
pt |  | OnMouseWheel (TControl)
pl | ro | OnMouseWheel (TToolButton)
pt |  | OnMouseWheelDown (TControl)
pl | ro | OnMouseWheelDown (TToolButton)
pt |  | OnMouseWheelHorz (TControl)
pt |  | OnMouseWheelLeft (TControl)
pt |  | OnMouseWheelRight (TControl)
pt |  | OnMouseWheelUp (TControl)
pl | ro | OnMouseWheelUp (TToolButton)
pt |  | OnPaint (TGraphicControl)
pt |  | OnQuadClick (TControl)
 |  | OnResize (TControl)
 |  | OnShowHint (TControl)
pt |  | OnStartDock (TControl)
pl | ro | OnStartDock (TToolButton)
pt |  | OnStartDrag (TControl)
pl | ro | OnStartDrag (TToolButton)
pt |  | OnTripleClick (TControl)


TToolButton.ActionChange

ActionChange - a method for changing the action associated with the Button

Declaration

Source position: comctrls.pp line 2094

protected procedure TToolButton.ActionChange(

  Sender: TObject;

  CheckDefaults: Boolean

); override;

See also

TControl.ActionChange

Handler for a changed Action.


TToolButton.AllowAllUp

AllowAllUp - if True, all buttons are allowed to be 'Up' at the same time. Default False

Declaration

Source position: comctrls.pp line 2136

published property TToolButton.AllowAllUp : Boolean
  read FAllowAllUp
  write FAllowAllUp
  default False;


TToolButton.ArrowClick

Invokes the OnArrowClick event handler

Declaration

Source position: comctrls.pp line 2125

public procedure TToolButton.ArrowClick; virtual;

Description

Executed automatically when user clicked the arrow part for Style=tbsDropDown and no DropDownMenu is assigned.


TToolButton.AssignTo

AssignTo calls inherited method: if the destination is of correct type, copies ImageIindex to destination and sets it Checked

Declaration

Source position: comctrls.pp line 2095

protected procedure TToolButton.AssignTo(

  Dest: TPersistent

); override;

See also

TPersistent.AssignTo

TControl.AssignTo

Implements the assignment to an Action object, otherwise calls the inherited method.


TToolButton.BeginUpdate

BeginUpdate - start the update process

Declaration

Source position: comctrls.pp line 2096

protected procedure TToolButton.BeginUpdate; virtual;


TToolButton.cDefButtonDropDecArrowWidth

Declaration

Source position: comctrls.pp line 2088

protected const TToolButton.cDefButtonDropDecArrowWidth = 2;


TToolButton.cDefDividerWidth

Declaration

Source position: comctrls.pp line 2087

protected const TToolButton.cDefDividerWidth = 5;


TToolButton.cDefSeparatorWidth

Declaration

Source position: comctrls.pp line 2086

protected const TToolButton.cDefSeparatorWidth = 8;


TToolButton.CheckMenuDropdown

CheckMenuDropdown - returns True if there is a checked dropdown menu

Declaration

Source position: comctrls.pp line 2123

public function TToolButton.CheckMenuDropdown: Boolean; virtual;


TToolButton.CopyPropertiesFromMenuItem

CopyPropertiesFromMenuItem - method for copying the properties of the corresponding Menu Item, to ensure that ToolButton and MenuItem produce the same behaviour

Declaration

Source position: comctrls.pp line 2092

protected procedure TToolButton.CopyPropertiesFromMenuItem(

  const Value: TMenuItem

);


TToolButton.Create

Create - constructor for TToolButton: calls inherited Create and sets initial bounds and style

Declaration

Source position: comctrls.pp line 2122

public constructor TToolButton.Create(

  TheOwner: TComponent

); override;

See also

TComponent.Create

TGraphicControl.Create


TToolButton.Down

Is this button Down (i.e. has it been selected)? Default false

Declaration

Source position: comctrls.pp line 2139

published property TToolButton.Down : Boolean
  read FDown
  write SetDown
  stored IsCheckedStored
  default False;


TToolButton.DropdownMenu

A DropDownMenu that appears when this button is selected

Declaration

Source position: comctrls.pp line 2143

published property TToolButton.DropdownMenu : TPopupMenu
  read FDropdownMenu
  write SetDropdownMenu;

Description

A DropDownMenu that appears when this button is selected

It uses the same code as a TPopupMenu and offers a series of additional menu choices.


TToolButton.EndUpdate

EndUpdate - finish the update process

Declaration

Source position: comctrls.pp line 2097

protected procedure TToolButton.EndUpdate; virtual;


TToolButton.FToolBar

FToolBar - local variable indicating in which toolbar this button lives

Declaration

Source position: comctrls.pp line 2090

protected TToolButton.FToolBar : TToolBar;


TToolButton.GetActionLinkClass

GetActionLinkClass - returns the Class of the ActionLink for this ToolButton

Declaration

Source position: comctrls.pp line 2093

protected function TToolButton.GetActionLinkClass: TControlActionLinkClass; override;

See also

TControl.GetActionLinkClass

The default ActionLink class (TControlActionLink).


TToolButton.GetButtonDrawDetail

GetButtonDrawDetail - find theme information for Windows XP inplementations

Declaration

Source position: comctrls.pp line 2114

protected function TToolButton.GetButtonDrawDetail: TThemedElementDetails; virtual;


TToolButton.GetControlClassDefaultSize

GetControlClassDefaultSize returns its own defaults, overriding inherited values

Declaration

Source position: comctrls.pp line 2109

protected class function TToolButton.GetControlClassDefaultSize: TSize; override;

See also

TControl.GetControlClassDefaultSize

Returns the default size for this class of controls (when added to a form).


TToolButton.GetCurrentIcon

GetCurrentIcon - finds the icon for the current button

Declaration

Source position: comctrls.pp line 2126

public procedure TToolButton.GetCurrentIcon(

  var ImageList: TCustomImageList;

  var TheIndex: Integer;

  var TheEffect: TGraphicsDrawEffect

); virtual;


TToolButton.GroupAllUpAllowed

GroupAllUpAllowed - returns True if all buttons in a group are allowed to ne 'Up'

Declaration

Source position: comctrls.pp line 2117

protected function TToolButton.GroupAllUpAllowed: Boolean;


TToolButton.Grouped

Is this button a member of a group? Default false

Declaration

Source position: comctrls.pp line 2145

published property TToolButton.Grouped : Boolean
  read FGrouped
  write SetGrouped
  default False;

Description

Is this button a member of a group?

This would mean behaviour similar to the radio buttons in a TRadioGroup where only one button in the group can be selected, or the check boxes in a TCheckGroup where more than one item can be selected but the members of the group interact in some way.


TToolButton.ImageIndex

ImageIndex - the index value of the image from the imagelist to be used with this button

Declaration

Source position: comctrls.pp line 2147

published property TToolButton.ImageIndex : TImageIndex
  read FImageIndex
  write SetImageIndex
  stored IsImageIndexStored
  default - 1;


TToolButton.Indeterminate

Indeterminate - if True, this button is in an unspecified state. Default False

Declaration

Source position: comctrls.pp line 2148

published property TToolButton.Indeterminate : Boolean
  read FIndeterminate
  write SetIndeterminate
  default False;


TToolButton.Index

Index - the sequence number of the current button in the list of buttons

Declaration

Source position: comctrls.pp line 2132

public property TToolButton.Index : Integer
  read GetIndex;


TToolButton.Marked

Is this button Marked (i.e. has it been selected)? Default false

Declaration

Source position: comctrls.pp line 2149

published property TToolButton.Marked : Boolean
  read FMarked
  write SetMarked
  default False;


TToolButton.MenuItem

The item on the Main Menu with which this tool button is associated

Declaration

Source position: comctrls.pp line 2150

published property TToolButton.MenuItem : TMenuItem
  read FMenuItem
  write SetMenuItem;

Description

The item on the Main Menu with which this tool button is associated

Typically the buttons on the toolbar would each point to an entry on the menu action list which could also be accessed by using the Main Menu


TToolButton.OnArrowClick

Executed when user clicked the arrow part for Style=tbsDropDown.

Declaration

Source position: comctrls.pp line 2151

published property TToolButton.OnArrowClick : TNotifyEvent
  read FOnArrowClick
  write FOnArrowClick;

Description

It is not executed if DropDownMenu is assigned.


TToolButton.OnMouseEnter

Declaration

Source position: comctrls.pp line 2159

published property TToolButton.OnMouseEnter : TNotifyEvent;


TToolButton.OnMouseLeave

Declaration

Source position: comctrls.pp line 2160

published property TToolButton.OnMouseLeave : TNotifyEvent;


TToolButton.OnMouseWheel

Declaration

Source position: comctrls.pp line 2163

published property TToolButton.OnMouseWheel : TMouseWheelEvent;


TToolButton.OnMouseWheelDown

Declaration

Source position: comctrls.pp line 2164

published property TToolButton.OnMouseWheelDown : TMouseWheelUpDownEvent;


TToolButton.OnMouseWheelUp

Declaration

Source position: comctrls.pp line 2165

published property TToolButton.OnMouseWheelUp : TMouseWheelUpDownEvent;


TToolButton.PointInArrow

Declaration

Source position: comctrls.pp line 2133

public function TToolButton.PointInArrow(

  const X: Integer;

  const Y: Integer

):Boolean;


TToolButton.RealSetText

Declaration

Source position: comctrls.pp line 2120

protected procedure TToolButton.RealSetText(

  const AValue: TCaption

); override;


TToolButton.RefreshControl

RefreshControl - refreshes the drawing of the tool in case changes have been made

Declaration

Source position: comctrls.pp line 2111

protected procedure TToolButton.RefreshControl; virtual;


TToolButton.SetAutoSize

Declaration

Source position: comctrls.pp line 2119

protected procedure TToolButton.SetAutoSize(

  Value: Boolean

); override;


TToolButton.SetToolBar

SetToolBar - records the existence of a new toolbar

Declaration

Source position: comctrls.pp line 2112

protected procedure TToolButton.SetToolBar(

  NewToolBar: TToolBar

);


TToolButton.ShowCaption

Show/Hide caption

Declaration

Source position: comctrls.pp line 2170

published property TToolButton.ShowCaption : Boolean
  read FShowCaption
  write SetShowCaption
  default True;

Description

The ToolBar.ShowCaptions has precendence. Hiding will only work if ToolBar.List is true.


TToolButton.Style

Determines the style of the tool button.

Declaration

Source position: comctrls.pp line 2172

published property TToolButton.Style : TToolButtonStyle
  read FStyle
  write SetStyle
  default tbsButton;

Description

See TToolButtonStyle for the possible Style values.

See also

#LCL.ComCtrls.TToolButtonStyle

TToolButtonStyle - enumerated type that determines the style of the tool buttons.

Example

{ To use this example, create a new application and add the example code
  to the unit. Remember to add the ComCtls unit in the uses clause. }

procedure AddButtons(ToolBar: TToolBar; const ButtonCaptions: array of String);
var
  i: integer;
begin
  for i := 0 to High(ButtonCaptions) do
  begin
    with TToolButton.Create(ToolBar) do
    begin
      Parent := ToolBar;
      Caption := ButtonCaptions[i];
      if (ButtonCaptions[i] = '|') then
        Style := tbsSeparator
      else
        Style := tbsButton;
      AutoSize := True;
    end;
  end;
end;

procedure TForm1.FormCreate(Sender: TObject);
var
  ToolBar: TToolBar;
begin
  ToolBar := TToolBar.Create(Self);
  ToolBar.Parent := Self;
  ShowMessage(IntToStr(ToolBar.ButtonCount));
  AddButtons(ToolBar, ['New', 'Save', '|', 'Cut', 'Copy', 'Paste']);
  ToolBar.ShowCaptions := True;
  ToolBar.Height := 40;
  ToolBar.ButtonWidth := 75;
  ShowMessage(IntToStr(ToolBar.ButtonCount));
end;


TToolButton.UpdateControl

UpdateControl - brings the control up to date

Declaration

Source position: comctrls.pp line 2113

protected procedure TToolButton.UpdateControl; virtual;


TToolButton.UpdateVisibleToolbar

UpdateVisibleToolbar - updates just the visible part of the toolbar

Declaration

Source position: comctrls.pp line 2116

protected procedure TToolButton.UpdateVisibleToolbar;


TToolButton.Wrap

Has this button been wrapped to the next row?

Declaration

Source position: comctrls.pp line 2175

published property TToolButton.Wrap : Boolean
  read FWrap
  write SetWrap
  default False;


TToolButtonActionLink

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

TToolButtonActionLink - links a ToolButton on the ToolBar to an Action on an ActionList

Declaration

Source position: comctrls.pp line 2031

type TToolButtonActionLink = class(TControlActionLink)
protected
procedure AssignClient(); override; | AssignClient calls inherited method then sets client as ToolButton
procedure SetChecked(); override; | SetChecked - stores the Checked status (True or False)
procedure SetImageIndex(); override; | SetImageIndex - stores the index value of the associated image
public
function IsCheckedLinked; override; | Is the action's Checked property linked to the client?
function IsImageIndexLinked; override; | Is the action's ImageIndex property linked to the client?
end;

Inheritance

TToolButtonActionLink | TToolButtonActionLink - links a ToolButton on the ToolBar to an Action on an ActionList
|
TControlActionLink | Links an Action to a control.
|
TActionLink | A link between an action and a client class
|
TBasicActionLink
|
TObject


TToolButtonActionLink

TControlActionLink

TActionLink

TBasicActionLink

Action

TObject


TToolButtonActionLink
pt | AssignClient
pt | SetChecked
pt | SetImageIndex
 | IsCheckedLinked
 | IsImageIndexLinked
TControlActionLink
pt | AssignClient
pt | SetCaption
pt | SetEnabled
pt | SetHint
pt | SetHelpContext
pt | SetHelpKeyword
pt | SetHelpType
pt | SetVisible
pt | SetOnExecute
pt | IsOnExecuteLinked
pt | DoShowHint
 | IsCaptionLinked
 | IsEnabledLinked
 | IsHelpLinked
 | IsHintLinked
 | IsVisibleLinked
TActionLink
pt | SetAutoCheck
pt | SetCaption
pt | SetChecked
pt | SetEnabled
pt | SetGroupIndex
pt | SetHelpContext
pt | SetHelpKeyword
pt | SetHelpType
pt | SetHint
pt | SetImageIndex
pt | SetShortCut
pt | SetVisible
 | IsCaptionLinked
 | IsCheckedLinked
 | IsEnabledLinked
 | IsGroupIndexLinked
 | IsHelpContextLinked
 | IsHelpLinked
 | IsHintLinked
 | IsImageIndexLinked
 | IsShortCutLinked
 | IsVisibleLinked
TBasicActionLink
 | AssignClient
 | Change
 | IsOnExecuteLinked
 | SetAction
 | SetOnExecute
 | Create
 | Destroy
 | Execute
 | Update
TObject
 | Create
 | Destroy
 | newinstance
 | FreeInstance
 | SafeCallException
 | DefaultHandler
 | Free
 | InitInstance
 | CleanupInstance
 | ClassType
 | ClassInfo
 | ClassName
 | ClassNameIs
 | ClassParent
 | InstanceSize
 | InheritsFrom
 | StringMessageTable
 | MethodAddress
 | MethodName
 | FieldAddress
 | AfterConstruction
 | BeforeDestruction
 | DefaultHandlerStr
 | Dispatch
 | DispatchStr
 | GetInterface
 | GetInterfaceByStr
 | GetInterfaceWeak
 | GetInterfaceEntry
 | GetInterfaceEntryByStr
 | GetInterfaceTable
 | UnitName
 | Equals
 | GetHashCode
 | ToString


 | AssignClient (TBasicActionLink)
pt | AssignClient (TControlActionLink)
pt | AssignClient (TToolButtonActionLink)
 | BeforeDestruction (TObject)
 | Change (TBasicActionLink)
 | ClassInfo (TObject)
 | ClassName (TObject)
 | ClassNameIs (TObject)
 | ClassParent (TObject)
 | ClassType (TObject)
 | CleanupInstance (TObject)
 | Create (TObject)
 | Create (TBasicActionLink)
 | DefaultHandler (TObject)
 | DefaultHandlerStr (TObject)
 | Destroy (TObject)
 | Destroy (TBasicActionLink)
 | Dispatch (TObject)
 | DispatchStr (TObject)
pt | DoShowHint (TControlActionLink)
 | Equals (TObject)
 | Execute (TBasicActionLink)
 | FieldAddress (TObject)
 | Free (TObject)
 | FreeInstance (TObject)
 | GetHashCode (TObject)
 | GetInterface (TObject)
 | GetInterfaceByStr (TObject)
 | GetInterfaceEntry (TObject)
 | GetInterfaceEntryByStr (TObject)
 | GetInterfaceTable (TObject)
 | GetInterfaceWeak (TObject)
 | InheritsFrom (TObject)
 | InitInstance (TObject)
 | InstanceSize (TObject)
 | IsCaptionLinked (TActionLink)
 | IsCaptionLinked (TControlActionLink)
 | IsCheckedLinked (TActionLink)
 | IsCheckedLinked (TToolButtonActionLink)
 | IsEnabledLinked (TActionLink)
 | IsEnabledLinked (TControlActionLink)
 | IsGroupIndexLinked (TActionLink)
 | IsHelpContextLinked (TActionLink)
 | IsHelpLinked (TActionLink)
 | IsHelpLinked (TControlActionLink)
 | IsHintLinked (TActionLink)
 | IsHintLinked (TControlActionLink)
 | IsImageIndexLinked (TActionLink)
 | IsImageIndexLinked (TToolButtonActionLink)
 | IsOnExecuteLinked (TBasicActionLink)
pt | IsOnExecuteLinked (TControlActionLink)
 | IsShortCutLinked (TActionLink)
 | IsVisibleLinked (TActionLink)
 | IsVisibleLinked (TControlActionLink)
 | MethodAddress (TObject)
 | MethodName (TObject)
 | newinstance (TObject)
 | SafeCallException (TObject)
 | SetAction (TBasicActionLink)
pt | SetAutoCheck (TActionLink)
pt | SetCaption (TActionLink)
pt | SetCaption (TControlActionLink)
pt | SetChecked (TActionLink)
pt | SetChecked (TToolButtonActionLink)
pt | SetEnabled (TActionLink)
pt | SetEnabled (TControlActionLink)
pt | SetGroupIndex (TActionLink)
pt | SetHelpContext (TActionLink)
pt | SetHelpContext (TControlActionLink)
pt | SetHelpKeyword (TActionLink)
pt | SetHelpKeyword (TControlActionLink)
pt | SetHelpType (TActionLink)
pt | SetHelpType (TControlActionLink)
pt | SetHint (TActionLink)
pt | SetHint (TControlActionLink)
pt | SetImageIndex (TActionLink)
pt | SetImageIndex (TToolButtonActionLink)
 | SetOnExecute (TBasicActionLink)
pt | SetOnExecute (TControlActionLink)
pt | SetShortCut (TActionLink)
pt | SetVisible (TActionLink)
pt | SetVisible (TControlActionLink)
 | StringMessageTable (TObject)
 | ToString (TObject)
 | UnitName (TObject)
 | Update (TBasicActionLink)


TToolButtonActionLink

TControlActionLink

TActionLink

TBasicActionLink

OnChange

TObject


TToolButtonActionLink.AssignClient

AssignClient calls inherited method then sets client as ToolButton

Declaration

Source position: comctrls.pp line 2033

protected procedure TToolButtonActionLink.AssignClient(

  AClient: TObject

); override;

See also

TBasicActionLink.AssignClient


TToolButtonActionLink.SetChecked

SetChecked - stores the Checked status (True or False)

Declaration

Source position: comctrls.pp line 2034

protected procedure TToolButtonActionLink.SetChecked(

  Value: Boolean

); override;


TToolButtonActionLink.SetImageIndex

SetImageIndex - stores the index value of the associated image

Declaration

Source position: comctrls.pp line 2035

protected procedure TToolButtonActionLink.SetImageIndex(

  Value: Integer

); override;


TToolButtonActionLinkClass

TToolButtonActionLinkClass - class of TToolButtonActionLink

Declaration

Source position: comctrls.pp line 2041

type TToolButtonActionLinkClass = class of TToolButtonActionLink;


TTrackBar

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

TTrackBar: a device which allows the user to determine the value of a variable using a quasi-analog slider

Declaration

Source position: comctrls.pp line 2742

type TTrackBar = class(TCustomTrackBar)
published
property Align: TAlign; | Specifies the placement of the control inside its Parent.
property Anchors: TAnchors; | The set of anchor definitions for this control.
property BorderSpacing: TControlBorderSpacing; | Determines the inner and outer border spacing for this control.
property Color: TColor;
property Constraints: TSizeConstraints; | The minimal and maximal Width and Height of this control.
property DragCursor: TCursor; | The cursor shape shown while the control is dragged.
property DragMode: TDragMode; | Allows the user to drag the control.
property Enabled: Boolean; | Determines whether the control reacts on mouse or keyboard input.
property Font: TFont;
property Frequency: Integer; | Frequency - how frequently the position of the slider is to be read and updated (currently unsupported)
property Hint: TTranslateString; | The text to show in the Hint window for this control.
property LineSize: Integer; | Line-Size - increment for slider position when an arrow key is pressed
property Max: Integer; | Max - the value corresponding to full movement of the slider. Default = 10
property Min: Integer; | Min - the value associated with the minimum slider position. Default = 0
property OnChange: TNotifyEvent; | OnChange - action to be taken on change in the slider position
property OnChangeBounds: TNotifyEvent; | Event handler for a change of the Bounds of the control.
property OnClick: TNotifyEvent; | Notification handler for mouse clicks.
property OnContextPopup: TContextPopupEvent; | Invoked when a context-sensitive pop-up menu is requested.
property OnDragDrop: TDragDropEvent; | This handler determines the action on an drop onto this control, in a drag-drop operation.
property OnDragOver: TDragOverEvent; | Event handler for a control being dragged over this control.
property OnEndDrag: TEndDragEvent; | Notification handler for the end of a dragging operation.
property OnEnter: TNotifyEvent; | Handler for control receiving the focus.
property OnExit: TNotifyEvent; | Handler for control loosing the focus. This is a good place for checking the finished user input.
property OnMouseDown: TMouseEvent; | Event handler for mouse button going down.
property OnMouseEnter: TNotifyEvent; | Event handler for mouse entering the area of the control.
property OnMouseLeave: TNotifyEvent; | Event handler for mouse leaving the area of the control.
property OnMouseMove: TMouseMoveEvent; | Event handler for mouse movement within the control.
property OnMouseUp: TMouseEvent; | Event handler for mouse button going up.
property OnMouseWheel: TMouseWheelEvent; | Event handler for mouse wheel turned.
property OnMouseWheelDown: TMouseWheelUpDownEvent; | Notification handler for downward movement of mouse wheel.
property OnMouseWheelUp: TMouseWheelUpDownEvent; | Notification handler for upward movement of mouse wheel.
property OnMouseWheelHorz: TMouseWheelEvent;
property OnMouseWheelLeft: TMouseWheelUpDownEvent;
property OnMouseWheelRight: TMouseWheelUpDownEvent;
property OnKeyDown: TKeyEvent; | Handler for keyboard key pressed.
property OnKeyPress: TKeyPressEvent; | Handler for a character entered by the user.
property OnKeyUp: TKeyEvent; | Handler for keyboard key released.
property OnResize: TNotifyEvent; | Notification handler for a resize of the control.
property OnStartDrag: TStartDragEvent; | Event handler for the start of a dragging operation.
property OnUTF8KeyPress: TUTF8KeyPressEvent; | Handler for a character entered by the user.
property Orientation: TTrackBarOrientation; | Orientation - horizontal or vertical
property PageSize: Integer; | PageSize - increment for slider position when PageUp or PageDown key is pressed
property ParentColor: Boolean;
property ParentFont: Boolean;
property ParentShowHint: Boolean; | If true, the value of ShowHint for the control will be the same as the one from the Parent. Default is true.
property PopupMenu: TPopupMenu; | A context-sensitive menu that pops up when the right mouse button is clicked over this control
property Position: Integer; | Position - the location of the slider along the track bar. Represents the Return value from the control
property Reversed: Boolean;
property ScalePos: TTrackBarScalePos; | ScalePos - whether scaling label appears at top, bottom, left or right
property SelEnd: Integer;
property SelStart: Integer;
property ShowHint: Boolean; | Enables the Hint display.
property ShowSelRange: Boolean;
property TabOrder: TTabOrder; | Determines the sequence of controls, reachable when the user presses the Tab key.
property TabStop: Boolean; | Allows the user to navigate to this control, by pressing the Tab key.
property TickMarks: TTickMark; | Tickmarks - whether the ticks are above/left, below/right, or both
property TickStyle: TTickStyle; | TickStyle - none, produced automatically or calculated manually
property Visible: Boolean; | Allows to show or hide the control, and all of its children.
end;

Inheritance

TTrackBar | TTrackBar: a device which allows the user to determine the value of a variable using a quasi-analog slider
|
TCustomTrackBar | TCustomTrackBar - the base class for TTrackBar
|
TWinControl | The base class for controls which can contain other (child) controls.
|
TControl | The base class for visible controls.
|
TLCLComponent | The base class for LCL components associated with widgets.
|
TComponent,IUnknown,IInterfaceComponentReference
|
TPersistent,IFPObserved
|
TObject

Description

TTrackBar: a device which allows the user to determine the value of a variable using a quasi-analog slider

The device looks like a slider-potentiometer control on a hi-fi amplifier and consists of a slider which can be moved along a bar using the mouse. Tick marks can be displayed along one or both edges, giving an indication of the proportion of the maximum value of the controlled variable that is being selected.

The Position property indicates the distance along the bar that the slider has been placed, either by the program or by mouse capture and movement

In the example, movement of the slider is detected and shown in the associated TProgressBar.

See also

HowToUseStdCtrls

How to use StdCtrls, ComCtrls or ExtCtrls

Example

procedure TForm1.TrackBar1Change(Sender: TObject);
begin
  ProgressBar1.Position := (TrackBar1.Position)*10
end;


TTrackBar
pl | ro | Align
pl | ro | Anchors
pl | ro | BorderSpacing
pl | ro | Color
pl | ro | Constraints
pl | ro | DragCursor
pl | ro | DragMode
pl | ro | Enabled
pl | ro | Font
pl | ro | Frequency
pl | ro | Hint
pl | ro | LineSize
pl | ro | Max
pl | ro | Min
pl | ro | Orientation
pl | ro | PageSize
pl | ro | ParentColor
pl | ro | ParentFont
pl | ro | ParentShowHint
pl | ro | PopupMenu
pl | ro | Position
pl | ro | Reversed
pl | ro | ScalePos
pl | ro | SelEnd
pl | ro | SelStart
pl | ro | ShowHint
pl | ro | ShowSelRange
pl | ro | TabOrder
pl | ro | TabStop
pl | ro | TickMarks
pl | ro | TickStyle
pl | ro | Visible
TCustomTrackBar
pl |  | Frequency
pl |  | LineSize
pl |  | Max
pl |  | Min
pl |  | Orientation
pl |  | PageSize
pl |  | Position
pl |  | Reversed
pl |  | ScalePos
pl |  | SelEnd
pl |  | SelStart
pl |  | ShowSelRange
pl | ro | TabStop
pl |  | TickMarks
pl |  | TickStyle
TWinControl
pt |  | WindowHandle
pt |  | BorderStyle
pt |  | ParentBackground
 |  | BorderWidth
 | ro | BoundsLockCount
 | ro | Brush
 | ro | CachedClientHeight
 | ro | CachedClientWidth
 |  | ChildSizing
 | ro | ControlCount
 | ro | Controls
 |  | DefWndProc
 | ro | DockClientCount
 | ro | DockClients
 |  | DockManager
 |  | DockSite
 |  | DoubleBuffered
 |  | Handle
 | ro | IsFlipped
 | ro | IsResizing
 |  | TabOrder
 |  | TabStop
 |  | ParentDoubleBuffered
 |  | ParentWindow
 | ro | Showing
 |  | UseDockManager
 |  | DesignerDeleting
 | ro | VisibleDockClientCount
TControl
pt | ro | AutoSizing
pt | ro | AutoSizingAll
pt | ro | AutoSizingLockCount
pt |  | ActionLink
pt |  | DesktopFont
pt |  | DragCursor
pt |  | DragKind
pt |  | DragMode
pt |  | MouseCapture
pt |  | ParentColor
pt |  | ParentFont
pt |  | ParentShowHint
pt |  | SessionProperties
pt |  | Text
 | ro | AnchoredControls
 | ro | BaseBounds
 | ro | ReadBounds
 | ro | BaseParentClientSize
 |  | AccessibleDescription
 |  | AccessibleValue
 |  | AccessibleRole
 |  | Action
 |  | Align
 |  | Anchors
 | ro | AnchorSide
 |  | AutoSize
 |  | BorderSpacing
 |  | BoundsRect
 |  | BoundsRectForNewParent
 |  | Caption
 |  | CaptureMouseButtons
 |  | ClientHeight
 | ro | ClientOrigin
 | ro | ClientRect
 |  | ClientWidth
 |  | Color
 |  | Constraints
 | ro | ControlOrigin
 |  | ControlState
 |  | ControlStyle
 |  | Enabled
 |  | Font
 |  | IsControl
 | ro | MouseEntered
 | ro | MouseInClient
 |  | Parent
 |  | PopupMenu
 |  | ShowHint
 |  | Visible
 |  | WindowProc
 |  | DockOrientation
 | ro | Floating
 |  | FloatingDockSiteClass
 |  | HostDockSite
 |  | LRDockWidth
 |  | TBDockHeight
 |  | UndockHeight
 |  | UndockWidth
 |  | BiDiMode
 |  | ParentBiDiMode
pl |  | AnchorSideLeft
pl |  | AnchorSideTop
pl |  | AnchorSideRight
pl |  | AnchorSideBottom
pl |  | Cursor
pl |  | Left
pl |  | Height
pl |  | Hint
pl |  | Top
pl |  | Width
pl |  | HelpType
pl |  | HelpKeyword
pl |  | HelpContext
TLCLComponent
 | ro | LCLRefCount
 | ro | WidgetSetClass
TComponent
 | ro | ComObject
 | ro | Components
 | ro | ComponentCount
 |  | ComponentIndex
 | ro | ComponentState
 | ro | ComponentStyle
 |  | DesignInfo
 | ro | Owner
 |  | VCLComObject
 |  | Name
 |  | Tag
TPersistent
TObject


 |  | AccessibleDescription (TControl)
 |  | AccessibleRole (TControl)
 |  | AccessibleValue (TControl)
 |  | Action (TControl)
pt |  | ActionLink (TControl)
 |  | Align (TControl)
pl | ro | Align (TTrackBar)
 | ro | AnchoredControls (TControl)
 |  | Anchors (TControl)
pl | ro | Anchors (TTrackBar)
 | ro | AnchorSide (TControl)
pl |  | AnchorSideBottom (TControl)
pl |  | AnchorSideLeft (TControl)
pl |  | AnchorSideRight (TControl)
pl |  | AnchorSideTop (TControl)
 |  | AutoSize (TControl)
pt | ro | AutoSizing (TControl)
pt | ro | AutoSizingAll (TControl)
pt | ro | AutoSizingLockCount (TControl)
 | ro | BaseBounds (TControl)
 | ro | BaseParentClientSize (TControl)
 |  | BiDiMode (TControl)
 |  | BorderSpacing (TControl)
pl | ro | BorderSpacing (TTrackBar)
pt |  | BorderStyle (TWinControl)
 |  | BorderWidth (TWinControl)
 | ro | BoundsLockCount (TWinControl)
 |  | BoundsRect (TControl)
 |  | BoundsRectForNewParent (TControl)
 | ro | Brush (TWinControl)
 | ro | CachedClientHeight (TWinControl)
 | ro | CachedClientWidth (TWinControl)
 |  | Caption (TControl)
 |  | CaptureMouseButtons (TControl)
 |  | ChildSizing (TWinControl)
 |  | ClientHeight (TControl)
 | ro | ClientOrigin (TControl)
 | ro | ClientRect (TControl)
 |  | ClientWidth (TControl)
 |  | Color (TControl)
pl | ro | Color (TTrackBar)
 | ro | ComObject (TComponent)
 | ro | ComponentCount (TComponent)
 |  | ComponentIndex (TComponent)
 | ro | Components (TComponent)
 | ro | ComponentState (TComponent)
 | ro | ComponentStyle (TComponent)
 |  | Constraints (TControl)
pl | ro | Constraints (TTrackBar)
 | ro | ControlCount (TWinControl)
 | ro | ControlOrigin (TControl)
 | ro | Controls (TWinControl)
 |  | ControlState (TControl)
 |  | ControlStyle (TControl)
pl |  | Cursor (TControl)
 |  | DefWndProc (TWinControl)
 |  | DesignerDeleting (TWinControl)
 |  | DesignInfo (TComponent)
pt |  | DesktopFont (TControl)
 | ro | DockClientCount (TWinControl)
 | ro | DockClients (TWinControl)
 |  | DockManager (TWinControl)
 |  | DockOrientation (TControl)
 |  | DockSite (TWinControl)
 |  | DoubleBuffered (TWinControl)
pt |  | DragCursor (TControl)
pl | ro | DragCursor (TTrackBar)
pt |  | DragKind (TControl)
pt |  | DragMode (TControl)
pl | ro | DragMode (TTrackBar)
 |  | Enabled (TControl)
pl | ro | Enabled (TTrackBar)
 | ro | Floating (TControl)
 |  | FloatingDockSiteClass (TControl)
 |  | Font (TControl)
pl | ro | Font (TTrackBar)
pl |  | Frequency (TCustomTrackBar)
pl | ro | Frequency (TTrackBar)
 |  | Handle (TWinControl)
pl |  | Height (TControl)
pl |  | HelpContext (TControl)
pl |  | HelpKeyword (TControl)
pl |  | HelpType (TControl)
pl |  | Hint (TControl)
pl | ro | Hint (TTrackBar)
 |  | HostDockSite (TControl)
 |  | IsControl (TControl)
 | ro | IsFlipped (TWinControl)
 | ro | IsResizing (TWinControl)
 | ro | LCLRefCount (TLCLComponent)
pl |  | Left (TControl)
pl |  | LineSize (TCustomTrackBar)
pl | ro | LineSize (TTrackBar)
 |  | LRDockWidth (TControl)
pl |  | Max (TCustomTrackBar)
pl | ro | Max (TTrackBar)
pl |  | Min (TCustomTrackBar)
pl | ro | Min (TTrackBar)
pt |  | MouseCapture (TControl)
 | ro | MouseEntered (TControl)
 | ro | MouseInClient (TControl)
 |  | Name (TComponent)
pl |  | Orientation (TCustomTrackBar)
pl | ro | Orientation (TTrackBar)
 | ro | Owner (TComponent)
pl |  | PageSize (TCustomTrackBar)
pl | ro | PageSize (TTrackBar)
 |  | Parent (TControl)
pt |  | ParentBackground (TWinControl)
 |  | ParentBiDiMode (TControl)
pt |  | ParentColor (TControl)
pl | ro | ParentColor (TTrackBar)
 |  | ParentDoubleBuffered (TWinControl)
pt |  | ParentFont (TControl)
pl | ro | ParentFont (TTrackBar)
pt |  | ParentShowHint (TControl)
pl | ro | ParentShowHint (TTrackBar)
 |  | ParentWindow (TWinControl)
 |  | PopupMenu (TControl)
pl | ro | PopupMenu (TTrackBar)
pl |  | Position (TCustomTrackBar)
pl | ro | Position (TTrackBar)
 | ro | ReadBounds (TControl)
pl |  | Reversed (TCustomTrackBar)
pl | ro | Reversed (TTrackBar)
pl |  | ScalePos (TCustomTrackBar)
pl | ro | ScalePos (TTrackBar)
pl |  | SelEnd (TCustomTrackBar)
pl | ro | SelEnd (TTrackBar)
pl |  | SelStart (TCustomTrackBar)
pl | ro | SelStart (TTrackBar)
pt |  | SessionProperties (TControl)
 |  | ShowHint (TControl)
pl | ro | ShowHint (TTrackBar)
 | ro | Showing (TWinControl)
pl |  | ShowSelRange (TCustomTrackBar)
pl | ro | ShowSelRange (TTrackBar)
 |  | TabOrder (TWinControl)
pl | ro | TabOrder (TTrackBar)
 |  | TabStop (TWinControl)
pl | ro | TabStop (TCustomTrackBar)
pl | ro | TabStop (TTrackBar)
 |  | Tag (TComponent)
 |  | TBDockHeight (TControl)
pt |  | Text (TControl)
pl |  | TickMarks (TCustomTrackBar)
pl | ro | TickMarks (TTrackBar)
pl |  | TickStyle (TCustomTrackBar)
pl | ro | TickStyle (TTrackBar)
pl |  | Top (TControl)
 |  | UndockHeight (TControl)
 |  | UndockWidth (TControl)
 |  | UseDockManager (TWinControl)
 |  | VCLComObject (TComponent)
 |  | Visible (TControl)
pl | ro | Visible (TTrackBar)
 | ro | VisibleDockClientCount (TWinControl)
 | ro | WidgetSetClass (TLCLComponent)
pl |  | Width (TControl)
pt |  | WindowHandle (TWinControl)
 |  | WindowProc (TControl)


TTrackBar
TCustomTrackBar
pt | WSRegisterClass
pt | ApplyChanges
pt | Changed
pt | DoChange
pt | FixParams
pt | GetControlClassDefaultSize
pt | InitializeWnd
pt | Loaded
 | Create
 | SetTick
TWinControl
pt | WSRegisterClass
pt | AdjustClientRect
pt | GetAdjustedLogicalClientRect
pt | AlignControls
pt | CustomAlignInsertBefore
pt | CustomAlignPosition
pt | DoAlignChildControls
pt | DoChildSizingChange
pt | InvalidatePreferredChildSizes
pt | CanTab
pt | IsClientHeightStored
pt | IsClientWidthStored
pt | DoSendShowHideToInterface
pt | ControlsAligned
pt | DoSendBoundsToInterface
pt | RealizeBounds
pt | RealizeBoundsRecursive
pt | InvalidateBoundsRealized
pt | CreateSubClass
pt | DoConstraintsChange
pt | DoSetBounds
pt | DoAutoSize
pt | DoAllAutoSize
pt | AllAutoSized
pt | CalculatePreferredSize
pt | GetPreferredSizeClientFrame
pt | GetChildren
pt | ChildClassAllowed
pt | PaintControls
pt | PaintHandler
pt | PaintWindow
pt | CreateBrush
pt | ScaleControls
pt | ChangeScale
pt | CMBiDiModeChanged
pt | CMBorderChanged
pt | CMDoubleBufferedChanged
pt | CMEnabledChanged
pt | CMParentDoubleBufferedChanged
pt | CMShowingChanged
pt | CMShowHintChanged
pt | CMVisibleChanged
pt | CMEnter
pt | CMExit
pt | WMContextMenu
pt | WMEraseBkgnd
pt | WMNotify
pt | WMSetFocus
pt | WMKillFocus
pt | WMShowWindow
pt | WMEnter
pt | WMExit
pt | WMKeyDown
pt | WMSysKeyDown
pt | WMKeyUp
pt | WMSysKeyUp
pt | WMChar
pt | WMSysChar
pt | WMPaint
pt | WMDestroy
pt | WMMove
pt | WMSize
pt | WMWindowPosChanged
pt | CNKeyDown
pt | CNSysKeyDown
pt | CNKeyUp
pt | CNSysKeyUp
pt | CNChar
pt | DoDragMsg
pt | DoDockClientMsg
pt | DoUndockClientMsg
pt | DoAddDockClient
pt | DockOver
pt | DoDockOver
pt | DoRemoveDockClient
pt | DoUnDock
pt | GetSiteInfo
pt | GetParentHandle
pt | GetTopParentHandle
pt | ReloadDockedControl
pt | CreateDockManager
pt | SetDockManager
pt | DoFloatMsg
pt | DoGetDockCaption
pt | DoEnter
pt | DoExit
pt | DoKeyDownBeforeInterface
pt | DoRemainingKeyDown
pt | DoRemainingKeyUp
pt | DoKeyPress
pt | DoUTF8KeyPress
pt | DoKeyUpBeforeInterface
pt | ChildKey
pt | SendDialogChar
pt | DialogChar
pt | ControlKeyDown
pt | ControlKeyUp
pt | KeyDown
pt | KeyDownBeforeInterface
pt | KeyDownAfterInterface
pt | KeyPress
pt | KeyUp
pt | KeyUpBeforeInterface
pt | KeyUpAfterInterface
pt | UTF8KeyPress
pt | FindNextControl
pt | SelectFirst
pt | RealGetText
pt | GetBorderStyle
pt | GetClientOrigin
pt | GetClientRect
pt | GetControlOrigin
pt | GetDeviceContext
pt | GetParentBackground
pt | IsControlMouseMsg
pt | CreateHandle
pt | CreateParams
pt | CreateWnd
pt | DestroyHandle
pt | DestroyWnd
pt | DoFlipChildren
pt | FinalizeWnd
pt | FixupTabList
pt | FontChanged
pt | InitializeWnd
pt | Loaded
pt | FormEndUpdated
pt | MainWndProc
pt | ParentFormHandleInitialized
pt | ChildHandlesCreated
pt | GetMouseCapture
pt | RealSetText
pt | RemoveFocus
pt | SendMoveSizeMessages
pt | SetBorderStyle
pt | SetColor
pt | SetChildZPosition
pt | SetParentBackground
pt | ShowControl
pt | UpdateControlState
pt | UpdateShowing
pt | WndProc
pt | WSSetText
 | AutoSizePhases
 | AutoSizeDelayed
 | AutoSizeDelayedReport
 | AutoSizeDelayedHandle
 | BeginUpdateBounds
 | EndUpdateBounds
 | LockRealizeBounds
 | UnlockRealizeBounds
 | ControlAtPos
 | ContainsControl
 | DoAdjustClientRectChange
 | InvalidateClientRectCache
 | ClientRectNeedsInterfaceUpdate
 | SetBounds
 | GetChildrenRect
 | DisableAlign
 | EnableAlign
 | ReAlign
 | ScrollBy_WS
 | ScrollBy
 | WriteLayoutDebugReport
 | AutoAdjustLayout
 | Create
 | CreateParented
 | CreateParentedControl
 | Destroy
 | DockDrop
 | CanFocus
 | CanSetFocus
 | GetControlIndex
 | SetControlIndex
 | Focused
 | PerformTab
 | FindChildControl
 | SelectNext
 | SetTempCursor
 | BroadCast
 | NotifyControls
 | DefaultHandler
 | GetTextLen
 | Invalidate
 | AddControl
 | InsertControl
 | RemoveControl
 | GetEnumeratorControls
 | GetEnumeratorControlsReverse
 | Repaint
 | Update
 | SetFocus
 | FlipChildren
 | ScaleBy
 | GetDockCaption
 | UpdateDockCaption
 | GetTabOrderList
 | HandleAllocated
 | ParentHandlesAllocated
 | HandleNeeded
 | BrushCreated
 | EraseBackground
 | IntfUTF8KeyPress
 | IntfGetDropFilesTarget
 | PaintTo
 | SetShape
TControl
pt | WSRegisterClass
pt | GetCursor
pt | SetCursor
pt | SetVisible
pt | DoOnParentHandleDestruction
pt | DoAutoSize
pt | DoAllAutoSize
pt | BeginAutoSizing
pt | EndAutoSizing
pt | AnchorSideChanged
pt | ForeignAnchorSideChanged
pt | SetAlign
pt | SetAnchors
pt | SetAutoSize
pt | BoundsChanged
pt | CreateControlBorderSpacing
pt | DoConstraintsChange
pt | DoBorderSpacingChange
pt | IsBorderSpacingInnerBorderStored
pt | IsCaptionStored
pt | SendMoveSizeMessages
pt | ConstrainedResize
pt | CalculatePreferredSize
pt | DoOnResize
pt | DoOnChangeBounds
pt | CheckOnChangeBounds
pt | Resize
pt | RequestAlign
pt | UpdateAnchorRules
pt | ChangeBounds
pt | DoSetBounds
pt | ScaleConstraints
pt | ChangeScale
pt | CanAutoSize
pt | SetBiDiMode
pt | SetParentBiDiMode
pt | IsAParentAligning
pt | GetClientOrigin
pt | GetClientRect
pt | GetLogicalClientRect
pt | GetScrolledClientRect
pt | GetClientScrollOffset
pt | GetControlOrigin
pt | IsClientHeightStored
pt | IsClientWidthStored
pt | WidthIsAnchored
pt | HeightIsAnchored
pt | WMCancelMode
pt | WMContextMenu
pt | WMLButtonDown
pt | WMRButtonDown
pt | WMMButtonDown
pt | WMXButtonDown
pt | WMLButtonDBLCLK
pt | WMRButtonDBLCLK
pt | WMMButtonDBLCLK
pt | WMXButtonDBLCLK
pt | WMLButtonTripleCLK
pt | WMRButtonTripleCLK
pt | WMMButtonTripleCLK
pt | WMXButtonTripleCLK
pt | WMLButtonQuadCLK
pt | WMRButtonQuadCLK
pt | WMMButtonQuadCLK
pt | WMXButtonQuadCLK
pt | WMMouseMove
pt | WMLButtonUp
pt | WMRButtonUp
pt | WMMButtonUp
pt | WMXButtonUp
pt | WMMouseWheel
pt | WMMouseHWheel
pt | WMMove
pt | WMSize
pt | WMWindowPosChanged
pt | CMChanged
pt | LMCaptureChanged
pt | CMBiDiModeChanged
pt | CMSysFontChanged
pt | CMEnabledChanged
pt | CMHitTest
pt | CMMouseEnter
pt | CMMouseLeave
pt | CMHintShow
pt | CMParentBiDiModeChanged
pt | CMParentColorChanged
pt | CMParentFontChanged
pt | CMParentShowHintChanged
pt | CMVisibleChanged
pt | CMTextChanged
pt | CMCursorChanged
pt | CalculateDockSizes
pt | CreateFloatingDockSite
pt | GetDockEdge
pt | GetDragImages
pt | GetFloating
pt | GetFloatingDockSiteClass
pt | BeforeDragStart
pt | BeginAutoDrag
pt | DoFloatMsg
pt | DockTrackNoTarget
pt | DoDock
pt | DoDragMsg
pt | DoEndDock
pt | DoEndDrag
pt | DoStartDock
pt | DoStartDrag
pt | DragCanceled
pt | DragOver
pt | PositionDockRect
pt | SetDragMode
pt | GetDefaultDockCaption
pt | Click
pt | DblClick
pt | TripleClick
pt | QuadClick
pt | GetMousePosFromMessage
pt | MouseDown
pt | MouseMove
pt | MouseUp
pt | MouseEnter
pt | MouseLeave
pt | DialogChar
pt | UpdateMouseCursor
pt | Changed
pt | GetPalette
pt | ChildClassAllowed
pt | ReadState
pt | Loaded
pt | LoadedAll
pt | DefineProperties
pt | AssignTo
pt | FormEndUpdated
pt | InvalidateControl
pt | FontChanged
pt | ParentFontChanged
pt | GetAction
pt | RealGetText
pt | RealSetText
pt | TextChanged
pt | GetCachedText
pt | SetAction
pt | SetColor
pt | SetEnabled
pt | SetHint
pt | SetName
pt | SetParent
pt | SetParentComponent
pt | WndProc
pt | ParentFormHandleInitialized
pt | GetMouseCapture
pt | CaptureChanged
pt | Notification
pt | CanTab
pt | GetDeviceContext
pt | GetEnabled
pt | GetPopupMenu
pt | DoOnShowHint
pt | DoMouseWheel
pt | DoMouseWheelDown
pt | DoMouseWheelUp
pt | DoMouseWheelHorz
pt | DoMouseWheelLeft
pt | DoMouseWheelRight
pt | VisibleChanging
pt | VisibleChanged
pt | EnabledChanging
pt | EnabledChanged
pt | AddHandler
pt | RemoveHandler
pt | DoCallNotifyHandler
pt | DoCallKeyEventHandler
pt | DoCallMouseWheelEventHandler
pt | DoContextPopup
pt | SetZOrder
pt | GetControlClassDefaultSize
pt | ColorIsStored
pt | DoAutoAdjustLayout
pt | DoFixDesignFontPPI
pt | DoScaleFontPPI
pt | GetActionLinkClass
pt | ActionChange
 | DragDrop
 | Dock
 | ManualDock
 | ManualFloat
 | ReplaceDockedControl
 | Docked
 | Dragging
 | GetAccessibleObject
 | CreateAccessibleObject
 | GetSelectedChildAccessibleObject
 | GetChildAccessibleObjectAtPos
 | ScaleDesignToForm
 | ScaleFormToDesign
 | Scale96ToForm
 | ScaleFormTo96
 | Scale96ToFont
 | ScaleFontTo96
 | ScaleScreenToFont
 | ScaleFontToScreen
 | Scale96ToScreen
 | ScaleScreenTo96
 | AdjustSize
 | AutoSizePhases
 | AutoSizeDelayed
 | AutoSizeDelayedReport
 | AutoSizeDelayedHandle
 | AnchorToNeighbour
 | AnchorParallel
 | AnchorHorizontalCenterTo
 | AnchorVerticalCenterTo
 | AnchorToCompanion
 | AnchorSame
 | AnchorAsAlign
 | AnchorClient
 | AnchoredControlCount
 | SetBounds
 | SetInitialBounds
 | SetBoundsKeepBase
 | GetPreferredSize
 | GetCanvasScaleFactor
 | GetDefaultWidth
 | GetDefaultHeight
 | GetDefaultColor
 | GetColorResolvingParent
 | GetRGBColorResolvingParent
 | GetSidePosition
 | CNPreferredSizeChanged
 | InvalidatePreferredSize
 | GetAnchorsDependingOnParent
 | DisableAutoSizing
 | EnableAutoSizing
 | UpdateBaseBounds
 | WriteLayoutDebugReport
 | AutoAdjustLayout
 | ShouldAutoAdjust
 | FixDesignFontsPPI
 | ScaleFontsPPI
 | Create
 | Destroy
 | BeforeDestruction
 | EditingDone
 | ExecuteDefaultAction
 | ExecuteCancelAction
 | BeginDrag
 | EndDrag
 | BringToFront
 | HasParent
 | GetParentComponent
 | IsParentOf
 | GetTopParent
 | IsVisible
 | IsControlVisible
 | IsEnabled
 | IsParentColor
 | IsParentFont
 | FormIsUpdating
 | IsProcessingPaintMsg
 | Hide
 | Refresh
 | Repaint
 | Invalidate
 | CheckChildClassAllowed
 | CheckNewParent
 | SendToBack
 | SetTempCursor
 | UpdateRolesForForm
 | ActiveDefaultControlChanged
 | GetTextBuf
 | GetTextLen
 | SetTextBuf
 | Perform
 | ScreenToClient
 | ClientToScreen
 | ScreenToControl
 | ControlToScreen
 | ClientToParent
 | ParentToClient
 | GetChildrenRect
 | Show
 | Update
 | HandleObjectShouldBeVisible
 | ParentDestroyingHandle
 | ParentHandlesAllocated
 | InitiateAction
 | ShowHelp
 | HasHelp
 | RemoveAllHandlersOfObject
 | AddHandlerOnResize
 | RemoveHandlerOnResize
 | AddHandlerOnChangeBounds
 | RemoveHandlerOnChangeBounds
 | AddHandlerOnVisibleChanging
 | RemoveHandlerOnVisibleChanging
 | AddHandlerOnVisibleChanged
 | RemoveHandlerOnVisibleChanged
 | AddHandlerOnEnabledChanged
 | RemoveHandlerOnEnableChanging
 | AddHandlerOnKeyDown
 | RemoveHandlerOnKeyDown
 | AddHandlerOnBeforeDestruction
 | RemoveHandlerOnBeforeDestruction
 | AddHandlerOnMouseWheel
 | RemoveHandlerOnMouseWheel
 | UseRightToLeftAlignment
 | UseRightToLeftReading
 | UseRightToLeftScrollBar
 | IsRightToLeft
TLCLComponent
pt | WSRegisterClass
pt | GetWSComponentClass
 | Create
 | Destroy
 | NewInstance
 | RemoveAllHandlersOfObject
 | IncLCLRefCount
 | DecLCLRefCount
TComponent
 | GetComObject
 | GetComponent
 | GetComponentCount
 | GetComponentIndex
 | Insert
 | ReadLeft
 | ReadTop
 | Remove
 | RemoveNotification
 | SetComponentIndex
 | SetReference
 | WriteLeft
 | WriteTop
 | ChangeName
 | DefineProperties
 | GetChildren
 | GetChildOwner
 | GetChildParent
 | GetOwner
 | Loaded
 | Loading
 | Notification
 | PaletteCreated
 | ReadState
 | SetAncestor
 | SetDesigning
 | SetDesignInstance
 | SetInline
 | SetName
 | SetChildOrder
 | SetParentComponent
 | Updating
 | Updated
 | UpdateRegistry
 | ValidateRename
 | ValidateContainer
 | ValidateInsert
 | QueryInterface
 | _AddRef
 | _Release
 | iicrGetComponent
 | GetTypeInfoCount
 | GetTypeInfo
 | GetIDsOfNames
 | Invoke
 | WriteState
 | Create
 | Destroy
 | BeforeDestruction
 | DestroyComponents
 | Destroying
 | ExecuteAction
 | FindComponent
 | FreeNotification
 | RemoveFreeNotification
 | FreeOnRelease
 | GetEnumerator
 | GetNamePath
 | GetParentComponent
 | HasParent
 | InsertComponent
 | RemoveComponent
 | SafeCallException
 | SetSubComponent
 | UpdateAction
 | IsImplementorOf
 | ReferenceInterface
TPersistent
 | AssignError
 | AssignTo
 | DefineProperties
 | GetOwner
 | Destroy
 | Assign
 | FPOAttachObserver
 | FPODetachObserver
 | FPONotifyObservers
 | GetNamePath
TObject
 | Create
 | Destroy
 | newinstance
 | FreeInstance
 | SafeCallException
 | DefaultHandler
 | Free
 | InitInstance
 | CleanupInstance
 | ClassType
 | ClassInfo
 | ClassName
 | ClassNameIs
 | ClassParent
 | InstanceSize
 | InheritsFrom
 | StringMessageTable
 | MethodAddress
 | MethodName
 | FieldAddress
 | AfterConstruction
 | BeforeDestruction
 | DefaultHandlerStr
 | Dispatch
 | DispatchStr
 | GetInterface
 | GetInterfaceByStr
 | GetInterfaceWeak
 | GetInterfaceEntry
 | GetInterfaceEntryByStr
 | GetInterfaceTable
 | UnitName
 | Equals
 | GetHashCode
 | ToString


TTrackBar
pl | ro | OnChange
pl | ro | OnChangeBounds
pl | ro | OnClick
pl | ro | OnContextPopup
pl | ro | OnDragDrop
pl | ro | OnDragOver
pl | ro | OnEndDrag
pl | ro | OnEnter
pl | ro | OnExit
pl | ro | OnMouseDown
pl | ro | OnMouseEnter
pl | ro | OnMouseLeave
pl | ro | OnMouseMove
pl | ro | OnMouseUp
pl | ro | OnMouseWheel
pl | ro | OnMouseWheelDown
pl | ro | OnMouseWheelUp
pl | ro | OnMouseWheelHorz
pl | ro | OnMouseWheelLeft
pl | ro | OnMouseWheelRight
pl | ro | OnKeyDown
pl | ro | OnKeyPress
pl | ro | OnKeyUp
pl | ro | OnResize
pl | ro | OnStartDrag
pl | ro | OnUTF8KeyPress
TCustomTrackBar
pl |  | OnChange
TWinControl
pt |  | OnGetSiteInfo
pt |  | OnGetDockCaption
 |  | OnAlignInsertBefore
 |  | OnAlignPosition
 |  | OnDockDrop
 |  | OnDockOver
 |  | OnEnter
 |  | OnExit
 |  | OnKeyDown
 |  | OnKeyPress
 |  | OnKeyUp
 |  | OnUnDock
 |  | OnUTF8KeyPress
TControl
pt |  | OnConstrainedResize
pt |  | OnContextPopup
pt |  | OnDblClick
pt |  | OnTripleClick
pt |  | OnQuadClick
pt |  | OnDragDrop
pt |  | OnDragOver
pt |  | OnEndDock
pt |  | OnEndDrag
pt |  | OnMouseDown
pt |  | OnMouseMove
pt |  | OnMouseUp
pt |  | OnMouseEnter
pt |  | OnMouseLeave
pt |  | OnMouseWheel
pt |  | OnMouseWheelDown
pt |  | OnMouseWheelUp
pt |  | OnMouseWheelHorz
pt |  | OnMouseWheelLeft
pt |  | OnMouseWheelRight
pt |  | OnStartDock
pt |  | OnStartDrag
pt |  | OnEditingDone
 |  | OnChangeBounds
 |  | OnClick
 |  | OnResize
 |  | OnShowHint
TLCLComponent
TComponent
TPersistent
TObject


pl |  | OnChange (TCustomTrackBar)
pl | ro | OnChange (TTrackBar)
 |  | OnChangeBounds (TControl)
pl | ro | OnChangeBounds (TTrackBar)
 |  | OnClick (TControl)
pl | ro | OnClick (TTrackBar)
pt |  | OnConstrainedResize (TControl)
pt |  | OnContextPopup (TControl)
pl | ro | OnContextPopup (TTrackBar)
pt |  | OnDblClick (TControl)
 |  | OnDockDrop (TWinControl)
 |  | OnDockOver (TWinControl)
pt |  | OnDragDrop (TControl)
pl | ro | OnDragDrop (TTrackBar)
pt |  | OnDragOver (TControl)
pl | ro | OnDragOver (TTrackBar)
pt |  | OnEditingDone (TControl)
pt |  | OnEndDock (TControl)
pt |  | OnEndDrag (TControl)
pl | ro | OnEndDrag (TTrackBar)
 |  | OnEnter (TWinControl)
pl | ro | OnEnter (TTrackBar)
 |  | OnExit (TWinControl)
pl | ro | OnExit (TTrackBar)
pt |  | OnGetDockCaption (TWinControl)
pt |  | OnGetSiteInfo (TWinControl)
 |  | OnKeyDown (TWinControl)
pl | ro | OnKeyDown (TTrackBar)
 |  | OnKeyPress (TWinControl)
pl | ro | OnKeyPress (TTrackBar)
 |  | OnKeyUp (TWinControl)
pl | ro | OnKeyUp (TTrackBar)
pt |  | OnMouseDown (TControl)
pl | ro | OnMouseDown (TTrackBar)
pt |  | OnMouseEnter (TControl)
pl | ro | OnMouseEnter (TTrackBar)
pt |  | OnMouseLeave (TControl)
pl | ro | OnMouseLeave (TTrackBar)
pt |  | OnMouseMove (TControl)
pl | ro | OnMouseMove (TTrackBar)
pt |  | OnMouseUp (TControl)
pl | ro | OnMouseUp (TTrackBar)
pt |  | OnMouseWheel (TControl)
pl | ro | OnMouseWheel (TTrackBar)
pt |  | OnMouseWheelDown (TControl)
pl | ro | OnMouseWheelDown (TTrackBar)
pt |  | OnMouseWheelHorz (TControl)
pl | ro | OnMouseWheelHorz (TTrackBar)
pt |  | OnMouseWheelLeft (TControl)
pl | ro | OnMouseWheelLeft (TTrackBar)
pt |  | OnMouseWheelRight (TControl)
pl | ro | OnMouseWheelRight (TTrackBar)
pt |  | OnMouseWheelUp (TControl)
pl | ro | OnMouseWheelUp (TTrackBar)
pt |  | OnQuadClick (TControl)
 |  | OnResize (TControl)
pl | ro | OnResize (TTrackBar)
 |  | OnShowHint (TControl)
pt |  | OnStartDock (TControl)
pt |  | OnStartDrag (TControl)
pl | ro | OnStartDrag (TTrackBar)
pt |  | OnTripleClick (TControl)
 |  | OnUnDock (TWinControl)
 |  | OnUTF8KeyPress (TWinControl)
pl | ro | OnUTF8KeyPress (TTrackBar)


TTrackBar.Color

Declaration

Source position: comctrls.pp line 2747

published property TTrackBar.Color : TColor;


TTrackBar.Font

Declaration

Source position: comctrls.pp line 2752

published property TTrackBar.Font : TFont;


TTrackBar.OnMouseWheelHorz

Declaration

Source position: comctrls.pp line 2775

published property TTrackBar.OnMouseWheelHorz : TMouseWheelEvent;


TTrackBar.OnMouseWheelLeft

Declaration

Source position: comctrls.pp line 2776

published property TTrackBar.OnMouseWheelLeft : TMouseWheelUpDownEvent;


TTrackBar.OnMouseWheelRight

Declaration

Source position: comctrls.pp line 2777

published property TTrackBar.OnMouseWheelRight : TMouseWheelUpDownEvent;


TTrackBar.ParentColor

Declaration

Source position: comctrls.pp line 2786

published property TTrackBar.ParentColor : Boolean;


TTrackBar.ParentFont

Declaration

Source position: comctrls.pp line 2787

published property TTrackBar.ParentFont : Boolean;


TTrackBar.Reversed

Declaration

Source position: comctrls.pp line 2791

published property TTrackBar.Reversed : Boolean;


TTrackBar.SelEnd

Declaration

Source position: comctrls.pp line 2793

published property TTrackBar.SelEnd : Integer;


TTrackBar.SelStart

Declaration

Source position: comctrls.pp line 2794

published property TTrackBar.SelStart : Integer;


TTrackBar.ShowSelRange

Declaration

Source position: comctrls.pp line 2796

published property TTrackBar.ShowSelRange : Boolean;


TTrackBarOrientation

TTrackBarOrientation - enumerated type denoting horizontal or vertical orientation for TrackBar

Declaration

Source position: comctrls.pp line 2669

type TTrackBarOrientation = (

  trHorizontal,

  trVertical

);


TTrackBarScalePos

TTrackBarScalePos - enumerated type denoting position of the scale for a TrackBar

Declaration

Source position: comctrls.pp line 2672

type TTrackBarScalePos = (

  trLeft,

  trRight,

  trTop,

  trBottom

);


TTreeNode

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

TTreeNode is a single item that holds data in TTreeView

Declaration

Source position: comctrls.pp line 2938

type TTreeNode = class(TPersistent)
protected
procedure Changed();
function GetOwner; override;
public
constructor Create(); virtual; | calls inherited then itntialises indexes and sets subtree count to 1
destructor Destroy; override; | - destructor for : unbinds all references, frees data and calls inherited Destroy
function AlphaSort; | AlphaSort - if True, sorted alphabetically
function Bottom; | Bottom - returns the position of the displayed tree structure (whether or not it is expanded)
function BottomExpanded; | BottomExpanded - returns the position of the bottom of the fully expanded tree structure
function CustomSort(); | CustomSort - Sorts the child nodes using SortProc.
function DefaultTreeViewSort(); | DefaultTreeViewSort - returns result of string comparison between names of Node1 and Node2
function DisplayExpandSignLeft; | DisplayExpandSignLeft - returns the position of the left edge of the expand sign
function DisplayExpandSignRect; | DisplayExpandSignRect - returns the coordinates of the rectangle within which the expand sign are displayed
function DisplayExpandSignRight; | DisplayExpandSignRight - returns the position of the right edge of the expand sign (i.e. takes into account the width of the icon etc)
function DisplayIconLeft; | DisplayIconLeft - returns the position of the actual icon for the expand sign (usually 1 pixel greater than DisplayExpandSignLeft)
function DisplayRect(); | DisplayRect - returns the coordinates of the rectangle containing the current entry; if TextOnly is True, returns the coordinates for the text
function DisplayStateIconLeft; | DisplayStateIconLeft - returns the position of the State Icon
function DisplayTextLeft; | DisplayTextLeft - returns the position of the left edge of the text
function DisplayTextRight; | DisplayTextRight - returns the position of the right edge of the text
function EditText; | EditText (currently set False - to be implemented)
function FindNode(); | FindNode - returns the node containing the specified text string
function GetFirstChild; | GetFirstChild - returns the first child node of this parent
function GetFirstVisibleChild;
function GetHandle; | GetHandle - returns the operating system Handle for the current node
function GetLastChild; | GetLastChild - returns the last child node of this parent
function GetLastSibling; | GetLastSibling - returns the last node at the same level as the current node
function GetLastSubChild; | GetLastSubChild - returns the last sub-child node of this parent
function GetLastVisibleChild;
function GetNext; | GetNext - returns the next node in the list
function GetNextChild(); | GetNextChild - returns the next child node of the parent specified by AValue
function GetNextExpanded; | GetNextExpanded - returns the next expanded node
function GetNextMultiSelected; | GetNextMultiSelected - returns the next node in a multiselection
function GetNextSibling; | GetNextSibling - returns the next node in the same level as the current node
function GetNextSkipChildren;
function GetNextVisible; | GetNextVisible - returns the next visible (i.e. not hidden) node
function GetNextVisibleSibling;
function GetParentNodeOfAbsoluteLevel(); | GetParentNodeOfAbsoluteLevel - returns the parent of all nodes at this absolute level
function GetPrev; | GetPrev - returns the previous node in the list
function GetPrevChild(); | GetPrevChild - returns the previous child node of the parent specified by AValue
function GetPrevExpanded; | GetPrevExpanded - returns the previous expanded node
function GetPrevMultiSelected; | GetPrevMultiSelected - returns the previous node in a multi-selection
function GetPrevSibling; | GetPrevSibling - returns the previous node in the same level as the current node
function GetPrevVisible; | GetPrevVisible - returns the previous visible (not hidden) node
function GetPrevVisibleSibling;
function GetTextPath; | GetTextPath - returns a string containing the path to the current node delimited by slash
function HasAsParent(); | HasAsParent - returns True if the node specified by AValue has a parent
function IndexOf(); | IndexOf - returns the index of the node specified by AValue
function IndexOfText(); | IndexOfText - returns the index of the node containing the specified Text string
procedure Assign(); override; | Assign - if Source is of correct type, copies details directly, otherwise calls inherited Assign which probably raises an exception
procedure Collapse(); | Collapse - method for collapsing tree view to show only the main stems. Apply recursively if Recurse is True
procedure ConsistencyCheck; | ConsistencyCheck - makes sure all references to and from the node are consistent
procedure Delete; | Delete the curent TreeNode
procedure DeleteChildren; | DeleteChildren - remove the descendent Nodes in the tree structure
procedure EndEdit(); | EndEdit (to be implemented)
procedure Expand(); | Expand - method for expanding the current node. If Recurse is True, also expand all descendent nodes
procedure ExpandParents; | ExpandParents - apply expansion to the parents of the current node
procedure FreeAllNodeData;
procedure MakeVisible; | MakeVisible - method for rendering a node visible
procedure MoveTo(); virtual; | MoveTo - method for relocating a node to the specified Destination using the specified mode of attachment
procedure MultiSelectGroup; | MultiSelectGroup - method for multi-selecting a group of nodes
procedure Update; | Update the contents and appearance of the curent node
procedure WriteDebugReport(); | WriteDebugReport - for debugging. If Recurse is True, report for all descendants as well
property AbsoluteIndex: Integer; [r] | AbsoluteIndex - the absolute index of the current node, i.e. without taking into account the level of ancestry
property Count: Integer; [r] | Count - the number of nodes
property Cut: Boolean; [rw] | Cut - whether the node has been Cut
property Data: Pointer; [rw] | Data - pointer to the Node's data
property Deleting: Boolean; [r] | Deleting - if True, the node is being deleted
property DropTarget: Boolean; [rw] | DropTarget - if True, the current node is a target for a drop process
property Expanded: Boolean; [rw] | Expanded - if True, the node has been expanded
property Focused: Boolean; [rw] | Focused - if True, the node has received focus
property Handle: THandle; [r] | Handle - the operating system handle for this node
property HasChildren: Boolean; [rw] | HasChildren - if true, this node has descendent nodes
property Height: Integer; [rw] | The Height of the current node
property ImageIndex: TImageIndex; [rw] | ImageIndex - the image index of the current node if not selected. Default -1 for no image
property Index: Integer; [rw] | The Index value of the current node
property IsFullHeightVisible: Boolean; [r] | IsFullHeightVisible - if True, the full height of the TreeNode is visible within the display window
property IsVisible: Boolean; [r] | IsVisible - if True, the current node is visible (not hidden)
property Items []: TTreeNode; default; [rw] | Items - the index of the current node within the list of items
property Level: Integer; [r] | The Level of descendance of indentation of the current node
property MultiSelected: Boolean; [rw] | MultiSelected - if True, several nodes have been selected simultaneously (e.g. using the Shift or Ctrl key while selecting)
property NodeEffect: TGraphicsDrawEffect; [rw]
property OverlayIndex: Integer; [rw] | OverlayIndex - the index of the overlay
property Owner: TTreeNodes; [r] | The Owner control of the current TreeNode
property Parent: TTreeNode; [r] | The Parent of the current node
property Selected: Boolean; [rw] | Selected - if True, the current node has been selected
property SelectedIndex: Integer; [rw] | SelectedIndex - the image index of the current node if selected. Default -1 for no image
property StateIndex: Integer; [rw] | StateIndex the index of the state (within an enumerated type)
property States: TNodeStates; [r]
property SubTreeCount: Integer; [r] | SubTreeCount - the number of sub-trees
property Text: string; [rw] | The Text string of the current node
property Top: Integer; [r] | The position of the Top of the current node
property TreeNodes: TTreeNodes; [r] | the collection of TreeNodes to which this node belongs
property TreeView: TCustomTreeView; [r] | The TreeView to which this node belongs
property Visible: Boolean; [rw]
end;

Inheritance

TTreeNode

TTreeNode is a single item that holds data in TTreeView
|

TPersistent,IFPObserved
|

TObject

Description

A TTreeNode is part of a TTreeView and is used for storing data. This can be done by using the Caption property or for more complex data the Data property can be used. Each node can have sibling or child items associated with it.

See also

#lcl.stdctrls.HowToUseStdCtrls

How to use StdCtrls, ComCtrls or ExtCtrls


TTreeNode
 | ro | AbsoluteIndex
 | ro | Count
 |  | Cut
 |  | Data
 | ro | Deleting
 |  | DropTarget
 |  | Expanded
 |  | Focused
 | ro | Handle
 |  | HasChildren
 |  | Height
 |  | ImageIndex
 |  | Index
 | ro | IsFullHeightVisible
 | ro | IsVisible
 |  | Items
 | ro | Level
 |  | MultiSelected
 |  | NodeEffect
 |  | OverlayIndex
 | ro | Owner
 | ro | Parent
 |  | Selected
 |  | SelectedIndex
 |  | StateIndex
 | ro | States
 | ro | SubTreeCount
 |  | Text
 | ro | Top
 | ro | TreeNodes
 | ro | TreeView
 |  | Visible
TPersistent
TObject


ro | AbsoluteIndex (TTreeNode)
ro | Count (TTreeNode)
 | Cut (TTreeNode)
 | Data (TTreeNode)
ro | Deleting (TTreeNode)
 | DropTarget (TTreeNode)
 | Expanded (TTreeNode)
 | Focused (TTreeNode)
ro | Handle (TTreeNode)
 | HasChildren (TTreeNode)
 | Height (TTreeNode)
 | ImageIndex (TTreeNode)
 | Index (TTreeNode)
ro | IsFullHeightVisible (TTreeNode)
ro | IsVisible (TTreeNode)
 | Items (TTreeNode)
ro | Level (TTreeNode)
 | MultiSelected (TTreeNode)
 | NodeEffect (TTreeNode)
 | OverlayIndex (TTreeNode)
ro | Owner (TTreeNode)
ro | Parent (TTreeNode)
 | Selected (TTreeNode)
 | SelectedIndex (TTreeNode)
 | StateIndex (TTreeNode)
ro | States (TTreeNode)
ro | SubTreeCount (TTreeNode)
 | Text (TTreeNode)
ro | Top (TTreeNode)
ro | TreeNodes (TTreeNode)
ro | TreeView (TTreeNode)
 | Visible (TTreeNode)


TTreeNode
pt | Changed
pt | GetOwner
 | Create
 | Destroy
 | AlphaSort
 | Bottom
 | BottomExpanded
 | CustomSort
 | DefaultTreeViewSort
 | DisplayExpandSignLeft
 | DisplayExpandSignRect
 | DisplayExpandSignRight
 | DisplayIconLeft
 | DisplayRect
 | DisplayStateIconLeft
 | DisplayTextLeft
 | DisplayTextRight
 | EditText
 | FindNode
 | GetFirstChild
 | GetFirstVisibleChild
 | GetHandle
 | GetLastChild
 | GetLastSibling
 | GetLastSubChild
 | GetLastVisibleChild
 | GetNext
 | GetNextChild
 | GetNextExpanded
 | GetNextMultiSelected
 | GetNextSibling
 | GetNextSkipChildren
 | GetNextVisible
 | GetNextVisibleSibling
 | GetParentNodeOfAbsoluteLevel
 | GetPrev
 | GetPrevChild
 | GetPrevExpanded
 | GetPrevMultiSelected
 | GetPrevSibling
 | GetPrevVisible
 | GetPrevVisibleSibling
 | GetTextPath
 | HasAsParent
 | IndexOf
 | IndexOfText
 | Assign
 | Collapse
 | ConsistencyCheck
 | Delete
 | DeleteChildren
 | EndEdit
 | Expand
 | ExpandParents
 | FreeAllNodeData
 | MakeVisible
 | MoveTo
 | MultiSelectGroup
 | Update
 | WriteDebugReport
TPersistent
 | AssignError
 | AssignTo
 | DefineProperties
 | GetOwner
 | Destroy
 | Assign
 | FPOAttachObserver
 | FPODetachObserver
 | FPONotifyObservers
 | GetNamePath
TObject
 | Create
 | Destroy
 | newinstance
 | FreeInstance
 | SafeCallException
 | DefaultHandler
 | Free
 | InitInstance
 | CleanupInstance
 | ClassType
 | ClassInfo
 | ClassName
 | ClassNameIs
 | ClassParent
 | InstanceSize
 | InheritsFrom
 | StringMessageTable
 | MethodAddress
 | MethodName
 | FieldAddress
 | AfterConstruction
 | BeforeDestruction
 | DefaultHandlerStr
 | Dispatch
 | DispatchStr
 | GetInterface
 | GetInterfaceByStr
 | GetInterfaceWeak
 | GetInterfaceEntry
 | GetInterfaceEntryByStr
 | GetInterfaceTable
 | UnitName
 | Equals
 | GetHashCode
 | ToString


 | AfterConstruction (TObject)
 | AlphaSort (TTreeNode)
 | Assign (TPersistent)
 | Assign (TTreeNode)
 | AssignError (TPersistent)
 | AssignTo (TPersistent)
 | BeforeDestruction (TObject)
 | Bottom (TTreeNode)
 | BottomExpanded (TTreeNode)
pt | Changed (TTreeNode)
 | ClassInfo (TObject)
 | ClassName (TObject)
 | ClassNameIs (TObject)
 | ClassParent (TObject)
 | ClassType (TObject)
 | CleanupInstance (TObject)
 | Collapse (TTreeNode)
 | ConsistencyCheck (TTreeNode)
 | Create (TObject)
 | Create (TTreeNode)
 | CustomSort (TTreeNode)
 | DefaultHandler (TObject)
 | DefaultHandlerStr (TObject)
 | DefaultTreeViewSort (TTreeNode)
 | DefineProperties (TPersistent)
 | Delete (TTreeNode)
 | DeleteChildren (TTreeNode)
 | Destroy (TObject)
 | Destroy (TPersistent)
 | Destroy (TTreeNode)
 | Dispatch (TObject)
 | DispatchStr (TObject)
 | DisplayExpandSignLeft (TTreeNode)
 | DisplayExpandSignRect (TTreeNode)
 | DisplayExpandSignRight (TTreeNode)
 | DisplayIconLeft (TTreeNode)
 | DisplayRect (TTreeNode)
 | DisplayStateIconLeft (TTreeNode)
 | DisplayTextLeft (TTreeNode)
 | DisplayTextRight (TTreeNode)
 | EditText (TTreeNode)
 | EndEdit (TTreeNode)
 | Equals (TObject)
 | Expand (TTreeNode)
 | ExpandParents (TTreeNode)
 | FieldAddress (TObject)
 | FindNode (TTreeNode)
 | FPOAttachObserver (TPersistent)
 | FPODetachObserver (TPersistent)
 | FPONotifyObservers (TPersistent)
 | Free (TObject)
 | FreeAllNodeData (TTreeNode)
 | FreeInstance (TObject)
 | GetFirstChild (TTreeNode)
 | GetFirstVisibleChild (TTreeNode)
 | GetHandle (TTreeNode)
 | GetHashCode (TObject)
 | GetInterface (TObject)
 | GetInterfaceByStr (TObject)
 | GetInterfaceEntry (TObject)
 | GetInterfaceEntryByStr (TObject)
 | GetInterfaceTable (TObject)
 | GetInterfaceWeak (TObject)
 | GetLastChild (TTreeNode)
 | GetLastSibling (TTreeNode)
 | GetLastSubChild (TTreeNode)
 | GetLastVisibleChild (TTreeNode)
 | GetNamePath (TPersistent)
 | GetNext (TTreeNode)
 | GetNextChild (TTreeNode)
 | GetNextExpanded (TTreeNode)
 | GetNextMultiSelected (TTreeNode)
 | GetNextSibling (TTreeNode)
 | GetNextSkipChildren (TTreeNode)
 | GetNextVisible (TTreeNode)
 | GetNextVisibleSibling (TTreeNode)
 | GetOwner (TPersistent)
pt | GetOwner (TTreeNode)
 | GetParentNodeOfAbsoluteLevel (TTreeNode)
 | GetPrev (TTreeNode)
 | GetPrevChild (TTreeNode)
 | GetPrevExpanded (TTreeNode)
 | GetPrevMultiSelected (TTreeNode)
 | GetPrevSibling (TTreeNode)
 | GetPrevVisible (TTreeNode)
 | GetPrevVisibleSibling (TTreeNode)
 | GetTextPath (TTreeNode)
 | HasAsParent (TTreeNode)
 | IndexOf (TTreeNode)
 | IndexOfText (TTreeNode)
 | InheritsFrom (TObject)
 | InitInstance (TObject)
 | InstanceSize (TObject)
 | MakeVisible (TTreeNode)
 | MethodAddress (TObject)
 | MethodName (TObject)
 | MoveTo (TTreeNode)
 | MultiSelectGroup (TTreeNode)
 | newinstance (TObject)
 | SafeCallException (TObject)
 | StringMessageTable (TObject)
 | ToString (TObject)
 | UnitName (TObject)
 | Update (TTreeNode)
 | WriteDebugReport (TTreeNode)


TTreeNode

TPersistent

TObject


TTreeNode.AbsoluteIndex

AbsoluteIndex - the absolute index of the current node, i.e. without taking into account the level of ancestry

Declaration

Source position: comctrls.pp line 3076

public property TTreeNode.AbsoluteIndex : Integer
  read GetAbsoluteIndex;


TTreeNode.AlphaSort

AlphaSort - if True, sorted alphabetically

Declaration

Source position: comctrls.pp line 3020

public function TTreeNode.AlphaSort: Boolean;


TTreeNode.Assign

Assign - if Source is of correct type, copies details directly, otherwise calls inherited Assign which probably raises an exception

Declaration

Source position: comctrls.pp line 3062

public procedure TTreeNode.Assign(

  Source: TPersistent

); override;

See also

TPersistent.Assign


TTreeNode.Bottom

Bottom - returns the position of the displayed tree structure (whether or not it is expanded)

Declaration

Source position: comctrls.pp line 3021

public function TTreeNode.Bottom: Integer;


TTreeNode.BottomExpanded

BottomExpanded - returns the position of the bottom of the fully expanded tree structure

Declaration

Source position: comctrls.pp line 3022

public function TTreeNode.BottomExpanded: Integer;


TTreeNode.Changed

Declaration

Source position: comctrls.pp line 3015

protected procedure TTreeNode.Changed(

  ChangeReason: TTreeNodeChangeReason

);


TTreeNode.Collapse

Collapse - method for collapsing tree view to show only the main stems. Apply recursively if Recurse is True

Declaration

Source position: comctrls.pp line 3063

public procedure TTreeNode.Collapse(

  Recurse: Boolean

);


TTreeNode.ConsistencyCheck

ConsistencyCheck - makes sure all references to and from the node are consistent

Declaration

Source position: comctrls.pp line 3064

public procedure TTreeNode.ConsistencyCheck;


TTreeNode.Count

Count - the number of nodes

Declaration

Source position: comctrls.pp line 3077

public property TTreeNode.Count : Integer
  read GetCount;


TTreeNode.Create

calls inherited then itntialises indexes and sets subtree count to 1

Declaration

Source position: comctrls.pp line 3018

public constructor TTreeNode.Create(

  AnOwner: TTreeNodes

); virtual;

See also

TObject.Create


TTreeNode.CustomSort

CustomSort - Sorts the child nodes using SortProc.

Declaration

Source position: comctrls.pp line 3023

public function TTreeNode.CustomSort(

  SortProc: TTreeNodeCompare

):Boolean;

Description

The child nodes (not the grand children) are sorted. If SortProc is nil the method DefaultTreeViewSort is used. The default implementation always returns true.


TTreeNode.Cut

Cut - whether the node has been Cut

Declaration

Source position: comctrls.pp line 3078

public property TTreeNode.Cut : Boolean
  read GetCut
  write SetCut;


TTreeNode.Data

Data - pointer to the Node's data

Declaration

Source position: comctrls.pp line 3079

public property TTreeNode.Data : Pointer
  read FData
  write SetData;

Description

Property of type pointer used to store custom data in a node.

Example

type
  TMyClass = class(TObject)
  public
    Created: string;
  end;

procedure TForm1.Button1Click(Sender: TObject);
var
  Node: TTreeNode;
begin
  if Assigned(TreeView1.Selected) then
    Node := TreeView1.Selected
  else
    Node := TreeView1.Items.GetFirstNode;

  with TreeView1.Items.AddChild(Node, Format('Node: %d', [TreeView1.Items.Count])) do
  begin
    Data := TMyClass.Create;
    TMyClass(Data).Created := FormatDateTime('hh:nn:ss',Now);
  end;
end;

procedure TForm1.TreeView1SelectionChanged(Sender: TObject);
begin
  Label1.Caption := 'Node creation time: ' + TMyClass(TreeView1.Selected.Data).Created;
end;


TTreeNode.DefaultTreeViewSort

DefaultTreeViewSort - returns result of string comparison between names of Node1 and Node2

Declaration

Source position: comctrls.pp line 3024

public function TTreeNode.DefaultTreeViewSort(

  Node1: TTreeNode;

  Node2: TTreeNode

):Integer;

Description

DefaultTreeViewSort - returns result of string comparison between names of Node1 and Node2

DefaultTreeViewSort compares the text of two TreeNodes and returns the following result:

< 0
if Node1.Text<Node2.Text.
0
if Node1.Text=Node2.Text.
> 0
if Node1.Text>Node2.Text.

The comparision takes into account Ansi characters, i.e. it takes care of strange accented characters. Contrary to AnsiCompareText, the comparision is case sensitive.


TTreeNode.Delete

Delete the curent TreeNode

Declaration

Source position: comctrls.pp line 3065

public procedure TTreeNode.Delete;


TTreeNode.DeleteChildren

DeleteChildren - remove the descendent Nodes in the tree structure

Declaration

Source position: comctrls.pp line 3066

public procedure TTreeNode.DeleteChildren;


TTreeNode.Deleting

Deleting - if True, the node is being deleted

Declaration

Source position: comctrls.pp line 3080

public property TTreeNode.Deleting : Boolean
  read GetDeleting;


TTreeNode.Destroy

- destructor for : unbinds all references, frees data and calls inherited Destroy

Declaration

Source position: comctrls.pp line 3019

public destructor TTreeNode.Destroy; override;

See also

TPersistent.Destroy


TTreeNode.DisplayExpandSignLeft

DisplayExpandSignLeft - returns the position of the left edge of the expand sign

Declaration

Source position: comctrls.pp line 3025

public function TTreeNode.DisplayExpandSignLeft: Integer;


TTreeNode.DisplayExpandSignRect

DisplayExpandSignRect - returns the coordinates of the rectangle within which the expand sign are displayed

Declaration

Source position: comctrls.pp line 3026

public function TTreeNode.DisplayExpandSignRect: TRect;


TTreeNode.DisplayExpandSignRight

DisplayExpandSignRight - returns the position of the right edge of the expand sign (i.e. takes into account the width of the icon etc)

Declaration

Source position: comctrls.pp line 3027

public function TTreeNode.DisplayExpandSignRight: Integer;


TTreeNode.DisplayIconLeft

DisplayIconLeft - returns the position of the actual icon for the expand sign (usually 1 pixel greater than DisplayExpandSignLeft)

Declaration

Source position: comctrls.pp line 3028

public function TTreeNode.DisplayIconLeft: Integer;


TTreeNode.DisplayRect

DisplayRect - returns the coordinates of the rectangle containing the current entry; if TextOnly is True, returns the coordinates for the text

Declaration

Source position: comctrls.pp line 3029

public function TTreeNode.DisplayRect(

  TextOnly: Boolean

):TRect;


TTreeNode.DisplayStateIconLeft

DisplayStateIconLeft - returns the position of the State Icon

Declaration

Source position: comctrls.pp line 3030

public function TTreeNode.DisplayStateIconLeft: Integer;


TTreeNode.DisplayTextLeft

DisplayTextLeft - returns the position of the left edge of the text

Declaration

Source position: comctrls.pp line 3031

public function TTreeNode.DisplayTextLeft: Integer;


TTreeNode.DisplayTextRight

DisplayTextRight - returns the position of the right edge of the text

Declaration

Source position: comctrls.pp line 3032

public function TTreeNode.DisplayTextRight: Integer;


TTreeNode.DropTarget

DropTarget - if True, the current node is a target for a drop process

Declaration

Source position: comctrls.pp line 3081

public property TTreeNode.DropTarget : Boolean
  read GetDropTarget
  write SetDropTarget;


TTreeNode.EditText

EditText (currently set False - to be implemented)

Declaration

Source position: comctrls.pp line 3033

public function TTreeNode.EditText: Boolean;


TTreeNode.EndEdit

EndEdit (to be implemented)

Declaration

Source position: comctrls.pp line 3067

public procedure TTreeNode.EndEdit(

  Cancel: Boolean

);


TTreeNode.Expand

Expand - method for expanding the current node. If Recurse is True, also expand all descendent nodes

Declaration

Source position: comctrls.pp line 3068

public procedure TTreeNode.Expand(

  Recurse: Boolean

);


TTreeNode.Expanded

Expanded - if True, the node has been expanded

Declaration

Source position: comctrls.pp line 3082

public property TTreeNode.Expanded : Boolean
  read GetExpanded
  write SetExpanded;


TTreeNode.ExpandParents

ExpandParents - apply expansion to the parents of the current node

Declaration

Source position: comctrls.pp line 3069

public procedure TTreeNode.ExpandParents;


TTreeNode.FindNode

FindNode - returns the node containing the specified text string

Declaration

Source position: comctrls.pp line 3034

public function TTreeNode.FindNode(

  const NodeText: string

):TTreeNode;


TTreeNode.Focused

Focused - if True, the node has received focus

Declaration

Source position: comctrls.pp line 3083

public property TTreeNode.Focused : Boolean
  read GetFocused
  write SetFocused;


TTreeNode.FreeAllNodeData

Declaration

Source position: comctrls.pp line 3070

public procedure TTreeNode.FreeAllNodeData;


TTreeNode.GetFirstChild

GetFirstChild - returns the first child node of this parent

Declaration

Source position: comctrls.pp line 3035

public function TTreeNode.GetFirstChild: TTreeNode;


TTreeNode.GetFirstVisibleChild

Declaration

Source position: comctrls.pp line 3036

public function TTreeNode.GetFirstVisibleChild: TTreeNode;


TTreeNode.GetHandle

GetHandle - returns the operating system Handle for the current node

Declaration

Source position: comctrls.pp line 3037

public function TTreeNode.GetHandle: THandle;


TTreeNode.GetLastChild

GetLastChild - returns the last child node of this parent

Declaration

Source position: comctrls.pp line 3038

public function TTreeNode.GetLastChild: TTreeNode;


TTreeNode.GetLastSibling

GetLastSibling - returns the last node at the same level as the current node

Declaration

Source position: comctrls.pp line 3039

public function TTreeNode.GetLastSibling: TTreeNode;


TTreeNode.GetLastSubChild

GetLastSubChild - returns the last sub-child node of this parent

Declaration

Source position: comctrls.pp line 3040

public function TTreeNode.GetLastSubChild: TTreeNode;


TTreeNode.GetLastVisibleChild

Declaration

Source position: comctrls.pp line 3041

public function TTreeNode.GetLastVisibleChild: TTreeNode;


TTreeNode.GetNext

GetNext - returns the next node in the list

Declaration

Source position: comctrls.pp line 3042

public function TTreeNode.GetNext: TTreeNode;


TTreeNode.GetNextChild

GetNextChild - returns the next child node of the parent specified by AValue

Declaration

Source position: comctrls.pp line 3043

public function TTreeNode.GetNextChild(

  AValue: TTreeNode

):TTreeNode;


TTreeNode.GetNextExpanded

GetNextExpanded - returns the next expanded node

Declaration

Source position: comctrls.pp line 3044

public function TTreeNode.GetNextExpanded: TTreeNode;


TTreeNode.GetNextMultiSelected

GetNextMultiSelected - returns the next node in a multiselection

Declaration

Source position: comctrls.pp line 3045

public function TTreeNode.GetNextMultiSelected: TTreeNode;


TTreeNode.GetNextSibling

GetNextSibling - returns the next node in the same level as the current node

Declaration

Source position: comctrls.pp line 3046

public function TTreeNode.GetNextSibling: TTreeNode;


TTreeNode.GetNextSkipChildren

Declaration

Source position: comctrls.pp line 3047

public function TTreeNode.GetNextSkipChildren: TTreeNode;


TTreeNode.GetNextVisible

GetNextVisible - returns the next visible (i.e. not hidden) node

Declaration

Source position: comctrls.pp line 3048

public function TTreeNode.GetNextVisible: TTreeNode;


TTreeNode.GetNextVisibleSibling

Declaration

Source position: comctrls.pp line 3049

public function TTreeNode.GetNextVisibleSibling: TTreeNode;


TTreeNode.GetOwner

Declaration

Source position: comctrls.pp line 3016

protected function TTreeNode.GetOwner: TPersistent; override;


TTreeNode.GetParentNodeOfAbsoluteLevel

GetParentNodeOfAbsoluteLevel - returns the parent of all nodes at this absolute level

Declaration

Source position: comctrls.pp line 3050

public function TTreeNode.GetParentNodeOfAbsoluteLevel(

  TheAbsoluteLevel: Integer

):TTreeNode;


TTreeNode.GetPrev

GetPrev - returns the previous node in the list

Declaration

Source position: comctrls.pp line 3051

public function TTreeNode.GetPrev: TTreeNode;


TTreeNode.GetPrevChild

GetPrevChild - returns the previous child node of the parent specified by AValue

Declaration

Source position: comctrls.pp line 3052

public function TTreeNode.GetPrevChild(

  AValue: TTreeNode

):TTreeNode;


TTreeNode.GetPrevExpanded

GetPrevExpanded - returns the previous expanded node

Declaration

Source position: comctrls.pp line 3053

public function TTreeNode.GetPrevExpanded: TTreeNode;


TTreeNode.GetPrevMultiSelected

GetPrevMultiSelected - returns the previous node in a multi-selection

Declaration

Source position: comctrls.pp line 3054

public function TTreeNode.GetPrevMultiSelected: TTreeNode;


TTreeNode.GetPrevSibling

GetPrevSibling - returns the previous node in the same level as the current node

Declaration

Source position: comctrls.pp line 3055

public function TTreeNode.GetPrevSibling: TTreeNode;


TTreeNode.GetPrevVisible

GetPrevVisible - returns the previous visible (not hidden) node

Declaration

Source position: comctrls.pp line 3056

public function TTreeNode.GetPrevVisible: TTreeNode;


TTreeNode.GetPrevVisibleSibling

Declaration

Source position: comctrls.pp line 3057

public function TTreeNode.GetPrevVisibleSibling: TTreeNode;


TTreeNode.GetTextPath

GetTextPath - returns a string containing the path to the current node delimited by slash

Declaration

Source position: comctrls.pp line 3058

public function TTreeNode.GetTextPath: string;


TTreeNode.Handle

Handle - the operating system handle for this node

Declaration

Source position: comctrls.pp line 3084

public property TTreeNode.Handle : THandle
  read GetHandle;


TTreeNode.HasAsParent

HasAsParent - returns True if the node specified by AValue has a parent

Declaration

Source position: comctrls.pp line 3059

public function TTreeNode.HasAsParent(

  AValue: TTreeNode

):Boolean;


TTreeNode.HasChildren

HasChildren - if true, this node has descendent nodes

Declaration

Source position: comctrls.pp line 3085

public property TTreeNode.HasChildren : Boolean
  read GetHasChildren
  write SetHasChildren;


TTreeNode.Height

The Height of the current node

Declaration

Source position: comctrls.pp line 3086

public property TTreeNode.Height : Integer
  read GetHeight
  write SetHeight;


TTreeNode.ImageIndex

ImageIndex - the image index of the current node if not selected. Default -1 for no image

Declaration

Source position: comctrls.pp line 3087

public property TTreeNode.ImageIndex : TImageIndex
  read FImageIndex
  write SetImageIndex
  default - 1;

See also

TTreeNode.SelectedIndex

SelectedIndex - the image index of the current node if selected. Default -1 for no image


TTreeNode.Index

The Index value of the current node

Declaration

Source position: comctrls.pp line 3088

public property TTreeNode.Index : Integer
  read GetIndex
  write SetIndex;


TTreeNode.IndexOf

IndexOf - returns the index of the node specified by AValue

Declaration

Source position: comctrls.pp line 3060

public function TTreeNode.IndexOf(

  AValue: TTreeNode

):Integer;


TTreeNode.IndexOfText

IndexOfText - returns the index of the node containing the specified Text string

Declaration

Source position: comctrls.pp line 3061

public function TTreeNode.IndexOfText(

  const NodeText: string

):Integer;


TTreeNode.IsFullHeightVisible

IsFullHeightVisible - if True, the full height of the TreeNode is visible within the display window

Declaration

Source position: comctrls.pp line 3089

public property TTreeNode.IsFullHeightVisible : Boolean
  read IsNodeHeightFullVisible;


TTreeNode.IsVisible

IsVisible - if True, the current node is visible (not hidden)

Declaration

Source position: comctrls.pp line 3090

public property TTreeNode.IsVisible : Boolean
  read IsNodeVisible;


TTreeNode.Items

Items - the index of the current node within the list of items

Declaration

Source position: comctrls.pp line 3091

public property TTreeNode.Items[ItemIndex: Integer] : TTreeNode
  read GetItems
  write SetItems;
  default;


TTreeNode.Level

The Level of descendance of indentation of the current node

Declaration

Source position: comctrls.pp line 3092

public property TTreeNode.Level : Integer
  read GetLevel;


TTreeNode.MakeVisible

MakeVisible - method for rendering a node visible

Declaration

Source position: comctrls.pp line 3071

public procedure TTreeNode.MakeVisible;


TTreeNode.MoveTo

MoveTo - method for relocating a node to the specified Destination using the specified mode of attachment

Declaration

Source position: comctrls.pp line 3072

public procedure TTreeNode.MoveTo(

  Destination: TTreeNode;

  Mode: TNodeAttachMode

); virtual;

Description

MoveTo - method for relocating a node to the specified Destination using the specified mode of attachment

Definition of the modes of attachment:

naAdd,           // add as last sibling of Destination
    naAddFirst,      // add as first sibling of Destination
    naAddChild,      // add as last child of Destination
    naAddChildFirst, // add as first child of Destination
    naInsert,        // insert in front of Destination
    naInsertBehind   // insert behind Destination


TTreeNode.MultiSelected

MultiSelected - if True, several nodes have been selected simultaneously (e.g. using the Shift or Ctrl key while selecting)

Declaration

Source position: comctrls.pp line 3093

public property TTreeNode.MultiSelected : Boolean
  read GetMultiSelected
  write SetMultiSelected;


TTreeNode.MultiSelectGroup

MultiSelectGroup - method for multi-selecting a group of nodes

Declaration

Source position: comctrls.pp line 3073

public procedure TTreeNode.MultiSelectGroup;


TTreeNode.NodeEffect

Declaration

Source position: comctrls.pp line 3094

public property TTreeNode.NodeEffect : TGraphicsDrawEffect
  read FNodeEffect
  write SetImageEffect;


TTreeNode.OverlayIndex

OverlayIndex - the index of the overlay

Declaration

Source position: comctrls.pp line 3095

public property TTreeNode.OverlayIndex : Integer
  read FOverlayIndex
  write SetOverlayIndex
  default - 1;

Description

This icon is drawn above the normal icon. If Images.HasOverlays then it is fetched from Images via Images.Overlay(Node.Overlay) for Delphi compatibility.


TTreeNode.Owner

The Owner control of the current TreeNode

Declaration

Source position: comctrls.pp line 3096

public property TTreeNode.Owner : TTreeNodes
  read FOwner;


TTreeNode.Parent

The Parent of the current node

Declaration

Source position: comctrls.pp line 3097

public property TTreeNode.Parent : TTreeNode
  read FParent;


TTreeNode.Selected

Selected - if True, the current node has been selected

Declaration

Source position: comctrls.pp line 3098

public property TTreeNode.Selected : Boolean
  read GetSelected
  write SetSelected;


TTreeNode.SelectedIndex

SelectedIndex - the image index of the current node if selected. Default -1 for no image

Declaration

Source position: comctrls.pp line 3099

public property TTreeNode.SelectedIndex : Integer
  read FSelectedIndex
  write SetSelectedIndex
  default - 1;

See also

TTreeNode.ImageIndex

ImageIndex - the image index of the current node if not selected. Default -1 for no image


TTreeNode.StateIndex

StateIndex the index of the state (within an enumerated type)

Declaration

Source position: comctrls.pp line 3100

public property TTreeNode.StateIndex : Integer
  read FStateIndex
  write SetStateIndex
  default - 1;

Description

StateIndex the index of the state (within an enumerated type)

Definition of enumerated type NodeState:

nsCut, nsDropHilited, nsFocused, nsSelected, nsMultiSelected, nsExpanded, nsHasChildren, nsDeleting, nsBound


TTreeNode.States

Declaration

Source position: comctrls.pp line 3101

public property TTreeNode.States : TNodeStates
  read FStates;


TTreeNode.SubTreeCount

SubTreeCount - the number of sub-trees

Declaration

Source position: comctrls.pp line 3102

public property TTreeNode.SubTreeCount : Integer
  read FSubTreeCount;


TTreeNode.Text

The Text string of the current node

Declaration

Source position: comctrls.pp line 3103

public property TTreeNode.Text : string
  read FText
  write SetText;


TTreeNode.Top

The position of the Top of the current node

Declaration

Source position: comctrls.pp line 3104

public property TTreeNode.Top : Integer
  read GetTop;


TTreeNode.TreeNodes

the collection of TreeNodes to which this node belongs

Declaration

Source position: comctrls.pp line 3105

public property TTreeNode.TreeNodes : TTreeNodes
  read GetTreeNodes;


TTreeNode.TreeView

The TreeView to which this node belongs

Declaration

Source position: comctrls.pp line 3106

public property TTreeNode.TreeView : TCustomTreeView
  read GetTreeView;


TTreeNode.Update

Update the contents and appearance of the curent node

Declaration

Source position: comctrls.pp line 3074

public procedure TTreeNode.Update;


TTreeNode.Visible

Declaration

Source position: comctrls.pp line 3107

public property TTreeNode.Visible : Boolean
  read GetVisible
  write SetVisible
  default True;


TTreeNode.WriteDebugReport

WriteDebugReport - for debugging. If Recurse is True, report for all descendants as well

Declaration

Source position: comctrls.pp line 3075

public procedure TTreeNode.WriteDebugReport(

  const Prefix: string;

  Recurse: Boolean

);


TTreeNodeArray

TTreeNodeArray - pointer to a TTreeNode

Declaration

Source position: comctrls.pp line 2840

type TTreeNodeArray = ^TTreeNode;


TTreeNodeChangeReason

Declaration

Source position: comctrls.pp line 2845

type TTreeNodeChangeReason = (

  ncTextChanged,

  ncDataChanged,

  ncHeightChanged,

  ncImageEffect,

  ncImageIndex,

  ncParentChanged,

  ncVisibility,

  ncOverlayIndex,

  ncStateIndex,

  ncSelectedIndex

);


TTreeNodeClass

Declaration

Source position: comctrls.pp line 2810

type TTreeNodeClass = class of TTreeNode;


TTreeNodeCompare

TTreeNodeCompare - generic function to compare Tree Nodes: returns -1 if Node1 is less than Node2, zero if equal, +1 if Node1 is greater

Declaration

Source position: comctrls.pp line 2897

type TTreeNodeCompare = function(

  Node1: TTreeNode;

  Node2: TTreeNode

):Integer of object;


TTreeNodeExpandedState

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

TTreeNodeExpandedState - class to store and restore the expanded state of a TTreeView. The nodes are identified by their Text property.

Declaration

Source position: comctrls.pp line 3812

type TTreeNodeExpandedState = class
public
NodeText: string; | NodeText - the text in the current node
Children: TAvlTree; | Children - the children of the current node, as an AvgLvlTree
constructor Create(); | Create - constructor for the rest of the tree structure
destructor Destroy; override; |
procedure Clear; | Clear the nodes from the tree structure
procedure CreateChildNodes(); | CreateChildNodes - constructor for the offspring nodes
procedure Apply(); | Apply - continue reconstructing the tree structure by adding the remaining nodes in succession
property OnGetNodeText: TTVGetNodeText; [rw]
end;

Inheritance

TTreeNodeExpandedState

TTreeNodeExpandedState - class to store and restore the expanded state of a TTreeView. The nodes are identified by their Text property.

|

TObject

Description

TTreeNodeExpandedState - class to store and restore the expanded state of a TTreeView. The nodes are identified by their Text property.

Usage example:

// save old expanded state
      OldExpanded:=TTreeNodeExpandedState.Create(ATreeView);
      ... change a lot of nodes ...
      // restore old expanded state
      OldExpanded.Apply(ATreeView);
      OldExpanded.Free;


TTreeNodeExpandedState


TTreeNodeExpandedState
 | Create
 | Destroy
 | Clear
 | CreateChildNodes
 | Apply


Apply (TTreeNodeExpandedState)

Clear (TTreeNodeExpandedState)

Create (TTreeNodeExpandedState)

CreateChildNodes (TTreeNodeExpandedState)

Destroy (TTreeNodeExpandedState)


TTreeNodeExpandedState

OnGetNodeText


TTreeNodeExpandedState.Apply

Apply - continue reconstructing the tree structure by adding the remaining nodes in succession

Declaration

Source position: comctrls.pp line 3824

public procedure TTreeNodeExpandedState.Apply(

  FirstTreeNode: TTreeNode;

  CollapseToo: Boolean = True

);

procedure TTreeNodeExpandedState.Apply(

  TreeView: TCustomTreeView;

  CollapseToo: Boolean = True

);


TTreeNodeExpandedState.Children

Children - the children of the current node, as an AvgLvlTree

Declaration

Source position: comctrls.pp line 3818

public TTreeNodeExpandedState.Children : TAvlTree;


TTreeNodeExpandedState.Clear

Clear the nodes from the tree structure

Declaration

Source position: comctrls.pp line 3822

public procedure TTreeNodeExpandedState.Clear;


TTreeNodeExpandedState.Create

Create - constructor for the rest of the tree structure

Declaration

Source position: comctrls.pp line 3819

public constructor TTreeNodeExpandedState.Create(

  FirstTreeNode: TTreeNode;

  const GetNodeTextEvent: TTVGetNodeText = Nil

);

constructor TTreeNodeExpandedState.Create(

  TreeView: TCustomTreeView;

  const GetNodeTextEvent: TTVGetNodeText = Nil

);


TTreeNodeExpandedState.CreateChildNodes

CreateChildNodes - constructor for the offspring nodes

Declaration

Source position: comctrls.pp line 3823

public procedure TTreeNodeExpandedState.CreateChildNodes(

  FirstTreeNode: TTreeNode

);


TTreeNodeExpandedState.NodeText

NodeText - the text in the current node

Declaration

Source position: comctrls.pp line 3817

public TTreeNodeExpandedState.NodeText : string;


TTreeNodeExpandedState.OnGetNodeText

Declaration

Source position: comctrls.pp line 3826

public property TTreeNodeExpandedState.OnGetNodeText : TTVGetNodeText
  read FOnGetNodeText
  write FOnGetNodeText;


TTreeNodes

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

A collection or list of TTreeNode

Declaration

Source position: comctrls.pp line 3133

type TTreeNodes = class(TPersistent)
protected
function InternalAddObject(); | InternalAddObject - method for adding text of data within the structure of the current node; returns the value of the new updated node
procedure DefineProperties(); override; |
function GetCount; | GetCount - returns the number of nodes in the collection
function GetOwner; override;
procedure SetItem(); | SetItem - method for recording details of specified node
procedure SetUpdateState(); | SetUpdateState - records status of update process
public
constructor Create(); | Create - constructor for TTreeNodes: calls inherited Create
destructor Destroy; override; | Destroy - destructor for TTreeNodes: calls inherited Destroy
function Add(); | Add - adds a sibling node with specified text string and returns the new node
function AddChild(); | AddChild - adds a child node with specified text to the parent node and returns the new node
function AddChildFirst(); | AddChildFirst - adds a node with specified text as the first child of the parent node and returns the new node
function AddChildObject(); | AddChildObject - adds a child node with specified text and data-pointer to the parent node and returns the new node
function AddChildObjectFirst(); | AddChildObjectFirst - adds a node with specified text and data as the first child of the parent node and returns the new node
function AddFirst(); | AddFirst - adds a node with specified text as the first node in the same level as SiblingNode. and returns the new node
function AddNode();
function AddObject(); | AddObject - adds a node with specified text and data-pointer in the same level as SiblingNode. and returns the new node
function AddObjectFirst(); | AddObjectFirst - adds a node with specified text and data-pointer as the first node in the same level as SiblingNode. and returns the new node
function FindNodeWithData(); | FindNodeWithData - returns a node containing the specified data pointer
function FindNodeWithText(); | FindNodeWithText - returns a node containing the specified text string
function FindNodeWithTextPath();
function FindTopLvlNode(); | FindTopLvlNode - returns a top level node containing the specified text string
function GetEnumerator;
function GetFirstNode; | GetFirstNode - returns the first node in the collection
function GetFirstVisibleNode;
function GetLastExpandedSubNode; | GetLastExpandedSubNode - absolute last node
function GetLastNode; | GetLastNode - last top level node
function GetLastSubNode; | GetLastSubNode - absolute last node
function GetLastVisibleNode;
function GetSelections();
function Insert(); | Insert a node with the specified text just before the specified Next node and returns the new node
function InsertBehind(); | InsertBehind - inserts a new node with specified text just behind specified Previous node and returns the new node
function InsertObject(); | InsertObject - inserts a new node with specified text and data just before the specified Next node and returns the new node
function InsertObjectBehind(); | InsertObjectBehind - inserts a new node with specified text and data-pointer just behind specified Previous node and returns the new node
function IsMultiSelection; | IsMultiSelection - returns True if this node is part if a multi-selection
procedure Assign(); override; | Assign - if Source is of correct type, copies properties directly, otherwise calls inherited Assign which probably raises an exception
procedure BeginUpdate; | BeginUpdate - start the update process
procedure Clear; | Clear the current node
procedure ClearMultiSelection(); | ClearMultiSelection - clears a series of nodes in a multi-selection (provided the selection has not already been cleared)
procedure ConsistencyCheck; | ConsistencyCheck - makes sure all references to and from the nodes are consistent
procedure Delete(); | Delete this node
procedure EndUpdate; | EndUpdate - finish the update process
procedure FreeAllNodeData;
procedure SelectionsChanged();
procedure SelectOnlyThis(); | SelectOnlyThis - method for selecting only the indicated node
procedure MultiSelect();
procedure SortTopLevelNodes(); | SortTopLevelNodes - sorts the top level nodes using the specified comparison method
procedure WriteDebugReport(); | WriteDebugReport - for debugging
property Count: Integer; [r] | Count - the number of nodes in the collection
property Item []: TTreeNode; default; [r] | Item - finds the node corresponding to the given index
property KeepCollapsedNodes: Boolean; [rw] | KeepCollapsedNodes - if True, preserves the nodes that have been collapsed
property Owner: TCustomTreeView; [r] | Owner - the TTreeView that owns the collection of nodes
property SelectionCount: Cardinal; [r]
property TopLvlCount: Integer; [r] | TopLvlCount - the number of nodes at the top level of the tree structure
property TopLvlItems []: TTreeNode; [rw] | TopLvlItems - the list of nodes at the top level of the tree structure
end;

Inheritance

TTreeNodes

A collection or list of TTreeNode
|

TPersistent,IFPObserved
|

TObject


TTreeNodes
 | ro | Count
 | ro | Item
 |  | KeepCollapsedNodes
 | ro | Owner
 | ro | SelectionCount
 | ro | TopLvlCount
 |  | TopLvlItems
TPersistent
TObject


ro | Count (TTreeNodes)
ro | Item (TTreeNodes)
 | KeepCollapsedNodes (TTreeNodes)
ro | Owner (TTreeNodes)
ro | SelectionCount (TTreeNodes)
ro | TopLvlCount (TTreeNodes)
 | TopLvlItems (TTreeNodes)


TTreeNodes
pt | InternalAddObject
pt | DefineProperties
pt | GetCount
pt | GetOwner
pt | SetItem
pt | SetUpdateState
 | Create
 | Destroy
 | Add
 | AddChild
 | AddChildFirst
 | AddChildObject
 | AddChildObjectFirst
 | AddFirst
 | AddNode
 | AddObject
 | AddObjectFirst
 | FindNodeWithData
 | FindNodeWithText
 | FindNodeWithTextPath
 | FindTopLvlNode
 | GetEnumerator
 | GetFirstNode
 | GetFirstVisibleNode
 | GetLastExpandedSubNode
 | GetLastNode
 | GetLastSubNode
 | GetLastVisibleNode
 | GetSelections
 | Insert
 | InsertBehind
 | InsertObject
 | InsertObjectBehind
 | IsMultiSelection
 | Assign
 | BeginUpdate
 | Clear
 | ClearMultiSelection
 | ConsistencyCheck
 | Delete
 | EndUpdate
 | FreeAllNodeData
 | SelectionsChanged
 | SelectOnlyThis
 | MultiSelect
 | SortTopLevelNodes
 | WriteDebugReport
TPersistent
 | AssignError
 | AssignTo
 | DefineProperties
 | GetOwner
 | Destroy
 | Assign
 | FPOAttachObserver
 | FPODetachObserver
 | FPONotifyObservers
 | GetNamePath
TObject
 | Create
 | Destroy
 | newinstance
 | FreeInstance
 | SafeCallException
 | DefaultHandler
 | Free
 | InitInstance
 | CleanupInstance
 | ClassType
 | ClassInfo
 | ClassName
 | ClassNameIs
 | ClassParent
 | InstanceSize
 | InheritsFrom
 | StringMessageTable
 | MethodAddress
 | MethodName
 | FieldAddress
 | AfterConstruction
 | BeforeDestruction
 | DefaultHandlerStr
 | Dispatch
 | DispatchStr
 | GetInterface
 | GetInterfaceByStr
 | GetInterfaceWeak
 | GetInterfaceEntry
 | GetInterfaceEntryByStr
 | GetInterfaceTable
 | UnitName
 | Equals
 | GetHashCode
 | ToString


 | Add (TTreeNodes)
 | AddChild (TTreeNodes)
 | AddChildFirst (TTreeNodes)
 | AddChildObject (TTreeNodes)
 | AddChildObjectFirst (TTreeNodes)
 | AddFirst (TTreeNodes)
 | AddNode (TTreeNodes)
 | AddObject (TTreeNodes)
 | AddObjectFirst (TTreeNodes)
 | AfterConstruction (TObject)
 | Assign (TPersistent)
 | Assign (TTreeNodes)
 | AssignError (TPersistent)
 | AssignTo (TPersistent)
 | BeforeDestruction (TObject)
 | BeginUpdate (TTreeNodes)
 | ClassInfo (TObject)
 | ClassName (TObject)
 | ClassNameIs (TObject)
 | ClassParent (TObject)
 | ClassType (TObject)
 | CleanupInstance (TObject)
 | Clear (TTreeNodes)
 | ClearMultiSelection (TTreeNodes)
 | ConsistencyCheck (TTreeNodes)
 | Create (TObject)
 | Create (TTreeNodes)
 | DefaultHandler (TObject)
 | DefaultHandlerStr (TObject)
 | DefineProperties (TPersistent)
pt | DefineProperties (TTreeNodes)
 | Delete (TTreeNodes)
 | Destroy (TObject)
 | Destroy (TPersistent)
 | Destroy (TTreeNodes)
 | Dispatch (TObject)
 | DispatchStr (TObject)
 | EndUpdate (TTreeNodes)
 | Equals (TObject)
 | FieldAddress (TObject)
 | FindNodeWithData (TTreeNodes)
 | FindNodeWithText (TTreeNodes)
 | FindNodeWithTextPath (TTreeNodes)
 | FindTopLvlNode (TTreeNodes)
 | FPOAttachObserver (TPersistent)
 | FPODetachObserver (TPersistent)
 | FPONotifyObservers (TPersistent)
 | Free (TObject)
 | FreeAllNodeData (TTreeNodes)
 | FreeInstance (TObject)
pt | GetCount (TTreeNodes)
 | GetEnumerator (TTreeNodes)
 | GetFirstNode (TTreeNodes)
 | GetFirstVisibleNode (TTreeNodes)
 | GetHashCode (TObject)
 | GetInterface (TObject)
 | GetInterfaceByStr (TObject)
 | GetInterfaceEntry (TObject)
 | GetInterfaceEntryByStr (TObject)
 | GetInterfaceTable (TObject)
 | GetInterfaceWeak (TObject)
 | GetLastExpandedSubNode (TTreeNodes)
 | GetLastNode (TTreeNodes)
 | GetLastSubNode (TTreeNodes)
 | GetLastVisibleNode (TTreeNodes)
 | GetNamePath (TPersistent)
 | GetOwner (TPersistent)
pt | GetOwner (TTreeNodes)
 | GetSelections (TTreeNodes)
 | InheritsFrom (TObject)
 | InitInstance (TObject)
 | Insert (TTreeNodes)
 | InsertBehind (TTreeNodes)
 | InsertObject (TTreeNodes)
 | InsertObjectBehind (TTreeNodes)
 | InstanceSize (TObject)
pt | InternalAddObject (TTreeNodes)
 | IsMultiSelection (TTreeNodes)
 | MethodAddress (TObject)
 | MethodName (TObject)
 | MultiSelect (TTreeNodes)
 | newinstance (TObject)
 | SafeCallException (TObject)
 | SelectionsChanged (TTreeNodes)
 | SelectOnlyThis (TTreeNodes)
pt | SetItem (TTreeNodes)
pt | SetUpdateState (TTreeNodes)
 | SortTopLevelNodes (TTreeNodes)
 | StringMessageTable (TObject)
 | ToString (TObject)
 | UnitName (TObject)
 | WriteDebugReport (TTreeNodes)


TTreeNodes

TPersistent

TObject


TTreeNodes.Add

Add - adds a sibling node with specified text string and returns the new node

Declaration

Source position: comctrls.pp line 3176

public function TTreeNodes.Add(

  SiblingNode: TTreeNode;

  const S: string

):TTreeNode;


TTreeNodes.AddChild

AddChild - adds a child node with specified text to the parent node and returns the new node

Declaration

Source position: comctrls.pp line 3177

public function TTreeNodes.AddChild(

  ParentNode: TTreeNode;

  const S: string

):TTreeNode;


TTreeNodes.AddChildFirst

AddChildFirst - adds a node with specified text as the first child of the parent node and returns the new node

Declaration

Source position: comctrls.pp line 3178

public function TTreeNodes.AddChildFirst(

  ParentNode: TTreeNode;

  const S: string

):TTreeNode;


TTreeNodes.AddChildObject

AddChildObject - adds a child node with specified text and data-pointer to the parent node and returns the new node

Declaration

Source position: comctrls.pp line 3179

public function TTreeNodes.AddChildObject(

  ParentNode: TTreeNode;

  const S: string;

  Data: Pointer

):TTreeNode;


TTreeNodes.AddChildObjectFirst

AddChildObjectFirst - adds a node with specified text and data as the first child of the parent node and returns the new node

Declaration

Source position: comctrls.pp line 3181

public function TTreeNodes.AddChildObjectFirst(

  ParentNode: TTreeNode;

  const S: string;

  Data: Pointer

):TTreeNode;


TTreeNodes.AddFirst

AddFirst - adds a node with specified text as the first node in the same level as SiblingNode. and returns the new node

Declaration

Source position: comctrls.pp line 3183

public function TTreeNodes.AddFirst(

  SiblingNode: TTreeNode;

  const S: string

):TTreeNode;


TTreeNodes.AddNode

Declaration

Source position: comctrls.pp line 3184

public function TTreeNodes.AddNode(

  Node: TTreeNode;

  Relative: TTreeNode;

  const S: string;

  Ptr: Pointer;

  Method: TNodeAttachMode

):TTreeNode;


TTreeNodes.AddObject

AddObject - adds a node with specified text and data-pointer in the same level as SiblingNode. and returns the new node

Declaration

Source position: comctrls.pp line 3186

public function TTreeNodes.AddObject(

  SiblingNode: TTreeNode;

  const S: string;

  Data: Pointer

):TTreeNode;


TTreeNodes.AddObjectFirst

AddObjectFirst - adds a node with specified text and data-pointer as the first node in the same level as SiblingNode. and returns the new node

Declaration

Source position: comctrls.pp line 3188

public function TTreeNodes.AddObjectFirst(

  SiblingNode: TTreeNode;

  const S: string;

  Data: Pointer

):TTreeNode;


TTreeNodes.Assign

Assign - if Source is of correct type, copies properties directly, otherwise calls inherited Assign which probably raises an exception

Declaration

Source position: comctrls.pp line 3209

public procedure TTreeNodes.Assign(

  Source: TPersistent

); override;

See also

TPersistent.Assign


TTreeNodes.BeginUpdate

BeginUpdate - start the update process

Declaration

Source position: comctrls.pp line 3210

public procedure TTreeNodes.BeginUpdate;


TTreeNodes.Clear

Clear the current node

Declaration

Source position: comctrls.pp line 3211

public procedure TTreeNodes.Clear;


TTreeNodes.ClearMultiSelection

ClearMultiSelection - clears a series of nodes in a multi-selection (provided the selection has not already been cleared)

Declaration

Source position: comctrls.pp line 3212

public procedure TTreeNodes.ClearMultiSelection(

  ClearSelected: Boolean = False

);


TTreeNodes.ConsistencyCheck

ConsistencyCheck - makes sure all references to and from the nodes are consistent

Declaration

Source position: comctrls.pp line 3213

public procedure TTreeNodes.ConsistencyCheck;


TTreeNodes.Count

Count - the number of nodes in the collection

Declaration

Source position: comctrls.pp line 3222

public property TTreeNodes.Count : Integer
  read GetCount;


TTreeNodes.Create

Create - constructor for TTreeNodes: calls inherited Create

Declaration

Source position: comctrls.pp line 3174

public constructor TTreeNodes.Create(

  AnOwner: TCustomTreeView

);

See also

TObject.Create


TTreeNodes.Delete

Delete this node

Declaration

Source position: comctrls.pp line 3214

public procedure TTreeNodes.Delete(

  Node: TTreeNode

);


TTreeNodes.Destroy

Destroy - destructor for TTreeNodes: calls inherited Destroy

Declaration

Source position: comctrls.pp line 3175

public destructor TTreeNodes.Destroy; override;

See also

TPersistent.Destroy


TTreeNodes.EndUpdate

EndUpdate - finish the update process

Declaration

Source position: comctrls.pp line 3215

public procedure TTreeNodes.EndUpdate;


TTreeNodes.FindNodeWithData

FindNodeWithData - returns a node containing the specified data pointer

Declaration

Source position: comctrls.pp line 3190

public function TTreeNodes.FindNodeWithData(

  const NodeData: Pointer

):TTreeNode;


TTreeNodes.FindNodeWithText

FindNodeWithText - returns a node containing the specified text string

Declaration

Source position: comctrls.pp line 3191

public function TTreeNodes.FindNodeWithText(

  const NodeText: string

):TTreeNode;


TTreeNodes.FindNodeWithTextPath

Declaration

Source position: comctrls.pp line 3192

public function TTreeNodes.FindNodeWithTextPath(

  TextPath: string

):TTreeNode;


TTreeNodes.FindTopLvlNode

FindTopLvlNode - returns a top level node containing the specified text string

Declaration

Source position: comctrls.pp line 3193

public function TTreeNodes.FindTopLvlNode(

  const NodeText: string

):TTreeNode;


TTreeNodes.FreeAllNodeData

Declaration

Source position: comctrls.pp line 3216

public procedure TTreeNodes.FreeAllNodeData;


TTreeNodes.GetCount

GetCount - returns the number of nodes in the collection

Declaration

Source position: comctrls.pp line 3169

protected function TTreeNodes.GetCount: Integer;


TTreeNodes.GetEnumerator

Declaration

Source position: comctrls.pp line 3194

public function TTreeNodes.GetEnumerator: TTreeNodesEnumerator;


TTreeNodes.GetFirstNode

GetFirstNode - returns the first node in the collection

Declaration

Source position: comctrls.pp line 3195

public function TTreeNodes.GetFirstNode: TTreeNode;


TTreeNodes.GetFirstVisibleNode

Declaration

Source position: comctrls.pp line 3196

public function TTreeNodes.GetFirstVisibleNode: TTreeNode;


TTreeNodes.GetLastExpandedSubNode

GetLastExpandedSubNode - absolute last node

Declaration

Source position: comctrls.pp line 3197

public function TTreeNodes.GetLastExpandedSubNode: TTreeNode;


TTreeNodes.GetLastNode

GetLastNode - last top level node

Declaration

Source position: comctrls.pp line 3198

public function TTreeNodes.GetLastNode: TTreeNode;


TTreeNodes.GetLastSubNode

GetLastSubNode - absolute last node

Declaration

Source position: comctrls.pp line 3199

public function TTreeNodes.GetLastSubNode: TTreeNode;


TTreeNodes.GetLastVisibleNode

Declaration

Source position: comctrls.pp line 3200

public function TTreeNodes.GetLastVisibleNode: TTreeNode;


TTreeNodes.GetOwner

Declaration

Source position: comctrls.pp line 3170

protected function TTreeNodes.GetOwner: TPersistent; override;


TTreeNodes.GetSelections

Declaration

Source position: comctrls.pp line 3201

public function TTreeNodes.GetSelections(

  const AIndex: Integer

):TTreeNode;


TTreeNodes.Insert

Insert a node with the specified text just before the specified Next node and returns the new node

Declaration

Source position: comctrls.pp line 3202

public function TTreeNodes.Insert(

  NextNode: TTreeNode;

  const S: string

):TTreeNode;


TTreeNodes.InsertBehind

InsertBehind - inserts a new node with specified text just behind specified Previous node and returns the new node

Declaration

Source position: comctrls.pp line 3203

public function TTreeNodes.InsertBehind(

  PrevNode: TTreeNode;

  const S: string

):TTreeNode;


TTreeNodes.InsertObject

InsertObject - inserts a new node with specified text and data just before the specified Next node and returns the new node

Declaration

Source position: comctrls.pp line 3204

public function TTreeNodes.InsertObject(

  NextNode: TTreeNode;

  const S: string;

  Data: Pointer

):TTreeNode;


TTreeNodes.InsertObjectBehind

InsertObjectBehind - inserts a new node with specified text and data-pointer just behind specified Previous node and returns the new node

Declaration

Source position: comctrls.pp line 3206

public function TTreeNodes.InsertObjectBehind(

  PrevNode: TTreeNode;

  const S: string;

  Data: Pointer

):TTreeNode;


TTreeNodes.InternalAddObject

InternalAddObject - method for adding text of data within the structure of the current node; returns the value of the new updated node

Declaration

Source position: comctrls.pp line 3166

protected function TTreeNodes.InternalAddObject(

  Node: TTreeNode;

  const S: string;

  Data: Pointer;

  AddMode: TAddMode

):TTreeNode;


TTreeNodes.IsMultiSelection

IsMultiSelection - returns True if this node is part if a multi-selection

Declaration

Source position: comctrls.pp line 3208

public function TTreeNodes.IsMultiSelection: Boolean;


TTreeNodes.Item

Item - finds the node corresponding to the given index

Declaration

Source position: comctrls.pp line 3223

public property TTreeNodes.Item[Index: Integer] : TTreeNode
  read GetNodeFromIndex;
  default;


TTreeNodes.KeepCollapsedNodes

KeepCollapsedNodes - if True, preserves the nodes that have been collapsed

Declaration

Source position: comctrls.pp line 3224

public property TTreeNodes.KeepCollapsedNodes : Boolean
  read FKeepCollapsedNodes
  write FKeepCollapsedNodes;


TTreeNodes.MultiSelect

Declaration

Source position: comctrls.pp line 3219

public procedure TTreeNodes.MultiSelect(

  Node: TTreeNode;

  ClearWholeSelection: Boolean

);


TTreeNodes.Owner

Owner - the TTreeView that owns the collection of nodes

Declaration

Source position: comctrls.pp line 3226

public property TTreeNodes.Owner : TCustomTreeView
  read FOwner;


TTreeNodes.SelectionCount

Declaration

Source position: comctrls.pp line 3227

public property TTreeNodes.SelectionCount : Cardinal
  read GetSelectionCount;


TTreeNodes.SelectionsChanged

Declaration

Source position: comctrls.pp line 3217

public procedure TTreeNodes.SelectionsChanged(

  ANode: TTreeNode;

  const AIsSelected: Boolean

);


TTreeNodes.SelectOnlyThis

SelectOnlyThis - method for selecting only the indicated node

Declaration

Source position: comctrls.pp line 3218

public procedure TTreeNodes.SelectOnlyThis(

  Node: TTreeNode

);

Arguments

Node

Select Only This Node


TTreeNodes.SetItem

SetItem - method for recording details of specified node

Declaration

Source position: comctrls.pp line 3171

protected procedure TTreeNodes.SetItem(

  Index: Integer;

  AValue: TTreeNode

);


TTreeNodes.SetUpdateState

SetUpdateState - records status of update process

Declaration

Source position: comctrls.pp line 3172

protected procedure TTreeNodes.SetUpdateState(

  Updating: Boolean

);


TTreeNodes.SortTopLevelNodes

SortTopLevelNodes - sorts the top level nodes using the specified comparison method

Declaration

Source position: comctrls.pp line 3220

public procedure TTreeNodes.SortTopLevelNodes(

  SortProc: TTreeNodeCompare

);


TTreeNodes.TopLvlCount

TopLvlCount - the number of nodes at the top level of the tree structure

Declaration

Source position: comctrls.pp line 3228

public property TTreeNodes.TopLvlCount : Integer
  read FTopLvlCount;


TTreeNodes.TopLvlItems

TopLvlItems - the list of nodes at the top level of the tree structure

Declaration

Source position: comctrls.pp line 3229

public property TTreeNodes.TopLvlItems[Index: Integer] : TTreeNode
  read GetTopLvlItems
  write SetTopLvlItems;


TTreeNodes.WriteDebugReport

WriteDebugReport - for debugging

Declaration

Source position: comctrls.pp line 3221

public procedure TTreeNodes.WriteDebugReport(

  const Prefix: string;

  AllNodes: Boolean

);


TTreeNodesEnumerator

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Declaration

Source position: comctrls.pp line 3112

type TTreeNodesEnumerator = class

public

  constructor Create();

  function MoveNext;

  property Current: TTreeNode; [r]

end;

Inheritance

TTreeNodesEnumerator
|

TObject


TTreeNodesEnumerator

ro

Current


ro

Current (TTreeNodesEnumerator)


TTreeNodesEnumerator
 | Create
 | MoveNext


TTreeNodesEnumerator


TTreeNodesEnumerator.Create

Declaration

Source position: comctrls.pp line 3118

public constructor TTreeNodesEnumerator.Create(

  ANodes: TTreeNodes

);


TTreeNodesEnumerator.Current

Declaration

Source position: comctrls.pp line 3120

public property TTreeNodesEnumerator.Current : TTreeNode
  read GetCurrent;


TTreeNodesEnumerator.MoveNext

Declaration

Source position: comctrls.pp line 3119

public function TTreeNodesEnumerator.MoveNext: Boolean;


TTreeView

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

TTreeView is a control that displays a hierarchical list of items

Declaration

Source position: comctrls.pp line 3689

type TTreeView = class(TCustomTreeView)
published
property Align: TAlign; | Specifies the placement of the control inside its Parent.
property Anchors: TAnchors; | The set of anchor definitions for this control.
property AutoExpand: Boolean;
property BorderSpacing: TControlBorderSpacing; | Determines the inner and outer border spacing for this control.
property BackgroundColor: TColor;
property BorderStyle: TBorderStyle; | Allows to show a border (line) around the control,
property BorderWidth: TBorderWidth; | Width of the Border around the control; default is zero.
property Color: TColor; | The background color of the control.
property Constraints: TSizeConstraints; | The minimal and maximal Width and Height of this control.
property DefaultItemHeight: Integer;
property DragKind: TDragKind; | The operation when the control is dragged - Drag or Dock.
property DragCursor: TCursor; | The cursor shape shown while the control is dragged.
property DragMode: TDragMode; | Allows the user to drag the control.
property Enabled: Boolean; | Determines whether the control reacts on mouse or keyboard input.
property ExpandSignColor: TColor;
property ExpandSignSize: Integer;
property ExpandSignType: TTreeViewExpandSignType;
property Font: TFont; | The font to be used for text display in this control.
property HideSelection: Boolean;
property HotTrack: Boolean;
property HotTrackColor: TColor;
property Images: TCustomImageList;
property ImagesWidth: Integer;
property Indent: Integer;
property MultiSelect: Boolean;
property MultiSelectStyle: TMultiSelectStyle;
property ParentColor: Boolean; | If true, the Color of the control will be the same as the one from the Parent. Default is true.
property ParentFont: Boolean; | If true, the Font of the control will be the same as the one from the Parent. Default is true.
property ParentShowHint: Boolean; | If true, the value of ShowHint for the control will be the same as the one from the Parent. Default is true.
property PopupMenu: TPopupMenu; | A context-sensitive menu that pops up when the right mouse button is clicked over this control
property ReadOnly: Boolean;
property RightClickSelect: Boolean;
property RowSelect: Boolean;
property ScrollBars: TScrollStyle;
property SelectionColor: TColor;
property SelectionFontColor: TColor;
property SelectionFontColorUsed: Boolean;
property SeparatorColor: TColor;
property ShowButtons: Boolean;
property ShowHint: Boolean; | Enables the Hint display.
property ShowLines: Boolean;
property ShowRoot: Boolean;
property SortType: TSortType;
property StateImages: TCustomImageList;
property StateImagesWidth: Integer;
property TabOrder: TTabOrder; | Determines the sequence of controls, reachable when the user presses the Tab key.
property TabStop: Boolean; | Allows the user to navigate to this control, by pressing the Tab key.
property Tag; |
property ToolTips: Boolean;
property Visible: Boolean; | Allows to show or hide the control, and all of its children.
property OnAddition: TTVExpandedEvent;
property OnAdvancedCustomDraw: TTVAdvancedCustomDrawEvent; | OnAdvancedCustomDraw - event handler for advanced custom drawing
property OnAdvancedCustomDrawItem: TTVAdvancedCustomDrawItemEvent; | OnAdvancedCustomDrawItem - event handleer for advanced custom drawing item
property OnChange: TTVChangedEvent; | OnChange - specialised event handler for a change in the TreeView
property OnChanging: TTVChangingEvent; | OnChanging - specialised event handler while TreeView is being changed
property OnClick: TNotifyEvent; | Notification handler for mouse clicks.
property OnCollapsed: TTVExpandedEvent; | OnCollapsed - specialised event handler when part of the tree is collapsed
property OnCollapsing: TTVCollapsingEvent; | OnCollapsing - specialised event handler while part of the tree is being collapsed
property OnCompare: TTVCompareEvent; | OnCompare - specialised event handler for comparisons within the TreeView
property OnContextPopup: TContextPopupEvent; | Invoked when a context-sensitive pop-up menu is requested.
property OnCreateNodeClass: TTVCreateNodeClassEvent;
property OnCustomCreateItem: TTVCustomCreateNodeEvent; | OnCustomCreateItem - event handler for custom item creation
property OnCustomDraw: TTVCustomDrawEvent; | OnCustomDraw - event handler for custom drawing
property OnCustomDrawItem: TTVCustomDrawItemEvent; | OnCustomDrawItem - event handler for custom drawing item
property OnCustomDrawArrow: TTVCustomDrawArrowEvent;
property OnDblClick: TNotifyEvent; | Event Handler for double mouse clicks.
property OnDeletion: TTVExpandedEvent; | OnDeletion - specialised event handler for deletion of node(s) from the tree
property OnDragDrop: TDragDropEvent; | This handler determines the action on an drop onto this control, in a drag-drop operation.
property OnDragOver: TDragOverEvent; | Event handler for a control being dragged over this control.
property OnEdited: TTVEditedEvent; | OnEdited - specialised event handler when the TreeView has been edited
property OnEditing: TTVEditingEvent; | OnEditing - event handler during the editing process
property OnEditingEnd: TTVEditingEndEvent;
property OnEndDrag: TEndDragEvent; | Notification handler for the end of a dragging operation.
property OnEnter: TNotifyEvent; | Handler for control receiving the focus.
property OnExit: TNotifyEvent; | Handler for control loosing the focus. This is a good place for checking the finished user input.
property OnExpanded: TTVExpandedEvent; | OnExpanded - specialised event handler when a TreeView has been expanded
property OnExpanding: TTVExpandingEvent; | OnExpanding - specialised event handler while a TreeView is being expanded
property OnGetImageIndex: TTVExpandedEvent; | OnGetImageIndex - event handler for finding the index of an image
property OnGetSelectedIndex: TTVExpandedEvent; | OnGetSelectedIndex - event handler for finding index of selected item
property OnKeyDown: TKeyEvent; | Handler for keyboard key pressed.
property OnKeyPress: TKeyPressEvent; | Handler for a character entered by the user.
property OnKeyUp: TKeyEvent; | Handler for keyboard key released.
property OnMouseDown: TMouseEvent; | Event handler for mouse button going down.
property OnMouseEnter: TNotifyEvent;
property OnMouseLeave: TNotifyEvent;
property OnMouseMove: TMouseMoveEvent; | Event handler for mouse movement within the control.
property OnMouseUp: TMouseEvent; | Event handler for mouse button going up.
property OnMouseWheel: TMouseWheelEvent;
property OnMouseWheelDown: TMouseWheelUpDownEvent;
property OnMouseWheelUp: TMouseWheelUpDownEvent;
property OnMouseWheelHorz: TMouseWheelEvent;
property OnMouseWheelLeft: TMouseWheelUpDownEvent;
property OnMouseWheelRight: TMouseWheelUpDownEvent;
property OnNodeChanged: TTVNodeChangedEvent;
property OnResize: TNotifyEvent;
property OnSelectionChanged: TNotifyEvent; | OnSelectionChanged - event handler for a change in the selection
property OnShowHint: TControlShowHintEvent; | Event Handler when a hint shall be shown.
property OnStartDrag: TStartDragEvent; | Event handler for the start of a dragging operation.
property OnUTF8KeyPress: TUTF8KeyPressEvent; | Handler for a character entered by the user.
property Options: TTreeViewOptions;
property Items: TTreeNodes; | Collection of tree-items which is the content of control. Has type TTreeNodes.
property TreeLineColor: TColor;
property TreeLinePenStyle: TPenStyle;
end;

Inheritance

TTreeView | TTreeView is a control that displays a hierarchical list of items
|
TCustomTreeView | TCustomTreeView - ancestor class for TTreeView
|
TCustomControl | The base class for windowed controls which paint themselves.
|
TWinControl | The base class for controls which can contain other (child) controls.
|
TControl | The base class for visible controls.
|
TLCLComponent | The base class for LCL components associated with widgets.
|
TComponent,IUnknown,IInterfaceComponentReference
|
TPersistent,IFPObserved
|
TObject

Description

Use a TTreeView to display a hierarchical list of items. Items are shown by their caption and an optional bitmap.

See also

#lcl.stdctrls.HowToUseStdCtrls | How to use StdCtrls, ComCtrls or ExtCtrls
#LCL.ComCtrls.TCustomTreeView | TCustomTreeView - ancestor class for TTreeView


TTreeView
pl | ro | Align
pl | ro | Anchors
pl | ro | AutoExpand
pl | ro | BorderSpacing
pl | ro | BackgroundColor
pl | ro | BorderStyle
pl | ro | BorderWidth
pl | ro | Color
pl | ro | Constraints
pl | ro | DefaultItemHeight
pl | ro | DragKind
pl | ro | DragCursor
pl | ro | DragMode
pl | ro | Enabled
pl | ro | ExpandSignColor
pl | ro | ExpandSignSize
pl | ro | ExpandSignType
pl | ro | Font
pl | ro | HideSelection
pl | ro | HotTrack
pl | ro | HotTrackColor
pl | ro | Images
pl | ro | ImagesWidth
pl | ro | Indent
pl | ro | MultiSelect
pl | ro | MultiSelectStyle
pl | ro | ParentColor
pl | ro | ParentFont
pl | ro | ParentShowHint
pl | ro | PopupMenu
pl | ro | ReadOnly
pl | ro | RightClickSelect
pl | ro | RowSelect
pl | ro | ScrollBars
pl | ro | SelectionColor
pl | ro | SelectionFontColor
pl | ro | SelectionFontColorUsed
pl | ro | SeparatorColor
pl | ro | ShowButtons
pl | ro | ShowHint
pl | ro | ShowLines
pl | ro | ShowRoot
pl | ro | SortType
pl | ro | StateImages
pl | ro | StateImagesWidth
pl | ro | TabOrder
pl | ro | TabStop
pl | ro | Tag
pl | ro | ToolTips
pl | ro | Visible
pl | ro | Options
pl | ro | Items
pl | ro | TreeLineColor
pl | ro | TreeLinePenStyle
TCustomTreeView
pt | ro | EditingItem
pt | ro | States
 |  | AccessibilityOn
pt |  | AutoExpand
pt | ro | BorderStyle
pt |  | HideSelection
pt |  | HotTrack
pt |  | HotTrackColor
pt |  | Indent
pt |  | MultiSelect
pt |  | ReadOnly
pt |  | RightClickSelect
pt |  | RowSelect
pt |  | ScrolledLeft
pt |  | ScrolledTop
pt |  | ShowButtons
pt |  | ShowLines
pt |  | ShowRoot
pt |  | ShowSeparators
pt |  | SortType
pt |  | ToolTips
 |  | BackgroundColor
 | ro | BorderWidth
 |  | BottomItem
 | ro | Color
 |  | DefaultItemHeight
 |  | DropTarget
 |  | ExpandSignColor
 |  | ExpandSignSize
 |  | ExpandSignType
 |  | Images
 |  | ImagesWidth
 |  | InsertMarkNode
 |  | InsertMarkType
 |  | Items
 |  | KeepCollapsedNodes
 |  | MultiSelectStyle
 |  | Options
 |  | ScrollBars
 |  | Selected
 |  | SelectionColor
 | ro | SelectionCount
 |  | SelectionFontColor
 |  | SelectionFontColorUsed
 | ro | Selections
 |  | SeparatorColor
 |  | StateImages
 |  | StateImagesWidth
 |  | TopItem
 |  | TreeLineColor
 |  | TreeLinePenStyle
pl | ro | TabStop
TCustomControl
 |  | Canvas
 | ro | BorderStyle
TWinControl
pt |  | WindowHandle
pt |  | BorderStyle
pt |  | ParentBackground
 |  | BorderWidth
 | ro | BoundsLockCount
 | ro | Brush
 | ro | CachedClientHeight
 | ro | CachedClientWidth
 |  | ChildSizing
 | ro | ControlCount
 | ro | Controls
 |  | DefWndProc
 | ro | DockClientCount
 | ro | DockClients
 |  | DockManager
 |  | DockSite
 |  | DoubleBuffered
 |  | Handle
 | ro | IsFlipped
 | ro | IsResizing
 |  | TabOrder
 |  | TabStop
 |  | ParentDoubleBuffered
 |  | ParentWindow
 | ro | Showing
 |  | UseDockManager
 |  | DesignerDeleting
 | ro | VisibleDockClientCount
TControl
pt | ro | AutoSizing
pt | ro | AutoSizingAll
pt | ro | AutoSizingLockCount
pt |  | ActionLink
pt |  | DesktopFont
pt |  | DragCursor
pt |  | DragKind
pt |  | DragMode
pt |  | MouseCapture
pt |  | ParentColor
pt |  | ParentFont
pt |  | ParentShowHint
pt |  | SessionProperties
pt |  | Text
 | ro | AnchoredControls
 | ro | BaseBounds
 | ro | ReadBounds
 | ro | BaseParentClientSize
 |  | AccessibleDescription
 |  | AccessibleValue
 |  | AccessibleRole
 |  | Action
 |  | Align
 |  | Anchors
 | ro | AnchorSide
 |  | AutoSize
 |  | BorderSpacing
 |  | BoundsRect
 |  | BoundsRectForNewParent
 |  | Caption
 |  | CaptureMouseButtons
 |  | ClientHeight
 | ro | ClientOrigin
 | ro | ClientRect
 |  | ClientWidth
 |  | Color
 |  | Constraints
 | ro | ControlOrigin
 |  | ControlState
 |  | ControlStyle
 |  | Enabled
 |  | Font
 |  | IsControl
 | ro | MouseEntered
 | ro | MouseInClient
 |  | Parent
 |  | PopupMenu
 |  | ShowHint
 |  | Visible
 |  | WindowProc
 |  | DockOrientation
 | ro | Floating
 |  | FloatingDockSiteClass
 |  | HostDockSite
 |  | LRDockWidth
 |  | TBDockHeight
 |  | UndockHeight
 |  | UndockWidth
 |  | BiDiMode
 |  | ParentBiDiMode
pl |  | AnchorSideLeft
pl |  | AnchorSideTop
pl |  | AnchorSideRight
pl |  | AnchorSideBottom
pl |  | Cursor
pl |  | Left
pl |  | Height
pl |  | Hint
pl |  | Top
pl |  | Width
pl |  | HelpType
pl |  | HelpKeyword
pl |  | HelpContext
TLCLComponent
 | ro | LCLRefCount
 | ro | WidgetSetClass
TComponent
 | ro | ComObject
 | ro | Components
 | ro | ComponentCount
 |  | ComponentIndex
 | ro | ComponentState
 | ro | ComponentStyle
 |  | DesignInfo
 | ro | Owner
 |  | VCLComObject
 |  | Name
 |  | Tag
TPersistent
TObject


 |  | AccessibilityOn (TCustomTreeView)
 |  | AccessibleDescription (TControl)
 |  | AccessibleRole (TControl)
 |  | AccessibleValue (TControl)
 |  | Action (TControl)
pt |  | ActionLink (TControl)
 |  | Align (TControl)
pl | ro | Align (TTreeView)
 | ro | AnchoredControls (TControl)
 |  | Anchors (TControl)
pl | ro | Anchors (TTreeView)
 | ro | AnchorSide (TControl)
pl |  | AnchorSideBottom (TControl)
pl |  | AnchorSideLeft (TControl)
pl |  | AnchorSideRight (TControl)
pl |  | AnchorSideTop (TControl)
pt |  | AutoExpand (TCustomTreeView)
pl | ro | AutoExpand (TTreeView)
 |  | AutoSize (TControl)
pt | ro | AutoSizing (TControl)
pt | ro | AutoSizingAll (TControl)
pt | ro | AutoSizingLockCount (TControl)
 |  | BackgroundColor (TCustomTreeView)
pl | ro | BackgroundColor (TTreeView)
 | ro | BaseBounds (TControl)
 | ro | BaseParentClientSize (TControl)
 |  | BiDiMode (TControl)
 |  | BorderSpacing (TControl)
pl | ro | BorderSpacing (TTreeView)
pt |  | BorderStyle (TWinControl)
 | ro | BorderStyle (TCustomControl)
pt | ro | BorderStyle (TCustomTreeView)
pl | ro | BorderStyle (TTreeView)
 |  | BorderWidth (TWinControl)
 | ro | BorderWidth (TCustomTreeView)
pl | ro | BorderWidth (TTreeView)
 |  | BottomItem (TCustomTreeView)
 | ro | BoundsLockCount (TWinControl)
 |  | BoundsRect (TControl)
 |  | BoundsRectForNewParent (TControl)
 | ro | Brush (TWinControl)
 | ro | CachedClientHeight (TWinControl)
 | ro | CachedClientWidth (TWinControl)
 |  | Canvas (TCustomControl)
 |  | Caption (TControl)
 |  | CaptureMouseButtons (TControl)
 |  | ChildSizing (TWinControl)
 |  | ClientHeight (TControl)
 | ro | ClientOrigin (TControl)
 | ro | ClientRect (TControl)
 |  | ClientWidth (TControl)
 |  | Color (TControl)
 | ro | Color (TCustomTreeView)
pl | ro | Color (TTreeView)
 | ro | ComObject (TComponent)
 | ro | ComponentCount (TComponent)
 |  | ComponentIndex (TComponent)
 | ro | Components (TComponent)
 | ro | ComponentState (TComponent)
 | ro | ComponentStyle (TComponent)
 |  | Constraints (TControl)
pl | ro | Constraints (TTreeView)
 | ro | ControlCount (TWinControl)
 | ro | ControlOrigin (TControl)
 | ro | Controls (TWinControl)
 |  | ControlState (TControl)
 |  | ControlStyle (TControl)
pl |  | Cursor (TControl)
 |  | DefaultItemHeight (TCustomTreeView)
pl | ro | DefaultItemHeight (TTreeView)
 |  | DefWndProc (TWinControl)
 |  | DesignerDeleting (TWinControl)
 |  | DesignInfo (TComponent)
pt |  | DesktopFont (TControl)
 | ro | DockClientCount (TWinControl)
 | ro | DockClients (TWinControl)
 |  | DockManager (TWinControl)
 |  | DockOrientation (TControl)
 |  | DockSite (TWinControl)
 |  | DoubleBuffered (TWinControl)
pt |  | DragCursor (TControl)
pl | ro | DragCursor (TTreeView)
pt |  | DragKind (TControl)
pl | ro | DragKind (TTreeView)
pt |  | DragMode (TControl)
pl | ro | DragMode (TTreeView)
 |  | DropTarget (TCustomTreeView)
pt | ro | EditingItem (TCustomTreeView)
 |  | Enabled (TControl)
pl | ro | Enabled (TTreeView)
 |  | ExpandSignColor (TCustomTreeView)
pl | ro | ExpandSignColor (TTreeView)
 |  | ExpandSignSize (TCustomTreeView)
pl | ro | ExpandSignSize (TTreeView)
 |  | ExpandSignType (TCustomTreeView)
pl | ro | ExpandSignType (TTreeView)
 | ro | Floating (TControl)
 |  | FloatingDockSiteClass (TControl)
 |  | Font (TControl)
pl | ro | Font (TTreeView)
 |  | Handle (TWinControl)
pl |  | Height (TControl)
pl |  | HelpContext (TControl)
pl |  | HelpKeyword (TControl)
pl |  | HelpType (TControl)
pt |  | HideSelection (TCustomTreeView)
pl | ro | HideSelection (TTreeView)
pl |  | Hint (TControl)
 |  | HostDockSite (TControl)
pt |  | HotTrack (TCustomTreeView)
pl | ro | HotTrack (TTreeView)
pt |  | HotTrackColor (TCustomTreeView)
pl | ro | HotTrackColor (TTreeView)
 |  | Images (TCustomTreeView)
pl | ro | Images (TTreeView)
 |  | ImagesWidth (TCustomTreeView)
pl | ro | ImagesWidth (TTreeView)
pt |  | Indent (TCustomTreeView)
pl | ro | Indent (TTreeView)
 |  | InsertMarkNode (TCustomTreeView)
 |  | InsertMarkType (TCustomTreeView)
 |  | IsControl (TControl)
 | ro | IsFlipped (TWinControl)
 | ro | IsResizing (TWinControl)
 |  | Items (TCustomTreeView)
pl | ro | Items (TTreeView)
 |  | KeepCollapsedNodes (TCustomTreeView)
 | ro | LCLRefCount (TLCLComponent)
pl |  | Left (TControl)
 |  | LRDockWidth (TControl)
pt |  | MouseCapture (TControl)
 | ro | MouseEntered (TControl)
 | ro | MouseInClient (TControl)
pt |  | MultiSelect (TCustomTreeView)
pl | ro | MultiSelect (TTreeView)
 |  | MultiSelectStyle (TCustomTreeView)
pl | ro | MultiSelectStyle (TTreeView)
 |  | Name (TComponent)
 |  | Options (TCustomTreeView)
pl | ro | Options (TTreeView)
 | ro | Owner (TComponent)
 |  | Parent (TControl)
pt |  | ParentBackground (TWinControl)
 |  | ParentBiDiMode (TControl)
pt |  | ParentColor (TControl)
pl | ro | ParentColor (TTreeView)
 |  | ParentDoubleBuffered (TWinControl)
pt |  | ParentFont (TControl)
pl | ro | ParentFont (TTreeView)
pt |  | ParentShowHint (TControl)
pl | ro | ParentShowHint (TTreeView)
 |  | ParentWindow (TWinControl)
 |  | PopupMenu (TControl)
pl | ro | PopupMenu (TTreeView)
 | ro | ReadBounds (TControl)
pt |  | ReadOnly (TCustomTreeView)
pl | ro | ReadOnly (TTreeView)
pt |  | RightClickSelect (TCustomTreeView)
pl | ro | RightClickSelect (TTreeView)
pt |  | RowSelect (TCustomTreeView)
pl | ro | RowSelect (TTreeView)
 |  | ScrollBars (TCustomTreeView)
pl | ro | ScrollBars (TTreeView)
pt |  | ScrolledLeft (TCustomTreeView)
pt |  | ScrolledTop (TCustomTreeView)
 |  | Selected (TCustomTreeView)
 |  | SelectionColor (TCustomTreeView)
pl | ro | SelectionColor (TTreeView)
 | ro | SelectionCount (TCustomTreeView)
 |  | SelectionFontColor (TCustomTreeView)
pl | ro | SelectionFontColor (TTreeView)
 |  | SelectionFontColorUsed (TCustomTreeView)
pl | ro | SelectionFontColorUsed (TTreeView)
 | ro | Selections (TCustomTreeView)
 |  | SeparatorColor (TCustomTreeView)
pl | ro | SeparatorColor (TTreeView)
pt |  | SessionProperties (TControl)
pt |  | ShowButtons (TCustomTreeView)
pl | ro | ShowButtons (TTreeView)
 |  | ShowHint (TControl)
pl | ro | ShowHint (TTreeView)
 | ro | Showing (TWinControl)
pt |  | ShowLines (TCustomTreeView)
pl | ro | ShowLines (TTreeView)
pt |  | ShowRoot (TCustomTreeView)
pl | ro | ShowRoot (TTreeView)
pt |  | ShowSeparators (TCustomTreeView)
pt |  | SortType (TCustomTreeView)
pl | ro | SortType (TTreeView)
 |  | StateImages (TCustomTreeView)
pl | ro | StateImages (TTreeView)
 |  | StateImagesWidth (TCustomTreeView)
pl | ro | StateImagesWidth (TTreeView)
pt | ro | States (TCustomTreeView)
 |  | TabOrder (TWinControl)
pl | ro | TabOrder (TTreeView)
 |  | TabStop (TWinControl)
pl | ro | TabStop (TCustomTreeView)
pl | ro | TabStop (TTreeView)
 |  | Tag (TComponent)
pl | ro | Tag (TTreeView)
 |  | TBDockHeight (TControl)
pt |  | Text (TControl)
pt |  | ToolTips (TCustomTreeView)
pl | ro | ToolTips (TTreeView)
pl |  | Top (TControl)
 |  | TopItem (TCustomTreeView)
 |  | TreeLineColor (TCustomTreeView)
pl | ro | TreeLineColor (TTreeView)
 |  | TreeLinePenStyle (TCustomTreeView)
pl | ro | TreeLinePenStyle (TTreeView)
 |  | UndockHeight (TControl)
 |  | UndockWidth (TControl)
 |  | UseDockManager (TWinControl)
 |  | VCLComObject (TComponent)
 |  | Visible (TControl)
pl | ro | Visible (TTreeView)
 | ro | VisibleDockClientCount (TWinControl)
 | ro | WidgetSetClass (TLCLComponent)
pl |  | Width (TControl)
pt |  | WindowHandle (TWinControl)
 |  | WindowProc (TControl)


TTreeView
TCustomTreeView
pt | WSRegisterClass
pt | GetControlClassDefaultSize
pt | Added
pt | EditorEditingDone
pt | EditorKeyDown
pt | BeginAutoDrag
pt | BeginEditing
pt | DoDragMsg
pt | CanChange
pt | CanCollapse
pt | CanEdit
pt | CanExpand
pt | CreateNode
pt | CreateNodes
pt | CustomDraw
pt | CustomDrawItem
pt | DefaultItemHeightIsStored
pt | DoAutoAdjustLayout
pt | ExpandSignSizeIsStored
pt | GetDragImages
pt | GetMaxLvl
pt | GetMaxScrollLeft
pt | GetMaxScrollTop
pt | GetNodeAtY
pt | GetNodeDrawAreaHeight
pt | GetNodeDrawAreaWidth
pt | IndentIsStored
pt | IsCustomDrawn
pt | IsNodeVisible
pt | IsNodeHeightFullVisible
pt | IsInsertMarkVisible
pt | MoveSelection
pt | Change
pt | Collapse
pt | CreateWnd
pt | Delete
pt | DestroyWnd
pt | DoCreateNodeClass
pt | DoEndDrag
pt | DoMouseWheel
pt | DoMouseWheelHorz
pt | DoPaint
pt | DoPaintNode
pt | DoStartDrag
pt | DragOver
pt | EndEditing
pt | EnsureNodeIsVisible
pt | Expand
pt | GetImageIndex
pt | GetSelectedIndex
pt | InitializeWnd
pt | KeyDown
pt | Loaded
pt | MouseDown
pt | MouseMove
pt | MouseUp
pt | MouseLeave
pt | NodeChanged
pt | Notification
pt | Paint
pt | ScrollView
pt | SetDragMode
pt | SetOptions
pt | UpdateDefaultItemHeight
pt | UpdateInsertMark
pt | DoSelectionChanged
pt | WMHScroll
pt | WMVScroll
pt | WMLButtonDown
pt | WMSetFocus
pt | WMKillFocus
pt | Resize
 | GetSelectedChildAccessibleObject
 | GetChildAccessibleObjectAtPos
 | Create
 | Destroy
 | AlphaSort
 | ClearSelection
 | ConsistencyCheck
 | CustomSort
 | DefaultTreeViewSort
 | EraseBackground
 | GetHitTestInfoAt
 | GetNodeAt
 | GetInsertMarkAt
 | SetInsertMark
 | SetInsertMarkAt
 | Invalidate
 | IsEditing
 | BeginUpdate
 | EndUpdate
 | FullCollapse
 | FullExpand
 | LoadFromFile
 | LoadFromStream
 | SaveToFile
 | SaveToStream
 | WriteDebugReport
 | LockSelectionChangeEvent
 | UnlockSelectionChangeEvent
 | GetFirstMultiSelected
 | GetLastMultiSelected
 | Select
 | SelectionVisible
 | MakeSelectionVisible
 | ClearInvisibleSelection
 | StoreCurrentSelection
 | ApplyStoredSelection
 | MoveToNextNode
 | MoveToPrevNode
 | MovePageDown
 | MovePageUp
 | MoveHome
 | MoveEnd
TCustomControl
pt | WSRegisterClass
pt | WMPaint
pt | DestroyWnd
pt | PaintWindow
pt | FontChanged
pt | SetColor
pt | Paint
 | Create
 | Destroy
TWinControl
pt | WSRegisterClass
pt | AdjustClientRect
pt | GetAdjustedLogicalClientRect
pt | AlignControls
pt | CustomAlignInsertBefore
pt | CustomAlignPosition
pt | DoAlignChildControls
pt | DoChildSizingChange
pt | InvalidatePreferredChildSizes
pt | CanTab
pt | IsClientHeightStored
pt | IsClientWidthStored
pt | DoSendShowHideToInterface
pt | ControlsAligned
pt | DoSendBoundsToInterface
pt | RealizeBounds
pt | RealizeBoundsRecursive
pt | InvalidateBoundsRealized
pt | CreateSubClass
pt | DoConstraintsChange
pt | DoSetBounds
pt | DoAutoSize
pt | DoAllAutoSize
pt | AllAutoSized
pt | CalculatePreferredSize
pt | GetPreferredSizeClientFrame
pt | GetChildren
pt | ChildClassAllowed
pt | PaintControls
pt | PaintHandler
pt | PaintWindow
pt | CreateBrush
pt | ScaleControls
pt | ChangeScale
pt | CMBiDiModeChanged
pt | CMBorderChanged
pt | CMDoubleBufferedChanged
pt | CMEnabledChanged
pt | CMParentDoubleBufferedChanged
pt | CMShowingChanged
pt | CMShowHintChanged
pt | CMVisibleChanged
pt | CMEnter
pt | CMExit
pt | WMContextMenu
pt | WMEraseBkgnd
pt | WMNotify
pt | WMSetFocus
pt | WMKillFocus
pt | WMShowWindow
pt | WMEnter
pt | WMExit
pt | WMKeyDown
pt | WMSysKeyDown
pt | WMKeyUp
pt | WMSysKeyUp
pt | WMChar
pt | WMSysChar
pt | WMPaint
pt | WMDestroy
pt | WMMove
pt | WMSize
pt | WMWindowPosChanged
pt | CNKeyDown
pt | CNSysKeyDown
pt | CNKeyUp
pt | CNSysKeyUp
pt | CNChar
pt | DoDragMsg
pt | DoDockClientMsg
pt | DoUndockClientMsg
pt | DoAddDockClient
pt | DockOver
pt | DoDockOver
pt | DoRemoveDockClient
pt | DoUnDock
pt | GetSiteInfo
pt | GetParentHandle
pt | GetTopParentHandle
pt | ReloadDockedControl
pt | CreateDockManager
pt | SetDockManager
pt | DoFloatMsg
pt | DoGetDockCaption
pt | DoEnter
pt | DoExit
pt | DoKeyDownBeforeInterface
pt | DoRemainingKeyDown
pt | DoRemainingKeyUp
pt | DoKeyPress
pt | DoUTF8KeyPress
pt | DoKeyUpBeforeInterface
pt | ChildKey
pt | SendDialogChar
pt | DialogChar
pt | ControlKeyDown
pt | ControlKeyUp
pt | KeyDown
pt | KeyDownBeforeInterface
pt | KeyDownAfterInterface
pt | KeyPress
pt | KeyUp
pt | KeyUpBeforeInterface
pt | KeyUpAfterInterface
pt | UTF8KeyPress
pt | FindNextControl
pt | SelectFirst
pt | RealGetText
pt | GetBorderStyle
pt | GetClientOrigin
pt | GetClientRect
pt | GetControlOrigin
pt | GetDeviceContext
pt | GetParentBackground
pt | IsControlMouseMsg
pt | CreateHandle
pt | CreateParams
pt | CreateWnd
pt | DestroyHandle
pt | DestroyWnd
pt | DoFlipChildren
pt | FinalizeWnd
pt | FixupTabList
pt | FontChanged
pt | InitializeWnd
pt | Loaded
pt | FormEndUpdated
pt | MainWndProc
pt | ParentFormHandleInitialized
pt | ChildHandlesCreated
pt | GetMouseCapture
pt | RealSetText
pt | RemoveFocus
pt | SendMoveSizeMessages
pt | SetBorderStyle
pt | SetColor
pt | SetChildZPosition
pt | SetParentBackground
pt | ShowControl
pt | UpdateControlState
pt | UpdateShowing
pt | WndProc
pt | WSSetText
 | AutoSizePhases
 | AutoSizeDelayed
 | AutoSizeDelayedReport
 | AutoSizeDelayedHandle
 | BeginUpdateBounds
 | EndUpdateBounds
 | LockRealizeBounds
 | UnlockRealizeBounds
 | ControlAtPos
 | ContainsControl
 | DoAdjustClientRectChange
 | InvalidateClientRectCache
 | ClientRectNeedsInterfaceUpdate
 | SetBounds
 | GetChildrenRect
 | DisableAlign
 | EnableAlign
 | ReAlign
 | ScrollBy_WS
 | ScrollBy
 | WriteLayoutDebugReport
 | AutoAdjustLayout
 | Create
 | CreateParented
 | CreateParentedControl
 | Destroy
 | DockDrop
 | CanFocus
 | CanSetFocus
 | GetControlIndex
 | SetControlIndex
 | Focused
 | PerformTab
 | FindChildControl
 | SelectNext
 | SetTempCursor
 | BroadCast
 | NotifyControls
 | DefaultHandler
 | GetTextLen
 | Invalidate
 | AddControl
 | InsertControl
 | RemoveControl
 | GetEnumeratorControls
 | GetEnumeratorControlsReverse
 | Repaint
 | Update
 | SetFocus
 | FlipChildren
 | ScaleBy
 | GetDockCaption
 | UpdateDockCaption
 | GetTabOrderList
 | HandleAllocated
 | ParentHandlesAllocated
 | HandleNeeded
 | BrushCreated
 | EraseBackground
 | IntfUTF8KeyPress
 | IntfGetDropFilesTarget
 | PaintTo
 | SetShape
TControl
pt | WSRegisterClass
pt | GetCursor
pt | SetCursor
pt | SetVisible
pt | DoOnParentHandleDestruction
pt | DoAutoSize
pt | DoAllAutoSize
pt | BeginAutoSizing
pt | EndAutoSizing
pt | AnchorSideChanged
pt | ForeignAnchorSideChanged
pt | SetAlign
pt | SetAnchors
pt | SetAutoSize
pt | BoundsChanged
pt | CreateControlBorderSpacing
pt | DoConstraintsChange
pt | DoBorderSpacingChange
pt | IsBorderSpacingInnerBorderStored
pt | IsCaptionStored
pt | SendMoveSizeMessages
pt | ConstrainedResize
pt | CalculatePreferredSize
pt | DoOnResize
pt | DoOnChangeBounds
pt | CheckOnChangeBounds
pt | Resize
pt | RequestAlign
pt | UpdateAnchorRules
pt | ChangeBounds
pt | DoSetBounds
pt | ScaleConstraints
pt | ChangeScale
pt | CanAutoSize
pt | SetBiDiMode
pt | SetParentBiDiMode
pt | IsAParentAligning
pt | GetClientOrigin
pt | GetClientRect
pt | GetLogicalClientRect
pt | GetScrolledClientRect
pt | GetClientScrollOffset
pt | GetControlOrigin
pt | IsClientHeightStored
pt | IsClientWidthStored
pt | WidthIsAnchored
pt | HeightIsAnchored
pt | WMCancelMode
pt | WMContextMenu
pt | WMLButtonDown
pt | WMRButtonDown
pt | WMMButtonDown
pt | WMXButtonDown
pt | WMLButtonDBLCLK
pt | WMRButtonDBLCLK
pt | WMMButtonDBLCLK
pt | WMXButtonDBLCLK
pt | WMLButtonTripleCLK
pt | WMRButtonTripleCLK
pt | WMMButtonTripleCLK
pt | WMXButtonTripleCLK
pt | WMLButtonQuadCLK
pt | WMRButtonQuadCLK
pt | WMMButtonQuadCLK
pt | WMXButtonQuadCLK
pt | WMMouseMove
pt | WMLButtonUp
pt | WMRButtonUp
pt | WMMButtonUp
pt | WMXButtonUp
pt | WMMouseWheel
pt | WMMouseHWheel
pt | WMMove
pt | WMSize
pt | WMWindowPosChanged
pt | CMChanged
pt | LMCaptureChanged
pt | CMBiDiModeChanged
pt | CMSysFontChanged
pt | CMEnabledChanged
pt | CMHitTest
pt | CMMouseEnter
pt | CMMouseLeave
pt | CMHintShow
pt | CMParentBiDiModeChanged
pt | CMParentColorChanged
pt | CMParentFontChanged
pt | CMParentShowHintChanged
pt | CMVisibleChanged
pt | CMTextChanged
pt | CMCursorChanged
pt | CalculateDockSizes
pt | CreateFloatingDockSite
pt | GetDockEdge
pt | GetDragImages
pt | GetFloating
pt | GetFloatingDockSiteClass
pt | BeforeDragStart
pt | BeginAutoDrag
pt | DoFloatMsg
pt | DockTrackNoTarget
pt | DoDock
pt | DoDragMsg
pt | DoEndDock
pt | DoEndDrag
pt | DoStartDock
pt | DoStartDrag
pt | DragCanceled
pt | DragOver
pt | PositionDockRect
pt | SetDragMode
pt | GetDefaultDockCaption
pt | Click
pt | DblClick
pt | TripleClick
pt | QuadClick
pt | GetMousePosFromMessage
pt | MouseDown
pt | MouseMove
pt | MouseUp
pt | MouseEnter
pt | MouseLeave
pt | DialogChar
pt | UpdateMouseCursor
pt | Changed
pt | GetPalette
pt | ChildClassAllowed
pt | ReadState
pt | Loaded
pt | LoadedAll
pt | DefineProperties
pt | AssignTo
pt | FormEndUpdated
pt | InvalidateControl
pt | FontChanged
pt | ParentFontChanged
pt | GetAction
pt | RealGetText
pt | RealSetText
pt | TextChanged
pt | GetCachedText
pt | SetAction
pt | SetColor
pt | SetEnabled
pt | SetHint
pt | SetName
pt | SetParent
pt | SetParentComponent
pt | WndProc
pt | ParentFormHandleInitialized
pt | GetMouseCapture
pt | CaptureChanged
pt | Notification
pt | CanTab
pt | GetDeviceContext
pt | GetEnabled
pt | GetPopupMenu
pt | DoOnShowHint
pt | DoMouseWheel
pt | DoMouseWheelDown
pt | DoMouseWheelUp
pt | DoMouseWheelHorz
pt | DoMouseWheelLeft
pt | DoMouseWheelRight
pt | VisibleChanging
pt | VisibleChanged
pt | EnabledChanging
pt | EnabledChanged
pt | AddHandler
pt | RemoveHandler
pt | DoCallNotifyHandler
pt | DoCallKeyEventHandler
pt | DoCallMouseWheelEventHandler
pt | DoContextPopup
pt | SetZOrder
pt | GetControlClassDefaultSize
pt | ColorIsStored
pt | DoAutoAdjustLayout
pt | DoFixDesignFontPPI
pt | DoScaleFontPPI
pt | GetActionLinkClass
pt | ActionChange
 | DragDrop
 | Dock
 | ManualDock
 | ManualFloat
 | ReplaceDockedControl
 | Docked
 | Dragging
 | GetAccessibleObject
 | CreateAccessibleObject
 | GetSelectedChildAccessibleObject
 | GetChildAccessibleObjectAtPos
 | ScaleDesignToForm
 | ScaleFormToDesign
 | Scale96ToForm
 | ScaleFormTo96
 | Scale96ToFont
 | ScaleFontTo96
 | ScaleScreenToFont
 | ScaleFontToScreen
 | Scale96ToScreen
 | ScaleScreenTo96
 | AdjustSize
 | AutoSizePhases
 | AutoSizeDelayed
 | AutoSizeDelayedReport
 | AutoSizeDelayedHandle
 | AnchorToNeighbour
 | AnchorParallel
 | AnchorHorizontalCenterTo
 | AnchorVerticalCenterTo
 | AnchorToCompanion
 | AnchorSame
 | AnchorAsAlign
 | AnchorClient
 | AnchoredControlCount
 | SetBounds
 | SetInitialBounds
 | SetBoundsKeepBase
 | GetPreferredSize
 | GetCanvasScaleFactor
 | GetDefaultWidth
 | GetDefaultHeight
 | GetDefaultColor
 | GetColorResolvingParent
 | GetRGBColorResolvingParent
 | GetSidePosition
 | CNPreferredSizeChanged
 | InvalidatePreferredSize
 | GetAnchorsDependingOnParent
 | DisableAutoSizing
 | EnableAutoSizing
 | UpdateBaseBounds
 | WriteLayoutDebugReport
 | AutoAdjustLayout
 | ShouldAutoAdjust
 | FixDesignFontsPPI
 | ScaleFontsPPI
 | Create
 | Destroy
 | BeforeDestruction
 | EditingDone
 | ExecuteDefaultAction
 | ExecuteCancelAction
 | BeginDrag
 | EndDrag
 | BringToFront
 | HasParent
 | GetParentComponent
 | IsParentOf
 | GetTopParent
 | IsVisible
 | IsControlVisible
 | IsEnabled
 | IsParentColor
 | IsParentFont
 | FormIsUpdating
 | IsProcessingPaintMsg
 | Hide
 | Refresh
 | Repaint
 | Invalidate
 | CheckChildClassAllowed
 | CheckNewParent
 | SendToBack
 | SetTempCursor
 | UpdateRolesForForm
 | ActiveDefaultControlChanged
 | GetTextBuf
 | GetTextLen
 | SetTextBuf
 | Perform
 | ScreenToClient
 | ClientToScreen
 | ScreenToControl
 | ControlToScreen
 | ClientToParent
 | ParentToClient
 | GetChildrenRect
 | Show
 | Update
 | HandleObjectShouldBeVisible
 | ParentDestroyingHandle
 | ParentHandlesAllocated
 | InitiateAction
 | ShowHelp
 | HasHelp
 | RemoveAllHandlersOfObject
 | AddHandlerOnResize
 | RemoveHandlerOnResize
 | AddHandlerOnChangeBounds
 | RemoveHandlerOnChangeBounds
 | AddHandlerOnVisibleChanging
 | RemoveHandlerOnVisibleChanging
 | AddHandlerOnVisibleChanged
 | RemoveHandlerOnVisibleChanged
 | AddHandlerOnEnabledChanged
 | RemoveHandlerOnEnableChanging
 | AddHandlerOnKeyDown
 | RemoveHandlerOnKeyDown
 | AddHandlerOnBeforeDestruction
 | RemoveHandlerOnBeforeDestruction
 | AddHandlerOnMouseWheel
 | RemoveHandlerOnMouseWheel
 | UseRightToLeftAlignment
 | UseRightToLeftReading
 | UseRightToLeftScrollBar
 | IsRightToLeft
TLCLComponent
pt | WSRegisterClass
pt | GetWSComponentClass
 | Create
 | Destroy
 | NewInstance
 | RemoveAllHandlersOfObject
 | IncLCLRefCount
 | DecLCLRefCount
TComponent
 | GetComObject
 | GetComponent
 | GetComponentCount
 | GetComponentIndex
 | Insert
 | ReadLeft
 | ReadTop
 | Remove
 | RemoveNotification
 | SetComponentIndex
 | SetReference
 | WriteLeft
 | WriteTop
 | ChangeName
 | DefineProperties
 | GetChildren
 | GetChildOwner
 | GetChildParent
 | GetOwner
 | Loaded
 | Loading
 | Notification
 | PaletteCreated
 | ReadState
 | SetAncestor
 | SetDesigning
 | SetDesignInstance
 | SetInline
 | SetName
 | SetChildOrder
 | SetParentComponent
 | Updating
 | Updated
 | UpdateRegistry
 | ValidateRename
 | ValidateContainer
 | ValidateInsert
 | QueryInterface
 | _AddRef
 | _Release
 | iicrGetComponent
 | GetTypeInfoCount
 | GetTypeInfo
 | GetIDsOfNames
 | Invoke
 | WriteState
 | Create
 | Destroy
 | BeforeDestruction
 | DestroyComponents
 | Destroying
 | ExecuteAction
 | FindComponent
 | FreeNotification
 | RemoveFreeNotification
 | FreeOnRelease
 | GetEnumerator
 | GetNamePath
 | GetParentComponent
 | HasParent
 | InsertComponent
 | RemoveComponent
 | SafeCallException
 | SetSubComponent
 | UpdateAction
 | IsImplementorOf
 | ReferenceInterface
TPersistent
 | AssignError
 | AssignTo
 | DefineProperties
 | GetOwner
 | Destroy
 | Assign
 | FPOAttachObserver
 | FPODetachObserver
 | FPONotifyObservers
 | GetNamePath
TObject
 | Create
 | Destroy
 | newinstance
 | FreeInstance
 | SafeCallException
 | DefaultHandler
 | Free
 | InitInstance
 | CleanupInstance
 | ClassType
 | ClassInfo
 | ClassName
 | ClassNameIs
 | ClassParent
 | InstanceSize
 | InheritsFrom
 | StringMessageTable
 | MethodAddress
 | MethodName
 | FieldAddress
 | AfterConstruction
 | BeforeDestruction
 | DefaultHandlerStr
 | Dispatch
 | DispatchStr
 | GetInterface
 | GetInterfaceByStr
 | GetInterfaceWeak
 | GetInterfaceEntry
 | GetInterfaceEntryByStr
 | GetInterfaceTable
 | UnitName
 | Equals
 | GetHashCode
 | ToString


TTreeView
pl | ro | OnAddition
pl | ro | OnAdvancedCustomDraw
pl | ro | OnAdvancedCustomDrawItem
pl | ro | OnChange
pl | ro | OnChanging
pl | ro | OnClick
pl | ro | OnCollapsed
pl | ro | OnCollapsing
pl | ro | OnCompare
pl | ro | OnContextPopup
pl | ro | OnCreateNodeClass
pl | ro | OnCustomCreateItem
pl | ro | OnCustomDraw
pl | ro | OnCustomDrawItem
pl | ro | OnCustomDrawArrow
pl | ro | OnDblClick
pl | ro | OnDeletion
pl | ro | OnDragDrop
pl | ro | OnDragOver
pl | ro | OnEdited
pl | ro | OnEditing
pl | ro | OnEditingEnd
pl | ro | OnEndDrag
pl | ro | OnEnter
pl | ro | OnExit
pl | ro | OnExpanded
pl | ro | OnExpanding
pl | ro | OnGetImageIndex
pl | ro | OnGetSelectedIndex
pl | ro | OnKeyDown
pl | ro | OnKeyPress
pl | ro | OnKeyUp
pl | ro | OnMouseDown
pl | ro | OnMouseEnter
pl | ro | OnMouseLeave
pl | ro | OnMouseMove
pl | ro | OnMouseUp
pl | ro | OnMouseWheel
pl | ro | OnMouseWheelDown
pl | ro | OnMouseWheelUp
pl | ro | OnMouseWheelHorz
pl | ro | OnMouseWheelLeft
pl | ro | OnMouseWheelRight
pl | ro | OnNodeChanged
pl | ro | OnResize
pl | ro | OnSelectionChanged
pl | ro | OnShowHint
pl | ro | OnStartDrag
pl | ro | OnUTF8KeyPress
TCustomTreeView
pt |  | OnAddition
pt |  | OnAdvancedCustomDraw
pt |  | OnAdvancedCustomDrawItem
pt |  | OnChange
pt |  | OnChanging
pt |  | OnCollapsed
pt |  | OnCollapsing
pt |  | OnCompare
pt |  | OnCreateNodeClass
pt |  | OnCustomCreateItem
pt |  | OnCustomDraw
pt |  | OnCustomDrawItem
pt |  | OnCustomDrawArrow
pt |  | OnDeletion
pt |  | OnEdited
pt |  | OnEditing
pt |  | OnEditingEnd
pt |  | OnExpanded
pt |  | OnExpanding
pt |  | OnGetImageIndex
pt |  | OnGetSelectedIndex
pt |  | OnNodeChanged
pt |  | OnSelectionChanged
TCustomControl
 |  | OnPaint
TWinControl
pt |  | OnGetSiteInfo
pt |  | OnGetDockCaption
 |  | OnAlignInsertBefore
 |  | OnAlignPosition
 |  | OnDockDrop
 |  | OnDockOver
 |  | OnEnter
 |  | OnExit
 |  | OnKeyDown
 |  | OnKeyPress
 |  | OnKeyUp
 |  | OnUnDock
 |  | OnUTF8KeyPress
TControl
pt |  | OnConstrainedResize
pt |  | OnContextPopup
pt |  | OnDblClick
pt |  | OnTripleClick
pt |  | OnQuadClick
pt |  | OnDragDrop
pt |  | OnDragOver
pt |  | OnEndDock
pt |  | OnEndDrag
pt |  | OnMouseDown
pt |  | OnMouseMove
pt |  | OnMouseUp
pt |  | OnMouseEnter
pt |  | OnMouseLeave
pt |  | OnMouseWheel
pt |  | OnMouseWheelDown
pt |  | OnMouseWheelUp
pt |  | OnMouseWheelHorz
pt |  | OnMouseWheelLeft
pt |  | OnMouseWheelRight
pt |  | OnStartDock
pt |  | OnStartDrag
pt |  | OnEditingDone
 |  | OnChangeBounds
 |  | OnClick
 |  | OnResize
 |  | OnShowHint
TLCLComponent
TComponent
TPersistent
TObject


pt |  | OnAddition (TCustomTreeView)
pl | ro | OnAddition (TTreeView)
pt |  | OnAdvancedCustomDraw (TCustomTreeView)
pl | ro | OnAdvancedCustomDraw (TTreeView)
pt |  | OnAdvancedCustomDrawItem (TCustomTreeView)
pl | ro | OnAdvancedCustomDrawItem (TTreeView)
 |  | OnAlignInsertBefore (TWinControl)
 |  | OnAlignPosition (TWinControl)
pt |  | OnChange (TCustomTreeView)
pl | ro | OnChange (TTreeView)
 |  | OnChangeBounds (TControl)
pt |  | OnChanging (TCustomTreeView)
pl | ro | OnChanging (TTreeView)
 |  | OnClick (TControl)
pl | ro | OnClick (TTreeView)
pt |  | OnCollapsed (TCustomTreeView)
pl | ro | OnCollapsed (TTreeView)
pt |  | OnCollapsing (TCustomTreeView)
pl | ro | OnCollapsing (TTreeView)
pt |  | OnCompare (TCustomTreeView)
pl | ro | OnCompare (TTreeView)
pt |  | OnConstrainedResize (TControl)
pt |  | OnContextPopup (TControl)
pl | ro | OnContextPopup (TTreeView)
pt |  | OnCreateNodeClass (TCustomTreeView)
pl | ro | OnCreateNodeClass (TTreeView)
pt |  | OnCustomCreateItem (TCustomTreeView)
pl | ro | OnCustomCreateItem (TTreeView)
pt |  | OnCustomDraw (TCustomTreeView)
pl | ro | OnCustomDraw (TTreeView)
pt |  | OnCustomDrawArrow (TCustomTreeView)
pl | ro | OnCustomDrawArrow (TTreeView)
pt |  | OnCustomDrawItem (TCustomTreeView)
pl | ro | OnCustomDrawItem (TTreeView)
pt |  | OnDblClick (TControl)
pl | ro | OnDblClick (TTreeView)
pt |  | OnDeletion (TCustomTreeView)
pl | ro | OnDeletion (TTreeView)
 |  | OnDockDrop (TWinControl)
 |  | OnDockOver (TWinControl)
pt |  | OnDragDrop (TControl)
pl | ro | OnDragDrop (TTreeView)
pt |  | OnDragOver (TControl)
pl | ro | OnDragOver (TTreeView)
pt |  | OnEdited (TCustomTreeView)
pl | ro | OnEdited (TTreeView)
pt |  | OnEditing (TCustomTreeView)
pl | ro | OnEditing (TTreeView)
pt |  | OnEditingDone (TControl)
pt |  | OnEditingEnd (TCustomTreeView)
pl | ro | OnEditingEnd (TTreeView)
pt |  | OnEndDock (TControl)
pt |  | OnEndDrag (TControl)
pl | ro | OnEndDrag (TTreeView)
 |  | OnEnter (TWinControl)
pl | ro | OnEnter (TTreeView)
 |  | OnExit (TWinControl)
pl | ro | OnExit (TTreeView)
pt |  | OnExpanded (TCustomTreeView)
pl | ro | OnExpanded (TTreeView)
pt |  | OnExpanding (TCustomTreeView)
pl | ro | OnExpanding (TTreeView)
pt |  | OnGetDockCaption (TWinControl)
pt |  | OnGetImageIndex (TCustomTreeView)
pl | ro | OnGetImageIndex (TTreeView)
pt |  | OnGetSelectedIndex (TCustomTreeView)
pl | ro | OnGetSelectedIndex (TTreeView)
pt |  | OnGetSiteInfo (TWinControl)
 |  | OnKeyDown (TWinControl)
pl | ro | OnKeyDown (TTreeView)
 |  | OnKeyPress (TWinControl)
pl | ro | OnKeyPress (TTreeView)
 |  | OnKeyUp (TWinControl)
pl | ro | OnKeyUp (TTreeView)
pt |  | OnMouseDown (TControl)
pl | ro | OnMouseDown (TTreeView)
pt |  | OnMouseEnter (TControl)
pl | ro | OnMouseEnter (TTreeView)
pt |  | OnMouseLeave (TControl)
pl | ro | OnMouseLeave (TTreeView)
pt |  | OnMouseMove (TControl)
pl | ro | OnMouseMove (TTreeView)
pt |  | OnMouseUp (TControl)
pl | ro | OnMouseUp (TTreeView)
pt |  | OnMouseWheel (TControl)
pl | ro | OnMouseWheel (TTreeView)
pt |  | OnMouseWheelDown (TControl)
pl | ro | OnMouseWheelDown (TTreeView)
pt |  | OnMouseWheelHorz (TControl)
pl | ro | OnMouseWheelHorz (TTreeView)
pt |  | OnMouseWheelLeft (TControl)
pl | ro | OnMouseWheelLeft (TTreeView)
pt |  | OnMouseWheelRight (TControl)
pl | ro | OnMouseWheelRight (TTreeView)
pt |  | OnMouseWheelUp (TControl)
pl | ro | OnMouseWheelUp (TTreeView)
pt |  | OnNodeChanged (TCustomTreeView)
pl | ro | OnNodeChanged (TTreeView)
 |  | OnPaint (TCustomControl)
pt |  | OnQuadClick (TControl)
 |  | OnResize (TControl)
pl | ro | OnResize (TTreeView)
pt |  | OnSelectionChanged (TCustomTreeView)
pl | ro | OnSelectionChanged (TTreeView)
 |  | OnShowHint (TControl)
pl | ro | OnShowHint (TTreeView)
pt |  | OnStartDock (TControl)
pt |  | OnStartDrag (TControl)
pl | ro | OnStartDrag (TTreeView)
pt |  | OnTripleClick (TControl)
 |  | OnUnDock (TWinControl)
 |  | OnUTF8KeyPress (TWinControl)
pl | ro | OnUTF8KeyPress (TTreeView)


TTreeView.AutoExpand

Declaration

Source position: comctrls.pp line 3693

published property TTreeView.AutoExpand : Boolean;


TTreeView.BackgroundColor

Declaration

Source position: comctrls.pp line 3695

published property TTreeView.BackgroundColor : TColor;


TTreeView.DefaultItemHeight

Declaration

Source position: comctrls.pp line 3700

published property TTreeView.DefaultItemHeight : Integer;


TTreeView.ExpandSignColor

Declaration

Source position: comctrls.pp line 3705

published property TTreeView.ExpandSignColor : TColor;


TTreeView.ExpandSignSize

Declaration

Source position: comctrls.pp line 3706

published property TTreeView.ExpandSignSize : Integer;


TTreeView.ExpandSignType

Declaration

Source position: comctrls.pp line 3707

published property TTreeView.ExpandSignType : TTreeViewExpandSignType;


TTreeView.HideSelection

Declaration

Source position: comctrls.pp line 3709

published property TTreeView.HideSelection : Boolean;


TTreeView.HotTrack

Declaration

Source position: comctrls.pp line 3710

published property TTreeView.HotTrack : Boolean;


TTreeView.HotTrackColor

Declaration

Source position: comctrls.pp line 3711

published property TTreeView.HotTrackColor : TColor;


TTreeView.Images

Declaration

Source position: comctrls.pp line 3712

published property TTreeView.Images : TCustomImageList;


TTreeView.ImagesWidth

Declaration

Source position: comctrls.pp line 3713

published property TTreeView.ImagesWidth : Integer;


TTreeView.Indent

Declaration

Source position: comctrls.pp line 3714

published property TTreeView.Indent : Integer;


TTreeView.MultiSelect

Declaration

Source position: comctrls.pp line 3715

published property TTreeView.MultiSelect : Boolean;


TTreeView.MultiSelectStyle

Declaration

Source position: comctrls.pp line 3716

published property TTreeView.MultiSelectStyle : TMultiSelectStyle;


TTreeView.OnAddition

Declaration

Source position: comctrls.pp line 3741

published property TTreeView.OnAddition : TTVExpandedEvent;


TTreeView.OnCreateNodeClass

Declaration

Source position: comctrls.pp line 3751

published property TTreeView.OnCreateNodeClass : TTVCreateNodeClassEvent;


TTreeView.OnCustomDrawArrow

Declaration

Source position: comctrls.pp line 3755

published property TTreeView.OnCustomDrawArrow : TTVCustomDrawArrowEvent;


TTreeView.OnEditing

OnEditing - event handler during the editing process

Declaration

Source position: comctrls.pp line 3761

published property TTreeView.OnEditing : TTVEditingEvent;


TTreeView.OnEditingEnd

Declaration

Source position: comctrls.pp line 3762

published property TTreeView.OnEditingEnd : TTVEditingEndEvent;


TTreeView.OnMouseEnter

Declaration

Source position: comctrls.pp line 3774

published property TTreeView.OnMouseEnter : TNotifyEvent;


TTreeView.OnMouseLeave

Declaration

Source position: comctrls.pp line 3775

published property TTreeView.OnMouseLeave : TNotifyEvent;


TTreeView.OnMouseWheel

Declaration

Source position: comctrls.pp line 3778

published property TTreeView.OnMouseWheel : TMouseWheelEvent;


TTreeView.OnMouseWheelDown

Declaration

Source position: comctrls.pp line 3779

published property TTreeView.OnMouseWheelDown : TMouseWheelUpDownEvent;


TTreeView.OnMouseWheelHorz

Declaration

Source position: comctrls.pp line 3781

published property TTreeView.OnMouseWheelHorz : TMouseWheelEvent;


TTreeView.OnMouseWheelLeft

Declaration

Source position: comctrls.pp line 3782

published property TTreeView.OnMouseWheelLeft : TMouseWheelUpDownEvent;


TTreeView.OnMouseWheelRight

Declaration

Source position: comctrls.pp line 3783

published property TTreeView.OnMouseWheelRight : TMouseWheelUpDownEvent;


TTreeView.OnMouseWheelUp

Declaration

Source position: comctrls.pp line 3780

published property TTreeView.OnMouseWheelUp : TMouseWheelUpDownEvent;


TTreeView.OnNodeChanged

Declaration

Source position: comctrls.pp line 3784

published property TTreeView.OnNodeChanged : TTVNodeChangedEvent;


TTreeView.OnResize

Declaration

Source position: comctrls.pp line 3785

published property TTreeView.OnResize : TNotifyEvent;


TTreeView.Options

Declaration

Source position: comctrls.pp line 3790

published property TTreeView.Options : TTreeViewOptions;


TTreeView.ReadOnly

Declaration

Source position: comctrls.pp line 3721

published property TTreeView.ReadOnly : Boolean;


TTreeView.RightClickSelect

Declaration

Source position: comctrls.pp line 3722

published property TTreeView.RightClickSelect : Boolean;


TTreeView.RowSelect

Declaration

Source position: comctrls.pp line 3723

published property TTreeView.RowSelect : Boolean;


TTreeView.ScrollBars

Declaration

Source position: comctrls.pp line 3724

published property TTreeView.ScrollBars : TScrollStyle;


TTreeView.SelectionColor

Declaration

Source position: comctrls.pp line 3725

published property TTreeView.SelectionColor : TColor;


TTreeView.SelectionFontColor

Declaration

Source position: comctrls.pp line 3726

published property TTreeView.SelectionFontColor : TColor;


TTreeView.SelectionFontColorUsed

Declaration

Source position: comctrls.pp line 3727

published property TTreeView.SelectionFontColorUsed : Boolean;


TTreeView.SeparatorColor

Declaration

Source position: comctrls.pp line 3728

published property TTreeView.SeparatorColor : TColor;


TTreeView.ShowButtons

Declaration

Source position: comctrls.pp line 3729

published property TTreeView.ShowButtons : Boolean;


TTreeView.ShowLines

Declaration

Source position: comctrls.pp line 3731

published property TTreeView.ShowLines : Boolean;


TTreeView.ShowRoot

Declaration

Source position: comctrls.pp line 3732

published property TTreeView.ShowRoot : Boolean;


TTreeView.SortType

Declaration

Source position: comctrls.pp line 3733

published property TTreeView.SortType : TSortType;


TTreeView.StateImages

Declaration

Source position: comctrls.pp line 3734

published property TTreeView.StateImages : TCustomImageList;


TTreeView.StateImagesWidth

Declaration

Source position: comctrls.pp line 3735

published property TTreeView.StateImagesWidth : Integer;


TTreeView.ToolTips

Declaration

Source position: comctrls.pp line 3739

published property TTreeView.ToolTips : Boolean;


TTreeView.TreeLineColor

Declaration

Source position: comctrls.pp line 3792

published property TTreeView.TreeLineColor : TColor;


TTreeView.TreeLinePenStyle

Declaration

Source position: comctrls.pp line 3793

published property TTreeView.TreeLinePenStyle : TPenStyle;


TTreeViewExpandSignType

TTreeViewExpandSignType - enumerated type for specifying the symbol type to appear in treeviews to denote whether or not the node is expanded: either a +- sign or an arrow

Declaration

Source position: comctrls.pp line 3290

type TTreeViewExpandSignType = (

  tvestTheme,

  tvestPlusMinus,

  tvestArrow,

  tvestArrowFill

);


TTreeViewInsertMarkType

Declaration

Source position: comctrls.pp line 3297

type TTreeViewInsertMarkType = (

  tvimNone,

  tvimAsFirstChild,

  tvimAsNextSibling,

  tvimAsPrevSibling

);


TTreeViewOption

TTreeViewOption - enumerated type containing the permissible values for Options in TreeViews

Declaration

Source position: comctrls.pp line 3260

type TTreeViewOption = (
tvoAllowMultiselect, | Allow to select several tree-items, e.g. using Ctrl+click and Shift+click. Same as MultiSelect property.
tvoAutoExpand, | Unfold a tree-item when user clicks it or an item activated by code. Same as AutoExpand property.
tvoAutoInsertMark, | Allow to paint a horizontal line below a tree-item under cursor when mouse moves. Good for drag-drop.
tvoAutoItemHeight, | Detect height of a tree-item based on current font and icons.
tvoHideSelection, | If a control looses focus, then don't paint selection for selected tree-item. Same as HideSelection property.
tvoHotTrack, | Additionally highlight/underline a tree-item when mouse is over it. Same as HotTrack property.
tvoKeepCollapsedNodes, | When some items change, keep previously folded tree-items in folded state.
tvoReadOnly, | Don't allow to change item captions by clicking on items with a delay. Same as ReadOnly property.
tvoRightClickSelect, | Right-click also selects a tree-item. Otherwise it only calls PopupMenu. Same as RightClickSelect property.
tvoRowSelect, | When a tree-item is selected, paint selection background with full width. Same as RowSelect property.
tvoShowButtons, | Show expand/collapse (fold/unfold) icons at left side for nodes with sub-nodes. Same as ShowButtons property.
tvoShowLines, | Show vertical lines at left side which paint tree structure for nested nodes. Same as ShowLines property.
tvoShowRoot, | Show the root tree-item which is always present in code but may be hidden for user. Same as ShowRoot property.
tvoShowSeparators, | Show horizontal lines below all tree-items.
tvoToolTips, | Show tooltip (hint) for a tree-item when the item is too long to fit by width and mouse is over it. Same as ToolTips property.
tvoNoDoubleClickExpand, | Don't expand (unfold) tree-item by mouse double click.
tvoThemedDraw | Use OS themes to paint control elements.
);

Description

TTreeViewOption - enumerated type containing the permissible values for Options in TreeViews

tvoAllowMultiselect,
    tvoAutoExpand,
    tvoAutoInsertMark,
    tvoAutoItemHeight,
    tvoHideSelection,
    tvoHotTrack,
    tvoKeepCollapsedNodes,
    tvoReadOnly,
    tvoRightClickSelect,
    tvoRowSelect,
    tvoShowButtons,
    tvoShowLines,
    tvoShowRoot,
    tvoShowSeparators,
    tvoToolTips,
    tvoNoDoubleClickExpand


TTreeViewOptions

TTreeViewOptions - set of TTreeViewOption

Declaration

Source position: comctrls.pp line 3279

type TTreeViewOptions = set of (
tvoAllowMultiselect, | Allow to select several tree-items, e.g. using Ctrl+click and Shift+click. Same as MultiSelect property.
tvoAutoExpand, | Unfold a tree-item when user clicks it or an item activated by code. Same as AutoExpand property.
tvoAutoInsertMark, | Allow to paint a horizontal line below a tree-item under cursor when mouse moves. Good for drag-drop.
tvoAutoItemHeight, | Detect height of a tree-item based on current font and icons.
tvoHideSelection, | If a control looses focus, then don't paint selection for selected tree-item. Same as HideSelection property.
tvoHotTrack, | Additionally highlight/underline a tree-item when mouse is over it. Same as HotTrack property.
tvoKeepCollapsedNodes, | When some items change, keep previously folded tree-items in folded state.
tvoReadOnly, | Don't allow to change item captions by clicking on items with a delay. Same as ReadOnly property.
tvoRightClickSelect, | Right-click also selects a tree-item. Otherwise it only calls PopupMenu. Same as RightClickSelect property.
tvoRowSelect, | When a tree-item is selected, paint selection background with full width. Same as RowSelect property.
tvoShowButtons, | Show expand/collapse (fold/unfold) icons at left side for nodes with sub-nodes. Same as ShowButtons property.
tvoShowLines, | Show vertical lines at left side which paint tree structure for nested nodes. Same as ShowLines property.
tvoShowRoot, | Show the root tree-item which is always present in code but may be hidden for user. Same as ShowRoot property.
tvoShowSeparators, | Show horizontal lines below all tree-items.
tvoToolTips, | Show tooltip (hint) for a tree-item when the item is too long to fit by width and mouse is over it. Same as ToolTips property.
tvoNoDoubleClickExpand, | Don't expand (unfold) tree-item by mouse double click.
tvoThemedDraw | Use OS themes to paint control elements.
);


TTreeViewState

TTreeViewState - enumerated type containing the permissible values for state of a TTreeView

Declaration

Source position: comctrls.pp line 3236

type TTreeViewState = (

  tvsScrollbarChanged,

  tvsMaxRightNeedsUpdate,

  tvsTopsNeedsUpdate,

  tvsMaxLvlNeedsUpdate,

  tvsTopItemNeedsUpdate,

  tvsBottomItemNeedsUpdate,

  tvsCanvasChanged,

  tvsDragged,

  tvsIsEditing,

  tvsStateChanging,

  tvsManualNotify,

  tvsUpdating,

  tvsPainting,

  tvoFocusedPainting,

  tvsDblClicked,

  tvsTripleClicked,

  tvsQuadClicked,

  tvsSelectionChanged,

  tvsEditOnMouseUp,

  tvsSingleSelectOnMouseUp

);

Description

TTreeViewState - enumerated type containing the permissible values for state of a TTreeView

tvsScrollbarChanged,
    tvsMaxRightNeedsUpdate,
    tvsTopsNeedsUpdate,
    tvsMaxLvlNeedsUpdate,
    tvsTopItemNeedsUpdate,
    tvsBottomItemNeedsUpdate,
    tvsCanvasChanged,
    tvsDragged,
    tvsIsEditing,
    tvsStateChanging,
    tvsManualNotify,
    tvsUpdating,
    tvsPainting,
    tvsMouseCapture,
    tvsWaitForDragging,
    tvsDblClicked,
    tvsTripleClicked,
    tvsQuadClicked,
    tvsSelectionChanged


TTreeViewStates

TTreeViewStates - set of TTreeViewState

Declaration

Source position: comctrls.pp line 3258

type TTreeViewStates = set of (

  tvsScrollbarChanged,

  tvsMaxRightNeedsUpdate,

  tvsTopsNeedsUpdate,

  tvsMaxLvlNeedsUpdate,

  tvsTopItemNeedsUpdate,

  tvsBottomItemNeedsUpdate,

  tvsCanvasChanged,

  tvsDragged,

  tvsIsEditing,

  tvsStateChanging,

  tvsManualNotify,

  tvsUpdating,

  tvsPainting,

  tvoFocusedPainting,

  tvsDblClicked,

  tvsTripleClicked,

  tvsQuadClicked,

  tvsSelectionChanged,

  tvsEditOnMouseUp,

  tvsSingleSelectOnMouseUp

);


TUpDown

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

TUpDown - a pair of arrow-like buttons which are used to increment or decrement some controlled variable; often attached to a scroll-bar but can also control a digital numeric display

Declaration

Source position: comctrls.pp line 1956

type TUpDown = class(TCustomUpDown)
published
property Align: TAlign;
property AlignButton: TUDAlignButton; | AlignButton - how to align the button: left or right
property Anchors: TAnchors; | The set of anchor definitions for this control.
property ArrowKeys: Boolean; | ArrowKeys - if True, the control can be operated by the keyboard's arrow keys which would simulate a click on the Next or Previous button
property Associate: TWinControl; | Associate - the associated control whose properties (controlled variable) are to be changed by the UpDown control
property BorderSpacing: TControlBorderSpacing; | Determines the inner and outer border spacing for this control.
property Color: TColor;
property Constraints: TSizeConstraints; | The minimal and maximal Width and Height of this control.
property Enabled: Boolean; | Determines whether the control reacts on mouse or keyboard input.
property Hint: TTranslateString; | The text to show in the Hint window for this control.
property Increment: Integer; | The amount by which the controlled variable is to be increased or decreased on each click
property Max: SmallInt; | Max - greatest value of controlled variable
property Min: SmallInt; | Min - least value of controlled variable
property MinRepeatInterval: Byte;
property OnChanging: TUDChangingEvent; | OnChanging - event handler for a change in the value of the controlled variable
property OnChangingEx: TUDChangingEventEx;
property OnClick: TUDClickEvent; | OnClick - special event handler for a click on up or down button
property OnContextPopup: TContextPopupEvent; | Invoked when a context-sensitive pop-up menu is requested.
property OnEnter: TNotifyEvent; | Handler for control receiving the focus.
property OnExit: TNotifyEvent; | Handler for control loosing the focus. This is a good place for checking the finished user input.
property OnMouseDown: TMouseEvent; | Event handler for mouse button going down.
property OnMouseEnter: TNotifyEvent;
property OnMouseLeave: TNotifyEvent;
property OnMouseMove: TMouseMoveEvent; | Event handler for mouse movement within the control.
property OnMouseUp: TMouseEvent; | Event handler for mouse button going up.
property OnMouseWheel: TMouseWheelEvent;
property OnMouseWheelDown: TMouseWheelUpDownEvent;
property OnMouseWheelUp: TMouseWheelUpDownEvent;
property OnMouseWheelHorz: TMouseWheelEvent;
property OnMouseWheelLeft: TMouseWheelUpDownEvent;
property OnMouseWheelRight: TMouseWheelUpDownEvent;
property Orientation: TUDOrientation; | Whether horizontal or vertical
property ParentColor: Boolean;
property ParentShowHint: Boolean; | If true, the value of ShowHint for the control will be the same as the one from the Parent. Default is true.
property PopupMenu: TPopupMenu; | A context-sensitive menu that pops up when the right mouse button is clicked over this control
property Position: SmallInt; | The Position of the UpDown control
property ShowHint: Boolean; | Enables the Hint display.
property TabOrder: TTabOrder; | Determines the sequence of controls, reachable when the user presses the Tab key.
property TabStop: Boolean; | Allows the user to navigate to this control, by pressing the Tab key.
property Thousands: Boolean; | If True, multiply all displayed values and the Increment by 1000
property Flat: Boolean;
property Visible: Boolean; | Allows to show or hide the control, and all of its children.
property Wrap: Boolean; | If True, displayed control or value starts again from minimum or maximum value if clicking a button would cause incrementing or decrmenting beyond the extreme value
end;

Inheritance

TUpDown | TUpDown - a pair of arrow-like buttons which are used to increment or decrement some controlled variable; often attached to a scroll-bar but can also control a digital numeric display
|
TCustomUpDown | TCustomUpDown - base class for TUpDown - a pair of arrow-like buttons which are used to increment or decrement some controlled variable; often attached to a scroll-bar but can also control a digital numeric display
|
TCustomControl | The base class for windowed controls which paint themselves.
|
TWinControl | The base class for controls which can contain other (child) controls.
|
TControl | The base class for visible controls.
|
TLCLComponent | The base class for LCL components associated with widgets.
|
TComponent,IUnknown,IInterfaceComponentReference
|
TPersistent,IFPObserved
|
TObject

Description

TUpDown - a pair of arrow-like buttons which are used to increment or decrement some controlled variable; often attached to a scroll-bar but can also control a digital numeric display

The control definition itself does not specify the variable upon which the buttons operate. The application programmer is responsible for supplying an event handler for OnClick to determine which button has been selected (designated btNext or btPrev) and incrementing or decrementing the variable in the control with which the UpDown is associated.

The amount by which the variable is changed is set by the integer property Increment with the optional multiplier Thousands (a boolean property).

For example the UpDown control may be used to move a slider up and down a scale by a specified amount for each click; alternatively a number may be displayed in a text box and clicking the buttons of the UpDown control may increment or decrement the number displayed by a specified amount.


TUpDown
pl | ro | Align
pl | ro | AlignButton
pl | ro | Anchors
pl | ro | ArrowKeys
pl | ro | Associate
pl | ro | BorderSpacing
pl | ro | Color
pl | ro | Constraints
pl | ro | Enabled
pl | ro | Hint
pl | ro | Increment
pl | ro | Max
pl | ro | Min
pl | ro | MinRepeatInterval
pl | ro | Orientation
pl | ro | ParentColor
pl | ro | ParentShowHint
pl | ro | PopupMenu
pl | ro | Position
pl | ro | ShowHint
pl | ro | TabOrder
pl | ro | TabStop
pl | ro | Thousands
pl | ro | Flat
pl | ro | Visible
pl | ro | Wrap
TCustomUpDown
pt |  | AlignButton
pt |  | ArrowKeys
pt |  | Associate
pt |  | Increment
pt |  | Max
pt |  | Min
pt |  | MinRepeatInterval
pt |  | Orientation
pt |  | Position
pt |  | Thousands
pt |  | Flat
pt |  | Wrap
TCustomControl
 |  | Canvas
 | ro | BorderStyle
TWinControl
pt |  | WindowHandle
pt |  | BorderStyle
pt |  | ParentBackground
 |  | BorderWidth
 | ro | BoundsLockCount
 | ro | Brush
 | ro | CachedClientHeight
 | ro | CachedClientWidth
 |  | ChildSizing
 | ro | ControlCount
 | ro | Controls
 |  | DefWndProc
 | ro | DockClientCount
 | ro | DockClients
 |  | DockManager
 |  | DockSite
 |  | DoubleBuffered
 |  | Handle
 | ro | IsFlipped
 | ro | IsResizing
 |  | TabOrder
 |  | TabStop
 |  | ParentDoubleBuffered
 |  | ParentWindow
 | ro | Showing
 |  | UseDockManager
 |  | DesignerDeleting
 | ro | VisibleDockClientCount
TControl
pt | ro | AutoSizing
pt | ro | AutoSizingAll
pt | ro | AutoSizingLockCount
pt |  | ActionLink
pt |  | DesktopFont
pt |  | DragCursor
pt |  | DragKind
pt |  | DragMode
pt |  | MouseCapture
pt |  | ParentColor
pt |  | ParentFont
pt |  | ParentShowHint
pt |  | SessionProperties
pt |  | Text
 | ro | AnchoredControls
 | ro | BaseBounds
 | ro | ReadBounds
 | ro | BaseParentClientSize
 |  | AccessibleDescription
 |  | AccessibleValue
 |  | AccessibleRole
 |  | Action
 |  | Align
 |  | Anchors
 | ro | AnchorSide
 |  | AutoSize
 |  | BorderSpacing
 |  | BoundsRect
 |  | BoundsRectForNewParent
 |  | Caption
 |  | CaptureMouseButtons
 |  | ClientHeight
 | ro | ClientOrigin
 | ro | ClientRect
 |  | ClientWidth
 |  | Color
 |  | Constraints
 | ro | ControlOrigin
 |  | ControlState
 |  | ControlStyle
 |  | Enabled
 |  | Font
 |  | IsControl
 | ro | MouseEntered
 | ro | MouseInClient
 |  | Parent
 |  | PopupMenu
 |  | ShowHint
 |  | Visible
 |  | WindowProc
 |  | DockOrientation
 | ro | Floating
 |  | FloatingDockSiteClass
 |  | HostDockSite
 |  | LRDockWidth
 |  | TBDockHeight
 |  | UndockHeight
 |  | UndockWidth
 |  | BiDiMode
 |  | ParentBiDiMode
pl |  | AnchorSideLeft
pl |  | AnchorSideTop
pl |  | AnchorSideRight
pl |  | AnchorSideBottom
pl |  | Cursor
pl |  | Left
pl |  | Height
pl |  | Hint
pl |  | Top
pl |  | Width
pl |  | HelpType
pl |  | HelpKeyword
pl |  | HelpContext
TLCLComponent
 | ro | LCLRefCount
 | ro | WidgetSetClass
TComponent
 | ro | ComObject
 | ro | Components
 | ro | ComponentCount
 |  | ComponentIndex
 | ro | ComponentState
 | ro | ComponentStyle
 |  | DesignInfo
 | ro | Owner
 |  | VCLComObject
 |  | Name
 |  | Tag
TPersistent
TObject


 |  | AccessibleDescription (TControl)
 |  | AccessibleRole (TControl)
 |  | AccessibleValue (TControl)
 |  | Action (TControl)
pt |  | ActionLink (TControl)
 |  | Align (TControl)
pl | ro | Align (TUpDown)
pt |  | AlignButton (TCustomUpDown)
pl | ro | AlignButton (TUpDown)
 | ro | AnchoredControls (TControl)
 |  | Anchors (TControl)
pl | ro | Anchors (TUpDown)
 | ro | AnchorSide (TControl)
pl |  | AnchorSideBottom (TControl)
pl |  | AnchorSideLeft (TControl)
pl |  | AnchorSideRight (TControl)
pl |  | AnchorSideTop (TControl)
pt |  | ArrowKeys (TCustomUpDown)
pl | ro | ArrowKeys (TUpDown)
pt |  | Associate (TCustomUpDown)
pl | ro | Associate (TUpDown)
 |  | AutoSize (TControl)
pt | ro | AutoSizing (TControl)
pt | ro | AutoSizingAll (TControl)
pt | ro | AutoSizingLockCount (TControl)
 | ro | BaseBounds (TControl)
 | ro | BaseParentClientSize (TControl)
 |  | BiDiMode (TControl)
 |  | BorderSpacing (TControl)
pl | ro | BorderSpacing (TUpDown)
pt |  | BorderStyle (TWinControl)
 | ro | BorderStyle (TCustomControl)
 |  | BorderWidth (TWinControl)
 | ro | BoundsLockCount (TWinControl)
 |  | BoundsRect (TControl)
 |  | BoundsRectForNewParent (TControl)
 | ro | Brush (TWinControl)
 | ro | CachedClientHeight (TWinControl)
 | ro | CachedClientWidth (TWinControl)
 |  | Canvas (TCustomControl)
 |  | Caption (TControl)
 |  | CaptureMouseButtons (TControl)
 |  | ChildSizing (TWinControl)
 |  | ClientHeight (TControl)
 | ro | ClientOrigin (TControl)
 | ro | ClientRect (TControl)
 |  | ClientWidth (TControl)
 |  | Color (TControl)
pl | ro | Color (TUpDown)
 | ro | ComObject (TComponent)
 | ro | ComponentCount (TComponent)
 |  | ComponentIndex (TComponent)
 | ro | Components (TComponent)
 | ro | ComponentState (TComponent)
 | ro | ComponentStyle (TComponent)
 |  | Constraints (TControl)
pl | ro | Constraints (TUpDown)
 | ro | ControlCount (TWinControl)
 | ro | ControlOrigin (TControl)
 | ro | Controls (TWinControl)
 |  | ControlState (TControl)
 |  | ControlStyle (TControl)
pl |  | Cursor (TControl)
 |  | DefWndProc (TWinControl)
 |  | DesignerDeleting (TWinControl)
 |  | DesignInfo (TComponent)
pt |  | DesktopFont (TControl)
 | ro | DockClientCount (TWinControl)
 | ro | DockClients (TWinControl)
 |  | DockManager (TWinControl)
 |  | DockOrientation (TControl)
 |  | DockSite (TWinControl)
 |  | DoubleBuffered (TWinControl)
pt |  | DragCursor (TControl)
pt |  | DragKind (TControl)
pt |  | DragMode (TControl)
 |  | Enabled (TControl)
pl | ro | Enabled (TUpDown)
pt |  | Flat (TCustomUpDown)
pl | ro | Flat (TUpDown)
 | ro | Floating (TControl)
 |  | FloatingDockSiteClass (TControl)
 |  | Font (TControl)
 |  | Handle (TWinControl)
pl |  | Height (TControl)
pl |  | HelpContext (TControl)
pl |  | HelpKeyword (TControl)
pl |  | HelpType (TControl)
pl |  | Hint (TControl)
pl | ro | Hint (TUpDown)
 |  | HostDockSite (TControl)
pt |  | Increment (TCustomUpDown)
pl | ro | Increment (TUpDown)
 |  | IsControl (TControl)
 | ro | IsFlipped (TWinControl)
 | ro | IsResizing (TWinControl)
 | ro | LCLRefCount (TLCLComponent)
pl |  | Left (TControl)
 |  | LRDockWidth (TControl)
pt |  | Max (TCustomUpDown)
pl | ro | Max (TUpDown)
pt |  | Min (TCustomUpDown)
pl | ro | Min (TUpDown)
pt |  | MinRepeatInterval (TCustomUpDown)
pl | ro | MinRepeatInterval (TUpDown)
pt |  | MouseCapture (TControl)
 | ro | MouseEntered (TControl)
 | ro | MouseInClient (TControl)
 |  | Name (TComponent)
pt |  | Orientation (TCustomUpDown)
pl | ro | Orientation (TUpDown)
 | ro | Owner (TComponent)
 |  | Parent (TControl)
pt |  | ParentBackground (TWinControl)
 |  | ParentBiDiMode (TControl)
pt |  | ParentColor (TControl)
pl | ro | ParentColor (TUpDown)
 |  | ParentDoubleBuffered (TWinControl)
pt |  | ParentFont (TControl)
pt |  | ParentShowHint (TControl)
pl | ro | ParentShowHint (TUpDown)
 |  | ParentWindow (TWinControl)
 |  | PopupMenu (TControl)
pl | ro | PopupMenu (TUpDown)
pt |  | Position (TCustomUpDown)
pl | ro | Position (TUpDown)
 | ro | ReadBounds (TControl)
pt |  | SessionProperties (TControl)
 |  | ShowHint (TControl)
pl | ro | ShowHint (TUpDown)
 | ro | Showing (TWinControl)
 |  | TabOrder (TWinControl)
pl | ro | TabOrder (TUpDown)
 |  | TabStop (TWinControl)
pl | ro | TabStop (TUpDown)
 |  | Tag (TComponent)
 |  | TBDockHeight (TControl)
pt |  | Text (TControl)
pt |  | Thousands (TCustomUpDown)
pl | ro | Thousands (TUpDown)
pl |  | Top (TControl)
 |  | UndockHeight (TControl)
 |  | UndockWidth (TControl)
 |  | UseDockManager (TWinControl)
 |  | VCLComObject (TComponent)
 |  | Visible (TControl)
pl | ro | Visible (TUpDown)
 | ro | VisibleDockClientCount (TWinControl)
 | ro | WidgetSetClass (TLCLComponent)
pl |  | Width (TControl)
pt |  | WindowHandle (TWinControl)
 |  | WindowProc (TControl)
pt |  | Wrap (TCustomUpDown)
pl | ro | Wrap (TUpDown)


TUpDown
TCustomUpDown
pt | WSRegisterClass
pt | AssociateKeyDown
pt | AssociateMouseWheel
pt | OnAssociateChangeBounds
pt | OnAssociateChangeEnabled
pt | OnAssociateChangeVisible
pt | DoMouseWheelDown
pt | DoMouseWheelUp
pt | DoMouseWheelLeft
pt | DoMouseWheelRight
pt | DoSetBounds
pt | SetEnabled
pt | GetControlClassDefaultSize
pt | CalculatePreferredSize
pt | CanChange
pt | Notification
pt | Click
 | Create
 | Destroy
TCustomControl
pt | WSRegisterClass
pt | WMPaint
pt | DestroyWnd
pt | PaintWindow
pt | FontChanged
pt | SetColor
pt | Paint
 | Create
 | Destroy
TWinControl
pt | WSRegisterClass
pt | AdjustClientRect
pt | GetAdjustedLogicalClientRect
pt | AlignControls
pt | CustomAlignInsertBefore
pt | CustomAlignPosition
pt | DoAlignChildControls
pt | DoChildSizingChange
pt | InvalidatePreferredChildSizes
pt | CanTab
pt | IsClientHeightStored
pt | IsClientWidthStored
pt | DoSendShowHideToInterface
pt | ControlsAligned
pt | DoSendBoundsToInterface
pt | RealizeBounds
pt | RealizeBoundsRecursive
pt | InvalidateBoundsRealized
pt | CreateSubClass
pt | DoConstraintsChange
pt | DoSetBounds
pt | DoAutoSize
pt | DoAllAutoSize
pt | AllAutoSized
pt | CalculatePreferredSize
pt | GetPreferredSizeClientFrame
pt | GetChildren
pt | ChildClassAllowed
pt | PaintControls
pt | PaintHandler
pt | PaintWindow
pt | CreateBrush
pt | ScaleControls
pt | ChangeScale
pt | CMBiDiModeChanged
pt | CMBorderChanged
pt | CMDoubleBufferedChanged
pt | CMEnabledChanged
pt | CMParentDoubleBufferedChanged
pt | CMShowingChanged
pt | CMShowHintChanged
pt | CMVisibleChanged
pt | CMEnter
pt | CMExit
pt | WMContextMenu
pt | WMEraseBkgnd
pt | WMNotify
pt | WMSetFocus
pt | WMKillFocus
pt | WMShowWindow
pt | WMEnter
pt | WMExit
pt | WMKeyDown
pt | WMSysKeyDown
pt | WMKeyUp
pt | WMSysKeyUp
pt | WMChar
pt | WMSysChar
pt | WMPaint
pt | WMDestroy
pt | WMMove
pt | WMSize
pt | WMWindowPosChanged
pt | CNKeyDown
pt | CNSysKeyDown
pt | CNKeyUp
pt | CNSysKeyUp
pt | CNChar
pt | DoDragMsg
pt | DoDockClientMsg
pt | DoUndockClientMsg
pt | DoAddDockClient
pt | DockOver
pt | DoDockOver
pt | DoRemoveDockClient
pt | DoUnDock
pt | GetSiteInfo
pt | GetParentHandle
pt | GetTopParentHandle
pt | ReloadDockedControl
pt | CreateDockManager
pt | SetDockManager
pt | DoFloatMsg
pt | DoGetDockCaption
pt | DoEnter
pt | DoExit
pt | DoKeyDownBeforeInterface
pt | DoRemainingKeyDown
pt | DoRemainingKeyUp
pt | DoKeyPress
pt | DoUTF8KeyPress
pt | DoKeyUpBeforeInterface
pt | ChildKey
pt | SendDialogChar
pt | DialogChar
pt | ControlKeyDown
pt | ControlKeyUp
pt | KeyDown
pt | KeyDownBeforeInterface
pt | KeyDownAfterInterface
pt | KeyPress
pt | KeyUp
pt | KeyUpBeforeInterface
pt | KeyUpAfterInterface
pt | UTF8KeyPress
pt | FindNextControl
pt | SelectFirst
pt | RealGetText
pt | GetBorderStyle
pt | GetClientOrigin
pt | GetClientRect
pt | GetControlOrigin
pt | GetDeviceContext
pt | GetParentBackground
pt | IsControlMouseMsg
pt | CreateHandle
pt | CreateParams
pt | CreateWnd
pt | DestroyHandle
pt | DestroyWnd
pt | DoFlipChildren
pt | FinalizeWnd
pt | FixupTabList
pt | FontChanged
pt | InitializeWnd
pt | Loaded
pt | FormEndUpdated
pt | MainWndProc
pt | ParentFormHandleInitialized
pt | ChildHandlesCreated
pt | GetMouseCapture
pt | RealSetText
pt | RemoveFocus
pt | SendMoveSizeMessages
pt | SetBorderStyle
pt | SetColor
pt | SetChildZPosition
pt | SetParentBackground
pt | ShowControl
pt | UpdateControlState
pt | UpdateShowing
pt | WndProc
pt | WSSetText
 | AutoSizePhases
 | AutoSizeDelayed
 | AutoSizeDelayedReport
 | AutoSizeDelayedHandle
 | BeginUpdateBounds
 | EndUpdateBounds
 | LockRealizeBounds
 | UnlockRealizeBounds
 | ControlAtPos
 | ContainsControl
 | DoAdjustClientRectChange
 | InvalidateClientRectCache
 | ClientRectNeedsInterfaceUpdate
 | SetBounds
 | GetChildrenRect
 | DisableAlign
 | EnableAlign
 | ReAlign
 | ScrollBy_WS
 | ScrollBy
 | WriteLayoutDebugReport
 | AutoAdjustLayout
 | Create
 | CreateParented
 | CreateParentedControl
 | Destroy
 | DockDrop
 | CanFocus
 | CanSetFocus
 | GetControlIndex
 | SetControlIndex
 | Focused
 | PerformTab
 | FindChildControl
 | SelectNext
 | SetTempCursor
 | BroadCast
 | NotifyControls
 | DefaultHandler
 | GetTextLen
 | Invalidate
 | AddControl
 | InsertControl
 | RemoveControl
 | GetEnumeratorControls
 | GetEnumeratorControlsReverse
 | Repaint
 | Update
 | SetFocus
 | FlipChildren
 | ScaleBy
 | GetDockCaption
 | UpdateDockCaption
 | GetTabOrderList
 | HandleAllocated
 | ParentHandlesAllocated
 | HandleNeeded
 | BrushCreated
 | EraseBackground
 | IntfUTF8KeyPress
 | IntfGetDropFilesTarget
 | PaintTo
 | SetShape
TControl
pt | WSRegisterClass
pt | GetCursor
pt | SetCursor
pt | SetVisible
pt | DoOnParentHandleDestruction
pt | DoAutoSize
pt | DoAllAutoSize
pt | BeginAutoSizing
pt | EndAutoSizing
pt | AnchorSideChanged
pt | ForeignAnchorSideChanged
pt | SetAlign
pt | SetAnchors
pt | SetAutoSize
pt | BoundsChanged
pt | CreateControlBorderSpacing
pt | DoConstraintsChange
pt | DoBorderSpacingChange
pt | IsBorderSpacingInnerBorderStored
pt | IsCaptionStored
pt | SendMoveSizeMessages
pt | ConstrainedResize
pt | CalculatePreferredSize
pt | DoOnResize
pt | DoOnChangeBounds
pt | CheckOnChangeBounds
pt | Resize
pt | RequestAlign
pt | UpdateAnchorRules
pt | ChangeBounds
pt | DoSetBounds
pt | ScaleConstraints
pt | ChangeScale
pt | CanAutoSize
pt | SetBiDiMode
pt | SetParentBiDiMode
pt | IsAParentAligning
pt | GetClientOrigin
pt | GetClientRect
pt | GetLogicalClientRect
pt | GetScrolledClientRect
pt | GetClientScrollOffset
pt | GetControlOrigin
pt | IsClientHeightStored
pt | IsClientWidthStored
pt | WidthIsAnchored
pt | HeightIsAnchored
pt | WMCancelMode
pt | WMContextMenu
pt | WMLButtonDown
pt | WMRButtonDown
pt | WMMButtonDown
pt | WMXButtonDown
pt | WMLButtonDBLCLK
pt | WMRButtonDBLCLK
pt | WMMButtonDBLCLK
pt | WMXButtonDBLCLK
pt | WMLButtonTripleCLK
pt | WMRButtonTripleCLK
pt | WMMButtonTripleCLK
pt | WMXButtonTripleCLK
pt | WMLButtonQuadCLK
pt | WMRButtonQuadCLK
pt | WMMButtonQuadCLK
pt | WMXButtonQuadCLK
pt | WMMouseMove
pt | WMLButtonUp
pt | WMRButtonUp
pt | WMMButtonUp
pt | WMXButtonUp
pt | WMMouseWheel
pt | WMMouseHWheel
pt | WMMove
pt | WMSize
pt | WMWindowPosChanged
pt | CMChanged
pt | LMCaptureChanged
pt | CMBiDiModeChanged
pt | CMSysFontChanged
pt | CMEnabledChanged
pt | CMHitTest
pt | CMMouseEnter
pt | CMMouseLeave
pt | CMHintShow
pt | CMParentBiDiModeChanged
pt | CMParentColorChanged
pt | CMParentFontChanged
pt | CMParentShowHintChanged
pt | CMVisibleChanged
pt | CMTextChanged
pt | CMCursorChanged
pt | CalculateDockSizes
pt | CreateFloatingDockSite
pt | GetDockEdge
pt | GetDragImages
pt | GetFloating
pt | GetFloatingDockSiteClass
pt | BeforeDragStart
pt | BeginAutoDrag
pt | DoFloatMsg
pt | DockTrackNoTarget
pt | DoDock
pt | DoDragMsg
pt | DoEndDock
pt | DoEndDrag
pt | DoStartDock
pt | DoStartDrag
pt | DragCanceled
pt | DragOver
pt | PositionDockRect
pt | SetDragMode
pt | GetDefaultDockCaption
pt | Click
pt | DblClick
pt | TripleClick
pt | QuadClick
pt | GetMousePosFromMessage
pt | MouseDown
pt | MouseMove
pt | MouseUp
pt | MouseEnter
pt | MouseLeave
pt | DialogChar
pt | UpdateMouseCursor
pt | Changed
pt | GetPalette
pt | ChildClassAllowed
pt | ReadState
pt | Loaded
pt | LoadedAll
pt | DefineProperties
pt | AssignTo
pt | FormEndUpdated
pt | InvalidateControl
pt | FontChanged
pt | ParentFontChanged
pt | GetAction
pt | RealGetText
pt | RealSetText
pt | TextChanged
pt | GetCachedText
pt | SetAction
pt | SetColor
pt | SetEnabled
pt | SetHint
pt | SetName
pt | SetParent
pt | SetParentComponent
pt | WndProc
pt | ParentFormHandleInitialized
pt | GetMouseCapture
pt | CaptureChanged
pt | Notification
pt | CanTab
pt | GetDeviceContext
pt | GetEnabled
pt | GetPopupMenu
pt | DoOnShowHint
pt | DoMouseWheel
pt | DoMouseWheelDown
pt | DoMouseWheelUp
pt | DoMouseWheelHorz
pt | DoMouseWheelLeft
pt | DoMouseWheelRight
pt | VisibleChanging
pt | VisibleChanged
pt | EnabledChanging
pt | EnabledChanged
pt | AddHandler
pt | RemoveHandler
pt | DoCallNotifyHandler
pt | DoCallKeyEventHandler
pt | DoCallMouseWheelEventHandler
pt | DoContextPopup
pt | SetZOrder
pt | GetControlClassDefaultSize
pt | ColorIsStored
pt | DoAutoAdjustLayout
pt | DoFixDesignFontPPI
pt | DoScaleFontPPI
pt | GetActionLinkClass
pt | ActionChange
 | DragDrop
 | Dock
 | ManualDock
 | ManualFloat
 | ReplaceDockedControl
 | Docked
 | Dragging
 | GetAccessibleObject
 | CreateAccessibleObject
 | GetSelectedChildAccessibleObject
 | GetChildAccessibleObjectAtPos
 | ScaleDesignToForm
 | ScaleFormToDesign
 | Scale96ToForm
 | ScaleFormTo96
 | Scale96ToFont
 | ScaleFontTo96
 | ScaleScreenToFont
 | ScaleFontToScreen
 | Scale96ToScreen
 | ScaleScreenTo96
 | AdjustSize
 | AutoSizePhases
 | AutoSizeDelayed
 | AutoSizeDelayedReport
 | AutoSizeDelayedHandle
 | AnchorToNeighbour
 | AnchorParallel
 | AnchorHorizontalCenterTo
 | AnchorVerticalCenterTo
 | AnchorToCompanion
 | AnchorSame
 | AnchorAsAlign
 | AnchorClient
 | AnchoredControlCount
 | SetBounds
 | SetInitialBounds
 | SetBoundsKeepBase
 | GetPreferredSize
 | GetCanvasScaleFactor
 | GetDefaultWidth
 | GetDefaultHeight
 | GetDefaultColor
 | GetColorResolvingParent
 | GetRGBColorResolvingParent
 | GetSidePosition
 | CNPreferredSizeChanged
 | InvalidatePreferredSize
 | GetAnchorsDependingOnParent
 | DisableAutoSizing
 | EnableAutoSizing
 | UpdateBaseBounds
 | WriteLayoutDebugReport
 | AutoAdjustLayout
 | ShouldAutoAdjust
 | FixDesignFontsPPI
 | ScaleFontsPPI
 | Create
 | Destroy
 | BeforeDestruction
 | EditingDone
 | ExecuteDefaultAction
 | ExecuteCancelAction
 | BeginDrag
 | EndDrag
 | BringToFront
 | HasParent
 | GetParentComponent
 | IsParentOf
 | GetTopParent
 | IsVisible
 | IsControlVisible
 | IsEnabled
 | IsParentColor
 | IsParentFont
 | FormIsUpdating
 | IsProcessingPaintMsg
 | Hide
 | Refresh
 | Repaint
 | Invalidate
 | CheckChildClassAllowed
 | CheckNewParent
 | SendToBack
 | SetTempCursor
 | UpdateRolesForForm
 | ActiveDefaultControlChanged
 | GetTextBuf
 | GetTextLen
 | SetTextBuf
 | Perform
 | ScreenToClient
 | ClientToScreen
 | ScreenToControl
 | ControlToScreen
 | ClientToParent
 | ParentToClient
 | GetChildrenRect
 | Show
 | Update
 | HandleObjectShouldBeVisible
 | ParentDestroyingHandle
 | ParentHandlesAllocated
 | InitiateAction
 | ShowHelp
 | HasHelp
 | RemoveAllHandlersOfObject
 | AddHandlerOnResize
 | RemoveHandlerOnResize
 | AddHandlerOnChangeBounds
 | RemoveHandlerOnChangeBounds
 | AddHandlerOnVisibleChanging
 | RemoveHandlerOnVisibleChanging
 | AddHandlerOnVisibleChanged
 | RemoveHandlerOnVisibleChanged
 | AddHandlerOnEnabledChanged
 | RemoveHandlerOnEnableChanging
 | AddHandlerOnKeyDown
 | RemoveHandlerOnKeyDown
 | AddHandlerOnBeforeDestruction
 | RemoveHandlerOnBeforeDestruction
 | AddHandlerOnMouseWheel
 | RemoveHandlerOnMouseWheel
 | UseRightToLeftAlignment
 | UseRightToLeftReading
 | UseRightToLeftScrollBar
 | IsRightToLeft
TLCLComponent
pt | WSRegisterClass
pt | GetWSComponentClass
 | Create
 | Destroy
 | NewInstance
 | RemoveAllHandlersOfObject
 | IncLCLRefCount
 | DecLCLRefCount
TComponent
 | GetComObject
 | GetComponent
 | GetComponentCount
 | GetComponentIndex
 | Insert
 | ReadLeft
 | ReadTop
 | Remove
 | RemoveNotification
 | SetComponentIndex
 | SetReference
 | WriteLeft
 | WriteTop
 | ChangeName
 | DefineProperties
 | GetChildren
 | GetChildOwner
 | GetChildParent
 | GetOwner
 | Loaded
 | Loading
 | Notification
 | PaletteCreated
 | ReadState
 | SetAncestor
 | SetDesigning
 | SetDesignInstance
 | SetInline
 | SetName
 | SetChildOrder
 | SetParentComponent
 | Updating
 | Updated
 | UpdateRegistry
 | ValidateRename
 | ValidateContainer
 | ValidateInsert
 | QueryInterface
 | _AddRef
 | _Release
 | iicrGetComponent
 | GetTypeInfoCount
 | GetTypeInfo
 | GetIDsOfNames
 | Invoke
 | WriteState
 | Create
 | Destroy
 | BeforeDestruction
 | DestroyComponents
 | Destroying
 | ExecuteAction
 | FindComponent
 | FreeNotification
 | RemoveFreeNotification
 | FreeOnRelease
 | GetEnumerator
 | GetNamePath
 | GetParentComponent
 | HasParent
 | InsertComponent
 | RemoveComponent
 | SafeCallException
 | SetSubComponent
 | UpdateAction
 | IsImplementorOf
 | ReferenceInterface
TPersistent
 | AssignError
 | AssignTo
 | DefineProperties
 | GetOwner
 | Destroy
 | Assign
 | FPOAttachObserver
 | FPODetachObserver
 | FPONotifyObservers
 | GetNamePath
TObject
 | Create
 | Destroy
 | newinstance
 | FreeInstance
 | SafeCallException
 | DefaultHandler
 | Free
 | InitInstance
 | CleanupInstance
 | ClassType
 | ClassInfo
 | ClassName
 | ClassNameIs
 | ClassParent
 | InstanceSize
 | InheritsFrom
 | StringMessageTable
 | MethodAddress
 | MethodName
 | FieldAddress
 | AfterConstruction
 | BeforeDestruction
 | DefaultHandlerStr
 | Dispatch
 | DispatchStr
 | GetInterface
 | GetInterfaceByStr
 | GetInterfaceWeak
 | GetInterfaceEntry
 | GetInterfaceEntryByStr
 | GetInterfaceTable
 | UnitName
 | Equals
 | GetHashCode
 | ToString


TUpDown
pl | ro | OnChanging
pl | ro | OnChangingEx
pl | ro | OnClick
pl | ro | OnContextPopup
pl | ro | OnEnter
pl | ro | OnExit
pl | ro | OnMouseDown
pl | ro | OnMouseEnter
pl | ro | OnMouseLeave
pl | ro | OnMouseMove
pl | ro | OnMouseUp
pl | ro | OnMouseWheel
pl | ro | OnMouseWheelDown
pl | ro | OnMouseWheelUp
pl | ro | OnMouseWheelHorz
pl | ro | OnMouseWheelLeft
pl | ro | OnMouseWheelRight
TCustomUpDown
pt |  | OnChanging
pt |  | OnChangingEx
pt |  | OnClick
TCustomControl
 |  | OnPaint
TWinControl
pt |  | OnGetSiteInfo
pt |  | OnGetDockCaption
 |  | OnAlignInsertBefore
 |  | OnAlignPosition
 |  | OnDockDrop
 |  | OnDockOver
 |  | OnEnter
 |  | OnExit
 |  | OnKeyDown
 |  | OnKeyPress
 |  | OnKeyUp
 |  | OnUnDock
 |  | OnUTF8KeyPress
TControl
pt |  | OnConstrainedResize
pt |  | OnContextPopup
pt |  | OnDblClick
pt |  | OnTripleClick
pt |  | OnQuadClick
pt |  | OnDragDrop
pt |  | OnDragOver
pt |  | OnEndDock
pt |  | OnEndDrag
pt |  | OnMouseDown
pt |  | OnMouseMove
pt |  | OnMouseUp
pt |  | OnMouseEnter
pt |  | OnMouseLeave
pt |  | OnMouseWheel
pt |  | OnMouseWheelDown
pt |  | OnMouseWheelUp
pt |  | OnMouseWheelHorz
pt |  | OnMouseWheelLeft
pt |  | OnMouseWheelRight
pt |  | OnStartDock
pt |  | OnStartDrag
pt |  | OnEditingDone
 |  | OnChangeBounds
 |  | OnClick
 |  | OnResize
 |  | OnShowHint
TLCLComponent
TComponent
TPersistent
TObject


pt |  | OnChanging (TCustomUpDown)
pl | ro | OnChanging (TUpDown)
pt |  | OnChangingEx (TCustomUpDown)
pl | ro | OnChangingEx (TUpDown)
 |  | OnClick (TControl)
pt |  | OnClick (TCustomUpDown)
pl | ro | OnClick (TUpDown)
pt |  | OnConstrainedResize (TControl)
pt |  | OnContextPopup (TControl)
pl | ro | OnContextPopup (TUpDown)
pt |  | OnDblClick (TControl)
 |  | OnDockDrop (TWinControl)
 |  | OnDockOver (TWinControl)
pt |  | OnDragDrop (TControl)
pt |  | OnDragOver (TControl)
pt |  | OnEditingDone (TControl)
pt |  | OnEndDock (TControl)
pt |  | OnEndDrag (TControl)
 |  | OnEnter (TWinControl)
pl | ro | OnEnter (TUpDown)
 |  | OnExit (TWinControl)
pl | ro | OnExit (TUpDown)
pt |  | OnGetDockCaption (TWinControl)
pt |  | OnGetSiteInfo (TWinControl)
 |  | OnKeyDown (TWinControl)
 |  | OnKeyPress (TWinControl)
 |  | OnKeyUp (TWinControl)
pt |  | OnMouseDown (TControl)
pl | ro | OnMouseDown (TUpDown)
pt |  | OnMouseEnter (TControl)
pl | ro | OnMouseEnter (TUpDown)
pt |  | OnMouseLeave (TControl)
pl | ro | OnMouseLeave (TUpDown)
pt |  | OnMouseMove (TControl)
pl | ro | OnMouseMove (TUpDown)
pt |  | OnMouseUp (TControl)
pl | ro | OnMouseUp (TUpDown)
pt |  | OnMouseWheel (TControl)
pl | ro | OnMouseWheel (TUpDown)
pt |  | OnMouseWheelDown (TControl)
pl | ro | OnMouseWheelDown (TUpDown)
pt |  | OnMouseWheelHorz (TControl)
pl | ro | OnMouseWheelHorz (TUpDown)
pt |  | OnMouseWheelLeft (TControl)
pl | ro | OnMouseWheelLeft (TUpDown)
pt |  | OnMouseWheelRight (TControl)
pl | ro | OnMouseWheelRight (TUpDown)
pt |  | OnMouseWheelUp (TControl)
pl | ro | OnMouseWheelUp (TUpDown)
 |  | OnPaint (TCustomControl)
pt |  | OnQuadClick (TControl)
 |  | OnResize (TControl)
 |  | OnShowHint (TControl)
pt |  | OnStartDock (TControl)
pt |  | OnStartDrag (TControl)
pt |  | OnTripleClick (TControl)
 |  | OnUnDock (TWinControl)
 |  | OnUTF8KeyPress (TWinControl)


TUpDown.Align

Declaration

Source position: comctrls.pp line 1958

published property TUpDown.Align : TAlign;


TUpDown.Color

Declaration

Source position: comctrls.pp line 1964

published property TUpDown.Color : TColor;


TUpDown.Flat

Declaration

Source position: comctrls.pp line 1998

published property TUpDown.Flat : Boolean;


TUpDown.MinRepeatInterval

Declaration

Source position: comctrls.pp line 1971

published property TUpDown.MinRepeatInterval : Byte;


TUpDown.OnChangingEx

Declaration

Source position: comctrls.pp line 1973

published property TUpDown.OnChangingEx : TUDChangingEventEx;


TUpDown.OnMouseEnter

Declaration

Source position: comctrls.pp line 1979

published property TUpDown.OnMouseEnter : TNotifyEvent;


TUpDown.OnMouseLeave

Declaration

Source position: comctrls.pp line 1980

published property TUpDown.OnMouseLeave : TNotifyEvent;


TUpDown.OnMouseWheel

Declaration

Source position: comctrls.pp line 1983

published property TUpDown.OnMouseWheel : TMouseWheelEvent;


TUpDown.OnMouseWheelDown

Declaration

Source position: comctrls.pp line 1984

published property TUpDown.OnMouseWheelDown : TMouseWheelUpDownEvent;


TUpDown.OnMouseWheelHorz

Declaration

Source position: comctrls.pp line 1986

published property TUpDown.OnMouseWheelHorz : TMouseWheelEvent;


TUpDown.OnMouseWheelLeft

Declaration

Source position: comctrls.pp line 1987

published property TUpDown.OnMouseWheelLeft : TMouseWheelUpDownEvent;


TUpDown.OnMouseWheelRight

Declaration

Source position: comctrls.pp line 1988

published property TUpDown.OnMouseWheelRight : TMouseWheelUpDownEvent;


TUpDown.OnMouseWheelUp

Declaration

Source position: comctrls.pp line 1985

published property TUpDown.OnMouseWheelUp : TMouseWheelUpDownEvent;


TUpDown.ParentColor

Declaration

Source position: comctrls.pp line 1990

published property TUpDown.ParentColor : Boolean;


TUpDownDirection

Declaration

Source position: comctrls.pp line 1863

type TUpDownDirection = (

  updNone,

  updUp,

  updDown

);


ELayoutException

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Declaration

Source position: controls.pp line 929

type ELayoutException = class(Exception)

Inheritance

ELayoutException
|

Exception
|

TObject


ELayoutException
Exception
 | HelpContext
 | Message
TObject


ELayoutException
Exception
 | Create
 | CreateFmt
 | CreateRes
 | CreateResFmt
 | CreateHelp
 | CreateFmtHelp
 | CreateResHelp
 | CreateResFmtHelp
 | ToString
TObject
 | Create
 | Destroy
 | newinstance
 | FreeInstance
 | SafeCallException
 | DefaultHandler
 | Free
 | InitInstance
 | CleanupInstance
 | ClassType
 | ClassInfo
 | ClassName
 | ClassNameIs
 | ClassParent
 | InstanceSize
 | InheritsFrom
 | StringMessageTable
 | MethodAddress
 | MethodName
 | FieldAddress
 | AfterConstruction
 | BeforeDestruction
 | DefaultHandlerStr
 | Dispatch
 | DispatchStr
 | GetInterface
 | GetInterfaceByStr
 | GetInterfaceWeak
 | GetInterfaceEntry
 | GetInterfaceEntryByStr
 | GetInterfaceTable
 | UnitName
 | Equals
 | GetHashCode
 | ToString


ELayoutException

Exception

TObject


IObjInspInterface

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Declaration

Source position: controls.pp line 87

type IObjInspInterface = interface

  function AllowAdd;

  function AllowDelete;

end;

Inheritance

IObjInspInterface
The latest version of this document can be found at lazarus-ccr.sourceforge.net .


IObjInspInterface


IObjInspInterface
 | AllowAdd
 | AllowDelete


IObjInspInterface.AllowAdd

Declaration

Source position: controls.pp line 89

function IObjInspInterface.AllowAdd: Boolean;


IObjInspInterface.AllowDelete

Declaration

Source position: controls.pp line 90

function IObjInspInterface.AllowDelete: Boolean;


TAnchorSide

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Specifies how the side of a control is anchored to other controls.

Declaration

Source position: controls.pp line 870

type TAnchorSide = class(TPersistent)
protected
function GetOwner; override;
public
constructor Create();
destructor Destroy; override;
procedure GetSidePosition(); | Get information about the target control, side and side position.
function CheckSidePosition(); | Check for anchor cycles and invalid targets, and return information about the target side.
procedure Assign(); override;
function IsAnchoredToParent(); | True when we are anchored to our parent, at least on ParentSide
procedure FixCenterAnchoring; | Remove conflicting anchors.
property Owner: TControl; [r] | The control being anchored.
property Kind: TAnchorKind; [r] | The control side being anchored.
published
property Control: TControl; [rw] | The target control of the anchor.
property Side: TAnchorSideReference; [rw] | The side of the target Control, to which we anchor.
end;

Inheritance

TAnchorSide

Specifies how the side of a control is anchored to other controls.
|

TPersistent,IFPObserved
|

TObject

Description

TAnchorSide

    Class holding the reference sides of the anchors of a TControl.
    Every TControl has four AnchorSides:
    AnchorSide[akLeft], AnchorSide[akRight], AnchorSide[akTop] and
    AnchorSide[akBottom].
    Normally if Anchors contain akLeft, and the Parent is resized, the LCL
    tries to keep the distance between the left side of the control and the
    right side of its parent client area.
    With AnchorSide[akLeft] you can define a different reference side. The
    kept distance is defined by the BorderSpacing.

    Example1:
       +-----+  +-----+
       |  B  |  |  C  |
       |     |  +-----+
       +-----+

      If you want to have the top of B the same as the top of C use
        B.AnchorSide[akTop].Side:=asrTop;
        B.AnchorSide[akTop].Control:=C;
      If you want to keep a distance of 10 pixels between B and C use
        B.BorderSpacing.Right:=10;
        B.AnchorSide[akRight].Side:=asrLeft;
        B.AnchorSide[akRight].Control:=C;

      Do not setup in both directions, because this will create a circle, and
      circles are not allowed.

    Example2:
            +-------+
      +---+ |       |
      | A | |   B   |
      +---+ |       |
            +-------+

      Centering A relative to B:
        A.AnchorSide[akTop].Side:=asrCenter;
        A.AnchorSide[akTop].Control:=B;
      Or use this. It's equivalent:
        A.AnchorSide[akBottom].Side:=asrCenter;
        A.AnchorSide[akBottom].Control:=B;


TAnchorSide
 | ro | Owner
 | ro | Kind
pl |  | Control
pl |  | Side
TPersistent
TObject


pl |  | Control (TAnchorSide)
 | ro | Kind (TAnchorSide)
 | ro | Owner (TAnchorSide)
pl |  | Side (TAnchorSide)


TAnchorSide
pt | GetOwner
 | Create
 | Destroy
 | GetSidePosition
 | CheckSidePosition
 | Assign
 | IsAnchoredToParent
 | FixCenterAnchoring
TPersistent
 | AssignError
 | AssignTo
 | DefineProperties
 | GetOwner
 | Destroy
 | Assign
 | FPOAttachObserver
 | FPODetachObserver
 | FPONotifyObservers
 | GetNamePath
TObject
 | Create
 | Destroy
 | newinstance
 | FreeInstance
 | SafeCallException
 | DefaultHandler
 | Free
 | InitInstance
 | CleanupInstance
 | ClassType
 | ClassInfo
 | ClassName
 | ClassNameIs
 | ClassParent
 | InstanceSize
 | InheritsFrom
 | StringMessageTable
 | MethodAddress
 | MethodName
 | FieldAddress
 | AfterConstruction
 | BeforeDestruction
 | DefaultHandlerStr
 | Dispatch
 | DispatchStr
 | GetInterface
 | GetInterfaceByStr
 | GetInterfaceWeak
 | GetInterfaceEntry
 | GetInterfaceEntryByStr
 | GetInterfaceTable
 | UnitName
 | Equals
 | GetHashCode
 | ToString


 | AssignError (TPersistent)
 | AssignTo (TPersistent)
 | BeforeDestruction (TObject)
 | CheckSidePosition (TAnchorSide)
 | ClassInfo (TObject)
 | ClassName (TObject)
 | ClassNameIs (TObject)
 | ClassParent (TObject)
 | ClassType (TObject)
 | CleanupInstance (TObject)
 | Create (TObject)
 | Create (TAnchorSide)
 | DefaultHandler (TObject)
 | DefaultHandlerStr (TObject)
 | DefineProperties (TPersistent)
 | Destroy (TObject)
 | Destroy (TPersistent)
 | Destroy (TAnchorSide)
 | Dispatch (TObject)
 | DispatchStr (TObject)
 | Equals (TObject)
 | FieldAddress (TObject)
 | FixCenterAnchoring (TAnchorSide)
 | FPOAttachObserver (TPersistent)
 | FPODetachObserver (TPersistent)
 | FPONotifyObservers (TPersistent)
 | Free (TObject)
 | FreeInstance (TObject)
 | GetHashCode (TObject)
 | GetInterface (TObject)
 | GetInterfaceByStr (TObject)
 | GetInterfaceEntry (TObject)
 | GetInterfaceEntryByStr (TObject)
 | GetInterfaceTable (TObject)
 | GetInterfaceWeak (TObject)
 | GetNamePath (TPersistent)
 | GetOwner (TPersistent)
pt | GetOwner (TAnchorSide)
 | GetSidePosition (TAnchorSide)
 | InheritsFrom (TObject)
 | InitInstance (TObject)
 | InstanceSize (TObject)
 | IsAnchoredToParent (TAnchorSide)
 | MethodAddress (TObject)
 | MethodName (TObject)
 | newinstance (TObject)
 | SafeCallException (TObject)
 | StringMessageTable (TObject)
 | ToString (TObject)
 | UnitName (TObject)


TAnchorSide

TPersistent

TObject


TAnchorSide.CheckSidePosition

Check for anchor cycles and invalid targets, and return information about the target side.

Declaration

Source position: controls.pp line 886

public function TAnchorSide.CheckSidePosition(

  NewControl: TControl;

  NewSide: TAnchorSideReference;

  out ReferenceControl: TControl;

  out ReferenceSide: TAnchorSideReference;

  out Position: Integer

):Boolean;

Arguments

ReferenceControl | The control we are anchored to.
ReferenceSide | The side we are anchord to.
Position | Position of the side to anchor to.

Function result

False when errors have been found.


TAnchorSide.Control

The target control of the anchor.

Declaration

Source position: controls.pp line 896

published property TAnchorSide.Control : TControl
  read FControl
  write SetControl;

Description

For example if the right side of a Button1 is anchored to the left side of Edit1, then Button1.AnchorSide[akRight].Control=Edit1 and Button1.AnchorSide[akRight].Side=asrLeft.


TAnchorSide.Create

Declaration

Source position: controls.pp line 882

public constructor TAnchorSide.Create(

  TheOwner: TControl;

  TheKind: TAnchorKind

);


TAnchorSide.Destroy

Declaration

Source position: controls.pp line 883

public destructor TAnchorSide.Destroy; override;


TAnchorSide.FixCenterAnchoring

Remove conflicting anchors.

Declaration

Source position: controls.pp line 891

public procedure TAnchorSide.FixCenterAnchoring;

Description

With asrCenter, both sides are controlled by one anchor. Disable opposite anchor and all aligning.


TAnchorSide.GetOwner

Declaration

Source position: controls.pp line 880

protected function TAnchorSide.GetOwner: TPersistent; override;


TAnchorSide.GetSidePosition

Get information about the target control, side and side position.

Declaration

Source position: controls.pp line 884

public procedure TAnchorSide.GetSidePosition(

  out ReferenceControl: TControl;

  out ReferenceSide: TAnchorSideReference;

  out Position: Integer

);

Arguments

ReferenceControl | The control we are anchored to.
ReferenceSide | The side we are anchord to.
Position | Position of the side to anchor to.


TAnchorSide.IsAnchoredToParent

True when we are anchored to our parent, at least on ParentSide

Declaration

Source position: controls.pp line 890

public function TAnchorSide.IsAnchoredToParent(

  ParentSide: TAnchorKind

):Boolean;


TAnchorSide.Kind

The control side being anchored.

Declaration

Source position: controls.pp line 894

public property TAnchorSide.Kind : TAnchorKind
  read FKind;

Description

Every control has four AnchorSide, one for each side. For example AButton1.AnchorSide[akLeft].Kind=akLeft.


TAnchorSide.Owner

The control being anchored.

Declaration

Source position: controls.pp line 893

public property TAnchorSide.Owner : TControl
  read FOwner;

Description

For example AButton1.AnchorSide[akBottom].Owner = AButton1.


TAnchorSide.Side

The side of the target Control, to which we anchor.

Declaration

Source position: controls.pp line 897

published property TAnchorSide.Side : TAnchorSideReference
  read FSide
  write SetSide
  default asrTop;

Description

For example if the right side of a Button1 is anchored to the left side of Edit1, then Button1.AnchorSide[akRight].Control=Edit1 and Button1.AnchorSide[akRight].Side=asrLeft.


TAnchorSideChangeOperation

Operations in TControl.ForeignAnchorSideChanged.

Declaration

Source position: controls.pp line 866

type TAnchorSideChangeOperation = (
ascoAdd, | AnchorSide added.
ascoRemove, | AnchorSide removed.
ascoChangeSide | AnchorSide changed.
);


TAnchorSideReference

The side of another control, to which this control's side is anchored.

Declaration

Source position: controls.pp line 173

type TAnchorSideReference = (
asrTop, | Anchor to the top side.
asrBottom, | Anchor to the bottom side.
asrCenter | Anchor to the center of the other control.
);


TControl

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

The base class for visible controls.

Declaration

Source position: controls.pp line 1114

type TControl = class(TLCLComponent)
protected
FAccessibleObject: TLazAccessibleObject;
FControlState: TControlState; | State flags.
FCursor: TCursor; | The cursor shape for this control.
class procedure WSRegisterClass; override; | Registers this component class with the current WidgetSet.
function GetCursor; virtual;
procedure SetCursor(); virtual;
procedure SetVisible(); virtual;
procedure DoOnParentHandleDestruction; virtual; |
procedure DoAutoSize; virtual; | For internal use only - call AdjustSize instead!
procedure DoAllAutoSize; virtual; | Run DoAutoSize until done.
procedure BeginAutoSizing; | Sets AutoSizing=true, used to prevent loops.
procedure EndAutoSizing; | End of the autosizing process, resets AutoSizing to False.
procedure AnchorSideChanged(); virtual; | Request further processing after an anchor side was changed.
procedure ForeignAnchorSideChanged(); virtual; | Request further processing after an anchor side has changed, that anchors another control to this one.
procedure SetAlign(); virtual;
procedure SetAnchors(); virtual;
procedure SetAutoSize(); virtual;
procedure BoundsChanged; virtual; | Invoked when the Bounds of the control have been changed. Override as required.
function CreateControlBorderSpacing; virtual; | Creates the default ControlBorderSpacing object. Allow descendant controls to override this default.
procedure DoConstraintsChange(); virtual; | Reacts on a change in the control's constraints. Calls AdjustSize by default.
procedure DoBorderSpacingChange(); virtual; | Reacts on a change in the control's border spacing.
function IsBorderSpacingInnerBorderStored; virtual; | Checks for a defined (non-zero) BorderSpacing.InnerBorder.
function IsCaptionStored;
procedure SendMoveSizeMessages(); virtual; | Sends Move and Size messages through the LCL message paths.
procedure ConstrainedResize(); virtual; | Invokes the #lcl.Controls.TControl.OnConstrainedResize handler, allowing to modify the suggested Constraints.
procedure CalculatePreferredSize(); virtual; | Override this method to return the preferred height and width.
procedure DoOnResize; virtual; | Invokes the OnResize notification handler.
procedure DoOnChangeBounds; virtual; | Invokes the OnChangeBounds event handler
procedure CheckOnChangeBounds; | Checks for changes and calls DoOnChangeBounds if needed.
procedure Resize; virtual; | Checks for changes and calls DoOnResize if needed.
procedure RequestAlign; virtual; | Smart calling of Parent.AlignControls (very indirectly).
procedure UpdateAnchorRules; | Update the rules for anchoring the control
procedure ChangeBounds(); virtual; | Sets the bounds (left, top, height, width) optionally the BaseBounds of the control.
procedure DoSetBounds(); virtual; | Internal function to set the control's bounds (Left, Top, Height, Width).
procedure ScaleConstraints(); | Scale the minimum and maximum Width and Height.
procedure ChangeScale(); virtual; | Apply scaling (multiplier and divider) to the control's coordinates and Font.
function CanAutoSize(); virtual; | Function to determine if autosizing is possible, and if so, gets the new width and height
procedure SetBiDiMode(); virtual;
procedure SetParentBiDiMode(); virtual;
function IsAParentAligning; | Determine if a parent control is involved in the alignment process
function GetClientOrigin; virtual;
function GetClientRect; virtual;
function GetLogicalClientRect; virtual; | Logical client area, can be bigger than the visible client area.
function GetScrolledClientRect; virtual; | Get the visible part of the logical client area.
function GetClientScrollOffset; virtual; | Returns the offset of the scrolled client area (in a scrolling TWinControl).
function GetControlOrigin; virtual; | Returns the origin (top left pixel) of the control, in screen coordinates.
function IsClientHeightStored; virtual;
function IsClientWidthStored; virtual;
function WidthIsAnchored; | True when both the control's left and right side are anchored.
function HeightIsAnchored; | True when both the control's top and bottom side are anchored.
property AutoSizing: Boolean; [r] | True while autosizing is in progress.
property AutoSizingAll: Boolean; [r] | Flag to prevent recursive AutoSizing (in DoAllAutoSize).
property AutoSizingLockCount: Integer; [r] | Internal counter, in/decreased by DisableAutoSizing/EnableAutoSizing.
procedure WMCancelMode(); message; | Message handler for cancel mode request.
procedure WMContextMenu(); message; | Message handler for context menu popup request.
procedure WMLButtonDown(); message; | Message handler for left mouse button going down.
procedure WMRButtonDown(); message; | Message handler for right mouse button going down.
procedure WMMButtonDown(); message; | Message handler for middle mouse button going down.
procedure WMXButtonDown(); message; | Message handler for extra mouse button going down.
procedure WMLButtonDBLCLK(); message; | Message handler for left mouse button double click.
procedure WMRButtonDBLCLK(); message; | Message handler for right mouse button double click.
procedure WMMButtonDBLCLK(); message; | Message handler for middle mouse button double click.
procedure WMXButtonDBLCLK(); message; | Message handler for extra mouse button double click.
procedure WMLButtonTripleCLK(); message; | Message handler for left mouse button triple click.
procedure WMRButtonTripleCLK(); message; | Message handler for right mouse button triple click.
procedure WMMButtonTripleCLK(); message; | Message handler for middle mouse button triple click.
procedure WMXButtonTripleCLK(); message; | Message handler for extra mouse button triple click.
procedure WMLButtonQuadCLK(); message; | Message handler for left mouse button quadruple click.
procedure WMRButtonQuadCLK(); message; | Message handler for right mouse button quadruple click.
procedure WMMButtonQuadCLK(); message; | Message handler for middle mouse button quadruple click.
procedure WMXButtonQuadCLK(); message; | Message handler for extra mouse button quadruple click.
procedure WMMouseMove(); message; | Message handler for mouse moved.
procedure WMLButtonUp(); message; | Message handler for left mouse button going up.
procedure WMRButtonUp(); message; | Message handler for right mouse button going up.
procedure WMMButtonUp(); message; | Message handler for middle mouse button going up.
procedure WMXButtonUp(); message; | Message handler for extra mouse button going up.
procedure WMMouseWheel(); message; |
procedure WMMouseHWheel(); message;
procedure WMMove(); message; | Message handler for control moved.
procedure WMSize(); message; | Message handler for changed control size.
procedure WMWindowPosChanged(); message; | Message handler for changed control position.
procedure CMChanged(); message;
procedure LMCaptureChanged(); message; | Message handler for changed capture.
procedure CMBiDiModeChanged(); message; | Message handler for BiDi mode changed.
procedure CMSysFontChanged(); message; | Message handler for changed system Font.
procedure CMEnabledChanged(); message; | Message handler for changed Enabled state.
procedure CMHitTest(); message; | Message handler for hit test.
procedure CMMouseEnter(); message; | Message handler for mouse entering the control.
procedure CMMouseLeave(); message; | Message handler for mouse leaving the control.
procedure CMHintShow(); message; | Message handler for hint display.
procedure CMParentBiDiModeChanged(); message; | Message handler for parent control's BiDi mode changed.
procedure CMParentColorChanged(); message; | Message handler for changed parent Color.
procedure CMParentFontChanged(); message; | Message handler for changed parent Font.
procedure CMParentShowHintChanged(); message; | Message handler for changed parent ShowHint.
procedure CMVisibleChanged(); message; | Message handler for changed visibility.
procedure CMTextChanged(); message; | Message handler for control's Text changed.
procedure CMCursorChanged(); message; | Message handler for changed cursor.
procedure CalculateDockSizes; | Saves the docked and undocked extent of the control.
function CreateFloatingDockSite(); | Create a floating dock site with a client area equal to the given screen coordinates.
function GetDockEdge(); virtual; | Determine the side to which the dragged control shall be docked.
function GetDragImages; virtual; | Get the list of images usable during dragging.
function GetFloating; virtual; | Guess whether the control is floating.
function GetFloatingDockSiteClass; virtual; | Returns the class for a floating host dock site.
procedure BeforeDragStart; virtual;
procedure BeginAutoDrag; virtual; | For internal use: user has started dragging the control.
procedure DoFloatMsg(); virtual; | Handler called when the control starts floating.
procedure DockTrackNoTarget(); virtual; | Adjust the DockRect for floating state (no drop target under the mouse).
procedure DoDock(); virtual; | Internal method, called by Dock. Adjusts the control's position and extent for the new docksite.
function DoDragMsg(); virtual; | Handler for a drag message, sent by the DragManager to the current target control.
procedure DoEndDock(); virtual; | Invokes the OnEndDock handler.
procedure DoEndDrag(); virtual; | Invokes the OnEndDrag handler.
procedure DoStartDock(); virtual; | Invokes the OnStartDock handler
procedure DoStartDrag(); virtual; | Invokes the OnStartDrag handler
procedure DragCanceled; virtual; | Notifies the control of a canceld drag.
procedure DragOver(); virtual; | Called when an object is dragged over this control. Determines whether a drop is acceptable, using the OnDragOver handler.
procedure PositionDockRect(); virtual; | Get the DockRect for an possible drop.
procedure SetDragMode(); virtual;
function GetDefaultDockCaption; virtual; | Returns the string for the dock caption, by default the control's Name.
procedure Click; virtual; | Invokes the OnClick and ActionLink.Execute handlers.
procedure DblClick; virtual; | Invokes the OnDblClick handler.
procedure TripleClick; virtual; | Invokes the OnTripleClick handler.
procedure QuadClick; virtual; | Invokes the OnQuadClick handler.
function GetMousePosFromMessage();
procedure MouseDown(); virtual; | Handler for MouseDown events.
procedure MouseMove(); virtual; | Handler for MouseMove events.
procedure MouseUp(); virtual; | Invokes the OnMouseUp handler.
procedure MouseEnter; virtual; | Invokes the OnMouseEnter handler.
procedure MouseLeave; virtual; | Invokes the OnMouseLeave handler.
function DialogChar(); virtual; | Do something useful with accelerators etc.
procedure UpdateMouseCursor(); | Show the Cursor shape, unless it's crDefault.
procedure Changed; | Call this method whenever a change has occured, to trigger further processing.
function GetPalette; virtual; | Override GetPalette to return the handle of a color palette.
function ChildClassAllowed(); virtual; | Returns True if the specified class is allowed for children of this control.
procedure ReadState(); override;
procedure Loaded; override;
procedure LoadedAll; virtual; |
procedure DefineProperties(); override; | Defines which non-published properties should be streamed (none here).
procedure AssignTo(); override; | Implements the assignment to an Action object, otherwise calls the inherited method.
procedure FormEndUpdated; virtual; | Called when the update of the containing Form has ended.
procedure InvalidateControl(); | Request a repaint of the control.
procedure FontChanged(); virtual; | Handles changes of the Font property.
procedure ParentFontChanged; virtual; | [Delphi compatible] Does nothing here, all work is done in CMParentFontChanged.
function GetAction; virtual;
function RealGetText; virtual; | Returns the Caption property.
procedure RealSetText(); virtual; | Sets the Caption property.
procedure TextChanged; virtual; | Handles changes of the Text property.
function GetCachedText(); virtual; | Returns the cached Text property (FCaption).
procedure SetAction(); virtual;
procedure SetColor(); virtual;
procedure SetEnabled(); virtual;
procedure SetHint(); virtual;
procedure SetName(); override;
procedure SetParent(); virtual;
procedure SetParentComponent(); override; | Sets the Parent property, if NewParentComponent is a TWinControl.
procedure WndProc(); virtual; | The general message handler for this control.
procedure ParentFormHandleInitialized; virtual; | Internal handler for activities after a form widget has been created.
function GetMouseCapture; virtual;
procedure CaptureChanged; virtual; | Handler for mouse capture moved to a different control.
procedure Notification(); override; | Notification handler for insertion or deletion of components.
function CanTab; virtual; | If True, the Tab key can be used to navigate to this control.
function GetDeviceContext(); virtual; | Returns a device context handle for the control, from Parent.
function GetEnabled; virtual;
function GetPopupMenu; virtual;
procedure DoOnShowHint(); virtual; | Invokes the OnShowHint event handler.
function DoMouseWheel(); virtual; | Invokes the OnMouseWheel handlers, when the wheel has been turned.
function DoMouseWheelDown(); virtual; | Invokes the OnMouseWheelDown handler.
function DoMouseWheelUp(); virtual; | Invokes the OnMouseWheelUp handler.
function DoMouseWheelHorz(); virtual;
function DoMouseWheelLeft(); virtual;
function DoMouseWheelRight(); virtual;
procedure VisibleChanging; virtual; | Notifies all OnVisibleChanging handlers.
procedure VisibleChanged; virtual; | Notifies all OnVisibleChanged handlers.
procedure EnabledChanging; virtual; | Notifies all OnEnabledChanging handlers.
procedure EnabledChanged; virtual; | Notifies all OnEnabledChanged handlers.
procedure AddHandler(); | Adds an notification handler.
procedure RemoveHandler(); | Removes the given notification handler.
procedure DoCallNotifyHandler(); | Invokes all notification handlers of the specified type.
procedure DoCallKeyEventHandler();
procedure DoCallMouseWheelEventHandler();
procedure DoContextPopup(); virtual; | Invokes the OnContextPopup handler.
procedure SetZOrder(); virtual; | Moves the control in front or back of all sibling controls.
class function GetControlClassDefaultSize; virtual; | Returns the default size for this class of controls (when added to a form).
function ColorIsStored; virtual;
procedure DoAutoAdjustLayout(); virtual;
procedure DoFixDesignFontPPI();
procedure DoScaleFontPPI();
function GetActionLinkClass; virtual; | The default ActionLink class (TControlActionLink).
procedure ActionChange(); virtual; | Handler for a changed Action.
property ActionLink: TControlActionLink; [rw] | Link to the default Action associated with this control.
property DesktopFont: Boolean; [rw] | Allows to use the desktop font for text display in this control.
property DragCursor: TCursor; [rw] | The cursor shape shown while the control is dragged.
property DragKind: TDragKind; [rw] | The operation when the control is dragged - Drag or Dock.
property DragMode: TDragMode; [rw] | Allows the user to drag the control.
property MouseCapture: Boolean; [rw] | True when mouse messages are currently captured by this control.
property ParentColor: Boolean; [rw] | If true, the Color of the control will be the same as the one from the Parent. Default is true.
property ParentFont: Boolean; [rw] | If true, the Font of the control will be the same as the one from the Parent. Default is true.
property ParentShowHint: Boolean; [rw] | If true, the value of ShowHint for the control will be the same as the one from the Parent. Default is true.
property SessionProperties: string; [rw] | The stored (saved) properties of the current session, expressed as a string
property Text: TCaption; [rw] | The character string associated with the control.
property OnConstrainedResize: TConstrainedResizeEvent; [rw] | This handler can supply specific Constraints (size limits), when the control is resized.
property OnContextPopup: TContextPopupEvent; [rw] | Invoked when a context-sensitive pop-up menu is requested.
property OnDblClick: TNotifyEvent; [rw] | Event Handler for double mouse clicks.
property OnTripleClick: TNotifyEvent; [rw] | Event handler for triple mouse clicks.
property OnQuadClick: TNotifyEvent; [rw] | Event handler for quadruple mouse clicks.
property OnDragDrop: TDragDropEvent; [rw] | This handler determines the action on an drop onto this control, in a drag-drop operation.
property OnDragOver: TDragOverEvent; [rw] | Event handler for a control being dragged over this control.
property OnEndDock: TEndDragEvent; [rw] | Notification handler for the end of a docking operation.
property OnEndDrag: TEndDragEvent; [rw] | Notification handler for the end of a dragging operation.
property OnMouseDown: TMouseEvent; [rw] | Event handler for mouse button going down.
property OnMouseMove: TMouseMoveEvent; [rw] | Event handler for mouse movement within the control.
property OnMouseUp: TMouseEvent; [rw] | Event handler for mouse button going up.
property OnMouseEnter: TNotifyEvent; [rw] | Event handler for mouse entering the area of the control.
property OnMouseLeave: TNotifyEvent; [rw] | Event handler for mouse leaving the area of the control.
property OnMouseWheel: TMouseWheelEvent; [rw] | Event handler for mouse wheel turned.
property OnMouseWheelDown: TMouseWheelUpDownEvent; [rw] | Notification handler for downward movement of mouse wheel.
property OnMouseWheelUp: TMouseWheelUpDownEvent; [rw] | Notification handler for upward movement of mouse wheel.
property OnMouseWheelHorz: TMouseWheelEvent; [rw]
property OnMouseWheelLeft: TMouseWheelUpDownEvent; [rw]
property OnMouseWheelRight: TMouseWheelUpDownEvent; [rw]
property OnStartDock: TStartDockEvent; [rw] | Event handler for the start of a docking operation.
property OnStartDrag: TStartDragEvent; [rw] | Event handler for the start of a dragging operation.
property OnEditingDone: TNotifyEvent; [rw] | Event handler when editing is done.
public
FCompStyle: Byte; | Deprecated, don't use it.
procedure DragDrop(); virtual; | Invokes the OnDragDrop handler, when a dragged object is dropped onto this control.
procedure Dock(); virtual; | Moves the control into a new docksite.
function ManualDock(); virtual; | Docks a control programmatically.
function ManualFloat(); virtual; | Undocks the control into floating state.
function ReplaceDockedControl(); | Replaces a previously docked control.
function Docked;
function Dragging; | Returns True if the control is being dragged
function GetAccessibleObject; | Returns True if the control is being dragged
function CreateAccessibleObject; virtual; | Creates the TLazAccessibleObject for this control. This method should just create the object and return it. It is useful for classes which desire to have a descendent of TLazAccessibleObject instead of the base class.
function GetSelectedChildAccessibleObject; virtual; | Returns the currently selected child accessible object. This method is provided for controls which wish to override this behavior without sub-classing TLazAccessibleObject.
function GetChildAccessibleObjectAtPos(); virtual; | Returns the child object in a given position of the control given in client coordinates. This method is provided for controls which wish to override this behavior without sub-classing TLazAccessibleObject.
function ScaleDesignToForm();
function ScaleFormToDesign();
function Scale96ToForm();
function ScaleFormTo96();
function Scale96ToFont();
function ScaleFontTo96();
function ScaleScreenToFont();
function ScaleFontToScreen();
function Scale96ToScreen();
function ScaleScreenTo96();
procedure AdjustSize; virtual; | Smart way to DoAutoSize.
function AutoSizePhases; virtual; |
function AutoSizeDelayed; virtual; | Returns true if auto-sizing must be has been delayed, until some other process is complete.
function AutoSizeDelayedReport; virtual;
function AutoSizeDelayedHandle; virtual;
procedure AnchorToNeighbour(); | Anchor to Sibling at Side.
procedure AnchorParallel(); | Anchor parallel to Sibling, at Side.
procedure AnchorHorizontalCenterTo(); | Setup AnchorSide to center the control horizontally relative to a sibling.
procedure AnchorVerticalCenterTo(); | Setup AnchorSide to center the control vertically relative to Sibling.
procedure AnchorToCompanion(); | Anchor to Sibling at Side, with the same extent.
procedure AnchorSame(); | Copy Sibling's anchoring for Side.
procedure AnchorAsAlign(); | Anchor to Parent, following same rules as for Align.
procedure AnchorClient(); | Anchor to Parent's full client area.
function AnchoredControlCount; | The number of controls anchored to this one.
property AnchoredControls []: TControl; [r] | The list of controls anchored to this one.
procedure SetBounds(); virtual; | Sets the bounds (left, top, width, height) of the control.
procedure SetInitialBounds(); virtual; | Sets the bounds of the control initially, when it is created.
procedure SetBoundsKeepBase(); virtual; | Set the bounds, keeping the base values
procedure GetPreferredSize(); virtual; | Returns default/preferred height and width, for use in autosizing.
function GetCanvasScaleFactor;
function GetDefaultWidth; | The default width for this control, independent of any calculated values like Width and GetPreferredSize.
function GetDefaultHeight; | The default height for this control, independent of any calculated values like Height and GetPreferredSize.
function GetDefaultColor(); virtual; | Get the default color for this widget, from Parent or color type.
function GetColorResolvingParent; | Returns the color of the control while resolving clDefault and ParentColor
function GetRGBColorResolvingParent; | Returns a RGB value for the color of the control
function GetSidePosition(); | The client coordinate of the given side.
procedure CNPreferredSizeChanged; | Message handler for preferred size changed.
procedure InvalidatePreferredSize; virtual; | Mark the preferred size no longer valid, for this control and all parents (implies that we will look for another).
function GetAnchorsDependingOnParent(); | Returns the sides which are anchored to the Parent.
procedure DisableAutoSizing; | Turn off automatic sizing - implies that default is accepted or sizing is done manually
procedure EnableAutoSizing; | Turns on (enables) automatic sizing
procedure UpdateBaseBounds(); virtual; | Update the basic boundaries of the control - essential if there has been a lot of re-sizing.
property BaseBounds: TRect; [r] | The rectangle of the designed bounds.
property ReadBounds: TRect; [r] |
property BaseParentClientSize: TSize; [r] | The Parent's client size, for which the BaseBounds are valid.
procedure WriteLayoutDebugReport(); virtual; | Used for debugging.
procedure AutoAdjustLayout(); virtual;
procedure ShouldAutoAdjust(); virtual;
procedure FixDesignFontsPPI(); virtual;
procedure ScaleFontsPPI(); virtual;
constructor Create(); override;
destructor Destroy; override; | Removes the control from its Parent.
procedure BeforeDestruction; override;
procedure EditingDone; virtual; | Invokes the OnEditingDone event handler.
procedure ExecuteDefaultAction; virtual; | Called when the RETURN button is pressed, signifying default action.
procedure ExecuteCancelAction; virtual; | Called when ESCAPE is hit or the CANCEL button is clicked - signifying CANCEL.
procedure BeginDrag(); | Starts dragging the control (programmatically).
procedure EndDrag();
procedure BringToFront; | Bring the control in front of all sibling controls.
function HasParent; override; | Returns True if there is a parent component responsible for streaming
function GetParentComponent; override; | Returns Parent (implements TComponent.GetParentComponent).
function IsParentOf(); virtual; | Determines whether this control is a parent of AControl.
function GetTopParent; | Find which control is the top parent (which has no further parent itself).
function IsVisible; virtual; | Returns True if the control is visible, including all of its Parents.
function IsControlVisible; virtual; | True if the control is Visible, or is in design mode.
function IsEnabled; | Returns True if the control is Enabled, including all of its Parents.
function IsParentColor;
function IsParentFont;
function FormIsUpdating; virtual; | True if the form is being updated
function IsProcessingPaintMsg; | True while painting the control.
procedure Hide; | Hides this control, by setting Visible to False.
procedure Refresh;
procedure Repaint; virtual; | Immediate redraw of the control, bypassing the message queue.
procedure Invalidate; virtual; | Force a delayed Repaint of the control, by marking its visible area of the control as invalid.
function CheckChildClassAllowed(); | Returns True if the class is allowed for child controls.
procedure CheckNewParent(); virtual; | Checks if this control can become a child of AParent.
procedure SendToBack; | Moves all sibling controls in front of this control.
procedure SetTempCursor(); virtual; | Change the cursor shape temporarily, preserving the stored TControl.Cursor.
procedure UpdateRolesForForm; virtual; | Internal method, called by a Form when its DefaultControl or CancelControl has changed.
procedure ActiveDefaultControlChanged(); virtual; | Notification of a changed active DefaultControl of a form.
function GetTextBuf(); virtual; | Copy the Text property into Buffer.
function GetTextLen; virtual; | The length of Text, here: of Caption.
procedure SetTextBuf(); virtual; | Updates the Text property from a PChar buffer.
function Perform(); | Direct call of an message handler, bypassing the message queue.
function ScreenToClient(); virtual; | Convert absolute screen coordinates into client-relative coordinates
function ClientToScreen(); virtual; | Convert client-relative coordinates into absolute screen coordinates.
function ScreenToControl(); | Convert absolute screen coordinates into control-relative coordinates.
function ControlToScreen(); | Convert control-relative coordinates into absolute screen coordinates.
function ClientToParent();
function ParentToClient();
function GetChildrenRect(); virtual;
procedure Show; | Makes the control visible, by setting Visible to True.
procedure Update; virtual; | Redraw invalidated parts of the control immediately.
function HandleObjectShouldBeVisible; virtual; | True if the control shall be visible, unless it's being destroyed.
function ParentDestroyingHandle; | Returns True if any parent is destroying its Handle (and its childrens').
function ParentHandlesAllocated; virtual; | Returns True if all Parents have handles allocated, and are not being destroyed.
procedure InitiateAction; virtual; | Update the action associated with this control.
procedure ShowHelp; virtual; | Show the Help associated with this control.
function HasHelp; | True when a HelpKeyword or HelpContext ID is assigned.
procedure RemoveAllHandlersOfObject(); override; | Override this method to remove all references to notification handlers in AnObject.
procedure AddHandlerOnResize(); | Adds an handler for the OnResize event.
procedure RemoveHandlerOnResize(); | Removes an handler for the OnResize event.
procedure AddHandlerOnChangeBounds(); | Adds an handler for the OnChangeBounds event.
procedure RemoveHandlerOnChangeBounds(); | Removes an handler for the OnChangeBounds event.
procedure AddHandlerOnVisibleChanging(); | Adds an OnVisibleChanging handler.
procedure RemoveHandlerOnVisibleChanging(); | Removes an OnVisibleChanging handler.
procedure AddHandlerOnVisibleChanged(); | Adds an OnVisibleChanged handler.
procedure RemoveHandlerOnVisibleChanged(); | Removes an OnVisibleChanged handler.
procedure AddHandlerOnEnabledChanged(); | Adds an OnEnabledChanged handler.
procedure RemoveHandlerOnEnableChanging(); | Removes an OnEnabledChanged handler.
procedure AddHandlerOnKeyDown(); | Adds an handler for the OnKeyDown event.
procedure RemoveHandlerOnKeyDown(); | Removes an handler for the OnKeyDown event.
procedure AddHandlerOnBeforeDestruction();
procedure RemoveHandlerOnBeforeDestruction();
procedure AddHandlerOnMouseWheel();
procedure RemoveHandlerOnMouseWheel();
property AccessibleDescription: TCaption; [rw] | The accessible description of the control.This should describe the role of the control, for example for TLabel it could be "a text caption".
property AccessibleValue: TCaption; [rw] | The accessible value of the control. For example, for a TLabel it would be the same as the Caption property of the label.
property AccessibleRole: TLazAccessibilityRole; [rw] | The accessible role of the control which classifies what kind of object this is. See TLazAccessibilityRole for a list of possible values
property Action: TBasicAction; [rw] | The Action associated with this control.
property Align: TAlign; [rw] | Specifies the placement of the control inside its Parent.
property Anchors: TAnchors; [rws] | The set of anchor definitions for this control.
property AnchorSide []: TAnchorSide; [r] | Array of anchor definitions, indexed by the control sides.
property AutoSize: Boolean; [rw] | Allows to automatically adjust the size of the control, according to its content.
property BorderSpacing: TControlBorderSpacing; [rw] | Determines the inner and outer border spacing for this control.
property BoundsRect: TRect; [rw] | The TopLeft and BottomRight of the control, in client coordinates.
property BoundsRectForNewParent: TRect; [rw] | Temporary BoundsRect, used when the control e.g. is docked into a different Parent.
property Caption: TCaption; [rws] | The text describing the control to the user.
property CaptureMouseButtons: TCaptureMouseButtons; [rws] | Which mouse button(s) to be used for capture? Default is the left button.
property ClientHeight: Integer; [rws] | The height of the client area of the control.
property ClientOrigin: TPoint; [r] | Screen coordinates of the TopLeft pixel (of the client area) of the control.
property ClientRect: TRect; [r] | Size of the client area of the control.
property ClientWidth: Integer; [rws] | The width of the client area of the control.
property Color: TColor; [rws] | The background color of the control.
property Constraints: TSizeConstraints; [rw] | The minimal and maximal Width and Height of this control.
property ControlOrigin: TPoint; [r] | The top left pixel of this control, in screen coordinates.
property ControlState: TControlState; [rw] | State flags, telling whether the control has been clicked, data being read, control being re-drawn, etc.
property ControlStyle: TControlStyle; [rw] | Style flags, specifying whether the control responds to mouse clicks, can be re-sized, has particular actions, etc.
property Enabled: Boolean; [rws] | Determines whether the control reacts on mouse or keyboard input.
property Font: TFont; [rws] | The font to be used for text display in this control.
property IsControl: Boolean; [rw] | Determines whether this object shall be streamed as a control.
property MouseEntered: Boolean; [r] deprecated ; | True when the mouse has entered the control.
property MouseInClient: Boolean; [r]
property OnChangeBounds: TNotifyEvent; [rw] | Event handler for a change of the Bounds of the control.
property OnClick: TNotifyEvent; [rw] | Notification handler for mouse clicks.
property OnResize: TNotifyEvent; [rw] | Notification handler for a resize of the control.
property OnShowHint: TControlShowHintEvent; [rw] | Event Handler when a hint shall be shown.
property Parent: TWinControl; [rw] | The control within which the control is shown.
property PopupMenu: TPopupMenu; [rw] | A context-sensitive menu that pops up when the right mouse button is clicked over this control
property ShowHint: Boolean; [rws] | Enables the Hint display.
property Visible: Boolean; [rws] | Allows to show or hide the control, and all of its children.
property WindowProc: TWndMethod; [rw] | The handler for all messages.
property DockOrientation: TDockOrientation; [rw] | How the control is currently docked. (horizontally, vertically, in a notebook, or not at all)
property Floating: Boolean; [r] | Tries to find out whether the control is floating (not part of a form).
property FloatingDockSiteClass: TWinControlClass; [rw] | The class for a floating host dock site for this control.
property HostDockSite: TWinControl; [rw] | The host site (TWinControl) into which this control is docked. Nil if not docked.
property LRDockWidth: Integer; [rw] | The Width when last docked, with siblings to the left or right.
property TBDockHeight: Integer; [rw] | The Height when last docked, with siblings above or below.
property UndockHeight: Integer; [rw] | The height of the control in floating state.
property UndockWidth: Integer; [rw] | The width of the control in floating state.
function UseRightToLeftAlignment; virtual; | True when BiDiMode is bdRightToLeft.
function UseRightToLeftReading; virtual; | True when BiDiMode is not bdLeftToRight.
function UseRightToLeftScrollBar; | True when scrollbars appear at the left side of the control.
function IsRightToLeft; | True when BiDiMode is not bdLeftToRight.
property BiDiMode: TBiDiMode; [rws] | Customization (of text controls) in bidirectional reading environments.
property ParentBiDiMode: Boolean; [rw] | Allows to use the BiDiMode settings of Parent. Default is true.
published
property AnchorSideLeft: TAnchorSide; [rw]
property AnchorSideTop: TAnchorSide; [rw]
property AnchorSideRight: TAnchorSide; [rw]
property AnchorSideBottom: TAnchorSide; [rw]
property Cursor: TCursor; [rw] | The shape of the mouse pointer, when the mouse is over this control.
property Left: Integer; [rw] | The client coordinate of the left edge of the control.
property Height: Integer; [rw] | The vertical size of the control.
property Hint: TTranslateString; [rws] | The text to show in the Hint window for this control.
property Top: Integer; [rw] | The client coordinate of the top edge of the control.
property Width: Integer; [rw] | The horizontal extent of the control.
property HelpType: THelpType; [rw] | Determines whether context-sensitive Help is selected by numeric ID or keyword.
property HelpKeyword: string; [rws] | The keyword for context-sensitive Help on this control.
property HelpContext: THelpContext; [rws] | The ID for context-sensitive Help on this control.
end;

Inheritance

TControl | The base class for visible controls.
|
TLCLComponent | The base class for LCL components associated with widgets.
|
TComponent,IUnknown,IInterfaceComponentReference
|
TPersistent,IFPObserved
|
TObject


TControl
pt | ro | AutoSizing
pt | ro | AutoSizingAll
pt | ro | AutoSizingLockCount
pt |  | ActionLink
pt |  | DesktopFont
pt |  | DragCursor
pt |  | DragKind
pt |  | DragMode
pt |  | MouseCapture
pt |  | ParentColor
pt |  | ParentFont
pt |  | ParentShowHint
pt |  | SessionProperties
pt |  | Text
 | ro | AnchoredControls
 | ro | BaseBounds
 | ro | ReadBounds
 | ro | BaseParentClientSize
 |  | AccessibleDescription
 |  | AccessibleValue
 |  | AccessibleRole
 |  | Action
 |  | Align
 |  | Anchors
 | ro | AnchorSide
 |  | AutoSize
 |  | BorderSpacing
 |  | BoundsRect
 |  | BoundsRectForNewParent
 |  | Caption
 |  | CaptureMouseButtons
 |  | ClientHeight
 | ro | ClientOrigin
 | ro | ClientRect
 |  | ClientWidth
 |  | Color
 |  | Constraints
 | ro | ControlOrigin
 |  | ControlState
 |  | ControlStyle
 |  | Enabled
 |  | Font
 |  | IsControl
 | ro | MouseEntered
 | ro | MouseInClient
 |  | Parent
 |  | PopupMenu
 |  | ShowHint
 |  | Visible
 |  | WindowProc
 |  | DockOrientation
 | ro | Floating
 |  | FloatingDockSiteClass
 |  | HostDockSite
 |  | LRDockWidth
 |  | TBDockHeight
 |  | UndockHeight
 |  | UndockWidth
 |  | BiDiMode
 |  | ParentBiDiMode
pl |  | AnchorSideLeft
pl |  | AnchorSideTop
pl |  | AnchorSideRight
pl |  | AnchorSideBottom
pl |  | Cursor
pl |  | Left
pl |  | Height
pl |  | Hint
pl |  | Top
pl |  | Width
pl |  | HelpType
pl |  | HelpKeyword
pl |  | HelpContext
TLCLComponent
 | ro | LCLRefCount
 | ro | WidgetSetClass
TComponent
 | ro | ComObject
 | ro | Components
 | ro | ComponentCount
 |  | ComponentIndex
 | ro | ComponentState
 | ro | ComponentStyle
 |  | DesignInfo
 | ro | Owner
 |  | VCLComObject
 |  | Name
 |  | Tag
TPersistent
TObject


 |  | AccessibleDescription (TControl)
 |  | AccessibleRole (TControl)
 |  | AccessibleValue (TControl)
 |  | Action (TControl)
pt |  | ActionLink (TControl)
 |  | Align (TControl)
 | ro | AnchoredControls (TControl)
 |  | Anchors (TControl)
 | ro | AnchorSide (TControl)
pl |  | AnchorSideBottom (TControl)
pl |  | AnchorSideLeft (TControl)
pl |  | AnchorSideRight (TControl)
pl |  | AnchorSideTop (TControl)
 |  | AutoSize (TControl)
pt | ro | AutoSizing (TControl)
pt | ro | AutoSizingAll (TControl)
pt | ro | AutoSizingLockCount (TControl)
 | ro | BaseBounds (TControl)
 | ro | BaseParentClientSize (TControl)
 |  | BiDiMode (TControl)
 |  | BorderSpacing (TControl)
 |  | BoundsRect (TControl)
 |  | BoundsRectForNewParent (TControl)
 |  | Caption (TControl)
 |  | CaptureMouseButtons (TControl)
 |  | ClientHeight (TControl)
 | ro | ClientOrigin (TControl)
 | ro | ClientRect (TControl)
 |  | ClientWidth (TControl)
 |  | Color (TControl)
 | ro | ComObject (TComponent)
 | ro | ComponentCount (TComponent)
 |  | ComponentIndex (TComponent)
 | ro | Components (TComponent)
 | ro | ComponentState (TComponent)
 | ro | ComponentStyle (TComponent)
 |  | Constraints (TControl)
 | ro | ControlOrigin (TControl)
 |  | ControlState (TControl)
 |  | ControlStyle (TControl)
pl |  | Cursor (TControl)
 |  | DesignInfo (TComponent)
pt |  | DesktopFont (TControl)
 |  | DockOrientation (TControl)
pt |  | DragCursor (TControl)
pt |  | DragKind (TControl)
pt |  | DragMode (TControl)
 |  | Enabled (TControl)
 | ro | Floating (TControl)
 |  | FloatingDockSiteClass (TControl)
 |  | Font (TControl)
pl |  | Height (TControl)
pl |  | HelpContext (TControl)
pl |  | HelpKeyword (TControl)
pl |  | HelpType (TControl)
pl |  | Hint (TControl)
 |  | HostDockSite (TControl)
 |  | IsControl (TControl)
 | ro | LCLRefCount (TLCLComponent)
pl |  | Left (TControl)
 |  | LRDockWidth (TControl)
pt |  | MouseCapture (TControl)
 | ro | MouseEntered (TControl)
 | ro | MouseInClient (TControl)
 |  | Name (TComponent)
 | ro | Owner (TComponent)
 |  | Parent (TControl)
 |  | ParentBiDiMode (TControl)
pt |  | ParentColor (TControl)
pt |  | ParentFont (TControl)
pt |  | ParentShowHint (TControl)
 |  | PopupMenu (TControl)
 | ro | ReadBounds (TControl)
pt |  | SessionProperties (TControl)
 |  | ShowHint (TControl)
 |  | Tag (TComponent)
 |  | TBDockHeight (TControl)
pt |  | Text (TControl)
pl |  | Top (TControl)
 |  | UndockHeight (TControl)
 |  | UndockWidth (TControl)
 |  | VCLComObject (TComponent)
 |  | Visible (TControl)
 | ro | WidgetSetClass (TLCLComponent)
pl |  | Width (TControl)
 |  | WindowProc (TControl)


TControl
pt | WSRegisterClass
pt | GetCursor
pt | SetCursor
pt | SetVisible
pt | DoOnParentHandleDestruction
pt | DoAutoSize
pt | DoAllAutoSize
pt | BeginAutoSizing
pt | EndAutoSizing
pt | AnchorSideChanged
pt | ForeignAnchorSideChanged
pt | SetAlign
pt | SetAnchors
pt | SetAutoSize
pt | BoundsChanged
pt | CreateControlBorderSpacing
pt | DoConstraintsChange
pt | DoBorderSpacingChange
pt | IsBorderSpacingInnerBorderStored
pt | IsCaptionStored
pt | SendMoveSizeMessages
pt | ConstrainedResize
pt | CalculatePreferredSize
pt | DoOnResize
pt | DoOnChangeBounds
pt | CheckOnChangeBounds
pt | Resize
pt | RequestAlign
pt | UpdateAnchorRules
pt | ChangeBounds
pt | DoSetBounds
pt | ScaleConstraints
pt | ChangeScale
pt | CanAutoSize
pt | SetBiDiMode
pt | SetParentBiDiMode
pt | IsAParentAligning
pt | GetClientOrigin
pt | GetClientRect
pt | GetLogicalClientRect
pt | GetScrolledClientRect
pt | GetClientScrollOffset
pt | GetControlOrigin
pt | IsClientHeightStored
pt | IsClientWidthStored
pt | WidthIsAnchored
pt | HeightIsAnchored
pt | WMCancelMode
pt | WMContextMenu
pt | WMLButtonDown
pt | WMRButtonDown
pt | WMMButtonDown
pt | WMXButtonDown
pt | WMLButtonDBLCLK
pt | WMRButtonDBLCLK
pt | WMMButtonDBLCLK
pt | WMXButtonDBLCLK
pt | WMLButtonTripleCLK
pt | WMRButtonTripleCLK
pt | WMMButtonTripleCLK
pt | WMXButtonTripleCLK
pt | WMLButtonQuadCLK
pt | WMRButtonQuadCLK
pt | WMMButtonQuadCLK
pt | WMXButtonQuadCLK
pt | WMMouseMove
pt | WMLButtonUp
pt | WMRButtonUp
pt | WMMButtonUp
pt | WMXButtonUp
pt | WMMouseWheel
pt | WMMouseHWheel
pt | WMMove
pt | WMSize
pt | WMWindowPosChanged
pt | CMChanged
pt | LMCaptureChanged
pt | CMBiDiModeChanged
pt | CMSysFontChanged
pt | CMEnabledChanged
pt | CMHitTest
pt | CMMouseEnter
pt | CMMouseLeave
pt | CMHintShow
pt | CMParentBiDiModeChanged
pt | CMParentColorChanged
pt | CMParentFontChanged
pt | CMParentShowHintChanged
pt | CMVisibleChanged
pt | CMTextChanged
pt | CMCursorChanged
pt | CalculateDockSizes
pt | CreateFloatingDockSite
pt | GetDockEdge
pt | GetDragImages
pt | GetFloating
pt | GetFloatingDockSiteClass
pt | BeforeDragStart
pt | BeginAutoDrag
pt | DoFloatMsg
pt | DockTrackNoTarget
pt | DoDock
pt | DoDragMsg
pt | DoEndDock
pt | DoEndDrag
pt | DoStartDock
pt | DoStartDrag
pt | DragCanceled
pt | DragOver
pt | PositionDockRect
pt | SetDragMode
pt | GetDefaultDockCaption
pt | Click
pt | DblClick
pt | TripleClick
pt | QuadClick
pt | GetMousePosFromMessage
pt | MouseDown
pt | MouseMove
pt | MouseUp
pt | MouseEnter
pt | MouseLeave
pt | DialogChar
pt | UpdateMouseCursor
pt | Changed
pt | GetPalette
pt | ChildClassAllowed
pt | ReadState
pt | Loaded
pt | LoadedAll
pt | DefineProperties
pt | AssignTo
pt | FormEndUpdated
pt | InvalidateControl
pt | FontChanged
pt | ParentFontChanged
pt | GetAction
pt | RealGetText
pt | RealSetText
pt | TextChanged
pt | GetCachedText
pt | SetAction
pt | SetColor
pt | SetEnabled
pt | SetHint
pt | SetName
pt | SetParent
pt | SetParentComponent
pt | WndProc
pt | ParentFormHandleInitialized
pt | GetMouseCapture
pt | CaptureChanged
pt | Notification
pt | CanTab
pt | GetDeviceContext
pt | GetEnabled
pt | GetPopupMenu
pt | DoOnShowHint
pt | DoMouseWheel
pt | DoMouseWheelDown
pt | DoMouseWheelUp
pt | DoMouseWheelHorz
pt | DoMouseWheelLeft
pt | DoMouseWheelRight
pt | VisibleChanging
pt | VisibleChanged
pt | EnabledChanging
pt | EnabledChanged
pt | AddHandler
pt | RemoveHandler
pt | DoCallNotifyHandler
pt | DoCallKeyEventHandler
pt | DoCallMouseWheelEventHandler
pt | DoContextPopup
pt | SetZOrder
pt | GetControlClassDefaultSize
pt | ColorIsStored
pt | DoAutoAdjustLayout
pt | DoFixDesignFontPPI
pt | DoScaleFontPPI
pt | GetActionLinkClass
pt | ActionChange
 | DragDrop
 | Dock
 | ManualDock
 | ManualFloat
 | ReplaceDockedControl
 | Docked
 | Dragging
 | GetAccessibleObject
 | CreateAccessibleObject
 | GetSelectedChildAccessibleObject
 | GetChildAccessibleObjectAtPos
 | ScaleDesignToForm
 | ScaleFormToDesign
 | Scale96ToForm
 | ScaleFormTo96
 | Scale96ToFont
 | ScaleFontTo96
 | ScaleScreenToFont
 | ScaleFontToScreen
 | Scale96ToScreen
 | ScaleScreenTo96
 | AdjustSize
 | AutoSizePhases
 | AutoSizeDelayed
 | AutoSizeDelayedReport
 | AutoSizeDelayedHandle
 | AnchorToNeighbour
 | AnchorParallel
 | AnchorHorizontalCenterTo
 | AnchorVerticalCenterTo
 | AnchorToCompanion
 | AnchorSame
 | AnchorAsAlign
 | AnchorClient
 | AnchoredControlCount
 | SetBounds
 | SetInitialBounds
 | SetBoundsKeepBase
 | GetPreferredSize
 | GetCanvasScaleFactor
 | GetDefaultWidth
 | GetDefaultHeight
 | GetDefaultColor
 | GetColorResolvingParent
 | GetRGBColorResolvingParent
 | GetSidePosition
 | CNPreferredSizeChanged
 | InvalidatePreferredSize
 | GetAnchorsDependingOnParent
 | DisableAutoSizing
 | EnableAutoSizing
 | UpdateBaseBounds
 | WriteLayoutDebugReport
 | AutoAdjustLayout
 | ShouldAutoAdjust
 | FixDesignFontsPPI
 | ScaleFontsPPI
 | Create
 | Destroy
 | BeforeDestruction
 | EditingDone
 | ExecuteDefaultAction
 | ExecuteCancelAction
 | BeginDrag
 | EndDrag
 | BringToFront
 | HasParent
 | GetParentComponent
 | IsParentOf
 | GetTopParent
 | IsVisible
 | IsControlVisible
 | IsEnabled
 | IsParentColor
 | IsParentFont
 | FormIsUpdating
 | IsProcessingPaintMsg
 | Hide
 | Refresh
 | Repaint
 | Invalidate
 | CheckChildClassAllowed
 | CheckNewParent
 | SendToBack
 | SetTempCursor
 | UpdateRolesForForm
 | ActiveDefaultControlChanged
 | GetTextBuf
 | GetTextLen
 | SetTextBuf
 | Perform
 | ScreenToClient
 | ClientToScreen
 | ScreenToControl
 | ControlToScreen
 | ClientToParent
 | ParentToClient
 | GetChildrenRect
 | Show
 | Update
 | HandleObjectShouldBeVisible
 | ParentDestroyingHandle
 | ParentHandlesAllocated
 | InitiateAction
 | ShowHelp
 | HasHelp
 | RemoveAllHandlersOfObject
 | AddHandlerOnResize
 | RemoveHandlerOnResize
 | AddHandlerOnChangeBounds
 | RemoveHandlerOnChangeBounds
 | AddHandlerOnVisibleChanging
 | RemoveHandlerOnVisibleChanging
 | AddHandlerOnVisibleChanged
 | RemoveHandlerOnVisibleChanged
 | AddHandlerOnEnabledChanged
 | RemoveHandlerOnEnableChanging
 | AddHandlerOnKeyDown
 | RemoveHandlerOnKeyDown
 | AddHandlerOnBeforeDestruction
 | RemoveHandlerOnBeforeDestruction
 | AddHandlerOnMouseWheel
 | RemoveHandlerOnMouseWheel
 | UseRightToLeftAlignment
 | UseRightToLeftReading
 | UseRightToLeftScrollBar
 | IsRightToLeft
TLCLComponent
pt | WSRegisterClass
pt | GetWSComponentClass
 | Create
 | Destroy
 | NewInstance
 | RemoveAllHandlersOfObject
 | IncLCLRefCount
 | DecLCLRefCount
TComponent
 | GetComObject
 | GetComponent
 | GetComponentCount
 | GetComponentIndex
 | Insert
 | ReadLeft
 | ReadTop
 | Remove
 | RemoveNotification
 | SetComponentIndex
 | SetReference
 | WriteLeft
 | WriteTop
 | ChangeName
 | DefineProperties
 | GetChildren
 | GetChildOwner
 | GetChildParent
 | GetOwner
 | Loaded
 | Loading
 | Notification
 | PaletteCreated
 | ReadState
 | SetAncestor
 | SetDesigning
 | SetDesignInstance
 | SetInline
 | SetName
 | SetChildOrder
 | SetParentComponent
 | Updating
 | Updated
 | UpdateRegistry
 | ValidateRename
 | ValidateContainer
 | ValidateInsert
 | QueryInterface
 | _AddRef
 | _Release
 | iicrGetComponent
 | GetTypeInfoCount
 | GetTypeInfo
 | GetIDsOfNames
 | Invoke
 | WriteState
 | Create
 | Destroy
 | BeforeDestruction
 | DestroyComponents
 | Destroying
 | ExecuteAction
 | FindComponent
 | FreeNotification
 | RemoveFreeNotification
 | FreeOnRelease
 | GetEnumerator
 | GetNamePath
 | GetParentComponent
 | HasParent
 | InsertComponent
 | RemoveComponent
 | SafeCallException
 | SetSubComponent
 | UpdateAction
 | IsImplementorOf
 | ReferenceInterface
TPersistent
 | AssignError
 | AssignTo
 | DefineProperties
 | GetOwner
 | Destroy
 | Assign
 | FPOAttachObserver
 | FPODetachObserver
 | FPONotifyObservers
 | GetNamePath
TObject
 | Create
 | Destroy
 | newinstance
 | FreeInstance
 | SafeCallException
 | DefaultHandler
 | Free
 | InitInstance
 | CleanupInstance
 | ClassType
 | ClassInfo
 | ClassName
 | ClassNameIs
 | ClassParent
 | InstanceSize
 | InheritsFrom
 | StringMessageTable
 | MethodAddress
 | MethodName
 | FieldAddress
 | AfterConstruction
 | BeforeDestruction
 | DefaultHandlerStr
 | Dispatch
 | DispatchStr
 | GetInterface
 | GetInterfaceByStr
 | GetInterfaceWeak
 | GetInterfaceEntry
 | GetInterfaceEntryByStr
 | GetInterfaceTable
 | UnitName
 | Equals
 | GetHashCode
 | ToString


pt | ActionChange (TControl)
 | ActiveDefaultControlChanged (TControl)
pt | AddHandler (TControl)
 | AddHandlerOnBeforeDestruction (TControl)
 | AddHandlerOnChangeBounds (TControl)
 | AddHandlerOnEnabledChanged (TControl)
 | AddHandlerOnKeyDown (TControl)
 | AddHandlerOnMouseWheel (TControl)
 | AddHandlerOnResize (TControl)
 | AddHandlerOnVisibleChanged (TControl)
 | AddHandlerOnVisibleChanging (TControl)
 | AdjustSize (TControl)
 | AfterConstruction (TObject)
 | AnchorAsAlign (TControl)
 | AnchorClient (TControl)
 | AnchoredControlCount (TControl)
 | AnchorHorizontalCenterTo (TControl)
 | AnchorParallel (TControl)
 | AnchorSame (TControl)
pt | AnchorSideChanged (TControl)
 | AnchorToCompanion (TControl)
 | AnchorToNeighbour (TControl)
 | AnchorVerticalCenterTo (TControl)
 | Assign (TPersistent)
 | AssignError (TPersistent)
 | AssignTo (TPersistent)
pt | AssignTo (TControl)
 | AutoAdjustLayout (TControl)
 | AutoSizeDelayed (TControl)
 | AutoSizeDelayedHandle (TControl)
 | AutoSizeDelayedReport (TControl)
 | AutoSizePhases (TControl)
 | BeforeDestruction (TObject)
 | BeforeDestruction (TComponent)
 | BeforeDestruction (TControl)
pt | BeforeDragStart (TControl)
pt | BeginAutoDrag (TControl)
pt | BeginAutoSizing (TControl)
 | BeginDrag (TControl)
pt | BoundsChanged (TControl)
 | BringToFront (TControl)
pt | CalculateDockSizes (TControl)
pt | CalculatePreferredSize (TControl)
pt | CanAutoSize (TControl)
pt | CanTab (TControl)
pt | CaptureChanged (TControl)
pt | ChangeBounds (TControl)
pt | Changed (TControl)
 | ChangeName (TComponent)
pt | ChangeScale (TControl)
 | CheckChildClassAllowed (TControl)
 | CheckNewParent (TControl)
pt | CheckOnChangeBounds (TControl)
pt | ChildClassAllowed (TControl)
 | ClassInfo (TObject)
 | ClassName (TObject)
 | ClassNameIs (TObject)
 | ClassParent (TObject)
 | ClassType (TObject)
 | CleanupInstance (TObject)
pt | Click (TControl)
 | ClientToParent (TControl)
 | ClientToScreen (TControl)
pt | CMBiDiModeChanged (TControl)
pt | CMChanged (TControl)
pt | CMCursorChanged (TControl)
pt | CMEnabledChanged (TControl)
pt | CMHintShow (TControl)
pt | CMHitTest (TControl)
pt | CMMouseEnter (TControl)
pt | CMMouseLeave (TControl)
pt | CMParentBiDiModeChanged (TControl)
pt | CMParentColorChanged (TControl)
pt | CMParentFontChanged (TControl)
pt | CMParentShowHintChanged (TControl)
pt | CMSysFontChanged (TControl)
pt | CMTextChanged (TControl)
pt | CMVisibleChanged (TControl)
 | CNPreferredSizeChanged (TControl)
pt | ColorIsStored (TControl)
pt | ConstrainedResize (TControl)
 | ControlToScreen (TControl)
 | Create (TObject)
 | Create (TComponent)
 | Create (TLCLComponent)
 | Create (TControl)
 | CreateAccessibleObject (TControl)
pt | CreateControlBorderSpacing (TControl)
pt | CreateFloatingDockSite (TControl)
pt | DblClick (TControl)
 | DecLCLRefCount (TLCLComponent)
 | DefaultHandler (TObject)
 | DefaultHandlerStr (TObject)
 | DefineProperties (TPersistent)
 | DefineProperties (TComponent)
pt | DefineProperties (TControl)
 | Destroy (TObject)
 | Destroy (TPersistent)
 | Destroy (TComponent)
 | Destroy (TLCLComponent)
 | Destroy (TControl)
 | DestroyComponents (TComponent)
 | Destroying (TComponent)
pt | DialogChar (TControl)
 | DisableAutoSizing (TControl)
 | Dispatch (TObject)
 | DispatchStr (TObject)
pt | DoAllAutoSize (TControl)
pt | DoAutoAdjustLayout (TControl)
pt | DoAutoSize (TControl)
pt | DoBorderSpacingChange (TControl)
pt | DoCallKeyEventHandler (TControl)
pt | DoCallMouseWheelEventHandler (TControl)
pt | DoCallNotifyHandler (TControl)
 | Dock (TControl)
 | Docked (TControl)
pt | DockTrackNoTarget (TControl)
pt | DoConstraintsChange (TControl)
pt | DoContextPopup (TControl)
pt | DoDock (TControl)
pt | DoDragMsg (TControl)
pt | DoEndDock (TControl)
pt | DoEndDrag (TControl)
pt | DoFixDesignFontPPI (TControl)
pt | DoFloatMsg (TControl)
pt | DoMouseWheel (TControl)
pt | DoMouseWheelDown (TControl)
pt | DoMouseWheelHorz (TControl)
pt | DoMouseWheelLeft (TControl)
pt | DoMouseWheelRight (TControl)
pt | DoMouseWheelUp (TControl)
pt | DoOnChangeBounds (TControl)
pt | DoOnParentHandleDestruction (TControl)
pt | DoOnResize (TControl)
pt | DoOnShowHint (TControl)
pt | DoScaleFontPPI (TControl)
pt | DoSetBounds (TControl)
pt | DoStartDock (TControl)
pt | DoStartDrag (TControl)
pt | DragCanceled (TControl)
 | DragDrop (TControl)
 | Dragging (TControl)
pt | DragOver (TControl)
 | EditingDone (TControl)
 | EnableAutoSizing (TControl)
pt | EnabledChanged (TControl)
pt | EnabledChanging (TControl)
pt | EndAutoSizing (TControl)
 | EndDrag (TControl)
 | Equals (TObject)
 | ExecuteAction (TComponent)
 | ExecuteCancelAction (TControl)
 | ExecuteDefaultAction (TControl)
 | FieldAddress (TObject)
 | FindComponent (TComponent)
 | FixDesignFontsPPI (TControl)
pt | FontChanged (TControl)
pt | ForeignAnchorSideChanged (TControl)
pt | FormEndUpdated (TControl)
 | FormIsUpdating (TControl)
 | FPOAttachObserver (TPersistent)
 | FPODetachObserver (TPersistent)
 | FPONotifyObservers (TPersistent)
 | Free (TObject)
 | FreeInstance (TObject)
 | FreeNotification (TComponent)
 | FreeOnRelease (TComponent)
 | GetAccessibleObject (TControl)
pt | GetAction (TControl)
pt | GetActionLinkClass (TControl)
 | GetAnchorsDependingOnParent (TControl)
pt | GetCachedText (TControl)
 | GetCanvasScaleFactor (TControl)
 | GetChildAccessibleObjectAtPos (TControl)
 | GetChildOwner (TComponent)
 | GetChildParent (TComponent)
 | GetChildren (TComponent)
 | GetChildrenRect (TControl)
pt | GetClientOrigin (TControl)
pt | GetClientRect (TControl)
pt | GetClientScrollOffset (TControl)
 | GetColorResolvingParent (TControl)
 | GetComObject (TComponent)
 | GetComponent (TComponent)
 | GetComponentCount (TComponent)
 | GetComponentIndex (TComponent)
pt | GetControlClassDefaultSize (TControl)
pt | GetControlOrigin (TControl)
pt | GetCursor (TControl)
 | GetDefaultColor (TControl)
pt | GetDefaultDockCaption (TControl)
 | GetDefaultHeight (TControl)
 | GetDefaultWidth (TControl)
pt | GetDeviceContext (TControl)
pt | GetDockEdge (TControl)
pt | GetDragImages (TControl)
pt | GetEnabled (TControl)
 | GetEnumerator (TComponent)
pt | GetFloating (TControl)
pt | GetFloatingDockSiteClass (TControl)
 | GetHashCode (TObject)
 | GetIDsOfNames (TComponent)
 | GetInterface (TObject)
 | GetInterfaceByStr (TObject)
 | GetInterfaceEntry (TObject)
 | GetInterfaceEntryByStr (TObject)
 | GetInterfaceTable (TObject)
 | GetInterfaceWeak (TObject)
pt | GetLogicalClientRect (TControl)
pt | GetMouseCapture (TControl)
pt | GetMousePosFromMessage (TControl)
 | GetNamePath (TPersistent)
 | GetNamePath (TComponent)
 | GetOwner (TPersistent)
 | GetOwner (TComponent)
pt | GetPalette (TControl)
 | GetParentComponent (TComponent)
 | GetParentComponent (TControl)
pt | GetPopupMenu (TControl)
 | GetPreferredSize (TControl)
 | GetRGBColorResolvingParent (TControl)
pt | GetScrolledClientRect (TControl)
 | GetSelectedChildAccessibleObject (TControl)
 | GetSidePosition (TControl)
 | GetTextBuf (TControl)
 | GetTextLen (TControl)
 | GetTopParent (TControl)
 | GetTypeInfo (TComponent)
 | GetTypeInfoCount (TComponent)
pt | GetWSComponentClass (TLCLComponent)
 | HandleObjectShouldBeVisible (TControl)
 | HasHelp (TControl)
 | HasParent (TComponent)
 | HasParent (TControl)
pt | HeightIsAnchored (TControl)
 | Hide (TControl)
 | iicrGetComponent (TComponent)
 | IncLCLRefCount (TLCLComponent)
 | InheritsFrom (TObject)
 | InitiateAction (TControl)
 | InitInstance (TObject)
 | Insert (TComponent)
 | InsertComponent (TComponent)
 | InstanceSize (TObject)
 | Invalidate (TControl)
pt | InvalidateControl (TControl)
 | InvalidatePreferredSize (TControl)
 | Invoke (TComponent)
pt | IsAParentAligning (TControl)
pt | IsBorderSpacingInnerBorderStored (TControl)
pt | IsCaptionStored (TControl)
pt | IsClientHeightStored (TControl)
pt | IsClientWidthStored (TControl)
 | IsControlVisible (TControl)
 | IsEnabled (TControl)
 | IsImplementorOf (TComponent)
 | IsParentColor (TControl)
 | IsParentFont (TControl)
 | IsParentOf (TControl)
 | IsProcessingPaintMsg (TControl)
 | IsRightToLeft (TControl)
 | IsVisible (TControl)
pt | LMCaptureChanged (TControl)
 | Loaded (TComponent)
pt | Loaded (TControl)
pt | LoadedAll (TControl)
 | Loading (TComponent)
 | ManualDock (TControl)
 | ManualFloat (TControl)
 | MethodAddress (TObject)
 | MethodName (TObject)
pt | MouseDown (TControl)
pt | MouseEnter (TControl)
pt | MouseLeave (TControl)
pt | MouseMove (TControl)
pt | MouseUp (TControl)
 | newinstance (TObject)
 | NewInstance (TLCLComponent)
 | Notification (TComponent)
pt | Notification (TControl)
 | PaletteCreated (TComponent)
 | ParentDestroyingHandle (TControl)
pt | ParentFontChanged (TControl)
pt | ParentFormHandleInitialized (TControl)
 | ParentHandlesAllocated (TControl)
 | ParentToClient (TControl)
 | Perform (TControl)
pt | PositionDockRect (TControl)
pt | QuadClick (TControl)
 | QueryInterface (TComponent)
 | ReadLeft (TComponent)
 | ReadState (TComponent)
pt | ReadState (TControl)
 | ReadTop (TComponent)
pt | RealGetText (TControl)
pt | RealSetText (TControl)
 | ReferenceInterface (TComponent)
 | Refresh (TControl)
 | Remove (TComponent)
 | RemoveAllHandlersOfObject (TLCLComponent)
 | RemoveAllHandlersOfObject (TControl)
 | RemoveComponent (TComponent)
 | RemoveFreeNotification (TComponent)
pt | RemoveHandler (TControl)
 | RemoveHandlerOnBeforeDestruction (TControl)
 | RemoveHandlerOnChangeBounds (TControl)
 | RemoveHandlerOnEnableChanging (TControl)
 | RemoveHandlerOnKeyDown (TControl)
 | RemoveHandlerOnMouseWheel (TControl)
 | RemoveHandlerOnResize (TControl)
 | RemoveHandlerOnVisibleChanged (TControl)
 | RemoveHandlerOnVisibleChanging (TControl)
 | RemoveNotification (TComponent)
 | Repaint (TControl)
 | ReplaceDockedControl (TControl)
pt | RequestAlign (TControl)
pt | Resize (TControl)
 | SafeCallException (TObject)
 | SafeCallException (TComponent)
 | Scale96ToFont (TControl)
 | Scale96ToForm (TControl)
 | Scale96ToScreen (TControl)
pt | ScaleConstraints (TControl)
 | ScaleDesignToForm (TControl)
 | ScaleFontsPPI (TControl)
 | ScaleFontTo96 (TControl)
 | ScaleFontToScreen (TControl)
 | ScaleFormTo96 (TControl)
 | ScaleFormToDesign (TControl)
 | ScaleScreenTo96 (TControl)
 | ScaleScreenToFont (TControl)
 | ScreenToClient (TControl)
 | ScreenToControl (TControl)
pt | SendMoveSizeMessages (TControl)
 | SendToBack (TControl)
pt | SetAction (TControl)
pt | SetAlign (TControl)
 | SetAncestor (TComponent)
pt | SetAnchors (TControl)
pt | SetAutoSize (TControl)
pt | SetBiDiMode (TControl)
 | SetBounds (TControl)
 | SetBoundsKeepBase (TControl)
 | SetChildOrder (TComponent)
pt | SetColor (TControl)
 | SetComponentIndex (TComponent)
pt | SetCursor (TControl)
 | SetDesigning (TComponent)
 | SetDesignInstance (TComponent)
pt | SetDragMode (TControl)
pt | SetEnabled (TControl)
pt | SetHint (TControl)
 | SetInitialBounds (TControl)
 | SetInline (TComponent)
 | SetName (TComponent)
pt | SetName (TControl)
pt | SetParent (TControl)
pt | SetParentBiDiMode (TControl)
 | SetParentComponent (TComponent)
pt | SetParentComponent (TControl)
 | SetReference (TComponent)
 | SetSubComponent (TComponent)
 | SetTempCursor (TControl)
 | SetTextBuf (TControl)
pt | SetVisible (TControl)
pt | SetZOrder (TControl)
 | ShouldAutoAdjust (TControl)
 | Show (TControl)
 | ShowHelp (TControl)
 | StringMessageTable (TObject)
pt | TextChanged (TControl)
 | ToString (TObject)
pt | TripleClick (TControl)
 | UnitName (TObject)
 | Update (TControl)
 | UpdateAction (TComponent)
pt | UpdateAnchorRules (TControl)
 | UpdateBaseBounds (TControl)
 | Updated (TComponent)
pt | UpdateMouseCursor (TControl)
 | UpdateRegistry (TComponent)
 | UpdateRolesForForm (TControl)
 | Updating (TComponent)
 | UseRightToLeftAlignment (TControl)
 | UseRightToLeftReading (TControl)
 | UseRightToLeftScrollBar (TControl)
 | ValidateContainer (TComponent)
 | ValidateInsert (TComponent)
 | ValidateRename (TComponent)
pt | VisibleChanged (TControl)
pt | VisibleChanging (TControl)
pt | WidthIsAnchored (TControl)
pt | WMCancelMode (TControl)
pt | WMContextMenu (TControl)
pt | WMLButtonDBLCLK (TControl)
pt | WMLButtonDown (TControl)
pt | WMLButtonQuadCLK (TControl)
pt | WMLButtonTripleCLK (TControl)
pt | WMLButtonUp (TControl)
pt | WMMButtonDBLCLK (TControl)
pt | WMMButtonDown (TControl)
pt | WMMButtonQuadCLK (TControl)
pt | WMMButtonTripleCLK (TControl)
pt | WMMButtonUp (TControl)
pt | WMMouseHWheel (TControl)
pt | WMMouseMove (TControl)
pt | WMMouseWheel (TControl)
pt | WMMove (TControl)
pt | WMRButtonDBLCLK (TControl)
pt | WMRButtonDown (TControl)
pt | WMRButtonQuadCLK (TControl)
pt | WMRButtonTripleCLK (TControl)
pt | WMRButtonUp (TControl)
pt | WMSize (TControl)
pt | WMWindowPosChanged (TControl)
pt | WMXButtonDBLCLK (TControl)
pt | WMXButtonDown (TControl)
pt | WMXButtonQuadCLK (TControl)
pt | WMXButtonTripleCLK (TControl)
pt | WMXButtonUp (TControl)
pt | WndProc (TControl)
 | WriteLayoutDebugReport (TControl)
 | WriteLeft (TComponent)
 | WriteState (TComponent)
 | WriteTop (TComponent)
pt | WSRegisterClass (TLCLComponent)
pt | WSRegisterClass (TControl)
 | _AddRef (TComponent)
 | _Release (TComponent)


TControl
pt | OnConstrainedResize
pt | OnContextPopup
pt | OnDblClick
pt | OnTripleClick
pt | OnQuadClick
pt | OnDragDrop
pt | OnDragOver
pt | OnEndDock
pt | OnEndDrag
pt | OnMouseDown
pt | OnMouseMove
pt | OnMouseUp
pt | OnMouseEnter
pt | OnMouseLeave
pt | OnMouseWheel
pt | OnMouseWheelDown
pt | OnMouseWheelUp
pt | OnMouseWheelHorz
pt | OnMouseWheelLeft
pt | OnMouseWheelRight
pt | OnStartDock
pt | OnStartDrag
pt | OnEditingDone
 | OnChangeBounds
 | OnClick
 | OnResize
 | OnShowHint
TLCLComponent
TComponent
TPersistent
TObject


pt | OnConstrainedResize (TControl)
pt | OnContextPopup (TControl)
pt | OnDblClick (TControl)
pt | OnDragDrop (TControl)
pt | OnDragOver (TControl)
pt | OnEditingDone (TControl)
pt | OnEndDock (TControl)
pt | OnEndDrag (TControl)
pt | OnMouseDown (TControl)
pt | OnMouseEnter (TControl)
pt | OnMouseLeave (TControl)
pt | OnMouseMove (TControl)
pt | OnMouseUp (TControl)
pt | OnMouseWheel (TControl)
pt | OnMouseWheelDown (TControl)
pt | OnMouseWheelHorz (TControl)
pt | OnMouseWheelLeft (TControl)
pt | OnMouseWheelRight (TControl)
pt | OnMouseWheelUp (TControl)
pt | OnQuadClick (TControl)
 | OnResize (TControl)
 | OnShowHint (TControl)
pt | OnStartDock (TControl)
pt | OnStartDrag (TControl)
pt | OnTripleClick (TControl)


TControl.AccessibleDescription

The accessible description of the control.This should describe the role of the control, for example for TLabel it could be "a text caption".

Declaration

Source position: controls.pp line 1698

public property TControl.AccessibleDescription : TCaption
  read GetAccessibleDescription
  write SetAccessibleDescription;

Description

The accessible description of the control. This should describe the role of the control, for example for TLabel it could be "a text caption". This property is connected and synchronized with TControl.GetAccessibleObject().AccessibleDescription.

See also

TLazAccessibleObject.AccessibleDescription

The description of this accessible object


TControl.AccessibleRole

The accessible role of the control which classifies what kind of object this is. See TLazAccessibilityRole for a list of possible values

Declaration

Source position: controls.pp line 1700

public property TControl.AccessibleRole : TLazAccessibilityRole
  read GetAccessibleRole
  write SetAccessibleRole;

See also

TLazAccessibilityRole | Indicates the role which a accessible object takes in the user interface
TLazAccessibleObject.AccessibleRole | The role of this accessible object


TControl.AccessibleValue

The accessible value of the control. For example, for a TLabel it would be the same as the Caption property of the label.

Declaration

Source position: controls.pp line 1699

public property TControl.AccessibleValue : TCaption
  read GetAccessibleValue
  write SetAccessibleValue;

Description

The accessible value of the control. For example, for a TLabel it would be the same as the Caption property of the label. This property is connected and synchronized with TControl.GetAccessibleObject().AccessibleValue.

See also

TLazAccessibleObject.AccessibleValue

The value of this accessible object


TControl.Action

The Action associated with this control.

Declaration

Source position: controls.pp line 1701

public property TControl.Action : TBasicAction
  read GetAction
  write SetAction;

Description

The Action property is a shortcut to ActionLink.Action.

See also

TControl.ActionLink

Link to the default Action associated with this control.

#rtl.Classes.TBasicAction


TControl.ActionChange

Handler for a changed Action.

Declaration

Source position: controls.pp line 1488

protected procedure TControl.ActionChange(

  Sender: TObject;

  CheckDefaults: Boolean

); virtual;

Arguments

Sender | The changed Action.
CheckDefaults | When True, forces update of all properties. Otherwise only properties in default state are overwritten.

Description

Several properties are copied from the new Action.


TControl.ActionLink

Link to the default Action associated with this control.

Declaration

Source position: controls.pp line 1491

protected property TControl.ActionLink : TControlActionLink
  read FActionLink
  write FActionLink;


TControl.ActiveDefaultControlChanged

Notification of a changed active DefaultControl of a form.

Declaration

Source position: controls.pp line 1649

public procedure TControl.ActiveDefaultControlChanged(

  NewControl: TControl

); virtual;

Arguments

NewControl

The new DefaultControl.

Description

When the user pressed ENTER in a form, its DefaultControl will receive a Click event.

Errors

Currently NewControl can be Nil, even if it should not be.


TControl.AddHandler

Adds an notification handler.

Declaration

Source position: controls.pp line 1467

protected procedure TControl.AddHandler(

  HandlerType: TControlHandlerType;

  const AMethod: TMethod;

  AsFirst: Boolean = False

);

Arguments

HandlerType | Type of the event.
AMethod | The handler to be added.
AsFirst | Unused.

Description

Notification handlers allow to notify other components of certain events. When the registered event occurs, all installed (added) handlers are invoked.


TControl.AddHandlerOnBeforeDestruction

Declaration

Source position: controls.pp line 1690

public procedure TControl.AddHandlerOnBeforeDestruction(

  const OnBeforeDestructionEvent: TNotifyEvent;

  AsFirst: Boolean = False

);


TControl.AddHandlerOnChangeBounds

Adds an handler for the OnChangeBounds event.

Declaration

Source position: controls.pp line 1675

public procedure TControl.AddHandlerOnChangeBounds(

  const OnChangeBoundsEvent: TNotifyEvent;

  AsFirst: Boolean = False

);


TControl.AddHandlerOnEnabledChanged

Adds an OnEnabledChanged handler.

Declaration

Source position: controls.pp line 1684

public procedure TControl.AddHandlerOnEnabledChanged(

  const OnEnabledChangedEvent: TNotifyEvent;

  AsFirst: Boolean = False

);


TControl.AddHandlerOnKeyDown

Adds an handler for the OnKeyDown event.

Declaration

Source position: controls.pp line 1687

public procedure TControl.AddHandlerOnKeyDown(

  const OnKeyDownEvent: TKeyEvent;

  AsFirst: Boolean = False

);


TControl.AddHandlerOnMouseWheel

Declaration

Source position: controls.pp line 1693

public procedure TControl.AddHandlerOnMouseWheel(

  const OnMouseWheelEvent: TMouseWheelEvent;

  AsFirst: Boolean = False

);


TControl.AddHandlerOnResize

Adds an handler for the OnResize event.

Declaration

Source position: controls.pp line 1672

public procedure TControl.AddHandlerOnResize(

  const OnResizeEvent: TNotifyEvent;

  AsFirst: Boolean = False

);


TControl.AddHandlerOnVisibleChanged

Adds an OnVisibleChanged handler.

Declaration

Source position: controls.pp line 1681

public procedure TControl.AddHandlerOnVisibleChanged(

  const OnVisibleChangedEvent: TNotifyEvent;

  AsFirst: Boolean = False

);


TControl.AddHandlerOnVisibleChanging

Adds an OnVisibleChanging handler.

Declaration

Source position: controls.pp line 1678

public procedure TControl.AddHandlerOnVisibleChanging(

  const OnVisibleChangingEvent: TNotifyEvent;

  AsFirst: Boolean = False

);


TControl.AdjustSize

Smart way to DoAutoSize.

Declaration

Source position: controls.pp line 1562

public procedure TControl.AdjustSize; virtual;

Description

This method does the same as Delphi TWinControl.DoAutoSize. But since DoAutoSize is commonly overriden by descendant components, it is not useful to perform all tests, which can result in too much overhead. To reduce this the LCL calls AdjustSize instead.

During loading and handle creation the calls are delayed.

See also

#lcl.Controls.AutoSize

AutoSize - boolean property that permits the size of a control to be adjusted automatically


TControl.Align

Specifies the placement of the control inside its Parent.

Declaration

Source position: controls.pp line 1702

public property TControl.Align : TAlign
  read FAlign
  write SetAlign
  default alNone;

Description

A control can stick to one side of its Parent control.

See also

TAlign

Alignment options for a control, within its Parent control.


TControl.AnchorAsAlign

Anchor to Parent, following same rules as for Align.

Declaration

Source position: controls.pp line 1577

public procedure TControl.AnchorAsAlign(

  TheAlign: TAlign;

  Space: TSpacingSize

);


TControl.AnchorClient

Anchor to Parent's full client area.

Declaration

Source position: controls.pp line 1578

public procedure TControl.AnchorClient(

  Space: TSpacingSize

);

Arguments

Space

The around space.


TControl.AnchoredControlCount

The number of controls anchored to this one.

Declaration

Source position: controls.pp line 1579

public function TControl.AnchoredControlCount: Integer;


TControl.AnchoredControls

The list of controls anchored to this one.

Declaration

Source position: controls.pp line 1580

public property TControl.AnchoredControls[Index: Integer] : TControl
  read GetAnchoredControls;


TControl.AnchorHorizontalCenterTo

Setup AnchorSide to center the control horizontally relative to a sibling.

Declaration

Source position: controls.pp line 1571

public procedure TControl.AnchorHorizontalCenterTo(

  Sibling: TControl

);

Arguments

Sibling

The sibling control to which we should anchor.


TControl.AnchorParallel

Anchor parallel to Sibling, at Side.

Declaration

Source position: controls.pp line 1569

public procedure TControl.AnchorParallel(

  Side: TAnchorKind;

  Space: TSpacingSize;

  Sibling: TControl

);

Arguments

Side | The side to anchor to the sibling.
Space | The minimum space to Sibling.
Sibling | The sibling control to which we should anchor.


TControl.Anchors

The set of anchor definitions for this control.

Declaration

Source position: controls.pp line 1703

public property TControl.Anchors : TAnchors
  read FAnchors
  write SetAnchors
  stored IsAnchorsStored
  default [akLeft, akTop];

Description

Determines which sides of the control are anchored to other controls.

See also

#lcl.Controls.TAnchors


TControl.AnchorSame

Copy Sibling's anchoring for Side.

Declaration

Source position: controls.pp line 1576

public procedure TControl.AnchorSame(

  Side: TAnchorKind;

  Sibling: TControl

);

Arguments

Side | The side to anchor like the sibling does.
Sibling | The sibling control from which to inherit anchoring.


TControl.AnchorSide

Array of anchor definitions, indexed by the control sides.

Declaration

Source position: controls.pp line 1704

public property TControl.AnchorSide[Kind: TAnchorKind] : TAnchorSide
  read GetAnchorSide;

Description

Valid anchor definitions are flagged in Anchors.

AnchorSide specifies how a side is anchored to other controls (siblings or Parent).

Various AnchorAs and AnchorTo methods simplify the establishment of anchors.

See also

TAnchorSide | Specifies how the side of a control is anchored to other controls.
TControl.AnchorAsAlign | Anchor to Parent, following same rules as for Align.
TControl.AnchorToNeighbour | Anchor to Sibling at Side.


TControl.AnchorSideChanged

Request further processing after an anchor side was changed.

Declaration

Source position: controls.pp line 1288

protected procedure TControl.AnchorSideChanged(

  TheAnchorSide: TAnchorSide

); virtual;

Arguments

TheAnchorSide

Ignored.


TControl.AnchorToCompanion

Anchor to Sibling at Side, with the same extent.

Declaration

Source position: controls.pp line 1573

public procedure TControl.AnchorToCompanion(

  Side: TAnchorKind;

  Space: TSpacingSize;

  Sibling: TControl;

  FreeCompositeSide: Boolean = True

);

Arguments

Side | The side to anchor to the sibling.
Space | The minimum space to Sibling.
Sibling | The sibling control to which we should anchor.

Description

Table or tree style anchoring, into a neighbour cell of Sibling. Obtain the row height (or column width) from Sibling.


TControl.AnchorToNeighbour

Anchor to Sibling at Side.

Declaration

Source position: controls.pp line 1567

public procedure TControl.AnchorToNeighbour(

  Side: TAnchorKind;

  Space: TSpacingSize;

  Sibling: TControl

);

Arguments

Side | The side to be anchored to Sibling.
Space | The minimum space to Sibling.
Sibling | The sibling control to which we should anchor.

Description

Setup AnchorSide to anchor a side to the side of a neighbour sibling. For example Right side to Left side, or Top side to Bottom.


TControl.AnchorVerticalCenterTo

Setup AnchorSide to center the control vertically relative to Sibling.

Declaration

Source position: controls.pp line 1572

public procedure TControl.AnchorVerticalCenterTo(

  Sibling: TControl

);

Arguments

Sibling

The sibling control to which we should anchor.


TControl.AssignTo

Implements the assignment to an Action object, otherwise calls the inherited method.

Declaration

Source position: controls.pp line 1429

protected procedure TControl.AssignTo(

  Dest: TPersistent

); override;

Description

The copied properties are:

  • Enabled
  • Hint
  • Caption
  • Visible
  • OnExecute (copied to OnClick)
  • HelpContext
  • HelpKeyword
  • HelpType

See also

#rtl.Classes.TPersistent.AssignTo


TControl.AutoAdjustLayout

Declaration

Source position: controls.pp line 1613

public procedure TControl.AutoAdjustLayout(

  AMode: TLayoutAdjustmentPolicy;

  const AFromPPI: Integer;

  const AToPPI: Integer;

  const AOldFormWidth: Integer;

  const ANewFormWidth: Integer

); virtual;


TControl.AutoSize

Allows to automatically adjust the size of the control, according to its content.

Declaration

Source position: controls.pp line 1705

public property TControl.AutoSize : Boolean
  read FAutoSize
  write SetAutoSize
  default False;

Description

The effect depends on the concrete control type. For example a label or button can become bigger or smaller to accommodate a longer or shorter caption.

Default is false, ie no auto-sizing

See also

Autosize topic

AutoSize - boolean property that permits the size of a control to be adjusted automatically


TControl.AutoSizeDelayed

Returns true if auto-sizing must be has been delayed, until some other process is complete.

Declaration

Source position: controls.pp line 1564

public function TControl.AutoSizeDelayed: Boolean; virtual;

Function result

True if auto-sizing has been delayed.


TControl.AutoSizeDelayedHandle

Declaration

Source position: controls.pp line 1566

public function TControl.AutoSizeDelayedHandle: Boolean; virtual;


TControl.AutoSizeDelayedReport

Declaration

Source position: controls.pp line 1565

public function TControl.AutoSizeDelayedReport: string; virtual;


TControl.AutoSizePhases

Declaration

Source position: controls.pp line 1563

public function TControl.AutoSizePhases: TControlAutoSizePhases; virtual;


TControl.AutoSizing

True while autosizing is in progress.

Declaration

Source position: controls.pp line 1332

protected property TControl.AutoSizing : Boolean
  read FAutoSizingSelf;


TControl.AutoSizingAll

Flag to prevent recursive AutoSizing (in DoAllAutoSize).

Declaration

Source position: controls.pp line 1333

protected property TControl.AutoSizingAll : Boolean
  read GetAutoSizingAll;

Description

By default Parent.AutoSizingAll is read, because a mere TControl cannot have child controls.


TControl.AutoSizingLockCount

Internal counter, in/decreased by DisableAutoSizing/EnableAutoSizing.

Declaration

Source position: controls.pp line 1334

protected property TControl.AutoSizingLockCount : Integer
  read FAutoSizingLockCount;


TControl.BaseBounds

The rectangle of the designed bounds.

Declaration

Source position: controls.pp line 1607

public property TControl.BaseBounds : TRect
  read FBaseBounds;

Description

The current Bounds can change, due to scaling, anchoring or autosizing.

See also

TControl.Anchors | The set of anchor definitions for this control.
TControl.AnchorSide | Array of anchor definitions, indexed by the control sides.
TControl.AutoSize | Allows to automatically adjust the size of the control, according to its content.
TControl.Scale
TControl.SetBoundsKeepBase | Set the bounds, keeping the base values


TControl.BaseParentClientSize

The Parent's client size, for which the BaseBounds are valid.

Declaration

Source position: controls.pp line 1609

public property TControl.BaseParentClientSize : TSize
  read FBaseParentClientSize;

Description

BaseBounds and BaseParentClientSize determine the distance to keep from Parent's sides, when a side is anchored to the Parent (akLeft...), and the Parent is resized.


TControl.BeforeDestruction

Declaration

Source position: controls.pp line 1621

public procedure TControl.BeforeDestruction; override;


TControl.BeforeDragStart

Declaration

Source position: controls.pp line 1390

protected procedure TControl.BeforeDragStart; virtual;


TControl.BeginAutoDrag

For internal use: user has started dragging the control.

Declaration

Source position: controls.pp line 1391

protected procedure TControl.BeginAutoDrag; virtual;


TControl.BeginAutoSizing

Sets AutoSizing=true, used to prevent loops.

Declaration

Source position: controls.pp line 1286

protected procedure TControl.BeginAutoSizing;


TControl.BeginDrag

Starts dragging the control (programmatically).

Declaration

Source position: controls.pp line 1625

public procedure TControl.BeginDrag(

  Immediate: Boolean;

  Threshold: Integer = - 1

);

Arguments

Immediate | If False, start dragging only after the mouse has moved.
Threshold | Minimum mouse movement before delayed dragging starts (in pixels); -1 means DragManager default; ignored if Immediate=True.


TControl.BiDiMode

Customization (of text controls) in bidirectional reading environments.

Declaration

Source position: controls.pp line 1750

public property TControl.BiDiMode : TBiDiMode
  read FBiDiMode
  write SetBiDiMode
  stored IsBiDiModeStored
  default bdLeftToRight;

Description

In "normal" reading mode (left-to-right, LTR) text entry starts at the left, text is almost left justified, and vertical scrollbars sit at the right side of the control.

In right-to-left mode text entry starts at the right, text is almost right justified, and vertical scrollbars sit at the left side of the control.

In a bidirectional environment these different placements and adjustments can be configured (swapped) in various (but not all) ways.

(Allows RTL languages such as Arabic and Hebrew to be used)

Wild guess: The default mode is established by the platform, RTL reading is not supported on all (Windows) platforms.

See also

TControl.UseRightToLeftAlignment | True when BiDiMode is bdRightToLeft.
TControl.UseRightToLeftReading | True when BiDiMode is not bdLeftToRight.
TControl.UseRightToLeftScrollBar | True when scrollbars appear at the left side of the control.
TControl.IsRightToLeft | True when BiDiMode is not bdLeftToRight.


TControl.BorderSpacing

Determines the inner and outer border spacing for this control.

Declaration

Source position: controls.pp line 1706

public property TControl.BorderSpacing : TControlBorderSpacing
  read FBorderSpacing
  write SetBorderSpacing;

Description

The outer border determines the minimal distance to sibling controls, the inner border is the area between the control's BoundsRect and ClientRect.

When a control sits in a cell of a table (Grid) control, its horizontal and vertical alignment inside the cell can be specified, too.


TControl.BoundsChanged

Invoked when the Bounds of the control have been changed. Override as required.

Declaration

Source position: controls.pp line 1294

protected procedure TControl.BoundsChanged; virtual;


TControl.BoundsRect

The TopLeft and BottomRight of the control, in client coordinates.

Declaration

Source position: controls.pp line 1707

public property TControl.BoundsRect : TRect
  read GetBoundsRect
  write SetBoundsRect;

Description

The BoundsRect rectangle describes the TopLeft and BottomRight coordinates of the control, relative to its parent.

The values are based on the Top, Left, Width and Height properties of the control.

Set BoundsRect to move and/or resize the control. This can reduce flicker, occuring otherwise when Top, Width etc. are set individually.


TControl.BoundsRectForNewParent

Temporary BoundsRect, used when the control e.g. is docked into a different Parent.

Declaration

Source position: controls.pp line 1708

public property TControl.BoundsRectForNewParent : TRect
  read FBoundsRectForNewParent
  write SetBoundsRectForNewParent;

Description

The rectangle describes the placement of the control when its Parent is changed later.

Setting the rectangle also sets a flag, indicating that the values are available.


TControl.BringToFront

Bring the control in front of all sibling controls.

Declaration

Source position: controls.pp line 1627

public procedure TControl.BringToFront;


TControl.CalculateDockSizes

Saves the docked and undocked extent of the control.

Declaration

Source position: controls.pp line 1384

protected procedure TControl.CalculateDockSizes;

Description

In floating state sets UndockWidth/Height to the current Width/Height.

In docked state sets LRDockWidth/TBDockHeight to the current Width/Height.

Remark: [Note: should save both in any case, independent from DockOrientation or host Align.
Rationale: a DockManager will either ignore these values, or use them according to the *new* alignment.
Without a DockManager both extents are required, because no (valid) alignment information applies.]


TControl.CalculatePreferredSize

Override this method to return the preferred height and width.

Declaration

Source position: controls.pp line 1304

protected procedure TControl.CalculatePreferredSize(

  var PreferredWidth: Integer;

  var PreferredHeight: Integer;

  WithThemeSpace: Boolean

); virtual;

Arguments

PreferredWidth | Set this argument to the preferred width.
PreferredHeight | Set this argument to the preferred height.
WithThemeSpace | True when space around stacked controls should be added.

Description

Calculates the preferred width and height for a control, which is used by the LCL autosizing algorithms as the default size. Negative or 0 are treated as undefined and the LCL uses other sizes instead.

TWinControl overrides this and asks the interface for theme dependent values. See TWinControl.CalculatePreferredSize for more information.

WithThemeSpace: If true, adds space for stacking.

For example: TRadioButton has a minimum size. But for stacking multiple TRadioButtons there should be some space around. This space is theme dependent, so the parameter is passed to the widgetset.


TControl.CanAutoSize

Function to determine if autosizing is possible, and if so, gets the new width and height

Declaration

Source position: controls.pp line 1317

protected function TControl.CanAutoSize(

  var NewWidth: Integer;

  var NewHeight: Integer

):Boolean; virtual;

Arguments

NewWidth | Suggested width, can be adjusted in an overridden version.
NewHeight | Suggested height, can be adjusted in an overridden version.

Function result

TControl returns True.

Description

Override this to return different values.


TControl.CanTab

If True, the Tab key can be used to navigate to this control.

Declaration

Source position: controls.pp line 1452

protected function TControl.CanTab: Boolean; virtual;


TControl.Caption

The text describing the control to the user.

Declaration

Source position: controls.pp line 1709

public property TControl.Caption : TCaption
  read GetText
  write SetText
  stored IsCaptionStored;

Description

By default, the Caption is the same as the control's Name in the Object Inspector, and the developer must set it explicitly to some different text.

See also

#lcl.Controls.TControl.RealGetText | Returns the Caption property.
#lcl.Controls.TControl.RealSetText | Sets the Caption property.


TControl.CaptureChanged

Handler for mouse capture moved to a different control.

Declaration

Source position: controls.pp line 1450

protected procedure TControl.CaptureChanged; virtual;

Description

Notifies the DragManager of the changed capture control, to stop dragging this control. A very dangerous implementation, that can cause immediate abort of dragging before dragging really starts.


TControl.CaptureMouseButtons

Which mouse button(s) to be used for capture? Default is the left button.

Declaration

Source position: controls.pp line 1710

public property TControl.CaptureMouseButtons : TCaptureMouseButtons
  read FCaptureMouseButtons
  write FCaptureMouseButtons
  stored CaptureMouseButtonsIsStored
  default [mbLeft];


TControl.ChangeBounds

Sets the bounds (left, top, height, width) optionally the BaseBounds of the control.

Declaration

Source position: controls.pp line 1313

protected procedure TControl.ChangeBounds(

  ALeft: Integer;

  ATop: Integer;

  AWidth: Integer;

  AHeight: Integer;

  KeepBase: Boolean

); virtual;

Arguments

KeepBase

True when the BaseBounds should not be modified.

Description

ChangeBounds is called whenever the position or size of the control is set, either via the properties or by the layouter of the LCL.

SetBounds calls internally ChangeBounds with KeepBase=false, while the LCL layouter calls it with KeepBase=true.

Override this for code that might change the preferred size or resizes other controls.

You can call this function in your custom controls. Keep in mind that the given aLeft, aTop, aWidth, aHeight might not be valid and will be changed by the LCL before applied.


TControl.Changed

Call this method whenever a change has occured, to trigger further processing.

Declaration

Source position: controls.pp line 1422

protected procedure TControl.Changed;


TControl.ChangeScale

Apply scaling (multiplier and divider) to the control's coordinates and Font.

Declaration

Source position: controls.pp line 1316

protected procedure TControl.ChangeScale(

  Multiplier: Integer;

  Divider: Integer

); virtual;


TControl.CheckChildClassAllowed

Returns True if the class is allowed for child controls.

Declaration

Source position: controls.pp line 1643

public function TControl.CheckChildClassAllowed(

  ChildClass: TClass;

  ExceptionOnInvalid: Boolean

):Boolean;

Arguments

ChildClass | The class of the intended child control.
ExceptionOnInvalid | When True, raise an exception when the class is not allowed.

Function result

True if the class is allowed for child controls.

Description

Only few controls restrict the class of acceptable child controls. E.g. a PageControl only accepts TTabSheet descendants as children.

Errors

An EInvalidOperation can be generated (see ExceptionOnInvalid).


TControl.CheckNewParent

Checks if this control can become a child of AParent.

Declaration

Source position: controls.pp line 1645

public procedure TControl.CheckNewParent(

  AParent: TWinControl

); virtual;

Arguments

AParent

The new Parent for this control.

Description

This check is performed during SetParent. It calls CheckChildClassAllowed and whether AParent=Self.

Errors

An EInvalidOperation occurs when any test fails.


TControl.CheckOnChangeBounds

Checks for changes and calls DoOnChangeBounds if needed.

Declaration

Source position: controls.pp line 1309

protected procedure TControl.CheckOnChangeBounds;


TControl.ChildClassAllowed

Returns True if the specified class is allowed for children of this control.

Declaration

Source position: controls.pp line 1424

protected function TControl.ChildClassAllowed(

  ChildClass: TClass

):Boolean; virtual;

Arguments

ChildClass

The class type of the child control.

Function result

True when the class is acceptable.


TControl.Click

Invokes the OnClick and ActionLink.Execute handlers.

Declaration

Source position: controls.pp line 1409

protected procedure TControl.Click; virtual;


TControl.ClientHeight

The height of the client area of the control.

Declaration

Source position: controls.pp line 1712

public property TControl.ClientHeight : Integer
  read GetClientHeight
  write SetClientHeight
  stored IsClientHeightStored;


TControl.ClientOrigin

Screen coordinates of the TopLeft pixel (of the client area) of the control.

Declaration

Source position: controls.pp line 1713

public property TControl.ClientOrigin : TPoint
  read GetClientOrigin;

Description

Only TWinControls have a client area, for other controls ClientOrigin is the same as Origin.

Note that this value is the position as stored in the object, not always in sync with the widget.


TControl.ClientRect

Size of the client area of the control.

Declaration

Source position: controls.pp line 1714

public property TControl.ClientRect : TRect
  read GetClientRect;

Description

The origin is always (0,0). Bottom and Right reflect the ClientWidth and ClientHeight of the control.

See also

#rtl.Classes.TRect

TControl.GetLogicalClientRect

Logical client area, can be bigger than the visible client area.


TControl.ClientToParent

Declaration

Source position: controls.pp line 1658

public function TControl.ClientToParent(

  const Point: TPoint;

  AParent: TWinControl = Nil

):TPoint;


TControl.ClientToScreen

Convert client-relative coordinates into absolute screen coordinates.

Declaration

Source position: controls.pp line 1655

public function TControl.ClientToScreen(

  const APoint: TPoint

):TPoint; virtual;

See also

TControl.ScreenToClient

Convert absolute screen coordinates into client-relative coordinates


TControl.ClientWidth

The width of the client area of the control.

Declaration

Source position: controls.pp line 1715

public property TControl.ClientWidth : Integer
  read GetClientWidth
  write SetClientWidth
  stored IsClientWidthStored;


TControl.CMBiDiModeChanged

Message handler for BiDi mode changed.

Declaration

Source position: controls.pp line 1368

protected procedure TControl.CMBiDiModeChanged(

  var Message: TLMessage

); message;


TControl.CMChanged

Declaration

Source position: controls.pp line 1366

protected procedure TControl.CMChanged(

  var Message: TLMessage

); message;


TControl.CMCursorChanged

Message handler for changed cursor.

Declaration

Source position: controls.pp line 1381

protected procedure TControl.CMCursorChanged(

  var Message: TLMessage

); message;


TControl.CMEnabledChanged

Message handler for changed Enabled state.

Declaration

Source position: controls.pp line 1370

protected procedure TControl.CMEnabledChanged(

  var Message: TLMessage

); message;


TControl.CMHintShow

Message handler for hint display.

Declaration

Source position: controls.pp line 1374

protected procedure TControl.CMHintShow(

  var Message: TLMessage

); message;


TControl.CMHitTest

Message handler for hit test.

Declaration

Source position: controls.pp line 1371

protected procedure TControl.CMHitTest(

  var Message: TCMHitTest

); message;

Description

The hit test handler determines the specific part of a control (caption, border...) at the given mouse position.


TControl.CMMouseEnter

Message handler for mouse entering the control.

Declaration

Source position: controls.pp line 1372

protected procedure TControl.CMMouseEnter(

  var Message: TLMessage

); message;


TControl.CMMouseLeave

Message handler for mouse leaving the control.

Declaration

Source position: controls.pp line 1373

protected procedure TControl.CMMouseLeave(

  var Message: TLMessage

); message;


TControl.CMParentBiDiModeChanged

Message handler for parent control's BiDi mode changed.

Declaration

Source position: controls.pp line 1375

protected procedure TControl.CMParentBiDiModeChanged(

  var Message: TLMessage

); message;


TControl.CMParentColorChanged

Message handler for changed parent Color.

Declaration

Source position: controls.pp line 1376

protected procedure TControl.CMParentColorChanged(

  var Message: TLMessage

); message;


TControl.CMParentFontChanged

Message handler for changed parent Font.

Declaration

Source position: controls.pp line 1377

protected procedure TControl.CMParentFontChanged(

  var Message: TLMessage

); message;


TControl.CMParentShowHintChanged

Message handler for changed parent ShowHint.

Declaration

Source position: controls.pp line 1378

protected procedure TControl.CMParentShowHintChanged(

  var Message: TLMessage

); message;


TControl.CMSysFontChanged

Message handler for changed system Font.

Declaration

Source position: controls.pp line 1369

protected procedure TControl.CMSysFontChanged(

  var Message: TLMessage

); message;


TControl.CMTextChanged

Message handler for control's Text changed.

Declaration

Source position: controls.pp line 1380

protected procedure TControl.CMTextChanged(

  var Message: TLMessage

); message;


TControl.CMVisibleChanged

Message handler for changed visibility.

Declaration

Source position: controls.pp line 1379

protected procedure TControl.CMVisibleChanged(

  var Message: TLMessage

); message;


TControl.CNPreferredSizeChanged

Message handler for preferred size changed.

Declaration

Source position: controls.pp line 1597

public procedure TControl.CNPreferredSizeChanged;


TControl.Color

The background color of the control.

Declaration

Source position: controls.pp line 1716

public property TControl.Color : TColor
  read FColor
  write SetColor
  stored ColorIsStored
  default clDefault;

Description

The default Color is the same as the parent window Color. If the color is clDefault then the result will need to be passed through GetDefaultColor to resolve clDefault. Convenience routines which obtains the color resolving clDefault and ParentColor are also provided as TControl.GetColorResolvingParent and TControl.GetRGBColorResolvingParent

See also

TControl.ParentColor | If true, the Color of the control will be the same as the one from the Parent. Default is true.
#lcl.Graphics.TColor | A color type used by most LCL drawing functions
TControl.GetDefaultColor | Get the default color for this widget, from Parent or color type.
TControl.GetColorResolvingParent | Returns the color of the control while resolving clDefault and ParentColor
TControl.GetRGBColorResolvingParent | Returns a RGB value for the color of the control


TControl.ConstrainedResize

Invokes the #lcl.Controls.TControl.OnConstrainedResize handler, allowing to modify the suggested Constraints.

Declaration

Source position: controls.pp line 1302

protected procedure TControl.ConstrainedResize(

  var MinWidth: TConstraintSize;

  var MinHeight: TConstraintSize;

  var MaxWidth: TConstraintSize;

  var MaxHeight: TConstraintSize

); virtual;


TControl.Constraints

The minimal and maximal Width and Height of this control.

Declaration

Source position: controls.pp line 1717

public property TControl.Constraints : TSizeConstraints
  read FConstraints
  write SetConstraints;

See also

#lcl.Controls.TSizeConstraints

Holds maximum and minimum values that can be used in sizing objects.


TControl.ControlOrigin

The top left pixel of this control, in screen coordinates.

Declaration

Source position: controls.pp line 1718

public property TControl.ControlOrigin : TPoint
  read GetControlOrigin;

See also

TControl.ClientOrigin | Screen coordinates of the TopLeft pixel (of the client area) of the control.
TControl.BoundsRect | The TopLeft and BottomRight of the control, in client coordinates.


TControl.ControlState

State flags, telling whether the control has been clicked, data being read, control being re-drawn, etc.

Declaration

Source position: controls.pp line 1719

public property TControl.ControlState : TControlState
  read FControlState
  write FControlState;

See also

#lcl.Controls.TControlState

Set of permissible Control states


TControl.ControlStyle

Style flags, specifying whether the control responds to mouse clicks, can be re-sized, has particular actions, etc.

Declaration

Source position: controls.pp line 1720

public property TControl.ControlStyle : TControlStyle
  read FControlStyle
  write FControlStyle;

See also

#lcl.Controls.TControlStyle

Set of control styles.


TControl.ControlToScreen

Convert control-relative coordinates into absolute screen coordinates.

Declaration

Source position: controls.pp line 1657

public function TControl.ControlToScreen(

  const APoint: TPoint

):TPoint;

See also

TControl.ScreenToControl | Convert absolute screen coordinates into control-relative coordinates.
TControl.ScreenToClient | Convert absolute screen coordinates into client-relative coordinates
TControl.ClientToScreen | Convert client-relative coordinates into absolute screen coordinates.


TControl.Create

Declaration

Source position: controls.pp line 1619

public constructor TControl.Create(

  TheOwner: TComponent

); override;

Arguments

TheOwner

The owning component.


TControl.CreateAccessibleObject

Creates the TLazAccessibleObject for this control. This method should just create the object and return it. It is useful for classes which desire to have a descendent of TLazAccessibleObject instead of the base class.

Declaration

Source position: controls.pp line 1546

public function TControl.CreateAccessibleObject: TLazAccessibleObject; virtual;

See also

TLazAccessibleObject | Represents an accessible object with which the user of a accessibility tool can interact.
TControl.GetAccessibleObject | Returns True if the control is being dragged


TControl.CreateControlBorderSpacing

Creates the default ControlBorderSpacing object. Allow descendant controls to override this default.

Declaration

Source position: controls.pp line 1295

protected function TControl.CreateControlBorderSpacing: TControlBorderSpacing; virtual;

Function result

The created ControlBorderSpacing instance.

See also

TControlBorderSpacing

Describes the (minimum) spacing around a control.


TControl.CreateFloatingDockSite

Create a floating dock site with a client area equal to the given screen coordinates.

Declaration

Source position: controls.pp line 1385

protected function TControl.CreateFloatingDockSite(

  const Bounds: TRect

):TWinControl;

Arguments

Bounds

The bounds of the client area of the floating window.

Function result

The dock site, can be Nil for a TWinControl that can float by itself.

Description

The new dock site is owned by the control


TControl.Cursor

The shape of the mouse pointer, when the mouse is over this control.

Declaration

Source position: controls.pp line 1757

published property TControl.Cursor : TCursor
  read GetCursor
  write SetCursor
  default crDefault;


TControl.DblClick

Invokes the OnDblClick handler.

Declaration

Source position: controls.pp line 1410

protected procedure TControl.DblClick; virtual;


TControl.DefineProperties

Defines which non-published properties should be streamed (none here).

Declaration

Source position: controls.pp line 1428

protected procedure TControl.DefineProperties(

  Filer: TFiler

); override;

See also

TComponent.DefineProperties

TPersistent.DefineProperties


TControl.DesktopFont

Allows to use the desktop font for text display in this control.

Declaration

Source position: controls.pp line 1492

protected property TControl.DesktopFont : Boolean
  read FDesktopFont
  write SetDesktopFont;


TControl.Destroy

Removes the control from its Parent.

Declaration

Source position: controls.pp line 1620

public destructor TControl.Destroy; override;

Description

Detaches the control from Parent, removes graphics, frees memory and Operating System handles, pointers etc.

See also

TComponent.Destroy

TLCLComponent.Destroy


TControl.DialogChar

Do something useful with accelerators etc.

Declaration

Source position: controls.pp line 1419

protected function TControl.DialogChar(

  var Message: TLMKey

):Boolean; virtual;

Description

This method is called even if the control is disabled or hidden. For VCL compatibility.


TControl.DisableAutoSizing

Turn off automatic sizing - implies that default is accepted or sizing is done manually

Declaration

Source position: controls.pp line 1600

public procedure TControl.DisableAutoSizing;


TControl.DoAllAutoSize

Run DoAutoSize until done.

Declaration

Source position: controls.pp line 1285

protected procedure TControl.DoAllAutoSize; virtual;


TControl.DoAutoAdjustLayout

Declaration

Source position: controls.pp line 1481

protected procedure TControl.DoAutoAdjustLayout(

  const AMode: TLayoutAdjustmentPolicy;

  const AXProportion: Double;

  const AYProportion: Double

); virtual;


TControl.DoAutoSize

For internal use only - call AdjustSize instead!

Declaration

Source position: controls.pp line 1284

protected procedure TControl.DoAutoSize; virtual;

Description

IMPORTANT: Many Delphi controls override this method and many call this method directly after setting some properties.

During handle creation not all interfaces can create complete Device Contexts which are needed to calculate things like text size.

That's why you should always call AdjustSize instead of DoAutoSize.

See also

AutoSize topic | AutoSize - boolean property that permits the size of a control to be adjusted automatically
TControl.AdjustSize | Smart way to DoAutoSize.


TControl.DoBorderSpacingChange

Reacts on a change in the control's border spacing.

Declaration

Source position: controls.pp line 1297

protected procedure TControl.DoBorderSpacingChange(

  Sender: TObject;

  InnerSpaceChanged: Boolean

); virtual;


TControl.DoCallKeyEventHandler

Declaration

Source position: controls.pp line 1472

protected procedure TControl.DoCallKeyEventHandler(

  HandlerType: TControlHandlerType;

  var Key: Word;

  Shift: TShiftState

);


TControl.DoCallMouseWheelEventHandler

Declaration

Source position: controls.pp line 1474

protected procedure TControl.DoCallMouseWheelEventHandler(

  HandlerType: TControlHandlerType;

  Shift: TShiftState;

  WheelDelta: Integer;

  MousePos: TPoint;

  var Handled: Boolean

);


TControl.DoCallNotifyHandler

Invokes all notification handlers of the specified type.

Declaration

Source position: controls.pp line 1471

protected procedure TControl.DoCallNotifyHandler(

  HandlerType: TControlHandlerType

);

Arguments

HandlerType

The event that has occured.


TControl.Dock

Moves the control into a new docksite.

Declaration

Source position: controls.pp line 1533

public procedure TControl.Dock(

  NewDockSite: TWinControl;

  ARect: TRect

); virtual;

Arguments

NewDockSite | The host site into which which the control is to be docked, Nil for floating.
ARect | The control's new Bounds, in screen coordinates when NewDockSite is Nil, else in client coordinates of NewDockSite.

Description

Calls DoDock to prepare for the new position of the control, when docked into an unmanaged or floating docksite.

When the old and new docksites are different, the control is removed from the DockClients of the old docksite, and added to the DockClients of the new docksite; afterwards the docksites are notified by calling their DoAddDockClient and DoRemoveDockClient methods, to adjust the control's Parent.

Errors

An exception is raised if there is already a docking process in progress for this control


TControl.Docked

Declaration

Source position: controls.pp line 1542

public function TControl.Docked: Boolean;


TControl.DockOrientation

How the control is currently docked. (horizontally, vertically, in a notebook, or not at all)

Declaration

Source position: controls.pp line 1737

public property TControl.DockOrientation : TDockOrientation
  read FDockOrientation
  write FDockOrientation;


TControl.DockTrackNoTarget

Adjust the DockRect for floating state (no drop target under the mouse).

Declaration

Source position: controls.pp line 1393

protected procedure TControl.DockTrackNoTarget(

  Source: TDragDockObject;

  X: Integer;

  Y: Integer

); virtual;

Arguments

Source | The dragged DockObject, containing the DockRect to adjust.
X | The mouse position, in screen coordinates.


TControl.DoConstraintsChange

Reacts on a change in the control's constraints. Calls AdjustSize by default.

Declaration

Source position: controls.pp line 1296

protected procedure TControl.DoConstraintsChange(

  Sender: TObject

); virtual;


TControl.DoContextPopup

Invokes the OnContextPopup handler.

Declaration

Source position: controls.pp line 1477

protected procedure TControl.DoContextPopup(

  MousePos: TPoint;

  var Handled: Boolean

); virtual;

Arguments

MousePos | Mouse position, used to place the menu.
Handled | To be set by the handler, when it has handled the menu display and selection.


TControl.DoDock

Internal method, called by Dock. Adjusts the control's position and extent for the new docksite.

Declaration

Source position: controls.pp line 1394

protected procedure TControl.DoDock(

  NewDockSite: TWinControl;

  var ARect: TRect

); virtual;

Arguments

NewDockSite | The site where the control will be docked, or Nil when it becomes floating.
ARect | The control's new Bounds, in screen coordinates when NewDockSite is Nil, else in client coordinates of NewDockSite.

Description

If NewDockSite=Nil, Parent is set to Nil (in preparation of floating the control).

Otherwise ARect is ignored (bug?), and recomputed to fit approximately into the ClientRect of the NewDockSite.

Finally the computed coordinates are stored, in BoundsRectForNewParent when the NewDockSite differs from Parent, else in BoundsRect.

Errors

A correct implementation should allow for computations in a derived class, and accept and handle the changed bounds without any further adjustments.


TControl.DoDragMsg

Handler for a drag message, sent by the DragManager to the current target control.

Declaration

Source position: controls.pp line 1395

protected function TControl.DoDragMsg(

  ADragMessage: TDragMessage;

  APosition: TPoint;

  ADragObject: TDragObject;

  ATarget: TControl;

  ADocking: Boolean

):LRESULT; virtual;

Arguments

ADragMessage | The task to perform.
APosition | The mouse position in screen coordinates.
ADragObject | The drag object.
ATarget | The drop target, Nil if none.
ADocking | Distinguishes between a drag-drop and drag-dock operation.

Function result

Result is polymorphic: On dmFindTarget the result is the target control reference, on dmDragDrop it's zero, else it indicates acceptance of an drop.

Description

These messages can be sent while dragging:

  • On dmFindTarget: Request to determine the possible target control for an drop.
    A TControl returns itself, a TWinControl finds the child control closest to the mouse position.
  • On dmDragEnter/Leave/Move: Notification of mouse moves.
    Invokes DragOver, or DockOver if docking. Result indicates acceptance of an drop.
  • On dmDragDrop: The dragged object has been dropped onto this control.
    Invokes DragDrop, or DockDrop if docking.

The Source argument of the invoked methods is the DragDockObject when docking. Else if the DragObject has been AutoCreated, the dragged control is passed as the Source; otherwise the DragObject itself is passed as Source.


TControl.DoEndDock

Invokes the OnEndDock handler.

Declaration

Source position: controls.pp line 1396

protected procedure TControl.DoEndDock(

  Target: TObject;

  X: Integer;

  Y: Integer

); virtual;


TControl.DoEndDrag

Invokes the OnEndDrag handler.

Declaration

Source position: controls.pp line 1397

protected procedure TControl.DoEndDrag(

  Target: TObject;

  X: Integer;

  Y: Integer

); virtual;


TControl.DoFixDesignFontPPI

Declaration

Source position: controls.pp line 1483

protected procedure TControl.DoFixDesignFontPPI(

  const AFont: TFont;

  const ADesignTimePPI: Integer

);


TControl.DoFloatMsg

Handler called when the control starts floating.

Declaration

Source position: controls.pp line 1392

protected procedure TControl.DoFloatMsg(

  ADockSource: TDragDockObject

); virtual;

Arguments

ADockSource

The DockObject of the current drag-dock operation.

Description

Since TControls cannot float for themselves, a FloatHost site is created and the control is docked into it.

When the control already has a Parent (FloatHost site), the Parent's position and extent is adjusted to fit the DockRect as its ClientRect.


TControl.DoMouseWheel

Invokes the OnMouseWheel handlers, when the wheel has been turned.

Declaration

Source position: controls.pp line 1457

protected function TControl.DoMouseWheel(

  Shift: TShiftState;

  WheelDelta: Integer;

  MousePos: TPoint

):Boolean; virtual;

Arguments

Shift | State of the modifier keys and mouse buttons.
WheelDelta | How many notches the wheel has been turned.
MousePos | The mouse coordinates

Function result

Set Result to True if handled.

Description

Multiple wheel handlers can be implemented. First the general OnMouseWheel handler is tried, and if it doesn't report the event handled, then OnMouseWheelUp or OnMouseWheelDown are tried.

The actual WheelDelta is available only to the OnMouseWheel handler, not to the up and down handlers [Delphi compatible].

See also

TMouseWheelEvent | Type of an OnMouseWheel event handler.
TMouseWheelUpDownEvent | Type of OnMouseWheelUp/Down event handlers.


TControl.DoMouseWheelDown

Invokes the OnMouseWheelDown handler.

Declaration

Source position: controls.pp line 1458

protected function TControl.DoMouseWheelDown(

  Shift: TShiftState;

  MousePos: TPoint

):Boolean; virtual;

Function result

True if handled.


TControl.DoMouseWheelHorz

Declaration

Source position: controls.pp line 1460

protected function TControl.DoMouseWheelHorz(

  Shift: TShiftState;

  WheelDelta: Integer;

  MousePos: TPoint

):Boolean; virtual;


TControl.DoMouseWheelLeft

Declaration

Source position: controls.pp line 1461

protected function TControl.DoMouseWheelLeft(

  Shift: TShiftState;

  MousePos: TPoint

):Boolean; virtual;


TControl.DoMouseWheelRight

Declaration

Source position: controls.pp line 1462

protected function TControl.DoMouseWheelRight(

  Shift: TShiftState;

  MousePos: TPoint

):Boolean; virtual;


TControl.DoMouseWheelUp

Invokes the OnMouseWheelUp handler.

Declaration

Source position: controls.pp line 1459

protected function TControl.DoMouseWheelUp(

  Shift: TShiftState;

  MousePos: TPoint

):Boolean; virtual;

Function result

True if handled.


TControl.DoOnChangeBounds

Invokes the OnChangeBounds event handler

Declaration

Source position: controls.pp line 1308

protected procedure TControl.DoOnChangeBounds; virtual;


TControl.DoOnParentHandleDestruction

Declaration

Source position: controls.pp line 1281

protected procedure TControl.DoOnParentHandleDestruction; virtual;

Description

implement in descendants


TControl.DoOnResize

Invokes the OnResize notification handler.

Declaration

Source position: controls.pp line 1307

protected procedure TControl.DoOnResize; virtual;


TControl.DoOnShowHint

Invokes the OnShowHint event handler.

Declaration

Source position: controls.pp line 1456

protected procedure TControl.DoOnShowHint(

  HintInfo: PHintInfo

); virtual;


TControl.DoScaleFontPPI

Declaration

Source position: controls.pp line 1484

protected procedure TControl.DoScaleFontPPI(

  const AFont: TFont;

  const AToPPI: Integer;

  const AProportion: Double

);


TControl.DoSetBounds

Internal function to set the control's bounds (Left, Top, Height, Width).

Declaration

Source position: controls.pp line 1314

protected procedure TControl.DoSetBounds(

  ALeft: Integer;

  ATop: Integer;

  AWidth: Integer;

  AHeight: Integer

); virtual;

Description

DoSetBounds is a low level function to set the private variables FLeft, FTop, FWidth, FHeight. Do not call this function, only the LCL calls it.

It also updates FClientWidth and FClientHeight accordingly.

Override this to update the content layout of the control, for example scroll bars. As always: do not paint here, but call Invalidate and paint in OnPaint or override Paint.


TControl.DoStartDock

Invokes the OnStartDock handler

Declaration

Source position: controls.pp line 1398

protected procedure TControl.DoStartDock(

  var DragObject: TDragObject

); virtual;


TControl.DoStartDrag

Invokes the OnStartDrag handler

Declaration

Source position: controls.pp line 1399

protected procedure TControl.DoStartDrag(

  var DragObject: TDragObject

); virtual;


TControl.DragCanceled

Notifies the control of a canceld drag.

Declaration

Source position: controls.pp line 1400

protected procedure TControl.DragCanceled; virtual;


TControl.DragCursor

The cursor shape shown while the control is dragged.

Declaration

Source position: controls.pp line 1493

protected property TControl.DragCursor : TCursor
  read FDragCursor
  write SetDragCursor
  default crDrag;

Description

Default is crDrag. When no drop is allowed, the cursor changes temporarily to crNoDrop.


TControl.DragDrop

Invokes the OnDragDrop handler, when a dragged object is dropped onto this control.

Declaration

Source position: controls.pp line 1532

public procedure TControl.DragDrop(

  Source: TObject;

  X: Integer;

  Y: Integer

); virtual;

Arguments

Source | The dropped object (control or DragDrop object)
X | The drop position in client coordinates.
Y | The drop position in client coordinates.

See also

TControl.OnDragDrop

This handler determines the action on an drop onto this control, in a drag-drop operation.


TControl.Dragging

Returns True if the control is being dragged

Declaration

Source position: controls.pp line 1543

public function TControl.Dragging: Boolean;

Function result

Returns True if the control is being dragged


TControl.DragKind

The operation when the control is dragged - Drag or Dock.

Declaration

Source position: controls.pp line 1494

protected property TControl.DragKind : TDragKind
  read FDragKind
  write FDragKind
  default dkDrag;

Description

Set to dkDrag for drag-drop, or to dkDock for drag-dock operation.


TControl.DragMode

Allows the user to drag the control.

Declaration

Source position: controls.pp line 1495

protected property TControl.DragMode : TDragMode
  read FDragMode
  write SetDragMode
  default dmManual;

Description

Default is dmManual, meaning that dragging must be started in code.

Set to dmAutomatic to allow the user to drag this control. In this mode dragging can start immediately (on left mouse button press) or delayed, after the mouse has been moved away by a number of pixels (Threshold).

See also

TControl.DragKind | The operation when the control is dragged - Drag or Dock.
TDragManager.DragImmediate | Start dragging immediately, on MouseDown?


TControl.DragOver

Called when an object is dragged over this control. Determines whether a drop is acceptable, using the OnDragOver handler.

Declaration

Source position: controls.pp line 1401

protected procedure TControl.DragOver(

  Source: TObject;

  X: Integer;

  Y: Integer;

  State: TDragState;

  var Accept: Boolean

); virtual;

Arguments

Source | The dragged object, a control or a DragObject.
X | The mouse position in client coordinates.
State | State change flag (dsDragEnter, dsDragMove, dsDragLeave).
Accept | Set to True when a drop is allowed.

Description

An OnDragOver handler is required, or any drop will be rejected (Accept becomes False).

When an OnDragOver handler is installed, Accept is set to True and can be changed by the handler.

Remark: Caution: Source can be either a TDragObject, or the dragged control.

See also

TControl.OnDragOver

Event handler for a control being dragged over this control.

TControl.DockOver


TControl.EditingDone

Invokes the OnEditingDone event handler.

Declaration

Source position: controls.pp line 1622

public procedure TControl.EditingDone; virtual;

Description

Called when user has finished editing. This procedure can be used by data links to commit the changes.

For example:

  • When focus switches to another control (default).
  • When user selected another item.

It's totally up to the control, what events will commit.


TControl.EnableAutoSizing

Turns on (enables) automatic sizing

Declaration

Source position: controls.pp line 1601

public procedure TControl.EnableAutoSizing;


TControl.Enabled

Determines whether the control reacts on mouse or keyboard input.

Declaration

Source position: controls.pp line 1721

public property TControl.Enabled : Boolean
  read GetEnabled
  write SetEnabled
  stored IsEnabledStored
  default True;

Description

Disabled controls usually appear 'greyed-out'


TControl.EnabledChanged

Notifies all OnEnabledChanged handlers.

Declaration

Source position: controls.pp line 1466

protected procedure TControl.EnabledChanged; virtual;


TControl.EnabledChanging

Notifies all OnEnabledChanging handlers.

Declaration

Source position: controls.pp line 1465

protected procedure TControl.EnabledChanging; virtual;


TControl.EndAutoSizing

End of the autosizing process, resets AutoSizing to False.

Declaration

Source position: controls.pp line 1287

protected procedure TControl.EndAutoSizing;


TControl.EndDrag

Declaration

Source position: controls.pp line 1626

public procedure TControl.EndDrag(

  Drop: Boolean

);


TControl.ExecuteCancelAction

Called when ESCAPE is hit or the CANCEL button is clicked - signifying CANCEL.

Declaration

Source position: controls.pp line 1624

public procedure TControl.ExecuteCancelAction; virtual;


TControl.ExecuteDefaultAction

Called when the RETURN button is pressed, signifying default action.

Declaration

Source position: controls.pp line 1623

public procedure TControl.ExecuteDefaultAction; virtual;


TControl.FAccessibleObject

Declaration

Source position: controls.pp line 1274

protected TControl.FAccessibleObject : TLazAccessibleObject;


TControl.FCompStyle

Deprecated, don't use it.

Declaration

Source position: controls.pp line 1526

public TControl.FCompStyle : Byte;


TControl.FixDesignFontsPPI

Declaration

Source position: controls.pp line 1616

public procedure TControl.FixDesignFontsPPI(

  const ADesignTimePPI: Integer

); virtual;


TControl.Floating

Tries to find out whether the control is floating (not part of a form).

Declaration

Source position: controls.pp line 1738

public property TControl.Floating : Boolean
  read GetFloating;

See also

TControl.FloatingDockSiteClass

The class for a floating host dock site for this control.


TControl.FloatingDockSiteClass

The class for a floating host dock site for this control.

Declaration

Source position: controls.pp line 1739

public property TControl.FloatingDockSiteClass : TWinControlClass
  read GetFloatingDockSiteClass
  write FFloatingDockSiteClass;

See also

TControl.Floating

Tries to find out whether the control is floating (not part of a form).


TControl.Font

The font to be used for text display in this control.

Declaration

Source position: controls.pp line 1722

public property TControl.Font : TFont
  read FFont
  write SetFont
  stored IsFontStored;

See also

#lcl.Graphics.TFont

The Font to be used for drawing Text


TControl.FontChanged

Handles changes of the Font property.

Declaration

Source position: controls.pp line 1433

protected procedure TControl.FontChanged(

  Sender: TObject

); virtual;


TControl.ForeignAnchorSideChanged

Request further processing after an anchor side has changed, that anchors another control to this one.

Declaration

Source position: controls.pp line 1289

protected procedure TControl.ForeignAnchorSideChanged(

  TheAnchorSide: TAnchorSide;

  Operation: TAnchorSideChangeOperation

); virtual;


TControl.FormEndUpdated

Called when the update of the containing Form has ended.

Declaration

Source position: controls.pp line 1430

protected procedure TControl.FormEndUpdated; virtual;


TControl.FormIsUpdating

True if the form is being updated

Declaration

Source position: controls.pp line 1637

public function TControl.FormIsUpdating: Boolean; virtual;


TControl.GetAccessibleObject

Returns True if the control is being dragged

Declaration

Source position: controls.pp line 1545

public function TControl.GetAccessibleObject: TLazAccessibleObject;


TControl.GetActionLinkClass

The default ActionLink class (TControlActionLink).

Declaration

Source position: controls.pp line 1487

protected function TControl.GetActionLinkClass: TControlActionLinkClass; virtual;

Description

Used when the control is linked to an Action.


TControl.GetAnchorsDependingOnParent

Returns the sides which are anchored to the Parent.

Declaration

Source position: controls.pp line 1599

public function TControl.GetAnchorsDependingOnParent(

  WithNormalAnchors: Boolean

):TAnchors;


TControl.GetCachedText

Returns the cached Text property (FCaption).

Declaration

Source position: controls.pp line 1439

protected function TControl.GetCachedText(

  var CachedText: TCaption

):Boolean; virtual;

Arguments

CachedText

Here: FCaption (can be overridden).

Function result

True if successful.


TControl.GetCanvasScaleFactor

Declaration

Source position: controls.pp line 1588

public function TControl.GetCanvasScaleFactor: Double;


TControl.GetChildAccessibleObjectAtPos

Returns the child object in a given position of the control given in client coordinates. This method is provided for controls which wish to override this behavior without sub-classing TLazAccessibleObject.

Declaration

Source position: controls.pp line 1548

public function TControl.GetChildAccessibleObjectAtPos(

  APos: TPoint

):TLazAccessibleObject; virtual;

See also

TLazAccessibleObject | Represents an accessible object with which the user of a accessibility tool can interact.
TLazAccessibleObject.GetChildAccessibleObjectAtPos | Returns the child of this control located at a particular position given as a client position of the control
TControl.CreateAccessibleObject | Creates the TLazAccessibleObject for this control. This method should just create the object and return it. It is useful for classes which desire to have a descendent of TLazAccessibleObject instead of the base class.
TControl.GetAccessibleObject | Returns True if the control is being dragged


TControl.GetChildrenRect

Declaration

Source position: controls.pp line 1660

public function TControl.GetChildrenRect(

  Scrolled: Boolean

):TRect; virtual;


TControl.GetClientScrollOffset

Returns the offset of the scrolled client area (in a scrolling TWinControl).

Declaration

Source position: controls.pp line 1325

protected function TControl.GetClientScrollOffset: TPoint; virtual;

Function result

The X and Y offsets of the visible client area, equal to the scrollbar positions.

Description

The overridden method may fail when the TScrollingWinControl has only one scrollbar

See also

TControl.GetScrolledClientRect | Get the visible part of the logical client area.
#lcl.Forms.TScrollingWinControl.GetClientScrollOffset | The virtual origin of the physical client area.


TControl.GetColorResolvingParent

Returns the color of the control while resolving clDefault and ParentColor

Declaration

Source position: controls.pp line 1593

public function TControl.GetColorResolvingParent: TColor;

Description

This convenience routine will allow to obtain the Color of the control while resolving clDefault. It will never return clDefault, but it might return non-RGB color. To obtain a purely RGB result use GetRGBColorResolvingParent.

See also

TControl.Color | The background color of the control.
TControl.GetDefaultColor | Get the default color for this widget, from Parent or color type.
TControl.ParentColor | If true, the Color of the control will be the same as the one from the Parent. Default is true.
TControl.GetRGBColorResolvingParent | Returns a RGB value for the color of the control


TControl.GetControlClassDefaultSize

Returns the default size for this class of controls (when added to a form).

Declaration

Source position: controls.pp line 1479

protected class function TControl.GetControlClassDefaultSize: TSize; virtual;


TControl.GetDefaultColor

Get the default color for this widget, from Parent or color type.

Declaration

Source position: controls.pp line 1591

public function TControl.GetDefaultColor(

  const DefaultColorType: TDefaultColorType

):TColor; virtual;

Arguments

DefaultColorType

The color type to use, as the last resort.

See also

TControl.Color | The background color of the control.
TControl.ParentColor | If true, the Color of the control will be the same as the one from the Parent. Default is true.
TControl.GetColorResolvingParent | Returns the color of the control while resolving clDefault and ParentColor
TControl.GetRGBColorResolvingParent | Returns a RGB value for the color of the control


TControl.GetDefaultDockCaption

Returns the string for the dock caption, by default the control's Name.

Declaration

Source position: controls.pp line 1405

protected function TControl.GetDefaultDockCaption: string; virtual;


TControl.GetDefaultHeight

The default height for this control, independent of any calculated values like Height and GetPreferredSize.

Declaration

Source position: controls.pp line 1590

public function TControl.GetDefaultHeight: Integer;


TControl.GetDefaultWidth

The default width for this control, independent of any calculated values like Width and GetPreferredSize.

Declaration

Source position: controls.pp line 1589

public function TControl.GetDefaultWidth: Integer;


TControl.GetDeviceContext

Returns a device context handle for the control, from Parent.

Declaration

Source position: controls.pp line 1453

protected function TControl.GetDeviceContext(

  var WindowHandle: HWND

):HDC; virtual;

Arguments

WindowHandle

Returns the window handle of the device context.

Function result

The device context.

Description

Initializes the device context position to the control origin, and shrinks its clipping rectangle to the control bounds.


TControl.GetDockEdge

Determine the side to which the dragged control shall be docked.

Declaration

Source position: controls.pp line 1386

protected function TControl.GetDockEdge(

  const MousePos: TPoint

):TAlign; virtual;

Arguments

MousePos

Mouse position in client coordinates.


TControl.GetDragImages

Get the list of images usable during dragging.

Declaration

Source position: controls.pp line 1387

protected function TControl.GetDragImages: TDragImageList; virtual;


TControl.GetFloating

Guess whether the control is floating.

Declaration

Source position: controls.pp line 1388

protected function TControl.GetFloating: Boolean; virtual;

Description

Floating state is assumed when the control has a HostDockSite of FloatingDockSiteClass, and is the only docked client.


TControl.GetFloatingDockSiteClass

Returns the class for a floating host dock site.

Declaration

Source position: controls.pp line 1389

protected function TControl.GetFloatingDockSiteClass: TWinControlClass; virtual;

Function result

The class of a floating host dock site for this control.

Description

An instance of this class is created whenever a control shall float, but can not (or shall not) float by itself.

Only TWinControls can float on the screen (with Parent=Nil), but not ordinary TControls.

Since dockable forms are not supported by every platform, also a dockable TWinControl may need an floating host, which presents a docking handle to the user (e.g. a dock caption).

See also

TControl.CreateFloatingDockSite

Create a floating dock site with a client area equal to the given screen coordinates.


TControl.GetLogicalClientRect

Logical client area, can be bigger than the visible client area.

Declaration

Source position: controls.pp line 1323

protected function TControl.GetLogicalClientRect: TRect; virtual;

Function result

TControl returns the ClientRect.

Description

A Forms.TScrollingWinControl has a logical client area, of which only a portion can be visible. The origin always is (0,0), regardless of an ScrollOffset.

See also

TControl.BoundsRect | The TopLeft and BottomRight of the control, in client coordinates.
TControl.ClientRect | Size of the client area of the control.
TControl.GetScrolledClientRect | Get the visible part of the logical client area.


TControl.GetMousePosFromMessage

Declaration

Source position: controls.pp line 1413

protected function TControl.GetMousePosFromMessage(

  const MessageMousePos: TSmallPoint

):TPoint;


TControl.GetPalette

Override GetPalette to return the handle of a color palette.

Declaration

Source position: controls.pp line 1423

protected function TControl.GetPalette: HPALETTE; virtual;

Function result

The Palette handle, zero (no Palette) by default.


TControl.GetParentComponent

Returns Parent (implements TComponent.GetParentComponent).

Declaration

Source position: controls.pp line 1629

public function TControl.GetParentComponent: TComponent; override;

Function result

The Parent property.


TControl.GetPreferredSize

Returns default/preferred height and width, for use in autosizing.

Declaration

Source position: controls.pp line 1585

public procedure TControl.GetPreferredSize(

  var PreferredWidth: Integer;

  var PreferredHeight: Integer;

  Raw: Boolean = False;

  WithThemeSpace: Boolean = True

); virtual;

Arguments

Raw | If False then the values will be adjusted by the constraints, and undefined values will be replaced by GetDefaultWidth/GetDefaultHeight.
WithThemeSpace | If true, adds space for stacking.

Description

Called during AutoSize calculations. Only positive values are valid. Negative or 0 are treated as undefined and the LCL uses other sizes instead.

WithThemeSpace: If true, adds space for stacking.

For example: TRadioButton has a minimum size. But for stacking multiple TRadioButtons there should be some space around. This space is theme dependent, so the parameter is passed to the widgetset

TWinControl overrides this and asks the interface for theme dependent values. See TWinControl.CalculatePreferredSize for more information.


TControl.GetRGBColorResolvingParent

Returns a RGB value for the color of the control

Declaration

Source position: controls.pp line 1594

public function TControl.GetRGBColorResolvingParent: TColor;

Description

This convenience routine will allow to obtain the Color of the control while resolving clDefault, ParentColor and system color indexes and returns a RGB TColor.

See also

TControl.Color | The background color of the control.
TControl.GetDefaultColor | Get the default color for this widget, from Parent or color type.
TControl.ParentColor | If true, the Color of the control will be the same as the one from the Parent. Default is true.
TControl.GetColorResolvingParent | Returns the color of the control while resolving clDefault and ParentColor


TControl.GetScrolledClientRect

Get the visible part of the logical client area.

Declaration

Source position: controls.pp line 1324

protected function TControl.GetScrolledClientRect: TRect; virtual;

Function result

The scrolled ClientRect (TopLeft, BottomRight).

Description

Includes the ScrollOffset in a TScrollingWinControl Parent.

TControl: When the Parent is a TScrollingWinControl, the ClientRect is offset by its ScrollOffset. This Rect can be intersected with the visible ClientArea of the Parent, to get the really visible part of the control.

TWinControl: The visible ClientRect is offset by ScrollOffset, to reflect the visible part of the logical ClientRect.

See also

TControl.ClientRect | Size of the client area of the control.
TControl.GetScrolledClientRect | Get the visible part of the logical client area.


TControl.GetSelectedChildAccessibleObject

Returns the currently selected child accessible object. This method is provided for controls which wish to override this behavior without sub-classing TLazAccessibleObject.

Declaration

Source position: controls.pp line 1547

public function TControl.GetSelectedChildAccessibleObject: TLazAccessibleObject; virtual;

See also

TLazAccessibleObject | Represents an accessible object with which the user of a accessibility tool can interact.
TLazAccessibleObject.GetSelectedChildAccessibleObject | Returns the currently selected child accessible object or nil if none are selected. Override this method in your sub class.
TControl.CreateAccessibleObject | Creates the TLazAccessibleObject for this control. This method should just create the object and return it. It is useful for classes which desire to have a descendent of TLazAccessibleObject instead of the base class.
TControl.GetAccessibleObject | Returns True if the control is being dragged


TControl.GetSidePosition

The client coordinate of the given side.

Declaration

Source position: controls.pp line 1596

public function TControl.GetSidePosition(

  Side: TAnchorKind

):Integer;


TControl.GetTextBuf

Copy the Text property into Buffer.

Declaration

Source position: controls.pp line 1650

public function TControl.GetTextBuf(

  Buffer: PChar;

  BufSize: Integer

):Integer; virtual;

Arguments

Buffer | Pointer to the buffer receiving the string.
BufSize | Length of the buffer.

Function result

Length of the copied text.

Description

This method only exists for Delphi compatibility.

Don't use or override it, unless really necessary.

See also

RealGetText

Returns the Caption property.


TControl.GetTextLen

The length of Text, here: of Caption.

Declaration

Source position: controls.pp line 1651

public function TControl.GetTextLen: Integer; virtual;


TControl.GetTopParent

Find which control is the top parent (which has no further parent itself).

Declaration

Source position: controls.pp line 1631

public function TControl.GetTopParent: TControl;


TControl.HandleObjectShouldBeVisible

True if the control shall be visible, unless it's being destroyed.

Declaration

Source position: controls.pp line 1663

public function TControl.HandleObjectShouldBeVisible: Boolean; virtual;

See also

TControl.IsVisible

Returns True if the control is visible, including all of its Parents.


TControl.HasHelp

True when a HelpKeyword or HelpContext ID is assigned.

Declaration

Source position: controls.pp line 1668

public function TControl.HasHelp: Boolean;


TControl.HasParent

Returns True if there is a parent component responsible for streaming

Declaration

Source position: controls.pp line 1628

public function TControl.HasParent: Boolean; override;

Function result

True if there is a Parent.

Description

This function will be called during streaming to decide if a component has to be streamed by its owner or parent

See also

TComponent.HasParent


TControl.Height

The vertical size of the control.

Declaration

Source position: controls.pp line 1759

published property TControl.Height : Integer
  read FHeight
  write SetHeight;


TControl.HeightIsAnchored

True when both the control's top and bottom side are anchored.

Declaration

Source position: controls.pp line 1330

protected function TControl.HeightIsAnchored: Boolean;

Function result

True if the Height varies with the Parent.Height.


TControl.HelpContext

The ID for context-sensitive Help on this control.

Declaration

Source position: controls.pp line 1765

published property TControl.HelpContext : THelpContext
  read FHelpContext
  write SetHelpContext
  stored IsHelpContextStored
  default 0;

See also

TControl.HelpKeyword

The keyword for context-sensitive Help on this control.


TControl.HelpKeyword

The keyword for context-sensitive Help on this control.

Declaration

Source position: controls.pp line 1764

published property TControl.HelpKeyword : string
  read FHelpKeyword
  write SetHelpKeyword
  stored IsHelpKeyWordStored;

See also

TControl.HelpContext

The ID for context-sensitive Help on this control.


TControl.HelpType

Determines whether context-sensitive Help is selected by numeric ID or keyword.

Declaration

Source position: controls.pp line 1763

published property TControl.HelpType : THelpType
  read FHelpType
  write FHelpType
  default htContext;

See also

TControl.HelpContext | The ID for context-sensitive Help on this control.
TControl.HelpKeyword | The keyword for context-sensitive Help on this control.


TControl.Hide

Hides this control, by setting Visible to False.

Declaration

Source position: controls.pp line 1639

public procedure TControl.Hide;

See also

#lcl.Controls.TControl.Visible | Allows to show or hide the control, and all of its children.
#lcl.Controls.TControl.Show | Makes the control visible, by setting Visible to True.


TControl.Hint

The text to show in the Hint window for this control.

Declaration

Source position: controls.pp line 1760

published property TControl.Hint : TTranslateString
  read FHint
  write SetHint
  stored IsHintStored;

See also

TControl.ShowHint | Enables the Hint display.
TControl.ParentShowHint | If true, the value of ShowHint for the control will be the same as the one from the Parent. Default is true.


TControl.HostDockSite

The host site (TWinControl) into which this control is docked. Nil if not docked.

Declaration

Source position: controls.pp line 1740

public property TControl.HostDockSite : TWinControl
  read FHostDockSite
  write SetHostDockSite;


TControl.InitiateAction

Update the action associated with this control.

Declaration

Source position: controls.pp line 1666

public procedure TControl.InitiateAction; virtual;


TControl.Invalidate

Force a delayed Repaint of the control, by marking its visible area of the control as invalid.

Declaration

Source position: controls.pp line 1642

public procedure TControl.Invalidate; virtual;


TControl.InvalidateControl

Request a repaint of the control.

Declaration

Source position: controls.pp line 1431

protected procedure TControl.InvalidateControl(

  CtrlIsVisible: Boolean;

  CtrlIsOpaque: Boolean

);

procedure TControl.InvalidateControl(

  CtrlIsVisible: Boolean;

  CtrlIsOpaque: Boolean;

  IgnoreWinControls: Boolean

);


TControl.InvalidatePreferredSize

Mark the preferred size no longer valid, for this control and all parents (implies that we will look for another).

Declaration

Source position: controls.pp line 1598

public procedure TControl.InvalidatePreferredSize; virtual;


TControl.IsAParentAligning

Determine if a parent control is involved in the alignment process

Declaration

Source position: controls.pp line 1320

protected function TControl.IsAParentAligning: Boolean;


TControl.IsBorderSpacingInnerBorderStored

Checks for a defined (non-zero) BorderSpacing.InnerBorder.

Declaration

Source position: controls.pp line 1299

protected function TControl.IsBorderSpacingInnerBorderStored: Boolean; virtual;

Function result

True when InnerBorder has to be taken into account.


TControl.IsControl

Determines whether this object shall be streamed as a control.

Declaration

Source position: controls.pp line 1723

public property TControl.IsControl : Boolean
  read FIsControl
  write FIsControl;

Description

Delphi compatible property, affecting only the streaming of Form properties.


TControl.IsControlVisible

True if the control is Visible, or is in design mode.

Declaration

Source position: controls.pp line 1633

public function TControl.IsControlVisible: Boolean; virtual;

Description

Does not check for invisible parents.

See also

TControl.Visible

Allows to show or hide the control, and all of its children.


TControl.IsEnabled

Returns True if the control is Enabled, including all of its Parents.

Declaration

Source position: controls.pp line 1634

public function TControl.IsEnabled: Boolean;

Function result

True only if all Parents also are enabled.


TControl.IsParentColor

Declaration

Source position: controls.pp line 1635

public function TControl.IsParentColor: Boolean;


TControl.IsParentFont

Declaration

Source position: controls.pp line 1636

public function TControl.IsParentFont: Boolean;


TControl.IsParentOf

Determines whether this control is a parent of AControl.

Declaration

Source position: controls.pp line 1630

public function TControl.IsParentOf(

  AControl: TControl

):Boolean; virtual;

Arguments

AControl

The control of which this control may be a parent.

Function result

True if this control is a parent of AControl.

Description

The recursive search in all Parents of AControl finds not only immediate parent/child controls.


TControl.IsProcessingPaintMsg

True while painting the control.

Declaration

Source position: controls.pp line 1638

public function TControl.IsProcessingPaintMsg: Boolean;

Description

As the name says, the cfProcessingWMPaint flag in FControlFlags is set while a LM_PAINT message is processed, and IsProcessingPaintMsg checks this flag.


TControl.IsRightToLeft

True when BiDiMode is not bdLeftToRight.

Declaration

Source position: controls.pp line 1749

public function TControl.IsRightToLeft: Boolean;


TControl.IsVisible

Returns True if the control is visible, including all of its Parents.

Declaration

Source position: controls.pp line 1632

public function TControl.IsVisible: Boolean; virtual;

Function result

True only if all Parents also are visible.

See also

TControl.Visible

Allows to show or hide the control, and all of its children.


TControl.Left

The client coordinate of the left edge of the control.

Declaration

Source position: controls.pp line 1758

published property TControl.Left : Integer
  read FLeft
  write SetLeft;


TControl.LMCaptureChanged

Message handler for changed capture.

Declaration

Source position: controls.pp line 1367

protected procedure TControl.LMCaptureChanged(

  var Message: TLMessage

); message;


TControl.LoadedAll

Declaration

Source position: controls.pp line 1427

protected procedure TControl.LoadedAll; virtual;


TControl.LRDockWidth

The Width when last docked, with siblings to the left or right.

Declaration

Source position: controls.pp line 1741

public property TControl.LRDockWidth : Integer
  read GetLRDockWidth
  write FLRDockWidth;


TControl.ManualDock

Docks a control programmatically.

Declaration

Source position: controls.pp line 1534

public function TControl.ManualDock(

  NewDockSite: TWinControl;

  DropControl: TControl = Nil;

  ControlSide: TAlign = alNone;

  KeepDockSiteSize: Boolean = True

):Boolean; virtual;

Arguments

NewDockSite | The site into which the control is docked; Nil to make it float.
DropControl | The sibling relative to which the control is inserted; can be Nil.
ControlSide | The side of DropControl on which the control is to be docked.

Function result

True if successfully docked.

Description

Docks this control into NewDockSite, relative to DropControl. When NewDockSite is Nil, the control becomes floating.

When the new docksite uses an DockManager, and DropControl is not Nil, the control will be docked relative to DropControl, as specified by ControlSide.

The interpretation of ControlSide depends on the DockManager of NewDockSite, or on the OnDockDrop handler in an unmanaged docksite.

A tree docking manager (TDockTree) should interpret alCustom as NoteBook docking, i.e. a tabbed notebook is created in place of DropControl, and both DropControl and this control are docked into pages of this notebook.


TControl.ManualFloat

Undocks the control into floating state.

Declaration

Source position: controls.pp line 1538

public function TControl.ManualFloat(

  TheScreenRect: TRect;

  KeepDockSiteSize: Boolean = True

):Boolean; virtual;

Arguments

TheScreenRect

The screen area where the floating control is moved; the client area of a float host site.

Function result

True if succesfully floated.

Description

TWinControls float for themselves, for TControls a floating host dock site is created, and the control is docked into it.


TControl.MouseCapture

True when mouse messages are currently captured by this control.

Declaration

Source position: controls.pp line 1496

protected property TControl.MouseCapture : Boolean
  read GetMouseCapture
  write SetMouseCapture;

Description

In normal operation all mouse messages are sent to the control under the mouse pointer. Mouse messages also can be sent to a capturing control, e.g. when a control is dragged.

Applications should capture mouse events only for special purposes, and release the capture as soon as a the target position has been determined. Limited user feedback is possible while the mouse is captured, not all application controls will work properly so long.


TControl.MouseDown

Handler for MouseDown events.

Declaration

Source position: controls.pp line 1414

protected procedure TControl.MouseDown(

  Button: TMouseButton;

  Shift: TShiftState;

  X: Integer;

  Y: Integer

); virtual;

Arguments

Button | which buttons are down
Shift | which of Ctrl, Shift or Alt keys are also pressed
X | Mouse position in client coordinates.

Description

Called by the MouseDown message handler. Handles Focus changes, notifies the DragManager while dragging. Finally calls the TControl.OnMouseDown handler.


TControl.MouseEnter

Invokes the OnMouseEnter handler.

Declaration

Source position: controls.pp line 1417

protected procedure TControl.MouseEnter; virtual;


TControl.MouseEntered

[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] Reference for unit 'Controls' (#lcl)

TControl.MouseEntered (deprecated)

True when the mouse has entered the control.

Declaration

Source position: controls.pp line 1724

public property TControl.MouseEntered : Boolean
  read FMouseInClient;


TControl.MouseInClient

Declaration

Source position: controls.pp line 1725

public property TControl.MouseInClient : Boolean
  read FMouseInClient;


TControl.MouseLeave

Invokes the OnMouseLeave handler.

Declaration

Source position: controls.pp line 1418

protected procedure TControl.MouseLeave; virtual;


TControl.MouseMove

Handler for MouseMove events.

Declaration

Source position: controls.pp line 1415

protected procedure TControl.MouseMove(

  Shift: TShiftState;

  X: Integer;

  Y: Integer

); virtual;

Arguments

Shift | The currently pressed mouse buttons and modifier keys.
X | Mouse position in client coordinates.

Description

Called by the MouseMove message handler. The DragManager is notified while the control is being dragged. Finally the OnMouseMove handler is invoked.


TControl.MouseUp

Invokes the OnMouseUp handler.

Declaration

Source position: controls.pp line 1416

protected procedure TControl.MouseUp(

  Button: TMouseButton;

  Shift: TShiftState;

  X: Integer;

  Y: Integer

); virtual;

Arguments

Button | The currently pressed modifier keys.
Shift | The currently pressed mouse buttons.
X | Mouse position in client coordinates.


TControl.Notification

Notification handler for insertion or deletion of components.

Declaration

Source position: controls.pp line 1451

protected procedure TControl.Notification(

  AComponent: TComponent;

  Operation: TOperation

); override;

Arguments

AComponent | The component being inserted or removed.
Operation | The action (opInsert or opRemove).

Description

First the inherited #rtl.Classes.TComponent.Notification is invoked, to notify all attached notification handlers.

If Operation is removal, additional actions are performed, depending on AComponent:
PopupMenu, Action, or anchors to the removed control are detached.

See also

#rtl.Classes.TComponent.Notification


TControl.OnChangeBounds

Event handler for a change of the Bounds of the control.

Declaration

Source position: controls.pp line 1726

public property TControl.OnChangeBounds : TNotifyEvent
  read FOnChangeBounds
  write FOnChangeBounds;

See also

#rtl.Classes.TNotifyEvent


TControl.OnClick

Notification handler for mouse clicks.

Declaration

Source position: controls.pp line 1727

public property TControl.OnClick : TNotifyEvent
  read FOnClick
  write FOnClick;

Description

A mouse click is associated with the default action for controls, and is often the ONLY event handled in user code.

The reaction on an click can be specified by a user supplied method, and/or by selecting an action from a supplied ActionList

See also

#rtl.Classes.TNotifyEvent


TControl.OnConstrainedResize

This handler can supply specific Constraints (size limits), when the control is resized.

Declaration

Source position: controls.pp line 1502

protected property TControl.OnConstrainedResize : TConstrainedResizeEvent
  read FOnConstrainedResize
  write FOnConstrainedResize;

See also

TConstrainedResizeEvent |
TControl.Constraints | The minimal and maximal Width and Height of this control.


TControl.OnContextPopup

Invoked when a context-sensitive pop-up menu is requested.

Declaration

Source position: controls.pp line 1503

protected property TControl.OnContextPopup : TContextPopupEvent
  read FOnContextPopup
  write FOnContextPopup;

Description

The handler can show and handle the menu selection itself. If so, it should set Handled to True. Otherwise the installed PopupMenu is shown.

See also

TContextPopupEvent | Handler type for OnContextPopup.
TControl.PopupMenu | A context-sensitive menu that pops up when the right mouse button is clicked over this control


TControl.OnDblClick

Event Handler for double mouse clicks.

Declaration

Source position: controls.pp line 1504

protected property TControl.OnDblClick : TNotifyEvent
  read FOnDblClick
  write FOnDblClick;

Description

Double-clicking is much more common in a Windows environment than in Unix or Linux, where single-clicking is the default method for selecting an object. However, in all environments there could be valid use for a double-click, and a method should be supplied if appropriate.


TControl.OnDragDrop

This handler determines the action on an drop onto this control, in a drag-drop operation.

Declaration

Source position: controls.pp line 1507

protected property TControl.OnDragDrop : TDragDropEvent
  read FOnDragDrop
  write FOnDragDrop;

Description

Unlike for a drag-dock operation, no default action is associated with an drag-drop; the OnDragDrop handler is the only way to do something meaningful on an drag-drop.

See also

TControl.TDragDropEvent

TControl.DragDrop

Invokes the OnDragDrop handler, when a dragged object is dropped onto this control.


TControl.OnDragOver

Event handler for a control being dragged over this control.

Declaration

Source position: controls.pp line 1508

protected property TControl.OnDragOver : TDragOverEvent
  read FOnDragOver
  write FOnDragOver;

Description

The handler can reject an drop, by setting Accept to False.

See also

TDragOverEvent

The type of an OnDragOver handler.


TControl.OnEditingDone

Event handler when editing is done.

Declaration

Source position: controls.pp line 1524

protected property TControl.OnEditingDone : TNotifyEvent
  read FOnEditingDone
  write FOnEditingDone;

Description

The user definitely has finished editing, the resulting text e.g. can be validated.


TControl.OnEndDock

Notification handler for the end of a docking operation.

Declaration

Source position: controls.pp line 1509

protected property TControl.OnEndDock : TEndDragEvent
  read FOnEndDock
  write FOnEndDock;

See also

TEndDragEvent

The type of an OnEndDrag handler.


TControl.OnEndDrag

Notification handler for the end of a dragging operation.

Declaration

Source position: controls.pp line 1510

protected property TControl.OnEndDrag : TEndDragEvent
  read FOnEndDrag
  write FOnEndDrag;

See also

TEndDragEvent

The type of an OnEndDrag handler.


TControl.OnMouseDown

Event handler for mouse button going down.

Declaration

Source position: controls.pp line 1511

protected property TControl.OnMouseDown : TMouseEvent
  read FOnMouseDown
  write FOnMouseDown;

See also

TControl.OnClick

Notification handler for mouse clicks.


TControl.OnMouseEnter

Event handler for mouse entering the area of the control.

Declaration

Source position: controls.pp line 1514

protected property TControl.OnMouseEnter : TNotifyEvent
  read FOnMouseEnter
  write FOnMouseEnter;


TControl.OnMouseLeave

Event handler for mouse leaving the area of the control.

Declaration

Source position: controls.pp line 1515

protected property TControl.OnMouseLeave : TNotifyEvent
  read FOnMouseLeave
  write FOnMouseLeave;


TControl.OnMouseMove

Event handler for mouse movement within the control.

Declaration

Source position: controls.pp line 1512

protected property TControl.OnMouseMove : TMouseMoveEvent
  read FOnMouseMove
  write FOnMouseMove;


TControl.OnMouseUp

Event handler for mouse button going up.

Declaration

Source position: controls.pp line 1513

protected property TControl.OnMouseUp : TMouseEvent
  read FOnMouseUp
  write FOnMouseUp;

See also

TControl.OnClick

Notification handler for mouse clicks.


TControl.OnMouseWheel

Event handler for mouse wheel turned.

Declaration

Source position: controls.pp line 1516

protected property TControl.OnMouseWheel : TMouseWheelEvent
  read FOnMouseWheel
  write FOnMouseWheel;

Description

By default all mouse wheel actions are translated into scroll events. Write an OnMouseWheel handler to react on turns of the mouse wheel.

The OnMouseWheelUp and OnMouseWheelDown handlers are notified only, they are not suited for customization of mouse wheel events.

See also

TMouseWheelEvent

Type of an OnMouseWheel event handler.


TControl.OnMouseWheelDown

Notification handler for downward movement of mouse wheel.

Declaration

Source position: controls.pp line 1517

protected property TControl.OnMouseWheelDown : TMouseWheelUpDownEvent
  read FOnMouseWheelDown
  write FOnMouseWheelDown;

See also

TControl.OnMouseWheel | Event handler for mouse wheel turned.
TMouseWheelUpDownEvent | Type of OnMouseWheelUp/Down event handlers.


TControl.OnMouseWheelHorz

Declaration

Source position: controls.pp line 1519

protected property TControl.OnMouseWheelHorz : TMouseWheelEvent
  read FOnMouseWheelHorz
  write FOnMouseWheelHorz;


TControl.OnMouseWheelLeft

Declaration

Source position: controls.pp line 1520

protected property TControl.OnMouseWheelLeft : TMouseWheelUpDownEvent
  read FOnMouseWheelLeft
  write FOnMouseWheelLeft;


TControl.OnMouseWheelRight

Declaration

Source position: controls.pp line 1521

protected property TControl.OnMouseWheelRight : TMouseWheelUpDownEvent
  read FOnMouseWheelRight
  write FOnMouseWheelRight;


TControl.OnMouseWheelUp

Notification handler for upward movement of mouse wheel.

Declaration

Source position: controls.pp line 1518

protected property TControl.OnMouseWheelUp : TMouseWheelUpDownEvent
  read FOnMouseWheelUp
  write FOnMouseWheelUp;

See also

TControl.OnMouseWheel | Event handler for mouse wheel turned.
TMouseWheelUpDownEvent | Type of OnMouseWheelUp/Down event handlers.


TControl.OnQuadClick

Event handler for quadruple mouse clicks.

Declaration

Source position: controls.pp line 1506

protected property TControl.OnQuadClick : TNotifyEvent
  read FOnQuadClick
  write FOnQuadClick;


TControl.OnResize

Notification handler for a resize of the control.

Declaration

Source position: controls.pp line 1728

public property TControl.OnResize : TNotifyEvent
  read FOnResize
  write FOnResize;

Description

This event is triggered after the Width, Height, ClientWidth or ClientHeight of the control has changed, and before the LCL sends the new size to the widgetset. The size of the underlying widget (e.g. unit LCLIntf function GetWindowSize and GetClientRect) may differ from the control's Width/Height/ClientRect during OnResize. During autosize the size can change multiple times, but only the last change triggers the OnResize.

Use OnResize to react on size changes. To also react on moves, use the OnChangeBounds event.

If you want to customize the resize behaviour, use OnConstrainedResize instead.

Common mistake: Keep in mind that ClientWidth and ClientHeight can change even when Width, Height stays the same. For example when the theme changes, the Width and Height remain the same, but the changed frame reduces the ClientWidth and ClientHeight. This does not happen that often under Windows, but it happens quite often on other platforms.

Especially it is not sufficient to write only a TForm.OnResize handler to resize all controls on the form. This is a common bug in Delphi applications.

See also

TControl.OnConstrainedResize

This handler can supply specific Constraints (size limits), when the control is resized.

#rtl.Classes.TNotifyEvent


TControl.OnShowHint

Event Handler when a hint shall be shown.

Declaration

Source position: controls.pp line 1729

public property TControl.OnShowHint : TControlShowHintEvent
  read FOnShowHint
  write FOnShowHint;

See also

TControl.Hint | The text to show in the Hint window for this control.
#lcl.Controls.THintInfo |
#lcl.Controls.TControlShowHintEvent | Handler type for OnShowHint.


TControl.OnStartDock

Event handler for the start of a docking operation.

Declaration

Source position: controls.pp line 1522

protected property TControl.OnStartDock : TStartDockEvent
  read FOnStartDock
  write FOnStartDock;

Description

The handler can provide a special DragDock object, otherwise a default object is created.

See also

#lcl.Controls.TDragDockObject | A drag object for drag-dock.
TControl.OnStartDrag | Event handler for the start of a dragging operation.


TControl.OnStartDrag

Event handler for the start of a dragging operation.

Declaration

Source position: controls.pp line 1523

protected property TControl.OnStartDrag : TStartDragEvent
  read FOnStartDrag
  write FOnStartDrag;

Description

The handler can provide a special DragControl object, otherwise a default object is created.

See also

#lcl.Controls.TDragObject | Base class for managing drag operations and user feedback.
TControl.OnStartDock | Event handler for the start of a docking operation.


TControl.OnTripleClick

Event handler for triple mouse clicks.

Declaration

Source position: controls.pp line 1505

protected property TControl.OnTripleClick : TNotifyEvent
  read FOnTripleClick
  write FOnTripleClick;


TControl.Parent

The control within which the control is shown.

Declaration

Source position: controls.pp line 1730

public property TControl.Parent : TWinControl
  read FParent
  write SetParent;

Description

When the Parent moves or hides, all its children move or hide together with it.

Every TControl must have a Parent, else it is never shown.

The Parent of a floating form is Nil.

Set the parent last to reduce updates. For example: Button1:=TButton.Create(Self); Button1.Name:='Button1'; Button1.Caption:='Click me'; // parent is not set, so it does not update the whole form Button1.Parent:=Form1; // set parent as last, the LCL now applies all properties

Delphi/VCL: Parent must be set first under Delphi, because many properties work differently if they are set before or after Handle creation. The LCL applies the properties when the Handle is created.


TControl.ParentBiDiMode

Allows to use the BiDiMode settings of Parent. Default is true.

Declaration

Source position: controls.pp line 1751

public property TControl.ParentBiDiMode : Boolean
  read FParentBiDiMode
  write SetParentBiDiMode
  default True;

See also

TControl.BiDiMode

Customization (of text controls) in bidirectional reading environments.


TControl.ParentColor

If true, the Color of the control will be the same as the one from the Parent. Default is true.

Declaration

Source position: controls.pp line 1497

protected property TControl.ParentColor : Boolean
  read FParentColor
  write SetParentColor
  default True;

Description

While this property is True, all changes to the Color of the parent will be also done to the Color of the control, syncronizing them and keeping them with the same value. If the Color of the control is changed by the application, then ParentColor will be automatically set to False. The combination of ParentColor with clDefault can cause problems in resolving clDefault. To obtain the Color property of a control while taking into account clDefault and ParentColor one whould use TControl.GetColorResolvingParent. This method might return a non-RGB color, but will never return clDefault. To obtain a purely RGB result use TColor.GetRGBColorResolvingParent

See also

TControl.Color | The background color of the control.
TControl.GetColorResolvingParent | Returns the color of the control while resolving clDefault and ParentColor
TControl.GetRGBColorResolvingParent | Returns a RGB value for the color of the control


TControl.ParentDestroyingHandle

Returns True if any parent is destroying its Handle (and its childrens').

Declaration

Source position: controls.pp line 1664

public function TControl.ParentDestroyingHandle: Boolean;


TControl.ParentFont

If true, the Font of the control will be the same as the one from the Parent. Default is true.

Declaration

Source position: controls.pp line 1498

protected property TControl.ParentFont : Boolean
  read FParentFont
  write SetParentFont
  default True;

Description

While this property is True, all changes to the font of the parent will be also done to the font of the control, syncronizing them and keeping them with the same value. If the Font of the control is changed by the application, then ParentFont will be automatically set to False.

See also

TControl.Font

The font to be used for text display in this control.


TControl.ParentFontChanged

[Delphi compatible] Does nothing here, all work is done in CMParentFontChanged.

Declaration

Source position: controls.pp line 1434

protected procedure TControl.ParentFontChanged; virtual;


TControl.ParentFormHandleInitialized

Internal handler for activities after a form widget has been created.

Declaration

Source position: controls.pp line 1448

protected procedure TControl.ParentFormHandleInitialized; virtual;

Description

Called by ChildHandlesCreated of parent form.

Functions like GetTextWidth require valid widgets and their device contexts. That's why AutoSizing is delayed till this moment.


TControl.ParentHandlesAllocated

Returns True if all Parents have handles allocated, and are not being destroyed.

Declaration

Source position: controls.pp line 1665

public function TControl.ParentHandlesAllocated: Boolean; virtual;


TControl.ParentShowHint

If true, the value of ShowHint for the control will be the same as the one from the Parent. Default is true.

Declaration

Source position: controls.pp line 1499

protected property TControl.ParentShowHint : Boolean
  read FParentShowHint
  write SetParentShowHint
  default True;

Description

While this property is True, all changes to the ShowHint property of the parent will be also done to the ShowHint property of the control, syncronizing them and keeping them with the same value. If the ShowHint property of the control is changed by the application, then ParentShowHint will be automatically set to False.

See also

TControl.Hint | The text to show in the Hint window for this control.
TControl.ShowHint | Enables the Hint display.


TControl.ParentToClient

Declaration

Source position: controls.pp line 1659

public function TControl.ParentToClient(

  const Point: TPoint;

  AParent: TWinControl = Nil

):TPoint;


TControl.Perform

Direct call of an message handler, bypassing the message queue.

Declaration

Source position: controls.pp line 1653

public function TControl.Perform(

  Msg: Cardinal;

  WParam: WPARAM;

  LParam: LPARAM

):LRESULT;

Description

The parameters and result depend on the concret message.


TControl.PopupMenu

A context-sensitive menu that pops up when the right mouse button is clicked over this control

Declaration

Source position: controls.pp line 1731

public property TControl.PopupMenu : TPopupMenu
  read GetPopupmenu
  write SetPopupMenu;

See also

#lcl.Menus.TPopupMenu | TPopupMenu - a menu panel that pops up on the desktop when the right mouse button is clicked
TControl.OnContextPopup | Invoked when a context-sensitive pop-up menu is requested.
TControl.TContextPopupEvent


TControl.PositionDockRect

Get the DockRect for an possible drop.

Declaration

Source position: controls.pp line 1403

protected procedure TControl.PositionDockRect(

  DragDockObject: TDragDockObject

); virtual;

Description

Either calls the DockManager.PositionDockRect of the target site, or DragDockObject.AdjustDockRect after moving the undocked control rectangle to the DragPos. AdjustDockRect takes the hotspot of the DockRect into account.

See also

TDragDockObject.AdjustDockRect

Adjust the DockRect relative to the dragging hotspot (DockOffset).


TControl.QuadClick

Invokes the OnQuadClick handler.

Declaration

Source position: controls.pp line 1412

protected procedure TControl.QuadClick; virtual;


TControl.ReadBounds

Declaration

Source position: controls.pp line 1608

public property TControl.ReadBounds : TRect
  read FReadBounds;


TControl.RealGetText

Returns the Caption property.

Declaration

Source position: controls.pp line 1436

protected function TControl.RealGetText: TCaption; virtual;

Function result

The Caption property.

Description

This method is called by GetText, when GetTextBuf is not overridden.

See also

GetTextBuf | Copy the Text property into Buffer.
RealSetText | Sets the Caption property.
SetTextBuf | Updates the Text property from a PChar buffer.


TControl.RealSetText

Sets the Caption property.

Declaration

Source position: controls.pp line 1437

protected procedure TControl.RealSetText(

  const Value: TCaption

); virtual;

Arguments

Value

The string to store.

Description

This method is called by SetText, when SetTextBuf is not overridden.

See also

SetTextBuf | Updates the Text property from a PChar buffer.
RealGetText | Returns the Caption property.
GetTextBuf | Copy the Text property into Buffer.


TControl.RemoveHandler

Removes the given notification handler.

Declaration

Source position: controls.pp line 1469

protected procedure TControl.RemoveHandler(

  HandlerType: TControlHandlerType;

  const AMethod: TMethod

);

Arguments

HandlerType | Type of the notification.
AMethod | The handler to be removed.

See also

TControl.AddHandler

Adds an notification handler.


TControl.RemoveHandlerOnBeforeDestruction

Declaration

Source position: controls.pp line 1692

public procedure TControl.RemoveHandlerOnBeforeDestruction(

  const OnBeforeDestructionEvent: TNotifyEvent

);


TControl.RemoveHandlerOnChangeBounds

Removes an handler for the OnChangeBounds event.

Declaration

Source position: controls.pp line 1677

public procedure TControl.RemoveHandlerOnChangeBounds(

  const OnChangeBoundsEvent: TNotifyEvent

);


TControl.RemoveHandlerOnEnableChanging

Removes an OnEnabledChanged handler.

Declaration

Source position: controls.pp line 1686

public procedure TControl.RemoveHandlerOnEnableChanging(

  const OnEnableChangingEvent: TNotifyEvent

);


TControl.RemoveHandlerOnKeyDown

Removes an handler for the OnKeyDown event.

Declaration

Source position: controls.pp line 1689

public procedure TControl.RemoveHandlerOnKeyDown(

  const OnKeyDownEvent: TKeyEvent

);


TControl.RemoveHandlerOnMouseWheel

Declaration

Source position: controls.pp line 1695

public procedure TControl.RemoveHandlerOnMouseWheel(

  const OnMouseWheelEvent: TMouseWheelEvent

);


TControl.RemoveHandlerOnResize

Removes an handler for the OnResize event.

Declaration

Source position: controls.pp line 1674

public procedure TControl.RemoveHandlerOnResize(

  const OnResizeEvent: TNotifyEvent

);


TControl.RemoveHandlerOnVisibleChanged

Removes an OnVisibleChanged handler.

Declaration

Source position: controls.pp line 1683

public procedure TControl.RemoveHandlerOnVisibleChanged(

  const OnVisibleChangedEvent: TNotifyEvent

);


TControl.RemoveHandlerOnVisibleChanging

Removes an OnVisibleChanging handler.

Declaration

Source position: controls.pp line 1680

public procedure TControl.RemoveHandlerOnVisibleChanging(

  const OnVisibleChangingEvent: TNotifyEvent

);


TControl.Repaint

Immediate redraw of the control, bypassing the message queue.

Declaration

Source position: controls.pp line 1641

public procedure TControl.Repaint; virtual;


TControl.ReplaceDockedControl

Replaces a previously docked control.

Declaration

Source position: controls.pp line 1540

public function TControl.ReplaceDockedControl(

  Control: TControl;

  NewDockSite: TWinControl;

  DropControl: TControl;

  ControlSide: TAlign

):Boolean;

Arguments

Control | The control to be replaced, will be docked into NewDockSite.
NewDockSite | The new dock site for Control, typically a docking Notebook.
DropControl | The control to which Control is docked.
ControlSide | The side of DropControl, to which Control is docked.

Function result

True if the docked control has been successfully replaced.

Description

This method exists for use by an DockManager, for NoteBook docking. It should not be used in application code.

Delphi has introduced another method DockReplaceDockClient, which is used when the replaced Control is in an unmanaged docksite.

See also

TControl.ManualDock

Docks a control programmatically.


TControl.RequestAlign

Smart calling of Parent.AlignControls (very indirectly).

Declaration

Source position: controls.pp line 1311

protected procedure TControl.RequestAlign; virtual;

See also

TWinControl.AlignControls

Aligns all child controls.


TControl.Resize

Checks for changes and calls DoOnResize if needed.

Declaration

Source position: controls.pp line 1310

protected procedure TControl.Resize; virtual;


TControl.Scale96ToFont

Declaration

Source position: controls.pp line 1554

public function TControl.Scale96ToFont(

  const ASize: Integer

):Integer;


TControl.Scale96ToForm

Declaration

Source position: controls.pp line 1552

public function TControl.Scale96ToForm(

  const ASize: Integer

):Integer;


TControl.Scale96ToScreen

Declaration

Source position: controls.pp line 1558

public function TControl.Scale96ToScreen(

  const ASize: Integer

):Integer;


TControl.ScaleConstraints

Scale the minimum and maximum Width and Height.

Declaration

Source position: controls.pp line 1315

protected procedure TControl.ScaleConstraints(

  Multiplier: Integer;

  Divider: Integer

);

Description

ScaleConstraints is called during ChangeScale, you never will call it directly.


TControl.ScaleDesignToForm

Declaration

Source position: controls.pp line 1550

public function TControl.ScaleDesignToForm(

  const ASize: Integer

):Integer;


TControl.ScaleFontsPPI

Declaration

Source position: controls.pp line 1617

public procedure TControl.ScaleFontsPPI(

  const AToPPI: Integer;

  const AProportion: Double

); virtual;


TControl.ScaleFontTo96

Declaration

Source position: controls.pp line 1555

public function TControl.ScaleFontTo96(

  const ASize: Integer

):Integer;


TControl.ScaleFontToScreen

Declaration

Source position: controls.pp line 1557

public function TControl.ScaleFontToScreen(

  const ASize: Integer

):Integer;


TControl.ScaleFormTo96

Declaration

Source position: controls.pp line 1553

public function TControl.ScaleFormTo96(

  const ASize: Integer

):Integer;


TControl.ScaleFormToDesign

Declaration

Source position: controls.pp line 1551

public function TControl.ScaleFormToDesign(

  const ASize: Integer

):Integer;


TControl.ScaleScreenTo96

Declaration

Source position: controls.pp line 1559

public function TControl.ScaleScreenTo96(

  const ASize: Integer

):Integer;


TControl.ScaleScreenToFont

Declaration

Source position: controls.pp line 1556

public function TControl.ScaleScreenToFont(

  const ASize: Integer

):Integer;


TControl.ScreenToClient

Convert absolute screen coordinates into client-relative coordinates

Declaration

Source position: controls.pp line 1654

public function TControl.ScreenToClient(

  const APoint: TPoint

):TPoint; virtual;

See also

TControl.ClientToScreen

Convert client-relative coordinates into absolute screen coordinates.


TControl.ScreenToControl

Convert absolute screen coordinates into control-relative coordinates.

Declaration

Source position: controls.pp line 1656

public function TControl.ScreenToControl(

  const APoint: TPoint

):TPoint;

See also

TControl.ControlToScreen | Convert control-relative coordinates into absolute screen coordinates.
TControl.ScreenToClient | Convert absolute screen coordinates into client-relative coordinates
TControl.ClientToScreen | Convert client-relative coordinates into absolute screen coordinates.


TControl.SendMoveSizeMessages

Sends Move and Size messages through the LCL message paths.

Declaration

Source position: controls.pp line 1301

protected procedure TControl.SendMoveSizeMessages(

  SizeChanged: Boolean;

  PosChanged: Boolean

); virtual;

Description

Overridden in TWinControl, in TControl it's a NOP.

This method simulates the VCL behaviour and has no real effect.


TControl.SendToBack

Moves all sibling controls in front of this control.

Declaration

Source position: controls.pp line 1646

public procedure TControl.SendToBack;

Description

Use SendToBack to supply an specific background (image) for the Parent control.

Only those portions of the control will be visible, which are not covered by other controls.


TControl.SessionProperties

The stored (saved) properties of the current session, expressed as a string

Declaration

Source position: controls.pp line 1500

protected property TControl.SessionProperties : string
  read FSessionProperties
  write FSessionProperties;


TControl.SetBounds

Sets the bounds (left, top, width, height) of the control.

Declaration

Source position: controls.pp line 1581

public procedure TControl.SetBounds(

  aLeft: Integer;

  aTop: Integer;

  aWidth: Integer;

  aHeight: Integer

); virtual;

Arguments

aLeft | The X coordinate of the left side of the control.
aTop | The Y coordinate of the top of the control
aWidth | The width of the control.
aHeight | The height of the control.

Description

SetBounds can be used to change the left, top, width, height all at once, reducing some overhead.

Use DisableAutoSize/EnableAutoSize to reduce recomputing/moving/resizing further.

SetBounds is called when the properties Left, Top, Width, Height, or BoundsRect is set.

SetBounds updates the BaseBounds and BaseParentClientSize, which are used by anchoring to keep the distance. For example loading a Form with TMemo and the lfm contains TMemo's Left and Width, then SetBounds is called two times for the memo.

When the user maximizes a window, SetBounds is called for the form, but not for the Memo, keeping the BaseBounds of the Memo. If the Memo is anchored to the right, the Width of the Memo is changed based on the BaseBounds and BaseParentClientSize.

Keep in mind that the given aLeft, aTop, aWidth, aHeight might not be valid and will be changed by the LCL before applied.

Delphi calls SetBounds more often. SetBounds calls ChangeBounds with KeepBase=false.


TControl.SetBoundsKeepBase

Set the bounds, keeping the base values

Declaration

Source position: controls.pp line 1583

public procedure TControl.SetBoundsKeepBase(

  aLeft: Integer;

  aTop: Integer;

  aWidth: Integer;

  aHeight: Integer

); virtual;


TControl.SetInitialBounds

Sets the bounds of the control initially, when it is created.

Declaration

Source position: controls.pp line 1582

public procedure TControl.SetInitialBounds(

  aLeft: Integer;

  aTop: Integer;

  aWidth: Integer;

  aHeight: Integer

); virtual;

Arguments

aLeft | X coordinate of top left pixel
aTop | Y coordinate of top left pixel
aWidth | Width of control
aHeight | Height of control

Description

Does nothing while the control is loaded.

See also

SetBounds

Sets the bounds (left, top, width, height) of the control.


TControl.SetParentComponent

Sets the Parent property, if NewParentComponent is a TWinControl.

Declaration

Source position: controls.pp line 1446

protected procedure TControl.SetParentComponent(

  NewParentComponent: TComponent

); override;


TControl.SetTempCursor

Change the cursor shape temporarily, preserving the stored TControl.Cursor.

Declaration

Source position: controls.pp line 1647

public procedure TControl.SetTempCursor(

  Value: TCursor

); virtual;

Arguments

Value

The temporary cursor shape to use.


TControl.SetTextBuf

Updates the Text property from a PChar buffer.

Declaration

Source position: controls.pp line 1652

public procedure TControl.SetTextBuf(

  Buffer: PChar

); virtual;

Arguments

Buffer

Pointer to the buffer containing the zero-terminated text.

Description

This method only exists for Delphi compatibility.

Don't use or override it, unless really necessary.

See also

RealSetText

Sets the Caption property.


TControl.SetZOrder

Moves the control in front or back of all sibling controls.

Declaration

Source position: controls.pp line 1478

protected procedure TControl.SetZOrder(

  TopMost: Boolean

); virtual;


TControl.ShouldAutoAdjust

Declaration

Source position: controls.pp line 1615

public procedure TControl.ShouldAutoAdjust(

  var AWidth: Boolean;

  var AHeight: Boolean

); virtual;


TControl.Show

Makes the control visible, by setting Visible to True.

Declaration

Source position: controls.pp line 1661

public procedure TControl.Show;

See also

TControl.ShowControl
TControl.Visible | Allows to show or hide the control, and all of its children.
TControl.Hide | Hides this control, by setting Visible to False.


TControl.ShowHelp

Show the Help associated with this control.

Declaration

Source position: controls.pp line 1667

public procedure TControl.ShowHelp; virtual;


TControl.ShowHint

Enables the Hint display.

Declaration

Source position: controls.pp line 1732

public property TControl.ShowHint : Boolean
  read FShowHint
  write SetShowHint
  stored IsShowHintStored
  default False;

Description

When True, the Hint text is shown when the mouse hovers over the control.

Display of the actual hint is controlled by OnShowHint.

See also

Hint | The text to show in the Hint window for this control.
OnShowHint | Event Handler when a hint shall be shown.
ParentShowHint | If true, the value of ShowHint for the control will be the same as the one from the Parent. Default is true.


TControl.TBDockHeight

The Height when last docked, with siblings above or below.

Declaration

Source position: controls.pp line 1742

public property TControl.TBDockHeight : Integer
  read GetTBDockHeight
  write FTBDockHeight;


TControl.Text

The character string associated with the control.

Declaration

Source position: controls.pp line 1501

protected property TControl.Text : TCaption
  read GetText
  write SetText;

Description

This is the character string, shown in controls with visible text content (TEdit...).

Remark: BEWARE: In other controls it can be the Name or Caption of the control, quite tricky to use.

The Delphi VCL implementation stores Text mostly in the widgets, using the virtual Get/SetTextBuf methods to exchange text between widgets and VCL. This means a lot of text copies and message handling in WM_GETTEXT and WM_SETTEXT.

The LCL instead (typically) stores Text in a field of the control, and transfers it from/to the widgets only when required.

To maintain VCL compatibility, the virtual RealGet/SetText methods have been introduced, which read or write the Caption string directly.

The default Get/SetTextBuf implementation calls the RealGet/SetText methods, resulting in a string-to-PCHAR and another PCHAR-to-string conversion. But as long as Get/SetTextBuf is not overridden, Get/SetText can (and does) safely call RealGet/SetText immediately, to avoid beforementioned conversions.

To keep things optimal, LCL components should always override RealGet/SetText; Get/SetTextBuf is only kept for compatibility.


TControl.TextChanged

Handles changes of the Text property.

Declaration

Source position: controls.pp line 1438

protected procedure TControl.TextChanged; virtual;


TControl.Top

The client coordinate of the top edge of the control.

Declaration

Source position: controls.pp line 1761

published property TControl.Top : Integer
  read FTop
  write SetTop;


TControl.TripleClick

Invokes the OnTripleClick handler.

Declaration

Source position: controls.pp line 1411

protected procedure TControl.TripleClick; virtual;


TControl.UndockHeight

The height of the control in floating state.

Declaration

Source position: controls.pp line 1743

public property TControl.UndockHeight : Integer
  read GetUndockHeight
  write FUndockHeight;


TControl.UndockWidth

The width of the control in floating state.

Declaration

Source position: controls.pp line 1744

public property TControl.UndockWidth : Integer
  read GetUndockWidth
  write FUndockWidth;


TControl.Update

Redraw invalidated parts of the control immediately.

Declaration

Source position: controls.pp line 1662

public procedure TControl.Update; virtual;


TControl.UpdateAnchorRules

Update the rules for anchoring the control

Declaration

Source position: controls.pp line 1312

protected procedure TControl.UpdateAnchorRules;


TControl.UpdateBaseBounds

Update the basic boundaries of the control - essential if there has been a lot of re-sizing.

Declaration

Source position: controls.pp line 1605

public procedure TControl.UpdateBaseBounds(

  StoreBounds: Boolean;

  StoreParentClientSize: Boolean;

  UseLoadedValues: Boolean

); virtual;


TControl.UpdateMouseCursor

Show the Cursor shape, unless it's crDefault.

Declaration

Source position: controls.pp line 1420

protected procedure TControl.UpdateMouseCursor(

  X: Integer;

  Y: Integer

);


TControl.UpdateRolesForForm

Internal method, called by a Form when its DefaultControl or CancelControl has changed.

Declaration

Source position: controls.pp line 1648

public procedure TControl.UpdateRolesForForm; virtual;

Description

This method is overridden in TCustomButton, where it updates the button's Cancel and Default properties.

See also

TControl.ActiveDefaultControlChanged

Notification of a changed active DefaultControl of a form.


TControl.UseRightToLeftAlignment

True when BiDiMode is bdRightToLeft.

Declaration

Source position: controls.pp line 1746

public function TControl.UseRightToLeftAlignment: Boolean; virtual;


TControl.UseRightToLeftReading

True when BiDiMode is not bdLeftToRight.

Declaration

Source position: controls.pp line 1747

public function TControl.UseRightToLeftReading: Boolean; virtual;


TControl.UseRightToLeftScrollBar

True when scrollbars appear at the left side of the control.

Declaration

Source position: controls.pp line 1748

public function TControl.UseRightToLeftScrollBar: Boolean;


TControl.Visible

Allows to show or hide the control, and all of its children.

Declaration

Source position: controls.pp line 1733

public property TControl.Visible : Boolean
  read FVisible
  write SetVisible
  stored IsVisibleStored
  default True;

Description

Visible is set to True by Show, or to False by Hide. Calling these methods is equivalent to setting the Visible property.

Remark: Reading the Visible property does not take into account control's parent visibility. Use the IsVisible method to get the real visibility.

See also

#lcl.Controls.TControl.IsVisible | Returns True if the control is visible, including all of its Parents.
#lcl.Controls.TControl.Show | Makes the control visible, by setting Visible to True.
#lcl.Controls.TControl.Hide | Hides this control, by setting Visible to False.


TControl.VisibleChanged

Notifies all OnVisibleChanged handlers.

Declaration

Source position: controls.pp line 1464

protected procedure TControl.VisibleChanged; virtual;


TControl.VisibleChanging

Notifies all OnVisibleChanging handlers.

Declaration

Source position: controls.pp line 1463

protected procedure TControl.VisibleChanging; virtual;


TControl.Width

The horizontal extent of the control.

Declaration

Source position: controls.pp line 1762

published property TControl.Width : Integer
  read FWidth
  write SetWidth;


TControl.WidthIsAnchored

True when both the control's left and right side are anchored.

Declaration

Source position: controls.pp line 1329

protected function TControl.WidthIsAnchored: Boolean;

Function result

True if the Width varies with the Parent.Width.


TControl.WindowProc

The handler for all messages.

Declaration

Source position: controls.pp line 1734

public property TControl.WindowProc : TWndMethod
  read FWindowProc
  write FWindowProc;

Description

WindowProc is set to TControl.WndProc by default.

When you ever change WindowProc, then remember the previous setting and delegate all unhandled messages to that method.

See also

TWndMethod | Method type for WindowProc handlers.
TLMessage |
Perform | Direct call of an message handler, bypassing the message queue.


TControl.WMCancelMode

Message handler for cancel mode request.

Declaration

Source position: controls.pp line 1337

protected procedure TControl.WMCancelMode(

  var Message: TLMessage

); message;


TControl.WMContextMenu

Message handler for context menu popup request.

Declaration

Source position: controls.pp line 1338

protected procedure TControl.WMContextMenu(

  var Message: TLMContextMenu

); message;


TControl.WMLButtonDBLCLK

Message handler for left mouse button double click.

Declaration

Source position: controls.pp line 1344

protected procedure TControl.WMLButtonDBLCLK(

  var Message: TLMLButtonDblClk

); message;


TControl.WMLButtonDown

Message handler for left mouse button going down.

Declaration

Source position: controls.pp line 1340

protected procedure TControl.WMLButtonDown(

  var Message: TLMLButtonDown

); message;


TControl.WMLButtonQuadCLK

Message handler for left mouse button quadruple click.

Declaration

Source position: controls.pp line 1352

protected procedure TControl.WMLButtonQuadCLK(

  var Message: TLMLButtonQuadClk

); message;


TControl.WMLButtonTripleCLK

Message handler for left mouse button triple click.

Declaration

Source position: controls.pp line 1348

protected procedure TControl.WMLButtonTripleCLK(

  var Message: TLMLButtonTripleClk

); message;


TControl.WMLButtonUp

Message handler for left mouse button going up.

Declaration

Source position: controls.pp line 1357

protected procedure TControl.WMLButtonUp(

  var Message: TLMLButtonUp

); message;


TControl.WMMButtonDBLCLK

Message handler for middle mouse button double click.

Declaration

Source position: controls.pp line 1346

protected procedure TControl.WMMButtonDBLCLK(

  var Message: TLMMButtonDblClk

); message;


TControl.WMMButtonDown

Message handler for middle mouse button going down.

Declaration

Source position: controls.pp line 1342

protected procedure TControl.WMMButtonDown(

  var Message: TLMMButtonDown

); message;


TControl.WMMButtonQuadCLK

Message handler for middle mouse button quadruple click.

Declaration

Source position: controls.pp line 1354

protected procedure TControl.WMMButtonQuadCLK(

  var Message: TLMMButtonQuadClk

); message;


TControl.WMMButtonTripleCLK

Message handler for middle mouse button triple click.

Declaration

Source position: controls.pp line 1350

protected procedure TControl.WMMButtonTripleCLK(

  var Message: TLMMButtonTripleClk

); message;


TControl.WMMButtonUp

Message handler for middle mouse button going up.

Declaration

Source position: controls.pp line 1359

protected procedure TControl.WMMButtonUp(

  var Message: TLMMButtonUp

); message;


TControl.WMMouseHWheel

Declaration

Source position: controls.pp line 1362

protected procedure TControl.WMMouseHWheel(

  var Message: TLMMouseEvent

); message;


TControl.WMMouseMove

Message handler for mouse moved.

Declaration

Source position: controls.pp line 1356

protected procedure TControl.WMMouseMove(

  var Message: TLMMouseMove

); message;


TControl.WMMouseWheel

Declaration

Source position: controls.pp line 1361

protected procedure TControl.WMMouseWheel(

  var Message: TLMMouseEvent

); message;


TControl.WMMove

Message handler for control moved.

Declaration

Source position: controls.pp line 1363

protected procedure TControl.WMMove(

  var Message: TLMMove

); message;


TControl.WMRButtonDBLCLK

Message handler for right mouse button double click.

Declaration

Source position: controls.pp line 1345

protected procedure TControl.WMRButtonDBLCLK(

  var Message: TLMRButtonDblClk

); message;


TControl.WMRButtonDown

Message handler for right mouse button going down.

Declaration

Source position: controls.pp line 1341

protected procedure TControl.WMRButtonDown(

  var Message: TLMRButtonDown

); message;


TControl.WMRButtonQuadCLK

Message handler for right mouse button quadruple click.

Declaration

Source position: controls.pp line 1353

protected procedure TControl.WMRButtonQuadCLK(

  var Message: TLMRButtonQuadClk

); message;


TControl.WMRButtonTripleCLK

Message handler for right mouse button triple click.

Declaration

Source position: controls.pp line 1349

protected procedure TControl.WMRButtonTripleCLK(

  var Message: TLMRButtonTripleClk

); message;


TControl.WMRButtonUp

Message handler for right mouse button going up.

Declaration

Source position: controls.pp line 1358

protected procedure TControl.WMRButtonUp(

  var Message: TLMRButtonUp

); message;


TControl.WMSize

Message handler for changed control size.

Declaration

Source position: controls.pp line 1364

protected procedure TControl.WMSize(

  var Message: TLMSize

); message;


TControl.WMWindowPosChanged

Message handler for changed control position.

Declaration

Source position: controls.pp line 1365

protected procedure TControl.WMWindowPosChanged(

  var Message: TLMWindowPosChanged

); message;


TControl.WMXButtonDBLCLK

Message handler for extra mouse button double click.

Declaration

Source position: controls.pp line 1347

protected procedure TControl.WMXButtonDBLCLK(

  var Message: TLMXButtonDblClk

); message;


TControl.WMXButtonDown

Message handler for extra mouse button going down.

Declaration

Source position: controls.pp line 1343

protected procedure TControl.WMXButtonDown(

  var Message: TLMXButtonDown

); message;


TControl.WMXButtonQuadCLK

Message handler for extra mouse button quadruple click.

Declaration

Source position: controls.pp line 1355

protected procedure TControl.WMXButtonQuadCLK(

  var Message: TLMXButtonQuadClk

); message;


TControl.WMXButtonTripleCLK

Message handler for extra mouse button triple click.

Declaration

Source position: controls.pp line 1351

protected procedure TControl.WMXButtonTripleCLK(

  var Message: TLMXButtonTripleClk

); message;


TControl.WMXButtonUp

Message handler for extra mouse button going up.

Declaration

Source position: controls.pp line 1360

protected procedure TControl.WMXButtonUp(

  var Message: TLMXButtonUp

); message;


TControl.WndProc

The general message handler for this control.

Declaration

Source position: controls.pp line 1447

protected procedure TControl.WndProc(

  var TheMessage: TLMessage

); virtual;

Arguments

TheMessage

The message to handle.

Description

Preprocesses several messages, then calls Dispatch to invoke the applicable message handler.


TControl.WriteLayoutDebugReport

Used for debugging.

Declaration

Source position: controls.pp line 1610

public procedure TControl.WriteLayoutDebugReport(

  const Prefix: string

); virtual;


TControlActionLink

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Links an Action to a control.

Declaration

Source position: controls.pp line 902

type TControlActionLink = class(TActionLink)
protected
FClient: TControl; | The client control that is linked to the action.
procedure AssignClient(); override; | Called during construction, sets FClient to the given control.
procedure SetCaption(); override; | Sets the client's Caption, if the old values match.
procedure SetEnabled(); override; | Sets client's Enabled, if the old values match.
procedure SetHint(); override; | Sets client's Hint, if the old values match.
procedure SetHelpContext(); override; | Sets client's HelpContext, if the old Help properties match (IsHelpLinked).
procedure SetHelpKeyword(); override; | Sets client's HelpKeyword, if the old Help properties match (IsHelpLinked).
procedure SetHelpType(); override; | Sets client's HelpType, if the old Help properties match (IsHelpLinked).
procedure SetVisible(); override; | Sets client's Visible, if the old values match.
procedure SetOnExecute(); override; | Set client's OnClick, if the old values match.
function IsOnExecuteLinked; override; | True if the client's OnClick is the action's OnExecute handler.
function DoShowHint(); virtual; | Compose the hint string, depending on HintShortCuts.
public
function IsCaptionLinked; override; | Is the action's Caption linked to the client?
function IsEnabledLinked; override; | Is the action's Enabled property linked to the client?
function IsHelpLinked; override; | Is the action's Help property linked to the client?
function IsHintLinked; override; | Is the action's Hint property linked to the client?
function IsVisibleLinked; override; | Is the action's Visible property linked to the client?
end;

Inheritance

TControlActionLink | Links an Action to a control.
|
TActionLink | A link between an action and a client class
|
TBasicActionLink
|
TObject

Description

An ActionLink is created by a control, when an Action is assigned to the control. TControl.Action effectively becomes control.ActionLink.Action.

The ActionLink propagates changes of Action properties to the client control. It's assumed that properties of the same value (in the Control and Action) are linked to the Action, and follow changes to the Action properties.

Linked control properties are (by default):

  • Caption
  • Enabled
  • Hint
  • HelpContext, HelpKeyword, HelpType: these are linked only if all three property values match.
  • Visible
  • OnClick is linked to Action.Execute

The control can update itself, when it receives a Change notification from the ActionLink TControl.ActionChange.


TControlActionLink

TActionLink

TBasicActionLink

Action

TObject


TControlActionLink
pt | AssignClient
pt | SetCaption
pt | SetEnabled
pt | SetHint
pt | SetHelpContext
pt | SetHelpKeyword
pt | SetHelpType
pt | SetVisible
pt | SetOnExecute
pt | IsOnExecuteLinked
pt | DoShowHint
 | IsCaptionLinked
 | IsEnabledLinked
 | IsHelpLinked
 | IsHintLinked
 | IsVisibleLinked
TActionLink
pt | SetAutoCheck
pt | SetCaption
pt | SetChecked
pt | SetEnabled
pt | SetGroupIndex
pt | SetHelpContext
pt | SetHelpKeyword
pt | SetHelpType
pt | SetHint
pt | SetImageIndex
pt | SetShortCut
pt | SetVisible
 | IsCaptionLinked
 | IsCheckedLinked
 | IsEnabledLinked
 | IsGroupIndexLinked
 | IsHelpContextLinked
 | IsHelpLinked
 | IsHintLinked
 | IsImageIndexLinked
 | IsShortCutLinked
 | IsVisibleLinked
TBasicActionLink
 | AssignClient
 | Change
 | IsOnExecuteLinked
 | SetAction
 | SetOnExecute
 | Create
 | Destroy
 | Execute
 | Update
TObject
 | Create
 | Destroy
 | newinstance
 | FreeInstance
 | SafeCallException
 | DefaultHandler
 | Free
 | InitInstance
 | CleanupInstance
 | ClassType
 | ClassInfo
 | ClassName
 | ClassNameIs
 | ClassParent
 | InstanceSize
 | InheritsFrom
 | StringMessageTable
 | MethodAddress
 | MethodName
 | FieldAddress
 | AfterConstruction
 | BeforeDestruction
 | DefaultHandlerStr
 | Dispatch
 | DispatchStr
 | GetInterface
 | GetInterfaceByStr
 | GetInterfaceWeak
 | GetInterfaceEntry
 | GetInterfaceEntryByStr
 | GetInterfaceTable
 | UnitName
 | Equals
 | GetHashCode
 | ToString


 | AssignClient (TBasicActionLink)
pt | AssignClient (TControlActionLink)
 | BeforeDestruction (TObject)
 | Change (TBasicActionLink)
 | ClassInfo (TObject)
 | ClassName (TObject)
 | ClassNameIs (TObject)
 | ClassParent (TObject)
 | ClassType (TObject)
 | CleanupInstance (TObject)
 | Create (TObject)
 | Create (TBasicActionLink)
 | DefaultHandler (TObject)
 | DefaultHandlerStr (TObject)
 | Destroy (TObject)
 | Destroy (TBasicActionLink)
 | Dispatch (TObject)
 | DispatchStr (TObject)
pt | DoShowHint (TControlActionLink)
 | Equals (TObject)
 | Execute (TBasicActionLink)
 | FieldAddress (TObject)
 | Free (TObject)
 | FreeInstance (TObject)
 | GetHashCode (TObject)
 | GetInterface (TObject)
 | GetInterfaceByStr (TObject)
 | GetInterfaceEntry (TObject)
 | GetInterfaceEntryByStr (TObject)
 | GetInterfaceTable (TObject)
 | GetInterfaceWeak (TObject)
 | InheritsFrom (TObject)
 | InitInstance (TObject)
 | InstanceSize (TObject)
 | IsCaptionLinked (TActionLink)
 | IsCaptionLinked (TControlActionLink)
 | IsCheckedLinked (TActionLink)
 | IsEnabledLinked (TActionLink)
 | IsEnabledLinked (TControlActionLink)
 | IsGroupIndexLinked (TActionLink)
 | IsHelpContextLinked (TActionLink)
 | IsHelpLinked (TActionLink)
 | IsHelpLinked (TControlActionLink)
 | IsHintLinked (TActionLink)
 | IsHintLinked (TControlActionLink)
 | IsImageIndexLinked (TActionLink)
 | IsOnExecuteLinked (TBasicActionLink)
pt | IsOnExecuteLinked (TControlActionLink)
 | IsShortCutLinked (TActionLink)
 | IsVisibleLinked (TActionLink)
 | IsVisibleLinked (TControlActionLink)
 | MethodAddress (TObject)
 | MethodName (TObject)
 | newinstance (TObject)
 | SafeCallException (TObject)
 | SetAction (TBasicActionLink)
pt | SetAutoCheck (TActionLink)
pt | SetCaption (TActionLink)
pt | SetCaption (TControlActionLink)
pt | SetChecked (TActionLink)
pt | SetEnabled (TActionLink)
pt | SetEnabled (TControlActionLink)
pt | SetGroupIndex (TActionLink)
pt | SetHelpContext (TActionLink)
pt | SetHelpContext (TControlActionLink)
pt | SetHelpKeyword (TActionLink)
pt | SetHelpKeyword (TControlActionLink)
pt | SetHelpType (TActionLink)
pt | SetHelpType (TControlActionLink)
pt | SetHint (TActionLink)
pt | SetHint (TControlActionLink)
pt | SetImageIndex (TActionLink)
 | SetOnExecute (TBasicActionLink)
pt | SetOnExecute (TControlActionLink)
pt | SetShortCut (TActionLink)
pt | SetVisible (TActionLink)
pt | SetVisible (TControlActionLink)
 | StringMessageTable (TObject)
 | ToString (TObject)
 | UnitName (TObject)
 | Update (TBasicActionLink)


TControlActionLink

TActionLink

TBasicActionLink

OnChange

TObject


TControlActionLink.DoShowHint

Compose the hint string, depending on HintShortCuts.

Declaration

Source position: controls.pp line 915

protected function TControlActionLink.DoShowHint(

  var HintStr: string

):Boolean; virtual;

Arguments

HintStr

The hint to show.

Function result

Always True.

See also

#LCL.Forms.TApplication.HintShortCuts

Enables the display of keyboard shortcuts (e.g. on menu entries).


TControlActionLink.FClient

The client control that is linked to the action.

Declaration

Source position: controls.pp line 904

protected TControlActionLink.FClient : TControl;

Description

It can be assumed that FClient is not Nil.


TControlActionLink.IsOnExecuteLinked

True if the client's OnClick is the action's OnExecute handler.

Declaration

Source position: controls.pp line 914

protected function TControlActionLink.IsOnExecuteLinked: Boolean; override;


TControlActionLink.SetCaption

Sets the client's Caption, if the old values match.

Declaration

Source position: controls.pp line 906

protected procedure TControlActionLink.SetCaption(

  const Value: string

); override;

See also

TActionLink.SetCaption

SetCaption - specifies the string to be used as caption


TControlActionLink.SetEnabled

Sets client's Enabled, if the old values match.

Declaration

Source position: controls.pp line 907

protected procedure TControlActionLink.SetEnabled(

  Value: Boolean

); override;


TControlActionLink.SetHelpContext

Sets client's HelpContext, if the old Help properties match (IsHelpLinked).

Declaration

Source position: controls.pp line 909

protected procedure TControlActionLink.SetHelpContext(

  Value: THelpContext

); override;


TControlActionLink.SetHelpKeyword

Sets client's HelpKeyword, if the old Help properties match (IsHelpLinked).

Declaration

Source position: controls.pp line 910

protected procedure TControlActionLink.SetHelpKeyword(

  const Value: string

); override;


TControlActionLink.SetHelpType

Sets client's HelpType, if the old Help properties match (IsHelpLinked).

Declaration

Source position: controls.pp line 911

protected procedure TControlActionLink.SetHelpType(

  Value: THelpType

); override;


TControlActionLink.SetHint

Sets client's Hint, if the old values match.

Declaration

Source position: controls.pp line 908

protected procedure TControlActionLink.SetHint(

  const Value: string

); override;


TControlActionLink.SetOnExecute

Set client's OnClick, if the old values match.

Declaration

Source position: controls.pp line 913

protected procedure TControlActionLink.SetOnExecute(

  Value: TNotifyEvent

); override;


TControlActionLink.SetVisible

Sets client's Visible, if the old values match.

Declaration

Source position: controls.pp line 912

protected procedure TControlActionLink.SetVisible(

  Value: Boolean

); override;


TControlActionLinkClass

Class of TControlActionLink.

Declaration

Source position: controls.pp line 924

type TControlActionLinkClass = class of TControlActionLink;


TControlBorderSpacing

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Describes the (minimum) spacing around a control.

Declaration

Source position: controls.pp line 749

type TControlBorderSpacing = class(TPersistent)
protected
procedure Change(); virtual; | Invalidates the control, and invokes the OnChange handler.
public
constructor Create();
procedure Assign(); override;
procedure AssignTo(); override;
function IsEqual(); | True if the specified spacing equals the current settings.
procedure GetSpaceAround(); virtual; | Returns the bounds with added Around space.
function GetSideSpace(); | The space on a control side, including Around space.
function GetSpace(); virtual;
procedure AutoAdjustLayout();
property Control: TControl; [r] | The control to which this border spacing applies.
property Space []: Integer; [rw] | Kind of array access to the space at every side.
property AroundLeft: Integer; [r]
property AroundTop: Integer; [r]
property AroundRight: Integer; [r]
property AroundBottom: Integer; [r]
property ControlLeft: Integer; [r]
property ControlTop: Integer; [r]
property ControlWidth: Integer; [r]
property ControlHeight: Integer; [r]
property ControlRight: Integer; [r]
property ControlBottom: Integer; [r]
published
property OnChange: TNotifyEvent; [rw] | Event handler for a change in border spacing.
property Left: TSpacingSize; [rws] | The space at the left border.
property Top: TSpacingSize; [rws] | The space at the top border.
property Right: TSpacingSize; [rws] | The space at the right border.
property Bottom: TSpacingSize; [rws] | The space at the bottom border.
property Around: TSpacingSize; [rws] | The space to add to every side's individual space.
property InnerBorder: Integer; [rws] | Space added to the widget's preferred size.
property CellAlignHorizontal: TControlCellAlign; [rw] | The horizontal alignment inside a table cell.
property CellAlignVertical: TControlCellAlign; [rw] | The vertical alignment inside a table cell.
end;

Inheritance

TControlBorderSpacing

Describes the (minimum) spacing around a control.
|

TPersistent,IFPObserved
|

TObject

Description

TControlBorderSpacing defines the spacing around a control. The spacing around its children and between its children is defined in TWinControl.ChildSizing.

Left, Top, Right, Bottom: integer;
        minimum space left to the autosized control.
        For example: Control A lies left of control B.
        A has borderspacing Right=10 and B has borderspacing Left=5.
        Then A and B will have a minimum space of 10 between.

    Around: integer;
        same as Left, Top, Right and Bottom all at once. This will be added to
        the effective Left, Top, Right and Bottom.
        Example: Left=3 and Around=5 results in a minimum spacing to the left
        of 8.

    InnerBorder: integer;
        This is added to the preferred size.
        For example: A buttons widget returns 75x25 on GetPreferredSize.
        CalculatePreferredSize adds 2 times the InnerBorder to the width and
        height.

    CellAlignHorizontal, CellAlignVertical: TControlCellAlign;
        Used for example when the Parents.ChildSizing.Layout defines a table
        layout.


TControlBorderSpacing
 | ro | Control
 |  | Space
 | ro | AroundLeft
 | ro | AroundTop
 | ro | AroundRight
 | ro | AroundBottom
 | ro | ControlLeft
 | ro | ControlTop
 | ro | ControlWidth
 | ro | ControlHeight
 | ro | ControlRight
 | ro | ControlBottom
pl |  | Left
pl |  | Top
pl |  | Right
pl |  | Bottom
pl |  | Around
pl |  | InnerBorder
pl |  | CellAlignHorizontal
pl |  | CellAlignVertical
TPersistent
TObject


pl |  | Around (TControlBorderSpacing)
 | ro | AroundBottom (TControlBorderSpacing)
 | ro | AroundLeft (TControlBorderSpacing)
 | ro | AroundRight (TControlBorderSpacing)
 | ro | AroundTop (TControlBorderSpacing)
pl |  | Bottom (TControlBorderSpacing)
pl |  | CellAlignHorizontal (TControlBorderSpacing)
pl |  | CellAlignVertical (TControlBorderSpacing)
 | ro | Control (TControlBorderSpacing)
 | ro | ControlBottom (TControlBorderSpacing)
 | ro | ControlHeight (TControlBorderSpacing)
 | ro | ControlLeft (TControlBorderSpacing)
 | ro | ControlRight (TControlBorderSpacing)
 | ro | ControlTop (TControlBorderSpacing)
 | ro | ControlWidth (TControlBorderSpacing)
pl |  | InnerBorder (TControlBorderSpacing)
pl |  | Left (TControlBorderSpacing)
pl |  | Right (TControlBorderSpacing)
 |  | Space (TControlBorderSpacing)
pl |  | Top (TControlBorderSpacing)


TControlBorderSpacing
pt | Change
 | Create
 | Assign
 | AssignTo
 | IsEqual
 | GetSpaceAround
 | GetSideSpace
 | GetSpace
 | AutoAdjustLayout
TPersistent
 | AssignError
 | AssignTo
 | DefineProperties
 | GetOwner
 | Destroy
 | Assign
 | FPOAttachObserver
 | FPODetachObserver
 | FPONotifyObservers
 | GetNamePath
TObject
 | Create
 | Destroy
 | newinstance
 | FreeInstance
 | SafeCallException
 | DefaultHandler
 | Free
 | InitInstance
 | CleanupInstance
 | ClassType
 | ClassInfo
 | ClassName
 | ClassNameIs
 | ClassParent
 | InstanceSize
 | InheritsFrom
 | StringMessageTable
 | MethodAddress
 | MethodName
 | FieldAddress
 | AfterConstruction
 | BeforeDestruction
 | DefaultHandlerStr
 | Dispatch
 | DispatchStr
 | GetInterface
 | GetInterfaceByStr
 | GetInterfaceWeak
 | GetInterfaceEntry
 | GetInterfaceEntryByStr
 | GetInterfaceTable
 | UnitName
 | Equals
 | GetHashCode
 | ToString


 | AssignError (TPersistent)
 | AssignTo (TPersistent)
 | AssignTo (TControlBorderSpacing)
 | AutoAdjustLayout (TControlBorderSpacing)
 | BeforeDestruction (TObject)
pt | Change (TControlBorderSpacing)
 | ClassInfo (TObject)
 | ClassName (TObject)
 | ClassNameIs (TObject)
 | ClassParent (TObject)
 | ClassType (TObject)
 | CleanupInstance (TObject)
 | Create (TObject)
 | Create (TControlBorderSpacing)
 | DefaultHandler (TObject)
 | DefaultHandlerStr (TObject)
 | DefineProperties (TPersistent)
 | Destroy (TObject)
 | Destroy (TPersistent)
 | Dispatch (TObject)
 | DispatchStr (TObject)
 | Equals (TObject)
 | FieldAddress (TObject)
 | FPOAttachObserver (TPersistent)
 | FPODetachObserver (TPersistent)
 | FPONotifyObservers (TPersistent)
 | Free (TObject)
 | FreeInstance (TObject)
 | GetHashCode (TObject)
 | GetInterface (TObject)
 | GetInterfaceByStr (TObject)
 | GetInterfaceEntry (TObject)
 | GetInterfaceEntryByStr (TObject)
 | GetInterfaceTable (TObject)
 | GetInterfaceWeak (TObject)
 | GetNamePath (TPersistent)
 | GetOwner (TPersistent)
 | GetSideSpace (TControlBorderSpacing)
 | GetSpace (TControlBorderSpacing)
 | GetSpaceAround (TControlBorderSpacing)
 | InheritsFrom (TObject)
 | InitInstance (TObject)
 | InstanceSize (TObject)
 | IsEqual (TControlBorderSpacing)
 | MethodAddress (TObject)
 | MethodName (TObject)
 | newinstance (TObject)
 | SafeCallException (TObject)
 | StringMessageTable (TObject)
 | ToString (TObject)
 | UnitName (TObject)


TControlBorderSpacing

pl

OnChange

TPersistent

TObject


pl

OnChange (TControlBorderSpacing)


TControlBorderSpacing.Around

The space to add to every side's individual space.

Declaration

Source position: controls.pp line 817

published property TControlBorderSpacing.Around : TSpacingSize
  read FAround
  write SetAround
  stored IsAroundStored;


TControlBorderSpacing.AroundBottom

Declaration

Source position: controls.pp line 804

public property TControlBorderSpacing.AroundBottom : Integer
  read GetAroundBottom;


TControlBorderSpacing.AroundLeft

Declaration

Source position: controls.pp line 801

public property TControlBorderSpacing.AroundLeft : Integer
  read GetAroundLeft;


TControlBorderSpacing.AroundRight

Declaration

Source position: controls.pp line 803

public property TControlBorderSpacing.AroundRight : Integer
  read GetAroundRight;


TControlBorderSpacing.AroundTop

Declaration

Source position: controls.pp line 802

public property TControlBorderSpacing.AroundTop : Integer
  read GetAroundTop;


TControlBorderSpacing.AutoAdjustLayout

Declaration

Source position: controls.pp line 797

public procedure TControlBorderSpacing.AutoAdjustLayout(

  const AXProportion: Double;

  const AYProportion: Double

);


TControlBorderSpacing.Bottom

The space at the bottom border.

Declaration

Source position: controls.pp line 816

published property TControlBorderSpacing.Bottom : TSpacingSize
  read FBottom
  write SetBottom
  stored IsBottomStored;


TControlBorderSpacing.CellAlignHorizontal

The horizontal alignment inside a table cell.

Declaration

Source position: controls.pp line 819

published property TControlBorderSpacing.CellAlignHorizontal : TControlCellAlign
  read FCellAlignHorizontal
  write SetCellAlignHorizontal
  default ccaFill;


TControlBorderSpacing.CellAlignVertical

The vertical alignment inside a table cell.

Declaration

Source position: controls.pp line 820

published property TControlBorderSpacing.CellAlignVertical : TControlCellAlign
  read FCellAlignVertical
  write SetCellAlignVertical
  default ccaFill;


TControlBorderSpacing.Change

Invalidates the control, and invokes the OnChange handler.

Declaration

Source position: controls.pp line 788

protected procedure TControlBorderSpacing.Change(

  InnerSpaceChanged: Boolean

); virtual;

Arguments

InnerSpaceChanged

currently ignored (distinction no more required).


TControlBorderSpacing.Control

The control to which this border spacing applies.

Declaration

Source position: controls.pp line 799

public property TControlBorderSpacing.Control : TControl
  read FControl;


TControlBorderSpacing.ControlBottom

Declaration

Source position: controls.pp line 810

public property TControlBorderSpacing.ControlBottom : Integer
  read GetControlBottom;


TControlBorderSpacing.ControlHeight

Declaration

Source position: controls.pp line 808

public property TControlBorderSpacing.ControlHeight : Integer
  read GetControlHeight;


TControlBorderSpacing.ControlLeft

Declaration

Source position: controls.pp line 805

public property TControlBorderSpacing.ControlLeft : Integer
  read GetControlLeft;


TControlBorderSpacing.ControlRight

Declaration

Source position: controls.pp line 809

public property TControlBorderSpacing.ControlRight : Integer
  read GetControlRight;


TControlBorderSpacing.ControlTop

Declaration

Source position: controls.pp line 806

public property TControlBorderSpacing.ControlTop : Integer
  read GetControlTop;


TControlBorderSpacing.ControlWidth

Declaration

Source position: controls.pp line 807

public property TControlBorderSpacing.ControlWidth : Integer
  read GetControlWidth;


TControlBorderSpacing.Create

Declaration

Source position: controls.pp line 790

public constructor TControlBorderSpacing.Create(

  OwnerControl: TControl;

  ADefault: PControlBorderSpacingDefault = Nil

);

Arguments

OwnerControl | The associated control.
ADefault | Pointer to an record with default settings; can be Nil for all zero defaults.


TControlBorderSpacing.GetSideSpace

The space on a control side, including Around space.

Declaration

Source position: controls.pp line 795

public function TControlBorderSpacing.GetSideSpace(

  Kind: TAnchorKind

):Integer;

Arguments

Kind

The requested edge.

Function result

The space value.

See also

TControlBorderSpacing.GetSpace


TControlBorderSpacing.GetSpaceAround

Returns the bounds with added Around space.

Declaration

Source position: controls.pp line 794

public procedure TControlBorderSpacing.GetSpaceAround(

  var SpaceAround: TRect

); virtual;

Arguments

SpaceAround

Out parameter, initial contents are ignored!


TControlBorderSpacing.InnerBorder

Space added to the widget's preferred size.

Declaration

Source position: controls.pp line 818

published property TControlBorderSpacing.InnerBorder : Integer
  read FInnerBorder
  write SetInnerBorder
  stored IsInnerBorderStored
  default 0;

Description

When calculating the preferred size of control, the LCL asks the widget first.

When the widget returns a preferred size, e.g. a TButton widget, then the InnerBorder is added twice to this size - e.g. to the Height for top and bottom space.

If the widget does not return a preferred size, the InnerBorder has no effect.


TControlBorderSpacing.IsEqual

True if the specified spacing equals the current settings.

Declaration

Source position: controls.pp line 793

public function TControlBorderSpacing.IsEqual(

  Spacing: TControlBorderSpacing

):Boolean;


TControlBorderSpacing.Left

The space at the left border.

Declaration

Source position: controls.pp line 813

published property TControlBorderSpacing.Left : TSpacingSize
  read FLeft
  write SetLeft
  stored IsLeftStored;


TControlBorderSpacing.OnChange

Event handler for a change in border spacing.

Declaration

Source position: controls.pp line 812

published property TControlBorderSpacing.OnChange : TNotifyEvent
  read FOnChange
  write FOnChange;


TControlBorderSpacing.Right

The space at the right border.

Declaration

Source position: controls.pp line 815

published property TControlBorderSpacing.Right : TSpacingSize
  read FRight
  write SetRight
  stored IsRightStored;


TControlBorderSpacing.Space

Kind of array access to the space at every side.

Declaration

Source position: controls.pp line 800

public property TControlBorderSpacing.Space[Kind: TAnchorKind] : Integer
  read GetSpace
  write SetSpace;


TControlBorderSpacing.Top

The space at the top border.

Declaration

Source position: controls.pp line 814

published property TControlBorderSpacing.Top : TSpacingSize
  read FTop
  write SetTop
  stored IsTopStored;


TControlBorderSpacingDefault

Defines the default values for TControlBorderSpacing.

Declaration

Source position: controls.pp line 737

type TControlBorderSpacingDefault = record

  Left: TSpacingSize;

  Top: TSpacingSize;

  Right: TSpacingSize;

  Bottom: TSpacingSize;

  Around: TSpacingSize;

end;


TControlCanvas

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

The base class for the canvas property of several graphic controls, such as TGraphicControl and TCustomControl

Declaration

Source position: controls.pp line 304

type TControlCanvas = class(TCanvas)
protected
procedure CreateHandle; override; | CreateHandle - greates a new Handle for the Canvas
function GetDefaultColor(); override;
public
constructor Create;
destructor Destroy; override;
procedure FreeHandle; override; | FreeHandle - release a Handle
function ControlIsPainting; |
property Control: TControl; [rw] | The Control object for which this is the Canvas.
end;

Inheritance

TControlCanvas | The base class for the canvas property of several graphic controls, such as TGraphicControl and TCustomControl
|
TCanvas | TCanvas represents a drawing surface which might be attached to a visual control which might be displayed on the screen or to an offscreen bitmap. It contains a number of drawing functions.
|
TFPCustomCanvas
?
TObject

Description

[provide usable links on the methods]

See also

TGraphicControl | TGraphicControl is the base class for all lightweight controls.
TCustomControl | The base class for windowed controls which paint themselves.
TCanvas | TCanvas represents a drawing surface which might be attached to a visual control which might be displayed on the screen or to an offscreen bitmap. It contains a number of drawing functions.


TControlCanvas
 |  | Control
TCanvas
 |  | Pixels
 |  | Handle
 |  | TextStyle
pl |  | AntialiasingMode
pl |  | AutoRedraw
pl |  | Brush
pl |  | CopyMode
pl |  | Font
pl | ro | Height
pl |  | Pen
pl |  | Region
pl | ro | Width


pl |  | AntialiasingMode (TCanvas)
pl |  | AutoRedraw (TCanvas)
pl |  | Brush (TCanvas)
 |  | Control (TControlCanvas)
pl |  | CopyMode (TCanvas)
pl |  | Font (TCanvas)
 |  | Handle (TCanvas)
pl | ro | Height (TCanvas)
pl |  | Pen (TCanvas)
 |  | Pixels (TCanvas)
pl |  | Region (TCanvas)
 |  | TextStyle (TCanvas)
pl | ro | Width (TCanvas)


TControlCanvas
pt | CreateHandle
pt | GetDefaultColor
 | Create
 | Destroy
 | FreeHandle
 | ControlIsPainting
TCanvas
pt | DoCreateDefaultFont
pt | DoCreateDefaultPen
pt | DoCreateDefaultBrush
pt | SetColor
pt | GetColor
pt | SetHeight
pt | GetHeight
pt | SetWidth
pt | GetWidth
pt | SetPenPos
pt | DoLockCanvas
pt | DoUnlockCanvas
pt | DoTextOut
pt | DoGetTextSize
pt | DoGetTextHeight
pt | DoGetTextWidth
pt | DoRectangle
pt | DoRectangleFill
pt | DoRectangleAndFill
pt | DoEllipse
pt | DoEllipseFill
pt | DoEllipseAndFill
pt | DoPolygon
pt | DoPolygonFill
pt | DoPolygonAndFill
pt | DoPolyline
pt | DoPolyBezier
pt | DoFloodFill
pt | DoMoveTo
pt | DoLineTo
pt | DoLine
pt | DoCopyRect
pt | DoDraw
pt | CheckHelper
pt | GetDefaultColor
pt | GetClipRect
pt | SetClipRect
pt | GetClipping
pt | SetClipping
pt | GetPixel
pt | CreateBrush
pt | CreateFont
pt | CreateHandle
pt | CreatePen
pt | CreateRegion
pt | DeselectHandles
pt | PenChanging
pt | FontChanging
pt | BrushChanging
pt | RegionChanging
pt | RealizeAutoRedraw
pt | RealizeAntialiasing
pt | RequiredState
pt | SetHandle
pt | SetInternalPenPos
pt | SetPixel
pt | FreeHandle
 | Create
 | Destroy
 | Lock
 | TryLock
 | Unlock
 | Refresh
 | Changing
 | Changed
 | SaveHandleState
 | RestoreHandleState
 | Arc
 | ArcTo
 | AngleArc
 | BrushCopy
 | Chord
 | CopyRect
 | Draw
 | DrawFocusRect
 | StretchDraw
 | Ellipse
 | FillRect
 | FloodFill
 | Frame3D
 | Frame
 | FrameRect
 | GetTextMetrics
 | GradientFill
 | RadialPie
 | Pie
 | PolyBezier
 | Polygon
 | Polyline
 | Rectangle
 | RoundRect
 | TextOut
 | TextRect
 | TextExtent
 | TextHeight
 | TextWidth
 | TextFitInfo
 | HandleAllocated
 | GetUpdatedHandle


pt | BrushChanging (TCanvas)
 | BrushCopy (TCanvas)
 | Changed (TCanvas)
 | Changing (TCanvas)
pt | CheckHelper (TCanvas)
 | Chord (TCanvas)
 | ControlIsPainting (TControlCanvas)
 | CopyRect (TCanvas)
 | Create (TCanvas)
 | Create (TControlCanvas)
pt | CreateBrush (TCanvas)
pt | CreateFont (TCanvas)
pt | CreateHandle (TCanvas)
pt | CreateHandle (TControlCanvas)
pt | CreatePen (TCanvas)
pt | CreateRegion (TCanvas)
pt | DeselectHandles (TCanvas)
 | Destroy (TCanvas)
 | Destroy (TControlCanvas)
pt | DoCopyRect (TCanvas)
pt | DoCreateDefaultBrush (TCanvas)
pt | DoCreateDefaultFont (TCanvas)
pt | DoCreateDefaultPen (TCanvas)
pt | DoDraw (TCanvas)
pt | DoEllipse (TCanvas)
pt | DoEllipseAndFill (TCanvas)
pt | DoEllipseFill (TCanvas)
pt | DoFloodFill (TCanvas)
pt | DoGetTextHeight (TCanvas)
pt | DoGetTextSize (TCanvas)
pt | DoGetTextWidth (TCanvas)
pt | DoLine (TCanvas)
pt | DoLineTo (TCanvas)
pt | DoLockCanvas (TCanvas)
pt | DoMoveTo (TCanvas)
pt | DoPolyBezier (TCanvas)
pt | DoPolygon (TCanvas)
pt | DoPolygonAndFill (TCanvas)
pt | DoPolygonFill (TCanvas)
pt | DoPolyline (TCanvas)
pt | DoRectangle (TCanvas)
pt | DoRectangleAndFill (TCanvas)
pt | DoRectangleFill (TCanvas)
pt | DoTextOut (TCanvas)
pt | DoUnlockCanvas (TCanvas)
 | Draw (TCanvas)
 | DrawFocusRect (TCanvas)
 | Ellipse (TCanvas)
 | FillRect (TCanvas)
 | FloodFill (TCanvas)
pt | FontChanging (TCanvas)
 | Frame (TCanvas)
 | Frame3D (TCanvas)
 | FrameRect (TCanvas)
pt | FreeHandle (TCanvas)
 | FreeHandle (TControlCanvas)
pt | GetClipping (TCanvas)
pt | GetClipRect (TCanvas)
pt | GetColor (TCanvas)
pt | GetDefaultColor (TCanvas)
pt | GetDefaultColor (TControlCanvas)
pt | GetHeight (TCanvas)
pt | GetPixel (TCanvas)
 | GetTextMetrics (TCanvas)
 | GetUpdatedHandle (TCanvas)
pt | GetWidth (TCanvas)
 | GradientFill (TCanvas)
 | HandleAllocated (TCanvas)
 | Lock (TCanvas)
pt | PenChanging (TCanvas)
 | Pie (TCanvas)
 | PolyBezier (TCanvas)
 | Polygon (TCanvas)
 | Polyline (TCanvas)
 | RadialPie (TCanvas)
pt | RealizeAntialiasing (TCanvas)
pt | RealizeAutoRedraw (TCanvas)
 | Rectangle (TCanvas)
 | Refresh (TCanvas)
pt | RegionChanging (TCanvas)
pt | RequiredState (TCanvas)
 | RestoreHandleState (TCanvas)
 | RoundRect (TCanvas)
 | SaveHandleState (TCanvas)
pt | SetClipping (TCanvas)
pt | SetClipRect (TCanvas)
pt | SetColor (TCanvas)
pt | SetHandle (TCanvas)
pt | SetHeight (TCanvas)
pt | SetInternalPenPos (TCanvas)
pt | SetPenPos (TCanvas)
pt | SetPixel (TCanvas)
pt | SetWidth (TCanvas)
 | StretchDraw (TCanvas)
 | TextExtent (TCanvas)
 | TextFitInfo (TCanvas)
 | TextHeight (TCanvas)
 | TextOut (TCanvas)
 | TextRect (TCanvas)
 | TextWidth (TCanvas)
 | TryLock (TCanvas)
 | Unlock (TCanvas)


TControlCanvas
TCanvas
pl | OnChange
pl | OnChanging


pl | OnChange (TCanvas)
pl | OnChanging (TCanvas)


TControlCanvas.Control

The Control object for which this is the Canvas.

Declaration

Source position: controls.pp line 318

public property TControlCanvas.Control : TControl
  read FControl
  write SetControl;


TControlCanvas.ControlIsPainting

Declaration

Source position: controls.pp line 317

public function TControlCanvas.ControlIsPainting: Boolean;


TControlCanvas.Create

Declaration

Source position: controls.pp line 314

public constructor TControlCanvas.Create;


TControlCanvas.Destroy

Declaration

Source position: controls.pp line 315

public destructor TControlCanvas.Destroy; override;


TControlCanvas.GetDefaultColor

Declaration

Source position: controls.pp line 312

protected function TControlCanvas.GetDefaultColor(

  const ADefaultColorType: TDefaultColorType

):TColor; override;


TControlChildSizing

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

How Child controls are to be sized relative to parent.

Declaration

Source position: controls.pp line 1870

type TControlChildSizing = class(TPersistent)
protected
procedure Change; virtual; | Notifies Control and invokes the OnChange handler.
public
constructor Create();
procedure Assign(); override;
procedure AssignTo(); override;
function IsEqual(); | True if the specified sizing is equal to this one.
procedure SetGridSpacing(); | Set all spaceing to the same value.
property Control: TWinControl; [r] | The Control to which childsizing applies.
property OnChange: TNotifyEvent; [rw] | Event handler for any change in the data.
published
property LeftRightSpacing: Integer; [rw] | Minimum distance between children and client border.
property TopBottomSpacing: Integer; [rw] | Minimum distance between children and client border.
property HorizontalSpacing: Integer; [rw] | Minimum space between children.
property VerticalSpacing: Integer; [rw] | Minimum space between children.
property EnlargeHorizontal: TChildControlResizeStyle; [rw] | Various ways to fit controls into the available Width.
property EnlargeVertical: TChildControlResizeStyle; [rw] | Various ways to fit controls into the available Height.
property ShrinkHorizontal: TChildControlResizeStyle; [rw] | Various ways to fit controls into the available Width.
property ShrinkVertical: TChildControlResizeStyle; [rw] | Various ways to fit controls into the available Height.
property Layout: TControlChildrenLayout; [rw] | Allows to also arrange the child controls in rows or columns.
property ControlsPerLine: Integer; [rw] | number of controls per line
end;

Inheritance

TControlChildSizing

How Child controls are to be sized relative to parent.
|

TPersistent,IFPObserved
|

TObject

Description

{ LeftRightSpacing, TopBottomSpacing: integer;
        minimum space between client border and nearest child control.
        For example: ClientLeftRight=5 means leftmost child's Left position is at least 5.

    HorizontalSpacing, VerticalSpacing: integer;
        minimum space between each child control.
  }

  {   Defines how child controls are resized/aligned.

      cesAnchorAligning, cssAnchorAligning
        Anchors and Align work like Delphi. For example if Anchors property of
        the control is [akLeft], it means fixed distance between left border of
        parent's client area. [akRight] means fixed distance between right
        border of the control and the right border of the parent's client area.
        When the parent is resized the child is moved to keep the distance.
        [akLeft,akRight] means fixed distance to left border and fixed distance
        to right border. When the parent is resized, the controls width is
        changed (resized) to keep the left and right distance.
        Same for akTop,akBottom.

        Align=alLeft for a control means set Left leftmost, Top topmost and
        maximize Height. The width is kept, if akRight is not set. If akRight
        is set in the Anchors property, then the right distance is kept and
        the control's width is resized.
        If there several controls with Align=alLeft, they will not overlapp and
        be put side by side.
        Same for alRight, alTop, alBottom. (Always expand 3 sides).

        Align=alClient. The control will fill the whole remaining space.
        Setting two children to Align=alClient does only make sense, if you set
        maximum Constraints.

        Order: First all alTop children are resized, then alBottom, then alLeft,
        then alRight and finally alClient.

      cesScaleChilds, cssScaleChilds
        Scale children, keep space between them fixed.
        Children are resized to their normal/advised size. If there is some space
        left in the client area of the parent, then the children are scaled to
        fill the space. You can set maximum Constraints. Then the other children
        are scaled more.
        For example: 3 child controls A, B, C with A.Width=10, B.Width=20 and
        C.Width=30 (total=60). If the Parent's client area has a ClientWidth of
        120, then the children are scaled with Factor 2.
        If B has a maximum constraint width of 30, then first the children will be
        scaled with 1.5 (A.Width=15, B.Width=30, C.Width=45). Then A and C
        (15+45=60 and 30 pixel space left) will be scaled by 1.5 again, to a
        final result of: A.Width=23, B.Width=30, C.Width=67 (23+30+67=120).

      cesHomogenousChildGrowth, cssHomogenousChildDecrease
        Enlarge children equally.
        Children are resized to their normal/advised size. If there is some space
        left in the client area of the parent, then the remaining space is
        distributed equally to each child.
        For example: 3 child controls A, B, C with A.Width=10, B.Width=20 and
        C.Width=30 (total=60). If the Parent's client area has a ClientWidth of
        120, then 60/3=20 is added to each Child.
        If B has a maximum constraint width of 30, then first 10 is added to
        all children (A.Width=20, B.Width=30, C.Width=40). Then A and C
        (20+40=60 and 30 pixel space left) will get 30/2=15 additional,
        resulting in: A.Width=35, B.Width=30, C.Width=55 (35+30+55=120).

      cesHomogenousSpaceGrowth
        Enlarge space between children equally.
        Children are resized to their normal/advised size. If there is some space
        left in the client area of the parent, then the space between the children
        is expanded.
        For example: 3 child controls A, B, C with A.Width=10, B.Width=20 and
        C.Width=30 (total=60). If the Parent's client area has a ClientWidth of
        120, then there will be 60/2=30 space between A and B and between
        B and C.
  }


TControlChildSizing
 | ro | Control
pl |  | LeftRightSpacing
pl |  | TopBottomSpacing
pl |  | HorizontalSpacing
pl |  | VerticalSpacing
pl |  | EnlargeHorizontal
pl |  | EnlargeVertical
pl |  | ShrinkHorizontal
pl |  | ShrinkVertical
pl |  | Layout
pl |  | ControlsPerLine
TPersistent
TObject


 | ro | Control (TControlChildSizing)
pl |  | ControlsPerLine (TControlChildSizing)
pl |  | EnlargeHorizontal (TControlChildSizing)
pl |  | EnlargeVertical (TControlChildSizing)
pl |  | HorizontalSpacing (TControlChildSizing)
pl |  | Layout (TControlChildSizing)
pl |  | LeftRightSpacing (TControlChildSizing)
pl |  | ShrinkHorizontal (TControlChildSizing)
pl |  | ShrinkVertical (TControlChildSizing)
pl |  | TopBottomSpacing (TControlChildSizing)
pl |  | VerticalSpacing (TControlChildSizing)


TControlChildSizing
pt | Change
 | Create
 | Assign
 | AssignTo
 | IsEqual
 | SetGridSpacing
TPersistent
 | AssignError
 | AssignTo
 | DefineProperties
 | GetOwner
 | Destroy
 | Assign
 | FPOAttachObserver
 | FPODetachObserver
 | FPONotifyObservers
 | GetNamePath
TObject
 | Create
 | Destroy
 | newinstance
 | FreeInstance
 | SafeCallException
 | DefaultHandler
 | Free
 | InitInstance
 | CleanupInstance
 | ClassType
 | ClassInfo
 | ClassName
 | ClassNameIs
 | ClassParent
 | InstanceSize
 | InheritsFrom
 | StringMessageTable
 | MethodAddress
 | MethodName
 | FieldAddress
 | AfterConstruction
 | BeforeDestruction
 | DefaultHandlerStr
 | Dispatch
 | DispatchStr
 | GetInterface
 | GetInterfaceByStr
 | GetInterfaceWeak
 | GetInterfaceEntry
 | GetInterfaceEntryByStr
 | GetInterfaceTable
 | UnitName
 | Equals
 | GetHashCode
 | ToString


 | AssignError (TPersistent)
 | AssignTo (TPersistent)
 | AssignTo (TControlChildSizing)
 | BeforeDestruction (TObject)
pt | Change (TControlChildSizing)
 | ClassInfo (TObject)
 | ClassName (TObject)
 | ClassNameIs (TObject)
 | ClassParent (TObject)
 | ClassType (TObject)
 | CleanupInstance (TObject)
 | Create (TObject)
 | Create (TControlChildSizing)
 | DefaultHandler (TObject)
 | DefaultHandlerStr (TObject)
 | DefineProperties (TPersistent)
 | Destroy (TObject)
 | Destroy (TPersistent)
 | Dispatch (TObject)
 | DispatchStr (TObject)
 | Equals (TObject)
 | FieldAddress (TObject)
 | FPOAttachObserver (TPersistent)
 | FPODetachObserver (TPersistent)
 | FPONotifyObservers (TPersistent)
 | Free (TObject)
 | FreeInstance (TObject)
 | GetHashCode (TObject)
 | GetInterface (TObject)
 | GetInterfaceByStr (TObject)
 | GetInterfaceEntry (TObject)
 | GetInterfaceEntryByStr (TObject)
 | GetInterfaceTable (TObject)
 | GetInterfaceWeak (TObject)
 | GetNamePath (TPersistent)
 | GetOwner (TPersistent)
 | InheritsFrom (TObject)
 | InitInstance (TObject)
 | InstanceSize (TObject)
 | IsEqual (TControlChildSizing)
 | MethodAddress (TObject)
 | MethodName (TObject)
 | newinstance (TObject)
 | SafeCallException (TObject)
 | SetGridSpacing (TControlChildSizing)
 | StringMessageTable (TObject)
 | ToString (TObject)
 | UnitName (TObject)


TControlChildSizing

OnChange

TPersistent

TObject


TControlChildSizing.Change

Notifies Control and invokes the OnChange handler.

Declaration

Source position: controls.pp line 1895

protected procedure TControlChildSizing.Change; virtual;

See also

TWinControl.DoChildSizingChange

Call this after a change in the ChildSizing information, to trigger further processing.


TControlChildSizing.Control

The Control to which childsizing applies.

Declaration

Source position: controls.pp line 1903

public property TControlChildSizing.Control : TWinControl
  read FControl;


TControlChildSizing.ControlsPerLine

number of controls per line

Declaration

Source position: controls.pp line 1919

published property TControlChildSizing.ControlsPerLine : Integer
  read FControlsPerLine
  write SetControlsPerLine
  default 0;


TControlChildSizing.Create

Declaration

Source position: controls.pp line 1897

public constructor TControlChildSizing.Create(

  OwnerControl: TWinControl

);


TControlChildSizing.EnlargeHorizontal

Various ways to fit controls into the available Width.

Declaration

Source position: controls.pp line 1910

published property TControlChildSizing.EnlargeHorizontal : TChildControlResizeStyle
  read FEnlargeHorizontal
  write SetEnlargeHorizontal
  default crsAnchorAligning;


TControlChildSizing.EnlargeVertical

Various ways to fit controls into the available Height.

Declaration

Source position: controls.pp line 1912

published property TControlChildSizing.EnlargeVertical : TChildControlResizeStyle
  read FEnlargeVertical
  write SetEnlargeVertical
  default crsAnchorAligning;


TControlChildSizing.HorizontalSpacing

Minimum space between children.

Declaration

Source position: controls.pp line 1908

published property TControlChildSizing.HorizontalSpacing : Integer
  read FHorizontalSpacing
  write SetHorizontalSpacing
  default 0;


TControlChildSizing.IsEqual

True if the specified sizing is equal to this one.

Declaration

Source position: controls.pp line 1900

public function TControlChildSizing.IsEqual(

  Sizing: TControlChildSizing

):Boolean;


TControlChildSizing.Layout

Allows to also arrange the child controls in rows or columns.

Declaration

Source position: controls.pp line 1918

published property TControlChildSizing.Layout : TControlChildrenLayout
  read FLayout
  write SetLayout
  default cclNone;


TControlChildSizing.LeftRightSpacing

Minimum distance between children and client border.

Declaration

Source position: controls.pp line 1906

published property TControlChildSizing.LeftRightSpacing : Integer
  read FLeftRightSpacing
  write SetLeftRightSpacing
  default 0;


TControlChildSizing.OnChange

Event handler for any change in the data.

Declaration

Source position: controls.pp line 1904

public property TControlChildSizing.OnChange : TNotifyEvent
  read FOnChange
  write FOnChange;


TControlChildSizing.SetGridSpacing

Set all spaceing to the same value.

Declaration

Source position: controls.pp line 1901

public procedure TControlChildSizing.SetGridSpacing(

  Spacing: Integer

);


TControlChildSizing.ShrinkHorizontal

Various ways to fit controls into the available Width.

Declaration

Source position: controls.pp line 1914

published property TControlChildSizing.ShrinkHorizontal : TChildControlResizeStyle
  read FShrinkHorizontal
  write SetShrinkHorizontal
  default crsAnchorAligning;


TControlChildSizing.ShrinkVertical

Various ways to fit controls into the available Height.

Declaration

Source position: controls.pp line 1916

published property TControlChildSizing.ShrinkVertical : TChildControlResizeStyle
  read FShrinkVertical
  write SetShrinkVertical
  default crsAnchorAligning;


TControlChildSizing.TopBottomSpacing

Minimum distance between children and client border.

Declaration

Source position: controls.pp line 1907

published property TControlChildSizing.TopBottomSpacing : Integer
  read FTopBottomSpacing
  write SetTopBottomSpacing
  default 0;


TControlChildSizing.VerticalSpacing

Minimum space between children.

Declaration

Source position: controls.pp line 1909

published property TControlChildSizing.VerticalSpacing : Integer
  read FVerticalSpacing
  write SetVerticalSpacing
  default 0;


TControlPropertyStorage

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Declaration

Source position: controls.pp line 2427

type TControlPropertyStorage = class(TCustomPropertyStorage)

protected

  procedure GetPropertyList(); override;

Parses the TControl.SessionProperties string into the given list.

end;

Inheritance

TControlPropertyStorage |
|
TCustomPropertyStorage | Provides abstract means to Save/Restore properties.
|
TComponent,IUnknown,IInterfaceComponentReference
|
TPersistent,IFPObserved
|
TObject


TControlPropertyStorage
TCustomPropertyStorage
 |  | StoredValue
 | ro | Root
 |  | Active
 |  | StoredValues
TComponent
 | ro | ComObject
 | ro | Components
 | ro | ComponentCount
 |  | ComponentIndex
 | ro | ComponentState
 | ro | ComponentStyle
 |  | DesignInfo
 | ro | Owner
 |  | VCLComObject
 |  | Name
 |  | Tag
TPersistent
TObject


ro | ComObject (TComponent)
ro | ComponentCount (TComponent)
 | ComponentIndex (TComponent)
ro | Components (TComponent)
ro | ComponentState (TComponent)
ro | ComponentStyle (TComponent)
 | DesignInfo (TComponent)
 | Name (TComponent)
ro | Owner (TComponent)
ro | Root (TCustomPropertyStorage)
 | StoredValue (TCustomPropertyStorage)
 | StoredValues (TCustomPropertyStorage)
 | Tag (TComponent)
 | VCLComObject (TComponent)


TControlPropertyStorage
pt | GetPropertyList
TCustomPropertyStorage
pt | GetRoot
pt | RootSection
pt | SaveProperties
pt | RestoreProperties
pt | GetPropertyList
pt | FinishPropertyList
pt | DoReadInteger
pt | DoReadString
pt | DoWriteString
pt | DoWriteInteger
pt | DoEraseSections
 | Create
 | Destroy
 | Save
 | Restore
 | StorageNeeded
 | FreeStorage
 | ReadBoolean
 | ReadString
 | ReadInteger
 | ReadRect
 | ReadStrings
 | WriteString
 | WriteInteger
 | WriteBoolean
 | WriteRect
 | WriteStrings
 | EraseSections
TComponent
 | GetComObject
 | GetComponent
 | GetComponentCount
 | GetComponentIndex
 | Insert
 | ReadLeft
 | ReadTop
 | Remove
 | RemoveNotification
 | SetComponentIndex
 | SetReference
 | WriteLeft
 | WriteTop
 | ChangeName
 | DefineProperties
 | GetChildren
 | GetChildOwner
 | GetChildParent
 | GetOwner
 | Loaded
 | Loading
 | Notification
 | PaletteCreated
 | ReadState
 | SetAncestor
 | SetDesigning
 | SetDesignInstance
 | SetInline
 | SetName
 | SetChildOrder
 | SetParentComponent
 | Updating
 | Updated
 | UpdateRegistry
 | ValidateRename
 | ValidateContainer
 | ValidateInsert
 | QueryInterface
 | _AddRef
 | _Release
 | iicrGetComponent
 | GetTypeInfoCount
 | GetTypeInfo
 | GetIDsOfNames
 | Invoke
 | WriteState
 | Create
 | Destroy
 | BeforeDestruction
 | DestroyComponents
 | Destroying
 | ExecuteAction
 | FindComponent
 | FreeNotification
 | RemoveFreeNotification
 | FreeOnRelease
 | GetEnumerator
 | GetNamePath
 | GetParentComponent
 | HasParent
 | InsertComponent
 | RemoveComponent
 | SafeCallException
 | SetSubComponent
 | UpdateAction
 | IsImplementorOf
 | ReferenceInterface
TPersistent
 | AssignError
 | AssignTo
 | DefineProperties
 | GetOwner
 | Destroy
 | Assign
 | FPOAttachObserver
 | FPODetachObserver
 | FPONotifyObservers
 | GetNamePath
TObject
 | Create
 | Destroy
 | newinstance
 | FreeInstance
 | SafeCallException
 | DefaultHandler
 | Free
 | InitInstance
 | CleanupInstance
 | ClassType
 | ClassInfo
 | ClassName
 | ClassNameIs
 | ClassParent
 | InstanceSize
 | InheritsFrom
 | StringMessageTable
 | MethodAddress
 | MethodName
 | FieldAddress
 | AfterConstruction
 | BeforeDestruction
 | DefaultHandlerStr
 | Dispatch
 | DispatchStr
 | GetInterface
 | GetInterfaceByStr
 | GetInterfaceWeak
 | GetInterfaceEntry
 | GetInterfaceEntryByStr
 | GetInterfaceTable
 | UnitName
 | Equals
 | GetHashCode
 | ToString


 | AssignError (TPersistent)
 | AssignTo (TPersistent)
 | BeforeDestruction (TObject)
 | BeforeDestruction (TComponent)
 | ChangeName (TComponent)
 | ClassInfo (TObject)
 | ClassName (TObject)
 | ClassNameIs (TObject)
 | ClassParent (TObject)
 | ClassType (TObject)
 | CleanupInstance (TObject)
 | Create (TObject)
 | Create (TComponent)
 | Create (TCustomPropertyStorage)
 | DefaultHandler (TObject)
 | DefaultHandlerStr (TObject)
 | DefineProperties (TPersistent)
 | DefineProperties (TComponent)
 | Destroy (TObject)
 | Destroy (TPersistent)
 | Destroy (TComponent)
 | Destroy (TCustomPropertyStorage)
 | DestroyComponents (TComponent)
 | Destroying (TComponent)
 | Dispatch (TObject)
 | DispatchStr (TObject)
pt | DoEraseSections (TCustomPropertyStorage)
pt | DoReadInteger (TCustomPropertyStorage)
pt | DoReadString (TCustomPropertyStorage)
pt | DoWriteInteger (TCustomPropertyStorage)
pt | DoWriteString (TCustomPropertyStorage)
 | Equals (TObject)
 | EraseSections (TCustomPropertyStorage)
 | ExecuteAction (TComponent)
 | FieldAddress (TObject)
 | FindComponent (TComponent)
pt | FinishPropertyList (TCustomPropertyStorage)
 | FPOAttachObserver (TPersistent)
 | FPODetachObserver (TPersistent)
 | FPONotifyObservers (TPersistent)
 | Free (TObject)
 | FreeInstance (TObject)
 | FreeNotification (TComponent)
 | FreeOnRelease (TComponent)
 | FreeStorage (TCustomPropertyStorage)
 | GetChildOwner (TComponent)
 | GetChildParent (TComponent)
 | GetChildren (TComponent)
 | GetComObject (TComponent)
 | GetComponent (TComponent)
 | GetComponentCount (TComponent)
 | GetComponentIndex (TComponent)
 | GetEnumerator (TComponent)
 | GetHashCode (TObject)
 | GetIDsOfNames (TComponent)
 | GetInterface (TObject)
 | GetInterfaceByStr (TObject)
 | GetInterfaceEntry (TObject)
 | GetInterfaceEntryByStr (TObject)
 | GetInterfaceTable (TObject)
 | GetInterfaceWeak (TObject)
 | GetNamePath (TPersistent)
 | GetNamePath (TComponent)
 | GetOwner (TPersistent)
 | GetOwner (TComponent)
 | GetParentComponent (TComponent)
pt | GetPropertyList (TCustomPropertyStorage)
pt | GetPropertyList (TControlPropertyStorage)
pt | GetRoot (TCustomPropertyStorage)
 | GetTypeInfo (TComponent)
 | GetTypeInfoCount (TComponent)
 | HasParent (TComponent)
 | iicrGetComponent (TComponent)
 | InheritsFrom (TObject)
 | InitInstance (TObject)
 | Insert (TComponent)
 | InsertComponent (TComponent)
 | InstanceSize (TObject)
 | Invoke (TComponent)
 | IsImplementorOf (TComponent)
 | Loaded (TComponent)
 | Loading (TComponent)
 | MethodAddress (TObject)
 | MethodName (TObject)
 | newinstance (TObject)
 | Notification (TComponent)
 | PaletteCreated (TComponent)
 | QueryInterface (TComponent)
 | ReadBoolean (TCustomPropertyStorage)
 | ReadInteger (TCustomPropertyStorage)
 | ReadLeft (TComponent)
 | ReadRect (TCustomPropertyStorage)
 | ReadState (TComponent)
 | ReadString (TCustomPropertyStorage)
 | ReadStrings (TCustomPropertyStorage)
 | ReadTop (TComponent)
 | ReferenceInterface (TComponent)
 | Remove (TComponent)
 | RemoveComponent (TComponent)
 | RemoveFreeNotification (TComponent)
 | RemoveNotification (TComponent)
 | Restore (TCustomPropertyStorage)
pt | RestoreProperties (TCustomPropertyStorage)
pt | RootSection (TCustomPropertyStorage)
 | SafeCallException (TObject)
 | SafeCallException (TComponent)
 | Save (TCustomPropertyStorage)
pt | SaveProperties (TCustomPropertyStorage)
 | SetAncestor (TComponent)
 | SetChildOrder (TComponent)
 | SetComponentIndex (TComponent)
 | SetDesigning (TComponent)
 | SetDesignInstance (TComponent)
 | SetInline (TComponent)
 | SetName (TComponent)
 | SetParentComponent (TComponent)
 | SetReference (TComponent)
 | SetSubComponent (TComponent)
 | StorageNeeded (TCustomPropertyStorage)
 | StringMessageTable (TObject)
 | ToString (TObject)
 | UnitName (TObject)
 | UpdateAction (TComponent)
 | Updated (TComponent)
 | UpdateRegistry (TComponent)
 | Updating (TComponent)
 | ValidateContainer (TComponent)
 | ValidateInsert (TComponent)
 | ValidateRename (TComponent)
 | WriteBoolean (TCustomPropertyStorage)
 | WriteInteger (TCustomPropertyStorage)
 | WriteLeft (TComponent)
 | WriteRect (TCustomPropertyStorage)
 | WriteState (TComponent)
 | WriteString (TCustomPropertyStorage)
 | WriteStrings (TCustomPropertyStorage)
 | WriteTop (TComponent)
 | _AddRef (TComponent)
 | _Release (TComponent)


TControlPropertyStorage
TCustomPropertyStorage
 | OnSavingProperties
 | OnSaveProperties
 | OnRestoringProperties
 | OnRestoreProperties
 | OnSaveException
TComponent
TPersistent
TObject


OnRestoreProperties (TCustomPropertyStorage)

OnRestoringProperties (TCustomPropertyStorage)

OnSaveException (TCustomPropertyStorage)

OnSaveProperties (TCustomPropertyStorage)

OnSavingProperties (TCustomPropertyStorage)


TControlPropertyStorage.GetPropertyList

Parses the TControl.SessionProperties string into the given list.

Declaration

Source position: controls.pp line 2429

protected procedure TControlPropertyStorage.GetPropertyList(

  List: TStrings

); override;


TCustomControl

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

The base class for windowed controls which paint themselves.

Declaration

Source position: controls.pp line 2384

type TCustomControl = class(TWinControl)
protected
class procedure WSRegisterClass; override; | Registers this component class with the current WidgetSet.
procedure WMPaint(); message; | Event handler for paint messages.
procedure DestroyWnd; override; | Destroys the interface object (widget).
procedure PaintWindow(); override; | Paints an clipped part (child control) of the DC.
procedure FontChanged(); override; | Handles changes of the Font property.
procedure SetColor(); override;
procedure Paint; virtual; | Override this method in your derived class with your own paint handler.
public
constructor Create(); override;
destructor Destroy; override;
property Canvas: TCanvas; [rw] | The drawing surface for the control, see TCanvas for details.
property BorderStyle: TBorderStyle; | Allows to show a border (line) around the control,
property OnPaint: TNotifyEvent; [rw] | Supply your own OnPaint handler for painting the control.
end;

Inheritance

TCustomControl | The base class for windowed controls which paint themselves.
|
TWinControl | The base class for controls which can contain other (child) controls.
|
TControl | The base class for visible controls.
|
TLCLComponent | The base class for LCL components associated with widgets.
|
TComponent,IUnknown,IInterfaceComponentReference
|
TPersistent,IFPObserved
|
TObject

Description

In contrast to TGraphicControl, a TCustomControl can accept keyboard input (get the Focus) and can have child controls.

Override the Paint method or supply your own OnPaint handler, to do the actual drawing of the control.

See also

TWinControl | The base class for controls which can contain other (child) controls.
TGraphicControl | TGraphicControl is the base class for all lightweight controls.


TCustomControl
 |  | Canvas
 | ro | BorderStyle
TWinControl
pt |  | WindowHandle
pt |  | BorderStyle
pt |  | ParentBackground
 |  | BorderWidth
 | ro | BoundsLockCount
 | ro | Brush
 | ro | CachedClientHeight
 | ro | CachedClientWidth
 |  | ChildSizing
 | ro | ControlCount
 | ro | Controls
 |  | DefWndProc
 | ro | DockClientCount
 | ro | DockClients
 |  | DockManager
 |  | DockSite
 |  | DoubleBuffered
 |  | Handle
 | ro | IsFlipped
 | ro | IsResizing
 |  | TabOrder
 |  | TabStop
 |  | ParentDoubleBuffered
 |  | ParentWindow
 | ro | Showing
 |  | UseDockManager
 |  | DesignerDeleting
 | ro | VisibleDockClientCount
TControl
pt | ro | AutoSizing
pt | ro | AutoSizingAll
pt | ro | AutoSizingLockCount
pt |  | ActionLink
pt |  | DesktopFont
pt |  | DragCursor
pt |  | DragKind
pt |  | DragMode
pt |  | MouseCapture
pt |  | ParentColor
pt |  | ParentFont
pt |  | ParentShowHint
pt |  | SessionProperties
pt |  | Text
 | ro | AnchoredControls
 | ro | BaseBounds
 | ro | ReadBounds
 | ro | BaseParentClientSize
 |  | AccessibleDescription
 |  | AccessibleValue
 |  | AccessibleRole
 |  | Action
 |  | Align
 |  | Anchors
 | ro | AnchorSide
 |  | AutoSize
 |  | BorderSpacing
 |  | BoundsRect
 |  | BoundsRectForNewParent
 |  | Caption
 |  | CaptureMouseButtons
 |  | ClientHeight
 | ro | ClientOrigin
 | ro | ClientRect
 |  | ClientWidth
 |  | Color
 |  | Constraints
 | ro | ControlOrigin
 |  | ControlState
 |  | ControlStyle
 |  | Enabled
 |  | Font
 |  | IsControl
 | ro | MouseEntered
 | ro | MouseInClient
 |  | Parent
 |  | PopupMenu
 |  | ShowHint
 |  | Visible
 |  | WindowProc
 |  | DockOrientation
 | ro | Floating
 |  | FloatingDockSiteClass
 |  | HostDockSite
 |  | LRDockWidth
 |  | TBDockHeight
 |  | UndockHeight
 |  | UndockWidth
 |  | BiDiMode
 |  | ParentBiDiMode
pl |  | AnchorSideLeft
pl |  | AnchorSideTop
pl |  | AnchorSideRight
pl |  | AnchorSideBottom
pl |  | Cursor
pl |  | Left
pl |  | Height
pl |  | Hint
pl |  | Top
pl |  | Width
pl |  | HelpType
pl |  | HelpKeyword
pl |  | HelpContext
TLCLComponent
 | ro | LCLRefCount
 | ro | WidgetSetClass
TComponent
 | ro | ComObject
 | ro | Components
 | ro | ComponentCount
 |  | ComponentIndex
 | ro | ComponentState
 | ro | ComponentStyle
 |  | DesignInfo
 | ro | Owner
 |  | VCLComObject
 |  | Name
 |  | Tag
TPersistent
TObject


 |  | AccessibleDescription (TControl)
 |  | AccessibleRole (TControl)
 |  | AccessibleValue (TControl)
 |  | Action (TControl)
pt |  | ActionLink (TControl)
 |  | Align (TControl)
 | ro | AnchoredControls (TControl)
 |  | Anchors (TControl)
 | ro | AnchorSide (TControl)
pl |  | AnchorSideBottom (TControl)
pl |  | AnchorSideLeft (TControl)
pl |  | AnchorSideRight (TControl)
pl |  | AnchorSideTop (TControl)
 |  | AutoSize (TControl)
pt | ro | AutoSizing (TControl)
pt | ro | AutoSizingAll (TControl)
pt | ro | AutoSizingLockCount (TControl)
 | ro | BaseBounds (TControl)
 | ro | BaseParentClientSize (TControl)
 |  | BiDiMode (TControl)
 |  | BorderSpacing (TControl)
pt |  | BorderStyle (TWinControl)
 | ro | BorderStyle (TCustomControl)
 |  | BorderWidth (TWinControl)
 | ro | BoundsLockCount (TWinControl)
 |  | BoundsRect (TControl)
 |  | BoundsRectForNewParent (TControl)
 | ro | Brush (TWinControl)
 | ro | CachedClientHeight (TWinControl)
 | ro | CachedClientWidth (TWinControl)
 |  | Canvas (TCustomControl)
 |  | Caption (TControl)
 |  | CaptureMouseButtons (TControl)
 |  | ChildSizing (TWinControl)
 |  | ClientHeight (TControl)
 | ro | ClientOrigin (TControl)
 | ro | ClientRect (TControl)
 |  | ClientWidth (TControl)
 |  | Color (TControl)
 | ro | ComObject (TComponent)
 | ro | ComponentCount (TComponent)
 |  | ComponentIndex (TComponent)
 | ro | Components (TComponent)
 | ro | ComponentState (TComponent)
 | ro | ComponentStyle (TComponent)
 |  | Constraints (TControl)
 | ro | ControlCount (TWinControl)
 | ro | ControlOrigin (TControl)
 | ro | Controls (TWinControl)
 |  | ControlState (TControl)
 |  | ControlStyle (TControl)
pl |  | Cursor (TControl)
 |  | DefWndProc (TWinControl)
 |  | DesignerDeleting (TWinControl)
 |  | DesignInfo (TComponent)
pt |  | DesktopFont (TControl)
 | ro | DockClientCount (TWinControl)
 | ro | DockClients (TWinControl)
 |  | DockManager (TWinControl)
 |  | DockOrientation (TControl)
 |  | DockSite (TWinControl)
 |  | DoubleBuffered (TWinControl)
pt |  | DragCursor (TControl)
pt |  | DragKind (TControl)
pt |  | DragMode (TControl)
 |  | Enabled (TControl)
 | ro | Floating (TControl)
 |  | FloatingDockSiteClass (TControl)
 |  | Font (TControl)
 |  | Handle (TWinControl)
pl |  | Height (TControl)
pl |  | HelpContext (TControl)
pl |  | HelpKeyword (TControl)
pl |  | HelpType (TControl)
pl |  | Hint (TControl)
 |  | HostDockSite (TControl)
 |  | IsControl (TControl)
 | ro | IsFlipped (TWinControl)
 | ro | IsResizing (TWinControl)
 | ro | LCLRefCount (TLCLComponent)
pl |  | Left (TControl)
 |  | LRDockWidth (TControl)
pt |  | MouseCapture (TControl)
 | ro | MouseEntered (TControl)
 | ro | MouseInClient (TControl)
 |  | Name (TComponent)
 | ro | Owner (TComponent)
 |  | Parent (TControl)
pt |  | ParentBackground (TWinControl)
 |  | ParentBiDiMode (TControl)
pt |  | ParentColor (TControl)
 |  | ParentDoubleBuffered (TWinControl)
pt |  | ParentFont (TControl)
pt |  | ParentShowHint (TControl)
 |  | ParentWindow (TWinControl)
 |  | PopupMenu (TControl)
 | ro | ReadBounds (TControl)
pt |  | SessionProperties (TControl)
 |  | ShowHint (TControl)
 | ro | Showing (TWinControl)
 |  | TabOrder (TWinControl)
 |  | TabStop (TWinControl)
 |  | Tag (TComponent)
 |  | TBDockHeight (TControl)
pt |  | Text (TControl)
pl |  | Top (TControl)
 |  | UndockHeight (TControl)
 |  | UndockWidth (TControl)
 |  | UseDockManager (TWinControl)
 |  | VCLComObject (TComponent)
 |  | Visible (TControl)
 | ro | VisibleDockClientCount (TWinControl)
 | ro | WidgetSetClass (TLCLComponent)
pl |  | Width (TControl)
pt |  | WindowHandle (TWinControl)
 |  | WindowProc (TControl)


TCustomControl
pt | WSRegisterClass
pt | WMPaint
pt | DestroyWnd
pt | PaintWindow
pt | FontChanged
pt | SetColor
pt | Paint
 | Create
 | Destroy
TWinControl
pt | WSRegisterClass
pt | AdjustClientRect
pt | GetAdjustedLogicalClientRect
pt | AlignControls
pt | CustomAlignInsertBefore
pt | CustomAlignPosition
pt | DoAlignChildControls
pt | DoChildSizingChange
pt | InvalidatePreferredChildSizes
pt | CanTab
pt | IsClientHeightStored
pt | IsClientWidthStored
pt | DoSendShowHideToInterface
pt | ControlsAligned
pt | DoSendBoundsToInterface
pt | RealizeBounds
pt | RealizeBoundsRecursive
pt | InvalidateBoundsRealized
pt | CreateSubClass
pt | DoConstraintsChange
pt | DoSetBounds
pt | DoAutoSize
pt | DoAllAutoSize
pt | AllAutoSized
pt | CalculatePreferredSize
pt | GetPreferredSizeClientFrame
pt | GetChildren
pt | ChildClassAllowed
pt | PaintControls
pt | PaintHandler
pt | PaintWindow
pt | CreateBrush
pt | ScaleControls
pt | ChangeScale
pt | CMBiDiModeChanged
pt | CMBorderChanged
pt | CMDoubleBufferedChanged
pt | CMEnabledChanged
pt | CMParentDoubleBufferedChanged
pt | CMShowingChanged
pt | CMShowHintChanged
pt | CMVisibleChanged
pt | CMEnter
pt | CMExit
pt | WMContextMenu
pt | WMEraseBkgnd
pt | WMNotify
pt | WMSetFocus
pt | WMKillFocus
pt | WMShowWindow
pt | WMEnter
pt | WMExit
pt | WMKeyDown
pt | WMSysKeyDown
pt | WMKeyUp
pt | WMSysKeyUp
pt | WMChar
pt | WMSysChar
pt | WMPaint
pt | WMDestroy
pt | WMMove
pt | WMSize
pt | WMWindowPosChanged
pt | CNKeyDown
pt | CNSysKeyDown
pt | CNKeyUp
pt | CNSysKeyUp
pt | CNChar
pt | DoDragMsg
pt | DoDockClientMsg
pt | DoUndockClientMsg
pt | DoAddDockClient
pt | DockOver
pt | DoDockOver
pt | DoRemoveDockClient
pt | DoUnDock
pt | GetSiteInfo
pt | GetParentHandle
pt | GetTopParentHandle
pt | ReloadDockedControl
pt | CreateDockManager
pt | SetDockManager
pt | DoFloatMsg
pt | DoGetDockCaption
pt | DoEnter
pt | DoExit
pt | DoKeyDownBeforeInterface
pt | DoRemainingKeyDown
pt | DoRemainingKeyUp
pt | DoKeyPress
pt | DoUTF8KeyPress
pt | DoKeyUpBeforeInterface
pt | ChildKey
pt | SendDialogChar
pt | DialogChar
pt | ControlKeyDown
pt | ControlKeyUp
pt | KeyDown
pt | KeyDownBeforeInterface
pt | KeyDownAfterInterface
pt | KeyPress
pt | KeyUp
pt | KeyUpBeforeInterface
pt | KeyUpAfterInterface
pt | UTF8KeyPress
pt | FindNextControl
pt | SelectFirst
pt | RealGetText
pt | GetBorderStyle
pt | GetClientOrigin
pt | GetClientRect
pt | GetControlOrigin
pt | GetDeviceContext
pt | GetParentBackground
pt | IsControlMouseMsg
pt | CreateHandle
pt | CreateParams
pt | CreateWnd
pt | DestroyHandle
pt | DestroyWnd
pt | DoFlipChildren
pt | FinalizeWnd
pt | FixupTabList
pt | FontChanged
pt | InitializeWnd
pt | Loaded
pt | FormEndUpdated
pt | MainWndProc
pt | ParentFormHandleInitialized
pt | ChildHandlesCreated
pt | GetMouseCapture
pt | RealSetText
pt | RemoveFocus
pt | SendMoveSizeMessages
pt | SetBorderStyle
pt | SetColor
pt | SetChildZPosition
pt | SetParentBackground
pt | ShowControl
pt | UpdateControlState
pt | UpdateShowing
pt | WndProc
pt | WSSetText
 | AutoSizePhases
 | AutoSizeDelayed
 | AutoSizeDelayedReport
 | AutoSizeDelayedHandle
 | BeginUpdateBounds
 | EndUpdateBounds
 | LockRealizeBounds
 | UnlockRealizeBounds
 | ControlAtPos
 | ContainsControl
 | DoAdjustClientRectChange
 | InvalidateClientRectCache
 | ClientRectNeedsInterfaceUpdate
 | SetBounds
 | GetChildrenRect
 | DisableAlign
 | EnableAlign
 | ReAlign
 | ScrollBy_WS
 | ScrollBy
 | WriteLayoutDebugReport
 | AutoAdjustLayout
 | Create
 | CreateParented
 | CreateParentedControl
 | Destroy
 | DockDrop
 | CanFocus
 | CanSetFocus
 | GetControlIndex
 | SetControlIndex
 | Focused
 | PerformTab
 | FindChildControl
 | SelectNext
 | SetTempCursor
 | BroadCast
 | NotifyControls
 | DefaultHandler
 | GetTextLen
 | Invalidate
 | AddControl
 | InsertControl
 | RemoveControl
 | GetEnumeratorControls
 | GetEnumeratorControlsReverse
 | Repaint
 | Update
 | SetFocus
 | FlipChildren
 | ScaleBy
 | GetDockCaption
 | UpdateDockCaption
 | GetTabOrderList
 | HandleAllocated
 | ParentHandlesAllocated
 | HandleNeeded
 | BrushCreated
 | EraseBackground
 | IntfUTF8KeyPress
 | IntfGetDropFilesTarget
 | PaintTo
 | SetShape
TControl
pt | WSRegisterClass
pt | GetCursor
pt | SetCursor
pt | SetVisible
pt | DoOnParentHandleDestruction
pt | DoAutoSize
pt | DoAllAutoSize
pt | BeginAutoSizing
pt | EndAutoSizing
pt | AnchorSideChanged
pt | ForeignAnchorSideChanged
pt | SetAlign
pt | SetAnchors
pt | SetAutoSize
pt | BoundsChanged
pt | CreateControlBorderSpacing
pt | DoConstraintsChange
pt | DoBorderSpacingChange
pt | IsBorderSpacingInnerBorderStored
pt | IsCaptionStored
pt | SendMoveSizeMessages
pt | ConstrainedResize
pt | CalculatePreferredSize
pt | DoOnResize
pt | DoOnChangeBounds
pt | CheckOnChangeBounds
pt | Resize
pt | RequestAlign
pt | UpdateAnchorRules
pt | ChangeBounds
pt | DoSetBounds
pt | ScaleConstraints
pt | ChangeScale
pt | CanAutoSize
pt | SetBiDiMode
pt | SetParentBiDiMode
pt | IsAParentAligning
pt | GetClientOrigin
pt | GetClientRect
pt | GetLogicalClientRect
pt | GetScrolledClientRect
pt | GetClientScrollOffset
pt | GetControlOrigin
pt | IsClientHeightStored
pt | IsClientWidthStored
pt | WidthIsAnchored
pt | HeightIsAnchored
pt | WMCancelMode
pt | WMContextMenu
pt | WMLButtonDown
pt | WMRButtonDown
pt | WMMButtonDown
pt | WMXButtonDown
pt | WMLButtonDBLCLK
pt | WMRButtonDBLCLK
pt | WMMButtonDBLCLK
pt | WMXButtonDBLCLK
pt | WMLButtonTripleCLK
pt | WMRButtonTripleCLK
pt | WMMButtonTripleCLK
pt | WMXButtonTripleCLK
pt | WMLButtonQuadCLK
pt | WMRButtonQuadCLK
pt | WMMButtonQuadCLK
pt | WMXButtonQuadCLK
pt | WMMouseMove
pt | WMLButtonUp
pt | WMRButtonUp
pt | WMMButtonUp
pt | WMXButtonUp
pt | WMMouseWheel
pt | WMMouseHWheel
pt | WMMove
pt | WMSize
pt | WMWindowPosChanged
pt | CMChanged
pt | LMCaptureChanged
pt | CMBiDiModeChanged
pt | CMSysFontChanged
pt | CMEnabledChanged
pt | CMHitTest
pt | CMMouseEnter
pt | CMMouseLeave
pt | CMHintShow
pt | CMParentBiDiModeChanged
pt | CMParentColorChanged
pt | CMParentFontChanged
pt | CMParentShowHintChanged
pt | CMVisibleChanged
pt | CMTextChanged
pt | CMCursorChanged
pt | CalculateDockSizes
pt | CreateFloatingDockSite
pt | GetDockEdge
pt | GetDragImages
pt | GetFloating
pt | GetFloatingDockSiteClass
pt | BeforeDragStart
pt | BeginAutoDrag
pt | DoFloatMsg
pt | DockTrackNoTarget
pt | DoDock
pt | DoDragMsg
pt | DoEndDock
pt | DoEndDrag
pt | DoStartDock
pt | DoStartDrag
pt | DragCanceled
pt | DragOver
pt | PositionDockRect
pt | SetDragMode
pt | GetDefaultDockCaption
pt | Click
pt | DblClick
pt | TripleClick
pt | QuadClick
pt | GetMousePosFromMessage
pt | MouseDown
pt | MouseMove
pt | MouseUp
pt | MouseEnter
pt | MouseLeave
pt | DialogChar
pt | UpdateMouseCursor
pt | Changed
pt | GetPalette
pt | ChildClassAllowed
pt | ReadState
pt | Loaded
pt | LoadedAll
pt | DefineProperties
pt | AssignTo
pt | FormEndUpdated
pt | InvalidateControl
pt | FontChanged
pt | ParentFontChanged
pt | GetAction
pt | RealGetText
pt | RealSetText
pt | TextChanged
pt | GetCachedText
pt | SetAction
pt | SetColor
pt | SetEnabled
pt | SetHint
pt | SetName
pt | SetParent
pt | SetParentComponent
pt | WndProc
pt | ParentFormHandleInitialized
pt | GetMouseCapture
pt | CaptureChanged
pt | Notification
pt | CanTab
pt | GetDeviceContext
pt | GetEnabled
pt | GetPopupMenu
pt | DoOnShowHint
pt | DoMouseWheel
pt | DoMouseWheelDown
pt | DoMouseWheelUp
pt | DoMouseWheelHorz
pt | DoMouseWheelLeft
pt | DoMouseWheelRight
pt | VisibleChanging
pt | VisibleChanged
pt | EnabledChanging
pt | EnabledChanged
pt | AddHandler
pt | RemoveHandler
pt | DoCallNotifyHandler
pt | DoCallKeyEventHandler
pt | DoCallMouseWheelEventHandler
pt | DoContextPopup
pt | SetZOrder
pt | GetControlClassDefaultSize
pt | ColorIsStored
pt | DoAutoAdjustLayout
pt | DoFixDesignFontPPI
pt | DoScaleFontPPI
pt | GetActionLinkClass
pt | ActionChange
 | DragDrop
 | Dock
 | ManualDock
 | ManualFloat
 | ReplaceDockedControl
 | Docked
 | Dragging
 | GetAccessibleObject
 | CreateAccessibleObject
 | GetSelectedChildAccessibleObject
 | GetChildAccessibleObjectAtPos
 | ScaleDesignToForm
 | ScaleFormToDesign
 | Scale96ToForm
 | ScaleFormTo96
 | Scale96ToFont
 | ScaleFontTo96
 | ScaleScreenToFont
 | ScaleFontToScreen
 | Scale96ToScreen
 | ScaleScreenTo96
 | AdjustSize
 | AutoSizePhases
 | AutoSizeDelayed
 | AutoSizeDelayedReport
 | AutoSizeDelayedHandle
 | AnchorToNeighbour
 | AnchorParallel
 | AnchorHorizontalCenterTo
 | AnchorVerticalCenterTo
 | AnchorToCompanion
 | AnchorSame
 | AnchorAsAlign
 | AnchorClient
 | AnchoredControlCount
 | SetBounds
 | SetInitialBounds
 | SetBoundsKeepBase
 | GetPreferredSize
 | GetCanvasScaleFactor
 | GetDefaultWidth
 | GetDefaultHeight
 | GetDefaultColor
 | GetColorResolvingParent
 | GetRGBColorResolvingParent
 | GetSidePosition
 | CNPreferredSizeChanged
 | InvalidatePreferredSize
 | GetAnchorsDependingOnParent
 | DisableAutoSizing
 | EnableAutoSizing
 | UpdateBaseBounds
 | WriteLayoutDebugReport
 | AutoAdjustLayout
 | ShouldAutoAdjust
 | FixDesignFontsPPI
 | ScaleFontsPPI
 | Create
 | Destroy
 | BeforeDestruction
 | EditingDone
 | ExecuteDefaultAction
 | ExecuteCancelAction
 | BeginDrag
 | EndDrag
 | BringToFront
 | HasParent
 | GetParentComponent
 | IsParentOf
 | GetTopParent
 | IsVisible
 | IsControlVisible
 | IsEnabled
 | IsParentColor
 | IsParentFont
 | FormIsUpdating
 | IsProcessingPaintMsg
 | Hide
 | Refresh
 | Repaint
 | Invalidate
 | CheckChildClassAllowed
 | CheckNewParent
 | SendToBack
 | SetTempCursor
 | UpdateRolesForForm
 | ActiveDefaultControlChanged
 | GetTextBuf
 | GetTextLen
 | SetTextBuf
 | Perform
 | ScreenToClient
 | ClientToScreen
 | ScreenToControl
 | ControlToScreen
 | ClientToParent
 | ParentToClient
 | GetChildrenRect
 | Show
 | Update
 | HandleObjectShouldBeVisible
 | ParentDestroyingHandle
 | ParentHandlesAllocated
 | InitiateAction
 | ShowHelp
 | HasHelp
 | RemoveAllHandlersOfObject
 | AddHandlerOnResize
 | RemoveHandlerOnResize
 | AddHandlerOnChangeBounds
 | RemoveHandlerOnChangeBounds
 | AddHandlerOnVisibleChanging
 | RemoveHandlerOnVisibleChanging
 | AddHandlerOnVisibleChanged
 | RemoveHandlerOnVisibleChanged
 | AddHandlerOnEnabledChanged
 | RemoveHandlerOnEnableChanging
 | AddHandlerOnKeyDown
 | RemoveHandlerOnKeyDown
 | AddHandlerOnBeforeDestruction
 | RemoveHandlerOnBeforeDestruction
 | AddHandlerOnMouseWheel
 | RemoveHandlerOnMouseWheel
 | UseRightToLeftAlignment
 | UseRightToLeftReading
 | UseRightToLeftScrollBar
 | IsRightToLeft
TLCLComponent
pt | WSRegisterClass
pt | GetWSComponentClass
 | Create
 | Destroy
 | NewInstance
 | RemoveAllHandlersOfObject
 | IncLCLRefCount
 | DecLCLRefCount
TComponent
 | GetComObject
 | GetComponent
 | GetComponentCount
 | GetComponentIndex
 | Insert
 | ReadLeft
 | ReadTop
 | Remove
 | RemoveNotification
 | SetComponentIndex
 | SetReference
 | WriteLeft
 | WriteTop
 | ChangeName
 | DefineProperties
 | GetChildren
 | GetChildOwner
 | GetChildParent
 | GetOwner
 | Loaded
 | Loading
 | Notification
 | PaletteCreated
 | ReadState
 | SetAncestor
 | SetDesigning
 | SetDesignInstance
 | SetInline
 | SetName
 | SetChildOrder
 | SetParentComponent
 | Updating
 | Updated
 | UpdateRegistry
 | ValidateRename
 | ValidateContainer
 | ValidateInsert
 | QueryInterface
 | _AddRef
 | _Release
 | iicrGetComponent
 | GetTypeInfoCount
 | GetTypeInfo
 | GetIDsOfNames
 | Invoke
 | WriteState
 | Create
 | Destroy
 | BeforeDestruction
 | DestroyComponents
 | Destroying
 | ExecuteAction
 | FindComponent
 | FreeNotification
 | RemoveFreeNotification
 | FreeOnRelease
 | GetEnumerator
 | GetNamePath
 | GetParentComponent
 | HasParent
 | InsertComponent
 | RemoveComponent
 | SafeCallException
 | SetSubComponent
 | UpdateAction
 | IsImplementorOf
 | ReferenceInterface
TPersistent
 | AssignError
 | AssignTo
 | DefineProperties
 | GetOwner
 | Destroy
 | Assign
 | FPOAttachObserver
 | FPODetachObserver
 | FPONotifyObservers
 | GetNamePath
TObject
 | Create
 | Destroy
 | newinstance
 | FreeInstance
 | SafeCallException
 | DefaultHandler
 | Free
 | InitInstance
 | CleanupInstance
 | ClassType
 | ClassInfo
 | ClassName
 | ClassNameIs
 | ClassParent
 | InstanceSize
 | InheritsFrom
 | StringMessageTable
 | MethodAddress
 | MethodName
 | FieldAddress
 | AfterConstruction
 | BeforeDestruction
 | DefaultHandlerStr
 | Dispatch
 | DispatchStr
 | GetInterface
 | GetInterfaceByStr
 | GetInterfaceWeak
 | GetInterfaceEntry
 | GetInterfaceEntryByStr
 | GetInterfaceTable
 | UnitName
 | Equals
 | GetHashCode
 | ToString


pt | ActionChange (TControl)
 | ActiveDefaultControlChanged (TControl)
 | AddControl (TWinControl)
pt | AddHandler (TControl)
 | AddHandlerOnBeforeDestruction (TControl)
 | AddHandlerOnChangeBounds (TControl)
 | AddHandlerOnEnabledChanged (TControl)
 | AddHandlerOnKeyDown (TControl)
 | AddHandlerOnMouseWheel (TControl)
 | AddHandlerOnResize (TControl)
 | AddHandlerOnVisibleChanged (TControl)
 | AddHandlerOnVisibleChanging (TControl)
pt | AdjustClientRect (TWinControl)
 | AdjustSize (TControl)
 | AfterConstruction (TObject)
pt | AlignControls (TWinControl)
pt | AllAutoSized (TWinControl)
 | AnchorAsAlign (TControl)
 | AnchorClient (TControl)
 | AnchoredControlCount (TControl)
 | AnchorHorizontalCenterTo (TControl)
 | AnchorParallel (TControl)
 | AnchorSame (TControl)
pt | AnchorSideChanged (TControl)
 | AnchorToCompanion (TControl)
 | AnchorToNeighbour (TControl)
 | AnchorVerticalCenterTo (TControl)
 | Assign (TPersistent)
 | AssignError (TPersistent)
 | AssignTo (TPersistent)
pt | AssignTo (TControl)
 | AutoAdjustLayout (TControl)
 | AutoAdjustLayout (TWinControl)
 | AutoSizeDelayed (TControl)
 | AutoSizeDelayed (TWinControl)
 | AutoSizeDelayedHandle (TControl)
 | AutoSizeDelayedHandle (TWinControl)
 | AutoSizeDelayedReport (TControl)
 | AutoSizeDelayedReport (TWinControl)
 | AutoSizePhases (TControl)
 | AutoSizePhases (TWinControl)
 | BeforeDestruction (TObject)
 | BeforeDestruction (TComponent)
 | BeforeDestruction (TControl)
pt | BeforeDragStart (TControl)
pt | BeginAutoDrag (TControl)
pt | BeginAutoSizing (TControl)
 | BeginDrag (TControl)
 | BeginUpdateBounds (TWinControl)
pt | BoundsChanged (TControl)
 | BringToFront (TControl)
 | BroadCast (TWinControl)
 | BrushCreated (TWinControl)
pt | CalculateDockSizes (TControl)
pt | CalculatePreferredSize (TControl)
pt | CalculatePreferredSize (TWinControl)
pt | CanAutoSize (TControl)
 | CanFocus (TWinControl)
 | CanSetFocus (TWinControl)
pt | CanTab (TControl)
pt | CanTab (TWinControl)
pt | CaptureChanged (TControl)
pt | ChangeBounds (TControl)
pt | Changed (TControl)
 | ChangeName (TComponent)
pt | ChangeScale (TControl)
pt | ChangeScale (TWinControl)
 | CheckChildClassAllowed (TControl)
 | CheckNewParent (TControl)
pt | CheckOnChangeBounds (TControl)
pt | ChildClassAllowed (TControl)
pt | ChildClassAllowed (TWinControl)
pt | ChildHandlesCreated (TWinControl)
pt | ChildKey (TWinControl)
 | ClassInfo (TObject)
 | ClassName (TObject)
 | ClassNameIs (TObject)
 | ClassParent (TObject)
 | ClassType (TObject)
 | CleanupInstance (TObject)
pt | Click (TControl)
 | ClientRectNeedsInterfaceUpdate (TWinControl)
 | ClientToParent (TControl)
 | ClientToScreen (TControl)
pt | CMBiDiModeChanged (TControl)
pt | CMBiDiModeChanged (TWinControl)
pt | CMBorderChanged (TWinControl)
pt | CMChanged (TControl)
pt | CMCursorChanged (TControl)
pt | CMDoubleBufferedChanged (TWinControl)
pt | CMEnabledChanged (TControl)
pt | CMEnabledChanged (TWinControl)
pt | CMEnter (TWinControl)
pt | CMExit (TWinControl)
pt | CMHintShow (TControl)
pt | CMHitTest (TControl)
pt | CMMouseEnter (TControl)
pt | CMMouseLeave (TControl)
pt | CMParentBiDiModeChanged (TControl)
pt | CMParentColorChanged (TControl)
pt | CMParentDoubleBufferedChanged (TWinControl)
pt | CMParentFontChanged (TControl)
pt | CMParentShowHintChanged (TControl)
pt | CMShowHintChanged (TWinControl)
pt | CMShowingChanged (TWinControl)
pt | CMSysFontChanged (TControl)
pt | CMTextChanged (TControl)
pt | CMVisibleChanged (TControl)
pt | CMVisibleChanged (TWinControl)
pt | CNChar (TWinControl)
pt | CNKeyDown (TWinControl)
pt | CNKeyUp (TWinControl)
 | CNPreferredSizeChanged (TControl)
pt | CNSysKeyDown (TWinControl)
pt | CNSysKeyUp (TWinControl)
pt | ColorIsStored (TControl)
pt | ConstrainedResize (TControl)
 | ContainsControl (TWinControl)
 | ControlAtPos (TWinControl)
pt | ControlKeyDown (TWinControl)
pt | ControlKeyUp (TWinControl)
pt | ControlsAligned (TWinControl)
 | ControlToScreen (TControl)
 | Create (TObject)
 | Create (TComponent)
 | Create (TLCLComponent)
 | Create (TControl)
 | Create (TWinControl)
 | Create (TCustomControl)
 | CreateAccessibleObject (TControl)
pt | CreateBrush (TWinControl)
pt | CreateControlBorderSpacing (TControl)
pt | CreateDockManager (TWinControl)
pt | CreateFloatingDockSite (TControl)
pt | CreateHandle (TWinControl)
pt | CreateParams (TWinControl)
 | CreateParented (TWinControl)
 | CreateParentedControl (TWinControl)
pt | CreateSubClass (TWinControl)
pt | CreateWnd (TWinControl)
pt | CustomAlignInsertBefore (TWinControl)
pt | CustomAlignPosition (TWinControl)
pt | DblClick (TControl)
 | DecLCLRefCount (TLCLComponent)
 | DefaultHandler (TObject)
 | DefaultHandler (TWinControl)
 | DefaultHandlerStr (TObject)
 | DefineProperties (TPersistent)
 | DefineProperties (TComponent)
pt | DefineProperties (TControl)
 | Destroy (TObject)
 | Destroy (TPersistent)
 | Destroy (TComponent)
 | Destroy (TLCLComponent)
 | Destroy (TControl)
 | Destroy (TWinControl)
 | Destroy (TCustomControl)
 | DestroyComponents (TComponent)
pt | DestroyHandle (TWinControl)
 | Destroying (TComponent)
pt | DestroyWnd (TWinControl)
pt | DestroyWnd (TCustomControl)
pt | DialogChar (TControl)
pt | DialogChar (TWinControl)
 | DisableAlign (TWinControl)
 | DisableAutoSizing (TControl)
 | Dispatch (TObject)
 | DispatchStr (TObject)
pt | DoAddDockClient (TWinControl)
 | DoAdjustClientRectChange (TWinControl)
pt | DoAlignChildControls (TWinControl)
pt | DoAllAutoSize (TControl)
pt | DoAllAutoSize (TWinControl)
pt | DoAutoAdjustLayout (TControl)
pt | DoAutoSize (TControl)
pt | DoAutoSize (TWinControl)
pt | DoBorderSpacingChange (TControl)
pt | DoCallKeyEventHandler (TControl)
pt | DoCallMouseWheelEventHandler (TControl)
pt | DoCallNotifyHandler (TControl)
pt | DoChildSizingChange (TWinControl)
 | Dock (TControl)
 | DockDrop (TWinControl)
 | Docked (TControl)
pt | DockOver (TWinControl)
pt | DockTrackNoTarget (TControl)
pt | DoConstraintsChange (TControl)
pt | DoConstraintsChange (TWinControl)
pt | DoContextPopup (TControl)
pt | DoDock (TControl)
pt | DoDockClientMsg (TWinControl)
pt | DoDockOver (TWinControl)
pt | DoDragMsg (TControl)
pt | DoDragMsg (TWinControl)
pt | DoEndDock (TControl)
pt | DoEndDrag (TControl)
pt | DoEnter (TWinControl)
pt | DoExit (TWinControl)
pt | DoFixDesignFontPPI (TControl)
pt | DoFlipChildren (TWinControl)
pt | DoFloatMsg (TControl)
pt | DoFloatMsg (TWinControl)
pt | DoGetDockCaption (TWinControl)
pt | DoKeyDownBeforeInterface (TWinControl)
pt | DoKeyPress (TWinControl)
pt | DoKeyUpBeforeInterface (TWinControl)
pt | DoMouseWheel (TControl)
pt | DoMouseWheelDown (TControl)
pt | DoMouseWheelHorz (TControl)
pt | DoMouseWheelLeft (TControl)
pt | DoMouseWheelRight (TControl)
pt | DoMouseWheelUp (TControl)
pt | DoOnChangeBounds (TControl)
pt | DoOnParentHandleDestruction (TControl)
pt | DoOnResize (TControl)
pt | DoOnShowHint (TControl)
pt | DoRemainingKeyDown (TWinControl)
pt | DoRemainingKeyUp (TWinControl)
pt | DoRemoveDockClient (TWinControl)
pt | DoScaleFontPPI (TControl)
pt | DoSendBoundsToInterface (TWinControl)
pt | DoSendShowHideToInterface (TWinControl)
pt | DoSetBounds (TControl)
pt | DoSetBounds (TWinControl)
pt | DoStartDock (TControl)
pt | DoStartDrag (TControl)
pt | DoUnDock (TWinControl)
pt | DoUndockClientMsg (TWinControl)
pt | DoUTF8KeyPress (TWinControl)
pt | DragCanceled (TControl)
 | DragDrop (TControl)
 | Dragging (TControl)
pt | DragOver (TControl)
 | EditingDone (TControl)
 | EnableAlign (TWinControl)
 | EnableAutoSizing (TControl)
pt | EnabledChanged (TControl)
pt | EnabledChanging (TControl)
pt | EndAutoSizing (TControl)
 | EndDrag (TControl)
 | EndUpdateBounds (TWinControl)
 | Equals (TObject)
 | EraseBackground (TWinControl)
 | ExecuteAction (TComponent)
 | ExecuteCancelAction (TControl)
 | ExecuteDefaultAction (TControl)
 | FieldAddress (TObject)
pt | FinalizeWnd (TWinControl)
 | FindChildControl (TWinControl)
 | FindComponent (TComponent)
pt | FindNextControl (TWinControl)
 | FixDesignFontsPPI (TControl)
pt | FixupTabList (TWinControl)
 | FlipChildren (TWinControl)
 | Focused (TWinControl)
pt | FontChanged (TControl)
pt | FontChanged (TWinControl)
pt | FontChanged (TCustomControl)
pt | ForeignAnchorSideChanged (TControl)
pt | FormEndUpdated (TControl)
pt | FormEndUpdated (TWinControl)
 | FormIsUpdating (TControl)
 | FPOAttachObserver (TPersistent)
 | FPODetachObserver (TPersistent)
 | FPONotifyObservers (TPersistent)
 | Free (TObject)
 | FreeInstance (TObject)
 | FreeNotification (TComponent)
 | FreeOnRelease (TComponent)
 | GetAccessibleObject (TControl)
pt | GetAction (TControl)
pt | GetActionLinkClass (TControl)
pt | GetAdjustedLogicalClientRect (TWinControl)
 | GetAnchorsDependingOnParent (TControl)
pt | GetBorderStyle (TWinControl)
pt | GetCachedText (TControl)
 | GetCanvasScaleFactor (TControl)
 | GetChildAccessibleObjectAtPos (TControl)
 | GetChildOwner (TComponent)
 | GetChildParent (TComponent)
 | GetChildren (TComponent)
pt | GetChildren (TWinControl)
 | GetChildrenRect (TControl)
 | GetChildrenRect (TWinControl)
pt | GetClientOrigin (TControl)
pt | GetClientOrigin (TWinControl)
pt | GetClientRect (TControl)
pt | GetClientRect (TWinControl)
pt | GetClientScrollOffset (TControl)
 | GetColorResolvingParent (TControl)
 | GetComObject (TComponent)
 | GetComponent (TComponent)
 | GetComponentCount (TComponent)
 | GetComponentIndex (TComponent)
pt | GetControlClassDefaultSize (TControl)
 | GetControlIndex (TWinControl)
pt | GetControlOrigin (TControl)
pt | GetControlOrigin (TWinControl)
pt | GetCursor (TControl)
 | GetDefaultColor (TControl)
pt | GetDefaultDockCaption (TControl)
 | GetDefaultHeight (TControl)
 | GetDefaultWidth (TControl)
pt | GetDeviceContext (TControl)
pt | GetDeviceContext (TWinControl)
 | GetDockCaption (TWinControl)
pt | GetDockEdge (TControl)
pt | GetDragImages (TControl)
pt | GetEnabled (TControl)
 | GetEnumerator (TComponent)
 | GetEnumeratorControls (TWinControl)
 | GetEnumeratorControlsReverse (TWinControl)
pt | GetFloating (TControl)
pt | GetFloatingDockSiteClass (TControl)
 | GetHashCode (TObject)
 | GetIDsOfNames (TComponent)
 | GetInterface (TObject)
 | GetInterfaceByStr (TObject)
 | GetInterfaceEntry (TObject)
 | GetInterfaceEntryByStr (TObject)
 | GetInterfaceTable (TObject)
 | GetInterfaceWeak (TObject)
pt | GetLogicalClientRect (TControl)
pt | GetMouseCapture (TControl)
pt | GetMouseCapture (TWinControl)
pt | GetMousePosFromMessage (TControl)
 | GetNamePath (TPersistent)
 | GetNamePath (TComponent)
 | GetOwner (TPersistent)
 | GetOwner (TComponent)
pt | GetPalette (TControl)
pt | GetParentBackground (TWinControl)
 | GetParentComponent (TComponent)
 | GetParentComponent (TControl)
pt | GetParentHandle (TWinControl)
pt | GetPopupMenu (TControl)
 | GetPreferredSize (TControl)
pt | GetPreferredSizeClientFrame (TWinControl)
 | GetRGBColorResolvingParent (TControl)
pt | GetScrolledClientRect (TControl)
 | GetSelectedChildAccessibleObject (TControl)
 | GetSidePosition (TControl)
pt | GetSiteInfo (TWinControl)
 | GetTabOrderList (TWinControl)
 | GetTextBuf (TControl)
 | GetTextLen (TControl)
 | GetTextLen (TWinControl)
 | GetTopParent (TControl)
pt | GetTopParentHandle (TWinControl)
 | GetTypeInfo (TComponent)
 | GetTypeInfoCount (TComponent)
pt | GetWSComponentClass (TLCLComponent)
 | HandleAllocated (TWinControl)
 | HandleNeeded (TWinControl)
 | HandleObjectShouldBeVisible (TControl)
 | HasHelp (TControl)
 | HasParent (TComponent)
 | HasParent (TControl)
pt | HeightIsAnchored (TControl)
 | Hide (TControl)
 | iicrGetComponent (TComponent)
 | IncLCLRefCount (TLCLComponent)
 | InheritsFrom (TObject)
pt | InitializeWnd (TWinControl)
 | InitiateAction (TControl)
 | InitInstance (TObject)
 | Insert (TComponent)
 | InsertComponent (TComponent)
 | InsertControl (TWinControl)
 | InstanceSize (TObject)
 | IntfGetDropFilesTarget (TWinControl)
 | IntfUTF8KeyPress (TWinControl)
 | Invalidate (TControl)
 | Invalidate (TWinControl)
pt | InvalidateBoundsRealized (TWinControl)
 | InvalidateClientRectCache (TWinControl)
pt | InvalidateControl (TControl)
pt | InvalidatePreferredChildSizes (TWinControl)
 | InvalidatePreferredSize (TControl)
 | Invoke (TComponent)
pt | IsAParentAligning (TControl)
pt | IsBorderSpacingInnerBorderStored (TControl)
pt | IsCaptionStored (TControl)
pt | IsClientHeightStored (TControl)
pt | IsClientHeightStored (TWinControl)
pt | IsClientWidthStored (TControl)
pt | IsClientWidthStored (TWinControl)
pt | IsControlMouseMsg (TWinControl)
 | IsControlVisible (TControl)
 | IsEnabled (TControl)
 | IsImplementorOf (TComponent)
 | IsParentColor (TControl)
 | IsParentFont (TControl)
 | IsParentOf (TControl)
 | IsProcessingPaintMsg (TControl)
 | IsRightToLeft (TControl)
 | IsVisible (TControl)
pt | KeyDown (TWinControl)
pt | KeyDownAfterInterface (TWinControl)
pt | KeyDownBeforeInterface (TWinControl)
pt | KeyPress (TWinControl)
pt | KeyUp (TWinControl)
pt | KeyUpAfterInterface (TWinControl)
pt | KeyUpBeforeInterface (TWinControl)
pt | LMCaptureChanged (TControl)
 | Loaded (TComponent)
pt | Loaded (TControl)
pt | Loaded (TWinControl)
pt | LoadedAll (TControl)
 | Loading (TComponent)
 | LockRealizeBounds (TWinControl)
pt | MainWndProc (TWinControl)
 | ManualDock (TControl)
 | ManualFloat (TControl)
 | MethodAddress (TObject)
 | MethodName (TObject)
pt | MouseDown (TControl)
pt | MouseEnter (TControl)
pt | MouseLeave (TControl)
pt | MouseMove (TControl)
pt | MouseUp (TControl)
 | newinstance (TObject)
 | NewInstance (TLCLComponent)
 | Notification (TComponent)
pt | Notification (TControl)
 | NotifyControls (TWinControl)
pt | Paint (TCustomControl)
pt | PaintControls (TWinControl)
pt | PaintHandler (TWinControl)
 | PaintTo (TWinControl)
pt | PaintWindow (TWinControl)
pt | PaintWindow (TCustomControl)
 | PaletteCreated (TComponent)
 | ParentDestroyingHandle (TControl)
pt | ParentFontChanged (TControl)
pt | ParentFormHandleInitialized (TControl)
pt | ParentFormHandleInitialized (TWinControl)
 | ParentHandlesAllocated (TControl)
 | ParentHandlesAllocated (TWinControl)
 | ParentToClient (TControl)
 | Perform (TControl)
 | PerformTab (TWinControl)
pt | PositionDockRect (TControl)
pt | QuadClick (TControl)
 | QueryInterface (TComponent)
 | ReadLeft (TComponent)
 | ReadState (TComponent)
pt | ReadState (TControl)
 | ReadTop (TComponent)
pt | RealGetText (TControl)
pt | RealGetText (TWinControl)
 | ReAlign (TWinControl)
pt | RealizeBounds (TWinControl)
pt | RealizeBoundsRecursive (TWinControl)
pt | RealSetText (TControl)
pt | RealSetText (TWinControl)
 | ReferenceInterface (TComponent)
 | Refresh (TControl)
pt | ReloadDockedControl (TWinControl)
 | Remove (TComponent)
 | RemoveAllHandlersOfObject (TLCLComponent)
 | RemoveAllHandlersOfObject (TControl)
 | RemoveComponent (TComponent)
 | RemoveControl (TWinControl)
pt | RemoveFocus (TWinControl)
 | RemoveFreeNotification (TComponent)
pt | RemoveHandler (TControl)
 | RemoveHandlerOnBeforeDestruction (TControl)
 | RemoveHandlerOnChangeBounds (TControl)
 | RemoveHandlerOnEnableChanging (TControl)
 | RemoveHandlerOnKeyDown (TControl)
 | RemoveHandlerOnMouseWheel (TControl)
 | RemoveHandlerOnResize (TControl)
 | RemoveHandlerOnVisibleChanged (TControl)
 | RemoveHandlerOnVisibleChanging (TControl)
 | RemoveNotification (TComponent)
 | Repaint (TControl)
 | Repaint (TWinControl)
 | ReplaceDockedControl (TControl)
pt | RequestAlign (TControl)
pt | Resize (TControl)
 | SafeCallException (TObject)
 | SafeCallException (TComponent)
 | Scale96ToFont (TControl)
 | Scale96ToForm (TControl)
 | Scale96ToScreen (TControl)
 | ScaleBy (TWinControl)
pt | ScaleConstraints (TControl)
pt | ScaleControls (TWinControl)
 | ScaleDesignToForm (TControl)
 | ScaleFontsPPI (TControl)
 | ScaleFontTo96 (TControl)
 | ScaleFontToScreen (TControl)
 | ScaleFormTo96 (TControl)
 | ScaleFormToDesign (TControl)
 | ScaleScreenTo96 (TControl)
 | ScaleScreenToFont (TControl)
 | ScreenToClient (TControl)
 | ScreenToControl (TControl)
 | ScrollBy (TWinControl)
 | ScrollBy_WS (TWinControl)
pt | SelectFirst (TWinControl)
 | SelectNext (TWinControl)
pt | SendDialogChar (TWinControl)
pt | SendMoveSizeMessages (TControl)
pt | SendMoveSizeMessages (TWinControl)
 | SendToBack (TControl)
pt | SetAction (TControl)
pt | SetAlign (TControl)
 | SetAncestor (TComponent)
pt | SetAnchors (TControl)
pt | SetAutoSize (TControl)
pt | SetBiDiMode (TControl)
pt | SetBorderStyle (TWinControl)
 | SetBounds (TControl)
 | SetBounds (TWinControl)
 | SetBoundsKeepBase (TControl)
 | SetChildOrder (TComponent)
pt | SetChildZPosition (TWinControl)
pt | SetColor (TControl)
pt | SetColor (TWinControl)
pt | SetColor (TCustomControl)
 | SetComponentIndex (TComponent)
 | SetControlIndex (TWinControl)
pt | SetCursor (TControl)
 | SetDesigning (TComponent)
 | SetDesignInstance (TComponent)
pt | SetDockManager (TWinControl)
pt | SetDragMode (TControl)
pt | SetEnabled (TControl)
 | SetFocus (TWinControl)
pt | SetHint (TControl)
 | SetInitialBounds (TControl)
 | SetInline (TComponent)
 | SetName (TComponent)
pt | SetName (TControl)
pt | SetParent (TControl)
pt | SetParentBackground (TWinControl)
pt | SetParentBiDiMode (TControl)
 | SetParentComponent (TComponent)
pt | SetParentComponent (TControl)
 | SetReference (TComponent)
 | SetShape (TWinControl)
 | SetSubComponent (TComponent)
 | SetTempCursor (TControl)
 | SetTempCursor (TWinControl)
 | SetTextBuf (TControl)
pt | SetVisible (TControl)
pt | SetZOrder (TControl)
 | ShouldAutoAdjust (TControl)
 | Show (TControl)
pt | ShowControl (TWinControl)
 | ShowHelp (TControl)
 | StringMessageTable (TObject)
pt | TextChanged (TControl)
 | ToString (TObject)
pt | TripleClick (TControl)
 | UnitName (TObject)
 | UnlockRealizeBounds (TWinControl)
 | Update (TControl)
 | Update (TWinControl)
 | UpdateAction (TComponent)
pt | UpdateAnchorRules (TControl)
 | UpdateBaseBounds (TControl)
pt | UpdateControlState (TWinControl)
 | Updated (TComponent)
 | UpdateDockCaption (TWinControl)
pt | UpdateMouseCursor (TControl)
 | UpdateRegistry (TComponent)
 | UpdateRolesForForm (TControl)
pt | UpdateShowing (TWinControl)
 | Updating (TComponent)
 | UseRightToLeftAlignment (TControl)
 | UseRightToLeftReading (TControl)
 | UseRightToLeftScrollBar (TControl)
pt | UTF8KeyPress (TWinControl)
 | ValidateContainer (TComponent)
 | ValidateInsert (TComponent)
 | ValidateRename (TComponent)
pt | VisibleChanged (TControl)
pt | VisibleChanging (TControl)
pt | WidthIsAnchored (TControl)
pt | WMCancelMode (TControl)
pt | WMChar (TWinControl)
pt | WMContextMenu (TControl)
pt | WMContextMenu (TWinControl)
pt | WMDestroy (TWinControl)
pt | WMEnter (TWinControl)
pt | WMEraseBkgnd (TWinControl)
pt | WMExit (TWinControl)
pt | WMKeyDown (TWinControl)
pt | WMKeyUp (TWinControl)
pt | WMKillFocus (TWinControl)
pt | WMLButtonDBLCLK (TControl)
pt | WMLButtonDown (TControl)
pt | WMLButtonQuadCLK (TControl)
pt | WMLButtonTripleCLK (TControl)
pt | WMLButtonUp (TControl)
pt | WMMButtonDBLCLK (TControl)
pt | WMMButtonDown (TControl)
pt | WMMButtonQuadCLK (TControl)
pt | WMMButtonTripleCLK (TControl)
pt | WMMButtonUp (TControl)
pt | WMMouseHWheel (TControl)
pt | WMMouseMove (TControl)
pt | WMMouseWheel (TControl)
pt | WMMove (TControl)
pt | WMMove (TWinControl)
pt | WMNotify (TWinControl)
pt | WMPaint (TWinControl)
pt | WMPaint (TCustomControl)
pt | WMRButtonDBLCLK (TControl)
pt | WMRButtonDown (TControl)
pt | WMRButtonQuadCLK (TControl)
pt | WMRButtonTripleCLK (TControl)
pt | WMRButtonUp (TControl)
pt | WMSetFocus (TWinControl)
pt | WMShowWindow (TWinControl)
pt | WMSize (TControl)
pt | WMSize (TWinControl)
pt | WMSysChar (TWinControl)
pt | WMSysKeyDown (TWinControl)
pt | WMSysKeyUp (TWinControl)
pt | WMWindowPosChanged (TControl)
pt | WMWindowPosChanged (TWinControl)
pt | WMXButtonDBLCLK (TControl)
pt | WMXButtonDown (TControl)
pt | WMXButtonQuadCLK (TControl)
pt | WMXButtonTripleCLK (TControl)
pt | WMXButtonUp (TControl)
pt | WndProc (TControl)
pt | WndProc (TWinControl)
 | WriteLayoutDebugReport (TControl)
 | WriteLayoutDebugReport (TWinControl)
 | WriteLeft (TComponent)
 | WriteState (TComponent)
 | WriteTop (TComponent)
pt | WSRegisterClass (TLCLComponent)
pt | WSRegisterClass (TControl)
pt | WSRegisterClass (TWinControl)
pt | WSRegisterClass (TCustomControl)
pt | WSSetText (TWinControl)
 | _AddRef (TComponent)
 | _Release (TComponent)


TCustomControl
 | OnPaint
TWinControl
pt | OnGetSiteInfo
pt | OnGetDockCaption
 | OnAlignInsertBefore
 | OnAlignPosition
 | OnDockDrop
 | OnDockOver
 | OnEnter
 | OnExit
 | OnKeyDown
 | OnKeyPress
 | OnKeyUp
 | OnUnDock
 | OnUTF8KeyPress
TControl
pt | OnConstrainedResize
pt | OnContextPopup
pt | OnDblClick
pt | OnTripleClick
pt | OnQuadClick
pt | OnDragDrop
pt | OnDragOver
pt | OnEndDock
pt | OnEndDrag
pt | OnMouseDown
pt | OnMouseMove
pt | OnMouseUp
pt | OnMouseEnter
pt | OnMouseLeave
pt | OnMouseWheel
pt | OnMouseWheelDown
pt | OnMouseWheelUp
pt | OnMouseWheelHorz
pt | OnMouseWheelLeft
pt | OnMouseWheelRight
pt | OnStartDock
pt | OnStartDrag
pt | OnEditingDone
 | OnChangeBounds
 | OnClick
 | OnResize
 | OnShowHint
TLCLComponent
TComponent
TPersistent
TObject


TCustomControl.Canvas

The drawing surface for the control, see TCanvas for details.

Declaration

Source position: controls.pp line 2400

public property TCustomControl.Canvas : TCanvas
  read FCanvas
  write FCanvas;

See also

TCanvas

TCanvas represents a drawing surface which might be attached to a visual control which might be displayed on the screen or to an offscreen bitmap. It contains a number of drawing functions.


TCustomControl.Create

Declaration

Source position: controls.pp line 2397

public constructor TCustomControl.Create(

  AOwner: TComponent

); override;


TCustomControl.Destroy

Declaration

Source position: controls.pp line 2398

public destructor TCustomControl.Destroy; override;


TCustomControl.OnPaint

Supply your own OnPaint handler for painting the control.

Declaration

Source position: controls.pp line 2402

public property TCustomControl.OnPaint : TNotifyEvent
  read FOnPaint
  write FOnPaint;

See also

TCustomControl.Paint

Override this method in your derived class with your own paint handler.


TCustomControl.Paint

Override this method in your derived class with your own paint handler.

Declaration

Source position: controls.pp line 2395

protected procedure TCustomControl.Paint; virtual;


TCustomControl.WMPaint

Event handler for paint messages.

Declaration

Source position: controls.pp line 2390

protected procedure TCustomControl.WMPaint(

  var Message: TLMPaint

); message;


TDockManager

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

The layout manager for a docksite.

Declaration

Source position: controls.pp line 605

type TDockManager = class(TPersistent)
public
constructor Create(); virtual; | Creates an DockManager for ADockSite
procedure BeginUpdate; virtual; | Start updating the DockSite layout.
procedure EndUpdate; virtual; | Finish updating the DockSite layout.
procedure GetControlBounds(); virtual; abstract; | Returns the zone bounds of a docked control.
function GetDockEdge(); virtual; | Determine the DropAlign.
procedure InsertControl(); | Position DropCtl relative Control, using the alignment specified by InsertAt.
procedure LoadFromStream(); virtual; abstract; | Restores the layout of the docksite from Stream.
procedure PaintSite(); virtual; | Handles special painting of the docksite.
procedure MessageHandler(); virtual; | Handles the messages sent to a docksite.
procedure PositionDockRect(); | Determines the DockRect while dragging a control over the docksite.
procedure RemoveControl(); virtual; abstract; | Removes the undocked control from the docksite layout.
procedure ResetBounds(); virtual; abstract; | ResetBounds refreshes the layout of the docksite.
procedure SaveToStream(); virtual; abstract; | Saves the docksite layout to Stream.
procedure SetReplacingControl(); virtual; | Specifies the control to be replaced subsequently.
function AutoFreeByControl; virtual; | Returns True if the DockManager should be destroyed together with the docksite.
function IsEnabledControl(); virtual;
end;

Inheritance

TDockManager

The layout manager for a docksite.
|

TPersistent,IFPObserved
|

TObject

Description

Every docksite can have an DockManager, which arranges the docked controls.

See also

controls.TDockTree

A docking manager for tree-style layouts.


TDockManager

TPersistent

TObject


TDockManager
 | Create
 | BeginUpdate
 | EndUpdate
 | GetControlBounds
 | GetDockEdge
 | InsertControl
 | LoadFromStream
 | PaintSite
 | MessageHandler
 | PositionDockRect
 | RemoveControl
 | ResetBounds
 | SaveToStream
 | SetReplacingControl
 | AutoFreeByControl
 | IsEnabledControl
TPersistent
 | AssignError
 | AssignTo
 | DefineProperties
 | GetOwner
 | Destroy
 | Assign
 | FPOAttachObserver
 | FPODetachObserver
 | FPONotifyObservers
 | GetNamePath
TObject
 | Create
 | Destroy
 | newinstance
 | FreeInstance
 | SafeCallException
 | DefaultHandler
 | Free
 | InitInstance
 | CleanupInstance
 | ClassType
 | ClassInfo
 | ClassName
 | ClassNameIs
 | ClassParent
 | InstanceSize
 | InheritsFrom
 | StringMessageTable
 | MethodAddress
 | MethodName
 | FieldAddress
 | AfterConstruction
 | BeforeDestruction
 | DefaultHandlerStr
 | Dispatch
 | DispatchStr
 | GetInterface
 | GetInterfaceByStr
 | GetInterfaceWeak
 | GetInterfaceEntry
 | GetInterfaceEntryByStr
 | GetInterfaceTable
 | UnitName
 | Equals
 | GetHashCode
 | ToString


AssignError (TPersistent)

AssignTo (TPersistent)

AutoFreeByControl (TDockManager)

BeforeDestruction (TObject)

BeginUpdate (TDockManager)

ClassInfo (TObject)

ClassName (TObject)

ClassNameIs (TObject)

ClassParent (TObject)

ClassType (TObject)

CleanupInstance (TObject)

Create (TObject)

Create (TDockManager)

DefaultHandler (TObject)

DefaultHandlerStr (TObject)

DefineProperties (TPersistent)

Destroy (TObject)

Destroy (TPersistent)

Dispatch (TObject)

DispatchStr (TObject)

EndUpdate (TDockManager)

Equals (TObject)

FieldAddress (TObject)

FPOAttachObserver (TPersistent)

FPODetachObserver (TPersistent)

FPONotifyObservers (TPersistent)

Free (TObject)

FreeInstance (TObject)

GetControlBounds (TDockManager)

GetDockEdge (TDockManager)

GetHashCode (TObject)

GetInterface (TObject)

GetInterfaceByStr (TObject)

GetInterfaceEntry (TObject)

GetInterfaceEntryByStr (TObject)

GetInterfaceTable (TObject)

GetInterfaceWeak (TObject)

GetNamePath (TPersistent)

GetOwner (TPersistent)

InheritsFrom (TObject)

InitInstance (TObject)

InsertControl (TDockManager)

InstanceSize (TObject)

IsEnabledControl (TDockManager)

LoadFromStream (TDockManager)

MessageHandler (TDockManager)

MethodAddress (TObject)

MethodName (TObject)

newinstance (TObject)

PaintSite (TDockManager)

PositionDockRect (TDockManager)

RemoveControl (TDockManager)

ResetBounds (TDockManager)

SafeCallException (TObject)

SaveToStream (TDockManager)

SetReplacingControl (TDockManager)

StringMessageTable (TObject)

ToString (TObject)

UnitName (TObject)


TDockManager.AutoFreeByControl

Returns True if the DockManager should be destroyed together with the docksite.

Declaration

Source position: controls.pp line 626

public function TDockManager.AutoFreeByControl: Boolean; virtual;

Function result

True if the DockManager should be destroyed together with the docksite.

Description

This is a Lazarus specific extension of the Delphi TDockManager. It allows multiple docksites to share the same DockManager instance.


TDockManager.BeginUpdate

Start updating the DockSite layout.

Declaration

Source position: controls.pp line 608

public procedure TDockManager.BeginUpdate; virtual;


TDockManager.Create

Creates an DockManager for ADockSite

Declaration

Source position: controls.pp line 607

public constructor TDockManager.Create(

  ADockSite: TWinControl

); virtual;

Arguments

ADockSite

This is the TWinControl acting as the docksite.


TDockManager.EndUpdate

Finish updating the DockSite layout.

Declaration

Source position: controls.pp line 609

public procedure TDockManager.EndUpdate; virtual;


TDockManager.GetControlBounds

Returns the zone bounds of a docked control.

Declaration

Source position: controls.pp line 610

public procedure TDockManager.GetControlBounds(

  Control: TControl;

  out AControlBounds: TRect

); virtual; abstract;

Arguments

Control | The docked control.
AControlBounds | The enclosing rectangle, in client coordinates of the docksite.

Description

The TDockTree manager returns the bounds of the dockzone, including the dock header.

When the Control is not docked, an empty Rect(0,0,0,0) is returned.


TDockManager.GetDockEdge

Determine the DropAlign.

Declaration

Source position: controls.pp line 612

public function TDockManager.GetDockEdge(

  ADockObject: TDragDockObject

):Boolean; virtual;

Arguments

ADockObject

The DragDockObject holding all information about the drag-dock operation.

Function result

True if the DropAlign was determined.

Description

ADockObject contains valid DragTarget, DragPos and DragTargetPos relative dock site. DockRect is undetermined.

DropOnControl may be Nil if nothing has been docked yet, or no target control exists at the mouse coordinates.

Returns True if ADockObject.DropAlign has been determined. If False, the DropAlign has to be determined by default procedures.


TDockManager.InsertControl

Position DropCtl relative Control, using the alignment specified by InsertAt.

Declaration

Source position: controls.pp line 613

public procedure TDockManager.InsertControl(

  ADockObject: TDragDockObject

); virtual; overload;

procedure TDockManager.InsertControl(

  Control: TControl;

  InsertAt: TAlign;

  DropCtl: TControl

); virtual; abstract; overload;

Arguments

ADockObject

The DragDockObject holding all information about the drag-dock operation.

Arguments

Control | The control relative to which insert.
InsertAt | How to insert relative to Control.
DropCtl | The control to insert.

Description

InsertControl determines the placement of the just docked control, forcing a repaint of the container control if necessary.

Remark: When SetReplacingControl has been called with a non-Nil Control before, the dropped control only should replace that control.

An overloaded version passes the DragDockObject to the dockmanager, allowing to pass more information about the drop. It allows one to implement other than tree-style docksites.

See also

TDockManager.RemoveControl

Removes the undocked control from the docksite layout.


TDockManager.IsEnabledControl

Declaration

Source position: controls.pp line 627

public function TDockManager.IsEnabledControl(

  Control: TControl

):Boolean; virtual;


TDockManager.LoadFromStream

Restores the layout of the docksite from Stream.

Declaration

Source position: controls.pp line 616

public procedure TDockManager.LoadFromStream(

  Stream: TStream

); virtual; abstract;

Arguments

Stream

The stream with the layout information.

Description

The controls to be docked can be retrieved by ReloadDockedControl from the docksite; this method returns only existing controls of the given name, owned by the owner of the docksite, by default.

See also

TWinControl.ReloadDockedControl | Returns the docked control of the specified name.
TDockManager.SaveToStream | Saves the docksite layout to Stream.


TDockManager.MessageHandler

Handles the messages sent to a docksite.

Declaration

Source position: controls.pp line 618

public procedure TDockManager.MessageHandler(

  Sender: TControl;

  var Message: TLMessage

); virtual;

Arguments

Message

The message to be processed.

Description

This handler must handle all mouse messages, related to the client area of the docksite that is not covered by docked controls (dock headers...).

Handling mouse messages while dragging is not required. Painting of the docksite has to be implemented in PaintSite.

See also

TDockManager.PaintSite

Handles special painting of the docksite.


TDockManager.PaintSite

Handles special painting of the docksite.

Declaration

Source position: controls.pp line 617

public procedure TDockManager.PaintSite(

  DC: HDC

); virtual;

Arguments

DC

The device context, used to paint.

Description

While the docked controls paint themselves, eventual dockheaders and other decoration have to be painted by the DockManager.


TDockManager.PositionDockRect

Determines the DockRect while dragging a control over the docksite.

Declaration

Source position: controls.pp line 619

public procedure TDockManager.PositionDockRect(

  ADockObject: TDragDockObject

); virtual; overload;

procedure TDockManager.PositionDockRect(

  Client: TControl;

  DropCtl: TControl;

  DropAlign: TAlign;

  var DockRect: TRect

); virtual; abstract; overload;

Arguments

ADockObject

The DragDockObject holding all information about the drag-dock operation.

Arguments

Client | The dropped control.
DropCtl | The control relative to which Client shall be docked. Nil for docking into the docksite.
DropAlign | How to dock, relative to DropCtl.
DockRect | The screen rectangle of the docksite, to be adjusted by this method.

Description

This method updates DockRect for the visual feedback, when a control is dragged over the docksite.

The initial DragDockObject.DockRect spans the entire DockSite.

The Delphi compatible version only can use the parameters determined by the default processing in the docksite.

The Lazarus specific version can update the DockObject with better suited parameters. A DockManager here can implement any algorithm for the placement of a dropped control. The default implementation calls the Delphi compatible version.
When you override the Lazarus version, you may have to determine the dock sibling and DropAlign again, when the default determination (in TControl and TWinControl) is inappropriate.

See also

TDragDockObject

A drag object for drag-dock.


TDockManager.RemoveControl

Removes the undocked control from the docksite layout.

Declaration

Source position: controls.pp line 622

public procedure TDockManager.RemoveControl(

  Control: TControl

); virtual; abstract;

Arguments

Control

Control to remove.

Description

When SetReplacingControl has been called with a non-Nil argument before, the layout of the docksite should not be changed. Instead the next inserted control should take the place and role of this control.


TDockManager.ResetBounds

ResetBounds refreshes the layout of the docksite.

Declaration

Source position: controls.pp line 623

public procedure TDockManager.ResetBounds(

  Force: Boolean

); virtual; abstract;

Arguments

Force

When True, always update the layout.

Description

This method typically notifies the DockManager of a Resize of the docksite.

When the extent of the docksite really has changed, the DockManager should reposition and resize all docked controls accordingly.

The layout always should be refreshed when Force is True. This is required when e.g. the visibility of docked controls has changed, but not the size of the docksite.


TDockManager.SaveToStream

Saves the docksite layout to Stream.

Declaration

Source position: controls.pp line 624

public procedure TDockManager.SaveToStream(

  Stream: TStream

); virtual; abstract;

Arguments

Stream

Write the layout information into this stream.

See also

TDockManager.LoadFromStream

Restores the layout of the docksite from Stream.


TDockManager.SetReplacingControl

Specifies the control to be replaced subsequently.

Declaration

Source position: controls.pp line 625

public procedure TDockManager.SetReplacingControl(

  Control: TControl

); virtual;

Arguments

Control

The control to be replaced later.

Description

This method is called by ReplaceDockedControl, to announce a pending replacement of Control by another control. The next RemoveControl should be ignored, and InsertControl should only exchange the controls, without reorganizing the layout of the docksite. When Control is Nil, this call signals the end of the exchange [obsolete].

Remark: The name "SetReplacingControl" is a misnomer, it should read "SetControlToBeReplaced".

The intended purpose of this method is the replacement of a docked control by a Notebook, preserving the DockZone. This operation should be handled by an DockManager internally, and calls to this method should be ignored.

See also

TDockManager.InsertControl | Position DropCtl relative Control, using the alignment specified by InsertAt.
TDockManager.RemoveControl | Removes the undocked control from the docksite layout.


TDockManagerClass

The DockManager class type, for use when a DockManager is automatically created.

Declaration

Source position: controls.pp line 630

type TDockManagerClass = class of TDockManager;

See also

TWinControl.CreateDockManager | Returns the DockManager for this control.
DefaultDockManagerClass | The default DockManager to create for a DockSite.


TDockTree

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

A docking manager for tree-style layouts.

Declaration

Source position: controls.pp line 2595

type TDockTree = class(TDockManager)
protected
FRootZone: TDockZone;
function HitTest(); virtual; | Returns the control and the part of the dockzone, at the given coordinates.
procedure PaintDockFrame(); virtual; | Paints the dock header of the zone containing AControl.
procedure UpdateAll; |
procedure SetDockZoneClass();
public
constructor Create(); override;
destructor Destroy; override;
procedure BeginUpdate; override; | Start updating the DockSite layout.
procedure EndUpdate; override; | Finish updating the DockSite layout.
procedure AdjustDockRect(); virtual; | Adjusts the zone rectangle for AControl.
procedure GetControlBounds(); override; | Returns the zone bounds of a docked control.
procedure InsertControl(); override; | Positions DropCtl relative Control, using the alignment specified by InsertAt.
procedure LoadFromStream(); override;
procedure MessageHandler(); override;
procedure PositionDockRect(); override;
procedure RemoveControl(); override;
procedure SaveToStream(); override;
procedure SetReplacingControl(); override;
procedure ResetBounds(); override;
procedure PaintSite(); override; | Handles special painting of the docksite.
procedure DumpLayout(); virtual; | Stores the layout in an file.
property DockZoneClass: TDockZoneClass; [r] | The class of all dock zones in this tree.
property DockSite: TWinControl; [rw] | The parent control whose docked clients are managed.
property RootZone: TDockZone; [r] | The root zone of the DockTree.
end;

Inheritance

TDockTree | A docking manager for tree-style layouts.
|
TDockManager | The layout manager for a docksite.
|
TPersistent,IFPObserved
|
TObject

Description

A tree-style layout is organized in layers of a specific (horizontal or vertical) orientation. Every node in the tree is either a container for other nodes, or represents a zone with a single docked control. All child zones of an node have the same DockOrientation.

The following documentation is copied from the Controls unit. It is of historical interest only, since it effectively describes the AnchorDocking, implemented in TCustomAnchoredDockManager. AnchorDocking is not related to visual drag-dock procedures, it merely is an attempt to implement just an layout manager.
[todo: make this description an topic]

Remark: The TLazDockTree implementation never was finished, due to problems with the anchor "docking" mechanism. Use the EasyDockManager (examples/dockmanager) instead.
This is an abstract class. A real implementation is e.g. in ldocktree.pas.

    Docking means here: Combining several windows to one. A window can here be
    a TCustomForm or a floating control (undocked) or a TDockForm.
    A window can be docked to another to the left, right, top, bottom or "into".
    The docking source window will be resized, to fit to the docking target
    window.

    Example1: Docking "A" (source window) left to "B" (target window)

       +---+    +----+
       | A | -> | B  |
       +---+    |    |
                +----+
      Result: A new docktree will be created. Height of "A" will be resized to
              the height of "B".
              A splitter will be inserted between "A" and "B".
              And all three are children of the newly created TLazDockForm of the
              newly created TDockTree.

       +------------+
       |+---+|+----+|
       || A ||| B  ||
       ||   |||    ||
       |+---+|+----+|
       +------------+

      If "A" or "B" were floating controls, the floating dock sites are freed.
      If "A" or "B" were forms, their decorations (title bars and borders) are
      replaced by docked decorations.
      If "A" had a TDockTree, it is freed and its child dockzones are merged to
      the docktree of "B". Analog for docking "C" left to "A":

       +------------------+
       |+---+|+---+|+----+|
       || C ||| A ||| B  ||
       ||   |||   |||    ||
       |+---+|+---+|+----+|
       +------------------+

    Example2: Docking A into B
                +-----+
       +---+    |     |
       | A | ---+-> B |
       +---+    |     |
                +-----+

      Result: A new docktree will be created. "A" will be resized to the size
              of "B". Both will be put into a TLazDockPages control which is the
              child of the newly created TDockTree.

       +-------+
       |[B][A] |
       |+-----+|
       ||     ||
       || A   ||
       ||     ||
       |+-----+|
       +-------+

    Every DockZone has siblings and children. Siblings can either be
    - horizontally (left to right, splitter),
    - vertically (top to bottom, splitter)
    - or upon each other (as notebook pages).

    InsertControl - undock control and dock it into the dock site. For example
                    dock Form1 left to a Form2:
                    InsertControl(Form1,alLeft,Form2);
                    To dock "into", into a TDockPage, use Align=alCustom.
    PositionDockRect - calculates where a control would be placed, if it would
                       be docked via InsertControl.
    RemoveControl - removes a control from the dock site.

    GetControlBounds - TODO for Delphi compatibility
    ResetBounds - TODO for Delphi compatibility
    SetReplacingControl - TODO for Delphi compatibility
    PaintSite - TODO for Delphi compatibility

See also

#lcl.Controls.TDockManager

The layout manager for a docksite.


TDockTree
 | ro | DockZoneClass
 |  | DockSite
 | ro | RootZone
TDockManager
TPersistent
TObject


ro | DockZoneClass (TDockTree)
ro | RootZone (TDockTree)


TDockTree
pt | HitTest
pt | PaintDockFrame
pt | UpdateAll
pt | SetDockZoneClass
 | Create
 | Destroy
 | BeginUpdate
 | EndUpdate
 | AdjustDockRect
 | GetControlBounds
 | InsertControl
 | LoadFromStream
 | MessageHandler
 | PositionDockRect
 | RemoveControl
 | SaveToStream
 | SetReplacingControl
 | ResetBounds
 | PaintSite
 | DumpLayout
TDockManager
 | Create
 | BeginUpdate
 | EndUpdate
 | GetControlBounds
 | GetDockEdge
 | InsertControl
 | LoadFromStream
 | PaintSite
 | MessageHandler
 | PositionDockRect
 | RemoveControl
 | ResetBounds
 | SaveToStream
 | SetReplacingControl
 | AutoFreeByControl
 | IsEnabledControl
TPersistent
 | AssignError
 | AssignTo
 | DefineProperties
 | GetOwner
 | Destroy
 | Assign
 | FPOAttachObserver
 | FPODetachObserver
 | FPONotifyObservers
 | GetNamePath
TObject
 | Create
 | Destroy
 | newinstance
 | FreeInstance
 | SafeCallException
 | DefaultHandler
 | Free
 | InitInstance
 | CleanupInstance
 | ClassType
 | ClassInfo
 | ClassName
 | ClassNameIs
 | ClassParent
 | InstanceSize
 | InheritsFrom
 | StringMessageTable
 | MethodAddress
 | MethodName
 | FieldAddress
 | AfterConstruction
 | BeforeDestruction
 | DefaultHandlerStr
 | Dispatch
 | DispatchStr
 | GetInterface
 | GetInterfaceByStr
 | GetInterfaceWeak
 | GetInterfaceEntry
 | GetInterfaceEntryByStr
 | GetInterfaceTable
 | UnitName
 | Equals
 | GetHashCode
 | ToString


 | AssignError (TPersistent)
 | AssignTo (TPersistent)
 | AutoFreeByControl (TDockManager)
 | BeforeDestruction (TObject)
 | BeginUpdate (TDockManager)
 | BeginUpdate (TDockTree)
 | ClassInfo (TObject)
 | ClassName (TObject)
 | ClassNameIs (TObject)
 | ClassParent (TObject)
 | ClassType (TObject)
 | CleanupInstance (TObject)
 | Create (TObject)
 | Create (TDockManager)
 | Create (TDockTree)
 | DefaultHandler (TObject)
 | DefaultHandlerStr (TObject)
 | DefineProperties (TPersistent)
 | Destroy (TObject)
 | Destroy (TPersistent)
 | Destroy (TDockTree)
 | Dispatch (TObject)
 | DispatchStr (TObject)
 | DumpLayout (TDockTree)
 | EndUpdate (TDockManager)
 | EndUpdate (TDockTree)
 | Equals (TObject)
 | FieldAddress (TObject)
 | FPOAttachObserver (TPersistent)
 | FPODetachObserver (TPersistent)
 | FPONotifyObservers (TPersistent)
 | Free (TObject)
 | FreeInstance (TObject)
 | GetControlBounds (TDockManager)
 | GetControlBounds (TDockTree)
 | GetDockEdge (TDockManager)
 | GetHashCode (TObject)
 | GetInterface (TObject)
 | GetInterfaceByStr (TObject)
 | GetInterfaceEntry (TObject)
 | GetInterfaceEntryByStr (TObject)
 | GetInterfaceTable (TObject)
 | GetInterfaceWeak (TObject)
 | GetNamePath (TPersistent)
 | GetOwner (TPersistent)
pt | HitTest (TDockTree)
 | InheritsFrom (TObject)
 | InitInstance (TObject)
 | InsertControl (TDockManager)
 | InsertControl (TDockTree)
 | InstanceSize (TObject)
 | IsEnabledControl (TDockManager)
 | LoadFromStream (TDockManager)
 | LoadFromStream (TDockTree)
 | MessageHandler (TDockManager)
 | MessageHandler (TDockTree)
 | MethodAddress (TObject)
 | MethodName (TObject)
 | newinstance (TObject)
pt | PaintDockFrame (TDockTree)
 | PaintSite (TDockManager)
 | PaintSite (TDockTree)
 | PositionDockRect (TDockManager)
 | PositionDockRect (TDockTree)
 | RemoveControl (TDockManager)
 | RemoveControl (TDockTree)
 | ResetBounds (TDockManager)
 | ResetBounds (TDockTree)
 | SafeCallException (TObject)
 | SaveToStream (TDockManager)
 | SaveToStream (TDockTree)
pt | SetDockZoneClass (TDockTree)
 | SetReplacingControl (TDockManager)
 | SetReplacingControl (TDockTree)
 | StringMessageTable (TObject)
 | ToString (TObject)
 | UnitName (TObject)
pt | UpdateAll (TDockTree)


TDockTree

TDockManager

TPersistent

TObject


TDockTree.AdjustDockRect

Adjusts the zone rectangle for AControl.

Declaration

Source position: controls.pp line 2616

public procedure TDockTree.AdjustDockRect(

  AControl: TControl;

  var ARect: TRect

); virtual;

Description

ARect initially describes the dockzone into which the control is docked. From that area the zone decoration is excluded, so that ARect describes the area reserved for the docked control.

AdjustDockRect is not part of the general docking model. It can implemented and used for any purpose in a dock tree manager. Most docking managers will replace it by a method with more arguments, that allow to identify the zone and its properties immediately.


TDockTree.Create

Declaration

Source position: controls.pp line 2612

public constructor TDockTree.Create(

  TheDockSite: TWinControl

); override;

Arguments

TheDockSite

The window control to be managed.


TDockTree.Destroy

Declaration

Source position: controls.pp line 2613

public destructor TDockTree.Destroy; override;


TDockTree.DockSite

The parent control whose docked clients are managed.

Declaration

Source position: controls.pp line 2633

public property TDockTree.DockSite : TWinControl
  read FDockSite
  write SetDockSite;


TDockTree.DockZoneClass

The class of all dock zones in this tree.

Declaration

Source position: controls.pp line 2632

public property TDockTree.DockZoneClass : TDockZoneClass
  read FDockZoneClass;


TDockTree.DumpLayout

Stores the layout in an file.

Declaration

Source position: controls.pp line 2630

public procedure TDockTree.DumpLayout(

  FileName: string

); virtual;


TDockTree.HitTest

Returns the control and the part of the dockzone, at the given coordinates.

Declaration

Source position: controls.pp line 2606

protected function TDockTree.HitTest(

  const MousePos: TPoint;

  var HTFlag: Integer

):TControl; virtual;

Arguments

MousePos | The client coordinates.
HTFlag | Returns the zone part at MousePos.

Function result

The docked control.


TDockTree.InsertControl

Positions DropCtl relative Control, using the alignment specified by InsertAt.

Declaration

Source position: controls.pp line 2619

public procedure TDockTree.InsertControl(

  AControl: TControl;

  InsertAt: TAlign;

  DropControl: TControl

); override;

Arguments

AControl | The control beneath which to place DropControl.
InsertAt | How to insert DropControl.
DropControl | The control to add.

Description

InsertControl determines the layout and appearance of the just docked control, forcing a repaint of the container control if necessary.

When SetReplacingControl has been called with a non-Nil Control before, the dropped control only should replace that control.

A tree docking manager organizes the docksite into layers of horizontol or vertical orientation. As long as no more than one control is docked into a docksite, the tree has no orientation at all. The second docked control determines the orientation of the docksite and the dock tree. All further drops are either isogonal (in direction of the zone orientation) or orthogonal (opposite to the zone orientation). On an isogonal drop a new leaf zone is created for the dropped control, as a sibling of the already existing child zones. On an orthogonal drop the zone containing the DropControl becomes the root of another subtree, whose initial members are the leaf zones for Control and DropCtl.

One value of InsertAt (alCustom) is reserved for notebook docking, where DropCtl is replaced by a tabbed notebook, and Control and DropCtl are moved into pages of the notebook. The notebook is a docksite of its own, further drops into the notebook are handled by the notebook itself, the DockManager of the host docksite is not involved.

See also

TDockManager.RemoveControl

Removes the undocked control from the docksite layout.


TDockTree.PaintDockFrame

Paints the dock header of the zone containing AControl.

Declaration

Source position: controls.pp line 2607

protected procedure TDockTree.PaintDockFrame(

  ACanvas: TCanvas;

  AControl: TControl;

  const ARect: TRect

); virtual;


TDockTree.RootZone

The root zone of the DockTree.

Declaration

Source position: controls.pp line 2634

public property TDockTree.RootZone : TDockZone
  read FRootZone;


TDockTree.UpdateAll

Declaration

Source position: controls.pp line 2609

protected procedure TDockTree.UpdateAll;


TDockTreeFlag

Declaration

Source position: controls.pp line 2588

type TDockTreeFlag = (

  dtfUpdateAllNeeded

);


TDockTreeFlags

Declaration

Source position: controls.pp line 2591

type TDockTreeFlags = set of (

  dtfUpdateAllNeeded

);


TDockZone

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Represents an node in an TDockTree.

Declaration

Source position: controls.pp line 2440

type TDockZone = class
protected
function GetHeight; virtual;
function GetLeft; virtual;
function GetLimitBegin; virtual;
function GetLimitSize; virtual;
function GetTop; virtual;
function GetVisible; virtual;
function GetVisibleChildCount; virtual; | The number of visible children.
function GetWidth; virtual;
procedure SetLimitBegin(); virtual;
procedure SetLimitSize(); virtual;
procedure SetHeight(); virtual;
procedure SetLeft(); virtual;
procedure SetTop(); virtual;
procedure SetWidth(); virtual;
public
constructor Create();
function FindZone(); | Returns the Dockzone containing the given control.
function FirstVisibleChild; | The first visible child zone.
function GetNextVisibleZone; | The next visible zone.
function NextVisible; | The next visible zone.
function PrevVisible; | The preceding visible zone.
procedure AddSibling(); | Inserts NewZone as preceding or following sibling.
procedure AddAsFirstChild(); | Adds the given zone as the first child.
procedure AddAsLastChild(); | Adds the given zone as the last child.
procedure ReplaceChild(); | Replace the OldChild zone by NewChild.
function GetLastChild; | The last child zone.
function GetIndex; | Calculates the index of the zone within its parent zone.
procedure Remove(); | Unlinks the given child zone.
property ChildControl: TControl; [r] | The control docked in this zone.
property ChildCount: Integer; [r] | The number of child zones.
property FirstChild: TDockZone; [r] | The first child zone.
property Height: Integer; [rw] | The height of the zone.
property Left: Integer; [rw] | The left coordinate of the zone.
property LimitBegin: Integer; [rw] | The free coordinate of the DockZone (Left or Top).
property LimitSize: Integer; [rw] | The free size of the DockZone (Width or Height).
property Orientation: TDockOrientation; [rw] | Whether docking is oriented vertically, horizontally, in pages, or not at all
property Parent: TDockZone; [r] | The parent zone in the DockTree.
property Top: Integer; [rw] | The top coordinate of this zone.
property Tree: TDockTree; [r] | The dock tree of which this dock zone is a part.
property Visible: Boolean; [r] | A zone is visible if it contains a visible control, or if any child zone is visible.
property VisibleChildCount: Integer; [r] | The number of visible child zones.
property Width: Integer; [rw] | The width of this zone.
property NextSibling: TDockZone; [r] | The next sibling zone.
property PrevSibling: TDockZone; [r] | The preceding sibling zone.
end;

Inheritance

TDockZone

Represents an node in an TDockTree.
|

TObject

Description

It encapsulates a dock zone, containing either other zones or a single control.

This implementation is specific to TDockTree/LDockTree. Every DockManager can (should!) use its own class instead.


TDockZone
 | ro | ChildControl
 | ro | ChildCount
 | ro | FirstChild
 |  | Height
 |  | Left
 |  | LimitBegin
 |  | LimitSize
 |  | Orientation
 | ro | Parent
 |  | Top
 | ro | Tree
 | ro | Visible
 | ro | VisibleChildCount
 |  | Width
 | ro | NextSibling
 | ro | PrevSibling


ro | ChildControl (TDockZone)
ro | ChildCount (TDockZone)
ro | FirstChild (TDockZone)
 | Height (TDockZone)
 | Left (TDockZone)
 | LimitBegin (TDockZone)
 | LimitSize (TDockZone)
ro | NextSibling (TDockZone)
 | Orientation (TDockZone)
ro | Parent (TDockZone)
ro | PrevSibling (TDockZone)
 | Top (TDockZone)
ro | Tree (TDockZone)
ro | Visible (TDockZone)
ro | VisibleChildCount (TDockZone)
 | Width (TDockZone)


TDockZone
pt | GetHeight
pt | GetLeft
pt | GetLimitBegin
pt | GetLimitSize
pt | GetTop
pt | GetVisible
pt | GetVisibleChildCount
pt | GetWidth
pt | SetLimitBegin
pt | SetLimitSize
pt | SetHeight
pt | SetLeft
pt | SetTop
pt | SetWidth
 | Create
 | FindZone
 | FirstVisibleChild
 | GetNextVisibleZone
 | NextVisible
 | PrevVisible
 | AddSibling
 | AddAsFirstChild
 | AddAsLastChild
 | ReplaceChild
 | GetLastChild
 | GetIndex
 | Remove


 | AddAsFirstChild (TDockZone)
 | AddAsLastChild (TDockZone)
 | AddSibling (TDockZone)
 | Create (TDockZone)
 | FindZone (TDockZone)
 | FirstVisibleChild (TDockZone)
pt | GetHeight (TDockZone)
 | GetIndex (TDockZone)
 | GetLastChild (TDockZone)
pt | GetLeft (TDockZone)
pt | GetLimitBegin (TDockZone)
pt | GetLimitSize (TDockZone)
 | GetNextVisibleZone (TDockZone)
pt | GetTop (TDockZone)
pt | GetVisible (TDockZone)
pt | GetVisibleChildCount (TDockZone)
pt | GetWidth (TDockZone)
 | NextVisible (TDockZone)
 | PrevVisible (TDockZone)
 | Remove (TDockZone)
 | ReplaceChild (TDockZone)
pt | SetHeight (TDockZone)
pt | SetLeft (TDockZone)
pt | SetLimitBegin (TDockZone)
pt | SetLimitSize (TDockZone)
pt | SetTop (TDockZone)
pt | SetWidth (TDockZone)


TDockZone


TDockZone.AddAsFirstChild

Adds the given zone as the first child.

Declaration

Source position: controls.pp line 2474

public procedure TDockZone.AddAsFirstChild(

  NewChildZone: TDockZone

);

Arguments

NewChildZone

The zone to add.


TDockZone.AddAsLastChild

Adds the given zone as the last child.

Declaration

Source position: controls.pp line 2475

public procedure TDockZone.AddAsLastChild(

  NewChildZone: TDockZone

);

Arguments

NewChildZone

The zone to add.


TDockZone.AddSibling

Inserts NewZone as preceding or following sibling.

Declaration

Source position: controls.pp line 2473

public procedure TDockZone.AddSibling(

  NewZone: TDockZone;

  InsertAt: TAlign

);

Arguments

NewZone | The zone to add.
InsertAt | How to add the zone.


TDockZone.ChildControl

The control docked in this zone.

Declaration

Source position: controls.pp line 2481

public property TDockZone.ChildControl : TControl
  read FChildControl;

Description

A zone can contain nothing, a control, or child zones.


TDockZone.ChildCount

The number of child zones.

Declaration

Source position: controls.pp line 2482

public property TDockZone.ChildCount : Integer
  read FChildCount;


TDockZone.Create

Declaration

Source position: controls.pp line 2467

public constructor TDockZone.Create(

  TheTree: TDockTree;

  TheChildControl: TControl

);

Arguments

TheTree | The dock tree to which this zone belongs.
TheChildControl | The control in this zone (may be Nil).


TDockZone.FindZone

Returns the Dockzone containing the given control.

Declaration

Source position: controls.pp line 2468

public function TDockZone.FindZone(

  AControl: TControl

):TDockZone;

Function result

The zone containing AControl as ChildControl.


TDockZone.FirstChild

The first child zone.

Declaration

Source position: controls.pp line 2483

public property TDockZone.FirstChild : TDockZone
  read FFirstChildZone;


TDockZone.FirstVisibleChild

The first visible child zone.

Declaration

Source position: controls.pp line 2469

public function TDockZone.FirstVisibleChild: TDockZone;

See also

TDockZone.Visible

A zone is visible if it contains a visible control, or if any child zone is visible.


TDockZone.GetIndex

Calculates the index of the zone within its parent zone.

Declaration

Source position: controls.pp line 2478

public function TDockZone.GetIndex: Integer;


TDockZone.GetLastChild

The last child zone.

Declaration

Source position: controls.pp line 2477

public function TDockZone.GetLastChild: TDockZone;


TDockZone.GetNextVisibleZone

The next visible zone.

Declaration

Source position: controls.pp line 2470

public function TDockZone.GetNextVisibleZone: TDockZone;

Function result

The zone, or Nil if none found.

See also

TDockZone.Visible

A zone is visible if it contains a visible control, or if any child zone is visible.


TDockZone.GetVisibleChildCount

The number of visible children.

Declaration

Source position: controls.pp line 2458

protected function TDockZone.GetVisibleChildCount: Integer; virtual;

See also

TDockZone.Visible

A zone is visible if it contains a visible control, or if any child zone is visible.


TDockZone.Height

The height of the zone.

Declaration

Source position: controls.pp line 2484

public property TDockZone.Height : Integer
  read GetHeight
  write SetHeight;


TDockZone.Left

The left coordinate of the zone.

Declaration

Source position: controls.pp line 2485

public property TDockZone.Left : Integer
  read GetLeft
  write SetLeft;


TDockZone.LimitBegin

The free coordinate of the DockZone (Left or Top).

Declaration

Source position: controls.pp line 2486

public property TDockZone.LimitBegin : Integer
  read GetLimitBegin
  write SetLimitBegin;


TDockZone.LimitSize

The free size of the DockZone (Width or Height).

Declaration

Source position: controls.pp line 2487

public property TDockZone.LimitSize : Integer
  read GetLimitSize
  write SetLimitSize;


TDockZone.NextSibling

The next sibling zone.

Declaration

Source position: controls.pp line 2495

public property TDockZone.NextSibling : TDockZone
  read FNextSibling;


TDockZone.NextVisible

The next visible zone.

Declaration

Source position: controls.pp line 2471

public function TDockZone.NextVisible: TDockZone;

See also

TDockZone.Visible

A zone is visible if it contains a visible control, or if any child zone is visible.


TDockZone.Parent

The parent zone in the DockTree.

Declaration

Source position: controls.pp line 2489

public property TDockZone.Parent : TDockZone
  read FParentZone;


TDockZone.PrevSibling

The preceding sibling zone.

Declaration

Source position: controls.pp line 2496

public property TDockZone.PrevSibling : TDockZone
  read FPrevSibling;


TDockZone.PrevVisible

The preceding visible zone.

Declaration

Source position: controls.pp line 2472

public function TDockZone.PrevVisible: TDockZone;

See also

TDockZone.Visible

A zone is visible if it contains a visible control, or if any child zone is visible.


TDockZone.Remove

Unlinks the given child zone.

Declaration

Source position: controls.pp line 2479

public procedure TDockZone.Remove(

  ChildZone: TDockZone

);


TDockZone.ReplaceChild

Replace the OldChild zone by NewChild.

Declaration

Source position: controls.pp line 2476

public procedure TDockZone.ReplaceChild(

  OldChild: TDockZone;

  NewChild: TDockZone

);

Arguments

OldChild | The zone to unlink.
NewChild | The zone to link in place of OldChild.


TDockZone.Top

The top coordinate of this zone.

Declaration

Source position: controls.pp line 2490

public property TDockZone.Top : Integer
  read GetTop
  write SetTop;


TDockZone.Tree

The dock tree of which this dock zone is a part.

Declaration

Source position: controls.pp line 2491

public property TDockZone.Tree : TDockTree
  read FTree;


TDockZone.Visible

A zone is visible if it contains a visible control, or if any child zone is visible.

Declaration

Source position: controls.pp line 2492

public property TDockZone.Visible : Boolean
  read GetVisible;

See also

TDockZone.VisibleChildCount

The number of visible child zones.


TDockZone.VisibleChildCount

The number of visible child zones.

Declaration

Source position: controls.pp line 2493

public property TDockZone.VisibleChildCount : Integer
  read GetVisibleChildCount;


TDockZone.Width

The width of this zone.

Declaration

Source position: controls.pp line 2494

public property TDockZone.Width : Integer
  read GetWidth
  write SetWidth;


TDockZoneClass

Class of TDockZone.

Declaration

Source position: controls.pp line 2498

type TDockZoneClass = class of TDockZone;


TDragControlObject

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

A drag object for dragging a control.

Declaration

Source position: controls.pp line 489

type TDragControlObject = class(TDragObject)
protected
function GetDragCursor(); override; | Asks the Control to provide an cursor.
function GetDragImages; override; | Asks the Control to provide an ImageList.
end;

Inheritance

TDragControlObject | A drag object for dragging a control.
|
TDragObject | Base class for managing drag operations and user feedback.
|
TObject

Description

While a TDragObject can be used for dragging controls, this class knows that it drags a control, and asks it for an DragCursor and DragImages.

See also

TDragObject

Base class for managing drag operations and user feedback.


TDragControlObject
TDragObject
 |  | AlwaysShowDragImages
 | ro | AutoCreated
 | ro | AutoFree
 |  | Control
 |  | DragPos
 |  | DragTarget
 |  | DragTargetPos
 | ro | Dropped


ro | AutoCreated (TDragObject)
ro | AutoFree (TDragObject)
 | Control (TDragObject)
 | DragPos (TDragObject)
 | DragTarget (TDragObject)
 | DragTargetPos (TDragObject)
ro | Dropped (TDragObject)


TDragControlObject
pt | GetDragCursor
pt | GetDragImages
TDragObject
pt | EndDrag
pt | GetDragImages
pt | GetDragCursor
 | Create
 | AutoCreate
 | HideDragImage
 | ShowDragImage


pt | EndDrag (TDragObject)
pt | GetDragCursor (TDragObject)
pt | GetDragCursor (TDragControlObject)
pt | GetDragImages (TDragObject)
pt | GetDragImages (TDragControlObject)
 | HideDragImage (TDragObject)
 | ShowDragImage (TDragObject)


TDragControlObject

TDragObject


TDragControlObject.GetDragCursor

Asks the Control to provide an cursor.

Declaration

Source position: controls.pp line 491

protected function TDragControlObject.GetDragCursor(

  Accepted: Boolean;

  X: Integer;

  Y: Integer

):TCursor; override;


TDragControlObject.GetDragImages

Asks the Control to provide an ImageList.

Declaration

Source position: controls.pp line 492

protected function TDragControlObject.GetDragImages: TDragImageList; override;

Function result

The Image list to be used in dragging this control.


TDragControlObjectEx

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

A drag object for dragging a control.

Declaration

Source position: controls.pp line 497

type TDragControlObjectEx = class(TDragControlObject)

public

  constructor Create(); override;

Creates an object to be destroyed after use.

end;

Inheritance

TDragControlObjectEx | A drag object for dragging a control.
|
TDragControlObject | A drag object for dragging a control.
|
TDragObject | Base class for managing drag operations and user feedback.
|
TObject


TDragControlObjectEx
TDragControlObject
TDragObject
 |  | AlwaysShowDragImages
 | ro | AutoCreated
 | ro | AutoFree
 |  | Control
 |  | DragPos
 |  | DragTarget
 |  | DragTargetPos
 | ro | Dropped


TDragControlObjectEx
 | Create
TDragControlObject
pt | GetDragCursor
pt | GetDragImages
TDragObject
pt | EndDrag
pt | GetDragImages
pt | GetDragCursor
 | Create
 | AutoCreate
 | HideDragImage
 | ShowDragImage


TDragControlObjectEx

TDragControlObject

TDragObject


TDragControlObjectEx.Create

Creates an object to be destroyed after use.

Declaration

Source position: controls.pp line 499

public constructor TDragControlObjectEx.Create(

  AControl: TControl

); override;

Arguments

AControl

The control to drag.


TDragDockObject

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

A drag object for drag-dock.

Declaration

Source position: controls.pp line 530

type TDragDockObject = class(TDragObject)
protected
procedure AdjustDockRect(); virtual; | Adjust the DockRect relative to the dragging hotspot (DockOffset).
function GetDragCursor(); override; | Returns the dragging cursor type (shape).
procedure EndDrag(); override; | Finish docking.
procedure InitDock(); virtual; | Initializes the dragging coordinates.
procedure ShowDockImage; virtual; | Shows the DockRect, remembers the coordinates in EraseDockRect
procedure HideDockImage; virtual; | Hides the DockRect, invalidates EraseDockRect to prevent further erases.
procedure MoveDockImage; virtual; | Moves an already visible DockRect.
function HasOnDrawImage; virtual;
public
property DockOffset: TPoint; [rw] | The hotspot offset of the dragged DockRect.
property DockRect: TRect; [rw] | Screen coordinates of a possible drop location.
property DropAlign: TAlign; [rw] | How the dragged control will be docked, relative to the target control.
property DropOnControl: TControl; [rw] | The already docked control, relative to which the dragged control will be docked. Nil for an empty docksite.
property Floating: Boolean; [rw] | The final state of the dragged control (after drop).
property IncreaseDockArea: Boolean; [r] | Determines whether the dock site shall be enlarged.
property EraseDockRect: TRect; [rw] | The currently visible DockRect, to be removed later.
end;

Inheritance

TDragDockObject | A drag object for drag-dock.
|
TDragObject | Base class for managing drag operations and user feedback.
|
TObject

Description

This object type serves two main purposes: it allows one to distinguish between drag-drop and drag-dock operations, and it implements docking specific information and behaviour.

The primary use is for tree docking, as assumed in the TControl and TWinControl methods.

[entire review DoDi 2011-09-10]

See also

TDragObject

Base class for managing drag operations and user feedback.


TDragDockObject
 |  | DockOffset
 |  | DockRect
 |  | DropAlign
 |  | DropOnControl
 |  | Floating
 | ro | IncreaseDockArea
 |  | EraseDockRect
TDragObject
 |  | AlwaysShowDragImages
 | ro | AutoCreated
 | ro | AutoFree
 |  | Control
 |  | DragPos
 |  | DragTarget
 |  | DragTargetPos
 | ro | Dropped


ro | AutoCreated (TDragObject)
ro | AutoFree (TDragObject)
 | Control (TDragObject)
 | DockOffset (TDragDockObject)
 | DockRect (TDragDockObject)
 | DragPos (TDragObject)
 | DragTarget (TDragObject)
 | DragTargetPos (TDragObject)
 | DropAlign (TDragDockObject)
 | DropOnControl (TDragDockObject)
ro | Dropped (TDragObject)
 | EraseDockRect (TDragDockObject)
 | Floating (TDragDockObject)
ro | IncreaseDockArea (TDragDockObject)


TDragDockObject
pt | AdjustDockRect
pt | GetDragCursor
pt | EndDrag
pt | InitDock
pt | ShowDockImage
pt | HideDockImage
pt | MoveDockImage
pt | HasOnDrawImage
TDragObject
pt | EndDrag
pt | GetDragImages
pt | GetDragCursor
 | Create
 | AutoCreate
 | HideDragImage
 | ShowDragImage


pt | AdjustDockRect (TDragDockObject)
 | AutoCreate (TDragObject)
 | Create (TDragObject)
pt | EndDrag (TDragObject)
pt | EndDrag (TDragDockObject)
pt | GetDragCursor (TDragObject)
pt | GetDragCursor (TDragDockObject)
pt | GetDragImages (TDragObject)
pt | HasOnDrawImage (TDragDockObject)
pt | HideDockImage (TDragDockObject)
 | HideDragImage (TDragObject)
pt | InitDock (TDragDockObject)
pt | MoveDockImage (TDragDockObject)
pt | ShowDockImage (TDragDockObject)
 | ShowDragImage (TDragObject)


TDragDockObject

TDragObject


TDragDockObject.AdjustDockRect

Adjust the DockRect relative to the dragging hotspot (DockOffset).

Declaration

Source position: controls.pp line 540

protected procedure TDragDockObject.AdjustDockRect(

  ARect: TRect

); virtual;

Arguments

ARect

useless, ignore!

Description

Remark: The parameter type is bad, should be var. Ignore it please.

The default implementation adjusts the stored FDockRect, by DockOffset. This adjustment will make the DockRect appear right over the control, when dragging starts, regardless of where the user clicked onto the control.

You'll rarely have to override this method, since the DockRect is adjusted by every target site's DockManager later.


TDragDockObject.DockOffset

The hotspot offset of the dragged DockRect.

Declaration

Source position: controls.pp line 551

public property TDragDockObject.DockOffset : TPoint
  read FDockOffset
  write FDockOffset;


TDragDockObject.DockRect

Screen coordinates of a possible drop location.

Declaration

Source position: controls.pp line 552

public property TDragDockObject.DockRect : TRect
  read FDockRect
  write FDockRect;

Description

The DockRect gives feedback to the user, where the dragged control may be dropped. When no docksite signals acceptance, the DockRect reflects the floating state of the dragged control. When a drop will dock the control, the DockRect signifies the approximate position of the docked control.


TDragDockObject.DropAlign

How the dragged control will be docked, relative to the target control.

Declaration

Source position: controls.pp line 553

public property TDragDockObject.DropAlign : TAlign
  read FDropAlign
  write FDropAlign;

Description

When the target is a DockTree, DropAlign indicates the placement of the control relative to DropOnControl. Other docking methods require a specialized (derived) DragDockObject.


TDragDockObject.DropOnControl

The already docked control, relative to which the dragged control will be docked. Nil for an empty docksite.

Declaration

Source position: controls.pp line 554

public property TDragDockObject.DropOnControl : TControl
  read FDropOnControl
  write FDropOnControl;


TDragDockObject.EndDrag

Finish docking.

Declaration

Source position: controls.pp line 542

protected procedure TDragDockObject.EndDrag(

  Target: TObject;

  X: Integer;

  Y: Integer

); override;

Arguments

Target

The target docksite, or Nil to make the Control float.

Description

Invokes Control.DoEndDock.

See also

TControl.DoEndDock

Invokes the OnEndDock handler.


TDragDockObject.EraseDockRect

The currently visible DockRect, to be removed later.

Declaration

Source position: controls.pp line 557

public property TDragDockObject.EraseDockRect : TRect
  read FEraseDockRect
  write FEraseDockRect;

Description

A special value indicates that the DockRect already has been removed.


TDragDockObject.Floating

The final state of the dragged control (after drop).

Declaration

Source position: controls.pp line 555

public property TDragDockObject.Floating : Boolean
  read FFloating
  write FFloating;

Description

True when the dragged control becomes or stays floating.


TDragDockObject.HasOnDrawImage

Declaration

Source position: controls.pp line 549

protected function TDragDockObject.HasOnDrawImage: Boolean; virtual;


TDragDockObject.HideDockImage

Hides the DockRect, invalidates EraseDockRect to prevent further erases.

Declaration

Source position: controls.pp line 547

protected procedure TDragDockObject.HideDockImage; virtual;


TDragDockObject.IncreaseDockArea

Determines whether the dock site shall be enlarged.

Declaration

Source position: controls.pp line 556

public property TDragDockObject.IncreaseDockArea : Boolean
  read FIncreaseDockArea;

Description

Not normally used, perhaps a special AnchorDocking property?


TDragDockObject.InitDock

Initializes the dragging coordinates.

Declaration

Source position: controls.pp line 545

protected procedure TDragDockObject.InitDock(

  APosition: TPoint

); virtual;

Description

Determines the hotspot offset for adjusting the floating DockRect.

Since the undocked extent of the control doesn't change while dragging, we fix the hotspot offset here.

Usage: OffsetRect(DockRect, FDockOffset);


TDragDockObject.MoveDockImage

Moves an already visible DockRect.

Declaration

Source position: controls.pp line 548

protected procedure TDragDockObject.MoveDockImage; virtual;

Description

Checks the DockRect for changes against EraseDockRect, to prevent flicker.

Remembers the drawn frame coordinates in EraseDockRect.


TDragDockObject.ShowDockImage

Shows the DockRect, remembers the coordinates in EraseDockRect

Declaration

Source position: controls.pp line 546

protected procedure TDragDockObject.ShowDockImage; virtual;


TDragDockObjectEx

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

A drag object for docking, that is automatically destroyed after use.

Declaration

Source position: controls.pp line 562

type TDragDockObjectEx = class(TDragDockObject)

public

  constructor Create(); override;

Creates an object to be destroyed after use.

end;

Inheritance

TDragDockObjectEx | A drag object for docking, that is automatically destroyed after use.
|
TDragDockObject | A drag object for drag-dock.
|
TDragObject | Base class for managing drag operations and user feedback.
|
TObject


TDragDockObjectEx
TDragDockObject
 |  | DockOffset
 |  | DockRect
 |  | DropAlign
 |  | DropOnControl
 |  | Floating
 | ro | IncreaseDockArea
 |  | EraseDockRect
TDragObject
 |  | AlwaysShowDragImages
 | ro | AutoCreated
 | ro | AutoFree
 |  | Control
 |  | DragPos
 |  | DragTarget
 |  | DragTargetPos
 | ro | Dropped


TDragDockObjectEx
 | Create
TDragDockObject
pt | AdjustDockRect
pt | GetDragCursor
pt | EndDrag
pt | InitDock
pt | ShowDockImage
pt | HideDockImage
pt | MoveDockImage
pt | HasOnDrawImage
TDragObject
pt | EndDrag
pt | GetDragImages
pt | GetDragCursor
 | Create
 | AutoCreate
 | HideDragImage
 | ShowDragImage


pt | AdjustDockRect (TDragDockObject)
 | AutoCreate (TDragObject)
 | Create (TDragObject)
 | Create (TDragDockObjectEx)
pt | EndDrag (TDragObject)
pt | EndDrag (TDragDockObject)
pt | GetDragCursor (TDragObject)
pt | GetDragCursor (TDragDockObject)
pt | GetDragImages (TDragObject)
pt | HasOnDrawImage (TDragDockObject)
pt | HideDockImage (TDragDockObject)
 | HideDragImage (TDragObject)
pt | InitDock (TDragDockObject)
pt | MoveDockImage (TDragDockObject)
pt | ShowDockImage (TDragDockObject)
 | ShowDragImage (TDragObject)


TDragDockObjectEx

TDragDockObject

TDragObject


TDragDockObjectEx.Create

Creates an object to be destroyed after use.

Declaration

Source position: controls.pp line 564

public constructor TDragDockObjectEx.Create(

  AControl: TControl

); override;


TDragImageList

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

A list of Images used in dragging.

Declaration

Source position: controls.pp line 384

type TDragImageList = class(TCustomImageList)
protected
function GetResolutionClass; override;
procedure Initialize; override; | Initialize - sets up the list
public
function BeginDrag(); | Start dragging an image; returns True if successful.
function DragLock(); | Show drag image during drag operation.
function DragMove(); | Show the image at a new location.
procedure DragUnlock; | Hide the drag image.
function EndDrag; | Finish dragging of the image, restore the old cursor shape.
procedure HideDragImage; | Hide the dragged image without unlocking the window.
function SetDragImage(); | Set index of dragged image and hotspot.
procedure ShowDragImage; | Display the drag image.
property DragCursor: TCursor; [rw] | The cursor shape to use while dragging.
property DragHotspot: TPoint; [rw] | The position of the image HotSpot, i.e. the offset to the mouse position while dragging.
property Dragging: Boolean; [r] | True if dragging in progress.
property DraggingResolution: TDragImageListResolution; [r]
property Resolution []: TDragImageListResolution; [r]
end;

Inheritance

TDragImageList | A list of Images used in dragging.
|
TCustomImageList | Base class for TImageList (not the same as a TBitmap collection)
|
TLCLComponent | The base class for LCL components associated with widgets.
|
TComponent,IUnknown,IInterfaceComponentReference
|
TPersistent,IFPObserved
|
TObject

Description

A drag image is shown when a DragImageList is supplied at all, and when no accepting target is under the mouse, or the source control style includes csDisplayDragImage, or AlwaysShowDragImage is set in the DragObject.

In drag-dock operations typically no drag image is shown, since the DockRect frame already gives all required visual feedback.

This is a vague idea of the usage of this class:

SetDragImage selects an image from the list, and defines the hotspot within this image.
  (the hotspot typically is the offset of the mouse position to the origin of the dragged control)

BeginDrag starts dragging, the image is shown at the starting location.

DragMove moves the image.

EndDrag stops dragging, the image is removed from the screen.


TDragImageList
 |  | DragCursor
 |  | DragHotspot
 | ro | Dragging
 | ro | DraggingResolution
 | ro | Resolution
TCustomImageList
 | ro | HasOverlays
 |  | AllocBy
 |  | BlendColor
 |  | BkColor
 | ro | Count
 |  | DrawingStyle
 |  | Height
 | ro | HeightForPPI
 | ro | HeightForWidth
 |  | Width
 | ro | WidthForPPI
 | ro | SizeForPPI
 |  | Masked
 | ro | Reference
 | ro | ReferenceForPPI
 | ro | Resolution
 | ro | ResolutionByIndex
 | ro | ResolutionForPPI
 | ro | ResolutionCount
 |  | Scaled
 |  | ShareImages
 |  | ImageType
TLCLComponent
 | ro | LCLRefCount
 | ro | WidgetSetClass
TComponent
 | ro | ComObject
 | ro | Components
 | ro | ComponentCount
 |  | ComponentIndex
 | ro | ComponentState
 | ro | ComponentStyle
 |  | DesignInfo
 | ro | Owner
 |  | VCLComObject
 |  | Name
 |  | Tag
TPersistent
TObject


ro | ComObject (TComponent)
ro | ComponentCount (TComponent)
 | ComponentIndex (TComponent)
ro | Components (TComponent)
ro | ComponentState (TComponent)
ro | ComponentStyle (TComponent)
ro | Count (TCustomImageList)
 | DesignInfo (TComponent)
 | DragCursor (TDragImageList)
ro | Dragging (TDragImageList)
ro | DraggingResolution (TDragImageList)
 | DragHotspot (TDragImageList)
 | DrawingStyle (TCustomImageList)
ro | HasOverlays (TCustomImageList)
 | Height (TCustomImageList)
ro | HeightForPPI (TCustomImageList)
ro | HeightForWidth (TCustomImageList)
 | ImageType (TCustomImageList)
ro | LCLRefCount (TLCLComponent)
 | Masked (TCustomImageList)
 | Name (TComponent)
ro | Owner (TComponent)
ro | Reference (TCustomImageList)
ro | ReferenceForPPI (TCustomImageList)
ro | Resolution (TCustomImageList)
ro | Resolution (TDragImageList)
ro | ResolutionByIndex (TCustomImageList)
ro | ResolutionCount (TCustomImageList)
ro | ResolutionForPPI (TCustomImageList)
 | Scaled (TCustomImageList)
 | ShareImages (TCustomImageList)
ro | SizeForPPI (TCustomImageList)
 | Tag (TComponent)
 | VCLComObject (TComponent)
ro | WidgetSetClass (TLCLComponent)
 | Width (TCustomImageList)
ro | WidthForPPI (TCustomImageList)


TDragImageList
pt | GetResolutionClass
pt | Initialize
 | BeginDrag
 | DragLock
 | DragMove
 | DragUnlock
 | EndDrag
 | HideDragImage
 | SetDragImage
 | ShowDragImage
TCustomImageList
pt | GetResolution
pt | GetResolutionClass
pt | CheckIndex
pt | Initialize
pt | DefineProperties
pt | SetWidthHeight
pt | ClearOverlays
 | Create
 | CreateSize
 | Destroy
 | ScaleImage
 | AssignTo
 | Assign
 | WriteData
 | ReadData
 | WriteAdvData
 | ReadAdvData
 | Equals
 | BeginUpdate
 | EndUpdate
 | Add
 | AddMultipleResolutions
 | AddSliced
 | AddSlice
 | AddSliceCentered
 | AddIcon
 | AddImages
 | AddMasked
 | AddLazarusResource
 | AddResourceName
 | Change
 | Clear
 | Delete
 | Draw
 | DrawForPPI
 | DrawOverlay
 | GetBitmap
 | GetFullBitmap
 | GetFullRawImage
 | GetIcon
 | GetRawImage
 | GetHotSpot
 | Insert
 | InsertIcon
 | InsertMasked
 | Move
 | Overlay
 | Replace
 | ReplaceSlice
 | ReplaceSliceCentered
 | ReplaceIcon
 | ReplaceMasked
 | RegisterChanges
 | StretchDraw
 | UnRegisterChanges
 | RegisterResolutions
 | DeleteResolution
 | FindResolution
 | Resolutions
 | ResolutionsDesc
TLCLComponent
pt | WSRegisterClass
pt | GetWSComponentClass
 | Create
 | Destroy
 | NewInstance
 | RemoveAllHandlersOfObject
 | IncLCLRefCount
 | DecLCLRefCount
TComponent
 | GetComObject
 | GetComponent
 | GetComponentCount
 | GetComponentIndex
 | Insert
 | ReadLeft
 | ReadTop
 | Remove
 | RemoveNotification
 | SetComponentIndex
 | SetReference
 | WriteLeft
 | WriteTop
 | ChangeName
 | DefineProperties
 | GetChildren
 | GetChildOwner
 | GetChildParent
 | GetOwner
 | Loaded
 | Loading
 | Notification
 | PaletteCreated
 | ReadState
 | SetAncestor
 | SetDesigning
 | SetDesignInstance
 | SetInline
 | SetName
 | SetChildOrder
 | SetParentComponent
 | Updating
 | Updated
 | UpdateRegistry
 | ValidateRename
 | ValidateContainer
 | ValidateInsert
 | QueryInterface
 | _AddRef
 | _Release
 | iicrGetComponent
 | GetTypeInfoCount
 | GetTypeInfo
 | GetIDsOfNames
 | Invoke
 | WriteState
 | Create
 | Destroy
 | BeforeDestruction
 | DestroyComponents
 | Destroying
 | ExecuteAction
 | FindComponent
 | FreeNotification
 | RemoveFreeNotification
 | FreeOnRelease
 | GetEnumerator
 | GetNamePath
 | GetParentComponent
 | HasParent
 | InsertComponent
 | RemoveComponent
 | SafeCallException
 | SetSubComponent
 | UpdateAction
 | IsImplementorOf
 | ReferenceInterface
TPersistent
 | AssignError
 | AssignTo
 | DefineProperties
 | GetOwner
 | Destroy
 | Assign
 | FPOAttachObserver
 | FPODetachObserver
 | FPONotifyObservers
 | GetNamePath
TObject
 | Create
 | Destroy
 | newinstance
 | FreeInstance
 | SafeCallException
 | DefaultHandler
 | Free
 | InitInstance
 | CleanupInstance
 | ClassType
 | ClassInfo
 | ClassName
 | ClassNameIs
 | ClassParent
 | InstanceSize
 | InheritsFrom
 | StringMessageTable
 | MethodAddress
 | MethodName
 | FieldAddress
 | AfterConstruction
 | BeforeDestruction
 | DefaultHandlerStr
 | Dispatch
 | DispatchStr
 | GetInterface
 | GetInterfaceByStr
 | GetInterfaceWeak
 | GetInterfaceEntry
 | GetInterfaceEntryByStr
 | GetInterfaceTable
 | UnitName
 | Equals
 | GetHashCode
 | ToString


 | Add (TCustomImageList)
 | AddIcon (TCustomImageList)
 | AddImages (TCustomImageList)
 | AddLazarusResource (TCustomImageList)
 | AddMasked (TCustomImageList)
 | AddMultipleResolutions (TCustomImageList)
 | AddResourceName (TCustomImageList)
 | AddSlice (TCustomImageList)
 | AddSliceCentered (TCustomImageList)
 | AddSliced (TCustomImageList)
 | AfterConstruction (TObject)
 | Assign (TPersistent)
 | Assign (TCustomImageList)
 | AssignError (TPersistent)
 | AssignTo (TPersistent)
 | AssignTo (TCustomImageList)
 | BeforeDestruction (TObject)
 | BeforeDestruction (TComponent)
 | BeginDrag (TDragImageList)
 | BeginUpdate (TCustomImageList)
 | Change (TCustomImageList)
 | ChangeName (TComponent)
pt | CheckIndex (TCustomImageList)
 | ClassInfo (TObject)
 | ClassName (TObject)
 | ClassNameIs (TObject)
 | ClassParent (TObject)
 | ClassType (TObject)
 | CleanupInstance (TObject)
 | Clear (TCustomImageList)
pt | ClearOverlays (TCustomImageList)
 | Create (TObject)
 | Create (TComponent)
 | Create (TLCLComponent)
 | Create (TCustomImageList)
 | CreateSize (TCustomImageList)
 | DecLCLRefCount (TLCLComponent)
 | DefaultHandler (TObject)
 | DefaultHandlerStr (TObject)
 | DefineProperties (TPersistent)
 | DefineProperties (TComponent)
pt | DefineProperties (TCustomImageList)
 | Delete (TCustomImageList)
 | DeleteResolution (TCustomImageList)
 | Destroy (TObject)
 | Destroy (TPersistent)
 | Destroy (TComponent)
 | Destroy (TLCLComponent)
 | Destroy (TCustomImageList)
 | DestroyComponents (TComponent)
 | Destroying (TComponent)
 | Dispatch (TObject)
 | DispatchStr (TObject)
 | DragLock (TDragImageList)
 | DragMove (TDragImageList)
 | DragUnlock (TDragImageList)
 | Draw (TCustomImageList)
 | DrawForPPI (TCustomImageList)
 | DrawOverlay (TCustomImageList)
 | EndDrag (TDragImageList)
 | EndUpdate (TCustomImageList)
 | Equals (TObject)
 | Equals (TCustomImageList)
 | ExecuteAction (TComponent)
 | FieldAddress (TObject)
 | FindComponent (TComponent)
 | FindResolution (TCustomImageList)
 | FPOAttachObserver (TPersistent)
 | FPODetachObserver (TPersistent)
 | FPONotifyObservers (TPersistent)
 | Free (TObject)
 | FreeInstance (TObject)
 | FreeNotification (TComponent)
 | FreeOnRelease (TComponent)
 | GetBitmap (TCustomImageList)
 | GetChildOwner (TComponent)
 | GetChildParent (TComponent)
 | GetChildren (TComponent)
 | GetComObject (TComponent)
 | GetComponent (TComponent)
 | GetComponentCount (TComponent)
 | GetComponentIndex (TComponent)
 | GetEnumerator (TComponent)
 | GetFullBitmap (TCustomImageList)
 | GetFullRawImage (TCustomImageList)
 | GetHashCode (TObject)
 | GetHotSpot (TCustomImageList)
 | GetIcon (TCustomImageList)
 | GetIDsOfNames (TComponent)
 | GetInterface (TObject)
 | GetInterfaceByStr (TObject)
 | GetInterfaceEntry (TObject)
 | GetInterfaceEntryByStr (TObject)
 | GetInterfaceTable (TObject)
 | GetInterfaceWeak (TObject)
 | GetNamePath (TPersistent)
 | GetNamePath (TComponent)
 | GetOwner (TPersistent)
 | GetOwner (TComponent)
 | GetParentComponent (TComponent)
 | GetRawImage (TCustomImageList)
pt | GetResolution (TCustomImageList)
pt | GetResolutionClass (TCustomImageList)
pt | GetResolutionClass (TDragImageList)
 | GetTypeInfo (TComponent)
 | GetTypeInfoCount (TComponent)
pt | GetWSComponentClass (TLCLComponent)
 | HasParent (TComponent)
 | HideDragImage (TDragImageList)
 | iicrGetComponent (TComponent)
 | IncLCLRefCount (TLCLComponent)
 | InheritsFrom (TObject)
pt | Initialize (TCustomImageList)
pt | Initialize (TDragImageList)
 | InitInstance (TObject)
 | Insert (TComponent)
 | Insert (TCustomImageList)
 | InsertComponent (TComponent)
 | InsertIcon (TCustomImageList)
 | InsertMasked (TCustomImageList)
 | InstanceSize (TObject)
 | Invoke (TComponent)
 | IsImplementorOf (TComponent)
 | Loaded (TComponent)
 | Loading (TComponent)
 | MethodAddress (TObject)
 | MethodName (TObject)
 | Move (TCustomImageList)
 | newinstance (TObject)
 | NewInstance (TLCLComponent)
 | Notification (TComponent)
 | Overlay (TCustomImageList)
 | PaletteCreated (TComponent)
 | QueryInterface (TComponent)
 | ReadAdvData (TCustomImageList)
 | ReadData (TCustomImageList)
 | ReadLeft (TComponent)
 | ReadState (TComponent)
 | ReadTop (TComponent)
 | ReferenceInterface (TComponent)
 | RegisterChanges (TCustomImageList)
 | RegisterResolutions (TCustomImageList)
 | Remove (TComponent)
 | RemoveAllHandlersOfObject (TLCLComponent)
 | RemoveComponent (TComponent)
 | RemoveFreeNotification (TComponent)
 | RemoveNotification (TComponent)
 | Replace (TCustomImageList)
 | ReplaceIcon (TCustomImageList)
 | ReplaceMasked (TCustomImageList)
 | ReplaceSlice (TCustomImageList)
 | ReplaceSliceCentered (TCustomImageList)
 | Resolutions (TCustomImageList)
 | ResolutionsDesc (TCustomImageList)
 | SafeCallException (TObject)
 | SafeCallException (TComponent)
 | ScaleImage (TCustomImageList)
 | SetAncestor (TComponent)
 | SetChildOrder (TComponent)
 | SetComponentIndex (TComponent)
 | SetDesigning (TComponent)
 | SetDesignInstance (TComponent)
 | SetDragImage (TDragImageList)
 | SetInline (TComponent)
 | SetName (TComponent)
 | SetParentComponent (TComponent)
 | SetReference (TComponent)
 | SetSubComponent (TComponent)
pt | SetWidthHeight (TCustomImageList)
 | ShowDragImage (TDragImageList)
 | StretchDraw (TCustomImageList)
 | StringMessageTable (TObject)
 | ToString (TObject)
 | UnitName (TObject)
 | UnRegisterChanges (TCustomImageList)
 | UpdateAction (TComponent)
 | Updated (TComponent)
 | UpdateRegistry (TComponent)
 | Updating (TComponent)
 | ValidateContainer (TComponent)
 | ValidateInsert (TComponent)
 | ValidateRename (TComponent)
 | WriteAdvData (TCustomImageList)
 | WriteData (TCustomImageList)
 | WriteLeft (TComponent)
 | WriteState (TComponent)
 | WriteTop (TComponent)
pt | WSRegisterClass (TLCLComponent)
 | _AddRef (TComponent)
 | _Release (TComponent)


TDragImageList
TCustomImageList
 | OnChange
 | OnGetWidthForPPI
TLCLComponent
TComponent
TPersistent
TObject


TDragImageList.BeginDrag

Start dragging an image; returns True if successful.

Declaration

Source position: controls.pp line 398

public function TDragImageList.BeginDrag(

  Window: HWND;

  X: Integer;

  Y: Integer

):Boolean;

Arguments

Window | The associated window.
X | The mouse position.
Y | The mouse position.

Function result

True if successful.

Description

Locks window updates, remembers the current cursor shape and sets the new shape.


TDragImageList.DragCursor

The cursor shape to use while dragging.

Declaration

Source position: controls.pp line 406

public property TDragImageList.DragCursor : TCursor
  read FDragCursor
  write SetDragCursor;


TDragImageList.Dragging

True if dragging in progress.

Declaration

Source position: controls.pp line 408

public property TDragImageList.Dragging : Boolean
  read GetDragging;


TDragImageList.DraggingResolution

Declaration

Source position: controls.pp line 409

public property TDragImageList.DraggingResolution : TDragImageListResolution
  read GetDraggingResolution;


TDragImageList.DragHotspot

The position of the image HotSpot, i.e. the offset to the mouse position while dragging.

Declaration

Source position: controls.pp line 407

public property TDragImageList.DragHotspot : TPoint
  read GetDragHotspot
  write SetDragHotspot;


TDragImageList.DragLock

Show drag image during drag operation.

Declaration

Source position: controls.pp line 399

public function TDragImageList.DragLock(

  Window: HWND;

  XPos: Integer;

  YPos: Integer

):Boolean;

Arguments

Window | The locked window.
XPos | The mouse position.
YPos | The mouse position.

Function result

True if Dragging and image shown.


TDragImageList.DragMove

Show the image at a new location.

Declaration

Source position: controls.pp line 400

public function TDragImageList.DragMove(

  X: Integer;

  Y: Integer

):Boolean;

Arguments

X | The new mouse position.
Y | The new mouse position.

Function result

True if Dragging and image moved.


TDragImageList.DragUnlock

Hide the drag image.

Declaration

Source position: controls.pp line 401

public procedure TDragImageList.DragUnlock;


TDragImageList.EndDrag

Finish dragging of the image, restore the old cursor shape.

Declaration

Source position: controls.pp line 402

public function TDragImageList.EndDrag: Boolean;

Function result

True when dragging was started before.


TDragImageList.GetResolutionClass

Declaration

Source position: controls.pp line 395

protected function TDragImageList.GetResolutionClass: TCustomImageListResolutionClass; override;


TDragImageList.HideDragImage

Hide the dragged image without unlocking the window.

Declaration

Source position: controls.pp line 403

public procedure TDragImageList.HideDragImage;


TDragImageList.Resolution

Declaration

Source position: controls.pp line 410

public property TDragImageList.Resolution[AImageWidth: Integer] : TDragImageListResolution
  read GetResolution;


TDragImageList.SetDragImage

Set index of dragged image and hotspot.

Declaration

Source position: controls.pp line 404

public function TDragImageList.SetDragImage(

  Index: Integer;

  HotSpotX: Integer;

  HotSpotY: Integer

):Boolean;

Arguments

Index | List index of the image to use.
HotSpotX | Offset from mouse position to image position.
HotSpotY | Offset from mouse position to image position.

Function result

Always True


TDragImageList.ShowDragImage

Display the drag image.

Declaration

Source position: controls.pp line 405

public procedure TDragImageList.ShowDragImage;


TDragImageListResolution

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Declaration

Source position: controls.pp line 355

type TDragImageListResolution = class(TCustomImageListResolution)

protected

  class procedure WSRegisterClass; override;

  property ImageList: TDragImageList; [r]

public

  constructor Create(); override;

  function GetHotSpot; override;

  function BeginDrag();

  function DragLock();

  function DragMove();

  procedure DragUnlock;

  function EndDrag;

  procedure HideDragImage;

  procedure ShowDragImage;

  property DragHotspot: TPoint; [rw]

  property Dragging: Boolean; [r]

end;

Inheritance

TDragImageListResolution
|
TCustomImageListResolution
|
TLCLReferenceComponent | Base class for all components having an associated widget.
|
TLCLComponent | The base class for LCL components associated with widgets.
|
TComponent,IUnknown,IInterfaceComponentReference
|
TPersistent,IFPObserved
|
TObject


TDragImageListResolution
pt | ro | ImageList
 |  | DragHotspot
 | ro | Dragging
TCustomImageListResolution
 | ro | ImageList
 | ro | Width
 | ro | Height
 | ro | Count
 |  | AutoCreatedInDesignTime
 | ro | Reference
TLCLReferenceComponent
 | ro | HandleAllocated
 | ro | ReferenceAllocated
TLCLComponent
 | ro | LCLRefCount
 | ro | WidgetSetClass
TComponent
 | ro | ComObject
 | ro | Components
 | ro | ComponentCount
 |  | ComponentIndex
 | ro | ComponentState
 | ro | ComponentStyle
 |  | DesignInfo
 | ro | Owner
 |  | VCLComObject
 |  | Name
 |  | Tag
TPersistent
TObject


 | ro | ComObject (TComponent)
 | ro | ComponentCount (TComponent)
 |  | ComponentIndex (TComponent)
 | ro | Components (TComponent)
 | ro | ComponentState (TComponent)
 | ro | ComponentStyle (TComponent)
 | ro | Count (TCustomImageListResolution)
 |  | DesignInfo (TComponent)
 | ro | Dragging (TDragImageListResolution)
 |  | DragHotspot (TDragImageListResolution)
 | ro | HandleAllocated (TLCLReferenceComponent)
 | ro | Height (TCustomImageListResolution)
 | ro | ImageList (TCustomImageListResolution)
pt | ro | ImageList (TDragImageListResolution)
 | ro | LCLRefCount (TLCLComponent)
 |  | Name (TComponent)
 | ro | Owner (TComponent)
 | ro | Reference (TCustomImageListResolution)
 | ro | ReferenceAllocated (TLCLReferenceComponent)
 |  | Tag (TComponent)
 |  | VCLComObject (TComponent)
 | ro | WidgetSetClass (TLCLComponent)
 | ro | Width (TCustomImageListResolution)


TDragImageListResolution
pt | WSRegisterClass
 | Create
 | GetHotSpot
 | BeginDrag
 | DragLock
 | DragMove
 | DragUnlock
 | EndDrag
 | HideDragImage
 | ShowDragImage
TCustomImageListResolution
pt | GetReferenceHandle
pt | WSCreateReference
pt | WSRegisterClass
pt | ReferenceDestroying
 | Destroy
 | GetHotSpot
 | FillDescription
 | GetBitmap
 | GetIcon
 | GetFullBitmap
 | GetRawImage
 | Draw
 | StretchDraw
 | DrawOverlay
TLCLReferenceComponent
pt | CreateParams
pt | DestroyReference
pt | GetReferenceHandle
pt | ReferenceCreated
pt | ReferenceDestroying
pt | ReferenceNeeded
pt | WSCreateReference
pt | WSDestroyReference
 | Destroy
TLCLComponent
pt | WSRegisterClass
pt | GetWSComponentClass
 | Create
 | Destroy
 | NewInstance
 | RemoveAllHandlersOfObject
 | IncLCLRefCount
 | DecLCLRefCount
TComponent
 | GetComObject
 | GetComponent
 | GetComponentCount
 | GetComponentIndex
 | Insert
 | ReadLeft
 | ReadTop
 | Remove
 | RemoveNotification
 | SetComponentIndex
 | SetReference
 | WriteLeft
 | WriteTop
 | ChangeName
 | DefineProperties
 | GetChildren
 | GetChildOwner
 | GetChildParent
 | GetOwner
 | Loaded
 | Loading
 | Notification
 | PaletteCreated
 | ReadState
 | SetAncestor
 | SetDesigning
 | SetDesignInstance
 | SetInline
 | SetName
 | SetChildOrder
 | SetParentComponent
 | Updating
 | Updated
 | UpdateRegistry
 | ValidateRename
 | ValidateContainer
 | ValidateInsert
 | QueryInterface
 | _AddRef
 | _Release
 | iicrGetComponent
 | GetTypeInfoCount
 | GetTypeInfo
 | GetIDsOfNames
 | Invoke
 | WriteState
 | Create
 | Destroy
 | BeforeDestruction
 | DestroyComponents
 | Destroying
 | ExecuteAction
 | FindComponent
 | FreeNotification
 | RemoveFreeNotification
 | FreeOnRelease
 | GetEnumerator
 | GetNamePath
 | GetParentComponent
 | HasParent
 | InsertComponent
 | RemoveComponent
 | SafeCallException
 | SetSubComponent
 | UpdateAction
 | IsImplementorOf
 | ReferenceInterface
TPersistent
 | AssignError
 | AssignTo
 | DefineProperties
 | GetOwner
 | Destroy
 | Assign
 | FPOAttachObserver
 | FPODetachObserver
 | FPONotifyObservers
 | GetNamePath
TObject
 | Create
 | Destroy
 | newinstance
 | FreeInstance
 | SafeCallException
 | DefaultHandler
 | Free
 | InitInstance
 | CleanupInstance
 | ClassType
 | ClassInfo
 | ClassName
 | ClassNameIs
 | ClassParent
 | InstanceSize
 | InheritsFrom
 | StringMessageTable
 | MethodAddress
 | MethodName
 | FieldAddress
 | AfterConstruction
 | BeforeDestruction
 | DefaultHandlerStr
 | Dispatch
 | DispatchStr
 | GetInterface
 | GetInterfaceByStr
 | GetInterfaceWeak
 | GetInterfaceEntry
 | GetInterfaceEntryByStr
 | GetInterfaceTable
 | UnitName
 | Equals
 | GetHashCode
 | ToString


 | AssignError (TPersistent)
 | AssignTo (TPersistent)
 | BeforeDestruction (TObject)
 | BeforeDestruction (TComponent)
 | BeginDrag (TDragImageListResolution)
 | ChangeName (TComponent)
 | ClassInfo (TObject)
 | ClassName (TObject)
 | ClassNameIs (TObject)
 | ClassParent (TObject)
 | ClassType (TObject)
 | CleanupInstance (TObject)
 | Create (TObject)
 | Create (TComponent)
 | Create (TLCLComponent)
 | Create (TDragImageListResolution)
pt | CreateParams (TLCLReferenceComponent)
 | DecLCLRefCount (TLCLComponent)
 | DefaultHandler (TObject)
 | DefaultHandlerStr (TObject)
 | DefineProperties (TPersistent)
 | DefineProperties (TComponent)
 | Destroy (TObject)
 | Destroy (TPersistent)
 | Destroy (TComponent)
 | Destroy (TLCLComponent)
 | Destroy (TLCLReferenceComponent)
 | Destroy (TCustomImageListResolution)
 | DestroyComponents (TComponent)
 | Destroying (TComponent)
pt | DestroyReference (TLCLReferenceComponent)
 | Dispatch (TObject)
 | DispatchStr (TObject)
 | DragLock (TDragImageListResolution)
 | DragMove (TDragImageListResolution)
 | DragUnlock (TDragImageListResolution)
 | Draw (TCustomImageListResolution)
 | DrawOverlay (TCustomImageListResolution)
 | EndDrag (TDragImageListResolution)
 | Equals (TObject)
 | ExecuteAction (TComponent)
 | FieldAddress (TObject)
 | FillDescription (TCustomImageListResolution)
 | FindComponent (TComponent)
 | FPOAttachObserver (TPersistent)
 | FPODetachObserver (TPersistent)
 | FPONotifyObservers (TPersistent)
 | Free (TObject)
 | FreeInstance (TObject)
 | FreeNotification (TComponent)
 | FreeOnRelease (TComponent)
 | GetBitmap (TCustomImageListResolution)
 | GetChildOwner (TComponent)
 | GetChildParent (TComponent)
 | GetChildren (TComponent)
 | GetComObject (TComponent)
 | GetComponent (TComponent)
 | GetComponentCount (TComponent)
 | GetComponentIndex (TComponent)
 | GetEnumerator (TComponent)
 | GetFullBitmap (TCustomImageListResolution)
 | GetHashCode (TObject)
 | GetHotSpot (TCustomImageListResolution)
 | GetHotSpot (TDragImageListResolution)
 | GetIcon (TCustomImageListResolution)
 | GetIDsOfNames (TComponent)
 | GetInterface (TObject)
 | GetInterfaceByStr (TObject)
 | GetInterfaceEntry (TObject)
 | GetInterfaceEntryByStr (TObject)
 | GetInterfaceTable (TObject)
 | GetInterfaceWeak (TObject)
 | GetNamePath (TPersistent)
 | GetNamePath (TComponent)
 | GetOwner (TPersistent)
 | GetOwner (TComponent)
 | GetParentComponent (TComponent)
 | GetRawImage (TCustomImageListResolution)
pt | GetReferenceHandle (TLCLReferenceComponent)
pt | GetReferenceHandle (TCustomImageListResolution)
 | GetTypeInfo (TComponent)
 | GetTypeInfoCount (TComponent)
pt | GetWSComponentClass (TLCLComponent)
 | HasParent (TComponent)
 | HideDragImage (TDragImageListResolution)
 | iicrGetComponent (TComponent)
 | IncLCLRefCount (TLCLComponent)
 | InheritsFrom (TObject)
 | InitInstance (TObject)
 | Insert (TComponent)
 | InsertComponent (TComponent)
 | InstanceSize (TObject)
 | Invoke (TComponent)
 | IsImplementorOf (TComponent)
 | Loaded (TComponent)
 | Loading (TComponent)
 | MethodAddress (TObject)
 | MethodName (TObject)
 | newinstance (TObject)
 | NewInstance (TLCLComponent)
 | Notification (TComponent)
 | PaletteCreated (TComponent)
 | QueryInterface (TComponent)
 | ReadLeft (TComponent)
 | ReadState (TComponent)
 | ReadTop (TComponent)
pt | ReferenceCreated (TLCLReferenceComponent)
pt | ReferenceDestroying (TLCLReferenceComponent)
pt | ReferenceDestroying (TCustomImageListResolution)
 | ReferenceInterface (TComponent)
pt | ReferenceNeeded (TLCLReferenceComponent)
 | Remove (TComponent)
 | RemoveAllHandlersOfObject (TLCLComponent)
 | RemoveComponent (TComponent)
 | RemoveFreeNotification (TComponent)
 | RemoveNotification (TComponent)
 | SafeCallException (TObject)
 | SafeCallException (TComponent)
 | SetAncestor (TComponent)
 | SetChildOrder (TComponent)
 | SetComponentIndex (TComponent)
 | SetDesigning (TComponent)
 | SetDesignInstance (TComponent)
 | SetInline (TComponent)
 | SetName (TComponent)
 | SetParentComponent (TComponent)
 | SetReference (TComponent)
 | SetSubComponent (TComponent)
 | ShowDragImage (TDragImageListResolution)
 | StretchDraw (TCustomImageListResolution)
 | StringMessageTable (TObject)
 | ToString (TObject)
 | UnitName (TObject)
 | UpdateAction (TComponent)
 | Updated (TComponent)
 | UpdateRegistry (TComponent)
 | Updating (TComponent)
 | ValidateContainer (TComponent)
 | ValidateInsert (TComponent)
 | ValidateRename (TComponent)
 | WriteLeft (TComponent)
 | WriteState (TComponent)
 | WriteTop (TComponent)
pt | WSCreateReference (TLCLReferenceComponent)
pt | WSCreateReference (TCustomImageListResolution)
pt | WSDestroyReference (TLCLReferenceComponent)
pt | WSRegisterClass (TLCLComponent)
pt | WSRegisterClass (TCustomImageListResolution)
pt | WSRegisterClass (TDragImageListResolution)
 | _AddRef (TComponent)
 | _Release (TComponent)


TDragImageListResolution

TCustomImageListResolution

TLCLReferenceComponent

TLCLComponent

TComponent

TPersistent

TObject


TDragImageListResolution.BeginDrag

Declaration

Source position: controls.pp line 372

public function TDragImageListResolution.BeginDrag(

  Window: HWND;

  X: Integer;

  Y: Integer

):Boolean;


TDragImageListResolution.Create

Declaration

Source position: controls.pp line 369

public constructor TDragImageListResolution.Create(

  TheOwner: TComponent

); override;


TDragImageListResolution.Dragging

Declaration

Source position: controls.pp line 381

public property TDragImageListResolution.Dragging : Boolean
  read FDragging;


TDragImageListResolution.DragHotspot

Declaration

Source position: controls.pp line 380

public property TDragImageListResolution.DragHotspot : TPoint
  read FDragHotspot
  write FDragHotspot;


TDragImageListResolution.DragLock

Declaration

Source position: controls.pp line 373

public function TDragImageListResolution.DragLock(

  Window: HWND;

  XPos: Integer;

  YPos: Integer

):Boolean;


TDragImageListResolution.DragMove

Declaration

Source position: controls.pp line 374

public function TDragImageListResolution.DragMove(

  X: Integer;

  Y: Integer

):Boolean;


TDragImageListResolution.DragUnlock

Declaration

Source position: controls.pp line 375

public procedure TDragImageListResolution.DragUnlock;


TDragImageListResolution.EndDrag

Declaration

Source position: controls.pp line 376

public function TDragImageListResolution.EndDrag: Boolean;


TDragImageListResolution.GetHotSpot

Declaration

Source position: controls.pp line 371

public function TDragImageListResolution.GetHotSpot: TPoint; override;


TDragImageListResolution.HideDragImage

Declaration

Source position: controls.pp line 377

public procedure TDragImageListResolution.HideDragImage;


TDragImageListResolution.ImageList

Declaration

Source position: controls.pp line 367

protected property TDragImageListResolution.ImageList : TDragImageList
  read GetImageList;


TDragImageListResolution.ShowDragImage

Declaration

Source position: controls.pp line 378

public procedure TDragImageListResolution.ShowDragImage;


TDragImageListResolution.WSRegisterClass

Declaration

Source position: controls.pp line 365

protected class procedure TDragImageListResolution.WSRegisterClass; override;


TDragManager

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

The abstract base class for managing the dragging of controls (to be dropped or docked).

Declaration

Source position: controls.pp line 569

type TDragManager = class(TComponent)
protected
procedure KeyUp(); virtual; abstract; | Handler for keyboard key released.
procedure KeyDown(); virtual; abstract; | Handler for keyboard key pressed.
procedure CaptureChanged(); virtual; abstract; | Aborts the dragging operation, when the capturing control really has changed.
procedure MouseMove(); virtual; abstract; | Generates the visual feedback when the mouse moves.
procedure MouseUp(); virtual; abstract; | Ends dragging.
procedure MouseDown(); virtual; abstract; | Nop.
public
constructor Create(); override; | Initializes the Delphi default dragging parameters.
function IsDragging; virtual; abstract; | Check if dragging is in progress.
function Dragging(); virtual; abstract; | True if the specified control is being dragged.
procedure RegisterDockSite(); virtual; abstract; | Adds the control to the list of registered docking sites.
procedure DragStart(); virtual; abstract; | Starts dragging a control.
procedure DragMove(); virtual; abstract; | Updates the visual dragging feedback.
procedure DragStop(); virtual; abstract; | Ends dragging.
function CanStartDragging(); virtual; abstract;
property DragImmediate: Boolean; [rw] | Start dragging immediately, on MouseDown?
property DragThreshold: Integer; [rw] | The threshold amount by which the mouse must move before delayed dragging starts. (default 5 pixels)
end;

Inheritance

TDragManager

The abstract base class for managing the dragging of controls (to be dropped or docked).
|

TComponent,IUnknown,IInterfaceComponentReference
|

TPersistent,IFPObserved
|

TObject

Description

This is the OO version of the Delphi drag manager, implemented in TDragManagerDefault.

Remark: The registered dock sites should be stored in a persistent list, not in a DragManager instance.

[entire review DoDi 2010-02-16]


TDragManager
 |  | DragImmediate
 |  | DragThreshold
TComponent
 | ro | ComObject
 | ro | Components
 | ro | ComponentCount
 |  | ComponentIndex
 | ro | ComponentState
 | ro | ComponentStyle
 |  | DesignInfo
 | ro | Owner
 |  | VCLComObject
 |  | Name
 |  | Tag
TPersistent
TObject


ro | ComObject (TComponent)
ro | ComponentCount (TComponent)
 | ComponentIndex (TComponent)
ro | Components (TComponent)
ro | ComponentState (TComponent)
ro | ComponentStyle (TComponent)
 | DesignInfo (TComponent)
 | DragImmediate (TDragManager)
 | DragThreshold (TDragManager)
 | Name (TComponent)
ro | Owner (TComponent)
 | Tag (TComponent)
 | VCLComObject (TComponent)


TDragManager
pt | KeyUp
pt | KeyDown
pt | CaptureChanged
pt | MouseMove
pt | MouseUp
pt | MouseDown
 | Create
 | IsDragging
 | Dragging
 | RegisterDockSite
 | DragStart
 | DragMove
 | DragStop
 | CanStartDragging
TComponent
 | GetComObject
 | GetComponent
 | GetComponentCount
 | GetComponentIndex
 | Insert
 | ReadLeft
 | ReadTop
 | Remove
 | RemoveNotification
 | SetComponentIndex
 | SetReference
 | WriteLeft
 | WriteTop
 | ChangeName
 | DefineProperties
 | GetChildren
 | GetChildOwner
 | GetChildParent
 | GetOwner
 | Loaded
 | Loading
 | Notification
 | PaletteCreated
 | ReadState
 | SetAncestor
 | SetDesigning
 | SetDesignInstance
 | SetInline
 | SetName
 | SetChildOrder
 | SetParentComponent
 | Updating
 | Updated
 | UpdateRegistry
 | ValidateRename
 | ValidateContainer
 | ValidateInsert
 | QueryInterface
 | _AddRef
 | _Release
 | iicrGetComponent
 | GetTypeInfoCount
 | GetTypeInfo
 | GetIDsOfNames
 | Invoke
 | WriteState
 | Create
 | Destroy
 | BeforeDestruction
 | DestroyComponents
 | Destroying
 | ExecuteAction
 | FindComponent
 | FreeNotification
 | RemoveFreeNotification
 | FreeOnRelease
 | GetEnumerator
 | GetNamePath
 | GetParentComponent
 | HasParent
 | InsertComponent
 | RemoveComponent
 | SafeCallException
 | SetSubComponent
 | UpdateAction
 | IsImplementorOf
 | ReferenceInterface
TPersistent
 | AssignError
 | AssignTo
 | DefineProperties
 | GetOwner
 | Destroy
 | Assign
 | FPOAttachObserver
 | FPODetachObserver
 | FPONotifyObservers
 | GetNamePath
TObject
 | Create
 | Destroy
 | newinstance
 | FreeInstance
 | SafeCallException
 | DefaultHandler
 | Free
 | InitInstance
 | CleanupInstance
 | ClassType
 | ClassInfo
 | ClassName
 | ClassNameIs
 | ClassParent
 | InstanceSize
 | InheritsFrom
 | StringMessageTable
 | MethodAddress
 | MethodName
 | FieldAddress
 | AfterConstruction
 | BeforeDestruction
 | DefaultHandlerStr
 | Dispatch
 | DispatchStr
 | GetInterface
 | GetInterfaceByStr
 | GetInterfaceWeak
 | GetInterfaceEntry
 | GetInterfaceEntryByStr
 | GetInterfaceTable
 | UnitName
 | Equals
 | GetHashCode
 | ToString


 | AssignError (TPersistent)
 | AssignTo (TPersistent)
 | BeforeDestruction (TObject)
 | BeforeDestruction (TComponent)
 | CanStartDragging (TDragManager)
pt | CaptureChanged (TDragManager)
 | ChangeName (TComponent)
 | ClassInfo (TObject)
 | ClassName (TObject)
 | ClassNameIs (TObject)
 | ClassParent (TObject)
 | ClassType (TObject)
 | CleanupInstance (TObject)
 | Create (TObject)
 | Create (TComponent)
 | Create (TDragManager)
 | DefaultHandler (TObject)
 | DefaultHandlerStr (TObject)
 | DefineProperties (TPersistent)
 | DefineProperties (TComponent)
 | Destroy (TObject)
 | Destroy (TPersistent)
 | Destroy (TComponent)
 | DestroyComponents (TComponent)
 | Destroying (TComponent)
 | Dispatch (TObject)
 | DispatchStr (TObject)
 | Dragging (TDragManager)
 | DragMove (TDragManager)
 | DragStart (TDragManager)
 | DragStop (TDragManager)
 | Equals (TObject)
 | ExecuteAction (TComponent)
 | FieldAddress (TObject)
 | FindComponent (TComponent)
 | FPOAttachObserver (TPersistent)
 | FPODetachObserver (TPersistent)
 | FPONotifyObservers (TPersistent)
 | Free (TObject)
 | FreeInstance (TObject)
 | FreeNotification (TComponent)
 | FreeOnRelease (TComponent)
 | GetChildOwner (TComponent)
 | GetChildParent (TComponent)
 | GetChildren (TComponent)
 | GetComObject (TComponent)
 | GetComponent (TComponent)
 | GetComponentCount (TComponent)
 | GetComponentIndex (TComponent)
 | GetEnumerator (TComponent)
 | GetHashCode (TObject)
 | GetIDsOfNames (TComponent)
 | GetInterface (TObject)
 | GetInterfaceByStr (TObject)
 | GetInterfaceEntry (TObject)
 | GetInterfaceEntryByStr (TObject)
 | GetInterfaceTable (TObject)
 | GetInterfaceWeak (TObject)
 | GetNamePath (TPersistent)
 | GetNamePath (TComponent)
 | GetOwner (TPersistent)
 | GetOwner (TComponent)
 | GetParentComponent (TComponent)
 | GetTypeInfo (TComponent)
 | GetTypeInfoCount (TComponent)
 | HasParent (TComponent)
 | iicrGetComponent (TComponent)
 | InheritsFrom (TObject)
 | InitInstance (TObject)
 | Insert (TComponent)
 | InsertComponent (TComponent)
 | InstanceSize (TObject)
 | Invoke (TComponent)
 | IsDragging (TDragManager)
 | IsImplementorOf (TComponent)
pt | KeyDown (TDragManager)
pt | KeyUp (TDragManager)
 | Loaded (TComponent)
 | Loading (TComponent)
 | MethodAddress (TObject)
 | MethodName (TObject)
pt | MouseDown (TDragManager)
pt | MouseMove (TDragManager)
pt | MouseUp (TDragManager)
 | newinstance (TObject)
 | Notification (TComponent)
 | PaletteCreated (TComponent)
 | QueryInterface (TComponent)
 | ReadLeft (TComponent)
 | ReadState (TComponent)
 | ReadTop (TComponent)
 | ReferenceInterface (TComponent)
 | RegisterDockSite (TDragManager)
 | Remove (TComponent)
 | RemoveComponent (TComponent)
 | RemoveFreeNotification (TComponent)
 | RemoveNotification (TComponent)
 | SafeCallException (TObject)
 | SafeCallException (TComponent)
 | SetAncestor (TComponent)
 | SetChildOrder (TComponent)
 | SetComponentIndex (TComponent)
 | SetDesigning (TComponent)
 | SetDesignInstance (TComponent)
 | SetInline (TComponent)
 | SetName (TComponent)
 | SetParentComponent (TComponent)
 | SetReference (TComponent)
 | SetSubComponent (TComponent)
 | StringMessageTable (TObject)
 | ToString (TObject)
 | UnitName (TObject)
 | UpdateAction (TComponent)
 | Updated (TComponent)
 | UpdateRegistry (TComponent)
 | Updating (TComponent)
 | ValidateContainer (TComponent)
 | ValidateInsert (TComponent)
 | ValidateRename (TComponent)
 | WriteLeft (TComponent)
 | WriteState (TComponent)
 | WriteTop (TComponent)
 | _AddRef (TComponent)
 | _Release (TComponent)


TDragManager

TComponent

TPersistent

TObject


TDragManager.CanStartDragging

Declaration

Source position: controls.pp line 592

public function TDragManager.CanStartDragging(

  Site: TWinControl;

  AThreshold: Integer;

  X: Integer;

  Y: Integer

):Boolean; virtual; abstract;


TDragManager.CaptureChanged

Aborts the dragging operation, when the capturing control really has changed.

Declaration

Source position: controls.pp line 577

protected procedure TDragManager.CaptureChanged(

  OldCaptureControl: TControl

); virtual; abstract;


TDragManager.Create

Initializes the Delphi default dragging parameters.

Declaration

Source position: controls.pp line 582

public constructor TDragManager.Create(

  TheOwner: TComponent

); override;

Description

The Delphi VCL sets DragImmediate=True and DragThreshold=5.

Remark: A docking operation never should start immediately.


TDragManager.Dragging

True if the specified control is being dragged.

Declaration

Source position: controls.pp line 585

public function TDragManager.Dragging(

  AControl: TControl

):Boolean; virtual; abstract;


TDragManager.DragImmediate

Start dragging immediately, on MouseDown?

Declaration

Source position: controls.pp line 594

public property TDragManager.DragImmediate : Boolean
  read FDragImmediate
  write FDragImmediate
  default True;

Description

This is the default value for e.g. BeginDrag.


TDragManager.DragMove

Updates the visual dragging feedback.

Declaration

Source position: controls.pp line 589

public procedure TDragManager.DragMove(

  APosition: TPoint

); virtual; abstract;

Arguments

APosition

Mouse position in screen coordinates.


TDragManager.DragStart

Starts dragging a control.

Declaration

Source position: controls.pp line 588

public procedure TDragManager.DragStart(

  AControl: TControl;

  AImmediate: Boolean;

  AThreshold: Integer;

  StartFromCurrentMouse: Boolean = False

); virtual; abstract;

Arguments

AControl | The control that initiates the drag operation.
AImmediate | False when dragging should start only when the mouse is moved (delayed).
AThreshold | How much the mouse must move before delayed dragging starts.

Description

A DragObject must be created, depending on the Control.DragKind. The mouse has to be captured, and visual feedback must be initialized.


TDragManager.DragStop

Ends dragging.

Declaration

Source position: controls.pp line 590

public procedure TDragManager.DragStop(

  ADrop: Boolean

); virtual; abstract;

Arguments

ADrop

False when dragging was aborted.

Description

The visual feedback is reset.

All related controls are notified of the outcome of the operation (drop, dock, abort).

Finally all temporary objects are destroyed.


TDragManager.DragThreshold

The threshold amount by which the mouse must move before delayed dragging starts. (default 5 pixels)

Declaration

Source position: controls.pp line 595

public property TDragManager.DragThreshold : Integer
  read FDragThreshold
  write FDragThreshold
  default 5;


TDragManager.IsDragging

Check if dragging is in progress.

Declaration

Source position: controls.pp line 584

public function TDragManager.IsDragging: Boolean; virtual; abstract;

Function result

True if dragging.


TDragManager.KeyDown

Handler for keyboard key pressed.

Declaration

Source position: controls.pp line 576

protected procedure TDragManager.KeyDown(

  var Key: Word;

  Shift: TShiftState

); virtual; abstract;

Description

When (and while) the Ctrl key is pressed, dropping is disabled.

The Esc key aborts the current dragging operation immediately.


TDragManager.KeyUp

Handler for keyboard key released.

Declaration

Source position: controls.pp line 575

protected procedure TDragManager.KeyUp(

  var Key: Word;

  Shift: TShiftState

); virtual; abstract;

Description

When the Ctrl key is released, a drop is enabled again.


TDragManager.MouseDown

Nop.

Declaration

Source position: controls.pp line 580

protected procedure TDragManager.MouseDown(

  Button: TMouseButton;

  Shift: TShiftState;

  X: Integer;

  Y: Integer

); virtual; abstract;


TDragManager.MouseMove

Generates the visual feedback when the mouse moves.

Declaration

Source position: controls.pp line 578

protected procedure TDragManager.MouseMove(

  Shift: TShiftState;

  X: Integer;

  Y: Integer

); virtual; abstract;


TDragManager.MouseUp

Ends dragging.

Declaration

Source position: controls.pp line 579

protected procedure TDragManager.MouseUp(

  Button: TMouseButton;

  Shift: TShiftState;

  X: Integer;

  Y: Integer

); virtual; abstract;


TDragManager.RegisterDockSite

Adds the control to the list of registered docking sites.

Declaration

Source position: controls.pp line 586

public procedure TDragManager.RegisterDockSite(

  Site: TWinControl;

  DoRegister: Boolean

); virtual; abstract;

Arguments

Site | The DockSite to register.
DoRegister | True for adding, False for removing the site.

Description

Remark: This should become a class method, maintaining the list of registered docking sites outside any DragManager instance.


TDragObject

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Base class for managing drag operations and user feedback.

Declaration

Source position: controls.pp line 446

type TDragObject = class
protected
procedure EndDrag(); virtual; | Called when a dragging operation ends.
function GetDragImages; virtual; | Returns a list of images for dragging.
function GetDragCursor(); virtual; | Returns the dragging cursor type (shape).
public
constructor Create(); virtual; | Remembers the dragged control.
constructor AutoCreate(); | Special constructor, enforcing the destruction of the object at the end of the dragging operation.
procedure HideDragImage; virtual; | Asks the image list to hide the drag image.
procedure ShowDragImage; virtual; | Asks the image list to show the drag image.
property AlwaysShowDragImages: Boolean; [rw] | Should the image of dragged objects always be shown?
property AutoCreated: Boolean; [r] | Was the drag object created automatically?
property AutoFree: Boolean; [r] | Indicates whether the object shall be destroyed at the end of the dragging operation.
property Control: TControl; [rw] | The control that is dragged (source).
property DragPos: TPoint; [rw] | Current mouse position in screen coordinates.
property DragTarget: TControl; [rw] | The control over which the object currently is dragged (target).
property DragTargetPos: TPoint; [rw] | Mouse position in client coordinates of the DragTarget.
property Dropped: Boolean; [r] | Indicates whether the drag object has been dropped yet.
end;

Inheritance

TDragObject

Base class for managing drag operations and user feedback.
|

TObject

Description

Every dragging operation has an associated DragObject, holding references to the source and target controls, and other parameters for the customization of the visual user feedback.

A default DragObject is created automatically when a dragging operation starts, and is destroyed when the operation has ended, so that you must not take special care on it. But an application can provide a customized DragObject in the TControl.OnStartDrag or TControl.OnStartDock handlers of the source control (being dragged).

Remark: AutoCreated DragObjects imply different behaviour in the DragOver and DragDrop events, where the Source becomes the dragged control, while else the DragObject itself is passed as Source.

TDragObject is the ancestor of an whole tree of dragging objects, with the main branches supporting either drag-drop or drag-dock operations. The type of the operation is determined from the TControl.DragKind property of the source control.

Remark: In contrast to the Delphi implementation, Lazarus has moved a couple of methods into the drag performers, so that these are no more available for customization.

A Lazarus DragObject mainly supplies the cursor and images, used in visual user feedback. Drag-drop operations typically signal acceptance of an possible drop by variations of the mouse cursor, and optionally can attach to it shapes of the dragged object(s). Drag-dock operations instead show a docking rectangle, that snaps to possible target locations when the mouse moves over docksites.

[entire review DoDi 2011-09-10]

See also

TDragControlObject | A drag object for dragging a control.
TDragDockObject | A drag object for drag-dock.


TDragObject
 |  | AlwaysShowDragImages
 | ro | AutoCreated
 | ro | AutoFree
 |  | Control
 |  | DragPos
 |  | DragTarget
 |  | DragTargetPos
 | ro | Dropped


TDragObject
pt | EndDrag
pt | GetDragImages
pt | GetDragCursor
 | Create
 | AutoCreate
 | HideDragImage
 | ShowDragImage


pt | EndDrag (TDragObject)
pt | GetDragCursor (TDragObject)
pt | GetDragImages (TDragObject)
 | HideDragImage (TDragObject)
 | ShowDragImage (TDragObject)


TDragObject


TDragObject.AlwaysShowDragImages

Should the image of dragged objects always be shown?

Declaration

Source position: controls.pp line 467

public property TDragObject.AlwaysShowDragImages : Boolean
  read FAlwaysShowDragImages
  write FAlwaysShowDragImages;

Description

This is another chance for enforcing the display of a drag image, even if a drop is acceptable.


TDragObject.AutoCreate

Special constructor, enforcing the destruction of the object at the end of the dragging operation.

Declaration

Source position: controls.pp line 462

public constructor TDragObject.AutoCreate(

  AControl: TControl

);

Arguments

AControl

The control being dragged.

Description

This constructor sets the AutoCreated and AutoFree flags. AutoFree is tested by the DragManager at the end of the dragging operation.


TDragObject.AutoCreated

Was the drag object created automatically?

Declaration

Source position: controls.pp line 468

public property TDragObject.AutoCreated : Boolean
  read FAutoCreated;

Description

This property is of little use, more important is the AutoFree property.


TDragObject.AutoFree

Indicates whether the object shall be destroyed at the end of the dragging operation.

Declaration

Source position: controls.pp line 469

public property TDragObject.AutoFree : Boolean
  read FAutoFree;

Description

This is a Lazarus specific property, introduced to get rid of the special Delphi TDrag...Ex classes.


TDragObject.Control

The control that is dragged (source).

Declaration

Source position: controls.pp line 470

public property TDragObject.Control : TControl
  read FControl
  write FControl;


TDragObject.Create

Remembers the dragged control.

Declaration

Source position: controls.pp line 461

public constructor TDragObject.Create(

  AControl: TControl

); virtual;

Arguments

AControl

The control being dragged.

See also

TObject.Create


TDragObject.DragPos

Current mouse position in screen coordinates.

Declaration

Source position: controls.pp line 471

public property TDragObject.DragPos : TPoint
  read FDragPos
  write FDragPos;

See also

TDragObject.DragTargetPos

Mouse position in client coordinates of the DragTarget.


TDragObject.DragTarget

The control over which the object currently is dragged (target).

Declaration

Source position: controls.pp line 472

public property TDragObject.DragTarget : TControl
  read FDragTarget
  write FDragTarget;


TDragObject.DragTargetPos

Mouse position in client coordinates of the DragTarget.

Declaration

Source position: controls.pp line 473

public property TDragObject.DragTargetPos : TPoint
  read FDragTargetPos
  write FDragTargetPos;

See also

TDragObject.DragPos

Current mouse position in screen coordinates.


TDragObject.Dropped

Indicates whether the drag object has been dropped yet.

Declaration

Source position: controls.pp line 474

public property TDragObject.Dropped : Boolean
  read FDropped;

Description

False while dragging is in progress, or when dragging has been aborted.


TDragObject.EndDrag

Called when a dragging operation ends.

Declaration

Source position: controls.pp line 457

protected procedure TDragObject.EndDrag(

  Target: TObject;

  X: Integer;

  Y: Integer

); virtual;

Arguments

Target

The control onto which the dragged object is dropped (can be Nil).

Description

The default implementation calls Control.DoEndDrag, which in turn invokes an OnEndDrag handler.


TDragObject.GetDragCursor

Returns the dragging cursor type (shape).

Declaration

Source position: controls.pp line 459

protected function TDragObject.GetDragCursor(

  Accepted: Boolean;

  X: Integer;

  Y: Integer

):TCursor; virtual;

Arguments

Accepted

Which cursor to return (rejected:crNoDrop or accepted:crDrag).

Function result

The cursor to show.

Description

In drag-drop operations the cursor signals acceptance or rejection of an drop, depending on Accepted.


TDragObject.GetDragImages

Returns a list of images for dragging.

Declaration

Source position: controls.pp line 458

protected function TDragObject.GetDragImages: TDragImageList; virtual;

Function result

The ImageList to use, is Nil by default!

Description

The returned TDragImageList provides methods for the selection and display of an image, shown while dragging. This implementation returns Nil, must be overridden (e.g. in TDragControlObject).

See also

TDragControlObject

A drag object for dragging a control.


TDragObject.HideDragImage

Asks the image list to hide the drag image.

Declaration

Source position: controls.pp line 464

public procedure TDragObject.HideDragImage; virtual;

See also

ShowDragImage

Asks the image list to show the drag image.


TDragObject.ShowDragImage

Asks the image list to show the drag image.

Declaration

Source position: controls.pp line 465

public procedure TDragObject.ShowDragImage; virtual;

See also

HideDragImage

Asks the image list to hide the drag image.


TDragObjectClass

A TDragObject class type.

Declaration

Source position: controls.pp line 477

type TDragObjectClass = class of TDragObject;


TDragObjectEx

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Base class for managing drag operations and user feedback.

Declaration

Source position: controls.pp line 481

type TDragObjectEx = class(TDragObject)

public

  constructor Create(); override;

Creates a drag object that is automatically destroyed after use.

end;

Inheritance

TDragObjectEx | Base class for managing drag operations and user feedback.
|
TDragObject | Base class for managing drag operations and user feedback.
|
TObject


TDragObjectEx
TDragObject
 |  | AlwaysShowDragImages
 | ro | AutoCreated
 | ro | AutoFree
 |  | Control
 |  | DragPos
 |  | DragTarget
 |  | DragTargetPos
 | ro | Dropped


TDragObjectEx
 | Create
TDragObject
pt | EndDrag
pt | GetDragImages
pt | GetDragCursor
 | Create
 | AutoCreate
 | HideDragImage
 | ShowDragImage


TDragObjectEx

TDragObject


TDragObjectEx.Create

Creates a drag object that is automatically destroyed after use.

Declaration

Source position: controls.pp line 483

public constructor TDragObjectEx.Create(

  AControl: TControl

); override;


TGraphicControl

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

TGraphicControl is the base class for all lightweight controls.

Declaration

Source position: controls.pp line 2362

type TGraphicControl = class(TControl)
protected
class procedure WSRegisterClass; override; | Registers this component class with the current WidgetSet.
procedure FontChanged(); override; | Handles changes of the Font property.
procedure Paint; virtual; | Override this method with your own painting code.
procedure DoOnChangeBounds; override; | Invokes the OnChangeBounds event handler
procedure DoOnParentHandleDestruction; override;
property OnPaint: TNotifyEvent; [rw] | Supply your own OnPaint handler for painting the control.
procedure CMCursorChanged(); message;
public
constructor Create(); override;
destructor Destroy; override;
property Canvas: TCanvas; [r] | A clipped window into the parent Canvas.
end;

Inheritance

TGraphicControl | TGraphicControl is the base class for all lightweight controls.
|
TControl | The base class for visible controls.
|
TLCLComponent | The base class for LCL components associated with widgets.
|
TComponent,IUnknown,IInterfaceComponentReference
|
TPersistent,IFPObserved
|
TObject

Description

TGraphicControl supports simple lightweight controls that do not need the ability to accept keyboard input or contain other controls.

If you want to accept keyboard input, or need to support child controls, use a TCustomControl instead.

Since lightweight controls do not wrap GUI widgets, they use fewer resources than controls based on TWinControl.

TGraphicControl provides a Canvas property for access to the control's drawing surface and a virtual Paint method and an OnPaint handler, called in response to paint requests received by the parent control.

Override the Paint method or supply your own OnPaint handler, to do the actual drawing of the control.

See also

#lcl.Controls.TCustomControl | The base class for windowed controls which paint themselves.
TGraphicControl.Paint | Override this method with your own painting code.
TGraphicControl.OnPaint | Supply your own OnPaint handler for painting the control.
#lcl.Graphics.TCanvas | TCanvas represents a drawing surface which might be attached to a visual control which might be displayed on the screen or to an offscreen bitmap. It contains a number of drawing functions.


TGraphicControl
 | ro | Canvas
TControl
pt | ro | AutoSizing
pt | ro | AutoSizingAll
pt | ro | AutoSizingLockCount
pt |  | ActionLink
pt |  | DesktopFont
pt |  | DragCursor
pt |  | DragKind
pt |  | DragMode
pt |  | MouseCapture
pt |  | ParentColor
pt |  | ParentFont
pt |  | ParentShowHint
pt |  | SessionProperties
pt |  | Text
 | ro | AnchoredControls
 | ro | BaseBounds
 | ro | ReadBounds
 | ro | BaseParentClientSize
 |  | AccessibleDescription
 |  | AccessibleValue
 |  | AccessibleRole
 |  | Action
 |  | Align
 |  | Anchors
 | ro | AnchorSide
 |  | AutoSize
 |  | BorderSpacing
 |  | BoundsRect
 |  | BoundsRectForNewParent
 |  | Caption
 |  | CaptureMouseButtons
 |  | ClientHeight
 | ro | ClientOrigin
 | ro | ClientRect
 |  | ClientWidth
 |  | Color
 |  | Constraints
 | ro | ControlOrigin
 |  | ControlState
 |  | ControlStyle
 |  | Enabled
 |  | Font
 |  | IsControl
 | ro | MouseEntered
 | ro | MouseInClient
 |  | Parent
 |  | PopupMenu
 |  | ShowHint
 |  | Visible
 |  | WindowProc
 |  | DockOrientation
 | ro | Floating
 |  | FloatingDockSiteClass
 |  | HostDockSite
 |  | LRDockWidth
 |  | TBDockHeight
 |  | UndockHeight
 |  | UndockWidth
 |  | BiDiMode
 |  | ParentBiDiMode
pl |  | AnchorSideLeft
pl |  | AnchorSideTop
pl |  | AnchorSideRight
pl |  | AnchorSideBottom
pl |  | Cursor
pl |  | Left
pl |  | Height
pl |  | Hint
pl |  | Top
pl |  | Width
pl |  | HelpType
pl |  | HelpKeyword
pl |  | HelpContext
TLCLComponent
 | ro | LCLRefCount
 | ro | WidgetSetClass
TComponent
 | ro | ComObject
 | ro | Components
 | ro | ComponentCount
 |  | ComponentIndex
 | ro | ComponentState
 | ro | ComponentStyle
 |  | DesignInfo
 | ro | Owner
 |  | VCLComObject
 |  | Name
 |  | Tag
TPersistent
TObject


 |  | AccessibleDescription (TControl)
 |  | AccessibleRole (TControl)
 |  | AccessibleValue (TControl)
 |  | Action (TControl)
pt |  | ActionLink (TControl)
 |  | Align (TControl)
 | ro | AnchoredControls (TControl)
 |  | Anchors (TControl)
 | ro | AnchorSide (TControl)
pl |  | AnchorSideBottom (TControl)
pl |  | AnchorSideLeft (TControl)
pl |  | AnchorSideRight (TControl)
pl |  | AnchorSideTop (TControl)
 |  | AutoSize (TControl)
pt | ro | AutoSizing (TControl)
pt | ro | AutoSizingAll (TControl)
pt | ro | AutoSizingLockCount (TControl)
 | ro | BaseBounds (TControl)
 | ro | BaseParentClientSize (TControl)
 |  | BiDiMode (TControl)
 |  | BorderSpacing (TControl)
 |  | BoundsRect (TControl)
 |  | BoundsRectForNewParent (TControl)
 | ro | Canvas (TGraphicControl)
 |  | Caption (TControl)
 |  | CaptureMouseButtons (TControl)
 |  | ClientHeight (TControl)
 | ro | ClientOrigin (TControl)
 | ro | ClientRect (TControl)
 |  | ClientWidth (TControl)
 |  | Color (TControl)
 | ro | ComObject (TComponent)
 | ro | ComponentCount (TComponent)
 |  | ComponentIndex (TComponent)
 | ro | Components (TComponent)
 | ro | ComponentState (TComponent)
 | ro | ComponentStyle (TComponent)
 |  | Constraints (TControl)
 | ro | ControlOrigin (TControl)
 |  | ControlState (TControl)
 |  | ControlStyle (TControl)
pl |  | Cursor (TControl)
 |  | DesignInfo (TComponent)
pt |  | DesktopFont (TControl)
 |  | DockOrientation (TControl)
pt |  | DragCursor (TControl)
pt |  | DragKind (TControl)
pt |  | DragMode (TControl)
 |  | Enabled (TControl)
 | ro | Floating (TControl)
 |  | FloatingDockSiteClass (TControl)
 |  | Font (TControl)
pl |  | Height (TControl)
pl |  | HelpContext (TControl)
pl |  | HelpKeyword (TControl)
pl |  | HelpType (TControl)
pl |  | Hint (TControl)
 |  | HostDockSite (TControl)
 |  | IsControl (TControl)
 | ro | LCLRefCount (TLCLComponent)
pl |  | Left (TControl)
 |  | LRDockWidth (TControl)
pt |  | MouseCapture (TControl)
 | ro | MouseEntered (TControl)
 | ro | MouseInClient (TControl)
 |  | Name (TComponent)
 | ro | Owner (TComponent)
 |  | Parent (TControl)
 |  | ParentBiDiMode (TControl)
pt |  | ParentColor (TControl)
pt |  | ParentFont (TControl)
pt |  | ParentShowHint (TControl)
 |  | PopupMenu (TControl)
 | ro | ReadBounds (TControl)
pt |  | SessionProperties (TControl)
 |  | ShowHint (TControl)
 |  | Tag (TComponent)
 |  | TBDockHeight (TControl)
pt |  | Text (TControl)
pl |  | Top (TControl)
 |  | UndockHeight (TControl)
 |  | UndockWidth (TControl)
 |  | VCLComObject (TComponent)
 |  | Visible (TControl)
 | ro | WidgetSetClass (TLCLComponent)
pl |  | Width (TControl)
 |  | WindowProc (TControl)


TGraphicControl
pt | WSRegisterClass
pt | FontChanged
pt | Paint
pt | DoOnChangeBounds
pt | DoOnParentHandleDestruction
pt | CMCursorChanged
 | Create
 | Destroy
TControl
pt | WSRegisterClass
pt | GetCursor
pt | SetCursor
pt | SetVisible
pt | DoOnParentHandleDestruction
pt | DoAutoSize
pt | DoAllAutoSize
pt | BeginAutoSizing
pt | EndAutoSizing
pt | AnchorSideChanged
pt | ForeignAnchorSideChanged
pt | SetAlign
pt | SetAnchors
pt | SetAutoSize
pt | BoundsChanged
pt | CreateControlBorderSpacing
pt | DoConstraintsChange
pt | DoBorderSpacingChange
pt | IsBorderSpacingInnerBorderStored
pt | IsCaptionStored
pt | SendMoveSizeMessages
pt | ConstrainedResize
pt | CalculatePreferredSize
pt | DoOnResize
pt | DoOnChangeBounds
pt | CheckOnChangeBounds
pt | Resize
pt | RequestAlign
pt | UpdateAnchorRules
pt | ChangeBounds
pt | DoSetBounds
pt | ScaleConstraints
pt | ChangeScale
pt | CanAutoSize
pt | SetBiDiMode
pt | SetParentBiDiMode
pt | IsAParentAligning
pt | GetClientOrigin
pt | GetClientRect
pt | GetLogicalClientRect
pt | GetScrolledClientRect
pt | GetClientScrollOffset
pt | GetControlOrigin
pt | IsClientHeightStored
pt | IsClientWidthStored
pt | WidthIsAnchored
pt | HeightIsAnchored
pt | WMCancelMode
pt | WMContextMenu
pt | WMLButtonDown
pt | WMRButtonDown
pt | WMMButtonDown
pt | WMXButtonDown
pt | WMLButtonDBLCLK
pt | WMRButtonDBLCLK
pt | WMMButtonDBLCLK
pt | WMXButtonDBLCLK
pt | WMLButtonTripleCLK
pt | WMRButtonTripleCLK
pt | WMMButtonTripleCLK
pt | WMXButtonTripleCLK
pt | WMLButtonQuadCLK
pt | WMRButtonQuadCLK
pt | WMMButtonQuadCLK
pt | WMXButtonQuadCLK
pt | WMMouseMove
pt | WMLButtonUp
pt | WMRButtonUp
pt | WMMButtonUp
pt | WMXButtonUp
pt | WMMouseWheel
pt | WMMouseHWheel
pt | WMMove
pt | WMSize
pt | WMWindowPosChanged
pt | CMChanged
pt | LMCaptureChanged
pt | CMBiDiModeChanged
pt | CMSysFontChanged
pt | CMEnabledChanged
pt | CMHitTest
pt | CMMouseEnter
pt | CMMouseLeave
pt | CMHintShow
pt | CMParentBiDiModeChanged
pt | CMParentColorChanged
pt | CMParentFontChanged
pt | CMParentShowHintChanged
pt | CMVisibleChanged
pt | CMTextChanged
pt | CMCursorChanged
pt | CalculateDockSizes
pt | CreateFloatingDockSite
pt | GetDockEdge
pt | GetDragImages
pt | GetFloating
pt | GetFloatingDockSiteClass
pt | BeforeDragStart
pt | BeginAutoDrag
pt | DoFloatMsg
pt | DockTrackNoTarget
pt | DoDock
pt | DoDragMsg
pt | DoEndDock
pt | DoEndDrag
pt | DoStartDock
pt | DoStartDrag
pt | DragCanceled
pt | DragOver
pt | PositionDockRect
pt | SetDragMode
pt | GetDefaultDockCaption
pt | Click
pt | DblClick
pt | TripleClick
pt | QuadClick
pt | GetMousePosFromMessage
pt | MouseDown
pt | MouseMove
pt | MouseUp
pt | MouseEnter
pt | MouseLeave
pt | DialogChar
pt | UpdateMouseCursor
pt | Changed
pt | GetPalette
pt | ChildClassAllowed
pt | ReadState
pt | Loaded
pt | LoadedAll
pt | DefineProperties
pt | AssignTo
pt | FormEndUpdated
pt | InvalidateControl
pt | FontChanged
pt | ParentFontChanged
pt | GetAction
pt | RealGetText
pt | RealSetText
pt | TextChanged
pt | GetCachedText
pt | SetAction
pt | SetColor
pt | SetEnabled
pt | SetHint
pt | SetName
pt | SetParent
pt | SetParentComponent
pt | WndProc
pt | ParentFormHandleInitialized
pt | GetMouseCapture
pt | CaptureChanged
pt | Notification
pt | CanTab
pt | GetDeviceContext
pt | GetEnabled
pt | GetPopupMenu
pt | DoOnShowHint
pt | DoMouseWheel
pt | DoMouseWheelDown
pt | DoMouseWheelUp
pt | DoMouseWheelHorz
pt | DoMouseWheelLeft
pt | DoMouseWheelRight
pt | VisibleChanging
pt | VisibleChanged
pt | EnabledChanging
pt | EnabledChanged
pt | AddHandler
pt | RemoveHandler
pt | DoCallNotifyHandler
pt | DoCallKeyEventHandler
pt | DoCallMouseWheelEventHandler
pt | DoContextPopup
pt | SetZOrder
pt | GetControlClassDefaultSize
pt | ColorIsStored
pt | DoAutoAdjustLayout
pt | DoFixDesignFontPPI
pt | DoScaleFontPPI
pt | GetActionLinkClass
pt | ActionChange
 | DragDrop
 | Dock
 | ManualDock
 | ManualFloat
 | ReplaceDockedControl
 | Docked
 | Dragging
 | GetAccessibleObject
 | CreateAccessibleObject
 | GetSelectedChildAccessibleObject
 | GetChildAccessibleObjectAtPos
 | ScaleDesignToForm
 | ScaleFormToDesign
 | Scale96ToForm
 | ScaleFormTo96
 | Scale96ToFont
 | ScaleFontTo96
 | ScaleScreenToFont
 | ScaleFontToScreen
 | Scale96ToScreen
 | ScaleScreenTo96
 | AdjustSize
 | AutoSizePhases
 | AutoSizeDelayed
 | AutoSizeDelayedReport
 | AutoSizeDelayedHandle
 | AnchorToNeighbour
 | AnchorParallel
 | AnchorHorizontalCenterTo
 | AnchorVerticalCenterTo
 | AnchorToCompanion
 | AnchorSame
 | AnchorAsAlign
 | AnchorClient
 | AnchoredControlCount
 | SetBounds
 | SetInitialBounds
 | SetBoundsKeepBase
 | GetPreferredSize
 | GetCanvasScaleFactor
 | GetDefaultWidth
 | GetDefaultHeight
 | GetDefaultColor
 | GetColorResolvingParent
 | GetRGBColorResolvingParent
 | GetSidePosition
 | CNPreferredSizeChanged
 | InvalidatePreferredSize
 | GetAnchorsDependingOnParent
 | DisableAutoSizing
 | EnableAutoSizing
 | UpdateBaseBounds
 | WriteLayoutDebugReport
 | AutoAdjustLayout
 | ShouldAutoAdjust
 | FixDesignFontsPPI
 | ScaleFontsPPI
 | Create
 | Destroy
 | BeforeDestruction
 | EditingDone
 | ExecuteDefaultAction
 | ExecuteCancelAction
 | BeginDrag
 | EndDrag
 | BringToFront
 | HasParent
 | GetParentComponent
 | IsParentOf
 | GetTopParent
 | IsVisible
 | IsControlVisible
 | IsEnabled
 | IsParentColor
 | IsParentFont
 | FormIsUpdating
 | IsProcessingPaintMsg
 | Hide
 | Refresh
 | Repaint
 | Invalidate
 | CheckChildClassAllowed
 | CheckNewParent
 | SendToBack
 | SetTempCursor
 | UpdateRolesForForm
 | ActiveDefaultControlChanged
 | GetTextBuf
 | GetTextLen
 | SetTextBuf
 | Perform
 | ScreenToClient
 | ClientToScreen
 | ScreenToControl
 | ControlToScreen
 | ClientToParent
 | ParentToClient
 | GetChildrenRect
 | Show
 | Update
 | HandleObjectShouldBeVisible
 | ParentDestroyingHandle
 | ParentHandlesAllocated
 | InitiateAction
 | ShowHelp
 | HasHelp
 | RemoveAllHandlersOfObject
 | AddHandlerOnResize
 | RemoveHandlerOnResize
 | AddHandlerOnChangeBounds
 | RemoveHandlerOnChangeBounds
 | AddHandlerOnVisibleChanging
 | RemoveHandlerOnVisibleChanging
 | AddHandlerOnVisibleChanged
 | RemoveHandlerOnVisibleChanged
 | AddHandlerOnEnabledChanged
 | RemoveHandlerOnEnableChanging
 | AddHandlerOnKeyDown
 | RemoveHandlerOnKeyDown
 | AddHandlerOnBeforeDestruction
 | RemoveHandlerOnBeforeDestruction
 | AddHandlerOnMouseWheel
 | RemoveHandlerOnMouseWheel
 | UseRightToLeftAlignment
 | UseRightToLeftReading
 | UseRightToLeftScrollBar
 | IsRightToLeft
TLCLComponent
pt | WSRegisterClass
pt | GetWSComponentClass
 | Create
 | Destroy
 | NewInstance
 | RemoveAllHandlersOfObject
 | IncLCLRefCount
 | DecLCLRefCount
TComponent
 | GetComObject
 | GetComponent
 | GetComponentCount
 | GetComponentIndex
 | Insert
 | ReadLeft
 | ReadTop
 | Remove
 | RemoveNotification
 | SetComponentIndex
 | SetReference
 | WriteLeft
 | WriteTop
 | ChangeName
 | DefineProperties
 | GetChildren
 | GetChildOwner
 | GetChildParent
 | GetOwner
 | Loaded
 | Loading
 | Notification
 | PaletteCreated
 | ReadState
 | SetAncestor
 | SetDesigning
 | SetDesignInstance
 | SetInline
 | SetName
 | SetChildOrder
 | SetParentComponent
 | Updating
 | Updated
 | UpdateRegistry
 | ValidateRename
 | ValidateContainer
 | ValidateInsert
 | QueryInterface
 | _AddRef
 | _Release
 | iicrGetComponent
 | GetTypeInfoCount
 | GetTypeInfo
 | GetIDsOfNames
 | Invoke
 | WriteState
 | Create
 | Destroy
 | BeforeDestruction
 | DestroyComponents
 | Destroying
 | ExecuteAction
 | FindComponent
 | FreeNotification
 | RemoveFreeNotification
 | FreeOnRelease
 | GetEnumerator
 | GetNamePath
 | GetParentComponent
 | HasParent
 | InsertComponent
 | RemoveComponent
 | SafeCallException
 | SetSubComponent
 | UpdateAction
 | IsImplementorOf
 | ReferenceInterface
TPersistent
 | AssignError
 | AssignTo
 | DefineProperties
 | GetOwner
 | Destroy
 | Assign
 | FPOAttachObserver
 | FPODetachObserver
 | FPONotifyObservers
 | GetNamePath
TObject
 | Create
 | Destroy
 | newinstance
 | FreeInstance
 | SafeCallException
 | DefaultHandler
 | Free
 | InitInstance
 | CleanupInstance
 | ClassType
 | ClassInfo
 | ClassName
 | ClassNameIs
 | ClassParent
 | InstanceSize
 | InheritsFrom
 | StringMessageTable
 | MethodAddress
 | MethodName
 | FieldAddress
 | AfterConstruction
 | BeforeDestruction
 | DefaultHandlerStr
 | Dispatch
 | DispatchStr
 | GetInterface
 | GetInterfaceByStr
 | GetInterfaceWeak
 | GetInterfaceEntry
 | GetInterfaceEntryByStr
 | GetInterfaceTable
 | UnitName
 | Equals
 | GetHashCode
 | ToString


pt | ActionChange (TControl)
 | ActiveDefaultControlChanged (TControl)
pt | AddHandler (TControl)
 | AddHandlerOnBeforeDestruction (TControl)
 | AddHandlerOnChangeBounds (TControl)
 | AddHandlerOnEnabledChanged (TControl)
 | AddHandlerOnKeyDown (TControl)
 | AddHandlerOnMouseWheel (TControl)
 | AddHandlerOnResize (TControl)
 | AddHandlerOnVisibleChanged (TControl)
 | AddHandlerOnVisibleChanging (TControl)
 | AdjustSize (TControl)
 | AfterConstruction (TObject)
 | AnchorAsAlign (TControl)
 | AnchorClient (TControl)
 | AnchoredControlCount (TControl)
 | AnchorHorizontalCenterTo (TControl)
 | AnchorParallel (TControl)
 | AnchorSame (TControl)
pt | AnchorSideChanged (TControl)
 | AnchorToCompanion (TControl)
 | AnchorToNeighbour (TControl)
 | AnchorVerticalCenterTo (TControl)
 | Assign (TPersistent)
 | AssignError (TPersistent)
 | AssignTo (TPersistent)
pt | AssignTo (TControl)
 | AutoAdjustLayout (TControl)
 | AutoSizeDelayed (TControl)
 | AutoSizeDelayedHandle (TControl)
 | AutoSizeDelayedReport (TControl)
 | AutoSizePhases (TControl)
 | BeforeDestruction (TObject)
 | BeforeDestruction (TComponent)
 | BeforeDestruction (TControl)
pt | BeforeDragStart (TControl)
pt | BeginAutoDrag (TControl)
pt | BeginAutoSizing (TControl)
 | BeginDrag (TControl)
pt | BoundsChanged (TControl)
 | BringToFront (TControl)
pt | CalculateDockSizes (TControl)
pt | CalculatePreferredSize (TControl)
pt | CanAutoSize (TControl)
pt | CanTab (TControl)
pt | CaptureChanged (TControl)
pt | ChangeBounds (TControl)
pt | Changed (TControl)
 | ChangeName (TComponent)
pt | ChangeScale (TControl)
 | CheckChildClassAllowed (TControl)
 | CheckNewParent (TControl)
pt | CheckOnChangeBounds (TControl)
pt | ChildClassAllowed (TControl)
 | ClassInfo (TObject)
 | ClassName (TObject)
 | ClassNameIs (TObject)
 | ClassParent (TObject)
 | ClassType (TObject)
 | CleanupInstance (TObject)
pt | Click (TControl)
 | ClientToParent (TControl)
 | ClientToScreen (TControl)
pt | CMBiDiModeChanged (TControl)
pt | CMChanged (TControl)
pt | CMCursorChanged (TControl)
pt | CMCursorChanged (TGraphicControl)
pt | CMEnabledChanged (TControl)
pt | CMHintShow (TControl)
pt | CMHitTest (TControl)
pt | CMMouseEnter (TControl)
pt | CMMouseLeave (TControl)
pt | CMParentBiDiModeChanged (TControl)
pt | CMParentColorChanged (TControl)
pt | CMParentFontChanged (TControl)
pt | CMParentShowHintChanged (TControl)
pt | CMSysFontChanged (TControl)
pt | CMTextChanged (TControl)
pt | CMVisibleChanged (TControl)
 | CNPreferredSizeChanged (TControl)
pt | ColorIsStored (TControl)
pt | ConstrainedResize (TControl)
 | ControlToScreen (TControl)
 | Create (TObject)
 | Create (TComponent)
 | Create (TLCLComponent)
 | Create (TControl)
 | Create (TGraphicControl)
 | CreateAccessibleObject (TControl)
pt | CreateControlBorderSpacing (TControl)
pt | CreateFloatingDockSite (TControl)
pt | DblClick (TControl)
 | DecLCLRefCount (TLCLComponent)
 | DefaultHandler (TObject)
 | DefaultHandlerStr (TObject)
 | DefineProperties (TPersistent)
 | DefineProperties (TComponent)
pt | DefineProperties (TControl)
 | Destroy (TObject)
 | Destroy (TPersistent)
 | Destroy (TComponent)
 | Destroy (TLCLComponent)
 | Destroy (TControl)
 | Destroy (TGraphicControl)
 | DestroyComponents (TComponent)
 | Destroying (TComponent)
pt | DialogChar (TControl)
 | DisableAutoSizing (TControl)
 | Dispatch (TObject)
 | DispatchStr (TObject)
pt | DoAllAutoSize (TControl)
pt | DoAutoAdjustLayout (TControl)
pt | DoAutoSize (TControl)
pt | DoBorderSpacingChange (TControl)
pt | DoCallKeyEventHandler (TControl)
pt | DoCallMouseWheelEventHandler (TControl)
pt | DoCallNotifyHandler (TControl)
 | Dock (TControl)
 | Docked (TControl)
pt | DockTrackNoTarget (TControl)
pt | DoConstraintsChange (TControl)
pt | DoContextPopup (TControl)
pt | DoDock (TControl)
pt | DoDragMsg (TControl)
pt | DoEndDock (TControl)
pt | DoEndDrag (TControl)
pt | DoFixDesignFontPPI (TControl)
pt | DoFloatMsg (TControl)
pt | DoMouseWheel (TControl)
pt | DoMouseWheelDown (TControl)
pt | DoMouseWheelHorz (TControl)
pt | DoMouseWheelLeft (TControl)
pt | DoMouseWheelRight (TControl)
pt | DoMouseWheelUp (TControl)
pt | DoOnChangeBounds (TControl)
pt | DoOnChangeBounds (TGraphicControl)
pt | DoOnParentHandleDestruction (TControl)
pt | DoOnParentHandleDestruction (TGraphicControl)
pt | DoOnResize (TControl)
pt | DoOnShowHint (TControl)
pt | DoScaleFontPPI (TControl)
pt | DoSetBounds (TControl)
pt | DoStartDock (TControl)
pt | DoStartDrag (TControl)
pt | DragCanceled (TControl)
 | DragDrop (TControl)
 | Dragging (TControl)
pt | DragOver (TControl)
 | EditingDone (TControl)
 | EnableAutoSizing (TControl)
pt | EnabledChanged (TControl)
pt | EnabledChanging (TControl)
pt | EndAutoSizing (TControl)
 | EndDrag (TControl)
 | Equals (TObject)
 | ExecuteAction (TComponent)
 | ExecuteCancelAction (TControl)
 | ExecuteDefaultAction (TControl)
 | FieldAddress (TObject)
 | FindComponent (TComponent)
 | FixDesignFontsPPI (TControl)
pt | FontChanged (TControl)
pt | FontChanged (TGraphicControl)
pt | ForeignAnchorSideChanged (TControl)
pt | FormEndUpdated (TControl)
 | FormIsUpdating (TControl)
 | FPOAttachObserver (TPersistent)
 | FPODetachObserver (TPersistent)
 | FPONotifyObservers (TPersistent)
 | Free (TObject)
 | FreeInstance (TObject)
 | FreeNotification (TComponent)
 | FreeOnRelease (TComponent)
 | GetAccessibleObject (TControl)
pt | GetAction (TControl)
pt | GetActionLinkClass (TControl)
 | GetAnchorsDependingOnParent (TControl)
pt | GetCachedText (TControl)
 | GetCanvasScaleFactor (TControl)
 | GetChildAccessibleObjectAtPos (TControl)
 | GetChildOwner (TComponent)
 | GetChildParent (TComponent)
 | GetChildren (TComponent)
 | GetChildrenRect (TControl)
pt | GetClientOrigin (TControl)
pt | GetClientRect (TControl)
pt | GetClientScrollOffset (TControl)
 | GetColorResolvingParent (TControl)
 | GetComObject (TComponent)
 | GetComponent (TComponent)
 | GetComponentCount (TComponent)
 | GetComponentIndex (TComponent)
pt | GetControlClassDefaultSize (TControl)
pt | GetControlOrigin (TControl)
pt | GetCursor (TControl)
 | GetDefaultColor (TControl)
pt | GetDefaultDockCaption (TControl)
 | GetDefaultHeight (TControl)
 | GetDefaultWidth (TControl)
pt | GetDeviceContext (TControl)
pt | GetDockEdge (TControl)
pt | GetDragImages (TControl)
pt | GetEnabled (TControl)
 | GetEnumerator (TComponent)
pt | GetFloating (TControl)
pt | GetFloatingDockSiteClass (TControl)
 | GetHashCode (TObject)
 | GetIDsOfNames (TComponent)
 | GetInterface (TObject)
 | GetInterfaceByStr (TObject)
 | GetInterfaceEntry (TObject)
 | GetInterfaceEntryByStr (TObject)
 | GetInterfaceTable (TObject)
 | GetInterfaceWeak (TObject)
pt | GetLogicalClientRect (TControl)
pt | GetMouseCapture (TControl)
pt | GetMousePosFromMessage (TControl)
 | GetNamePath (TPersistent)
 | GetNamePath (TComponent)
 | GetOwner (TPersistent)
 | GetOwner (TComponent)
pt | GetPalette (TControl)
 | GetParentComponent (TComponent)
 | GetParentComponent (TControl)
pt | GetPopupMenu (TControl)
 | GetPreferredSize (TControl)
 | GetRGBColorResolvingParent (TControl)
pt | GetScrolledClientRect (TControl)
 | GetSelectedChildAccessibleObject (TControl)
 | GetSidePosition (TControl)
 | GetTextBuf (TControl)
 | GetTextLen (TControl)
 | GetTopParent (TControl)
 | GetTypeInfo (TComponent)
 | GetTypeInfoCount (TComponent)
pt | GetWSComponentClass (TLCLComponent)
 | HandleObjectShouldBeVisible (TControl)
 | HasHelp (TControl)
 | HasParent (TComponent)
 | HasParent (TControl)
pt | HeightIsAnchored (TControl)
 | Hide (TControl)
 | iicrGetComponent (TComponent)
 | IncLCLRefCount (TLCLComponent)
 | InheritsFrom (TObject)
 | InitiateAction (TControl)
 | InitInstance (TObject)
 | Insert (TComponent)
 | InsertComponent (TComponent)
 | InstanceSize (TObject)
 | Invalidate (TControl)
pt | InvalidateControl (TControl)
 | InvalidatePreferredSize (TControl)
 | Invoke (TComponent)
pt | IsAParentAligning (TControl)
pt | IsBorderSpacingInnerBorderStored (TControl)
pt | IsCaptionStored (TControl)
pt | IsClientHeightStored (TControl)
pt | IsClientWidthStored (TControl)
 | IsControlVisible (TControl)
 | IsEnabled (TControl)
 | IsImplementorOf (TComponent)
 | IsParentColor (TControl)
 | IsParentFont (TControl)
 | IsParentOf (TControl)
 | IsProcessingPaintMsg (TControl)
 | IsRightToLeft (TControl)
 | IsVisible (TControl)
pt | LMCaptureChanged (TControl)
 | Loaded (TComponent)
pt | Loaded (TControl)
pt | LoadedAll (TControl)
 | Loading (TComponent)
 | ManualDock (TControl)
 | ManualFloat (TControl)
 | MethodAddress (TObject)
 | MethodName (TObject)
pt | MouseDown (TControl)
pt | MouseEnter (TControl)
pt | MouseLeave (TControl)
pt | MouseMove (TControl)
pt | MouseUp (TControl)
 | newinstance (TObject)
 | NewInstance (TLCLComponent)
 | Notification (TComponent)
pt | Notification (TControl)
pt | Paint (TGraphicControl)
 | PaletteCreated (TComponent)
 | ParentDestroyingHandle (TControl)
pt | ParentFontChanged (TControl)
pt | ParentFormHandleInitialized (TControl)
 | ParentHandlesAllocated (TControl)
 | ParentToClient (TControl)
 | Perform (TControl)
pt | PositionDockRect (TControl)
pt | QuadClick (TControl)
 | QueryInterface (TComponent)
 | ReadLeft (TComponent)
 | ReadState (TComponent)
pt | ReadState (TControl)
 | ReadTop (TComponent)
pt | RealGetText (TControl)
pt | RealSetText (TControl)
 | ReferenceInterface (TComponent)
 | Refresh (TControl)
 | Remove (TComponent)
 | RemoveAllHandlersOfObject (TLCLComponent)
 | RemoveAllHandlersOfObject (TControl)
 | RemoveComponent (TComponent)
 | RemoveFreeNotification (TComponent)
pt | RemoveHandler (TControl)
 | RemoveHandlerOnBeforeDestruction (TControl)
 | RemoveHandlerOnChangeBounds (TControl)
 | RemoveHandlerOnEnableChanging (TControl)
 | RemoveHandlerOnKeyDown (TControl)
 | RemoveHandlerOnMouseWheel (TControl)
 | RemoveHandlerOnResize (TControl)
 | RemoveHandlerOnVisibleChanged (TControl)
 | RemoveHandlerOnVisibleChanging (TControl)
 | RemoveNotification (TComponent)
 | Repaint (TControl)
 | ReplaceDockedControl (TControl)
pt | RequestAlign (TControl)
pt | Resize (TControl)
 | SafeCallException (TObject)
 | SafeCallException (TComponent)
 | Scale96ToFont (TControl)
 | Scale96ToForm (TControl)
 | Scale96ToScreen (TControl)
pt | ScaleConstraints (TControl)
 | ScaleDesignToForm (TControl)
 | ScaleFontsPPI (TControl)
 | ScaleFontTo96 (TControl)
 | ScaleFontToScreen (TControl)
 | ScaleFormTo96 (TControl)
 | ScaleFormToDesign (TControl)
 | ScaleScreenTo96 (TControl)
 | ScaleScreenToFont (TControl)
 | ScreenToClient (TControl)
 | ScreenToControl (TControl)
pt | SendMoveSizeMessages (TControl)
 | SendToBack (TControl)
pt | SetAction (TControl)
pt | SetAlign (TControl)
 | SetAncestor (TComponent)
pt | SetAnchors (TControl)
pt | SetAutoSize (TControl)
pt | SetBiDiMode (TControl)
 | SetBounds (TControl)
 | SetBoundsKeepBase (TControl)
 | SetChildOrder (TComponent)
pt | SetColor (TControl)
 | SetComponentIndex (TComponent)
pt | SetCursor (TControl)
 | SetDesigning (TComponent)
 | SetDesignInstance (TComponent)
pt | SetDragMode (TControl)
pt | SetEnabled (TControl)
pt | SetHint (TControl)
 | SetInitialBounds (TControl)
 | SetInline (TComponent)
 | SetName (TComponent)
pt | SetName (TControl)
pt | SetParent (TControl)
pt | SetParentBiDiMode (TControl)
 | SetParentComponent (TComponent)
pt | SetParentComponent (TControl)
 | SetReference (TComponent)
 | SetSubComponent (TComponent)
 | SetTempCursor (TControl)
 | SetTextBuf (TControl)
pt | SetVisible (TControl)
pt | SetZOrder (TControl)
 | ShouldAutoAdjust (TControl)
 | Show (TControl)
 | ShowHelp (TControl)
 | StringMessageTable (TObject)
pt | TextChanged (TControl)
 | ToString (TObject)
pt | TripleClick (TControl)
 | UnitName (TObject)
 | Update (TControl)
 | UpdateAction (TComponent)
pt | UpdateAnchorRules (TControl)
 | UpdateBaseBounds (TControl)
 | Updated (TComponent)
pt | UpdateMouseCursor (TControl)
 | UpdateRegistry (TComponent)
 | UpdateRolesForForm (TControl)
 | Updating (TComponent)
 | UseRightToLeftAlignment (TControl)
 | UseRightToLeftReading (TControl)
 | UseRightToLeftScrollBar (TControl)
 | ValidateContainer (TComponent)
 | ValidateInsert (TComponent)
 | ValidateRename (TComponent)
pt | VisibleChanged (TControl)
pt | VisibleChanging (TControl)
pt | WidthIsAnchored (TControl)
pt | WMCancelMode (TControl)
pt | WMContextMenu (TControl)
pt | WMLButtonDBLCLK (TControl)
pt | WMLButtonDown (TControl)
pt | WMLButtonQuadCLK (TControl)
pt | WMLButtonTripleCLK (TControl)
pt | WMLButtonUp (TControl)
pt | WMMButtonDBLCLK (TControl)
pt | WMMButtonDown (TControl)
pt | WMMButtonQuadCLK (TControl)
pt | WMMButtonTripleCLK (TControl)
pt | WMMButtonUp (TControl)
pt | WMMouseHWheel (TControl)
pt | WMMouseMove (TControl)
pt | WMMouseWheel (TControl)
pt | WMMove (TControl)
pt | WMRButtonDBLCLK (TControl)
pt | WMRButtonDown (TControl)
pt | WMRButtonQuadCLK (TControl)
pt | WMRButtonTripleCLK (TControl)
pt | WMRButtonUp (TControl)
pt | WMSize (TControl)
pt | WMWindowPosChanged (TControl)
pt | WMXButtonDBLCLK (TControl)
pt | WMXButtonDown (TControl)
pt | WMXButtonQuadCLK (TControl)
pt | WMXButtonTripleCLK (TControl)
pt | WMXButtonUp (TControl)
pt | WndProc (TControl)
 | WriteLayoutDebugReport (TControl)
 | WriteLeft (TComponent)
 | WriteState (TComponent)
 | WriteTop (TComponent)
pt | WSRegisterClass (TLCLComponent)
pt | WSRegisterClass (TControl)
pt | WSRegisterClass (TGraphicControl)
 | _AddRef (TComponent)
 | _Release (TComponent)


TGraphicControl
pt | OnPaint
TControl
pt | OnConstrainedResize
pt | OnContextPopup
pt | OnDblClick
pt | OnTripleClick
pt | OnQuadClick
pt | OnDragDrop
pt | OnDragOver
pt | OnEndDock
pt | OnEndDrag
pt | OnMouseDown
pt | OnMouseMove
pt | OnMouseUp
pt | OnMouseEnter
pt | OnMouseLeave
pt | OnMouseWheel
pt | OnMouseWheelDown
pt | OnMouseWheelUp
pt | OnMouseWheelHorz
pt | OnMouseWheelLeft
pt | OnMouseWheelRight
pt | OnStartDock
pt | OnStartDrag
pt | OnEditingDone
 | OnChangeBounds
 | OnClick
 | OnResize
 | OnShowHint
TLCLComponent
TComponent
TPersistent
TObject


TGraphicControl.Canvas

A clipped window into the parent Canvas.

Declaration

Source position: controls.pp line 2378

public property TGraphicControl.Canvas : TCanvas
  read FCanvas;

Description

Don't paint on the entire Canvas! Instead use the dimensions of the TGraphicControl stored in the ClientRect.

If you ask for the Canvas.Width or Canvas.Height, you are actually getting the Parent control's Canvas dimensions.

See also

TControl.ClientRect | Size of the client area of the control.
TControl.ClientWidth | The width of the client area of the control.
TControl.ClientHeight | The height of the client area of the control.
TCanvas | TCanvas represents a drawing surface which might be attached to a visual control which might be displayed on the screen or to an offscreen bitmap. It contains a number of drawing functions.
TControl.BoundsRect | The TopLeft and BottomRight of the control, in client coordinates.


TGraphicControl.Create

Declaration

Source position: controls.pp line 2376

public constructor TGraphicControl.Create(

  AOwner: TComponent

); override;


TGraphicControl.Destroy

Declaration

Source position: controls.pp line 2377

public destructor TGraphicControl.Destroy; override;


TGraphicControl.DoOnParentHandleDestruction

Declaration

Source position: controls.pp line 2372

protected procedure TGraphicControl.DoOnParentHandleDestruction; override;


TGraphicControl.OnPaint

Supply your own OnPaint handler for painting the control.

Declaration

Source position: controls.pp line 2373

protected property TGraphicControl.OnPaint : TNotifyEvent
  read FOnPaint
  write FOnPaint;

See also

TGraphicControl.Paint

Override this method with your own painting code.


TGraphicControl.Paint

Override this method with your own painting code.

Declaration

Source position: controls.pp line 2370

protected procedure TGraphicControl.Paint; virtual;

Description

The default implementation invokes the OnPaint handler.

See also

TGraphicControl.OnPaint

Supply your own OnPaint handler for painting the control.


TImageList

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Declaration

Source position: controls.pp line 2408

type TImageList = class(TDragImageList)
published
property AllocBy: Integer; | The length of the image list is increased in multiples of AllocBy images. Default is 4.
property BlendColor: TColor; | The color for used in blending (dithering) an image.
property BkColor: TColor; | The background color to use for transparent parts.
property DrawingStyle: TDrawingStyle; | The default drawing style - focussed, selected, normal or transparent.
property Height: Integer; | The unique height of all images in the list.
property ImageType: TImageType; | Unused!
property Masked: Boolean; | True when mask images are stored with every image (unused!).
property Scaled: Boolean;
property ShareImages: Boolean; | True when this image list is shared. Unused!
property Width: Integer; | The unique width of all images in the list.
property OnChange: TNotifyEvent; | OnChange - event handler for a change in the imagelist
property OnGetWidthForPPI: TCustomImageListGetWidthForPPI;
end;

Inheritance

TImageList
|
TDragImageList | A list of Images used in dragging.
|
TCustomImageList | Base class for TImageList (not the same as a TBitmap collection)
|
TLCLComponent | The base class for LCL components associated with widgets.
|
TComponent,IUnknown,IInterfaceComponentReference
|
TPersistent,IFPObserved
|
TObject


TImageList
pl | ro | AllocBy
pl | ro | BlendColor
pl | ro | BkColor
pl | ro | DrawingStyle
pl | ro | Height
pl | ro | ImageType
pl | ro | Masked
pl | ro | Scaled
pl | ro | ShareImages
pl | ro | Width
TDragImageList
 |  | DragCursor
 |  | DragHotspot
 | ro | Dragging
 | ro | DraggingResolution
 | ro | Resolution
TCustomImageList
 | ro | HasOverlays
 |  | AllocBy
 |  | BlendColor
 |  | BkColor
 | ro | Count
 |  | DrawingStyle
 |  | Height
 | ro | HeightForPPI
 | ro | HeightForWidth
 |  | Width
 | ro | WidthForPPI
 | ro | SizeForPPI
 |  | Masked
 | ro | Reference
 | ro | ReferenceForPPI
 | ro | Resolution
 | ro | ResolutionByIndex
 | ro | ResolutionForPPI
 | ro | ResolutionCount
 |  | Scaled
 |  | ShareImages
 |  | ImageType
TLCLComponent
 | ro | LCLRefCount
 | ro | WidgetSetClass
TComponent
 | ro | ComObject
 | ro | Components
 | ro | ComponentCount
 |  | ComponentIndex
 | ro | ComponentState
 | ro | ComponentStyle
 |  | DesignInfo
 | ro | Owner
 |  | VCLComObject
 |  | Name
 |  | Tag
TPersistent
TObject


pl | ro | AllocBy (TImageList)
 |  | BkColor (TCustomImageList)
pl | ro | BkColor (TImageList)
 |  | BlendColor (TCustomImageList)
pl | ro | BlendColor (TImageList)
 | ro | ComObject (TComponent)
 | ro | ComponentCount (TComponent)
 |  | ComponentIndex (TComponent)
 | ro | Components (TComponent)
 | ro | ComponentState (TComponent)
 | ro | ComponentStyle (TComponent)
 | ro | Count (TCustomImageList)
 |  | DesignInfo (TComponent)
 |  | DragCursor (TDragImageList)
 | ro | Dragging (TDragImageList)
 | ro | DraggingResolution (TDragImageList)
 |  | DragHotspot (TDragImageList)
 |  | DrawingStyle (TCustomImageList)
pl | ro | DrawingStyle (TImageList)
 | ro | HasOverlays (TCustomImageList)
 |  | Height (TCustomImageList)
pl | ro | Height (TImageList)
 | ro | HeightForPPI (TCustomImageList)
 | ro | HeightForWidth (TCustomImageList)
 |  | ImageType (TCustomImageList)
pl | ro | ImageType (TImageList)
 | ro | LCLRefCount (TLCLComponent)
 |  | Masked (TCustomImageList)
pl | ro | Masked (TImageList)
 |  | Name (TComponent)
 | ro | Owner (TComponent)
 | ro | Reference (TCustomImageList)
 | ro | ReferenceForPPI (TCustomImageList)
 | ro | Resolution (TCustomImageList)
 | ro | Resolution (TDragImageList)
 | ro | ResolutionByIndex (TCustomImageList)
 | ro | ResolutionCount (TCustomImageList)
 | ro | ResolutionForPPI (TCustomImageList)
 |  | Scaled (TCustomImageList)
pl | ro | Scaled (TImageList)
 |  | ShareImages (TCustomImageList)
pl | ro | ShareImages (TImageList)
 | ro | SizeForPPI (TCustomImageList)
 |  | Tag (TComponent)
 |  | VCLComObject (TComponent)
 | ro | WidgetSetClass (TLCLComponent)
 |  | Width (TCustomImageList)
pl | ro | Width (TImageList)
 | ro | WidthForPPI (TCustomImageList)


TImageList
TDragImageList
pt | GetResolutionClass
pt | Initialize
 | BeginDrag
 | DragLock
 | DragMove
 | DragUnlock
 | EndDrag
 | HideDragImage
 | SetDragImage
 | ShowDragImage
TCustomImageList
pt | GetResolution
pt | GetResolutionClass
pt | CheckIndex
pt | Initialize
pt | DefineProperties
pt | SetWidthHeight
pt | ClearOverlays
 | Create
 | CreateSize
 | Destroy
 | ScaleImage
 | AssignTo
 | Assign
 | WriteData
 | ReadData
 | WriteAdvData
 | ReadAdvData
 | Equals
 | BeginUpdate
 | EndUpdate
 | Add
 | AddMultipleResolutions
 | AddSliced
 | AddSlice
 | AddSliceCentered
 | AddIcon
 | AddImages
 | AddMasked
 | AddLazarusResource
 | AddResourceName
 | Change
 | Clear
 | Delete
 | Draw
 | DrawForPPI
 | DrawOverlay
 | GetBitmap
 | GetFullBitmap
 | GetFullRawImage
 | GetIcon
 | GetRawImage
 | GetHotSpot
 | Insert
 | InsertIcon
 | InsertMasked
 | Move
 | Overlay
 | Replace
 | ReplaceSlice
 | ReplaceSliceCentered
 | ReplaceIcon
 | ReplaceMasked
 | RegisterChanges
 | StretchDraw
 | UnRegisterChanges
 | RegisterResolutions
 | DeleteResolution
 | FindResolution
 | Resolutions
 | ResolutionsDesc
TLCLComponent
pt | WSRegisterClass
pt | GetWSComponentClass
 | Create
 | Destroy
 | NewInstance
 | RemoveAllHandlersOfObject
 | IncLCLRefCount
 | DecLCLRefCount
TComponent
 | GetComObject
 | GetComponent
 | GetComponentCount
 | GetComponentIndex
 | Insert
 | ReadLeft
 | ReadTop
 | Remove
 | RemoveNotification
 | SetComponentIndex
 | SetReference
 | WriteLeft
 | WriteTop
 | ChangeName
 | DefineProperties
 | GetChildren
 | GetChildOwner
 | GetChildParent
 | GetOwner
 | Loaded
 | Loading
 | Notification
 | PaletteCreated
 | ReadState
 | SetAncestor
 | SetDesigning
 | SetDesignInstance
 | SetInline
 | SetName
 | SetChildOrder
 | SetParentComponent
 | Updating
 | Updated
 | UpdateRegistry
 | ValidateRename
 | ValidateContainer
 | ValidateInsert
 | QueryInterface
 | _AddRef
 | _Release
 | iicrGetComponent
 | GetTypeInfoCount
 | GetTypeInfo
 | GetIDsOfNames
 | Invoke
 | WriteState
 | Create
 | Destroy
 | BeforeDestruction
 | DestroyComponents
 | Destroying
 | ExecuteAction
 | FindComponent
 | FreeNotification
 | RemoveFreeNotification
 | FreeOnRelease
 | GetEnumerator
 | GetNamePath
 | GetParentComponent
 | HasParent
 | InsertComponent
 | RemoveComponent
 | SafeCallException
 | SetSubComponent
 | UpdateAction
 | IsImplementorOf
 | ReferenceInterface
TPersistent
 | AssignError
 | AssignTo
 | DefineProperties
 | GetOwner
 | Destroy
 | Assign
 | FPOAttachObserver
 | FPODetachObserver
 | FPONotifyObservers
 | GetNamePath
TObject
 | Create
 | Destroy
 | newinstance
 | FreeInstance
 | SafeCallException
 | DefaultHandler
 | Free
 | InitInstance
 | CleanupInstance
 | ClassType
 | ClassInfo
 | ClassName
 | ClassNameIs
 | ClassParent
 | InstanceSize
 | InheritsFrom
 | StringMessageTable
 | MethodAddress
 | MethodName
 | FieldAddress
 | AfterConstruction
 | BeforeDestruction
 | DefaultHandlerStr
 | Dispatch
 | DispatchStr
 | GetInterface
 | GetInterfaceByStr
 | GetInterfaceWeak
 | GetInterfaceEntry
 | GetInterfaceEntryByStr
 | GetInterfaceTable
 | UnitName
 | Equals
 | GetHashCode
 | ToString


TImageList
pl | ro | OnChange
pl | ro | OnGetWidthForPPI
TDragImageList
TCustomImageList
 |  | OnChange
 |  | OnGetWidthForPPI
TLCLComponent
TComponent
TPersistent
TObject


pl | ro | OnChange (TImageList)
 |  | OnGetWidthForPPI (TCustomImageList)
pl | ro | OnGetWidthForPPI (TImageList)


TImageList.OnGetWidthForPPI

Declaration

Source position: controls.pp line 2421

published property TImageList.OnGetWidthForPPI : TCustomImageListGetWidthForPPI;


TImageList.Scaled

Declaration

Source position: controls.pp line 2417

published property TImageList.Scaled : Boolean;


TImageListHelper

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Declaration

Source position: controls.pp line 341

type TImageListHelper = class helper

public

  procedure DrawForControl();

  property ResolutionForControl []: TScaledImageListResolution; [r]

end;

Inheritance

TImageListHelper
The latest version of this document can be found at lazarus-ccr.sourceforge.net .


TImageListHelper

ro

ResolutionForControl


ro

ResolutionForControl (TImageListHelper)


TImageListHelper

DrawForControl


TImageListHelper


TImageListHelper.DrawForControl

Declaration

Source position: controls.pp line 345

public procedure TImageListHelper.DrawForControl(

  ACanvas: TCanvas;

  AX: Integer;

  AY: Integer;

  AIndex: Integer;

  AImageWidthAt96PPI: Integer;

  AControl: TControl;

  AEnabled: Boolean = True

); overload;

procedure TImageListHelper.DrawForControl(

  ACanvas: TCanvas;

  AX: Integer;

  AY: Integer;

  AIndex: Integer;

  AImageWidthAt96PPI: Integer;

  AControl: TControl;

  ADrawEffect: TGraphicsDrawEffect

); overload;


TImageListHelper.ResolutionForControl

Declaration

Source position: controls.pp line 350

public property TImageListHelper.ResolutionForControl[AImageWidth: Integer,AControl: TControl] : TScaledImageListResolution
  read GetResolutionForControl;


TLazAccessibleObject

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Represents an accessible object with which the user of a accessibility tool can interact.

Declaration

Source position: controls.pp line 1039

type TLazAccessibleObject = class
protected
FChildrenSortedForDataObject: TAvlTree;
FAccessibleDescription: TCaption;
FAccessibleValue: TCaption;
FAccessibleRole: TLazAccessibilityRole;
class procedure WSRegisterClass; virtual;
function GetAccessibleValue; virtual;
public
OwnerControl: TControl; | The control that this accessible object is attached to. It might be the main accessible object of this control or it might represent a sub-part of a control.
Parent: TLazAccessibleObject; | The parent TLazAccessibleObject of this accessible object
DataObject: TObject; | Available to be used to connect to an object
SecondaryHandle: PtrInt; | Available for Widgetsets to use
constructor Create(); virtual;
destructor Destroy; override;
function HandleAllocated; | Returns if the handle of this object was already allocated or not
procedure InitializeHandle; virtual; | Utilized to set all properties of this property via widgetset routines when creating the handle
procedure SetAccessibleDescription(); | Setter for the property AccessibleDescription
procedure SetAccessibleValue(); | Setter for the property AccessibleValue
procedure SetAccessibleRole(); | Setter for the property AccessibleRole
function FindOwnerWinControl; | Inspect the tree of accessible objects upwards until it finds a parent which is attached directly to a windowed control, a TWinControl
function AddChildAccessibleObject; virtual; | Creates a new child accessible object and returns it
procedure InsertChildAccessibleObject(); | Inserts an already created child accessible object as a child of this one
procedure ClearChildAccessibleObjects; | Removes all children of this control. It will free them if they are not attached to a TControl
procedure RemoveChildAccessibleObject(); | Removes a child accessible object
function GetChildAccessibleObjectWithDataObject(); | Obtains a child accessible object by its DataObject property
function GetChildAccessibleObjectsCount; | Returns the number of direct children that this accessible object has
function GetChildAccessibleObject(); | Obtains a child accessible object by its index
function GetFirstChildAccessibleObject;
function GetNextChildAccessibleObject;
function GetSelectedChildAccessibleObject; virtual; | Returns the currently selected child accessible object or nil if none are selected. Override this method in your sub class.
function GetChildAccessibleObjectAtPos(); virtual; | Returns the child of this control located at a particular position given as a client position of the control
property AccessibleDescription: TCaption; [rw] | The description of this accessible object
property AccessibleValue: TCaption; [rw] | The value of this accessible object
property AccessibleRole: TLazAccessibilityRole; [rw] | The role of this accessible object
property Position: TPoint; [rw] | The position of this accessible object
property Size: TSize; [rw] | The size of this accessible object
property Handle: PtrInt; [rw] | The widgetset handle of this accessible object
function GetEnumerator; | Default enumerator for the children
end;

Inheritance

TLazAccessibleObject

Represents an accessible object with which the user of a accessibility tool can interact.
|

TObject

Description

Every TControl has a TLazAccessibleObject instace associated with it, which means that every TControl is potentially accessible, but to actually be usable the accessible object needs to have its properties set, the most important of which are the role, description and value. Native windowed classes should already receive accessibility properties from the underlying widgetset utilized, while TCustomControl descendents will have their accessibility taken care by the LCL itself. User applications should add accessibility for their own TCustomControl descendent classes and also possibly customize the descriptions of some elements. It is also possible to make an accessible object invisible for user, which is done by setting its AccessibleRole property to larIgnored.

Accessibility support in Lazarus is also documented in the wiki in http://wiki.lazarus.freepascal.org/LCL_Accessibility

See also

TControl | The base class for visible controls.
TControl.AccessibleRole | The accessible role of the control which classifies what kind of object this is. See TLazAccessibilityRole for a list of possible values
TControl.AccessibleDescription | The accessible description of the control.This should describe the role of the control, for example for TLabel it could be "a text caption".
TControl.AccessibleValue | The accessible value of the control. For example, for a TLabel it would be the same as the Caption property of the label.
TLazAccessibilityRole | Indicates the role which a accessible object takes in the user interface


TLazAccessibleObject
 | AccessibleDescription
 | AccessibleValue
 | AccessibleRole
 | Position
 | Size
 | Handle


AccessibleDescription (TLazAccessibleObject)

AccessibleRole (TLazAccessibleObject)

AccessibleValue (TLazAccessibleObject)

Handle (TLazAccessibleObject)

Position (TLazAccessibleObject)

Size (TLazAccessibleObject)


TLazAccessibleObject
pt | WSRegisterClass
pt | GetAccessibleValue
 | Create
 | Destroy
 | HandleAllocated
 | InitializeHandle
 | SetAccessibleDescription
 | SetAccessibleValue
 | SetAccessibleRole
 | FindOwnerWinControl
 | AddChildAccessibleObject
 | InsertChildAccessibleObject
 | ClearChildAccessibleObjects
 | RemoveChildAccessibleObject
 | GetChildAccessibleObjectWithDataObject
 | GetChildAccessibleObjectsCount
 | GetChildAccessibleObject
 | GetFirstChildAccessibleObject
 | GetNextChildAccessibleObject
 | GetSelectedChildAccessibleObject
 | GetChildAccessibleObjectAtPos
 | GetEnumerator


 | AddChildAccessibleObject (TLazAccessibleObject)
 | ClearChildAccessibleObjects (TLazAccessibleObject)
 | Create (TLazAccessibleObject)
 | Destroy (TLazAccessibleObject)
 | FindOwnerWinControl (TLazAccessibleObject)
pt | GetAccessibleValue (TLazAccessibleObject)
 | GetChildAccessibleObject (TLazAccessibleObject)
 | GetChildAccessibleObjectAtPos (TLazAccessibleObject)
 | GetChildAccessibleObjectsCount (TLazAccessibleObject)
 | GetChildAccessibleObjectWithDataObject (TLazAccessibleObject)
 | GetEnumerator (TLazAccessibleObject)
 | GetFirstChildAccessibleObject (TLazAccessibleObject)
 | GetNextChildAccessibleObject (TLazAccessibleObject)
 | GetSelectedChildAccessibleObject (TLazAccessibleObject)
 | HandleAllocated (TLazAccessibleObject)
 | InitializeHandle (TLazAccessibleObject)
 | InsertChildAccessibleObject (TLazAccessibleObject)
 | RemoveChildAccessibleObject (TLazAccessibleObject)
 | SetAccessibleDescription (TLazAccessibleObject)
 | SetAccessibleRole (TLazAccessibleObject)
 | SetAccessibleValue (TLazAccessibleObject)
pt | WSRegisterClass (TLazAccessibleObject)


TLazAccessibleObject


TLazAccessibleObject.AccessibleDescription

The description of this accessible object

Declaration

Source position: controls.pp line 1090

public property TLazAccessibleObject.AccessibleDescription : TCaption
  read FAccessibleDescription
  write SetAccessibleDescription;

See also

TControl.AccessibleDescription

The accessible description of the control.This should describe the role of the control, for example for TLabel it could be "a text caption".


TLazAccessibleObject.AccessibleRole

The role of this accessible object

Declaration

Source position: controls.pp line 1092

public property TLazAccessibleObject.AccessibleRole : TLazAccessibilityRole
  read FAccessibleRole
  write SetAccessibleRole;

See also

TControl.AccessibleRole

The accessible role of the control which classifies what kind of object this is. See TLazAccessibilityRole for a list of possible values


TLazAccessibleObject.AccessibleValue

The value of this accessible object

Declaration

Source position: controls.pp line 1091

public property TLazAccessibleObject.AccessibleValue : TCaption
  read GetAccessibleValue
  write SetAccessibleValue;

See also

TControl.AccessibleValue

The accessible value of the control. For example, for a TLabel it would be the same as the Caption property of the label.


TLazAccessibleObject.AddChildAccessibleObject

Creates a new child accessible object and returns it

Declaration

Source position: controls.pp line 1075

public function TLazAccessibleObject.AddChildAccessibleObject: TLazAccessibleObject; virtual;


TLazAccessibleObject.ClearChildAccessibleObjects

Removes all children of this control. It will free them if they are not attached to a TControl

Declaration

Source position: controls.pp line 1077

public procedure TLazAccessibleObject.ClearChildAccessibleObjects;


TLazAccessibleObject.DataObject

Available to be used to connect to an object

Declaration

Source position: controls.pp line 1065

public TLazAccessibleObject.DataObject : TObject;


TLazAccessibleObject.FAccessibleDescription

Declaration

Source position: controls.pp line 1056

protected TLazAccessibleObject.FAccessibleDescription : TCaption;


TLazAccessibleObject.FAccessibleRole

Declaration

Source position: controls.pp line 1058

protected TLazAccessibleObject.FAccessibleRole : TLazAccessibilityRole;


TLazAccessibleObject.FAccessibleValue

Declaration

Source position: controls.pp line 1057

protected TLazAccessibleObject.FAccessibleValue : TCaption;


TLazAccessibleObject.FChildrenSortedForDataObject

Declaration

Source position: controls.pp line 1055

protected TLazAccessibleObject.FChildrenSortedForDataObject : TAvlTree;


TLazAccessibleObject.FindOwnerWinControl

Inspect the tree of accessible objects upwards until it finds a parent which is attached directly to a windowed control, a TWinControl

Declaration

Source position: controls.pp line 1074

public function TLazAccessibleObject.FindOwnerWinControl: TWinControl;


TLazAccessibleObject.GetAccessibleValue

Declaration

Source position: controls.pp line 1061

protected function TLazAccessibleObject.GetAccessibleValue: TCaption; virtual;


TLazAccessibleObject.GetChildAccessibleObject

Obtains a child accessible object by its index

Declaration

Source position: controls.pp line 1082

public function TLazAccessibleObject.GetChildAccessibleObject(

  AIndex: Integer

):TLazAccessibleObject;


TLazAccessibleObject.GetChildAccessibleObjectAtPos

Returns the child of this control located at a particular position given as a client position of the control

Declaration

Source position: controls.pp line 1088

public function TLazAccessibleObject.GetChildAccessibleObjectAtPos(

  APos: TPoint

):TLazAccessibleObject; virtual;

See also

TControl.GetChildAccessibleObjectAtPos

Returns the child object in a given position of the control given in client coordinates. This method is provided for controls which wish to override this behavior without sub-classing TLazAccessibleObject.


TLazAccessibleObject.GetChildAccessibleObjectsCount

Returns the number of direct children that this accessible object has

Declaration

Source position: controls.pp line 1081

public function TLazAccessibleObject.GetChildAccessibleObjectsCount: Integer;


TLazAccessibleObject.GetChildAccessibleObjectWithDataObject

Obtains a child accessible object by its DataObject property

Declaration

Source position: controls.pp line 1080

public function TLazAccessibleObject.GetChildAccessibleObjectWithDataObject(

  ADataObject: TObject

):TLazAccessibleObject;


TLazAccessibleObject.GetEnumerator

Default enumerator for the children

Declaration

Source position: controls.pp line 1096

public function TLazAccessibleObject.GetEnumerator: TLazAccessibleObjectEnumerator;


TLazAccessibleObject.GetFirstChildAccessibleObject

Declaration

Source position: controls.pp line 1084

public function TLazAccessibleObject.GetFirstChildAccessibleObject: TLazAccessibleObject;


TLazAccessibleObject.GetNextChildAccessibleObject

Declaration

Source position: controls.pp line 1085

public function TLazAccessibleObject.GetNextChildAccessibleObject: TLazAccessibleObject;


TLazAccessibleObject.GetSelectedChildAccessibleObject

Returns the currently selected child accessible object or nil if none are selected. Override this method in your sub class.

Declaration

Source position: controls.pp line 1087

public function TLazAccessibleObject.GetSelectedChildAccessibleObject: TLazAccessibleObject; virtual;

See also

TControl.GetSelectedChildAccessibleObject

Returns the currently selected child accessible object. This method is provided for controls which wish to override this behavior without sub-classing TLazAccessibleObject.


TLazAccessibleObject.Handle

The widgetset handle of this accessible object

Declaration

Source position: controls.pp line 1095

public property TLazAccessibleObject.Handle : PtrInt
  read GetHandle
  write SetHandle;


TLazAccessibleObject.HandleAllocated

Returns if the handle of this object was already allocated or not

Declaration

Source position: controls.pp line 1069

public function TLazAccessibleObject.HandleAllocated: Boolean;


TLazAccessibleObject.InitializeHandle

Utilized to set all properties of this property via widgetset routines when creating the handle

Declaration

Source position: controls.pp line 1070

public procedure TLazAccessibleObject.InitializeHandle; virtual;


TLazAccessibleObject.InsertChildAccessibleObject

Inserts an already created child accessible object as a child of this one

Declaration

Source position: controls.pp line 1076

public procedure TLazAccessibleObject.InsertChildAccessibleObject(

  AObject: TLazAccessibleObject

);


TLazAccessibleObject.OwnerControl

The control that this accessible object is attached to. It might be the main accessible object of this control or it might represent a sub-part of a control.

Declaration

Source position: controls.pp line 1063

public TLazAccessibleObject.OwnerControl : TControl;

Description

The control that this accessible object is attached to. It might be the main accessible object of this control or it might represent a sub-part of a control which does not have a corresponding TControl, like an item of TTreeView. One can verify if this is the main accessible object of the control by checking if (lAccessibleObject.OwnerControl = lAccessibleObject.OwnerControl.GetAccessibleObject())

See also

TControl.GetAccessibleObject

Returns True if the control is being dragged


TLazAccessibleObject.Parent

The parent TLazAccessibleObject of this accessible object

Declaration

Source position: controls.pp line 1064

public TLazAccessibleObject.Parent : TLazAccessibleObject;


TLazAccessibleObject.Position

The position of this accessible object

Declaration

Source position: controls.pp line 1093

public property TLazAccessibleObject.Position : TPoint
  read GetPosition
  write SetPosition;


TLazAccessibleObject.RemoveChildAccessibleObject

Removes a child accessible object

Declaration

Source position: controls.pp line 1078

public procedure TLazAccessibleObject.RemoveChildAccessibleObject(

  AObject: TLazAccessibleObject;

  AFreeObject: Boolean = True

);


TLazAccessibleObject.SecondaryHandle

Available for Widgetsets to use

Declaration

Source position: controls.pp line 1066

public TLazAccessibleObject.SecondaryHandle : PtrInt;


TLazAccessibleObject.SetAccessibleDescription

Setter for the property AccessibleDescription

Declaration

Source position: controls.pp line 1071

public procedure TLazAccessibleObject.SetAccessibleDescription(

  const ADescription: TCaption

);


TLazAccessibleObject.SetAccessibleRole

Setter for the property AccessibleRole

Declaration

Source position: controls.pp line 1073

public procedure TLazAccessibleObject.SetAccessibleRole(

  const ARole: TLazAccessibilityRole

);


TLazAccessibleObject.SetAccessibleValue

Setter for the property AccessibleValue

Declaration

Source position: controls.pp line 1072

public procedure TLazAccessibleObject.SetAccessibleValue(

  const AValue: TCaption

);


TLazAccessibleObject.Size

The size of this accessible object

Declaration

Source position: controls.pp line 1094

public property TLazAccessibleObject.Size : TSize
  read GetSize
  write SetSize;


TLazAccessibleObject.WSRegisterClass

Declaration

Source position: controls.pp line 1059

protected class procedure TLazAccessibleObject.WSRegisterClass; virtual;


TLazAccessibleObjectEnumerator

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Declaration

Source position: controls.pp line 1030

type TLazAccessibleObjectEnumerator = class(TAvlTreeNodeEnumerator)

public

  property Current: TLazAccessibleObject; [r]

end;

Inheritance

TLazAccessibleObjectEnumerator
|

TAvlTreeNodeEnumerator
?

TObject


TLazAccessibleObjectEnumerator

ro

Current


ro

Current (TLazAccessibleObjectEnumerator)


TLazAccessibleObjectEnumerator


TLazAccessibleObjectEnumerator.Current

Declaration

Source position: controls.pp line 1034

public property TLazAccessibleObjectEnumerator.Current : TLazAccessibleObject
  read GetCurrent;


TMouse

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Some properties of the Mouse.

Declaration

Source position: controls.pp line 2643

type TMouse = class
public
property Capture: HWND; [rw] | Handle of the capturing control.
property CursorPos: TPoint; [rw] | The screen position of the cursor.
property IsDragging: Boolean; [r] | True while dragging an object.
property WheelScrollLines: Integer; [r] | The number of lines to scroll with every notch of the mouse wheel.
property DragImmediate: Boolean; [rw] | Does dragging start immediately (True), or only after a mouse move?
property DragThreshold: Integer; [rw] | The minimum distance the mouse must move before dragging starts (in delayed mode).
end;

Inheritance

TMouse

Some properties of the Mouse.
|

TObject

Description

Contains information about current mouse position, whether messages are captured by a window, whether it is dragging an object, and how far the mouse must move before a control starts dragging.


TMouse
 |  | Capture
 |  | CursorPos
 | ro | IsDragging
 | ro | WheelScrollLines
 |  | DragImmediate
 |  | DragThreshold


 | Capture (TMouse)
 | CursorPos (TMouse)
 | DragImmediate (TMouse)
 | DragThreshold (TMouse)
ro | IsDragging (TMouse)
ro | WheelScrollLines (TMouse)


TMouse


TMouse.Capture

Handle of the capturing control.

Declaration

Source position: controls.pp line 2657

public property TMouse.Capture : HWND
  read GetCapture
  write SetCapture;


TMouse.CursorPos

The screen position of the cursor.

Declaration

Source position: controls.pp line 2658

public property TMouse.CursorPos : TPoint
  read GetCursorPos
  write SetCursorPos;


TMouse.DragImmediate

Does dragging start immediately (True), or only after a mouse move?

Declaration

Source position: controls.pp line 2661

public property TMouse.DragImmediate : Boolean
  read GetDragImmediate
  write SetDragImmediate;


TMouse.DragThreshold

The minimum distance the mouse must move before dragging starts (in delayed mode).

Declaration

Source position: controls.pp line 2662

public property TMouse.DragThreshold : Integer
  read GetDragThreshold
  write SetDragThreshold;

Description

Default is 5 pixels


TMouse.IsDragging

True while dragging an object.

Declaration

Source position: controls.pp line 2659

public property TMouse.IsDragging : Boolean
  read GetIsDragging;


TMouse.WheelScrollLines

The number of lines to scroll with every notch of the mouse wheel.

Declaration

Source position: controls.pp line 2660

public property TMouse.WheelScrollLines : Integer
  read GetWheelScrollLines;


TMouseButton

Enumeration of recognized mouse buttons.

Declaration

Source position: controls.pp line 197

type TMouseButton = (
mbLeft, | Represents the left mouse button. It might be physically the right button if the system is configured to act like that, for example for a left handled person.
mbRight, | Represents the right mouse button. It might be physically the left button if the system is configured to act like that, for example for a left handled person.
mbMiddle, | Represents the middle mouse button.
mbExtra1, | Represents the first extra mouse button.
mbExtra2 | Represents the second extra mouse button.
);

Description

These are logical buttons, left and right physical buttons can be swapped for left handed users.


TMouseEvent

Declaration

Source position: controls.pp line 417

type TMouseEvent = procedure(

  Sender: TObject;

  Button: TMouseButton;

  Shift: TShiftState;

  X: Integer;

  Y: Integer

) of object;


TMouseMoveEvent

Declaration

Source position: controls.pp line 419

type TMouseMoveEvent = procedure(

  Sender: TObject;

  Shift: TShiftState;

  X: Integer;

  Y: Integer

) of object;


TMouseWheelEvent

Type of an OnMouseWheel event handler.

Declaration

Source position: controls.pp line 421

type TMouseWheelEvent = procedure(

  Sender: TObject;

  Shift: TShiftState;

  WheelDelta: Integer;

  MousePos: TPoint;

  var Handled: Boolean

) of object;

Arguments

Sender | The control under the mouse.
Shift | State of the modifier keys and mouse buttons.
WheelDelta | How many notches the wheel has been turned.
MousePos | The mouse position, in client coordinates.
Handled | Set Handled to True when the event was handled.


TMouseWheelUpDownEvent

Type of OnMouseWheelUp/Down event handlers.

Declaration

Source position: controls.pp line 423

type TMouseWheelUpDownEvent = procedure(

  Sender: TObject;

  Shift: TShiftState;

  MousePos: TPoint;

  var Handled: Boolean

) of object;

Arguments

Sender | The control under the mouse.
Shift | State of the modifier keys and mouse buttons.
MousePos | The mouse position, in client coordinates.
Handled | Set Handled to True when the event was handled.


TSizeConstraints

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Holds maximum and minimum values that can be used in sizing objects.

Declaration

Source position: controls.pp line 645

type TSizeConstraints = class(TPersistent)
protected
procedure Change; virtual; | Calls an OnChange handler if assigned.
procedure AssignTo(); override;
procedure SetMaxHeight(); virtual;
procedure SetMaxWidth(); virtual;
procedure SetMinHeight(); virtual;
procedure SetMinWidth(); virtual;
public
constructor Create(); virtual;
procedure UpdateInterfaceConstraints; virtual; | Asks the interface for constraints.
procedure SetInterfaceConstraints(); virtual; | Used by the interface to set the interface constraints.
function EffectiveMinWidth; virtual; | Determines the minimal applicable width, given the local and interface constraints.
function EffectiveMinHeight; virtual; | Determines the minimal applicable height, given the local and interface constraints.
function EffectiveMaxWidth; virtual; | Determines the maximum applicable width, given the local and interface constraints.
function EffectiveMaxHeight; virtual; | Determines the maximum applicable height, given the local and interface constraints.
function MinMaxWidth(); | Determines the constrained Width, and transfers it to the widget.
function MinMaxHeight(); | Determines the constrained Height, and transfers it to the widget.
procedure AutoAdjustLayout();
property MaxInterfaceHeight: Integer; [r] | The maximum height allowed by the widget.
property MaxInterfaceWidth: Integer; [r] | The maximum width allowed by the widget.
property MinInterfaceHeight: Integer; [r] | The minimum height allowed by the widget.
property MinInterfaceWidth: Integer; [r] | The minimum width allowed by the widget.
property Control: TControl; [r] | The Control to which these constraints apply.
property Options: TSizeConstraintsOptions; [rw] | Options for the determination of the constraints.
published
property OnChange: TNotifyEvent; [rw] | Event handler for a change in the constraints.
property MaxHeight: TConstraintSize; [rw] | The maximum height.
property MaxWidth: TConstraintSize; [rw] | The maximum width.
property MinHeight: TConstraintSize; [rw] | The minimum height.
property MinWidth: TConstraintSize; [rw] | The minimum width.
end;

Inheritance

TSizeConstraints

Holds maximum and minimum values that can be used in sizing objects.
|

TPersistent,IFPObserved
|

TObject


TSizeConstraints
 | ro | MaxInterfaceHeight
 | ro | MaxInterfaceWidth
 | ro | MinInterfaceHeight
 | ro | MinInterfaceWidth
 | ro | Control
 |  | Options
pl |  | MaxHeight
pl |  | MaxWidth
pl |  | MinHeight
pl |  | MinWidth
TPersistent
TObject


 | ro | Control (TSizeConstraints)
pl |  | MaxHeight (TSizeConstraints)
 | ro | MaxInterfaceHeight (TSizeConstraints)
 | ro | MaxInterfaceWidth (TSizeConstraints)
pl |  | MaxWidth (TSizeConstraints)
pl |  | MinHeight (TSizeConstraints)
 | ro | MinInterfaceHeight (TSizeConstraints)
 | ro | MinInterfaceWidth (TSizeConstraints)
pl |  | MinWidth (TSizeConstraints)
 |  | Options (TSizeConstraints)


TSizeConstraints
pt | Change
pt | AssignTo
pt | SetMaxHeight
pt | SetMaxWidth
pt | SetMinHeight
pt | SetMinWidth
 | Create
 | UpdateInterfaceConstraints
 | SetInterfaceConstraints
 | EffectiveMinWidth
 | EffectiveMinHeight
 | EffectiveMaxWidth
 | EffectiveMaxHeight
 | MinMaxWidth
 | MinMaxHeight
 | AutoAdjustLayout
TPersistent
 | AssignError
 | AssignTo
 | DefineProperties
 | GetOwner
 | Destroy
 | Assign
 | FPOAttachObserver
 | FPODetachObserver
 | FPONotifyObservers
 | GetNamePath
TObject
 | Create
 | Destroy
 | newinstance
 | FreeInstance
 | SafeCallException
 | DefaultHandler
 | Free
 | InitInstance
 | CleanupInstance
 | ClassType
 | ClassInfo
 | ClassName
 | ClassNameIs
 | ClassParent
 | InstanceSize
 | InheritsFrom
 | StringMessageTable
 | MethodAddress
 | MethodName
 | FieldAddress
 | AfterConstruction
 | BeforeDestruction
 | DefaultHandlerStr
 | Dispatch
 | DispatchStr
 | GetInterface
 | GetInterfaceByStr
 | GetInterfaceWeak
 | GetInterfaceEntry
 | GetInterfaceEntryByStr
 | GetInterfaceTable
 | UnitName
 | Equals
 | GetHashCode
 | ToString


 | AssignError (TPersistent)
 | AssignTo (TPersistent)
pt | AssignTo (TSizeConstraints)
 | AutoAdjustLayout (TSizeConstraints)
 | BeforeDestruction (TObject)
pt | Change (TSizeConstraints)
 | ClassInfo (TObject)
 | ClassName (TObject)
 | ClassNameIs (TObject)
 | ClassParent (TObject)
 | ClassType (TObject)
 | CleanupInstance (TObject)
 | Create (TObject)
 | Create (TSizeConstraints)
 | DefaultHandler (TObject)
 | DefaultHandlerStr (TObject)
 | DefineProperties (TPersistent)
 | Destroy (TObject)
 | Destroy (TPersistent)
 | Dispatch (TObject)
 | DispatchStr (TObject)
 | EffectiveMaxHeight (TSizeConstraints)
 | EffectiveMaxWidth (TSizeConstraints)
 | EffectiveMinHeight (TSizeConstraints)
 | EffectiveMinWidth (TSizeConstraints)
 | Equals (TObject)
 | FieldAddress (TObject)
 | FPOAttachObserver (TPersistent)
 | FPODetachObserver (TPersistent)
 | FPONotifyObservers (TPersistent)
 | Free (TObject)
 | FreeInstance (TObject)
 | GetHashCode (TObject)
 | GetInterface (TObject)
 | GetInterfaceByStr (TObject)
 | GetInterfaceEntry (TObject)
 | GetInterfaceEntryByStr (TObject)
 | GetInterfaceTable (TObject)
 | GetInterfaceWeak (TObject)
 | GetNamePath (TPersistent)
 | GetOwner (TPersistent)
 | InheritsFrom (TObject)
 | InitInstance (TObject)
 | InstanceSize (TObject)
 | MethodAddress (TObject)
 | MethodName (TObject)
 | MinMaxHeight (TSizeConstraints)
 | MinMaxWidth (TSizeConstraints)
 | newinstance (TObject)
 | SafeCallException (TObject)
 | SetInterfaceConstraints (TSizeConstraints)
pt | SetMaxHeight (TSizeConstraints)
pt | SetMaxWidth (TSizeConstraints)
pt | SetMinHeight (TSizeConstraints)
pt | SetMinWidth (TSizeConstraints)
 | StringMessageTable (TObject)
 | ToString (TObject)
 | UnitName (TObject)
 | UpdateInterfaceConstraints (TSizeConstraints)


TSizeConstraints

pl

OnChange

TPersistent

TObject


pl

OnChange (TSizeConstraints)


TSizeConstraints.AutoAdjustLayout

Declaration

Source position: controls.pp line 676

public procedure TSizeConstraints.AutoAdjustLayout(

  const AXProportion: Double;

  const AYProportion: Double

);


TSizeConstraints.Change

Calls an OnChange handler if assigned.

Declaration

Source position: controls.pp line 660

protected procedure TSizeConstraints.Change; virtual;


TSizeConstraints.Control

The Control to which these constraints apply.

Declaration

Source position: controls.pp line 682

public property TSizeConstraints.Control : TControl
  read FControl;


TSizeConstraints.Create

Declaration

Source position: controls.pp line 667

public constructor TSizeConstraints.Create(

  AControl: TControl

); virtual;


TSizeConstraints.EffectiveMaxHeight

Determines the maximum applicable height, given the local and interface constraints.

Declaration

Source position: controls.pp line 673

public function TSizeConstraints.EffectiveMaxHeight: Integer; virtual;

Function result

Zero means no constraints.


TSizeConstraints.EffectiveMaxWidth

Determines the maximum applicable width, given the local and interface constraints.

Declaration

Source position: controls.pp line 672

public function TSizeConstraints.EffectiveMaxWidth: Integer; virtual;

Function result

Zero means no constraints.


TSizeConstraints.EffectiveMinHeight

Determines the minimal applicable height, given the local and interface constraints.

Declaration

Source position: controls.pp line 671

public function TSizeConstraints.EffectiveMinHeight: Integer; virtual;

Function result

Zero means no constraints.


TSizeConstraints.EffectiveMinWidth

Determines the minimal applicable width, given the local and interface constraints.

Declaration

Source position: controls.pp line 670

public function TSizeConstraints.EffectiveMinWidth: Integer; virtual;

Function result

Zero means no constraints.


TSizeConstraints.MaxHeight

The maximum height.

Declaration

Source position: controls.pp line 686

published property TSizeConstraints.MaxHeight : TConstraintSize
  read FMaxHeight
  write SetMaxHeight
  default 0;


TSizeConstraints.MaxInterfaceHeight

The maximum height allowed by the widget.

Declaration

Source position: controls.pp line 678

public property TSizeConstraints.MaxInterfaceHeight : Integer
  read FMaxInterfaceHeight;


TSizeConstraints.MaxInterfaceWidth

The maximum width allowed by the widget.

Declaration

Source position: controls.pp line 679

public property TSizeConstraints.MaxInterfaceWidth : Integer
  read FMaxInterfaceWidth;


TSizeConstraints.MaxWidth

The maximum width.

Declaration

Source position: controls.pp line 687

published property TSizeConstraints.MaxWidth : TConstraintSize
  read FMaxWidth
  write SetMaxWidth
  default 0;


TSizeConstraints.MinHeight

The minimum height.

Declaration

Source position: controls.pp line 688

published property TSizeConstraints.MinHeight : TConstraintSize
  read FMinHeight
  write SetMinHeight
  default 0;


TSizeConstraints.MinInterfaceHeight

The minimum height allowed by the widget.

Declaration

Source position: controls.pp line 680

public property TSizeConstraints.MinInterfaceHeight : Integer
  read FMinInterfaceHeight;


TSizeConstraints.MinInterfaceWidth

The minimum width allowed by the widget.

Declaration

Source position: controls.pp line 681

public property TSizeConstraints.MinInterfaceWidth : Integer
  read FMinInterfaceWidth;


TSizeConstraints.MinMaxHeight

Determines the constrained Height, and transfers it to the widget.

Declaration

Source position: controls.pp line 675

public function TSizeConstraints.MinMaxHeight(

  Height: Integer

):Integer;

Arguments

Height

The suggested height.

Function result

The constrained height.


TSizeConstraints.MinMaxWidth

Determines the constrained Width, and transfers it to the widget.

Declaration

Source position: controls.pp line 674

public function TSizeConstraints.MinMaxWidth(

  Width: Integer

):Integer;

Arguments

Width

The suggested width.

Function result

The constrained width.


TSizeConstraints.MinWidth

The minimum width.

Declaration

Source position: controls.pp line 689

published property TSizeConstraints.MinWidth : TConstraintSize
  read FMinWidth
  write SetMinWidth
  default 0;


TSizeConstraints.OnChange

Event handler for a change in the constraints.

Declaration

Source position: controls.pp line 685

published property TSizeConstraints.OnChange : TNotifyEvent
  read FOnChange
  write FOnChange;


TSizeConstraints.Options

Options for the determination of the constraints.

Declaration

Source position: controls.pp line 683

public property TSizeConstraints.Options : TSizeConstraintsOptions
  read FOptions
  write SetOptions
  default [];


TSizeConstraints.SetInterfaceConstraints

Used by the interface to set the interface constraints.

Declaration

Source position: controls.pp line 669

public procedure TSizeConstraints.SetInterfaceConstraints(

  MinW: Integer;

  MinH: Integer;

  MaxW: Integer;

  MaxH: Integer

); virtual;

Description

Should only be used by custom components, not by applications.


TSizeConstraints.UpdateInterfaceConstraints

Asks the interface for constraints.

Declaration

Source position: controls.pp line 668

public procedure TSizeConstraints.UpdateInterfaceConstraints; virtual;


TSizeConstraintsOption

Declaration

Source position: controls.pp line 636

type TSizeConstraintsOption = (

  scoAdviceWidthAsMin,

  scoAdviceWidthAsMax,

  scoAdviceHeightAsMin,

  scoAdviceHeightAsMax

);


TSizeConstraintsOptions

Declaration

Source position: controls.pp line 643

type TSizeConstraintsOptions = set of (

  scoAdviceWidthAsMin,

  scoAdviceWidthAsMax,

  scoAdviceHeightAsMin,

  scoAdviceHeightAsMax

);


TWinControl

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

The base class for controls which can contain other (child) controls.

Declaration

Source position: controls.pp line 1993

type TWinControl = class(TControl)
protected
FDoubleBuffered: Boolean;
FWinControlFlags: TWinControlFlags; | Various control state flags.
class procedure WSRegisterClass; override; | Registers this component class with the current WidgetSet.
procedure AdjustClientRect(); virtual; | Override this method when the ClientRect of a control differs from the default value.
procedure GetAdjustedLogicalClientRect(); | Returns the adjusted ClientRect, cached value if available.
procedure AlignControls(); virtual; | Aligns all child controls.
function CustomAlignInsertBefore(); virtual; | Returns the placement order of custom-aligned child controls, using the OnAlignInsertBefore handler.
procedure CustomAlignPosition(); virtual; | Returns the aligned position of a custom-aligned child control, using the OnAlignPosition handler.
function DoAlignChildControls(); virtual; | Override this method to place all given controls.
procedure DoChildSizingChange(); virtual; | Call this after a change in the ChildSizing information, to trigger further processing.
procedure InvalidatePreferredChildSizes; | Flags the preferred sizes of all child controls as invalid (recursively).
function CanTab; override; | If True, the Tab key can be used to navigate to this control.
function IsClientHeightStored; override;
function IsClientWidthStored; override;
procedure DoSendShowHideToInterface; virtual; | Sends the new Visible state to the widgetset.
procedure ControlsAligned; virtual; | Called by AlignControls after aligning controls.
procedure DoSendBoundsToInterface; virtual; | Sends the control's new bounds to the widget.
procedure RealizeBounds; virtual; | Checks for BoundsRect changes and sends changed bounds to the widget, using DoSendBoundsToInterface.
procedure RealizeBoundsRecursive; | Sends eventually changed BoundsRects to the widgets, for this and all child controls.
procedure InvalidateBoundsRealized;
procedure CreateSubClass(); | TODO: Check if we need this method
procedure DoConstraintsChange(); override;
procedure DoSetBounds(); override; | Updates the size and extent of the control and ClientRect.
procedure DoAutoSize; override; | Shrink or enlarge the control to fit children.
procedure DoAllAutoSize; override;
procedure AllAutoSized; virtual; | Called by DoAllAutoSize after all bounds are computed.
procedure CalculatePreferredSize(); override; | Override this method to return a different preferred height and width for autosizing.
procedure GetPreferredSizeClientFrame(); virtual;
procedure GetChildren(); override; | Calls Proc with every child control, owned by Root.
function ChildClassAllowed(); override; | Returns True if the given class is allowed for child controls.
procedure PaintControls(); | Paint all child controls which don't have a Handle.
procedure PaintHandler(); | Handler for TLMPaint, manages the painting of child controls.
procedure PaintWindow(); virtual; | Paints an clipped part (child control) of the DC.
procedure CreateBrush; virtual; | Creates the Brush, if not already created.
procedure ScaleControls(); virtual; | Scales (resizes) all child controls.
procedure ChangeScale(); override; | Scales (resizes) the control and all child controls.
procedure CMBiDiModeChanged(); message; | Handler for changed BiDiMode message. Notifies the widget and all child controls.
procedure CMBorderChanged(); message; | Handler for changed Border properties message. Adjusts and invalidates the control.
procedure CMDoubleBufferedChanged(); message;
procedure CMEnabledChanged(); message; | Handler for changed Enabled message. Notifies the widgetset.
procedure CMParentDoubleBufferedChanged(); message;
procedure CMShowingChanged(); message; | Handler for changed Showing message. Notifies the widgetset.
procedure CMShowHintChanged(); message; | Handler for changed ShowHint message. Notifies all child controls.
procedure CMVisibleChanged(); message; | Handler for changed Visible message. Handles Focus, forces UpdateControlState.
procedure CMEnter(); message; |
procedure CMExit(); message; |
procedure WMContextMenu(); message; | Handler for an ContextMenu event. Eventually delegates handling to the affected child control.
procedure WMEraseBkgnd(); message; | Erases the background, if required.
procedure WMNotify(); message; | Handles (dispatches) notification messages.
procedure WMSetFocus(); message; | Handler for receiving Focus event.
procedure WMKillFocus(); message; | Handler for loosing Focus event. Eventually triggers #lcl.Controls.TControl.EditingDone.
procedure WMShowWindow(); message; | Handler for changed visibility notification
procedure WMEnter(); message; |
procedure WMExit(); message; |
procedure WMKeyDown(); message; | Event handler for key pressed, not handled by the widget. Tries TWinControl.DoRemainingKeyDown.
procedure WMSysKeyDown(); message; | Event handler for sys key pressed, not handled by the widget. Tries TWinControl.DoRemainingKeyDown.
procedure WMKeyUp(); message; | Event handler for key released, not handled by the widget. Tries TWinControl.DoRemainingKeyUp.
procedure WMSysKeyUp(); message; | Event handler for system key released, not handled by the widget. Tries TWinControl.DoRemainingKeyUp.
procedure WMChar(); message; | Handler for message sent by the widget, after it has handled the keypress itself.
procedure WMSysChar(); message; | Handler for message sent by the widget, after it has handled the keypress itself.
procedure WMPaint(); message; | Manages paint requests, handles double buffering.
procedure WMDestroy(); message; | Handler for widget destroyed message. Clears the Handle.
procedure WMMove(); message; | Handler for widget moved message. Updates the Bounds.
procedure WMSize(); message; | Event handler for size messages.
procedure WMWindowPosChanged(); message; | Event handler for size/move messages.
procedure CNKeyDown(); message; | Handler for a key pushed notification. The message is handled by DoKeyDownBeforeInterface by default.
procedure CNSysKeyDown(); message; | Handler for a system key pushed notification. The message is handled by DoKeyDownBeforeInterface by default.
procedure CNKeyUp(); message; | Handler for a key released notification. The message is handled by DoKeyUpBeforeInterface by default.
procedure CNSysKeyUp(); message; | Handler for a system key released notification. The message is handled by DoKeyUpBeforeInterface by default.
procedure CNChar(); message; | Handler for a key pressed notification. CNChar is sent by the widget before it has handled the keypress itself.
function DoDragMsg(); override; | Dispatches a drag message, sent by the DragManager.
function DoDockClientMsg(); virtual; | Handles a dmDragDock message, when a control has been docked to this site.
function DoUndockClientMsg(); virtual; | Notifies the DockManager of the undock of a client control.
procedure DoAddDockClient(); virtual; | Adjust the Parent of a newly docked Client.
procedure DockOver(); virtual; | Called to check whether this control allows docking and where.
procedure DoDockOver(); virtual; | Invoke the OnDockOver handler.
procedure DoRemoveDockClient(); virtual; | Override this method to take special actions on removal of an docked client.
function DoUnDock(); virtual; | Notifies an OnUnDock handler and DockManager of an undocked client control.
procedure GetSiteInfo(); virtual; | Return information about this dock site (InfluenceRect).
function GetParentHandle;
function GetTopParentHandle;
procedure ReloadDockedControl(); virtual; | Returns the docked control of the specified name.
function CreateDockManager; virtual; | Returns the DockManager for this control.
procedure SetDockManager();
procedure DoFloatMsg(); override; | Handler called when the control starts floating.
procedure DoGetDockCaption(); virtual; | Returns the dock caption of AControl.
procedure DoEnter; virtual; | Invokes the OnEnter event handler.
procedure DoExit; virtual; | Invoke the OnExit event handler.
function DoKeyDownBeforeInterface(); | Handles a KeyDown event before the widget processes the key.
function DoRemainingKeyDown(); | Handles keys which are not handled by the widget.
function DoRemainingKeyUp(); |
function DoKeyPress(); | Tries all OnKeyPress handlers, of Parents first.
function DoUTF8KeyPress(); virtual;
function DoKeyUpBeforeInterface(); | Handles a KeyUp event before the widget processes the key.
function ChildKey(); virtual; |
function SendDialogChar(); |
function DialogChar(); override; | Do something useful with accelerators etc.
procedure ControlKeyDown(); virtual; | Lets the Application handle an navigation key.
procedure ControlKeyUp(); virtual; | Lets the Application handle an navigation key.
procedure KeyDown(); virtual; | Invokes the OnKeyDown handler.
procedure KeyDownBeforeInterface(); virtual; | Invokes the OnKeyDown handler.
procedure KeyDownAfterInterface(); virtual; |
procedure KeyPress(); virtual; | Invokes the OnKeyPress handler.
procedure KeyUp(); virtual; | Invokes the OnKeyUp handler.
procedure KeyUpBeforeInterface(); virtual; | Invokes the OnKeyUp handler.
procedure KeyUpAfterInterface(); virtual; |
procedure UTF8KeyPress(); virtual; | Invokes the OnUTF8KeyPress handler.
function FindNextControl(); | Returns the preceding or next control in tab order.
procedure SelectFirst; | Returns the first control in tab order.
function RealGetText; override; | Returns the Caption property.
function GetBorderStyle;
function GetClientOrigin; override;
function GetClientRect; override;
function GetControlOrigin; override; | Returns the origin (top left pixel) of the control, in screen coordinates.
function GetDeviceContext(); override; | Returns a device context handle for the control, from Parent.
function GetParentBackground;
function IsControlMouseMsg(); | Sends the mouse message to a child control.
procedure CreateHandle; virtual; | Creates the Handle ( = widget) if not already done.
procedure CreateParams(); virtual; | Initializes the window creation parameter record with the settings of the control.
procedure CreateWnd; virtual; | Creates the interface object (widget) and assigns it to Handle.
procedure DestroyHandle; virtual; | Destroys this and all child widgets.
procedure DestroyWnd; virtual; | Destroys the interface object (widget).
procedure DoFlipChildren; virtual; | Flip children horizontally. That means mirroring the Left position.
procedure FinalizeWnd; virtual; | Prepare to remove the window (gets called before the Handle is destroyed).
procedure FixupTabList; | Assigns strictly sequential TabOrder values to all child windows.
procedure FontChanged(); override; | Handles changes of the Font property.
procedure InitializeWnd; virtual; | Copies cached control properties to the just created widget.
procedure Loaded; override; | Called when the control has been loaded from a resource, transfers the loaded property values to the widget.
procedure FormEndUpdated; override; | Realizes all cached changes after a bulk update of the form. Calls inherited FormEndUpdated, then informs each child control.
procedure MainWndProc(); | This method allows handling messages in Windows
procedure ParentFormHandleInitialized; override; | Called after all children handles of the ParentForm are created. Notifies all children of the end of the handle creation phase.
procedure ChildHandlesCreated; virtual; | Called after all child handles have been created. Resets wcfCreatingChildHandles.
function GetMouseCapture; override;
procedure RealSetText(); override; | Sets the Caption property.
procedure RemoveFocus(); | Notifies the parent form of the focus loss.
procedure SendMoveSizeMessages(); override; | Sends Move and Size messages through the LCL message paths.
procedure SetBorderStyle(); virtual;
procedure SetColor(); override;
procedure SetChildZPosition(); | Updates the position of the child control in the Z plane (ie front-to-back).
procedure SetParentBackground(); virtual;
procedure ShowControl(); virtual; | Asks the parent to show ourself.
procedure UpdateControlState; | Essentially updates the visible state of the control, and of the widget if already created.
procedure UpdateShowing; virtual; | When the widget should be visible and has not yet been created, it's created along with all children.
procedure WndProc(); override; | Adds special handling for focus and input messages, notifies an DockManager.
procedure WSSetText(); virtual; | Sends text to the widget (from WM_SETTEXT?).
property WindowHandle: HWND; [rw] | For internal use: allows direct access to Handle, bypassing any getter/setter methods.
property BorderStyle: TBorderStyle; [rw] | Allows to show a border (line) around the control,
property OnGetSiteInfo: TGetSiteInfoEvent; [rw] | Provides information about the DockSite.
property OnGetDockCaption: TGetDockCaptionEvent; [rw] | This handler can provide a special DockCaption, different from the Caption default.
property ParentBackground: Boolean; [rw]
public
property BorderWidth: TBorderWidth; [rw] | Width of the Border around the control; default is zero.
property BoundsLockCount: Integer; [r] | For internal use: When greater zero, updates of the BoundsRect are blocked.
property Brush: TBrush; [r] | The Brush used to paint the background of the control.
property CachedClientHeight: Integer; [r] | The intended ClientHeight, as sent to the widget.
property CachedClientWidth: Integer; [r] | The intended ClientWidth, as sent to the widget.
property ChildSizing: TControlChildSizing; [rw] | Parameters for child control arrangement and spacing.
property ControlCount: Integer; [r] | The number of immediate child controls.
property Controls []: TControl; [r] | The indexed list of immediate child controls.
property DefWndProc: Pointer; [rw] | The default WndProc on Windows widgetset and platforms.
property DockClientCount: Integer; [r] | The number of clients docked into this control.
property DockClients []: TControl; [r] | The indexed list of controls docked into this control.
property DockManager: TDockManager; [rw] | The docking layout manager for this control.
property DockSite: Boolean; [rw] | Allows to drag-dock other controls into this control.
property DoubleBuffered: Boolean; [rws] | Allows to reduce flicker in the painting of the control.
property Handle: HWND; [rw] | A reference to the widget, associated with this control.
property IsFlipped: Boolean; [r]
property IsResizing: Boolean; [r] | Check IsResizing and drop or delay changes to the control, until the new size has been determined.
property TabOrder: TTabOrder; [rw] | Determines the sequence of controls, reachable when the user presses the Tab key.
property TabStop: Boolean; [rw] | Allows the user to navigate to this control, by pressing the Tab key.
property OnAlignInsertBefore: TAlignInsertBeforeEvent; [rw] | Handler for custom-aligned child controls, determines the order of control placement.
property OnAlignPosition: TAlignPositionEvent; [rw] | Handler for custom-aligned child controls, determines the position of the child control.
property OnDockDrop: TDockDropEvent; [rw] | Notification handler for the drop of a control to be docked.
property OnDockOver: TDockOverEvent; [rw] | Event handler for moves of a control over this docksite. Determines acceptance or rejection of an possible drop.
property OnEnter: TNotifyEvent; [rw] | Handler for control receiving the focus.
property OnExit: TNotifyEvent; [rw] | Handler for control loosing the focus. This is a good place for checking the finished user input.
property OnKeyDown: TKeyEvent; [rw] | Handler for keyboard key pressed.
property OnKeyPress: TKeyPressEvent; [rw] | Handler for a character entered by the user.
property OnKeyUp: TKeyEvent; [rw] | Handler for keyboard key released.
property OnUnDock: TUnDockEvent; [rw] | Event handler for control being undocked from this DockSite.
property OnUTF8KeyPress: TUTF8KeyPressEvent; [rw] | Handler for a character entered by the user.
property ParentDoubleBuffered: Boolean; [rw]
property ParentWindow: HWND; [rw] | The Handle of the parent widget.
property Showing: Boolean; [r] | Cached widget visibility, not necessarily in sync with the widget.
property UseDockManager: Boolean; [rw] | Determines whether a DockManager is used for this DockSite.
property DesignerDeleting: Boolean; [rw]
property VisibleDockClientCount: Integer; [r] | The number of visible docked controls.
function AutoSizePhases; override; | Translates state flags into AutoSizePhases
function AutoSizeDelayed; override; | Returns true if auto-sizing must be has been delayed, until some other process is complete.
function AutoSizeDelayedReport; override;
function AutoSizeDelayedHandle; override; | Returns true if AutoSize should be skipped / delayed because of its handle.
procedure BeginUpdateBounds; | Start of Bounds updates. Disables SetBounds by incrementing BoundsLockCount.
procedure EndUpdateBounds; | End of Bounds update. Decrements BoundsLockCount and eventually calls SetBounds.
procedure LockRealizeBounds; | Disables sending bounds to the widget, by incrementing FRealizeBoundsLockCount.
procedure UnlockRealizeBounds; | Enables sending bounds to the widget again, eventually updates the widget.
function ControlAtPos(); | Get the child control at the given client position.
function ContainsControl(); | Returns True if this is a parent of the given control.
procedure DoAdjustClientRectChange(); | Asks the widget if clientrect has changed since last AlignControl, and calls AdjustSize on change.
procedure InvalidateClientRectCache(); | The ClientRect is cached. Call this procedure to invalidate the cache, so that next time the ClientRect is fetched from the widget.
function ClientRectNeedsInterfaceUpdate; | The ClientRect is cached - check if the cache is valid.
procedure SetBounds(); override; | Sets the bounds (left, top, width, height) of the control.
function GetChildrenRect(); override;
procedure DisableAlign;
procedure EnableAlign;
procedure ReAlign;
procedure ScrollBy_WS();
procedure ScrollBy(); virtual; | Move all child controls.
procedure WriteLayoutDebugReport(); override; | Used for debugging.
procedure AutoAdjustLayout(); override;
constructor Create(); override;
constructor CreateParented(); | Constructor for a control that is the child of the given widget.
class function CreateParentedControl();
destructor Destroy; override;
procedure DockDrop(); virtual; | Handler for a DragManager dmDragDrop message, sent when a dragged control has been dropped onto this docksite.
function CanFocus; virtual; | Is this control allowed to receive the focus when parent form is visible?
function CanSetFocus; virtual; | Is this control allowed to receive the focus?
function GetControlIndex(); | Finds the index value for the given control, in Controls[].
procedure SetControlIndex();
function Focused; virtual; | Checks whether the control has the focus.
function PerformTab(); virtual; | Sets the focus to the next (or preceding) control.
function FindChildControl(); | Finds a child control by name.
procedure SelectNext(); | Transfers the focus to the next child control.
procedure SetTempCursor(); override; | Change the cursor shape temporarily, preserving the stored TControl.Cursor.
procedure BroadCast(); | Sends a message to all child controls.
procedure NotifyControls(); | Sends a message to all child controls.
procedure DefaultHandler(); override; | Handles all messages that the control doesn't fully handle itself.
function GetTextLen; override; | The length of Text, here: of Caption.
procedure Invalidate; override; | Schedule an repaint request.
procedure AddControl; virtual; | Tell widgetset to add Handle object to parent's Handle object.
procedure InsertControl(); | Insert control into Controls[].
procedure RemoveControl(); virtual; | Remove control from Controls[].
function GetEnumeratorControls;
function GetEnumeratorControlsReverse;
procedure Repaint; override; | Immediate redraw of the control, bypassing the message queue.
procedure Update; override; | Redraw invalidated parts of the control immediately.
procedure SetFocus; virtual;
procedure FlipChildren(); virtual; | Flip children horizontally. That means mirroring the Left position and anchoring.
procedure ScaleBy();
function GetDockCaption(); virtual; | Returns the caption for the docked control.
procedure UpdateDockCaption(); virtual; | Updates the Caption to reflect the names of the docked clients.
procedure GetTabOrderList(); virtual; | Fill the list with all TabStop controls, recursing into child controls.
function HandleAllocated; | Check whether a widget has been assigned to this control.
function ParentHandlesAllocated; override; | Returns True if all Parents have handles allocated, and are not being destroyed.
procedure HandleNeeded; | Call this method when your code requires a valid Handle for this control.
function BrushCreated; | Has a Brush been created for this control?
procedure EraseBackground(); virtual; | Fills the entire control with the designed background color and pattern.
function IntfUTF8KeyPress(); virtual; | Called by the interface after the navigation and specials keys are handled; i.e. after KeyDown but before KeyPress.
function IntfGetDropFilesTarget; virtual;
procedure PaintTo(); | Paints only when a widget exists.
procedure SetShape(); | Specifies the (non-rectangular) shape of the widget.
end;

Inheritance

TWinControl | The base class for controls which can contain other (child) controls.
|
TControl | The base class for visible controls.
|
TLCLComponent | The base class for LCL components associated with widgets.
|
TComponent,IUnknown,IInterfaceComponentReference
|
TPersistent,IFPObserved
|
TObject

Description

The name reflects the fact that (on Windows) these controls are based on OS provided widgets, which have window Handles.


TWinControl
pt |  | WindowHandle
pt |  | BorderStyle
pt |  | ParentBackground
 |  | BorderWidth
 | ro | BoundsLockCount
 | ro | Brush
 | ro | CachedClientHeight
 | ro | CachedClientWidth
 |  | ChildSizing
 | ro | ControlCount
 | ro | Controls
 |  | DefWndProc
 | ro | DockClientCount
 | ro | DockClients
 |  | DockManager
 |  | DockSite
 |  | DoubleBuffered
 |  | Handle
 | ro | IsFlipped
 | ro | IsResizing
 |  | TabOrder
 |  | TabStop
 |  | ParentDoubleBuffered
 |  | ParentWindow
 | ro | Showing
 |  | UseDockManager
 |  | DesignerDeleting
 | ro | VisibleDockClientCount
TControl
pt | ro | AutoSizing
pt | ro | AutoSizingAll
pt | ro | AutoSizingLockCount
pt |  | ActionLink
pt |  | DesktopFont
pt |  | DragCursor
pt |  | DragKind
pt |  | DragMode
pt |  | MouseCapture
pt |  | ParentColor
pt |  | ParentFont
pt |  | ParentShowHint
pt |  | SessionProperties
pt |  | Text
 | ro | AnchoredControls
 | ro | BaseBounds
 | ro | ReadBounds
 | ro | BaseParentClientSize
 |  | AccessibleDescription
 |  | AccessibleValue
 |  | AccessibleRole
 |  | Action
 |  | Align
 |  | Anchors
 | ro | AnchorSide
 |  | AutoSize
 |  | BorderSpacing
 |  | BoundsRect
 |  | BoundsRectForNewParent
 |  | Caption
 |  | CaptureMouseButtons
 |  | ClientHeight
 | ro | ClientOrigin
 | ro | ClientRect
 |  | ClientWidth
 |  | Color
 |  | Constraints
 | ro | ControlOrigin
 |  | ControlState
 |  | ControlStyle
 |  | Enabled
 |  | Font
 |  | IsControl
 | ro | MouseEntered
 | ro | MouseInClient
 |  | Parent
 |  | PopupMenu
 |  | ShowHint
 |  | Visible
 |  | WindowProc
 |  | DockOrientation
 | ro | Floating
 |  | FloatingDockSiteClass
 |  | HostDockSite
 |  | LRDockWidth
 |  | TBDockHeight
 |  | UndockHeight
 |  | UndockWidth
 |  | BiDiMode
 |  | ParentBiDiMode
pl |  | AnchorSideLeft
pl |  | AnchorSideTop
pl |  | AnchorSideRight
pl |  | AnchorSideBottom
pl |  | Cursor
pl |  | Left
pl |  | Height
pl |  | Hint
pl |  | Top
pl |  | Width
pl |  | HelpType
pl |  | HelpKeyword
pl |  | HelpContext
TLCLComponent
 | ro | LCLRefCount
 | ro | WidgetSetClass
TComponent
 | ro | ComObject
 | ro | Components
 | ro | ComponentCount
 |  | ComponentIndex
 | ro | ComponentState
 | ro | ComponentStyle
 |  | DesignInfo
 | ro | Owner
 |  | VCLComObject
 |  | Name
 |  | Tag
TPersistent
TObject


 |  | AccessibleDescription (TControl)
 |  | AccessibleRole (TControl)
 |  | AccessibleValue (TControl)
 |  | Action (TControl)
pt |  | ActionLink (TControl)
 |  | Align (TControl)
 | ro | AnchoredControls (TControl)
 |  | Anchors (TControl)
 | ro | AnchorSide (TControl)
pl |  | AnchorSideBottom (TControl)
pl |  | AnchorSideLeft (TControl)
pl |  | AnchorSideRight (TControl)
pl |  | AnchorSideTop (TControl)
 |  | AutoSize (TControl)
pt | ro | AutoSizing (TControl)
pt | ro | AutoSizingAll (TControl)
pt | ro | AutoSizingLockCount (TControl)
 | ro | BaseBounds (TControl)
 | ro | BaseParentClientSize (TControl)
 |  | BiDiMode (TControl)
 |  | BorderSpacing (TControl)
pt |  | BorderStyle (TWinControl)
 |  | BorderWidth (TWinControl)
 | ro | BoundsLockCount (TWinControl)
 |  | BoundsRect (TControl)
 |  | BoundsRectForNewParent (TControl)
 | ro | Brush (TWinControl)
 | ro | CachedClientHeight (TWinControl)
 | ro | CachedClientWidth (TWinControl)
 |  | Caption (TControl)
 |  | CaptureMouseButtons (TControl)
 |  | ChildSizing (TWinControl)
 |  | ClientHeight (TControl)
 | ro | ClientOrigin (TControl)
 | ro | ClientRect (TControl)
 |  | ClientWidth (TControl)
 |  | Color (TControl)
 | ro | ComObject (TComponent)
 | ro | ComponentCount (TComponent)
 |  | ComponentIndex (TComponent)
 | ro | Components (TComponent)
 | ro | ComponentState (TComponent)
 | ro | ComponentStyle (TComponent)
 |  | Constraints (TControl)
 | ro | ControlCount (TWinControl)
 | ro | ControlOrigin (TControl)
 | ro | Controls (TWinControl)
 |  | ControlState (TControl)
 |  | ControlStyle (TControl)
pl |  | Cursor (TControl)
 |  | DefWndProc (TWinControl)
 |  | DesignerDeleting (TWinControl)
 |  | DesignInfo (TComponent)
pt |  | DesktopFont (TControl)
 | ro | DockClientCount (TWinControl)
 | ro | DockClients (TWinControl)
 |  | DockManager (TWinControl)
 |  | DockOrientation (TControl)
 |  | DockSite (TWinControl)
 |  | DoubleBuffered (TWinControl)
pt |  | DragCursor (TControl)
pt |  | DragKind (TControl)
pt |  | DragMode (TControl)
 |  | Enabled (TControl)
 | ro | Floating (TControl)
 |  | FloatingDockSiteClass (TControl)
 |  | Font (TControl)
 |  | Handle (TWinControl)
pl |  | Height (TControl)
pl |  | HelpContext (TControl)
pl |  | HelpKeyword (TControl)
pl |  | HelpType (TControl)
pl |  | Hint (TControl)
 |  | HostDockSite (TControl)
 |  | IsControl (TControl)
 | ro | IsFlipped (TWinControl)
 | ro | IsResizing (TWinControl)
 | ro | LCLRefCount (TLCLComponent)
pl |  | Left (TControl)
 |  | LRDockWidth (TControl)
pt |  | MouseCapture (TControl)
 | ro | MouseEntered (TControl)
 | ro | MouseInClient (TControl)
 |  | Name (TComponent)
 | ro | Owner (TComponent)
 |  | Parent (TControl)
pt |  | ParentBackground (TWinControl)
 |  | ParentBiDiMode (TControl)
pt |  | ParentColor (TControl)
 |  | ParentDoubleBuffered (TWinControl)
pt |  | ParentFont (TControl)
pt |  | ParentShowHint (TControl)
 |  | ParentWindow (TWinControl)
 |  | PopupMenu (TControl)
 | ro | ReadBounds (TControl)
pt |  | SessionProperties (TControl)
 |  | ShowHint (TControl)
 | ro | Showing (TWinControl)
 |  | TabOrder (TWinControl)
 |  | TabStop (TWinControl)
 |  | Tag (TComponent)
 |  | TBDockHeight (TControl)
pt |  | Text (TControl)
pl |  | Top (TControl)
 |  | UndockHeight (TControl)
 |  | UndockWidth (TControl)
 |  | UseDockManager (TWinControl)
 |  | VCLComObject (TComponent)
 |  | Visible (TControl)
 | ro | VisibleDockClientCount (TWinControl)
 | ro | WidgetSetClass (TLCLComponent)
pl |  | Width (TControl)
pt |  | WindowHandle (TWinControl)
 |  | WindowProc (TControl)


TWinControl
pt | WSRegisterClass
pt | AdjustClientRect
pt | GetAdjustedLogicalClientRect
pt | AlignControls
pt | CustomAlignInsertBefore
pt | CustomAlignPosition
pt | DoAlignChildControls
pt | DoChildSizingChange
pt | InvalidatePreferredChildSizes
pt | CanTab
pt | IsClientHeightStored
pt | IsClientWidthStored
pt | DoSendShowHideToInterface
pt | ControlsAligned
pt | DoSendBoundsToInterface
pt | RealizeBounds
pt | RealizeBoundsRecursive
pt | InvalidateBoundsRealized
pt | CreateSubClass
pt | DoConstraintsChange
pt | DoSetBounds
pt | DoAutoSize
pt | DoAllAutoSize
pt | AllAutoSized
pt | CalculatePreferredSize
pt | GetPreferredSizeClientFrame
pt | GetChildren
pt | ChildClassAllowed
pt | PaintControls
pt | PaintHandler
pt | PaintWindow
pt | CreateBrush
pt | ScaleControls
pt | ChangeScale
pt | CMBiDiModeChanged
pt | CMBorderChanged
pt | CMDoubleBufferedChanged
pt | CMEnabledChanged
pt | CMParentDoubleBufferedChanged
pt | CMShowingChanged
pt | CMShowHintChanged
pt | CMVisibleChanged
pt | CMEnter
pt | CMExit
pt | WMContextMenu
pt | WMEraseBkgnd
pt | WMNotify
pt | WMSetFocus
pt | WMKillFocus
pt | WMShowWindow
pt | WMEnter
pt | WMExit
pt | WMKeyDown
pt | WMSysKeyDown
pt | WMKeyUp
pt | WMSysKeyUp
pt | WMChar
pt | WMSysChar
pt | WMPaint
pt | WMDestroy
pt | WMMove
pt | WMSize
pt | WMWindowPosChanged
pt | CNKeyDown
pt | CNSysKeyDown
pt | CNKeyUp
pt | CNSysKeyUp
pt | CNChar
pt | DoDragMsg
pt | DoDockClientMsg
pt | DoUndockClientMsg
pt | DoAddDockClient
pt | DockOver
pt | DoDockOver
pt | DoRemoveDockClient
pt | DoUnDock
pt | GetSiteInfo
pt | GetParentHandle
pt | GetTopParentHandle
pt | ReloadDockedControl
pt | CreateDockManager
pt | SetDockManager
pt | DoFloatMsg
pt | DoGetDockCaption
pt | DoEnter
pt | DoExit
pt | DoKeyDownBeforeInterface
pt | DoRemainingKeyDown
pt | DoRemainingKeyUp
pt | DoKeyPress
pt | DoUTF8KeyPress
pt | DoKeyUpBeforeInterface
pt | ChildKey
pt | SendDialogChar
pt | DialogChar
pt | ControlKeyDown
pt | ControlKeyUp
pt | KeyDown
pt | KeyDownBeforeInterface
pt | KeyDownAfterInterface
pt | KeyPress
pt | KeyUp
pt | KeyUpBeforeInterface
pt | KeyUpAfterInterface
pt | UTF8KeyPress
pt | FindNextControl
pt | SelectFirst
pt | RealGetText
pt | GetBorderStyle
pt | GetClientOrigin
pt | GetClientRect
pt | GetControlOrigin
pt | GetDeviceContext
pt | GetParentBackground
pt | IsControlMouseMsg
pt | CreateHandle
pt | CreateParams
pt | CreateWnd
pt | DestroyHandle
pt | DestroyWnd
pt | DoFlipChildren
pt | FinalizeWnd
pt | FixupTabList
pt | FontChanged
pt | InitializeWnd
pt | Loaded
pt | FormEndUpdated
pt | MainWndProc
pt | ParentFormHandleInitialized
pt | ChildHandlesCreated
pt | GetMouseCapture
pt | RealSetText
pt | RemoveFocus
pt | SendMoveSizeMessages
pt | SetBorderStyle
pt | SetColor
pt | SetChildZPosition
pt | SetParentBackground
pt | ShowControl
pt | UpdateControlState
pt | UpdateShowing
pt | WndProc
pt | WSSetText
 | AutoSizePhases
 | AutoSizeDelayed
 | AutoSizeDelayedReport
 | AutoSizeDelayedHandle
 | BeginUpdateBounds
 | EndUpdateBounds
 | LockRealizeBounds
 | UnlockRealizeBounds
 | ControlAtPos
 | ContainsControl
 | DoAdjustClientRectChange
 | InvalidateClientRectCache
 | ClientRectNeedsInterfaceUpdate
 | SetBounds
 | GetChildrenRect
 | DisableAlign
 | EnableAlign
 | ReAlign
 | ScrollBy_WS
 | ScrollBy
 | WriteLayoutDebugReport
 | AutoAdjustLayout
 | Create
 | CreateParented
 | CreateParentedControl
 | Destroy
 | DockDrop
 | CanFocus
 | CanSetFocus
 | GetControlIndex
 | SetControlIndex
 | Focused
 | PerformTab
 | FindChildControl
 | SelectNext
 | SetTempCursor
 | BroadCast
 | NotifyControls
 | DefaultHandler
 | GetTextLen
 | Invalidate
 | AddControl
 | InsertControl
 | RemoveControl
 | GetEnumeratorControls
 | GetEnumeratorControlsReverse
 | Repaint
 | Update
 | SetFocus
 | FlipChildren
 | ScaleBy
 | GetDockCaption
 | UpdateDockCaption
 | GetTabOrderList
 | HandleAllocated
 | ParentHandlesAllocated
 | HandleNeeded
 | BrushCreated
 | EraseBackground
 | IntfUTF8KeyPress
 | IntfGetDropFilesTarget
 | PaintTo
 | SetShape
TControl
pt | WSRegisterClass
pt | GetCursor
pt | SetCursor
pt | SetVisible
pt | DoOnParentHandleDestruction
pt | DoAutoSize
pt | DoAllAutoSize
pt | BeginAutoSizing
pt | EndAutoSizing
pt | AnchorSideChanged
pt | ForeignAnchorSideChanged
pt | SetAlign
pt | SetAnchors
pt | SetAutoSize
pt | BoundsChanged
pt | CreateControlBorderSpacing
pt | DoConstraintsChange
pt | DoBorderSpacingChange
pt | IsBorderSpacingInnerBorderStored
pt | IsCaptionStored
pt | SendMoveSizeMessages
pt | ConstrainedResize
pt | CalculatePreferredSize
pt | DoOnResize
pt | DoOnChangeBounds
pt | CheckOnChangeBounds
pt | Resize
pt | RequestAlign
pt | UpdateAnchorRules
pt | ChangeBounds
pt | DoSetBounds
pt | ScaleConstraints
pt | ChangeScale
pt | CanAutoSize
pt | SetBiDiMode
pt | SetParentBiDiMode
pt | IsAParentAligning
pt | GetClientOrigin
pt | GetClientRect
pt | GetLogicalClientRect
pt | GetScrolledClientRect
pt | GetClientScrollOffset
pt | GetControlOrigin
pt | IsClientHeightStored
pt | IsClientWidthStored
pt | WidthIsAnchored
pt | HeightIsAnchored
pt | WMCancelMode
pt | WMContextMenu
pt | WMLButtonDown
pt | WMRButtonDown
pt | WMMButtonDown
pt | WMXButtonDown
pt | WMLButtonDBLCLK
pt | WMRButtonDBLCLK
pt | WMMButtonDBLCLK
pt | WMXButtonDBLCLK
pt | WMLButtonTripleCLK
pt | WMRButtonTripleCLK
pt | WMMButtonTripleCLK
pt | WMXButtonTripleCLK
pt | WMLButtonQuadCLK
pt | WMRButtonQuadCLK
pt | WMMButtonQuadCLK
pt | WMXButtonQuadCLK
pt | WMMouseMove
pt | WMLButtonUp
pt | WMRButtonUp
pt | WMMButtonUp
pt | WMXButtonUp
pt | WMMouseWheel
pt | WMMouseHWheel
pt | WMMove
pt | WMSize
pt | WMWindowPosChanged
pt | CMChanged
pt | LMCaptureChanged
pt | CMBiDiModeChanged
pt | CMSysFontChanged
pt | CMEnabledChanged
pt | CMHitTest
pt | CMMouseEnter
pt | CMMouseLeave
pt | CMHintShow
pt | CMParentBiDiModeChanged
pt | CMParentColorChanged
pt | CMParentFontChanged
pt | CMParentShowHintChanged
pt | CMVisibleChanged
pt | CMTextChanged
pt | CMCursorChanged
pt | CalculateDockSizes
pt | CreateFloatingDockSite
pt | GetDockEdge
pt | GetDragImages
pt | GetFloating
pt | GetFloatingDockSiteClass
pt | BeforeDragStart
pt | BeginAutoDrag
pt | DoFloatMsg
pt | DockTrackNoTarget
pt | DoDock
pt | DoDragMsg
pt | DoEndDock
pt | DoEndDrag
pt | DoStartDock
pt | DoStartDrag
pt | DragCanceled
pt | DragOver
pt | PositionDockRect
pt | SetDragMode
pt | GetDefaultDockCaption
pt | Click
pt | DblClick
pt | TripleClick
pt | QuadClick
pt | GetMousePosFromMessage
pt | MouseDown
pt | MouseMove
pt | MouseUp
pt | MouseEnter
pt | MouseLeave
pt | DialogChar
pt | UpdateMouseCursor
pt | Changed
pt | GetPalette
pt | ChildClassAllowed
pt | ReadState
pt | Loaded
pt | LoadedAll
pt | DefineProperties
pt | AssignTo
pt | FormEndUpdated
pt | InvalidateControl
pt | FontChanged
pt | ParentFontChanged
pt | GetAction
pt | RealGetText
pt | RealSetText
pt | TextChanged
pt | GetCachedText
pt | SetAction
pt | SetColor
pt | SetEnabled
pt | SetHint
pt | SetName
pt | SetParent
pt | SetParentComponent
pt | WndProc
pt | ParentFormHandleInitialized
pt | GetMouseCapture
pt | CaptureChanged
pt | Notification
pt | CanTab
pt | GetDeviceContext
pt | GetEnabled
pt | GetPopupMenu
pt | DoOnShowHint
pt | DoMouseWheel
pt | DoMouseWheelDown
pt | DoMouseWheelUp
pt | DoMouseWheelHorz
pt | DoMouseWheelLeft
pt | DoMouseWheelRight
pt | VisibleChanging
pt | VisibleChanged
pt | EnabledChanging
pt | EnabledChanged
pt | AddHandler
pt | RemoveHandler
pt | DoCallNotifyHandler
pt | DoCallKeyEventHandler
pt | DoCallMouseWheelEventHandler
pt | DoContextPopup
pt | SetZOrder
pt | GetControlClassDefaultSize
pt | ColorIsStored
pt | DoAutoAdjustLayout
pt | DoFixDesignFontPPI
pt | DoScaleFontPPI
pt | GetActionLinkClass
pt | ActionChange
 | DragDrop
 | Dock
 | ManualDock
 | ManualFloat
 | ReplaceDockedControl
 | Docked
 | Dragging
 | GetAccessibleObject
 | CreateAccessibleObject
 | GetSelectedChildAccessibleObject
 | GetChildAccessibleObjectAtPos
 | ScaleDesignToForm
 | ScaleFormToDesign
 | Scale96ToForm
 | ScaleFormTo96
 | Scale96ToFont
 | ScaleFontTo96
 | ScaleScreenToFont
 | ScaleFontToScreen
 | Scale96ToScreen
 | ScaleScreenTo96
 | AdjustSize
 | AutoSizePhases
 | AutoSizeDelayed
 | AutoSizeDelayedReport
 | AutoSizeDelayedHandle
 | AnchorToNeighbour
 | AnchorParallel
 | AnchorHorizontalCenterTo
 | AnchorVerticalCenterTo
 | AnchorToCompanion
 | AnchorSame
 | AnchorAsAlign
 | AnchorClient
 | AnchoredControlCount
 | SetBounds
 | SetInitialBounds
 | SetBoundsKeepBase
 | GetPreferredSize
 | GetCanvasScaleFactor
 | GetDefaultWidth
 | GetDefaultHeight
 | GetDefaultColor
 | GetColorResolvingParent
 | GetRGBColorResolvingParent
 | GetSidePosition
 | CNPreferredSizeChanged
 | InvalidatePreferredSize
 | GetAnchorsDependingOnParent
 | DisableAutoSizing
 | EnableAutoSizing
 | UpdateBaseBounds
 | WriteLayoutDebugReport
 | AutoAdjustLayout
 | ShouldAutoAdjust
 | FixDesignFontsPPI
 | ScaleFontsPPI
 | Create
 | Destroy
 | BeforeDestruction
 | EditingDone
 | ExecuteDefaultAction
 | ExecuteCancelAction
 | BeginDrag
 | EndDrag
 | BringToFront
 | HasParent
 | GetParentComponent
 | IsParentOf
 | GetTopParent
 | IsVisible
 | IsControlVisible
 | IsEnabled
 | IsParentColor
 | IsParentFont
 | FormIsUpdating
 | IsProcessingPaintMsg
 | Hide
 | Refresh
 | Repaint
 | Invalidate
 | CheckChildClassAllowed
 | CheckNewParent
 | SendToBack
 | SetTempCursor
 | UpdateRolesForForm
 | ActiveDefaultControlChanged
 | GetTextBuf
 | GetTextLen
 | SetTextBuf
 | Perform
 | ScreenToClient
 | ClientToScreen
 | ScreenToControl
 | ControlToScreen
 | ClientToParent
 | ParentToClient
 | GetChildrenRect
 | Show
 | Update
 | HandleObjectShouldBeVisible
 | ParentDestroyingHandle
 | ParentHandlesAllocated
 | InitiateAction
 | ShowHelp
 | HasHelp
 | RemoveAllHandlersOfObject
 | AddHandlerOnResize
 | RemoveHandlerOnResize
 | AddHandlerOnChangeBounds
 | RemoveHandlerOnChangeBounds
 | AddHandlerOnVisibleChanging
 | RemoveHandlerOnVisibleChanging
 | AddHandlerOnVisibleChanged
 | RemoveHandlerOnVisibleChanged
 | AddHandlerOnEnabledChanged
 | RemoveHandlerOnEnableChanging
 | AddHandlerOnKeyDown
 | RemoveHandlerOnKeyDown
 | AddHandlerOnBeforeDestruction
 | RemoveHandlerOnBeforeDestruction
 | AddHandlerOnMouseWheel
 | RemoveHandlerOnMouseWheel
 | UseRightToLeftAlignment
 | UseRightToLeftReading
 | UseRightToLeftScrollBar
 | IsRightToLeft
TLCLComponent
pt | WSRegisterClass
pt | GetWSComponentClass
 | Create
 | Destroy
 | NewInstance
 | RemoveAllHandlersOfObject
 | IncLCLRefCount
 | DecLCLRefCount
TComponent
 | GetComObject
 | GetComponent
 | GetComponentCount
 | GetComponentIndex
 | Insert
 | ReadLeft
 | ReadTop
 | Remove
 | RemoveNotification
 | SetComponentIndex
 | SetReference
 | WriteLeft
 | WriteTop
 | ChangeName
 | DefineProperties
 | GetChildren
 | GetChildOwner
 | GetChildParent
 | GetOwner
 | Loaded
 | Loading
 | Notification
 | PaletteCreated
 | ReadState
 | SetAncestor
 | SetDesigning
 | SetDesignInstance
 | SetInline
 | SetName
 | SetChildOrder
 | SetParentComponent
 | Updating
 | Updated
 | UpdateRegistry
 | ValidateRename
 | ValidateContainer
 | ValidateInsert
 | QueryInterface
 | _AddRef
 | _Release
 | iicrGetComponent
 | GetTypeInfoCount
 | GetTypeInfo
 | GetIDsOfNames
 | Invoke
 | WriteState
 | Create
 | Destroy
 | BeforeDestruction
 | DestroyComponents
 | Destroying
 | ExecuteAction
 | FindComponent
 | FreeNotification
 | RemoveFreeNotification
 | FreeOnRelease
 | GetEnumerator
 | GetNamePath
 | GetParentComponent
 | HasParent
 | InsertComponent
 | RemoveComponent
 | SafeCallException
 | SetSubComponent
 | UpdateAction
 | IsImplementorOf
 | ReferenceInterface
TPersistent
 | AssignError
 | AssignTo
 | DefineProperties
 | GetOwner
 | Destroy
 | Assign
 | FPOAttachObserver
 | FPODetachObserver
 | FPONotifyObservers
 | GetNamePath
TObject
 | Create
 | Destroy
 | newinstance
 | FreeInstance
 | SafeCallException
 | DefaultHandler
 | Free
 | InitInstance
 | CleanupInstance
 | ClassType
 | ClassInfo
 | ClassName
 | ClassNameIs
 | ClassParent
 | InstanceSize
 | InheritsFrom
 | StringMessageTable
 | MethodAddress
 | MethodName
 | FieldAddress
 | AfterConstruction
 | BeforeDestruction
 | DefaultHandlerStr
 | Dispatch
 | DispatchStr
 | GetInterface
 | GetInterfaceByStr
 | GetInterfaceWeak
 | GetInterfaceEntry
 | GetInterfaceEntryByStr
 | GetInterfaceTable
 | UnitName
 | Equals
 | GetHashCode
 | ToString


pt | ActionChange (TControl)
 | ActiveDefaultControlChanged (TControl)
 | AddControl (TWinControl)
pt | AddHandler (TControl)
 | AddHandlerOnBeforeDestruction (TControl)
 | AddHandlerOnChangeBounds (TControl)
 | AddHandlerOnEnabledChanged (TControl)
 | AddHandlerOnKeyDown (TControl)
 | AddHandlerOnMouseWheel (TControl)
 | AddHandlerOnResize (TControl)
 | AddHandlerOnVisibleChanged (TControl)
 | AddHandlerOnVisibleChanging (TControl)
pt | AdjustClientRect (TWinControl)
 | AdjustSize (TControl)
 | AfterConstruction (TObject)
pt | AlignControls (TWinControl)
pt | AllAutoSized (TWinControl)
 | AnchorAsAlign (TControl)
 | AnchorClient (TControl)
 | AnchoredControlCount (TControl)
 | AnchorHorizontalCenterTo (TControl)
 | AnchorParallel (TControl)
 | AnchorSame (TControl)
pt | AnchorSideChanged (TControl)
 | AnchorToCompanion (TControl)
 | AnchorToNeighbour (TControl)
 | AnchorVerticalCenterTo (TControl)
 | Assign (TPersistent)
 | AssignError (TPersistent)
 | AssignTo (TPersistent)
pt | AssignTo (TControl)
 | AutoAdjustLayout (TControl)
 | AutoAdjustLayout (TWinControl)
 | AutoSizeDelayed (TControl)
 | AutoSizeDelayed (TWinControl)
 | AutoSizeDelayedHandle (TControl)
 | AutoSizeDelayedHandle (TWinControl)
 | AutoSizeDelayedReport (TControl)
 | AutoSizeDelayedReport (TWinControl)
 | AutoSizePhases (TControl)
 | AutoSizePhases (TWinControl)
 | BeforeDestruction (TObject)
 | BeforeDestruction (TComponent)
 | BeforeDestruction (TControl)
pt | BeforeDragStart (TControl)
pt | BeginAutoDrag (TControl)
pt | BeginAutoSizing (TControl)
 | BeginDrag (TControl)
 | BeginUpdateBounds (TWinControl)
pt | BoundsChanged (TControl)
 | BringToFront (TControl)
 | BroadCast (TWinControl)
 | BrushCreated (TWinControl)
pt | CalculateDockSizes (TControl)
pt | CalculatePreferredSize (TControl)
pt | CalculatePreferredSize (TWinControl)
pt | CanAutoSize (TControl)
 | CanFocus (TWinControl)
 | CanSetFocus (TWinControl)
pt | CanTab (TControl)
pt | CanTab (TWinControl)
pt | CaptureChanged (TControl)
pt | ChangeBounds (TControl)
pt | Changed (TControl)
 | ChangeName (TComponent)
pt | ChangeScale (TControl)
pt | ChangeScale (TWinControl)
 | CheckChildClassAllowed (TControl)
 | CheckNewParent (TControl)
pt | CheckOnChangeBounds (TControl)
pt | ChildClassAllowed (TControl)
pt | ChildClassAllowed (TWinControl)
pt | ChildHandlesCreated (TWinControl)
pt | ChildKey (TWinControl)
 | ClassInfo (TObject)
 | ClassName (TObject)
 | ClassNameIs (TObject)
 | ClassParent (TObject)
 | ClassType (TObject)
 | CleanupInstance (TObject)
pt | Click (TControl)
 | ClientRectNeedsInterfaceUpdate (TWinControl)
 | ClientToParent (TControl)
 | ClientToScreen (TControl)
pt | CMBiDiModeChanged (TControl)
pt | CMBiDiModeChanged (TWinControl)
pt | CMBorderChanged (TWinControl)
pt | CMChanged (TControl)
pt | CMCursorChanged (TControl)
pt | CMDoubleBufferedChanged (TWinControl)
pt | CMEnabledChanged (TControl)
pt | CMEnabledChanged (TWinControl)
pt | CMEnter (TWinControl)
pt | CMExit (TWinControl)
pt | CMHintShow (TControl)
pt | CMHitTest (TControl)
pt | CMMouseEnter (TControl)
pt | CMMouseLeave (TControl)
pt | CMParentBiDiModeChanged (TControl)
pt | CMParentColorChanged (TControl)
pt | CMParentDoubleBufferedChanged (TWinControl)
pt | CMParentFontChanged (TControl)
pt | CMParentShowHintChanged (TControl)
pt | CMShowHintChanged (TWinControl)
pt | CMShowingChanged (TWinControl)
pt | CMSysFontChanged (TControl)
pt | CMTextChanged (TControl)
pt | CMVisibleChanged (TControl)
pt | CMVisibleChanged (TWinControl)
pt | CNChar (TWinControl)
pt | CNKeyDown (TWinControl)
pt | CNKeyUp (TWinControl)
 | CNPreferredSizeChanged (TControl)
pt | CNSysKeyDown (TWinControl)
pt | CNSysKeyUp (TWinControl)
pt | ColorIsStored (TControl)
pt | ConstrainedResize (TControl)
 | ContainsControl (TWinControl)
 | ControlAtPos (TWinControl)
pt | ControlKeyDown (TWinControl)
pt | ControlKeyUp (TWinControl)
pt | ControlsAligned (TWinControl)
 | ControlToScreen (TControl)
 | Create (TObject)
 | Create (TComponent)
 | Create (TLCLComponent)
 | Create (TControl)
 | Create (TWinControl)
 | CreateAccessibleObject (TControl)
pt | CreateBrush (TWinControl)
pt | CreateControlBorderSpacing (TControl)
pt | CreateDockManager (TWinControl)
pt | CreateFloatingDockSite (TControl)
pt | CreateHandle (TWinControl)
pt | CreateParams (TWinControl)
 | CreateParented (TWinControl)
 | CreateParentedControl (TWinControl)
pt | CreateSubClass (TWinControl)
pt | CreateWnd (TWinControl)
pt | CustomAlignInsertBefore (TWinControl)
pt | CustomAlignPosition (TWinControl)
pt | DblClick (TControl)
 | DecLCLRefCount (TLCLComponent)
 | DefaultHandler (TObject)
 | DefaultHandler (TWinControl)
 | DefaultHandlerStr (TObject)
 | DefineProperties (TPersistent)
 | DefineProperties (TComponent)
pt | DefineProperties (TControl)
 | Destroy (TObject)
 | Destroy (TPersistent)
 | Destroy (TComponent)
 | Destroy (TLCLComponent)
 | Destroy (TControl)
 | Destroy (TWinControl)
 | DestroyComponents (TComponent)
pt | DestroyHandle (TWinControl)
 | Destroying (TComponent)
pt | DestroyWnd (TWinControl)
pt | DialogChar (TControl)
pt | DialogChar (TWinControl)
 | DisableAlign (TWinControl)
 | DisableAutoSizing (TControl)
 | Dispatch (TObject)
 | DispatchStr (TObject)
pt | DoAddDockClient (TWinControl)
 | DoAdjustClientRectChange (TWinControl)
pt | DoAlignChildControls (TWinControl)
pt | DoAllAutoSize (TControl)
pt | DoAllAutoSize (TWinControl)
pt | DoAutoAdjustLayout (TControl)
pt | DoAutoSize (TControl)
pt | DoAutoSize (TWinControl)
pt | DoBorderSpacingChange (TControl)
pt | DoCallKeyEventHandler (TControl)
pt | DoCallMouseWheelEventHandler (TControl)
pt | DoCallNotifyHandler (TControl)
pt | DoChildSizingChange (TWinControl)
 | Dock (TControl)
 | DockDrop (TWinControl)
 | Docked (TControl)
pt | DockOver (TWinControl)
pt | DockTrackNoTarget (TControl)
pt | DoConstraintsChange (TControl)
pt | DoConstraintsChange (TWinControl)
pt | DoContextPopup (TControl)
pt | DoDock (TControl)
pt | DoDockClientMsg (TWinControl)
pt | DoDockOver (TWinControl)
pt | DoDragMsg (TControl)
pt | DoDragMsg (TWinControl)
pt | DoEndDock (TControl)
pt | DoEndDrag (TControl)
pt | DoEnter (TWinControl)
pt | DoExit (TWinControl)
pt | DoFixDesignFontPPI (TControl)
pt | DoFlipChildren (TWinControl)
pt | DoFloatMsg (TControl)
pt | DoFloatMsg (TWinControl)
pt | DoGetDockCaption (TWinControl)
pt | DoKeyDownBeforeInterface (TWinControl)
pt | DoKeyPress (TWinControl)
pt | DoKeyUpBeforeInterface (TWinControl)
pt | DoMouseWheel (TControl)
pt | DoMouseWheelDown (TControl)
pt | DoMouseWheelHorz (TControl)
pt | DoMouseWheelLeft (TControl)
pt | DoMouseWheelRight (TControl)
pt | DoMouseWheelUp (TControl)
pt | DoOnChangeBounds (TControl)
pt | DoOnParentHandleDestruction (TControl)
pt | DoOnResize (TControl)
pt | DoOnShowHint (TControl)
pt | DoRemainingKeyDown (TWinControl)
pt | DoRemainingKeyUp (TWinControl)
pt | DoRemoveDockClient (TWinControl)
pt | DoScaleFontPPI (TControl)
pt | DoSendBoundsToInterface (TWinControl)
pt | DoSendShowHideToInterface (TWinControl)
pt | DoSetBounds (TControl)
pt | DoSetBounds (TWinControl)
pt | DoStartDock (TControl)
pt | DoStartDrag (TControl)
pt | DoUnDock (TWinControl)
pt | DoUndockClientMsg (TWinControl)
pt | DoUTF8KeyPress (TWinControl)
pt | DragCanceled (TControl)
 | DragDrop (TControl)
 | Dragging (TControl)
pt | DragOver (TControl)
 | EditingDone (TControl)
 | EnableAlign (TWinControl)
 | EnableAutoSizing (TControl)
pt | EnabledChanged (TControl)
pt | EnabledChanging (TControl)
pt | EndAutoSizing (TControl)
 | EndDrag (TControl)
 | EndUpdateBounds (TWinControl)
 | Equals (TObject)
 | EraseBackground (TWinControl)
 | ExecuteAction (TComponent)
 | ExecuteCancelAction (TControl)
 | ExecuteDefaultAction (TControl)
 | FieldAddress (TObject)
pt | FinalizeWnd (TWinControl)
 | FindChildControl (TWinControl)
 | FindComponent (TComponent)
pt | FindNextControl (TWinControl)
 | FixDesignFontsPPI (TControl)
pt | FixupTabList (TWinControl)
 | FlipChildren (TWinControl)
 | Focused (TWinControl)
pt | FontChanged (TControl)
pt | FontChanged (TWinControl)
pt | ForeignAnchorSideChanged (TControl)
pt | FormEndUpdated (TControl)
pt | FormEndUpdated (TWinControl)
 | FormIsUpdating (TControl)
 | FPOAttachObserver (TPersistent)
 | FPODetachObserver (TPersistent)
 | FPONotifyObservers (TPersistent)
 | Free (TObject)
 | FreeInstance (TObject)
 | FreeNotification (TComponent)
 | FreeOnRelease (TComponent)
 | GetAccessibleObject (TControl)
pt | GetAction (TControl)
pt | GetActionLinkClass (TControl)
pt | GetAdjustedLogicalClientRect (TWinControl)
 | GetAnchorsDependingOnParent (TControl)
pt | GetBorderStyle (TWinControl)
pt | GetCachedText (TControl)
 | GetCanvasScaleFactor (TControl)
 | GetChildAccessibleObjectAtPos (TControl)
 | GetChildOwner (TComponent)
 | GetChildParent (TComponent)
 | GetChildren (TComponent)
pt | GetChildren (TWinControl)
 | GetChildrenRect (TControl)
 | GetChildrenRect (TWinControl)
pt | GetClientOrigin (TControl)
pt | GetClientOrigin (TWinControl)
pt | GetClientRect (TControl)
pt | GetClientRect (TWinControl)
pt | GetClientScrollOffset (TControl)
 | GetColorResolvingParent (TControl)
 | GetComObject (TComponent)
 | GetComponent (TComponent)
 | GetComponentCount (TComponent)
 | GetComponentIndex (TComponent)
pt | GetControlClassDefaultSize (TControl)
 | GetControlIndex (TWinControl)
pt | GetControlOrigin (TControl)
pt | GetControlOrigin (TWinControl)
pt | GetCursor (TControl)
 | GetDefaultColor (TControl)
pt | GetDefaultDockCaption (TControl)
 | GetDefaultHeight (TControl)
 | GetDefaultWidth (TControl)
pt | GetDeviceContext (TControl)
pt | GetDeviceContext (TWinControl)
 | GetDockCaption (TWinControl)
pt | GetDockEdge (TControl)
pt | GetDragImages (TControl)
pt | GetEnabled (TControl)
 | GetEnumerator (TComponent)
 | GetEnumeratorControls (TWinControl)
 | GetEnumeratorControlsReverse (TWinControl)
pt | GetFloating (TControl)
pt | GetFloatingDockSiteClass (TControl)
 | GetHashCode (TObject)
 | GetIDsOfNames (TComponent)
 | GetInterface (TObject)
 | GetInterfaceByStr (TObject)
 | GetInterfaceEntry (TObject)
 | GetInterfaceEntryByStr (TObject)
 | GetInterfaceTable (TObject)
 | GetInterfaceWeak (TObject)
pt | GetLogicalClientRect (TControl)
pt | GetMouseCapture (TControl)
pt | GetMouseCapture (TWinControl)
pt | GetMousePosFromMessage (TControl)
 | GetNamePath (TPersistent)
 | GetNamePath (TComponent)
 | GetOwner (TPersistent)
 | GetOwner (TComponent)
pt | GetPalette (TControl)
pt | GetParentBackground (TWinControl)
 | GetParentComponent (TComponent)
 | GetParentComponent (TControl)
pt | GetParentHandle (TWinControl)
pt | GetPopupMenu (TControl)
 | GetPreferredSize (TControl)
pt | GetPreferredSizeClientFrame (TWinControl)
 | GetRGBColorResolvingParent (TControl)
pt | GetScrolledClientRect (TControl)
 | GetSelectedChildAccessibleObject (TControl)
 | GetSidePosition (TControl)
pt | GetSiteInfo (TWinControl)
 | GetTabOrderList (TWinControl)
 | GetTextBuf (TControl)
 | GetTextLen (TControl)
 | GetTextLen (TWinControl)
 | GetTopParent (TControl)
pt | GetTopParentHandle (TWinControl)
 | GetTypeInfo (TComponent)
 | GetTypeInfoCount (TComponent)
pt | GetWSComponentClass (TLCLComponent)
 | HandleAllocated (TWinControl)
 | HandleNeeded (TWinControl)
 | HandleObjectShouldBeVisible (TControl)
 | HasHelp (TControl)
 | HasParent (TComponent)
 | HasParent (TControl)
pt | HeightIsAnchored (TControl)
 | Hide (TControl)
 | iicrGetComponent (TComponent)
 | IncLCLRefCount (TLCLComponent)
 | InheritsFrom (TObject)
pt | InitializeWnd (TWinControl)
 | InitiateAction (TControl)
 | InitInstance (TObject)
 | Insert (TComponent)
 | InsertComponent (TComponent)
 | InsertControl (TWinControl)
 | InstanceSize (TObject)
 | IntfGetDropFilesTarget (TWinControl)
 | IntfUTF8KeyPress (TWinControl)
 | Invalidate (TControl)
 | Invalidate (TWinControl)
pt | InvalidateBoundsRealized (TWinControl)
 | InvalidateClientRectCache (TWinControl)
pt | InvalidateControl (TControl)
pt | InvalidatePreferredChildSizes (TWinControl)
 | InvalidatePreferredSize (TControl)
 | Invoke (TComponent)
pt | IsAParentAligning (TControl)
pt | IsBorderSpacingInnerBorderStored (TControl)
pt | IsCaptionStored (TControl)
pt | IsClientHeightStored (TControl)
pt | IsClientHeightStored (TWinControl)
pt | IsClientWidthStored (TControl)
pt | IsClientWidthStored (TWinControl)
pt | IsControlMouseMsg (TWinControl)
 | IsControlVisible (TControl)
 | IsEnabled (TControl)
 | IsImplementorOf (TComponent)
 | IsParentColor (TControl)
 | IsParentFont (TControl)
 | IsParentOf (TControl)
 | IsProcessingPaintMsg (TControl)
 | IsRightToLeft (TControl)
 | IsVisible (TControl)
pt | KeyDown (TWinControl)
pt | KeyDownAfterInterface (TWinControl)
pt | KeyDownBeforeInterface (TWinControl)
pt | KeyPress (TWinControl)
pt | KeyUp (TWinControl)
pt | KeyUpAfterInterface (TWinControl)
pt | KeyUpBeforeInterface (TWinControl)
pt | LMCaptureChanged (TControl)
 | Loaded (TComponent)
pt | Loaded (TControl)
pt | Loaded (TWinControl)
pt | LoadedAll (TControl)
 | Loading (TComponent)
 | LockRealizeBounds (TWinControl)
pt | MainWndProc (TWinControl)
 | ManualDock (TControl)
 | ManualFloat (TControl)
 | MethodAddress (TObject)
 | MethodName (TObject)
pt | MouseDown (TControl)
pt | MouseEnter (TControl)
pt | MouseLeave (TControl)
pt | MouseMove (TControl)
pt | MouseUp (TControl)
 | newinstance (TObject)
 | NewInstance (TLCLComponent)
 | Notification (TComponent)
pt | Notification (TControl)
 | NotifyControls (TWinControl)
pt | PaintControls (TWinControl)
pt | PaintHandler (TWinControl)
 | PaintTo (TWinControl)
pt | PaintWindow (TWinControl)
 | PaletteCreated (TComponent)
 | ParentDestroyingHandle (TControl)
pt | ParentFontChanged (TControl)
pt | ParentFormHandleInitialized (TControl)
pt | ParentFormHandleInitialized (TWinControl)
 | ParentHandlesAllocated (TControl)
 | ParentHandlesAllocated (TWinControl)
 | ParentToClient (TControl)
 | Perform (TControl)
 | PerformTab (TWinControl)
pt | PositionDockRect (TControl)
pt | QuadClick (TControl)
 | QueryInterface (TComponent)
 | ReadLeft (TComponent)
 | ReadState (TComponent)
pt | ReadState (TControl)
 | ReadTop (TComponent)
pt | RealGetText (TControl)
pt | RealGetText (TWinControl)
 | ReAlign (TWinControl)
pt | RealizeBounds (TWinControl)
pt | RealizeBoundsRecursive (TWinControl)
pt | RealSetText (TControl)
pt | RealSetText (TWinControl)
 | ReferenceInterface (TComponent)
 | Refresh (TControl)
pt | ReloadDockedControl (TWinControl)
 | Remove (TComponent)
 | RemoveAllHandlersOfObject (TLCLComponent)
 | RemoveAllHandlersOfObject (TControl)
 | RemoveComponent (TComponent)
 | RemoveControl (TWinControl)
pt | RemoveFocus (TWinControl)
 | RemoveFreeNotification (TComponent)
pt | RemoveHandler (TControl)
 | RemoveHandlerOnBeforeDestruction (TControl)
 | RemoveHandlerOnChangeBounds (TControl)
 | RemoveHandlerOnEnableChanging (TControl)
 | RemoveHandlerOnKeyDown (TControl)
 | RemoveHandlerOnMouseWheel (TControl)
 | RemoveHandlerOnResize (TControl)
 | RemoveHandlerOnVisibleChanged (TControl)
 | RemoveHandlerOnVisibleChanging (TControl)
 | RemoveNotification (TComponent)
 | Repaint (TControl)
 | Repaint (TWinControl)
 | ReplaceDockedControl (TControl)
pt | RequestAlign (TControl)
pt | Resize (TControl)
 | SafeCallException (TObject)
 | SafeCallException (TComponent)
 | Scale96ToFont (TControl)
 | Scale96ToForm (TControl)
 | Scale96ToScreen (TControl)
 | ScaleBy (TWinControl)
pt | ScaleConstraints (TControl)
pt | ScaleControls (TWinControl)
 | ScaleDesignToForm (TControl)
 | ScaleFontsPPI (TControl)
 | ScaleFontTo96 (TControl)
 | ScaleFontToScreen (TControl)
 | ScaleFormTo96 (TControl)
 | ScaleFormToDesign (TControl)
 | ScaleScreenTo96 (TControl)
 | ScaleScreenToFont (TControl)
 | ScreenToClient (TControl)
 | ScreenToControl (TControl)
 | ScrollBy (TWinControl)
 | ScrollBy_WS (TWinControl)
pt | SelectFirst (TWinControl)
 | SelectNext (TWinControl)
pt | SendDialogChar (TWinControl)
pt | SendMoveSizeMessages (TControl)
pt | SendMoveSizeMessages (TWinControl)
 | SendToBack (TControl)
pt | SetAction (TControl)
pt | SetAlign (TControl)
 | SetAncestor (TComponent)
pt | SetAnchors (TControl)
pt | SetAutoSize (TControl)
pt | SetBiDiMode (TControl)
pt | SetBorderStyle (TWinControl)
 | SetBounds (TControl)
 | SetBounds (TWinControl)
 | SetBoundsKeepBase (TControl)
 | SetChildOrder (TComponent)
pt | SetChildZPosition (TWinControl)
pt | SetColor (TControl)
pt | SetColor (TWinControl)
 | SetComponentIndex (TComponent)
 | SetControlIndex (TWinControl)
pt | SetCursor (TControl)
 | SetDesigning (TComponent)
 | SetDesignInstance (TComponent)
pt | SetDockManager (TWinControl)
pt | SetDragMode (TControl)
pt | SetEnabled (TControl)
 | SetFocus (TWinControl)
pt | SetHint (TControl)
 | SetInitialBounds (TControl)
 | SetInline (TComponent)
 | SetName (TComponent)
pt | SetName (TControl)
pt | SetParent (TControl)
pt | SetParentBackground (TWinControl)
pt | SetParentBiDiMode (TControl)
 | SetParentComponent (TComponent)
pt | SetParentComponent (TControl)
 | SetReference (TComponent)
 | SetShape (TWinControl)
 | SetSubComponent (TComponent)
 | SetTempCursor (TControl)
 | SetTempCursor (TWinControl)
 | SetTextBuf (TControl)
pt | SetVisible (TControl)
pt | SetZOrder (TControl)
 | ShouldAutoAdjust (TControl)
 | Show (TControl)
pt | ShowControl (TWinControl)
 | ShowHelp (TControl)
 | StringMessageTable (TObject)
pt | TextChanged (TControl)
 | ToString (TObject)
pt | TripleClick (TControl)
 | UnitName (TObject)
 | UnlockRealizeBounds (TWinControl)
 | Update (TControl)
 | Update (TWinControl)
 | UpdateAction (TComponent)
pt | UpdateAnchorRules (TControl)
 | UpdateBaseBounds (TControl)
pt | UpdateControlState (TWinControl)
 | Updated (TComponent)
 | UpdateDockCaption (TWinControl)
pt | UpdateMouseCursor (TControl)
 | UpdateRegistry (TComponent)
 | UpdateRolesForForm (TControl)
pt | UpdateShowing (TWinControl)
 | Updating (TComponent)
 | UseRightToLeftAlignment (TControl)
 | UseRightToLeftReading (TControl)
 | UseRightToLeftScrollBar (TControl)
pt | UTF8KeyPress (TWinControl)
 | ValidateContainer (TComponent)
 | ValidateInsert (TComponent)
 | ValidateRename (TComponent)
pt | VisibleChanged (TControl)
pt | VisibleChanging (TControl)
pt | WidthIsAnchored (TControl)
pt | WMCancelMode (TControl)
pt | WMChar (TWinControl)
pt | WMContextMenu (TControl)
pt | WMContextMenu (TWinControl)
pt | WMDestroy (TWinControl)
pt | WMEnter (TWinControl)
pt | WMEraseBkgnd (TWinControl)
pt | WMExit (TWinControl)
pt | WMKeyDown (TWinControl)
pt | WMKeyUp (TWinControl)
pt | WMKillFocus (TWinControl)
pt | WMLButtonDBLCLK (TControl)
pt | WMLButtonDown (TControl)
pt | WMLButtonQuadCLK (TControl)
pt | WMLButtonTripleCLK (TControl)
pt | WMLButtonUp (TControl)
pt | WMMButtonDBLCLK (TControl)
pt | WMMButtonDown (TControl)
pt | WMMButtonQuadCLK (TControl)
pt | WMMButtonTripleCLK (TControl)
pt | WMMButtonUp (TControl)
pt | WMMouseHWheel (TControl)
pt | WMMouseMove (TControl)
pt | WMMouseWheel (TControl)
pt | WMMove (TControl)
pt | WMMove (TWinControl)
pt | WMNotify (TWinControl)
pt | WMPaint (TWinControl)
pt | WMRButtonDBLCLK (TControl)
pt | WMRButtonDown (TControl)
pt | WMRButtonQuadCLK (TControl)
pt | WMRButtonTripleCLK (TControl)
pt | WMRButtonUp (TControl)
pt | WMSetFocus (TWinControl)
pt | WMShowWindow (TWinControl)
pt | WMSize (TControl)
pt | WMSize (TWinControl)
pt | WMSysChar (TWinControl)
pt | WMSysKeyDown (TWinControl)
pt | WMSysKeyUp (TWinControl)
pt | WMWindowPosChanged (TControl)
pt | WMWindowPosChanged (TWinControl)
pt | WMXButtonDBLCLK (TControl)
pt | WMXButtonDown (TControl)
pt | WMXButtonQuadCLK (TControl)
pt | WMXButtonTripleCLK (TControl)
pt | WMXButtonUp (TControl)
pt | WndProc (TControl)
pt | WndProc (TWinControl)
 | WriteLayoutDebugReport (TControl)
 | WriteLayoutDebugReport (TWinControl)
 | WriteLeft (TComponent)
 | WriteState (TComponent)
 | WriteTop (TComponent)
pt | WSRegisterClass (TLCLComponent)
pt | WSRegisterClass (TControl)
pt | WSRegisterClass (TWinControl)
pt | WSSetText (TWinControl)
 | _AddRef (TComponent)
 | _Release (TComponent)


TWinControl
pt | OnGetSiteInfo
pt | OnGetDockCaption
 | OnAlignInsertBefore
 | OnAlignPosition
 | OnDockDrop
 | OnDockOver
 | OnEnter
 | OnExit
 | OnKeyDown
 | OnKeyPress
 | OnKeyUp
 | OnUnDock
 | OnUTF8KeyPress
TControl
pt | OnConstrainedResize
pt | OnContextPopup
pt | OnDblClick
pt | OnTripleClick
pt | OnQuadClick
pt | OnDragDrop
pt | OnDragOver
pt | OnEndDock
pt | OnEndDrag
pt | OnMouseDown
pt | OnMouseMove
pt | OnMouseUp
pt | OnMouseEnter
pt | OnMouseLeave
pt | OnMouseWheel
pt | OnMouseWheelDown
pt | OnMouseWheelUp
pt | OnMouseWheelHorz
pt | OnMouseWheelLeft
pt | OnMouseWheelRight
pt | OnStartDock
pt | OnStartDrag
pt | OnEditingDone
 | OnChangeBounds
 | OnClick
 | OnResize
 | OnShowHint
TLCLComponent
TComponent
TPersistent
TObject


TWinControl.AddControl

Tell widgetset to add Handle object to parent's Handle object.

Declaration

Source position: controls.pp line 2328

public procedure TWinControl.AddControl; virtual;


TWinControl.AdjustClientRect

Override this method when the ClientRect of a control differs from the default value.

Declaration

Source position: controls.pp line 2070

protected procedure TWinControl.AdjustClientRect(

  var ARect: TRect

); virtual;

See also

TWinControl.GetAdjustedLogicalClientRect

Returns the adjusted ClientRect, cached value if available.


TWinControl.AlignControls

Aligns all child controls.

Declaration

Source position: controls.pp line 2072

protected procedure TWinControl.AlignControls(

  AControl: TControl;

  var RemainingClientRect: TRect

); virtual;

Arguments

RemainingClientRect

The available space, becomes remaining space on exit.

See also

TWinControlFlag.wcfAligningControls

Set during TWinControl.AlignControls


TWinControl.AllAutoSized

Called by DoAllAutoSize after all bounds are computed.

Declaration

Source position: controls.pp line 2096

protected procedure TWinControl.AllAutoSized; virtual;

See also

#lcl.forms.TCustomForm.AllAutoSized

Called by DoAllAutoSize after all bounds are computed.


TWinControl.AutoAdjustLayout

Declaration

Source position: controls.pp line 2305

public procedure TWinControl.AutoAdjustLayout(

  AMode: TLayoutAdjustmentPolicy;

  const AFromPPI: Integer;

  const AToPPI: Integer;

  const AOldFormWidth: Integer;

  const ANewFormWidth: Integer

); override;


TWinControl.AutoSizeDelayedHandle

Returns true if AutoSize should be skipped / delayed because of its handle.

Declaration

Source position: controls.pp line 2284

public function TWinControl.AutoSizeDelayedHandle: Boolean; override;


TWinControl.AutoSizeDelayedReport

Declaration

Source position: controls.pp line 2283

public function TWinControl.AutoSizeDelayedReport: string; override;


TWinControl.AutoSizePhases

Translates state flags into AutoSizePhases

Declaration

Source position: controls.pp line 2281

public function TWinControl.AutoSizePhases: TControlAutoSizePhases; override;


TWinControl.BeginUpdateBounds

Start of Bounds updates. Disables SetBounds by incrementing BoundsLockCount.

Declaration

Source position: controls.pp line 2285

public procedure TWinControl.BeginUpdateBounds;

See also

TWinControl.EndUpdateBounds

End of Bounds update. Decrements BoundsLockCount and eventually calls SetBounds.


TWinControl.BorderStyle

Allows to show a border (line) around the control,

Declaration

Source position: controls.pp line 2236

protected property TWinControl.BorderStyle : TBorderStyle
  read GetBorderStyle
  write SetBorderStyle
  default bsNone;

See also

TWinControl.BorderWidth

Width of the Border around the control; default is zero.


TWinControl.BorderWidth

Width of the Border around the control; default is zero.

Declaration

Source position: controls.pp line 2242

public property TWinControl.BorderWidth : TBorderWidth
  read FBorderWidth
  write SetBorderWidth
  default 0;

See also

TWinControl.BorderStyle

Allows to show a border (line) around the control,


TWinControl.BoundsLockCount

For internal use: When greater zero, updates of the BoundsRect are blocked.

Declaration

Source position: controls.pp line 2243

public property TWinControl.BoundsLockCount : Integer
  read FBoundsLockCount;


TWinControl.BroadCast

Sends a message to all child controls.

Declaration

Source position: controls.pp line 2323

public procedure TWinControl.BroadCast(

  var ToAllMessage

);

Arguments

ToAllMessage

The message to send.

See also

TWinControl.NotifyControls

Sends a message to all child controls.


TWinControl.Brush

The Brush used to paint the background of the control.

Declaration

Source position: controls.pp line 2244

public property TWinControl.Brush : TBrush
  read GetBrush;

See also

#lcl.graphics.TBrush

The Brush to be used to Paint on the current Canvas


TWinControl.BrushCreated

Has a Brush been created for this control?

Declaration

Source position: controls.pp line 2348

public function TWinControl.BrushCreated: Boolean;

Function result

True when a Brush has been created.


TWinControl.CachedClientHeight

The intended ClientHeight, as sent to the widget.

Declaration

Source position: controls.pp line 2245

public property TWinControl.CachedClientHeight : Integer
  read FClientHeight;


TWinControl.CachedClientWidth

The intended ClientWidth, as sent to the widget.

Declaration

Source position: controls.pp line 2246

public property TWinControl.CachedClientWidth : Integer
  read FClientWidth;


TWinControl.CalculatePreferredSize

Override this method to return a different preferred height and width for autosizing.

Declaration

Source position: controls.pp line 2097

protected procedure TWinControl.CalculatePreferredSize(

  var PreferredWidth: Integer;

  var PreferredHeight: Integer;

  WithThemeSpace: Boolean

); override;

Description

Calls the inherited method to calculate the default/preferred width and height for a TWinControl, which is used by the LCL autosizing algorithms as default size. Only positive values are valid. Negative or 0 are treated as undefined and the LCL uses other sizes instead.

TWinControl overrides this:

  • If there are child components, their total preferred size is calculated
  • If this value can not be computed (e.g. the children depend too much on their parent clientrect), then the interface is asked for the preferred size

For example the preferred size of a TButton is the size, where the label fits exactly. This depends heavily on the current theme and widgetset.

This value is independent of constraints and siblings, only the inner parts are relevant.

WithThemeSpace: If true, adds space for stacking. For example: TRadioButton has a minimum size. But for stacking multiple TRadioButtons there should be some space around. This space is theme dependent, so it is passed as a parameter to the widgetset.

See also

TControl.CalculatePreferredSize

Override this method to return the preferred height and width.


TWinControl.CanFocus

Is this control allowed to receive the focus when parent form is visible?

Declaration

Source position: controls.pp line 2313

public function TWinControl.CanFocus: Boolean; virtual;

Description

Checks if the control can get focus when parent form is visible, i.e. if all its parents except the form are visible and enabled.

A possible usage:

if FormFoo.EditFoo.CanFocus then
  FormFoo.ActiveControl := FormFoo.EditFoo;

Please note that this function returns True also if the parent form isn't visible and therefore a consecutive SetFocus call could throw an exception. Use CanSetFocus in this case.

See also

TWinControl.CanSetFocus

Is this control allowed to receive the focus?


TWinControl.CanSetFocus

Is this control allowed to receive the focus?

Declaration

Source position: controls.pp line 2314

public function TWinControl.CanSetFocus: Boolean; virtual;

Description

Checks if the control can get focus, i.e. if all its parents are visible and enabled.

A possible usage:

if MyControl.CanSetFocus then
  MyControl.SetFocus;

CanSetFocus should be prefered over CanFocus if used in CanSetFocus/SetFocus combination because it checks also if the parent form can receive focus and thus prevents the "cannot focus an invisible window" LCL exception.

See also

TWinControl.CanFocus

Is this control allowed to receive the focus when parent form is visible?


TWinControl.ChildClassAllowed

Returns True if the given class is allowed for child controls.

Declaration

Source position: controls.pp line 2102

protected function TWinControl.ChildClassAllowed(

  ChildClass: TClass

):Boolean; override;


TWinControl.ChildHandlesCreated

Called after all child handles have been created. Resets wcfCreatingChildHandles.

Declaration

Source position: controls.pp line 2219

protected procedure TWinControl.ChildHandlesCreated; virtual;


TWinControl.ChildKey

Declaration

Source position: controls.pp line 2180

protected function TWinControl.ChildKey(

  var Message: TLMKey

):Boolean; virtual;

Function result

True if the key was handled.


TWinControl.ChildSizing

Parameters for child control arrangement and spacing.

Declaration

Source position: controls.pp line 2247

public property TWinControl.ChildSizing : TControlChildSizing
  read FChildSizing
  write SetChildSizing;

See also

#lcl.Controls.TControlChildSizing

How Child controls are to be sized relative to parent.


TWinControl.ClientRectNeedsInterfaceUpdate

The ClientRect is cached - check if the cache is valid.

Declaration

Source position: controls.pp line 2296

public function TWinControl.ClientRectNeedsInterfaceUpdate: Boolean;

Function result

True if update needed.


TWinControl.CMBiDiModeChanged

Handler for changed BiDiMode message. Notifies the widget and all child controls.

Declaration

Source position: controls.pp line 2111

protected procedure TWinControl.CMBiDiModeChanged(

  var Message: TLMessage

); message;


TWinControl.CMBorderChanged

Handler for changed Border properties message. Adjusts and invalidates the control.

Declaration

Source position: controls.pp line 2112

protected procedure TWinControl.CMBorderChanged(

  var Message: TLMessage

); message;


TWinControl.CMDoubleBufferedChanged

Declaration

Source position: controls.pp line 2113

protected procedure TWinControl.CMDoubleBufferedChanged(

  var Message: TLMessage

); message;


TWinControl.CMEnabledChanged

Handler for changed Enabled message. Notifies the widgetset.

Declaration

Source position: controls.pp line 2114

protected procedure TWinControl.CMEnabledChanged(

  var Message: TLMessage

); message;


TWinControl.CMEnter

Declaration

Source position: controls.pp line 2119

protected procedure TWinControl.CMEnter(

  var Message: TLMessage

); message;


TWinControl.CMExit

Declaration

Source position: controls.pp line 2120

protected procedure TWinControl.CMExit(

  var Message: TLMessage

); message;


TWinControl.CMParentDoubleBufferedChanged

Declaration

Source position: controls.pp line 2115

protected procedure TWinControl.CMParentDoubleBufferedChanged(

  var Message: TLMessage

); message;


TWinControl.CMShowHintChanged

Handler for changed ShowHint message. Notifies all child controls.

Declaration

Source position: controls.pp line 2117

protected procedure TWinControl.CMShowHintChanged(

  var Message: TLMessage

); message;


TWinControl.CMShowingChanged

Handler for changed Showing message. Notifies the widgetset.

Declaration

Source position: controls.pp line 2116

protected procedure TWinControl.CMShowingChanged(

  var Message: TLMessage

); message;


TWinControl.CMVisibleChanged

Handler for changed Visible message. Handles Focus, forces UpdateControlState.

Declaration

Source position: controls.pp line 2118

protected procedure TWinControl.CMVisibleChanged(

  var Message: TLMessage

); message;


TWinControl.CNChar

Handler for a key pressed notification. CNChar is sent by the widget before it has handled the keypress itself.

Declaration

Source position: controls.pp line 2144

protected procedure TWinControl.CNChar(

  var Message: TLMKeyUp

); message;


TWinControl.CNKeyDown

Handler for a key pushed notification. The message is handled by DoKeyDownBeforeInterface by default.

Declaration

Source position: controls.pp line 2140

protected procedure TWinControl.CNKeyDown(

  var Message: TLMKeyDown

); message;


TWinControl.CNKeyUp

Handler for a key released notification. The message is handled by DoKeyUpBeforeInterface by default.

Declaration

Source position: controls.pp line 2142

protected procedure TWinControl.CNKeyUp(

  var Message: TLMKeyUp

); message;


TWinControl.CNSysKeyDown

Handler for a system key pushed notification. The message is handled by DoKeyDownBeforeInterface by default.

Declaration

Source position: controls.pp line 2141

protected procedure TWinControl.CNSysKeyDown(

  var Message: TLMKeyDown

); message;


TWinControl.CNSysKeyUp

Handler for a system key released notification. The message is handled by DoKeyUpBeforeInterface by default.

Declaration

Source position: controls.pp line 2143

protected procedure TWinControl.CNSysKeyUp(

  var Message: TLMKeyUp

); message;


TWinControl.ContainsControl

Returns True if this is a parent of the given control.

Declaration

Source position: controls.pp line 2293

public function TWinControl.ContainsControl(

  Control: TControl

):Boolean;

Arguments

Control

The (possible) child control.

Function result

True when we are a parent of Control.


TWinControl.ControlAtPos

Get the child control at the given client position.

Declaration

Source position: controls.pp line 2289

public function TWinControl.ControlAtPos(

  const Pos: TPoint;

  AllowDisabled: Boolean

):TControl;

function TWinControl.ControlAtPos(

  const Pos: TPoint;

  AllowDisabled: Boolean;

  AllowWinControls: Boolean

):TControl;

function TWinControl.ControlAtPos(

  const Pos: TPoint;

  Flags: TControlAtPosFlags

):TControl; virtual;

Arguments

Pos | The client coordinates.
AllowDisabled | Allow finding disabled controls.

Function result

The found control, Nil if none found.

Arguments

Pos | The client coordinates.
AllowDisabled | Allow finding disabled controls.
AllowWinControls | Allow finding TWinControls, in addition to TControls.

Arguments

Pos | The client coordinates.
Flags | Encoded Allow... conditions.

Description

WinControls are found before Controls (if overlapping).


TWinControl.ControlCount

The number of immediate child controls.

Declaration

Source position: controls.pp line 2248

public property TWinControl.ControlCount : Integer
  read GetControlCount;

See also

TWinControl.Controls

The indexed list of immediate child controls.


TWinControl.ControlKeyDown

Lets the Application handle an navigation key.

Declaration

Source position: controls.pp line 2183

protected procedure TWinControl.ControlKeyDown(

  var Key: Word;

  Shift: TShiftState

); virtual;


TWinControl.ControlKeyUp

Lets the Application handle an navigation key.

Declaration

Source position: controls.pp line 2184

protected procedure TWinControl.ControlKeyUp(

  var Key: Word;

  Shift: TShiftState

); virtual;


TWinControl.Controls

The indexed list of immediate child controls.

Declaration

Source position: controls.pp line 2249

public property TWinControl.Controls[Index: Integer] : TControl
  read GetControl;

Description

The index also indicates the Z-order of the children, zero for topmost

See also

TWinControl.ControlCount

The number of immediate child controls.


TWinControl.ControlsAligned

Called by AlignControls after aligning controls.

Declaration

Source position: controls.pp line 2086

protected procedure TWinControl.ControlsAligned; virtual;


TWinControl.Create

Declaration

Source position: controls.pp line 2308

public constructor TWinControl.Create(

  TheOwner: TComponent

); override;


TWinControl.CreateBrush

Creates the Brush, if not already created.

Declaration

Source position: controls.pp line 2106

protected procedure TWinControl.CreateBrush; virtual;


TWinControl.CreateDockManager

Returns the DockManager for this control.

Declaration

Source position: controls.pp line 2166

protected function TWinControl.CreateDockManager: TDockManager; virtual;

Function result

The dockmanager for this site, can be Nil for an unmanaged site.

Description

If DockManager is nil, and UseDockManager is True, a new default DockManager is created.


TWinControl.CreateHandle

Creates the Handle ( = widget) if not already done.

Declaration

Source position: controls.pp line 2205

protected procedure TWinControl.CreateHandle; virtual;


TWinControl.CreateParams

Initializes the window creation parameter record with the settings of the control.

Declaration

Source position: controls.pp line 2206

protected procedure TWinControl.CreateParams(

  var Params: TCreateParams

); virtual;

Description

Definition of parameters:

TCreateParams = record
    Caption: PChar;
    Style: Cardinal;
    ExStyle: Cardinal;
    X, Y: Integer;
    Width, Height: Integer;
    WndParent: HWnd;
    Param: Pointer;
    WindowClass: TWndClass;
    WinClassName: array[0..63] of Char;
End;


TWinControl.CreateParented

Constructor for a control that is the child of the given widget.

Declaration

Source position: controls.pp line 2309

public constructor TWinControl.CreateParented(

  AParentWindow: HWND

);


TWinControl.CreateSubClass

TODO: Check if we need this method

Declaration

Source position: controls.pp line 2091

protected procedure TWinControl.CreateSubClass(

  var Params: TCreateParams;

  ControlClassName: PChar

);


TWinControl.CreateWnd

Creates the interface object (widget) and assigns it to Handle.

Declaration

Source position: controls.pp line 2207

protected procedure TWinControl.CreateWnd; virtual;


TWinControl.CustomAlignInsertBefore

Returns the placement order of custom-aligned child controls, using the OnAlignInsertBefore handler.

Declaration

Source position: controls.pp line 2074

protected function TWinControl.CustomAlignInsertBefore(

  AControl1: TControl;

  AControl2: TControl

):Boolean; virtual;

Function result

True if Control2 shall be placed before Control1 is placed.

See also

TAlignInsertBeforeEvent

Type of an OnAlignInsertBefore handler.


TWinControl.CustomAlignPosition

Returns the aligned position of a custom-aligned child control, using the OnAlignPosition handler.

Declaration

Source position: controls.pp line 2075

protected procedure TWinControl.CustomAlignPosition(

  AControl: TControl;

  var ANewLeft: Integer;

  var ANewTop: Integer;

  var ANewWidth: Integer;

  var ANewHeight: Integer;

  var AlignRect: TRect;

  AlignInfo: TAlignInfo

); virtual;

Arguments

AControl | The control to be placed.
AlignRect | The remaining client area, within which the control can be placed.
AlignInfo | Information about the current align process

Description

The given coordinates take into account the anchoring of AControl.

The handler updates the coordinates as required.

See also

TAlignInsertBeforeEvent

Type of an OnAlignInsertBefore handler.


TWinControl.DefaultHandler

Handles all messages that the control doesn't fully handle itself.

Declaration

Source position: controls.pp line 2325

public procedure TWinControl.DefaultHandler(

  var AMessage

); override;

Arguments

AMessage

The message to process.

Description

This implementation sends the message to the widget's message handler.

Override this method to implement your own message handling. If the message Result is nonzero, the message already has been handled; otherwise set the Result to nonzero (depending on the message ID), when the message has been handled.

See also

TObject.DefaultHandler


TWinControl.DefWndProc

The default WndProc on Windows widgetset and platforms.

Declaration

Source position: controls.pp line 2250

public property TWinControl.DefWndProc : Pointer
  read FDefWndProc
  write FDefWndPRoc;


TWinControl.DesignerDeleting

Declaration

Source position: controls.pp line 2277

public property TWinControl.DesignerDeleting : Boolean
  read FDesignerDeleting
  write FDesignerDeleting;


TWinControl.Destroy

Declaration

Source position: controls.pp line 2311

public destructor TWinControl.Destroy; override;


TWinControl.DestroyHandle

Destroys this and all child widgets.

Declaration

Source position: controls.pp line 2208

protected procedure TWinControl.DestroyHandle; virtual;


TWinControl.DestroyWnd

Destroys the interface object (widget).

Declaration

Source position: controls.pp line 2209

protected procedure TWinControl.DestroyWnd; virtual;


TWinControl.DoAddDockClient

Adjust the Parent of a newly docked Client.

Declaration

Source position: controls.pp line 2152

protected procedure TWinControl.DoAddDockClient(

  Client: TControl;

  const ARect: TRect

); virtual;

Description

The default action is to set the Parent to the new docksite (this control), so that the client is displayed within the new site.


TWinControl.DoAdjustClientRectChange

Asks the widget if clientrect has changed since last AlignControl, and calls AdjustSize on change.

Declaration

Source position: controls.pp line 2294

public procedure TWinControl.DoAdjustClientRectChange(

  const InvalidateRect: Boolean = True

);


TWinControl.DoAlignChildControls

Override this method to place all given controls.

Declaration

Source position: controls.pp line 2078

protected function TWinControl.DoAlignChildControls(

  TheAlign: TAlign;

  AControl: TControl;

  AControlList: TFPList;

  var ARect: TRect

):Boolean; virtual;

Arguments

TheAlign | The alignment of all given controls.
AControlList | The controls to be placed.

Function result

True when all controls have been placed.

See also

TWinControl.AlignControls

Aligns all child controls.


TWinControl.DoAutoSize

Shrink or enlarge the control to fit children.

Declaration

Source position: controls.pp line 2094

protected procedure TWinControl.DoAutoSize; override;

Description

Because this method is frequently overridden, the LCL calls the added TControl.AdjustSize instead, which checks whether DoAutoSize really should be called right now.

DoAutoSize does roughly this:

  • Checks whether Autosize is in fact permitted
  • Checks for unaligned child components and fits them in as best it can
  • Moves the constrained (aligned) child components to the correct position
  • Adjusts the size of the client rectangle
  • Adjusts the bounds of the whole control

See also

TControl.DoAutoSize

For internal use only - call AdjustSize instead!


TWinControl.DoChildSizingChange

Call this after a change in the ChildSizing information, to trigger further processing.

Declaration

Source position: controls.pp line 2080

protected procedure TWinControl.DoChildSizingChange(

  Sender: TObject

); virtual;


TWinControl.DockClientCount

The number of clients docked into this control.

Declaration

Source position: controls.pp line 2251

public property TWinControl.DockClientCount : Integer
  read GetDockClientCount;

Description

The docked controls can be accessed inDockClients[].

DockClientCount is equivalent to DockClients.Count, but handles the special case when DockClients is Nil.

See also

TWinControl.DockClients

The indexed list of controls docked into this control.


TWinControl.DockClients

The indexed list of controls docked into this control.

Declaration

Source position: controls.pp line 2252

public property TWinControl.DockClients[Index: Integer] : TControl
  read GetDockClients;

See also

TWinControl.DockClientCount

The number of clients docked into this control.


TWinControl.DockDrop

Handler for a DragManager dmDragDrop message, sent when a dragged control has been dropped onto this docksite.

Declaration

Source position: controls.pp line 2312

public procedure TWinControl.DockDrop(

  DragDockObject: TDragDockObject;

  X: Integer;

  Y: Integer

); virtual;

Description

Asks the dropped control to dock itself into this docksite, updating its Parent, HostDockSite, and the DockClients of the old and new DockSite.

When a DockManager is installed, asks the DockManager to position the docked control (InsertControl).

Finally creates an OnDockDrop event.

See also

TWinControl.DoDockClientMsg | Handles a dmDragDock message, when a control has been docked to this site.
TWinControl.OnDockDrop | Notification handler for the drop of a control to be docked.
TDragDockObject | A drag object for drag-dock.


TWinControl.DockManager

The docking layout manager for this control.

Declaration

Source position: controls.pp line 2253

public property TWinControl.DockManager : TDockManager
  read FDockManager
  write SetDockManager;

Description

A docksite can be managed (using an DockManager) or unmanaged (positioning docked controls in the event handlers). The DockManager determines the placement of docked controls, by setting DropOnControl and DropAlign before the drop, and by resizing and positioning the control when it's dropped.

A DockManager is used only when UseDockManager also is True. Setting UseDockManager to True creates an DockManager of the DefaultDockManagerClass for this docksite, if none was previously installed.

An unmanaged docksite, without an DockManager, can handle the placement of dropped controls in the OnDockOver and OnDockDrop event handlers.

See also

TWinControl.UseDockManager | Determines whether a DockManager is used for this DockSite.
TWinControl.DockSite | Allows to drag-dock other controls into this control.
TWinControl.OnDockDrop | Notification handler for the drop of a control to be docked.
TWinControl.OnDockOver | Event handler for moves of a control over this docksite. Determines acceptance or rejection of an possible drop.
TDockManager | The layout manager for a docksite.


TWinControl.DockOver

Called to check whether this control allows docking and where.

Declaration

Source position: controls.pp line 2153

protected procedure TWinControl.DockOver(

  Source: TDragDockObject;

  X: Integer;

  Y: Integer;

  State: TDragState;

  var Accept: Boolean

); virtual;

Arguments

Accept

Initially True, set to False to reject an drop.

Description

Called on dragmanager messages dmEnter/Leave/Move, to get the DockRect to show.

Positions the DockRect, invokes OnDockOver (via DoDockOver)

Everything can be overridden by the OnDockOver handler, if installed.

See also

TControl.PositionDockRect

Get the DockRect for an possible drop.

TControl.OnDockOver


TWinControl.DockSite

Allows to drag-dock other controls into this control.

Declaration

Source position: controls.pp line 2254

public property TWinControl.DockSite : Boolean
  read FDockSite
  write SetDockSite
  default False;

Description

A DockSite reacts on controls dragged over this control, signals acceptance and where a dragged control would be dropped.

Remark: A DockSite should initially be empty, not containing any child controls.

See also

TWinControl.DockManager | The docking layout manager for this control.
TWinControl.UseDockManager | Determines whether a DockManager is used for this DockSite.


TWinControl.DoDockClientMsg

Handles a dmDragDock message, when a control has been docked to this site.

Declaration

Source position: controls.pp line 2150

protected function TWinControl.DoDockClientMsg(

  DragDockObject: TDragDockObject;

  aPosition: TPoint

):Boolean; virtual;

Description

Called when a control is dropped for docking.

Asks the dropped control to Dock itself into this control (adjust HostDockSite etc.).
Calls an installed DockManager to adjust the coordinates of the docked control.

The Result is always True (unless overridden).


TWinControl.DoDockOver

Invoke the OnDockOver handler.

Declaration

Source position: controls.pp line 2155

protected procedure TWinControl.DoDockOver(

  Source: TDragDockObject;

  X: Integer;

  Y: Integer;

  State: TDragState;

  var Accept: Boolean

); virtual;


TWinControl.DoDragMsg

Dispatches a drag message, sent by the DragManager.

Declaration

Source position: controls.pp line 2147

protected function TWinControl.DoDragMsg(

  ADragMessage: TDragMessage;

  APosition: TPoint;

  ADragObject: TDragObject;

  ATarget: TControl;

  ADocking: Boolean

):LRESULT; override;

Description

On dmFindTarget a TWinControl returns the child control under the mouse, or Self if none is found.

All other messages are handled by inherited TControl.DoDragMsg.

See also

TControl.DoDragMsg

Handler for a drag message, sent by the DragManager to the current target control.


TWinControl.DoEnter

Invokes the OnEnter event handler.

Declaration

Source position: controls.pp line 2172

protected procedure TWinControl.DoEnter; virtual;


TWinControl.DoExit

Invoke the OnExit event handler.

Declaration

Source position: controls.pp line 2173

protected procedure TWinControl.DoExit; virtual;


TWinControl.DoFlipChildren

Flip children horizontally. That means mirroring the Left position.

Declaration

Source position: controls.pp line 2210

protected procedure TWinControl.DoFlipChildren; virtual;

Description

Child controls arranged in left-to-right order appear in right-to-left order after flipping. All anchors are adjusted accordingly.

See also

TWinControl.FlipChildren

Flip children horizontally. That means mirroring the Left position and anchoring.


TWinControl.DoGetDockCaption

Returns the dock caption of AControl.

Declaration

Source position: controls.pp line 2169

protected procedure TWinControl.DoGetDockCaption(

  AControl: TControl;

  var ACaption: string

); virtual;

Arguments

AControl | The control whose dock caption string is requested.
ACaption | The dock caption to use.

Description

Asks the control for its default dock caption, then allows the OnGetDockCaption handler to adjust this string.

See also

TControl.GetDockCaption

TWinControl.OnGetDockCaption

This handler can provide a special DockCaption, different from the Caption default.


TWinControl.DoKeyDownBeforeInterface

Handles a KeyDown event before the widget processes the key.

Declaration

Source position: controls.pp line 2174

protected function TWinControl.DoKeyDownBeforeInterface(

  var Message: TLMKey;

  IsRecurseCall: Boolean

):Boolean;

Function result

Set to True when the key was handled.

Description

A number of handlers is invoked, until one handles the key.

First all application wide handlers are invoked (#lcl.Forms.TApplication.NotifyKeyDownBeforeHandler).

Then the form's handler is invoked, when KeyPreview is requested.

Then the DragManager is asked, when dragging. It interprets ESC to cancel dragging, and CTRL to ignore drag targets.

Finally the TWinControl.OnKeyDown user handler is invoked.

If no handler accepts the key, the widget continues to interpret it itself.


TWinControl.DoKeyPress

Tries all OnKeyPress handlers, of Parents first.

Declaration

Source position: controls.pp line 2177

protected function TWinControl.DoKeyPress(

  var Message: TLMKey

):Boolean;

Function result

True if the key was handled.

See also

TWinControl.OnUTF8KeyPress

Handler for a character entered by the user.


TWinControl.DoKeyUpBeforeInterface

Handles a KeyUp event before the widget processes the key.

Declaration

Source position: controls.pp line 2179

protected function TWinControl.DoKeyUpBeforeInterface(

  var Message: TLMKey

):Boolean;

Function result

True if the key was handled.

Description

For details see the equivalent method TWinControl.DoKeyDownBeforeInterface.


TWinControl.DoRemainingKeyDown

Handles keys which are not handled by the widget.

Declaration

Source position: controls.pp line 2175

protected function TWinControl.DoRemainingKeyDown(

  var Message: TLMKeyDown

):Boolean;

Function result

True if the key was handled.


TWinControl.DoRemainingKeyUp

Declaration

Source position: controls.pp line 2176

protected function TWinControl.DoRemainingKeyUp(

  var Message: TLMKeyDown

):Boolean;

Function result

True if the key was handled.


TWinControl.DoRemoveDockClient

Override this method to take special actions on removal of an docked client.

Declaration

Source position: controls.pp line 2157

protected procedure TWinControl.DoRemoveDockClient(

  Client: TControl

); virtual;

Description

The default implementation does nothing.


TWinControl.DoSendBoundsToInterface

Sends the control's new bounds to the widget.

Declaration

Source position: controls.pp line 2087

protected procedure TWinControl.DoSendBoundsToInterface; virtual;

Description

Called by RealizeBounds.

See also

TWinControlFlag.wcfBoundsRealized

Set before bounds are sent to the widget. Used to suppress consequential size messages, sent by the widget.


TWinControl.DoSendShowHideToInterface

Sends the new Visible state to the widgetset.

Declaration

Source position: controls.pp line 2085

protected procedure TWinControl.DoSendShowHideToInterface; virtual;

Description

Called by TWinControl.CMShowingChanged.


TWinControl.DoSetBounds

Updates the size and extent of the control and ClientRect.

Declaration

Source position: controls.pp line 2093

protected procedure TWinControl.DoSetBounds(

  ALeft: Integer;

  ATop: Integer;

  AWidth: Integer;

  AHeight: Integer

); override;

Description

Changing the ClientRect here, to the most probable size, reduces unneccessary resizes.

Normally the clientwidth/clientheight is adjusted automatically by the widget, but it is up to widget when this will be done. The gtk for example just puts resize requests into a queue. The LCL would resize the child components just after this procedure due to the clientrect. On complex forms with lots of nested controls, this would result in thousands of resizes.

See also

#LCL.Controls.TControl.DoSetBounds

Internal function to set the control's bounds (Left, Top, Height, Width).


TWinControl.DoubleBuffered

Allows to reduce flicker in the painting of the control.

Declaration

Source position: controls.pp line 2255

public property TWinControl.DoubleBuffered : Boolean
  read FDoubleBuffered
  write SetDoubleBuffered
  stored DoubleBufferedIsStored;

Description

Paint requests typically are buffered in the message queue. When a paint message arrives, all elements of the control are drawn onto the screen, according to their type, style, state and content.

This can cause flicker, when stacked controls wipe out preceding paintings, e.g. when unchanged text is erased from the screen before it is painted again, when it takes some time to retrieve the text of list entries, or wrapping long text at the current control boundaries. Owner-drawing also can cause noticeable flicker.

To reduce such flicker, DoubleBuffered controls use a buffer bitmap into which all painting is redirected. When the bitmap has been updated, a paint request is queued for the control. When that paint request is received again, the prepared bitmap is output in one fast BitBlt transfer, eliminating any flicker.

All this happens automatically, when DoubleBuffered is set to True, no further changes are required in application or custom control code.


TWinControl.DoUnDock

Notifies an OnUnDock handler and DockManager of an undocked client control.

Declaration

Source position: controls.pp line 2158

protected function TWinControl.DoUnDock(

  NewTarget: TWinControl;

  Client: TControl;

  KeepDockSiteSize: Boolean = True

):Boolean; virtual;

Arguments

NewTarget | The new docksite, Nil for floating.
Client | The control being undocked.

Function result

Set to False to deny undocking.

Description

The OnUnDock handler can deny to undock the control. This can cause trouble, the control better should not be draggable instead.

See also

TWinControl.DoUndockClientMsg | Notifies the DockManager of the undock of a client control.
TWinControl.OnUnDock | Event handler for control being undocked from this DockSite.


TWinControl.DoUndockClientMsg

Notifies the DockManager of the undock of a client control.

Declaration

Source position: controls.pp line 2151

protected function TWinControl.DoUndockClientMsg(

  NewTarget: TControl;

  Client: TControl

):Boolean; virtual;

Function result

Always True.

See also

TDockManager.RemoveControl

Removes the undocked control from the docksite layout.


TWinControl.EndUpdateBounds

End of Bounds update. Decrements BoundsLockCount and eventually calls SetBounds.

Declaration

Source position: controls.pp line 2286

public procedure TWinControl.EndUpdateBounds;

See also

TWinControl.BeginUpdateBounds

Start of Bounds updates. Disables SetBounds by incrementing BoundsLockCount.


TWinControl.EraseBackground

Fills the entire control with the designed background color and pattern.

Declaration

Source position: controls.pp line 2349

public procedure TWinControl.EraseBackground(

  DC: HDC

); virtual;

Arguments

DC

The device context to use; may be clipped to a certain shape.

Description

This method can be called during Paint requests only, which provide an valid DC.

The background may be transparent or non-rectangular as well!


TWinControl.FinalizeWnd

Prepare to remove the window (gets called before the Handle is destroyed).

Declaration

Source position: controls.pp line 2211

protected procedure TWinControl.FinalizeWnd; virtual;


TWinControl.FindChildControl

Finds a child control by name.

Declaration

Source position: controls.pp line 2319

public function TWinControl.FindChildControl(

  const ControlName: string

):TControl;

Arguments

ControlName

The Name of the control to find.

Function result

True when the control has been found.


TWinControl.FindNextControl

Returns the preceding or next control in tab order.

Declaration

Source position: controls.pp line 2194

protected function TWinControl.FindNextControl(

  CurrentControl: TWinControl;

  GoForward: Boolean;

  CheckTabStop: Boolean;

  CheckParent: Boolean

):TWinControl;

Arguments

CurrentControl | The control which has the focus. If Nil, the first control (forward) or last control (backward) in TabOrder is returned, depending on GoForward.
GoForward | False to find the preceding control.
CheckTabStop | When True: only find controls with TabStop=True.
CheckParent | When True: only find controls with Parent=Self.

Function result

The (next) control.

Description

When CurrentControl is Nil, the first control (forward) or last control (backward) in TabOrder is returned, depending on GoForward.


TWinControl.FixupTabList

Assigns strictly sequential TabOrder values to all child windows.

Declaration

Source position: controls.pp line 2212

protected procedure TWinControl.FixupTabList;


TWinControl.FlipChildren

Flip children horizontally. That means mirroring the Left position and anchoring.

Declaration

Source position: controls.pp line 2340

public procedure TWinControl.FlipChildren(

  AllLevels: Boolean

); virtual;

Arguments

AllLevels

Flip recursive?

Description

Child controls arranged in left-to-right order appear in right-to-left order after flipping. All anchors are adjusted accordingly.

See also

TWinControl.DoFlipChildren

Flip children horizontally. That means mirroring the Left position.


TWinControl.Focused

Checks whether the control has the focus.

Declaration

Source position: controls.pp line 2317

public function TWinControl.Focused: Boolean; virtual;

Function result

True when we have the focus.


TWinControl.FormEndUpdated

Realizes all cached changes after a bulk update of the form. Calls inherited FormEndUpdated, then informs each child control.

Declaration

Source position: controls.pp line 2216

protected procedure TWinControl.FormEndUpdated; override;

See also

TControl.FormEndUpdated

Called when the update of the containing Form has ended.


TWinControl.FWinControlFlags

Various control state flags.

Declaration

Source position: controls.pp line 2068

protected TWinControl.FWinControlFlags : TWinControlFlags;


TWinControl.GetAdjustedLogicalClientRect

Returns the adjusted ClientRect, cached value if available.

Declaration

Source position: controls.pp line 2071

protected procedure TWinControl.GetAdjustedLogicalClientRect(

  out ARect: TRect

);

See also

TControl.ClientRect | Size of the client area of the control.
TWinControl.AdjustClientRect | Override this method when the ClientRect of a control differs from the default value.
TWinControlFlag.wcfAdjustedLogicalClientRectValid | Set when the adjusted ClientRect is valid.


TWinControl.GetChildren

Calls Proc with every child control, owned by Root.

Declaration

Source position: controls.pp line 2101

protected procedure TWinControl.GetChildren(

  Proc: TGetChildProc;

  Root: TComponent

); override;

Arguments

Proc | The callback procedure.
Root | The Owner of the reported controls.

See also

TComponent.GetChildren


TWinControl.GetChildrenRect

Declaration

Source position: controls.pp line 2298

public function TWinControl.GetChildrenRect(

  Scrolled: Boolean

):TRect; override;


TWinControl.GetControlIndex

Finds the index value for the given control, in Controls[].

Declaration

Source position: controls.pp line 2315

public function TWinControl.GetControlIndex(

  AControl: TControl

):Integer;

Arguments

AControl

The (possible) child control.

Function result

The index in Controls, -1 if not found.


TWinControl.GetDockCaption

Returns the caption for the docked control.

Declaration

Source position: controls.pp line 2342

public function TWinControl.GetDockCaption(

  AControl: TControl

):string; virtual;


TWinControl.GetEnumeratorControls

Declaration

Source position: controls.pp line 2334

public function TWinControl.GetEnumeratorControls: TWinControlEnumerator;


TWinControl.GetEnumeratorControlsReverse

Declaration

Source position: controls.pp line 2335

public function TWinControl.GetEnumeratorControlsReverse: TWinControlEnumerator;


TWinControl.GetParentBackground

Declaration

Source position: controls.pp line 2203

protected function TWinControl.GetParentBackground: Boolean;


TWinControl.GetParentHandle

Declaration

Source position: controls.pp line 2162

protected function TWinControl.GetParentHandle: HWND;


TWinControl.GetPreferredSizeClientFrame

Declaration

Source position: controls.pp line 2100

protected procedure TWinControl.GetPreferredSizeClientFrame(

  out aWidth: Integer;

  out aHeight: Integer

); virtual;


TWinControl.GetSiteInfo

Return information about this dock site (InfluenceRect).

Declaration

Source position: controls.pp line 2160

protected procedure TWinControl.GetSiteInfo(

  Client: TControl;

  var InfluenceRect: TRect;

  MousePos: TPoint;

  var CanDock: Boolean

); virtual;

Arguments

Client | The dragged control
InfluenceRect | The screen rectangle within which a drop is allowed.
MousePos | The current mouse position.
CanDock | Can be set to False to reject an drop.

Description

The InfluenceRect determines the screen coordinates, within which a drop is accepted.
The InfluenceRect is the slightly inflated WindowRect of the dock site, adjustable in an OnGetSiteInfo handler.


TWinControl.GetTabOrderList

Fill the list with all TabStop controls, recursing into child controls.

Declaration

Source position: controls.pp line 2344

public procedure TWinControl.GetTabOrderList(

  List: TFPList

); virtual;

Arguments

List

The list to which the controls shall be added.


TWinControl.GetTopParentHandle

Declaration

Source position: controls.pp line 2163

protected function TWinControl.GetTopParentHandle: HWND;


TWinControl.Handle

A reference to the widget, associated with this control.

Declaration

Source position: controls.pp line 2256

public property TWinControl.Handle : HWND
  read GetHandle
  write SetHandle;


TWinControl.HandleAllocated

Check whether a widget has been assigned to this control.

Declaration

Source position: controls.pp line 2345

public function TWinControl.HandleAllocated: Boolean;

Function result

True when a widget exists (Handle is not Nil).


TWinControl.HandleNeeded

Call this method when your code requires a valid Handle for this control.

Declaration

Source position: controls.pp line 2347

public procedure TWinControl.HandleNeeded;

Description

An attempt is made to create a widget, when not already done.

Remark: In certain situations it may be impossible to create a widget right now!


TWinControl.InitializeWnd

Copies cached control properties to the just created widget.

Declaration

Source position: controls.pp line 2214

protected procedure TWinControl.InitializeWnd; virtual;

Description

Gets called after the Handle is created and before the child handles are created.


TWinControl.InsertControl

Insert control into Controls[].

Declaration

Source position: controls.pp line 2330

public procedure TWinControl.InsertControl(

  AControl: TControl

);

procedure TWinControl.InsertControl(

  AControl: TControl;

  Index: Integer

); virtual;

Arguments

AControl

The control to insert.

Arguments

AControl | The control to insert.
Index | Insert at index (optional).


TWinControl.IntfGetDropFilesTarget

Declaration

Source position: controls.pp line 2352

public function TWinControl.IntfGetDropFilesTarget: TWinControl; virtual;


TWinControl.IntfUTF8KeyPress

Called by the interface after the navigation and specials keys are handled; i.e. after KeyDown but before KeyPress.

Declaration

Source position: controls.pp line 2350

public function TWinControl.IntfUTF8KeyPress(

  var UTF8Key: TUTF8Char;

  RepeatCount: Integer;

  SystemKey: Boolean

):Boolean; virtual;

Arguments

UTF8Key | The UTF-8 encoding of the character.
RepeatCount | Must be greater than zero, the exact value is ignored
SystemKey | Must be False, else nothing happens.

Function result

True when multiple keystrokes have been processed.

Description

Essentially expands an repeat count into multiple keystrokes, but not for SysKeys.


TWinControl.Invalidate

Schedule an repaint request.

Declaration

Source position: controls.pp line 2327

public procedure TWinControl.Invalidate; override;

Description

This implementation invokes the Invalidate method of the widget.


TWinControl.InvalidateBoundsRealized

Declaration

Source position: controls.pp line 2090

protected procedure TWinControl.InvalidateBoundsRealized;


TWinControl.InvalidateClientRectCache

The ClientRect is cached. Call this procedure to invalidate the cache, so that next time the ClientRect is fetched from the widget.

Declaration

Source position: controls.pp line 2295

public procedure TWinControl.InvalidateClientRectCache(

  WithChildControls: Boolean

);

Arguments

WithChildControls

Also invalidate all child controls, if True.


TWinControl.InvalidatePreferredChildSizes

Flags the preferred sizes of all child controls as invalid (recursively).

Declaration

Source position: controls.pp line 2081

protected procedure TWinControl.InvalidatePreferredChildSizes;

See also

TControlFlag.cfPreferredSizeValid | Set when PreferredSize has been calculated (CalculatePreferredSize).
TControlFlag.cfPreferredMinSizeValid |
TWinControlFlag.wcfAdjustedLogicalClientRectValid | Set when the adjusted ClientRect is valid.


TWinControl.IsControlMouseMsg

Sends the mouse message to a child control.

Declaration

Source position: controls.pp line 2204

protected function TWinControl.IsControlMouseMsg(

  var TheMessage

):Boolean;

Function result

True if a child control was found at the mouse coordinates.


TWinControl.IsFlipped

Declaration

Source position: controls.pp line 2257

public property TWinControl.IsFlipped : Boolean
  read FFlipped;


TWinControl.IsResizing

Check IsResizing and drop or delay changes to the control, until the new size has been determined.

Declaration

Source position: controls.pp line 2258

public property TWinControl.IsResizing : Boolean
  read GetIsResizing;


TWinControl.KeyDown

Invokes the OnKeyDown handler.

Declaration

Source position: controls.pp line 2185

protected procedure TWinControl.KeyDown(

  var Key: Word;

  Shift: TShiftState

); virtual;


TWinControl.KeyDownAfterInterface

Declaration

Source position: controls.pp line 2187

protected procedure TWinControl.KeyDownAfterInterface(

  var Key: Word;

  Shift: TShiftState

); virtual;


TWinControl.KeyDownBeforeInterface

Invokes the OnKeyDown handler.

Declaration

Source position: controls.pp line 2186

protected procedure TWinControl.KeyDownBeforeInterface(

  var Key: Word;

  Shift: TShiftState

); virtual;


TWinControl.KeyPress

Invokes the OnKeyPress handler.

Declaration

Source position: controls.pp line 2188

protected procedure TWinControl.KeyPress(

  var Key: Char

); virtual;


TWinControl.KeyUp

Invokes the OnKeyUp handler.

Declaration

Source position: controls.pp line 2189

protected procedure TWinControl.KeyUp(

  var Key: Word;

  Shift: TShiftState

); virtual;


TWinControl.KeyUpAfterInterface

Declaration

Source position: controls.pp line 2191

protected procedure TWinControl.KeyUpAfterInterface(

  var Key: Word;

  Shift: TShiftState

); virtual;


TWinControl.KeyUpBeforeInterface

Invokes the OnKeyUp handler.

Declaration

Source position: controls.pp line 2190

protected procedure TWinControl.KeyUpBeforeInterface(

  var Key: Word;

  Shift: TShiftState

); virtual;


TWinControl.Loaded

Called when the control has been loaded from a resource, transfers the loaded property values to the widget.

Declaration

Source position: controls.pp line 2215

protected procedure TWinControl.Loaded; override;

See also

TControl.Loaded


TWinControl.LockRealizeBounds

Disables sending bounds to the widget, by incrementing FRealizeBoundsLockCount.

Declaration

Source position: controls.pp line 2287

public procedure TWinControl.LockRealizeBounds;

See also

TWinControl.UnlockRealizeBounds

Enables sending bounds to the widget again, eventually updates the widget.


TWinControl.MainWndProc

This method allows handling messages in Windows

Declaration

Source position: controls.pp line 2217

protected procedure TWinControl.MainWndProc(

  var Msg: TLMessage

);


TWinControl.NotifyControls

Sends a message to all child controls.

Declaration

Source position: controls.pp line 2324

public procedure TWinControl.NotifyControls(

  Msg: Word

);

Arguments

Msg

The message ID.

See also

TWinControl.BroadCast

Sends a message to all child controls.


TWinControl.OnAlignInsertBefore

Handler for custom-aligned child controls, determines the order of control placement.

Declaration

Source position: controls.pp line 2261

public property TWinControl.OnAlignInsertBefore : TAlignInsertBeforeEvent
  read FOnAlignInsertBefore
  write FOnAlignInsertBefore;


TWinControl.OnAlignPosition

Handler for custom-aligned child controls, determines the position of the child control.

Declaration

Source position: controls.pp line 2262

public property TWinControl.OnAlignPosition : TAlignPositionEvent
  read FOnAlignPosition
  write FOnAlignPosition;


TWinControl.OnDockDrop

Notification handler for the drop of a control to be docked.

Declaration

Source position: controls.pp line 2263

public property TWinControl.OnDockDrop : TDockDropEvent
  read FOnDockDrop
  write FOnDockDrop;


TWinControl.OnDockOver

Event handler for moves of a control over this docksite. Determines acceptance or rejection of an possible drop.

Declaration

Source position: controls.pp line 2264

public property TWinControl.OnDockOver : TDockOverEvent
  read FOnDockOver
  write FOnDockOver;


TWinControl.OnEnter

Handler for control receiving the focus.

Declaration

Source position: controls.pp line 2265

public property TWinControl.OnEnter : TNotifyEvent
  read FOnEnter
  write FOnEnter;


TWinControl.OnExit

Handler for control loosing the focus. This is a good place for checking the finished user input.

Declaration

Source position: controls.pp line 2266

public property TWinControl.OnExit : TNotifyEvent
  read FOnExit
  write FOnExit;


TWinControl.OnGetDockCaption

This handler can provide a special DockCaption, different from the Caption default.

Declaration

Source position: controls.pp line 2238

protected property TWinControl.OnGetDockCaption : TGetDockCaptionEvent
  read FOnGetDockCaption
  write FOnGetDockCaption;


TWinControl.OnGetSiteInfo

Provides information about the DockSite.

Declaration

Source position: controls.pp line 2237

protected property TWinControl.OnGetSiteInfo : TGetSiteInfoEvent
  read FOnGetSiteInfo
  write FOnGetSiteInfo;

Description

The handler can adjust the InfluenceRect, within which mouse moves are recognized by this control.

The handler also can deny any drops, depending on the type of the dragged control.

This event occurs before OnDockOver.

See also

TWinControl.OnDockOver

Event handler for moves of a control over this docksite. Determines acceptance or rejection of an possible drop.


TWinControl.OnKeyDown

Handler for keyboard key pressed.

Declaration

Source position: controls.pp line 2267

public property TWinControl.OnKeyDown : TKeyEvent
  read FOnKeyDown
  write FOnKeyDown;

Description

This handler can filter keys, for special use in e.g. non-textual controls.

The handler receives all keystrokes, including control and other non-visual keys. Keys are encoded as virtual keys, with separate active modifier keys.

Text input instead should be checked in an OnKeyPress handler.

See also

TWinControl.OnKeyUp | Handler for keyboard key released.
TWinControl.OnKeyPress | Handler for a character entered by the user.


TWinControl.OnKeyPress

Handler for a character entered by the user.

Declaration

Source position: controls.pp line 2268

public property TWinControl.OnKeyPress : TKeyPressEvent
  read FOnKeyPress
  write FOnKeyPress;

Description

This handler only receives characters, not control or other special keycodes. Control keys should be handled by an OnKeyDown handler instead.

The handler can convert the character into a different one.

Remark: We recommend you to use OnUTF8KeyPress to prevent data loss. Characters are converted from UTF8 to the system encoding in OnKeyPressEvent, with possible loss of characters outside the Ansi codepage.

See also

TWinControl.OnKeyDown | Handler for keyboard key pressed.
TWinControl.OnUTF8KeyPress | Handler for a character entered by the user.


TWinControl.OnKeyUp

Handler for keyboard key released.

Declaration

Source position: controls.pp line 2269

public property TWinControl.OnKeyUp : TKeyEvent
  read FOnKeyUp
  write FOnKeyUp;

Description

Unlike OnKeyDown, this event occurs only once for auto-repeated keys.

For details see TWinControl.OnKeyDown.

See also

TWinControl.OnKeyDown | Handler for keyboard key pressed.
TWinControl.OnKeyPress | Handler for a character entered by the user.


TWinControl.OnUnDock

Event handler for control being undocked from this DockSite.

Declaration

Source position: controls.pp line 2270

public property TWinControl.OnUnDock : TUnDockEvent
  read FOnUnDock
  write FOnUnDock;

Description

The handler can disallow undocking.


TWinControl.OnUTF8KeyPress

Handler for a character entered by the user.

Declaration

Source position: controls.pp line 2271

public property TWinControl.OnUTF8KeyPress : TUTF8KeyPressEvent
  read FOnUTF8KeyPress
  write FOnUTF8KeyPress;

Description

This handler only receives characters, not control or other special keycodes. Control keys should be handled by an OnKeyDown handler instead.

The handler can convert the character into a different one.

While OnKeyPress only receives Ansi characters, with possible loss of characters outside the Ansi codepage, the OnUTF8KeyPress handler receives the UTF-8 character code.

See also

TWinControl.OnKeyDown | Handler for keyboard key pressed.
TWinControl.OnKeyPress | Handler for a character entered by the user.


TWinControl.PaintControls

Paint all child controls which don't have a Handle.

Declaration

Source position: controls.pp line 2103

protected procedure TWinControl.PaintControls(

  DC: HDC;

  First: TControl

);

Arguments

DC | The device context usable for painting child controls.
First | First of the controls in Controls[], which remain to paint.

Description

Controls that are not TWinControl, have no handle of their own, and so they are repainted as part of the parent.


TWinControl.PaintHandler

Handler for TLMPaint, manages the painting of child controls.

Declaration

Source position: controls.pp line 2104

protected procedure TWinControl.PaintHandler(

  var TheMessage: TLMPaint

);


TWinControl.PaintTo

Paints only when a widget exists.

Declaration

Source position: controls.pp line 2353

public procedure TWinControl.PaintTo(

  DC: HDC;

  X: Integer;

  Y: Integer

); virtual; overload;

procedure TWinControl.PaintTo(

  ACanvas: TCanvas;

  X: Integer;

  Y: Integer

); overload;


TWinControl.PaintWindow

Paints an clipped part (child control) of the DC.

Declaration

Source position: controls.pp line 2105

protected procedure TWinControl.PaintWindow(

  DC: HDC

); virtual;


TWinControl.ParentBackground

Declaration

Source position: controls.pp line 2239

protected property TWinControl.ParentBackground : Boolean
  read GetParentBackground
  write SetParentBackground;


TWinControl.ParentDoubleBuffered

Declaration

Source position: controls.pp line 2272

public property TWinControl.ParentDoubleBuffered : Boolean
  read FParentDoubleBuffered
  write SetParentDoubleBuffered
  default True;


TWinControl.ParentFormHandleInitialized

Called after all children handles of the ParentForm are created. Notifies all children of the end of the handle creation phase.

Declaration

Source position: controls.pp line 2218

protected procedure TWinControl.ParentFormHandleInitialized; override;

See also

TControl.ParentFormHandleInitialized

Internal handler for activities after a form widget has been created.


TWinControl.ParentWindow

The Handle of the parent widget.

Declaration

Source position: controls.pp line 2273

public property TWinControl.ParentWindow : HWND
  read FParentWindow
  write SetParentWindow;


TWinControl.PerformTab

Sets the focus to the next (or preceding) control.

Declaration

Source position: controls.pp line 2318

public function TWinControl.PerformTab(

  ForwardTab: Boolean

):Boolean; virtual;

Arguments

ForwardTab

The direction of transfer: True for the next control in the TabOrder, False for the preceding control.

Function result

True when the focus has been transferred.


TWinControl.RealizeBounds

Checks for BoundsRect changes and sends changed bounds to the widget, using DoSendBoundsToInterface.

Declaration

Source position: controls.pp line 2088

protected procedure TWinControl.RealizeBounds; virtual;


TWinControl.RealizeBoundsRecursive

Sends eventually changed BoundsRects to the widgets, for this and all child controls.

Declaration

Source position: controls.pp line 2089

protected procedure TWinControl.RealizeBoundsRecursive;

See also

TWinControl.RealizeBounds | Checks for BoundsRect changes and sends changed bounds to the widget, using DoSendBoundsToInterface.
TWinControlFlag.wcfRealizingBounds | Set inside RealizeBoundsRecursive.


TWinControl.ReloadDockedControl

Returns the docked control of the specified name.

Declaration

Source position: controls.pp line 2164

protected procedure TWinControl.ReloadDockedControl(

  const AControlName: string;

  var AControl: TControl

); virtual;

Arguments

AControlName | The name of the control to be docked.
AControl | The matching control.

Description

This method is used during the restore of the layout of a docksite.

The control is searched in the controls owned by the owner of the docksite.

Override to search other places, or to create a control of the requested name.


TWinControl.RemoveControl

Remove control from Controls[].

Declaration

Source position: controls.pp line 2332

public procedure TWinControl.RemoveControl(

  AControl: TControl

); virtual;

Arguments

AControl

The control to remove.


TWinControl.RemoveFocus

Notifies the parent form of the focus loss.

Declaration

Source position: controls.pp line 2222

protected procedure TWinControl.RemoveFocus(

  Removing: Boolean

);


TWinControl.ScaleControls

Scales (resizes) all child controls.

Declaration

Source position: controls.pp line 2107

protected procedure TWinControl.ScaleControls(

  Multiplier: Integer;

  Divider: Integer

); virtual;

See also

TWinControl.ChangeScale

Scales (resizes) the control and all child controls.


TWinControl.ScrollBy

Move all child controls.

Declaration

Source position: controls.pp line 2303

public procedure TWinControl.ScrollBy(

  DeltaX: Integer;

  DeltaY: Integer

); virtual;

Arguments

DeltaX | Increment for Left.
DeltaY | Increment for Top


TWinControl.ScrollBy_WS

Declaration

Source position: controls.pp line 2302

public procedure TWinControl.ScrollBy_WS(

  DeltaX: Integer;

  DeltaY: Integer

);


TWinControl.SelectFirst

Returns the first control in tab order.

Declaration

Source position: controls.pp line 2196

protected procedure TWinControl.SelectFirst;


TWinControl.SelectNext

Transfers the focus to the next child control.

Declaration

Source position: controls.pp line 2320

public procedure TWinControl.SelectNext(

  CurControl: TWinControl;

  GoForward: Boolean;

  CheckTabStop: Boolean

);

Arguments

CurControl | The control which is assumed to have the focus.
GoForward | False when the control preceding CurControl shall be found.
CheckTabStop | When True, only select a control that can receive the focus.

Description

The search wraps around on the boundaries of the TabOrder array.

When no next control can be found, the focus remains unchanged.

See also

TWinControl.FindNextControl

Returns the preceding or next control in tab order.


TWinControl.SendDialogChar

Declaration

Source position: controls.pp line 2181

protected function TWinControl.SendDialogChar(

  var Message: TLMKey

):Boolean;

Function result

True if the key was handled.


TWinControl.SetChildZPosition

Updates the position of the child control in the Z plane (ie front-to-back).

Declaration

Source position: controls.pp line 2226

protected procedure TWinControl.SetChildZPosition(

  const AChild: TControl;

  const APosition: Integer

);


TWinControl.SetFocus

Declaration

Source position: controls.pp line 2339

public procedure TWinControl.SetFocus; virtual;


TWinControl.SetParentBackground

Declaration

Source position: controls.pp line 2227

protected procedure TWinControl.SetParentBackground(

  const AParentBackground: Boolean

); virtual;


TWinControl.SetShape

Specifies the (non-rectangular) shape of the widget.

Declaration

Source position: controls.pp line 2355

public procedure TWinControl.SetShape(

  AShape: TBitmap

); overload;

procedure TWinControl.SetShape(

  AShape: TRegion

); overload;


TWinControl.ShowControl

Asks the parent to show ourself.

Declaration

Source position: controls.pp line 2228

protected procedure TWinControl.ShowControl(

  AControl: TControl

); virtual;

Arguments

AControl

The control to show, here: ignored!


TWinControl.Showing

Cached widget visibility, not necessarily in sync with the widget.

Declaration

Source position: controls.pp line 2274

public property TWinControl.Showing : Boolean
  read FShowing;


TWinControl.TabOrder

Determines the sequence of controls, reachable when the user presses the Tab key.

Declaration

Source position: controls.pp line 2259

public property TWinControl.TabOrder : TTabOrder
  read GetTabOrder
  write SetTabOrder
  default - 1;

See also

TWinControl.TabStop

Allows the user to navigate to this control, by pressing the Tab key.


TWinControl.TabStop

Allows the user to navigate to this control, by pressing the Tab key.

Declaration

Source position: controls.pp line 2260

public property TWinControl.TabStop : Boolean
  read FTabStop
  write SetTabStop
  default False;

See also

TWinControl.TabOrder

Determines the sequence of controls, reachable when the user presses the Tab key.


TWinControl.UnlockRealizeBounds

Enables sending bounds to the widget again, eventually updates the widget.

Declaration

Source position: controls.pp line 2288

public procedure TWinControl.UnlockRealizeBounds;

See also

TWinControl.LockRealizeBounds

Disables sending bounds to the widget, by incrementing FRealizeBoundsLockCount.


TWinControl.UpdateControlState

Essentially updates the visible state of the control, and of the widget if already created.

Declaration

Source position: controls.pp line 2229

protected procedure TWinControl.UpdateControlState;


TWinControl.UpdateDockCaption

Updates the Caption to reflect the names of the docked clients.

Declaration

Source position: controls.pp line 2343

public procedure TWinControl.UpdateDockCaption(

  Exclude: TControl = Nil

); virtual;

Arguments

Exclude

Control to exclude from the DockCaption.

Description

Called when this is a hostdocksite and either the list of docked clients have changed, or one of their captions.

When a control is currently being undocked, but still is in the DockClients list, Exclude is set to this control.


TWinControl.UpdateShowing

When the widget should be visible and has not yet been created, it's created along with all children.

Declaration

Source position: controls.pp line 2230

protected procedure TWinControl.UpdateShowing; virtual;


TWinControl.UseDockManager

Determines whether a DockManager is used for this DockSite.

Declaration

Source position: controls.pp line 2275

public property TWinControl.UseDockManager : Boolean
  read FUseDockManager
  write SetUseDockManager
  default False;

Description

When this property becomes True, and DockSite also is True, a DockManager is created automatically.

When False an eventually existing DockManager is ignored.

If you want to use an special DockManager, install it before setting UseDockManager to True.

See also

TWinControl.DockSite | Allows to drag-dock other controls into this control.
TWinControl.DockManager | The docking layout manager for this control.
TWinControl.CreateDockManager | Returns the DockManager for this control.


TWinControl.UTF8KeyPress

Invokes the OnUTF8KeyPress handler.

Declaration

Source position: controls.pp line 2192

protected procedure TWinControl.UTF8KeyPress(

  var UTF8Key: TUTF8Char

); virtual;


TWinControl.VisibleDockClientCount

The number of visible docked controls.

Declaration

Source position: controls.pp line 2278

public property TWinControl.VisibleDockClientCount : Integer
  read GetVisibleDockClientCount;

See also

TWinControl.DockClientCount | The number of clients docked into this control.
TWinControl.DockClients | The indexed list of controls docked into this control.


TWinControl.WindowHandle

For internal use: allows direct access to Handle, bypassing any getter/setter methods.

Declaration

Source position: controls.pp line 2234

protected property TWinControl.WindowHandle : HWND
  read FHandle
  write FHandle;


TWinControl.WMChar

Handler for message sent by the widget, after it has handled the keypress itself.

Declaration

Source position: controls.pp line 2133

protected procedure TWinControl.WMChar(

  var Message: TLMChar

); message;


TWinControl.WMContextMenu

Handler for an ContextMenu event. Eventually delegates handling to the affected child control.

Declaration

Source position: controls.pp line 2121

protected procedure TWinControl.WMContextMenu(

  var Message: TLMContextMenu

); message;


TWinControl.WMDestroy

Handler for widget destroyed message. Clears the Handle.

Declaration

Source position: controls.pp line 2136

protected procedure TWinControl.WMDestroy(

  var Message: TLMDestroy

); message;


TWinControl.WMEnter

Declaration

Source position: controls.pp line 2127

protected procedure TWinControl.WMEnter(

  var Message: TLMEnter

); message;


TWinControl.WMEraseBkgnd

Erases the background, if required.

Declaration

Source position: controls.pp line 2122

protected procedure TWinControl.WMEraseBkgnd(

  var Message: TLMEraseBkgnd

); message;


TWinControl.WMExit

Declaration

Source position: controls.pp line 2128

protected procedure TWinControl.WMExit(

  var Message: TLMExit

); message;


TWinControl.WMKeyDown

Event handler for key pressed, not handled by the widget. Tries TWinControl.DoRemainingKeyDown.

Declaration

Source position: controls.pp line 2129

protected procedure TWinControl.WMKeyDown(

  var Message: TLMKeyDown

); message;


TWinControl.WMKeyUp

Event handler for key released, not handled by the widget. Tries TWinControl.DoRemainingKeyUp.

Declaration

Source position: controls.pp line 2131

protected procedure TWinControl.WMKeyUp(

  var Message: TLMKeyUp

); message;


TWinControl.WMKillFocus

Handler for loosing Focus event. Eventually triggers #lcl.Controls.TControl.EditingDone.

Declaration

Source position: controls.pp line 2125

protected procedure TWinControl.WMKillFocus(

  var Message: TLMKILLFOCUS

); message;


TWinControl.WMMove

Handler for widget moved message. Updates the Bounds.

Declaration

Source position: controls.pp line 2137

protected procedure TWinControl.WMMove(

  var Message: TLMMove

); message;


TWinControl.WMNotify

Handles (dispatches) notification messages.

Declaration

Source position: controls.pp line 2123

protected procedure TWinControl.WMNotify(

  var Message: TLMNotify

); message;


TWinControl.WMPaint

Manages paint requests, handles double buffering.

Declaration

Source position: controls.pp line 2135

protected procedure TWinControl.WMPaint(

  var Msg: TLMPaint

); message;


TWinControl.WMSetFocus

Handler for receiving Focus event.

Declaration

Source position: controls.pp line 2124

protected procedure TWinControl.WMSetFocus(

  var Message: TLMSetFocus

); message;


TWinControl.WMShowWindow

Handler for changed visibility notification

Declaration

Source position: controls.pp line 2126

protected procedure TWinControl.WMShowWindow(

  var Message: TLMShowWindow

); message;


TWinControl.WMSize

Event handler for size messages.

Declaration

Source position: controls.pp line 2138

protected procedure TWinControl.WMSize(

  var Message: TLMSize

); message;

Description

This method is called whenever width, height, clientwidth or clientheight have changed.

If the source of the message is the interface, the new size is stored in FBoundsRealized to avoid sending a size message back to the interface.


TWinControl.WMSysChar

Handler for message sent by the widget, after it has handled the keypress itself.

Declaration

Source position: controls.pp line 2134

protected procedure TWinControl.WMSysChar(

  var Message: TLMKeyUp

); message;


TWinControl.WMSysKeyDown

Event handler for sys key pressed, not handled by the widget. Tries TWinControl.DoRemainingKeyDown.

Declaration

Source position: controls.pp line 2130

protected procedure TWinControl.WMSysKeyDown(

  var Message: TLMKeyDown

); message;


TWinControl.WMSysKeyUp

Event handler for system key released, not handled by the widget. Tries TWinControl.DoRemainingKeyUp.

Declaration

Source position: controls.pp line 2132

protected procedure TWinControl.WMSysKeyUp(

  var Message: TLMKeyUp

); message;


TWinControl.WMWindowPosChanged

Event handler for size/move messages.

Declaration

Source position: controls.pp line 2139

protected procedure TWinControl.WMWindowPosChanged(

  var Message: TLMWindowPosChanged

); message;

Description

This method is called whenever left, top, width, height, clientwidth or clientheight have changed.

If the source of the message is the interface, the new size is stored in FBoundsRealized to avoid sending a size message back to the interface.


TWinControl.WndProc

Adds special handling for focus and input messages, notifies an DockManager.

Declaration

Source position: controls.pp line 2231

protected procedure TWinControl.WndProc(

  var Message: TLMessage

); override;

Description

LM_SETFOCUS: gets parent form and show this control as focused

LM_KILLFOCUS: removes focus fromthis control

LM_NCHITTEST: check transparency etc

Mouse messages: send to DockManager.

See also

TControl.WndProc

The general message handler for this control.


TWinControl.WSSetText

Sends text to the widget (from WM_SETTEXT?).

Declaration

Source position: controls.pp line 2232

protected procedure TWinControl.WSSetText(

  const AText: string

); virtual;

Arguments

AText

The text to send.


TWinControlActionLink

Declaration

Source position: controls.pp line 1928

type TWinControlActionLink = TControlActionLink;


TWinControlActionLinkClass

Class of TWinControlActionLink

Declaration

Source position: controls.pp line 1929

type TWinControlActionLinkClass = class of TWinControlActionLink;


TWinControlClass

TWinControlClass - class of TWinControl

Declaration

Source position: controls.pp line 95

type TWinControlClass = class of TWinControl;


TWinControlEnumerator

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Declaration

Source position: controls.pp line 1980

type TWinControlEnumerator = class

protected

  FIndex: Integer;

  FLowToHigh: Boolean;

  FParent: TWinControl;

  function GetCurrent;

public

  constructor Create();

  function GetEnumerator;

  function MoveNext;

  property Current: TControl; [r]

end;

Inheritance

TWinControlEnumerator
|

TObject


TWinControlEnumerator

ro

Current


ro

Current (TWinControlEnumerator)


TWinControlEnumerator
pt | GetCurrent
 | Create
 | GetEnumerator
 | MoveNext


pt | GetCurrent (TWinControlEnumerator)
 | GetEnumerator (TWinControlEnumerator)
 | MoveNext (TWinControlEnumerator)


TWinControlEnumerator


TWinControlEnumerator.Create

Declaration

Source position: controls.pp line 1987

public constructor TWinControlEnumerator.Create(

  Parent: TWinControl;

  aLowToHigh: Boolean = True

);


TWinControlEnumerator.Current

Declaration

Source position: controls.pp line 1990

public property TWinControlEnumerator.Current : TControl
  read GetCurrent;


TWinControlEnumerator.FIndex

Declaration

Source position: controls.pp line 1982

protected TWinControlEnumerator.FIndex : Integer;


TWinControlEnumerator.FLowToHigh

Declaration

Source position: controls.pp line 1983

protected TWinControlEnumerator.FLowToHigh : Boolean;


TWinControlEnumerator.FParent

Declaration

Source position: controls.pp line 1984

protected TWinControlEnumerator.FParent : TWinControl;


TWinControlEnumerator.GetCurrent

Declaration

Source position: controls.pp line 1985

protected function TWinControlEnumerator.GetCurrent: TControl;


TWinControlEnumerator.GetEnumerator

Declaration

Source position: controls.pp line 1988

public function TWinControlEnumerator.GetEnumerator: TWinControlEnumerator;


TWinControlEnumerator.MoveNext

Declaration

Source position: controls.pp line 1989

public function TWinControlEnumerator.MoveNext: Boolean;


TCDButton

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Declaration

Source position: customdrawncontrols.pas line 128

type TCDButton = class(TCDButtonControl)

protected

  FBState: TCDButtonStateEx;

  procedure Click; override;

  function GetControlId; override;

  procedure CreateControlStateEx; override;

  procedure PrepareControlStateEx; override;

public

  constructor Create(); override;

  destructor Destroy; override;

published

  property Action: TBasicAction;

  property Align: TAlign;

  property Anchors: TAnchors;

  property AutoSize: Boolean;

  property Caption: TCaption;

  property Color: TColor;

  property Constraints: TSizeConstraints;

  property DrawStyle: TCDDrawStyle;

  property Enabled: Boolean;

  property Font: TFont;

  property Glyph: TBitmap; [rw]

  property Kind: TBitBtnKind; [rw]

  property ModalResult: TModalResult; [rw]

  property OnChangeBounds: TNotifyEvent;

  property OnClick: TNotifyEvent;

  property OnContextPopup: TContextPopupEvent;

  property OnDragDrop: TDragDropEvent;

  property OnDragOver: TDragOverEvent;

  property OnEndDrag: TEndDragEvent;

  property OnEnter: TNotifyEvent;

  property OnExit: TNotifyEvent;

  property OnKeyDown: TKeyEvent;

  property OnKeyPress: TKeyPressEvent;

  property OnKeyUp: TKeyEvent;

  property OnMouseDown: TMouseEvent;

  property OnMouseEnter: TNotifyEvent;

  property OnMouseLeave: TNotifyEvent;

  property OnMouseMove: TMouseMoveEvent;

  property OnMouseUp: TMouseEvent;

  property OnMouseWheel: TMouseWheelEvent;

  property OnMouseWheelDown: TMouseWheelUpDownEvent;

  property OnMouseWheelUp: TMouseWheelUpDownEvent;

  property OnResize: TNotifyEvent;

  property OnStartDrag: TStartDragEvent;

  property OnUTF8KeyPress: TUTF8KeyPressEvent;

  property ParentFont: Boolean;

  property ParentShowHint: Boolean;

  property PopupMenu: TPopupMenu;

  property ShowHint: Boolean;

  property TabOrder: TTabOrder;

  property TabStop: Boolean;

  property Visible: Boolean;

end;

Inheritance

TCDButton |
|
TCDButtonControl |
|
TCDControl |
|
TCustomControl | The base class for windowed controls which paint themselves.
|
TWinControl | The base class for controls which can contain other (child) controls.
|
TControl | The base class for visible controls.
|
TLCLComponent | The base class for LCL components associated with widgets.
|
TComponent,IUnknown,IInterfaceComponentReference
|
TPersistent,IFPObserved
|
TObject


TCDButton
pl | ro | Action
pl | ro | Align
pl | ro | Anchors
pl | ro | AutoSize
pl | ro | Caption
pl | ro | Color
pl | ro | Constraints
pl | ro | DrawStyle
pl | ro | Enabled
pl | ro | Font
pl |  | Glyph
pl |  | Kind
pl |  | ModalResult
pl | ro | ParentFont
pl | ro | ParentShowHint
pl | ro | PopupMenu
pl | ro | ShowHint
pl | ro | TabOrder
pl | ro | TabStop
pl | ro | Visible
TCDButtonControl
pt |  | AllowGrayed
pt |  | Checked
pt |  | State
TCDControl
pt |  | DrawStyle
TCustomControl
 |  | Canvas
 | ro | BorderStyle
TWinControl
pt |  | WindowHandle
pt |  | BorderStyle
pt |  | ParentBackground
 |  | BorderWidth
 | ro | BoundsLockCount
 | ro | Brush
 | ro | CachedClientHeight
 | ro | CachedClientWidth
 |  | ChildSizing
 | ro | ControlCount
 | ro | Controls
 |  | DefWndProc
 | ro | DockClientCount
 | ro | DockClients
 |  | DockManager
 |  | DockSite
 |  | DoubleBuffered
 |  | Handle
 | ro | IsFlipped
 | ro | IsResizing
 |  | TabOrder
 |  | TabStop
 |  | ParentDoubleBuffered
 |  | ParentWindow
 | ro | Showing
 |  | UseDockManager
 |  | DesignerDeleting
 | ro | VisibleDockClientCount
TControl
pt | ro | AutoSizing
pt | ro | AutoSizingAll
pt | ro | AutoSizingLockCount
pt |  | ActionLink
pt |  | DesktopFont
pt |  | DragCursor
pt |  | DragKind
pt |  | DragMode
pt |  | MouseCapture
pt |  | ParentColor
pt |  | ParentFont
pt |  | ParentShowHint
pt |  | SessionProperties
pt |  | Text
 | ro | AnchoredControls
 | ro | BaseBounds
 | ro | ReadBounds
 | ro | BaseParentClientSize
 |  | AccessibleDescription
 |  | AccessibleValue
 |  | AccessibleRole
 |  | Action
 |  | Align
 |  | Anchors
 | ro | AnchorSide
 |  | AutoSize
 |  | BorderSpacing
 |  | BoundsRect
 |  | BoundsRectForNewParent
 |  | Caption
 |  | CaptureMouseButtons
 |  | ClientHeight
 | ro | ClientOrigin
 | ro | ClientRect
 |  | ClientWidth
 |  | Color
 |  | Constraints
 | ro | ControlOrigin
 |  | ControlState
 |  | ControlStyle
 |  | Enabled
 |  | Font
 |  | IsControl
 | ro | MouseEntered
 | ro | MouseInClient
 |  | Parent
 |  | PopupMenu
 |  | ShowHint
 |  | Visible
 |  | WindowProc
 |  | DockOrientation
 | ro | Floating
 |  | FloatingDockSiteClass
 |  | HostDockSite
 |  | LRDockWidth
 |  | TBDockHeight
 |  | UndockHeight
 |  | UndockWidth
 |  | BiDiMode
 |  | ParentBiDiMode
pl |  | AnchorSideLeft
pl |  | AnchorSideTop
pl |  | AnchorSideRight
pl |  | AnchorSideBottom
pl |  | Cursor
pl |  | Left
pl |  | Height
pl |  | Hint
pl |  | Top
pl |  | Width
pl |  | HelpType
pl |  | HelpKeyword
pl |  | HelpContext
TLCLComponent
 | ro | LCLRefCount
 | ro | WidgetSetClass
TComponent
 | ro | ComObject
 | ro | Components
 | ro | ComponentCount
 |  | ComponentIndex
 | ro | ComponentState
 | ro | ComponentStyle
 |  | DesignInfo
 | ro | Owner
 |  | VCLComObject
 |  | Name
 |  | Tag
TPersistent
TObject


 |  | AccessibleDescription (TControl)
 |  | AccessibleRole (TControl)
 |  | AccessibleValue (TControl)
 |  | Action (TControl)
pl | ro | Action (TCDButton)
pt |  | ActionLink (TControl)
 |  | Align (TControl)
pl | ro | Align (TCDButton)
pt |  | AllowGrayed (TCDButtonControl)
 | ro | AnchoredControls (TControl)
 |  | Anchors (TControl)
pl | ro | Anchors (TCDButton)
 | ro | AnchorSide (TControl)
pl |  | AnchorSideBottom (TControl)
pl |  | AnchorSideLeft (TControl)
pl |  | AnchorSideRight (TControl)
pl |  | AnchorSideTop (TControl)
 |  | AutoSize (TControl)
pl | ro | AutoSize (TCDButton)
pt | ro | AutoSizing (TControl)
pt | ro | AutoSizingAll (TControl)
pt | ro | AutoSizingLockCount (TControl)
 | ro | BaseBounds (TControl)
 | ro | BaseParentClientSize (TControl)
 |  | BiDiMode (TControl)
 |  | BorderSpacing (TControl)
pt |  | BorderStyle (TWinControl)
 | ro | BorderStyle (TCustomControl)
 |  | BorderWidth (TWinControl)
 | ro | BoundsLockCount (TWinControl)
 |  | BoundsRect (TControl)
 |  | BoundsRectForNewParent (TControl)
 | ro | Brush (TWinControl)
 | ro | CachedClientHeight (TWinControl)
 | ro | CachedClientWidth (TWinControl)
 |  | Canvas (TCustomControl)
 |  | Caption (TControl)
pl | ro | Caption (TCDButton)
 |  | CaptureMouseButtons (TControl)
pt |  | Checked (TCDButtonControl)
 |  | ChildSizing (TWinControl)
 |  | ClientHeight (TControl)
 | ro | ClientOrigin (TControl)
 | ro | ClientRect (TControl)
 |  | ClientWidth (TControl)
 |  | Color (TControl)
pl | ro | Color (TCDButton)
 | ro | ComObject (TComponent)
 | ro | ComponentCount (TComponent)
 |  | ComponentIndex (TComponent)
 | ro | Components (TComponent)
 | ro | ComponentState (TComponent)
 | ro | ComponentStyle (TComponent)
 |  | Constraints (TControl)
pl | ro | Constraints (TCDButton)
 | ro | ControlCount (TWinControl)
 | ro | ControlOrigin (TControl)
 | ro | Controls (TWinControl)
 |  | ControlState (TControl)
 |  | ControlStyle (TControl)
pl |  | Cursor (TControl)
 |  | DefWndProc (TWinControl)
 |  | DesignerDeleting (TWinControl)
 |  | DesignInfo (TComponent)
pt |  | DesktopFont (TControl)
 | ro | DockClientCount (TWinControl)
 | ro | DockClients (TWinControl)
 |  | DockManager (TWinControl)
 |  | DockOrientation (TControl)
 |  | DockSite (TWinControl)
 |  | DoubleBuffered (TWinControl)
pt |  | DragCursor (TControl)
pt |  | DragKind (TControl)
pt |  | DragMode (TControl)
pt |  | DrawStyle (TCDControl)
pl | ro | DrawStyle (TCDButton)
 |  | Enabled (TControl)
pl | ro | Enabled (TCDButton)
 | ro | Floating (TControl)
 |  | FloatingDockSiteClass (TControl)
 |  | Font (TControl)
pl | ro | Font (TCDButton)
pl |  | Glyph (TCDButton)
 |  | Handle (TWinControl)
pl |  | Height (TControl)
pl |  | HelpContext (TControl)
pl |  | HelpKeyword (TControl)
pl |  | HelpType (TControl)
pl |  | Hint (TControl)
 |  | HostDockSite (TControl)
 |  | IsControl (TControl)
 | ro | IsFlipped (TWinControl)
 | ro | IsResizing (TWinControl)
pl |  | Kind (TCDButton)
 | ro | LCLRefCount (TLCLComponent)
pl |  | Left (TControl)
 |  | LRDockWidth (TControl)
pl |  | ModalResult (TCDButton)
pt |  | MouseCapture (TControl)
 | ro | MouseEntered (TControl)
 | ro | MouseInClient (TControl)
 |  | Name (TComponent)
 | ro | Owner (TComponent)
 |  | Parent (TControl)
pt |  | ParentBackground (TWinControl)
 |  | ParentBiDiMode (TControl)
pt |  | ParentColor (TControl)
 |  | ParentDoubleBuffered (TWinControl)
pt |  | ParentFont (TControl)
pl | ro | ParentFont (TCDButton)
pt |  | ParentShowHint (TControl)
pl | ro | ParentShowHint (TCDButton)
 |  | ParentWindow (TWinControl)
 |  | PopupMenu (TControl)
pl | ro | PopupMenu (TCDButton)
 | ro | ReadBounds (TControl)
pt |  | SessionProperties (TControl)
 |  | ShowHint (TControl)
pl | ro | ShowHint (TCDButton)
 | ro | Showing (TWinControl)
pt |  | State (TCDButtonControl)
 |  | TabOrder (TWinControl)
pl | ro | TabOrder (TCDButton)
 |  | TabStop (TWinControl)
pl | ro | TabStop (TCDButton)
 |  | Tag (TComponent)
 |  | TBDockHeight (TControl)
pt |  | Text (TControl)
pl |  | Top (TControl)
 |  | UndockHeight (TControl)
 |  | UndockWidth (TControl)
 |  | UseDockManager (TWinControl)
 |  | VCLComObject (TComponent)
 |  | Visible (TControl)
pl | ro | Visible (TCDButton)
 | ro | VisibleDockClientCount (TWinControl)
 | ro | WidgetSetClass (TLCLComponent)
pl |  | Width (TControl)
pt |  | WindowHandle (TWinControl)
 |  | WindowProc (TControl)


TCDButton
pt | Click
pt | GetControlId
pt | CreateControlStateEx
pt | PrepareControlStateEx
 | Create
 | Destroy
TCDButtonControl
pt | KeyDown
pt | KeyUp
pt | MouseDown
pt | MouseUp
pt | MouseEnter
pt | MouseLeave
pt | DoUncheckButton
pt | DoCheckIfFirstButtonInGroup
pt | DoButtonDown
pt | DoButtonUp
pt | RealSetText
pt | GetChecked
pt | SetChecked
pt | GetCheckedState
pt | SetCheckedState
TCDControl
pt | CalculatePreferredSize
pt | SetState
pt | PrepareCurrentDrawer
pt | SetDrawStyle
pt | GetClientRect
pt | GetControlId
pt | CreateControlStateEx
pt | PrepareControlState
pt | PrepareControlStateEx
pt | DoEnter
pt | DoExit
pt | MouseEnter
pt | MouseLeave
pt | MouseDown
 | Create
 | Destroy
 | LCLWSCalculatePreferredSize
 | EraseBackground
 | Paint
 | DrawToCanvas
TCustomControl
pt | WSRegisterClass
pt | WMPaint
pt | DestroyWnd
pt | PaintWindow
pt | FontChanged
pt | SetColor
pt | Paint
 | Create
 | Destroy
TWinControl
pt | WSRegisterClass
pt | AdjustClientRect
pt | GetAdjustedLogicalClientRect
pt | AlignControls
pt | CustomAlignInsertBefore
pt | CustomAlignPosition
pt | DoAlignChildControls
pt | DoChildSizingChange
pt | InvalidatePreferredChildSizes
pt | CanTab
pt | IsClientHeightStored
pt | IsClientWidthStored
pt | DoSendShowHideToInterface
pt | ControlsAligned
pt | DoSendBoundsToInterface
pt | RealizeBounds
pt | RealizeBoundsRecursive
pt | InvalidateBoundsRealized
pt | CreateSubClass
pt | DoConstraintsChange
pt | DoSetBounds
pt | DoAutoSize
pt | DoAllAutoSize
pt | AllAutoSized
pt | CalculatePreferredSize
pt | GetPreferredSizeClientFrame
pt | GetChildren
pt | ChildClassAllowed
pt | PaintControls
pt | PaintHandler
pt | PaintWindow
pt | CreateBrush
pt | ScaleControls
pt | ChangeScale
pt | CMBiDiModeChanged
pt | CMBorderChanged
pt | CMDoubleBufferedChanged
pt | CMEnabledChanged
pt | CMParentDoubleBufferedChanged
pt | CMShowingChanged
pt | CMShowHintChanged
pt | CMVisibleChanged
pt | CMEnter
pt | CMExit
pt | WMContextMenu
pt | WMEraseBkgnd
pt | WMNotify
pt | WMSetFocus
pt | WMKillFocus
pt | WMShowWindow
pt | WMEnter
pt | WMExit
pt | WMKeyDown
pt | WMSysKeyDown
pt | WMKeyUp
pt | WMSysKeyUp
pt | WMChar
pt | WMSysChar
pt | WMPaint
pt | WMDestroy
pt | WMMove
pt | WMSize
pt | WMWindowPosChanged
pt | CNKeyDown
pt | CNSysKeyDown
pt | CNKeyUp
pt | CNSysKeyUp
pt | CNChar
pt | DoDragMsg
pt | DoDockClientMsg
pt | DoUndockClientMsg
pt | DoAddDockClient
pt | DockOver
pt | DoDockOver
pt | DoRemoveDockClient
pt | DoUnDock
pt | GetSiteInfo
pt | GetParentHandle
pt | GetTopParentHandle
pt | ReloadDockedControl
pt | CreateDockManager
pt | SetDockManager
pt | DoFloatMsg
pt | DoGetDockCaption
pt | DoEnter
pt | DoExit
pt | DoKeyDownBeforeInterface
pt | DoRemainingKeyDown
pt | DoRemainingKeyUp
pt | DoKeyPress
pt | DoUTF8KeyPress
pt | DoKeyUpBeforeInterface
pt | ChildKey
pt | SendDialogChar
pt | DialogChar
pt | ControlKeyDown
pt | ControlKeyUp
pt | KeyDown
pt | KeyDownBeforeInterface
pt | KeyDownAfterInterface
pt | KeyPress
pt | KeyUp
pt | KeyUpBeforeInterface
pt | KeyUpAfterInterface
pt | UTF8KeyPress
pt | FindNextControl
pt | SelectFirst
pt | RealGetText
pt | GetBorderStyle
pt | GetClientOrigin
pt | GetClientRect
pt | GetControlOrigin
pt | GetDeviceContext
pt | GetParentBackground
pt | IsControlMouseMsg
pt | CreateHandle
pt | CreateParams
pt | CreateWnd
pt | DestroyHandle
pt | DestroyWnd
pt | DoFlipChildren
pt | FinalizeWnd
pt | FixupTabList
pt | FontChanged
pt | InitializeWnd
pt | Loaded
pt | FormEndUpdated
pt | MainWndProc
pt | ParentFormHandleInitialized
pt | ChildHandlesCreated
pt | GetMouseCapture
pt | RealSetText
pt | RemoveFocus
pt | SendMoveSizeMessages
pt | SetBorderStyle
pt | SetColor
pt | SetChildZPosition
pt | SetParentBackground
pt | ShowControl
pt | UpdateControlState
pt | UpdateShowing
pt | WndProc
pt | WSSetText
 | AutoSizePhases
 | AutoSizeDelayed
 | AutoSizeDelayedReport
 | AutoSizeDelayedHandle
 | BeginUpdateBounds
 | EndUpdateBounds
 | LockRealizeBounds
 | UnlockRealizeBounds
 | ControlAtPos
 | ContainsControl
 | DoAdjustClientRectChange
 | InvalidateClientRectCache
 | ClientRectNeedsInterfaceUpdate
 | SetBounds
 | GetChildrenRect
 | DisableAlign
 | EnableAlign
 | ReAlign
 | ScrollBy_WS
 | ScrollBy
 | WriteLayoutDebugReport
 | AutoAdjustLayout
 | Create
 | CreateParented
 | CreateParentedControl
 | Destroy
 | DockDrop
 | CanFocus
 | CanSetFocus
 | GetControlIndex
 | SetControlIndex
 | Focused
 | PerformTab
 | FindChildControl
 | SelectNext
 | SetTempCursor
 | BroadCast
 | NotifyControls
 | DefaultHandler
 | GetTextLen
 | Invalidate
 | AddControl
 | InsertControl
 | RemoveControl
 | GetEnumeratorControls
 | GetEnumeratorControlsReverse
 | Repaint
 | Update
 | SetFocus
 | FlipChildren
 | ScaleBy
 | GetDockCaption
 | UpdateDockCaption
 | GetTabOrderList
 | HandleAllocated
 | ParentHandlesAllocated
 | HandleNeeded
 | BrushCreated
 | EraseBackground
 | IntfUTF8KeyPress
 | IntfGetDropFilesTarget
 | PaintTo
 | SetShape
TControl
pt | WSRegisterClass
pt | GetCursor
pt | SetCursor
pt | SetVisible
pt | DoOnParentHandleDestruction
pt | DoAutoSize
pt | DoAllAutoSize
pt | BeginAutoSizing
pt | EndAutoSizing
pt | AnchorSideChanged
pt | ForeignAnchorSideChanged
pt | SetAlign
pt | SetAnchors
pt | SetAutoSize
pt | BoundsChanged
pt | CreateControlBorderSpacing
pt | DoConstraintsChange
pt | DoBorderSpacingChange
pt | IsBorderSpacingInnerBorderStored
pt | IsCaptionStored
pt | SendMoveSizeMessages
pt | ConstrainedResize
pt | CalculatePreferredSize
pt | DoOnResize
pt | DoOnChangeBounds
pt | CheckOnChangeBounds
pt | Resize
pt | RequestAlign
pt | UpdateAnchorRules
pt | ChangeBounds
pt | DoSetBounds
pt | ScaleConstraints
pt | ChangeScale
pt | CanAutoSize
pt | SetBiDiMode
pt | SetParentBiDiMode
pt | IsAParentAligning
pt | GetClientOrigin
pt | GetClientRect
pt | GetLogicalClientRect
pt | GetScrolledClientRect
pt | GetClientScrollOffset
pt | GetControlOrigin
pt | IsClientHeightStored
pt | IsClientWidthStored
pt | WidthIsAnchored
pt | HeightIsAnchored
pt | WMCancelMode
pt | WMContextMenu
pt | WMLButtonDown
pt | WMRButtonDown
pt | WMMButtonDown
pt | WMXButtonDown
pt | WMLButtonDBLCLK
pt | WMRButtonDBLCLK
pt | WMMButtonDBLCLK
pt | WMXButtonDBLCLK
pt | WMLButtonTripleCLK
pt | WMRButtonTripleCLK
pt | WMMButtonTripleCLK
pt | WMXButtonTripleCLK
pt | WMLButtonQuadCLK
pt | WMRButtonQuadCLK
pt | WMMButtonQuadCLK
pt | WMXButtonQuadCLK
pt | WMMouseMove
pt | WMLButtonUp
pt | WMRButtonUp
pt | WMMButtonUp
pt | WMXButtonUp
pt | WMMouseWheel
pt | WMMouseHWheel
pt | WMMove
pt | WMSize
pt | WMWindowPosChanged
pt | CMChanged
pt | LMCaptureChanged
pt | CMBiDiModeChanged
pt | CMSysFontChanged
pt | CMEnabledChanged
pt | CMHitTest
pt | CMMouseEnter
pt | CMMouseLeave
pt | CMHintShow
pt | CMParentBiDiModeChanged
pt | CMParentColorChanged
pt | CMParentFontChanged
pt | CMParentShowHintChanged
pt | CMVisibleChanged
pt | CMTextChanged
pt | CMCursorChanged
pt | CalculateDockSizes
pt | CreateFloatingDockSite
pt | GetDockEdge
pt | GetDragImages
pt | GetFloating
pt | GetFloatingDockSiteClass
pt | BeforeDragStart
pt | BeginAutoDrag
pt | DoFloatMsg
pt | DockTrackNoTarget
pt | DoDock
pt | DoDragMsg
pt | DoEndDock
pt | DoEndDrag
pt | DoStartDock
pt | DoStartDrag
pt | DragCanceled
pt | DragOver
pt | PositionDockRect
pt | SetDragMode
pt | GetDefaultDockCaption
pt | Click
pt | DblClick
pt | TripleClick
pt | QuadClick
pt | GetMousePosFromMessage
pt | MouseDown
pt | MouseMove
pt | MouseUp
pt | MouseEnter
pt | MouseLeave
pt | DialogChar
pt | UpdateMouseCursor
pt | Changed
pt | GetPalette
pt | ChildClassAllowed
pt | ReadState
pt | Loaded
pt | LoadedAll
pt | DefineProperties
pt | AssignTo
pt | FormEndUpdated
pt | InvalidateControl
pt | FontChanged
pt | ParentFontChanged
pt | GetAction
pt | RealGetText
pt | RealSetText
pt | TextChanged
pt | GetCachedText
pt | SetAction
pt | SetColor
pt | SetEnabled
pt | SetHint
pt | SetName
pt | SetParent
pt | SetParentComponent
pt | WndProc
pt | ParentFormHandleInitialized
pt | GetMouseCapture
pt | CaptureChanged
pt | Notification
pt | CanTab
pt | GetDeviceContext
pt | GetEnabled
pt | GetPopupMenu
pt | DoOnShowHint
pt | DoMouseWheel
pt | DoMouseWheelDown
pt | DoMouseWheelUp
pt | DoMouseWheelHorz
pt | DoMouseWheelLeft
pt | DoMouseWheelRight
pt | VisibleChanging
pt | VisibleChanged
pt | EnabledChanging
pt | EnabledChanged
pt | AddHandler
pt | RemoveHandler
pt | DoCallNotifyHandler
pt | DoCallKeyEventHandler
pt | DoCallMouseWheelEventHandler
pt | DoContextPopup
pt | SetZOrder
pt | GetControlClassDefaultSize
pt | ColorIsStored
pt | DoAutoAdjustLayout
pt | DoFixDesignFontPPI
pt | DoScaleFontPPI
pt | GetActionLinkClass
pt | ActionChange
 | DragDrop
 | Dock
 | ManualDock
 | ManualFloat
 | ReplaceDockedControl
 | Docked
 | Dragging
 | GetAccessibleObject
 | CreateAccessibleObject
 | GetSelectedChildAccessibleObject
 | GetChildAccessibleObjectAtPos
 | ScaleDesignToForm
 | ScaleFormToDesign
 | Scale96ToForm
 | ScaleFormTo96
 | Scale96ToFont
 | ScaleFontTo96
 | ScaleScreenToFont
 | ScaleFontToScreen
 | Scale96ToScreen
 | ScaleScreenTo96
 | AdjustSize
 | AutoSizePhases
 | AutoSizeDelayed
 | AutoSizeDelayedReport
 | AutoSizeDelayedHandle
 | AnchorToNeighbour
 | AnchorParallel
 | AnchorHorizontalCenterTo
 | AnchorVerticalCenterTo
 | AnchorToCompanion
 | AnchorSame
 | AnchorAsAlign
 | AnchorClient
 | AnchoredControlCount
 | SetBounds
 | SetInitialBounds
 | SetBoundsKeepBase
 | GetPreferredSize
 | GetCanvasScaleFactor
 | GetDefaultWidth
 | GetDefaultHeight
 | GetDefaultColor
 | GetColorResolvingParent
 | GetRGBColorResolvingParent
 | GetSidePosition
 | CNPreferredSizeChanged
 | InvalidatePreferredSize
 | GetAnchorsDependingOnParent
 | DisableAutoSizing
 | EnableAutoSizing
 | UpdateBaseBounds
 | WriteLayoutDebugReport
 | AutoAdjustLayout
 | ShouldAutoAdjust
 | FixDesignFontsPPI
 | ScaleFontsPPI
 | Create
 | Destroy
 | BeforeDestruction
 | EditingDone
 | ExecuteDefaultAction
 | ExecuteCancelAction
 | BeginDrag
 | EndDrag
 | BringToFront
 | HasParent
 | GetParentComponent
 | IsParentOf
 | GetTopParent
 | IsVisible
 | IsControlVisible
 | IsEnabled
 | IsParentColor
 | IsParentFont
 | FormIsUpdating
 | IsProcessingPaintMsg
 | Hide
 | Refresh
 | Repaint
 | Invalidate
 | CheckChildClassAllowed
 | CheckNewParent
 | SendToBack
 | SetTempCursor
 | UpdateRolesForForm
 | ActiveDefaultControlChanged
 | GetTextBuf
 | GetTextLen
 | SetTextBuf
 | Perform
 | ScreenToClient
 | ClientToScreen
 | ScreenToControl
 | ControlToScreen
 | ClientToParent
 | ParentToClient
 | GetChildrenRect
 | Show
 | Update
 | HandleObjectShouldBeVisible
 | ParentDestroyingHandle
 | ParentHandlesAllocated
 | InitiateAction
 | ShowHelp
 | HasHelp
 | RemoveAllHandlersOfObject
 | AddHandlerOnResize
 | RemoveHandlerOnResize
 | AddHandlerOnChangeBounds
 | RemoveHandlerOnChangeBounds
 | AddHandlerOnVisibleChanging
 | RemoveHandlerOnVisibleChanging
 | AddHandlerOnVisibleChanged
 | RemoveHandlerOnVisibleChanged
 | AddHandlerOnEnabledChanged
 | RemoveHandlerOnEnableChanging
 | AddHandlerOnKeyDown
 | RemoveHandlerOnKeyDown
 | AddHandlerOnBeforeDestruction
 | RemoveHandlerOnBeforeDestruction
 | AddHandlerOnMouseWheel
 | RemoveHandlerOnMouseWheel
 | UseRightToLeftAlignment
 | UseRightToLeftReading
 | UseRightToLeftScrollBar
 | IsRightToLeft
TLCLComponent
pt | WSRegisterClass
pt | GetWSComponentClass
 | Create
 | Destroy
 | NewInstance
 | RemoveAllHandlersOfObject
 | IncLCLRefCount
 | DecLCLRefCount
TComponent
 | GetComObject
 | GetComponent
 | GetComponentCount
 | GetComponentIndex
 | Insert
 | ReadLeft
 | ReadTop
 | Remove
 | RemoveNotification
 | SetComponentIndex
 | SetReference
 | WriteLeft
 | WriteTop
 | ChangeName
 | DefineProperties
 | GetChildren
 | GetChildOwner
 | GetChildParent
 | GetOwner
 | Loaded
 | Loading
 | Notification
 | PaletteCreated
 | ReadState
 | SetAncestor
 | SetDesigning
 | SetDesignInstance
 | SetInline
 | SetName
 | SetChildOrder
 | SetParentComponent
 | Updating
 | Updated
 | UpdateRegistry
 | ValidateRename
 | ValidateContainer
 | ValidateInsert
 | QueryInterface
 | _AddRef
 | _Release
 | iicrGetComponent
 | GetTypeInfoCount
 | GetTypeInfo
 | GetIDsOfNames
 | Invoke
 | WriteState
 | Create
 | Destroy
 | BeforeDestruction
 | DestroyComponents
 | Destroying
 | ExecuteAction
 | FindComponent
 | FreeNotification
 | RemoveFreeNotification
 | FreeOnRelease
 | GetEnumerator
 | GetNamePath
 | GetParentComponent
 | HasParent
 | InsertComponent
 | RemoveComponent
 | SafeCallException
 | SetSubComponent
 | UpdateAction
 | IsImplementorOf
 | ReferenceInterface
TPersistent
 | AssignError
 | AssignTo
 | DefineProperties
 | GetOwner
 | Destroy
 | Assign
 | FPOAttachObserver
 | FPODetachObserver
 | FPONotifyObservers
 | GetNamePath
TObject
 | Create
 | Destroy
 | newinstance
 | FreeInstance
 | SafeCallException
 | DefaultHandler
 | Free
 | InitInstance
 | CleanupInstance
 | ClassType
 | ClassInfo
 | ClassName
 | ClassNameIs
 | ClassParent
 | InstanceSize
 | InheritsFrom
 | StringMessageTable
 | MethodAddress
 | MethodName
 | FieldAddress
 | AfterConstruction
 | BeforeDestruction
 | DefaultHandlerStr
 | Dispatch
 | DispatchStr
 | GetInterface
 | GetInterfaceByStr
 | GetInterfaceWeak
 | GetInterfaceEntry
 | GetInterfaceEntryByStr
 | GetInterfaceTable
 | UnitName
 | Equals
 | GetHashCode
 | ToString


pt | ActionChange (TControl)
 | ActiveDefaultControlChanged (TControl)
 | AddControl (TWinControl)
pt | AddHandler (TControl)
 | AddHandlerOnBeforeDestruction (TControl)
 | AddHandlerOnChangeBounds (TControl)
 | AddHandlerOnEnabledChanged (TControl)
 | AddHandlerOnKeyDown (TControl)
 | AddHandlerOnMouseWheel (TControl)
 | AddHandlerOnResize (TControl)
 | AddHandlerOnVisibleChanged (TControl)
 | AddHandlerOnVisibleChanging (TControl)
pt | AdjustClientRect (TWinControl)
 | AdjustSize (TControl)
 | AfterConstruction (TObject)
pt | AlignControls (TWinControl)
pt | AllAutoSized (TWinControl)
 | AnchorAsAlign (TControl)
 | AnchorClient (TControl)
 | AnchoredControlCount (TControl)
 | AnchorHorizontalCenterTo (TControl)
 | AnchorParallel (TControl)
 | AnchorSame (TControl)
pt | AnchorSideChanged (TControl)
 | AnchorToCompanion (TControl)
 | AnchorToNeighbour (TControl)
 | AnchorVerticalCenterTo (TControl)
 | Assign (TPersistent)
 | AssignError (TPersistent)
 | AssignTo (TPersistent)
pt | AssignTo (TControl)
 | AutoAdjustLayout (TControl)
 | AutoAdjustLayout (TWinControl)
 | AutoSizeDelayed (TControl)
 | AutoSizeDelayed (TWinControl)
 | AutoSizeDelayedHandle (TControl)
 | AutoSizeDelayedHandle (TWinControl)
 | AutoSizeDelayedReport (TControl)
 | AutoSizeDelayedReport (TWinControl)
 | AutoSizePhases (TControl)
 | AutoSizePhases (TWinControl)
 | BeforeDestruction (TObject)
 | BeforeDestruction (TComponent)
 | BeforeDestruction (TControl)
pt | BeforeDragStart (TControl)
pt | BeginAutoDrag (TControl)
pt | BeginAutoSizing (TControl)
 | BeginDrag (TControl)
 | BeginUpdateBounds (TWinControl)
pt | BoundsChanged (TControl)
 | BringToFront (TControl)
 | BroadCast (TWinControl)
 | BrushCreated (TWinControl)
pt | CalculateDockSizes (TControl)
pt | CalculatePreferredSize (TControl)
pt | CalculatePreferredSize (TWinControl)
pt | CalculatePreferredSize (TCDControl)
pt | CanAutoSize (TControl)
 | CanFocus (TWinControl)
 | CanSetFocus (TWinControl)
pt | CanTab (TControl)
pt | CanTab (TWinControl)
pt | CaptureChanged (TControl)
pt | ChangeBounds (TControl)
pt | Changed (TControl)
 | ChangeName (TComponent)
pt | ChangeScale (TControl)
pt | ChangeScale (TWinControl)
 | CheckChildClassAllowed (TControl)
 | CheckNewParent (TControl)
pt | CheckOnChangeBounds (TControl)
pt | ChildClassAllowed (TControl)
pt | ChildClassAllowed (TWinControl)
pt | ChildHandlesCreated (TWinControl)
pt | ChildKey (TWinControl)
 | ClassInfo (TObject)
 | ClassName (TObject)
 | ClassNameIs (TObject)
 | ClassParent (TObject)
 | ClassType (TObject)
 | CleanupInstance (TObject)
pt | Click (TControl)
pt | Click (TCDButton)
 | ClientRectNeedsInterfaceUpdate (TWinControl)
 | ClientToParent (TControl)
 | ClientToScreen (TControl)
pt | CMBiDiModeChanged (TControl)
pt | CMBiDiModeChanged (TWinControl)
pt | CMBorderChanged (TWinControl)
pt | CMChanged (TControl)
pt | CMCursorChanged (TControl)
pt | CMDoubleBufferedChanged (TWinControl)
pt | CMEnabledChanged (TControl)
pt | CMEnabledChanged (TWinControl)
pt | CMEnter (TWinControl)
pt | CMExit (TWinControl)
pt | CMHintShow (TControl)
pt | CMHitTest (TControl)
pt | CMMouseEnter (TControl)
pt | CMMouseLeave (TControl)
pt | CMParentBiDiModeChanged (TControl)
pt | CMParentColorChanged (TControl)
pt | CMParentDoubleBufferedChanged (TWinControl)
pt | CMParentFontChanged (TControl)
pt | CMParentShowHintChanged (TControl)
pt | CMShowHintChanged (TWinControl)
pt | CMShowingChanged (TWinControl)
pt | CMSysFontChanged (TControl)
pt | CMTextChanged (TControl)
pt | CMVisibleChanged (TControl)
pt | CMVisibleChanged (TWinControl)
pt | CNChar (TWinControl)
pt | CNKeyDown (TWinControl)
pt | CNKeyUp (TWinControl)
 | CNPreferredSizeChanged (TControl)
pt | CNSysKeyDown (TWinControl)
pt | CNSysKeyUp (TWinControl)
pt | ColorIsStored (TControl)
pt | ConstrainedResize (TControl)
 | ContainsControl (TWinControl)
 | ControlAtPos (TWinControl)
pt | ControlKeyDown (TWinControl)
pt | ControlKeyUp (TWinControl)
pt | ControlsAligned (TWinControl)
 | ControlToScreen (TControl)
 | Create (TObject)
 | Create (TComponent)
 | Create (TLCLComponent)
 | Create (TControl)
 | Create (TWinControl)
 | Create (TCustomControl)
 | Create (TCDControl)
 | Create (TCDButton)
 | CreateAccessibleObject (TControl)
pt | CreateBrush (TWinControl)
pt | CreateControlBorderSpacing (TControl)
pt | CreateControlStateEx (TCDControl)
pt | CreateControlStateEx (TCDButton)
pt | CreateDockManager (TWinControl)
pt | CreateFloatingDockSite (TControl)
pt | CreateHandle (TWinControl)
pt | CreateParams (TWinControl)
 | CreateParented (TWinControl)
 | CreateParentedControl (TWinControl)
pt | CreateSubClass (TWinControl)
pt | CreateWnd (TWinControl)
pt | CustomAlignInsertBefore (TWinControl)
pt | CustomAlignPosition (TWinControl)
pt | DblClick (TControl)
 | DecLCLRefCount (TLCLComponent)
 | DefaultHandler (TObject)
 | DefaultHandler (TWinControl)
 | DefaultHandlerStr (TObject)
 | DefineProperties (TPersistent)
 | DefineProperties (TComponent)
pt | DefineProperties (TControl)
 | Destroy (TObject)
 | Destroy (TPersistent)
 | Destroy (TComponent)
 | Destroy (TLCLComponent)
 | Destroy (TControl)
 | Destroy (TWinControl)
 | Destroy (TCustomControl)
 | Destroy (TCDControl)
 | Destroy (TCDButton)
 | DestroyComponents (TComponent)
pt | DestroyHandle (TWinControl)
 | Destroying (TComponent)
pt | DestroyWnd (TWinControl)
pt | DestroyWnd (TCustomControl)
pt | DialogChar (TControl)
pt | DialogChar (TWinControl)
 | DisableAlign (TWinControl)
 | DisableAutoSizing (TControl)
 | Dispatch (TObject)
 | DispatchStr (TObject)
pt | DoAddDockClient (TWinControl)
 | DoAdjustClientRectChange (TWinControl)
pt | DoAlignChildControls (TWinControl)
pt | DoAllAutoSize (TControl)
pt | DoAllAutoSize (TWinControl)
pt | DoAutoAdjustLayout (TControl)
pt | DoAutoSize (TControl)
pt | DoAutoSize (TWinControl)
pt | DoBorderSpacingChange (TControl)
pt | DoButtonDown (TCDButtonControl)
pt | DoButtonUp (TCDButtonControl)
pt | DoCallKeyEventHandler (TControl)
pt | DoCallMouseWheelEventHandler (TControl)
pt | DoCallNotifyHandler (TControl)
pt | DoCheckIfFirstButtonInGroup (TCDButtonControl)
pt | DoChildSizingChange (TWinControl)
 | Dock (TControl)
 | DockDrop (TWinControl)
 | Docked (TControl)
pt | DockOver (TWinControl)
pt | DockTrackNoTarget (TControl)
pt | DoConstraintsChange (TControl)
pt | DoConstraintsChange (TWinControl)
pt | DoContextPopup (TControl)
pt | DoDock (TControl)
pt | DoDockClientMsg (TWinControl)
pt | DoDockOver (TWinControl)
pt | DoDragMsg (TControl)
pt | DoDragMsg (TWinControl)
pt | DoEndDock (TControl)
pt | DoEndDrag (TControl)
pt | DoEnter (TWinControl)
pt | DoEnter (TCDControl)
pt | DoExit (TWinControl)
pt | DoExit (TCDControl)
pt | DoFixDesignFontPPI (TControl)
pt | DoFlipChildren (TWinControl)
pt | DoFloatMsg (TControl)
pt | DoFloatMsg (TWinControl)
pt | DoGetDockCaption (TWinControl)
pt | DoKeyDownBeforeInterface (TWinControl)
pt | DoKeyPress (TWinControl)
pt | DoKeyUpBeforeInterface (TWinControl)
pt | DoMouseWheel (TControl)
pt | DoMouseWheelDown (TControl)
pt | DoMouseWheelHorz (TControl)
pt | DoMouseWheelLeft (TControl)
pt | DoMouseWheelRight (TControl)
pt | DoMouseWheelUp (TControl)
pt | DoOnChangeBounds (TControl)
pt | DoOnParentHandleDestruction (TControl)
pt | DoOnResize (TControl)
pt | DoOnShowHint (TControl)
pt | DoRemainingKeyDown (TWinControl)
pt | DoRemainingKeyUp (TWinControl)
pt | DoRemoveDockClient (TWinControl)
pt | DoScaleFontPPI (TControl)
pt | DoSendBoundsToInterface (TWinControl)
pt | DoSendShowHideToInterface (TWinControl)
pt | DoSetBounds (TControl)
pt | DoSetBounds (TWinControl)
pt | DoStartDock (TControl)
pt | DoStartDrag (TControl)
pt | DoUncheckButton (TCDButtonControl)
pt | DoUnDock (TWinControl)
pt | DoUndockClientMsg (TWinControl)
pt | DoUTF8KeyPress (TWinControl)
pt | DragCanceled (TControl)
 | DragDrop (TControl)
 | Dragging (TControl)
pt | DragOver (TControl)
 | DrawToCanvas (TCDControl)
 | EditingDone (TControl)
 | EnableAlign (TWinControl)
 | EnableAutoSizing (TControl)
pt | EnabledChanged (TControl)
pt | EnabledChanging (TControl)
pt | EndAutoSizing (TControl)
 | EndDrag (TControl)
 | EndUpdateBounds (TWinControl)
 | Equals (TObject)
 | EraseBackground (TWinControl)
 | EraseBackground (TCDControl)
 | ExecuteAction (TComponent)
 | ExecuteCancelAction (TControl)
 | ExecuteDefaultAction (TControl)
 | FieldAddress (TObject)
pt | FinalizeWnd (TWinControl)
 | FindChildControl (TWinControl)
 | FindComponent (TComponent)
pt | FindNextControl (TWinControl)
 | FixDesignFontsPPI (TControl)
pt | FixupTabList (TWinControl)
 | FlipChildren (TWinControl)
 | Focused (TWinControl)
pt | FontChanged (TControl)
pt | FontChanged (TWinControl)
pt | FontChanged (TCustomControl)
pt | ForeignAnchorSideChanged (TControl)
pt | FormEndUpdated (TControl)
pt | FormEndUpdated (TWinControl)
 | FormIsUpdating (TControl)
 | FPOAttachObserver (TPersistent)
 | FPODetachObserver (TPersistent)
 | FPONotifyObservers (TPersistent)
 | Free (TObject)
 | FreeInstance (TObject)
 | FreeNotification (TComponent)
 | FreeOnRelease (TComponent)
 | GetAccessibleObject (TControl)
pt | GetAction (TControl)
pt | GetActionLinkClass (TControl)
pt | GetAdjustedLogicalClientRect (TWinControl)
 | GetAnchorsDependingOnParent (TControl)
pt | GetBorderStyle (TWinControl)
pt | GetCachedText (TControl)
 | GetCanvasScaleFactor (TControl)
pt | GetChecked (TCDButtonControl)
pt | GetCheckedState (TCDButtonControl)
 | GetChildAccessibleObjectAtPos (TControl)
 | GetChildOwner (TComponent)
 | GetChildParent (TComponent)
 | GetChildren (TComponent)
pt | GetChildren (TWinControl)
 | GetChildrenRect (TControl)
 | GetChildrenRect (TWinControl)
pt | GetClientOrigin (TControl)
pt | GetClientOrigin (TWinControl)
pt | GetClientRect (TControl)
pt | GetClientRect (TWinControl)
pt | GetClientRect (TCDControl)
pt | GetClientScrollOffset (TControl)
 | GetColorResolvingParent (TControl)
 | GetComObject (TComponent)
 | GetComponent (TComponent)
 | GetComponentCount (TComponent)
 | GetComponentIndex (TComponent)
pt | GetControlClassDefaultSize (TControl)
pt | GetControlId (TCDControl)
pt | GetControlId (TCDButton)
 | GetControlIndex (TWinControl)
pt | GetControlOrigin (TControl)
pt | GetControlOrigin (TWinControl)
pt | GetCursor (TControl)
 | GetDefaultColor (TControl)
pt | GetDefaultDockCaption (TControl)
 | GetDefaultHeight (TControl)
 | GetDefaultWidth (TControl)
pt | GetDeviceContext (TControl)
pt | GetDeviceContext (TWinControl)
 | GetDockCaption (TWinControl)
pt | GetDockEdge (TControl)
pt | GetDragImages (TControl)
pt | GetEnabled (TControl)
 | GetEnumerator (TComponent)
 | GetEnumeratorControls (TWinControl)
 | GetEnumeratorControlsReverse (TWinControl)
pt | GetFloating (TControl)
pt | GetFloatingDockSiteClass (TControl)
 | GetHashCode (TObject)
 | GetIDsOfNames (TComponent)
 | GetInterface (TObject)
 | GetInterfaceByStr (TObject)
 | GetInterfaceEntry (TObject)
 | GetInterfaceEntryByStr (TObject)
 | GetInterfaceTable (TObject)
 | GetInterfaceWeak (TObject)
pt | GetLogicalClientRect (TControl)
pt | GetMouseCapture (TControl)
pt | GetMouseCapture (TWinControl)
pt | GetMousePosFromMessage (TControl)
 | GetNamePath (TPersistent)
 | GetNamePath (TComponent)
 | GetOwner (TPersistent)
 | GetOwner (TComponent)
pt | GetPalette (TControl)
pt | GetParentBackground (TWinControl)
 | GetParentComponent (TComponent)
 | GetParentComponent (TControl)
pt | GetParentHandle (TWinControl)
pt | GetPopupMenu (TControl)
 | GetPreferredSize (TControl)
pt | GetPreferredSizeClientFrame (TWinControl)
 | GetRGBColorResolvingParent (TControl)
pt | GetScrolledClientRect (TControl)
 | GetSelectedChildAccessibleObject (TControl)
 | GetSidePosition (TControl)
pt | GetSiteInfo (TWinControl)
 | GetTabOrderList (TWinControl)
 | GetTextBuf (TControl)
 | GetTextLen (TControl)
 | GetTextLen (TWinControl)
 | GetTopParent (TControl)
pt | GetTopParentHandle (TWinControl)
 | GetTypeInfo (TComponent)
 | GetTypeInfoCount (TComponent)
pt | GetWSComponentClass (TLCLComponent)
 | HandleAllocated (TWinControl)
 | HandleNeeded (TWinControl)
 | HandleObjectShouldBeVisible (TControl)
 | HasHelp (TControl)
 | HasParent (TComponent)
 | HasParent (TControl)
pt | HeightIsAnchored (TControl)
 | Hide (TControl)
 | iicrGetComponent (TComponent)
 | IncLCLRefCount (TLCLComponent)
 | InheritsFrom (TObject)
pt | InitializeWnd (TWinControl)
 | InitiateAction (TControl)
 | InitInstance (TObject)
 | Insert (TComponent)
 | InsertComponent (TComponent)
 | InsertControl (TWinControl)
 | InstanceSize (TObject)
 | IntfGetDropFilesTarget (TWinControl)
 | IntfUTF8KeyPress (TWinControl)
 | Invalidate (TControl)
 | Invalidate (TWinControl)
pt | InvalidateBoundsRealized (TWinControl)
 | InvalidateClientRectCache (TWinControl)
pt | InvalidateControl (TControl)
pt | InvalidatePreferredChildSizes (TWinControl)
 | InvalidatePreferredSize (TControl)
 | Invoke (TComponent)
pt | IsAParentAligning (TControl)
pt | IsBorderSpacingInnerBorderStored (TControl)
pt | IsCaptionStored (TControl)
pt | IsClientHeightStored (TControl)
pt | IsClientHeightStored (TWinControl)
pt | IsClientWidthStored (TControl)
pt | IsClientWidthStored (TWinControl)
pt | IsControlMouseMsg (TWinControl)
 | IsControlVisible (TControl)
 | IsEnabled (TControl)
 | IsImplementorOf (TComponent)
 | IsParentColor (TControl)
 | IsParentFont (TControl)
 | IsParentOf (TControl)
 | IsProcessingPaintMsg (TControl)
 | IsRightToLeft (TControl)
 | IsVisible (TControl)
pt | KeyDown (TWinControl)
pt | KeyDown (TCDButtonControl)
pt | KeyDownAfterInterface (TWinControl)
pt | KeyDownBeforeInterface (TWinControl)
pt | KeyPress (TWinControl)
pt | KeyUp (TWinControl)
pt | KeyUp (TCDButtonControl)
pt | KeyUpAfterInterface (TWinControl)
pt | KeyUpBeforeInterface (TWinControl)
 | LCLWSCalculatePreferredSize (TCDControl)
pt | LMCaptureChanged (TControl)
 | Loaded (TComponent)
pt | Loaded (TControl)
pt | Loaded (TWinControl)
pt | LoadedAll (TControl)
 | Loading (TComponent)
 | LockRealizeBounds (TWinControl)
pt | MainWndProc (TWinControl)
 | ManualDock (TControl)
 | ManualFloat (TControl)
 | MethodAddress (TObject)
 | MethodName (TObject)
pt | MouseDown (TControl)
pt | MouseDown (TCDControl)
pt | MouseDown (TCDButtonControl)
pt | MouseEnter (TControl)
pt | MouseEnter (TCDControl)
pt | MouseEnter (TCDButtonControl)
pt | MouseLeave (TControl)
pt | MouseLeave (TCDControl)
pt | MouseLeave (TCDButtonControl)
pt | MouseMove (TControl)
pt | MouseUp (TControl)
pt | MouseUp (TCDButtonControl)
 | newinstance (TObject)
 | NewInstance (TLCLComponent)
 | Notification (TComponent)
pt | Notification (TControl)
 | NotifyControls (TWinControl)
pt | Paint (TCustomControl)
 | Paint (TCDControl)
pt | PaintControls (TWinControl)
pt | PaintHandler (TWinControl)
 | PaintTo (TWinControl)
pt | PaintWindow (TWinControl)
pt | PaintWindow (TCustomControl)
 | PaletteCreated (TComponent)
 | ParentDestroyingHandle (TControl)
pt | ParentFontChanged (TControl)
pt | ParentFormHandleInitialized (TControl)
pt | ParentFormHandleInitialized (TWinControl)
 | ParentHandlesAllocated (TControl)
 | ParentHandlesAllocated (TWinControl)
 | ParentToClient (TControl)
 | Perform (TControl)
 | PerformTab (TWinControl)
pt | PositionDockRect (TControl)
pt | PrepareControlState (TCDControl)
pt | PrepareControlStateEx (TCDControl)
pt | PrepareControlStateEx (TCDButton)
pt | PrepareCurrentDrawer (TCDControl)
pt | QuadClick (TControl)
 | QueryInterface (TComponent)
 | ReadLeft (TComponent)
 | ReadState (TComponent)
pt | ReadState (TControl)
 | ReadTop (TComponent)
pt | RealGetText (TControl)
pt | RealGetText (TWinControl)
 | ReAlign (TWinControl)
pt | RealizeBounds (TWinControl)
pt | RealizeBoundsRecursive (TWinControl)
pt | RealSetText (TControl)
pt | RealSetText (TWinControl)
pt | RealSetText (TCDButtonControl)
 | ReferenceInterface (TComponent)
 | Refresh (TControl)
pt | ReloadDockedControl (TWinControl)
 | Remove (TComponent)
 | RemoveAllHandlersOfObject (TLCLComponent)
 | RemoveAllHandlersOfObject (TControl)
 | RemoveComponent (TComponent)
 | RemoveControl (TWinControl)
pt | RemoveFocus (TWinControl)
 | RemoveFreeNotification (TComponent)
pt | RemoveHandler (TControl)
 | RemoveHandlerOnBeforeDestruction (TControl)
 | RemoveHandlerOnChangeBounds (TControl)
 | RemoveHandlerOnEnableChanging (TControl)
 | RemoveHandlerOnKeyDown (TControl)
 | RemoveHandlerOnMouseWheel (TControl)
 | RemoveHandlerOnResize (TControl)
 | RemoveHandlerOnVisibleChanged (TControl)
 | RemoveHandlerOnVisibleChanging (TControl)
 | RemoveNotification (TComponent)
 | Repaint (TControl)
 | Repaint (TWinControl)
 | ReplaceDockedControl (TControl)
pt | RequestAlign (TControl)
pt | Resize (TControl)
 | SafeCallException (TObject)
 | SafeCallException (TComponent)
 | Scale96ToFont (TControl)
 | Scale96ToForm (TControl)
 | Scale96ToScreen (TControl)
 | ScaleBy (TWinControl)
pt | ScaleConstraints (TControl)
pt | ScaleControls (TWinControl)
 | ScaleDesignToForm (TControl)
 | ScaleFontsPPI (TControl)
 | ScaleFontTo96 (TControl)
 | ScaleFontToScreen (TControl)
 | ScaleFormTo96 (TControl)
 | ScaleFormToDesign (TControl)
 | ScaleScreenTo96 (TControl)
 | ScaleScreenToFont (TControl)
 | ScreenToClient (TControl)
 | ScreenToControl (TControl)
 | ScrollBy (TWinControl)
 | ScrollBy_WS (TWinControl)
pt | SelectFirst (TWinControl)
 | SelectNext (TWinControl)
pt | SendDialogChar (TWinControl)
pt | SendMoveSizeMessages (TControl)
pt | SendMoveSizeMessages (TWinControl)
 | SendToBack (TControl)
pt | SetAction (TControl)
pt | SetAlign (TControl)
 | SetAncestor (TComponent)
pt | SetAnchors (TControl)
pt | SetAutoSize (TControl)
pt | SetBiDiMode (TControl)
pt | SetBorderStyle (TWinControl)
 | SetBounds (TControl)
 | SetBounds (TWinControl)
 | SetBoundsKeepBase (TControl)
pt | SetChecked (TCDButtonControl)
pt | SetCheckedState (TCDButtonControl)
 | SetChildOrder (TComponent)
pt | SetChildZPosition (TWinControl)
pt | SetColor (TControl)
pt | SetColor (TWinControl)
pt | SetColor (TCustomControl)
 | SetComponentIndex (TComponent)
 | SetControlIndex (TWinControl)
pt | SetCursor (TControl)
 | SetDesigning (TComponent)
 | SetDesignInstance (TComponent)
pt | SetDockManager (TWinControl)
pt | SetDragMode (TControl)
pt | SetDrawStyle (TCDControl)
pt | SetEnabled (TControl)
 | SetFocus (TWinControl)
pt | SetHint (TControl)
 | SetInitialBounds (TControl)
 | SetInline (TComponent)
 | SetName (TComponent)
pt | SetName (TControl)
pt | SetParent (TControl)
pt | SetParentBackground (TWinControl)
pt | SetParentBiDiMode (TControl)
 | SetParentComponent (TComponent)
pt | SetParentComponent (TControl)
 | SetReference (TComponent)
 | SetShape (TWinControl)
pt | SetState (TCDControl)
 | SetSubComponent (TComponent)
 | SetTempCursor (TControl)
 | SetTempCursor (TWinControl)
 | SetTextBuf (TControl)
pt | SetVisible (TControl)
pt | SetZOrder (TControl)
 | ShouldAutoAdjust (TControl)
 | Show (TControl)
pt | ShowControl (TWinControl)
 | ShowHelp (TControl)
 | StringMessageTable (TObject)
pt | TextChanged (TControl)
 | ToString (TObject)
pt | TripleClick (TControl)
 | UnitName (TObject)
 | UnlockRealizeBounds (TWinControl)
 | Update (TControl)
 | Update (TWinControl)
 | UpdateAction (TComponent)
pt | UpdateAnchorRules (TControl)
 | UpdateBaseBounds (TControl)
pt | UpdateControlState (TWinControl)
 | Updated (TComponent)
 | UpdateDockCaption (TWinControl)
pt | UpdateMouseCursor (TControl)
 | UpdateRegistry (TComponent)
 | UpdateRolesForForm (TControl)
pt | UpdateShowing (TWinControl)
 | Updating (TComponent)
 | UseRightToLeftAlignment (TControl)
 | UseRightToLeftReading (TControl)
 | UseRightToLeftScrollBar (TControl)
pt | UTF8KeyPress (TWinControl)
 | ValidateContainer (TComponent)
 | ValidateInsert (TComponent)
 | ValidateRename (TComponent)
pt | VisibleChanged (TControl)
pt | VisibleChanging (TControl)
pt | WidthIsAnchored (TControl)
pt | WMCancelMode (TControl)
pt | WMChar (TWinControl)
pt | WMContextMenu (TControl)
pt | WMContextMenu (TWinControl)
pt | WMDestroy (TWinControl)
pt | WMEnter (TWinControl)
pt | WMEraseBkgnd (TWinControl)
pt | WMExit (TWinControl)
pt | WMKeyDown (TWinControl)
pt | WMKeyUp (TWinControl)
pt | WMKillFocus (TWinControl)
pt | WMLButtonDBLCLK (TControl)
pt | WMLButtonDown (TControl)
pt | WMLButtonQuadCLK (TControl)
pt | WMLButtonTripleCLK (TControl)
pt | WMLButtonUp (TControl)
pt | WMMButtonDBLCLK (TControl)
pt | WMMButtonDown (TControl)
pt | WMMButtonQuadCLK (TControl)
pt | WMMButtonTripleCLK (TControl)
pt | WMMButtonUp (TControl)
pt | WMMouseHWheel (TControl)
pt | WMMouseMove (TControl)
pt | WMMouseWheel (TControl)
pt | WMMove (TControl)
pt | WMMove (TWinControl)
pt | WMNotify (TWinControl)
pt | WMPaint (TWinControl)
pt | WMPaint (TCustomControl)
pt | WMRButtonDBLCLK (TControl)
pt | WMRButtonDown (TControl)
pt | WMRButtonQuadCLK (TControl)
pt | WMRButtonTripleCLK (TControl)
pt | WMRButtonUp (TControl)
pt | WMSetFocus (TWinControl)
pt | WMShowWindow (TWinControl)
pt | WMSize (TControl)
pt | WMSize (TWinControl)
pt | WMSysChar (TWinControl)
pt | WMSysKeyDown (TWinControl)
pt | WMSysKeyUp (TWinControl)
pt | WMWindowPosChanged (TControl)
pt | WMWindowPosChanged (TWinControl)
pt | WMXButtonDBLCLK (TControl)
pt | WMXButtonDown (TControl)
pt | WMXButtonQuadCLK (TControl)
pt | WMXButtonTripleCLK (TControl)
pt | WMXButtonUp (TControl)
pt | WndProc (TControl)
pt | WndProc (TWinControl)
 | WriteLayoutDebugReport (TControl)
 | WriteLayoutDebugReport (TWinControl)
 | WriteLeft (TComponent)
 | WriteState (TComponent)
 | WriteTop (TComponent)
pt | WSRegisterClass (TLCLComponent)
pt | WSRegisterClass (TControl)
pt | WSRegisterClass (TWinControl)
pt | WSRegisterClass (TCustomControl)
pt | WSSetText (TWinControl)
 | _AddRef (TComponent)
 | _Release (TComponent)


TCDButton
pl | ro | OnChangeBounds
pl | ro | OnClick
pl | ro | OnContextPopup
pl | ro | OnDragDrop
pl | ro | OnDragOver
pl | ro | OnEndDrag
pl | ro | OnEnter
pl | ro | OnExit
pl | ro | OnKeyDown
pl | ro | OnKeyPress
pl | ro | OnKeyUp
pl | ro | OnMouseDown
pl | ro | OnMouseEnter
pl | ro | OnMouseLeave
pl | ro | OnMouseMove
pl | ro | OnMouseUp
pl | ro | OnMouseWheel
pl | ro | OnMouseWheelDown
pl | ro | OnMouseWheelUp
pl | ro | OnResize
pl | ro | OnStartDrag
pl | ro | OnUTF8KeyPress
TCDButtonControl
TCDControl
TCustomControl
 |  | OnPaint
TWinControl
pt |  | OnGetSiteInfo
pt |  | OnGetDockCaption
 |  | OnAlignInsertBefore
 |  | OnAlignPosition
 |  | OnDockDrop
 |  | OnDockOver
 |  | OnEnter
 |  | OnExit
 |  | OnKeyDown
 |  | OnKeyPress
 |  | OnKeyUp
 |  | OnUnDock
 |  | OnUTF8KeyPress
TControl
pt |  | OnConstrainedResize
pt |  | OnContextPopup
pt |  | OnDblClick
pt |  | OnTripleClick
pt |  | OnQuadClick
pt |  | OnDragDrop
pt |  | OnDragOver
pt |  | OnEndDock
pt |  | OnEndDrag
pt |  | OnMouseDown
pt |  | OnMouseMove
pt |  | OnMouseUp
pt |  | OnMouseEnter
pt |  | OnMouseLeave
pt |  | OnMouseWheel
pt |  | OnMouseWheelDown
pt |  | OnMouseWheelUp
pt |  | OnMouseWheelHorz
pt |  | OnMouseWheelLeft
pt |  | OnMouseWheelRight
pt |  | OnStartDock
pt |  | OnStartDrag
pt |  | OnEditingDone
 |  | OnChangeBounds
 |  | OnClick
 |  | OnResize
 |  | OnShowHint
TLCLComponent
TComponent
TPersistent
TObject


pl | ro | OnChangeBounds (TCDButton)
 |  | OnClick (TControl)
pl | ro | OnClick (TCDButton)
pt |  | OnConstrainedResize (TControl)
pt |  | OnContextPopup (TControl)
pl | ro | OnContextPopup (TCDButton)
pt |  | OnDblClick (TControl)
 |  | OnDockDrop (TWinControl)
 |  | OnDockOver (TWinControl)
pt |  | OnDragDrop (TControl)
pl | ro | OnDragDrop (TCDButton)
pt |  | OnDragOver (TControl)
pl | ro | OnDragOver (TCDButton)
pt |  | OnEditingDone (TControl)
pt |  | OnEndDock (TControl)
pt |  | OnEndDrag (TControl)
pl | ro | OnEndDrag (TCDButton)
 |  | OnEnter (TWinControl)
pl | ro | OnEnter (TCDButton)
 |  | OnExit (TWinControl)
pl | ro | OnExit (TCDButton)
pt |  | OnGetDockCaption (TWinControl)
pt |  | OnGetSiteInfo (TWinControl)
 |  | OnKeyDown (TWinControl)
pl | ro | OnKeyDown (TCDButton)
 |  | OnKeyPress (TWinControl)
pl | ro | OnKeyPress (TCDButton)
 |  | OnKeyUp (TWinControl)
pl | ro | OnKeyUp (TCDButton)
pt |  | OnMouseDown (TControl)
pl | ro | OnMouseDown (TCDButton)
pt |  | OnMouseEnter (TControl)
pl | ro | OnMouseEnter (TCDButton)
pt |  | OnMouseLeave (TControl)
pl | ro | OnMouseLeave (TCDButton)
pt |  | OnMouseMove (TControl)
pl | ro | OnMouseMove (TCDButton)
pt |  | OnMouseUp (TControl)
pl | ro | OnMouseUp (TCDButton)
pt |  | OnMouseWheel (TControl)
pl | ro | OnMouseWheel (TCDButton)
pt |  | OnMouseWheelDown (TControl)
pl | ro | OnMouseWheelDown (TCDButton)
pt |  | OnMouseWheelHorz (TControl)
pt |  | OnMouseWheelLeft (TControl)
pt |  | OnMouseWheelRight (TControl)
pt |  | OnMouseWheelUp (TControl)
pl | ro | OnMouseWheelUp (TCDButton)
 |  | OnPaint (TCustomControl)
pt |  | OnQuadClick (TControl)
 |  | OnResize (TControl)
pl | ro | OnResize (TCDButton)
 |  | OnShowHint (TControl)
pt |  | OnStartDock (TControl)
pt |  | OnStartDrag (TControl)
pl | ro | OnStartDrag (TCDButton)
pt |  | OnTripleClick (TControl)
 |  | OnUnDock (TWinControl)
 |  | OnUTF8KeyPress (TWinControl)
pl | ro | OnUTF8KeyPress (TCDButton)


TCDButton.Action

Declaration

Source position: customdrawncontrols.pas line 146

published property TCDButton.Action : TBasicAction;


TCDButton.Align

Declaration

Source position: customdrawncontrols.pas line 147

published property TCDButton.Align : TAlign;


TCDButton.Anchors

Declaration

Source position: customdrawncontrols.pas line 148

published property TCDButton.Anchors : TAnchors;


TCDButton.AutoSize

Declaration

Source position: customdrawncontrols.pas line 149

published property TCDButton.AutoSize : Boolean;


TCDButton.Caption

Declaration

Source position: customdrawncontrols.pas line 150

published property TCDButton.Caption : TCaption;


TCDButton.Click

Declaration

Source position: customdrawncontrols.pas line 138

protected procedure TCDButton.Click; override;


TCDButton.Color

Declaration

Source position: customdrawncontrols.pas line 151

published property TCDButton.Color : TColor;


TCDButton.Constraints

Declaration

Source position: customdrawncontrols.pas line 152

published property TCDButton.Constraints : TSizeConstraints;


TCDButton.Create

Declaration

Source position: customdrawncontrols.pas line 143

public constructor TCDButton.Create(

  AOwner: TComponent

); override;


TCDButton.CreateControlStateEx

Declaration

Source position: customdrawncontrols.pas line 140

protected procedure TCDButton.CreateControlStateEx; override;


TCDButton.Destroy

Declaration

Source position: customdrawncontrols.pas line 144

public destructor TCDButton.Destroy; override;


TCDButton.DrawStyle

Declaration

Source position: customdrawncontrols.pas line 153

published property TCDButton.DrawStyle : TCDDrawStyle;


TCDButton.Enabled

Declaration

Source position: customdrawncontrols.pas line 154

published property TCDButton.Enabled : Boolean;


TCDButton.FBState

Declaration

Source position: customdrawncontrols.pas line 137

protected TCDButton.FBState : TCDButtonStateEx;


TCDButton.Font

Declaration

Source position: customdrawncontrols.pas line 155

published property TCDButton.Font : TFont;


TCDButton.GetControlId

Declaration

Source position: customdrawncontrols.pas line 139

protected function TCDButton.GetControlId: TCDControlID; override;


TCDButton.Glyph

Declaration

Source position: customdrawncontrols.pas line 156

published property TCDButton.Glyph : TBitmap
  read FGlyph
  write SetGlyph;


TCDButton.Kind

Declaration

Source position: customdrawncontrols.pas line 157

published property TCDButton.Kind : TBitBtnKind
  read FKind
  write SetKind
  default bkCustom;


TCDButton.ModalResult

Declaration

Source position: customdrawncontrols.pas line 159

published property TCDButton.ModalResult : TModalResult
  read FModalResult
  write SetModalResult
  default mrNone;


TCDButton.OnChangeBounds

Declaration

Source position: customdrawncontrols.pas line 160

published property TCDButton.OnChangeBounds : TNotifyEvent;


TCDButton.OnClick

Declaration

Source position: customdrawncontrols.pas line 161

published property TCDButton.OnClick : TNotifyEvent;


TCDButton.OnContextPopup

Declaration

Source position: customdrawncontrols.pas line 162

published property TCDButton.OnContextPopup : TContextPopupEvent;


TCDButton.OnDragDrop

Declaration

Source position: customdrawncontrols.pas line 163

published property TCDButton.OnDragDrop : TDragDropEvent;


TCDButton.OnDragOver

Declaration

Source position: customdrawncontrols.pas line 164

published property TCDButton.OnDragOver : TDragOverEvent;


TCDButton.OnEndDrag

Declaration

Source position: customdrawncontrols.pas line 165

published property TCDButton.OnEndDrag : TEndDragEvent;


TCDButton.OnEnter

Declaration

Source position: customdrawncontrols.pas line 166

published property TCDButton.OnEnter : TNotifyEvent;


TCDButton.OnExit

Declaration

Source position: customdrawncontrols.pas line 167

published property TCDButton.OnExit : TNotifyEvent;


TCDButton.OnKeyDown

Declaration

Source position: customdrawncontrols.pas line 168

published property TCDButton.OnKeyDown : TKeyEvent;


TCDButton.OnKeyPress

Declaration

Source position: customdrawncontrols.pas line 169

published property TCDButton.OnKeyPress : TKeyPressEvent;


TCDButton.OnKeyUp

Declaration

Source position: customdrawncontrols.pas line 170

published property TCDButton.OnKeyUp : TKeyEvent;


TCDButton.OnMouseDown

Declaration

Source position: customdrawncontrols.pas line 171

published property TCDButton.OnMouseDown : TMouseEvent;


TCDButton.OnMouseEnter

Declaration

Source position: customdrawncontrols.pas line 172

published property TCDButton.OnMouseEnter : TNotifyEvent;


TCDButton.OnMouseLeave

Declaration

Source position: customdrawncontrols.pas line 173

published property TCDButton.OnMouseLeave : TNotifyEvent;


TCDButton.OnMouseMove

Declaration

Source position: customdrawncontrols.pas line 174

published property TCDButton.OnMouseMove : TMouseMoveEvent;


TCDButton.OnMouseUp

Declaration

Source position: customdrawncontrols.pas line 175

published property TCDButton.OnMouseUp : TMouseEvent;


TCDButton.OnMouseWheel

Declaration

Source position: customdrawncontrols.pas line 176

published property TCDButton.OnMouseWheel : TMouseWheelEvent;


TCDButton.OnMouseWheelDown

Declaration

Source position: customdrawncontrols.pas line 177

published property TCDButton.OnMouseWheelDown : TMouseWheelUpDownEvent;


TCDButton.OnMouseWheelUp

Declaration

Source position: customdrawncontrols.pas line 178

published property TCDButton.OnMouseWheelUp : TMouseWheelUpDownEvent;


TCDButton.OnResize

Declaration

Source position: customdrawncontrols.pas line 179

published property TCDButton.OnResize : TNotifyEvent;


TCDButton.OnStartDrag

Declaration

Source position: customdrawncontrols.pas line 180

published property TCDButton.OnStartDrag : TStartDragEvent;


TCDButton.OnUTF8KeyPress

Declaration

Source position: customdrawncontrols.pas line 181

published property TCDButton.OnUTF8KeyPress : TUTF8KeyPressEvent;


TCDButton.ParentFont

Declaration

Source position: customdrawncontrols.pas line 182

published property TCDButton.ParentFont : Boolean;


TCDButton.ParentShowHint

Declaration

Source position: customdrawncontrols.pas line 183

published property TCDButton.ParentShowHint : Boolean;


TCDButton.PopupMenu

Declaration

Source position: customdrawncontrols.pas line 184

published property TCDButton.PopupMenu : TPopupMenu;


TCDButton.PrepareControlStateEx

Declaration

Source position: customdrawncontrols.pas line 141

protected procedure TCDButton.PrepareControlStateEx; override;


TCDButton.ShowHint

Declaration

Source position: customdrawncontrols.pas line 185

published property TCDButton.ShowHint : Boolean;


TCDButton.TabOrder

Declaration

Source position: customdrawncontrols.pas line 186

published property TCDButton.TabOrder : TTabOrder;


TCDButton.TabStop

Declaration

Source position: customdrawncontrols.pas line 187

published property TCDButton.TabStop : Boolean;


TCDButton.Visible

Declaration

Source position: customdrawncontrols.pas line 188

published property TCDButton.Visible : Boolean;


TCDButtonControl

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Declaration

Source position: customdrawncontrols.pas line 92

type TCDButtonControl = class(TCDControl)

protected

  FHasOnOffStates: Boolean;

  FIsGrouped: Boolean;

  FGroupIndex: Integer;

  FAllowGrayed: Boolean;

  procedure KeyDown(); override;

  procedure KeyUp(); override;

  procedure MouseDown(); override;

  procedure MouseUp(); override;

  procedure MouseEnter; override;

  procedure MouseLeave; override;

  procedure DoUncheckButton; virtual;

  procedure DoCheckIfFirstButtonInGroup;

  procedure DoButtonDown; virtual;

  procedure DoButtonUp; virtual;

  procedure RealSetText(); override;

  function GetChecked;

  procedure SetChecked();

  function GetCheckedState;

  procedure SetCheckedState();

  property AllowGrayed: Boolean; [rw]

  property Checked: Boolean; [rw]

  property State: TCheckBoxState; [rw]

end;

Inheritance

TCDButtonControl |
|
TCDControl |
|
TCustomControl | The base class for windowed controls which paint themselves.
|
TWinControl | The base class for controls which can contain other (child) controls.
|
TControl | The base class for visible controls.
|
TLCLComponent | The base class for LCL components associated with widgets.
|
TComponent,IUnknown,IInterfaceComponentReference
|
TPersistent,IFPObserved
|
TObject


TCDButtonControl
pt |  | AllowGrayed
pt |  | Checked
pt |  | State
TCDControl
pt |  | DrawStyle
TCustomControl
 |  | Canvas
 | ro | BorderStyle
TWinControl
pt |  | WindowHandle
pt |  | BorderStyle
pt |  | ParentBackground
 |  | BorderWidth
 | ro | BoundsLockCount
 | ro | Brush
 | ro | CachedClientHeight
 | ro | CachedClientWidth
 |  | ChildSizing
 | ro | ControlCount
 | ro | Controls
 |  | DefWndProc
 | ro | DockClientCount
 | ro | DockClients
 |  | DockManager
 |  | DockSite
 |  | DoubleBuffered
 |  | Handle
 | ro | IsFlipped
 | ro | IsResizing
 |  | TabOrder
 |  | TabStop
 |  | ParentDoubleBuffered
 |  | ParentWindow
 | ro | Showing
 |  | UseDockManager
 |  | DesignerDeleting
 | ro | VisibleDockClientCount
TControl
pt | ro | AutoSizing
pt | ro | AutoSizingAll
pt | ro | AutoSizingLockCount
pt |  | ActionLink
pt |  | DesktopFont
pt |  | DragCursor
pt |  | DragKind
pt |  | DragMode
pt |  | MouseCapture
pt |  | ParentColor
pt |  | ParentFont
pt |  | ParentShowHint
pt |  | SessionProperties
pt |  | Text
 | ro | AnchoredControls
 | ro | BaseBounds
 | ro | ReadBounds
 | ro | BaseParentClientSize
 |  | AccessibleDescription
 |  | AccessibleValue
 |  | AccessibleRole
 |  | Action
 |  | Align
 |  | Anchors
 | ro | AnchorSide
 |  | AutoSize
 |  | BorderSpacing
 |  | BoundsRect
 |  | BoundsRectForNewParent
 |  | Caption
 |  | CaptureMouseButtons
 |  | ClientHeight
 | ro | ClientOrigin
 | ro | ClientRect
 |  | ClientWidth
 |  | Color
 |  | Constraints
 | ro | ControlOrigin
 |  | ControlState
 |  | ControlStyle
 |  | Enabled
 |  | Font
 |  | IsControl
 | ro | MouseEntered
 | ro | MouseInClient
 |  | Parent
 |  | PopupMenu
 |  | ShowHint
 |  | Visible
 |  | WindowProc
 |  | DockOrientation
 | ro | Floating
 |  | FloatingDockSiteClass
 |  | HostDockSite
 |  | LRDockWidth
 |  | TBDockHeight
 |  | UndockHeight
 |  | UndockWidth
 |  | BiDiMode
 |  | ParentBiDiMode
pl |  | AnchorSideLeft
pl |  | AnchorSideTop
pl |  | AnchorSideRight
pl |  | AnchorSideBottom
pl |  | Cursor
pl |  | Left
pl |  | Height
pl |  | Hint
pl |  | Top
pl |  | Width
pl |  | HelpType
pl |  | HelpKeyword
pl |  | HelpContext
TLCLComponent
 | ro | LCLRefCount
 | ro | WidgetSetClass
TComponent
 | ro | ComObject
 | ro | Components
 | ro | ComponentCount
 |  | ComponentIndex
 | ro | ComponentState
 | ro | ComponentStyle
 |  | DesignInfo
 | ro | Owner
 |  | VCLComObject
 |  | Name
 |  | Tag
TPersistent
TObject


 |  | AccessibleDescription (TControl)
 |  | AccessibleRole (TControl)
 |  | AccessibleValue (TControl)
 |  | Action (TControl)
pt |  | ActionLink (TControl)
 |  | Align (TControl)
pt |  | AllowGrayed (TCDButtonControl)
 | ro | AnchoredControls (TControl)
 |  | Anchors (TControl)
 | ro | AnchorSide (TControl)
pl |  | AnchorSideBottom (TControl)
pl |  | AnchorSideLeft (TControl)
pl |  | AnchorSideRight (TControl)
pl |  | AnchorSideTop (TControl)
 |  | AutoSize (TControl)
pt | ro | AutoSizing (TControl)
pt | ro | AutoSizingAll (TControl)
pt | ro | AutoSizingLockCount (TControl)
 | ro | BaseBounds (TControl)
 | ro | BaseParentClientSize (TControl)
 |  | BiDiMode (TControl)
 |  | BorderSpacing (TControl)
pt |  | BorderStyle (TWinControl)
 | ro | BorderStyle (TCustomControl)
 |  | BorderWidth (TWinControl)
 | ro | BoundsLockCount (TWinControl)
 |  | BoundsRect (TControl)
 |  | BoundsRectForNewParent (TControl)
 | ro | Brush (TWinControl)
 | ro | CachedClientHeight (TWinControl)
 | ro | CachedClientWidth (TWinControl)
 |  | Canvas (TCustomControl)
 |  | Caption (TControl)
 |  | CaptureMouseButtons (TControl)
pt |  | Checked (TCDButtonControl)
 |  | ChildSizing (TWinControl)
 |  | ClientHeight (TControl)
 | ro | ClientOrigin (TControl)
 | ro | ClientRect (TControl)
 |  | ClientWidth (TControl)
 |  | Color (TControl)
 | ro | ComObject (TComponent)
 | ro | ComponentCount (TComponent)
 |  | ComponentIndex (TComponent)
 | ro | Components (TComponent)
 | ro | ComponentState (TComponent)
 | ro | ComponentStyle (TComponent)
 |  | Constraints (TControl)
 | ro | ControlCount (TWinControl)
 | ro | ControlOrigin (TControl)
 | ro | Controls (TWinControl)
 |  | ControlState (TControl)
 |  | ControlStyle (TControl)
pl |  | Cursor (TControl)
 |  | DefWndProc (TWinControl)
 |  | DesignerDeleting (TWinControl)
 |  | DesignInfo (TComponent)
pt |  | DesktopFont (TControl)
 | ro | DockClientCount (TWinControl)
 | ro | DockClients (TWinControl)
 |  | DockManager (TWinControl)
 |  | DockOrientation (TControl)
 |  | DockSite (TWinControl)
 |  | DoubleBuffered (TWinControl)
pt |  | DragCursor (TControl)
pt |  | DragKind (TControl)
pt |  | DragMode (TControl)
pt |  | DrawStyle (TCDControl)
 |  | Enabled (TControl)
 | ro | Floating (TControl)
 |  | FloatingDockSiteClass (TControl)
 |  | Font (TControl)
 |  | Handle (TWinControl)
pl |  | Height (TControl)
pl |  | HelpContext (TControl)
pl |  | HelpKeyword (TControl)
pl |  | HelpType (TControl)
pl |  | Hint (TControl)
 |  | HostDockSite (TControl)
 |  | IsControl (TControl)
 | ro | IsFlipped (TWinControl)
 | ro | IsResizing (TWinControl)
 | ro | LCLRefCount (TLCLComponent)
pl |  | Left (TControl)
 |  | LRDockWidth (TControl)
pt |  | MouseCapture (TControl)
 | ro | MouseEntered (TControl)
 | ro | MouseInClient (TControl)
 |  | Name (TComponent)
 | ro | Owner (TComponent)
 |  | Parent (TControl)
pt |  | ParentBackground (TWinControl)
 |  | ParentBiDiMode (TControl)
pt |  | ParentColor (TControl)
 |  | ParentDoubleBuffered (TWinControl)
pt |  | ParentFont (TControl)
pt |  | ParentShowHint (TControl)
 |  | ParentWindow (TWinControl)
 |  | PopupMenu (TControl)
 | ro | ReadBounds (TControl)
pt |  | SessionProperties (TControl)
 |  | ShowHint (TControl)
 | ro | Showing (TWinControl)
pt |  | State (TCDButtonControl)
 |  | TabOrder (TWinControl)
 |  | TabStop (TWinControl)
 |  | Tag (TComponent)
 |  | TBDockHeight (TControl)
pt |  | Text (TControl)
pl |  | Top (TControl)
 |  | UndockHeight (TControl)
 |  | UndockWidth (TControl)
 |  | UseDockManager (TWinControl)
 |  | VCLComObject (TComponent)
 |  | Visible (TControl)
 | ro | VisibleDockClientCount (TWinControl)
 | ro | WidgetSetClass (TLCLComponent)
pl |  | Width (TControl)
pt |  | WindowHandle (TWinControl)
 |  | WindowProc (TControl)


TCDButtonControl
pt | KeyDown
pt | KeyUp
pt | MouseDown
pt | MouseUp
pt | MouseEnter
pt | MouseLeave
pt | DoUncheckButton
pt | DoCheckIfFirstButtonInGroup
pt | DoButtonDown
pt | DoButtonUp
pt | RealSetText
pt | GetChecked
pt | SetChecked
pt | GetCheckedState
pt | SetCheckedState
TCDControl
pt | CalculatePreferredSize
pt | SetState
pt | PrepareCurrentDrawer
pt | SetDrawStyle
pt | GetClientRect
pt | GetControlId
pt | CreateControlStateEx
pt | PrepareControlState
pt | PrepareControlStateEx
pt | DoEnter
pt | DoExit
pt | MouseEnter
pt | MouseLeave
pt | MouseDown
 | Create
 | Destroy
 | LCLWSCalculatePreferredSize
 | EraseBackground
 | Paint
 | DrawToCanvas
TCustomControl
pt | WSRegisterClass
pt | WMPaint
pt | DestroyWnd
pt | PaintWindow
pt | FontChanged
pt | SetColor
pt | Paint
 | Create
 | Destroy
TWinControl
pt | WSRegisterClass
pt | AdjustClientRect
pt | GetAdjustedLogicalClientRect
pt | AlignControls
pt | CustomAlignInsertBefore
pt | CustomAlignPosition
pt | DoAlignChildControls
pt | DoChildSizingChange
pt | InvalidatePreferredChildSizes
pt | CanTab
pt | IsClientHeightStored
pt | IsClientWidthStored
pt | DoSendShowHideToInterface
pt | ControlsAligned
pt | DoSendBoundsToInterface
pt | RealizeBounds
pt | RealizeBoundsRecursive
pt | InvalidateBoundsRealized
pt | CreateSubClass
pt | DoConstraintsChange
pt | DoSetBounds
pt | DoAutoSize
pt | DoAllAutoSize
pt | AllAutoSized
pt | CalculatePreferredSize
pt | GetPreferredSizeClientFrame
pt | GetChildren
pt | ChildClassAllowed
pt | PaintControls
pt | PaintHandler
pt | PaintWindow
pt | CreateBrush
pt | ScaleControls
pt | ChangeScale
pt | CMBiDiModeChanged
pt | CMBorderChanged
pt | CMDoubleBufferedChanged
pt | CMEnabledChanged
pt | CMParentDoubleBufferedChanged
pt | CMShowingChanged
pt | CMShowHintChanged
pt | CMVisibleChanged
pt | CMEnter
pt | CMExit
pt | WMContextMenu
pt | WMEraseBkgnd
pt | WMNotify
pt | WMSetFocus
pt | WMKillFocus
pt | WMShowWindow
pt | WMEnter
pt | WMExit
pt | WMKeyDown
pt | WMSysKeyDown
pt | WMKeyUp
pt | WMSysKeyUp
pt | WMChar
pt | WMSysChar
pt | WMPaint
pt | WMDestroy
pt | WMMove
pt | WMSize
pt | WMWindowPosChanged
pt | CNKeyDown
pt | CNSysKeyDown
pt | CNKeyUp
pt | CNSysKeyUp
pt | CNChar
pt | DoDragMsg
pt | DoDockClientMsg
pt | DoUndockClientMsg
pt | DoAddDockClient
pt | DockOver
pt | DoDockOver
pt | DoRemoveDockClient
pt | DoUnDock
pt | GetSiteInfo
pt | GetParentHandle
pt | GetTopParentHandle
pt | ReloadDockedControl
pt | CreateDockManager
pt | SetDockManager
pt | DoFloatMsg
pt | DoGetDockCaption
pt | DoEnter
pt | DoExit
pt | DoKeyDownBeforeInterface
pt | DoRemainingKeyDown
pt | DoRemainingKeyUp
pt | DoKeyPress
pt | DoUTF8KeyPress
pt | DoKeyUpBeforeInterface
pt | ChildKey
pt | SendDialogChar
pt | DialogChar
pt | ControlKeyDown
pt | ControlKeyUp
pt | KeyDown
pt | KeyDownBeforeInterface
pt | KeyDownAfterInterface
pt | KeyPress
pt | KeyUp
pt | KeyUpBeforeInterface
pt | KeyUpAfterInterface
pt | UTF8KeyPress
pt | FindNextControl
pt | SelectFirst
pt | RealGetText
pt | GetBorderStyle
pt | GetClientOrigin
pt | GetClientRect
pt | GetControlOrigin
pt | GetDeviceContext
pt | GetParentBackground
pt | IsControlMouseMsg
pt | CreateHandle
pt | CreateParams
pt | CreateWnd
pt | DestroyHandle
pt | DestroyWnd
pt | DoFlipChildren
pt | FinalizeWnd
pt | FixupTabList
pt | FontChanged
pt | InitializeWnd
pt | Loaded
pt | FormEndUpdated
pt | MainWndProc
pt | ParentFormHandleInitialized
pt | ChildHandlesCreated
pt | GetMouseCapture
pt | RealSetText
pt | RemoveFocus
pt | SendMoveSizeMessages
pt | SetBorderStyle
pt | SetColor
pt | SetChildZPosition
pt | SetParentBackground
pt | ShowControl
pt | UpdateControlState
pt | UpdateShowing
pt | WndProc
pt | WSSetText
 | AutoSizePhases
 | AutoSizeDelayed
 | AutoSizeDelayedReport
 | AutoSizeDelayedHandle
 | BeginUpdateBounds
 | EndUpdateBounds
 | LockRealizeBounds
 | UnlockRealizeBounds
 | ControlAtPos
 | ContainsControl
 | DoAdjustClientRectChange
 | InvalidateClientRectCache
 | ClientRectNeedsInterfaceUpdate
 | SetBounds
 | GetChildrenRect
 | DisableAlign
 | EnableAlign
 | ReAlign
 | ScrollBy_WS
 | ScrollBy
 | WriteLayoutDebugReport
 | AutoAdjustLayout
 | Create
 | CreateParented
 | CreateParentedControl
 | Destroy
 | DockDrop
 | CanFocus
 | CanSetFocus
 | GetControlIndex
 | SetControlIndex
 | Focused
 | PerformTab
 | FindChildControl
 | SelectNext
 | SetTempCursor
 | BroadCast
 | NotifyControls
 | DefaultHandler
 | GetTextLen
 | Invalidate
 | AddControl
 | InsertControl
 | RemoveControl
 | GetEnumeratorControls
 | GetEnumeratorControlsReverse
 | Repaint
 | Update
 | SetFocus
 | FlipChildren
 | ScaleBy
 | GetDockCaption
 | UpdateDockCaption
 | GetTabOrderList
 | HandleAllocated
 | ParentHandlesAllocated
 | HandleNeeded
 | BrushCreated
 | EraseBackground
 | IntfUTF8KeyPress
 | IntfGetDropFilesTarget
 | PaintTo
 | SetShape
TControl
pt | WSRegisterClass
pt | GetCursor
pt | SetCursor
pt | SetVisible
pt | DoOnParentHandleDestruction
pt | DoAutoSize
pt | DoAllAutoSize
pt | BeginAutoSizing
pt | EndAutoSizing
pt | AnchorSideChanged
pt | ForeignAnchorSideChanged
pt | SetAlign
pt | SetAnchors
pt | SetAutoSize
pt | BoundsChanged
pt | CreateControlBorderSpacing
pt | DoConstraintsChange
pt | DoBorderSpacingChange
pt | IsBorderSpacingInnerBorderStored
pt | IsCaptionStored
pt | SendMoveSizeMessages
pt | ConstrainedResize
pt | CalculatePreferredSize
pt | DoOnResize
pt | DoOnChangeBounds
pt | CheckOnChangeBounds
pt | Resize
pt | RequestAlign
pt | UpdateAnchorRules
pt | ChangeBounds
pt | DoSetBounds
pt | ScaleConstraints
pt | ChangeScale
pt | CanAutoSize
pt | SetBiDiMode
pt | SetParentBiDiMode
pt | IsAParentAligning
pt | GetClientOrigin
pt | GetClientRect
pt | GetLogicalClientRect
pt | GetScrolledClientRect
pt | GetClientScrollOffset
pt | GetControlOrigin
pt | IsClientHeightStored
pt | IsClientWidthStored
pt | WidthIsAnchored
pt | HeightIsAnchored
pt | WMCancelMode
pt | WMContextMenu
pt | WMLButtonDown
pt | WMRButtonDown
pt | WMMButtonDown
pt | WMXButtonDown
pt | WMLButtonDBLCLK
pt | WMRButtonDBLCLK
pt | WMMButtonDBLCLK
pt | WMXButtonDBLCLK
pt | WMLButtonTripleCLK
pt | WMRButtonTripleCLK
pt | WMMButtonTripleCLK
pt | WMXButtonTripleCLK
pt | WMLButtonQuadCLK
pt | WMRButtonQuadCLK
pt | WMMButtonQuadCLK
pt | WMXButtonQuadCLK
pt | WMMouseMove
pt | WMLButtonUp
pt | WMRButtonUp
pt | WMMButtonUp
pt | WMXButtonUp
pt | WMMouseWheel
pt | WMMouseHWheel
pt | WMMove
pt | WMSize
pt | WMWindowPosChanged
pt | CMChanged
pt | LMCaptureChanged
pt | CMBiDiModeChanged
pt | CMSysFontChanged
pt | CMEnabledChanged
pt | CMHitTest
pt | CMMouseEnter
pt | CMMouseLeave
pt | CMHintShow
pt | CMParentBiDiModeChanged
pt | CMParentColorChanged
pt | CMParentFontChanged
pt | CMParentShowHintChanged
pt | CMVisibleChanged
pt | CMTextChanged
pt | CMCursorChanged
pt | CalculateDockSizes
pt | CreateFloatingDockSite
pt | GetDockEdge
pt | GetDragImages
pt | GetFloating
pt | GetFloatingDockSiteClass
pt | BeforeDragStart
pt | BeginAutoDrag
pt | DoFloatMsg
pt | DockTrackNoTarget
pt | DoDock
pt | DoDragMsg
pt | DoEndDock
pt | DoEndDrag
pt | DoStartDock
pt | DoStartDrag
pt | DragCanceled
pt | DragOver
pt | PositionDockRect
pt | SetDragMode
pt | GetDefaultDockCaption
pt | Click
pt | DblClick
pt | TripleClick
pt | QuadClick
pt | GetMousePosFromMessage
pt | MouseDown
pt | MouseMove
pt | MouseUp
pt | MouseEnter
pt | MouseLeave
pt | DialogChar
pt | UpdateMouseCursor
pt | Changed
pt | GetPalette
pt | ChildClassAllowed
pt | ReadState
pt | Loaded
pt | LoadedAll
pt | DefineProperties
pt | AssignTo
pt | FormEndUpdated
pt | InvalidateControl
pt | FontChanged
pt | ParentFontChanged
pt | GetAction
pt | RealGetText
pt | RealSetText
pt | TextChanged
pt | GetCachedText
pt | SetAction
pt | SetColor
pt | SetEnabled
pt | SetHint
pt | SetName
pt | SetParent
pt | SetParentComponent
pt | WndProc
pt | ParentFormHandleInitialized
pt | GetMouseCapture
pt | CaptureChanged
pt | Notification
pt | CanTab
pt | GetDeviceContext
pt | GetEnabled
pt | GetPopupMenu
pt | DoOnShowHint
pt | DoMouseWheel
pt | DoMouseWheelDown
pt | DoMouseWheelUp
pt | DoMouseWheelHorz
pt | DoMouseWheelLeft
pt | DoMouseWheelRight
pt | VisibleChanging
pt | VisibleChanged
pt | EnabledChanging
pt | EnabledChanged
pt | AddHandler
pt | RemoveHandler
pt | DoCallNotifyHandler
pt | DoCallKeyEventHandler
pt | DoCallMouseWheelEventHandler
pt | DoContextPopup
pt | SetZOrder
pt | GetControlClassDefaultSize
pt | ColorIsStored
pt | DoAutoAdjustLayout
pt | DoFixDesignFontPPI
pt | DoScaleFontPPI
pt | GetActionLinkClass
pt | ActionChange
 | DragDrop
 | Dock
 | ManualDock
 | ManualFloat
 | ReplaceDockedControl
 | Docked
 | Dragging
 | GetAccessibleObject
 | CreateAccessibleObject
 | GetSelectedChildAccessibleObject
 | GetChildAccessibleObjectAtPos
 | ScaleDesignToForm
 | ScaleFormToDesign
 | Scale96ToForm
 | ScaleFormTo96
 | Scale96ToFont
 | ScaleFontTo96
 | ScaleScreenToFont
 | ScaleFontToScreen
 | Scale96ToScreen
 | ScaleScreenTo96
 | AdjustSize
 | AutoSizePhases
 | AutoSizeDelayed
 | AutoSizeDelayedReport
 | AutoSizeDelayedHandle
 | AnchorToNeighbour
 | AnchorParallel
 | AnchorHorizontalCenterTo
 | AnchorVerticalCenterTo
 | AnchorToCompanion
 | AnchorSame
 | AnchorAsAlign
 | AnchorClient
 | AnchoredControlCount
 | SetBounds
 | SetInitialBounds
 | SetBoundsKeepBase
 | GetPreferredSize
 | GetCanvasScaleFactor
 | GetDefaultWidth
 | GetDefaultHeight
 | GetDefaultColor
 | GetColorResolvingParent
 | GetRGBColorResolvingParent
 | GetSidePosition
 | CNPreferredSizeChanged
 | InvalidatePreferredSize
 | GetAnchorsDependingOnParent
 | DisableAutoSizing
 | EnableAutoSizing
 | UpdateBaseBounds
 | WriteLayoutDebugReport
 | AutoAdjustLayout
 | ShouldAutoAdjust
 | FixDesignFontsPPI
 | ScaleFontsPPI
 | Create
 | Destroy
 | BeforeDestruction
 | EditingDone
 | ExecuteDefaultAction
 | ExecuteCancelAction
 | BeginDrag
 | EndDrag
 | BringToFront
 | HasParent
 | GetParentComponent
 | IsParentOf
 | GetTopParent
 | IsVisible
 | IsControlVisible
 | IsEnabled
 | IsParentColor
 | IsParentFont
 | FormIsUpdating
 | IsProcessingPaintMsg
 | Hide
 | Refresh
 | Repaint
 | Invalidate
 | CheckChildClassAllowed
 | CheckNewParent
 | SendToBack
 | SetTempCursor
 | UpdateRolesForForm
 | ActiveDefaultControlChanged
 | GetTextBuf
 | GetTextLen
 | SetTextBuf
 | Perform
 | ScreenToClient
 | ClientToScreen
 | ScreenToControl
 | ControlToScreen
 | ClientToParent
 | ParentToClient
 | GetChildrenRect
 | Show
 | Update
 | HandleObjectShouldBeVisible
 | ParentDestroyingHandle
 | ParentHandlesAllocated
 | InitiateAction
 | ShowHelp
 | HasHelp
 | RemoveAllHandlersOfObject
 | AddHandlerOnResize
 | RemoveHandlerOnResize
 | AddHandlerOnChangeBounds
 | RemoveHandlerOnChangeBounds
 | AddHandlerOnVisibleChanging
 | RemoveHandlerOnVisibleChanging
 | AddHandlerOnVisibleChanged
 | RemoveHandlerOnVisibleChanged
 | AddHandlerOnEnabledChanged
 | RemoveHandlerOnEnableChanging
 | AddHandlerOnKeyDown
 | RemoveHandlerOnKeyDown
 | AddHandlerOnBeforeDestruction
 | RemoveHandlerOnBeforeDestruction
 | AddHandlerOnMouseWheel
 | RemoveHandlerOnMouseWheel
 | UseRightToLeftAlignment
 | UseRightToLeftReading
 | UseRightToLeftScrollBar
 | IsRightToLeft
TLCLComponent
pt | WSRegisterClass
pt | GetWSComponentClass
 | Create
 | Destroy
 | NewInstance
 | RemoveAllHandlersOfObject
 | IncLCLRefCount
 | DecLCLRefCount
TComponent
 | GetComObject
 | GetComponent
 | GetComponentCount
 | GetComponentIndex
 | Insert
 | ReadLeft
 | ReadTop
 | Remove
 | RemoveNotification
 | SetComponentIndex
 | SetReference
 | WriteLeft
 | WriteTop
 | ChangeName
 | DefineProperties
 | GetChildren
 | GetChildOwner
 | GetChildParent
 | GetOwner
 | Loaded
 | Loading
 | Notification
 | PaletteCreated
 | ReadState
 | SetAncestor
 | SetDesigning
 | SetDesignInstance
 | SetInline
 | SetName
 | SetChildOrder
 | SetParentComponent
 | Updating
 | Updated
 | UpdateRegistry
 | ValidateRename
 | ValidateContainer
 | ValidateInsert
 | QueryInterface
 | _AddRef
 | _Release
 | iicrGetComponent
 | GetTypeInfoCount
 | GetTypeInfo
 | GetIDsOfNames
 | Invoke
 | WriteState
 | Create
 | Destroy
 | BeforeDestruction
 | DestroyComponents
 | Destroying
 | ExecuteAction
 | FindComponent
 | FreeNotification
 | RemoveFreeNotification
 | FreeOnRelease
 | GetEnumerator
 | GetNamePath
 | GetParentComponent
 | HasParent
 | InsertComponent
 | RemoveComponent
 | SafeCallException
 | SetSubComponent
 | UpdateAction
 | IsImplementorOf
 | ReferenceInterface
TPersistent
 | AssignError
 | AssignTo
 | DefineProperties
 | GetOwner
 | Destroy
 | Assign
 | FPOAttachObserver
 | FPODetachObserver
 | FPONotifyObservers
 | GetNamePath
TObject
 | Create
 | Destroy
 | newinstance
 | FreeInstance
 | SafeCallException
 | DefaultHandler
 | Free
 | InitInstance
 | CleanupInstance
 | ClassType
 | ClassInfo
 | ClassName
 | ClassNameIs
 | ClassParent
 | InstanceSize
 | InheritsFrom
 | StringMessageTable
 | MethodAddress
 | MethodName
 | FieldAddress
 | AfterConstruction
 | BeforeDestruction
 | DefaultHandlerStr
 | Dispatch
 | DispatchStr
 | GetInterface
 | GetInterfaceByStr
 | GetInterfaceWeak
 | GetInterfaceEntry
 | GetInterfaceEntryByStr
 | GetInterfaceTable
 | UnitName
 | Equals
 | GetHashCode
 | ToString


pt | ActionChange (TControl)
 | ActiveDefaultControlChanged (TControl)
 | AddControl (TWinControl)
pt | AddHandler (TControl)
 | AddHandlerOnBeforeDestruction (TControl)
 | AddHandlerOnChangeBounds (TControl)
 | AddHandlerOnEnabledChanged (TControl)
 | AddHandlerOnKeyDown (TControl)
 | AddHandlerOnMouseWheel (TControl)
 | AddHandlerOnResize (TControl)
 | AddHandlerOnVisibleChanged (TControl)
 | AddHandlerOnVisibleChanging (TControl)
pt | AdjustClientRect (TWinControl)
 | AdjustSize (TControl)
 | AfterConstruction (TObject)
pt | AlignControls (TWinControl)
pt | AllAutoSized (TWinControl)
 | AnchorAsAlign (TControl)
 | AnchorClient (TControl)
 | AnchoredControlCount (TControl)
 | AnchorHorizontalCenterTo (TControl)
 | AnchorParallel (TControl)
 | AnchorSame (TControl)
pt | AnchorSideChanged (TControl)
 | AnchorToCompanion (TControl)
 | AnchorToNeighbour (TControl)
 | AnchorVerticalCenterTo (TControl)
 | Assign (TPersistent)
 | AssignError (TPersistent)
 | AssignTo (TPersistent)
pt | AssignTo (TControl)
 | AutoAdjustLayout (TControl)
 | AutoAdjustLayout (TWinControl)
 | AutoSizeDelayed (TControl)
 | AutoSizeDelayed (TWinControl)
 | AutoSizeDelayedHandle (TControl)
 | AutoSizeDelayedHandle (TWinControl)
 | AutoSizeDelayedReport (TControl)
 | AutoSizeDelayedReport (TWinControl)
 | AutoSizePhases (TControl)
 | AutoSizePhases (TWinControl)
 | BeforeDestruction (TObject)
 | BeforeDestruction (TComponent)
 | BeforeDestruction (TControl)
pt | BeforeDragStart (TControl)
pt | BeginAutoDrag (TControl)
pt | BeginAutoSizing (TControl)
 | BeginDrag (TControl)
 | BeginUpdateBounds (TWinControl)
pt | BoundsChanged (TControl)
 | BringToFront (TControl)
 | BroadCast (TWinControl)
 | BrushCreated (TWinControl)
pt | CalculateDockSizes (TControl)
pt | CalculatePreferredSize (TControl)
pt | CalculatePreferredSize (TWinControl)
pt | CalculatePreferredSize (TCDControl)
pt | CanAutoSize (TControl)
 | CanFocus (TWinControl)
 | CanSetFocus (TWinControl)
pt | CanTab (TControl)
pt | CanTab (TWinControl)
pt | CaptureChanged (TControl)
pt | ChangeBounds (TControl)
pt | Changed (TControl)
 | ChangeName (TComponent)
pt | ChangeScale (TControl)
pt | ChangeScale (TWinControl)
 | CheckChildClassAllowed (TControl)
 | CheckNewParent (TControl)
pt | CheckOnChangeBounds (TControl)
pt | ChildClassAllowed (TControl)
pt | ChildClassAllowed (TWinControl)
pt | ChildHandlesCreated (TWinControl)
pt | ChildKey (TWinControl)
 | ClassInfo (TObject)
 | ClassName (TObject)
 | ClassNameIs (TObject)
 | ClassParent (TObject)
 | ClassType (TObject)
 | CleanupInstance (TObject)
pt | Click (TControl)
 | ClientRectNeedsInterfaceUpdate (TWinControl)
 | ClientToParent (TControl)
 | ClientToScreen (TControl)
pt | CMBiDiModeChanged (TControl)
pt | CMBiDiModeChanged (TWinControl)
pt | CMBorderChanged (TWinControl)
pt | CMChanged (TControl)
pt | CMCursorChanged (TControl)
pt | CMDoubleBufferedChanged (TWinControl)
pt | CMEnabledChanged (TControl)
pt | CMEnabledChanged (TWinControl)
pt | CMEnter (TWinControl)
pt | CMExit (TWinControl)
pt | CMHintShow (TControl)
pt | CMHitTest (TControl)
pt | CMMouseEnter (TControl)
pt | CMMouseLeave (TControl)
pt | CMParentBiDiModeChanged (TControl)
pt | CMParentColorChanged (TControl)
pt | CMParentDoubleBufferedChanged (TWinControl)
pt | CMParentFontChanged (TControl)
pt | CMParentShowHintChanged (TControl)
pt | CMShowHintChanged (TWinControl)
pt | CMShowingChanged (TWinControl)
pt | CMSysFontChanged (TControl)
pt | CMTextChanged (TControl)
pt | CMVisibleChanged (TControl)
pt | CMVisibleChanged (TWinControl)
pt | CNChar (TWinControl)
pt | CNKeyDown (TWinControl)
pt | CNKeyUp (TWinControl)
 | CNPreferredSizeChanged (TControl)
pt | CNSysKeyDown (TWinControl)
pt | CNSysKeyUp (TWinControl)
pt | ColorIsStored (TControl)
pt | ConstrainedResize (TControl)
 | ContainsControl (TWinControl)
 | ControlAtPos (TWinControl)
pt | ControlKeyDown (TWinControl)
pt | ControlKeyUp (TWinControl)
pt | ControlsAligned (TWinControl)
 | ControlToScreen (TControl)
 | Create (TObject)
 | Create (TComponent)
 | Create (TLCLComponent)
 | Create (TControl)
 | Create (TWinControl)
 | Create (TCustomControl)
 | Create (TCDControl)
 | CreateAccessibleObject (TControl)
pt | CreateBrush (TWinControl)
pt | CreateControlBorderSpacing (TControl)
pt | CreateControlStateEx (TCDControl)
pt | CreateDockManager (TWinControl)
pt | CreateFloatingDockSite (TControl)
pt | CreateHandle (TWinControl)
pt | CreateParams (TWinControl)
 | CreateParented (TWinControl)
 | CreateParentedControl (TWinControl)
pt | CreateSubClass (TWinControl)
pt | CreateWnd (TWinControl)
pt | CustomAlignInsertBefore (TWinControl)
pt | CustomAlignPosition (TWinControl)
pt | DblClick (TControl)
 | DecLCLRefCount (TLCLComponent)
 | DefaultHandler (TObject)
 | DefaultHandler (TWinControl)
 | DefaultHandlerStr (TObject)
 | DefineProperties (TPersistent)
 | DefineProperties (TComponent)
pt | DefineProperties (TControl)
 | Destroy (TObject)
 | Destroy (TPersistent)
 | Destroy (TComponent)
 | Destroy (TLCLComponent)
 | Destroy (TControl)
 | Destroy (TWinControl)
 | Destroy (TCustomControl)
 | Destroy (TCDControl)
 | DestroyComponents (TComponent)
pt | DestroyHandle (TWinControl)
 | Destroying (TComponent)
pt | DestroyWnd (TWinControl)
pt | DestroyWnd (TCustomControl)
pt | DialogChar (TControl)
pt | DialogChar (TWinControl)
 | DisableAlign (TWinControl)
 | DisableAutoSizing (TControl)
 | Dispatch (TObject)
 | DispatchStr (TObject)
pt | DoAddDockClient (TWinControl)
 | DoAdjustClientRectChange (TWinControl)
pt | DoAlignChildControls (TWinControl)
pt | DoAllAutoSize (TControl)
pt | DoAllAutoSize (TWinControl)
pt | DoAutoAdjustLayout (TControl)
pt | DoAutoSize (TControl)
pt | DoAutoSize (TWinControl)
pt | DoBorderSpacingChange (TControl)
pt | DoButtonDown (TCDButtonControl)
pt | DoButtonUp (TCDButtonControl)
pt | DoCallKeyEventHandler (TControl)
pt | DoCallMouseWheelEventHandler (TControl)
pt | DoCallNotifyHandler (TControl)
pt | DoCheckIfFirstButtonInGroup (TCDButtonControl)
pt | DoChildSizingChange (TWinControl)
 | Dock (TControl)
 | DockDrop (TWinControl)
 | Docked (TControl)
pt | DockOver (TWinControl)
pt | DockTrackNoTarget (TControl)
pt | DoConstraintsChange (TControl)
pt | DoConstraintsChange (TWinControl)
pt | DoContextPopup (TControl)
pt | DoDock (TControl)
pt | DoDockClientMsg (TWinControl)
pt | DoDockOver (TWinControl)
pt | DoDragMsg (TControl)
pt | DoDragMsg (TWinControl)
pt | DoEndDock (TControl)
pt | DoEndDrag (TControl)
pt | DoEnter (TWinControl)
pt | DoEnter (TCDControl)
pt | DoExit (TWinControl)
pt | DoExit (TCDControl)
pt | DoFixDesignFontPPI (TControl)
pt | DoFlipChildren (TWinControl)
pt | DoFloatMsg (TControl)
pt | DoFloatMsg (TWinControl)
pt | DoGetDockCaption (TWinControl)
pt | DoKeyDownBeforeInterface (TWinControl)
pt | DoKeyPress (TWinControl)
pt | DoKeyUpBeforeInterface (TWinControl)
pt | DoMouseWheel (TControl)
pt | DoMouseWheelDown (TControl)
pt | DoMouseWheelHorz (TControl)
pt | DoMouseWheelLeft (TControl)
pt | DoMouseWheelRight (TControl)
pt | DoMouseWheelUp (TControl)
pt | DoOnChangeBounds (TControl)
pt | DoOnParentHandleDestruction (TControl)
pt | DoOnResize (TControl)
pt | DoOnShowHint (TControl)
pt | DoRemainingKeyDown (TWinControl)
pt | DoRemainingKeyUp (TWinControl)
pt | DoRemoveDockClient (TWinControl)
pt | DoScaleFontPPI (TControl)
pt | DoSendBoundsToInterface (TWinControl)
pt | DoSendShowHideToInterface (TWinControl)
pt | DoSetBounds (TControl)
pt | DoSetBounds (TWinControl)
pt | DoStartDock (TControl)
pt | DoStartDrag (TControl)
pt | DoUncheckButton (TCDButtonControl)
pt | DoUnDock (TWinControl)
pt | DoUndockClientMsg (TWinControl)
pt | DoUTF8KeyPress (TWinControl)
pt | DragCanceled (TControl)
 | DragDrop (TControl)
 | Dragging (TControl)
pt | DragOver (TControl)
 | DrawToCanvas (TCDControl)
 | EditingDone (TControl)
 | EnableAlign (TWinControl)
 | EnableAutoSizing (TControl)
pt | EnabledChanged (TControl)
pt | EnabledChanging (TControl)
pt | EndAutoSizing (TControl)
 | EndDrag (TControl)
 | EndUpdateBounds (TWinControl)
 | Equals (TObject)
 | EraseBackground (TWinControl)
 | EraseBackground (TCDControl)
 | ExecuteAction (TComponent)
 | ExecuteCancelAction (TControl)
 | ExecuteDefaultAction (TControl)
 | FieldAddress (TObject)
pt | FinalizeWnd (TWinControl)
 | FindChildControl (TWinControl)
 | FindComponent (TComponent)
pt | FindNextControl (TWinControl)
 | FixDesignFontsPPI (TControl)
pt | FixupTabList (TWinControl)
 | FlipChildren (TWinControl)
 | Focused (TWinControl)
pt | FontChanged (TControl)
pt | FontChanged (TWinControl)
pt | FontChanged (TCustomControl)
pt | ForeignAnchorSideChanged (TControl)
pt | FormEndUpdated (TControl)
pt | FormEndUpdated (TWinControl)
 | FormIsUpdating (TControl)
 | FPOAttachObserver (TPersistent)
 | FPODetachObserver (TPersistent)
 | FPONotifyObservers (TPersistent)
 | Free (TObject)
 | FreeInstance (TObject)
 | FreeNotification (TComponent)
 | FreeOnRelease (TComponent)
 | GetAccessibleObject (TControl)
pt | GetAction (TControl)
pt | GetActionLinkClass (TControl)
pt | GetAdjustedLogicalClientRect (TWinControl)
 | GetAnchorsDependingOnParent (TControl)
pt | GetBorderStyle (TWinControl)
pt | GetCachedText (TControl)
 | GetCanvasScaleFactor (TControl)
pt | GetChecked (TCDButtonControl)
pt | GetCheckedState (TCDButtonControl)
 | GetChildAccessibleObjectAtPos (TControl)
 | GetChildOwner (TComponent)
 | GetChildParent (TComponent)
 | GetChildren (TComponent)
pt | GetChildren (TWinControl)
 | GetChildrenRect (TControl)
 | GetChildrenRect (TWinControl)
pt | GetClientOrigin (TControl)
pt | GetClientOrigin (TWinControl)
pt | GetClientRect (TControl)
pt | GetClientRect (TWinControl)
pt | GetClientRect (TCDControl)
pt | GetClientScrollOffset (TControl)
 | GetColorResolvingParent (TControl)
 | GetComObject (TComponent)
 | GetComponent (TComponent)
 | GetComponentCount (TComponent)
 | GetComponentIndex (TComponent)
pt | GetControlClassDefaultSize (TControl)
pt | GetControlId (TCDControl)
 | GetControlIndex (TWinControl)
pt | GetControlOrigin (TControl)
pt | GetControlOrigin (TWinControl)
pt | GetCursor (TControl)
 | GetDefaultColor (TControl)
pt | GetDefaultDockCaption (TControl)
 | GetDefaultHeight (TControl)
 | GetDefaultWidth (TControl)
pt | GetDeviceContext (TControl)
pt | GetDeviceContext (TWinControl)
 | GetDockCaption (TWinControl)
pt | GetDockEdge (TControl)
pt | GetDragImages (TControl)
pt | GetEnabled (TControl)
 | GetEnumerator (TComponent)
 | GetEnumeratorControls (TWinControl)
 | GetEnumeratorControlsReverse (TWinControl)
pt | GetFloating (TControl)
pt | GetFloatingDockSiteClass (TControl)
 | GetHashCode (TObject)
 | GetIDsOfNames (TComponent)
 | GetInterface (TObject)
 | GetInterfaceByStr (TObject)
 | GetInterfaceEntry (TObject)
 | GetInterfaceEntryByStr (TObject)
 | GetInterfaceTable (TObject)
 | GetInterfaceWeak (TObject)
pt | GetLogicalClientRect (TControl)
pt | GetMouseCapture (TControl)
pt | GetMouseCapture (TWinControl)
pt | GetMousePosFromMessage (TControl)
 | GetNamePath (TPersistent)
 | GetNamePath (TComponent)
 | GetOwner (TPersistent)
 | GetOwner (TComponent)
pt | GetPalette (TControl)
pt | GetParentBackground (TWinControl)
 | GetParentComponent (TComponent)
 | GetParentComponent (TControl)
pt | GetParentHandle (TWinControl)
pt | GetPopupMenu (TControl)
 | GetPreferredSize (TControl)
pt | GetPreferredSizeClientFrame (TWinControl)
 | GetRGBColorResolvingParent (TControl)
pt | GetScrolledClientRect (TControl)
 | GetSelectedChildAccessibleObject (TControl)
 | GetSidePosition (TControl)
pt | GetSiteInfo (TWinControl)
 | GetTabOrderList (TWinControl)
 | GetTextBuf (TControl)
 | GetTextLen (TControl)
 | GetTextLen (TWinControl)
 | GetTopParent (TControl)
pt | GetTopParentHandle (TWinControl)
 | GetTypeInfo (TComponent)
 | GetTypeInfoCount (TComponent)
pt | GetWSComponentClass (TLCLComponent)
 | HandleAllocated (TWinControl)
 | HandleNeeded (TWinControl)
 | HandleObjectShouldBeVisible (TControl)
 | HasHelp (TControl)
 | HasParent (TComponent)
 | HasParent (TControl)
pt | HeightIsAnchored (TControl)
 | Hide (TControl)
 | iicrGetComponent (TComponent)
 | IncLCLRefCount (TLCLComponent)
 | InheritsFrom (TObject)
pt | InitializeWnd (TWinControl)
 | InitiateAction (TControl)
 | InitInstance (TObject)
 | Insert (TComponent)
 | InsertComponent (TComponent)
 | InsertControl (TWinControl)
 | InstanceSize (TObject)
 | IntfGetDropFilesTarget (TWinControl)
 | IntfUTF8KeyPress (TWinControl)
 | Invalidate (TControl)
 | Invalidate (TWinControl)
pt | InvalidateBoundsRealized (TWinControl)
 | InvalidateClientRectCache (TWinControl)
pt | InvalidateControl (TControl)
pt | InvalidatePreferredChildSizes (TWinControl)
 | InvalidatePreferredSize (TControl)
 | Invoke (TComponent)
pt | IsAParentAligning (TControl)
pt | IsBorderSpacingInnerBorderStored (TControl)
pt | IsCaptionStored (TControl)
pt | IsClientHeightStored (TControl)
pt | IsClientHeightStored (TWinControl)
pt | IsClientWidthStored (TControl)
pt | IsClientWidthStored (TWinControl)
pt | IsControlMouseMsg (TWinControl)
 | IsControlVisible (TControl)
 | IsEnabled (TControl)
 | IsImplementorOf (TComponent)
 | IsParentColor (TControl)
 | IsParentFont (TControl)
 | IsParentOf (TControl)
 | IsProcessingPaintMsg (TControl)
 | IsRightToLeft (TControl)
 | IsVisible (TControl)
pt | KeyDown (TWinControl)
pt | KeyDown (TCDButtonControl)
pt | KeyDownAfterInterface (TWinControl)
pt | KeyDownBeforeInterface (TWinControl)
pt | KeyPress (TWinControl)
pt | KeyUp (TWinControl)
pt | KeyUp (TCDButtonControl)
pt | KeyUpAfterInterface (TWinControl)
pt | KeyUpBeforeInterface (TWinControl)
 | LCLWSCalculatePreferredSize (TCDControl)
pt | LMCaptureChanged (TControl)
 | Loaded (TComponent)
pt | Loaded (TControl)
pt | Loaded (TWinControl)
pt | LoadedAll (TControl)
 | Loading (TComponent)
 | LockRealizeBounds (TWinControl)
pt | MainWndProc (TWinControl)
 | ManualDock (TControl)
 | ManualFloat (TControl)
 | MethodAddress (TObject)
 | MethodName (TObject)
pt | MouseDown (TControl)
pt | MouseDown (TCDControl)
pt | MouseDown (TCDButtonControl)
pt | MouseEnter (TControl)
pt | MouseEnter (TCDControl)
pt | MouseEnter (TCDButtonControl)
pt | MouseLeave (TControl)
pt | MouseLeave (TCDControl)
pt | MouseLeave (TCDButtonControl)
pt | MouseMove (TControl)
pt | MouseUp (TControl)
pt | MouseUp (TCDButtonControl)
 | newinstance (TObject)
 | NewInstance (TLCLComponent)
 | Notification (TComponent)
pt | Notification (TControl)
 | NotifyControls (TWinControl)
pt | Paint (TCustomControl)
 | Paint (TCDControl)
pt | PaintControls (TWinControl)
pt | PaintHandler (TWinControl)
 | PaintTo (TWinControl)
pt | PaintWindow (TWinControl)
pt | PaintWindow (TCustomControl)
 | PaletteCreated (TComponent)
 | ParentDestroyingHandle (TControl)
pt | ParentFontChanged (TControl)
pt | ParentFormHandleInitialized (TControl)
pt | ParentFormHandleInitialized (TWinControl)
 | ParentHandlesAllocated (TControl)
 | ParentHandlesAllocated (TWinControl)
 | ParentToClient (TControl)
 | Perform (TControl)
 | PerformTab (TWinControl)
pt | PositionDockRect (TControl)
pt | PrepareControlState (TCDControl)
pt | PrepareControlStateEx (TCDControl)
pt | PrepareCurrentDrawer (TCDControl)
pt | QuadClick (TControl)
 | QueryInterface (TComponent)
 | ReadLeft (TComponent)
 | ReadState (TComponent)
pt | ReadState (TControl)
 | ReadTop (TComponent)
pt | RealGetText (TControl)
pt | RealGetText (TWinControl)
 | ReAlign (TWinControl)
pt | RealizeBounds (TWinControl)
pt | RealizeBoundsRecursive (TWinControl)
pt | RealSetText (TControl)
pt | RealSetText (TWinControl)
pt | RealSetText (TCDButtonControl)
 | ReferenceInterface (TComponent)
 | Refresh (TControl)
pt | ReloadDockedControl (TWinControl)
 | Remove (TComponent)
 | RemoveAllHandlersOfObject (TLCLComponent)
 | RemoveAllHandlersOfObject (TControl)
 | RemoveComponent (TComponent)
 | RemoveControl (TWinControl)
pt | RemoveFocus (TWinControl)
 | RemoveFreeNotification (TComponent)
pt | RemoveHandler (TControl)
 | RemoveHandlerOnBeforeDestruction (TControl)
 | RemoveHandlerOnChangeBounds (TControl)
 | RemoveHandlerOnEnableChanging (TControl)
 | RemoveHandlerOnKeyDown (TControl)
 | RemoveHandlerOnMouseWheel (TControl)
 | RemoveHandlerOnResize (TControl)
 | RemoveHandlerOnVisibleChanged (TControl)
 | RemoveHandlerOnVisibleChanging (TControl)
 | RemoveNotification (TComponent)
 | Repaint (TControl)
 | Repaint (TWinControl)
 | ReplaceDockedControl (TControl)
pt | RequestAlign (TControl)
pt | Resize (TControl)
 | SafeCallException (TObject)
 | SafeCallException (TComponent)
 | Scale96ToFont (TControl)
 | Scale96ToForm (TControl)
 | Scale96ToScreen (TControl)
 | ScaleBy (TWinControl)
pt | ScaleConstraints (TControl)
pt | ScaleControls (TWinControl)
 | ScaleDesignToForm (TControl)
 | ScaleFontsPPI (TControl)
 | ScaleFontTo96 (TControl)
 | ScaleFontToScreen (TControl)
 | ScaleFormTo96 (TControl)
 | ScaleFormToDesign (TControl)
 | ScaleScreenTo96 (TControl)
 | ScaleScreenToFont (TControl)
 | ScreenToClient (TControl)
 | ScreenToControl (TControl)
 | ScrollBy (TWinControl)
 | ScrollBy_WS (TWinControl)
pt | SelectFirst (TWinControl)
 | SelectNext (TWinControl)
pt | SendDialogChar (TWinControl)
pt | SendMoveSizeMessages (TControl)
pt | SendMoveSizeMessages (TWinControl)
 | SendToBack (TControl)
pt | SetAction (TControl)
pt | SetAlign (TControl)
 | SetAncestor (TComponent)
pt | SetAnchors (TControl)
pt | SetAutoSize (TControl)
pt | SetBiDiMode (TControl)
pt | SetBorderStyle (TWinControl)
 | SetBounds (TControl)
 | SetBounds (TWinControl)
 | SetBoundsKeepBase (TControl)
pt | SetChecked (TCDButtonControl)
pt | SetCheckedState (TCDButtonControl)
 | SetChildOrder (TComponent)
pt | SetChildZPosition (TWinControl)
pt | SetColor (TControl)
pt | SetColor (TWinControl)
pt | SetColor (TCustomControl)
 | SetComponentIndex (TComponent)
 | SetControlIndex (TWinControl)
pt | SetCursor (TControl)
 | SetDesigning (TComponent)
 | SetDesignInstance (TComponent)
pt | SetDockManager (TWinControl)
pt | SetDragMode (TControl)
pt | SetDrawStyle (TCDControl)
pt | SetEnabled (TControl)
 | SetFocus (TWinControl)
pt | SetHint (TControl)
 | SetInitialBounds (TControl)
 | SetInline (TComponent)
 | SetName (TComponent)
pt | SetName (TControl)
pt | SetParent (TControl)
pt | SetParentBackground (TWinControl)
pt | SetParentBiDiMode (TControl)
 | SetParentComponent (TComponent)
pt | SetParentComponent (TControl)
 | SetReference (TComponent)
 | SetShape (TWinControl)
pt | SetState (TCDControl)
 | SetSubComponent (TComponent)
 | SetTempCursor (TControl)
 | SetTempCursor (TWinControl)
 | SetTextBuf (TControl)
pt | SetVisible (TControl)
pt | SetZOrder (TControl)
 | ShouldAutoAdjust (TControl)
 | Show (TControl)
pt | ShowControl (TWinControl)
 | ShowHelp (TControl)
 | StringMessageTable (TObject)
pt | TextChanged (TControl)
 | ToString (TObject)
pt | TripleClick (TControl)
 | UnitName (TObject)
 | UnlockRealizeBounds (TWinControl)
 | Update (TControl)
 | Update (TWinControl)
 | UpdateAction (TComponent)
pt | UpdateAnchorRules (TControl)
 | UpdateBaseBounds (TControl)
pt | UpdateControlState (TWinControl)
 | Updated (TComponent)
 | UpdateDockCaption (TWinControl)
pt | UpdateMouseCursor (TControl)
 | UpdateRegistry (TComponent)
 | UpdateRolesForForm (TControl)
pt | UpdateShowing (TWinControl)
 | Updating (TComponent)
 | UseRightToLeftAlignment (TControl)
 | UseRightToLeftReading (TControl)
 | UseRightToLeftScrollBar (TControl)
pt | UTF8KeyPress (TWinControl)
 | ValidateContainer (TComponent)
 | ValidateInsert (TComponent)
 | ValidateRename (TComponent)
pt | VisibleChanged (TControl)
pt | VisibleChanging (TControl)
pt | WidthIsAnchored (TControl)
pt | WMCancelMode (TControl)
pt | WMChar (TWinControl)
pt | WMContextMenu (TControl)
pt | WMContextMenu (TWinControl)
pt | WMDestroy (TWinControl)
pt | WMEnter (TWinControl)
pt | WMEraseBkgnd (TWinControl)
pt | WMExit (TWinControl)
pt | WMKeyDown (TWinControl)
pt | WMKeyUp (TWinControl)
pt | WMKillFocus (TWinControl)
pt | WMLButtonDBLCLK (TControl)
pt | WMLButtonDown (TControl)
pt | WMLButtonQuadCLK (TControl)
pt | WMLButtonTripleCLK (TControl)
pt | WMLButtonUp (TControl)
pt | WMMButtonDBLCLK (TControl)
pt | WMMButtonDown (TControl)
pt | WMMButtonQuadCLK (TControl)
pt | WMMButtonTripleCLK (TControl)
pt | WMMButtonUp (TControl)
pt | WMMouseHWheel (TControl)
pt | WMMouseMove (TControl)
pt | WMMouseWheel (TControl)
pt | WMMove (TControl)
pt | WMMove (TWinControl)
pt | WMNotify (TWinControl)
pt | WMPaint (TWinControl)
pt | WMPaint (TCustomControl)
pt | WMRButtonDBLCLK (TControl)
pt | WMRButtonDown (TControl)
pt | WMRButtonQuadCLK (TControl)
pt | WMRButtonTripleCLK (TControl)
pt | WMRButtonUp (TControl)
pt | WMSetFocus (TWinControl)
pt | WMShowWindow (TWinControl)
pt | WMSize (TControl)
pt | WMSize (TWinControl)
pt | WMSysChar (TWinControl)
pt | WMSysKeyDown (TWinControl)
pt | WMSysKeyUp (TWinControl)
pt | WMWindowPosChanged (TControl)
pt | WMWindowPosChanged (TWinControl)
pt | WMXButtonDBLCLK (TControl)
pt | WMXButtonDown (TControl)
pt | WMXButtonQuadCLK (TControl)
pt | WMXButtonTripleCLK (TControl)
pt | WMXButtonUp (TControl)
pt | WndProc (TControl)
pt | WndProc (TWinControl)
 | WriteLayoutDebugReport (TControl)
 | WriteLayoutDebugReport (TWinControl)
 | WriteLeft (TComponent)
 | WriteState (TComponent)
 | WriteTop (TComponent)
pt | WSRegisterClass (TLCLComponent)
pt | WSRegisterClass (TControl)
pt | WSRegisterClass (TWinControl)
pt | WSRegisterClass (TCustomControl)
pt | WSSetText (TWinControl)
 | _AddRef (TComponent)
 | _Release (TComponent)


TCDButtonControl
TCDControl
TCustomControl
 | OnPaint
TWinControl
pt | OnGetSiteInfo
pt | OnGetDockCaption
 | OnAlignInsertBefore
 | OnAlignPosition
 | OnDockDrop
 | OnDockOver
 | OnEnter
 | OnExit
 | OnKeyDown
 | OnKeyPress
 | OnKeyUp
 | OnUnDock
 | OnUTF8KeyPress
TControl
pt | OnConstrainedResize
pt | OnContextPopup
pt | OnDblClick
pt | OnTripleClick
pt | OnQuadClick
pt | OnDragDrop
pt | OnDragOver
pt | OnEndDock
pt | OnEndDrag
pt | OnMouseDown
pt | OnMouseMove
pt | OnMouseUp
pt | OnMouseEnter
pt | OnMouseLeave
pt | OnMouseWheel
pt | OnMouseWheelDown
pt | OnMouseWheelUp
pt | OnMouseWheelHorz
pt | OnMouseWheelLeft
pt | OnMouseWheelRight
pt | OnStartDock
pt | OnStartDrag
pt | OnEditingDone
 | OnChangeBounds
 | OnClick
 | OnResize
 | OnShowHint
TLCLComponent
TComponent
TPersistent
TObject


TCDButtonControl.AllowGrayed

Declaration

Source position: customdrawncontrols.pas line 119

protected property TCDButtonControl.AllowGrayed : Boolean
  read FAllowGrayed
  write FAllowGrayed
  default False;


TCDButtonControl.Checked

Declaration

Source position: customdrawncontrols.pas line 120

protected property TCDButtonControl.Checked : Boolean
  read GetChecked
  write SetChecked
  default False;


TCDButtonControl.DoButtonDown

Declaration

Source position: customdrawncontrols.pas line 111

protected procedure TCDButtonControl.DoButtonDown; virtual;


TCDButtonControl.DoButtonUp

Declaration

Source position: customdrawncontrols.pas line 112

protected procedure TCDButtonControl.DoButtonUp; virtual;


TCDButtonControl.DoCheckIfFirstButtonInGroup

Declaration

Source position: customdrawncontrols.pas line 110

protected procedure TCDButtonControl.DoCheckIfFirstButtonInGroup;


TCDButtonControl.DoUncheckButton

Declaration

Source position: customdrawncontrols.pas line 109

protected procedure TCDButtonControl.DoUncheckButton; virtual;


TCDButtonControl.FAllowGrayed

Declaration

Source position: customdrawncontrols.pas line 98

protected TCDButtonControl.FAllowGrayed : Boolean;


TCDButtonControl.FGroupIndex

Declaration

Source position: customdrawncontrols.pas line 97

protected TCDButtonControl.FGroupIndex : Integer;


TCDButtonControl.FHasOnOffStates

Declaration

Source position: customdrawncontrols.pas line 95

protected TCDButtonControl.FHasOnOffStates : Boolean;


TCDButtonControl.FIsGrouped

Declaration

Source position: customdrawncontrols.pas line 96

protected TCDButtonControl.FIsGrouped : Boolean;


TCDButtonControl.GetChecked

Declaration

Source position: customdrawncontrols.pas line 114

protected function TCDButtonControl.GetChecked: Boolean;


TCDButtonControl.GetCheckedState

Declaration

Source position: customdrawncontrols.pas line 116

protected function TCDButtonControl.GetCheckedState: TCheckBoxState;


TCDButtonControl.KeyDown

Declaration

Source position: customdrawncontrols.pas line 100

protected procedure TCDButtonControl.KeyDown(

  var Key: Word;

  Shift: TShiftState

); override;


TCDButtonControl.KeyUp

Declaration

Source position: customdrawncontrols.pas line 101

protected procedure TCDButtonControl.KeyUp(

  var Key: Word;

  Shift: TShiftState

); override;


TCDButtonControl.MouseDown

Declaration

Source position: customdrawncontrols.pas line 103

protected procedure TCDButtonControl.MouseDown(

  Button: TMouseButton;

  Shift: TShiftState;

  X: Integer;

  Y: Integer

); override;


TCDButtonControl.MouseEnter

Declaration

Source position: customdrawncontrols.pas line 106

protected procedure TCDButtonControl.MouseEnter; override;


TCDButtonControl.MouseLeave

Declaration

Source position: customdrawncontrols.pas line 107

protected procedure TCDButtonControl.MouseLeave; override;


TCDButtonControl.MouseUp

Declaration

Source position: customdrawncontrols.pas line 105

protected procedure TCDButtonControl.MouseUp(

  Button: TMouseButton;

  Shift: TShiftState;

  X: Integer;

  Y: Integer

); override;


TCDButtonControl.RealSetText

Declaration

Source position: customdrawncontrols.pas line 113

protected procedure TCDButtonControl.RealSetText(

  const Value: TCaption

); override;


TCDButtonControl.SetChecked

Declaration

Source position: customdrawncontrols.pas line 115

protected procedure TCDButtonControl.SetChecked(

  AValue: Boolean

);


TCDButtonControl.SetCheckedState

Declaration

Source position: customdrawncontrols.pas line 117

protected procedure TCDButtonControl.SetCheckedState(

  AValue: TCheckBoxState

);


TCDButtonControl.State

Declaration

Source position: customdrawncontrols.pas line 122

protected property TCDButtonControl.State : TCheckBoxState
  read GetCheckedState
  write SetCheckedState
  default cbUnchecked;


TCDCheckBox

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Declaration

Source position: customdrawncontrols.pas line 270

type TCDCheckBox = class(TCDButtonControl)

protected

  function GetControlId; override;

public

  constructor Create(); override;

  destructor Destroy; override;

published

  property AllowGrayed: Boolean;

  property Checked: Boolean;

  property DrawStyle: TCDDrawStyle;

  property Caption: TCaption;

  property Enabled: Boolean;

  property TabStop: Boolean;

  property State: TCheckBoxState;

end;

Inheritance

TCDCheckBox |
|
TCDButtonControl |
|
TCDControl |
|
TCustomControl | The base class for windowed controls which paint themselves.
|
TWinControl | The base class for controls which can contain other (child) controls.
|
TControl | The base class for visible controls.
|
TLCLComponent | The base class for LCL components associated with widgets.
|
TComponent,IUnknown,IInterfaceComponentReference
|
TPersistent,IFPObserved
|
TObject


TCDCheckBox
pl | ro | AllowGrayed
pl | ro | Checked
pl | ro | DrawStyle
pl | ro | Caption
pl | ro | Enabled
pl | ro | TabStop
pl | ro | State
TCDButtonControl
pt |  | AllowGrayed
pt |  | Checked
pt |  | State
TCDControl
pt |  | DrawStyle
TCustomControl
 |  | Canvas
 | ro | BorderStyle
TWinControl
pt |  | WindowHandle
pt |  | BorderStyle
pt |  | ParentBackground
 |  | BorderWidth
 | ro | BoundsLockCount
 | ro | Brush
 | ro | CachedClientHeight
 | ro | CachedClientWidth
 |  | ChildSizing
 | ro | ControlCount
 | ro | Controls
 |  | DefWndProc
 | ro | DockClientCount
 | ro | DockClients
 |  | DockManager
 |  | DockSite
 |  | DoubleBuffered
 |  | Handle
 | ro | IsFlipped
 | ro | IsResizing
 |  | TabOrder
 |  | TabStop
 |  | ParentDoubleBuffered
 |  | ParentWindow
 | ro | Showing
 |  | UseDockManager
 |  | DesignerDeleting
 | ro | VisibleDockClientCount
TControl
pt | ro | AutoSizing
pt | ro | AutoSizingAll
pt | ro | AutoSizingLockCount
pt |  | ActionLink
pt |  | DesktopFont
pt |  | DragCursor
pt |  | DragKind
pt |  | DragMode
pt |  | MouseCapture
pt |  | ParentColor
pt |  | ParentFont
pt |  | ParentShowHint
pt |  | SessionProperties
pt |  | Text
 | ro | AnchoredControls
 | ro | BaseBounds
 | ro | ReadBounds
 | ro | BaseParentClientSize
 |  | AccessibleDescription
 |  | AccessibleValue
 |  | AccessibleRole
 |  | Action
 |  | Align
 |  | Anchors
 | ro | AnchorSide
 |  | AutoSize
 |  | BorderSpacing
 |  | BoundsRect
 |  | BoundsRectForNewParent
 |  | Caption
 |  | CaptureMouseButtons
 |  | ClientHeight
 | ro | ClientOrigin
 | ro | ClientRect
 |  | ClientWidth
 |  | Color
 |  | Constraints
 | ro | ControlOrigin
 |  | ControlState
 |  | ControlStyle
 |  | Enabled
 |  | Font
 |  | IsControl
 | ro | MouseEntered
 | ro | MouseInClient
 |  | Parent
 |  | PopupMenu
 |  | ShowHint
 |  | Visible
 |  | WindowProc
 |  | DockOrientation
 | ro | Floating
 |  | FloatingDockSiteClass
 |  | HostDockSite
 |  | LRDockWidth
 |  | TBDockHeight
 |  | UndockHeight
 |  | UndockWidth
 |  | BiDiMode
 |  | ParentBiDiMode
pl |  | AnchorSideLeft
pl |  | AnchorSideTop
pl |  | AnchorSideRight
pl |  | AnchorSideBottom
pl |  | Cursor
pl |  | Left
pl |  | Height
pl |  | Hint
pl |  | Top
pl |  | Width
pl |  | HelpType
pl |  | HelpKeyword
pl |  | HelpContext
TLCLComponent
 | ro | LCLRefCount
 | ro | WidgetSetClass
TComponent
 | ro | ComObject
 | ro | Components
 | ro | ComponentCount
 |  | ComponentIndex
 | ro | ComponentState
 | ro | ComponentStyle
 |  | DesignInfo
 | ro | Owner
 |  | VCLComObject
 |  | Name
 |  | Tag
TPersistent
TObject


 |  | AccessibleDescription (TControl)
 |  | AccessibleRole (TControl)
 |  | AccessibleValue (TControl)
 |  | Action (TControl)
pt |  | ActionLink (TControl)
 |  | Align (TControl)
pt |  | AllowGrayed (TCDButtonControl)
pl | ro | AllowGrayed (TCDCheckBox)
 | ro | AnchoredControls (TControl)
 |  | Anchors (TControl)
 | ro | AnchorSide (TControl)
pl |  | AnchorSideBottom (TControl)
pl |  | AnchorSideLeft (TControl)
pl |  | AnchorSideRight (TControl)
pl |  | AnchorSideTop (TControl)
 |  | AutoSize (TControl)
pt | ro | AutoSizing (TControl)
pt | ro | AutoSizingAll (TControl)
pt | ro | AutoSizingLockCount (TControl)
 | ro | BaseBounds (TControl)
 | ro | BaseParentClientSize (TControl)
 |  | BiDiMode (TControl)
 |  | BorderSpacing (TControl)
pt |  | BorderStyle (TWinControl)
 | ro | BorderStyle (TCustomControl)
 |  | BorderWidth (TWinControl)
 | ro | BoundsLockCount (TWinControl)
 |  | BoundsRect (TControl)
 |  | BoundsRectForNewParent (TControl)
 | ro | Brush (TWinControl)
 | ro | CachedClientHeight (TWinControl)
 | ro | CachedClientWidth (TWinControl)
 |  | Canvas (TCustomControl)
 |  | Caption (TControl)
pl | ro | Caption (TCDCheckBox)
 |  | CaptureMouseButtons (TControl)
pt |  | Checked (TCDButtonControl)
pl | ro | Checked (TCDCheckBox)
 |  | ChildSizing (TWinControl)
 |  | ClientHeight (TControl)
 | ro | ClientOrigin (TControl)
 | ro | ClientRect (TControl)
 |  | ClientWidth (TControl)
 |  | Color (TControl)
 | ro | ComObject (TComponent)
 | ro | ComponentCount (TComponent)
 |  | ComponentIndex (TComponent)
 | ro | Components (TComponent)
 | ro | ComponentState (TComponent)
 | ro | ComponentStyle (TComponent)
 |  | Constraints (TControl)
 | ro | ControlCount (TWinControl)
 | ro | ControlOrigin (TControl)
 | ro | Controls (TWinControl)
 |  | ControlState (TControl)
 |  | ControlStyle (TControl)
pl |  | Cursor (TControl)
 |  | DefWndProc (TWinControl)
 |  | DesignerDeleting (TWinControl)
 |  | DesignInfo (TComponent)
pt |  | DesktopFont (TControl)
 | ro | DockClientCount (TWinControl)
 | ro | DockClients (TWinControl)
 |  | DockManager (TWinControl)
 |  | DockOrientation (TControl)
 |  | DockSite (TWinControl)
 |  | DoubleBuffered (TWinControl)
pt |  | DragCursor (TControl)
pt |  | DragKind (TControl)
pt |  | DragMode (TControl)
pt |  | DrawStyle (TCDControl)
pl | ro | DrawStyle (TCDCheckBox)
 |  | Enabled (TControl)
pl | ro | Enabled (TCDCheckBox)
 | ro | Floating (TControl)
 |  | FloatingDockSiteClass (TControl)
 |  | Font (TControl)
 |  | Handle (TWinControl)
pl |  | Height (TControl)
pl |  | HelpContext (TControl)
pl |  | HelpKeyword (TControl)
pl |  | HelpType (TControl)
pl |  | Hint (TControl)
 |  | HostDockSite (TControl)
 |  | IsControl (TControl)
 | ro | IsFlipped (TWinControl)
 | ro | IsResizing (TWinControl)
 | ro | LCLRefCount (TLCLComponent)
pl |  | Left (TControl)
 |  | LRDockWidth (TControl)
pt |  | MouseCapture (TControl)
 | ro | MouseEntered (TControl)
 | ro | MouseInClient (TControl)
 |  | Name (TComponent)
 | ro | Owner (TComponent)
 |  | Parent (TControl)
pt |  | ParentBackground (TWinControl)
 |  | ParentBiDiMode (TControl)
pt |  | ParentColor (TControl)
 |  | ParentDoubleBuffered (TWinControl)
pt |  | ParentFont (TControl)
pt |  | ParentShowHint (TControl)
 |  | ParentWindow (TWinControl)
 |  | PopupMenu (TControl)
 | ro | ReadBounds (TControl)
pt |  | SessionProperties (TControl)
 |  | ShowHint (TControl)
 | ro | Showing (TWinControl)
pt |  | State (TCDButtonControl)
pl | ro | State (TCDCheckBox)
 |  | TabOrder (TWinControl)
 |  | TabStop (TWinControl)
pl | ro | TabStop (TCDCheckBox)
 |  | Tag (TComponent)
 |  | TBDockHeight (TControl)
pt |  | Text (TControl)
pl |  | Top (TControl)
 |  | UndockHeight (TControl)
 |  | UndockWidth (TControl)
 |  | UseDockManager (TWinControl)
 |  | VCLComObject (TComponent)
 |  | Visible (TControl)
 | ro | VisibleDockClientCount (TWinControl)
 | ro | WidgetSetClass (TLCLComponent)
pl |  | Width (TControl)
pt |  | WindowHandle (TWinControl)
 |  | WindowProc (TControl)


TCDCheckBox
pt | GetControlId
 | Create
 | Destroy
TCDButtonControl
pt | KeyDown
pt | KeyUp
pt | MouseDown
pt | MouseUp
pt | MouseEnter
pt | MouseLeave
pt | DoUncheckButton
pt | DoCheckIfFirstButtonInGroup
pt | DoButtonDown
pt | DoButtonUp
pt | RealSetText
pt | GetChecked
pt | SetChecked
pt | GetCheckedState
pt | SetCheckedState
TCDControl
pt | CalculatePreferredSize
pt | SetState
pt | PrepareCurrentDrawer
pt | SetDrawStyle
pt | GetClientRect
pt | GetControlId
pt | CreateControlStateEx
pt | PrepareControlState
pt | PrepareControlStateEx
pt | DoEnter
pt | DoExit
pt | MouseEnter
pt | MouseLeave
pt | MouseDown
 | Create
 | Destroy
 | LCLWSCalculatePreferredSize
 | EraseBackground
 | Paint
 | DrawToCanvas
TCustomControl
pt | WSRegisterClass
pt | WMPaint
pt | DestroyWnd
pt | PaintWindow
pt | FontChanged
pt | SetColor
pt | Paint
 | Create
 | Destroy
TWinControl
pt | WSRegisterClass
pt | AdjustClientRect
pt | GetAdjustedLogicalClientRect
pt | AlignControls
pt | CustomAlignInsertBefore
pt | CustomAlignPosition
pt | DoAlignChildControls
pt | DoChildSizingChange
pt | InvalidatePreferredChildSizes
pt | CanTab
pt | IsClientHeightStored
pt | IsClientWidthStored
pt | DoSendShowHideToInterface
pt | ControlsAligned
pt | DoSendBoundsToInterface
pt | RealizeBounds
pt | RealizeBoundsRecursive
pt | InvalidateBoundsRealized
pt | CreateSubClass
pt | DoConstraintsChange
pt | DoSetBounds
pt | DoAutoSize
pt | DoAllAutoSize
pt | AllAutoSized
pt | CalculatePreferredSize
pt | GetPreferredSizeClientFrame
pt | GetChildren
pt | ChildClassAllowed
pt | PaintControls
pt | PaintHandler
pt | PaintWindow
pt | CreateBrush
pt | ScaleControls
pt | ChangeScale
pt | CMBiDiModeChanged
pt | CMBorderChanged
pt | CMDoubleBufferedChanged
pt | CMEnabledChanged
pt | CMParentDoubleBufferedChanged
pt | CMShowingChanged
pt | CMShowHintChanged
pt | CMVisibleChanged
pt | CMEnter
pt | CMExit
pt | WMContextMenu
pt | WMEraseBkgnd
pt | WMNotify
pt | WMSetFocus
pt | WMKillFocus
pt | WMShowWindow
pt | WMEnter
pt | WMExit
pt | WMKeyDown
pt | WMSysKeyDown
pt | WMKeyUp
pt | WMSysKeyUp
pt | WMChar
pt | WMSysChar
pt | WMPaint
pt | WMDestroy
pt | WMMove
pt | WMSize
pt | WMWindowPosChanged
pt | CNKeyDown
pt | CNSysKeyDown
pt | CNKeyUp
pt | CNSysKeyUp
pt | CNChar
pt | DoDragMsg
pt | DoDockClientMsg
pt | DoUndockClientMsg
pt | DoAddDockClient
pt | DockOver
pt | DoDockOver
pt | DoRemoveDockClient
pt | DoUnDock
pt | GetSiteInfo
pt | GetParentHandle
pt | GetTopParentHandle
pt | ReloadDockedControl
pt | CreateDockManager
pt | SetDockManager
pt | DoFloatMsg
pt | DoGetDockCaption
pt | DoEnter
pt | DoExit
pt | DoKeyDownBeforeInterface
pt | DoRemainingKeyDown
pt | DoRemainingKeyUp
pt | DoKeyPress
pt | DoUTF8KeyPress
pt | DoKeyUpBeforeInterface
pt | ChildKey
pt | SendDialogChar
pt | DialogChar
pt | ControlKeyDown
pt | ControlKeyUp
pt | KeyDown
pt | KeyDownBeforeInterface
pt | KeyDownAfterInterface
pt | KeyPress
pt | KeyUp
pt | KeyUpBeforeInterface
pt | KeyUpAfterInterface
pt | UTF8KeyPress
pt | FindNextControl
pt | SelectFirst
pt | RealGetText
pt | GetBorderStyle
pt | GetClientOrigin
pt | GetClientRect
pt | GetControlOrigin
pt | GetDeviceContext
pt | GetParentBackground
pt | IsControlMouseMsg
pt | CreateHandle
pt | CreateParams
pt | CreateWnd
pt | DestroyHandle
pt | DestroyWnd
pt | DoFlipChildren
pt | FinalizeWnd
pt | FixupTabList
pt | FontChanged
pt | InitializeWnd
pt | Loaded
pt | FormEndUpdated
pt | MainWndProc
pt | ParentFormHandleInitialized
pt | ChildHandlesCreated
pt | GetMouseCapture
pt | RealSetText
pt | RemoveFocus
pt | SendMoveSizeMessages
pt | SetBorderStyle
pt | SetColor
pt | SetChildZPosition
pt | SetParentBackground
pt | ShowControl
pt | UpdateControlState
pt | UpdateShowing
pt | WndProc
pt | WSSetText
 | AutoSizePhases
 | AutoSizeDelayed
 | AutoSizeDelayedReport
 | AutoSizeDelayedHandle
 | BeginUpdateBounds
 | EndUpdateBounds
 | LockRealizeBounds
 | UnlockRealizeBounds
 | ControlAtPos
 | ContainsControl
 | DoAdjustClientRectChange
 | InvalidateClientRectCache
 | ClientRectNeedsInterfaceUpdate
 | SetBounds
 | GetChildrenRect
 | DisableAlign
 | EnableAlign
 | ReAlign
 | ScrollBy_WS
 | ScrollBy
 | WriteLayoutDebugReport
 | AutoAdjustLayout
 | Create
 | CreateParented
 | CreateParentedControl
 | Destroy
 | DockDrop
 | CanFocus
 | CanSetFocus
 | GetControlIndex
 | SetControlIndex
 | Focused
 | PerformTab
 | FindChildControl
 | SelectNext
 | SetTempCursor
 | BroadCast
 | NotifyControls
 | DefaultHandler
 | GetTextLen
 | Invalidate
 | AddControl
 | InsertControl
 | RemoveControl
 | GetEnumeratorControls
 | GetEnumeratorControlsReverse
 | Repaint
 | Update
 | SetFocus
 | FlipChildren
 | ScaleBy
 | GetDockCaption
 | UpdateDockCaption
 | GetTabOrderList
 | HandleAllocated
 | ParentHandlesAllocated
 | HandleNeeded
 | BrushCreated
 | EraseBackground
 | IntfUTF8KeyPress
 | IntfGetDropFilesTarget
 | PaintTo
 | SetShape
TControl
pt | WSRegisterClass
pt | GetCursor
pt | SetCursor
pt | SetVisible
pt | DoOnParentHandleDestruction
pt | DoAutoSize
pt | DoAllAutoSize
pt | BeginAutoSizing
pt | EndAutoSizing
pt | AnchorSideChanged
pt | ForeignAnchorSideChanged
pt | SetAlign
pt | SetAnchors
pt | SetAutoSize
pt | BoundsChanged
pt | CreateControlBorderSpacing
pt | DoConstraintsChange
pt | DoBorderSpacingChange
pt | IsBorderSpacingInnerBorderStored
pt | IsCaptionStored
pt | SendMoveSizeMessages
pt | ConstrainedResize
pt | CalculatePreferredSize
pt | DoOnResize
pt | DoOnChangeBounds
pt | CheckOnChangeBounds
pt | Resize
pt | RequestAlign
pt | UpdateAnchorRules
pt | ChangeBounds
pt | DoSetBounds
pt | ScaleConstraints
pt | ChangeScale
pt | CanAutoSize
pt | SetBiDiMode
pt | SetParentBiDiMode
pt | IsAParentAligning
pt | GetClientOrigin
pt | GetClientRect
pt | GetLogicalClientRect
pt | GetScrolledClientRect
pt | GetClientScrollOffset
pt | GetControlOrigin
pt | IsClientHeightStored
pt | IsClientWidthStored
pt | WidthIsAnchored
pt | HeightIsAnchored
pt | WMCancelMode
pt | WMContextMenu
pt | WMLButtonDown
pt | WMRButtonDown
pt | WMMButtonDown
pt | WMXButtonDown
pt | WMLButtonDBLCLK
pt | WMRButtonDBLCLK
pt | WMMButtonDBLCLK
pt | WMXButtonDBLCLK
pt | WMLButtonTripleCLK
pt | WMRButtonTripleCLK
pt | WMMButtonTripleCLK
pt | WMXButtonTripleCLK
pt | WMLButtonQuadCLK
pt | WMRButtonQuadCLK
pt | WMMButtonQuadCLK
pt | WMXButtonQuadCLK
pt | WMMouseMove
pt | WMLButtonUp
pt | WMRButtonUp
pt | WMMButtonUp
pt | WMXButtonUp
pt | WMMouseWheel
pt | WMMouseHWheel
pt | WMMove
pt | WMSize
pt | WMWindowPosChanged
pt | CMChanged
pt | LMCaptureChanged
pt | CMBiDiModeChanged
pt | CMSysFontChanged
pt | CMEnabledChanged
pt | CMHitTest
pt | CMMouseEnter
pt | CMMouseLeave
pt | CMHintShow
pt | CMParentBiDiModeChanged
pt | CMParentColorChanged
pt | CMParentFontChanged
pt | CMParentShowHintChanged
pt | CMVisibleChanged
pt | CMTextChanged
pt | CMCursorChanged
pt | CalculateDockSizes
pt | CreateFloatingDockSite
pt | GetDockEdge
pt | GetDragImages
pt | GetFloating
pt | GetFloatingDockSiteClass
pt | BeforeDragStart
pt | BeginAutoDrag
pt | DoFloatMsg
pt | DockTrackNoTarget
pt | DoDock
pt | DoDragMsg
pt | DoEndDock
pt | DoEndDrag
pt | DoStartDock
pt | DoStartDrag
pt | DragCanceled
pt | DragOver
pt | PositionDockRect
pt | SetDragMode
pt | GetDefaultDockCaption
pt | Click
pt | DblClick
pt | TripleClick
pt | QuadClick
pt | GetMousePosFromMessage
pt | MouseDown
pt | MouseMove
pt | MouseUp
pt | MouseEnter
pt | MouseLeave
pt | DialogChar
pt | UpdateMouseCursor
pt | Changed
pt | GetPalette
pt | ChildClassAllowed
pt | ReadState
pt | Loaded
pt | LoadedAll
pt | DefineProperties
pt | AssignTo
pt | FormEndUpdated
pt | InvalidateControl
pt | FontChanged
pt | ParentFontChanged
pt | GetAction
pt | RealGetText
pt | RealSetText
pt | TextChanged
pt | GetCachedText
pt | SetAction
pt | SetColor
pt | SetEnabled
pt | SetHint
pt | SetName
pt | SetParent
pt | SetParentComponent
pt | WndProc
pt | ParentFormHandleInitialized
pt | GetMouseCapture
pt | CaptureChanged
pt | Notification
pt | CanTab
pt | GetDeviceContext
pt | GetEnabled
pt | GetPopupMenu
pt | DoOnShowHint
pt | DoMouseWheel
pt | DoMouseWheelDown
pt | DoMouseWheelUp
pt | DoMouseWheelHorz
pt | DoMouseWheelLeft
pt | DoMouseWheelRight
pt | VisibleChanging
pt | VisibleChanged
pt | EnabledChanging
pt | EnabledChanged
pt | AddHandler
pt | RemoveHandler
pt | DoCallNotifyHandler
pt | DoCallKeyEventHandler
pt | DoCallMouseWheelEventHandler
pt | DoContextPopup
pt | SetZOrder
pt | GetControlClassDefaultSize
pt | ColorIsStored
pt | DoAutoAdjustLayout
pt | DoFixDesignFontPPI
pt | DoScaleFontPPI
pt | GetActionLinkClass
pt | ActionChange
 | DragDrop
 | Dock
 | ManualDock
 | ManualFloat
 | ReplaceDockedControl
 | Docked
 | Dragging
 | GetAccessibleObject
 | CreateAccessibleObject
 | GetSelectedChildAccessibleObject
 | GetChildAccessibleObjectAtPos
 | ScaleDesignToForm
 | ScaleFormToDesign
 | Scale96ToForm
 | ScaleFormTo96
 | Scale96ToFont
 | ScaleFontTo96
 | ScaleScreenToFont
 | ScaleFontToScreen
 | Scale96ToScreen
 | ScaleScreenTo96
 | AdjustSize
 | AutoSizePhases
 | AutoSizeDelayed
 | AutoSizeDelayedReport
 | AutoSizeDelayedHandle
 | AnchorToNeighbour
 | AnchorParallel
 | AnchorHorizontalCenterTo
 | AnchorVerticalCenterTo
 | AnchorToCompanion
 | AnchorSame
 | AnchorAsAlign
 | AnchorClient
 | AnchoredControlCount
 | SetBounds
 | SetInitialBounds
 | SetBoundsKeepBase
 | GetPreferredSize
 | GetCanvasScaleFactor
 | GetDefaultWidth
 | GetDefaultHeight
 | GetDefaultColor
 | GetColorResolvingParent
 | GetRGBColorResolvingParent
 | GetSidePosition
 | CNPreferredSizeChanged
 | InvalidatePreferredSize
 | GetAnchorsDependingOnParent
 | DisableAutoSizing
 | EnableAutoSizing
 | UpdateBaseBounds
 | WriteLayoutDebugReport
 | AutoAdjustLayout
 | ShouldAutoAdjust
 | FixDesignFontsPPI
 | ScaleFontsPPI
 | Create
 | Destroy
 | BeforeDestruction
 | EditingDone
 | ExecuteDefaultAction
 | ExecuteCancelAction
 | BeginDrag
 | EndDrag
 | BringToFront
 | HasParent
 | GetParentComponent
 | IsParentOf
 | GetTopParent
 | IsVisible
 | IsControlVisible
 | IsEnabled
 | IsParentColor
 | IsParentFont
 | FormIsUpdating
 | IsProcessingPaintMsg
 | Hide
 | Refresh
 | Repaint
 | Invalidate
 | CheckChildClassAllowed
 | CheckNewParent
 | SendToBack
 | SetTempCursor
 | UpdateRolesForForm
 | ActiveDefaultControlChanged
 | GetTextBuf
 | GetTextLen
 | SetTextBuf
 | Perform
 | ScreenToClient
 | ClientToScreen
 | ScreenToControl
 | ControlToScreen
 | ClientToParent
 | ParentToClient
 | GetChildrenRect
 | Show
 | Update
 | HandleObjectShouldBeVisible
 | ParentDestroyingHandle
 | ParentHandlesAllocated
 | InitiateAction
 | ShowHelp
 | HasHelp
 | RemoveAllHandlersOfObject
 | AddHandlerOnResize
 | RemoveHandlerOnResize
 | AddHandlerOnChangeBounds
 | RemoveHandlerOnChangeBounds
 | AddHandlerOnVisibleChanging
 | RemoveHandlerOnVisibleChanging
 | AddHandlerOnVisibleChanged
 | RemoveHandlerOnVisibleChanged
 | AddHandlerOnEnabledChanged
 | RemoveHandlerOnEnableChanging
 | AddHandlerOnKeyDown
 | RemoveHandlerOnKeyDown
 | AddHandlerOnBeforeDestruction
 | RemoveHandlerOnBeforeDestruction
 | AddHandlerOnMouseWheel
 | RemoveHandlerOnMouseWheel
 | UseRightToLeftAlignment
 | UseRightToLeftReading
 | UseRightToLeftScrollBar
 | IsRightToLeft
TLCLComponent
pt | WSRegisterClass
pt | GetWSComponentClass
 | Create
 | Destroy
 | NewInstance
 | RemoveAllHandlersOfObject
 | IncLCLRefCount
 | DecLCLRefCount
TComponent
 | GetComObject
 | GetComponent
 | GetComponentCount
 | GetComponentIndex
 | Insert
 | ReadLeft
 | ReadTop
 | Remove
 | RemoveNotification
 | SetComponentIndex
 | SetReference
 | WriteLeft
 | WriteTop
 | ChangeName
 | DefineProperties
 | GetChildren
 | GetChildOwner
 | GetChildParent
 | GetOwner
 | Loaded
 | Loading
 | Notification
 | PaletteCreated
 | ReadState
 | SetAncestor
 | SetDesigning
 | SetDesignInstance
 | SetInline
 | SetName
 | SetChildOrder
 | SetParentComponent
 | Updating
 | Updated
 | UpdateRegistry
 | ValidateRename
 | ValidateContainer
 | ValidateInsert
 | QueryInterface
 | _AddRef
 | _Release
 | iicrGetComponent
 | GetTypeInfoCount
 | GetTypeInfo
 | GetIDsOfNames
 | Invoke
 | WriteState
 | Create
 | Destroy
 | BeforeDestruction
 | DestroyComponents
 | Destroying
 | ExecuteAction
 | FindComponent
 | FreeNotification
 | RemoveFreeNotification
 | FreeOnRelease
 | GetEnumerator
 | GetNamePath
 | GetParentComponent
 | HasParent
 | InsertComponent
 | RemoveComponent
 | SafeCallException
 | SetSubComponent
 | UpdateAction
 | IsImplementorOf
 | ReferenceInterface
TPersistent
 | AssignError
 | AssignTo
 | DefineProperties
 | GetOwner
 | Destroy
 | Assign
 | FPOAttachObserver
 | FPODetachObserver
 | FPONotifyObservers
 | GetNamePath
TObject
 | Create
 | Destroy
 | newinstance
 | FreeInstance
 | SafeCallException
 | DefaultHandler
 | Free
 | InitInstance
 | CleanupInstance
 | ClassType
 | ClassInfo
 | ClassName
 | ClassNameIs
 | ClassParent
 | InstanceSize
 | InheritsFrom
 | StringMessageTable
 | MethodAddress
 | MethodName
 | FieldAddress
 | AfterConstruction
 | BeforeDestruction
 | DefaultHandlerStr
 | Dispatch
 | DispatchStr
 | GetInterface
 | GetInterfaceByStr
 | GetInterfaceWeak
 | GetInterfaceEntry
 | GetInterfaceEntryByStr
 | GetInterfaceTable
 | UnitName
 | Equals
 | GetHashCode
 | ToString


pt | ActionChange (TControl)
 | ActiveDefaultControlChanged (TControl)
 | AddControl (TWinControl)
pt | AddHandler (TControl)
 | AddHandlerOnBeforeDestruction (TControl)
 | AddHandlerOnChangeBounds (TControl)
 | AddHandlerOnEnabledChanged (TControl)
 | AddHandlerOnKeyDown (TControl)
 | AddHandlerOnMouseWheel (TControl)
 | AddHandlerOnResize (TControl)
 | AddHandlerOnVisibleChanged (TControl)
 | AddHandlerOnVisibleChanging (TControl)
pt | AdjustClientRect (TWinControl)
 | AdjustSize (TControl)
 | AfterConstruction (TObject)
pt | AlignControls (TWinControl)
pt | AllAutoSized (TWinControl)
 | AnchorAsAlign (TControl)
 | AnchorClient (TControl)
 | AnchoredControlCount (TControl)
 | AnchorHorizontalCenterTo (TControl)
 | AnchorParallel (TControl)
 | AnchorSame (TControl)
pt | AnchorSideChanged (TControl)
 | AnchorToCompanion (TControl)
 | AnchorToNeighbour (TControl)
 | AnchorVerticalCenterTo (TControl)
 | Assign (TPersistent)
 | AssignError (TPersistent)
 | AssignTo (TPersistent)
pt | AssignTo (TControl)
 | AutoAdjustLayout (TControl)
 | AutoAdjustLayout (TWinControl)
 | AutoSizeDelayed (TControl)
 | AutoSizeDelayed (TWinControl)
 | AutoSizeDelayedHandle (TControl)
 | AutoSizeDelayedHandle (TWinControl)
 | AutoSizeDelayedReport (TControl)
 | AutoSizeDelayedReport (TWinControl)
 | AutoSizePhases (TControl)
 | AutoSizePhases (TWinControl)
 | BeforeDestruction (TObject)
 | BeforeDestruction (TComponent)
 | BeforeDestruction (TControl)
pt | BeforeDragStart (TControl)
pt | BeginAutoDrag (TControl)
pt | BeginAutoSizing (TControl)
 | BeginDrag (TControl)
 | BeginUpdateBounds (TWinControl)
pt | BoundsChanged (TControl)
 | BringToFront (TControl)
 | BroadCast (TWinControl)
 | BrushCreated (TWinControl)
pt | CalculateDockSizes (TControl)
pt | CalculatePreferredSize (TControl)
pt | CalculatePreferredSize (TWinControl)
pt | CalculatePreferredSize (TCDControl)
pt | CanAutoSize (TControl)
 | CanFocus (TWinControl)
 | CanSetFocus (TWinControl)
pt | CanTab (TControl)
pt | CanTab (TWinControl)
pt | CaptureChanged (TControl)
pt | ChangeBounds (TControl)
pt | Changed (TControl)
 | ChangeName (TComponent)
pt | ChangeScale (TControl)
pt | ChangeScale (TWinControl)
 | CheckChildClassAllowed (TControl)
 | CheckNewParent (TControl)
pt | CheckOnChangeBounds (TControl)
pt | ChildClassAllowed (TControl)
pt | ChildClassAllowed (TWinControl)
pt | ChildHandlesCreated (TWinControl)
pt | ChildKey (TWinControl)
 | ClassInfo (TObject)
 | ClassName (TObject)
 | ClassNameIs (TObject)
 | ClassParent (TObject)
 | ClassType (TObject)
 | CleanupInstance (TObject)
pt | Click (TControl)
 | ClientRectNeedsInterfaceUpdate (TWinControl)
 | ClientToParent (TControl)
 | ClientToScreen (TControl)
pt | CMBiDiModeChanged (TControl)
pt | CMBiDiModeChanged (TWinControl)
pt | CMBorderChanged (TWinControl)
pt | CMChanged (TControl)
pt | CMCursorChanged (TControl)
pt | CMDoubleBufferedChanged (TWinControl)
pt | CMEnabledChanged (TControl)
pt | CMEnabledChanged (TWinControl)
pt | CMEnter (TWinControl)
pt | CMExit (TWinControl)
pt | CMHintShow (TControl)
pt | CMHitTest (TControl)
pt | CMMouseEnter (TControl)
pt | CMMouseLeave (TControl)
pt | CMParentBiDiModeChanged (TControl)
pt | CMParentColorChanged (TControl)
pt | CMParentDoubleBufferedChanged (TWinControl)
pt | CMParentFontChanged (TControl)
pt | CMParentShowHintChanged (TControl)
pt | CMShowHintChanged (TWinControl)
pt | CMShowingChanged (TWinControl)
pt | CMSysFontChanged (TControl)
pt | CMTextChanged (TControl)
pt | CMVisibleChanged (TControl)
pt | CMVisibleChanged (TWinControl)
pt | CNChar (TWinControl)
pt | CNKeyDown (TWinControl)
pt | CNKeyUp (TWinControl)
 | CNPreferredSizeChanged (TControl)
pt | CNSysKeyDown (TWinControl)
pt | CNSysKeyUp (TWinControl)
pt | ColorIsStored (TControl)
pt | ConstrainedResize (TControl)
 | ContainsControl (TWinControl)
 | ControlAtPos (TWinControl)
pt | ControlKeyDown (TWinControl)
pt | ControlKeyUp (TWinControl)
pt | ControlsAligned (TWinControl)
 | ControlToScreen (TControl)
 | Create (TObject)
 | Create (TComponent)
 | Create (TLCLComponent)
 | Create (TControl)
 | Create (TWinControl)
 | Create (TCustomControl)
 | Create (TCDControl)
 | Create (TCDCheckBox)
 | CreateAccessibleObject (TControl)
pt | CreateBrush (TWinControl)
pt | CreateControlBorderSpacing (TControl)
pt | CreateControlStateEx (TCDControl)
pt | CreateDockManager (TWinControl)
pt | CreateFloatingDockSite (TControl)
pt | CreateHandle (TWinControl)
pt | CreateParams (TWinControl)
 | CreateParented (TWinControl)
 | CreateParentedControl (TWinControl)
pt | CreateSubClass (TWinControl)
pt | CreateWnd (TWinControl)
pt | CustomAlignInsertBefore (TWinControl)
pt | CustomAlignPosition (TWinControl)
pt | DblClick (TControl)
 | DecLCLRefCount (TLCLComponent)
 | DefaultHandler (TObject)
 | DefaultHandler (TWinControl)
 | DefaultHandlerStr (TObject)
 | DefineProperties (TPersistent)
 | DefineProperties (TComponent)
pt | DefineProperties (TControl)
 | Destroy (TObject)
 | Destroy (TPersistent)
 | Destroy (TComponent)
 | Destroy (TLCLComponent)
 | Destroy (TControl)
 | Destroy (TWinControl)
 | Destroy (TCustomControl)
 | Destroy (TCDControl)
 | Destroy (TCDCheckBox)
 | DestroyComponents (TComponent)
pt | DestroyHandle (TWinControl)
 | Destroying (TComponent)
pt | DestroyWnd (TWinControl)
pt | DestroyWnd (TCustomControl)
pt | DialogChar (TControl)
pt | DialogChar (TWinControl)
 | DisableAlign (TWinControl)
 | DisableAutoSizing (TControl)
 | Dispatch (TObject)
 | DispatchStr (TObject)
pt | DoAddDockClient (TWinControl)
 | DoAdjustClientRectChange (TWinControl)
pt | DoAlignChildControls (TWinControl)
pt | DoAllAutoSize (TControl)
pt | DoAllAutoSize (TWinControl)
pt | DoAutoAdjustLayout (TControl)
pt | DoAutoSize (TControl)
pt | DoAutoSize (TWinControl)
pt | DoBorderSpacingChange (TControl)
pt | DoButtonDown (TCDButtonControl)
pt | DoButtonUp (TCDButtonControl)
pt | DoCallKeyEventHandler (TControl)
pt | DoCallMouseWheelEventHandler (TControl)
pt | DoCallNotifyHandler (TControl)
pt | DoCheckIfFirstButtonInGroup (TCDButtonControl)
pt | DoChildSizingChange (TWinControl)
 | Dock (TControl)
 | DockDrop (TWinControl)
 | Docked (TControl)
pt | DockOver (TWinControl)
pt | DockTrackNoTarget (TControl)
pt | DoConstraintsChange (TControl)
pt | DoConstraintsChange (TWinControl)
pt | DoContextPopup (TControl)
pt | DoDock (TControl)
pt | DoDockClientMsg (TWinControl)
pt | DoDockOver (TWinControl)
pt | DoDragMsg (TControl)
pt | DoDragMsg (TWinControl)
pt | DoEndDock (TControl)
pt | DoEndDrag (TControl)
pt | DoEnter (TWinControl)
pt | DoEnter (TCDControl)
pt | DoExit (TWinControl)
pt | DoExit (TCDControl)
pt | DoFixDesignFontPPI (TControl)
pt | DoFlipChildren (TWinControl)
pt | DoFloatMsg (TControl)
pt | DoFloatMsg (TWinControl)
pt | DoGetDockCaption (TWinControl)
pt | DoKeyDownBeforeInterface (TWinControl)
pt | DoKeyPress (TWinControl)
pt | DoKeyUpBeforeInterface (TWinControl)
pt | DoMouseWheel (TControl)
pt | DoMouseWheelDown (TControl)
pt | DoMouseWheelHorz (TControl)
pt | DoMouseWheelLeft (TControl)
pt | DoMouseWheelRight (TControl)
pt | DoMouseWheelUp (TControl)
pt | DoOnChangeBounds (TControl)
pt | DoOnParentHandleDestruction (TControl)
pt | DoOnResize (TControl)
pt | DoOnShowHint (TControl)
pt | DoRemainingKeyDown (TWinControl)
pt | DoRemainingKeyUp (TWinControl)
pt | DoRemoveDockClient (TWinControl)
pt | DoScaleFontPPI (TControl)
pt | DoSendBoundsToInterface (TWinControl)
pt | DoSendShowHideToInterface (TWinControl)
pt | DoSetBounds (TControl)
pt | DoSetBounds (TWinControl)
pt | DoStartDock (TControl)
pt | DoStartDrag (TControl)
pt | DoUncheckButton (TCDButtonControl)
pt | DoUnDock (TWinControl)
pt | DoUndockClientMsg (TWinControl)
pt | DoUTF8KeyPress (TWinControl)
pt | DragCanceled (TControl)
 | DragDrop (TControl)
 | Dragging (TControl)
pt | DragOver (TControl)
 | DrawToCanvas (TCDControl)
 | EditingDone (TControl)
 | EnableAlign (TWinControl)
 | EnableAutoSizing (TControl)
pt | EnabledChanged (TControl)
pt | EnabledChanging (TControl)
pt | EndAutoSizing (TControl)
 | EndDrag (TControl)
 | EndUpdateBounds (TWinControl)
 | Equals (TObject)
 | EraseBackground (TWinControl)
 | EraseBackground (TCDControl)
 | ExecuteAction (TComponent)
 | ExecuteCancelAction (TControl)
 | ExecuteDefaultAction (TControl)
 | FieldAddress (TObject)
pt | FinalizeWnd (TWinControl)
 | FindChildControl (TWinControl)
 | FindComponent (TComponent)
pt | FindNextControl (TWinControl)
 | FixDesignFontsPPI (TControl)
pt | FixupTabList (TWinControl)
 | FlipChildren (TWinControl)
 | Focused (TWinControl)
pt | FontChanged (TControl)
pt | FontChanged (TWinControl)
pt | FontChanged (TCustomControl)
pt | ForeignAnchorSideChanged (TControl)
pt | FormEndUpdated (TControl)
pt | FormEndUpdated (TWinControl)
 | FormIsUpdating (TControl)
 | FPOAttachObserver (TPersistent)
 | FPODetachObserver (TPersistent)
 | FPONotifyObservers (TPersistent)
 | Free (TObject)
 | FreeInstance (TObject)
 | FreeNotification (TComponent)
 | FreeOnRelease (TComponent)
 | GetAccessibleObject (TControl)
pt | GetAction (TControl)
pt | GetActionLinkClass (TControl)
pt | GetAdjustedLogicalClientRect (TWinControl)
 | GetAnchorsDependingOnParent (TControl)
pt | GetBorderStyle (TWinControl)
pt | GetCachedText (TControl)
 | GetCanvasScaleFactor (TControl)
pt | GetChecked (TCDButtonControl)
pt | GetCheckedState (TCDButtonControl)
 | GetChildAccessibleObjectAtPos (TControl)
 | GetChildOwner (TComponent)
 | GetChildParent (TComponent)
 | GetChildren (TComponent)
pt | GetChildren (TWinControl)
 | GetChildrenRect (TControl)
 | GetChildrenRect (TWinControl)
pt | GetClientOrigin (TControl)
pt | GetClientOrigin (TWinControl)
pt | GetClientRect (TControl)
pt | GetClientRect (TWinControl)
pt | GetClientRect (TCDControl)
pt | GetClientScrollOffset (TControl)
 | GetColorResolvingParent (TControl)
 | GetComObject (TComponent)
 | GetComponent (TComponent)
 | GetComponentCount (TComponent)
 | GetComponentIndex (TComponent)
pt | GetControlClassDefaultSize (TControl)
pt | GetControlId (TCDControl)
pt | GetControlId (TCDCheckBox)
 | GetControlIndex (TWinControl)
pt | GetControlOrigin (TControl)
pt | GetControlOrigin (TWinControl)
pt | GetCursor (TControl)
 | GetDefaultColor (TControl)
pt | GetDefaultDockCaption (TControl)
 | GetDefaultHeight (TControl)
 | GetDefaultWidth (TControl)
pt | GetDeviceContext (TControl)
pt | GetDeviceContext (TWinControl)
 | GetDockCaption (TWinControl)
pt | GetDockEdge (TControl)
pt | GetDragImages (TControl)
pt | GetEnabled (TControl)
 | GetEnumerator (TComponent)
 | GetEnumeratorControls (TWinControl)
 | GetEnumeratorControlsReverse (TWinControl)
pt | GetFloating (TControl)
pt | GetFloatingDockSiteClass (TControl)
 | GetHashCode (TObject)
 | GetIDsOfNames (TComponent)
 | GetInterface (TObject)
 | GetInterfaceByStr (TObject)
 | GetInterfaceEntry (TObject)
 | GetInterfaceEntryByStr (TObject)
 | GetInterfaceTable (TObject)
 | GetInterfaceWeak (TObject)
pt | GetLogicalClientRect (TControl)
pt | GetMouseCapture (TControl)
pt | GetMouseCapture (TWinControl)
pt | GetMousePosFromMessage (TControl)
 | GetNamePath (TPersistent)
 | GetNamePath (TComponent)
 | GetOwner (TPersistent)
 | GetOwner (TComponent)
pt | GetPalette (TControl)
pt | GetParentBackground (TWinControl)
 | GetParentComponent (TComponent)
 | GetParentComponent (TControl)
pt | GetParentHandle (TWinControl)
pt | GetPopupMenu (TControl)
 | GetPreferredSize (TControl)
pt | GetPreferredSizeClientFrame (TWinControl)
 | GetRGBColorResolvingParent (TControl)
pt | GetScrolledClientRect (TControl)
 | GetSelectedChildAccessibleObject (TControl)
 | GetSidePosition (TControl)
pt | GetSiteInfo (TWinControl)
 | GetTabOrderList (TWinControl)
 | GetTextBuf (TControl)
 | GetTextLen (TControl)
 | GetTextLen (TWinControl)
 | GetTopParent (TControl)
pt | GetTopParentHandle (TWinControl)
 | GetTypeInfo (TComponent)
 | GetTypeInfoCount (TComponent)
pt | GetWSComponentClass (TLCLComponent)
 | HandleAllocated (TWinControl)
 | HandleNeeded (TWinControl)
 | HandleObjectShouldBeVisible (TControl)
 | HasHelp (TControl)
 | HasParent (TComponent)
 | HasParent (TControl)
pt | HeightIsAnchored (TControl)
 | Hide (TControl)
 | iicrGetComponent (TComponent)
 | IncLCLRefCount (TLCLComponent)
 | InheritsFrom (TObject)
pt | InitializeWnd (TWinControl)
 | InitiateAction (TControl)
 | InitInstance (TObject)
 | Insert (TComponent)
 | InsertComponent (TComponent)
 | InsertControl (TWinControl)
 | InstanceSize (TObject)
 | IntfGetDropFilesTarget (TWinControl)
 | IntfUTF8KeyPress (TWinControl)
 | Invalidate (TControl)
 | Invalidate (TWinControl)
pt | InvalidateBoundsRealized (TWinControl)
 | InvalidateClientRectCache (TWinControl)
pt | InvalidateControl (TControl)
pt | InvalidatePreferredChildSizes (TWinControl)
 | InvalidatePreferredSize (TControl)
 | Invoke (TComponent)
pt | IsAParentAligning (TControl)
pt | IsBorderSpacingInnerBorderStored (TControl)
pt | IsCaptionStored (TControl)
pt | IsClientHeightStored (TControl)
pt | IsClientHeightStored (TWinControl)
pt | IsClientWidthStored (TControl)
pt | IsClientWidthStored (TWinControl)
pt | IsControlMouseMsg (TWinControl)
 | IsControlVisible (TControl)
 | IsEnabled (TControl)
 | IsImplementorOf (TComponent)
 | IsParentColor (TControl)
 | IsParentFont (TControl)
 | IsParentOf (TControl)
 | IsProcessingPaintMsg (TControl)
 | IsRightToLeft (TControl)
 | IsVisible (TControl)
pt | KeyDown (TWinControl)
pt | KeyDown (TCDButtonControl)
pt | KeyDownAfterInterface (TWinControl)
pt | KeyDownBeforeInterface (TWinControl)
pt | KeyPress (TWinControl)
pt | KeyUp (TWinControl)
pt | KeyUp (TCDButtonControl)
pt | KeyUpAfterInterface (TWinControl)
pt | KeyUpBeforeInterface (TWinControl)
 | LCLWSCalculatePreferredSize (TCDControl)
pt | LMCaptureChanged (TControl)
 | Loaded (TComponent)
pt | Loaded (TControl)
pt | Loaded (TWinControl)
pt | LoadedAll (TControl)
 | Loading (TComponent)
 | LockRealizeBounds (TWinControl)
pt | MainWndProc (TWinControl)
 | ManualDock (TControl)
 | ManualFloat (TControl)
 | MethodAddress (TObject)
 | MethodName (TObject)
pt | MouseDown (TControl)
pt | MouseDown (TCDControl)
pt | MouseDown (TCDButtonControl)
pt | MouseEnter (TControl)
pt | MouseEnter (TCDControl)
pt | MouseEnter (TCDButtonControl)
pt | MouseLeave (TControl)
pt | MouseLeave (TCDControl)
pt | MouseLeave (TCDButtonControl)
pt | MouseMove (TControl)
pt | MouseUp (TControl)
pt | MouseUp (TCDButtonControl)
 | newinstance (TObject)
 | NewInstance (TLCLComponent)
 | Notification (TComponent)
pt | Notification (TControl)
 | NotifyControls (TWinControl)
pt | Paint (TCustomControl)
 | Paint (TCDControl)
pt | PaintControls (TWinControl)
pt | PaintHandler (TWinControl)
 | PaintTo (TWinControl)
pt | PaintWindow (TWinControl)
pt | PaintWindow (TCustomControl)
 | PaletteCreated (TComponent)
 | ParentDestroyingHandle (TControl)
pt | ParentFontChanged (TControl)
pt | ParentFormHandleInitialized (TControl)
pt | ParentFormHandleInitialized (TWinControl)
 | ParentHandlesAllocated (TControl)
 | ParentHandlesAllocated (TWinControl)
 | ParentToClient (TControl)
 | Perform (TControl)
 | PerformTab (TWinControl)
pt | PositionDockRect (TControl)
pt | PrepareControlState (TCDControl)
pt | PrepareControlStateEx (TCDControl)
pt | PrepareCurrentDrawer (TCDControl)
pt | QuadClick (TControl)
 | QueryInterface (TComponent)
 | ReadLeft (TComponent)
 | ReadState (TComponent)
pt | ReadState (TControl)
 | ReadTop (TComponent)
pt | RealGetText (TControl)
pt | RealGetText (TWinControl)
 | ReAlign (TWinControl)
pt | RealizeBounds (TWinControl)
pt | RealizeBoundsRecursive (TWinControl)
pt | RealSetText (TControl)
pt | RealSetText (TWinControl)
pt | RealSetText (TCDButtonControl)
 | ReferenceInterface (TComponent)
 | Refresh (TControl)
pt | ReloadDockedControl (TWinControl)
 | Remove (TComponent)
 | RemoveAllHandlersOfObject (TLCLComponent)
 | RemoveAllHandlersOfObject (TControl)
 | RemoveComponent (TComponent)
 | RemoveControl (TWinControl)
pt | RemoveFocus (TWinControl)
 | RemoveFreeNotification (TComponent)
pt | RemoveHandler (TControl)
 | RemoveHandlerOnBeforeDestruction (TControl)
 | RemoveHandlerOnChangeBounds (TControl)
 | RemoveHandlerOnEnableChanging (TControl)
 | RemoveHandlerOnKeyDown (TControl)
 | RemoveHandlerOnMouseWheel (TControl)
 | RemoveHandlerOnResize (TControl)
 | RemoveHandlerOnVisibleChanged (TControl)
 | RemoveHandlerOnVisibleChanging (TControl)
 | RemoveNotification (TComponent)
 | Repaint (TControl)
 | Repaint (TWinControl)
 | ReplaceDockedControl (TControl)
pt | RequestAlign (TControl)
pt | Resize (TControl)
 | SafeCallException (TObject)
 | SafeCallException (TComponent)
 | Scale96ToFont (TControl)
 | Scale96ToForm (TControl)
 | Scale96ToScreen (TControl)
 | ScaleBy (TWinControl)
pt | ScaleConstraints (TControl)
pt | ScaleControls (TWinControl)
 | ScaleDesignToForm (TControl)
 | ScaleFontsPPI (TControl)
 | ScaleFontTo96 (TControl)
 | ScaleFontToScreen (TControl)
 | ScaleFormTo96 (TControl)
 | ScaleFormToDesign (TControl)
 | ScaleScreenTo96 (TControl)
 | ScaleScreenToFont (TControl)
 | ScreenToClient (TControl)
 | ScreenToControl (TControl)
 | ScrollBy (TWinControl)
 | ScrollBy_WS (TWinControl)
pt | SelectFirst (TWinControl)
 | SelectNext (TWinControl)
pt | SendDialogChar (TWinControl)
pt | SendMoveSizeMessages (TControl)
pt | SendMoveSizeMessages (TWinControl)
 | SendToBack (TControl)
pt | SetAction (TControl)
pt | SetAlign (TControl)
 | SetAncestor (TComponent)
pt | SetAnchors (TControl)
pt | SetAutoSize (TControl)
pt | SetBiDiMode (TControl)
pt | SetBorderStyle (TWinControl)
 | SetBounds (TControl)
 | SetBounds (TWinControl)
 | SetBoundsKeepBase (TControl)
pt | SetChecked (TCDButtonControl)
pt | SetCheckedState (TCDButtonControl)
 | SetChildOrder (TComponent)
pt | SetChildZPosition (TWinControl)
pt | SetColor (TControl)
pt | SetColor (TWinControl)
pt | SetColor (TCustomControl)
 | SetComponentIndex (TComponent)
 | SetControlIndex (TWinControl)
pt | SetCursor (TControl)
 | SetDesigning (TComponent)
 | SetDesignInstance (TComponent)
pt | SetDockManager (TWinControl)
pt | SetDragMode (TControl)
pt | SetDrawStyle (TCDControl)
pt | SetEnabled (TControl)
 | SetFocus (TWinControl)
pt | SetHint (TControl)
 | SetInitialBounds (TControl)
 | SetInline (TComponent)
 | SetName (TComponent)
pt | SetName (TControl)
pt | SetParent (TControl)
pt | SetParentBackground (TWinControl)
pt | SetParentBiDiMode (TControl)
 | SetParentComponent (TComponent)
pt | SetParentComponent (TControl)
 | SetReference (TComponent)
 | SetShape (TWinControl)
pt | SetState (TCDControl)
 | SetSubComponent (TComponent)
 | SetTempCursor (TControl)
 | SetTempCursor (TWinControl)
 | SetTextBuf (TControl)
pt | SetVisible (TControl)
pt | SetZOrder (TControl)
 | ShouldAutoAdjust (TControl)
 | Show (TControl)
pt | ShowControl (TWinControl)
 | ShowHelp (TControl)
 | StringMessageTable (TObject)
pt | TextChanged (TControl)
 | ToString (TObject)
pt | TripleClick (TControl)
 | UnitName (TObject)
 | UnlockRealizeBounds (TWinControl)
 | Update (TControl)
 | Update (TWinControl)
 | UpdateAction (TComponent)
pt | UpdateAnchorRules (TControl)
 | UpdateBaseBounds (TControl)
pt | UpdateControlState (TWinControl)
 | Updated (TComponent)
 | UpdateDockCaption (TWinControl)
pt | UpdateMouseCursor (TControl)
 | UpdateRegistry (TComponent)
 | UpdateRolesForForm (TControl)
pt | UpdateShowing (TWinControl)
 | Updating (TComponent)
 | UseRightToLeftAlignment (TControl)
 | UseRightToLeftReading (TControl)
 | UseRightToLeftScrollBar (TControl)
pt | UTF8KeyPress (TWinControl)
 | ValidateContainer (TComponent)
 | ValidateInsert (TComponent)
 | ValidateRename (TComponent)
pt | VisibleChanged (TControl)
pt | VisibleChanging (TControl)
pt | WidthIsAnchored (TControl)
pt | WMCancelMode (TControl)
pt | WMChar (TWinControl)
pt | WMContextMenu (TControl)
pt | WMContextMenu (TWinControl)
pt | WMDestroy (TWinControl)
pt | WMEnter (TWinControl)
pt | WMEraseBkgnd (TWinControl)
pt | WMExit (TWinControl)
pt | WMKeyDown (TWinControl)
pt | WMKeyUp (TWinControl)
pt | WMKillFocus (TWinControl)
pt | WMLButtonDBLCLK (TControl)
pt | WMLButtonDown (TControl)
pt | WMLButtonQuadCLK (TControl)
pt | WMLButtonTripleCLK (TControl)
pt | WMLButtonUp (TControl)
pt | WMMButtonDBLCLK (TControl)
pt | WMMButtonDown (TControl)
pt | WMMButtonQuadCLK (TControl)
pt | WMMButtonTripleCLK (TControl)
pt | WMMButtonUp (TControl)
pt | WMMouseHWheel (TControl)
pt | WMMouseMove (TControl)
pt | WMMouseWheel (TControl)
pt | WMMove (TControl)
pt | WMMove (TWinControl)
pt | WMNotify (TWinControl)
pt | WMPaint (TWinControl)
pt | WMPaint (TCustomControl)
pt | WMRButtonDBLCLK (TControl)
pt | WMRButtonDown (TControl)
pt | WMRButtonQuadCLK (TControl)
pt | WMRButtonTripleCLK (TControl)
pt | WMRButtonUp (TControl)
pt | WMSetFocus (TWinControl)
pt | WMShowWindow (TWinControl)
pt | WMSize (TControl)
pt | WMSize (TWinControl)
pt | WMSysChar (TWinControl)
pt | WMSysKeyDown (TWinControl)
pt | WMSysKeyUp (TWinControl)
pt | WMWindowPosChanged (TControl)
pt | WMWindowPosChanged (TWinControl)
pt | WMXButtonDBLCLK (TControl)
pt | WMXButtonDown (TControl)
pt | WMXButtonQuadCLK (TControl)
pt | WMXButtonTripleCLK (TControl)
pt | WMXButtonUp (TControl)
pt | WndProc (TControl)
pt | WndProc (TWinControl)
 | WriteLayoutDebugReport (TControl)
 | WriteLayoutDebugReport (TWinControl)
 | WriteLeft (TComponent)
 | WriteState (TComponent)
 | WriteTop (TComponent)
pt | WSRegisterClass (TLCLComponent)
pt | WSRegisterClass (TControl)
pt | WSRegisterClass (TWinControl)
pt | WSRegisterClass (TCustomControl)
pt | WSSetText (TWinControl)
 | _AddRef (TComponent)
 | _Release (TComponent)


TCDCheckBox
TCDButtonControl
TCDControl
TCustomControl
 | OnPaint
TWinControl
pt | OnGetSiteInfo
pt | OnGetDockCaption
 | OnAlignInsertBefore
 | OnAlignPosition
 | OnDockDrop
 | OnDockOver
 | OnEnter
 | OnExit
 | OnKeyDown
 | OnKeyPress
 | OnKeyUp
 | OnUnDock
 | OnUTF8KeyPress
TControl
pt | OnConstrainedResize
pt | OnContextPopup
pt | OnDblClick
pt | OnTripleClick
pt | OnQuadClick
pt | OnDragDrop
pt | OnDragOver
pt | OnEndDock
pt | OnEndDrag
pt | OnMouseDown
pt | OnMouseMove
pt | OnMouseUp
pt | OnMouseEnter
pt | OnMouseLeave
pt | OnMouseWheel
pt | OnMouseWheelDown
pt | OnMouseWheelUp
pt | OnMouseWheelHorz
pt | OnMouseWheelLeft
pt | OnMouseWheelRight
pt | OnStartDock
pt | OnStartDrag
pt | OnEditingDone
 | OnChangeBounds
 | OnClick
 | OnResize
 | OnShowHint
TLCLComponent
TComponent
TPersistent
TObject


TCDCheckBox.AllowGrayed

Declaration

Source position: customdrawncontrols.pas line 277

published property TCDCheckBox.AllowGrayed : Boolean
  default False;


TCDCheckBox.Caption

Declaration

Source position: customdrawncontrols.pas line 280

published property TCDCheckBox.Caption : TCaption;


TCDCheckBox.Checked

Declaration

Source position: customdrawncontrols.pas line 278

published property TCDCheckBox.Checked : Boolean;


TCDCheckBox.Create

Declaration

Source position: customdrawncontrols.pas line 274

public constructor TCDCheckBox.Create(

  AOwner: TComponent

); override;


TCDCheckBox.Destroy

Declaration

Source position: customdrawncontrols.pas line 275

public destructor TCDCheckBox.Destroy; override;


TCDCheckBox.DrawStyle

Declaration

Source position: customdrawncontrols.pas line 279

published property TCDCheckBox.DrawStyle : TCDDrawStyle;


TCDCheckBox.Enabled

Declaration

Source position: customdrawncontrols.pas line 281

published property TCDCheckBox.Enabled : Boolean;


TCDCheckBox.GetControlId

Declaration

Source position: customdrawncontrols.pas line 272

protected function TCDCheckBox.GetControlId: TCDControlID; override;


TCDCheckBox.State

Declaration

Source position: customdrawncontrols.pas line 283

published property TCDCheckBox.State : TCheckBoxState;


TCDCheckBox.TabStop

Declaration

Source position: customdrawncontrols.pas line 282

published property TCDCheckBox.TabStop : Boolean
  default True;


TCDComboBox

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Declaration

Source position: customdrawncontrols.pas line 306

type TCDComboBox = class(TCDEdit)

protected

  function GetControlId; override;

  procedure MouseDown(); override;

  procedure MouseUp(); override;

public

  constructor Create(); override;

  destructor Destroy; override;

published

  property Items: TStrings; [rw]

  property ItemIndex: Integer; [rw]

  property KeyboardInputBehavior: TKeyboardInputBehavior; [rw]

end;

Inheritance

TCDComboBox
|
TCDEdit |
|
TCDControl |
|
TCustomControl | The base class for windowed controls which paint themselves.
|
TWinControl | The base class for controls which can contain other (child) controls.
|
TControl | The base class for visible controls.
|
TLCLComponent | The base class for LCL components associated with widgets.
|
TComponent,IUnknown,IInterfaceComponentReference
|
TPersistent,IFPObserved
|
TObject


TCDComboBox
pl |  | Items
pl |  | ItemIndex
pl |  | KeyboardInputBehavior
TCDEdit
 |  | LeftTextMargin
 |  | RightTextMargin
 |  | CaretPos
pl | ro | Align
pl | ro | Anchors
pl | ro | AutoSize
pl | ro | Color
pl | ro | DrawStyle
pl | ro | Enabled
pl |  | Lines
pl |  | MultiLine
pl |  | PasswordChar
pl |  | ReadOnly
pl | ro | TabStop
pl |  | Text
TCDControl
pt |  | DrawStyle
TCustomControl
 |  | Canvas
 | ro | BorderStyle
TWinControl
pt |  | WindowHandle
pt |  | BorderStyle
pt |  | ParentBackground
 |  | BorderWidth
 | ro | BoundsLockCount
 | ro | Brush
 | ro | CachedClientHeight
 | ro | CachedClientWidth
 |  | ChildSizing
 | ro | ControlCount
 | ro | Controls
 |  | DefWndProc
 | ro | DockClientCount
 | ro | DockClients
 |  | DockManager
 |  | DockSite
 |  | DoubleBuffered
 |  | Handle
 | ro | IsFlipped
 | ro | IsResizing
 |  | TabOrder
 |  | TabStop
 |  | ParentDoubleBuffered
 |  | ParentWindow
 | ro | Showing
 |  | UseDockManager
 |  | DesignerDeleting
 | ro | VisibleDockClientCount
TControl
pt | ro | AutoSizing
pt | ro | AutoSizingAll
pt | ro | AutoSizingLockCount
pt |  | ActionLink
pt |  | DesktopFont
pt |  | DragCursor
pt |  | DragKind
pt |  | DragMode
pt |  | MouseCapture
pt |  | ParentColor
pt |  | ParentFont
pt |  | ParentShowHint
pt |  | SessionProperties
pt |  | Text
 | ro | AnchoredControls
 | ro | BaseBounds
 | ro | ReadBounds
 | ro | BaseParentClientSize
 |  | AccessibleDescription
 |  | AccessibleValue
 |  | AccessibleRole
 |  | Action
 |  | Align
 |  | Anchors
 | ro | AnchorSide
 |  | AutoSize
 |  | BorderSpacing
 |  | BoundsRect
 |  | BoundsRectForNewParent
 |  | Caption
 |  | CaptureMouseButtons
 |  | ClientHeight
 | ro | ClientOrigin
 | ro | ClientRect
 |  | ClientWidth
 |  | Color
 |  | Constraints
 | ro | ControlOrigin
 |  | ControlState
 |  | ControlStyle
 |  | Enabled
 |  | Font
 |  | IsControl
 | ro | MouseEntered
 | ro | MouseInClient
 |  | Parent
 |  | PopupMenu
 |  | ShowHint
 |  | Visible
 |  | WindowProc
 |  | DockOrientation
 | ro | Floating
 |  | FloatingDockSiteClass
 |  | HostDockSite
 |  | LRDockWidth
 |  | TBDockHeight
 |  | UndockHeight
 |  | UndockWidth
 |  | BiDiMode
 |  | ParentBiDiMode
pl |  | AnchorSideLeft
pl |  | AnchorSideTop
pl |  | AnchorSideRight
pl |  | AnchorSideBottom
pl |  | Cursor
pl |  | Left
pl |  | Height
pl |  | Hint
pl |  | Top
pl |  | Width
pl |  | HelpType
pl |  | HelpKeyword
pl |  | HelpContext
TLCLComponent
 | ro | LCLRefCount
 | ro | WidgetSetClass
TComponent
 | ro | ComObject
 | ro | Components
 | ro | ComponentCount
 |  | ComponentIndex
 | ro | ComponentState
 | ro | ComponentStyle
 |  | DesignInfo
 | ro | Owner
 |  | VCLComObject
 |  | Name
 |  | Tag
TPersistent
TObject


 |  | AccessibleDescription (TControl)
 |  | AccessibleRole (TControl)
 |  | AccessibleValue (TControl)
 |  | Action (TControl)
pt |  | ActionLink (TControl)
 |  | Align (TControl)
pl | ro | Align (TCDEdit)
 | ro | AnchoredControls (TControl)
 |  | Anchors (TControl)
pl | ro | Anchors (TCDEdit)
 | ro | AnchorSide (TControl)
pl |  | AnchorSideBottom (TControl)
pl |  | AnchorSideLeft (TControl)
pl |  | AnchorSideRight (TControl)
pl |  | AnchorSideTop (TControl)
 |  | AutoSize (TControl)
pl | ro | AutoSize (TCDEdit)
pt | ro | AutoSizing (TControl)
pt | ro | AutoSizingAll (TControl)
pt | ro | AutoSizingLockCount (TControl)
 | ro | BaseBounds (TControl)
 | ro | BaseParentClientSize (TControl)
 |  | BiDiMode (TControl)
 |  | BorderSpacing (TControl)
pt |  | BorderStyle (TWinControl)
 | ro | BorderStyle (TCustomControl)
 |  | BorderWidth (TWinControl)
 | ro | BoundsLockCount (TWinControl)
 |  | BoundsRect (TControl)
 |  | BoundsRectForNewParent (TControl)
 | ro | Brush (TWinControl)
 | ro | CachedClientHeight (TWinControl)
 | ro | CachedClientWidth (TWinControl)
 |  | Canvas (TCustomControl)
 |  | Caption (TControl)
 |  | CaptureMouseButtons (TControl)
 |  | CaretPos (TCDEdit)
 |  | ChildSizing (TWinControl)
 |  | ClientHeight (TControl)
 | ro | ClientOrigin (TControl)
 | ro | ClientRect (TControl)
 |  | ClientWidth (TControl)
 |  | Color (TControl)
pl | ro | Color (TCDEdit)
 | ro | ComObject (TComponent)
 | ro | ComponentCount (TComponent)
 |  | ComponentIndex (TComponent)
 | ro | Components (TComponent)
 | ro | ComponentState (TComponent)
 | ro | ComponentStyle (TComponent)
 |  | Constraints (TControl)
 | ro | ControlCount (TWinControl)
 | ro | ControlOrigin (TControl)
 | ro | Controls (TWinControl)
 |  | ControlState (TControl)
 |  | ControlStyle (TControl)
pl |  | Cursor (TControl)
 |  | DefWndProc (TWinControl)
 |  | DesignerDeleting (TWinControl)
 |  | DesignInfo (TComponent)
pt |  | DesktopFont (TControl)
 | ro | DockClientCount (TWinControl)
 | ro | DockClients (TWinControl)
 |  | DockManager (TWinControl)
 |  | DockOrientation (TControl)
 |  | DockSite (TWinControl)
 |  | DoubleBuffered (TWinControl)
pt |  | DragCursor (TControl)
pt |  | DragKind (TControl)
pt |  | DragMode (TControl)
pt |  | DrawStyle (TCDControl)
pl | ro | DrawStyle (TCDEdit)
 |  | Enabled (TControl)
pl | ro | Enabled (TCDEdit)
 | ro | Floating (TControl)
 |  | FloatingDockSiteClass (TControl)
 |  | Font (TControl)
 |  | Handle (TWinControl)
pl |  | Height (TControl)
pl |  | HelpContext (TControl)
pl |  | HelpKeyword (TControl)
pl |  | HelpType (TControl)
pl |  | Hint (TControl)
 |  | HostDockSite (TControl)
 |  | IsControl (TControl)
 | ro | IsFlipped (TWinControl)
 | ro | IsResizing (TWinControl)
pl |  | ItemIndex (TCDComboBox)
pl |  | Items (TCDComboBox)
pl |  | KeyboardInputBehavior (TCDComboBox)
 | ro | LCLRefCount (TLCLComponent)
pl |  | Left (TControl)
 |  | LeftTextMargin (TCDEdit)
pl |  | Lines (TCDEdit)
 |  | LRDockWidth (TControl)
pt |  | MouseCapture (TControl)
 | ro | MouseEntered (TControl)
 | ro | MouseInClient (TControl)
pl |  | MultiLine (TCDEdit)
 |  | Name (TComponent)
 | ro | Owner (TComponent)
 |  | Parent (TControl)
pt |  | ParentBackground (TWinControl)
 |  | ParentBiDiMode (TControl)
pt |  | ParentColor (TControl)
 |  | ParentDoubleBuffered (TWinControl)
pt |  | ParentFont (TControl)
pt |  | ParentShowHint (TControl)
 |  | ParentWindow (TWinControl)
pl |  | PasswordChar (TCDEdit)
 |  | PopupMenu (TControl)
 | ro | ReadBounds (TControl)
pl |  | ReadOnly (TCDEdit)
 |  | RightTextMargin (TCDEdit)
pt |  | SessionProperties (TControl)
 |  | ShowHint (TControl)
 | ro | Showing (TWinControl)
 |  | TabOrder (TWinControl)
 |  | TabStop (TWinControl)
pl | ro | TabStop (TCDEdit)
 |  | Tag (TComponent)
 |  | TBDockHeight (TControl)
pt |  | Text (TControl)
pl |  | Text (TCDEdit)
pl |  | Top (TControl)
 |  | UndockHeight (TControl)
 |  | UndockWidth (TControl)
 |  | UseDockManager (TWinControl)
 |  | VCLComObject (TComponent)
 |  | Visible (TControl)
 | ro | VisibleDockClientCount (TWinControl)
 | ro | WidgetSetClass (TLCLComponent)
pl |  | Width (TControl)
pt |  | WindowHandle (TWinControl)
 |  | WindowProc (TControl)


TCDComboBox
pt | GetControlId
pt | MouseDown
pt | MouseUp
 | Create
 | Destroy
TCDEdit
pt | GetControlId
pt | CreateControlStateEx
pt | RealSetText
pt | DoChange
pt | DoEnter
pt | DoExit
pt | KeyDown
pt | KeyUp
pt | UTF8KeyPress
pt | MouseDown
pt | MouseMove
pt | MouseUp
pt | MouseEnter
pt | MouseLeave
 | Create
 | Destroy
 | GetCurrentLine
 | SetCurrentLine
 | GetSelStartX
 | GetSelLength
 | SetSelStartX
 | SetSelLength
TCDControl
pt | CalculatePreferredSize
pt | SetState
pt | PrepareCurrentDrawer
pt | SetDrawStyle
pt | GetClientRect
pt | GetControlId
pt | CreateControlStateEx
pt | PrepareControlState
pt | PrepareControlStateEx
pt | DoEnter
pt | DoExit
pt | MouseEnter
pt | MouseLeave
pt | MouseDown
 | Create
 | Destroy
 | LCLWSCalculatePreferredSize
 | EraseBackground
 | Paint
 | DrawToCanvas
TCustomControl
pt | WSRegisterClass
pt | WMPaint
pt | DestroyWnd
pt | PaintWindow
pt | FontChanged
pt | SetColor
pt | Paint
 | Create
 | Destroy
TWinControl
pt | WSRegisterClass
pt | AdjustClientRect
pt | GetAdjustedLogicalClientRect
pt | AlignControls
pt | CustomAlignInsertBefore
pt | CustomAlignPosition
pt | DoAlignChildControls
pt | DoChildSizingChange
pt | InvalidatePreferredChildSizes
pt | CanTab
pt | IsClientHeightStored
pt | IsClientWidthStored
pt | DoSendShowHideToInterface
pt | ControlsAligned
pt | DoSendBoundsToInterface
pt | RealizeBounds
pt | RealizeBoundsRecursive
pt | InvalidateBoundsRealized
pt | CreateSubClass
pt | DoConstraintsChange
pt | DoSetBounds
pt | DoAutoSize
pt | DoAllAutoSize
pt | AllAutoSized
pt | CalculatePreferredSize
pt | GetPreferredSizeClientFrame
pt | GetChildren
pt | ChildClassAllowed
pt | PaintControls
pt | PaintHandler
pt | PaintWindow
pt | CreateBrush
pt | ScaleControls
pt | ChangeScale
pt | CMBiDiModeChanged
pt | CMBorderChanged
pt | CMDoubleBufferedChanged
pt | CMEnabledChanged
pt | CMParentDoubleBufferedChanged
pt | CMShowingChanged
pt | CMShowHintChanged
pt | CMVisibleChanged
pt | CMEnter
pt | CMExit
pt | WMContextMenu
pt | WMEraseBkgnd
pt | WMNotify
pt | WMSetFocus
pt | WMKillFocus
pt | WMShowWindow
pt | WMEnter
pt | WMExit
pt | WMKeyDown
pt | WMSysKeyDown
pt | WMKeyUp
pt | WMSysKeyUp
pt | WMChar
pt | WMSysChar
pt | WMPaint
pt | WMDestroy
pt | WMMove
pt | WMSize
pt | WMWindowPosChanged
pt | CNKeyDown
pt | CNSysKeyDown
pt | CNKeyUp
pt | CNSysKeyUp
pt | CNChar
pt | DoDragMsg
pt | DoDockClientMsg
pt | DoUndockClientMsg
pt | DoAddDockClient
pt | DockOver
pt | DoDockOver
pt | DoRemoveDockClient
pt | DoUnDock
pt | GetSiteInfo
pt | GetParentHandle
pt | GetTopParentHandle
pt | ReloadDockedControl
pt | CreateDockManager
pt | SetDockManager
pt | DoFloatMsg
pt | DoGetDockCaption
pt | DoEnter
pt | DoExit
pt | DoKeyDownBeforeInterface
pt | DoRemainingKeyDown
pt | DoRemainingKeyUp
pt | DoKeyPress
pt | DoUTF8KeyPress
pt | DoKeyUpBeforeInterface
pt | ChildKey
pt | SendDialogChar
pt | DialogChar
pt | ControlKeyDown
pt | ControlKeyUp
pt | KeyDown
pt | KeyDownBeforeInterface
pt | KeyDownAfterInterface
pt | KeyPress
pt | KeyUp
pt | KeyUpBeforeInterface
pt | KeyUpAfterInterface
pt | UTF8KeyPress
pt | FindNextControl
pt | SelectFirst
pt | RealGetText
pt | GetBorderStyle
pt | GetClientOrigin
pt | GetClientRect
pt | GetControlOrigin
pt | GetDeviceContext
pt | GetParentBackground
pt | IsControlMouseMsg
pt | CreateHandle
pt | CreateParams
pt | CreateWnd
pt | DestroyHandle
pt | DestroyWnd
pt | DoFlipChildren
pt | FinalizeWnd
pt | FixupTabList
pt | FontChanged
pt | InitializeWnd
pt | Loaded
pt | FormEndUpdated
pt | MainWndProc
pt | ParentFormHandleInitialized
pt | ChildHandlesCreated
pt | GetMouseCapture
pt | RealSetText
pt | RemoveFocus
pt | SendMoveSizeMessages
pt | SetBorderStyle
pt | SetColor
pt | SetChildZPosition
pt | SetParentBackground
pt | ShowControl
pt | UpdateControlState
pt | UpdateShowing
pt | WndProc
pt | WSSetText
 | AutoSizePhases
 | AutoSizeDelayed
 | AutoSizeDelayedReport
 | AutoSizeDelayedHandle
 | BeginUpdateBounds
 | EndUpdateBounds
 | LockRealizeBounds
 | UnlockRealizeBounds
 | ControlAtPos
 | ContainsControl
 | DoAdjustClientRectChange
 | InvalidateClientRectCache
 | ClientRectNeedsInterfaceUpdate
 | SetBounds
 | GetChildrenRect
 | DisableAlign
 | EnableAlign
 | ReAlign
 | ScrollBy_WS
 | ScrollBy
 | WriteLayoutDebugReport
 | AutoAdjustLayout
 | Create
 | CreateParented
 | CreateParentedControl
 | Destroy
 | DockDrop
 | CanFocus
 | CanSetFocus
 | GetControlIndex
 | SetControlIndex
 | Focused
 | PerformTab
 | FindChildControl
 | SelectNext
 | SetTempCursor
 | BroadCast
 | NotifyControls
 | DefaultHandler
 | GetTextLen
 | Invalidate
 | AddControl
 | InsertControl
 | RemoveControl
 | GetEnumeratorControls
 | GetEnumeratorControlsReverse
 | Repaint
 | Update
 | SetFocus
 | FlipChildren
 | ScaleBy
 | GetDockCaption
 | UpdateDockCaption
 | GetTabOrderList
 | HandleAllocated
 | ParentHandlesAllocated
 | HandleNeeded
 | BrushCreated
 | EraseBackground
 | IntfUTF8KeyPress
 | IntfGetDropFilesTarget
 | PaintTo
 | SetShape
TControl
pt | WSRegisterClass
pt | GetCursor
pt | SetCursor
pt | SetVisible
pt | DoOnParentHandleDestruction
pt | DoAutoSize
pt | DoAllAutoSize
pt | BeginAutoSizing
pt | EndAutoSizing
pt | AnchorSideChanged
pt | ForeignAnchorSideChanged
pt | SetAlign
pt | SetAnchors
pt | SetAutoSize
pt | BoundsChanged
pt | CreateControlBorderSpacing
pt | DoConstraintsChange
pt | DoBorderSpacingChange
pt | IsBorderSpacingInnerBorderStored
pt | IsCaptionStored
pt | SendMoveSizeMessages
pt | ConstrainedResize
pt | CalculatePreferredSize
pt | DoOnResize
pt | DoOnChangeBounds
pt | CheckOnChangeBounds
pt | Resize
pt | RequestAlign
pt | UpdateAnchorRules
pt | ChangeBounds
pt | DoSetBounds
pt | ScaleConstraints
pt | ChangeScale
pt | CanAutoSize
pt | SetBiDiMode
pt | SetParentBiDiMode
pt | IsAParentAligning
pt | GetClientOrigin
pt | GetClientRect
pt | GetLogicalClientRect
pt | GetScrolledClientRect
pt | GetClientScrollOffset
pt | GetControlOrigin
pt | IsClientHeightStored
pt | IsClientWidthStored
pt | WidthIsAnchored
pt | HeightIsAnchored
pt | WMCancelMode
pt | WMContextMenu
pt | WMLButtonDown
pt | WMRButtonDown
pt | WMMButtonDown
pt | WMXButtonDown
pt | WMLButtonDBLCLK
pt | WMRButtonDBLCLK
pt | WMMButtonDBLCLK
pt | WMXButtonDBLCLK
pt | WMLButtonTripleCLK
pt | WMRButtonTripleCLK
pt | WMMButtonTripleCLK
pt | WMXButtonTripleCLK
pt | WMLButtonQuadCLK
pt | WMRButtonQuadCLK
pt | WMMButtonQuadCLK
pt | WMXButtonQuadCLK
pt | WMMouseMove
pt | WMLButtonUp
pt | WMRButtonUp
pt | WMMButtonUp
pt | WMXButtonUp
pt | WMMouseWheel
pt | WMMouseHWheel
pt | WMMove
pt | WMSize
pt | WMWindowPosChanged
pt | CMChanged
pt | LMCaptureChanged
pt | CMBiDiModeChanged
pt | CMSysFontChanged
pt | CMEnabledChanged
pt | CMHitTest
pt | CMMouseEnter
pt | CMMouseLeave
pt | CMHintShow
pt | CMParentBiDiModeChanged
pt | CMParentColorChanged
pt | CMParentFontChanged
pt | CMParentShowHintChanged
pt | CMVisibleChanged
pt | CMTextChanged
pt | CMCursorChanged
pt | CalculateDockSizes
pt | CreateFloatingDockSite
pt | GetDockEdge
pt | GetDragImages
pt | GetFloating
pt | GetFloatingDockSiteClass
pt | BeforeDragStart
pt | BeginAutoDrag
pt | DoFloatMsg
pt | DockTrackNoTarget
pt | DoDock
pt | DoDragMsg
pt | DoEndDock
pt | DoEndDrag
pt | DoStartDock
pt | DoStartDrag
pt | DragCanceled
pt | DragOver
pt | PositionDockRect
pt | SetDragMode
pt | GetDefaultDockCaption
pt | Click
pt | DblClick
pt | TripleClick
pt | QuadClick
pt | GetMousePosFromMessage
pt | MouseDown
pt | MouseMove
pt | MouseUp
pt | MouseEnter
pt | MouseLeave
pt | DialogChar
pt | UpdateMouseCursor
pt | Changed
pt | GetPalette
pt | ChildClassAllowed
pt | ReadState
pt | Loaded
pt | LoadedAll
pt | DefineProperties
pt | AssignTo
pt | FormEndUpdated
pt | InvalidateControl
pt | FontChanged
pt | ParentFontChanged
pt | GetAction
pt | RealGetText
pt | RealSetText
pt | TextChanged
pt | GetCachedText
pt | SetAction
pt | SetColor
pt | SetEnabled
pt | SetHint
pt | SetName
pt | SetParent
pt | SetParentComponent
pt | WndProc
pt | ParentFormHandleInitialized
pt | GetMouseCapture
pt | CaptureChanged
pt | Notification
pt | CanTab
pt | GetDeviceContext
pt | GetEnabled
pt | GetPopupMenu
pt | DoOnShowHint
pt | DoMouseWheel
pt | DoMouseWheelDown
pt | DoMouseWheelUp
pt | DoMouseWheelHorz
pt | DoMouseWheelLeft
pt | DoMouseWheelRight
pt | VisibleChanging
pt | VisibleChanged
pt | EnabledChanging
pt | EnabledChanged
pt | AddHandler
pt | RemoveHandler
pt | DoCallNotifyHandler
pt | DoCallKeyEventHandler
pt | DoCallMouseWheelEventHandler
pt | DoContextPopup
pt | SetZOrder
pt | GetControlClassDefaultSize
pt | ColorIsStored
pt | DoAutoAdjustLayout
pt | DoFixDesignFontPPI
pt | DoScaleFontPPI
pt | GetActionLinkClass
pt | ActionChange
 | DragDrop
 | Dock
 | ManualDock
 | ManualFloat
 | ReplaceDockedControl
 | Docked
 | Dragging
 | GetAccessibleObject
 | CreateAccessibleObject
 | GetSelectedChildAccessibleObject
 | GetChildAccessibleObjectAtPos
 | ScaleDesignToForm
 | ScaleFormToDesign
 | Scale96ToForm
 | ScaleFormTo96
 | Scale96ToFont
 | ScaleFontTo96
 | ScaleScreenToFont
 | ScaleFontToScreen
 | Scale96ToScreen
 | ScaleScreenTo96
 | AdjustSize
 | AutoSizePhases
 | AutoSizeDelayed
 | AutoSizeDelayedReport
 | AutoSizeDelayedHandle
 | AnchorToNeighbour
 | AnchorParallel
 | AnchorHorizontalCenterTo
 | AnchorVerticalCenterTo
 | AnchorToCompanion
 | AnchorSame
 | AnchorAsAlign
 | AnchorClient
 | AnchoredControlCount
 | SetBounds
 | SetInitialBounds
 | SetBoundsKeepBase
 | GetPreferredSize
 | GetCanvasScaleFactor
 | GetDefaultWidth
 | GetDefaultHeight
 | GetDefaultColor
 | GetColorResolvingParent
 | GetRGBColorResolvingParent
 | GetSidePosition
 | CNPreferredSizeChanged
 | InvalidatePreferredSize
 | GetAnchorsDependingOnParent
 | DisableAutoSizing
 | EnableAutoSizing
 | UpdateBaseBounds
 | WriteLayoutDebugReport
 | AutoAdjustLayout
 | ShouldAutoAdjust
 | FixDesignFontsPPI
 | ScaleFontsPPI
 | Create
 | Destroy
 | BeforeDestruction
 | EditingDone
 | ExecuteDefaultAction
 | ExecuteCancelAction
 | BeginDrag
 | EndDrag
 | BringToFront
 | HasParent
 | GetParentComponent
 | IsParentOf
 | GetTopParent
 | IsVisible
 | IsControlVisible
 | IsEnabled
 | IsParentColor
 | IsParentFont
 | FormIsUpdating
 | IsProcessingPaintMsg
 | Hide
 | Refresh
 | Repaint
 | Invalidate
 | CheckChildClassAllowed
 | CheckNewParent
 | SendToBack
 | SetTempCursor
 | UpdateRolesForForm
 | ActiveDefaultControlChanged
 | GetTextBuf
 | GetTextLen
 | SetTextBuf
 | Perform
 | ScreenToClient
 | ClientToScreen
 | ScreenToControl
 | ControlToScreen
 | ClientToParent
 | ParentToClient
 | GetChildrenRect
 | Show
 | Update
 | HandleObjectShouldBeVisible
 | ParentDestroyingHandle
 | ParentHandlesAllocated
 | InitiateAction
 | ShowHelp
 | HasHelp
 | RemoveAllHandlersOfObject
 | AddHandlerOnResize
 | RemoveHandlerOnResize
 | AddHandlerOnChangeBounds
 | RemoveHandlerOnChangeBounds
 | AddHandlerOnVisibleChanging
 | RemoveHandlerOnVisibleChanging
 | AddHandlerOnVisibleChanged
 | RemoveHandlerOnVisibleChanged
 | AddHandlerOnEnabledChanged
 | RemoveHandlerOnEnableChanging
 | AddHandlerOnKeyDown
 | RemoveHandlerOnKeyDown
 | AddHandlerOnBeforeDestruction
 | RemoveHandlerOnBeforeDestruction
 | AddHandlerOnMouseWheel
 | RemoveHandlerOnMouseWheel
 | UseRightToLeftAlignment
 | UseRightToLeftReading
 | UseRightToLeftScrollBar
 | IsRightToLeft
TLCLComponent
pt | WSRegisterClass
pt | GetWSComponentClass
 | Create
 | Destroy
 | NewInstance
 | RemoveAllHandlersOfObject
 | IncLCLRefCount
 | DecLCLRefCount
TComponent
 | GetComObject
 | GetComponent
 | GetComponentCount
 | GetComponentIndex
 | Insert
 | ReadLeft
 | ReadTop
 | Remove
 | RemoveNotification
 | SetComponentIndex
 | SetReference
 | WriteLeft
 | WriteTop
 | ChangeName
 | DefineProperties
 | GetChildren
 | GetChildOwner
 | GetChildParent
 | GetOwner
 | Loaded
 | Loading
 | Notification
 | PaletteCreated
 | ReadState
 | SetAncestor
 | SetDesigning
 | SetDesignInstance
 | SetInline
 | SetName
 | SetChildOrder
 | SetParentComponent
 | Updating
 | Updated
 | UpdateRegistry
 | ValidateRename
 | ValidateContainer
 | ValidateInsert
 | QueryInterface
 | _AddRef
 | _Release
 | iicrGetComponent
 | GetTypeInfoCount
 | GetTypeInfo
 | GetIDsOfNames
 | Invoke
 | WriteState
 | Create
 | Destroy
 | BeforeDestruction
 | DestroyComponents
 | Destroying
 | ExecuteAction
 | FindComponent
 | FreeNotification
 | RemoveFreeNotification
 | FreeOnRelease
 | GetEnumerator
 | GetNamePath
 | GetParentComponent
 | HasParent
 | InsertComponent
 | RemoveComponent
 | SafeCallException
 | SetSubComponent
 | UpdateAction
 | IsImplementorOf
 | ReferenceInterface
TPersistent
 | AssignError
 | AssignTo
 | DefineProperties
 | GetOwner
 | Destroy
 | Assign
 | FPOAttachObserver
 | FPODetachObserver
 | FPONotifyObservers
 | GetNamePath
TObject
 | Create
 | Destroy
 | newinstance
 | FreeInstance
 | SafeCallException
 | DefaultHandler
 | Free
 | InitInstance
 | CleanupInstance
 | ClassType
 | ClassInfo
 | ClassName
 | ClassNameIs
 | ClassParent
 | InstanceSize
 | InheritsFrom
 | StringMessageTable
 | MethodAddress
 | MethodName
 | FieldAddress
 | AfterConstruction
 | BeforeDestruction
 | DefaultHandlerStr
 | Dispatch
 | DispatchStr
 | GetInterface
 | GetInterfaceByStr
 | GetInterfaceWeak
 | GetInterfaceEntry
 | GetInterfaceEntryByStr
 | GetInterfaceTable
 | UnitName
 | Equals
 | GetHashCode
 | ToString


pt | ActionChange (TControl)
 | ActiveDefaultControlChanged (TControl)
 | AddControl (TWinControl)
pt | AddHandler (TControl)
 | AddHandlerOnBeforeDestruction (TControl)
 | AddHandlerOnChangeBounds (TControl)
 | AddHandlerOnEnabledChanged (TControl)
 | AddHandlerOnKeyDown (TControl)
 | AddHandlerOnMouseWheel (TControl)
 | AddHandlerOnResize (TControl)
 | AddHandlerOnVisibleChanged (TControl)
 | AddHandlerOnVisibleChanging (TControl)
pt | AdjustClientRect (TWinControl)
 | AdjustSize (TControl)
 | AfterConstruction (TObject)
pt | AlignControls (TWinControl)
pt | AllAutoSized (TWinControl)
 | AnchorAsAlign (TControl)
 | AnchorClient (TControl)
 | AnchoredControlCount (TControl)
 | AnchorHorizontalCenterTo (TControl)
 | AnchorParallel (TControl)
 | AnchorSame (TControl)
pt | AnchorSideChanged (TControl)
 | AnchorToCompanion (TControl)
 | AnchorToNeighbour (TControl)
 | AnchorVerticalCenterTo (TControl)
 | Assign (TPersistent)
 | AssignError (TPersistent)
 | AssignTo (TPersistent)
pt | AssignTo (TControl)
 | AutoAdjustLayout (TControl)
 | AutoAdjustLayout (TWinControl)
 | AutoSizeDelayed (TControl)
 | AutoSizeDelayed (TWinControl)
 | AutoSizeDelayedHandle (TControl)
 | AutoSizeDelayedHandle (TWinControl)
 | AutoSizeDelayedReport (TControl)
 | AutoSizeDelayedReport (TWinControl)
 | AutoSizePhases (TControl)
 | AutoSizePhases (TWinControl)
 | BeforeDestruction (TObject)
 | BeforeDestruction (TComponent)
 | BeforeDestruction (TControl)
pt | BeforeDragStart (TControl)
pt | BeginAutoDrag (TControl)
pt | BeginAutoSizing (TControl)
 | BeginDrag (TControl)
 | BeginUpdateBounds (TWinControl)
pt | BoundsChanged (TControl)
 | BringToFront (TControl)
 | BroadCast (TWinControl)
 | BrushCreated (TWinControl)
pt | CalculateDockSizes (TControl)
pt | CalculatePreferredSize (TControl)
pt | CalculatePreferredSize (TWinControl)
pt | CalculatePreferredSize (TCDControl)
pt | CanAutoSize (TControl)
 | CanFocus (TWinControl)
 | CanSetFocus (TWinControl)
pt | CanTab (TControl)
pt | CanTab (TWinControl)
pt | CaptureChanged (TControl)
pt | ChangeBounds (TControl)
pt | Changed (TControl)
 | ChangeName (TComponent)
pt | ChangeScale (TControl)
pt | ChangeScale (TWinControl)
 | CheckChildClassAllowed (TControl)
 | CheckNewParent (TControl)
pt | CheckOnChangeBounds (TControl)
pt | ChildClassAllowed (TControl)
pt | ChildClassAllowed (TWinControl)
pt | ChildHandlesCreated (TWinControl)
pt | ChildKey (TWinControl)
 | ClassInfo (TObject)
 | ClassName (TObject)
 | ClassNameIs (TObject)
 | ClassParent (TObject)
 | ClassType (TObject)
 | CleanupInstance (TObject)
pt | Click (TControl)
 | ClientRectNeedsInterfaceUpdate (TWinControl)
 | ClientToParent (TControl)
 | ClientToScreen (TControl)
pt | CMBiDiModeChanged (TControl)
pt | CMBiDiModeChanged (TWinControl)
pt | CMBorderChanged (TWinControl)
pt | CMChanged (TControl)
pt | CMCursorChanged (TControl)
pt | CMDoubleBufferedChanged (TWinControl)
pt | CMEnabledChanged (TControl)
pt | CMEnabledChanged (TWinControl)
pt | CMEnter (TWinControl)
pt | CMExit (TWinControl)
pt | CMHintShow (TControl)
pt | CMHitTest (TControl)
pt | CMMouseEnter (TControl)
pt | CMMouseLeave (TControl)
pt | CMParentBiDiModeChanged (TControl)
pt | CMParentColorChanged (TControl)
pt | CMParentDoubleBufferedChanged (TWinControl)
pt | CMParentFontChanged (TControl)
pt | CMParentShowHintChanged (TControl)
pt | CMShowHintChanged (TWinControl)
pt | CMShowingChanged (TWinControl)
pt | CMSysFontChanged (TControl)
pt | CMTextChanged (TControl)
pt | CMVisibleChanged (TControl)
pt | CMVisibleChanged (TWinControl)
pt | CNChar (TWinControl)
pt | CNKeyDown (TWinControl)
pt | CNKeyUp (TWinControl)
 | CNPreferredSizeChanged (TControl)
pt | CNSysKeyDown (TWinControl)
pt | CNSysKeyUp (TWinControl)
pt | ColorIsStored (TControl)
pt | ConstrainedResize (TControl)
 | ContainsControl (TWinControl)
 | ControlAtPos (TWinControl)
pt | ControlKeyDown (TWinControl)
pt | ControlKeyUp (TWinControl)
pt | ControlsAligned (TWinControl)
 | ControlToScreen (TControl)
 | Create (TObject)
 | Create (TComponent)
 | Create (TLCLComponent)
 | Create (TControl)
 | Create (TWinControl)
 | Create (TCustomControl)
 | Create (TCDControl)
 | Create (TCDEdit)
 | Create (TCDComboBox)
 | CreateAccessibleObject (TControl)
pt | CreateBrush (TWinControl)
pt | CreateControlBorderSpacing (TControl)
pt | CreateControlStateEx (TCDControl)
pt | CreateControlStateEx (TCDEdit)
pt | CreateDockManager (TWinControl)
pt | CreateFloatingDockSite (TControl)
pt | CreateHandle (TWinControl)
pt | CreateParams (TWinControl)
 | CreateParented (TWinControl)
 | CreateParentedControl (TWinControl)
pt | CreateSubClass (TWinControl)
pt | CreateWnd (TWinControl)
pt | CustomAlignInsertBefore (TWinControl)
pt | CustomAlignPosition (TWinControl)
pt | DblClick (TControl)
 | DecLCLRefCount (TLCLComponent)
 | DefaultHandler (TObject)
 | DefaultHandler (TWinControl)
 | DefaultHandlerStr (TObject)
 | DefineProperties (TPersistent)
 | DefineProperties (TComponent)
pt | DefineProperties (TControl)
 | Destroy (TObject)
 | Destroy (TPersistent)
 | Destroy (TComponent)
 | Destroy (TLCLComponent)
 | Destroy (TControl)
 | Destroy (TWinControl)
 | Destroy (TCustomControl)
 | Destroy (TCDControl)
 | Destroy (TCDEdit)
 | Destroy (TCDComboBox)
 | DestroyComponents (TComponent)
pt | DestroyHandle (TWinControl)
 | Destroying (TComponent)
pt | DestroyWnd (TWinControl)
pt | DestroyWnd (TCustomControl)
pt | DialogChar (TControl)
pt | DialogChar (TWinControl)
 | DisableAlign (TWinControl)
 | DisableAutoSizing (TControl)
 | Dispatch (TObject)
 | DispatchStr (TObject)
pt | DoAddDockClient (TWinControl)
 | DoAdjustClientRectChange (TWinControl)
pt | DoAlignChildControls (TWinControl)
pt | DoAllAutoSize (TControl)
pt | DoAllAutoSize (TWinControl)
pt | DoAutoAdjustLayout (TControl)
pt | DoAutoSize (TControl)
pt | DoAutoSize (TWinControl)
pt | DoBorderSpacingChange (TControl)
pt | DoCallKeyEventHandler (TControl)
pt | DoCallMouseWheelEventHandler (TControl)
pt | DoCallNotifyHandler (TControl)
pt | DoChange (TCDEdit)
pt | DoChildSizingChange (TWinControl)
 | Dock (TControl)
 | DockDrop (TWinControl)
 | Docked (TControl)
pt | DockOver (TWinControl)
pt | DockTrackNoTarget (TControl)
pt | DoConstraintsChange (TControl)
pt | DoConstraintsChange (TWinControl)
pt | DoContextPopup (TControl)
pt | DoDock (TControl)
pt | DoDockClientMsg (TWinControl)
pt | DoDockOver (TWinControl)
pt | DoDragMsg (TControl)
pt | DoDragMsg (TWinControl)
pt | DoEndDock (TControl)
pt | DoEndDrag (TControl)
pt | DoEnter (TWinControl)
pt | DoEnter (TCDControl)
pt | DoEnter (TCDEdit)
pt | DoExit (TWinControl)
pt | DoExit (TCDControl)
pt | DoExit (TCDEdit)
pt | DoFixDesignFontPPI (TControl)
pt | DoFlipChildren (TWinControl)
pt | DoFloatMsg (TControl)
pt | DoFloatMsg (TWinControl)
pt | DoGetDockCaption (TWinControl)
pt | DoKeyDownBeforeInterface (TWinControl)
pt | DoKeyPress (TWinControl)
pt | DoKeyUpBeforeInterface (TWinControl)
pt | DoMouseWheel (TControl)
pt | DoMouseWheelDown (TControl)
pt | DoMouseWheelHorz (TControl)
pt | DoMouseWheelLeft (TControl)
pt | DoMouseWheelRight (TControl)
pt | DoMouseWheelUp (TControl)
pt | DoOnChangeBounds (TControl)
pt | DoOnParentHandleDestruction (TControl)
pt | DoOnResize (TControl)
pt | DoOnShowHint (TControl)
pt | DoRemainingKeyDown (TWinControl)
pt | DoRemainingKeyUp (TWinControl)
pt | DoRemoveDockClient (TWinControl)
pt | DoScaleFontPPI (TControl)
pt | DoSendBoundsToInterface (TWinControl)
pt | DoSendShowHideToInterface (TWinControl)
pt | DoSetBounds (TControl)
pt | DoSetBounds (TWinControl)
pt | DoStartDock (TControl)
pt | DoStartDrag (TControl)
pt | DoUnDock (TWinControl)
pt | DoUndockClientMsg (TWinControl)
pt | DoUTF8KeyPress (TWinControl)
pt | DragCanceled (TControl)
 | DragDrop (TControl)
 | Dragging (TControl)
pt | DragOver (TControl)
 | DrawToCanvas (TCDControl)
 | EditingDone (TControl)
 | EnableAlign (TWinControl)
 | EnableAutoSizing (TControl)
pt | EnabledChanged (TControl)
pt | EnabledChanging (TControl)
pt | EndAutoSizing (TControl)
 | EndDrag (TControl)
 | EndUpdateBounds (TWinControl)
 | Equals (TObject)
 | EraseBackground (TWinControl)
 | EraseBackground (TCDControl)
 | ExecuteAction (TComponent)
 | ExecuteCancelAction (TControl)
 | ExecuteDefaultAction (TControl)
 | FieldAddress (TObject)
pt | FinalizeWnd (TWinControl)
 | FindChildControl (TWinControl)
 | FindComponent (TComponent)
pt | FindNextControl (TWinControl)
 | FixDesignFontsPPI (TControl)
pt | FixupTabList (TWinControl)
 | FlipChildren (TWinControl)
 | Focused (TWinControl)
pt | FontChanged (TControl)
pt | FontChanged (TWinControl)
pt | FontChanged (TCustomControl)
pt | ForeignAnchorSideChanged (TControl)
pt | FormEndUpdated (TControl)
pt | FormEndUpdated (TWinControl)
 | FormIsUpdating (TControl)
 | FPOAttachObserver (TPersistent)
 | FPODetachObserver (TPersistent)
 | FPONotifyObservers (TPersistent)
 | Free (TObject)
 | FreeInstance (TObject)
 | FreeNotification (TComponent)
 | FreeOnRelease (TComponent)
 | GetAccessibleObject (TControl)
pt | GetAction (TControl)
pt | GetActionLinkClass (TControl)
pt | GetAdjustedLogicalClientRect (TWinControl)
 | GetAnchorsDependingOnParent (TControl)
pt | GetBorderStyle (TWinControl)
pt | GetCachedText (TControl)
 | GetCanvasScaleFactor (TControl)
 | GetChildAccessibleObjectAtPos (TControl)
 | GetChildOwner (TComponent)
 | GetChildParent (TComponent)
 | GetChildren (TComponent)
pt | GetChildren (TWinControl)
 | GetChildrenRect (TControl)
 | GetChildrenRect (TWinControl)
pt | GetClientOrigin (TControl)
pt | GetClientOrigin (TWinControl)
pt | GetClientRect (TControl)
pt | GetClientRect (TWinControl)
pt | GetClientRect (TCDControl)
pt | GetClientScrollOffset (TControl)
 | GetColorResolvingParent (TControl)
 | GetComObject (TComponent)
 | GetComponent (TComponent)
 | GetComponentCount (TComponent)
 | GetComponentIndex (TComponent)
pt | GetControlClassDefaultSize (TControl)
pt | GetControlId (TCDControl)
pt | GetControlId (TCDEdit)
pt | GetControlId (TCDComboBox)
 | GetControlIndex (TWinControl)
pt | GetControlOrigin (TControl)
pt | GetControlOrigin (TWinControl)
 | GetCurrentLine (TCDEdit)
pt | GetCursor (TControl)
 | GetDefaultColor (TControl)
pt | GetDefaultDockCaption (TControl)
 | GetDefaultHeight (TControl)
 | GetDefaultWidth (TControl)
pt | GetDeviceContext (TControl)
pt | GetDeviceContext (TWinControl)
 | GetDockCaption (TWinControl)
pt | GetDockEdge (TControl)
pt | GetDragImages (TControl)
pt | GetEnabled (TControl)
 | GetEnumerator (TComponent)
 | GetEnumeratorControls (TWinControl)
 | GetEnumeratorControlsReverse (TWinControl)
pt | GetFloating (TControl)
pt | GetFloatingDockSiteClass (TControl)
 | GetHashCode (TObject)
 | GetIDsOfNames (TComponent)
 | GetInterface (TObject)
 | GetInterfaceByStr (TObject)
 | GetInterfaceEntry (TObject)
 | GetInterfaceEntryByStr (TObject)
 | GetInterfaceTable (TObject)
 | GetInterfaceWeak (TObject)
pt | GetLogicalClientRect (TControl)
pt | GetMouseCapture (TControl)
pt | GetMouseCapture (TWinControl)
pt | GetMousePosFromMessage (TControl)
 | GetNamePath (TPersistent)
 | GetNamePath (TComponent)
 | GetOwner (TPersistent)
 | GetOwner (TComponent)
pt | GetPalette (TControl)
pt | GetParentBackground (TWinControl)
 | GetParentComponent (TComponent)
 | GetParentComponent (TControl)
pt | GetParentHandle (TWinControl)
pt | GetPopupMenu (TControl)
 | GetPreferredSize (TControl)
pt | GetPreferredSizeClientFrame (TWinControl)
 | GetRGBColorResolvingParent (TControl)
pt | GetScrolledClientRect (TControl)
 | GetSelectedChildAccessibleObject (TControl)
 | GetSelLength (TCDEdit)
 | GetSelStartX (TCDEdit)
 | GetSidePosition (TControl)
pt | GetSiteInfo (TWinControl)
 | GetTabOrderList (TWinControl)
 | GetTextBuf (TControl)
 | GetTextLen (TControl)
 | GetTextLen (TWinControl)
 | GetTopParent (TControl)
pt | GetTopParentHandle (TWinControl)
 | GetTypeInfo (TComponent)
 | GetTypeInfoCount (TComponent)
pt | GetWSComponentClass (TLCLComponent)
 | HandleAllocated (TWinControl)
 | HandleNeeded (TWinControl)
 | HandleObjectShouldBeVisible (TControl)
 | HasHelp (TControl)
 | HasParent (TComponent)
 | HasParent (TControl)
pt | HeightIsAnchored (TControl)
 | Hide (TControl)
 | iicrGetComponent (TComponent)
 | IncLCLRefCount (TLCLComponent)
 | InheritsFrom (TObject)
pt | InitializeWnd (TWinControl)
 | InitiateAction (TControl)
 | InitInstance (TObject)
 | Insert (TComponent)
 | InsertComponent (TComponent)
 | InsertControl (TWinControl)
 | InstanceSize (TObject)
 | IntfGetDropFilesTarget (TWinControl)
 | IntfUTF8KeyPress (TWinControl)
 | Invalidate (TControl)
 | Invalidate (TWinControl)
pt | InvalidateBoundsRealized (TWinControl)
 | InvalidateClientRectCache (TWinControl)
pt | InvalidateControl (TControl)
pt | InvalidatePreferredChildSizes (TWinControl)
 | InvalidatePreferredSize (TControl)
 | Invoke (TComponent)
pt | IsAParentAligning (TControl)
pt | IsBorderSpacingInnerBorderStored (TControl)
pt | IsCaptionStored (TControl)
pt | IsClientHeightStored (TControl)
pt | IsClientHeightStored (TWinControl)
pt | IsClientWidthStored (TControl)
pt | IsClientWidthStored (TWinControl)
pt | IsControlMouseMsg (TWinControl)
 | IsControlVisible (TControl)
 | IsEnabled (TControl)
 | IsImplementorOf (TComponent)
 | IsParentColor (TControl)
 | IsParentFont (TControl)
 | IsParentOf (TControl)
 | IsProcessingPaintMsg (TControl)
 | IsRightToLeft (TControl)
 | IsVisible (TControl)
pt | KeyDown (TWinControl)
pt | KeyDown (TCDEdit)
pt | KeyDownAfterInterface (TWinControl)
pt | KeyDownBeforeInterface (TWinControl)
pt | KeyPress (TWinControl)
pt | KeyUp (TWinControl)
pt | KeyUp (TCDEdit)
pt | KeyUpAfterInterface (TWinControl)
pt | KeyUpBeforeInterface (TWinControl)
 | LCLWSCalculatePreferredSize (TCDControl)
pt | LMCaptureChanged (TControl)
 | Loaded (TComponent)
pt | Loaded (TControl)
pt | Loaded (TWinControl)
pt | LoadedAll (TControl)
 | Loading (TComponent)
 | LockRealizeBounds (TWinControl)
pt | MainWndProc (TWinControl)
 | ManualDock (TControl)
 | ManualFloat (TControl)
 | MethodAddress (TObject)
 | MethodName (TObject)
pt | MouseDown (TControl)
pt | MouseDown (TCDControl)
pt | MouseDown (TCDEdit)
pt | MouseDown (TCDComboBox)
pt | MouseEnter (TControl)
pt | MouseEnter (TCDControl)
pt | MouseEnter (TCDEdit)
pt | MouseLeave (TControl)
pt | MouseLeave (TCDControl)
pt | MouseLeave (TCDEdit)
pt | MouseMove (TControl)
pt | MouseMove (TCDEdit)
pt | MouseUp (TControl)
pt | MouseUp (TCDEdit)
pt | MouseUp (TCDComboBox)
 | newinstance (TObject)
 | NewInstance (TLCLComponent)
 | Notification (TComponent)
pt | Notification (TControl)
 | NotifyControls (TWinControl)
pt | Paint (TCustomControl)
 | Paint (TCDControl)
pt | PaintControls (TWinControl)
pt | PaintHandler (TWinControl)
 | PaintTo (TWinControl)
pt | PaintWindow (TWinControl)
pt | PaintWindow (TCustomControl)
 | PaletteCreated (TComponent)
 | ParentDestroyingHandle (TControl)
pt | ParentFontChanged (TControl)
pt | ParentFormHandleInitialized (TControl)
pt | ParentFormHandleInitialized (TWinControl)
 | ParentHandlesAllocated (TControl)
 | ParentHandlesAllocated (TWinControl)
 | ParentToClient (TControl)
 | Perform (TControl)
 | PerformTab (TWinControl)
pt | PositionDockRect (TControl)
pt | PrepareControlState (TCDControl)
pt | PrepareControlStateEx (TCDControl)
pt | PrepareCurrentDrawer (TCDControl)
pt | QuadClick (TControl)
 | QueryInterface (TComponent)
 | ReadLeft (TComponent)
 | ReadState (TComponent)
pt | ReadState (TControl)
 | ReadTop (TComponent)
pt | RealGetText (TControl)
pt | RealGetText (TWinControl)
 | ReAlign (TWinControl)
pt | RealizeBounds (TWinControl)
pt | RealizeBoundsRecursive (TWinControl)
pt | RealSetText (TControl)
pt | RealSetText (TWinControl)
pt | RealSetText (TCDEdit)
 | ReferenceInterface (TComponent)
 | Refresh (TControl)
pt | ReloadDockedControl (TWinControl)
 | Remove (TComponent)
 | RemoveAllHandlersOfObject (TLCLComponent)
 | RemoveAllHandlersOfObject (TControl)
 | RemoveComponent (TComponent)
 | RemoveControl (TWinControl)
pt | RemoveFocus (TWinControl)
 | RemoveFreeNotification (TComponent)
pt | RemoveHandler (TControl)
 | RemoveHandlerOnBeforeDestruction (TControl)
 | RemoveHandlerOnChangeBounds (TControl)
 | RemoveHandlerOnEnableChanging (TControl)
 | RemoveHandlerOnKeyDown (TControl)
 | RemoveHandlerOnMouseWheel (TControl)
 | RemoveHandlerOnResize (TControl)
 | RemoveHandlerOnVisibleChanged (TControl)
 | RemoveHandlerOnVisibleChanging (TControl)
 | RemoveNotification (TComponent)
 | Repaint (TControl)
 | Repaint (TWinControl)
 | ReplaceDockedControl (TControl)
pt | RequestAlign (TControl)
pt | Resize (TControl)
 | SafeCallException (TObject)
 | SafeCallException (TComponent)
 | Scale96ToFont (TControl)
 | Scale96ToForm (TControl)
 | Scale96ToScreen (TControl)
 | ScaleBy (TWinControl)
pt | ScaleConstraints (TControl)
pt | ScaleControls (TWinControl)
 | ScaleDesignToForm (TControl)
 | ScaleFontsPPI (TControl)
 | ScaleFontTo96 (TControl)
 | ScaleFontToScreen (TControl)
 | ScaleFormTo96 (TControl)
 | ScaleFormToDesign (TControl)
 | ScaleScreenTo96 (TControl)
 | ScaleScreenToFont (TControl)
 | ScreenToClient (TControl)
 | ScreenToControl (TControl)
 | ScrollBy (TWinControl)
 | ScrollBy_WS (TWinControl)
pt | SelectFirst (TWinControl)
 | SelectNext (TWinControl)
pt | SendDialogChar (TWinControl)
pt | SendMoveSizeMessages (TControl)
pt | SendMoveSizeMessages (TWinControl)
 | SendToBack (TControl)
pt | SetAction (TControl)
pt | SetAlign (TControl)
 | SetAncestor (TComponent)
pt | SetAnchors (TControl)
pt | SetAutoSize (TControl)
pt | SetBiDiMode (TControl)
pt | SetBorderStyle (TWinControl)
 | SetBounds (TControl)
 | SetBounds (TWinControl)
 | SetBoundsKeepBase (TControl)
 | SetChildOrder (TComponent)
pt | SetChildZPosition (TWinControl)
pt | SetColor (TControl)
pt | SetColor (TWinControl)
pt | SetColor (TCustomControl)
 | SetComponentIndex (TComponent)
 | SetControlIndex (TWinControl)
 | SetCurrentLine (TCDEdit)
pt | SetCursor (TControl)
 | SetDesigning (TComponent)
 | SetDesignInstance (TComponent)
pt | SetDockManager (TWinControl)
pt | SetDragMode (TControl)
pt | SetDrawStyle (TCDControl)
pt | SetEnabled (TControl)
 | SetFocus (TWinControl)
pt | SetHint (TControl)
 | SetInitialBounds (TControl)
 | SetInline (TComponent)
 | SetName (TComponent)
pt | SetName (TControl)
pt | SetParent (TControl)
pt | SetParentBackground (TWinControl)
pt | SetParentBiDiMode (TControl)
 | SetParentComponent (TComponent)
pt | SetParentComponent (TControl)
 | SetReference (TComponent)
 | SetSelLength (TCDEdit)
 | SetSelStartX (TCDEdit)
 | SetShape (TWinControl)
pt | SetState (TCDControl)
 | SetSubComponent (TComponent)
 | SetTempCursor (TControl)
 | SetTempCursor (TWinControl)
 | SetTextBuf (TControl)
pt | SetVisible (TControl)
pt | SetZOrder (TControl)
 | ShouldAutoAdjust (TControl)
 | Show (TControl)
pt | ShowControl (TWinControl)
 | ShowHelp (TControl)
 | StringMessageTable (TObject)
pt | TextChanged (TControl)
 | ToString (TObject)
pt | TripleClick (TControl)
 | UnitName (TObject)
 | UnlockRealizeBounds (TWinControl)
 | Update (TControl)
 | Update (TWinControl)
 | UpdateAction (TComponent)
pt | UpdateAnchorRules (TControl)
 | UpdateBaseBounds (TControl)
pt | UpdateControlState (TWinControl)
 | Updated (TComponent)
 | UpdateDockCaption (TWinControl)
pt | UpdateMouseCursor (TControl)
 | UpdateRegistry (TComponent)
 | UpdateRolesForForm (TControl)
pt | UpdateShowing (TWinControl)
 | Updating (TComponent)
 | UseRightToLeftAlignment (TControl)
 | UseRightToLeftReading (TControl)
 | UseRightToLeftScrollBar (TControl)
pt | UTF8KeyPress (TWinControl)
pt | UTF8KeyPress (TCDEdit)
 | ValidateContainer (TComponent)
 | ValidateInsert (TComponent)
 | ValidateRename (TComponent)
pt | VisibleChanged (TControl)
pt | VisibleChanging (TControl)
pt | WidthIsAnchored (TControl)
pt | WMCancelMode (TControl)
pt | WMChar (TWinControl)
pt | WMContextMenu (TControl)
pt | WMContextMenu (TWinControl)
pt | WMDestroy (TWinControl)
pt | WMEnter (TWinControl)
pt | WMEraseBkgnd (TWinControl)
pt | WMExit (TWinControl)
pt | WMKeyDown (TWinControl)
pt | WMKeyUp (TWinControl)
pt | WMKillFocus (TWinControl)
pt | WMLButtonDBLCLK (TControl)
pt | WMLButtonDown (TControl)
pt | WMLButtonQuadCLK (TControl)
pt | WMLButtonTripleCLK (TControl)
pt | WMLButtonUp (TControl)
pt | WMMButtonDBLCLK (TControl)
pt | WMMButtonDown (TControl)
pt | WMMButtonQuadCLK (TControl)
pt | WMMButtonTripleCLK (TControl)
pt | WMMButtonUp (TControl)
pt | WMMouseHWheel (TControl)
pt | WMMouseMove (TControl)
pt | WMMouseWheel (TControl)
pt | WMMove (TControl)
pt | WMMove (TWinControl)
pt | WMNotify (TWinControl)
pt | WMPaint (TWinControl)
pt | WMPaint (TCustomControl)
pt | WMRButtonDBLCLK (TControl)
pt | WMRButtonDown (TControl)
pt | WMRButtonQuadCLK (TControl)
pt | WMRButtonTripleCLK (TControl)
pt | WMRButtonUp (TControl)
pt | WMSetFocus (TWinControl)
pt | WMShowWindow (TWinControl)
pt | WMSize (TControl)
pt | WMSize (TWinControl)
pt | WMSysChar (TWinControl)
pt | WMSysKeyDown (TWinControl)
pt | WMSysKeyUp (TWinControl)
pt | WMWindowPosChanged (TControl)
pt | WMWindowPosChanged (TWinControl)
pt | WMXButtonDBLCLK (TControl)
pt | WMXButtonDown (TControl)
pt | WMXButtonQuadCLK (TControl)
pt | WMXButtonTripleCLK (TControl)
pt | WMXButtonUp (TControl)
pt | WndProc (TControl)
pt | WndProc (TWinControl)
 | WriteLayoutDebugReport (TControl)
 | WriteLayoutDebugReport (TWinControl)
 | WriteLeft (TComponent)
 | WriteState (TComponent)
 | WriteTop (TComponent)
pt | WSRegisterClass (TLCLComponent)
pt | WSRegisterClass (TControl)
pt | WSRegisterClass (TWinControl)
pt | WSRegisterClass (TCustomControl)
pt | WSSetText (TWinControl)
 | _AddRef (TComponent)
 | _Release (TComponent)


TCDComboBox
TCDEdit
pl | OnChange
TCDControl
TCustomControl
 | OnPaint
TWinControl
pt | OnGetSiteInfo
pt | OnGetDockCaption
 | OnAlignInsertBefore
 | OnAlignPosition
 | OnDockDrop
 | OnDockOver
 | OnEnter
 | OnExit
 | OnKeyDown
 | OnKeyPress
 | OnKeyUp
 | OnUnDock
 | OnUTF8KeyPress
TControl
pt | OnConstrainedResize
pt | OnContextPopup
pt | OnDblClick
pt | OnTripleClick
pt | OnQuadClick
pt | OnDragDrop
pt | OnDragOver
pt | OnEndDock
pt | OnEndDrag
pt | OnMouseDown
pt | OnMouseMove
pt | OnMouseUp
pt | OnMouseEnter
pt | OnMouseLeave
pt | OnMouseWheel
pt | OnMouseWheelDown
pt | OnMouseWheelUp
pt | OnMouseWheelHorz
pt | OnMouseWheelLeft
pt | OnMouseWheelRight
pt | OnStartDock
pt | OnStartDrag
pt | OnEditingDone
 | OnChangeBounds
 | OnClick
 | OnResize
 | OnShowHint
TLCLComponent
TComponent
TPersistent
TObject


pl | OnChange (TCDEdit)
 | OnChangeBounds (TControl)
 | OnClick (TControl)
pt | OnConstrainedResize (TControl)
pt | OnContextPopup (TControl)
pt | OnDblClick (TControl)
 | OnDockDrop (TWinControl)
 | OnDockOver (TWinControl)
pt | OnDragDrop (TControl)
pt | OnDragOver (TControl)
pt | OnEditingDone (TControl)
pt | OnEndDock (TControl)
pt | OnEndDrag (TControl)
 | OnEnter (TWinControl)
 | OnExit (TWinControl)
pt | OnGetDockCaption (TWinControl)
pt | OnGetSiteInfo (TWinControl)
 | OnKeyDown (TWinControl)
 | OnKeyPress (TWinControl)
 | OnKeyUp (TWinControl)
pt | OnMouseDown (TControl)
pt | OnMouseEnter (TControl)
pt | OnMouseLeave (TControl)
pt | OnMouseMove (TControl)
pt | OnMouseUp (TControl)
pt | OnMouseWheel (TControl)
pt | OnMouseWheelDown (TControl)
pt | OnMouseWheelHorz (TControl)
pt | OnMouseWheelLeft (TControl)
pt | OnMouseWheelRight (TControl)
pt | OnMouseWheelUp (TControl)
 | OnPaint (TCustomControl)
pt | OnQuadClick (TControl)
 | OnResize (TControl)
 | OnShowHint (TControl)
pt | OnStartDock (TControl)
pt | OnStartDrag (TControl)
pt | OnTripleClick (TControl)
 | OnUnDock (TWinControl)
 | OnUTF8KeyPress (TWinControl)


TCDComboBox.ItemIndex

Declaration

Source position: customdrawncontrols.pas line 328

published property TCDComboBox.ItemIndex : Integer
  read FItemIndex
  write SetItemIndex;


TCDComboBox.Items

Declaration

Source position: customdrawncontrols.pas line 327

published property TCDComboBox.Items : TStrings
  read GetItems
  write SetItems;


TCDComboBox.KeyboardInputBehavior

Declaration

Source position: customdrawncontrols.pas line 330

published property TCDComboBox.KeyboardInputBehavior : TKeyboardInputBehavior
  read FKeyboardInputBehavior
  write SetKeyboardInputBehavior;


TCDControl

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Declaration

Source position: customdrawncontrols.pas line 32

type TCDControl = class(TCustomControl)

protected

  FDrawStyle: TCDDrawStyle;

  FDrawer: TCDDrawer;

  FState: TCDControlState;

  FStateEx: TCDControlStateEx;

  procedure CalculatePreferredSize(); override;

  procedure SetState(); virtual;

  procedure PrepareCurrentDrawer; virtual;

  procedure SetDrawStyle(); virtual;

  function GetClientRect; override;

  function GetControlId; virtual;

  procedure CreateControlStateEx; virtual;

  procedure PrepareControlState; virtual;

  procedure PrepareControlStateEx; virtual;

  procedure DoEnter; override;

  procedure DoExit; override;

  procedure MouseEnter; override;

  procedure MouseLeave; override;

  procedure MouseDown(); override;

  property DrawStyle: TCDDrawStyle; [rw]

public

  constructor Create(); override;

  destructor Destroy; override;

  procedure LCLWSCalculatePreferredSize();

  procedure EraseBackground(); override;

  procedure Paint; override;

  procedure DrawToCanvas();

end;

Inheritance

TCDControl |
|
TCustomControl | The base class for windowed controls which paint themselves.
|
TWinControl | The base class for controls which can contain other (child) controls.
|
TControl | The base class for visible controls.
|
TLCLComponent | The base class for LCL components associated with widgets.
|
TComponent,IUnknown,IInterfaceComponentReference
|
TPersistent,IFPObserved
|
TObject


TCDControl
pt |  | DrawStyle
TCustomControl
 |  | Canvas
 | ro | BorderStyle
TWinControl
pt |  | WindowHandle
pt |  | BorderStyle
pt |  | ParentBackground
 |  | BorderWidth
 | ro | BoundsLockCount
 | ro | Brush
 | ro | CachedClientHeight
 | ro | CachedClientWidth
 |  | ChildSizing
 | ro | ControlCount
 | ro | Controls
 |  | DefWndProc
 | ro | DockClientCount
 | ro | DockClients
 |  | DockManager
 |  | DockSite
 |  | DoubleBuffered
 |  | Handle
 | ro | IsFlipped
 | ro | IsResizing
 |  | TabOrder
 |  | TabStop
 |  | ParentDoubleBuffered
 |  | ParentWindow
 | ro | Showing
 |  | UseDockManager
 |  | DesignerDeleting
 | ro | VisibleDockClientCount
TControl
pt | ro | AutoSizing
pt | ro | AutoSizingAll
pt | ro | AutoSizingLockCount
pt |  | ActionLink
pt |  | DesktopFont
pt |  | DragCursor
pt |  | DragKind
pt |  | DragMode
pt |  | MouseCapture
pt |  | ParentColor
pt |  | ParentFont
pt |  | ParentShowHint
pt |  | SessionProperties
pt |  | Text
 | ro | AnchoredControls
 | ro | BaseBounds
 | ro | ReadBounds
 | ro | BaseParentClientSize
 |  | AccessibleDescription
 |  | AccessibleValue
 |  | AccessibleRole
 |  | Action
 |  | Align
 |  | Anchors
 | ro | AnchorSide
 |  | AutoSize
 |  | BorderSpacing
 |  | BoundsRect
 |  | BoundsRectForNewParent
 |  | Caption
 |  | CaptureMouseButtons
 |  | ClientHeight
 | ro | ClientOrigin
 | ro | ClientRect
 |  | ClientWidth
 |  | Color
 |  | Constraints
 | ro | ControlOrigin
 |  | ControlState
 |  | ControlStyle
 |  | Enabled
 |  | Font
 |  | IsControl
 | ro | MouseEntered
 | ro | MouseInClient
 |  | Parent
 |  | PopupMenu
 |  | ShowHint
 |  | Visible
 |  | WindowProc
 |  | DockOrientation
 | ro | Floating
 |  | FloatingDockSiteClass
 |  | HostDockSite
 |  | LRDockWidth
 |  | TBDockHeight
 |  | UndockHeight
 |  | UndockWidth
 |  | BiDiMode
 |  | ParentBiDiMode
pl |  | AnchorSideLeft
pl |  | AnchorSideTop
pl |  | AnchorSideRight
pl |  | AnchorSideBottom
pl |  | Cursor
pl |  | Left
pl |  | Height
pl |  | Hint
pl |  | Top
pl |  | Width
pl |  | HelpType
pl |  | HelpKeyword
pl |  | HelpContext
TLCLComponent
 | ro | LCLRefCount
 | ro | WidgetSetClass
TComponent
 | ro | ComObject
 | ro | Components
 | ro | ComponentCount
 |  | ComponentIndex
 | ro | ComponentState
 | ro | ComponentStyle
 |  | DesignInfo
 | ro | Owner
 |  | VCLComObject
 |  | Name
 |  | Tag
TPersistent
TObject


 |  | AccessibleDescription (TControl)
 |  | AccessibleRole (TControl)
 |  | AccessibleValue (TControl)
 |  | Action (TControl)
pt |  | ActionLink (TControl)
 |  | Align (TControl)
 | ro | AnchoredControls (TControl)
 |  | Anchors (TControl)
 | ro | AnchorSide (TControl)
pl |  | AnchorSideBottom (TControl)
pl |  | AnchorSideLeft (TControl)
pl |  | AnchorSideRight (TControl)
pl |  | AnchorSideTop (TControl)
 |  | AutoSize (TControl)
pt | ro | AutoSizing (TControl)
pt | ro | AutoSizingAll (TControl)
pt | ro | AutoSizingLockCount (TControl)
 | ro | BaseBounds (TControl)
 | ro | BaseParentClientSize (TControl)
 |  | BiDiMode (TControl)
 |  | BorderSpacing (TControl)
pt |  | BorderStyle (TWinControl)
 | ro | BorderStyle (TCustomControl)
 |  | BorderWidth (TWinControl)
 | ro | BoundsLockCount (TWinControl)
 |  | BoundsRect (TControl)
 |  | BoundsRectForNewParent (TControl)
 | ro | Brush (TWinControl)
 | ro | CachedClientHeight (TWinControl)
 | ro | CachedClientWidth (TWinControl)
 |  | Canvas (TCustomControl)
 |  | Caption (TControl)
 |  | CaptureMouseButtons (TControl)
 |  | ChildSizing (TWinControl)
 |  | ClientHeight (TControl)
 | ro | ClientOrigin (TControl)
 | ro | ClientRect (TControl)
 |  | ClientWidth (TControl)
 |  | Color (TControl)
 | ro | ComObject (TComponent)
 | ro | ComponentCount (TComponent)
 |  | ComponentIndex (TComponent)
 | ro | Components (TComponent)
 | ro | ComponentState (TComponent)
 | ro | ComponentStyle (TComponent)
 |  | Constraints (TControl)
 | ro | ControlCount (TWinControl)
 | ro | ControlOrigin (TControl)
 | ro | Controls (TWinControl)
 |  | ControlState (TControl)
 |  | ControlStyle (TControl)
pl |  | Cursor (TControl)
 |  | DefWndProc (TWinControl)
 |  | DesignerDeleting (TWinControl)
 |  | DesignInfo (TComponent)
pt |  | DesktopFont (TControl)
 | ro | DockClientCount (TWinControl)
 | ro | DockClients (TWinControl)
 |  | DockManager (TWinControl)
 |  | DockOrientation (TControl)
 |  | DockSite (TWinControl)
 |  | DoubleBuffered (TWinControl)
pt |  | DragCursor (TControl)
pt |  | DragKind (TControl)
pt |  | DragMode (TControl)
pt |  | DrawStyle (TCDControl)
 |  | Enabled (TControl)
 | ro | Floating (TControl)
 |  | FloatingDockSiteClass (TControl)
 |  | Font (TControl)
 |  | Handle (TWinControl)
pl |  | Height (TControl)
pl |  | HelpContext (TControl)
pl |  | HelpKeyword (TControl)
pl |  | HelpType (TControl)
pl |  | Hint (TControl)
 |  | HostDockSite (TControl)
 |  | IsControl (TControl)
 | ro | IsFlipped (TWinControl)
 | ro | IsResizing (TWinControl)
 | ro | LCLRefCount (TLCLComponent)
pl |  | Left (TControl)
 |  | LRDockWidth (TControl)
pt |  | MouseCapture (TControl)
 | ro | MouseEntered (TControl)
 | ro | MouseInClient (TControl)
 |  | Name (TComponent)
 | ro | Owner (TComponent)
 |  | Parent (TControl)
pt |  | ParentBackground (TWinControl)
 |  | ParentBiDiMode (TControl)
pt |  | ParentColor (TControl)
 |  | ParentDoubleBuffered (TWinControl)
pt |  | ParentFont (TControl)
pt |  | ParentShowHint (TControl)
 |  | ParentWindow (TWinControl)
 |  | PopupMenu (TControl)
 | ro | ReadBounds (TControl)
pt |  | SessionProperties (TControl)
 |  | ShowHint (TControl)
 | ro | Showing (TWinControl)
 |  | TabOrder (TWinControl)
 |  | TabStop (TWinControl)
 |  | Tag (TComponent)
 |  | TBDockHeight (TControl)
pt |  | Text (TControl)
pl |  | Top (TControl)
 |  | UndockHeight (TControl)
 |  | UndockWidth (TControl)
 |  | UseDockManager (TWinControl)
 |  | VCLComObject (TComponent)
 |  | Visible (TControl)
 | ro | VisibleDockClientCount (TWinControl)
 | ro | WidgetSetClass (TLCLComponent)
pl |  | Width (TControl)
pt |  | WindowHandle (TWinControl)
 |  | WindowProc (TControl)


TCDControl
pt | CalculatePreferredSize
pt | SetState
pt | PrepareCurrentDrawer
pt | SetDrawStyle
pt | GetClientRect
pt | GetControlId
pt | CreateControlStateEx
pt | PrepareControlState
pt | PrepareControlStateEx
pt | DoEnter
pt | DoExit
pt | MouseEnter
pt | MouseLeave
pt | MouseDown
 | Create
 | Destroy
 | LCLWSCalculatePreferredSize
 | EraseBackground
 | Paint
 | DrawToCanvas
TCustomControl
pt | WSRegisterClass
pt | WMPaint
pt | DestroyWnd
pt | PaintWindow
pt | FontChanged
pt | SetColor
pt | Paint
 | Create
 | Destroy
TWinControl
pt | WSRegisterClass
pt | AdjustClientRect
pt | GetAdjustedLogicalClientRect
pt | AlignControls
pt | CustomAlignInsertBefore
pt | CustomAlignPosition
pt | DoAlignChildControls
pt | DoChildSizingChange
pt | InvalidatePreferredChildSizes
pt | CanTab
pt | IsClientHeightStored
pt | IsClientWidthStored
pt | DoSendShowHideToInterface
pt | ControlsAligned
pt | DoSendBoundsToInterface
pt | RealizeBounds
pt | RealizeBoundsRecursive
pt | InvalidateBoundsRealized
pt | CreateSubClass
pt | DoConstraintsChange
pt | DoSetBounds
pt | DoAutoSize
pt | DoAllAutoSize
pt | AllAutoSized
pt | CalculatePreferredSize
pt | GetPreferredSizeClientFrame
pt | GetChildren
pt | ChildClassAllowed
pt | PaintControls
pt | PaintHandler
pt | PaintWindow
pt | CreateBrush
pt | ScaleControls
pt | ChangeScale
pt | CMBiDiModeChanged
pt | CMBorderChanged
pt | CMDoubleBufferedChanged
pt | CMEnabledChanged
pt | CMParentDoubleBufferedChanged
pt | CMShowingChanged
pt | CMShowHintChanged
pt | CMVisibleChanged
pt | CMEnter
pt | CMExit
pt | WMContextMenu
pt | WMEraseBkgnd
pt | WMNotify
pt | WMSetFocus
pt | WMKillFocus
pt | WMShowWindow
pt | WMEnter
pt | WMExit
pt | WMKeyDown
pt | WMSysKeyDown
pt | WMKeyUp
pt | WMSysKeyUp
pt | WMChar
pt | WMSysChar
pt | WMPaint
pt | WMDestroy
pt | WMMove
pt | WMSize
pt | WMWindowPosChanged
pt | CNKeyDown
pt | CNSysKeyDown
pt | CNKeyUp
pt | CNSysKeyUp
pt | CNChar
pt | DoDragMsg
pt | DoDockClientMsg
pt | DoUndockClientMsg
pt | DoAddDockClient
pt | DockOver
pt | DoDockOver
pt | DoRemoveDockClient
pt | DoUnDock
pt | GetSiteInfo
pt | GetParentHandle
pt | GetTopParentHandle
pt | ReloadDockedControl
pt | CreateDockManager
pt | SetDockManager
pt | DoFloatMsg
pt | DoGetDockCaption
pt | DoEnter
pt | DoExit
pt | DoKeyDownBeforeInterface
pt | DoRemainingKeyDown
pt | DoRemainingKeyUp
pt | DoKeyPress
pt | DoUTF8KeyPress
pt | DoKeyUpBeforeInterface
pt | ChildKey
pt | SendDialogChar
pt | DialogChar
pt | ControlKeyDown
pt | ControlKeyUp
pt | KeyDown
pt | KeyDownBeforeInterface
pt | KeyDownAfterInterface
pt | KeyPress
pt | KeyUp
pt | KeyUpBeforeInterface
pt | KeyUpAfterInterface
pt | UTF8KeyPress
pt | FindNextControl
pt | SelectFirst
pt | RealGetText
pt | GetBorderStyle
pt | GetClientOrigin
pt | GetClientRect
pt | GetControlOrigin
pt | GetDeviceContext
pt | GetParentBackground
pt | IsControlMouseMsg
pt | CreateHandle
pt | CreateParams
pt | CreateWnd
pt | DestroyHandle
pt | DestroyWnd
pt | DoFlipChildren
pt | FinalizeWnd
pt | FixupTabList
pt | FontChanged
pt | InitializeWnd
pt | Loaded
pt | FormEndUpdated
pt | MainWndProc
pt | ParentFormHandleInitialized
pt | ChildHandlesCreated
pt | GetMouseCapture
pt | RealSetText
pt | RemoveFocus
pt | SendMoveSizeMessages
pt | SetBorderStyle
pt | SetColor
pt | SetChildZPosition
pt | SetParentBackground
pt | ShowControl
pt | UpdateControlState
pt | UpdateShowing
pt | WndProc
pt | WSSetText
 | AutoSizePhases
 | AutoSizeDelayed
 | AutoSizeDelayedReport
 | AutoSizeDelayedHandle
 | BeginUpdateBounds
 | EndUpdateBounds
 | LockRealizeBounds
 | UnlockRealizeBounds
 | ControlAtPos
 | ContainsControl
 | DoAdjustClientRectChange
 | InvalidateClientRectCache
 | ClientRectNeedsInterfaceUpdate
 | SetBounds
 | GetChildrenRect
 | DisableAlign
 | EnableAlign
 | ReAlign
 | ScrollBy_WS
 | ScrollBy
 | WriteLayoutDebugReport
 | AutoAdjustLayout
 | Create
 | CreateParented
 | CreateParentedControl
 | Destroy
 | DockDrop
 | CanFocus
 | CanSetFocus
 | GetControlIndex
 | SetControlIndex
 | Focused
 | PerformTab
 | FindChildControl
 | SelectNext
 | SetTempCursor
 | BroadCast
 | NotifyControls
 | DefaultHandler
 | GetTextLen
 | Invalidate
 | AddControl
 | InsertControl
 | RemoveControl
 | GetEnumeratorControls
 | GetEnumeratorControlsReverse
 | Repaint
 | Update
 | SetFocus
 | FlipChildren
 | ScaleBy
 | GetDockCaption
 | UpdateDockCaption
 | GetTabOrderList
 | HandleAllocated
 | ParentHandlesAllocated
 | HandleNeeded
 | BrushCreated
 | EraseBackground
 | IntfUTF8KeyPress
 | IntfGetDropFilesTarget
 | PaintTo
 | SetShape
TControl
pt | WSRegisterClass
pt | GetCursor
pt | SetCursor
pt | SetVisible
pt | DoOnParentHandleDestruction
pt | DoAutoSize
pt | DoAllAutoSize
pt | BeginAutoSizing
pt | EndAutoSizing
pt | AnchorSideChanged
pt | ForeignAnchorSideChanged
pt | SetAlign
pt | SetAnchors
pt | SetAutoSize
pt | BoundsChanged
pt | CreateControlBorderSpacing
pt | DoConstraintsChange
pt | DoBorderSpacingChange
pt | IsBorderSpacingInnerBorderStored
pt | IsCaptionStored
pt | SendMoveSizeMessages
pt | ConstrainedResize
pt | CalculatePreferredSize
pt | DoOnResize
pt | DoOnChangeBounds
pt | CheckOnChangeBounds
pt | Resize
pt | RequestAlign
pt | UpdateAnchorRules
pt | ChangeBounds
pt | DoSetBounds
pt | ScaleConstraints
pt | ChangeScale
pt | CanAutoSize
pt | SetBiDiMode
pt | SetParentBiDiMode
pt | IsAParentAligning
pt | GetClientOrigin
pt | GetClientRect
pt | GetLogicalClientRect
pt | GetScrolledClientRect
pt | GetClientScrollOffset
pt | GetControlOrigin
pt | IsClientHeightStored
pt | IsClientWidthStored
pt | WidthIsAnchored
pt | HeightIsAnchored
pt | WMCancelMode
pt | WMContextMenu
pt | WMLButtonDown
pt | WMRButtonDown
pt | WMMButtonDown
pt | WMXButtonDown
pt | WMLButtonDBLCLK
pt | WMRButtonDBLCLK
pt | WMMButtonDBLCLK
pt | WMXButtonDBLCLK
pt | WMLButtonTripleCLK
pt | WMRButtonTripleCLK
pt | WMMButtonTripleCLK
pt | WMXButtonTripleCLK
pt | WMLButtonQuadCLK
pt | WMRButtonQuadCLK
pt | WMMButtonQuadCLK
pt | WMXButtonQuadCLK
pt | WMMouseMove
pt | WMLButtonUp
pt | WMRButtonUp
pt | WMMButtonUp
pt | WMXButtonUp
pt | WMMouseWheel
pt | WMMouseHWheel
pt | WMMove
pt | WMSize
pt | WMWindowPosChanged
pt | CMChanged
pt | LMCaptureChanged
pt | CMBiDiModeChanged
pt | CMSysFontChanged
pt | CMEnabledChanged
pt | CMHitTest
pt | CMMouseEnter
pt | CMMouseLeave
pt | CMHintShow
pt | CMParentBiDiModeChanged
pt | CMParentColorChanged
pt | CMParentFontChanged
pt | CMParentShowHintChanged
pt | CMVisibleChanged
pt | CMTextChanged
pt | CMCursorChanged
pt | CalculateDockSizes
pt | CreateFloatingDockSite
pt | GetDockEdge
pt | GetDragImages
pt | GetFloating
pt | GetFloatingDockSiteClass
pt | BeforeDragStart
pt | BeginAutoDrag
pt | DoFloatMsg
pt | DockTrackNoTarget
pt | DoDock
pt | DoDragMsg
pt | DoEndDock
pt | DoEndDrag
pt | DoStartDock
pt | DoStartDrag
pt | DragCanceled
pt | DragOver
pt | PositionDockRect
pt | SetDragMode
pt | GetDefaultDockCaption
pt | Click
pt | DblClick
pt | TripleClick
pt | QuadClick
pt | GetMousePosFromMessage
pt | MouseDown
pt | MouseMove
pt | MouseUp
pt | MouseEnter
pt | MouseLeave
pt | DialogChar
pt | UpdateMouseCursor
pt | Changed
pt | GetPalette
pt | ChildClassAllowed
pt | ReadState
pt | Loaded
pt | LoadedAll
pt | DefineProperties
pt | AssignTo
pt | FormEndUpdated
pt | InvalidateControl
pt | FontChanged
pt | ParentFontChanged
pt | GetAction
pt | RealGetText
pt | RealSetText
pt | TextChanged
pt | GetCachedText
pt | SetAction
pt | SetColor
pt | SetEnabled
pt | SetHint
pt | SetName
pt | SetParent
pt | SetParentComponent
pt | WndProc
pt | ParentFormHandleInitialized
pt | GetMouseCapture
pt | CaptureChanged
pt | Notification
pt | CanTab
pt | GetDeviceContext
pt | GetEnabled
pt | GetPopupMenu
pt | DoOnShowHint
pt | DoMouseWheel
pt | DoMouseWheelDown
pt | DoMouseWheelUp
pt | DoMouseWheelHorz
pt | DoMouseWheelLeft
pt | DoMouseWheelRight
pt | VisibleChanging
pt | VisibleChanged
pt | EnabledChanging
pt | EnabledChanged
pt | AddHandler
pt | RemoveHandler
pt | DoCallNotifyHandler
pt | DoCallKeyEventHandler
pt | DoCallMouseWheelEventHandler
pt | DoContextPopup
pt | SetZOrder
pt | GetControlClassDefaultSize
pt | ColorIsStored
pt | DoAutoAdjustLayout
pt | DoFixDesignFontPPI
pt | DoScaleFontPPI
pt | GetActionLinkClass
pt | ActionChange
 | DragDrop
 | Dock
 | ManualDock
 | ManualFloat
 | ReplaceDockedControl
 | Docked
 | Dragging
 | GetAccessibleObject
 | CreateAccessibleObject
 | GetSelectedChildAccessibleObject
 | GetChildAccessibleObjectAtPos
 | ScaleDesignToForm
 | ScaleFormToDesign
 | Scale96ToForm
 | ScaleFormTo96
 | Scale96ToFont
 | ScaleFontTo96
 | ScaleScreenToFont
 | ScaleFontToScreen
 | Scale96ToScreen
 | ScaleScreenTo96
 | AdjustSize
 | AutoSizePhases
 | AutoSizeDelayed
 | AutoSizeDelayedReport
 | AutoSizeDelayedHandle
 | AnchorToNeighbour
 | AnchorParallel
 | AnchorHorizontalCenterTo
 | AnchorVerticalCenterTo
 | AnchorToCompanion
 | AnchorSame
 | AnchorAsAlign
 | AnchorClient
 | AnchoredControlCount
 | SetBounds
 | SetInitialBounds
 | SetBoundsKeepBase
 | GetPreferredSize
 | GetCanvasScaleFactor
 | GetDefaultWidth
 | GetDefaultHeight
 | GetDefaultColor
 | GetColorResolvingParent
 | GetRGBColorResolvingParent
 | GetSidePosition
 | CNPreferredSizeChanged
 | InvalidatePreferredSize
 | GetAnchorsDependingOnParent
 | DisableAutoSizing
 | EnableAutoSizing
 | UpdateBaseBounds
 | WriteLayoutDebugReport
 | AutoAdjustLayout
 | ShouldAutoAdjust
 | FixDesignFontsPPI
 | ScaleFontsPPI
 | Create
 | Destroy
 | BeforeDestruction
 | EditingDone
 | ExecuteDefaultAction
 | ExecuteCancelAction
 | BeginDrag
 | EndDrag
 | BringToFront
 | HasParent
 | GetParentComponent
 | IsParentOf
 | GetTopParent
 | IsVisible
 | IsControlVisible
 | IsEnabled
 | IsParentColor
 | IsParentFont
 | FormIsUpdating
 | IsProcessingPaintMsg
 | Hide
 | Refresh
 | Repaint
 | Invalidate
 | CheckChildClassAllowed
 | CheckNewParent
 | SendToBack
 | SetTempCursor
 | UpdateRolesForForm
 | ActiveDefaultControlChanged
 | GetTextBuf
 | GetTextLen
 | SetTextBuf
 | Perform
 | ScreenToClient
 | ClientToScreen
 | ScreenToControl
 | ControlToScreen
 | ClientToParent
 | ParentToClient
 | GetChildrenRect
 | Show
 | Update
 | HandleObjectShouldBeVisible
 | ParentDestroyingHandle
 | ParentHandlesAllocated
 | InitiateAction
 | ShowHelp
 | HasHelp
 | RemoveAllHandlersOfObject
 | AddHandlerOnResize
 | RemoveHandlerOnResize
 | AddHandlerOnChangeBounds
 | RemoveHandlerOnChangeBounds
 | AddHandlerOnVisibleChanging
 | RemoveHandlerOnVisibleChanging
 | AddHandlerOnVisibleChanged
 | RemoveHandlerOnVisibleChanged
 | AddHandlerOnEnabledChanged
 | RemoveHandlerOnEnableChanging
 | AddHandlerOnKeyDown
 | RemoveHandlerOnKeyDown
 | AddHandlerOnBeforeDestruction
 | RemoveHandlerOnBeforeDestruction
 | AddHandlerOnMouseWheel
 | RemoveHandlerOnMouseWheel
 | UseRightToLeftAlignment
 | UseRightToLeftReading
 | UseRightToLeftScrollBar
 | IsRightToLeft
TLCLComponent
pt | WSRegisterClass
pt | GetWSComponentClass
 | Create
 | Destroy
 | NewInstance
 | RemoveAllHandlersOfObject
 | IncLCLRefCount
 | DecLCLRefCount
TComponent
 | GetComObject
 | GetComponent
 | GetComponentCount
 | GetComponentIndex
 | Insert
 | ReadLeft
 | ReadTop
 | Remove
 | RemoveNotification
 | SetComponentIndex
 | SetReference
 | WriteLeft
 | WriteTop
 | ChangeName
 | DefineProperties
 | GetChildren
 | GetChildOwner
 | GetChildParent
 | GetOwner
 | Loaded
 | Loading
 | Notification
 | PaletteCreated
 | ReadState
 | SetAncestor
 | SetDesigning
 | SetDesignInstance
 | SetInline
 | SetName
 | SetChildOrder
 | SetParentComponent
 | Updating
 | Updated
 | UpdateRegistry
 | ValidateRename
 | ValidateContainer
 | ValidateInsert
 | QueryInterface
 | _AddRef
 | _Release
 | iicrGetComponent
 | GetTypeInfoCount
 | GetTypeInfo
 | GetIDsOfNames
 | Invoke
 | WriteState
 | Create
 | Destroy
 | BeforeDestruction
 | DestroyComponents
 | Destroying
 | ExecuteAction
 | FindComponent
 | FreeNotification
 | RemoveFreeNotification
 | FreeOnRelease
 | GetEnumerator
 | GetNamePath
 | GetParentComponent
 | HasParent
 | InsertComponent
 | RemoveComponent
 | SafeCallException
 | SetSubComponent
 | UpdateAction
 | IsImplementorOf
 | ReferenceInterface
TPersistent
 | AssignError
 | AssignTo
 | DefineProperties
 | GetOwner
 | Destroy
 | Assign
 | FPOAttachObserver
 | FPODetachObserver
 | FPONotifyObservers
 | GetNamePath
TObject
 | Create
 | Destroy
 | newinstance
 | FreeInstance
 | SafeCallException
 | DefaultHandler
 | Free
 | InitInstance
 | CleanupInstance
 | ClassType
 | ClassInfo
 | ClassName
 | ClassNameIs
 | ClassParent
 | InstanceSize
 | InheritsFrom
 | StringMessageTable
 | MethodAddress
 | MethodName
 | FieldAddress
 | AfterConstruction
 | BeforeDestruction
 | DefaultHandlerStr
 | Dispatch
 | DispatchStr
 | GetInterface
 | GetInterfaceByStr
 | GetInterfaceWeak
 | GetInterfaceEntry
 | GetInterfaceEntryByStr
 | GetInterfaceTable
 | UnitName
 | Equals
 | GetHashCode
 | ToString


pt | ActionChange (TControl)
 | ActiveDefaultControlChanged (TControl)
 | AddControl (TWinControl)
pt | AddHandler (TControl)
 | AddHandlerOnBeforeDestruction (TControl)
 | AddHandlerOnChangeBounds (TControl)
 | AddHandlerOnEnabledChanged (TControl)
 | AddHandlerOnKeyDown (TControl)
 | AddHandlerOnMouseWheel (TControl)
 | AddHandlerOnResize (TControl)
 | AddHandlerOnVisibleChanged (TControl)
 | AddHandlerOnVisibleChanging (TControl)
pt | AdjustClientRect (TWinControl)
 | AdjustSize (TControl)
 | AfterConstruction (TObject)
pt | AlignControls (TWinControl)
pt | AllAutoSized (TWinControl)
 | AnchorAsAlign (TControl)
 | AnchorClient (TControl)
 | AnchoredControlCount (TControl)
 | AnchorHorizontalCenterTo (TControl)
 | AnchorParallel (TControl)
 | AnchorSame (TControl)
pt | AnchorSideChanged (TControl)
 | AnchorToCompanion (TControl)
 | AnchorToNeighbour (TControl)
 | AnchorVerticalCenterTo (TControl)
 | Assign (TPersistent)
 | AssignError (TPersistent)
 | AssignTo (TPersistent)
pt | AssignTo (TControl)
 | AutoAdjustLayout (TControl)
 | AutoAdjustLayout (TWinControl)
 | AutoSizeDelayed (TControl)
 | AutoSizeDelayed (TWinControl)
 | AutoSizeDelayedHandle (TControl)
 | AutoSizeDelayedHandle (TWinControl)
 | AutoSizeDelayedReport (TControl)
 | AutoSizeDelayedReport (TWinControl)
 | AutoSizePhases (TControl)
 | AutoSizePhases (TWinControl)
 | BeforeDestruction (TObject)
 | BeforeDestruction (TComponent)
 | BeforeDestruction (TControl)
pt | BeforeDragStart (TControl)
pt | BeginAutoDrag (TControl)
pt | BeginAutoSizing (TControl)
 | BeginDrag (TControl)
 | BeginUpdateBounds (TWinControl)
pt | BoundsChanged (TControl)
 | BringToFront (TControl)
 | BroadCast (TWinControl)
 | BrushCreated (TWinControl)
pt | CalculateDockSizes (TControl)
pt | CalculatePreferredSize (TControl)
pt | CalculatePreferredSize (TWinControl)
pt | CalculatePreferredSize (TCDControl)
pt | CanAutoSize (TControl)
 | CanFocus (TWinControl)
 | CanSetFocus (TWinControl)
pt | CanTab (TControl)
pt | CanTab (TWinControl)
pt | CaptureChanged (TControl)
pt | ChangeBounds (TControl)
pt | Changed (TControl)
 | ChangeName (TComponent)
pt | ChangeScale (TControl)
pt | ChangeScale (TWinControl)
 | CheckChildClassAllowed (TControl)
 | CheckNewParent (TControl)
pt | CheckOnChangeBounds (TControl)
pt | ChildClassAllowed (TControl)
pt | ChildClassAllowed (TWinControl)
pt | ChildHandlesCreated (TWinControl)
pt | ChildKey (TWinControl)
 | ClassInfo (TObject)
 | ClassName (TObject)
 | ClassNameIs (TObject)
 | ClassParent (TObject)
 | ClassType (TObject)
 | CleanupInstance (TObject)
pt | Click (TControl)
 | ClientRectNeedsInterfaceUpdate (TWinControl)
 | ClientToParent (TControl)
 | ClientToScreen (TControl)
pt | CMBiDiModeChanged (TControl)
pt | CMBiDiModeChanged (TWinControl)
pt | CMBorderChanged (TWinControl)
pt | CMChanged (TControl)
pt | CMCursorChanged (TControl)
pt | CMDoubleBufferedChanged (TWinControl)
pt | CMEnabledChanged (TControl)
pt | CMEnabledChanged (TWinControl)
pt | CMEnter (TWinControl)
pt | CMExit (TWinControl)
pt | CMHintShow (TControl)
pt | CMHitTest (TControl)
pt | CMMouseEnter (TControl)
pt | CMMouseLeave (TControl)
pt | CMParentBiDiModeChanged (TControl)
pt | CMParentColorChanged (TControl)
pt | CMParentDoubleBufferedChanged (TWinControl)
pt | CMParentFontChanged (TControl)
pt | CMParentShowHintChanged (TControl)
pt | CMShowHintChanged (TWinControl)
pt | CMShowingChanged (TWinControl)
pt | CMSysFontChanged (TControl)
pt | CMTextChanged (TControl)
pt | CMVisibleChanged (TControl)
pt | CMVisibleChanged (TWinControl)
pt | CNChar (TWinControl)
pt | CNKeyDown (TWinControl)
pt | CNKeyUp (TWinControl)
 | CNPreferredSizeChanged (TControl)
pt | CNSysKeyDown (TWinControl)
pt | CNSysKeyUp (TWinControl)
pt | ColorIsStored (TControl)
pt | ConstrainedResize (TControl)
 | ContainsControl (TWinControl)
 | ControlAtPos (TWinControl)
pt | ControlKeyDown (TWinControl)
pt | ControlKeyUp (TWinControl)
pt | ControlsAligned (TWinControl)
 | ControlToScreen (TControl)
 | Create (TObject)
 | Create (TComponent)
 | Create (TLCLComponent)
 | Create (TControl)
 | Create (TWinControl)
 | Create (TCustomControl)
 | Create (TCDControl)
 | CreateAccessibleObject (TControl)
pt | CreateBrush (TWinControl)
pt | CreateControlBorderSpacing (TControl)
pt | CreateControlStateEx (TCDControl)
pt | CreateDockManager (TWinControl)
pt | CreateFloatingDockSite (TControl)
pt | CreateHandle (TWinControl)
pt | CreateParams (TWinControl)
 | CreateParented (TWinControl)
 | CreateParentedControl (TWinControl)
pt | CreateSubClass (TWinControl)
pt | CreateWnd (TWinControl)
pt | CustomAlignInsertBefore (TWinControl)
pt | CustomAlignPosition (TWinControl)
pt | DblClick (TControl)
 | DecLCLRefCount (TLCLComponent)
 | DefaultHandler (TObject)
 | DefaultHandler (TWinControl)
 | DefaultHandlerStr (TObject)
 | DefineProperties (TPersistent)
 | DefineProperties (TComponent)
pt | DefineProperties (TControl)
 | Destroy (TObject)
 | Destroy (TPersistent)
 | Destroy (TComponent)
 | Destroy (TLCLComponent)
 | Destroy (TControl)
 | Destroy (TWinControl)
 | Destroy (TCustomControl)
 | Destroy (TCDControl)
 | DestroyComponents (TComponent)
pt | DestroyHandle (TWinControl)
 | Destroying (TComponent)
pt | DestroyWnd (TWinControl)
pt | DestroyWnd (TCustomControl)
pt | DialogChar (TControl)
pt | DialogChar (TWinControl)
 | DisableAlign (TWinControl)
 | DisableAutoSizing (TControl)
 | Dispatch (TObject)
 | DispatchStr (TObject)
pt | DoAddDockClient (TWinControl)
 | DoAdjustClientRectChange (TWinControl)
pt | DoAlignChildControls (TWinControl)
pt | DoAllAutoSize (TControl)
pt | DoAllAutoSize (TWinControl)
pt | DoAutoAdjustLayout (TControl)
pt | DoAutoSize (TControl)
pt | DoAutoSize (TWinControl)
pt | DoBorderSpacingChange (TControl)
pt | DoCallKeyEventHandler (TControl)
pt | DoCallMouseWheelEventHandler (TControl)
pt | DoCallNotifyHandler (TControl)
pt | DoChildSizingChange (TWinControl)
 | Dock (TControl)
 | DockDrop (TWinControl)
 | Docked (TControl)
pt | DockOver (TWinControl)
pt | DockTrackNoTarget (TControl)
pt | DoConstraintsChange (TControl)
pt | DoConstraintsChange (TWinControl)
pt | DoContextPopup (TControl)
pt | DoDock (TControl)
pt | DoDockClientMsg (TWinControl)
pt | DoDockOver (TWinControl)
pt | DoDragMsg (TControl)
pt | DoDragMsg (TWinControl)
pt | DoEndDock (TControl)
pt | DoEndDrag (TControl)
pt | DoEnter (TWinControl)
pt | DoEnter (TCDControl)
pt | DoExit (TWinControl)
pt | DoExit (TCDControl)
pt | DoFixDesignFontPPI (TControl)
pt | DoFlipChildren (TWinControl)
pt | DoFloatMsg (TControl)
pt | DoFloatMsg (TWinControl)
pt | DoGetDockCaption (TWinControl)
pt | DoKeyDownBeforeInterface (TWinControl)
pt | DoKeyPress (TWinControl)
pt | DoKeyUpBeforeInterface (TWinControl)
pt | DoMouseWheel (TControl)
pt | DoMouseWheelDown (TControl)
pt | DoMouseWheelHorz (TControl)
pt | DoMouseWheelLeft (TControl)
pt | DoMouseWheelRight (TControl)
pt | DoMouseWheelUp (TControl)
pt | DoOnChangeBounds (TControl)
pt | DoOnParentHandleDestruction (TControl)
pt | DoOnResize (TControl)
pt | DoOnShowHint (TControl)
pt | DoRemainingKeyDown (TWinControl)
pt | DoRemainingKeyUp (TWinControl)
pt | DoRemoveDockClient (TWinControl)
pt | DoScaleFontPPI (TControl)
pt | DoSendBoundsToInterface (TWinControl)
pt | DoSendShowHideToInterface (TWinControl)
pt | DoSetBounds (TControl)
pt | DoSetBounds (TWinControl)
pt | DoStartDock (TControl)
pt | DoStartDrag (TControl)
pt | DoUnDock (TWinControl)
pt | DoUndockClientMsg (TWinControl)
pt | DoUTF8KeyPress (TWinControl)
pt | DragCanceled (TControl)
 | DragDrop (TControl)
 | Dragging (TControl)
pt | DragOver (TControl)
 | DrawToCanvas (TCDControl)
 | EditingDone (TControl)
 | EnableAlign (TWinControl)
 | EnableAutoSizing (TControl)
pt | EnabledChanged (TControl)
pt | EnabledChanging (TControl)
pt | EndAutoSizing (TControl)
 | EndDrag (TControl)
 | EndUpdateBounds (TWinControl)
 | Equals (TObject)
 | EraseBackground (TWinControl)
 | EraseBackground (TCDControl)
 | ExecuteAction (TComponent)
 | ExecuteCancelAction (TControl)
 | ExecuteDefaultAction (TControl)
 | FieldAddress (TObject)
pt | FinalizeWnd (TWinControl)
 | FindChildControl (TWinControl)
 | FindComponent (TComponent)
pt | FindNextControl (TWinControl)
 | FixDesignFontsPPI (TControl)
pt | FixupTabList (TWinControl)
 | FlipChildren (TWinControl)
 | Focused (TWinControl)
pt | FontChanged (TControl)
pt | FontChanged (TWinControl)
pt | FontChanged (TCustomControl)
pt | ForeignAnchorSideChanged (TControl)
pt | FormEndUpdated (TControl)
pt | FormEndUpdated (TWinControl)
 | FormIsUpdating (TControl)
 | FPOAttachObserver (TPersistent)
 | FPODetachObserver (TPersistent)
 | FPONotifyObservers (TPersistent)
 | Free (TObject)
 | FreeInstance (TObject)
 | FreeNotification (TComponent)
 | FreeOnRelease (TComponent)
 | GetAccessibleObject (TControl)
pt | GetAction (TControl)
pt | GetActionLinkClass (TControl)
pt | GetAdjustedLogicalClientRect (TWinControl)
 | GetAnchorsDependingOnParent (TControl)
pt | GetBorderStyle (TWinControl)
pt | GetCachedText (TControl)
 | GetCanvasScaleFactor (TControl)
 | GetChildAccessibleObjectAtPos (TControl)
 | GetChildOwner (TComponent)
 | GetChildParent (TComponent)
 | GetChildren (TComponent)
pt | GetChildren (TWinControl)
 | GetChildrenRect (TControl)
 | GetChildrenRect (TWinControl)
pt | GetClientOrigin (TControl)
pt | GetClientOrigin (TWinControl)
pt | GetClientRect (TControl)
pt | GetClientRect (TWinControl)
pt | GetClientRect (TCDControl)
pt | GetClientScrollOffset (TControl)
 | GetColorResolvingParent (TControl)
 | GetComObject (TComponent)
 | GetComponent (TComponent)
 | GetComponentCount (TComponent)
 | GetComponentIndex (TComponent)
pt | GetControlClassDefaultSize (TControl)
pt | GetControlId (TCDControl)
 | GetControlIndex (TWinControl)
pt | GetControlOrigin (TControl)
pt | GetControlOrigin (TWinControl)
pt | GetCursor (TControl)
 | GetDefaultColor (TControl)
pt | GetDefaultDockCaption (TControl)
 | GetDefaultHeight (TControl)
 | GetDefaultWidth (TControl)
pt | GetDeviceContext (TControl)
pt | GetDeviceContext (TWinControl)
 | GetDockCaption (TWinControl)
pt | GetDockEdge (TControl)
pt | GetDragImages (TControl)
pt | GetEnabled (TControl)
 | GetEnumerator (TComponent)
 | GetEnumeratorControls (TWinControl)
 | GetEnumeratorControlsReverse (TWinControl)
pt | GetFloating (TControl)
pt | GetFloatingDockSiteClass (TControl)
 | GetHashCode (TObject)
 | GetIDsOfNames (TComponent)
 | GetInterface (TObject)
 | GetInterfaceByStr (TObject)
 | GetInterfaceEntry (TObject)
 | GetInterfaceEntryByStr (TObject)
 | GetInterfaceTable (TObject)
 | GetInterfaceWeak (TObject)
pt | GetLogicalClientRect (TControl)
pt | GetMouseCapture (TControl)
pt | GetMouseCapture (TWinControl)
pt | GetMousePosFromMessage (TControl)
 | GetNamePath (TPersistent)
 | GetNamePath (TComponent)
 | GetOwner (TPersistent)
 | GetOwner (TComponent)
pt | GetPalette (TControl)
pt | GetParentBackground (TWinControl)
 | GetParentComponent (TComponent)
 | GetParentComponent (TControl)
pt | GetParentHandle (TWinControl)
pt | GetPopupMenu (TControl)
 | GetPreferredSize (TControl)
pt | GetPreferredSizeClientFrame (TWinControl)
 | GetRGBColorResolvingParent (TControl)
pt | GetScrolledClientRect (TControl)
 | GetSelectedChildAccessibleObject (TControl)
 | GetSidePosition (TControl)
pt | GetSiteInfo (TWinControl)
 | GetTabOrderList (TWinControl)
 | GetTextBuf (TControl)
 | GetTextLen (TControl)
 | GetTextLen (TWinControl)
 | GetTopParent (TControl)
pt | GetTopParentHandle (TWinControl)
 | GetTypeInfo (TComponent)
 | GetTypeInfoCount (TComponent)
pt | GetWSComponentClass (TLCLComponent)
 | HandleAllocated (TWinControl)
 | HandleNeeded (TWinControl)
 | HandleObjectShouldBeVisible (TControl)
 | HasHelp (TControl)
 | HasParent (TComponent)
 | HasParent (TControl)
pt | HeightIsAnchored (TControl)
 | Hide (TControl)
 | iicrGetComponent (TComponent)
 | IncLCLRefCount (TLCLComponent)
 | InheritsFrom (TObject)
pt | InitializeWnd (TWinControl)
 | InitiateAction (TControl)
 | InitInstance (TObject)
 | Insert (TComponent)
 | InsertComponent (TComponent)
 | InsertControl (TWinControl)
 | InstanceSize (TObject)
 | IntfGetDropFilesTarget (TWinControl)
 | IntfUTF8KeyPress (TWinControl)
 | Invalidate (TControl)
 | Invalidate (TWinControl)
pt | InvalidateBoundsRealized (TWinControl)
 | InvalidateClientRectCache (TWinControl)
pt | InvalidateControl (TControl)
pt | InvalidatePreferredChildSizes (TWinControl)
 | InvalidatePreferredSize (TControl)
 | Invoke (TComponent)
pt | IsAParentAligning (TControl)
pt | IsBorderSpacingInnerBorderStored (TControl)
pt | IsCaptionStored (TControl)
pt | IsClientHeightStored (TControl)
pt | IsClientHeightStored (TWinControl)
pt | IsClientWidthStored (TControl)
pt | IsClientWidthStored (TWinControl)
pt | IsControlMouseMsg (TWinControl)
 | IsControlVisible (TControl)
 | IsEnabled (TControl)
 | IsImplementorOf (TComponent)
 | IsParentColor (TControl)
 | IsParentFont (TControl)
 | IsParentOf (TControl)
 | IsProcessingPaintMsg (TControl)
 | IsRightToLeft (TControl)
 | IsVisible (TControl)
pt | KeyDown (TWinControl)
pt | KeyDownAfterInterface (TWinControl)
pt | KeyDownBeforeInterface (TWinControl)
pt | KeyPress (TWinControl)
pt | KeyUp (TWinControl)
pt | KeyUpAfterInterface (TWinControl)
pt | KeyUpBeforeInterface (TWinControl)
 | LCLWSCalculatePreferredSize (TCDControl)
pt | LMCaptureChanged (TControl)
 | Loaded (TComponent)
pt | Loaded (TControl)
pt | Loaded (TWinControl)
pt | LoadedAll (TControl)
 | Loading (TComponent)
 | LockRealizeBounds (TWinControl)
pt | MainWndProc (TWinControl)
 | ManualDock (TControl)
 | ManualFloat (TControl)
 | MethodAddress (TObject)
 | MethodName (TObject)
pt | MouseDown (TControl)
pt | MouseDown (TCDControl)
pt | MouseEnter (TControl)
pt | MouseEnter (TCDControl)
pt | MouseLeave (TControl)
pt | MouseLeave (TCDControl)
pt | MouseMove (TControl)
pt | MouseUp (TControl)
 | newinstance (TObject)
 | NewInstance (TLCLComponent)
 | Notification (TComponent)
pt | Notification (TControl)
 | NotifyControls (TWinControl)
pt | Paint (TCustomControl)
 | Paint (TCDControl)
pt | PaintControls (TWinControl)
pt | PaintHandler (TWinControl)
 | PaintTo (TWinControl)
pt | PaintWindow (TWinControl)
pt | PaintWindow (TCustomControl)
 | PaletteCreated (TComponent)
 | ParentDestroyingHandle (TControl)
pt | ParentFontChanged (TControl)
pt | ParentFormHandleInitialized (TControl)
pt | ParentFormHandleInitialized (TWinControl)
 | ParentHandlesAllocated (TControl)
 | ParentHandlesAllocated (TWinControl)
 | ParentToClient (TControl)
 | Perform (TControl)
 | PerformTab (TWinControl)
pt | PositionDockRect (TControl)
pt | PrepareControlState (TCDControl)
pt | PrepareControlStateEx (TCDControl)
pt | PrepareCurrentDrawer (TCDControl)
pt | QuadClick (TControl)
 | QueryInterface (TComponent)
 | ReadLeft (TComponent)
 | ReadState (TComponent)
pt | ReadState (TControl)
 | ReadTop (TComponent)
pt | RealGetText (TControl)
pt | RealGetText (TWinControl)
 | ReAlign (TWinControl)
pt | RealizeBounds (TWinControl)
pt | RealizeBoundsRecursive (TWinControl)
pt | RealSetText (TControl)
pt | RealSetText (TWinControl)
 | ReferenceInterface (TComponent)
 | Refresh (TControl)
pt | ReloadDockedControl (TWinControl)
 | Remove (TComponent)
 | RemoveAllHandlersOfObject (TLCLComponent)
 | RemoveAllHandlersOfObject (TControl)
 | RemoveComponent (TComponent)
 | RemoveControl (TWinControl)
pt | RemoveFocus (TWinControl)
 | RemoveFreeNotification (TComponent)
pt | RemoveHandler (TControl)
 | RemoveHandlerOnBeforeDestruction (TControl)
 | RemoveHandlerOnChangeBounds (TControl)
 | RemoveHandlerOnEnableChanging (TControl)
 | RemoveHandlerOnKeyDown (TControl)
 | RemoveHandlerOnMouseWheel (TControl)
 | RemoveHandlerOnResize (TControl)
 | RemoveHandlerOnVisibleChanged (TControl)
 | RemoveHandlerOnVisibleChanging (TControl)
 | RemoveNotification (TComponent)
 | Repaint (TControl)
 | Repaint (TWinControl)
 | ReplaceDockedControl (TControl)
pt | RequestAlign (TControl)
pt | Resize (TControl)
 | SafeCallException (TObject)
 | SafeCallException (TComponent)
 | Scale96ToFont (TControl)
 | Scale96ToForm (TControl)
 | Scale96ToScreen (TControl)
 | ScaleBy (TWinControl)
pt | ScaleConstraints (TControl)
pt | ScaleControls (TWinControl)
 | ScaleDesignToForm (TControl)
 | ScaleFontsPPI (TControl)
 | ScaleFontTo96 (TControl)
 | ScaleFontToScreen (TControl)
 | ScaleFormTo96 (TControl)
 | ScaleFormToDesign (TControl)
 | ScaleScreenTo96 (TControl)
 | ScaleScreenToFont (TControl)
 | ScreenToClient (TControl)
 | ScreenToControl (TControl)
 | ScrollBy (TWinControl)
 | ScrollBy_WS (TWinControl)
pt | SelectFirst (TWinControl)
 | SelectNext (TWinControl)
pt | SendDialogChar (TWinControl)
pt | SendMoveSizeMessages (TControl)
pt | SendMoveSizeMessages (TWinControl)
 | SendToBack (TControl)
pt | SetAction (TControl)
pt | SetAlign (TControl)
 | SetAncestor (TComponent)
pt | SetAnchors (TControl)
pt | SetAutoSize (TControl)
pt | SetBiDiMode (TControl)
pt | SetBorderStyle (TWinControl)
 | SetBounds (TControl)
 | SetBounds (TWinControl)
 | SetBoundsKeepBase (TControl)
 | SetChildOrder (TComponent)
pt | SetChildZPosition (TWinControl)
pt | SetColor (TControl)
pt | SetColor (TWinControl)
pt | SetColor (TCustomControl)
 | SetComponentIndex (TComponent)
 | SetControlIndex (TWinControl)
pt | SetCursor (TControl)
 | SetDesigning (TComponent)
 | SetDesignInstance (TComponent)
pt | SetDockManager (TWinControl)
pt | SetDragMode (TControl)
pt | SetDrawStyle (TCDControl)
pt | SetEnabled (TControl)
 | SetFocus (TWinControl)
pt | SetHint (TControl)
 | SetInitialBounds (TControl)
 | SetInline (TComponent)
 | SetName (TComponent)
pt | SetName (TControl)
pt | SetParent (TControl)
pt | SetParentBackground (TWinControl)
pt | SetParentBiDiMode (TControl)
 | SetParentComponent (TComponent)
pt | SetParentComponent (TControl)
 | SetReference (TComponent)
 | SetShape (TWinControl)
pt | SetState (TCDControl)
 | SetSubComponent (TComponent)
 | SetTempCursor (TControl)
 | SetTempCursor (TWinControl)
 | SetTextBuf (TControl)
pt | SetVisible (TControl)
pt | SetZOrder (TControl)
 | ShouldAutoAdjust (TControl)
 | Show (TControl)
pt | ShowControl (TWinControl)
 | ShowHelp (TControl)
 | StringMessageTable (TObject)
pt | TextChanged (TControl)
 | ToString (TObject)
pt | TripleClick (TControl)
 | UnitName (TObject)
 | UnlockRealizeBounds (TWinControl)
 | Update (TControl)
 | Update (TWinControl)
 | UpdateAction (TComponent)
pt | UpdateAnchorRules (TControl)
 | UpdateBaseBounds (TControl)
pt | UpdateControlState (TWinControl)
 | Updated (TComponent)
 | UpdateDockCaption (TWinControl)
pt | UpdateMouseCursor (TControl)
 | UpdateRegistry (TComponent)
 | UpdateRolesForForm (TControl)
pt | UpdateShowing (TWinControl)
 | Updating (TComponent)
 | UseRightToLeftAlignment (TControl)
 | UseRightToLeftReading (TControl)
 | UseRightToLeftScrollBar (TControl)
pt | UTF8KeyPress (TWinControl)
 | ValidateContainer (TComponent)
 | ValidateInsert (TComponent)
 | ValidateRename (TComponent)
pt | VisibleChanged (TControl)
pt | VisibleChanging (TControl)
pt | WidthIsAnchored (TControl)
pt | WMCancelMode (TControl)
pt | WMChar (TWinControl)
pt | WMContextMenu (TControl)
pt | WMContextMenu (TWinControl)
pt | WMDestroy (TWinControl)
pt | WMEnter (TWinControl)
pt | WMEraseBkgnd (TWinControl)
pt | WMExit (TWinControl)
pt | WMKeyDown (TWinControl)
pt | WMKeyUp (TWinControl)
pt | WMKillFocus (TWinControl)
pt | WMLButtonDBLCLK (TControl)
pt | WMLButtonDown (TControl)
pt | WMLButtonQuadCLK (TControl)
pt | WMLButtonTripleCLK (TControl)
pt | WMLButtonUp (TControl)
pt | WMMButtonDBLCLK (TControl)
pt | WMMButtonDown (TControl)
pt | WMMButtonQuadCLK (TControl)
pt | WMMButtonTripleCLK (TControl)
pt | WMMButtonUp (TControl)
pt | WMMouseHWheel (TControl)
pt | WMMouseMove (TControl)
pt | WMMouseWheel (TControl)
pt | WMMove (TControl)
pt | WMMove (TWinControl)
pt | WMNotify (TWinControl)
pt | WMPaint (TWinControl)
pt | WMPaint (TCustomControl)
pt | WMRButtonDBLCLK (TControl)
pt | WMRButtonDown (TControl)
pt | WMRButtonQuadCLK (TControl)
pt | WMRButtonTripleCLK (TControl)
pt | WMRButtonUp (TControl)
pt | WMSetFocus (TWinControl)
pt | WMShowWindow (TWinControl)
pt | WMSize (TControl)
pt | WMSize (TWinControl)
pt | WMSysChar (TWinControl)
pt | WMSysKeyDown (TWinControl)
pt | WMSysKeyUp (TWinControl)
pt | WMWindowPosChanged (TControl)
pt | WMWindowPosChanged (TWinControl)
pt | WMXButtonDBLCLK (TControl)
pt | WMXButtonDown (TControl)
pt | WMXButtonQuadCLK (TControl)
pt | WMXButtonTripleCLK (TControl)
pt | WMXButtonUp (TControl)
pt | WndProc (TControl)
pt | WndProc (TWinControl)
 | WriteLayoutDebugReport (TControl)
 | WriteLayoutDebugReport (TWinControl)
 | WriteLeft (TComponent)
 | WriteState (TComponent)
 | WriteTop (TComponent)
pt | WSRegisterClass (TLCLComponent)
pt | WSRegisterClass (TControl)
pt | WSRegisterClass (TWinControl)
pt | WSRegisterClass (TCustomControl)
pt | WSSetText (TWinControl)
 | _AddRef (TComponent)
 | _Release (TComponent)


TCDControl
TCustomControl
 | OnPaint
TWinControl
pt | OnGetSiteInfo
pt | OnGetDockCaption
 | OnAlignInsertBefore
 | OnAlignPosition
 | OnDockDrop
 | OnDockOver
 | OnEnter
 | OnExit
 | OnKeyDown
 | OnKeyPress
 | OnKeyUp
 | OnUnDock
 | OnUTF8KeyPress
TControl
pt | OnConstrainedResize
pt | OnContextPopup
pt | OnDblClick
pt | OnTripleClick
pt | OnQuadClick
pt | OnDragDrop
pt | OnDragOver
pt | OnEndDock
pt | OnEndDrag
pt | OnMouseDown
pt | OnMouseMove
pt | OnMouseUp
pt | OnMouseEnter
pt | OnMouseLeave
pt | OnMouseWheel
pt | OnMouseWheelDown
pt | OnMouseWheelUp
pt | OnMouseWheelHorz
pt | OnMouseWheelLeft
pt | OnMouseWheelRight
pt | OnStartDock
pt | OnStartDrag
pt | OnEditingDone
 | OnChangeBounds
 | OnClick
 | OnResize
 | OnShowHint
TLCLComponent
TComponent
TPersistent
TObject


TCDControl.CalculatePreferredSize

Declaration

Source position: customdrawncontrols.pas line 38

protected procedure TCDControl.CalculatePreferredSize(

  var PreferredWidth: Integer;

  var PreferredHeight: Integer;

  WithThemeSpace: Boolean

); override;


TCDControl.Create

Declaration

Source position: customdrawncontrols.pas line 59

public constructor TCDControl.Create(

  AOwner: TComponent

); override;


TCDControl.CreateControlStateEx

Declaration

Source position: customdrawncontrols.pas line 45

protected procedure TCDControl.CreateControlStateEx; virtual;


TCDControl.Destroy

Declaration

Source position: customdrawncontrols.pas line 60

public destructor TCDControl.Destroy; override;


TCDControl.DoEnter

Declaration

Source position: customdrawncontrols.pas line 49

protected procedure TCDControl.DoEnter; override;


TCDControl.DoExit

Declaration

Source position: customdrawncontrols.pas line 50

protected procedure TCDControl.DoExit; override;


TCDControl.DrawStyle

Declaration

Source position: customdrawncontrols.pas line 57

protected property TCDControl.DrawStyle : TCDDrawStyle
  read FDrawStyle
  write SetDrawStyle;


TCDControl.DrawToCanvas

Declaration

Source position: customdrawncontrols.pas line 66

public procedure TCDControl.DrawToCanvas(

  ACanvas: TCanvas

);


TCDControl.EraseBackground

Declaration

Source position: customdrawncontrols.pas line 63

public procedure TCDControl.EraseBackground(

  DC: HDC

); override;


TCDControl.FDrawer

Declaration

Source position: customdrawncontrols.pas line 35

protected TCDControl.FDrawer : TCDDrawer;


TCDControl.FDrawStyle

Declaration

Source position: customdrawncontrols.pas line 34

protected TCDControl.FDrawStyle : TCDDrawStyle;


TCDControl.FState

Declaration

Source position: customdrawncontrols.pas line 36

protected TCDControl.FState : TCDControlState;


TCDControl.FStateEx

Declaration

Source position: customdrawncontrols.pas line 37

protected TCDControl.FStateEx : TCDControlStateEx;


TCDControl.GetClientRect

Declaration

Source position: customdrawncontrols.pas line 43

protected function TCDControl.GetClientRect: TRect; override;


TCDControl.GetControlId

Declaration

Source position: customdrawncontrols.pas line 44

protected function TCDControl.GetControlId: TCDControlID; virtual;


TCDControl.LCLWSCalculatePreferredSize

Declaration

Source position: customdrawncontrols.pas line 61

public procedure TCDControl.LCLWSCalculatePreferredSize(

  var PreferredWidth: Integer;

  var PreferredHeight: Integer;

  WithThemeSpace: Boolean;

  AAutoSize: Boolean;

  AAllowUseOfMeasuresEx: Boolean

);


TCDControl.MouseDown

Declaration

Source position: customdrawncontrols.pas line 54

protected procedure TCDControl.MouseDown(

  Button: TMouseButton;

  Shift: TShiftState;

  X: Integer;

  Y: Integer

); override;


TCDControl.MouseEnter

Declaration

Source position: customdrawncontrols.pas line 52

protected procedure TCDControl.MouseEnter; override;


TCDControl.MouseLeave

Declaration

Source position: customdrawncontrols.pas line 53

protected procedure TCDControl.MouseLeave; override;


TCDControl.Paint

Declaration

Source position: customdrawncontrols.pas line 64

public procedure TCDControl.Paint; override;


TCDControl.PrepareControlState

Declaration

Source position: customdrawncontrols.pas line 46

protected procedure TCDControl.PrepareControlState; virtual;


TCDControl.PrepareControlStateEx

Declaration

Source position: customdrawncontrols.pas line 47

protected procedure TCDControl.PrepareControlStateEx; virtual;


TCDControl.PrepareCurrentDrawer

Declaration

Source position: customdrawncontrols.pas line 41

protected procedure TCDControl.PrepareCurrentDrawer; virtual;


TCDControl.SetDrawStyle

Declaration

Source position: customdrawncontrols.pas line 42

protected procedure TCDControl.SetDrawStyle(

  const AValue: TCDDrawStyle

); virtual;


TCDControl.SetState

Declaration

Source position: customdrawncontrols.pas line 40

protected procedure TCDControl.SetState(

  const AValue: TCDControlState

); virtual;


TCDControlClass

Declaration

Source position: customdrawncontrols.pas line 68

type TCDControlClass = class of TCDControl;


TCDCustomTabControl

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Declaration

Source position: customdrawncontrols.pas line 674

type TCDCustomTabControl = class(TCDControl)

protected

  FTabCState: TCDCTabControlStateEx;

  function GetControlId; override;

  procedure CreateControlStateEx; override;

  procedure PrepareControlStateEx; override;

  procedure CorrectTabIndex;

  procedure MouseDown(); override;

  procedure MouseUp(); override;

  property Options: TCTabControlOptions; [rw]

public

  constructor Create(); override;

  destructor Destroy; override;

  function GetTabCount;

  property Tabs: TStringList; [rw]

  property OnChanging: TNotifyEvent; [rw]

  property OnChange: TNotifyEvent; [rw]

  property OnUserAddedPage: TOnUserAddedPage; [rw]

  property TabIndex: Integer; [rw]

end;

Inheritance

TCDCustomTabControl |
|
TCDControl |
|
TCustomControl | The base class for windowed controls which paint themselves.
|
TWinControl | The base class for controls which can contain other (child) controls.
|
TControl | The base class for visible controls.
|
TLCLComponent | The base class for LCL components associated with widgets.
|
TComponent,IUnknown,IInterfaceComponentReference
|
TPersistent,IFPObserved
|
TObject


TCDCustomTabControl
pt |  | Options
 |  | Tabs
 |  | TabIndex
TCDControl
pt |  | DrawStyle
TCustomControl
 |  | Canvas
 | ro | BorderStyle
TWinControl
pt |  | WindowHandle
pt |  | BorderStyle
pt |  | ParentBackground
 |  | BorderWidth
 | ro | BoundsLockCount
 | ro | Brush
 | ro | CachedClientHeight
 | ro | CachedClientWidth
 |  | ChildSizing
 | ro | ControlCount
 | ro | Controls
 |  | DefWndProc
 | ro | DockClientCount
 | ro | DockClients
 |  | DockManager
 |  | DockSite
 |  | DoubleBuffered
 |  | Handle
 | ro | IsFlipped
 | ro | IsResizing
 |  | TabOrder
 |  | TabStop
 |  | ParentDoubleBuffered
 |  | ParentWindow
 | ro | Showing
 |  | UseDockManager
 |  | DesignerDeleting
 | ro | VisibleDockClientCount
TControl
pt | ro | AutoSizing
pt | ro | AutoSizingAll
pt | ro | AutoSizingLockCount
pt |  | ActionLink
pt |  | DesktopFont
pt |  | DragCursor
pt |  | DragKind
pt |  | DragMode
pt |  | MouseCapture
pt |  | ParentColor
pt |  | ParentFont
pt |  | ParentShowHint
pt |  | SessionProperties
pt |  | Text
 | ro | AnchoredControls
 | ro | BaseBounds
 | ro | ReadBounds
 | ro | BaseParentClientSize
 |  | AccessibleDescription
 |  | AccessibleValue
 |  | AccessibleRole
 |  | Action
 |  | Align
 |  | Anchors
 | ro | AnchorSide
 |  | AutoSize
 |  | BorderSpacing
 |  | BoundsRect
 |  | BoundsRectForNewParent
 |  | Caption
 |  | CaptureMouseButtons
 |  | ClientHeight
 | ro | ClientOrigin
 | ro | ClientRect
 |  | ClientWidth
 |  | Color
 |  | Constraints
 | ro | ControlOrigin
 |  | ControlState
 |  | ControlStyle
 |  | Enabled
 |  | Font
 |  | IsControl
 | ro | MouseEntered
 | ro | MouseInClient
 |  | Parent
 |  | PopupMenu
 |  | ShowHint
 |  | Visible
 |  | WindowProc
 |  | DockOrientation
 | ro | Floating
 |  | FloatingDockSiteClass
 |  | HostDockSite
 |  | LRDockWidth
 |  | TBDockHeight
 |  | UndockHeight
 |  | UndockWidth
 |  | BiDiMode
 |  | ParentBiDiMode
pl |  | AnchorSideLeft
pl |  | AnchorSideTop
pl |  | AnchorSideRight
pl |  | AnchorSideBottom
pl |  | Cursor
pl |  | Left
pl |  | Height
pl |  | Hint
pl |  | Top
pl |  | Width
pl |  | HelpType
pl |  | HelpKeyword
pl |  | HelpContext
TLCLComponent
 | ro | LCLRefCount
 | ro | WidgetSetClass
TComponent
 | ro | ComObject
 | ro | Components
 | ro | ComponentCount
 |  | ComponentIndex
 | ro | ComponentState
 | ro | ComponentStyle
 |  | DesignInfo
 | ro | Owner
 |  | VCLComObject
 |  | Name
 |  | Tag
TPersistent
TObject


 |  | AccessibleDescription (TControl)
 |  | AccessibleRole (TControl)
 |  | AccessibleValue (TControl)
 |  | Action (TControl)
pt |  | ActionLink (TControl)
 |  | Align (TControl)
 | ro | AnchoredControls (TControl)
 |  | Anchors (TControl)
 | ro | AnchorSide (TControl)
pl |  | AnchorSideBottom (TControl)
pl |  | AnchorSideLeft (TControl)
pl |  | AnchorSideRight (TControl)
pl |  | AnchorSideTop (TControl)
 |  | AutoSize (TControl)
pt | ro | AutoSizing (TControl)
pt | ro | AutoSizingAll (TControl)
pt | ro | AutoSizingLockCount (TControl)
 | ro | BaseBounds (TControl)
 | ro | BaseParentClientSize (TControl)
 |  | BiDiMode (TControl)
 |  | BorderSpacing (TControl)
pt |  | BorderStyle (TWinControl)
 | ro | BorderStyle (TCustomControl)
 |  | BorderWidth (TWinControl)
 | ro | BoundsLockCount (TWinControl)
 |  | BoundsRect (TControl)
 |  | BoundsRectForNewParent (TControl)
 | ro | Brush (TWinControl)
 | ro | CachedClientHeight (TWinControl)
 | ro | CachedClientWidth (TWinControl)
 |  | Canvas (TCustomControl)
 |  | Caption (TControl)
 |  | CaptureMouseButtons (TControl)
 |  | ChildSizing (TWinControl)
 |  | ClientHeight (TControl)
 | ro | ClientOrigin (TControl)
 | ro | ClientRect (TControl)
 |  | ClientWidth (TControl)
 |  | Color (TControl)
 | ro | ComObject (TComponent)
 | ro | ComponentCount (TComponent)
 |  | ComponentIndex (TComponent)
 | ro | Components (TComponent)
 | ro | ComponentState (TComponent)
 | ro | ComponentStyle (TComponent)
 |  | Constraints (TControl)
 | ro | ControlCount (TWinControl)
 | ro | ControlOrigin (TControl)
 | ro | Controls (TWinControl)
 |  | ControlState (TControl)
 |  | ControlStyle (TControl)
pl |  | Cursor (TControl)
 |  | DefWndProc (TWinControl)
 |  | DesignerDeleting (TWinControl)
 |  | DesignInfo (TComponent)
pt |  | DesktopFont (TControl)
 | ro | DockClientCount (TWinControl)
 | ro | DockClients (TWinControl)
 |  | DockManager (TWinControl)
 |  | DockOrientation (TControl)
 |  | DockSite (TWinControl)
 |  | DoubleBuffered (TWinControl)
pt |  | DragCursor (TControl)
pt |  | DragKind (TControl)
pt |  | DragMode (TControl)
pt |  | DrawStyle (TCDControl)
 |  | Enabled (TControl)
 | ro | Floating (TControl)
 |  | FloatingDockSiteClass (TControl)
 |  | Font (TControl)
 |  | Handle (TWinControl)
pl |  | Height (TControl)
pl |  | HelpContext (TControl)
pl |  | HelpKeyword (TControl)
pl |  | HelpType (TControl)
pl |  | Hint (TControl)
 |  | HostDockSite (TControl)
 |  | IsControl (TControl)
 | ro | IsFlipped (TWinControl)
 | ro | IsResizing (TWinControl)
 | ro | LCLRefCount (TLCLComponent)
pl |  | Left (TControl)
 |  | LRDockWidth (TControl)
pt |  | MouseCapture (TControl)
 | ro | MouseEntered (TControl)
 | ro | MouseInClient (TControl)
 |  | Name (TComponent)
pt |  | Options (TCDCustomTabControl)
 | ro | Owner (TComponent)
 |  | Parent (TControl)
pt |  | ParentBackground (TWinControl)
 |  | ParentBiDiMode (TControl)
pt |  | ParentColor (TControl)
 |  | ParentDoubleBuffered (TWinControl)
pt |  | ParentFont (TControl)
pt |  | ParentShowHint (TControl)
 |  | ParentWindow (TWinControl)
 |  | PopupMenu (TControl)
 | ro | ReadBounds (TControl)
pt |  | SessionProperties (TControl)
 |  | ShowHint (TControl)
 | ro | Showing (TWinControl)
 |  | TabIndex (TCDCustomTabControl)
 |  | TabOrder (TWinControl)
 |  | Tabs (TCDCustomTabControl)
 |  | TabStop (TWinControl)
 |  | Tag (TComponent)
 |  | TBDockHeight (TControl)
pt |  | Text (TControl)
pl |  | Top (TControl)
 |  | UndockHeight (TControl)
 |  | UndockWidth (TControl)
 |  | UseDockManager (TWinControl)
 |  | VCLComObject (TComponent)
 |  | Visible (TControl)
 | ro | VisibleDockClientCount (TWinControl)
 | ro | WidgetSetClass (TLCLComponent)
pl |  | Width (TControl)
pt |  | WindowHandle (TWinControl)
 |  | WindowProc (TControl)


TCDCustomTabControl
pt | GetControlId
pt | CreateControlStateEx
pt | PrepareControlStateEx
pt | CorrectTabIndex
pt | MouseDown
pt | MouseUp
 | Create
 | Destroy
 | GetTabCount
TCDControl
pt | CalculatePreferredSize
pt | SetState
pt | PrepareCurrentDrawer
pt | SetDrawStyle
pt | GetClientRect
pt | GetControlId
pt | CreateControlStateEx
pt | PrepareControlState
pt | PrepareControlStateEx
pt | DoEnter
pt | DoExit
pt | MouseEnter
pt | MouseLeave
pt | MouseDown
 | Create
 | Destroy
 | LCLWSCalculatePreferredSize
 | EraseBackground
 | Paint
 | DrawToCanvas
TCustomControl
pt | WSRegisterClass
pt | WMPaint
pt | DestroyWnd
pt | PaintWindow
pt | FontChanged
pt | SetColor
pt | Paint
 | Create
 | Destroy
TWinControl
pt | WSRegisterClass
pt | AdjustClientRect
pt | GetAdjustedLogicalClientRect
pt | AlignControls
pt | CustomAlignInsertBefore
pt | CustomAlignPosition
pt | DoAlignChildControls
pt | DoChildSizingChange
pt | InvalidatePreferredChildSizes
pt | CanTab
pt | IsClientHeightStored
pt | IsClientWidthStored
pt | DoSendShowHideToInterface
pt | ControlsAligned
pt | DoSendBoundsToInterface
pt | RealizeBounds
pt | RealizeBoundsRecursive
pt | InvalidateBoundsRealized
pt | CreateSubClass
pt | DoConstraintsChange
pt | DoSetBounds
pt | DoAutoSize
pt | DoAllAutoSize
pt | AllAutoSized
pt | CalculatePreferredSize
pt | GetPreferredSizeClientFrame
pt | GetChildren
pt | ChildClassAllowed
pt | PaintControls
pt | PaintHandler
pt | PaintWindow
pt | CreateBrush
pt | ScaleControls
pt | ChangeScale
pt | CMBiDiModeChanged
pt | CMBorderChanged
pt | CMDoubleBufferedChanged
pt | CMEnabledChanged
pt | CMParentDoubleBufferedChanged
pt | CMShowingChanged
pt | CMShowHintChanged
pt | CMVisibleChanged
pt | CMEnter
pt | CMExit
pt | WMContextMenu
pt | WMEraseBkgnd
pt | WMNotify
pt | WMSetFocus
pt | WMKillFocus
pt | WMShowWindow
pt | WMEnter
pt | WMExit
pt | WMKeyDown
pt | WMSysKeyDown
pt | WMKeyUp
pt | WMSysKeyUp
pt | WMChar
pt | WMSysChar
pt | WMPaint
pt | WMDestroy
pt | WMMove
pt | WMSize
pt | WMWindowPosChanged
pt | CNKeyDown
pt | CNSysKeyDown
pt | CNKeyUp
pt | CNSysKeyUp
pt | CNChar
pt | DoDragMsg
pt | DoDockClientMsg
pt | DoUndockClientMsg
pt | DoAddDockClient
pt | DockOver
pt | DoDockOver
pt | DoRemoveDockClient
pt | DoUnDock
pt | GetSiteInfo
pt | GetParentHandle
pt | GetTopParentHandle
pt | ReloadDockedControl
pt | CreateDockManager
pt | SetDockManager
pt | DoFloatMsg
pt | DoGetDockCaption
pt | DoEnter
pt | DoExit
pt | DoKeyDownBeforeInterface
pt | DoRemainingKeyDown
pt | DoRemainingKeyUp
pt | DoKeyPress
pt | DoUTF8KeyPress
pt | DoKeyUpBeforeInterface
pt | ChildKey
pt | SendDialogChar
pt | DialogChar
pt | ControlKeyDown
pt | ControlKeyUp
pt | KeyDown
pt | KeyDownBeforeInterface
pt | KeyDownAfterInterface
pt | KeyPress
pt | KeyUp
pt | KeyUpBeforeInterface
pt | KeyUpAfterInterface
pt | UTF8KeyPress
pt | FindNextControl
pt | SelectFirst
pt | RealGetText
pt | GetBorderStyle
pt | GetClientOrigin
pt | GetClientRect
pt | GetControlOrigin
pt | GetDeviceContext
pt | GetParentBackground
pt | IsControlMouseMsg
pt | CreateHandle
pt | CreateParams
pt | CreateWnd
pt | DestroyHandle
pt | DestroyWnd
pt | DoFlipChildren
pt | FinalizeWnd
pt | FixupTabList
pt | FontChanged
pt | InitializeWnd
pt | Loaded
pt | FormEndUpdated
pt | MainWndProc
pt | ParentFormHandleInitialized
pt | ChildHandlesCreated
pt | GetMouseCapture
pt | RealSetText
pt | RemoveFocus
pt | SendMoveSizeMessages
pt | SetBorderStyle
pt | SetColor
pt | SetChildZPosition
pt | SetParentBackground
pt | ShowControl
pt | UpdateControlState
pt | UpdateShowing
pt | WndProc
pt | WSSetText
 | AutoSizePhases
 | AutoSizeDelayed
 | AutoSizeDelayedReport
 | AutoSizeDelayedHandle
 | BeginUpdateBounds
 | EndUpdateBounds
 | LockRealizeBounds
 | UnlockRealizeBounds
 | ControlAtPos
 | ContainsControl
 | DoAdjustClientRectChange
 | InvalidateClientRectCache
 | ClientRectNeedsInterfaceUpdate
 | SetBounds
 | GetChildrenRect
 | DisableAlign
 | EnableAlign
 | ReAlign
 | ScrollBy_WS
 | ScrollBy
 | WriteLayoutDebugReport
 | AutoAdjustLayout
 | Create
 | CreateParented
 | CreateParentedControl
 | Destroy
 | DockDrop
 | CanFocus
 | CanSetFocus
 | GetControlIndex
 | SetControlIndex
 | Focused
 | PerformTab
 | FindChildControl
 | SelectNext
 | SetTempCursor
 | BroadCast
 | NotifyControls
 | DefaultHandler
 | GetTextLen
 | Invalidate
 | AddControl
 | InsertControl
 | RemoveControl
 | GetEnumeratorControls
 | GetEnumeratorControlsReverse
 | Repaint
 | Update
 | SetFocus
 | FlipChildren
 | ScaleBy
 | GetDockCaption
 | UpdateDockCaption
 | GetTabOrderList
 | HandleAllocated
 | ParentHandlesAllocated
 | HandleNeeded
 | BrushCreated
 | EraseBackground
 | IntfUTF8KeyPress
 | IntfGetDropFilesTarget
 | PaintTo
 | SetShape
TControl
pt | WSRegisterClass
pt | GetCursor
pt | SetCursor
pt | SetVisible
pt | DoOnParentHandleDestruction
pt | DoAutoSize
pt | DoAllAutoSize
pt | BeginAutoSizing
pt | EndAutoSizing
pt | AnchorSideChanged
pt | ForeignAnchorSideChanged
pt | SetAlign
pt | SetAnchors
pt | SetAutoSize
pt | BoundsChanged
pt | CreateControlBorderSpacing
pt | DoConstraintsChange
pt | DoBorderSpacingChange
pt | IsBorderSpacingInnerBorderStored
pt | IsCaptionStored
pt | SendMoveSizeMessages
pt | ConstrainedResize
pt | CalculatePreferredSize
pt | DoOnResize
pt | DoOnChangeBounds
pt | CheckOnChangeBounds
pt | Resize
pt | RequestAlign
pt | UpdateAnchorRules
pt | ChangeBounds
pt | DoSetBounds
pt | ScaleConstraints
pt | ChangeScale
pt | CanAutoSize
pt | SetBiDiMode
pt | SetParentBiDiMode
pt | IsAParentAligning
pt | GetClientOrigin
pt | GetClientRect
pt | GetLogicalClientRect
pt | GetScrolledClientRect
pt | GetClientScrollOffset
pt | GetControlOrigin
pt | IsClientHeightStored
pt | IsClientWidthStored
pt | WidthIsAnchored
pt | HeightIsAnchored
pt | WMCancelMode
pt | WMContextMenu
pt | WMLButtonDown
pt | WMRButtonDown
pt | WMMButtonDown
pt | WMXButtonDown
pt | WMLButtonDBLCLK
pt | WMRButtonDBLCLK
pt | WMMButtonDBLCLK
pt | WMXButtonDBLCLK
pt | WMLButtonTripleCLK
pt | WMRButtonTripleCLK
pt | WMMButtonTripleCLK
pt | WMXButtonTripleCLK
pt | WMLButtonQuadCLK
pt | WMRButtonQuadCLK
pt | WMMButtonQuadCLK
pt | WMXButtonQuadCLK
pt | WMMouseMove
pt | WMLButtonUp
pt | WMRButtonUp
pt | WMMButtonUp
pt | WMXButtonUp
pt | WMMouseWheel
pt | WMMouseHWheel
pt | WMMove
pt | WMSize
pt | WMWindowPosChanged
pt | CMChanged
pt | LMCaptureChanged
pt | CMBiDiModeChanged
pt | CMSysFontChanged
pt | CMEnabledChanged
pt | CMHitTest
pt | CMMouseEnter
pt | CMMouseLeave
pt | CMHintShow
pt | CMParentBiDiModeChanged
pt | CMParentColorChanged
pt | CMParentFontChanged
pt | CMParentShowHintChanged
pt | CMVisibleChanged
pt | CMTextChanged
pt | CMCursorChanged
pt | CalculateDockSizes
pt | CreateFloatingDockSite
pt | GetDockEdge
pt | GetDragImages
pt | GetFloating
pt | GetFloatingDockSiteClass
pt | BeforeDragStart
pt | BeginAutoDrag
pt | DoFloatMsg
pt | DockTrackNoTarget
pt | DoDock
pt | DoDragMsg
pt | DoEndDock
pt | DoEndDrag
pt | DoStartDock
pt | DoStartDrag
pt | DragCanceled
pt | DragOver
pt | PositionDockRect
pt | SetDragMode
pt | GetDefaultDockCaption
pt | Click
pt | DblClick
pt | TripleClick
pt | QuadClick
pt | GetMousePosFromMessage
pt | MouseDown
pt | MouseMove
pt | MouseUp
pt | MouseEnter
pt | MouseLeave
pt | DialogChar
pt | UpdateMouseCursor
pt | Changed
pt | GetPalette
pt | ChildClassAllowed
pt | ReadState
pt | Loaded
pt | LoadedAll
pt | DefineProperties
pt | AssignTo
pt | FormEndUpdated
pt | InvalidateControl
pt | FontChanged
pt | ParentFontChanged
pt | GetAction
pt | RealGetText
pt | RealSetText
pt | TextChanged
pt | GetCachedText
pt | SetAction
pt | SetColor
pt | SetEnabled
pt | SetHint
pt | SetName
pt | SetParent
pt | SetParentComponent
pt | WndProc
pt | ParentFormHandleInitialized
pt | GetMouseCapture
pt | CaptureChanged
pt | Notification
pt | CanTab
pt | GetDeviceContext
pt | GetEnabled
pt | GetPopupMenu
pt | DoOnShowHint
pt | DoMouseWheel
pt | DoMouseWheelDown
pt | DoMouseWheelUp
pt | DoMouseWheelHorz
pt | DoMouseWheelLeft
pt | DoMouseWheelRight
pt | VisibleChanging
pt | VisibleChanged
pt | EnabledChanging
pt | EnabledChanged
pt | AddHandler
pt | RemoveHandler
pt | DoCallNotifyHandler
pt | DoCallKeyEventHandler
pt | DoCallMouseWheelEventHandler
pt | DoContextPopup
pt | SetZOrder
pt | GetControlClassDefaultSize
pt | ColorIsStored
pt | DoAutoAdjustLayout
pt | DoFixDesignFontPPI
pt | DoScaleFontPPI
pt | GetActionLinkClass
pt | ActionChange
 | DragDrop
 | Dock
 | ManualDock
 | ManualFloat
 | ReplaceDockedControl
 | Docked
 | Dragging
 | GetAccessibleObject
 | CreateAccessibleObject
 | GetSelectedChildAccessibleObject
 | GetChildAccessibleObjectAtPos
 | ScaleDesignToForm
 | ScaleFormToDesign
 | Scale96ToForm
 | ScaleFormTo96
 | Scale96ToFont
 | ScaleFontTo96
 | ScaleScreenToFont
 | ScaleFontToScreen
 | Scale96ToScreen
 | ScaleScreenTo96
 | AdjustSize
 | AutoSizePhases
 | AutoSizeDelayed
 | AutoSizeDelayedReport
 | AutoSizeDelayedHandle
 | AnchorToNeighbour
 | AnchorParallel
 | AnchorHorizontalCenterTo
 | AnchorVerticalCenterTo
 | AnchorToCompanion
 | AnchorSame
 | AnchorAsAlign
 | AnchorClient
 | AnchoredControlCount
 | SetBounds
 | SetInitialBounds
 | SetBoundsKeepBase
 | GetPreferredSize
 | GetCanvasScaleFactor
 | GetDefaultWidth
 | GetDefaultHeight
 | GetDefaultColor
 | GetColorResolvingParent
 | GetRGBColorResolvingParent
 | GetSidePosition
 | CNPreferredSizeChanged
 | InvalidatePreferredSize
 | GetAnchorsDependingOnParent
 | DisableAutoSizing
 | EnableAutoSizing
 | UpdateBaseBounds
 | WriteLayoutDebugReport
 | AutoAdjustLayout
 | ShouldAutoAdjust
 | FixDesignFontsPPI
 | ScaleFontsPPI
 | Create
 | Destroy
 | BeforeDestruction
 | EditingDone
 | ExecuteDefaultAction
 | ExecuteCancelAction
 | BeginDrag
 | EndDrag
 | BringToFront
 | HasParent
 | GetParentComponent
 | IsParentOf
 | GetTopParent
 | IsVisible
 | IsControlVisible
 | IsEnabled
 | IsParentColor
 | IsParentFont
 | FormIsUpdating
 | IsProcessingPaintMsg
 | Hide
 | Refresh
 | Repaint
 | Invalidate
 | CheckChildClassAllowed
 | CheckNewParent
 | SendToBack
 | SetTempCursor
 | UpdateRolesForForm
 | ActiveDefaultControlChanged
 | GetTextBuf
 | GetTextLen
 | SetTextBuf
 | Perform
 | ScreenToClient
 | ClientToScreen
 | ScreenToControl
 | ControlToScreen
 | ClientToParent
 | ParentToClient
 | GetChildrenRect
 | Show
 | Update
 | HandleObjectShouldBeVisible
 | ParentDestroyingHandle
 | ParentHandlesAllocated
 | InitiateAction
 | ShowHelp
 | HasHelp
 | RemoveAllHandlersOfObject
 | AddHandlerOnResize
 | RemoveHandlerOnResize
 | AddHandlerOnChangeBounds
 | RemoveHandlerOnChangeBounds
 | AddHandlerOnVisibleChanging
 | RemoveHandlerOnVisibleChanging
 | AddHandlerOnVisibleChanged
 | RemoveHandlerOnVisibleChanged
 | AddHandlerOnEnabledChanged
 | RemoveHandlerOnEnableChanging
 | AddHandlerOnKeyDown
 | RemoveHandlerOnKeyDown
 | AddHandlerOnBeforeDestruction
 | RemoveHandlerOnBeforeDestruction
 | AddHandlerOnMouseWheel
 | RemoveHandlerOnMouseWheel
 | UseRightToLeftAlignment
 | UseRightToLeftReading
 | UseRightToLeftScrollBar
 | IsRightToLeft
TLCLComponent
pt | WSRegisterClass
pt | GetWSComponentClass
 | Create
 | Destroy
 | NewInstance
 | RemoveAllHandlersOfObject
 | IncLCLRefCount
 | DecLCLRefCount
TComponent
 | GetComObject
 | GetComponent
 | GetComponentCount
 | GetComponentIndex
 | Insert
 | ReadLeft
 | ReadTop
 | Remove
 | RemoveNotification
 | SetComponentIndex
 | SetReference
 | WriteLeft
 | WriteTop
 | ChangeName
 | DefineProperties
 | GetChildren
 | GetChildOwner
 | GetChildParent
 | GetOwner
 | Loaded
 | Loading
 | Notification
 | PaletteCreated
 | ReadState
 | SetAncestor
 | SetDesigning
 | SetDesignInstance
 | SetInline
 | SetName
 | SetChildOrder
 | SetParentComponent
 | Updating
 | Updated
 | UpdateRegistry
 | ValidateRename
 | ValidateContainer
 | ValidateInsert
 | QueryInterface
 | _AddRef
 | _Release
 | iicrGetComponent
 | GetTypeInfoCount
 | GetTypeInfo
 | GetIDsOfNames
 | Invoke
 | WriteState
 | Create
 | Destroy
 | BeforeDestruction
 | DestroyComponents
 | Destroying
 | ExecuteAction
 | FindComponent
 | FreeNotification
 | RemoveFreeNotification
 | FreeOnRelease
 | GetEnumerator
 | GetNamePath
 | GetParentComponent
 | HasParent
 | InsertComponent
 | RemoveComponent
 | SafeCallException
 | SetSubComponent
 | UpdateAction
 | IsImplementorOf
 | ReferenceInterface
TPersistent
 | AssignError
 | AssignTo
 | DefineProperties
 | GetOwner
 | Destroy
 | Assign
 | FPOAttachObserver
 | FPODetachObserver
 | FPONotifyObservers
 | GetNamePath
TObject
 | Create
 | Destroy
 | newinstance
 | FreeInstance
 | SafeCallException
 | DefaultHandler
 | Free
 | InitInstance
 | CleanupInstance
 | ClassType
 | ClassInfo
 | ClassName
 | ClassNameIs
 | ClassParent
 | InstanceSize
 | InheritsFrom
 | StringMessageTable
 | MethodAddress
 | MethodName
 | FieldAddress
 | AfterConstruction
 | BeforeDestruction
 | DefaultHandlerStr
 | Dispatch
 | DispatchStr
 | GetInterface
 | GetInterfaceByStr
 | GetInterfaceWeak
 | GetInterfaceEntry
 | GetInterfaceEntryByStr
 | GetInterfaceTable
 | UnitName
 | Equals
 | GetHashCode
 | ToString


pt | ActionChange (TControl)
 | ActiveDefaultControlChanged (TControl)
 | AddControl (TWinControl)
pt | AddHandler (TControl)
 | AddHandlerOnBeforeDestruction (TControl)
 | AddHandlerOnChangeBounds (TControl)
 | AddHandlerOnEnabledChanged (TControl)
 | AddHandlerOnKeyDown (TControl)
 | AddHandlerOnMouseWheel (TControl)
 | AddHandlerOnResize (TControl)
 | AddHandlerOnVisibleChanged (TControl)
 | AddHandlerOnVisibleChanging (TControl)
pt | AdjustClientRect (TWinControl)
 | AdjustSize (TControl)
 | AfterConstruction (TObject)
pt | AlignControls (TWinControl)
pt | AllAutoSized (TWinControl)
 | AnchorAsAlign (TControl)
 | AnchorClient (TControl)
 | AnchoredControlCount (TControl)
 | AnchorHorizontalCenterTo (TControl)
 | AnchorParallel (TControl)
 | AnchorSame (TControl)
pt | AnchorSideChanged (TControl)
 | AnchorToCompanion (TControl)
 | AnchorToNeighbour (TControl)
 | AnchorVerticalCenterTo (TControl)
 | Assign (TPersistent)
 | AssignError (TPersistent)
 | AssignTo (TPersistent)
pt | AssignTo (TControl)
 | AutoAdjustLayout (TControl)
 | AutoAdjustLayout (TWinControl)
 | AutoSizeDelayed (TControl)
 | AutoSizeDelayed (TWinControl)
 | AutoSizeDelayedHandle (TControl)
 | AutoSizeDelayedHandle (TWinControl)
 | AutoSizeDelayedReport (TControl)
 | AutoSizeDelayedReport (TWinControl)
 | AutoSizePhases (TControl)
 | AutoSizePhases (TWinControl)
 | BeforeDestruction (TObject)
 | BeforeDestruction (TComponent)
 | BeforeDestruction (TControl)
pt | BeforeDragStart (TControl)
pt | BeginAutoDrag (TControl)
pt | BeginAutoSizing (TControl)
 | BeginDrag (TControl)
 | BeginUpdateBounds (TWinControl)
pt | BoundsChanged (TControl)
 | BringToFront (TControl)
 | BroadCast (TWinControl)
 | BrushCreated (TWinControl)
pt | CalculateDockSizes (TControl)
pt | CalculatePreferredSize (TControl)
pt | CalculatePreferredSize (TWinControl)
pt | CalculatePreferredSize (TCDControl)
pt | CanAutoSize (TControl)
 | CanFocus (TWinControl)
 | CanSetFocus (TWinControl)
pt | CanTab (TControl)
pt | CanTab (TWinControl)
pt | CaptureChanged (TControl)
pt | ChangeBounds (TControl)
pt | Changed (TControl)
 | ChangeName (TComponent)
pt | ChangeScale (TControl)
pt | ChangeScale (TWinControl)
 | CheckChildClassAllowed (TControl)
 | CheckNewParent (TControl)
pt | CheckOnChangeBounds (TControl)
pt | ChildClassAllowed (TControl)
pt | ChildClassAllowed (TWinControl)
pt | ChildHandlesCreated (TWinControl)
pt | ChildKey (TWinControl)
 | ClassInfo (TObject)
 | ClassName (TObject)
 | ClassNameIs (TObject)
 | ClassParent (TObject)
 | ClassType (TObject)
 | CleanupInstance (TObject)
pt | Click (TControl)
 | ClientRectNeedsInterfaceUpdate (TWinControl)
 | ClientToParent (TControl)
 | ClientToScreen (TControl)
pt | CMBiDiModeChanged (TControl)
pt | CMBiDiModeChanged (TWinControl)
pt | CMBorderChanged (TWinControl)
pt | CMChanged (TControl)
pt | CMCursorChanged (TControl)
pt | CMDoubleBufferedChanged (TWinControl)
pt | CMEnabledChanged (TControl)
pt | CMEnabledChanged (TWinControl)
pt | CMEnter (TWinControl)
pt | CMExit (TWinControl)
pt | CMHintShow (TControl)
pt | CMHitTest (TControl)
pt | CMMouseEnter (TControl)
pt | CMMouseLeave (TControl)
pt | CMParentBiDiModeChanged (TControl)
pt | CMParentColorChanged (TControl)
pt | CMParentDoubleBufferedChanged (TWinControl)
pt | CMParentFontChanged (TControl)
pt | CMParentShowHintChanged (TControl)
pt | CMShowHintChanged (TWinControl)
pt | CMShowingChanged (TWinControl)
pt | CMSysFontChanged (TControl)
pt | CMTextChanged (TControl)
pt | CMVisibleChanged (TControl)
pt | CMVisibleChanged (TWinControl)
pt | CNChar (TWinControl)
pt | CNKeyDown (TWinControl)
pt | CNKeyUp (TWinControl)
 | CNPreferredSizeChanged (TControl)
pt | CNSysKeyDown (TWinControl)
pt | CNSysKeyUp (TWinControl)
pt | ColorIsStored (TControl)
pt | ConstrainedResize (TControl)
 | ContainsControl (TWinControl)
 | ControlAtPos (TWinControl)
pt | ControlKeyDown (TWinControl)
pt | ControlKeyUp (TWinControl)
pt | ControlsAligned (TWinControl)
 | ControlToScreen (TControl)
pt | CorrectTabIndex (TCDCustomTabControl)
 | Create (TObject)
 | Create (TComponent)
 | Create (TLCLComponent)
 | Create (TControl)
 | Create (TWinControl)
 | Create (TCustomControl)
 | Create (TCDControl)
 | Create (TCDCustomTabControl)
 | CreateAccessibleObject (TControl)
pt | CreateBrush (TWinControl)
pt | CreateControlBorderSpacing (TControl)
pt | CreateControlStateEx (TCDControl)
pt | CreateControlStateEx (TCDCustomTabControl)
pt | CreateDockManager (TWinControl)
pt | CreateFloatingDockSite (TControl)
pt | CreateHandle (TWinControl)
pt | CreateParams (TWinControl)
 | CreateParented (TWinControl)
 | CreateParentedControl (TWinControl)
pt | CreateSubClass (TWinControl)
pt | CreateWnd (TWinControl)
pt | CustomAlignInsertBefore (TWinControl)
pt | CustomAlignPosition (TWinControl)
pt | DblClick (TControl)
 | DecLCLRefCount (TLCLComponent)
 | DefaultHandler (TObject)
 | DefaultHandler (TWinControl)
 | DefaultHandlerStr (TObject)
 | DefineProperties (TPersistent)
 | DefineProperties (TComponent)
pt | DefineProperties (TControl)
 | Destroy (TObject)
 | Destroy (TPersistent)
 | Destroy (TComponent)
 | Destroy (TLCLComponent)
 | Destroy (TControl)
 | Destroy (TWinControl)
 | Destroy (TCustomControl)
 | Destroy (TCDControl)
 | Destroy (TCDCustomTabControl)
 | DestroyComponents (TComponent)
pt | DestroyHandle (TWinControl)
 | Destroying (TComponent)
pt | DestroyWnd (TWinControl)
pt | DestroyWnd (TCustomControl)
pt | DialogChar (TControl)
pt | DialogChar (TWinControl)
 | DisableAlign (TWinControl)
 | DisableAutoSizing (TControl)
 | Dispatch (TObject)
 | DispatchStr (TObject)
pt | DoAddDockClient (TWinControl)
 | DoAdjustClientRectChange (TWinControl)
pt | DoAlignChildControls (TWinControl)
pt | DoAllAutoSize (TControl)
pt | DoAllAutoSize (TWinControl)
pt | DoAutoAdjustLayout (TControl)
pt | DoAutoSize (TControl)
pt | DoAutoSize (TWinControl)
pt | DoBorderSpacingChange (TControl)
pt | DoCallKeyEventHandler (TControl)
pt | DoCallMouseWheelEventHandler (TControl)
pt | DoCallNotifyHandler (TControl)
pt | DoChildSizingChange (TWinControl)
 | Dock (TControl)
 | DockDrop (TWinControl)
 | Docked (TControl)
pt | DockOver (TWinControl)
pt | DockTrackNoTarget (TControl)
pt | DoConstraintsChange (TControl)
pt | DoConstraintsChange (TWinControl)
pt | DoContextPopup (TControl)
pt | DoDock (TControl)
pt | DoDockClientMsg (TWinControl)
pt | DoDockOver (TWinControl)
pt | DoDragMsg (TControl)
pt | DoDragMsg (TWinControl)
pt | DoEndDock (TControl)
pt | DoEndDrag (TControl)
pt | DoEnter (TWinControl)
pt | DoEnter (TCDControl)
pt | DoExit (TWinControl)
pt | DoExit (TCDControl)
pt | DoFixDesignFontPPI (TControl)
pt | DoFlipChildren (TWinControl)
pt | DoFloatMsg (TControl)
pt | DoFloatMsg (TWinControl)
pt | DoGetDockCaption (TWinControl)
pt | DoKeyDownBeforeInterface (TWinControl)
pt | DoKeyPress (TWinControl)
pt | DoKeyUpBeforeInterface (TWinControl)
pt | DoMouseWheel (TControl)
pt | DoMouseWheelDown (TControl)
pt | DoMouseWheelHorz (TControl)
pt | DoMouseWheelLeft (TControl)
pt | DoMouseWheelRight (TControl)
pt | DoMouseWheelUp (TControl)
pt | DoOnChangeBounds (TControl)
pt | DoOnParentHandleDestruction (TControl)
pt | DoOnResize (TControl)
pt | DoOnShowHint (TControl)
pt | DoRemainingKeyDown (TWinControl)
pt | DoRemainingKeyUp (TWinControl)
pt | DoRemoveDockClient (TWinControl)
pt | DoScaleFontPPI (TControl)
pt | DoSendBoundsToInterface (TWinControl)
pt | DoSendShowHideToInterface (TWinControl)
pt | DoSetBounds (TControl)
pt | DoSetBounds (TWinControl)
pt | DoStartDock (TControl)
pt | DoStartDrag (TControl)
pt | DoUnDock (TWinControl)
pt | DoUndockClientMsg (TWinControl)
pt | DoUTF8KeyPress (TWinControl)
pt | DragCanceled (TControl)
 | DragDrop (TControl)
 | Dragging (TControl)
pt | DragOver (TControl)
 | DrawToCanvas (TCDControl)
 | EditingDone (TControl)
 | EnableAlign (TWinControl)
 | EnableAutoSizing (TControl)
pt | EnabledChanged (TControl)
pt | EnabledChanging (TControl)
pt | EndAutoSizing (TControl)
 | EndDrag (TControl)
 | EndUpdateBounds (TWinControl)
 | Equals (TObject)
 | EraseBackground (TWinControl)
 | EraseBackground (TCDControl)
 | ExecuteAction (TComponent)
 | ExecuteCancelAction (TControl)
 | ExecuteDefaultAction (TControl)
 | FieldAddress (TObject)
pt | FinalizeWnd (TWinControl)
 | FindChildControl (TWinControl)
 | FindComponent (TComponent)
pt | FindNextControl (TWinControl)
 | FixDesignFontsPPI (TControl)
pt | FixupTabList (TWinControl)
 | FlipChildren (TWinControl)
 | Focused (TWinControl)
pt | FontChanged (TControl)
pt | FontChanged (TWinControl)
pt | FontChanged (TCustomControl)
pt | ForeignAnchorSideChanged (TControl)
pt | FormEndUpdated (TControl)
pt | FormEndUpdated (TWinControl)
 | FormIsUpdating (TControl)
 | FPOAttachObserver (TPersistent)
 | FPODetachObserver (TPersistent)
 | FPONotifyObservers (TPersistent)
 | Free (TObject)
 | FreeInstance (TObject)
 | FreeNotification (TComponent)
 | FreeOnRelease (TComponent)
 | GetAccessibleObject (TControl)
pt | GetAction (TControl)
pt | GetActionLinkClass (TControl)
pt | GetAdjustedLogicalClientRect (TWinControl)
 | GetAnchorsDependingOnParent (TControl)
pt | GetBorderStyle (TWinControl)
pt | GetCachedText (TControl)
 | GetCanvasScaleFactor (TControl)
 | GetChildAccessibleObjectAtPos (TControl)
 | GetChildOwner (TComponent)
 | GetChildParent (TComponent)
 | GetChildren (TComponent)
pt | GetChildren (TWinControl)
 | GetChildrenRect (TControl)
 | GetChildrenRect (TWinControl)
pt | GetClientOrigin (TControl)
pt | GetClientOrigin (TWinControl)
pt | GetClientRect (TControl)
pt | GetClientRect (TWinControl)
pt | GetClientRect (TCDControl)
pt | GetClientScrollOffset (TControl)
 | GetColorResolvingParent (TControl)
 | GetComObject (TComponent)
 | GetComponent (TComponent)
 | GetComponentCount (TComponent)
 | GetComponentIndex (TComponent)
pt | GetControlClassDefaultSize (TControl)
pt | GetControlId (TCDControl)
pt | GetControlId (TCDCustomTabControl)
 | GetControlIndex (TWinControl)
pt | GetControlOrigin (TControl)
pt | GetControlOrigin (TWinControl)
pt | GetCursor (TControl)
 | GetDefaultColor (TControl)
pt | GetDefaultDockCaption (TControl)
 | GetDefaultHeight (TControl)
 | GetDefaultWidth (TControl)
pt | GetDeviceContext (TControl)
pt | GetDeviceContext (TWinControl)
 | GetDockCaption (TWinControl)
pt | GetDockEdge (TControl)
pt | GetDragImages (TControl)
pt | GetEnabled (TControl)
 | GetEnumerator (TComponent)
 | GetEnumeratorControls (TWinControl)
 | GetEnumeratorControlsReverse (TWinControl)
pt | GetFloating (TControl)
pt | GetFloatingDockSiteClass (TControl)
 | GetHashCode (TObject)
 | GetIDsOfNames (TComponent)
 | GetInterface (TObject)
 | GetInterfaceByStr (TObject)
 | GetInterfaceEntry (TObject)
 | GetInterfaceEntryByStr (TObject)
 | GetInterfaceTable (TObject)
 | GetInterfaceWeak (TObject)
pt | GetLogicalClientRect (TControl)
pt | GetMouseCapture (TControl)
pt | GetMouseCapture (TWinControl)
pt | GetMousePosFromMessage (TControl)
 | GetNamePath (TPersistent)
 | GetNamePath (TComponent)
 | GetOwner (TPersistent)
 | GetOwner (TComponent)
pt | GetPalette (TControl)
pt | GetParentBackground (TWinControl)
 | GetParentComponent (TComponent)
 | GetParentComponent (TControl)
pt | GetParentHandle (TWinControl)
pt | GetPopupMenu (TControl)
 | GetPreferredSize (TControl)
pt | GetPreferredSizeClientFrame (TWinControl)
 | GetRGBColorResolvingParent (TControl)
pt | GetScrolledClientRect (TControl)
 | GetSelectedChildAccessibleObject (TControl)
 | GetSidePosition (TControl)
pt | GetSiteInfo (TWinControl)
 | GetTabCount (TCDCustomTabControl)
 | GetTabOrderList (TWinControl)
 | GetTextBuf (TControl)
 | GetTextLen (TControl)
 | GetTextLen (TWinControl)
 | GetTopParent (TControl)
pt | GetTopParentHandle (TWinControl)
 | GetTypeInfo (TComponent)
 | GetTypeInfoCount (TComponent)
pt | GetWSComponentClass (TLCLComponent)
 | HandleAllocated (TWinControl)
 | HandleNeeded (TWinControl)
 | HandleObjectShouldBeVisible (TControl)
 | HasHelp (TControl)
 | HasParent (TComponent)
 | HasParent (TControl)
pt | HeightIsAnchored (TControl)
 | Hide (TControl)
 | iicrGetComponent (TComponent)
 | IncLCLRefCount (TLCLComponent)
 | InheritsFrom (TObject)
pt | InitializeWnd (TWinControl)
 | InitiateAction (TControl)
 | InitInstance (TObject)
 | Insert (TComponent)
 | InsertComponent (TComponent)
 | InsertControl (TWinControl)
 | InstanceSize (TObject)
 | IntfGetDropFilesTarget (TWinControl)
 | IntfUTF8KeyPress (TWinControl)
 | Invalidate (TControl)
 | Invalidate (TWinControl)
pt | InvalidateBoundsRealized (TWinControl)
 | InvalidateClientRectCache (TWinControl)
pt | InvalidateControl (TControl)
pt | InvalidatePreferredChildSizes (TWinControl)
 | InvalidatePreferredSize (TControl)
 | Invoke (TComponent)
pt | IsAParentAligning (TControl)
pt | IsBorderSpacingInnerBorderStored (TControl)
pt | IsCaptionStored (TControl)
pt | IsClientHeightStored (TControl)
pt | IsClientHeightStored (TWinControl)
pt | IsClientWidthStored (TControl)
pt | IsClientWidthStored (TWinControl)
pt | IsControlMouseMsg (TWinControl)
 | IsControlVisible (TControl)
 | IsEnabled (TControl)
 | IsImplementorOf (TComponent)
 | IsParentColor (TControl)
 | IsParentFont (TControl)
 | IsParentOf (TControl)
 | IsProcessingPaintMsg (TControl)
 | IsRightToLeft (TControl)
 | IsVisible (TControl)
pt | KeyDown (TWinControl)
pt | KeyDownAfterInterface (TWinControl)
pt | KeyDownBeforeInterface (TWinControl)
pt | KeyPress (TWinControl)
pt | KeyUp (TWinControl)
pt | KeyUpAfterInterface (TWinControl)
pt | KeyUpBeforeInterface (TWinControl)
 | LCLWSCalculatePreferredSize (TCDControl)
pt | LMCaptureChanged (TControl)
 | Loaded (TComponent)
pt | Loaded (TControl)
pt | Loaded (TWinControl)
pt | LoadedAll (TControl)
 | Loading (TComponent)
 | LockRealizeBounds (TWinControl)
pt | MainWndProc (TWinControl)
 | ManualDock (TControl)
 | ManualFloat (TControl)
 | MethodAddress (TObject)
 | MethodName (TObject)
pt | MouseDown (TControl)
pt | MouseDown (TCDControl)
pt | MouseDown (TCDCustomTabControl)
pt | MouseEnter (TControl)
pt | MouseEnter (TCDControl)
pt | MouseLeave (TControl)
pt | MouseLeave (TCDControl)
pt | MouseMove (TControl)
pt | MouseUp (TControl)
pt | MouseUp (TCDCustomTabControl)
 | newinstance (TObject)
 | NewInstance (TLCLComponent)
 | Notification (TComponent)
pt | Notification (TControl)
 | NotifyControls (TWinControl)
pt | Paint (TCustomControl)
 | Paint (TCDControl)
pt | PaintControls (TWinControl)
pt | PaintHandler (TWinControl)
 | PaintTo (TWinControl)
pt | PaintWindow (TWinControl)
pt | PaintWindow (TCustomControl)
 | PaletteCreated (TComponent)
 | ParentDestroyingHandle (TControl)
pt | ParentFontChanged (TControl)
pt | ParentFormHandleInitialized (TControl)
pt | ParentFormHandleInitialized (TWinControl)
 | ParentHandlesAllocated (TControl)
 | ParentHandlesAllocated (TWinControl)
 | ParentToClient (TControl)
 | Perform (TControl)
 | PerformTab (TWinControl)
pt | PositionDockRect (TControl)
pt | PrepareControlState (TCDControl)
pt | PrepareControlStateEx (TCDControl)
pt | PrepareControlStateEx (TCDCustomTabControl)
pt | PrepareCurrentDrawer (TCDControl)
pt | QuadClick (TControl)
 | QueryInterface (TComponent)
 | ReadLeft (TComponent)
 | ReadState (TComponent)
pt | ReadState (TControl)
 | ReadTop (TComponent)
pt | RealGetText (TControl)
pt | RealGetText (TWinControl)
 | ReAlign (TWinControl)
pt | RealizeBounds (TWinControl)
pt | RealizeBoundsRecursive (TWinControl)
pt | RealSetText (TControl)
pt | RealSetText (TWinControl)
 | ReferenceInterface (TComponent)
 | Refresh (TControl)
pt | ReloadDockedControl (TWinControl)
 | Remove (TComponent)
 | RemoveAllHandlersOfObject (TLCLComponent)
 | RemoveAllHandlersOfObject (TControl)
 | RemoveComponent (TComponent)
 | RemoveControl (TWinControl)
pt | RemoveFocus (TWinControl)
 | RemoveFreeNotification (TComponent)
pt | RemoveHandler (TControl)
 | RemoveHandlerOnBeforeDestruction (TControl)
 | RemoveHandlerOnChangeBounds (TControl)
 | RemoveHandlerOnEnableChanging (TControl)
 | RemoveHandlerOnKeyDown (TControl)
 | RemoveHandlerOnMouseWheel (TControl)
 | RemoveHandlerOnResize (TControl)
 | RemoveHandlerOnVisibleChanged (TControl)
 | RemoveHandlerOnVisibleChanging (TControl)
 | RemoveNotification (TComponent)
 | Repaint (TControl)
 | Repaint (TWinControl)
 | ReplaceDockedControl (TControl)
pt | RequestAlign (TControl)
pt | Resize (TControl)
 | SafeCallException (TObject)
 | SafeCallException (TComponent)
 | Scale96ToFont (TControl)
 | Scale96ToForm (TControl)
 | Scale96ToScreen (TControl)
 | ScaleBy (TWinControl)
pt | ScaleConstraints (TControl)
pt | ScaleControls (TWinControl)
 | ScaleDesignToForm (TControl)
 | ScaleFontsPPI (TControl)
 | ScaleFontTo96 (TControl)
 | ScaleFontToScreen (TControl)
 | ScaleFormTo96 (TControl)
 | ScaleFormToDesign (TControl)
 | ScaleScreenTo96 (TControl)
 | ScaleScreenToFont (TControl)
 | ScreenToClient (TControl)
 | ScreenToControl (TControl)
 | ScrollBy (TWinControl)
 | ScrollBy_WS (TWinControl)
pt | SelectFirst (TWinControl)
 | SelectNext (TWinControl)
pt | SendDialogChar (TWinControl)
pt | SendMoveSizeMessages (TControl)
pt | SendMoveSizeMessages (TWinControl)
 | SendToBack (TControl)
pt | SetAction (TControl)
pt | SetAlign (TControl)
 | SetAncestor (TComponent)
pt | SetAnchors (TControl)
pt | SetAutoSize (TControl)
pt | SetBiDiMode (TControl)
pt | SetBorderStyle (TWinControl)
 | SetBounds (TControl)
 | SetBounds (TWinControl)
 | SetBoundsKeepBase (TControl)
 | SetChildOrder (TComponent)
pt | SetChildZPosition (TWinControl)
pt | SetColor (TControl)
pt | SetColor (TWinControl)
pt | SetColor (TCustomControl)
 | SetComponentIndex (TComponent)
 | SetControlIndex (TWinControl)
pt | SetCursor (TControl)
 | SetDesigning (TComponent)
 | SetDesignInstance (TComponent)
pt | SetDockManager (TWinControl)
pt | SetDragMode (TControl)
pt | SetDrawStyle (TCDControl)
pt | SetEnabled (TControl)
 | SetFocus (TWinControl)
pt | SetHint (TControl)
 | SetInitialBounds (TControl)
 | SetInline (TComponent)
 | SetName (TComponent)
pt | SetName (TControl)
pt | SetParent (TControl)
pt | SetParentBackground (TWinControl)
pt | SetParentBiDiMode (TControl)
 | SetParentComponent (TComponent)
pt | SetParentComponent (TControl)
 | SetReference (TComponent)
 | SetShape (TWinControl)
pt | SetState (TCDControl)
 | SetSubComponent (TComponent)
 | SetTempCursor (TControl)
 | SetTempCursor (TWinControl)
 | SetTextBuf (TControl)
pt | SetVisible (TControl)
pt | SetZOrder (TControl)
 | ShouldAutoAdjust (TControl)
 | Show (TControl)
pt | ShowControl (TWinControl)
 | ShowHelp (TControl)
 | StringMessageTable (TObject)
pt | TextChanged (TControl)
 | ToString (TObject)
pt | TripleClick (TControl)
 | UnitName (TObject)
 | UnlockRealizeBounds (TWinControl)
 | Update (TControl)
 | Update (TWinControl)
 | UpdateAction (TComponent)
pt | UpdateAnchorRules (TControl)
 | UpdateBaseBounds (TControl)
pt | UpdateControlState (TWinControl)
 | Updated (TComponent)
 | UpdateDockCaption (TWinControl)
pt | UpdateMouseCursor (TControl)
 | UpdateRegistry (TComponent)
 | UpdateRolesForForm (TControl)
pt | UpdateShowing (TWinControl)
 | Updating (TComponent)
 | UseRightToLeftAlignment (TControl)
 | UseRightToLeftReading (TControl)
 | UseRightToLeftScrollBar (TControl)
pt | UTF8KeyPress (TWinControl)
 | ValidateContainer (TComponent)
 | ValidateInsert (TComponent)
 | ValidateRename (TComponent)
pt | VisibleChanged (TControl)
pt | VisibleChanging (TControl)
pt | WidthIsAnchored (TControl)
pt | WMCancelMode (TControl)
pt | WMChar (TWinControl)
pt | WMContextMenu (TControl)
pt | WMContextMenu (TWinControl)
pt | WMDestroy (TWinControl)
pt | WMEnter (TWinControl)
pt | WMEraseBkgnd (TWinControl)
pt | WMExit (TWinControl)
pt | WMKeyDown (TWinControl)
pt | WMKeyUp (TWinControl)
pt | WMKillFocus (TWinControl)
pt | WMLButtonDBLCLK (TControl)
pt | WMLButtonDown (TControl)
pt | WMLButtonQuadCLK (TControl)
pt | WMLButtonTripleCLK (TControl)
pt | WMLButtonUp (TControl)
pt | WMMButtonDBLCLK (TControl)
pt | WMMButtonDown (TControl)
pt | WMMButtonQuadCLK (TControl)
pt | WMMButtonTripleCLK (TControl)
pt | WMMButtonUp (TControl)
pt | WMMouseHWheel (TControl)
pt | WMMouseMove (TControl)
pt | WMMouseWheel (TControl)
pt | WMMove (TControl)
pt | WMMove (TWinControl)
pt | WMNotify (TWinControl)
pt | WMPaint (TWinControl)
pt | WMPaint (TCustomControl)
pt | WMRButtonDBLCLK (TControl)
pt | WMRButtonDown (TControl)
pt | WMRButtonQuadCLK (TControl)
pt | WMRButtonTripleCLK (TControl)
pt | WMRButtonUp (TControl)
pt | WMSetFocus (TWinControl)
pt | WMShowWindow (TWinControl)
pt | WMSize (TControl)
pt | WMSize (TWinControl)
pt | WMSysChar (TWinControl)
pt | WMSysKeyDown (TWinControl)
pt | WMSysKeyUp (TWinControl)
pt | WMWindowPosChanged (TControl)
pt | WMWindowPosChanged (TWinControl)
pt | WMXButtonDBLCLK (TControl)
pt | WMXButtonDown (TControl)
pt | WMXButtonQuadCLK (TControl)
pt | WMXButtonTripleCLK (TControl)
pt | WMXButtonUp (TControl)
pt | WndProc (TControl)
pt | WndProc (TWinControl)
 | WriteLayoutDebugReport (TControl)
 | WriteLayoutDebugReport (TWinControl)
 | WriteLeft (TComponent)
 | WriteState (TComponent)
 | WriteTop (TComponent)
pt | WSRegisterClass (TLCLComponent)
pt | WSRegisterClass (TControl)
pt | WSRegisterClass (TWinControl)
pt | WSRegisterClass (TCustomControl)
pt | WSSetText (TWinControl)
 | _AddRef (TComponent)
 | _Release (TComponent)


TCDCustomTabControl
 | OnChanging
 | OnChange
 | OnUserAddedPage
TCDControl
TCustomControl
 | OnPaint
TWinControl
pt | OnGetSiteInfo
pt | OnGetDockCaption
 | OnAlignInsertBefore
 | OnAlignPosition
 | OnDockDrop
 | OnDockOver
 | OnEnter
 | OnExit
 | OnKeyDown
 | OnKeyPress
 | OnKeyUp
 | OnUnDock
 | OnUTF8KeyPress
TControl
pt | OnConstrainedResize
pt | OnContextPopup
pt | OnDblClick
pt | OnTripleClick
pt | OnQuadClick
pt | OnDragDrop
pt | OnDragOver
pt | OnEndDock
pt | OnEndDrag
pt | OnMouseDown
pt | OnMouseMove
pt | OnMouseUp
pt | OnMouseEnter
pt | OnMouseLeave
pt | OnMouseWheel
pt | OnMouseWheelDown
pt | OnMouseWheelUp
pt | OnMouseWheelHorz
pt | OnMouseWheelLeft
pt | OnMouseWheelRight
pt | OnStartDock
pt | OnStartDrag
pt | OnEditingDone
 | OnChangeBounds
 | OnClick
 | OnResize
 | OnShowHint
TLCLComponent
TComponent
TPersistent
TObject


 | OnAlignInsertBefore (TWinControl)
 | OnAlignPosition (TWinControl)
 | OnChange (TCDCustomTabControl)
 | OnChangeBounds (TControl)
 | OnChanging (TCDCustomTabControl)
 | OnClick (TControl)
pt | OnConstrainedResize (TControl)
pt | OnContextPopup (TControl)
pt | OnDblClick (TControl)
 | OnDockDrop (TWinControl)
 | OnDockOver (TWinControl)
pt | OnDragDrop (TControl)
pt | OnDragOver (TControl)
pt | OnEditingDone (TControl)
pt | OnEndDock (TControl)
pt | OnEndDrag (TControl)
 | OnEnter (TWinControl)
 | OnExit (TWinControl)
pt | OnGetDockCaption (TWinControl)
pt | OnGetSiteInfo (TWinControl)
 | OnKeyDown (TWinControl)
 | OnKeyPress (TWinControl)
 | OnKeyUp (TWinControl)
pt | OnMouseDown (TControl)
pt | OnMouseEnter (TControl)
pt | OnMouseLeave (TControl)
pt | OnMouseMove (TControl)
pt | OnMouseUp (TControl)
pt | OnMouseWheel (TControl)
pt | OnMouseWheelDown (TControl)
pt | OnMouseWheelHorz (TControl)
pt | OnMouseWheelLeft (TControl)
pt | OnMouseWheelRight (TControl)
pt | OnMouseWheelUp (TControl)
 | OnPaint (TCustomControl)
pt | OnQuadClick (TControl)
 | OnResize (TControl)
 | OnShowHint (TControl)
pt | OnStartDock (TControl)
pt | OnStartDrag (TControl)
pt | OnTripleClick (TControl)
 | OnUnDock (TWinControl)
 | OnUserAddedPage (TCDCustomTabControl)
 | OnUTF8KeyPress (TWinControl)


TCDCustomTabControl.CorrectTabIndex

Declaration

Source position: customdrawncontrols.pas line 693

protected procedure TCDCustomTabControl.CorrectTabIndex;


TCDCustomTabControl.Create

Declaration

Source position: customdrawncontrols.pas line 699

public constructor TCDCustomTabControl.Create(

  AOwner: TComponent

); override;


TCDCustomTabControl.CreateControlStateEx

Declaration

Source position: customdrawncontrols.pas line 691

protected procedure TCDCustomTabControl.CreateControlStateEx; override;


TCDCustomTabControl.Destroy

Declaration

Source position: customdrawncontrols.pas line 700

public destructor TCDCustomTabControl.Destroy; override;


TCDCustomTabControl.FTabCState

Declaration

Source position: customdrawncontrols.pas line 689

protected TCDCustomTabControl.FTabCState : TCDCTabControlStateEx;


TCDCustomTabControl.GetControlId

Declaration

Source position: customdrawncontrols.pas line 690

protected function TCDCustomTabControl.GetControlId: TCDControlID; override;


TCDCustomTabControl.GetTabCount

Declaration

Source position: customdrawncontrols.pas line 701

public function TCDCustomTabControl.GetTabCount: Integer;


TCDCustomTabControl.MouseDown

Declaration

Source position: customdrawncontrols.pas line 694

protected procedure TCDCustomTabControl.MouseDown(

  Button: TMouseButton;

  Shift: TShiftState;

  X: Integer;

  Y: Integer

); override;


TCDCustomTabControl.MouseUp

Declaration

Source position: customdrawncontrols.pas line 696

protected procedure TCDCustomTabControl.MouseUp(

  Button: TMouseButton;

  Shift: TShiftState;

  X: Integer;

  Y: Integer

); override;


TCDCustomTabControl.OnChange

Declaration

Source position: customdrawncontrols.pas line 704

public property TCDCustomTabControl.OnChange : TNotifyEvent
  read FOnChange
  write FOnChange;


TCDCustomTabControl.OnChanging

Declaration

Source position: customdrawncontrols.pas line 703

public property TCDCustomTabControl.OnChanging : TNotifyEvent
  read FOnChanging
  write FOnChanging;


TCDCustomTabControl.OnUserAddedPage

Declaration

Source position: customdrawncontrols.pas line 705

public property TCDCustomTabControl.OnUserAddedPage : TOnUserAddedPage
  read FOnUserAddedPage
  write FOnUserAddedPage;


TCDCustomTabControl.Options

Declaration

Source position: customdrawncontrols.pas line 697

protected property TCDCustomTabControl.Options : TCTabControlOptions
  read FOptions
  write SetOptions;


TCDCustomTabControl.PrepareControlStateEx

Declaration

Source position: customdrawncontrols.pas line 692

protected procedure TCDCustomTabControl.PrepareControlStateEx; override;


TCDCustomTabControl.TabIndex

Declaration

Source position: customdrawncontrols.pas line 706

public property TCDCustomTabControl.TabIndex : Integer
  read FTabIndex
  write SetTabIndex;


TCDCustomTabControl.Tabs

Declaration

Source position: customdrawncontrols.pas line 702

public property TCDCustomTabControl.Tabs : TStringList
  read FTabs
  write SetTabs;


TCDEdit

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Declaration

Source position: customdrawncontrols.pas line 193

type TCDEdit = class(TCDControl)

protected

  FEditState: TCDEditStateEx;

  function GetControlId; override;

  procedure CreateControlStateEx; override;

  procedure RealSetText(); override;

  procedure DoChange; virtual;

  procedure DoEnter; override;

  procedure DoExit; override;

  procedure KeyDown(); override;

  procedure KeyUp(); override;

  procedure UTF8KeyPress(); override;

  procedure MouseDown(); override;

  procedure MouseMove(); override;

  procedure MouseUp(); override;

  procedure MouseEnter; override;

  procedure MouseLeave; override;

public

  constructor Create(); override;

  destructor Destroy; override;

  function GetCurrentLine;

  procedure SetCurrentLine();

  property LeftTextMargin: Integer; [rw]

  property RightTextMargin: Integer; [rw]

  function GetSelStartX;

  function GetSelLength;

  procedure SetSelStartX();

  procedure SetSelLength();

  property CaretPos: TPoint; [rw]

published

  property Align: TAlign;

  property Anchors: TAnchors;

  property AutoSize: Boolean;

  property Color: TColor;

  property DrawStyle: TCDDrawStyle;

  property Enabled: Boolean;

  property Lines: TStrings; [rw]

  property MultiLine: Boolean; [rw]

  property PasswordChar: Char; [rw]

  property ReadOnly: Boolean; [rw]

  property TabStop: Boolean;

  property Text: string; [rws]

  property OnChange: TNotifyEvent; [rw]

end;

Inheritance

TCDEdit |
|
TCDControl |
|
TCustomControl | The base class for windowed controls which paint themselves.
|
TWinControl | The base class for controls which can contain other (child) controls.
|
TControl | The base class for visible controls.
|
TLCLComponent | The base class for LCL components associated with widgets.
|
TComponent,IUnknown,IInterfaceComponentReference
|
TPersistent,IFPObserved
|
TObject


TCDEdit
 |  | LeftTextMargin
 |  | RightTextMargin
 |  | CaretPos
pl | ro | Align
pl | ro | Anchors
pl | ro | AutoSize
pl | ro | Color
pl | ro | DrawStyle
pl | ro | Enabled
pl |  | Lines
pl |  | MultiLine
pl |  | PasswordChar
pl |  | ReadOnly
pl | ro | TabStop
pl |  | Text
TCDControl
pt |  | DrawStyle
TCustomControl
 |  | Canvas
 | ro | BorderStyle
TWinControl
pt |  | WindowHandle
pt |  | BorderStyle
pt |  | ParentBackground
 |  | BorderWidth
 | ro | BoundsLockCount
 | ro | Brush
 | ro | CachedClientHeight
 | ro | CachedClientWidth
 |  | ChildSizing
 | ro | ControlCount
 | ro | Controls
 |  | DefWndProc
 | ro | DockClientCount
 | ro | DockClients
 |  | DockManager
 |  | DockSite
 |  | DoubleBuffered
 |  | Handle
 | ro | IsFlipped
 | ro | IsResizing
 |  | TabOrder
 |  | TabStop
 |  | ParentDoubleBuffered
 |  | ParentWindow
 | ro | Showing
 |  | UseDockManager
 |  | DesignerDeleting
 | ro | VisibleDockClientCount
TControl
pt | ro | AutoSizing
pt | ro | AutoSizingAll
pt | ro | AutoSizingLockCount
pt |  | ActionLink
pt |  | DesktopFont
pt |  | DragCursor
pt |  | DragKind
pt |  | DragMode
pt |  | MouseCapture
pt |  | ParentColor
pt |  | ParentFont
pt |  | ParentShowHint
pt |  | SessionProperties
pt |  | Text
 | ro | AnchoredControls
 | ro | BaseBounds
 | ro | ReadBounds
 | ro | BaseParentClientSize
 |  | AccessibleDescription
 |  | AccessibleValue
 |  | AccessibleRole
 |  | Action
 |  | Align
 |  | Anchors
 | ro | AnchorSide
 |  | AutoSize
 |  | BorderSpacing
 |  | BoundsRect
 |  | BoundsRectForNewParent
 |  | Caption
 |  | CaptureMouseButtons
 |  | ClientHeight
 | ro | ClientOrigin
 | ro | ClientRect
 |  | ClientWidth
 |  | Color
 |  | Constraints
 | ro | ControlOrigin
 |  | ControlState
 |  | ControlStyle
 |  | Enabled
 |  | Font
 |  | IsControl
 | ro | MouseEntered
 | ro | MouseInClient
 |  | Parent
 |  | PopupMenu
 |  | ShowHint
 |  | Visible
 |  | WindowProc
 |  | DockOrientation
 | ro | Floating
 |  | FloatingDockSiteClass
 |  | HostDockSite
 |  | LRDockWidth
 |  | TBDockHeight
 |  | UndockHeight
 |  | UndockWidth
 |  | BiDiMode
 |  | ParentBiDiMode
pl |  | AnchorSideLeft
pl |  | AnchorSideTop
pl |  | AnchorSideRight
pl |  | AnchorSideBottom
pl |  | Cursor
pl |  | Left
pl |  | Height
pl |  | Hint
pl |  | Top
pl |  | Width
pl |  | HelpType
pl |  | HelpKeyword
pl |  | HelpContext
TLCLComponent
 | ro | LCLRefCount
 | ro | WidgetSetClass
TComponent
 | ro | ComObject
 | ro | Components
 | ro | ComponentCount
 |  | ComponentIndex
 | ro | ComponentState
 | ro | ComponentStyle
 |  | DesignInfo
 | ro | Owner
 |  | VCLComObject
 |  | Name
 |  | Tag
TPersistent
TObject


 |  | AccessibleDescription (TControl)
 |  | AccessibleRole (TControl)
 |  | AccessibleValue (TControl)
 |  | Action (TControl)
pt |  | ActionLink (TControl)
 |  | Align (TControl)
pl | ro | Align (TCDEdit)
 | ro | AnchoredControls (TControl)
 |  | Anchors (TControl)
pl | ro | Anchors (TCDEdit)
 | ro | AnchorSide (TControl)
pl |  | AnchorSideBottom (TControl)
pl |  | AnchorSideLeft (TControl)
pl |  | AnchorSideRight (TControl)
pl |  | AnchorSideTop (TControl)
 |  | AutoSize (TControl)
pl | ro | AutoSize (TCDEdit)
pt | ro | AutoSizing (TControl)
pt | ro | AutoSizingAll (TControl)
pt | ro | AutoSizingLockCount (TControl)
 | ro | BaseBounds (TControl)
 | ro | BaseParentClientSize (TControl)
 |  | BiDiMode (TControl)
 |  | BorderSpacing (TControl)
pt |  | BorderStyle (TWinControl)
 | ro | BorderStyle (TCustomControl)
 |  | BorderWidth (TWinControl)
 | ro | BoundsLockCount (TWinControl)
 |  | BoundsRect (TControl)
 |  | BoundsRectForNewParent (TControl)
 | ro | Brush (TWinControl)
 | ro | CachedClientHeight (TWinControl)
 | ro | CachedClientWidth (TWinControl)
 |  | Canvas (TCustomControl)
 |  | Caption (TControl)
 |  | CaptureMouseButtons (TControl)
 |  | CaretPos (TCDEdit)
 |  | ChildSizing (TWinControl)
 |  | ClientHeight (TControl)
 | ro | ClientOrigin (TControl)
 | ro | ClientRect (TControl)
 |  | ClientWidth (TControl)
 |  | Color (TControl)
pl | ro | Color (TCDEdit)
 | ro | ComObject (TComponent)
 | ro | ComponentCount (TComponent)
 |  | ComponentIndex (TComponent)
 | ro | Components (TComponent)
 | ro | ComponentState (TComponent)
 | ro | ComponentStyle (TComponent)
 |  | Constraints (TControl)
 | ro | ControlCount (TWinControl)
 | ro | ControlOrigin (TControl)
 | ro | Controls (TWinControl)
 |  | ControlState (TControl)
 |  | ControlStyle (TControl)
pl |  | Cursor (TControl)
 |  | DefWndProc (TWinControl)
 |  | DesignerDeleting (TWinControl)
 |  | DesignInfo (TComponent)
pt |  | DesktopFont (TControl)
 | ro | DockClientCount (TWinControl)
 | ro | DockClients (TWinControl)
 |  | DockManager (TWinControl)
 |  | DockOrientation (TControl)
 |  | DockSite (TWinControl)
 |  | DoubleBuffered (TWinControl)
pt |  | DragCursor (TControl)
pt |  | DragKind (TControl)
pt |  | DragMode (TControl)
pt |  | DrawStyle (TCDControl)
pl | ro | DrawStyle (TCDEdit)
 |  | Enabled (TControl)
pl | ro | Enabled (TCDEdit)
 | ro | Floating (TControl)
 |  | FloatingDockSiteClass (TControl)
 |  | Font (TControl)
 |  | Handle (TWinControl)
pl |  | Height (TControl)
pl |  | HelpContext (TControl)
pl |  | HelpKeyword (TControl)
pl |  | HelpType (TControl)
pl |  | Hint (TControl)
 |  | HostDockSite (TControl)
 |  | IsControl (TControl)
 | ro | IsFlipped (TWinControl)
 | ro | IsResizing (TWinControl)
 | ro | LCLRefCount (TLCLComponent)
pl |  | Left (TControl)
 |  | LeftTextMargin (TCDEdit)
pl |  | Lines (TCDEdit)
 |  | LRDockWidth (TControl)
pt |  | MouseCapture (TControl)
 | ro | MouseEntered (TControl)
 | ro | MouseInClient (TControl)
pl |  | MultiLine (TCDEdit)
 |  | Name (TComponent)
 | ro | Owner (TComponent)
 |  | Parent (TControl)
pt |  | ParentBackground (TWinControl)
 |  | ParentBiDiMode (TControl)
pt |  | ParentColor (TControl)
 |  | ParentDoubleBuffered (TWinControl)
pt |  | ParentFont (TControl)
pt |  | ParentShowHint (TControl)
 |  | ParentWindow (TWinControl)
pl |  | PasswordChar (TCDEdit)
 |  | PopupMenu (TControl)
 | ro | ReadBounds (TControl)
pl |  | ReadOnly (TCDEdit)
 |  | RightTextMargin (TCDEdit)
pt |  | SessionProperties (TControl)
 |  | ShowHint (TControl)
 | ro | Showing (TWinControl)
 |  | TabOrder (TWinControl)
 |  | TabStop (TWinControl)
pl | ro | TabStop (TCDEdit)
 |  | Tag (TComponent)
 |  | TBDockHeight (TControl)
pt |  | Text (TControl)
pl |  | Text (TCDEdit)
pl |  | Top (TControl)
 |  | UndockHeight (TControl)
 |  | UndockWidth (TControl)
 |  | UseDockManager (TWinControl)
 |  | VCLComObject (TComponent)
 |  | Visible (TControl)
 | ro | VisibleDockClientCount (TWinControl)
 | ro | WidgetSetClass (TLCLComponent)
pl |  | Width (TControl)
pt |  | WindowHandle (TWinControl)
 |  | WindowProc (TControl)


TCDEdit
pt | GetControlId
pt | CreateControlStateEx
pt | RealSetText
pt | DoChange
pt | DoEnter
pt | DoExit
pt | KeyDown
pt | KeyUp
pt | UTF8KeyPress
pt | MouseDown
pt | MouseMove
pt | MouseUp
pt | MouseEnter
pt | MouseLeave
 | Create
 | Destroy
 | GetCurrentLine
 | SetCurrentLine
 | GetSelStartX
 | GetSelLength
 | SetSelStartX
 | SetSelLength
TCDControl
pt | CalculatePreferredSize
pt | SetState
pt | PrepareCurrentDrawer
pt | SetDrawStyle
pt | GetClientRect
pt | GetControlId
pt | CreateControlStateEx
pt | PrepareControlState
pt | PrepareControlStateEx
pt | DoEnter
pt | DoExit
pt | MouseEnter
pt | MouseLeave
pt | MouseDown
 | Create
 | Destroy
 | LCLWSCalculatePreferredSize
 | EraseBackground
 | Paint
 | DrawToCanvas
TCustomControl
pt | WSRegisterClass
pt | WMPaint
pt | DestroyWnd
pt | PaintWindow
pt | FontChanged
pt | SetColor
pt | Paint
 | Create
 | Destroy
TWinControl
pt | WSRegisterClass
pt | AdjustClientRect
pt | GetAdjustedLogicalClientRect
pt | AlignControls
pt | CustomAlignInsertBefore
pt | CustomAlignPosition
pt | DoAlignChildControls
pt | DoChildSizingChange
pt | InvalidatePreferredChildSizes
pt | CanTab
pt | IsClientHeightStored
pt | IsClientWidthStored
pt | DoSendShowHideToInterface
pt | ControlsAligned
pt | DoSendBoundsToInterface
pt | RealizeBounds
pt | RealizeBoundsRecursive
pt | InvalidateBoundsRealized
pt | CreateSubClass
pt | DoConstraintsChange
pt | DoSetBounds
pt | DoAutoSize
pt | DoAllAutoSize
pt | AllAutoSized
pt | CalculatePreferredSize
pt | GetPreferredSizeClientFrame
pt | GetChildren
pt | ChildClassAllowed
pt | PaintControls
pt | PaintHandler
pt | PaintWindow
pt | CreateBrush
pt | ScaleControls
pt | ChangeScale
pt | CMBiDiModeChanged
pt | CMBorderChanged
pt | CMDoubleBufferedChanged
pt | CMEnabledChanged
pt | CMParentDoubleBufferedChanged
pt | CMShowingChanged
pt | CMShowHintChanged
pt | CMVisibleChanged
pt | CMEnter
pt | CMExit
pt | WMContextMenu
pt | WMEraseBkgnd
pt | WMNotify
pt | WMSetFocus
pt | WMKillFocus
pt | WMShowWindow
pt | WMEnter
pt | WMExit
pt | WMKeyDown
pt | WMSysKeyDown
pt | WMKeyUp
pt | WMSysKeyUp
pt | WMChar
pt | WMSysChar
pt | WMPaint
pt | WMDestroy
pt | WMMove
pt | WMSize
pt | WMWindowPosChanged
pt | CNKeyDown
pt | CNSysKeyDown
pt | CNKeyUp
pt | CNSysKeyUp
pt | CNChar
pt | DoDragMsg
pt | DoDockClientMsg
pt | DoUndockClientMsg
pt | DoAddDockClient
pt | DockOver
pt | DoDockOver
pt | DoRemoveDockClient
pt | DoUnDock
pt | GetSiteInfo
pt | GetParentHandle
pt | GetTopParentHandle
pt | ReloadDockedControl
pt | CreateDockManager
pt | SetDockManager
pt | DoFloatMsg
pt | DoGetDockCaption
pt | DoEnter
pt | DoExit
pt | DoKeyDownBeforeInterface
pt | DoRemainingKeyDown
pt | DoRemainingKeyUp
pt | DoKeyPress
pt | DoUTF8KeyPress
pt | DoKeyUpBeforeInterface
pt | ChildKey
pt | SendDialogChar
pt | DialogChar
pt | ControlKeyDown
pt | ControlKeyUp
pt | KeyDown
pt | KeyDownBeforeInterface
pt | KeyDownAfterInterface
pt | KeyPress
pt | KeyUp
pt | KeyUpBeforeInterface
pt | KeyUpAfterInterface
pt | UTF8KeyPress
pt | FindNextControl
pt | SelectFirst
pt | RealGetText
pt | GetBorderStyle
pt | GetClientOrigin
pt | GetClientRect
pt | GetControlOrigin
pt | GetDeviceContext
pt | GetParentBackground
pt | IsControlMouseMsg
pt | CreateHandle
pt | CreateParams
pt | CreateWnd
pt | DestroyHandle
pt | DestroyWnd
pt | DoFlipChildren
pt | FinalizeWnd
pt | FixupTabList
pt | FontChanged
pt | InitializeWnd
pt | Loaded
pt | FormEndUpdated
pt | MainWndProc
pt | ParentFormHandleInitialized
pt | ChildHandlesCreated
pt | GetMouseCapture
pt | RealSetText
pt | RemoveFocus
pt | SendMoveSizeMessages
pt | SetBorderStyle
pt | SetColor
pt | SetChildZPosition
pt | SetParentBackground
pt | ShowControl
pt | UpdateControlState
pt | UpdateShowing
pt | WndProc
pt | WSSetText
 | AutoSizePhases
 | AutoSizeDelayed
 | AutoSizeDelayedReport
 | AutoSizeDelayedHandle
 | BeginUpdateBounds
 | EndUpdateBounds
 | LockRealizeBounds
 | UnlockRealizeBounds
 | ControlAtPos
 | ContainsControl
 | DoAdjustClientRectChange
 | InvalidateClientRectCache
 | ClientRectNeedsInterfaceUpdate
 | SetBounds
 | GetChildrenRect
 | DisableAlign
 | EnableAlign
 | ReAlign
 | ScrollBy_WS
 | ScrollBy
 | WriteLayoutDebugReport
 | AutoAdjustLayout
 | Create
 | CreateParented
 | CreateParentedControl
 | Destroy
 | DockDrop
 | CanFocus
 | CanSetFocus
 | GetControlIndex
 | SetControlIndex
 | Focused
 | PerformTab
 | FindChildControl
 | SelectNext
 | SetTempCursor
 | BroadCast
 | NotifyControls
 | DefaultHandler
 | GetTextLen
 | Invalidate
 | AddControl
 | InsertControl
 | RemoveControl
 | GetEnumeratorControls
 | GetEnumeratorControlsReverse
 | Repaint
 | Update
 | SetFocus
 | FlipChildren
 | ScaleBy
 | GetDockCaption
 | UpdateDockCaption
 | GetTabOrderList
 | HandleAllocated
 | ParentHandlesAllocated
 | HandleNeeded
 | BrushCreated
 | EraseBackground
 | IntfUTF8KeyPress
 | IntfGetDropFilesTarget
 | PaintTo
 | SetShape
TControl
pt | WSRegisterClass
pt | GetCursor
pt | SetCursor
pt | SetVisible
pt | DoOnParentHandleDestruction
pt | DoAutoSize
pt | DoAllAutoSize
pt | BeginAutoSizing
pt | EndAutoSizing
pt | AnchorSideChanged
pt | ForeignAnchorSideChanged
pt | SetAlign
pt | SetAnchors
pt | SetAutoSize
pt | BoundsChanged
pt | CreateControlBorderSpacing
pt | DoConstraintsChange
pt | DoBorderSpacingChange
pt | IsBorderSpacingInnerBorderStored
pt | IsCaptionStored
pt | SendMoveSizeMessages
pt | ConstrainedResize
pt | CalculatePreferredSize
pt | DoOnResize
pt | DoOnChangeBounds
pt | CheckOnChangeBounds
pt | Resize
pt | RequestAlign
pt | UpdateAnchorRules
pt | ChangeBounds
pt | DoSetBounds
pt | ScaleConstraints
pt | ChangeScale
pt | CanAutoSize
pt | SetBiDiMode
pt | SetParentBiDiMode
pt | IsAParentAligning
pt | GetClientOrigin
pt | GetClientRect
pt | GetLogicalClientRect
pt | GetScrolledClientRect
pt | GetClientScrollOffset
pt | GetControlOrigin
pt | IsClientHeightStored
pt | IsClientWidthStored
pt | WidthIsAnchored
pt | HeightIsAnchored
pt | WMCancelMode
pt | WMContextMenu
pt | WMLButtonDown
pt | WMRButtonDown
pt | WMMButtonDown
pt | WMXButtonDown
pt | WMLButtonDBLCLK
pt | WMRButtonDBLCLK
pt | WMMButtonDBLCLK
pt | WMXButtonDBLCLK
pt | WMLButtonTripleCLK
pt | WMRButtonTripleCLK
pt | WMMButtonTripleCLK
pt | WMXButtonTripleCLK
pt | WMLButtonQuadCLK
pt | WMRButtonQuadCLK
pt | WMMButtonQuadCLK
pt | WMXButtonQuadCLK
pt | WMMouseMove
pt | WMLButtonUp
pt | WMRButtonUp
pt | WMMButtonUp
pt | WMXButtonUp
pt | WMMouseWheel
pt | WMMouseHWheel
pt | WMMove
pt | WMSize
pt | WMWindowPosChanged
pt | CMChanged
pt | LMCaptureChanged
pt | CMBiDiModeChanged
pt | CMSysFontChanged
pt | CMEnabledChanged
pt | CMHitTest
pt | CMMouseEnter
pt | CMMouseLeave
pt | CMHintShow
pt | CMParentBiDiModeChanged
pt | CMParentColorChanged
pt | CMParentFontChanged
pt | CMParentShowHintChanged
pt | CMVisibleChanged
pt | CMTextChanged
pt | CMCursorChanged
pt | CalculateDockSizes
pt | CreateFloatingDockSite
pt | GetDockEdge
pt | GetDragImages
pt | GetFloating
pt | GetFloatingDockSiteClass
pt | BeforeDragStart
pt | BeginAutoDrag
pt | DoFloatMsg
pt | DockTrackNoTarget
pt | DoDock
pt | DoDragMsg
pt | DoEndDock
pt | DoEndDrag
pt | DoStartDock
pt | DoStartDrag
pt | DragCanceled
pt | DragOver
pt | PositionDockRect
pt | SetDragMode
pt | GetDefaultDockCaption
pt | Click
pt | DblClick
pt | TripleClick
pt | QuadClick
pt | GetMousePosFromMessage
pt | MouseDown
pt | MouseMove
pt | MouseUp
pt | MouseEnter
pt | MouseLeave
pt | DialogChar
pt | UpdateMouseCursor
pt | Changed
pt | GetPalette
pt | ChildClassAllowed
pt | ReadState
pt | Loaded
pt | LoadedAll
pt | DefineProperties
pt | AssignTo
pt | FormEndUpdated
pt | InvalidateControl
pt | FontChanged
pt | ParentFontChanged
pt | GetAction
pt | RealGetText
pt | RealSetText
pt | TextChanged
pt | GetCachedText
pt | SetAction
pt | SetColor
pt | SetEnabled
pt | SetHint
pt | SetName
pt | SetParent
pt | SetParentComponent
pt | WndProc
pt | ParentFormHandleInitialized
pt | GetMouseCapture
pt | CaptureChanged
pt | Notification
pt | CanTab
pt | GetDeviceContext
pt | GetEnabled
pt | GetPopupMenu
pt | DoOnShowHint
pt | DoMouseWheel
pt | DoMouseWheelDown
pt | DoMouseWheelUp
pt | DoMouseWheelHorz
pt | DoMouseWheelLeft
pt | DoMouseWheelRight
pt | VisibleChanging
pt | VisibleChanged
pt | EnabledChanging
pt | EnabledChanged
pt | AddHandler
pt | RemoveHandler
pt | DoCallNotifyHandler
pt | DoCallKeyEventHandler
pt | DoCallMouseWheelEventHandler
pt | DoContextPopup
pt | SetZOrder
pt | GetControlClassDefaultSize
pt | ColorIsStored
pt | DoAutoAdjustLayout
pt | DoFixDesignFontPPI
pt | DoScaleFontPPI
pt | GetActionLinkClass
pt | ActionChange
 | DragDrop
 | Dock
 | ManualDock
 | ManualFloat
 | ReplaceDockedControl
 | Docked
 | Dragging
 | GetAccessibleObject
 | CreateAccessibleObject
 | GetSelectedChildAccessibleObject
 | GetChildAccessibleObjectAtPos
 | ScaleDesignToForm
 | ScaleFormToDesign
 | Scale96ToForm
 | ScaleFormTo96
 | Scale96ToFont
 | ScaleFontTo96
 | ScaleScreenToFont
 | ScaleFontToScreen
 | Scale96ToScreen
 | ScaleScreenTo96
 | AdjustSize
 | AutoSizePhases
 | AutoSizeDelayed
 | AutoSizeDelayedReport
 | AutoSizeDelayedHandle
 | AnchorToNeighbour
 | AnchorParallel
 | AnchorHorizontalCenterTo
 | AnchorVerticalCenterTo
 | AnchorToCompanion
 | AnchorSame
 | AnchorAsAlign
 | AnchorClient
 | AnchoredControlCount
 | SetBounds
 | SetInitialBounds
 | SetBoundsKeepBase
 | GetPreferredSize
 | GetCanvasScaleFactor
 | GetDefaultWidth
 | GetDefaultHeight
 | GetDefaultColor
 | GetColorResolvingParent
 | GetRGBColorResolvingParent
 | GetSidePosition
 | CNPreferredSizeChanged
 | InvalidatePreferredSize
 | GetAnchorsDependingOnParent
 | DisableAutoSizing
 | EnableAutoSizing
 | UpdateBaseBounds
 | WriteLayoutDebugReport
 | AutoAdjustLayout
 | ShouldAutoAdjust
 | FixDesignFontsPPI
 | ScaleFontsPPI
 | Create
 | Destroy
 | BeforeDestruction
 | EditingDone
 | ExecuteDefaultAction
 | ExecuteCancelAction
 | BeginDrag
 | EndDrag
 | BringToFront
 | HasParent
 | GetParentComponent
 | IsParentOf
 | GetTopParent
 | IsVisible
 | IsControlVisible
 | IsEnabled
 | IsParentColor
 | IsParentFont
 | FormIsUpdating
 | IsProcessingPaintMsg
 | Hide
 | Refresh
 | Repaint
 | Invalidate
 | CheckChildClassAllowed
 | CheckNewParent
 | SendToBack
 | SetTempCursor
 | UpdateRolesForForm
 | ActiveDefaultControlChanged
 | GetTextBuf
 | GetTextLen
 | SetTextBuf
 | Perform
 | ScreenToClient
 | ClientToScreen
 | ScreenToControl
 | ControlToScreen
 | ClientToParent
 | ParentToClient
 | GetChildrenRect
 | Show
 | Update
 | HandleObjectShouldBeVisible
 | ParentDestroyingHandle
 | ParentHandlesAllocated
 | InitiateAction
 | ShowHelp
 | HasHelp
 | RemoveAllHandlersOfObject
 | AddHandlerOnResize
 | RemoveHandlerOnResize
 | AddHandlerOnChangeBounds
 | RemoveHandlerOnChangeBounds
 | AddHandlerOnVisibleChanging
 | RemoveHandlerOnVisibleChanging
 | AddHandlerOnVisibleChanged
 | RemoveHandlerOnVisibleChanged
 | AddHandlerOnEnabledChanged
 | RemoveHandlerOnEnableChanging
 | AddHandlerOnKeyDown
 | RemoveHandlerOnKeyDown
 | AddHandlerOnBeforeDestruction
 | RemoveHandlerOnBeforeDestruction
 | AddHandlerOnMouseWheel
 | RemoveHandlerOnMouseWheel
 | UseRightToLeftAlignment
 | UseRightToLeftReading
 | UseRightToLeftScrollBar
 | IsRightToLeft
TLCLComponent
pt | WSRegisterClass
pt | GetWSComponentClass
 | Create
 | Destroy
 | NewInstance
 | RemoveAllHandlersOfObject
 | IncLCLRefCount
 | DecLCLRefCount
TComponent
 | GetComObject
 | GetComponent
 | GetComponentCount
 | GetComponentIndex
 | Insert
 | ReadLeft
 | ReadTop
 | Remove
 | RemoveNotification
 | SetComponentIndex
 | SetReference
 | WriteLeft
 | WriteTop
 | ChangeName
 | DefineProperties
 | GetChildren
 | GetChildOwner
 | GetChildParent
 | GetOwner
 | Loaded
 | Loading
 | Notification
 | PaletteCreated
 | ReadState
 | SetAncestor
 | SetDesigning
 | SetDesignInstance
 | SetInline
 | SetName
 | SetChildOrder
 | SetParentComponent
 | Updating
 | Updated
 | UpdateRegistry
 | ValidateRename
 | ValidateContainer
 | ValidateInsert
 | QueryInterface
 | _AddRef
 | _Release
 | iicrGetComponent
 | GetTypeInfoCount
 | GetTypeInfo
 | GetIDsOfNames
 | Invoke
 | WriteState
 | Create
 | Destroy
 | BeforeDestruction
 | DestroyComponents
 | Destroying
 | ExecuteAction
 | FindComponent
 | FreeNotification
 | RemoveFreeNotification
 | FreeOnRelease
 | GetEnumerator
 | GetNamePath
 | GetParentComponent
 | HasParent
 | InsertComponent
 | RemoveComponent
 | SafeCallException
 | SetSubComponent
 | UpdateAction
 | IsImplementorOf
 | ReferenceInterface
TPersistent
 | AssignError
 | AssignTo
 | DefineProperties
 | GetOwner
 | Destroy
 | Assign
 | FPOAttachObserver
 | FPODetachObserver
 | FPONotifyObservers
 | GetNamePath
TObject
 | Create
 | Destroy
 | newinstance
 | FreeInstance
 | SafeCallException
 | DefaultHandler
 | Free
 | InitInstance
 | CleanupInstance
 | ClassType
 | ClassInfo
 | ClassName
 | ClassNameIs
 | ClassParent
 | InstanceSize
 | InheritsFrom
 | StringMessageTable
 | MethodAddress
 | MethodName
 | FieldAddress
 | AfterConstruction
 | BeforeDestruction
 | DefaultHandlerStr
 | Dispatch
 | DispatchStr
 | GetInterface
 | GetInterfaceByStr
 | GetInterfaceWeak
 | GetInterfaceEntry
 | GetInterfaceEntryByStr
 | GetInterfaceTable
 | UnitName
 | Equals
 | GetHashCode
 | ToString


pt | ActionChange (TControl)
 | ActiveDefaultControlChanged (TControl)
 | AddControl (TWinControl)
pt | AddHandler (TControl)
 | AddHandlerOnBeforeDestruction (TControl)
 | AddHandlerOnChangeBounds (TControl)
 | AddHandlerOnEnabledChanged (TControl)
 | AddHandlerOnKeyDown (TControl)
 | AddHandlerOnMouseWheel (TControl)
 | AddHandlerOnResize (TControl)
 | AddHandlerOnVisibleChanged (TControl)
 | AddHandlerOnVisibleChanging (TControl)
pt | AdjustClientRect (TWinControl)
 | AdjustSize (TControl)
 | AfterConstruction (TObject)
pt | AlignControls (TWinControl)
pt | AllAutoSized (TWinControl)
 | AnchorAsAlign (TControl)
 | AnchorClient (TControl)
 | AnchoredControlCount (TControl)
 | AnchorHorizontalCenterTo (TControl)
 | AnchorParallel (TControl)
 | AnchorSame (TControl)
pt | AnchorSideChanged (TControl)
 | AnchorToCompanion (TControl)
 | AnchorToNeighbour (TControl)
 | AnchorVerticalCenterTo (TControl)
 | Assign (TPersistent)
 | AssignError (TPersistent)
 | AssignTo (TPersistent)
pt | AssignTo (TControl)
 | AutoAdjustLayout (TControl)
 | AutoAdjustLayout (TWinControl)
 | AutoSizeDelayed (TControl)
 | AutoSizeDelayed (TWinControl)
 | AutoSizeDelayedHandle (TControl)
 | AutoSizeDelayedHandle (TWinControl)
 | AutoSizeDelayedReport (TControl)
 | AutoSizeDelayedReport (TWinControl)
 | AutoSizePhases (TControl)
 | AutoSizePhases (TWinControl)
 | BeforeDestruction (TObject)
 | BeforeDestruction (TComponent)
 | BeforeDestruction (TControl)
pt | BeforeDragStart (TControl)
pt | BeginAutoDrag (TControl)
pt | BeginAutoSizing (TControl)
 | BeginDrag (TControl)
 | BeginUpdateBounds (TWinControl)
pt | BoundsChanged (TControl)
 | BringToFront (TControl)
 | BroadCast (TWinControl)
 | BrushCreated (TWinControl)
pt | CalculateDockSizes (TControl)
pt | CalculatePreferredSize (TControl)
pt | CalculatePreferredSize (TWinControl)
pt | CalculatePreferredSize (TCDControl)
pt | CanAutoSize (TControl)
 | CanFocus (TWinControl)
 | CanSetFocus (TWinControl)
pt | CanTab (TControl)
pt | CanTab (TWinControl)
pt | CaptureChanged (TControl)
pt | ChangeBounds (TControl)
pt | Changed (TControl)
 | ChangeName (TComponent)
pt | ChangeScale (TControl)
pt | ChangeScale (TWinControl)
 | CheckChildClassAllowed (TControl)
 | CheckNewParent (TControl)
pt | CheckOnChangeBounds (TControl)
pt | ChildClassAllowed (TControl)
pt | ChildClassAllowed (TWinControl)
pt | ChildHandlesCreated (TWinControl)
pt | ChildKey (TWinControl)
 | ClassInfo (TObject)
 | ClassName (TObject)
 | ClassNameIs (TObject)
 | ClassParent (TObject)
 | ClassType (TObject)
 | CleanupInstance (TObject)
pt | Click (TControl)
 | ClientRectNeedsInterfaceUpdate (TWinControl)
 | ClientToParent (TControl)
 | ClientToScreen (TControl)
pt | CMBiDiModeChanged (TControl)
pt | CMBiDiModeChanged (TWinControl)
pt | CMBorderChanged (TWinControl)
pt | CMChanged (TControl)
pt | CMCursorChanged (TControl)
pt | CMDoubleBufferedChanged (TWinControl)
pt | CMEnabledChanged (TControl)
pt | CMEnabledChanged (TWinControl)
pt | CMEnter (TWinControl)
pt | CMExit (TWinControl)
pt | CMHintShow (TControl)
pt | CMHitTest (TControl)
pt | CMMouseEnter (TControl)
pt | CMMouseLeave (TControl)
pt | CMParentBiDiModeChanged (TControl)
pt | CMParentColorChanged (TControl)
pt | CMParentDoubleBufferedChanged (TWinControl)
pt | CMParentFontChanged (TControl)
pt | CMParentShowHintChanged (TControl)
pt | CMShowHintChanged (TWinControl)
pt | CMShowingChanged (TWinControl)
pt | CMSysFontChanged (TControl)
pt | CMTextChanged (TControl)
pt | CMVisibleChanged (TControl)
pt | CMVisibleChanged (TWinControl)
pt | CNChar (TWinControl)
pt | CNKeyDown (TWinControl)
pt | CNKeyUp (TWinControl)
 | CNPreferredSizeChanged (TControl)
pt | CNSysKeyDown (TWinControl)
pt | CNSysKeyUp (TWinControl)
pt | ColorIsStored (TControl)
pt | ConstrainedResize (TControl)
 | ContainsControl (TWinControl)
 | ControlAtPos (TWinControl)
pt | ControlKeyDown (TWinControl)
pt | ControlKeyUp (TWinControl)
pt | ControlsAligned (TWinControl)
 | ControlToScreen (TControl)
 | Create (TObject)
 | Create (TComponent)
 | Create (TLCLComponent)
 | Create (TControl)
 | Create (TWinControl)
 | Create (TCustomControl)
 | Create (TCDControl)
 | Create (TCDEdit)
 | CreateAccessibleObject (TControl)
pt | CreateBrush (TWinControl)
pt | CreateControlBorderSpacing (TControl)
pt | CreateControlStateEx (TCDControl)
pt | CreateControlStateEx (TCDEdit)
pt | CreateDockManager (TWinControl)
pt | CreateFloatingDockSite (TControl)
pt | CreateHandle (TWinControl)
pt | CreateParams (TWinControl)
 | CreateParented (TWinControl)
 | CreateParentedControl (TWinControl)
pt | CreateSubClass (TWinControl)
pt | CreateWnd (TWinControl)
pt | CustomAlignInsertBefore (TWinControl)
pt | CustomAlignPosition (TWinControl)
pt | DblClick (TControl)
 | DecLCLRefCount (TLCLComponent)
 | DefaultHandler (TObject)
 | DefaultHandler (TWinControl)
 | DefaultHandlerStr (TObject)
 | DefineProperties (TPersistent)
 | DefineProperties (TComponent)
pt | DefineProperties (TControl)
 | Destroy (TObject)
 | Destroy (TPersistent)
 | Destroy (TComponent)
 | Destroy (TLCLComponent)
 | Destroy (TControl)
 | Destroy (TWinControl)
 | Destroy (TCustomControl)
 | Destroy (TCDControl)
 | Destroy (TCDEdit)
 | DestroyComponents (TComponent)
pt | DestroyHandle (TWinControl)
 | Destroying (TComponent)
pt | DestroyWnd (TWinControl)
pt | DestroyWnd (TCustomControl)
pt | DialogChar (TControl)
pt | DialogChar (TWinControl)
 | DisableAlign (TWinControl)
 | DisableAutoSizing (TControl)
 | Dispatch (TObject)
 | DispatchStr (TObject)
pt | DoAddDockClient (TWinControl)
 | DoAdjustClientRectChange (TWinControl)
pt | DoAlignChildControls (TWinControl)
pt | DoAllAutoSize (TControl)
pt | DoAllAutoSize (TWinControl)
pt | DoAutoAdjustLayout (TControl)
pt | DoAutoSize (TControl)
pt | DoAutoSize (TWinControl)
pt | DoBorderSpacingChange (TControl)
pt | DoCallKeyEventHandler (TControl)
pt | DoCallMouseWheelEventHandler (TControl)
pt | DoCallNotifyHandler (TControl)
pt | DoChange (TCDEdit)
pt | DoChildSizingChange (TWinControl)
 | Dock (TControl)
 | DockDrop (TWinControl)
 | Docked (TControl)
pt | DockOver (TWinControl)
pt | DockTrackNoTarget (TControl)
pt | DoConstraintsChange (TControl)
pt | DoConstraintsChange (TWinControl)
pt | DoContextPopup (TControl)
pt | DoDock (TControl)
pt | DoDockClientMsg (TWinControl)
pt | DoDockOver (TWinControl)
pt | DoDragMsg (TControl)
pt | DoDragMsg (TWinControl)
pt | DoEndDock (TControl)
pt | DoEndDrag (TControl)
pt | DoEnter (TWinControl)
pt | DoEnter (TCDControl)
pt | DoEnter (TCDEdit)
pt | DoExit (TWinControl)
pt | DoExit (TCDControl)
pt | DoExit (TCDEdit)
pt | DoFixDesignFontPPI (TControl)
pt | DoFlipChildren (TWinControl)
pt | DoFloatMsg (TControl)
pt | DoFloatMsg (TWinControl)
pt | DoGetDockCaption (TWinControl)
pt | DoKeyDownBeforeInterface (TWinControl)
pt | DoKeyPress (TWinControl)
pt | DoKeyUpBeforeInterface (TWinControl)
pt | DoMouseWheel (TControl)
pt | DoMouseWheelDown (TControl)
pt | DoMouseWheelHorz (TControl)
pt | DoMouseWheelLeft (TControl)
pt | DoMouseWheelRight (TControl)
pt | DoMouseWheelUp (TControl)
pt | DoOnChangeBounds (TControl)
pt | DoOnParentHandleDestruction (TControl)
pt | DoOnResize (TControl)
pt | DoOnShowHint (TControl)
pt | DoRemainingKeyDown (TWinControl)
pt | DoRemainingKeyUp (TWinControl)
pt | DoRemoveDockClient (TWinControl)
pt | DoScaleFontPPI (TControl)
pt | DoSendBoundsToInterface (TWinControl)
pt | DoSendShowHideToInterface (TWinControl)
pt | DoSetBounds (TControl)
pt | DoSetBounds (TWinControl)
pt | DoStartDock (TControl)
pt | DoStartDrag (TControl)
pt | DoUnDock (TWinControl)
pt | DoUndockClientMsg (TWinControl)
pt | DoUTF8KeyPress (TWinControl)
pt | DragCanceled (TControl)
 | DragDrop (TControl)
 | Dragging (TControl)
pt | DragOver (TControl)
 | DrawToCanvas (TCDControl)
 | EditingDone (TControl)
 | EnableAlign (TWinControl)
 | EnableAutoSizing (TControl)
pt | EnabledChanged (TControl)
pt | EnabledChanging (TControl)
pt | EndAutoSizing (TControl)
 | EndDrag (TControl)
 | EndUpdateBounds (TWinControl)
 | Equals (TObject)
 | EraseBackground (TWinControl)
 | EraseBackground (TCDControl)
 | ExecuteAction (TComponent)
 | ExecuteCancelAction (TControl)
 | ExecuteDefaultAction (TControl)
 | FieldAddress (TObject)
pt | FinalizeWnd (TWinControl)
 | FindChildControl (TWinControl)
 | FindComponent (TComponent)
pt | FindNextControl (TWinControl)
 | FixDesignFontsPPI (TControl)
pt | FixupTabList (TWinControl)
 | FlipChildren (TWinControl)
 | Focused (TWinControl)
pt | FontChanged (TControl)
pt | FontChanged (TWinControl)
pt | FontChanged (TCustomControl)
pt | ForeignAnchorSideChanged (TControl)
pt | FormEndUpdated (TControl)
pt | FormEndUpdated (TWinControl)
 | FormIsUpdating (TControl)
 | FPOAttachObserver (TPersistent)
 | FPODetachObserver (TPersistent)
 | FPONotifyObservers (TPersistent)
 | Free (TObject)
 | FreeInstance (TObject)
 | FreeNotification (TComponent)
 | FreeOnRelease (TComponent)
 | GetAccessibleObject (TControl)
pt | GetAction (TControl)
pt | GetActionLinkClass (TControl)
pt | GetAdjustedLogicalClientRect (TWinControl)
 | GetAnchorsDependingOnParent (TControl)
pt | GetBorderStyle (TWinControl)
pt | GetCachedText (TControl)
 | GetCanvasScaleFactor (TControl)
 | GetChildAccessibleObjectAtPos (TControl)
 | GetChildOwner (TComponent)
 | GetChildParent (TComponent)
 | GetChildren (TComponent)
pt | GetChildren (TWinControl)
 | GetChildrenRect (TControl)
 | GetChildrenRect (TWinControl)
pt | GetClientOrigin (TControl)
pt | GetClientOrigin (TWinControl)
pt | GetClientRect (TControl)
pt | GetClientRect (TWinControl)
pt | GetClientRect (TCDControl)
pt | GetClientScrollOffset (TControl)
 | GetColorResolvingParent (TControl)
 | GetComObject (TComponent)
 | GetComponent (TComponent)
 | GetComponentCount (TComponent)
 | GetComponentIndex (TComponent)
pt | GetControlClassDefaultSize (TControl)
pt | GetControlId (TCDControl)
pt | GetControlId (TCDEdit)
 | GetControlIndex (TWinControl)
pt | GetControlOrigin (TControl)
pt | GetControlOrigin (TWinControl)
 | GetCurrentLine (TCDEdit)
pt | GetCursor (TControl)
 | GetDefaultColor (TControl)
pt | GetDefaultDockCaption (TControl)
 | GetDefaultHeight (TControl)
 | GetDefaultWidth (TControl)
pt | GetDeviceContext (TControl)
pt | GetDeviceContext (TWinControl)
 | GetDockCaption (TWinControl)
pt | GetDockEdge (TControl)
pt | GetDragImages (TControl)
pt | GetEnabled (TControl)
 | GetEnumerator (TComponent)
 | GetEnumeratorControls (TWinControl)
 | GetEnumeratorControlsReverse (TWinControl)
pt | GetFloating (TControl)
pt | GetFloatingDockSiteClass (TControl)
 | GetHashCode (TObject)
 | GetIDsOfNames (TComponent)
 | GetInterface (TObject)
 | GetInterfaceByStr (TObject)
 | GetInterfaceEntry (TObject)
 | GetInterfaceEntryByStr (TObject)
 | GetInterfaceTable (TObject)
 | GetInterfaceWeak (TObject)
pt | GetLogicalClientRect (TControl)
pt | GetMouseCapture (TControl)
pt | GetMouseCapture (TWinControl)
pt | GetMousePosFromMessage (TControl)
 | GetNamePath (TPersistent)
 | GetNamePath (TComponent)
 | GetOwner (TPersistent)
 | GetOwner (TComponent)
pt | GetPalette (TControl)
pt | GetParentBackground (TWinControl)
 | GetParentComponent (TComponent)
 | GetParentComponent (TControl)
pt | GetParentHandle (TWinControl)
pt | GetPopupMenu (TControl)
 | GetPreferredSize (TControl)
pt | GetPreferredSizeClientFrame (TWinControl)
 | GetRGBColorResolvingParent (TControl)
pt | GetScrolledClientRect (TControl)
 | GetSelectedChildAccessibleObject (TControl)
 | GetSelLength (TCDEdit)
 | GetSelStartX (TCDEdit)
 | GetSidePosition (TControl)
pt | GetSiteInfo (TWinControl)
 | GetTabOrderList (TWinControl)
 | GetTextBuf (TControl)
 | GetTextLen (TControl)
 | GetTextLen (TWinControl)
 | GetTopParent (TControl)
pt | GetTopParentHandle (TWinControl)
 | GetTypeInfo (TComponent)
 | GetTypeInfoCount (TComponent)
pt | GetWSComponentClass (TLCLComponent)
 | HandleAllocated (TWinControl)
 | HandleNeeded (TWinControl)
 | HandleObjectShouldBeVisible (TControl)
 | HasHelp (TControl)
 | HasParent (TComponent)
 | HasParent (TControl)
pt | HeightIsAnchored (TControl)
 | Hide (TControl)
 | iicrGetComponent (TComponent)
 | IncLCLRefCount (TLCLComponent)
 | InheritsFrom (TObject)
pt | InitializeWnd (TWinControl)
 | InitiateAction (TControl)
 | InitInstance (TObject)
 | Insert (TComponent)
 | InsertComponent (TComponent)
 | InsertControl (TWinControl)
 | InstanceSize (TObject)
 | IntfGetDropFilesTarget (TWinControl)
 | IntfUTF8KeyPress (TWinControl)
 | Invalidate (TControl)
 | Invalidate (TWinControl)
pt | InvalidateBoundsRealized (TWinControl)
 | InvalidateClientRectCache (TWinControl)
pt | InvalidateControl (TControl)
pt | InvalidatePreferredChildSizes (TWinControl)
 | InvalidatePreferredSize (TControl)
 | Invoke (TComponent)
pt | IsAParentAligning (TControl)
pt | IsBorderSpacingInnerBorderStored (TControl)
pt | IsCaptionStored (TControl)
pt | IsClientHeightStored (TControl)
pt | IsClientHeightStored (TWinControl)
pt | IsClientWidthStored (TControl)
pt | IsClientWidthStored (TWinControl)
pt | IsControlMouseMsg (TWinControl)
 | IsControlVisible (TControl)
 | IsEnabled (TControl)
 | IsImplementorOf (TComponent)
 | IsParentColor (TControl)
 | IsParentFont (TControl)
 | IsParentOf (TControl)
 | IsProcessingPaintMsg (TControl)
 | IsRightToLeft (TControl)
 | IsVisible (TControl)
pt | KeyDown (TWinControl)
pt | KeyDown (TCDEdit)
pt | KeyDownAfterInterface (TWinControl)
pt | KeyDownBeforeInterface (TWinControl)
pt | KeyPress (TWinControl)
pt | KeyUp (TWinControl)
pt | KeyUp (TCDEdit)
pt | KeyUpAfterInterface (TWinControl)
pt | KeyUpBeforeInterface (TWinControl)
 | LCLWSCalculatePreferredSize (TCDControl)
pt | LMCaptureChanged (TControl)
 | Loaded (TComponent)
pt | Loaded (TControl)
pt | Loaded (TWinControl)
pt | LoadedAll (TControl)
 | Loading (TComponent)
 | LockRealizeBounds (TWinControl)
pt | MainWndProc (TWinControl)
 | ManualDock (TControl)
 | ManualFloat (TControl)
 | MethodAddress (TObject)
 | MethodName (TObject)
pt | MouseDown (TControl)
pt | MouseDown (TCDControl)
pt | MouseDown (TCDEdit)
pt | MouseEnter (TControl)
pt | MouseEnter (TCDControl)
pt | MouseEnter (TCDEdit)
pt | MouseLeave (TControl)
pt | MouseLeave (TCDControl)
pt | MouseLeave (TCDEdit)
pt | MouseMove (TControl)
pt | MouseMove (TCDEdit)
pt | MouseUp (TControl)
pt | MouseUp (TCDEdit)
 | newinstance (TObject)
 | NewInstance (TLCLComponent)
 | Notification (TComponent)
pt | Notification (TControl)
 | NotifyControls (TWinControl)
pt | Paint (TCustomControl)
 | Paint (TCDControl)
pt | PaintControls (TWinControl)
pt | PaintHandler (TWinControl)
 | PaintTo (TWinControl)
pt | PaintWindow (TWinControl)
pt | PaintWindow (TCustomControl)
 | PaletteCreated (TComponent)
 | ParentDestroyingHandle (TControl)
pt | ParentFontChanged (TControl)
pt | ParentFormHandleInitialized (TControl)
pt | ParentFormHandleInitialized (TWinControl)
 | ParentHandlesAllocated (TControl)
 | ParentHandlesAllocated (TWinControl)
 | ParentToClient (TControl)
 | Perform (TControl)
 | PerformTab (TWinControl)
pt | PositionDockRect (TControl)
pt | PrepareControlState (TCDControl)
pt | PrepareControlStateEx (TCDControl)
pt | PrepareCurrentDrawer (TCDControl)
pt | QuadClick (TControl)
 | QueryInterface (TComponent)
 | ReadLeft (TComponent)
 | ReadState (TComponent)
pt | ReadState (TControl)
 | ReadTop (TComponent)
pt | RealGetText (TControl)
pt | RealGetText (TWinControl)
 | ReAlign (TWinControl)
pt | RealizeBounds (TWinControl)
pt | RealizeBoundsRecursive (TWinControl)
pt | RealSetText (TControl)
pt | RealSetText (TWinControl)
pt | RealSetText (TCDEdit)
 | ReferenceInterface (TComponent)
 | Refresh (TControl)
pt | ReloadDockedControl (TWinControl)
 | Remove (TComponent)
 | RemoveAllHandlersOfObject (TLCLComponent)
 | RemoveAllHandlersOfObject (TControl)
 | RemoveComponent (TComponent)
 | RemoveControl (TWinControl)
pt | RemoveFocus (TWinControl)
 | RemoveFreeNotification (TComponent)
pt | RemoveHandler (TControl)
 | RemoveHandlerOnBeforeDestruction (TControl)
 | RemoveHandlerOnChangeBounds (TControl)
 | RemoveHandlerOnEnableChanging (TControl)
 | RemoveHandlerOnKeyDown (TControl)
 | RemoveHandlerOnMouseWheel (TControl)
 | RemoveHandlerOnResize (TControl)
 | RemoveHandlerOnVisibleChanged (TControl)
 | RemoveHandlerOnVisibleChanging (TControl)
 | RemoveNotification (TComponent)
 | Repaint (TControl)
 | Repaint (TWinControl)
 | ReplaceDockedControl (TControl)
pt | RequestAlign (TControl)
pt | Resize (TControl)
 | SafeCallException (TObject)
 | SafeCallException (TComponent)
 | Scale96ToFont (TControl)
 | Scale96ToForm (TControl)
 | Scale96ToScreen (TControl)
 | ScaleBy (TWinControl)
pt | ScaleConstraints (TControl)
pt | ScaleControls (TWinControl)
 | ScaleDesignToForm (TControl)
 | ScaleFontsPPI (TControl)
 | ScaleFontTo96 (TControl)
 | ScaleFontToScreen (TControl)
 | ScaleFormTo96 (TControl)
 | ScaleFormToDesign (TControl)
 | ScaleScreenTo96 (TControl)
 | ScaleScreenToFont (TControl)
 | ScreenToClient (TControl)
 | ScreenToControl (TControl)
 | ScrollBy (TWinControl)
 | ScrollBy_WS (TWinControl)
pt | SelectFirst (TWinControl)
 | SelectNext (TWinControl)
pt | SendDialogChar (TWinControl)
pt | SendMoveSizeMessages (TControl)
pt | SendMoveSizeMessages (TWinControl)
 | SendToBack (TControl)
pt | SetAction (TControl)
pt | SetAlign (TControl)
 | SetAncestor (TComponent)
pt | SetAnchors (TControl)
pt | SetAutoSize (TControl)
pt | SetBiDiMode (TControl)
pt | SetBorderStyle (TWinControl)
 | SetBounds (TControl)
 | SetBounds (TWinControl)
 | SetBoundsKeepBase (TControl)
 | SetChildOrder (TComponent)
pt | SetChildZPosition (TWinControl)
pt | SetColor (TControl)
pt | SetColor (TWinControl)
pt | SetColor (TCustomControl)
 | SetComponentIndex (TComponent)
 | SetControlIndex (TWinControl)
 | SetCurrentLine (TCDEdit)
pt | SetCursor (TControl)
 | SetDesigning (TComponent)
 | SetDesignInstance (TComponent)
pt | SetDockManager (TWinControl)
pt | SetDragMode (TControl)
pt | SetDrawStyle (TCDControl)
pt | SetEnabled (TControl)
 | SetFocus (TWinControl)
pt | SetHint (TControl)
 | SetInitialBounds (TControl)
 | SetInline (TComponent)
 | SetName (TComponent)
pt | SetName (TControl)
pt | SetParent (TControl)
pt | SetParentBackground (TWinControl)
pt | SetParentBiDiMode (TControl)
 | SetParentComponent (TComponent)
pt | SetParentComponent (TControl)
 | SetReference (TComponent)
 | SetSelLength (TCDEdit)
 | SetSelStartX (TCDEdit)
 | SetShape (TWinControl)
pt | SetState (TCDControl)
 | SetSubComponent (TComponent)
 | SetTempCursor (TControl)
 | SetTempCursor (TWinControl)
 | SetTextBuf (TControl)
pt | SetVisible (TControl)
pt | SetZOrder (TControl)
 | ShouldAutoAdjust (TControl)
 | Show (TControl)
pt | ShowControl (TWinControl)
 | ShowHelp (TControl)
 | StringMessageTable (TObject)
pt | TextChanged (TControl)
 | ToString (TObject)
pt | TripleClick (TControl)
 | UnitName (TObject)
 | UnlockRealizeBounds (TWinControl)
 | Update (TControl)
 | Update (TWinControl)
 | UpdateAction (TComponent)
pt | UpdateAnchorRules (TControl)
 | UpdateBaseBounds (TControl)
pt | UpdateControlState (TWinControl)
 | Updated (TComponent)
 | UpdateDockCaption (TWinControl)
pt | UpdateMouseCursor (TControl)
 | UpdateRegistry (TComponent)
 | UpdateRolesForForm (TControl)
pt | UpdateShowing (TWinControl)
 | Updating (TComponent)
 | UseRightToLeftAlignment (TControl)
 | UseRightToLeftReading (TControl)
 | UseRightToLeftScrollBar (TControl)
pt | UTF8KeyPress (TWinControl)
pt | UTF8KeyPress (TCDEdit)
 | ValidateContainer (TComponent)
 | ValidateInsert (TComponent)
 | ValidateRename (TComponent)
pt | VisibleChanged (TControl)
pt | VisibleChanging (TControl)
pt | WidthIsAnchored (TControl)
pt | WMCancelMode (TControl)
pt | WMChar (TWinControl)
pt | WMContextMenu (TControl)
pt | WMContextMenu (TWinControl)
pt | WMDestroy (TWinControl)
pt | WMEnter (TWinControl)
pt | WMEraseBkgnd (TWinControl)
pt | WMExit (TWinControl)
pt | WMKeyDown (TWinControl)
pt | WMKeyUp (TWinControl)
pt | WMKillFocus (TWinControl)
pt | WMLButtonDBLCLK (TControl)
pt | WMLButtonDown (TControl)
pt | WMLButtonQuadCLK (TControl)
pt | WMLButtonTripleCLK (TControl)
pt | WMLButtonUp (TControl)
pt | WMMButtonDBLCLK (TControl)
pt | WMMButtonDown (TControl)
pt | WMMButtonQuadCLK (TControl)
pt | WMMButtonTripleCLK (TControl)
pt | WMMButtonUp (TControl)
pt | WMMouseHWheel (TControl)
pt | WMMouseMove (TControl)
pt | WMMouseWheel (TControl)
pt | WMMove (TControl)
pt | WMMove (TWinControl)
pt | WMNotify (TWinControl)
pt | WMPaint (TWinControl)
pt | WMPaint (TCustomControl)
pt | WMRButtonDBLCLK (TControl)
pt | WMRButtonDown (TControl)
pt | WMRButtonQuadCLK (TControl)
pt | WMRButtonTripleCLK (TControl)
pt | WMRButtonUp (TControl)
pt | WMSetFocus (TWinControl)
pt | WMShowWindow (TWinControl)
pt | WMSize (TControl)
pt | WMSize (TWinControl)
pt | WMSysChar (TWinControl)
pt | WMSysKeyDown (TWinControl)
pt | WMSysKeyUp (TWinControl)
pt | WMWindowPosChanged (TControl)
pt | WMWindowPosChanged (TWinControl)
pt | WMXButtonDBLCLK (TControl)
pt | WMXButtonDown (TControl)
pt | WMXButtonQuadCLK (TControl)
pt | WMXButtonTripleCLK (TControl)
pt | WMXButtonUp (TControl)
pt | WndProc (TControl)
pt | WndProc (TWinControl)
 | WriteLayoutDebugReport (TControl)
 | WriteLayoutDebugReport (TWinControl)
 | WriteLeft (TComponent)
 | WriteState (TComponent)
 | WriteTop (TComponent)
pt | WSRegisterClass (TLCLComponent)
pt | WSRegisterClass (TControl)
pt | WSRegisterClass (TWinControl)
pt | WSRegisterClass (TCustomControl)
pt | WSSetText (TWinControl)
 | _AddRef (TComponent)
 | _Release (TComponent)


TCDEdit
pl | OnChange
TCDControl
TCustomControl
 | OnPaint
TWinControl
pt | OnGetSiteInfo
pt | OnGetDockCaption
 | OnAlignInsertBefore
 | OnAlignPosition
 | OnDockDrop
 | OnDockOver
 | OnEnter
 | OnExit
 | OnKeyDown
 | OnKeyPress
 | OnKeyUp
 | OnUnDock
 | OnUTF8KeyPress
TControl
pt | OnConstrainedResize
pt | OnContextPopup
pt | OnDblClick
pt | OnTripleClick
pt | OnQuadClick
pt | OnDragDrop
pt | OnDragOver
pt | OnEndDock
pt | OnEndDrag
pt | OnMouseDown
pt | OnMouseMove
pt | OnMouseUp
pt | OnMouseEnter
pt | OnMouseLeave
pt | OnMouseWheel
pt | OnMouseWheelDown
pt | OnMouseWheelUp
pt | OnMouseWheelHorz
pt | OnMouseWheelLeft
pt | OnMouseWheelRight
pt | OnStartDock
pt | OnStartDrag
pt | OnEditingDone
 | OnChangeBounds
 | OnClick
 | OnResize
 | OnShowHint
TLCLComponent
TComponent
TPersistent
TObject


TCDEdit.Align

Declaration

Source position: customdrawncontrols.pas line 253

published property TCDEdit.Align : TAlign;


TCDEdit.Anchors

Declaration

Source position: customdrawncontrols.pas line 254

published property TCDEdit.Anchors : TAnchors;


TCDEdit.AutoSize

Declaration

Source position: customdrawncontrols.pas line 255

published property TCDEdit.AutoSize : Boolean;


TCDEdit.CaretPos

Declaration

Source position: customdrawncontrols.pas line 251

public property TCDEdit.CaretPos : TPoint
  read GetCaretPos
  write SetCaretPost;


TCDEdit.Color

Declaration

Source position: customdrawncontrols.pas line 256

published property TCDEdit.Color : TColor;


TCDEdit.Create

Declaration

Source position: customdrawncontrols.pas line 240

public constructor TCDEdit.Create(

  AOwner: TComponent

); override;


TCDEdit.CreateControlStateEx

Declaration

Source position: customdrawncontrols.pas line 222

protected procedure TCDEdit.CreateControlStateEx; override;


TCDEdit.Destroy

Declaration

Source position: customdrawncontrols.pas line 241

public destructor TCDEdit.Destroy; override;


TCDEdit.DoChange

Declaration

Source position: customdrawncontrols.pas line 225

protected procedure TCDEdit.DoChange; virtual;


TCDEdit.DoEnter

Declaration

Source position: customdrawncontrols.pas line 227

protected procedure TCDEdit.DoEnter; override;


TCDEdit.DoExit

Declaration

Source position: customdrawncontrols.pas line 228

protected procedure TCDEdit.DoExit; override;


TCDEdit.DrawStyle

Declaration

Source position: customdrawncontrols.pas line 257

published property TCDEdit.DrawStyle : TCDDrawStyle;


TCDEdit.Enabled

Declaration

Source position: customdrawncontrols.pas line 258

published property TCDEdit.Enabled : Boolean;


TCDEdit.FEditState

Declaration

Source position: customdrawncontrols.pas line 220

protected TCDEdit.FEditState : TCDEditStateEx;


TCDEdit.GetControlId

Declaration

Source position: customdrawncontrols.pas line 221

protected function TCDEdit.GetControlId: TCDControlID; override;


TCDEdit.GetCurrentLine

Declaration

Source position: customdrawncontrols.pas line 242

public function TCDEdit.GetCurrentLine: string;


TCDEdit.GetSelLength

Declaration

Source position: customdrawncontrols.pas line 248

public function TCDEdit.GetSelLength: Integer;


TCDEdit.GetSelStartX

Declaration

Source position: customdrawncontrols.pas line 247

public function TCDEdit.GetSelStartX: Integer;


TCDEdit.KeyDown

Declaration

Source position: customdrawncontrols.pas line 229

protected procedure TCDEdit.KeyDown(

  var Key: Word;

  Shift: TShiftState

); override;


TCDEdit.KeyUp

Declaration

Source position: customdrawncontrols.pas line 230

protected procedure TCDEdit.KeyUp(

  var Key: Word;

  Shift: TShiftState

); override;


TCDEdit.LeftTextMargin

Declaration

Source position: customdrawncontrols.pas line 244

public property TCDEdit.LeftTextMargin : Integer
  read GetLeftTextMargin
  write SetLeftTextMargin;


TCDEdit.Lines

Declaration

Source position: customdrawncontrols.pas line 259

published property TCDEdit.Lines : TStrings
  read FLines
  write SetLines;


TCDEdit.MouseDown

Declaration

Source position: customdrawncontrols.pas line 233

protected procedure TCDEdit.MouseDown(

  Button: TMouseButton;

  Shift: TShiftState;

  X: Integer;

  Y: Integer

); override;


TCDEdit.MouseEnter

Declaration

Source position: customdrawncontrols.pas line 237

protected procedure TCDEdit.MouseEnter; override;


TCDEdit.MouseLeave

Declaration

Source position: customdrawncontrols.pas line 238

protected procedure TCDEdit.MouseLeave; override;


TCDEdit.MouseMove

Declaration

Source position: customdrawncontrols.pas line 235

protected procedure TCDEdit.MouseMove(

  Shift: TShiftState;

  X: Integer;

  Y: Integer

); override;


TCDEdit.MouseUp

Declaration

Source position: customdrawncontrols.pas line 236

protected procedure TCDEdit.MouseUp(

  Button: TMouseButton;

  Shift: TShiftState;

  X: Integer;

  Y: Integer

); override;


TCDEdit.MultiLine

Declaration

Source position: customdrawncontrols.pas line 260

published property TCDEdit.MultiLine : Boolean
  read GetMultiLine
  write SetMultiLine
  default False;


TCDEdit.OnChange

Declaration

Source position: customdrawncontrols.pas line 265

published property TCDEdit.OnChange : TNotifyEvent
  read FOnChange
  write FOnChange;


TCDEdit.PasswordChar

Declaration

Source position: customdrawncontrols.pas line 261

published property TCDEdit.PasswordChar : Char
  read GetPasswordChar
  write SetPasswordChar
  default #0;


TCDEdit.ReadOnly

Declaration

Source position: customdrawncontrols.pas line 262

published property TCDEdit.ReadOnly : Boolean
  read FReadOnly
  write FReadOnly
  default False;


TCDEdit.RealSetText

Declaration

Source position: customdrawncontrols.pas line 223

protected procedure TCDEdit.RealSetText(

  const Value: TCaption

); override;


TCDEdit.RightTextMargin

Declaration

Source position: customdrawncontrols.pas line 245

public property TCDEdit.RightTextMargin : Integer
  read GetRightTextMargin
  write SetRightTextMargin;


TCDEdit.SetCurrentLine

Declaration

Source position: customdrawncontrols.pas line 243

public procedure TCDEdit.SetCurrentLine(

  AStr: string

);


TCDEdit.SetSelLength

Declaration

Source position: customdrawncontrols.pas line 250

public procedure TCDEdit.SetSelLength(

  ANewLength: Integer

);


TCDEdit.SetSelStartX

Declaration

Source position: customdrawncontrols.pas line 249

public procedure TCDEdit.SetSelStartX(

  ANewX: Integer

);


TCDEdit.TabStop

Declaration

Source position: customdrawncontrols.pas line 263

published property TCDEdit.TabStop : Boolean
  default True;


TCDEdit.Text

Declaration

Source position: customdrawncontrols.pas line 264

published property TCDEdit.Text : string
  read GetText
  write SetText
  stored False;


TCDEdit.UTF8KeyPress

Declaration

Source position: customdrawncontrols.pas line 231

protected procedure TCDEdit.UTF8KeyPress(

  var UTF8Key: TUTF8Char

); override;


TCDGroupBox

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Declaration

Source position: customdrawncontrols.pas line 419

type TCDGroupBox = class(TCDControl)

protected

  function GetControlId; override;

  procedure RealSetText(); override;

public

  constructor Create(); override;

  destructor Destroy; override;

published

  property AutoSize: Boolean;

  property Caption: TCaption;

  property DrawStyle: TCDDrawStyle;

  property Enabled: Boolean;

  property TabStop: Boolean;

end;

Inheritance

TCDGroupBox |
|
TCDControl |
|
TCustomControl | The base class for windowed controls which paint themselves.
|
TWinControl | The base class for controls which can contain other (child) controls.
|
TControl | The base class for visible controls.
|
TLCLComponent | The base class for LCL components associated with widgets.
|
TComponent,IUnknown,IInterfaceComponentReference
|
TPersistent,IFPObserved
|
TObject


TCDGroupBox
pl | ro | AutoSize
pl | ro | Caption
pl | ro | DrawStyle
pl | ro | Enabled
pl | ro | TabStop
TCDControl
pt |  | DrawStyle
TCustomControl
 |  | Canvas
 | ro | BorderStyle
TWinControl
pt |  | WindowHandle
pt |  | BorderStyle
pt |  | ParentBackground
 |  | BorderWidth
 | ro | BoundsLockCount
 | ro | Brush
 | ro | CachedClientHeight
 | ro | CachedClientWidth
 |  | ChildSizing
 | ro | ControlCount
 | ro | Controls
 |  | DefWndProc
 | ro | DockClientCount
 | ro | DockClients
 |  | DockManager
 |  | DockSite
 |  | DoubleBuffered
 |  | Handle
 | ro | IsFlipped
 | ro | IsResizing
 |  | TabOrder
 |  | TabStop
 |  | ParentDoubleBuffered
 |  | ParentWindow
 | ro | Showing
 |  | UseDockManager
 |  | DesignerDeleting
 | ro | VisibleDockClientCount
TControl
pt | ro | AutoSizing
pt | ro | AutoSizingAll
pt | ro | AutoSizingLockCount
pt |  | ActionLink
pt |  | DesktopFont
pt |  | DragCursor
pt |  | DragKind
pt |  | DragMode
pt |  | MouseCapture
pt |  | ParentColor
pt |  | ParentFont
pt |  | ParentShowHint
pt |  | SessionProperties
pt |  | Text
 | ro | AnchoredControls
 | ro | BaseBounds
 | ro | ReadBounds
 | ro | BaseParentClientSize
 |  | AccessibleDescription
 |  | AccessibleValue
 |  | AccessibleRole
 |  | Action
 |  | Align
 |  | Anchors
 | ro | AnchorSide
 |  | AutoSize
 |  | BorderSpacing
 |  | BoundsRect
 |  | BoundsRectForNewParent
 |  | Caption
 |  | CaptureMouseButtons
 |  | ClientHeight
 | ro | ClientOrigin
 | ro | ClientRect
 |  | ClientWidth
 |  | Color
 |  | Constraints
 | ro | ControlOrigin
 |  | ControlState
 |  | ControlStyle
 |  | Enabled
 |  | Font
 |  | IsControl
 | ro | MouseEntered
 | ro | MouseInClient
 |  | Parent
 |  | PopupMenu
 |  | ShowHint
 |  | Visible
 |  | WindowProc
 |  | DockOrientation
 | ro | Floating
 |  | FloatingDockSiteClass
 |  | HostDockSite
 |  | LRDockWidth
 |  | TBDockHeight
 |  | UndockHeight
 |  | UndockWidth
 |  | BiDiMode
 |  | ParentBiDiMode
pl |  | AnchorSideLeft
pl |  | AnchorSideTop
pl |  | AnchorSideRight
pl |  | AnchorSideBottom
pl |  | Cursor
pl |  | Left
pl |  | Height
pl |  | Hint
pl |  | Top
pl |  | Width
pl |  | HelpType
pl |  | HelpKeyword
pl |  | HelpContext
TLCLComponent
 | ro | LCLRefCount
 | ro | WidgetSetClass
TComponent
 | ro | ComObject
 | ro | Components
 | ro | ComponentCount
 |  | ComponentIndex
 | ro | ComponentState
 | ro | ComponentStyle
 |  | DesignInfo
 | ro | Owner
 |  | VCLComObject
 |  | Name
 |  | Tag
TPersistent
TObject


 |  | AccessibleDescription (TControl)
 |  | AccessibleRole (TControl)
 |  | AccessibleValue (TControl)
 |  | Action (TControl)
pt |  | ActionLink (TControl)
 |  | Align (TControl)
 | ro | AnchoredControls (TControl)
 |  | Anchors (TControl)
 | ro | AnchorSide (TControl)
pl |  | AnchorSideBottom (TControl)
pl |  | AnchorSideLeft (TControl)
pl |  | AnchorSideRight (TControl)
pl |  | AnchorSideTop (TControl)
 |  | AutoSize (TControl)
pl | ro | AutoSize (TCDGroupBox)
pt | ro | AutoSizing (TControl)
pt | ro | AutoSizingAll (TControl)
pt | ro | AutoSizingLockCount (TControl)
 | ro | BaseBounds (TControl)
 | ro | BaseParentClientSize (TControl)
 |  | BiDiMode (TControl)
 |  | BorderSpacing (TControl)
pt |  | BorderStyle (TWinControl)
 | ro | BorderStyle (TCustomControl)
 |  | BorderWidth (TWinControl)
 | ro | BoundsLockCount (TWinControl)
 |  | BoundsRect (TControl)
 |  | BoundsRectForNewParent (TControl)
 | ro | Brush (TWinControl)
 | ro | CachedClientHeight (TWinControl)
 | ro | CachedClientWidth (TWinControl)
 |  | Canvas (TCustomControl)
 |  | Caption (TControl)
pl | ro | Caption (TCDGroupBox)
 |  | CaptureMouseButtons (TControl)
 |  | ChildSizing (TWinControl)
 |  | ClientHeight (TControl)
 | ro | ClientOrigin (TControl)
 | ro | ClientRect (TControl)
 |  | ClientWidth (TControl)
 |  | Color (TControl)
 | ro | ComObject (TComponent)
 | ro | ComponentCount (TComponent)
 |  | ComponentIndex (TComponent)
 | ro | Components (TComponent)
 | ro | ComponentState (TComponent)
 | ro | ComponentStyle (TComponent)
 |  | Constraints (TControl)
 | ro | ControlCount (TWinControl)
 | ro | ControlOrigin (TControl)
 | ro | Controls (TWinControl)
 |  | ControlState (TControl)
 |  | ControlStyle (TControl)
pl |  | Cursor (TControl)
 |  | DefWndProc (TWinControl)
 |  | DesignerDeleting (TWinControl)
 |  | DesignInfo (TComponent)
pt |  | DesktopFont (TControl)
 | ro | DockClientCount (TWinControl)
 | ro | DockClients (TWinControl)
 |  | DockManager (TWinControl)
 |  | DockOrientation (TControl)
 |  | DockSite (TWinControl)
 |  | DoubleBuffered (TWinControl)
pt |  | DragCursor (TControl)
pt |  | DragKind (TControl)
pt |  | DragMode (TControl)
pt |  | DrawStyle (TCDControl)
pl | ro | DrawStyle (TCDGroupBox)
 |  | Enabled (TControl)
pl | ro | Enabled (TCDGroupBox)
 | ro | Floating (TControl)
 |  | FloatingDockSiteClass (TControl)
 |  | Font (TControl)
 |  | Handle (TWinControl)
pl |  | Height (TControl)
pl |  | HelpContext (TControl)
pl |  | HelpKeyword (TControl)
pl |  | HelpType (TControl)
pl |  | Hint (TControl)
 |  | HostDockSite (TControl)
 |  | IsControl (TControl)
 | ro | IsFlipped (TWinControl)
 | ro | IsResizing (TWinControl)
 | ro | LCLRefCount (TLCLComponent)
pl |  | Left (TControl)
 |  | LRDockWidth (TControl)
pt |  | MouseCapture (TControl)
 | ro | MouseEntered (TControl)
 | ro | MouseInClient (TControl)
 |  | Name (TComponent)
 | ro | Owner (TComponent)
 |  | Parent (TControl)
pt |  | ParentBackground (TWinControl)
 |  | ParentBiDiMode (TControl)
pt |  | ParentColor (TControl)
 |  | ParentDoubleBuffered (TWinControl)
pt |  | ParentFont (TControl)
pt |  | ParentShowHint (TControl)
 |  | ParentWindow (TWinControl)
 |  | PopupMenu (TControl)
 | ro | ReadBounds (TControl)
pt |  | SessionProperties (TControl)
 |  | ShowHint (TControl)
 | ro | Showing (TWinControl)
 |  | TabOrder (TWinControl)
 |  | TabStop (TWinControl)
pl | ro | TabStop (TCDGroupBox)
 |  | Tag (TComponent)
 |  | TBDockHeight (TControl)
pt |  | Text (TControl)
pl |  | Top (TControl)
 |  | UndockHeight (TControl)
 |  | UndockWidth (TControl)
 |  | UseDockManager (TWinControl)
 |  | VCLComObject (TComponent)
 |  | Visible (TControl)
 | ro | VisibleDockClientCount (TWinControl)
 | ro | WidgetSetClass (TLCLComponent)
pl |  | Width (TControl)
pt |  | WindowHandle (TWinControl)
 |  | WindowProc (TControl)


TCDGroupBox
pt | GetControlId
pt | RealSetText
 | Create
 | Destroy
TCDControl
pt | CalculatePreferredSize
pt | SetState
pt | PrepareCurrentDrawer
pt | SetDrawStyle
pt | GetClientRect
pt | GetControlId
pt | CreateControlStateEx
pt | PrepareControlState
pt | PrepareControlStateEx
pt | DoEnter
pt | DoExit
pt | MouseEnter
pt | MouseLeave
pt | MouseDown
 | Create
 | Destroy
 | LCLWSCalculatePreferredSize
 | EraseBackground
 | Paint
 | DrawToCanvas
TCustomControl
pt | WSRegisterClass
pt | WMPaint
pt | DestroyWnd
pt | PaintWindow
pt | FontChanged
pt | SetColor
pt | Paint
 | Create
 | Destroy
TWinControl
pt | WSRegisterClass
pt | AdjustClientRect
pt | GetAdjustedLogicalClientRect
pt | AlignControls
pt | CustomAlignInsertBefore
pt | CustomAlignPosition
pt | DoAlignChildControls
pt | DoChildSizingChange
pt | InvalidatePreferredChildSizes
pt | CanTab
pt | IsClientHeightStored
pt | IsClientWidthStored
pt | DoSendShowHideToInterface
pt | ControlsAligned
pt | DoSendBoundsToInterface
pt | RealizeBounds
pt | RealizeBoundsRecursive
pt | InvalidateBoundsRealized
pt | CreateSubClass
pt | DoConstraintsChange
pt | DoSetBounds
pt | DoAutoSize
pt | DoAllAutoSize
pt | AllAutoSized
pt | CalculatePreferredSize
pt | GetPreferredSizeClientFrame
pt | GetChildren
pt | ChildClassAllowed
pt | PaintControls
pt | PaintHandler
pt | PaintWindow
pt | CreateBrush
pt | ScaleControls
pt | ChangeScale
pt | CMBiDiModeChanged
pt | CMBorderChanged
pt | CMDoubleBufferedChanged
pt | CMEnabledChanged
pt | CMParentDoubleBufferedChanged
pt | CMShowingChanged
pt | CMShowHintChanged
pt | CMVisibleChanged
pt | CMEnter
pt | CMExit
pt | WMContextMenu
pt | WMEraseBkgnd
pt | WMNotify
pt | WMSetFocus
pt | WMKillFocus
pt | WMShowWindow
pt | WMEnter
pt | WMExit
pt | WMKeyDown
pt | WMSysKeyDown
pt | WMKeyUp
pt | WMSysKeyUp
pt | WMChar
pt | WMSysChar
pt | WMPaint
pt | WMDestroy
pt | WMMove
pt | WMSize
pt | WMWindowPosChanged
pt | CNKeyDown
pt | CNSysKeyDown
pt | CNKeyUp
pt | CNSysKeyUp
pt | CNChar
pt | DoDragMsg
pt | DoDockClientMsg
pt | DoUndockClientMsg
pt | DoAddDockClient
pt | DockOver
pt | DoDockOver
pt | DoRemoveDockClient
pt | DoUnDock
pt | GetSiteInfo
pt | GetParentHandle
pt | GetTopParentHandle
pt | ReloadDockedControl
pt | CreateDockManager
pt | SetDockManager
pt | DoFloatMsg
pt | DoGetDockCaption
pt | DoEnter
pt | DoExit
pt | DoKeyDownBeforeInterface
pt | DoRemainingKeyDown
pt | DoRemainingKeyUp
pt | DoKeyPress
pt | DoUTF8KeyPress
pt | DoKeyUpBeforeInterface
pt | ChildKey
pt | SendDialogChar
pt | DialogChar
pt | ControlKeyDown
pt | ControlKeyUp
pt | KeyDown
pt | KeyDownBeforeInterface
pt | KeyDownAfterInterface
pt | KeyPress
pt | KeyUp
pt | KeyUpBeforeInterface
pt | KeyUpAfterInterface
pt | UTF8KeyPress
pt | FindNextControl
pt | SelectFirst
pt | RealGetText
pt | GetBorderStyle
pt | GetClientOrigin
pt | GetClientRect
pt | GetControlOrigin
pt | GetDeviceContext
pt | GetParentBackground
pt | IsControlMouseMsg
pt | CreateHandle
pt | CreateParams
pt | CreateWnd
pt | DestroyHandle
pt | DestroyWnd
pt | DoFlipChildren
pt | FinalizeWnd
pt | FixupTabList
pt | FontChanged
pt | InitializeWnd
pt | Loaded
pt | FormEndUpdated
pt | MainWndProc
pt | ParentFormHandleInitialized
pt | ChildHandlesCreated
pt | GetMouseCapture
pt | RealSetText
pt | RemoveFocus
pt | SendMoveSizeMessages
pt | SetBorderStyle
pt | SetColor
pt | SetChildZPosition
pt | SetParentBackground
pt | ShowControl
pt | UpdateControlState
pt | UpdateShowing
pt | WndProc
pt | WSSetText
 | AutoSizePhases
 | AutoSizeDelayed
 | AutoSizeDelayedReport
 | AutoSizeDelayedHandle
 | BeginUpdateBounds
 | EndUpdateBounds
 | LockRealizeBounds
 | UnlockRealizeBounds
 | ControlAtPos
 | ContainsControl
 | DoAdjustClientRectChange
 | InvalidateClientRectCache
 | ClientRectNeedsInterfaceUpdate
 | SetBounds
 | GetChildrenRect
 | DisableAlign
 | EnableAlign
 | ReAlign
 | ScrollBy_WS
 | ScrollBy
 | WriteLayoutDebugReport
 | AutoAdjustLayout
 | Create
 | CreateParented
 | CreateParentedControl
 | Destroy
 | DockDrop
 | CanFocus
 | CanSetFocus
 | GetControlIndex
 | SetControlIndex
 | Focused
 | PerformTab
 | FindChildControl
 | SelectNext
 | SetTempCursor
 | BroadCast
 | NotifyControls
 | DefaultHandler
 | GetTextLen
 | Invalidate
 | AddControl
 | InsertControl
 | RemoveControl
 | GetEnumeratorControls
 | GetEnumeratorControlsReverse
 | Repaint
 | Update
 | SetFocus
 | FlipChildren
 | ScaleBy
 | GetDockCaption
 | UpdateDockCaption
 | GetTabOrderList
 | HandleAllocated
 | ParentHandlesAllocated
 | HandleNeeded
 | BrushCreated
 | EraseBackground
 | IntfUTF8KeyPress
 | IntfGetDropFilesTarget
 | PaintTo
 | SetShape
TControl
pt | WSRegisterClass
pt | GetCursor
pt | SetCursor
pt | SetVisible
pt | DoOnParentHandleDestruction
pt | DoAutoSize
pt | DoAllAutoSize
pt | BeginAutoSizing
pt | EndAutoSizing
pt | AnchorSideChanged
pt | ForeignAnchorSideChanged
pt | SetAlign
pt | SetAnchors
pt | SetAutoSize
pt | BoundsChanged
pt | CreateControlBorderSpacing
pt | DoConstraintsChange
pt | DoBorderSpacingChange
pt | IsBorderSpacingInnerBorderStored
pt | IsCaptionStored
pt | SendMoveSizeMessages
pt | ConstrainedResize
pt | CalculatePreferredSize
pt | DoOnResize
pt | DoOnChangeBounds
pt | CheckOnChangeBounds
pt | Resize
pt | RequestAlign
pt | UpdateAnchorRules
pt | ChangeBounds
pt | DoSetBounds
pt | ScaleConstraints
pt | ChangeScale
pt | CanAutoSize
pt | SetBiDiMode
pt | SetParentBiDiMode
pt | IsAParentAligning
pt | GetClientOrigin
pt | GetClientRect
pt | GetLogicalClientRect
pt | GetScrolledClientRect
pt | GetClientScrollOffset
pt | GetControlOrigin
pt | IsClientHeightStored
pt | IsClientWidthStored
pt | WidthIsAnchored
pt | HeightIsAnchored
pt | WMCancelMode
pt | WMContextMenu
pt | WMLButtonDown
pt | WMRButtonDown
pt | WMMButtonDown
pt | WMXButtonDown
pt | WMLButtonDBLCLK
pt | WMRButtonDBLCLK
pt | WMMButtonDBLCLK
pt | WMXButtonDBLCLK
pt | WMLButtonTripleCLK
pt | WMRButtonTripleCLK
pt | WMMButtonTripleCLK
pt | WMXButtonTripleCLK
pt | WMLButtonQuadCLK
pt | WMRButtonQuadCLK
pt | WMMButtonQuadCLK
pt | WMXButtonQuadCLK
pt | WMMouseMove
pt | WMLButtonUp
pt | WMRButtonUp
pt | WMMButtonUp
pt | WMXButtonUp
pt | WMMouseWheel
pt | WMMouseHWheel
pt | WMMove
pt | WMSize
pt | WMWindowPosChanged
pt | CMChanged
pt | LMCaptureChanged
pt | CMBiDiModeChanged
pt | CMSysFontChanged
pt | CMEnabledChanged
pt | CMHitTest
pt | CMMouseEnter
pt | CMMouseLeave
pt | CMHintShow
pt | CMParentBiDiModeChanged
pt | CMParentColorChanged
pt | CMParentFontChanged
pt | CMParentShowHintChanged
pt | CMVisibleChanged
pt | CMTextChanged
pt | CMCursorChanged
pt | CalculateDockSizes
pt | CreateFloatingDockSite
pt | GetDockEdge
pt | GetDragImages
pt | GetFloating
pt | GetFloatingDockSiteClass
pt | BeforeDragStart
pt | BeginAutoDrag
pt | DoFloatMsg
pt | DockTrackNoTarget
pt | DoDock
pt | DoDragMsg
pt | DoEndDock
pt | DoEndDrag
pt | DoStartDock
pt | DoStartDrag
pt | DragCanceled
pt | DragOver
pt | PositionDockRect
pt | SetDragMode
pt | GetDefaultDockCaption
pt | Click
pt | DblClick
pt | TripleClick
pt | QuadClick
pt | GetMousePosFromMessage
pt | MouseDown
pt | MouseMove
pt | MouseUp
pt | MouseEnter
pt | MouseLeave
pt | DialogChar
pt | UpdateMouseCursor
pt | Changed
pt | GetPalette
pt | ChildClassAllowed
pt | ReadState
pt | Loaded
pt | LoadedAll
pt | DefineProperties
pt | AssignTo
pt | FormEndUpdated
pt | InvalidateControl
pt | FontChanged
pt | ParentFontChanged
pt | GetAction
pt | RealGetText
pt | RealSetText
pt | TextChanged
pt | GetCachedText
pt | SetAction
pt | SetColor
pt | SetEnabled
pt | SetHint
pt | SetName
pt | SetParent
pt | SetParentComponent
pt | WndProc
pt | ParentFormHandleInitialized
pt | GetMouseCapture
pt | CaptureChanged
pt | Notification
pt | CanTab
pt | GetDeviceContext
pt | GetEnabled
pt | GetPopupMenu
pt | DoOnShowHint
pt | DoMouseWheel
pt | DoMouseWheelDown
pt | DoMouseWheelUp
pt | DoMouseWheelHorz
pt | DoMouseWheelLeft
pt | DoMouseWheelRight
pt | VisibleChanging
pt | VisibleChanged
pt | EnabledChanging
pt | EnabledChanged
pt | AddHandler
pt | RemoveHandler
pt | DoCallNotifyHandler
pt | DoCallKeyEventHandler
pt | DoCallMouseWheelEventHandler
pt | DoContextPopup
pt | SetZOrder
pt | GetControlClassDefaultSize
pt | ColorIsStored
pt | DoAutoAdjustLayout
pt | DoFixDesignFontPPI
pt | DoScaleFontPPI
pt | GetActionLinkClass
pt | ActionChange
 | DragDrop
 | Dock
 | ManualDock
 | ManualFloat
 | ReplaceDockedControl
 | Docked
 | Dragging
 | GetAccessibleObject
 | CreateAccessibleObject
 | GetSelectedChildAccessibleObject
 | GetChildAccessibleObjectAtPos
 | ScaleDesignToForm
 | ScaleFormToDesign
 | Scale96ToForm
 | ScaleFormTo96
 | Scale96ToFont
 | ScaleFontTo96
 | ScaleScreenToFont
 | ScaleFontToScreen
 | Scale96ToScreen
 | ScaleScreenTo96
 | AdjustSize
 | AutoSizePhases
 | AutoSizeDelayed
 | AutoSizeDelayedReport
 | AutoSizeDelayedHandle
 | AnchorToNeighbour
 | AnchorParallel
 | AnchorHorizontalCenterTo
 | AnchorVerticalCenterTo
 | AnchorToCompanion
 | AnchorSame
 | AnchorAsAlign
 | AnchorClient
 | AnchoredControlCount
 | SetBounds
 | SetInitialBounds
 | SetBoundsKeepBase
 | GetPreferredSize
 | GetCanvasScaleFactor
 | GetDefaultWidth
 | GetDefaultHeight
 | GetDefaultColor
 | GetColorResolvingParent
 | GetRGBColorResolvingParent
 | GetSidePosition
 | CNPreferredSizeChanged
 | InvalidatePreferredSize
 | GetAnchorsDependingOnParent
 | DisableAutoSizing
 | EnableAutoSizing
 | UpdateBaseBounds
 | WriteLayoutDebugReport
 | AutoAdjustLayout
 | ShouldAutoAdjust
 | FixDesignFontsPPI
 | ScaleFontsPPI
 | Create
 | Destroy
 | BeforeDestruction
 | EditingDone
 | ExecuteDefaultAction
 | ExecuteCancelAction
 | BeginDrag
 | EndDrag
 | BringToFront
 | HasParent
 | GetParentComponent
 | IsParentOf
 | GetTopParent
 | IsVisible
 | IsControlVisible
 | IsEnabled
 | IsParentColor
 | IsParentFont
 | FormIsUpdating
 | IsProcessingPaintMsg
 | Hide
 | Refresh
 | Repaint
 | Invalidate
 | CheckChildClassAllowed
 | CheckNewParent
 | SendToBack
 | SetTempCursor
 | UpdateRolesForForm
 | ActiveDefaultControlChanged
 | GetTextBuf
 | GetTextLen
 | SetTextBuf
 | Perform
 | ScreenToClient
 | ClientToScreen
 | ScreenToControl
 | ControlToScreen
 | ClientToParent
 | ParentToClient
 | GetChildrenRect
 | Show
 | Update
 | HandleObjectShouldBeVisible
 | ParentDestroyingHandle
 | ParentHandlesAllocated
 | InitiateAction
 | ShowHelp
 | HasHelp
 | RemoveAllHandlersOfObject
 | AddHandlerOnResize
 | RemoveHandlerOnResize
 | AddHandlerOnChangeBounds
 | RemoveHandlerOnChangeBounds
 | AddHandlerOnVisibleChanging
 | RemoveHandlerOnVisibleChanging
 | AddHandlerOnVisibleChanged
 | RemoveHandlerOnVisibleChanged
 | AddHandlerOnEnabledChanged
 | RemoveHandlerOnEnableChanging
 | AddHandlerOnKeyDown
 | RemoveHandlerOnKeyDown
 | AddHandlerOnBeforeDestruction
 | RemoveHandlerOnBeforeDestruction
 | AddHandlerOnMouseWheel
 | RemoveHandlerOnMouseWheel
 | UseRightToLeftAlignment
 | UseRightToLeftReading
 | UseRightToLeftScrollBar
 | IsRightToLeft
TLCLComponent
pt | WSRegisterClass
pt | GetWSComponentClass
 | Create
 | Destroy
 | NewInstance
 | RemoveAllHandlersOfObject
 | IncLCLRefCount
 | DecLCLRefCount
TComponent
 | GetComObject
 | GetComponent
 | GetComponentCount
 | GetComponentIndex
 | Insert
 | ReadLeft
 | ReadTop
 | Remove
 | RemoveNotification
 | SetComponentIndex
 | SetReference
 | WriteLeft
 | WriteTop
 | ChangeName
 | DefineProperties
 | GetChildren
 | GetChildOwner
 | GetChildParent
 | GetOwner
 | Loaded
 | Loading
 | Notification
 | PaletteCreated
 | ReadState
 | SetAncestor
 | SetDesigning
 | SetDesignInstance
 | SetInline
 | SetName
 | SetChildOrder
 | SetParentComponent
 | Updating
 | Updated
 | UpdateRegistry
 | ValidateRename
 | ValidateContainer
 | ValidateInsert
 | QueryInterface
 | _AddRef
 | _Release
 | iicrGetComponent
 | GetTypeInfoCount
 | GetTypeInfo
 | GetIDsOfNames
 | Invoke
 | WriteState
 | Create
 | Destroy
 | BeforeDestruction
 | DestroyComponents
 | Destroying
 | ExecuteAction
 | FindComponent
 | FreeNotification
 | RemoveFreeNotification
 | FreeOnRelease
 | GetEnumerator
 | GetNamePath
 | GetParentComponent
 | HasParent
 | InsertComponent
 | RemoveComponent
 | SafeCallException
 | SetSubComponent
 | UpdateAction
 | IsImplementorOf
 | ReferenceInterface
TPersistent
 | AssignError
 | AssignTo
 | DefineProperties
 | GetOwner
 | Destroy
 | Assign
 | FPOAttachObserver
 | FPODetachObserver
 | FPONotifyObservers
 | GetNamePath
TObject
 | Create
 | Destroy
 | newinstance
 | FreeInstance
 | SafeCallException
 | DefaultHandler
 | Free
 | InitInstance
 | CleanupInstance
 | ClassType
 | ClassInfo
 | ClassName
 | ClassNameIs
 | ClassParent
 | InstanceSize
 | InheritsFrom
 | StringMessageTable
 | MethodAddress
 | MethodName
 | FieldAddress
 | AfterConstruction
 | BeforeDestruction
 | DefaultHandlerStr
 | Dispatch
 | DispatchStr
 | GetInterface
 | GetInterfaceByStr
 | GetInterfaceWeak
 | GetInterfaceEntry
 | GetInterfaceEntryByStr
 | GetInterfaceTable
 | UnitName
 | Equals
 | GetHashCode
 | ToString


pt | ActionChange (TControl)
 | ActiveDefaultControlChanged (TControl)
 | AddControl (TWinControl)
pt | AddHandler (TControl)
 | AddHandlerOnBeforeDestruction (TControl)
 | AddHandlerOnChangeBounds (TControl)
 | AddHandlerOnEnabledChanged (TControl)
 | AddHandlerOnKeyDown (TControl)
 | AddHandlerOnMouseWheel (TControl)
 | AddHandlerOnResize (TControl)
 | AddHandlerOnVisibleChanged (TControl)
 | AddHandlerOnVisibleChanging (TControl)
pt | AdjustClientRect (TWinControl)
 | AdjustSize (TControl)
 | AfterConstruction (TObject)
pt | AlignControls (TWinControl)
pt | AllAutoSized (TWinControl)
 | AnchorAsAlign (TControl)
 | AnchorClient (TControl)
 | AnchoredControlCount (TControl)
 | AnchorHorizontalCenterTo (TControl)
 | AnchorParallel (TControl)
 | AnchorSame (TControl)
pt | AnchorSideChanged (TControl)
 | AnchorToCompanion (TControl)
 | AnchorToNeighbour (TControl)
 | AnchorVerticalCenterTo (TControl)
 | Assign (TPersistent)
 | AssignError (TPersistent)
 | AssignTo (TPersistent)
pt | AssignTo (TControl)
 | AutoAdjustLayout (TControl)
 | AutoAdjustLayout (TWinControl)
 | AutoSizeDelayed (TControl)
 | AutoSizeDelayed (TWinControl)
 | AutoSizeDelayedHandle (TControl)
 | AutoSizeDelayedHandle (TWinControl)
 | AutoSizeDelayedReport (TControl)
 | AutoSizeDelayedReport (TWinControl)
 | AutoSizePhases (TControl)
 | AutoSizePhases (TWinControl)
 | BeforeDestruction (TObject)
 | BeforeDestruction (TComponent)
 | BeforeDestruction (TControl)
pt | BeforeDragStart (TControl)
pt | BeginAutoDrag (TControl)
pt | BeginAutoSizing (TControl)
 | BeginDrag (TControl)
 | BeginUpdateBounds (TWinControl)
pt | BoundsChanged (TControl)
 | BringToFront (TControl)
 | BroadCast (TWinControl)
 | BrushCreated (TWinControl)
pt | CalculateDockSizes (TControl)
pt | CalculatePreferredSize (TControl)
pt | CalculatePreferredSize (TWinControl)
pt | CalculatePreferredSize (TCDControl)
pt | CanAutoSize (TControl)
 | CanFocus (TWinControl)
 | CanSetFocus (TWinControl)
pt | CanTab (TControl)
pt | CanTab (TWinControl)
pt | CaptureChanged (TControl)
pt | ChangeBounds (TControl)
pt | Changed (TControl)
 | ChangeName (TComponent)
pt | ChangeScale (TControl)
pt | ChangeScale (TWinControl)
 | CheckChildClassAllowed (TControl)
 | CheckNewParent (TControl)
pt | CheckOnChangeBounds (TControl)
pt | ChildClassAllowed (TControl)
pt | ChildClassAllowed (TWinControl)
pt | ChildHandlesCreated (TWinControl)
pt | ChildKey (TWinControl)
 | ClassInfo (TObject)
 | ClassName (TObject)
 | ClassNameIs (TObject)
 | ClassParent (TObject)
 | ClassType (TObject)
 | CleanupInstance (TObject)
pt | Click (TControl)
 | ClientRectNeedsInterfaceUpdate (TWinControl)
 | ClientToParent (TControl)
 | ClientToScreen (TControl)
pt | CMBiDiModeChanged (TControl)
pt | CMBiDiModeChanged (TWinControl)
pt | CMBorderChanged (TWinControl)
pt | CMChanged (TControl)
pt | CMCursorChanged (TControl)
pt | CMDoubleBufferedChanged (TWinControl)
pt | CMEnabledChanged (TControl)
pt | CMEnabledChanged (TWinControl)
pt | CMEnter (TWinControl)
pt | CMExit (TWinControl)
pt | CMHintShow (TControl)
pt | CMHitTest (TControl)
pt | CMMouseEnter (TControl)
pt | CMMouseLeave (TControl)
pt | CMParentBiDiModeChanged (TControl)
pt | CMParentColorChanged (TControl)
pt | CMParentDoubleBufferedChanged (TWinControl)
pt | CMParentFontChanged (TControl)
pt | CMParentShowHintChanged (TControl)
pt | CMShowHintChanged (TWinControl)
pt | CMShowingChanged (TWinControl)
pt | CMSysFontChanged (TControl)
pt | CMTextChanged (TControl)
pt | CMVisibleChanged (TControl)
pt | CMVisibleChanged (TWinControl)
pt | CNChar (TWinControl)
pt | CNKeyDown (TWinControl)
pt | CNKeyUp (TWinControl)
 | CNPreferredSizeChanged (TControl)
pt | CNSysKeyDown (TWinControl)
pt | CNSysKeyUp (TWinControl)
pt | ColorIsStored (TControl)
pt | ConstrainedResize (TControl)
 | ContainsControl (TWinControl)
 | ControlAtPos (TWinControl)
pt | ControlKeyDown (TWinControl)
pt | ControlKeyUp (TWinControl)
pt | ControlsAligned (TWinControl)
 | ControlToScreen (TControl)
 | Create (TObject)
 | Create (TComponent)
 | Create (TLCLComponent)
 | Create (TControl)
 | Create (TWinControl)
 | Create (TCustomControl)
 | Create (TCDControl)
 | Create (TCDGroupBox)
 | CreateAccessibleObject (TControl)
pt | CreateBrush (TWinControl)
pt | CreateControlBorderSpacing (TControl)
pt | CreateControlStateEx (TCDControl)
pt | CreateDockManager (TWinControl)
pt | CreateFloatingDockSite (TControl)
pt | CreateHandle (TWinControl)
pt | CreateParams (TWinControl)
 | CreateParented (TWinControl)
 | CreateParentedControl (TWinControl)
pt | CreateSubClass (TWinControl)
pt | CreateWnd (TWinControl)
pt | CustomAlignInsertBefore (TWinControl)
pt | CustomAlignPosition (TWinControl)
pt | DblClick (TControl)
 | DecLCLRefCount (TLCLComponent)
 | DefaultHandler (TObject)
 | DefaultHandler (TWinControl)
 | DefaultHandlerStr (TObject)
 | DefineProperties (TPersistent)
 | DefineProperties (TComponent)
pt | DefineProperties (TControl)
 | Destroy (TObject)
 | Destroy (TPersistent)
 | Destroy (TComponent)
 | Destroy (TLCLComponent)
 | Destroy (TControl)
 | Destroy (TWinControl)
 | Destroy (TCustomControl)
 | Destroy (TCDControl)
 | Destroy (TCDGroupBox)
 | DestroyComponents (TComponent)
pt | DestroyHandle (TWinControl)
 | Destroying (TComponent)
pt | DestroyWnd (TWinControl)
pt | DestroyWnd (TCustomControl)
pt | DialogChar (TControl)
pt | DialogChar (TWinControl)
 | DisableAlign (TWinControl)
 | DisableAutoSizing (TControl)
 | Dispatch (TObject)
 | DispatchStr (TObject)
pt | DoAddDockClient (TWinControl)
 | DoAdjustClientRectChange (TWinControl)
pt | DoAlignChildControls (TWinControl)
pt | DoAllAutoSize (TControl)
pt | DoAllAutoSize (TWinControl)
pt | DoAutoAdjustLayout (TControl)
pt | DoAutoSize (TControl)
pt | DoAutoSize (TWinControl)
pt | DoBorderSpacingChange (TControl)
pt | DoCallKeyEventHandler (TControl)
pt | DoCallMouseWheelEventHandler (TControl)
pt | DoCallNotifyHandler (TControl)
pt | DoChildSizingChange (TWinControl)
 | Dock (TControl)
 | DockDrop (TWinControl)
 | Docked (TControl)
pt | DockOver (TWinControl)
pt | DockTrackNoTarget (TControl)
pt | DoConstraintsChange (TControl)
pt | DoConstraintsChange (TWinControl)
pt | DoContextPopup (TControl)
pt | DoDock (TControl)
pt | DoDockClientMsg (TWinControl)
pt | DoDockOver (TWinControl)
pt | DoDragMsg (TControl)
pt | DoDragMsg (TWinControl)
pt | DoEndDock (TControl)
pt | DoEndDrag (TControl)
pt | DoEnter (TWinControl)
pt | DoEnter (TCDControl)
pt | DoExit (TWinControl)
pt | DoExit (TCDControl)
pt | DoFixDesignFontPPI (TControl)
pt | DoFlipChildren (TWinControl)
pt | DoFloatMsg (TControl)
pt | DoFloatMsg (TWinControl)
pt | DoGetDockCaption (TWinControl)
pt | DoKeyDownBeforeInterface (TWinControl)
pt | DoKeyPress (TWinControl)
pt | DoKeyUpBeforeInterface (TWinControl)
pt | DoMouseWheel (TControl)
pt | DoMouseWheelDown (TControl)
pt | DoMouseWheelHorz (TControl)
pt | DoMouseWheelLeft (TControl)
pt | DoMouseWheelRight (TControl)
pt | DoMouseWheelUp (TControl)
pt | DoOnChangeBounds (TControl)
pt | DoOnParentHandleDestruction (TControl)
pt | DoOnResize (TControl)
pt | DoOnShowHint (TControl)
pt | DoRemainingKeyDown (TWinControl)
pt | DoRemainingKeyUp (TWinControl)
pt | DoRemoveDockClient (TWinControl)
pt | DoScaleFontPPI (TControl)
pt | DoSendBoundsToInterface (TWinControl)
pt | DoSendShowHideToInterface (TWinControl)
pt | DoSetBounds (TControl)
pt | DoSetBounds (TWinControl)
pt | DoStartDock (TControl)
pt | DoStartDrag (TControl)
pt | DoUnDock (TWinControl)
pt | DoUndockClientMsg (TWinControl)
pt | DoUTF8KeyPress (TWinControl)
pt | DragCanceled (TControl)
 | DragDrop (TControl)
 | Dragging (TControl)
pt | DragOver (TControl)
 | DrawToCanvas (TCDControl)
 | EditingDone (TControl)
 | EnableAlign (TWinControl)
 | EnableAutoSizing (TControl)
pt | EnabledChanged (TControl)
pt | EnabledChanging (TControl)
pt | EndAutoSizing (TControl)
 | EndDrag (TControl)
 | EndUpdateBounds (TWinControl)
 | Equals (TObject)
 | EraseBackground (TWinControl)
 | EraseBackground (TCDControl)
 | ExecuteAction (TComponent)
 | ExecuteCancelAction (TControl)
 | ExecuteDefaultAction (TControl)
 | FieldAddress (TObject)
pt | FinalizeWnd (TWinControl)
 | FindChildControl (TWinControl)
 | FindComponent (TComponent)
pt | FindNextControl (TWinControl)
 | FixDesignFontsPPI (TControl)
pt | FixupTabList (TWinControl)
 | FlipChildren (TWinControl)
 | Focused (TWinControl)
pt | FontChanged (TControl)
pt | FontChanged (TWinControl)
pt | FontChanged (TCustomControl)
pt | ForeignAnchorSideChanged (TControl)
pt | FormEndUpdated (TControl)
pt | FormEndUpdated (TWinControl)
 | FormIsUpdating (TControl)
 | FPOAttachObserver (TPersistent)
 | FPODetachObserver (TPersistent)
 | FPONotifyObservers (TPersistent)
 | Free (TObject)
 | FreeInstance (TObject)
 | FreeNotification (TComponent)
 | FreeOnRelease (TComponent)
 | GetAccessibleObject (TControl)
pt | GetAction (TControl)
pt | GetActionLinkClass (TControl)
pt | GetAdjustedLogicalClientRect (TWinControl)
 | GetAnchorsDependingOnParent (TControl)
pt | GetBorderStyle (TWinControl)
pt | GetCachedText (TControl)
 | GetCanvasScaleFactor (TControl)
 | GetChildAccessibleObjectAtPos (TControl)
 | GetChildOwner (TComponent)
 | GetChildParent (TComponent)
 | GetChildren (TComponent)
pt | GetChildren (TWinControl)
 | GetChildrenRect (TControl)
 | GetChildrenRect (TWinControl)
pt | GetClientOrigin (TControl)
pt | GetClientOrigin (TWinControl)
pt | GetClientRect (TControl)
pt | GetClientRect (TWinControl)
pt | GetClientRect (TCDControl)
pt | GetClientScrollOffset (TControl)
 | GetColorResolvingParent (TControl)
 | GetComObject (TComponent)
 | GetComponent (TComponent)
 | GetComponentCount (TComponent)
 | GetComponentIndex (TComponent)
pt | GetControlClassDefaultSize (TControl)
pt | GetControlId (TCDControl)
pt | GetControlId (TCDGroupBox)
 | GetControlIndex (TWinControl)
pt | GetControlOrigin (TControl)
pt | GetControlOrigin (TWinControl)
pt | GetCursor (TControl)
 | GetDefaultColor (TControl)
pt | GetDefaultDockCaption (TControl)
 | GetDefaultHeight (TControl)
 | GetDefaultWidth (TControl)
pt | GetDeviceContext (TControl)
pt | GetDeviceContext (TWinControl)
 | GetDockCaption (TWinControl)
pt | GetDockEdge (TControl)
pt | GetDragImages (TControl)
pt | GetEnabled (TControl)
 | GetEnumerator (TComponent)
 | GetEnumeratorControls (TWinControl)
 | GetEnumeratorControlsReverse (TWinControl)
pt | GetFloating (TControl)
pt | GetFloatingDockSiteClass (TControl)
 | GetHashCode (TObject)
 | GetIDsOfNames (TComponent)
 | GetInterface (TObject)
 | GetInterfaceByStr (TObject)
 | GetInterfaceEntry (TObject)
 | GetInterfaceEntryByStr (TObject)
 | GetInterfaceTable (TObject)
 | GetInterfaceWeak (TObject)
pt | GetLogicalClientRect (TControl)
pt | GetMouseCapture (TControl)
pt | GetMouseCapture (TWinControl)
pt | GetMousePosFromMessage (TControl)
 | GetNamePath (TPersistent)
 | GetNamePath (TComponent)
 | GetOwner (TPersistent)
 | GetOwner (TComponent)
pt | GetPalette (TControl)
pt | GetParentBackground (TWinControl)
 | GetParentComponent (TComponent)
 | GetParentComponent (TControl)
pt | GetParentHandle (TWinControl)
pt | GetPopupMenu (TControl)
 | GetPreferredSize (TControl)
pt | GetPreferredSizeClientFrame (TWinControl)
 | GetRGBColorResolvingParent (TControl)
pt | GetScrolledClientRect (TControl)
 | GetSelectedChildAccessibleObject (TControl)
 | GetSidePosition (TControl)
pt | GetSiteInfo (TWinControl)
 | GetTabOrderList (TWinControl)
 | GetTextBuf (TControl)
 | GetTextLen (TControl)
 | GetTextLen (TWinControl)
 | GetTopParent (TControl)
pt | GetTopParentHandle (TWinControl)
 | GetTypeInfo (TComponent)
 | GetTypeInfoCount (TComponent)
pt | GetWSComponentClass (TLCLComponent)
 | HandleAllocated (TWinControl)
 | HandleNeeded (TWinControl)
 | HandleObjectShouldBeVisible (TControl)
 | HasHelp (TControl)
 | HasParent (TComponent)
 | HasParent (TControl)
pt | HeightIsAnchored (TControl)
 | Hide (TControl)
 | iicrGetComponent (TComponent)
 | IncLCLRefCount (TLCLComponent)
 | InheritsFrom (TObject)
pt | InitializeWnd (TWinControl)
 | InitiateAction (TControl)
 | InitInstance (TObject)
 | Insert (TComponent)
 | InsertComponent (TComponent)
 | InsertControl (TWinControl)
 | InstanceSize (TObject)
 | IntfGetDropFilesTarget (TWinControl)
 | IntfUTF8KeyPress (TWinControl)
 | Invalidate (TControl)
 | Invalidate (TWinControl)
pt | InvalidateBoundsRealized (TWinControl)
 | InvalidateClientRectCache (TWinControl)
pt | InvalidateControl (TControl)
pt | InvalidatePreferredChildSizes (TWinControl)
 | InvalidatePreferredSize (TControl)
 | Invoke (TComponent)
pt | IsAParentAligning (TControl)
pt | IsBorderSpacingInnerBorderStored (TControl)
pt | IsCaptionStored (TControl)
pt | IsClientHeightStored (TControl)
pt | IsClientHeightStored (TWinControl)
pt | IsClientWidthStored (TControl)
pt | IsClientWidthStored (TWinControl)
pt | IsControlMouseMsg (TWinControl)
 | IsControlVisible (TControl)
 | IsEnabled (TControl)
 | IsImplementorOf (TComponent)
 | IsParentColor (TControl)
 | IsParentFont (TControl)
 | IsParentOf (TControl)
 | IsProcessingPaintMsg (TControl)
 | IsRightToLeft (TControl)
 | IsVisible (TControl)
pt | KeyDown (TWinControl)
pt | KeyDownAfterInterface (TWinControl)
pt | KeyDownBeforeInterface (TWinControl)
pt | KeyPress (TWinControl)
pt | KeyUp (TWinControl)
pt | KeyUpAfterInterface (TWinControl)
pt | KeyUpBeforeInterface (TWinControl)
 | LCLWSCalculatePreferredSize (TCDControl)
pt | LMCaptureChanged (TControl)
 | Loaded (TComponent)
pt | Loaded (TControl)
pt | Loaded (TWinControl)
pt | LoadedAll (TControl)
 | Loading (TComponent)
 | LockRealizeBounds (TWinControl)
pt | MainWndProc (TWinControl)
 | ManualDock (TControl)
 | ManualFloat (TControl)
 | MethodAddress (TObject)
 | MethodName (TObject)
pt | MouseDown (TControl)
pt | MouseDown (TCDControl)
pt | MouseEnter (TControl)
pt | MouseEnter (TCDControl)
pt | MouseLeave (TControl)
pt | MouseLeave (TCDControl)
pt | MouseMove (TControl)
pt | MouseUp (TControl)
 | newinstance (TObject)
 | NewInstance (TLCLComponent)
 | Notification (TComponent)
pt | Notification (TControl)
 | NotifyControls (TWinControl)
pt | Paint (TCustomControl)
 | Paint (TCDControl)
pt | PaintControls (TWinControl)
pt | PaintHandler (TWinControl)
 | PaintTo (TWinControl)
pt | PaintWindow (TWinControl)
pt | PaintWindow (TCustomControl)
 | PaletteCreated (TComponent)
 | ParentDestroyingHandle (TControl)
pt | ParentFontChanged (TControl)
pt | ParentFormHandleInitialized (TControl)
pt | ParentFormHandleInitialized (TWinControl)
 | ParentHandlesAllocated (TControl)
 | ParentHandlesAllocated (TWinControl)
 | ParentToClient (TControl)
 | Perform (TControl)
 | PerformTab (TWinControl)
pt | PositionDockRect (TControl)
pt | PrepareControlState (TCDControl)
pt | PrepareControlStateEx (TCDControl)
pt | PrepareCurrentDrawer (TCDControl)
pt | QuadClick (TControl)
 | QueryInterface (TComponent)
 | ReadLeft (TComponent)
 | ReadState (TComponent)
pt | ReadState (TControl)
 | ReadTop (TComponent)
pt | RealGetText (TControl)
pt | RealGetText (TWinControl)
 | ReAlign (TWinControl)
pt | RealizeBounds (TWinControl)
pt | RealizeBoundsRecursive (TWinControl)
pt | RealSetText (TControl)
pt | RealSetText (TWinControl)
pt | RealSetText (TCDGroupBox)
 | ReferenceInterface (TComponent)
 | Refresh (TControl)
pt | ReloadDockedControl (TWinControl)
 | Remove (TComponent)
 | RemoveAllHandlersOfObject (TLCLComponent)
 | RemoveAllHandlersOfObject (TControl)
 | RemoveComponent (TComponent)
 | RemoveControl (TWinControl)
pt | RemoveFocus (TWinControl)
 | RemoveFreeNotification (TComponent)
pt | RemoveHandler (TControl)
 | RemoveHandlerOnBeforeDestruction (TControl)
 | RemoveHandlerOnChangeBounds (TControl)
 | RemoveHandlerOnEnableChanging (TControl)
 | RemoveHandlerOnKeyDown (TControl)
 | RemoveHandlerOnMouseWheel (TControl)
 | RemoveHandlerOnResize (TControl)
 | RemoveHandlerOnVisibleChanged (TControl)
 | RemoveHandlerOnVisibleChanging (TControl)
 | RemoveNotification (TComponent)
 | Repaint (TControl)
 | Repaint (TWinControl)
 | ReplaceDockedControl (TControl)
pt | RequestAlign (TControl)
pt | Resize (TControl)
 | SafeCallException (TObject)
 | SafeCallException (TComponent)
 | Scale96ToFont (TControl)
 | Scale96ToForm (TControl)
 | Scale96ToScreen (TControl)
 | ScaleBy (TWinControl)
pt | ScaleConstraints (TControl)
pt | ScaleControls (TWinControl)
 | ScaleDesignToForm (TControl)
 | ScaleFontsPPI (TControl)
 | ScaleFontTo96 (TControl)
 | ScaleFontToScreen (TControl)
 | ScaleFormTo96 (TControl)
 | ScaleFormToDesign (TControl)
 | ScaleScreenTo96 (TControl)
 | ScaleScreenToFont (TControl)
 | ScreenToClient (TControl)
 | ScreenToControl (TControl)
 | ScrollBy (TWinControl)
 | ScrollBy_WS (TWinControl)
pt | SelectFirst (TWinControl)
 | SelectNext (TWinControl)
pt | SendDialogChar (TWinControl)
pt | SendMoveSizeMessages (TControl)
pt | SendMoveSizeMessages (TWinControl)
 | SendToBack (TControl)
pt | SetAction (TControl)
pt | SetAlign (TControl)
 | SetAncestor (TComponent)
pt | SetAnchors (TControl)
pt | SetAutoSize (TControl)
pt | SetBiDiMode (TControl)
pt | SetBorderStyle (TWinControl)
 | SetBounds (TControl)
 | SetBounds (TWinControl)
 | SetBoundsKeepBase (TControl)
 | SetChildOrder (TComponent)
pt | SetChildZPosition (TWinControl)
pt | SetColor (TControl)
pt | SetColor (TWinControl)
pt | SetColor (TCustomControl)
 | SetComponentIndex (TComponent)
 | SetControlIndex (TWinControl)
pt | SetCursor (TControl)
 | SetDesigning (TComponent)
 | SetDesignInstance (TComponent)
pt | SetDockManager (TWinControl)
pt | SetDragMode (TControl)
pt | SetDrawStyle (TCDControl)
pt | SetEnabled (TControl)
 | SetFocus (TWinControl)
pt | SetHint (TControl)
 | SetInitialBounds (TControl)
 | SetInline (TComponent)
 | SetName (TComponent)
pt | SetName (TControl)
pt | SetParent (TControl)
pt | SetParentBackground (TWinControl)
pt | SetParentBiDiMode (TControl)
 | SetParentComponent (TComponent)
pt | SetParentComponent (TControl)
 | SetReference (TComponent)
 | SetShape (TWinControl)
pt | SetState (TCDControl)
 | SetSubComponent (TComponent)
 | SetTempCursor (TControl)
 | SetTempCursor (TWinControl)
 | SetTextBuf (TControl)
pt | SetVisible (TControl)
pt | SetZOrder (TControl)
 | ShouldAutoAdjust (TControl)
 | Show (TControl)
pt | ShowControl (TWinControl)
 | ShowHelp (TControl)
 | StringMessageTable (TObject)
pt | TextChanged (TControl)
 | ToString (TObject)
pt | TripleClick (TControl)
 | UnitName (TObject)
 | UnlockRealizeBounds (TWinControl)
 | Update (TControl)
 | Update (TWinControl)
 | UpdateAction (TComponent)
pt | UpdateAnchorRules (TControl)
 | UpdateBaseBounds (TControl)
pt | UpdateControlState (TWinControl)
 | Updated (TComponent)
 | UpdateDockCaption (TWinControl)
pt | UpdateMouseCursor (TControl)
 | UpdateRegistry (TComponent)
 | UpdateRolesForForm (TControl)
pt | UpdateShowing (TWinControl)
 | Updating (TComponent)
 | UseRightToLeftAlignment (TControl)
 | UseRightToLeftReading (TControl)
 | UseRightToLeftScrollBar (TControl)
pt | UTF8KeyPress (TWinControl)
 | ValidateContainer (TComponent)
 | ValidateInsert (TComponent)
 | ValidateRename (TComponent)
pt | VisibleChanged (TControl)
pt | VisibleChanging (TControl)
pt | WidthIsAnchored (TControl)
pt | WMCancelMode (TControl)
pt | WMChar (TWinControl)
pt | WMContextMenu (TControl)
pt | WMContextMenu (TWinControl)
pt | WMDestroy (TWinControl)
pt | WMEnter (TWinControl)
pt | WMEraseBkgnd (TWinControl)
pt | WMExit (TWinControl)
pt | WMKeyDown (TWinControl)
pt | WMKeyUp (TWinControl)
pt | WMKillFocus (TWinControl)
pt | WMLButtonDBLCLK (TControl)
pt | WMLButtonDown (TControl)
pt | WMLButtonQuadCLK (TControl)
pt | WMLButtonTripleCLK (TControl)
pt | WMLButtonUp (TControl)
pt | WMMButtonDBLCLK (TControl)
pt | WMMButtonDown (TControl)
pt | WMMButtonQuadCLK (TControl)
pt | WMMButtonTripleCLK (TControl)
pt | WMMButtonUp (TControl)
pt | WMMouseHWheel (TControl)
pt | WMMouseMove (TControl)
pt | WMMouseWheel (TControl)
pt | WMMove (TControl)
pt | WMMove (TWinControl)
pt | WMNotify (TWinControl)
pt | WMPaint (TWinControl)
pt | WMPaint (TCustomControl)
pt | WMRButtonDBLCLK (TControl)
pt | WMRButtonDown (TControl)
pt | WMRButtonQuadCLK (TControl)
pt | WMRButtonTripleCLK (TControl)
pt | WMRButtonUp (TControl)
pt | WMSetFocus (TWinControl)
pt | WMShowWindow (TWinControl)
pt | WMSize (TControl)
pt | WMSize (TWinControl)
pt | WMSysChar (TWinControl)
pt | WMSysKeyDown (TWinControl)
pt | WMSysKeyUp (TWinControl)
pt | WMWindowPosChanged (TControl)
pt | WMWindowPosChanged (TWinControl)
pt | WMXButtonDBLCLK (TControl)
pt | WMXButtonDown (TControl)
pt | WMXButtonQuadCLK (TControl)
pt | WMXButtonTripleCLK (TControl)
pt | WMXButtonUp (TControl)
pt | WndProc (TControl)
pt | WndProc (TWinControl)
 | WriteLayoutDebugReport (TControl)
 | WriteLayoutDebugReport (TWinControl)
 | WriteLeft (TComponent)
 | WriteState (TComponent)
 | WriteTop (TComponent)
pt | WSRegisterClass (TLCLComponent)
pt | WSRegisterClass (TControl)
pt | WSRegisterClass (TWinControl)
pt | WSRegisterClass (TCustomControl)
pt | WSSetText (TWinControl)
 | _AddRef (TComponent)
 | _Release (TComponent)


TCDGroupBox
TCDControl
TCustomControl
 | OnPaint
TWinControl
pt | OnGetSiteInfo
pt | OnGetDockCaption
 | OnAlignInsertBefore
 | OnAlignPosition
 | OnDockDrop
 | OnDockOver
 | OnEnter
 | OnExit
 | OnKeyDown
 | OnKeyPress
 | OnKeyUp
 | OnUnDock
 | OnUTF8KeyPress
TControl
pt | OnConstrainedResize
pt | OnContextPopup
pt | OnDblClick
pt | OnTripleClick
pt | OnQuadClick
pt | OnDragDrop
pt | OnDragOver
pt | OnEndDock
pt | OnEndDrag
pt | OnMouseDown
pt | OnMouseMove
pt | OnMouseUp
pt | OnMouseEnter
pt | OnMouseLeave
pt | OnMouseWheel
pt | OnMouseWheelDown
pt | OnMouseWheelUp
pt | OnMouseWheelHorz
pt | OnMouseWheelLeft
pt | OnMouseWheelRight
pt | OnStartDock
pt | OnStartDrag
pt | OnEditingDone
 | OnChangeBounds
 | OnClick
 | OnResize
 | OnShowHint
TLCLComponent
TComponent
TPersistent
TObject


TCDGroupBox.AutoSize

Declaration

Source position: customdrawncontrols.pas line 427

published property TCDGroupBox.AutoSize : Boolean;


TCDGroupBox.Caption

Declaration

Source position: customdrawncontrols.pas line 428

published property TCDGroupBox.Caption : TCaption;


TCDGroupBox.Create

Declaration

Source position: customdrawncontrols.pas line 424

public constructor TCDGroupBox.Create(

  AOwner: TComponent

); override;


TCDGroupBox.Destroy

Declaration

Source position: customdrawncontrols.pas line 425

public destructor TCDGroupBox.Destroy; override;


TCDGroupBox.DrawStyle

Declaration

Source position: customdrawncontrols.pas line 429

published property TCDGroupBox.DrawStyle : TCDDrawStyle;


TCDGroupBox.Enabled

Declaration

Source position: customdrawncontrols.pas line 430

published property TCDGroupBox.Enabled : Boolean;


TCDGroupBox.GetControlId

Declaration

Source position: customdrawncontrols.pas line 421

protected function TCDGroupBox.GetControlId: TCDControlID; override;


TCDGroupBox.RealSetText

Declaration

Source position: customdrawncontrols.pas line 422

protected procedure TCDGroupBox.RealSetText(

  const Value: TCaption

); override;


TCDGroupBox.TabStop

Declaration

Source position: customdrawncontrols.pas line 431

published property TCDGroupBox.TabStop : Boolean
  default False;


TCDListView

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Declaration

Source position: customdrawncontrols.pas line 561

type TCDListView = class(TCDScrollableControl)

protected

  FLVState: TCDListViewStateEx;

  function GetControlId; override;

  procedure CreateControlStateEx; override;

  procedure PrepareControlStateEx; override;

public

  constructor Create(); override;

  destructor Destroy; override;

published

  property Color: TColor;

  property TabStop: Boolean;

  property Columns: TListColumns; [rw]

  property Enabled: Boolean;

  property Items: TCDListItems; [r]

  property ScrollBars: TScrollStyle;

  property ShowColumnHeader: Boolean; [rw]

  property ViewStyle: TViewStyle; [rw]

end;

Inheritance

TCDListView |
|
TCDScrollableControl |
|
TCDControl |
|
TCustomControl | The base class for windowed controls which paint themselves.
|
TWinControl | The base class for controls which can contain other (child) controls.
|
TControl | The base class for visible controls.
|
TLCLComponent | The base class for LCL components associated with widgets.
|
TComponent,IUnknown,IInterfaceComponentReference
|
TPersistent,IFPObserved
|
TObject


TCDListView
pl | ro | Color
pl | ro | TabStop
pl |  | Columns
pl | ro | Enabled
pl | ro | Items
pl | ro | ScrollBars
pl |  | ShowColumnHeader
pl |  | ViewStyle
TCDScrollableControl
 |  | ScrollBars
TCDControl
pt |  | DrawStyle
TCustomControl
 |  | Canvas
 | ro | BorderStyle
TWinControl
pt |  | WindowHandle
pt |  | BorderStyle
pt |  | ParentBackground
 |  | BorderWidth
 | ro | BoundsLockCount
 | ro | Brush
 | ro | CachedClientHeight
 | ro | CachedClientWidth
 |  | ChildSizing
 | ro | ControlCount
 | ro | Controls
 |  | DefWndProc
 | ro | DockClientCount
 | ro | DockClients
 |  | DockManager
 |  | DockSite
 |  | DoubleBuffered
 |  | Handle
 | ro | IsFlipped
 | ro | IsResizing
 |  | TabOrder
 |  | TabStop
 |  | ParentDoubleBuffered
 |  | ParentWindow
 | ro | Showing
 |  | UseDockManager
 |  | DesignerDeleting
 | ro | VisibleDockClientCount
TControl
pt | ro | AutoSizing
pt | ro | AutoSizingAll
pt | ro | AutoSizingLockCount
pt |  | ActionLink
pt |  | DesktopFont
pt |  | DragCursor
pt |  | DragKind
pt |  | DragMode
pt |  | MouseCapture
pt |  | ParentColor
pt |  | ParentFont
pt |  | ParentShowHint
pt |  | SessionProperties
pt |  | Text
 | ro | AnchoredControls
 | ro | BaseBounds
 | ro | ReadBounds
 | ro | BaseParentClientSize
 |  | AccessibleDescription
 |  | AccessibleValue
 |  | AccessibleRole
 |  | Action
 |  | Align
 |  | Anchors
 | ro | AnchorSide
 |  | AutoSize
 |  | BorderSpacing
 |  | BoundsRect
 |  | BoundsRectForNewParent
 |  | Caption
 |  | CaptureMouseButtons
 |  | ClientHeight
 | ro | ClientOrigin
 | ro | ClientRect
 |  | ClientWidth
 |  | Color
 |  | Constraints
 | ro | ControlOrigin
 |  | ControlState
 |  | ControlStyle
 |  | Enabled
 |  | Font
 |  | IsControl
 | ro | MouseEntered
 | ro | MouseInClient
 |  | Parent
 |  | PopupMenu
 |  | ShowHint
 |  | Visible
 |  | WindowProc
 |  | DockOrientation
 | ro | Floating
 |  | FloatingDockSiteClass
 |  | HostDockSite
 |  | LRDockWidth
 |  | TBDockHeight
 |  | UndockHeight
 |  | UndockWidth
 |  | BiDiMode
 |  | ParentBiDiMode
pl |  | AnchorSideLeft
pl |  | AnchorSideTop
pl |  | AnchorSideRight
pl |  | AnchorSideBottom
pl |  | Cursor
pl |  | Left
pl |  | Height
pl |  | Hint
pl |  | Top
pl |  | Width
pl |  | HelpType
pl |  | HelpKeyword
pl |  | HelpContext
TLCLComponent
 | ro | LCLRefCount
 | ro | WidgetSetClass
TComponent
 | ro | ComObject
 | ro | Components
 | ro | ComponentCount
 |  | ComponentIndex
 | ro | ComponentState
 | ro | ComponentStyle
 |  | DesignInfo
 | ro | Owner
 |  | VCLComObject
 |  | Name
 |  | Tag
TPersistent
TObject


 |  | AccessibleDescription (TControl)
 |  | AccessibleRole (TControl)
 |  | AccessibleValue (TControl)
 |  | Action (TControl)
pt |  | ActionLink (TControl)
 |  | Align (TControl)
 | ro | AnchoredControls (TControl)
 |  | Anchors (TControl)
 | ro | AnchorSide (TControl)
pl |  | AnchorSideBottom (TControl)
pl |  | AnchorSideLeft (TControl)
pl |  | AnchorSideRight (TControl)
pl |  | AnchorSideTop (TControl)
 |  | AutoSize (TControl)
pt | ro | AutoSizing (TControl)
pt | ro | AutoSizingAll (TControl)
pt | ro | AutoSizingLockCount (TControl)
 | ro | BaseBounds (TControl)
 | ro | BaseParentClientSize (TControl)
 |  | BiDiMode (TControl)
 |  | BorderSpacing (TControl)
pt |  | BorderStyle (TWinControl)
 | ro | BorderStyle (TCustomControl)
 |  | BorderWidth (TWinControl)
 | ro | BoundsLockCount (TWinControl)
 |  | BoundsRect (TControl)
 |  | BoundsRectForNewParent (TControl)
 | ro | Brush (TWinControl)
 | ro | CachedClientHeight (TWinControl)
 | ro | CachedClientWidth (TWinControl)
 |  | Canvas (TCustomControl)
 |  | Caption (TControl)
 |  | CaptureMouseButtons (TControl)
 |  | ChildSizing (TWinControl)
 |  | ClientHeight (TControl)
 | ro | ClientOrigin (TControl)
 | ro | ClientRect (TControl)
 |  | ClientWidth (TControl)
 |  | Color (TControl)
pl | ro | Color (TCDListView)
pl |  | Columns (TCDListView)
 | ro | ComObject (TComponent)
 | ro | ComponentCount (TComponent)
 |  | ComponentIndex (TComponent)
 | ro | Components (TComponent)
 | ro | ComponentState (TComponent)
 | ro | ComponentStyle (TComponent)
 |  | Constraints (TControl)
 | ro | ControlCount (TWinControl)
 | ro | ControlOrigin (TControl)
 | ro | Controls (TWinControl)
 |  | ControlState (TControl)
 |  | ControlStyle (TControl)
pl |  | Cursor (TControl)
 |  | DefWndProc (TWinControl)
 |  | DesignerDeleting (TWinControl)
 |  | DesignInfo (TComponent)
pt |  | DesktopFont (TControl)
 | ro | DockClientCount (TWinControl)
 | ro | DockClients (TWinControl)
 |  | DockManager (TWinControl)
 |  | DockOrientation (TControl)
 |  | DockSite (TWinControl)
 |  | DoubleBuffered (TWinControl)
pt |  | DragCursor (TControl)
pt |  | DragKind (TControl)
pt |  | DragMode (TControl)
pt |  | DrawStyle (TCDControl)
 |  | Enabled (TControl)
pl | ro | Enabled (TCDListView)
 | ro | Floating (TControl)
 |  | FloatingDockSiteClass (TControl)
 |  | Font (TControl)
 |  | Handle (TWinControl)
pl |  | Height (TControl)
pl |  | HelpContext (TControl)
pl |  | HelpKeyword (TControl)
pl |  | HelpType (TControl)
pl |  | Hint (TControl)
 |  | HostDockSite (TControl)
 |  | IsControl (TControl)
 | ro | IsFlipped (TWinControl)
 | ro | IsResizing (TWinControl)
pl | ro | Items (TCDListView)
 | ro | LCLRefCount (TLCLComponent)
pl |  | Left (TControl)
 |  | LRDockWidth (TControl)
pt |  | MouseCapture (TControl)
 | ro | MouseEntered (TControl)
 | ro | MouseInClient (TControl)
 |  | Name (TComponent)
 | ro | Owner (TComponent)
 |  | Parent (TControl)
pt |  | ParentBackground (TWinControl)
 |  | ParentBiDiMode (TControl)
pt |  | ParentColor (TControl)
 |  | ParentDoubleBuffered (TWinControl)
pt |  | ParentFont (TControl)
pt |  | ParentShowHint (TControl)
 |  | ParentWindow (TWinControl)
 |  | PopupMenu (TControl)
 | ro | ReadBounds (TControl)
 |  | ScrollBars (TCDScrollableControl)
pl | ro | ScrollBars (TCDListView)
pt |  | SessionProperties (TControl)
pl |  | ShowColumnHeader (TCDListView)
 |  | ShowHint (TControl)
 | ro | Showing (TWinControl)
 |  | TabOrder (TWinControl)
 |  | TabStop (TWinControl)
pl | ro | TabStop (TCDListView)
 |  | Tag (TComponent)
 |  | TBDockHeight (TControl)
pt |  | Text (TControl)
pl |  | Top (TControl)
 |  | UndockHeight (TControl)
 |  | UndockWidth (TControl)
 |  | UseDockManager (TWinControl)
 |  | VCLComObject (TComponent)
pl |  | ViewStyle (TCDListView)
 |  | Visible (TControl)
 | ro | VisibleDockClientCount (TWinControl)
 | ro | WidgetSetClass (TLCLComponent)
pl |  | Width (TControl)
pt |  | WindowHandle (TWinControl)
 |  | WindowProc (TControl)


TCDListView
pt | GetControlId
pt | CreateControlStateEx
pt | PrepareControlStateEx
 | Create
 | Destroy
TCDScrollableControl
 | Create
 | Destroy
TCDControl
pt | CalculatePreferredSize
pt | SetState
pt | PrepareCurrentDrawer
pt | SetDrawStyle
pt | GetClientRect
pt | GetControlId
pt | CreateControlStateEx
pt | PrepareControlState
pt | PrepareControlStateEx
pt | DoEnter
pt | DoExit
pt | MouseEnter
pt | MouseLeave
pt | MouseDown
 | Create
 | Destroy
 | LCLWSCalculatePreferredSize
 | EraseBackground
 | Paint
 | DrawToCanvas
TCustomControl
pt | WSRegisterClass
pt | WMPaint
pt | DestroyWnd
pt | PaintWindow
pt | FontChanged
pt | SetColor
pt | Paint
 | Create
 | Destroy
TWinControl
pt | WSRegisterClass
pt | AdjustClientRect
pt | GetAdjustedLogicalClientRect
pt | AlignControls
pt | CustomAlignInsertBefore
pt | CustomAlignPosition
pt | DoAlignChildControls
pt | DoChildSizingChange
pt | InvalidatePreferredChildSizes
pt | CanTab
pt | IsClientHeightStored
pt | IsClientWidthStored
pt | DoSendShowHideToInterface
pt | ControlsAligned
pt | DoSendBoundsToInterface
pt | RealizeBounds
pt | RealizeBoundsRecursive
pt | InvalidateBoundsRealized
pt | CreateSubClass
pt | DoConstraintsChange
pt | DoSetBounds
pt | DoAutoSize
pt | DoAllAutoSize
pt | AllAutoSized
pt | CalculatePreferredSize
pt | GetPreferredSizeClientFrame
pt | GetChildren
pt | ChildClassAllowed
pt | PaintControls
pt | PaintHandler
pt | PaintWindow
pt | CreateBrush
pt | ScaleControls
pt | ChangeScale
pt | CMBiDiModeChanged
pt | CMBorderChanged
pt | CMDoubleBufferedChanged
pt | CMEnabledChanged
pt | CMParentDoubleBufferedChanged
pt | CMShowingChanged
pt | CMShowHintChanged
pt | CMVisibleChanged
pt | CMEnter
pt | CMExit
pt | WMContextMenu
pt | WMEraseBkgnd
pt | WMNotify
pt | WMSetFocus
pt | WMKillFocus
pt | WMShowWindow
pt | WMEnter
pt | WMExit
pt | WMKeyDown
pt | WMSysKeyDown
pt | WMKeyUp
pt | WMSysKeyUp
pt | WMChar
pt | WMSysChar
pt | WMPaint
pt | WMDestroy
pt | WMMove
pt | WMSize
pt | WMWindowPosChanged
pt | CNKeyDown
pt | CNSysKeyDown
pt | CNKeyUp
pt | CNSysKeyUp
pt | CNChar
pt | DoDragMsg
pt | DoDockClientMsg
pt | DoUndockClientMsg
pt | DoAddDockClient
pt | DockOver
pt | DoDockOver
pt | DoRemoveDockClient
pt | DoUnDock
pt | GetSiteInfo
pt | GetParentHandle
pt | GetTopParentHandle
pt | ReloadDockedControl
pt | CreateDockManager
pt | SetDockManager
pt | DoFloatMsg
pt | DoGetDockCaption
pt | DoEnter
pt | DoExit
pt | DoKeyDownBeforeInterface
pt | DoRemainingKeyDown
pt | DoRemainingKeyUp
pt | DoKeyPress
pt | DoUTF8KeyPress
pt | DoKeyUpBeforeInterface
pt | ChildKey
pt | SendDialogChar
pt | DialogChar
pt | ControlKeyDown
pt | ControlKeyUp
pt | KeyDown
pt | KeyDownBeforeInterface
pt | KeyDownAfterInterface
pt | KeyPress
pt | KeyUp
pt | KeyUpBeforeInterface
pt | KeyUpAfterInterface
pt | UTF8KeyPress
pt | FindNextControl
pt | SelectFirst
pt | RealGetText
pt | GetBorderStyle
pt | GetClientOrigin
pt | GetClientRect
pt | GetControlOrigin
pt | GetDeviceContext
pt | GetParentBackground
pt | IsControlMouseMsg
pt | CreateHandle
pt | CreateParams
pt | CreateWnd
pt | DestroyHandle
pt | DestroyWnd
pt | DoFlipChildren
pt | FinalizeWnd
pt | FixupTabList
pt | FontChanged
pt | InitializeWnd
pt | Loaded
pt | FormEndUpdated
pt | MainWndProc
pt | ParentFormHandleInitialized
pt | ChildHandlesCreated
pt | GetMouseCapture
pt | RealSetText
pt | RemoveFocus
pt | SendMoveSizeMessages
pt | SetBorderStyle
pt | SetColor
pt | SetChildZPosition
pt | SetParentBackground
pt | ShowControl
pt | UpdateControlState
pt | UpdateShowing
pt | WndProc
pt | WSSetText
 | AutoSizePhases
 | AutoSizeDelayed
 | AutoSizeDelayedReport
 | AutoSizeDelayedHandle
 | BeginUpdateBounds
 | EndUpdateBounds
 | LockRealizeBounds
 | UnlockRealizeBounds
 | ControlAtPos
 | ContainsControl
 | DoAdjustClientRectChange
 | InvalidateClientRectCache
 | ClientRectNeedsInterfaceUpdate
 | SetBounds
 | GetChildrenRect
 | DisableAlign
 | EnableAlign
 | ReAlign
 | ScrollBy_WS
 | ScrollBy
 | WriteLayoutDebugReport
 | AutoAdjustLayout
 | Create
 | CreateParented
 | CreateParentedControl
 | Destroy
 | DockDrop
 | CanFocus
 | CanSetFocus
 | GetControlIndex
 | SetControlIndex
 | Focused
 | PerformTab
 | FindChildControl
 | SelectNext
 | SetTempCursor
 | BroadCast
 | NotifyControls
 | DefaultHandler
 | GetTextLen
 | Invalidate
 | AddControl
 | InsertControl
 | RemoveControl
 | GetEnumeratorControls
 | GetEnumeratorControlsReverse
 | Repaint
 | Update
 | SetFocus
 | FlipChildren
 | ScaleBy
 | GetDockCaption
 | UpdateDockCaption
 | GetTabOrderList
 | HandleAllocated
 | ParentHandlesAllocated
 | HandleNeeded
 | BrushCreated
 | EraseBackground
 | IntfUTF8KeyPress
 | IntfGetDropFilesTarget
 | PaintTo
 | SetShape
TControl
pt | WSRegisterClass
pt | GetCursor
pt | SetCursor
pt | SetVisible
pt | DoOnParentHandleDestruction
pt | DoAutoSize
pt | DoAllAutoSize
pt | BeginAutoSizing
pt | EndAutoSizing
pt | AnchorSideChanged
pt | ForeignAnchorSideChanged
pt | SetAlign
pt | SetAnchors
pt | SetAutoSize
pt | BoundsChanged
pt | CreateControlBorderSpacing
pt | DoConstraintsChange
pt | DoBorderSpacingChange
pt | IsBorderSpacingInnerBorderStored
pt | IsCaptionStored
pt | SendMoveSizeMessages
pt | ConstrainedResize
pt | CalculatePreferredSize
pt | DoOnResize
pt | DoOnChangeBounds
pt | CheckOnChangeBounds
pt | Resize
pt | RequestAlign
pt | UpdateAnchorRules
pt | ChangeBounds
pt | DoSetBounds
pt | ScaleConstraints
pt | ChangeScale
pt | CanAutoSize
pt | SetBiDiMode
pt | SetParentBiDiMode
pt | IsAParentAligning
pt | GetClientOrigin
pt | GetClientRect
pt | GetLogicalClientRect
pt | GetScrolledClientRect
pt | GetClientScrollOffset
pt | GetControlOrigin
pt | IsClientHeightStored
pt | IsClientWidthStored
pt | WidthIsAnchored
pt | HeightIsAnchored
pt | WMCancelMode
pt | WMContextMenu
pt | WMLButtonDown
pt | WMRButtonDown
pt | WMMButtonDown
pt | WMXButtonDown
pt | WMLButtonDBLCLK
pt | WMRButtonDBLCLK
pt | WMMButtonDBLCLK
pt | WMXButtonDBLCLK
pt | WMLButtonTripleCLK
pt | WMRButtonTripleCLK
pt | WMMButtonTripleCLK
pt | WMXButtonTripleCLK
pt | WMLButtonQuadCLK
pt | WMRButtonQuadCLK
pt | WMMButtonQuadCLK
pt | WMXButtonQuadCLK
pt | WMMouseMove
pt | WMLButtonUp
pt | WMRButtonUp
pt | WMMButtonUp
pt | WMXButtonUp
pt | WMMouseWheel
pt | WMMouseHWheel
pt | WMMove
pt | WMSize
pt | WMWindowPosChanged
pt | CMChanged
pt | LMCaptureChanged
pt | CMBiDiModeChanged
pt | CMSysFontChanged
pt | CMEnabledChanged
pt | CMHitTest
pt | CMMouseEnter
pt | CMMouseLeave
pt | CMHintShow
pt | CMParentBiDiModeChanged
pt | CMParentColorChanged
pt | CMParentFontChanged
pt | CMParentShowHintChanged
pt | CMVisibleChanged
pt | CMTextChanged
pt | CMCursorChanged
pt | CalculateDockSizes
pt | CreateFloatingDockSite
pt | GetDockEdge
pt | GetDragImages
pt | GetFloating
pt | GetFloatingDockSiteClass
pt | BeforeDragStart
pt | BeginAutoDrag
pt | DoFloatMsg
pt | DockTrackNoTarget
pt | DoDock
pt | DoDragMsg
pt | DoEndDock
pt | DoEndDrag
pt | DoStartDock
pt | DoStartDrag
pt | DragCanceled
pt | DragOver
pt | PositionDockRect
pt | SetDragMode
pt | GetDefaultDockCaption
pt | Click
pt | DblClick
pt | TripleClick
pt | QuadClick
pt | GetMousePosFromMessage
pt | MouseDown
pt | MouseMove
pt | MouseUp
pt | MouseEnter
pt | MouseLeave
pt | DialogChar
pt | UpdateMouseCursor
pt | Changed
pt | GetPalette
pt | ChildClassAllowed
pt | ReadState
pt | Loaded
pt | LoadedAll
pt | DefineProperties
pt | AssignTo
pt | FormEndUpdated
pt | InvalidateControl
pt | FontChanged
pt | ParentFontChanged
pt | GetAction
pt | RealGetText
pt | RealSetText
pt | TextChanged
pt | GetCachedText
pt | SetAction
pt | SetColor
pt | SetEnabled
pt | SetHint
pt | SetName
pt | SetParent
pt | SetParentComponent
pt | WndProc
pt | ParentFormHandleInitialized
pt | GetMouseCapture
pt | CaptureChanged
pt | Notification
pt | CanTab
pt | GetDeviceContext
pt | GetEnabled
pt | GetPopupMenu
pt | DoOnShowHint
pt | DoMouseWheel
pt | DoMouseWheelDown
pt | DoMouseWheelUp
pt | DoMouseWheelHorz
pt | DoMouseWheelLeft
pt | DoMouseWheelRight
pt | VisibleChanging
pt | VisibleChanged
pt | EnabledChanging
pt | EnabledChanged
pt | AddHandler
pt | RemoveHandler
pt | DoCallNotifyHandler
pt | DoCallKeyEventHandler
pt | DoCallMouseWheelEventHandler
pt | DoContextPopup
pt | SetZOrder
pt | GetControlClassDefaultSize
pt | ColorIsStored
pt | DoAutoAdjustLayout
pt | DoFixDesignFontPPI
pt | DoScaleFontPPI
pt | GetActionLinkClass
pt | ActionChange
 | DragDrop
 | Dock
 | ManualDock
 | ManualFloat
 | ReplaceDockedControl
 | Docked
 | Dragging
 | GetAccessibleObject
 | CreateAccessibleObject
 | GetSelectedChildAccessibleObject
 | GetChildAccessibleObjectAtPos
 | ScaleDesignToForm
 | ScaleFormToDesign
 | Scale96ToForm
 | ScaleFormTo96
 | Scale96ToFont
 | ScaleFontTo96
 | ScaleScreenToFont
 | ScaleFontToScreen
 | Scale96ToScreen
 | ScaleScreenTo96
 | AdjustSize
 | AutoSizePhases
 | AutoSizeDelayed
 | AutoSizeDelayedReport
 | AutoSizeDelayedHandle
 | AnchorToNeighbour
 | AnchorParallel
 | AnchorHorizontalCenterTo
 | AnchorVerticalCenterTo
 | AnchorToCompanion
 | AnchorSame
 | AnchorAsAlign
 | AnchorClient
 | AnchoredControlCount
 | SetBounds
 | SetInitialBounds
 | SetBoundsKeepBase
 | GetPreferredSize
 | GetCanvasScaleFactor
 | GetDefaultWidth
 | GetDefaultHeight
 | GetDefaultColor
 | GetColorResolvingParent
 | GetRGBColorResolvingParent
 | GetSidePosition
 | CNPreferredSizeChanged
 | InvalidatePreferredSize
 | GetAnchorsDependingOnParent
 | DisableAutoSizing
 | EnableAutoSizing
 | UpdateBaseBounds
 | WriteLayoutDebugReport
 | AutoAdjustLayout
 | ShouldAutoAdjust
 | FixDesignFontsPPI
 | ScaleFontsPPI
 | Create
 | Destroy
 | BeforeDestruction
 | EditingDone
 | ExecuteDefaultAction
 | ExecuteCancelAction
 | BeginDrag
 | EndDrag
 | BringToFront
 | HasParent
 | GetParentComponent
 | IsParentOf
 | GetTopParent
 | IsVisible
 | IsControlVisible
 | IsEnabled
 | IsParentColor
 | IsParentFont
 | FormIsUpdating
 | IsProcessingPaintMsg
 | Hide
 | Refresh
 | Repaint
 | Invalidate
 | CheckChildClassAllowed
 | CheckNewParent
 | SendToBack
 | SetTempCursor
 | UpdateRolesForForm
 | ActiveDefaultControlChanged
 | GetTextBuf
 | GetTextLen
 | SetTextBuf
 | Perform
 | ScreenToClient
 | ClientToScreen
 | ScreenToControl
 | ControlToScreen
 | ClientToParent
 | ParentToClient
 | GetChildrenRect
 | Show
 | Update
 | HandleObjectShouldBeVisible
 | ParentDestroyingHandle
 | ParentHandlesAllocated
 | InitiateAction
 | ShowHelp
 | HasHelp
 | RemoveAllHandlersOfObject
 | AddHandlerOnResize
 | RemoveHandlerOnResize
 | AddHandlerOnChangeBounds
 | RemoveHandlerOnChangeBounds
 | AddHandlerOnVisibleChanging
 | RemoveHandlerOnVisibleChanging
 | AddHandlerOnVisibleChanged
 | RemoveHandlerOnVisibleChanged
 | AddHandlerOnEnabledChanged
 | RemoveHandlerOnEnableChanging
 | AddHandlerOnKeyDown
 | RemoveHandlerOnKeyDown
 | AddHandlerOnBeforeDestruction
 | RemoveHandlerOnBeforeDestruction
 | AddHandlerOnMouseWheel
 | RemoveHandlerOnMouseWheel
 | UseRightToLeftAlignment
 | UseRightToLeftReading
 | UseRightToLeftScrollBar
 | IsRightToLeft
TLCLComponent
pt | WSRegisterClass
pt | GetWSComponentClass
 | Create
 | Destroy
 | NewInstance
 | RemoveAllHandlersOfObject
 | IncLCLRefCount
 | DecLCLRefCount
TComponent
 | GetComObject
 | GetComponent
 | GetComponentCount
 | GetComponentIndex
 | Insert
 | ReadLeft
 | ReadTop
 | Remove
 | RemoveNotification
 | SetComponentIndex
 | SetReference
 | WriteLeft
 | WriteTop
 | ChangeName
 | DefineProperties
 | GetChildren
 | GetChildOwner
 | GetChildParent
 | GetOwner
 | Loaded
 | Loading
 | Notification
 | PaletteCreated
 | ReadState
 | SetAncestor
 | SetDesigning
 | SetDesignInstance
 | SetInline
 | SetName
 | SetChildOrder
 | SetParentComponent
 | Updating
 | Updated
 | UpdateRegistry
 | ValidateRename
 | ValidateContainer
 | ValidateInsert
 | QueryInterface
 | _AddRef
 | _Release
 | iicrGetComponent
 | GetTypeInfoCount
 | GetTypeInfo
 | GetIDsOfNames
 | Invoke
 | WriteState
 | Create
 | Destroy
 | BeforeDestruction
 | DestroyComponents
 | Destroying
 | ExecuteAction
 | FindComponent
 | FreeNotification
 | RemoveFreeNotification
 | FreeOnRelease
 | GetEnumerator
 | GetNamePath
 | GetParentComponent
 | HasParent
 | InsertComponent
 | RemoveComponent
 | SafeCallException
 | SetSubComponent
 | UpdateAction
 | IsImplementorOf
 | ReferenceInterface
TPersistent
 | AssignError
 | AssignTo
 | DefineProperties
 | GetOwner
 | Destroy
 | Assign
 | FPOAttachObserver
 | FPODetachObserver
 | FPONotifyObservers
 | GetNamePath
TObject
 | Create
 | Destroy
 | newinstance
 | FreeInstance
 | SafeCallException
 | DefaultHandler
 | Free
 | InitInstance
 | CleanupInstance
 | ClassType
 | ClassInfo
 | ClassName
 | ClassNameIs
 | ClassParent
 | InstanceSize
 | InheritsFrom
 | StringMessageTable
 | MethodAddress
 | MethodName
 | FieldAddress
 | AfterConstruction
 | BeforeDestruction
 | DefaultHandlerStr
 | Dispatch
 | DispatchStr
 | GetInterface
 | GetInterfaceByStr
 | GetInterfaceWeak
 | GetInterfaceEntry
 | GetInterfaceEntryByStr
 | GetInterfaceTable
 | UnitName
 | Equals
 | GetHashCode
 | ToString


pt | ActionChange (TControl)
 | ActiveDefaultControlChanged (TControl)
 | AddControl (TWinControl)
pt | AddHandler (TControl)
 | AddHandlerOnBeforeDestruction (TControl)
 | AddHandlerOnChangeBounds (TControl)
 | AddHandlerOnEnabledChanged (TControl)
 | AddHandlerOnKeyDown (TControl)
 | AddHandlerOnMouseWheel (TControl)
 | AddHandlerOnResize (TControl)
 | AddHandlerOnVisibleChanged (TControl)
 | AddHandlerOnVisibleChanging (TControl)
pt | AdjustClientRect (TWinControl)
 | AdjustSize (TControl)
 | AfterConstruction (TObject)
pt | AlignControls (TWinControl)
pt | AllAutoSized (TWinControl)
 | AnchorAsAlign (TControl)
 | AnchorClient (TControl)
 | AnchoredControlCount (TControl)
 | AnchorHorizontalCenterTo (TControl)
 | AnchorParallel (TControl)
 | AnchorSame (TControl)
pt | AnchorSideChanged (TControl)
 | AnchorToCompanion (TControl)
 | AnchorToNeighbour (TControl)
 | AnchorVerticalCenterTo (TControl)
 | Assign (TPersistent)
 | AssignError (TPersistent)
 | AssignTo (TPersistent)
pt | AssignTo (TControl)
 | AutoAdjustLayout (TControl)
 | AutoAdjustLayout (TWinControl)
 | AutoSizeDelayed (TControl)
 | AutoSizeDelayed (TWinControl)
 | AutoSizeDelayedHandle (TControl)
 | AutoSizeDelayedHandle (TWinControl)
 | AutoSizeDelayedReport (TControl)
 | AutoSizeDelayedReport (TWinControl)
 | AutoSizePhases (TControl)
 | AutoSizePhases (TWinControl)
 | BeforeDestruction (TObject)
 | BeforeDestruction (TComponent)
 | BeforeDestruction (TControl)
pt | BeforeDragStart (TControl)
pt | BeginAutoDrag (TControl)
pt | BeginAutoSizing (TControl)
 | BeginDrag (TControl)
 | BeginUpdateBounds (TWinControl)
pt | BoundsChanged (TControl)
 | BringToFront (TControl)
 | BroadCast (TWinControl)
 | BrushCreated (TWinControl)
pt | CalculateDockSizes (TControl)
pt | CalculatePreferredSize (TControl)
pt | CalculatePreferredSize (TWinControl)
pt | CalculatePreferredSize (TCDControl)
pt | CanAutoSize (TControl)
 | CanFocus (TWinControl)
 | CanSetFocus (TWinControl)
pt | CanTab (TControl)
pt | CanTab (TWinControl)
pt | CaptureChanged (TControl)
pt | ChangeBounds (TControl)
pt | Changed (TControl)
 | ChangeName (TComponent)
pt | ChangeScale (TControl)
pt | ChangeScale (TWinControl)
 | CheckChildClassAllowed (TControl)
 | CheckNewParent (TControl)
pt | CheckOnChangeBounds (TControl)
pt | ChildClassAllowed (TControl)
pt | ChildClassAllowed (TWinControl)
pt | ChildHandlesCreated (TWinControl)
pt | ChildKey (TWinControl)
 | ClassInfo (TObject)
 | ClassName (TObject)
 | ClassNameIs (TObject)
 | ClassParent (TObject)
 | ClassType (TObject)
 | CleanupInstance (TObject)
pt | Click (TControl)
 | ClientRectNeedsInterfaceUpdate (TWinControl)
 | ClientToParent (TControl)
 | ClientToScreen (TControl)
pt | CMBiDiModeChanged (TControl)
pt | CMBiDiModeChanged (TWinControl)
pt | CMBorderChanged (TWinControl)
pt | CMChanged (TControl)
pt | CMCursorChanged (TControl)
pt | CMDoubleBufferedChanged (TWinControl)
pt | CMEnabledChanged (TControl)
pt | CMEnabledChanged (TWinControl)
pt | CMEnter (TWinControl)
pt | CMExit (TWinControl)
pt | CMHintShow (TControl)
pt | CMHitTest (TControl)
pt | CMMouseEnter (TControl)
pt | CMMouseLeave (TControl)
pt | CMParentBiDiModeChanged (TControl)
pt | CMParentColorChanged (TControl)
pt | CMParentDoubleBufferedChanged (TWinControl)
pt | CMParentFontChanged (TControl)
pt | CMParentShowHintChanged (TControl)
pt | CMShowHintChanged (TWinControl)
pt | CMShowingChanged (TWinControl)
pt | CMSysFontChanged (TControl)
pt | CMTextChanged (TControl)
pt | CMVisibleChanged (TControl)
pt | CMVisibleChanged (TWinControl)
pt | CNChar (TWinControl)
pt | CNKeyDown (TWinControl)
pt | CNKeyUp (TWinControl)
 | CNPreferredSizeChanged (TControl)
pt | CNSysKeyDown (TWinControl)
pt | CNSysKeyUp (TWinControl)
pt | ColorIsStored (TControl)
pt | ConstrainedResize (TControl)
 | ContainsControl (TWinControl)
 | ControlAtPos (TWinControl)
pt | ControlKeyDown (TWinControl)
pt | ControlKeyUp (TWinControl)
pt | ControlsAligned (TWinControl)
 | ControlToScreen (TControl)
 | Create (TObject)
 | Create (TComponent)
 | Create (TLCLComponent)
 | Create (TControl)
 | Create (TWinControl)
 | Create (TCustomControl)
 | Create (TCDControl)
 | Create (TCDScrollableControl)
 | Create (TCDListView)
 | CreateAccessibleObject (TControl)
pt | CreateBrush (TWinControl)
pt | CreateControlBorderSpacing (TControl)
pt | CreateControlStateEx (TCDControl)
pt | CreateControlStateEx (TCDListView)
pt | CreateDockManager (TWinControl)
pt | CreateFloatingDockSite (TControl)
pt | CreateHandle (TWinControl)
pt | CreateParams (TWinControl)
 | CreateParented (TWinControl)
 | CreateParentedControl (TWinControl)
pt | CreateSubClass (TWinControl)
pt | CreateWnd (TWinControl)
pt | CustomAlignInsertBefore (TWinControl)
pt | CustomAlignPosition (TWinControl)
pt | DblClick (TControl)
 | DecLCLRefCount (TLCLComponent)
 | DefaultHandler (TObject)
 | DefaultHandler (TWinControl)
 | DefaultHandlerStr (TObject)
 | DefineProperties (TPersistent)
 | DefineProperties (TComponent)
pt | DefineProperties (TControl)
 | Destroy (TObject)
 | Destroy (TPersistent)
 | Destroy (TComponent)
 | Destroy (TLCLComponent)
 | Destroy (TControl)
 | Destroy (TWinControl)
 | Destroy (TCustomControl)
 | Destroy (TCDControl)
 | Destroy (TCDScrollableControl)
 | Destroy (TCDListView)
 | DestroyComponents (TComponent)
pt | DestroyHandle (TWinControl)
 | Destroying (TComponent)
pt | DestroyWnd (TWinControl)
pt | DestroyWnd (TCustomControl)
pt | DialogChar (TControl)
pt | DialogChar (TWinControl)
 | DisableAlign (TWinControl)
 | DisableAutoSizing (TControl)
 | Dispatch (TObject)
 | DispatchStr (TObject)
pt | DoAddDockClient (TWinControl)
 | DoAdjustClientRectChange (TWinControl)
pt | DoAlignChildControls (TWinControl)
pt | DoAllAutoSize (TControl)
pt | DoAllAutoSize (TWinControl)
pt | DoAutoAdjustLayout (TControl)
pt | DoAutoSize (TControl)
pt | DoAutoSize (TWinControl)
pt | DoBorderSpacingChange (TControl)
pt | DoCallKeyEventHandler (TControl)
pt | DoCallMouseWheelEventHandler (TControl)
pt | DoCallNotifyHandler (TControl)
pt | DoChildSizingChange (TWinControl)
 | Dock (TControl)
 | DockDrop (TWinControl)
 | Docked (TControl)
pt | DockOver (TWinControl)
pt | DockTrackNoTarget (TControl)
pt | DoConstraintsChange (TControl)
pt | DoConstraintsChange (TWinControl)
pt | DoContextPopup (TControl)
pt | DoDock (TControl)
pt | DoDockClientMsg (TWinControl)
pt | DoDockOver (TWinControl)
pt | DoDragMsg (TControl)
pt | DoDragMsg (TWinControl)
pt | DoEndDock (TControl)
pt | DoEndDrag (TControl)
pt | DoEnter (TWinControl)
pt | DoEnter (TCDControl)
pt | DoExit (TWinControl)
pt | DoExit (TCDControl)
pt | DoFixDesignFontPPI (TControl)
pt | DoFlipChildren (TWinControl)
pt | DoFloatMsg (TControl)
pt | DoFloatMsg (TWinControl)
pt | DoGetDockCaption (TWinControl)
pt | DoKeyDownBeforeInterface (TWinControl)
pt | DoKeyPress (TWinControl)
pt | DoKeyUpBeforeInterface (TWinControl)
pt | DoMouseWheel (TControl)
pt | DoMouseWheelDown (TControl)
pt | DoMouseWheelHorz (TControl)
pt | DoMouseWheelLeft (TControl)
pt | DoMouseWheelRight (TControl)
pt | DoMouseWheelUp (TControl)
pt | DoOnChangeBounds (TControl)
pt | DoOnParentHandleDestruction (TControl)
pt | DoOnResize (TControl)
pt | DoOnShowHint (TControl)
pt | DoRemainingKeyDown (TWinControl)
pt | DoRemainingKeyUp (TWinControl)
pt | DoRemoveDockClient (TWinControl)
pt | DoScaleFontPPI (TControl)
pt | DoSendBoundsToInterface (TWinControl)
pt | DoSendShowHideToInterface (TWinControl)
pt | DoSetBounds (TControl)
pt | DoSetBounds (TWinControl)
pt | DoStartDock (TControl)
pt | DoStartDrag (TControl)
pt | DoUnDock (TWinControl)
pt | DoUndockClientMsg (TWinControl)
pt | DoUTF8KeyPress (TWinControl)
pt | DragCanceled (TControl)
 | DragDrop (TControl)
 | Dragging (TControl)
pt | DragOver (TControl)
 | DrawToCanvas (TCDControl)
 | EditingDone (TControl)
 | EnableAlign (TWinControl)
 | EnableAutoSizing (TControl)
pt | EnabledChanged (TControl)
pt | EnabledChanging (TControl)
pt | EndAutoSizing (TControl)
 | EndDrag (TControl)
 | EndUpdateBounds (TWinControl)
 | Equals (TObject)
 | EraseBackground (TWinControl)
 | EraseBackground (TCDControl)
 | ExecuteAction (TComponent)
 | ExecuteCancelAction (TControl)
 | ExecuteDefaultAction (TControl)
 | FieldAddress (TObject)
pt | FinalizeWnd (TWinControl)
 | FindChildControl (TWinControl)
 | FindComponent (TComponent)
pt | FindNextControl (TWinControl)
 | FixDesignFontsPPI (TControl)
pt | FixupTabList (TWinControl)
 | FlipChildren (TWinControl)
 | Focused (TWinControl)
pt | FontChanged (TControl)
pt | FontChanged (TWinControl)
pt | FontChanged (TCustomControl)
pt | ForeignAnchorSideChanged (TControl)
pt | FormEndUpdated (TControl)
pt | FormEndUpdated (TWinControl)
 | FormIsUpdating (TControl)
 | FPOAttachObserver (TPersistent)
 | FPODetachObserver (TPersistent)
 | FPONotifyObservers (TPersistent)
 | Free (TObject)
 | FreeInstance (TObject)
 | FreeNotification (TComponent)
 | FreeOnRelease (TComponent)
 | GetAccessibleObject (TControl)
pt | GetAction (TControl)
pt | GetActionLinkClass (TControl)
pt | GetAdjustedLogicalClientRect (TWinControl)
 | GetAnchorsDependingOnParent (TControl)
pt | GetBorderStyle (TWinControl)
pt | GetCachedText (TControl)
 | GetCanvasScaleFactor (TControl)
 | GetChildAccessibleObjectAtPos (TControl)
 | GetChildOwner (TComponent)
 | GetChildParent (TComponent)
 | GetChildren (TComponent)
pt | GetChildren (TWinControl)
 | GetChildrenRect (TControl)
 | GetChildrenRect (TWinControl)
pt | GetClientOrigin (TControl)
pt | GetClientOrigin (TWinControl)
pt | GetClientRect (TControl)
pt | GetClientRect (TWinControl)
pt | GetClientRect (TCDControl)
pt | GetClientScrollOffset (TControl)
 | GetColorResolvingParent (TControl)
 | GetComObject (TComponent)
 | GetComponent (TComponent)
 | GetComponentCount (TComponent)
 | GetComponentIndex (TComponent)
pt | GetControlClassDefaultSize (TControl)
pt | GetControlId (TCDControl)
pt | GetControlId (TCDListView)
 | GetControlIndex (TWinControl)
pt | GetControlOrigin (TControl)
pt | GetControlOrigin (TWinControl)
pt | GetCursor (TControl)
 | GetDefaultColor (TControl)
pt | GetDefaultDockCaption (TControl)
 | GetDefaultHeight (TControl)
 | GetDefaultWidth (TControl)
pt | GetDeviceContext (TControl)
pt | GetDeviceContext (TWinControl)
 | GetDockCaption (TWinControl)
pt | GetDockEdge (TControl)
pt | GetDragImages (TControl)
pt | GetEnabled (TControl)
 | GetEnumerator (TComponent)
 | GetEnumeratorControls (TWinControl)
 | GetEnumeratorControlsReverse (TWinControl)
pt | GetFloating (TControl)
pt | GetFloatingDockSiteClass (TControl)
 | GetHashCode (TObject)
 | GetIDsOfNames (TComponent)
 | GetInterface (TObject)
 | GetInterfaceByStr (TObject)
 | GetInterfaceEntry (TObject)
 | GetInterfaceEntryByStr (TObject)
 | GetInterfaceTable (TObject)
 | GetInterfaceWeak (TObject)
pt | GetLogicalClientRect (TControl)
pt | GetMouseCapture (TControl)
pt | GetMouseCapture (TWinControl)
pt | GetMousePosFromMessage (TControl)
 | GetNamePath (TPersistent)
 | GetNamePath (TComponent)
 | GetOwner (TPersistent)
 | GetOwner (TComponent)
pt | GetPalette (TControl)
pt | GetParentBackground (TWinControl)
 | GetParentComponent (TComponent)
 | GetParentComponent (TControl)
pt | GetParentHandle (TWinControl)
pt | GetPopupMenu (TControl)
 | GetPreferredSize (TControl)
pt | GetPreferredSizeClientFrame (TWinControl)
 | GetRGBColorResolvingParent (TControl)
pt | GetScrolledClientRect (TControl)
 | GetSelectedChildAccessibleObject (TControl)
 | GetSidePosition (TControl)
pt | GetSiteInfo (TWinControl)
 | GetTabOrderList (TWinControl)
 | GetTextBuf (TControl)
 | GetTextLen (TControl)
 | GetTextLen (TWinControl)
 | GetTopParent (TControl)
pt | GetTopParentHandle (TWinControl)
 | GetTypeInfo (TComponent)
 | GetTypeInfoCount (TComponent)
pt | GetWSComponentClass (TLCLComponent)
 | HandleAllocated (TWinControl)
 | HandleNeeded (TWinControl)
 | HandleObjectShouldBeVisible (TControl)
 | HasHelp (TControl)
 | HasParent (TComponent)
 | HasParent (TControl)
pt | HeightIsAnchored (TControl)
 | Hide (TControl)
 | iicrGetComponent (TComponent)
 | IncLCLRefCount (TLCLComponent)
 | InheritsFrom (TObject)
pt | InitializeWnd (TWinControl)
 | InitiateAction (TControl)
 | InitInstance (TObject)
 | Insert (TComponent)
 | InsertComponent (TComponent)
 | InsertControl (TWinControl)
 | InstanceSize (TObject)
 | IntfGetDropFilesTarget (TWinControl)
 | IntfUTF8KeyPress (TWinControl)
 | Invalidate (TControl)
 | Invalidate (TWinControl)
pt | InvalidateBoundsRealized (TWinControl)
 | InvalidateClientRectCache (TWinControl)
pt | InvalidateControl (TControl)
pt | InvalidatePreferredChildSizes (TWinControl)
 | InvalidatePreferredSize (TControl)
 | Invoke (TComponent)
pt | IsAParentAligning (TControl)
pt | IsBorderSpacingInnerBorderStored (TControl)
pt | IsCaptionStored (TControl)
pt | IsClientHeightStored (TControl)
pt | IsClientHeightStored (TWinControl)
pt | IsClientWidthStored (TControl)
pt | IsClientWidthStored (TWinControl)
pt | IsControlMouseMsg (TWinControl)
 | IsControlVisible (TControl)
 | IsEnabled (TControl)
 | IsImplementorOf (TComponent)
 | IsParentColor (TControl)
 | IsParentFont (TControl)
 | IsParentOf (TControl)
 | IsProcessingPaintMsg (TControl)
 | IsRightToLeft (TControl)
 | IsVisible (TControl)
pt | KeyDown (TWinControl)
pt | KeyDownAfterInterface (TWinControl)
pt | KeyDownBeforeInterface (TWinControl)
pt | KeyPress (TWinControl)
pt | KeyUp (TWinControl)
pt | KeyUpAfterInterface (TWinControl)
pt | KeyUpBeforeInterface (TWinControl)
 | LCLWSCalculatePreferredSize (TCDControl)
pt | LMCaptureChanged (TControl)
 | Loaded (TComponent)
pt | Loaded (TControl)
pt | Loaded (TWinControl)
pt | LoadedAll (TControl)
 | Loading (TComponent)
 | LockRealizeBounds (TWinControl)
pt | MainWndProc (TWinControl)
 | ManualDock (TControl)
 | ManualFloat (TControl)
 | MethodAddress (TObject)
 | MethodName (TObject)
pt | MouseDown (TControl)
pt | MouseDown (TCDControl)
pt | MouseEnter (TControl)
pt | MouseEnter (TCDControl)
pt | MouseLeave (TControl)
pt | MouseLeave (TCDControl)
pt | MouseMove (TControl)
pt | MouseUp (TControl)
 | newinstance (TObject)
 | NewInstance (TLCLComponent)
 | Notification (TComponent)
pt | Notification (TControl)
 | NotifyControls (TWinControl)
pt | Paint (TCustomControl)
 | Paint (TCDControl)
pt | PaintControls (TWinControl)
pt | PaintHandler (TWinControl)
 | PaintTo (TWinControl)
pt | PaintWindow (TWinControl)
pt | PaintWindow (TCustomControl)
 | PaletteCreated (TComponent)
 | ParentDestroyingHandle (TControl)
pt | ParentFontChanged (TControl)
pt | ParentFormHandleInitialized (TControl)
pt | ParentFormHandleInitialized (TWinControl)
 | ParentHandlesAllocated (TControl)
 | ParentHandlesAllocated (TWinControl)
 | ParentToClient (TControl)
 | Perform (TControl)
 | PerformTab (TWinControl)
pt | PositionDockRect (TControl)
pt | PrepareControlState (TCDControl)
pt | PrepareControlStateEx (TCDControl)
pt | PrepareControlStateEx (TCDListView)
pt | PrepareCurrentDrawer (TCDControl)
pt | QuadClick (TControl)
 | QueryInterface (TComponent)
 | ReadLeft (TComponent)
 | ReadState (TComponent)
pt | ReadState (TControl)
 | ReadTop (TComponent)
pt | RealGetText (TControl)
pt | RealGetText (TWinControl)
 | ReAlign (TWinControl)
pt | RealizeBounds (TWinControl)
pt | RealizeBoundsRecursive (TWinControl)
pt | RealSetText (TControl)
pt | RealSetText (TWinControl)
 | ReferenceInterface (TComponent)
 | Refresh (TControl)
pt | ReloadDockedControl (TWinControl)
 | Remove (TComponent)
 | RemoveAllHandlersOfObject (TLCLComponent)
 | RemoveAllHandlersOfObject (TControl)
 | RemoveComponent (TComponent)
 | RemoveControl (TWinControl)
pt | RemoveFocus (TWinControl)
 | RemoveFreeNotification (TComponent)
pt | RemoveHandler (TControl)
 | RemoveHandlerOnBeforeDestruction (TControl)
 | RemoveHandlerOnChangeBounds (TControl)
 | RemoveHandlerOnEnableChanging (TControl)
 | RemoveHandlerOnKeyDown (TControl)
 | RemoveHandlerOnMouseWheel (TControl)
 | RemoveHandlerOnResize (TControl)
 | RemoveHandlerOnVisibleChanged (TControl)
 | RemoveHandlerOnVisibleChanging (TControl)
 | RemoveNotification (TComponent)
 | Repaint (TControl)
 | Repaint (TWinControl)
 | ReplaceDockedControl (TControl)
pt | RequestAlign (TControl)
pt | Resize (TControl)
 | SafeCallException (TObject)
 | SafeCallException (TComponent)
 | Scale96ToFont (TControl)
 | Scale96ToForm (TControl)
 | Scale96ToScreen (TControl)
 | ScaleBy (TWinControl)
pt | ScaleConstraints (TControl)
pt | ScaleControls (TWinControl)
 | ScaleDesignToForm (TControl)
 | ScaleFontsPPI (TControl)
 | ScaleFontTo96 (TControl)
 | ScaleFontToScreen (TControl)
 | ScaleFormTo96 (TControl)
 | ScaleFormToDesign (TControl)
 | ScaleScreenTo96 (TControl)
 | ScaleScreenToFont (TControl)
 | ScreenToClient (TControl)
 | ScreenToControl (TControl)
 | ScrollBy (TWinControl)
 | ScrollBy_WS (TWinControl)
pt | SelectFirst (TWinControl)
 | SelectNext (TWinControl)
pt | SendDialogChar (TWinControl)
pt | SendMoveSizeMessages (TControl)
pt | SendMoveSizeMessages (TWinControl)
 | SendToBack (TControl)
pt | SetAction (TControl)
pt | SetAlign (TControl)
 | SetAncestor (TComponent)
pt | SetAnchors (TControl)
pt | SetAutoSize (TControl)
pt | SetBiDiMode (TControl)
pt | SetBorderStyle (TWinControl)
 | SetBounds (TControl)
 | SetBounds (TWinControl)
 | SetBoundsKeepBase (TControl)
 | SetChildOrder (TComponent)
pt | SetChildZPosition (TWinControl)
pt | SetColor (TControl)
pt | SetColor (TWinControl)
pt | SetColor (TCustomControl)
 | SetComponentIndex (TComponent)
 | SetControlIndex (TWinControl)
pt | SetCursor (TControl)
 | SetDesigning (TComponent)
 | SetDesignInstance (TComponent)
pt | SetDockManager (TWinControl)
pt | SetDragMode (TControl)
pt | SetDrawStyle (TCDControl)
pt | SetEnabled (TControl)
 | SetFocus (TWinControl)
pt | SetHint (TControl)
 | SetInitialBounds (TControl)
 | SetInline (TComponent)
 | SetName (TComponent)
pt | SetName (TControl)
pt | SetParent (TControl)
pt | SetParentBackground (TWinControl)
pt | SetParentBiDiMode (TControl)
 | SetParentComponent (TComponent)
pt | SetParentComponent (TControl)
 | SetReference (TComponent)
 | SetShape (TWinControl)
pt | SetState (TCDControl)
 | SetSubComponent (TComponent)
 | SetTempCursor (TControl)
 | SetTempCursor (TWinControl)
 | SetTextBuf (TControl)
pt | SetVisible (TControl)
pt | SetZOrder (TControl)
 | ShouldAutoAdjust (TControl)
 | Show (TControl)
pt | ShowControl (TWinControl)
 | ShowHelp (TControl)
 | StringMessageTable (TObject)
pt | TextChanged (TControl)
 | ToString (TObject)
pt | TripleClick (TControl)
 | UnitName (TObject)
 | UnlockRealizeBounds (TWinControl)
 | Update (TControl)
 | Update (TWinControl)
 | UpdateAction (TComponent)
pt | UpdateAnchorRules (TControl)
 | UpdateBaseBounds (TControl)
pt | UpdateControlState (TWinControl)
 | Updated (TComponent)
 | UpdateDockCaption (TWinControl)
pt | UpdateMouseCursor (TControl)
 | UpdateRegistry (TComponent)
 | UpdateRolesForForm (TControl)
pt | UpdateShowing (TWinControl)
 | Updating (TComponent)
 | UseRightToLeftAlignment (TControl)
 | UseRightToLeftReading (TControl)
 | UseRightToLeftScrollBar (TControl)
pt | UTF8KeyPress (TWinControl)
 | ValidateContainer (TComponent)
 | ValidateInsert (TComponent)
 | ValidateRename (TComponent)
pt | VisibleChanged (TControl)
pt | VisibleChanging (TControl)
pt | WidthIsAnchored (TControl)
pt | WMCancelMode (TControl)
pt | WMChar (TWinControl)
pt | WMContextMenu (TControl)
pt | WMContextMenu (TWinControl)
pt | WMDestroy (TWinControl)
pt | WMEnter (TWinControl)
pt | WMEraseBkgnd (TWinControl)
pt | WMExit (TWinControl)
pt | WMKeyDown (TWinControl)
pt | WMKeyUp (TWinControl)
pt | WMKillFocus (TWinControl)
pt | WMLButtonDBLCLK (TControl)
pt | WMLButtonDown (TControl)
pt | WMLButtonQuadCLK (TControl)
pt | WMLButtonTripleCLK (TControl)
pt | WMLButtonUp (TControl)
pt | WMMButtonDBLCLK (TControl)
pt | WMMButtonDown (TControl)
pt | WMMButtonQuadCLK (TControl)
pt | WMMButtonTripleCLK (TControl)
pt | WMMButtonUp (TControl)
pt | WMMouseHWheel (TControl)
pt | WMMouseMove (TControl)
pt | WMMouseWheel (TControl)
pt | WMMove (TControl)
pt | WMMove (TWinControl)
pt | WMNotify (TWinControl)
pt | WMPaint (TWinControl)
pt | WMPaint (TCustomControl)
pt | WMRButtonDBLCLK (TControl)
pt | WMRButtonDown (TControl)
pt | WMRButtonQuadCLK (TControl)
pt | WMRButtonTripleCLK (TControl)
pt | WMRButtonUp (TControl)
pt | WMSetFocus (TWinControl)
pt | WMShowWindow (TWinControl)
pt | WMSize (TControl)
pt | WMSize (TWinControl)
pt | WMSysChar (TWinControl)
pt | WMSysKeyDown (TWinControl)
pt | WMSysKeyUp (TWinControl)
pt | WMWindowPosChanged (TControl)
pt | WMWindowPosChanged (TWinControl)
pt | WMXButtonDBLCLK (TControl)
pt | WMXButtonDown (TControl)
pt | WMXButtonQuadCLK (TControl)
pt | WMXButtonTripleCLK (TControl)
pt | WMXButtonUp (TControl)
pt | WndProc (TControl)
pt | WndProc (TWinControl)
 | WriteLayoutDebugReport (TControl)
 | WriteLayoutDebugReport (TWinControl)
 | WriteLeft (TComponent)
 | WriteState (TComponent)
 | WriteTop (TComponent)
pt | WSRegisterClass (TLCLComponent)
pt | WSRegisterClass (TControl)
pt | WSRegisterClass (TWinControl)
pt | WSRegisterClass (TCustomControl)
pt | WSSetText (TWinControl)
 | _AddRef (TComponent)
 | _Release (TComponent)


TCDListView
TCDScrollableControl
TCDControl
TCustomControl
 | OnPaint
TWinControl
pt | OnGetSiteInfo
pt | OnGetDockCaption
 | OnAlignInsertBefore
 | OnAlignPosition
 | OnDockDrop
 | OnDockOver
 | OnEnter
 | OnExit
 | OnKeyDown
 | OnKeyPress
 | OnKeyUp
 | OnUnDock
 | OnUTF8KeyPress
TControl
pt | OnConstrainedResize
pt | OnContextPopup
pt | OnDblClick
pt | OnTripleClick
pt | OnQuadClick
pt | OnDragDrop
pt | OnDragOver
pt | OnEndDock
pt | OnEndDrag
pt | OnMouseDown
pt | OnMouseMove
pt | OnMouseUp
pt | OnMouseEnter
pt | OnMouseLeave
pt | OnMouseWheel
pt | OnMouseWheelDown
pt | OnMouseWheelUp
pt | OnMouseWheelHorz
pt | OnMouseWheelLeft
pt | OnMouseWheelRight
pt | OnStartDock
pt | OnStartDrag
pt | OnEditingDone
 | OnChangeBounds
 | OnClick
 | OnResize
 | OnShowHint
TLCLComponent
TComponent
TPersistent
TObject


TCDListView.Color

Declaration

Source position: customdrawncontrols.pas line 598

published property TCDListView.Color : TColor;


TCDListView.Columns

Declaration

Source position: customdrawncontrols.pas line 600

published property TCDListView.Columns : TListColumns
  read FColumns
  write SetColumns;


TCDListView.Create

Declaration

Source position: customdrawncontrols.pas line 595

public constructor TCDListView.Create(

  AOwner: TComponent

); override;


TCDListView.CreateControlStateEx

Declaration

Source position: customdrawncontrols.pas line 592

protected procedure TCDListView.CreateControlStateEx; override;


TCDListView.Destroy

Declaration

Source position: customdrawncontrols.pas line 596

public destructor TCDListView.Destroy; override;


TCDListView.Enabled

Declaration

Source position: customdrawncontrols.pas line 601

published property TCDListView.Enabled : Boolean;


TCDListView.FLVState

Declaration

Source position: customdrawncontrols.pas line 590

protected TCDListView.FLVState : TCDListViewStateEx;


TCDListView.GetControlId

Declaration

Source position: customdrawncontrols.pas line 591

protected function TCDListView.GetControlId: TCDControlID; override;


TCDListView.Items

Declaration

Source position: customdrawncontrols.pas line 603

published property TCDListView.Items : TCDListItems
  read FListItems;


TCDListView.PrepareControlStateEx

Declaration

Source position: customdrawncontrols.pas line 593

protected procedure TCDListView.PrepareControlStateEx; override;


TCDListView.ScrollBars

Declaration

Source position: customdrawncontrols.pas line 604

published property TCDListView.ScrollBars : TScrollStyle;


TCDListView.ShowColumnHeader

Declaration

Source position: customdrawncontrols.pas line 605

published property TCDListView.ShowColumnHeader : Boolean
  read FShowColumnHeader
  write SetShowColumnHeader
  default True;


TCDListView.TabStop

Declaration

Source position: customdrawncontrols.pas line 599

published property TCDListView.TabStop : Boolean
  default True;


TCDListView.ViewStyle

Declaration

Source position: customdrawncontrols.pas line 606

published property TCDListView.ViewStyle : TViewStyle
  read FViewStyle
  write SetViewStyle
  default vsList;


TCDPageControl

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Declaration

Source position: customdrawncontrols.pas line 726

type TCDPageControl = class(TCDCustomTabControl)

public

  constructor Create(); override;

  destructor Destroy; override;

  function InsertPage();

  procedure RemovePage();

  function AddPage();

  function GetPage();

  property PageCount: Integer; [r]

  function FindNextPage();

  procedure SelectNextPage();

published

  property Align: TAlign;

  property ActivePage: TCDTabSheet; [rw]

  property DrawStyle: TCDDrawStyle;

  property Caption: TCaption;

  property Color: TColor;

  property Enabled: Boolean;

  property Font: TFont;

  property PageIndex: Integer; [rw]

  property Options: TCTabControlOptions;

  property ParentColor: Boolean;

  property ParentFont: Boolean;

  property TabStop: Boolean;

  property TabIndex: Integer;

  property OnChanging: TNotifyEvent;

  property OnChange: TNotifyEvent;

  property OnUserAddedPage: TOnUserAddedPage;

end;

Inheritance

TCDPageControl |
|
TCDCustomTabControl |
|
TCDControl |
|
TCustomControl | The base class for windowed controls which paint themselves.
|
TWinControl | The base class for controls which can contain other (child) controls.
|
TControl | The base class for visible controls.
|
TLCLComponent | The base class for LCL components associated with widgets.
|
TComponent,IUnknown,IInterfaceComponentReference
|
TPersistent,IFPObserved
|
TObject


TCDPageControl
 | ro | PageCount
pl | ro | Align
pl |  | ActivePage
pl | ro | DrawStyle
pl | ro | Caption
pl | ro | Color
pl | ro | Enabled
pl | ro | Font
pl |  | PageIndex
pl | ro | Options
pl | ro | ParentColor
pl | ro | ParentFont
pl | ro | TabStop
pl | ro | TabIndex
TCDCustomTabControl
pt |  | Options
 |  | Tabs
 |  | TabIndex
TCDControl
pt |  | DrawStyle
TCustomControl
 |  | Canvas
 | ro | BorderStyle
TWinControl
pt |  | WindowHandle
pt |  | BorderStyle
pt |  | ParentBackground
 |  | BorderWidth
 | ro | BoundsLockCount
 | ro | Brush
 | ro | CachedClientHeight
 | ro | CachedClientWidth
 |  | ChildSizing
 | ro | ControlCount
 | ro | Controls
 |  | DefWndProc
 | ro | DockClientCount
 | ro | DockClients
 |  | DockManager
 |  | DockSite
 |  | DoubleBuffered
 |  | Handle
 | ro | IsFlipped
 | ro | IsResizing
 |  | TabOrder
 |  | TabStop
 |  | ParentDoubleBuffered
 |  | ParentWindow
 | ro | Showing
 |  | UseDockManager
 |  | DesignerDeleting
 | ro | VisibleDockClientCount
TControl
pt | ro | AutoSizing
pt | ro | AutoSizingAll
pt | ro | AutoSizingLockCount
pt |  | ActionLink
pt |  | DesktopFont
pt |  | DragCursor
pt |  | DragKind
pt |  | DragMode
pt |  | MouseCapture
pt |  | ParentColor
pt |  | ParentFont
pt |  | ParentShowHint
pt |  | SessionProperties
pt |  | Text
 | ro | AnchoredControls
 | ro | BaseBounds
 | ro | ReadBounds
 | ro | BaseParentClientSize
 |  | AccessibleDescription
 |  | AccessibleValue
 |  | AccessibleRole
 |  | Action
 |  | Align
 |  | Anchors
 | ro | AnchorSide
 |  | AutoSize
 |  | BorderSpacing
 |  | BoundsRect
 |  | BoundsRectForNewParent
 |  | Caption
 |  | CaptureMouseButtons
 |  | ClientHeight
 | ro | ClientOrigin
 | ro | ClientRect
 |  | ClientWidth
 |  | Color
 |  | Constraints
 | ro | ControlOrigin
 |  | ControlState
 |  | ControlStyle
 |  | Enabled
 |  | Font
 |  | IsControl
 | ro | MouseEntered
 | ro | MouseInClient
 |  | Parent
 |  | PopupMenu
 |  | ShowHint
 |  | Visible
 |  | WindowProc
 |  | DockOrientation
 | ro | Floating
 |  | FloatingDockSiteClass
 |  | HostDockSite
 |  | LRDockWidth
 |  | TBDockHeight
 |  | UndockHeight
 |  | UndockWidth
 |  | BiDiMode
 |  | ParentBiDiMode
pl |  | AnchorSideLeft
pl |  | AnchorSideTop
pl |  | AnchorSideRight
pl |  | AnchorSideBottom
pl |  | Cursor
pl |  | Left
pl |  | Height
pl |  | Hint
pl |  | Top
pl |  | Width
pl |  | HelpType
pl |  | HelpKeyword
pl |  | HelpContext
TLCLComponent
 | ro | LCLRefCount
 | ro | WidgetSetClass
TComponent
 | ro | ComObject
 | ro | Components
 | ro | ComponentCount
 |  | ComponentIndex
 | ro | ComponentState
 | ro | ComponentStyle
 |  | DesignInfo
 | ro | Owner
 |  | VCLComObject
 |  | Name
 |  | Tag
TPersistent
TObject


 |  | AccessibleDescription (TControl)
 |  | AccessibleRole (TControl)
 |  | AccessibleValue (TControl)
 |  | Action (TControl)
pt |  | ActionLink (TControl)
pl |  | ActivePage (TCDPageControl)
 |  | Align (TControl)
pl | ro | Align (TCDPageControl)
 | ro | AnchoredControls (TControl)
 |  | Anchors (TControl)
 | ro | AnchorSide (TControl)
pl |  | AnchorSideBottom (TControl)
pl |  | AnchorSideLeft (TControl)
pl |  | AnchorSideRight (TControl)
pl |  | AnchorSideTop (TControl)
 |  | AutoSize (TControl)
pt | ro | AutoSizing (TControl)
pt | ro | AutoSizingAll (TControl)
pt | ro | AutoSizingLockCount (TControl)
 | ro | BaseBounds (TControl)
 | ro | BaseParentClientSize (TControl)
 |  | BiDiMode (TControl)
 |  | BorderSpacing (TControl)
pt |  | BorderStyle (TWinControl)
 | ro | BorderStyle (TCustomControl)
 |  | BorderWidth (TWinControl)
 | ro | BoundsLockCount (TWinControl)
 |  | BoundsRect (TControl)
 |  | BoundsRectForNewParent (TControl)
 | ro | Brush (TWinControl)
 | ro | CachedClientHeight (TWinControl)
 | ro | CachedClientWidth (TWinControl)
 |  | Canvas (TCustomControl)
 |  | Caption (TControl)
pl | ro | Caption (TCDPageControl)
 |  | CaptureMouseButtons (TControl)
 |  | ChildSizing (TWinControl)
 |  | ClientHeight (TControl)
 | ro | ClientOrigin (TControl)
 | ro | ClientRect (TControl)
 |  | ClientWidth (TControl)
 |  | Color (TControl)
pl | ro | Color (TCDPageControl)
 | ro | ComObject (TComponent)
 | ro | ComponentCount (TComponent)
 |  | ComponentIndex (TComponent)
 | ro | Components (TComponent)
 | ro | ComponentState (TComponent)
 | ro | ComponentStyle (TComponent)
 |  | Constraints (TControl)
 | ro | ControlCount (TWinControl)
 | ro | ControlOrigin (TControl)
 | ro | Controls (TWinControl)
 |  | ControlState (TControl)
 |  | ControlStyle (TControl)
pl |  | Cursor (TControl)
 |  | DefWndProc (TWinControl)
 |  | DesignerDeleting (TWinControl)
 |  | DesignInfo (TComponent)
pt |  | DesktopFont (TControl)
 | ro | DockClientCount (TWinControl)
 | ro | DockClients (TWinControl)
 |  | DockManager (TWinControl)
 |  | DockOrientation (TControl)
 |  | DockSite (TWinControl)
 |  | DoubleBuffered (TWinControl)
pt |  | DragCursor (TControl)
pt |  | DragKind (TControl)
pt |  | DragMode (TControl)
pt |  | DrawStyle (TCDControl)
pl | ro | DrawStyle (TCDPageControl)
 |  | Enabled (TControl)
pl | ro | Enabled (TCDPageControl)
 | ro | Floating (TControl)
 |  | FloatingDockSiteClass (TControl)
 |  | Font (TControl)
pl | ro | Font (TCDPageControl)
 |  | Handle (TWinControl)
pl |  | Height (TControl)
pl |  | HelpContext (TControl)
pl |  | HelpKeyword (TControl)
pl |  | HelpType (TControl)
pl |  | Hint (TControl)
 |  | HostDockSite (TControl)
 |  | IsControl (TControl)
 | ro | IsFlipped (TWinControl)
 | ro | IsResizing (TWinControl)
 | ro | LCLRefCount (TLCLComponent)
pl |  | Left (TControl)
 |  | LRDockWidth (TControl)
pt |  | MouseCapture (TControl)
 | ro | MouseEntered (TControl)
 | ro | MouseInClient (TControl)
 |  | Name (TComponent)
pt |  | Options (TCDCustomTabControl)
pl | ro | Options (TCDPageControl)
 | ro | Owner (TComponent)
 | ro | PageCount (TCDPageControl)
pl |  | PageIndex (TCDPageControl)
 |  | Parent (TControl)
pt |  | ParentBackground (TWinControl)
 |  | ParentBiDiMode (TControl)
pt |  | ParentColor (TControl)
pl | ro | ParentColor (TCDPageControl)
 |  | ParentDoubleBuffered (TWinControl)
pt |  | ParentFont (TControl)
pl | ro | ParentFont (TCDPageControl)
pt |  | ParentShowHint (TControl)
 |  | ParentWindow (TWinControl)
 |  | PopupMenu (TControl)
 | ro | ReadBounds (TControl)
pt |  | SessionProperties (TControl)
 |  | ShowHint (TControl)
 | ro | Showing (TWinControl)
 |  | TabIndex (TCDCustomTabControl)
pl | ro | TabIndex (TCDPageControl)
 |  | TabOrder (TWinControl)
 |  | Tabs (TCDCustomTabControl)
 |  | TabStop (TWinControl)
pl | ro | TabStop (TCDPageControl)
 |  | Tag (TComponent)
 |  | TBDockHeight (TControl)
pt |  | Text (TControl)
pl |  | Top (TControl)
 |  | UndockHeight (TControl)
 |  | UndockWidth (TControl)
 |  | UseDockManager (TWinControl)
 |  | VCLComObject (TComponent)
 |  | Visible (TControl)
 | ro | VisibleDockClientCount (TWinControl)
 | ro | WidgetSetClass (TLCLComponent)
pl |  | Width (TControl)
pt |  | WindowHandle (TWinControl)
 |  | WindowProc (TControl)


TCDPageControl
 | Create
 | Destroy
 | InsertPage
 | RemovePage
 | AddPage
 | GetPage
 | FindNextPage
 | SelectNextPage
TCDCustomTabControl
pt | GetControlId
pt | CreateControlStateEx
pt | PrepareControlStateEx
pt | CorrectTabIndex
pt | MouseDown
pt | MouseUp
 | Create
 | Destroy
 | GetTabCount
TCDControl
pt | CalculatePreferredSize
pt | SetState
pt | PrepareCurrentDrawer
pt | SetDrawStyle
pt | GetClientRect
pt | GetControlId
pt | CreateControlStateEx
pt | PrepareControlState
pt | PrepareControlStateEx
pt | DoEnter
pt | DoExit
pt | MouseEnter
pt | MouseLeave
pt | MouseDown
 | Create
 | Destroy
 | LCLWSCalculatePreferredSize
 | EraseBackground
 | Paint
 | DrawToCanvas
TCustomControl
pt | WSRegisterClass
pt | WMPaint
pt | DestroyWnd
pt | PaintWindow
pt | FontChanged
pt | SetColor
pt | Paint
 | Create
 | Destroy
TWinControl
pt | WSRegisterClass
pt | AdjustClientRect
pt | GetAdjustedLogicalClientRect
pt | AlignControls
pt | CustomAlignInsertBefore
pt | CustomAlignPosition
pt | DoAlignChildControls
pt | DoChildSizingChange
pt | InvalidatePreferredChildSizes
pt | CanTab
pt | IsClientHeightStored
pt | IsClientWidthStored
pt | DoSendShowHideToInterface
pt | ControlsAligned
pt | DoSendBoundsToInterface
pt | RealizeBounds
pt | RealizeBoundsRecursive
pt | InvalidateBoundsRealized
pt | CreateSubClass
pt | DoConstraintsChange
pt | DoSetBounds
pt | DoAutoSize
pt | DoAllAutoSize
pt | AllAutoSized
pt | CalculatePreferredSize
pt | GetPreferredSizeClientFrame
pt | GetChildren
pt | ChildClassAllowed
pt | PaintControls
pt | PaintHandler
pt | PaintWindow
pt | CreateBrush
pt | ScaleControls
pt | ChangeScale
pt | CMBiDiModeChanged
pt | CMBorderChanged
pt | CMDoubleBufferedChanged
pt | CMEnabledChanged
pt | CMParentDoubleBufferedChanged
pt | CMShowingChanged
pt | CMShowHintChanged
pt | CMVisibleChanged
pt | CMEnter
pt | CMExit
pt | WMContextMenu
pt | WMEraseBkgnd
pt | WMNotify
pt | WMSetFocus
pt | WMKillFocus
pt | WMShowWindow
pt | WMEnter
pt | WMExit
pt | WMKeyDown
pt | WMSysKeyDown
pt | WMKeyUp
pt | WMSysKeyUp
pt | WMChar
pt | WMSysChar
pt | WMPaint
pt | WMDestroy
pt | WMMove
pt | WMSize
pt | WMWindowPosChanged
pt | CNKeyDown
pt | CNSysKeyDown
pt | CNKeyUp
pt | CNSysKeyUp
pt | CNChar
pt | DoDragMsg
pt | DoDockClientMsg
pt | DoUndockClientMsg
pt | DoAddDockClient
pt | DockOver
pt | DoDockOver
pt | DoRemoveDockClient
pt | DoUnDock
pt | GetSiteInfo
pt | GetParentHandle
pt | GetTopParentHandle
pt | ReloadDockedControl
pt | CreateDockManager
pt | SetDockManager
pt | DoFloatMsg
pt | DoGetDockCaption
pt | DoEnter
pt | DoExit
pt | DoKeyDownBeforeInterface
pt | DoRemainingKeyDown
pt | DoRemainingKeyUp
pt | DoKeyPress
pt | DoUTF8KeyPress
pt | DoKeyUpBeforeInterface
pt | ChildKey
pt | SendDialogChar
pt | DialogChar
pt | ControlKeyDown
pt | ControlKeyUp
pt | KeyDown
pt | KeyDownBeforeInterface
pt | KeyDownAfterInterface
pt | KeyPress
pt | KeyUp
pt | KeyUpBeforeInterface
pt | KeyUpAfterInterface
pt | UTF8KeyPress
pt | FindNextControl
pt | SelectFirst
pt | RealGetText
pt | GetBorderStyle
pt | GetClientOrigin
pt | GetClientRect
pt | GetControlOrigin
pt | GetDeviceContext
pt | GetParentBackground
pt | IsControlMouseMsg
pt | CreateHandle
pt | CreateParams
pt | CreateWnd
pt | DestroyHandle
pt | DestroyWnd
pt | DoFlipChildren
pt | FinalizeWnd
pt | FixupTabList
pt | FontChanged
pt | InitializeWnd
pt | Loaded
pt | FormEndUpdated
pt | MainWndProc
pt | ParentFormHandleInitialized
pt | ChildHandlesCreated
pt | GetMouseCapture
pt | RealSetText
pt | RemoveFocus
pt | SendMoveSizeMessages
pt | SetBorderStyle
pt | SetColor
pt | SetChildZPosition
pt | SetParentBackground
pt | ShowControl
pt | UpdateControlState
pt | UpdateShowing
pt | WndProc
pt | WSSetText
 | AutoSizePhases
 | AutoSizeDelayed
 | AutoSizeDelayedReport
 | AutoSizeDelayedHandle
 | BeginUpdateBounds
 | EndUpdateBounds
 | LockRealizeBounds
 | UnlockRealizeBounds
 | ControlAtPos
 | ContainsControl
 | DoAdjustClientRectChange
 | InvalidateClientRectCache
 | ClientRectNeedsInterfaceUpdate
 | SetBounds
 | GetChildrenRect
 | DisableAlign
 | EnableAlign
 | ReAlign
 | ScrollBy_WS
 | ScrollBy
 | WriteLayoutDebugReport
 | AutoAdjustLayout
 | Create
 | CreateParented
 | CreateParentedControl
 | Destroy
 | DockDrop
 | CanFocus
 | CanSetFocus
 | GetControlIndex
 | SetControlIndex
 | Focused
 | PerformTab
 | FindChildControl
 | SelectNext
 | SetTempCursor
 | BroadCast
 | NotifyControls
 | DefaultHandler
 | GetTextLen
 | Invalidate
 | AddControl
 | InsertControl
 | RemoveControl
 | GetEnumeratorControls
 | GetEnumeratorControlsReverse
 | Repaint
 | Update
 | SetFocus
 | FlipChildren
 | ScaleBy
 | GetDockCaption
 | UpdateDockCaption
 | GetTabOrderList
 | HandleAllocated
 | ParentHandlesAllocated
 | HandleNeeded
 | BrushCreated
 | EraseBackground
 | IntfUTF8KeyPress
 | IntfGetDropFilesTarget
 | PaintTo
 | SetShape
TControl
pt | WSRegisterClass
pt | GetCursor
pt | SetCursor
pt | SetVisible
pt | DoOnParentHandleDestruction
pt | DoAutoSize
pt | DoAllAutoSize
pt | BeginAutoSizing
pt | EndAutoSizing
pt | AnchorSideChanged
pt | ForeignAnchorSideChanged
pt | SetAlign
pt | SetAnchors
pt | SetAutoSize
pt | BoundsChanged
pt | CreateControlBorderSpacing
pt | DoConstraintsChange
pt | DoBorderSpacingChange
pt | IsBorderSpacingInnerBorderStored
pt | IsCaptionStored
pt | SendMoveSizeMessages
pt | ConstrainedResize
pt | CalculatePreferredSize
pt | DoOnResize
pt | DoOnChangeBounds
pt | CheckOnChangeBounds
pt | Resize
pt | RequestAlign
pt | UpdateAnchorRules
pt | ChangeBounds
pt | DoSetBounds
pt | ScaleConstraints
pt | ChangeScale
pt | CanAutoSize
pt | SetBiDiMode
pt | SetParentBiDiMode
pt | IsAParentAligning
pt | GetClientOrigin
pt | GetClientRect
pt | GetLogicalClientRect
pt | GetScrolledClientRect
pt | GetClientScrollOffset
pt | GetControlOrigin
pt | IsClientHeightStored
pt | IsClientWidthStored
pt | WidthIsAnchored
pt | HeightIsAnchored
pt | WMCancelMode
pt | WMContextMenu
pt | WMLButtonDown
pt | WMRButtonDown
pt | WMMButtonDown
pt | WMXButtonDown
pt | WMLButtonDBLCLK
pt | WMRButtonDBLCLK
pt | WMMButtonDBLCLK
pt | WMXButtonDBLCLK
pt | WMLButtonTripleCLK
pt | WMRButtonTripleCLK
pt | WMMButtonTripleCLK
pt | WMXButtonTripleCLK
pt | WMLButtonQuadCLK
pt | WMRButtonQuadCLK
pt | WMMButtonQuadCLK
pt | WMXButtonQuadCLK
pt | WMMouseMove
pt | WMLButtonUp
pt | WMRButtonUp
pt | WMMButtonUp
pt | WMXButtonUp
pt | WMMouseWheel
pt | WMMouseHWheel
pt | WMMove
pt | WMSize
pt | WMWindowPosChanged
pt | CMChanged
pt | LMCaptureChanged
pt | CMBiDiModeChanged
pt | CMSysFontChanged
pt | CMEnabledChanged
pt | CMHitTest
pt | CMMouseEnter
pt | CMMouseLeave
pt | CMHintShow
pt | CMParentBiDiModeChanged
pt | CMParentColorChanged
pt | CMParentFontChanged
pt | CMParentShowHintChanged
pt | CMVisibleChanged
pt | CMTextChanged
pt | CMCursorChanged
pt | CalculateDockSizes
pt | CreateFloatingDockSite
pt | GetDockEdge
pt | GetDragImages
pt | GetFloating
pt | GetFloatingDockSiteClass
pt | BeforeDragStart
pt | BeginAutoDrag
pt | DoFloatMsg
pt | DockTrackNoTarget
pt | DoDock
pt | DoDragMsg
pt | DoEndDock
pt | DoEndDrag
pt | DoStartDock
pt | DoStartDrag
pt | DragCanceled
pt | DragOver
pt | PositionDockRect
pt | SetDragMode
pt | GetDefaultDockCaption
pt | Click
pt | DblClick
pt | TripleClick
pt | QuadClick
pt | GetMousePosFromMessage
pt | MouseDown
pt | MouseMove
pt | MouseUp
pt | MouseEnter
pt | MouseLeave
pt | DialogChar
pt | UpdateMouseCursor
pt | Changed
pt | GetPalette
pt | ChildClassAllowed
pt | ReadState
pt | Loaded
pt | LoadedAll
pt | DefineProperties
pt | AssignTo
pt | FormEndUpdated
pt | InvalidateControl
pt | FontChanged
pt | ParentFontChanged
pt | GetAction
pt | RealGetText
pt | RealSetText
pt | TextChanged
pt | GetCachedText
pt | SetAction
pt | SetColor
pt | SetEnabled
pt | SetHint
pt | SetName
pt | SetParent
pt | SetParentComponent
pt | WndProc
pt | ParentFormHandleInitialized
pt | GetMouseCapture
pt | CaptureChanged
pt | Notification
pt | CanTab
pt | GetDeviceContext
pt | GetEnabled
pt | GetPopupMenu
pt | DoOnShowHint
pt | DoMouseWheel
pt | DoMouseWheelDown
pt | DoMouseWheelUp
pt | DoMouseWheelHorz
pt | DoMouseWheelLeft
pt | DoMouseWheelRight
pt | VisibleChanging
pt | VisibleChanged
pt | EnabledChanging
pt | EnabledChanged
pt | AddHandler
pt | RemoveHandler
pt | DoCallNotifyHandler
pt | DoCallKeyEventHandler
pt | DoCallMouseWheelEventHandler
pt | DoContextPopup
pt | SetZOrder
pt | GetControlClassDefaultSize
pt | ColorIsStored
pt | DoAutoAdjustLayout
pt | DoFixDesignFontPPI
pt | DoScaleFontPPI
pt | GetActionLinkClass
pt | ActionChange
 | DragDrop
 | Dock
 | ManualDock
 | ManualFloat
 | ReplaceDockedControl
 | Docked
 | Dragging
 | GetAccessibleObject
 | CreateAccessibleObject
 | GetSelectedChildAccessibleObject
 | GetChildAccessibleObjectAtPos
 | ScaleDesignToForm
 | ScaleFormToDesign
 | Scale96ToForm
 | ScaleFormTo96
 | Scale96ToFont
 | ScaleFontTo96
 | ScaleScreenToFont
 | ScaleFontToScreen
 | Scale96ToScreen
 | ScaleScreenTo96
 | AdjustSize
 | AutoSizePhases
 | AutoSizeDelayed
 | AutoSizeDelayedReport
 | AutoSizeDelayedHandle
 | AnchorToNeighbour
 | AnchorParallel
 | AnchorHorizontalCenterTo
 | AnchorVerticalCenterTo
 | AnchorToCompanion
 | AnchorSame
 | AnchorAsAlign
 | AnchorClient
 | AnchoredControlCount
 | SetBounds
 | SetInitialBounds
 | SetBoundsKeepBase
 | GetPreferredSize
 | GetCanvasScaleFactor
 | GetDefaultWidth
 | GetDefaultHeight
 | GetDefaultColor
 | GetColorResolvingParent
 | GetRGBColorResolvingParent
 | GetSidePosition
 | CNPreferredSizeChanged
 | InvalidatePreferredSize
 | GetAnchorsDependingOnParent
 | DisableAutoSizing
 | EnableAutoSizing
 | UpdateBaseBounds
 | WriteLayoutDebugReport
 | AutoAdjustLayout
 | ShouldAutoAdjust
 | FixDesignFontsPPI
 | ScaleFontsPPI
 | Create
 | Destroy
 | BeforeDestruction
 | EditingDone
 | ExecuteDefaultAction
 | ExecuteCancelAction
 | BeginDrag
 | EndDrag
 | BringToFront
 | HasParent
 | GetParentComponent
 | IsParentOf
 | GetTopParent
 | IsVisible
 | IsControlVisible
 | IsEnabled
 | IsParentColor
 | IsParentFont
 | FormIsUpdating
 | IsProcessingPaintMsg
 | Hide
 | Refresh
 | Repaint
 | Invalidate
 | CheckChildClassAllowed
 | CheckNewParent
 | SendToBack
 | SetTempCursor
 | UpdateRolesForForm
 | ActiveDefaultControlChanged
 | GetTextBuf
 | GetTextLen
 | SetTextBuf
 | Perform
 | ScreenToClient
 | ClientToScreen
 | ScreenToControl
 | ControlToScreen
 | ClientToParent
 | ParentToClient
 | GetChildrenRect
 | Show
 | Update
 | HandleObjectShouldBeVisible
 | ParentDestroyingHandle
 | ParentHandlesAllocated
 | InitiateAction
 | ShowHelp
 | HasHelp
 | RemoveAllHandlersOfObject
 | AddHandlerOnResize
 | RemoveHandlerOnResize
 | AddHandlerOnChangeBounds
 | RemoveHandlerOnChangeBounds
 | AddHandlerOnVisibleChanging
 | RemoveHandlerOnVisibleChanging
 | AddHandlerOnVisibleChanged
 | RemoveHandlerOnVisibleChanged
 | AddHandlerOnEnabledChanged
 | RemoveHandlerOnEnableChanging
 | AddHandlerOnKeyDown
 | RemoveHandlerOnKeyDown
 | AddHandlerOnBeforeDestruction
 | RemoveHandlerOnBeforeDestruction
 | AddHandlerOnMouseWheel
 | RemoveHandlerOnMouseWheel
 | UseRightToLeftAlignment
 | UseRightToLeftReading
 | UseRightToLeftScrollBar
 | IsRightToLeft
TLCLComponent
pt | WSRegisterClass
pt | GetWSComponentClass
 | Create
 | Destroy
 | NewInstance
 | RemoveAllHandlersOfObject
 | IncLCLRefCount
 | DecLCLRefCount
TComponent
 | GetComObject
 | GetComponent
 | GetComponentCount
 | GetComponentIndex
 | Insert
 | ReadLeft
 | ReadTop
 | Remove
 | RemoveNotification
 | SetComponentIndex
 | SetReference
 | WriteLeft
 | WriteTop
 | ChangeName
 | DefineProperties
 | GetChildren
 | GetChildOwner
 | GetChildParent
 | GetOwner
 | Loaded
 | Loading
 | Notification
 | PaletteCreated
 | ReadState
 | SetAncestor
 | SetDesigning
 | SetDesignInstance
 | SetInline
 | SetName
 | SetChildOrder
 | SetParentComponent
 | Updating
 | Updated
 | UpdateRegistry
 | ValidateRename
 | ValidateContainer
 | ValidateInsert
 | QueryInterface
 | _AddRef
 | _Release
 | iicrGetComponent
 | GetTypeInfoCount
 | GetTypeInfo
 | GetIDsOfNames
 | Invoke
 | WriteState
 | Create
 | Destroy
 | BeforeDestruction
 | DestroyComponents
 | Destroying
 | ExecuteAction
 | FindComponent
 | FreeNotification
 | RemoveFreeNotification
 | FreeOnRelease
 | GetEnumerator
 | GetNamePath
 | GetParentComponent
 | HasParent
 | InsertComponent
 | RemoveComponent
 | SafeCallException
 | SetSubComponent
 | UpdateAction
 | IsImplementorOf
 | ReferenceInterface
TPersistent
 | AssignError
 | AssignTo
 | DefineProperties
 | GetOwner
 | Destroy
 | Assign
 | FPOAttachObserver
 | FPODetachObserver
 | FPONotifyObservers
 | GetNamePath
TObject
 | Create
 | Destroy
 | newinstance
 | FreeInstance
 | SafeCallException
 | DefaultHandler
 | Free
 | InitInstance
 | CleanupInstance
 | ClassType
 | ClassInfo
 | ClassName
 | ClassNameIs
 | ClassParent
 | InstanceSize
 | InheritsFrom
 | StringMessageTable
 | MethodAddress
 | MethodName
 | FieldAddress
 | AfterConstruction
 | BeforeDestruction
 | DefaultHandlerStr
 | Dispatch
 | DispatchStr
 | GetInterface
 | GetInterfaceByStr
 | GetInterfaceWeak
 | GetInterfaceEntry
 | GetInterfaceEntryByStr
 | GetInterfaceTable
 | UnitName
 | Equals
 | GetHashCode
 | ToString


pt | ActionChange (TControl)
 | ActiveDefaultControlChanged (TControl)
 | AddControl (TWinControl)
pt | AddHandler (TControl)
 | AddHandlerOnBeforeDestruction (TControl)
 | AddHandlerOnChangeBounds (TControl)
 | AddHandlerOnEnabledChanged (TControl)
 | AddHandlerOnKeyDown (TControl)
 | AddHandlerOnMouseWheel (TControl)
 | AddHandlerOnResize (TControl)
 | AddHandlerOnVisibleChanged (TControl)
 | AddHandlerOnVisibleChanging (TControl)
 | AddPage (TCDPageControl)
pt | AdjustClientRect (TWinControl)
 | AdjustSize (TControl)
 | AfterConstruction (TObject)
pt | AlignControls (TWinControl)
pt | AllAutoSized (TWinControl)
 | AnchorAsAlign (TControl)
 | AnchorClient (TControl)
 | AnchoredControlCount (TControl)
 | AnchorHorizontalCenterTo (TControl)
 | AnchorParallel (TControl)
 | AnchorSame (TControl)
pt | AnchorSideChanged (TControl)
 | AnchorToCompanion (TControl)
 | AnchorToNeighbour (TControl)
 | AnchorVerticalCenterTo (TControl)
 | Assign (TPersistent)
 | AssignError (TPersistent)
 | AssignTo (TPersistent)
pt | AssignTo (TControl)
 | AutoAdjustLayout (TControl)
 | AutoAdjustLayout (TWinControl)
 | AutoSizeDelayed (TControl)
 | AutoSizeDelayed (TWinControl)
 | AutoSizeDelayedHandle (TControl)
 | AutoSizeDelayedHandle (TWinControl)
 | AutoSizeDelayedReport (TControl)
 | AutoSizeDelayedReport (TWinControl)
 | AutoSizePhases (TControl)
 | AutoSizePhases (TWinControl)
 | BeforeDestruction (TObject)
 | BeforeDestruction (TComponent)
 | BeforeDestruction (TControl)
pt | BeforeDragStart (TControl)
pt | BeginAutoDrag (TControl)
pt | BeginAutoSizing (TControl)
 | BeginDrag (TControl)
 | BeginUpdateBounds (TWinControl)
pt | BoundsChanged (TControl)
 | BringToFront (TControl)
 | BroadCast (TWinControl)
 | BrushCreated (TWinControl)
pt | CalculateDockSizes (TControl)
pt | CalculatePreferredSize (TControl)
pt | CalculatePreferredSize (TWinControl)
pt | CalculatePreferredSize (TCDControl)
pt | CanAutoSize (TControl)
 | CanFocus (TWinControl)
 | CanSetFocus (TWinControl)
pt | CanTab (TControl)
pt | CanTab (TWinControl)
pt | CaptureChanged (TControl)
pt | ChangeBounds (TControl)
pt | Changed (TControl)
 | ChangeName (TComponent)
pt | ChangeScale (TControl)
pt | ChangeScale (TWinControl)
 | CheckChildClassAllowed (TControl)
 | CheckNewParent (TControl)
pt | CheckOnChangeBounds (TControl)
pt | ChildClassAllowed (TControl)
pt | ChildClassAllowed (TWinControl)
pt | ChildHandlesCreated (TWinControl)
pt | ChildKey (TWinControl)
 | ClassInfo (TObject)
 | ClassName (TObject)
 | ClassNameIs (TObject)
 | ClassParent (TObject)
 | ClassType (TObject)
 | CleanupInstance (TObject)
pt | Click (TControl)
 | ClientRectNeedsInterfaceUpdate (TWinControl)
 | ClientToParent (TControl)
 | ClientToScreen (TControl)
pt | CMBiDiModeChanged (TControl)
pt | CMBiDiModeChanged (TWinControl)
pt | CMBorderChanged (TWinControl)
pt | CMChanged (TControl)
pt | CMCursorChanged (TControl)
pt | CMDoubleBufferedChanged (TWinControl)
pt | CMEnabledChanged (TControl)
pt | CMEnabledChanged (TWinControl)
pt | CMEnter (TWinControl)
pt | CMExit (TWinControl)
pt | CMHintShow (TControl)
pt | CMHitTest (TControl)
pt | CMMouseEnter (TControl)
pt | CMMouseLeave (TControl)
pt | CMParentBiDiModeChanged (TControl)
pt | CMParentColorChanged (TControl)
pt | CMParentDoubleBufferedChanged (TWinControl)
pt | CMParentFontChanged (TControl)
pt | CMParentShowHintChanged (TControl)
pt | CMShowHintChanged (TWinControl)
pt | CMShowingChanged (TWinControl)
pt | CMSysFontChanged (TControl)
pt | CMTextChanged (TControl)
pt | CMVisibleChanged (TControl)
pt | CMVisibleChanged (TWinControl)
pt | CNChar (TWinControl)
pt | CNKeyDown (TWinControl)
pt | CNKeyUp (TWinControl)
 | CNPreferredSizeChanged (TControl)
pt | CNSysKeyDown (TWinControl)
pt | CNSysKeyUp (TWinControl)
pt | ColorIsStored (TControl)
pt | ConstrainedResize (TControl)
 | ContainsControl (TWinControl)
 | ControlAtPos (TWinControl)
pt | ControlKeyDown (TWinControl)
pt | ControlKeyUp (TWinControl)
pt | ControlsAligned (TWinControl)
 | ControlToScreen (TControl)
pt | CorrectTabIndex (TCDCustomTabControl)
 | Create (TObject)
 | Create (TComponent)
 | Create (TLCLComponent)
 | Create (TControl)
 | Create (TWinControl)
 | Create (TCustomControl)
 | Create (TCDControl)
 | Create (TCDCustomTabControl)
 | Create (TCDPageControl)
 | CreateAccessibleObject (TControl)
pt | CreateBrush (TWinControl)
pt | CreateControlBorderSpacing (TControl)
pt | CreateControlStateEx (TCDControl)
pt | CreateControlStateEx (TCDCustomTabControl)
pt | CreateDockManager (TWinControl)
pt | CreateFloatingDockSite (TControl)
pt | CreateHandle (TWinControl)
pt | CreateParams (TWinControl)
 | CreateParented (TWinControl)
 | CreateParentedControl (TWinControl)
pt | CreateSubClass (TWinControl)
pt | CreateWnd (TWinControl)
pt | CustomAlignInsertBefore (TWinControl)
pt | CustomAlignPosition (TWinControl)
pt | DblClick (TControl)
 | DecLCLRefCount (TLCLComponent)
 | DefaultHandler (TObject)
 | DefaultHandler (TWinControl)
 | DefaultHandlerStr (TObject)
 | DefineProperties (TPersistent)
 | DefineProperties (TComponent)
pt | DefineProperties (TControl)
 | Destroy (TObject)
 | Destroy (TPersistent)
 | Destroy (TComponent)
 | Destroy (TLCLComponent)
 | Destroy (TControl)
 | Destroy (TWinControl)
 | Destroy (TCustomControl)
 | Destroy (TCDControl)
 | Destroy (TCDCustomTabControl)
 | Destroy (TCDPageControl)
 | DestroyComponents (TComponent)
pt | DestroyHandle (TWinControl)
 | Destroying (TComponent)
pt | DestroyWnd (TWinControl)
pt | DestroyWnd (TCustomControl)
pt | DialogChar (TControl)
pt | DialogChar (TWinControl)
 | DisableAlign (TWinControl)
 | DisableAutoSizing (TControl)
 | Dispatch (TObject)
 | DispatchStr (TObject)
pt | DoAddDockClient (TWinControl)
 | DoAdjustClientRectChange (TWinControl)
pt | DoAlignChildControls (TWinControl)
pt | DoAllAutoSize (TControl)
pt | DoAllAutoSize (TWinControl)
pt | DoAutoAdjustLayout (TControl)
pt | DoAutoSize (TControl)
pt | DoAutoSize (TWinControl)
pt | DoBorderSpacingChange (TControl)
pt | DoCallKeyEventHandler (TControl)
pt | DoCallMouseWheelEventHandler (TControl)
pt | DoCallNotifyHandler (TControl)
pt | DoChildSizingChange (TWinControl)
 | Dock (TControl)
 | DockDrop (TWinControl)
 | Docked (TControl)
pt | DockOver (TWinControl)
pt | DockTrackNoTarget (TControl)
pt | DoConstraintsChange (TControl)
pt | DoConstraintsChange (TWinControl)
pt | DoContextPopup (TControl)
pt | DoDock (TControl)
pt | DoDockClientMsg (TWinControl)
pt | DoDockOver (TWinControl)
pt | DoDragMsg (TControl)
pt | DoDragMsg (TWinControl)
pt | DoEndDock (TControl)
pt | DoEndDrag (TControl)
pt | DoEnter (TWinControl)
pt | DoEnter (TCDControl)
pt | DoExit (TWinControl)
pt | DoExit (TCDControl)
pt | DoFixDesignFontPPI (TControl)
pt | DoFlipChildren (TWinControl)
pt | DoFloatMsg (TControl)
pt | DoFloatMsg (TWinControl)
pt | DoGetDockCaption (TWinControl)
pt | DoKeyDownBeforeInterface (TWinControl)
pt | DoKeyPress (TWinControl)
pt | DoKeyUpBeforeInterface (TWinControl)
pt | DoMouseWheel (TControl)
pt | DoMouseWheelDown (TControl)
pt | DoMouseWheelHorz (TControl)
pt | DoMouseWheelLeft (TControl)
pt | DoMouseWheelRight (TControl)
pt | DoMouseWheelUp (TControl)
pt | DoOnChangeBounds (TControl)
pt | DoOnParentHandleDestruction (TControl)
pt | DoOnResize (TControl)
pt | DoOnShowHint (TControl)
pt | DoRemainingKeyDown (TWinControl)
pt | DoRemainingKeyUp (TWinControl)
pt | DoRemoveDockClient (TWinControl)
pt | DoScaleFontPPI (TControl)
pt | DoSendBoundsToInterface (TWinControl)
pt | DoSendShowHideToInterface (TWinControl)
pt | DoSetBounds (TControl)
pt | DoSetBounds (TWinControl)
pt | DoStartDock (TControl)
pt | DoStartDrag (TControl)
pt | DoUnDock (TWinControl)
pt | DoUndockClientMsg (TWinControl)
pt | DoUTF8KeyPress (TWinControl)
pt | DragCanceled (TControl)
 | DragDrop (TControl)
 | Dragging (TControl)
pt | DragOver (TControl)
 | DrawToCanvas (TCDControl)
 | EditingDone (TControl)
 | EnableAlign (TWinControl)
 | EnableAutoSizing (TControl)
pt | EnabledChanged (TControl)
pt | EnabledChanging (TControl)
pt | EndAutoSizing (TControl)
 | EndDrag (TControl)
 | EndUpdateBounds (TWinControl)
 | Equals (TObject)
 | EraseBackground (TWinControl)
 | EraseBackground (TCDControl)
 | ExecuteAction (TComponent)
 | ExecuteCancelAction (TControl)
 | ExecuteDefaultAction (TControl)
 | FieldAddress (TObject)
pt | FinalizeWnd (TWinControl)
 | FindChildControl (TWinControl)
 | FindComponent (TComponent)
pt | FindNextControl (TWinControl)
 | FindNextPage (TCDPageControl)
 | FixDesignFontsPPI (TControl)
pt | FixupTabList (TWinControl)
 | FlipChildren (TWinControl)
 | Focused (TWinControl)
pt | FontChanged (TControl)
pt | FontChanged (TWinControl)
pt | FontChanged (TCustomControl)
pt | ForeignAnchorSideChanged (TControl)
pt | FormEndUpdated (TControl)
pt | FormEndUpdated (TWinControl)
 | FormIsUpdating (TControl)
 | FPOAttachObserver (TPersistent)
 | FPODetachObserver (TPersistent)
 | FPONotifyObservers (TPersistent)
 | Free (TObject)
 | FreeInstance (TObject)
 | FreeNotification (TComponent)
 | FreeOnRelease (TComponent)
 | GetAccessibleObject (TControl)
pt | GetAction (TControl)
pt | GetActionLinkClass (TControl)
pt | GetAdjustedLogicalClientRect (TWinControl)
 | GetAnchorsDependingOnParent (TControl)
pt | GetBorderStyle (TWinControl)
pt | GetCachedText (TControl)
 | GetCanvasScaleFactor (TControl)
 | GetChildAccessibleObjectAtPos (TControl)
 | GetChildOwner (TComponent)
 | GetChildParent (TComponent)
 | GetChildren (TComponent)
pt | GetChildren (TWinControl)
 | GetChildrenRect (TControl)
 | GetChildrenRect (TWinControl)
pt | GetClientOrigin (TControl)
pt | GetClientOrigin (TWinControl)
pt | GetClientRect (TControl)
pt | GetClientRect (TWinControl)
pt | GetClientRect (TCDControl)
pt | GetClientScrollOffset (TControl)
 | GetColorResolvingParent (TControl)
 | GetComObject (TComponent)
 | GetComponent (TComponent)
 | GetComponentCount (TComponent)
 | GetComponentIndex (TComponent)
pt | GetControlClassDefaultSize (TControl)
pt | GetControlId (TCDControl)
pt | GetControlId (TCDCustomTabControl)
 | GetControlIndex (TWinControl)
pt | GetControlOrigin (TControl)
pt | GetControlOrigin (TWinControl)
pt | GetCursor (TControl)
 | GetDefaultColor (TControl)
pt | GetDefaultDockCaption (TControl)
 | GetDefaultHeight (TControl)
 | GetDefaultWidth (TControl)
pt | GetDeviceContext (TControl)
pt | GetDeviceContext (TWinControl)
 | GetDockCaption (TWinControl)
pt | GetDockEdge (TControl)
pt | GetDragImages (TControl)
pt | GetEnabled (TControl)
 | GetEnumerator (TComponent)
 | GetEnumeratorControls (TWinControl)
 | GetEnumeratorControlsReverse (TWinControl)
pt | GetFloating (TControl)
pt | GetFloatingDockSiteClass (TControl)
 | GetHashCode (TObject)
 | GetIDsOfNames (TComponent)
 | GetInterface (TObject)
 | GetInterfaceByStr (TObject)
 | GetInterfaceEntry (TObject)
 | GetInterfaceEntryByStr (TObject)
 | GetInterfaceTable (TObject)
 | GetInterfaceWeak (TObject)
pt | GetLogicalClientRect (TControl)
pt | GetMouseCapture (TControl)
pt | GetMouseCapture (TWinControl)
pt | GetMousePosFromMessage (TControl)
 | GetNamePath (TPersistent)
 | GetNamePath (TComponent)
 | GetOwner (TPersistent)
 | GetOwner (TComponent)
 | GetPage (TCDPageControl)
pt | GetPalette (TControl)
pt | GetParentBackground (TWinControl)
 | GetParentComponent (TComponent)
 | GetParentComponent (TControl)
pt | GetParentHandle (TWinControl)
pt | GetPopupMenu (TControl)
 | GetPreferredSize (TControl)
pt | GetPreferredSizeClientFrame (TWinControl)
 | GetRGBColorResolvingParent (TControl)
pt | GetScrolledClientRect (TControl)
 | GetSelectedChildAccessibleObject (TControl)
 | GetSidePosition (TControl)
pt | GetSiteInfo (TWinControl)
 | GetTabCount (TCDCustomTabControl)
 | GetTabOrderList (TWinControl)
 | GetTextBuf (TControl)
 | GetTextLen (TControl)
 | GetTextLen (TWinControl)
 | GetTopParent (TControl)
pt | GetTopParentHandle (TWinControl)
 | GetTypeInfo (TComponent)
 | GetTypeInfoCount (TComponent)
pt | GetWSComponentClass (TLCLComponent)
 | HandleAllocated (TWinControl)
 | HandleNeeded (TWinControl)
 | HandleObjectShouldBeVisible (TControl)
 | HasHelp (TControl)
 | HasParent (TComponent)
 | HasParent (TControl)
pt | HeightIsAnchored (TControl)
 | Hide (TControl)
 | iicrGetComponent (TComponent)
 | IncLCLRefCount (TLCLComponent)
 | InheritsFrom (TObject)
pt | InitializeWnd (TWinControl)
 | InitiateAction (TControl)
 | InitInstance (TObject)
 | Insert (TComponent)
 | InsertComponent (TComponent)
 | InsertControl (TWinControl)
 | InsertPage (TCDPageControl)
 | InstanceSize (TObject)
 | IntfGetDropFilesTarget (TWinControl)
 | IntfUTF8KeyPress (TWinControl)
 | Invalidate (TControl)
 | Invalidate (TWinControl)
pt | InvalidateBoundsRealized (TWinControl)
 | InvalidateClientRectCache (TWinControl)
pt | InvalidateControl (TControl)
pt | InvalidatePreferredChildSizes (TWinControl)
 | InvalidatePreferredSize (TControl)
 | Invoke (TComponent)
pt | IsAParentAligning (TControl)
pt | IsBorderSpacingInnerBorderStored (TControl)
pt | IsCaptionStored (TControl)
pt | IsClientHeightStored (TControl)
pt | IsClientHeightStored (TWinControl)
pt | IsClientWidthStored (TControl)
pt | IsClientWidthStored (TWinControl)
pt | IsControlMouseMsg (TWinControl)
 | IsControlVisible (TControl)
 | IsEnabled (TControl)
 | IsImplementorOf (TComponent)
 | IsParentColor (TControl)
 | IsParentFont (TControl)
 | IsParentOf (TControl)
 | IsProcessingPaintMsg (TControl)
 | IsRightToLeft (TControl)
 | IsVisible (TControl)
pt | KeyDown (TWinControl)
pt | KeyDownAfterInterface (TWinControl)
pt | KeyDownBeforeInterface (TWinControl)
pt | KeyPress (TWinControl)
pt | KeyUp (TWinControl)
pt | KeyUpAfterInterface (TWinControl)
pt | KeyUpBeforeInterface (TWinControl)
 | LCLWSCalculatePreferredSize (TCDControl)
pt | LMCaptureChanged (TControl)
 | Loaded (TComponent)
pt | Loaded (TControl)
pt | Loaded (TWinControl)
pt | LoadedAll (TControl)
 | Loading (TComponent)
 | LockRealizeBounds (TWinControl)
pt | MainWndProc (TWinControl)
 | ManualDock (TControl)
 | ManualFloat (TControl)
 | MethodAddress (TObject)
 | MethodName (TObject)
pt | MouseDown (TControl)
pt | MouseDown (TCDControl)
pt | MouseDown (TCDCustomTabControl)
pt | MouseEnter (TControl)
pt | MouseEnter (TCDControl)
pt | MouseLeave (TControl)
pt | MouseLeave (TCDControl)
pt | MouseMove (TControl)
pt | MouseUp (TControl)
pt | MouseUp (TCDCustomTabControl)
 | newinstance (TObject)
 | NewInstance (TLCLComponent)
 | Notification (TComponent)
pt | Notification (TControl)
 | NotifyControls (TWinControl)
pt | Paint (TCustomControl)
 | Paint (TCDControl)
pt | PaintControls (TWinControl)
pt | PaintHandler (TWinControl)
 | PaintTo (TWinControl)
pt | PaintWindow (TWinControl)
pt | PaintWindow (TCustomControl)
 | PaletteCreated (TComponent)
 | ParentDestroyingHandle (TControl)
pt | ParentFontChanged (TControl)
pt | ParentFormHandleInitialized (TControl)
pt | ParentFormHandleInitialized (TWinControl)
 | ParentHandlesAllocated (TControl)
 | ParentHandlesAllocated (TWinControl)
 | ParentToClient (TControl)
 | Perform (TControl)
 | PerformTab (TWinControl)
pt | PositionDockRect (TControl)
pt | PrepareControlState (TCDControl)
pt | PrepareControlStateEx (TCDControl)
pt | PrepareControlStateEx (TCDCustomTabControl)
pt | PrepareCurrentDrawer (TCDControl)
pt | QuadClick (TControl)
 | QueryInterface (TComponent)
 | ReadLeft (TComponent)
 | ReadState (TComponent)
pt | ReadState (TControl)
 | ReadTop (TComponent)
pt | RealGetText (TControl)
pt | RealGetText (TWinControl)
 | ReAlign (TWinControl)
pt | RealizeBounds (TWinControl)
pt | RealizeBoundsRecursive (TWinControl)
pt | RealSetText (TControl)
pt | RealSetText (TWinControl)
 | ReferenceInterface (TComponent)
 | Refresh (TControl)
pt | ReloadDockedControl (TWinControl)
 | Remove (TComponent)
 | RemoveAllHandlersOfObject (TLCLComponent)
 | RemoveAllHandlersOfObject (TControl)
 | RemoveComponent (TComponent)
 | RemoveControl (TWinControl)
pt | RemoveFocus (TWinControl)
 | RemoveFreeNotification (TComponent)
pt | RemoveHandler (TControl)
 | RemoveHandlerOnBeforeDestruction (TControl)
 | RemoveHandlerOnChangeBounds (TControl)
 | RemoveHandlerOnEnableChanging (TControl)
 | RemoveHandlerOnKeyDown (TControl)
 | RemoveHandlerOnMouseWheel (TControl)
 | RemoveHandlerOnResize (TControl)
 | RemoveHandlerOnVisibleChanged (TControl)
 | RemoveHandlerOnVisibleChanging (TControl)
 | RemoveNotification (TComponent)
 | RemovePage (TCDPageControl)
 | Repaint (TControl)
 | Repaint (TWinControl)
 | ReplaceDockedControl (TControl)
pt | RequestAlign (TControl)
pt | Resize (TControl)
 | SafeCallException (TObject)
 | SafeCallException (TComponent)
 | Scale96ToFont (TControl)
 | Scale96ToForm (TControl)
 | Scale96ToScreen (TControl)
 | ScaleBy (TWinControl)
pt | ScaleConstraints (TControl)
pt | ScaleControls (TWinControl)
 | ScaleDesignToForm (TControl)
 | ScaleFontsPPI (TControl)
 | ScaleFontTo96 (TControl)
 | ScaleFontToScreen (TControl)
 | ScaleFormTo96 (TControl)
 | ScaleFormToDesign (TControl)
 | ScaleScreenTo96 (TControl)
 | ScaleScreenToFont (TControl)
 | ScreenToClient (TControl)
 | ScreenToControl (TControl)
 | ScrollBy (TWinControl)
 | ScrollBy_WS (TWinControl)
pt | SelectFirst (TWinControl)
 | SelectNext (TWinControl)
 | SelectNextPage (TCDPageControl)
pt | SendDialogChar (TWinControl)
pt | SendMoveSizeMessages (TControl)
pt | SendMoveSizeMessages (TWinControl)
 | SendToBack (TControl)
pt | SetAction (TControl)
pt | SetAlign (TControl)
 | SetAncestor (TComponent)
pt | SetAnchors (TControl)
pt | SetAutoSize (TControl)
pt | SetBiDiMode (TControl)
pt | SetBorderStyle (TWinControl)
 | SetBounds (TControl)
 | SetBounds (TWinControl)
 | SetBoundsKeepBase (TControl)
 | SetChildOrder (TComponent)
pt | SetChildZPosition (TWinControl)
pt | SetColor (TControl)
pt | SetColor (TWinControl)
pt | SetColor (TCustomControl)
 | SetComponentIndex (TComponent)
 | SetControlIndex (TWinControl)
pt | SetCursor (TControl)
 | SetDesigning (TComponent)
 | SetDesignInstance (TComponent)
pt | SetDockManager (TWinControl)
pt | SetDragMode (TControl)
pt | SetDrawStyle (TCDControl)
pt | SetEnabled (TControl)
 | SetFocus (TWinControl)
pt | SetHint (TControl)
 | SetInitialBounds (TControl)
 | SetInline (TComponent)
 | SetName (TComponent)
pt | SetName (TControl)
pt | SetParent (TControl)
pt | SetParentBackground (TWinControl)
pt | SetParentBiDiMode (TControl)
 | SetParentComponent (TComponent)
pt | SetParentComponent (TControl)
 | SetReference (TComponent)
 | SetShape (TWinControl)
pt | SetState (TCDControl)
 | SetSubComponent (TComponent)
 | SetTempCursor (TControl)
 | SetTempCursor (TWinControl)
 | SetTextBuf (TControl)
pt | SetVisible (TControl)
pt | SetZOrder (TControl)
 | ShouldAutoAdjust (TControl)
 | Show (TControl)
pt | ShowControl (TWinControl)
 | ShowHelp (TControl)
 | StringMessageTable (TObject)
pt | TextChanged (TControl)
 | ToString (TObject)
pt | TripleClick (TControl)
 | UnitName (TObject)
 | UnlockRealizeBounds (TWinControl)
 | Update (TControl)
 | Update (TWinControl)
 | UpdateAction (TComponent)
pt | UpdateAnchorRules (TControl)
 | UpdateBaseBounds (TControl)
pt | UpdateControlState (TWinControl)
 | Updated (TComponent)
 | UpdateDockCaption (TWinControl)
pt | UpdateMouseCursor (TControl)
 | UpdateRegistry (TComponent)
 | UpdateRolesForForm (TControl)
pt | UpdateShowing (TWinControl)
 | Updating (TComponent)
 | UseRightToLeftAlignment (TControl)
 | UseRightToLeftReading (TControl)
 | UseRightToLeftScrollBar (TControl)
pt | UTF8KeyPress (TWinControl)
 | ValidateContainer (TComponent)
 | ValidateInsert (TComponent)
 | ValidateRename (TComponent)
pt | VisibleChanged (TControl)
pt | VisibleChanging (TControl)
pt | WidthIsAnchored (TControl)
pt | WMCancelMode (TControl)
pt | WMChar (TWinControl)
pt | WMContextMenu (TControl)
pt | WMContextMenu (TWinControl)
pt | WMDestroy (TWinControl)
pt | WMEnter (TWinControl)
pt | WMEraseBkgnd (TWinControl)
pt | WMExit (TWinControl)
pt | WMKeyDown (TWinControl)
pt | WMKeyUp (TWinControl)
pt | WMKillFocus (TWinControl)
pt | WMLButtonDBLCLK (TControl)
pt | WMLButtonDown (TControl)
pt | WMLButtonQuadCLK (TControl)
pt | WMLButtonTripleCLK (TControl)
pt | WMLButtonUp (TControl)
pt | WMMButtonDBLCLK (TControl)
pt | WMMButtonDown (TControl)
pt | WMMButtonQuadCLK (TControl)
pt | WMMButtonTripleCLK (TControl)
pt | WMMButtonUp (TControl)
pt | WMMouseHWheel (TControl)
pt | WMMouseMove (TControl)
pt | WMMouseWheel (TControl)
pt | WMMove (TControl)
pt | WMMove (TWinControl)
pt | WMNotify (TWinControl)
pt | WMPaint (TWinControl)
pt | WMPaint (TCustomControl)
pt | WMRButtonDBLCLK (TControl)
pt | WMRButtonDown (TControl)
pt | WMRButtonQuadCLK (TControl)
pt | WMRButtonTripleCLK (TControl)
pt | WMRButtonUp (TControl)
pt | WMSetFocus (TWinControl)
pt | WMShowWindow (TWinControl)
pt | WMSize (TControl)
pt | WMSize (TWinControl)
pt | WMSysChar (TWinControl)
pt | WMSysKeyDown (TWinControl)
pt | WMSysKeyUp (TWinControl)
pt | WMWindowPosChanged (TControl)
pt | WMWindowPosChanged (TWinControl)
pt | WMXButtonDBLCLK (TControl)
pt | WMXButtonDown (TControl)
pt | WMXButtonQuadCLK (TControl)
pt | WMXButtonTripleCLK (TControl)
pt | WMXButtonUp (TControl)
pt | WndProc (TControl)
pt | WndProc (TWinControl)
 | WriteLayoutDebugReport (TControl)
 | WriteLayoutDebugReport (TWinControl)
 | WriteLeft (TComponent)
 | WriteState (TComponent)
 | WriteTop (TComponent)
pt | WSRegisterClass (TLCLComponent)
pt | WSRegisterClass (TControl)
pt | WSRegisterClass (TWinControl)
pt | WSRegisterClass (TCustomControl)
pt | WSSetText (TWinControl)
 | _AddRef (TComponent)
 | _Release (TComponent)


TCDPageControl
pl | ro | OnChanging
pl | ro | OnChange
pl | ro | OnUserAddedPage
TCDCustomTabControl
 |  | OnChanging
 |  | OnChange
 |  | OnUserAddedPage
TCDControl
TCustomControl
 |  | OnPaint
TWinControl
pt |  | OnGetSiteInfo
pt |  | OnGetDockCaption
 |  | OnAlignInsertBefore
 |  | OnAlignPosition
 |  | OnDockDrop
 |  | OnDockOver
 |  | OnEnter
 |  | OnExit
 |  | OnKeyDown
 |  | OnKeyPress
 |  | OnKeyUp
 |  | OnUnDock
 |  | OnUTF8KeyPress
TControl
pt |  | OnConstrainedResize
pt |  | OnContextPopup
pt |  | OnDblClick
pt |  | OnTripleClick
pt |  | OnQuadClick
pt |  | OnDragDrop
pt |  | OnDragOver
pt |  | OnEndDock
pt |  | OnEndDrag
pt |  | OnMouseDown
pt |  | OnMouseMove
pt |  | OnMouseUp
pt |  | OnMouseEnter
pt |  | OnMouseLeave
pt |  | OnMouseWheel
pt |  | OnMouseWheelDown
pt |  | OnMouseWheelUp
pt |  | OnMouseWheelHorz
pt |  | OnMouseWheelLeft
pt |  | OnMouseWheelRight
pt |  | OnStartDock
pt |  | OnStartDrag
pt |  | OnEditingDone
 |  | OnChangeBounds
 |  | OnClick
 |  | OnResize
 |  | OnShowHint
TLCLComponent
TComponent
TPersistent
TObject


pl | ro | OnChange (TCDPageControl)
 |  | OnChangeBounds (TControl)
 |  | OnChanging (TCDCustomTabControl)
pl | ro | OnChanging (TCDPageControl)
 |  | OnClick (TControl)
pt |  | OnConstrainedResize (TControl)
pt |  | OnContextPopup (TControl)
pt |  | OnDblClick (TControl)
 |  | OnDockDrop (TWinControl)
 |  | OnDockOver (TWinControl)
pt |  | OnDragDrop (TControl)
pt |  | OnDragOver (TControl)
pt |  | OnEditingDone (TControl)
pt |  | OnEndDock (TControl)
pt |  | OnEndDrag (TControl)
 |  | OnEnter (TWinControl)
 |  | OnExit (TWinControl)
pt |  | OnGetDockCaption (TWinControl)
pt |  | OnGetSiteInfo (TWinControl)
 |  | OnKeyDown (TWinControl)
 |  | OnKeyPress (TWinControl)
 |  | OnKeyUp (TWinControl)
pt |  | OnMouseDown (TControl)
pt |  | OnMouseEnter (TControl)
pt |  | OnMouseLeave (TControl)
pt |  | OnMouseMove (TControl)
pt |  | OnMouseUp (TControl)
pt |  | OnMouseWheel (TControl)
pt |  | OnMouseWheelDown (TControl)
pt |  | OnMouseWheelHorz (TControl)
pt |  | OnMouseWheelLeft (TControl)
pt |  | OnMouseWheelRight (TControl)
pt |  | OnMouseWheelUp (TControl)
 |  | OnPaint (TCustomControl)
pt |  | OnQuadClick (TControl)
 |  | OnResize (TControl)
 |  | OnShowHint (TControl)
pt |  | OnStartDock (TControl)
pt |  | OnStartDrag (TControl)
pt |  | OnTripleClick (TControl)
 |  | OnUnDock (TWinControl)
 |  | OnUserAddedPage (TCDCustomTabControl)
pl | ro | OnUserAddedPage (TCDPageControl)
 |  | OnUTF8KeyPress (TWinControl)


TCDPageControl.ActivePage

Declaration

Source position: customdrawncontrols.pas line 751

published property TCDPageControl.ActivePage : TCDTabSheet
  read GetActivePage
  write SetActivePage;


TCDPageControl.AddPage

Declaration

Source position: customdrawncontrols.pas line 741

public function TCDPageControl.AddPage(

  S: string

):TCDTabSheet; overload;

procedure TCDPageControl.AddPage(

  APage: TCDTabSheet

); overload;


TCDPageControl.Align

Declaration

Source position: customdrawncontrols.pas line 750

published property TCDPageControl.Align : TAlign;


TCDPageControl.Caption

Declaration

Source position: customdrawncontrols.pas line 753

published property TCDPageControl.Caption : TCaption;


TCDPageControl.Color

Declaration

Source position: customdrawncontrols.pas line 754

published property TCDPageControl.Color : TColor;


TCDPageControl.Create

Declaration

Source position: customdrawncontrols.pas line 737

public constructor TCDPageControl.Create(

  AOwner: TComponent

); override;


TCDPageControl.Destroy

Declaration

Source position: customdrawncontrols.pas line 738

public destructor TCDPageControl.Destroy; override;


TCDPageControl.DrawStyle

Declaration

Source position: customdrawncontrols.pas line 752

published property TCDPageControl.DrawStyle : TCDDrawStyle;


TCDPageControl.Enabled

Declaration

Source position: customdrawncontrols.pas line 755

published property TCDPageControl.Enabled : Boolean;


TCDPageControl.FindNextPage

Declaration

Source position: customdrawncontrols.pas line 746

public function TCDPageControl.FindNextPage(

  CurPage: TCDTabSheet;

  GoForward: Boolean;

  CheckTabVisible: Boolean

):TCDTabSheet;


TCDPageControl.Font

Declaration

Source position: customdrawncontrols.pas line 756

published property TCDPageControl.Font : TFont;


TCDPageControl.GetPage

Declaration

Source position: customdrawncontrols.pas line 743

public function TCDPageControl.GetPage(

  aIndex: Integer

):TCDTabSheet;


TCDPageControl.InsertPage

Declaration

Source position: customdrawncontrols.pas line 739

public function TCDPageControl.InsertPage(

  aIndex: Integer;

  S: string

):TCDTabSheet;


TCDPageControl.OnChange

Declaration

Source position: customdrawncontrols.pas line 764

published property TCDPageControl.OnChange : TNotifyEvent;


TCDPageControl.OnChanging

Declaration

Source position: customdrawncontrols.pas line 763

published property TCDPageControl.OnChanging : TNotifyEvent;


TCDPageControl.OnUserAddedPage

Declaration

Source position: customdrawncontrols.pas line 765

published property TCDPageControl.OnUserAddedPage : TOnUserAddedPage;


TCDPageControl.Options

Declaration

Source position: customdrawncontrols.pas line 758

published property TCDPageControl.Options : TCTabControlOptions;


TCDPageControl.PageCount

Declaration

Source position: customdrawncontrols.pas line 744

public property TCDPageControl.PageCount : Integer
  read GetPageCount;


TCDPageControl.PageIndex

Declaration

Source position: customdrawncontrols.pas line 757

published property TCDPageControl.PageIndex : Integer
  read GetPageIndex
  write SetPageIndex;


TCDPageControl.ParentColor

Declaration

Source position: customdrawncontrols.pas line 759

published property TCDPageControl.ParentColor : Boolean;


TCDPageControl.ParentFont

Declaration

Source position: customdrawncontrols.pas line 760

published property TCDPageControl.ParentFont : Boolean;


TCDPageControl.RemovePage

Declaration

Source position: customdrawncontrols.pas line 740

public procedure TCDPageControl.RemovePage(

  aIndex: Integer

);


TCDPageControl.SelectNextPage

Declaration

Source position: customdrawncontrols.pas line 748

public procedure TCDPageControl.SelectNextPage(

  GoForward: Boolean;

  CheckTabVisible: Boolean = True

);


TCDPageControl.TabIndex

Declaration

Source position: customdrawncontrols.pas line 762

published property TCDPageControl.TabIndex : Integer;


TCDPageControl.TabStop

Declaration

Source position: customdrawncontrols.pas line 761

published property TCDPageControl.TabStop : Boolean
  default True;


TCDPanel

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Declaration

Source position: customdrawncontrols.pas line 436

type TCDPanel = class(TCDControl)

protected

  FPState: TCDPanelStateEx;

  function GetControlId; override;

  procedure CreateControlStateEx; override;

  procedure PrepareControlStateEx; override;

  procedure RealSetText(); override;

public

  constructor Create(); override;

  destructor Destroy; override;

published

  property BevelInner: TPanelBevel; [rw]

  property BevelOuter: TPanelBevel; [rw]

  property BevelWidth: TBevelWidth; [rw]

  property Caption: TCaption;

  property DrawStyle: TCDDrawStyle;

  property Enabled: Boolean;

  property TabStop: Boolean;

end;

Inheritance

TCDPanel |
|
TCDControl |
|
TCustomControl | The base class for windowed controls which paint themselves.
|
TWinControl | The base class for controls which can contain other (child) controls.
|
TControl | The base class for visible controls.
|
TLCLComponent | The base class for LCL components associated with widgets.
|
TComponent,IUnknown,IInterfaceComponentReference
|
TPersistent,IFPObserved
|
TObject


TCDPanel
pl |  | BevelInner
pl |  | BevelOuter
pl |  | BevelWidth
pl | ro | Caption
pl | ro | DrawStyle
pl | ro | Enabled
pl | ro | TabStop
TCDControl
pt |  | DrawStyle
TCustomControl
 |  | Canvas
 | ro | BorderStyle
TWinControl
pt |  | WindowHandle
pt |  | BorderStyle
pt |  | ParentBackground
 |  | BorderWidth
 | ro | BoundsLockCount
 | ro | Brush
 | ro | CachedClientHeight
 | ro | CachedClientWidth
 |  | ChildSizing
 | ro | ControlCount
 | ro | Controls
 |  | DefWndProc
 | ro | DockClientCount
 | ro | DockClients
 |  | DockManager
 |  | DockSite
 |  | DoubleBuffered
 |  | Handle
 | ro | IsFlipped
 | ro | IsResizing
 |  | TabOrder
 |  | TabStop
 |  | ParentDoubleBuffered
 |  | ParentWindow
 | ro | Showing
 |  | UseDockManager
 |  | DesignerDeleting
 | ro | VisibleDockClientCount
TControl
pt | ro | AutoSizing
pt | ro | AutoSizingAll
pt | ro | AutoSizingLockCount
pt |  | ActionLink
pt |  | DesktopFont
pt |  | DragCursor
pt |  | DragKind
pt |  | DragMode
pt |  | MouseCapture
pt |  | ParentColor
pt |  | ParentFont
pt |  | ParentShowHint
pt |  | SessionProperties
pt |  | Text
 | ro | AnchoredControls
 | ro | BaseBounds
 | ro | ReadBounds
 | ro | BaseParentClientSize
 |  | AccessibleDescription
 |  | AccessibleValue
 |  | AccessibleRole
 |  | Action
 |  | Align
 |  | Anchors
 | ro | AnchorSide
 |  | AutoSize
 |  | BorderSpacing
 |  | BoundsRect
 |  | BoundsRectForNewParent
 |  | Caption
 |  | CaptureMouseButtons
 |  | ClientHeight
 | ro | ClientOrigin
 | ro | ClientRect
 |  | ClientWidth
 |  | Color
 |  | Constraints
 | ro | ControlOrigin
 |  | ControlState
 |  | ControlStyle
 |  | Enabled
 |  | Font
 |  | IsControl
 | ro | MouseEntered
 | ro | MouseInClient
 |  | Parent
 |  | PopupMenu
 |  | ShowHint
 |  | Visible
 |  | WindowProc
 |  | DockOrientation
 | ro | Floating
 |  | FloatingDockSiteClass
 |  | HostDockSite
 |  | LRDockWidth
 |  | TBDockHeight
 |  | UndockHeight
 |  | UndockWidth
 |  | BiDiMode
 |  | ParentBiDiMode
pl |  | AnchorSideLeft
pl |  | AnchorSideTop
pl |  | AnchorSideRight
pl |  | AnchorSideBottom
pl |  | Cursor
pl |  | Left
pl |  | Height
pl |  | Hint
pl |  | Top
pl |  | Width
pl |  | HelpType
pl |  | HelpKeyword
pl |  | HelpContext
TLCLComponent
 | ro | LCLRefCount
 | ro | WidgetSetClass
TComponent
 | ro | ComObject
 | ro | Components
 | ro | ComponentCount
 |  | ComponentIndex
 | ro | ComponentState
 | ro | ComponentStyle
 |  | DesignInfo
 | ro | Owner
 |  | VCLComObject
 |  | Name
 |  | Tag
TPersistent
TObject


 |  | AccessibleDescription (TControl)
 |  | AccessibleRole (TControl)
 |  | AccessibleValue (TControl)
 |  | Action (TControl)
pt |  | ActionLink (TControl)
 |  | Align (TControl)
 | ro | AnchoredControls (TControl)
 |  | Anchors (TControl)
 | ro | AnchorSide (TControl)
pl |  | AnchorSideBottom (TControl)
pl |  | AnchorSideLeft (TControl)
pl |  | AnchorSideRight (TControl)
pl |  | AnchorSideTop (TControl)
 |  | AutoSize (TControl)
pt | ro | AutoSizing (TControl)
pt | ro | AutoSizingAll (TControl)
pt | ro | AutoSizingLockCount (TControl)
 | ro | BaseBounds (TControl)
 | ro | BaseParentClientSize (TControl)
pl |  | BevelInner (TCDPanel)
pl |  | BevelOuter (TCDPanel)
pl |  | BevelWidth (TCDPanel)
 |  | BiDiMode (TControl)
 |  | BorderSpacing (TControl)
pt |  | BorderStyle (TWinControl)
 | ro | BorderStyle (TCustomControl)
 |  | BorderWidth (TWinControl)
 | ro | BoundsLockCount (TWinControl)
 |  | BoundsRect (TControl)
 |  | BoundsRectForNewParent (TControl)
 | ro | Brush (TWinControl)
 | ro | CachedClientHeight (TWinControl)
 | ro | CachedClientWidth (TWinControl)
 |  | Canvas (TCustomControl)
 |  | Caption (TControl)
pl | ro | Caption (TCDPanel)
 |  | CaptureMouseButtons (TControl)
 |  | ChildSizing (TWinControl)
 |  | ClientHeight (TControl)
 | ro | ClientOrigin (TControl)
 | ro | ClientRect (TControl)
 |  | ClientWidth (TControl)
 |  | Color (TControl)
 | ro | ComObject (TComponent)
 | ro | ComponentCount (TComponent)
 |  | ComponentIndex (TComponent)
 | ro | Components (TComponent)
 | ro | ComponentState (TComponent)
 | ro | ComponentStyle (TComponent)
 |  | Constraints (TControl)
 | ro | ControlCount (TWinControl)
 | ro | ControlOrigin (TControl)
 | ro | Controls (TWinControl)
 |  | ControlState (TControl)
 |  | ControlStyle (TControl)
pl |  | Cursor (TControl)
 |  | DefWndProc (TWinControl)
 |  | DesignerDeleting (TWinControl)
 |  | DesignInfo (TComponent)
pt |  | DesktopFont (TControl)
 | ro | DockClientCount (TWinControl)
 | ro | DockClients (TWinControl)
 |  | DockManager (TWinControl)
 |  | DockOrientation (TControl)
 |  | DockSite (TWinControl)
 |  | DoubleBuffered (TWinControl)
pt |  | DragCursor (TControl)
pt |  | DragKind (TControl)
pt |  | DragMode (TControl)
pt |  | DrawStyle (TCDControl)
pl | ro | DrawStyle (TCDPanel)
 |  | Enabled (TControl)
pl | ro | Enabled (TCDPanel)
 | ro | Floating (TControl)
 |  | FloatingDockSiteClass (TControl)
 |  | Font (TControl)
 |  | Handle (TWinControl)
pl |  | Height (TControl)
pl |  | HelpContext (TControl)
pl |  | HelpKeyword (TControl)
pl |  | HelpType (TControl)
pl |  | Hint (TControl)
 |  | HostDockSite (TControl)
 |  | IsControl (TControl)
 | ro | IsFlipped (TWinControl)
 | ro | IsResizing (TWinControl)
 | ro | LCLRefCount (TLCLComponent)
pl |  | Left (TControl)
 |  | LRDockWidth (TControl)
pt |  | MouseCapture (TControl)
 | ro | MouseEntered (TControl)
 | ro | MouseInClient (TControl)
 |  | Name (TComponent)
 | ro | Owner (TComponent)
 |  | Parent (TControl)
pt |  | ParentBackground (TWinControl)
 |  | ParentBiDiMode (TControl)
pt |  | ParentColor (TControl)
 |  | ParentDoubleBuffered (TWinControl)
pt |  | ParentFont (TControl)
pt |  | ParentShowHint (TControl)
 |  | ParentWindow (TWinControl)
 |  | PopupMenu (TControl)
 | ro | ReadBounds (TControl)
pt |  | SessionProperties (TControl)
 |  | ShowHint (TControl)
 | ro | Showing (TWinControl)
 |  | TabOrder (TWinControl)
 |  | TabStop (TWinControl)
pl | ro | TabStop (TCDPanel)
 |  | Tag (TComponent)
 |  | TBDockHeight (TControl)
pt |  | Text (TControl)
pl |  | Top (TControl)
 |  | UndockHeight (TControl)
 |  | UndockWidth (TControl)
 |  | UseDockManager (TWinControl)
 |  | VCLComObject (TComponent)
 |  | Visible (TControl)
 | ro | VisibleDockClientCount (TWinControl)
 | ro | WidgetSetClass (TLCLComponent)
pl |  | Width (TControl)
pt |  | WindowHandle (TWinControl)
 |  | WindowProc (TControl)


TCDPanel
pt | GetControlId
pt | CreateControlStateEx
pt | PrepareControlStateEx
pt | RealSetText
 | Create
 | Destroy
TCDControl
pt | CalculatePreferredSize
pt | SetState
pt | PrepareCurrentDrawer
pt | SetDrawStyle
pt | GetClientRect
pt | GetControlId
pt | CreateControlStateEx
pt | PrepareControlState
pt | PrepareControlStateEx
pt | DoEnter
pt | DoExit
pt | MouseEnter
pt | MouseLeave
pt | MouseDown
 | Create
 | Destroy
 | LCLWSCalculatePreferredSize
 | EraseBackground
 | Paint
 | DrawToCanvas
TCustomControl
pt | WSRegisterClass
pt | WMPaint
pt | DestroyWnd
pt | PaintWindow
pt | FontChanged
pt | SetColor
pt | Paint
 | Create
 | Destroy
TWinControl
pt | WSRegisterClass
pt | AdjustClientRect
pt | GetAdjustedLogicalClientRect
pt | AlignControls
pt | CustomAlignInsertBefore
pt | CustomAlignPosition
pt | DoAlignChildControls
pt | DoChildSizingChange
pt | InvalidatePreferredChildSizes
pt | CanTab
pt | IsClientHeightStored
pt | IsClientWidthStored
pt | DoSendShowHideToInterface
pt | ControlsAligned
pt | DoSendBoundsToInterface
pt | RealizeBounds
pt | RealizeBoundsRecursive
pt | InvalidateBoundsRealized
pt | CreateSubClass
pt | DoConstraintsChange
pt | DoSetBounds
pt | DoAutoSize
pt | DoAllAutoSize
pt | AllAutoSized
pt | CalculatePreferredSize
pt | GetPreferredSizeClientFrame
pt | GetChildren
pt | ChildClassAllowed
pt | PaintControls
pt | PaintHandler
pt | PaintWindow
pt | CreateBrush
pt | ScaleControls
pt | ChangeScale
pt | CMBiDiModeChanged
pt | CMBorderChanged
pt | CMDoubleBufferedChanged
pt | CMEnabledChanged
pt | CMParentDoubleBufferedChanged
pt | CMShowingChanged
pt | CMShowHintChanged
pt | CMVisibleChanged
pt | CMEnter
pt | CMExit
pt | WMContextMenu
pt | WMEraseBkgnd
pt | WMNotify
pt | WMSetFocus
pt | WMKillFocus
pt | WMShowWindow
pt | WMEnter
pt | WMExit
pt | WMKeyDown
pt | WMSysKeyDown
pt | WMKeyUp
pt | WMSysKeyUp
pt | WMChar
pt | WMSysChar
pt | WMPaint
pt | WMDestroy
pt | WMMove
pt | WMSize
pt | WMWindowPosChanged
pt | CNKeyDown
pt | CNSysKeyDown
pt | CNKeyUp
pt | CNSysKeyUp
pt | CNChar
pt | DoDragMsg
pt | DoDockClientMsg
pt | DoUndockClientMsg
pt | DoAddDockClient
pt | DockOver
pt | DoDockOver
pt | DoRemoveDockClient
pt | DoUnDock
pt | GetSiteInfo
pt | GetParentHandle
pt | GetTopParentHandle
pt | ReloadDockedControl
pt | CreateDockManager
pt | SetDockManager
pt | DoFloatMsg
pt | DoGetDockCaption
pt | DoEnter
pt | DoExit
pt | DoKeyDownBeforeInterface
pt | DoRemainingKeyDown
pt | DoRemainingKeyUp
pt | DoKeyPress
pt | DoUTF8KeyPress
pt | DoKeyUpBeforeInterface
pt | ChildKey
pt | SendDialogChar
pt | DialogChar
pt | ControlKeyDown
pt | ControlKeyUp
pt | KeyDown
pt | KeyDownBeforeInterface
pt | KeyDownAfterInterface
pt | KeyPress
pt | KeyUp
pt | KeyUpBeforeInterface
pt | KeyUpAfterInterface
pt | UTF8KeyPress
pt | FindNextControl
pt | SelectFirst
pt | RealGetText
pt | GetBorderStyle
pt | GetClientOrigin
pt | GetClientRect
pt | GetControlOrigin
pt | GetDeviceContext
pt | GetParentBackground
pt | IsControlMouseMsg
pt | CreateHandle
pt | CreateParams
pt | CreateWnd
pt | DestroyHandle
pt | DestroyWnd
pt | DoFlipChildren
pt | FinalizeWnd
pt | FixupTabList
pt | FontChanged
pt | InitializeWnd
pt | Loaded
pt | FormEndUpdated
pt | MainWndProc
pt | ParentFormHandleInitialized
pt | ChildHandlesCreated
pt | GetMouseCapture
pt | RealSetText
pt | RemoveFocus
pt | SendMoveSizeMessages
pt | SetBorderStyle
pt | SetColor
pt | SetChildZPosition
pt | SetParentBackground
pt | ShowControl
pt | UpdateControlState
pt | UpdateShowing
pt | WndProc
pt | WSSetText
 | AutoSizePhases
 | AutoSizeDelayed
 | AutoSizeDelayedReport
 | AutoSizeDelayedHandle
 | BeginUpdateBounds
 | EndUpdateBounds
 | LockRealizeBounds
 | UnlockRealizeBounds
 | ControlAtPos
 | ContainsControl
 | DoAdjustClientRectChange
 | InvalidateClientRectCache
 | ClientRectNeedsInterfaceUpdate
 | SetBounds
 | GetChildrenRect
 | DisableAlign
 | EnableAlign
 | ReAlign
 | ScrollBy_WS
 | ScrollBy
 | WriteLayoutDebugReport
 | AutoAdjustLayout
 | Create
 | CreateParented
 | CreateParentedControl
 | Destroy
 | DockDrop
 | CanFocus
 | CanSetFocus
 | GetControlIndex
 | SetControlIndex
 | Focused
 | PerformTab
 | FindChildControl
 | SelectNext
 | SetTempCursor
 | BroadCast
 | NotifyControls
 | DefaultHandler
 | GetTextLen
 | Invalidate
 | AddControl
 | InsertControl
 | RemoveControl
 | GetEnumeratorControls
 | GetEnumeratorControlsReverse
 | Repaint
 | Update
 | SetFocus
 | FlipChildren
 | ScaleBy
 | GetDockCaption
 | UpdateDockCaption
 | GetTabOrderList
 | HandleAllocated
 | ParentHandlesAllocated
 | HandleNeeded
 | BrushCreated
 | EraseBackground
 | IntfUTF8KeyPress
 | IntfGetDropFilesTarget
 | PaintTo
 | SetShape
TControl
pt | WSRegisterClass
pt | GetCursor
pt | SetCursor
pt | SetVisible
pt | DoOnParentHandleDestruction
pt | DoAutoSize
pt | DoAllAutoSize
pt | BeginAutoSizing
pt | EndAutoSizing
pt | AnchorSideChanged
pt | ForeignAnchorSideChanged
pt | SetAlign
pt | SetAnchors
pt | SetAutoSize
pt | BoundsChanged
pt | CreateControlBorderSpacing
pt | DoConstraintsChange
pt | DoBorderSpacingChange
pt | IsBorderSpacingInnerBorderStored
pt | IsCaptionStored
pt | SendMoveSizeMessages
pt | ConstrainedResize
pt | CalculatePreferredSize
pt | DoOnResize
pt | DoOnChangeBounds
pt | CheckOnChangeBounds
pt | Resize
pt | RequestAlign
pt | UpdateAnchorRules
pt | ChangeBounds
pt | DoSetBounds
pt | ScaleConstraints
pt | ChangeScale
pt | CanAutoSize
pt | SetBiDiMode
pt | SetParentBiDiMode
pt | IsAParentAligning
pt | GetClientOrigin
pt | GetClientRect
pt | GetLogicalClientRect
pt | GetScrolledClientRect
pt | GetClientScrollOffset
pt | GetControlOrigin
pt | IsClientHeightStored
pt | IsClientWidthStored
pt | WidthIsAnchored
pt | HeightIsAnchored
pt | WMCancelMode
pt | WMContextMenu
pt | WMLButtonDown
pt | WMRButtonDown
pt | WMMButtonDown
pt | WMXButtonDown
pt | WMLButtonDBLCLK
pt | WMRButtonDBLCLK
pt | WMMButtonDBLCLK
pt | WMXButtonDBLCLK
pt | WMLButtonTripleCLK
pt | WMRButtonTripleCLK
pt | WMMButtonTripleCLK
pt | WMXButtonTripleCLK
pt | WMLButtonQuadCLK
pt | WMRButtonQuadCLK
pt | WMMButtonQuadCLK
pt | WMXButtonQuadCLK
pt | WMMouseMove
pt | WMLButtonUp
pt | WMRButtonUp
pt | WMMButtonUp
pt | WMXButtonUp
pt | WMMouseWheel
pt | WMMouseHWheel
pt | WMMove
pt | WMSize
pt | WMWindowPosChanged
pt | CMChanged
pt | LMCaptureChanged
pt | CMBiDiModeChanged
pt | CMSysFontChanged
pt | CMEnabledChanged
pt | CMHitTest
pt | CMMouseEnter
pt | CMMouseLeave
pt | CMHintShow
pt | CMParentBiDiModeChanged
pt | CMParentColorChanged
pt | CMParentFontChanged
pt | CMParentShowHintChanged
pt | CMVisibleChanged
pt | CMTextChanged
pt | CMCursorChanged
pt | CalculateDockSizes
pt | CreateFloatingDockSite
pt | GetDockEdge
pt | GetDragImages
pt | GetFloating
pt | GetFloatingDockSiteClass
pt | BeforeDragStart
pt | BeginAutoDrag
pt | DoFloatMsg
pt | DockTrackNoTarget
pt | DoDock
pt | DoDragMsg
pt | DoEndDock
pt | DoEndDrag
pt | DoStartDock
pt | DoStartDrag
pt | DragCanceled
pt | DragOver
pt | PositionDockRect
pt | SetDragMode
pt | GetDefaultDockCaption
pt | Click
pt | DblClick
pt | TripleClick
pt | QuadClick
pt | GetMousePosFromMessage
pt | MouseDown
pt | MouseMove
pt | MouseUp
pt | MouseEnter
pt | MouseLeave
pt | DialogChar
pt | UpdateMouseCursor
pt | Changed
pt | GetPalette
pt | ChildClassAllowed
pt | ReadState
pt | Loaded
pt | LoadedAll
pt | DefineProperties
pt | AssignTo
pt | FormEndUpdated
pt | InvalidateControl
pt | FontChanged
pt | ParentFontChanged
pt | GetAction
pt | RealGetText
pt | RealSetText
pt | TextChanged
pt | GetCachedText
pt | SetAction
pt | SetColor
pt | SetEnabled
pt | SetHint
pt | SetName
pt | SetParent
pt | SetParentComponent
pt | WndProc
pt | ParentFormHandleInitialized
pt | GetMouseCapture
pt | CaptureChanged
pt | Notification
pt | CanTab
pt | GetDeviceContext
pt | GetEnabled
pt | GetPopupMenu
pt | DoOnShowHint
pt | DoMouseWheel
pt | DoMouseWheelDown
pt | DoMouseWheelUp
pt | DoMouseWheelHorz
pt | DoMouseWheelLeft
pt | DoMouseWheelRight
pt | VisibleChanging
pt | VisibleChanged
pt | EnabledChanging
pt | EnabledChanged
pt | AddHandler
pt | RemoveHandler
pt | DoCallNotifyHandler
pt | DoCallKeyEventHandler
pt | DoCallMouseWheelEventHandler
pt | DoContextPopup
pt | SetZOrder
pt | GetControlClassDefaultSize
pt | ColorIsStored
pt | DoAutoAdjustLayout
pt | DoFixDesignFontPPI
pt | DoScaleFontPPI
pt | GetActionLinkClass
pt | ActionChange
 | DragDrop
 | Dock
 | ManualDock
 | ManualFloat
 | ReplaceDockedControl
 | Docked
 | Dragging
 | GetAccessibleObject
 | CreateAccessibleObject
 | GetSelectedChildAccessibleObject
 | GetChildAccessibleObjectAtPos
 | ScaleDesignToForm
 | ScaleFormToDesign
 | Scale96ToForm
 | ScaleFormTo96
 | Scale96ToFont
 | ScaleFontTo96
 | ScaleScreenToFont
 | ScaleFontToScreen
 | Scale96ToScreen
 | ScaleScreenTo96
 | AdjustSize
 | AutoSizePhases
 | AutoSizeDelayed
 | AutoSizeDelayedReport
 | AutoSizeDelayedHandle
 | AnchorToNeighbour
 | AnchorParallel
 | AnchorHorizontalCenterTo
 | AnchorVerticalCenterTo
 | AnchorToCompanion
 | AnchorSame
 | AnchorAsAlign
 | AnchorClient
 | AnchoredControlCount
 | SetBounds
 | SetInitialBounds
 | SetBoundsKeepBase
 | GetPreferredSize
 | GetCanvasScaleFactor
 | GetDefaultWidth
 | GetDefaultHeight
 | GetDefaultColor
 | GetColorResolvingParent
 | GetRGBColorResolvingParent
 | GetSidePosition
 | CNPreferredSizeChanged
 | InvalidatePreferredSize
 | GetAnchorsDependingOnParent
 | DisableAutoSizing
 | EnableAutoSizing
 | UpdateBaseBounds
 | WriteLayoutDebugReport
 | AutoAdjustLayout
 | ShouldAutoAdjust
 | FixDesignFontsPPI
 | ScaleFontsPPI
 | Create
 | Destroy
 | BeforeDestruction
 | EditingDone
 | ExecuteDefaultAction
 | ExecuteCancelAction
 | BeginDrag
 | EndDrag
 | BringToFront
 | HasParent
 | GetParentComponent
 | IsParentOf
 | GetTopParent
 | IsVisible
 | IsControlVisible
 | IsEnabled
 | IsParentColor
 | IsParentFont
 | FormIsUpdating
 | IsProcessingPaintMsg
 | Hide
 | Refresh
 | Repaint
 | Invalidate
 | CheckChildClassAllowed
 | CheckNewParent
 | SendToBack
 | SetTempCursor
 | UpdateRolesForForm
 | ActiveDefaultControlChanged
 | GetTextBuf
 | GetTextLen
 | SetTextBuf
 | Perform
 | ScreenToClient
 | ClientToScreen
 | ScreenToControl
 | ControlToScreen
 | ClientToParent
 | ParentToClient
 | GetChildrenRect
 | Show
 | Update
 | HandleObjectShouldBeVisible
 | ParentDestroyingHandle
 | ParentHandlesAllocated
 | InitiateAction
 | ShowHelp
 | HasHelp
 | RemoveAllHandlersOfObject
 | AddHandlerOnResize
 | RemoveHandlerOnResize
 | AddHandlerOnChangeBounds
 | RemoveHandlerOnChangeBounds
 | AddHandlerOnVisibleChanging
 | RemoveHandlerOnVisibleChanging
 | AddHandlerOnVisibleChanged
 | RemoveHandlerOnVisibleChanged
 | AddHandlerOnEnabledChanged
 | RemoveHandlerOnEnableChanging
 | AddHandlerOnKeyDown
 | RemoveHandlerOnKeyDown
 | AddHandlerOnBeforeDestruction
 | RemoveHandlerOnBeforeDestruction
 | AddHandlerOnMouseWheel
 | RemoveHandlerOnMouseWheel
 | UseRightToLeftAlignment
 | UseRightToLeftReading
 | UseRightToLeftScrollBar
 | IsRightToLeft
TLCLComponent
pt | WSRegisterClass
pt | GetWSComponentClass
 | Create
 | Destroy
 | NewInstance
 | RemoveAllHandlersOfObject
 | IncLCLRefCount
 | DecLCLRefCount
TComponent
 | GetComObject
 | GetComponent
 | GetComponentCount
 | GetComponentIndex
 | Insert
 | ReadLeft
 | ReadTop
 | Remove
 | RemoveNotification
 | SetComponentIndex
 | SetReference
 | WriteLeft
 | WriteTop
 | ChangeName
 | DefineProperties
 | GetChildren
 | GetChildOwner
 | GetChildParent
 | GetOwner
 | Loaded
 | Loading
 | Notification
 | PaletteCreated
 | ReadState
 | SetAncestor
 | SetDesigning
 | SetDesignInstance
 | SetInline
 | SetName
 | SetChildOrder
 | SetParentComponent
 | Updating
 | Updated
 | UpdateRegistry
 | ValidateRename
 | ValidateContainer
 | ValidateInsert
 | QueryInterface
 | _AddRef
 | _Release
 | iicrGetComponent
 | GetTypeInfoCount
 | GetTypeInfo
 | GetIDsOfNames
 | Invoke
 | WriteState
 | Create
 | Destroy
 | BeforeDestruction
 | DestroyComponents
 | Destroying
 | ExecuteAction
 | FindComponent
 | FreeNotification
 | RemoveFreeNotification
 | FreeOnRelease
 | GetEnumerator
 | GetNamePath
 | GetParentComponent
 | HasParent
 | InsertComponent
 | RemoveComponent
 | SafeCallException
 | SetSubComponent
 | UpdateAction
 | IsImplementorOf
 | ReferenceInterface
TPersistent
 | AssignError
 | AssignTo
 | DefineProperties
 | GetOwner
 | Destroy
 | Assign
 | FPOAttachObserver
 | FPODetachObserver
 | FPONotifyObservers
 | GetNamePath
TObject
 | Create
 | Destroy
 | newinstance
 | FreeInstance
 | SafeCallException
 | DefaultHandler
 | Free
 | InitInstance
 | CleanupInstance
 | ClassType
 | ClassInfo
 | ClassName
 | ClassNameIs
 | ClassParent
 | InstanceSize
 | InheritsFrom
 | StringMessageTable
 | MethodAddress
 | MethodName
 | FieldAddress
 | AfterConstruction
 | BeforeDestruction
 | DefaultHandlerStr
 | Dispatch
 | DispatchStr
 | GetInterface
 | GetInterfaceByStr
 | GetInterfaceWeak
 | GetInterfaceEntry
 | GetInterfaceEntryByStr
 | GetInterfaceTable
 | UnitName
 | Equals
 | GetHashCode
 | ToString


pt | ActionChange (TControl)
 | ActiveDefaultControlChanged (TControl)
 | AddControl (TWinControl)
pt | AddHandler (TControl)
 | AddHandlerOnBeforeDestruction (TControl)
 | AddHandlerOnChangeBounds (TControl)
 | AddHandlerOnEnabledChanged (TControl)
 | AddHandlerOnKeyDown (TControl)
 | AddHandlerOnMouseWheel (TControl)
 | AddHandlerOnResize (TControl)
 | AddHandlerOnVisibleChanged (TControl)
 | AddHandlerOnVisibleChanging (TControl)
pt | AdjustClientRect (TWinControl)
 | AdjustSize (TControl)
 | AfterConstruction (TObject)
pt | AlignControls (TWinControl)
pt | AllAutoSized (TWinControl)
 | AnchorAsAlign (TControl)
 | AnchorClient (TControl)
 | AnchoredControlCount (TControl)
 | AnchorHorizontalCenterTo (TControl)
 | AnchorParallel (TControl)
 | AnchorSame (TControl)
pt | AnchorSideChanged (TControl)
 | AnchorToCompanion (TControl)
 | AnchorToNeighbour (TControl)
 | AnchorVerticalCenterTo (TControl)
 | Assign (TPersistent)
 | AssignError (TPersistent)
 | AssignTo (TPersistent)
pt | AssignTo (TControl)
 | AutoAdjustLayout (TControl)
 | AutoAdjustLayout (TWinControl)
 | AutoSizeDelayed (TControl)
 | AutoSizeDelayed (TWinControl)
 | AutoSizeDelayedHandle (TControl)
 | AutoSizeDelayedHandle (TWinControl)
 | AutoSizeDelayedReport (TControl)
 | AutoSizeDelayedReport (TWinControl)
 | AutoSizePhases (TControl)
 | AutoSizePhases (TWinControl)
 | BeforeDestruction (TObject)
 | BeforeDestruction (TComponent)
 | BeforeDestruction (TControl)
pt | BeforeDragStart (TControl)
pt | BeginAutoDrag (TControl)
pt | BeginAutoSizing (TControl)
 | BeginDrag (TControl)
 | BeginUpdateBounds (TWinControl)
pt | BoundsChanged (TControl)
 | BringToFront (TControl)
 | BroadCast (TWinControl)
 | BrushCreated (TWinControl)
pt | CalculateDockSizes (TControl)
pt | CalculatePreferredSize (TControl)
pt | CalculatePreferredSize (TWinControl)
pt | CalculatePreferredSize (TCDControl)
pt | CanAutoSize (TControl)
 | CanFocus (TWinControl)
 | CanSetFocus (TWinControl)
pt | CanTab (TControl)
pt | CanTab (TWinControl)
pt | CaptureChanged (TControl)
pt | ChangeBounds (TControl)
pt | Changed (TControl)
 | ChangeName (TComponent)
pt | ChangeScale (TControl)
pt | ChangeScale (TWinControl)
 | CheckChildClassAllowed (TControl)
 | CheckNewParent (TControl)
pt | CheckOnChangeBounds (TControl)
pt | ChildClassAllowed (TControl)
pt | ChildClassAllowed (TWinControl)
pt | ChildHandlesCreated (TWinControl)
pt | ChildKey (TWinControl)
 | ClassInfo (TObject)
 | ClassName (TObject)
 | ClassNameIs (TObject)
 | ClassParent (TObject)
 | ClassType (TObject)
 | CleanupInstance (TObject)
pt | Click (TControl)
 | ClientRectNeedsInterfaceUpdate (TWinControl)
 | ClientToParent (TControl)
 | ClientToScreen (TControl)
pt | CMBiDiModeChanged (TControl)
pt | CMBiDiModeChanged (TWinControl)
pt | CMBorderChanged (TWinControl)
pt | CMChanged (TControl)
pt | CMCursorChanged (TControl)
pt | CMDoubleBufferedChanged (TWinControl)
pt | CMEnabledChanged (TControl)
pt | CMEnabledChanged (TWinControl)
pt | CMEnter (TWinControl)
pt | CMExit (TWinControl)
pt | CMHintShow (TControl)
pt | CMHitTest (TControl)
pt | CMMouseEnter (TControl)
pt | CMMouseLeave (TControl)
pt | CMParentBiDiModeChanged (TControl)
pt | CMParentColorChanged (TControl)
pt | CMParentDoubleBufferedChanged (TWinControl)
pt | CMParentFontChanged (TControl)
pt | CMParentShowHintChanged (TControl)
pt | CMShowHintChanged (TWinControl)
pt | CMShowingChanged (TWinControl)
pt | CMSysFontChanged (TControl)
pt | CMTextChanged (TControl)
pt | CMVisibleChanged (TControl)
pt | CMVisibleChanged (TWinControl)
pt | CNChar (TWinControl)
pt | CNKeyDown (TWinControl)
pt | CNKeyUp (TWinControl)
 | CNPreferredSizeChanged (TControl)
pt | CNSysKeyDown (TWinControl)
pt | CNSysKeyUp (TWinControl)
pt | ColorIsStored (TControl)
pt | ConstrainedResize (TControl)
 | ContainsControl (TWinControl)
 | ControlAtPos (TWinControl)
pt | ControlKeyDown (TWinControl)
pt | ControlKeyUp (TWinControl)
pt | ControlsAligned (TWinControl)
 | ControlToScreen (TControl)
 | Create (TObject)
 | Create (TComponent)
 | Create (TLCLComponent)
 | Create (TControl)
 | Create (TWinControl)
 | Create (TCustomControl)
 | Create (TCDControl)
 | Create (TCDPanel)
 | CreateAccessibleObject (TControl)
pt | CreateBrush (TWinControl)
pt | CreateControlBorderSpacing (TControl)
pt | CreateControlStateEx (TCDControl)
pt | CreateControlStateEx (TCDPanel)
pt | CreateDockManager (TWinControl)
pt | CreateFloatingDockSite (TControl)
pt | CreateHandle (TWinControl)
pt | CreateParams (TWinControl)
 | CreateParented (TWinControl)
 | CreateParentedControl (TWinControl)
pt | CreateSubClass (TWinControl)
pt | CreateWnd (TWinControl)
pt | CustomAlignInsertBefore (TWinControl)
pt | CustomAlignPosition (TWinControl)
pt | DblClick (TControl)
 | DecLCLRefCount (TLCLComponent)
 | DefaultHandler (TObject)
 | DefaultHandler (TWinControl)
 | DefaultHandlerStr (TObject)
 | DefineProperties (TPersistent)
 | DefineProperties (TComponent)
pt | DefineProperties (TControl)
 | Destroy (TObject)
 | Destroy (TPersistent)
 | Destroy (TComponent)
 | Destroy (TLCLComponent)
 | Destroy (TControl)
 | Destroy (TWinControl)
 | Destroy (TCustomControl)
 | Destroy (TCDControl)
 | Destroy (TCDPanel)
 | DestroyComponents (TComponent)
pt | DestroyHandle (TWinControl)
 | Destroying (TComponent)
pt | DestroyWnd (TWinControl)
pt | DestroyWnd (TCustomControl)
pt | DialogChar (TControl)
pt | DialogChar (TWinControl)
 | DisableAlign (TWinControl)
 | DisableAutoSizing (TControl)
 | Dispatch (TObject)
 | DispatchStr (TObject)
pt | DoAddDockClient (TWinControl)
 | DoAdjustClientRectChange (TWinControl)
pt | DoAlignChildControls (TWinControl)
pt | DoAllAutoSize (TControl)
pt | DoAllAutoSize (TWinControl)
pt | DoAutoAdjustLayout (TControl)
pt | DoAutoSize (TControl)
pt | DoAutoSize (TWinControl)
pt | DoBorderSpacingChange (TControl)
pt | DoCallKeyEventHandler (TControl)
pt | DoCallMouseWheelEventHandler (TControl)
pt | DoCallNotifyHandler (TControl)
pt | DoChildSizingChange (TWinControl)
 | Dock (TControl)
 | DockDrop (TWinControl)
 | Docked (TControl)
pt | DockOver (TWinControl)
pt | DockTrackNoTarget (TControl)
pt | DoConstraintsChange (TControl)
pt | DoConstraintsChange (TWinControl)
pt | DoContextPopup (TControl)
pt | DoDock (TControl)
pt | DoDockClientMsg (TWinControl)
pt | DoDockOver (TWinControl)
pt | DoDragMsg (TControl)
pt | DoDragMsg (TWinControl)
pt | DoEndDock (TControl)
pt | DoEndDrag (TControl)
pt | DoEnter (TWinControl)
pt | DoEnter (TCDControl)
pt | DoExit (TWinControl)
pt | DoExit (TCDControl)
pt | DoFixDesignFontPPI (TControl)
pt | DoFlipChildren (TWinControl)
pt | DoFloatMsg (TControl)
pt | DoFloatMsg (TWinControl)
pt | DoGetDockCaption (TWinControl)
pt | DoKeyDownBeforeInterface (TWinControl)
pt | DoKeyPress (TWinControl)
pt | DoKeyUpBeforeInterface (TWinControl)
pt | DoMouseWheel (TControl)
pt | DoMouseWheelDown (TControl)
pt | DoMouseWheelHorz (TControl)
pt | DoMouseWheelLeft (TControl)
pt | DoMouseWheelRight (TControl)
pt | DoMouseWheelUp (TControl)
pt | DoOnChangeBounds (TControl)
pt | DoOnParentHandleDestruction (TControl)
pt | DoOnResize (TControl)
pt | DoOnShowHint (TControl)
pt | DoRemainingKeyDown (TWinControl)
pt | DoRemainingKeyUp (TWinControl)
pt | DoRemoveDockClient (TWinControl)
pt | DoScaleFontPPI (TControl)
pt | DoSendBoundsToInterface (TWinControl)
pt | DoSendShowHideToInterface (TWinControl)
pt | DoSetBounds (TControl)
pt | DoSetBounds (TWinControl)
pt | DoStartDock (TControl)
pt | DoStartDrag (TControl)
pt | DoUnDock (TWinControl)
pt | DoUndockClientMsg (TWinControl)
pt | DoUTF8KeyPress (TWinControl)
pt | DragCanceled (TControl)
 | DragDrop (TControl)
 | Dragging (TControl)
pt | DragOver (TControl)
 | DrawToCanvas (TCDControl)
 | EditingDone (TControl)
 | EnableAlign (TWinControl)
 | EnableAutoSizing (TControl)
pt | EnabledChanged (TControl)
pt | EnabledChanging (TControl)
pt | EndAutoSizing (TControl)
 | EndDrag (TControl)
 | EndUpdateBounds (TWinControl)
 | Equals (TObject)
 | EraseBackground (TWinControl)
 | EraseBackground (TCDControl)
 | ExecuteAction (TComponent)
 | ExecuteCancelAction (TControl)
 | ExecuteDefaultAction (TControl)
 | FieldAddress (TObject)
pt | FinalizeWnd (TWinControl)
 | FindChildControl (TWinControl)
 | FindComponent (TComponent)
pt | FindNextControl (TWinControl)
 | FixDesignFontsPPI (TControl)
pt | FixupTabList (TWinControl)
 | FlipChildren (TWinControl)
 | Focused (TWinControl)
pt | FontChanged (TControl)
pt | FontChanged (TWinControl)
pt | FontChanged (TCustomControl)
pt | ForeignAnchorSideChanged (TControl)
pt | FormEndUpdated (TControl)
pt | FormEndUpdated (TWinControl)
 | FormIsUpdating (TControl)
 | FPOAttachObserver (TPersistent)
 | FPODetachObserver (TPersistent)
 | FPONotifyObservers (TPersistent)
 | Free (TObject)
 | FreeInstance (TObject)
 | FreeNotification (TComponent)
 | FreeOnRelease (TComponent)
 | GetAccessibleObject (TControl)
pt | GetAction (TControl)
pt | GetActionLinkClass (TControl)
pt | GetAdjustedLogicalClientRect (TWinControl)
 | GetAnchorsDependingOnParent (TControl)
pt | GetBorderStyle (TWinControl)
pt | GetCachedText (TControl)
 | GetCanvasScaleFactor (TControl)
 | GetChildAccessibleObjectAtPos (TControl)
 | GetChildOwner (TComponent)
 | GetChildParent (TComponent)
 | GetChildren (TComponent)
pt | GetChildren (TWinControl)
 | GetChildrenRect (TControl)
 | GetChildrenRect (TWinControl)
pt | GetClientOrigin (TControl)
pt | GetClientOrigin (TWinControl)
pt | GetClientRect (TControl)
pt | GetClientRect (TWinControl)
pt | GetClientRect (TCDControl)
pt | GetClientScrollOffset (TControl)
 | GetColorResolvingParent (TControl)
 | GetComObject (TComponent)
 | GetComponent (TComponent)
 | GetComponentCount (TComponent)
 | GetComponentIndex (TComponent)
pt | GetControlClassDefaultSize (TControl)
pt | GetControlId (TCDControl)
pt | GetControlId (TCDPanel)
 | GetControlIndex (TWinControl)
pt | GetControlOrigin (TControl)
pt | GetControlOrigin (TWinControl)
pt | GetCursor (TControl)
 | GetDefaultColor (TControl)
pt | GetDefaultDockCaption (TControl)
 | GetDefaultHeight (TControl)
 | GetDefaultWidth (TControl)
pt | GetDeviceContext (TControl)
pt | GetDeviceContext (TWinControl)
 | GetDockCaption (TWinControl)
pt | GetDockEdge (TControl)
pt | GetDragImages (TControl)
pt | GetEnabled (TControl)
 | GetEnumerator (TComponent)
 | GetEnumeratorControls (TWinControl)
 | GetEnumeratorControlsReverse (TWinControl)
pt | GetFloating (TControl)
pt | GetFloatingDockSiteClass (TControl)
 | GetHashCode (TObject)
 | GetIDsOfNames (TComponent)
 | GetInterface (TObject)
 | GetInterfaceByStr (TObject)
 | GetInterfaceEntry (TObject)
 | GetInterfaceEntryByStr (TObject)
 | GetInterfaceTable (TObject)
 | GetInterfaceWeak (TObject)
pt | GetLogicalClientRect (TControl)
pt | GetMouseCapture (TControl)
pt | GetMouseCapture (TWinControl)
pt | GetMousePosFromMessage (TControl)
 | GetNamePath (TPersistent)
 | GetNamePath (TComponent)
 | GetOwner (TPersistent)
 | GetOwner (TComponent)
pt | GetPalette (TControl)
pt | GetParentBackground (TWinControl)
 | GetParentComponent (TComponent)
 | GetParentComponent (TControl)
pt | GetParentHandle (TWinControl)
pt | GetPopupMenu (TControl)
 | GetPreferredSize (TControl)
pt | GetPreferredSizeClientFrame (TWinControl)
 | GetRGBColorResolvingParent (TControl)
pt | GetScrolledClientRect (TControl)
 | GetSelectedChildAccessibleObject (TControl)
 | GetSidePosition (TControl)
pt | GetSiteInfo (TWinControl)
 | GetTabOrderList (TWinControl)
 | GetTextBuf (TControl)
 | GetTextLen (TControl)
 | GetTextLen (TWinControl)
 | GetTopParent (TControl)
pt | GetTopParentHandle (TWinControl)
 | GetTypeInfo (TComponent)
 | GetTypeInfoCount (TComponent)
pt | GetWSComponentClass (TLCLComponent)
 | HandleAllocated (TWinControl)
 | HandleNeeded (TWinControl)
 | HandleObjectShouldBeVisible (TControl)
 | HasHelp (TControl)
 | HasParent (TComponent)
 | HasParent (TControl)
pt | HeightIsAnchored (TControl)
 | Hide (TControl)
 | iicrGetComponent (TComponent)
 | IncLCLRefCount (TLCLComponent)
 | InheritsFrom (TObject)
pt | InitializeWnd (TWinControl)
 | InitiateAction (TControl)
 | InitInstance (TObject)
 | Insert (TComponent)
 | InsertComponent (TComponent)
 | InsertControl (TWinControl)
 | InstanceSize (TObject)
 | IntfGetDropFilesTarget (TWinControl)
 | IntfUTF8KeyPress (TWinControl)
 | Invalidate (TControl)
 | Invalidate (TWinControl)
pt | InvalidateBoundsRealized (TWinControl)
 | InvalidateClientRectCache (TWinControl)
pt | InvalidateControl (TControl)
pt | InvalidatePreferredChildSizes (TWinControl)
 | InvalidatePreferredSize (TControl)
 | Invoke (TComponent)
pt | IsAParentAligning (TControl)
pt | IsBorderSpacingInnerBorderStored (TControl)
pt | IsCaptionStored (TControl)
pt | IsClientHeightStored (TControl)
pt | IsClientHeightStored (TWinControl)
pt | IsClientWidthStored (TControl)
pt | IsClientWidthStored (TWinControl)
pt | IsControlMouseMsg (TWinControl)
 | IsControlVisible (TControl)
 | IsEnabled (TControl)
 | IsImplementorOf (TComponent)
 | IsParentColor (TControl)
 | IsParentFont (TControl)
 | IsParentOf (TControl)
 | IsProcessingPaintMsg (TControl)
 | IsRightToLeft (TControl)
 | IsVisible (TControl)
pt | KeyDown (TWinControl)
pt | KeyDownAfterInterface (TWinControl)
pt | KeyDownBeforeInterface (TWinControl)
pt | KeyPress (TWinControl)
pt | KeyUp (TWinControl)
pt | KeyUpAfterInterface (TWinControl)
pt | KeyUpBeforeInterface (TWinControl)
 | LCLWSCalculatePreferredSize (TCDControl)
pt | LMCaptureChanged (TControl)
 | Loaded (TComponent)
pt | Loaded (TControl)
pt | Loaded (TWinControl)
pt | LoadedAll (TControl)
 | Loading (TComponent)
 | LockRealizeBounds (TWinControl)
pt | MainWndProc (TWinControl)
 | ManualDock (TControl)
 | ManualFloat (TControl)
 | MethodAddress (TObject)
 | MethodName (TObject)
pt | MouseDown (TControl)
pt | MouseDown (TCDControl)
pt | MouseEnter (TControl)
pt | MouseEnter (TCDControl)
pt | MouseLeave (TControl)
pt | MouseLeave (TCDControl)
pt | MouseMove (TControl)
pt | MouseUp (TControl)
 | newinstance (TObject)
 | NewInstance (TLCLComponent)
 | Notification (TComponent)
pt | Notification (TControl)
 | NotifyControls (TWinControl)
pt | Paint (TCustomControl)
 | Paint (TCDControl)
pt | PaintControls (TWinControl)
pt | PaintHandler (TWinControl)
 | PaintTo (TWinControl)
pt | PaintWindow (TWinControl)
pt | PaintWindow (TCustomControl)
 | PaletteCreated (TComponent)
 | ParentDestroyingHandle (TControl)
pt | ParentFontChanged (TControl)
pt | ParentFormHandleInitialized (TControl)
pt | ParentFormHandleInitialized (TWinControl)
 | ParentHandlesAllocated (TControl)
 | ParentHandlesAllocated (TWinControl)
 | ParentToClient (TControl)
 | Perform (TControl)
 | PerformTab (TWinControl)
pt | PositionDockRect (TControl)
pt | PrepareControlState (TCDControl)
pt | PrepareControlStateEx (TCDControl)
pt | PrepareControlStateEx (TCDPanel)
pt | PrepareCurrentDrawer (TCDControl)
pt | QuadClick (TControl)
 | QueryInterface (TComponent)
 | ReadLeft (TComponent)
 | ReadState (TComponent)
pt | ReadState (TControl)
 | ReadTop (TComponent)
pt | RealGetText (TControl)
pt | RealGetText (TWinControl)
 | ReAlign (TWinControl)
pt | RealizeBounds (TWinControl)
pt | RealizeBoundsRecursive (TWinControl)
pt | RealSetText (TControl)
pt | RealSetText (TWinControl)
pt | RealSetText (TCDPanel)
 | ReferenceInterface (TComponent)
 | Refresh (TControl)
pt | ReloadDockedControl (TWinControl)
 | Remove (TComponent)
 | RemoveAllHandlersOfObject (TLCLComponent)
 | RemoveAllHandlersOfObject (TControl)
 | RemoveComponent (TComponent)
 | RemoveControl (TWinControl)
pt | RemoveFocus (TWinControl)
 | RemoveFreeNotification (TComponent)
pt | RemoveHandler (TControl)
 | RemoveHandlerOnBeforeDestruction (TControl)
 | RemoveHandlerOnChangeBounds (TControl)
 | RemoveHandlerOnEnableChanging (TControl)
 | RemoveHandlerOnKeyDown (TControl)
 | RemoveHandlerOnMouseWheel (TControl)
 | RemoveHandlerOnResize (TControl)
 | RemoveHandlerOnVisibleChanged (TControl)
 | RemoveHandlerOnVisibleChanging (TControl)
 | RemoveNotification (TComponent)
 | Repaint (TControl)
 | Repaint (TWinControl)
 | ReplaceDockedControl (TControl)
pt | RequestAlign (TControl)
pt | Resize (TControl)
 | SafeCallException (TObject)
 | SafeCallException (TComponent)
 | Scale96ToFont (TControl)
 | Scale96ToForm (TControl)
 | Scale96ToScreen (TControl)
 | ScaleBy (TWinControl)
pt | ScaleConstraints (TControl)
pt | ScaleControls (TWinControl)
 | ScaleDesignToForm (TControl)
 | ScaleFontsPPI (TControl)
 | ScaleFontTo96 (TControl)
 | ScaleFontToScreen (TControl)
 | ScaleFormTo96 (TControl)
 | ScaleFormToDesign (TControl)
 | ScaleScreenTo96 (TControl)
 | ScaleScreenToFont (TControl)
 | ScreenToClient (TControl)
 | ScreenToControl (TControl)
 | ScrollBy (TWinControl)
 | ScrollBy_WS (TWinControl)
pt | SelectFirst (TWinControl)
 | SelectNext (TWinControl)
pt | SendDialogChar (TWinControl)
pt | SendMoveSizeMessages (TControl)
pt | SendMoveSizeMessages (TWinControl)
 | SendToBack (TControl)
pt | SetAction (TControl)
pt | SetAlign (TControl)
 | SetAncestor (TComponent)
pt | SetAnchors (TControl)
pt | SetAutoSize (TControl)
pt | SetBiDiMode (TControl)
pt | SetBorderStyle (TWinControl)
 | SetBounds (TControl)
 | SetBounds (TWinControl)
 | SetBoundsKeepBase (TControl)
 | SetChildOrder (TComponent)
pt | SetChildZPosition (TWinControl)
pt | SetColor (TControl)
pt | SetColor (TWinControl)
pt | SetColor (TCustomControl)
 | SetComponentIndex (TComponent)
 | SetControlIndex (TWinControl)
pt | SetCursor (TControl)
 | SetDesigning (TComponent)
 | SetDesignInstance (TComponent)
pt | SetDockManager (TWinControl)
pt | SetDragMode (TControl)
pt | SetDrawStyle (TCDControl)
pt | SetEnabled (TControl)
 | SetFocus (TWinControl)
pt | SetHint (TControl)
 | SetInitialBounds (TControl)
 | SetInline (TComponent)
 | SetName (TComponent)
pt | SetName (TControl)
pt | SetParent (TControl)
pt | SetParentBackground (TWinControl)
pt | SetParentBiDiMode (TControl)
 | SetParentComponent (TComponent)
pt | SetParentComponent (TControl)
 | SetReference (TComponent)
 | SetShape (TWinControl)
pt | SetState (TCDControl)
 | SetSubComponent (TComponent)
 | SetTempCursor (TControl)
 | SetTempCursor (TWinControl)
 | SetTextBuf (TControl)
pt | SetVisible (TControl)
pt | SetZOrder (TControl)
 | ShouldAutoAdjust (TControl)
 | Show (TControl)
pt | ShowControl (TWinControl)
 | ShowHelp (TControl)
 | StringMessageTable (TObject)
pt | TextChanged (TControl)
 | ToString (TObject)
pt | TripleClick (TControl)
 | UnitName (TObject)
 | UnlockRealizeBounds (TWinControl)
 | Update (TControl)
 | Update (TWinControl)
 | UpdateAction (TComponent)
pt | UpdateAnchorRules (TControl)
 | UpdateBaseBounds (TControl)
pt | UpdateControlState (TWinControl)
 | Updated (TComponent)
 | UpdateDockCaption (TWinControl)
pt | UpdateMouseCursor (TControl)
 | UpdateRegistry (TComponent)
 | UpdateRolesForForm (TControl)
pt | UpdateShowing (TWinControl)
 | Updating (TComponent)
 | UseRightToLeftAlignment (TControl)
 | UseRightToLeftReading (TControl)
 | UseRightToLeftScrollBar (TControl)
pt | UTF8KeyPress (TWinControl)
 | ValidateContainer (TComponent)
 | ValidateInsert (TComponent)
 | ValidateRename (TComponent)
pt | VisibleChanged (TControl)
pt | VisibleChanging (TControl)
pt | WidthIsAnchored (TControl)
pt | WMCancelMode (TControl)
pt | WMChar (TWinControl)
pt | WMContextMenu (TControl)
pt | WMContextMenu (TWinControl)
pt | WMDestroy (TWinControl)
pt | WMEnter (TWinControl)
pt | WMEraseBkgnd (TWinControl)
pt | WMExit (TWinControl)
pt | WMKeyDown (TWinControl)
pt | WMKeyUp (TWinControl)
pt | WMKillFocus (TWinControl)
pt | WMLButtonDBLCLK (TControl)
pt | WMLButtonDown (TControl)
pt | WMLButtonQuadCLK (TControl)
pt | WMLButtonTripleCLK (TControl)
pt | WMLButtonUp (TControl)
pt | WMMButtonDBLCLK (TControl)
pt | WMMButtonDown (TControl)
pt | WMMButtonQuadCLK (TControl)
pt | WMMButtonTripleCLK (TControl)
pt | WMMButtonUp (TControl)
pt | WMMouseHWheel (TControl)
pt | WMMouseMove (TControl)
pt | WMMouseWheel (TControl)
pt | WMMove (TControl)
pt | WMMove (TWinControl)
pt | WMNotify (TWinControl)
pt | WMPaint (TWinControl)
pt | WMPaint (TCustomControl)
pt | WMRButtonDBLCLK (TControl)
pt | WMRButtonDown (TControl)
pt | WMRButtonQuadCLK (TControl)
pt | WMRButtonTripleCLK (TControl)
pt | WMRButtonUp (TControl)
pt | WMSetFocus (TWinControl)
pt | WMShowWindow (TWinControl)
pt | WMSize (TControl)
pt | WMSize (TWinControl)
pt | WMSysChar (TWinControl)
pt | WMSysKeyDown (TWinControl)
pt | WMSysKeyUp (TWinControl)
pt | WMWindowPosChanged (TControl)
pt | WMWindowPosChanged (TWinControl)
pt | WMXButtonDBLCLK (TControl)
pt | WMXButtonDown (TControl)
pt | WMXButtonQuadCLK (TControl)
pt | WMXButtonTripleCLK (TControl)
pt | WMXButtonUp (TControl)
pt | WndProc (TControl)
pt | WndProc (TWinControl)
 | WriteLayoutDebugReport (TControl)
 | WriteLayoutDebugReport (TWinControl)
 | WriteLeft (TComponent)
 | WriteState (TComponent)
 | WriteTop (TComponent)
pt | WSRegisterClass (TLCLComponent)
pt | WSRegisterClass (TControl)
pt | WSRegisterClass (TWinControl)
pt | WSRegisterClass (TCustomControl)
pt | WSSetText (TWinControl)
 | _AddRef (TComponent)
 | _Release (TComponent)


TCDPanel
TCDControl
TCustomControl
 | OnPaint
TWinControl
pt | OnGetSiteInfo
pt | OnGetDockCaption
 | OnAlignInsertBefore
 | OnAlignPosition
 | OnDockDrop
 | OnDockOver
 | OnEnter
 | OnExit
 | OnKeyDown
 | OnKeyPress
 | OnKeyUp
 | OnUnDock
 | OnUTF8KeyPress
TControl
pt | OnConstrainedResize
pt | OnContextPopup
pt | OnDblClick
pt | OnTripleClick
pt | OnQuadClick
pt | OnDragDrop
pt | OnDragOver
pt | OnEndDock
pt | OnEndDrag
pt | OnMouseDown
pt | OnMouseMove
pt | OnMouseUp
pt | OnMouseEnter
pt | OnMouseLeave
pt | OnMouseWheel
pt | OnMouseWheelDown
pt | OnMouseWheelUp
pt | OnMouseWheelHorz
pt | OnMouseWheelLeft
pt | OnMouseWheelRight
pt | OnStartDock
pt | OnStartDrag
pt | OnEditingDone
 | OnChangeBounds
 | OnClick
 | OnResize
 | OnShowHint
TLCLComponent
TComponent
TPersistent
TObject


TCDPanel.BevelInner

Declaration

Source position: customdrawncontrols.pas line 455

published property TCDPanel.BevelInner : TPanelBevel
  read FBevelInner
  write SetBevelInner
  default bvNone;


TCDPanel.BevelOuter

Declaration

Source position: customdrawncontrols.pas line 456

published property TCDPanel.BevelOuter : TPanelBevel
  read FBevelOuter
  write SetBevelOuter
  default bvRaised;


TCDPanel.BevelWidth

Declaration

Source position: customdrawncontrols.pas line 457

published property TCDPanel.BevelWidth : TBevelWidth
  read FBevelWidth
  write SetBevelWidth
  default 1;


TCDPanel.Caption

Declaration

Source position: customdrawncontrols.pas line 458

published property TCDPanel.Caption : TCaption;


TCDPanel.Create

Declaration

Source position: customdrawncontrols.pas line 451

public constructor TCDPanel.Create(

  AOwner: TComponent

); override;


TCDPanel.CreateControlStateEx

Declaration

Source position: customdrawncontrols.pas line 447

protected procedure TCDPanel.CreateControlStateEx; override;


TCDPanel.Destroy

Declaration

Source position: customdrawncontrols.pas line 452

public destructor TCDPanel.Destroy; override;


TCDPanel.DrawStyle

Declaration

Source position: customdrawncontrols.pas line 459

published property TCDPanel.DrawStyle : TCDDrawStyle;


TCDPanel.Enabled

Declaration

Source position: customdrawncontrols.pas line 460

published property TCDPanel.Enabled : Boolean;


TCDPanel.FPState

Declaration

Source position: customdrawncontrols.pas line 445

protected TCDPanel.FPState : TCDPanelStateEx;


TCDPanel.GetControlId

Declaration

Source position: customdrawncontrols.pas line 446

protected function TCDPanel.GetControlId: TCDControlID; override;


TCDPanel.PrepareControlStateEx

Declaration

Source position: customdrawncontrols.pas line 448

protected procedure TCDPanel.PrepareControlStateEx; override;


TCDPanel.RealSetText

Declaration

Source position: customdrawncontrols.pas line 449

protected procedure TCDPanel.RealSetText(

  const Value: TCaption

); override;


TCDPanel.TabStop

Declaration

Source position: customdrawncontrols.pas line 461

published property TCDPanel.TabStop : Boolean
  default False;


TCDPositionedControl

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Declaration

Source position: customdrawncontrols.pas line 335

type TCDPositionedControl = class(TCDControl)

protected

  FSmallChange: Integer;

  FLargeChange: Integer;

  FPCState: TCDPositionedCStateEx;

  FMoveByDragging: Boolean;

  function GetPositionFromMousePosWithMargins();

  function GetPositionFromMousePos(); virtual; abstract;

  function GetPositionDisplacementWithMargins();

  function GetPositionDisplacement(); virtual; abstract;

  function GetButtonFromMousePos(); virtual;

  procedure CreateControlStateEx; override;

  procedure PrepareControlStateEx; override;

  procedure KeyDown(); override;

  procedure MouseDown(); override;

  procedure MouseMove(); override;

  procedure MouseUp(); override;

  property PageSize: Integer; [rw]

public

  constructor Create(); override;

  destructor Destroy; override;

published

  property Max: Integer; [rw]

  property Min: Integer; [rw]

  property OnChange: TNotifyEvent; [rw]

  property OnChangeByUser: TNotifyEvent; [rw]

  property Position: Integer; [rw]

end;

Inheritance

TCDPositionedControl |
|
TCDControl |
|
TCustomControl | The base class for windowed controls which paint themselves.
|
TWinControl | The base class for controls which can contain other (child) controls.
|
TControl | The base class for visible controls.
|
TLCLComponent | The base class for LCL components associated with widgets.
|
TComponent,IUnknown,IInterfaceComponentReference
|
TPersistent,IFPObserved
|
TObject


TCDPositionedControl
pt |  | PageSize
pl |  | Max
pl |  | Min
pl |  | Position
TCDControl
pt |  | DrawStyle
TCustomControl
 |  | Canvas
 | ro | BorderStyle
TWinControl
pt |  | WindowHandle
pt |  | BorderStyle
pt |  | ParentBackground
 |  | BorderWidth
 | ro | BoundsLockCount
 | ro | Brush
 | ro | CachedClientHeight
 | ro | CachedClientWidth
 |  | ChildSizing
 | ro | ControlCount
 | ro | Controls
 |  | DefWndProc
 | ro | DockClientCount
 | ro | DockClients
 |  | DockManager
 |  | DockSite
 |  | DoubleBuffered
 |  | Handle
 | ro | IsFlipped
 | ro | IsResizing
 |  | TabOrder
 |  | TabStop
 |  | ParentDoubleBuffered
 |  | ParentWindow
 | ro | Showing
 |  | UseDockManager
 |  | DesignerDeleting
 | ro | VisibleDockClientCount
TControl
pt | ro | AutoSizing
pt | ro | AutoSizingAll
pt | ro | AutoSizingLockCount
pt |  | ActionLink
pt |  | DesktopFont
pt |  | DragCursor
pt |  | DragKind
pt |  | DragMode
pt |  | MouseCapture
pt |  | ParentColor
pt |  | ParentFont
pt |  | ParentShowHint
pt |  | SessionProperties
pt |  | Text
 | ro | AnchoredControls
 | ro | BaseBounds
 | ro | ReadBounds
 | ro | BaseParentClientSize
 |  | AccessibleDescription
 |  | AccessibleValue
 |  | AccessibleRole
 |  | Action
 |  | Align
 |  | Anchors
 | ro | AnchorSide
 |  | AutoSize
 |  | BorderSpacing
 |  | BoundsRect
 |  | BoundsRectForNewParent
 |  | Caption
 |  | CaptureMouseButtons
 |  | ClientHeight
 | ro | ClientOrigin
 | ro | ClientRect
 |  | ClientWidth
 |  | Color
 |  | Constraints
 | ro | ControlOrigin
 |  | ControlState
 |  | ControlStyle
 |  | Enabled
 |  | Font
 |  | IsControl
 | ro | MouseEntered
 | ro | MouseInClient
 |  | Parent
 |  | PopupMenu
 |  | ShowHint
 |  | Visible
 |  | WindowProc
 |  | DockOrientation
 | ro | Floating
 |  | FloatingDockSiteClass
 |  | HostDockSite
 |  | LRDockWidth
 |  | TBDockHeight
 |  | UndockHeight
 |  | UndockWidth
 |  | BiDiMode
 |  | ParentBiDiMode
pl |  | AnchorSideLeft
pl |  | AnchorSideTop
pl |  | AnchorSideRight
pl |  | AnchorSideBottom
pl |  | Cursor
pl |  | Left
pl |  | Height
pl |  | Hint
pl |  | Top
pl |  | Width
pl |  | HelpType
pl |  | HelpKeyword
pl |  | HelpContext
TLCLComponent
 | ro | LCLRefCount
 | ro | WidgetSetClass
TComponent
 | ro | ComObject
 | ro | Components
 | ro | ComponentCount
 |  | ComponentIndex
 | ro | ComponentState
 | ro | ComponentStyle
 |  | DesignInfo
 | ro | Owner
 |  | VCLComObject
 |  | Name
 |  | Tag
TPersistent
TObject


 |  | AccessibleDescription (TControl)
 |  | AccessibleRole (TControl)
 |  | AccessibleValue (TControl)
 |  | Action (TControl)
pt |  | ActionLink (TControl)
 |  | Align (TControl)
 | ro | AnchoredControls (TControl)
 |  | Anchors (TControl)
 | ro | AnchorSide (TControl)
pl |  | AnchorSideBottom (TControl)
pl |  | AnchorSideLeft (TControl)
pl |  | AnchorSideRight (TControl)
pl |  | AnchorSideTop (TControl)
 |  | AutoSize (TControl)
pt | ro | AutoSizing (TControl)
pt | ro | AutoSizingAll (TControl)
pt | ro | AutoSizingLockCount (TControl)
 | ro | BaseBounds (TControl)
 | ro | BaseParentClientSize (TControl)
 |  | BiDiMode (TControl)
 |  | BorderSpacing (TControl)
pt |  | BorderStyle (TWinControl)
 | ro | BorderStyle (TCustomControl)
 |  | BorderWidth (TWinControl)
 | ro | BoundsLockCount (TWinControl)
 |  | BoundsRect (TControl)
 |  | BoundsRectForNewParent (TControl)
 | ro | Brush (TWinControl)
 | ro | CachedClientHeight (TWinControl)
 | ro | CachedClientWidth (TWinControl)
 |  | Canvas (TCustomControl)
 |  | Caption (TControl)
 |  | CaptureMouseButtons (TControl)
 |  | ChildSizing (TWinControl)
 |  | ClientHeight (TControl)
 | ro | ClientOrigin (TControl)
 | ro | ClientRect (TControl)
 |  | ClientWidth (TControl)
 |  | Color (TControl)
 | ro | ComObject (TComponent)
 | ro | ComponentCount (TComponent)
 |  | ComponentIndex (TComponent)
 | ro | Components (TComponent)
 | ro | ComponentState (TComponent)
 | ro | ComponentStyle (TComponent)
 |  | Constraints (TControl)
 | ro | ControlCount (TWinControl)
 | ro | ControlOrigin (TControl)
 | ro | Controls (TWinControl)
 |  | ControlState (TControl)
 |  | ControlStyle (TControl)
pl |  | Cursor (TControl)
 |  | DefWndProc (TWinControl)
 |  | DesignerDeleting (TWinControl)
 |  | DesignInfo (TComponent)
pt |  | DesktopFont (TControl)
 | ro | DockClientCount (TWinControl)
 | ro | DockClients (TWinControl)
 |  | DockManager (TWinControl)
 |  | DockOrientation (TControl)
 |  | DockSite (TWinControl)
 |  | DoubleBuffered (TWinControl)
pt |  | DragCursor (TControl)
pt |  | DragKind (TControl)
pt |  | DragMode (TControl)
pt |  | DrawStyle (TCDControl)
 |  | Enabled (TControl)
 | ro | Floating (TControl)
 |  | FloatingDockSiteClass (TControl)
 |  | Font (TControl)
 |  | Handle (TWinControl)
pl |  | Height (TControl)
pl |  | HelpContext (TControl)
pl |  | HelpKeyword (TControl)
pl |  | HelpType (TControl)
pl |  | Hint (TControl)
 |  | HostDockSite (TControl)
 |  | IsControl (TControl)
 | ro | IsFlipped (TWinControl)
 | ro | IsResizing (TWinControl)
 | ro | LCLRefCount (TLCLComponent)
pl |  | Left (TControl)
 |  | LRDockWidth (TControl)
pl |  | Max (TCDPositionedControl)
pl |  | Min (TCDPositionedControl)
pt |  | MouseCapture (TControl)
 | ro | MouseEntered (TControl)
 | ro | MouseInClient (TControl)
 |  | Name (TComponent)
 | ro | Owner (TComponent)
pt |  | PageSize (TCDPositionedControl)
 |  | Parent (TControl)
pt |  | ParentBackground (TWinControl)
 |  | ParentBiDiMode (TControl)
pt |  | ParentColor (TControl)
 |  | ParentDoubleBuffered (TWinControl)
pt |  | ParentFont (TControl)
pt |  | ParentShowHint (TControl)
 |  | ParentWindow (TWinControl)
 |  | PopupMenu (TControl)
pl |  | Position (TCDPositionedControl)
 | ro | ReadBounds (TControl)
pt |  | SessionProperties (TControl)
 |  | ShowHint (TControl)
 | ro | Showing (TWinControl)
 |  | TabOrder (TWinControl)
 |  | TabStop (TWinControl)
 |  | Tag (TComponent)
 |  | TBDockHeight (TControl)
pt |  | Text (TControl)
pl |  | Top (TControl)
 |  | UndockHeight (TControl)
 |  | UndockWidth (TControl)
 |  | UseDockManager (TWinControl)
 |  | VCLComObject (TComponent)
 |  | Visible (TControl)
 | ro | VisibleDockClientCount (TWinControl)
 | ro | WidgetSetClass (TLCLComponent)
pl |  | Width (TControl)
pt |  | WindowHandle (TWinControl)
 |  | WindowProc (TControl)


TCDPositionedControl
pt | GetPositionFromMousePosWithMargins
pt | GetPositionFromMousePos
pt | GetPositionDisplacementWithMargins
pt | GetPositionDisplacement
pt | GetButtonFromMousePos
pt | CreateControlStateEx
pt | PrepareControlStateEx
pt | KeyDown
pt | MouseDown
pt | MouseMove
pt | MouseUp
 | Create
 | Destroy
TCDControl
pt | CalculatePreferredSize
pt | SetState
pt | PrepareCurrentDrawer
pt | SetDrawStyle
pt | GetClientRect
pt | GetControlId
pt | CreateControlStateEx
pt | PrepareControlState
pt | PrepareControlStateEx
pt | DoEnter
pt | DoExit
pt | MouseEnter
pt | MouseLeave
pt | MouseDown
 | Create
 | Destroy
 | LCLWSCalculatePreferredSize
 | EraseBackground
 | Paint
 | DrawToCanvas
TCustomControl
pt | WSRegisterClass
pt | WMPaint
pt | DestroyWnd
pt | PaintWindow
pt | FontChanged
pt | SetColor
pt | Paint
 | Create
 | Destroy
TWinControl
pt | WSRegisterClass
pt | AdjustClientRect
pt | GetAdjustedLogicalClientRect
pt | AlignControls
pt | CustomAlignInsertBefore
pt | CustomAlignPosition
pt | DoAlignChildControls
pt | DoChildSizingChange
pt | InvalidatePreferredChildSizes
pt | CanTab
pt | IsClientHeightStored
pt | IsClientWidthStored
pt | DoSendShowHideToInterface
pt | ControlsAligned
pt | DoSendBoundsToInterface
pt | RealizeBounds
pt | RealizeBoundsRecursive
pt | InvalidateBoundsRealized
pt | CreateSubClass
pt | DoConstraintsChange
pt | DoSetBounds
pt | DoAutoSize
pt | DoAllAutoSize
pt | AllAutoSized
pt | CalculatePreferredSize
pt | GetPreferredSizeClientFrame
pt | GetChildren
pt | ChildClassAllowed
pt | PaintControls
pt | PaintHandler
pt | PaintWindow
pt | CreateBrush
pt | ScaleControls
pt | ChangeScale
pt | CMBiDiModeChanged
pt | CMBorderChanged
pt | CMDoubleBufferedChanged
pt | CMEnabledChanged
pt | CMParentDoubleBufferedChanged
pt | CMShowingChanged
pt | CMShowHintChanged
pt | CMVisibleChanged
pt | CMEnter
pt | CMExit
pt | WMContextMenu
pt | WMEraseBkgnd
pt | WMNotify
pt | WMSetFocus
pt | WMKillFocus
pt | WMShowWindow
pt | WMEnter
pt | WMExit
pt | WMKeyDown
pt | WMSysKeyDown
pt | WMKeyUp
pt | WMSysKeyUp
pt | WMChar
pt | WMSysChar
pt | WMPaint
pt | WMDestroy
pt | WMMove
pt | WMSize
pt | WMWindowPosChanged
pt | CNKeyDown
pt | CNSysKeyDown
pt | CNKeyUp
pt | CNSysKeyUp
pt | CNChar
pt | DoDragMsg
pt | DoDockClientMsg
pt | DoUndockClientMsg
pt | DoAddDockClient
pt | DockOver
pt | DoDockOver
pt | DoRemoveDockClient
pt | DoUnDock
pt | GetSiteInfo
pt | GetParentHandle
pt | GetTopParentHandle
pt | ReloadDockedControl
pt | CreateDockManager
pt | SetDockManager
pt | DoFloatMsg
pt | DoGetDockCaption
pt | DoEnter
pt | DoExit
pt | DoKeyDownBeforeInterface
pt | DoRemainingKeyDown
pt | DoRemainingKeyUp
pt | DoKeyPress
pt | DoUTF8KeyPress
pt | DoKeyUpBeforeInterface
pt | ChildKey
pt | SendDialogChar
pt | DialogChar
pt | ControlKeyDown
pt | ControlKeyUp
pt | KeyDown
pt | KeyDownBeforeInterface
pt | KeyDownAfterInterface
pt | KeyPress
pt | KeyUp
pt | KeyUpBeforeInterface
pt | KeyUpAfterInterface
pt | UTF8KeyPress
pt | FindNextControl
pt | SelectFirst
pt | RealGetText
pt | GetBorderStyle
pt | GetClientOrigin
pt | GetClientRect
pt | GetControlOrigin
pt | GetDeviceContext
pt | GetParentBackground
pt | IsControlMouseMsg
pt | CreateHandle
pt | CreateParams
pt | CreateWnd
pt | DestroyHandle
pt | DestroyWnd
pt | DoFlipChildren
pt | FinalizeWnd
pt | FixupTabList
pt | FontChanged
pt | InitializeWnd
pt | Loaded
pt | FormEndUpdated
pt | MainWndProc
pt | ParentFormHandleInitialized
pt | ChildHandlesCreated
pt | GetMouseCapture
pt | RealSetText
pt | RemoveFocus
pt | SendMoveSizeMessages
pt | SetBorderStyle
pt | SetColor
pt | SetChildZPosition
pt | SetParentBackground
pt | ShowControl
pt | UpdateControlState
pt | UpdateShowing
pt | WndProc
pt | WSSetText
 | AutoSizePhases
 | AutoSizeDelayed
 | AutoSizeDelayedReport
 | AutoSizeDelayedHandle
 | BeginUpdateBounds
 | EndUpdateBounds
 | LockRealizeBounds
 | UnlockRealizeBounds
 | ControlAtPos
 | ContainsControl
 | DoAdjustClientRectChange
 | InvalidateClientRectCache
 | ClientRectNeedsInterfaceUpdate
 | SetBounds
 | GetChildrenRect
 | DisableAlign
 | EnableAlign
 | ReAlign
 | ScrollBy_WS
 | ScrollBy
 | WriteLayoutDebugReport
 | AutoAdjustLayout
 | Create
 | CreateParented
 | CreateParentedControl
 | Destroy
 | DockDrop
 | CanFocus
 | CanSetFocus
 | GetControlIndex
 | SetControlIndex
 | Focused
 | PerformTab
 | FindChildControl
 | SelectNext
 | SetTempCursor
 | BroadCast
 | NotifyControls
 | DefaultHandler
 | GetTextLen
 | Invalidate
 | AddControl
 | InsertControl
 | RemoveControl
 | GetEnumeratorControls
 | GetEnumeratorControlsReverse
 | Repaint
 | Update
 | SetFocus
 | FlipChildren
 | ScaleBy
 | GetDockCaption
 | UpdateDockCaption
 | GetTabOrderList
 | HandleAllocated
 | ParentHandlesAllocated
 | HandleNeeded
 | BrushCreated
 | EraseBackground
 | IntfUTF8KeyPress
 | IntfGetDropFilesTarget
 | PaintTo
 | SetShape
TControl
pt | WSRegisterClass
pt | GetCursor
pt | SetCursor
pt | SetVisible
pt | DoOnParentHandleDestruction
pt | DoAutoSize
pt | DoAllAutoSize
pt | BeginAutoSizing
pt | EndAutoSizing
pt | AnchorSideChanged
pt | ForeignAnchorSideChanged
pt | SetAlign
pt | SetAnchors
pt | SetAutoSize
pt | BoundsChanged
pt | CreateControlBorderSpacing
pt | DoConstraintsChange
pt | DoBorderSpacingChange
pt | IsBorderSpacingInnerBorderStored
pt | IsCaptionStored
pt | SendMoveSizeMessages
pt | ConstrainedResize
pt | CalculatePreferredSize
pt | DoOnResize
pt | DoOnChangeBounds
pt | CheckOnChangeBounds
pt | Resize
pt | RequestAlign
pt | UpdateAnchorRules
pt | ChangeBounds
pt | DoSetBounds
pt | ScaleConstraints
pt | ChangeScale
pt | CanAutoSize
pt | SetBiDiMode
pt | SetParentBiDiMode
pt | IsAParentAligning
pt | GetClientOrigin
pt | GetClientRect
pt | GetLogicalClientRect
pt | GetScrolledClientRect
pt | GetClientScrollOffset
pt | GetControlOrigin
pt | IsClientHeightStored
pt | IsClientWidthStored
pt | WidthIsAnchored
pt | HeightIsAnchored
pt | WMCancelMode
pt | WMContextMenu
pt | WMLButtonDown
pt | WMRButtonDown
pt | WMMButtonDown
pt | WMXButtonDown
pt | WMLButtonDBLCLK
pt | WMRButtonDBLCLK
pt | WMMButtonDBLCLK
pt | WMXButtonDBLCLK
pt | WMLButtonTripleCLK
pt | WMRButtonTripleCLK
pt | WMMButtonTripleCLK
pt | WMXButtonTripleCLK
pt | WMLButtonQuadCLK
pt | WMRButtonQuadCLK
pt | WMMButtonQuadCLK
pt | WMXButtonQuadCLK
pt | WMMouseMove
pt | WMLButtonUp
pt | WMRButtonUp
pt | WMMButtonUp
pt | WMXButtonUp
pt | WMMouseWheel
pt | WMMouseHWheel
pt | WMMove
pt | WMSize
pt | WMWindowPosChanged
pt | CMChanged
pt | LMCaptureChanged
pt | CMBiDiModeChanged
pt | CMSysFontChanged
pt | CMEnabledChanged
pt | CMHitTest
pt | CMMouseEnter
pt | CMMouseLeave
pt | CMHintShow
pt | CMParentBiDiModeChanged
pt | CMParentColorChanged
pt | CMParentFontChanged
pt | CMParentShowHintChanged
pt | CMVisibleChanged
pt | CMTextChanged
pt | CMCursorChanged
pt | CalculateDockSizes
pt | CreateFloatingDockSite
pt | GetDockEdge
pt | GetDragImages
pt | GetFloating
pt | GetFloatingDockSiteClass
pt | BeforeDragStart
pt | BeginAutoDrag
pt | DoFloatMsg
pt | DockTrackNoTarget
pt | DoDock
pt | DoDragMsg
pt | DoEndDock
pt | DoEndDrag
pt | DoStartDock
pt | DoStartDrag
pt | DragCanceled
pt | DragOver
pt | PositionDockRect
pt | SetDragMode
pt | GetDefaultDockCaption
pt | Click
pt | DblClick
pt | TripleClick
pt | QuadClick
pt | GetMousePosFromMessage
pt | MouseDown
pt | MouseMove
pt | MouseUp
pt | MouseEnter
pt | MouseLeave
pt | DialogChar
pt | UpdateMouseCursor
pt | Changed
pt | GetPalette
pt | ChildClassAllowed
pt | ReadState
pt | Loaded
pt | LoadedAll
pt | DefineProperties
pt | AssignTo
pt | FormEndUpdated
pt | InvalidateControl
pt | FontChanged
pt | ParentFontChanged
pt | GetAction
pt | RealGetText
pt | RealSetText
pt | TextChanged
pt | GetCachedText
pt | SetAction
pt | SetColor
pt | SetEnabled
pt | SetHint
pt | SetName
pt | SetParent
pt | SetParentComponent
pt | WndProc
pt | ParentFormHandleInitialized
pt | GetMouseCapture
pt | CaptureChanged
pt | Notification
pt | CanTab
pt | GetDeviceContext
pt | GetEnabled
pt | GetPopupMenu
pt | DoOnShowHint
pt | DoMouseWheel
pt | DoMouseWheelDown
pt | DoMouseWheelUp
pt | DoMouseWheelHorz
pt | DoMouseWheelLeft
pt | DoMouseWheelRight
pt | VisibleChanging
pt | VisibleChanged
pt | EnabledChanging
pt | EnabledChanged
pt | AddHandler
pt | RemoveHandler
pt | DoCallNotifyHandler
pt | DoCallKeyEventHandler
pt | DoCallMouseWheelEventHandler
pt | DoContextPopup
pt | SetZOrder
pt | GetControlClassDefaultSize
pt | ColorIsStored
pt | DoAutoAdjustLayout
pt | DoFixDesignFontPPI
pt | DoScaleFontPPI
pt | GetActionLinkClass
pt | ActionChange
 | DragDrop
 | Dock
 | ManualDock
 | ManualFloat
 | ReplaceDockedControl
 | Docked
 | Dragging
 | GetAccessibleObject
 | CreateAccessibleObject
 | GetSelectedChildAccessibleObject
 | GetChildAccessibleObjectAtPos
 | ScaleDesignToForm
 | ScaleFormToDesign
 | Scale96ToForm
 | ScaleFormTo96
 | Scale96ToFont
 | ScaleFontTo96
 | ScaleScreenToFont
 | ScaleFontToScreen
 | Scale96ToScreen
 | ScaleScreenTo96
 | AdjustSize
 | AutoSizePhases
 | AutoSizeDelayed
 | AutoSizeDelayedReport
 | AutoSizeDelayedHandle
 | AnchorToNeighbour
 | AnchorParallel
 | AnchorHorizontalCenterTo
 | AnchorVerticalCenterTo
 | AnchorToCompanion
 | AnchorSame
 | AnchorAsAlign
 | AnchorClient
 | AnchoredControlCount
 | SetBounds
 | SetInitialBounds
 | SetBoundsKeepBase
 | GetPreferredSize
 | GetCanvasScaleFactor
 | GetDefaultWidth
 | GetDefaultHeight
 | GetDefaultColor
 | GetColorResolvingParent
 | GetRGBColorResolvingParent
 | GetSidePosition
 | CNPreferredSizeChanged
 | InvalidatePreferredSize
 | GetAnchorsDependingOnParent
 | DisableAutoSizing
 | EnableAutoSizing
 | UpdateBaseBounds
 | WriteLayoutDebugReport
 | AutoAdjustLayout
 | ShouldAutoAdjust
 | FixDesignFontsPPI
 | ScaleFontsPPI
 | Create
 | Destroy
 | BeforeDestruction
 | EditingDone
 | ExecuteDefaultAction
 | ExecuteCancelAction
 | BeginDrag
 | EndDrag
 | BringToFront
 | HasParent
 | GetParentComponent
 | IsParentOf
 | GetTopParent
 | IsVisible
 | IsControlVisible
 | IsEnabled
 | IsParentColor
 | IsParentFont
 | FormIsUpdating
 | IsProcessingPaintMsg
 | Hide
 | Refresh
 | Repaint
 | Invalidate
 | CheckChildClassAllowed
 | CheckNewParent
 | SendToBack
 | SetTempCursor
 | UpdateRolesForForm
 | ActiveDefaultControlChanged
 | GetTextBuf
 | GetTextLen
 | SetTextBuf
 | Perform
 | ScreenToClient
 | ClientToScreen
 | ScreenToControl
 | ControlToScreen
 | ClientToParent
 | ParentToClient
 | GetChildrenRect
 | Show
 | Update
 | HandleObjectShouldBeVisible
 | ParentDestroyingHandle
 | ParentHandlesAllocated
 | InitiateAction
 | ShowHelp
 | HasHelp
 | RemoveAllHandlersOfObject
 | AddHandlerOnResize
 | RemoveHandlerOnResize
 | AddHandlerOnChangeBounds
 | RemoveHandlerOnChangeBounds
 | AddHandlerOnVisibleChanging
 | RemoveHandlerOnVisibleChanging
 | AddHandlerOnVisibleChanged
 | RemoveHandlerOnVisibleChanged
 | AddHandlerOnEnabledChanged
 | RemoveHandlerOnEnableChanging
 | AddHandlerOnKeyDown
 | RemoveHandlerOnKeyDown
 | AddHandlerOnBeforeDestruction
 | RemoveHandlerOnBeforeDestruction
 | AddHandlerOnMouseWheel
 | RemoveHandlerOnMouseWheel
 | UseRightToLeftAlignment
 | UseRightToLeftReading
 | UseRightToLeftScrollBar
 | IsRightToLeft
TLCLComponent
pt | WSRegisterClass
pt | GetWSComponentClass
 | Create
 | Destroy
 | NewInstance
 | RemoveAllHandlersOfObject
 | IncLCLRefCount
 | DecLCLRefCount
TComponent
 | GetComObject
 | GetComponent
 | GetComponentCount
 | GetComponentIndex
 | Insert
 | ReadLeft
 | ReadTop
 | Remove
 | RemoveNotification
 | SetComponentIndex
 | SetReference
 | WriteLeft
 | WriteTop
 | ChangeName
 | DefineProperties
 | GetChildren
 | GetChildOwner
 | GetChildParent
 | GetOwner
 | Loaded
 | Loading
 | Notification
 | PaletteCreated
 | ReadState
 | SetAncestor
 | SetDesigning
 | SetDesignInstance
 | SetInline
 | SetName
 | SetChildOrder
 | SetParentComponent
 | Updating
 | Updated
 | UpdateRegistry
 | ValidateRename
 | ValidateContainer
 | ValidateInsert
 | QueryInterface
 | _AddRef
 | _Release
 | iicrGetComponent
 | GetTypeInfoCount
 | GetTypeInfo
 | GetIDsOfNames
 | Invoke
 | WriteState
 | Create
 | Destroy
 | BeforeDestruction
 | DestroyComponents
 | Destroying
 | ExecuteAction
 | FindComponent
 | FreeNotification
 | RemoveFreeNotification
 | FreeOnRelease
 | GetEnumerator
 | GetNamePath
 | GetParentComponent
 | HasParent
 | InsertComponent
 | RemoveComponent
 | SafeCallException
 | SetSubComponent
 | UpdateAction
 | IsImplementorOf
 | ReferenceInterface
TPersistent
 | AssignError
 | AssignTo
 | DefineProperties
 | GetOwner
 | Destroy
 | Assign
 | FPOAttachObserver
 | FPODetachObserver
 | FPONotifyObservers
 | GetNamePath
TObject
 | Create
 | Destroy
 | newinstance
 | FreeInstance
 | SafeCallException
 | DefaultHandler
 | Free
 | InitInstance
 | CleanupInstance
 | ClassType
 | ClassInfo
 | ClassName
 | ClassNameIs
 | ClassParent
 | InstanceSize
 | InheritsFrom
 | StringMessageTable
 | MethodAddress
 | MethodName
 | FieldAddress
 | AfterConstruction
 | BeforeDestruction
 | DefaultHandlerStr
 | Dispatch
 | DispatchStr
 | GetInterface
 | GetInterfaceByStr
 | GetInterfaceWeak
 | GetInterfaceEntry
 | GetInterfaceEntryByStr
 | GetInterfaceTable
 | UnitName
 | Equals
 | GetHashCode
 | ToString


pt | ActionChange (TControl)
 | ActiveDefaultControlChanged (TControl)
 | AddControl (TWinControl)
pt | AddHandler (TControl)
 | AddHandlerOnBeforeDestruction (TControl)
 | AddHandlerOnChangeBounds (TControl)
 | AddHandlerOnEnabledChanged (TControl)
 | AddHandlerOnKeyDown (TControl)
 | AddHandlerOnMouseWheel (TControl)
 | AddHandlerOnResize (TControl)
 | AddHandlerOnVisibleChanged (TControl)
 | AddHandlerOnVisibleChanging (TControl)
pt | AdjustClientRect (TWinControl)
 | AdjustSize (TControl)
 | AfterConstruction (TObject)
pt | AlignControls (TWinControl)
pt | AllAutoSized (TWinControl)
 | AnchorAsAlign (TControl)
 | AnchorClient (TControl)
 | AnchoredControlCount (TControl)
 | AnchorHorizontalCenterTo (TControl)
 | AnchorParallel (TControl)
 | AnchorSame (TControl)
pt | AnchorSideChanged (TControl)
 | AnchorToCompanion (TControl)
 | AnchorToNeighbour (TControl)
 | AnchorVerticalCenterTo (TControl)
 | Assign (TPersistent)
 | AssignError (TPersistent)
 | AssignTo (TPersistent)
pt | AssignTo (TControl)
 | AutoAdjustLayout (TControl)
 | AutoAdjustLayout (TWinControl)
 | AutoSizeDelayed (TControl)
 | AutoSizeDelayed (TWinControl)
 | AutoSizeDelayedHandle (TControl)
 | AutoSizeDelayedHandle (TWinControl)
 | AutoSizeDelayedReport (TControl)
 | AutoSizeDelayedReport (TWinControl)
 | AutoSizePhases (TControl)
 | AutoSizePhases (TWinControl)
 | BeforeDestruction (TObject)
 | BeforeDestruction (TComponent)
 | BeforeDestruction (TControl)
pt | BeforeDragStart (TControl)
pt | BeginAutoDrag (TControl)
pt | BeginAutoSizing (TControl)
 | BeginDrag (TControl)
 | BeginUpdateBounds (TWinControl)
pt | BoundsChanged (TControl)
 | BringToFront (TControl)
 | BroadCast (TWinControl)
 | BrushCreated (TWinControl)
pt | CalculateDockSizes (TControl)
pt | CalculatePreferredSize (TControl)
pt | CalculatePreferredSize (TWinControl)
pt | CalculatePreferredSize (TCDControl)
pt | CanAutoSize (TControl)
 | CanFocus (TWinControl)
 | CanSetFocus (TWinControl)
pt | CanTab (TControl)
pt | CanTab (TWinControl)
pt | CaptureChanged (TControl)
pt | ChangeBounds (TControl)
pt | Changed (TControl)
 | ChangeName (TComponent)
pt | ChangeScale (TControl)
pt | ChangeScale (TWinControl)
 | CheckChildClassAllowed (TControl)
 | CheckNewParent (TControl)
pt | CheckOnChangeBounds (TControl)
pt | ChildClassAllowed (TControl)
pt | ChildClassAllowed (TWinControl)
pt | ChildHandlesCreated (TWinControl)
pt | ChildKey (TWinControl)
 | ClassInfo (TObject)
 | ClassName (TObject)
 | ClassNameIs (TObject)
 | ClassParent (TObject)
 | ClassType (TObject)
 | CleanupInstance (TObject)
pt | Click (TControl)
 | ClientRectNeedsInterfaceUpdate (TWinControl)
 | ClientToParent (TControl)
 | ClientToScreen (TControl)
pt | CMBiDiModeChanged (TControl)
pt | CMBiDiModeChanged (TWinControl)
pt | CMBorderChanged (TWinControl)
pt | CMChanged (TControl)
pt | CMCursorChanged (TControl)
pt | CMDoubleBufferedChanged (TWinControl)
pt | CMEnabledChanged (TControl)
pt | CMEnabledChanged (TWinControl)
pt | CMEnter (TWinControl)
pt | CMExit (TWinControl)
pt | CMHintShow (TControl)
pt | CMHitTest (TControl)
pt | CMMouseEnter (TControl)
pt | CMMouseLeave (TControl)
pt | CMParentBiDiModeChanged (TControl)
pt | CMParentColorChanged (TControl)
pt | CMParentDoubleBufferedChanged (TWinControl)
pt | CMParentFontChanged (TControl)
pt | CMParentShowHintChanged (TControl)
pt | CMShowHintChanged (TWinControl)
pt | CMShowingChanged (TWinControl)
pt | CMSysFontChanged (TControl)
pt | CMTextChanged (TControl)
pt | CMVisibleChanged (TControl)
pt | CMVisibleChanged (TWinControl)
pt | CNChar (TWinControl)
pt | CNKeyDown (TWinControl)
pt | CNKeyUp (TWinControl)
 | CNPreferredSizeChanged (TControl)
pt | CNSysKeyDown (TWinControl)
pt | CNSysKeyUp (TWinControl)
pt | ColorIsStored (TControl)
pt | ConstrainedResize (TControl)
 | ContainsControl (TWinControl)
 | ControlAtPos (TWinControl)
pt | ControlKeyDown (TWinControl)
pt | ControlKeyUp (TWinControl)
pt | ControlsAligned (TWinControl)
 | ControlToScreen (TControl)
 | Create (TObject)
 | Create (TComponent)
 | Create (TLCLComponent)
 | Create (TControl)
 | Create (TWinControl)
 | Create (TCustomControl)
 | Create (TCDControl)
 | Create (TCDPositionedControl)
 | CreateAccessibleObject (TControl)
pt | CreateBrush (TWinControl)
pt | CreateControlBorderSpacing (TControl)
pt | CreateControlStateEx (TCDControl)
pt | CreateControlStateEx (TCDPositionedControl)
pt | CreateDockManager (TWinControl)
pt | CreateFloatingDockSite (TControl)
pt | CreateHandle (TWinControl)
pt | CreateParams (TWinControl)
 | CreateParented (TWinControl)
 | CreateParentedControl (TWinControl)
pt | CreateSubClass (TWinControl)
pt | CreateWnd (TWinControl)
pt | CustomAlignInsertBefore (TWinControl)
pt | CustomAlignPosition (TWinControl)
pt | DblClick (TControl)
 | DecLCLRefCount (TLCLComponent)
 | DefaultHandler (TObject)
 | DefaultHandler (TWinControl)
 | DefaultHandlerStr (TObject)
 | DefineProperties (TPersistent)
 | DefineProperties (TComponent)
pt | DefineProperties (TControl)
 | Destroy (TObject)
 | Destroy (TPersistent)
 | Destroy (TComponent)
 | Destroy (TLCLComponent)
 | Destroy (TControl)
 | Destroy (TWinControl)
 | Destroy (TCustomControl)
 | Destroy (TCDControl)
 | Destroy (TCDPositionedControl)
 | DestroyComponents (TComponent)
pt | DestroyHandle (TWinControl)
 | Destroying (TComponent)
pt | DestroyWnd (TWinControl)
pt | DestroyWnd (TCustomControl)
pt | DialogChar (TControl)
pt | DialogChar (TWinControl)
 | DisableAlign (TWinControl)
 | DisableAutoSizing (TControl)
 | Dispatch (TObject)
 | DispatchStr (TObject)
pt | DoAddDockClient (TWinControl)
 | DoAdjustClientRectChange (TWinControl)
pt | DoAlignChildControls (TWinControl)
pt | DoAllAutoSize (TControl)
pt | DoAllAutoSize (TWinControl)
pt | DoAutoAdjustLayout (TControl)
pt | DoAutoSize (TControl)
pt | DoAutoSize (TWinControl)
pt | DoBorderSpacingChange (TControl)
pt | DoCallKeyEventHandler (TControl)
pt | DoCallMouseWheelEventHandler (TControl)
pt | DoCallNotifyHandler (TControl)
pt | DoChildSizingChange (TWinControl)
 | Dock (TControl)
 | DockDrop (TWinControl)
 | Docked (TControl)
pt | DockOver (TWinControl)
pt | DockTrackNoTarget (TControl)
pt | DoConstraintsChange (TControl)
pt | DoConstraintsChange (TWinControl)
pt | DoContextPopup (TControl)
pt | DoDock (TControl)
pt | DoDockClientMsg (TWinControl)
pt | DoDockOver (TWinControl)
pt | DoDragMsg (TControl)
pt | DoDragMsg (TWinControl)
pt | DoEndDock (TControl)
pt | DoEndDrag (TControl)
pt | DoEnter (TWinControl)
pt | DoEnter (TCDControl)
pt | DoExit (TWinControl)
pt | DoExit (TCDControl)
pt | DoFixDesignFontPPI (TControl)
pt | DoFlipChildren (TWinControl)
pt | DoFloatMsg (TControl)
pt | DoFloatMsg (TWinControl)
pt | DoGetDockCaption (TWinControl)
pt | DoKeyDownBeforeInterface (TWinControl)
pt | DoKeyPress (TWinControl)
pt | DoKeyUpBeforeInterface (TWinControl)
pt | DoMouseWheel (TControl)
pt | DoMouseWheelDown (TControl)
pt | DoMouseWheelHorz (TControl)
pt | DoMouseWheelLeft (TControl)
pt | DoMouseWheelRight (TControl)
pt | DoMouseWheelUp (TControl)
pt | DoOnChangeBounds (TControl)
pt | DoOnParentHandleDestruction (TControl)
pt | DoOnResize (TControl)
pt | DoOnShowHint (TControl)
pt | DoRemainingKeyDown (TWinControl)
pt | DoRemainingKeyUp (TWinControl)
pt | DoRemoveDockClient (TWinControl)
pt | DoScaleFontPPI (TControl)
pt | DoSendBoundsToInterface (TWinControl)
pt | DoSendShowHideToInterface (TWinControl)
pt | DoSetBounds (TControl)
pt | DoSetBounds (TWinControl)
pt | DoStartDock (TControl)
pt | DoStartDrag (TControl)
pt | DoUnDock (TWinControl)
pt | DoUndockClientMsg (TWinControl)
pt | DoUTF8KeyPress (TWinControl)
pt | DragCanceled (TControl)
 | DragDrop (TControl)
 | Dragging (TControl)
pt | DragOver (TControl)
 | DrawToCanvas (TCDControl)
 | EditingDone (TControl)
 | EnableAlign (TWinControl)
 | EnableAutoSizing (TControl)
pt | EnabledChanged (TControl)
pt | EnabledChanging (TControl)
pt | EndAutoSizing (TControl)
 | EndDrag (TControl)
 | EndUpdateBounds (TWinControl)
 | Equals (TObject)
 | EraseBackground (TWinControl)
 | EraseBackground (TCDControl)
 | ExecuteAction (TComponent)
 | ExecuteCancelAction (TControl)
 | ExecuteDefaultAction (TControl)
 | FieldAddress (TObject)
pt | FinalizeWnd (TWinControl)
 | FindChildControl (TWinControl)
 | FindComponent (TComponent)
pt | FindNextControl (TWinControl)
 | FixDesignFontsPPI (TControl)
pt | FixupTabList (TWinControl)
 | FlipChildren (TWinControl)
 | Focused (TWinControl)
pt | FontChanged (TControl)
pt | FontChanged (TWinControl)
pt | FontChanged (TCustomControl)
pt | ForeignAnchorSideChanged (TControl)
pt | FormEndUpdated (TControl)
pt | FormEndUpdated (TWinControl)
 | FormIsUpdating (TControl)
 | FPOAttachObserver (TPersistent)
 | FPODetachObserver (TPersistent)
 | FPONotifyObservers (TPersistent)
 | Free (TObject)
 | FreeInstance (TObject)
 | FreeNotification (TComponent)
 | FreeOnRelease (TComponent)
 | GetAccessibleObject (TControl)
pt | GetAction (TControl)
pt | GetActionLinkClass (TControl)
pt | GetAdjustedLogicalClientRect (TWinControl)
 | GetAnchorsDependingOnParent (TControl)
pt | GetBorderStyle (TWinControl)
pt | GetButtonFromMousePos (TCDPositionedControl)
pt | GetCachedText (TControl)
 | GetCanvasScaleFactor (TControl)
 | GetChildAccessibleObjectAtPos (TControl)
 | GetChildOwner (TComponent)
 | GetChildParent (TComponent)
 | GetChildren (TComponent)
pt | GetChildren (TWinControl)
 | GetChildrenRect (TControl)
 | GetChildrenRect (TWinControl)
pt | GetClientOrigin (TControl)
pt | GetClientOrigin (TWinControl)
pt | GetClientRect (TControl)
pt | GetClientRect (TWinControl)
pt | GetClientRect (TCDControl)
pt | GetClientScrollOffset (TControl)
 | GetColorResolvingParent (TControl)
 | GetComObject (TComponent)
 | GetComponent (TComponent)
 | GetComponentCount (TComponent)
 | GetComponentIndex (TComponent)
pt | GetControlClassDefaultSize (TControl)
pt | GetControlId (TCDControl)
 | GetControlIndex (TWinControl)
pt | GetControlOrigin (TControl)
pt | GetControlOrigin (TWinControl)
pt | GetCursor (TControl)
 | GetDefaultColor (TControl)
pt | GetDefaultDockCaption (TControl)
 | GetDefaultHeight (TControl)
 | GetDefaultWidth (TControl)
pt | GetDeviceContext (TControl)
pt | GetDeviceContext (TWinControl)
 | GetDockCaption (TWinControl)
pt | GetDockEdge (TControl)
pt | GetDragImages (TControl)
pt | GetEnabled (TControl)
 | GetEnumerator (TComponent)
 | GetEnumeratorControls (TWinControl)
 | GetEnumeratorControlsReverse (TWinControl)
pt | GetFloating (TControl)
pt | GetFloatingDockSiteClass (TControl)
 | GetHashCode (TObject)
 | GetIDsOfNames (TComponent)
 | GetInterface (TObject)
 | GetInterfaceByStr (TObject)
 | GetInterfaceEntry (TObject)
 | GetInterfaceEntryByStr (TObject)
 | GetInterfaceTable (TObject)
 | GetInterfaceWeak (TObject)
pt | GetLogicalClientRect (TControl)
pt | GetMouseCapture (TControl)
pt | GetMouseCapture (TWinControl)
pt | GetMousePosFromMessage (TControl)
 | GetNamePath (TPersistent)
 | GetNamePath (TComponent)
 | GetOwner (TPersistent)
 | GetOwner (TComponent)
pt | GetPalette (TControl)
pt | GetParentBackground (TWinControl)
 | GetParentComponent (TComponent)
 | GetParentComponent (TControl)
pt | GetParentHandle (TWinControl)
pt | GetPopupMenu (TControl)
pt | GetPositionDisplacement (TCDPositionedControl)
pt | GetPositionDisplacementWithMargins (TCDPositionedControl)
pt | GetPositionFromMousePos (TCDPositionedControl)
pt | GetPositionFromMousePosWithMargins (TCDPositionedControl)
 | GetPreferredSize (TControl)
pt | GetPreferredSizeClientFrame (TWinControl)
 | GetRGBColorResolvingParent (TControl)
pt | GetScrolledClientRect (TControl)
 | GetSelectedChildAccessibleObject (TControl)
 | GetSidePosition (TControl)
pt | GetSiteInfo (TWinControl)
 | GetTabOrderList (TWinControl)
 | GetTextBuf (TControl)
 | GetTextLen (TControl)
 | GetTextLen (TWinControl)
 | GetTopParent (TControl)
pt | GetTopParentHandle (TWinControl)
 | GetTypeInfo (TComponent)
 | GetTypeInfoCount (TComponent)
pt | GetWSComponentClass (TLCLComponent)
 | HandleAllocated (TWinControl)
 | HandleNeeded (TWinControl)
 | HandleObjectShouldBeVisible (TControl)
 | HasHelp (TControl)
 | HasParent (TComponent)
 | HasParent (TControl)
pt | HeightIsAnchored (TControl)
 | Hide (TControl)
 | iicrGetComponent (TComponent)
 | IncLCLRefCount (TLCLComponent)
 | InheritsFrom (TObject)
pt | InitializeWnd (TWinControl)
 | InitiateAction (TControl)
 | InitInstance (TObject)
 | Insert (TComponent)
 | InsertComponent (TComponent)
 | InsertControl (TWinControl)
 | InstanceSize (TObject)
 | IntfGetDropFilesTarget (TWinControl)
 | IntfUTF8KeyPress (TWinControl)
 | Invalidate (TControl)
 | Invalidate (TWinControl)
pt | InvalidateBoundsRealized (TWinControl)
 | InvalidateClientRectCache (TWinControl)
pt | InvalidateControl (TControl)
pt | InvalidatePreferredChildSizes (TWinControl)
 | InvalidatePreferredSize (TControl)
 | Invoke (TComponent)
pt | IsAParentAligning (TControl)
pt | IsBorderSpacingInnerBorderStored (TControl)
pt | IsCaptionStored (TControl)
pt | IsClientHeightStored (TControl)
pt | IsClientHeightStored (TWinControl)
pt | IsClientWidthStored (TControl)
pt | IsClientWidthStored (TWinControl)
pt | IsControlMouseMsg (TWinControl)
 | IsControlVisible (TControl)
 | IsEnabled (TControl)
 | IsImplementorOf (TComponent)
 | IsParentColor (TControl)
 | IsParentFont (TControl)
 | IsParentOf (TControl)
 | IsProcessingPaintMsg (TControl)
 | IsRightToLeft (TControl)
 | IsVisible (TControl)
pt | KeyDown (TWinControl)
pt | KeyDown (TCDPositionedControl)
pt | KeyDownAfterInterface (TWinControl)
pt | KeyDownBeforeInterface (TWinControl)
pt | KeyPress (TWinControl)
pt | KeyUp (TWinControl)
pt | KeyUpAfterInterface (TWinControl)
pt | KeyUpBeforeInterface (TWinControl)
 | LCLWSCalculatePreferredSize (TCDControl)
pt | LMCaptureChanged (TControl)
 | Loaded (TComponent)
pt | Loaded (TControl)
pt | Loaded (TWinControl)
pt | LoadedAll (TControl)
 | Loading (TComponent)
 | LockRealizeBounds (TWinControl)
pt | MainWndProc (TWinControl)
 | ManualDock (TControl)
 | ManualFloat (TControl)
 | MethodAddress (TObject)
 | MethodName (TObject)
pt | MouseDown (TControl)
pt | MouseDown (TCDControl)
pt | MouseDown (TCDPositionedControl)
pt | MouseEnter (TControl)
pt | MouseEnter (TCDControl)
pt | MouseLeave (TControl)
pt | MouseLeave (TCDControl)
pt | MouseMove (TControl)
pt | MouseMove (TCDPositionedControl)
pt | MouseUp (TControl)
pt | MouseUp (TCDPositionedControl)
 | newinstance (TObject)
 | NewInstance (TLCLComponent)
 | Notification (TComponent)
pt | Notification (TControl)
 | NotifyControls (TWinControl)
pt | Paint (TCustomControl)
 | Paint (TCDControl)
pt | PaintControls (TWinControl)
pt | PaintHandler (TWinControl)
 | PaintTo (TWinControl)
pt | PaintWindow (TWinControl)
pt | PaintWindow (TCustomControl)
 | PaletteCreated (TComponent)
 | ParentDestroyingHandle (TControl)
pt | ParentFontChanged (TControl)
pt | ParentFormHandleInitialized (TControl)
pt | ParentFormHandleInitialized (TWinControl)
 | ParentHandlesAllocated (TControl)
 | ParentHandlesAllocated (TWinControl)
 | ParentToClient (TControl)
 | Perform (TControl)
 | PerformTab (TWinControl)
pt | PositionDockRect (TControl)
pt | PrepareControlState (TCDControl)
pt | PrepareControlStateEx (TCDControl)
pt | PrepareControlStateEx (TCDPositionedControl)
pt | PrepareCurrentDrawer (TCDControl)
pt | QuadClick (TControl)
 | QueryInterface (TComponent)
 | ReadLeft (TComponent)
 | ReadState (TComponent)
pt | ReadState (TControl)
 | ReadTop (TComponent)
pt | RealGetText (TControl)
pt | RealGetText (TWinControl)
 | ReAlign (TWinControl)
pt | RealizeBounds (TWinControl)
pt | RealizeBoundsRecursive (TWinControl)
pt | RealSetText (TControl)
pt | RealSetText (TWinControl)
 | ReferenceInterface (TComponent)
 | Refresh (TControl)
pt | ReloadDockedControl (TWinControl)
 | Remove (TComponent)
 | RemoveAllHandlersOfObject (TLCLComponent)
 | RemoveAllHandlersOfObject (TControl)
 | RemoveComponent (TComponent)
 | RemoveControl (TWinControl)
pt | RemoveFocus (TWinControl)
 | RemoveFreeNotification (TComponent)
pt | RemoveHandler (TControl)
 | RemoveHandlerOnBeforeDestruction (TControl)
 | RemoveHandlerOnChangeBounds (TControl)
 | RemoveHandlerOnEnableChanging (TControl)
 | RemoveHandlerOnKeyDown (TControl)
 | RemoveHandlerOnMouseWheel (TControl)
 | RemoveHandlerOnResize (TControl)
 | RemoveHandlerOnVisibleChanged (TControl)
 | RemoveHandlerOnVisibleChanging (TControl)
 | RemoveNotification (TComponent)
 | Repaint (TControl)
 | Repaint (TWinControl)
 | ReplaceDockedControl (TControl)
pt | RequestAlign (TControl)
pt | Resize (TControl)
 | SafeCallException (TObject)
 | SafeCallException (TComponent)
 | Scale96ToFont (TControl)
 | Scale96ToForm (TControl)
 | Scale96ToScreen (TControl)
 | ScaleBy (TWinControl)
pt | ScaleConstraints (TControl)
pt | ScaleControls (TWinControl)
 | ScaleDesignToForm (TControl)
 | ScaleFontsPPI (TControl)
 | ScaleFontTo96 (TControl)
 | ScaleFontToScreen (TControl)
 | ScaleFormTo96 (TControl)
 | ScaleFormToDesign (TControl)
 | ScaleScreenTo96 (TControl)
 | ScaleScreenToFont (TControl)
 | ScreenToClient (TControl)
 | ScreenToControl (TControl)
 | ScrollBy (TWinControl)
 | ScrollBy_WS (TWinControl)
pt | SelectFirst (TWinControl)
 | SelectNext (TWinControl)
pt | SendDialogChar (TWinControl)
pt | SendMoveSizeMessages (TControl)
pt | SendMoveSizeMessages (TWinControl)
 | SendToBack (TControl)
pt | SetAction (TControl)
pt | SetAlign (TControl)
 | SetAncestor (TComponent)
pt | SetAnchors (TControl)
pt | SetAutoSize (TControl)
pt | SetBiDiMode (TControl)
pt | SetBorderStyle (TWinControl)
 | SetBounds (TControl)
 | SetBounds (TWinControl)
 | SetBoundsKeepBase (TControl)
 | SetChildOrder (TComponent)
pt | SetChildZPosition (TWinControl)
pt | SetColor (TControl)
pt | SetColor (TWinControl)
pt | SetColor (TCustomControl)
 | SetComponentIndex (TComponent)
 | SetControlIndex (TWinControl)
pt | SetCursor (TControl)
 | SetDesigning (TComponent)
 | SetDesignInstance (TComponent)
pt | SetDockManager (TWinControl)
pt | SetDragMode (TControl)
pt | SetDrawStyle (TCDControl)
pt | SetEnabled (TControl)
 | SetFocus (TWinControl)
pt | SetHint (TControl)
 | SetInitialBounds (TControl)
 | SetInline (TComponent)
 | SetName (TComponent)
pt | SetName (TControl)
pt | SetParent (TControl)
pt | SetParentBackground (TWinControl)
pt | SetParentBiDiMode (TControl)
 | SetParentComponent (TComponent)
pt | SetParentComponent (TControl)
 | SetReference (TComponent)
 | SetShape (TWinControl)
pt | SetState (TCDControl)
 | SetSubComponent (TComponent)
 | SetTempCursor (TControl)
 | SetTempCursor (TWinControl)
 | SetTextBuf (TControl)
pt | SetVisible (TControl)
pt | SetZOrder (TControl)
 | ShouldAutoAdjust (TControl)
 | Show (TControl)
pt | ShowControl (TWinControl)
 | ShowHelp (TControl)
 | StringMessageTable (TObject)
pt | TextChanged (TControl)
 | ToString (TObject)
pt | TripleClick (TControl)
 | UnitName (TObject)
 | UnlockRealizeBounds (TWinControl)
 | Update (TControl)
 | Update (TWinControl)
 | UpdateAction (TComponent)
pt | UpdateAnchorRules (TControl)
 | UpdateBaseBounds (TControl)
pt | UpdateControlState (TWinControl)
 | Updated (TComponent)
 | UpdateDockCaption (TWinControl)
pt | UpdateMouseCursor (TControl)
 | UpdateRegistry (TComponent)
 | UpdateRolesForForm (TControl)
pt | UpdateShowing (TWinControl)
 | Updating (TComponent)
 | UseRightToLeftAlignment (TControl)
 | UseRightToLeftReading (TControl)
 | UseRightToLeftScrollBar (TControl)
pt | UTF8KeyPress (TWinControl)
 | ValidateContainer (TComponent)
 | ValidateInsert (TComponent)
 | ValidateRename (TComponent)
pt | VisibleChanged (TControl)
pt | VisibleChanging (TControl)
pt | WidthIsAnchored (TControl)
pt | WMCancelMode (TControl)
pt | WMChar (TWinControl)
pt | WMContextMenu (TControl)
pt | WMContextMenu (TWinControl)
pt | WMDestroy (TWinControl)
pt | WMEnter (TWinControl)
pt | WMEraseBkgnd (TWinControl)
pt | WMExit (TWinControl)
pt | WMKeyDown (TWinControl)
pt | WMKeyUp (TWinControl)
pt | WMKillFocus (TWinControl)
pt | WMLButtonDBLCLK (TControl)
pt | WMLButtonDown (TControl)
pt | WMLButtonQuadCLK (TControl)
pt | WMLButtonTripleCLK (TControl)
pt | WMLButtonUp (TControl)
pt | WMMButtonDBLCLK (TControl)
pt | WMMButtonDown (TControl)
pt | WMMButtonQuadCLK (TControl)
pt | WMMButtonTripleCLK (TControl)
pt | WMMButtonUp (TControl)
pt | WMMouseHWheel (TControl)
pt | WMMouseMove (TControl)
pt | WMMouseWheel (TControl)
pt | WMMove (TControl)
pt | WMMove (TWinControl)
pt | WMNotify (TWinControl)
pt | WMPaint (TWinControl)
pt | WMPaint (TCustomControl)
pt | WMRButtonDBLCLK (TControl)
pt | WMRButtonDown (TControl)
pt | WMRButtonQuadCLK (TControl)
pt | WMRButtonTripleCLK (TControl)
pt | WMRButtonUp (TControl)
pt | WMSetFocus (TWinControl)
pt | WMShowWindow (TWinControl)
pt | WMSize (TControl)
pt | WMSize (TWinControl)
pt | WMSysChar (TWinControl)
pt | WMSysKeyDown (TWinControl)
pt | WMSysKeyUp (TWinControl)
pt | WMWindowPosChanged (TControl)
pt | WMWindowPosChanged (TWinControl)
pt | WMXButtonDBLCLK (TControl)
pt | WMXButtonDown (TControl)
pt | WMXButtonQuadCLK (TControl)
pt | WMXButtonTripleCLK (TControl)
pt | WMXButtonUp (TControl)
pt | WndProc (TControl)
pt | WndProc (TWinControl)
 | WriteLayoutDebugReport (TControl)
 | WriteLayoutDebugReport (TWinControl)
 | WriteLeft (TComponent)
 | WriteState (TComponent)
 | WriteTop (TComponent)
pt | WSRegisterClass (TLCLComponent)
pt | WSRegisterClass (TControl)
pt | WSRegisterClass (TWinControl)
pt | WSRegisterClass (TCustomControl)
pt | WSSetText (TWinControl)
 | _AddRef (TComponent)
 | _Release (TComponent)


TCDPositionedControl
pl | OnChange
pl | OnChangeByUser
TCDControl
TCustomControl
 | OnPaint
TWinControl
pt | OnGetSiteInfo
pt | OnGetDockCaption
 | OnAlignInsertBefore
 | OnAlignPosition
 | OnDockDrop
 | OnDockOver
 | OnEnter
 | OnExit
 | OnKeyDown
 | OnKeyPress
 | OnKeyUp
 | OnUnDock
 | OnUTF8KeyPress
TControl
pt | OnConstrainedResize
pt | OnContextPopup
pt | OnDblClick
pt | OnTripleClick
pt | OnQuadClick
pt | OnDragDrop
pt | OnDragOver
pt | OnEndDock
pt | OnEndDrag
pt | OnMouseDown
pt | OnMouseMove
pt | OnMouseUp
pt | OnMouseEnter
pt | OnMouseLeave
pt | OnMouseWheel
pt | OnMouseWheelDown
pt | OnMouseWheelUp
pt | OnMouseWheelHorz
pt | OnMouseWheelLeft
pt | OnMouseWheelRight
pt | OnStartDock
pt | OnStartDrag
pt | OnEditingDone
 | OnChangeBounds
 | OnClick
 | OnResize
 | OnShowHint
TLCLComponent
TComponent
TPersistent
TObject


pl | OnChange (TCDPositionedControl)
 | OnChangeBounds (TControl)
pl | OnChangeByUser (TCDPositionedControl)
 | OnClick (TControl)
pt | OnConstrainedResize (TControl)
pt | OnContextPopup (TControl)
pt | OnDblClick (TControl)
 | OnDockDrop (TWinControl)
 | OnDockOver (TWinControl)
pt | OnDragDrop (TControl)
pt | OnDragOver (TControl)
pt | OnEditingDone (TControl)
pt | OnEndDock (TControl)
pt | OnEndDrag (TControl)
 | OnEnter (TWinControl)
 | OnExit (TWinControl)
pt | OnGetDockCaption (TWinControl)
pt | OnGetSiteInfo (TWinControl)
 | OnKeyDown (TWinControl)
 | OnKeyPress (TWinControl)
 | OnKeyUp (TWinControl)
pt | OnMouseDown (TControl)
pt | OnMouseEnter (TControl)
pt | OnMouseLeave (TControl)
pt | OnMouseMove (TControl)
pt | OnMouseUp (TControl)
pt | OnMouseWheel (TControl)
pt | OnMouseWheelDown (TControl)
pt | OnMouseWheelHorz (TControl)
pt | OnMouseWheelLeft (TControl)
pt | OnMouseWheelRight (TControl)
pt | OnMouseWheelUp (TControl)
 | OnPaint (TCustomControl)
pt | OnQuadClick (TControl)
 | OnResize (TControl)
 | OnShowHint (TControl)
pt | OnStartDock (TControl)
pt | OnStartDrag (TControl)
pt | OnTripleClick (TControl)
 | OnUnDock (TWinControl)
 | OnUTF8KeyPress (TWinControl)


TCDPositionedControl.Create

Declaration

Source position: customdrawncontrols.pas line 379

public constructor TCDPositionedControl.Create(

  AOwner: TComponent

); override;


TCDPositionedControl.CreateControlStateEx

Declaration

Source position: customdrawncontrols.pas line 367

protected procedure TCDPositionedControl.CreateControlStateEx; override;


TCDPositionedControl.Destroy

Declaration

Source position: customdrawncontrols.pas line 380

public destructor TCDPositionedControl.Destroy; override;


TCDPositionedControl.FLargeChange

Declaration

Source position: customdrawncontrols.pas line 355

protected TCDPositionedControl.FLargeChange : Integer;


TCDPositionedControl.FMoveByDragging

Declaration

Source position: customdrawncontrols.pas line 359

protected TCDPositionedControl.FMoveByDragging : Boolean;


TCDPositionedControl.FPCState

Declaration

Source position: customdrawncontrols.pas line 356

protected TCDPositionedControl.FPCState : TCDPositionedCStateEx;


TCDPositionedControl.FSmallChange

Declaration

Source position: customdrawncontrols.pas line 355

protected TCDPositionedControl.FSmallChange : Integer;


TCDPositionedControl.GetButtonFromMousePos

Declaration

Source position: customdrawncontrols.pas line 366

protected function TCDPositionedControl.GetButtonFromMousePos(

  X: Integer;

  Y: Integer

):TCDControlState; virtual;


TCDPositionedControl.GetPositionDisplacement

Declaration

Source position: customdrawncontrols.pas line 365

protected function TCDPositionedControl.GetPositionDisplacement(

  AOldMousePos: TPoint;

  ANewMousePos: TPoint

):Integer; virtual; abstract;


TCDPositionedControl.GetPositionDisplacementWithMargins

Declaration

Source position: customdrawncontrols.pas line 363

protected function TCDPositionedControl.GetPositionDisplacementWithMargins(

  AOldMousePos: TPoint;

  ANewMousePos: TPoint;

  ALeftMargin: Integer;

  ARightMargin: Integer;

  AIsHorizontal: Boolean

):Integer;


TCDPositionedControl.GetPositionFromMousePos

Declaration

Source position: customdrawncontrols.pas line 362

protected function TCDPositionedControl.GetPositionFromMousePos(

  X: Integer;

  Y: Integer

):Integer; virtual; abstract;


TCDPositionedControl.GetPositionFromMousePosWithMargins

Declaration

Source position: customdrawncontrols.pas line 360

protected function TCDPositionedControl.GetPositionFromMousePosWithMargins(

  X: Integer;

  Y: Integer;

  ALeftMargin: Integer;

  ARightMargin: Integer;

  AIsHorizontal: Boolean;

  AAcceptMouseOutsideStrictArea: Boolean

):Integer;


TCDPositionedControl.KeyDown

Declaration

Source position: customdrawncontrols.pas line 370

protected procedure TCDPositionedControl.KeyDown(

  var Key: Word;

  Shift: TShiftState

); override;


TCDPositionedControl.Max

Declaration

Source position: customdrawncontrols.pas line 382

published property TCDPositionedControl.Max : Integer
  read FMax
  write SetMax;


TCDPositionedControl.Min

Declaration

Source position: customdrawncontrols.pas line 383

published property TCDPositionedControl.Min : Integer
  read FMin
  write SetMin;


TCDPositionedControl.MouseDown

Declaration

Source position: customdrawncontrols.pas line 372

protected procedure TCDPositionedControl.MouseDown(

  Button: TMouseButton;

  Shift: TShiftState;

  X: Integer;

  Y: Integer

); override;


TCDPositionedControl.MouseMove

Declaration

Source position: customdrawncontrols.pas line 374

protected procedure TCDPositionedControl.MouseMove(

  Shift: TShiftState;

  X: Integer;

  Y: Integer

); override;


TCDPositionedControl.MouseUp

Declaration

Source position: customdrawncontrols.pas line 375

protected procedure TCDPositionedControl.MouseUp(

  Button: TMouseButton;

  Shift: TShiftState;

  X: Integer;

  Y: Integer

); override;


TCDPositionedControl.OnChange

Declaration

Source position: customdrawncontrols.pas line 384

published property TCDPositionedControl.OnChange : TNotifyEvent
  read FOnChange
  write FOnChange;


TCDPositionedControl.OnChangeByUser

Declaration

Source position: customdrawncontrols.pas line 385

published property TCDPositionedControl.OnChangeByUser : TNotifyEvent
  read FOnChangeByUser
  write FOnChangeByUser;


TCDPositionedControl.PageSize

Declaration

Source position: customdrawncontrols.pas line 377

protected property TCDPositionedControl.PageSize : Integer
  read FPageSize
  write SetPageSize;


TCDPositionedControl.Position

Declaration

Source position: customdrawncontrols.pas line 386

published property TCDPositionedControl.Position : Integer
  read FPosition
  write SetPosition;


TCDPositionedControl.PrepareControlStateEx

Declaration

Source position: customdrawncontrols.pas line 368

protected procedure TCDPositionedControl.PrepareControlStateEx; override;


TCDProgressBar

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Declaration

Source position: customdrawncontrols.pas line 518

type TCDProgressBar = class(TCDControl)

protected

  FPBState: TCDProgressBarStateEx;

  function GetControlId; override;

  procedure CreateControlStateEx; override;

  procedure PrepareControlStateEx; override;

public

  constructor Create(); override;

  destructor Destroy; override;

published

  property BarShowText: Boolean; [rw]

  property Color: TColor;

  property DrawStyle: TCDDrawStyle;

  property Enabled: Boolean;

  property Max: Integer; [rw]

  property Min: Integer; [rw]

  property OnChange: TNotifyEvent; [rw]

  property Orientation: TProgressBarOrientation; [rw]

  property Position: Integer; [rw]

  property Smooth: Boolean; [rw]

  property Style: TProgressBarStyle; [rw]

end;

Inheritance

TCDProgressBar |
|
TCDControl |
|
TCustomControl | The base class for windowed controls which paint themselves.
|
TWinControl | The base class for controls which can contain other (child) controls.
|
TControl | The base class for visible controls.
|
TLCLComponent | The base class for LCL components associated with widgets.
|
TComponent,IUnknown,IInterfaceComponentReference
|
TPersistent,IFPObserved
|
TObject


TCDProgressBar
pl |  | BarShowText
pl | ro | Color
pl | ro | DrawStyle
pl | ro | Enabled
pl |  | Max
pl |  | Min
pl |  | Orientation
pl |  | Position
pl |  | Smooth
pl |  | Style
TCDControl
pt |  | DrawStyle
TCustomControl
 |  | Canvas
 | ro | BorderStyle
TWinControl
pt |  | WindowHandle
pt |  | BorderStyle
pt |  | ParentBackground
 |  | BorderWidth
 | ro | BoundsLockCount
 | ro | Brush
 | ro | CachedClientHeight
 | ro | CachedClientWidth
 |  | ChildSizing
 | ro | ControlCount
 | ro | Controls
 |  | DefWndProc
 | ro | DockClientCount
 | ro | DockClients
 |  | DockManager
 |  | DockSite
 |  | DoubleBuffered
 |  | Handle
 | ro | IsFlipped
 | ro | IsResizing
 |  | TabOrder
 |  | TabStop
 |  | ParentDoubleBuffered
 |  | ParentWindow
 | ro | Showing
 |  | UseDockManager
 |  | DesignerDeleting
 | ro | VisibleDockClientCount
TControl
pt | ro | AutoSizing
pt | ro | AutoSizingAll
pt | ro | AutoSizingLockCount
pt |  | ActionLink
pt |  | DesktopFont
pt |  | DragCursor
pt |  | DragKind
pt |  | DragMode
pt |  | MouseCapture
pt |  | ParentColor
pt |  | ParentFont
pt |  | ParentShowHint
pt |  | SessionProperties
pt |  | Text
 | ro | AnchoredControls
 | ro | BaseBounds
 | ro | ReadBounds
 | ro | BaseParentClientSize
 |  | AccessibleDescription
 |  | AccessibleValue
 |  | AccessibleRole
 |  | Action
 |  | Align
 |  | Anchors
 | ro | AnchorSide
 |  | AutoSize
 |  | BorderSpacing
 |  | BoundsRect
 |  | BoundsRectForNewParent
 |  | Caption
 |  | CaptureMouseButtons
 |  | ClientHeight
 | ro | ClientOrigin
 | ro | ClientRect
 |  | ClientWidth
 |  | Color
 |  | Constraints
 | ro | ControlOrigin
 |  | ControlState
 |  | ControlStyle
 |  | Enabled
 |  | Font
 |  | IsControl
 | ro | MouseEntered
 | ro | MouseInClient
 |  | Parent
 |  | PopupMenu
 |  | ShowHint
 |  | Visible
 |  | WindowProc
 |  | DockOrientation
 | ro | Floating
 |  | FloatingDockSiteClass
 |  | HostDockSite
 |  | LRDockWidth
 |  | TBDockHeight
 |  | UndockHeight
 |  | UndockWidth
 |  | BiDiMode
 |  | ParentBiDiMode
pl |  | AnchorSideLeft
pl |  | AnchorSideTop
pl |  | AnchorSideRight
pl |  | AnchorSideBottom
pl |  | Cursor
pl |  | Left
pl |  | Height
pl |  | Hint
pl |  | Top
pl |  | Width
pl |  | HelpType
pl |  | HelpKeyword
pl |  | HelpContext
TLCLComponent
 | ro | LCLRefCount
 | ro | WidgetSetClass
TComponent
 | ro | ComObject
 | ro | Components
 | ro | ComponentCount
 |  | ComponentIndex
 | ro | ComponentState
 | ro | ComponentStyle
 |  | DesignInfo
 | ro | Owner
 |  | VCLComObject
 |  | Name
 |  | Tag
TPersistent
TObject


 |  | AccessibleDescription (TControl)
 |  | AccessibleRole (TControl)
 |  | AccessibleValue (TControl)
 |  | Action (TControl)
pt |  | ActionLink (TControl)
 |  | Align (TControl)
 | ro | AnchoredControls (TControl)
 |  | Anchors (TControl)
 | ro | AnchorSide (TControl)
pl |  | AnchorSideBottom (TControl)
pl |  | AnchorSideLeft (TControl)
pl |  | AnchorSideRight (TControl)
pl |  | AnchorSideTop (TControl)
 |  | AutoSize (TControl)
pt | ro | AutoSizing (TControl)
pt | ro | AutoSizingAll (TControl)
pt | ro | AutoSizingLockCount (TControl)
pl |  | BarShowText (TCDProgressBar)
 | ro | BaseBounds (TControl)
 | ro | BaseParentClientSize (TControl)
 |  | BiDiMode (TControl)
 |  | BorderSpacing (TControl)
pt |  | BorderStyle (TWinControl)
 | ro | BorderStyle (TCustomControl)
 |  | BorderWidth (TWinControl)
 | ro | BoundsLockCount (TWinControl)
 |  | BoundsRect (TControl)
 |  | BoundsRectForNewParent (TControl)
 | ro | Brush (TWinControl)
 | ro | CachedClientHeight (TWinControl)
 | ro | CachedClientWidth (TWinControl)
 |  | Canvas (TCustomControl)
 |  | Caption (TControl)
 |  | CaptureMouseButtons (TControl)
 |  | ChildSizing (TWinControl)
 |  | ClientHeight (TControl)
 | ro | ClientOrigin (TControl)
 | ro | ClientRect (TControl)
 |  | ClientWidth (TControl)
 |  | Color (TControl)
pl | ro | Color (TCDProgressBar)
 | ro | ComObject (TComponent)
 | ro | ComponentCount (TComponent)
 |  | ComponentIndex (TComponent)
 | ro | Components (TComponent)
 | ro | ComponentState (TComponent)
 | ro | ComponentStyle (TComponent)
 |  | Constraints (TControl)
 | ro | ControlCount (TWinControl)
 | ro | ControlOrigin (TControl)
 | ro | Controls (TWinControl)
 |  | ControlState (TControl)
 |  | ControlStyle (TControl)
pl |  | Cursor (TControl)
 |  | DefWndProc (TWinControl)
 |  | DesignerDeleting (TWinControl)
 |  | DesignInfo (TComponent)
pt |  | DesktopFont (TControl)
 | ro | DockClientCount (TWinControl)
 | ro | DockClients (TWinControl)
 |  | DockManager (TWinControl)
 |  | DockOrientation (TControl)
 |  | DockSite (TWinControl)
 |  | DoubleBuffered (TWinControl)
pt |  | DragCursor (TControl)
pt |  | DragKind (TControl)
pt |  | DragMode (TControl)
pt |  | DrawStyle (TCDControl)
pl | ro | DrawStyle (TCDProgressBar)
 |  | Enabled (TControl)
pl | ro | Enabled (TCDProgressBar)
 | ro | Floating (TControl)
 |  | FloatingDockSiteClass (TControl)
 |  | Font (TControl)
 |  | Handle (TWinControl)
pl |  | Height (TControl)
pl |  | HelpContext (TControl)
pl |  | HelpKeyword (TControl)
pl |  | HelpType (TControl)
pl |  | Hint (TControl)
 |  | HostDockSite (TControl)
 |  | IsControl (TControl)
 | ro | IsFlipped (TWinControl)
 | ro | IsResizing (TWinControl)
 | ro | LCLRefCount (TLCLComponent)
pl |  | Left (TControl)
 |  | LRDockWidth (TControl)
pl |  | Max (TCDProgressBar)
pl |  | Min (TCDProgressBar)
pt |  | MouseCapture (TControl)
 | ro | MouseEntered (TControl)
 | ro | MouseInClient (TControl)
 |  | Name (TComponent)
pl |  | Orientation (TCDProgressBar)
 | ro | Owner (TComponent)
 |  | Parent (TControl)
pt |  | ParentBackground (TWinControl)
 |  | ParentBiDiMode (TControl)
pt |  | ParentColor (TControl)
 |  | ParentDoubleBuffered (TWinControl)
pt |  | ParentFont (TControl)
pt |  | ParentShowHint (TControl)
 |  | ParentWindow (TWinControl)
 |  | PopupMenu (TControl)
pl |  | Position (TCDProgressBar)
 | ro | ReadBounds (TControl)
pt |  | SessionProperties (TControl)
 |  | ShowHint (TControl)
 | ro | Showing (TWinControl)
pl |  | Smooth (TCDProgressBar)
pl |  | Style (TCDProgressBar)
 |  | TabOrder (TWinControl)
 |  | TabStop (TWinControl)
 |  | Tag (TComponent)
 |  | TBDockHeight (TControl)
pt |  | Text (TControl)
pl |  | Top (TControl)
 |  | UndockHeight (TControl)
 |  | UndockWidth (TControl)
 |  | UseDockManager (TWinControl)
 |  | VCLComObject (TComponent)
 |  | Visible (TControl)
 | ro | VisibleDockClientCount (TWinControl)
 | ro | WidgetSetClass (TLCLComponent)
pl |  | Width (TControl)
pt |  | WindowHandle (TWinControl)
 |  | WindowProc (TControl)


TCDProgressBar
pt | GetControlId
pt | CreateControlStateEx
pt | PrepareControlStateEx
 | Create
 | Destroy
TCDControl
pt | CalculatePreferredSize
pt | SetState
pt | PrepareCurrentDrawer
pt | SetDrawStyle
pt | GetClientRect
pt | GetControlId
pt | CreateControlStateEx
pt | PrepareControlState
pt | PrepareControlStateEx
pt | DoEnter
pt | DoExit
pt | MouseEnter
pt | MouseLeave
pt | MouseDown
 | Create
 | Destroy
 | LCLWSCalculatePreferredSize
 | EraseBackground
 | Paint
 | DrawToCanvas
TCustomControl
pt | WSRegisterClass
pt | WMPaint
pt | DestroyWnd
pt | PaintWindow
pt | FontChanged
pt | SetColor
pt | Paint
 | Create
 | Destroy
TWinControl
pt | WSRegisterClass
pt | AdjustClientRect
pt | GetAdjustedLogicalClientRect
pt | AlignControls
pt | CustomAlignInsertBefore
pt | CustomAlignPosition
pt | DoAlignChildControls
pt | DoChildSizingChange
pt | InvalidatePreferredChildSizes
pt | CanTab
pt | IsClientHeightStored
pt | IsClientWidthStored
pt | DoSendShowHideToInterface
pt | ControlsAligned
pt | DoSendBoundsToInterface
pt | RealizeBounds
pt | RealizeBoundsRecursive
pt | InvalidateBoundsRealized
pt | CreateSubClass
pt | DoConstraintsChange
pt | DoSetBounds
pt | DoAutoSize
pt | DoAllAutoSize
pt | AllAutoSized
pt | CalculatePreferredSize
pt | GetPreferredSizeClientFrame
pt | GetChildren
pt | ChildClassAllowed
pt | PaintControls
pt | PaintHandler
pt | PaintWindow
pt | CreateBrush
pt | ScaleControls
pt | ChangeScale
pt | CMBiDiModeChanged
pt | CMBorderChanged
pt | CMDoubleBufferedChanged
pt | CMEnabledChanged
pt | CMParentDoubleBufferedChanged
pt | CMShowingChanged
pt | CMShowHintChanged
pt | CMVisibleChanged
pt | CMEnter
pt | CMExit
pt | WMContextMenu
pt | WMEraseBkgnd
pt | WMNotify
pt | WMSetFocus
pt | WMKillFocus
pt | WMShowWindow
pt | WMEnter
pt | WMExit
pt | WMKeyDown
pt | WMSysKeyDown
pt | WMKeyUp
pt | WMSysKeyUp
pt | WMChar
pt | WMSysChar
pt | WMPaint
pt | WMDestroy
pt | WMMove
pt | WMSize
pt | WMWindowPosChanged
pt | CNKeyDown
pt | CNSysKeyDown
pt | CNKeyUp
pt | CNSysKeyUp
pt | CNChar
pt | DoDragMsg
pt | DoDockClientMsg
pt | DoUndockClientMsg
pt | DoAddDockClient
pt | DockOver
pt | DoDockOver
pt | DoRemoveDockClient
pt | DoUnDock
pt | GetSiteInfo
pt | GetParentHandle
pt | GetTopParentHandle
pt | ReloadDockedControl
pt | CreateDockManager
pt | SetDockManager
pt | DoFloatMsg
pt | DoGetDockCaption
pt | DoEnter
pt | DoExit
pt | DoKeyDownBeforeInterface
pt | DoRemainingKeyDown
pt | DoRemainingKeyUp
pt | DoKeyPress
pt | DoUTF8KeyPress
pt | DoKeyUpBeforeInterface
pt | ChildKey
pt | SendDialogChar
pt | DialogChar
pt | ControlKeyDown
pt | ControlKeyUp
pt | KeyDown
pt | KeyDownBeforeInterface
pt | KeyDownAfterInterface
pt | KeyPress
pt | KeyUp
pt | KeyUpBeforeInterface
pt | KeyUpAfterInterface
pt | UTF8KeyPress
pt | FindNextControl
pt | SelectFirst
pt | RealGetText
pt | GetBorderStyle
pt | GetClientOrigin
pt | GetClientRect
pt | GetControlOrigin
pt | GetDeviceContext
pt | GetParentBackground
pt | IsControlMouseMsg
pt | CreateHandle
pt | CreateParams
pt | CreateWnd
pt | DestroyHandle
pt | DestroyWnd
pt | DoFlipChildren
pt | FinalizeWnd
pt | FixupTabList
pt | FontChanged
pt | InitializeWnd
pt | Loaded
pt | FormEndUpdated
pt | MainWndProc
pt | ParentFormHandleInitialized
pt | ChildHandlesCreated
pt | GetMouseCapture
pt | RealSetText
pt | RemoveFocus
pt | SendMoveSizeMessages
pt | SetBorderStyle
pt | SetColor
pt | SetChildZPosition
pt | SetParentBackground
pt | ShowControl
pt | UpdateControlState
pt | UpdateShowing
pt | WndProc
pt | WSSetText
 | AutoSizePhases
 | AutoSizeDelayed
 | AutoSizeDelayedReport
 | AutoSizeDelayedHandle
 | BeginUpdateBounds
 | EndUpdateBounds
 | LockRealizeBounds
 | UnlockRealizeBounds
 | ControlAtPos
 | ContainsControl
 | DoAdjustClientRectChange
 | InvalidateClientRectCache
 | ClientRectNeedsInterfaceUpdate
 | SetBounds
 | GetChildrenRect
 | DisableAlign
 | EnableAlign
 | ReAlign
 | ScrollBy_WS
 | ScrollBy
 | WriteLayoutDebugReport
 | AutoAdjustLayout
 | Create
 | CreateParented
 | CreateParentedControl
 | Destroy
 | DockDrop
 | CanFocus
 | CanSetFocus
 | GetControlIndex
 | SetControlIndex
 | Focused
 | PerformTab
 | FindChildControl
 | SelectNext
 | SetTempCursor
 | BroadCast
 | NotifyControls
 | DefaultHandler
 | GetTextLen
 | Invalidate
 | AddControl
 | InsertControl
 | RemoveControl
 | GetEnumeratorControls
 | GetEnumeratorControlsReverse
 | Repaint
 | Update
 | SetFocus
 | FlipChildren
 | ScaleBy
 | GetDockCaption
 | UpdateDockCaption
 | GetTabOrderList
 | HandleAllocated
 | ParentHandlesAllocated
 | HandleNeeded
 | BrushCreated
 | EraseBackground
 | IntfUTF8KeyPress
 | IntfGetDropFilesTarget
 | PaintTo
 | SetShape
TControl
pt | WSRegisterClass
pt | GetCursor
pt | SetCursor
pt | SetVisible
pt | DoOnParentHandleDestruction
pt | DoAutoSize
pt | DoAllAutoSize
pt | BeginAutoSizing
pt | EndAutoSizing
pt | AnchorSideChanged
pt | ForeignAnchorSideChanged
pt | SetAlign
pt | SetAnchors
pt | SetAutoSize
pt | BoundsChanged
pt | CreateControlBorderSpacing
pt | DoConstraintsChange
pt | DoBorderSpacingChange
pt | IsBorderSpacingInnerBorderStored
pt | IsCaptionStored
pt | SendMoveSizeMessages
pt | ConstrainedResize
pt | CalculatePreferredSize
pt | DoOnResize
pt | DoOnChangeBounds
pt | CheckOnChangeBounds
pt | Resize
pt | RequestAlign
pt | UpdateAnchorRules
pt | ChangeBounds
pt | DoSetBounds
pt | ScaleConstraints
pt | ChangeScale
pt | CanAutoSize
pt | SetBiDiMode
pt | SetParentBiDiMode
pt | IsAParentAligning
pt | GetClientOrigin
pt | GetClientRect
pt | GetLogicalClientRect
pt | GetScrolledClientRect
pt | GetClientScrollOffset
pt | GetControlOrigin
pt | IsClientHeightStored
pt | IsClientWidthStored
pt | WidthIsAnchored
pt | HeightIsAnchored
pt | WMCancelMode
pt | WMContextMenu
pt | WMLButtonDown
pt | WMRButtonDown
pt | WMMButtonDown
pt | WMXButtonDown
pt | WMLButtonDBLCLK
pt | WMRButtonDBLCLK
pt | WMMButtonDBLCLK
pt | WMXButtonDBLCLK
pt | WMLButtonTripleCLK
pt | WMRButtonTripleCLK
pt | WMMButtonTripleCLK
pt | WMXButtonTripleCLK
pt | WMLButtonQuadCLK
pt | WMRButtonQuadCLK
pt | WMMButtonQuadCLK
pt | WMXButtonQuadCLK
pt | WMMouseMove
pt | WMLButtonUp
pt | WMRButtonUp
pt | WMMButtonUp
pt | WMXButtonUp
pt | WMMouseWheel
pt | WMMouseHWheel
pt | WMMove
pt | WMSize
pt | WMWindowPosChanged
pt | CMChanged
pt | LMCaptureChanged
pt | CMBiDiModeChanged
pt | CMSysFontChanged
pt | CMEnabledChanged
pt | CMHitTest
pt | CMMouseEnter
pt | CMMouseLeave
pt | CMHintShow
pt | CMParentBiDiModeChanged
pt | CMParentColorChanged
pt | CMParentFontChanged
pt | CMParentShowHintChanged
pt | CMVisibleChanged
pt | CMTextChanged
pt | CMCursorChanged
pt | CalculateDockSizes
pt | CreateFloatingDockSite
pt | GetDockEdge
pt | GetDragImages
pt | GetFloating
pt | GetFloatingDockSiteClass
pt | BeforeDragStart
pt | BeginAutoDrag
pt | DoFloatMsg
pt | DockTrackNoTarget
pt | DoDock
pt | DoDragMsg
pt | DoEndDock
pt | DoEndDrag
pt | DoStartDock
pt | DoStartDrag
pt | DragCanceled
pt | DragOver
pt | PositionDockRect
pt | SetDragMode
pt | GetDefaultDockCaption
pt | Click
pt | DblClick
pt | TripleClick
pt | QuadClick
pt | GetMousePosFromMessage
pt | MouseDown
pt | MouseMove
pt | MouseUp
pt | MouseEnter
pt | MouseLeave
pt | DialogChar
pt | UpdateMouseCursor
pt | Changed
pt | GetPalette
pt | ChildClassAllowed
pt | ReadState
pt | Loaded
pt | LoadedAll
pt | DefineProperties
pt | AssignTo
pt | FormEndUpdated
pt | InvalidateControl
pt | FontChanged
pt | ParentFontChanged
pt | GetAction
pt | RealGetText
pt | RealSetText
pt | TextChanged
pt | GetCachedText
pt | SetAction
pt | SetColor
pt | SetEnabled
pt | SetHint
pt | SetName
pt | SetParent
pt | SetParentComponent
pt | WndProc
pt | ParentFormHandleInitialized
pt | GetMouseCapture
pt | CaptureChanged
pt | Notification
pt | CanTab
pt | GetDeviceContext
pt | GetEnabled
pt | GetPopupMenu
pt | DoOnShowHint
pt | DoMouseWheel
pt | DoMouseWheelDown
pt | DoMouseWheelUp
pt | DoMouseWheelHorz
pt | DoMouseWheelLeft
pt | DoMouseWheelRight
pt | VisibleChanging
pt | VisibleChanged
pt | EnabledChanging
pt | EnabledChanged
pt | AddHandler
pt | RemoveHandler
pt | DoCallNotifyHandler
pt | DoCallKeyEventHandler
pt | DoCallMouseWheelEventHandler
pt | DoContextPopup
pt | SetZOrder
pt | GetControlClassDefaultSize
pt | ColorIsStored
pt | DoAutoAdjustLayout
pt | DoFixDesignFontPPI
pt | DoScaleFontPPI
pt | GetActionLinkClass
pt | ActionChange
 | DragDrop
 | Dock
 | ManualDock
 | ManualFloat
 | ReplaceDockedControl
 | Docked
 | Dragging
 | GetAccessibleObject
 | CreateAccessibleObject
 | GetSelectedChildAccessibleObject
 | GetChildAccessibleObjectAtPos
 | ScaleDesignToForm
 | ScaleFormToDesign
 | Scale96ToForm
 | ScaleFormTo96
 | Scale96ToFont
 | ScaleFontTo96
 | ScaleScreenToFont
 | ScaleFontToScreen
 | Scale96ToScreen
 | ScaleScreenTo96
 | AdjustSize
 | AutoSizePhases
 | AutoSizeDelayed
 | AutoSizeDelayedReport
 | AutoSizeDelayedHandle
 | AnchorToNeighbour
 | AnchorParallel
 | AnchorHorizontalCenterTo
 | AnchorVerticalCenterTo
 | AnchorToCompanion
 | AnchorSame
 | AnchorAsAlign
 | AnchorClient
 | AnchoredControlCount
 | SetBounds
 | SetInitialBounds
 | SetBoundsKeepBase
 | GetPreferredSize
 | GetCanvasScaleFactor
 | GetDefaultWidth
 | GetDefaultHeight
 | GetDefaultColor
 | GetColorResolvingParent
 | GetRGBColorResolvingParent
 | GetSidePosition
 | CNPreferredSizeChanged
 | InvalidatePreferredSize
 | GetAnchorsDependingOnParent
 | DisableAutoSizing
 | EnableAutoSizing
 | UpdateBaseBounds
 | WriteLayoutDebugReport
 | AutoAdjustLayout
 | ShouldAutoAdjust
 | FixDesignFontsPPI
 | ScaleFontsPPI
 | Create
 | Destroy
 | BeforeDestruction
 | EditingDone
 | ExecuteDefaultAction
 | ExecuteCancelAction
 | BeginDrag
 | EndDrag
 | BringToFront
 | HasParent
 | GetParentComponent
 | IsParentOf
 | GetTopParent
 | IsVisible
 | IsControlVisible
 | IsEnabled
 | IsParentColor
 | IsParentFont
 | FormIsUpdating
 | IsProcessingPaintMsg
 | Hide
 | Refresh
 | Repaint
 | Invalidate
 | CheckChildClassAllowed
 | CheckNewParent
 | SendToBack
 | SetTempCursor
 | UpdateRolesForForm
 | ActiveDefaultControlChanged
 | GetTextBuf
 | GetTextLen
 | SetTextBuf
 | Perform
 | ScreenToClient
 | ClientToScreen
 | ScreenToControl
 | ControlToScreen
 | ClientToParent
 | ParentToClient
 | GetChildrenRect
 | Show
 | Update
 | HandleObjectShouldBeVisible
 | ParentDestroyingHandle
 | ParentHandlesAllocated
 | InitiateAction
 | ShowHelp
 | HasHelp
 | RemoveAllHandlersOfObject
 | AddHandlerOnResize
 | RemoveHandlerOnResize
 | AddHandlerOnChangeBounds
 | RemoveHandlerOnChangeBounds
 | AddHandlerOnVisibleChanging
 | RemoveHandlerOnVisibleChanging
 | AddHandlerOnVisibleChanged
 | RemoveHandlerOnVisibleChanged
 | AddHandlerOnEnabledChanged
 | RemoveHandlerOnEnableChanging
 | AddHandlerOnKeyDown
 | RemoveHandlerOnKeyDown
 | AddHandlerOnBeforeDestruction
 | RemoveHandlerOnBeforeDestruction
 | AddHandlerOnMouseWheel
 | RemoveHandlerOnMouseWheel
 | UseRightToLeftAlignment
 | UseRightToLeftReading
 | UseRightToLeftScrollBar
 | IsRightToLeft
TLCLComponent
pt | WSRegisterClass
pt | GetWSComponentClass
 | Create
 | Destroy
 | NewInstance
 | RemoveAllHandlersOfObject
 | IncLCLRefCount
 | DecLCLRefCount
TComponent
 | GetComObject
 | GetComponent
 | GetComponentCount
 | GetComponentIndex
 | Insert
 | ReadLeft
 | ReadTop
 | Remove
 | RemoveNotification
 | SetComponentIndex
 | SetReference
 | WriteLeft
 | WriteTop
 | ChangeName
 | DefineProperties
 | GetChildren
 | GetChildOwner
 | GetChildParent
 | GetOwner
 | Loaded
 | Loading
 | Notification
 | PaletteCreated
 | ReadState
 | SetAncestor
 | SetDesigning
 | SetDesignInstance
 | SetInline
 | SetName
 | SetChildOrder
 | SetParentComponent
 | Updating
 | Updated
 | UpdateRegistry
 | ValidateRename
 | ValidateContainer
 | ValidateInsert
 | QueryInterface
 | _AddRef
 | _Release
 | iicrGetComponent
 | GetTypeInfoCount
 | GetTypeInfo
 | GetIDsOfNames
 | Invoke
 | WriteState
 | Create
 | Destroy
 | BeforeDestruction
 | DestroyComponents
 | Destroying
 | ExecuteAction
 | FindComponent
 | FreeNotification
 | RemoveFreeNotification
 | FreeOnRelease
 | GetEnumerator
 | GetNamePath
 | GetParentComponent
 | HasParent
 | InsertComponent
 | RemoveComponent
 | SafeCallException
 | SetSubComponent
 | UpdateAction
 | IsImplementorOf
 | ReferenceInterface
TPersistent
 | AssignError
 | AssignTo
 | DefineProperties
 | GetOwner
 | Destroy
 | Assign
 | FPOAttachObserver
 | FPODetachObserver
 | FPONotifyObservers
 | GetNamePath
TObject
 | Create
 | Destroy
 | newinstance
 | FreeInstance
 | SafeCallException
 | DefaultHandler
 | Free
 | InitInstance
 | CleanupInstance
 | ClassType
 | ClassInfo
 | ClassName
 | ClassNameIs
 | ClassParent
 | InstanceSize
 | InheritsFrom
 | StringMessageTable
 | MethodAddress
 | MethodName
 | FieldAddress
 | AfterConstruction
 | BeforeDestruction
 | DefaultHandlerStr
 | Dispatch
 | DispatchStr
 | GetInterface
 | GetInterfaceByStr
 | GetInterfaceWeak
 | GetInterfaceEntry
 | GetInterfaceEntryByStr
 | GetInterfaceTable
 | UnitName
 | Equals
 | GetHashCode
 | ToString


pt | ActionChange (TControl)
 | ActiveDefaultControlChanged (TControl)
 | AddControl (TWinControl)
pt | AddHandler (TControl)
 | AddHandlerOnBeforeDestruction (TControl)
 | AddHandlerOnChangeBounds (TControl)
 | AddHandlerOnEnabledChanged (TControl)
 | AddHandlerOnKeyDown (TControl)
 | AddHandlerOnMouseWheel (TControl)
 | AddHandlerOnResize (TControl)
 | AddHandlerOnVisibleChanged (TControl)
 | AddHandlerOnVisibleChanging (TControl)
pt | AdjustClientRect (TWinControl)
 | AdjustSize (TControl)
 | AfterConstruction (TObject)
pt | AlignControls (TWinControl)
pt | AllAutoSized (TWinControl)
 | AnchorAsAlign (TControl)
 | AnchorClient (TControl)
 | AnchoredControlCount (TControl)
 | AnchorHorizontalCenterTo (TControl)
 | AnchorParallel (TControl)
 | AnchorSame (TControl)
pt | AnchorSideChanged (TControl)
 | AnchorToCompanion (TControl)
 | AnchorToNeighbour (TControl)
 | AnchorVerticalCenterTo (TControl)
 | Assign (TPersistent)
 | AssignError (TPersistent)
 | AssignTo (TPersistent)
pt | AssignTo (TControl)
 | AutoAdjustLayout (TControl)
 | AutoAdjustLayout (TWinControl)
 | AutoSizeDelayed (TControl)
 | AutoSizeDelayed (TWinControl)
 | AutoSizeDelayedHandle (TControl)
 | AutoSizeDelayedHandle (TWinControl)
 | AutoSizeDelayedReport (TControl)
 | AutoSizeDelayedReport (TWinControl)
 | AutoSizePhases (TControl)
 | AutoSizePhases (TWinControl)
 | BeforeDestruction (TObject)
 | BeforeDestruction (TComponent)
 | BeforeDestruction (TControl)
pt | BeforeDragStart (TControl)
pt | BeginAutoDrag (TControl)
pt | BeginAutoSizing (TControl)
 | BeginDrag (TControl)
 | BeginUpdateBounds (TWinControl)
pt | BoundsChanged (TControl)
 | BringToFront (TControl)
 | BroadCast (TWinControl)
 | BrushCreated (TWinControl)
pt | CalculateDockSizes (TControl)
pt | CalculatePreferredSize (TControl)
pt | CalculatePreferredSize (TWinControl)
pt | CalculatePreferredSize (TCDControl)
pt | CanAutoSize (TControl)
 | CanFocus (TWinControl)
 | CanSetFocus (TWinControl)
pt | CanTab (TControl)
pt | CanTab (TWinControl)
pt | CaptureChanged (TControl)
pt | ChangeBounds (TControl)
pt | Changed (TControl)
 | ChangeName (TComponent)
pt | ChangeScale (TControl)
pt | ChangeScale (TWinControl)
 | CheckChildClassAllowed (TControl)
 | CheckNewParent (TControl)
pt | CheckOnChangeBounds (TControl)
pt | ChildClassAllowed (TControl)
pt | ChildClassAllowed (TWinControl)
pt | ChildHandlesCreated (TWinControl)
pt | ChildKey (TWinControl)
 | ClassInfo (TObject)
 | ClassName (TObject)
 | ClassNameIs (TObject)
 | ClassParent (TObject)
 | ClassType (TObject)
 | CleanupInstance (TObject)
pt | Click (TControl)
 | ClientRectNeedsInterfaceUpdate (TWinControl)
 | ClientToParent (TControl)
 | ClientToScreen (TControl)
pt | CMBiDiModeChanged (TControl)
pt | CMBiDiModeChanged (TWinControl)
pt | CMBorderChanged (TWinControl)
pt | CMChanged (TControl)
pt | CMCursorChanged (TControl)
pt | CMDoubleBufferedChanged (TWinControl)
pt | CMEnabledChanged (TControl)
pt | CMEnabledChanged (TWinControl)
pt | CMEnter (TWinControl)
pt | CMExit (TWinControl)
pt | CMHintShow (TControl)
pt | CMHitTest (TControl)
pt | CMMouseEnter (TControl)
pt | CMMouseLeave (TControl)
pt | CMParentBiDiModeChanged (TControl)
pt | CMParentColorChanged (TControl)
pt | CMParentDoubleBufferedChanged (TWinControl)
pt | CMParentFontChanged (TControl)
pt | CMParentShowHintChanged (TControl)
pt | CMShowHintChanged (TWinControl)
pt | CMShowingChanged (TWinControl)
pt | CMSysFontChanged (TControl)
pt | CMTextChanged (TControl)
pt | CMVisibleChanged (TControl)
pt | CMVisibleChanged (TWinControl)
pt | CNChar (TWinControl)
pt | CNKeyDown (TWinControl)
pt | CNKeyUp (TWinControl)
 | CNPreferredSizeChanged (TControl)
pt | CNSysKeyDown (TWinControl)
pt | CNSysKeyUp (TWinControl)
pt | ColorIsStored (TControl)
pt | ConstrainedResize (TControl)
 | ContainsControl (TWinControl)
 | ControlAtPos (TWinControl)
pt | ControlKeyDown (TWinControl)
pt | ControlKeyUp (TWinControl)
pt | ControlsAligned (TWinControl)
 | ControlToScreen (TControl)
 | Create (TObject)
 | Create (TComponent)
 | Create (TLCLComponent)
 | Create (TControl)
 | Create (TWinControl)
 | Create (TCustomControl)
 | Create (TCDControl)
 | Create (TCDProgressBar)
 | CreateAccessibleObject (TControl)
pt | CreateBrush (TWinControl)
pt | CreateControlBorderSpacing (TControl)
pt | CreateControlStateEx (TCDControl)
pt | CreateControlStateEx (TCDProgressBar)
pt | CreateDockManager (TWinControl)
pt | CreateFloatingDockSite (TControl)
pt | CreateHandle (TWinControl)
pt | CreateParams (TWinControl)
 | CreateParented (TWinControl)
 | CreateParentedControl (TWinControl)
pt | CreateSubClass (TWinControl)
pt | CreateWnd (TWinControl)
pt | CustomAlignInsertBefore (TWinControl)
pt | CustomAlignPosition (TWinControl)
pt | DblClick (TControl)
 | DecLCLRefCount (TLCLComponent)
 | DefaultHandler (TObject)
 | DefaultHandler (TWinControl)
 | DefaultHandlerStr (TObject)
 | DefineProperties (TPersistent)
 | DefineProperties (TComponent)
pt | DefineProperties (TControl)
 | Destroy (TObject)
 | Destroy (TPersistent)
 | Destroy (TComponent)
 | Destroy (TLCLComponent)
 | Destroy (TControl)
 | Destroy (TWinControl)
 | Destroy (TCustomControl)
 | Destroy (TCDControl)
 | Destroy (TCDProgressBar)
 | DestroyComponents (TComponent)
pt | DestroyHandle (TWinControl)
 | Destroying (TComponent)
pt | DestroyWnd (TWinControl)
pt | DestroyWnd (TCustomControl)
pt | DialogChar (TControl)
pt | DialogChar (TWinControl)
 | DisableAlign (TWinControl)
 | DisableAutoSizing (TControl)
 | Dispatch (TObject)
 | DispatchStr (TObject)
pt | DoAddDockClient (TWinControl)
 | DoAdjustClientRectChange (TWinControl)
pt | DoAlignChildControls (TWinControl)
pt | DoAllAutoSize (TControl)
pt | DoAllAutoSize (TWinControl)
pt | DoAutoAdjustLayout (TControl)
pt | DoAutoSize (TControl)
pt | DoAutoSize (TWinControl)
pt | DoBorderSpacingChange (TControl)
pt | DoCallKeyEventHandler (TControl)
pt | DoCallMouseWheelEventHandler (TControl)
pt | DoCallNotifyHandler (TControl)
pt | DoChildSizingChange (TWinControl)
 | Dock (TControl)
 | DockDrop (TWinControl)
 | Docked (TControl)
pt | DockOver (TWinControl)
pt | DockTrackNoTarget (TControl)
pt | DoConstraintsChange (TControl)
pt | DoConstraintsChange (TWinControl)
pt | DoContextPopup (TControl)
pt | DoDock (TControl)
pt | DoDockClientMsg (TWinControl)
pt | DoDockOver (TWinControl)
pt | DoDragMsg (TControl)
pt | DoDragMsg (TWinControl)
pt | DoEndDock (TControl)
pt | DoEndDrag (TControl)
pt | DoEnter (TWinControl)
pt | DoEnter (TCDControl)
pt | DoExit (TWinControl)
pt | DoExit (TCDControl)
pt | DoFixDesignFontPPI (TControl)
pt | DoFlipChildren (TWinControl)
pt | DoFloatMsg (TControl)
pt | DoFloatMsg (TWinControl)
pt | DoGetDockCaption (TWinControl)
pt | DoKeyDownBeforeInterface (TWinControl)
pt | DoKeyPress (TWinControl)
pt | DoKeyUpBeforeInterface (TWinControl)
pt | DoMouseWheel (TControl)
pt | DoMouseWheelDown (TControl)
pt | DoMouseWheelHorz (TControl)
pt | DoMouseWheelLeft (TControl)
pt | DoMouseWheelRight (TControl)
pt | DoMouseWheelUp (TControl)
pt | DoOnChangeBounds (TControl)
pt | DoOnParentHandleDestruction (TControl)
pt | DoOnResize (TControl)
pt | DoOnShowHint (TControl)
pt | DoRemainingKeyDown (TWinControl)
pt | DoRemainingKeyUp (TWinControl)
pt | DoRemoveDockClient (TWinControl)
pt | DoScaleFontPPI (TControl)
pt | DoSendBoundsToInterface (TWinControl)
pt | DoSendShowHideToInterface (TWinControl)
pt | DoSetBounds (TControl)
pt | DoSetBounds (TWinControl)
pt | DoStartDock (TControl)
pt | DoStartDrag (TControl)
pt | DoUnDock (TWinControl)
pt | DoUndockClientMsg (TWinControl)
pt | DoUTF8KeyPress (TWinControl)
pt | DragCanceled (TControl)
 | DragDrop (TControl)
 | Dragging (TControl)
pt | DragOver (TControl)
 | DrawToCanvas (TCDControl)
 | EditingDone (TControl)
 | EnableAlign (TWinControl)
 | EnableAutoSizing (TControl)
pt | EnabledChanged (TControl)
pt | EnabledChanging (TControl)
pt | EndAutoSizing (TControl)
 | EndDrag (TControl)
 | EndUpdateBounds (TWinControl)
 | Equals (TObject)
 | EraseBackground (TWinControl)
 | EraseBackground (TCDControl)
 | ExecuteAction (TComponent)
 | ExecuteCancelAction (TControl)
 | ExecuteDefaultAction (TControl)
 | FieldAddress (TObject)
pt | FinalizeWnd (TWinControl)
 | FindChildControl (TWinControl)
 | FindComponent (TComponent)
pt | FindNextControl (TWinControl)
 | FixDesignFontsPPI (TControl)
pt | FixupTabList (TWinControl)
 | FlipChildren (TWinControl)
 | Focused (TWinControl)
pt | FontChanged (TControl)
pt | FontChanged (TWinControl)
pt | FontChanged (TCustomControl)
pt | ForeignAnchorSideChanged (TControl)
pt | FormEndUpdated (TControl)
pt | FormEndUpdated (TWinControl)
 | FormIsUpdating (TControl)
 | FPOAttachObserver (TPersistent)
 | FPODetachObserver (TPersistent)
 | FPONotifyObservers (TPersistent)
 | Free (TObject)
 | FreeInstance (TObject)
 | FreeNotification (TComponent)
 | FreeOnRelease (TComponent)
 | GetAccessibleObject (TControl)
pt | GetAction (TControl)
pt | GetActionLinkClass (TControl)
pt | GetAdjustedLogicalClientRect (TWinControl)
 | GetAnchorsDependingOnParent (TControl)
pt | GetBorderStyle (TWinControl)
pt | GetCachedText (TControl)
 | GetCanvasScaleFactor (TControl)
 | GetChildAccessibleObjectAtPos (TControl)
 | GetChildOwner (TComponent)
 | GetChildParent (TComponent)
 | GetChildren (TComponent)
pt | GetChildren (TWinControl)
 | GetChildrenRect (TControl)
 | GetChildrenRect (TWinControl)
pt | GetClientOrigin (TControl)
pt | GetClientOrigin (TWinControl)
pt | GetClientRect (TControl)
pt | GetClientRect (TWinControl)
pt | GetClientRect (TCDControl)
pt | GetClientScrollOffset (TControl)
 | GetColorResolvingParent (TControl)
 | GetComObject (TComponent)
 | GetComponent (TComponent)
 | GetComponentCount (TComponent)
 | GetComponentIndex (TComponent)
pt | GetControlClassDefaultSize (TControl)
pt | GetControlId (TCDControl)
pt | GetControlId (TCDProgressBar)
 | GetControlIndex (TWinControl)
pt | GetControlOrigin (TControl)
pt | GetControlOrigin (TWinControl)
pt | GetCursor (TControl)
 | GetDefaultColor (TControl)
pt | GetDefaultDockCaption (TControl)
 | GetDefaultHeight (TControl)
 | GetDefaultWidth (TControl)
pt | GetDeviceContext (TControl)
pt | GetDeviceContext (TWinControl)
 | GetDockCaption (TWinControl)
pt | GetDockEdge (TControl)
pt | GetDragImages (TControl)
pt | GetEnabled (TControl)
 | GetEnumerator (TComponent)
 | GetEnumeratorControls (TWinControl)
 | GetEnumeratorControlsReverse (TWinControl)
pt | GetFloating (TControl)
pt | GetFloatingDockSiteClass (TControl)
 | GetHashCode (TObject)
 | GetIDsOfNames (TComponent)
 | GetInterface (TObject)
 | GetInterfaceByStr (TObject)
 | GetInterfaceEntry (TObject)
 | GetInterfaceEntryByStr (TObject)
 | GetInterfaceTable (TObject)
 | GetInterfaceWeak (TObject)
pt | GetLogicalClientRect (TControl)
pt | GetMouseCapture (TControl)
pt | GetMouseCapture (TWinControl)
pt | GetMousePosFromMessage (TControl)
 | GetNamePath (TPersistent)
 | GetNamePath (TComponent)
 | GetOwner (TPersistent)
 | GetOwner (TComponent)
pt | GetPalette (TControl)
pt | GetParentBackground (TWinControl)
 | GetParentComponent (TComponent)
 | GetParentComponent (TControl)
pt | GetParentHandle (TWinControl)
pt | GetPopupMenu (TControl)
 | GetPreferredSize (TControl)
pt | GetPreferredSizeClientFrame (TWinControl)
 | GetRGBColorResolvingParent (TControl)
pt | GetScrolledClientRect (TControl)
 | GetSelectedChildAccessibleObject (TControl)
 | GetSidePosition (TControl)
pt | GetSiteInfo (TWinControl)
 | GetTabOrderList (TWinControl)
 | GetTextBuf (TControl)
 | GetTextLen (TControl)
 | GetTextLen (TWinControl)
 | GetTopParent (TControl)
pt | GetTopParentHandle (TWinControl)
 | GetTypeInfo (TComponent)
 | GetTypeInfoCount (TComponent)
pt | GetWSComponentClass (TLCLComponent)
 | HandleAllocated (TWinControl)
 | HandleNeeded (TWinControl)
 | HandleObjectShouldBeVisible (TControl)
 | HasHelp (TControl)
 | HasParent (TComponent)
 | HasParent (TControl)
pt | HeightIsAnchored (TControl)
 | Hide (TControl)
 | iicrGetComponent (TComponent)
 | IncLCLRefCount (TLCLComponent)
 | InheritsFrom (TObject)
pt | InitializeWnd (TWinControl)
 | InitiateAction (TControl)
 | InitInstance (TObject)
 | Insert (TComponent)
 | InsertComponent (TComponent)
 | InsertControl (TWinControl)
 | InstanceSize (TObject)
 | IntfGetDropFilesTarget (TWinControl)
 | IntfUTF8KeyPress (TWinControl)
 | Invalidate (TControl)
 | Invalidate (TWinControl)
pt | InvalidateBoundsRealized (TWinControl)
 | InvalidateClientRectCache (TWinControl)
pt | InvalidateControl (TControl)
pt | InvalidatePreferredChildSizes (TWinControl)
 | InvalidatePreferredSize (TControl)
 | Invoke (TComponent)
pt | IsAParentAligning (TControl)
pt | IsBorderSpacingInnerBorderStored (TControl)
pt | IsCaptionStored (TControl)
pt | IsClientHeightStored (TControl)
pt | IsClientHeightStored (TWinControl)
pt | IsClientWidthStored (TControl)
pt | IsClientWidthStored (TWinControl)
pt | IsControlMouseMsg (TWinControl)
 | IsControlVisible (TControl)
 | IsEnabled (TControl)
 | IsImplementorOf (TComponent)
 | IsParentColor (TControl)
 | IsParentFont (TControl)
 | IsParentOf (TControl)
 | IsProcessingPaintMsg (TControl)
 | IsRightToLeft (TControl)
 | IsVisible (TControl)
pt | KeyDown (TWinControl)
pt | KeyDownAfterInterface (TWinControl)
pt | KeyDownBeforeInterface (TWinControl)
pt | KeyPress (TWinControl)
pt | KeyUp (TWinControl)
pt | KeyUpAfterInterface (TWinControl)
pt | KeyUpBeforeInterface (TWinControl)
 | LCLWSCalculatePreferredSize (TCDControl)
pt | LMCaptureChanged (TControl)
 | Loaded (TComponent)
pt | Loaded (TControl)
pt | Loaded (TWinControl)
pt | LoadedAll (TControl)
 | Loading (TComponent)
 | LockRealizeBounds (TWinControl)
pt | MainWndProc (TWinControl)
 | ManualDock (TControl)
 | ManualFloat (TControl)
 | MethodAddress (TObject)
 | MethodName (TObject)
pt | MouseDown (TControl)
pt | MouseDown (TCDControl)
pt | MouseEnter (TControl)
pt | MouseEnter (TCDControl)
pt | MouseLeave (TControl)
pt | MouseLeave (TCDControl)
pt | MouseMove (TControl)
pt | MouseUp (TControl)
 | newinstance (TObject)
 | NewInstance (TLCLComponent)
 | Notification (TComponent)
pt | Notification (TControl)
 | NotifyControls (TWinControl)
pt | Paint (TCustomControl)
 | Paint (TCDControl)
pt | PaintControls (TWinControl)
pt | PaintHandler (TWinControl)
 | PaintTo (TWinControl)
pt | PaintWindow (TWinControl)
pt | PaintWindow (TCustomControl)
 | PaletteCreated (TComponent)
 | ParentDestroyingHandle (TControl)
pt | ParentFontChanged (TControl)
pt | ParentFormHandleInitialized (TControl)
pt | ParentFormHandleInitialized (TWinControl)
 | ParentHandlesAllocated (TControl)
 | ParentHandlesAllocated (TWinControl)
 | ParentToClient (TControl)
 | Perform (TControl)
 | PerformTab (TWinControl)
pt | PositionDockRect (TControl)
pt | PrepareControlState (TCDControl)
pt | PrepareControlStateEx (TCDControl)
pt | PrepareControlStateEx (TCDProgressBar)
pt | PrepareCurrentDrawer (TCDControl)
pt | QuadClick (TControl)
 | QueryInterface (TComponent)
 | ReadLeft (TComponent)
 | ReadState (TComponent)
pt | ReadState (TControl)
 | ReadTop (TComponent)
pt | RealGetText (TControl)
pt | RealGetText (TWinControl)
 | ReAlign (TWinControl)
pt | RealizeBounds (TWinControl)
pt | RealizeBoundsRecursive (TWinControl)
pt | RealSetText (TControl)
pt | RealSetText (TWinControl)
 | ReferenceInterface (TComponent)
 | Refresh (TControl)
pt | ReloadDockedControl (TWinControl)
 | Remove (TComponent)
 | RemoveAllHandlersOfObject (TLCLComponent)
 | RemoveAllHandlersOfObject (TControl)
 | RemoveComponent (TComponent)
 | RemoveControl (TWinControl)
pt | RemoveFocus (TWinControl)
 | RemoveFreeNotification (TComponent)
pt | RemoveHandler (TControl)
 | RemoveHandlerOnBeforeDestruction (TControl)
 | RemoveHandlerOnChangeBounds (TControl)
 | RemoveHandlerOnEnableChanging (TControl)
 | RemoveHandlerOnKeyDown (TControl)
 | RemoveHandlerOnMouseWheel (TControl)
 | RemoveHandlerOnResize (TControl)
 | RemoveHandlerOnVisibleChanged (TControl)
 | RemoveHandlerOnVisibleChanging (TControl)
 | RemoveNotification (TComponent)
 | Repaint (TControl)
 | Repaint (TWinControl)
 | ReplaceDockedControl (TControl)
pt | RequestAlign (TControl)
pt | Resize (TControl)
 | SafeCallException (TObject)
 | SafeCallException (TComponent)
 | Scale96ToFont (TControl)
 | Scale96ToForm (TControl)
 | Scale96ToScreen (TControl)
 | ScaleBy (TWinControl)
pt | ScaleConstraints (TControl)
pt | ScaleControls (TWinControl)
 | ScaleDesignToForm (TControl)
 | ScaleFontsPPI (TControl)
 | ScaleFontTo96 (TControl)
 | ScaleFontToScreen (TControl)
 | ScaleFormTo96 (TControl)
 | ScaleFormToDesign (TControl)
 | ScaleScreenTo96 (TControl)
 | ScaleScreenToFont (TControl)
 | ScreenToClient (TControl)
 | ScreenToControl (TControl)
 | ScrollBy (TWinControl)
 | ScrollBy_WS (TWinControl)
pt | SelectFirst (TWinControl)
 | SelectNext (TWinControl)
pt | SendDialogChar (TWinControl)
pt | SendMoveSizeMessages (TControl)
pt | SendMoveSizeMessages (TWinControl)
 | SendToBack (TControl)
pt | SetAction (TControl)
pt | SetAlign (TControl)
 | SetAncestor (TComponent)
pt | SetAnchors (TControl)
pt | SetAutoSize (TControl)
pt | SetBiDiMode (TControl)
pt | SetBorderStyle (TWinControl)
 | SetBounds (TControl)
 | SetBounds (TWinControl)
 | SetBoundsKeepBase (TControl)
 | SetChildOrder (TComponent)
pt | SetChildZPosition (TWinControl)
pt | SetColor (TControl)
pt | SetColor (TWinControl)
pt | SetColor (TCustomControl)
 | SetComponentIndex (TComponent)
 | SetControlIndex (TWinControl)
pt | SetCursor (TControl)
 | SetDesigning (TComponent)
 | SetDesignInstance (TComponent)
pt | SetDockManager (TWinControl)
pt | SetDragMode (TControl)
pt | SetDrawStyle (TCDControl)
pt | SetEnabled (TControl)
 | SetFocus (TWinControl)
pt | SetHint (TControl)
 | SetInitialBounds (TControl)
 | SetInline (TComponent)
 | SetName (TComponent)
pt | SetName (TControl)
pt | SetParent (TControl)
pt | SetParentBackground (TWinControl)
pt | SetParentBiDiMode (TControl)
 | SetParentComponent (TComponent)
pt | SetParentComponent (TControl)
 | SetReference (TComponent)
 | SetShape (TWinControl)
pt | SetState (TCDControl)
 | SetSubComponent (TComponent)
 | SetTempCursor (TControl)
 | SetTempCursor (TWinControl)
 | SetTextBuf (TControl)
pt | SetVisible (TControl)
pt | SetZOrder (TControl)
 | ShouldAutoAdjust (TControl)
 | Show (TControl)
pt | ShowControl (TWinControl)
 | ShowHelp (TControl)
 | StringMessageTable (TObject)
pt | TextChanged (TControl)
 | ToString (TObject)
pt | TripleClick (TControl)
 | UnitName (TObject)
 | UnlockRealizeBounds (TWinControl)
 | Update (TControl)
 | Update (TWinControl)
 | UpdateAction (TComponent)
pt | UpdateAnchorRules (TControl)
 | UpdateBaseBounds (TControl)
pt | UpdateControlState (TWinControl)
 | Updated (TComponent)
 | UpdateDockCaption (TWinControl)
pt | UpdateMouseCursor (TControl)
 | UpdateRegistry (TComponent)
 | UpdateRolesForForm (TControl)
pt | UpdateShowing (TWinControl)
 | Updating (TComponent)
 | UseRightToLeftAlignment (TControl)
 | UseRightToLeftReading (TControl)
 | UseRightToLeftScrollBar (TControl)
pt | UTF8KeyPress (TWinControl)
 | ValidateContainer (TComponent)
 | ValidateInsert (TComponent)
 | ValidateRename (TComponent)
pt | VisibleChanged (TControl)
pt | VisibleChanging (TControl)
pt | WidthIsAnchored (TControl)
pt | WMCancelMode (TControl)
pt | WMChar (TWinControl)
pt | WMContextMenu (TControl)
pt | WMContextMenu (TWinControl)
pt | WMDestroy (TWinControl)
pt | WMEnter (TWinControl)
pt | WMEraseBkgnd (TWinControl)
pt | WMExit (TWinControl)
pt | WMKeyDown (TWinControl)
pt | WMKeyUp (TWinControl)
pt | WMKillFocus (TWinControl)
pt | WMLButtonDBLCLK (TControl)
pt | WMLButtonDown (TControl)
pt | WMLButtonQuadCLK (TControl)
pt | WMLButtonTripleCLK (TControl)
pt | WMLButtonUp (TControl)
pt | WMMButtonDBLCLK (TControl)
pt | WMMButtonDown (TControl)
pt | WMMButtonQuadCLK (TControl)
pt | WMMButtonTripleCLK (TControl)
pt | WMMButtonUp (TControl)
pt | WMMouseHWheel (TControl)
pt | WMMouseMove (TControl)
pt | WMMouseWheel (TControl)
pt | WMMove (TControl)
pt | WMMove (TWinControl)
pt | WMNotify (TWinControl)
pt | WMPaint (TWinControl)
pt | WMPaint (TCustomControl)
pt | WMRButtonDBLCLK (TControl)
pt | WMRButtonDown (TControl)
pt | WMRButtonQuadCLK (TControl)
pt | WMRButtonTripleCLK (TControl)
pt | WMRButtonUp (TControl)
pt | WMSetFocus (TWinControl)
pt | WMShowWindow (TWinControl)
pt | WMSize (TControl)
pt | WMSize (TWinControl)
pt | WMSysChar (TWinControl)
pt | WMSysKeyDown (TWinControl)
pt | WMSysKeyUp (TWinControl)
pt | WMWindowPosChanged (TControl)
pt | WMWindowPosChanged (TWinControl)
pt | WMXButtonDBLCLK (TControl)
pt | WMXButtonDown (TControl)
pt | WMXButtonQuadCLK (TControl)
pt | WMXButtonTripleCLK (TControl)
pt | WMXButtonUp (TControl)
pt | WndProc (TControl)
pt | WndProc (TWinControl)
 | WriteLayoutDebugReport (TControl)
 | WriteLayoutDebugReport (TWinControl)
 | WriteLeft (TComponent)
 | WriteState (TComponent)
 | WriteTop (TComponent)
pt | WSRegisterClass (TLCLComponent)
pt | WSRegisterClass (TControl)
pt | WSRegisterClass (TWinControl)
pt | WSRegisterClass (TCustomControl)
pt | WSSetText (TWinControl)
 | _AddRef (TComponent)
 | _Release (TComponent)


TCDProgressBar
pl | OnChange
TCDControl
TCustomControl
 | OnPaint
TWinControl
pt | OnGetSiteInfo
pt | OnGetDockCaption
 | OnAlignInsertBefore
 | OnAlignPosition
 | OnDockDrop
 | OnDockOver
 | OnEnter
 | OnExit
 | OnKeyDown
 | OnKeyPress
 | OnKeyUp
 | OnUnDock
 | OnUTF8KeyPress
TControl
pt | OnConstrainedResize
pt | OnContextPopup
pt | OnDblClick
pt | OnTripleClick
pt | OnQuadClick
pt | OnDragDrop
pt | OnDragOver
pt | OnEndDock
pt | OnEndDrag
pt | OnMouseDown
pt | OnMouseMove
pt | OnMouseUp
pt | OnMouseEnter
pt | OnMouseLeave
pt | OnMouseWheel
pt | OnMouseWheelDown
pt | OnMouseWheelUp
pt | OnMouseWheelHorz
pt | OnMouseWheelLeft
pt | OnMouseWheelRight
pt | OnStartDock
pt | OnStartDrag
pt | OnEditingDone
 | OnChangeBounds
 | OnClick
 | OnResize
 | OnShowHint
TLCLComponent
TComponent
TPersistent
TObject


pl | OnChange (TCDProgressBar)
 | OnChangeBounds (TControl)
 | OnClick (TControl)
pt | OnConstrainedResize (TControl)
pt | OnContextPopup (TControl)
pt | OnDblClick (TControl)
 | OnDockDrop (TWinControl)
 | OnDockOver (TWinControl)
pt | OnDragDrop (TControl)
pt | OnDragOver (TControl)
pt | OnEditingDone (TControl)
pt | OnEndDock (TControl)
pt | OnEndDrag (TControl)
 | OnEnter (TWinControl)
 | OnExit (TWinControl)
pt | OnGetDockCaption (TWinControl)
pt | OnGetSiteInfo (TWinControl)
 | OnKeyDown (TWinControl)
 | OnKeyPress (TWinControl)
 | OnKeyUp (TWinControl)
pt | OnMouseDown (TControl)
pt | OnMouseEnter (TControl)
pt | OnMouseLeave (TControl)
pt | OnMouseMove (TControl)
pt | OnMouseUp (TControl)
pt | OnMouseWheel (TControl)
pt | OnMouseWheelDown (TControl)
pt | OnMouseWheelHorz (TControl)
pt | OnMouseWheelLeft (TControl)
pt | OnMouseWheelRight (TControl)
pt | OnMouseWheelUp (TControl)
 | OnPaint (TCustomControl)
pt | OnQuadClick (TControl)
 | OnResize (TControl)
 | OnShowHint (TControl)
pt | OnStartDock (TControl)
pt | OnStartDrag (TControl)
pt | OnTripleClick (TControl)
 | OnUnDock (TWinControl)
 | OnUTF8KeyPress (TWinControl)


TCDProgressBar.BarShowText

Declaration

Source position: customdrawncontrols.pas line 546

published property TCDProgressBar.BarShowText : Boolean
  read FBarShowText
  write SetBarShowText;


TCDProgressBar.Color

Declaration

Source position: customdrawncontrols.pas line 547

published property TCDProgressBar.Color : TColor;


TCDProgressBar.Create

Declaration

Source position: customdrawncontrols.pas line 543

public constructor TCDProgressBar.Create(

  AOwner: TComponent

); override;


TCDProgressBar.CreateControlStateEx

Declaration

Source position: customdrawncontrols.pas line 540

protected procedure TCDProgressBar.CreateControlStateEx; override;


TCDProgressBar.Destroy

Declaration

Source position: customdrawncontrols.pas line 544

public destructor TCDProgressBar.Destroy; override;


TCDProgressBar.DrawStyle

Declaration

Source position: customdrawncontrols.pas line 548

published property TCDProgressBar.DrawStyle : TCDDrawStyle;


TCDProgressBar.Enabled

Declaration

Source position: customdrawncontrols.pas line 549

published property TCDProgressBar.Enabled : Boolean;


TCDProgressBar.FPBState

Declaration

Source position: customdrawncontrols.pas line 538

protected TCDProgressBar.FPBState : TCDProgressBarStateEx;


TCDProgressBar.GetControlId

Declaration

Source position: customdrawncontrols.pas line 539

protected function TCDProgressBar.GetControlId: TCDControlID; override;


TCDProgressBar.Max

Declaration

Source position: customdrawncontrols.pas line 550

published property TCDProgressBar.Max : Integer
  read FMax
  write SetMax
  default 10;


TCDProgressBar.Min

Declaration

Source position: customdrawncontrols.pas line 551

published property TCDProgressBar.Min : Integer
  read FMin
  write SetMin
  default 0;


TCDProgressBar.OnChange

Declaration

Source position: customdrawncontrols.pas line 552

published property TCDProgressBar.OnChange : TNotifyEvent
  read FOnChange
  write FOnChange;


TCDProgressBar.Orientation

Declaration

Source position: customdrawncontrols.pas line 553

published property TCDProgressBar.Orientation : TProgressBarOrientation
  read FOrientation
  write SetOrientation;


TCDProgressBar.Position

Declaration

Source position: customdrawncontrols.pas line 554

published property TCDProgressBar.Position : Integer
  read FPosition
  write SetPosition;


TCDProgressBar.PrepareControlStateEx

Declaration

Source position: customdrawncontrols.pas line 541

protected procedure TCDProgressBar.PrepareControlStateEx; override;


TCDProgressBar.Smooth

Declaration

Source position: customdrawncontrols.pas line 555

published property TCDProgressBar.Smooth : Boolean
  read FSmooth
  write SetSmooth;


TCDProgressBar.Style

Declaration

Source position: customdrawncontrols.pas line 556

published property TCDProgressBar.Style : TProgressBarStyle
  read FStyle
  write SetStyle;


TCDRadioButton

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Declaration

Source position: customdrawncontrols.pas line 288

type TCDRadioButton = class(TCDButtonControl)

protected

  function GetControlId; override;

public

  constructor Create(); override;

  destructor Destroy; override;

published

  property Caption: TCaption;

  property Checked: Boolean;

  property DrawStyle: TCDDrawStyle;

  property Enabled: Boolean;

  property TabStop: Boolean;

end;

Inheritance

TCDRadioButton |
|
TCDButtonControl |
|
TCDControl |
|
TCustomControl | The base class for windowed controls which paint themselves.
|
TWinControl | The base class for controls which can contain other (child) controls.
|
TControl | The base class for visible controls.
|
TLCLComponent | The base class for LCL components associated with widgets.
|
TComponent,IUnknown,IInterfaceComponentReference
|
TPersistent,IFPObserved
|
TObject


TCDRadioButton
pl | ro | Caption
pl | ro | Checked
pl | ro | DrawStyle
pl | ro | Enabled
pl | ro | TabStop
TCDButtonControl
pt |  | AllowGrayed
pt |  | Checked
pt |  | State
TCDControl
pt |  | DrawStyle
TCustomControl
 |  | Canvas
 | ro | BorderStyle
TWinControl
pt |  | WindowHandle
pt |  | BorderStyle
pt |  | ParentBackground
 |  | BorderWidth
 | ro | BoundsLockCount
 | ro | Brush
 | ro | CachedClientHeight
 | ro | CachedClientWidth
 |  | ChildSizing
 | ro | ControlCount
 | ro | Controls
 |  | DefWndProc
 | ro | DockClientCount
 | ro | DockClients
 |  | DockManager
 |  | DockSite
 |  | DoubleBuffered
 |  | Handle
 | ro | IsFlipped
 | ro | IsResizing
 |  | TabOrder
 |  | TabStop
 |  | ParentDoubleBuffered
 |  | ParentWindow
 | ro | Showing
 |  | UseDockManager
 |  | DesignerDeleting
 | ro | VisibleDockClientCount
TControl
pt | ro | AutoSizing
pt | ro | AutoSizingAll
pt | ro | AutoSizingLockCount
pt |  | ActionLink
pt |  | DesktopFont
pt |  | DragCursor
pt |  | DragKind
pt |  | DragMode
pt |  | MouseCapture
pt |  | ParentColor
pt |  | ParentFont
pt |  | ParentShowHint
pt |  | SessionProperties
pt |  | Text
 | ro | AnchoredControls
 | ro | BaseBounds
 | ro | ReadBounds
 | ro | BaseParentClientSize
 |  | AccessibleDescription
 |  | AccessibleValue
 |  | AccessibleRole
 |  | Action
 |  | Align
 |  | Anchors
 | ro | AnchorSide
 |  | AutoSize
 |  | BorderSpacing
 |  | BoundsRect
 |  | BoundsRectForNewParent
 |  | Caption
 |  | CaptureMouseButtons
 |  | ClientHeight
 | ro | ClientOrigin
 | ro | ClientRect
 |  | ClientWidth
 |  | Color
 |  | Constraints
 | ro | ControlOrigin
 |  | ControlState
 |  | ControlStyle
 |  | Enabled
 |  | Font
 |  | IsControl
 | ro | MouseEntered
 | ro | MouseInClient
 |  | Parent
 |  | PopupMenu
 |  | ShowHint
 |  | Visible
 |  | WindowProc
 |  | DockOrientation
 | ro | Floating
 |  | FloatingDockSiteClass
 |  | HostDockSite
 |  | LRDockWidth
 |  | TBDockHeight
 |  | UndockHeight
 |  | UndockWidth
 |  | BiDiMode
 |  | ParentBiDiMode
pl |  | AnchorSideLeft
pl |  | AnchorSideTop
pl |  | AnchorSideRight
pl |  | AnchorSideBottom
pl |  | Cursor
pl |  | Left
pl |  | Height
pl |  | Hint
pl |  | Top
pl |  | Width
pl |  | HelpType
pl |  | HelpKeyword
pl |  | HelpContext
TLCLComponent
 | ro | LCLRefCount
 | ro | WidgetSetClass
TComponent
 | ro | ComObject
 | ro | Components
 | ro | ComponentCount
 |  | ComponentIndex
 | ro | ComponentState
 | ro | ComponentStyle
 |  | DesignInfo
 | ro | Owner
 |  | VCLComObject
 |  | Name
 |  | Tag
TPersistent
TObject


 |  | AccessibleDescription (TControl)
 |  | AccessibleRole (TControl)
 |  | AccessibleValue (TControl)
 |  | Action (TControl)
pt |  | ActionLink (TControl)
 |  | Align (TControl)
pt |  | AllowGrayed (TCDButtonControl)
 | ro | AnchoredControls (TControl)
 |  | Anchors (TControl)
 | ro | AnchorSide (TControl)
pl |  | AnchorSideBottom (TControl)
pl |  | AnchorSideLeft (TControl)
pl |  | AnchorSideRight (TControl)
pl |  | AnchorSideTop (TControl)
 |  | AutoSize (TControl)
pt | ro | AutoSizing (TControl)
pt | ro | AutoSizingAll (TControl)
pt | ro | AutoSizingLockCount (TControl)
 | ro | BaseBounds (TControl)
 | ro | BaseParentClientSize (TControl)
 |  | BiDiMode (TControl)
 |  | BorderSpacing (TControl)
pt |  | BorderStyle (TWinControl)
 | ro | BorderStyle (TCustomControl)
 |  | BorderWidth (TWinControl)
 | ro | BoundsLockCount (TWinControl)
 |  | BoundsRect (TControl)
 |  | BoundsRectForNewParent (TControl)
 | ro | Brush (TWinControl)
 | ro | CachedClientHeight (TWinControl)
 | ro | CachedClientWidth (TWinControl)
 |  | Canvas (TCustomControl)
 |  | Caption (TControl)
pl | ro | Caption (TCDRadioButton)
 |  | CaptureMouseButtons (TControl)
pt |  | Checked (TCDButtonControl)
pl | ro | Checked (TCDRadioButton)
 |  | ChildSizing (TWinControl)
 |  | ClientHeight (TControl)
 | ro | ClientOrigin (TControl)
 | ro | ClientRect (TControl)
 |  | ClientWidth (TControl)
 |  | Color (TControl)
 | ro | ComObject (TComponent)
 | ro | ComponentCount (TComponent)
 |  | ComponentIndex (TComponent)
 | ro | Components (TComponent)
 | ro | ComponentState (TComponent)
 | ro | ComponentStyle (TComponent)
 |  | Constraints (TControl)
 | ro | ControlCount (TWinControl)
 | ro | ControlOrigin (TControl)
 | ro | Controls (TWinControl)
 |  | ControlState (TControl)
 |  | ControlStyle (TControl)
pl |  | Cursor (TControl)
 |  | DefWndProc (TWinControl)
 |  | DesignerDeleting (TWinControl)
 |  | DesignInfo (TComponent)
pt |  | DesktopFont (TControl)
 | ro | DockClientCount (TWinControl)
 | ro | DockClients (TWinControl)
 |  | DockManager (TWinControl)
 |  | DockOrientation (TControl)
 |  | DockSite (TWinControl)
 |  | DoubleBuffered (TWinControl)
pt |  | DragCursor (TControl)
pt |  | DragKind (TControl)
pt |  | DragMode (TControl)
pt |  | DrawStyle (TCDControl)
pl | ro | DrawStyle (TCDRadioButton)
 |  | Enabled (TControl)
pl | ro | Enabled (TCDRadioButton)
 | ro | Floating (TControl)
 |  | FloatingDockSiteClass (TControl)
 |  | Font (TControl)
 |  | Handle (TWinControl)
pl |  | Height (TControl)
pl |  | HelpContext (TControl)
pl |  | HelpKeyword (TControl)
pl |  | HelpType (TControl)
pl |  | Hint (TControl)
 |  | HostDockSite (TControl)
 |  | IsControl (TControl)
 | ro | IsFlipped (TWinControl)
 | ro | IsResizing (TWinControl)
 | ro | LCLRefCount (TLCLComponent)
pl |  | Left (TControl)
 |  | LRDockWidth (TControl)
pt |  | MouseCapture (TControl)
 | ro | MouseEntered (TControl)
 | ro | MouseInClient (TControl)
 |  | Name (TComponent)
 | ro | Owner (TComponent)
 |  | Parent (TControl)
pt |  | ParentBackground (TWinControl)
 |  | ParentBiDiMode (TControl)
pt |  | ParentColor (TControl)
 |  | ParentDoubleBuffered (TWinControl)
pt |  | ParentFont (TControl)
pt |  | ParentShowHint (TControl)
 |  | ParentWindow (TWinControl)
 |  | PopupMenu (TControl)
 | ro | ReadBounds (TControl)
pt |  | SessionProperties (TControl)
 |  | ShowHint (TControl)
 | ro | Showing (TWinControl)
pt |  | State (TCDButtonControl)
 |  | TabOrder (TWinControl)
 |  | TabStop (TWinControl)
pl | ro | TabStop (TCDRadioButton)
 |  | Tag (TComponent)
 |  | TBDockHeight (TControl)
pt |  | Text (TControl)
pl |  | Top (TControl)
 |  | UndockHeight (TControl)
 |  | UndockWidth (TControl)
 |  | UseDockManager (TWinControl)
 |  | VCLComObject (TComponent)
 |  | Visible (TControl)
 | ro | VisibleDockClientCount (TWinControl)
 | ro | WidgetSetClass (TLCLComponent)
pl |  | Width (TControl)
pt |  | WindowHandle (TWinControl)
 |  | WindowProc (TControl)


TCDRadioButton
pt | GetControlId
 | Create
 | Destroy
TCDButtonControl
pt | KeyDown
pt | KeyUp
pt | MouseDown
pt | MouseUp
pt | MouseEnter
pt | MouseLeave
pt | DoUncheckButton
pt | DoCheckIfFirstButtonInGroup
pt | DoButtonDown
pt | DoButtonUp
pt | RealSetText
pt | GetChecked
pt | SetChecked
pt | GetCheckedState
pt | SetCheckedState
TCDControl
pt | CalculatePreferredSize
pt | SetState
pt | PrepareCurrentDrawer
pt | SetDrawStyle
pt | GetClientRect
pt | GetControlId
pt | CreateControlStateEx
pt | PrepareControlState
pt | PrepareControlStateEx
pt | DoEnter
pt | DoExit
pt | MouseEnter
pt | MouseLeave
pt | MouseDown
 | Create
 | Destroy
 | LCLWSCalculatePreferredSize
 | EraseBackground
 | Paint
 | DrawToCanvas
TCustomControl
pt | WSRegisterClass
pt | WMPaint
pt | DestroyWnd
pt | PaintWindow
pt | FontChanged
pt | SetColor
pt | Paint
 | Create
 | Destroy
TWinControl
pt | WSRegisterClass
pt | AdjustClientRect
pt | GetAdjustedLogicalClientRect
pt | AlignControls
pt | CustomAlignInsertBefore
pt | CustomAlignPosition
pt | DoAlignChildControls
pt | DoChildSizingChange
pt | InvalidatePreferredChildSizes
pt | CanTab
pt | IsClientHeightStored
pt | IsClientWidthStored
pt | DoSendShowHideToInterface
pt | ControlsAligned
pt | DoSendBoundsToInterface
pt | RealizeBounds
pt | RealizeBoundsRecursive
pt | InvalidateBoundsRealized
pt | CreateSubClass
pt | DoConstraintsChange
pt | DoSetBounds
pt | DoAutoSize
pt | DoAllAutoSize
pt | AllAutoSized
pt | CalculatePreferredSize
pt | GetPreferredSizeClientFrame
pt | GetChildren
pt | ChildClassAllowed
pt | PaintControls
pt | PaintHandler
pt | PaintWindow
pt | CreateBrush
pt | ScaleControls
pt | ChangeScale
pt | CMBiDiModeChanged
pt | CMBorderChanged
pt | CMDoubleBufferedChanged
pt | CMEnabledChanged
pt | CMParentDoubleBufferedChanged
pt | CMShowingChanged
pt | CMShowHintChanged
pt | CMVisibleChanged
pt | CMEnter
pt | CMExit
pt | WMContextMenu
pt | WMEraseBkgnd
pt | WMNotify
pt | WMSetFocus
pt | WMKillFocus
pt | WMShowWindow
pt | WMEnter
pt | WMExit
pt | WMKeyDown
pt | WMSysKeyDown
pt | WMKeyUp
pt | WMSysKeyUp
pt | WMChar
pt | WMSysChar
pt | WMPaint
pt | WMDestroy
pt | WMMove
pt | WMSize
pt | WMWindowPosChanged
pt | CNKeyDown
pt | CNSysKeyDown
pt | CNKeyUp
pt | CNSysKeyUp
pt | CNChar
pt | DoDragMsg
pt | DoDockClientMsg
pt | DoUndockClientMsg
pt | DoAddDockClient
pt | DockOver
pt | DoDockOver
pt | DoRemoveDockClient
pt | DoUnDock
pt | GetSiteInfo
pt | GetParentHandle
pt | GetTopParentHandle
pt | ReloadDockedControl
pt | CreateDockManager
pt | SetDockManager
pt | DoFloatMsg
pt | DoGetDockCaption
pt | DoEnter
pt | DoExit
pt | DoKeyDownBeforeInterface
pt | DoRemainingKeyDown
pt | DoRemainingKeyUp
pt | DoKeyPress
pt | DoUTF8KeyPress
pt | DoKeyUpBeforeInterface
pt | ChildKey
pt | SendDialogChar
pt | DialogChar
pt | ControlKeyDown
pt | ControlKeyUp
pt | KeyDown
pt | KeyDownBeforeInterface
pt | KeyDownAfterInterface
pt | KeyPress
pt | KeyUp
pt | KeyUpBeforeInterface
pt | KeyUpAfterInterface
pt | UTF8KeyPress
pt | FindNextControl
pt | SelectFirst
pt | RealGetText
pt | GetBorderStyle
pt | GetClientOrigin
pt | GetClientRect
pt | GetControlOrigin
pt | GetDeviceContext
pt | GetParentBackground
pt | IsControlMouseMsg
pt | CreateHandle
pt | CreateParams
pt | CreateWnd
pt | DestroyHandle
pt | DestroyWnd
pt | DoFlipChildren
pt | FinalizeWnd
pt | FixupTabList
pt | FontChanged
pt | InitializeWnd
pt | Loaded
pt | FormEndUpdated
pt | MainWndProc
pt | ParentFormHandleInitialized
pt | ChildHandlesCreated
pt | GetMouseCapture
pt | RealSetText
pt | RemoveFocus
pt | SendMoveSizeMessages
pt | SetBorderStyle
pt | SetColor
pt | SetChildZPosition
pt | SetParentBackground
pt | ShowControl
pt | UpdateControlState
pt | UpdateShowing
pt | WndProc
pt | WSSetText
 | AutoSizePhases
 | AutoSizeDelayed
 | AutoSizeDelayedReport
 | AutoSizeDelayedHandle
 | BeginUpdateBounds
 | EndUpdateBounds
 | LockRealizeBounds
 | UnlockRealizeBounds
 | ControlAtPos
 | ContainsControl
 | DoAdjustClientRectChange
 | InvalidateClientRectCache
 | ClientRectNeedsInterfaceUpdate
 | SetBounds
 | GetChildrenRect
 | DisableAlign
 | EnableAlign
 | ReAlign
 | ScrollBy_WS
 | ScrollBy
 | WriteLayoutDebugReport
 | AutoAdjustLayout
 | Create
 | CreateParented
 | CreateParentedControl
 | Destroy
 | DockDrop
 | CanFocus
 | CanSetFocus
 | GetControlIndex
 | SetControlIndex
 | Focused
 | PerformTab
 | FindChildControl
 | SelectNext
 | SetTempCursor
 | BroadCast
 | NotifyControls
 | DefaultHandler
 | GetTextLen
 | Invalidate
 | AddControl
 | InsertControl
 | RemoveControl
 | GetEnumeratorControls
 | GetEnumeratorControlsReverse
 | Repaint
 | Update
 | SetFocus
 | FlipChildren
 | ScaleBy
 | GetDockCaption
 | UpdateDockCaption
 | GetTabOrderList
 | HandleAllocated
 | ParentHandlesAllocated
 | HandleNeeded
 | BrushCreated
 | EraseBackground
 | IntfUTF8KeyPress
 | IntfGetDropFilesTarget
 | PaintTo
 | SetShape
TControl
pt | WSRegisterClass
pt | GetCursor
pt | SetCursor
pt | SetVisible
pt | DoOnParentHandleDestruction
pt | DoAutoSize
pt | DoAllAutoSize
pt | BeginAutoSizing
pt | EndAutoSizing
pt | AnchorSideChanged
pt | ForeignAnchorSideChanged
pt | SetAlign
pt | SetAnchors
pt | SetAutoSize
pt | BoundsChanged
pt | CreateControlBorderSpacing
pt | DoConstraintsChange
pt | DoBorderSpacingChange
pt | IsBorderSpacingInnerBorderStored
pt | IsCaptionStored
pt | SendMoveSizeMessages
pt | ConstrainedResize
pt | CalculatePreferredSize
pt | DoOnResize
pt | DoOnChangeBounds
pt | CheckOnChangeBounds
pt | Resize
pt | RequestAlign
pt | UpdateAnchorRules
pt | ChangeBounds
pt | DoSetBounds
pt | ScaleConstraints
pt | ChangeScale
pt | CanAutoSize
pt | SetBiDiMode
pt | SetParentBiDiMode
pt | IsAParentAligning
pt | GetClientOrigin
pt | GetClientRect
pt | GetLogicalClientRect
pt | GetScrolledClientRect
pt | GetClientScrollOffset
pt | GetControlOrigin
pt | IsClientHeightStored
pt | IsClientWidthStored
pt | WidthIsAnchored
pt | HeightIsAnchored
pt | WMCancelMode
pt | WMContextMenu
pt | WMLButtonDown
pt | WMRButtonDown
pt | WMMButtonDown
pt | WMXButtonDown
pt | WMLButtonDBLCLK
pt | WMRButtonDBLCLK
pt | WMMButtonDBLCLK
pt | WMXButtonDBLCLK
pt | WMLButtonTripleCLK
pt | WMRButtonTripleCLK
pt | WMMButtonTripleCLK
pt | WMXButtonTripleCLK
pt | WMLButtonQuadCLK
pt | WMRButtonQuadCLK
pt | WMMButtonQuadCLK
pt | WMXButtonQuadCLK
pt | WMMouseMove
pt | WMLButtonUp
pt | WMRButtonUp
pt | WMMButtonUp
pt | WMXButtonUp
pt | WMMouseWheel
pt | WMMouseHWheel
pt | WMMove
pt | WMSize
pt | WMWindowPosChanged
pt | CMChanged
pt | LMCaptureChanged
pt | CMBiDiModeChanged
pt | CMSysFontChanged
pt | CMEnabledChanged
pt | CMHitTest
pt | CMMouseEnter
pt | CMMouseLeave
pt | CMHintShow
pt | CMParentBiDiModeChanged
pt | CMParentColorChanged
pt | CMParentFontChanged
pt | CMParentShowHintChanged
pt | CMVisibleChanged
pt | CMTextChanged
pt | CMCursorChanged
pt | CalculateDockSizes
pt | CreateFloatingDockSite
pt | GetDockEdge
pt | GetDragImages
pt | GetFloating
pt | GetFloatingDockSiteClass
pt | BeforeDragStart
pt | BeginAutoDrag
pt | DoFloatMsg
pt | DockTrackNoTarget
pt | DoDock
pt | DoDragMsg
pt | DoEndDock
pt | DoEndDrag
pt | DoStartDock
pt | DoStartDrag
pt | DragCanceled
pt | DragOver
pt | PositionDockRect
pt | SetDragMode
pt | GetDefaultDockCaption
pt | Click
pt | DblClick
pt | TripleClick
pt | QuadClick
pt | GetMousePosFromMessage
pt | MouseDown
pt | MouseMove
pt | MouseUp
pt | MouseEnter
pt | MouseLeave
pt | DialogChar
pt | UpdateMouseCursor
pt | Changed
pt | GetPalette
pt | ChildClassAllowed
pt | ReadState
pt | Loaded
pt | LoadedAll
pt | DefineProperties
pt | AssignTo
pt | FormEndUpdated
pt | InvalidateControl
pt | FontChanged
pt | ParentFontChanged
pt | GetAction
pt | RealGetText
pt | RealSetText
pt | TextChanged
pt | GetCachedText
pt | SetAction
pt | SetColor
pt | SetEnabled
pt | SetHint
pt | SetName
pt | SetParent
pt | SetParentComponent
pt | WndProc
pt | ParentFormHandleInitialized
pt | GetMouseCapture
pt | CaptureChanged
pt | Notification
pt | CanTab
pt | GetDeviceContext
pt | GetEnabled
pt | GetPopupMenu
pt | DoOnShowHint
pt | DoMouseWheel
pt | DoMouseWheelDown
pt | DoMouseWheelUp
pt | DoMouseWheelHorz
pt | DoMouseWheelLeft
pt | DoMouseWheelRight
pt | VisibleChanging
pt | VisibleChanged
pt | EnabledChanging
pt | EnabledChanged
pt | AddHandler
pt | RemoveHandler
pt | DoCallNotifyHandler
pt | DoCallKeyEventHandler
pt | DoCallMouseWheelEventHandler
pt | DoContextPopup
pt | SetZOrder
pt | GetControlClassDefaultSize
pt | ColorIsStored
pt | DoAutoAdjustLayout
pt | DoFixDesignFontPPI
pt | DoScaleFontPPI
pt | GetActionLinkClass
pt | ActionChange
 | DragDrop
 | Dock
 | ManualDock
 | ManualFloat
 | ReplaceDockedControl
 | Docked
 | Dragging
 | GetAccessibleObject
 | CreateAccessibleObject
 | GetSelectedChildAccessibleObject
 | GetChildAccessibleObjectAtPos
 | ScaleDesignToForm
 | ScaleFormToDesign
 | Scale96ToForm
 | ScaleFormTo96
 | Scale96ToFont
 | ScaleFontTo96
 | ScaleScreenToFont
 | ScaleFontToScreen
 | Scale96ToScreen
 | ScaleScreenTo96
 | AdjustSize
 | AutoSizePhases
 | AutoSizeDelayed
 | AutoSizeDelayedReport
 | AutoSizeDelayedHandle
 | AnchorToNeighbour
 | AnchorParallel
 | AnchorHorizontalCenterTo
 | AnchorVerticalCenterTo
 | AnchorToCompanion
 | AnchorSame
 | AnchorAsAlign
 | AnchorClient
 | AnchoredControlCount
 | SetBounds
 | SetInitialBounds
 | SetBoundsKeepBase
 | GetPreferredSize
 | GetCanvasScaleFactor
 | GetDefaultWidth
 | GetDefaultHeight
 | GetDefaultColor
 | GetColorResolvingParent
 | GetRGBColorResolvingParent
 | GetSidePosition
 | CNPreferredSizeChanged
 | InvalidatePreferredSize
 | GetAnchorsDependingOnParent
 | DisableAutoSizing
 | EnableAutoSizing
 | UpdateBaseBounds
 | WriteLayoutDebugReport
 | AutoAdjustLayout
 | ShouldAutoAdjust
 | FixDesignFontsPPI
 | ScaleFontsPPI
 | Create
 | Destroy
 | BeforeDestruction
 | EditingDone
 | ExecuteDefaultAction
 | ExecuteCancelAction
 | BeginDrag
 | EndDrag
 | BringToFront
 | HasParent
 | GetParentComponent
 | IsParentOf
 | GetTopParent
 | IsVisible
 | IsControlVisible
 | IsEnabled
 | IsParentColor
 | IsParentFont
 | FormIsUpdating
 | IsProcessingPaintMsg
 | Hide
 | Refresh
 | Repaint
 | Invalidate
 | CheckChildClassAllowed
 | CheckNewParent
 | SendToBack
 | SetTempCursor
 | UpdateRolesForForm
 | ActiveDefaultControlChanged
 | GetTextBuf
 | GetTextLen
 | SetTextBuf
 | Perform
 | ScreenToClient
 | ClientToScreen
 | ScreenToControl
 | ControlToScreen
 | ClientToParent
 | ParentToClient
 | GetChildrenRect
 | Show
 | Update
 | HandleObjectShouldBeVisible
 | ParentDestroyingHandle
 | ParentHandlesAllocated
 | InitiateAction
 | ShowHelp
 | HasHelp
 | RemoveAllHandlersOfObject
 | AddHandlerOnResize
 | RemoveHandlerOnResize
 | AddHandlerOnChangeBounds
 | RemoveHandlerOnChangeBounds
 | AddHandlerOnVisibleChanging
 | RemoveHandlerOnVisibleChanging
 | AddHandlerOnVisibleChanged
 | RemoveHandlerOnVisibleChanged
 | AddHandlerOnEnabledChanged
 | RemoveHandlerOnEnableChanging
 | AddHandlerOnKeyDown
 | RemoveHandlerOnKeyDown
 | AddHandlerOnBeforeDestruction
 | RemoveHandlerOnBeforeDestruction
 | AddHandlerOnMouseWheel
 | RemoveHandlerOnMouseWheel
 | UseRightToLeftAlignment
 | UseRightToLeftReading
 | UseRightToLeftScrollBar
 | IsRightToLeft
TLCLComponent
pt | WSRegisterClass
pt | GetWSComponentClass
 | Create
 | Destroy
 | NewInstance
 | RemoveAllHandlersOfObject
 | IncLCLRefCount
 | DecLCLRefCount
TComponent
 | GetComObject
 | GetComponent
 | GetComponentCount
 | GetComponentIndex
 | Insert
 | ReadLeft
 | ReadTop
 | Remove
 | RemoveNotification
 | SetComponentIndex
 | SetReference
 | WriteLeft
 | WriteTop
 | ChangeName
 | DefineProperties
 | GetChildren
 | GetChildOwner
 | GetChildParent
 | GetOwner
 | Loaded
 | Loading
 | Notification
 | PaletteCreated
 | ReadState
 | SetAncestor
 | SetDesigning
 | SetDesignInstance
 | SetInline
 | SetName
 | SetChildOrder
 | SetParentComponent
 | Updating
 | Updated
 | UpdateRegistry
 | ValidateRename
 | ValidateContainer
 | ValidateInsert
 | QueryInterface
 | _AddRef
 | _Release
 | iicrGetComponent
 | GetTypeInfoCount
 | GetTypeInfo
 | GetIDsOfNames
 | Invoke
 | WriteState
 | Create
 | Destroy
 | BeforeDestruction
 | DestroyComponents
 | Destroying
 | ExecuteAction
 | FindComponent
 | FreeNotification
 | RemoveFreeNotification
 | FreeOnRelease
 | GetEnumerator
 | GetNamePath
 | GetParentComponent
 | HasParent
 | InsertComponent
 | RemoveComponent
 | SafeCallException
 | SetSubComponent
 | UpdateAction
 | IsImplementorOf
 | ReferenceInterface
TPersistent
 | AssignError
 | AssignTo
 | DefineProperties
 | GetOwner
 | Destroy
 | Assign
 | FPOAttachObserver
 | FPODetachObserver
 | FPONotifyObservers
 | GetNamePath
TObject
 | Create
 | Destroy
 | newinstance
 | FreeInstance
 | SafeCallException
 | DefaultHandler
 | Free
 | InitInstance
 | CleanupInstance
 | ClassType
 | ClassInfo
 | ClassName
 | ClassNameIs
 | ClassParent
 | InstanceSize
 | InheritsFrom
 | StringMessageTable
 | MethodAddress
 | MethodName
 | FieldAddress
 | AfterConstruction
 | BeforeDestruction
 | DefaultHandlerStr
 | Dispatch
 | DispatchStr
 | GetInterface
 | GetInterfaceByStr
 | GetInterfaceWeak
 | GetInterfaceEntry
 | GetInterfaceEntryByStr
 | GetInterfaceTable
 | UnitName
 | Equals
 | GetHashCode
 | ToString


pt | ActionChange (TControl)
 | ActiveDefaultControlChanged (TControl)
 | AddControl (TWinControl)
pt | AddHandler (TControl)
 | AddHandlerOnBeforeDestruction (TControl)
 | AddHandlerOnChangeBounds (TControl)
 | AddHandlerOnEnabledChanged (TControl)
 | AddHandlerOnKeyDown (TControl)
 | AddHandlerOnMouseWheel (TControl)
 | AddHandlerOnResize (TControl)
 | AddHandlerOnVisibleChanged (TControl)
 | AddHandlerOnVisibleChanging (TControl)
pt | AdjustClientRect (TWinControl)
 | AdjustSize (TControl)
 | AfterConstruction (TObject)
pt | AlignControls (TWinControl)
pt | AllAutoSized (TWinControl)
 | AnchorAsAlign (TControl)
 | AnchorClient (TControl)
 | AnchoredControlCount (TControl)
 | AnchorHorizontalCenterTo (TControl)
 | AnchorParallel (TControl)
 | AnchorSame (TControl)
pt | AnchorSideChanged (TControl)
 | AnchorToCompanion (TControl)
 | AnchorToNeighbour (TControl)
 | AnchorVerticalCenterTo (TControl)
 | Assign (TPersistent)
 | AssignError (TPersistent)
 | AssignTo (TPersistent)
pt | AssignTo (TControl)
 | AutoAdjustLayout (TControl)
 | AutoAdjustLayout (TWinControl)
 | AutoSizeDelayed (TControl)
 | AutoSizeDelayed (TWinControl)
 | AutoSizeDelayedHandle (TControl)
 | AutoSizeDelayedHandle (TWinControl)
 | AutoSizeDelayedReport (TControl)
 | AutoSizeDelayedReport (TWinControl)
 | AutoSizePhases (TControl)
 | AutoSizePhases (TWinControl)
 | BeforeDestruction (TObject)
 | BeforeDestruction (TComponent)
 | BeforeDestruction (TControl)
pt | BeforeDragStart (TControl)
pt | BeginAutoDrag (TControl)
pt | BeginAutoSizing (TControl)
 | BeginDrag (TControl)
 | BeginUpdateBounds (TWinControl)
pt | BoundsChanged (TControl)
 | BringToFront (TControl)
 | BroadCast (TWinControl)
 | BrushCreated (TWinControl)
pt | CalculateDockSizes (TControl)
pt | CalculatePreferredSize (TControl)
pt | CalculatePreferredSize (TWinControl)
pt | CalculatePreferredSize (TCDControl)
pt | CanAutoSize (TControl)
 | CanFocus (TWinControl)
 | CanSetFocus (TWinControl)
pt | CanTab (TControl)
pt | CanTab (TWinControl)
pt | CaptureChanged (TControl)
pt | ChangeBounds (TControl)
pt | Changed (TControl)
 | ChangeName (TComponent)
pt | ChangeScale (TControl)
pt | ChangeScale (TWinControl)
 | CheckChildClassAllowed (TControl)
 | CheckNewParent (TControl)
pt | CheckOnChangeBounds (TControl)
pt | ChildClassAllowed (TControl)
pt | ChildClassAllowed (TWinControl)
pt | ChildHandlesCreated (TWinControl)
pt | ChildKey (TWinControl)
 | ClassInfo (TObject)
 | ClassName (TObject)
 | ClassNameIs (TObject)
 | ClassParent (TObject)
 | ClassType (TObject)
 | CleanupInstance (TObject)
pt | Click (TControl)
 | ClientRectNeedsInterfaceUpdate (TWinControl)
 | ClientToParent (TControl)
 | ClientToScreen (TControl)
pt | CMBiDiModeChanged (TControl)
pt | CMBiDiModeChanged (TWinControl)
pt | CMBorderChanged (TWinControl)
pt | CMChanged (TControl)
pt | CMCursorChanged (TControl)
pt | CMDoubleBufferedChanged (TWinControl)
pt | CMEnabledChanged (TControl)
pt | CMEnabledChanged (TWinControl)
pt | CMEnter (TWinControl)
pt | CMExit (TWinControl)
pt | CMHintShow (TControl)
pt | CMHitTest (TControl)
pt | CMMouseEnter (TControl)
pt | CMMouseLeave (TControl)
pt | CMParentBiDiModeChanged (TControl)
pt | CMParentColorChanged (TControl)
pt | CMParentDoubleBufferedChanged (TWinControl)
pt | CMParentFontChanged (TControl)
pt | CMParentShowHintChanged (TControl)
pt | CMShowHintChanged (TWinControl)
pt | CMShowingChanged (TWinControl)
pt | CMSysFontChanged (TControl)
pt | CMTextChanged (TControl)
pt | CMVisibleChanged (TControl)
pt | CMVisibleChanged (TWinControl)
pt | CNChar (TWinControl)
pt | CNKeyDown (TWinControl)
pt | CNKeyUp (TWinControl)
 | CNPreferredSizeChanged (TControl)
pt | CNSysKeyDown (TWinControl)
pt | CNSysKeyUp (TWinControl)
pt | ColorIsStored (TControl)
pt | ConstrainedResize (TControl)
 | ContainsControl (TWinControl)
 | ControlAtPos (TWinControl)
pt | ControlKeyDown (TWinControl)
pt | ControlKeyUp (TWinControl)
pt | ControlsAligned (TWinControl)
 | ControlToScreen (TControl)
 | Create (TObject)
 | Create (TComponent)
 | Create (TLCLComponent)
 | Create (TControl)
 | Create (TWinControl)
 | Create (TCustomControl)
 | Create (TCDControl)
 | Create (TCDRadioButton)
 | CreateAccessibleObject (TControl)
pt | CreateBrush (TWinControl)
pt | CreateControlBorderSpacing (TControl)
pt | CreateControlStateEx (TCDControl)
pt | CreateDockManager (TWinControl)
pt | CreateFloatingDockSite (TControl)
pt | CreateHandle (TWinControl)
pt | CreateParams (TWinControl)
 | CreateParented (TWinControl)
 | CreateParentedControl (TWinControl)
pt | CreateSubClass (TWinControl)
pt | CreateWnd (TWinControl)
pt | CustomAlignInsertBefore (TWinControl)
pt | CustomAlignPosition (TWinControl)
pt | DblClick (TControl)
 | DecLCLRefCount (TLCLComponent)
 | DefaultHandler (TObject)
 | DefaultHandler (TWinControl)
 | DefaultHandlerStr (TObject)
 | DefineProperties (TPersistent)
 | DefineProperties (TComponent)
pt | DefineProperties (TControl)
 | Destroy (TObject)
 | Destroy (TPersistent)
 | Destroy (TComponent)
 | Destroy (TLCLComponent)
 | Destroy (TControl)
 | Destroy (TWinControl)
 | Destroy (TCustomControl)
 | Destroy (TCDControl)
 | Destroy (TCDRadioButton)
 | DestroyComponents (TComponent)
pt | DestroyHandle (TWinControl)
 | Destroying (TComponent)
pt | DestroyWnd (TWinControl)
pt | DestroyWnd (TCustomControl)
pt | DialogChar (TControl)
pt | DialogChar (TWinControl)
 | DisableAlign (TWinControl)
 | DisableAutoSizing (TControl)
 | Dispatch (TObject)
 | DispatchStr (TObject)
pt | DoAddDockClient (TWinControl)
 | DoAdjustClientRectChange (TWinControl)
pt | DoAlignChildControls (TWinControl)
pt | DoAllAutoSize (TControl)
pt | DoAllAutoSize (TWinControl)
pt | DoAutoAdjustLayout (TControl)
pt | DoAutoSize (TControl)
pt | DoAutoSize (TWinControl)
pt | DoBorderSpacingChange (TControl)
pt | DoButtonDown (TCDButtonControl)
pt | DoButtonUp (TCDButtonControl)
pt | DoCallKeyEventHandler (TControl)
pt | DoCallMouseWheelEventHandler (TControl)
pt | DoCallNotifyHandler (TControl)
pt | DoCheckIfFirstButtonInGroup (TCDButtonControl)
pt | DoChildSizingChange (TWinControl)
 | Dock (TControl)
 | DockDrop (TWinControl)
 | Docked (TControl)
pt | DockOver (TWinControl)
pt | DockTrackNoTarget (TControl)
pt | DoConstraintsChange (TControl)
pt | DoConstraintsChange (TWinControl)
pt | DoContextPopup (TControl)
pt | DoDock (TControl)
pt | DoDockClientMsg (TWinControl)
pt | DoDockOver (TWinControl)
pt | DoDragMsg (TControl)
pt | DoDragMsg (TWinControl)
pt | DoEndDock (TControl)
pt | DoEndDrag (TControl)
pt | DoEnter (TWinControl)
pt | DoEnter (TCDControl)
pt | DoExit (TWinControl)
pt | DoExit (TCDControl)
pt | DoFixDesignFontPPI (TControl)
pt | DoFlipChildren (TWinControl)
pt | DoFloatMsg (TControl)
pt | DoFloatMsg (TWinControl)
pt | DoGetDockCaption (TWinControl)
pt | DoKeyDownBeforeInterface (TWinControl)
pt | DoKeyPress (TWinControl)
pt | DoKeyUpBeforeInterface (TWinControl)
pt | DoMouseWheel (TControl)
pt | DoMouseWheelDown (TControl)
pt | DoMouseWheelHorz (TControl)
pt | DoMouseWheelLeft (TControl)
pt | DoMouseWheelRight (TControl)
pt | DoMouseWheelUp (TControl)
pt | DoOnChangeBounds (TControl)
pt | DoOnParentHandleDestruction (TControl)
pt | DoOnResize (TControl)
pt | DoOnShowHint (TControl)
pt | DoRemainingKeyDown (TWinControl)
pt | DoRemainingKeyUp (TWinControl)
pt | DoRemoveDockClient (TWinControl)
pt | DoScaleFontPPI (TControl)
pt | DoSendBoundsToInterface (TWinControl)
pt | DoSendShowHideToInterface (TWinControl)
pt | DoSetBounds (TControl)
pt | DoSetBounds (TWinControl)
pt | DoStartDock (TControl)
pt | DoStartDrag (TControl)
pt | DoUncheckButton (TCDButtonControl)
pt | DoUnDock (TWinControl)
pt | DoUndockClientMsg (TWinControl)
pt | DoUTF8KeyPress (TWinControl)
pt | DragCanceled (TControl)
 | DragDrop (TControl)
 | Dragging (TControl)
pt | DragOver (TControl)
 | DrawToCanvas (TCDControl)
 | EditingDone (TControl)
 | EnableAlign (TWinControl)
 | EnableAutoSizing (TControl)
pt | EnabledChanged (TControl)
pt | EnabledChanging (TControl)
pt | EndAutoSizing (TControl)
 | EndDrag (TControl)
 | EndUpdateBounds (TWinControl)
 | Equals (TObject)
 | EraseBackground (TWinControl)
 | EraseBackground (TCDControl)
 | ExecuteAction (TComponent)
 | ExecuteCancelAction (TControl)
 | ExecuteDefaultAction (TControl)
 | FieldAddress (TObject)
pt | FinalizeWnd (TWinControl)
 | FindChildControl (TWinControl)
 | FindComponent (TComponent)
pt | FindNextControl (TWinControl)
 | FixDesignFontsPPI (TControl)
pt | FixupTabList (TWinControl)
 | FlipChildren (TWinControl)
 | Focused (TWinControl)
pt | FontChanged (TControl)
pt | FontChanged (TWinControl)
pt | FontChanged (TCustomControl)
pt | ForeignAnchorSideChanged (TControl)
pt | FormEndUpdated (TControl)
pt | FormEndUpdated (TWinControl)
 | FormIsUpdating (TControl)
 | FPOAttachObserver (TPersistent)
 | FPODetachObserver (TPersistent)
 | FPONotifyObservers (TPersistent)
 | Free (TObject)
 | FreeInstance (TObject)
 | FreeNotification (TComponent)
 | FreeOnRelease (TComponent)
 | GetAccessibleObject (TControl)
pt | GetAction (TControl)
pt | GetActionLinkClass (TControl)
pt | GetAdjustedLogicalClientRect (TWinControl)
 | GetAnchorsDependingOnParent (TControl)
pt | GetBorderStyle (TWinControl)
pt | GetCachedText (TControl)
 | GetCanvasScaleFactor (TControl)
pt | GetChecked (TCDButtonControl)
pt | GetCheckedState (TCDButtonControl)
 | GetChildAccessibleObjectAtPos (TControl)
 | GetChildOwner (TComponent)
 | GetChildParent (TComponent)
 | GetChildren (TComponent)
pt | GetChildren (TWinControl)
 | GetChildrenRect (TControl)
 | GetChildrenRect (TWinControl)
pt | GetClientOrigin (TControl)
pt | GetClientOrigin (TWinControl)
pt | GetClientRect (TControl)
pt | GetClientRect (TWinControl)
pt | GetClientRect (TCDControl)
pt | GetClientScrollOffset (TControl)
 | GetColorResolvingParent (TControl)
 | GetComObject (TComponent)
 | GetComponent (TComponent)
 | GetComponentCount (TComponent)
 | GetComponentIndex (TComponent)
pt | GetControlClassDefaultSize (TControl)
pt | GetControlId (TCDControl)
pt | GetControlId (TCDRadioButton)
 | GetControlIndex (TWinControl)
pt | GetControlOrigin (TControl)
pt | GetControlOrigin (TWinControl)
pt | GetCursor (TControl)
 | GetDefaultColor (TControl)
pt | GetDefaultDockCaption (TControl)
 | GetDefaultHeight (TControl)
 | GetDefaultWidth (TControl)
pt | GetDeviceContext (TControl)
pt | GetDeviceContext (TWinControl)
 | GetDockCaption (TWinControl)
pt | GetDockEdge (TControl)
pt | GetDragImages (TControl)
pt | GetEnabled (TControl)
 | GetEnumerator (TComponent)
 | GetEnumeratorControls (TWinControl)
 | GetEnumeratorControlsReverse (TWinControl)
pt | GetFloating (TControl)
pt | GetFloatingDockSiteClass (TControl)
 | GetHashCode (TObject)
 | GetIDsOfNames (TComponent)
 | GetInterface (TObject)
 | GetInterfaceByStr (TObject)
 | GetInterfaceEntry (TObject)
 | GetInterfaceEntryByStr (TObject)
 | GetInterfaceTable (TObject)
 | GetInterfaceWeak (TObject)
pt | GetLogicalClientRect (TControl)
pt | GetMouseCapture (TControl)
pt | GetMouseCapture (TWinControl)
pt | GetMousePosFromMessage (TControl)
 | GetNamePath (TPersistent)
 | GetNamePath (TComponent)
 | GetOwner (TPersistent)
 | GetOwner (TComponent)
pt | GetPalette (TControl)
pt | GetParentBackground (TWinControl)
 | GetParentComponent (TComponent)
 | GetParentComponent (TControl)
pt | GetParentHandle (TWinControl)
pt | GetPopupMenu (TControl)
 | GetPreferredSize (TControl)
pt | GetPreferredSizeClientFrame (TWinControl)
 | GetRGBColorResolvingParent (TControl)
pt | GetScrolledClientRect (TControl)
 | GetSelectedChildAccessibleObject (TControl)
 | GetSidePosition (TControl)
pt | GetSiteInfo (TWinControl)
 | GetTabOrderList (TWinControl)
 | GetTextBuf (TControl)
 | GetTextLen (TControl)
 | GetTextLen (TWinControl)
 | GetTopParent (TControl)
pt | GetTopParentHandle (TWinControl)
 | GetTypeInfo (TComponent)
 | GetTypeInfoCount (TComponent)
pt | GetWSComponentClass (TLCLComponent)
 | HandleAllocated (TWinControl)
 | HandleNeeded (TWinControl)
 | HandleObjectShouldBeVisible (TControl)
 | HasHelp (TControl)
 | HasParent (TComponent)
 | HasParent (TControl)
pt | HeightIsAnchored (TControl)
 | Hide (TControl)
 | iicrGetComponent (TComponent)
 | IncLCLRefCount (TLCLComponent)
 | InheritsFrom (TObject)
pt | InitializeWnd (TWinControl)
 | InitiateAction (TControl)
 | InitInstance (TObject)
 | Insert (TComponent)
 | InsertComponent (TComponent)
 | InsertControl (TWinControl)
 | InstanceSize (TObject)
 | IntfGetDropFilesTarget (TWinControl)
 | IntfUTF8KeyPress (TWinControl)
 | Invalidate (TControl)
 | Invalidate (TWinControl)
pt | InvalidateBoundsRealized (TWinControl)
 | InvalidateClientRectCache (TWinControl)
pt | InvalidateControl (TControl)
pt | InvalidatePreferredChildSizes (TWinControl)
 | InvalidatePreferredSize (TControl)
 | Invoke (TComponent)
pt | IsAParentAligning (TControl)
pt | IsBorderSpacingInnerBorderStored (TControl)
pt | IsCaptionStored (TControl)
pt | IsClientHeightStored (TControl)
pt | IsClientHeightStored (TWinControl)
pt | IsClientWidthStored (TControl)
pt | IsClientWidthStored (TWinControl)
pt | IsControlMouseMsg (TWinControl)
 | IsControlVisible (TControl)
 | IsEnabled (TControl)
 | IsImplementorOf (TComponent)
 | IsParentColor (TControl)
 | IsParentFont (TControl)
 | IsParentOf (TControl)
 | IsProcessingPaintMsg (TControl)
 | IsRightToLeft (TControl)
 | IsVisible (TControl)
pt | KeyDown (TWinControl)
pt | KeyDown (TCDButtonControl)
pt | KeyDownAfterInterface (TWinControl)
pt | KeyDownBeforeInterface (TWinControl)
pt | KeyPress (TWinControl)
pt | KeyUp (TWinControl)
pt | KeyUp (TCDButtonControl)
pt | KeyUpAfterInterface (TWinControl)
pt | KeyUpBeforeInterface (TWinControl)
 | LCLWSCalculatePreferredSize (TCDControl)
pt | LMCaptureChanged (TControl)
 | Loaded (TComponent)
pt | Loaded (TControl)
pt | Loaded (TWinControl)
pt | LoadedAll (TControl)
 | Loading (TComponent)
 | LockRealizeBounds (TWinControl)
pt | MainWndProc (TWinControl)
 | ManualDock (TControl)
 | ManualFloat (TControl)
 | MethodAddress (TObject)
 | MethodName (TObject)
pt | MouseDown (TControl)
pt | MouseDown (TCDControl)
pt | MouseDown (TCDButtonControl)
pt | MouseEnter (TControl)
pt | MouseEnter (TCDControl)
pt | MouseEnter (TCDButtonControl)
pt | MouseLeave (TControl)
pt | MouseLeave (TCDControl)
pt | MouseLeave (TCDButtonControl)
pt | MouseMove (TControl)
pt | MouseUp (TControl)
pt | MouseUp (TCDButtonControl)
 | newinstance (TObject)
 | NewInstance (TLCLComponent)
 | Notification (TComponent)
pt | Notification (TControl)
 | NotifyControls (TWinControl)
pt | Paint (TCustomControl)
 | Paint (TCDControl)
pt | PaintControls (TWinControl)
pt | PaintHandler (TWinControl)
 | PaintTo (TWinControl)
pt | PaintWindow (TWinControl)
pt | PaintWindow (TCustomControl)
 | PaletteCreated (TComponent)
 | ParentDestroyingHandle (TControl)
pt | ParentFontChanged (TControl)
pt | ParentFormHandleInitialized (TControl)
pt | ParentFormHandleInitialized (TWinControl)
 | ParentHandlesAllocated (TControl)
 | ParentHandlesAllocated (TWinControl)
 | ParentToClient (TControl)
 | Perform (TControl)
 | PerformTab (TWinControl)
pt | PositionDockRect (TControl)
pt | PrepareControlState (TCDControl)
pt | PrepareControlStateEx (TCDControl)
pt | PrepareCurrentDrawer (TCDControl)
pt | QuadClick (TControl)
 | QueryInterface (TComponent)
 | ReadLeft (TComponent)
 | ReadState (TComponent)
pt | ReadState (TControl)
 | ReadTop (TComponent)
pt | RealGetText (TControl)
pt | RealGetText (TWinControl)
 | ReAlign (TWinControl)
pt | RealizeBounds (TWinControl)
pt | RealizeBoundsRecursive (TWinControl)
pt | RealSetText (TControl)
pt | RealSetText (TWinControl)
pt | RealSetText (TCDButtonControl)
 | ReferenceInterface (TComponent)
 | Refresh (TControl)
pt | ReloadDockedControl (TWinControl)
 | Remove (TComponent)
 | RemoveAllHandlersOfObject (TLCLComponent)
 | RemoveAllHandlersOfObject (TControl)
 | RemoveComponent (TComponent)
 | RemoveControl (TWinControl)
pt | RemoveFocus (TWinControl)
 | RemoveFreeNotification (TComponent)
pt | RemoveHandler (TControl)
 | RemoveHandlerOnBeforeDestruction (TControl)
 | RemoveHandlerOnChangeBounds (TControl)
 | RemoveHandlerOnEnableChanging (TControl)
 | RemoveHandlerOnKeyDown (TControl)
 | RemoveHandlerOnMouseWheel (TControl)
 | RemoveHandlerOnResize (TControl)
 | RemoveHandlerOnVisibleChanged (TControl)
 | RemoveHandlerOnVisibleChanging (TControl)
 | RemoveNotification (TComponent)
 | Repaint (TControl)
 | Repaint (TWinControl)
 | ReplaceDockedControl (TControl)
pt | RequestAlign (TControl)
pt | Resize (TControl)
 | SafeCallException (TObject)
 | SafeCallException (TComponent)
 | Scale96ToFont (TControl)
 | Scale96ToForm (TControl)
 | Scale96ToScreen (TControl)
 | ScaleBy (TWinControl)
pt | ScaleConstraints (TControl)
pt | ScaleControls (TWinControl)
 | ScaleDesignToForm (TControl)
 | ScaleFontsPPI (TControl)
 | ScaleFontTo96 (TControl)
 | ScaleFontToScreen (TControl)
 | ScaleFormTo96 (TControl)
 | ScaleFormToDesign (TControl)
 | ScaleScreenTo96 (TControl)
 | ScaleScreenToFont (TControl)
 | ScreenToClient (TControl)
 | ScreenToControl (TControl)
 | ScrollBy (TWinControl)
 | ScrollBy_WS (TWinControl)
pt | SelectFirst (TWinControl)
 | SelectNext (TWinControl)
pt | SendDialogChar (TWinControl)
pt | SendMoveSizeMessages (TControl)
pt | SendMoveSizeMessages (TWinControl)
 | SendToBack (TControl)
pt | SetAction (TControl)
pt | SetAlign (TControl)
 | SetAncestor (TComponent)
pt | SetAnchors (TControl)
pt | SetAutoSize (TControl)
pt | SetBiDiMode (TControl)
pt | SetBorderStyle (TWinControl)
 | SetBounds (TControl)
 | SetBounds (TWinControl)
 | SetBoundsKeepBase (TControl)
pt | SetChecked (TCDButtonControl)
pt | SetCheckedState (TCDButtonControl)
 | SetChildOrder (TComponent)
pt | SetChildZPosition (TWinControl)
pt | SetColor (TControl)
pt | SetColor (TWinControl)
pt | SetColor (TCustomControl)
 | SetComponentIndex (TComponent)
 | SetControlIndex (TWinControl)
pt | SetCursor (TControl)
 | SetDesigning (TComponent)
 | SetDesignInstance (TComponent)
pt | SetDockManager (TWinControl)
pt | SetDragMode (TControl)
pt | SetDrawStyle (TCDControl)
pt | SetEnabled (TControl)
 | SetFocus (TWinControl)
pt | SetHint (TControl)
 | SetInitialBounds (TControl)
 | SetInline (TComponent)
 | SetName (TComponent)
pt | SetName (TControl)
pt | SetParent (TControl)
pt | SetParentBackground (TWinControl)
pt | SetParentBiDiMode (TControl)
 | SetParentComponent (TComponent)
pt | SetParentComponent (TControl)
 | SetReference (TComponent)
 | SetShape (TWinControl)
pt | SetState (TCDControl)
 | SetSubComponent (TComponent)
 | SetTempCursor (TControl)
 | SetTempCursor (TWinControl)
 | SetTextBuf (TControl)
pt | SetVisible (TControl)
pt | SetZOrder (TControl)
 | ShouldAutoAdjust (TControl)
 | Show (TControl)
pt | ShowControl (TWinControl)
 | ShowHelp (TControl)
 | StringMessageTable (TObject)
pt | TextChanged (TControl)
 | ToString (TObject)
pt | TripleClick (TControl)
 | UnitName (TObject)
 | UnlockRealizeBounds (TWinControl)
 | Update (TControl)
 | Update (TWinControl)
 | UpdateAction (TComponent)
pt | UpdateAnchorRules (TControl)
 | UpdateBaseBounds (TControl)
pt | UpdateControlState (TWinControl)
 | Updated (TComponent)
 | UpdateDockCaption (TWinControl)
pt | UpdateMouseCursor (TControl)
 | UpdateRegistry (TComponent)
 | UpdateRolesForForm (TControl)
pt | UpdateShowing (TWinControl)
 | Updating (TComponent)
 | UseRightToLeftAlignment (TControl)
 | UseRightToLeftReading (TControl)
 | UseRightToLeftScrollBar (TControl)
pt | UTF8KeyPress (TWinControl)
 | ValidateContainer (TComponent)
 | ValidateInsert (TComponent)
 | ValidateRename (TComponent)
pt | VisibleChanged (TControl)
pt | VisibleChanging (TControl)
pt | WidthIsAnchored (TControl)
pt | WMCancelMode (TControl)
pt | WMChar (TWinControl)
pt | WMContextMenu (TControl)
pt | WMContextMenu (TWinControl)
pt | WMDestroy (TWinControl)
pt | WMEnter (TWinControl)
pt | WMEraseBkgnd (TWinControl)
pt | WMExit (TWinControl)
pt | WMKeyDown (TWinControl)
pt | WMKeyUp (TWinControl)
pt | WMKillFocus (TWinControl)
pt | WMLButtonDBLCLK (TControl)
pt | WMLButtonDown (TControl)
pt | WMLButtonQuadCLK (TControl)
pt | WMLButtonTripleCLK (TControl)
pt | WMLButtonUp (TControl)
pt | WMMButtonDBLCLK (TControl)
pt | WMMButtonDown (TControl)
pt | WMMButtonQuadCLK (TControl)
pt | WMMButtonTripleCLK (TControl)
pt | WMMButtonUp (TControl)
pt | WMMouseHWheel (TControl)
pt | WMMouseMove (TControl)
pt | WMMouseWheel (TControl)
pt | WMMove (TControl)
pt | WMMove (TWinControl)
pt | WMNotify (TWinControl)
pt | WMPaint (TWinControl)
pt | WMPaint (TCustomControl)
pt | WMRButtonDBLCLK (TControl)
pt | WMRButtonDown (TControl)
pt | WMRButtonQuadCLK (TControl)
pt | WMRButtonTripleCLK (TControl)
pt | WMRButtonUp (TControl)
pt | WMSetFocus (TWinControl)
pt | WMShowWindow (TWinControl)
pt | WMSize (TControl)
pt | WMSize (TWinControl)
pt | WMSysChar (TWinControl)
pt | WMSysKeyDown (TWinControl)
pt | WMSysKeyUp (TWinControl)
pt | WMWindowPosChanged (TControl)
pt | WMWindowPosChanged (TWinControl)
pt | WMXButtonDBLCLK (TControl)
pt | WMXButtonDown (TControl)
pt | WMXButtonQuadCLK (TControl)
pt | WMXButtonTripleCLK (TControl)
pt | WMXButtonUp (TControl)
pt | WndProc (TControl)
pt | WndProc (TWinControl)
 | WriteLayoutDebugReport (TControl)
 | WriteLayoutDebugReport (TWinControl)
 | WriteLeft (TComponent)
 | WriteState (TComponent)
 | WriteTop (TComponent)
pt | WSRegisterClass (TLCLComponent)
pt | WSRegisterClass (TControl)
pt | WSRegisterClass (TWinControl)
pt | WSRegisterClass (TCustomControl)
pt | WSSetText (TWinControl)
 | _AddRef (TComponent)
 | _Release (TComponent)


TCDRadioButton
TCDButtonControl
TCDControl
TCustomControl
 | OnPaint
TWinControl
pt | OnGetSiteInfo
pt | OnGetDockCaption
 | OnAlignInsertBefore
 | OnAlignPosition
 | OnDockDrop
 | OnDockOver
 | OnEnter
 | OnExit
 | OnKeyDown
 | OnKeyPress
 | OnKeyUp
 | OnUnDock
 | OnUTF8KeyPress
TControl
pt | OnConstrainedResize
pt | OnContextPopup
pt | OnDblClick
pt | OnTripleClick
pt | OnQuadClick
pt | OnDragDrop
pt | OnDragOver
pt | OnEndDock
pt | OnEndDrag
pt | OnMouseDown
pt | OnMouseMove
pt | OnMouseUp
pt | OnMouseEnter
pt | OnMouseLeave
pt | OnMouseWheel
pt | OnMouseWheelDown
pt | OnMouseWheelUp
pt | OnMouseWheelHorz
pt | OnMouseWheelLeft
pt | OnMouseWheelRight
pt | OnStartDock
pt | OnStartDrag
pt | OnEditingDone
 | OnChangeBounds
 | OnClick
 | OnResize
 | OnShowHint
TLCLComponent
TComponent
TPersistent
TObject


TCDRadioButton.Caption

Declaration

Source position: customdrawncontrols.pas line 295

published property TCDRadioButton.Caption : TCaption;


TCDRadioButton.Checked

Declaration

Source position: customdrawncontrols.pas line 296

published property TCDRadioButton.Checked : Boolean;


TCDRadioButton.Create

Declaration

Source position: customdrawncontrols.pas line 292

public constructor TCDRadioButton.Create(

  AOwner: TComponent

); override;


TCDRadioButton.Destroy

Declaration

Source position: customdrawncontrols.pas line 293

public destructor TCDRadioButton.Destroy; override;


TCDRadioButton.DrawStyle

Declaration

Source position: customdrawncontrols.pas line 297

published property TCDRadioButton.DrawStyle : TCDDrawStyle;


TCDRadioButton.Enabled

Declaration

Source position: customdrawncontrols.pas line 298

published property TCDRadioButton.Enabled : Boolean;


TCDRadioButton.GetControlId

Declaration

Source position: customdrawncontrols.pas line 290

protected function TCDRadioButton.GetControlId: TCDControlID; override;


TCDRadioButton.TabStop

Declaration

Source position: customdrawncontrols.pas line 299

published property TCDRadioButton.TabStop : Boolean
  default True;


TCDScrollableControl

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Declaration

Source position: customdrawncontrols.pas line 74

type TCDScrollableControl = class(TCDControl)

public

  constructor Create(); override;

  destructor Destroy; override;

  property ScrollBars: TScrollStyle; [rw]

end;

Inheritance

TCDScrollableControl |
|
TCDControl |
|
TCustomControl | The base class for windowed controls which paint themselves.
|
TWinControl | The base class for controls which can contain other (child) controls.
|
TControl | The base class for visible controls.
|
TLCLComponent | The base class for LCL components associated with widgets.
|
TComponent,IUnknown,IInterfaceComponentReference
|
TPersistent,IFPObserved
|
TObject


TCDScrollableControl
 |  | ScrollBars
TCDControl
pt |  | DrawStyle
TCustomControl
 |  | Canvas
 | ro | BorderStyle
TWinControl
pt |  | WindowHandle
pt |  | BorderStyle
pt |  | ParentBackground
 |  | BorderWidth
 | ro | BoundsLockCount
 | ro | Brush
 | ro | CachedClientHeight
 | ro | CachedClientWidth
 |  | ChildSizing
 | ro | ControlCount
 | ro | Controls
 |  | DefWndProc
 | ro | DockClientCount
 | ro | DockClients
 |  | DockManager
 |  | DockSite
 |  | DoubleBuffered
 |  | Handle
 | ro | IsFlipped
 | ro | IsResizing
 |  | TabOrder
 |  | TabStop
 |  | ParentDoubleBuffered
 |  | ParentWindow
 | ro | Showing
 |  | UseDockManager
 |  | DesignerDeleting
 | ro | VisibleDockClientCount
TControl
pt | ro | AutoSizing
pt | ro | AutoSizingAll
pt | ro | AutoSizingLockCount
pt |  | ActionLink
pt |  | DesktopFont
pt |  | DragCursor
pt |  | DragKind
pt |  | DragMode
pt |  | MouseCapture
pt |  | ParentColor
pt |  | ParentFont
pt |  | ParentShowHint
pt |  | SessionProperties
pt |  | Text
 | ro | AnchoredControls
 | ro | BaseBounds
 | ro | ReadBounds
 | ro | BaseParentClientSize
 |  | AccessibleDescription
 |  | AccessibleValue
 |  | AccessibleRole
 |  | Action
 |  | Align
 |  | Anchors
 | ro | AnchorSide
 |  | AutoSize
 |  | BorderSpacing
 |  | BoundsRect
 |  | BoundsRectForNewParent
 |  | Caption
 |  | CaptureMouseButtons
 |  | ClientHeight
 | ro | ClientOrigin
 | ro | ClientRect
 |  | ClientWidth
 |  | Color
 |  | Constraints
 | ro | ControlOrigin
 |  | ControlState
 |  | ControlStyle
 |  | Enabled
 |  | Font
 |  | IsControl
 | ro | MouseEntered
 | ro | MouseInClient
 |  | Parent
 |  | PopupMenu
 |  | ShowHint
 |  | Visible
 |  | WindowProc
 |  | DockOrientation
 | ro | Floating
 |  | FloatingDockSiteClass
 |  | HostDockSite
 |  | LRDockWidth
 |  | TBDockHeight
 |  | UndockHeight
 |  | UndockWidth
 |  | BiDiMode
 |  | ParentBiDiMode
pl |  | AnchorSideLeft
pl |  | AnchorSideTop
pl |  | AnchorSideRight
pl |  | AnchorSideBottom
pl |  | Cursor
pl |  | Left
pl |  | Height
pl |  | Hint
pl |  | Top
pl |  | Width
pl |  | HelpType
pl |  | HelpKeyword
pl |  | HelpContext
TLCLComponent
 | ro | LCLRefCount
 | ro | WidgetSetClass
TComponent
 | ro | ComObject
 | ro | Components
 | ro | ComponentCount
 |  | ComponentIndex
 | ro | ComponentState
 | ro | ComponentStyle
 |  | DesignInfo
 | ro | Owner
 |  | VCLComObject
 |  | Name
 |  | Tag
TPersistent
TObject


 |  | AccessibleDescription (TControl)
 |  | AccessibleRole (TControl)
 |  | AccessibleValue (TControl)
 |  | Action (TControl)
pt |  | ActionLink (TControl)
 |  | Align (TControl)
 | ro | AnchoredControls (TControl)
 |  | Anchors (TControl)
 | ro | AnchorSide (TControl)
pl |  | AnchorSideBottom (TControl)
pl |  | AnchorSideLeft (TControl)
pl |  | AnchorSideRight (TControl)
pl |  | AnchorSideTop (TControl)
 |  | AutoSize (TControl)
pt | ro | AutoSizing (TControl)
pt | ro | AutoSizingAll (TControl)
pt | ro | AutoSizingLockCount (TControl)
 | ro | BaseBounds (TControl)
 | ro | BaseParentClientSize (TControl)
 |  | BiDiMode (TControl)
 |  | BorderSpacing (TControl)
pt |  | BorderStyle (TWinControl)
 | ro | BorderStyle (TCustomControl)
 |  | BorderWidth (TWinControl)
 | ro | BoundsLockCount (TWinControl)
 |  | BoundsRect (TControl)
 |  | BoundsRectForNewParent (TControl)
 | ro | Brush (TWinControl)
 | ro | CachedClientHeight (TWinControl)
 | ro | CachedClientWidth (TWinControl)
 |  | Canvas (TCustomControl)
 |  | Caption (TControl)
 |  | CaptureMouseButtons (TControl)
 |  | ChildSizing (TWinControl)
 |  | ClientHeight (TControl)
 | ro | ClientOrigin (TControl)
 | ro | ClientRect (TControl)
 |  | ClientWidth (TControl)
 |  | Color (TControl)
 | ro | ComObject (TComponent)
 | ro | ComponentCount (TComponent)
 |  | ComponentIndex (TComponent)
 | ro | Components (TComponent)
 | ro | ComponentState (TComponent)
 | ro | ComponentStyle (TComponent)
 |  | Constraints (TControl)
 | ro | ControlCount (TWinControl)
 | ro | ControlOrigin (TControl)
 | ro | Controls (TWinControl)
 |  | ControlState (TControl)
 |  | ControlStyle (TControl)
pl |  | Cursor (TControl)
 |  | DefWndProc (TWinControl)
 |  | DesignerDeleting (TWinControl)
 |  | DesignInfo (TComponent)
pt |  | DesktopFont (TControl)
 | ro | DockClientCount (TWinControl)
 | ro | DockClients (TWinControl)
 |  | DockManager (TWinControl)
 |  | DockOrientation (TControl)
 |  | DockSite (TWinControl)
 |  | DoubleBuffered (TWinControl)
pt |  | DragCursor (TControl)
pt |  | DragKind (TControl)
pt |  | DragMode (TControl)
pt |  | DrawStyle (TCDControl)
 |  | Enabled (TControl)
 | ro | Floating (TControl)
 |  | FloatingDockSiteClass (TControl)
 |  | Font (TControl)
 |  | Handle (TWinControl)
pl |  | Height (TControl)
pl |  | HelpContext (TControl)
pl |  | HelpKeyword (TControl)
pl |  | HelpType (TControl)
pl |  | Hint (TControl)
 |  | HostDockSite (TControl)
 |  | IsControl (TControl)
 | ro | IsFlipped (TWinControl)
 | ro | IsResizing (TWinControl)
 | ro | LCLRefCount (TLCLComponent)
pl |  | Left (TControl)
 |  | LRDockWidth (TControl)
pt |  | MouseCapture (TControl)
 | ro | MouseEntered (TControl)
 | ro | MouseInClient (TControl)
 |  | Name (TComponent)
 | ro | Owner (TComponent)
 |  | Parent (TControl)
pt |  | ParentBackground (TWinControl)
 |  | ParentBiDiMode (TControl)
pt |  | ParentColor (TControl)
 |  | ParentDoubleBuffered (TWinControl)
pt |  | ParentFont (TControl)
pt |  | ParentShowHint (TControl)
 |  | ParentWindow (TWinControl)
 |  | PopupMenu (TControl)
 | ro | ReadBounds (TControl)
 |  | ScrollBars (TCDScrollableControl)
pt |  | SessionProperties (TControl)
 |  | ShowHint (TControl)
 | ro | Showing (TWinControl)
 |  | TabOrder (TWinControl)
 |  | TabStop (TWinControl)
 |  | Tag (TComponent)
 |  | TBDockHeight (TControl)
pt |  | Text (TControl)
pl |  | Top (TControl)
 |  | UndockHeight (TControl)
 |  | UndockWidth (TControl)
 |  | UseDockManager (TWinControl)
 |  | VCLComObject (TComponent)
 |  | Visible (TControl)
 | ro | VisibleDockClientCount (TWinControl)
 | ro | WidgetSetClass (TLCLComponent)
pl |  | Width (TControl)
pt |  | WindowHandle (TWinControl)
 |  | WindowProc (TControl)


TCDScrollableControl
 | Create
 | Destroy
TCDControl
pt | CalculatePreferredSize
pt | SetState
pt | PrepareCurrentDrawer
pt | SetDrawStyle
pt | GetClientRect
pt | GetControlId
pt | CreateControlStateEx
pt | PrepareControlState
pt | PrepareControlStateEx
pt | DoEnter
pt | DoExit
pt | MouseEnter
pt | MouseLeave
pt | MouseDown
 | Create
 | Destroy
 | LCLWSCalculatePreferredSize
 | EraseBackground
 | Paint
 | DrawToCanvas
TCustomControl
pt | WSRegisterClass
pt | WMPaint
pt | DestroyWnd
pt | PaintWindow
pt | FontChanged
pt | SetColor
pt | Paint
 | Create
 | Destroy
TWinControl
pt | WSRegisterClass
pt | AdjustClientRect
pt | GetAdjustedLogicalClientRect
pt | AlignControls
pt | CustomAlignInsertBefore
pt | CustomAlignPosition
pt | DoAlignChildControls
pt | DoChildSizingChange
pt | InvalidatePreferredChildSizes
pt | CanTab
pt | IsClientHeightStored
pt | IsClientWidthStored
pt | DoSendShowHideToInterface
pt | ControlsAligned
pt | DoSendBoundsToInterface
pt | RealizeBounds
pt | RealizeBoundsRecursive
pt | InvalidateBoundsRealized
pt | CreateSubClass
pt | DoConstraintsChange
pt | DoSetBounds
pt | DoAutoSize
pt | DoAllAutoSize
pt | AllAutoSized
pt | CalculatePreferredSize
pt | GetPreferredSizeClientFrame
pt | GetChildren
pt | ChildClassAllowed
pt | PaintControls
pt | PaintHandler
pt | PaintWindow
pt | CreateBrush
pt | ScaleControls
pt | ChangeScale
pt | CMBiDiModeChanged
pt | CMBorderChanged
pt | CMDoubleBufferedChanged
pt | CMEnabledChanged
pt | CMParentDoubleBufferedChanged
pt | CMShowingChanged
pt | CMShowHintChanged
pt | CMVisibleChanged
pt | CMEnter
pt | CMExit
pt | WMContextMenu
pt | WMEraseBkgnd
pt | WMNotify
pt | WMSetFocus
pt | WMKillFocus
pt | WMShowWindow
pt | WMEnter
pt | WMExit
pt | WMKeyDown
pt | WMSysKeyDown
pt | WMKeyUp
pt | WMSysKeyUp
pt | WMChar
pt | WMSysChar
pt | WMPaint
pt | WMDestroy
pt | WMMove
pt | WMSize
pt | WMWindowPosChanged
pt | CNKeyDown
pt | CNSysKeyDown
pt | CNKeyUp
pt | CNSysKeyUp
pt | CNChar
pt | DoDragMsg
pt | DoDockClientMsg
pt | DoUndockClientMsg
pt | DoAddDockClient
pt | DockOver
pt | DoDockOver
pt | DoRemoveDockClient
pt | DoUnDock
pt | GetSiteInfo
pt | GetParentHandle
pt | GetTopParentHandle
pt | ReloadDockedControl
pt | CreateDockManager
pt | SetDockManager
pt | DoFloatMsg
pt | DoGetDockCaption
pt | DoEnter
pt | DoExit
pt | DoKeyDownBeforeInterface
pt | DoRemainingKeyDown
pt | DoRemainingKeyUp
pt | DoKeyPress
pt | DoUTF8KeyPress
pt | DoKeyUpBeforeInterface
pt | ChildKey
pt | SendDialogChar
pt | DialogChar
pt | ControlKeyDown
pt | ControlKeyUp
pt | KeyDown
pt | KeyDownBeforeInterface
pt | KeyDownAfterInterface
pt | KeyPress
pt | KeyUp
pt | KeyUpBeforeInterface
pt | KeyUpAfterInterface
pt | UTF8KeyPress
pt | FindNextControl
pt | SelectFirst
pt | RealGetText
pt | GetBorderStyle
pt | GetClientOrigin
pt | GetClientRect
pt | GetControlOrigin
pt | GetDeviceContext
pt | GetParentBackground
pt | IsControlMouseMsg
pt | CreateHandle
pt | CreateParams
pt | CreateWnd
pt | DestroyHandle
pt | DestroyWnd
pt | DoFlipChildren
pt | FinalizeWnd
pt | FixupTabList
pt | FontChanged
pt | InitializeWnd
pt | Loaded
pt | FormEndUpdated
pt | MainWndProc
pt | ParentFormHandleInitialized
pt | ChildHandlesCreated
pt | GetMouseCapture
pt | RealSetText
pt | RemoveFocus
pt | SendMoveSizeMessages
pt | SetBorderStyle
pt | SetColor
pt | SetChildZPosition
pt | SetParentBackground
pt | ShowControl
pt | UpdateControlState
pt | UpdateShowing
pt | WndProc
pt | WSSetText
 | AutoSizePhases
 | AutoSizeDelayed
 | AutoSizeDelayedReport
 | AutoSizeDelayedHandle
 | BeginUpdateBounds
 | EndUpdateBounds
 | LockRealizeBounds
 | UnlockRealizeBounds
 | ControlAtPos
 | ContainsControl
 | DoAdjustClientRectChange
 | InvalidateClientRectCache
 | ClientRectNeedsInterfaceUpdate
 | SetBounds
 | GetChildrenRect
 | DisableAlign
 | EnableAlign
 | ReAlign
 | ScrollBy_WS
 | ScrollBy
 | WriteLayoutDebugReport
 | AutoAdjustLayout
 | Create
 | CreateParented
 | CreateParentedControl
 | Destroy
 | DockDrop
 | CanFocus
 | CanSetFocus
 | GetControlIndex
 | SetControlIndex
 | Focused
 | PerformTab
 | FindChildControl
 | SelectNext
 | SetTempCursor
 | BroadCast
 | NotifyControls
 | DefaultHandler
 | GetTextLen
 | Invalidate
 | AddControl
 | InsertControl
 | RemoveControl
 | GetEnumeratorControls
 | GetEnumeratorControlsReverse
 | Repaint
 | Update
 | SetFocus
 | FlipChildren
 | ScaleBy
 | GetDockCaption
 | UpdateDockCaption
 | GetTabOrderList
 | HandleAllocated
 | ParentHandlesAllocated
 | HandleNeeded
 | BrushCreated
 | EraseBackground
 | IntfUTF8KeyPress
 | IntfGetDropFilesTarget
 | PaintTo
 | SetShape
TControl
pt | WSRegisterClass
pt | GetCursor
pt | SetCursor
pt | SetVisible
pt | DoOnParentHandleDestruction
pt | DoAutoSize
pt | DoAllAutoSize
pt | BeginAutoSizing
pt | EndAutoSizing
pt | AnchorSideChanged
pt | ForeignAnchorSideChanged
pt | SetAlign
pt | SetAnchors
pt | SetAutoSize
pt | BoundsChanged
pt | CreateControlBorderSpacing
pt | DoConstraintsChange
pt | DoBorderSpacingChange
pt | IsBorderSpacingInnerBorderStored
pt | IsCaptionStored
pt | SendMoveSizeMessages
pt | ConstrainedResize
pt | CalculatePreferredSize
pt | DoOnResize
pt | DoOnChangeBounds
pt | CheckOnChangeBounds
pt | Resize
pt | RequestAlign
pt | UpdateAnchorRules
pt | ChangeBounds
pt | DoSetBounds
pt | ScaleConstraints
pt | ChangeScale
pt | CanAutoSize
pt | SetBiDiMode
pt | SetParentBiDiMode
pt | IsAParentAligning
pt | GetClientOrigin
pt | GetClientRect
pt | GetLogicalClientRect
pt | GetScrolledClientRect
pt | GetClientScrollOffset
pt | GetControlOrigin
pt | IsClientHeightStored
pt | IsClientWidthStored
pt | WidthIsAnchored
pt | HeightIsAnchored
pt | WMCancelMode
pt | WMContextMenu
pt | WMLButtonDown
pt | WMRButtonDown
pt | WMMButtonDown
pt | WMXButtonDown
pt | WMLButtonDBLCLK
pt | WMRButtonDBLCLK
pt | WMMButtonDBLCLK
pt | WMXButtonDBLCLK
pt | WMLButtonTripleCLK
pt | WMRButtonTripleCLK
pt | WMMButtonTripleCLK
pt | WMXButtonTripleCLK
pt | WMLButtonQuadCLK
pt | WMRButtonQuadCLK
pt | WMMButtonQuadCLK
pt | WMXButtonQuadCLK
pt | WMMouseMove
pt | WMLButtonUp
pt | WMRButtonUp
pt | WMMButtonUp
pt | WMXButtonUp
pt | WMMouseWheel
pt | WMMouseHWheel
pt | WMMove
pt | WMSize
pt | WMWindowPosChanged
pt | CMChanged
pt | LMCaptureChanged
pt | CMBiDiModeChanged
pt | CMSysFontChanged
pt | CMEnabledChanged
pt | CMHitTest
pt | CMMouseEnter
pt | CMMouseLeave
pt | CMHintShow
pt | CMParentBiDiModeChanged
pt | CMParentColorChanged
pt | CMParentFontChanged
pt | CMParentShowHintChanged
pt | CMVisibleChanged
pt | CMTextChanged
pt | CMCursorChanged
pt | CalculateDockSizes
pt | CreateFloatingDockSite
pt | GetDockEdge
pt | GetDragImages
pt | GetFloating
pt | GetFloatingDockSiteClass
pt | BeforeDragStart
pt | BeginAutoDrag
pt | DoFloatMsg
pt | DockTrackNoTarget
pt | DoDock
pt | DoDragMsg
pt | DoEndDock
pt | DoEndDrag
pt | DoStartDock
pt | DoStartDrag
pt | DragCanceled
pt | DragOver
pt | PositionDockRect
pt | SetDragMode
pt | GetDefaultDockCaption
pt | Click
pt | DblClick
pt | TripleClick
pt | QuadClick
pt | GetMousePosFromMessage
pt | MouseDown
pt | MouseMove
pt | MouseUp
pt | MouseEnter
pt | MouseLeave
pt | DialogChar
pt | UpdateMouseCursor
pt | Changed
pt | GetPalette
pt | ChildClassAllowed
pt | ReadState
pt | Loaded
pt | LoadedAll
pt | DefineProperties
pt | AssignTo
pt | FormEndUpdated
pt | InvalidateControl
pt | FontChanged
pt | ParentFontChanged
pt | GetAction
pt | RealGetText
pt | RealSetText
pt | TextChanged
pt | GetCachedText
pt | SetAction
pt | SetColor
pt | SetEnabled
pt | SetHint
pt | SetName
pt | SetParent
pt | SetParentComponent
pt | WndProc
pt | ParentFormHandleInitialized
pt | GetMouseCapture
pt | CaptureChanged
pt | Notification
pt | CanTab
pt | GetDeviceContext
pt | GetEnabled
pt | GetPopupMenu
pt | DoOnShowHint
pt | DoMouseWheel
pt | DoMouseWheelDown
pt | DoMouseWheelUp
pt | DoMouseWheelHorz
pt | DoMouseWheelLeft
pt | DoMouseWheelRight
pt | VisibleChanging
pt | VisibleChanged
pt | EnabledChanging
pt | EnabledChanged
pt | AddHandler
pt | RemoveHandler
pt | DoCallNotifyHandler
pt | DoCallKeyEventHandler
pt | DoCallMouseWheelEventHandler
pt | DoContextPopup
pt | SetZOrder
pt | GetControlClassDefaultSize
pt | ColorIsStored
pt | DoAutoAdjustLayout
pt | DoFixDesignFontPPI
pt | DoScaleFontPPI
pt | GetActionLinkClass
pt | ActionChange
 | DragDrop
 | Dock
 | ManualDock
 | ManualFloat
 | ReplaceDockedControl
 | Docked
 | Dragging
 | GetAccessibleObject
 | CreateAccessibleObject
 | GetSelectedChildAccessibleObject
 | GetChildAccessibleObjectAtPos
 | ScaleDesignToForm
 | ScaleFormToDesign
 | Scale96ToForm
 | ScaleFormTo96
 | Scale96ToFont
 | ScaleFontTo96
 | ScaleScreenToFont
 | ScaleFontToScreen
 | Scale96ToScreen
 | ScaleScreenTo96
 | AdjustSize
 | AutoSizePhases
 | AutoSizeDelayed
 | AutoSizeDelayedReport
 | AutoSizeDelayedHandle
 | AnchorToNeighbour
 | AnchorParallel
 | AnchorHorizontalCenterTo
 | AnchorVerticalCenterTo
 | AnchorToCompanion
 | AnchorSame
 | AnchorAsAlign
 | AnchorClient
 | AnchoredControlCount
 | SetBounds
 | SetInitialBounds
 | SetBoundsKeepBase
 | GetPreferredSize
 | GetCanvasScaleFactor
 | GetDefaultWidth
 | GetDefaultHeight
 | GetDefaultColor
 | GetColorResolvingParent
 | GetRGBColorResolvingParent
 | GetSidePosition
 | CNPreferredSizeChanged
 | InvalidatePreferredSize
 | GetAnchorsDependingOnParent
 | DisableAutoSizing
 | EnableAutoSizing
 | UpdateBaseBounds
 | WriteLayoutDebugReport
 | AutoAdjustLayout
 | ShouldAutoAdjust
 | FixDesignFontsPPI
 | ScaleFontsPPI
 | Create
 | Destroy
 | BeforeDestruction
 | EditingDone
 | ExecuteDefaultAction
 | ExecuteCancelAction
 | BeginDrag
 | EndDrag
 | BringToFront
 | HasParent
 | GetParentComponent
 | IsParentOf
 | GetTopParent
 | IsVisible
 | IsControlVisible
 | IsEnabled
 | IsParentColor
 | IsParentFont
 | FormIsUpdating
 | IsProcessingPaintMsg
 | Hide
 | Refresh
 | Repaint
 | Invalidate
 | CheckChildClassAllowed
 | CheckNewParent
 | SendToBack
 | SetTempCursor
 | UpdateRolesForForm
 | ActiveDefaultControlChanged
 | GetTextBuf
 | GetTextLen
 | SetTextBuf
 | Perform
 | ScreenToClient
 | ClientToScreen
 | ScreenToControl
 | ControlToScreen
 | ClientToParent
 | ParentToClient
 | GetChildrenRect
 | Show
 | Update
 | HandleObjectShouldBeVisible
 | ParentDestroyingHandle
 | ParentHandlesAllocated
 | InitiateAction
 | ShowHelp
 | HasHelp
 | RemoveAllHandlersOfObject
 | AddHandlerOnResize
 | RemoveHandlerOnResize
 | AddHandlerOnChangeBounds
 | RemoveHandlerOnChangeBounds
 | AddHandlerOnVisibleChanging
 | RemoveHandlerOnVisibleChanging
 | AddHandlerOnVisibleChanged
 | RemoveHandlerOnVisibleChanged
 | AddHandlerOnEnabledChanged
 | RemoveHandlerOnEnableChanging
 | AddHandlerOnKeyDown
 | RemoveHandlerOnKeyDown
 | AddHandlerOnBeforeDestruction
 | RemoveHandlerOnBeforeDestruction
 | AddHandlerOnMouseWheel
 | RemoveHandlerOnMouseWheel
 | UseRightToLeftAlignment
 | UseRightToLeftReading
 | UseRightToLeftScrollBar
 | IsRightToLeft
TLCLComponent
pt | WSRegisterClass
pt | GetWSComponentClass
 | Create
 | Destroy
 | NewInstance
 | RemoveAllHandlersOfObject
 | IncLCLRefCount
 | DecLCLRefCount
TComponent
 | GetComObject
 | GetComponent
 | GetComponentCount
 | GetComponentIndex
 | Insert
 | ReadLeft
 | ReadTop
 | Remove
 | RemoveNotification
 | SetComponentIndex
 | SetReference
 | WriteLeft
 | WriteTop
 | ChangeName
 | DefineProperties
 | GetChildren
 | GetChildOwner
 | GetChildParent
 | GetOwner
 | Loaded
 | Loading
 | Notification
 | PaletteCreated
 | ReadState
 | SetAncestor
 | SetDesigning
 | SetDesignInstance
 | SetInline
 | SetName
 | SetChildOrder
 | SetParentComponent
 | Updating
 | Updated
 | UpdateRegistry
 | ValidateRename
 | ValidateContainer
 | ValidateInsert
 | QueryInterface
 | _AddRef
 | _Release
 | iicrGetComponent
 | GetTypeInfoCount
 | GetTypeInfo
 | GetIDsOfNames
 | Invoke
 | WriteState
 | Create
 | Destroy
 | BeforeDestruction
 | DestroyComponents
 | Destroying
 | ExecuteAction
 | FindComponent
 | FreeNotification
 | RemoveFreeNotification
 | FreeOnRelease
 | GetEnumerator
 | GetNamePath
 | GetParentComponent
 | HasParent
 | InsertComponent
 | RemoveComponent
 | SafeCallException
 | SetSubComponent
 | UpdateAction
 | IsImplementorOf
 | ReferenceInterface
TPersistent
 | AssignError
 | AssignTo
 | DefineProperties
 | GetOwner
 | Destroy
 | Assign
 | FPOAttachObserver
 | FPODetachObserver
 | FPONotifyObservers
 | GetNamePath
TObject
 | Create
 | Destroy
 | newinstance
 | FreeInstance
 | SafeCallException
 | DefaultHandler
 | Free
 | InitInstance
 | CleanupInstance
 | ClassType
 | ClassInfo
 | ClassName
 | ClassNameIs
 | ClassParent
 | InstanceSize
 | InheritsFrom
 | StringMessageTable
 | MethodAddress
 | MethodName
 | FieldAddress
 | AfterConstruction
 | BeforeDestruction
 | DefaultHandlerStr
 | Dispatch
 | DispatchStr
 | GetInterface
 | GetInterfaceByStr
 | GetInterfaceWeak
 | GetInterfaceEntry
 | GetInterfaceEntryByStr
 | GetInterfaceTable
 | UnitName
 | Equals
 | GetHashCode
 | ToString


pt | ActionChange (TControl)
 | ActiveDefaultControlChanged (TControl)
 | AddControl (TWinControl)
pt | AddHandler (TControl)
 | AddHandlerOnBeforeDestruction (TControl)
 | AddHandlerOnChangeBounds (TControl)
 | AddHandlerOnEnabledChanged (TControl)
 | AddHandlerOnKeyDown (TControl)
 | AddHandlerOnMouseWheel (TControl)
 | AddHandlerOnResize (TControl)
 | AddHandlerOnVisibleChanged (TControl)
 | AddHandlerOnVisibleChanging (TControl)
pt | AdjustClientRect (TWinControl)
 | AdjustSize (TControl)
 | AfterConstruction (TObject)
pt | AlignControls (TWinControl)
pt | AllAutoSized (TWinControl)
 | AnchorAsAlign (TControl)
 | AnchorClient (TControl)
 | AnchoredControlCount (TControl)
 | AnchorHorizontalCenterTo (TControl)
 | AnchorParallel (TControl)
 | AnchorSame (TControl)
pt | AnchorSideChanged (TControl)
 | AnchorToCompanion (TControl)
 | AnchorToNeighbour (TControl)
 | AnchorVerticalCenterTo (TControl)
 | Assign (TPersistent)
 | AssignError (TPersistent)
 | AssignTo (TPersistent)
pt | AssignTo (TControl)
 | AutoAdjustLayout (TControl)
 | AutoAdjustLayout (TWinControl)
 | AutoSizeDelayed (TControl)
 | AutoSizeDelayed (TWinControl)
 | AutoSizeDelayedHandle (TControl)
 | AutoSizeDelayedHandle (TWinControl)
 | AutoSizeDelayedReport (TControl)
 | AutoSizeDelayedReport (TWinControl)
 | AutoSizePhases (TControl)
 | AutoSizePhases (TWinControl)
 | BeforeDestruction (TObject)
 | BeforeDestruction (TComponent)
 | BeforeDestruction (TControl)
pt | BeforeDragStart (TControl)
pt | BeginAutoDrag (TControl)
pt | BeginAutoSizing (TControl)
 | BeginDrag (TControl)
 | BeginUpdateBounds (TWinControl)
pt | BoundsChanged (TControl)
 | BringToFront (TControl)
 | BroadCast (TWinControl)
 | BrushCreated (TWinControl)
pt | CalculateDockSizes (TControl)
pt | CalculatePreferredSize (TControl)
pt | CalculatePreferredSize (TWinControl)
pt | CalculatePreferredSize (TCDControl)
pt | CanAutoSize (TControl)
 | CanFocus (TWinControl)
 | CanSetFocus (TWinControl)
pt | CanTab (TControl)
pt | CanTab (TWinControl)
pt | CaptureChanged (TControl)
pt | ChangeBounds (TControl)
pt | Changed (TControl)
 | ChangeName (TComponent)
pt | ChangeScale (TControl)
pt | ChangeScale (TWinControl)
 | CheckChildClassAllowed (TControl)
 | CheckNewParent (TControl)
pt | CheckOnChangeBounds (TControl)
pt | ChildClassAllowed (TControl)
pt | ChildClassAllowed (TWinControl)
pt | ChildHandlesCreated (TWinControl)
pt | ChildKey (TWinControl)
 | ClassInfo (TObject)
 | ClassName (TObject)
 | ClassNameIs (TObject)
 | ClassParent (TObject)
 | ClassType (TObject)
 | CleanupInstance (TObject)
pt | Click (TControl)
 | ClientRectNeedsInterfaceUpdate (TWinControl)
 | ClientToParent (TControl)
 | ClientToScreen (TControl)
pt | CMBiDiModeChanged (TControl)
pt | CMBiDiModeChanged (TWinControl)
pt | CMBorderChanged (TWinControl)
pt | CMChanged (TControl)
pt | CMCursorChanged (TControl)
pt | CMDoubleBufferedChanged (TWinControl)
pt | CMEnabledChanged (TControl)
pt | CMEnabledChanged (TWinControl)
pt | CMEnter (TWinControl)
pt | CMExit (TWinControl)
pt | CMHintShow (TControl)
pt | CMHitTest (TControl)
pt | CMMouseEnter (TControl)
pt | CMMouseLeave (TControl)
pt | CMParentBiDiModeChanged (TControl)
pt | CMParentColorChanged (TControl)
pt | CMParentDoubleBufferedChanged (TWinControl)
pt | CMParentFontChanged (TControl)
pt | CMParentShowHintChanged (TControl)
pt | CMShowHintChanged (TWinControl)
pt | CMShowingChanged (TWinControl)
pt | CMSysFontChanged (TControl)
pt | CMTextChanged (TControl)
pt | CMVisibleChanged (TControl)
pt | CMVisibleChanged (TWinControl)
pt | CNChar (TWinControl)
pt | CNKeyDown (TWinControl)
pt | CNKeyUp (TWinControl)
 | CNPreferredSizeChanged (TControl)
pt | CNSysKeyDown (TWinControl)
pt | CNSysKeyUp (TWinControl)
pt | ColorIsStored (TControl)
pt | ConstrainedResize (TControl)
 | ContainsControl (TWinControl)
 | ControlAtPos (TWinControl)
pt | ControlKeyDown (TWinControl)
pt | ControlKeyUp (TWinControl)
pt | ControlsAligned (TWinControl)
 | ControlToScreen (TControl)
 | Create (TObject)
 | Create (TComponent)
 | Create (TLCLComponent)
 | Create (TControl)
 | Create (TWinControl)
 | Create (TCustomControl)
 | Create (TCDControl)
 | Create (TCDScrollableControl)
 | CreateAccessibleObject (TControl)
pt | CreateBrush (TWinControl)
pt | CreateControlBorderSpacing (TControl)
pt | CreateControlStateEx (TCDControl)
pt | CreateDockManager (TWinControl)
pt | CreateFloatingDockSite (TControl)
pt | CreateHandle (TWinControl)
pt | CreateParams (TWinControl)
 | CreateParented (TWinControl)
 | CreateParentedControl (TWinControl)
pt | CreateSubClass (TWinControl)
pt | CreateWnd (TWinControl)
pt | CustomAlignInsertBefore (TWinControl)
pt | CustomAlignPosition (TWinControl)
pt | DblClick (TControl)
 | DecLCLRefCount (TLCLComponent)
 | DefaultHandler (TObject)
 | DefaultHandler (TWinControl)
 | DefaultHandlerStr (TObject)
 | DefineProperties (TPersistent)
 | DefineProperties (TComponent)
pt | DefineProperties (TControl)
 | Destroy (TObject)
 | Destroy (TPersistent)
 | Destroy (TComponent)
 | Destroy (TLCLComponent)
 | Destroy (TControl)
 | Destroy (TWinControl)
 | Destroy (TCustomControl)
 | Destroy (TCDControl)
 | Destroy (TCDScrollableControl)
 | DestroyComponents (TComponent)
pt | DestroyHandle (TWinControl)
 | Destroying (TComponent)
pt | DestroyWnd (TWinControl)
pt | DestroyWnd (TCustomControl)
pt | DialogChar (TControl)
pt | DialogChar (TWinControl)
 | DisableAlign (TWinControl)
 | DisableAutoSizing (TControl)
 | Dispatch (TObject)
 | DispatchStr (TObject)
pt | DoAddDockClient (TWinControl)
 | DoAdjustClientRectChange (TWinControl)
pt | DoAlignChildControls (TWinControl)
pt | DoAllAutoSize (TControl)
pt | DoAllAutoSize (TWinControl)
pt | DoAutoAdjustLayout (TControl)
pt | DoAutoSize (TControl)
pt | DoAutoSize (TWinControl)
pt | DoBorderSpacingChange (TControl)
pt | DoCallKeyEventHandler (TControl)
pt | DoCallMouseWheelEventHandler (TControl)
pt | DoCallNotifyHandler (TControl)
pt | DoChildSizingChange (TWinControl)
 | Dock (TControl)
 | DockDrop (TWinControl)
 | Docked (TControl)
pt | DockOver (TWinControl)
pt | DockTrackNoTarget (TControl)
pt | DoConstraintsChange (TControl)
pt | DoConstraintsChange (TWinControl)
pt | DoContextPopup (TControl)
pt | DoDock (TControl)
pt | DoDockClientMsg (TWinControl)
pt | DoDockOver (TWinControl)
pt | DoDragMsg (TControl)
pt | DoDragMsg (TWinControl)
pt | DoEndDock (TControl)
pt | DoEndDrag (TControl)
pt | DoEnter (TWinControl)
pt | DoEnter (TCDControl)
pt | DoExit (TWinControl)
pt | DoExit (TCDControl)
pt | DoFixDesignFontPPI (TControl)
pt | DoFlipChildren (TWinControl)
pt | DoFloatMsg (TControl)
pt | DoFloatMsg (TWinControl)
pt | DoGetDockCaption (TWinControl)
pt | DoKeyDownBeforeInterface (TWinControl)
pt | DoKeyPress (TWinControl)
pt | DoKeyUpBeforeInterface (TWinControl)
pt | DoMouseWheel (TControl)
pt | DoMouseWheelDown (TControl)
pt | DoMouseWheelHorz (TControl)
pt | DoMouseWheelLeft (TControl)
pt | DoMouseWheelRight (TControl)
pt | DoMouseWheelUp (TControl)
pt | DoOnChangeBounds (TControl)
pt | DoOnParentHandleDestruction (TControl)
pt | DoOnResize (TControl)
pt | DoOnShowHint (TControl)
pt | DoRemainingKeyDown (TWinControl)
pt | DoRemainingKeyUp (TWinControl)
pt | DoRemoveDockClient (TWinControl)
pt | DoScaleFontPPI (TControl)
pt | DoSendBoundsToInterface (TWinControl)
pt | DoSendShowHideToInterface (TWinControl)
pt | DoSetBounds (TControl)
pt | DoSetBounds (TWinControl)
pt | DoStartDock (TControl)
pt | DoStartDrag (TControl)
pt | DoUnDock (TWinControl)
pt | DoUndockClientMsg (TWinControl)
pt | DoUTF8KeyPress (TWinControl)
pt | DragCanceled (TControl)
 | DragDrop (TControl)
 | Dragging (TControl)
pt | DragOver (TControl)
 | DrawToCanvas (TCDControl)
 | EditingDone (TControl)
 | EnableAlign (TWinControl)
 | EnableAutoSizing (TControl)
pt | EnabledChanged (TControl)
pt | EnabledChanging (TControl)
pt | EndAutoSizing (TControl)
 | EndDrag (TControl)
 | EndUpdateBounds (TWinControl)
 | Equals (TObject)
 | EraseBackground (TWinControl)
 | EraseBackground (TCDControl)
 | ExecuteAction (TComponent)
 | ExecuteCancelAction (TControl)
 | ExecuteDefaultAction (TControl)
 | FieldAddress (TObject)
pt | FinalizeWnd (TWinControl)
 | FindChildControl (TWinControl)
 | FindComponent (TComponent)
pt | FindNextControl (TWinControl)
 | FixDesignFontsPPI (TControl)
pt | FixupTabList (TWinControl)
 | FlipChildren (TWinControl)
 | Focused (TWinControl)
pt | FontChanged (TControl)
pt | FontChanged (TWinControl)
pt | FontChanged (TCustomControl)
pt | ForeignAnchorSideChanged (TControl)
pt | FormEndUpdated (TControl)
pt | FormEndUpdated (TWinControl)
 | FormIsUpdating (TControl)
 | FPOAttachObserver (TPersistent)
 | FPODetachObserver (TPersistent)
 | FPONotifyObservers (TPersistent)
 | Free (TObject)
 | FreeInstance (TObject)
 | FreeNotification (TComponent)
 | FreeOnRelease (TComponent)
 | GetAccessibleObject (TControl)
pt | GetAction (TControl)
pt | GetActionLinkClass (TControl)
pt | GetAdjustedLogicalClientRect (TWinControl)
 | GetAnchorsDependingOnParent (TControl)
pt | GetBorderStyle (TWinControl)
pt | GetCachedText (TControl)
 | GetCanvasScaleFactor (TControl)
 | GetChildAccessibleObjectAtPos (TControl)
 | GetChildOwner (TComponent)
 | GetChildParent (TComponent)
 | GetChildren (TComponent)
pt | GetChildren (TWinControl)
 | GetChildrenRect (TControl)
 | GetChildrenRect (TWinControl)
pt | GetClientOrigin (TControl)
pt | GetClientOrigin (TWinControl)
pt | GetClientRect (TControl)
pt | GetClientRect (TWinControl)
pt | GetClientRect (TCDControl)
pt | GetClientScrollOffset (TControl)
 | GetColorResolvingParent (TControl)
 | GetComObject (TComponent)
 | GetComponent (TComponent)
 | GetComponentCount (TComponent)
 | GetComponentIndex (TComponent)
pt | GetControlClassDefaultSize (TControl)
pt | GetControlId (TCDControl)
 | GetControlIndex (TWinControl)
pt | GetControlOrigin (TControl)
pt | GetControlOrigin (TWinControl)
pt | GetCursor (TControl)
 | GetDefaultColor (TControl)
pt | GetDefaultDockCaption (TControl)
 | GetDefaultHeight (TControl)
 | GetDefaultWidth (TControl)
pt | GetDeviceContext (TControl)
pt | GetDeviceContext (TWinControl)
 | GetDockCaption (TWinControl)
pt | GetDockEdge (TControl)
pt | GetDragImages (TControl)
pt | GetEnabled (TControl)
 | GetEnumerator (TComponent)
 | GetEnumeratorControls (TWinControl)
 | GetEnumeratorControlsReverse (TWinControl)
pt | GetFloating (TControl)
pt | GetFloatingDockSiteClass (TControl)
 | GetHashCode (TObject)
 | GetIDsOfNames (TComponent)
 | GetInterface (TObject)
 | GetInterfaceByStr (TObject)
 | GetInterfaceEntry (TObject)
 | GetInterfaceEntryByStr (TObject)
 | GetInterfaceTable (TObject)
 | GetInterfaceWeak (TObject)
pt | GetLogicalClientRect (TControl)
pt | GetMouseCapture (TControl)
pt | GetMouseCapture (TWinControl)
pt | GetMousePosFromMessage (TControl)
 | GetNamePath (TPersistent)
 | GetNamePath (TComponent)
 | GetOwner (TPersistent)
 | GetOwner (TComponent)
pt | GetPalette (TControl)
pt | GetParentBackground (TWinControl)
 | GetParentComponent (TComponent)
 | GetParentComponent (TControl)
pt | GetParentHandle (TWinControl)
pt | GetPopupMenu (TControl)
 | GetPreferredSize (TControl)
pt | GetPreferredSizeClientFrame (TWinControl)
 | GetRGBColorResolvingParent (TControl)
pt | GetScrolledClientRect (TControl)
 | GetSelectedChildAccessibleObject (TControl)
 | GetSidePosition (TControl)
pt | GetSiteInfo (TWinControl)
 | GetTabOrderList (TWinControl)
 | GetTextBuf (TControl)
 | GetTextLen (TControl)
 | GetTextLen (TWinControl)
 | GetTopParent (TControl)
pt | GetTopParentHandle (TWinControl)
 | GetTypeInfo (TComponent)
 | GetTypeInfoCount (TComponent)
pt | GetWSComponentClass (TLCLComponent)
 | HandleAllocated (TWinControl)
 | HandleNeeded (TWinControl)
 | HandleObjectShouldBeVisible (TControl)
 | HasHelp (TControl)
 | HasParent (TComponent)
 | HasParent (TControl)
pt | HeightIsAnchored (TControl)
 | Hide (TControl)
 | iicrGetComponent (TComponent)
 | IncLCLRefCount (TLCLComponent)
 | InheritsFrom (TObject)
pt | InitializeWnd (TWinControl)
 | InitiateAction (TControl)
 | InitInstance (TObject)
 | Insert (TComponent)
 | InsertComponent (TComponent)
 | InsertControl (TWinControl)
 | InstanceSize (TObject)
 | IntfGetDropFilesTarget (TWinControl)
 | IntfUTF8KeyPress (TWinControl)
 | Invalidate (TControl)
 | Invalidate (TWinControl)
pt | InvalidateBoundsRealized (TWinControl)
 | InvalidateClientRectCache (TWinControl)
pt | InvalidateControl (TControl)
pt | InvalidatePreferredChildSizes (TWinControl)
 | InvalidatePreferredSize (TControl)
 | Invoke (TComponent)
pt | IsAParentAligning (TControl)
pt | IsBorderSpacingInnerBorderStored (TControl)
pt | IsCaptionStored (TControl)
pt | IsClientHeightStored (TControl)
pt | IsClientHeightStored (TWinControl)
pt | IsClientWidthStored (TControl)
pt | IsClientWidthStored (TWinControl)
pt | IsControlMouseMsg (TWinControl)
 | IsControlVisible (TControl)
 | IsEnabled (TControl)
 | IsImplementorOf (TComponent)
 | IsParentColor (TControl)
 | IsParentFont (TControl)
 | IsParentOf (TControl)
 | IsProcessingPaintMsg (TControl)
 | IsRightToLeft (TControl)
 | IsVisible (TControl)
pt | KeyDown (TWinControl)
pt | KeyDownAfterInterface (TWinControl)
pt | KeyDownBeforeInterface (TWinControl)
pt | KeyPress (TWinControl)
pt | KeyUp (TWinControl)
pt | KeyUpAfterInterface (TWinControl)
pt | KeyUpBeforeInterface (TWinControl)
 | LCLWSCalculatePreferredSize (TCDControl)
pt | LMCaptureChanged (TControl)
 | Loaded (TComponent)
pt | Loaded (TControl)
pt | Loaded (TWinControl)
pt | LoadedAll (TControl)
 | Loading (TComponent)
 | LockRealizeBounds (TWinControl)
pt | MainWndProc (TWinControl)
 | ManualDock (TControl)
 | ManualFloat (TControl)
 | MethodAddress (TObject)
 | MethodName (TObject)
pt | MouseDown (TControl)
pt | MouseDown (TCDControl)
pt | MouseEnter (TControl)
pt | MouseEnter (TCDControl)
pt | MouseLeave (TControl)
pt | MouseLeave (TCDControl)
pt | MouseMove (TControl)
pt | MouseUp (TControl)
 | newinstance (TObject)
 | NewInstance (TLCLComponent)
 | Notification (TComponent)
pt | Notification (TControl)
 | NotifyControls (TWinControl)
pt | Paint (TCustomControl)
 | Paint (TCDControl)
pt | PaintControls (TWinControl)
pt | PaintHandler (TWinControl)
 | PaintTo (TWinControl)
pt | PaintWindow (TWinControl)
pt | PaintWindow (TCustomControl)
 | PaletteCreated (TComponent)
 | ParentDestroyingHandle (TControl)
pt | ParentFontChanged (TControl)
pt | ParentFormHandleInitialized (TControl)
pt | ParentFormHandleInitialized (TWinControl)
 | ParentHandlesAllocated (TControl)
 | ParentHandlesAllocated (TWinControl)
 | ParentToClient (TControl)
 | Perform (TControl)
 | PerformTab (TWinControl)
pt | PositionDockRect (TControl)
pt | PrepareControlState (TCDControl)
pt | PrepareControlStateEx (TCDControl)
pt | PrepareCurrentDrawer (TCDControl)
pt | QuadClick (TControl)
 | QueryInterface (TComponent)
 | ReadLeft (TComponent)
 | ReadState (TComponent)
pt | ReadState (TControl)
 | ReadTop (TComponent)
pt | RealGetText (TControl)
pt | RealGetText (TWinControl)
 | ReAlign (TWinControl)
pt | RealizeBounds (TWinControl)
pt | RealizeBoundsRecursive (TWinControl)
pt | RealSetText (TControl)
pt | RealSetText (TWinControl)
 | ReferenceInterface (TComponent)
 | Refresh (TControl)
pt | ReloadDockedControl (TWinControl)
 | Remove (TComponent)
 | RemoveAllHandlersOfObject (TLCLComponent)
 | RemoveAllHandlersOfObject (TControl)
 | RemoveComponent (TComponent)
 | RemoveControl (TWinControl)
pt | RemoveFocus (TWinControl)
 | RemoveFreeNotification (TComponent)
pt | RemoveHandler (TControl)
 | RemoveHandlerOnBeforeDestruction (TControl)
 | RemoveHandlerOnChangeBounds (TControl)
 | RemoveHandlerOnEnableChanging (TControl)
 | RemoveHandlerOnKeyDown (TControl)
 | RemoveHandlerOnMouseWheel (TControl)
 | RemoveHandlerOnResize (TControl)
 | RemoveHandlerOnVisibleChanged (TControl)
 | RemoveHandlerOnVisibleChanging (TControl)
 | RemoveNotification (TComponent)
 | Repaint (TControl)
 | Repaint (TWinControl)
 | ReplaceDockedControl (TControl)
pt | RequestAlign (TControl)
pt | Resize (TControl)
 | SafeCallException (TObject)
 | SafeCallException (TComponent)
 | Scale96ToFont (TControl)
 | Scale96ToForm (TControl)
 | Scale96ToScreen (TControl)
 | ScaleBy (TWinControl)
pt | ScaleConstraints (TControl)
pt | ScaleControls (TWinControl)
 | ScaleDesignToForm (TControl)
 | ScaleFontsPPI (TControl)
 | ScaleFontTo96 (TControl)
 | ScaleFontToScreen (TControl)
 | ScaleFormTo96 (TControl)
 | ScaleFormToDesign (TControl)
 | ScaleScreenTo96 (TControl)
 | ScaleScreenToFont (TControl)
 | ScreenToClient (TControl)
 | ScreenToControl (TControl)
 | ScrollBy (TWinControl)
 | ScrollBy_WS (TWinControl)
pt | SelectFirst (TWinControl)
 | SelectNext (TWinControl)
pt | SendDialogChar (TWinControl)
pt | SendMoveSizeMessages (TControl)
pt | SendMoveSizeMessages (TWinControl)
 | SendToBack (TControl)
pt | SetAction (TControl)
pt | SetAlign (TControl)
 | SetAncestor (TComponent)
pt | SetAnchors (TControl)
pt | SetAutoSize (TControl)
pt | SetBiDiMode (TControl)
pt | SetBorderStyle (TWinControl)
 | SetBounds (TControl)
 | SetBounds (TWinControl)
 | SetBoundsKeepBase (TControl)
 | SetChildOrder (TComponent)
pt | SetChildZPosition (TWinControl)
pt | SetColor (TControl)
pt | SetColor (TWinControl)
pt | SetColor (TCustomControl)
 | SetComponentIndex (TComponent)
 | SetControlIndex (TWinControl)
pt | SetCursor (TControl)
 | SetDesigning (TComponent)
 | SetDesignInstance (TComponent)
pt | SetDockManager (TWinControl)
pt | SetDragMode (TControl)
pt | SetDrawStyle (TCDControl)
pt | SetEnabled (TControl)
 | SetFocus (TWinControl)
pt | SetHint (TControl)
 | SetInitialBounds (TControl)
 | SetInline (TComponent)
 | SetName (TComponent)
pt | SetName (TControl)
pt | SetParent (TControl)
pt | SetParentBackground (TWinControl)
pt | SetParentBiDiMode (TControl)
 | SetParentComponent (TComponent)
pt | SetParentComponent (TControl)
 | SetReference (TComponent)
 | SetShape (TWinControl)
pt | SetState (TCDControl)
 | SetSubComponent (TComponent)
 | SetTempCursor (TControl)
 | SetTempCursor (TWinControl)
 | SetTextBuf (TControl)
pt | SetVisible (TControl)
pt | SetZOrder (TControl)
 | ShouldAutoAdjust (TControl)
 | Show (TControl)
pt | ShowControl (TWinControl)
 | ShowHelp (TControl)
 | StringMessageTable (TObject)
pt | TextChanged (TControl)
 | ToString (TObject)
pt | TripleClick (TControl)
 | UnitName (TObject)
 | UnlockRealizeBounds (TWinControl)
 | Update (TControl)
 | Update (TWinControl)
 | UpdateAction (TComponent)
pt | UpdateAnchorRules (TControl)
 | UpdateBaseBounds (TControl)
pt | UpdateControlState (TWinControl)
 | Updated (TComponent)
 | UpdateDockCaption (TWinControl)
pt | UpdateMouseCursor (TControl)
 | UpdateRegistry (TComponent)
 | UpdateRolesForForm (TControl)
pt | UpdateShowing (TWinControl)
 | Updating (TComponent)
 | UseRightToLeftAlignment (TControl)
 | UseRightToLeftReading (TControl)
 | UseRightToLeftScrollBar (TControl)
pt | UTF8KeyPress (TWinControl)
 | ValidateContainer (TComponent)
 | ValidateInsert (TComponent)
 | ValidateRename (TComponent)
pt | VisibleChanged (TControl)
pt | VisibleChanging (TControl)
pt | WidthIsAnchored (TControl)
pt | WMCancelMode (TControl)
pt | WMChar (TWinControl)
pt | WMContextMenu (TControl)
pt | WMContextMenu (TWinControl)
pt | WMDestroy (TWinControl)
pt | WMEnter (TWinControl)
pt | WMEraseBkgnd (TWinControl)
pt | WMExit (TWinControl)
pt | WMKeyDown (TWinControl)
pt | WMKeyUp (TWinControl)
pt | WMKillFocus (TWinControl)
pt | WMLButtonDBLCLK (TControl)
pt | WMLButtonDown (TControl)
pt | WMLButtonQuadCLK (TControl)
pt | WMLButtonTripleCLK (TControl)
pt | WMLButtonUp (TControl)
pt | WMMButtonDBLCLK (TControl)
pt | WMMButtonDown (TControl)
pt | WMMButtonQuadCLK (TControl)
pt | WMMButtonTripleCLK (TControl)
pt | WMMButtonUp (TControl)
pt | WMMouseHWheel (TControl)
pt | WMMouseMove (TControl)
pt | WMMouseWheel (TControl)
pt | WMMove (TControl)
pt | WMMove (TWinControl)
pt | WMNotify (TWinControl)
pt | WMPaint (TWinControl)
pt | WMPaint (TCustomControl)
pt | WMRButtonDBLCLK (TControl)
pt | WMRButtonDown (TControl)
pt | WMRButtonQuadCLK (TControl)
pt | WMRButtonTripleCLK (TControl)
pt | WMRButtonUp (TControl)
pt | WMSetFocus (TWinControl)
pt | WMShowWindow (TWinControl)
pt | WMSize (TControl)
pt | WMSize (TWinControl)
pt | WMSysChar (TWinControl)
pt | WMSysKeyDown (TWinControl)
pt | WMSysKeyUp (TWinControl)
pt | WMWindowPosChanged (TControl)
pt | WMWindowPosChanged (TWinControl)
pt | WMXButtonDBLCLK (TControl)
pt | WMXButtonDown (TControl)
pt | WMXButtonQuadCLK (TControl)
pt | WMXButtonTripleCLK (TControl)
pt | WMXButtonUp (TControl)
pt | WndProc (TControl)
pt | WndProc (TWinControl)
 | WriteLayoutDebugReport (TControl)
 | WriteLayoutDebugReport (TWinControl)
 | WriteLeft (TComponent)
 | WriteState (TComponent)
 | WriteTop (TComponent)
pt | WSRegisterClass (TLCLComponent)
pt | WSRegisterClass (TControl)
pt | WSRegisterClass (TWinControl)
pt | WSRegisterClass (TCustomControl)
pt | WSSetText (TWinControl)
 | _AddRef (TComponent)
 | _Release (TComponent)


TCDScrollableControl
TCDControl
TCustomControl
 | OnPaint
TWinControl
pt | OnGetSiteInfo
pt | OnGetDockCaption
 | OnAlignInsertBefore
 | OnAlignPosition
 | OnDockDrop
 | OnDockOver
 | OnEnter
 | OnExit
 | OnKeyDown
 | OnKeyPress
 | OnKeyUp
 | OnUnDock
 | OnUTF8KeyPress
TControl
pt | OnConstrainedResize
pt | OnContextPopup
pt | OnDblClick
pt | OnTripleClick
pt | OnQuadClick
pt | OnDragDrop
pt | OnDragOver
pt | OnEndDock
pt | OnEndDrag
pt | OnMouseDown
pt | OnMouseMove
pt | OnMouseUp
pt | OnMouseEnter
pt | OnMouseLeave
pt | OnMouseWheel
pt | OnMouseWheelDown
pt | OnMouseWheelUp
pt | OnMouseWheelHorz
pt | OnMouseWheelLeft
pt | OnMouseWheelRight
pt | OnStartDock
pt | OnStartDrag
pt | OnEditingDone
 | OnChangeBounds
 | OnClick
 | OnResize
 | OnShowHint
TLCLComponent
TComponent
TPersistent
TObject


TCDScrollableControl.Create

Declaration

Source position: customdrawncontrols.pas line 81

public constructor TCDScrollableControl.Create(

  AOwner: TComponent

); override;


TCDScrollableControl.Destroy

Declaration

Source position: customdrawncontrols.pas line 82

public destructor TCDScrollableControl.Destroy; override;


TCDScrollableControl.ScrollBars

Declaration

Source position: customdrawncontrols.pas line 83

public property TCDScrollableControl.ScrollBars : TScrollStyle
  read FScrollBars
  write SetScrollBars;


TCDScrollBar

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Declaration

Source position: customdrawncontrols.pas line 391

type TCDScrollBar = class(TCDPositionedControl)

protected

  function GetPositionFromMousePos(); override;

  function GetButtonFromMousePos(); override;

  function GetPositionDisplacement(); override;

  function GetControlId; override;

  procedure PrepareControlState; override;

public

  constructor Create(); override;

  destructor Destroy; override;

published

  property DrawStyle: TCDDrawStyle;

  property Enabled: Boolean;

  property Kind: TScrollBarKind; [rw]

  property PageSize: Integer;

  property TabStop: Boolean;

end;

Inheritance

TCDScrollBar |
|
TCDPositionedControl |
|
TCDControl |
|
TCustomControl | The base class for windowed controls which paint themselves.
|
TWinControl | The base class for controls which can contain other (child) controls.
|
TControl | The base class for visible controls.
|
TLCLComponent | The base class for LCL components associated with widgets.
|
TComponent,IUnknown,IInterfaceComponentReference
|
TPersistent,IFPObserved
|
TObject


TCDScrollBar
pl | ro | DrawStyle
pl | ro | Enabled
pl |  | Kind
pl | ro | PageSize
pl | ro | TabStop
TCDPositionedControl
pt |  | PageSize
pl |  | Max
pl |  | Min
pl |  | Position
TCDControl
pt |  | DrawStyle
TCustomControl
 |  | Canvas
 | ro | BorderStyle
TWinControl
pt |  | WindowHandle
pt |  | BorderStyle
pt |  | ParentBackground
 |  | BorderWidth
 | ro | BoundsLockCount
 | ro | Brush
 | ro | CachedClientHeight
 | ro | CachedClientWidth
 |  | ChildSizing
 | ro | ControlCount
 | ro | Controls
 |  | DefWndProc
 | ro | DockClientCount
 | ro | DockClients
 |  | DockManager
 |  | DockSite
 |  | DoubleBuffered
 |  | Handle
 | ro | IsFlipped
 | ro | IsResizing
 |  | TabOrder
 |  | TabStop
 |  | ParentDoubleBuffered
 |  | ParentWindow
 | ro | Showing
 |  | UseDockManager
 |  | DesignerDeleting
 | ro | VisibleDockClientCount
TControl
pt | ro | AutoSizing
pt | ro | AutoSizingAll
pt | ro | AutoSizingLockCount
pt |  | ActionLink
pt |  | DesktopFont
pt |  | DragCursor
pt |  | DragKind
pt |  | DragMode
pt |  | MouseCapture
pt |  | ParentColor
pt |  | ParentFont
pt |  | ParentShowHint
pt |  | SessionProperties
pt |  | Text
 | ro | AnchoredControls
 | ro | BaseBounds
 | ro | ReadBounds
 | ro | BaseParentClientSize
 |  | AccessibleDescription
 |  | AccessibleValue
 |  | AccessibleRole
 |  | Action
 |  | Align
 |  | Anchors
 | ro | AnchorSide
 |  | AutoSize
 |  | BorderSpacing
 |  | BoundsRect
 |  | BoundsRectForNewParent
 |  | Caption
 |  | CaptureMouseButtons
 |  | ClientHeight
 | ro | ClientOrigin
 | ro | ClientRect
 |  | ClientWidth
 |  | Color
 |  | Constraints
 | ro | ControlOrigin
 |  | ControlState
 |  | ControlStyle
 |  | Enabled
 |  | Font
 |  | IsControl
 | ro | MouseEntered
 | ro | MouseInClient
 |  | Parent
 |  | PopupMenu
 |  | ShowHint
 |  | Visible
 |  | WindowProc
 |  | DockOrientation
 | ro | Floating
 |  | FloatingDockSiteClass
 |  | HostDockSite
 |  | LRDockWidth
 |  | TBDockHeight
 |  | UndockHeight
 |  | UndockWidth
 |  | BiDiMode
 |  | ParentBiDiMode
pl |  | AnchorSideLeft
pl |  | AnchorSideTop
pl |  | AnchorSideRight
pl |  | AnchorSideBottom
pl |  | Cursor
pl |  | Left
pl |  | Height
pl |  | Hint
pl |  | Top
pl |  | Width
pl |  | HelpType
pl |  | HelpKeyword
pl |  | HelpContext
TLCLComponent
 | ro | LCLRefCount
 | ro | WidgetSetClass
TComponent
 | ro | ComObject
 | ro | Components
 | ro | ComponentCount
 |  | ComponentIndex
 | ro | ComponentState
 | ro | ComponentStyle
 |  | DesignInfo
 | ro | Owner
 |  | VCLComObject
 |  | Name
 |  | Tag
TPersistent
TObject


 |  | AccessibleDescription (TControl)
 |  | AccessibleRole (TControl)
 |  | AccessibleValue (TControl)
 |  | Action (TControl)
pt |  | ActionLink (TControl)
 |  | Align (TControl)
 | ro | AnchoredControls (TControl)
 |  | Anchors (TControl)
 | ro | AnchorSide (TControl)
pl |  | AnchorSideBottom (TControl)
pl |  | AnchorSideLeft (TControl)
pl |  | AnchorSideRight (TControl)
pl |  | AnchorSideTop (TControl)
 |  | AutoSize (TControl)
pt | ro | AutoSizing (TControl)
pt | ro | AutoSizingAll (TControl)
pt | ro | AutoSizingLockCount (TControl)
 | ro | BaseBounds (TControl)
 | ro | BaseParentClientSize (TControl)
 |  | BiDiMode (TControl)
 |  | BorderSpacing (TControl)
pt |  | BorderStyle (TWinControl)
 | ro | BorderStyle (TCustomControl)
 |  | BorderWidth (TWinControl)
 | ro | BoundsLockCount (TWinControl)
 |  | BoundsRect (TControl)
 |  | BoundsRectForNewParent (TControl)
 | ro | Brush (TWinControl)
 | ro | CachedClientHeight (TWinControl)
 | ro | CachedClientWidth (TWinControl)
 |  | Canvas (TCustomControl)
 |  | Caption (TControl)
 |  | CaptureMouseButtons (TControl)
 |  | ChildSizing (TWinControl)
 |  | ClientHeight (TControl)
 | ro | ClientOrigin (TControl)
 | ro | ClientRect (TControl)
 |  | ClientWidth (TControl)
 |  | Color (TControl)
 | ro | ComObject (TComponent)
 | ro | ComponentCount (TComponent)
 |  | ComponentIndex (TComponent)
 | ro | Components (TComponent)
 | ro | ComponentState (TComponent)
 | ro | ComponentStyle (TComponent)
 |  | Constraints (TControl)
 | ro | ControlCount (TWinControl)
 | ro | ControlOrigin (TControl)
 | ro | Controls (TWinControl)
 |  | ControlState (TControl)
 |  | ControlStyle (TControl)
pl |  | Cursor (TControl)
 |  | DefWndProc (TWinControl)
 |  | DesignerDeleting (TWinControl)
 |  | DesignInfo (TComponent)
pt |  | DesktopFont (TControl)
 | ro | DockClientCount (TWinControl)
 | ro | DockClients (TWinControl)
 |  | DockManager (TWinControl)
 |  | DockOrientation (TControl)
 |  | DockSite (TWinControl)
 |  | DoubleBuffered (TWinControl)
pt |  | DragCursor (TControl)
pt |  | DragKind (TControl)
pt |  | DragMode (TControl)
pt |  | DrawStyle (TCDControl)
pl | ro | DrawStyle (TCDScrollBar)
 |  | Enabled (TControl)
pl | ro | Enabled (TCDScrollBar)
 | ro | Floating (TControl)
 |  | FloatingDockSiteClass (TControl)
 |  | Font (TControl)
 |  | Handle (TWinControl)
pl |  | Height (TControl)
pl |  | HelpContext (TControl)
pl |  | HelpKeyword (TControl)
pl |  | HelpType (TControl)
pl |  | Hint (TControl)
 |  | HostDockSite (TControl)
 |  | IsControl (TControl)
 | ro | IsFlipped (TWinControl)
 | ro | IsResizing (TWinControl)
pl |  | Kind (TCDScrollBar)
 | ro | LCLRefCount (TLCLComponent)
pl |  | Left (TControl)
 |  | LRDockWidth (TControl)
pl |  | Max (TCDPositionedControl)
pl |  | Min (TCDPositionedControl)
pt |  | MouseCapture (TControl)
 | ro | MouseEntered (TControl)
 | ro | MouseInClient (TControl)
 |  | Name (TComponent)
 | ro | Owner (TComponent)
pt |  | PageSize (TCDPositionedControl)
pl | ro | PageSize (TCDScrollBar)
 |  | Parent (TControl)
pt |  | ParentBackground (TWinControl)
 |  | ParentBiDiMode (TControl)
pt |  | ParentColor (TControl)
 |  | ParentDoubleBuffered (TWinControl)
pt |  | ParentFont (TControl)
pt |  | ParentShowHint (TControl)
 |  | ParentWindow (TWinControl)
 |  | PopupMenu (TControl)
pl |  | Position (TCDPositionedControl)
 | ro | ReadBounds (TControl)
pt |  | SessionProperties (TControl)
 |  | ShowHint (TControl)
 | ro | Showing (TWinControl)
 |  | TabOrder (TWinControl)
 |  | TabStop (TWinControl)
pl | ro | TabStop (TCDScrollBar)
 |  | Tag (TComponent)
 |  | TBDockHeight (TControl)
pt |  | Text (TControl)
pl |  | Top (TControl)
 |  | UndockHeight (TControl)
 |  | UndockWidth (TControl)
 |  | UseDockManager (TWinControl)
 |  | VCLComObject (TComponent)
 |  | Visible (TControl)
 | ro | VisibleDockClientCount (TWinControl)
 | ro | WidgetSetClass (TLCLComponent)
pl |  | Width (TControl)
pt |  | WindowHandle (TWinControl)
 |  | WindowProc (TControl)


TCDScrollBar
pt | GetPositionFromMousePos
pt | GetButtonFromMousePos
pt | GetPositionDisplacement
pt | GetControlId
pt | PrepareControlState
 | Create
 | Destroy
TCDPositionedControl
pt | GetPositionFromMousePosWithMargins
pt | GetPositionFromMousePos
pt | GetPositionDisplacementWithMargins
pt | GetPositionDisplacement
pt | GetButtonFromMousePos
pt | CreateControlStateEx
pt | PrepareControlStateEx
pt | KeyDown
pt | MouseDown
pt | MouseMove
pt | MouseUp
 | Create
 | Destroy
TCDControl
pt | CalculatePreferredSize
pt | SetState
pt | PrepareCurrentDrawer
pt | SetDrawStyle
pt | GetClientRect
pt | GetControlId
pt | CreateControlStateEx
pt | PrepareControlState
pt | PrepareControlStateEx
pt | DoEnter
pt | DoExit
pt | MouseEnter
pt | MouseLeave
pt | MouseDown
 | Create
 | Destroy
 | LCLWSCalculatePreferredSize
 | EraseBackground
 | Paint
 | DrawToCanvas
TCustomControl
pt | WSRegisterClass
pt | WMPaint
pt | DestroyWnd
pt | PaintWindow
pt | FontChanged
pt | SetColor
pt | Paint
 | Create
 | Destroy
TWinControl
pt | WSRegisterClass
pt | AdjustClientRect
pt | GetAdjustedLogicalClientRect
pt | AlignControls
pt | CustomAlignInsertBefore
pt | CustomAlignPosition
pt | DoAlignChildControls
pt | DoChildSizingChange
pt | InvalidatePreferredChildSizes
pt | CanTab
pt | IsClientHeightStored
pt | IsClientWidthStored
pt | DoSendShowHideToInterface
pt | ControlsAligned
pt | DoSendBoundsToInterface
pt | RealizeBounds
pt | RealizeBoundsRecursive
pt | InvalidateBoundsRealized
pt | CreateSubClass
pt | DoConstraintsChange
pt | DoSetBounds
pt | DoAutoSize
pt | DoAllAutoSize
pt | AllAutoSized
pt | CalculatePreferredSize
pt | GetPreferredSizeClientFrame
pt | GetChildren
pt | ChildClassAllowed
pt | PaintControls
pt | PaintHandler
pt | PaintWindow
pt | CreateBrush
pt | ScaleControls
pt | ChangeScale
pt | CMBiDiModeChanged
pt | CMBorderChanged
pt | CMDoubleBufferedChanged
pt | CMEnabledChanged
pt | CMParentDoubleBufferedChanged
pt | CMShowingChanged
pt | CMShowHintChanged
pt | CMVisibleChanged
pt | CMEnter
pt | CMExit
pt | WMContextMenu
pt | WMEraseBkgnd
pt | WMNotify
pt | WMSetFocus
pt | WMKillFocus
pt | WMShowWindow
pt | WMEnter
pt | WMExit
pt | WMKeyDown
pt | WMSysKeyDown
pt | WMKeyUp
pt | WMSysKeyUp
pt | WMChar
pt | WMSysChar
pt | WMPaint
pt | WMDestroy
pt | WMMove
pt | WMSize
pt | WMWindowPosChanged
pt | CNKeyDown
pt | CNSysKeyDown
pt | CNKeyUp
pt | CNSysKeyUp
pt | CNChar
pt | DoDragMsg
pt | DoDockClientMsg
pt | DoUndockClientMsg
pt | DoAddDockClient
pt | DockOver
pt | DoDockOver
pt | DoRemoveDockClient
pt | DoUnDock
pt | GetSiteInfo
pt | GetParentHandle
pt | GetTopParentHandle
pt | ReloadDockedControl
pt | CreateDockManager
pt | SetDockManager
pt | DoFloatMsg
pt | DoGetDockCaption
pt | DoEnter
pt | DoExit
pt | DoKeyDownBeforeInterface
pt | DoRemainingKeyDown
pt | DoRemainingKeyUp
pt | DoKeyPress
pt | DoUTF8KeyPress
pt | DoKeyUpBeforeInterface
pt | ChildKey
pt | SendDialogChar
pt | DialogChar
pt | ControlKeyDown
pt | ControlKeyUp
pt | KeyDown
pt | KeyDownBeforeInterface
pt | KeyDownAfterInterface
pt | KeyPress
pt | KeyUp
pt | KeyUpBeforeInterface
pt | KeyUpAfterInterface
pt | UTF8KeyPress
pt | FindNextControl
pt | SelectFirst
pt | RealGetText
pt | GetBorderStyle
pt | GetClientOrigin
pt | GetClientRect
pt | GetControlOrigin
pt | GetDeviceContext
pt | GetParentBackground
pt | IsControlMouseMsg
pt | CreateHandle
pt | CreateParams
pt | CreateWnd
pt | DestroyHandle
pt | DestroyWnd
pt | DoFlipChildren
pt | FinalizeWnd
pt | FixupTabList
pt | FontChanged
pt | InitializeWnd
pt | Loaded
pt | FormEndUpdated
pt | MainWndProc
pt | ParentFormHandleInitialized
pt | ChildHandlesCreated
pt | GetMouseCapture
pt | RealSetText
pt | RemoveFocus
pt | SendMoveSizeMessages
pt | SetBorderStyle
pt | SetColor
pt | SetChildZPosition
pt | SetParentBackground
pt | ShowControl
pt | UpdateControlState
pt | UpdateShowing
pt | WndProc
pt | WSSetText
 | AutoSizePhases
 | AutoSizeDelayed
 | AutoSizeDelayedReport
 | AutoSizeDelayedHandle
 | BeginUpdateBounds
 | EndUpdateBounds
 | LockRealizeBounds
 | UnlockRealizeBounds
 | ControlAtPos
 | ContainsControl
 | DoAdjustClientRectChange
 | InvalidateClientRectCache
 | ClientRectNeedsInterfaceUpdate
 | SetBounds
 | GetChildrenRect
 | DisableAlign
 | EnableAlign
 | ReAlign
 | ScrollBy_WS
 | ScrollBy
 | WriteLayoutDebugReport
 | AutoAdjustLayout
 | Create
 | CreateParented
 | CreateParentedControl
 | Destroy
 | DockDrop
 | CanFocus
 | CanSetFocus
 | GetControlIndex
 | SetControlIndex
 | Focused
 | PerformTab
 | FindChildControl
 | SelectNext
 | SetTempCursor
 | BroadCast
 | NotifyControls
 | DefaultHandler
 | GetTextLen
 | Invalidate
 | AddControl
 | InsertControl
 | RemoveControl
 | GetEnumeratorControls
 | GetEnumeratorControlsReverse
 | Repaint
 | Update
 | SetFocus
 | FlipChildren
 | ScaleBy
 | GetDockCaption
 | UpdateDockCaption
 | GetTabOrderList
 | HandleAllocated
 | ParentHandlesAllocated
 | HandleNeeded
 | BrushCreated
 | EraseBackground
 | IntfUTF8KeyPress
 | IntfGetDropFilesTarget
 | PaintTo
 | SetShape
TControl
pt | WSRegisterClass
pt | GetCursor
pt | SetCursor
pt | SetVisible
pt | DoOnParentHandleDestruction
pt | DoAutoSize
pt | DoAllAutoSize
pt | BeginAutoSizing
pt | EndAutoSizing
pt | AnchorSideChanged
pt | ForeignAnchorSideChanged
pt | SetAlign
pt | SetAnchors
pt | SetAutoSize
pt | BoundsChanged
pt | CreateControlBorderSpacing
pt | DoConstraintsChange
pt | DoBorderSpacingChange
pt | IsBorderSpacingInnerBorderStored
pt | IsCaptionStored
pt | SendMoveSizeMessages
pt | ConstrainedResize
pt | CalculatePreferredSize
pt | DoOnResize
pt | DoOnChangeBounds
pt | CheckOnChangeBounds
pt | Resize
pt | RequestAlign
pt | UpdateAnchorRules
pt | ChangeBounds
pt | DoSetBounds
pt | ScaleConstraints
pt | ChangeScale
pt | CanAutoSize
pt | SetBiDiMode
pt | SetParentBiDiMode
pt | IsAParentAligning
pt | GetClientOrigin
pt | GetClientRect
pt | GetLogicalClientRect
pt | GetScrolledClientRect
pt | GetClientScrollOffset
pt | GetControlOrigin
pt | IsClientHeightStored
pt | IsClientWidthStored
pt | WidthIsAnchored
pt | HeightIsAnchored
pt | WMCancelMode
pt | WMContextMenu
pt | WMLButtonDown
pt | WMRButtonDown
pt | WMMButtonDown
pt | WMXButtonDown
pt | WMLButtonDBLCLK
pt | WMRButtonDBLCLK
pt | WMMButtonDBLCLK
pt | WMXButtonDBLCLK
pt | WMLButtonTripleCLK
pt | WMRButtonTripleCLK
pt | WMMButtonTripleCLK
pt | WMXButtonTripleCLK
pt | WMLButtonQuadCLK
pt | WMRButtonQuadCLK
pt | WMMButtonQuadCLK
pt | WMXButtonQuadCLK
pt | WMMouseMove
pt | WMLButtonUp
pt | WMRButtonUp
pt | WMMButtonUp
pt | WMXButtonUp
pt | WMMouseWheel
pt | WMMouseHWheel
pt | WMMove
pt | WMSize
pt | WMWindowPosChanged
pt | CMChanged
pt | LMCaptureChanged
pt | CMBiDiModeChanged
pt | CMSysFontChanged
pt | CMEnabledChanged
pt | CMHitTest
pt | CMMouseEnter
pt | CMMouseLeave
pt | CMHintShow
pt | CMParentBiDiModeChanged
pt | CMParentColorChanged
pt | CMParentFontChanged
pt | CMParentShowHintChanged
pt | CMVisibleChanged
pt | CMTextChanged
pt | CMCursorChanged
pt | CalculateDockSizes
pt | CreateFloatingDockSite
pt | GetDockEdge
pt | GetDragImages
pt | GetFloating
pt | GetFloatingDockSiteClass
pt | BeforeDragStart
pt | BeginAutoDrag
pt | DoFloatMsg
pt | DockTrackNoTarget
pt | DoDock
pt | DoDragMsg
pt | DoEndDock
pt | DoEndDrag
pt | DoStartDock
pt | DoStartDrag
pt | DragCanceled
pt | DragOver
pt | PositionDockRect
pt | SetDragMode
pt | GetDefaultDockCaption
pt | Click
pt | DblClick
pt | TripleClick
pt | QuadClick
pt | GetMousePosFromMessage
pt | MouseDown
pt | MouseMove
pt | MouseUp
pt | MouseEnter
pt | MouseLeave
pt | DialogChar
pt | UpdateMouseCursor
pt | Changed
pt | GetPalette
pt | ChildClassAllowed
pt | ReadState
pt | Loaded
pt | LoadedAll
pt | DefineProperties
pt | AssignTo
pt | FormEndUpdated
pt | InvalidateControl
pt | FontChanged
pt | ParentFontChanged
pt | GetAction
pt | RealGetText
pt | RealSetText
pt | TextChanged
pt | GetCachedText
pt | SetAction
pt | SetColor
pt | SetEnabled
pt | SetHint
pt | SetName
pt | SetParent
pt | SetParentComponent
pt | WndProc
pt | ParentFormHandleInitialized
pt | GetMouseCapture
pt | CaptureChanged
pt | Notification
pt | CanTab
pt | GetDeviceContext
pt | GetEnabled
pt | GetPopupMenu
pt | DoOnShowHint
pt | DoMouseWheel
pt | DoMouseWheelDown
pt | DoMouseWheelUp
pt | DoMouseWheelHorz
pt | DoMouseWheelLeft
pt | DoMouseWheelRight
pt | VisibleChanging
pt | VisibleChanged
pt | EnabledChanging
pt | EnabledChanged
pt | AddHandler
pt | RemoveHandler
pt | DoCallNotifyHandler
pt | DoCallKeyEventHandler
pt | DoCallMouseWheelEventHandler
pt | DoContextPopup
pt | SetZOrder
pt | GetControlClassDefaultSize
pt | ColorIsStored
pt | DoAutoAdjustLayout
pt | DoFixDesignFontPPI
pt | DoScaleFontPPI
pt | GetActionLinkClass
pt | ActionChange
 | DragDrop
 | Dock
 | ManualDock
 | ManualFloat
 | ReplaceDockedControl
 | Docked
 | Dragging
 | GetAccessibleObject
 | CreateAccessibleObject
 | GetSelectedChildAccessibleObject
 | GetChildAccessibleObjectAtPos
 | ScaleDesignToForm
 | ScaleFormToDesign
 | Scale96ToForm
 | ScaleFormTo96
 | Scale96ToFont
 | ScaleFontTo96
 | ScaleScreenToFont
 | ScaleFontToScreen
 | Scale96ToScreen
 | ScaleScreenTo96
 | AdjustSize
 | AutoSizePhases
 | AutoSizeDelayed
 | AutoSizeDelayedReport
 | AutoSizeDelayedHandle
 | AnchorToNeighbour
 | AnchorParallel
 | AnchorHorizontalCenterTo
 | AnchorVerticalCenterTo
 | AnchorToCompanion
 | AnchorSame
 | AnchorAsAlign
 | AnchorClient
 | AnchoredControlCount
 | SetBounds
 | SetInitialBounds
 | SetBoundsKeepBase
 | GetPreferredSize
 | GetCanvasScaleFactor
 | GetDefaultWidth
 | GetDefaultHeight
 | GetDefaultColor
 | GetColorResolvingParent
 | GetRGBColorResolvingParent
 | GetSidePosition
 | CNPreferredSizeChanged
 | InvalidatePreferredSize
 | GetAnchorsDependingOnParent
 | DisableAutoSizing
 | EnableAutoSizing
 | UpdateBaseBounds
 | WriteLayoutDebugReport
 | AutoAdjustLayout
 | ShouldAutoAdjust
 | FixDesignFontsPPI
 | ScaleFontsPPI
 | Create
 | Destroy
 | BeforeDestruction
 | EditingDone
 | ExecuteDefaultAction
 | ExecuteCancelAction
 | BeginDrag
 | EndDrag
 | BringToFront
 | HasParent
 | GetParentComponent
 | IsParentOf
 | GetTopParent
 | IsVisible
 | IsControlVisible
 | IsEnabled
 | IsParentColor
 | IsParentFont
 | FormIsUpdating
 | IsProcessingPaintMsg
 | Hide
 | Refresh
 | Repaint
 | Invalidate
 | CheckChildClassAllowed
 | CheckNewParent
 | SendToBack
 | SetTempCursor
 | UpdateRolesForForm
 | ActiveDefaultControlChanged
 | GetTextBuf
 | GetTextLen
 | SetTextBuf
 | Perform
 | ScreenToClient
 | ClientToScreen
 | ScreenToControl
 | ControlToScreen
 | ClientToParent
 | ParentToClient
 | GetChildrenRect
 | Show
 | Update
 | HandleObjectShouldBeVisible
 | ParentDestroyingHandle
 | ParentHandlesAllocated
 | InitiateAction
 | ShowHelp
 | HasHelp
 | RemoveAllHandlersOfObject
 | AddHandlerOnResize
 | RemoveHandlerOnResize
 | AddHandlerOnChangeBounds
 | RemoveHandlerOnChangeBounds
 | AddHandlerOnVisibleChanging
 | RemoveHandlerOnVisibleChanging
 | AddHandlerOnVisibleChanged
 | RemoveHandlerOnVisibleChanged
 | AddHandlerOnEnabledChanged
 | RemoveHandlerOnEnableChanging
 | AddHandlerOnKeyDown
 | RemoveHandlerOnKeyDown
 | AddHandlerOnBeforeDestruction
 | RemoveHandlerOnBeforeDestruction
 | AddHandlerOnMouseWheel
 | RemoveHandlerOnMouseWheel
 | UseRightToLeftAlignment
 | UseRightToLeftReading
 | UseRightToLeftScrollBar
 | IsRightToLeft
TLCLComponent
pt | WSRegisterClass
pt | GetWSComponentClass
 | Create
 | Destroy
 | NewInstance
 | RemoveAllHandlersOfObject
 | IncLCLRefCount
 | DecLCLRefCount
TComponent
 | GetComObject
 | GetComponent
 | GetComponentCount
 | GetComponentIndex
 | Insert
 | ReadLeft
 | ReadTop
 | Remove
 | RemoveNotification
 | SetComponentIndex
 | SetReference
 | WriteLeft
 | WriteTop
 | ChangeName
 | DefineProperties
 | GetChildren
 | GetChildOwner
 | GetChildParent
 | GetOwner
 | Loaded
 | Loading
 | Notification
 | PaletteCreated
 | ReadState
 | SetAncestor
 | SetDesigning
 | SetDesignInstance
 | SetInline
 | SetName
 | SetChildOrder
 | SetParentComponent
 | Updating
 | Updated
 | UpdateRegistry
 | ValidateRename
 | ValidateContainer
 | ValidateInsert
 | QueryInterface
 | _AddRef
 | _Release
 | iicrGetComponent
 | GetTypeInfoCount
 | GetTypeInfo
 | GetIDsOfNames
 | Invoke
 | WriteState
 | Create
 | Destroy
 | BeforeDestruction
 | DestroyComponents
 | Destroying
 | ExecuteAction
 | FindComponent
 | FreeNotification
 | RemoveFreeNotification
 | FreeOnRelease
 | GetEnumerator
 | GetNamePath
 | GetParentComponent
 | HasParent
 | InsertComponent
 | RemoveComponent
 | SafeCallException
 | SetSubComponent
 | UpdateAction
 | IsImplementorOf
 | ReferenceInterface
TPersistent
 | AssignError
 | AssignTo
 | DefineProperties
 | GetOwner
 | Destroy
 | Assign
 | FPOAttachObserver
 | FPODetachObserver
 | FPONotifyObservers
 | GetNamePath
TObject
 | Create
 | Destroy
 | newinstance
 | FreeInstance
 | SafeCallException
 | DefaultHandler
 | Free
 | InitInstance
 | CleanupInstance
 | ClassType
 | ClassInfo
 | ClassName
 | ClassNameIs
 | ClassParent
 | InstanceSize
 | InheritsFrom
 | StringMessageTable
 | MethodAddress
 | MethodName
 | FieldAddress
 | AfterConstruction
 | BeforeDestruction
 | DefaultHandlerStr
 | Dispatch
 | DispatchStr
 | GetInterface
 | GetInterfaceByStr
 | GetInterfaceWeak
 | GetInterfaceEntry
 | GetInterfaceEntryByStr
 | GetInterfaceTable
 | UnitName
 | Equals
 | GetHashCode
 | ToString


pt | ActionChange (TControl)
 | ActiveDefaultControlChanged (TControl)
 | AddControl (TWinControl)
pt | AddHandler (TControl)
 | AddHandlerOnBeforeDestruction (TControl)
 | AddHandlerOnChangeBounds (TControl)
 | AddHandlerOnEnabledChanged (TControl)
 | AddHandlerOnKeyDown (TControl)
 | AddHandlerOnMouseWheel (TControl)
 | AddHandlerOnResize (TControl)
 | AddHandlerOnVisibleChanged (TControl)
 | AddHandlerOnVisibleChanging (TControl)
pt | AdjustClientRect (TWinControl)
 | AdjustSize (TControl)
 | AfterConstruction (TObject)
pt | AlignControls (TWinControl)
pt | AllAutoSized (TWinControl)
 | AnchorAsAlign (TControl)
 | AnchorClient (TControl)
 | AnchoredControlCount (TControl)
 | AnchorHorizontalCenterTo (TControl)
 | AnchorParallel (TControl)
 | AnchorSame (TControl)
pt | AnchorSideChanged (TControl)
 | AnchorToCompanion (TControl)
 | AnchorToNeighbour (TControl)
 | AnchorVerticalCenterTo (TControl)
 | Assign (TPersistent)
 | AssignError (TPersistent)
 | AssignTo (TPersistent)
pt | AssignTo (TControl)
 | AutoAdjustLayout (TControl)
 | AutoAdjustLayout (TWinControl)
 | AutoSizeDelayed (TControl)
 | AutoSizeDelayed (TWinControl)
 | AutoSizeDelayedHandle (TControl)
 | AutoSizeDelayedHandle (TWinControl)
 | AutoSizeDelayedReport (TControl)
 | AutoSizeDelayedReport (TWinControl)
 | AutoSizePhases (TControl)
 | AutoSizePhases (TWinControl)
 | BeforeDestruction (TObject)
 | BeforeDestruction (TComponent)
 | BeforeDestruction (TControl)
pt | BeforeDragStart (TControl)
pt | BeginAutoDrag (TControl)
pt | BeginAutoSizing (TControl)
 | BeginDrag (TControl)
 | BeginUpdateBounds (TWinControl)
pt | BoundsChanged (TControl)
 | BringToFront (TControl)
 | BroadCast (TWinControl)
 | BrushCreated (TWinControl)
pt | CalculateDockSizes (TControl)
pt | CalculatePreferredSize (TControl)
pt | CalculatePreferredSize (TWinControl)
pt | CalculatePreferredSize (TCDControl)
pt | CanAutoSize (TControl)
 | CanFocus (TWinControl)
 | CanSetFocus (TWinControl)
pt | CanTab (TControl)
pt | CanTab (TWinControl)
pt | CaptureChanged (TControl)
pt | ChangeBounds (TControl)
pt | Changed (TControl)
 | ChangeName (TComponent)
pt | ChangeScale (TControl)
pt | ChangeScale (TWinControl)
 | CheckChildClassAllowed (TControl)
 | CheckNewParent (TControl)
pt | CheckOnChangeBounds (TControl)
pt | ChildClassAllowed (TControl)
pt | ChildClassAllowed (TWinControl)
pt | ChildHandlesCreated (TWinControl)
pt | ChildKey (TWinControl)
 | ClassInfo (TObject)
 | ClassName (TObject)
 | ClassNameIs (TObject)
 | ClassParent (TObject)
 | ClassType (TObject)
 | CleanupInstance (TObject)
pt | Click (TControl)
 | ClientRectNeedsInterfaceUpdate (TWinControl)
 | ClientToParent (TControl)
 | ClientToScreen (TControl)
pt | CMBiDiModeChanged (TControl)
pt | CMBiDiModeChanged (TWinControl)
pt | CMBorderChanged (TWinControl)
pt | CMChanged (TControl)
pt | CMCursorChanged (TControl)
pt | CMDoubleBufferedChanged (TWinControl)
pt | CMEnabledChanged (TControl)
pt | CMEnabledChanged (TWinControl)
pt | CMEnter (TWinControl)
pt | CMExit (TWinControl)
pt | CMHintShow (TControl)
pt | CMHitTest (TControl)
pt | CMMouseEnter (TControl)
pt | CMMouseLeave (TControl)
pt | CMParentBiDiModeChanged (TControl)
pt | CMParentColorChanged (TControl)
pt | CMParentDoubleBufferedChanged (TWinControl)
pt | CMParentFontChanged (TControl)
pt | CMParentShowHintChanged (TControl)
pt | CMShowHintChanged (TWinControl)
pt | CMShowingChanged (TWinControl)
pt | CMSysFontChanged (TControl)
pt | CMTextChanged (TControl)
pt | CMVisibleChanged (TControl)
pt | CMVisibleChanged (TWinControl)
pt | CNChar (TWinControl)
pt | CNKeyDown (TWinControl)
pt | CNKeyUp (TWinControl)
 | CNPreferredSizeChanged (TControl)
pt | CNSysKeyDown (TWinControl)
pt | CNSysKeyUp (TWinControl)
pt | ColorIsStored (TControl)
pt | ConstrainedResize (TControl)
 | ContainsControl (TWinControl)
 | ControlAtPos (TWinControl)
pt | ControlKeyDown (TWinControl)
pt | ControlKeyUp (TWinControl)
pt | ControlsAligned (TWinControl)
 | ControlToScreen (TControl)
 | Create (TObject)
 | Create (TComponent)
 | Create (TLCLComponent)
 | Create (TControl)
 | Create (TWinControl)
 | Create (TCustomControl)
 | Create (TCDControl)
 | Create (TCDPositionedControl)
 | Create (TCDScrollBar)
 | CreateAccessibleObject (TControl)
pt | CreateBrush (TWinControl)
pt | CreateControlBorderSpacing (TControl)
pt | CreateControlStateEx (TCDControl)
pt | CreateControlStateEx (TCDPositionedControl)
pt | CreateDockManager (TWinControl)
pt | CreateFloatingDockSite (TControl)
pt | CreateHandle (TWinControl)
pt | CreateParams (TWinControl)
 | CreateParented (TWinControl)
 | CreateParentedControl (TWinControl)
pt | CreateSubClass (TWinControl)
pt | CreateWnd (TWinControl)
pt | CustomAlignInsertBefore (TWinControl)
pt | CustomAlignPosition (TWinControl)
pt | DblClick (TControl)
 | DecLCLRefCount (TLCLComponent)
 | DefaultHandler (TObject)
 | DefaultHandler (TWinControl)
 | DefaultHandlerStr (TObject)
 | DefineProperties (TPersistent)
 | DefineProperties (TComponent)
pt | DefineProperties (TControl)
 | Destroy (TObject)
 | Destroy (TPersistent)
 | Destroy (TComponent)
 | Destroy (TLCLComponent)
 | Destroy (TControl)
 | Destroy (TWinControl)
 | Destroy (TCustomControl)
 | Destroy (TCDControl)
 | Destroy (TCDPositionedControl)
 | Destroy (TCDScrollBar)
 | DestroyComponents (TComponent)
pt | DestroyHandle (TWinControl)
 | Destroying (TComponent)
pt | DestroyWnd (TWinControl)
pt | DestroyWnd (TCustomControl)
pt | DialogChar (TControl)
pt | DialogChar (TWinControl)
 | DisableAlign (TWinControl)
 | DisableAutoSizing (TControl)
 | Dispatch (TObject)
 | DispatchStr (TObject)
pt | DoAddDockClient (TWinControl)
 | DoAdjustClientRectChange (TWinControl)
pt | DoAlignChildControls (TWinControl)
pt | DoAllAutoSize (TControl)
pt | DoAllAutoSize (TWinControl)
pt | DoAutoAdjustLayout (TControl)
pt | DoAutoSize (TControl)
pt | DoAutoSize (TWinControl)
pt | DoBorderSpacingChange (TControl)
pt | DoCallKeyEventHandler (TControl)
pt | DoCallMouseWheelEventHandler (TControl)
pt | DoCallNotifyHandler (TControl)
pt | DoChildSizingChange (TWinControl)
 | Dock (TControl)
 | DockDrop (TWinControl)
 | Docked (TControl)
pt | DockOver (TWinControl)
pt | DockTrackNoTarget (TControl)
pt | DoConstraintsChange (TControl)
pt | DoConstraintsChange (TWinControl)
pt | DoContextPopup (TControl)
pt | DoDock (TControl)
pt | DoDockClientMsg (TWinControl)
pt | DoDockOver (TWinControl)
pt | DoDragMsg (TControl)
pt | DoDragMsg (TWinControl)
pt | DoEndDock (TControl)
pt | DoEndDrag (TControl)
pt | DoEnter (TWinControl)
pt | DoEnter (TCDControl)
pt | DoExit (TWinControl)
pt | DoExit (TCDControl)
pt | DoFixDesignFontPPI (TControl)
pt | DoFlipChildren (TWinControl)
pt | DoFloatMsg (TControl)
pt | DoFloatMsg (TWinControl)
pt | DoGetDockCaption (TWinControl)
pt | DoKeyDownBeforeInterface (TWinControl)
pt | DoKeyPress (TWinControl)
pt | DoKeyUpBeforeInterface (TWinControl)
pt | DoMouseWheel (TControl)
pt | DoMouseWheelDown (TControl)
pt | DoMouseWheelHorz (TControl)
pt | DoMouseWheelLeft (TControl)
pt | DoMouseWheelRight (TControl)
pt | DoMouseWheelUp (TControl)
pt | DoOnChangeBounds (TControl)
pt | DoOnParentHandleDestruction (TControl)
pt | DoOnResize (TControl)
pt | DoOnShowHint (TControl)
pt | DoRemainingKeyDown (TWinControl)
pt | DoRemainingKeyUp (TWinControl)
pt | DoRemoveDockClient (TWinControl)
pt | DoScaleFontPPI (TControl)
pt | DoSendBoundsToInterface (TWinControl)
pt | DoSendShowHideToInterface (TWinControl)
pt | DoSetBounds (TControl)
pt | DoSetBounds (TWinControl)
pt | DoStartDock (TControl)
pt | DoStartDrag (TControl)
pt | DoUnDock (TWinControl)
pt | DoUndockClientMsg (TWinControl)
pt | DoUTF8KeyPress (TWinControl)
pt | DragCanceled (TControl)
 | DragDrop (TControl)
 | Dragging (TControl)
pt | DragOver (TControl)
 | DrawToCanvas (TCDControl)
 | EditingDone (TControl)
 | EnableAlign (TWinControl)
 | EnableAutoSizing (TControl)
pt | EnabledChanged (TControl)
pt | EnabledChanging (TControl)
pt | EndAutoSizing (TControl)
 | EndDrag (TControl)
 | EndUpdateBounds (TWinControl)
 | Equals (TObject)
 | EraseBackground (TWinControl)
 | EraseBackground (TCDControl)
 | ExecuteAction (TComponent)
 | ExecuteCancelAction (TControl)
 | ExecuteDefaultAction (TControl)
 | FieldAddress (TObject)
pt | FinalizeWnd (TWinControl)
 | FindChildControl (TWinControl)
 | FindComponent (TComponent)
pt | FindNextControl (TWinControl)
 | FixDesignFontsPPI (TControl)
pt | FixupTabList (TWinControl)
 | FlipChildren (TWinControl)
 | Focused (TWinControl)
pt | FontChanged (TControl)
pt | FontChanged (TWinControl)
pt | FontChanged (TCustomControl)
pt | ForeignAnchorSideChanged (TControl)
pt | FormEndUpdated (TControl)
pt | FormEndUpdated (TWinControl)
 | FormIsUpdating (TControl)
 | FPOAttachObserver (TPersistent)
 | FPODetachObserver (TPersistent)
 | FPONotifyObservers (TPersistent)
 | Free (TObject)
 | FreeInstance (TObject)
 | FreeNotification (TComponent)
 | FreeOnRelease (TComponent)
 | GetAccessibleObject (TControl)
pt | GetAction (TControl)
pt | GetActionLinkClass (TControl)
pt | GetAdjustedLogicalClientRect (TWinControl)
 | GetAnchorsDependingOnParent (TControl)
pt | GetBorderStyle (TWinControl)
pt | GetButtonFromMousePos (TCDPositionedControl)
pt | GetButtonFromMousePos (TCDScrollBar)
pt | GetCachedText (TControl)
 | GetCanvasScaleFactor (TControl)
 | GetChildAccessibleObjectAtPos (TControl)
 | GetChildOwner (TComponent)
 | GetChildParent (TComponent)
 | GetChildren (TComponent)
pt | GetChildren (TWinControl)
 | GetChildrenRect (TControl)
 | GetChildrenRect (TWinControl)
pt | GetClientOrigin (TControl)
pt | GetClientOrigin (TWinControl)
pt | GetClientRect (TControl)
pt | GetClientRect (TWinControl)
pt | GetClientRect (TCDControl)
pt | GetClientScrollOffset (TControl)
 | GetColorResolvingParent (TControl)
 | GetComObject (TComponent)
 | GetComponent (TComponent)
 | GetComponentCount (TComponent)
 | GetComponentIndex (TComponent)
pt | GetControlClassDefaultSize (TControl)
pt | GetControlId (TCDControl)
pt | GetControlId (TCDScrollBar)
 | GetControlIndex (TWinControl)
pt | GetControlOrigin (TControl)
pt | GetControlOrigin (TWinControl)
pt | GetCursor (TControl)
 | GetDefaultColor (TControl)
pt | GetDefaultDockCaption (TControl)
 | GetDefaultHeight (TControl)
 | GetDefaultWidth (TControl)
pt | GetDeviceContext (TControl)
pt | GetDeviceContext (TWinControl)
 | GetDockCaption (TWinControl)
pt | GetDockEdge (TControl)
pt | GetDragImages (TControl)
pt | GetEnabled (TControl)
 | GetEnumerator (TComponent)
 | GetEnumeratorControls (TWinControl)
 | GetEnumeratorControlsReverse (TWinControl)
pt | GetFloating (TControl)
pt | GetFloatingDockSiteClass (TControl)
 | GetHashCode (TObject)
 | GetIDsOfNames (TComponent)
 | GetInterface (TObject)
 | GetInterfaceByStr (TObject)
 | GetInterfaceEntry (TObject)
 | GetInterfaceEntryByStr (TObject)
 | GetInterfaceTable (TObject)
 | GetInterfaceWeak (TObject)
pt | GetLogicalClientRect (TControl)
pt | GetMouseCapture (TControl)
pt | GetMouseCapture (TWinControl)
pt | GetMousePosFromMessage (TControl)
 | GetNamePath (TPersistent)
 | GetNamePath (TComponent)
 | GetOwner (TPersistent)
 | GetOwner (TComponent)
pt | GetPalette (TControl)
pt | GetParentBackground (TWinControl)
 | GetParentComponent (TComponent)
 | GetParentComponent (TControl)
pt | GetParentHandle (TWinControl)
pt | GetPopupMenu (TControl)
pt | GetPositionDisplacement (TCDPositionedControl)
pt | GetPositionDisplacement (TCDScrollBar)
pt | GetPositionDisplacementWithMargins (TCDPositionedControl)
pt | GetPositionFromMousePos (TCDPositionedControl)
pt | GetPositionFromMousePos (TCDScrollBar)
pt | GetPositionFromMousePosWithMargins (TCDPositionedControl)
 | GetPreferredSize (TControl)
pt | GetPreferredSizeClientFrame (TWinControl)
 | GetRGBColorResolvingParent (TControl)
pt | GetScrolledClientRect (TControl)
 | GetSelectedChildAccessibleObject (TControl)
 | GetSidePosition (TControl)
pt | GetSiteInfo (TWinControl)
 | GetTabOrderList (TWinControl)
 | GetTextBuf (TControl)
 | GetTextLen (TControl)
 | GetTextLen (TWinControl)
 | GetTopParent (TControl)
pt | GetTopParentHandle (TWinControl)
 | GetTypeInfo (TComponent)
 | GetTypeInfoCount (TComponent)
pt | GetWSComponentClass (TLCLComponent)
 | HandleAllocated (TWinControl)
 | HandleNeeded (TWinControl)
 | HandleObjectShouldBeVisible (TControl)
 | HasHelp (TControl)
 | HasParent (TComponent)
 | HasParent (TControl)
pt | HeightIsAnchored (TControl)
 | Hide (TControl)
 | iicrGetComponent (TComponent)
 | IncLCLRefCount (TLCLComponent)
 | InheritsFrom (TObject)
pt | InitializeWnd (TWinControl)
 | InitiateAction (TControl)
 | InitInstance (TObject)
 | Insert (TComponent)
 | InsertComponent (TComponent)
 | InsertControl (TWinControl)
 | InstanceSize (TObject)
 | IntfGetDropFilesTarget (TWinControl)
 | IntfUTF8KeyPress (TWinControl)
 | Invalidate (TControl)
 | Invalidate (TWinControl)
pt | InvalidateBoundsRealized (TWinControl)
 | InvalidateClientRectCache (TWinControl)
pt | InvalidateControl (TControl)
pt | InvalidatePreferredChildSizes (TWinControl)
 | InvalidatePreferredSize (TControl)
 | Invoke (TComponent)
pt | IsAParentAligning (TControl)
pt | IsBorderSpacingInnerBorderStored (TControl)
pt | IsCaptionStored (TControl)
pt | IsClientHeightStored (TControl)
pt | IsClientHeightStored (TWinControl)
pt | IsClientWidthStored (TControl)
pt | IsClientWidthStored (TWinControl)
pt | IsControlMouseMsg (TWinControl)
 | IsControlVisible (TControl)
 | IsEnabled (TControl)
 | IsImplementorOf (TComponent)
 | IsParentColor (TControl)
 | IsParentFont (TControl)
 | IsParentOf (TControl)
 | IsProcessingPaintMsg (TControl)
 | IsRightToLeft (TControl)
 | IsVisible (TControl)
pt | KeyDown (TWinControl)
pt | KeyDown (TCDPositionedControl)
pt | KeyDownAfterInterface (TWinControl)
pt | KeyDownBeforeInterface (TWinControl)
pt | KeyPress (TWinControl)
pt | KeyUp (TWinControl)
pt | KeyUpAfterInterface (TWinControl)
pt | KeyUpBeforeInterface (TWinControl)
 | LCLWSCalculatePreferredSize (TCDControl)
pt | LMCaptureChanged (TControl)
 | Loaded (TComponent)
pt | Loaded (TControl)
pt | Loaded (TWinControl)
pt | LoadedAll (TControl)
 | Loading (TComponent)
 | LockRealizeBounds (TWinControl)
pt | MainWndProc (TWinControl)
 | ManualDock (TControl)
 | ManualFloat (TControl)
 | MethodAddress (TObject)
 | MethodName (TObject)
pt | MouseDown (TControl)
pt | MouseDown (TCDControl)
pt | MouseDown (TCDPositionedControl)
pt | MouseEnter (TControl)
pt | MouseEnter (TCDControl)
pt | MouseLeave (TControl)
pt | MouseLeave (TCDControl)
pt | MouseMove (TControl)
pt | MouseMove (TCDPositionedControl)
pt | MouseUp (TControl)
pt | MouseUp (TCDPositionedControl)
 | newinstance (TObject)
 | NewInstance (TLCLComponent)
 | Notification (TComponent)
pt | Notification (TControl)
 | NotifyControls (TWinControl)
pt | Paint (TCustomControl)
 | Paint (TCDControl)
pt | PaintControls (TWinControl)
pt | PaintHandler (TWinControl)
 | PaintTo (TWinControl)
pt | PaintWindow (TWinControl)
pt | PaintWindow (TCustomControl)
 | PaletteCreated (TComponent)
 | ParentDestroyingHandle (TControl)
pt | ParentFontChanged (TControl)
pt | ParentFormHandleInitialized (TControl)
pt | ParentFormHandleInitialized (TWinControl)
 | ParentHandlesAllocated (TControl)
 | ParentHandlesAllocated (TWinControl)
 | ParentToClient (TControl)
 | Perform (TControl)
 | PerformTab (TWinControl)
pt | PositionDockRect (TControl)
pt | PrepareControlState (TCDControl)
pt | PrepareControlState (TCDScrollBar)
pt | PrepareControlStateEx (TCDControl)
pt | PrepareControlStateEx (TCDPositionedControl)
pt | PrepareCurrentDrawer (TCDControl)
pt | QuadClick (TControl)
 | QueryInterface (TComponent)
 | ReadLeft (TComponent)
 | ReadState (TComponent)
pt | ReadState (TControl)
 | ReadTop (TComponent)
pt | RealGetText (TControl)
pt | RealGetText (TWinControl)
 | ReAlign (TWinControl)
pt | RealizeBounds (TWinControl)
pt | RealizeBoundsRecursive (TWinControl)
pt | RealSetText (TControl)
pt | RealSetText (TWinControl)
 | ReferenceInterface (TComponent)
 | Refresh (TControl)
pt | ReloadDockedControl (TWinControl)
 | Remove (TComponent)
 | RemoveAllHandlersOfObject (TLCLComponent)
 | RemoveAllHandlersOfObject (TControl)
 | RemoveComponent (TComponent)
 | RemoveControl (TWinControl)
pt | RemoveFocus (TWinControl)
 | RemoveFreeNotification (TComponent)
pt | RemoveHandler (TControl)
 | RemoveHandlerOnBeforeDestruction (TControl)
 | RemoveHandlerOnChangeBounds (TControl)
 | RemoveHandlerOnEnableChanging (TControl)
 | RemoveHandlerOnKeyDown (TControl)
 | RemoveHandlerOnMouseWheel (TControl)
 | RemoveHandlerOnResize (TControl)
 | RemoveHandlerOnVisibleChanged (TControl)
 | RemoveHandlerOnVisibleChanging (TControl)
 | RemoveNotification (TComponent)
 | Repaint (TControl)
 | Repaint (TWinControl)
 | ReplaceDockedControl (TControl)
pt | RequestAlign (TControl)
pt | Resize (TControl)
 | SafeCallException (TObject)
 | SafeCallException (TComponent)
 | Scale96ToFont (TControl)
 | Scale96ToForm (TControl)
 | Scale96ToScreen (TControl)
 | ScaleBy (TWinControl)
pt | ScaleConstraints (TControl)
pt | ScaleControls (TWinControl)
 | ScaleDesignToForm (TControl)
 | ScaleFontsPPI (TControl)
 | ScaleFontTo96 (TControl)
 | ScaleFontToScreen (TControl)
 | ScaleFormTo96 (TControl)
 | ScaleFormToDesign (TControl)
 | ScaleScreenTo96 (TControl)
 | ScaleScreenToFont (TControl)
 | ScreenToClient (TControl)
 | ScreenToControl (TControl)
 | ScrollBy (TWinControl)
 | ScrollBy_WS (TWinControl)
pt | SelectFirst (TWinControl)
 | SelectNext (TWinControl)
pt | SendDialogChar (TWinControl)
pt | SendMoveSizeMessages (TControl)
pt | SendMoveSizeMessages (TWinControl)
 | SendToBack (TControl)
pt | SetAction (TControl)
pt | SetAlign (TControl)
 | SetAncestor (TComponent)
pt | SetAnchors (TControl)
pt | SetAutoSize (TControl)
pt | SetBiDiMode (TControl)
pt | SetBorderStyle (TWinControl)
 | SetBounds (TControl)
 | SetBounds (TWinControl)
 | SetBoundsKeepBase (TControl)
 | SetChildOrder (TComponent)
pt | SetChildZPosition (TWinControl)
pt | SetColor (TControl)
pt | SetColor (TWinControl)
pt | SetColor (TCustomControl)
 | SetComponentIndex (TComponent)
 | SetControlIndex (TWinControl)
pt | SetCursor (TControl)
 | SetDesigning (TComponent)
 | SetDesignInstance (TComponent)
pt | SetDockManager (TWinControl)
pt | SetDragMode (TControl)
pt | SetDrawStyle (TCDControl)
pt | SetEnabled (TControl)
 | SetFocus (TWinControl)
pt | SetHint (TControl)
 | SetInitialBounds (TControl)
 | SetInline (TComponent)
 | SetName (TComponent)
pt | SetName (TControl)
pt | SetParent (TControl)
pt | SetParentBackground (TWinControl)
pt | SetParentBiDiMode (TControl)
 | SetParentComponent (TComponent)
pt | SetParentComponent (TControl)
 | SetReference (TComponent)
 | SetShape (TWinControl)
pt | SetState (TCDControl)
 | SetSubComponent (TComponent)
 | SetTempCursor (TControl)
 | SetTempCursor (TWinControl)
 | SetTextBuf (TControl)
pt | SetVisible (TControl)
pt | SetZOrder (TControl)
 | ShouldAutoAdjust (TControl)
 | Show (TControl)
pt | ShowControl (TWinControl)
 | ShowHelp (TControl)
 | StringMessageTable (TObject)
pt | TextChanged (TControl)
 | ToString (TObject)
pt | TripleClick (TControl)
 | UnitName (TObject)
 | UnlockRealizeBounds (TWinControl)
 | Update (TControl)
 | Update (TWinControl)
 | UpdateAction (TComponent)
pt | UpdateAnchorRules (TControl)
 | UpdateBaseBounds (TControl)
pt | UpdateControlState (TWinControl)
 | Updated (TComponent)
 | UpdateDockCaption (TWinControl)
pt | UpdateMouseCursor (TControl)
 | UpdateRegistry (TComponent)
 | UpdateRolesForForm (TControl)
pt | UpdateShowing (TWinControl)
 | Updating (TComponent)
 | UseRightToLeftAlignment (TControl)
 | UseRightToLeftReading (TControl)
 | UseRightToLeftScrollBar (TControl)
pt | UTF8KeyPress (TWinControl)
 | ValidateContainer (TComponent)
 | ValidateInsert (TComponent)
 | ValidateRename (TComponent)
pt | VisibleChanged (TControl)
pt | VisibleChanging (TControl)
pt | WidthIsAnchored (TControl)
pt | WMCancelMode (TControl)
pt | WMChar (TWinControl)
pt | WMContextMenu (TControl)
pt | WMContextMenu (TWinControl)
pt | WMDestroy (TWinControl)
pt | WMEnter (TWinControl)
pt | WMEraseBkgnd (TWinControl)
pt | WMExit (TWinControl)
pt | WMKeyDown (TWinControl)
pt | WMKeyUp (TWinControl)
pt | WMKillFocus (TWinControl)
pt | WMLButtonDBLCLK (TControl)
pt | WMLButtonDown (TControl)
pt | WMLButtonQuadCLK (TControl)
pt | WMLButtonTripleCLK (TControl)
pt | WMLButtonUp (TControl)
pt | WMMButtonDBLCLK (TControl)
pt | WMMButtonDown (TControl)
pt | WMMButtonQuadCLK (TControl)
pt | WMMButtonTripleCLK (TControl)
pt | WMMButtonUp (TControl)
pt | WMMouseHWheel (TControl)
pt | WMMouseMove (TControl)
pt | WMMouseWheel (TControl)
pt | WMMove (TControl)
pt | WMMove (TWinControl)
pt | WMNotify (TWinControl)
pt | WMPaint (TWinControl)
pt | WMPaint (TCustomControl)
pt | WMRButtonDBLCLK (TControl)
pt | WMRButtonDown (TControl)
pt | WMRButtonQuadCLK (TControl)
pt | WMRButtonTripleCLK (TControl)
pt | WMRButtonUp (TControl)
pt | WMSetFocus (TWinControl)
pt | WMShowWindow (TWinControl)
pt | WMSize (TControl)
pt | WMSize (TWinControl)
pt | WMSysChar (TWinControl)
pt | WMSysKeyDown (TWinControl)
pt | WMSysKeyUp (TWinControl)
pt | WMWindowPosChanged (TControl)
pt | WMWindowPosChanged (TWinControl)
pt | WMXButtonDBLCLK (TControl)
pt | WMXButtonDown (TControl)
pt | WMXButtonQuadCLK (TControl)
pt | WMXButtonTripleCLK (TControl)
pt | WMXButtonUp (TControl)
pt | WndProc (TControl)
pt | WndProc (TWinControl)
 | WriteLayoutDebugReport (TControl)
 | WriteLayoutDebugReport (TWinControl)
 | WriteLeft (TComponent)
 | WriteState (TComponent)
 | WriteTop (TComponent)
pt | WSRegisterClass (TLCLComponent)
pt | WSRegisterClass (TControl)
pt | WSRegisterClass (TWinControl)
pt | WSRegisterClass (TCustomControl)
pt | WSSetText (TWinControl)
 | _AddRef (TComponent)
 | _Release (TComponent)


TCDScrollBar
TCDPositionedControl
pl | OnChange
pl | OnChangeByUser
TCDControl
TCustomControl
 | OnPaint
TWinControl
pt | OnGetSiteInfo
pt | OnGetDockCaption
 | OnAlignInsertBefore
 | OnAlignPosition
 | OnDockDrop
 | OnDockOver
 | OnEnter
 | OnExit
 | OnKeyDown
 | OnKeyPress
 | OnKeyUp
 | OnUnDock
 | OnUTF8KeyPress
TControl
pt | OnConstrainedResize
pt | OnContextPopup
pt | OnDblClick
pt | OnTripleClick
pt | OnQuadClick
pt | OnDragDrop
pt | OnDragOver
pt | OnEndDock
pt | OnEndDrag
pt | OnMouseDown
pt | OnMouseMove
pt | OnMouseUp
pt | OnMouseEnter
pt | OnMouseLeave
pt | OnMouseWheel
pt | OnMouseWheelDown
pt | OnMouseWheelUp
pt | OnMouseWheelHorz
pt | OnMouseWheelLeft
pt | OnMouseWheelRight
pt | OnStartDock
pt | OnStartDrag
pt | OnEditingDone
 | OnChangeBounds
 | OnClick
 | OnResize
 | OnShowHint
TLCLComponent
TComponent
TPersistent
TObject


TCDScrollBar.Create

Declaration

Source position: customdrawncontrols.pas line 403

public constructor TCDScrollBar.Create(

  AOwner: TComponent

); override;


TCDScrollBar.Destroy

Declaration

Source position: customdrawncontrols.pas line 404

public destructor TCDScrollBar.Destroy; override;


TCDScrollBar.DrawStyle

Declaration

Source position: customdrawncontrols.pas line 406

published property TCDScrollBar.DrawStyle : TCDDrawStyle;


TCDScrollBar.Enabled

Declaration

Source position: customdrawncontrols.pas line 407

published property TCDScrollBar.Enabled : Boolean;


TCDScrollBar.GetButtonFromMousePos

Declaration

Source position: customdrawncontrols.pas line 398

protected function TCDScrollBar.GetButtonFromMousePos(

  X: Integer;

  Y: Integer

):TCDControlState; override;


TCDScrollBar.GetControlId

Declaration

Source position: customdrawncontrols.pas line 400

protected function TCDScrollBar.GetControlId: TCDControlID; override;


TCDScrollBar.GetPositionDisplacement

Declaration

Source position: customdrawncontrols.pas line 399

protected function TCDScrollBar.GetPositionDisplacement(

  AOldMousePos: TPoint;

  ANewMousePos: TPoint

):Integer; override;


TCDScrollBar.GetPositionFromMousePos

Declaration

Source position: customdrawncontrols.pas line 397

protected function TCDScrollBar.GetPositionFromMousePos(

  X: Integer;

  Y: Integer

):Integer; override;


TCDScrollBar.Kind

Declaration

Source position: customdrawncontrols.pas line 408

published property TCDScrollBar.Kind : TScrollBarKind
  read FKind
  write SetKind;


TCDScrollBar.PageSize

Declaration

Source position: customdrawncontrols.pas line 409

published property TCDScrollBar.PageSize : Integer;


TCDScrollBar.PrepareControlState

Declaration

Source position: customdrawncontrols.pas line 401

protected procedure TCDScrollBar.PrepareControlState; override;


TCDScrollBar.TabStop

Declaration

Source position: customdrawncontrols.pas line 410

published property TCDScrollBar.TabStop : Boolean
  default True;


TCDSpinEdit

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Declaration

Source position: customdrawncontrols.pas line 774

type TCDSpinEdit = class(TCDEdit)

protected

  procedure DoChange; override;

public

  constructor Create(); override;

  destructor Destroy; override;

published

  property DecimalPlaces: Byte; [rw]

  property Increment: Double; [rw]

  property MinValue: Double; [rw]

  property MaxValue: Double; [rw]

  property Value: Double; [rw]

end;

Inheritance

TCDSpinEdit
|
TCDEdit |
|
TCDControl |
|
TCustomControl | The base class for windowed controls which paint themselves.
|
TWinControl | The base class for controls which can contain other (child) controls.
|
TControl | The base class for visible controls.
|
TLCLComponent | The base class for LCL components associated with widgets.
|
TComponent,IUnknown,IInterfaceComponentReference
|
TPersistent,IFPObserved
|
TObject


TCDSpinEdit
pl |  | DecimalPlaces
pl |  | Increment
pl |  | MinValue
pl |  | MaxValue
pl |  | Value
TCDEdit
 |  | LeftTextMargin
 |  | RightTextMargin
 |  | CaretPos
pl | ro | Align
pl | ro | Anchors
pl | ro | AutoSize
pl | ro | Color
pl | ro | DrawStyle
pl | ro | Enabled
pl |  | Lines
pl |  | MultiLine
pl |  | PasswordChar
pl |  | ReadOnly
pl | ro | TabStop
pl |  | Text
TCDControl
pt |  | DrawStyle
TCustomControl
 |  | Canvas
 | ro | BorderStyle
TWinControl
pt |  | WindowHandle
pt |  | BorderStyle
pt |  | ParentBackground
 |  | BorderWidth
 | ro | BoundsLockCount
 | ro | Brush
 | ro | CachedClientHeight
 | ro | CachedClientWidth
 |  | ChildSizing
 | ro | ControlCount
 | ro | Controls
 |  | DefWndProc
 | ro | DockClientCount
 | ro | DockClients
 |  | DockManager
 |  | DockSite
 |  | DoubleBuffered
 |  | Handle
 | ro | IsFlipped
 | ro | IsResizing
 |  | TabOrder
 |  | TabStop
 |  | ParentDoubleBuffered
 |  | ParentWindow
 | ro | Showing
 |  | UseDockManager
 |  | DesignerDeleting
 | ro | VisibleDockClientCount
TControl
pt | ro | AutoSizing
pt | ro | AutoSizingAll
pt | ro | AutoSizingLockCount
pt |  | ActionLink
pt |  | DesktopFont
pt |  | DragCursor
pt |  | DragKind
pt |  | DragMode
pt |  | MouseCapture
pt |  | ParentColor
pt |  | ParentFont
pt |  | ParentShowHint
pt |  | SessionProperties
pt |  | Text
 | ro | AnchoredControls
 | ro | BaseBounds
 | ro | ReadBounds
 | ro | BaseParentClientSize
 |  | AccessibleDescription
 |  | AccessibleValue
 |  | AccessibleRole
 |  | Action
 |  | Align
 |  | Anchors
 | ro | AnchorSide
 |  | AutoSize
 |  | BorderSpacing
 |  | BoundsRect
 |  | BoundsRectForNewParent
 |  | Caption
 |  | CaptureMouseButtons
 |  | ClientHeight
 | ro | ClientOrigin
 | ro | ClientRect
 |  | ClientWidth
 |  | Color
 |  | Constraints
 | ro | ControlOrigin
 |  | ControlState
 |  | ControlStyle
 |  | Enabled
 |  | Font
 |  | IsControl
 | ro | MouseEntered
 | ro | MouseInClient
 |  | Parent
 |  | PopupMenu
 |  | ShowHint
 |  | Visible
 |  | WindowProc
 |  | DockOrientation
 | ro | Floating
 |  | FloatingDockSiteClass
 |  | HostDockSite
 |  | LRDockWidth
 |  | TBDockHeight
 |  | UndockHeight
 |  | UndockWidth
 |  | BiDiMode
 |  | ParentBiDiMode
pl |  | AnchorSideLeft
pl |  | AnchorSideTop
pl |  | AnchorSideRight
pl |  | AnchorSideBottom
pl |  | Cursor
pl |  | Left
pl |  | Height
pl |  | Hint
pl |  | Top
pl |  | Width
pl |  | HelpType
pl |  | HelpKeyword
pl |  | HelpContext
TLCLComponent
 | ro | LCLRefCount
 | ro | WidgetSetClass
TComponent
 | ro | ComObject
 | ro | Components
 | ro | ComponentCount
 |  | ComponentIndex
 | ro | ComponentState
 | ro | ComponentStyle
 |  | DesignInfo
 | ro | Owner
 |  | VCLComObject
 |  | Name
 |  | Tag
TPersistent
TObject


 |  | AccessibleDescription (TControl)
 |  | AccessibleRole (TControl)
 |  | AccessibleValue (TControl)
 |  | Action (TControl)
pt |  | ActionLink (TControl)
 |  | Align (TControl)
pl | ro | Align (TCDEdit)
 | ro | AnchoredControls (TControl)
 |  | Anchors (TControl)
pl | ro | Anchors (TCDEdit)
 | ro | AnchorSide (TControl)
pl |  | AnchorSideBottom (TControl)
pl |  | AnchorSideLeft (TControl)
pl |  | AnchorSideRight (TControl)
pl |  | AnchorSideTop (TControl)
 |  | AutoSize (TControl)
pl | ro | AutoSize (TCDEdit)
pt | ro | AutoSizing (TControl)
pt | ro | AutoSizingAll (TControl)
pt | ro | AutoSizingLockCount (TControl)
 | ro | BaseBounds (TControl)
 | ro | BaseParentClientSize (TControl)
 |  | BiDiMode (TControl)
 |  | BorderSpacing (TControl)
pt |  | BorderStyle (TWinControl)
 | ro | BorderStyle (TCustomControl)
 |  | BorderWidth (TWinControl)
 | ro | BoundsLockCount (TWinControl)
 |  | BoundsRect (TControl)
 |  | BoundsRectForNewParent (TControl)
 | ro | Brush (TWinControl)
 | ro | CachedClientHeight (TWinControl)
 | ro | CachedClientWidth (TWinControl)
 |  | Canvas (TCustomControl)
 |  | Caption (TControl)
 |  | CaptureMouseButtons (TControl)
 |  | CaretPos (TCDEdit)
 |  | ChildSizing (TWinControl)
 |  | ClientHeight (TControl)
 | ro | ClientOrigin (TControl)
 | ro | ClientRect (TControl)
 |  | ClientWidth (TControl)
 |  | Color (TControl)
pl | ro | Color (TCDEdit)
 | ro | ComObject (TComponent)
 | ro | ComponentCount (TComponent)
 |  | ComponentIndex (TComponent)
 | ro | Components (TComponent)
 | ro | ComponentState (TComponent)
 | ro | ComponentStyle (TComponent)
 |  | Constraints (TControl)
 | ro | ControlCount (TWinControl)
 | ro | ControlOrigin (TControl)
 | ro | Controls (TWinControl)
 |  | ControlState (TControl)
 |  | ControlStyle (TControl)
pl |  | Cursor (TControl)
pl |  | DecimalPlaces (TCDSpinEdit)
 |  | DefWndProc (TWinControl)
 |  | DesignerDeleting (TWinControl)
 |  | DesignInfo (TComponent)
pt |  | DesktopFont (TControl)
 | ro | DockClientCount (TWinControl)
 | ro | DockClients (TWinControl)
 |  | DockManager (TWinControl)
 |  | DockOrientation (TControl)
 |  | DockSite (TWinControl)
 |  | DoubleBuffered (TWinControl)
pt |  | DragCursor (TControl)
pt |  | DragKind (TControl)
pt |  | DragMode (TControl)
pt |  | DrawStyle (TCDControl)
pl | ro | DrawStyle (TCDEdit)
 |  | Enabled (TControl)
pl | ro | Enabled (TCDEdit)
 | ro | Floating (TControl)
 |  | FloatingDockSiteClass (TControl)
 |  | Font (TControl)
 |  | Handle (TWinControl)
pl |  | Height (TControl)
pl |  | HelpContext (TControl)
pl |  | HelpKeyword (TControl)
pl |  | HelpType (TControl)
pl |  | Hint (TControl)
 |  | HostDockSite (TControl)
pl |  | Increment (TCDSpinEdit)
 |  | IsControl (TControl)
 | ro | IsFlipped (TWinControl)
 | ro | IsResizing (TWinControl)
 | ro | LCLRefCount (TLCLComponent)
pl |  | Left (TControl)
 |  | LeftTextMargin (TCDEdit)
pl |  | Lines (TCDEdit)
 |  | LRDockWidth (TControl)
pl |  | MaxValue (TCDSpinEdit)
pl |  | MinValue (TCDSpinEdit)
pt |  | MouseCapture (TControl)
 | ro | MouseEntered (TControl)
 | ro | MouseInClient (TControl)
pl |  | MultiLine (TCDEdit)
 |  | Name (TComponent)
 | ro | Owner (TComponent)
 |  | Parent (TControl)
pt |  | ParentBackground (TWinControl)
 |  | ParentBiDiMode (TControl)
pt |  | ParentColor (TControl)
 |  | ParentDoubleBuffered (TWinControl)
pt |  | ParentFont (TControl)
pt |  | ParentShowHint (TControl)
 |  | ParentWindow (TWinControl)
pl |  | PasswordChar (TCDEdit)
 |  | PopupMenu (TControl)
 | ro | ReadBounds (TControl)
pl |  | ReadOnly (TCDEdit)
 |  | RightTextMargin (TCDEdit)
pt |  | SessionProperties (TControl)
 |  | ShowHint (TControl)
 | ro | Showing (TWinControl)
 |  | TabOrder (TWinControl)
 |  | TabStop (TWinControl)
pl | ro | TabStop (TCDEdit)
 |  | Tag (TComponent)
 |  | TBDockHeight (TControl)
pt |  | Text (TControl)
pl |  | Text (TCDEdit)
pl |  | Top (TControl)
 |  | UndockHeight (TControl)
 |  | UndockWidth (TControl)
 |  | UseDockManager (TWinControl)
pl |  | Value (TCDSpinEdit)
 |  | VCLComObject (TComponent)
 |  | Visible (TControl)
 | ro | VisibleDockClientCount (TWinControl)
 | ro | WidgetSetClass (TLCLComponent)
pl |  | Width (TControl)
pt |  | WindowHandle (TWinControl)
 |  | WindowProc (TControl)


TCDSpinEdit
pt | DoChange
 | Create
 | Destroy
TCDEdit
pt | GetControlId
pt | CreateControlStateEx
pt | RealSetText
pt | DoChange
pt | DoEnter
pt | DoExit
pt | KeyDown
pt | KeyUp
pt | UTF8KeyPress
pt | MouseDown
pt | MouseMove
pt | MouseUp
pt | MouseEnter
pt | MouseLeave
 | Create
 | Destroy
 | GetCurrentLine
 | SetCurrentLine
 | GetSelStartX
 | GetSelLength
 | SetSelStartX
 | SetSelLength
TCDControl
pt | CalculatePreferredSize
pt | SetState
pt | PrepareCurrentDrawer
pt | SetDrawStyle
pt | GetClientRect
pt | GetControlId
pt | CreateControlStateEx
pt | PrepareControlState
pt | PrepareControlStateEx
pt | DoEnter
pt | DoExit
pt | MouseEnter
pt | MouseLeave
pt | MouseDown
 | Create
 | Destroy
 | LCLWSCalculatePreferredSize
 | EraseBackground
 | Paint
 | DrawToCanvas
TCustomControl
pt | WSRegisterClass
pt | WMPaint
pt | DestroyWnd
pt | PaintWindow
pt | FontChanged
pt | SetColor
pt | Paint
 | Create
 | Destroy
TWinControl
pt | WSRegisterClass
pt | AdjustClientRect
pt | GetAdjustedLogicalClientRect
pt | AlignControls
pt | CustomAlignInsertBefore
pt | CustomAlignPosition
pt | DoAlignChildControls
pt | DoChildSizingChange
pt | InvalidatePreferredChildSizes
pt | CanTab
pt | IsClientHeightStored
pt | IsClientWidthStored
pt | DoSendShowHideToInterface
pt | ControlsAligned
pt | DoSendBoundsToInterface
pt | RealizeBounds
pt | RealizeBoundsRecursive
pt | InvalidateBoundsRealized
pt | CreateSubClass
pt | DoConstraintsChange
pt | DoSetBounds
pt | DoAutoSize
pt | DoAllAutoSize
pt | AllAutoSized
pt | CalculatePreferredSize
pt | GetPreferredSizeClientFrame
pt | GetChildren
pt | ChildClassAllowed
pt | PaintControls
pt | PaintHandler
pt | PaintWindow
pt | CreateBrush
pt | ScaleControls
pt | ChangeScale
pt | CMBiDiModeChanged
pt | CMBorderChanged
pt | CMDoubleBufferedChanged
pt | CMEnabledChanged
pt | CMParentDoubleBufferedChanged
pt | CMShowingChanged
pt | CMShowHintChanged
pt | CMVisibleChanged
pt | CMEnter
pt | CMExit
pt | WMContextMenu
pt | WMEraseBkgnd
pt | WMNotify
pt | WMSetFocus
pt | WMKillFocus
pt | WMShowWindow
pt | WMEnter
pt | WMExit
pt | WMKeyDown
pt | WMSysKeyDown
pt | WMKeyUp
pt | WMSysKeyUp
pt | WMChar
pt | WMSysChar
pt | WMPaint
pt | WMDestroy
pt | WMMove
pt | WMSize
pt | WMWindowPosChanged
pt | CNKeyDown
pt | CNSysKeyDown
pt | CNKeyUp
pt | CNSysKeyUp
pt | CNChar
pt | DoDragMsg
pt | DoDockClientMsg
pt | DoUndockClientMsg
pt | DoAddDockClient
pt | DockOver
pt | DoDockOver
pt | DoRemoveDockClient
pt | DoUnDock
pt | GetSiteInfo
pt | GetParentHandle
pt | GetTopParentHandle
pt | ReloadDockedControl
pt | CreateDockManager
pt | SetDockManager
pt | DoFloatMsg
pt | DoGetDockCaption
pt | DoEnter
pt | DoExit
pt | DoKeyDownBeforeInterface
pt | DoRemainingKeyDown
pt | DoRemainingKeyUp
pt | DoKeyPress
pt | DoUTF8KeyPress
pt | DoKeyUpBeforeInterface
pt | ChildKey
pt | SendDialogChar
pt | DialogChar
pt | ControlKeyDown
pt | ControlKeyUp
pt | KeyDown
pt | KeyDownBeforeInterface
pt | KeyDownAfterInterface
pt | KeyPress
pt | KeyUp
pt | KeyUpBeforeInterface
pt | KeyUpAfterInterface
pt | UTF8KeyPress
pt | FindNextControl
pt | SelectFirst
pt | RealGetText
pt | GetBorderStyle
pt | GetClientOrigin
pt | GetClientRect
pt | GetControlOrigin
pt | GetDeviceContext
pt | GetParentBackground
pt | IsControlMouseMsg
pt | CreateHandle
pt | CreateParams
pt | CreateWnd
pt | DestroyHandle
pt | DestroyWnd
pt | DoFlipChildren
pt | FinalizeWnd
pt | FixupTabList
pt | FontChanged
pt | InitializeWnd
pt | Loaded
pt | FormEndUpdated
pt | MainWndProc
pt | ParentFormHandleInitialized
pt | ChildHandlesCreated
pt | GetMouseCapture
pt | RealSetText
pt | RemoveFocus
pt | SendMoveSizeMessages
pt | SetBorderStyle
pt | SetColor
pt | SetChildZPosition
pt | SetParentBackground
pt | ShowControl
pt | UpdateControlState
pt | UpdateShowing
pt | WndProc
pt | WSSetText
 | AutoSizePhases
 | AutoSizeDelayed
 | AutoSizeDelayedReport
 | AutoSizeDelayedHandle
 | BeginUpdateBounds
 | EndUpdateBounds
 | LockRealizeBounds
 | UnlockRealizeBounds
 | ControlAtPos
 | ContainsControl
 | DoAdjustClientRectChange
 | InvalidateClientRectCache
 | ClientRectNeedsInterfaceUpdate
 | SetBounds
 | GetChildrenRect
 | DisableAlign
 | EnableAlign
 | ReAlign
 | ScrollBy_WS
 | ScrollBy
 | WriteLayoutDebugReport
 | AutoAdjustLayout
 | Create
 | CreateParented
 | CreateParentedControl
 | Destroy
 | DockDrop
 | CanFocus
 | CanSetFocus
 | GetControlIndex
 | SetControlIndex
 | Focused
 | PerformTab
 | FindChildControl
 | SelectNext
 | SetTempCursor
 | BroadCast
 | NotifyControls
 | DefaultHandler
 | GetTextLen
 | Invalidate
 | AddControl
 | InsertControl
 | RemoveControl
 | GetEnumeratorControls
 | GetEnumeratorControlsReverse
 | Repaint
 | Update
 | SetFocus
 | FlipChildren
 | ScaleBy
 | GetDockCaption
 | UpdateDockCaption
 | GetTabOrderList
 | HandleAllocated
 | ParentHandlesAllocated
 | HandleNeeded
 | BrushCreated
 | EraseBackground
 | IntfUTF8KeyPress
 | IntfGetDropFilesTarget
 | PaintTo
 | SetShape
TControl
pt | WSRegisterClass
pt | GetCursor
pt | SetCursor
pt | SetVisible
pt | DoOnParentHandleDestruction
pt | DoAutoSize
pt | DoAllAutoSize
pt | BeginAutoSizing
pt | EndAutoSizing
pt | AnchorSideChanged
pt | ForeignAnchorSideChanged
pt | SetAlign
pt | SetAnchors
pt | SetAutoSize
pt | BoundsChanged
pt | CreateControlBorderSpacing
pt | DoConstraintsChange
pt | DoBorderSpacingChange
pt | IsBorderSpacingInnerBorderStored
pt | IsCaptionStored
pt | SendMoveSizeMessages
pt | ConstrainedResize
pt | CalculatePreferredSize
pt | DoOnResize
pt | DoOnChangeBounds
pt | CheckOnChangeBounds
pt | Resize
pt | RequestAlign
pt | UpdateAnchorRules
pt | ChangeBounds
pt | DoSetBounds
pt | ScaleConstraints
pt | ChangeScale
pt | CanAutoSize
pt | SetBiDiMode
pt | SetParentBiDiMode
pt | IsAParentAligning
pt | GetClientOrigin
pt | GetClientRect
pt | GetLogicalClientRect
pt | GetScrolledClientRect
pt | GetClientScrollOffset
pt | GetControlOrigin
pt | IsClientHeightStored
pt | IsClientWidthStored
pt | WidthIsAnchored
pt | HeightIsAnchored
pt | WMCancelMode
pt | WMContextMenu
pt | WMLButtonDown
pt | WMRButtonDown
pt | WMMButtonDown
pt | WMXButtonDown
pt | WMLButtonDBLCLK
pt | WMRButtonDBLCLK
pt | WMMButtonDBLCLK
pt | WMXButtonDBLCLK
pt | WMLButtonTripleCLK
pt | WMRButtonTripleCLK
pt | WMMButtonTripleCLK
pt | WMXButtonTripleCLK
pt | WMLButtonQuadCLK
pt | WMRButtonQuadCLK
pt | WMMButtonQuadCLK
pt | WMXButtonQuadCLK
pt | WMMouseMove
pt | WMLButtonUp
pt | WMRButtonUp
pt | WMMButtonUp
pt | WMXButtonUp
pt | WMMouseWheel
pt | WMMouseHWheel
pt | WMMove
pt | WMSize
pt | WMWindowPosChanged
pt | CMChanged
pt | LMCaptureChanged
pt | CMBiDiModeChanged
pt | CMSysFontChanged
pt | CMEnabledChanged
pt | CMHitTest
pt | CMMouseEnter
pt | CMMouseLeave
pt | CMHintShow
pt | CMParentBiDiModeChanged
pt | CMParentColorChanged
pt | CMParentFontChanged
pt | CMParentShowHintChanged
pt | CMVisibleChanged
pt | CMTextChanged
pt | CMCursorChanged
pt | CalculateDockSizes
pt | CreateFloatingDockSite
pt | GetDockEdge
pt | GetDragImages
pt | GetFloating
pt | GetFloatingDockSiteClass
pt | BeforeDragStart
pt | BeginAutoDrag
pt | DoFloatMsg
pt | DockTrackNoTarget
pt | DoDock
pt | DoDragMsg
pt | DoEndDock
pt | DoEndDrag
pt | DoStartDock
pt | DoStartDrag
pt | DragCanceled
pt | DragOver
pt | PositionDockRect
pt | SetDragMode
pt | GetDefaultDockCaption
pt | Click
pt | DblClick
pt | TripleClick
pt | QuadClick
pt | GetMousePosFromMessage
pt | MouseDown
pt | MouseMove
pt | MouseUp
pt | MouseEnter
pt | MouseLeave
pt | DialogChar
pt | UpdateMouseCursor
pt | Changed
pt | GetPalette
pt | ChildClassAllowed
pt | ReadState
pt | Loaded
pt | LoadedAll
pt | DefineProperties
pt | AssignTo
pt | FormEndUpdated
pt | InvalidateControl
pt | FontChanged
pt | ParentFontChanged
pt | GetAction
pt | RealGetText
pt | RealSetText
pt | TextChanged
pt | GetCachedText
pt | SetAction
pt | SetColor
pt | SetEnabled
pt | SetHint
pt | SetName
pt | SetParent
pt | SetParentComponent
pt | WndProc
pt | ParentFormHandleInitialized
pt | GetMouseCapture
pt | CaptureChanged
pt | Notification
pt | CanTab
pt | GetDeviceContext
pt | GetEnabled
pt | GetPopupMenu
pt | DoOnShowHint
pt | DoMouseWheel
pt | DoMouseWheelDown
pt | DoMouseWheelUp
pt | DoMouseWheelHorz
pt | DoMouseWheelLeft
pt | DoMouseWheelRight
pt | VisibleChanging
pt | VisibleChanged
pt | EnabledChanging
pt | EnabledChanged
pt | AddHandler
pt | RemoveHandler
pt | DoCallNotifyHandler
pt | DoCallKeyEventHandler
pt | DoCallMouseWheelEventHandler
pt | DoContextPopup
pt | SetZOrder
pt | GetControlClassDefaultSize
pt | ColorIsStored
pt | DoAutoAdjustLayout
pt | DoFixDesignFontPPI
pt | DoScaleFontPPI
pt | GetActionLinkClass
pt | ActionChange
 | DragDrop
 | Dock
 | ManualDock
 | ManualFloat
 | ReplaceDockedControl
 | Docked
 | Dragging
 | GetAccessibleObject
 | CreateAccessibleObject
 | GetSelectedChildAccessibleObject
 | GetChildAccessibleObjectAtPos
 | ScaleDesignToForm
 | ScaleFormToDesign
 | Scale96ToForm
 | ScaleFormTo96
 | Scale96ToFont
 | ScaleFontTo96
 | ScaleScreenToFont
 | ScaleFontToScreen
 | Scale96ToScreen
 | ScaleScreenTo96
 | AdjustSize
 | AutoSizePhases
 | AutoSizeDelayed
 | AutoSizeDelayedReport
 | AutoSizeDelayedHandle
 | AnchorToNeighbour
 | AnchorParallel
 | AnchorHorizontalCenterTo
 | AnchorVerticalCenterTo
 | AnchorToCompanion
 | AnchorSame
 | AnchorAsAlign
 | AnchorClient
 | AnchoredControlCount
 | SetBounds
 | SetInitialBounds
 | SetBoundsKeepBase
 | GetPreferredSize
 | GetCanvasScaleFactor
 | GetDefaultWidth
 | GetDefaultHeight
 | GetDefaultColor
 | GetColorResolvingParent
 | GetRGBColorResolvingParent
 | GetSidePosition
 | CNPreferredSizeChanged
 | InvalidatePreferredSize
 | GetAnchorsDependingOnParent
 | DisableAutoSizing
 | EnableAutoSizing
 | UpdateBaseBounds
 | WriteLayoutDebugReport
 | AutoAdjustLayout
 | ShouldAutoAdjust
 | FixDesignFontsPPI
 | ScaleFontsPPI
 | Create
 | Destroy
 | BeforeDestruction
 | EditingDone
 | ExecuteDefaultAction
 | ExecuteCancelAction
 | BeginDrag
 | EndDrag
 | BringToFront
 | HasParent
 | GetParentComponent
 | IsParentOf
 | GetTopParent
 | IsVisible
 | IsControlVisible
 | IsEnabled
 | IsParentColor
 | IsParentFont
 | FormIsUpdating
 | IsProcessingPaintMsg
 | Hide
 | Refresh
 | Repaint
 | Invalidate
 | CheckChildClassAllowed
 | CheckNewParent
 | SendToBack
 | SetTempCursor
 | UpdateRolesForForm
 | ActiveDefaultControlChanged
 | GetTextBuf
 | GetTextLen
 | SetTextBuf
 | Perform
 | ScreenToClient
 | ClientToScreen
 | ScreenToControl
 | ControlToScreen
 | ClientToParent
 | ParentToClient
 | GetChildrenRect
 | Show
 | Update
 | HandleObjectShouldBeVisible
 | ParentDestroyingHandle
 | ParentHandlesAllocated
 | InitiateAction
 | ShowHelp
 | HasHelp
 | RemoveAllHandlersOfObject
 | AddHandlerOnResize
 | RemoveHandlerOnResize
 | AddHandlerOnChangeBounds
 | RemoveHandlerOnChangeBounds
 | AddHandlerOnVisibleChanging
 | RemoveHandlerOnVisibleChanging
 | AddHandlerOnVisibleChanged
 | RemoveHandlerOnVisibleChanged
 | AddHandlerOnEnabledChanged
 | RemoveHandlerOnEnableChanging
 | AddHandlerOnKeyDown
 | RemoveHandlerOnKeyDown
 | AddHandlerOnBeforeDestruction
 | RemoveHandlerOnBeforeDestruction
 | AddHandlerOnMouseWheel
 | RemoveHandlerOnMouseWheel
 | UseRightToLeftAlignment
 | UseRightToLeftReading
 | UseRightToLeftScrollBar
 | IsRightToLeft
TLCLComponent
pt | WSRegisterClass
pt | GetWSComponentClass
 | Create
 | Destroy
 | NewInstance
 | RemoveAllHandlersOfObject
 | IncLCLRefCount
 | DecLCLRefCount
TComponent
 | GetComObject
 | GetComponent
 | GetComponentCount
 | GetComponentIndex
 | Insert
 | ReadLeft
 | ReadTop
 | Remove
 | RemoveNotification
 | SetComponentIndex
 | SetReference
 | WriteLeft
 | WriteTop
 | ChangeName
 | DefineProperties
 | GetChildren
 | GetChildOwner
 | GetChildParent
 | GetOwner
 | Loaded
 | Loading
 | Notification
 | PaletteCreated
 | ReadState
 | SetAncestor
 | SetDesigning
 | SetDesignInstance
 | SetInline
 | SetName
 | SetChildOrder
 | SetParentComponent
 | Updating
 | Updated
 | UpdateRegistry
 | ValidateRename
 | ValidateContainer
 | ValidateInsert
 | QueryInterface
 | _AddRef
 | _Release
 | iicrGetComponent
 | GetTypeInfoCount
 | GetTypeInfo
 | GetIDsOfNames
 | Invoke
 | WriteState
 | Create
 | Destroy
 | BeforeDestruction
 | DestroyComponents
 | Destroying
 | ExecuteAction
 | FindComponent
 | FreeNotification
 | RemoveFreeNotification
 | FreeOnRelease
 | GetEnumerator
 | GetNamePath
 | GetParentComponent
 | HasParent
 | InsertComponent
 | RemoveComponent
 | SafeCallException
 | SetSubComponent
 | UpdateAction
 | IsImplementorOf
 | ReferenceInterface
TPersistent
 | AssignError
 | AssignTo
 | DefineProperties
 | GetOwner
 | Destroy
 | Assign
 | FPOAttachObserver
 | FPODetachObserver
 | FPONotifyObservers
 | GetNamePath
TObject
 | Create
 | Destroy
 | newinstance
 | FreeInstance
 | SafeCallException
 | DefaultHandler
 | Free
 | InitInstance
 | CleanupInstance
 | ClassType
 | ClassInfo
 | ClassName
 | ClassNameIs
 | ClassParent
 | InstanceSize
 | InheritsFrom
 | StringMessageTable
 | MethodAddress
 | MethodName
 | FieldAddress
 | AfterConstruction
 | BeforeDestruction
 | DefaultHandlerStr
 | Dispatch
 | DispatchStr
 | GetInterface
 | GetInterfaceByStr
 | GetInterfaceWeak
 | GetInterfaceEntry
 | GetInterfaceEntryByStr
 | GetInterfaceTable
 | UnitName
 | Equals
 | GetHashCode
 | ToString


pt | ActionChange (TControl)
 | ActiveDefaultControlChanged (TControl)
 | AddControl (TWinControl)
pt | AddHandler (TControl)
 | AddHandlerOnBeforeDestruction (TControl)
 | AddHandlerOnChangeBounds (TControl)
 | AddHandlerOnEnabledChanged (TControl)
 | AddHandlerOnKeyDown (TControl)
 | AddHandlerOnMouseWheel (TControl)
 | AddHandlerOnResize (TControl)
 | AddHandlerOnVisibleChanged (TControl)
 | AddHandlerOnVisibleChanging (TControl)
pt | AdjustClientRect (TWinControl)
 | AdjustSize (TControl)
 | AfterConstruction (TObject)
pt | AlignControls (TWinControl)
pt | AllAutoSized (TWinControl)
 | AnchorAsAlign (TControl)
 | AnchorClient (TControl)
 | AnchoredControlCount (TControl)
 | AnchorHorizontalCenterTo (TControl)
 | AnchorParallel (TControl)
 | AnchorSame (TControl)
pt | AnchorSideChanged (TControl)
 | AnchorToCompanion (TControl)
 | AnchorToNeighbour (TControl)
 | AnchorVerticalCenterTo (TControl)
 | Assign (TPersistent)
 | AssignError (TPersistent)
 | AssignTo (TPersistent)
pt | AssignTo (TControl)
 | AutoAdjustLayout (TControl)
 | AutoAdjustLayout (TWinControl)
 | AutoSizeDelayed (TControl)
 | AutoSizeDelayed (TWinControl)
 | AutoSizeDelayedHandle (TControl)
 | AutoSizeDelayedHandle (TWinControl)
 | AutoSizeDelayedReport (TControl)
 | AutoSizeDelayedReport (TWinControl)
 | AutoSizePhases (TControl)
 | AutoSizePhases (TWinControl)
 | BeforeDestruction (TObject)
 | BeforeDestruction (TComponent)
 | BeforeDestruction (TControl)
pt | BeforeDragStart (TControl)
pt | BeginAutoDrag (TControl)
pt | BeginAutoSizing (TControl)
 | BeginDrag (TControl)
 | BeginUpdateBounds (TWinControl)
pt | BoundsChanged (TControl)
 | BringToFront (TControl)
 | BroadCast (TWinControl)
 | BrushCreated (TWinControl)
pt | CalculateDockSizes (TControl)
pt | CalculatePreferredSize (TControl)
pt | CalculatePreferredSize (TWinControl)
pt | CalculatePreferredSize (TCDControl)
pt | CanAutoSize (TControl)
 | CanFocus (TWinControl)
 | CanSetFocus (TWinControl)
pt | CanTab (TControl)
pt | CanTab (TWinControl)
pt | CaptureChanged (TControl)
pt | ChangeBounds (TControl)
pt | Changed (TControl)
 | ChangeName (TComponent)
pt | ChangeScale (TControl)
pt | ChangeScale (TWinControl)
 | CheckChildClassAllowed (TControl)
 | CheckNewParent (TControl)
pt | CheckOnChangeBounds (TControl)
pt | ChildClassAllowed (TControl)
pt | ChildClassAllowed (TWinControl)
pt | ChildHandlesCreated (TWinControl)
pt | ChildKey (TWinControl)
 | ClassInfo (TObject)
 | ClassName (TObject)
 | ClassNameIs (TObject)
 | ClassParent (TObject)
 | ClassType (TObject)
 | CleanupInstance (TObject)
pt | Click (TControl)
 | ClientRectNeedsInterfaceUpdate (TWinControl)
 | ClientToParent (TControl)
 | ClientToScreen (TControl)
pt | CMBiDiModeChanged (TControl)
pt | CMBiDiModeChanged (TWinControl)
pt | CMBorderChanged (TWinControl)
pt | CMChanged (TControl)
pt | CMCursorChanged (TControl)
pt | CMDoubleBufferedChanged (TWinControl)
pt | CMEnabledChanged (TControl)
pt | CMEnabledChanged (TWinControl)
pt | CMEnter (TWinControl)
pt | CMExit (TWinControl)
pt | CMHintShow (TControl)
pt | CMHitTest (TControl)
pt | CMMouseEnter (TControl)
pt | CMMouseLeave (TControl)
pt | CMParentBiDiModeChanged (TControl)
pt | CMParentColorChanged (TControl)
pt | CMParentDoubleBufferedChanged (TWinControl)
pt | CMParentFontChanged (TControl)
pt | CMParentShowHintChanged (TControl)
pt | CMShowHintChanged (TWinControl)
pt | CMShowingChanged (TWinControl)
pt | CMSysFontChanged (TControl)
pt | CMTextChanged (TControl)
pt | CMVisibleChanged (TControl)
pt | CMVisibleChanged (TWinControl)
pt | CNChar (TWinControl)
pt | CNKeyDown (TWinControl)
pt | CNKeyUp (TWinControl)
 | CNPreferredSizeChanged (TControl)
pt | CNSysKeyDown (TWinControl)
pt | CNSysKeyUp (TWinControl)
pt | ColorIsStored (TControl)
pt | ConstrainedResize (TControl)
 | ContainsControl (TWinControl)
 | ControlAtPos (TWinControl)
pt | ControlKeyDown (TWinControl)
pt | ControlKeyUp (TWinControl)
pt | ControlsAligned (TWinControl)
 | ControlToScreen (TControl)
 | Create (TObject)
 | Create (TComponent)
 | Create (TLCLComponent)
 | Create (TControl)
 | Create (TWinControl)
 | Create (TCustomControl)
 | Create (TCDControl)
 | Create (TCDEdit)
 | Create (TCDSpinEdit)
 | CreateAccessibleObject (TControl)
pt | CreateBrush (TWinControl)
pt | CreateControlBorderSpacing (TControl)
pt | CreateControlStateEx (TCDControl)
pt | CreateControlStateEx (TCDEdit)
pt | CreateDockManager (TWinControl)
pt | CreateFloatingDockSite (TControl)
pt | CreateHandle (TWinControl)
pt | CreateParams (TWinControl)
 | CreateParented (TWinControl)
 | CreateParentedControl (TWinControl)
pt | CreateSubClass (TWinControl)
pt | CreateWnd (TWinControl)
pt | CustomAlignInsertBefore (TWinControl)
pt | CustomAlignPosition (TWinControl)
pt | DblClick (TControl)
 | DecLCLRefCount (TLCLComponent)
 | DefaultHandler (TObject)
 | DefaultHandler (TWinControl)
 | DefaultHandlerStr (TObject)
 | DefineProperties (TPersistent)
 | DefineProperties (TComponent)
pt | DefineProperties (TControl)
 | Destroy (TObject)
 | Destroy (TPersistent)
 | Destroy (TComponent)
 | Destroy (TLCLComponent)
 | Destroy (TControl)
 | Destroy (TWinControl)
 | Destroy (TCustomControl)
 | Destroy (TCDControl)
 | Destroy (TCDEdit)
 | Destroy (TCDSpinEdit)
 | DestroyComponents (TComponent)
pt | DestroyHandle (TWinControl)
 | Destroying (TComponent)
pt | DestroyWnd (TWinControl)
pt | DestroyWnd (TCustomControl)
pt | DialogChar (TControl)
pt | DialogChar (TWinControl)
 | DisableAlign (TWinControl)
 | DisableAutoSizing (TControl)
 | Dispatch (TObject)
 | DispatchStr (TObject)
pt | DoAddDockClient (TWinControl)
 | DoAdjustClientRectChange (TWinControl)
pt | DoAlignChildControls (TWinControl)
pt | DoAllAutoSize (TControl)
pt | DoAllAutoSize (TWinControl)
pt | DoAutoAdjustLayout (TControl)
pt | DoAutoSize (TControl)
pt | DoAutoSize (TWinControl)
pt | DoBorderSpacingChange (TControl)
pt | DoCallKeyEventHandler (TControl)
pt | DoCallMouseWheelEventHandler (TControl)
pt | DoCallNotifyHandler (TControl)
pt | DoChange (TCDEdit)
pt | DoChange (TCDSpinEdit)
pt | DoChildSizingChange (TWinControl)
 | Dock (TControl)
 | DockDrop (TWinControl)
 | Docked (TControl)
pt | DockOver (TWinControl)
pt | DockTrackNoTarget (TControl)
pt | DoConstraintsChange (TControl)
pt | DoConstraintsChange (TWinControl)
pt | DoContextPopup (TControl)
pt | DoDock (TControl)
pt | DoDockClientMsg (TWinControl)
pt | DoDockOver (TWinControl)
pt | DoDragMsg (TControl)
pt | DoDragMsg (TWinControl)
pt | DoEndDock (TControl)
pt | DoEndDrag (TControl)
pt | DoEnter (TWinControl)
pt | DoEnter (TCDControl)
pt | DoEnter (TCDEdit)
pt | DoExit (TWinControl)
pt | DoExit (TCDControl)
pt | DoExit (TCDEdit)
pt | DoFixDesignFontPPI (TControl)
pt | DoFlipChildren (TWinControl)
pt | DoFloatMsg (TControl)
pt | DoFloatMsg (TWinControl)
pt | DoGetDockCaption (TWinControl)
pt | DoKeyDownBeforeInterface (TWinControl)
pt | DoKeyPress (TWinControl)
pt | DoKeyUpBeforeInterface (TWinControl)
pt | DoMouseWheel (TControl)
pt | DoMouseWheelDown (TControl)
pt | DoMouseWheelHorz (TControl)
pt | DoMouseWheelLeft (TControl)
pt | DoMouseWheelRight (TControl)
pt | DoMouseWheelUp (TControl)
pt | DoOnChangeBounds (TControl)
pt | DoOnParentHandleDestruction (TControl)
pt | DoOnResize (TControl)
pt | DoOnShowHint (TControl)
pt | DoRemainingKeyDown (TWinControl)
pt | DoRemainingKeyUp (TWinControl)
pt | DoRemoveDockClient (TWinControl)
pt | DoScaleFontPPI (TControl)
pt | DoSendBoundsToInterface (TWinControl)
pt | DoSendShowHideToInterface (TWinControl)
pt | DoSetBounds (TControl)
pt | DoSetBounds (TWinControl)
pt | DoStartDock (TControl)
pt | DoStartDrag (TControl)
pt | DoUnDock (TWinControl)
pt | DoUndockClientMsg (TWinControl)
pt | DoUTF8KeyPress (TWinControl)
pt | DragCanceled (TControl)
 | DragDrop (TControl)
 | Dragging (TControl)
pt | DragOver (TControl)
 | DrawToCanvas (TCDControl)
 | EditingDone (TControl)
 | EnableAlign (TWinControl)
 | EnableAutoSizing (TControl)
pt | EnabledChanged (TControl)
pt | EnabledChanging (TControl)
pt | EndAutoSizing (TControl)
 | EndDrag (TControl)
 | EndUpdateBounds (TWinControl)
 | Equals (TObject)
 | EraseBackground (TWinControl)
 | EraseBackground (TCDControl)
 | ExecuteAction (TComponent)
 | ExecuteCancelAction (TControl)
 | ExecuteDefaultAction (TControl)
 | FieldAddress (TObject)
pt | FinalizeWnd (TWinControl)
 | FindChildControl (TWinControl)
 | FindComponent (TComponent)
pt | FindNextControl (TWinControl)
 | FixDesignFontsPPI (TControl)
pt | FixupTabList (TWinControl)
 | FlipChildren (TWinControl)
 | Focused (TWinControl)
pt | FontChanged (TControl)
pt | FontChanged (TWinControl)
pt | FontChanged (TCustomControl)
pt | ForeignAnchorSideChanged (TControl)
pt | FormEndUpdated (TControl)
pt | FormEndUpdated (TWinControl)
 | FormIsUpdating (TControl)
 | FPOAttachObserver (TPersistent)
 | FPODetachObserver (TPersistent)
 | FPONotifyObservers (TPersistent)
 | Free (TObject)
 | FreeInstance (TObject)
 | FreeNotification (TComponent)
 | FreeOnRelease (TComponent)
 | GetAccessibleObject (TControl)
pt | GetAction (TControl)
pt | GetActionLinkClass (TControl)
pt | GetAdjustedLogicalClientRect (TWinControl)
 | GetAnchorsDependingOnParent (TControl)
pt | GetBorderStyle (TWinControl)
pt | GetCachedText (TControl)
 | GetCanvasScaleFactor (TControl)
 | GetChildAccessibleObjectAtPos (TControl)
 | GetChildOwner (TComponent)
 | GetChildParent (TComponent)
 | GetChildren (TComponent)
pt | GetChildren (TWinControl)
 | GetChildrenRect (TControl)
 | GetChildrenRect (TWinControl)
pt | GetClientOrigin (TControl)
pt | GetClientOrigin (TWinControl)
pt | GetClientRect (TControl)
pt | GetClientRect (TWinControl)
pt | GetClientRect (TCDControl)
pt | GetClientScrollOffset (TControl)
 | GetColorResolvingParent (TControl)
 | GetComObject (TComponent)
 | GetComponent (TComponent)
 | GetComponentCount (TComponent)
 | GetComponentIndex (TComponent)
pt | GetControlClassDefaultSize (TControl)
pt | GetControlId (TCDControl)
pt | GetControlId (TCDEdit)
 | GetControlIndex (TWinControl)
pt | GetControlOrigin (TControl)
pt | GetControlOrigin (TWinControl)
 | GetCurrentLine (TCDEdit)
pt | GetCursor (TControl)
 | GetDefaultColor (TControl)
pt | GetDefaultDockCaption (TControl)
 | GetDefaultHeight (TControl)
 | GetDefaultWidth (TControl)
pt | GetDeviceContext (TControl)
pt | GetDeviceContext (TWinControl)
 | GetDockCaption (TWinControl)
pt | GetDockEdge (TControl)
pt | GetDragImages (TControl)
pt | GetEnabled (TControl)
 | GetEnumerator (TComponent)
 | GetEnumeratorControls (TWinControl)
 | GetEnumeratorControlsReverse (TWinControl)
pt | GetFloating (TControl)
pt | GetFloatingDockSiteClass (TControl)
 | GetHashCode (TObject)
 | GetIDsOfNames (TComponent)
 | GetInterface (TObject)
 | GetInterfaceByStr (TObject)
 | GetInterfaceEntry (TObject)
 | GetInterfaceEntryByStr (TObject)
 | GetInterfaceTable (TObject)
 | GetInterfaceWeak (TObject)
pt | GetLogicalClientRect (TControl)
pt | GetMouseCapture (TControl)
pt | GetMouseCapture (TWinControl)
pt | GetMousePosFromMessage (TControl)
 | GetNamePath (TPersistent)
 | GetNamePath (TComponent)
 | GetOwner (TPersistent)
 | GetOwner (TComponent)
pt | GetPalette (TControl)
pt | GetParentBackground (TWinControl)
 | GetParentComponent (TComponent)
 | GetParentComponent (TControl)
pt | GetParentHandle (TWinControl)
pt | GetPopupMenu (TControl)
 | GetPreferredSize (TControl)
pt | GetPreferredSizeClientFrame (TWinControl)
 | GetRGBColorResolvingParent (TControl)
pt | GetScrolledClientRect (TControl)
 | GetSelectedChildAccessibleObject (TControl)
 | GetSelLength (TCDEdit)
 | GetSelStartX (TCDEdit)
 | GetSidePosition (TControl)
pt | GetSiteInfo (TWinControl)
 | GetTabOrderList (TWinControl)
 | GetTextBuf (TControl)
 | GetTextLen (TControl)
 | GetTextLen (TWinControl)
 | GetTopParent (TControl)
pt | GetTopParentHandle (TWinControl)
 | GetTypeInfo (TComponent)
 | GetTypeInfoCount (TComponent)
pt | GetWSComponentClass (TLCLComponent)
 | HandleAllocated (TWinControl)
 | HandleNeeded (TWinControl)
 | HandleObjectShouldBeVisible (TControl)
 | HasHelp (TControl)
 | HasParent (TComponent)
 | HasParent (TControl)
pt | HeightIsAnchored (TControl)
 | Hide (TControl)
 | iicrGetComponent (TComponent)
 | IncLCLRefCount (TLCLComponent)
 | InheritsFrom (TObject)
pt | InitializeWnd (TWinControl)
 | InitiateAction (TControl)
 | InitInstance (TObject)
 | Insert (TComponent)
 | InsertComponent (TComponent)
 | InsertControl (TWinControl)
 | InstanceSize (TObject)
 | IntfGetDropFilesTarget (TWinControl)
 | IntfUTF8KeyPress (TWinControl)
 | Invalidate (TControl)
 | Invalidate (TWinControl)
pt | InvalidateBoundsRealized (TWinControl)
 | InvalidateClientRectCache (TWinControl)
pt | InvalidateControl (TControl)
pt | InvalidatePreferredChildSizes (TWinControl)
 | InvalidatePreferredSize (TControl)
 | Invoke (TComponent)
pt | IsAParentAligning (TControl)
pt | IsBorderSpacingInnerBorderStored (TControl)
pt | IsCaptionStored (TControl)
pt | IsClientHeightStored (TControl)
pt | IsClientHeightStored (TWinControl)
pt | IsClientWidthStored (TControl)
pt | IsClientWidthStored (TWinControl)
pt | IsControlMouseMsg (TWinControl)
 | IsControlVisible (TControl)
 | IsEnabled (TControl)
 | IsImplementorOf (TComponent)
 | IsParentColor (TControl)
 | IsParentFont (TControl)
 | IsParentOf (TControl)
 | IsProcessingPaintMsg (TControl)
 | IsRightToLeft (TControl)
 | IsVisible (TControl)
pt | KeyDown (TWinControl)
pt | KeyDown (TCDEdit)
pt | KeyDownAfterInterface (TWinControl)
pt | KeyDownBeforeInterface (TWinControl)
pt | KeyPress (TWinControl)
pt | KeyUp (TWinControl)
pt | KeyUp (TCDEdit)
pt | KeyUpAfterInterface (TWinControl)
pt | KeyUpBeforeInterface (TWinControl)
 | LCLWSCalculatePreferredSize (TCDControl)
pt | LMCaptureChanged (TControl)
 | Loaded (TComponent)
pt | Loaded (TControl)
pt | Loaded (TWinControl)
pt | LoadedAll (TControl)
 | Loading (TComponent)
 | LockRealizeBounds (TWinControl)
pt | MainWndProc (TWinControl)
 | ManualDock (TControl)
 | ManualFloat (TControl)
 | MethodAddress (TObject)
 | MethodName (TObject)
pt | MouseDown (TControl)
pt | MouseDown (TCDControl)
pt | MouseDown (TCDEdit)
pt | MouseEnter (TControl)
pt | MouseEnter (TCDControl)
pt | MouseEnter (TCDEdit)
pt | MouseLeave (TControl)
pt | MouseLeave (TCDControl)
pt | MouseLeave (TCDEdit)
pt | MouseMove (TControl)
pt | MouseMove (TCDEdit)
pt | MouseUp (TControl)
pt | MouseUp (TCDEdit)
 | newinstance (TObject)
 | NewInstance (TLCLComponent)
 | Notification (TComponent)
pt | Notification (TControl)
 | NotifyControls (TWinControl)
pt | Paint (TCustomControl)
 | Paint (TCDControl)
pt | PaintControls (TWinControl)
pt | PaintHandler (TWinControl)
 | PaintTo (TWinControl)
pt | PaintWindow (TWinControl)
pt | PaintWindow (TCustomControl)
 | PaletteCreated (TComponent)
 | ParentDestroyingHandle (TControl)
pt | ParentFontChanged (TControl)
pt | ParentFormHandleInitialized (TControl)
pt | ParentFormHandleInitialized (TWinControl)
 | ParentHandlesAllocated (TControl)
 | ParentHandlesAllocated (TWinControl)
 | ParentToClient (TControl)
 | Perform (TControl)
 | PerformTab (TWinControl)
pt | PositionDockRect (TControl)
pt | PrepareControlState (TCDControl)
pt | PrepareControlStateEx (TCDControl)
pt | PrepareCurrentDrawer (TCDControl)
pt | QuadClick (TControl)
 | QueryInterface (TComponent)
 | ReadLeft (TComponent)
 | ReadState (TComponent)
pt | ReadState (TControl)
 | ReadTop (TComponent)
pt | RealGetText (TControl)
pt | RealGetText (TWinControl)
 | ReAlign (TWinControl)
pt | RealizeBounds (TWinControl)
pt | RealizeBoundsRecursive (TWinControl)
pt | RealSetText (TControl)
pt | RealSetText (TWinControl)
pt | RealSetText (TCDEdit)
 | ReferenceInterface (TComponent)
 | Refresh (TControl)
pt | ReloadDockedControl (TWinControl)
 | Remove (TComponent)
 | RemoveAllHandlersOfObject (TLCLComponent)
 | RemoveAllHandlersOfObject (TControl)
 | RemoveComponent (TComponent)
 | RemoveControl (TWinControl)
pt | RemoveFocus (TWinControl)
 | RemoveFreeNotification (TComponent)
pt | RemoveHandler (TControl)
 | RemoveHandlerOnBeforeDestruction (TControl)
 | RemoveHandlerOnChangeBounds (TControl)
 | RemoveHandlerOnEnableChanging (TControl)
 | RemoveHandlerOnKeyDown (TControl)
 | RemoveHandlerOnMouseWheel (TControl)
 | RemoveHandlerOnResize (TControl)
 | RemoveHandlerOnVisibleChanged (TControl)
 | RemoveHandlerOnVisibleChanging (TControl)
 | RemoveNotification (TComponent)
 | Repaint (TControl)
 | Repaint (TWinControl)
 | ReplaceDockedControl (TControl)
pt | RequestAlign (TControl)
pt | Resize (TControl)
 | SafeCallException (TObject)
 | SafeCallException (TComponent)
 | Scale96ToFont (TControl)
 | Scale96ToForm (TControl)
 | Scale96ToScreen (TControl)
 | ScaleBy (TWinControl)
pt | ScaleConstraints (TControl)
pt | ScaleControls (TWinControl)
 | ScaleDesignToForm (TControl)
 | ScaleFontsPPI (TControl)
 | ScaleFontTo96 (TControl)
 | ScaleFontToScreen (TControl)
 | ScaleFormTo96 (TControl)
 | ScaleFormToDesign (TControl)
 | ScaleScreenTo96 (TControl)
 | ScaleScreenToFont (TControl)
 | ScreenToClient (TControl)
 | ScreenToControl (TControl)
 | ScrollBy (TWinControl)
 | ScrollBy_WS (TWinControl)
pt | SelectFirst (TWinControl)
 | SelectNext (TWinControl)
pt | SendDialogChar (TWinControl)
pt | SendMoveSizeMessages (TControl)
pt | SendMoveSizeMessages (TWinControl)
 | SendToBack (TControl)
pt | SetAction (TControl)
pt | SetAlign (TControl)
 | SetAncestor (TComponent)
pt | SetAnchors (TControl)
pt | SetAutoSize (TControl)
pt | SetBiDiMode (TControl)
pt | SetBorderStyle (TWinControl)
 | SetBounds (TControl)
 | SetBounds (TWinControl)
 | SetBoundsKeepBase (TControl)
 | SetChildOrder (TComponent)
pt | SetChildZPosition (TWinControl)
pt | SetColor (TControl)
pt | SetColor (TWinControl)
pt | SetColor (TCustomControl)
 | SetComponentIndex (TComponent)
 | SetControlIndex (TWinControl)
 | SetCurrentLine (TCDEdit)
pt | SetCursor (TControl)
 | SetDesigning (TComponent)
 | SetDesignInstance (TComponent)
pt | SetDockManager (TWinControl)
pt | SetDragMode (TControl)
pt | SetDrawStyle (TCDControl)
pt | SetEnabled (TControl)
 | SetFocus (TWinControl)
pt | SetHint (TControl)
 | SetInitialBounds (TControl)
 | SetInline (TComponent)
 | SetName (TComponent)
pt | SetName (TControl)
pt | SetParent (TControl)
pt | SetParentBackground (TWinControl)
pt | SetParentBiDiMode (TControl)
 | SetParentComponent (TComponent)
pt | SetParentComponent (TControl)
 | SetReference (TComponent)
 | SetSelLength (TCDEdit)
 | SetSelStartX (TCDEdit)
 | SetShape (TWinControl)
pt | SetState (TCDControl)
 | SetSubComponent (TComponent)
 | SetTempCursor (TControl)
 | SetTempCursor (TWinControl)
 | SetTextBuf (TControl)
pt | SetVisible (TControl)
pt | SetZOrder (TControl)
 | ShouldAutoAdjust (TControl)
 | Show (TControl)
pt | ShowControl (TWinControl)
 | ShowHelp (TControl)
 | StringMessageTable (TObject)
pt | TextChanged (TControl)
 | ToString (TObject)
pt | TripleClick (TControl)
 | UnitName (TObject)
 | UnlockRealizeBounds (TWinControl)
 | Update (TControl)
 | Update (TWinControl)
 | UpdateAction (TComponent)
pt | UpdateAnchorRules (TControl)
 | UpdateBaseBounds (TControl)
pt | UpdateControlState (TWinControl)
 | Updated (TComponent)
 | UpdateDockCaption (TWinControl)
pt | UpdateMouseCursor (TControl)
 | UpdateRegistry (TComponent)
 | UpdateRolesForForm (TControl)
pt | UpdateShowing (TWinControl)
 | Updating (TComponent)
 | UseRightToLeftAlignment (TControl)
 | UseRightToLeftReading (TControl)
 | UseRightToLeftScrollBar (TControl)
pt | UTF8KeyPress (TWinControl)
pt | UTF8KeyPress (TCDEdit)
 | ValidateContainer (TComponent)
 | ValidateInsert (TComponent)
 | ValidateRename (TComponent)
pt | VisibleChanged (TControl)
pt | VisibleChanging (TControl)
pt | WidthIsAnchored (TControl)
pt | WMCancelMode (TControl)
pt | WMChar (TWinControl)
pt | WMContextMenu (TControl)
pt | WMContextMenu (TWinControl)
pt | WMDestroy (TWinControl)
pt | WMEnter (TWinControl)
pt | WMEraseBkgnd (TWinControl)
pt | WMExit (TWinControl)
pt | WMKeyDown (TWinControl)
pt | WMKeyUp (TWinControl)
pt | WMKillFocus (TWinControl)
pt | WMLButtonDBLCLK (TControl)
pt | WMLButtonDown (TControl)
pt | WMLButtonQuadCLK (TControl)
pt | WMLButtonTripleCLK (TControl)
pt | WMLButtonUp (TControl)
pt | WMMButtonDBLCLK (TControl)
pt | WMMButtonDown (TControl)
pt | WMMButtonQuadCLK (TControl)
pt | WMMButtonTripleCLK (TControl)
pt | WMMButtonUp (TControl)
pt | WMMouseHWheel (TControl)
pt | WMMouseMove (TControl)
pt | WMMouseWheel (TControl)
pt | WMMove (TControl)
pt | WMMove (TWinControl)
pt | WMNotify (TWinControl)
pt | WMPaint (TWinControl)
pt | WMPaint (TCustomControl)
pt | WMRButtonDBLCLK (TControl)
pt | WMRButtonDown (TControl)
pt | WMRButtonQuadCLK (TControl)
pt | WMRButtonTripleCLK (TControl)
pt | WMRButtonUp (TControl)
pt | WMSetFocus (TWinControl)
pt | WMShowWindow (TWinControl)
pt | WMSize (TControl)
pt | WMSize (TWinControl)
pt | WMSysChar (TWinControl)
pt | WMSysKeyDown (TWinControl)
pt | WMSysKeyUp (TWinControl)
pt | WMWindowPosChanged (TControl)
pt | WMWindowPosChanged (TWinControl)
pt | WMXButtonDBLCLK (TControl)
pt | WMXButtonDown (TControl)
pt | WMXButtonQuadCLK (TControl)
pt | WMXButtonTripleCLK (TControl)
pt | WMXButtonUp (TControl)
pt | WndProc (TControl)
pt | WndProc (TWinControl)
 | WriteLayoutDebugReport (TControl)
 | WriteLayoutDebugReport (TWinControl)
 | WriteLeft (TComponent)
 | WriteState (TComponent)
 | WriteTop (TComponent)
pt | WSRegisterClass (TLCLComponent)
pt | WSRegisterClass (TControl)
pt | WSRegisterClass (TWinControl)
pt | WSRegisterClass (TCustomControl)
pt | WSSetText (TWinControl)
 | _AddRef (TComponent)
 | _Release (TComponent)


TCDSpinEdit
TCDEdit
pl | OnChange
TCDControl
TCustomControl
 | OnPaint
TWinControl
pt | OnGetSiteInfo
pt | OnGetDockCaption
 | OnAlignInsertBefore
 | OnAlignPosition
 | OnDockDrop
 | OnDockOver
 | OnEnter
 | OnExit
 | OnKeyDown
 | OnKeyPress
 | OnKeyUp
 | OnUnDock
 | OnUTF8KeyPress
TControl
pt | OnConstrainedResize
pt | OnContextPopup
pt | OnDblClick
pt | OnTripleClick
pt | OnQuadClick
pt | OnDragDrop
pt | OnDragOver
pt | OnEndDock
pt | OnEndDrag
pt | OnMouseDown
pt | OnMouseMove
pt | OnMouseUp
pt | OnMouseEnter
pt | OnMouseLeave
pt | OnMouseWheel
pt | OnMouseWheelDown
pt | OnMouseWheelUp
pt | OnMouseWheelHorz
pt | OnMouseWheelLeft
pt | OnMouseWheelRight
pt | OnStartDock
pt | OnStartDrag
pt | OnEditingDone
 | OnChangeBounds
 | OnClick
 | OnResize
 | OnShowHint
TLCLComponent
TComponent
TPersistent
TObject


TCDSpinEdit.DecimalPlaces

Declaration

Source position: customdrawncontrols.pas line 796

published property TCDSpinEdit.DecimalPlaces : Byte
  read FDecimalPlaces
  write SetDecimalPlaces
  default 0;


TCDSpinEdit.DoChange

Declaration

Source position: customdrawncontrols.pas line 791

protected procedure TCDSpinEdit.DoChange; override;


TCDSpinEdit.Increment

Declaration

Source position: customdrawncontrols.pas line 797

published property TCDSpinEdit.Increment : Double
  read FIncrement
  write SetIncrement;


TCDSpinEdit.MaxValue

Declaration

Source position: customdrawncontrols.pas line 799

published property TCDSpinEdit.MaxValue : Double
  read FMaxValue
  write SetMaxValue;


TCDSpinEdit.MinValue

Declaration

Source position: customdrawncontrols.pas line 798

published property TCDSpinEdit.MinValue : Double
  read FMinValue
  write SetMinValue;


TCDSpinEdit.Value

Declaration

Source position: customdrawncontrols.pas line 800

published property TCDSpinEdit.Value : Double
  read FValue
  write SetValue;


TCDStaticText

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Declaration

Source position: customdrawncontrols.pas line 470

type TCDStaticText = class(TCDControl)

protected

  function GetControlId; override;

  procedure RealSetText(); override;

public

  constructor Create(); override;

  destructor Destroy; override;

published

  property Caption: TCaption;

  property DrawStyle: TCDDrawStyle;

  property Enabled: Boolean;

  property TabStop: Boolean;

end;

Inheritance

TCDStaticText |
|
TCDControl |
|
TCustomControl | The base class for windowed controls which paint themselves.
|
TWinControl | The base class for controls which can contain other (child) controls.
|
TControl | The base class for visible controls.
|
TLCLComponent | The base class for LCL components associated with widgets.
|
TComponent,IUnknown,IInterfaceComponentReference
|
TPersistent,IFPObserved
|
TObject


TCDStaticText
pl | ro | Caption
pl | ro | DrawStyle
pl | ro | Enabled
pl | ro | TabStop
TCDControl
pt |  | DrawStyle
TCustomControl
 |  | Canvas
 | ro | BorderStyle
TWinControl
pt |  | WindowHandle
pt |  | BorderStyle
pt |  | ParentBackground
 |  | BorderWidth
 | ro | BoundsLockCount
 | ro | Brush
 | ro | CachedClientHeight
 | ro | CachedClientWidth
 |  | ChildSizing
 | ro | ControlCount
 | ro | Controls
 |  | DefWndProc
 | ro | DockClientCount
 | ro | DockClients
 |  | DockManager
 |  | DockSite
 |  | DoubleBuffered
 |  | Handle
 | ro | IsFlipped
 | ro | IsResizing
 |  | TabOrder
 |  | TabStop
 |  | ParentDoubleBuffered
 |  | ParentWindow
 | ro | Showing
 |  | UseDockManager
 |  | DesignerDeleting
 | ro | VisibleDockClientCount
TControl
pt | ro | AutoSizing
pt | ro | AutoSizingAll
pt | ro | AutoSizingLockCount
pt |  | ActionLink
pt |  | DesktopFont
pt |  | DragCursor
pt |  | DragKind
pt |  | DragMode
pt |  | MouseCapture
pt |  | ParentColor
pt |  | ParentFont
pt |  | ParentShowHint
pt |  | SessionProperties
pt |  | Text
 | ro | AnchoredControls
 | ro | BaseBounds
 | ro | ReadBounds
 | ro | BaseParentClientSize
 |  | AccessibleDescription
 |  | AccessibleValue
 |  | AccessibleRole
 |  | Action
 |  | Align
 |  | Anchors
 | ro | AnchorSide
 |  | AutoSize
 |  | BorderSpacing
 |  | BoundsRect
 |  | BoundsRectForNewParent
 |  | Caption
 |  | CaptureMouseButtons
 |  | ClientHeight
 | ro | ClientOrigin
 | ro | ClientRect
 |  | ClientWidth
 |  | Color
 |  | Constraints
 | ro | ControlOrigin
 |  | ControlState
 |  | ControlStyle
 |  | Enabled
 |  | Font
 |  | IsControl
 | ro | MouseEntered
 | ro | MouseInClient
 |  | Parent
 |  | PopupMenu
 |  | ShowHint
 |  | Visible
 |  | WindowProc
 |  | DockOrientation
 | ro | Floating
 |  | FloatingDockSiteClass
 |  | HostDockSite
 |  | LRDockWidth
 |  | TBDockHeight
 |  | UndockHeight
 |  | UndockWidth
 |  | BiDiMode
 |  | ParentBiDiMode
pl |  | AnchorSideLeft
pl |  | AnchorSideTop
pl |  | AnchorSideRight
pl |  | AnchorSideBottom
pl |  | Cursor
pl |  | Left
pl |  | Height
pl |  | Hint
pl |  | Top
pl |  | Width
pl |  | HelpType
pl |  | HelpKeyword
pl |  | HelpContext
TLCLComponent
 | ro | LCLRefCount
 | ro | WidgetSetClass
TComponent
 | ro | ComObject
 | ro | Components
 | ro | ComponentCount
 |  | ComponentIndex
 | ro | ComponentState
 | ro | ComponentStyle
 |  | DesignInfo
 | ro | Owner
 |  | VCLComObject
 |  | Name
 |  | Tag
TPersistent
TObject


 |  | AccessibleDescription (TControl)
 |  | AccessibleRole (TControl)
 |  | AccessibleValue (TControl)
 |  | Action (TControl)
pt |  | ActionLink (TControl)
 |  | Align (TControl)
 | ro | AnchoredControls (TControl)
 |  | Anchors (TControl)
 | ro | AnchorSide (TControl)
pl |  | AnchorSideBottom (TControl)
pl |  | AnchorSideLeft (TControl)
pl |  | AnchorSideRight (TControl)
pl |  | AnchorSideTop (TControl)
 |  | AutoSize (TControl)
pt | ro | AutoSizing (TControl)
pt | ro | AutoSizingAll (TControl)
pt | ro | AutoSizingLockCount (TControl)
 | ro | BaseBounds (TControl)
 | ro | BaseParentClientSize (TControl)
 |  | BiDiMode (TControl)
 |  | BorderSpacing (TControl)
pt |  | BorderStyle (TWinControl)
 | ro | BorderStyle (TCustomControl)
 |  | BorderWidth (TWinControl)
 | ro | BoundsLockCount (TWinControl)
 |  | BoundsRect (TControl)
 |  | BoundsRectForNewParent (TControl)
 | ro | Brush (TWinControl)
 | ro | CachedClientHeight (TWinControl)
 | ro | CachedClientWidth (TWinControl)
 |  | Canvas (TCustomControl)
 |  | Caption (TControl)
pl | ro | Caption (TCDStaticText)
 |  | CaptureMouseButtons (TControl)
 |  | ChildSizing (TWinControl)
 |  | ClientHeight (TControl)
 | ro | ClientOrigin (TControl)
 | ro | ClientRect (TControl)
 |  | ClientWidth (TControl)
 |  | Color (TControl)
 | ro | ComObject (TComponent)
 | ro | ComponentCount (TComponent)
 |  | ComponentIndex (TComponent)
 | ro | Components (TComponent)
 | ro | ComponentState (TComponent)
 | ro | ComponentStyle (TComponent)
 |  | Constraints (TControl)
 | ro | ControlCount (TWinControl)
 | ro | ControlOrigin (TControl)
 | ro | Controls (TWinControl)
 |  | ControlState (TControl)
 |  | ControlStyle (TControl)
pl |  | Cursor (TControl)
 |  | DefWndProc (TWinControl)
 |  | DesignerDeleting (TWinControl)
 |  | DesignInfo (TComponent)
pt |  | DesktopFont (TControl)
 | ro | DockClientCount (TWinControl)
 | ro | DockClients (TWinControl)
 |  | DockManager (TWinControl)
 |  | DockOrientation (TControl)
 |  | DockSite (TWinControl)
 |  | DoubleBuffered (TWinControl)
pt |  | DragCursor (TControl)
pt |  | DragKind (TControl)
pt |  | DragMode (TControl)
pt |  | DrawStyle (TCDControl)
pl | ro | DrawStyle (TCDStaticText)
 |  | Enabled (TControl)
pl | ro | Enabled (TCDStaticText)
 | ro | Floating (TControl)
 |  | FloatingDockSiteClass (TControl)
 |  | Font (TControl)
 |  | Handle (TWinControl)
pl |  | Height (TControl)
pl |  | HelpContext (TControl)
pl |  | HelpKeyword (TControl)
pl |  | HelpType (TControl)
pl |  | Hint (TControl)
 |  | HostDockSite (TControl)
 |  | IsControl (TControl)
 | ro | IsFlipped (TWinControl)
 | ro | IsResizing (TWinControl)
 | ro | LCLRefCount (TLCLComponent)
pl |  | Left (TControl)
 |  | LRDockWidth (TControl)
pt |  | MouseCapture (TControl)
 | ro | MouseEntered (TControl)
 | ro | MouseInClient (TControl)
 |  | Name (TComponent)
 | ro | Owner (TComponent)
 |  | Parent (TControl)
pt |  | ParentBackground (TWinControl)
 |  | ParentBiDiMode (TControl)
pt |  | ParentColor (TControl)
 |  | ParentDoubleBuffered (TWinControl)
pt |  | ParentFont (TControl)
pt |  | ParentShowHint (TControl)
 |  | ParentWindow (TWinControl)
 |  | PopupMenu (TControl)
 | ro | ReadBounds (TControl)
pt |  | SessionProperties (TControl)
 |  | ShowHint (TControl)
 | ro | Showing (TWinControl)
 |  | TabOrder (TWinControl)
 |  | TabStop (TWinControl)
pl | ro | TabStop (TCDStaticText)
 |  | Tag (TComponent)
 |  | TBDockHeight (TControl)
pt |  | Text (TControl)
pl |  | Top (TControl)
 |  | UndockHeight (TControl)
 |  | UndockWidth (TControl)
 |  | UseDockManager (TWinControl)
 |  | VCLComObject (TComponent)
 |  | Visible (TControl)
 | ro | VisibleDockClientCount (TWinControl)
 | ro | WidgetSetClass (TLCLComponent)
pl |  | Width (TControl)
pt |  | WindowHandle (TWinControl)
 |  | WindowProc (TControl)


TCDStaticText
pt | GetControlId
pt | RealSetText
 | Create
 | Destroy
TCDControl
pt | CalculatePreferredSize
pt | SetState
pt | PrepareCurrentDrawer
pt | SetDrawStyle
pt | GetClientRect
pt | GetControlId
pt | CreateControlStateEx
pt | PrepareControlState
pt | PrepareControlStateEx
pt | DoEnter
pt | DoExit
pt | MouseEnter
pt | MouseLeave
pt | MouseDown
 | Create
 | Destroy
 | LCLWSCalculatePreferredSize
 | EraseBackground
 | Paint
 | DrawToCanvas
TCustomControl
pt | WSRegisterClass
pt | WMPaint
pt | DestroyWnd
pt | PaintWindow
pt | FontChanged
pt | SetColor
pt | Paint
 | Create
 | Destroy
TWinControl
pt | WSRegisterClass
pt | AdjustClientRect
pt | GetAdjustedLogicalClientRect
pt | AlignControls
pt | CustomAlignInsertBefore
pt | CustomAlignPosition
pt | DoAlignChildControls
pt | DoChildSizingChange
pt | InvalidatePreferredChildSizes
pt | CanTab
pt | IsClientHeightStored
pt | IsClientWidthStored
pt | DoSendShowHideToInterface
pt | ControlsAligned
pt | DoSendBoundsToInterface
pt | RealizeBounds
pt | RealizeBoundsRecursive
pt | InvalidateBoundsRealized
pt | CreateSubClass
pt | DoConstraintsChange
pt | DoSetBounds
pt | DoAutoSize
pt | DoAllAutoSize
pt | AllAutoSized
pt | CalculatePreferredSize
pt | GetPreferredSizeClientFrame
pt | GetChildren
pt | ChildClassAllowed
pt | PaintControls
pt | PaintHandler
pt | PaintWindow
pt | CreateBrush
pt | ScaleControls
pt | ChangeScale
pt | CMBiDiModeChanged
pt | CMBorderChanged
pt | CMDoubleBufferedChanged
pt | CMEnabledChanged
pt | CMParentDoubleBufferedChanged
pt | CMShowingChanged
pt | CMShowHintChanged
pt | CMVisibleChanged
pt | CMEnter
pt | CMExit
pt | WMContextMenu
pt | WMEraseBkgnd
pt | WMNotify
pt | WMSetFocus
pt | WMKillFocus
pt | WMShowWindow
pt | WMEnter
pt | WMExit
pt | WMKeyDown
pt | WMSysKeyDown
pt | WMKeyUp
pt | WMSysKeyUp
pt | WMChar
pt | WMSysChar
pt | WMPaint
pt | WMDestroy
pt | WMMove
pt | WMSize
pt | WMWindowPosChanged
pt | CNKeyDown
pt | CNSysKeyDown
pt | CNKeyUp
pt | CNSysKeyUp
pt | CNChar
pt | DoDragMsg
pt | DoDockClientMsg
pt | DoUndockClientMsg
pt | DoAddDockClient
pt | DockOver
pt | DoDockOver
pt | DoRemoveDockClient
pt | DoUnDock
pt | GetSiteInfo
pt | GetParentHandle
pt | GetTopParentHandle
pt | ReloadDockedControl
pt | CreateDockManager
pt | SetDockManager
pt | DoFloatMsg
pt | DoGetDockCaption
pt | DoEnter
pt | DoExit
pt | DoKeyDownBeforeInterface
pt | DoRemainingKeyDown
pt | DoRemainingKeyUp
pt | DoKeyPress
pt | DoUTF8KeyPress
pt | DoKeyUpBeforeInterface
pt | ChildKey
pt | SendDialogChar
pt | DialogChar
pt | ControlKeyDown
pt | ControlKeyUp
pt | KeyDown
pt | KeyDownBeforeInterface
pt | KeyDownAfterInterface
pt | KeyPress
pt | KeyUp
pt | KeyUpBeforeInterface
pt | KeyUpAfterInterface
pt | UTF8KeyPress
pt | FindNextControl
pt | SelectFirst
pt | RealGetText
pt | GetBorderStyle
pt | GetClientOrigin
pt | GetClientRect
pt | GetControlOrigin
pt | GetDeviceContext
pt | GetParentBackground
pt | IsControlMouseMsg
pt | CreateHandle
pt | CreateParams
pt | CreateWnd
pt | DestroyHandle
pt | DestroyWnd
pt | DoFlipChildren
pt | FinalizeWnd
pt | FixupTabList
pt | FontChanged
pt | InitializeWnd
pt | Loaded
pt | FormEndUpdated
pt | MainWndProc
pt | ParentFormHandleInitialized
pt | ChildHandlesCreated
pt | GetMouseCapture
pt | RealSetText
pt | RemoveFocus
pt | SendMoveSizeMessages
pt | SetBorderStyle
pt | SetColor
pt | SetChildZPosition
pt | SetParentBackground
pt | ShowControl
pt | UpdateControlState
pt | UpdateShowing
pt | WndProc
pt | WSSetText
 | AutoSizePhases
 | AutoSizeDelayed
 | AutoSizeDelayedReport
 | AutoSizeDelayedHandle
 | BeginUpdateBounds
 | EndUpdateBounds
 | LockRealizeBounds
 | UnlockRealizeBounds
 | ControlAtPos
 | ContainsControl
 | DoAdjustClientRectChange
 | InvalidateClientRectCache
 | ClientRectNeedsInterfaceUpdate
 | SetBounds
 | GetChildrenRect
 | DisableAlign
 | EnableAlign
 | ReAlign
 | ScrollBy_WS
 | ScrollBy
 | WriteLayoutDebugReport
 | AutoAdjustLayout
 | Create
 | CreateParented
 | CreateParentedControl
 | Destroy
 | DockDrop
 | CanFocus
 | CanSetFocus
 | GetControlIndex
 | SetControlIndex
 | Focused
 | PerformTab
 | FindChildControl
 | SelectNext
 | SetTempCursor
 | BroadCast
 | NotifyControls
 | DefaultHandler
 | GetTextLen
 | Invalidate
 | AddControl
 | InsertControl
 | RemoveControl
 | GetEnumeratorControls
 | GetEnumeratorControlsReverse
 | Repaint
 | Update
 | SetFocus
 | FlipChildren
 | ScaleBy
 | GetDockCaption
 | UpdateDockCaption
 | GetTabOrderList
 | HandleAllocated
 | ParentHandlesAllocated
 | HandleNeeded
 | BrushCreated
 | EraseBackground
 | IntfUTF8KeyPress
 | IntfGetDropFilesTarget
 | PaintTo
 | SetShape
TControl
pt | WSRegisterClass
pt | GetCursor
pt | SetCursor
pt | SetVisible
pt | DoOnParentHandleDestruction
pt | DoAutoSize
pt | DoAllAutoSize
pt | BeginAutoSizing
pt | EndAutoSizing
pt | AnchorSideChanged
pt | ForeignAnchorSideChanged
pt | SetAlign
pt | SetAnchors
pt | SetAutoSize
pt | BoundsChanged
pt | CreateControlBorderSpacing
pt | DoConstraintsChange
pt | DoBorderSpacingChange
pt | IsBorderSpacingInnerBorderStored
pt | IsCaptionStored
pt | SendMoveSizeMessages
pt | ConstrainedResize
pt | CalculatePreferredSize
pt | DoOnResize
pt | DoOnChangeBounds
pt | CheckOnChangeBounds
pt | Resize
pt | RequestAlign
pt | UpdateAnchorRules
pt | ChangeBounds
pt | DoSetBounds
pt | ScaleConstraints
pt | ChangeScale
pt | CanAutoSize
pt | SetBiDiMode
pt | SetParentBiDiMode
pt | IsAParentAligning
pt | GetClientOrigin
pt | GetClientRect
pt | GetLogicalClientRect
pt | GetScrolledClientRect
pt | GetClientScrollOffset
pt | GetControlOrigin
pt | IsClientHeightStored
pt | IsClientWidthStored
pt | WidthIsAnchored
pt | HeightIsAnchored
pt | WMCancelMode
pt | WMContextMenu
pt | WMLButtonDown
pt | WMRButtonDown
pt | WMMButtonDown
pt | WMXButtonDown
pt | WMLButtonDBLCLK
pt | WMRButtonDBLCLK
pt | WMMButtonDBLCLK
pt | WMXButtonDBLCLK
pt | WMLButtonTripleCLK
pt | WMRButtonTripleCLK
pt | WMMButtonTripleCLK
pt | WMXButtonTripleCLK
pt | WMLButtonQuadCLK
pt | WMRButtonQuadCLK
pt | WMMButtonQuadCLK
pt | WMXButtonQuadCLK
pt | WMMouseMove
pt | WMLButtonUp
pt | WMRButtonUp
pt | WMMButtonUp
pt | WMXButtonUp
pt | WMMouseWheel
pt | WMMouseHWheel
pt | WMMove
pt | WMSize
pt | WMWindowPosChanged
pt | CMChanged
pt | LMCaptureChanged
pt | CMBiDiModeChanged
pt | CMSysFontChanged
pt | CMEnabledChanged
pt | CMHitTest
pt | CMMouseEnter
pt | CMMouseLeave
pt | CMHintShow
pt | CMParentBiDiModeChanged
pt | CMParentColorChanged
pt | CMParentFontChanged
pt | CMParentShowHintChanged
pt | CMVisibleChanged
pt | CMTextChanged
pt | CMCursorChanged
pt | CalculateDockSizes
pt | CreateFloatingDockSite
pt | GetDockEdge
pt | GetDragImages
pt | GetFloating
pt | GetFloatingDockSiteClass
pt | BeforeDragStart
pt | BeginAutoDrag
pt | DoFloatMsg
pt | DockTrackNoTarget
pt | DoDock
pt | DoDragMsg
pt | DoEndDock
pt | DoEndDrag
pt | DoStartDock
pt | DoStartDrag
pt | DragCanceled
pt | DragOver
pt | PositionDockRect
pt | SetDragMode
pt | GetDefaultDockCaption
pt | Click
pt | DblClick
pt | TripleClick
pt | QuadClick
pt | GetMousePosFromMessage
pt | MouseDown
pt | MouseMove
pt | MouseUp
pt | MouseEnter
pt | MouseLeave
pt | DialogChar
pt | UpdateMouseCursor
pt | Changed
pt | GetPalette
pt | ChildClassAllowed
pt | ReadState
pt | Loaded
pt | LoadedAll
pt | DefineProperties
pt | AssignTo
pt | FormEndUpdated
pt | InvalidateControl
pt | FontChanged
pt | ParentFontChanged
pt | GetAction
pt | RealGetText
pt | RealSetText
pt | TextChanged
pt | GetCachedText
pt | SetAction
pt | SetColor
pt | SetEnabled
pt | SetHint
pt | SetName
pt | SetParent
pt | SetParentComponent
pt | WndProc
pt | ParentFormHandleInitialized
pt | GetMouseCapture
pt | CaptureChanged
pt | Notification
pt | CanTab
pt | GetDeviceContext
pt | GetEnabled
pt | GetPopupMenu
pt | DoOnShowHint
pt | DoMouseWheel
pt | DoMouseWheelDown
pt | DoMouseWheelUp
pt | DoMouseWheelHorz
pt | DoMouseWheelLeft
pt | DoMouseWheelRight
pt | VisibleChanging
pt | VisibleChanged
pt | EnabledChanging
pt | EnabledChanged
pt | AddHandler
pt | RemoveHandler
pt | DoCallNotifyHandler
pt | DoCallKeyEventHandler
pt | DoCallMouseWheelEventHandler
pt | DoContextPopup
pt | SetZOrder
pt | GetControlClassDefaultSize
pt | ColorIsStored
pt | DoAutoAdjustLayout
pt | DoFixDesignFontPPI
pt | DoScaleFontPPI
pt | GetActionLinkClass
pt | ActionChange
 | DragDrop
 | Dock
 | ManualDock
 | ManualFloat
 | ReplaceDockedControl
 | Docked
 | Dragging
 | GetAccessibleObject
 | CreateAccessibleObject
 | GetSelectedChildAccessibleObject
 | GetChildAccessibleObjectAtPos
 | ScaleDesignToForm
 | ScaleFormToDesign
 | Scale96ToForm
 | ScaleFormTo96
 | Scale96ToFont
 | ScaleFontTo96
 | ScaleScreenToFont
 | ScaleFontToScreen
 | Scale96ToScreen
 | ScaleScreenTo96
 | AdjustSize
 | AutoSizePhases
 | AutoSizeDelayed
 | AutoSizeDelayedReport
 | AutoSizeDelayedHandle
 | AnchorToNeighbour
 | AnchorParallel
 | AnchorHorizontalCenterTo
 | AnchorVerticalCenterTo
 | AnchorToCompanion
 | AnchorSame
 | AnchorAsAlign
 | AnchorClient
 | AnchoredControlCount
 | SetBounds
 | SetInitialBounds
 | SetBoundsKeepBase
 | GetPreferredSize
 | GetCanvasScaleFactor
 | GetDefaultWidth
 | GetDefaultHeight
 | GetDefaultColor
 | GetColorResolvingParent
 | GetRGBColorResolvingParent
 | GetSidePosition
 | CNPreferredSizeChanged
 | InvalidatePreferredSize
 | GetAnchorsDependingOnParent
 | DisableAutoSizing
 | EnableAutoSizing
 | UpdateBaseBounds
 | WriteLayoutDebugReport
 | AutoAdjustLayout
 | ShouldAutoAdjust
 | FixDesignFontsPPI
 | ScaleFontsPPI
 | Create
 | Destroy
 | BeforeDestruction
 | EditingDone
 | ExecuteDefaultAction
 | ExecuteCancelAction
 | BeginDrag
 | EndDrag
 | BringToFront
 | HasParent
 | GetParentComponent
 | IsParentOf
 | GetTopParent
 | IsVisible
 | IsControlVisible
 | IsEnabled
 | IsParentColor
 | IsParentFont
 | FormIsUpdating
 | IsProcessingPaintMsg
 | Hide
 | Refresh
 | Repaint
 | Invalidate
 | CheckChildClassAllowed
 | CheckNewParent
 | SendToBack
 | SetTempCursor
 | UpdateRolesForForm
 | ActiveDefaultControlChanged
 | GetTextBuf
 | GetTextLen
 | SetTextBuf
 | Perform
 | ScreenToClient
 | ClientToScreen
 | ScreenToControl
 | ControlToScreen
 | ClientToParent
 | ParentToClient
 | GetChildrenRect
 | Show
 | Update
 | HandleObjectShouldBeVisible
 | ParentDestroyingHandle
 | ParentHandlesAllocated
 | InitiateAction
 | ShowHelp
 | HasHelp
 | RemoveAllHandlersOfObject
 | AddHandlerOnResize
 | RemoveHandlerOnResize
 | AddHandlerOnChangeBounds
 | RemoveHandlerOnChangeBounds
 | AddHandlerOnVisibleChanging
 | RemoveHandlerOnVisibleChanging
 | AddHandlerOnVisibleChanged
 | RemoveHandlerOnVisibleChanged
 | AddHandlerOnEnabledChanged
 | RemoveHandlerOnEnableChanging
 | AddHandlerOnKeyDown
 | RemoveHandlerOnKeyDown
 | AddHandlerOnBeforeDestruction
 | RemoveHandlerOnBeforeDestruction
 | AddHandlerOnMouseWheel
 | RemoveHandlerOnMouseWheel
 | UseRightToLeftAlignment
 | UseRightToLeftReading
 | UseRightToLeftScrollBar
 | IsRightToLeft
TLCLComponent
pt | WSRegisterClass
pt | GetWSComponentClass
 | Create
 | Destroy
 | NewInstance
 | RemoveAllHandlersOfObject
 | IncLCLRefCount
 | DecLCLRefCount
TComponent
 | GetComObject
 | GetComponent
 | GetComponentCount
 | GetComponentIndex
 | Insert
 | ReadLeft
 | ReadTop
 | Remove
 | RemoveNotification
 | SetComponentIndex
 | SetReference
 | WriteLeft
 | WriteTop
 | ChangeName
 | DefineProperties
 | GetChildren
 | GetChildOwner
 | GetChildParent
 | GetOwner
 | Loaded
 | Loading
 | Notification
 | PaletteCreated
 | ReadState
 | SetAncestor
 | SetDesigning
 | SetDesignInstance
 | SetInline
 | SetName
 | SetChildOrder
 | SetParentComponent
 | Updating
 | Updated
 | UpdateRegistry
 | ValidateRename
 | ValidateContainer
 | ValidateInsert
 | QueryInterface
 | _AddRef
 | _Release
 | iicrGetComponent
 | GetTypeInfoCount
 | GetTypeInfo
 | GetIDsOfNames
 | Invoke
 | WriteState
 | Create
 | Destroy
 | BeforeDestruction
 | DestroyComponents
 | Destroying
 | ExecuteAction
 | FindComponent
 | FreeNotification
 | RemoveFreeNotification
 | FreeOnRelease
 | GetEnumerator
 | GetNamePath
 | GetParentComponent
 | HasParent
 | InsertComponent
 | RemoveComponent
 | SafeCallException
 | SetSubComponent
 | UpdateAction
 | IsImplementorOf
 | ReferenceInterface
TPersistent
 | AssignError
 | AssignTo
 | DefineProperties
 | GetOwner
 | Destroy
 | Assign
 | FPOAttachObserver
 | FPODetachObserver
 | FPONotifyObservers
 | GetNamePath
TObject
 | Create
 | Destroy
 | newinstance
 | FreeInstance
 | SafeCallException
 | DefaultHandler
 | Free
 | InitInstance
 | CleanupInstance
 | ClassType
 | ClassInfo
 | ClassName
 | ClassNameIs
 | ClassParent
 | InstanceSize
 | InheritsFrom
 | StringMessageTable
 | MethodAddress
 | MethodName
 | FieldAddress
 | AfterConstruction
 | BeforeDestruction
 | DefaultHandlerStr
 | Dispatch
 | DispatchStr
 | GetInterface
 | GetInterfaceByStr
 | GetInterfaceWeak
 | GetInterfaceEntry
 | GetInterfaceEntryByStr
 | GetInterfaceTable
 | UnitName
 | Equals
 | GetHashCode
 | ToString


pt | ActionChange (TControl)
 | ActiveDefaultControlChanged (TControl)
 | AddControl (TWinControl)
pt | AddHandler (TControl)
 | AddHandlerOnBeforeDestruction (TControl)
 | AddHandlerOnChangeBounds (TControl)
 | AddHandlerOnEnabledChanged (TControl)
 | AddHandlerOnKeyDown (TControl)
 | AddHandlerOnMouseWheel (TControl)
 | AddHandlerOnResize (TControl)
 | AddHandlerOnVisibleChanged (TControl)
 | AddHandlerOnVisibleChanging (TControl)
pt | AdjustClientRect (TWinControl)
 | AdjustSize (TControl)
 | AfterConstruction (TObject)
pt | AlignControls (TWinControl)
pt | AllAutoSized (TWinControl)
 | AnchorAsAlign (TControl)
 | AnchorClient (TControl)
 | AnchoredControlCount (TControl)
 | AnchorHorizontalCenterTo (TControl)
 | AnchorParallel (TControl)
 | AnchorSame (TControl)
pt | AnchorSideChanged (TControl)
 | AnchorToCompanion (TControl)
 | AnchorToNeighbour (TControl)
 | AnchorVerticalCenterTo (TControl)
 | Assign (TPersistent)
 | AssignError (TPersistent)
 | AssignTo (TPersistent)
pt | AssignTo (TControl)
 | AutoAdjustLayout (TControl)
 | AutoAdjustLayout (TWinControl)
 | AutoSizeDelayed (TControl)
 | AutoSizeDelayed (TWinControl)
 | AutoSizeDelayedHandle (TControl)
 | AutoSizeDelayedHandle (TWinControl)
 | AutoSizeDelayedReport (TControl)
 | AutoSizeDelayedReport (TWinControl)
 | AutoSizePhases (TControl)
 | AutoSizePhases (TWinControl)
 | BeforeDestruction (TObject)
 | BeforeDestruction (TComponent)
 | BeforeDestruction (TControl)
pt | BeforeDragStart (TControl)
pt | BeginAutoDrag (TControl)
pt | BeginAutoSizing (TControl)
 | BeginDrag (TControl)
 | BeginUpdateBounds (TWinControl)
pt | BoundsChanged (TControl)
 | BringToFront (TControl)
 | BroadCast (TWinControl)
 | BrushCreated (TWinControl)
pt | CalculateDockSizes (TControl)
pt | CalculatePreferredSize (TControl)
pt | CalculatePreferredSize (TWinControl)
pt | CalculatePreferredSize (TCDControl)
pt | CanAutoSize (TControl)
 | CanFocus (TWinControl)
 | CanSetFocus (TWinControl)
pt | CanTab (TControl)
pt | CanTab (TWinControl)
pt | CaptureChanged (TControl)
pt | ChangeBounds (TControl)
pt | Changed (TControl)
 | ChangeName (TComponent)
pt | ChangeScale (TControl)
pt | ChangeScale (TWinControl)
 | CheckChildClassAllowed (TControl)
 | CheckNewParent (TControl)
pt | CheckOnChangeBounds (TControl)
pt | ChildClassAllowed (TControl)
pt | ChildClassAllowed (TWinControl)
pt | ChildHandlesCreated (TWinControl)
pt | ChildKey (TWinControl)
 | ClassInfo (TObject)
 | ClassName (TObject)
 | ClassNameIs (TObject)
 | ClassParent (TObject)
 | ClassType (TObject)
 | CleanupInstance (TObject)
pt | Click (TControl)
 | ClientRectNeedsInterfaceUpdate (TWinControl)
 | ClientToParent (TControl)
 | ClientToScreen (TControl)
pt | CMBiDiModeChanged (TControl)
pt | CMBiDiModeChanged (TWinControl)
pt | CMBorderChanged (TWinControl)
pt | CMChanged (TControl)
pt | CMCursorChanged (TControl)
pt | CMDoubleBufferedChanged (TWinControl)
pt | CMEnabledChanged (TControl)
pt | CMEnabledChanged (TWinControl)
pt | CMEnter (TWinControl)
pt | CMExit (TWinControl)
pt | CMHintShow (TControl)
pt | CMHitTest (TControl)
pt | CMMouseEnter (TControl)
pt | CMMouseLeave (TControl)
pt | CMParentBiDiModeChanged (TControl)
pt | CMParentColorChanged (TControl)
pt | CMParentDoubleBufferedChanged (TWinControl)
pt | CMParentFontChanged (TControl)
pt | CMParentShowHintChanged (TControl)
pt | CMShowHintChanged (TWinControl)
pt | CMShowingChanged (TWinControl)
pt | CMSysFontChanged (TControl)
pt | CMTextChanged (TControl)
pt | CMVisibleChanged (TControl)
pt | CMVisibleChanged (TWinControl)
pt | CNChar (TWinControl)
pt | CNKeyDown (TWinControl)
pt | CNKeyUp (TWinControl)
 | CNPreferredSizeChanged (TControl)
pt | CNSysKeyDown (TWinControl)
pt | CNSysKeyUp (TWinControl)
pt | ColorIsStored (TControl)
pt | ConstrainedResize (TControl)
 | ContainsControl (TWinControl)
 | ControlAtPos (TWinControl)
pt | ControlKeyDown (TWinControl)
pt | ControlKeyUp (TWinControl)
pt | ControlsAligned (TWinControl)
 | ControlToScreen (TControl)
 | Create (TObject)
 | Create (TComponent)
 | Create (TLCLComponent)
 | Create (TControl)
 | Create (TWinControl)
 | Create (TCustomControl)
 | Create (TCDControl)
 | Create (TCDStaticText)
 | CreateAccessibleObject (TControl)
pt | CreateBrush (TWinControl)
pt | CreateControlBorderSpacing (TControl)
pt | CreateControlStateEx (TCDControl)
pt | CreateDockManager (TWinControl)
pt | CreateFloatingDockSite (TControl)
pt | CreateHandle (TWinControl)
pt | CreateParams (TWinControl)
 | CreateParented (TWinControl)
 | CreateParentedControl (TWinControl)
pt | CreateSubClass (TWinControl)
pt | CreateWnd (TWinControl)
pt | CustomAlignInsertBefore (TWinControl)
pt | CustomAlignPosition (TWinControl)
pt | DblClick (TControl)
 | DecLCLRefCount (TLCLComponent)
 | DefaultHandler (TObject)
 | DefaultHandler (TWinControl)
 | DefaultHandlerStr (TObject)
 | DefineProperties (TPersistent)
 | DefineProperties (TComponent)
pt | DefineProperties (TControl)
 | Destroy (TObject)
 | Destroy (TPersistent)
 | Destroy (TComponent)
 | Destroy (TLCLComponent)
 | Destroy (TControl)
 | Destroy (TWinControl)
 | Destroy (TCustomControl)
 | Destroy (TCDControl)
 | Destroy (TCDStaticText)
 | DestroyComponents (TComponent)
pt | DestroyHandle (TWinControl)
 | Destroying (TComponent)
pt | DestroyWnd (TWinControl)
pt | DestroyWnd (TCustomControl)
pt | DialogChar (TControl)
pt | DialogChar (TWinControl)
 | DisableAlign (TWinControl)
 | DisableAutoSizing (TControl)
 | Dispatch (TObject)
 | DispatchStr (TObject)
pt | DoAddDockClient (TWinControl)
 | DoAdjustClientRectChange (TWinControl)
pt | DoAlignChildControls (TWinControl)
pt | DoAllAutoSize (TControl)
pt | DoAllAutoSize (TWinControl)
pt | DoAutoAdjustLayout (TControl)
pt | DoAutoSize (TControl)
pt | DoAutoSize (TWinControl)
pt | DoBorderSpacingChange (TControl)
pt | DoCallKeyEventHandler (TControl)
pt | DoCallMouseWheelEventHandler (TControl)
pt | DoCallNotifyHandler (TControl)
pt | DoChildSizingChange (TWinControl)
 | Dock (TControl)
 | DockDrop (TWinControl)
 | Docked (TControl)
pt | DockOver (TWinControl)
pt | DockTrackNoTarget (TControl)
pt | DoConstraintsChange (TControl)
pt | DoConstraintsChange (TWinControl)
pt | DoContextPopup (TControl)
pt | DoDock (TControl)
pt | DoDockClientMsg (TWinControl)
pt | DoDockOver (TWinControl)
pt | DoDragMsg (TControl)
pt | DoDragMsg (TWinControl)
pt | DoEndDock (TControl)
pt | DoEndDrag (TControl)
pt | DoEnter (TWinControl)
pt | DoEnter (TCDControl)
pt | DoExit (TWinControl)
pt | DoExit (TCDControl)
pt | DoFixDesignFontPPI (TControl)
pt | DoFlipChildren (TWinControl)
pt | DoFloatMsg (TControl)
pt | DoFloatMsg (TWinControl)
pt | DoGetDockCaption (TWinControl)
pt | DoKeyDownBeforeInterface (TWinControl)
pt | DoKeyPress (TWinControl)
pt | DoKeyUpBeforeInterface (TWinControl)
pt | DoMouseWheel (TControl)
pt | DoMouseWheelDown (TControl)
pt | DoMouseWheelHorz (TControl)
pt | DoMouseWheelLeft (TControl)
pt | DoMouseWheelRight (TControl)
pt | DoMouseWheelUp (TControl)
pt | DoOnChangeBounds (TControl)
pt | DoOnParentHandleDestruction (TControl)
pt | DoOnResize (TControl)
pt | DoOnShowHint (TControl)
pt | DoRemainingKeyDown (TWinControl)
pt | DoRemainingKeyUp (TWinControl)
pt | DoRemoveDockClient (TWinControl)
pt | DoScaleFontPPI (TControl)
pt | DoSendBoundsToInterface (TWinControl)
pt | DoSendShowHideToInterface (TWinControl)
pt | DoSetBounds (TControl)
pt | DoSetBounds (TWinControl)
pt | DoStartDock (TControl)
pt | DoStartDrag (TControl)
pt | DoUnDock (TWinControl)
pt | DoUndockClientMsg (TWinControl)
pt | DoUTF8KeyPress (TWinControl)
pt | DragCanceled (TControl)
 | DragDrop (TControl)
 | Dragging (TControl)
pt | DragOver (TControl)
 | DrawToCanvas (TCDControl)
 | EditingDone (TControl)
 | EnableAlign (TWinControl)
 | EnableAutoSizing (TControl)
pt | EnabledChanged (TControl)
pt | EnabledChanging (TControl)
pt | EndAutoSizing (TControl)
 | EndDrag (TControl)
 | EndUpdateBounds (TWinControl)
 | Equals (TObject)
 | EraseBackground (TWinControl)
 | EraseBackground (TCDControl)
 | ExecuteAction (TComponent)
 | ExecuteCancelAction (TControl)
 | ExecuteDefaultAction (TControl)
 | FieldAddress (TObject)
pt | FinalizeWnd (TWinControl)
 | FindChildControl (TWinControl)
 | FindComponent (TComponent)
pt | FindNextControl (TWinControl)
 | FixDesignFontsPPI (TControl)
pt | FixupTabList (TWinControl)
 | FlipChildren (TWinControl)
 | Focused (TWinControl)
pt | FontChanged (TControl)
pt | FontChanged (TWinControl)
pt | FontChanged (TCustomControl)
pt | ForeignAnchorSideChanged (TControl)
pt | FormEndUpdated (TControl)
pt | FormEndUpdated (TWinControl)
 | FormIsUpdating (TControl)
 | FPOAttachObserver (TPersistent)
 | FPODetachObserver (TPersistent)
 | FPONotifyObservers (TPersistent)
 | Free (TObject)
 | FreeInstance (TObject)
 | FreeNotification (TComponent)
 | FreeOnRelease (TComponent)
 | GetAccessibleObject (TControl)
pt | GetAction (TControl)
pt | GetActionLinkClass (TControl)
pt | GetAdjustedLogicalClientRect (TWinControl)
 | GetAnchorsDependingOnParent (TControl)
pt | GetBorderStyle (TWinControl)
pt | GetCachedText (TControl)
 | GetCanvasScaleFactor (TControl)
 | GetChildAccessibleObjectAtPos (TControl)
 | GetChildOwner (TComponent)
 | GetChildParent (TComponent)
 | GetChildren (TComponent)
pt | GetChildren (TWinControl)
 | GetChildrenRect (TControl)
 | GetChildrenRect (TWinControl)
pt | GetClientOrigin (TControl)
pt | GetClientOrigin (TWinControl)
pt | GetClientRect (TControl)
pt | GetClientRect (TWinControl)
pt | GetClientRect (TCDControl)
pt | GetClientScrollOffset (TControl)
 | GetColorResolvingParent (TControl)
 | GetComObject (TComponent)
 | GetComponent (TComponent)
 | GetComponentCount (TComponent)
 | GetComponentIndex (TComponent)
pt | GetControlClassDefaultSize (TControl)
pt | GetControlId (TCDControl)
pt | GetControlId (TCDStaticText)
 | GetControlIndex (TWinControl)
pt | GetControlOrigin (TControl)
pt | GetControlOrigin (TWinControl)
pt | GetCursor (TControl)
 | GetDefaultColor (TControl)
pt | GetDefaultDockCaption (TControl)
 | GetDefaultHeight (TControl)
 | GetDefaultWidth (TControl)
pt | GetDeviceContext (TControl)
pt | GetDeviceContext (TWinControl)
 | GetDockCaption (TWinControl)
pt | GetDockEdge (TControl)
pt | GetDragImages (TControl)
pt | GetEnabled (TControl)
 | GetEnumerator (TComponent)
 | GetEnumeratorControls (TWinControl)
 | GetEnumeratorControlsReverse (TWinControl)
pt | GetFloating (TControl)
pt | GetFloatingDockSiteClass (TControl)
 | GetHashCode (TObject)
 | GetIDsOfNames (TComponent)
 | GetInterface (TObject)
 | GetInterfaceByStr (TObject)
 | GetInterfaceEntry (TObject)
 | GetInterfaceEntryByStr (TObject)
 | GetInterfaceTable (TObject)
 | GetInterfaceWeak (TObject)
pt | GetLogicalClientRect (TControl)
pt | GetMouseCapture (TControl)
pt | GetMouseCapture (TWinControl)
pt | GetMousePosFromMessage (TControl)
 | GetNamePath (TPersistent)
 | GetNamePath (TComponent)
 | GetOwner (TPersistent)
 | GetOwner (TComponent)
pt | GetPalette (TControl)
pt | GetParentBackground (TWinControl)
 | GetParentComponent (TComponent)
 | GetParentComponent (TControl)
pt | GetParentHandle (TWinControl)
pt | GetPopupMenu (TControl)
 | GetPreferredSize (TControl)
pt | GetPreferredSizeClientFrame (TWinControl)
 | GetRGBColorResolvingParent (TControl)
pt | GetScrolledClientRect (TControl)
 | GetSelectedChildAccessibleObject (TControl)
 | GetSidePosition (TControl)
pt | GetSiteInfo (TWinControl)
 | GetTabOrderList (TWinControl)
 | GetTextBuf (TControl)
 | GetTextLen (TControl)
 | GetTextLen (TWinControl)
 | GetTopParent (TControl)
pt | GetTopParentHandle (TWinControl)
 | GetTypeInfo (TComponent)
 | GetTypeInfoCount (TComponent)
pt | GetWSComponentClass (TLCLComponent)
 | HandleAllocated (TWinControl)
 | HandleNeeded (TWinControl)
 | HandleObjectShouldBeVisible (TControl)
 | HasHelp (TControl)
 | HasParent (TComponent)
 | HasParent (TControl)
pt | HeightIsAnchored (TControl)
 | Hide (TControl)
 | iicrGetComponent (TComponent)
 | IncLCLRefCount (TLCLComponent)
 | InheritsFrom (TObject)
pt | InitializeWnd (TWinControl)
 | InitiateAction (TControl)
 | InitInstance (TObject)
 | Insert (TComponent)
 | InsertComponent (TComponent)
 | InsertControl (TWinControl)
 | InstanceSize (TObject)
 | IntfGetDropFilesTarget (TWinControl)
 | IntfUTF8KeyPress (TWinControl)
 | Invalidate (TControl)
 | Invalidate (TWinControl)
pt | InvalidateBoundsRealized (TWinControl)
 | InvalidateClientRectCache (TWinControl)
pt | InvalidateControl (TControl)
pt | InvalidatePreferredChildSizes (TWinControl)
 | InvalidatePreferredSize (TControl)
 | Invoke (TComponent)
pt | IsAParentAligning (TControl)
pt | IsBorderSpacingInnerBorderStored (TControl)
pt | IsCaptionStored (TControl)
pt | IsClientHeightStored (TControl)
pt | IsClientHeightStored (TWinControl)
pt | IsClientWidthStored (TControl)
pt | IsClientWidthStored (TWinControl)
pt | IsControlMouseMsg (TWinControl)
 | IsControlVisible (TControl)
 | IsEnabled (TControl)
 | IsImplementorOf (TComponent)
 | IsParentColor (TControl)
 | IsParentFont (TControl)
 | IsParentOf (TControl)
 | IsProcessingPaintMsg (TControl)
 | IsRightToLeft (TControl)
 | IsVisible (TControl)
pt | KeyDown (TWinControl)
pt | KeyDownAfterInterface (TWinControl)
pt | KeyDownBeforeInterface (TWinControl)
pt | KeyPress (TWinControl)
pt | KeyUp (TWinControl)
pt | KeyUpAfterInterface (TWinControl)
pt | KeyUpBeforeInterface (TWinControl)
 | LCLWSCalculatePreferredSize (TCDControl)
pt | LMCaptureChanged (TControl)
 | Loaded (TComponent)
pt | Loaded (TControl)
pt | Loaded (TWinControl)
pt | LoadedAll (TControl)
 | Loading (TComponent)
 | LockRealizeBounds (TWinControl)
pt | MainWndProc (TWinControl)
 | ManualDock (TControl)
 | ManualFloat (TControl)
 | MethodAddress (TObject)
 | MethodName (TObject)
pt | MouseDown (TControl)
pt | MouseDown (TCDControl)
pt | MouseEnter (TControl)
pt | MouseEnter (TCDControl)
pt | MouseLeave (TControl)
pt | MouseLeave (TCDControl)
pt | MouseMove (TControl)
pt | MouseUp (TControl)
 | newinstance (TObject)
 | NewInstance (TLCLComponent)
 | Notification (TComponent)
pt | Notification (TControl)
 | NotifyControls (TWinControl)
pt | Paint (TCustomControl)
 | Paint (TCDControl)
pt | PaintControls (TWinControl)
pt | PaintHandler (TWinControl)
 | PaintTo (TWinControl)
pt | PaintWindow (TWinControl)
pt | PaintWindow (TCustomControl)
 | PaletteCreated (TComponent)
 | ParentDestroyingHandle (TControl)
pt | ParentFontChanged (TControl)
pt | ParentFormHandleInitialized (TControl)
pt | ParentFormHandleInitialized (TWinControl)
 | ParentHandlesAllocated (TControl)
 | ParentHandlesAllocated (TWinControl)
 | ParentToClient (TControl)
 | Perform (TControl)
 | PerformTab (TWinControl)
pt | PositionDockRect (TControl)
pt | PrepareControlState (TCDControl)
pt | PrepareControlStateEx (TCDControl)
pt | PrepareCurrentDrawer (TCDControl)
pt | QuadClick (TControl)
 | QueryInterface (TComponent)
 | ReadLeft (TComponent)
 | ReadState (TComponent)
pt | ReadState (TControl)
 | ReadTop (TComponent)
pt | RealGetText (TControl)
pt | RealGetText (TWinControl)
 | ReAlign (TWinControl)
pt | RealizeBounds (TWinControl)
pt | RealizeBoundsRecursive (TWinControl)
pt | RealSetText (TControl)
pt | RealSetText (TWinControl)
pt | RealSetText (TCDStaticText)
 | ReferenceInterface (TComponent)
 | Refresh (TControl)
pt | ReloadDockedControl (TWinControl)
 | Remove (TComponent)
 | RemoveAllHandlersOfObject (TLCLComponent)
 | RemoveAllHandlersOfObject (TControl)
 | RemoveComponent (TComponent)
 | RemoveControl (TWinControl)
pt | RemoveFocus (TWinControl)
 | RemoveFreeNotification (TComponent)
pt | RemoveHandler (TControl)
 | RemoveHandlerOnBeforeDestruction (TControl)
 | RemoveHandlerOnChangeBounds (TControl)
 | RemoveHandlerOnEnableChanging (TControl)
 | RemoveHandlerOnKeyDown (TControl)
 | RemoveHandlerOnMouseWheel (TControl)
 | RemoveHandlerOnResize (TControl)
 | RemoveHandlerOnVisibleChanged (TControl)
 | RemoveHandlerOnVisibleChanging (TControl)
 | RemoveNotification (TComponent)
 | Repaint (TControl)
 | Repaint (TWinControl)
 | ReplaceDockedControl (TControl)
pt | RequestAlign (TControl)
pt | Resize (TControl)
 | SafeCallException (TObject)
 | SafeCallException (TComponent)
 | Scale96ToFont (TControl)
 | Scale96ToForm (TControl)
 | Scale96ToScreen (TControl)
 | ScaleBy (TWinControl)
pt | ScaleConstraints (TControl)
pt | ScaleControls (TWinControl)
 | ScaleDesignToForm (TControl)
 | ScaleFontsPPI (TControl)
 | ScaleFontTo96 (TControl)
 | ScaleFontToScreen (TControl)
 | ScaleFormTo96 (TControl)
 | ScaleFormToDesign (TControl)
 | ScaleScreenTo96 (TControl)
 | ScaleScreenToFont (TControl)
 | ScreenToClient (TControl)
 | ScreenToControl (TControl)
 | ScrollBy (TWinControl)
 | ScrollBy_WS (TWinControl)
pt | SelectFirst (TWinControl)
 | SelectNext (TWinControl)
pt | SendDialogChar (TWinControl)
pt | SendMoveSizeMessages (TControl)
pt | SendMoveSizeMessages (TWinControl)
 | SendToBack (TControl)
pt | SetAction (TControl)
pt | SetAlign (TControl)
 | SetAncestor (TComponent)
pt | SetAnchors (TControl)
pt | SetAutoSize (TControl)
pt | SetBiDiMode (TControl)
pt | SetBorderStyle (TWinControl)
 | SetBounds (TControl)
 | SetBounds (TWinControl)
 | SetBoundsKeepBase (TControl)
 | SetChildOrder (TComponent)
pt | SetChildZPosition (TWinControl)
pt | SetColor (TControl)
pt | SetColor (TWinControl)
pt | SetColor (TCustomControl)
 | SetComponentIndex (TComponent)
 | SetControlIndex (TWinControl)
pt | SetCursor (TControl)
 | SetDesigning (TComponent)
 | SetDesignInstance (TComponent)
pt | SetDockManager (TWinControl)
pt | SetDragMode (TControl)
pt | SetDrawStyle (TCDControl)
pt | SetEnabled (TControl)
 | SetFocus (TWinControl)
pt | SetHint (TControl)
 | SetInitialBounds (TControl)
 | SetInline (TComponent)
 | SetName (TComponent)
pt | SetName (TControl)
pt | SetParent (TControl)
pt | SetParentBackground (TWinControl)
pt | SetParentBiDiMode (TControl)
 | SetParentComponent (TComponent)
pt | SetParentComponent (TControl)
 | SetReference (TComponent)
 | SetShape (TWinControl)
pt | SetState (TCDControl)
 | SetSubComponent (TComponent)
 | SetTempCursor (TControl)
 | SetTempCursor (TWinControl)
 | SetTextBuf (TControl)
pt | SetVisible (TControl)
pt | SetZOrder (TControl)
 | ShouldAutoAdjust (TControl)
 | Show (TControl)
pt | ShowControl (TWinControl)
 | ShowHelp (TControl)
 | StringMessageTable (TObject)
pt | TextChanged (TControl)
 | ToString (TObject)
pt | TripleClick (TControl)
 | UnitName (TObject)
 | UnlockRealizeBounds (TWinControl)
 | Update (TControl)
 | Update (TWinControl)
 | UpdateAction (TComponent)
pt | UpdateAnchorRules (TControl)
 | UpdateBaseBounds (TControl)
pt | UpdateControlState (TWinControl)
 | Updated (TComponent)
 | UpdateDockCaption (TWinControl)
pt | UpdateMouseCursor (TControl)
 | UpdateRegistry (TComponent)
 | UpdateRolesForForm (TControl)
pt | UpdateShowing (TWinControl)
 | Updating (TComponent)
 | UseRightToLeftAlignment (TControl)
 | UseRightToLeftReading (TControl)
 | UseRightToLeftScrollBar (TControl)
pt | UTF8KeyPress (TWinControl)
 | ValidateContainer (TComponent)
 | ValidateInsert (TComponent)
 | ValidateRename (TComponent)
pt | VisibleChanged (TControl)
pt | VisibleChanging (TControl)
pt | WidthIsAnchored (TControl)
pt | WMCancelMode (TControl)
pt | WMChar (TWinControl)
pt | WMContextMenu (TControl)
pt | WMContextMenu (TWinControl)
pt | WMDestroy (TWinControl)
pt | WMEnter (TWinControl)
pt | WMEraseBkgnd (TWinControl)
pt | WMExit (TWinControl)
pt | WMKeyDown (TWinControl)
pt | WMKeyUp (TWinControl)
pt | WMKillFocus (TWinControl)
pt | WMLButtonDBLCLK (TControl)
pt | WMLButtonDown (TControl)
pt | WMLButtonQuadCLK (TControl)
pt | WMLButtonTripleCLK (TControl)
pt | WMLButtonUp (TControl)
pt | WMMButtonDBLCLK (TControl)
pt | WMMButtonDown (TControl)
pt | WMMButtonQuadCLK (TControl)
pt | WMMButtonTripleCLK (TControl)
pt | WMMButtonUp (TControl)
pt | WMMouseHWheel (TControl)
pt | WMMouseMove (TControl)
pt | WMMouseWheel (TControl)
pt | WMMove (TControl)
pt | WMMove (TWinControl)
pt | WMNotify (TWinControl)
pt | WMPaint (TWinControl)
pt | WMPaint (TCustomControl)
pt | WMRButtonDBLCLK (TControl)
pt | WMRButtonDown (TControl)
pt | WMRButtonQuadCLK (TControl)
pt | WMRButtonTripleCLK (TControl)
pt | WMRButtonUp (TControl)
pt | WMSetFocus (TWinControl)
pt | WMShowWindow (TWinControl)
pt | WMSize (TControl)
pt | WMSize (TWinControl)
pt | WMSysChar (TWinControl)
pt | WMSysKeyDown (TWinControl)
pt | WMSysKeyUp (TWinControl)
pt | WMWindowPosChanged (TControl)
pt | WMWindowPosChanged (TWinControl)
pt | WMXButtonDBLCLK (TControl)
pt | WMXButtonDown (TControl)
pt | WMXButtonQuadCLK (TControl)
pt | WMXButtonTripleCLK (TControl)
pt | WMXButtonUp (TControl)
pt | WndProc (TControl)
pt | WndProc (TWinControl)
 | WriteLayoutDebugReport (TControl)
 | WriteLayoutDebugReport (TWinControl)
 | WriteLeft (TComponent)
 | WriteState (TComponent)
 | WriteTop (TComponent)
pt | WSRegisterClass (TLCLComponent)
pt | WSRegisterClass (TControl)
pt | WSRegisterClass (TWinControl)
pt | WSRegisterClass (TCustomControl)
pt | WSSetText (TWinControl)
 | _AddRef (TComponent)
 | _Release (TComponent)


TCDStaticText
TCDControl
TCustomControl
 | OnPaint
TWinControl
pt | OnGetSiteInfo
pt | OnGetDockCaption
 | OnAlignInsertBefore
 | OnAlignPosition
 | OnDockDrop
 | OnDockOver
 | OnEnter
 | OnExit
 | OnKeyDown
 | OnKeyPress
 | OnKeyUp
 | OnUnDock
 | OnUTF8KeyPress
TControl
pt | OnConstrainedResize
pt | OnContextPopup
pt | OnDblClick
pt | OnTripleClick
pt | OnQuadClick
pt | OnDragDrop
pt | OnDragOver
pt | OnEndDock
pt | OnEndDrag
pt | OnMouseDown
pt | OnMouseMove
pt | OnMouseUp
pt | OnMouseEnter
pt | OnMouseLeave
pt | OnMouseWheel
pt | OnMouseWheelDown
pt | OnMouseWheelUp
pt | OnMouseWheelHorz
pt | OnMouseWheelLeft
pt | OnMouseWheelRight
pt | OnStartDock
pt | OnStartDrag
pt | OnEditingDone
 | OnChangeBounds
 | OnClick
 | OnResize
 | OnShowHint
TLCLComponent
TComponent
TPersistent
TObject


TCDStaticText.Caption

Declaration

Source position: customdrawncontrols.pas line 478

published property TCDStaticText.Caption : TCaption;


TCDStaticText.Create

Declaration

Source position: customdrawncontrols.pas line 475

public constructor TCDStaticText.Create(

  AOwner: TComponent

); override;


TCDStaticText.Destroy

Declaration

Source position: customdrawncontrols.pas line 476

public destructor TCDStaticText.Destroy; override;


TCDStaticText.DrawStyle

Declaration

Source position: customdrawncontrols.pas line 479

published property TCDStaticText.DrawStyle : TCDDrawStyle;


TCDStaticText.Enabled

Declaration

Source position: customdrawncontrols.pas line 480

published property TCDStaticText.Enabled : Boolean;


TCDStaticText.GetControlId

Declaration

Source position: customdrawncontrols.pas line 472

protected function TCDStaticText.GetControlId: TCDControlID; override;


TCDStaticText.RealSetText

Declaration

Source position: customdrawncontrols.pas line 473

protected procedure TCDStaticText.RealSetText(

  const Value: TCaption

); override;


TCDStaticText.TabStop

Declaration

Source position: customdrawncontrols.pas line 481

published property TCDStaticText.TabStop : Boolean
  default False;


TCDTabControl

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Declaration

Source position: customdrawncontrols.pas line 712

type TCDTabControl = class(TCDCustomTabControl)

published

  property Color: TColor;

  property Enabled: Boolean;

  property Font: TFont;

  property Tabs: TStringList;

  property TabIndex: Integer;

  property OnChanging: TNotifyEvent;

  property OnChange: TNotifyEvent;

  property OnUserAddedPage: TOnUserAddedPage;

end;

Inheritance

TCDTabControl |
|
TCDCustomTabControl |
|
TCDControl |
|
TCustomControl | The base class for windowed controls which paint themselves.
|
TWinControl | The base class for controls which can contain other (child) controls.
|
TControl | The base class for visible controls.
|
TLCLComponent | The base class for LCL components associated with widgets.
|
TComponent,IUnknown,IInterfaceComponentReference
|
TPersistent,IFPObserved
|
TObject


TCDTabControl
pl | ro | Color
pl | ro | Enabled
pl | ro | Font
pl | ro | Tabs
pl | ro | TabIndex
TCDCustomTabControl
pt |  | Options
 |  | Tabs
 |  | TabIndex
TCDControl
pt |  | DrawStyle
TCustomControl
 |  | Canvas
 | ro | BorderStyle
TWinControl
pt |  | WindowHandle
pt |  | BorderStyle
pt |  | ParentBackground
 |  | BorderWidth
 | ro | BoundsLockCount
 | ro | Brush
 | ro | CachedClientHeight
 | ro | CachedClientWidth
 |  | ChildSizing
 | ro | ControlCount
 | ro | Controls
 |  | DefWndProc
 | ro | DockClientCount
 | ro | DockClients
 |  | DockManager
 |  | DockSite
 |  | DoubleBuffered
 |  | Handle
 | ro | IsFlipped
 | ro | IsResizing
 |  | TabOrder
 |  | TabStop
 |  | ParentDoubleBuffered
 |  | ParentWindow
 | ro | Showing
 |  | UseDockManager
 |  | DesignerDeleting
 | ro | VisibleDockClientCount
TControl
pt | ro | AutoSizing
pt | ro | AutoSizingAll
pt | ro | AutoSizingLockCount
pt |  | ActionLink
pt |  | DesktopFont
pt |  | DragCursor
pt |  | DragKind
pt |  | DragMode
pt |  | MouseCapture
pt |  | ParentColor
pt |  | ParentFont
pt |  | ParentShowHint
pt |  | SessionProperties
pt |  | Text
 | ro | AnchoredControls
 | ro | BaseBounds
 | ro | ReadBounds
 | ro | BaseParentClientSize
 |  | AccessibleDescription
 |  | AccessibleValue
 |  | AccessibleRole
 |  | Action
 |  | Align
 |  | Anchors
 | ro | AnchorSide
 |  | AutoSize
 |  | BorderSpacing
 |  | BoundsRect
 |  | BoundsRectForNewParent
 |  | Caption
 |  | CaptureMouseButtons
 |  | ClientHeight
 | ro | ClientOrigin
 | ro | ClientRect
 |  | ClientWidth
 |  | Color
 |  | Constraints
 | ro | ControlOrigin
 |  | ControlState
 |  | ControlStyle
 |  | Enabled
 |  | Font
 |  | IsControl
 | ro | MouseEntered
 | ro | MouseInClient
 |  | Parent
 |  | PopupMenu
 |  | ShowHint
 |  | Visible
 |  | WindowProc
 |  | DockOrientation
 | ro | Floating
 |  | FloatingDockSiteClass
 |  | HostDockSite
 |  | LRDockWidth
 |  | TBDockHeight
 |  | UndockHeight
 |  | UndockWidth
 |  | BiDiMode
 |  | ParentBiDiMode
pl |  | AnchorSideLeft
pl |  | AnchorSideTop
pl |  | AnchorSideRight
pl |  | AnchorSideBottom
pl |  | Cursor
pl |  | Left
pl |  | Height
pl |  | Hint
pl |  | Top
pl |  | Width
pl |  | HelpType
pl |  | HelpKeyword
pl |  | HelpContext
TLCLComponent
 | ro | LCLRefCount
 | ro | WidgetSetClass
TComponent
 | ro | ComObject
 | ro | Components
 | ro | ComponentCount
 |  | ComponentIndex
 | ro | ComponentState
 | ro | ComponentStyle
 |  | DesignInfo
 | ro | Owner
 |  | VCLComObject
 |  | Name
 |  | Tag
TPersistent
TObject


 |  | AccessibleDescription (TControl)
 |  | AccessibleRole (TControl)
 |  | AccessibleValue (TControl)
 |  | Action (TControl)
pt |  | ActionLink (TControl)
 |  | Align (TControl)
 | ro | AnchoredControls (TControl)
 |  | Anchors (TControl)
 | ro | AnchorSide (TControl)
pl |  | AnchorSideBottom (TControl)
pl |  | AnchorSideLeft (TControl)
pl |  | AnchorSideRight (TControl)
pl |  | AnchorSideTop (TControl)
 |  | AutoSize (TControl)
pt | ro | AutoSizing (TControl)
pt | ro | AutoSizingAll (TControl)
pt | ro | AutoSizingLockCount (TControl)
 | ro | BaseBounds (TControl)
 | ro | BaseParentClientSize (TControl)
 |  | BiDiMode (TControl)
 |  | BorderSpacing (TControl)
pt |  | BorderStyle (TWinControl)
 | ro | BorderStyle (TCustomControl)
 |  | BorderWidth (TWinControl)
 | ro | BoundsLockCount (TWinControl)
 |  | BoundsRect (TControl)
 |  | BoundsRectForNewParent (TControl)
 | ro | Brush (TWinControl)
 | ro | CachedClientHeight (TWinControl)
 | ro | CachedClientWidth (TWinControl)
 |  | Canvas (TCustomControl)
 |  | Caption (TControl)
 |  | CaptureMouseButtons (TControl)
 |  | ChildSizing (TWinControl)
 |  | ClientHeight (TControl)
 | ro | ClientOrigin (TControl)
 | ro | ClientRect (TControl)
 |  | ClientWidth (TControl)
 |  | Color (TControl)
pl | ro | Color (TCDTabControl)
 | ro | ComObject (TComponent)
 | ro | ComponentCount (TComponent)
 |  | ComponentIndex (TComponent)
 | ro | Components (TComponent)
 | ro | ComponentState (TComponent)
 | ro | ComponentStyle (TComponent)
 |  | Constraints (TControl)
 | ro | ControlCount (TWinControl)
 | ro | ControlOrigin (TControl)
 | ro | Controls (TWinControl)
 |  | ControlState (TControl)
 |  | ControlStyle (TControl)
pl |  | Cursor (TControl)
 |  | DefWndProc (TWinControl)
 |  | DesignerDeleting (TWinControl)
 |  | DesignInfo (TComponent)
pt |  | DesktopFont (TControl)
 | ro | DockClientCount (TWinControl)
 | ro | DockClients (TWinControl)
 |  | DockManager (TWinControl)
 |  | DockOrientation (TControl)
 |  | DockSite (TWinControl)
 |  | DoubleBuffered (TWinControl)
pt |  | DragCursor (TControl)
pt |  | DragKind (TControl)
pt |  | DragMode (TControl)
pt |  | DrawStyle (TCDControl)
 |  | Enabled (TControl)
pl | ro | Enabled (TCDTabControl)
 | ro | Floating (TControl)
 |  | FloatingDockSiteClass (TControl)
 |  | Font (TControl)
pl | ro | Font (TCDTabControl)
 |  | Handle (TWinControl)
pl |  | Height (TControl)
pl |  | HelpContext (TControl)
pl |  | HelpKeyword (TControl)
pl |  | HelpType (TControl)
pl |  | Hint (TControl)
 |  | HostDockSite (TControl)
 |  | IsControl (TControl)
 | ro | IsFlipped (TWinControl)
 | ro | IsResizing (TWinControl)
 | ro | LCLRefCount (TLCLComponent)
pl |  | Left (TControl)
 |  | LRDockWidth (TControl)
pt |  | MouseCapture (TControl)
 | ro | MouseEntered (TControl)
 | ro | MouseInClient (TControl)
 |  | Name (TComponent)
pt |  | Options (TCDCustomTabControl)
 | ro | Owner (TComponent)
 |  | Parent (TControl)
pt |  | ParentBackground (TWinControl)
 |  | ParentBiDiMode (TControl)
pt |  | ParentColor (TControl)
 |  | ParentDoubleBuffered (TWinControl)
pt |  | ParentFont (TControl)
pt |  | ParentShowHint (TControl)
 |  | ParentWindow (TWinControl)
 |  | PopupMenu (TControl)
 | ro | ReadBounds (TControl)
pt |  | SessionProperties (TControl)
 |  | ShowHint (TControl)
 | ro | Showing (TWinControl)
 |  | TabIndex (TCDCustomTabControl)
pl | ro | TabIndex (TCDTabControl)
 |  | TabOrder (TWinControl)
 |  | Tabs (TCDCustomTabControl)
pl | ro | Tabs (TCDTabControl)
 |  | TabStop (TWinControl)
 |  | Tag (TComponent)
 |  | TBDockHeight (TControl)
pt |  | Text (TControl)
pl |  | Top (TControl)
 |  | UndockHeight (TControl)
 |  | UndockWidth (TControl)
 |  | UseDockManager (TWinControl)
 |  | VCLComObject (TComponent)
 |  | Visible (TControl)
 | ro | VisibleDockClientCount (TWinControl)
 | ro | WidgetSetClass (TLCLComponent)
pl |  | Width (TControl)
pt |  | WindowHandle (TWinControl)
 |  | WindowProc (TControl)


TCDTabControl
TCDCustomTabControl
pt | GetControlId
pt | CreateControlStateEx
pt | PrepareControlStateEx
pt | CorrectTabIndex
pt | MouseDown
pt | MouseUp
 | Create
 | Destroy
 | GetTabCount
TCDControl
pt | CalculatePreferredSize
pt | SetState
pt | PrepareCurrentDrawer
pt | SetDrawStyle
pt | GetClientRect
pt | GetControlId
pt | CreateControlStateEx
pt | PrepareControlState
pt | PrepareControlStateEx
pt | DoEnter
pt | DoExit
pt | MouseEnter
pt | MouseLeave
pt | MouseDown
 | Create
 | Destroy
 | LCLWSCalculatePreferredSize
 | EraseBackground
 | Paint
 | DrawToCanvas
TCustomControl
pt | WSRegisterClass
pt | WMPaint
pt | DestroyWnd
pt | PaintWindow
pt | FontChanged
pt | SetColor
pt | Paint
 | Create
 | Destroy
TWinControl
pt | WSRegisterClass
pt | AdjustClientRect
pt | GetAdjustedLogicalClientRect
pt | AlignControls
pt | CustomAlignInsertBefore
pt | CustomAlignPosition
pt | DoAlignChildControls
pt | DoChildSizingChange
pt | InvalidatePreferredChildSizes
pt | CanTab
pt | IsClientHeightStored
pt | IsClientWidthStored
pt | DoSendShowHideToInterface
pt | ControlsAligned
pt | DoSendBoundsToInterface
pt | RealizeBounds
pt | RealizeBoundsRecursive
pt | InvalidateBoundsRealized
pt | CreateSubClass
pt | DoConstraintsChange
pt | DoSetBounds
pt | DoAutoSize
pt | DoAllAutoSize
pt | AllAutoSized
pt | CalculatePreferredSize
pt | GetPreferredSizeClientFrame
pt | GetChildren
pt | ChildClassAllowed
pt | PaintControls
pt | PaintHandler
pt | PaintWindow
pt | CreateBrush
pt | ScaleControls
pt | ChangeScale
pt | CMBiDiModeChanged
pt | CMBorderChanged
pt | CMDoubleBufferedChanged
pt | CMEnabledChanged
pt | CMParentDoubleBufferedChanged
pt | CMShowingChanged
pt | CMShowHintChanged
pt | CMVisibleChanged
pt | CMEnter
pt | CMExit
pt | WMContextMenu
pt | WMEraseBkgnd
pt | WMNotify
pt | WMSetFocus
pt | WMKillFocus
pt | WMShowWindow
pt | WMEnter
pt | WMExit
pt | WMKeyDown
pt | WMSysKeyDown
pt | WMKeyUp
pt | WMSysKeyUp
pt | WMChar
pt | WMSysChar
pt | WMPaint
pt | WMDestroy
pt | WMMove
pt | WMSize
pt | WMWindowPosChanged
pt | CNKeyDown
pt | CNSysKeyDown
pt | CNKeyUp
pt | CNSysKeyUp
pt | CNChar
pt | DoDragMsg
pt | DoDockClientMsg
pt | DoUndockClientMsg
pt | DoAddDockClient
pt | DockOver
pt | DoDockOver
pt | DoRemoveDockClient
pt | DoUnDock
pt | GetSiteInfo
pt | GetParentHandle
pt | GetTopParentHandle
pt | ReloadDockedControl
pt | CreateDockManager
pt | SetDockManager
pt | DoFloatMsg
pt | DoGetDockCaption
pt | DoEnter
pt | DoExit
pt | DoKeyDownBeforeInterface
pt | DoRemainingKeyDown
pt | DoRemainingKeyUp
pt | DoKeyPress
pt | DoUTF8KeyPress
pt | DoKeyUpBeforeInterface
pt | ChildKey
pt | SendDialogChar
pt | DialogChar
pt | ControlKeyDown
pt | ControlKeyUp
pt | KeyDown
pt | KeyDownBeforeInterface
pt | KeyDownAfterInterface
pt | KeyPress
pt | KeyUp
pt | KeyUpBeforeInterface
pt | KeyUpAfterInterface
pt | UTF8KeyPress
pt | FindNextControl
pt | SelectFirst
pt | RealGetText
pt | GetBorderStyle
pt | GetClientOrigin
pt | GetClientRect
pt | GetControlOrigin
pt | GetDeviceContext
pt | GetParentBackground
pt | IsControlMouseMsg
pt | CreateHandle
pt | CreateParams
pt | CreateWnd
pt | DestroyHandle
pt | DestroyWnd
pt | DoFlipChildren
pt | FinalizeWnd
pt | FixupTabList
pt | FontChanged
pt | InitializeWnd
pt | Loaded
pt | FormEndUpdated
pt | MainWndProc
pt | ParentFormHandleInitialized
pt | ChildHandlesCreated
pt | GetMouseCapture
pt | RealSetText
pt | RemoveFocus
pt | SendMoveSizeMessages
pt | SetBorderStyle
pt | SetColor
pt | SetChildZPosition
pt | SetParentBackground
pt | ShowControl
pt | UpdateControlState
pt | UpdateShowing
pt | WndProc
pt | WSSetText
 | AutoSizePhases
 | AutoSizeDelayed
 | AutoSizeDelayedReport
 | AutoSizeDelayedHandle
 | BeginUpdateBounds
 | EndUpdateBounds
 | LockRealizeBounds
 | UnlockRealizeBounds
 | ControlAtPos
 | ContainsControl
 | DoAdjustClientRectChange
 | InvalidateClientRectCache
 | ClientRectNeedsInterfaceUpdate
 | SetBounds
 | GetChildrenRect
 | DisableAlign
 | EnableAlign
 | ReAlign
 | ScrollBy_WS
 | ScrollBy
 | WriteLayoutDebugReport
 | AutoAdjustLayout
 | Create
 | CreateParented
 | CreateParentedControl
 | Destroy
 | DockDrop
 | CanFocus
 | CanSetFocus
 | GetControlIndex
 | SetControlIndex
 | Focused
 | PerformTab
 | FindChildControl
 | SelectNext
 | SetTempCursor
 | BroadCast
 | NotifyControls
 | DefaultHandler
 | GetTextLen
 | Invalidate
 | AddControl
 | InsertControl
 | RemoveControl
 | GetEnumeratorControls
 | GetEnumeratorControlsReverse
 | Repaint
 | Update
 | SetFocus
 | FlipChildren
 | ScaleBy
 | GetDockCaption
 | UpdateDockCaption
 | GetTabOrderList
 | HandleAllocated
 | ParentHandlesAllocated
 | HandleNeeded
 | BrushCreated
 | EraseBackground
 | IntfUTF8KeyPress
 | IntfGetDropFilesTarget
 | PaintTo
 | SetShape
TControl
pt | WSRegisterClass
pt | GetCursor
pt | SetCursor
pt | SetVisible
pt | DoOnParentHandleDestruction
pt | DoAutoSize
pt | DoAllAutoSize
pt | BeginAutoSizing
pt | EndAutoSizing
pt | AnchorSideChanged
pt | ForeignAnchorSideChanged
pt | SetAlign
pt | SetAnchors
pt | SetAutoSize
pt | BoundsChanged
pt | CreateControlBorderSpacing
pt | DoConstraintsChange
pt | DoBorderSpacingChange
pt | IsBorderSpacingInnerBorderStored
pt | IsCaptionStored
pt | SendMoveSizeMessages
pt | ConstrainedResize
pt | CalculatePreferredSize
pt | DoOnResize
pt | DoOnChangeBounds
pt | CheckOnChangeBounds
pt | Resize
pt | RequestAlign
pt | UpdateAnchorRules
pt | ChangeBounds
pt | DoSetBounds
pt | ScaleConstraints
pt | ChangeScale
pt | CanAutoSize
pt | SetBiDiMode
pt | SetParentBiDiMode
pt | IsAParentAligning
pt | GetClientOrigin
pt | GetClientRect
pt | GetLogicalClientRect
pt | GetScrolledClientRect
pt | GetClientScrollOffset
pt | GetControlOrigin
pt | IsClientHeightStored
pt | IsClientWidthStored
pt | WidthIsAnchored
pt | HeightIsAnchored
pt | WMCancelMode
pt | WMContextMenu
pt | WMLButtonDown
pt | WMRButtonDown
pt | WMMButtonDown
pt | WMXButtonDown
pt | WMLButtonDBLCLK
pt | WMRButtonDBLCLK
pt | WMMButtonDBLCLK
pt | WMXButtonDBLCLK
pt | WMLButtonTripleCLK
pt | WMRButtonTripleCLK
pt | WMMButtonTripleCLK
pt | WMXButtonTripleCLK
pt | WMLButtonQuadCLK
pt | WMRButtonQuadCLK
pt | WMMButtonQuadCLK
pt | WMXButtonQuadCLK
pt | WMMouseMove
pt | WMLButtonUp
pt | WMRButtonUp
pt | WMMButtonUp
pt | WMXButtonUp
pt | WMMouseWheel
pt | WMMouseHWheel
pt | WMMove
pt | WMSize
pt | WMWindowPosChanged
pt | CMChanged
pt | LMCaptureChanged
pt | CMBiDiModeChanged
pt | CMSysFontChanged
pt | CMEnabledChanged
pt | CMHitTest
pt | CMMouseEnter
pt | CMMouseLeave
pt | CMHintShow
pt | CMParentBiDiModeChanged
pt | CMParentColorChanged
pt | CMParentFontChanged
pt | CMParentShowHintChanged
pt | CMVisibleChanged
pt | CMTextChanged
pt | CMCursorChanged
pt | CalculateDockSizes
pt | CreateFloatingDockSite
pt | GetDockEdge
pt | GetDragImages
pt | GetFloating
pt | GetFloatingDockSiteClass
pt | BeforeDragStart
pt | BeginAutoDrag
pt | DoFloatMsg
pt | DockTrackNoTarget
pt | DoDock
pt | DoDragMsg
pt | DoEndDock
pt | DoEndDrag
pt | DoStartDock
pt | DoStartDrag
pt | DragCanceled
pt | DragOver
pt | PositionDockRect
pt | SetDragMode
pt | GetDefaultDockCaption
pt | Click
pt | DblClick
pt | TripleClick
pt | QuadClick
pt | GetMousePosFromMessage
pt | MouseDown
pt | MouseMove
pt | MouseUp
pt | MouseEnter
pt | MouseLeave
pt | DialogChar
pt | UpdateMouseCursor
pt | Changed
pt | GetPalette
pt | ChildClassAllowed
pt | ReadState
pt | Loaded
pt | LoadedAll
pt | DefineProperties
pt | AssignTo
pt | FormEndUpdated
pt | InvalidateControl
pt | FontChanged
pt | ParentFontChanged
pt | GetAction
pt | RealGetText
pt | RealSetText
pt | TextChanged
pt | GetCachedText
pt | SetAction
pt | SetColor
pt | SetEnabled
pt | SetHint
pt | SetName
pt | SetParent
pt | SetParentComponent
pt | WndProc
pt | ParentFormHandleInitialized
pt | GetMouseCapture
pt | CaptureChanged
pt | Notification
pt | CanTab
pt | GetDeviceContext
pt | GetEnabled
pt | GetPopupMenu
pt | DoOnShowHint
pt | DoMouseWheel
pt | DoMouseWheelDown
pt | DoMouseWheelUp
pt | DoMouseWheelHorz
pt | DoMouseWheelLeft
pt | DoMouseWheelRight
pt | VisibleChanging
pt | VisibleChanged
pt | EnabledChanging
pt | EnabledChanged
pt | AddHandler
pt | RemoveHandler
pt | DoCallNotifyHandler
pt | DoCallKeyEventHandler
pt | DoCallMouseWheelEventHandler
pt | DoContextPopup
pt | SetZOrder
pt | GetControlClassDefaultSize
pt | ColorIsStored
pt | DoAutoAdjustLayout
pt | DoFixDesignFontPPI
pt | DoScaleFontPPI
pt | GetActionLinkClass
pt | ActionChange
 | DragDrop
 | Dock
 | ManualDock
 | ManualFloat
 | ReplaceDockedControl
 | Docked
 | Dragging
 | GetAccessibleObject
 | CreateAccessibleObject
 | GetSelectedChildAccessibleObject
 | GetChildAccessibleObjectAtPos
 | ScaleDesignToForm
 | ScaleFormToDesign
 | Scale96ToForm
 | ScaleFormTo96
 | Scale96ToFont
 | ScaleFontTo96
 | ScaleScreenToFont
 | ScaleFontToScreen
 | Scale96ToScreen
 | ScaleScreenTo96
 | AdjustSize
 | AutoSizePhases
 | AutoSizeDelayed
 | AutoSizeDelayedReport
 | AutoSizeDelayedHandle
 | AnchorToNeighbour
 | AnchorParallel
 | AnchorHorizontalCenterTo
 | AnchorVerticalCenterTo
 | AnchorToCompanion
 | AnchorSame
 | AnchorAsAlign
 | AnchorClient
 | AnchoredControlCount
 | SetBounds
 | SetInitialBounds
 | SetBoundsKeepBase
 | GetPreferredSize
 | GetCanvasScaleFactor
 | GetDefaultWidth
 | GetDefaultHeight
 | GetDefaultColor
 | GetColorResolvingParent
 | GetRGBColorResolvingParent
 | GetSidePosition
 | CNPreferredSizeChanged
 | InvalidatePreferredSize
 | GetAnchorsDependingOnParent
 | DisableAutoSizing
 | EnableAutoSizing
 | UpdateBaseBounds
 | WriteLayoutDebugReport
 | AutoAdjustLayout
 | ShouldAutoAdjust
 | FixDesignFontsPPI
 | ScaleFontsPPI
 | Create
 | Destroy
 | BeforeDestruction
 | EditingDone
 | ExecuteDefaultAction
 | ExecuteCancelAction
 | BeginDrag
 | EndDrag
 | BringToFront
 | HasParent
 | GetParentComponent
 | IsParentOf
 | GetTopParent
 | IsVisible
 | IsControlVisible
 | IsEnabled
 | IsParentColor
 | IsParentFont
 | FormIsUpdating
 | IsProcessingPaintMsg
 | Hide
 | Refresh
 | Repaint
 | Invalidate
 | CheckChildClassAllowed
 | CheckNewParent
 | SendToBack
 | SetTempCursor
 | UpdateRolesForForm
 | ActiveDefaultControlChanged
 | GetTextBuf
 | GetTextLen
 | SetTextBuf
 | Perform
 | ScreenToClient
 | ClientToScreen
 | ScreenToControl
 | ControlToScreen
 | ClientToParent
 | ParentToClient
 | GetChildrenRect
 | Show
 | Update
 | HandleObjectShouldBeVisible
 | ParentDestroyingHandle
 | ParentHandlesAllocated
 | InitiateAction
 | ShowHelp
 | HasHelp
 | RemoveAllHandlersOfObject
 | AddHandlerOnResize
 | RemoveHandlerOnResize
 | AddHandlerOnChangeBounds
 | RemoveHandlerOnChangeBounds
 | AddHandlerOnVisibleChanging
 | RemoveHandlerOnVisibleChanging
 | AddHandlerOnVisibleChanged
 | RemoveHandlerOnVisibleChanged
 | AddHandlerOnEnabledChanged
 | RemoveHandlerOnEnableChanging
 | AddHandlerOnKeyDown
 | RemoveHandlerOnKeyDown
 | AddHandlerOnBeforeDestruction
 | RemoveHandlerOnBeforeDestruction
 | AddHandlerOnMouseWheel
 | RemoveHandlerOnMouseWheel
 | UseRightToLeftAlignment
 | UseRightToLeftReading
 | UseRightToLeftScrollBar
 | IsRightToLeft
TLCLComponent
pt | WSRegisterClass
pt | GetWSComponentClass
 | Create
 | Destroy
 | NewInstance
 | RemoveAllHandlersOfObject
 | IncLCLRefCount
 | DecLCLRefCount
TComponent
 | GetComObject
 | GetComponent
 | GetComponentCount
 | GetComponentIndex
 | Insert
 | ReadLeft
 | ReadTop
 | Remove
 | RemoveNotification
 | SetComponentIndex
 | SetReference
 | WriteLeft
 | WriteTop
 | ChangeName
 | DefineProperties
 | GetChildren
 | GetChildOwner
 | GetChildParent
 | GetOwner
 | Loaded
 | Loading
 | Notification
 | PaletteCreated
 | ReadState
 | SetAncestor
 | SetDesigning
 | SetDesignInstance
 | SetInline
 | SetName
 | SetChildOrder
 | SetParentComponent
 | Updating
 | Updated
 | UpdateRegistry
 | ValidateRename
 | ValidateContainer
 | ValidateInsert
 | QueryInterface
 | _AddRef
 | _Release
 | iicrGetComponent
 | GetTypeInfoCount
 | GetTypeInfo
 | GetIDsOfNames
 | Invoke
 | WriteState
 | Create
 | Destroy
 | BeforeDestruction
 | DestroyComponents
 | Destroying
 | ExecuteAction
 | FindComponent
 | FreeNotification
 | RemoveFreeNotification
 | FreeOnRelease
 | GetEnumerator
 | GetNamePath
 | GetParentComponent
 | HasParent
 | InsertComponent
 | RemoveComponent
 | SafeCallException
 | SetSubComponent
 | UpdateAction
 | IsImplementorOf
 | ReferenceInterface
TPersistent
 | AssignError
 | AssignTo
 | DefineProperties
 | GetOwner
 | Destroy
 | Assign
 | FPOAttachObserver
 | FPODetachObserver
 | FPONotifyObservers
 | GetNamePath
TObject
 | Create
 | Destroy
 | newinstance
 | FreeInstance
 | SafeCallException
 | DefaultHandler
 | Free
 | InitInstance
 | CleanupInstance
 | ClassType
 | ClassInfo
 | ClassName
 | ClassNameIs
 | ClassParent
 | InstanceSize
 | InheritsFrom
 | StringMessageTable
 | MethodAddress
 | MethodName
 | FieldAddress
 | AfterConstruction
 | BeforeDestruction
 | DefaultHandlerStr
 | Dispatch
 | DispatchStr
 | GetInterface
 | GetInterfaceByStr
 | GetInterfaceWeak
 | GetInterfaceEntry
 | GetInterfaceEntryByStr
 | GetInterfaceTable
 | UnitName
 | Equals
 | GetHashCode
 | ToString


TCDTabControl
pl | ro | OnChanging
pl | ro | OnChange
pl | ro | OnUserAddedPage
TCDCustomTabControl
 |  | OnChanging
 |  | OnChange
 |  | OnUserAddedPage
TCDControl
TCustomControl
 |  | OnPaint
TWinControl
pt |  | OnGetSiteInfo
pt |  | OnGetDockCaption
 |  | OnAlignInsertBefore
 |  | OnAlignPosition
 |  | OnDockDrop
 |  | OnDockOver
 |  | OnEnter
 |  | OnExit
 |  | OnKeyDown
 |  | OnKeyPress
 |  | OnKeyUp
 |  | OnUnDock
 |  | OnUTF8KeyPress
TControl
pt |  | OnConstrainedResize
pt |  | OnContextPopup
pt |  | OnDblClick
pt |  | OnTripleClick
pt |  | OnQuadClick
pt |  | OnDragDrop
pt |  | OnDragOver
pt |  | OnEndDock
pt |  | OnEndDrag
pt |  | OnMouseDown
pt |  | OnMouseMove
pt |  | OnMouseUp
pt |  | OnMouseEnter
pt |  | OnMouseLeave
pt |  | OnMouseWheel
pt |  | OnMouseWheelDown
pt |  | OnMouseWheelUp
pt |  | OnMouseWheelHorz
pt |  | OnMouseWheelLeft
pt |  | OnMouseWheelRight
pt |  | OnStartDock
pt |  | OnStartDrag
pt |  | OnEditingDone
 |  | OnChangeBounds
 |  | OnClick
 |  | OnResize
 |  | OnShowHint
TLCLComponent
TComponent
TPersistent
TObject


pl | ro | OnChange (TCDTabControl)
 |  | OnChangeBounds (TControl)
 |  | OnChanging (TCDCustomTabControl)
pl | ro | OnChanging (TCDTabControl)
 |  | OnClick (TControl)
pt |  | OnConstrainedResize (TControl)
pt |  | OnContextPopup (TControl)
pt |  | OnDblClick (TControl)
 |  | OnDockDrop (TWinControl)
 |  | OnDockOver (TWinControl)
pt |  | OnDragDrop (TControl)
pt |  | OnDragOver (TControl)
pt |  | OnEditingDone (TControl)
pt |  | OnEndDock (TControl)
pt |  | OnEndDrag (TControl)
 |  | OnEnter (TWinControl)
 |  | OnExit (TWinControl)
pt |  | OnGetDockCaption (TWinControl)
pt |  | OnGetSiteInfo (TWinControl)
 |  | OnKeyDown (TWinControl)
 |  | OnKeyPress (TWinControl)
 |  | OnKeyUp (TWinControl)
pt |  | OnMouseDown (TControl)
pt |  | OnMouseEnter (TControl)
pt |  | OnMouseLeave (TControl)
pt |  | OnMouseMove (TControl)
pt |  | OnMouseUp (TControl)
pt |  | OnMouseWheel (TControl)
pt |  | OnMouseWheelDown (TControl)
pt |  | OnMouseWheelHorz (TControl)
pt |  | OnMouseWheelLeft (TControl)
pt |  | OnMouseWheelRight (TControl)
pt |  | OnMouseWheelUp (TControl)
 |  | OnPaint (TCustomControl)
pt |  | OnQuadClick (TControl)
 |  | OnResize (TControl)
 |  | OnShowHint (TControl)
pt |  | OnStartDock (TControl)
pt |  | OnStartDrag (TControl)
pt |  | OnTripleClick (TControl)
 |  | OnUnDock (TWinControl)
 |  | OnUserAddedPage (TCDCustomTabControl)
pl | ro | OnUserAddedPage (TCDTabControl)
 |  | OnUTF8KeyPress (TWinControl)


TCDTabControl.Color

Declaration

Source position: customdrawncontrols.pas line 714

published property TCDTabControl.Color : TColor;


TCDTabControl.Enabled

Declaration

Source position: customdrawncontrols.pas line 715

published property TCDTabControl.Enabled : Boolean;


TCDTabControl.Font

Declaration

Source position: customdrawncontrols.pas line 716

published property TCDTabControl.Font : TFont;


TCDTabControl.OnChange

Declaration

Source position: customdrawncontrols.pas line 720

published property TCDTabControl.OnChange : TNotifyEvent;


TCDTabControl.OnChanging

Declaration

Source position: customdrawncontrols.pas line 719

published property TCDTabControl.OnChanging : TNotifyEvent;


TCDTabControl.OnUserAddedPage

Declaration

Source position: customdrawncontrols.pas line 721

published property TCDTabControl.OnUserAddedPage : TOnUserAddedPage;


TCDTabControl.TabIndex

Declaration

Source position: customdrawncontrols.pas line 718

published property TCDTabControl.TabIndex : Integer;


TCDTabControl.Tabs

Declaration

Source position: customdrawncontrols.pas line 717

published property TCDTabControl.Tabs : TStringList;


TCDTabSheet

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Declaration

Source position: customdrawncontrols.pas line 651

type TCDTabSheet = class(TCustomControl)

protected

  procedure RealSetText(); override;

  procedure SetParent(); override;

public

  constructor Create(); override;

  destructor Destroy; override;

  procedure EraseBackground(); override;

  procedure Paint; override;

published

  property Caption: TCaption;

  property Color: TColor;

  property Font: TFont;

  property TabVisible: Boolean; [rw]

end;

Inheritance

TCDTabSheet |
|
TCustomControl | The base class for windowed controls which paint themselves.
|
TWinControl | The base class for controls which can contain other (child) controls.
|
TControl | The base class for visible controls.
|
TLCLComponent | The base class for LCL components associated with widgets.
|
TComponent,IUnknown,IInterfaceComponentReference
|
TPersistent,IFPObserved
|
TObject


TCDTabSheet
pl | ro | Caption
pl | ro | Color
pl | ro | Font
pl |  | TabVisible
TCustomControl
 |  | Canvas
 | ro | BorderStyle
TWinControl
pt |  | WindowHandle
pt |  | BorderStyle
pt |  | ParentBackground
 |  | BorderWidth
 | ro | BoundsLockCount
 | ro | Brush
 | ro | CachedClientHeight
 | ro | CachedClientWidth
 |  | ChildSizing
 | ro | ControlCount
 | ro | Controls
 |  | DefWndProc
 | ro | DockClientCount
 | ro | DockClients
 |  | DockManager
 |  | DockSite
 |  | DoubleBuffered
 |  | Handle
 | ro | IsFlipped
 | ro | IsResizing
 |  | TabOrder
 |  | TabStop
 |  | ParentDoubleBuffered
 |  | ParentWindow
 | ro | Showing
 |  | UseDockManager
 |  | DesignerDeleting
 | ro | VisibleDockClientCount
TControl
pt | ro | AutoSizing
pt | ro | AutoSizingAll
pt | ro | AutoSizingLockCount
pt |  | ActionLink
pt |  | DesktopFont
pt |  | DragCursor
pt |  | DragKind
pt |  | DragMode
pt |  | MouseCapture
pt |  | ParentColor
pt |  | ParentFont
pt |  | ParentShowHint
pt |  | SessionProperties
pt |  | Text
 | ro | AnchoredControls
 | ro | BaseBounds
 | ro | ReadBounds
 | ro | BaseParentClientSize
 |  | AccessibleDescription
 |  | AccessibleValue
 |  | AccessibleRole
 |  | Action
 |  | Align
 |  | Anchors
 | ro | AnchorSide
 |  | AutoSize
 |  | BorderSpacing
 |  | BoundsRect
 |  | BoundsRectForNewParent
 |  | Caption
 |  | CaptureMouseButtons
 |  | ClientHeight
 | ro | ClientOrigin
 | ro | ClientRect
 |  | ClientWidth
 |  | Color
 |  | Constraints
 | ro | ControlOrigin
 |  | ControlState
 |  | ControlStyle
 |  | Enabled
 |  | Font
 |  | IsControl
 | ro | MouseEntered
 | ro | MouseInClient
 |  | Parent
 |  | PopupMenu
 |  | ShowHint
 |  | Visible
 |  | WindowProc
 |  | DockOrientation
 | ro | Floating
 |  | FloatingDockSiteClass
 |  | HostDockSite
 |  | LRDockWidth
 |  | TBDockHeight
 |  | UndockHeight
 |  | UndockWidth
 |  | BiDiMode
 |  | ParentBiDiMode
pl |  | AnchorSideLeft
pl |  | AnchorSideTop
pl |  | AnchorSideRight
pl |  | AnchorSideBottom
pl |  | Cursor
pl |  | Left
pl |  | Height
pl |  | Hint
pl |  | Top
pl |  | Width
pl |  | HelpType
pl |  | HelpKeyword
pl |  | HelpContext
TLCLComponent
 | ro | LCLRefCount
 | ro | WidgetSetClass
TComponent
 | ro | ComObject
 | ro | Components
 | ro | ComponentCount
 |  | ComponentIndex
 | ro | ComponentState
 | ro | ComponentStyle
 |  | DesignInfo
 | ro | Owner
 |  | VCLComObject
 |  | Name
 |  | Tag
TPersistent
TObject


 |  | AccessibleDescription (TControl)
 |  | AccessibleRole (TControl)
 |  | AccessibleValue (TControl)
 |  | Action (TControl)
pt |  | ActionLink (TControl)
 |  | Align (TControl)
 | ro | AnchoredControls (TControl)
 |  | Anchors (TControl)
 | ro | AnchorSide (TControl)
pl |  | AnchorSideBottom (TControl)
pl |  | AnchorSideLeft (TControl)
pl |  | AnchorSideRight (TControl)
pl |  | AnchorSideTop (TControl)
 |  | AutoSize (TControl)
pt | ro | AutoSizing (TControl)
pt | ro | AutoSizingAll (TControl)
pt | ro | AutoSizingLockCount (TControl)
 | ro | BaseBounds (TControl)
 | ro | BaseParentClientSize (TControl)
 |  | BiDiMode (TControl)
 |  | BorderSpacing (TControl)
pt |  | BorderStyle (TWinControl)
 | ro | BorderStyle (TCustomControl)
 |  | BorderWidth (TWinControl)
 | ro | BoundsLockCount (TWinControl)
 |  | BoundsRect (TControl)
 |  | BoundsRectForNewParent (TControl)
 | ro | Brush (TWinControl)
 | ro | CachedClientHeight (TWinControl)
 | ro | CachedClientWidth (TWinControl)
 |  | Canvas (TCustomControl)
 |  | Caption (TControl)
pl | ro | Caption (TCDTabSheet)
 |  | CaptureMouseButtons (TControl)
 |  | ChildSizing (TWinControl)
 |  | ClientHeight (TControl)
 | ro | ClientOrigin (TControl)
 | ro | ClientRect (TControl)
 |  | ClientWidth (TControl)
 |  | Color (TControl)
pl | ro | Color (TCDTabSheet)
 | ro | ComObject (TComponent)
 | ro | ComponentCount (TComponent)
 |  | ComponentIndex (TComponent)
 | ro | Components (TComponent)
 | ro | ComponentState (TComponent)
 | ro | ComponentStyle (TComponent)
 |  | Constraints (TControl)
 | ro | ControlCount (TWinControl)
 | ro | ControlOrigin (TControl)
 | ro | Controls (TWinControl)
 |  | ControlState (TControl)
 |  | ControlStyle (TControl)
pl |  | Cursor (TControl)
 |  | DefWndProc (TWinControl)
 |  | DesignerDeleting (TWinControl)
 |  | DesignInfo (TComponent)
pt |  | DesktopFont (TControl)
 | ro | DockClientCount (TWinControl)
 | ro | DockClients (TWinControl)
 |  | DockManager (TWinControl)
 |  | DockOrientation (TControl)
 |  | DockSite (TWinControl)
 |  | DoubleBuffered (TWinControl)
pt |  | DragCursor (TControl)
pt |  | DragKind (TControl)
pt |  | DragMode (TControl)
 |  | Enabled (TControl)
 | ro | Floating (TControl)
 |  | FloatingDockSiteClass (TControl)
 |  | Font (TControl)
pl | ro | Font (TCDTabSheet)
 |  | Handle (TWinControl)
pl |  | Height (TControl)
pl |  | HelpContext (TControl)
pl |  | HelpKeyword (TControl)
pl |  | HelpType (TControl)
pl |  | Hint (TControl)
 |  | HostDockSite (TControl)
 |  | IsControl (TControl)
 | ro | IsFlipped (TWinControl)
 | ro | IsResizing (TWinControl)
 | ro | LCLRefCount (TLCLComponent)
pl |  | Left (TControl)
 |  | LRDockWidth (TControl)
pt |  | MouseCapture (TControl)
 | ro | MouseEntered (TControl)
 | ro | MouseInClient (TControl)
 |  | Name (TComponent)
 | ro | Owner (TComponent)
 |  | Parent (TControl)
pt |  | ParentBackground (TWinControl)
 |  | ParentBiDiMode (TControl)
pt |  | ParentColor (TControl)
 |  | ParentDoubleBuffered (TWinControl)
pt |  | ParentFont (TControl)
pt |  | ParentShowHint (TControl)
 |  | ParentWindow (TWinControl)
 |  | PopupMenu (TControl)
 | ro | ReadBounds (TControl)
pt |  | SessionProperties (TControl)
 |  | ShowHint (TControl)
 | ro | Showing (TWinControl)
 |  | TabOrder (TWinControl)
 |  | TabStop (TWinControl)
pl |  | TabVisible (TCDTabSheet)
 |  | Tag (TComponent)
 |  | TBDockHeight (TControl)
pt |  | Text (TControl)
pl |  | Top (TControl)
 |  | UndockHeight (TControl)
 |  | UndockWidth (TControl)
 |  | UseDockManager (TWinControl)
 |  | VCLComObject (TComponent)
 |  | Visible (TControl)
 | ro | VisibleDockClientCount (TWinControl)
 | ro | WidgetSetClass (TLCLComponent)
pl |  | Width (TControl)
pt |  | WindowHandle (TWinControl)
 |  | WindowProc (TControl)


TCDTabSheet
pt | RealSetText
pt | SetParent
 | Create
 | Destroy
 | EraseBackground
 | Paint
TCustomControl
pt | WSRegisterClass
pt | WMPaint
pt | DestroyWnd
pt | PaintWindow
pt | FontChanged
pt | SetColor
pt | Paint
 | Create
 | Destroy
TWinControl
pt | WSRegisterClass
pt | AdjustClientRect
pt | GetAdjustedLogicalClientRect
pt | AlignControls
pt | CustomAlignInsertBefore
pt | CustomAlignPosition
pt | DoAlignChildControls
pt | DoChildSizingChange
pt | InvalidatePreferredChildSizes
pt | CanTab
pt | IsClientHeightStored
pt | IsClientWidthStored
pt | DoSendShowHideToInterface
pt | ControlsAligned
pt | DoSendBoundsToInterface
pt | RealizeBounds
pt | RealizeBoundsRecursive
pt | InvalidateBoundsRealized
pt | CreateSubClass
pt | DoConstraintsChange
pt | DoSetBounds
pt | DoAutoSize
pt | DoAllAutoSize
pt | AllAutoSized
pt | CalculatePreferredSize
pt | GetPreferredSizeClientFrame
pt | GetChildren
pt | ChildClassAllowed
pt | PaintControls
pt | PaintHandler
pt | PaintWindow
pt | CreateBrush
pt | ScaleControls
pt | ChangeScale
pt | CMBiDiModeChanged
pt | CMBorderChanged
pt | CMDoubleBufferedChanged
pt | CMEnabledChanged
pt | CMParentDoubleBufferedChanged
pt | CMShowingChanged
pt | CMShowHintChanged
pt | CMVisibleChanged
pt | CMEnter
pt | CMExit
pt | WMContextMenu
pt | WMEraseBkgnd
pt | WMNotify
pt | WMSetFocus
pt | WMKillFocus
pt | WMShowWindow
pt | WMEnter
pt | WMExit
pt | WMKeyDown
pt | WMSysKeyDown
pt | WMKeyUp
pt | WMSysKeyUp
pt | WMChar
pt | WMSysChar
pt | WMPaint
pt | WMDestroy
pt | WMMove
pt | WMSize
pt | WMWindowPosChanged
pt | CNKeyDown
pt | CNSysKeyDown
pt | CNKeyUp
pt | CNSysKeyUp
pt | CNChar
pt | DoDragMsg
pt | DoDockClientMsg
pt | DoUndockClientMsg
pt | DoAddDockClient
pt | DockOver
pt | DoDockOver
pt | DoRemoveDockClient
pt | DoUnDock
pt | GetSiteInfo
pt | GetParentHandle
pt | GetTopParentHandle
pt | ReloadDockedControl
pt | CreateDockManager
pt | SetDockManager
pt | DoFloatMsg
pt | DoGetDockCaption
pt | DoEnter
pt | DoExit
pt | DoKeyDownBeforeInterface
pt | DoRemainingKeyDown
pt | DoRemainingKeyUp
pt | DoKeyPress
pt | DoUTF8KeyPress
pt | DoKeyUpBeforeInterface
pt | ChildKey
pt | SendDialogChar
pt | DialogChar
pt | ControlKeyDown
pt | ControlKeyUp
pt | KeyDown
pt | KeyDownBeforeInterface
pt | KeyDownAfterInterface
pt | KeyPress
pt | KeyUp
pt | KeyUpBeforeInterface
pt | KeyUpAfterInterface
pt | UTF8KeyPress
pt | FindNextControl
pt | SelectFirst
pt | RealGetText
pt | GetBorderStyle
pt | GetClientOrigin
pt | GetClientRect
pt | GetControlOrigin
pt | GetDeviceContext
pt | GetParentBackground
pt | IsControlMouseMsg
pt | CreateHandle
pt | CreateParams
pt | CreateWnd
pt | DestroyHandle
pt | DestroyWnd
pt | DoFlipChildren
pt | FinalizeWnd
pt | FixupTabList
pt | FontChanged
pt | InitializeWnd
pt | Loaded
pt | FormEndUpdated
pt | MainWndProc
pt | ParentFormHandleInitialized
pt | ChildHandlesCreated
pt | GetMouseCapture
pt | RealSetText
pt | RemoveFocus
pt | SendMoveSizeMessages
pt | SetBorderStyle
pt | SetColor
pt | SetChildZPosition
pt | SetParentBackground
pt | ShowControl
pt | UpdateControlState
pt | UpdateShowing
pt | WndProc
pt | WSSetText
 | AutoSizePhases
 | AutoSizeDelayed
 | AutoSizeDelayedReport
 | AutoSizeDelayedHandle
 | BeginUpdateBounds
 | EndUpdateBounds
 | LockRealizeBounds
 | UnlockRealizeBounds
 | ControlAtPos
 | ContainsControl
 | DoAdjustClientRectChange
 | InvalidateClientRectCache
 | ClientRectNeedsInterfaceUpdate
 | SetBounds
 | GetChildrenRect
 | DisableAlign
 | EnableAlign
 | ReAlign
 | ScrollBy_WS
 | ScrollBy
 | WriteLayoutDebugReport
 | AutoAdjustLayout
 | Create
 | CreateParented
 | CreateParentedControl
 | Destroy
 | DockDrop
 | CanFocus
 | CanSetFocus
 | GetControlIndex
 | SetControlIndex
 | Focused
 | PerformTab
 | FindChildControl
 | SelectNext
 | SetTempCursor
 | BroadCast
 | NotifyControls
 | DefaultHandler
 | GetTextLen
 | Invalidate
 | AddControl
 | InsertControl
 | RemoveControl
 | GetEnumeratorControls
 | GetEnumeratorControlsReverse
 | Repaint
 | Update
 | SetFocus
 | FlipChildren
 | ScaleBy
 | GetDockCaption
 | UpdateDockCaption
 | GetTabOrderList
 | HandleAllocated
 | ParentHandlesAllocated
 | HandleNeeded
 | BrushCreated
 | EraseBackground
 | IntfUTF8KeyPress
 | IntfGetDropFilesTarget
 | PaintTo
 | SetShape
TControl
pt | WSRegisterClass
pt | GetCursor
pt | SetCursor
pt | SetVisible
pt | DoOnParentHandleDestruction
pt | DoAutoSize
pt | DoAllAutoSize
pt | BeginAutoSizing
pt | EndAutoSizing
pt | AnchorSideChanged
pt | ForeignAnchorSideChanged
pt | SetAlign
pt | SetAnchors
pt | SetAutoSize
pt | BoundsChanged
pt | CreateControlBorderSpacing
pt | DoConstraintsChange
pt | DoBorderSpacingChange
pt | IsBorderSpacingInnerBorderStored
pt | IsCaptionStored
pt | SendMoveSizeMessages
pt | ConstrainedResize
pt | CalculatePreferredSize
pt | DoOnResize
pt | DoOnChangeBounds
pt | CheckOnChangeBounds
pt | Resize
pt | RequestAlign
pt | UpdateAnchorRules
pt | ChangeBounds
pt | DoSetBounds
pt | ScaleConstraints
pt | ChangeScale
pt | CanAutoSize
pt | SetBiDiMode
pt | SetParentBiDiMode
pt | IsAParentAligning
pt | GetClientOrigin
pt | GetClientRect
pt | GetLogicalClientRect
pt | GetScrolledClientRect
pt | GetClientScrollOffset
pt | GetControlOrigin
pt | IsClientHeightStored
pt | IsClientWidthStored
pt | WidthIsAnchored
pt | HeightIsAnchored
pt | WMCancelMode
pt | WMContextMenu
pt | WMLButtonDown
pt | WMRButtonDown
pt | WMMButtonDown
pt | WMXButtonDown
pt | WMLButtonDBLCLK
pt | WMRButtonDBLCLK
pt | WMMButtonDBLCLK
pt | WMXButtonDBLCLK
pt | WMLButtonTripleCLK
pt | WMRButtonTripleCLK
pt | WMMButtonTripleCLK
pt | WMXButtonTripleCLK
pt | WMLButtonQuadCLK
pt | WMRButtonQuadCLK
pt | WMMButtonQuadCLK
pt | WMXButtonQuadCLK
pt | WMMouseMove
pt | WMLButtonUp
pt | WMRButtonUp
pt | WMMButtonUp
pt | WMXButtonUp
pt | WMMouseWheel
pt | WMMouseHWheel
pt | WMMove
pt | WMSize
pt | WMWindowPosChanged
pt | CMChanged
pt | LMCaptureChanged
pt | CMBiDiModeChanged
pt | CMSysFontChanged
pt | CMEnabledChanged
pt | CMHitTest
pt | CMMouseEnter
pt | CMMouseLeave
pt | CMHintShow
pt | CMParentBiDiModeChanged
pt | CMParentColorChanged
pt | CMParentFontChanged
pt | CMParentShowHintChanged
pt | CMVisibleChanged
pt | CMTextChanged
pt | CMCursorChanged
pt | CalculateDockSizes
pt | CreateFloatingDockSite
pt | GetDockEdge
pt | GetDragImages
pt | GetFloating
pt | GetFloatingDockSiteClass
pt | BeforeDragStart
pt | BeginAutoDrag
pt | DoFloatMsg
pt | DockTrackNoTarget
pt | DoDock
pt | DoDragMsg
pt | DoEndDock
pt | DoEndDrag
pt | DoStartDock
pt | DoStartDrag
pt | DragCanceled
pt | DragOver
pt | PositionDockRect
pt | SetDragMode
pt | GetDefaultDockCaption
pt | Click
pt | DblClick
pt | TripleClick
pt | QuadClick
pt | GetMousePosFromMessage
pt | MouseDown
pt | MouseMove
pt | MouseUp
pt | MouseEnter
pt | MouseLeave
pt | DialogChar
pt | UpdateMouseCursor
pt | Changed
pt | GetPalette
pt | ChildClassAllowed
pt | ReadState
pt | Loaded
pt | LoadedAll
pt | DefineProperties
pt | AssignTo
pt | FormEndUpdated
pt | InvalidateControl
pt | FontChanged
pt | ParentFontChanged
pt | GetAction
pt | RealGetText
pt | RealSetText
pt | TextChanged
pt | GetCachedText
pt | SetAction
pt | SetColor
pt | SetEnabled
pt | SetHint
pt | SetName
pt | SetParent
pt | SetParentComponent
pt | WndProc
pt | ParentFormHandleInitialized
pt | GetMouseCapture
pt | CaptureChanged
pt | Notification
pt | CanTab
pt | GetDeviceContext
pt | GetEnabled
pt | GetPopupMenu
pt | DoOnShowHint
pt | DoMouseWheel
pt | DoMouseWheelDown
pt | DoMouseWheelUp
pt | DoMouseWheelHorz
pt | DoMouseWheelLeft
pt | DoMouseWheelRight
pt | VisibleChanging
pt | VisibleChanged
pt | EnabledChanging
pt | EnabledChanged
pt | AddHandler
pt | RemoveHandler
pt | DoCallNotifyHandler
pt | DoCallKeyEventHandler
pt | DoCallMouseWheelEventHandler
pt | DoContextPopup
pt | SetZOrder
pt | GetControlClassDefaultSize
pt | ColorIsStored
pt | DoAutoAdjustLayout
pt | DoFixDesignFontPPI
pt | DoScaleFontPPI
pt | GetActionLinkClass
pt | ActionChange
 | DragDrop
 | Dock
 | ManualDock
 | ManualFloat
 | ReplaceDockedControl
 | Docked
 | Dragging
 | GetAccessibleObject
 | CreateAccessibleObject
 | GetSelectedChildAccessibleObject
 | GetChildAccessibleObjectAtPos
 | ScaleDesignToForm
 | ScaleFormToDesign
 | Scale96ToForm
 | ScaleFormTo96
 | Scale96ToFont
 | ScaleFontTo96
 | ScaleScreenToFont
 | ScaleFontToScreen
 | Scale96ToScreen
 | ScaleScreenTo96
 | AdjustSize
 | AutoSizePhases
 | AutoSizeDelayed
 | AutoSizeDelayedReport
 | AutoSizeDelayedHandle
 | AnchorToNeighbour
 | AnchorParallel
 | AnchorHorizontalCenterTo
 | AnchorVerticalCenterTo
 | AnchorToCompanion
 | AnchorSame
 | AnchorAsAlign
 | AnchorClient
 | AnchoredControlCount
 | SetBounds
 | SetInitialBounds
 | SetBoundsKeepBase
 | GetPreferredSize
 | GetCanvasScaleFactor
 | GetDefaultWidth
 | GetDefaultHeight
 | GetDefaultColor
 | GetColorResolvingParent
 | GetRGBColorResolvingParent
 | GetSidePosition
 | CNPreferredSizeChanged
 | InvalidatePreferredSize
 | GetAnchorsDependingOnParent
 | DisableAutoSizing
 | EnableAutoSizing
 | UpdateBaseBounds
 | WriteLayoutDebugReport
 | AutoAdjustLayout
 | ShouldAutoAdjust
 | FixDesignFontsPPI
 | ScaleFontsPPI
 | Create
 | Destroy
 | BeforeDestruction
 | EditingDone
 | ExecuteDefaultAction
 | ExecuteCancelAction
 | BeginDrag
 | EndDrag
 | BringToFront
 | HasParent
 | GetParentComponent
 | IsParentOf
 | GetTopParent
 | IsVisible
 | IsControlVisible
 | IsEnabled
 | IsParentColor
 | IsParentFont
 | FormIsUpdating
 | IsProcessingPaintMsg
 | Hide
 | Refresh
 | Repaint
 | Invalidate
 | CheckChildClassAllowed
 | CheckNewParent
 | SendToBack
 | SetTempCursor
 | UpdateRolesForForm
 | ActiveDefaultControlChanged
 | GetTextBuf
 | GetTextLen
 | SetTextBuf
 | Perform
 | ScreenToClient
 | ClientToScreen
 | ScreenToControl
 | ControlToScreen
 | ClientToParent
 | ParentToClient
 | GetChildrenRect
 | Show
 | Update
 | HandleObjectShouldBeVisible
 | ParentDestroyingHandle
 | ParentHandlesAllocated
 | InitiateAction
 | ShowHelp
 | HasHelp
 | RemoveAllHandlersOfObject
 | AddHandlerOnResize
 | RemoveHandlerOnResize
 | AddHandlerOnChangeBounds
 | RemoveHandlerOnChangeBounds
 | AddHandlerOnVisibleChanging
 | RemoveHandlerOnVisibleChanging
 | AddHandlerOnVisibleChanged
 | RemoveHandlerOnVisibleChanged
 | AddHandlerOnEnabledChanged
 | RemoveHandlerOnEnableChanging
 | AddHandlerOnKeyDown
 | RemoveHandlerOnKeyDown
 | AddHandlerOnBeforeDestruction
 | RemoveHandlerOnBeforeDestruction
 | AddHandlerOnMouseWheel
 | RemoveHandlerOnMouseWheel
 | UseRightToLeftAlignment
 | UseRightToLeftReading
 | UseRightToLeftScrollBar
 | IsRightToLeft
TLCLComponent
pt | WSRegisterClass
pt | GetWSComponentClass
 | Create
 | Destroy
 | NewInstance
 | RemoveAllHandlersOfObject
 | IncLCLRefCount
 | DecLCLRefCount
TComponent
 | GetComObject
 | GetComponent
 | GetComponentCount
 | GetComponentIndex
 | Insert
 | ReadLeft
 | ReadTop
 | Remove
 | RemoveNotification
 | SetComponentIndex
 | SetReference
 | WriteLeft
 | WriteTop
 | ChangeName
 | DefineProperties
 | GetChildren
 | GetChildOwner
 | GetChildParent
 | GetOwner
 | Loaded
 | Loading
 | Notification
 | PaletteCreated
 | ReadState
 | SetAncestor
 | SetDesigning
 | SetDesignInstance
 | SetInline
 | SetName
 | SetChildOrder
 | SetParentComponent
 | Updating
 | Updated
 | UpdateRegistry
 | ValidateRename
 | ValidateContainer
 | ValidateInsert
 | QueryInterface
 | _AddRef
 | _Release
 | iicrGetComponent
 | GetTypeInfoCount
 | GetTypeInfo
 | GetIDsOfNames
 | Invoke
 | WriteState
 | Create
 | Destroy
 | BeforeDestruction
 | DestroyComponents
 | Destroying
 | ExecuteAction
 | FindComponent
 | FreeNotification
 | RemoveFreeNotification
 | FreeOnRelease
 | GetEnumerator
 | GetNamePath
 | GetParentComponent
 | HasParent
 | InsertComponent
 | RemoveComponent
 | SafeCallException
 | SetSubComponent
 | UpdateAction
 | IsImplementorOf
 | ReferenceInterface
TPersistent
 | AssignError
 | AssignTo
 | DefineProperties
 | GetOwner
 | Destroy
 | Assign
 | FPOAttachObserver
 | FPODetachObserver
 | FPONotifyObservers
 | GetNamePath
TObject
 | Create
 | Destroy
 | newinstance
 | FreeInstance
 | SafeCallException
 | DefaultHandler
 | Free
 | InitInstance
 | CleanupInstance
 | ClassType
 | ClassInfo
 | ClassName
 | ClassNameIs
 | ClassParent
 | InstanceSize
 | InheritsFrom
 | StringMessageTable
 | MethodAddress
 | MethodName
 | FieldAddress
 | AfterConstruction
 | BeforeDestruction
 | DefaultHandlerStr
 | Dispatch
 | DispatchStr
 | GetInterface
 | GetInterfaceByStr
 | GetInterfaceWeak
 | GetInterfaceEntry
 | GetInterfaceEntryByStr
 | GetInterfaceTable
 | UnitName
 | Equals
 | GetHashCode
 | ToString


pt | ActionChange (TControl)
 | ActiveDefaultControlChanged (TControl)
 | AddControl (TWinControl)
pt | AddHandler (TControl)
 | AddHandlerOnBeforeDestruction (TControl)
 | AddHandlerOnChangeBounds (TControl)
 | AddHandlerOnEnabledChanged (TControl)
 | AddHandlerOnKeyDown (TControl)
 | AddHandlerOnMouseWheel (TControl)
 | AddHandlerOnResize (TControl)
 | AddHandlerOnVisibleChanged (TControl)
 | AddHandlerOnVisibleChanging (TControl)
pt | AdjustClientRect (TWinControl)
 | AdjustSize (TControl)
 | AfterConstruction (TObject)
pt | AlignControls (TWinControl)
pt | AllAutoSized (TWinControl)
 | AnchorAsAlign (TControl)
 | AnchorClient (TControl)
 | AnchoredControlCount (TControl)
 | AnchorHorizontalCenterTo (TControl)
 | AnchorParallel (TControl)
 | AnchorSame (TControl)
pt | AnchorSideChanged (TControl)
 | AnchorToCompanion (TControl)
 | AnchorToNeighbour (TControl)
 | AnchorVerticalCenterTo (TControl)
 | Assign (TPersistent)
 | AssignError (TPersistent)
 | AssignTo (TPersistent)
pt | AssignTo (TControl)
 | AutoAdjustLayout (TControl)
 | AutoAdjustLayout (TWinControl)
 | AutoSizeDelayed (TControl)
 | AutoSizeDelayed (TWinControl)
 | AutoSizeDelayedHandle (TControl)
 | AutoSizeDelayedHandle (TWinControl)
 | AutoSizeDelayedReport (TControl)
 | AutoSizeDelayedReport (TWinControl)
 | AutoSizePhases (TControl)
 | AutoSizePhases (TWinControl)
 | BeforeDestruction (TObject)
 | BeforeDestruction (TComponent)
 | BeforeDestruction (TControl)
pt | BeforeDragStart (TControl)
pt | BeginAutoDrag (TControl)
pt | BeginAutoSizing (TControl)
 | BeginDrag (TControl)
 | BeginUpdateBounds (TWinControl)
pt | BoundsChanged (TControl)
 | BringToFront (TControl)
 | BroadCast (TWinControl)
 | BrushCreated (TWinControl)
pt | CalculateDockSizes (TControl)
pt | CalculatePreferredSize (TControl)
pt | CalculatePreferredSize (TWinControl)
pt | CanAutoSize (TControl)
 | CanFocus (TWinControl)
 | CanSetFocus (TWinControl)
pt | CanTab (TControl)
pt | CanTab (TWinControl)
pt | CaptureChanged (TControl)
pt | ChangeBounds (TControl)
pt | Changed (TControl)
 | ChangeName (TComponent)
pt | ChangeScale (TControl)
pt | ChangeScale (TWinControl)
 | CheckChildClassAllowed (TControl)
 | CheckNewParent (TControl)
pt | CheckOnChangeBounds (TControl)
pt | ChildClassAllowed (TControl)
pt | ChildClassAllowed (TWinControl)
pt | ChildHandlesCreated (TWinControl)
pt | ChildKey (TWinControl)
 | ClassInfo (TObject)
 | ClassName (TObject)
 | ClassNameIs (TObject)
 | ClassParent (TObject)
 | ClassType (TObject)
 | CleanupInstance (TObject)
pt | Click (TControl)
 | ClientRectNeedsInterfaceUpdate (TWinControl)
 | ClientToParent (TControl)
 | ClientToScreen (TControl)
pt | CMBiDiModeChanged (TControl)
pt | CMBiDiModeChanged (TWinControl)
pt | CMBorderChanged (TWinControl)
pt | CMChanged (TControl)
pt | CMCursorChanged (TControl)
pt | CMDoubleBufferedChanged (TWinControl)
pt | CMEnabledChanged (TControl)
pt | CMEnabledChanged (TWinControl)
pt | CMEnter (TWinControl)
pt | CMExit (TWinControl)
pt | CMHintShow (TControl)
pt | CMHitTest (TControl)
pt | CMMouseEnter (TControl)
pt | CMMouseLeave (TControl)
pt | CMParentBiDiModeChanged (TControl)
pt | CMParentColorChanged (TControl)
pt | CMParentDoubleBufferedChanged (TWinControl)
pt | CMParentFontChanged (TControl)
pt | CMParentShowHintChanged (TControl)
pt | CMShowHintChanged (TWinControl)
pt | CMShowingChanged (TWinControl)
pt | CMSysFontChanged (TControl)
pt | CMTextChanged (TControl)
pt | CMVisibleChanged (TControl)
pt | CMVisibleChanged (TWinControl)
pt | CNChar (TWinControl)
pt | CNKeyDown (TWinControl)
pt | CNKeyUp (TWinControl)
 | CNPreferredSizeChanged (TControl)
pt | CNSysKeyDown (TWinControl)
pt | CNSysKeyUp (TWinControl)
pt | ColorIsStored (TControl)
pt | ConstrainedResize (TControl)
 | ContainsControl (TWinControl)
 | ControlAtPos (TWinControl)
pt | ControlKeyDown (TWinControl)
pt | ControlKeyUp (TWinControl)
pt | ControlsAligned (TWinControl)
 | ControlToScreen (TControl)
 | Create (TObject)
 | Create (TComponent)
 | Create (TLCLComponent)
 | Create (TControl)
 | Create (TWinControl)
 | Create (TCustomControl)
 | Create (TCDTabSheet)
 | CreateAccessibleObject (TControl)
pt | CreateBrush (TWinControl)
pt | CreateControlBorderSpacing (TControl)
pt | CreateDockManager (TWinControl)
pt | CreateFloatingDockSite (TControl)
pt | CreateHandle (TWinControl)
pt | CreateParams (TWinControl)
 | CreateParented (TWinControl)
 | CreateParentedControl (TWinControl)
pt | CreateSubClass (TWinControl)
pt | CreateWnd (TWinControl)
pt | CustomAlignInsertBefore (TWinControl)
pt | CustomAlignPosition (TWinControl)
pt | DblClick (TControl)
 | DecLCLRefCount (TLCLComponent)
 | DefaultHandler (TObject)
 | DefaultHandler (TWinControl)
 | DefaultHandlerStr (TObject)
 | DefineProperties (TPersistent)
 | DefineProperties (TComponent)
pt | DefineProperties (TControl)
 | Destroy (TObject)
 | Destroy (TPersistent)
 | Destroy (TComponent)
 | Destroy (TLCLComponent)
 | Destroy (TControl)
 | Destroy (TWinControl)
 | Destroy (TCustomControl)
 | Destroy (TCDTabSheet)
 | DestroyComponents (TComponent)
pt | DestroyHandle (TWinControl)
 | Destroying (TComponent)
pt | DestroyWnd (TWinControl)
pt | DestroyWnd (TCustomControl)
pt | DialogChar (TControl)
pt | DialogChar (TWinControl)
 | DisableAlign (TWinControl)
 | DisableAutoSizing (TControl)
 | Dispatch (TObject)
 | DispatchStr (TObject)
pt | DoAddDockClient (TWinControl)
 | DoAdjustClientRectChange (TWinControl)
pt | DoAlignChildControls (TWinControl)
pt | DoAllAutoSize (TControl)
pt | DoAllAutoSize (TWinControl)
pt | DoAutoAdjustLayout (TControl)
pt | DoAutoSize (TControl)
pt | DoAutoSize (TWinControl)
pt | DoBorderSpacingChange (TControl)
pt | DoCallKeyEventHandler (TControl)
pt | DoCallMouseWheelEventHandler (TControl)
pt | DoCallNotifyHandler (TControl)
pt | DoChildSizingChange (TWinControl)
 | Dock (TControl)
 | DockDrop (TWinControl)
 | Docked (TControl)
pt | DockOver (TWinControl)
pt | DockTrackNoTarget (TControl)
pt | DoConstraintsChange (TControl)
pt | DoConstraintsChange (TWinControl)
pt | DoContextPopup (TControl)
pt | DoDock (TControl)
pt | DoDockClientMsg (TWinControl)
pt | DoDockOver (TWinControl)
pt | DoDragMsg (TControl)
pt | DoDragMsg (TWinControl)
pt | DoEndDock (TControl)
pt | DoEndDrag (TControl)
pt | DoEnter (TWinControl)
pt | DoExit (TWinControl)
pt | DoFixDesignFontPPI (TControl)
pt | DoFlipChildren (TWinControl)
pt | DoFloatMsg (TControl)
pt | DoFloatMsg (TWinControl)
pt | DoGetDockCaption (TWinControl)
pt | DoKeyDownBeforeInterface (TWinControl)
pt | DoKeyPress (TWinControl)
pt | DoKeyUpBeforeInterface (TWinControl)
pt | DoMouseWheel (TControl)
pt | DoMouseWheelDown (TControl)
pt | DoMouseWheelHorz (TControl)
pt | DoMouseWheelLeft (TControl)
pt | DoMouseWheelRight (TControl)
pt | DoMouseWheelUp (TControl)
pt | DoOnChangeBounds (TControl)
pt | DoOnParentHandleDestruction (TControl)
pt | DoOnResize (TControl)
pt | DoOnShowHint (TControl)
pt | DoRemainingKeyDown (TWinControl)
pt | DoRemainingKeyUp (TWinControl)
pt | DoRemoveDockClient (TWinControl)
pt | DoScaleFontPPI (TControl)
pt | DoSendBoundsToInterface (TWinControl)
pt | DoSendShowHideToInterface (TWinControl)
pt | DoSetBounds (TControl)
pt | DoSetBounds (TWinControl)
pt | DoStartDock (TControl)
pt | DoStartDrag (TControl)
pt | DoUnDock (TWinControl)
pt | DoUndockClientMsg (TWinControl)
pt | DoUTF8KeyPress (TWinControl)
pt | DragCanceled (TControl)
 | DragDrop (TControl)
 | Dragging (TControl)
pt | DragOver (TControl)
 | EditingDone (TControl)
 | EnableAlign (TWinControl)
 | EnableAutoSizing (TControl)
pt | EnabledChanged (TControl)
pt | EnabledChanging (TControl)
pt | EndAutoSizing (TControl)
 | EndDrag (TControl)
 | EndUpdateBounds (TWinControl)
 | Equals (TObject)
 | EraseBackground (TWinControl)
 | EraseBackground (TCDTabSheet)
 | ExecuteAction (TComponent)
 | ExecuteCancelAction (TControl)
 | ExecuteDefaultAction (TControl)
 | FieldAddress (TObject)
pt | FinalizeWnd (TWinControl)
 | FindChildControl (TWinControl)
 | FindComponent (TComponent)
pt | FindNextControl (TWinControl)
 | FixDesignFontsPPI (TControl)
pt | FixupTabList (TWinControl)
 | FlipChildren (TWinControl)
 | Focused (TWinControl)
pt | FontChanged (TControl)
pt | FontChanged (TWinControl)
pt | FontChanged (TCustomControl)
pt | ForeignAnchorSideChanged (TControl)
pt | FormEndUpdated (TControl)
pt | FormEndUpdated (TWinControl)
 | FormIsUpdating (TControl)
 | FPOAttachObserver (TPersistent)
 | FPODetachObserver (TPersistent)
 | FPONotifyObservers (TPersistent)
 | Free (TObject)
 | FreeInstance (TObject)
 | FreeNotification (TComponent)
 | FreeOnRelease (TComponent)
 | GetAccessibleObject (TControl)
pt | GetAction (TControl)
pt | GetActionLinkClass (TControl)
pt | GetAdjustedLogicalClientRect (TWinControl)
 | GetAnchorsDependingOnParent (TControl)
pt | GetBorderStyle (TWinControl)
pt | GetCachedText (TControl)
 | GetCanvasScaleFactor (TControl)
 | GetChildAccessibleObjectAtPos (TControl)
 | GetChildOwner (TComponent)
 | GetChildParent (TComponent)
 | GetChildren (TComponent)
pt | GetChildren (TWinControl)
 | GetChildrenRect (TControl)
 | GetChildrenRect (TWinControl)
pt | GetClientOrigin (TControl)
pt | GetClientOrigin (TWinControl)
pt | GetClientRect (TControl)
pt | GetClientRect (TWinControl)
pt | GetClientScrollOffset (TControl)
 | GetColorResolvingParent (TControl)
 | GetComObject (TComponent)
 | GetComponent (TComponent)
 | GetComponentCount (TComponent)
 | GetComponentIndex (TComponent)
pt | GetControlClassDefaultSize (TControl)
 | GetControlIndex (TWinControl)
pt | GetControlOrigin (TControl)
pt | GetControlOrigin (TWinControl)
pt | GetCursor (TControl)
 | GetDefaultColor (TControl)
pt | GetDefaultDockCaption (TControl)
 | GetDefaultHeight (TControl)
 | GetDefaultWidth (TControl)
pt | GetDeviceContext (TControl)
pt | GetDeviceContext (TWinControl)
 | GetDockCaption (TWinControl)
pt | GetDockEdge (TControl)
pt | GetDragImages (TControl)
pt | GetEnabled (TControl)
 | GetEnumerator (TComponent)
 | GetEnumeratorControls (TWinControl)
 | GetEnumeratorControlsReverse (TWinControl)
pt | GetFloating (TControl)
pt | GetFloatingDockSiteClass (TControl)
 | GetHashCode (TObject)
 | GetIDsOfNames (TComponent)
 | GetInterface (TObject)
 | GetInterfaceByStr (TObject)
 | GetInterfaceEntry (TObject)
 | GetInterfaceEntryByStr (TObject)
 | GetInterfaceTable (TObject)
 | GetInterfaceWeak (TObject)
pt | GetLogicalClientRect (TControl)
pt | GetMouseCapture (TControl)
pt | GetMouseCapture (TWinControl)
pt | GetMousePosFromMessage (TControl)
 | GetNamePath (TPersistent)
 | GetNamePath (TComponent)
 | GetOwner (TPersistent)
 | GetOwner (TComponent)
pt | GetPalette (TControl)
pt | GetParentBackground (TWinControl)
 | GetParentComponent (TComponent)
 | GetParentComponent (TControl)
pt | GetParentHandle (TWinControl)
pt | GetPopupMenu (TControl)
 | GetPreferredSize (TControl)
pt | GetPreferredSizeClientFrame (TWinControl)
 | GetRGBColorResolvingParent (TControl)
pt | GetScrolledClientRect (TControl)
 | GetSelectedChildAccessibleObject (TControl)
 | GetSidePosition (TControl)
pt | GetSiteInfo (TWinControl)
 | GetTabOrderList (TWinControl)
 | GetTextBuf (TControl)
 | GetTextLen (TControl)
 | GetTextLen (TWinControl)
 | GetTopParent (TControl)
pt | GetTopParentHandle (TWinControl)
 | GetTypeInfo (TComponent)
 | GetTypeInfoCount (TComponent)
pt | GetWSComponentClass (TLCLComponent)
 | HandleAllocated (TWinControl)
 | HandleNeeded (TWinControl)
 | HandleObjectShouldBeVisible (TControl)
 | HasHelp (TControl)
 | HasParent (TComponent)
 | HasParent (TControl)
pt | HeightIsAnchored (TControl)
 | Hide (TControl)
 | iicrGetComponent (TComponent)
 | IncLCLRefCount (TLCLComponent)
 | InheritsFrom (TObject)
pt | InitializeWnd (TWinControl)
 | InitiateAction (TControl)
 | InitInstance (TObject)
 | Insert (TComponent)
 | InsertComponent (TComponent)
 | InsertControl (TWinControl)
 | InstanceSize (TObject)
 | IntfGetDropFilesTarget (TWinControl)
 | IntfUTF8KeyPress (TWinControl)
 | Invalidate (TControl)
 | Invalidate (TWinControl)
pt | InvalidateBoundsRealized (TWinControl)
 | InvalidateClientRectCache (TWinControl)
pt | InvalidateControl (TControl)
pt | InvalidatePreferredChildSizes (TWinControl)
 | InvalidatePreferredSize (TControl)
 | Invoke (TComponent)
pt | IsAParentAligning (TControl)
pt | IsBorderSpacingInnerBorderStored (TControl)
pt | IsCaptionStored (TControl)
pt | IsClientHeightStored (TControl)
pt | IsClientHeightStored (TWinControl)
pt | IsClientWidthStored (TControl)
pt | IsClientWidthStored (TWinControl)
pt | IsControlMouseMsg (TWinControl)
 | IsControlVisible (TControl)
 | IsEnabled (TControl)
 | IsImplementorOf (TComponent)
 | IsParentColor (TControl)
 | IsParentFont (TControl)
 | IsParentOf (TControl)
 | IsProcessingPaintMsg (TControl)
 | IsRightToLeft (TControl)
 | IsVisible (TControl)
pt | KeyDown (TWinControl)
pt | KeyDownAfterInterface (TWinControl)
pt | KeyDownBeforeInterface (TWinControl)
pt | KeyPress (TWinControl)
pt | KeyUp (TWinControl)
pt | KeyUpAfterInterface (TWinControl)
pt | KeyUpBeforeInterface (TWinControl)
pt | LMCaptureChanged (TControl)
 | Loaded (TComponent)
pt | Loaded (TControl)
pt | Loaded (TWinControl)
pt | LoadedAll (TControl)
 | Loading (TComponent)
 | LockRealizeBounds (TWinControl)
pt | MainWndProc (TWinControl)
 | ManualDock (TControl)
 | ManualFloat (TControl)
 | MethodAddress (TObject)
 | MethodName (TObject)
pt | MouseDown (TControl)
pt | MouseEnter (TControl)
pt | MouseLeave (TControl)
pt | MouseMove (TControl)
pt | MouseUp (TControl)
 | newinstance (TObject)
 | NewInstance (TLCLComponent)
 | Notification (TComponent)
pt | Notification (TControl)
 | NotifyControls (TWinControl)
pt | Paint (TCustomControl)
 | Paint (TCDTabSheet)
pt | PaintControls (TWinControl)
pt | PaintHandler (TWinControl)
 | PaintTo (TWinControl)
pt | PaintWindow (TWinControl)
pt | PaintWindow (TCustomControl)
 | PaletteCreated (TComponent)
 | ParentDestroyingHandle (TControl)
pt | ParentFontChanged (TControl)
pt | ParentFormHandleInitialized (TControl)
pt | ParentFormHandleInitialized (TWinControl)
 | ParentHandlesAllocated (TControl)
 | ParentHandlesAllocated (TWinControl)
 | ParentToClient (TControl)
 | Perform (TControl)
 | PerformTab (TWinControl)
pt | PositionDockRect (TControl)
pt | QuadClick (TControl)
 | QueryInterface (TComponent)
 | ReadLeft (TComponent)
 | ReadState (TComponent)
pt | ReadState (TControl)
 | ReadTop (TComponent)
pt | RealGetText (TControl)
pt | RealGetText (TWinControl)
 | ReAlign (TWinControl)
pt | RealizeBounds (TWinControl)
pt | RealizeBoundsRecursive (TWinControl)
pt | RealSetText (TControl)
pt | RealSetText (TWinControl)
pt | RealSetText (TCDTabSheet)
 | ReferenceInterface (TComponent)
 | Refresh (TControl)
pt | ReloadDockedControl (TWinControl)
 | Remove (TComponent)
 | RemoveAllHandlersOfObject (TLCLComponent)
 | RemoveAllHandlersOfObject (TControl)
 | RemoveComponent (TComponent)
 | RemoveControl (TWinControl)
pt | RemoveFocus (TWinControl)
 | RemoveFreeNotification (TComponent)
pt | RemoveHandler (TControl)
 | RemoveHandlerOnBeforeDestruction (TControl)
 | RemoveHandlerOnChangeBounds (TControl)
 | RemoveHandlerOnEnableChanging (TControl)
 | RemoveHandlerOnKeyDown (TControl)
 | RemoveHandlerOnMouseWheel (TControl)
 | RemoveHandlerOnResize (TControl)
 | RemoveHandlerOnVisibleChanged (TControl)
 | RemoveHandlerOnVisibleChanging (TControl)
 | RemoveNotification (TComponent)
 | Repaint (TControl)
 | Repaint (TWinControl)
 | ReplaceDockedControl (TControl)
pt | RequestAlign (TControl)
pt | Resize (TControl)
 | SafeCallException (TObject)
 | SafeCallException (TComponent)
 | Scale96ToFont (TControl)
 | Scale96ToForm (TControl)
 | Scale96ToScreen (TControl)
 | ScaleBy (TWinControl)
pt | ScaleConstraints (TControl)
pt | ScaleControls (TWinControl)
 | ScaleDesignToForm (TControl)
 | ScaleFontsPPI (TControl)
 | ScaleFontTo96 (TControl)
 | ScaleFontToScreen (TControl)
 | ScaleFormTo96 (TControl)
 | ScaleFormToDesign (TControl)
 | ScaleScreenTo96 (TControl)
 | ScaleScreenToFont (TControl)
 | ScreenToClient (TControl)
 | ScreenToControl (TControl)
 | ScrollBy (TWinControl)
 | ScrollBy_WS (TWinControl)
pt | SelectFirst (TWinControl)
 | SelectNext (TWinControl)
pt | SendDialogChar (TWinControl)
pt | SendMoveSizeMessages (TControl)
pt | SendMoveSizeMessages (TWinControl)
 | SendToBack (TControl)
pt | SetAction (TControl)
pt | SetAlign (TControl)
 | SetAncestor (TComponent)
pt | SetAnchors (TControl)
pt | SetAutoSize (TControl)
pt | SetBiDiMode (TControl)
pt | SetBorderStyle (TWinControl)
 | SetBounds (TControl)
 | SetBounds (TWinControl)
 | SetBoundsKeepBase (TControl)
 | SetChildOrder (TComponent)
pt | SetChildZPosition (TWinControl)
pt | SetColor (TControl)
pt | SetColor (TWinControl)
pt | SetColor (TCustomControl)
 | SetComponentIndex (TComponent)
 | SetControlIndex (TWinControl)
pt | SetCursor (TControl)
 | SetDesigning (TComponent)
 | SetDesignInstance (TComponent)
pt | SetDockManager (TWinControl)
pt | SetDragMode (TControl)
pt | SetEnabled (TControl)
 | SetFocus (TWinControl)
pt | SetHint (TControl)
 | SetInitialBounds (TControl)
 | SetInline (TComponent)
 | SetName (TComponent)
pt | SetName (TControl)
pt | SetParent (TControl)
pt | SetParent (TCDTabSheet)
pt | SetParentBackground (TWinControl)
pt | SetParentBiDiMode (TControl)
 | SetParentComponent (TComponent)
pt | SetParentComponent (TControl)
 | SetReference (TComponent)
 | SetShape (TWinControl)
 | SetSubComponent (TComponent)
 | SetTempCursor (TControl)
 | SetTempCursor (TWinControl)
 | SetTextBuf (TControl)
pt | SetVisible (TControl)
pt | SetZOrder (TControl)
 | ShouldAutoAdjust (TControl)
 | Show (TControl)
pt | ShowControl (TWinControl)
 | ShowHelp (TControl)
 | StringMessageTable (TObject)
pt | TextChanged (TControl)
 | ToString (TObject)
pt | TripleClick (TControl)
 | UnitName (TObject)
 | UnlockRealizeBounds (TWinControl)
 | Update (TControl)
 | Update (TWinControl)
 | UpdateAction (TComponent)
pt | UpdateAnchorRules (TControl)
 | UpdateBaseBounds (TControl)
pt | UpdateControlState (TWinControl)
 | Updated (TComponent)
 | UpdateDockCaption (TWinControl)
pt | UpdateMouseCursor (TControl)
 | UpdateRegistry (TComponent)
 | UpdateRolesForForm (TControl)
pt | UpdateShowing (TWinControl)
 | Updating (TComponent)
 | UseRightToLeftAlignment (TControl)
 | UseRightToLeftReading (TControl)
 | UseRightToLeftScrollBar (TControl)
pt | UTF8KeyPress (TWinControl)
 | ValidateContainer (TComponent)
 | ValidateInsert (TComponent)
 | ValidateRename (TComponent)
pt | VisibleChanged (TControl)
pt | VisibleChanging (TControl)
pt | WidthIsAnchored (TControl)
pt | WMCancelMode (TControl)
pt | WMChar (TWinControl)
pt | WMContextMenu (TControl)
pt | WMContextMenu (TWinControl)
pt | WMDestroy (TWinControl)
pt | WMEnter (TWinControl)
pt | WMEraseBkgnd (TWinControl)
pt | WMExit (TWinControl)
pt | WMKeyDown (TWinControl)
pt | WMKeyUp (TWinControl)
pt | WMKillFocus (TWinControl)
pt | WMLButtonDBLCLK (TControl)
pt | WMLButtonDown (TControl)
pt | WMLButtonQuadCLK (TControl)
pt | WMLButtonTripleCLK (TControl)
pt | WMLButtonUp (TControl)
pt | WMMButtonDBLCLK (TControl)
pt | WMMButtonDown (TControl)
pt | WMMButtonQuadCLK (TControl)
pt | WMMButtonTripleCLK (TControl)
pt | WMMButtonUp (TControl)
pt | WMMouseHWheel (TControl)
pt | WMMouseMove (TControl)
pt | WMMouseWheel (TControl)
pt | WMMove (TControl)
pt | WMMove (TWinControl)
pt | WMNotify (TWinControl)
pt | WMPaint (TWinControl)
pt | WMPaint (TCustomControl)
pt | WMRButtonDBLCLK (TControl)
pt | WMRButtonDown (TControl)
pt | WMRButtonQuadCLK (TControl)
pt | WMRButtonTripleCLK (TControl)
pt | WMRButtonUp (TControl)
pt | WMSetFocus (TWinControl)
pt | WMShowWindow (TWinControl)
pt | WMSize (TControl)
pt | WMSize (TWinControl)
pt | WMSysChar (TWinControl)
pt | WMSysKeyDown (TWinControl)
pt | WMSysKeyUp (TWinControl)
pt | WMWindowPosChanged (TControl)
pt | WMWindowPosChanged (TWinControl)
pt | WMXButtonDBLCLK (TControl)
pt | WMXButtonDown (TControl)
pt | WMXButtonQuadCLK (TControl)
pt | WMXButtonTripleCLK (TControl)
pt | WMXButtonUp (TControl)
pt | WndProc (TControl)
pt | WndProc (TWinControl)
 | WriteLayoutDebugReport (TControl)
 | WriteLayoutDebugReport (TWinControl)
 | WriteLeft (TComponent)
 | WriteState (TComponent)
 | WriteTop (TComponent)
pt | WSRegisterClass (TLCLComponent)
pt | WSRegisterClass (TControl)
pt | WSRegisterClass (TWinControl)
pt | WSRegisterClass (TCustomControl)
pt | WSSetText (TWinControl)
 | _AddRef (TComponent)
 | _Release (TComponent)


TCDTabSheet
TCustomControl
 | OnPaint
TWinControl
pt | OnGetSiteInfo
pt | OnGetDockCaption
 | OnAlignInsertBefore
 | OnAlignPosition
 | OnDockDrop
 | OnDockOver
 | OnEnter
 | OnExit
 | OnKeyDown
 | OnKeyPress
 | OnKeyUp
 | OnUnDock
 | OnUTF8KeyPress
TControl
pt | OnConstrainedResize
pt | OnContextPopup
pt | OnDblClick
pt | OnTripleClick
pt | OnQuadClick
pt | OnDragDrop
pt | OnDragOver
pt | OnEndDock
pt | OnEndDrag
pt | OnMouseDown
pt | OnMouseMove
pt | OnMouseUp
pt | OnMouseEnter
pt | OnMouseLeave
pt | OnMouseWheel
pt | OnMouseWheelDown
pt | OnMouseWheelUp
pt | OnMouseWheelHorz
pt | OnMouseWheelLeft
pt | OnMouseWheelRight
pt | OnStartDock
pt | OnStartDrag
pt | OnEditingDone
 | OnChangeBounds
 | OnClick
 | OnResize
 | OnShowHint
TLCLComponent
TComponent
TPersistent
TObject


TCDTabSheet.Caption

Declaration

Source position: customdrawncontrols.pas line 664

published property TCDTabSheet.Caption : TCaption;


TCDTabSheet.Color

Declaration

Source position: customdrawncontrols.pas line 665

published property TCDTabSheet.Color : TColor;


TCDTabSheet.Create

Declaration

Source position: customdrawncontrols.pas line 659

public constructor TCDTabSheet.Create(

  AOwner: TComponent

); override;


TCDTabSheet.Destroy

Declaration

Source position: customdrawncontrols.pas line 660

public destructor TCDTabSheet.Destroy; override;


TCDTabSheet.EraseBackground

Declaration

Source position: customdrawncontrols.pas line 661

public procedure TCDTabSheet.EraseBackground(

  DC: HDC

); override;


TCDTabSheet.Font

Declaration

Source position: customdrawncontrols.pas line 666

published property TCDTabSheet.Font : TFont;


TCDTabSheet.Paint

Declaration

Source position: customdrawncontrols.pas line 662

public procedure TCDTabSheet.Paint; override;


TCDTabSheet.RealSetText

Declaration

Source position: customdrawncontrols.pas line 656

protected procedure TCDTabSheet.RealSetText(

  const Value: TCaption

); override;


TCDTabSheet.SetParent

Declaration

Source position: customdrawncontrols.pas line 657

protected procedure TCDTabSheet.SetParent(

  NewParent: TWinControl

); override;


TCDTabSheet.TabVisible

Declaration

Source position: customdrawncontrols.pas line 667

published property TCDTabSheet.TabVisible : Boolean
  read FTabVisible
  write FTabVisible;


TCDToolBar

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Declaration

Source position: customdrawncontrols.pas line 611

type TCDToolBar = class(TCDControl)

protected

  FTBState: TCDToolBarStateEx;

  function GetControlId; override;

  procedure CreateControlStateEx; override;

  procedure PrepareControlStateEx; override;

  procedure MouseMove(); override;

  procedure MouseDown(); override;

  procedure MouseUp(); override;

  procedure MouseLeave; override;

public

  constructor Create(); override;

  destructor Destroy; override;

  function InsertItem();

  function AddItem();

  procedure DeleteItem();

  function GetItem();

  function GetItemCount;

  function GetItemWithMousePos();

  function IsPosInButton();

published

  property ShowCaptions: Boolean; [rw]

  property DrawStyle: TCDDrawStyle;

end;

Inheritance

TCDToolBar
|
TCDControl |
|
TCustomControl | The base class for windowed controls which paint themselves.
|
TWinControl | The base class for controls which can contain other (child) controls.
|
TControl | The base class for visible controls.
|
TLCLComponent | The base class for LCL components associated with widgets.
|
TComponent,IUnknown,IInterfaceComponentReference
|
TPersistent,IFPObserved
|
TObject


TCDToolBar
pl |  | ShowCaptions
pl | ro | DrawStyle
TCDControl
pt |  | DrawStyle
TCustomControl
 |  | Canvas
 | ro | BorderStyle
TWinControl
pt |  | WindowHandle
pt |  | BorderStyle
pt |  | ParentBackground
 |  | BorderWidth
 | ro | BoundsLockCount
 | ro | Brush
 | ro | CachedClientHeight
 | ro | CachedClientWidth
 |  | ChildSizing
 | ro | ControlCount
 | ro | Controls
 |  | DefWndProc
 | ro | DockClientCount
 | ro | DockClients
 |  | DockManager
 |  | DockSite
 |  | DoubleBuffered
 |  | Handle
 | ro | IsFlipped
 | ro | IsResizing
 |  | TabOrder
 |  | TabStop
 |  | ParentDoubleBuffered
 |  | ParentWindow
 | ro | Showing
 |  | UseDockManager
 |  | DesignerDeleting
 | ro | VisibleDockClientCount
TControl
pt | ro | AutoSizing
pt | ro | AutoSizingAll
pt | ro | AutoSizingLockCount
pt |  | ActionLink
pt |  | DesktopFont
pt |  | DragCursor
pt |  | DragKind
pt |  | DragMode
pt |  | MouseCapture
pt |  | ParentColor
pt |  | ParentFont
pt |  | ParentShowHint
pt |  | SessionProperties
pt |  | Text
 | ro | AnchoredControls
 | ro | BaseBounds
 | ro | ReadBounds
 | ro | BaseParentClientSize
 |  | AccessibleDescription
 |  | AccessibleValue
 |  | AccessibleRole
 |  | Action
 |  | Align
 |  | Anchors
 | ro | AnchorSide
 |  | AutoSize
 |  | BorderSpacing
 |  | BoundsRect
 |  | BoundsRectForNewParent
 |  | Caption
 |  | CaptureMouseButtons
 |  | ClientHeight
 | ro | ClientOrigin
 | ro | ClientRect
 |  | ClientWidth
 |  | Color
 |  | Constraints
 | ro | ControlOrigin
 |  | ControlState
 |  | ControlStyle
 |  | Enabled
 |  | Font
 |  | IsControl
 | ro | MouseEntered
 | ro | MouseInClient
 |  | Parent
 |  | PopupMenu
 |  | ShowHint
 |  | Visible
 |  | WindowProc
 |  | DockOrientation
 | ro | Floating
 |  | FloatingDockSiteClass
 |  | HostDockSite
 |  | LRDockWidth
 |  | TBDockHeight
 |  | UndockHeight
 |  | UndockWidth
 |  | BiDiMode
 |  | ParentBiDiMode
pl |  | AnchorSideLeft
pl |  | AnchorSideTop
pl |  | AnchorSideRight
pl |  | AnchorSideBottom
pl |  | Cursor
pl |  | Left
pl |  | Height
pl |  | Hint
pl |  | Top
pl |  | Width
pl |  | HelpType
pl |  | HelpKeyword
pl |  | HelpContext
TLCLComponent
 | ro | LCLRefCount
 | ro | WidgetSetClass
TComponent
 | ro | ComObject
 | ro | Components
 | ro | ComponentCount
 |  | ComponentIndex
 | ro | ComponentState
 | ro | ComponentStyle
 |  | DesignInfo
 | ro | Owner
 |  | VCLComObject
 |  | Name
 |  | Tag
TPersistent
TObject


 |  | AccessibleDescription (TControl)
 |  | AccessibleRole (TControl)
 |  | AccessibleValue (TControl)
 |  | Action (TControl)
pt |  | ActionLink (TControl)
 |  | Align (TControl)
 | ro | AnchoredControls (TControl)
 |  | Anchors (TControl)
 | ro | AnchorSide (TControl)
pl |  | AnchorSideBottom (TControl)
pl |  | AnchorSideLeft (TControl)
pl |  | AnchorSideRight (TControl)
pl |  | AnchorSideTop (TControl)
 |  | AutoSize (TControl)
pt | ro | AutoSizing (TControl)
pt | ro | AutoSizingAll (TControl)
pt | ro | AutoSizingLockCount (TControl)
 | ro | BaseBounds (TControl)
 | ro | BaseParentClientSize (TControl)
 |  | BiDiMode (TControl)
 |  | BorderSpacing (TControl)
pt |  | BorderStyle (TWinControl)
 | ro | BorderStyle (TCustomControl)
 |  | BorderWidth (TWinControl)
 | ro | BoundsLockCount (TWinControl)
 |  | BoundsRect (TControl)
 |  | BoundsRectForNewParent (TControl)
 | ro | Brush (TWinControl)
 | ro | CachedClientHeight (TWinControl)
 | ro | CachedClientWidth (TWinControl)
 |  | Canvas (TCustomControl)
 |  | Caption (TControl)
 |  | CaptureMouseButtons (TControl)
 |  | ChildSizing (TWinControl)
 |  | ClientHeight (TControl)
 | ro | ClientOrigin (TControl)
 | ro | ClientRect (TControl)
 |  | ClientWidth (TControl)
 |  | Color (TControl)
 | ro | ComObject (TComponent)
 | ro | ComponentCount (TComponent)
 |  | ComponentIndex (TComponent)
 | ro | Components (TComponent)
 | ro | ComponentState (TComponent)
 | ro | ComponentStyle (TComponent)
 |  | Constraints (TControl)
 | ro | ControlCount (TWinControl)
 | ro | ControlOrigin (TControl)
 | ro | Controls (TWinControl)
 |  | ControlState (TControl)
 |  | ControlStyle (TControl)
pl |  | Cursor (TControl)
 |  | DefWndProc (TWinControl)
 |  | DesignerDeleting (TWinControl)
 |  | DesignInfo (TComponent)
pt |  | DesktopFont (TControl)
 | ro | DockClientCount (TWinControl)
 | ro | DockClients (TWinControl)
 |  | DockManager (TWinControl)
 |  | DockOrientation (TControl)
 |  | DockSite (TWinControl)
 |  | DoubleBuffered (TWinControl)
pt |  | DragCursor (TControl)
pt |  | DragKind (TControl)
pt |  | DragMode (TControl)
pt |  | DrawStyle (TCDControl)
pl | ro | DrawStyle (TCDToolBar)
 |  | Enabled (TControl)
 | ro | Floating (TControl)
 |  | FloatingDockSiteClass (TControl)
 |  | Font (TControl)
 |  | Handle (TWinControl)
pl |  | Height (TControl)
pl |  | HelpContext (TControl)
pl |  | HelpKeyword (TControl)
pl |  | HelpType (TControl)
pl |  | Hint (TControl)
 |  | HostDockSite (TControl)
 |  | IsControl (TControl)
 | ro | IsFlipped (TWinControl)
 | ro | IsResizing (TWinControl)
 | ro | LCLRefCount (TLCLComponent)
pl |  | Left (TControl)
 |  | LRDockWidth (TControl)
pt |  | MouseCapture (TControl)
 | ro | MouseEntered (TControl)
 | ro | MouseInClient (TControl)
 |  | Name (TComponent)
 | ro | Owner (TComponent)
 |  | Parent (TControl)
pt |  | ParentBackground (TWinControl)
 |  | ParentBiDiMode (TControl)
pt |  | ParentColor (TControl)
 |  | ParentDoubleBuffered (TWinControl)
pt |  | ParentFont (TControl)
pt |  | ParentShowHint (TControl)
 |  | ParentWindow (TWinControl)
 |  | PopupMenu (TControl)
 | ro | ReadBounds (TControl)
pt |  | SessionProperties (TControl)
pl |  | ShowCaptions (TCDToolBar)
 |  | ShowHint (TControl)
 | ro | Showing (TWinControl)
 |  | TabOrder (TWinControl)
 |  | TabStop (TWinControl)
 |  | Tag (TComponent)
 |  | TBDockHeight (TControl)
pt |  | Text (TControl)
pl |  | Top (TControl)
 |  | UndockHeight (TControl)
 |  | UndockWidth (TControl)
 |  | UseDockManager (TWinControl)
 |  | VCLComObject (TComponent)
 |  | Visible (TControl)
 | ro | VisibleDockClientCount (TWinControl)
 | ro | WidgetSetClass (TLCLComponent)
pl |  | Width (TControl)
pt |  | WindowHandle (TWinControl)
 |  | WindowProc (TControl)


TCDToolBar
pt | GetControlId
pt | CreateControlStateEx
pt | PrepareControlStateEx
pt | MouseMove
pt | MouseDown
pt | MouseUp
pt | MouseLeave
 | Create
 | Destroy
 | InsertItem
 | AddItem
 | DeleteItem
 | GetItem
 | GetItemCount
 | GetItemWithMousePos
 | IsPosInButton
TCDControl
pt | CalculatePreferredSize
pt | SetState
pt | PrepareCurrentDrawer
pt | SetDrawStyle
pt | GetClientRect
pt | GetControlId
pt | CreateControlStateEx
pt | PrepareControlState
pt | PrepareControlStateEx
pt | DoEnter
pt | DoExit
pt | MouseEnter
pt | MouseLeave
pt | MouseDown
 | Create
 | Destroy
 | LCLWSCalculatePreferredSize
 | EraseBackground
 | Paint
 | DrawToCanvas
TCustomControl
pt | WSRegisterClass
pt | WMPaint
pt | DestroyWnd
pt | PaintWindow
pt | FontChanged
pt | SetColor
pt | Paint
 | Create
 | Destroy
TWinControl
pt | WSRegisterClass
pt | AdjustClientRect
pt | GetAdjustedLogicalClientRect
pt | AlignControls
pt | CustomAlignInsertBefore
pt | CustomAlignPosition
pt | DoAlignChildControls
pt | DoChildSizingChange
pt | InvalidatePreferredChildSizes
pt | CanTab
pt | IsClientHeightStored
pt | IsClientWidthStored
pt | DoSendShowHideToInterface
pt | ControlsAligned
pt | DoSendBoundsToInterface
pt | RealizeBounds
pt | RealizeBoundsRecursive
pt | InvalidateBoundsRealized
pt | CreateSubClass
pt | DoConstraintsChange
pt | DoSetBounds
pt | DoAutoSize
pt | DoAllAutoSize
pt | AllAutoSized
pt | CalculatePreferredSize
pt | GetPreferredSizeClientFrame
pt | GetChildren
pt | ChildClassAllowed
pt | PaintControls
pt | PaintHandler
pt | PaintWindow
pt | CreateBrush
pt | ScaleControls
pt | ChangeScale
pt | CMBiDiModeChanged
pt | CMBorderChanged
pt | CMDoubleBufferedChanged
pt | CMEnabledChanged
pt | CMParentDoubleBufferedChanged
pt | CMShowingChanged
pt | CMShowHintChanged
pt | CMVisibleChanged
pt | CMEnter
pt | CMExit
pt | WMContextMenu
pt | WMEraseBkgnd
pt | WMNotify
pt | WMSetFocus
pt | WMKillFocus
pt | WMShowWindow
pt | WMEnter
pt | WMExit
pt | WMKeyDown
pt | WMSysKeyDown
pt | WMKeyUp
pt | WMSysKeyUp
pt | WMChar
pt | WMSysChar
pt | WMPaint
pt | WMDestroy
pt | WMMove
pt | WMSize
pt | WMWindowPosChanged
pt | CNKeyDown
pt | CNSysKeyDown
pt | CNKeyUp
pt | CNSysKeyUp
pt | CNChar
pt | DoDragMsg
pt | DoDockClientMsg
pt | DoUndockClientMsg
pt | DoAddDockClient
pt | DockOver
pt | DoDockOver
pt | DoRemoveDockClient
pt | DoUnDock
pt | GetSiteInfo
pt | GetParentHandle
pt | GetTopParentHandle
pt | ReloadDockedControl
pt | CreateDockManager
pt | SetDockManager
pt | DoFloatMsg
pt | DoGetDockCaption
pt | DoEnter
pt | DoExit
pt | DoKeyDownBeforeInterface
pt | DoRemainingKeyDown
pt | DoRemainingKeyUp
pt | DoKeyPress
pt | DoUTF8KeyPress
pt | DoKeyUpBeforeInterface
pt | ChildKey
pt | SendDialogChar
pt | DialogChar
pt | ControlKeyDown
pt | ControlKeyUp
pt | KeyDown
pt | KeyDownBeforeInterface
pt | KeyDownAfterInterface
pt | KeyPress
pt | KeyUp
pt | KeyUpBeforeInterface
pt | KeyUpAfterInterface
pt | UTF8KeyPress
pt | FindNextControl
pt | SelectFirst
pt | RealGetText
pt | GetBorderStyle
pt | GetClientOrigin
pt | GetClientRect
pt | GetControlOrigin
pt | GetDeviceContext
pt | GetParentBackground
pt | IsControlMouseMsg
pt | CreateHandle
pt | CreateParams
pt | CreateWnd
pt | DestroyHandle
pt | DestroyWnd
pt | DoFlipChildren
pt | FinalizeWnd
pt | FixupTabList
pt | FontChanged
pt | InitializeWnd
pt | Loaded
pt | FormEndUpdated
pt | MainWndProc
pt | ParentFormHandleInitialized
pt | ChildHandlesCreated
pt | GetMouseCapture
pt | RealSetText
pt | RemoveFocus
pt | SendMoveSizeMessages
pt | SetBorderStyle
pt | SetColor
pt | SetChildZPosition
pt | SetParentBackground
pt | ShowControl
pt | UpdateControlState
pt | UpdateShowing
pt | WndProc
pt | WSSetText
 | AutoSizePhases
 | AutoSizeDelayed
 | AutoSizeDelayedReport
 | AutoSizeDelayedHandle
 | BeginUpdateBounds
 | EndUpdateBounds
 | LockRealizeBounds
 | UnlockRealizeBounds
 | ControlAtPos
 | ContainsControl
 | DoAdjustClientRectChange
 | InvalidateClientRectCache
 | ClientRectNeedsInterfaceUpdate
 | SetBounds
 | GetChildrenRect
 | DisableAlign
 | EnableAlign
 | ReAlign
 | ScrollBy_WS
 | ScrollBy
 | WriteLayoutDebugReport
 | AutoAdjustLayout
 | Create
 | CreateParented
 | CreateParentedControl
 | Destroy
 | DockDrop
 | CanFocus
 | CanSetFocus
 | GetControlIndex
 | SetControlIndex
 | Focused
 | PerformTab
 | FindChildControl
 | SelectNext
 | SetTempCursor
 | BroadCast
 | NotifyControls
 | DefaultHandler
 | GetTextLen
 | Invalidate
 | AddControl
 | InsertControl
 | RemoveControl
 | GetEnumeratorControls
 | GetEnumeratorControlsReverse
 | Repaint
 | Update
 | SetFocus
 | FlipChildren
 | ScaleBy
 | GetDockCaption
 | UpdateDockCaption
 | GetTabOrderList
 | HandleAllocated
 | ParentHandlesAllocated
 | HandleNeeded
 | BrushCreated
 | EraseBackground
 | IntfUTF8KeyPress
 | IntfGetDropFilesTarget
 | PaintTo
 | SetShape
TControl
pt | WSRegisterClass
pt | GetCursor
pt | SetCursor
pt | SetVisible
pt | DoOnParentHandleDestruction
pt | DoAutoSize
pt | DoAllAutoSize
pt | BeginAutoSizing
pt | EndAutoSizing
pt | AnchorSideChanged
pt | ForeignAnchorSideChanged
pt | SetAlign
pt | SetAnchors
pt | SetAutoSize
pt | BoundsChanged
pt | CreateControlBorderSpacing
pt | DoConstraintsChange
pt | DoBorderSpacingChange
pt | IsBorderSpacingInnerBorderStored
pt | IsCaptionStored
pt | SendMoveSizeMessages
pt | ConstrainedResize
pt | CalculatePreferredSize
pt | DoOnResize
pt | DoOnChangeBounds
pt | CheckOnChangeBounds
pt | Resize
pt | RequestAlign
pt | UpdateAnchorRules
pt | ChangeBounds
pt | DoSetBounds
pt | ScaleConstraints
pt | ChangeScale
pt | CanAutoSize
pt | SetBiDiMode
pt | SetParentBiDiMode
pt | IsAParentAligning
pt | GetClientOrigin
pt | GetClientRect
pt | GetLogicalClientRect
pt | GetScrolledClientRect
pt | GetClientScrollOffset
pt | GetControlOrigin
pt | IsClientHeightStored
pt | IsClientWidthStored
pt | WidthIsAnchored
pt | HeightIsAnchored
pt | WMCancelMode
pt | WMContextMenu
pt | WMLButtonDown
pt | WMRButtonDown
pt | WMMButtonDown
pt | WMXButtonDown
pt | WMLButtonDBLCLK
pt | WMRButtonDBLCLK
pt | WMMButtonDBLCLK
pt | WMXButtonDBLCLK
pt | WMLButtonTripleCLK
pt | WMRButtonTripleCLK
pt | WMMButtonTripleCLK
pt | WMXButtonTripleCLK
pt | WMLButtonQuadCLK
pt | WMRButtonQuadCLK
pt | WMMButtonQuadCLK
pt | WMXButtonQuadCLK
pt | WMMouseMove
pt | WMLButtonUp
pt | WMRButtonUp
pt | WMMButtonUp
pt | WMXButtonUp
pt | WMMouseWheel
pt | WMMouseHWheel
pt | WMMove
pt | WMSize
pt | WMWindowPosChanged
pt | CMChanged
pt | LMCaptureChanged
pt | CMBiDiModeChanged
pt | CMSysFontChanged
pt | CMEnabledChanged
pt | CMHitTest
pt | CMMouseEnter
pt | CMMouseLeave
pt | CMHintShow
pt | CMParentBiDiModeChanged
pt | CMParentColorChanged
pt | CMParentFontChanged
pt | CMParentShowHintChanged
pt | CMVisibleChanged
pt | CMTextChanged
pt | CMCursorChanged
pt | CalculateDockSizes
pt | CreateFloatingDockSite
pt | GetDockEdge
pt | GetDragImages
pt | GetFloating
pt | GetFloatingDockSiteClass
pt | BeforeDragStart
pt | BeginAutoDrag
pt | DoFloatMsg
pt | DockTrackNoTarget
pt | DoDock
pt | DoDragMsg
pt | DoEndDock
pt | DoEndDrag
pt | DoStartDock
pt | DoStartDrag
pt | DragCanceled
pt | DragOver
pt | PositionDockRect
pt | SetDragMode
pt | GetDefaultDockCaption
pt | Click
pt | DblClick
pt | TripleClick
pt | QuadClick
pt | GetMousePosFromMessage
pt | MouseDown
pt | MouseMove
pt | MouseUp
pt | MouseEnter
pt | MouseLeave
pt | DialogChar
pt | UpdateMouseCursor
pt | Changed
pt | GetPalette
pt | ChildClassAllowed
pt | ReadState
pt | Loaded
pt | LoadedAll
pt | DefineProperties
pt | AssignTo
pt | FormEndUpdated
pt | InvalidateControl
pt | FontChanged
pt | ParentFontChanged
pt | GetAction
pt | RealGetText
pt | RealSetText
pt | TextChanged
pt | GetCachedText
pt | SetAction
pt | SetColor
pt | SetEnabled
pt | SetHint
pt | SetName
pt | SetParent
pt | SetParentComponent
pt | WndProc
pt | ParentFormHandleInitialized
pt | GetMouseCapture
pt | CaptureChanged
pt | Notification
pt | CanTab
pt | GetDeviceContext
pt | GetEnabled
pt | GetPopupMenu
pt | DoOnShowHint
pt | DoMouseWheel
pt | DoMouseWheelDown
pt | DoMouseWheelUp
pt | DoMouseWheelHorz
pt | DoMouseWheelLeft
pt | DoMouseWheelRight
pt | VisibleChanging
pt | VisibleChanged
pt | EnabledChanging
pt | EnabledChanged
pt | AddHandler
pt | RemoveHandler
pt | DoCallNotifyHandler
pt | DoCallKeyEventHandler
pt | DoCallMouseWheelEventHandler
pt | DoContextPopup
pt | SetZOrder
pt | GetControlClassDefaultSize
pt | ColorIsStored
pt | DoAutoAdjustLayout
pt | DoFixDesignFontPPI
pt | DoScaleFontPPI
pt | GetActionLinkClass
pt | ActionChange
 | DragDrop
 | Dock
 | ManualDock
 | ManualFloat
 | ReplaceDockedControl
 | Docked
 | Dragging
 | GetAccessibleObject
 | CreateAccessibleObject
 | GetSelectedChildAccessibleObject
 | GetChildAccessibleObjectAtPos
 | ScaleDesignToForm
 | ScaleFormToDesign
 | Scale96ToForm
 | ScaleFormTo96
 | Scale96ToFont
 | ScaleFontTo96
 | ScaleScreenToFont
 | ScaleFontToScreen
 | Scale96ToScreen
 | ScaleScreenTo96
 | AdjustSize
 | AutoSizePhases
 | AutoSizeDelayed
 | AutoSizeDelayedReport
 | AutoSizeDelayedHandle
 | AnchorToNeighbour
 | AnchorParallel
 | AnchorHorizontalCenterTo
 | AnchorVerticalCenterTo
 | AnchorToCompanion
 | AnchorSame
 | AnchorAsAlign
 | AnchorClient
 | AnchoredControlCount
 | SetBounds
 | SetInitialBounds
 | SetBoundsKeepBase
 | GetPreferredSize
 | GetCanvasScaleFactor
 | GetDefaultWidth
 | GetDefaultHeight
 | GetDefaultColor
 | GetColorResolvingParent
 | GetRGBColorResolvingParent
 | GetSidePosition
 | CNPreferredSizeChanged
 | InvalidatePreferredSize
 | GetAnchorsDependingOnParent
 | DisableAutoSizing
 | EnableAutoSizing
 | UpdateBaseBounds
 | WriteLayoutDebugReport
 | AutoAdjustLayout
 | ShouldAutoAdjust
 | FixDesignFontsPPI
 | ScaleFontsPPI
 | Create
 | Destroy
 | BeforeDestruction
 | EditingDone
 | ExecuteDefaultAction
 | ExecuteCancelAction
 | BeginDrag
 | EndDrag
 | BringToFront
 | HasParent
 | GetParentComponent
 | IsParentOf
 | GetTopParent
 | IsVisible
 | IsControlVisible
 | IsEnabled
 | IsParentColor
 | IsParentFont
 | FormIsUpdating
 | IsProcessingPaintMsg
 | Hide
 | Refresh
 | Repaint
 | Invalidate
 | CheckChildClassAllowed
 | CheckNewParent
 | SendToBack
 | SetTempCursor
 | UpdateRolesForForm
 | ActiveDefaultControlChanged
 | GetTextBuf
 | GetTextLen
 | SetTextBuf
 | Perform
 | ScreenToClient
 | ClientToScreen
 | ScreenToControl
 | ControlToScreen
 | ClientToParent
 | ParentToClient
 | GetChildrenRect
 | Show
 | Update
 | HandleObjectShouldBeVisible
 | ParentDestroyingHandle
 | ParentHandlesAllocated
 | InitiateAction
 | ShowHelp
 | HasHelp
 | RemoveAllHandlersOfObject
 | AddHandlerOnResize
 | RemoveHandlerOnResize
 | AddHandlerOnChangeBounds
 | RemoveHandlerOnChangeBounds
 | AddHandlerOnVisibleChanging
 | RemoveHandlerOnVisibleChanging
 | AddHandlerOnVisibleChanged
 | RemoveHandlerOnVisibleChanged
 | AddHandlerOnEnabledChanged
 | RemoveHandlerOnEnableChanging
 | AddHandlerOnKeyDown
 | RemoveHandlerOnKeyDown
 | AddHandlerOnBeforeDestruction
 | RemoveHandlerOnBeforeDestruction
 | AddHandlerOnMouseWheel
 | RemoveHandlerOnMouseWheel
 | UseRightToLeftAlignment
 | UseRightToLeftReading
 | UseRightToLeftScrollBar
 | IsRightToLeft
TLCLComponent
pt | WSRegisterClass
pt | GetWSComponentClass
 | Create
 | Destroy
 | NewInstance
 | RemoveAllHandlersOfObject
 | IncLCLRefCount
 | DecLCLRefCount
TComponent
 | GetComObject
 | GetComponent
 | GetComponentCount
 | GetComponentIndex
 | Insert
 | ReadLeft
 | ReadTop
 | Remove
 | RemoveNotification
 | SetComponentIndex
 | SetReference
 | WriteLeft
 | WriteTop
 | ChangeName
 | DefineProperties
 | GetChildren
 | GetChildOwner
 | GetChildParent
 | GetOwner
 | Loaded
 | Loading
 | Notification
 | PaletteCreated
 | ReadState
 | SetAncestor
 | SetDesigning
 | SetDesignInstance
 | SetInline
 | SetName
 | SetChildOrder
 | SetParentComponent
 | Updating
 | Updated
 | UpdateRegistry
 | ValidateRename
 | ValidateContainer
 | ValidateInsert
 | QueryInterface
 | _AddRef
 | _Release
 | iicrGetComponent
 | GetTypeInfoCount
 | GetTypeInfo
 | GetIDsOfNames
 | Invoke
 | WriteState
 | Create
 | Destroy
 | BeforeDestruction
 | DestroyComponents
 | Destroying
 | ExecuteAction
 | FindComponent
 | FreeNotification
 | RemoveFreeNotification
 | FreeOnRelease
 | GetEnumerator
 | GetNamePath
 | GetParentComponent
 | HasParent
 | InsertComponent
 | RemoveComponent
 | SafeCallException
 | SetSubComponent
 | UpdateAction
 | IsImplementorOf
 | ReferenceInterface
TPersistent
 | AssignError
 | AssignTo
 | DefineProperties
 | GetOwner
 | Destroy
 | Assign
 | FPOAttachObserver
 | FPODetachObserver
 | FPONotifyObservers
 | GetNamePath
TObject
 | Create
 | Destroy
 | newinstance
 | FreeInstance
 | SafeCallException
 | DefaultHandler
 | Free
 | InitInstance
 | CleanupInstance
 | ClassType
 | ClassInfo
 | ClassName
 | ClassNameIs
 | ClassParent
 | InstanceSize
 | InheritsFrom
 | StringMessageTable
 | MethodAddress
 | MethodName
 | FieldAddress
 | AfterConstruction
 | BeforeDestruction
 | DefaultHandlerStr
 | Dispatch
 | DispatchStr
 | GetInterface
 | GetInterfaceByStr
 | GetInterfaceWeak
 | GetInterfaceEntry
 | GetInterfaceEntryByStr
 | GetInterfaceTable
 | UnitName
 | Equals
 | GetHashCode
 | ToString


pt | ActionChange (TControl)
 | ActiveDefaultControlChanged (TControl)
 | AddControl (TWinControl)
pt | AddHandler (TControl)
 | AddHandlerOnBeforeDestruction (TControl)
 | AddHandlerOnChangeBounds (TControl)
 | AddHandlerOnEnabledChanged (TControl)
 | AddHandlerOnKeyDown (TControl)
 | AddHandlerOnMouseWheel (TControl)
 | AddHandlerOnResize (TControl)
 | AddHandlerOnVisibleChanged (TControl)
 | AddHandlerOnVisibleChanging (TControl)
 | AddItem (TCDToolBar)
pt | AdjustClientRect (TWinControl)
 | AdjustSize (TControl)
 | AfterConstruction (TObject)
pt | AlignControls (TWinControl)
pt | AllAutoSized (TWinControl)
 | AnchorAsAlign (TControl)
 | AnchorClient (TControl)
 | AnchoredControlCount (TControl)
 | AnchorHorizontalCenterTo (TControl)
 | AnchorParallel (TControl)
 | AnchorSame (TControl)
pt | AnchorSideChanged (TControl)
 | AnchorToCompanion (TControl)
 | AnchorToNeighbour (TControl)
 | AnchorVerticalCenterTo (TControl)
 | Assign (TPersistent)
 | AssignError (TPersistent)
 | AssignTo (TPersistent)
pt | AssignTo (TControl)
 | AutoAdjustLayout (TControl)
 | AutoAdjustLayout (TWinControl)
 | AutoSizeDelayed (TControl)
 | AutoSizeDelayed (TWinControl)
 | AutoSizeDelayedHandle (TControl)
 | AutoSizeDelayedHandle (TWinControl)
 | AutoSizeDelayedReport (TControl)
 | AutoSizeDelayedReport (TWinControl)
 | AutoSizePhases (TControl)
 | AutoSizePhases (TWinControl)
 | BeforeDestruction (TObject)
 | BeforeDestruction (TComponent)
 | BeforeDestruction (TControl)
pt | BeforeDragStart (TControl)
pt | BeginAutoDrag (TControl)
pt | BeginAutoSizing (TControl)
 | BeginDrag (TControl)
 | BeginUpdateBounds (TWinControl)
pt | BoundsChanged (TControl)
 | BringToFront (TControl)
 | BroadCast (TWinControl)
 | BrushCreated (TWinControl)
pt | CalculateDockSizes (TControl)
pt | CalculatePreferredSize (TControl)
pt | CalculatePreferredSize (TWinControl)
pt | CalculatePreferredSize (TCDControl)
pt | CanAutoSize (TControl)
 | CanFocus (TWinControl)
 | CanSetFocus (TWinControl)
pt | CanTab (TControl)
pt | CanTab (TWinControl)
pt | CaptureChanged (TControl)
pt | ChangeBounds (TControl)
pt | Changed (TControl)
 | ChangeName (TComponent)
pt | ChangeScale (TControl)
pt | ChangeScale (TWinControl)
 | CheckChildClassAllowed (TControl)
 | CheckNewParent (TControl)
pt | CheckOnChangeBounds (TControl)
pt | ChildClassAllowed (TControl)
pt | ChildClassAllowed (TWinControl)
pt | ChildHandlesCreated (TWinControl)
pt | ChildKey (TWinControl)
 | ClassInfo (TObject)
 | ClassName (TObject)
 | ClassNameIs (TObject)
 | ClassParent (TObject)
 | ClassType (TObject)
 | CleanupInstance (TObject)
pt | Click (TControl)
 | ClientRectNeedsInterfaceUpdate (TWinControl)
 | ClientToParent (TControl)
 | ClientToScreen (TControl)
pt | CMBiDiModeChanged (TControl)
pt | CMBiDiModeChanged (TWinControl)
pt | CMBorderChanged (TWinControl)
pt | CMChanged (TControl)
pt | CMCursorChanged (TControl)
pt | CMDoubleBufferedChanged (TWinControl)
pt | CMEnabledChanged (TControl)
pt | CMEnabledChanged (TWinControl)
pt | CMEnter (TWinControl)
pt | CMExit (TWinControl)
pt | CMHintShow (TControl)
pt | CMHitTest (TControl)
pt | CMMouseEnter (TControl)
pt | CMMouseLeave (TControl)
pt | CMParentBiDiModeChanged (TControl)
pt | CMParentColorChanged (TControl)
pt | CMParentDoubleBufferedChanged (TWinControl)
pt | CMParentFontChanged (TControl)
pt | CMParentShowHintChanged (TControl)
pt | CMShowHintChanged (TWinControl)
pt | CMShowingChanged (TWinControl)
pt | CMSysFontChanged (TControl)
pt | CMTextChanged (TControl)
pt | CMVisibleChanged (TControl)
pt | CMVisibleChanged (TWinControl)
pt | CNChar (TWinControl)
pt | CNKeyDown (TWinControl)
pt | CNKeyUp (TWinControl)
 | CNPreferredSizeChanged (TControl)
pt | CNSysKeyDown (TWinControl)
pt | CNSysKeyUp (TWinControl)
pt | ColorIsStored (TControl)
pt | ConstrainedResize (TControl)
 | ContainsControl (TWinControl)
 | ControlAtPos (TWinControl)
pt | ControlKeyDown (TWinControl)
pt | ControlKeyUp (TWinControl)
pt | ControlsAligned (TWinControl)
 | ControlToScreen (TControl)
 | Create (TObject)
 | Create (TComponent)
 | Create (TLCLComponent)
 | Create (TControl)
 | Create (TWinControl)
 | Create (TCustomControl)
 | Create (TCDControl)
 | Create (TCDToolBar)
 | CreateAccessibleObject (TControl)
pt | CreateBrush (TWinControl)
pt | CreateControlBorderSpacing (TControl)
pt | CreateControlStateEx (TCDControl)
pt | CreateControlStateEx (TCDToolBar)
pt | CreateDockManager (TWinControl)
pt | CreateFloatingDockSite (TControl)
pt | CreateHandle (TWinControl)
pt | CreateParams (TWinControl)
 | CreateParented (TWinControl)
 | CreateParentedControl (TWinControl)
pt | CreateSubClass (TWinControl)
pt | CreateWnd (TWinControl)
pt | CustomAlignInsertBefore (TWinControl)
pt | CustomAlignPosition (TWinControl)
pt | DblClick (TControl)
 | DecLCLRefCount (TLCLComponent)
 | DefaultHandler (TObject)
 | DefaultHandler (TWinControl)
 | DefaultHandlerStr (TObject)
 | DefineProperties (TPersistent)
 | DefineProperties (TComponent)
pt | DefineProperties (TControl)
 | DeleteItem (TCDToolBar)
 | Destroy (TObject)
 | Destroy (TPersistent)
 | Destroy (TComponent)
 | Destroy (TLCLComponent)
 | Destroy (TControl)
 | Destroy (TWinControl)
 | Destroy (TCustomControl)
 | Destroy (TCDControl)
 | Destroy (TCDToolBar)
 | DestroyComponents (TComponent)
pt | DestroyHandle (TWinControl)
 | Destroying (TComponent)
pt | DestroyWnd (TWinControl)
pt | DestroyWnd (TCustomControl)
pt | DialogChar (TControl)
pt | DialogChar (TWinControl)
 | DisableAlign (TWinControl)
 | DisableAutoSizing (TControl)
 | Dispatch (TObject)
 | DispatchStr (TObject)
pt | DoAddDockClient (TWinControl)
 | DoAdjustClientRectChange (TWinControl)
pt | DoAlignChildControls (TWinControl)
pt | DoAllAutoSize (TControl)
pt | DoAllAutoSize (TWinControl)
pt | DoAutoAdjustLayout (TControl)
pt | DoAutoSize (TControl)
pt | DoAutoSize (TWinControl)
pt | DoBorderSpacingChange (TControl)
pt | DoCallKeyEventHandler (TControl)
pt | DoCallMouseWheelEventHandler (TControl)
pt | DoCallNotifyHandler (TControl)
pt | DoChildSizingChange (TWinControl)
 | Dock (TControl)
 | DockDrop (TWinControl)
 | Docked (TControl)
pt | DockOver (TWinControl)
pt | DockTrackNoTarget (TControl)
pt | DoConstraintsChange (TControl)
pt | DoConstraintsChange (TWinControl)
pt | DoContextPopup (TControl)
pt | DoDock (TControl)
pt | DoDockClientMsg (TWinControl)
pt | DoDockOver (TWinControl)
pt | DoDragMsg (TControl)
pt | DoDragMsg (TWinControl)
pt | DoEndDock (TControl)
pt | DoEndDrag (TControl)
pt | DoEnter (TWinControl)
pt | DoEnter (TCDControl)
pt | DoExit (TWinControl)
pt | DoExit (TCDControl)
pt | DoFixDesignFontPPI (TControl)
pt | DoFlipChildren (TWinControl)
pt | DoFloatMsg (TControl)
pt | DoFloatMsg (TWinControl)
pt | DoGetDockCaption (TWinControl)
pt | DoKeyDownBeforeInterface (TWinControl)
pt | DoKeyPress (TWinControl)
pt | DoKeyUpBeforeInterface (TWinControl)
pt | DoMouseWheel (TControl)
pt | DoMouseWheelDown (TControl)
pt | DoMouseWheelHorz (TControl)
pt | DoMouseWheelLeft (TControl)
pt | DoMouseWheelRight (TControl)
pt | DoMouseWheelUp (TControl)
pt | DoOnChangeBounds (TControl)
pt | DoOnParentHandleDestruction (TControl)
pt | DoOnResize (TControl)
pt | DoOnShowHint (TControl)
pt | DoRemainingKeyDown (TWinControl)
pt | DoRemainingKeyUp (TWinControl)
pt | DoRemoveDockClient (TWinControl)
pt | DoScaleFontPPI (TControl)
pt | DoSendBoundsToInterface (TWinControl)
pt | DoSendShowHideToInterface (TWinControl)
pt | DoSetBounds (TControl)
pt | DoSetBounds (TWinControl)
pt | DoStartDock (TControl)
pt | DoStartDrag (TControl)
pt | DoUnDock (TWinControl)
pt | DoUndockClientMsg (TWinControl)
pt | DoUTF8KeyPress (TWinControl)
pt | DragCanceled (TControl)
 | DragDrop (TControl)
 | Dragging (TControl)
pt | DragOver (TControl)
 | DrawToCanvas (TCDControl)
 | EditingDone (TControl)
 | EnableAlign (TWinControl)
 | EnableAutoSizing (TControl)
pt | EnabledChanged (TControl)
pt | EnabledChanging (TControl)
pt | EndAutoSizing (TControl)
 | EndDrag (TControl)
 | EndUpdateBounds (TWinControl)
 | Equals (TObject)
 | EraseBackground (TWinControl)
 | EraseBackground (TCDControl)
 | ExecuteAction (TComponent)
 | ExecuteCancelAction (TControl)
 | ExecuteDefaultAction (TControl)
 | FieldAddress (TObject)
pt | FinalizeWnd (TWinControl)
 | FindChildControl (TWinControl)
 | FindComponent (TComponent)
pt | FindNextControl (TWinControl)
 | FixDesignFontsPPI (TControl)
pt | FixupTabList (TWinControl)
 | FlipChildren (TWinControl)
 | Focused (TWinControl)
pt | FontChanged (TControl)
pt | FontChanged (TWinControl)
pt | FontChanged (TCustomControl)
pt | ForeignAnchorSideChanged (TControl)
pt | FormEndUpdated (TControl)
pt | FormEndUpdated (TWinControl)
 | FormIsUpdating (TControl)
 | FPOAttachObserver (TPersistent)
 | FPODetachObserver (TPersistent)
 | FPONotifyObservers (TPersistent)
 | Free (TObject)
 | FreeInstance (TObject)
 | FreeNotification (TComponent)
 | FreeOnRelease (TComponent)
 | GetAccessibleObject (TControl)
pt | GetAction (TControl)
pt | GetActionLinkClass (TControl)
pt | GetAdjustedLogicalClientRect (TWinControl)
 | GetAnchorsDependingOnParent (TControl)
pt | GetBorderStyle (TWinControl)
pt | GetCachedText (TControl)
 | GetCanvasScaleFactor (TControl)
 | GetChildAccessibleObjectAtPos (TControl)
 | GetChildOwner (TComponent)
 | GetChildParent (TComponent)
 | GetChildren (TComponent)
pt | GetChildren (TWinControl)
 | GetChildrenRect (TControl)
 | GetChildrenRect (TWinControl)
pt | GetClientOrigin (TControl)
pt | GetClientOrigin (TWinControl)
pt | GetClientRect (TControl)
pt | GetClientRect (TWinControl)
pt | GetClientRect (TCDControl)
pt | GetClientScrollOffset (TControl)
 | GetColorResolvingParent (TControl)
 | GetComObject (TComponent)
 | GetComponent (TComponent)
 | GetComponentCount (TComponent)
 | GetComponentIndex (TComponent)
pt | GetControlClassDefaultSize (TControl)
pt | GetControlId (TCDControl)
pt | GetControlId (TCDToolBar)
 | GetControlIndex (TWinControl)
pt | GetControlOrigin (TControl)
pt | GetControlOrigin (TWinControl)
pt | GetCursor (TControl)
 | GetDefaultColor (TControl)
pt | GetDefaultDockCaption (TControl)
 | GetDefaultHeight (TControl)
 | GetDefaultWidth (TControl)
pt | GetDeviceContext (TControl)
pt | GetDeviceContext (TWinControl)
 | GetDockCaption (TWinControl)
pt | GetDockEdge (TControl)
pt | GetDragImages (TControl)
pt | GetEnabled (TControl)
 | GetEnumerator (TComponent)
 | GetEnumeratorControls (TWinControl)
 | GetEnumeratorControlsReverse (TWinControl)
pt | GetFloating (TControl)
pt | GetFloatingDockSiteClass (TControl)
 | GetHashCode (TObject)
 | GetIDsOfNames (TComponent)
 | GetInterface (TObject)
 | GetInterfaceByStr (TObject)
 | GetInterfaceEntry (TObject)
 | GetInterfaceEntryByStr (TObject)
 | GetInterfaceTable (TObject)
 | GetInterfaceWeak (TObject)
 | GetItem (TCDToolBar)
 | GetItemCount (TCDToolBar)
 | GetItemWithMousePos (TCDToolBar)
pt | GetLogicalClientRect (TControl)
pt | GetMouseCapture (TControl)
pt | GetMouseCapture (TWinControl)
pt | GetMousePosFromMessage (TControl)
 | GetNamePath (TPersistent)
 | GetNamePath (TComponent)
 | GetOwner (TPersistent)
 | GetOwner (TComponent)
pt | GetPalette (TControl)
pt | GetParentBackground (TWinControl)
 | GetParentComponent (TComponent)
 | GetParentComponent (TControl)
pt | GetParentHandle (TWinControl)
pt | GetPopupMenu (TControl)
 | GetPreferredSize (TControl)
pt | GetPreferredSizeClientFrame (TWinControl)
 | GetRGBColorResolvingParent (TControl)
pt | GetScrolledClientRect (TControl)
 | GetSelectedChildAccessibleObject (TControl)
 | GetSidePosition (TControl)
pt | GetSiteInfo (TWinControl)
 | GetTabOrderList (TWinControl)
 | GetTextBuf (TControl)
 | GetTextLen (TControl)
 | GetTextLen (TWinControl)
 | GetTopParent (TControl)
pt | GetTopParentHandle (TWinControl)
 | GetTypeInfo (TComponent)
 | GetTypeInfoCount (TComponent)
pt | GetWSComponentClass (TLCLComponent)
 | HandleAllocated (TWinControl)
 | HandleNeeded (TWinControl)
 | HandleObjectShouldBeVisible (TControl)
 | HasHelp (TControl)
 | HasParent (TComponent)
 | HasParent (TControl)
pt | HeightIsAnchored (TControl)
 | Hide (TControl)
 | iicrGetComponent (TComponent)
 | IncLCLRefCount (TLCLComponent)
 | InheritsFrom (TObject)
pt | InitializeWnd (TWinControl)
 | InitiateAction (TControl)
 | InitInstance (TObject)
 | Insert (TComponent)
 | InsertComponent (TComponent)
 | InsertControl (TWinControl)
 | InsertItem (TCDToolBar)
 | InstanceSize (TObject)
 | IntfGetDropFilesTarget (TWinControl)
 | IntfUTF8KeyPress (TWinControl)
 | Invalidate (TControl)
 | Invalidate (TWinControl)
pt | InvalidateBoundsRealized (TWinControl)
 | InvalidateClientRectCache (TWinControl)
pt | InvalidateControl (TControl)
pt | InvalidatePreferredChildSizes (TWinControl)
 | InvalidatePreferredSize (TControl)
 | Invoke (TComponent)
pt | IsAParentAligning (TControl)
pt | IsBorderSpacingInnerBorderStored (TControl)
pt | IsCaptionStored (TControl)
pt | IsClientHeightStored (TControl)
pt | IsClientHeightStored (TWinControl)
pt | IsClientWidthStored (TControl)
pt | IsClientWidthStored (TWinControl)
pt | IsControlMouseMsg (TWinControl)
 | IsControlVisible (TControl)
 | IsEnabled (TControl)
 | IsImplementorOf (TComponent)
 | IsParentColor (TControl)
 | IsParentFont (TControl)
 | IsParentOf (TControl)
 | IsPosInButton (TCDToolBar)
 | IsProcessingPaintMsg (TControl)
 | IsRightToLeft (TControl)
 | IsVisible (TControl)
pt | KeyDown (TWinControl)
pt | KeyDownAfterInterface (TWinControl)
pt | KeyDownBeforeInterface (TWinControl)
pt | KeyPress (TWinControl)
pt | KeyUp (TWinControl)
pt | KeyUpAfterInterface (TWinControl)
pt | KeyUpBeforeInterface (TWinControl)
 | LCLWSCalculatePreferredSize (TCDControl)
pt | LMCaptureChanged (TControl)
 | Loaded (TComponent)
pt | Loaded (TControl)
pt | Loaded (TWinControl)
pt | LoadedAll (TControl)
 | Loading (TComponent)
 | LockRealizeBounds (TWinControl)
pt | MainWndProc (TWinControl)
 | ManualDock (TControl)
 | ManualFloat (TControl)
 | MethodAddress (TObject)
 | MethodName (TObject)
pt | MouseDown (TControl)
pt | MouseDown (TCDControl)
pt | MouseDown (TCDToolBar)
pt | MouseEnter (TControl)
pt | MouseEnter (TCDControl)
pt | MouseLeave (TControl)
pt | MouseLeave (TCDControl)
pt | MouseLeave (TCDToolBar)
pt | MouseMove (TControl)
pt | MouseMove (TCDToolBar)
pt | MouseUp (TControl)
pt | MouseUp (TCDToolBar)
 | newinstance (TObject)
 | NewInstance (TLCLComponent)
 | Notification (TComponent)
pt | Notification (TControl)
 | NotifyControls (TWinControl)
pt | Paint (TCustomControl)
 | Paint (TCDControl)
pt | PaintControls (TWinControl)
pt | PaintHandler (TWinControl)
 | PaintTo (TWinControl)
pt | PaintWindow (TWinControl)
pt | PaintWindow (TCustomControl)
 | PaletteCreated (TComponent)
 | ParentDestroyingHandle (TControl)
pt | ParentFontChanged (TControl)
pt | ParentFormHandleInitialized (TControl)
pt | ParentFormHandleInitialized (TWinControl)
 | ParentHandlesAllocated (TControl)
 | ParentHandlesAllocated (TWinControl)
 | ParentToClient (TControl)
 | Perform (TControl)
 | PerformTab (TWinControl)
pt | PositionDockRect (TControl)
pt | PrepareControlState (TCDControl)
pt | PrepareControlStateEx (TCDControl)
pt | PrepareControlStateEx (TCDToolBar)
pt | PrepareCurrentDrawer (TCDControl)
pt | QuadClick (TControl)
 | QueryInterface (TComponent)
 | ReadLeft (TComponent)
 | ReadState (TComponent)
pt | ReadState (TControl)
 | ReadTop (TComponent)
pt | RealGetText (TControl)
pt | RealGetText (TWinControl)
 | ReAlign (TWinControl)
pt | RealizeBounds (TWinControl)
pt | RealizeBoundsRecursive (TWinControl)
pt | RealSetText (TControl)
pt | RealSetText (TWinControl)
 | ReferenceInterface (TComponent)
 | Refresh (TControl)
pt | ReloadDockedControl (TWinControl)
 | Remove (TComponent)
 | RemoveAllHandlersOfObject (TLCLComponent)
 | RemoveAllHandlersOfObject (TControl)
 | RemoveComponent (TComponent)
 | RemoveControl (TWinControl)
pt | RemoveFocus (TWinControl)
 | RemoveFreeNotification (TComponent)
pt | RemoveHandler (TControl)
 | RemoveHandlerOnBeforeDestruction (TControl)
 | RemoveHandlerOnChangeBounds (TControl)
 | RemoveHandlerOnEnableChanging (TControl)
 | RemoveHandlerOnKeyDown (TControl)
 | RemoveHandlerOnMouseWheel (TControl)
 | RemoveHandlerOnResize (TControl)
 | RemoveHandlerOnVisibleChanged (TControl)
 | RemoveHandlerOnVisibleChanging (TControl)
 | RemoveNotification (TComponent)
 | Repaint (TControl)
 | Repaint (TWinControl)
 | ReplaceDockedControl (TControl)
pt | RequestAlign (TControl)
pt | Resize (TControl)
 | SafeCallException (TObject)
 | SafeCallException (TComponent)
 | Scale96ToFont (TControl)
 | Scale96ToForm (TControl)
 | Scale96ToScreen (TControl)
 | ScaleBy (TWinControl)
pt | ScaleConstraints (TControl)
pt | ScaleControls (TWinControl)
 | ScaleDesignToForm (TControl)
 | ScaleFontsPPI (TControl)
 | ScaleFontTo96 (TControl)
 | ScaleFontToScreen (TControl)
 | ScaleFormTo96 (TControl)
 | ScaleFormToDesign (TControl)
 | ScaleScreenTo96 (TControl)
 | ScaleScreenToFont (TControl)
 | ScreenToClient (TControl)
 | ScreenToControl (TControl)
 | ScrollBy (TWinControl)
 | ScrollBy_WS (TWinControl)
pt | SelectFirst (TWinControl)
 | SelectNext (TWinControl)
pt | SendDialogChar (TWinControl)
pt | SendMoveSizeMessages (TControl)
pt | SendMoveSizeMessages (TWinControl)
 | SendToBack (TControl)
pt | SetAction (TControl)
pt | SetAlign (TControl)
 | SetAncestor (TComponent)
pt | SetAnchors (TControl)
pt | SetAutoSize (TControl)
pt | SetBiDiMode (TControl)
pt | SetBorderStyle (TWinControl)
 | SetBounds (TControl)
 | SetBounds (TWinControl)
 | SetBoundsKeepBase (TControl)
 | SetChildOrder (TComponent)
pt | SetChildZPosition (TWinControl)
pt | SetColor (TControl)
pt | SetColor (TWinControl)
pt | SetColor (TCustomControl)
 | SetComponentIndex (TComponent)
 | SetControlIndex (TWinControl)
pt | SetCursor (TControl)
 | SetDesigning (TComponent)
 | SetDesignInstance (TComponent)
pt | SetDockManager (TWinControl)
pt | SetDragMode (TControl)
pt | SetDrawStyle (TCDControl)
pt | SetEnabled (TControl)
 | SetFocus (TWinControl)
pt | SetHint (TControl)
 | SetInitialBounds (TControl)
 | SetInline (TComponent)
 | SetName (TComponent)
pt | SetName (TControl)
pt | SetParent (TControl)
pt | SetParentBackground (TWinControl)
pt | SetParentBiDiMode (TControl)
 | SetParentComponent (TComponent)
pt | SetParentComponent (TControl)
 | SetReference (TComponent)
 | SetShape (TWinControl)
pt | SetState (TCDControl)
 | SetSubComponent (TComponent)
 | SetTempCursor (TControl)
 | SetTempCursor (TWinControl)
 | SetTextBuf (TControl)
pt | SetVisible (TControl)
pt | SetZOrder (TControl)
 | ShouldAutoAdjust (TControl)
 | Show (TControl)
pt | ShowControl (TWinControl)
 | ShowHelp (TControl)
 | StringMessageTable (TObject)
pt | TextChanged (TControl)
 | ToString (TObject)
pt | TripleClick (TControl)
 | UnitName (TObject)
 | UnlockRealizeBounds (TWinControl)
 | Update (TControl)
 | Update (TWinControl)
 | UpdateAction (TComponent)
pt | UpdateAnchorRules (TControl)
 | UpdateBaseBounds (TControl)
pt | UpdateControlState (TWinControl)
 | Updated (TComponent)
 | UpdateDockCaption (TWinControl)
pt | UpdateMouseCursor (TControl)
 | UpdateRegistry (TComponent)
 | UpdateRolesForForm (TControl)
pt | UpdateShowing (TWinControl)
 | Updating (TComponent)
 | UseRightToLeftAlignment (TControl)
 | UseRightToLeftReading (TControl)
 | UseRightToLeftScrollBar (TControl)
pt | UTF8KeyPress (TWinControl)
 | ValidateContainer (TComponent)
 | ValidateInsert (TComponent)
 | ValidateRename (TComponent)
pt | VisibleChanged (TControl)
pt | VisibleChanging (TControl)
pt | WidthIsAnchored (TControl)
pt | WMCancelMode (TControl)
pt | WMChar (TWinControl)
pt | WMContextMenu (TControl)
pt | WMContextMenu (TWinControl)
pt | WMDestroy (TWinControl)
pt | WMEnter (TWinControl)
pt | WMEraseBkgnd (TWinControl)
pt | WMExit (TWinControl)
pt | WMKeyDown (TWinControl)
pt | WMKeyUp (TWinControl)
pt | WMKillFocus (TWinControl)
pt | WMLButtonDBLCLK (TControl)
pt | WMLButtonDown (TControl)
pt | WMLButtonQuadCLK (TControl)
pt | WMLButtonTripleCLK (TControl)
pt | WMLButtonUp (TControl)
pt | WMMButtonDBLCLK (TControl)
pt | WMMButtonDown (TControl)
pt | WMMButtonQuadCLK (TControl)
pt | WMMButtonTripleCLK (TControl)
pt | WMMButtonUp (TControl)
pt | WMMouseHWheel (TControl)
pt | WMMouseMove (TControl)
pt | WMMouseWheel (TControl)
pt | WMMove (TControl)
pt | WMMove (TWinControl)
pt | WMNotify (TWinControl)
pt | WMPaint (TWinControl)
pt | WMPaint (TCustomControl)
pt | WMRButtonDBLCLK (TControl)
pt | WMRButtonDown (TControl)
pt | WMRButtonQuadCLK (TControl)
pt | WMRButtonTripleCLK (TControl)
pt | WMRButtonUp (TControl)
pt | WMSetFocus (TWinControl)
pt | WMShowWindow (TWinControl)
pt | WMSize (TControl)
pt | WMSize (TWinControl)
pt | WMSysChar (TWinControl)
pt | WMSysKeyDown (TWinControl)
pt | WMSysKeyUp (TWinControl)
pt | WMWindowPosChanged (TControl)
pt | WMWindowPosChanged (TWinControl)
pt | WMXButtonDBLCLK (TControl)
pt | WMXButtonDown (TControl)
pt | WMXButtonQuadCLK (TControl)
pt | WMXButtonTripleCLK (TControl)
pt | WMXButtonUp (TControl)
pt | WndProc (TControl)
pt | WndProc (TWinControl)
 | WriteLayoutDebugReport (TControl)
 | WriteLayoutDebugReport (TWinControl)
 | WriteLeft (TComponent)
 | WriteState (TComponent)
 | WriteTop (TComponent)
pt | WSRegisterClass (TLCLComponent)
pt | WSRegisterClass (TControl)
pt | WSRegisterClass (TWinControl)
pt | WSRegisterClass (TCustomControl)
pt | WSSetText (TWinControl)
 | _AddRef (TComponent)
 | _Release (TComponent)


TCDToolBar
TCDControl
TCustomControl
 | OnPaint
TWinControl
pt | OnGetSiteInfo
pt | OnGetDockCaption
 | OnAlignInsertBefore
 | OnAlignPosition
 | OnDockDrop
 | OnDockOver
 | OnEnter
 | OnExit
 | OnKeyDown
 | OnKeyPress
 | OnKeyUp
 | OnUnDock
 | OnUTF8KeyPress
TControl
pt | OnConstrainedResize
pt | OnContextPopup
pt | OnDblClick
pt | OnTripleClick
pt | OnQuadClick
pt | OnDragDrop
pt | OnDragOver
pt | OnEndDock
pt | OnEndDrag
pt | OnMouseDown
pt | OnMouseMove
pt | OnMouseUp
pt | OnMouseEnter
pt | OnMouseLeave
pt | OnMouseWheel
pt | OnMouseWheelDown
pt | OnMouseWheelUp
pt | OnMouseWheelHorz
pt | OnMouseWheelLeft
pt | OnMouseWheelRight
pt | OnStartDock
pt | OnStartDrag
pt | OnEditingDone
 | OnChangeBounds
 | OnClick
 | OnResize
 | OnShowHint
TLCLComponent
TComponent
TPersistent
TObject


TCDToolBar.AddItem

Declaration

Source position: customdrawncontrols.pas line 632

public function TCDToolBar.AddItem(

  AKind: TCDToolbarItemKind

):TCDToolBarItem;


TCDToolBar.DeleteItem

Declaration

Source position: customdrawncontrols.pas line 633

public procedure TCDToolBar.DeleteItem(

  AIndex: Integer

);


TCDToolBar.FTBState

Declaration

Source position: customdrawncontrols.pas line 618

protected TCDToolBar.FTBState : TCDToolBarStateEx;


TCDToolBar.GetItem

Declaration

Source position: customdrawncontrols.pas line 634

public function TCDToolBar.GetItem(

  AIndex: Integer

):TCDToolBarItem;


TCDToolBar.GetItemCount

Declaration

Source position: customdrawncontrols.pas line 635

public function TCDToolBar.GetItemCount: Integer;


TCDToolBar.GetItemWithMousePos

Declaration

Source position: customdrawncontrols.pas line 636

public function TCDToolBar.GetItemWithMousePos(

  APosInControl: TPoint

):TCDToolBarItem;


TCDToolBar.InsertItem

Declaration

Source position: customdrawncontrols.pas line 631

public function TCDToolBar.InsertItem(

  AKind: TCDToolbarItemKind;

  AIndex: Integer

):TCDToolBarItem;


TCDToolBar.IsPosInButton

Declaration

Source position: customdrawncontrols.pas line 637

public function TCDToolBar.IsPosInButton(

  APosInControl: TPoint;

  AItem: TCDToolBarItem;

  AItemX: Integer

):Boolean;


TCDToolBar.MouseMove

Declaration

Source position: customdrawncontrols.pas line 623

protected procedure TCDToolBar.MouseMove(

  Shift: TShiftState;

  X: Integer;

  Y: Integer

); override;


TCDToolBar.MouseUp

Declaration

Source position: customdrawncontrols.pas line 626

protected procedure TCDToolBar.MouseUp(

  Button: TMouseButton;

  Shift: TShiftState;

  X: Integer;

  Y: Integer

); override;


TCDToolBar.ShowCaptions

Declaration

Source position: customdrawncontrols.pas line 639

published property TCDToolBar.ShowCaptions : Boolean
  read FShowCaptions
  write SetShowCaptions;


TCDTrackBar

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Declaration

Source position: customdrawncontrols.pas line 494

type TCDTrackBar = class(TCDPositionedControl)

protected

  function GetPositionFromMousePos(); override;

  function GetPositionDisplacement(); override;

  function GetControlId; override;

  procedure PrepareControlState; override;

public

  constructor Create(); override;

  destructor Destroy; override;

published

  property Align: TAlign;

  property Color: TColor;

  property DrawStyle: TCDDrawStyle;

  property Enabled: Boolean;

  property Orientation: TTrackBarOrientation; [rw]

  property TabStop: Boolean;

end;

Inheritance

TCDTrackBar |
|
TCDPositionedControl |
|
TCDControl |
|
TCustomControl | The base class for windowed controls which paint themselves.
|
TWinControl | The base class for controls which can contain other (child) controls.
|
TControl | The base class for visible controls.
|
TLCLComponent | The base class for LCL components associated with widgets.
|
TComponent,IUnknown,IInterfaceComponentReference
|
TPersistent,IFPObserved
|
TObject


TCDTrackBar
pl | ro | Align
pl | ro | Color
pl | ro | DrawStyle
pl | ro | Enabled
pl |  | Orientation
pl | ro | TabStop
TCDPositionedControl
pt |  | PageSize
pl |  | Max
pl |  | Min
pl |  | Position
TCDControl
pt |  | DrawStyle
TCustomControl
 |  | Canvas
 | ro | BorderStyle
TWinControl
pt |  | WindowHandle
pt |  | BorderStyle
pt |  | ParentBackground
 |  | BorderWidth
 | ro | BoundsLockCount
 | ro | Brush
 | ro | CachedClientHeight
 | ro | CachedClientWidth
 |  | ChildSizing
 | ro | ControlCount
 | ro | Controls
 |  | DefWndProc
 | ro | DockClientCount
 | ro | DockClients
 |  | DockManager
 |  | DockSite
 |  | DoubleBuffered
 |  | Handle
 | ro | IsFlipped
 | ro | IsResizing
 |  | TabOrder
 |  | TabStop
 |  | ParentDoubleBuffered
 |  | ParentWindow
 | ro | Showing
 |  | UseDockManager
 |  | DesignerDeleting
 | ro | VisibleDockClientCount
TControl
pt | ro | AutoSizing
pt | ro | AutoSizingAll
pt | ro | AutoSizingLockCount
pt |  | ActionLink
pt |  | DesktopFont
pt |  | DragCursor
pt |  | DragKind
pt |  | DragMode
pt |  | MouseCapture
pt |  | ParentColor
pt |  | ParentFont
pt |  | ParentShowHint
pt |  | SessionProperties
pt |  | Text
 | ro | AnchoredControls
 | ro | BaseBounds
 | ro | ReadBounds
 | ro | BaseParentClientSize
 |  | AccessibleDescription
 |  | AccessibleValue
 |  | AccessibleRole
 |  | Action
 |  | Align
 |  | Anchors
 | ro | AnchorSide
 |  | AutoSize
 |  | BorderSpacing
 |  | BoundsRect
 |  | BoundsRectForNewParent
 |  | Caption
 |  | CaptureMouseButtons
 |  | ClientHeight
 | ro | ClientOrigin
 | ro | ClientRect
 |  | ClientWidth
 |  | Color
 |  | Constraints
 | ro | ControlOrigin
 |  | ControlState
 |  | ControlStyle
 |  | Enabled
 |  | Font
 |  | IsControl
 | ro | MouseEntered
 | ro | MouseInClient
 |  | Parent
 |  | PopupMenu
 |  | ShowHint
 |  | Visible
 |  | WindowProc
 |  | DockOrientation
 | ro | Floating
 |  | FloatingDockSiteClass
 |  | HostDockSite
 |  | LRDockWidth
 |  | TBDockHeight
 |  | UndockHeight
 |  | UndockWidth
 |  | BiDiMode
 |  | ParentBiDiMode
pl |  | AnchorSideLeft
pl |  | AnchorSideTop
pl |  | AnchorSideRight
pl |  | AnchorSideBottom
pl |  | Cursor
pl |  | Left
pl |  | Height
pl |  | Hint
pl |  | Top
pl |  | Width
pl |  | HelpType
pl |  | HelpKeyword
pl |  | HelpContext
TLCLComponent
 | ro | LCLRefCount
 | ro | WidgetSetClass
TComponent
 | ro | ComObject
 | ro | Components
 | ro | ComponentCount
 |  | ComponentIndex
 | ro | ComponentState
 | ro | ComponentStyle
 |  | DesignInfo
 | ro | Owner
 |  | VCLComObject
 |  | Name
 |  | Tag
TPersistent
TObject


 |  | AccessibleDescription (TControl)
 |  | AccessibleRole (TControl)
 |  | AccessibleValue (TControl)
 |  | Action (TControl)
pt |  | ActionLink (TControl)
 |  | Align (TControl)
pl | ro | Align (TCDTrackBar)
 | ro | AnchoredControls (TControl)
 |  | Anchors (TControl)
 | ro | AnchorSide (TControl)
pl |  | AnchorSideBottom (TControl)
pl |  | AnchorSideLeft (TControl)
pl |  | AnchorSideRight (TControl)
pl |  | AnchorSideTop (TControl)
 |  | AutoSize (TControl)
pt | ro | AutoSizing (TControl)
pt | ro | AutoSizingAll (TControl)
pt | ro | AutoSizingLockCount (TControl)
 | ro | BaseBounds (TControl)
 | ro | BaseParentClientSize (TControl)
 |  | BiDiMode (TControl)
 |  | BorderSpacing (TControl)
pt |  | BorderStyle (TWinControl)
 | ro | BorderStyle (TCustomControl)
 |  | BorderWidth (TWinControl)
 | ro | BoundsLockCount (TWinControl)
 |  | BoundsRect (TControl)
 |  | BoundsRectForNewParent (TControl)
 | ro | Brush (TWinControl)
 | ro | CachedClientHeight (TWinControl)
 | ro | CachedClientWidth (TWinControl)
 |  | Canvas (TCustomControl)
 |  | Caption (TControl)
 |  | CaptureMouseButtons (TControl)
 |  | ChildSizing (TWinControl)
 |  | ClientHeight (TControl)
 | ro | ClientOrigin (TControl)
 | ro | ClientRect (TControl)
 |  | ClientWidth (TControl)
 |  | Color (TControl)
pl | ro | Color (TCDTrackBar)
 | ro | ComObject (TComponent)
 | ro | ComponentCount (TComponent)
 |  | ComponentIndex (TComponent)
 | ro | Components (TComponent)
 | ro | ComponentState (TComponent)
 | ro | ComponentStyle (TComponent)
 |  | Constraints (TControl)
 | ro | ControlCount (TWinControl)
 | ro | ControlOrigin (TControl)
 | ro | Controls (TWinControl)
 |  | ControlState (TControl)
 |  | ControlStyle (TControl)
pl |  | Cursor (TControl)
 |  | DefWndProc (TWinControl)
 |  | DesignerDeleting (TWinControl)
 |  | DesignInfo (TComponent)
pt |  | DesktopFont (TControl)
 | ro | DockClientCount (TWinControl)
 | ro | DockClients (TWinControl)
 |  | DockManager (TWinControl)
 |  | DockOrientation (TControl)
 |  | DockSite (TWinControl)
 |  | DoubleBuffered (TWinControl)
pt |  | DragCursor (TControl)
pt |  | DragKind (TControl)
pt |  | DragMode (TControl)
pt |  | DrawStyle (TCDControl)
pl | ro | DrawStyle (TCDTrackBar)
 |  | Enabled (TControl)
pl | ro | Enabled (TCDTrackBar)
 | ro | Floating (TControl)
 |  | FloatingDockSiteClass (TControl)
 |  | Font (TControl)
 |  | Handle (TWinControl)
pl |  | Height (TControl)
pl |  | HelpContext (TControl)
pl |  | HelpKeyword (TControl)
pl |  | HelpType (TControl)
pl |  | Hint (TControl)
 |  | HostDockSite (TControl)
 |  | IsControl (TControl)
 | ro | IsFlipped (TWinControl)
 | ro | IsResizing (TWinControl)
 | ro | LCLRefCount (TLCLComponent)
pl |  | Left (TControl)
 |  | LRDockWidth (TControl)
pl |  | Max (TCDPositionedControl)
pl |  | Min (TCDPositionedControl)
pt |  | MouseCapture (TControl)
 | ro | MouseEntered (TControl)
 | ro | MouseInClient (TControl)
 |  | Name (TComponent)
pl |  | Orientation (TCDTrackBar)
 | ro | Owner (TComponent)
pt |  | PageSize (TCDPositionedControl)
 |  | Parent (TControl)
pt |  | ParentBackground (TWinControl)
 |  | ParentBiDiMode (TControl)
pt |  | ParentColor (TControl)
 |  | ParentDoubleBuffered (TWinControl)
pt |  | ParentFont (TControl)
pt |  | ParentShowHint (TControl)
 |  | ParentWindow (TWinControl)
 |  | PopupMenu (TControl)
pl |  | Position (TCDPositionedControl)
 | ro | ReadBounds (TControl)
pt |  | SessionProperties (TControl)
 |  | ShowHint (TControl)
 | ro | Showing (TWinControl)
 |  | TabOrder (TWinControl)
 |  | TabStop (TWinControl)
pl | ro | TabStop (TCDTrackBar)
 |  | Tag (TComponent)
 |  | TBDockHeight (TControl)
pt |  | Text (TControl)
pl |  | Top (TControl)
 |  | UndockHeight (TControl)
 |  | UndockWidth (TControl)
 |  | UseDockManager (TWinControl)
 |  | VCLComObject (TComponent)
 |  | Visible (TControl)
 | ro | VisibleDockClientCount (TWinControl)
 | ro | WidgetSetClass (TLCLComponent)
pl |  | Width (TControl)
pt |  | WindowHandle (TWinControl)
 |  | WindowProc (TControl)


TCDTrackBar
pt | GetPositionFromMousePos
pt | GetPositionDisplacement
pt | GetControlId
pt | PrepareControlState
 | Create
 | Destroy
TCDPositionedControl
pt | GetPositionFromMousePosWithMargins
pt | GetPositionFromMousePos
pt | GetPositionDisplacementWithMargins
pt | GetPositionDisplacement
pt | GetButtonFromMousePos
pt | CreateControlStateEx
pt | PrepareControlStateEx
pt | KeyDown
pt | MouseDown
pt | MouseMove
pt | MouseUp
 | Create
 | Destroy
TCDControl
pt | CalculatePreferredSize
pt | SetState
pt | PrepareCurrentDrawer
pt | SetDrawStyle
pt | GetClientRect
pt | GetControlId
pt | CreateControlStateEx
pt | PrepareControlState
pt | PrepareControlStateEx
pt | DoEnter
pt | DoExit
pt | MouseEnter
pt | MouseLeave
pt | MouseDown
 | Create
 | Destroy
 | LCLWSCalculatePreferredSize
 | EraseBackground
 | Paint
 | DrawToCanvas
TCustomControl
pt | WSRegisterClass
pt | WMPaint
pt | DestroyWnd
pt | PaintWindow
pt | FontChanged
pt | SetColor
pt | Paint
 | Create
 | Destroy
TWinControl
pt | WSRegisterClass
pt | AdjustClientRect
pt | GetAdjustedLogicalClientRect
pt | AlignControls
pt | CustomAlignInsertBefore
pt | CustomAlignPosition
pt | DoAlignChildControls
pt | DoChildSizingChange
pt | InvalidatePreferredChildSizes
pt | CanTab
pt | IsClientHeightStored
pt | IsClientWidthStored
pt | DoSendShowHideToInterface
pt | ControlsAligned
pt | DoSendBoundsToInterface
pt | RealizeBounds
pt | RealizeBoundsRecursive
pt | InvalidateBoundsRealized
pt | CreateSubClass
pt | DoConstraintsChange
pt | DoSetBounds
pt | DoAutoSize
pt | DoAllAutoSize
pt | AllAutoSized
pt | CalculatePreferredSize
pt | GetPreferredSizeClientFrame
pt | GetChildren
pt | ChildClassAllowed
pt | PaintControls
pt | PaintHandler
pt | PaintWindow
pt | CreateBrush
pt | ScaleControls
pt | ChangeScale
pt | CMBiDiModeChanged
pt | CMBorderChanged
pt | CMDoubleBufferedChanged
pt | CMEnabledChanged
pt | CMParentDoubleBufferedChanged
pt | CMShowingChanged
pt | CMShowHintChanged
pt | CMVisibleChanged
pt | CMEnter
pt | CMExit
pt | WMContextMenu
pt | WMEraseBkgnd
pt | WMNotify
pt | WMSetFocus
pt | WMKillFocus
pt | WMShowWindow
pt | WMEnter
pt | WMExit
pt | WMKeyDown
pt | WMSysKeyDown
pt | WMKeyUp
pt | WMSysKeyUp
pt | WMChar
pt | WMSysChar
pt | WMPaint
pt | WMDestroy
pt | WMMove
pt | WMSize
pt | WMWindowPosChanged
pt | CNKeyDown
pt | CNSysKeyDown
pt | CNKeyUp
pt | CNSysKeyUp
pt | CNChar
pt | DoDragMsg
pt | DoDockClientMsg
pt | DoUndockClientMsg
pt | DoAddDockClient
pt | DockOver
pt | DoDockOver
pt | DoRemoveDockClient
pt | DoUnDock
pt | GetSiteInfo
pt | GetParentHandle
pt | GetTopParentHandle
pt | ReloadDockedControl
pt | CreateDockManager
pt | SetDockManager
pt | DoFloatMsg
pt | DoGetDockCaption
pt | DoEnter
pt | DoExit
pt | DoKeyDownBeforeInterface
pt | DoRemainingKeyDown
pt | DoRemainingKeyUp
pt | DoKeyPress
pt | DoUTF8KeyPress
pt | DoKeyUpBeforeInterface
pt | ChildKey
pt | SendDialogChar
pt | DialogChar
pt | ControlKeyDown
pt | ControlKeyUp
pt | KeyDown
pt | KeyDownBeforeInterface
pt | KeyDownAfterInterface
pt | KeyPress
pt | KeyUp
pt | KeyUpBeforeInterface
pt | KeyUpAfterInterface
pt | UTF8KeyPress
pt | FindNextControl
pt | SelectFirst
pt | RealGetText
pt | GetBorderStyle
pt | GetClientOrigin
pt | GetClientRect
pt | GetControlOrigin
pt | GetDeviceContext
pt | GetParentBackground
pt | IsControlMouseMsg
pt | CreateHandle
pt | CreateParams
pt | CreateWnd
pt | DestroyHandle
pt | DestroyWnd
pt | DoFlipChildren
pt | FinalizeWnd
pt | FixupTabList
pt | FontChanged
pt | InitializeWnd
pt | Loaded
pt | FormEndUpdated
pt | MainWndProc
pt | ParentFormHandleInitialized
pt | ChildHandlesCreated
pt | GetMouseCapture
pt | RealSetText
pt | RemoveFocus
pt | SendMoveSizeMessages
pt | SetBorderStyle
pt | SetColor
pt | SetChildZPosition
pt | SetParentBackground
pt | ShowControl
pt | UpdateControlState
pt | UpdateShowing
pt | WndProc
pt | WSSetText
 | AutoSizePhases
 | AutoSizeDelayed
 | AutoSizeDelayedReport
 | AutoSizeDelayedHandle
 | BeginUpdateBounds
 | EndUpdateBounds
 | LockRealizeBounds
 | UnlockRealizeBounds
 | ControlAtPos
 | ContainsControl
 | DoAdjustClientRectChange
 | InvalidateClientRectCache
 | ClientRectNeedsInterfaceUpdate
 | SetBounds
 | GetChildrenRect
 | DisableAlign
 | EnableAlign
 | ReAlign
 | ScrollBy_WS
 | ScrollBy
 | WriteLayoutDebugReport
 | AutoAdjustLayout
 | Create
 | CreateParented
 | CreateParentedControl
 | Destroy
 | DockDrop
 | CanFocus
 | CanSetFocus
 | GetControlIndex
 | SetControlIndex
 | Focused
 | PerformTab
 | FindChildControl
 | SelectNext
 | SetTempCursor
 | BroadCast
 | NotifyControls
 | DefaultHandler
 | GetTextLen
 | Invalidate
 | AddControl
 | InsertControl
 | RemoveControl
 | GetEnumeratorControls
 | GetEnumeratorControlsReverse
 | Repaint
 | Update
 | SetFocus
 | FlipChildren
 | ScaleBy
 | GetDockCaption
 | UpdateDockCaption
 | GetTabOrderList
 | HandleAllocated
 | ParentHandlesAllocated
 | HandleNeeded
 | BrushCreated
 | EraseBackground
 | IntfUTF8KeyPress
 | IntfGetDropFilesTarget
 | PaintTo
 | SetShape
TControl
pt | WSRegisterClass
pt | GetCursor
pt | SetCursor
pt | SetVisible
pt | DoOnParentHandleDestruction
pt | DoAutoSize
pt | DoAllAutoSize
pt | BeginAutoSizing
pt | EndAutoSizing
pt | AnchorSideChanged
pt | ForeignAnchorSideChanged
pt | SetAlign
pt | SetAnchors
pt | SetAutoSize
pt | BoundsChanged
pt | CreateControlBorderSpacing
pt | DoConstraintsChange
pt | DoBorderSpacingChange
pt | IsBorderSpacingInnerBorderStored
pt | IsCaptionStored
pt | SendMoveSizeMessages
pt | ConstrainedResize
pt | CalculatePreferredSize
pt | DoOnResize
pt | DoOnChangeBounds
pt | CheckOnChangeBounds
pt | Resize
pt | RequestAlign
pt | UpdateAnchorRules
pt | ChangeBounds
pt | DoSetBounds
pt | ScaleConstraints
pt | ChangeScale
pt | CanAutoSize
pt | SetBiDiMode
pt | SetParentBiDiMode
pt | IsAParentAligning
pt | GetClientOrigin
pt | GetClientRect
pt | GetLogicalClientRect
pt | GetScrolledClientRect
pt | GetClientScrollOffset
pt | GetControlOrigin
pt | IsClientHeightStored
pt | IsClientWidthStored
pt | WidthIsAnchored
pt | HeightIsAnchored
pt | WMCancelMode
pt | WMContextMenu
pt | WMLButtonDown
pt | WMRButtonDown
pt | WMMButtonDown
pt | WMXButtonDown
pt | WMLButtonDBLCLK
pt | WMRButtonDBLCLK
pt | WMMButtonDBLCLK
pt | WMXButtonDBLCLK
pt | WMLButtonTripleCLK
pt | WMRButtonTripleCLK
pt | WMMButtonTripleCLK
pt | WMXButtonTripleCLK
pt | WMLButtonQuadCLK
pt | WMRButtonQuadCLK
pt | WMMButtonQuadCLK
pt | WMXButtonQuadCLK
pt | WMMouseMove
pt | WMLButtonUp
pt | WMRButtonUp
pt | WMMButtonUp
pt | WMXButtonUp
pt | WMMouseWheel
pt | WMMouseHWheel
pt | WMMove
pt | WMSize
pt | WMWindowPosChanged
pt | CMChanged
pt | LMCaptureChanged
pt | CMBiDiModeChanged
pt | CMSysFontChanged
pt | CMEnabledChanged
pt | CMHitTest
pt | CMMouseEnter
pt | CMMouseLeave
pt | CMHintShow
pt | CMParentBiDiModeChanged
pt | CMParentColorChanged
pt | CMParentFontChanged
pt | CMParentShowHintChanged
pt | CMVisibleChanged
pt | CMTextChanged
pt | CMCursorChanged
pt | CalculateDockSizes
pt | CreateFloatingDockSite
pt | GetDockEdge
pt | GetDragImages
pt | GetFloating
pt | GetFloatingDockSiteClass
pt | BeforeDragStart
pt | BeginAutoDrag
pt | DoFloatMsg
pt | DockTrackNoTarget
pt | DoDock
pt | DoDragMsg
pt | DoEndDock
pt | DoEndDrag
pt | DoStartDock
pt | DoStartDrag
pt | DragCanceled
pt | DragOver
pt | PositionDockRect
pt | SetDragMode
pt | GetDefaultDockCaption
pt | Click
pt | DblClick
pt | TripleClick
pt | QuadClick
pt | GetMousePosFromMessage
pt | MouseDown
pt | MouseMove
pt | MouseUp
pt | MouseEnter
pt | MouseLeave
pt | DialogChar
pt | UpdateMouseCursor
pt | Changed
pt | GetPalette
pt | ChildClassAllowed
pt | ReadState
pt | Loaded
pt | LoadedAll
pt | DefineProperties
pt | AssignTo
pt | FormEndUpdated
pt | InvalidateControl
pt | FontChanged
pt | ParentFontChanged
pt | GetAction
pt | RealGetText
pt | RealSetText
pt | TextChanged
pt | GetCachedText
pt | SetAction
pt | SetColor
pt | SetEnabled
pt | SetHint
pt | SetName
pt | SetParent
pt | SetParentComponent
pt | WndProc
pt | ParentFormHandleInitialized
pt | GetMouseCapture
pt | CaptureChanged
pt | Notification
pt | CanTab
pt | GetDeviceContext
pt | GetEnabled
pt | GetPopupMenu
pt | DoOnShowHint
pt | DoMouseWheel
pt | DoMouseWheelDown
pt | DoMouseWheelUp
pt | DoMouseWheelHorz
pt | DoMouseWheelLeft
pt | DoMouseWheelRight
pt | VisibleChanging
pt | VisibleChanged
pt | EnabledChanging
pt | EnabledChanged
pt | AddHandler
pt | RemoveHandler
pt | DoCallNotifyHandler
pt | DoCallKeyEventHandler
pt | DoCallMouseWheelEventHandler
pt | DoContextPopup
pt | SetZOrder
pt | GetControlClassDefaultSize
pt | ColorIsStored
pt | DoAutoAdjustLayout
pt | DoFixDesignFontPPI
pt | DoScaleFontPPI
pt | GetActionLinkClass
pt | ActionChange
 | DragDrop
 | Dock
 | ManualDock
 | ManualFloat
 | ReplaceDockedControl
 | Docked
 | Dragging
 | GetAccessibleObject
 | CreateAccessibleObject
 | GetSelectedChildAccessibleObject
 | GetChildAccessibleObjectAtPos
 | ScaleDesignToForm
 | ScaleFormToDesign
 | Scale96ToForm
 | ScaleFormTo96
 | Scale96ToFont
 | ScaleFontTo96
 | ScaleScreenToFont
 | ScaleFontToScreen
 | Scale96ToScreen
 | ScaleScreenTo96
 | AdjustSize
 | AutoSizePhases
 | AutoSizeDelayed
 | AutoSizeDelayedReport
 | AutoSizeDelayedHandle
 | AnchorToNeighbour
 | AnchorParallel
 | AnchorHorizontalCenterTo
 | AnchorVerticalCenterTo
 | AnchorToCompanion
 | AnchorSame
 | AnchorAsAlign
 | AnchorClient
 | AnchoredControlCount
 | SetBounds
 | SetInitialBounds
 | SetBoundsKeepBase
 | GetPreferredSize
 | GetCanvasScaleFactor
 | GetDefaultWidth
 | GetDefaultHeight
 | GetDefaultColor
 | GetColorResolvingParent
 | GetRGBColorResolvingParent
 | GetSidePosition
 | CNPreferredSizeChanged
 | InvalidatePreferredSize
 | GetAnchorsDependingOnParent
 | DisableAutoSizing
 | EnableAutoSizing
 | UpdateBaseBounds
 | WriteLayoutDebugReport
 | AutoAdjustLayout
 | ShouldAutoAdjust
 | FixDesignFontsPPI
 | ScaleFontsPPI
 | Create
 | Destroy
 | BeforeDestruction
 | EditingDone
 | ExecuteDefaultAction
 | ExecuteCancelAction
 | BeginDrag
 | EndDrag
 | BringToFront
 | HasParent
 | GetParentComponent
 | IsParentOf
 | GetTopParent
 | IsVisible
 | IsControlVisible
 | IsEnabled
 | IsParentColor
 | IsParentFont
 | FormIsUpdating
 | IsProcessingPaintMsg
 | Hide
 | Refresh
 | Repaint
 | Invalidate
 | CheckChildClassAllowed
 | CheckNewParent
 | SendToBack
 | SetTempCursor
 | UpdateRolesForForm
 | ActiveDefaultControlChanged
 | GetTextBuf
 | GetTextLen
 | SetTextBuf
 | Perform
 | ScreenToClient
 | ClientToScreen
 | ScreenToControl
 | ControlToScreen
 | ClientToParent
 | ParentToClient
 | GetChildrenRect
 | Show
 | Update
 | HandleObjectShouldBeVisible
 | ParentDestroyingHandle
 | ParentHandlesAllocated
 | InitiateAction
 | ShowHelp
 | HasHelp
 | RemoveAllHandlersOfObject
 | AddHandlerOnResize
 | RemoveHandlerOnResize
 | AddHandlerOnChangeBounds
 | RemoveHandlerOnChangeBounds
 | AddHandlerOnVisibleChanging
 | RemoveHandlerOnVisibleChanging
 | AddHandlerOnVisibleChanged
 | RemoveHandlerOnVisibleChanged
 | AddHandlerOnEnabledChanged
 | RemoveHandlerOnEnableChanging
 | AddHandlerOnKeyDown
 | RemoveHandlerOnKeyDown
 | AddHandlerOnBeforeDestruction
 | RemoveHandlerOnBeforeDestruction
 | AddHandlerOnMouseWheel
 | RemoveHandlerOnMouseWheel
 | UseRightToLeftAlignment
 | UseRightToLeftReading
 | UseRightToLeftScrollBar
 | IsRightToLeft
TLCLComponent
pt | WSRegisterClass
pt | GetWSComponentClass
 | Create
 | Destroy
 | NewInstance
 | RemoveAllHandlersOfObject
 | IncLCLRefCount
 | DecLCLRefCount
TComponent
 | GetComObject
 | GetComponent
 | GetComponentCount
 | GetComponentIndex
 | Insert
 | ReadLeft
 | ReadTop
 | Remove
 | RemoveNotification
 | SetComponentIndex
 | SetReference
 | WriteLeft
 | WriteTop
 | ChangeName
 | DefineProperties
 | GetChildren
 | GetChildOwner
 | GetChildParent
 | GetOwner
 | Loaded
 | Loading
 | Notification
 | PaletteCreated
 | ReadState
 | SetAncestor
 | SetDesigning
 | SetDesignInstance
 | SetInline
 | SetName
 | SetChildOrder
 | SetParentComponent
 | Updating
 | Updated
 | UpdateRegistry
 | ValidateRename
 | ValidateContainer
 | ValidateInsert
 | QueryInterface
 | _AddRef
 | _Release
 | iicrGetComponent
 | GetTypeInfoCount
 | GetTypeInfo
 | GetIDsOfNames
 | Invoke
 | WriteState
 | Create
 | Destroy
 | BeforeDestruction
 | DestroyComponents
 | Destroying
 | ExecuteAction
 | FindComponent
 | FreeNotification
 | RemoveFreeNotification
 | FreeOnRelease
 | GetEnumerator
 | GetNamePath
 | GetParentComponent
 | HasParent
 | InsertComponent
 | RemoveComponent
 | SafeCallException
 | SetSubComponent
 | UpdateAction
 | IsImplementorOf
 | ReferenceInterface
TPersistent
 | AssignError
 | AssignTo
 | DefineProperties
 | GetOwner
 | Destroy
 | Assign
 | FPOAttachObserver
 | FPODetachObserver
 | FPONotifyObservers
 | GetNamePath
TObject
 | Create
 | Destroy
 | newinstance
 | FreeInstance
 | SafeCallException
 | DefaultHandler
 | Free
 | InitInstance
 | CleanupInstance
 | ClassType
 | ClassInfo
 | ClassName
 | ClassNameIs
 | ClassParent
 | InstanceSize
 | InheritsFrom
 | StringMessageTable
 | MethodAddress
 | MethodName
 | FieldAddress
 | AfterConstruction
 | BeforeDestruction
 | DefaultHandlerStr
 | Dispatch
 | DispatchStr
 | GetInterface
 | GetInterfaceByStr
 | GetInterfaceWeak
 | GetInterfaceEntry
 | GetInterfaceEntryByStr
 | GetInterfaceTable
 | UnitName
 | Equals
 | GetHashCode
 | ToString


pt | ActionChange (TControl)
 | ActiveDefaultControlChanged (TControl)
 | AddControl (TWinControl)
pt | AddHandler (TControl)
 | AddHandlerOnBeforeDestruction (TControl)
 | AddHandlerOnChangeBounds (TControl)
 | AddHandlerOnEnabledChanged (TControl)
 | AddHandlerOnKeyDown (TControl)
 | AddHandlerOnMouseWheel (TControl)
 | AddHandlerOnResize (TControl)
 | AddHandlerOnVisibleChanged (TControl)
 | AddHandlerOnVisibleChanging (TControl)
pt | AdjustClientRect (TWinControl)
 | AdjustSize (TControl)
 | AfterConstruction (TObject)
pt | AlignControls (TWinControl)
pt | AllAutoSized (TWinControl)
 | AnchorAsAlign (TControl)
 | AnchorClient (TControl)
 | AnchoredControlCount (TControl)
 | AnchorHorizontalCenterTo (TControl)
 | AnchorParallel (TControl)
 | AnchorSame (TControl)
pt | AnchorSideChanged (TControl)
 | AnchorToCompanion (TControl)
 | AnchorToNeighbour (TControl)
 | AnchorVerticalCenterTo (TControl)
 | Assign (TPersistent)
 | AssignError (TPersistent)
 | AssignTo (TPersistent)
pt | AssignTo (TControl)
 | AutoAdjustLayout (TControl)
 | AutoAdjustLayout (TWinControl)
 | AutoSizeDelayed (TControl)
 | AutoSizeDelayed (TWinControl)
 | AutoSizeDelayedHandle (TControl)
 | AutoSizeDelayedHandle (TWinControl)
 | AutoSizeDelayedReport (TControl)
 | AutoSizeDelayedReport (TWinControl)
 | AutoSizePhases (TControl)
 | AutoSizePhases (TWinControl)
 | BeforeDestruction (TObject)
 | BeforeDestruction (TComponent)
 | BeforeDestruction (TControl)
pt | BeforeDragStart (TControl)
pt | BeginAutoDrag (TControl)
pt | BeginAutoSizing (TControl)
 | BeginDrag (TControl)
 | BeginUpdateBounds (TWinControl)
pt | BoundsChanged (TControl)
 | BringToFront (TControl)
 | BroadCast (TWinControl)
 | BrushCreated (TWinControl)
pt | CalculateDockSizes (TControl)
pt | CalculatePreferredSize (TControl)
pt | CalculatePreferredSize (TWinControl)
pt | CalculatePreferredSize (TCDControl)
pt | CanAutoSize (TControl)
 | CanFocus (TWinControl)
 | CanSetFocus (TWinControl)
pt | CanTab (TControl)
pt | CanTab (TWinControl)
pt | CaptureChanged (TControl)
pt | ChangeBounds (TControl)
pt | Changed (TControl)
 | ChangeName (TComponent)
pt | ChangeScale (TControl)
pt | ChangeScale (TWinControl)
 | CheckChildClassAllowed (TControl)
 | CheckNewParent (TControl)
pt | CheckOnChangeBounds (TControl)
pt | ChildClassAllowed (TControl)
pt | ChildClassAllowed (TWinControl)
pt | ChildHandlesCreated (TWinControl)
pt | ChildKey (TWinControl)
 | ClassInfo (TObject)
 | ClassName (TObject)
 | ClassNameIs (TObject)
 | ClassParent (TObject)
 | ClassType (TObject)
 | CleanupInstance (TObject)
pt | Click (TControl)
 | ClientRectNeedsInterfaceUpdate (TWinControl)
 | ClientToParent (TControl)
 | ClientToScreen (TControl)
pt | CMBiDiModeChanged (TControl)
pt | CMBiDiModeChanged (TWinControl)
pt | CMBorderChanged (TWinControl)
pt | CMChanged (TControl)
pt | CMCursorChanged (TControl)
pt | CMDoubleBufferedChanged (TWinControl)
pt | CMEnabledChanged (TControl)
pt | CMEnabledChanged (TWinControl)
pt | CMEnter (TWinControl)
pt | CMExit (TWinControl)
pt | CMHintShow (TControl)
pt | CMHitTest (TControl)
pt | CMMouseEnter (TControl)
pt | CMMouseLeave (TControl)
pt | CMParentBiDiModeChanged (TControl)
pt | CMParentColorChanged (TControl)
pt | CMParentDoubleBufferedChanged (TWinControl)
pt | CMParentFontChanged (TControl)
pt | CMParentShowHintChanged (TControl)
pt | CMShowHintChanged (TWinControl)
pt | CMShowingChanged (TWinControl)
pt | CMSysFontChanged (TControl)
pt | CMTextChanged (TControl)
pt | CMVisibleChanged (TControl)
pt | CMVisibleChanged (TWinControl)
pt | CNChar (TWinControl)
pt | CNKeyDown (TWinControl)
pt | CNKeyUp (TWinControl)
 | CNPreferredSizeChanged (TControl)
pt | CNSysKeyDown (TWinControl)
pt | CNSysKeyUp (TWinControl)
pt | ColorIsStored (TControl)
pt | ConstrainedResize (TControl)
 | ContainsControl (TWinControl)
 | ControlAtPos (TWinControl)
pt | ControlKeyDown (TWinControl)
pt | ControlKeyUp (TWinControl)
pt | ControlsAligned (TWinControl)
 | ControlToScreen (TControl)
 | Create (TObject)
 | Create (TComponent)
 | Create (TLCLComponent)
 | Create (TControl)
 | Create (TWinControl)
 | Create (TCustomControl)
 | Create (TCDControl)
 | Create (TCDPositionedControl)
 | Create (TCDTrackBar)
 | CreateAccessibleObject (TControl)
pt | CreateBrush (TWinControl)
pt | CreateControlBorderSpacing (TControl)
pt | CreateControlStateEx (TCDControl)
pt | CreateControlStateEx (TCDPositionedControl)
pt | CreateDockManager (TWinControl)
pt | CreateFloatingDockSite (TControl)
pt | CreateHandle (TWinControl)
pt | CreateParams (TWinControl)
 | CreateParented (TWinControl)
 | CreateParentedControl (TWinControl)
pt | CreateSubClass (TWinControl)
pt | CreateWnd (TWinControl)
pt | CustomAlignInsertBefore (TWinControl)
pt | CustomAlignPosition (TWinControl)
pt | DblClick (TControl)
 | DecLCLRefCount (TLCLComponent)
 | DefaultHandler (TObject)
 | DefaultHandler (TWinControl)
 | DefaultHandlerStr (TObject)
 | DefineProperties (TPersistent)
 | DefineProperties (TComponent)
pt | DefineProperties (TControl)
 | Destroy (TObject)
 | Destroy (TPersistent)
 | Destroy (TComponent)
 | Destroy (TLCLComponent)
 | Destroy (TControl)
 | Destroy (TWinControl)
 | Destroy (TCustomControl)
 | Destroy (TCDControl)
 | Destroy (TCDPositionedControl)
 | Destroy (TCDTrackBar)
 | DestroyComponents (TComponent)
pt | DestroyHandle (TWinControl)
 | Destroying (TComponent)
pt | DestroyWnd (TWinControl)
pt | DestroyWnd (TCustomControl)
pt | DialogChar (TControl)
pt | DialogChar (TWinControl)
 | DisableAlign (TWinControl)
 | DisableAutoSizing (TControl)
 | Dispatch (TObject)
 | DispatchStr (TObject)
pt | DoAddDockClient (TWinControl)
 | DoAdjustClientRectChange (TWinControl)
pt | DoAlignChildControls (TWinControl)
pt | DoAllAutoSize (TControl)
pt | DoAllAutoSize (TWinControl)
pt | DoAutoAdjustLayout (TControl)
pt | DoAutoSize (TControl)
pt | DoAutoSize (TWinControl)
pt | DoBorderSpacingChange (TControl)
pt | DoCallKeyEventHandler (TControl)
pt | DoCallMouseWheelEventHandler (TControl)
pt | DoCallNotifyHandler (TControl)
pt | DoChildSizingChange (TWinControl)
 | Dock (TControl)
 | DockDrop (TWinControl)
 | Docked (TControl)
pt | DockOver (TWinControl)
pt | DockTrackNoTarget (TControl)
pt | DoConstraintsChange (TControl)
pt | DoConstraintsChange (TWinControl)
pt | DoContextPopup (TControl)
pt | DoDock (TControl)
pt | DoDockClientMsg (TWinControl)
pt | DoDockOver (TWinControl)
pt | DoDragMsg (TControl)
pt | DoDragMsg (TWinControl)
pt | DoEndDock (TControl)
pt | DoEndDrag (TControl)
pt | DoEnter (TWinControl)
pt | DoEnter (TCDControl)
pt | DoExit (TWinControl)
pt | DoExit (TCDControl)
pt | DoFixDesignFontPPI (TControl)
pt | DoFlipChildren (TWinControl)
pt | DoFloatMsg (TControl)
pt | DoFloatMsg (TWinControl)
pt | DoGetDockCaption (TWinControl)
pt | DoKeyDownBeforeInterface (TWinControl)
pt | DoKeyPress (TWinControl)
pt | DoKeyUpBeforeInterface (TWinControl)
pt | DoMouseWheel (TControl)
pt | DoMouseWheelDown (TControl)
pt | DoMouseWheelHorz (TControl)
pt | DoMouseWheelLeft (TControl)
pt | DoMouseWheelRight (TControl)
pt | DoMouseWheelUp (TControl)
pt | DoOnChangeBounds (TControl)
pt | DoOnParentHandleDestruction (TControl)
pt | DoOnResize (TControl)
pt | DoOnShowHint (TControl)
pt | DoRemainingKeyDown (TWinControl)
pt | DoRemainingKeyUp (TWinControl)
pt | DoRemoveDockClient (TWinControl)
pt | DoScaleFontPPI (TControl)
pt | DoSendBoundsToInterface (TWinControl)
pt | DoSendShowHideToInterface (TWinControl)
pt | DoSetBounds (TControl)
pt | DoSetBounds (TWinControl)
pt | DoStartDock (TControl)
pt | DoStartDrag (TControl)
pt | DoUnDock (TWinControl)
pt | DoUndockClientMsg (TWinControl)
pt | DoUTF8KeyPress (TWinControl)
pt | DragCanceled (TControl)
 | DragDrop (TControl)
 | Dragging (TControl)
pt | DragOver (TControl)
 | DrawToCanvas (TCDControl)
 | EditingDone (TControl)
 | EnableAlign (TWinControl)
 | EnableAutoSizing (TControl)
pt | EnabledChanged (TControl)
pt | EnabledChanging (TControl)
pt | EndAutoSizing (TControl)
 | EndDrag (TControl)
 | EndUpdateBounds (TWinControl)
 | Equals (TObject)
 | EraseBackground (TWinControl)
 | EraseBackground (TCDControl)
 | ExecuteAction (TComponent)
 | ExecuteCancelAction (TControl)
 | ExecuteDefaultAction (TControl)
 | FieldAddress (TObject)
pt | FinalizeWnd (TWinControl)
 | FindChildControl (TWinControl)
 | FindComponent (TComponent)
pt | FindNextControl (TWinControl)
 | FixDesignFontsPPI (TControl)
pt | FixupTabList (TWinControl)
 | FlipChildren (TWinControl)
 | Focused (TWinControl)
pt | FontChanged (TControl)
pt | FontChanged (TWinControl)
pt | FontChanged (TCustomControl)
pt | ForeignAnchorSideChanged (TControl)
pt | FormEndUpdated (TControl)
pt | FormEndUpdated (TWinControl)
 | FormIsUpdating (TControl)
 | FPOAttachObserver (TPersistent)
 | FPODetachObserver (TPersistent)
 | FPONotifyObservers (TPersistent)
 | Free (TObject)
 | FreeInstance (TObject)
 | FreeNotification (TComponent)
 | FreeOnRelease (TComponent)
 | GetAccessibleObject (TControl)
pt | GetAction (TControl)
pt | GetActionLinkClass (TControl)
pt | GetAdjustedLogicalClientRect (TWinControl)
 | GetAnchorsDependingOnParent (TControl)
pt | GetBorderStyle (TWinControl)
pt | GetButtonFromMousePos (TCDPositionedControl)
pt | GetCachedText (TControl)
 | GetCanvasScaleFactor (TControl)
 | GetChildAccessibleObjectAtPos (TControl)
 | GetChildOwner (TComponent)
 | GetChildParent (TComponent)
 | GetChildren (TComponent)
pt | GetChildren (TWinControl)
 | GetChildrenRect (TControl)
 | GetChildrenRect (TWinControl)
pt | GetClientOrigin (TControl)
pt | GetClientOrigin (TWinControl)
pt | GetClientRect (TControl)
pt | GetClientRect (TWinControl)
pt | GetClientRect (TCDControl)
pt | GetClientScrollOffset (TControl)
 | GetColorResolvingParent (TControl)
 | GetComObject (TComponent)
 | GetComponent (TComponent)
 | GetComponentCount (TComponent)
 | GetComponentIndex (TComponent)
pt | GetControlClassDefaultSize (TControl)
pt | GetControlId (TCDControl)
pt | GetControlId (TCDTrackBar)
 | GetControlIndex (TWinControl)
pt | GetControlOrigin (TControl)
pt | GetControlOrigin (TWinControl)
pt | GetCursor (TControl)
 | GetDefaultColor (TControl)
pt | GetDefaultDockCaption (TControl)
 | GetDefaultHeight (TControl)
 | GetDefaultWidth (TControl)
pt | GetDeviceContext (TControl)
pt | GetDeviceContext (TWinControl)
 | GetDockCaption (TWinControl)
pt | GetDockEdge (TControl)
pt | GetDragImages (TControl)
pt | GetEnabled (TControl)
 | GetEnumerator (TComponent)
 | GetEnumeratorControls (TWinControl)
 | GetEnumeratorControlsReverse (TWinControl)
pt | GetFloating (TControl)
pt | GetFloatingDockSiteClass (TControl)
 | GetHashCode (TObject)
 | GetIDsOfNames (TComponent)
 | GetInterface (TObject)
 | GetInterfaceByStr (TObject)
 | GetInterfaceEntry (TObject)
 | GetInterfaceEntryByStr (TObject)
 | GetInterfaceTable (TObject)
 | GetInterfaceWeak (TObject)
pt | GetLogicalClientRect (TControl)
pt | GetMouseCapture (TControl)
pt | GetMouseCapture (TWinControl)
pt | GetMousePosFromMessage (TControl)
 | GetNamePath (TPersistent)
 | GetNamePath (TComponent)
 | GetOwner (TPersistent)
 | GetOwner (TComponent)
pt | GetPalette (TControl)
pt | GetParentBackground (TWinControl)
 | GetParentComponent (TComponent)
 | GetParentComponent (TControl)
pt | GetParentHandle (TWinControl)
pt | GetPopupMenu (TControl)
pt | GetPositionDisplacement (TCDPositionedControl)
pt | GetPositionDisplacement (TCDTrackBar)
pt | GetPositionDisplacementWithMargins (TCDPositionedControl)
pt | GetPositionFromMousePos (TCDPositionedControl)
pt | GetPositionFromMousePos (TCDTrackBar)
pt | GetPositionFromMousePosWithMargins (TCDPositionedControl)
 | GetPreferredSize (TControl)
pt | GetPreferredSizeClientFrame (TWinControl)
 | GetRGBColorResolvingParent (TControl)
pt | GetScrolledClientRect (TControl)
 | GetSelectedChildAccessibleObject (TControl)
 | GetSidePosition (TControl)
pt | GetSiteInfo (TWinControl)
 | GetTabOrderList (TWinControl)
 | GetTextBuf (TControl)
 | GetTextLen (TControl)
 | GetTextLen (TWinControl)
 | GetTopParent (TControl)
pt | GetTopParentHandle (TWinControl)
 | GetTypeInfo (TComponent)
 | GetTypeInfoCount (TComponent)
pt | GetWSComponentClass (TLCLComponent)
 | HandleAllocated (TWinControl)
 | HandleNeeded (TWinControl)
 | HandleObjectShouldBeVisible (TControl)
 | HasHelp (TControl)
 | HasParent (TComponent)
 | HasParent (TControl)
pt | HeightIsAnchored (TControl)
 | Hide (TControl)
 | iicrGetComponent (TComponent)
 | IncLCLRefCount (TLCLComponent)
 | InheritsFrom (TObject)
pt | InitializeWnd (TWinControl)
 | InitiateAction (TControl)
 | InitInstance (TObject)
 | Insert (TComponent)
 | InsertComponent (TComponent)
 | InsertControl (TWinControl)
 | InstanceSize (TObject)
 | IntfGetDropFilesTarget (TWinControl)
 | IntfUTF8KeyPress (TWinControl)
 | Invalidate (TControl)
 | Invalidate (TWinControl)
pt | InvalidateBoundsRealized (TWinControl)
 | InvalidateClientRectCache (TWinControl)
pt | InvalidateControl (TControl)
pt | InvalidatePreferredChildSizes (TWinControl)
 | InvalidatePreferredSize (TControl)
 | Invoke (TComponent)
pt | IsAParentAligning (TControl)
pt | IsBorderSpacingInnerBorderStored (TControl)
pt | IsCaptionStored (TControl)
pt | IsClientHeightStored (TControl)
pt | IsClientHeightStored (TWinControl)
pt | IsClientWidthStored (TControl)
pt | IsClientWidthStored (TWinControl)
pt | IsControlMouseMsg (TWinControl)
 | IsControlVisible (TControl)
 | IsEnabled (TControl)
 | IsImplementorOf (TComponent)
 | IsParentColor (TControl)
 | IsParentFont (TControl)
 | IsParentOf (TControl)
 | IsProcessingPaintMsg (TControl)
 | IsRightToLeft (TControl)
 | IsVisible (TControl)
pt | KeyDown (TWinControl)
pt | KeyDown (TCDPositionedControl)
pt | KeyDownAfterInterface (TWinControl)
pt | KeyDownBeforeInterface (TWinControl)
pt | KeyPress (TWinControl)
pt | KeyUp (TWinControl)
pt | KeyUpAfterInterface (TWinControl)
pt | KeyUpBeforeInterface (TWinControl)
 | LCLWSCalculatePreferredSize (TCDControl)
pt | LMCaptureChanged (TControl)
 | Loaded (TComponent)
pt | Loaded (TControl)
pt | Loaded (TWinControl)
pt | LoadedAll (TControl)
 | Loading (TComponent)
 | LockRealizeBounds (TWinControl)
pt | MainWndProc (TWinControl)
 | ManualDock (TControl)
 | ManualFloat (TControl)
 | MethodAddress (TObject)
 | MethodName (TObject)
pt | MouseDown (TControl)
pt | MouseDown (TCDControl)
pt | MouseDown (TCDPositionedControl)
pt | MouseEnter (TControl)
pt | MouseEnter (TCDControl)
pt | MouseLeave (TControl)
pt | MouseLeave (TCDControl)
pt | MouseMove (TControl)
pt | MouseMove (TCDPositionedControl)
pt | MouseUp (TControl)
pt | MouseUp (TCDPositionedControl)
 | newinstance (TObject)
 | NewInstance (TLCLComponent)
 | Notification (TComponent)
pt | Notification (TControl)
 | NotifyControls (TWinControl)
pt | Paint (TCustomControl)
 | Paint (TCDControl)
pt | PaintControls (TWinControl)
pt | PaintHandler (TWinControl)
 | PaintTo (TWinControl)
pt | PaintWindow (TWinControl)
pt | PaintWindow (TCustomControl)
 | PaletteCreated (TComponent)
 | ParentDestroyingHandle (TControl)
pt | ParentFontChanged (TControl)
pt | ParentFormHandleInitialized (TControl)
pt | ParentFormHandleInitialized (TWinControl)
 | ParentHandlesAllocated (TControl)
 | ParentHandlesAllocated (TWinControl)
 | ParentToClient (TControl)
 | Perform (TControl)
 | PerformTab (TWinControl)
pt | PositionDockRect (TControl)
pt | PrepareControlState (TCDControl)
pt | PrepareControlState (TCDTrackBar)
pt | PrepareControlStateEx (TCDControl)
pt | PrepareControlStateEx (TCDPositionedControl)
pt | PrepareCurrentDrawer (TCDControl)
pt | QuadClick (TControl)
 | QueryInterface (TComponent)
 | ReadLeft (TComponent)
 | ReadState (TComponent)
pt | ReadState (TControl)
 | ReadTop (TComponent)
pt | RealGetText (TControl)
pt | RealGetText (TWinControl)
 | ReAlign (TWinControl)
pt | RealizeBounds (TWinControl)
pt | RealizeBoundsRecursive (TWinControl)
pt | RealSetText (TControl)
pt | RealSetText (TWinControl)
 | ReferenceInterface (TComponent)
 | Refresh (TControl)
pt | ReloadDockedControl (TWinControl)
 | Remove (TComponent)
 | RemoveAllHandlersOfObject (TLCLComponent)
 | RemoveAllHandlersOfObject (TControl)
 | RemoveComponent (TComponent)
 | RemoveControl (TWinControl)
pt | RemoveFocus (TWinControl)
 | RemoveFreeNotification (TComponent)
pt | RemoveHandler (TControl)
 | RemoveHandlerOnBeforeDestruction (TControl)
 | RemoveHandlerOnChangeBounds (TControl)
 | RemoveHandlerOnEnableChanging (TControl)
 | RemoveHandlerOnKeyDown (TControl)
 | RemoveHandlerOnMouseWheel (TControl)
 | RemoveHandlerOnResize (TControl)
 | RemoveHandlerOnVisibleChanged (TControl)
 | RemoveHandlerOnVisibleChanging (TControl)
 | RemoveNotification (TComponent)
 | Repaint (TControl)
 | Repaint (TWinControl)
 | ReplaceDockedControl (TControl)
pt | RequestAlign (TControl)
pt | Resize (TControl)
 | SafeCallException (TObject)
 | SafeCallException (TComponent)
 | Scale96ToFont (TControl)
 | Scale96ToForm (TControl)
 | Scale96ToScreen (TControl)
 | ScaleBy (TWinControl)
pt | ScaleConstraints (TControl)
pt | ScaleControls (TWinControl)
 | ScaleDesignToForm (TControl)
 | ScaleFontsPPI (TControl)
 | ScaleFontTo96 (TControl)
 | ScaleFontToScreen (TControl)
 | ScaleFormTo96 (TControl)
 | ScaleFormToDesign (TControl)
 | ScaleScreenTo96 (TControl)
 | ScaleScreenToFont (TControl)
 | ScreenToClient (TControl)
 | ScreenToControl (TControl)
 | ScrollBy (TWinControl)
 | ScrollBy_WS (TWinControl)
pt | SelectFirst (TWinControl)
 | SelectNext (TWinControl)
pt | SendDialogChar (TWinControl)
pt | SendMoveSizeMessages (TControl)
pt | SendMoveSizeMessages (TWinControl)
 | SendToBack (TControl)
pt | SetAction (TControl)
pt | SetAlign (TControl)
 | SetAncestor (TComponent)
pt | SetAnchors (TControl)
pt | SetAutoSize (TControl)
pt | SetBiDiMode (TControl)
pt | SetBorderStyle (TWinControl)
 | SetBounds (TControl)
 | SetBounds (TWinControl)
 | SetBoundsKeepBase (TControl)
 | SetChildOrder (TComponent)
pt | SetChildZPosition (TWinControl)
pt | SetColor (TControl)
pt | SetColor (TWinControl)
pt | SetColor (TCustomControl)
 | SetComponentIndex (TComponent)
 | SetControlIndex (TWinControl)
pt | SetCursor (TControl)
 | SetDesigning (TComponent)
 | SetDesignInstance (TComponent)
pt | SetDockManager (TWinControl)
pt | SetDragMode (TControl)
pt | SetDrawStyle (TCDControl)
pt | SetEnabled (TControl)
 | SetFocus (TWinControl)
pt | SetHint (TControl)
 | SetInitialBounds (TControl)
 | SetInline (TComponent)
 | SetName (TComponent)
pt | SetName (TControl)
pt | SetParent (TControl)
pt | SetParentBackground (TWinControl)
pt | SetParentBiDiMode (TControl)
 | SetParentComponent (TComponent)
pt | SetParentComponent (TControl)
 | SetReference (TComponent)
 | SetShape (TWinControl)
pt | SetState (TCDControl)
 | SetSubComponent (TComponent)
 | SetTempCursor (TControl)
 | SetTempCursor (TWinControl)
 | SetTextBuf (TControl)
pt | SetVisible (TControl)
pt | SetZOrder (TControl)
 | ShouldAutoAdjust (TControl)
 | Show (TControl)
pt | ShowControl (TWinControl)
 | ShowHelp (TControl)
 | StringMessageTable (TObject)
pt | TextChanged (TControl)
 | ToString (TObject)
pt | TripleClick (TControl)
 | UnitName (TObject)
 | UnlockRealizeBounds (TWinControl)
 | Update (TControl)
 | Update (TWinControl)
 | UpdateAction (TComponent)
pt | UpdateAnchorRules (TControl)
 | UpdateBaseBounds (TControl)
pt | UpdateControlState (TWinControl)
 | Updated (TComponent)
 | UpdateDockCaption (TWinControl)
pt | UpdateMouseCursor (TControl)
 | UpdateRegistry (TComponent)
 | UpdateRolesForForm (TControl)
pt | UpdateShowing (TWinControl)
 | Updating (TComponent)
 | UseRightToLeftAlignment (TControl)
 | UseRightToLeftReading (TControl)
 | UseRightToLeftScrollBar (TControl)
pt | UTF8KeyPress (TWinControl)
 | ValidateContainer (TComponent)
 | ValidateInsert (TComponent)
 | ValidateRename (TComponent)
pt | VisibleChanged (TControl)
pt | VisibleChanging (TControl)
pt | WidthIsAnchored (TControl)
pt | WMCancelMode (TControl)
pt | WMChar (TWinControl)
pt | WMContextMenu (TControl)
pt | WMContextMenu (TWinControl)
pt | WMDestroy (TWinControl)
pt | WMEnter (TWinControl)
pt | WMEraseBkgnd (TWinControl)
pt | WMExit (TWinControl)
pt | WMKeyDown (TWinControl)
pt | WMKeyUp (TWinControl)
pt | WMKillFocus (TWinControl)
pt | WMLButtonDBLCLK (TControl)
pt | WMLButtonDown (TControl)
pt | WMLButtonQuadCLK (TControl)
pt | WMLButtonTripleCLK (TControl)
pt | WMLButtonUp (TControl)
pt | WMMButtonDBLCLK (TControl)
pt | WMMButtonDown (TControl)
pt | WMMButtonQuadCLK (TControl)
pt | WMMButtonTripleCLK (TControl)
pt | WMMButtonUp (TControl)
pt | WMMouseHWheel (TControl)
pt | WMMouseMove (TControl)
pt | WMMouseWheel (TControl)
pt | WMMove (TControl)
pt | WMMove (TWinControl)
pt | WMNotify (TWinControl)
pt | WMPaint (TWinControl)
pt | WMPaint (TCustomControl)
pt | WMRButtonDBLCLK (TControl)
pt | WMRButtonDown (TControl)
pt | WMRButtonQuadCLK (TControl)
pt | WMRButtonTripleCLK (TControl)
pt | WMRButtonUp (TControl)
pt | WMSetFocus (TWinControl)
pt | WMShowWindow (TWinControl)
pt | WMSize (TControl)
pt | WMSize (TWinControl)
pt | WMSysChar (TWinControl)
pt | WMSysKeyDown (TWinControl)
pt | WMSysKeyUp (TWinControl)
pt | WMWindowPosChanged (TControl)
pt | WMWindowPosChanged (TWinControl)
pt | WMXButtonDBLCLK (TControl)
pt | WMXButtonDown (TControl)
pt | WMXButtonQuadCLK (TControl)
pt | WMXButtonTripleCLK (TControl)
pt | WMXButtonUp (TControl)
pt | WndProc (TControl)
pt | WndProc (TWinControl)
 | WriteLayoutDebugReport (TControl)
 | WriteLayoutDebugReport (TWinControl)
 | WriteLeft (TComponent)
 | WriteState (TComponent)
 | WriteTop (TComponent)
pt | WSRegisterClass (TLCLComponent)
pt | WSRegisterClass (TControl)
pt | WSRegisterClass (TWinControl)
pt | WSRegisterClass (TCustomControl)
pt | WSSetText (TWinControl)
 | _AddRef (TComponent)
 | _Release (TComponent)


TCDTrackBar
TCDPositionedControl
pl | OnChange
pl | OnChangeByUser
TCDControl
TCustomControl
 | OnPaint
TWinControl
pt | OnGetSiteInfo
pt | OnGetDockCaption
 | OnAlignInsertBefore
 | OnAlignPosition
 | OnDockDrop
 | OnDockOver
 | OnEnter
 | OnExit
 | OnKeyDown
 | OnKeyPress
 | OnKeyUp
 | OnUnDock
 | OnUTF8KeyPress
TControl
pt | OnConstrainedResize
pt | OnContextPopup
pt | OnDblClick
pt | OnTripleClick
pt | OnQuadClick
pt | OnDragDrop
pt | OnDragOver
pt | OnEndDock
pt | OnEndDrag
pt | OnMouseDown
pt | OnMouseMove
pt | OnMouseUp
pt | OnMouseEnter
pt | OnMouseLeave
pt | OnMouseWheel
pt | OnMouseWheelDown
pt | OnMouseWheelUp
pt | OnMouseWheelHorz
pt | OnMouseWheelLeft
pt | OnMouseWheelRight
pt | OnStartDock
pt | OnStartDrag
pt | OnEditingDone
 | OnChangeBounds
 | OnClick
 | OnResize
 | OnShowHint
TLCLComponent
TComponent
TPersistent
TObject


TCDTrackBar.Align

Declaration

Source position: customdrawncontrols.pas line 508

published property TCDTrackBar.Align : TAlign;


TCDTrackBar.Color

Declaration

Source position: customdrawncontrols.pas line 509

published property TCDTrackBar.Color : TColor;


TCDTrackBar.Create

Declaration

Source position: customdrawncontrols.pas line 504

public constructor TCDTrackBar.Create(

  AOwner: TComponent

); override;


TCDTrackBar.Destroy

Declaration

Source position: customdrawncontrols.pas line 505

public destructor TCDTrackBar.Destroy; override;


TCDTrackBar.DrawStyle

Declaration

Source position: customdrawncontrols.pas line 510

published property TCDTrackBar.DrawStyle : TCDDrawStyle;


TCDTrackBar.Enabled

Declaration

Source position: customdrawncontrols.pas line 511

published property TCDTrackBar.Enabled : Boolean;


TCDTrackBar.GetControlId

Declaration

Source position: customdrawncontrols.pas line 501

protected function TCDTrackBar.GetControlId: TCDControlID; override;


TCDTrackBar.GetPositionDisplacement

Declaration

Source position: customdrawncontrols.pas line 500

protected function TCDTrackBar.GetPositionDisplacement(

  AOldMousePos: TPoint;

  ANewMousePos: TPoint

):Integer; override;


TCDTrackBar.GetPositionFromMousePos

Declaration

Source position: customdrawncontrols.pas line 499

protected function TCDTrackBar.GetPositionFromMousePos(

  X: Integer;

  Y: Integer

):Integer; override;


TCDTrackBar.Orientation

Declaration

Source position: customdrawncontrols.pas line 512

published property TCDTrackBar.Orientation : TTrackBarOrientation
  read FOrientation
  write SetOrientation
  default trHorizontal;


TCDTrackBar.PrepareControlState

Declaration

Source position: customdrawncontrols.pas line 502

protected procedure TCDTrackBar.PrepareControlState; override;


TCDTrackBar.TabStop

Declaration

Source position: customdrawncontrols.pas line 513

published property TCDTrackBar.TabStop : Boolean
  default True;


TCDButtonStateEx

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Declaration

Source position: customdrawndrawers.pas line 149

type TCDButtonStateEx = class(TCDControlStateEx)

public

  Glyph: TBitmap;

end;

Inheritance

TCDButtonStateEx

|

TCDControlStateEx

|

TObject


TCDButtonStateEx

TCDControlStateEx


TCDButtonStateEx.Glyph

Declaration

Source position: customdrawndrawers.pas line 151

public TCDButtonStateEx.Glyph : TBitmap;


TCDColorPalette

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Declaration

Source position: customdrawndrawers.pas line 283

type TCDColorPalette = class

public

  ScrollBar: TColor;

  Background: TColor;

  ActiveCaption: TColor;

  InactiveCaption: TColor;

  Menu: TColor;

  Window: TColor;

  WindowFrame: TColor;

  MenuText: TColor;

  WindowText: TColor;

  CaptionText: TColor;

  ActiveBorder: TColor;

  InactiveBorder: TColor;

  AppWorkspace: TColor;

  Highlight: TColor;

  HighlightText: TColor;

  BtnFace: TColor;

  BtnShadow: TColor;

  GrayText: TColor;

  BtnText: TColor;

  InactiveCaptionText: TColor;

  BtnHighlight: TColor;

  color3DDkShadow: TColor;

  color3DLight: TColor;

  InfoText: TColor;

  InfoBk: TColor;

  HotLight: TColor;

  GradientActiveCaption: TColor;

  GradientInactiveCaption: TColor;

  MenuHighlight: TColor;

  MenuBar: TColor;

  Form: TColor;

  procedure Assign();

end;

Inheritance

TCDColorPalette

|

TObject


TCDColorPalette


TCDColorPalette

Assign


TCDColorPalette.ActiveBorder

Declaration

Source position: customdrawndrawers.pas line 287

public TCDColorPalette.ActiveBorder : TColor;


TCDColorPalette.ActiveCaption

Declaration

Source position: customdrawndrawers.pas line 285

public TCDColorPalette.ActiveCaption : TColor;


TCDColorPalette.AppWorkspace

Declaration

Source position: customdrawndrawers.pas line 287

public TCDColorPalette.AppWorkspace : TColor;


TCDColorPalette.Assign

Declaration

Source position: customdrawndrawers.pas line 293

public procedure TCDColorPalette.Assign(

  AFrom: TCDColorPalette

);


TCDColorPalette.Background

Declaration

Source position: customdrawndrawers.pas line 285

public TCDColorPalette.Background : TColor;


TCDColorPalette.BtnFace

Declaration

Source position: customdrawndrawers.pas line 288

public TCDColorPalette.BtnFace : TColor;


TCDColorPalette.BtnHighlight

Declaration

Source position: customdrawndrawers.pas line 289

public TCDColorPalette.BtnHighlight : TColor;


TCDColorPalette.BtnShadow

Declaration

Source position: customdrawndrawers.pas line 288

public TCDColorPalette.BtnShadow : TColor;


TCDColorPalette.BtnText

Declaration

Source position: customdrawndrawers.pas line 288

public TCDColorPalette.BtnText : TColor;


TCDColorPalette.CaptionText

Declaration

Source position: customdrawndrawers.pas line 286

public TCDColorPalette.CaptionText : TColor;


TCDColorPalette.color3DDkShadow

Declaration

Source position: customdrawndrawers.pas line 289

public TCDColorPalette.color3DDkShadow : TColor;


TCDColorPalette.color3DLight

Declaration

Source position: customdrawndrawers.pas line 289

public TCDColorPalette.color3DLight : TColor;


TCDColorPalette.Form

Declaration

Source position: customdrawndrawers.pas line 292

public TCDColorPalette.Form : TColor;


TCDColorPalette.GradientActiveCaption

Declaration

Source position: customdrawndrawers.pas line 291

public TCDColorPalette.GradientActiveCaption : TColor;


TCDColorPalette.GradientInactiveCaption

Declaration

Source position: customdrawndrawers.pas line 291

public TCDColorPalette.GradientInactiveCaption : TColor;


TCDColorPalette.GrayText

Declaration

Source position: customdrawndrawers.pas line 288

public TCDColorPalette.GrayText : TColor;


TCDColorPalette.Highlight

Declaration

Source position: customdrawndrawers.pas line 287

public TCDColorPalette.Highlight : TColor;


TCDColorPalette.HighlightText

Declaration

Source position: customdrawndrawers.pas line 287

public TCDColorPalette.HighlightText : TColor;


TCDColorPalette.HotLight

Declaration

Source position: customdrawndrawers.pas line 291

public TCDColorPalette.HotLight : TColor;


TCDColorPalette.InactiveBorder

Declaration

Source position: customdrawndrawers.pas line 287

public TCDColorPalette.InactiveBorder : TColor;


TCDColorPalette.InactiveCaption

Declaration

Source position: customdrawndrawers.pas line 285

public TCDColorPalette.InactiveCaption : TColor;


TCDColorPalette.InactiveCaptionText

Declaration

Source position: customdrawndrawers.pas line 288

public TCDColorPalette.InactiveCaptionText : TColor;


TCDColorPalette.InfoBk

Declaration

Source position: customdrawndrawers.pas line 289

public TCDColorPalette.InfoBk : TColor;


TCDColorPalette.InfoText

Declaration

Source position: customdrawndrawers.pas line 289

public TCDColorPalette.InfoText : TColor;


TCDColorPalette.Menu

Declaration

Source position: customdrawndrawers.pas line 286

public TCDColorPalette.Menu : TColor;


TCDColorPalette.MenuBar

Declaration

Source position: customdrawndrawers.pas line 292

public TCDColorPalette.MenuBar : TColor;


TCDColorPalette.MenuHighlight

Declaration

Source position: customdrawndrawers.pas line 292

public TCDColorPalette.MenuHighlight : TColor;


TCDColorPalette.MenuText

Declaration

Source position: customdrawndrawers.pas line 286

public TCDColorPalette.MenuText : TColor;


TCDColorPalette.ScrollBar

Declaration

Source position: customdrawndrawers.pas line 285

public TCDColorPalette.ScrollBar : TColor;


TCDColorPalette.Window

Declaration

Source position: customdrawndrawers.pas line 286

public TCDColorPalette.Window : TColor;


TCDColorPalette.WindowFrame

Declaration

Source position: customdrawndrawers.pas line 286

public TCDColorPalette.WindowFrame : TColor;


TCDColorPalette.WindowText

Declaration

Source position: customdrawndrawers.pas line 286

public TCDColorPalette.WindowText : TColor;


TCDControlStateEx

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Declaration

Source position: customdrawndrawers.pas line 138

type TCDControlStateEx = class

public

  ParentRGBColor: TColor;

  FPParentRGBColor: TFPColor;

  RGBColor: TColor;

  FPRGBColor: TFPColor;

  Caption: string;

  Font: TFont;

  AutoSize: Boolean;

end;

Inheritance

TCDControlStateEx

|

TObject


TCDControlStateEx


TCDControlStateEx.AutoSize

Declaration

Source position: customdrawndrawers.pas line 146

public TCDControlStateEx.AutoSize : Boolean;


TCDControlStateEx.Caption

Declaration

Source position: customdrawndrawers.pas line 144

public TCDControlStateEx.Caption : string;


TCDControlStateEx.Font

Declaration

Source position: customdrawndrawers.pas line 145

public TCDControlStateEx.Font : TFont;


TCDControlStateEx.FPParentRGBColor

Declaration

Source position: customdrawndrawers.pas line 141

public TCDControlStateEx.FPParentRGBColor : TFPColor;


TCDControlStateEx.FPRGBColor

Declaration

Source position: customdrawndrawers.pas line 143

public TCDControlStateEx.FPRGBColor : TFPColor;


TCDControlStateEx.ParentRGBColor

Declaration

Source position: customdrawndrawers.pas line 140

public TCDControlStateEx.ParentRGBColor : TColor;


TCDControlStateEx.RGBColor

Declaration

Source position: customdrawndrawers.pas line 142

public TCDControlStateEx.RGBColor : TColor;


TCDCTabControlStateEx

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Declaration

Source position: customdrawndrawers.pas line 250

type TCDCTabControlStateEx = class(TCDControlStateEx)

public

  LeftmostTabVisibleIndex: Integer;

  Tabs: TStringList;

  TabIndex: Integer;

  TabCount: Integer;

  Options: TCTabControlOptions;

  CurTabIndex: Integer;

  CurStartLeftPos: Integer;

end;

Inheritance

TCDCTabControlStateEx

|

TCDControlStateEx

|

TObject


TCDCTabControlStateEx

TCDControlStateEx


TCDCTabControlStateEx.CurStartLeftPos

Declaration

Source position: customdrawndrawers.pas line 259

public TCDCTabControlStateEx.CurStartLeftPos : Integer;


TCDCTabControlStateEx.CurTabIndex

Declaration

Source position: customdrawndrawers.pas line 258

public TCDCTabControlStateEx.CurTabIndex : Integer;


TCDCTabControlStateEx.LeftmostTabVisibleIndex

Declaration

Source position: customdrawndrawers.pas line 252

public TCDCTabControlStateEx.LeftmostTabVisibleIndex : Integer;


TCDCTabControlStateEx.Options

Declaration

Source position: customdrawndrawers.pas line 256

public TCDCTabControlStateEx.Options : TCTabControlOptions;


TCDCTabControlStateEx.TabCount

Declaration

Source position: customdrawndrawers.pas line 255

public TCDCTabControlStateEx.TabCount : Integer;


TCDCTabControlStateEx.TabIndex

Declaration

Source position: customdrawndrawers.pas line 254

public TCDCTabControlStateEx.TabIndex : Integer;


TCDCTabControlStateEx.Tabs

Declaration

Source position: customdrawndrawers.pas line 253

public TCDCTabControlStateEx.Tabs : TStringList;


TCDDrawer

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Declaration

Source position: customdrawndrawers.pas line 308

type TCDDrawer = class

public

  Palette: TCDColorPalette;

  FallbackPalette: TCDColorPalette;

  PaletteKind: TCDPaletteKind;

  constructor Create; virtual;

  destructor Destroy; override;

  procedure CreateResources; virtual;

  procedure LoadResources; virtual;

  procedure FreeResources; virtual;

  procedure ScaleRasterImage();

  procedure LoadPalette;

  procedure LoadNativePaletteColors;

  procedure LoadFallbackPaletteColors; virtual;

  function PalDefaultUsesNativePalette; virtual;

  function GetDrawStyle; virtual;

  class function VisibleText();

  function GetControlDefaultColor();

  function GetMeasures(); virtual; abstract;

  function GetMeasuresEx(); virtual; abstract;

  procedure CalculatePreferredSize(); virtual; abstract;

  function GetColor(); virtual; abstract;

  function GetClientArea(); virtual; abstract;

  procedure DrawControl();

  procedure DrawFocusRect(); virtual; abstract;

  procedure DrawRaisedFrame(); virtual; abstract;

  procedure DrawFrame3D(); virtual; abstract;

  procedure DrawSunkenFrame(); virtual; abstract;

  procedure DrawShallowSunkenFrame(); virtual; abstract;

  procedure DrawTickmark(); virtual; abstract;

  procedure DrawSlider(); virtual; abstract;

  procedure DrawArrow(); virtual; abstract;

  procedure DrawSmallCloseButton(); virtual; abstract;

  procedure DrawButtonWithArrow(); virtual; abstract;

  procedure DrawButton(); virtual; abstract;

  procedure DrawEditBackground(); virtual; abstract;

  procedure DrawEditFrame(); virtual; abstract;

  procedure DrawCaret(); virtual; abstract;

  procedure DrawEdit(); virtual; abstract;

  procedure DrawCheckBoxSquare(); virtual; abstract;

  procedure DrawCheckBox(); virtual; abstract;

  procedure DrawRadioButtonCircle(); virtual; abstract;

  procedure DrawRadioButton(); virtual; abstract;

  procedure DrawComboBox(); virtual; abstract;

  procedure DrawScrollBar(); virtual; abstract;

  procedure DrawGroupBox(); virtual; abstract;

  procedure DrawPanel(); virtual; abstract;

  procedure DrawStaticText(); virtual; abstract;

  procedure DrawTrackBar(); virtual; abstract;

  procedure DrawProgressBar(); virtual; abstract;

  procedure DrawListView(); virtual; abstract;

  procedure DrawReportListView(); virtual; abstract;

  procedure DrawReportListViewItem(); virtual; abstract;

  procedure DrawToolBar(); virtual; abstract;

  procedure DrawToolBarItem(); virtual; abstract;

  procedure DrawCTabControl(); virtual; abstract;

  procedure DrawCTabControlFrame(); virtual; abstract;

  procedure DrawTabSheet(); virtual; abstract;

  procedure DrawTabs(); virtual; abstract;

  procedure DrawTab(); virtual; abstract;

  procedure DrawSpinEdit(); virtual; abstract;

end;

Inheritance

TCDDrawer

|

TObject


TCDDrawer


TCDDrawer
 | Create
 | Destroy
 | CreateResources
 | LoadResources
 | FreeResources
 | ScaleRasterImage
 | LoadPalette
 | LoadNativePaletteColors
 | LoadFallbackPaletteColors
 | PalDefaultUsesNativePalette
 | GetDrawStyle
 | VisibleText
 | GetControlDefaultColor
 | GetMeasures
 | GetMeasuresEx
 | CalculatePreferredSize
 | GetColor
 | GetClientArea
 | DrawControl
 | DrawFocusRect
 | DrawRaisedFrame
 | DrawFrame3D
 | DrawSunkenFrame
 | DrawShallowSunkenFrame
 | DrawTickmark
 | DrawSlider
 | DrawArrow
 | DrawSmallCloseButton
 | DrawButtonWithArrow
 | DrawButton
 | DrawEditBackground
 | DrawEditFrame
 | DrawCaret
 | DrawEdit
 | DrawCheckBoxSquare
 | DrawCheckBox
 | DrawRadioButtonCircle
 | DrawRadioButton
 | DrawComboBox
 | DrawScrollBar
 | DrawGroupBox
 | DrawPanel
 | DrawStaticText
 | DrawTrackBar
 | DrawProgressBar
 | DrawListView
 | DrawReportListView
 | DrawReportListViewItem
 | DrawToolBar
 | DrawToolBarItem
 | DrawCTabControl
 | DrawCTabControlFrame
 | DrawTabSheet
 | DrawTabs
 | DrawTab
 | DrawSpinEdit


CalculatePreferredSize (TCDDrawer)

Create (TCDDrawer)

CreateResources (TCDDrawer)

Destroy (TCDDrawer)

DrawArrow (TCDDrawer)

DrawButton (TCDDrawer)

DrawButtonWithArrow (TCDDrawer)

DrawCaret (TCDDrawer)

DrawCheckBox (TCDDrawer)

DrawCheckBoxSquare (TCDDrawer)

DrawComboBox (TCDDrawer)

DrawControl (TCDDrawer)

DrawCTabControl (TCDDrawer)

DrawCTabControlFrame (TCDDrawer)

DrawEdit (TCDDrawer)

DrawEditBackground (TCDDrawer)

DrawEditFrame (TCDDrawer)

DrawFocusRect (TCDDrawer)

DrawFrame3D (TCDDrawer)

DrawGroupBox (TCDDrawer)

DrawListView (TCDDrawer)

DrawPanel (TCDDrawer)

DrawProgressBar (TCDDrawer)

DrawRadioButton (TCDDrawer)

DrawRadioButtonCircle (TCDDrawer)

DrawRaisedFrame (TCDDrawer)

DrawReportListView (TCDDrawer)

DrawReportListViewItem (TCDDrawer)

DrawScrollBar (TCDDrawer)

DrawShallowSunkenFrame (TCDDrawer)

DrawSlider (TCDDrawer)

DrawSmallCloseButton (TCDDrawer)

DrawSpinEdit (TCDDrawer)

DrawStaticText (TCDDrawer)

DrawSunkenFrame (TCDDrawer)

DrawTab (TCDDrawer)

DrawTabs (TCDDrawer)

DrawTabSheet (TCDDrawer)

DrawTickmark (TCDDrawer)

DrawToolBar (TCDDrawer)

DrawToolBarItem (TCDDrawer)

DrawTrackBar (TCDDrawer)

FreeResources (TCDDrawer)

GetClientArea (TCDDrawer)

GetColor (TCDDrawer)

GetControlDefaultColor (TCDDrawer)

GetDrawStyle (TCDDrawer)

GetMeasures (TCDDrawer)

GetMeasuresEx (TCDDrawer)

LoadFallbackPaletteColors (TCDDrawer)

LoadNativePaletteColors (TCDDrawer)

LoadPalette (TCDDrawer)

LoadResources (TCDDrawer)

PalDefaultUsesNativePalette (TCDDrawer)

ScaleRasterImage (TCDDrawer)

VisibleText (TCDDrawer)


TCDDrawer.CalculatePreferredSize

Declaration

Source position: customdrawndrawers.pas line 332

public procedure TCDDrawer.CalculatePreferredSize(

  ADest: TCanvas;

  AControlId: TCDControlID;

  AState: TCDControlState;

  AStateEx: TCDControlStateEx;

  var PreferredWidth: Integer;

  var PreferredHeight: Integer;

  WithThemeSpace: Boolean;

  AAllowUseOfMeasuresEx: Boolean

); virtual; abstract;


TCDDrawer.Create

Declaration

Source position: customdrawndrawers.pas line 314

public constructor TCDDrawer.Create; virtual;


TCDDrawer.CreateResources

Declaration

Source position: customdrawndrawers.pas line 316

public procedure TCDDrawer.CreateResources; virtual;


TCDDrawer.Destroy

Declaration

Source position: customdrawndrawers.pas line 315

public destructor TCDDrawer.Destroy; override;


TCDDrawer.DrawArrow

Declaration

Source position: customdrawndrawers.pas line 350

public procedure TCDDrawer.DrawArrow(

  ADest: TCanvas;

  ADestPos: TPoint;

  ADirection: TCDControlState;

  ASize: Integer = 7

); virtual; abstract;


TCDDrawer.DrawButton

Declaration

Source position: customdrawndrawers.pas line 358

public procedure TCDDrawer.DrawButton(

  ADest: TFPCustomCanvas;

  ADestPos: TPoint;

  ASize: TSize;

  AState: TCDControlState;

  AStateEx: TCDButtonStateEx

); virtual; abstract;


TCDDrawer.DrawButtonWithArrow

Declaration

Source position: customdrawndrawers.pas line 353

public procedure TCDDrawer.DrawButtonWithArrow(

  ADest: TCanvas;

  ADestPos: TPoint;

  ASize: TSize;

  AState: TCDControlState

); virtual; abstract;


TCDDrawer.DrawCaret

Declaration

Source position: customdrawndrawers.pas line 365

public procedure TCDDrawer.DrawCaret(

  ADest: TCanvas;

  ADestPos: TPoint;

  ASize: TSize;

  AState: TCDControlState;

  AStateEx: TCDEditStateEx

); virtual; abstract;


TCDDrawer.DrawCheckBox

Declaration

Source position: customdrawndrawers.pas line 372

public procedure TCDDrawer.DrawCheckBox(

  ADest: TCanvas;

  ASize: TSize;

  AState: TCDControlState;

  AStateEx: TCDControlStateEx

); virtual; abstract;


TCDDrawer.DrawCheckBoxSquare

Declaration

Source position: customdrawndrawers.pas line 370

public procedure TCDDrawer.DrawCheckBoxSquare(

  ADest: TCanvas;

  ADestPos: TPoint;

  ASize: TSize;

  AState: TCDControlState;

  AStateEx: TCDControlStateEx

); virtual; abstract;


TCDDrawer.DrawComboBox

Declaration

Source position: customdrawndrawers.pas line 380

public procedure TCDDrawer.DrawComboBox(

  ADest: TCanvas;

  ASize: TSize;

  AState: TCDControlState;

  AStateEx: TCDEditStateEx

); virtual; abstract;


TCDDrawer.DrawControl

Declaration

Source position: customdrawndrawers.pas line 339

public procedure TCDDrawer.DrawControl(

  ADest: TCanvas;

  ADestPos: TPoint;

  ASize: TSize;

  AControl: TCDControlID;

  AState: TCDControlState;

  AStateEx: TCDControlStateEx

);

procedure TCDDrawer.DrawControl(

  ADest: TCanvas;

  ASize: TSize;

  AState: TCDControlState;

  AStateEx: TCDControlStateEx

); virtual; abstract;


TCDDrawer.DrawCTabControl

Declaration

Source position: customdrawndrawers.pas line 419

public procedure TCDDrawer.DrawCTabControl(

  ADest: TCanvas;

  ASize: TSize;

  AState: TCDControlState;

  AStateEx: TCDCTabControlStateEx

); virtual; abstract;


TCDDrawer.DrawCTabControlFrame

Declaration

Source position: customdrawndrawers.pas line 421

public procedure TCDDrawer.DrawCTabControlFrame(

  ADest: TCanvas;

  ADestPos: TPoint;

  ASize: TSize;

  AState: TCDControlState;

  AStateEx: TCDCTabControlStateEx

); virtual; abstract;


TCDDrawer.DrawEdit

Declaration

Source position: customdrawndrawers.pas line 367

public procedure TCDDrawer.DrawEdit(

  ADest: TCanvas;

  ASize: TSize;

  AState: TCDControlState;

  AStateEx: TCDEditStateEx

); virtual; abstract;


TCDDrawer.DrawEditBackground

Declaration

Source position: customdrawndrawers.pas line 361

public procedure TCDDrawer.DrawEditBackground(

  ADest: TCanvas;

  ADestPos: TPoint;

  ASize: TSize;

  AState: TCDControlState;

  AStateEx: TCDEditStateEx

); virtual; abstract;


TCDDrawer.DrawEditFrame

Declaration

Source position: customdrawndrawers.pas line 363

public procedure TCDDrawer.DrawEditFrame(

  ADest: TCanvas;

  ADestPos: TPoint;

  ASize: TSize;

  AState: TCDControlState;

  AStateEx: TCDEditStateEx

); virtual; abstract;


TCDDrawer.DrawFocusRect

Declaration

Source position: customdrawndrawers.pas line 342

public procedure TCDDrawer.DrawFocusRect(

  ADest: TFPCustomCanvas;

  ADestPos: TPoint;

  ASize: TSize

); virtual; abstract;


TCDDrawer.DrawFrame3D

Declaration

Source position: customdrawndrawers.pas line 344

public procedure TCDDrawer.DrawFrame3D(

  ADest: TFPCustomCanvas;

  ADestPos: TPoint;

  ASize: TSize;

  const FrameWidth: Integer;

  const Style: TBevelCut

); virtual; abstract;


TCDDrawer.DrawGroupBox

Declaration

Source position: customdrawndrawers.pas line 386

public procedure TCDDrawer.DrawGroupBox(

  ADest: TFPCustomCanvas;

  ADestPos: TPoint;

  ASize: TSize;

  AState: TCDControlState;

  AStateEx: TCDControlStateEx

); virtual; abstract;


TCDDrawer.DrawListView

Declaration

Source position: customdrawndrawers.pas line 406

public procedure TCDDrawer.DrawListView(

  ADest: TCanvas;

  ASize: TSize;

  AState: TCDControlState;

  AStateEx: TCDListViewStateEx

); virtual; abstract;


TCDDrawer.DrawPanel

Declaration

Source position: customdrawndrawers.pas line 389

public procedure TCDDrawer.DrawPanel(

  ADest: TCanvas;

  ASize: TSize;

  AState: TCDControlState;

  AStateEx: TCDPanelStateEx

); virtual; abstract;


TCDDrawer.DrawProgressBar

Declaration

Source position: customdrawndrawers.pas line 403

public procedure TCDDrawer.DrawProgressBar(

  ADest: TCanvas;

  ASize: TSize;

  AState: TCDControlState;

  AStateEx: TCDProgressBarStateEx

); virtual; abstract;


TCDDrawer.DrawRadioButton

Declaration

Source position: customdrawndrawers.pas line 377

public procedure TCDDrawer.DrawRadioButton(

  ADest: TCanvas;

  ASize: TSize;

  AState: TCDControlState;

  AStateEx: TCDControlStateEx

); virtual; abstract;


TCDDrawer.DrawRadioButtonCircle

Declaration

Source position: customdrawndrawers.pas line 375

public procedure TCDDrawer.DrawRadioButtonCircle(

  ADest: TCanvas;

  ADestPos: TPoint;

  ASize: TSize;

  AState: TCDControlState;

  AStateEx: TCDControlStateEx

); virtual; abstract;


TCDDrawer.DrawRaisedFrame

Declaration

Source position: customdrawndrawers.pas line 343

public procedure TCDDrawer.DrawRaisedFrame(

  ADest: TCanvas;

  ADestPos: TPoint;

  ASize: TSize

); virtual; abstract;


TCDDrawer.DrawReportListView

Declaration

Source position: customdrawndrawers.pas line 408

public procedure TCDDrawer.DrawReportListView(

  ADest: TCanvas;

  ADestPos: TPoint;

  ASize: TSize;

  AState: TCDControlState;

  AStateEx: TCDListViewStateEx

); virtual; abstract;


TCDDrawer.DrawReportListViewItem

Declaration

Source position: customdrawndrawers.pas line 410

public procedure TCDDrawer.DrawReportListViewItem(

  ADest: TCanvas;

  ADestPos: TPoint;

  ASize: TSize;

  ACurItem: TCDListItems;

  AState: TCDControlState;

  AStateEx: TCDListViewStateEx

); virtual; abstract;


TCDDrawer.DrawScrollBar

Declaration

Source position: customdrawndrawers.pas line 383

public procedure TCDDrawer.DrawScrollBar(

  ADest: TCanvas;

  ASize: TSize;

  AState: TCDControlState;

  AStateEx: TCDPositionedCStateEx

); virtual; abstract;


TCDDrawer.DrawShallowSunkenFrame

Declaration

Source position: customdrawndrawers.pas line 347

public procedure TCDDrawer.DrawShallowSunkenFrame(

  ADest: TCanvas;

  ADestPos: TPoint;

  ASize: TSize

); virtual; abstract;


TCDDrawer.DrawSlider

Declaration

Source position: customdrawndrawers.pas line 349

public procedure TCDDrawer.DrawSlider(

  ADest: TCanvas;

  ADestPos: TPoint;

  ASize: TSize;

  AState: TCDControlState

); virtual; abstract;


TCDDrawer.DrawSmallCloseButton

Declaration

Source position: customdrawndrawers.pas line 352

public procedure TCDDrawer.DrawSmallCloseButton(

  ADest: TCanvas;

  ADestPos: TPoint

); virtual; abstract;


TCDDrawer.DrawSpinEdit

Declaration

Source position: customdrawndrawers.pas line 432

public procedure TCDDrawer.DrawSpinEdit(

  ADest: TCanvas;

  ADestPos: TPoint;

  ASize: TSize;

  AState: TCDControlState;

  AStateEx: TCDSpinStateEx

); virtual; abstract;


TCDDrawer.DrawStaticText

Declaration

Source position: customdrawndrawers.pas line 394

public procedure TCDDrawer.DrawStaticText(

  ADest: TCanvas;

  ASize: TSize;

  AState: TCDControlState;

  AStateEx: TCDControlStateEx

); virtual; abstract;


TCDDrawer.DrawSunkenFrame

Declaration

Source position: customdrawndrawers.pas line 346

public procedure TCDDrawer.DrawSunkenFrame(

  ADest: TCanvas;

  ADestPos: TPoint;

  ASize: TSize

); virtual; abstract;


TCDDrawer.DrawTab

Declaration

Source position: customdrawndrawers.pas line 427

public procedure TCDDrawer.DrawTab(

  ADest: TCanvas;

  ADestPos: TPoint;

  ASize: TSize;

  AState: TCDControlState;

  AStateEx: TCDCTabControlStateEx

); virtual; abstract;


TCDDrawer.DrawTabs

Declaration

Source position: customdrawndrawers.pas line 425

public procedure TCDDrawer.DrawTabs(

  ADest: TCanvas;

  ADestPos: TPoint;

  ASize: TSize;

  AState: TCDControlState;

  AStateEx: TCDCTabControlStateEx

); virtual; abstract;


TCDDrawer.DrawTabSheet

Declaration

Source position: customdrawndrawers.pas line 423

public procedure TCDDrawer.DrawTabSheet(

  ADest: TCanvas;

  ADestPos: TPoint;

  ASize: TSize;

  AState: TCDControlState;

  AStateEx: TCDCTabControlStateEx

); virtual; abstract;


TCDDrawer.DrawTickmark

Declaration

Source position: customdrawndrawers.pas line 348

public procedure TCDDrawer.DrawTickmark(

  ADest: TFPCustomCanvas;

  ADestPos: TPoint;

  AState: TCDControlState

); virtual; abstract;


TCDDrawer.DrawToolBar

Declaration

Source position: customdrawndrawers.pas line 413

public procedure TCDDrawer.DrawToolBar(

  ADest: TCanvas;

  ASize: TSize;

  AState: TCDControlState;

  AStateEx: TCDToolBarStateEx

); virtual; abstract;


TCDDrawer.DrawToolBarItem

Declaration

Source position: customdrawndrawers.pas line 415

public procedure TCDDrawer.DrawToolBarItem(

  ADest: TCanvas;

  ASize: TSize;

  ACurItem: TCDToolBarItem;

  AX: Integer;

  AY: Integer;

  AState: TCDControlState;

  AStateEx: TCDToolBarStateEx

); virtual; abstract;


TCDDrawer.DrawTrackBar

Declaration

Source position: customdrawndrawers.pas line 400

public procedure TCDDrawer.DrawTrackBar(

  ADest: TCanvas;

  ASize: TSize;

  AState: TCDControlState;

  AStateEx: TCDPositionedCStateEx

); virtual; abstract;


TCDDrawer.FallbackPalette

Declaration

Source position: customdrawndrawers.pas line 312

public TCDDrawer.FallbackPalette : TCDColorPalette;


TCDDrawer.FreeResources

Declaration

Source position: customdrawndrawers.pas line 318

public procedure TCDDrawer.FreeResources; virtual;


TCDDrawer.GetClientArea

Declaration

Source position: customdrawndrawers.pas line 336

public function TCDDrawer.GetClientArea(

  ADest: TCanvas;

  ASize: TSize;

  AControlId: TCDControlID;

  AState: TCDControlState;

  AStateEx: TCDControlStateEx

):TRect; virtual; abstract;


TCDDrawer.GetColor

Declaration

Source position: customdrawndrawers.pas line 335

public function TCDDrawer.GetColor(

  AColorID: Integer

):TColor; virtual; abstract;


TCDDrawer.GetControlDefaultColor

Declaration

Source position: customdrawndrawers.pas line 327

public function TCDDrawer.GetControlDefaultColor(

  AControlId: TCDControlID

):TColor;


TCDDrawer.GetDrawStyle

Declaration

Source position: customdrawndrawers.pas line 324

public function TCDDrawer.GetDrawStyle: TCDDrawStyle; virtual;


TCDDrawer.GetMeasures

Declaration

Source position: customdrawndrawers.pas line 329

public function TCDDrawer.GetMeasures(

  AMeasureID: Integer

):Integer; virtual; abstract;


TCDDrawer.GetMeasuresEx

Declaration

Source position: customdrawndrawers.pas line 330

public function TCDDrawer.GetMeasuresEx(

  ADest: TCanvas;

  AMeasureID: Integer;

  AState: TCDControlState;

  AStateEx: TCDControlStateEx

):Integer; virtual; abstract;


TCDDrawer.LoadFallbackPaletteColors

Declaration

Source position: customdrawndrawers.pas line 322

public procedure TCDDrawer.LoadFallbackPaletteColors; virtual;


TCDDrawer.LoadNativePaletteColors

Declaration

Source position: customdrawndrawers.pas line 321

public procedure TCDDrawer.LoadNativePaletteColors;


TCDDrawer.LoadPalette

Declaration

Source position: customdrawndrawers.pas line 320

public procedure TCDDrawer.LoadPalette;


TCDDrawer.LoadResources

Declaration

Source position: customdrawndrawers.pas line 317

public procedure TCDDrawer.LoadResources; virtual;


TCDDrawer.PalDefaultUsesNativePalette

Declaration

Source position: customdrawndrawers.pas line 323

public function TCDDrawer.PalDefaultUsesNativePalette: Boolean; virtual;


TCDDrawer.Palette

Declaration

Source position: customdrawndrawers.pas line 311

public TCDDrawer.Palette : TCDColorPalette;


TCDDrawer.PaletteKind

Declaration

Source position: customdrawndrawers.pas line 313

public TCDDrawer.PaletteKind : TCDPaletteKind;


TCDDrawer.ScaleRasterImage

Declaration

Source position: customdrawndrawers.pas line 319

public procedure TCDDrawer.ScaleRasterImage(

  ARasterImage: TRasterImage;

  ASourceDPI: Word;

  ADestDPI: Word

);


TCDDrawer.VisibleText

Declaration

Source position: customdrawndrawers.pas line 325

public class function TCDDrawer.VisibleText(

  const aVisibleText: TCaption;

  const APasswordChar: Char

):TCaption;


TCDEditStateEx

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Declaration

Source position: customdrawndrawers.pas line 154

type TCDEditStateEx = class(TCDControlStateEx)

public

  CaretIsVisible: Boolean;

  CaretPos: TPoint;

  SelStart: TPoint;

  SelLength: Integer;

  VisibleTextStart: TPoint;

  EventArrived: Boolean;

  MultiLine: Boolean;

  Lines: TStrings;

  FullyVisibleLinesCount: Integer;

  LineHeight: Integer;

  PasswordChar: Char;

  LeftTextMargin: Integer;

  RightTextMargin: Integer;

  ExtraButtonState: TCDControlState;

end;

Inheritance

TCDEditStateEx

|

TCDControlStateEx

|

TObject


TCDEditStateEx

TCDControlStateEx


TCDEditStateEx.CaretIsVisible

Declaration

Source position: customdrawndrawers.pas line 156

public TCDEditStateEx.CaretIsVisible : Boolean;


TCDEditStateEx.CaretPos

Declaration

Source position: customdrawndrawers.pas line 157

public TCDEditStateEx.CaretPos : TPoint;


TCDEditStateEx.EventArrived

Declaration

Source position: customdrawndrawers.pas line 161

public TCDEditStateEx.EventArrived : Boolean;


TCDEditStateEx.ExtraButtonState

Declaration

Source position: customdrawndrawers.pas line 169

public TCDEditStateEx.ExtraButtonState : TCDControlState;


TCDEditStateEx.FullyVisibleLinesCount

Declaration

Source position: customdrawndrawers.pas line 164

public TCDEditStateEx.FullyVisibleLinesCount : Integer;


TCDEditStateEx.LeftTextMargin

Declaration

Source position: customdrawndrawers.pas line 167

public TCDEditStateEx.LeftTextMargin : Integer;


TCDEditStateEx.LineHeight

Declaration

Source position: customdrawndrawers.pas line 164

public TCDEditStateEx.LineHeight : Integer;


TCDEditStateEx.Lines

Declaration

Source position: customdrawndrawers.pas line 163

public TCDEditStateEx.Lines : TStrings;


TCDEditStateEx.MultiLine

Declaration

Source position: customdrawndrawers.pas line 162

public TCDEditStateEx.MultiLine : Boolean;


TCDEditStateEx.PasswordChar

Declaration

Source position: customdrawndrawers.pas line 165

public TCDEditStateEx.PasswordChar : Char;


TCDEditStateEx.RightTextMargin

Declaration

Source position: customdrawndrawers.pas line 167

public TCDEditStateEx.RightTextMargin : Integer;


TCDEditStateEx.SelLength

Declaration

Source position: customdrawndrawers.pas line 159

public TCDEditStateEx.SelLength : Integer;


TCDEditStateEx.SelStart

Declaration

Source position: customdrawndrawers.pas line 158

public TCDEditStateEx.SelStart : TPoint;


TCDEditStateEx.VisibleTextStart

Declaration

Source position: customdrawndrawers.pas line 160

public TCDEditStateEx.VisibleTextStart : TPoint;


TCDListItems

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Declaration

Source position: customdrawndrawers.pas line 196

type TCDListItems = class

public

  Caption: string;

  ImageIndex: Integer;

  StateIndex: Integer;

  Childs: TFPList;

  constructor Create;

  destructor Destroy; override;

  function Add();

  function GetItem();

  function GetItemCount;

end;

Inheritance

TCDListItems

|

TObject


TCDListItems


TCDListItems
 | Create
 | Destroy
 | Add
 | GetItem
 | GetItemCount


Add (TCDListItems)

Create (TCDListItems)

Destroy (TCDListItems)

GetItem (TCDListItems)

GetItemCount (TCDListItems)


TCDListItems.Add

Declaration

Source position: customdrawndrawers.pas line 208

public function TCDListItems.Add(

  ACaption: string;

  AImageIndex: Integer;

  AStateIndex: Integer

):TCDListItems;


TCDListItems.Caption

Declaration

Source position: customdrawndrawers.pas line 201

public TCDListItems.Caption : string;


TCDListItems.Childs

Declaration

Source position: customdrawndrawers.pas line 205

public TCDListItems.Childs : TFPList;


TCDListItems.Create

Declaration

Source position: customdrawndrawers.pas line 206

public constructor TCDListItems.Create;


TCDListItems.Destroy

Declaration

Source position: customdrawndrawers.pas line 207

public destructor TCDListItems.Destroy; override;


TCDListItems.GetItem

Declaration

Source position: customdrawndrawers.pas line 209

public function TCDListItems.GetItem(

  AIndex: Integer

):TCDListItems;


TCDListItems.GetItemCount

Declaration

Source position: customdrawndrawers.pas line 210

public function TCDListItems.GetItemCount: Integer;


TCDListItems.ImageIndex

Declaration

Source position: customdrawndrawers.pas line 202

public TCDListItems.ImageIndex : Integer;


TCDListItems.StateIndex

Declaration

Source position: customdrawndrawers.pas line 203

public TCDListItems.StateIndex : Integer;


TCDListViewStateEx

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Declaration

Source position: customdrawndrawers.pas line 213

type TCDListViewStateEx = class(TCDControlStateEx)

public

  Columns: TListColumns;

  Items: TCDListItems;

  ViewStyle: TViewStyle;

  FirstVisibleColumn: Integer;

  FirstVisibleLine: Integer;

  ShowColumnHeader: Boolean;

end;

Inheritance

TCDListViewStateEx

|

TCDControlStateEx

|

TObject


TCDListViewStateEx

TCDControlStateEx


TCDListViewStateEx.Columns

Declaration

Source position: customdrawndrawers.pas line 215

public TCDListViewStateEx.Columns : TListColumns;


TCDListViewStateEx.FirstVisibleColumn

Declaration

Source position: customdrawndrawers.pas line 218

public TCDListViewStateEx.FirstVisibleColumn : Integer;


TCDListViewStateEx.FirstVisibleLine

Declaration

Source position: customdrawndrawers.pas line 219

public TCDListViewStateEx.FirstVisibleLine : Integer;


TCDListViewStateEx.Items

Declaration

Source position: customdrawndrawers.pas line 216

public TCDListViewStateEx.Items : TCDListItems;


TCDListViewStateEx.ShowColumnHeader

Declaration

Source position: customdrawndrawers.pas line 220

public TCDListViewStateEx.ShowColumnHeader : Boolean;


TCDListViewStateEx.ViewStyle

Declaration

Source position: customdrawndrawers.pas line 217

public TCDListViewStateEx.ViewStyle : TViewStyle;


TCDPanelStateEx

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Declaration

Source position: customdrawndrawers.pas line 172

type TCDPanelStateEx = class(TCDControlStateEx)

public

  BevelInner: TPanelBevel;

  BevelOuter: TPanelBevel;

  BevelWidth: TBevelWidth;

end;

Inheritance

TCDPanelStateEx

|

TCDControlStateEx

|

TObject


TCDPanelStateEx

TCDControlStateEx


TCDPanelStateEx.BevelInner

Declaration

Source position: customdrawndrawers.pas line 174

public TCDPanelStateEx.BevelInner : TPanelBevel;


TCDPanelStateEx.BevelOuter

Declaration

Source position: customdrawndrawers.pas line 175

public TCDPanelStateEx.BevelOuter : TPanelBevel;


TCDPanelStateEx.BevelWidth

Declaration

Source position: customdrawndrawers.pas line 176

public TCDPanelStateEx.BevelWidth : TBevelWidth;


TCDPositionedCStateEx

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Declaration

Source position: customdrawndrawers.pas line 179

type TCDPositionedCStateEx = class(TCDControlStateEx)

public

  PosCount: Integer;

  Position: Integer;

  FloatPos: Double;

  FloatPageSize: Double;

end;

Inheritance

TCDPositionedCStateEx

|

TCDControlStateEx

|

TObject


TCDPositionedCStateEx

TCDControlStateEx


TCDPositionedCStateEx.FloatPageSize

Declaration

Source position: customdrawndrawers.pas line 184

public TCDPositionedCStateEx.FloatPageSize : Double;


TCDPositionedCStateEx.FloatPos

Declaration

Source position: customdrawndrawers.pas line 183

public TCDPositionedCStateEx.FloatPos : Double;


TCDPositionedCStateEx.PosCount

Declaration

Source position: customdrawndrawers.pas line 181

public TCDPositionedCStateEx.PosCount : Integer;


TCDPositionedCStateEx.Position

Declaration

Source position: customdrawndrawers.pas line 182

public TCDPositionedCStateEx.Position : Integer;


TCDProgressBarStateEx

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Declaration

Source position: customdrawndrawers.pas line 187

type TCDProgressBarStateEx = class(TCDControlStateEx)

public

  BarShowText: Boolean;

  PercentPosition: Double;

  Smooth: Boolean;

  Style: TProgressBarStyle;

end;

Inheritance

TCDProgressBarStateEx

|

TCDControlStateEx

|

TObject


TCDProgressBarStateEx

TCDControlStateEx


TCDProgressBarStateEx.BarShowText

Declaration

Source position: customdrawndrawers.pas line 189

public TCDProgressBarStateEx.BarShowText : Boolean;


TCDProgressBarStateEx.PercentPosition

Declaration

Source position: customdrawndrawers.pas line 190

public TCDProgressBarStateEx.PercentPosition : Double;


TCDProgressBarStateEx.Smooth

Declaration

Source position: customdrawndrawers.pas line 191

public TCDProgressBarStateEx.Smooth : Boolean;


TCDProgressBarStateEx.Style

Declaration

Source position: customdrawndrawers.pas line 192

public TCDProgressBarStateEx.Style : TProgressBarStyle;


TCDSpinStateEx

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Declaration

Source position: customdrawndrawers.pas line 262

type TCDSpinStateEx = class(TCDPositionedCStateEx)

public

  Min: Integer;

  Increment: Integer;

  FloatMin: Double;

  FloatIncrement: Double;

end;

Inheritance

TCDSpinStateEx
|

TCDPositionedCStateEx

|

TCDControlStateEx

|

TObject


TCDSpinStateEx

TCDPositionedCStateEx

TCDControlStateEx


TCDSpinStateEx.FloatIncrement

Declaration

Source position: customdrawndrawers.pas line 267

public TCDSpinStateEx.FloatIncrement : Double;


TCDSpinStateEx.FloatMin

Declaration

Source position: customdrawndrawers.pas line 266

public TCDSpinStateEx.FloatMin : Double;


TCDSpinStateEx.Increment

Declaration

Source position: customdrawndrawers.pas line 265

public TCDSpinStateEx.Increment : Integer;


TCDSpinStateEx.Min

Declaration

Source position: customdrawndrawers.pas line 264

public TCDSpinStateEx.Min : Integer;


TCDToolBarItem

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Declaration

Source position: customdrawndrawers.pas line 230

type TCDToolBarItem = class

  Kind: TCDToolbarItemKind;

  SubpartKind: TCDToolbarItemSubpartKind;

  Image: TBitmap;

  Caption: string;

  Width: Integer;

  Down: Boolean;

  State: TCDControlState;

end;

Inheritance

TCDToolBarItem
|

TObject


TCDToolBarItem


TCDToolBarItem.Caption

Declaration

Source position: customdrawndrawers.pas line 234

TCDToolBarItem.Caption : string;


TCDToolBarItem.Down

Declaration

Source position: customdrawndrawers.pas line 236

TCDToolBarItem.Down : Boolean;


TCDToolBarItem.Image

Declaration

Source position: customdrawndrawers.pas line 233

TCDToolBarItem.Image : TBitmap;


TCDToolBarItem.Kind

Declaration

Source position: customdrawndrawers.pas line 231

TCDToolBarItem.Kind : TCDToolbarItemKind;


TCDToolBarItem.State

Declaration

Source position: customdrawndrawers.pas line 238

TCDToolBarItem.State : TCDControlState;


TCDToolBarItem.SubpartKind

Declaration

Source position: customdrawndrawers.pas line 232

TCDToolBarItem.SubpartKind : TCDToolbarItemSubpartKind;


TCDToolBarItem.Width

Declaration

Source position: customdrawndrawers.pas line 235

TCDToolBarItem.Width : Integer;


TCDToolbarItemKind

Declaration

Source position: customdrawndrawers.pas line 225

type TCDToolbarItemKind = (

  tikButton,

  tikCheckButton,

  tikDropDownButton,

  tikSeparator,

  tikDivider

);


TCDToolbarItemSubpartKind

Declaration

Source position: customdrawndrawers.pas line 228

type TCDToolbarItemSubpartKind = (

  tiskMain,

  tiskArrow

);


TCDToolBarStateEx

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Declaration

Source position: customdrawndrawers.pas line 241

type TCDToolBarStateEx = class(TCDControlStateEx)

  ShowCaptions: Boolean;

  IsVertical: Boolean;

  Items: TFPList;

  ToolBarHeight: Integer;

end;

Inheritance

TCDToolBarStateEx
|

TCDControlStateEx

|

TObject


TCDToolBarStateEx

TCDControlStateEx


TCDToolBarStateEx.IsVertical

Declaration

Source position: customdrawndrawers.pas line 243

TCDToolBarStateEx.IsVertical : Boolean;


TCDToolBarStateEx.Items

Declaration

Source position: customdrawndrawers.pas line 244

TCDToolBarStateEx.Items : TFPList;


TCDToolBarStateEx.ShowCaptions

Declaration

Source position: customdrawndrawers.pas line 242

TCDToolBarStateEx.ShowCaptions : Boolean;


TCDToolBarStateEx.ToolBarHeight

Declaration

Source position: customdrawndrawers.pas line 245

TCDToolBarStateEx.ToolBarHeight : Integer;


TCDDrawerAndroid

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Declaration

Source position: customdrawn_android.pas line 22

type TCDDrawerAndroid = class(TCDDrawerCommon)

public

  procedure CreateResources; override;

  procedure LoadResources; override;

  procedure FreeResources; override;

  function GetDrawStyle; override;

  function GetMeasures(); override;

  procedure DrawTickmark(); override;

  procedure DrawButton(); override;

  procedure DrawEditBackground(); override;

  procedure DrawEditFrame(); override;

  procedure DrawCheckBoxSquare(); override;

  procedure DrawRadioButtonCircle(); override;

end;

Inheritance

TCDDrawerAndroid

|

TCDDrawerCommon

|

TCDDrawer

|

TObject


TCDDrawerAndroid

TCDDrawerCommon

TCDDrawer


TCDDrawerAndroid
 | CreateResources
 | LoadResources
 | FreeResources
 | GetDrawStyle
 | GetMeasures
 | DrawTickmark
 | DrawButton
 | DrawEditBackground
 | DrawEditFrame
 | DrawCheckBoxSquare
 | DrawRadioButtonCircle
TCDDrawerCommon
 | PalDefaultUsesNativePalette
 | LoadFallbackPaletteColors
 | GetMeasures
 | GetMeasuresEx
 | CalculatePreferredSize
 | GetColor
 | GetClientArea
 | DPIAdjustment
 | DrawFocusRect
 | DrawRaisedFrame
 | DrawFrame3D
 | DrawSunkenFrame
 | DrawShallowSunkenFrame
 | DrawTickmark
 | DrawSlider
 | DrawArrow
 | DrawSmallCloseButton
 | DrawButtonWithArrow
 | DrawControl
 | DrawButton
 | DrawEditBackground
 | DrawEditFrame
 | DrawCaret
 | DrawEdit
 | DrawCheckBoxSquare
 | DrawCheckBox
 | DrawRadioButtonCircle
 | DrawRadioButton
 | DrawComboBox
 | DrawScrollBar
 | DrawGroupBox
 | DrawPanel
 | DrawStaticText
 | DrawTrackBar
 | DrawProgressBar
 | DrawListView
 | DrawReportListView
 | DrawReportListViewItem
 | DrawToolBar
 | DrawToolBarItem
 | DrawCTabControl
 | DrawCTabControlFrame
 | DrawTabSheet
 | DrawTabs
 | DrawTab
 | DrawSpinEdit
TCDDrawer
 | Create
 | Destroy
 | CreateResources
 | LoadResources
 | FreeResources
 | ScaleRasterImage
 | LoadPalette
 | LoadNativePaletteColors
 | LoadFallbackPaletteColors
 | PalDefaultUsesNativePalette
 | GetDrawStyle
 | VisibleText
 | GetControlDefaultColor
 | GetMeasures
 | GetMeasuresEx
 | CalculatePreferredSize
 | GetColor
 | GetClientArea
 | DrawControl
 | DrawFocusRect
 | DrawRaisedFrame
 | DrawFrame3D
 | DrawSunkenFrame
 | DrawShallowSunkenFrame
 | DrawTickmark
 | DrawSlider
 | DrawArrow
 | DrawSmallCloseButton
 | DrawButtonWithArrow
 | DrawButton
 | DrawEditBackground
 | DrawEditFrame
 | DrawCaret
 | DrawEdit
 | DrawCheckBoxSquare
 | DrawCheckBox
 | DrawRadioButtonCircle
 | DrawRadioButton
 | DrawComboBox
 | DrawScrollBar
 | DrawGroupBox
 | DrawPanel
 | DrawStaticText
 | DrawTrackBar
 | DrawProgressBar
 | DrawListView
 | DrawReportListView
 | DrawReportListViewItem
 | DrawToolBar
 | DrawToolBarItem
 | DrawCTabControl
 | DrawCTabControlFrame
 | DrawTabSheet
 | DrawTabs
 | DrawTab
 | DrawSpinEdit


CalculatePreferredSize (TCDDrawer)

CalculatePreferredSize (TCDDrawerCommon)

Create (TCDDrawer)

CreateResources (TCDDrawer)

CreateResources (TCDDrawerAndroid)

Destroy (TCDDrawer)

DPIAdjustment (TCDDrawerCommon)

DrawArrow (TCDDrawer)

DrawArrow (TCDDrawerCommon)

DrawButton (TCDDrawer)

DrawButton (TCDDrawerCommon)

DrawButton (TCDDrawerAndroid)

DrawButtonWithArrow (TCDDrawer)

DrawButtonWithArrow (TCDDrawerCommon)

DrawCaret (TCDDrawer)

DrawCaret (TCDDrawerCommon)

DrawCheckBox (TCDDrawer)

DrawCheckBox (TCDDrawerCommon)

DrawCheckBoxSquare (TCDDrawer)

DrawCheckBoxSquare (TCDDrawerCommon)

DrawCheckBoxSquare (TCDDrawerAndroid)

DrawComboBox (TCDDrawer)

DrawComboBox (TCDDrawerCommon)

DrawControl (TCDDrawer)

DrawControl (TCDDrawerCommon)

DrawCTabControl (TCDDrawer)

DrawCTabControl (TCDDrawerCommon)

DrawCTabControlFrame (TCDDrawer)

DrawCTabControlFrame (TCDDrawerCommon)

DrawEdit (TCDDrawer)

DrawEdit (TCDDrawerCommon)

DrawEditBackground (TCDDrawer)

DrawEditBackground (TCDDrawerCommon)

DrawEditBackground (TCDDrawerAndroid)

DrawEditFrame (TCDDrawer)

DrawEditFrame (TCDDrawerCommon)

DrawEditFrame (TCDDrawerAndroid)

DrawFocusRect (TCDDrawer)

DrawFocusRect (TCDDrawerCommon)

DrawFrame3D (TCDDrawer)

DrawFrame3D (TCDDrawerCommon)

DrawGroupBox (TCDDrawer)

DrawGroupBox (TCDDrawerCommon)

DrawListView (TCDDrawer)

DrawListView (TCDDrawerCommon)

DrawPanel (TCDDrawer)

DrawPanel (TCDDrawerCommon)

DrawProgressBar (TCDDrawer)

DrawProgressBar (TCDDrawerCommon)

DrawRadioButton (TCDDrawer)

DrawRadioButton (TCDDrawerCommon)

DrawRadioButtonCircle (TCDDrawer)

DrawRadioButtonCircle (TCDDrawerCommon)

DrawRadioButtonCircle (TCDDrawerAndroid)

DrawRaisedFrame (TCDDrawer)

DrawRaisedFrame (TCDDrawerCommon)

DrawReportListView (TCDDrawer)

DrawReportListView (TCDDrawerCommon)

DrawReportListViewItem (TCDDrawer)

DrawReportListViewItem (TCDDrawerCommon)

DrawScrollBar (TCDDrawer)

DrawScrollBar (TCDDrawerCommon)

DrawShallowSunkenFrame (TCDDrawer)

DrawShallowSunkenFrame (TCDDrawerCommon)

DrawSlider (TCDDrawer)

DrawSlider (TCDDrawerCommon)

DrawSmallCloseButton (TCDDrawer)

DrawSmallCloseButton (TCDDrawerCommon)

DrawSpinEdit (TCDDrawer)

DrawSpinEdit (TCDDrawerCommon)

DrawStaticText (TCDDrawer)

DrawStaticText (TCDDrawerCommon)

DrawSunkenFrame (TCDDrawer)

DrawSunkenFrame (TCDDrawerCommon)

DrawTab (TCDDrawer)

DrawTab (TCDDrawerCommon)

DrawTabs (TCDDrawer)

DrawTabs (TCDDrawerCommon)

DrawTabSheet (TCDDrawer)

DrawTabSheet (TCDDrawerCommon)

DrawTickmark (TCDDrawer)

DrawTickmark (TCDDrawerCommon)

DrawTickmark (TCDDrawerAndroid)

DrawToolBar (TCDDrawer)

DrawToolBar (TCDDrawerCommon)

DrawToolBarItem (TCDDrawer)

DrawToolBarItem (TCDDrawerCommon)

DrawTrackBar (TCDDrawer)

DrawTrackBar (TCDDrawerCommon)

FreeResources (TCDDrawer)

FreeResources (TCDDrawerAndroid)

GetClientArea (TCDDrawer)

GetClientArea (TCDDrawerCommon)

GetColor (TCDDrawer)

GetColor (TCDDrawerCommon)

GetControlDefaultColor (TCDDrawer)

GetDrawStyle (TCDDrawer)

GetDrawStyle (TCDDrawerAndroid)

GetMeasures (TCDDrawer)

GetMeasures (TCDDrawerCommon)

GetMeasures (TCDDrawerAndroid)

GetMeasuresEx (TCDDrawer)

GetMeasuresEx (TCDDrawerCommon)

LoadFallbackPaletteColors (TCDDrawer)

LoadFallbackPaletteColors (TCDDrawerCommon)

LoadNativePaletteColors (TCDDrawer)

LoadPalette (TCDDrawer)

LoadResources (TCDDrawer)

LoadResources (TCDDrawerAndroid)

PalDefaultUsesNativePalette (TCDDrawer)

PalDefaultUsesNativePalette (TCDDrawerCommon)

ScaleRasterImage (TCDDrawer)

VisibleText (TCDDrawer)


TCDDrawerAndroid.CreateResources

Declaration

Source position: customdrawn_android.pas line 43

public procedure TCDDrawerAndroid.CreateResources; override;


TCDDrawerAndroid.DrawButton

Declaration

Source position: customdrawn_android.pas line 70

public procedure TCDDrawerAndroid.DrawButton(

  ADest: TFPCustomCanvas;

  ADestPos: TPoint;

  ASize: TSize;

  AState: TCDControlState;

  AStateEx: TCDButtonStateEx

); override;


TCDDrawerAndroid.DrawCheckBoxSquare

Declaration

Source position: customdrawn_android.pas line 78

public procedure TCDDrawerAndroid.DrawCheckBoxSquare(

  ADest: TCanvas;

  ADestPos: TPoint;

  ASize: TSize;

  AState: TCDControlState;

  AStateEx: TCDControlStateEx

); override;


TCDDrawerAndroid.DrawEditBackground

Declaration

Source position: customdrawn_android.pas line 73

public procedure TCDDrawerAndroid.DrawEditBackground(

  ADest: TCanvas;

  ADestPos: TPoint;

  ASize: TSize;

  AState: TCDControlState;

  AStateEx: TCDEditStateEx

); override;


TCDDrawerAndroid.DrawEditFrame

Declaration

Source position: customdrawn_android.pas line 75

public procedure TCDDrawerAndroid.DrawEditFrame(

  ADest: TCanvas;

  ADestPos: TPoint;

  ASize: TSize;

  AState: TCDControlState;

  AStateEx: TCDEditStateEx

); override;


TCDDrawerAndroid.DrawRadioButtonCircle

Declaration

Source position: customdrawn_android.pas line 81

public procedure TCDDrawerAndroid.DrawRadioButtonCircle(

  ADest: TCanvas;

  ADestPos: TPoint;

  ASize: TSize;

  AState: TCDControlState;

  AStateEx: TCDControlStateEx

); override;


TCDDrawerAndroid.DrawTickmark

Declaration

Source position: customdrawn_android.pas line 63

public procedure TCDDrawerAndroid.DrawTickmark(

  ADest: TFPCustomCanvas;

  ADestPos: TPoint;

  AState: TCDControlState

); override;


TCDDrawerAndroid.FreeResources

Declaration

Source position: customdrawn_android.pas line 45

public procedure TCDDrawerAndroid.FreeResources; override;


TCDDrawerAndroid.GetDrawStyle

Declaration

Source position: customdrawn_android.pas line 47

public function TCDDrawerAndroid.GetDrawStyle: TCDDrawStyle; override;


TCDDrawerAndroid.GetMeasures

Declaration

Source position: customdrawn_android.pas line 49

public function TCDDrawerAndroid.GetMeasures(

  AMeasureID: Integer

):Integer; override;


TCDDrawerAndroid.LoadResources

Declaration

Source position: customdrawn_android.pas line 44

public procedure TCDDrawerAndroid.LoadResources; override;


TCDDrawerCommon

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Declaration

Source position: customdrawn_common.pas line 23

type TCDDrawerCommon = class(TCDDrawer)

public

  function PalDefaultUsesNativePalette; override;

  procedure LoadFallbackPaletteColors; override;

  function GetMeasures(); override;

  function GetMeasuresEx(); override;

  procedure CalculatePreferredSize(); override;

  function GetColor(); override;

  function GetClientArea(); override;

  function DPIAdjustment();

  procedure DrawFocusRect(); override;

  procedure DrawRaisedFrame(); override;

  procedure DrawFrame3D(); override;

  procedure DrawSunkenFrame(); override;

  procedure DrawShallowSunkenFrame(); override;

  procedure DrawTickmark(); override;

  procedure DrawSlider(); override;

  procedure DrawArrow(); override;

  procedure DrawSmallCloseButton(); override;

  procedure DrawButtonWithArrow(); override;

  procedure DrawControl(); override;

  procedure DrawButton(); override;

  procedure DrawEditBackground(); override;

  procedure DrawEditFrame(); override;

  procedure DrawCaret(); override;

  procedure DrawEdit(); override;

  procedure DrawCheckBoxSquare(); override;

  procedure DrawCheckBox(); override;

  procedure DrawRadioButtonCircle(); override;

  procedure DrawRadioButton(); override;

  procedure DrawComboBox(); override;

  procedure DrawScrollBar(); override;

  procedure DrawGroupBox(); override;

  procedure DrawPanel(); override;

  procedure DrawStaticText(); override;

  procedure DrawTrackBar(); override;

  procedure DrawProgressBar(); override;

  procedure DrawListView(); override;

  procedure DrawReportListView(); override;

  procedure DrawReportListViewItem(); override;

  procedure DrawToolBar(); override;

  procedure DrawToolBarItem(); override;

  procedure DrawCTabControl(); override;

  procedure DrawCTabControlFrame(); override;

  procedure DrawTabSheet(); override;

  procedure DrawTabs(); override;

  procedure DrawTab(); override;

  procedure DrawSpinEdit(); override;

end;

Inheritance

TCDDrawerCommon

|

TCDDrawer

|

TObject


TCDDrawerCommon

TCDDrawer


TCDDrawerCommon
 | PalDefaultUsesNativePalette
 | LoadFallbackPaletteColors
 | GetMeasures
 | GetMeasuresEx
 | CalculatePreferredSize
 | GetColor
 | GetClientArea
 | DPIAdjustment
 | DrawFocusRect
 | DrawRaisedFrame
 | DrawFrame3D
 | DrawSunkenFrame
 | DrawShallowSunkenFrame
 | DrawTickmark
 | DrawSlider
 | DrawArrow
 | DrawSmallCloseButton
 | DrawButtonWithArrow
 | DrawControl
 | DrawButton
 | DrawEditBackground
 | DrawEditFrame
 | DrawCaret
 | DrawEdit
 | DrawCheckBoxSquare
 | DrawCheckBox
 | DrawRadioButtonCircle
 | DrawRadioButton
 | DrawComboBox
 | DrawScrollBar
 | DrawGroupBox
 | DrawPanel
 | DrawStaticText
 | DrawTrackBar
 | DrawProgressBar
 | DrawListView
 | DrawReportListView
 | DrawReportListViewItem
 | DrawToolBar
 | DrawToolBarItem
 | DrawCTabControl
 | DrawCTabControlFrame
 | DrawTabSheet
 | DrawTabs
 | DrawTab
 | DrawSpinEdit
TCDDrawer
 | Create
 | Destroy
 | CreateResources
 | LoadResources
 | FreeResources
 | ScaleRasterImage
 | LoadPalette
 | LoadNativePaletteColors
 | LoadFallbackPaletteColors
 | PalDefaultUsesNativePalette
 | GetDrawStyle
 | VisibleText
 | GetControlDefaultColor
 | GetMeasures
 | GetMeasuresEx
 | CalculatePreferredSize
 | GetColor
 | GetClientArea
 | DrawControl
 | DrawFocusRect
 | DrawRaisedFrame
 | DrawFrame3D
 | DrawSunkenFrame
 | DrawShallowSunkenFrame
 | DrawTickmark
 | DrawSlider
 | DrawArrow
 | DrawSmallCloseButton
 | DrawButtonWithArrow
 | DrawButton
 | DrawEditBackground
 | DrawEditFrame
 | DrawCaret
 | DrawEdit
 | DrawCheckBoxSquare
 | DrawCheckBox
 | DrawRadioButtonCircle
 | DrawRadioButton
 | DrawComboBox
 | DrawScrollBar
 | DrawGroupBox
 | DrawPanel
 | DrawStaticText
 | DrawTrackBar
 | DrawProgressBar
 | DrawListView
 | DrawReportListView
 | DrawReportListViewItem
 | DrawToolBar
 | DrawToolBarItem
 | DrawCTabControl
 | DrawCTabControlFrame
 | DrawTabSheet
 | DrawTabs
 | DrawTab
 | DrawSpinEdit


CalculatePreferredSize (TCDDrawer)

CalculatePreferredSize (TCDDrawerCommon)

Create (TCDDrawer)

CreateResources (TCDDrawer)

Destroy (TCDDrawer)

DPIAdjustment (TCDDrawerCommon)

DrawArrow (TCDDrawer)

DrawArrow (TCDDrawerCommon)

DrawButton (TCDDrawer)

DrawButton (TCDDrawerCommon)

DrawButtonWithArrow (TCDDrawer)

DrawButtonWithArrow (TCDDrawerCommon)

DrawCaret (TCDDrawer)

DrawCaret (TCDDrawerCommon)

DrawCheckBox (TCDDrawer)

DrawCheckBox (TCDDrawerCommon)

DrawCheckBoxSquare (TCDDrawer)

DrawCheckBoxSquare (TCDDrawerCommon)

DrawComboBox (TCDDrawer)

DrawComboBox (TCDDrawerCommon)

DrawControl (TCDDrawer)

DrawControl (TCDDrawerCommon)

DrawCTabControl (TCDDrawer)

DrawCTabControl (TCDDrawerCommon)

DrawCTabControlFrame (TCDDrawer)

DrawCTabControlFrame (TCDDrawerCommon)

DrawEdit (TCDDrawer)

DrawEdit (TCDDrawerCommon)

DrawEditBackground (TCDDrawer)

DrawEditBackground (TCDDrawerCommon)

DrawEditFrame (TCDDrawer)

DrawEditFrame (TCDDrawerCommon)

DrawFocusRect (TCDDrawer)

DrawFocusRect (TCDDrawerCommon)

DrawFrame3D (TCDDrawer)

DrawFrame3D (TCDDrawerCommon)

DrawGroupBox (TCDDrawer)

DrawGroupBox (TCDDrawerCommon)

DrawListView (TCDDrawer)

DrawListView (TCDDrawerCommon)

DrawPanel (TCDDrawer)

DrawPanel (TCDDrawerCommon)

DrawProgressBar (TCDDrawer)

DrawProgressBar (TCDDrawerCommon)

DrawRadioButton (TCDDrawer)

DrawRadioButton (TCDDrawerCommon)

DrawRadioButtonCircle (TCDDrawer)

DrawRadioButtonCircle (TCDDrawerCommon)

DrawRaisedFrame (TCDDrawer)

DrawRaisedFrame (TCDDrawerCommon)

DrawReportListView (TCDDrawer)

DrawReportListView (TCDDrawerCommon)

DrawReportListViewItem (TCDDrawer)

DrawReportListViewItem (TCDDrawerCommon)

DrawScrollBar (TCDDrawer)

DrawScrollBar (TCDDrawerCommon)

DrawShallowSunkenFrame (TCDDrawer)

DrawShallowSunkenFrame (TCDDrawerCommon)

DrawSlider (TCDDrawer)

DrawSlider (TCDDrawerCommon)

DrawSmallCloseButton (TCDDrawer)

DrawSmallCloseButton (TCDDrawerCommon)

DrawSpinEdit (TCDDrawer)

DrawSpinEdit (TCDDrawerCommon)

DrawStaticText (TCDDrawer)

DrawStaticText (TCDDrawerCommon)

DrawSunkenFrame (TCDDrawer)

DrawSunkenFrame (TCDDrawerCommon)

DrawTab (TCDDrawer)

DrawTab (TCDDrawerCommon)

DrawTabs (TCDDrawer)

DrawTabs (TCDDrawerCommon)

DrawTabSheet (TCDDrawer)

DrawTabSheet (TCDDrawerCommon)

DrawTickmark (TCDDrawer)

DrawTickmark (TCDDrawerCommon)

DrawToolBar (TCDDrawer)

DrawToolBar (TCDDrawerCommon)

DrawToolBarItem (TCDDrawer)

DrawToolBarItem (TCDDrawerCommon)

DrawTrackBar (TCDDrawer)

DrawTrackBar (TCDDrawerCommon)

FreeResources (TCDDrawer)

GetClientArea (TCDDrawer)

GetClientArea (TCDDrawerCommon)

GetColor (TCDDrawer)

GetColor (TCDDrawerCommon)

GetControlDefaultColor (TCDDrawer)

GetDrawStyle (TCDDrawer)

GetMeasures (TCDDrawer)

GetMeasures (TCDDrawerCommon)

GetMeasuresEx (TCDDrawer)

GetMeasuresEx (TCDDrawerCommon)

LoadFallbackPaletteColors (TCDDrawer)

LoadFallbackPaletteColors (TCDDrawerCommon)

LoadNativePaletteColors (TCDDrawer)

LoadPalette (TCDDrawer)

LoadResources (TCDDrawer)

PalDefaultUsesNativePalette (TCDDrawer)

PalDefaultUsesNativePalette (TCDDrawerCommon)

ScaleRasterImage (TCDDrawer)

VisibleText (TCDDrawer)


TCDDrawerCommon.CalculatePreferredSize

Declaration

Source position: customdrawn_common.pas line 31

public procedure TCDDrawerCommon.CalculatePreferredSize(

  ADest: TCanvas;

  AControlId: TCDControlID;

  AState: TCDControlState;

  AStateEx: TCDControlStateEx;

  var PreferredWidth: Integer;

  var PreferredHeight: Integer;

  WithThemeSpace: Boolean;

  AAllowUseOfMeasuresEx: Boolean

); override;


TCDDrawerCommon.DPIAdjustment

Declaration

Source position: customdrawn_common.pas line 37

public function TCDDrawerCommon.DPIAdjustment(

  const AValue: Integer

):Integer;


TCDDrawerCommon.DrawArrow

Declaration

Source position: customdrawn_common.pas line 47

public procedure TCDDrawerCommon.DrawArrow(

  ADest: TCanvas;

  ADestPos: TPoint;

  ADirection: TCDControlState;

  ASize: Integer = 7

); override;


TCDDrawerCommon.DrawButton

Declaration

Source position: customdrawn_common.pas line 58

public procedure TCDDrawerCommon.DrawButton(

  ADest: TFPCustomCanvas;

  ADestPos: TPoint;

  ASize: TSize;

  AState: TCDControlState;

  AStateEx: TCDButtonStateEx

); override;


TCDDrawerCommon.DrawButtonWithArrow

Declaration

Source position: customdrawn_common.pas line 50

public procedure TCDDrawerCommon.DrawButtonWithArrow(

  ADest: TCanvas;

  ADestPos: TPoint;

  ASize: TSize;

  AState: TCDControlState

); override;


TCDDrawerCommon.DrawCaret

Declaration

Source position: customdrawn_common.pas line 65

public procedure TCDDrawerCommon.DrawCaret(

  ADest: TCanvas;

  ADestPos: TPoint;

  ASize: TSize;

  AState: TCDControlState;

  AStateEx: TCDEditStateEx

); override;


TCDDrawerCommon.DrawCheckBox

Declaration

Source position: customdrawn_common.pas line 72

public procedure TCDDrawerCommon.DrawCheckBox(

  ADest: TCanvas;

  ASize: TSize;

  AState: TCDControlState;

  AStateEx: TCDControlStateEx

); override;


TCDDrawerCommon.DrawCheckBoxSquare

Declaration

Source position: customdrawn_common.pas line 70

public procedure TCDDrawerCommon.DrawCheckBoxSquare(

  ADest: TCanvas;

  ADestPos: TPoint;

  ASize: TSize;

  AState: TCDControlState;

  AStateEx: TCDControlStateEx

); override;


TCDDrawerCommon.DrawComboBox

Declaration

Source position: customdrawn_common.pas line 80

public procedure TCDDrawerCommon.DrawComboBox(

  ADest: TCanvas;

  ASize: TSize;

  AState: TCDControlState;

  AStateEx: TCDEditStateEx

); override;


TCDDrawerCommon.DrawControl

Declaration

Source position: customdrawn_common.pas line 52

public procedure TCDDrawerCommon.DrawControl(

  ADest: TCanvas;

  ASize: TSize;

  AState: TCDControlState;

  AStateEx: TCDControlStateEx

); override;


TCDDrawerCommon.DrawCTabControl

Declaration

Source position: customdrawn_common.pas line 119

public procedure TCDDrawerCommon.DrawCTabControl(

  ADest: TCanvas;

  ASize: TSize;

  AState: TCDControlState;

  AStateEx: TCDCTabControlStateEx

); override;


TCDDrawerCommon.DrawCTabControlFrame

Declaration

Source position: customdrawn_common.pas line 121

public procedure TCDDrawerCommon.DrawCTabControlFrame(

  ADest: TCanvas;

  ADestPos: TPoint;

  ASize: TSize;

  AState: TCDControlState;

  AStateEx: TCDCTabControlStateEx

); override;


TCDDrawerCommon.DrawEdit

Declaration

Source position: customdrawn_common.pas line 67

public procedure TCDDrawerCommon.DrawEdit(

  ADest: TCanvas;

  ASize: TSize;

  AState: TCDControlState;

  AStateEx: TCDEditStateEx

); override;


TCDDrawerCommon.DrawEditBackground

Declaration

Source position: customdrawn_common.pas line 61

public procedure TCDDrawerCommon.DrawEditBackground(

  ADest: TCanvas;

  ADestPos: TPoint;

  ASize: TSize;

  AState: TCDControlState;

  AStateEx: TCDEditStateEx

); override;


TCDDrawerCommon.DrawEditFrame

Declaration

Source position: customdrawn_common.pas line 63

public procedure TCDDrawerCommon.DrawEditFrame(

  ADest: TCanvas;

  ADestPos: TPoint;

  ASize: TSize;

  AState: TCDControlState;

  AStateEx: TCDEditStateEx

); override;


TCDDrawerCommon.DrawFocusRect

Declaration

Source position: customdrawn_common.pas line 39

public procedure TCDDrawerCommon.DrawFocusRect(

  ADest: TFPCustomCanvas;

  ADestPos: TPoint;

  ASize: TSize

); override;


TCDDrawerCommon.DrawFrame3D

Declaration

Source position: customdrawn_common.pas line 41

public procedure TCDDrawerCommon.DrawFrame3D(

  ADest: TFPCustomCanvas;

  ADestPos: TPoint;

  ASize: TSize;

  const FrameWidth: Integer;

  const Style: TBevelCut

); override;


TCDDrawerCommon.DrawGroupBox

Declaration

Source position: customdrawn_common.pas line 86

public procedure TCDDrawerCommon.DrawGroupBox(

  ADest: TFPCustomCanvas;

  ADestPos: TPoint;

  ASize: TSize;

  AState: TCDControlState;

  AStateEx: TCDControlStateEx

); override;


TCDDrawerCommon.DrawListView

Declaration

Source position: customdrawn_common.pas line 106

public procedure TCDDrawerCommon.DrawListView(

  ADest: TCanvas;

  ASize: TSize;

  AState: TCDControlState;

  AStateEx: TCDListViewStateEx

); override;


TCDDrawerCommon.DrawPanel

Declaration

Source position: customdrawn_common.pas line 89

public procedure TCDDrawerCommon.DrawPanel(

  ADest: TCanvas;

  ASize: TSize;

  AState: TCDControlState;

  AStateEx: TCDPanelStateEx

); override;


TCDDrawerCommon.DrawProgressBar

Declaration

Source position: customdrawn_common.pas line 103

public procedure TCDDrawerCommon.DrawProgressBar(

  ADest: TCanvas;

  ASize: TSize;

  AState: TCDControlState;

  AStateEx: TCDProgressBarStateEx

); override;


TCDDrawerCommon.DrawRadioButton

Declaration

Source position: customdrawn_common.pas line 77

public procedure TCDDrawerCommon.DrawRadioButton(

  ADest: TCanvas;

  ASize: TSize;

  AState: TCDControlState;

  AStateEx: TCDControlStateEx

); override;


TCDDrawerCommon.DrawRadioButtonCircle

Declaration

Source position: customdrawn_common.pas line 75

public procedure TCDDrawerCommon.DrawRadioButtonCircle(

  ADest: TCanvas;

  ADestPos: TPoint;

  ASize: TSize;

  AState: TCDControlState;

  AStateEx: TCDControlStateEx

); override;


TCDDrawerCommon.DrawRaisedFrame

Declaration

Source position: customdrawn_common.pas line 40

public procedure TCDDrawerCommon.DrawRaisedFrame(

  ADest: TCanvas;

  ADestPos: TPoint;

  ASize: TSize

); override;


TCDDrawerCommon.DrawReportListView

Declaration

Source position: customdrawn_common.pas line 108

public procedure TCDDrawerCommon.DrawReportListView(

  ADest: TCanvas;

  ADestPos: TPoint;

  ASize: TSize;

  AState: TCDControlState;

  AStateEx: TCDListViewStateEx

); override;


TCDDrawerCommon.DrawReportListViewItem

Declaration

Source position: customdrawn_common.pas line 110

public procedure TCDDrawerCommon.DrawReportListViewItem(

  ADest: TCanvas;

  ADestPos: TPoint;

  ASize: TSize;

  ACurItem: TCDListItems;

  AState: TCDControlState;

  AStateEx: TCDListViewStateEx

); override;


TCDDrawerCommon.DrawScrollBar

Declaration

Source position: customdrawn_common.pas line 83

public procedure TCDDrawerCommon.DrawScrollBar(

  ADest: TCanvas;

  ASize: TSize;

  AState: TCDControlState;

  AStateEx: TCDPositionedCStateEx

); override;


TCDDrawerCommon.DrawShallowSunkenFrame

Declaration

Source position: customdrawn_common.pas line 44

public procedure TCDDrawerCommon.DrawShallowSunkenFrame(

  ADest: TCanvas;

  ADestPos: TPoint;

  ASize: TSize

); override;


TCDDrawerCommon.DrawSlider

Declaration

Source position: customdrawn_common.pas line 46

public procedure TCDDrawerCommon.DrawSlider(

  ADest: TCanvas;

  ADestPos: TPoint;

  ASize: TSize;

  AState: TCDControlState

); override;


TCDDrawerCommon.DrawSmallCloseButton

Declaration

Source position: customdrawn_common.pas line 49

public procedure TCDDrawerCommon.DrawSmallCloseButton(

  ADest: TCanvas;

  ADestPos: TPoint

); override;


TCDDrawerCommon.DrawSpinEdit

Declaration

Source position: customdrawn_common.pas line 132

public procedure TCDDrawerCommon.DrawSpinEdit(

  ADest: TCanvas;

  ADestPos: TPoint;

  ASize: TSize;

  AState: TCDControlState;

  AStateEx: TCDSpinStateEx

); override;


TCDDrawerCommon.DrawStaticText

Declaration

Source position: customdrawn_common.pas line 94

public procedure TCDDrawerCommon.DrawStaticText(

  ADest: TCanvas;

  ASize: TSize;

  AState: TCDControlState;

  AStateEx: TCDControlStateEx

); override;


TCDDrawerCommon.DrawSunkenFrame

Declaration

Source position: customdrawn_common.pas line 43

public procedure TCDDrawerCommon.DrawSunkenFrame(

  ADest: TCanvas;

  ADestPos: TPoint;

  ASize: TSize

); override;


TCDDrawerCommon.DrawTab

Declaration

Source position: customdrawn_common.pas line 127

public procedure TCDDrawerCommon.DrawTab(

  ADest: TCanvas;

  ADestPos: TPoint;

  ASize: TSize;

  AState: TCDControlState;

  AStateEx: TCDCTabControlStateEx

); override;


TCDDrawerCommon.DrawTabs

Declaration

Source position: customdrawn_common.pas line 125

public procedure TCDDrawerCommon.DrawTabs(

  ADest: TCanvas;

  ADestPos: TPoint;

  ASize: TSize;

  AState: TCDControlState;

  AStateEx: TCDCTabControlStateEx

); override;


TCDDrawerCommon.DrawTabSheet

Declaration

Source position: customdrawn_common.pas line 123

public procedure TCDDrawerCommon.DrawTabSheet(

  ADest: TCanvas;

  ADestPos: TPoint;

  ASize: TSize;

  AState: TCDControlState;

  AStateEx: TCDCTabControlStateEx

); override;


TCDDrawerCommon.DrawTickmark

Declaration

Source position: customdrawn_common.pas line 45

public procedure TCDDrawerCommon.DrawTickmark(

  ADest: TFPCustomCanvas;

  ADestPos: TPoint;

  AState: TCDControlState

); override;


TCDDrawerCommon.DrawToolBar

Declaration

Source position: customdrawn_common.pas line 113

public procedure TCDDrawerCommon.DrawToolBar(

  ADest: TCanvas;

  ASize: TSize;

  AState: TCDControlState;

  AStateEx: TCDToolBarStateEx

); override;


TCDDrawerCommon.DrawToolBarItem

Declaration

Source position: customdrawn_common.pas line 115

public procedure TCDDrawerCommon.DrawToolBarItem(

  ADest: TCanvas;

  ASize: TSize;

  ACurItem: TCDToolBarItem;

  AX: Integer;

  AY: Integer;

  AState: TCDControlState;

  AStateEx: TCDToolBarStateEx

); override;


TCDDrawerCommon.DrawTrackBar

Declaration

Source position: customdrawn_common.pas line 100

public procedure TCDDrawerCommon.DrawTrackBar(

  ADest: TCanvas;

  ASize: TSize;

  AState: TCDControlState;

  AStateEx: TCDPositionedCStateEx

); override;


TCDDrawerCommon.GetClientArea

Declaration

Source position: customdrawn_common.pas line 35

public function TCDDrawerCommon.GetClientArea(

  ADest: TCanvas;

  ASize: TSize;

  AControlId: TCDControlID;

  AState: TCDControlState;

  AStateEx: TCDControlStateEx

):TRect; override;


TCDDrawerCommon.GetColor

Declaration

Source position: customdrawn_common.pas line 34

public function TCDDrawerCommon.GetColor(

  AColorID: Integer

):TColor; override;


TCDDrawerCommon.GetMeasures

Declaration

Source position: customdrawn_common.pas line 28

public function TCDDrawerCommon.GetMeasures(

  AMeasureID: Integer

):Integer; override;


TCDDrawerCommon.GetMeasuresEx

Declaration

Source position: customdrawn_common.pas line 29

public function TCDDrawerCommon.GetMeasuresEx(

  ADest: TCanvas;

  AMeasureID: Integer;

  AState: TCDControlState;

  AStateEx: TCDControlStateEx

):Integer; override;


TCDDrawerCommon.LoadFallbackPaletteColors

Declaration

Source position: customdrawn_common.pas line 26

public procedure TCDDrawerCommon.LoadFallbackPaletteColors; override;


TCDDrawerCommon.PalDefaultUsesNativePalette

Declaration

Source position: customdrawn_common.pas line 25

public function TCDDrawerCommon.PalDefaultUsesNativePalette: Boolean; override;


TCDDrawerMac

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Declaration

Source position: customdrawn_mac.pas line 19

type TCDDrawerMac = class(TCDDrawerCommon)

public

  procedure DrawExpandTriangle();

  procedure DrawMacSquareButton();

  function GetMeasures(); override;

  procedure DrawButton(); override;

  procedure DrawToolBarItem(); override;

end;

Inheritance

TCDDrawerMac

|

TCDDrawerCommon

|

TCDDrawer

|

TObject


TCDDrawerMac

TCDDrawerCommon

TCDDrawer


TCDDrawerMac
 | DrawExpandTriangle
 | DrawMacSquareButton
 | GetMeasures
 | DrawButton
 | DrawToolBarItem
TCDDrawerCommon
 | PalDefaultUsesNativePalette
 | LoadFallbackPaletteColors
 | GetMeasures
 | GetMeasuresEx
 | CalculatePreferredSize
 | GetColor
 | GetClientArea
 | DPIAdjustment
 | DrawFocusRect
 | DrawRaisedFrame
 | DrawFrame3D
 | DrawSunkenFrame
 | DrawShallowSunkenFrame
 | DrawTickmark
 | DrawSlider
 | DrawArrow
 | DrawSmallCloseButton
 | DrawButtonWithArrow
 | DrawControl
 | DrawButton
 | DrawEditBackground
 | DrawEditFrame
 | DrawCaret
 | DrawEdit
 | DrawCheckBoxSquare
 | DrawCheckBox
 | DrawRadioButtonCircle
 | DrawRadioButton
 | DrawComboBox
 | DrawScrollBar
 | DrawGroupBox
 | DrawPanel
 | DrawStaticText
 | DrawTrackBar
 | DrawProgressBar
 | DrawListView
 | DrawReportListView
 | DrawReportListViewItem
 | DrawToolBar
 | DrawToolBarItem
 | DrawCTabControl
 | DrawCTabControlFrame
 | DrawTabSheet
 | DrawTabs
 | DrawTab
 | DrawSpinEdit
TCDDrawer
 | Create
 | Destroy
 | CreateResources
 | LoadResources
 | FreeResources
 | ScaleRasterImage
 | LoadPalette
 | LoadNativePaletteColors
 | LoadFallbackPaletteColors
 | PalDefaultUsesNativePalette
 | GetDrawStyle
 | VisibleText
 | GetControlDefaultColor
 | GetMeasures
 | GetMeasuresEx
 | CalculatePreferredSize
 | GetColor
 | GetClientArea
 | DrawControl
 | DrawFocusRect
 | DrawRaisedFrame
 | DrawFrame3D
 | DrawSunkenFrame
 | DrawShallowSunkenFrame
 | DrawTickmark
 | DrawSlider
 | DrawArrow
 | DrawSmallCloseButton
 | DrawButtonWithArrow
 | DrawButton
 | DrawEditBackground
 | DrawEditFrame
 | DrawCaret
 | DrawEdit
 | DrawCheckBoxSquare
 | DrawCheckBox
 | DrawRadioButtonCircle
 | DrawRadioButton
 | DrawComboBox
 | DrawScrollBar
 | DrawGroupBox
 | DrawPanel
 | DrawStaticText
 | DrawTrackBar
 | DrawProgressBar
 | DrawListView
 | DrawReportListView
 | DrawReportListViewItem
 | DrawToolBar
 | DrawToolBarItem
 | DrawCTabControl
 | DrawCTabControlFrame
 | DrawTabSheet
 | DrawTabs
 | DrawTab
 | DrawSpinEdit


CalculatePreferredSize (TCDDrawer)

CalculatePreferredSize (TCDDrawerCommon)

Create (TCDDrawer)

CreateResources (TCDDrawer)

Destroy (TCDDrawer)

DPIAdjustment (TCDDrawerCommon)

DrawArrow (TCDDrawer)

DrawArrow (TCDDrawerCommon)

DrawButton (TCDDrawer)

DrawButton (TCDDrawerCommon)

DrawButton (TCDDrawerMac)

DrawButtonWithArrow (TCDDrawer)

DrawButtonWithArrow (TCDDrawerCommon)

DrawCaret (TCDDrawer)

DrawCaret (TCDDrawerCommon)

DrawCheckBox (TCDDrawer)

DrawCheckBox (TCDDrawerCommon)

DrawCheckBoxSquare (TCDDrawer)

DrawCheckBoxSquare (TCDDrawerCommon)

DrawComboBox (TCDDrawer)

DrawComboBox (TCDDrawerCommon)

DrawControl (TCDDrawer)

DrawControl (TCDDrawerCommon)

DrawCTabControl (TCDDrawer)

DrawCTabControl (TCDDrawerCommon)

DrawCTabControlFrame (TCDDrawer)

DrawCTabControlFrame (TCDDrawerCommon)

DrawEdit (TCDDrawer)

DrawEdit (TCDDrawerCommon)

DrawEditBackground (TCDDrawer)

DrawEditBackground (TCDDrawerCommon)

DrawEditFrame (TCDDrawer)

DrawEditFrame (TCDDrawerCommon)

DrawExpandTriangle (TCDDrawerMac)

DrawFocusRect (TCDDrawer)

DrawFocusRect (TCDDrawerCommon)

DrawFrame3D (TCDDrawer)

DrawFrame3D (TCDDrawerCommon)

DrawGroupBox (TCDDrawer)

DrawGroupBox (TCDDrawerCommon)

DrawListView (TCDDrawer)

DrawListView (TCDDrawerCommon)

DrawMacSquareButton (TCDDrawerMac)

DrawPanel (TCDDrawer)

DrawPanel (TCDDrawerCommon)

DrawProgressBar (TCDDrawer)

DrawProgressBar (TCDDrawerCommon)

DrawRadioButton (TCDDrawer)

DrawRadioButton (TCDDrawerCommon)

DrawRadioButtonCircle (TCDDrawer)

DrawRadioButtonCircle (TCDDrawerCommon)

DrawRaisedFrame (TCDDrawer)

DrawRaisedFrame (TCDDrawerCommon)

DrawReportListView (TCDDrawer)

DrawReportListView (TCDDrawerCommon)

DrawReportListViewItem (TCDDrawer)

DrawReportListViewItem (TCDDrawerCommon)

DrawScrollBar (TCDDrawer)

DrawScrollBar (TCDDrawerCommon)

DrawShallowSunkenFrame (TCDDrawer)

DrawShallowSunkenFrame (TCDDrawerCommon)

DrawSlider (TCDDrawer)

DrawSlider (TCDDrawerCommon)

DrawSmallCloseButton (TCDDrawer)

DrawSmallCloseButton (TCDDrawerCommon)

DrawSpinEdit (TCDDrawer)

DrawSpinEdit (TCDDrawerCommon)

DrawStaticText (TCDDrawer)

DrawStaticText (TCDDrawerCommon)

DrawSunkenFrame (TCDDrawer)

DrawSunkenFrame (TCDDrawerCommon)

DrawTab (TCDDrawer)

DrawTab (TCDDrawerCommon)

DrawTabs (TCDDrawer)

DrawTabs (TCDDrawerCommon)

DrawTabSheet (TCDDrawer)

DrawTabSheet (TCDDrawerCommon)

DrawTickmark (TCDDrawer)

DrawTickmark (TCDDrawerCommon)

DrawToolBar (TCDDrawer)

DrawToolBar (TCDDrawerCommon)

DrawToolBarItem (TCDDrawer)

DrawToolBarItem (TCDDrawerCommon)

DrawToolBarItem (TCDDrawerMac)

DrawTrackBar (TCDDrawer)

DrawTrackBar (TCDDrawerCommon)

FreeResources (TCDDrawer)

GetClientArea (TCDDrawer)

GetClientArea (TCDDrawerCommon)

GetColor (TCDDrawer)

GetColor (TCDDrawerCommon)

GetControlDefaultColor (TCDDrawer)

GetDrawStyle (TCDDrawer)

GetMeasures (TCDDrawer)

GetMeasures (TCDDrawerCommon)

GetMeasures (TCDDrawerMac)

GetMeasuresEx (TCDDrawer)

GetMeasuresEx (TCDDrawerCommon)

LoadFallbackPaletteColors (TCDDrawer)

LoadFallbackPaletteColors (TCDDrawerCommon)

LoadNativePaletteColors (TCDDrawer)

LoadPalette (TCDDrawer)

LoadResources (TCDDrawer)

PalDefaultUsesNativePalette (TCDDrawer)

PalDefaultUsesNativePalette (TCDDrawerCommon)

ScaleRasterImage (TCDDrawer)

VisibleText (TCDDrawer)


TCDDrawerMac.DrawButton

Declaration

Source position: customdrawn_mac.pas line 32

public procedure TCDDrawerMac.DrawButton(

  ADest: TFPCustomCanvas;

  ADestPos: TPoint;

  ASize: TSize;

  AState: TCDControlState;

  AStateEx: TCDButtonStateEx

); override;


TCDDrawerMac.DrawExpandTriangle

Declaration

Source position: customdrawn_mac.pas line 21

public procedure TCDDrawerMac.DrawExpandTriangle(

  ADest: TCanvas;

  ASize: TSize;

  AX: Integer;

  AY: Integer;

  AFacing: TCDControlStateFlag

);


TCDDrawerMac.DrawMacSquareButton

Declaration

Source position: customdrawn_mac.pas line 24

public procedure TCDDrawerMac.DrawMacSquareButton(

  ADest: TFPCustomCanvas;

  ADestPos: TPoint;

  ASize: TSize;

  AState: TCDControlState;

  AStateEx: TCDButtonStateEx

);


TCDDrawerMac.DrawToolBarItem

Declaration

Source position: customdrawn_mac.pas line 38

public procedure TCDDrawerMac.DrawToolBarItem(

  ADest: TCanvas;

  ASize: TSize;

  ACurItem: TCDToolBarItem;

  AX: Integer;

  AY: Integer;

  AState: TCDControlState;

  AStateEx: TCDToolBarStateEx

); override;


TCDDrawerMac.GetMeasures

Declaration

Source position: customdrawn_mac.pas line 27

public function TCDDrawerMac.GetMeasures(

  AMeasureID: Integer

):Integer; override;


TCDDrawerWinXP

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Declaration

Source position: customdrawn_winxp.pas line 19

type TCDDrawerWinXP = class(TCDDrawerCommon)

public

  function GetMeasures(); override;

  function GetDrawStyle; override;

  procedure LoadFallbackPaletteColors; override;

  procedure DrawTickmark(); override;

  procedure DrawButton(); override;

  procedure DrawEditFrame(); override;

  procedure DrawCheckBoxSquare(); override;

end;

Inheritance

TCDDrawerWinXP

|

TCDDrawerCommon

|

TCDDrawer

|

TObject


TCDDrawerWinXP

TCDDrawerCommon

TCDDrawer


TCDDrawerWinXP
 | GetMeasures
 | GetDrawStyle
 | LoadFallbackPaletteColors
 | DrawTickmark
 | DrawButton
 | DrawEditFrame
 | DrawCheckBoxSquare
TCDDrawerCommon
 | PalDefaultUsesNativePalette
 | LoadFallbackPaletteColors
 | GetMeasures
 | GetMeasuresEx
 | CalculatePreferredSize
 | GetColor
 | GetClientArea
 | DPIAdjustment
 | DrawFocusRect
 | DrawRaisedFrame
 | DrawFrame3D
 | DrawSunkenFrame
 | DrawShallowSunkenFrame
 | DrawTickmark
 | DrawSlider
 | DrawArrow
 | DrawSmallCloseButton
 | DrawButtonWithArrow
 | DrawControl
 | DrawButton
 | DrawEditBackground
 | DrawEditFrame
 | DrawCaret
 | DrawEdit
 | DrawCheckBoxSquare
 | DrawCheckBox
 | DrawRadioButtonCircle
 | DrawRadioButton
 | DrawComboBox
 | DrawScrollBar
 | DrawGroupBox
 | DrawPanel
 | DrawStaticText
 | DrawTrackBar
 | DrawProgressBar
 | DrawListView
 | DrawReportListView
 | DrawReportListViewItem
 | DrawToolBar
 | DrawToolBarItem
 | DrawCTabControl
 | DrawCTabControlFrame
 | DrawTabSheet
 | DrawTabs
 | DrawTab
 | DrawSpinEdit
TCDDrawer
 | Create
 | Destroy
 | CreateResources
 | LoadResources
 | FreeResources
 | ScaleRasterImage
 | LoadPalette
 | LoadNativePaletteColors
 | LoadFallbackPaletteColors
 | PalDefaultUsesNativePalette
 | GetDrawStyle
 | VisibleText
 | GetControlDefaultColor
 | GetMeasures
 | GetMeasuresEx
 | CalculatePreferredSize
 | GetColor
 | GetClientArea
 | DrawControl
 | DrawFocusRect
 | DrawRaisedFrame
 | DrawFrame3D
 | DrawSunkenFrame
 | DrawShallowSunkenFrame
 | DrawTickmark
 | DrawSlider
 | DrawArrow
 | DrawSmallCloseButton
 | DrawButtonWithArrow
 | DrawButton
 | DrawEditBackground
 | DrawEditFrame
 | DrawCaret
 | DrawEdit
 | DrawCheckBoxSquare
 | DrawCheckBox
 | DrawRadioButtonCircle
 | DrawRadioButton
 | DrawComboBox
 | DrawScrollBar
 | DrawGroupBox
 | DrawPanel
 | DrawStaticText
 | DrawTrackBar
 | DrawProgressBar
 | DrawListView
 | DrawReportListView
 | DrawReportListViewItem
 | DrawToolBar
 | DrawToolBarItem
 | DrawCTabControl
 | DrawCTabControlFrame
 | DrawTabSheet
 | DrawTabs
 | DrawTab
 | DrawSpinEdit


CalculatePreferredSize (TCDDrawer)

CalculatePreferredSize (TCDDrawerCommon)

Create (TCDDrawer)

CreateResources (TCDDrawer)

Destroy (TCDDrawer)

DPIAdjustment (TCDDrawerCommon)

DrawArrow (TCDDrawer)

DrawArrow (TCDDrawerCommon)

DrawButton (TCDDrawer)

DrawButton (TCDDrawerCommon)

DrawButton (TCDDrawerWinXP)

DrawButtonWithArrow (TCDDrawer)

DrawButtonWithArrow (TCDDrawerCommon)

DrawCaret (TCDDrawer)

DrawCaret (TCDDrawerCommon)

DrawCheckBox (TCDDrawer)

DrawCheckBox (TCDDrawerCommon)

DrawCheckBoxSquare (TCDDrawer)

DrawCheckBoxSquare (TCDDrawerCommon)

DrawCheckBoxSquare (TCDDrawerWinXP)

DrawComboBox (TCDDrawer)

DrawComboBox (TCDDrawerCommon)

DrawControl (TCDDrawer)

DrawControl (TCDDrawerCommon)

DrawCTabControl (TCDDrawer)

DrawCTabControl (TCDDrawerCommon)

DrawCTabControlFrame (TCDDrawer)

DrawCTabControlFrame (TCDDrawerCommon)

DrawEdit (TCDDrawer)

DrawEdit (TCDDrawerCommon)

DrawEditBackground (TCDDrawer)

DrawEditBackground (TCDDrawerCommon)

DrawEditFrame (TCDDrawer)

DrawEditFrame (TCDDrawerCommon)

DrawEditFrame (TCDDrawerWinXP)

DrawFocusRect (TCDDrawer)

DrawFocusRect (TCDDrawerCommon)

DrawFrame3D (TCDDrawer)

DrawFrame3D (TCDDrawerCommon)

DrawGroupBox (TCDDrawer)

DrawGroupBox (TCDDrawerCommon)

DrawListView (TCDDrawer)

DrawListView (TCDDrawerCommon)

DrawPanel (TCDDrawer)

DrawPanel (TCDDrawerCommon)

DrawProgressBar (TCDDrawer)

DrawProgressBar (TCDDrawerCommon)

DrawRadioButton (TCDDrawer)

DrawRadioButton (TCDDrawerCommon)

DrawRadioButtonCircle (TCDDrawer)

DrawRadioButtonCircle (TCDDrawerCommon)

DrawRaisedFrame (TCDDrawer)

DrawRaisedFrame (TCDDrawerCommon)

DrawReportListView (TCDDrawer)

DrawReportListView (TCDDrawerCommon)

DrawReportListViewItem (TCDDrawer)

DrawReportListViewItem (TCDDrawerCommon)

DrawScrollBar (TCDDrawer)

DrawScrollBar (TCDDrawerCommon)

DrawShallowSunkenFrame (TCDDrawer)

DrawShallowSunkenFrame (TCDDrawerCommon)

DrawSlider (TCDDrawer)

DrawSlider (TCDDrawerCommon)

DrawSmallCloseButton (TCDDrawer)

DrawSmallCloseButton (TCDDrawerCommon)

DrawSpinEdit (TCDDrawer)

DrawSpinEdit (TCDDrawerCommon)

DrawStaticText (TCDDrawer)

DrawStaticText (TCDDrawerCommon)

DrawSunkenFrame (TCDDrawer)

DrawSunkenFrame (TCDDrawerCommon)

DrawTab (TCDDrawer)

DrawTab (TCDDrawerCommon)

DrawTabs (TCDDrawer)

DrawTabs (TCDDrawerCommon)

DrawTabSheet (TCDDrawer)

DrawTabSheet (TCDDrawerCommon)

DrawTickmark (TCDDrawer)

DrawTickmark (TCDDrawerCommon)

DrawTickmark (TCDDrawerWinXP)

DrawToolBar (TCDDrawer)

DrawToolBar (TCDDrawerCommon)

DrawToolBarItem (TCDDrawer)

DrawToolBarItem (TCDDrawerCommon)

DrawTrackBar (TCDDrawer)

DrawTrackBar (TCDDrawerCommon)

FreeResources (TCDDrawer)

GetClientArea (TCDDrawer)

GetClientArea (TCDDrawerCommon)

GetColor (TCDDrawer)

GetColor (TCDDrawerCommon)

GetControlDefaultColor (TCDDrawer)

GetDrawStyle (TCDDrawer)

GetDrawStyle (TCDDrawerWinXP)

GetMeasures (TCDDrawer)

GetMeasures (TCDDrawerCommon)

GetMeasures (TCDDrawerWinXP)

GetMeasuresEx (TCDDrawer)

GetMeasuresEx (TCDDrawerCommon)

LoadFallbackPaletteColors (TCDDrawer)

LoadFallbackPaletteColors (TCDDrawerCommon)

LoadFallbackPaletteColors (TCDDrawerWinXP)

LoadNativePaletteColors (TCDDrawer)

LoadPalette (TCDDrawer)

LoadResources (TCDDrawer)

PalDefaultUsesNativePalette (TCDDrawer)

PalDefaultUsesNativePalette (TCDDrawerCommon)

ScaleRasterImage (TCDDrawer)

VisibleText (TCDDrawer)


TCDDrawerWinXP.DrawButton

Declaration

Source position: customdrawn_winxp.pas line 40

public procedure TCDDrawerWinXP.DrawButton(

  ADest: TFPCustomCanvas;

  ADestPos: TPoint;

  ASize: TSize;

  AState: TCDControlState;

  AStateEx: TCDButtonStateEx

); override;


TCDDrawerWinXP.DrawCheckBoxSquare

Declaration

Source position: customdrawn_winxp.pas line 46

public procedure TCDDrawerWinXP.DrawCheckBoxSquare(

  ADest: TCanvas;

  ADestPos: TPoint;

  ASize: TSize;

  AState: TCDControlState;

  AStateEx: TCDControlStateEx

); override;


TCDDrawerWinXP.DrawEditFrame

Declaration

Source position: customdrawn_winxp.pas line 43

public procedure TCDDrawerWinXP.DrawEditFrame(

  ADest: TCanvas;

  ADestPos: TPoint;

  ASize: TSize;

  AState: TCDControlState;

  AStateEx: TCDEditStateEx

); override;


TCDDrawerWinXP.DrawTickmark

Declaration

Source position: customdrawn_winxp.pas line 33

public procedure TCDDrawerWinXP.DrawTickmark(

  ADest: TFPCustomCanvas;

  ADestPos: TPoint;

  AState: TCDControlState

); override;


TCDDrawerWinXP.GetDrawStyle

Declaration

Source position: customdrawn_winxp.pas line 26

public function TCDDrawerWinXP.GetDrawStyle: TCDDrawStyle; override;


TCDDrawerWinXP.GetMeasures

Declaration

Source position: customdrawn_winxp.pas line 22

public function TCDDrawerWinXP.GetMeasures(

  AMeasureID: Integer

):Integer; override;


TCDDrawerWinXP.LoadFallbackPaletteColors

Declaration

Source position: customdrawn_winxp.pas line 27

public procedure TCDDrawerWinXP.LoadFallbackPaletteColors; override;


TCustomTimer

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

TCustomTimer - base class for TTimer

Declaration

Source position: customtimer.pas line 29

type TCustomTimer = class(TComponent)
protected
procedure SetEnabled(); virtual; | Sets the Enabled property to True or False
procedure SetInterval(); virtual; | Sets the Interval property
procedure SetOnTimer(); virtual; | Sets the OnTimer property
procedure DoOnTimer; virtual; | DoOnTimer - calls OnTimer event handler
procedure UpdateTimer; virtual; | Updates the Timer to refleect the current properties
procedure KillTimer; virtual; | KillTimer - kills the current timer object
procedure Loaded; override;
public
constructor Create(); override; | Create - constructor for TCustomTimer: calls inherited Create, sets up handle and initialises timer interval
destructor Destroy; override; | Destroy: destructor for TCustomTimer: disables and kills timer then calls inherited Destroy
property Enabled: Boolean; [rw] | Enabled - if True, timer is ready to start
property Interval: Cardinal; [rw] | The Interval (in milliseconds) for which the timer is to run
property OnTimer: TNotifyEvent; [rw] | OnTimer - event handler for timer interval complete (expired)
property OnStartTimer: TNotifyEvent; [rw] | OnStartTimer - event handler for starting the timer running
property OnStopTimer: TNotifyEvent; [rw] | OnStopTimer - event handler for stopping the timer
end;

Inheritance

TCustomTimer

TCustomTimer - base class for TTimer
|

TComponent,IUnknown,IInterfaceComponentReference
|

TPersistent,IFPObserved
|

TObject


TCustomTimer
 |  | Enabled
 |  | Interval
TComponent
 | ro | ComObject
 | ro | Components
 | ro | ComponentCount
 |  | ComponentIndex
 | ro | ComponentState
 | ro | ComponentStyle
 |  | DesignInfo
 | ro | Owner
 |  | VCLComObject
 |  | Name
 |  | Tag
TPersistent
TObject


ro | ComObject (TComponent)
ro | ComponentCount (TComponent)
 | ComponentIndex (TComponent)
ro | Components (TComponent)
ro | ComponentState (TComponent)
ro | ComponentStyle (TComponent)
 | DesignInfo (TComponent)
 | Enabled (TCustomTimer)
 | Interval (TCustomTimer)
 | Name (TComponent)
ro | Owner (TComponent)
 | Tag (TComponent)
 | VCLComObject (TComponent)


TCustomTimer
pt | SetEnabled
pt | SetInterval
pt | SetOnTimer
pt | DoOnTimer
pt | UpdateTimer
pt | KillTimer
pt | Loaded
 | Create
 | Destroy
TComponent
 | GetComObject
 | GetComponent
 | GetComponentCount
 | GetComponentIndex
 | Insert
 | ReadLeft
 | ReadTop
 | Remove
 | RemoveNotification
 | SetComponentIndex
 | SetReference
 | WriteLeft
 | WriteTop
 | ChangeName
 | DefineProperties
 | GetChildren
 | GetChildOwner
 | GetChildParent
 | GetOwner
 | Loaded
 | Loading
 | Notification
 | PaletteCreated
 | ReadState
 | SetAncestor
 | SetDesigning
 | SetDesignInstance
 | SetInline
 | SetName
 | SetChildOrder
 | SetParentComponent
 | Updating
 | Updated
 | UpdateRegistry
 | ValidateRename
 | ValidateContainer
 | ValidateInsert
 | QueryInterface
 | _AddRef
 | _Release
 | iicrGetComponent
 | GetTypeInfoCount
 | GetTypeInfo
 | GetIDsOfNames
 | Invoke
 | WriteState
 | Create
 | Destroy
 | BeforeDestruction
 | DestroyComponents
 | Destroying
 | ExecuteAction
 | FindComponent
 | FreeNotification
 | RemoveFreeNotification
 | FreeOnRelease
 | GetEnumerator
 | GetNamePath
 | GetParentComponent
 | HasParent
 | InsertComponent
 | RemoveComponent
 | SafeCallException
 | SetSubComponent
 | UpdateAction
 | IsImplementorOf
 | ReferenceInterface
TPersistent
 | AssignError
 | AssignTo
 | DefineProperties
 | GetOwner
 | Destroy
 | Assign
 | FPOAttachObserver
 | FPODetachObserver
 | FPONotifyObservers
 | GetNamePath
TObject
 | Create
 | Destroy
 | newinstance
 | FreeInstance
 | SafeCallException
 | DefaultHandler
 | Free
 | InitInstance
 | CleanupInstance
 | ClassType
 | ClassInfo
 | ClassName
 | ClassNameIs
 | ClassParent
 | InstanceSize
 | InheritsFrom
 | StringMessageTable
 | MethodAddress
 | MethodName
 | FieldAddress
 | AfterConstruction
 | BeforeDestruction
 | DefaultHandlerStr
 | Dispatch
 | DispatchStr
 | GetInterface
 | GetInterfaceByStr
 | GetInterfaceWeak
 | GetInterfaceEntry
 | GetInterfaceEntryByStr
 | GetInterfaceTable
 | UnitName
 | Equals
 | GetHashCode
 | ToString


 | AssignError (TPersistent)
 | AssignTo (TPersistent)
 | BeforeDestruction (TObject)
 | BeforeDestruction (TComponent)
 | ChangeName (TComponent)
 | ClassInfo (TObject)
 | ClassName (TObject)
 | ClassNameIs (TObject)
 | ClassParent (TObject)
 | ClassType (TObject)
 | CleanupInstance (TObject)
 | Create (TObject)
 | Create (TComponent)
 | Create (TCustomTimer)
 | DefaultHandler (TObject)
 | DefaultHandlerStr (TObject)
 | DefineProperties (TPersistent)
 | DefineProperties (TComponent)
 | Destroy (TObject)
 | Destroy (TPersistent)
 | Destroy (TComponent)
 | Destroy (TCustomTimer)
 | DestroyComponents (TComponent)
 | Destroying (TComponent)
 | Dispatch (TObject)
 | DispatchStr (TObject)
pt | DoOnTimer (TCustomTimer)
 | Equals (TObject)
 | ExecuteAction (TComponent)
 | FieldAddress (TObject)
 | FindComponent (TComponent)
 | FPOAttachObserver (TPersistent)
 | FPODetachObserver (TPersistent)
 | FPONotifyObservers (TPersistent)
 | Free (TObject)
 | FreeInstance (TObject)
 | FreeNotification (TComponent)
 | FreeOnRelease (TComponent)
 | GetChildOwner (TComponent)
 | GetChildParent (TComponent)
 | GetChildren (TComponent)
 | GetComObject (TComponent)
 | GetComponent (TComponent)
 | GetComponentCount (TComponent)
 | GetComponentIndex (TComponent)
 | GetEnumerator (TComponent)
 | GetHashCode (TObject)
 | GetIDsOfNames (TComponent)
 | GetInterface (TObject)
 | GetInterfaceByStr (TObject)
 | GetInterfaceEntry (TObject)
 | GetInterfaceEntryByStr (TObject)
 | GetInterfaceTable (TObject)
 | GetInterfaceWeak (TObject)
 | GetNamePath (TPersistent)
 | GetNamePath (TComponent)
 | GetOwner (TPersistent)
 | GetOwner (TComponent)
 | GetParentComponent (TComponent)
 | GetTypeInfo (TComponent)
 | GetTypeInfoCount (TComponent)
 | HasParent (TComponent)
 | iicrGetComponent (TComponent)
 | InheritsFrom (TObject)
 | InitInstance (TObject)
 | Insert (TComponent)
 | InsertComponent (TComponent)
 | InstanceSize (TObject)
 | Invoke (TComponent)
 | IsImplementorOf (TComponent)
pt | KillTimer (TCustomTimer)
 | Loaded (TComponent)
pt | Loaded (TCustomTimer)
 | Loading (TComponent)
 | MethodAddress (TObject)
 | MethodName (TObject)
 | newinstance (TObject)
 | Notification (TComponent)
 | PaletteCreated (TComponent)
 | QueryInterface (TComponent)
 | ReadLeft (TComponent)
 | ReadState (TComponent)
 | ReadTop (TComponent)
 | ReferenceInterface (TComponent)
 | Remove (TComponent)
 | RemoveComponent (TComponent)
 | RemoveFreeNotification (TComponent)
 | RemoveNotification (TComponent)
 | SafeCallException (TObject)
 | SafeCallException (TComponent)
 | SetAncestor (TComponent)
 | SetChildOrder (TComponent)
 | SetComponentIndex (TComponent)
 | SetDesigning (TComponent)
 | SetDesignInstance (TComponent)
pt | SetEnabled (TCustomTimer)
 | SetInline (TComponent)
pt | SetInterval (TCustomTimer)
 | SetName (TComponent)
pt | SetOnTimer (TCustomTimer)
 | SetParentComponent (TComponent)
 | SetReference (TComponent)
 | SetSubComponent (TComponent)
 | StringMessageTable (TObject)
 | ToString (TObject)
 | UnitName (TObject)
 | UpdateAction (TComponent)
 | Updated (TComponent)
 | UpdateRegistry (TComponent)
pt | UpdateTimer (TCustomTimer)
 | Updating (TComponent)
 | ValidateContainer (TComponent)
 | ValidateInsert (TComponent)
 | ValidateRename (TComponent)
 | WriteLeft (TComponent)
 | WriteState (TComponent)
 | WriteTop (TComponent)
 | _AddRef (TComponent)
 | _Release (TComponent)


TCustomTimer
 | OnTimer
 | OnStartTimer
 | OnStopTimer
TComponent
TPersistent
TObject


TCustomTimer.Create

Create - constructor for TCustomTimer: calls inherited Create, sets up handle and initialises timer interval

Declaration

Source position: customtimer.pas line 47

public constructor TCustomTimer.Create(

  AOwner: TComponent

); override;

See also

#rtl.Classes.TComponent.Create


TCustomTimer.Destroy

Destroy: destructor for TCustomTimer: disables and kills timer then calls inherited Destroy

Declaration

Source position: customtimer.pas line 48

public destructor TCustomTimer.Destroy; override;

See also

#rtl.Classes.TComponent.Destroy


TCustomTimer.DoOnTimer

DoOnTimer - calls OnTimer event handler

Declaration

Source position: customtimer.pas line 42

protected procedure TCustomTimer.DoOnTimer; virtual;


TCustomTimer.Enabled

Enabled - if True, timer is ready to start

Declaration

Source position: customtimer.pas line 49

public property TCustomTimer.Enabled : Boolean
  read FEnabled
  write SetEnabled
  default True;


TCustomTimer.Interval

The Interval (in milliseconds) for which the timer is to run

Declaration

Source position: customtimer.pas line 50

public property TCustomTimer.Interval : Cardinal
  read FInterval
  write SetInterval
  default 1000;


TCustomTimer.KillTimer

KillTimer - kills the current timer object

Declaration

Source position: customtimer.pas line 44

protected procedure TCustomTimer.KillTimer; virtual;


TCustomTimer.OnStartTimer

OnStartTimer - event handler for starting the timer running

Declaration

Source position: customtimer.pas line 52

public property TCustomTimer.OnStartTimer : TNotifyEvent
  read FOnStartTimer
  write FOnStartTimer;


TCustomTimer.OnStopTimer

OnStopTimer - event handler for stopping the timer

Declaration

Source position: customtimer.pas line 53

public property TCustomTimer.OnStopTimer : TNotifyEvent
  read FOnStopTimer
  write FOnStopTimer;


TCustomTimer.OnTimer

OnTimer - event handler for timer interval complete (expired)

Declaration

Source position: customtimer.pas line 51

public property TCustomTimer.OnTimer : TNotifyEvent
  read FOnTimer
  write SetOnTimer;


TCustomTimer.SetEnabled

Sets the Enabled property to True or False

Declaration

Source position: customtimer.pas line 39

protected procedure TCustomTimer.SetEnabled(

  Value: Boolean

); virtual;

Arguments

Value

Whether or not enabled


TCustomTimer.SetInterval

Sets the Interval property

Declaration

Source position: customtimer.pas line 40

protected procedure TCustomTimer.SetInterval(

  Value: Cardinal

); virtual;

Arguments

Value

The Value of the Interval to be set for the timer


TCustomTimer.SetOnTimer

Sets the OnTimer property

Declaration

Source position: customtimer.pas line 41

protected procedure TCustomTimer.SetOnTimer(

  Value: TNotifyEvent

); virtual;

Arguments

Value

The Value of the TNotifyEvent


TCustomTimer.UpdateTimer

Updates the Timer to refleect the current properties

Declaration

Source position: customtimer.pas line 43

protected procedure TCustomTimer.UpdateTimer; virtual;


TDataSetAction

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

TDataSetAction - base class for all other standard TDataSet actions

Declaration

Source position: dbactns.pp line 27

type TDataSetAction = class(TAction)
protected
procedure Notification(); override; |
function GetDataSet(); virtual; |
public
function HandlesTarget(); override; |
property DataSource: TDataSource; [rw] | DataSource - the locally-stored series of records forming the DataSet, derived (by a query) from the external database
end;

Inheritance

TDataSetAction | TDataSetAction - base class for all other standard TDataSet actions
|
TAction | TAction is the basic action object used on the LCL.
|
TCustomAction | TCustomAction is the ancestor class for TAction
|
TContainedAction | TContainedAction - parent class for TCustomAction; defines some properties especially relationships with parents
|
TBasicAction
|
TComponent,IUnknown,IInterfaceComponentReference
|
TPersistent,IFPObserved
|
TObject


TDataSetAction
 |  | DataSource
TAction
pl | ro | AutoCheck
pl | ro | Caption
pl | ro | Checked
pl | ro | DisableIfNoHandler
pl | ro | Enabled
pl | ro | GroupIndex
pl | ro | HelpContext
pl | ro | HelpKeyword
pl | ro | HelpType
pl | ro | Hint
pl | ro | ImageIndex
pl | ro | SecondaryShortCuts
pl | ro | ShortCut
pl | ro | Visible
TCustomAction
pt |  | SavedEnabledState
 |  | AutoCheck
 |  | Caption
 |  | Checked
 |  | DisableIfNoHandler
 |  | Enabled
 |  | GroupIndex
 |  | HelpContext
 |  | HelpKeyword
 |  | HelpType
 |  | Hint
 |  | ImageIndex
 |  | SecondaryShortCuts
 |  | ShortCut
 |  | Visible
TContainedAction
 |  | ActionList
 |  | Index
pl |  | Category
TBasicAction
 |  | ActionComponent
TComponent
 | ro | ComObject
 | ro | Components
 | ro | ComponentCount
 |  | ComponentIndex
 | ro | ComponentState
 | ro | ComponentStyle
 |  | DesignInfo
 | ro | Owner
 |  | VCLComObject
 |  | Name
 |  | Tag
TPersistent
TObject


pl | ro | AutoCheck (TAction)
 |  | Caption (TCustomAction)
pl | ro | Caption (TAction)
pl |  | Category (TContainedAction)
 |  | Checked (TCustomAction)
pl | ro | Checked (TAction)
 | ro | ComObject (TComponent)
 | ro | ComponentCount (TComponent)
 |  | ComponentIndex (TComponent)
 | ro | Components (TComponent)
 | ro | ComponentState (TComponent)
 | ro | ComponentStyle (TComponent)
 |  | DataSource (TDataSetAction)
 |  | DesignInfo (TComponent)
 |  | DisableIfNoHandler (TCustomAction)
pl | ro | DisableIfNoHandler (TAction)
 |  | Enabled (TCustomAction)
pl | ro | Enabled (TAction)
 |  | GroupIndex (TCustomAction)
pl | ro | GroupIndex (TAction)
 |  | HelpContext (TCustomAction)
pl | ro | HelpContext (TAction)
 |  | HelpKeyword (TCustomAction)
pl | ro | HelpKeyword (TAction)
 |  | HelpType (TCustomAction)
pl | ro | HelpType (TAction)
 |  | Hint (TCustomAction)
pl | ro | Hint (TAction)
 |  | ImageIndex (TCustomAction)
pl | ro | ImageIndex (TAction)
 |  | Index (TContainedAction)
 |  | Name (TComponent)
 | ro | Owner (TComponent)
pt |  | SavedEnabledState (TCustomAction)
 |  | SecondaryShortCuts (TCustomAction)
pl | ro | SecondaryShortCuts (TAction)
 |  | ShortCut (TCustomAction)
pl | ro | ShortCut (TAction)
 |  | Tag (TComponent)
 |  | VCLComObject (TComponent)
 |  | Visible (TCustomAction)
pl | ro | Visible (TAction)


TDataSetAction
pt | Notification
pt | GetDataSet
 | HandlesTarget
TAction
 | Create
TCustomAction
pt | AssignTo
pt | SetName
pt | HandleShortCut
 | Create
 | Destroy
 | DoHint
 | Execute
TContainedAction
pt | ReadState
pt | SetParentComponent
 | Destroy
 | Execute
 | GetParentComponent
 | HasParent
 | Update
TBasicAction
 | Change
 | SetOnExecute
 | Create
 | Destroy
 | HandlesTarget
 | UpdateTarget
 | ExecuteTarget
 | Execute
 | RegisterChanges
 | UnRegisterChanges
 | Update
TComponent
 | GetComObject
 | GetComponent
 | GetComponentCount
 | GetComponentIndex
 | Insert
 | ReadLeft
 | ReadTop
 | Remove
 | RemoveNotification
 | SetComponentIndex
 | SetReference
 | WriteLeft
 | WriteTop
 | ChangeName
 | DefineProperties
 | GetChildren
 | GetChildOwner
 | GetChildParent
 | GetOwner
 | Loaded
 | Loading
 | Notification
 | PaletteCreated
 | ReadState
 | SetAncestor
 | SetDesigning
 | SetDesignInstance
 | SetInline
 | SetName
 | SetChildOrder
 | SetParentComponent
 | Updating
 | Updated
 | UpdateRegistry
 | ValidateRename
 | ValidateContainer
 | ValidateInsert
 | QueryInterface
 | _AddRef
 | _Release
 | iicrGetComponent
 | GetTypeInfoCount
 | GetTypeInfo
 | GetIDsOfNames
 | Invoke
 | WriteState
 | Create
 | Destroy
 | BeforeDestruction
 | DestroyComponents
 | Destroying
 | ExecuteAction
 | FindComponent
 | FreeNotification
 | RemoveFreeNotification
 | FreeOnRelease
 | GetEnumerator
 | GetNamePath
 | GetParentComponent
 | HasParent
 | InsertComponent
 | RemoveComponent
 | SafeCallException
 | SetSubComponent
 | UpdateAction
 | IsImplementorOf
 | ReferenceInterface
TPersistent
 | AssignError
 | AssignTo
 | DefineProperties
 | GetOwner
 | Destroy
 | Assign
 | FPOAttachObserver
 | FPODetachObserver
 | FPONotifyObservers
 | GetNamePath
TObject
 | Create
 | Destroy
 | newinstance
 | FreeInstance
 | SafeCallException
 | DefaultHandler
 | Free
 | InitInstance
 | CleanupInstance
 | ClassType
 | ClassInfo
 | ClassName
 | ClassNameIs
 | ClassParent
 | InstanceSize
 | InheritsFrom
 | StringMessageTable
 | MethodAddress
 | MethodName
 | FieldAddress
 | AfterConstruction
 | BeforeDestruction
 | DefaultHandlerStr
 | Dispatch
 | DispatchStr
 | GetInterface
 | GetInterfaceByStr
 | GetInterfaceWeak
 | GetInterfaceEntry
 | GetInterfaceEntryByStr
 | GetInterfaceTable
 | UnitName
 | Equals
 | GetHashCode
 | ToString


 | AssignError (TPersistent)
 | AssignTo (TPersistent)
pt | AssignTo (TCustomAction)
 | BeforeDestruction (TObject)
 | BeforeDestruction (TComponent)
 | Change (TBasicAction)
 | ChangeName (TComponent)
 | ClassInfo (TObject)
 | ClassName (TObject)
 | ClassNameIs (TObject)
 | ClassParent (TObject)
 | ClassType (TObject)
 | CleanupInstance (TObject)
 | Create (TObject)
 | Create (TComponent)
 | Create (TBasicAction)
 | Create (TCustomAction)
 | Create (TAction)
 | DefaultHandler (TObject)
 | DefaultHandlerStr (TObject)
 | DefineProperties (TPersistent)
 | DefineProperties (TComponent)
 | Destroy (TObject)
 | Destroy (TPersistent)
 | Destroy (TComponent)
 | Destroy (TBasicAction)
 | Destroy (TContainedAction)
 | Destroy (TCustomAction)
 | DestroyComponents (TComponent)
 | Destroying (TComponent)
 | Dispatch (TObject)
 | DispatchStr (TObject)
 | DoHint (TCustomAction)
 | Equals (TObject)
 | Execute (TBasicAction)
 | Execute (TContainedAction)
 | Execute (TCustomAction)
 | ExecuteAction (TComponent)
 | ExecuteTarget (TBasicAction)
 | FieldAddress (TObject)
 | FindComponent (TComponent)
 | FPOAttachObserver (TPersistent)
 | FPODetachObserver (TPersistent)
 | FPONotifyObservers (TPersistent)
 | Free (TObject)
 | FreeInstance (TObject)
 | FreeNotification (TComponent)
 | FreeOnRelease (TComponent)
 | GetChildOwner (TComponent)
 | GetChildParent (TComponent)
 | GetChildren (TComponent)
 | GetComObject (TComponent)
 | GetComponent (TComponent)
 | GetComponentCount (TComponent)
 | GetComponentIndex (TComponent)
pt | GetDataSet (TDataSetAction)
 | GetEnumerator (TComponent)
 | GetHashCode (TObject)
 | GetIDsOfNames (TComponent)
 | GetInterface (TObject)
 | GetInterfaceByStr (TObject)
 | GetInterfaceEntry (TObject)
 | GetInterfaceEntryByStr (TObject)
 | GetInterfaceTable (TObject)
 | GetInterfaceWeak (TObject)
 | GetNamePath (TPersistent)
 | GetNamePath (TComponent)
 | GetOwner (TPersistent)
 | GetOwner (TComponent)
 | GetParentComponent (TComponent)
 | GetParentComponent (TContainedAction)
 | GetTypeInfo (TComponent)
 | GetTypeInfoCount (TComponent)
pt | HandleShortCut (TCustomAction)
 | HandlesTarget (TBasicAction)
 | HandlesTarget (TDataSetAction)
 | HasParent (TComponent)
 | HasParent (TContainedAction)
 | iicrGetComponent (TComponent)
 | InheritsFrom (TObject)
 | InitInstance (TObject)
 | Insert (TComponent)
 | InsertComponent (TComponent)
 | InstanceSize (TObject)
 | Invoke (TComponent)
 | IsImplementorOf (TComponent)
 | Loaded (TComponent)
 | Loading (TComponent)
 | MethodAddress (TObject)
 | MethodName (TObject)
 | newinstance (TObject)
 | Notification (TComponent)
pt | Notification (TDataSetAction)
 | PaletteCreated (TComponent)
 | QueryInterface (TComponent)
 | ReadLeft (TComponent)
 | ReadState (TComponent)
pt | ReadState (TContainedAction)
 | ReadTop (TComponent)
 | ReferenceInterface (TComponent)
 | RegisterChanges (TBasicAction)
 | Remove (TComponent)
 | RemoveComponent (TComponent)
 | RemoveFreeNotification (TComponent)
 | RemoveNotification (TComponent)
 | SafeCallException (TObject)
 | SafeCallException (TComponent)
 | SetAncestor (TComponent)
 | SetChildOrder (TComponent)
 | SetComponentIndex (TComponent)
 | SetDesigning (TComponent)
 | SetDesignInstance (TComponent)
 | SetInline (TComponent)
 | SetName (TComponent)
pt | SetName (TCustomAction)
 | SetOnExecute (TBasicAction)
 | SetParentComponent (TComponent)
pt | SetParentComponent (TContainedAction)
 | SetReference (TComponent)
 | SetSubComponent (TComponent)
 | StringMessageTable (TObject)
 | ToString (TObject)
 | UnitName (TObject)
 | UnRegisterChanges (TBasicAction)
 | Update (TBasicAction)
 | Update (TContainedAction)
 | UpdateAction (TComponent)
 | Updated (TComponent)
 | UpdateRegistry (TComponent)
 | UpdateTarget (TBasicAction)
 | Updating (TComponent)
 | ValidateContainer (TComponent)
 | ValidateInsert (TComponent)
 | ValidateRename (TComponent)
 | WriteLeft (TComponent)
 | WriteState (TComponent)
 | WriteTop (TComponent)
 | _AddRef (TComponent)
 | _Release (TComponent)


TDataSetAction
TAction
pl | ro | OnExecute
pl | ro | OnHint
pl | ro | OnUpdate
TCustomAction
 |  | OnHint
TContainedAction
TBasicAction
 |  | OnChange
 |  | OnExecute
 |  | OnUpdate
TComponent
TPersistent
TObject


TDataSetAction.DataSource

DataSource - the locally-stored series of records forming the DataSet, derived (by a query) from the external database

Declaration

Source position: dbactns.pp line 36

public property TDataSetAction.DataSource : TDataSource
  read FDataSource
  write SetDataSource;


TDataSetAction.GetDataSet

Declaration

Source position: dbactns.pp line 33

protected function TDataSetAction.GetDataSet(

  Target: TObject

):TDataSet; virtual;


TDataSetAction.HandlesTarget

Declaration

Source position: dbactns.pp line 35

public function TDataSetAction.HandlesTarget(

  Target: TObject

):Boolean; override;


TDataSetAction.Notification

Declaration

Source position: dbactns.pp line 32

protected procedure TDataSetAction.Notification(

  AComponent: TComponent;

  Operation: TOperation

); override;


TDataSetCancel

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

TDataSetCancel - cancel the previous operation on the DataSet

Declaration

Source position: dbactns.pp line 88

type TDataSetCancel = class(TDataSetAction)

public

  procedure ExecuteTarget(); override;

  procedure UpdateTarget(); override;

published

  property DataSource: TDataSource;

end;

Inheritance

TDataSetCancel | TDataSetCancel - cancel the previous operation on the DataSet
|
TDataSetAction | TDataSetAction - base class for all other standard TDataSet actions
|
TAction | TAction is the basic action object used on the LCL.
|
TCustomAction | TCustomAction is the ancestor class for TAction
|
TContainedAction | TContainedAction - parent class for TCustomAction; defines some properties especially relationships with parents
|
TBasicAction
|
TComponent,IUnknown,IInterfaceComponentReference
|
TPersistent,IFPObserved
|
TObject


TDataSetCancel
pl | ro | DataSource
TDataSetAction
 |  | DataSource
TAction
pl | ro | AutoCheck
pl | ro | Caption
pl | ro | Checked
pl | ro | DisableIfNoHandler
pl | ro | Enabled
pl | ro | GroupIndex
pl | ro | HelpContext
pl | ro | HelpKeyword
pl | ro | HelpType
pl | ro | Hint
pl | ro | ImageIndex
pl | ro | SecondaryShortCuts
pl | ro | ShortCut
pl | ro | Visible
TCustomAction
pt |  | SavedEnabledState
 |  | AutoCheck
 |  | Caption
 |  | Checked
 |  | DisableIfNoHandler
 |  | Enabled
 |  | GroupIndex
 |  | HelpContext
 |  | HelpKeyword
 |  | HelpType
 |  | Hint
 |  | ImageIndex
 |  | SecondaryShortCuts
 |  | ShortCut
 |  | Visible
TContainedAction
 |  | ActionList
 |  | Index
pl |  | Category
TBasicAction
 |  | ActionComponent
TComponent
 | ro | ComObject
 | ro | Components
 | ro | ComponentCount
 |  | ComponentIndex
 | ro | ComponentState
 | ro | ComponentStyle
 |  | DesignInfo
 | ro | Owner
 |  | VCLComObject
 |  | Name
 |  | Tag
TPersistent
TObject


pl | ro | AutoCheck (TAction)
 |  | Caption (TCustomAction)
pl | ro | Caption (TAction)
pl |  | Category (TContainedAction)
 |  | Checked (TCustomAction)
pl | ro | Checked (TAction)
 | ro | ComObject (TComponent)
 | ro | ComponentCount (TComponent)
 |  | ComponentIndex (TComponent)
 | ro | Components (TComponent)
 | ro | ComponentState (TComponent)
 | ro | ComponentStyle (TComponent)
 |  | DataSource (TDataSetAction)
pl | ro | DataSource (TDataSetCancel)
 |  | DesignInfo (TComponent)
 |  | DisableIfNoHandler (TCustomAction)
pl | ro | DisableIfNoHandler (TAction)
 |  | Enabled (TCustomAction)
pl | ro | Enabled (TAction)
 |  | GroupIndex (TCustomAction)
pl | ro | GroupIndex (TAction)
 |  | HelpContext (TCustomAction)
pl | ro | HelpContext (TAction)
 |  | HelpKeyword (TCustomAction)
pl | ro | HelpKeyword (TAction)
 |  | HelpType (TCustomAction)
pl | ro | HelpType (TAction)
 |  | Hint (TCustomAction)
pl | ro | Hint (TAction)
 |  | ImageIndex (TCustomAction)
pl | ro | ImageIndex (TAction)
 |  | Index (TContainedAction)
 |  | Name (TComponent)
 | ro | Owner (TComponent)
pt |  | SavedEnabledState (TCustomAction)
 |  | SecondaryShortCuts (TCustomAction)
pl | ro | SecondaryShortCuts (TAction)
 |  | ShortCut (TCustomAction)
pl | ro | ShortCut (TAction)
 |  | Tag (TComponent)
 |  | VCLComObject (TComponent)
 |  | Visible (TCustomAction)
pl | ro | Visible (TAction)


TDataSetCancel
 | ExecuteTarget
 | UpdateTarget
TDataSetAction
pt | Notification
pt | GetDataSet
 | HandlesTarget
TAction
 | Create
TCustomAction
pt | AssignTo
pt | SetName
pt | HandleShortCut
 | Create
 | Destroy
 | DoHint
 | Execute
TContainedAction
pt | ReadState
pt | SetParentComponent
 | Destroy
 | Execute
 | GetParentComponent
 | HasParent
 | Update
TBasicAction
 | Change
 | SetOnExecute
 | Create
 | Destroy
 | HandlesTarget
 | UpdateTarget
 | ExecuteTarget
 | Execute
 | RegisterChanges
 | UnRegisterChanges
 | Update
TComponent
 | GetComObject
 | GetComponent
 | GetComponentCount
 | GetComponentIndex
 | Insert
 | ReadLeft
 | ReadTop
 | Remove
 | RemoveNotification
 | SetComponentIndex
 | SetReference
 | WriteLeft
 | WriteTop
 | ChangeName
 | DefineProperties
 | GetChildren
 | GetChildOwner
 | GetChildParent
 | GetOwner
 | Loaded
 | Loading
 | Notification
 | PaletteCreated
 | ReadState
 | SetAncestor
 | SetDesigning
 | SetDesignInstance
 | SetInline
 | SetName
 | SetChildOrder
 | SetParentComponent
 | Updating
 | Updated
 | UpdateRegistry
 | ValidateRename
 | ValidateContainer
 | ValidateInsert
 | QueryInterface
 | _AddRef
 | _Release
 | iicrGetComponent
 | GetTypeInfoCount
 | GetTypeInfo
 | GetIDsOfNames
 | Invoke
 | WriteState
 | Create
 | Destroy
 | BeforeDestruction
 | DestroyComponents
 | Destroying
 | ExecuteAction
 | FindComponent
 | FreeNotification
 | RemoveFreeNotification
 | FreeOnRelease
 | GetEnumerator
 | GetNamePath
 | GetParentComponent
 | HasParent
 | InsertComponent
 | RemoveComponent
 | SafeCallException
 | SetSubComponent
 | UpdateAction
 | IsImplementorOf
 | ReferenceInterface
TPersistent
 | AssignError
 | AssignTo
 | DefineProperties
 | GetOwner
 | Destroy
 | Assign
 | FPOAttachObserver
 | FPODetachObserver
 | FPONotifyObservers
 | GetNamePath
TObject
 | Create
 | Destroy
 | newinstance
 | FreeInstance
 | SafeCallException
 | DefaultHandler
 | Free
 | InitInstance
 | CleanupInstance
 | ClassType
 | ClassInfo
 | ClassName
 | ClassNameIs
 | ClassParent
 | InstanceSize
 | InheritsFrom
 | StringMessageTable
 | MethodAddress
 | MethodName
 | FieldAddress
 | AfterConstruction
 | BeforeDestruction
 | DefaultHandlerStr
 | Dispatch
 | DispatchStr
 | GetInterface
 | GetInterfaceByStr
 | GetInterfaceWeak
 | GetInterfaceEntry
 | GetInterfaceEntryByStr
 | GetInterfaceTable
 | UnitName
 | Equals
 | GetHashCode
 | ToString


 | AssignError (TPersistent)
 | AssignTo (TPersistent)
pt | AssignTo (TCustomAction)
 | BeforeDestruction (TObject)
 | BeforeDestruction (TComponent)
 | Change (TBasicAction)
 | ChangeName (TComponent)
 | ClassInfo (TObject)
 | ClassName (TObject)
 | ClassNameIs (TObject)
 | ClassParent (TObject)
 | ClassType (TObject)
 | CleanupInstance (TObject)
 | Create (TObject)
 | Create (TComponent)
 | Create (TBasicAction)
 | Create (TCustomAction)
 | Create (TAction)
 | DefaultHandler (TObject)
 | DefaultHandlerStr (TObject)
 | DefineProperties (TPersistent)
 | DefineProperties (TComponent)
 | Destroy (TObject)
 | Destroy (TPersistent)
 | Destroy (TComponent)
 | Destroy (TBasicAction)
 | Destroy (TContainedAction)
 | Destroy (TCustomAction)
 | DestroyComponents (TComponent)
 | Destroying (TComponent)
 | Dispatch (TObject)
 | DispatchStr (TObject)
 | DoHint (TCustomAction)
 | Equals (TObject)
 | Execute (TBasicAction)
 | Execute (TContainedAction)
 | Execute (TCustomAction)
 | ExecuteAction (TComponent)
 | ExecuteTarget (TBasicAction)
 | ExecuteTarget (TDataSetCancel)
 | FieldAddress (TObject)
 | FindComponent (TComponent)
 | FPOAttachObserver (TPersistent)
 | FPODetachObserver (TPersistent)
 | FPONotifyObservers (TPersistent)
 | Free (TObject)
 | FreeInstance (TObject)
 | FreeNotification (TComponent)
 | FreeOnRelease (TComponent)
 | GetChildOwner (TComponent)
 | GetChildParent (TComponent)
 | GetChildren (TComponent)
 | GetComObject (TComponent)
 | GetComponent (TComponent)
 | GetComponentCount (TComponent)
 | GetComponentIndex (TComponent)
pt | GetDataSet (TDataSetAction)
 | GetEnumerator (TComponent)
 | GetHashCode (TObject)
 | GetIDsOfNames (TComponent)
 | GetInterface (TObject)
 | GetInterfaceByStr (TObject)
 | GetInterfaceEntry (TObject)
 | GetInterfaceEntryByStr (TObject)
 | GetInterfaceTable (TObject)
 | GetInterfaceWeak (TObject)
 | GetNamePath (TPersistent)
 | GetNamePath (TComponent)
 | GetOwner (TPersistent)
 | GetOwner (TComponent)
 | GetParentComponent (TComponent)
 | GetParentComponent (TContainedAction)
 | GetTypeInfo (TComponent)
 | GetTypeInfoCount (TComponent)
pt | HandleShortCut (TCustomAction)
 | HandlesTarget (TBasicAction)
 | HandlesTarget (TDataSetAction)
 | HasParent (TComponent)
 | HasParent (TContainedAction)
 | iicrGetComponent (TComponent)
 | InheritsFrom (TObject)
 | InitInstance (TObject)
 | Insert (TComponent)
 | InsertComponent (TComponent)
 | InstanceSize (TObject)
 | Invoke (TComponent)
 | IsImplementorOf (TComponent)
 | Loaded (TComponent)
 | Loading (TComponent)
 | MethodAddress (TObject)
 | MethodName (TObject)
 | newinstance (TObject)
 | Notification (TComponent)
pt | Notification (TDataSetAction)
 | PaletteCreated (TComponent)
 | QueryInterface (TComponent)
 | ReadLeft (TComponent)
 | ReadState (TComponent)
pt | ReadState (TContainedAction)
 | ReadTop (TComponent)
 | ReferenceInterface (TComponent)
 | RegisterChanges (TBasicAction)
 | Remove (TComponent)
 | RemoveComponent (TComponent)
 | RemoveFreeNotification (TComponent)
 | RemoveNotification (TComponent)
 | SafeCallException (TObject)
 | SafeCallException (TComponent)
 | SetAncestor (TComponent)
 | SetChildOrder (TComponent)
 | SetComponentIndex (TComponent)
 | SetDesigning (TComponent)
 | SetDesignInstance (TComponent)
 | SetInline (TComponent)
 | SetName (TComponent)
pt | SetName (TCustomAction)
 | SetOnExecute (TBasicAction)
 | SetParentComponent (TComponent)
pt | SetParentComponent (TContainedAction)
 | SetReference (TComponent)
 | SetSubComponent (TComponent)
 | StringMessageTable (TObject)
 | ToString (TObject)
 | UnitName (TObject)
 | UnRegisterChanges (TBasicAction)
 | Update (TBasicAction)
 | Update (TContainedAction)
 | UpdateAction (TComponent)
 | Updated (TComponent)
 | UpdateRegistry (TComponent)
 | UpdateTarget (TBasicAction)
 | UpdateTarget (TDataSetCancel)
 | Updating (TComponent)
 | ValidateContainer (TComponent)
 | ValidateInsert (TComponent)
 | ValidateRename (TComponent)
 | WriteLeft (TComponent)
 | WriteState (TComponent)
 | WriteTop (TComponent)
 | _AddRef (TComponent)
 | _Release (TComponent)


TDataSetCancel
TDataSetAction
TAction
pl | ro | OnExecute
pl | ro | OnHint
pl | ro | OnUpdate
TCustomAction
 |  | OnHint
TContainedAction
TBasicAction
 |  | OnChange
 |  | OnExecute
 |  | OnUpdate
TComponent
TPersistent
TObject


TDataSetCancel.DataSource

Declaration

Source position: dbactns.pp line 93

published property TDataSetCancel.DataSource : TDataSource;


TDataSetCancel.ExecuteTarget

Declaration

Source position: dbactns.pp line 90

public procedure TDataSetCancel.ExecuteTarget(

  Target: TObject

); override;


TDataSetCancel.UpdateTarget

Declaration

Source position: dbactns.pp line 91

public procedure TDataSetCancel.UpdateTarget(

  Target: TObject

); override;


TDataSetDelete

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

TDataSetDelete - delete the current record in the DataSet

Declaration

Source position: dbactns.pp line 96

type TDataSetDelete = class(TDataSetAction)

public

  procedure ExecuteTarget(); override;

  procedure UpdateTarget(); override;

published

  property DataSource: TDataSource;

end;

Inheritance

TDataSetDelete | TDataSetDelete - delete the current record in the DataSet
|
TDataSetAction | TDataSetAction - base class for all other standard TDataSet actions
|
TAction | TAction is the basic action object used on the LCL.
|
TCustomAction | TCustomAction is the ancestor class for TAction
|
TContainedAction | TContainedAction - parent class for TCustomAction; defines some properties especially relationships with parents
|
TBasicAction
|
TComponent,IUnknown,IInterfaceComponentReference
|
TPersistent,IFPObserved
|
TObject


TDataSetDelete
pl | ro | DataSource
TDataSetAction
 |  | DataSource
TAction
pl | ro | AutoCheck
pl | ro | Caption
pl | ro | Checked
pl | ro | DisableIfNoHandler
pl | ro | Enabled
pl | ro | GroupIndex
pl | ro | HelpContext
pl | ro | HelpKeyword
pl | ro | HelpType
pl | ro | Hint
pl | ro | ImageIndex
pl | ro | SecondaryShortCuts
pl | ro | ShortCut
pl | ro | Visible
TCustomAction
pt |  | SavedEnabledState
 |  | AutoCheck
 |  | Caption
 |  | Checked
 |  | DisableIfNoHandler
 |  | Enabled
 |  | GroupIndex
 |  | HelpContext
 |  | HelpKeyword
 |  | HelpType
 |  | Hint
 |  | ImageIndex
 |  | SecondaryShortCuts
 |  | ShortCut
 |  | Visible
TContainedAction
 |  | ActionList
 |  | Index
pl |  | Category
TBasicAction
 |  | ActionComponent
TComponent
 | ro | ComObject
 | ro | Components
 | ro | ComponentCount
 |  | ComponentIndex
 | ro | ComponentState
 | ro | ComponentStyle
 |  | DesignInfo
 | ro | Owner
 |  | VCLComObject
 |  | Name
 |  | Tag
TPersistent
TObject


pl | ro | AutoCheck (TAction)
 |  | Caption (TCustomAction)
pl | ro | Caption (TAction)
pl |  | Category (TContainedAction)
 |  | Checked (TCustomAction)
pl | ro | Checked (TAction)
 | ro | ComObject (TComponent)
 | ro | ComponentCount (TComponent)
 |  | ComponentIndex (TComponent)
 | ro | Components (TComponent)
 | ro | ComponentState (TComponent)
 | ro | ComponentStyle (TComponent)
 |  | DataSource (TDataSetAction)
pl | ro | DataSource (TDataSetDelete)
 |  | DesignInfo (TComponent)
 |  | DisableIfNoHandler (TCustomAction)
pl | ro | DisableIfNoHandler (TAction)
 |  | Enabled (TCustomAction)
pl | ro | Enabled (TAction)
 |  | GroupIndex (TCustomAction)
pl | ro | GroupIndex (TAction)
 |  | HelpContext (TCustomAction)
pl | ro | HelpContext (TAction)
 |  | HelpKeyword (TCustomAction)
pl | ro | HelpKeyword (TAction)
 |  | HelpType (TCustomAction)
pl | ro | HelpType (TAction)
 |  | Hint (TCustomAction)
pl | ro | Hint (TAction)
 |  | ImageIndex (TCustomAction)
pl | ro | ImageIndex (TAction)
 |  | Index (TContainedAction)
 |  | Name (TComponent)
 | ro | Owner (TComponent)
pt |  | SavedEnabledState (TCustomAction)
 |  | SecondaryShortCuts (TCustomAction)
pl | ro | SecondaryShortCuts (TAction)
 |  | ShortCut (TCustomAction)
pl | ro | ShortCut (TAction)
 |  | Tag (TComponent)
 |  | VCLComObject (TComponent)
 |  | Visible (TCustomAction)
pl | ro | Visible (TAction)


TDataSetDelete
 | ExecuteTarget
 | UpdateTarget
TDataSetAction
pt | Notification
pt | GetDataSet
 | HandlesTarget
TAction
 | Create
TCustomAction
pt | AssignTo
pt | SetName
pt | HandleShortCut
 | Create
 | Destroy
 | DoHint
 | Execute
TContainedAction
pt | ReadState
pt | SetParentComponent
 | Destroy
 | Execute
 | GetParentComponent
 | HasParent
 | Update
TBasicAction
 | Change
 | SetOnExecute
 | Create
 | Destroy
 | HandlesTarget
 | UpdateTarget
 | ExecuteTarget
 | Execute
 | RegisterChanges
 | UnRegisterChanges
 | Update
TComponent
 | GetComObject
 | GetComponent
 | GetComponentCount
 | GetComponentIndex
 | Insert
 | ReadLeft
 | ReadTop
 | Remove
 | RemoveNotification
 | SetComponentIndex
 | SetReference
 | WriteLeft
 | WriteTop
 | ChangeName
 | DefineProperties
 | GetChildren
 | GetChildOwner
 | GetChildParent
 | GetOwner
 | Loaded
 | Loading
 | Notification
 | PaletteCreated
 | ReadState
 | SetAncestor
 | SetDesigning
 | SetDesignInstance
 | SetInline
 | SetName
 | SetChildOrder
 | SetParentComponent
 | Updating
 | Updated
 | UpdateRegistry
 | ValidateRename
 | ValidateContainer
 | ValidateInsert
 | QueryInterface
 | _AddRef
 | _Release
 | iicrGetComponent
 | GetTypeInfoCount
 | GetTypeInfo
 | GetIDsOfNames
 | Invoke
 | WriteState
 | Create
 | Destroy
 | BeforeDestruction
 | DestroyComponents
 | Destroying
 | ExecuteAction
 | FindComponent
 | FreeNotification
 | RemoveFreeNotification
 | FreeOnRelease
 | GetEnumerator
 | GetNamePath
 | GetParentComponent
 | HasParent
 | InsertComponent
 | RemoveComponent
 | SafeCallException
 | SetSubComponent
 | UpdateAction
 | IsImplementorOf
 | ReferenceInterface
TPersistent
 | AssignError
 | AssignTo
 | DefineProperties
 | GetOwner
 | Destroy
 | Assign
 | FPOAttachObserver
 | FPODetachObserver
 | FPONotifyObservers
 | GetNamePath
TObject
 | Create
 | Destroy
 | newinstance
 | FreeInstance
 | SafeCallException
 | DefaultHandler
 | Free
 | InitInstance
 | CleanupInstance
 | ClassType
 | ClassInfo
 | ClassName
 | ClassNameIs
 | ClassParent
 | InstanceSize
 | InheritsFrom
 | StringMessageTable
 | MethodAddress
 | MethodName
 | FieldAddress
 | AfterConstruction
 | BeforeDestruction
 | DefaultHandlerStr
 | Dispatch
 | DispatchStr
 | GetInterface
 | GetInterfaceByStr
 | GetInterfaceWeak
 | GetInterfaceEntry
 | GetInterfaceEntryByStr
 | GetInterfaceTable
 | UnitName
 | Equals
 | GetHashCode
 | ToString


 | AssignError (TPersistent)
 | AssignTo (TPersistent)
pt | AssignTo (TCustomAction)
 | BeforeDestruction (TObject)
 | BeforeDestruction (TComponent)
 | Change (TBasicAction)
 | ChangeName (TComponent)
 | ClassInfo (TObject)
 | ClassName (TObject)
 | ClassNameIs (TObject)
 | ClassParent (TObject)
 | ClassType (TObject)
 | CleanupInstance (TObject)
 | Create (TObject)
 | Create (TComponent)
 | Create (TBasicAction)
 | Create (TCustomAction)
 | Create (TAction)
 | DefaultHandler (TObject)
 | DefaultHandlerStr (TObject)
 | DefineProperties (TPersistent)
 | DefineProperties (TComponent)
 | Destroy (TObject)
 | Destroy (TPersistent)
 | Destroy (TComponent)
 | Destroy (TBasicAction)
 | Destroy (TContainedAction)
 | Destroy (TCustomAction)
 | DestroyComponents (TComponent)
 | Destroying (TComponent)
 | Dispatch (TObject)
 | DispatchStr (TObject)
 | DoHint (TCustomAction)
 | Equals (TObject)
 | Execute (TBasicAction)
 | Execute (TContainedAction)
 | Execute (TCustomAction)
 | ExecuteAction (TComponent)
 | ExecuteTarget (TBasicAction)
 | ExecuteTarget (TDataSetDelete)
 | FieldAddress (TObject)
 | FindComponent (TComponent)
 | FPOAttachObserver (TPersistent)
 | FPODetachObserver (TPersistent)
 | FPONotifyObservers (TPersistent)
 | Free (TObject)
 | FreeInstance (TObject)
 | FreeNotification (TComponent)
 | FreeOnRelease (TComponent)
 | GetChildOwner (TComponent)
 | GetChildParent (TComponent)
 | GetChildren (TComponent)
 | GetComObject (TComponent)
 | GetComponent (TComponent)
 | GetComponentCount (TComponent)
 | GetComponentIndex (TComponent)
pt | GetDataSet (TDataSetAction)
 | GetEnumerator (TComponent)
 | GetHashCode (TObject)
 | GetIDsOfNames (TComponent)
 | GetInterface (TObject)
 | GetInterfaceByStr (TObject)
 | GetInterfaceEntry (TObject)
 | GetInterfaceEntryByStr (TObject)
 | GetInterfaceTable (TObject)
 | GetInterfaceWeak (TObject)
 | GetNamePath (TPersistent)
 | GetNamePath (TComponent)
 | GetOwner (TPersistent)
 | GetOwner (TComponent)
 | GetParentComponent (TComponent)
 | GetParentComponent (TContainedAction)
 | GetTypeInfo (TComponent)
 | GetTypeInfoCount (TComponent)
pt | HandleShortCut (TCustomAction)
 | HandlesTarget (TBasicAction)
 | HandlesTarget (TDataSetAction)
 | HasParent (TComponent)
 | HasParent (TContainedAction)
 | iicrGetComponent (TComponent)
 | InheritsFrom (TObject)
 | InitInstance (TObject)
 | Insert (TComponent)
 | InsertComponent (TComponent)
 | InstanceSize (TObject)
 | Invoke (TComponent)
 | IsImplementorOf (TComponent)
 | Loaded (TComponent)
 | Loading (TComponent)
 | MethodAddress (TObject)
 | MethodName (TObject)
 | newinstance (TObject)
 | Notification (TComponent)
pt | Notification (TDataSetAction)
 | PaletteCreated (TComponent)
 | QueryInterface (TComponent)
 | ReadLeft (TComponent)
 | ReadState (TComponent)
pt | ReadState (TContainedAction)
 | ReadTop (TComponent)
 | ReferenceInterface (TComponent)
 | RegisterChanges (TBasicAction)
 | Remove (TComponent)
 | RemoveComponent (TComponent)
 | RemoveFreeNotification (TComponent)
 | RemoveNotification (TComponent)
 | SafeCallException (TObject)
 | SafeCallException (TComponent)
 | SetAncestor (TComponent)
 | SetChildOrder (TComponent)
 | SetComponentIndex (TComponent)
 | SetDesigning (TComponent)
 | SetDesignInstance (TComponent)
 | SetInline (TComponent)
 | SetName (TComponent)
pt | SetName (TCustomAction)
 | SetOnExecute (TBasicAction)
 | SetParentComponent (TComponent)
pt | SetParentComponent (TContainedAction)
 | SetReference (TComponent)
 | SetSubComponent (TComponent)
 | StringMessageTable (TObject)
 | ToString (TObject)
 | UnitName (TObject)
 | UnRegisterChanges (TBasicAction)
 | Update (TBasicAction)
 | Update (TContainedAction)
 | UpdateAction (TComponent)
 | Updated (TComponent)
 | UpdateRegistry (TComponent)
 | UpdateTarget (TBasicAction)
 | UpdateTarget (TDataSetDelete)
 | Updating (TComponent)
 | ValidateContainer (TComponent)
 | ValidateInsert (TComponent)
 | ValidateRename (TComponent)
 | WriteLeft (TComponent)
 | WriteState (TComponent)
 | WriteTop (TComponent)
 | _AddRef (TComponent)
 | _Release (TComponent)


TDataSetDelete
TDataSetAction
TAction
pl | ro | OnExecute
pl | ro | OnHint
pl | ro | OnUpdate
TCustomAction
 |  | OnHint
TContainedAction
TBasicAction
 |  | OnChange
 |  | OnExecute
 |  | OnUpdate
TComponent
TPersistent
TObject


TDataSetDelete.DataSource

Declaration

Source position: dbactns.pp line 101

published property TDataSetDelete.DataSource : TDataSource;


TDataSetDelete.ExecuteTarget

Declaration

Source position: dbactns.pp line 98

public procedure TDataSetDelete.ExecuteTarget(

  Target: TObject

); override;


TDataSetDelete.UpdateTarget

Declaration

Source position: dbactns.pp line 99

public procedure TDataSetDelete.UpdateTarget(

  Target: TObject

); override;


TDataSetEdit

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

TDataSetEdit - edit the current record in the DataSet

Declaration

Source position: dbactns.pp line 104

type TDataSetEdit = class(TDataSetAction)

public

  procedure ExecuteTarget(); override;

  procedure UpdateTarget(); override;

published

  property DataSource: TDataSource;

end;

Inheritance

TDataSetEdit | TDataSetEdit - edit the current record in the DataSet
|
TDataSetAction | TDataSetAction - base class for all other standard TDataSet actions
|
TAction | TAction is the basic action object used on the LCL.
|
TCustomAction | TCustomAction is the ancestor class for TAction
|
TContainedAction | TContainedAction - parent class for TCustomAction; defines some properties especially relationships with parents
|
TBasicAction
|
TComponent,IUnknown,IInterfaceComponentReference
|
TPersistent,IFPObserved
|
TObject


TDataSetEdit
pl | ro | DataSource
TDataSetAction
 |  | DataSource
TAction
pl | ro | AutoCheck
pl | ro | Caption
pl | ro | Checked
pl | ro | DisableIfNoHandler
pl | ro | Enabled
pl | ro | GroupIndex
pl | ro | HelpContext
pl | ro | HelpKeyword
pl | ro | HelpType
pl | ro | Hint
pl | ro | ImageIndex
pl | ro | SecondaryShortCuts
pl | ro | ShortCut
pl | ro | Visible
TCustomAction
pt |  | SavedEnabledState
 |  | AutoCheck
 |  | Caption
 |  | Checked
 |  | DisableIfNoHandler
 |  | Enabled
 |  | GroupIndex
 |  | HelpContext
 |  | HelpKeyword
 |  | HelpType
 |  | Hint
 |  | ImageIndex
 |  | SecondaryShortCuts
 |  | ShortCut
 |  | Visible
TContainedAction
 |  | ActionList
 |  | Index
pl |  | Category
TBasicAction
 |  | ActionComponent
TComponent
 | ro | ComObject
 | ro | Components
 | ro | ComponentCount
 |  | ComponentIndex
 | ro | ComponentState
 | ro | ComponentStyle
 |  | DesignInfo
 | ro | Owner
 |  | VCLComObject
 |  | Name
 |  | Tag
TPersistent
TObject


pl | ro | AutoCheck (TAction)
 |  | Caption (TCustomAction)
pl | ro | Caption (TAction)
pl |  | Category (TContainedAction)
 |  | Checked (TCustomAction)
pl | ro | Checked (TAction)
 | ro | ComObject (TComponent)
 | ro | ComponentCount (TComponent)
 |  | ComponentIndex (TComponent)
 | ro | Components (TComponent)
 | ro | ComponentState (TComponent)
 | ro | ComponentStyle (TComponent)
 |  | DataSource (TDataSetAction)
pl | ro | DataSource (TDataSetEdit)
 |  | DesignInfo (TComponent)
 |  | DisableIfNoHandler (TCustomAction)
pl | ro | DisableIfNoHandler (TAction)
 |  | Enabled (TCustomAction)
pl | ro | Enabled (TAction)
 |  | GroupIndex (TCustomAction)
pl | ro | GroupIndex (TAction)
 |  | HelpContext (TCustomAction)
pl | ro | HelpContext (TAction)
 |  | HelpKeyword (TCustomAction)
pl | ro | HelpKeyword (TAction)
 |  | HelpType (TCustomAction)
pl | ro | HelpType (TAction)
 |  | Hint (TCustomAction)
pl | ro | Hint (TAction)
 |  | ImageIndex (TCustomAction)
pl | ro | ImageIndex (TAction)
 |  | Index (TContainedAction)
 |  | Name (TComponent)
 | ro | Owner (TComponent)
pt |  | SavedEnabledState (TCustomAction)
 |  | SecondaryShortCuts (TCustomAction)
pl | ro | SecondaryShortCuts (TAction)
 |  | ShortCut (TCustomAction)
pl | ro | ShortCut (TAction)
 |  | Tag (TComponent)
 |  | VCLComObject (TComponent)
 |  | Visible (TCustomAction)
pl | ro | Visible (TAction)


TDataSetEdit
 | ExecuteTarget
 | UpdateTarget
TDataSetAction
pt | Notification
pt | GetDataSet
 | HandlesTarget
TAction
 | Create
TCustomAction
pt | AssignTo
pt | SetName
pt | HandleShortCut
 | Create
 | Destroy
 | DoHint
 | Execute
TContainedAction
pt | ReadState
pt | SetParentComponent
 | Destroy
 | Execute
 | GetParentComponent
 | HasParent
 | Update
TBasicAction
 | Change
 | SetOnExecute
 | Create
 | Destroy
 | HandlesTarget
 | UpdateTarget
 | ExecuteTarget
 | Execute
 | RegisterChanges
 | UnRegisterChanges
 | Update
TComponent
 | GetComObject
 | GetComponent
 | GetComponentCount
 | GetComponentIndex
 | Insert
 | ReadLeft
 | ReadTop
 | Remove
 | RemoveNotification
 | SetComponentIndex
 | SetReference
 | WriteLeft
 | WriteTop
 | ChangeName
 | DefineProperties
 | GetChildren
 | GetChildOwner
 | GetChildParent
 | GetOwner
 | Loaded
 | Loading
 | Notification
 | PaletteCreated
 | ReadState
 | SetAncestor
 | SetDesigning
 | SetDesignInstance
 | SetInline
 | SetName
 | SetChildOrder
 | SetParentComponent
 | Updating
 | Updated
 | UpdateRegistry
 | ValidateRename
 | ValidateContainer
 | ValidateInsert
 | QueryInterface
 | _AddRef
 | _Release
 | iicrGetComponent
 | GetTypeInfoCount
 | GetTypeInfo
 | GetIDsOfNames
 | Invoke
 | WriteState
 | Create
 | Destroy
 | BeforeDestruction
 | DestroyComponents
 | Destroying
 | ExecuteAction
 | FindComponent
 | FreeNotification
 | RemoveFreeNotification
 | FreeOnRelease
 | GetEnumerator
 | GetNamePath
 | GetParentComponent
 | HasParent
 | InsertComponent
 | RemoveComponent
 | SafeCallException
 | SetSubComponent
 | UpdateAction
 | IsImplementorOf
 | ReferenceInterface
TPersistent
 | AssignError
 | AssignTo
 | DefineProperties
 | GetOwner
 | Destroy
 | Assign
 | FPOAttachObserver
 | FPODetachObserver
 | FPONotifyObservers
 | GetNamePath
TObject
 | Create
 | Destroy
 | newinstance
 | FreeInstance
 | SafeCallException
 | DefaultHandler
 | Free
 | InitInstance
 | CleanupInstance
 | ClassType
 | ClassInfo
 | ClassName
 | ClassNameIs
 | ClassParent
 | InstanceSize
 | InheritsFrom
 | StringMessageTable
 | MethodAddress
 | MethodName
 | FieldAddress
 | AfterConstruction
 | BeforeDestruction
 | DefaultHandlerStr
 | Dispatch
 | DispatchStr
 | GetInterface
 | GetInterfaceByStr
 | GetInterfaceWeak
 | GetInterfaceEntry
 | GetInterfaceEntryByStr
 | GetInterfaceTable
 | UnitName
 | Equals
 | GetHashCode
 | ToString


 | AssignError (TPersistent)
 | AssignTo (TPersistent)
pt | AssignTo (TCustomAction)
 | BeforeDestruction (TObject)
 | BeforeDestruction (TComponent)
 | Change (TBasicAction)
 | ChangeName (TComponent)
 | ClassInfo (TObject)
 | ClassName (TObject)
 | ClassNameIs (TObject)
 | ClassParent (TObject)
 | ClassType (TObject)
 | CleanupInstance (TObject)
 | Create (TObject)
 | Create (TComponent)
 | Create (TBasicAction)
 | Create (TCustomAction)
 | Create (TAction)
 | DefaultHandler (TObject)
 | DefaultHandlerStr (TObject)
 | DefineProperties (TPersistent)
 | DefineProperties (TComponent)
 | Destroy (TObject)
 | Destroy (TPersistent)
 | Destroy (TComponent)
 | Destroy (TBasicAction)
 | Destroy (TContainedAction)
 | Destroy (TCustomAction)
 | DestroyComponents (TComponent)
 | Destroying (TComponent)
 | Dispatch (TObject)
 | DispatchStr (TObject)
 | DoHint (TCustomAction)
 | Equals (TObject)
 | Execute (TBasicAction)
 | Execute (TContainedAction)
 | Execute (TCustomAction)
 | ExecuteAction (TComponent)
 | ExecuteTarget (TBasicAction)
 | ExecuteTarget (TDataSetEdit)
 | FieldAddress (TObject)
 | FindComponent (TComponent)
 | FPOAttachObserver (TPersistent)
 | FPODetachObserver (TPersistent)
 | FPONotifyObservers (TPersistent)
 | Free (TObject)
 | FreeInstance (TObject)
 | FreeNotification (TComponent)
 | FreeOnRelease (TComponent)
 | GetChildOwner (TComponent)
 | GetChildParent (TComponent)
 | GetChildren (TComponent)
 | GetComObject (TComponent)
 | GetComponent (TComponent)
 | GetComponentCount (TComponent)
 | GetComponentIndex (TComponent)
pt | GetDataSet (TDataSetAction)
 | GetEnumerator (TComponent)
 | GetHashCode (TObject)
 | GetIDsOfNames (TComponent)
 | GetInterface (TObject)
 | GetInterfaceByStr (TObject)
 | GetInterfaceEntry (TObject)
 | GetInterfaceEntryByStr (TObject)
 | GetInterfaceTable (TObject)
 | GetInterfaceWeak (TObject)
 | GetNamePath (TPersistent)
 | GetNamePath (TComponent)
 | GetOwner (TPersistent)
 | GetOwner (TComponent)
 | GetParentComponent (TComponent)
 | GetParentComponent (TContainedAction)
 | GetTypeInfo (TComponent)
 | GetTypeInfoCount (TComponent)
pt | HandleShortCut (TCustomAction)
 | HandlesTarget (TBasicAction)
 | HandlesTarget (TDataSetAction)
 | HasParent (TComponent)
 | HasParent (TContainedAction)
 | iicrGetComponent (TComponent)
 | InheritsFrom (TObject)
 | InitInstance (TObject)
 | Insert (TComponent)
 | InsertComponent (TComponent)
 | InstanceSize (TObject)
 | Invoke (TComponent)
 | IsImplementorOf (TComponent)
 | Loaded (TComponent)
 | Loading (TComponent)
 | MethodAddress (TObject)
 | MethodName (TObject)
 | newinstance (TObject)
 | Notification (TComponent)
pt | Notification (TDataSetAction)
 | PaletteCreated (TComponent)
 | QueryInterface (TComponent)
 | ReadLeft (TComponent)
 | ReadState (TComponent)
pt | ReadState (TContainedAction)
 | ReadTop (TComponent)
 | ReferenceInterface (TComponent)
 | RegisterChanges (TBasicAction)
 | Remove (TComponent)
 | RemoveComponent (TComponent)
 | RemoveFreeNotification (TComponent)
 | RemoveNotification (TComponent)
 | SafeCallException (TObject)
 | SafeCallException (TComponent)
 | SetAncestor (TComponent)
 | SetChildOrder (TComponent)
 | SetComponentIndex (TComponent)
 | SetDesigning (TComponent)
 | SetDesignInstance (TComponent)
 | SetInline (TComponent)
 | SetName (TComponent)
pt | SetName (TCustomAction)
 | SetOnExecute (TBasicAction)
 | SetParentComponent (TComponent)
pt | SetParentComponent (TContainedAction)
 | SetReference (TComponent)
 | SetSubComponent (TComponent)
 | StringMessageTable (TObject)
 | ToString (TObject)
 | UnitName (TObject)
 | UnRegisterChanges (TBasicAction)
 | Update (TBasicAction)
 | Update (TContainedAction)
 | UpdateAction (TComponent)
 | Updated (TComponent)
 | UpdateRegistry (TComponent)
 | UpdateTarget (TBasicAction)
 | UpdateTarget (TDataSetEdit)
 | Updating (TComponent)
 | ValidateContainer (TComponent)
 | ValidateInsert (TComponent)
 | ValidateRename (TComponent)
 | WriteLeft (TComponent)
 | WriteState (TComponent)
 | WriteTop (TComponent)
 | _AddRef (TComponent)
 | _Release (TComponent)


TDataSetEdit
TDataSetAction
TAction
pl | ro | OnExecute
pl | ro | OnHint
pl | ro | OnUpdate
TCustomAction
 |  | OnHint
TContainedAction
TBasicAction
 |  | OnChange
 |  | OnExecute
 |  | OnUpdate
TComponent
TPersistent
TObject


TDataSetEdit.DataSource

Declaration

Source position: dbactns.pp line 109

published property TDataSetEdit.DataSource : TDataSource;


TDataSetEdit.ExecuteTarget

Declaration

Source position: dbactns.pp line 106

public procedure TDataSetEdit.ExecuteTarget(

  Target: TObject

); override;


TDataSetEdit.UpdateTarget

Declaration

Source position: dbactns.pp line 107

public procedure TDataSetEdit.UpdateTarget(

  Target: TObject

); override;


TDataSetFirst

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

TDataSetFirst - move to first record in the DataSet

Declaration

Source position: dbactns.pp line 43

type TDataSetFirst = class(TDataSetAction)

public

  procedure ExecuteTarget(); override;

  procedure UpdateTarget(); override;

published

  property DataSource: TDataSource;

end;

Inheritance

TDataSetFirst | TDataSetFirst - move to first record in the DataSet
|
TDataSetAction | TDataSetAction - base class for all other standard TDataSet actions
|
TAction | TAction is the basic action object used on the LCL.
|
TCustomAction | TCustomAction is the ancestor class for TAction
|
TContainedAction | TContainedAction - parent class for TCustomAction; defines some properties especially relationships with parents
|
TBasicAction
|
TComponent,IUnknown,IInterfaceComponentReference
|
TPersistent,IFPObserved
|
TObject


TDataSetFirst
pl | ro | DataSource
TDataSetAction
 |  | DataSource
TAction
pl | ro | AutoCheck
pl | ro | Caption
pl | ro | Checked
pl | ro | DisableIfNoHandler
pl | ro | Enabled
pl | ro | GroupIndex
pl | ro | HelpContext
pl | ro | HelpKeyword
pl | ro | HelpType
pl | ro | Hint
pl | ro | ImageIndex
pl | ro | SecondaryShortCuts
pl | ro | ShortCut
pl | ro | Visible
TCustomAction
pt |  | SavedEnabledState
 |  | AutoCheck
 |  | Caption
 |  | Checked
 |  | DisableIfNoHandler
 |  | Enabled
 |  | GroupIndex
 |  | HelpContext
 |  | HelpKeyword
 |  | HelpType
 |  | Hint
 |  | ImageIndex
 |  | SecondaryShortCuts
 |  | ShortCut
 |  | Visible
TContainedAction
 |  | ActionList
 |  | Index
pl |  | Category
TBasicAction
 |  | ActionComponent
TComponent
 | ro | ComObject
 | ro | Components
 | ro | ComponentCount
 |  | ComponentIndex
 | ro | ComponentState
 | ro | ComponentStyle
 |  | DesignInfo
 | ro | Owner
 |  | VCLComObject
 |  | Name
 |  | Tag
TPersistent
TObject


pl | ro | AutoCheck (TAction)
 |  | Caption (TCustomAction)
pl | ro | Caption (TAction)
pl |  | Category (TContainedAction)
 |  | Checked (TCustomAction)
pl | ro | Checked (TAction)
 | ro | ComObject (TComponent)
 | ro | ComponentCount (TComponent)
 |  | ComponentIndex (TComponent)
 | ro | Components (TComponent)
 | ro | ComponentState (TComponent)
 | ro | ComponentStyle (TComponent)
 |  | DataSource (TDataSetAction)
pl | ro | DataSource (TDataSetFirst)
 |  | DesignInfo (TComponent)
 |  | DisableIfNoHandler (TCustomAction)
pl | ro | DisableIfNoHandler (TAction)
 |  | Enabled (TCustomAction)
pl | ro | Enabled (TAction)
 |  | GroupIndex (TCustomAction)
pl | ro | GroupIndex (TAction)
 |  | HelpContext (TCustomAction)
pl | ro | HelpContext (TAction)
 |  | HelpKeyword (TCustomAction)
pl | ro | HelpKeyword (TAction)
 |  | HelpType (TCustomAction)
pl | ro | HelpType (TAction)
 |  | Hint (TCustomAction)
pl | ro | Hint (TAction)
 |  | ImageIndex (TCustomAction)
pl | ro | ImageIndex (TAction)
 |  | Index (TContainedAction)
 |  | Name (TComponent)
 | ro | Owner (TComponent)
pt |  | SavedEnabledState (TCustomAction)
 |  | SecondaryShortCuts (TCustomAction)
pl | ro | SecondaryShortCuts (TAction)
 |  | ShortCut (TCustomAction)
pl | ro | ShortCut (TAction)
 |  | Tag (TComponent)
 |  | VCLComObject (TComponent)
 |  | Visible (TCustomAction)
pl | ro | Visible (TAction)


TDataSetFirst
 | ExecuteTarget
 | UpdateTarget
TDataSetAction
pt | Notification
pt | GetDataSet
 | HandlesTarget
TAction
 | Create
TCustomAction
pt | AssignTo
pt | SetName
pt | HandleShortCut
 | Create
 | Destroy
 | DoHint
 | Execute
TContainedAction
pt | ReadState
pt | SetParentComponent
 | Destroy
 | Execute
 | GetParentComponent
 | HasParent
 | Update
TBasicAction
 | Change
 | SetOnExecute
 | Create
 | Destroy
 | HandlesTarget
 | UpdateTarget
 | ExecuteTarget
 | Execute
 | RegisterChanges
 | UnRegisterChanges
 | Update
TComponent
 | GetComObject
 | GetComponent
 | GetComponentCount
 | GetComponentIndex
 | Insert
 | ReadLeft
 | ReadTop
 | Remove
 | RemoveNotification
 | SetComponentIndex
 | SetReference
 | WriteLeft
 | WriteTop
 | ChangeName
 | DefineProperties
 | GetChildren
 | GetChildOwner
 | GetChildParent
 | GetOwner
 | Loaded
 | Loading
 | Notification
 | PaletteCreated
 | ReadState
 | SetAncestor
 | SetDesigning
 | SetDesignInstance
 | SetInline
 | SetName
 | SetChildOrder
 | SetParentComponent
 | Updating
 | Updated
 | UpdateRegistry
 | ValidateRename
 | ValidateContainer
 | ValidateInsert
 | QueryInterface
 | _AddRef
 | _Release
 | iicrGetComponent
 | GetTypeInfoCount
 | GetTypeInfo
 | GetIDsOfNames
 | Invoke
 | WriteState
 | Create
 | Destroy
 | BeforeDestruction
 | DestroyComponents
 | Destroying
 | ExecuteAction
 | FindComponent
 | FreeNotification
 | RemoveFreeNotification
 | FreeOnRelease
 | GetEnumerator
 | GetNamePath
 | GetParentComponent
 | HasParent
 | InsertComponent
 | RemoveComponent
 | SafeCallException
 | SetSubComponent
 | UpdateAction
 | IsImplementorOf
 | ReferenceInterface
TPersistent
 | AssignError
 | AssignTo
 | DefineProperties
 | GetOwner
 | Destroy
 | Assign
 | FPOAttachObserver
 | FPODetachObserver
 | FPONotifyObservers
 | GetNamePath
TObject
 | Create
 | Destroy
 | newinstance
 | FreeInstance
 | SafeCallException
 | DefaultHandler
 | Free
 | InitInstance
 | CleanupInstance
 | ClassType
 | ClassInfo
 | ClassName
 | ClassNameIs
 | ClassParent
 | InstanceSize
 | InheritsFrom
 | StringMessageTable
 | MethodAddress
 | MethodName
 | FieldAddress
 | AfterConstruction
 | BeforeDestruction
 | DefaultHandlerStr
 | Dispatch
 | DispatchStr
 | GetInterface
 | GetInterfaceByStr
 | GetInterfaceWeak
 | GetInterfaceEntry
 | GetInterfaceEntryByStr
 | GetInterfaceTable
 | UnitName
 | Equals
 | GetHashCode
 | ToString


 | AssignError (TPersistent)
 | AssignTo (TPersistent)
pt | AssignTo (TCustomAction)
 | BeforeDestruction (TObject)
 | BeforeDestruction (TComponent)
 | Change (TBasicAction)
 | ChangeName (TComponent)
 | ClassInfo (TObject)
 | ClassName (TObject)
 | ClassNameIs (TObject)
 | ClassParent (TObject)
 | ClassType (TObject)
 | CleanupInstance (TObject)
 | Create (TObject)
 | Create (TComponent)
 | Create (TBasicAction)
 | Create (TCustomAction)
 | Create (TAction)
 | DefaultHandler (TObject)
 | DefaultHandlerStr (TObject)
 | DefineProperties (TPersistent)
 | DefineProperties (TComponent)
 | Destroy (TObject)
 | Destroy (TPersistent)
 | Destroy (TComponent)
 | Destroy (TBasicAction)
 | Destroy (TContainedAction)
 | Destroy (TCustomAction)
 | DestroyComponents (TComponent)
 | Destroying (TComponent)
 | Dispatch (TObject)
 | DispatchStr (TObject)
 | DoHint (TCustomAction)
 | Equals (TObject)
 | Execute (TBasicAction)
 | Execute (TContainedAction)
 | Execute (TCustomAction)
 | ExecuteAction (TComponent)
 | ExecuteTarget (TBasicAction)
 | ExecuteTarget (TDataSetFirst)
 | FieldAddress (TObject)
 | FindComponent (TComponent)
 | FPOAttachObserver (TPersistent)
 | FPODetachObserver (TPersistent)
 | FPONotifyObservers (TPersistent)
 | Free (TObject)
 | FreeInstance (TObject)
 | FreeNotification (TComponent)
 | FreeOnRelease (TComponent)
 | GetChildOwner (TComponent)
 | GetChildParent (TComponent)
 | GetChildren (TComponent)
 | GetComObject (TComponent)
 | GetComponent (TComponent)
 | GetComponentCount (TComponent)
 | GetComponentIndex (TComponent)
pt | GetDataSet (TDataSetAction)
 | GetEnumerator (TComponent)
 | GetHashCode (TObject)
 | GetIDsOfNames (TComponent)
 | GetInterface (TObject)
 | GetInterfaceByStr (TObject)
 | GetInterfaceEntry (TObject)
 | GetInterfaceEntryByStr (TObject)
 | GetInterfaceTable (TObject)
 | GetInterfaceWeak (TObject)
 | GetNamePath (TPersistent)
 | GetNamePath (TComponent)
 | GetOwner (TPersistent)
 | GetOwner (TComponent)
 | GetParentComponent (TComponent)
 | GetParentComponent (TContainedAction)
 | GetTypeInfo (TComponent)
 | GetTypeInfoCount (TComponent)
pt | HandleShortCut (TCustomAction)
 | HandlesTarget (TBasicAction)
 | HandlesTarget (TDataSetAction)
 | HasParent (TComponent)
 | HasParent (TContainedAction)
 | iicrGetComponent (TComponent)
 | InheritsFrom (TObject)
 | InitInstance (TObject)
 | Insert (TComponent)
 | InsertComponent (TComponent)
 | InstanceSize (TObject)
 | Invoke (TComponent)
 | IsImplementorOf (TComponent)
 | Loaded (TComponent)
 | Loading (TComponent)
 | MethodAddress (TObject)
 | MethodName (TObject)
 | newinstance (TObject)
 | Notification (TComponent)
pt | Notification (TDataSetAction)
 | PaletteCreated (TComponent)
 | QueryInterface (TComponent)
 | ReadLeft (TComponent)
 | ReadState (TComponent)
pt | ReadState (TContainedAction)
 | ReadTop (TComponent)
 | ReferenceInterface (TComponent)
 | RegisterChanges (TBasicAction)
 | Remove (TComponent)
 | RemoveComponent (TComponent)
 | RemoveFreeNotification (TComponent)
 | RemoveNotification (TComponent)
 | SafeCallException (TObject)
 | SafeCallException (TComponent)
 | SetAncestor (TComponent)
 | SetChildOrder (TComponent)
 | SetComponentIndex (TComponent)
 | SetDesigning (TComponent)
 | SetDesignInstance (TComponent)
 | SetInline (TComponent)
 | SetName (TComponent)
pt | SetName (TCustomAction)
 | SetOnExecute (TBasicAction)
 | SetParentComponent (TComponent)
pt | SetParentComponent (TContainedAction)
 | SetReference (TComponent)
 | SetSubComponent (TComponent)
 | StringMessageTable (TObject)
 | ToString (TObject)
 | UnitName (TObject)
 | UnRegisterChanges (TBasicAction)
 | Update (TBasicAction)
 | Update (TContainedAction)
 | UpdateAction (TComponent)
 | Updated (TComponent)
 | UpdateRegistry (TComponent)
 | UpdateTarget (TBasicAction)
 | UpdateTarget (TDataSetFirst)
 | Updating (TComponent)
 | ValidateContainer (TComponent)
 | ValidateInsert (TComponent)
 | ValidateRename (TComponent)
 | WriteLeft (TComponent)
 | WriteState (TComponent)
 | WriteTop (TComponent)
 | _AddRef (TComponent)
 | _Release (TComponent)


TDataSetFirst
TDataSetAction
TAction
pl | ro | OnExecute
pl | ro | OnHint
pl | ro | OnUpdate
TCustomAction
 |  | OnHint
TContainedAction
TBasicAction
 |  | OnChange
 |  | OnExecute
 |  | OnUpdate
TComponent
TPersistent
TObject


TDataSetFirst.DataSource

Declaration

Source position: dbactns.pp line 48

published property TDataSetFirst.DataSource : TDataSource;


TDataSetFirst.ExecuteTarget

Declaration

Source position: dbactns.pp line 45

public procedure TDataSetFirst.ExecuteTarget(

  Target: TObject

); override;


TDataSetFirst.UpdateTarget

Declaration

Source position: dbactns.pp line 46

public procedure TDataSetFirst.UpdateTarget(

  Target: TObject

); override;


TDataSetInsert

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

TDataSetInsert - insert (append) a new record into the DataSet

Declaration

Source position: dbactns.pp line 112

type TDataSetInsert = class(TDataSetAction)

public

  procedure ExecuteTarget(); override;

  procedure UpdateTarget(); override;

published

  property DataSource: TDataSource;

end;

Inheritance

TDataSetInsert | TDataSetInsert - insert (append) a new record into the DataSet
|
TDataSetAction | TDataSetAction - base class for all other standard TDataSet actions
|
TAction | TAction is the basic action object used on the LCL.
|
TCustomAction | TCustomAction is the ancestor class for TAction
|
TContainedAction | TContainedAction - parent class for TCustomAction; defines some properties especially relationships with parents
|
TBasicAction
|
TComponent,IUnknown,IInterfaceComponentReference
|
TPersistent,IFPObserved
|
TObject


TDataSetInsert
pl | ro | DataSource
TDataSetAction
 |  | DataSource
TAction
pl | ro | AutoCheck
pl | ro | Caption
pl | ro | Checked
pl | ro | DisableIfNoHandler
pl | ro | Enabled
pl | ro | GroupIndex
pl | ro | HelpContext
pl | ro | HelpKeyword
pl | ro | HelpType
pl | ro | Hint
pl | ro | ImageIndex
pl | ro | SecondaryShortCuts
pl | ro | ShortCut
pl | ro | Visible
TCustomAction
pt |  | SavedEnabledState
 |  | AutoCheck
 |  | Caption
 |  | Checked
 |  | DisableIfNoHandler
 |  | Enabled
 |  | GroupIndex
 |  | HelpContext
 |  | HelpKeyword
 |  | HelpType
 |  | Hint
 |  | ImageIndex
 |  | SecondaryShortCuts
 |  | ShortCut
 |  | Visible
TContainedAction
 |  | ActionList
 |  | Index
pl |  | Category
TBasicAction
 |  | ActionComponent
TComponent
 | ro | ComObject
 | ro | Components
 | ro | ComponentCount
 |  | ComponentIndex
 | ro | ComponentState
 | ro | ComponentStyle
 |  | DesignInfo
 | ro | Owner
 |  | VCLComObject
 |  | Name
 |  | Tag
TPersistent
TObject


pl | ro | AutoCheck (TAction)
 |  | Caption (TCustomAction)
pl | ro | Caption (TAction)
pl |  | Category (TContainedAction)
 |  | Checked (TCustomAction)
pl | ro | Checked (TAction)
 | ro | ComObject (TComponent)
 | ro | ComponentCount (TComponent)
 |  | ComponentIndex (TComponent)
 | ro | Components (TComponent)
 | ro | ComponentState (TComponent)
 | ro | ComponentStyle (TComponent)
 |  | DataSource (TDataSetAction)
pl | ro | DataSource (TDataSetInsert)
 |  | DesignInfo (TComponent)
 |  | DisableIfNoHandler (TCustomAction)
pl | ro | DisableIfNoHandler (TAction)
 |  | Enabled (TCustomAction)
pl | ro | Enabled (TAction)
 |  | GroupIndex (TCustomAction)
pl | ro | GroupIndex (TAction)
 |  | HelpContext (TCustomAction)
pl | ro | HelpContext (TAction)
 |  | HelpKeyword (TCustomAction)
pl | ro | HelpKeyword (TAction)
 |  | HelpType (TCustomAction)
pl | ro | HelpType (TAction)
 |  | Hint (TCustomAction)
pl | ro | Hint (TAction)
 |  | ImageIndex (TCustomAction)
pl | ro | ImageIndex (TAction)
 |  | Index (TContainedAction)
 |  | Name (TComponent)
 | ro | Owner (TComponent)
pt |  | SavedEnabledState (TCustomAction)
 |  | SecondaryShortCuts (TCustomAction)
pl | ro | SecondaryShortCuts (TAction)
 |  | ShortCut (TCustomAction)
pl | ro | ShortCut (TAction)
 |  | Tag (TComponent)
 |  | VCLComObject (TComponent)
 |  | Visible (TCustomAction)
pl | ro | Visible (TAction)


TDataSetInsert
 | ExecuteTarget
 | UpdateTarget
TDataSetAction
pt | Notification
pt | GetDataSet
 | HandlesTarget
TAction
 | Create
TCustomAction
pt | AssignTo
pt | SetName
pt | HandleShortCut
 | Create
 | Destroy
 | DoHint
 | Execute
TContainedAction
pt | ReadState
pt | SetParentComponent
 | Destroy
 | Execute
 | GetParentComponent
 | HasParent
 | Update
TBasicAction
 | Change
 | SetOnExecute
 | Create
 | Destroy
 | HandlesTarget
 | UpdateTarget
 | ExecuteTarget
 | Execute
 | RegisterChanges
 | UnRegisterChanges
 | Update
TComponent
 | GetComObject
 | GetComponent
 | GetComponentCount
 | GetComponentIndex
 | Insert
 | ReadLeft
 | ReadTop
 | Remove
 | RemoveNotification
 | SetComponentIndex
 | SetReference
 | WriteLeft
 | WriteTop
 | ChangeName
 | DefineProperties
 | GetChildren
 | GetChildOwner
 | GetChildParent
 | GetOwner
 | Loaded
 | Loading
 | Notification
 | PaletteCreated
 | ReadState
 | SetAncestor
 | SetDesigning
 | SetDesignInstance
 | SetInline
 | SetName
 | SetChildOrder
 | SetParentComponent
 | Updating
 | Updated
 | UpdateRegistry
 | ValidateRename
 | ValidateContainer
 | ValidateInsert
 | QueryInterface
 | _AddRef
 | _Release
 | iicrGetComponent
 | GetTypeInfoCount
 | GetTypeInfo
 | GetIDsOfNames
 | Invoke
 | WriteState
 | Create
 | Destroy
 | BeforeDestruction
 | DestroyComponents
 | Destroying
 | ExecuteAction
 | FindComponent
 | FreeNotification
 | RemoveFreeNotification
 | FreeOnRelease
 | GetEnumerator
 | GetNamePath
 | GetParentComponent
 | HasParent
 | InsertComponent
 | RemoveComponent
 | SafeCallException
 | SetSubComponent
 | UpdateAction
 | IsImplementorOf
 | ReferenceInterface
TPersistent
 | AssignError
 | AssignTo
 | DefineProperties
 | GetOwner
 | Destroy
 | Assign
 | FPOAttachObserver
 | FPODetachObserver
 | FPONotifyObservers
 | GetNamePath
TObject
 | Create
 | Destroy
 | newinstance
 | FreeInstance
 | SafeCallException
 | DefaultHandler
 | Free
 | InitInstance
 | CleanupInstance
 | ClassType
 | ClassInfo
 | ClassName
 | ClassNameIs
 | ClassParent
 | InstanceSize
 | InheritsFrom
 | StringMessageTable
 | MethodAddress
 | MethodName
 | FieldAddress
 | AfterConstruction
 | BeforeDestruction
 | DefaultHandlerStr
 | Dispatch
 | DispatchStr
 | GetInterface
 | GetInterfaceByStr
 | GetInterfaceWeak
 | GetInterfaceEntry
 | GetInterfaceEntryByStr
 | GetInterfaceTable
 | UnitName
 | Equals
 | GetHashCode
 | ToString


 | AssignError (TPersistent)
 | AssignTo (TPersistent)
pt | AssignTo (TCustomAction)
 | BeforeDestruction (TObject)
 | BeforeDestruction (TComponent)
 | Change (TBasicAction)
 | ChangeName (TComponent)
 | ClassInfo (TObject)
 | ClassName (TObject)
 | ClassNameIs (TObject)
 | ClassParent (TObject)
 | ClassType (TObject)
 | CleanupInstance (TObject)
 | Create (TObject)
 | Create (TComponent)
 | Create (TBasicAction)
 | Create (TCustomAction)
 | Create (TAction)
 | DefaultHandler (TObject)
 | DefaultHandlerStr (TObject)
 | DefineProperties (TPersistent)
 | DefineProperties (TComponent)
 | Destroy (TObject)
 | Destroy (TPersistent)
 | Destroy (TComponent)
 | Destroy (TBasicAction)
 | Destroy (TContainedAction)
 | Destroy (TCustomAction)
 | DestroyComponents (TComponent)
 | Destroying (TComponent)
 | Dispatch (TObject)
 | DispatchStr (TObject)
 | DoHint (TCustomAction)
 | Equals (TObject)
 | Execute (TBasicAction)
 | Execute (TContainedAction)
 | Execute (TCustomAction)
 | ExecuteAction (TComponent)
 | ExecuteTarget (TBasicAction)
 | ExecuteTarget (TDataSetInsert)
 | FieldAddress (TObject)
 | FindComponent (TComponent)
 | FPOAttachObserver (TPersistent)
 | FPODetachObserver (TPersistent)
 | FPONotifyObservers (TPersistent)
 | Free (TObject)
 | FreeInstance (TObject)
 | FreeNotification (TComponent)
 | FreeOnRelease (TComponent)
 | GetChildOwner (TComponent)
 | GetChildParent (TComponent)
 | GetChildren (TComponent)
 | GetComObject (TComponent)
 | GetComponent (TComponent)
 | GetComponentCount (TComponent)
 | GetComponentIndex (TComponent)
pt | GetDataSet (TDataSetAction)
 | GetEnumerator (TComponent)
 | GetHashCode (TObject)
 | GetIDsOfNames (TComponent)
 | GetInterface (TObject)
 | GetInterfaceByStr (TObject)
 | GetInterfaceEntry (TObject)
 | GetInterfaceEntryByStr (TObject)
 | GetInterfaceTable (TObject)
 | GetInterfaceWeak (TObject)
 | GetNamePath (TPersistent)
 | GetNamePath (TComponent)
 | GetOwner (TPersistent)
 | GetOwner (TComponent)
 | GetParentComponent (TComponent)
 | GetParentComponent (TContainedAction)
 | GetTypeInfo (TComponent)
 | GetTypeInfoCount (TComponent)
pt | HandleShortCut (TCustomAction)
 | HandlesTarget (TBasicAction)
 | HandlesTarget (TDataSetAction)
 | HasParent (TComponent)
 | HasParent (TContainedAction)
 | iicrGetComponent (TComponent)
 | InheritsFrom (TObject)
 | InitInstance (TObject)
 | Insert (TComponent)
 | InsertComponent (TComponent)
 | InstanceSize (TObject)
 | Invoke (TComponent)
 | IsImplementorOf (TComponent)
 | Loaded (TComponent)
 | Loading (TComponent)
 | MethodAddress (TObject)
 | MethodName (TObject)
 | newinstance (TObject)
 | Notification (TComponent)
pt | Notification (TDataSetAction)
 | PaletteCreated (TComponent)
 | QueryInterface (TComponent)
 | ReadLeft (TComponent)
 | ReadState (TComponent)
pt | ReadState (TContainedAction)
 | ReadTop (TComponent)
 | ReferenceInterface (TComponent)
 | RegisterChanges (TBasicAction)
 | Remove (TComponent)
 | RemoveComponent (TComponent)
 | RemoveFreeNotification (TComponent)
 | RemoveNotification (TComponent)
 | SafeCallException (TObject)
 | SafeCallException (TComponent)
 | SetAncestor (TComponent)
 | SetChildOrder (TComponent)
 | SetComponentIndex (TComponent)
 | SetDesigning (TComponent)
 | SetDesignInstance (TComponent)
 | SetInline (TComponent)
 | SetName (TComponent)
pt | SetName (TCustomAction)
 | SetOnExecute (TBasicAction)
 | SetParentComponent (TComponent)
pt | SetParentComponent (TContainedAction)
 | SetReference (TComponent)
 | SetSubComponent (TComponent)
 | StringMessageTable (TObject)
 | ToString (TObject)
 | UnitName (TObject)
 | UnRegisterChanges (TBasicAction)
 | Update (TBasicAction)
 | Update (TContainedAction)
 | UpdateAction (TComponent)
 | Updated (TComponent)
 | UpdateRegistry (TComponent)
 | UpdateTarget (TBasicAction)
 | UpdateTarget (TDataSetInsert)
 | Updating (TComponent)
 | ValidateContainer (TComponent)
 | ValidateInsert (TComponent)
 | ValidateRename (TComponent)
 | WriteLeft (TComponent)
 | WriteState (TComponent)
 | WriteTop (TComponent)
 | _AddRef (TComponent)
 | _Release (TComponent)


TDataSetInsert
TDataSetAction
TAction
pl | ro | OnExecute
pl | ro | OnHint
pl | ro | OnUpdate
TCustomAction
 |  | OnHint
TContainedAction
TBasicAction
 |  | OnChange
 |  | OnExecute
 |  | OnUpdate
TComponent
TPersistent
TObject


TDataSetInsert.DataSource

Declaration

Source position: dbactns.pp line 117

published property TDataSetInsert.DataSource : TDataSource;


TDataSetInsert.ExecuteTarget

Declaration

Source position: dbactns.pp line 114

public procedure TDataSetInsert.ExecuteTarget(

  Target: TObject

); override;


TDataSetInsert.UpdateTarget

Declaration

Source position: dbactns.pp line 115

public procedure TDataSetInsert.UpdateTarget(

  Target: TObject

); override;


TDataSetLast

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

TDataSetLast - move to last record in the DataSet

Declaration

Source position: dbactns.pp line 51

type TDataSetLast = class(TDataSetAction)

public

  procedure ExecuteTarget(); override;

  procedure UpdateTarget(); override;

published

  property DataSource: TDataSource;

end;

Inheritance

TDataSetLast | TDataSetLast - move to last record in the DataSet
|
TDataSetAction | TDataSetAction - base class for all other standard TDataSet actions
|
TAction | TAction is the basic action object used on the LCL.
|
TCustomAction | TCustomAction is the ancestor class for TAction
|
TContainedAction | TContainedAction - parent class for TCustomAction; defines some properties especially relationships with parents
|
TBasicAction
|
TComponent,IUnknown,IInterfaceComponentReference
|
TPersistent,IFPObserved
|
TObject


TDataSetLast
pl | ro | DataSource
TDataSetAction
 |  | DataSource
TAction
pl | ro | AutoCheck
pl | ro | Caption
pl | ro | Checked
pl | ro | DisableIfNoHandler
pl | ro | Enabled
pl | ro | GroupIndex
pl | ro | HelpContext
pl | ro | HelpKeyword
pl | ro | HelpType
pl | ro | Hint
pl | ro | ImageIndex
pl | ro | SecondaryShortCuts
pl | ro | ShortCut
pl | ro | Visible
TCustomAction
pt |  | SavedEnabledState
 |  | AutoCheck
 |  | Caption
 |  | Checked
 |  | DisableIfNoHandler
 |  | Enabled
 |  | GroupIndex
 |  | HelpContext
 |  | HelpKeyword
 |  | HelpType
 |  | Hint
 |  | ImageIndex
 |  | SecondaryShortCuts
 |  | ShortCut
 |  | Visible
TContainedAction
 |  | ActionList
 |  | Index
pl |  | Category
TBasicAction
 |  | ActionComponent
TComponent
 | ro | ComObject
 | ro | Components
 | ro | ComponentCount
 |  | ComponentIndex
 | ro | ComponentState
 | ro | ComponentStyle
 |  | DesignInfo
 | ro | Owner
 |  | VCLComObject
 |  | Name
 |  | Tag
TPersistent
TObject


pl | ro | AutoCheck (TAction)
 |  | Caption (TCustomAction)
pl | ro | Caption (TAction)
pl |  | Category (TContainedAction)
 |  | Checked (TCustomAction)
pl | ro | Checked (TAction)
 | ro | ComObject (TComponent)
 | ro | ComponentCount (TComponent)
 |  | ComponentIndex (TComponent)
 | ro | Components (TComponent)
 | ro | ComponentState (TComponent)
 | ro | ComponentStyle (TComponent)
 |  | DataSource (TDataSetAction)
pl | ro | DataSource (TDataSetLast)
 |  | DesignInfo (TComponent)
 |  | DisableIfNoHandler (TCustomAction)
pl | ro | DisableIfNoHandler (TAction)
 |  | Enabled (TCustomAction)
pl | ro | Enabled (TAction)
 |  | GroupIndex (TCustomAction)
pl | ro | GroupIndex (TAction)
 |  | HelpContext (TCustomAction)
pl | ro | HelpContext (TAction)
 |  | HelpKeyword (TCustomAction)
pl | ro | HelpKeyword (TAction)
 |  | HelpType (TCustomAction)
pl | ro | HelpType (TAction)
 |  | Hint (TCustomAction)
pl | ro | Hint (TAction)
 |  | ImageIndex (TCustomAction)
pl | ro | ImageIndex (TAction)
 |  | Index (TContainedAction)
 |  | Name (TComponent)
 | ro | Owner (TComponent)
pt |  | SavedEnabledState (TCustomAction)
 |  | SecondaryShortCuts (TCustomAction)
pl | ro | SecondaryShortCuts (TAction)
 |  | ShortCut (TCustomAction)
pl | ro | ShortCut (TAction)
 |  | Tag (TComponent)
 |  | VCLComObject (TComponent)
 |  | Visible (TCustomAction)
pl | ro | Visible (TAction)


TDataSetLast
 | ExecuteTarget
 | UpdateTarget
TDataSetAction
pt | Notification
pt | GetDataSet
 | HandlesTarget
TAction
 | Create
TCustomAction
pt | AssignTo
pt | SetName
pt | HandleShortCut
 | Create
 | Destroy
 | DoHint
 | Execute
TContainedAction
pt | ReadState
pt | SetParentComponent
 | Destroy
 | Execute
 | GetParentComponent
 | HasParent
 | Update
TBasicAction
 | Change
 | SetOnExecute
 | Create
 | Destroy
 | HandlesTarget
 | UpdateTarget
 | ExecuteTarget
 | Execute
 | RegisterChanges
 | UnRegisterChanges
 | Update
TComponent
 | GetComObject
 | GetComponent
 | GetComponentCount
 | GetComponentIndex
 | Insert
 | ReadLeft
 | ReadTop
 | Remove
 | RemoveNotification
 | SetComponentIndex
 | SetReference
 | WriteLeft
 | WriteTop
 | ChangeName
 | DefineProperties
 | GetChildren
 | GetChildOwner
 | GetChildParent
 | GetOwner
 | Loaded
 | Loading
 | Notification
 | PaletteCreated
 | ReadState
 | SetAncestor
 | SetDesigning
 | SetDesignInstance
 | SetInline
 | SetName
 | SetChildOrder
 | SetParentComponent
 | Updating
 | Updated
 | UpdateRegistry
 | ValidateRename
 | ValidateContainer
 | ValidateInsert
 | QueryInterface
 | _AddRef
 | _Release
 | iicrGetComponent
 | GetTypeInfoCount
 | GetTypeInfo
 | GetIDsOfNames
 | Invoke
 | WriteState
 | Create
 | Destroy
 | BeforeDestruction
 | DestroyComponents
 | Destroying
 | ExecuteAction
 | FindComponent
 | FreeNotification
 | RemoveFreeNotification
 | FreeOnRelease
 | GetEnumerator
 | GetNamePath
 | GetParentComponent
 | HasParent
 | InsertComponent
 | RemoveComponent
 | SafeCallException
 | SetSubComponent
 | UpdateAction
 | IsImplementorOf
 | ReferenceInterface
TPersistent
 | AssignError
 | AssignTo
 | DefineProperties
 | GetOwner
 | Destroy
 | Assign
 | FPOAttachObserver
 | FPODetachObserver
 | FPONotifyObservers
 | GetNamePath
TObject
 | Create
 | Destroy
 | newinstance
 | FreeInstance
 | SafeCallException
 | DefaultHandler
 | Free
 | InitInstance
 | CleanupInstance
 | ClassType
 | ClassInfo
 | ClassName
 | ClassNameIs
 | ClassParent
 | InstanceSize
 | InheritsFrom
 | StringMessageTable
 | MethodAddress
 | MethodName
 | FieldAddress
 | AfterConstruction
 | BeforeDestruction
 | DefaultHandlerStr
 | Dispatch
 | DispatchStr
 | GetInterface
 | GetInterfaceByStr
 | GetInterfaceWeak
 | GetInterfaceEntry
 | GetInterfaceEntryByStr
 | GetInterfaceTable
 | UnitName
 | Equals
 | GetHashCode
 | ToString


 | AssignError (TPersistent)
 | AssignTo (TPersistent)
pt | AssignTo (TCustomAction)
 | BeforeDestruction (TObject)
 | BeforeDestruction (TComponent)
 | Change (TBasicAction)
 | ChangeName (TComponent)
 | ClassInfo (TObject)
 | ClassName (TObject)
 | ClassNameIs (TObject)
 | ClassParent (TObject)
 | ClassType (TObject)
 | CleanupInstance (TObject)
 | Create (TObject)
 | Create (TComponent)
 | Create (TBasicAction)
 | Create (TCustomAction)
 | Create (TAction)
 | DefaultHandler (TObject)
 | DefaultHandlerStr (TObject)
 | DefineProperties (TPersistent)
 | DefineProperties (TComponent)
 | Destroy (TObject)
 | Destroy (TPersistent)
 | Destroy (TComponent)
 | Destroy (TBasicAction)
 | Destroy (TContainedAction)
 | Destroy (TCustomAction)
 | DestroyComponents (TComponent)
 | Destroying (TComponent)
 | Dispatch (TObject)
 | DispatchStr (TObject)
 | DoHint (TCustomAction)
 | Equals (TObject)
 | Execute (TBasicAction)
 | Execute (TContainedAction)
 | Execute (TCustomAction)
 | ExecuteAction (TComponent)
 | ExecuteTarget (TBasicAction)
 | ExecuteTarget (TDataSetLast)
 | FieldAddress (TObject)
 | FindComponent (TComponent)
 | FPOAttachObserver (TPersistent)
 | FPODetachObserver (TPersistent)
 | FPONotifyObservers (TPersistent)
 | Free (TObject)
 | FreeInstance (TObject)
 | FreeNotification (TComponent)
 | FreeOnRelease (TComponent)
 | GetChildOwner (TComponent)
 | GetChildParent (TComponent)
 | GetChildren (TComponent)
 | GetComObject (TComponent)
 | GetComponent (TComponent)
 | GetComponentCount (TComponent)
 | GetComponentIndex (TComponent)
pt | GetDataSet (TDataSetAction)
 | GetEnumerator (TComponent)
 | GetHashCode (TObject)
 | GetIDsOfNames (TComponent)
 | GetInterface (TObject)
 | GetInterfaceByStr (TObject)
 | GetInterfaceEntry (TObject)
 | GetInterfaceEntryByStr (TObject)
 | GetInterfaceTable (TObject)
 | GetInterfaceWeak (TObject)
 | GetNamePath (TPersistent)
 | GetNamePath (TComponent)
 | GetOwner (TPersistent)
 | GetOwner (TComponent)
 | GetParentComponent (TComponent)
 | GetParentComponent (TContainedAction)
 | GetTypeInfo (TComponent)
 | GetTypeInfoCount (TComponent)
pt | HandleShortCut (TCustomAction)
 | HandlesTarget (TBasicAction)
 | HandlesTarget (TDataSetAction)
 | HasParent (TComponent)
 | HasParent (TContainedAction)
 | iicrGetComponent (TComponent)
 | InheritsFrom (TObject)
 | InitInstance (TObject)
 | Insert (TComponent)
 | InsertComponent (TComponent)
 | InstanceSize (TObject)
 | Invoke (TComponent)
 | IsImplementorOf (TComponent)
 | Loaded (TComponent)
 | Loading (TComponent)
 | MethodAddress (TObject)
 | MethodName (TObject)
 | newinstance (TObject)
 | Notification (TComponent)
pt | Notification (TDataSetAction)
 | PaletteCreated (TComponent)
 | QueryInterface (TComponent)
 | ReadLeft (TComponent)
 | ReadState (TComponent)
pt | ReadState (TContainedAction)
 | ReadTop (TComponent)
 | ReferenceInterface (TComponent)
 | RegisterChanges (TBasicAction)
 | Remove (TComponent)
 | RemoveComponent (TComponent)
 | RemoveFreeNotification (TComponent)
 | RemoveNotification (TComponent)
 | SafeCallException (TObject)
 | SafeCallException (TComponent)
 | SetAncestor (TComponent)
 | SetChildOrder (TComponent)
 | SetComponentIndex (TComponent)
 | SetDesigning (TComponent)
 | SetDesignInstance (TComponent)
 | SetInline (TComponent)
 | SetName (TComponent)
pt | SetName (TCustomAction)
 | SetOnExecute (TBasicAction)
 | SetParentComponent (TComponent)
pt | SetParentComponent (TContainedAction)
 | SetReference (TComponent)
 | SetSubComponent (TComponent)
 | StringMessageTable (TObject)
 | ToString (TObject)
 | UnitName (TObject)
 | UnRegisterChanges (TBasicAction)
 | Update (TBasicAction)
 | Update (TContainedAction)
 | UpdateAction (TComponent)
 | Updated (TComponent)
 | UpdateRegistry (TComponent)
 | UpdateTarget (TBasicAction)
 | UpdateTarget (TDataSetLast)
 | Updating (TComponent)
 | ValidateContainer (TComponent)
 | ValidateInsert (TComponent)
 | ValidateRename (TComponent)
 | WriteLeft (TComponent)
 | WriteState (TComponent)
 | WriteTop (TComponent)
 | _AddRef (TComponent)
 | _Release (TComponent)


TDataSetLast
TDataSetAction
TAction
pl | ro | OnExecute
pl | ro | OnHint
pl | ro | OnUpdate
TCustomAction
 |  | OnHint
TContainedAction
TBasicAction
 |  | OnChange
 |  | OnExecute
 |  | OnUpdate
TComponent
TPersistent
TObject


TDataSetLast.DataSource

Declaration

Source position: dbactns.pp line 56

published property TDataSetLast.DataSource : TDataSource;


TDataSetLast.ExecuteTarget

Declaration

Source position: dbactns.pp line 53

public procedure TDataSetLast.ExecuteTarget(

  Target: TObject

); override;


TDataSetLast.UpdateTarget

Declaration

Source position: dbactns.pp line 54

public procedure TDataSetLast.UpdateTarget(

  Target: TObject

); override;


TDataSetNext

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

TDataSetNext - move to next record in the DataSet

Declaration

Source position: dbactns.pp line 59

type TDataSetNext = class(TDataSetAction)

public

  procedure ExecuteTarget(); override;

  procedure UpdateTarget(); override;

published

  property DataSource: TDataSource;

end;

Inheritance

TDataSetNext | TDataSetNext - move to next record in the DataSet
|
TDataSetAction | TDataSetAction - base class for all other standard TDataSet actions
|
TAction | TAction is the basic action object used on the LCL.
|
TCustomAction | TCustomAction is the ancestor class for TAction
|
TContainedAction | TContainedAction - parent class for TCustomAction; defines some properties especially relationships with parents
|
TBasicAction
|
TComponent,IUnknown,IInterfaceComponentReference
|
TPersistent,IFPObserved
|
TObject


TDataSetNext
pl | ro | DataSource
TDataSetAction
 |  | DataSource
TAction
pl | ro | AutoCheck
pl | ro | Caption
pl | ro | Checked
pl | ro | DisableIfNoHandler
pl | ro | Enabled
pl | ro | GroupIndex
pl | ro | HelpContext
pl | ro | HelpKeyword
pl | ro | HelpType
pl | ro | Hint
pl | ro | ImageIndex
pl | ro | SecondaryShortCuts
pl | ro | ShortCut
pl | ro | Visible
TCustomAction
pt |  | SavedEnabledState
 |  | AutoCheck
 |  | Caption
 |  | Checked
 |  | DisableIfNoHandler
 |  | Enabled
 |  | GroupIndex
 |  | HelpContext
 |  | HelpKeyword
 |  | HelpType
 |  | Hint
 |  | ImageIndex
 |  | SecondaryShortCuts
 |  | ShortCut
 |  | Visible
TContainedAction
 |  | ActionList
 |  | Index
pl |  | Category
TBasicAction
 |  | ActionComponent
TComponent
 | ro | ComObject
 | ro | Components
 | ro | ComponentCount
 |  | ComponentIndex
 | ro | ComponentState
 | ro | ComponentStyle
 |  | DesignInfo
 | ro | Owner
 |  | VCLComObject
 |  | Name
 |  | Tag
TPersistent
TObject


pl | ro | AutoCheck (TAction)
 |  | Caption (TCustomAction)
pl | ro | Caption (TAction)
pl |  | Category (TContainedAction)
 |  | Checked (TCustomAction)
pl | ro | Checked (TAction)
 | ro | ComObject (TComponent)
 | ro | ComponentCount (TComponent)
 |  | ComponentIndex (TComponent)
 | ro | Components (TComponent)
 | ro | ComponentState (TComponent)
 | ro | ComponentStyle (TComponent)
 |  | DataSource (TDataSetAction)
pl | ro | DataSource (TDataSetNext)
 |  | DesignInfo (TComponent)
 |  | DisableIfNoHandler (TCustomAction)
pl | ro | DisableIfNoHandler (TAction)
 |  | Enabled (TCustomAction)
pl | ro | Enabled (TAction)
 |  | GroupIndex (TCustomAction)
pl | ro | GroupIndex (TAction)
 |  | HelpContext (TCustomAction)
pl | ro | HelpContext (TAction)
 |  | HelpKeyword (TCustomAction)
pl | ro | HelpKeyword (TAction)
 |  | HelpType (TCustomAction)
pl | ro | HelpType (TAction)
 |  | Hint (TCustomAction)
pl | ro | Hint (TAction)
 |  | ImageIndex (TCustomAction)
pl | ro | ImageIndex (TAction)
 |  | Index (TContainedAction)
 |  | Name (TComponent)
 | ro | Owner (TComponent)
pt |  | SavedEnabledState (TCustomAction)
 |  | SecondaryShortCuts (TCustomAction)
pl | ro | SecondaryShortCuts (TAction)
 |  | ShortCut (TCustomAction)
pl | ro | ShortCut (TAction)
 |  | Tag (TComponent)
 |  | VCLComObject (TComponent)
 |  | Visible (TCustomAction)
pl | ro | Visible (TAction)


TDataSetNext
 | ExecuteTarget
 | UpdateTarget
TDataSetAction
pt | Notification
pt | GetDataSet
 | HandlesTarget
TAction
 | Create
TCustomAction
pt | AssignTo
pt | SetName
pt | HandleShortCut
 | Create
 | Destroy
 | DoHint
 | Execute
TContainedAction
pt | ReadState
pt | SetParentComponent
 | Destroy
 | Execute
 | GetParentComponent
 | HasParent
 | Update
TBasicAction
 | Change
 | SetOnExecute
 | Create
 | Destroy
 | HandlesTarget
 | UpdateTarget
 | ExecuteTarget
 | Execute
 | RegisterChanges
 | UnRegisterChanges
 | Update
TComponent
 | GetComObject
 | GetComponent
 | GetComponentCount
 | GetComponentIndex
 | Insert
 | ReadLeft
 | ReadTop
 | Remove
 | RemoveNotification
 | SetComponentIndex
 | SetReference
 | WriteLeft
 | WriteTop
 | ChangeName
 | DefineProperties
 | GetChildren
 | GetChildOwner
 | GetChildParent
 | GetOwner
 | Loaded
 | Loading
 | Notification
 | PaletteCreated
 | ReadState
 | SetAncestor
 | SetDesigning
 | SetDesignInstance
 | SetInline
 | SetName
 | SetChildOrder
 | SetParentComponent
 | Updating
 | Updated
 | UpdateRegistry
 | ValidateRename
 | ValidateContainer
 | ValidateInsert
 | QueryInterface
 | _AddRef
 | _Release
 | iicrGetComponent
 | GetTypeInfoCount
 | GetTypeInfo
 | GetIDsOfNames
 | Invoke
 | WriteState
 | Create
 | Destroy
 | BeforeDestruction
 | DestroyComponents
 | Destroying
 | ExecuteAction
 | FindComponent
 | FreeNotification
 | RemoveFreeNotification
 | FreeOnRelease
 | GetEnumerator
 | GetNamePath
 | GetParentComponent
 | HasParent
 | InsertComponent
 | RemoveComponent
 | SafeCallException
 | SetSubComponent
 | UpdateAction
 | IsImplementorOf
 | ReferenceInterface
TPersistent
 | AssignError
 | AssignTo
 | DefineProperties
 | GetOwner
 | Destroy
 | Assign
 | FPOAttachObserver
 | FPODetachObserver
 | FPONotifyObservers
 | GetNamePath
TObject
 | Create
 | Destroy
 | newinstance
 | FreeInstance
 | SafeCallException
 | DefaultHandler
 | Free
 | InitInstance
 | CleanupInstance
 | ClassType
 | ClassInfo
 | ClassName
 | ClassNameIs
 | ClassParent
 | InstanceSize
 | InheritsFrom
 | StringMessageTable
 | MethodAddress
 | MethodName
 | FieldAddress
 | AfterConstruction
 | BeforeDestruction
 | DefaultHandlerStr
 | Dispatch
 | DispatchStr
 | GetInterface
 | GetInterfaceByStr
 | GetInterfaceWeak
 | GetInterfaceEntry
 | GetInterfaceEntryByStr
 | GetInterfaceTable
 | UnitName
 | Equals
 | GetHashCode
 | ToString


 | AssignError (TPersistent)
 | AssignTo (TPersistent)
pt | AssignTo (TCustomAction)
 | BeforeDestruction (TObject)
 | BeforeDestruction (TComponent)
 | Change (TBasicAction)
 | ChangeName (TComponent)
 | ClassInfo (TObject)
 | ClassName (TObject)
 | ClassNameIs (TObject)
 | ClassParent (TObject)
 | ClassType (TObject)
 | CleanupInstance (TObject)
 | Create (TObject)
 | Create (TComponent)
 | Create (TBasicAction)
 | Create (TCustomAction)
 | Create (TAction)
 | DefaultHandler (TObject)
 | DefaultHandlerStr (TObject)
 | DefineProperties (TPersistent)
 | DefineProperties (TComponent)
 | Destroy (TObject)
 | Destroy (TPersistent)
 | Destroy (TComponent)
 | Destroy (TBasicAction)
 | Destroy (TContainedAction)
 | Destroy (TCustomAction)
 | DestroyComponents (TComponent)
 | Destroying (TComponent)
 | Dispatch (TObject)
 | DispatchStr (TObject)
 | DoHint (TCustomAction)
 | Equals (TObject)
 | Execute (TBasicAction)
 | Execute (TContainedAction)
 | Execute (TCustomAction)
 | ExecuteAction (TComponent)
 | ExecuteTarget (TBasicAction)
 | ExecuteTarget (TDataSetNext)
 | FieldAddress (TObject)
 | FindComponent (TComponent)
 | FPOAttachObserver (TPersistent)
 | FPODetachObserver (TPersistent)
 | FPONotifyObservers (TPersistent)
 | Free (TObject)
 | FreeInstance (TObject)
 | FreeNotification (TComponent)
 | FreeOnRelease (TComponent)
 | GetChildOwner (TComponent)
 | GetChildParent (TComponent)
 | GetChildren (TComponent)
 | GetComObject (TComponent)
 | GetComponent (TComponent)
 | GetComponentCount (TComponent)
 | GetComponentIndex (TComponent)
pt | GetDataSet (TDataSetAction)
 | GetEnumerator (TComponent)
 | GetHashCode (TObject)
 | GetIDsOfNames (TComponent)
 | GetInterface (TObject)
 | GetInterfaceByStr (TObject)
 | GetInterfaceEntry (TObject)
 | GetInterfaceEntryByStr (TObject)
 | GetInterfaceTable (TObject)
 | GetInterfaceWeak (TObject)
 | GetNamePath (TPersistent)
 | GetNamePath (TComponent)
 | GetOwner (TPersistent)
 | GetOwner (TComponent)
 | GetParentComponent (TComponent)
 | GetParentComponent (TContainedAction)
 | GetTypeInfo (TComponent)
 | GetTypeInfoCount (TComponent)
pt | HandleShortCut (TCustomAction)
 | HandlesTarget (TBasicAction)
 | HandlesTarget (TDataSetAction)
 | HasParent (TComponent)
 | HasParent (TContainedAction)
 | iicrGetComponent (TComponent)
 | InheritsFrom (TObject)
 | InitInstance (TObject)
 | Insert (TComponent)
 | InsertComponent (TComponent)
 | InstanceSize (TObject)
 | Invoke (TComponent)
 | IsImplementorOf (TComponent)
 | Loaded (TComponent)
 | Loading (TComponent)
 | MethodAddress (TObject)
 | MethodName (TObject)
 | newinstance (TObject)
 | Notification (TComponent)
pt | Notification (TDataSetAction)
 | PaletteCreated (TComponent)
 | QueryInterface (TComponent)
 | ReadLeft (TComponent)
 | ReadState (TComponent)
pt | ReadState (TContainedAction)
 | ReadTop (TComponent)
 | ReferenceInterface (TComponent)
 | RegisterChanges (TBasicAction)
 | Remove (TComponent)
 | RemoveComponent (TComponent)
 | RemoveFreeNotification (TComponent)
 | RemoveNotification (TComponent)
 | SafeCallException (TObject)
 | SafeCallException (TComponent)
 | SetAncestor (TComponent)
 | SetChildOrder (TComponent)
 | SetComponentIndex (TComponent)
 | SetDesigning (TComponent)
 | SetDesignInstance (TComponent)
 | SetInline (TComponent)
 | SetName (TComponent)
pt | SetName (TCustomAction)
 | SetOnExecute (TBasicAction)
 | SetParentComponent (TComponent)
pt | SetParentComponent (TContainedAction)
 | SetReference (TComponent)
 | SetSubComponent (TComponent)
 | StringMessageTable (TObject)
 | ToString (TObject)
 | UnitName (TObject)
 | UnRegisterChanges (TBasicAction)
 | Update (TBasicAction)
 | Update (TContainedAction)
 | UpdateAction (TComponent)
 | Updated (TComponent)
 | UpdateRegistry (TComponent)
 | UpdateTarget (TBasicAction)
 | UpdateTarget (TDataSetNext)
 | Updating (TComponent)
 | ValidateContainer (TComponent)
 | ValidateInsert (TComponent)
 | ValidateRename (TComponent)
 | WriteLeft (TComponent)
 | WriteState (TComponent)
 | WriteTop (TComponent)
 | _AddRef (TComponent)
 | _Release (TComponent)


TDataSetNext
TDataSetAction
TAction
pl | ro | OnExecute
pl | ro | OnHint
pl | ro | OnUpdate
TCustomAction
 |  | OnHint
TContainedAction
TBasicAction
 |  | OnChange
 |  | OnExecute
 |  | OnUpdate
TComponent
TPersistent
TObject


TDataSetNext.DataSource

Declaration

Source position: dbactns.pp line 64

published property TDataSetNext.DataSource : TDataSource;


TDataSetNext.ExecuteTarget

Declaration

Source position: dbactns.pp line 61

public procedure TDataSetNext.ExecuteTarget(

  Target: TObject

); override;


TDataSetNext.UpdateTarget

Declaration

Source position: dbactns.pp line 62

public procedure TDataSetNext.UpdateTarget(

  Target: TObject

); override;


TDataSetPost

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

TDataSetPost - post the editing changes on the current record permanently into the DataSet (may need a separate action to make changes permanently in external database)

Declaration

Source position: dbactns.pp line 120

type TDataSetPost = class(TDataSetAction)

public

  procedure ExecuteTarget(); override;

  procedure UpdateTarget(); override;

published

  property DataSource: TDataSource;

end;

Inheritance

TDataSetPost | TDataSetPost - post the editing changes on the current record permanently into the DataSet (may need a separate action to make changes permanently in external database)
|
TDataSetAction | TDataSetAction - base class for all other standard TDataSet actions
|
TAction | TAction is the basic action object used on the LCL.
|
TCustomAction | TCustomAction is the ancestor class for TAction
|
TContainedAction | TContainedAction - parent class for TCustomAction; defines some properties especially relationships with parents
|
TBasicAction
|
TComponent,IUnknown,IInterfaceComponentReference
|
TPersistent,IFPObserved
|
TObject


TDataSetPost
pl | ro | DataSource
TDataSetAction
 |  | DataSource
TAction
pl | ro | AutoCheck
pl | ro | Caption
pl | ro | Checked
pl | ro | DisableIfNoHandler
pl | ro | Enabled
pl | ro | GroupIndex
pl | ro | HelpContext
pl | ro | HelpKeyword
pl | ro | HelpType
pl | ro | Hint
pl | ro | ImageIndex
pl | ro | SecondaryShortCuts
pl | ro | ShortCut
pl | ro | Visible
TCustomAction
pt |  | SavedEnabledState
 |  | AutoCheck
 |  | Caption
 |  | Checked
 |  | DisableIfNoHandler
 |  | Enabled
 |  | GroupIndex
 |  | HelpContext
 |  | HelpKeyword
 |  | HelpType
 |  | Hint
 |  | ImageIndex
 |  | SecondaryShortCuts
 |  | ShortCut
 |  | Visible
TContainedAction
 |  | ActionList
 |  | Index
pl |  | Category
TBasicAction
 |  | ActionComponent
TComponent
 | ro | ComObject
 | ro | Components
 | ro | ComponentCount
 |  | ComponentIndex
 | ro | ComponentState
 | ro | ComponentStyle
 |  | DesignInfo
 | ro | Owner
 |  | VCLComObject
 |  | Name
 |  | Tag
TPersistent
TObject


pl | ro | AutoCheck (TAction)
 |  | Caption (TCustomAction)
pl | ro | Caption (TAction)
pl |  | Category (TContainedAction)
 |  | Checked (TCustomAction)
pl | ro | Checked (TAction)
 | ro | ComObject (TComponent)
 | ro | ComponentCount (TComponent)
 |  | ComponentIndex (TComponent)
 | ro | Components (TComponent)
 | ro | ComponentState (TComponent)
 | ro | ComponentStyle (TComponent)
 |  | DataSource (TDataSetAction)
pl | ro | DataSource (TDataSetPost)
 |  | DesignInfo (TComponent)
 |  | DisableIfNoHandler (TCustomAction)
pl | ro | DisableIfNoHandler (TAction)
 |  | Enabled (TCustomAction)
pl | ro | Enabled (TAction)
 |  | GroupIndex (TCustomAction)
pl | ro | GroupIndex (TAction)
 |  | HelpContext (TCustomAction)
pl | ro | HelpContext (TAction)
 |  | HelpKeyword (TCustomAction)
pl | ro | HelpKeyword (TAction)
 |  | HelpType (TCustomAction)
pl | ro | HelpType (TAction)
 |  | Hint (TCustomAction)
pl | ro | Hint (TAction)
 |  | ImageIndex (TCustomAction)
pl | ro | ImageIndex (TAction)
 |  | Index (TContainedAction)
 |  | Name (TComponent)
 | ro | Owner (TComponent)
pt |  | SavedEnabledState (TCustomAction)
 |  | SecondaryShortCuts (TCustomAction)
pl | ro | SecondaryShortCuts (TAction)
 |  | ShortCut (TCustomAction)
pl | ro | ShortCut (TAction)
 |  | Tag (TComponent)
 |  | VCLComObject (TComponent)
 |  | Visible (TCustomAction)
pl | ro | Visible (TAction)


TDataSetPost
 | ExecuteTarget
 | UpdateTarget
TDataSetAction
pt | Notification
pt | GetDataSet
 | HandlesTarget
TAction
 | Create
TCustomAction
pt | AssignTo
pt | SetName
pt | HandleShortCut
 | Create
 | Destroy
 | DoHint
 | Execute
TContainedAction
pt | ReadState
pt | SetParentComponent
 | Destroy
 | Execute
 | GetParentComponent
 | HasParent
 | Update
TBasicAction
 | Change
 | SetOnExecute
 | Create
 | Destroy
 | HandlesTarget
 | UpdateTarget
 | ExecuteTarget
 | Execute
 | RegisterChanges
 | UnRegisterChanges
 | Update
TComponent
 | GetComObject
 | GetComponent
 | GetComponentCount
 | GetComponentIndex
 | Insert
 | ReadLeft
 | ReadTop
 | Remove
 | RemoveNotification
 | SetComponentIndex
 | SetReference
 | WriteLeft
 | WriteTop
 | ChangeName
 | DefineProperties
 | GetChildren
 | GetChildOwner
 | GetChildParent
 | GetOwner
 | Loaded
 | Loading
 | Notification
 | PaletteCreated
 | ReadState
 | SetAncestor
 | SetDesigning
 | SetDesignInstance
 | SetInline
 | SetName
 | SetChildOrder
 | SetParentComponent
 | Updating
 | Updated
 | UpdateRegistry
 | ValidateRename
 | ValidateContainer
 | ValidateInsert
 | QueryInterface
 | _AddRef
 | _Release
 | iicrGetComponent
 | GetTypeInfoCount
 | GetTypeInfo
 | GetIDsOfNames
 | Invoke
 | WriteState
 | Create
 | Destroy
 | BeforeDestruction
 | DestroyComponents
 | Destroying
 | ExecuteAction
 | FindComponent
 | FreeNotification
 | RemoveFreeNotification
 | FreeOnRelease
 | GetEnumerator
 | GetNamePath
 | GetParentComponent
 | HasParent
 | InsertComponent
 | RemoveComponent
 | SafeCallException
 | SetSubComponent
 | UpdateAction
 | IsImplementorOf
 | ReferenceInterface
TPersistent
 | AssignError
 | AssignTo
 | DefineProperties
 | GetOwner
 | Destroy
 | Assign
 | FPOAttachObserver
 | FPODetachObserver
 | FPONotifyObservers
 | GetNamePath
TObject
 | Create
 | Destroy
 | newinstance
 | FreeInstance
 | SafeCallException
 | DefaultHandler
 | Free
 | InitInstance
 | CleanupInstance
 | ClassType
 | ClassInfo
 | ClassName
 | ClassNameIs
 | ClassParent
 | InstanceSize
 | InheritsFrom
 | StringMessageTable
 | MethodAddress
 | MethodName
 | FieldAddress
 | AfterConstruction
 | BeforeDestruction
 | DefaultHandlerStr
 | Dispatch
 | DispatchStr
 | GetInterface
 | GetInterfaceByStr
 | GetInterfaceWeak
 | GetInterfaceEntry
 | GetInterfaceEntryByStr
 | GetInterfaceTable
 | UnitName
 | Equals
 | GetHashCode
 | ToString


 | AssignError (TPersistent)
 | AssignTo (TPersistent)
pt | AssignTo (TCustomAction)
 | BeforeDestruction (TObject)
 | BeforeDestruction (TComponent)
 | Change (TBasicAction)
 | ChangeName (TComponent)
 | ClassInfo (TObject)
 | ClassName (TObject)
 | ClassNameIs (TObject)
 | ClassParent (TObject)
 | ClassType (TObject)
 | CleanupInstance (TObject)
 | Create (TObject)
 | Create (TComponent)
 | Create (TBasicAction)
 | Create (TCustomAction)
 | Create (TAction)
 | DefaultHandler (TObject)
 | DefaultHandlerStr (TObject)
 | DefineProperties (TPersistent)
 | DefineProperties (TComponent)
 | Destroy (TObject)
 | Destroy (TPersistent)
 | Destroy (TComponent)
 | Destroy (TBasicAction)
 | Destroy (TContainedAction)
 | Destroy (TCustomAction)
 | DestroyComponents (TComponent)
 | Destroying (TComponent)
 | Dispatch (TObject)
 | DispatchStr (TObject)
 | DoHint (TCustomAction)
 | Equals (TObject)
 | Execute (TBasicAction)
 | Execute (TContainedAction)
 | Execute (TCustomAction)
 | ExecuteAction (TComponent)
 | ExecuteTarget (TBasicAction)
 | ExecuteTarget (TDataSetPost)
 | FieldAddress (TObject)
 | FindComponent (TComponent)
 | FPOAttachObserver (TPersistent)
 | FPODetachObserver (TPersistent)
 | FPONotifyObservers (TPersistent)
 | Free (TObject)
 | FreeInstance (TObject)
 | FreeNotification (TComponent)
 | FreeOnRelease (TComponent)
 | GetChildOwner (TComponent)
 | GetChildParent (TComponent)
 | GetChildren (TComponent)
 | GetComObject (TComponent)
 | GetComponent (TComponent)
 | GetComponentCount (TComponent)
 | GetComponentIndex (TComponent)
pt | GetDataSet (TDataSetAction)
 | GetEnumerator (TComponent)
 | GetHashCode (TObject)
 | GetIDsOfNames (TComponent)
 | GetInterface (TObject)
 | GetInterfaceByStr (TObject)
 | GetInterfaceEntry (TObject)
 | GetInterfaceEntryByStr (TObject)
 | GetInterfaceTable (TObject)
 | GetInterfaceWeak (TObject)
 | GetNamePath (TPersistent)
 | GetNamePath (TComponent)
 | GetOwner (TPersistent)
 | GetOwner (TComponent)
 | GetParentComponent (TComponent)
 | GetParentComponent (TContainedAction)
 | GetTypeInfo (TComponent)
 | GetTypeInfoCount (TComponent)
pt | HandleShortCut (TCustomAction)
 | HandlesTarget (TBasicAction)
 | HandlesTarget (TDataSetAction)
 | HasParent (TComponent)
 | HasParent (TContainedAction)
 | iicrGetComponent (TComponent)
 | InheritsFrom (TObject)
 | InitInstance (TObject)
 | Insert (TComponent)
 | InsertComponent (TComponent)
 | InstanceSize (TObject)
 | Invoke (TComponent)
 | IsImplementorOf (TComponent)
 | Loaded (TComponent)
 | Loading (TComponent)
 | MethodAddress (TObject)
 | MethodName (TObject)
 | newinstance (TObject)
 | Notification (TComponent)
pt | Notification (TDataSetAction)
 | PaletteCreated (TComponent)
 | QueryInterface (TComponent)
 | ReadLeft (TComponent)
 | ReadState (TComponent)
pt | ReadState (TContainedAction)
 | ReadTop (TComponent)
 | ReferenceInterface (TComponent)
 | RegisterChanges (TBasicAction)
 | Remove (TComponent)
 | RemoveComponent (TComponent)
 | RemoveFreeNotification (TComponent)
 | RemoveNotification (TComponent)
 | SafeCallException (TObject)
 | SafeCallException (TComponent)
 | SetAncestor (TComponent)
 | SetChildOrder (TComponent)
 | SetComponentIndex (TComponent)
 | SetDesigning (TComponent)
 | SetDesignInstance (TComponent)
 | SetInline (TComponent)
 | SetName (TComponent)
pt | SetName (TCustomAction)
 | SetOnExecute (TBasicAction)
 | SetParentComponent (TComponent)
pt | SetParentComponent (TContainedAction)
 | SetReference (TComponent)
 | SetSubComponent (TComponent)
 | StringMessageTable (TObject)
 | ToString (TObject)
 | UnitName (TObject)
 | UnRegisterChanges (TBasicAction)
 | Update (TBasicAction)
 | Update (TContainedAction)
 | UpdateAction (TComponent)
 | Updated (TComponent)
 | UpdateRegistry (TComponent)
 | UpdateTarget (TBasicAction)
 | UpdateTarget (TDataSetPost)
 | Updating (TComponent)
 | ValidateContainer (TComponent)
 | ValidateInsert (TComponent)
 | ValidateRename (TComponent)
 | WriteLeft (TComponent)
 | WriteState (TComponent)
 | WriteTop (TComponent)
 | _AddRef (TComponent)
 | _Release (TComponent)


TDataSetPost
TDataSetAction
TAction
pl | ro | OnExecute
pl | ro | OnHint
pl | ro | OnUpdate
TCustomAction
 |  | OnHint
TContainedAction
TBasicAction
 |  | OnChange
 |  | OnExecute
 |  | OnUpdate
TComponent
TPersistent
TObject


TDataSetPost.DataSource

Declaration

Source position: dbactns.pp line 125

published property TDataSetPost.DataSource : TDataSource;


TDataSetPost.ExecuteTarget

Declaration

Source position: dbactns.pp line 122

public procedure TDataSetPost.ExecuteTarget(

  Target: TObject

); override;


TDataSetPost.UpdateTarget

Declaration

Source position: dbactns.pp line 123

public procedure TDataSetPost.UpdateTarget(

  Target: TObject

); override;


TDataSetPrior

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

TDataSetPrior - move to previous (prior) record in the DataSet

Declaration

Source position: dbactns.pp line 67

type TDataSetPrior = class(TDataSetAction)

public

  procedure ExecuteTarget(); override;

  procedure UpdateTarget(); override;

published

  property DataSource: TDataSource;

end;

Inheritance

TDataSetPrior | TDataSetPrior - move to previous (prior) record in the DataSet
|
TDataSetAction | TDataSetAction - base class for all other standard TDataSet actions
|
TAction | TAction is the basic action object used on the LCL.
|
TCustomAction | TCustomAction is the ancestor class for TAction
|
TContainedAction | TContainedAction - parent class for TCustomAction; defines some properties especially relationships with parents
|
TBasicAction
|
TComponent,IUnknown,IInterfaceComponentReference
|
TPersistent,IFPObserved
|
TObject


TDataSetPrior
pl | ro | DataSource
TDataSetAction
 |  | DataSource
TAction
pl | ro | AutoCheck
pl | ro | Caption
pl | ro | Checked
pl | ro | DisableIfNoHandler
pl | ro | Enabled
pl | ro | GroupIndex
pl | ro | HelpContext
pl | ro | HelpKeyword
pl | ro | HelpType
pl | ro | Hint
pl | ro | ImageIndex
pl | ro | SecondaryShortCuts
pl | ro | ShortCut
pl | ro | Visible
TCustomAction
pt |  | SavedEnabledState
 |  | AutoCheck
 |  | Caption
 |  | Checked
 |  | DisableIfNoHandler
 |  | Enabled
 |  | GroupIndex
 |  | HelpContext
 |  | HelpKeyword
 |  | HelpType
 |  | Hint
 |  | ImageIndex
 |  | SecondaryShortCuts
 |  | ShortCut
 |  | Visible
TContainedAction
 |  | ActionList
 |  | Index
pl |  | Category
TBasicAction
 |  | ActionComponent
TComponent
 | ro | ComObject
 | ro | Components
 | ro | ComponentCount
 |  | ComponentIndex
 | ro | ComponentState
 | ro | ComponentStyle
 |  | DesignInfo
 | ro | Owner
 |  | VCLComObject
 |  | Name
 |  | Tag
TPersistent
TObject


pl | ro | AutoCheck (TAction)
 |  | Caption (TCustomAction)
pl | ro | Caption (TAction)
pl |  | Category (TContainedAction)
 |  | Checked (TCustomAction)
pl | ro | Checked (TAction)
 | ro | ComObject (TComponent)
 | ro | ComponentCount (TComponent)
 |  | ComponentIndex (TComponent)
 | ro | Components (TComponent)
 | ro | ComponentState (TComponent)
 | ro | ComponentStyle (TComponent)
 |  | DataSource (TDataSetAction)
pl | ro | DataSource (TDataSetPrior)
 |  | DesignInfo (TComponent)
 |  | DisableIfNoHandler (TCustomAction)
pl | ro | DisableIfNoHandler (TAction)
 |  | Enabled (TCustomAction)
pl | ro | Enabled (TAction)
 |  | GroupIndex (TCustomAction)
pl | ro | GroupIndex (TAction)
 |  | HelpContext (TCustomAction)
pl | ro | HelpContext (TAction)
 |  | HelpKeyword (TCustomAction)
pl | ro | HelpKeyword (TAction)
 |  | HelpType (TCustomAction)
pl | ro | HelpType (TAction)
 |  | Hint (TCustomAction)
pl | ro | Hint (TAction)
 |  | ImageIndex (TCustomAction)
pl | ro | ImageIndex (TAction)
 |  | Index (TContainedAction)
 |  | Name (TComponent)
 | ro | Owner (TComponent)
pt |  | SavedEnabledState (TCustomAction)
 |  | SecondaryShortCuts (TCustomAction)
pl | ro | SecondaryShortCuts (TAction)
 |  | ShortCut (TCustomAction)
pl | ro | ShortCut (TAction)
 |  | Tag (TComponent)
 |  | VCLComObject (TComponent)
 |  | Visible (TCustomAction)
pl | ro | Visible (TAction)


TDataSetPrior
 | ExecuteTarget
 | UpdateTarget
TDataSetAction
pt | Notification
pt | GetDataSet
 | HandlesTarget
TAction
 | Create
TCustomAction
pt | AssignTo
pt | SetName
pt | HandleShortCut
 | Create
 | Destroy
 | DoHint
 | Execute
TContainedAction
pt | ReadState
pt | SetParentComponent
 | Destroy
 | Execute
 | GetParentComponent
 | HasParent
 | Update
TBasicAction
 | Change
 | SetOnExecute
 | Create
 | Destroy
 | HandlesTarget
 | UpdateTarget
 | ExecuteTarget
 | Execute
 | RegisterChanges
 | UnRegisterChanges
 | Update
TComponent
 | GetComObject
 | GetComponent
 | GetComponentCount
 | GetComponentIndex
 | Insert
 | ReadLeft
 | ReadTop
 | Remove
 | RemoveNotification
 | SetComponentIndex
 | SetReference
 | WriteLeft
 | WriteTop
 | ChangeName
 | DefineProperties
 | GetChildren
 | GetChildOwner
 | GetChildParent
 | GetOwner
 | Loaded
 | Loading
 | Notification
 | PaletteCreated
 | ReadState
 | SetAncestor
 | SetDesigning
 | SetDesignInstance
 | SetInline
 | SetName
 | SetChildOrder
 | SetParentComponent
 | Updating
 | Updated
 | UpdateRegistry
 | ValidateRename
 | ValidateContainer
 | ValidateInsert
 | QueryInterface
 | _AddRef
 | _Release
 | iicrGetComponent
 | GetTypeInfoCount
 | GetTypeInfo
 | GetIDsOfNames
 | Invoke
 | WriteState
 | Create
 | Destroy
 | BeforeDestruction
 | DestroyComponents
 | Destroying
 | ExecuteAction
 | FindComponent
 | FreeNotification
 | RemoveFreeNotification
 | FreeOnRelease
 | GetEnumerator
 | GetNamePath
 | GetParentComponent
 | HasParent
 | InsertComponent
 | RemoveComponent
 | SafeCallException
 | SetSubComponent
 | UpdateAction
 | IsImplementorOf
 | ReferenceInterface
TPersistent
 | AssignError
 | AssignTo
 | DefineProperties
 | GetOwner
 | Destroy
 | Assign
 | FPOAttachObserver
 | FPODetachObserver
 | FPONotifyObservers
 | GetNamePath
TObject
 | Create
 | Destroy
 | newinstance
 | FreeInstance
 | SafeCallException
 | DefaultHandler
 | Free
 | InitInstance
 | CleanupInstance
 | ClassType
 | ClassInfo
 | ClassName
 | ClassNameIs
 | ClassParent
 | InstanceSize
 | InheritsFrom
 | StringMessageTable
 | MethodAddress
 | MethodName
 | FieldAddress
 | AfterConstruction
 | BeforeDestruction
 | DefaultHandlerStr
 | Dispatch
 | DispatchStr
 | GetInterface
 | GetInterfaceByStr
 | GetInterfaceWeak
 | GetInterfaceEntry
 | GetInterfaceEntryByStr
 | GetInterfaceTable
 | UnitName
 | Equals
 | GetHashCode
 | ToString


 | AssignError (TPersistent)
 | AssignTo (TPersistent)
pt | AssignTo (TCustomAction)
 | BeforeDestruction (TObject)
 | BeforeDestruction (TComponent)
 | Change (TBasicAction)
 | ChangeName (TComponent)
 | ClassInfo (TObject)
 | ClassName (TObject)
 | ClassNameIs (TObject)
 | ClassParent (TObject)
 | ClassType (TObject)
 | CleanupInstance (TObject)
 | Create (TObject)
 | Create (TComponent)
 | Create (TBasicAction)
 | Create (TCustomAction)
 | Create (TAction)
 | DefaultHandler (TObject)
 | DefaultHandlerStr (TObject)
 | DefineProperties (TPersistent)
 | DefineProperties (TComponent)
 | Destroy (TObject)
 | Destroy (TPersistent)
 | Destroy (TComponent)
 | Destroy (TBasicAction)
 | Destroy (TContainedAction)
 | Destroy (TCustomAction)
 | DestroyComponents (TComponent)
 | Destroying (TComponent)
 | Dispatch (TObject)
 | DispatchStr (TObject)
 | DoHint (TCustomAction)
 | Equals (TObject)
 | Execute (TBasicAction)
 | Execute (TContainedAction)
 | Execute (TCustomAction)
 | ExecuteAction (TComponent)
 | ExecuteTarget (TBasicAction)
 | ExecuteTarget (TDataSetPrior)
 | FieldAddress (TObject)
 | FindComponent (TComponent)
 | FPOAttachObserver (TPersistent)
 | FPODetachObserver (TPersistent)
 | FPONotifyObservers (TPersistent)
 | Free (TObject)
 | FreeInstance (TObject)
 | FreeNotification (TComponent)
 | FreeOnRelease (TComponent)
 | GetChildOwner (TComponent)
 | GetChildParent (TComponent)
 | GetChildren (TComponent)
 | GetComObject (TComponent)
 | GetComponent (TComponent)
 | GetComponentCount (TComponent)
 | GetComponentIndex (TComponent)
pt | GetDataSet (TDataSetAction)
 | GetEnumerator (TComponent)
 | GetHashCode (TObject)
 | GetIDsOfNames (TComponent)
 | GetInterface (TObject)
 | GetInterfaceByStr (TObject)
 | GetInterfaceEntry (TObject)
 | GetInterfaceEntryByStr (TObject)
 | GetInterfaceTable (TObject)
 | GetInterfaceWeak (TObject)
 | GetNamePath (TPersistent)
 | GetNamePath (TComponent)
 | GetOwner (TPersistent)
 | GetOwner (TComponent)
 | GetParentComponent (TComponent)
 | GetParentComponent (TContainedAction)
 | GetTypeInfo (TComponent)
 | GetTypeInfoCount (TComponent)
pt | HandleShortCut (TCustomAction)
 | HandlesTarget (TBasicAction)
 | HandlesTarget (TDataSetAction)
 | HasParent (TComponent)
 | HasParent (TContainedAction)
 | iicrGetComponent (TComponent)
 | InheritsFrom (TObject)
 | InitInstance (TObject)
 | Insert (TComponent)
 | InsertComponent (TComponent)
 | InstanceSize (TObject)
 | Invoke (TComponent)
 | IsImplementorOf (TComponent)
 | Loaded (TComponent)
 | Loading (TComponent)
 | MethodAddress (TObject)
 | MethodName (TObject)
 | newinstance (TObject)
 | Notification (TComponent)
pt | Notification (TDataSetAction)
 | PaletteCreated (TComponent)
 | QueryInterface (TComponent)
 | ReadLeft (TComponent)
 | ReadState (TComponent)
pt | ReadState (TContainedAction)
 | ReadTop (TComponent)
 | ReferenceInterface (TComponent)
 | RegisterChanges (TBasicAction)
 | Remove (TComponent)
 | RemoveComponent (TComponent)
 | RemoveFreeNotification (TComponent)
 | RemoveNotification (TComponent)
 | SafeCallException (TObject)
 | SafeCallException (TComponent)
 | SetAncestor (TComponent)
 | SetChildOrder (TComponent)
 | SetComponentIndex (TComponent)
 | SetDesigning (TComponent)
 | SetDesignInstance (TComponent)
 | SetInline (TComponent)
 | SetName (TComponent)
pt | SetName (TCustomAction)
 | SetOnExecute (TBasicAction)
 | SetParentComponent (TComponent)
pt | SetParentComponent (TContainedAction)
 | SetReference (TComponent)
 | SetSubComponent (TComponent)
 | StringMessageTable (TObject)
 | ToString (TObject)
 | UnitName (TObject)
 | UnRegisterChanges (TBasicAction)
 | Update (TBasicAction)
 | Update (TContainedAction)
 | UpdateAction (TComponent)
 | Updated (TComponent)
 | UpdateRegistry (TComponent)
 | UpdateTarget (TBasicAction)
 | UpdateTarget (TDataSetPrior)
 | Updating (TComponent)
 | ValidateContainer (TComponent)
 | ValidateInsert (TComponent)
 | ValidateRename (TComponent)
 | WriteLeft (TComponent)
 | WriteState (TComponent)
 | WriteTop (TComponent)
 | _AddRef (TComponent)
 | _Release (TComponent)


TDataSetPrior
TDataSetAction
TAction
pl | ro | OnExecute
pl | ro | OnHint
pl | ro | OnUpdate
TCustomAction
 |  | OnHint
TContainedAction
TBasicAction
 |  | OnChange
 |  | OnExecute
 |  | OnUpdate
TComponent
TPersistent
TObject


TDataSetPrior.DataSource

Declaration

Source position: dbactns.pp line 72

published property TDataSetPrior.DataSource : TDataSource;


TDataSetPrior.ExecuteTarget

Declaration

Source position: dbactns.pp line 69

public procedure TDataSetPrior.ExecuteTarget(

  Target: TObject

); override;


TDataSetPrior.UpdateTarget

Declaration

Source position: dbactns.pp line 70

public procedure TDataSetPrior.UpdateTarget(

  Target: TObject

); override;


TDataSetRefresh

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

TDataSetRefresh - refresh the DataSet by reference to the external database

Declaration

Source position: dbactns.pp line 75

type TDataSetRefresh = class(TDataSetAction)

public

  procedure ExecuteTarget(); override;

  procedure UpdateTarget(); override;

published

  property DataSource: TDataSource;

end;

Inheritance

TDataSetRefresh | TDataSetRefresh - refresh the DataSet by reference to the external database
|
TDataSetAction | TDataSetAction - base class for all other standard TDataSet actions
|
TAction | TAction is the basic action object used on the LCL.
|
TCustomAction | TCustomAction is the ancestor class for TAction
|
TContainedAction | TContainedAction - parent class for TCustomAction; defines some properties especially relationships with parents
|
TBasicAction
|
TComponent,IUnknown,IInterfaceComponentReference
|
TPersistent,IFPObserved
|
TObject


TDataSetRefresh
pl | ro | DataSource
TDataSetAction
 |  | DataSource
TAction
pl | ro | AutoCheck
pl | ro | Caption
pl | ro | Checked
pl | ro | DisableIfNoHandler
pl | ro | Enabled
pl | ro | GroupIndex
pl | ro | HelpContext
pl | ro | HelpKeyword
pl | ro | HelpType
pl | ro | Hint
pl | ro | ImageIndex
pl | ro | SecondaryShortCuts
pl | ro | ShortCut
pl | ro | Visible
TCustomAction
pt |  | SavedEnabledState
 |  | AutoCheck
 |  | Caption
 |  | Checked
 |  | DisableIfNoHandler
 |  | Enabled
 |  | GroupIndex
 |  | HelpContext
 |  | HelpKeyword
 |  | HelpType
 |  | Hint
 |  | ImageIndex
 |  | SecondaryShortCuts
 |  | ShortCut
 |  | Visible
TContainedAction
 |  | ActionList
 |  | Index
pl |  | Category
TBasicAction
 |  | ActionComponent
TComponent
 | ro | ComObject
 | ro | Components
 | ro | ComponentCount
 |  | ComponentIndex
 | ro | ComponentState
 | ro | ComponentStyle
 |  | DesignInfo
 | ro | Owner
 |  | VCLComObject
 |  | Name
 |  | Tag
TPersistent
TObject


pl | ro | AutoCheck (TAction)
 |  | Caption (TCustomAction)
pl | ro | Caption (TAction)
pl |  | Category (TContainedAction)
 |  | Checked (TCustomAction)
pl | ro | Checked (TAction)
 | ro | ComObject (TComponent)
 | ro | ComponentCount (TComponent)
 |  | ComponentIndex (TComponent)
 | ro | Components (TComponent)
 | ro | ComponentState (TComponent)
 | ro | ComponentStyle (TComponent)
 |  | DataSource (TDataSetAction)
pl | ro | DataSource (TDataSetRefresh)
 |  | DesignInfo (TComponent)
 |  | DisableIfNoHandler (TCustomAction)
pl | ro | DisableIfNoHandler (TAction)
 |  | Enabled (TCustomAction)
pl | ro | Enabled (TAction)
 |  | GroupIndex (TCustomAction)
pl | ro | GroupIndex (TAction)
 |  | HelpContext (TCustomAction)
pl | ro | HelpContext (TAction)
 |  | HelpKeyword (TCustomAction)
pl | ro | HelpKeyword (TAction)
 |  | HelpType (TCustomAction)
pl | ro | HelpType (TAction)
 |  | Hint (TCustomAction)
pl | ro | Hint (TAction)
 |  | ImageIndex (TCustomAction)
pl | ro | ImageIndex (TAction)
 |  | Index (TContainedAction)
 |  | Name (TComponent)
 | ro | Owner (TComponent)
pt |  | SavedEnabledState (TCustomAction)
 |  | SecondaryShortCuts (TCustomAction)
pl | ro | SecondaryShortCuts (TAction)
 |  | ShortCut (TCustomAction)
pl | ro | ShortCut (TAction)
 |  | Tag (TComponent)
 |  | VCLComObject (TComponent)
 |  | Visible (TCustomAction)
pl | ro | Visible (TAction)


TDataSetRefresh
 | ExecuteTarget
 | UpdateTarget
TDataSetAction
pt | Notification
pt | GetDataSet
 | HandlesTarget
TAction
 | Create
TCustomAction
pt | AssignTo
pt | SetName
pt | HandleShortCut
 | Create
 | Destroy
 | DoHint
 | Execute
TContainedAction
pt | ReadState
pt | SetParentComponent
 | Destroy
 | Execute
 | GetParentComponent
 | HasParent
 | Update
TBasicAction
 | Change
 | SetOnExecute
 | Create
 | Destroy
 | HandlesTarget
 | UpdateTarget
 | ExecuteTarget
 | Execute
 | RegisterChanges
 | UnRegisterChanges
 | Update
TComponent
 | GetComObject
 | GetComponent
 | GetComponentCount
 | GetComponentIndex
 | Insert
 | ReadLeft
 | ReadTop
 | Remove
 | RemoveNotification
 | SetComponentIndex
 | SetReference
 | WriteLeft
 | WriteTop
 | ChangeName
 | DefineProperties
 | GetChildren
 | GetChildOwner
 | GetChildParent
 | GetOwner
 | Loaded
 | Loading
 | Notification
 | PaletteCreated
 | ReadState
 | SetAncestor
 | SetDesigning
 | SetDesignInstance
 | SetInline
 | SetName
 | SetChildOrder
 | SetParentComponent
 | Updating
 | Updated
 | UpdateRegistry
 | ValidateRename
 | ValidateContainer
 | ValidateInsert
 | QueryInterface
 | _AddRef
 | _Release
 | iicrGetComponent
 | GetTypeInfoCount
 | GetTypeInfo
 | GetIDsOfNames
 | Invoke
 | WriteState
 | Create
 | Destroy
 | BeforeDestruction
 | DestroyComponents
 | Destroying
 | ExecuteAction
 | FindComponent
 | FreeNotification
 | RemoveFreeNotification
 | FreeOnRelease
 | GetEnumerator
 | GetNamePath
 | GetParentComponent
 | HasParent
 | InsertComponent
 | RemoveComponent
 | SafeCallException
 | SetSubComponent
 | UpdateAction
 | IsImplementorOf
 | ReferenceInterface
TPersistent
 | AssignError
 | AssignTo
 | DefineProperties
 | GetOwner
 | Destroy
 | Assign
 | FPOAttachObserver
 | FPODetachObserver
 | FPONotifyObservers
 | GetNamePath
TObject
 | Create
 | Destroy
 | newinstance
 | FreeInstance
 | SafeCallException
 | DefaultHandler
 | Free
 | InitInstance
 | CleanupInstance
 | ClassType
 | ClassInfo
 | ClassName
 | ClassNameIs
 | ClassParent
 | InstanceSize
 | InheritsFrom
 | StringMessageTable
 | MethodAddress
 | MethodName
 | FieldAddress
 | AfterConstruction
 | BeforeDestruction
 | DefaultHandlerStr
 | Dispatch
 | DispatchStr
 | GetInterface
 | GetInterfaceByStr
 | GetInterfaceWeak
 | GetInterfaceEntry
 | GetInterfaceEntryByStr
 | GetInterfaceTable
 | UnitName
 | Equals
 | GetHashCode
 | ToString


 | AssignError (TPersistent)
 | AssignTo (TPersistent)
pt | AssignTo (TCustomAction)
 | BeforeDestruction (TObject)
 | BeforeDestruction (TComponent)
 | Change (TBasicAction)
 | ChangeName (TComponent)
 | ClassInfo (TObject)
 | ClassName (TObject)
 | ClassNameIs (TObject)
 | ClassParent (TObject)
 | ClassType (TObject)
 | CleanupInstance (TObject)
 | Create (TObject)
 | Create (TComponent)
 | Create (TBasicAction)
 | Create (TCustomAction)
 | Create (TAction)
 | DefaultHandler (TObject)
 | DefaultHandlerStr (TObject)
 | DefineProperties (TPersistent)
 | DefineProperties (TComponent)
 | Destroy (TObject)
 | Destroy (TPersistent)
 | Destroy (TComponent)
 | Destroy (TBasicAction)
 | Destroy (TContainedAction)
 | Destroy (TCustomAction)
 | DestroyComponents (TComponent)
 | Destroying (TComponent)
 | Dispatch (TObject)
 | DispatchStr (TObject)
 | DoHint (TCustomAction)
 | Equals (TObject)
 | Execute (TBasicAction)
 | Execute (TContainedAction)
 | Execute (TCustomAction)
 | ExecuteAction (TComponent)
 | ExecuteTarget (TBasicAction)
 | ExecuteTarget (TDataSetRefresh)
 | FieldAddress (TObject)
 | FindComponent (TComponent)
 | FPOAttachObserver (TPersistent)
 | FPODetachObserver (TPersistent)
 | FPONotifyObservers (TPersistent)
 | Free (TObject)
 | FreeInstance (TObject)
 | FreeNotification (TComponent)
 | FreeOnRelease (TComponent)
 | GetChildOwner (TComponent)
 | GetChildParent (TComponent)
 | GetChildren (TComponent)
 | GetComObject (TComponent)
 | GetComponent (TComponent)
 | GetComponentCount (TComponent)
 | GetComponentIndex (TComponent)
pt | GetDataSet (TDataSetAction)
 | GetEnumerator (TComponent)
 | GetHashCode (TObject)
 | GetIDsOfNames (TComponent)
 | GetInterface (TObject)
 | GetInterfaceByStr (TObject)
 | GetInterfaceEntry (TObject)
 | GetInterfaceEntryByStr (TObject)
 | GetInterfaceTable (TObject)
 | GetInterfaceWeak (TObject)
 | GetNamePath (TPersistent)
 | GetNamePath (TComponent)
 | GetOwner (TPersistent)
 | GetOwner (TComponent)
 | GetParentComponent (TComponent)
 | GetParentComponent (TContainedAction)
 | GetTypeInfo (TComponent)
 | GetTypeInfoCount (TComponent)
pt | HandleShortCut (TCustomAction)
 | HandlesTarget (TBasicAction)
 | HandlesTarget (TDataSetAction)
 | HasParent (TComponent)
 | HasParent (TContainedAction)
 | iicrGetComponent (TComponent)
 | InheritsFrom (TObject)
 | InitInstance (TObject)
 | Insert (TComponent)
 | InsertComponent (TComponent)
 | InstanceSize (TObject)
 | Invoke (TComponent)
 | IsImplementorOf (TComponent)
 | Loaded (TComponent)
 | Loading (TComponent)
 | MethodAddress (TObject)
 | MethodName (TObject)
 | newinstance (TObject)
 | Notification (TComponent)
pt | Notification (TDataSetAction)
 | PaletteCreated (TComponent)
 | QueryInterface (TComponent)
 | ReadLeft (TComponent)
 | ReadState (TComponent)
pt | ReadState (TContainedAction)
 | ReadTop (TComponent)
 | ReferenceInterface (TComponent)
 | RegisterChanges (TBasicAction)
 | Remove (TComponent)
 | RemoveComponent (TComponent)
 | RemoveFreeNotification (TComponent)
 | RemoveNotification (TComponent)
 | SafeCallException (TObject)
 | SafeCallException (TComponent)
 | SetAncestor (TComponent)
 | SetChildOrder (TComponent)
 | SetComponentIndex (TComponent)
 | SetDesigning (TComponent)
 | SetDesignInstance (TComponent)
 | SetInline (TComponent)
 | SetName (TComponent)
pt | SetName (TCustomAction)
 | SetOnExecute (TBasicAction)
 | SetParentComponent (TComponent)
pt | SetParentComponent (TContainedAction)
 | SetReference (TComponent)
 | SetSubComponent (TComponent)
 | StringMessageTable (TObject)
 | ToString (TObject)
 | UnitName (TObject)
 | UnRegisterChanges (TBasicAction)
 | Update (TBasicAction)
 | Update (TContainedAction)
 | UpdateAction (TComponent)
 | Updated (TComponent)
 | UpdateRegistry (TComponent)
 | UpdateTarget (TBasicAction)
 | UpdateTarget (TDataSetRefresh)
 | Updating (TComponent)
 | ValidateContainer (TComponent)
 | ValidateInsert (TComponent)
 | ValidateRename (TComponent)
 | WriteLeft (TComponent)
 | WriteState (TComponent)
 | WriteTop (TComponent)
 | _AddRef (TComponent)
 | _Release (TComponent)


TDataSetRefresh
TDataSetAction
TAction
pl | ro | OnExecute
pl | ro | OnHint
pl | ro | OnUpdate
TCustomAction
 |  | OnHint
TContainedAction
TBasicAction
 |  | OnChange
 |  | OnExecute
 |  | OnUpdate
TComponent
TPersistent
TObject


TDataSetRefresh.DataSource

Declaration

Source position: dbactns.pp line 80

published property TDataSetRefresh.DataSource : TDataSource;


TDataSetRefresh.ExecuteTarget

Declaration

Source position: dbactns.pp line 77

public procedure TDataSetRefresh.ExecuteTarget(

  Target: TObject

); override;


TDataSetRefresh.UpdateTarget

Declaration

Source position: dbactns.pp line 78

public procedure TDataSetRefresh.UpdateTarget(

  Target: TObject

); override;


TCustomDBComboBox

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

TCustomDBComboBox - a Data-aware Combo Box for displaying information from a Database

Declaration

Source position: dbctrls.pp line 718

type TCustomDBComboBox = class(TCustomComboBox)
protected
function DoEdit; virtual;
procedure DoOnCloseUp; virtual;
procedure DoOnSelect; virtual;
procedure LMDeferredEdit(); message;
property DetectedEvents: Word; [r]
procedure CloseUp; override;
procedure Select; override;
procedure DataChange(); virtual; abstract; | DataChange - updates any changes in text
function DoMouseWheel(); override;
procedure Notification(); override;
procedure Change; override; | Change -if there has been a change to the data the link must be notified, then inherited Change is called
procedure KeyDown(); override;
procedure UpdateData(); virtual; abstract; | UpdateData - implements any pending changes in the data
procedure UpdateRecord;
procedure WndProc(); override;
public
constructor Create(); override;
destructor Destroy; override;
function ExecuteAction(); override;
function UpdateAction(); override;
procedure EditingDone; override; | Invokes the OnEditingDone event handler.
property Field: TField; [r] | The Field to which this combobox is attached
property Text: TCaption; | The string appearing in the edit box.
property ItemIndex: Integer; | The index of the currently selected item, -1 if none is selected.
property DataField: string; [rw] | The name (as a string) of the Feild whose data are to be linked to the ComboBox
property DataSource: TDataSource; [rw] | The identity of the DataSource to which the ComboBox is attached
property ReadOnly: Boolean; [rw] | Disallows entry of free text.
end;

Inheritance

TCustomDBComboBox | TCustomDBComboBox - a Data-aware Combo Box for displaying information from a Database
|
TCustomComboBox | The base class for ComboBox components.
|
TWinControl | The base class for controls which can contain other (child) controls.
|
TControl | The base class for visible controls.
|
TLCLComponent | The base class for LCL components associated with widgets.
|
TComponent,IUnknown,IInterfaceComponentReference
|
TPersistent,IFPObserved
|
TObject

See also

HowToUseDataAwareControls

HowToUseDataAwareControls - Hints for accessing databases


TCustomDBComboBox
pt | ro | DetectedEvents
 | ro | Field
 | ro | Text
 | ro | ItemIndex
 |  | DataField
 |  | DataSource
 |  | ReadOnly
TCustomComboBox
pt |  | ItemHeight
pt |  | ItemWidth
pt |  | MaxLength
pt | ro | ParentColor
pt |  | Sorted
 |  | CharCase
 |  | DroppedDown
 |  | DroppingDown
 |  | AutoComplete
 |  | AutoCompleteText
 |  | AutoDropDown
 |  | AutoSelect
 |  | AutoSelected
 | ro | AutoSize
 |  | ArrowKeysTraverseList
 | ro | Canvas
 |  | DropDownCount
 |  | Items
 |  | ItemIndex
 |  | ReadOnly
 |  | SelLength
 |  | SelStart
 |  | SelText
 |  | Style
 | ro | TabStop
 | ro | Text
TWinControl
pt |  | WindowHandle
pt |  | BorderStyle
pt |  | ParentBackground
 |  | BorderWidth
 | ro | BoundsLockCount
 | ro | Brush
 | ro | CachedClientHeight
 | ro | CachedClientWidth
 |  | ChildSizing
 | ro | ControlCount
 | ro | Controls
 |  | DefWndProc
 | ro | DockClientCount
 | ro | DockClients
 |  | DockManager
 |  | DockSite
 |  | DoubleBuffered
 |  | Handle
 | ro | IsFlipped
 | ro | IsResizing
 |  | TabOrder
 |  | TabStop
 |  | ParentDoubleBuffered
 |  | ParentWindow
 | ro | Showing
 |  | UseDockManager
 |  | DesignerDeleting
 | ro | VisibleDockClientCount
TControl
pt | ro | AutoSizing
pt | ro | AutoSizingAll
pt | ro | AutoSizingLockCount
pt |  | ActionLink
pt |  | DesktopFont
pt |  | DragCursor
pt |  | DragKind
pt |  | DragMode
pt |  | MouseCapture
pt |  | ParentColor
pt |  | ParentFont
pt |  | ParentShowHint
pt |  | SessionProperties
pt |  | Text
 | ro | AnchoredControls
 | ro | BaseBounds
 | ro | ReadBounds
 | ro | BaseParentClientSize
 |  | AccessibleDescription
 |  | AccessibleValue
 |  | AccessibleRole
 |  | Action
 |  | Align
 |  | Anchors
 | ro | AnchorSide
 |  | AutoSize
 |  | BorderSpacing
 |  | BoundsRect
 |  | BoundsRectForNewParent
 |  | Caption
 |  | CaptureMouseButtons
 |  | ClientHeight
 | ro | ClientOrigin
 | ro | ClientRect
 |  | ClientWidth
 |  | Color
 |  | Constraints
 | ro | ControlOrigin
 |  | ControlState
 |  | ControlStyle
 |  | Enabled
 |  | Font
 |  | IsControl
 | ro | MouseEntered
 | ro | MouseInClient
 |  | Parent
 |  | PopupMenu
 |  | ShowHint
 |  | Visible
 |  | WindowProc
 |  | DockOrientation
 | ro | Floating
 |  | FloatingDockSiteClass
 |  | HostDockSite
 |  | LRDockWidth
 |  | TBDockHeight
 |  | UndockHeight
 |  | UndockWidth
 |  | BiDiMode
 |  | ParentBiDiMode
pl |  | AnchorSideLeft
pl |  | AnchorSideTop
pl |  | AnchorSideRight
pl |  | AnchorSideBottom
pl |  | Cursor
pl |  | Left
pl |  | Height
pl |  | Hint
pl |  | Top
pl |  | Width
pl |  | HelpType
pl |  | HelpKeyword
pl |  | HelpContext
TLCLComponent
 | ro | LCLRefCount
 | ro | WidgetSetClass
TComponent
 | ro | ComObject
 | ro | Components
 | ro | ComponentCount
 |  | ComponentIndex
 | ro | ComponentState
 | ro | ComponentStyle
 |  | DesignInfo
 | ro | Owner
 |  | VCLComObject
 |  | Name
 |  | Tag
TPersistent
TObject


 |  | AccessibleDescription (TControl)
 |  | AccessibleRole (TControl)
 |  | AccessibleValue (TControl)
 |  | Action (TControl)
pt |  | ActionLink (TControl)
 |  | Align (TControl)
 | ro | AnchoredControls (TControl)
 |  | Anchors (TControl)
 | ro | AnchorSide (TControl)
pl |  | AnchorSideBottom (TControl)
pl |  | AnchorSideLeft (TControl)
pl |  | AnchorSideRight (TControl)
pl |  | AnchorSideTop (TControl)
 |  | ArrowKeysTraverseList (TCustomComboBox)
 |  | AutoComplete (TCustomComboBox)
 |  | AutoCompleteText (TCustomComboBox)
 |  | AutoDropDown (TCustomComboBox)
 |  | AutoSelect (TCustomComboBox)
 |  | AutoSelected (TCustomComboBox)
 |  | AutoSize (TControl)
 | ro | AutoSize (TCustomComboBox)
pt | ro | AutoSizing (TControl)
pt | ro | AutoSizingAll (TControl)
pt | ro | AutoSizingLockCount (TControl)
 | ro | BaseBounds (TControl)
 | ro | BaseParentClientSize (TControl)
 |  | BiDiMode (TControl)
 |  | BorderSpacing (TControl)
pt |  | BorderStyle (TWinControl)
 |  | BorderWidth (TWinControl)
 | ro | BoundsLockCount (TWinControl)
 |  | BoundsRect (TControl)
 |  | BoundsRectForNewParent (TControl)
 | ro | Brush (TWinControl)
 | ro | CachedClientHeight (TWinControl)
 | ro | CachedClientWidth (TWinControl)
 | ro | Canvas (TCustomComboBox)
 |  | Caption (TControl)
 |  | CaptureMouseButtons (TControl)
 |  | CharCase (TCustomComboBox)
 |  | ChildSizing (TWinControl)
 |  | ClientHeight (TControl)
 | ro | ClientOrigin (TControl)
 | ro | ClientRect (TControl)
 |  | ClientWidth (TControl)
 |  | Color (TControl)
 | ro | ComObject (TComponent)
 | ro | ComponentCount (TComponent)
 |  | ComponentIndex (TComponent)
 | ro | Components (TComponent)
 | ro | ComponentState (TComponent)
 | ro | ComponentStyle (TComponent)
 |  | Constraints (TControl)
 | ro | ControlCount (TWinControl)
 | ro | ControlOrigin (TControl)
 | ro | Controls (TWinControl)
 |  | ControlState (TControl)
 |  | ControlStyle (TControl)
pl |  | Cursor (TControl)
 |  | DataField (TCustomDBComboBox)
 |  | DataSource (TCustomDBComboBox)
 |  | DefWndProc (TWinControl)
 |  | DesignerDeleting (TWinControl)
 |  | DesignInfo (TComponent)
pt |  | DesktopFont (TControl)
pt | ro | DetectedEvents (TCustomDBComboBox)
 | ro | DockClientCount (TWinControl)
 | ro | DockClients (TWinControl)
 |  | DockManager (TWinControl)
 |  | DockOrientation (TControl)
 |  | DockSite (TWinControl)
 |  | DoubleBuffered (TWinControl)
pt |  | DragCursor (TControl)
pt |  | DragKind (TControl)
pt |  | DragMode (TControl)
 |  | DropDownCount (TCustomComboBox)
 |  | DroppedDown (TCustomComboBox)
 |  | DroppingDown (TCustomComboBox)
 |  | Enabled (TControl)
 | ro | Field (TCustomDBComboBox)
 | ro | Floating (TControl)
 |  | FloatingDockSiteClass (TControl)
 |  | Font (TControl)
 |  | Handle (TWinControl)
pl |  | Height (TControl)
pl |  | HelpContext (TControl)
pl |  | HelpKeyword (TControl)
pl |  | HelpType (TControl)
pl |  | Hint (TControl)
 |  | HostDockSite (TControl)
 |  | IsControl (TControl)
 | ro | IsFlipped (TWinControl)
 | ro | IsResizing (TWinControl)
pt |  | ItemHeight (TCustomComboBox)
 |  | ItemIndex (TCustomComboBox)
 | ro | ItemIndex (TCustomDBComboBox)
 |  | Items (TCustomComboBox)
pt |  | ItemWidth (TCustomComboBox)
 | ro | LCLRefCount (TLCLComponent)
pl |  | Left (TControl)
 |  | LRDockWidth (TControl)
pt |  | MaxLength (TCustomComboBox)
pt |  | MouseCapture (TControl)
 | ro | MouseEntered (TControl)
 | ro | MouseInClient (TControl)
 |  | Name (TComponent)
 | ro | Owner (TComponent)
 |  | Parent (TControl)
pt |  | ParentBackground (TWinControl)
 |  | ParentBiDiMode (TControl)
pt |  | ParentColor (TControl)
pt | ro | ParentColor (TCustomComboBox)
 |  | ParentDoubleBuffered (TWinControl)
pt |  | ParentFont (TControl)
pt |  | ParentShowHint (TControl)
 |  | ParentWindow (TWinControl)
 |  | PopupMenu (TControl)
 | ro | ReadBounds (TControl)
 |  | ReadOnly (TCustomComboBox)
 |  | ReadOnly (TCustomDBComboBox)
 |  | SelLength (TCustomComboBox)
 |  | SelStart (TCustomComboBox)
 |  | SelText (TCustomComboBox)
pt |  | SessionProperties (TControl)
 |  | ShowHint (TControl)
 | ro | Showing (TWinControl)
pt |  | Sorted (TCustomComboBox)
 |  | Style (TCustomComboBox)
 |  | TabOrder (TWinControl)
 |  | TabStop (TWinControl)
 | ro | TabStop (TCustomComboBox)
 |  | Tag (TComponent)
 |  | TBDockHeight (TControl)
pt |  | Text (TControl)
 | ro | Text (TCustomComboBox)
 | ro | Text (TCustomDBComboBox)
pl |  | Top (TControl)
 |  | UndockHeight (TControl)
 |  | UndockWidth (TControl)
 |  | UseDockManager (TWinControl)
 |  | VCLComObject (TComponent)
 |  | Visible (TControl)
 | ro | VisibleDockClientCount (TWinControl)
 | ro | WidgetSetClass (TLCLComponent)
pl |  | Width (TControl)
pt |  | WindowHandle (TWinControl)
 |  | WindowProc (TControl)


TCustomDBComboBox
pt | DoEdit
pt | DoOnCloseUp
pt | DoOnSelect
pt | LMDeferredEdit
pt | CloseUp
pt | Select
pt | DataChange
pt | DoMouseWheel
pt | Notification
pt | Change
pt | KeyDown
pt | UpdateData
pt | UpdateRecord
pt | WndProc
 | Create
 | Destroy
 | ExecuteAction
 | UpdateAction
 | EditingDone
TCustomComboBox
pt | WSRegisterClass
pt | CreateParams
pt | InitializeWnd
pt | DestroyWnd
pt | DoEnter
pt | DoExit
pt | DrawItem
pt | KeyUpAfterInterface
pt | MeasureItem
pt | GetControlClassDefaultSize
pt | LMChanged
pt | CMWantSpecialKey
pt | Change
pt | Select
pt | DropDown
pt | GetItems
pt | SetItems
pt | CloseUp
pt | AdjustDropDown
pt | DoAutoAdjustLayout
pt | GetItemCount
pt | GetItemHeight
pt | GetSelLength
pt | GetSelStart
pt | GetSelText
pt | GetItemIndex
pt | GetMaxLength
pt | SetDropDownCount
pt | SetDroppedDown
pt | SetItemHeight
pt | SetItemIndex
pt | SetMaxLength
pt | SetSelLength
pt | SetSelStart
pt | SetSelText
pt | SetSorted
pt | SetStyle
pt | RealSetText
pt | KeyDown
pt | KeyUp
pt | UTF8KeyPress
pt | MouseUp
pt | SelectItem
pt | ShouldAutoAdjust
 | Create
 | Destroy
 | IntfGetItems
 | AddItem
 | AddHistoryItem
 | Clear
 | ClearSelection
 | SelectAll
TWinControl
pt | WSRegisterClass
pt | AdjustClientRect
pt | GetAdjustedLogicalClientRect
pt | AlignControls
pt | CustomAlignInsertBefore
pt | CustomAlignPosition
pt | DoAlignChildControls
pt | DoChildSizingChange
pt | InvalidatePreferredChildSizes
pt | CanTab
pt | IsClientHeightStored
pt | IsClientWidthStored
pt | DoSendShowHideToInterface
pt | ControlsAligned
pt | DoSendBoundsToInterface
pt | RealizeBounds
pt | RealizeBoundsRecursive
pt | InvalidateBoundsRealized
pt | CreateSubClass
pt | DoConstraintsChange
pt | DoSetBounds
pt | DoAutoSize
pt | DoAllAutoSize
pt | AllAutoSized
pt | CalculatePreferredSize
pt | GetPreferredSizeClientFrame
pt | GetChildren
pt | ChildClassAllowed
pt | PaintControls
pt | PaintHandler
pt | PaintWindow
pt | CreateBrush
pt | ScaleControls
pt | ChangeScale
pt | CMBiDiModeChanged
pt | CMBorderChanged
pt | CMDoubleBufferedChanged
pt | CMEnabledChanged
pt | CMParentDoubleBufferedChanged
pt | CMShowingChanged
pt | CMShowHintChanged
pt | CMVisibleChanged
pt | CMEnter
pt | CMExit
pt | WMContextMenu
pt | WMEraseBkgnd
pt | WMNotify
pt | WMSetFocus
pt | WMKillFocus
pt | WMShowWindow
pt | WMEnter
pt | WMExit
pt | WMKeyDown
pt | WMSysKeyDown
pt | WMKeyUp
pt | WMSysKeyUp
pt | WMChar
pt | WMSysChar
pt | WMPaint
pt | WMDestroy
pt | WMMove
pt | WMSize
pt | WMWindowPosChanged
pt | CNKeyDown
pt | CNSysKeyDown
pt | CNKeyUp
pt | CNSysKeyUp
pt | CNChar
pt | DoDragMsg
pt | DoDockClientMsg
pt | DoUndockClientMsg
pt | DoAddDockClient
pt | DockOver
pt | DoDockOver
pt | DoRemoveDockClient
pt | DoUnDock
pt | GetSiteInfo
pt | GetParentHandle
pt | GetTopParentHandle
pt | ReloadDockedControl
pt | CreateDockManager
pt | SetDockManager
pt | DoFloatMsg
pt | DoGetDockCaption
pt | DoEnter
pt | DoExit
pt | DoKeyDownBeforeInterface
pt | DoRemainingKeyDown
pt | DoRemainingKeyUp
pt | DoKeyPress
pt | DoUTF8KeyPress
pt | DoKeyUpBeforeInterface
pt | ChildKey
pt | SendDialogChar
pt | DialogChar
pt | ControlKeyDown
pt | ControlKeyUp
pt | KeyDown
pt | KeyDownBeforeInterface
pt | KeyDownAfterInterface
pt | KeyPress
pt | KeyUp
pt | KeyUpBeforeInterface
pt | KeyUpAfterInterface
pt | UTF8KeyPress
pt | FindNextControl
pt | SelectFirst
pt | RealGetText
pt | GetBorderStyle
pt | GetClientOrigin
pt | GetClientRect
pt | GetControlOrigin
pt | GetDeviceContext
pt | GetParentBackground
pt | IsControlMouseMsg
pt | CreateHandle
pt | CreateParams
pt | CreateWnd
pt | DestroyHandle
pt | DestroyWnd
pt | DoFlipChildren
pt | FinalizeWnd
pt | FixupTabList
pt | FontChanged
pt | InitializeWnd
pt | Loaded
pt | FormEndUpdated
pt | MainWndProc
pt | ParentFormHandleInitialized
pt | ChildHandlesCreated
pt | GetMouseCapture
pt | RealSetText
pt | RemoveFocus
pt | SendMoveSizeMessages
pt | SetBorderStyle
pt | SetColor
pt | SetChildZPosition
pt | SetParentBackground
pt | ShowControl
pt | UpdateControlState
pt | UpdateShowing
pt | WndProc
pt | WSSetText
 | AutoSizePhases
 | AutoSizeDelayed
 | AutoSizeDelayedReport
 | AutoSizeDelayedHandle
 | BeginUpdateBounds
 | EndUpdateBounds
 | LockRealizeBounds
 | UnlockRealizeBounds
 | ControlAtPos
 | ContainsControl
 | DoAdjustClientRectChange
 | InvalidateClientRectCache
 | ClientRectNeedsInterfaceUpdate
 | SetBounds
 | GetChildrenRect
 | DisableAlign
 | EnableAlign
 | ReAlign
 | ScrollBy_WS
 | ScrollBy
 | WriteLayoutDebugReport
 | AutoAdjustLayout
 | Create
 | CreateParented
 | CreateParentedControl
 | Destroy
 | DockDrop
 | CanFocus
 | CanSetFocus
 | GetControlIndex
 | SetControlIndex
 | Focused
 | PerformTab
 | FindChildControl
 | SelectNext
 | SetTempCursor
 | BroadCast
 | NotifyControls
 | DefaultHandler
 | GetTextLen
 | Invalidate
 | AddControl
 | InsertControl
 | RemoveControl
 | GetEnumeratorControls
 | GetEnumeratorControlsReverse
 | Repaint
 | Update
 | SetFocus
 | FlipChildren
 | ScaleBy
 | GetDockCaption
 | UpdateDockCaption
 | GetTabOrderList
 | HandleAllocated
 | ParentHandlesAllocated
 | HandleNeeded
 | BrushCreated
 | EraseBackground
 | IntfUTF8KeyPress
 | IntfGetDropFilesTarget
 | PaintTo
 | SetShape
TControl
pt | WSRegisterClass
pt | GetCursor
pt | SetCursor
pt | SetVisible
pt | DoOnParentHandleDestruction
pt | DoAutoSize
pt | DoAllAutoSize
pt | BeginAutoSizing
pt | EndAutoSizing
pt | AnchorSideChanged
pt | ForeignAnchorSideChanged
pt | SetAlign
pt | SetAnchors
pt | SetAutoSize
pt | BoundsChanged
pt | CreateControlBorderSpacing
pt | DoConstraintsChange
pt | DoBorderSpacingChange
pt | IsBorderSpacingInnerBorderStored
pt | IsCaptionStored
pt | SendMoveSizeMessages
pt | ConstrainedResize
pt | CalculatePreferredSize
pt | DoOnResize
pt | DoOnChangeBounds
pt | CheckOnChangeBounds
pt | Resize
pt | RequestAlign
pt | UpdateAnchorRules
pt | ChangeBounds
pt | DoSetBounds
pt | ScaleConstraints
pt | ChangeScale
pt | CanAutoSize
pt | SetBiDiMode
pt | SetParentBiDiMode
pt | IsAParentAligning
pt | GetClientOrigin
pt | GetClientRect
pt | GetLogicalClientRect
pt | GetScrolledClientRect
pt | GetClientScrollOffset
pt | GetControlOrigin
pt | IsClientHeightStored
pt | IsClientWidthStored
pt | WidthIsAnchored
pt | HeightIsAnchored
pt | WMCancelMode
pt | WMContextMenu
pt | WMLButtonDown
pt | WMRButtonDown
pt | WMMButtonDown
pt | WMXButtonDown
pt | WMLButtonDBLCLK
pt | WMRButtonDBLCLK
pt | WMMButtonDBLCLK
pt | WMXButtonDBLCLK
pt | WMLButtonTripleCLK
pt | WMRButtonTripleCLK
pt | WMMButtonTripleCLK
pt | WMXButtonTripleCLK
pt | WMLButtonQuadCLK
pt | WMRButtonQuadCLK
pt | WMMButtonQuadCLK
pt | WMXButtonQuadCLK
pt | WMMouseMove
pt | WMLButtonUp
pt | WMRButtonUp
pt | WMMButtonUp
pt | WMXButtonUp
pt | WMMouseWheel
pt | WMMouseHWheel
pt | WMMove
pt | WMSize
pt | WMWindowPosChanged
pt | CMChanged
pt | LMCaptureChanged
pt | CMBiDiModeChanged
pt | CMSysFontChanged
pt | CMEnabledChanged
pt | CMHitTest
pt | CMMouseEnter
pt | CMMouseLeave
pt | CMHintShow
pt | CMParentBiDiModeChanged
pt | CMParentColorChanged
pt | CMParentFontChanged
pt | CMParentShowHintChanged
pt | CMVisibleChanged
pt | CMTextChanged
pt | CMCursorChanged
pt | CalculateDockSizes
pt | CreateFloatingDockSite
pt | GetDockEdge
pt | GetDragImages
pt | GetFloating
pt | GetFloatingDockSiteClass
pt | BeforeDragStart
pt | BeginAutoDrag
pt | DoFloatMsg
pt | DockTrackNoTarget
pt | DoDock
pt | DoDragMsg
pt | DoEndDock
pt | DoEndDrag
pt | DoStartDock
pt | DoStartDrag
pt | DragCanceled
pt | DragOver
pt | PositionDockRect
pt | SetDragMode
pt | GetDefaultDockCaption
pt | Click
pt | DblClick
pt | TripleClick
pt | QuadClick
pt | GetMousePosFromMessage
pt | MouseDown
pt | MouseMove
pt | MouseUp
pt | MouseEnter
pt | MouseLeave
pt | DialogChar
pt | UpdateMouseCursor
pt | Changed
pt | GetPalette
pt | ChildClassAllowed
pt | ReadState
pt | Loaded
pt | LoadedAll
pt | DefineProperties
pt | AssignTo
pt | FormEndUpdated
pt | InvalidateControl
pt | FontChanged
pt | ParentFontChanged
pt | GetAction
pt | RealGetText
pt | RealSetText
pt | TextChanged
pt | GetCachedText
pt | SetAction
pt | SetColor
pt | SetEnabled
pt | SetHint
pt | SetName
pt | SetParent
pt | SetParentComponent
pt | WndProc
pt | ParentFormHandleInitialized
pt | GetMouseCapture
pt | CaptureChanged
pt | Notification
pt | CanTab
pt | GetDeviceContext
pt | GetEnabled
pt | GetPopupMenu
pt | DoOnShowHint
pt | DoMouseWheel
pt | DoMouseWheelDown
pt | DoMouseWheelUp
pt | DoMouseWheelHorz
pt | DoMouseWheelLeft
pt | DoMouseWheelRight
pt | VisibleChanging
pt | VisibleChanged
pt | EnabledChanging
pt | EnabledChanged
pt | AddHandler
pt | RemoveHandler
pt | DoCallNotifyHandler
pt | DoCallKeyEventHandler
pt | DoCallMouseWheelEventHandler
pt | DoContextPopup
pt | SetZOrder
pt | GetControlClassDefaultSize
pt | ColorIsStored
pt | DoAutoAdjustLayout
pt | DoFixDesignFontPPI
pt | DoScaleFontPPI
pt | GetActionLinkClass
pt | ActionChange
 | DragDrop
 | Dock
 | ManualDock
 | ManualFloat
 | ReplaceDockedControl
 | Docked
 | Dragging
 | GetAccessibleObject
 | CreateAccessibleObject
 | GetSelectedChildAccessibleObject
 | GetChildAccessibleObjectAtPos
 | ScaleDesignToForm
 | ScaleFormToDesign
 | Scale96ToForm
 | ScaleFormTo96
 | Scale96ToFont
 | ScaleFontTo96
 | ScaleScreenToFont
 | ScaleFontToScreen
 | Scale96ToScreen
 | ScaleScreenTo96
 | AdjustSize
 | AutoSizePhases
 | AutoSizeDelayed
 | AutoSizeDelayedReport
 | AutoSizeDelayedHandle
 | AnchorToNeighbour
 | AnchorParallel
 | AnchorHorizontalCenterTo
 | AnchorVerticalCenterTo
 | AnchorToCompanion
 | AnchorSame
 | AnchorAsAlign
 | AnchorClient
 | AnchoredControlCount
 | SetBounds
 | SetInitialBounds
 | SetBoundsKeepBase
 | GetPreferredSize
 | GetCanvasScaleFactor
 | GetDefaultWidth
 | GetDefaultHeight
 | GetDefaultColor
 | GetColorResolvingParent
 | GetRGBColorResolvingParent
 | GetSidePosition
 | CNPreferredSizeChanged
 | InvalidatePreferredSize
 | GetAnchorsDependingOnParent
 | DisableAutoSizing
 | EnableAutoSizing
 | UpdateBaseBounds
 | WriteLayoutDebugReport
 | AutoAdjustLayout
 | ShouldAutoAdjust
 | FixDesignFontsPPI
 | ScaleFontsPPI
 | Create
 | Destroy
 | BeforeDestruction
 | EditingDone
 | ExecuteDefaultAction
 | ExecuteCancelAction
 | BeginDrag
 | EndDrag
 | BringToFront
 | HasParent
 | GetParentComponent
 | IsParentOf
 | GetTopParent
 | IsVisible
 | IsControlVisible
 | IsEnabled
 | IsParentColor
 | IsParentFont
 | FormIsUpdating
 | IsProcessingPaintMsg
 | Hide
 | Refresh
 | Repaint
 | Invalidate
 | CheckChildClassAllowed
 | CheckNewParent
 | SendToBack
 | SetTempCursor
 | UpdateRolesForForm
 | ActiveDefaultControlChanged
 | GetTextBuf
 | GetTextLen
 | SetTextBuf
 | Perform
 | ScreenToClient
 | ClientToScreen
 | ScreenToControl
 | ControlToScreen
 | ClientToParent
 | ParentToClient
 | GetChildrenRect
 | Show
 | Update
 | HandleObjectShouldBeVisible
 | ParentDestroyingHandle
 | ParentHandlesAllocated
 | InitiateAction
 | ShowHelp
 | HasHelp
 | RemoveAllHandlersOfObject
 | AddHandlerOnResize
 | RemoveHandlerOnResize
 | AddHandlerOnChangeBounds
 | RemoveHandlerOnChangeBounds
 | AddHandlerOnVisibleChanging
 | RemoveHandlerOnVisibleChanging
 | AddHandlerOnVisibleChanged
 | RemoveHandlerOnVisibleChanged
 | AddHandlerOnEnabledChanged
 | RemoveHandlerOnEnableChanging
 | AddHandlerOnKeyDown
 | RemoveHandlerOnKeyDown
 | AddHandlerOnBeforeDestruction
 | RemoveHandlerOnBeforeDestruction
 | AddHandlerOnMouseWheel
 | RemoveHandlerOnMouseWheel
 | UseRightToLeftAlignment
 | UseRightToLeftReading
 | UseRightToLeftScrollBar
 | IsRightToLeft
TLCLComponent
pt | WSRegisterClass
pt | GetWSComponentClass
 | Create
 | Destroy
 | NewInstance
 | RemoveAllHandlersOfObject
 | IncLCLRefCount
 | DecLCLRefCount
TComponent
 | GetComObject
 | GetComponent
 | GetComponentCount
 | GetComponentIndex
 | Insert
 | ReadLeft
 | ReadTop
 | Remove
 | RemoveNotification
 | SetComponentIndex
 | SetReference
 | WriteLeft
 | WriteTop
 | ChangeName
 | DefineProperties
 | GetChildren
 | GetChildOwner
 | GetChildParent
 | GetOwner
 | Loaded
 | Loading
 | Notification
 | PaletteCreated
 | ReadState
 | SetAncestor
 | SetDesigning
 | SetDesignInstance
 | SetInline
 | SetName
 | SetChildOrder
 | SetParentComponent
 | Updating
 | Updated
 | UpdateRegistry
 | ValidateRename
 | ValidateContainer
 | ValidateInsert
 | QueryInterface
 | _AddRef
 | _Release
 | iicrGetComponent
 | GetTypeInfoCount
 | GetTypeInfo
 | GetIDsOfNames
 | Invoke
 | WriteState
 | Create
 | Destroy
 | BeforeDestruction
 | DestroyComponents
 | Destroying
 | ExecuteAction
 | FindComponent
 | FreeNotification
 | RemoveFreeNotification
 | FreeOnRelease
 | GetEnumerator
 | GetNamePath
 | GetParentComponent
 | HasParent
 | InsertComponent
 | RemoveComponent
 | SafeCallException
 | SetSubComponent
 | UpdateAction
 | IsImplementorOf
 | ReferenceInterface
TPersistent
 | AssignError
 | AssignTo
 | DefineProperties
 | GetOwner
 | Destroy
 | Assign
 | FPOAttachObserver
 | FPODetachObserver
 | FPONotifyObservers
 | GetNamePath
TObject
 | Create
 | Destroy
 | newinstance
 | FreeInstance
 | SafeCallException
 | DefaultHandler
 | Free
 | InitInstance
 | CleanupInstance
 | ClassType
 | ClassInfo
 | ClassName
 | ClassNameIs
 | ClassParent
 | InstanceSize
 | InheritsFrom
 | StringMessageTable
 | MethodAddress
 | MethodName
 | FieldAddress
 | AfterConstruction
 | BeforeDestruction
 | DefaultHandlerStr
 | Dispatch
 | DispatchStr
 | GetInterface
 | GetInterfaceByStr
 | GetInterfaceWeak
 | GetInterfaceEntry
 | GetInterfaceEntryByStr
 | GetInterfaceTable
 | UnitName
 | Equals
 | GetHashCode
 | ToString


pt | ActionChange (TControl)
 | ActiveDefaultControlChanged (TControl)
 | AddControl (TWinControl)
pt | AddHandler (TControl)
 | AddHandlerOnBeforeDestruction (TControl)
 | AddHandlerOnChangeBounds (TControl)
 | AddHandlerOnEnabledChanged (TControl)
 | AddHandlerOnKeyDown (TControl)
 | AddHandlerOnMouseWheel (TControl)
 | AddHandlerOnResize (TControl)
 | AddHandlerOnVisibleChanged (TControl)
 | AddHandlerOnVisibleChanging (TControl)
 | AddHistoryItem (TCustomComboBox)
 | AddItem (TCustomComboBox)
pt | AdjustClientRect (TWinControl)
pt | AdjustDropDown (TCustomComboBox)
 | AdjustSize (TControl)
 | AfterConstruction (TObject)
pt | AlignControls (TWinControl)
pt | AllAutoSized (TWinControl)
 | AnchorAsAlign (TControl)
 | AnchorClient (TControl)
 | AnchoredControlCount (TControl)
 | AnchorHorizontalCenterTo (TControl)
 | AnchorParallel (TControl)
 | AnchorSame (TControl)
pt | AnchorSideChanged (TControl)
 | AnchorToCompanion (TControl)
 | AnchorToNeighbour (TControl)
 | AnchorVerticalCenterTo (TControl)
 | Assign (TPersistent)
 | AssignError (TPersistent)
 | AssignTo (TPersistent)
pt | AssignTo (TControl)
 | AutoAdjustLayout (TControl)
 | AutoAdjustLayout (TWinControl)
 | AutoSizeDelayed (TControl)
 | AutoSizeDelayed (TWinControl)
 | AutoSizeDelayedHandle (TControl)
 | AutoSizeDelayedHandle (TWinControl)
 | AutoSizeDelayedReport (TControl)
 | AutoSizeDelayedReport (TWinControl)
 | AutoSizePhases (TControl)
 | AutoSizePhases (TWinControl)
 | BeforeDestruction (TObject)
 | BeforeDestruction (TComponent)
 | BeforeDestruction (TControl)
pt | BeforeDragStart (TControl)
pt | BeginAutoDrag (TControl)
pt | BeginAutoSizing (TControl)
 | BeginDrag (TControl)
 | BeginUpdateBounds (TWinControl)
pt | BoundsChanged (TControl)
 | BringToFront (TControl)
 | BroadCast (TWinControl)
 | BrushCreated (TWinControl)
pt | CalculateDockSizes (TControl)
pt | CalculatePreferredSize (TControl)
pt | CalculatePreferredSize (TWinControl)
pt | CanAutoSize (TControl)
 | CanFocus (TWinControl)
 | CanSetFocus (TWinControl)
pt | CanTab (TControl)
pt | CanTab (TWinControl)
pt | CaptureChanged (TControl)
pt | Change (TCustomComboBox)
pt | Change (TCustomDBComboBox)
pt | ChangeBounds (TControl)
pt | Changed (TControl)
 | ChangeName (TComponent)
pt | ChangeScale (TControl)
pt | ChangeScale (TWinControl)
 | CheckChildClassAllowed (TControl)
 | CheckNewParent (TControl)
pt | CheckOnChangeBounds (TControl)
pt | ChildClassAllowed (TControl)
pt | ChildClassAllowed (TWinControl)
pt | ChildHandlesCreated (TWinControl)
pt | ChildKey (TWinControl)
 | ClassInfo (TObject)
 | ClassName (TObject)
 | ClassNameIs (TObject)
 | ClassParent (TObject)
 | ClassType (TObject)
 | CleanupInstance (TObject)
 | Clear (TCustomComboBox)
 | ClearSelection (TCustomComboBox)
pt | Click (TControl)
 | ClientRectNeedsInterfaceUpdate (TWinControl)
 | ClientToParent (TControl)
 | ClientToScreen (TControl)
pt | CloseUp (TCustomComboBox)
pt | CloseUp (TCustomDBComboBox)
pt | CMBiDiModeChanged (TControl)
pt | CMBiDiModeChanged (TWinControl)
pt | CMBorderChanged (TWinControl)
pt | CMChanged (TControl)
pt | CMCursorChanged (TControl)
pt | CMDoubleBufferedChanged (TWinControl)
pt | CMEnabledChanged (TControl)
pt | CMEnabledChanged (TWinControl)
pt | CMEnter (TWinControl)
pt | CMExit (TWinControl)
pt | CMHintShow (TControl)
pt | CMHitTest (TControl)
pt | CMMouseEnter (TControl)
pt | CMMouseLeave (TControl)
pt | CMParentBiDiModeChanged (TControl)
pt | CMParentColorChanged (TControl)
pt | CMParentDoubleBufferedChanged (TWinControl)
pt | CMParentFontChanged (TControl)
pt | CMParentShowHintChanged (TControl)
pt | CMShowHintChanged (TWinControl)
pt | CMShowingChanged (TWinControl)
pt | CMSysFontChanged (TControl)
pt | CMTextChanged (TControl)
pt | CMVisibleChanged (TControl)
pt | CMVisibleChanged (TWinControl)
pt | CMWantSpecialKey (TCustomComboBox)
pt | CNChar (TWinControl)
pt | CNKeyDown (TWinControl)
pt | CNKeyUp (TWinControl)
 | CNPreferredSizeChanged (TControl)
pt | CNSysKeyDown (TWinControl)
pt | CNSysKeyUp (TWinControl)
pt | ColorIsStored (TControl)
pt | ConstrainedResize (TControl)
 | ContainsControl (TWinControl)
 | ControlAtPos (TWinControl)
pt | ControlKeyDown (TWinControl)
pt | ControlKeyUp (TWinControl)
pt | ControlsAligned (TWinControl)
 | ControlToScreen (TControl)
 | Create (TObject)
 | Create (TComponent)
 | Create (TLCLComponent)
 | Create (TControl)
 | Create (TWinControl)
 | Create (TCustomComboBox)
 | Create (TCustomDBComboBox)
 | CreateAccessibleObject (TControl)
pt | CreateBrush (TWinControl)
pt | CreateControlBorderSpacing (TControl)
pt | CreateDockManager (TWinControl)
pt | CreateFloatingDockSite (TControl)
pt | CreateHandle (TWinControl)
pt | CreateParams (TWinControl)
pt | CreateParams (TCustomComboBox)
 | CreateParented (TWinControl)
 | CreateParentedControl (TWinControl)
pt | CreateSubClass (TWinControl)
pt | CreateWnd (TWinControl)
pt | CustomAlignInsertBefore (TWinControl)
pt | CustomAlignPosition (TWinControl)
pt | DataChange (TCustomDBComboBox)
pt | DblClick (TControl)
 | DecLCLRefCount (TLCLComponent)
 | DefaultHandler (TObject)
 | DefaultHandler (TWinControl)
 | DefaultHandlerStr (TObject)
 | DefineProperties (TPersistent)
 | DefineProperties (TComponent)
pt | DefineProperties (TControl)
 | Destroy (TObject)
 | Destroy (TPersistent)
 | Destroy (TComponent)
 | Destroy (TLCLComponent)
 | Destroy (TControl)
 | Destroy (TWinControl)
 | Destroy (TCustomComboBox)
 | Destroy (TCustomDBComboBox)
 | DestroyComponents (TComponent)
pt | DestroyHandle (TWinControl)
 | Destroying (TComponent)
pt | DestroyWnd (TWinControl)
pt | DestroyWnd (TCustomComboBox)
pt | DialogChar (TControl)
pt | DialogChar (TWinControl)
 | DisableAlign (TWinControl)
 | DisableAutoSizing (TControl)
 | Dispatch (TObject)
 | DispatchStr (TObject)
pt | DoAddDockClient (TWinControl)
 | DoAdjustClientRectChange (TWinControl)
pt | DoAlignChildControls (TWinControl)
pt | DoAllAutoSize (TControl)
pt | DoAllAutoSize (TWinControl)
pt | DoAutoAdjustLayout (TControl)
pt | DoAutoAdjustLayout (TCustomComboBox)
pt | DoAutoSize (TControl)
pt | DoAutoSize (TWinControl)
pt | DoBorderSpacingChange (TControl)
pt | DoCallKeyEventHandler (TControl)
pt | DoCallMouseWheelEventHandler (TControl)
pt | DoCallNotifyHandler (TControl)
pt | DoChildSizingChange (TWinControl)
 | Dock (TControl)
 | DockDrop (TWinControl)
 | Docked (TControl)
pt | DockOver (TWinControl)
pt | DockTrackNoTarget (TControl)
pt | DoConstraintsChange (TControl)
pt | DoConstraintsChange (TWinControl)
pt | DoContextPopup (TControl)
pt | DoDock (TControl)
pt | DoDockClientMsg (TWinControl)
pt | DoDockOver (TWinControl)
pt | DoDragMsg (TControl)
pt | DoDragMsg (TWinControl)
pt | DoEdit (TCustomDBComboBox)
pt | DoEndDock (TControl)
pt | DoEndDrag (TControl)
pt | DoEnter (TWinControl)
pt | DoEnter (TCustomComboBox)
pt | DoExit (TWinControl)
pt | DoExit (TCustomComboBox)
pt | DoFixDesignFontPPI (TControl)
pt | DoFlipChildren (TWinControl)
pt | DoFloatMsg (TControl)
pt | DoFloatMsg (TWinControl)
pt | DoGetDockCaption (TWinControl)
pt | DoKeyDownBeforeInterface (TWinControl)
pt | DoKeyPress (TWinControl)
pt | DoKeyUpBeforeInterface (TWinControl)
pt | DoMouseWheel (TControl)
pt | DoMouseWheel (TCustomDBComboBox)
pt | DoMouseWheelDown (TControl)
pt | DoMouseWheelHorz (TControl)
pt | DoMouseWheelLeft (TControl)
pt | DoMouseWheelRight (TControl)
pt | DoMouseWheelUp (TControl)
pt | DoOnChangeBounds (TControl)
pt | DoOnCloseUp (TCustomDBComboBox)
pt | DoOnParentHandleDestruction (TControl)
pt | DoOnResize (TControl)
pt | DoOnSelect (TCustomDBComboBox)
pt | DoOnShowHint (TControl)
pt | DoRemainingKeyDown (TWinControl)
pt | DoRemainingKeyUp (TWinControl)
pt | DoRemoveDockClient (TWinControl)
pt | DoScaleFontPPI (TControl)
pt | DoSendBoundsToInterface (TWinControl)
pt | DoSendShowHideToInterface (TWinControl)
pt | DoSetBounds (TControl)
pt | DoSetBounds (TWinControl)
pt | DoStartDock (TControl)
pt | DoStartDrag (TControl)
pt | DoUnDock (TWinControl)
pt | DoUndockClientMsg (TWinControl)
pt | DoUTF8KeyPress (TWinControl)
pt | DragCanceled (TControl)
 | DragDrop (TControl)
 | Dragging (TControl)
pt | DragOver (TControl)
pt | DrawItem (TCustomComboBox)
pt | DropDown (TCustomComboBox)
 | EditingDone (TControl)
 | EditingDone (TCustomDBComboBox)
 | EnableAlign (TWinControl)
 | EnableAutoSizing (TControl)
pt | EnabledChanged (TControl)
pt | EnabledChanging (TControl)
pt | EndAutoSizing (TControl)
 | EndDrag (TControl)
 | EndUpdateBounds (TWinControl)
 | Equals (TObject)
 | EraseBackground (TWinControl)
 | ExecuteAction (TComponent)
 | ExecuteAction (TCustomDBComboBox)
 | ExecuteCancelAction (TControl)
 | ExecuteDefaultAction (TControl)
 | FieldAddress (TObject)
pt | FinalizeWnd (TWinControl)
 | FindChildControl (TWinControl)
 | FindComponent (TComponent)
pt | FindNextControl (TWinControl)
 | FixDesignFontsPPI (TControl)
pt | FixupTabList (TWinControl)
 | FlipChildren (TWinControl)
 | Focused (TWinControl)
pt | FontChanged (TControl)
pt | FontChanged (TWinControl)
pt | ForeignAnchorSideChanged (TControl)
pt | FormEndUpdated (TControl)
pt | FormEndUpdated (TWinControl)
 | FormIsUpdating (TControl)
 | FPOAttachObserver (TPersistent)
 | FPODetachObserver (TPersistent)
 | FPONotifyObservers (TPersistent)
 | Free (TObject)
 | FreeInstance (TObject)
 | FreeNotification (TComponent)
 | FreeOnRelease (TComponent)
 | GetAccessibleObject (TControl)
pt | GetAction (TControl)
pt | GetActionLinkClass (TControl)
pt | GetAdjustedLogicalClientRect (TWinControl)
 | GetAnchorsDependingOnParent (TControl)
pt | GetBorderStyle (TWinControl)
pt | GetCachedText (TControl)
 | GetCanvasScaleFactor (TControl)
 | GetChildAccessibleObjectAtPos (TControl)
 | GetChildOwner (TComponent)
 | GetChildParent (TComponent)
 | GetChildren (TComponent)
pt | GetChildren (TWinControl)
 | GetChildrenRect (TControl)
 | GetChildrenRect (TWinControl)
pt | GetClientOrigin (TControl)
pt | GetClientOrigin (TWinControl)
pt | GetClientRect (TControl)
pt | GetClientRect (TWinControl)
pt | GetClientScrollOffset (TControl)
 | GetColorResolvingParent (TControl)
 | GetComObject (TComponent)
 | GetComponent (TComponent)
 | GetComponentCount (TComponent)
 | GetComponentIndex (TComponent)
pt | GetControlClassDefaultSize (TControl)
pt | GetControlClassDefaultSize (TCustomComboBox)
 | GetControlIndex (TWinControl)
pt | GetControlOrigin (TControl)
pt | GetControlOrigin (TWinControl)
pt | GetCursor (TControl)
 | GetDefaultColor (TControl)
pt | GetDefaultDockCaption (TControl)
 | GetDefaultHeight (TControl)
 | GetDefaultWidth (TControl)
pt | GetDeviceContext (TControl)
pt | GetDeviceContext (TWinControl)
 | GetDockCaption (TWinControl)
pt | GetDockEdge (TControl)
pt | GetDragImages (TControl)
pt | GetEnabled (TControl)
 | GetEnumerator (TComponent)
 | GetEnumeratorControls (TWinControl)
 | GetEnumeratorControlsReverse (TWinControl)
pt | GetFloating (TControl)
pt | GetFloatingDockSiteClass (TControl)
 | GetHashCode (TObject)
 | GetIDsOfNames (TComponent)
 | GetInterface (TObject)
 | GetInterfaceByStr (TObject)
 | GetInterfaceEntry (TObject)
 | GetInterfaceEntryByStr (TObject)
 | GetInterfaceTable (TObject)
 | GetInterfaceWeak (TObject)
pt | GetItemCount (TCustomComboBox)
pt | GetItemHeight (TCustomComboBox)
pt | GetItemIndex (TCustomComboBox)
pt | GetItems (TCustomComboBox)
pt | GetLogicalClientRect (TControl)
pt | GetMaxLength (TCustomComboBox)
pt | GetMouseCapture (TControl)
pt | GetMouseCapture (TWinControl)
pt | GetMousePosFromMessage (TControl)
 | GetNamePath (TPersistent)
 | GetNamePath (TComponent)
 | GetOwner (TPersistent)
 | GetOwner (TComponent)
pt | GetPalette (TControl)
pt | GetParentBackground (TWinControl)
 | GetParentComponent (TComponent)
 | GetParentComponent (TControl)
pt | GetParentHandle (TWinControl)
pt | GetPopupMenu (TControl)
 | GetPreferredSize (TControl)
pt | GetPreferredSizeClientFrame (TWinControl)
 | GetRGBColorResolvingParent (TControl)
pt | GetScrolledClientRect (TControl)
 | GetSelectedChildAccessibleObject (TControl)
pt | GetSelLength (TCustomComboBox)
pt | GetSelStart (TCustomComboBox)
pt | GetSelText (TCustomComboBox)
 | GetSidePosition (TControl)
pt | GetSiteInfo (TWinControl)
 | GetTabOrderList (TWinControl)
 | GetTextBuf (TControl)
 | GetTextLen (TControl)
 | GetTextLen (TWinControl)
 | GetTopParent (TControl)
pt | GetTopParentHandle (TWinControl)
 | GetTypeInfo (TComponent)
 | GetTypeInfoCount (TComponent)
pt | GetWSComponentClass (TLCLComponent)
 | HandleAllocated (TWinControl)
 | HandleNeeded (TWinControl)
 | HandleObjectShouldBeVisible (TControl)
 | HasHelp (TControl)
 | HasParent (TComponent)
 | HasParent (TControl)
pt | HeightIsAnchored (TControl)
 | Hide (TControl)
 | iicrGetComponent (TComponent)
 | IncLCLRefCount (TLCLComponent)
 | InheritsFrom (TObject)
pt | InitializeWnd (TWinControl)
pt | InitializeWnd (TCustomComboBox)
 | InitiateAction (TControl)
 | InitInstance (TObject)
 | Insert (TComponent)
 | InsertComponent (TComponent)
 | InsertControl (TWinControl)
 | InstanceSize (TObject)
 | IntfGetDropFilesTarget (TWinControl)
 | IntfGetItems (TCustomComboBox)
 | IntfUTF8KeyPress (TWinControl)
 | Invalidate (TControl)
 | Invalidate (TWinControl)
pt | InvalidateBoundsRealized (TWinControl)
 | InvalidateClientRectCache (TWinControl)
pt | InvalidateControl (TControl)
pt | InvalidatePreferredChildSizes (TWinControl)
 | InvalidatePreferredSize (TControl)
 | Invoke (TComponent)
pt | IsAParentAligning (TControl)
pt | IsBorderSpacingInnerBorderStored (TControl)
pt | IsCaptionStored (TControl)
pt | IsClientHeightStored (TControl)
pt | IsClientHeightStored (TWinControl)
pt | IsClientWidthStored (TControl)
pt | IsClientWidthStored (TWinControl)
pt | IsControlMouseMsg (TWinControl)
 | IsControlVisible (TControl)
 | IsEnabled (TControl)
 | IsImplementorOf (TComponent)
 | IsParentColor (TControl)
 | IsParentFont (TControl)
 | IsParentOf (TControl)
 | IsProcessingPaintMsg (TControl)
 | IsRightToLeft (TControl)
 | IsVisible (TControl)
pt | KeyDown (TWinControl)
pt | KeyDown (TCustomComboBox)
pt | KeyDown (TCustomDBComboBox)
pt | KeyDownAfterInterface (TWinControl)
pt | KeyDownBeforeInterface (TWinControl)
pt | KeyPress (TWinControl)
pt | KeyUp (TWinControl)
pt | KeyUp (TCustomComboBox)
pt | KeyUpAfterInterface (TWinControl)
pt | KeyUpAfterInterface (TCustomComboBox)
pt | KeyUpBeforeInterface (TWinControl)
pt | LMCaptureChanged (TControl)
pt | LMChanged (TCustomComboBox)
pt | LMDeferredEdit (TCustomDBComboBox)
 | Loaded (TComponent)
pt | Loaded (TControl)
pt | Loaded (TWinControl)
pt | LoadedAll (TControl)
 | Loading (TComponent)
 | LockRealizeBounds (TWinControl)
pt | MainWndProc (TWinControl)
 | ManualDock (TControl)
 | ManualFloat (TControl)
pt | MeasureItem (TCustomComboBox)
 | MethodAddress (TObject)
 | MethodName (TObject)
pt | MouseDown (TControl)
pt | MouseEnter (TControl)
pt | MouseLeave (TControl)
pt | MouseMove (TControl)
pt | MouseUp (TControl)
pt | MouseUp (TCustomComboBox)
 | newinstance (TObject)
 | NewInstance (TLCLComponent)
 | Notification (TComponent)
pt | Notification (TControl)
pt | Notification (TCustomDBComboBox)
 | NotifyControls (TWinControl)
pt | PaintControls (TWinControl)
pt | PaintHandler (TWinControl)
 | PaintTo (TWinControl)
pt | PaintWindow (TWinControl)
 | PaletteCreated (TComponent)
 | ParentDestroyingHandle (TControl)
pt | ParentFontChanged (TControl)
pt | ParentFormHandleInitialized (TControl)
pt | ParentFormHandleInitialized (TWinControl)
 | ParentHandlesAllocated (TControl)
 | ParentHandlesAllocated (TWinControl)
 | ParentToClient (TControl)
 | Perform (TControl)
 | PerformTab (TWinControl)
pt | PositionDockRect (TControl)
pt | QuadClick (TControl)
 | QueryInterface (TComponent)
 | ReadLeft (TComponent)
 | ReadState (TComponent)
pt | ReadState (TControl)
 | ReadTop (TComponent)
pt | RealGetText (TControl)
pt | RealGetText (TWinControl)
 | ReAlign (TWinControl)
pt | RealizeBounds (TWinControl)
pt | RealizeBoundsRecursive (TWinControl)
pt | RealSetText (TControl)
pt | RealSetText (TWinControl)
pt | RealSetText (TCustomComboBox)
 | ReferenceInterface (TComponent)
 | Refresh (TControl)
pt | ReloadDockedControl (TWinControl)
 | Remove (TComponent)
 | RemoveAllHandlersOfObject (TLCLComponent)
 | RemoveAllHandlersOfObject (TControl)
 | RemoveComponent (TComponent)
 | RemoveControl (TWinControl)
pt | RemoveFocus (TWinControl)
 | RemoveFreeNotification (TComponent)
pt | RemoveHandler (TControl)
 | RemoveHandlerOnBeforeDestruction (TControl)
 | RemoveHandlerOnChangeBounds (TControl)
 | RemoveHandlerOnEnableChanging (TControl)
 | RemoveHandlerOnKeyDown (TControl)
 | RemoveHandlerOnMouseWheel (TControl)
 | RemoveHandlerOnResize (TControl)
 | RemoveHandlerOnVisibleChanged (TControl)
 | RemoveHandlerOnVisibleChanging (TControl)
 | RemoveNotification (TComponent)
 | Repaint (TControl)
 | Repaint (TWinControl)
 | ReplaceDockedControl (TControl)
pt | RequestAlign (TControl)
pt | Resize (TControl)
 | SafeCallException (TObject)
 | SafeCallException (TComponent)
 | Scale96ToFont (TControl)
 | Scale96ToForm (TControl)
 | Scale96ToScreen (TControl)
 | ScaleBy (TWinControl)
pt | ScaleConstraints (TControl)
pt | ScaleControls (TWinControl)
 | ScaleDesignToForm (TControl)
 | ScaleFontsPPI (TControl)
 | ScaleFontTo96 (TControl)
 | ScaleFontToScreen (TControl)
 | ScaleFormTo96 (TControl)
 | ScaleFormToDesign (TControl)
 | ScaleScreenTo96 (TControl)
 | ScaleScreenToFont (TControl)
 | ScreenToClient (TControl)
 | ScreenToControl (TControl)
 | ScrollBy (TWinControl)
 | ScrollBy_WS (TWinControl)
pt | Select (TCustomComboBox)
pt | Select (TCustomDBComboBox)
 | SelectAll (TCustomComboBox)
pt | SelectFirst (TWinControl)
pt | SelectItem (TCustomComboBox)
 | SelectNext (TWinControl)
pt | SendDialogChar (TWinControl)
pt | SendMoveSizeMessages (TControl)
pt | SendMoveSizeMessages (TWinControl)
 | SendToBack (TControl)
pt | SetAction (TControl)
pt | SetAlign (TControl)
 | SetAncestor (TComponent)
pt | SetAnchors (TControl)
pt | SetAutoSize (TControl)
pt | SetBiDiMode (TControl)
pt | SetBorderStyle (TWinControl)
 | SetBounds (TControl)
 | SetBounds (TWinControl)
 | SetBoundsKeepBase (TControl)
 | SetChildOrder (TComponent)
pt | SetChildZPosition (TWinControl)
pt | SetColor (TControl)
pt | SetColor (TWinControl)
 | SetComponentIndex (TComponent)
 | SetControlIndex (TWinControl)
pt | SetCursor (TControl)
 | SetDesigning (TComponent)
 | SetDesignInstance (TComponent)
pt | SetDockManager (TWinControl)
pt | SetDragMode (TControl)
pt | SetDropDownCount (TCustomComboBox)
pt | SetDroppedDown (TCustomComboBox)
pt | SetEnabled (TControl)
 | SetFocus (TWinControl)
pt | SetHint (TControl)
 | SetInitialBounds (TControl)
 | SetInline (TComponent)
pt | SetItemHeight (TCustomComboBox)
pt | SetItemIndex (TCustomComboBox)
pt | SetItems (TCustomComboBox)
pt | SetMaxLength (TCustomComboBox)
 | SetName (TComponent)
pt | SetName (TControl)
pt | SetParent (TControl)
pt | SetParentBackground (TWinControl)
pt | SetParentBiDiMode (TControl)
 | SetParentComponent (TComponent)
pt | SetParentComponent (TControl)
 | SetReference (TComponent)
pt | SetSelLength (TCustomComboBox)
pt | SetSelStart (TCustomComboBox)
pt | SetSelText (TCustomComboBox)
 | SetShape (TWinControl)
pt | SetSorted (TCustomComboBox)
pt | SetStyle (TCustomComboBox)
 | SetSubComponent (TComponent)
 | SetTempCursor (TControl)
 | SetTempCursor (TWinControl)
 | SetTextBuf (TControl)
pt | SetVisible (TControl)
pt | SetZOrder (TControl)
 | ShouldAutoAdjust (TControl)
pt | ShouldAutoAdjust (TCustomComboBox)
 | Show (TControl)
pt | ShowControl (TWinControl)
 | ShowHelp (TControl)
 | StringMessageTable (TObject)
pt | TextChanged (TControl)
 | ToString (TObject)
pt | TripleClick (TControl)
 | UnitName (TObject)
 | UnlockRealizeBounds (TWinControl)
 | Update (TControl)
 | Update (TWinControl)
 | UpdateAction (TComponent)
 | UpdateAction (TCustomDBComboBox)
pt | UpdateAnchorRules (TControl)
 | UpdateBaseBounds (TControl)
pt | UpdateControlState (TWinControl)
 | Updated (TComponent)
pt | UpdateData (TCustomDBComboBox)
 | UpdateDockCaption (TWinControl)
pt | UpdateMouseCursor (TControl)
pt | UpdateRecord (TCustomDBComboBox)
 | UpdateRegistry (TComponent)
 | UpdateRolesForForm (TControl)
pt | UpdateShowing (TWinControl)
 | Updating (TComponent)
 | UseRightToLeftAlignment (TControl)
 | UseRightToLeftReading (TControl)
 | UseRightToLeftScrollBar (TControl)
pt | UTF8KeyPress (TWinControl)
pt | UTF8KeyPress (TCustomComboBox)
 | ValidateContainer (TComponent)
 | ValidateInsert (TComponent)
 | ValidateRename (TComponent)
pt | VisibleChanged (TControl)
pt | VisibleChanging (TControl)
pt | WidthIsAnchored (TControl)
pt | WMCancelMode (TControl)
pt | WMChar (TWinControl)
pt | WMContextMenu (TControl)
pt | WMContextMenu (TWinControl)
pt | WMDestroy (TWinControl)
pt | WMEnter (TWinControl)
pt | WMEraseBkgnd (TWinControl)
pt | WMExit (TWinControl)
pt | WMKeyDown (TWinControl)
pt | WMKeyUp (TWinControl)
pt | WMKillFocus (TWinControl)
pt | WMLButtonDBLCLK (TControl)
pt | WMLButtonDown (TControl)
pt | WMLButtonQuadCLK (TControl)
pt | WMLButtonTripleCLK (TControl)
pt | WMLButtonUp (TControl)
pt | WMMButtonDBLCLK (TControl)
pt | WMMButtonDown (TControl)
pt | WMMButtonQuadCLK (TControl)
pt | WMMButtonTripleCLK (TControl)
pt | WMMButtonUp (TControl)
pt | WMMouseHWheel (TControl)
pt | WMMouseMove (TControl)
pt | WMMouseWheel (TControl)
pt | WMMove (TControl)
pt | WMMove (TWinControl)
pt | WMNotify (TWinControl)
pt | WMPaint (TWinControl)
pt | WMRButtonDBLCLK (TControl)
pt | WMRButtonDown (TControl)
pt | WMRButtonQuadCLK (TControl)
pt | WMRButtonTripleCLK (TControl)
pt | WMRButtonUp (TControl)
pt | WMSetFocus (TWinControl)
pt | WMShowWindow (TWinControl)
pt | WMSize (TControl)
pt | WMSize (TWinControl)
pt | WMSysChar (TWinControl)
pt | WMSysKeyDown (TWinControl)
pt | WMSysKeyUp (TWinControl)
pt | WMWindowPosChanged (TControl)
pt | WMWindowPosChanged (TWinControl)
pt | WMXButtonDBLCLK (TControl)
pt | WMXButtonDown (TControl)
pt | WMXButtonQuadCLK (TControl)
pt | WMXButtonTripleCLK (TControl)
pt | WMXButtonUp (TControl)
pt | WndProc (TControl)
pt | WndProc (TWinControl)
pt | WndProc (TCustomDBComboBox)
 | WriteLayoutDebugReport (TControl)
 | WriteLayoutDebugReport (TWinControl)
 | WriteLeft (TComponent)
 | WriteState (TComponent)
 | WriteTop (TComponent)
pt | WSRegisterClass (TLCLComponent)
pt | WSRegisterClass (TControl)
pt | WSRegisterClass (TWinControl)
pt | WSRegisterClass (TCustomComboBox)
pt | WSSetText (TWinControl)
 | _AddRef (TComponent)
 | _Release (TComponent)


TCustomDBComboBox
TCustomComboBox
pt | OnChange
pt | OnCloseUp
pt | OnDrawItem
pt | OnDropDown
pt | OnGetItems
pt | OnMeasureItem
pt | OnSelect
TWinControl
pt | OnGetSiteInfo
pt | OnGetDockCaption
 | OnAlignInsertBefore
 | OnAlignPosition
 | OnDockDrop
 | OnDockOver
 | OnEnter
 | OnExit
 | OnKeyDown
 | OnKeyPress
 | OnKeyUp
 | OnUnDock
 | OnUTF8KeyPress
TControl
pt | OnConstrainedResize
pt | OnContextPopup
pt | OnDblClick
pt | OnTripleClick
pt | OnQuadClick
pt | OnDragDrop
pt | OnDragOver
pt | OnEndDock
pt | OnEndDrag
pt | OnMouseDown
pt | OnMouseMove
pt | OnMouseUp
pt | OnMouseEnter
pt | OnMouseLeave
pt | OnMouseWheel
pt | OnMouseWheelDown
pt | OnMouseWheelUp
pt | OnMouseWheelHorz
pt | OnMouseWheelLeft
pt | OnMouseWheelRight
pt | OnStartDock
pt | OnStartDrag
pt | OnEditingDone
 | OnChangeBounds
 | OnClick
 | OnResize
 | OnShowHint
TLCLComponent
TComponent
TPersistent
TObject


TCustomDBComboBox.Change

Change -if there has been a change to the data the link must be notified, then inherited Change is called

Declaration

Source position: dbctrls.pp line 742

protected procedure TCustomDBComboBox.Change; override;

See also

TCustomComboBox.Change

Invokes the OnChange handler, signaling an change in the edit box.


TCustomDBComboBox.DataChange

DataChange - updates any changes in text

Declaration

Source position: dbctrls.pp line 739

protected procedure TCustomDBComboBox.DataChange(

  Sender: TObject

); virtual; abstract;


TCustomDBComboBox.DataSource

The identity of the DataSource to which the ComboBox is attached

Declaration

Source position: dbctrls.pp line 757

public property TCustomDBComboBox.DataSource : TDataSource
  read GetDataSource
  write SetDataSource;


TCustomDBComboBox.DetectedEvents

Declaration

Source position: dbctrls.pp line 735

protected property TCustomDBComboBox.DetectedEvents : Word
  read FDetectedEvents;


TCustomDBComboBox.DoEdit

Declaration

Source position: dbctrls.pp line 731

protected function TCustomDBComboBox.DoEdit: Boolean; virtual;


TCustomDBComboBox.DoMouseWheel

Declaration

Source position: dbctrls.pp line 740

protected function TCustomDBComboBox.DoMouseWheel(

  Shift: TShiftState;

  WheelDelta: Integer;

  MousePos: TPoint

):Boolean; override;


TCustomDBComboBox.DoOnCloseUp

Declaration

Source position: dbctrls.pp line 732

protected procedure TCustomDBComboBox.DoOnCloseUp; virtual;


TCustomDBComboBox.DoOnSelect

Declaration

Source position: dbctrls.pp line 733

protected procedure TCustomDBComboBox.DoOnSelect; virtual;


TCustomDBComboBox.ExecuteAction

Declaration

Source position: dbctrls.pp line 750

public function TCustomDBComboBox.ExecuteAction(

  AAction: TBasicAction

):Boolean; override;


TCustomDBComboBox.Field

The Field to which this combobox is attached

Declaration

Source position: dbctrls.pp line 753

public property TCustomDBComboBox.Field : TField
  read GetField;


TCustomDBComboBox.LMDeferredEdit

Declaration

Source position: dbctrls.pp line 734

protected procedure TCustomDBComboBox.LMDeferredEdit(

  var Message: TLMessage

); message;


TCustomDBComboBox.UpdateAction

Declaration

Source position: dbctrls.pp line 751

public function TCustomDBComboBox.UpdateAction(

  AAction: TBasicAction

):Boolean; override;


TCustomDBComboBox.UpdateData

UpdateData - implements any pending changes in the data

Declaration

Source position: dbctrls.pp line 744

protected procedure TCustomDBComboBox.UpdateData(

  Sender: TObject

); virtual; abstract;


TCustomDBComboBox.UpdateRecord

Declaration

Source position: dbctrls.pp line 745

protected procedure TCustomDBComboBox.UpdateRecord;


TCustomDBComboBox.WndProc

Declaration

Source position: dbctrls.pp line 746

protected procedure TCustomDBComboBox.WndProc(

  var Message: TLMessage

); override;


TCustomDBListBox

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

TCustomDBListBox - base class for TDBListBox, a data-aware listbox for presenting list information from a database

Declaration

Source position: dbctrls.pp line 345

type TCustomDBListBox = class(TCustomListBox)
protected
FDataLink: TFieldDataLink; | FDataLink - local variable holding the identity of the field data link
procedure DataChange(); virtual; abstract; | DataChange - method for dealing with a change in the data
procedure KeyDown(); override; | Invokes the OnKeyDown handler.
procedure Notification(); override;
procedure UpdateData(); virtual; abstract; | UpdateData - method for applying any pending changes to the data
procedure SetItems(); override; | SetItems - copies the specified Values into the Items property
public
constructor Create(); override; | Create - constructor for TCustomDBListBox: calls inherited Create, makes links and sets up event handlers for data change, change in Editing status and updating data
destructor Destroy; override; | Destroy - destructor for TCustomEBListbox: frees data links then calls inherited Destroy
function ExecuteAction(); override;
function UpdateAction(); override;
property Field: TField; [r] | The identity of the Field to which the listbox belongs
property DataField: string; [rw] | The name of the DataField to which the listbox belongs
property DataSource: TDataSource; [rw] | The identity of the DataSource from which the lookup data will be fetched
property ReadOnly: Boolean; [rw] | ReadOnly - if True, the data can only be read but not written or edited
end;

Inheritance

TCustomDBListBox | TCustomDBListBox - base class for TDBListBox, a data-aware listbox for presenting list information from a database
|
TCustomListBox | The base class for TListBox.
|
TWinControl | The base class for controls which can contain other (child) controls.
|
TControl | The base class for visible controls.
|
TLCLComponent | The base class for LCL components associated with widgets.
|
TComponent,IUnknown,IInterfaceComponentReference
|
TPersistent,IFPObserved
|
TObject

See also

HowToUseDataAwareControls

HowToUseDataAwareControls - Hints for accessing databases


TCustomDBListBox
 | ro | Field
 |  | DataField
 |  | DataSource
 |  | ReadOnly
TCustomListBox
 | ro | Align
 | ro | Anchors
 | ro | BorderStyle
 | ro | Canvas
 |  | ClickOnSelChange
 |  | Columns
 | ro | Constraints
 | ro | Count
 |  | ExtendedSelect
 | ro | Font
 |  | IntegralHeight
 |  | ItemHeight
 |  | ItemIndex
 |  | Items
 |  | MultiSelect
 |  | Options
 | ro | ParentColor
 | ro | ParentFont
 | ro | ParentShowHint
 | ro | PopupMenu
 |  | ScrollWidth
 | ro | SelCount
 |  | Selected
 | ro | ShowHint
 |  | Sorted
 |  | Style
 | ro | TabOrder
 | ro | TabStop
 |  | TopIndex
 | ro | Visible
TWinControl
pt |  | WindowHandle
pt |  | BorderStyle
pt |  | ParentBackground
 |  | BorderWidth
 | ro | BoundsLockCount
 | ro | Brush
 | ro | CachedClientHeight
 | ro | CachedClientWidth
 |  | ChildSizing
 | ro | ControlCount
 | ro | Controls
 |  | DefWndProc
 | ro | DockClientCount
 | ro | DockClients
 |  | DockManager
 |  | DockSite
 |  | DoubleBuffered
 |  | Handle
 | ro | IsFlipped
 | ro | IsResizing
 |  | TabOrder
 |  | TabStop
 |  | ParentDoubleBuffered
 |  | ParentWindow
 | ro | Showing
 |  | UseDockManager
 |  | DesignerDeleting
 | ro | VisibleDockClientCount
TControl
pt | ro | AutoSizing
pt | ro | AutoSizingAll
pt | ro | AutoSizingLockCount
pt |  | ActionLink
pt |  | DesktopFont
pt |  | DragCursor
pt |  | DragKind
pt |  | DragMode
pt |  | MouseCapture
pt |  | ParentColor
pt |  | ParentFont
pt |  | ParentShowHint
pt |  | SessionProperties
pt |  | Text
 | ro | AnchoredControls
 | ro | BaseBounds
 | ro | ReadBounds
 | ro | BaseParentClientSize
 |  | AccessibleDescription
 |  | AccessibleValue
 |  | AccessibleRole
 |  | Action
 |  | Align
 |  | Anchors
 | ro | AnchorSide
 |  | AutoSize
 |  | BorderSpacing
 |  | BoundsRect
 |  | BoundsRectForNewParent
 |  | Caption
 |  | CaptureMouseButtons
 |  | ClientHeight
 | ro | ClientOrigin
 | ro | ClientRect
 |  | ClientWidth
 |  | Color
 |  | Constraints
 | ro | ControlOrigin
 |  | ControlState
 |  | ControlStyle
 |  | Enabled
 |  | Font
 |  | IsControl
 | ro | MouseEntered
 | ro | MouseInClient
 |  | Parent
 |  | PopupMenu
 |  | ShowHint
 |  | Visible
 |  | WindowProc
 |  | DockOrientation
 | ro | Floating
 |  | FloatingDockSiteClass
 |  | HostDockSite
 |  | LRDockWidth
 |  | TBDockHeight
 |  | UndockHeight
 |  | UndockWidth
 |  | BiDiMode
 |  | ParentBiDiMode
pl |  | AnchorSideLeft
pl |  | AnchorSideTop
pl |  | AnchorSideRight
pl |  | AnchorSideBottom
pl |  | Cursor
pl |  | Left
pl |  | Height
pl |  | Hint
pl |  | Top
pl |  | Width
pl |  | HelpType
pl |  | HelpKeyword
pl |  | HelpContext
TLCLComponent
 | ro | LCLRefCount
 | ro | WidgetSetClass
TComponent
 | ro | ComObject
 | ro | Components
 | ro | ComponentCount
 |  | ComponentIndex
 | ro | ComponentState
 | ro | ComponentStyle
 |  | DesignInfo
 | ro | Owner
 |  | VCLComObject
 |  | Name
 |  | Tag
TPersistent
TObject


 |  | AccessibleDescription (TControl)
 |  | AccessibleRole (TControl)
 |  | AccessibleValue (TControl)
 |  | Action (TControl)
pt |  | ActionLink (TControl)
 |  | Align (TControl)
 | ro | Align (TCustomListBox)
 | ro | AnchoredControls (TControl)
 |  | Anchors (TControl)
 | ro | Anchors (TCustomListBox)
 | ro | AnchorSide (TControl)
pl |  | AnchorSideBottom (TControl)
pl |  | AnchorSideLeft (TControl)
pl |  | AnchorSideRight (TControl)
pl |  | AnchorSideTop (TControl)
 |  | AutoSize (TControl)
pt | ro | AutoSizing (TControl)
pt | ro | AutoSizingAll (TControl)
pt | ro | AutoSizingLockCount (TControl)
 | ro | BaseBounds (TControl)
 | ro | BaseParentClientSize (TControl)
 |  | BiDiMode (TControl)
 |  | BorderSpacing (TControl)
pt |  | BorderStyle (TWinControl)
 | ro | BorderStyle (TCustomListBox)
 |  | BorderWidth (TWinControl)
 | ro | BoundsLockCount (TWinControl)
 |  | BoundsRect (TControl)
 |  | BoundsRectForNewParent (TControl)
 | ro | Brush (TWinControl)
 | ro | CachedClientHeight (TWinControl)
 | ro | CachedClientWidth (TWinControl)
 | ro | Canvas (TCustomListBox)
 |  | Caption (TControl)
 |  | CaptureMouseButtons (TControl)
 |  | ChildSizing (TWinControl)
 |  | ClickOnSelChange (TCustomListBox)
 |  | ClientHeight (TControl)
 | ro | ClientOrigin (TControl)
 | ro | ClientRect (TControl)
 |  | ClientWidth (TControl)
 |  | Color (TControl)
 |  | Columns (TCustomListBox)
 | ro | ComObject (TComponent)
 | ro | ComponentCount (TComponent)
 |  | ComponentIndex (TComponent)
 | ro | Components (TComponent)
 | ro | ComponentState (TComponent)
 | ro | ComponentStyle (TComponent)
 |  | Constraints (TControl)
 | ro | Constraints (TCustomListBox)
 | ro | ControlCount (TWinControl)
 | ro | ControlOrigin (TControl)
 | ro | Controls (TWinControl)
 |  | ControlState (TControl)
 |  | ControlStyle (TControl)
 | ro | Count (TCustomListBox)
pl |  | Cursor (TControl)
 |  | DataField (TCustomDBListBox)
 |  | DataSource (TCustomDBListBox)
 |  | DefWndProc (TWinControl)
 |  | DesignerDeleting (TWinControl)
 |  | DesignInfo (TComponent)
pt |  | DesktopFont (TControl)
 | ro | DockClientCount (TWinControl)
 | ro | DockClients (TWinControl)
 |  | DockManager (TWinControl)
 |  | DockOrientation (TControl)
 |  | DockSite (TWinControl)
 |  | DoubleBuffered (TWinControl)
pt |  | DragCursor (TControl)
pt |  | DragKind (TControl)
pt |  | DragMode (TControl)
 |  | Enabled (TControl)
 |  | ExtendedSelect (TCustomListBox)
 | ro | Field (TCustomDBListBox)
 | ro | Floating (TControl)
 |  | FloatingDockSiteClass (TControl)
 |  | Font (TControl)
 | ro | Font (TCustomListBox)
 |  | Handle (TWinControl)
pl |  | Height (TControl)
pl |  | HelpContext (TControl)
pl |  | HelpKeyword (TControl)
pl |  | HelpType (TControl)
pl |  | Hint (TControl)
 |  | HostDockSite (TControl)
 |  | IntegralHeight (TCustomListBox)
 |  | IsControl (TControl)
 | ro | IsFlipped (TWinControl)
 | ro | IsResizing (TWinControl)
 |  | ItemHeight (TCustomListBox)
 |  | ItemIndex (TCustomListBox)
 |  | Items (TCustomListBox)
 | ro | LCLRefCount (TLCLComponent)
pl |  | Left (TControl)
 |  | LRDockWidth (TControl)
pt |  | MouseCapture (TControl)
 | ro | MouseEntered (TControl)
 | ro | MouseInClient (TControl)
 |  | MultiSelect (TCustomListBox)
 |  | Name (TComponent)
 |  | Options (TCustomListBox)
 | ro | Owner (TComponent)
 |  | Parent (TControl)
pt |  | ParentBackground (TWinControl)
 |  | ParentBiDiMode (TControl)
pt |  | ParentColor (TControl)
 | ro | ParentColor (TCustomListBox)
 |  | ParentDoubleBuffered (TWinControl)
pt |  | ParentFont (TControl)
 | ro | ParentFont (TCustomListBox)
pt |  | ParentShowHint (TControl)
 | ro | ParentShowHint (TCustomListBox)
 |  | ParentWindow (TWinControl)
 |  | PopupMenu (TControl)
 | ro | PopupMenu (TCustomListBox)
 | ro | ReadBounds (TControl)
 |  | ReadOnly (TCustomDBListBox)
 |  | ScrollWidth (TCustomListBox)
 | ro | SelCount (TCustomListBox)
 |  | Selected (TCustomListBox)
pt |  | SessionProperties (TControl)
 |  | ShowHint (TControl)
 | ro | ShowHint (TCustomListBox)
 | ro | Showing (TWinControl)
 |  | Sorted (TCustomListBox)
 |  | Style (TCustomListBox)
 |  | TabOrder (TWinControl)
 | ro | TabOrder (TCustomListBox)
 |  | TabStop (TWinControl)
 | ro | TabStop (TCustomListBox)
 |  | Tag (TComponent)
 |  | TBDockHeight (TControl)
pt |  | Text (TControl)
pl |  | Top (TControl)
 |  | TopIndex (TCustomListBox)
 |  | UndockHeight (TControl)
 |  | UndockWidth (TControl)
 |  | UseDockManager (TWinControl)
 |  | VCLComObject (TComponent)
 |  | Visible (TControl)
 | ro | Visible (TCustomListBox)
 | ro | VisibleDockClientCount (TWinControl)
 | ro | WidgetSetClass (TLCLComponent)
pl |  | Width (TControl)
pt |  | WindowHandle (TWinControl)
 |  | WindowProc (TControl)


TCustomDBListBox
pt | DataChange
pt | KeyDown
pt | Notification
pt | UpdateData
pt | SetItems
 | Create
 | Destroy
 | ExecuteAction
 | UpdateAction
TCustomListBox
pt | WSRegisterClass
pt | AssignItemDataToCache
pt | AssignCacheToItemData
pt | BeforeDragStart
pt | BeginAutoDrag
pt | CalculateStandardItemHeight
pt | CreateParams
pt | InitializeWnd
pt | DestroyWnd
pt | FinalizeWnd
pt | GetControlClassDefaultSize
pt | CheckIndex
pt | GetItemHeight
pt | GetItemIndex
pt | GetSelCount
pt | GetSelected
pt | GetCachedDataSize
pt | GetCachedData
pt | SetExtendedSelect
pt | SetItemIndex
pt | SetItems
pt | SetItemHeight
pt | SetMultiSelect
pt | SetSelected
pt | SetSorted
pt | SetStyle
pt | DrawItem
pt | DoAutoAdjustLayout
pt | DoSelectionChange
pt | SendItemIndex
pt | WMGetDlgCode
 | Create
 | Destroy
 | AddItem
 | Click
 | Clear
 | ClearSelection
 | GetIndexAtXY
 | GetIndexAtY
 | GetSelectedText
 | ItemAtPos
 | ItemRect
 | ItemVisible
 | ItemFullyVisible
 | LockSelectionChange
 | MakeCurrentVisible
 | MeasureItem
 | SelectAll
 | DeleteSelected
 | UnlockSelectionChange
TWinControl
pt | WSRegisterClass
pt | AdjustClientRect
pt | GetAdjustedLogicalClientRect
pt | AlignControls
pt | CustomAlignInsertBefore
pt | CustomAlignPosition
pt | DoAlignChildControls
pt | DoChildSizingChange
pt | InvalidatePreferredChildSizes
pt | CanTab
pt | IsClientHeightStored
pt | IsClientWidthStored
pt | DoSendShowHideToInterface
pt | ControlsAligned
pt | DoSendBoundsToInterface
pt | RealizeBounds
pt | RealizeBoundsRecursive
pt | InvalidateBoundsRealized
pt | CreateSubClass
pt | DoConstraintsChange
pt | DoSetBounds
pt | DoAutoSize
pt | DoAllAutoSize
pt | AllAutoSized
pt | CalculatePreferredSize
pt | GetPreferredSizeClientFrame
pt | GetChildren
pt | ChildClassAllowed
pt | PaintControls
pt | PaintHandler
pt | PaintWindow
pt | CreateBrush
pt | ScaleControls
pt | ChangeScale
pt | CMBiDiModeChanged
pt | CMBorderChanged
pt | CMDoubleBufferedChanged
pt | CMEnabledChanged
pt | CMParentDoubleBufferedChanged
pt | CMShowingChanged
pt | CMShowHintChanged
pt | CMVisibleChanged
pt | CMEnter
pt | CMExit
pt | WMContextMenu
pt | WMEraseBkgnd
pt | WMNotify
pt | WMSetFocus
pt | WMKillFocus
pt | WMShowWindow
pt | WMEnter
pt | WMExit
pt | WMKeyDown
pt | WMSysKeyDown
pt | WMKeyUp
pt | WMSysKeyUp
pt | WMChar
pt | WMSysChar
pt | WMPaint
pt | WMDestroy
pt | WMMove
pt | WMSize
pt | WMWindowPosChanged
pt | CNKeyDown
pt | CNSysKeyDown
pt | CNKeyUp
pt | CNSysKeyUp
pt | CNChar
pt | DoDragMsg
pt | DoDockClientMsg
pt | DoUndockClientMsg
pt | DoAddDockClient
pt | DockOver
pt | DoDockOver
pt | DoRemoveDockClient
pt | DoUnDock
pt | GetSiteInfo
pt | GetParentHandle
pt | GetTopParentHandle
pt | ReloadDockedControl
pt | CreateDockManager
pt | SetDockManager
pt | DoFloatMsg
pt | DoGetDockCaption
pt | DoEnter
pt | DoExit
pt | DoKeyDownBeforeInterface
pt | DoRemainingKeyDown
pt | DoRemainingKeyUp
pt | DoKeyPress
pt | DoUTF8KeyPress
pt | DoKeyUpBeforeInterface
pt | ChildKey
pt | SendDialogChar
pt | DialogChar
pt | ControlKeyDown
pt | ControlKeyUp
pt | KeyDown
pt | KeyDownBeforeInterface
pt | KeyDownAfterInterface
pt | KeyPress
pt | KeyUp
pt | KeyUpBeforeInterface
pt | KeyUpAfterInterface
pt | UTF8KeyPress
pt | FindNextControl
pt | SelectFirst
pt | RealGetText
pt | GetBorderStyle
pt | GetClientOrigin
pt | GetClientRect
pt | GetControlOrigin
pt | GetDeviceContext
pt | GetParentBackground
pt | IsControlMouseMsg
pt | CreateHandle
pt | CreateParams
pt | CreateWnd
pt | DestroyHandle
pt | DestroyWnd
pt | DoFlipChildren
pt | FinalizeWnd
pt | FixupTabList
pt | FontChanged
pt | InitializeWnd
pt | Loaded
pt | FormEndUpdated
pt | MainWndProc
pt | ParentFormHandleInitialized
pt | ChildHandlesCreated
pt | GetMouseCapture
pt | RealSetText
pt | RemoveFocus
pt | SendMoveSizeMessages
pt | SetBorderStyle
pt | SetColor
pt | SetChildZPosition
pt | SetParentBackground
pt | ShowControl
pt | UpdateControlState
pt | UpdateShowing
pt | WndProc
pt | WSSetText
 | AutoSizePhases
 | AutoSizeDelayed
 | AutoSizeDelayedReport
 | AutoSizeDelayedHandle
 | BeginUpdateBounds
 | EndUpdateBounds
 | LockRealizeBounds
 | UnlockRealizeBounds
 | ControlAtPos
 | ContainsControl
 | DoAdjustClientRectChange
 | InvalidateClientRectCache
 | ClientRectNeedsInterfaceUpdate
 | SetBounds
 | GetChildrenRect
 | DisableAlign
 | EnableAlign
 | ReAlign
 | ScrollBy_WS
 | ScrollBy
 | WriteLayoutDebugReport
 | AutoAdjustLayout
 | Create
 | CreateParented
 | CreateParentedControl
 | Destroy
 | DockDrop
 | CanFocus
 | CanSetFocus
 | GetControlIndex
 | SetControlIndex
 | Focused
 | PerformTab
 | FindChildControl
 | SelectNext
 | SetTempCursor
 | BroadCast
 | NotifyControls
 | DefaultHandler
 | GetTextLen
 | Invalidate
 | AddControl
 | InsertControl
 | RemoveControl
 | GetEnumeratorControls
 | GetEnumeratorControlsReverse
 | Repaint
 | Update
 | SetFocus
 | FlipChildren
 | ScaleBy
 | GetDockCaption
 | UpdateDockCaption
 | GetTabOrderList
 | HandleAllocated
 | ParentHandlesAllocated
 | HandleNeeded
 | BrushCreated
 | EraseBackground
 | IntfUTF8KeyPress
 | IntfGetDropFilesTarget
 | PaintTo
 | SetShape
TControl
pt | WSRegisterClass
pt | GetCursor
pt | SetCursor
pt | SetVisible
pt | DoOnParentHandleDestruction
pt | DoAutoSize
pt | DoAllAutoSize
pt | BeginAutoSizing
pt | EndAutoSizing
pt | AnchorSideChanged
pt | ForeignAnchorSideChanged
pt | SetAlign
pt | SetAnchors
pt | SetAutoSize
pt | BoundsChanged
pt | CreateControlBorderSpacing
pt | DoConstraintsChange
pt | DoBorderSpacingChange
pt | IsBorderSpacingInnerBorderStored
pt | IsCaptionStored
pt | SendMoveSizeMessages
pt | ConstrainedResize
pt | CalculatePreferredSize
pt | DoOnResize
pt | DoOnChangeBounds
pt | CheckOnChangeBounds
pt | Resize
pt | RequestAlign
pt | UpdateAnchorRules
pt | ChangeBounds
pt | DoSetBounds
pt | ScaleConstraints
pt | ChangeScale
pt | CanAutoSize
pt | SetBiDiMode
pt | SetParentBiDiMode
pt | IsAParentAligning
pt | GetClientOrigin
pt | GetClientRect
pt | GetLogicalClientRect
pt | GetScrolledClientRect
pt | GetClientScrollOffset
pt | GetControlOrigin
pt | IsClientHeightStored
pt | IsClientWidthStored
pt | WidthIsAnchored
pt | HeightIsAnchored
pt | WMCancelMode
pt | WMContextMenu
pt | WMLButtonDown
pt | WMRButtonDown
pt | WMMButtonDown
pt | WMXButtonDown
pt | WMLButtonDBLCLK
pt | WMRButtonDBLCLK
pt | WMMButtonDBLCLK
pt | WMXButtonDBLCLK
pt | WMLButtonTripleCLK
pt | WMRButtonTripleCLK
pt | WMMButtonTripleCLK
pt | WMXButtonTripleCLK
pt | WMLButtonQuadCLK
pt | WMRButtonQuadCLK
pt | WMMButtonQuadCLK
pt | WMXButtonQuadCLK
pt | WMMouseMove
pt | WMLButtonUp
pt | WMRButtonUp
pt | WMMButtonUp
pt | WMXButtonUp
pt | WMMouseWheel
pt | WMMouseHWheel
pt | WMMove
pt | WMSize
pt | WMWindowPosChanged
pt | CMChanged
pt | LMCaptureChanged
pt | CMBiDiModeChanged
pt | CMSysFontChanged
pt | CMEnabledChanged
pt | CMHitTest
pt | CMMouseEnter
pt | CMMouseLeave
pt | CMHintShow
pt | CMParentBiDiModeChanged
pt | CMParentColorChanged
pt | CMParentFontChanged
pt | CMParentShowHintChanged
pt | CMVisibleChanged
pt | CMTextChanged
pt | CMCursorChanged
pt | CalculateDockSizes
pt | CreateFloatingDockSite
pt | GetDockEdge
pt | GetDragImages
pt | GetFloating
pt | GetFloatingDockSiteClass
pt | BeforeDragStart
pt | BeginAutoDrag
pt | DoFloatMsg
pt | DockTrackNoTarget
pt | DoDock
pt | DoDragMsg
pt | DoEndDock
pt | DoEndDrag
pt | DoStartDock
pt | DoStartDrag
pt | DragCanceled
pt | DragOver
pt | PositionDockRect
pt | SetDragMode
pt | GetDefaultDockCaption
pt | Click
pt | DblClick
pt | TripleClick
pt | QuadClick
pt | GetMousePosFromMessage
pt | MouseDown
pt | MouseMove
pt | MouseUp
pt | MouseEnter
pt | MouseLeave
pt | DialogChar
pt | UpdateMouseCursor
pt | Changed
pt | GetPalette
pt | ChildClassAllowed
pt | ReadState
pt | Loaded
pt | LoadedAll
pt | DefineProperties
pt | AssignTo
pt | FormEndUpdated
pt | InvalidateControl
pt | FontChanged
pt | ParentFontChanged
pt | GetAction
pt | RealGetText
pt | RealSetText
pt | TextChanged
pt | GetCachedText
pt | SetAction
pt | SetColor
pt | SetEnabled
pt | SetHint
pt | SetName
pt | SetParent
pt | SetParentComponent
pt | WndProc
pt | ParentFormHandleInitialized
pt | GetMouseCapture
pt | CaptureChanged
pt | Notification
pt | CanTab
pt | GetDeviceContext
pt | GetEnabled
pt | GetPopupMenu
pt | DoOnShowHint
pt | DoMouseWheel
pt | DoMouseWheelDown
pt | DoMouseWheelUp
pt | DoMouseWheelHorz
pt | DoMouseWheelLeft
pt | DoMouseWheelRight
pt | VisibleChanging
pt | VisibleChanged
pt | EnabledChanging
pt | EnabledChanged
pt | AddHandler
pt | RemoveHandler
pt | DoCallNotifyHandler
pt | DoCallKeyEventHandler
pt | DoCallMouseWheelEventHandler
pt | DoContextPopup
pt | SetZOrder
pt | GetControlClassDefaultSize
pt | ColorIsStored
pt | DoAutoAdjustLayout
pt | DoFixDesignFontPPI
pt | DoScaleFontPPI
pt | GetActionLinkClass
pt | ActionChange
 | DragDrop
 | Dock
 | ManualDock
 | ManualFloat
 | ReplaceDockedControl
 | Docked
 | Dragging
 | GetAccessibleObject
 | CreateAccessibleObject
 | GetSelectedChildAccessibleObject
 | GetChildAccessibleObjectAtPos
 | ScaleDesignToForm
 | ScaleFormToDesign
 | Scale96ToForm
 | ScaleFormTo96
 | Scale96ToFont
 | ScaleFontTo96
 | ScaleScreenToFont
 | ScaleFontToScreen
 | Scale96ToScreen
 | ScaleScreenTo96
 | AdjustSize
 | AutoSizePhases
 | AutoSizeDelayed
 | AutoSizeDelayedReport
 | AutoSizeDelayedHandle
 | AnchorToNeighbour
 | AnchorParallel
 | AnchorHorizontalCenterTo
 | AnchorVerticalCenterTo
 | AnchorToCompanion
 | AnchorSame
 | AnchorAsAlign
 | AnchorClient
 | AnchoredControlCount
 | SetBounds
 | SetInitialBounds
 | SetBoundsKeepBase
 | GetPreferredSize
 | GetCanvasScaleFactor
 | GetDefaultWidth
 | GetDefaultHeight
 | GetDefaultColor
 | GetColorResolvingParent
 | GetRGBColorResolvingParent
 | GetSidePosition
 | CNPreferredSizeChanged
 | InvalidatePreferredSize
 | GetAnchorsDependingOnParent
 | DisableAutoSizing
 | EnableAutoSizing
 | UpdateBaseBounds
 | WriteLayoutDebugReport
 | AutoAdjustLayout
 | ShouldAutoAdjust
 | FixDesignFontsPPI
 | ScaleFontsPPI
 | Create
 | Destroy
 | BeforeDestruction
 | EditingDone
 | ExecuteDefaultAction
 | ExecuteCancelAction
 | BeginDrag
 | EndDrag
 | BringToFront
 | HasParent
 | GetParentComponent
 | IsParentOf
 | GetTopParent
 | IsVisible
 | IsControlVisible
 | IsEnabled
 | IsParentColor
 | IsParentFont
 | FormIsUpdating
 | IsProcessingPaintMsg
 | Hide
 | Refresh
 | Repaint
 | Invalidate
 | CheckChildClassAllowed
 | CheckNewParent
 | SendToBack
 | SetTempCursor
 | UpdateRolesForForm
 | ActiveDefaultControlChanged
 | GetTextBuf
 | GetTextLen
 | SetTextBuf
 | Perform
 | ScreenToClient
 | ClientToScreen
 | ScreenToControl
 | ControlToScreen
 | ClientToParent
 | ParentToClient
 | GetChildrenRect
 | Show
 | Update
 | HandleObjectShouldBeVisible
 | ParentDestroyingHandle
 | ParentHandlesAllocated
 | InitiateAction
 | ShowHelp
 | HasHelp
 | RemoveAllHandlersOfObject
 | AddHandlerOnResize
 | RemoveHandlerOnResize
 | AddHandlerOnChangeBounds
 | RemoveHandlerOnChangeBounds
 | AddHandlerOnVisibleChanging
 | RemoveHandlerOnVisibleChanging
 | AddHandlerOnVisibleChanged
 | RemoveHandlerOnVisibleChanged
 | AddHandlerOnEnabledChanged
 | RemoveHandlerOnEnableChanging
 | AddHandlerOnKeyDown
 | RemoveHandlerOnKeyDown
 | AddHandlerOnBeforeDestruction
 | RemoveHandlerOnBeforeDestruction
 | AddHandlerOnMouseWheel
 | RemoveHandlerOnMouseWheel
 | UseRightToLeftAlignment
 | UseRightToLeftReading
 | UseRightToLeftScrollBar
 | IsRightToLeft
TLCLComponent
pt | WSRegisterClass
pt | GetWSComponentClass
 | Create
 | Destroy
 | NewInstance
 | RemoveAllHandlersOfObject
 | IncLCLRefCount
 | DecLCLRefCount
TComponent
 | GetComObject
 | GetComponent
 | GetComponentCount
 | GetComponentIndex
 | Insert
 | ReadLeft
 | ReadTop
 | Remove
 | RemoveNotification
 | SetComponentIndex
 | SetReference
 | WriteLeft
 | WriteTop
 | ChangeName
 | DefineProperties
 | GetChildren
 | GetChildOwner
 | GetChildParent
 | GetOwner
 | Loaded
 | Loading
 | Notification
 | PaletteCreated
 | ReadState
 | SetAncestor
 | SetDesigning
 | SetDesignInstance
 | SetInline
 | SetName
 | SetChildOrder
 | SetParentComponent
 | Updating
 | Updated
 | UpdateRegistry
 | ValidateRename
 | ValidateContainer
 | ValidateInsert
 | QueryInterface
 | _AddRef
 | _Release
 | iicrGetComponent
 | GetTypeInfoCount
 | GetTypeInfo
 | GetIDsOfNames
 | Invoke
 | WriteState
 | Create
 | Destroy
 | BeforeDestruction
 | DestroyComponents
 | Destroying
 | ExecuteAction
 | FindComponent
 | FreeNotification
 | RemoveFreeNotification
 | FreeOnRelease
 | GetEnumerator
 | GetNamePath
 | GetParentComponent
 | HasParent
 | InsertComponent
 | RemoveComponent
 | SafeCallException
 | SetSubComponent
 | UpdateAction
 | IsImplementorOf
 | ReferenceInterface
TPersistent
 | AssignError
 | AssignTo
 | DefineProperties
 | GetOwner
 | Destroy
 | Assign
 | FPOAttachObserver
 | FPODetachObserver
 | FPONotifyObservers
 | GetNamePath
TObject
 | Create
 | Destroy
 | newinstance
 | FreeInstance
 | SafeCallException
 | DefaultHandler
 | Free
 | InitInstance
 | CleanupInstance
 | ClassType
 | ClassInfo
 | ClassName
 | ClassNameIs
 | ClassParent
 | InstanceSize
 | InheritsFrom
 | StringMessageTable
 | MethodAddress
 | MethodName
 | FieldAddress
 | AfterConstruction
 | BeforeDestruction
 | DefaultHandlerStr
 | Dispatch
 | DispatchStr
 | GetInterface
 | GetInterfaceByStr
 | GetInterfaceWeak
 | GetInterfaceEntry
 | GetInterfaceEntryByStr
 | GetInterfaceTable
 | UnitName
 | Equals
 | GetHashCode
 | ToString


pt | ActionChange (TControl)
 | ActiveDefaultControlChanged (TControl)
 | AddControl (TWinControl)
pt | AddHandler (TControl)
 | AddHandlerOnBeforeDestruction (TControl)
 | AddHandlerOnChangeBounds (TControl)
 | AddHandlerOnEnabledChanged (TControl)
 | AddHandlerOnKeyDown (TControl)
 | AddHandlerOnMouseWheel (TControl)
 | AddHandlerOnResize (TControl)
 | AddHandlerOnVisibleChanged (TControl)
 | AddHandlerOnVisibleChanging (TControl)
 | AddItem (TCustomListBox)
pt | AdjustClientRect (TWinControl)
 | AdjustSize (TControl)
 | AfterConstruction (TObject)
pt | AlignControls (TWinControl)
pt | AllAutoSized (TWinControl)
 | AnchorAsAlign (TControl)
 | AnchorClient (TControl)
 | AnchoredControlCount (TControl)
 | AnchorHorizontalCenterTo (TControl)
 | AnchorParallel (TControl)
 | AnchorSame (TControl)
pt | AnchorSideChanged (TControl)
 | AnchorToCompanion (TControl)
 | AnchorToNeighbour (TControl)
 | AnchorVerticalCenterTo (TControl)
 | Assign (TPersistent)
pt | AssignCacheToItemData (TCustomListBox)
 | AssignError (TPersistent)
pt | AssignItemDataToCache (TCustomListBox)
 | AssignTo (TPersistent)
pt | AssignTo (TControl)
 | AutoAdjustLayout (TControl)
 | AutoAdjustLayout (TWinControl)
 | AutoSizeDelayed (TControl)
 | AutoSizeDelayed (TWinControl)
 | AutoSizeDelayedHandle (TControl)
 | AutoSizeDelayedHandle (TWinControl)
 | AutoSizeDelayedReport (TControl)
 | AutoSizeDelayedReport (TWinControl)
 | AutoSizePhases (TControl)
 | AutoSizePhases (TWinControl)
 | BeforeDestruction (TObject)
 | BeforeDestruction (TComponent)
 | BeforeDestruction (TControl)
pt | BeforeDragStart (TControl)
pt | BeforeDragStart (TCustomListBox)
pt | BeginAutoDrag (TControl)
pt | BeginAutoDrag (TCustomListBox)
pt | BeginAutoSizing (TControl)
 | BeginDrag (TControl)
 | BeginUpdateBounds (TWinControl)
pt | BoundsChanged (TControl)
 | BringToFront (TControl)
 | BroadCast (TWinControl)
 | BrushCreated (TWinControl)
pt | CalculateDockSizes (TControl)
pt | CalculatePreferredSize (TControl)
pt | CalculatePreferredSize (TWinControl)
pt | CalculateStandardItemHeight (TCustomListBox)
pt | CanAutoSize (TControl)
 | CanFocus (TWinControl)
 | CanSetFocus (TWinControl)
pt | CanTab (TControl)
pt | CanTab (TWinControl)
pt | CaptureChanged (TControl)
pt | ChangeBounds (TControl)
pt | Changed (TControl)
 | ChangeName (TComponent)
pt | ChangeScale (TControl)
pt | ChangeScale (TWinControl)
 | CheckChildClassAllowed (TControl)
pt | CheckIndex (TCustomListBox)
 | CheckNewParent (TControl)
pt | CheckOnChangeBounds (TControl)
pt | ChildClassAllowed (TControl)
pt | ChildClassAllowed (TWinControl)
pt | ChildHandlesCreated (TWinControl)
pt | ChildKey (TWinControl)
 | ClassInfo (TObject)
 | ClassName (TObject)
 | ClassNameIs (TObject)
 | ClassParent (TObject)
 | ClassType (TObject)
 | CleanupInstance (TObject)
 | Clear (TCustomListBox)
 | ClearSelection (TCustomListBox)
pt | Click (TControl)
 | Click (TCustomListBox)
 | ClientRectNeedsInterfaceUpdate (TWinControl)
 | ClientToParent (TControl)
 | ClientToScreen (TControl)
pt | CMBiDiModeChanged (TControl)
pt | CMBiDiModeChanged (TWinControl)
pt | CMBorderChanged (TWinControl)
pt | CMChanged (TControl)
pt | CMCursorChanged (TControl)
pt | CMDoubleBufferedChanged (TWinControl)
pt | CMEnabledChanged (TControl)
pt | CMEnabledChanged (TWinControl)
pt | CMEnter (TWinControl)
pt | CMExit (TWinControl)
pt | CMHintShow (TControl)
pt | CMHitTest (TControl)
pt | CMMouseEnter (TControl)
pt | CMMouseLeave (TControl)
pt | CMParentBiDiModeChanged (TControl)
pt | CMParentColorChanged (TControl)
pt | CMParentDoubleBufferedChanged (TWinControl)
pt | CMParentFontChanged (TControl)
pt | CMParentShowHintChanged (TControl)
pt | CMShowHintChanged (TWinControl)
pt | CMShowingChanged (TWinControl)
pt | CMSysFontChanged (TControl)
pt | CMTextChanged (TControl)
pt | CMVisibleChanged (TControl)
pt | CMVisibleChanged (TWinControl)
pt | CNChar (TWinControl)
pt | CNKeyDown (TWinControl)
pt | CNKeyUp (TWinControl)
 | CNPreferredSizeChanged (TControl)
pt | CNSysKeyDown (TWinControl)
pt | CNSysKeyUp (TWinControl)
pt | ColorIsStored (TControl)
pt | ConstrainedResize (TControl)
 | ContainsControl (TWinControl)
 | ControlAtPos (TWinControl)
pt | ControlKeyDown (TWinControl)
pt | ControlKeyUp (TWinControl)
pt | ControlsAligned (TWinControl)
 | ControlToScreen (TControl)
 | Create (TObject)
 | Create (TComponent)
 | Create (TLCLComponent)
 | Create (TControl)
 | Create (TWinControl)
 | Create (TCustomListBox)
 | Create (TCustomDBListBox)
 | CreateAccessibleObject (TControl)
pt | CreateBrush (TWinControl)
pt | CreateControlBorderSpacing (TControl)
pt | CreateDockManager (TWinControl)
pt | CreateFloatingDockSite (TControl)
pt | CreateHandle (TWinControl)
pt | CreateParams (TWinControl)
pt | CreateParams (TCustomListBox)
 | CreateParented (TWinControl)
 | CreateParentedControl (TWinControl)
pt | CreateSubClass (TWinControl)
pt | CreateWnd (TWinControl)
pt | CustomAlignInsertBefore (TWinControl)
pt | CustomAlignPosition (TWinControl)
pt | DataChange (TCustomDBListBox)
pt | DblClick (TControl)
 | DecLCLRefCount (TLCLComponent)
 | DefaultHandler (TObject)
 | DefaultHandler (TWinControl)
 | DefaultHandlerStr (TObject)
 | DefineProperties (TPersistent)
 | DefineProperties (TComponent)
pt | DefineProperties (TControl)
 | DeleteSelected (TCustomListBox)
 | Destroy (TObject)
 | Destroy (TPersistent)
 | Destroy (TComponent)
 | Destroy (TLCLComponent)
 | Destroy (TControl)
 | Destroy (TWinControl)
 | Destroy (TCustomListBox)
 | Destroy (TCustomDBListBox)
 | DestroyComponents (TComponent)
pt | DestroyHandle (TWinControl)
 | Destroying (TComponent)
pt | DestroyWnd (TWinControl)
pt | DestroyWnd (TCustomListBox)
pt | DialogChar (TControl)
pt | DialogChar (TWinControl)
 | DisableAlign (TWinControl)
 | DisableAutoSizing (TControl)
 | Dispatch (TObject)
 | DispatchStr (TObject)
pt | DoAddDockClient (TWinControl)
 | DoAdjustClientRectChange (TWinControl)
pt | DoAlignChildControls (TWinControl)
pt | DoAllAutoSize (TControl)
pt | DoAllAutoSize (TWinControl)
pt | DoAutoAdjustLayout (TControl)
pt | DoAutoAdjustLayout (TCustomListBox)
pt | DoAutoSize (TControl)
pt | DoAutoSize (TWinControl)
pt | DoBorderSpacingChange (TControl)
pt | DoCallKeyEventHandler (TControl)
pt | DoCallMouseWheelEventHandler (TControl)
pt | DoCallNotifyHandler (TControl)
pt | DoChildSizingChange (TWinControl)
 | Dock (TControl)
 | DockDrop (TWinControl)
 | Docked (TControl)
pt | DockOver (TWinControl)
pt | DockTrackNoTarget (TControl)
pt | DoConstraintsChange (TControl)
pt | DoConstraintsChange (TWinControl)
pt | DoContextPopup (TControl)
pt | DoDock (TControl)
pt | DoDockClientMsg (TWinControl)
pt | DoDockOver (TWinControl)
pt | DoDragMsg (TControl)
pt | DoDragMsg (TWinControl)
pt | DoEndDock (TControl)
pt | DoEndDrag (TControl)
pt | DoEnter (TWinControl)
pt | DoExit (TWinControl)
pt | DoFixDesignFontPPI (TControl)
pt | DoFlipChildren (TWinControl)
pt | DoFloatMsg (TControl)
pt | DoFloatMsg (TWinControl)
pt | DoGetDockCaption (TWinControl)
pt | DoKeyDownBeforeInterface (TWinControl)
pt | DoKeyPress (TWinControl)
pt | DoKeyUpBeforeInterface (TWinControl)
pt | DoMouseWheel (TControl)
pt | DoMouseWheelDown (TControl)
pt | DoMouseWheelHorz (TControl)
pt | DoMouseWheelLeft (TControl)
pt | DoMouseWheelRight (TControl)
pt | DoMouseWheelUp (TControl)
pt | DoOnChangeBounds (TControl)
pt | DoOnParentHandleDestruction (TControl)
pt | DoOnResize (TControl)
pt | DoOnShowHint (TControl)
pt | DoRemainingKeyDown (TWinControl)
pt | DoRemainingKeyUp (TWinControl)
pt | DoRemoveDockClient (TWinControl)
pt | DoScaleFontPPI (TControl)
pt | DoSelectionChange (TCustomListBox)
pt | DoSendBoundsToInterface (TWinControl)
pt | DoSendShowHideToInterface (TWinControl)
pt | DoSetBounds (TControl)
pt | DoSetBounds (TWinControl)
pt | DoStartDock (TControl)
pt | DoStartDrag (TControl)
pt | DoUnDock (TWinControl)
pt | DoUndockClientMsg (TWinControl)
pt | DoUTF8KeyPress (TWinControl)
pt | DragCanceled (TControl)
 | DragDrop (TControl)
 | Dragging (TControl)
pt | DragOver (TControl)
pt | DrawItem (TCustomListBox)
 | EditingDone (TControl)
 | EnableAlign (TWinControl)
 | EnableAutoSizing (TControl)
pt | EnabledChanged (TControl)
pt | EnabledChanging (TControl)
pt | EndAutoSizing (TControl)
 | EndDrag (TControl)
 | EndUpdateBounds (TWinControl)
 | Equals (TObject)
 | EraseBackground (TWinControl)
 | ExecuteAction (TComponent)
 | ExecuteAction (TCustomDBListBox)
 | ExecuteCancelAction (TControl)
 | ExecuteDefaultAction (TControl)
 | FieldAddress (TObject)
pt | FinalizeWnd (TWinControl)
pt | FinalizeWnd (TCustomListBox)
 | FindChildControl (TWinControl)
 | FindComponent (TComponent)
pt | FindNextControl (TWinControl)
 | FixDesignFontsPPI (TControl)
pt | FixupTabList (TWinControl)
 | FlipChildren (TWinControl)
 | Focused (TWinControl)
pt | FontChanged (TControl)
pt | FontChanged (TWinControl)
pt | ForeignAnchorSideChanged (TControl)
pt | FormEndUpdated (TControl)
pt | FormEndUpdated (TWinControl)
 | FormIsUpdating (TControl)
 | FPOAttachObserver (TPersistent)
 | FPODetachObserver (TPersistent)
 | FPONotifyObservers (TPersistent)
 | Free (TObject)
 | FreeInstance (TObject)
 | FreeNotification (TComponent)
 | FreeOnRelease (TComponent)
 | GetAccessibleObject (TControl)
pt | GetAction (TControl)
pt | GetActionLinkClass (TControl)
pt | GetAdjustedLogicalClientRect (TWinControl)
 | GetAnchorsDependingOnParent (TControl)
pt | GetBorderStyle (TWinControl)
pt | GetCachedData (TCustomListBox)
pt | GetCachedDataSize (TCustomListBox)
pt | GetCachedText (TControl)
 | GetCanvasScaleFactor (TControl)
 | GetChildAccessibleObjectAtPos (TControl)
 | GetChildOwner (TComponent)
 | GetChildParent (TComponent)
 | GetChildren (TComponent)
pt | GetChildren (TWinControl)
 | GetChildrenRect (TControl)
 | GetChildrenRect (TWinControl)
pt | GetClientOrigin (TControl)
pt | GetClientOrigin (TWinControl)
pt | GetClientRect (TControl)
pt | GetClientRect (TWinControl)
pt | GetClientScrollOffset (TControl)
 | GetColorResolvingParent (TControl)
 | GetComObject (TComponent)
 | GetComponent (TComponent)
 | GetComponentCount (TComponent)
 | GetComponentIndex (TComponent)
pt | GetControlClassDefaultSize (TControl)
pt | GetControlClassDefaultSize (TCustomListBox)
 | GetControlIndex (TWinControl)
pt | GetControlOrigin (TControl)
pt | GetControlOrigin (TWinControl)
pt | GetCursor (TControl)
 | GetDefaultColor (TControl)
pt | GetDefaultDockCaption (TControl)
 | GetDefaultHeight (TControl)
 | GetDefaultWidth (TControl)
pt | GetDeviceContext (TControl)
pt | GetDeviceContext (TWinControl)
 | GetDockCaption (TWinControl)
pt | GetDockEdge (TControl)
pt | GetDragImages (TControl)
pt | GetEnabled (TControl)
 | GetEnumerator (TComponent)
 | GetEnumeratorControls (TWinControl)
 | GetEnumeratorControlsReverse (TWinControl)
pt | GetFloating (TControl)
pt | GetFloatingDockSiteClass (TControl)
 | GetHashCode (TObject)
 | GetIDsOfNames (TComponent)
 | GetIndexAtXY (TCustomListBox)
 | GetIndexAtY (TCustomListBox)
 | GetInterface (TObject)
 | GetInterfaceByStr (TObject)
 | GetInterfaceEntry (TObject)
 | GetInterfaceEntryByStr (TObject)
 | GetInterfaceTable (TObject)
 | GetInterfaceWeak (TObject)
pt | GetItemHeight (TCustomListBox)
pt | GetItemIndex (TCustomListBox)
pt | GetLogicalClientRect (TControl)
pt | GetMouseCapture (TControl)
pt | GetMouseCapture (TWinControl)
pt | GetMousePosFromMessage (TControl)
 | GetNamePath (TPersistent)
 | GetNamePath (TComponent)
 | GetOwner (TPersistent)
 | GetOwner (TComponent)
pt | GetPalette (TControl)
pt | GetParentBackground (TWinControl)
 | GetParentComponent (TComponent)
 | GetParentComponent (TControl)
pt | GetParentHandle (TWinControl)
pt | GetPopupMenu (TControl)
 | GetPreferredSize (TControl)
pt | GetPreferredSizeClientFrame (TWinControl)
 | GetRGBColorResolvingParent (TControl)
pt | GetScrolledClientRect (TControl)
pt | GetSelCount (TCustomListBox)
pt | GetSelected (TCustomListBox)
 | GetSelectedChildAccessibleObject (TControl)
 | GetSelectedText (TCustomListBox)
 | GetSidePosition (TControl)
pt | GetSiteInfo (TWinControl)
 | GetTabOrderList (TWinControl)
 | GetTextBuf (TControl)
 | GetTextLen (TControl)
 | GetTextLen (TWinControl)
 | GetTopParent (TControl)
pt | GetTopParentHandle (TWinControl)
 | GetTypeInfo (TComponent)
 | GetTypeInfoCount (TComponent)
pt | GetWSComponentClass (TLCLComponent)
 | HandleAllocated (TWinControl)
 | HandleNeeded (TWinControl)
 | HandleObjectShouldBeVisible (TControl)
 | HasHelp (TControl)
 | HasParent (TComponent)
 | HasParent (TControl)
pt | HeightIsAnchored (TControl)
 | Hide (TControl)
 | iicrGetComponent (TComponent)
 | IncLCLRefCount (TLCLComponent)
 | InheritsFrom (TObject)
pt | InitializeWnd (TWinControl)
pt | InitializeWnd (TCustomListBox)
 | InitiateAction (TControl)
 | InitInstance (TObject)
 | Insert (TComponent)
 | InsertComponent (TComponent)
 | InsertControl (TWinControl)
 | InstanceSize (TObject)
 | IntfGetDropFilesTarget (TWinControl)
 | IntfUTF8KeyPress (TWinControl)
 | Invalidate (TControl)
 | Invalidate (TWinControl)
pt | InvalidateBoundsRealized (TWinControl)
 | InvalidateClientRectCache (TWinControl)
pt | InvalidateControl (TControl)
pt | InvalidatePreferredChildSizes (TWinControl)
 | InvalidatePreferredSize (TControl)
 | Invoke (TComponent)
pt | IsAParentAligning (TControl)
pt | IsBorderSpacingInnerBorderStored (TControl)
pt | IsCaptionStored (TControl)
pt | IsClientHeightStored (TControl)
pt | IsClientHeightStored (TWinControl)
pt | IsClientWidthStored (TControl)
pt | IsClientWidthStored (TWinControl)
pt | IsControlMouseMsg (TWinControl)
 | IsControlVisible (TControl)
 | IsEnabled (TControl)
 | IsImplementorOf (TComponent)
 | IsParentColor (TControl)
 | IsParentFont (TControl)
 | IsParentOf (TControl)
 | IsProcessingPaintMsg (TControl)
 | IsRightToLeft (TControl)
 | IsVisible (TControl)
 | ItemAtPos (TCustomListBox)
 | ItemFullyVisible (TCustomListBox)
 | ItemRect (TCustomListBox)
 | ItemVisible (TCustomListBox)
pt | KeyDown (TWinControl)
pt | KeyDown (TCustomDBListBox)
pt | KeyDownAfterInterface (TWinControl)
pt | KeyDownBeforeInterface (TWinControl)
pt | KeyPress (TWinControl)
pt | KeyUp (TWinControl)
pt | KeyUpAfterInterface (TWinControl)
pt | KeyUpBeforeInterface (TWinControl)
pt | LMCaptureChanged (TControl)
 | Loaded (TComponent)
pt | Loaded (TControl)
pt | Loaded (TWinControl)
pt | LoadedAll (TControl)
 | Loading (TComponent)
 | LockRealizeBounds (TWinControl)
 | LockSelectionChange (TCustomListBox)
pt | MainWndProc (TWinControl)
 | MakeCurrentVisible (TCustomListBox)
 | ManualDock (TControl)
 | ManualFloat (TControl)
 | MeasureItem (TCustomListBox)
 | MethodAddress (TObject)
 | MethodName (TObject)
pt | MouseDown (TControl)
pt | MouseEnter (TControl)
pt | MouseLeave (TControl)
pt | MouseMove (TControl)
pt | MouseUp (TControl)
 | newinstance (TObject)
 | NewInstance (TLCLComponent)
 | Notification (TComponent)
pt | Notification (TControl)
pt | Notification (TCustomDBListBox)
 | NotifyControls (TWinControl)
pt | PaintControls (TWinControl)
pt | PaintHandler (TWinControl)
 | PaintTo (TWinControl)
pt | PaintWindow (TWinControl)
 | PaletteCreated (TComponent)
 | ParentDestroyingHandle (TControl)
pt | ParentFontChanged (TControl)
pt | ParentFormHandleInitialized (TControl)
pt | ParentFormHandleInitialized (TWinControl)
 | ParentHandlesAllocated (TControl)
 | ParentHandlesAllocated (TWinControl)
 | ParentToClient (TControl)
 | Perform (TControl)
 | PerformTab (TWinControl)
pt | PositionDockRect (TControl)
pt | QuadClick (TControl)
 | QueryInterface (TComponent)
 | ReadLeft (TComponent)
 | ReadState (TComponent)
pt | ReadState (TControl)
 | ReadTop (TComponent)
pt | RealGetText (TControl)
pt | RealGetText (TWinControl)
 | ReAlign (TWinControl)
pt | RealizeBounds (TWinControl)
pt | RealizeBoundsRecursive (TWinControl)
pt | RealSetText (TControl)
pt | RealSetText (TWinControl)
 | ReferenceInterface (TComponent)
 | Refresh (TControl)
pt | ReloadDockedControl (TWinControl)
 | Remove (TComponent)
 | RemoveAllHandlersOfObject (TLCLComponent)
 | RemoveAllHandlersOfObject (TControl)
 | RemoveComponent (TComponent)
 | RemoveControl (TWinControl)
pt | RemoveFocus (TWinControl)
 | RemoveFreeNotification (TComponent)
pt | RemoveHandler (TControl)
 | RemoveHandlerOnBeforeDestruction (TControl)
 | RemoveHandlerOnChangeBounds (TControl)
 | RemoveHandlerOnEnableChanging (TControl)
 | RemoveHandlerOnKeyDown (TControl)
 | RemoveHandlerOnMouseWheel (TControl)
 | RemoveHandlerOnResize (TControl)
 | RemoveHandlerOnVisibleChanged (TControl)
 | RemoveHandlerOnVisibleChanging (TControl)
 | RemoveNotification (TComponent)
 | Repaint (TControl)
 | Repaint (TWinControl)
 | ReplaceDockedControl (TControl)
pt | RequestAlign (TControl)
pt | Resize (TControl)
 | SafeCallException (TObject)
 | SafeCallException (TComponent)
 | Scale96ToFont (TControl)
 | Scale96ToForm (TControl)
 | Scale96ToScreen (TControl)
 | ScaleBy (TWinControl)
pt | ScaleConstraints (TControl)
pt | ScaleControls (TWinControl)
 | ScaleDesignToForm (TControl)
 | ScaleFontsPPI (TControl)
 | ScaleFontTo96 (TControl)
 | ScaleFontToScreen (TControl)
 | ScaleFormTo96 (TControl)
 | ScaleFormToDesign (TControl)
 | ScaleScreenTo96 (TControl)
 | ScaleScreenToFont (TControl)
 | ScreenToClient (TControl)
 | ScreenToControl (TControl)
 | ScrollBy (TWinControl)
 | ScrollBy_WS (TWinControl)
 | SelectAll (TCustomListBox)
pt | SelectFirst (TWinControl)
 | SelectNext (TWinControl)
pt | SendDialogChar (TWinControl)
pt | SendItemIndex (TCustomListBox)
pt | SendMoveSizeMessages (TControl)
pt | SendMoveSizeMessages (TWinControl)
 | SendToBack (TControl)
pt | SetAction (TControl)
pt | SetAlign (TControl)
 | SetAncestor (TComponent)
pt | SetAnchors (TControl)
pt | SetAutoSize (TControl)
pt | SetBiDiMode (TControl)
pt | SetBorderStyle (TWinControl)
 | SetBounds (TControl)
 | SetBounds (TWinControl)
 | SetBoundsKeepBase (TControl)
 | SetChildOrder (TComponent)
pt | SetChildZPosition (TWinControl)
pt | SetColor (TControl)
pt | SetColor (TWinControl)
 | SetComponentIndex (TComponent)
 | SetControlIndex (TWinControl)
pt | SetCursor (TControl)
 | SetDesigning (TComponent)
 | SetDesignInstance (TComponent)
pt | SetDockManager (TWinControl)
pt | SetDragMode (TControl)
pt | SetEnabled (TControl)
pt | SetExtendedSelect (TCustomListBox)
 | SetFocus (TWinControl)
pt | SetHint (TControl)
 | SetInitialBounds (TControl)
 | SetInline (TComponent)
pt | SetItemHeight (TCustomListBox)
pt | SetItemIndex (TCustomListBox)
pt | SetItems (TCustomListBox)
pt | SetItems (TCustomDBListBox)
pt | SetMultiSelect (TCustomListBox)
 | SetName (TComponent)
pt | SetName (TControl)
pt | SetParent (TControl)
pt | SetParentBackground (TWinControl)
pt | SetParentBiDiMode (TControl)
 | SetParentComponent (TComponent)
pt | SetParentComponent (TControl)
 | SetReference (TComponent)
pt | SetSelected (TCustomListBox)
 | SetShape (TWinControl)
pt | SetSorted (TCustomListBox)
pt | SetStyle (TCustomListBox)
 | SetSubComponent (TComponent)
 | SetTempCursor (TControl)
 | SetTempCursor (TWinControl)
 | SetTextBuf (TControl)
pt | SetVisible (TControl)
pt | SetZOrder (TControl)
 | ShouldAutoAdjust (TControl)
 | Show (TControl)
pt | ShowControl (TWinControl)
 | ShowHelp (TControl)
 | StringMessageTable (TObject)
pt | TextChanged (TControl)
 | ToString (TObject)
pt | TripleClick (TControl)
 | UnitName (TObject)
 | UnlockRealizeBounds (TWinControl)
 | UnlockSelectionChange (TCustomListBox)
 | Update (TControl)
 | Update (TWinControl)
 | UpdateAction (TComponent)
 | UpdateAction (TCustomDBListBox)
pt | UpdateAnchorRules (TControl)
 | UpdateBaseBounds (TControl)
pt | UpdateControlState (TWinControl)
 | Updated (TComponent)
pt | UpdateData (TCustomDBListBox)
 | UpdateDockCaption (TWinControl)
pt | UpdateMouseCursor (TControl)
 | UpdateRegistry (TComponent)
 | UpdateRolesForForm (TControl)
pt | UpdateShowing (TWinControl)
 | Updating (TComponent)
 | UseRightToLeftAlignment (TControl)
 | UseRightToLeftReading (TControl)
 | UseRightToLeftScrollBar (TControl)
pt | UTF8KeyPress (TWinControl)
 | ValidateContainer (TComponent)
 | ValidateInsert (TComponent)
 | ValidateRename (TComponent)
pt | VisibleChanged (TControl)
pt | VisibleChanging (TControl)
pt | WidthIsAnchored (TControl)
pt | WMCancelMode (TControl)
pt | WMChar (TWinControl)
pt | WMContextMenu (TControl)
pt | WMContextMenu (TWinControl)
pt | WMDestroy (TWinControl)
pt | WMEnter (TWinControl)
pt | WMEraseBkgnd (TWinControl)
pt | WMExit (TWinControl)
pt | WMGetDlgCode (TCustomListBox)
pt | WMKeyDown (TWinControl)
pt | WMKeyUp (TWinControl)
pt | WMKillFocus (TWinControl)
pt | WMLButtonDBLCLK (TControl)
pt | WMLButtonDown (TControl)
pt | WMLButtonQuadCLK (TControl)
pt | WMLButtonTripleCLK (TControl)
pt | WMLButtonUp (TControl)
pt | WMMButtonDBLCLK (TControl)
pt | WMMButtonDown (TControl)
pt | WMMButtonQuadCLK (TControl)
pt | WMMButtonTripleCLK (TControl)
pt | WMMButtonUp (TControl)
pt | WMMouseHWheel (TControl)
pt | WMMouseMove (TControl)
pt | WMMouseWheel (TControl)
pt | WMMove (TControl)
pt | WMMove (TWinControl)
pt | WMNotify (TWinControl)
pt | WMPaint (TWinControl)
pt | WMRButtonDBLCLK (TControl)
pt | WMRButtonDown (TControl)
pt | WMRButtonQuadCLK (TControl)
pt | WMRButtonTripleCLK (TControl)
pt | WMRButtonUp (TControl)
pt | WMSetFocus (TWinControl)
pt | WMShowWindow (TWinControl)
pt | WMSize (TControl)
pt | WMSize (TWinControl)
pt | WMSysChar (TWinControl)
pt | WMSysKeyDown (TWinControl)
pt | WMSysKeyUp (TWinControl)
pt | WMWindowPosChanged (TControl)
pt | WMWindowPosChanged (TWinControl)
pt | WMXButtonDBLCLK (TControl)
pt | WMXButtonDown (TControl)
pt | WMXButtonQuadCLK (TControl)
pt | WMXButtonTripleCLK (TControl)
pt | WMXButtonUp (TControl)
pt | WndProc (TControl)
pt | WndProc (TWinControl)
 | WriteLayoutDebugReport (TControl)
 | WriteLayoutDebugReport (TWinControl)
 | WriteLeft (TComponent)
 | WriteState (TComponent)
 | WriteTop (TComponent)
pt | WSRegisterClass (TLCLComponent)
pt | WSRegisterClass (TControl)
pt | WSRegisterClass (TWinControl)
pt | WSRegisterClass (TCustomListBox)
pt | WSSetText (TWinControl)
 | _AddRef (TComponent)
 | _Release (TComponent)


TCustomDBListBox
TCustomListBox
 | ro | OnChangeBounds
 | ro | OnClick
 | ro | OnDblClick
 |  | OnDrawItem
 | ro | OnEnter
 | ro | OnExit
 | ro | OnKeyDown
 | ro | OnKeyPress
 | ro | OnKeyUp
 |  | OnMeasureItem
 | ro | OnMouseDown
 | ro | OnMouseEnter
 | ro | OnMouseLeave
 | ro | OnMouseMove
 | ro | OnMouseUp
 | ro | OnMouseWheel
 | ro | OnMouseWheelDown
 | ro | OnMouseWheelUp
 | ro | OnResize
 |  | OnSelectionChange
 | ro | OnUTF8KeyPress
TWinControl
pt |  | OnGetSiteInfo
pt |  | OnGetDockCaption
 |  | OnAlignInsertBefore
 |  | OnAlignPosition
 |  | OnDockDrop
 |  | OnDockOver
 |  | OnEnter
 |  | OnExit
 |  | OnKeyDown
 |  | OnKeyPress
 |  | OnKeyUp
 |  | OnUnDock
 |  | OnUTF8KeyPress
TControl
pt |  | OnConstrainedResize
pt |  | OnContextPopup
pt |  | OnDblClick
pt |  | OnTripleClick
pt |  | OnQuadClick
pt |  | OnDragDrop
pt |  | OnDragOver
pt |  | OnEndDock
pt |  | OnEndDrag
pt |  | OnMouseDown
pt |  | OnMouseMove
pt |  | OnMouseUp
pt |  | OnMouseEnter
pt |  | OnMouseLeave
pt |  | OnMouseWheel
pt |  | OnMouseWheelDown
pt |  | OnMouseWheelUp
pt |  | OnMouseWheelHorz
pt |  | OnMouseWheelLeft
pt |  | OnMouseWheelRight
pt |  | OnStartDock
pt |  | OnStartDrag
pt |  | OnEditingDone
 |  | OnChangeBounds
 |  | OnClick
 |  | OnResize
 |  | OnShowHint
TLCLComponent
TComponent
TPersistent
TObject


 | ro | OnChangeBounds (TCustomListBox)
 |  | OnClick (TControl)
 | ro | OnClick (TCustomListBox)
pt |  | OnConstrainedResize (TControl)
pt |  | OnContextPopup (TControl)
pt |  | OnDblClick (TControl)
 | ro | OnDblClick (TCustomListBox)
 |  | OnDockDrop (TWinControl)
 |  | OnDockOver (TWinControl)
pt |  | OnDragDrop (TControl)
pt |  | OnDragOver (TControl)
 |  | OnDrawItem (TCustomListBox)
pt |  | OnEditingDone (TControl)
pt |  | OnEndDock (TControl)
pt |  | OnEndDrag (TControl)
 |  | OnEnter (TWinControl)
 | ro | OnEnter (TCustomListBox)
 |  | OnExit (TWinControl)
 | ro | OnExit (TCustomListBox)
pt |  | OnGetDockCaption (TWinControl)
pt |  | OnGetSiteInfo (TWinControl)
 |  | OnKeyDown (TWinControl)
 | ro | OnKeyDown (TCustomListBox)
 |  | OnKeyPress (TWinControl)
 | ro | OnKeyPress (TCustomListBox)
 |  | OnKeyUp (TWinControl)
 | ro | OnKeyUp (TCustomListBox)
 |  | OnMeasureItem (TCustomListBox)
pt |  | OnMouseDown (TControl)
 | ro | OnMouseDown (TCustomListBox)
pt |  | OnMouseEnter (TControl)
 | ro | OnMouseEnter (TCustomListBox)
pt |  | OnMouseLeave (TControl)
 | ro | OnMouseLeave (TCustomListBox)
pt |  | OnMouseMove (TControl)
 | ro | OnMouseMove (TCustomListBox)
pt |  | OnMouseUp (TControl)
 | ro | OnMouseUp (TCustomListBox)
pt |  | OnMouseWheel (TControl)
 | ro | OnMouseWheel (TCustomListBox)
pt |  | OnMouseWheelDown (TControl)
 | ro | OnMouseWheelDown (TCustomListBox)
pt |  | OnMouseWheelHorz (TControl)
pt |  | OnMouseWheelLeft (TControl)
pt |  | OnMouseWheelRight (TControl)
pt |  | OnMouseWheelUp (TControl)
 | ro | OnMouseWheelUp (TCustomListBox)
pt |  | OnQuadClick (TControl)
 |  | OnResize (TControl)
 | ro | OnResize (TCustomListBox)
 |  | OnSelectionChange (TCustomListBox)
 |  | OnShowHint (TControl)
pt |  | OnStartDock (TControl)
pt |  | OnStartDrag (TControl)
pt |  | OnTripleClick (TControl)
 |  | OnUnDock (TWinControl)
 |  | OnUTF8KeyPress (TWinControl)
 | ro | OnUTF8KeyPress (TCustomListBox)


TCustomDBListBox.Create

Create - constructor for TCustomDBListBox: calls inherited Create, makes links and sets up event handlers for data change, change in Editing status and updating data

Declaration

Source position: dbctrls.pp line 367

public constructor TCustomDBListBox.Create(

  AOwner: TComponent

); override;

See also

CustomListBox.Create


TCustomDBListBox.DataChange

DataChange - method for dealing with a change in the data

Declaration

Source position: dbctrls.pp line 359

protected procedure TCustomDBListBox.DataChange(

  Sender: TObject

); virtual; abstract;


TCustomDBListBox.DataField

The name of the DataField to which the listbox belongs

Declaration

Source position: dbctrls.pp line 372

public property TCustomDBListBox.DataField : string
  read GetDataField
  write SetDataField;


TCustomDBListBox.DataSource

The identity of the DataSource from which the lookup data will be fetched

Declaration

Source position: dbctrls.pp line 373

public property TCustomDBListBox.DataSource : TDataSource
  read GetDataSource
  write SetDataSource;


TCustomDBListBox.Destroy

Destroy - destructor for TCustomEBListbox: frees data links then calls inherited Destroy

Declaration

Source position: dbctrls.pp line 368

public destructor TCustomDBListBox.Destroy; override;

See also

CustomListBox.Destroy


TCustomDBListBox.ExecuteAction

Declaration

Source position: dbctrls.pp line 369

public function TCustomDBListBox.ExecuteAction(

  AAction: TBasicAction

):Boolean; override;


TCustomDBListBox.FDataLink

FDataLink - local variable holding the identity of the field data link

Declaration

Source position: dbctrls.pp line 358

protected TCustomDBListBox.FDataLink : TFieldDataLink;


TCustomDBListBox.Field

The identity of the Field to which the listbox belongs

Declaration

Source position: dbctrls.pp line 371

public property TCustomDBListBox.Field : TField
  read GetField;


TCustomDBListBox.ReadOnly

ReadOnly - if True, the data can only be read but not written or edited

Declaration

Source position: dbctrls.pp line 376

public property TCustomDBListBox.ReadOnly : Boolean
  read GetReadOnly
  write SetReadOnly
  default False;


TCustomDBListBox.SetItems

SetItems - copies the specified Values into the Items property

Declaration

Source position: dbctrls.pp line 365

protected procedure TCustomDBListBox.SetItems(

  Values: TStrings

); override;

See also

TCustomListBox.SetItems


TCustomDBListBox.UpdateAction

Declaration

Source position: dbctrls.pp line 370

public function TCustomDBListBox.UpdateAction(

  AAction: TBasicAction

):Boolean; override;


TCustomDBListBox.UpdateData

UpdateData - method for applying any pending changes to the data

Declaration

Source position: dbctrls.pp line 363

protected procedure TCustomDBListBox.UpdateData(

  Sender: TObject

); virtual; abstract;


TDBCalendar

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

TDBCalendar - a data-aware version of TCalendar, for selecting a date to put in a database field

Declaration

Source position: dbctrls.pp line 1212

type TDBCalendar = class(TCalendar)
protected
procedure Notification(); override; |
public
constructor Create(); override; | Create - constructor for TDBCalendar: calls inherited Create and forms datalinks and actions
destructor Destroy; override; | Destroy - destructor for TDBCalendar: frees datalinks and calls inherited Destroy
procedure EditingDone; override; | EditingDone - changes data over the link then calls inherited EditingDone
function ExecuteAction(); override;
function UpdateAction(); override;
property Field: TField; [r] | The Field to which the calendar is attached
published
property BorderSpacing: TControlBorderSpacing; | Determines the inner and outer border spacing for this control.
property DataField: string; [rw] | The name of the DataField as a string
property DataSource: TDataSource; [rw] | The identity of the DataSource holding the date information
property Date: string; [ws] | The Date obtained from the Calendar
property ReadOnly: Boolean; [rw] | ReadOnly - if True, calendar can only be viewed but not changed
property DisplaySettings: TDisplaySettings; [s] | DisplaySettings - various options governing the appearance of the display
property DoubleBuffered: Boolean;
property DragCursor: TCursor; | The cursor shape shown while the control is dragged.
property DragMode: TDragMode; | Allows the user to drag the control.
property ParentDoubleBuffered: Boolean;
property Visible: Boolean; | Allows to show or hide the control, and all of its children.
property OnClick: TNotifyEvent; | Notification handler for mouse clicks.
property OnDragDrop: TDragDropEvent; | This handler determines the action on an drop onto this control, in a drag-drop operation.
property OnDragOver: TDragOverEvent; | Event handler for a control being dragged over this control.
property OnEndDrag: TEndDragEvent; | Notification handler for the end of a dragging operation.
property OnMouseMove: TMouseMoveEvent; | Event handler for mouse movement within the control.
property OnMouseDown: TMouseEvent; | Event handler for mouse button going down.
property OnDayChanged: TNotifyEvent; | OnDayChanged - event handler for a change in Day selected
property OnMonthChanged: TNotifyEvent; | OnMonthChanged - event handler for a change in month selected
property OnStartDrag: TStartDragEvent; | Event handler for the start of a dragging operation.
property OnYearChanged: TNotifyEvent; | OnYearChanged - event handler for a change in the year selected
end;

Inheritance

TDBCalendar | TDBCalendar - a data-aware version of TCalendar, for selecting a date to put in a database field
|
TCalendar | TCalendar - a graphic allowing the user to select a date which is returned as data to the calling routine
|
TCustomCalendar | TCustomCalendar - base class for TCalendar, a graphic for selecting a date
|
TWinControl | The base class for controls which can contain other (child) controls.
|
TControl | The base class for visible controls.
|
TLCLComponent | The base class for LCL components associated with widgets.
|
TComponent,IUnknown,IInterfaceComponentReference
|
TPersistent,IFPObserved
|
TObject

Description

A pop-up calendar appears, and the user can navigate through years, months and days to select the date that is required. When a date is selected, it is inserted into the Date field of the appropriate record in the database.

See also

HowToUseDataAwareControls

HowToUseDataAwareControls - Hints for accessing databases


TDBCalendar
 | ro | Field
pl | ro | BorderSpacing
pl |  | DataField
pl |  | DataSource
pl |  | Date
pl |  | ReadOnly
pl | ro | DisplaySettings
pl | ro | DoubleBuffered
pl | ro | DragCursor
pl | ro | DragMode
pl | ro | ParentDoubleBuffered
pl | ro | Visible
TCalendar
pl | ro | Align
pl | ro | Anchors
pl | ro | AutoSize
pl | ro | BorderSpacing
pl | ro | Constraints
pl | ro | DateTime
pl | ro | DisplaySettings
pl | ro | DoubleBuffered
pl | ro | Hint
pl | ro | ParentDoubleBuffered
pl | ro | PopupMenu
pl | ro | ShowHint
pl | ro | TabOrder
pl | ro | TabStop
pl | ro | Visible
TCustomCalendar
 |  | Date
 |  | DateTime
 |  | DisplaySettings
TWinControl
pt |  | WindowHandle
pt |  | BorderStyle
pt |  | ParentBackground
 |  | BorderWidth
 | ro | BoundsLockCount
 | ro | Brush
 | ro | CachedClientHeight
 | ro | CachedClientWidth
 |  | ChildSizing
 | ro | ControlCount
 | ro | Controls
 |  | DefWndProc
 | ro | DockClientCount
 | ro | DockClients
 |  | DockManager
 |  | DockSite
 |  | DoubleBuffered
 |  | Handle
 | ro | IsFlipped
 | ro | IsResizing
 |  | TabOrder
 |  | TabStop
 |  | ParentDoubleBuffered
 |  | ParentWindow
 | ro | Showing
 |  | UseDockManager
 |  | DesignerDeleting
 | ro | VisibleDockClientCount
TControl
pt | ro | AutoSizing
pt | ro | AutoSizingAll
pt | ro | AutoSizingLockCount
pt |  | ActionLink
pt |  | DesktopFont
pt |  | DragCursor
pt |  | DragKind
pt |  | DragMode
pt |  | MouseCapture
pt |  | ParentColor
pt |  | ParentFont
pt |  | ParentShowHint
pt |  | SessionProperties
pt |  | Text
 | ro | AnchoredControls
 | ro | BaseBounds
 | ro | ReadBounds
 | ro | BaseParentClientSize
 |  | AccessibleDescription
 |  | AccessibleValue
 |  | AccessibleRole
 |  | Action
 |  | Align
 |  | Anchors
 | ro | AnchorSide
 |  | AutoSize
 |  | BorderSpacing
 |  | BoundsRect
 |  | BoundsRectForNewParent
 |  | Caption
 |  | CaptureMouseButtons
 |  | ClientHeight
 | ro | ClientOrigin
 | ro | ClientRect
 |  | ClientWidth
 |  | Color
 |  | Constraints
 | ro | ControlOrigin
 |  | ControlState
 |  | ControlStyle
 |  | Enabled
 |  | Font
 |  | IsControl
 | ro | MouseEntered
 | ro | MouseInClient
 |  | Parent
 |  | PopupMenu
 |  | ShowHint
 |  | Visible
 |  | WindowProc
 |  | DockOrientation
 | ro | Floating
 |  | FloatingDockSiteClass
 |  | HostDockSite
 |  | LRDockWidth
 |  | TBDockHeight
 |  | UndockHeight
 |  | UndockWidth
 |  | BiDiMode
 |  | ParentBiDiMode
pl |  | AnchorSideLeft
pl |  | AnchorSideTop
pl |  | AnchorSideRight
pl |  | AnchorSideBottom
pl |  | Cursor
pl |  | Left
pl |  | Height
pl |  | Hint
pl |  | Top
pl |  | Width
pl |  | HelpType
pl |  | HelpKeyword
pl |  | HelpContext
TLCLComponent
 | ro | LCLRefCount
 | ro | WidgetSetClass
TComponent
 | ro | ComObject
 | ro | Components
 | ro | ComponentCount
 |  | ComponentIndex
 | ro | ComponentState
 | ro | ComponentStyle
 |  | DesignInfo
 | ro | Owner
 |  | VCLComObject
 |  | Name
 |  | Tag
TPersistent
TObject


 |  | AccessibleDescription (TControl)
 |  | AccessibleRole (TControl)
 |  | AccessibleValue (TControl)
 |  | Action (TControl)
pt |  | ActionLink (TControl)
 |  | Align (TControl)
pl | ro | Align (TCalendar)
 | ro | AnchoredControls (TControl)
 |  | Anchors (TControl)
pl | ro | Anchors (TCalendar)
 | ro | AnchorSide (TControl)
pl |  | AnchorSideBottom (TControl)
pl |  | AnchorSideLeft (TControl)
pl |  | AnchorSideRight (TControl)
pl |  | AnchorSideTop (TControl)
 |  | AutoSize (TControl)
pl | ro | AutoSize (TCalendar)
pt | ro | AutoSizing (TControl)
pt | ro | AutoSizingAll (TControl)
pt | ro | AutoSizingLockCount (TControl)
 | ro | BaseBounds (TControl)
 | ro | BaseParentClientSize (TControl)
 |  | BiDiMode (TControl)
 |  | BorderSpacing (TControl)
pl | ro | BorderSpacing (TCalendar)
pl | ro | BorderSpacing (TDBCalendar)
pt |  | BorderStyle (TWinControl)
 |  | BorderWidth (TWinControl)
 | ro | BoundsLockCount (TWinControl)
 |  | BoundsRect (TControl)
 |  | BoundsRectForNewParent (TControl)
 | ro | Brush (TWinControl)
 | ro | CachedClientHeight (TWinControl)
 | ro | CachedClientWidth (TWinControl)
 |  | Caption (TControl)
 |  | CaptureMouseButtons (TControl)
 |  | ChildSizing (TWinControl)
 |  | ClientHeight (TControl)
 | ro | ClientOrigin (TControl)
 | ro | ClientRect (TControl)
 |  | ClientWidth (TControl)
 |  | Color (TControl)
 | ro | ComObject (TComponent)
 | ro | ComponentCount (TComponent)
 |  | ComponentIndex (TComponent)
 | ro | Components (TComponent)
 | ro | ComponentState (TComponent)
 | ro | ComponentStyle (TComponent)
 |  | Constraints (TControl)
pl | ro | Constraints (TCalendar)
 | ro | ControlCount (TWinControl)
 | ro | ControlOrigin (TControl)
 | ro | Controls (TWinControl)
 |  | ControlState (TControl)
 |  | ControlStyle (TControl)
pl |  | Cursor (TControl)
pl |  | DataField (TDBCalendar)
pl |  | DataSource (TDBCalendar)
 |  | Date (TCustomCalendar)
pl |  | Date (TDBCalendar)
 |  | DateTime (TCustomCalendar)
pl | ro | DateTime (TCalendar)
 |  | DefWndProc (TWinControl)
 |  | DesignerDeleting (TWinControl)
 |  | DesignInfo (TComponent)
pt |  | DesktopFont (TControl)
 |  | DisplaySettings (TCustomCalendar)
pl | ro | DisplaySettings (TCalendar)
pl | ro | DisplaySettings (TDBCalendar)
 | ro | DockClientCount (TWinControl)
 | ro | DockClients (TWinControl)
 |  | DockManager (TWinControl)
 |  | DockOrientation (TControl)
 |  | DockSite (TWinControl)
 |  | DoubleBuffered (TWinControl)
pl | ro | DoubleBuffered (TCalendar)
pl | ro | DoubleBuffered (TDBCalendar)
pt |  | DragCursor (TControl)
pl | ro | DragCursor (TDBCalendar)
pt |  | DragKind (TControl)
pt |  | DragMode (TControl)
pl | ro | DragMode (TDBCalendar)
 |  | Enabled (TControl)
 | ro | Field (TDBCalendar)
 | ro | Floating (TControl)
 |  | FloatingDockSiteClass (TControl)
 |  | Font (TControl)
 |  | Handle (TWinControl)
pl |  | Height (TControl)
pl |  | HelpContext (TControl)
pl |  | HelpKeyword (TControl)
pl |  | HelpType (TControl)
pl |  | Hint (TControl)
pl | ro | Hint (TCalendar)
 |  | HostDockSite (TControl)
 |  | IsControl (TControl)
 | ro | IsFlipped (TWinControl)
 | ro | IsResizing (TWinControl)
 | ro | LCLRefCount (TLCLComponent)
pl |  | Left (TControl)
 |  | LRDockWidth (TControl)
pt |  | MouseCapture (TControl)
 | ro | MouseEntered (TControl)
 | ro | MouseInClient (TControl)
 |  | Name (TComponent)
 | ro | Owner (TComponent)
 |  | Parent (TControl)
pt |  | ParentBackground (TWinControl)
 |  | ParentBiDiMode (TControl)
pt |  | ParentColor (TControl)
 |  | ParentDoubleBuffered (TWinControl)
pl | ro | ParentDoubleBuffered (TCalendar)
pl | ro | ParentDoubleBuffered (TDBCalendar)
pt |  | ParentFont (TControl)
pt |  | ParentShowHint (TControl)
 |  | ParentWindow (TWinControl)
 |  | PopupMenu (TControl)
pl | ro | PopupMenu (TCalendar)
 | ro | ReadBounds (TControl)
pl |  | ReadOnly (TDBCalendar)
pt |  | SessionProperties (TControl)
 |  | ShowHint (TControl)
pl | ro | ShowHint (TCalendar)
 | ro | Showing (TWinControl)
 |  | TabOrder (TWinControl)
pl | ro | TabOrder (TCalendar)
 |  | TabStop (TWinControl)
pl | ro | TabStop (TCalendar)
 |  | Tag (TComponent)
 |  | TBDockHeight (TControl)
pt |  | Text (TControl)
pl |  | Top (TControl)
 |  | UndockHeight (TControl)
 |  | UndockWidth (TControl)
 |  | UseDockManager (TWinControl)
 |  | VCLComObject (TComponent)
 |  | Visible (TControl)
pl | ro | Visible (TCalendar)
pl | ro | Visible (TDBCalendar)
 | ro | VisibleDockClientCount (TWinControl)
 | ro | WidgetSetClass (TLCLComponent)
pl |  | Width (TControl)
pt |  | WindowHandle (TWinControl)
 |  | WindowProc (TControl)


TDBCalendar
pt | Notification
 | Create
 | Destroy
 | EditingDone
 | ExecuteAction
 | UpdateAction
TCalendar
TCustomCalendar
pt | WSRegisterClass
pt | LMChanged
pt | LMMonthChanged
pt | LMYearChanged
pt | LMDayChanged
pt | GetControlClassDefaultSize
pt | Loaded
pt | InitializeWnd
pt | DestroyWnd
 | Create
 | HitTest
 | GetCalendarView
TWinControl
pt | WSRegisterClass
pt | AdjustClientRect
pt | GetAdjustedLogicalClientRect
pt | AlignControls
pt | CustomAlignInsertBefore
pt | CustomAlignPosition
pt | DoAlignChildControls
pt | DoChildSizingChange
pt | InvalidatePreferredChildSizes
pt | CanTab
pt | IsClientHeightStored
pt | IsClientWidthStored
pt | DoSendShowHideToInterface
pt | ControlsAligned
pt | DoSendBoundsToInterface
pt | RealizeBounds
pt | RealizeBoundsRecursive
pt | InvalidateBoundsRealized
pt | CreateSubClass
pt | DoConstraintsChange
pt | DoSetBounds
pt | DoAutoSize
pt | DoAllAutoSize
pt | AllAutoSized
pt | CalculatePreferredSize
pt | GetPreferredSizeClientFrame
pt | GetChildren
pt | ChildClassAllowed
pt | PaintControls
pt | PaintHandler
pt | PaintWindow
pt | CreateBrush
pt | ScaleControls
pt | ChangeScale
pt | CMBiDiModeChanged
pt | CMBorderChanged
pt | CMDoubleBufferedChanged
pt | CMEnabledChanged
pt | CMParentDoubleBufferedChanged
pt | CMShowingChanged
pt | CMShowHintChanged
pt | CMVisibleChanged
pt | CMEnter
pt | CMExit
pt | WMContextMenu
pt | WMEraseBkgnd
pt | WMNotify
pt | WMSetFocus
pt | WMKillFocus
pt | WMShowWindow
pt | WMEnter
pt | WMExit
pt | WMKeyDown
pt | WMSysKeyDown
pt | WMKeyUp
pt | WMSysKeyUp
pt | WMChar
pt | WMSysChar
pt | WMPaint
pt | WMDestroy
pt | WMMove
pt | WMSize
pt | WMWindowPosChanged
pt | CNKeyDown
pt | CNSysKeyDown
pt | CNKeyUp
pt | CNSysKeyUp
pt | CNChar
pt | DoDragMsg
pt | DoDockClientMsg
pt | DoUndockClientMsg
pt | DoAddDockClient
pt | DockOver
pt | DoDockOver
pt | DoRemoveDockClient
pt | DoUnDock
pt | GetSiteInfo
pt | GetParentHandle
pt | GetTopParentHandle
pt | ReloadDockedControl
pt | CreateDockManager
pt | SetDockManager
pt | DoFloatMsg
pt | DoGetDockCaption
pt | DoEnter
pt | DoExit
pt | DoKeyDownBeforeInterface
pt | DoRemainingKeyDown
pt | DoRemainingKeyUp
pt | DoKeyPress
pt | DoUTF8KeyPress
pt | DoKeyUpBeforeInterface
pt | ChildKey
pt | SendDialogChar
pt | DialogChar
pt | ControlKeyDown
pt | ControlKeyUp
pt | KeyDown
pt | KeyDownBeforeInterface
pt | KeyDownAfterInterface
pt | KeyPress
pt | KeyUp
pt | KeyUpBeforeInterface
pt | KeyUpAfterInterface
pt | UTF8KeyPress
pt | FindNextControl
pt | SelectFirst
pt | RealGetText
pt | GetBorderStyle
pt | GetClientOrigin
pt | GetClientRect
pt | GetControlOrigin
pt | GetDeviceContext
pt | GetParentBackground
pt | IsControlMouseMsg
pt | CreateHandle
pt | CreateParams
pt | CreateWnd
pt | DestroyHandle
pt | DestroyWnd
pt | DoFlipChildren
pt | FinalizeWnd
pt | FixupTabList
pt | FontChanged
pt | InitializeWnd
pt | Loaded
pt | FormEndUpdated
pt | MainWndProc
pt | ParentFormHandleInitialized
pt | ChildHandlesCreated
pt | GetMouseCapture
pt | RealSetText
pt | RemoveFocus
pt | SendMoveSizeMessages
pt | SetBorderStyle
pt | SetColor
pt | SetChildZPosition
pt | SetParentBackground
pt | ShowControl
pt | UpdateControlState
pt | UpdateShowing
pt | WndProc
pt | WSSetText
 | AutoSizePhases
 | AutoSizeDelayed
 | AutoSizeDelayedReport
 | AutoSizeDelayedHandle
 | BeginUpdateBounds
 | EndUpdateBounds
 | LockRealizeBounds
 | UnlockRealizeBounds
 | ControlAtPos
 | ContainsControl
 | DoAdjustClientRectChange
 | InvalidateClientRectCache
 | ClientRectNeedsInterfaceUpdate
 | SetBounds
 | GetChildrenRect
 | DisableAlign
 | EnableAlign
 | ReAlign
 | ScrollBy_WS
 | ScrollBy
 | WriteLayoutDebugReport
 | AutoAdjustLayout
 | Create
 | CreateParented
 | CreateParentedControl
 | Destroy
 | DockDrop
 | CanFocus
 | CanSetFocus
 | GetControlIndex
 | SetControlIndex
 | Focused
 | PerformTab
 | FindChildControl
 | SelectNext
 | SetTempCursor
 | BroadCast
 | NotifyControls
 | DefaultHandler
 | GetTextLen
 | Invalidate
 | AddControl
 | InsertControl
 | RemoveControl
 | GetEnumeratorControls
 | GetEnumeratorControlsReverse
 | Repaint
 | Update
 | SetFocus
 | FlipChildren
 | ScaleBy
 | GetDockCaption
 | UpdateDockCaption
 | GetTabOrderList
 | HandleAllocated
 | ParentHandlesAllocated
 | HandleNeeded
 | BrushCreated
 | EraseBackground
 | IntfUTF8KeyPress
 | IntfGetDropFilesTarget
 | PaintTo
 | SetShape
TControl
pt | WSRegisterClass
pt | GetCursor
pt | SetCursor
pt | SetVisible
pt | DoOnParentHandleDestruction
pt | DoAutoSize
pt | DoAllAutoSize
pt | BeginAutoSizing
pt | EndAutoSizing
pt | AnchorSideChanged
pt | ForeignAnchorSideChanged
pt | SetAlign
pt | SetAnchors
pt | SetAutoSize
pt | BoundsChanged
pt | CreateControlBorderSpacing
pt | DoConstraintsChange
pt | DoBorderSpacingChange
pt | IsBorderSpacingInnerBorderStored
pt | IsCaptionStored
pt | SendMoveSizeMessages
pt | ConstrainedResize
pt | CalculatePreferredSize
pt | DoOnResize
pt | DoOnChangeBounds
pt | CheckOnChangeBounds
pt | Resize
pt | RequestAlign
pt | UpdateAnchorRules
pt | ChangeBounds
pt | DoSetBounds
pt | ScaleConstraints
pt | ChangeScale
pt | CanAutoSize
pt | SetBiDiMode
pt | SetParentBiDiMode
pt | IsAParentAligning
pt | GetClientOrigin
pt | GetClientRect
pt | GetLogicalClientRect
pt | GetScrolledClientRect
pt | GetClientScrollOffset
pt | GetControlOrigin
pt | IsClientHeightStored
pt | IsClientWidthStored
pt | WidthIsAnchored
pt | HeightIsAnchored
pt | WMCancelMode
pt | WMContextMenu
pt | WMLButtonDown
pt | WMRButtonDown
pt | WMMButtonDown
pt | WMXButtonDown
pt | WMLButtonDBLCLK
pt | WMRButtonDBLCLK
pt | WMMButtonDBLCLK
pt | WMXButtonDBLCLK
pt | WMLButtonTripleCLK
pt | WMRButtonTripleCLK
pt | WMMButtonTripleCLK
pt | WMXButtonTripleCLK
pt | WMLButtonQuadCLK
pt | WMRButtonQuadCLK
pt | WMMButtonQuadCLK
pt | WMXButtonQuadCLK
pt | WMMouseMove
pt | WMLButtonUp
pt | WMRButtonUp
pt | WMMButtonUp
pt | WMXButtonUp
pt | WMMouseWheel
pt | WMMouseHWheel
pt | WMMove
pt | WMSize
pt | WMWindowPosChanged
pt | CMChanged
pt | LMCaptureChanged
pt | CMBiDiModeChanged
pt | CMSysFontChanged
pt | CMEnabledChanged
pt | CMHitTest
pt | CMMouseEnter
pt | CMMouseLeave
pt | CMHintShow
pt | CMParentBiDiModeChanged
pt | CMParentColorChanged
pt | CMParentFontChanged
pt | CMParentShowHintChanged
pt | CMVisibleChanged
pt | CMTextChanged
pt | CMCursorChanged
pt | CalculateDockSizes
pt | CreateFloatingDockSite
pt | GetDockEdge
pt | GetDragImages
pt | GetFloating
pt | GetFloatingDockSiteClass
pt | BeforeDragStart
pt | BeginAutoDrag
pt | DoFloatMsg
pt | DockTrackNoTarget
pt | DoDock
pt | DoDragMsg
pt | DoEndDock
pt | DoEndDrag
pt | DoStartDock
pt | DoStartDrag
pt | DragCanceled
pt | DragOver
pt | PositionDockRect
pt | SetDragMode
pt | GetDefaultDockCaption
pt | Click
pt | DblClick
pt | TripleClick
pt | QuadClick
pt | GetMousePosFromMessage
pt | MouseDown
pt | MouseMove
pt | MouseUp
pt | MouseEnter
pt | MouseLeave
pt | DialogChar
pt | UpdateMouseCursor
pt | Changed
pt | GetPalette
pt | ChildClassAllowed
pt | ReadState
pt | Loaded
pt | LoadedAll
pt | DefineProperties
pt | AssignTo
pt | FormEndUpdated
pt | InvalidateControl
pt | FontChanged
pt | ParentFontChanged
pt | GetAction
pt | RealGetText
pt | RealSetText
pt | TextChanged
pt | GetCachedText
pt | SetAction
pt | SetColor
pt | SetEnabled
pt | SetHint
pt | SetName
pt | SetParent
pt | SetParentComponent
pt | WndProc
pt | ParentFormHandleInitialized
pt | GetMouseCapture
pt | CaptureChanged
pt | Notification
pt | CanTab
pt | GetDeviceContext
pt | GetEnabled
pt | GetPopupMenu
pt | DoOnShowHint
pt | DoMouseWheel
pt | DoMouseWheelDown
pt | DoMouseWheelUp
pt | DoMouseWheelHorz
pt | DoMouseWheelLeft
pt | DoMouseWheelRight
pt | VisibleChanging
pt | VisibleChanged
pt | EnabledChanging
pt | EnabledChanged
pt | AddHandler
pt | RemoveHandler
pt | DoCallNotifyHandler
pt | DoCallKeyEventHandler
pt | DoCallMouseWheelEventHandler
pt | DoContextPopup
pt | SetZOrder
pt | GetControlClassDefaultSize
pt | ColorIsStored
pt | DoAutoAdjustLayout
pt | DoFixDesignFontPPI
pt | DoScaleFontPPI
pt | GetActionLinkClass
pt | ActionChange
 | DragDrop
 | Dock
 | ManualDock
 | ManualFloat
 | ReplaceDockedControl
 | Docked
 | Dragging
 | GetAccessibleObject
 | CreateAccessibleObject
 | GetSelectedChildAccessibleObject
 | GetChildAccessibleObjectAtPos
 | ScaleDesignToForm
 | ScaleFormToDesign
 | Scale96ToForm
 | ScaleFormTo96
 | Scale96ToFont
 | ScaleFontTo96
 | ScaleScreenToFont
 | ScaleFontToScreen
 | Scale96ToScreen
 | ScaleScreenTo96
 | AdjustSize
 | AutoSizePhases
 | AutoSizeDelayed
 | AutoSizeDelayedReport
 | AutoSizeDelayedHandle
 | AnchorToNeighbour
 | AnchorParallel
 | AnchorHorizontalCenterTo
 | AnchorVerticalCenterTo
 | AnchorToCompanion
 | AnchorSame
 | AnchorAsAlign
 | AnchorClient
 | AnchoredControlCount
 | SetBounds
 | SetInitialBounds
 | SetBoundsKeepBase
 | GetPreferredSize
 | GetCanvasScaleFactor
 | GetDefaultWidth
 | GetDefaultHeight
 | GetDefaultColor
 | GetColorResolvingParent
 | GetRGBColorResolvingParent
 | GetSidePosition
 | CNPreferredSizeChanged
 | InvalidatePreferredSize
 | GetAnchorsDependingOnParent
 | DisableAutoSizing
 | EnableAutoSizing
 | UpdateBaseBounds
 | WriteLayoutDebugReport
 | AutoAdjustLayout
 | ShouldAutoAdjust
 | FixDesignFontsPPI
 | ScaleFontsPPI
 | Create
 | Destroy
 | BeforeDestruction
 | EditingDone
 | ExecuteDefaultAction
 | ExecuteCancelAction
 | BeginDrag
 | EndDrag
 | BringToFront
 | HasParent
 | GetParentComponent
 | IsParentOf
 | GetTopParent
 | IsVisible
 | IsControlVisible
 | IsEnabled
 | IsParentColor
 | IsParentFont
 | FormIsUpdating
 | IsProcessingPaintMsg
 | Hide
 | Refresh
 | Repaint
 | Invalidate
 | CheckChildClassAllowed
 | CheckNewParent
 | SendToBack
 | SetTempCursor
 | UpdateRolesForForm
 | ActiveDefaultControlChanged
 | GetTextBuf
 | GetTextLen
 | SetTextBuf
 | Perform
 | ScreenToClient
 | ClientToScreen
 | ScreenToControl
 | ControlToScreen
 | ClientToParent
 | ParentToClient
 | GetChildrenRect
 | Show
 | Update
 | HandleObjectShouldBeVisible
 | ParentDestroyingHandle
 | ParentHandlesAllocated
 | InitiateAction
 | ShowHelp
 | HasHelp
 | RemoveAllHandlersOfObject
 | AddHandlerOnResize
 | RemoveHandlerOnResize
 | AddHandlerOnChangeBounds
 | RemoveHandlerOnChangeBounds
 | AddHandlerOnVisibleChanging
 | RemoveHandlerOnVisibleChanging
 | AddHandlerOnVisibleChanged
 | RemoveHandlerOnVisibleChanged
 | AddHandlerOnEnabledChanged
 | RemoveHandlerOnEnableChanging
 | AddHandlerOnKeyDown
 | RemoveHandlerOnKeyDown
 | AddHandlerOnBeforeDestruction
 | RemoveHandlerOnBeforeDestruction
 | AddHandlerOnMouseWheel
 | RemoveHandlerOnMouseWheel
 | UseRightToLeftAlignment
 | UseRightToLeftReading
 | UseRightToLeftScrollBar
 | IsRightToLeft
TLCLComponent
pt | WSRegisterClass
pt | GetWSComponentClass
 | Create
 | Destroy
 | NewInstance
 | RemoveAllHandlersOfObject
 | IncLCLRefCount
 | DecLCLRefCount
TComponent
 | GetComObject
 | GetComponent
 | GetComponentCount
 | GetComponentIndex
 | Insert
 | ReadLeft
 | ReadTop
 | Remove
 | RemoveNotification
 | SetComponentIndex
 | SetReference
 | WriteLeft
 | WriteTop
 | ChangeName
 | DefineProperties
 | GetChildren
 | GetChildOwner
 | GetChildParent
 | GetOwner
 | Loaded
 | Loading
 | Notification
 | PaletteCreated
 | ReadState
 | SetAncestor
 | SetDesigning
 | SetDesignInstance
 | SetInline
 | SetName
 | SetChildOrder
 | SetParentComponent
 | Updating
 | Updated
 | UpdateRegistry
 | ValidateRename
 | ValidateContainer
 | ValidateInsert
 | QueryInterface
 | _AddRef
 | _Release
 | iicrGetComponent
 | GetTypeInfoCount
 | GetTypeInfo
 | GetIDsOfNames
 | Invoke
 | WriteState
 | Create
 | Destroy
 | BeforeDestruction
 | DestroyComponents
 | Destroying
 | ExecuteAction
 | FindComponent
 | FreeNotification
 | RemoveFreeNotification
 | FreeOnRelease
 | GetEnumerator
 | GetNamePath
 | GetParentComponent
 | HasParent
 | InsertComponent
 | RemoveComponent
 | SafeCallException
 | SetSubComponent
 | UpdateAction
 | IsImplementorOf
 | ReferenceInterface
TPersistent
 | AssignError
 | AssignTo
 | DefineProperties
 | GetOwner
 | Destroy
 | Assign
 | FPOAttachObserver
 | FPODetachObserver
 | FPONotifyObservers
 | GetNamePath
TObject
 | Create
 | Destroy
 | newinstance
 | FreeInstance
 | SafeCallException
 | DefaultHandler
 | Free
 | InitInstance
 | CleanupInstance
 | ClassType
 | ClassInfo
 | ClassName
 | ClassNameIs
 | ClassParent
 | InstanceSize
 | InheritsFrom
 | StringMessageTable
 | MethodAddress
 | MethodName
 | FieldAddress
 | AfterConstruction
 | BeforeDestruction
 | DefaultHandlerStr
 | Dispatch
 | DispatchStr
 | GetInterface
 | GetInterfaceByStr
 | GetInterfaceWeak
 | GetInterfaceEntry
 | GetInterfaceEntryByStr
 | GetInterfaceTable
 | UnitName
 | Equals
 | GetHashCode
 | ToString


pt | ActionChange (TControl)
 | ActiveDefaultControlChanged (TControl)
 | AddControl (TWinControl)
pt | AddHandler (TControl)
 | AddHandlerOnBeforeDestruction (TControl)
 | AddHandlerOnChangeBounds (TControl)
 | AddHandlerOnEnabledChanged (TControl)
 | AddHandlerOnKeyDown (TControl)
 | AddHandlerOnMouseWheel (TControl)
 | AddHandlerOnResize (TControl)
 | AddHandlerOnVisibleChanged (TControl)
 | AddHandlerOnVisibleChanging (TControl)
pt | AdjustClientRect (TWinControl)
 | AdjustSize (TControl)
 | AfterConstruction (TObject)
pt | AlignControls (TWinControl)
pt | AllAutoSized (TWinControl)
 | AnchorAsAlign (TControl)
 | AnchorClient (TControl)
 | AnchoredControlCount (TControl)
 | AnchorHorizontalCenterTo (TControl)
 | AnchorParallel (TControl)
 | AnchorSame (TControl)
pt | AnchorSideChanged (TControl)
 | AnchorToCompanion (TControl)
 | AnchorToNeighbour (TControl)
 | AnchorVerticalCenterTo (TControl)
 | Assign (TPersistent)
 | AssignError (TPersistent)
 | AssignTo (TPersistent)
pt | AssignTo (TControl)
 | AutoAdjustLayout (TControl)
 | AutoAdjustLayout (TWinControl)
 | AutoSizeDelayed (TControl)
 | AutoSizeDelayed (TWinControl)
 | AutoSizeDelayedHandle (TControl)
 | AutoSizeDelayedHandle (TWinControl)
 | AutoSizeDelayedReport (TControl)
 | AutoSizeDelayedReport (TWinControl)
 | AutoSizePhases (TControl)
 | AutoSizePhases (TWinControl)
 | BeforeDestruction (TObject)
 | BeforeDestruction (TComponent)
 | BeforeDestruction (TControl)
pt | BeforeDragStart (TControl)
pt | BeginAutoDrag (TControl)
pt | BeginAutoSizing (TControl)
 | BeginDrag (TControl)
 | BeginUpdateBounds (TWinControl)
pt | BoundsChanged (TControl)
 | BringToFront (TControl)
 | BroadCast (TWinControl)
 | BrushCreated (TWinControl)
pt | CalculateDockSizes (TControl)
pt | CalculatePreferredSize (TControl)
pt | CalculatePreferredSize (TWinControl)
pt | CanAutoSize (TControl)
 | CanFocus (TWinControl)
 | CanSetFocus (TWinControl)
pt | CanTab (TControl)
pt | CanTab (TWinControl)
pt | CaptureChanged (TControl)
pt | ChangeBounds (TControl)
pt | Changed (TControl)
 | ChangeName (TComponent)
pt | ChangeScale (TControl)
pt | ChangeScale (TWinControl)
 | CheckChildClassAllowed (TControl)
 | CheckNewParent (TControl)
pt | CheckOnChangeBounds (TControl)
pt | ChildClassAllowed (TControl)
pt | ChildClassAllowed (TWinControl)
pt | ChildHandlesCreated (TWinControl)
pt | ChildKey (TWinControl)
 | ClassInfo (TObject)
 | ClassName (TObject)
 | ClassNameIs (TObject)
 | ClassParent (TObject)
 | ClassType (TObject)
 | CleanupInstance (TObject)
pt | Click (TControl)
 | ClientRectNeedsInterfaceUpdate (TWinControl)
 | ClientToParent (TControl)
 | ClientToScreen (TControl)
pt | CMBiDiModeChanged (TControl)
pt | CMBiDiModeChanged (TWinControl)
pt | CMBorderChanged (TWinControl)
pt | CMChanged (TControl)
pt | CMCursorChanged (TControl)
pt | CMDoubleBufferedChanged (TWinControl)
pt | CMEnabledChanged (TControl)
pt | CMEnabledChanged (TWinControl)
pt | CMEnter (TWinControl)
pt | CMExit (TWinControl)
pt | CMHintShow (TControl)
pt | CMHitTest (TControl)
pt | CMMouseEnter (TControl)
pt | CMMouseLeave (TControl)
pt | CMParentBiDiModeChanged (TControl)
pt | CMParentColorChanged (TControl)
pt | CMParentDoubleBufferedChanged (TWinControl)
pt | CMParentFontChanged (TControl)
pt | CMParentShowHintChanged (TControl)
pt | CMShowHintChanged (TWinControl)
pt | CMShowingChanged (TWinControl)
pt | CMSysFontChanged (TControl)
pt | CMTextChanged (TControl)
pt | CMVisibleChanged (TControl)
pt | CMVisibleChanged (TWinControl)
pt | CNChar (TWinControl)
pt | CNKeyDown (TWinControl)
pt | CNKeyUp (TWinControl)
 | CNPreferredSizeChanged (TControl)
pt | CNSysKeyDown (TWinControl)
pt | CNSysKeyUp (TWinControl)
pt | ColorIsStored (TControl)
pt | ConstrainedResize (TControl)
 | ContainsControl (TWinControl)
 | ControlAtPos (TWinControl)
pt | ControlKeyDown (TWinControl)
pt | ControlKeyUp (TWinControl)
pt | ControlsAligned (TWinControl)
 | ControlToScreen (TControl)
 | Create (TObject)
 | Create (TComponent)
 | Create (TLCLComponent)
 | Create (TControl)
 | Create (TWinControl)
 | Create (TCustomCalendar)
 | Create (TDBCalendar)
 | CreateAccessibleObject (TControl)
pt | CreateBrush (TWinControl)
pt | CreateControlBorderSpacing (TControl)
pt | CreateDockManager (TWinControl)
pt | CreateFloatingDockSite (TControl)
pt | CreateHandle (TWinControl)
pt | CreateParams (TWinControl)
 | CreateParented (TWinControl)
 | CreateParentedControl (TWinControl)
pt | CreateSubClass (TWinControl)
pt | CreateWnd (TWinControl)
pt | CustomAlignInsertBefore (TWinControl)
pt | CustomAlignPosition (TWinControl)
pt | DblClick (TControl)
 | DecLCLRefCount (TLCLComponent)
 | DefaultHandler (TObject)
 | DefaultHandler (TWinControl)
 | DefaultHandlerStr (TObject)
 | DefineProperties (TPersistent)
 | DefineProperties (TComponent)
pt | DefineProperties (TControl)
 | Destroy (TObject)
 | Destroy (TPersistent)
 | Destroy (TComponent)
 | Destroy (TLCLComponent)
 | Destroy (TControl)
 | Destroy (TWinControl)
 | Destroy (TDBCalendar)
 | DestroyComponents (TComponent)
pt | DestroyHandle (TWinControl)
 | Destroying (TComponent)
pt | DestroyWnd (TWinControl)
pt | DestroyWnd (TCustomCalendar)
pt | DialogChar (TControl)
pt | DialogChar (TWinControl)
 | DisableAlign (TWinControl)
 | DisableAutoSizing (TControl)
 | Dispatch (TObject)
 | DispatchStr (TObject)
pt | DoAddDockClient (TWinControl)
 | DoAdjustClientRectChange (TWinControl)
pt | DoAlignChildControls (TWinControl)
pt | DoAllAutoSize (TControl)
pt | DoAllAutoSize (TWinControl)
pt | DoAutoAdjustLayout (TControl)
pt | DoAutoSize (TControl)
pt | DoAutoSize (TWinControl)
pt | DoBorderSpacingChange (TControl)
pt | DoCallKeyEventHandler (TControl)
pt | DoCallMouseWheelEventHandler (TControl)
pt | DoCallNotifyHandler (TControl)
pt | DoChildSizingChange (TWinControl)
 | Dock (TControl)
 | DockDrop (TWinControl)
 | Docked (TControl)
pt | DockOver (TWinControl)
pt | DockTrackNoTarget (TControl)
pt | DoConstraintsChange (TControl)
pt | DoConstraintsChange (TWinControl)
pt | DoContextPopup (TControl)
pt | DoDock (TControl)
pt | DoDockClientMsg (TWinControl)
pt | DoDockOver (TWinControl)
pt | DoDragMsg (TControl)
pt | DoDragMsg (TWinControl)
pt | DoEndDock (TControl)
pt | DoEndDrag (TControl)
pt | DoEnter (TWinControl)
pt | DoExit (TWinControl)
pt | DoFixDesignFontPPI (TControl)
pt | DoFlipChildren (TWinControl)
pt | DoFloatMsg (TControl)
pt | DoFloatMsg (TWinControl)
pt | DoGetDockCaption (TWinControl)
pt | DoKeyDownBeforeInterface (TWinControl)
pt | DoKeyPress (TWinControl)
pt | DoKeyUpBeforeInterface (TWinControl)
pt | DoMouseWheel (TControl)
pt | DoMouseWheelDown (TControl)
pt | DoMouseWheelHorz (TControl)
pt | DoMouseWheelLeft (TControl)
pt | DoMouseWheelRight (TControl)
pt | DoMouseWheelUp (TControl)
pt | DoOnChangeBounds (TControl)
pt | DoOnParentHandleDestruction (TControl)
pt | DoOnResize (TControl)
pt | DoOnShowHint (TControl)
pt | DoRemainingKeyDown (TWinControl)
pt | DoRemainingKeyUp (TWinControl)
pt | DoRemoveDockClient (TWinControl)
pt | DoScaleFontPPI (TControl)
pt | DoSendBoundsToInterface (TWinControl)
pt | DoSendShowHideToInterface (TWinControl)
pt | DoSetBounds (TControl)
pt | DoSetBounds (TWinControl)
pt | DoStartDock (TControl)
pt | DoStartDrag (TControl)
pt | DoUnDock (TWinControl)
pt | DoUndockClientMsg (TWinControl)
pt | DoUTF8KeyPress (TWinControl)
pt | DragCanceled (TControl)
 | DragDrop (TControl)
 | Dragging (TControl)
pt | DragOver (TControl)
 | EditingDone (TControl)
 | EditingDone (TDBCalendar)
 | EnableAlign (TWinControl)
 | EnableAutoSizing (TControl)
pt | EnabledChanged (TControl)
pt | EnabledChanging (TControl)
pt | EndAutoSizing (TControl)
 | EndDrag (TControl)
 | EndUpdateBounds (TWinControl)
 | Equals (TObject)
 | EraseBackground (TWinControl)
 | ExecuteAction (TComponent)
 | ExecuteAction (TDBCalendar)
 | ExecuteCancelAction (TControl)
 | ExecuteDefaultAction (TControl)
 | FieldAddress (TObject)
pt | FinalizeWnd (TWinControl)
 | FindChildControl (TWinControl)
 | FindComponent (TComponent)
pt | FindNextControl (TWinControl)
 | FixDesignFontsPPI (TControl)
pt | FixupTabList (TWinControl)
 | FlipChildren (TWinControl)
 | Focused (TWinControl)
pt | FontChanged (TControl)
pt | FontChanged (TWinControl)
pt | ForeignAnchorSideChanged (TControl)
pt | FormEndUpdated (TControl)
pt | FormEndUpdated (TWinControl)
 | FormIsUpdating (TControl)
 | FPOAttachObserver (TPersistent)
 | FPODetachObserver (TPersistent)
 | FPONotifyObservers (TPersistent)
 | Free (TObject)
 | FreeInstance (TObject)
 | FreeNotification (TComponent)
 | FreeOnRelease (TComponent)
 | GetAccessibleObject (TControl)
pt | GetAction (TControl)
pt | GetActionLinkClass (TControl)
pt | GetAdjustedLogicalClientRect (TWinControl)
 | GetAnchorsDependingOnParent (TControl)
pt | GetBorderStyle (TWinControl)
pt | GetCachedText (TControl)
 | GetCalendarView (TCustomCalendar)
 | GetCanvasScaleFactor (TControl)
 | GetChildAccessibleObjectAtPos (TControl)
 | GetChildOwner (TComponent)
 | GetChildParent (TComponent)
 | GetChildren (TComponent)
pt | GetChildren (TWinControl)
 | GetChildrenRect (TControl)
 | GetChildrenRect (TWinControl)
pt | GetClientOrigin (TControl)
pt | GetClientOrigin (TWinControl)
pt | GetClientRect (TControl)
pt | GetClientRect (TWinControl)
pt | GetClientScrollOffset (TControl)
 | GetColorResolvingParent (TControl)
 | GetComObject (TComponent)
 | GetComponent (TComponent)
 | GetComponentCount (TComponent)
 | GetComponentIndex (TComponent)
pt | GetControlClassDefaultSize (TControl)
pt | GetControlClassDefaultSize (TCustomCalendar)
 | GetControlIndex (TWinControl)
pt | GetControlOrigin (TControl)
pt | GetControlOrigin (TWinControl)
pt | GetCursor (TControl)
 | GetDefaultColor (TControl)
pt | GetDefaultDockCaption (TControl)
 | GetDefaultHeight (TControl)
 | GetDefaultWidth (TControl)
pt | GetDeviceContext (TControl)
pt | GetDeviceContext (TWinControl)
 | GetDockCaption (TWinControl)
pt | GetDockEdge (TControl)
pt | GetDragImages (TControl)
pt | GetEnabled (TControl)
 | GetEnumerator (TComponent)
 | GetEnumeratorControls (TWinControl)
 | GetEnumeratorControlsReverse (TWinControl)
pt | GetFloating (TControl)
pt | GetFloatingDockSiteClass (TControl)
 | GetHashCode (TObject)
 | GetIDsOfNames (TComponent)
 | GetInterface (TObject)
 | GetInterfaceByStr (TObject)
 | GetInterfaceEntry (TObject)
 | GetInterfaceEntryByStr (TObject)
 | GetInterfaceTable (TObject)
 | GetInterfaceWeak (TObject)
pt | GetLogicalClientRect (TControl)
pt | GetMouseCapture (TControl)
pt | GetMouseCapture (TWinControl)
pt | GetMousePosFromMessage (TControl)
 | GetNamePath (TPersistent)
 | GetNamePath (TComponent)
 | GetOwner (TPersistent)
 | GetOwner (TComponent)
pt | GetPalette (TControl)
pt | GetParentBackground (TWinControl)
 | GetParentComponent (TComponent)
 | GetParentComponent (TControl)
pt | GetParentHandle (TWinControl)
pt | GetPopupMenu (TControl)
 | GetPreferredSize (TControl)
pt | GetPreferredSizeClientFrame (TWinControl)
 | GetRGBColorResolvingParent (TControl)
pt | GetScrolledClientRect (TControl)
 | GetSelectedChildAccessibleObject (TControl)
 | GetSidePosition (TControl)
pt | GetSiteInfo (TWinControl)
 | GetTabOrderList (TWinControl)
 | GetTextBuf (TControl)
 | GetTextLen (TControl)
 | GetTextLen (TWinControl)
 | GetTopParent (TControl)
pt | GetTopParentHandle (TWinControl)
 | GetTypeInfo (TComponent)
 | GetTypeInfoCount (TComponent)
pt | GetWSComponentClass (TLCLComponent)
 | HandleAllocated (TWinControl)
 | HandleNeeded (TWinControl)
 | HandleObjectShouldBeVisible (TControl)
 | HasHelp (TControl)
 | HasParent (TComponent)
 | HasParent (TControl)
pt | HeightIsAnchored (TControl)
 | Hide (TControl)
 | HitTest (TCustomCalendar)
 | iicrGetComponent (TComponent)
 | IncLCLRefCount (TLCLComponent)
 | InheritsFrom (TObject)
pt | InitializeWnd (TWinControl)
pt | InitializeWnd (TCustomCalendar)
 | InitiateAction (TControl)
 | InitInstance (TObject)
 | Insert (TComponent)
 | InsertComponent (TComponent)
 | InsertControl (TWinControl)
 | InstanceSize (TObject)
 | IntfGetDropFilesTarget (TWinControl)
 | IntfUTF8KeyPress (TWinControl)
 | Invalidate (TControl)
 | Invalidate (TWinControl)
pt | InvalidateBoundsRealized (TWinControl)
 | InvalidateClientRectCache (TWinControl)
pt | InvalidateControl (TControl)
pt | InvalidatePreferredChildSizes (TWinControl)
 | InvalidatePreferredSize (TControl)
 | Invoke (TComponent)
pt | IsAParentAligning (TControl)
pt | IsBorderSpacingInnerBorderStored (TControl)
pt | IsCaptionStored (TControl)
pt | IsClientHeightStored (TControl)
pt | IsClientHeightStored (TWinControl)
pt | IsClientWidthStored (TControl)
pt | IsClientWidthStored (TWinControl)
pt | IsControlMouseMsg (TWinControl)
 | IsControlVisible (TControl)
 | IsEnabled (TControl)
 | IsImplementorOf (TComponent)
 | IsParentColor (TControl)
 | IsParentFont (TControl)
 | IsParentOf (TControl)
 | IsProcessingPaintMsg (TControl)
 | IsRightToLeft (TControl)
 | IsVisible (TControl)
pt | KeyDown (TWinControl)
pt | KeyDownAfterInterface (TWinControl)
pt | KeyDownBeforeInterface (TWinControl)
pt | KeyPress (TWinControl)
pt | KeyUp (TWinControl)
pt | KeyUpAfterInterface (TWinControl)
pt | KeyUpBeforeInterface (TWinControl)
pt | LMCaptureChanged (TControl)
pt | LMChanged (TCustomCalendar)
pt | LMDayChanged (TCustomCalendar)
pt | LMMonthChanged (TCustomCalendar)
pt | LMYearChanged (TCustomCalendar)
 | Loaded (TComponent)
pt | Loaded (TControl)
pt | Loaded (TWinControl)
pt | Loaded (TCustomCalendar)
pt | LoadedAll (TControl)
 | Loading (TComponent)
 | LockRealizeBounds (TWinControl)
pt | MainWndProc (TWinControl)
 | ManualDock (TControl)
 | ManualFloat (TControl)
 | MethodAddress (TObject)
 | MethodName (TObject)
pt | MouseDown (TControl)
pt | MouseEnter (TControl)
pt | MouseLeave (TControl)
pt | MouseMove (TControl)
pt | MouseUp (TControl)
 | newinstance (TObject)
 | NewInstance (TLCLComponent)
 | Notification (TComponent)
pt | Notification (TControl)
pt | Notification (TDBCalendar)
 | NotifyControls (TWinControl)
pt | PaintControls (TWinControl)
pt | PaintHandler (TWinControl)
 | PaintTo (TWinControl)
pt | PaintWindow (TWinControl)
 | PaletteCreated (TComponent)
 | ParentDestroyingHandle (TControl)
pt | ParentFontChanged (TControl)
pt | ParentFormHandleInitialized (TControl)
pt | ParentFormHandleInitialized (TWinControl)
 | ParentHandlesAllocated (TControl)
 | ParentHandlesAllocated (TWinControl)
 | ParentToClient (TControl)
 | Perform (TControl)
 | PerformTab (TWinControl)
pt | PositionDockRect (TControl)
pt | QuadClick (TControl)
 | QueryInterface (TComponent)
 | ReadLeft (TComponent)
 | ReadState (TComponent)
pt | ReadState (TControl)
 | ReadTop (TComponent)
pt | RealGetText (TControl)
pt | RealGetText (TWinControl)
 | ReAlign (TWinControl)
pt | RealizeBounds (TWinControl)
pt | RealizeBoundsRecursive (TWinControl)
pt | RealSetText (TControl)
pt | RealSetText (TWinControl)
 | ReferenceInterface (TComponent)
 | Refresh (TControl)
pt | ReloadDockedControl (TWinControl)
 | Remove (TComponent)
 | RemoveAllHandlersOfObject (TLCLComponent)
 | RemoveAllHandlersOfObject (TControl)
 | RemoveComponent (TComponent)
 | RemoveControl (TWinControl)
pt | RemoveFocus (TWinControl)
 | RemoveFreeNotification (TComponent)
pt | RemoveHandler (TControl)
 | RemoveHandlerOnBeforeDestruction (TControl)
 | RemoveHandlerOnChangeBounds (TControl)
 | RemoveHandlerOnEnableChanging (TControl)
 | RemoveHandlerOnKeyDown (TControl)
 | RemoveHandlerOnMouseWheel (TControl)
 | RemoveHandlerOnResize (TControl)
 | RemoveHandlerOnVisibleChanged (TControl)
 | RemoveHandlerOnVisibleChanging (TControl)
 | RemoveNotification (TComponent)
 | Repaint (TControl)
 | Repaint (TWinControl)
 | ReplaceDockedControl (TControl)
pt | RequestAlign (TControl)
pt | Resize (TControl)
 | SafeCallException (TObject)
 | SafeCallException (TComponent)
 | Scale96ToFont (TControl)
 | Scale96ToForm (TControl)
 | Scale96ToScreen (TControl)
 | ScaleBy (TWinControl)
pt | ScaleConstraints (TControl)
pt | ScaleControls (TWinControl)
 | ScaleDesignToForm (TControl)
 | ScaleFontsPPI (TControl)
 | ScaleFontTo96 (TControl)
 | ScaleFontToScreen (TControl)
 | ScaleFormTo96 (TControl)
 | ScaleFormToDesign (TControl)
 | ScaleScreenTo96 (TControl)
 | ScaleScreenToFont (TControl)
 | ScreenToClient (TControl)
 | ScreenToControl (TControl)
 | ScrollBy (TWinControl)
 | ScrollBy_WS (TWinControl)
pt | SelectFirst (TWinControl)
 | SelectNext (TWinControl)
pt | SendDialogChar (TWinControl)
pt | SendMoveSizeMessages (TControl)
pt | SendMoveSizeMessages (TWinControl)
 | SendToBack (TControl)
pt | SetAction (TControl)
pt | SetAlign (TControl)
 | SetAncestor (TComponent)
pt | SetAnchors (TControl)
pt | SetAutoSize (TControl)
pt | SetBiDiMode (TControl)
pt | SetBorderStyle (TWinControl)
 | SetBounds (TControl)
 | SetBounds (TWinControl)
 | SetBoundsKeepBase (TControl)
 | SetChildOrder (TComponent)
pt | SetChildZPosition (TWinControl)
pt | SetColor (TControl)
pt | SetColor (TWinControl)
 | SetComponentIndex (TComponent)
 | SetControlIndex (TWinControl)
pt | SetCursor (TControl)
 | SetDesigning (TComponent)
 | SetDesignInstance (TComponent)
pt | SetDockManager (TWinControl)
pt | SetDragMode (TControl)
pt | SetEnabled (TControl)
 | SetFocus (TWinControl)
pt | SetHint (TControl)
 | SetInitialBounds (TControl)
 | SetInline (TComponent)
 | SetName (TComponent)
pt | SetName (TControl)
pt | SetParent (TControl)
pt | SetParentBackground (TWinControl)
pt | SetParentBiDiMode (TControl)
 | SetParentComponent (TComponent)
pt | SetParentComponent (TControl)
 | SetReference (TComponent)
 | SetShape (TWinControl)
 | SetSubComponent (TComponent)
 | SetTempCursor (TControl)
 | SetTempCursor (TWinControl)
 | SetTextBuf (TControl)
pt | SetVisible (TControl)
pt | SetZOrder (TControl)
 | ShouldAutoAdjust (TControl)
 | Show (TControl)
pt | ShowControl (TWinControl)
 | ShowHelp (TControl)
 | StringMessageTable (TObject)
pt | TextChanged (TControl)
 | ToString (TObject)
pt | TripleClick (TControl)
 | UnitName (TObject)
 | UnlockRealizeBounds (TWinControl)
 | Update (TControl)
 | Update (TWinControl)
 | UpdateAction (TComponent)
 | UpdateAction (TDBCalendar)
pt | UpdateAnchorRules (TControl)
 | UpdateBaseBounds (TControl)
pt | UpdateControlState (TWinControl)
 | Updated (TComponent)
 | UpdateDockCaption (TWinControl)
pt | UpdateMouseCursor (TControl)
 | UpdateRegistry (TComponent)
 | UpdateRolesForForm (TControl)
pt | UpdateShowing (TWinControl)
 | Updating (TComponent)
 | UseRightToLeftAlignment (TControl)
 | UseRightToLeftReading (TControl)
 | UseRightToLeftScrollBar (TControl)
pt | UTF8KeyPress (TWinControl)
 | ValidateContainer (TComponent)
 | ValidateInsert (TComponent)
 | ValidateRename (TComponent)
pt | VisibleChanged (TControl)
pt | VisibleChanging (TControl)
pt | WidthIsAnchored (TControl)
pt | WMCancelMode (TControl)
pt | WMChar (TWinControl)
pt | WMContextMenu (TControl)
pt | WMContextMenu (TWinControl)
pt | WMDestroy (TWinControl)
pt | WMEnter (TWinControl)
pt | WMEraseBkgnd (TWinControl)
pt | WMExit (TWinControl)
pt | WMKeyDown (TWinControl)
pt | WMKeyUp (TWinControl)
pt | WMKillFocus (TWinControl)
pt | WMLButtonDBLCLK (TControl)
pt | WMLButtonDown (TControl)
pt | WMLButtonQuadCLK (TControl)
pt | WMLButtonTripleCLK (TControl)
pt | WMLButtonUp (TControl)
pt | WMMButtonDBLCLK (TControl)
pt | WMMButtonDown (TControl)
pt | WMMButtonQuadCLK (TControl)
pt | WMMButtonTripleCLK (TControl)
pt | WMMButtonUp (TControl)
pt | WMMouseHWheel (TControl)
pt | WMMouseMove (TControl)
pt | WMMouseWheel (TControl)
pt | WMMove (TControl)
pt | WMMove (TWinControl)
pt | WMNotify (TWinControl)
pt | WMPaint (TWinControl)
pt | WMRButtonDBLCLK (TControl)
pt | WMRButtonDown (TControl)
pt | WMRButtonQuadCLK (TControl)
pt | WMRButtonTripleCLK (TControl)
pt | WMRButtonUp (TControl)
pt | WMSetFocus (TWinControl)
pt | WMShowWindow (TWinControl)
pt | WMSize (TControl)
pt | WMSize (TWinControl)
pt | WMSysChar (TWinControl)
pt | WMSysKeyDown (TWinControl)
pt | WMSysKeyUp (TWinControl)
pt | WMWindowPosChanged (TControl)
pt | WMWindowPosChanged (TWinControl)
pt | WMXButtonDBLCLK (TControl)
pt | WMXButtonDown (TControl)
pt | WMXButtonQuadCLK (TControl)
pt | WMXButtonTripleCLK (TControl)
pt | WMXButtonUp (TControl)
pt | WndProc (TControl)
pt | WndProc (TWinControl)
 | WriteLayoutDebugReport (TControl)
 | WriteLayoutDebugReport (TWinControl)
 | WriteLeft (TComponent)
 | WriteState (TComponent)
 | WriteTop (TComponent)
pt | WSRegisterClass (TLCLComponent)
pt | WSRegisterClass (TControl)
pt | WSRegisterClass (TWinControl)
pt | WSRegisterClass (TCustomCalendar)
pt | WSSetText (TWinControl)
 | _AddRef (TComponent)
 | _Release (TComponent)


TDBCalendar
pl | ro | OnClick
pl | ro | OnDragDrop
pl | ro | OnDragOver
pl | ro | OnEndDrag
pl | ro | OnMouseMove
pl | ro | OnMouseDown
pl | ro | OnDayChanged
pl | ro | OnMonthChanged
pl | ro | OnStartDrag
pl | ro | OnYearChanged
TCalendar
pl | ro | OnChange
pl | ro | OnChangeBounds
pl | ro | OnClick
pl | ro | OnDayChanged
pl | ro | OnDblClick
pl | ro | OnEnter
pl | ro | OnExit
pl | ro | OnKeyDown
pl | ro | OnKeyPress
pl | ro | OnKeyUp
pl | ro | OnMonthChanged
pl | ro | OnMouseDown
pl | ro | OnMouseEnter
pl | ro | OnMouseLeave
pl | ro | OnMouseMove
pl | ro | OnMouseUp
pl | ro | OnMouseWheel
pl | ro | OnMouseWheelDown
pl | ro | OnMouseWheelUp
pl | ro | OnMouseWheelHorz
pl | ro | OnMouseWheelLeft
pl | ro | OnMouseWheelRight
pl | ro | OnResize
pl | ro | OnUTF8KeyPress
pl | ro | OnYearChanged
TCustomCalendar
 |  | OnChange
 |  | OnDayChanged
 |  | OnMonthChanged
 |  | OnYearChanged
TWinControl
pt |  | OnGetSiteInfo
pt |  | OnGetDockCaption
 |  | OnAlignInsertBefore
 |  | OnAlignPosition
 |  | OnDockDrop
 |  | OnDockOver
 |  | OnEnter
 |  | OnExit
 |  | OnKeyDown
 |  | OnKeyPress
 |  | OnKeyUp
 |  | OnUnDock
 |  | OnUTF8KeyPress
TControl
pt |  | OnConstrainedResize
pt |  | OnContextPopup
pt |  | OnDblClick
pt |  | OnTripleClick
pt |  | OnQuadClick
pt |  | OnDragDrop
pt |  | OnDragOver
pt |  | OnEndDock
pt |  | OnEndDrag
pt |  | OnMouseDown
pt |  | OnMouseMove
pt |  | OnMouseUp
pt |  | OnMouseEnter
pt |  | OnMouseLeave
pt |  | OnMouseWheel
pt |  | OnMouseWheelDown
pt |  | OnMouseWheelUp
pt |  | OnMouseWheelHorz
pt |  | OnMouseWheelLeft
pt |  | OnMouseWheelRight
pt |  | OnStartDock
pt |  | OnStartDrag
pt |  | OnEditingDone
 |  | OnChangeBounds
 |  | OnClick
 |  | OnResize
 |  | OnShowHint
TLCLComponent
TComponent
TPersistent
TObject


pl | ro | OnChange (TCalendar)
 |  | OnChangeBounds (TControl)
pl | ro | OnChangeBounds (TCalendar)
 |  | OnClick (TControl)
pl | ro | OnClick (TCalendar)
pl | ro | OnClick (TDBCalendar)
pt |  | OnConstrainedResize (TControl)
pt |  | OnContextPopup (TControl)
 |  | OnDayChanged (TCustomCalendar)
pl | ro | OnDayChanged (TCalendar)
pl | ro | OnDayChanged (TDBCalendar)
pt |  | OnDblClick (TControl)
pl | ro | OnDblClick (TCalendar)
 |  | OnDockDrop (TWinControl)
 |  | OnDockOver (TWinControl)
pt |  | OnDragDrop (TControl)
pl | ro | OnDragDrop (TDBCalendar)
pt |  | OnDragOver (TControl)
pl | ro | OnDragOver (TDBCalendar)
pt |  | OnEditingDone (TControl)
pt |  | OnEndDock (TControl)
pt |  | OnEndDrag (TControl)
pl | ro | OnEndDrag (TDBCalendar)
 |  | OnEnter (TWinControl)
pl | ro | OnEnter (TCalendar)
 |  | OnExit (TWinControl)
pl | ro | OnExit (TCalendar)
pt |  | OnGetDockCaption (TWinControl)
pt |  | OnGetSiteInfo (TWinControl)
 |  | OnKeyDown (TWinControl)
pl | ro | OnKeyDown (TCalendar)
 |  | OnKeyPress (TWinControl)
pl | ro | OnKeyPress (TCalendar)
 |  | OnKeyUp (TWinControl)
pl | ro | OnKeyUp (TCalendar)
 |  | OnMonthChanged (TCustomCalendar)
pl | ro | OnMonthChanged (TCalendar)
pl | ro | OnMonthChanged (TDBCalendar)
pt |  | OnMouseDown (TControl)
pl | ro | OnMouseDown (TCalendar)
pl | ro | OnMouseDown (TDBCalendar)
pt |  | OnMouseEnter (TControl)
pl | ro | OnMouseEnter (TCalendar)
pt |  | OnMouseLeave (TControl)
pl | ro | OnMouseLeave (TCalendar)
pt |  | OnMouseMove (TControl)
pl | ro | OnMouseMove (TCalendar)
pl | ro | OnMouseMove (TDBCalendar)
pt |  | OnMouseUp (TControl)
pl | ro | OnMouseUp (TCalendar)
pt |  | OnMouseWheel (TControl)
pl | ro | OnMouseWheel (TCalendar)
pt |  | OnMouseWheelDown (TControl)
pl | ro | OnMouseWheelDown (TCalendar)
pt |  | OnMouseWheelHorz (TControl)
pl | ro | OnMouseWheelHorz (TCalendar)
pt |  | OnMouseWheelLeft (TControl)
pl | ro | OnMouseWheelLeft (TCalendar)
pt |  | OnMouseWheelRight (TControl)
pl | ro | OnMouseWheelRight (TCalendar)
pt |  | OnMouseWheelUp (TControl)
pl | ro | OnMouseWheelUp (TCalendar)
pt |  | OnQuadClick (TControl)
 |  | OnResize (TControl)
pl | ro | OnResize (TCalendar)
 |  | OnShowHint (TControl)
pt |  | OnStartDock (TControl)
pt |  | OnStartDrag (TControl)
pl | ro | OnStartDrag (TDBCalendar)
pt |  | OnTripleClick (TControl)
 |  | OnUnDock (TWinControl)
 |  | OnUTF8KeyPress (TWinControl)
pl | ro | OnUTF8KeyPress (TCalendar)
 |  | OnYearChanged (TCustomCalendar)
pl | ro | OnYearChanged (TCalendar)
pl | ro | OnYearChanged (TDBCalendar)


TDBCalendar.Create

Create - constructor for TDBCalendar: calls inherited Create and forms datalinks and actions

Declaration

Source position: dbctrls.pp line 1234

public constructor TDBCalendar.Create(

  TheOwner: TComponent

); override;

See also

TCustomCalendar.Create

Create - constructor for TCustomCalendar: calls inherited Create and sets style, initial bounds, display settings; sets date and time to Now


TDBCalendar.DataField

The name of the DataField as a string

Declaration

Source position: dbctrls.pp line 1243

published property TDBCalendar.DataField : string
  read GetDataField
  write SetDataField;


TDBCalendar.DataSource

The identity of the DataSource holding the date information

Declaration

Source position: dbctrls.pp line 1244

published property TDBCalendar.DataSource : TDataSource
  read GetDataSource
  write SetDataSource;


TDBCalendar.Date

The Date obtained from the Calendar

Declaration

Source position: dbctrls.pp line 1246

published property TDBCalendar.Date : string
  write SetDate
  stored False;


TDBCalendar.Destroy

Destroy - destructor for TDBCalendar: frees datalinks and calls inherited Destroy

Declaration

Source position: dbctrls.pp line 1235

public destructor TDBCalendar.Destroy; override;

See also

TWinControl.Destroy


TDBCalendar.DoubleBuffered

Declaration

Source position: dbctrls.pp line 1250

published property TDBCalendar.DoubleBuffered : Boolean;


TDBCalendar.EditingDone

EditingDone - changes data over the link then calls inherited EditingDone

Declaration

Source position: dbctrls.pp line 1236

public procedure TDBCalendar.EditingDone; override;

See also

TControl.EditingDone

Invokes the OnEditingDone event handler.


TDBCalendar.ExecuteAction

Declaration

Source position: dbctrls.pp line 1237

public function TDBCalendar.ExecuteAction(

  AAction: TBasicAction

):Boolean; override;


TDBCalendar.Field

The Field to which the calendar is attached

Declaration

Source position: dbctrls.pp line 1240

public property TDBCalendar.Field : TField
  read GetField;


TDBCalendar.ParentDoubleBuffered

Declaration

Source position: dbctrls.pp line 1253

published property TDBCalendar.ParentDoubleBuffered : Boolean;


TDBCalendar.UpdateAction

Declaration

Source position: dbctrls.pp line 1238

public function TDBCalendar.UpdateAction(

  AAction: TBasicAction

):Boolean; override;


TDBCheckBox

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

TDBCheckBox - a data-aware checkbox for use with logical fields in a database

Declaration

Source position: dbctrls.pp line 635

type TDBCheckBox = class(TCustomCheckBox)
protected
function GetFieldCheckState; virtual; | GetFieldCheckState - returns the checkbox state for the current field
procedure DataChange(); | DataChange - uses GetFieldCheckState to update the State
procedure DoOnChange; override;
procedure UpdateData(); | UpdateData - examines the State to see whether it has changed
procedure Notification(); override; |
public
constructor Create(); override; | Create - constructor for TDBCheckBox: calls inherited Create, forms logical connections for checked and unchecked, sets initial style and state, forms datalinks and actions
destructor Destroy; override; | Destroy - destructor for TDBCheckBox: frees links and calls inherited Destroy
function ExecuteAction(); override;
function UpdateAction(); override;
property Checked: Boolean; | The state of the check mark. Here always False, can be implemented in derived classes.
property Field: TField; [r] | The Field in the DataSet with which the box is to be associated
property State: TCheckBoxState; | Indicates whether the check box is checked (selected), unchecked (deselected) or grayed (disabled).
published
property Action: TBasicAction;
property Align: TAlign;
property Alignment: TLeftRight;
property AllowGrayed: Boolean; | Allows the check box to be in a "grayed" state.
property Anchors: TAnchors; | The set of anchor definitions for this control.
property AutoSize: Boolean; | Allows to automatically adjust the size of the control, according to its content.
property BiDiMode: TBiDiMode;
property BorderSpacing: TControlBorderSpacing; | Determines the inner and outer border spacing for this control.
property Caption: TCaption; | The text describing the control to the user.
property Color: TColor; | The background color of the control.
property DataField: string; [rw] | The name (as a string) of the field with which the checkbox is to be associated
property DataSource: TDataSource; [rw] | The DataSource containing the Field that is to be associated with this checkbox
property DoubleBuffered: Boolean;
property DragCursor: TCursor; | The cursor shape shown while the control is dragged.
property DragKind: TDragKind; | The operation when the control is dragged - Drag or Dock.
property DragMode: TDragMode; | Allows the user to drag the control.
property Enabled: Boolean; | Determines whether the control reacts on mouse or keyboard input.
property Font: TFont;
property Hint: TTranslateString; | The text to show in the Hint window for this control.
property OnChange: TNotifyEvent; | Handler for any change in properties of the control.
property OnClick: TNotifyEvent; | Notification handler for mouse clicks.
property OnDragDrop: TDragDropEvent; | This handler determines the action on an drop onto this control, in a drag-drop operation.
property OnDragOver: TDragOverEvent; | Event handler for a control being dragged over this control.
property OnEndDrag: TEndDragEvent; | Notification handler for the end of a dragging operation.
property OnEnter: TNotifyEvent; | Handler for control receiving the focus.
property OnExit: TNotifyEvent; | Handler for control loosing the focus. This is a good place for checking the finished user input.
property OnMouseDown: TMouseEvent; | Event handler for mouse button going down.
property OnMouseEnter: TNotifyEvent;
property OnMouseLeave: TNotifyEvent;
property OnMouseMove: TMouseMoveEvent; | Event handler for mouse movement within the control.
property OnMouseUp: TMouseEvent; | Event handler for mouse button going up.
property OnMouseWheel: TMouseWheelEvent;
property OnMouseWheelDown: TMouseWheelUpDownEvent;
property OnMouseWheelUp: TMouseWheelUpDownEvent;
property OnStartDrag: TStartDragEvent; | Event handler for the start of a dragging operation.
property ParentBiDiMode: Boolean;
property ParentColor: Boolean; | If true, the Color of the control will be the same as the one from the Parent. Default is true.
property ParentDoubleBuffered: Boolean;
property ParentFont: Boolean; | If true, the Font of the control will be the same as the one from the Parent. Default is true.
property ParentShowHint: Boolean; | If true, the value of ShowHint for the control will be the same as the one from the Parent. Default is true.
property PopupMenu: TPopupMenu; | A context-sensitive menu that pops up when the right mouse button is clicked over this control
property ReadOnly: Boolean; [rw] | ReadOnly - if True, data may be read but not written or modified (doesn't make much sense for a check-box unless the box is NOT Enabled!)
property ShowHint: Boolean; | Enables the Hint display.
property TabOrder: TTabOrder; | Determines the sequence of controls, reachable when the user presses the Tab key.
property TabStop: Boolean; | Allows the user to navigate to this control, by pressing the Tab key.
property ValueChecked: string; [rw] | ValueChecked - the value to use when the box is checked, for example True or 1
property ValueUnchecked: string; [rw] | ValueUnchecked - the value to use when the box is unchecked, for example False or 0
property Visible: Boolean; | Allows to show or hide the control, and all of its children.
end;

Inheritance

TDBCheckBox | TDBCheckBox - a data-aware checkbox for use with logical fields in a database
|
TCustomCheckBox | The base class for checkbox components.
|
TButtonControl | The base class for various button controls.
|
TWinControl | The base class for controls which can contain other (child) controls.
|
TControl | The base class for visible controls.
|
TLCLComponent | The base class for LCL components associated with widgets.
|
TComponent,IUnknown,IInterfaceComponentReference
|
TPersistent,IFPObserved
|
TObject

See also

HowToUseDataAwareControls

HowToUseDataAwareControls - Hints for accessing databases


TDBCheckBox
 | ro | Checked
 | ro | Field
 | ro | State
pl | ro | Action
pl | ro | Align
pl | ro | Alignment
pl | ro | AllowGrayed
pl | ro | Anchors
pl | ro | AutoSize
pl | ro | BiDiMode
pl | ro | BorderSpacing
pl | ro | Caption
pl | ro | Color
pl |  | DataField
pl |  | DataSource
pl | ro | DoubleBuffered
pl | ro | DragCursor
pl | ro | DragKind
pl | ro | DragMode
pl | ro | Enabled
pl | ro | Font
pl | ro | Hint
pl | ro | ParentBiDiMode
pl | ro | ParentColor
pl | ro | ParentDoubleBuffered
pl | ro | ParentFont
pl | ro | ParentShowHint
pl | ro | PopupMenu
pl |  | ReadOnly
pl | ro | ShowHint
pl | ro | TabOrder
pl | ro | TabStop
pl |  | ValueChecked
pl |  | ValueUnchecked
pl | ro | Visible
TCustomCheckBox
 |  | Alignment
 |  | AllowGrayed
 |  | State
 | ro | ShortCut
 | ro | ShortCutKey2
TButtonControl
pt |  | Checked
pt |  | ClicksDisabled
TWinControl
pt |  | WindowHandle
pt |  | BorderStyle
pt |  | ParentBackground
 |  | BorderWidth
 | ro | BoundsLockCount
 | ro | Brush
 | ro | CachedClientHeight
 | ro | CachedClientWidth
 |  | ChildSizing
 | ro | ControlCount
 | ro | Controls
 |  | DefWndProc
 | ro | DockClientCount
 | ro | DockClients
 |  | DockManager
 |  | DockSite
 |  | DoubleBuffered
 |  | Handle
 | ro | IsFlipped
 | ro | IsResizing
 |  | TabOrder
 |  | TabStop
 |  | ParentDoubleBuffered
 |  | ParentWindow
 | ro | Showing
 |  | UseDockManager
 |  | DesignerDeleting
 | ro | VisibleDockClientCount
TControl
pt | ro | AutoSizing
pt | ro | AutoSizingAll
pt | ro | AutoSizingLockCount
pt |  | ActionLink
pt |  | DesktopFont
pt |  | DragCursor
pt |  | DragKind
pt |  | DragMode
pt |  | MouseCapture
pt |  | ParentColor
pt |  | ParentFont
pt |  | ParentShowHint
pt |  | SessionProperties
pt |  | Text
 | ro | AnchoredControls
 | ro | BaseBounds
 | ro | ReadBounds
 | ro | BaseParentClientSize
 |  | AccessibleDescription
 |  | AccessibleValue
 |  | AccessibleRole
 |  | Action
 |  | Align
 |  | Anchors
 | ro | AnchorSide
 |  | AutoSize
 |  | BorderSpacing
 |  | BoundsRect
 |  | BoundsRectForNewParent
 |  | Caption
 |  | CaptureMouseButtons
 |  | ClientHeight
 | ro | ClientOrigin
 | ro | ClientRect
 |  | ClientWidth
 |  | Color
 |  | Constraints
 | ro | ControlOrigin
 |  | ControlState
 |  | ControlStyle
 |  | Enabled
 |  | Font
 |  | IsControl
 | ro | MouseEntered
 | ro | MouseInClient
 |  | Parent
 |  | PopupMenu
 |  | ShowHint
 |  | Visible
 |  | WindowProc
 |  | DockOrientation
 | ro | Floating
 |  | FloatingDockSiteClass
 |  | HostDockSite
 |  | LRDockWidth
 |  | TBDockHeight
 |  | UndockHeight
 |  | UndockWidth
 |  | BiDiMode
 |  | ParentBiDiMode
pl |  | AnchorSideLeft
pl |  | AnchorSideTop
pl |  | AnchorSideRight
pl |  | AnchorSideBottom
pl |  | Cursor
pl |  | Left
pl |  | Height
pl |  | Hint
pl |  | Top
pl |  | Width
pl |  | HelpType
pl |  | HelpKeyword
pl |  | HelpContext
TLCLComponent
 | ro | LCLRefCount
 | ro | WidgetSetClass
TComponent
 | ro | ComObject
 | ro | Components
 | ro | ComponentCount
 |  | ComponentIndex
 | ro | ComponentState
 | ro | ComponentStyle
 |  | DesignInfo
 | ro | Owner
 |  | VCLComObject
 |  | Name
 |  | Tag
TPersistent
TObject


 |  | AccessibleDescription (TControl)
 |  | AccessibleRole (TControl)
 |  | AccessibleValue (TControl)
 |  | Action (TControl)
pl | ro | Action (TDBCheckBox)
pt |  | ActionLink (TControl)
 |  | Align (TControl)
pl | ro | Align (TDBCheckBox)
 |  | Alignment (TCustomCheckBox)
pl | ro | Alignment (TDBCheckBox)
 |  | AllowGrayed (TCustomCheckBox)
pl | ro | AllowGrayed (TDBCheckBox)
 | ro | AnchoredControls (TControl)
 |  | Anchors (TControl)
pl | ro | Anchors (TDBCheckBox)
 | ro | AnchorSide (TControl)
pl |  | AnchorSideBottom (TControl)
pl |  | AnchorSideLeft (TControl)
pl |  | AnchorSideRight (TControl)
pl |  | AnchorSideTop (TControl)
 |  | AutoSize (TControl)
pl | ro | AutoSize (TDBCheckBox)
pt | ro | AutoSizing (TControl)
pt | ro | AutoSizingAll (TControl)
pt | ro | AutoSizingLockCount (TControl)
 | ro | BaseBounds (TControl)
 | ro | BaseParentClientSize (TControl)
 |  | BiDiMode (TControl)
pl | ro | BiDiMode (TDBCheckBox)
 |  | BorderSpacing (TControl)
pl | ro | BorderSpacing (TDBCheckBox)
pt |  | BorderStyle (TWinControl)
 |  | BorderWidth (TWinControl)
 | ro | BoundsLockCount (TWinControl)
 |  | BoundsRect (TControl)
 |  | BoundsRectForNewParent (TControl)
 | ro | Brush (TWinControl)
 | ro | CachedClientHeight (TWinControl)
 | ro | CachedClientWidth (TWinControl)
 |  | Caption (TControl)
pl | ro | Caption (TDBCheckBox)
 |  | CaptureMouseButtons (TControl)
pt |  | Checked (TButtonControl)
 | ro | Checked (TDBCheckBox)
 |  | ChildSizing (TWinControl)
pt |  | ClicksDisabled (TButtonControl)
 |  | ClientHeight (TControl)
 | ro | ClientOrigin (TControl)
 | ro | ClientRect (TControl)
 |  | ClientWidth (TControl)
 |  | Color (TControl)
pl | ro | Color (TDBCheckBox)
 | ro | ComObject (TComponent)
 | ro | ComponentCount (TComponent)
 |  | ComponentIndex (TComponent)
 | ro | Components (TComponent)
 | ro | ComponentState (TComponent)
 | ro | ComponentStyle (TComponent)
 |  | Constraints (TControl)
 | ro | ControlCount (TWinControl)
 | ro | ControlOrigin (TControl)
 | ro | Controls (TWinControl)
 |  | ControlState (TControl)
 |  | ControlStyle (TControl)
pl |  | Cursor (TControl)
pl |  | DataField (TDBCheckBox)
pl |  | DataSource (TDBCheckBox)
 |  | DefWndProc (TWinControl)
 |  | DesignerDeleting (TWinControl)
 |  | DesignInfo (TComponent)
pt |  | DesktopFont (TControl)
 | ro | DockClientCount (TWinControl)
 | ro | DockClients (TWinControl)
 |  | DockManager (TWinControl)
 |  | DockOrientation (TControl)
 |  | DockSite (TWinControl)
 |  | DoubleBuffered (TWinControl)
pl | ro | DoubleBuffered (TDBCheckBox)
pt |  | DragCursor (TControl)
pl | ro | DragCursor (TDBCheckBox)
pt |  | DragKind (TControl)
pl | ro | DragKind (TDBCheckBox)
pt |  | DragMode (TControl)
pl | ro | DragMode (TDBCheckBox)
 |  | Enabled (TControl)
pl | ro | Enabled (TDBCheckBox)
 | ro | Field (TDBCheckBox)
 | ro | Floating (TControl)
 |  | FloatingDockSiteClass (TControl)
 |  | Font (TControl)
pl | ro | Font (TDBCheckBox)
 |  | Handle (TWinControl)
pl |  | Height (TControl)
pl |  | HelpContext (TControl)
pl |  | HelpKeyword (TControl)
pl |  | HelpType (TControl)
pl |  | Hint (TControl)
pl | ro | Hint (TDBCheckBox)
 |  | HostDockSite (TControl)
 |  | IsControl (TControl)
 | ro | IsFlipped (TWinControl)
 | ro | IsResizing (TWinControl)
 | ro | LCLRefCount (TLCLComponent)
pl |  | Left (TControl)
 |  | LRDockWidth (TControl)
pt |  | MouseCapture (TControl)
 | ro | MouseEntered (TControl)
 | ro | MouseInClient (TControl)
 |  | Name (TComponent)
 | ro | Owner (TComponent)
 |  | Parent (TControl)
pt |  | ParentBackground (TWinControl)
 |  | ParentBiDiMode (TControl)
pl | ro | ParentBiDiMode (TDBCheckBox)
pt |  | ParentColor (TControl)
pl | ro | ParentColor (TDBCheckBox)
 |  | ParentDoubleBuffered (TWinControl)
pl | ro | ParentDoubleBuffered (TDBCheckBox)
pt |  | ParentFont (TControl)
pl | ro | ParentFont (TDBCheckBox)
pt |  | ParentShowHint (TControl)
pl | ro | ParentShowHint (TDBCheckBox)
 |  | ParentWindow (TWinControl)
 |  | PopupMenu (TControl)
pl | ro | PopupMenu (TDBCheckBox)
 | ro | ReadBounds (TControl)
pl |  | ReadOnly (TDBCheckBox)
pt |  | SessionProperties (TControl)
 | ro | ShortCut (TCustomCheckBox)
 | ro | ShortCutKey2 (TCustomCheckBox)
 |  | ShowHint (TControl)
pl | ro | ShowHint (TDBCheckBox)
 | ro | Showing (TWinControl)
 |  | State (TCustomCheckBox)
 | ro | State (TDBCheckBox)
 |  | TabOrder (TWinControl)
pl | ro | TabOrder (TDBCheckBox)
 |  | TabStop (TWinControl)
pl | ro | TabStop (TDBCheckBox)
 |  | Tag (TComponent)
 |  | TBDockHeight (TControl)
pt |  | Text (TControl)
pl |  | Top (TControl)
 |  | UndockHeight (TControl)
 |  | UndockWidth (TControl)
 |  | UseDockManager (TWinControl)
pl |  | ValueChecked (TDBCheckBox)
pl |  | ValueUnchecked (TDBCheckBox)
 |  | VCLComObject (TComponent)
 |  | Visible (TControl)
pl | ro | Visible (TDBCheckBox)
 | ro | VisibleDockClientCount (TWinControl)
 | ro | WidgetSetClass (TLCLComponent)
pl |  | Width (TControl)
pt |  | WindowHandle (TWinControl)
 |  | WindowProc (TControl)


TDBCheckBox
pt | GetFieldCheckState
pt | DataChange
pt | DoOnChange
pt | UpdateData
pt | Notification
 | Create
 | Destroy
 | ExecuteAction
 | UpdateAction
TCustomCheckBox
pt | WSRegisterClass
pt | Click
pt | DoClickOnChange
pt | RetrieveState
pt | InitializeWnd
pt | Toggle
pt | DialogChar
pt | GetChecked
pt | SetChecked
pt | RealSetText
pt | ApplyChanges
pt | GetControlClassDefaultSize
pt | Loaded
pt | WSSetText
pt | TextChanged
pt | CreateParams
 | Create
TButtonControl
pt | WSRegisterClass
pt | GetActionLinkClass
pt | GetChecked
pt | SetChecked
pt | DoOnChange
pt | Click
 | Create
TWinControl
pt | WSRegisterClass
pt | AdjustClientRect
pt | GetAdjustedLogicalClientRect
pt | AlignControls
pt | CustomAlignInsertBefore
pt | CustomAlignPosition
pt | DoAlignChildControls
pt | DoChildSizingChange
pt | InvalidatePreferredChildSizes
pt | CanTab
pt | IsClientHeightStored
pt | IsClientWidthStored
pt | DoSendShowHideToInterface
pt | ControlsAligned
pt | DoSendBoundsToInterface
pt | RealizeBounds
pt | RealizeBoundsRecursive
pt | InvalidateBoundsRealized
pt | CreateSubClass
pt | DoConstraintsChange
pt | DoSetBounds
pt | DoAutoSize
pt | DoAllAutoSize
pt | AllAutoSized
pt | CalculatePreferredSize
pt | GetPreferredSizeClientFrame
pt | GetChildren
pt | ChildClassAllowed
pt | PaintControls
pt | PaintHandler
pt | PaintWindow
pt | CreateBrush
pt | ScaleControls
pt | ChangeScale
pt | CMBiDiModeChanged
pt | CMBorderChanged
pt | CMDoubleBufferedChanged
pt | CMEnabledChanged
pt | CMParentDoubleBufferedChanged
pt | CMShowingChanged
pt | CMShowHintChanged
pt | CMVisibleChanged
pt | CMEnter
pt | CMExit
pt | WMContextMenu
pt | WMEraseBkgnd
pt | WMNotify
pt | WMSetFocus
pt | WMKillFocus
pt | WMShowWindow
pt | WMEnter
pt | WMExit
pt | WMKeyDown
pt | WMSysKeyDown
pt | WMKeyUp
pt | WMSysKeyUp
pt | WMChar
pt | WMSysChar
pt | WMPaint
pt | WMDestroy
pt | WMMove
pt | WMSize
pt | WMWindowPosChanged
pt | CNKeyDown
pt | CNSysKeyDown
pt | CNKeyUp
pt | CNSysKeyUp
pt | CNChar
pt | DoDragMsg
pt | DoDockClientMsg
pt | DoUndockClientMsg
pt | DoAddDockClient
pt | DockOver
pt | DoDockOver
pt | DoRemoveDockClient
pt | DoUnDock
pt | GetSiteInfo
pt | GetParentHandle
pt | GetTopParentHandle
pt | ReloadDockedControl
pt | CreateDockManager
pt | SetDockManager
pt | DoFloatMsg
pt | DoGetDockCaption
pt | DoEnter
pt | DoExit
pt | DoKeyDownBeforeInterface
pt | DoRemainingKeyDown
pt | DoRemainingKeyUp
pt | DoKeyPress
pt | DoUTF8KeyPress
pt | DoKeyUpBeforeInterface
pt | ChildKey
pt | SendDialogChar
pt | DialogChar
pt | ControlKeyDown
pt | ControlKeyUp
pt | KeyDown
pt | KeyDownBeforeInterface
pt | KeyDownAfterInterface
pt | KeyPress
pt | KeyUp
pt | KeyUpBeforeInterface
pt | KeyUpAfterInterface
pt | UTF8KeyPress
pt | FindNextControl
pt | SelectFirst
pt | RealGetText
pt | GetBorderStyle
pt | GetClientOrigin
pt | GetClientRect
pt | GetControlOrigin
pt | GetDeviceContext
pt | GetParentBackground
pt | IsControlMouseMsg
pt | CreateHandle
pt | CreateParams
pt | CreateWnd
pt | DestroyHandle
pt | DestroyWnd
pt | DoFlipChildren
pt | FinalizeWnd
pt | FixupTabList
pt | FontChanged
pt | InitializeWnd
pt | Loaded
pt | FormEndUpdated
pt | MainWndProc
pt | ParentFormHandleInitialized
pt | ChildHandlesCreated
pt | GetMouseCapture
pt | RealSetText
pt | RemoveFocus
pt | SendMoveSizeMessages
pt | SetBorderStyle
pt | SetColor
pt | SetChildZPosition
pt | SetParentBackground
pt | ShowControl
pt | UpdateControlState
pt | UpdateShowing
pt | WndProc
pt | WSSetText
 | AutoSizePhases
 | AutoSizeDelayed
 | AutoSizeDelayedReport
 | AutoSizeDelayedHandle
 | BeginUpdateBounds
 | EndUpdateBounds
 | LockRealizeBounds
 | UnlockRealizeBounds
 | ControlAtPos
 | ContainsControl
 | DoAdjustClientRectChange
 | InvalidateClientRectCache
 | ClientRectNeedsInterfaceUpdate
 | SetBounds
 | GetChildrenRect
 | DisableAlign
 | EnableAlign
 | ReAlign
 | ScrollBy_WS
 | ScrollBy
 | WriteLayoutDebugReport
 | AutoAdjustLayout
 | Create
 | CreateParented
 | CreateParentedControl
 | Destroy
 | DockDrop
 | CanFocus
 | CanSetFocus
 | GetControlIndex
 | SetControlIndex
 | Focused
 | PerformTab
 | FindChildControl
 | SelectNext
 | SetTempCursor
 | BroadCast
 | NotifyControls
 | DefaultHandler
 | GetTextLen
 | Invalidate
 | AddControl
 | InsertControl
 | RemoveControl
 | GetEnumeratorControls
 | GetEnumeratorControlsReverse
 | Repaint
 | Update
 | SetFocus
 | FlipChildren
 | ScaleBy
 | GetDockCaption
 | UpdateDockCaption
 | GetTabOrderList
 | HandleAllocated
 | ParentHandlesAllocated
 | HandleNeeded
 | BrushCreated
 | EraseBackground
 | IntfUTF8KeyPress
 | IntfGetDropFilesTarget
 | PaintTo
 | SetShape
TControl
pt | WSRegisterClass
pt | GetCursor
pt | SetCursor
pt | SetVisible
pt | DoOnParentHandleDestruction
pt | DoAutoSize
pt | DoAllAutoSize
pt | BeginAutoSizing
pt | EndAutoSizing
pt | AnchorSideChanged
pt | ForeignAnchorSideChanged
pt | SetAlign
pt | SetAnchors
pt | SetAutoSize
pt | BoundsChanged
pt | CreateControlBorderSpacing
pt | DoConstraintsChange
pt | DoBorderSpacingChange
pt | IsBorderSpacingInnerBorderStored
pt | IsCaptionStored
pt | SendMoveSizeMessages
pt | ConstrainedResize
pt | CalculatePreferredSize
pt | DoOnResize
pt | DoOnChangeBounds
pt | CheckOnChangeBounds
pt | Resize
pt | RequestAlign
pt | UpdateAnchorRules
pt | ChangeBounds
pt | DoSetBounds
pt | ScaleConstraints
pt | ChangeScale
pt | CanAutoSize
pt | SetBiDiMode
pt | SetParentBiDiMode
pt | IsAParentAligning
pt | GetClientOrigin
pt | GetClientRect
pt | GetLogicalClientRect
pt | GetScrolledClientRect
pt | GetClientScrollOffset
pt | GetControlOrigin
pt | IsClientHeightStored
pt | IsClientWidthStored
pt | WidthIsAnchored
pt | HeightIsAnchored
pt | WMCancelMode
pt | WMContextMenu
pt | WMLButtonDown
pt | WMRButtonDown
pt | WMMButtonDown
pt | WMXButtonDown
pt | WMLButtonDBLCLK
pt | WMRButtonDBLCLK
pt | WMMButtonDBLCLK
pt | WMXButtonDBLCLK
pt | WMLButtonTripleCLK
pt | WMRButtonTripleCLK
pt | WMMButtonTripleCLK
pt | WMXButtonTripleCLK
pt | WMLButtonQuadCLK
pt | WMRButtonQuadCLK
pt | WMMButtonQuadCLK
pt | WMXButtonQuadCLK
pt | WMMouseMove
pt | WMLButtonUp
pt | WMRButtonUp
pt | WMMButtonUp
pt | WMXButtonUp
pt | WMMouseWheel
pt | WMMouseHWheel
pt | WMMove
pt | WMSize
pt | WMWindowPosChanged
pt | CMChanged
pt | LMCaptureChanged
pt | CMBiDiModeChanged
pt | CMSysFontChanged
pt | CMEnabledChanged
pt | CMHitTest
pt | CMMouseEnter
pt | CMMouseLeave
pt | CMHintShow
pt | CMParentBiDiModeChanged
pt | CMParentColorChanged
pt | CMParentFontChanged
pt | CMParentShowHintChanged
pt | CMVisibleChanged
pt | CMTextChanged
pt | CMCursorChanged
pt | CalculateDockSizes
pt | CreateFloatingDockSite
pt | GetDockEdge
pt | GetDragImages
pt | GetFloating
pt | GetFloatingDockSiteClass
pt | BeforeDragStart
pt | BeginAutoDrag
pt | DoFloatMsg
pt | DockTrackNoTarget
pt | DoDock
pt | DoDragMsg
pt | DoEndDock
pt | DoEndDrag
pt | DoStartDock
pt | DoStartDrag
pt | DragCanceled
pt | DragOver
pt | PositionDockRect
pt | SetDragMode
pt | GetDefaultDockCaption
pt | Click
pt | DblClick
pt | TripleClick
pt | QuadClick
pt | GetMousePosFromMessage
pt | MouseDown
pt | MouseMove
pt | MouseUp
pt | MouseEnter
pt | MouseLeave
pt | DialogChar
pt | UpdateMouseCursor
pt | Changed
pt | GetPalette
pt | ChildClassAllowed
pt | ReadState
pt | Loaded
pt | LoadedAll
pt | DefineProperties
pt | AssignTo
pt | FormEndUpdated
pt | InvalidateControl
pt | FontChanged
pt | ParentFontChanged
pt | GetAction
pt | RealGetText
pt | RealSetText
pt | TextChanged
pt | GetCachedText
pt | SetAction
pt | SetColor
pt | SetEnabled
pt | SetHint
pt | SetName
pt | SetParent
pt | SetParentComponent
pt | WndProc
pt | ParentFormHandleInitialized
pt | GetMouseCapture
pt | CaptureChanged
pt | Notification
pt | CanTab
pt | GetDeviceContext
pt | GetEnabled
pt | GetPopupMenu
pt | DoOnShowHint
pt | DoMouseWheel
pt | DoMouseWheelDown
pt | DoMouseWheelUp
pt | DoMouseWheelHorz
pt | DoMouseWheelLeft
pt | DoMouseWheelRight
pt | VisibleChanging
pt | VisibleChanged
pt | EnabledChanging
pt | EnabledChanged
pt | AddHandler
pt | RemoveHandler
pt | DoCallNotifyHandler
pt | DoCallKeyEventHandler
pt | DoCallMouseWheelEventHandler
pt | DoContextPopup
pt | SetZOrder
pt | GetControlClassDefaultSize
pt | ColorIsStored
pt | DoAutoAdjustLayout
pt | DoFixDesignFontPPI
pt | DoScaleFontPPI
pt | GetActionLinkClass
pt | ActionChange
 | DragDrop
 | Dock
 | ManualDock
 | ManualFloat
 | ReplaceDockedControl
 | Docked
 | Dragging
 | GetAccessibleObject
 | CreateAccessibleObject
 | GetSelectedChildAccessibleObject
 | GetChildAccessibleObjectAtPos
 | ScaleDesignToForm
 | ScaleFormToDesign
 | Scale96ToForm
 | ScaleFormTo96
 | Scale96ToFont
 | ScaleFontTo96
 | ScaleScreenToFont
 | ScaleFontToScreen
 | Scale96ToScreen
 | ScaleScreenTo96
 | AdjustSize
 | AutoSizePhases
 | AutoSizeDelayed
 | AutoSizeDelayedReport
 | AutoSizeDelayedHandle
 | AnchorToNeighbour
 | AnchorParallel
 | AnchorHorizontalCenterTo
 | AnchorVerticalCenterTo
 | AnchorToCompanion
 | AnchorSame
 | AnchorAsAlign
 | AnchorClient
 | AnchoredControlCount
 | SetBounds
 | SetInitialBounds
 | SetBoundsKeepBase
 | GetPreferredSize
 | GetCanvasScaleFactor
 | GetDefaultWidth
 | GetDefaultHeight
 | GetDefaultColor
 | GetColorResolvingParent
 | GetRGBColorResolvingParent
 | GetSidePosition
 | CNPreferredSizeChanged
 | InvalidatePreferredSize
 | GetAnchorsDependingOnParent
 | DisableAutoSizing
 | EnableAutoSizing
 | UpdateBaseBounds
 | WriteLayoutDebugReport
 | AutoAdjustLayout
 | ShouldAutoAdjust
 | FixDesignFontsPPI
 | ScaleFontsPPI
 | Create
 | Destroy
 | BeforeDestruction
 | EditingDone
 | ExecuteDefaultAction
 | ExecuteCancelAction
 | BeginDrag
 | EndDrag
 | BringToFront
 | HasParent
 | GetParentComponent
 | IsParentOf
 | GetTopParent
 | IsVisible
 | IsControlVisible
 | IsEnabled
 | IsParentColor
 | IsParentFont
 | FormIsUpdating
 | IsProcessingPaintMsg
 | Hide
 | Refresh
 | Repaint
 | Invalidate
 | CheckChildClassAllowed
 | CheckNewParent
 | SendToBack
 | SetTempCursor
 | UpdateRolesForForm
 | ActiveDefaultControlChanged
 | GetTextBuf
 | GetTextLen
 | SetTextBuf
 | Perform
 | ScreenToClient
 | ClientToScreen
 | ScreenToControl
 | ControlToScreen
 | ClientToParent
 | ParentToClient
 | GetChildrenRect
 | Show
 | Update
 | HandleObjectShouldBeVisible
 | ParentDestroyingHandle
 | ParentHandlesAllocated
 | InitiateAction
 | ShowHelp
 | HasHelp
 | RemoveAllHandlersOfObject
 | AddHandlerOnResize
 | RemoveHandlerOnResize
 | AddHandlerOnChangeBounds
 | RemoveHandlerOnChangeBounds
 | AddHandlerOnVisibleChanging
 | RemoveHandlerOnVisibleChanging
 | AddHandlerOnVisibleChanged
 | RemoveHandlerOnVisibleChanged
 | AddHandlerOnEnabledChanged
 | RemoveHandlerOnEnableChanging
 | AddHandlerOnKeyDown
 | RemoveHandlerOnKeyDown
 | AddHandlerOnBeforeDestruction
 | RemoveHandlerOnBeforeDestruction
 | AddHandlerOnMouseWheel
 | RemoveHandlerOnMouseWheel
 | UseRightToLeftAlignment
 | UseRightToLeftReading
 | UseRightToLeftScrollBar
 | IsRightToLeft
TLCLComponent
pt | WSRegisterClass
pt | GetWSComponentClass
 | Create
 | Destroy
 | NewInstance
 | RemoveAllHandlersOfObject
 | IncLCLRefCount
 | DecLCLRefCount
TComponent
 | GetComObject
 | GetComponent
 | GetComponentCount
 | GetComponentIndex
 | Insert
 | ReadLeft
 | ReadTop
 | Remove
 | RemoveNotification
 | SetComponentIndex
 | SetReference
 | WriteLeft
 | WriteTop
 | ChangeName
 | DefineProperties
 | GetChildren
 | GetChildOwner
 | GetChildParent
 | GetOwner
 | Loaded
 | Loading
 | Notification
 | PaletteCreated
 | ReadState
 | SetAncestor
 | SetDesigning
 | SetDesignInstance
 | SetInline
 | SetName
 | SetChildOrder
 | SetParentComponent
 | Updating
 | Updated
 | UpdateRegistry
 | ValidateRename
 | ValidateContainer
 | ValidateInsert
 | QueryInterface
 | _AddRef
 | _Release
 | iicrGetComponent
 | GetTypeInfoCount
 | GetTypeInfo
 | GetIDsOfNames
 | Invoke
 | WriteState
 | Create
 | Destroy
 | BeforeDestruction
 | DestroyComponents
 | Destroying
 | ExecuteAction
 | FindComponent
 | FreeNotification
 | RemoveFreeNotification
 | FreeOnRelease
 | GetEnumerator
 | GetNamePath
 | GetParentComponent
 | HasParent
 | InsertComponent
 | RemoveComponent
 | SafeCallException
 | SetSubComponent
 | UpdateAction
 | IsImplementorOf
 | ReferenceInterface
TPersistent
 | AssignError
 | AssignTo
 | DefineProperties
 | GetOwner
 | Destroy
 | Assign
 | FPOAttachObserver
 | FPODetachObserver
 | FPONotifyObservers
 | GetNamePath
TObject
 | Create
 | Destroy
 | newinstance
 | FreeInstance
 | SafeCallException
 | DefaultHandler
 | Free
 | InitInstance
 | CleanupInstance
 | ClassType
 | ClassInfo
 | ClassName
 | ClassNameIs
 | ClassParent
 | InstanceSize
 | InheritsFrom
 | StringMessageTable
 | MethodAddress
 | MethodName
 | FieldAddress
 | AfterConstruction
 | BeforeDestruction
 | DefaultHandlerStr
 | Dispatch
 | DispatchStr
 | GetInterface
 | GetInterfaceByStr
 | GetInterfaceWeak
 | GetInterfaceEntry
 | GetInterfaceEntryByStr
 | GetInterfaceTable
 | UnitName
 | Equals
 | GetHashCode
 | ToString


pt | ActionChange (TControl)
 | ActiveDefaultControlChanged (TControl)
 | AddControl (TWinControl)
pt | AddHandler (TControl)
 | AddHandlerOnBeforeDestruction (TControl)
 | AddHandlerOnChangeBounds (TControl)
 | AddHandlerOnEnabledChanged (TControl)
 | AddHandlerOnKeyDown (TControl)
 | AddHandlerOnMouseWheel (TControl)
 | AddHandlerOnResize (TControl)
 | AddHandlerOnVisibleChanged (TControl)
 | AddHandlerOnVisibleChanging (TControl)
pt | AdjustClientRect (TWinControl)
 | AdjustSize (TControl)
 | AfterConstruction (TObject)
pt | AlignControls (TWinControl)
pt | AllAutoSized (TWinControl)
 | AnchorAsAlign (TControl)
 | AnchorClient (TControl)
 | AnchoredControlCount (TControl)
 | AnchorHorizontalCenterTo (TControl)
 | AnchorParallel (TControl)
 | AnchorSame (TControl)
pt | AnchorSideChanged (TControl)
 | AnchorToCompanion (TControl)
 | AnchorToNeighbour (TControl)
 | AnchorVerticalCenterTo (TControl)
pt | ApplyChanges (TCustomCheckBox)
 | Assign (TPersistent)
 | AssignError (TPersistent)
 | AssignTo (TPersistent)
pt | AssignTo (TControl)
 | AutoAdjustLayout (TControl)
 | AutoAdjustLayout (TWinControl)
 | AutoSizeDelayed (TControl)
 | AutoSizeDelayed (TWinControl)
 | AutoSizeDelayedHandle (TControl)
 | AutoSizeDelayedHandle (TWinControl)
 | AutoSizeDelayedReport (TControl)
 | AutoSizeDelayedReport (TWinControl)
 | AutoSizePhases (TControl)
 | AutoSizePhases (TWinControl)
 | BeforeDestruction (TObject)
 | BeforeDestruction (TComponent)
 | BeforeDestruction (TControl)
pt | BeforeDragStart (TControl)
pt | BeginAutoDrag (TControl)
pt | BeginAutoSizing (TControl)
 | BeginDrag (TControl)
 | BeginUpdateBounds (TWinControl)
pt | BoundsChanged (TControl)
 | BringToFront (TControl)
 | BroadCast (TWinControl)
 | BrushCreated (TWinControl)
pt | CalculateDockSizes (TControl)
pt | CalculatePreferredSize (TControl)
pt | CalculatePreferredSize (TWinControl)
pt | CanAutoSize (TControl)
 | CanFocus (TWinControl)
 | CanSetFocus (TWinControl)
pt | CanTab (TControl)
pt | CanTab (TWinControl)
pt | CaptureChanged (TControl)
pt | ChangeBounds (TControl)
pt | Changed (TControl)
 | ChangeName (TComponent)
pt | ChangeScale (TControl)
pt | ChangeScale (TWinControl)
 | CheckChildClassAllowed (TControl)
 | CheckNewParent (TControl)
pt | CheckOnChangeBounds (TControl)
pt | ChildClassAllowed (TControl)
pt | ChildClassAllowed (TWinControl)
pt | ChildHandlesCreated (TWinControl)
pt | ChildKey (TWinControl)
 | ClassInfo (TObject)
 | ClassName (TObject)
 | ClassNameIs (TObject)
 | ClassParent (TObject)
 | ClassType (TObject)
 | CleanupInstance (TObject)
pt | Click (TControl)
pt | Click (TButtonControl)
pt | Click (TCustomCheckBox)
 | ClientRectNeedsInterfaceUpdate (TWinControl)
 | ClientToParent (TControl)
 | ClientToScreen (TControl)
pt | CMBiDiModeChanged (TControl)
pt | CMBiDiModeChanged (TWinControl)
pt | CMBorderChanged (TWinControl)
pt | CMChanged (TControl)
pt | CMCursorChanged (TControl)
pt | CMDoubleBufferedChanged (TWinControl)
pt | CMEnabledChanged (TControl)
pt | CMEnabledChanged (TWinControl)
pt | CMEnter (TWinControl)
pt | CMExit (TWinControl)
pt | CMHintShow (TControl)
pt | CMHitTest (TControl)
pt | CMMouseEnter (TControl)
pt | CMMouseLeave (TControl)
pt | CMParentBiDiModeChanged (TControl)
pt | CMParentColorChanged (TControl)
pt | CMParentDoubleBufferedChanged (TWinControl)
pt | CMParentFontChanged (TControl)
pt | CMParentShowHintChanged (TControl)
pt | CMShowHintChanged (TWinControl)
pt | CMShowingChanged (TWinControl)
pt | CMSysFontChanged (TControl)
pt | CMTextChanged (TControl)
pt | CMVisibleChanged (TControl)
pt | CMVisibleChanged (TWinControl)
pt | CNChar (TWinControl)
pt | CNKeyDown (TWinControl)
pt | CNKeyUp (TWinControl)
 | CNPreferredSizeChanged (TControl)
pt | CNSysKeyDown (TWinControl)
pt | CNSysKeyUp (TWinControl)
pt | ColorIsStored (TControl)
pt | ConstrainedResize (TControl)
 | ContainsControl (TWinControl)
 | ControlAtPos (TWinControl)
pt | ControlKeyDown (TWinControl)
pt | ControlKeyUp (TWinControl)
pt | ControlsAligned (TWinControl)
 | ControlToScreen (TControl)
 | Create (TObject)
 | Create (TComponent)
 | Create (TLCLComponent)
 | Create (TControl)
 | Create (TWinControl)
 | Create (TButtonControl)
 | Create (TCustomCheckBox)
 | Create (TDBCheckBox)
 | CreateAccessibleObject (TControl)
pt | CreateBrush (TWinControl)
pt | CreateControlBorderSpacing (TControl)
pt | CreateDockManager (TWinControl)
pt | CreateFloatingDockSite (TControl)
pt | CreateHandle (TWinControl)
pt | CreateParams (TWinControl)
pt | CreateParams (TCustomCheckBox)
 | CreateParented (TWinControl)
 | CreateParentedControl (TWinControl)
pt | CreateSubClass (TWinControl)
pt | CreateWnd (TWinControl)
pt | CustomAlignInsertBefore (TWinControl)
pt | CustomAlignPosition (TWinControl)
pt | DataChange (TDBCheckBox)
pt | DblClick (TControl)
 | DecLCLRefCount (TLCLComponent)
 | DefaultHandler (TObject)
 | DefaultHandler (TWinControl)
 | DefaultHandlerStr (TObject)
 | DefineProperties (TPersistent)
 | DefineProperties (TComponent)
pt | DefineProperties (TControl)
 | Destroy (TObject)
 | Destroy (TPersistent)
 | Destroy (TComponent)
 | Destroy (TLCLComponent)
 | Destroy (TControl)
 | Destroy (TWinControl)
 | Destroy (TDBCheckBox)
 | DestroyComponents (TComponent)
pt | DestroyHandle (TWinControl)
 | Destroying (TComponent)
pt | DestroyWnd (TWinControl)
pt | DialogChar (TControl)
pt | DialogChar (TWinControl)
pt | DialogChar (TCustomCheckBox)
 | DisableAlign (TWinControl)
 | DisableAutoSizing (TControl)
 | Dispatch (TObject)
 | DispatchStr (TObject)
pt | DoAddDockClient (TWinControl)
 | DoAdjustClientRectChange (TWinControl)
pt | DoAlignChildControls (TWinControl)
pt | DoAllAutoSize (TControl)
pt | DoAllAutoSize (TWinControl)
pt | DoAutoAdjustLayout (TControl)
pt | DoAutoSize (TControl)
pt | DoAutoSize (TWinControl)
pt | DoBorderSpacingChange (TControl)
pt | DoCallKeyEventHandler (TControl)
pt | DoCallMouseWheelEventHandler (TControl)
pt | DoCallNotifyHandler (TControl)
pt | DoChildSizingChange (TWinControl)
 | Dock (TControl)
 | DockDrop (TWinControl)
 | Docked (TControl)
pt | DockOver (TWinControl)
pt | DockTrackNoTarget (TControl)
pt | DoClickOnChange (TCustomCheckBox)
pt | DoConstraintsChange (TControl)
pt | DoConstraintsChange (TWinControl)
pt | DoContextPopup (TControl)
pt | DoDock (TControl)
pt | DoDockClientMsg (TWinControl)
pt | DoDockOver (TWinControl)
pt | DoDragMsg (TControl)
pt | DoDragMsg (TWinControl)
pt | DoEndDock (TControl)
pt | DoEndDrag (TControl)
pt | DoEnter (TWinControl)
pt | DoExit (TWinControl)
pt | DoFixDesignFontPPI (TControl)
pt | DoFlipChildren (TWinControl)
pt | DoFloatMsg (TControl)
pt | DoFloatMsg (TWinControl)
pt | DoGetDockCaption (TWinControl)
pt | DoKeyDownBeforeInterface (TWinControl)
pt | DoKeyPress (TWinControl)
pt | DoKeyUpBeforeInterface (TWinControl)
pt | DoMouseWheel (TControl)
pt | DoMouseWheelDown (TControl)
pt | DoMouseWheelHorz (TControl)
pt | DoMouseWheelLeft (TControl)
pt | DoMouseWheelRight (TControl)
pt | DoMouseWheelUp (TControl)
pt | DoOnChange (TButtonControl)
pt | DoOnChange (TDBCheckBox)
pt | DoOnChangeBounds (TControl)
pt | DoOnParentHandleDestruction (TControl)
pt | DoOnResize (TControl)
pt | DoOnShowHint (TControl)
pt | DoRemainingKeyDown (TWinControl)
pt | DoRemainingKeyUp (TWinControl)
pt | DoRemoveDockClient (TWinControl)
pt | DoScaleFontPPI (TControl)
pt | DoSendBoundsToInterface (TWinControl)
pt | DoSendShowHideToInterface (TWinControl)
pt | DoSetBounds (TControl)
pt | DoSetBounds (TWinControl)
pt | DoStartDock (TControl)
pt | DoStartDrag (TControl)
pt | DoUnDock (TWinControl)
pt | DoUndockClientMsg (TWinControl)
pt | DoUTF8KeyPress (TWinControl)
pt | DragCanceled (TControl)
 | DragDrop (TControl)
 | Dragging (TControl)
pt | DragOver (TControl)
 | EditingDone (TControl)
 | EnableAlign (TWinControl)
 | EnableAutoSizing (TControl)
pt | EnabledChanged (TControl)
pt | EnabledChanging (TControl)
pt | EndAutoSizing (TControl)
 | EndDrag (TControl)
 | EndUpdateBounds (TWinControl)
 | Equals (TObject)
 | EraseBackground (TWinControl)
 | ExecuteAction (TComponent)
 | ExecuteAction (TDBCheckBox)
 | ExecuteCancelAction (TControl)
 | ExecuteDefaultAction (TControl)
 | FieldAddress (TObject)
pt | FinalizeWnd (TWinControl)
 | FindChildControl (TWinControl)
 | FindComponent (TComponent)
pt | FindNextControl (TWinControl)
 | FixDesignFontsPPI (TControl)
pt | FixupTabList (TWinControl)
 | FlipChildren (TWinControl)
 | Focused (TWinControl)
pt | FontChanged (TControl)
pt | FontChanged (TWinControl)
pt | ForeignAnchorSideChanged (TControl)
pt | FormEndUpdated (TControl)
pt | FormEndUpdated (TWinControl)
 | FormIsUpdating (TControl)
 | FPOAttachObserver (TPersistent)
 | FPODetachObserver (TPersistent)
 | FPONotifyObservers (TPersistent)
 | Free (TObject)
 | FreeInstance (TObject)
 | FreeNotification (TComponent)
 | FreeOnRelease (TComponent)
 | GetAccessibleObject (TControl)
pt | GetAction (TControl)
pt | GetActionLinkClass (TControl)
pt | GetActionLinkClass (TButtonControl)
pt | GetAdjustedLogicalClientRect (TWinControl)
 | GetAnchorsDependingOnParent (TControl)
pt | GetBorderStyle (TWinControl)
pt | GetCachedText (TControl)
 | GetCanvasScaleFactor (TControl)
pt | GetChecked (TButtonControl)
pt | GetChecked (TCustomCheckBox)
 | GetChildAccessibleObjectAtPos (TControl)
 | GetChildOwner (TComponent)
 | GetChildParent (TComponent)
 | GetChildren (TComponent)
pt | GetChildren (TWinControl)
 | GetChildrenRect (TControl)
 | GetChildrenRect (TWinControl)
pt | GetClientOrigin (TControl)
pt | GetClientOrigin (TWinControl)
pt | GetClientRect (TControl)
pt | GetClientRect (TWinControl)
pt | GetClientScrollOffset (TControl)
 | GetColorResolvingParent (TControl)
 | GetComObject (TComponent)
 | GetComponent (TComponent)
 | GetComponentCount (TComponent)
 | GetComponentIndex (TComponent)
pt | GetControlClassDefaultSize (TControl)
pt | GetControlClassDefaultSize (TCustomCheckBox)
 | GetControlIndex (TWinControl)
pt | GetControlOrigin (TControl)
pt | GetControlOrigin (TWinControl)
pt | GetCursor (TControl)
 | GetDefaultColor (TControl)
pt | GetDefaultDockCaption (TControl)
 | GetDefaultHeight (TControl)
 | GetDefaultWidth (TControl)
pt | GetDeviceContext (TControl)
pt | GetDeviceContext (TWinControl)
 | GetDockCaption (TWinControl)
pt | GetDockEdge (TControl)
pt | GetDragImages (TControl)
pt | GetEnabled (TControl)
 | GetEnumerator (TComponent)
 | GetEnumeratorControls (TWinControl)
 | GetEnumeratorControlsReverse (TWinControl)
pt | GetFieldCheckState (TDBCheckBox)
pt | GetFloating (TControl)
pt | GetFloatingDockSiteClass (TControl)
 | GetHashCode (TObject)
 | GetIDsOfNames (TComponent)
 | GetInterface (TObject)
 | GetInterfaceByStr (TObject)
 | GetInterfaceEntry (TObject)
 | GetInterfaceEntryByStr (TObject)
 | GetInterfaceTable (TObject)
 | GetInterfaceWeak (TObject)
pt | GetLogicalClientRect (TControl)
pt | GetMouseCapture (TControl)
pt | GetMouseCapture (TWinControl)
pt | GetMousePosFromMessage (TControl)
 | GetNamePath (TPersistent)
 | GetNamePath (TComponent)
 | GetOwner (TPersistent)
 | GetOwner (TComponent)
pt | GetPalette (TControl)
pt | GetParentBackground (TWinControl)
 | GetParentComponent (TComponent)
 | GetParentComponent (TControl)
pt | GetParentHandle (TWinControl)
pt | GetPopupMenu (TControl)
 | GetPreferredSize (TControl)
pt | GetPreferredSizeClientFrame (TWinControl)
 | GetRGBColorResolvingParent (TControl)
pt | GetScrolledClientRect (TControl)
 | GetSelectedChildAccessibleObject (TControl)
 | GetSidePosition (TControl)
pt | GetSiteInfo (TWinControl)
 | GetTabOrderList (TWinControl)
 | GetTextBuf (TControl)
 | GetTextLen (TControl)
 | GetTextLen (TWinControl)
 | GetTopParent (TControl)
pt | GetTopParentHandle (TWinControl)
 | GetTypeInfo (TComponent)
 | GetTypeInfoCount (TComponent)
pt | GetWSComponentClass (TLCLComponent)
 | HandleAllocated (TWinControl)
 | HandleNeeded (TWinControl)
 | HandleObjectShouldBeVisible (TControl)
 | HasHelp (TControl)
 | HasParent (TComponent)
 | HasParent (TControl)
pt | HeightIsAnchored (TControl)
 | Hide (TControl)
 | iicrGetComponent (TComponent)
 | IncLCLRefCount (TLCLComponent)
 | InheritsFrom (TObject)
pt | InitializeWnd (TWinControl)
pt | InitializeWnd (TCustomCheckBox)
 | InitiateAction (TControl)
 | InitInstance (TObject)
 | Insert (TComponent)
 | InsertComponent (TComponent)
 | InsertControl (TWinControl)
 | InstanceSize (TObject)
 | IntfGetDropFilesTarget (TWinControl)
 | IntfUTF8KeyPress (TWinControl)
 | Invalidate (TControl)
 | Invalidate (TWinControl)
pt | InvalidateBoundsRealized (TWinControl)
 | InvalidateClientRectCache (TWinControl)
pt | InvalidateControl (TControl)
pt | InvalidatePreferredChildSizes (TWinControl)
 | InvalidatePreferredSize (TControl)
 | Invoke (TComponent)
pt | IsAParentAligning (TControl)
pt | IsBorderSpacingInnerBorderStored (TControl)
pt | IsCaptionStored (TControl)
pt | IsClientHeightStored (TControl)
pt | IsClientHeightStored (TWinControl)
pt | IsClientWidthStored (TControl)
pt | IsClientWidthStored (TWinControl)
pt | IsControlMouseMsg (TWinControl)
 | IsControlVisible (TControl)
 | IsEnabled (TControl)
 | IsImplementorOf (TComponent)
 | IsParentColor (TControl)
 | IsParentFont (TControl)
 | IsParentOf (TControl)
 | IsProcessingPaintMsg (TControl)
 | IsRightToLeft (TControl)
 | IsVisible (TControl)
pt | KeyDown (TWinControl)
pt | KeyDownAfterInterface (TWinControl)
pt | KeyDownBeforeInterface (TWinControl)
pt | KeyPress (TWinControl)
pt | KeyUp (TWinControl)
pt | KeyUpAfterInterface (TWinControl)
pt | KeyUpBeforeInterface (TWinControl)
pt | LMCaptureChanged (TControl)
 | Loaded (TComponent)
pt | Loaded (TControl)
pt | Loaded (TWinControl)
pt | Loaded (TCustomCheckBox)
pt | LoadedAll (TControl)
 | Loading (TComponent)
 | LockRealizeBounds (TWinControl)
pt | MainWndProc (TWinControl)
 | ManualDock (TControl)
 | ManualFloat (TControl)
 | MethodAddress (TObject)
 | MethodName (TObject)
pt | MouseDown (TControl)
pt | MouseEnter (TControl)
pt | MouseLeave (TControl)
pt | MouseMove (TControl)
pt | MouseUp (TControl)
 | newinstance (TObject)
 | NewInstance (TLCLComponent)
 | Notification (TComponent)
pt | Notification (TControl)
pt | Notification (TDBCheckBox)
 | NotifyControls (TWinControl)
pt | PaintControls (TWinControl)
pt | PaintHandler (TWinControl)
 | PaintTo (TWinControl)
pt | PaintWindow (TWinControl)
 | PaletteCreated (TComponent)
 | ParentDestroyingHandle (TControl)
pt | ParentFontChanged (TControl)
pt | ParentFormHandleInitialized (TControl)
pt | ParentFormHandleInitialized (TWinControl)
 | ParentHandlesAllocated (TControl)
 | ParentHandlesAllocated (TWinControl)
 | ParentToClient (TControl)
 | Perform (TControl)
 | PerformTab (TWinControl)
pt | PositionDockRect (TControl)
pt | QuadClick (TControl)
 | QueryInterface (TComponent)
 | ReadLeft (TComponent)
 | ReadState (TComponent)
pt | ReadState (TControl)
 | ReadTop (TComponent)
pt | RealGetText (TControl)
pt | RealGetText (TWinControl)
 | ReAlign (TWinControl)
pt | RealizeBounds (TWinControl)
pt | RealizeBoundsRecursive (TWinControl)
pt | RealSetText (TControl)
pt | RealSetText (TWinControl)
pt | RealSetText (TCustomCheckBox)
 | ReferenceInterface (TComponent)
 | Refresh (TControl)
pt | ReloadDockedControl (TWinControl)
 | Remove (TComponent)
 | RemoveAllHandlersOfObject (TLCLComponent)
 | RemoveAllHandlersOfObject (TControl)
 | RemoveComponent (TComponent)
 | RemoveControl (TWinControl)
pt | RemoveFocus (TWinControl)
 | RemoveFreeNotification (TComponent)
pt | RemoveHandler (TControl)
 | RemoveHandlerOnBeforeDestruction (TControl)
 | RemoveHandlerOnChangeBounds (TControl)
 | RemoveHandlerOnEnableChanging (TControl)
 | RemoveHandlerOnKeyDown (TControl)
 | RemoveHandlerOnMouseWheel (TControl)
 | RemoveHandlerOnResize (TControl)
 | RemoveHandlerOnVisibleChanged (TControl)
 | RemoveHandlerOnVisibleChanging (TControl)
 | RemoveNotification (TComponent)
 | Repaint (TControl)
 | Repaint (TWinControl)
 | ReplaceDockedControl (TControl)
pt | RequestAlign (TControl)
pt | Resize (TControl)
pt | RetrieveState (TCustomCheckBox)
 | SafeCallException (TObject)
 | SafeCallException (TComponent)
 | Scale96ToFont (TControl)
 | Scale96ToForm (TControl)
 | Scale96ToScreen (TControl)
 | ScaleBy (TWinControl)
pt | ScaleConstraints (TControl)
pt | ScaleControls (TWinControl)
 | ScaleDesignToForm (TControl)
 | ScaleFontsPPI (TControl)
 | ScaleFontTo96 (TControl)
 | ScaleFontToScreen (TControl)
 | ScaleFormTo96 (TControl)
 | ScaleFormToDesign (TControl)
 | ScaleScreenTo96 (TControl)
 | ScaleScreenToFont (TControl)
 | ScreenToClient (TControl)
 | ScreenToControl (TControl)
 | ScrollBy (TWinControl)
 | ScrollBy_WS (TWinControl)
pt | SelectFirst (TWinControl)
 | SelectNext (TWinControl)
pt | SendDialogChar (TWinControl)
pt | SendMoveSizeMessages (TControl)
pt | SendMoveSizeMessages (TWinControl)
 | SendToBack (TControl)
pt | SetAction (TControl)
pt | SetAlign (TControl)
 | SetAncestor (TComponent)
pt | SetAnchors (TControl)
pt | SetAutoSize (TControl)
pt | SetBiDiMode (TControl)
pt | SetBorderStyle (TWinControl)
 | SetBounds (TControl)
 | SetBounds (TWinControl)
 | SetBoundsKeepBase (TControl)
pt | SetChecked (TButtonControl)
pt | SetChecked (TCustomCheckBox)
 | SetChildOrder (TComponent)
pt | SetChildZPosition (TWinControl)
pt | SetColor (TControl)
pt | SetColor (TWinControl)
 | SetComponentIndex (TComponent)
 | SetControlIndex (TWinControl)
pt | SetCursor (TControl)
 | SetDesigning (TComponent)
 | SetDesignInstance (TComponent)
pt | SetDockManager (TWinControl)
pt | SetDragMode (TControl)
pt | SetEnabled (TControl)
 | SetFocus (TWinControl)
pt | SetHint (TControl)
 | SetInitialBounds (TControl)
 | SetInline (TComponent)
 | SetName (TComponent)
pt | SetName (TControl)
pt | SetParent (TControl)
pt | SetParentBackground (TWinControl)
pt | SetParentBiDiMode (TControl)
 | SetParentComponent (TComponent)
pt | SetParentComponent (TControl)
 | SetReference (TComponent)
 | SetShape (TWinControl)
 | SetSubComponent (TComponent)
 | SetTempCursor (TControl)
 | SetTempCursor (TWinControl)
 | SetTextBuf (TControl)
pt | SetVisible (TControl)
pt | SetZOrder (TControl)
 | ShouldAutoAdjust (TControl)
 | Show (TControl)
pt | ShowControl (TWinControl)
 | ShowHelp (TControl)
 | StringMessageTable (TObject)
pt | TextChanged (TControl)
pt | TextChanged (TCustomCheckBox)
pt | Toggle (TCustomCheckBox)
 | ToString (TObject)
pt | TripleClick (TControl)
 | UnitName (TObject)
 | UnlockRealizeBounds (TWinControl)
 | Update (TControl)
 | Update (TWinControl)
 | UpdateAction (TComponent)
 | UpdateAction (TDBCheckBox)
pt | UpdateAnchorRules (TControl)
 | UpdateBaseBounds (TControl)
pt | UpdateControlState (TWinControl)
 | Updated (TComponent)
pt | UpdateData (TDBCheckBox)
 | UpdateDockCaption (TWinControl)
pt | UpdateMouseCursor (TControl)
 | UpdateRegistry (TComponent)
 | UpdateRolesForForm (TControl)
pt | UpdateShowing (TWinControl)
 | Updating (TComponent)
 | UseRightToLeftAlignment (TControl)
 | UseRightToLeftReading (TControl)
 | UseRightToLeftScrollBar (TControl)
pt | UTF8KeyPress (TWinControl)
 | ValidateContainer (TComponent)
 | ValidateInsert (TComponent)
 | ValidateRename (TComponent)
pt | VisibleChanged (TControl)
pt | VisibleChanging (TControl)
pt | WidthIsAnchored (TControl)
pt | WMCancelMode (TControl)
pt | WMChar (TWinControl)
pt | WMContextMenu (TControl)
pt | WMContextMenu (TWinControl)
pt | WMDestroy (TWinControl)
pt | WMEnter (TWinControl)
pt | WMEraseBkgnd (TWinControl)
pt | WMExit (TWinControl)
pt | WMKeyDown (TWinControl)
pt | WMKeyUp (TWinControl)
pt | WMKillFocus (TWinControl)
pt | WMLButtonDBLCLK (TControl)
pt | WMLButtonDown (TControl)
pt | WMLButtonQuadCLK (TControl)
pt | WMLButtonTripleCLK (TControl)
pt | WMLButtonUp (TControl)
pt | WMMButtonDBLCLK (TControl)
pt | WMMButtonDown (TControl)
pt | WMMButtonQuadCLK (TControl)
pt | WMMButtonTripleCLK (TControl)
pt | WMMButtonUp (TControl)
pt | WMMouseHWheel (TControl)
pt | WMMouseMove (TControl)
pt | WMMouseWheel (TControl)
pt | WMMove (TControl)
pt | WMMove (TWinControl)
pt | WMNotify (TWinControl)
pt | WMPaint (TWinControl)
pt | WMRButtonDBLCLK (TControl)
pt | WMRButtonDown (TControl)
pt | WMRButtonQuadCLK (TControl)
pt | WMRButtonTripleCLK (TControl)
pt | WMRButtonUp (TControl)
pt | WMSetFocus (TWinControl)
pt | WMShowWindow (TWinControl)
pt | WMSize (TControl)
pt | WMSize (TWinControl)
pt | WMSysChar (TWinControl)
pt | WMSysKeyDown (TWinControl)
pt | WMSysKeyUp (TWinControl)
pt | WMWindowPosChanged (TControl)
pt | WMWindowPosChanged (TWinControl)
pt | WMXButtonDBLCLK (TControl)
pt | WMXButtonDown (TControl)
pt | WMXButtonQuadCLK (TControl)
pt | WMXButtonTripleCLK (TControl)
pt | WMXButtonUp (TControl)
pt | WndProc (TControl)
pt | WndProc (TWinControl)
 | WriteLayoutDebugReport (TControl)
 | WriteLayoutDebugReport (TWinControl)
 | WriteLeft (TComponent)
 | WriteState (TComponent)
 | WriteTop (TComponent)
pt | WSRegisterClass (TLCLComponent)
pt | WSRegisterClass (TControl)
pt | WSRegisterClass (TWinControl)
pt | WSRegisterClass (TButtonControl)
pt | WSRegisterClass (TCustomCheckBox)
pt | WSSetText (TWinControl)
pt | WSSetText (TCustomCheckBox)
 | _AddRef (TComponent)
 | _Release (TComponent)


TDBCheckBox
pl | ro | OnChange
pl | ro | OnClick
pl | ro | OnDragDrop
pl | ro | OnDragOver
pl | ro | OnEndDrag
pl | ro | OnEnter
pl | ro | OnExit
pl | ro | OnMouseDown
pl | ro | OnMouseEnter
pl | ro | OnMouseLeave
pl | ro | OnMouseMove
pl | ro | OnMouseUp
pl | ro | OnMouseWheel
pl | ro | OnMouseWheelDown
pl | ro | OnMouseWheelUp
pl | ro | OnStartDrag
TCustomCheckBox
 | ro | OnChange
TButtonControl
pt |  | OnChange
TWinControl
pt |  | OnGetSiteInfo
pt |  | OnGetDockCaption
 |  | OnAlignInsertBefore
 |  | OnAlignPosition
 |  | OnDockDrop
 |  | OnDockOver
 |  | OnEnter
 |  | OnExit
 |  | OnKeyDown
 |  | OnKeyPress
 |  | OnKeyUp
 |  | OnUnDock
 |  | OnUTF8KeyPress
TControl
pt |  | OnConstrainedResize
pt |  | OnContextPopup
pt |  | OnDblClick
pt |  | OnTripleClick
pt |  | OnQuadClick
pt |  | OnDragDrop
pt |  | OnDragOver
pt |  | OnEndDock
pt |  | OnEndDrag
pt |  | OnMouseDown
pt |  | OnMouseMove
pt |  | OnMouseUp
pt |  | OnMouseEnter
pt |  | OnMouseLeave
pt |  | OnMouseWheel
pt |  | OnMouseWheelDown
pt |  | OnMouseWheelUp
pt |  | OnMouseWheelHorz
pt |  | OnMouseWheelLeft
pt |  | OnMouseWheelRight
pt |  | OnStartDock
pt |  | OnStartDrag
pt |  | OnEditingDone
 |  | OnChangeBounds
 |  | OnClick
 |  | OnResize
 |  | OnShowHint
TLCLComponent
TComponent
TPersistent
TObject


pt |  | OnChange (TButtonControl)
 | ro | OnChange (TCustomCheckBox)
pl | ro | OnChange (TDBCheckBox)
 |  | OnChangeBounds (TControl)
 |  | OnClick (TControl)
pl | ro | OnClick (TDBCheckBox)
pt |  | OnConstrainedResize (TControl)
pt |  | OnContextPopup (TControl)
pt |  | OnDblClick (TControl)
 |  | OnDockDrop (TWinControl)
 |  | OnDockOver (TWinControl)
pt |  | OnDragDrop (TControl)
pl | ro | OnDragDrop (TDBCheckBox)
pt |  | OnDragOver (TControl)
pl | ro | OnDragOver (TDBCheckBox)
pt |  | OnEditingDone (TControl)
pt |  | OnEndDock (TControl)
pt |  | OnEndDrag (TControl)
pl | ro | OnEndDrag (TDBCheckBox)
 |  | OnEnter (TWinControl)
pl | ro | OnEnter (TDBCheckBox)
 |  | OnExit (TWinControl)
pl | ro | OnExit (TDBCheckBox)
pt |  | OnGetDockCaption (TWinControl)
pt |  | OnGetSiteInfo (TWinControl)
 |  | OnKeyDown (TWinControl)
 |  | OnKeyPress (TWinControl)
 |  | OnKeyUp (TWinControl)
pt |  | OnMouseDown (TControl)
pl | ro | OnMouseDown (TDBCheckBox)
pt |  | OnMouseEnter (TControl)
pl | ro | OnMouseEnter (TDBCheckBox)
pt |  | OnMouseLeave (TControl)
pl | ro | OnMouseLeave (TDBCheckBox)
pt |  | OnMouseMove (TControl)
pl | ro | OnMouseMove (TDBCheckBox)
pt |  | OnMouseUp (TControl)
pl | ro | OnMouseUp (TDBCheckBox)
pt |  | OnMouseWheel (TControl)
pl | ro | OnMouseWheel (TDBCheckBox)
pt |  | OnMouseWheelDown (TControl)
pl | ro | OnMouseWheelDown (TDBCheckBox)
pt |  | OnMouseWheelHorz (TControl)
pt |  | OnMouseWheelLeft (TControl)
pt |  | OnMouseWheelRight (TControl)
pt |  | OnMouseWheelUp (TControl)
pl | ro | OnMouseWheelUp (TDBCheckBox)
pt |  | OnQuadClick (TControl)
 |  | OnResize (TControl)
 |  | OnShowHint (TControl)
pt |  | OnStartDock (TControl)
pt |  | OnStartDrag (TControl)
pl | ro | OnStartDrag (TDBCheckBox)
pt |  | OnTripleClick (TControl)
 |  | OnUnDock (TWinControl)
 |  | OnUTF8KeyPress (TWinControl)


TDBCheckBox.Action

Declaration

Source position: dbctrls.pp line 665

published property TDBCheckBox.Action : TBasicAction;


TDBCheckBox.Align

Declaration

Source position: dbctrls.pp line 666

published property TDBCheckBox.Align : TAlign;


TDBCheckBox.Alignment

Declaration

Source position: dbctrls.pp line 667

published property TDBCheckBox.Alignment : TLeftRight;


TDBCheckBox.BiDiMode

Declaration

Source position: dbctrls.pp line 671

published property TDBCheckBox.BiDiMode : TBiDiMode;


TDBCheckBox.Create

Create - constructor for TDBCheckBox: calls inherited Create, forms logical connections for checked and unchecked, sets initial style and state, forms datalinks and actions

Declaration

Source position: dbctrls.pp line 657

public constructor TDBCheckBox.Create(

  TheOwner: TComponent

); override;

See also

TCustomCheckBox.Create


TDBCheckBox.DataChange

DataChange - uses GetFieldCheckState to update the State

Declaration

Source position: dbctrls.pp line 652

protected procedure TDBCheckBox.DataChange(

  Sender: TObject

);


TDBCheckBox.DataField

The name (as a string) of the field with which the checkbox is to be associated

Declaration

Source position: dbctrls.pp line 675

published property TDBCheckBox.DataField : string
  read GetDataField
  write SetDataField;


TDBCheckBox.DataSource

The DataSource containing the Field that is to be associated with this checkbox

Declaration

Source position: dbctrls.pp line 676

published property TDBCheckBox.DataSource : TDataSource
  read GetDataSource
  write SetDataSource;


TDBCheckBox.Destroy

Destroy - destructor for TDBCheckBox: frees links and calls inherited Destroy

Declaration

Source position: dbctrls.pp line 658

public destructor TDBCheckBox.Destroy; override;

See also

TWinControl.Destroy


TDBCheckBox.DoOnChange

Declaration

Source position: dbctrls.pp line 653

protected procedure TDBCheckBox.DoOnChange; override;


TDBCheckBox.DoubleBuffered

Declaration

Source position: dbctrls.pp line 677

published property TDBCheckBox.DoubleBuffered : Boolean;


TDBCheckBox.ExecuteAction

Declaration

Source position: dbctrls.pp line 659

public function TDBCheckBox.ExecuteAction(

  AAction: TBasicAction

):Boolean; override;


TDBCheckBox.Field

The Field in the DataSet with which the box is to be associated

Declaration

Source position: dbctrls.pp line 662

public property TDBCheckBox.Field : TField
  read GetField;

Description

Refers to the whole Field entity, not just its name


TDBCheckBox.Font

Declaration

Source position: dbctrls.pp line 682

published property TDBCheckBox.Font : TFont;


TDBCheckBox.GetFieldCheckState

GetFieldCheckState - returns the checkbox state for the current field

Declaration

Source position: dbctrls.pp line 651

protected function TDBCheckBox.GetFieldCheckState: TCheckBoxState; virtual;


TDBCheckBox.OnMouseEnter

Declaration

Source position: dbctrls.pp line 692

published property TDBCheckBox.OnMouseEnter : TNotifyEvent;


TDBCheckBox.OnMouseLeave

Declaration

Source position: dbctrls.pp line 693

published property TDBCheckBox.OnMouseLeave : TNotifyEvent;


TDBCheckBox.OnMouseWheel

Declaration

Source position: dbctrls.pp line 696

published property TDBCheckBox.OnMouseWheel : TMouseWheelEvent;


TDBCheckBox.OnMouseWheelDown

Declaration

Source position: dbctrls.pp line 697

published property TDBCheckBox.OnMouseWheelDown : TMouseWheelUpDownEvent;


TDBCheckBox.OnMouseWheelUp

Declaration

Source position: dbctrls.pp line 698

published property TDBCheckBox.OnMouseWheelUp : TMouseWheelUpDownEvent;


TDBCheckBox.ParentBiDiMode

Declaration

Source position: dbctrls.pp line 700

published property TDBCheckBox.ParentBiDiMode : Boolean;


TDBCheckBox.ParentDoubleBuffered

Declaration

Source position: dbctrls.pp line 702

published property TDBCheckBox.ParentDoubleBuffered : Boolean;


TDBCheckBox.ReadOnly

ReadOnly - if True, data may be read but not written or modified (doesn't make much sense for a check-box unless the box is NOT Enabled!)

Declaration

Source position: dbctrls.pp line 706

published property TDBCheckBox.ReadOnly : Boolean
  read GetReadOnly
  write SetReadOnly
  default False;


TDBCheckBox.UpdateAction

Declaration

Source position: dbctrls.pp line 660

public function TDBCheckBox.UpdateAction(

  AAction: TBasicAction

):Boolean; override;


TDBCheckBox.UpdateData

UpdateData - examines the State to see whether it has changed

Declaration

Source position: dbctrls.pp line 654

protected procedure TDBCheckBox.UpdateData(

  Sender: TObject

);


TDBCheckBox.ValueChecked

ValueChecked - the value to use when the box is checked, for example True or 1

Declaration

Source position: dbctrls.pp line 710

published property TDBCheckBox.ValueChecked : string
  read FValueChecked
  write SetValueChecked;


TDBCheckBox.ValueUnchecked

ValueUnchecked - the value to use when the box is unchecked, for example False or 0

Declaration

Source position: dbctrls.pp line 711

published property TDBCheckBox.ValueUnchecked : string
  read FValueUnchecked
  write SetValueUnchecked;


TDBComboBox

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

TDBComboBox - a data-aware version of TComboBox to allow selection of a value from a list of entries into a database field

Declaration

Source position: dbctrls.pp line 764

type TDBComboBox = class(TCustomDBComboBox)
protected
procedure DataChange(); override; | DataChange - updates the text if it has changed
procedure KeyPress(); override;
procedure UpdateData(); override; | UpdateData - copies the new data via the datalink
published
property Align: TAlign;
property Anchors: TAnchors; | The set of anchor definitions for this control.
property ArrowKeysTraverseList: Boolean; | Allows the operator to use also the keyboard Arrow keys to move through the list.
property AutoComplete: Boolean;
property AutoCompleteText: TComboBoxAutoCompleteText;
property AutoDropDown: Boolean; | Makes the drop-down list appear as soon as the user starts entering text.
property AutoSelect: Boolean;
property AutoSize: Boolean; | Allows to automatically adjust the size of the control, according to its content.
property BiDiMode: TBiDiMode;
property BorderSpacing: TControlBorderSpacing; | Determines the inner and outer border spacing for this control.
property BorderStyle: TBorderStyle;
property CharCase: TEditCharCase;
property Color: TColor; | The background color of the control.
property DataField: string; | The name (as a string) of the Feild whose data are to be linked to the ComboBox
property DataSource: TDataSource; | The identity of the DataSource to which the ComboBox is attached
property DoubleBuffered: Boolean;
property DragCursor: TCursor; | The cursor shape shown while the control is dragged.
property DragKind: TDragKind;
property DragMode: TDragMode; | Allows the user to drag the control.
property DropDownCount: Integer; | The height of the drop-down list, measured in number of items.
property Enabled: Boolean; | Determines whether the control reacts on mouse or keyboard input.
property Font: TFont; | The font to be used for text display in this control.
property ItemHeight: Integer; | The default height of a list item.
property Items: TStrings; | The list of all items in the control.
property ItemWidth: Integer; | The minimum width of the items in the drop-down list.
property MaxLength: Integer; | The maximum length of user input.
property OnChange: TNotifyEvent; | Event handler for user changed text in the edit box.
property OnChangeBounds: TNotifyEvent; | Event handler for a change of the Bounds of the control.
property OnClick: TNotifyEvent; | Notification handler for mouse clicks.
property OnCloseUp: TNotifyEvent; | Handler invoked when the drop-down list closes.
property OnDblClick: TNotifyEvent; | Event Handler for double mouse clicks.
property OnDragDrop: TDragDropEvent; | This handler determines the action on an drop onto this control, in a drag-drop operation.
property OnDragOver: TDragOverEvent; | Event handler for a control being dragged over this control.
property OnDrawItem: TDrawItemEvent; | Handler for special painting of an item (in owner-draw mode).
property OnDropDown: TNotifyEvent; | Handler invoked when the list has dropped down.
property OnEditingDone: TNotifyEvent; | Event handler when editing is done.
property OnEndDrag: TEndDragEvent; | Notification handler for the end of a dragging operation.
property OnEnter: TNotifyEvent; | Handler for control receiving the focus.
property OnExit: TNotifyEvent; | Handler for control loosing the focus. This is a good place for checking the finished user input.
property OnKeyDown: TKeyEvent; | Handler for keyboard key pressed.
property OnKeyPress: TKeyPressEvent; | Handler for a character entered by the user.
property OnKeyUp: TKeyEvent; | Handler for keyboard key released.
property OnMouseDown: TMouseEvent; | Event handler for mouse button going down.
property OnMouseEnter: TNotifyEvent;
property OnMouseLeave: TNotifyEvent;
property OnMouseMove: TMouseMoveEvent; | Event handler for mouse movement within the control.
property OnMouseUp: TMouseEvent; | Event handler for mouse button going up.
property OnMouseWheel: TMouseWheelEvent;
property OnMouseWheelDown: TMouseWheelUpDownEvent;
property OnMouseWheelUp: TMouseWheelUpDownEvent;
property OnSelect: TNotifyEvent; | Handler invoked when an item is selected.
property OnStartDrag: TStartDragEvent; | Event handler for the start of a dragging operation.
property OnUTF8KeyPress: TUTF8KeyPressEvent; | Handler for a character entered by the user.
property ParentBiDiMode: Boolean;
property ParentColor: Boolean; | If true, the Color of the control will be the same as the one from the Parent. Default is true.
property ParentDoubleBuffered: Boolean;
property ParentFont: Boolean; | If true, the Font of the control will be the same as the one from the Parent. Default is true.
property ParentShowHint: Boolean; | If true, the value of ShowHint for the control will be the same as the one from the Parent. Default is true.
property PopupMenu: TPopupMenu;
property ReadOnly: Boolean; | Disallows entry of free text.
property ShowHint: Boolean; | Enables the Hint display.
property Sorted: Boolean; | Determines whether the list entries are sorted.
property Style: TComboBoxStyle; | Appearance and behaviour of the ComboBox (static/drop-down, owner-draw...).
property TabOrder: TTabOrder; | Determines the sequence of controls, reachable when the user presses the Tab key.
property TabStop: Boolean; | Allows the user to navigate to this control, by pressing the Tab key.
property Visible: Boolean; | Allows to show or hide the control, and all of its children.
end;

Inheritance

TDBComboBox | TDBComboBox - a data-aware version of TComboBox to allow selection of a value from a list of entries into a database field
|
TCustomDBComboBox | TCustomDBComboBox - a Data-aware Combo Box for displaying information from a Database
|
TCustomComboBox | The base class for ComboBox components.
|
TWinControl | The base class for controls which can contain other (child) controls.
|
TControl | The base class for visible controls.
|
TLCLComponent | The base class for LCL components associated with widgets.
|
TComponent,IUnknown,IInterfaceComponentReference
|
TPersistent,IFPObserved
|
TObject

Description

TDBComboBox has properties similar to TComboBox and TCustomComboBox. It consists of an Edit Box which is th eData-aware part of the component, and a drop-down list box.

In a typical application a user would be presented with the drop-down list, would make a selection and then this would appear in the edit box and become the data value for that cell in the database.

So for example a list of countries might be presented, and the selected value from the list would be used to populate the appropriate field ('Country') in that record of the database.

See also

HowToUseDataAwareControls

HowToUseDataAwareControls - Hints for accessing databases


TDBComboBox
pl | ro | Align
pl | ro | Anchors
pl | ro | ArrowKeysTraverseList
pl | ro | AutoComplete
pl | ro | AutoCompleteText
pl | ro | AutoDropDown
pl | ro | AutoSelect
pl | ro | AutoSize
pl | ro | BiDiMode
pl | ro | BorderSpacing
pl | ro | BorderStyle
pl | ro | CharCase
pl | ro | Color
pl | ro | DataField
pl | ro | DataSource
pl | ro | DoubleBuffered
pl | ro | DragCursor
pl | ro | DragKind
pl | ro | DragMode
pl | ro | DropDownCount
pl | ro | Enabled
pl | ro | Font
pl | ro | ItemHeight
pl | ro | Items
pl | ro | ItemWidth
pl | ro | MaxLength
pl | ro | ParentBiDiMode
pl | ro | ParentColor
pl | ro | ParentDoubleBuffered
pl | ro | ParentFont
pl | ro | ParentShowHint
pl | ro | PopupMenu
pl | ro | ReadOnly
pl | ro | ShowHint
pl | ro | Sorted
pl | ro | Style
pl | ro | TabOrder
pl | ro | TabStop
pl | ro | Visible
TCustomDBComboBox
pt | ro | DetectedEvents
 | ro | Field
 | ro | Text
 | ro | ItemIndex
 |  | DataField
 |  | DataSource
 |  | ReadOnly
TCustomComboBox
pt |  | ItemHeight
pt |  | ItemWidth
pt |  | MaxLength
pt | ro | ParentColor
pt |  | Sorted
 |  | CharCase
 |  | DroppedDown
 |  | DroppingDown
 |  | AutoComplete
 |  | AutoCompleteText
 |  | AutoDropDown
 |  | AutoSelect
 |  | AutoSelected
 | ro | AutoSize
 |  | ArrowKeysTraverseList
 | ro | Canvas
 |  | DropDownCount
 |  | Items
 |  | ItemIndex
 |  | ReadOnly
 |  | SelLength
 |  | SelStart
 |  | SelText
 |  | Style
 | ro | TabStop
 | ro | Text
TWinControl
pt |  | WindowHandle
pt |  | BorderStyle
pt |  | ParentBackground
 |  | BorderWidth
 | ro | BoundsLockCount
 | ro | Brush
 | ro | CachedClientHeight
 | ro | CachedClientWidth
 |  | ChildSizing
 | ro | ControlCount
 | ro | Controls
 |  | DefWndProc
 | ro | DockClientCount
 | ro | DockClients
 |  | DockManager
 |  | DockSite
 |  | DoubleBuffered
 |  | Handle
 | ro | IsFlipped
 | ro | IsResizing
 |  | TabOrder
 |  | TabStop
 |  | ParentDoubleBuffered
 |  | ParentWindow
 | ro | Showing
 |  | UseDockManager
 |  | DesignerDeleting
 | ro | VisibleDockClientCount
TControl
pt | ro | AutoSizing
pt | ro | AutoSizingAll
pt | ro | AutoSizingLockCount
pt |  | ActionLink
pt |  | DesktopFont
pt |  | DragCursor
pt |  | DragKind
pt |  | DragMode
pt |  | MouseCapture
pt |  | ParentColor
pt |  | ParentFont
pt |  | ParentShowHint
pt |  | SessionProperties
pt |  | Text
 | ro | AnchoredControls
 | ro | BaseBounds
 | ro | ReadBounds
 | ro | BaseParentClientSize
 |  | AccessibleDescription
 |  | AccessibleValue
 |  | AccessibleRole
 |  | Action
 |  | Align
 |  | Anchors
 | ro | AnchorSide
 |  | AutoSize
 |  | BorderSpacing
 |  | BoundsRect
 |  | BoundsRectForNewParent
 |  | Caption
 |  | CaptureMouseButtons
 |  | ClientHeight
 | ro | ClientOrigin
 | ro | ClientRect
 |  | ClientWidth
 |  | Color
 |  | Constraints
 | ro | ControlOrigin
 |  | ControlState
 |  | ControlStyle
 |  | Enabled
 |  | Font
 |  | IsControl
 | ro | MouseEntered
 | ro | MouseInClient
 |  | Parent
 |  | PopupMenu
 |  | ShowHint
 |  | Visible
 |  | WindowProc
 |  | DockOrientation
 | ro | Floating
 |  | FloatingDockSiteClass
 |  | HostDockSite
 |  | LRDockWidth
 |  | TBDockHeight
 |  | UndockHeight
 |  | UndockWidth
 |  | BiDiMode
 |  | ParentBiDiMode
pl |  | AnchorSideLeft
pl |  | AnchorSideTop
pl |  | AnchorSideRight
pl |  | AnchorSideBottom
pl |  | Cursor
pl |  | Left
pl |  | Height
pl |  | Hint
pl |  | Top
pl |  | Width
pl |  | HelpType
pl |  | HelpKeyword
pl |  | HelpContext
TLCLComponent
 | ro | LCLRefCount
 | ro | WidgetSetClass
TComponent
 | ro | ComObject
 | ro | Components
 | ro | ComponentCount
 |  | ComponentIndex
 | ro | ComponentState
 | ro | ComponentStyle
 |  | DesignInfo
 | ro | Owner
 |  | VCLComObject
 |  | Name
 |  | Tag
TPersistent
TObject


 |  | AccessibleDescription (TControl)
 |  | AccessibleRole (TControl)
 |  | AccessibleValue (TControl)
 |  | Action (TControl)
pt |  | ActionLink (TControl)
 |  | Align (TControl)
pl | ro | Align (TDBComboBox)
 | ro | AnchoredControls (TControl)
 |  | Anchors (TControl)
pl | ro | Anchors (TDBComboBox)
 | ro | AnchorSide (TControl)
pl |  | AnchorSideBottom (TControl)
pl |  | AnchorSideLeft (TControl)
pl |  | AnchorSideRight (TControl)
pl |  | AnchorSideTop (TControl)
 |  | ArrowKeysTraverseList (TCustomComboBox)
pl | ro | ArrowKeysTraverseList (TDBComboBox)
 |  | AutoComplete (TCustomComboBox)
pl | ro | AutoComplete (TDBComboBox)
 |  | AutoCompleteText (TCustomComboBox)
pl | ro | AutoCompleteText (TDBComboBox)
 |  | AutoDropDown (TCustomComboBox)
pl | ro | AutoDropDown (TDBComboBox)
 |  | AutoSelect (TCustomComboBox)
pl | ro | AutoSelect (TDBComboBox)
 |  | AutoSelected (TCustomComboBox)
 |  | AutoSize (TControl)
 | ro | AutoSize (TCustomComboBox)
pl | ro | AutoSize (TDBComboBox)
pt | ro | AutoSizing (TControl)
pt | ro | AutoSizingAll (TControl)
pt | ro | AutoSizingLockCount (TControl)
 | ro | BaseBounds (TControl)
 | ro | BaseParentClientSize (TControl)
 |  | BiDiMode (TControl)
pl | ro | BiDiMode (TDBComboBox)
 |  | BorderSpacing (TControl)
pl | ro | BorderSpacing (TDBComboBox)
pt |  | BorderStyle (TWinControl)
pl | ro | BorderStyle (TDBComboBox)
 |  | BorderWidth (TWinControl)
 | ro | BoundsLockCount (TWinControl)
 |  | BoundsRect (TControl)
 |  | BoundsRectForNewParent (TControl)
 | ro | Brush (TWinControl)
 | ro | CachedClientHeight (TWinControl)
 | ro | CachedClientWidth (TWinControl)
 | ro | Canvas (TCustomComboBox)
 |  | Caption (TControl)
 |  | CaptureMouseButtons (TControl)
 |  | CharCase (TCustomComboBox)
pl | ro | CharCase (TDBComboBox)
 |  | ChildSizing (TWinControl)
 |  | ClientHeight (TControl)
 | ro | ClientOrigin (TControl)
 | ro | ClientRect (TControl)
 |  | ClientWidth (TControl)
 |  | Color (TControl)
pl | ro | Color (TDBComboBox)
 | ro | ComObject (TComponent)
 | ro | ComponentCount (TComponent)
 |  | ComponentIndex (TComponent)
 | ro | Components (TComponent)
 | ro | ComponentState (TComponent)
 | ro | ComponentStyle (TComponent)
 |  | Constraints (TControl)
 | ro | ControlCount (TWinControl)
 | ro | ControlOrigin (TControl)
 | ro | Controls (TWinControl)
 |  | ControlState (TControl)
 |  | ControlStyle (TControl)
pl |  | Cursor (TControl)
 |  | DataField (TCustomDBComboBox)
pl | ro | DataField (TDBComboBox)
 |  | DataSource (TCustomDBComboBox)
pl | ro | DataSource (TDBComboBox)
 |  | DefWndProc (TWinControl)
 |  | DesignerDeleting (TWinControl)
 |  | DesignInfo (TComponent)
pt |  | DesktopFont (TControl)
pt | ro | DetectedEvents (TCustomDBComboBox)
 | ro | DockClientCount (TWinControl)
 | ro | DockClients (TWinControl)
 |  | DockManager (TWinControl)
 |  | DockOrientation (TControl)
 |  | DockSite (TWinControl)
 |  | DoubleBuffered (TWinControl)
pl | ro | DoubleBuffered (TDBComboBox)
pt |  | DragCursor (TControl)
pl | ro | DragCursor (TDBComboBox)
pt |  | DragKind (TControl)
pl | ro | DragKind (TDBComboBox)
pt |  | DragMode (TControl)
pl | ro | DragMode (TDBComboBox)
 |  | DropDownCount (TCustomComboBox)
pl | ro | DropDownCount (TDBComboBox)
 |  | DroppedDown (TCustomComboBox)
 |  | DroppingDown (TCustomComboBox)
 |  | Enabled (TControl)
pl | ro | Enabled (TDBComboBox)
 | ro | Field (TCustomDBComboBox)
 | ro | Floating (TControl)
 |  | FloatingDockSiteClass (TControl)
 |  | Font (TControl)
pl | ro | Font (TDBComboBox)
 |  | Handle (TWinControl)
pl |  | Height (TControl)
pl |  | HelpContext (TControl)
pl |  | HelpKeyword (TControl)
pl |  | HelpType (TControl)
pl |  | Hint (TControl)
 |  | HostDockSite (TControl)
 |  | IsControl (TControl)
 | ro | IsFlipped (TWinControl)
 | ro | IsResizing (TWinControl)
pt |  | ItemHeight (TCustomComboBox)
pl | ro | ItemHeight (TDBComboBox)
 |  | ItemIndex (TCustomComboBox)
 | ro | ItemIndex (TCustomDBComboBox)
 |  | Items (TCustomComboBox)
pl | ro | Items (TDBComboBox)
pt |  | ItemWidth (TCustomComboBox)
pl | ro | ItemWidth (TDBComboBox)
 | ro | LCLRefCount (TLCLComponent)
pl |  | Left (TControl)
 |  | LRDockWidth (TControl)
pt |  | MaxLength (TCustomComboBox)
pl | ro | MaxLength (TDBComboBox)
pt |  | MouseCapture (TControl)
 | ro | MouseEntered (TControl)
 | ro | MouseInClient (TControl)
 |  | Name (TComponent)
 | ro | Owner (TComponent)
 |  | Parent (TControl)
pt |  | ParentBackground (TWinControl)
 |  | ParentBiDiMode (TControl)
pl | ro | ParentBiDiMode (TDBComboBox)
pt |  | ParentColor (TControl)
pt | ro | ParentColor (TCustomComboBox)
pl | ro | ParentColor (TDBComboBox)
 |  | ParentDoubleBuffered (TWinControl)
pl | ro | ParentDoubleBuffered (TDBComboBox)
pt |  | ParentFont (TControl)
pl | ro | ParentFont (TDBComboBox)
pt |  | ParentShowHint (TControl)
pl | ro | ParentShowHint (TDBComboBox)
 |  | ParentWindow (TWinControl)
 |  | PopupMenu (TControl)
pl | ro | PopupMenu (TDBComboBox)
 | ro | ReadBounds (TControl)
 |  | ReadOnly (TCustomComboBox)
 |  | ReadOnly (TCustomDBComboBox)
pl | ro | ReadOnly (TDBComboBox)
 |  | SelLength (TCustomComboBox)
 |  | SelStart (TCustomComboBox)
 |  | SelText (TCustomComboBox)
pt |  | SessionProperties (TControl)
 |  | ShowHint (TControl)
pl | ro | ShowHint (TDBComboBox)
 | ro | Showing (TWinControl)
pt |  | Sorted (TCustomComboBox)
pl | ro | Sorted (TDBComboBox)
 |  | Style (TCustomComboBox)
pl | ro | Style (TDBComboBox)
 |  | TabOrder (TWinControl)
pl | ro | TabOrder (TDBComboBox)
 |  | TabStop (TWinControl)
 | ro | TabStop (TCustomComboBox)
pl | ro | TabStop (TDBComboBox)
 |  | Tag (TComponent)
 |  | TBDockHeight (TControl)
pt |  | Text (TControl)
 | ro | Text (TCustomComboBox)
 | ro | Text (TCustomDBComboBox)
pl |  | Top (TControl)
 |  | UndockHeight (TControl)
 |  | UndockWidth (TControl)
 |  | UseDockManager (TWinControl)
 |  | VCLComObject (TComponent)
 |  | Visible (TControl)
pl | ro | Visible (TDBComboBox)
 | ro | VisibleDockClientCount (TWinControl)
 | ro | WidgetSetClass (TLCLComponent)
pl |  | Width (TControl)
pt |  | WindowHandle (TWinControl)
 |  | WindowProc (TControl)


TDBComboBox
pt | DataChange
pt | KeyPress
pt | UpdateData
TCustomDBComboBox
pt | DoEdit
pt | DoOnCloseUp
pt | DoOnSelect
pt | LMDeferredEdit
pt | CloseUp
pt | Select
pt | DataChange
pt | DoMouseWheel
pt | Notification
pt | Change
pt | KeyDown
pt | UpdateData
pt | UpdateRecord
pt | WndProc
 | Create
 | Destroy
 | ExecuteAction
 | UpdateAction
 | EditingDone
TCustomComboBox
pt | WSRegisterClass
pt | CreateParams
pt | InitializeWnd
pt | DestroyWnd
pt | DoEnter
pt | DoExit
pt | DrawItem
pt | KeyUpAfterInterface
pt | MeasureItem
pt | GetControlClassDefaultSize
pt | LMChanged
pt | CMWantSpecialKey
pt | Change
pt | Select
pt | DropDown
pt | GetItems
pt | SetItems
pt | CloseUp
pt | AdjustDropDown
pt | DoAutoAdjustLayout
pt | GetItemCount
pt | GetItemHeight
pt | GetSelLength
pt | GetSelStart
pt | GetSelText
pt | GetItemIndex
pt | GetMaxLength
pt | SetDropDownCount
pt | SetDroppedDown
pt | SetItemHeight
pt | SetItemIndex
pt | SetMaxLength
pt | SetSelLength
pt | SetSelStart
pt | SetSelText
pt | SetSorted
pt | SetStyle
pt | RealSetText
pt | KeyDown
pt | KeyUp
pt | UTF8KeyPress
pt | MouseUp
pt | SelectItem
pt | ShouldAutoAdjust
 | Create
 | Destroy
 | IntfGetItems
 | AddItem
 | AddHistoryItem
 | Clear
 | ClearSelection
 | SelectAll
TWinControl
pt | WSRegisterClass
pt | AdjustClientRect
pt | GetAdjustedLogicalClientRect
pt | AlignControls
pt | CustomAlignInsertBefore
pt | CustomAlignPosition
pt | DoAlignChildControls
pt | DoChildSizingChange
pt | InvalidatePreferredChildSizes
pt | CanTab
pt | IsClientHeightStored
pt | IsClientWidthStored
pt | DoSendShowHideToInterface
pt | ControlsAligned
pt | DoSendBoundsToInterface
pt | RealizeBounds
pt | RealizeBoundsRecursive
pt | InvalidateBoundsRealized
pt | CreateSubClass
pt | DoConstraintsChange
pt | DoSetBounds
pt | DoAutoSize
pt | DoAllAutoSize
pt | AllAutoSized
pt | CalculatePreferredSize
pt | GetPreferredSizeClientFrame
pt | GetChildren
pt | ChildClassAllowed
pt | PaintControls
pt | PaintHandler
pt | PaintWindow
pt | CreateBrush
pt | ScaleControls
pt | ChangeScale
pt | CMBiDiModeChanged
pt | CMBorderChanged
pt | CMDoubleBufferedChanged
pt | CMEnabledChanged
pt | CMParentDoubleBufferedChanged
pt | CMShowingChanged
pt | CMShowHintChanged
pt | CMVisibleChanged
pt | CMEnter
pt | CMExit
pt | WMContextMenu
pt | WMEraseBkgnd
pt | WMNotify
pt | WMSetFocus
pt | WMKillFocus
pt | WMShowWindow
pt | WMEnter
pt | WMExit
pt | WMKeyDown
pt | WMSysKeyDown
pt | WMKeyUp
pt | WMSysKeyUp
pt | WMChar
pt | WMSysChar
pt | WMPaint
pt | WMDestroy
pt | WMMove
pt | WMSize
pt | WMWindowPosChanged
pt | CNKeyDown
pt | CNSysKeyDown
pt | CNKeyUp
pt | CNSysKeyUp
pt | CNChar
pt | DoDragMsg
pt | DoDockClientMsg
pt | DoUndockClientMsg
pt | DoAddDockClient
pt | DockOver
pt | DoDockOver
pt | DoRemoveDockClient
pt | DoUnDock
pt | GetSiteInfo
pt | GetParentHandle
pt | GetTopParentHandle
pt | ReloadDockedControl
pt | CreateDockManager
pt | SetDockManager
pt | DoFloatMsg
pt | DoGetDockCaption
pt | DoEnter
pt | DoExit
pt | DoKeyDownBeforeInterface
pt | DoRemainingKeyDown
pt | DoRemainingKeyUp
pt | DoKeyPress
pt | DoUTF8KeyPress
pt | DoKeyUpBeforeInterface
pt | ChildKey
pt | SendDialogChar
pt | DialogChar
pt | ControlKeyDown
pt | ControlKeyUp
pt | KeyDown
pt | KeyDownBeforeInterface
pt | KeyDownAfterInterface
pt | KeyPress
pt | KeyUp
pt | KeyUpBeforeInterface
pt | KeyUpAfterInterface
pt | UTF8KeyPress
pt | FindNextControl
pt | SelectFirst
pt | RealGetText
pt | GetBorderStyle
pt | GetClientOrigin
pt | GetClientRect
pt | GetControlOrigin
pt | GetDeviceContext
pt | GetParentBackground
pt | IsControlMouseMsg
pt | CreateHandle
pt | CreateParams
pt | CreateWnd
pt | DestroyHandle
pt | DestroyWnd
pt | DoFlipChildren
pt | FinalizeWnd
pt | FixupTabList
pt | FontChanged
pt | InitializeWnd
pt | Loaded
pt | FormEndUpdated
pt | MainWndProc
pt | ParentFormHandleInitialized
pt | ChildHandlesCreated
pt | GetMouseCapture
pt | RealSetText
pt | RemoveFocus
pt | SendMoveSizeMessages
pt | SetBorderStyle
pt | SetColor
pt | SetChildZPosition
pt | SetParentBackground
pt | ShowControl
pt | UpdateControlState
pt | UpdateShowing
pt | WndProc
pt | WSSetText
 | AutoSizePhases
 | AutoSizeDelayed
 | AutoSizeDelayedReport
 | AutoSizeDelayedHandle
 | BeginUpdateBounds
 | EndUpdateBounds
 | LockRealizeBounds
 | UnlockRealizeBounds
 | ControlAtPos
 | ContainsControl
 | DoAdjustClientRectChange
 | InvalidateClientRectCache
 | ClientRectNeedsInterfaceUpdate
 | SetBounds
 | GetChildrenRect
 | DisableAlign
 | EnableAlign
 | ReAlign
 | ScrollBy_WS
 | ScrollBy
 | WriteLayoutDebugReport
 | AutoAdjustLayout
 | Create
 | CreateParented
 | CreateParentedControl
 | Destroy
 | DockDrop
 | CanFocus
 | CanSetFocus
 | GetControlIndex
 | SetControlIndex
 | Focused
 | PerformTab
 | FindChildControl
 | SelectNext
 | SetTempCursor
 | BroadCast
 | NotifyControls
 | DefaultHandler
 | GetTextLen
 | Invalidate
 | AddControl
 | InsertControl
 | RemoveControl
 | GetEnumeratorControls
 | GetEnumeratorControlsReverse
 | Repaint
 | Update
 | SetFocus
 | FlipChildren
 | ScaleBy
 | GetDockCaption
 | UpdateDockCaption
 | GetTabOrderList
 | HandleAllocated
 | ParentHandlesAllocated
 | HandleNeeded
 | BrushCreated
 | EraseBackground
 | IntfUTF8KeyPress
 | IntfGetDropFilesTarget
 | PaintTo
 | SetShape
TControl
pt | WSRegisterClass
pt | GetCursor
pt | SetCursor
pt | SetVisible
pt | DoOnParentHandleDestruction
pt | DoAutoSize
pt | DoAllAutoSize
pt | BeginAutoSizing
pt | EndAutoSizing
pt | AnchorSideChanged
pt | ForeignAnchorSideChanged
pt | SetAlign
pt | SetAnchors
pt | SetAutoSize
pt | BoundsChanged
pt | CreateControlBorderSpacing
pt | DoConstraintsChange
pt | DoBorderSpacingChange
pt | IsBorderSpacingInnerBorderStored
pt | IsCaptionStored
pt | SendMoveSizeMessages
pt | ConstrainedResize
pt | CalculatePreferredSize
pt | DoOnResize
pt | DoOnChangeBounds
pt | CheckOnChangeBounds
pt | Resize
pt | RequestAlign
pt | UpdateAnchorRules
pt | ChangeBounds
pt | DoSetBounds
pt | ScaleConstraints
pt | ChangeScale
pt | CanAutoSize
pt | SetBiDiMode
pt | SetParentBiDiMode
pt | IsAParentAligning
pt | GetClientOrigin
pt | GetClientRect
pt | GetLogicalClientRect
pt | GetScrolledClientRect
pt | GetClientScrollOffset
pt | GetControlOrigin
pt | IsClientHeightStored
pt | IsClientWidthStored
pt | WidthIsAnchored
pt | HeightIsAnchored
pt | WMCancelMode
pt | WMContextMenu
pt | WMLButtonDown
pt | WMRButtonDown
pt | WMMButtonDown
pt | WMXButtonDown
pt | WMLButtonDBLCLK
pt | WMRButtonDBLCLK
pt | WMMButtonDBLCLK
pt | WMXButtonDBLCLK
pt | WMLButtonTripleCLK
pt | WMRButtonTripleCLK
pt | WMMButtonTripleCLK
pt | WMXButtonTripleCLK
pt | WMLButtonQuadCLK
pt | WMRButtonQuadCLK
pt | WMMButtonQuadCLK
pt | WMXButtonQuadCLK
pt | WMMouseMove
pt | WMLButtonUp
pt | WMRButtonUp
pt | WMMButtonUp
pt | WMXButtonUp
pt | WMMouseWheel
pt | WMMouseHWheel
pt | WMMove
pt | WMSize
pt | WMWindowPosChanged
pt | CMChanged
pt | LMCaptureChanged
pt | CMBiDiModeChanged
pt | CMSysFontChanged
pt | CMEnabledChanged
pt | CMHitTest
pt | CMMouseEnter
pt | CMMouseLeave
pt | CMHintShow
pt | CMParentBiDiModeChanged
pt | CMParentColorChanged
pt | CMParentFontChanged
pt | CMParentShowHintChanged
pt | CMVisibleChanged
pt | CMTextChanged
pt | CMCursorChanged
pt | CalculateDockSizes
pt | CreateFloatingDockSite
pt | GetDockEdge
pt | GetDragImages
pt | GetFloating
pt | GetFloatingDockSiteClass
pt | BeforeDragStart
pt | BeginAutoDrag
pt | DoFloatMsg
pt | DockTrackNoTarget
pt | DoDock
pt | DoDragMsg
pt | DoEndDock
pt | DoEndDrag
pt | DoStartDock
pt | DoStartDrag
pt | DragCanceled
pt | DragOver
pt | PositionDockRect
pt | SetDragMode
pt | GetDefaultDockCaption
pt | Click
pt | DblClick
pt | TripleClick
pt | QuadClick
pt | GetMousePosFromMessage
pt | MouseDown
pt | MouseMove
pt | MouseUp
pt | MouseEnter
pt | MouseLeave
pt | DialogChar
pt | UpdateMouseCursor
pt | Changed
pt | GetPalette
pt | ChildClassAllowed
pt | ReadState
pt | Loaded
pt | LoadedAll
pt | DefineProperties
pt | AssignTo
pt | FormEndUpdated
pt | InvalidateControl
pt | FontChanged
pt | ParentFontChanged
pt | GetAction
pt | RealGetText
pt | RealSetText
pt | TextChanged
pt | GetCachedText
pt | SetAction
pt | SetColor
pt | SetEnabled
pt | SetHint
pt | SetName
pt | SetParent
pt | SetParentComponent
pt | WndProc
pt | ParentFormHandleInitialized
pt | GetMouseCapture
pt | CaptureChanged
pt | Notification
pt | CanTab
pt | GetDeviceContext
pt | GetEnabled
pt | GetPopupMenu
pt | DoOnShowHint
pt | DoMouseWheel
pt | DoMouseWheelDown
pt | DoMouseWheelUp
pt | DoMouseWheelHorz
pt | DoMouseWheelLeft
pt | DoMouseWheelRight
pt | VisibleChanging
pt | VisibleChanged
pt | EnabledChanging
pt | EnabledChanged
pt | AddHandler
pt | RemoveHandler
pt | DoCallNotifyHandler
pt | DoCallKeyEventHandler
pt | DoCallMouseWheelEventHandler
pt | DoContextPopup
pt | SetZOrder
pt | GetControlClassDefaultSize
pt | ColorIsStored
pt | DoAutoAdjustLayout
pt | DoFixDesignFontPPI
pt | DoScaleFontPPI
pt | GetActionLinkClass
pt | ActionChange
 | DragDrop
 | Dock
 | ManualDock
 | ManualFloat
 | ReplaceDockedControl
 | Docked
 | Dragging
 | GetAccessibleObject
 | CreateAccessibleObject
 | GetSelectedChildAccessibleObject
 | GetChildAccessibleObjectAtPos
 | ScaleDesignToForm
 | ScaleFormToDesign
 | Scale96ToForm
 | ScaleFormTo96
 | Scale96ToFont
 | ScaleFontTo96
 | ScaleScreenToFont
 | ScaleFontToScreen
 | Scale96ToScreen
 | ScaleScreenTo96
 | AdjustSize
 | AutoSizePhases
 | AutoSizeDelayed
 | AutoSizeDelayedReport
 | AutoSizeDelayedHandle
 | AnchorToNeighbour
 | AnchorParallel
 | AnchorHorizontalCenterTo
 | AnchorVerticalCenterTo
 | AnchorToCompanion
 | AnchorSame
 | AnchorAsAlign
 | AnchorClient
 | AnchoredControlCount
 | SetBounds
 | SetInitialBounds
 | SetBoundsKeepBase
 | GetPreferredSize
 | GetCanvasScaleFactor
 | GetDefaultWidth
 | GetDefaultHeight
 | GetDefaultColor
 | GetColorResolvingParent
 | GetRGBColorResolvingParent
 | GetSidePosition
 | CNPreferredSizeChanged
 | InvalidatePreferredSize
 | GetAnchorsDependingOnParent
 | DisableAutoSizing
 | EnableAutoSizing
 | UpdateBaseBounds
 | WriteLayoutDebugReport
 | AutoAdjustLayout
 | ShouldAutoAdjust
 | FixDesignFontsPPI
 | ScaleFontsPPI
 | Create
 | Destroy
 | BeforeDestruction
 | EditingDone
 | ExecuteDefaultAction
 | ExecuteCancelAction
 | BeginDrag
 | EndDrag
 | BringToFront
 | HasParent
 | GetParentComponent
 | IsParentOf
 | GetTopParent
 | IsVisible
 | IsControlVisible
 | IsEnabled
 | IsParentColor
 | IsParentFont
 | FormIsUpdating
 | IsProcessingPaintMsg
 | Hide
 | Refresh
 | Repaint
 | Invalidate
 | CheckChildClassAllowed
 | CheckNewParent
 | SendToBack
 | SetTempCursor
 | UpdateRolesForForm
 | ActiveDefaultControlChanged
 | GetTextBuf
 | GetTextLen
 | SetTextBuf
 | Perform
 | ScreenToClient
 | ClientToScreen
 | ScreenToControl
 | ControlToScreen
 | ClientToParent
 | ParentToClient
 | GetChildrenRect
 | Show
 | Update
 | HandleObjectShouldBeVisible
 | ParentDestroyingHandle
 | ParentHandlesAllocated
 | InitiateAction
 | ShowHelp
 | HasHelp
 | RemoveAllHandlersOfObject
 | AddHandlerOnResize
 | RemoveHandlerOnResize
 | AddHandlerOnChangeBounds
 | RemoveHandlerOnChangeBounds
 | AddHandlerOnVisibleChanging
 | RemoveHandlerOnVisibleChanging
 | AddHandlerOnVisibleChanged
 | RemoveHandlerOnVisibleChanged
 | AddHandlerOnEnabledChanged
 | RemoveHandlerOnEnableChanging
 | AddHandlerOnKeyDown
 | RemoveHandlerOnKeyDown
 | AddHandlerOnBeforeDestruction
 | RemoveHandlerOnBeforeDestruction
 | AddHandlerOnMouseWheel
 | RemoveHandlerOnMouseWheel
 | UseRightToLeftAlignment
 | UseRightToLeftReading
 | UseRightToLeftScrollBar
 | IsRightToLeft
TLCLComponent
pt | WSRegisterClass
pt | GetWSComponentClass
 | Create
 | Destroy
 | NewInstance
 | RemoveAllHandlersOfObject
 | IncLCLRefCount
 | DecLCLRefCount
TComponent
 | GetComObject
 | GetComponent
 | GetComponentCount
 | GetComponentIndex
 | Insert
 | ReadLeft
 | ReadTop
 | Remove
 | RemoveNotification
 | SetComponentIndex
 | SetReference
 | WriteLeft
 | WriteTop
 | ChangeName
 | DefineProperties
 | GetChildren
 | GetChildOwner
 | GetChildParent
 | GetOwner
 | Loaded
 | Loading
 | Notification
 | PaletteCreated
 | ReadState
 | SetAncestor
 | SetDesigning
 | SetDesignInstance
 | SetInline
 | SetName
 | SetChildOrder
 | SetParentComponent
 | Updating
 | Updated
 | UpdateRegistry
 | ValidateRename
 | ValidateContainer
 | ValidateInsert
 | QueryInterface
 | _AddRef
 | _Release
 | iicrGetComponent
 | GetTypeInfoCount
 | GetTypeInfo
 | GetIDsOfNames
 | Invoke
 | WriteState
 | Create
 | Destroy
 | BeforeDestruction
 | DestroyComponents
 | Destroying
 | ExecuteAction
 | FindComponent
 | FreeNotification
 | RemoveFreeNotification
 | FreeOnRelease
 | GetEnumerator
 | GetNamePath
 | GetParentComponent
 | HasParent
 | InsertComponent
 | RemoveComponent
 | SafeCallException
 | SetSubComponent
 | UpdateAction
 | IsImplementorOf
 | ReferenceInterface
TPersistent
 | AssignError
 | AssignTo
 | DefineProperties
 | GetOwner
 | Destroy
 | Assign
 | FPOAttachObserver
 | FPODetachObserver
 | FPONotifyObservers
 | GetNamePath
TObject
 | Create
 | Destroy
 | newinstance
 | FreeInstance
 | SafeCallException
 | DefaultHandler
 | Free
 | InitInstance
 | CleanupInstance
 | ClassType
 | ClassInfo
 | ClassName
 | ClassNameIs
 | ClassParent
 | InstanceSize
 | InheritsFrom
 | StringMessageTable
 | MethodAddress
 | MethodName
 | FieldAddress
 | AfterConstruction
 | BeforeDestruction
 | DefaultHandlerStr
 | Dispatch
 | DispatchStr
 | GetInterface
 | GetInterfaceByStr
 | GetInterfaceWeak
 | GetInterfaceEntry
 | GetInterfaceEntryByStr
 | GetInterfaceTable
 | UnitName
 | Equals
 | GetHashCode
 | ToString


pt | ActionChange (TControl)
 | ActiveDefaultControlChanged (TControl)
 | AddControl (TWinControl)
pt | AddHandler (TControl)
 | AddHandlerOnBeforeDestruction (TControl)
 | AddHandlerOnChangeBounds (TControl)
 | AddHandlerOnEnabledChanged (TControl)
 | AddHandlerOnKeyDown (TControl)
 | AddHandlerOnMouseWheel (TControl)
 | AddHandlerOnResize (TControl)
 | AddHandlerOnVisibleChanged (TControl)
 | AddHandlerOnVisibleChanging (TControl)
 | AddHistoryItem (TCustomComboBox)
 | AddItem (TCustomComboBox)
pt | AdjustClientRect (TWinControl)
pt | AdjustDropDown (TCustomComboBox)
 | AdjustSize (TControl)
 | AfterConstruction (TObject)
pt | AlignControls (TWinControl)
pt | AllAutoSized (TWinControl)
 | AnchorAsAlign (TControl)
 | AnchorClient (TControl)
 | AnchoredControlCount (TControl)
 | AnchorHorizontalCenterTo (TControl)
 | AnchorParallel (TControl)
 | AnchorSame (TControl)
pt | AnchorSideChanged (TControl)
 | AnchorToCompanion (TControl)
 | AnchorToNeighbour (TControl)
 | AnchorVerticalCenterTo (TControl)
 | Assign (TPersistent)
 | AssignError (TPersistent)
 | AssignTo (TPersistent)
pt | AssignTo (TControl)
 | AutoAdjustLayout (TControl)
 | AutoAdjustLayout (TWinControl)
 | AutoSizeDelayed (TControl)
 | AutoSizeDelayed (TWinControl)
 | AutoSizeDelayedHandle (TControl)
 | AutoSizeDelayedHandle (TWinControl)
 | AutoSizeDelayedReport (TControl)
 | AutoSizeDelayedReport (TWinControl)
 | AutoSizePhases (TControl)
 | AutoSizePhases (TWinControl)
 | BeforeDestruction (TObject)
 | BeforeDestruction (TComponent)
 | BeforeDestruction (TControl)
pt | BeforeDragStart (TControl)
pt | BeginAutoDrag (TControl)
pt | BeginAutoSizing (TControl)
 | BeginDrag (TControl)
 | BeginUpdateBounds (TWinControl)
pt | BoundsChanged (TControl)
 | BringToFront (TControl)
 | BroadCast (TWinControl)
 | BrushCreated (TWinControl)
pt | CalculateDockSizes (TControl)
pt | CalculatePreferredSize (TControl)
pt | CalculatePreferredSize (TWinControl)
pt | CanAutoSize (TControl)
 | CanFocus (TWinControl)
 | CanSetFocus (TWinControl)
pt | CanTab (TControl)
pt | CanTab (TWinControl)
pt | CaptureChanged (TControl)
pt | Change (TCustomComboBox)
pt | Change (TCustomDBComboBox)
pt | ChangeBounds (TControl)
pt | Changed (TControl)
 | ChangeName (TComponent)
pt | ChangeScale (TControl)
pt | ChangeScale (TWinControl)
 | CheckChildClassAllowed (TControl)
 | CheckNewParent (TControl)
pt | CheckOnChangeBounds (TControl)
pt | ChildClassAllowed (TControl)
pt | ChildClassAllowed (TWinControl)
pt | ChildHandlesCreated (TWinControl)
pt | ChildKey (TWinControl)
 | ClassInfo (TObject)
 | ClassName (TObject)
 | ClassNameIs (TObject)
 | ClassParent (TObject)
 | ClassType (TObject)
 | CleanupInstance (TObject)
 | Clear (TCustomComboBox)
 | ClearSelection (TCustomComboBox)
pt | Click (TControl)
 | ClientRectNeedsInterfaceUpdate (TWinControl)
 | ClientToParent (TControl)
 | ClientToScreen (TControl)
pt | CloseUp (TCustomComboBox)
pt | CloseUp (TCustomDBComboBox)
pt | CMBiDiModeChanged (TControl)
pt | CMBiDiModeChanged (TWinControl)
pt | CMBorderChanged (TWinControl)
pt | CMChanged (TControl)
pt | CMCursorChanged (TControl)
pt | CMDoubleBufferedChanged (TWinControl)
pt | CMEnabledChanged (TControl)
pt | CMEnabledChanged (TWinControl)
pt | CMEnter (TWinControl)
pt | CMExit (TWinControl)
pt | CMHintShow (TControl)
pt | CMHitTest (TControl)
pt | CMMouseEnter (TControl)
pt | CMMouseLeave (TControl)
pt | CMParentBiDiModeChanged (TControl)
pt | CMParentColorChanged (TControl)
pt | CMParentDoubleBufferedChanged (TWinControl)
pt | CMParentFontChanged (TControl)
pt | CMParentShowHintChanged (TControl)
pt | CMShowHintChanged (TWinControl)
pt | CMShowingChanged (TWinControl)
pt | CMSysFontChanged (TControl)
pt | CMTextChanged (TControl)
pt | CMVisibleChanged (TControl)
pt | CMVisibleChanged (TWinControl)
pt | CMWantSpecialKey (TCustomComboBox)
pt | CNChar (TWinControl)
pt | CNKeyDown (TWinControl)
pt | CNKeyUp (TWinControl)
 | CNPreferredSizeChanged (TControl)
pt | CNSysKeyDown (TWinControl)
pt | CNSysKeyUp (TWinControl)
pt | ColorIsStored (TControl)
pt | ConstrainedResize (TControl)
 | ContainsControl (TWinControl)
 | ControlAtPos (TWinControl)
pt | ControlKeyDown (TWinControl)
pt | ControlKeyUp (TWinControl)
pt | ControlsAligned (TWinControl)
 | ControlToScreen (TControl)
 | Create (TObject)
 | Create (TComponent)
 | Create (TLCLComponent)
 | Create (TControl)
 | Create (TWinControl)
 | Create (TCustomComboBox)
 | Create (TCustomDBComboBox)
 | CreateAccessibleObject (TControl)
pt | CreateBrush (TWinControl)
pt | CreateControlBorderSpacing (TControl)
pt | CreateDockManager (TWinControl)
pt | CreateFloatingDockSite (TControl)
pt | CreateHandle (TWinControl)
pt | CreateParams (TWinControl)
pt | CreateParams (TCustomComboBox)
 | CreateParented (TWinControl)
 | CreateParentedControl (TWinControl)
pt | CreateSubClass (TWinControl)
pt | CreateWnd (TWinControl)
pt | CustomAlignInsertBefore (TWinControl)
pt | CustomAlignPosition (TWinControl)
pt | DataChange (TCustomDBComboBox)
pt | DataChange (TDBComboBox)
pt | DblClick (TControl)
 | DecLCLRefCount (TLCLComponent)
 | DefaultHandler (TObject)
 | DefaultHandler (TWinControl)
 | DefaultHandlerStr (TObject)
 | DefineProperties (TPersistent)
 | DefineProperties (TComponent)
pt | DefineProperties (TControl)
 | Destroy (TObject)
 | Destroy (TPersistent)
 | Destroy (TComponent)
 | Destroy (TLCLComponent)
 | Destroy (TControl)
 | Destroy (TWinControl)
 | Destroy (TCustomComboBox)
 | Destroy (TCustomDBComboBox)
 | DestroyComponents (TComponent)
pt | DestroyHandle (TWinControl)
 | Destroying (TComponent)
pt | DestroyWnd (TWinControl)
pt | DestroyWnd (TCustomComboBox)
pt | DialogChar (TControl)
pt | DialogChar (TWinControl)
 | DisableAlign (TWinControl)
 | DisableAutoSizing (TControl)
 | Dispatch (TObject)
 | DispatchStr (TObject)
pt | DoAddDockClient (TWinControl)
 | DoAdjustClientRectChange (TWinControl)
pt | DoAlignChildControls (TWinControl)
pt | DoAllAutoSize (TControl)
pt | DoAllAutoSize (TWinControl)
pt | DoAutoAdjustLayout (TControl)
pt | DoAutoAdjustLayout (TCustomComboBox)
pt | DoAutoSize (TControl)
pt | DoAutoSize (TWinControl)
pt | DoBorderSpacingChange (TControl)
pt | DoCallKeyEventHandler (TControl)
pt | DoCallMouseWheelEventHandler (TControl)
pt | DoCallNotifyHandler (TControl)
pt | DoChildSizingChange (TWinControl)
 | Dock (TControl)
 | DockDrop (TWinControl)
 | Docked (TControl)
pt | DockOver (TWinControl)
pt | DockTrackNoTarget (TControl)
pt | DoConstraintsChange (TControl)
pt | DoConstraintsChange (TWinControl)
pt | DoContextPopup (TControl)
pt | DoDock (TControl)
pt | DoDockClientMsg (TWinControl)
pt | DoDockOver (TWinControl)
pt | DoDragMsg (TControl)
pt | DoDragMsg (TWinControl)
pt | DoEdit (TCustomDBComboBox)
pt | DoEndDock (TControl)
pt | DoEndDrag (TControl)
pt | DoEnter (TWinControl)
pt | DoEnter (TCustomComboBox)
pt | DoExit (TWinControl)
pt | DoExit (TCustomComboBox)
pt | DoFixDesignFontPPI (TControl)
pt | DoFlipChildren (TWinControl)
pt | DoFloatMsg (TControl)
pt | DoFloatMsg (TWinControl)
pt | DoGetDockCaption (TWinControl)
pt | DoKeyDownBeforeInterface (TWinControl)
pt | DoKeyPress (TWinControl)
pt | DoKeyUpBeforeInterface (TWinControl)
pt | DoMouseWheel (TControl)
pt | DoMouseWheel (TCustomDBComboBox)
pt | DoMouseWheelDown (TControl)
pt | DoMouseWheelHorz (TControl)
pt | DoMouseWheelLeft (TControl)
pt | DoMouseWheelRight (TControl)
pt | DoMouseWheelUp (TControl)
pt | DoOnChangeBounds (TControl)
pt | DoOnCloseUp (TCustomDBComboBox)
pt | DoOnParentHandleDestruction (TControl)
pt | DoOnResize (TControl)
pt | DoOnSelect (TCustomDBComboBox)
pt | DoOnShowHint (TControl)
pt | DoRemainingKeyDown (TWinControl)
pt | DoRemainingKeyUp (TWinControl)
pt | DoRemoveDockClient (TWinControl)
pt | DoScaleFontPPI (TControl)
pt | DoSendBoundsToInterface (TWinControl)
pt | DoSendShowHideToInterface (TWinControl)
pt | DoSetBounds (TControl)
pt | DoSetBounds (TWinControl)
pt | DoStartDock (TControl)
pt | DoStartDrag (TControl)
pt | DoUnDock (TWinControl)
pt | DoUndockClientMsg (TWinControl)
pt | DoUTF8KeyPress (TWinControl)
pt | DragCanceled (TControl)
 | DragDrop (TControl)
 | Dragging (TControl)
pt | DragOver (TControl)
pt | DrawItem (TCustomComboBox)
pt | DropDown (TCustomComboBox)
 | EditingDone (TControl)
 | EditingDone (TCustomDBComboBox)
 | EnableAlign (TWinControl)
 | EnableAutoSizing (TControl)
pt | EnabledChanged (TControl)
pt | EnabledChanging (TControl)
pt | EndAutoSizing (TControl)
 | EndDrag (TControl)
 | EndUpdateBounds (TWinControl)
 | Equals (TObject)
 | EraseBackground (TWinControl)
 | ExecuteAction (TComponent)
 | ExecuteAction (TCustomDBComboBox)
 | ExecuteCancelAction (TControl)
 | ExecuteDefaultAction (TControl)
 | FieldAddress (TObject)
pt | FinalizeWnd (TWinControl)
 | FindChildControl (TWinControl)
 | FindComponent (TComponent)
pt | FindNextControl (TWinControl)
 | FixDesignFontsPPI (TControl)
pt | FixupTabList (TWinControl)
 | FlipChildren (TWinControl)
 | Focused (TWinControl)
pt | FontChanged (TControl)
pt | FontChanged (TWinControl)
pt | ForeignAnchorSideChanged (TControl)
pt | FormEndUpdated (TControl)
pt | FormEndUpdated (TWinControl)
 | FormIsUpdating (TControl)
 | FPOAttachObserver (TPersistent)
 | FPODetachObserver (TPersistent)
 | FPONotifyObservers (TPersistent)
 | Free (TObject)
 | FreeInstance (TObject)
 | FreeNotification (TComponent)
 | FreeOnRelease (TComponent)
 | GetAccessibleObject (TControl)
pt | GetAction (TControl)
pt | GetActionLinkClass (TControl)
pt | GetAdjustedLogicalClientRect (TWinControl)
 | GetAnchorsDependingOnParent (TControl)
pt | GetBorderStyle (TWinControl)
pt | GetCachedText (TControl)
 | GetCanvasScaleFactor (TControl)
 | GetChildAccessibleObjectAtPos (TControl)
 | GetChildOwner (TComponent)
 | GetChildParent (TComponent)
 | GetChildren (TComponent)
pt | GetChildren (TWinControl)
 | GetChildrenRect (TControl)
 | GetChildrenRect (TWinControl)
pt | GetClientOrigin (TControl)
pt | GetClientOrigin (TWinControl)
pt | GetClientRect (TControl)
pt | GetClientRect (TWinControl)
pt | GetClientScrollOffset (TControl)
 | GetColorResolvingParent (TControl)
 | GetComObject (TComponent)
 | GetComponent (TComponent)
 | GetComponentCount (TComponent)
 | GetComponentIndex (TComponent)
pt | GetControlClassDefaultSize (TControl)
pt | GetControlClassDefaultSize (TCustomComboBox)
 | GetControlIndex (TWinControl)
pt | GetControlOrigin (TControl)
pt | GetControlOrigin (TWinControl)
pt | GetCursor (TControl)
 | GetDefaultColor (TControl)
pt | GetDefaultDockCaption (TControl)
 | GetDefaultHeight (TControl)
 | GetDefaultWidth (TControl)
pt | GetDeviceContext (TControl)
pt | GetDeviceContext (TWinControl)
 | GetDockCaption (TWinControl)
pt | GetDockEdge (TControl)
pt | GetDragImages (TControl)
pt | GetEnabled (TControl)
 | GetEnumerator (TComponent)
 | GetEnumeratorControls (TWinControl)
 | GetEnumeratorControlsReverse (TWinControl)
pt | GetFloating (TControl)
pt | GetFloatingDockSiteClass (TControl)
 | GetHashCode (TObject)
 | GetIDsOfNames (TComponent)
 | GetInterface (TObject)
 | GetInterfaceByStr (TObject)
 | GetInterfaceEntry (TObject)
 | GetInterfaceEntryByStr (TObject)
 | GetInterfaceTable (TObject)
 | GetInterfaceWeak (TObject)
pt | GetItemCount (TCustomComboBox)
pt | GetItemHeight (TCustomComboBox)
pt | GetItemIndex (TCustomComboBox)
pt | GetItems (TCustomComboBox)
pt | GetLogicalClientRect (TControl)
pt | GetMaxLength (TCustomComboBox)
pt | GetMouseCapture (TControl)
pt | GetMouseCapture (TWinControl)
pt | GetMousePosFromMessage (TControl)
 | GetNamePath (TPersistent)
 | GetNamePath (TComponent)
 | GetOwner (TPersistent)
 | GetOwner (TComponent)
pt | GetPalette (TControl)
pt | GetParentBackground (TWinControl)
 | GetParentComponent (TComponent)
 | GetParentComponent (TControl)
pt | GetParentHandle (TWinControl)
pt | GetPopupMenu (TControl)
 | GetPreferredSize (TControl)
pt | GetPreferredSizeClientFrame (TWinControl)
 | GetRGBColorResolvingParent (TControl)
pt | GetScrolledClientRect (TControl)
 | GetSelectedChildAccessibleObject (TControl)
pt | GetSelLength (TCustomComboBox)
pt | GetSelStart (TCustomComboBox)
pt | GetSelText (TCustomComboBox)
 | GetSidePosition (TControl)
pt | GetSiteInfo (TWinControl)
 | GetTabOrderList (TWinControl)
 | GetTextBuf (TControl)
 | GetTextLen (TControl)
 | GetTextLen (TWinControl)
 | GetTopParent (TControl)
pt | GetTopParentHandle (TWinControl)
 | GetTypeInfo (TComponent)
 | GetTypeInfoCount (TComponent)
pt | GetWSComponentClass (TLCLComponent)
 | HandleAllocated (TWinControl)
 | HandleNeeded (TWinControl)
 | HandleObjectShouldBeVisible (TControl)
 | HasHelp (TControl)
 | HasParent (TComponent)
 | HasParent (TControl)
pt | HeightIsAnchored (TControl)
 | Hide (TControl)
 | iicrGetComponent (TComponent)
 | IncLCLRefCount (TLCLComponent)
 | InheritsFrom (TObject)
pt | InitializeWnd (TWinControl)
pt | InitializeWnd (TCustomComboBox)
 | InitiateAction (TControl)
 | InitInstance (TObject)
 | Insert (TComponent)
 | InsertComponent (TComponent)
 | InsertControl (TWinControl)
 | InstanceSize (TObject)
 | IntfGetDropFilesTarget (TWinControl)
 | IntfGetItems (TCustomComboBox)
 | IntfUTF8KeyPress (TWinControl)
 | Invalidate (TControl)
 | Invalidate (TWinControl)
pt | InvalidateBoundsRealized (TWinControl)
 | InvalidateClientRectCache (TWinControl)
pt | InvalidateControl (TControl)
pt | InvalidatePreferredChildSizes (TWinControl)
 | InvalidatePreferredSize (TControl)
 | Invoke (TComponent)
pt | IsAParentAligning (TControl)
pt | IsBorderSpacingInnerBorderStored (TControl)
pt | IsCaptionStored (TControl)
pt | IsClientHeightStored (TControl)
pt | IsClientHeightStored (TWinControl)
pt | IsClientWidthStored (TControl)
pt | IsClientWidthStored (TWinControl)
pt | IsControlMouseMsg (TWinControl)
 | IsControlVisible (TControl)
 | IsEnabled (TControl)
 | IsImplementorOf (TComponent)
 | IsParentColor (TControl)
 | IsParentFont (TControl)
 | IsParentOf (TControl)
 | IsProcessingPaintMsg (TControl)
 | IsRightToLeft (TControl)
 | IsVisible (TControl)
pt | KeyDown (TWinControl)
pt | KeyDown (TCustomComboBox)
pt | KeyDown (TCustomDBComboBox)
pt | KeyDownAfterInterface (TWinControl)
pt | KeyDownBeforeInterface (TWinControl)
pt | KeyPress (TWinControl)
pt | KeyPress (TDBComboBox)
pt | KeyUp (TWinControl)
pt | KeyUp (TCustomComboBox)
pt | KeyUpAfterInterface (TWinControl)
pt | KeyUpAfterInterface (TCustomComboBox)
pt | KeyUpBeforeInterface (TWinControl)
pt | LMCaptureChanged (TControl)
pt | LMChanged (TCustomComboBox)
pt | LMDeferredEdit (TCustomDBComboBox)
 | Loaded (TComponent)
pt | Loaded (TControl)
pt | Loaded (TWinControl)
pt | LoadedAll (TControl)
 | Loading (TComponent)
 | LockRealizeBounds (TWinControl)
pt | MainWndProc (TWinControl)
 | ManualDock (TControl)
 | ManualFloat (TControl)
pt | MeasureItem (TCustomComboBox)
 | MethodAddress (TObject)
 | MethodName (TObject)
pt | MouseDown (TControl)
pt | MouseEnter (TControl)
pt | MouseLeave (TControl)
pt | MouseMove (TControl)
pt | MouseUp (TControl)
pt | MouseUp (TCustomComboBox)
 | newinstance (TObject)
 | NewInstance (TLCLComponent)
 | Notification (TComponent)
pt | Notification (TControl)
pt | Notification (TCustomDBComboBox)
 | NotifyControls (TWinControl)
pt | PaintControls (TWinControl)
pt | PaintHandler (TWinControl)
 | PaintTo (TWinControl)
pt | PaintWindow (TWinControl)
 | PaletteCreated (TComponent)
 | ParentDestroyingHandle (TControl)
pt | ParentFontChanged (TControl)
pt | ParentFormHandleInitialized (TControl)
pt | ParentFormHandleInitialized (TWinControl)
 | ParentHandlesAllocated (TControl)
 | ParentHandlesAllocated (TWinControl)
 | ParentToClient (TControl)
 | Perform (TControl)
 | PerformTab (TWinControl)
pt | PositionDockRect (TControl)
pt | QuadClick (TControl)
 | QueryInterface (TComponent)
 | ReadLeft (TComponent)
 | ReadState (TComponent)
pt | ReadState (TControl)
 | ReadTop (TComponent)
pt | RealGetText (TControl)
pt | RealGetText (TWinControl)
 | ReAlign (TWinControl)
pt | RealizeBounds (TWinControl)
pt | RealizeBoundsRecursive (TWinControl)
pt | RealSetText (TControl)
pt | RealSetText (TWinControl)
pt | RealSetText (TCustomComboBox)
 | ReferenceInterface (TComponent)
 | Refresh (TControl)
pt | ReloadDockedControl (TWinControl)
 | Remove (TComponent)
 | RemoveAllHandlersOfObject (TLCLComponent)
 | RemoveAllHandlersOfObject (TControl)
 | RemoveComponent (TComponent)
 | RemoveControl (TWinControl)
pt | RemoveFocus (TWinControl)
 | RemoveFreeNotification (TComponent)
pt | RemoveHandler (TControl)
 | RemoveHandlerOnBeforeDestruction (TControl)
 | RemoveHandlerOnChangeBounds (TControl)
 | RemoveHandlerOnEnableChanging (TControl)
 | RemoveHandlerOnKeyDown (TControl)
 | RemoveHandlerOnMouseWheel (TControl)
 | RemoveHandlerOnResize (TControl)
 | RemoveHandlerOnVisibleChanged (TControl)
 | RemoveHandlerOnVisibleChanging (TControl)
 | RemoveNotification (TComponent)
 | Repaint (TControl)
 | Repaint (TWinControl)
 | ReplaceDockedControl (TControl)
pt | RequestAlign (TControl)
pt | Resize (TControl)
 | SafeCallException (TObject)
 | SafeCallException (TComponent)
 | Scale96ToFont (TControl)
 | Scale96ToForm (TControl)
 | Scale96ToScreen (TControl)
 | ScaleBy (TWinControl)
pt | ScaleConstraints (TControl)
pt | ScaleControls (TWinControl)
 | ScaleDesignToForm (TControl)
 | ScaleFontsPPI (TControl)
 | ScaleFontTo96 (TControl)
 | ScaleFontToScreen (TControl)
 | ScaleFormTo96 (TControl)
 | ScaleFormToDesign (TControl)
 | ScaleScreenTo96 (TControl)
 | ScaleScreenToFont (TControl)
 | ScreenToClient (TControl)
 | ScreenToControl (TControl)
 | ScrollBy (TWinControl)
 | ScrollBy_WS (TWinControl)
pt | Select (TCustomComboBox)
pt | Select (TCustomDBComboBox)
 | SelectAll (TCustomComboBox)
pt | SelectFirst (TWinControl)
pt | SelectItem (TCustomComboBox)
 | SelectNext (TWinControl)
pt | SendDialogChar (TWinControl)
pt | SendMoveSizeMessages (TControl)
pt | SendMoveSizeMessages (TWinControl)
 | SendToBack (TControl)
pt | SetAction (TControl)
pt | SetAlign (TControl)
 | SetAncestor (TComponent)
pt | SetAnchors (TControl)
pt | SetAutoSize (TControl)
pt | SetBiDiMode (TControl)
pt | SetBorderStyle (TWinControl)
 | SetBounds (TControl)
 | SetBounds (TWinControl)
 | SetBoundsKeepBase (TControl)
 | SetChildOrder (TComponent)
pt | SetChildZPosition (TWinControl)
pt | SetColor (TControl)
pt | SetColor (TWinControl)
 | SetComponentIndex (TComponent)
 | SetControlIndex (TWinControl)
pt | SetCursor (TControl)
 | SetDesigning (TComponent)
 | SetDesignInstance (TComponent)
pt | SetDockManager (TWinControl)
pt | SetDragMode (TControl)
pt | SetDropDownCount (TCustomComboBox)
pt | SetDroppedDown (TCustomComboBox)
pt | SetEnabled (TControl)
 | SetFocus (TWinControl)
pt | SetHint (TControl)
 | SetInitialBounds (TControl)
 | SetInline (TComponent)
pt | SetItemHeight (TCustomComboBox)
pt | SetItemIndex (TCustomComboBox)
pt | SetItems (TCustomComboBox)
pt | SetMaxLength (TCustomComboBox)
 | SetName (TComponent)
pt | SetName (TControl)
pt | SetParent (TControl)
pt | SetParentBackground (TWinControl)
pt | SetParentBiDiMode (TControl)
 | SetParentComponent (TComponent)
pt | SetParentComponent (TControl)
 | SetReference (TComponent)
pt | SetSelLength (TCustomComboBox)
pt | SetSelStart (TCustomComboBox)
pt | SetSelText (TCustomComboBox)
 | SetShape (TWinControl)
pt | SetSorted (TCustomComboBox)
pt | SetStyle (TCustomComboBox)
 | SetSubComponent (TComponent)
 | SetTempCursor (TControl)
 | SetTempCursor (TWinControl)
 | SetTextBuf (TControl)
pt | SetVisible (TControl)
pt | SetZOrder (TControl)
 | ShouldAutoAdjust (TControl)
pt | ShouldAutoAdjust (TCustomComboBox)
 | Show (TControl)
pt | ShowControl (TWinControl)
 | ShowHelp (TControl)
 | StringMessageTable (TObject)
pt | TextChanged (TControl)
 | ToString (TObject)
pt | TripleClick (TControl)
 | UnitName (TObject)
 | UnlockRealizeBounds (TWinControl)
 | Update (TControl)
 | Update (TWinControl)
 | UpdateAction (TComponent)
 | UpdateAction (TCustomDBComboBox)
pt | UpdateAnchorRules (TControl)
 | UpdateBaseBounds (TControl)
pt | UpdateControlState (TWinControl)
 | Updated (TComponent)
pt | UpdateData (TCustomDBComboBox)
pt | UpdateData (TDBComboBox)
 | UpdateDockCaption (TWinControl)
pt | UpdateMouseCursor (TControl)
pt | UpdateRecord (TCustomDBComboBox)
 | UpdateRegistry (TComponent)
 | UpdateRolesForForm (TControl)
pt | UpdateShowing (TWinControl)
 | Updating (TComponent)
 | UseRightToLeftAlignment (TControl)
 | UseRightToLeftReading (TControl)
 | UseRightToLeftScrollBar (TControl)
pt | UTF8KeyPress (TWinControl)
pt | UTF8KeyPress (TCustomComboBox)
 | ValidateContainer (TComponent)
 | ValidateInsert (TComponent)
 | ValidateRename (TComponent)
pt | VisibleChanged (TControl)
pt | VisibleChanging (TControl)
pt | WidthIsAnchored (TControl)
pt | WMCancelMode (TControl)
pt | WMChar (TWinControl)
pt | WMContextMenu (TControl)
pt | WMContextMenu (TWinControl)
pt | WMDestroy (TWinControl)
pt | WMEnter (TWinControl)
pt | WMEraseBkgnd (TWinControl)
pt | WMExit (TWinControl)
pt | WMKeyDown (TWinControl)
pt | WMKeyUp (TWinControl)
pt | WMKillFocus (TWinControl)
pt | WMLButtonDBLCLK (TControl)
pt | WMLButtonDown (TControl)
pt | WMLButtonQuadCLK (TControl)
pt | WMLButtonTripleCLK (TControl)
pt | WMLButtonUp (TControl)
pt | WMMButtonDBLCLK (TControl)
pt | WMMButtonDown (TControl)
pt | WMMButtonQuadCLK (TControl)
pt | WMMButtonTripleCLK (TControl)
pt | WMMButtonUp (TControl)
pt | WMMouseHWheel (TControl)
pt | WMMouseMove (TControl)
pt | WMMouseWheel (TControl)
pt | WMMove (TControl)
pt | WMMove (TWinControl)
pt | WMNotify (TWinControl)
pt | WMPaint (TWinControl)
pt | WMRButtonDBLCLK (TControl)
pt | WMRButtonDown (TControl)
pt | WMRButtonQuadCLK (TControl)
pt | WMRButtonTripleCLK (TControl)
pt | WMRButtonUp (TControl)
pt | WMSetFocus (TWinControl)
pt | WMShowWindow (TWinControl)
pt | WMSize (TControl)
pt | WMSize (TWinControl)
pt | WMSysChar (TWinControl)
pt | WMSysKeyDown (TWinControl)
pt | WMSysKeyUp (TWinControl)
pt | WMWindowPosChanged (TControl)
pt | WMWindowPosChanged (TWinControl)
pt | WMXButtonDBLCLK (TControl)
pt | WMXButtonDown (TControl)
pt | WMXButtonQuadCLK (TControl)
pt | WMXButtonTripleCLK (TControl)
pt | WMXButtonUp (TControl)
pt | WndProc (TControl)
pt | WndProc (TWinControl)
pt | WndProc (TCustomDBComboBox)
 | WriteLayoutDebugReport (TControl)
 | WriteLayoutDebugReport (TWinControl)
 | WriteLeft (TComponent)
 | WriteState (TComponent)
 | WriteTop (TComponent)
pt | WSRegisterClass (TLCLComponent)
pt | WSRegisterClass (TControl)
pt | WSRegisterClass (TWinControl)
pt | WSRegisterClass (TCustomComboBox)
pt | WSSetText (TWinControl)
 | _AddRef (TComponent)
 | _Release (TComponent)


TDBComboBox
pl | ro | OnChange
pl | ro | OnChangeBounds
pl | ro | OnClick
pl | ro | OnCloseUp
pl | ro | OnDblClick
pl | ro | OnDragDrop
pl | ro | OnDragOver
pl | ro | OnDrawItem
pl | ro | OnDropDown
pl | ro | OnEditingDone
pl | ro | OnEndDrag
pl | ro | OnEnter
pl | ro | OnExit
pl | ro | OnKeyDown
pl | ro | OnKeyPress
pl | ro | OnKeyUp
pl | ro | OnMouseDown
pl | ro | OnMouseEnter
pl | ro | OnMouseLeave
pl | ro | OnMouseMove
pl | ro | OnMouseUp
pl | ro | OnMouseWheel
pl | ro | OnMouseWheelDown
pl | ro | OnMouseWheelUp
pl | ro | OnSelect
pl | ro | OnStartDrag
pl | ro | OnUTF8KeyPress
TCustomDBComboBox
TCustomComboBox
pt |  | OnChange
pt |  | OnCloseUp
pt |  | OnDrawItem
pt |  | OnDropDown
pt |  | OnGetItems
pt |  | OnMeasureItem
pt |  | OnSelect
TWinControl
pt |  | OnGetSiteInfo
pt |  | OnGetDockCaption
 |  | OnAlignInsertBefore
 |  | OnAlignPosition
 |  | OnDockDrop
 |  | OnDockOver
 |  | OnEnter
 |  | OnExit
 |  | OnKeyDown
 |  | OnKeyPress
 |  | OnKeyUp
 |  | OnUnDock
 |  | OnUTF8KeyPress
TControl
pt |  | OnConstrainedResize
pt |  | OnContextPopup
pt |  | OnDblClick
pt |  | OnTripleClick
pt |  | OnQuadClick
pt |  | OnDragDrop
pt |  | OnDragOver
pt |  | OnEndDock
pt |  | OnEndDrag
pt |  | OnMouseDown
pt |  | OnMouseMove
pt |  | OnMouseUp
pt |  | OnMouseEnter
pt |  | OnMouseLeave
pt |  | OnMouseWheel
pt |  | OnMouseWheelDown
pt |  | OnMouseWheelUp
pt |  | OnMouseWheelHorz
pt |  | OnMouseWheelLeft
pt |  | OnMouseWheelRight
pt |  | OnStartDock
pt |  | OnStartDrag
pt |  | OnEditingDone
 |  | OnChangeBounds
 |  | OnClick
 |  | OnResize
 |  | OnShowHint
TLCLComponent
TComponent
TPersistent
TObject


pt |  | OnChange (TCustomComboBox)
pl | ro | OnChange (TDBComboBox)
 |  | OnChangeBounds (TControl)
pl | ro | OnChangeBounds (TDBComboBox)
 |  | OnClick (TControl)
pl | ro | OnClick (TDBComboBox)
pt |  | OnCloseUp (TCustomComboBox)
pl | ro | OnCloseUp (TDBComboBox)
pt |  | OnConstrainedResize (TControl)
pt |  | OnContextPopup (TControl)
pt |  | OnDblClick (TControl)
pl | ro | OnDblClick (TDBComboBox)
 |  | OnDockDrop (TWinControl)
 |  | OnDockOver (TWinControl)
pt |  | OnDragDrop (TControl)
pl | ro | OnDragDrop (TDBComboBox)
pt |  | OnDragOver (TControl)
pl | ro | OnDragOver (TDBComboBox)
pt |  | OnDrawItem (TCustomComboBox)
pl | ro | OnDrawItem (TDBComboBox)
pt |  | OnDropDown (TCustomComboBox)
pl | ro | OnDropDown (TDBComboBox)
pt |  | OnEditingDone (TControl)
pl | ro | OnEditingDone (TDBComboBox)
pt |  | OnEndDock (TControl)
pt |  | OnEndDrag (TControl)
pl | ro | OnEndDrag (TDBComboBox)
 |  | OnEnter (TWinControl)
pl | ro | OnEnter (TDBComboBox)
 |  | OnExit (TWinControl)
pl | ro | OnExit (TDBComboBox)
pt |  | OnGetDockCaption (TWinControl)
pt |  | OnGetItems (TCustomComboBox)
pt |  | OnGetSiteInfo (TWinControl)
 |  | OnKeyDown (TWinControl)
pl | ro | OnKeyDown (TDBComboBox)
 |  | OnKeyPress (TWinControl)
pl | ro | OnKeyPress (TDBComboBox)
 |  | OnKeyUp (TWinControl)
pl | ro | OnKeyUp (TDBComboBox)
pt |  | OnMeasureItem (TCustomComboBox)
pt |  | OnMouseDown (TControl)
pl | ro | OnMouseDown (TDBComboBox)
pt |  | OnMouseEnter (TControl)
pl | ro | OnMouseEnter (TDBComboBox)
pt |  | OnMouseLeave (TControl)
pl | ro | OnMouseLeave (TDBComboBox)
pt |  | OnMouseMove (TControl)
pl | ro | OnMouseMove (TDBComboBox)
pt |  | OnMouseUp (TControl)
pl | ro | OnMouseUp (TDBComboBox)
pt |  | OnMouseWheel (TControl)
pl | ro | OnMouseWheel (TDBComboBox)
pt |  | OnMouseWheelDown (TControl)
pl | ro | OnMouseWheelDown (TDBComboBox)
pt |  | OnMouseWheelHorz (TControl)
pt |  | OnMouseWheelLeft (TControl)
pt |  | OnMouseWheelRight (TControl)
pt |  | OnMouseWheelUp (TControl)
pl | ro | OnMouseWheelUp (TDBComboBox)
pt |  | OnQuadClick (TControl)
 |  | OnResize (TControl)
pt |  | OnSelect (TCustomComboBox)
pl | ro | OnSelect (TDBComboBox)
 |  | OnShowHint (TControl)
pt |  | OnStartDock (TControl)
pt |  | OnStartDrag (TControl)
pl | ro | OnStartDrag (TDBComboBox)
pt |  | OnTripleClick (TControl)
 |  | OnUnDock (TWinControl)
 |  | OnUTF8KeyPress (TWinControl)
pl | ro | OnUTF8KeyPress (TDBComboBox)


TDBComboBox.Align

Declaration

Source position: dbctrls.pp line 770

published property TDBComboBox.Align : TAlign;


TDBComboBox.AutoComplete

Declaration

Source position: dbctrls.pp line 773

published property TDBComboBox.AutoComplete : Boolean;


TDBComboBox.AutoCompleteText

Declaration

Source position: dbctrls.pp line 774

published property TDBComboBox.AutoCompleteText : TComboBoxAutoCompleteText;


TDBComboBox.AutoSelect

Declaration

Source position: dbctrls.pp line 776

published property TDBComboBox.AutoSelect : Boolean;


TDBComboBox.BiDiMode

Declaration

Source position: dbctrls.pp line 778

published property TDBComboBox.BiDiMode : TBiDiMode;


TDBComboBox.BorderStyle

Declaration

Source position: dbctrls.pp line 780

published property TDBComboBox.BorderStyle : TBorderStyle;


TDBComboBox.CharCase

Declaration

Source position: dbctrls.pp line 781

published property TDBComboBox.CharCase : TEditCharCase;


TDBComboBox.DataChange

DataChange - updates the text if it has changed

Declaration

Source position: dbctrls.pp line 766

protected procedure TDBComboBox.DataChange(

  Sender: TObject

); override;


TDBComboBox.DoubleBuffered

Declaration

Source position: dbctrls.pp line 785

published property TDBComboBox.DoubleBuffered : Boolean;


TDBComboBox.DragKind

Declaration

Source position: dbctrls.pp line 787

published property TDBComboBox.DragKind : TDragKind;


TDBComboBox.KeyPress

Declaration

Source position: dbctrls.pp line 767

protected procedure TDBComboBox.KeyPress(

  var Key: Char

); override;


TDBComboBox.OnMouseEnter

Declaration

Source position: dbctrls.pp line 813

published property TDBComboBox.OnMouseEnter : TNotifyEvent;


TDBComboBox.OnMouseLeave

Declaration

Source position: dbctrls.pp line 814

published property TDBComboBox.OnMouseLeave : TNotifyEvent;


TDBComboBox.OnMouseWheel

Declaration

Source position: dbctrls.pp line 817

published property TDBComboBox.OnMouseWheel : TMouseWheelEvent;


TDBComboBox.OnMouseWheelDown

Declaration

Source position: dbctrls.pp line 818

published property TDBComboBox.OnMouseWheelDown : TMouseWheelUpDownEvent;


TDBComboBox.OnMouseWheelUp

Declaration

Source position: dbctrls.pp line 819

published property TDBComboBox.OnMouseWheelUp : TMouseWheelUpDownEvent;


TDBComboBox.ParentBiDiMode

Declaration

Source position: dbctrls.pp line 823

published property TDBComboBox.ParentBiDiMode : Boolean;


TDBComboBox.ParentDoubleBuffered

Declaration

Source position: dbctrls.pp line 825

published property TDBComboBox.ParentDoubleBuffered : Boolean;


TDBComboBox.PopupMenu

Declaration

Source position: dbctrls.pp line 828

published property TDBComboBox.PopupMenu : TPopupMenu;


TDBComboBox.UpdateData

UpdateData - copies the new data via the datalink

Declaration

Source position: dbctrls.pp line 768

protected procedure TDBComboBox.UpdateData(

  Sender: TObject

); override;

See also

TCustomDBComboBox.UpdateData

UpdateData - implements any pending changes in the data


TDBCustomNavigator

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

TDBCustomNavigator - the base class for TDBNavigator, a tool for navigating through the records of a dataset

Declaration

Source position: dbctrls.pp line 1310

type TDBCustomNavigator = class(TCustomPanel)
protected
Buttons: ; | The list of Buttons included in the navigator tool
FocusableButtons: ;
procedure DataChanged; virtual; | DataChanged - update status of all the buttons to reflect new data
procedure EditingChanged; virtual; | EditingChanged - the status of the buttons is set to CanModify
procedure ActiveChanged; virtual; | ActiveChanged - if datalink is active, calls DataChanged and EditingChanged
procedure Loaded; override; |
procedure Notification(); override; |
procedure UpdateButtons; virtual; | UpdateButtons - if the position of the buttons need to be changed, does this, then updates the status of the buttons (see ActiveChanged)
procedure UpdateHints; virtual; | UpdateHints - reloads the default hints and modifies any that have been changed
procedure HintsChanged(); virtual; | HintsChanged - calls UpdateHints
procedure ButtonClickHandler(); virtual; | ButtonClickHandler - performs BtnClick for the appropriate button
class function GetControlClassDefaultSize; override; | Returns the default size for this class of controls (when added to a form).
procedure BeginUpdateButtons; virtual; | BeginUpdateButtons - locks the buttons before updating them
procedure EndUpdateButtons; virtual; | EndUpdateButtons - unlocks each button in turn and updates it if needed
procedure SetEnabled(); override;
public
constructor Create(); override; | Create - constructor for TDBCustomNavigator: locks the buttons, calls inherited Create, sets default size, style, forms datalinks, initialises hints, updates the buttons
destructor Destroy; override; | Destroy - destructor for TDBCustomNavigator: frees datalinks and hints, then calls inherited Destroy
procedure BtnClick(); virtual; | BtnClick - procedure to respond to button clicks, and select an action from a list according to the value of the Index of the clicked button
function VisibleButtonCount; virtual; | Finds the number of visible buttons
property BeforeAction: TDBNavClickEvent; [rw] | BeforeAction - code to be executed before an action is performed
property ConfirmDelete: Boolean; [rw] | Should the user be asked for confirmation before a record is deleted? If True, a dialog appears asking for confirmation
property DataSource: TDataSource; [rw] | The Data Source to which the control must be linked in order to function
property Direction: TDBNavButtonDirection; [rw] | The direction in which the buttons appear: horizontal or vertical
property Flat: Boolean; [rw] | Flat - if True, buttons have no 3-D effect
property Hints: TStrings; [rw] | A list of hints to be shown if the mouse hovers over a button
property Options: TDBNavigatorOptions; [rw]
property OnClick: TDBNavClickEvent; [rw] | The action to be taken when a navigator button is clicked
property VisibleButtons: TDBNavButtonSet; [rw] | The set of visible buttons (some of them can be suppressed if their function appears redundant)
property ShowButtonHints: Boolean; [rw] | Determines whether button hints are to be shown
property Images: TCustomImageList; [rw]
end;

Inheritance

TDBCustomNavigator | TDBCustomNavigator - the base class for TDBNavigator, a tool for navigating through the records of a dataset
|
TCustomPanel | The base class for a general container which can hold other objects. It has a customizable border and a central text.
|
TCustomControl | The base class for windowed controls which paint themselves.
|
TWinControl | The base class for controls which can contain other (child) controls.
|
TControl | The base class for visible controls.
|
TLCLComponent | The base class for LCL components associated with widgets.
|
TComponent,IUnknown,IInterfaceComponentReference
|
TPersistent,IFPObserved
|
TObject

Description

TDBCustomNavigator is the parent class for TDBNavigator, an advanced tool for navigating through datasets held locally in response to a query sent to the database. Most of the important properties are defined here.

It consists of a series of toolbuttons to move to the First, Prior, Next or Last record; to Insert or Delete a record; to Edit a record (enter Edit mode), to Post the changes. to Cancel the changes, and to Refresh the display from the database. The set of buttons for display can be customised in VisibleButtons, which allows display of individual buttons to be suppressed

If used in conjunction with a DataAware control such as TDBGrid or TDBMemo it controls which records are displayed , the position of the record selection cursor, and the initiation of changes to the dataset and ultimately the database.

Most of the functionality of the toolbar is already built-in to the control, but if the programmer needs to specify actions to be associated with individual buttons, there is a procedure BtnClick to which an argument can be sent with the index value of the button clicked, and the procedure chooses which action to call dependent on the button index.

The DataSource property must be set to link to the appropriate set of data.

See also

HowToUseDataAwareControls

HowToUseDataAwareControls - Hints for accessing databases


TDBCustomNavigator
 |  | BeforeAction
 |  | ConfirmDelete
 |  | DataSource
 |  | Direction
 |  | Flat
 |  | Hints
 |  | Options
 |  | VisibleButtons
 |  | ShowButtonHints
 |  | Images
TCustomPanel
pt |  | WordWrap
 | ro | Align
 |  | Alignment
 |  | BevelColor
 |  | BevelInner
 |  | BevelOuter
 |  | BevelWidth
 | ro | Color
 |  | FullRepaint
 | ro | ParentBackground
 | ro | ParentColor
 | ro | TabStop
TCustomControl
 |  | Canvas
 | ro | BorderStyle
TWinControl
pt |  | WindowHandle
pt |  | BorderStyle
pt |  | ParentBackground
 |  | BorderWidth
 | ro | BoundsLockCount
 | ro | Brush
 | ro | CachedClientHeight
 | ro | CachedClientWidth
 |  | ChildSizing
 | ro | ControlCount
 | ro | Controls
 |  | DefWndProc
 | ro | DockClientCount
 | ro | DockClients
 |  | DockManager
 |  | DockSite
 |  | DoubleBuffered
 |  | Handle
 | ro | IsFlipped
 | ro | IsResizing
 |  | TabOrder
 |  | TabStop
 |  | ParentDoubleBuffered
 |  | ParentWindow
 | ro | Showing
 |  | UseDockManager
 |  | DesignerDeleting
 | ro | VisibleDockClientCount
TControl
pt | ro | AutoSizing
pt | ro | AutoSizingAll
pt | ro | AutoSizingLockCount
pt |  | ActionLink
pt |  | DesktopFont
pt |  | DragCursor
pt |  | DragKind
pt |  | DragMode
pt |  | MouseCapture
pt |  | ParentColor
pt |  | ParentFont
pt |  | ParentShowHint
pt |  | SessionProperties
pt |  | Text
 | ro | AnchoredControls
 | ro | BaseBounds
 | ro | ReadBounds
 | ro | BaseParentClientSize
 |  | AccessibleDescription
 |  | AccessibleValue
 |  | AccessibleRole
 |  | Action
 |  | Align
 |  | Anchors
 | ro | AnchorSide
 |  | AutoSize
 |  | BorderSpacing
 |  | BoundsRect
 |  | BoundsRectForNewParent
 |  | Caption
 |  | CaptureMouseButtons
 |  | ClientHeight
 | ro | ClientOrigin
 | ro | ClientRect
 |  | ClientWidth
 |  | Color
 |  | Constraints
 | ro | ControlOrigin
 |  | ControlState
 |  | ControlStyle
 |  | Enabled
 |  | Font
 |  | IsControl
 | ro | MouseEntered
 | ro | MouseInClient
 |  | Parent
 |  | PopupMenu
 |  | ShowHint
 |  | Visible
 |  | WindowProc
 |  | DockOrientation
 | ro | Floating
 |  | FloatingDockSiteClass
 |  | HostDockSite
 |  | LRDockWidth
 |  | TBDockHeight
 |  | UndockHeight
 |  | UndockWidth
 |  | BiDiMode
 |  | ParentBiDiMode
pl |  | AnchorSideLeft
pl |  | AnchorSideTop
pl |  | AnchorSideRight
pl |  | AnchorSideBottom
pl |  | Cursor
pl |  | Left
pl |  | Height
pl |  | Hint
pl |  | Top
pl |  | Width
pl |  | HelpType
pl |  | HelpKeyword
pl |  | HelpContext
TLCLComponent
 | ro | LCLRefCount
 | ro | WidgetSetClass
TComponent
 | ro | ComObject
 | ro | Components
 | ro | ComponentCount
 |  | ComponentIndex
 | ro | ComponentState
 | ro | ComponentStyle
 |  | DesignInfo
 | ro | Owner
 |  | VCLComObject
 |  | Name
 |  | Tag
TPersistent
TObject


 |  | AccessibleDescription (TControl)
 |  | AccessibleRole (TControl)
 |  | AccessibleValue (TControl)
 |  | Action (TControl)
pt |  | ActionLink (TControl)
 |  | Align (TControl)
 | ro | Align (TCustomPanel)
 |  | Alignment (TCustomPanel)
 | ro | AnchoredControls (TControl)
 |  | Anchors (TControl)
 | ro | AnchorSide (TControl)
pl |  | AnchorSideBottom (TControl)
pl |  | AnchorSideLeft (TControl)
pl |  | AnchorSideRight (TControl)
pl |  | AnchorSideTop (TControl)
 |  | AutoSize (TControl)
pt | ro | AutoSizing (TControl)
pt | ro | AutoSizingAll (TControl)
pt | ro | AutoSizingLockCount (TControl)
 | ro | BaseBounds (TControl)
 | ro | BaseParentClientSize (TControl)
 |  | BeforeAction (TDBCustomNavigator)
 |  | BevelColor (TCustomPanel)
 |  | BevelInner (TCustomPanel)
 |  | BevelOuter (TCustomPanel)
 |  | BevelWidth (TCustomPanel)
 |  | BiDiMode (TControl)
 |  | BorderSpacing (TControl)
pt |  | BorderStyle (TWinControl)
 | ro | BorderStyle (TCustomControl)
 |  | BorderWidth (TWinControl)
 | ro | BoundsLockCount (TWinControl)
 |  | BoundsRect (TControl)
 |  | BoundsRectForNewParent (TControl)
 | ro | Brush (TWinControl)
 | ro | CachedClientHeight (TWinControl)
 | ro | CachedClientWidth (TWinControl)
 |  | Canvas (TCustomControl)
 |  | Caption (TControl)
 |  | CaptureMouseButtons (TControl)
 |  | ChildSizing (TWinControl)
 |  | ClientHeight (TControl)
 | ro | ClientOrigin (TControl)
 | ro | ClientRect (TControl)
 |  | ClientWidth (TControl)
 |  | Color (TControl)
 | ro | Color (TCustomPanel)
 | ro | ComObject (TComponent)
 | ro | ComponentCount (TComponent)
 |  | ComponentIndex (TComponent)
 | ro | Components (TComponent)
 | ro | ComponentState (TComponent)
 | ro | ComponentStyle (TComponent)
 |  | ConfirmDelete (TDBCustomNavigator)
 |  | Constraints (TControl)
 | ro | ControlCount (TWinControl)
 | ro | ControlOrigin (TControl)
 | ro | Controls (TWinControl)
 |  | ControlState (TControl)
 |  | ControlStyle (TControl)
pl |  | Cursor (TControl)
 |  | DataSource (TDBCustomNavigator)
 |  | DefWndProc (TWinControl)
 |  | DesignerDeleting (TWinControl)
 |  | DesignInfo (TComponent)
pt |  | DesktopFont (TControl)
 |  | Direction (TDBCustomNavigator)
 | ro | DockClientCount (TWinControl)
 | ro | DockClients (TWinControl)
 |  | DockManager (TWinControl)
 |  | DockOrientation (TControl)
 |  | DockSite (TWinControl)
 |  | DoubleBuffered (TWinControl)
pt |  | DragCursor (TControl)
pt |  | DragKind (TControl)
pt |  | DragMode (TControl)
 |  | Enabled (TControl)
 |  | Flat (TDBCustomNavigator)
 | ro | Floating (TControl)
 |  | FloatingDockSiteClass (TControl)
 |  | Font (TControl)
 |  | FullRepaint (TCustomPanel)
 |  | Handle (TWinControl)
pl |  | Height (TControl)
pl |  | HelpContext (TControl)
pl |  | HelpKeyword (TControl)
pl |  | HelpType (TControl)
pl |  | Hint (TControl)
 |  | Hints (TDBCustomNavigator)
 |  | HostDockSite (TControl)
 |  | Images (TDBCustomNavigator)
 |  | IsControl (TControl)
 | ro | IsFlipped (TWinControl)
 | ro | IsResizing (TWinControl)
 | ro | LCLRefCount (TLCLComponent)
pl |  | Left (TControl)
 |  | LRDockWidth (TControl)
pt |  | MouseCapture (TControl)
 | ro | MouseEntered (TControl)
 | ro | MouseInClient (TControl)
 |  | Name (TComponent)
 |  | Options (TDBCustomNavigator)
 | ro | Owner (TComponent)
 |  | Parent (TControl)
pt |  | ParentBackground (TWinControl)
 | ro | ParentBackground (TCustomPanel)
 |  | ParentBiDiMode (TControl)
pt |  | ParentColor (TControl)
 | ro | ParentColor (TCustomPanel)
 |  | ParentDoubleBuffered (TWinControl)
pt |  | ParentFont (TControl)
pt |  | ParentShowHint (TControl)
 |  | ParentWindow (TWinControl)
 |  | PopupMenu (TControl)
 | ro | ReadBounds (TControl)
pt |  | SessionProperties (TControl)
 |  | ShowButtonHints (TDBCustomNavigator)
 |  | ShowHint (TControl)
 | ro | Showing (TWinControl)
 |  | TabOrder (TWinControl)
 |  | TabStop (TWinControl)
 | ro | TabStop (TCustomPanel)
 |  | Tag (TComponent)
 |  | TBDockHeight (TControl)
pt |  | Text (TControl)
pl |  | Top (TControl)
 |  | UndockHeight (TControl)
 |  | UndockWidth (TControl)
 |  | UseDockManager (TWinControl)
 |  | VCLComObject (TComponent)
 |  | Visible (TControl)
 |  | VisibleButtons (TDBCustomNavigator)
 | ro | VisibleDockClientCount (TWinControl)
 | ro | WidgetSetClass (TLCLComponent)
pl |  | Width (TControl)
pt |  | WindowHandle (TWinControl)
 |  | WindowProc (TControl)
pt |  | WordWrap (TCustomPanel)


TDBCustomNavigator
pt | DataChanged
pt | EditingChanged
pt | ActiveChanged
pt | Loaded
pt | Notification
pt | UpdateButtons
pt | UpdateHints
pt | HintsChanged
pt | ButtonClickHandler
pt | GetControlClassDefaultSize
pt | BeginUpdateButtons
pt | EndUpdateButtons
pt | SetEnabled
 | Create
 | Destroy
 | BtnClick
 | VisibleButtonCount
TCustomPanel
pt | WSRegisterClass
pt | AdjustClientRect
pt | GetControlClassDefaultSize
pt | CMParentColorChanged
pt | GetDefaultDockCaption
pt | Loaded
pt | RealSetText
pt | Paint
pt | SetParentBackground
pt | UpdateParentColorChange
 | Create
TCustomControl
pt | WSRegisterClass
pt | WMPaint
pt | DestroyWnd
pt | PaintWindow
pt | FontChanged
pt | SetColor
pt | Paint
 | Create
 | Destroy
TWinControl
pt | WSRegisterClass
pt | AdjustClientRect
pt | GetAdjustedLogicalClientRect
pt | AlignControls
pt | CustomAlignInsertBefore
pt | CustomAlignPosition
pt | DoAlignChildControls
pt | DoChildSizingChange
pt | InvalidatePreferredChildSizes
pt | CanTab
pt | IsClientHeightStored
pt | IsClientWidthStored
pt | DoSendShowHideToInterface
pt | ControlsAligned
pt | DoSendBoundsToInterface
pt | RealizeBounds
pt | RealizeBoundsRecursive
pt | InvalidateBoundsRealized
pt | CreateSubClass
pt | DoConstraintsChange
pt | DoSetBounds
pt | DoAutoSize
pt | DoAllAutoSize
pt | AllAutoSized
pt | CalculatePreferredSize
pt | GetPreferredSizeClientFrame
pt | GetChildren
pt | ChildClassAllowed
pt | PaintControls
pt | PaintHandler
pt | PaintWindow
pt | CreateBrush
pt | ScaleControls
pt | ChangeScale
pt | CMBiDiModeChanged
pt | CMBorderChanged
pt | CMDoubleBufferedChanged
pt | CMEnabledChanged
pt | CMParentDoubleBufferedChanged
pt | CMShowingChanged
pt | CMShowHintChanged
pt | CMVisibleChanged
pt | CMEnter
pt | CMExit
pt | WMContextMenu
pt | WMEraseBkgnd
pt | WMNotify
pt | WMSetFocus
pt | WMKillFocus
pt | WMShowWindow
pt | WMEnter
pt | WMExit
pt | WMKeyDown
pt | WMSysKeyDown
pt | WMKeyUp
pt | WMSysKeyUp
pt | WMChar
pt | WMSysChar
pt | WMPaint
pt | WMDestroy
pt | WMMove
pt | WMSize
pt | WMWindowPosChanged
pt | CNKeyDown
pt | CNSysKeyDown
pt | CNKeyUp
pt | CNSysKeyUp
pt | CNChar
pt | DoDragMsg
pt | DoDockClientMsg
pt | DoUndockClientMsg
pt | DoAddDockClient
pt | DockOver
pt | DoDockOver
pt | DoRemoveDockClient
pt | DoUnDock
pt | GetSiteInfo
pt | GetParentHandle
pt | GetTopParentHandle
pt | ReloadDockedControl
pt | CreateDockManager
pt | SetDockManager
pt | DoFloatMsg
pt | DoGetDockCaption
pt | DoEnter
pt | DoExit
pt | DoKeyDownBeforeInterface
pt | DoRemainingKeyDown
pt | DoRemainingKeyUp
pt | DoKeyPress
pt | DoUTF8KeyPress
pt | DoKeyUpBeforeInterface
pt | ChildKey
pt | SendDialogChar
pt | DialogChar
pt | ControlKeyDown
pt | ControlKeyUp
pt | KeyDown
pt | KeyDownBeforeInterface
pt | KeyDownAfterInterface
pt | KeyPress
pt | KeyUp
pt | KeyUpBeforeInterface
pt | KeyUpAfterInterface
pt | UTF8KeyPress
pt | FindNextControl
pt | SelectFirst
pt | RealGetText
pt | GetBorderStyle
pt | GetClientOrigin
pt | GetClientRect
pt | GetControlOrigin
pt | GetDeviceContext
pt | GetParentBackground
pt | IsControlMouseMsg
pt | CreateHandle
pt | CreateParams
pt | CreateWnd
pt | DestroyHandle
pt | DestroyWnd
pt | DoFlipChildren
pt | FinalizeWnd
pt | FixupTabList
pt | FontChanged
pt | InitializeWnd
pt | Loaded
pt | FormEndUpdated
pt | MainWndProc
pt | ParentFormHandleInitialized
pt | ChildHandlesCreated
pt | GetMouseCapture
pt | RealSetText
pt | RemoveFocus
pt | SendMoveSizeMessages
pt | SetBorderStyle
pt | SetColor
pt | SetChildZPosition
pt | SetParentBackground
pt | ShowControl
pt | UpdateControlState
pt | UpdateShowing
pt | WndProc
pt | WSSetText
 | AutoSizePhases
 | AutoSizeDelayed
 | AutoSizeDelayedReport
 | AutoSizeDelayedHandle
 | BeginUpdateBounds
 | EndUpdateBounds
 | LockRealizeBounds
 | UnlockRealizeBounds
 | ControlAtPos
 | ContainsControl
 | DoAdjustClientRectChange
 | InvalidateClientRectCache
 | ClientRectNeedsInterfaceUpdate
 | SetBounds
 | GetChildrenRect
 | DisableAlign
 | EnableAlign
 | ReAlign
 | ScrollBy_WS
 | ScrollBy
 | WriteLayoutDebugReport
 | AutoAdjustLayout
 | Create
 | CreateParented
 | CreateParentedControl
 | Destroy
 | DockDrop
 | CanFocus
 | CanSetFocus
 | GetControlIndex
 | SetControlIndex
 | Focused
 | PerformTab
 | FindChildControl
 | SelectNext
 | SetTempCursor
 | BroadCast
 | NotifyControls
 | DefaultHandler
 | GetTextLen
 | Invalidate
 | AddControl
 | InsertControl
 | RemoveControl
 | GetEnumeratorControls
 | GetEnumeratorControlsReverse
 | Repaint
 | Update
 | SetFocus
 | FlipChildren
 | ScaleBy
 | GetDockCaption
 | UpdateDockCaption
 | GetTabOrderList
 | HandleAllocated
 | ParentHandlesAllocated
 | HandleNeeded
 | BrushCreated
 | EraseBackground
 | IntfUTF8KeyPress
 | IntfGetDropFilesTarget
 | PaintTo
 | SetShape
TControl
pt | WSRegisterClass
pt | GetCursor
pt | SetCursor
pt | SetVisible
pt | DoOnParentHandleDestruction
pt | DoAutoSize
pt | DoAllAutoSize
pt | BeginAutoSizing
pt | EndAutoSizing
pt | AnchorSideChanged
pt | ForeignAnchorSideChanged
pt | SetAlign
pt | SetAnchors
pt | SetAutoSize
pt | BoundsChanged
pt | CreateControlBorderSpacing
pt | DoConstraintsChange
pt | DoBorderSpacingChange
pt | IsBorderSpacingInnerBorderStored
pt | IsCaptionStored
pt | SendMoveSizeMessages
pt | ConstrainedResize
pt | CalculatePreferredSize
pt | DoOnResize
pt | DoOnChangeBounds
pt | CheckOnChangeBounds
pt | Resize
pt | RequestAlign
pt | UpdateAnchorRules
pt | ChangeBounds
pt | DoSetBounds
pt | ScaleConstraints
pt | ChangeScale
pt | CanAutoSize
pt | SetBiDiMode
pt | SetParentBiDiMode
pt | IsAParentAligning
pt | GetClientOrigin
pt | GetClientRect
pt | GetLogicalClientRect
pt | GetScrolledClientRect
pt | GetClientScrollOffset
pt | GetControlOrigin
pt | IsClientHeightStored
pt | IsClientWidthStored
pt | WidthIsAnchored
pt | HeightIsAnchored
pt | WMCancelMode
pt | WMContextMenu
pt | WMLButtonDown
pt | WMRButtonDown
pt | WMMButtonDown
pt | WMXButtonDown
pt | WMLButtonDBLCLK
pt | WMRButtonDBLCLK
pt | WMMButtonDBLCLK
pt | WMXButtonDBLCLK
pt | WMLButtonTripleCLK
pt | WMRButtonTripleCLK
pt | WMMButtonTripleCLK
pt | WMXButtonTripleCLK
pt | WMLButtonQuadCLK
pt | WMRButtonQuadCLK
pt | WMMButtonQuadCLK
pt | WMXButtonQuadCLK
pt | WMMouseMove
pt | WMLButtonUp
pt | WMRButtonUp
pt | WMMButtonUp
pt | WMXButtonUp
pt | WMMouseWheel
pt | WMMouseHWheel
pt | WMMove
pt | WMSize
pt | WMWindowPosChanged
pt | CMChanged
pt | LMCaptureChanged
pt | CMBiDiModeChanged
pt | CMSysFontChanged
pt | CMEnabledChanged
pt | CMHitTest
pt | CMMouseEnter
pt | CMMouseLeave
pt | CMHintShow
pt | CMParentBiDiModeChanged
pt | CMParentColorChanged
pt | CMParentFontChanged
pt | CMParentShowHintChanged
pt | CMVisibleChanged
pt | CMTextChanged
pt | CMCursorChanged
pt | CalculateDockSizes
pt | CreateFloatingDockSite
pt | GetDockEdge
pt | GetDragImages
pt | GetFloating
pt | GetFloatingDockSiteClass
pt | BeforeDragStart
pt | BeginAutoDrag
pt | DoFloatMsg
pt | DockTrackNoTarget
pt | DoDock
pt | DoDragMsg
pt | DoEndDock
pt | DoEndDrag
pt | DoStartDock
pt | DoStartDrag
pt | DragCanceled
pt | DragOver
pt | PositionDockRect
pt | SetDragMode
pt | GetDefaultDockCaption
pt | Click
pt | DblClick
pt | TripleClick
pt | QuadClick
pt | GetMousePosFromMessage
pt | MouseDown
pt | MouseMove
pt | MouseUp
pt | MouseEnter
pt | MouseLeave
pt | DialogChar
pt | UpdateMouseCursor
pt | Changed
pt | GetPalette
pt | ChildClassAllowed
pt | ReadState
pt | Loaded
pt | LoadedAll
pt | DefineProperties
pt | AssignTo
pt | FormEndUpdated
pt | InvalidateControl
pt | FontChanged
pt | ParentFontChanged
pt | GetAction
pt | RealGetText
pt | RealSetText
pt | TextChanged
pt | GetCachedText
pt | SetAction
pt | SetColor
pt | SetEnabled
pt | SetHint
pt | SetName
pt | SetParent
pt | SetParentComponent
pt | WndProc
pt | ParentFormHandleInitialized
pt | GetMouseCapture
pt | CaptureChanged
pt | Notification
pt | CanTab
pt | GetDeviceContext
pt | GetEnabled
pt | GetPopupMenu
pt | DoOnShowHint
pt | DoMouseWheel
pt | DoMouseWheelDown
pt | DoMouseWheelUp
pt | DoMouseWheelHorz
pt | DoMouseWheelLeft
pt | DoMouseWheelRight
pt | VisibleChanging
pt | VisibleChanged
pt | EnabledChanging
pt | EnabledChanged
pt | AddHandler
pt | RemoveHandler
pt | DoCallNotifyHandler
pt | DoCallKeyEventHandler
pt | DoCallMouseWheelEventHandler
pt | DoContextPopup
pt | SetZOrder
pt | GetControlClassDefaultSize
pt | ColorIsStored
pt | DoAutoAdjustLayout
pt | DoFixDesignFontPPI
pt | DoScaleFontPPI
pt | GetActionLinkClass
pt | ActionChange
 | DragDrop
 | Dock
 | ManualDock
 | ManualFloat
 | ReplaceDockedControl
 | Docked
 | Dragging
 | GetAccessibleObject
 | CreateAccessibleObject
 | GetSelectedChildAccessibleObject
 | GetChildAccessibleObjectAtPos
 | ScaleDesignToForm
 | ScaleFormToDesign
 | Scale96ToForm
 | ScaleFormTo96
 | Scale96ToFont
 | ScaleFontTo96
 | ScaleScreenToFont
 | ScaleFontToScreen
 | Scale96ToScreen
 | ScaleScreenTo96
 | AdjustSize
 | AutoSizePhases
 | AutoSizeDelayed
 | AutoSizeDelayedReport
 | AutoSizeDelayedHandle
 | AnchorToNeighbour
 | AnchorParallel
 | AnchorHorizontalCenterTo
 | AnchorVerticalCenterTo
 | AnchorToCompanion
 | AnchorSame
 | AnchorAsAlign
 | AnchorClient
 | AnchoredControlCount
 | SetBounds
 | SetInitialBounds
 | SetBoundsKeepBase
 | GetPreferredSize
 | GetCanvasScaleFactor
 | GetDefaultWidth
 | GetDefaultHeight
 | GetDefaultColor
 | GetColorResolvingParent
 | GetRGBColorResolvingParent
 | GetSidePosition
 | CNPreferredSizeChanged
 | InvalidatePreferredSize
 | GetAnchorsDependingOnParent
 | DisableAutoSizing
 | EnableAutoSizing
 | UpdateBaseBounds
 | WriteLayoutDebugReport
 | AutoAdjustLayout
 | ShouldAutoAdjust
 | FixDesignFontsPPI
 | ScaleFontsPPI
 | Create
 | Destroy
 | BeforeDestruction
 | EditingDone
 | ExecuteDefaultAction
 | ExecuteCancelAction
 | BeginDrag
 | EndDrag
 | BringToFront
 | HasParent
 | GetParentComponent
 | IsParentOf
 | GetTopParent
 | IsVisible
 | IsControlVisible
 | IsEnabled
 | IsParentColor
 | IsParentFont
 | FormIsUpdating
 | IsProcessingPaintMsg
 | Hide
 | Refresh
 | Repaint
 | Invalidate
 | CheckChildClassAllowed
 | CheckNewParent
 | SendToBack
 | SetTempCursor
 | UpdateRolesForForm
 | ActiveDefaultControlChanged
 | GetTextBuf
 | GetTextLen
 | SetTextBuf
 | Perform
 | ScreenToClient
 | ClientToScreen
 | ScreenToControl
 | ControlToScreen
 | ClientToParent
 | ParentToClient
 | GetChildrenRect
 | Show
 | Update
 | HandleObjectShouldBeVisible
 | ParentDestroyingHandle
 | ParentHandlesAllocated
 | InitiateAction
 | ShowHelp
 | HasHelp
 | RemoveAllHandlersOfObject
 | AddHandlerOnResize
 | RemoveHandlerOnResize
 | AddHandlerOnChangeBounds
 | RemoveHandlerOnChangeBounds
 | AddHandlerOnVisibleChanging
 | RemoveHandlerOnVisibleChanging
 | AddHandlerOnVisibleChanged
 | RemoveHandlerOnVisibleChanged
 | AddHandlerOnEnabledChanged
 | RemoveHandlerOnEnableChanging
 | AddHandlerOnKeyDown
 | RemoveHandlerOnKeyDown
 | AddHandlerOnBeforeDestruction
 | RemoveHandlerOnBeforeDestruction
 | AddHandlerOnMouseWheel
 | RemoveHandlerOnMouseWheel
 | UseRightToLeftAlignment
 | UseRightToLeftReading
 | UseRightToLeftScrollBar
 | IsRightToLeft
TLCLComponent
pt | WSRegisterClass
pt | GetWSComponentClass
 | Create
 | Destroy
 | NewInstance
 | RemoveAllHandlersOfObject
 | IncLCLRefCount
 | DecLCLRefCount
TComponent
 | GetComObject
 | GetComponent
 | GetComponentCount
 | GetComponentIndex
 | Insert
 | ReadLeft
 | ReadTop
 | Remove
 | RemoveNotification
 | SetComponentIndex
 | SetReference
 | WriteLeft
 | WriteTop
 | ChangeName
 | DefineProperties
 | GetChildren
 | GetChildOwner
 | GetChildParent
 | GetOwner
 | Loaded
 | Loading
 | Notification
 | PaletteCreated
 | ReadState
 | SetAncestor
 | SetDesigning
 | SetDesignInstance
 | SetInline
 | SetName
 | SetChildOrder
 | SetParentComponent
 | Updating
 | Updated
 | UpdateRegistry
 | ValidateRename
 | ValidateContainer
 | ValidateInsert
 | QueryInterface
 | _AddRef
 | _Release
 | iicrGetComponent
 | GetTypeInfoCount
 | GetTypeInfo
 | GetIDsOfNames
 | Invoke
 | WriteState
 | Create
 | Destroy
 | BeforeDestruction
 | DestroyComponents
 | Destroying
 | ExecuteAction
 | FindComponent
 | FreeNotification
 | RemoveFreeNotification
 | FreeOnRelease
 | GetEnumerator
 | GetNamePath
 | GetParentComponent
 | HasParent
 | InsertComponent
 | RemoveComponent
 | SafeCallException
 | SetSubComponent
 | UpdateAction
 | IsImplementorOf
 | ReferenceInterface
TPersistent
 | AssignError
 | AssignTo
 | DefineProperties
 | GetOwner
 | Destroy
 | Assign
 | FPOAttachObserver
 | FPODetachObserver
 | FPONotifyObservers
 | GetNamePath
TObject
 | Create
 | Destroy
 | newinstance
 | FreeInstance
 | SafeCallException
 | DefaultHandler
 | Free
 | InitInstance
 | CleanupInstance
 | ClassType
 | ClassInfo
 | ClassName
 | ClassNameIs
 | ClassParent
 | InstanceSize
 | InheritsFrom
 | StringMessageTable
 | MethodAddress
 | MethodName
 | FieldAddress
 | AfterConstruction
 | BeforeDestruction
 | DefaultHandlerStr
 | Dispatch
 | DispatchStr
 | GetInterface
 | GetInterfaceByStr
 | GetInterfaceWeak
 | GetInterfaceEntry
 | GetInterfaceEntryByStr
 | GetInterfaceTable
 | UnitName
 | Equals
 | GetHashCode
 | ToString


pt | ActionChange (TControl)
pt | ActiveChanged (TDBCustomNavigator)
 | ActiveDefaultControlChanged (TControl)
 | AddControl (TWinControl)
pt | AddHandler (TControl)
 | AddHandlerOnBeforeDestruction (TControl)
 | AddHandlerOnChangeBounds (TControl)
 | AddHandlerOnEnabledChanged (TControl)
 | AddHandlerOnKeyDown (TControl)
 | AddHandlerOnMouseWheel (TControl)
 | AddHandlerOnResize (TControl)
 | AddHandlerOnVisibleChanged (TControl)
 | AddHandlerOnVisibleChanging (TControl)
pt | AdjustClientRect (TWinControl)
pt | AdjustClientRect (TCustomPanel)
 | AdjustSize (TControl)
 | AfterConstruction (TObject)
pt | AlignControls (TWinControl)
pt | AllAutoSized (TWinControl)
 | AnchorAsAlign (TControl)
 | AnchorClient (TControl)
 | AnchoredControlCount (TControl)
 | AnchorHorizontalCenterTo (TControl)
 | AnchorParallel (TControl)
 | AnchorSame (TControl)
pt | AnchorSideChanged (TControl)
 | AnchorToCompanion (TControl)
 | AnchorToNeighbour (TControl)
 | AnchorVerticalCenterTo (TControl)
 | Assign (TPersistent)
 | AssignError (TPersistent)
 | AssignTo (TPersistent)
pt | AssignTo (TControl)
 | AutoAdjustLayout (TControl)
 | AutoAdjustLayout (TWinControl)
 | AutoSizeDelayed (TControl)
 | AutoSizeDelayed (TWinControl)
 | AutoSizeDelayedHandle (TControl)
 | AutoSizeDelayedHandle (TWinControl)
 | AutoSizeDelayedReport (TControl)
 | AutoSizeDelayedReport (TWinControl)
 | AutoSizePhases (TControl)
 | AutoSizePhases (TWinControl)
 | BeforeDestruction (TObject)
 | BeforeDestruction (TComponent)
 | BeforeDestruction (TControl)
pt | BeforeDragStart (TControl)
pt | BeginAutoDrag (TControl)
pt | BeginAutoSizing (TControl)
 | BeginDrag (TControl)
 | BeginUpdateBounds (TWinControl)
pt | BeginUpdateButtons (TDBCustomNavigator)
pt | BoundsChanged (TControl)
 | BringToFront (TControl)
 | BroadCast (TWinControl)
 | BrushCreated (TWinControl)
 | BtnClick (TDBCustomNavigator)
pt | ButtonClickHandler (TDBCustomNavigator)
pt | CalculateDockSizes (TControl)
pt | CalculatePreferredSize (TControl)
pt | CalculatePreferredSize (TWinControl)
pt | CanAutoSize (TControl)
 | CanFocus (TWinControl)
 | CanSetFocus (TWinControl)
pt | CanTab (TControl)
pt | CanTab (TWinControl)
pt | CaptureChanged (TControl)
pt | ChangeBounds (TControl)
pt | Changed (TControl)
 | ChangeName (TComponent)
pt | ChangeScale (TControl)
pt | ChangeScale (TWinControl)
 | CheckChildClassAllowed (TControl)
 | CheckNewParent (TControl)
pt | CheckOnChangeBounds (TControl)
pt | ChildClassAllowed (TControl)
pt | ChildClassAllowed (TWinControl)
pt | ChildHandlesCreated (TWinControl)
pt | ChildKey (TWinControl)
 | ClassInfo (TObject)
 | ClassName (TObject)
 | ClassNameIs (TObject)
 | ClassParent (TObject)
 | ClassType (TObject)
 | CleanupInstance (TObject)
pt | Click (TControl)
 | ClientRectNeedsInterfaceUpdate (TWinControl)
 | ClientToParent (TControl)
 | ClientToScreen (TControl)
pt | CMBiDiModeChanged (TControl)
pt | CMBiDiModeChanged (TWinControl)
pt | CMBorderChanged (TWinControl)
pt | CMChanged (TControl)
pt | CMCursorChanged (TControl)
pt | CMDoubleBufferedChanged (TWinControl)
pt | CMEnabledChanged (TControl)
pt | CMEnabledChanged (TWinControl)
pt | CMEnter (TWinControl)
pt | CMExit (TWinControl)
pt | CMHintShow (TControl)
pt | CMHitTest (TControl)
pt | CMMouseEnter (TControl)
pt | CMMouseLeave (TControl)
pt | CMParentBiDiModeChanged (TControl)
pt | CMParentColorChanged (TControl)
pt | CMParentColorChanged (TCustomPanel)
pt | CMParentDoubleBufferedChanged (TWinControl)
pt | CMParentFontChanged (TControl)
pt | CMParentShowHintChanged (TControl)
pt | CMShowHintChanged (TWinControl)
pt | CMShowingChanged (TWinControl)
pt | CMSysFontChanged (TControl)
pt | CMTextChanged (TControl)
pt | CMVisibleChanged (TControl)
pt | CMVisibleChanged (TWinControl)
pt | CNChar (TWinControl)
pt | CNKeyDown (TWinControl)
pt | CNKeyUp (TWinControl)
 | CNPreferredSizeChanged (TControl)
pt | CNSysKeyDown (TWinControl)
pt | CNSysKeyUp (TWinControl)
pt | ColorIsStored (TControl)
pt | ConstrainedResize (TControl)
 | ContainsControl (TWinControl)
 | ControlAtPos (TWinControl)
pt | ControlKeyDown (TWinControl)
pt | ControlKeyUp (TWinControl)
pt | ControlsAligned (TWinControl)
 | ControlToScreen (TControl)
 | Create (TObject)
 | Create (TComponent)
 | Create (TLCLComponent)
 | Create (TControl)
 | Create (TWinControl)
 | Create (TCustomControl)
 | Create (TCustomPanel)
 | Create (TDBCustomNavigator)
 | CreateAccessibleObject (TControl)
pt | CreateBrush (TWinControl)
pt | CreateControlBorderSpacing (TControl)
pt | CreateDockManager (TWinControl)
pt | CreateFloatingDockSite (TControl)
pt | CreateHandle (TWinControl)
pt | CreateParams (TWinControl)
 | CreateParented (TWinControl)
 | CreateParentedControl (TWinControl)
pt | CreateSubClass (TWinControl)
pt | CreateWnd (TWinControl)
pt | CustomAlignInsertBefore (TWinControl)
pt | CustomAlignPosition (TWinControl)
pt | DataChanged (TDBCustomNavigator)
pt | DblClick (TControl)
 | DecLCLRefCount (TLCLComponent)
 | DefaultHandler (TObject)
 | DefaultHandler (TWinControl)
 | DefaultHandlerStr (TObject)
 | DefineProperties (TPersistent)
 | DefineProperties (TComponent)
pt | DefineProperties (TControl)
 | Destroy (TObject)
 | Destroy (TPersistent)
 | Destroy (TComponent)
 | Destroy (TLCLComponent)
 | Destroy (TControl)
 | Destroy (TWinControl)
 | Destroy (TCustomControl)
 | Destroy (TDBCustomNavigator)
 | DestroyComponents (TComponent)
pt | DestroyHandle (TWinControl)
 | Destroying (TComponent)
pt | DestroyWnd (TWinControl)
pt | DestroyWnd (TCustomControl)
pt | DialogChar (TControl)
pt | DialogChar (TWinControl)
 | DisableAlign (TWinControl)
 | DisableAutoSizing (TControl)
 | Dispatch (TObject)
 | DispatchStr (TObject)
pt | DoAddDockClient (TWinControl)
 | DoAdjustClientRectChange (TWinControl)
pt | DoAlignChildControls (TWinControl)
pt | DoAllAutoSize (TControl)
pt | DoAllAutoSize (TWinControl)
pt | DoAutoAdjustLayout (TControl)
pt | DoAutoSize (TControl)
pt | DoAutoSize (TWinControl)
pt | DoBorderSpacingChange (TControl)
pt | DoCallKeyEventHandler (TControl)
pt | DoCallMouseWheelEventHandler (TControl)
pt | DoCallNotifyHandler (TControl)
pt | DoChildSizingChange (TWinControl)
 | Dock (TControl)
 | DockDrop (TWinControl)
 | Docked (TControl)
pt | DockOver (TWinControl)
pt | DockTrackNoTarget (TControl)
pt | DoConstraintsChange (TControl)
pt | DoConstraintsChange (TWinControl)
pt | DoContextPopup (TControl)
pt | DoDock (TControl)
pt | DoDockClientMsg (TWinControl)
pt | DoDockOver (TWinControl)
pt | DoDragMsg (TControl)
pt | DoDragMsg (TWinControl)
pt | DoEndDock (TControl)
pt | DoEndDrag (TControl)
pt | DoEnter (TWinControl)
pt | DoExit (TWinControl)
pt | DoFixDesignFontPPI (TControl)
pt | DoFlipChildren (TWinControl)
pt | DoFloatMsg (TControl)
pt | DoFloatMsg (TWinControl)
pt | DoGetDockCaption (TWinControl)
pt | DoKeyDownBeforeInterface (TWinControl)
pt | DoKeyPress (TWinControl)
pt | DoKeyUpBeforeInterface (TWinControl)
pt | DoMouseWheel (TControl)
pt | DoMouseWheelDown (TControl)
pt | DoMouseWheelHorz (TControl)
pt | DoMouseWheelLeft (TControl)
pt | DoMouseWheelRight (TControl)
pt | DoMouseWheelUp (TControl)
pt | DoOnChangeBounds (TControl)
pt | DoOnParentHandleDestruction (TControl)
pt | DoOnResize (TControl)
pt | DoOnShowHint (TControl)
pt | DoRemainingKeyDown (TWinControl)
pt | DoRemainingKeyUp (TWinControl)
pt | DoRemoveDockClient (TWinControl)
pt | DoScaleFontPPI (TControl)
pt | DoSendBoundsToInterface (TWinControl)
pt | DoSendShowHideToInterface (TWinControl)
pt | DoSetBounds (TControl)
pt | DoSetBounds (TWinControl)
pt | DoStartDock (TControl)
pt | DoStartDrag (TControl)
pt | DoUnDock (TWinControl)
pt | DoUndockClientMsg (TWinControl)
pt | DoUTF8KeyPress (TWinControl)
pt | DragCanceled (TControl)
 | DragDrop (TControl)
 | Dragging (TControl)
pt | DragOver (TControl)
pt | EditingChanged (TDBCustomNavigator)
 | EditingDone (TControl)
 | EnableAlign (TWinControl)
 | EnableAutoSizing (TControl)
pt | EnabledChanged (TControl)
pt | EnabledChanging (TControl)
pt | EndAutoSizing (TControl)
 | EndDrag (TControl)
 | EndUpdateBounds (TWinControl)
pt | EndUpdateButtons (TDBCustomNavigator)
 | Equals (TObject)
 | EraseBackground (TWinControl)
 | ExecuteAction (TComponent)
 | ExecuteCancelAction (TControl)
 | ExecuteDefaultAction (TControl)
 | FieldAddress (TObject)
pt | FinalizeWnd (TWinControl)
 | FindChildControl (TWinControl)
 | FindComponent (TComponent)
pt | FindNextControl (TWinControl)
 | FixDesignFontsPPI (TControl)
pt | FixupTabList (TWinControl)
 | FlipChildren (TWinControl)
 | Focused (TWinControl)
pt | FontChanged (TControl)
pt | FontChanged (TWinControl)
pt | FontChanged (TCustomControl)
pt | ForeignAnchorSideChanged (TControl)
pt | FormEndUpdated (TControl)
pt | FormEndUpdated (TWinControl)
 | FormIsUpdating (TControl)
 | FPOAttachObserver (TPersistent)
 | FPODetachObserver (TPersistent)
 | FPONotifyObservers (TPersistent)
 | Free (TObject)
 | FreeInstance (TObject)
 | FreeNotification (TComponent)
 | FreeOnRelease (TComponent)
 | GetAccessibleObject (TControl)
pt | GetAction (TControl)
pt | GetActionLinkClass (TControl)
pt | GetAdjustedLogicalClientRect (TWinControl)
 | GetAnchorsDependingOnParent (TControl)
pt | GetBorderStyle (TWinControl)
pt | GetCachedText (TControl)
 | GetCanvasScaleFactor (TControl)
 | GetChildAccessibleObjectAtPos (TControl)
 | GetChildOwner (TComponent)
 | GetChildParent (TComponent)
 | GetChildren (TComponent)
pt | GetChildren (TWinControl)
 | GetChildrenRect (TControl)
 | GetChildrenRect (TWinControl)
pt | GetClientOrigin (TControl)
pt | GetClientOrigin (TWinControl)
pt | GetClientRect (TControl)
pt | GetClientRect (TWinControl)
pt | GetClientScrollOffset (TControl)
 | GetColorResolvingParent (TControl)
 | GetComObject (TComponent)
 | GetComponent (TComponent)
 | GetComponentCount (TComponent)
 | GetComponentIndex (TComponent)
pt | GetControlClassDefaultSize (TControl)
pt | GetControlClassDefaultSize (TCustomPanel)
pt | GetControlClassDefaultSize (TDBCustomNavigator)
 | GetControlIndex (TWinControl)
pt | GetControlOrigin (TControl)
pt | GetControlOrigin (TWinControl)
pt | GetCursor (TControl)
 | GetDefaultColor (TControl)
pt | GetDefaultDockCaption (TControl)
pt | GetDefaultDockCaption (TCustomPanel)
 | GetDefaultHeight (TControl)
 | GetDefaultWidth (TControl)
pt | GetDeviceContext (TControl)
pt | GetDeviceContext (TWinControl)
 | GetDockCaption (TWinControl)
pt | GetDockEdge (TControl)
pt | GetDragImages (TControl)
pt | GetEnabled (TControl)
 | GetEnumerator (TComponent)
 | GetEnumeratorControls (TWinControl)
 | GetEnumeratorControlsReverse (TWinControl)
pt | GetFloating (TControl)
pt | GetFloatingDockSiteClass (TControl)
 | GetHashCode (TObject)
 | GetIDsOfNames (TComponent)
 | GetInterface (TObject)
 | GetInterfaceByStr (TObject)
 | GetInterfaceEntry (TObject)
 | GetInterfaceEntryByStr (TObject)
 | GetInterfaceTable (TObject)
 | GetInterfaceWeak (TObject)
pt | GetLogicalClientRect (TControl)
pt | GetMouseCapture (TControl)
pt | GetMouseCapture (TWinControl)
pt | GetMousePosFromMessage (TControl)
 | GetNamePath (TPersistent)
 | GetNamePath (TComponent)
 | GetOwner (TPersistent)
 | GetOwner (TComponent)
pt | GetPalette (TControl)
pt | GetParentBackground (TWinControl)
 | GetParentComponent (TComponent)
 | GetParentComponent (TControl)
pt | GetParentHandle (TWinControl)
pt | GetPopupMenu (TControl)
 | GetPreferredSize (TControl)
pt | GetPreferredSizeClientFrame (TWinControl)
 | GetRGBColorResolvingParent (TControl)
pt | GetScrolledClientRect (TControl)
 | GetSelectedChildAccessibleObject (TControl)
 | GetSidePosition (TControl)
pt | GetSiteInfo (TWinControl)
 | GetTabOrderList (TWinControl)
 | GetTextBuf (TControl)
 | GetTextLen (TControl)
 | GetTextLen (TWinControl)
 | GetTopParent (TControl)
pt | GetTopParentHandle (TWinControl)
 | GetTypeInfo (TComponent)
 | GetTypeInfoCount (TComponent)
pt | GetWSComponentClass (TLCLComponent)
 | HandleAllocated (TWinControl)
 | HandleNeeded (TWinControl)
 | HandleObjectShouldBeVisible (TControl)
 | HasHelp (TControl)
 | HasParent (TComponent)
 | HasParent (TControl)
pt | HeightIsAnchored (TControl)
 | Hide (TControl)
pt | HintsChanged (TDBCustomNavigator)
 | iicrGetComponent (TComponent)
 | IncLCLRefCount (TLCLComponent)
 | InheritsFrom (TObject)
pt | InitializeWnd (TWinControl)
 | InitiateAction (TControl)
 | InitInstance (TObject)
 | Insert (TComponent)
 | InsertComponent (TComponent)
 | InsertControl (TWinControl)
 | InstanceSize (TObject)
 | IntfGetDropFilesTarget (TWinControl)
 | IntfUTF8KeyPress (TWinControl)
 | Invalidate (TControl)
 | Invalidate (TWinControl)
pt | InvalidateBoundsRealized (TWinControl)
 | InvalidateClientRectCache (TWinControl)
pt | InvalidateControl (TControl)
pt | InvalidatePreferredChildSizes (TWinControl)
 | InvalidatePreferredSize (TControl)
 | Invoke (TComponent)
pt | IsAParentAligning (TControl)
pt | IsBorderSpacingInnerBorderStored (TControl)
pt | IsCaptionStored (TControl)
pt | IsClientHeightStored (TControl)
pt | IsClientHeightStored (TWinControl)
pt | IsClientWidthStored (TControl)
pt | IsClientWidthStored (TWinControl)
pt | IsControlMouseMsg (TWinControl)
 | IsControlVisible (TControl)
 | IsEnabled (TControl)
 | IsImplementorOf (TComponent)
 | IsParentColor (TControl)
 | IsParentFont (TControl)
 | IsParentOf (TControl)
 | IsProcessingPaintMsg (TControl)
 | IsRightToLeft (TControl)
 | IsVisible (TControl)
pt | KeyDown (TWinControl)
pt | KeyDownAfterInterface (TWinControl)
pt | KeyDownBeforeInterface (TWinControl)
pt | KeyPress (TWinControl)
pt | KeyUp (TWinControl)
pt | KeyUpAfterInterface (TWinControl)
pt | KeyUpBeforeInterface (TWinControl)
pt | LMCaptureChanged (TControl)
 | Loaded (TComponent)
pt | Loaded (TControl)
pt | Loaded (TWinControl)
pt | Loaded (TCustomPanel)
pt | Loaded (TDBCustomNavigator)
pt | LoadedAll (TControl)
 | Loading (TComponent)
 | LockRealizeBounds (TWinControl)
pt | MainWndProc (TWinControl)
 | ManualDock (TControl)
 | ManualFloat (TControl)
 | MethodAddress (TObject)
 | MethodName (TObject)
pt | MouseDown (TControl)
pt | MouseEnter (TControl)
pt | MouseLeave (TControl)
pt | MouseMove (TControl)
pt | MouseUp (TControl)
 | newinstance (TObject)
 | NewInstance (TLCLComponent)
 | Notification (TComponent)
pt | Notification (TControl)
pt | Notification (TDBCustomNavigator)
 | NotifyControls (TWinControl)
pt | Paint (TCustomControl)
pt | Paint (TCustomPanel)
pt | PaintControls (TWinControl)
pt | PaintHandler (TWinControl)
 | PaintTo (TWinControl)
pt | PaintWindow (TWinControl)
pt | PaintWindow (TCustomControl)
 | PaletteCreated (TComponent)
 | ParentDestroyingHandle (TControl)
pt | ParentFontChanged (TControl)
pt | ParentFormHandleInitialized (TControl)
pt | ParentFormHandleInitialized (TWinControl)
 | ParentHandlesAllocated (TControl)
 | ParentHandlesAllocated (TWinControl)
 | ParentToClient (TControl)
 | Perform (TControl)
 | PerformTab (TWinControl)
pt | PositionDockRect (TControl)
pt | QuadClick (TControl)
 | QueryInterface (TComponent)
 | ReadLeft (TComponent)
 | ReadState (TComponent)
pt | ReadState (TControl)
 | ReadTop (TComponent)
pt | RealGetText (TControl)
pt | RealGetText (TWinControl)
 | ReAlign (TWinControl)
pt | RealizeBounds (TWinControl)
pt | RealizeBoundsRecursive (TWinControl)
pt | RealSetText (TControl)
pt | RealSetText (TWinControl)
pt | RealSetText (TCustomPanel)
 | ReferenceInterface (TComponent)
 | Refresh (TControl)
pt | ReloadDockedControl (TWinControl)
 | Remove (TComponent)
 | RemoveAllHandlersOfObject (TLCLComponent)
 | RemoveAllHandlersOfObject (TControl)
 | RemoveComponent (TComponent)
 | RemoveControl (TWinControl)
pt | RemoveFocus (TWinControl)
 | RemoveFreeNotification (TComponent)
pt | RemoveHandler (TControl)
 | RemoveHandlerOnBeforeDestruction (TControl)
 | RemoveHandlerOnChangeBounds (TControl)
 | RemoveHandlerOnEnableChanging (TControl)
 | RemoveHandlerOnKeyDown (TControl)
 | RemoveHandlerOnMouseWheel (TControl)
 | RemoveHandlerOnResize (TControl)
 | RemoveHandlerOnVisibleChanged (TControl)
 | RemoveHandlerOnVisibleChanging (TControl)
 | RemoveNotification (TComponent)
 | Repaint (TControl)
 | Repaint (TWinControl)
 | ReplaceDockedControl (TControl)
pt | RequestAlign (TControl)
pt | Resize (TControl)
 | SafeCallException (TObject)
 | SafeCallException (TComponent)
 | Scale96ToFont (TControl)
 | Scale96ToForm (TControl)
 | Scale96ToScreen (TControl)
 | ScaleBy (TWinControl)
pt | ScaleConstraints (TControl)
pt | ScaleControls (TWinControl)
 | ScaleDesignToForm (TControl)
 | ScaleFontsPPI (TControl)
 | ScaleFontTo96 (TControl)
 | ScaleFontToScreen (TControl)
 | ScaleFormTo96 (TControl)
 | ScaleFormToDesign (TControl)
 | ScaleScreenTo96 (TControl)
 | ScaleScreenToFont (TControl)
 | ScreenToClient (TControl)
 | ScreenToControl (TControl)
 | ScrollBy (TWinControl)
 | ScrollBy_WS (TWinControl)
pt | SelectFirst (TWinControl)
 | SelectNext (TWinControl)
pt | SendDialogChar (TWinControl)
pt | SendMoveSizeMessages (TControl)
pt | SendMoveSizeMessages (TWinControl)
 | SendToBack (TControl)
pt | SetAction (TControl)
pt | SetAlign (TControl)
 | SetAncestor (TComponent)
pt | SetAnchors (TControl)
pt | SetAutoSize (TControl)
pt | SetBiDiMode (TControl)
pt | SetBorderStyle (TWinControl)
 | SetBounds (TControl)
 | SetBounds (TWinControl)
 | SetBoundsKeepBase (TControl)
 | SetChildOrder (TComponent)
pt | SetChildZPosition (TWinControl)
pt | SetColor (TControl)
pt | SetColor (TWinControl)
pt | SetColor (TCustomControl)
 | SetComponentIndex (TComponent)
 | SetControlIndex (TWinControl)
pt | SetCursor (TControl)
 | SetDesigning (TComponent)
 | SetDesignInstance (TComponent)
pt | SetDockManager (TWinControl)
pt | SetDragMode (TControl)
pt | SetEnabled (TControl)
pt | SetEnabled (TDBCustomNavigator)
 | SetFocus (TWinControl)
pt | SetHint (TControl)
 | SetInitialBounds (TControl)
 | SetInline (TComponent)
 | SetName (TComponent)
pt | SetName (TControl)
pt | SetParent (TControl)
pt | SetParentBackground (TWinControl)
pt | SetParentBackground (TCustomPanel)
pt | SetParentBiDiMode (TControl)
 | SetParentComponent (TComponent)
pt | SetParentComponent (TControl)
 | SetReference (TComponent)
 | SetShape (TWinControl)
 | SetSubComponent (TComponent)
 | SetTempCursor (TControl)
 | SetTempCursor (TWinControl)
 | SetTextBuf (TControl)
pt | SetVisible (TControl)
pt | SetZOrder (TControl)
 | ShouldAutoAdjust (TControl)
 | Show (TControl)
pt | ShowControl (TWinControl)
 | ShowHelp (TControl)
 | StringMessageTable (TObject)
pt | TextChanged (TControl)
 | ToString (TObject)
pt | TripleClick (TControl)
 | UnitName (TObject)
 | UnlockRealizeBounds (TWinControl)
 | Update (TControl)
 | Update (TWinControl)
 | UpdateAction (TComponent)
pt | UpdateAnchorRules (TControl)
 | UpdateBaseBounds (TControl)
pt | UpdateButtons (TDBCustomNavigator)
pt | UpdateControlState (TWinControl)
 | Updated (TComponent)
 | UpdateDockCaption (TWinControl)
pt | UpdateHints (TDBCustomNavigator)
pt | UpdateMouseCursor (TControl)
pt | UpdateParentColorChange (TCustomPanel)
 | UpdateRegistry (TComponent)
 | UpdateRolesForForm (TControl)
pt | UpdateShowing (TWinControl)
 | Updating (TComponent)
 | UseRightToLeftAlignment (TControl)
 | UseRightToLeftReading (TControl)
 | UseRightToLeftScrollBar (TControl)
pt | UTF8KeyPress (TWinControl)
 | ValidateContainer (TComponent)
 | ValidateInsert (TComponent)
 | ValidateRename (TComponent)
 | VisibleButtonCount (TDBCustomNavigator)
pt | VisibleChanged (TControl)
pt | VisibleChanging (TControl)
pt | WidthIsAnchored (TControl)
pt | WMCancelMode (TControl)
pt | WMChar (TWinControl)
pt | WMContextMenu (TControl)
pt | WMContextMenu (TWinControl)
pt | WMDestroy (TWinControl)
pt | WMEnter (TWinControl)
pt | WMEraseBkgnd (TWinControl)
pt | WMExit (TWinControl)
pt | WMKeyDown (TWinControl)
pt | WMKeyUp (TWinControl)
pt | WMKillFocus (TWinControl)
pt | WMLButtonDBLCLK (TControl)
pt | WMLButtonDown (TControl)
pt | WMLButtonQuadCLK (TControl)
pt | WMLButtonTripleCLK (TControl)
pt | WMLButtonUp (TControl)
pt | WMMButtonDBLCLK (TControl)
pt | WMMButtonDown (TControl)
pt | WMMButtonQuadCLK (TControl)
pt | WMMButtonTripleCLK (TControl)
pt | WMMButtonUp (TControl)
pt | WMMouseHWheel (TControl)
pt | WMMouseMove (TControl)
pt | WMMouseWheel (TControl)
pt | WMMove (TControl)
pt | WMMove (TWinControl)
pt | WMNotify (TWinControl)
pt | WMPaint (TWinControl)
pt | WMPaint (TCustomControl)
pt | WMRButtonDBLCLK (TControl)
pt | WMRButtonDown (TControl)
pt | WMRButtonQuadCLK (TControl)
pt | WMRButtonTripleCLK (TControl)
pt | WMRButtonUp (TControl)
pt | WMSetFocus (TWinControl)
pt | WMShowWindow (TWinControl)
pt | WMSize (TControl)
pt | WMSize (TWinControl)
pt | WMSysChar (TWinControl)
pt | WMSysKeyDown (TWinControl)
pt | WMSysKeyUp (TWinControl)
pt | WMWindowPosChanged (TControl)
pt | WMWindowPosChanged (TWinControl)
pt | WMXButtonDBLCLK (TControl)
pt | WMXButtonDown (TControl)
pt | WMXButtonQuadCLK (TControl)
pt | WMXButtonTripleCLK (TControl)
pt | WMXButtonUp (TControl)
pt | WndProc (TControl)
pt | WndProc (TWinControl)
 | WriteLayoutDebugReport (TControl)
 | WriteLayoutDebugReport (TWinControl)
 | WriteLeft (TComponent)
 | WriteState (TComponent)
 | WriteTop (TComponent)
pt | WSRegisterClass (TLCLComponent)
pt | WSRegisterClass (TControl)
pt | WSRegisterClass (TWinControl)
pt | WSRegisterClass (TCustomControl)
pt | WSRegisterClass (TCustomPanel)
pt | WSSetText (TWinControl)
 | _AddRef (TComponent)
 | _Release (TComponent)


TDBCustomNavigator
 | OnClick
TCustomPanel
TCustomControl
 | OnPaint
TWinControl
pt | OnGetSiteInfo
pt | OnGetDockCaption
 | OnAlignInsertBefore
 | OnAlignPosition
 | OnDockDrop
 | OnDockOver
 | OnEnter
 | OnExit
 | OnKeyDown
 | OnKeyPress
 | OnKeyUp
 | OnUnDock
 | OnUTF8KeyPress
TControl
pt | OnConstrainedResize
pt | OnContextPopup
pt | OnDblClick
pt | OnTripleClick
pt | OnQuadClick
pt | OnDragDrop
pt | OnDragOver
pt | OnEndDock
pt | OnEndDrag
pt | OnMouseDown
pt | OnMouseMove
pt | OnMouseUp
pt | OnMouseEnter
pt | OnMouseLeave
pt | OnMouseWheel
pt | OnMouseWheelDown
pt | OnMouseWheelUp
pt | OnMouseWheelHorz
pt | OnMouseWheelLeft
pt | OnMouseWheelRight
pt | OnStartDock
pt | OnStartDrag
pt | OnEditingDone
 | OnChangeBounds
 | OnClick
 | OnResize
 | OnShowHint
TLCLComponent
TComponent
TPersistent
TObject


 | OnAlignInsertBefore (TWinControl)
 | OnAlignPosition (TWinControl)
 | OnChangeBounds (TControl)
 | OnClick (TControl)
 | OnClick (TDBCustomNavigator)
pt | OnConstrainedResize (TControl)
pt | OnContextPopup (TControl)
pt | OnDblClick (TControl)
 | OnDockDrop (TWinControl)
 | OnDockOver (TWinControl)
pt | OnDragDrop (TControl)
pt | OnDragOver (TControl)
pt | OnEditingDone (TControl)
pt | OnEndDock (TControl)
pt | OnEndDrag (TControl)
 | OnEnter (TWinControl)
 | OnExit (TWinControl)
pt | OnGetDockCaption (TWinControl)
pt | OnGetSiteInfo (TWinControl)
 | OnKeyDown (TWinControl)
 | OnKeyPress (TWinControl)
 | OnKeyUp (TWinControl)
pt | OnMouseDown (TControl)
pt | OnMouseEnter (TControl)
pt | OnMouseLeave (TControl)
pt | OnMouseMove (TControl)
pt | OnMouseUp (TControl)
pt | OnMouseWheel (TControl)
pt | OnMouseWheelDown (TControl)
pt | OnMouseWheelHorz (TControl)
pt | OnMouseWheelLeft (TControl)
pt | OnMouseWheelRight (TControl)
pt | OnMouseWheelUp (TControl)
 | OnPaint (TCustomControl)
pt | OnQuadClick (TControl)
 | OnResize (TControl)
 | OnShowHint (TControl)
pt | OnStartDock (TControl)
pt | OnStartDrag (TControl)
pt | OnTripleClick (TControl)
 | OnUnDock (TWinControl)
 | OnUTF8KeyPress (TWinControl)


TDBCustomNavigator.ActiveChanged

ActiveChanged - if datalink is active, calls DataChanged and EditingChanged

Declaration

Source position: dbctrls.pp line 1346

protected procedure TDBCustomNavigator.ActiveChanged; virtual;

See also

DataChanged | DataChanged - update status of all the buttons to reflect new data
EditingChanged | EditingChanged - the status of the buttons is set to CanModify


TDBCustomNavigator.BeforeAction

BeforeAction - code to be executed before an action is performed

Declaration

Source position: dbctrls.pp line 1363

public property TDBCustomNavigator.BeforeAction : TDBNavClickEvent
  read FBeforeAction
  write FBeforeAction;


TDBCustomNavigator.BeginUpdateButtons

BeginUpdateButtons - locks the buttons before updating them

Declaration

Source position: dbctrls.pp line 1354

protected procedure TDBCustomNavigator.BeginUpdateButtons; virtual;


TDBCustomNavigator.BtnClick

BtnClick - procedure to respond to button clicks, and select an action from a list according to the value of the Index of the clicked button

Declaration

Source position: dbctrls.pp line 1360

public procedure TDBCustomNavigator.BtnClick(

  Index: TNavigateBtn

); virtual;


TDBCustomNavigator.ButtonClickHandler

ButtonClickHandler - performs BtnClick for the appropriate button

Declaration

Source position: dbctrls.pp line 1352

protected procedure TDBCustomNavigator.ButtonClickHandler(

  Sender: TObject

); virtual;


TDBCustomNavigator.Buttons

The list of Buttons included in the navigator tool

Declaration

Source position: dbctrls.pp line 1342

protected TDBCustomNavigator.Buttons : array [TDBNavButtonType] of TDBNavButton;


TDBCustomNavigator.ConfirmDelete

Should the user be asked for confirmation before a record is deleted? If True, a dialog appears asking for confirmation

Declaration

Source position: dbctrls.pp line 1364

public property TDBCustomNavigator.ConfirmDelete : Boolean
  read FConfirmDelete
  write FConfirmDelete
  default True;


TDBCustomNavigator.Create

Create - constructor for TDBCustomNavigator: locks the buttons, calls inherited Create, sets default size, style, forms datalinks, initialises hints, updates the buttons

Declaration

Source position: dbctrls.pp line 1358

public constructor TDBCustomNavigator.Create(

  TheOwner: TComponent

); override;

See also

TCustomPanel.Create

Create - constructor for TCustomPanel: calls inherited Create then sets initial style, bevel, colour, alignment and bounds


TDBCustomNavigator.DataChanged

DataChanged - update status of all the buttons to reflect new data

Declaration

Source position: dbctrls.pp line 1344

protected procedure TDBCustomNavigator.DataChanged; virtual;


TDBCustomNavigator.DataSource

The Data Source to which the control must be linked in order to function

Declaration

Source position: dbctrls.pp line 1365

public property TDBCustomNavigator.DataSource : TDataSource
  read GetDataSource
  write SetDataSource;


TDBCustomNavigator.Destroy

Destroy - destructor for TDBCustomNavigator: frees datalinks and hints, then calls inherited Destroy

Declaration

Source position: dbctrls.pp line 1359

public destructor TDBCustomNavigator.Destroy; override;

See also

TCustomControl.Destroy


TDBCustomNavigator.Direction

The direction in which the buttons appear: horizontal or vertical

Declaration

Source position: dbctrls.pp line 1366

public property TDBCustomNavigator.Direction : TDBNavButtonDirection
  read FDirection
  write SetDirection
  default nbdHorizontal;


TDBCustomNavigator.EditingChanged

EditingChanged - the status of the buttons is set to CanModify

Declaration

Source position: dbctrls.pp line 1345

protected procedure TDBCustomNavigator.EditingChanged; virtual;


TDBCustomNavigator.EndUpdateButtons

EndUpdateButtons - unlocks each button in turn and updates it if needed

Declaration

Source position: dbctrls.pp line 1355

protected procedure TDBCustomNavigator.EndUpdateButtons; virtual;


TDBCustomNavigator.Flat

Flat - if True, buttons have no 3-D effect

Declaration

Source position: dbctrls.pp line 1367

public property TDBCustomNavigator.Flat : Boolean
  read FFlat
  write SetFlat
  default False;


TDBCustomNavigator.FocusableButtons

Declaration

Source position: dbctrls.pp line 1343

protected TDBCustomNavigator.FocusableButtons : array [TDBNavButtonType] of TDBNavFocusableButton;


TDBCustomNavigator.Hints

A list of hints to be shown if the mouse hovers over a button

Declaration

Source position: dbctrls.pp line 1368

public property TDBCustomNavigator.Hints : TStrings
  read GetHints
  write SetHints;


TDBCustomNavigator.HintsChanged

HintsChanged - calls UpdateHints

Declaration

Source position: dbctrls.pp line 1351

protected procedure TDBCustomNavigator.HintsChanged(

  Sender: TObject

); virtual;

See also

UpdateHints

UpdateHints - reloads the default hints and modifies any that have been changed


TDBCustomNavigator.Images

Declaration

Source position: dbctrls.pp line 1374

public property TDBCustomNavigator.Images : TCustomImageList
  read FImages
  write SetImages;


TDBCustomNavigator.OnClick

The action to be taken when a navigator button is clicked

Declaration

Source position: dbctrls.pp line 1370

public property TDBCustomNavigator.OnClick : TDBNavClickEvent
  read FOnNavClick
  write FOnNavClick;

See also

TControl.OnClick

Notification handler for mouse clicks.


TDBCustomNavigator.Options

Declaration

Source position: dbctrls.pp line 1369

public property TDBCustomNavigator.Options : TDBNavigatorOptions
  read FOptions
  write SetOptions;


TDBCustomNavigator.ShowButtonHints

Determines whether button hints are to be shown

Declaration

Source position: dbctrls.pp line 1373

public property TDBCustomNavigator.ShowButtonHints : Boolean
  read FShowButtonHints
  write SetShowButtonHints
  default True;


TDBCustomNavigator.UpdateButtons

UpdateButtons - if the position of the buttons need to be changed, does this, then updates the status of the buttons (see ActiveChanged)

Declaration

Source position: dbctrls.pp line 1349

protected procedure TDBCustomNavigator.UpdateButtons; virtual;

See also

ActiveChanged

ActiveChanged - if datalink is active, calls DataChanged and EditingChanged


TDBCustomNavigator.UpdateHints

UpdateHints - reloads the default hints and modifies any that have been changed

Declaration

Source position: dbctrls.pp line 1350

protected procedure TDBCustomNavigator.UpdateHints; virtual;


TDBCustomNavigator.VisibleButtonCount

Finds the number of visible buttons

Declaration

Source position: dbctrls.pp line 1361

public function TDBCustomNavigator.VisibleButtonCount: Integer; virtual;


TDBCustomNavigator.VisibleButtons

The set of visible buttons (some of them can be suppressed if their function appears redundant)

Declaration

Source position: dbctrls.pp line 1371

public property TDBCustomNavigator.VisibleButtons : TDBNavButtonSet
  read FVisibleButtons
  write SetVisibleButtons
  default DefaultDBNavigatorButtons;

Description

The VisibleButtons entry in the Object Inspector can be used to set whether or not a particular button is to be visible.


TDBEdit

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

TDBEdit - a data-aware edit box for processing a single text-string from a dataset

Declaration

Source position: dbctrls.pp line 174

type TDBEdit = class(TCustomMaskEdit)
protected
function GetReadOnly; override;
procedure SetReadOnly(); override;
procedure KeyDown(); override; | Invokes the OnKeyDown handler.
procedure UTF8KeyPress(); override;
procedure Notification(); override; |
function EditCanModify; override; | If True, the Edit box is allowed to modify the contents
function GetEditText; override; | Get the text in the edit box (the string that has been masked)
procedure Change; override;
procedure Reset; override; | Reset - put back to its default state with mask appearing in Text box and no string input
procedure WMSetFocus(); message; | Handler for receiving Focus event.
procedure WMKillFocus(); message; | Handler for loosing Focus event. Eventually triggers #lcl.Controls.TControl.EditingDone.
procedure WndProc(); override;
public
constructor Create(); override; | Create - Constructor for TDBEdit: calls inherited Create then sets up data links and actions
destructor Destroy; override; | Destroy - destructor for TDBEdit: frees data links then calls inherited Destroy
function ExecuteAction(); override;
function UpdateAction(); override;
property Field: TField; [r] | The field in the DataSet from which data are to be displayed in the Edit
published
property CustomEditMask: Boolean; [rw]
property DataField: string; [rw] | The name (as a string) of the field whose data are to be displayed
property DataSource: TDataSource; [rw] | The DataSource to be used for supplying the data in the required Field. Ususally the result of a data query
property ReadOnly: Boolean; [rw] | Prevents the user from changing the text.
property Align: TAlign;
property Alignment: TAlignment;
property Anchors: TAnchors; | The set of anchor definitions for this control.
property AutoSelect: Boolean;
property AutoSize: Boolean; | Allows to automatically adjust the size of the control, according to its content.
property BiDiMode: TBiDiMode;
property BorderSpacing: TControlBorderSpacing; | Determines the inner and outer border spacing for this control.
property BorderStyle: TBorderStyle;
property CharCase: TEditCharCase; | Allows to force the text into all upper or lower case.
property Color: TColor; | The background color of the control.
property Constraints: TSizeConstraints; | The minimal and maximal Width and Height of this control.
property DoubleBuffered: Boolean;
property DragCursor: TCursor; | The cursor shape shown while the control is dragged.
property DragKind: TDragKind; | The operation when the control is dragged - Drag or Dock.
property DragMode: TDragMode; | Allows the user to drag the control.
property Enabled: Boolean; | Determines whether the control reacts on mouse or keyboard input.
property EditMask: string; | EditMask - the sequence of characters used to obscure the string being typed (typically a sequence of asterisks)
property Font: TFont; | The font to be used for text display in this control.
property MaxLength: Integer; | The maximum length of the text; zero for unlimited.
property ParentBiDiMode: Boolean;
property ParentColor: Boolean; | If true, the Color of the control will be the same as the one from the Parent. Default is true.
property ParentDoubleBuffered: Boolean;
property ParentFont: Boolean; | If true, the Font of the control will be the same as the one from the Parent. Default is true.
property ParentShowHint: Boolean; | If true, the value of ShowHint for the control will be the same as the one from the Parent. Default is true.
property PasswordChar: Char; | Allows to obfuscate the displayed text, showing all characters as PasswordChar.
property PopupMenu: TPopupMenu; | A context-sensitive menu that pops up when the right mouse button is clicked over this control
property ShowHint: Boolean; | Enables the Hint display.
property TabOrder: TTabOrder; | Determines the sequence of controls, reachable when the user presses the Tab key.
property TabStop: Boolean; | Allows the user to navigate to this control, by pressing the Tab key.
property Visible: Boolean; | Allows to show or hide the control, and all of its children.
property OnChange: TNotifyEvent; | Event handler for any change in text.
property OnClick: TNotifyEvent; | Notification handler for mouse clicks.
property OnDblClick: TNotifyEvent; | Event Handler for double mouse clicks.
property OnDragDrop: TDragDropEvent; | This handler determines the action on an drop onto this control, in a drag-drop operation.
property OnDragOver: TDragOverEvent; | Event handler for a control being dragged over this control.
property OnEditingDone: TNotifyEvent;
property OnEndDrag: TEndDragEvent; | Notification handler for the end of a dragging operation.
property OnEnter: TNotifyEvent; | Handler for control receiving the focus.
property OnExit: TNotifyEvent; | Handler for control loosing the focus. This is a good place for checking the finished user input.
property OnKeyDown: TKeyEvent; | Handler for keyboard key pressed.
property OnKeyPress: TKeyPressEvent; | Handler for a character entered by the user.
property OnKeyUp: TKeyEvent; | Handler for keyboard key released.
property OnMouseDown: TMouseEvent; | Event handler for mouse button going down.
property OnMouseEnter: TNotifyEvent;
property OnMouseLeave: TNotifyEvent;
property OnMouseMove: TMouseMoveEvent; | Event handler for mouse movement within the control.
property OnMouseUp: TMouseEvent; | Event handler for mouse button going up.
property OnMouseWheel: TMouseWheelEvent;
property OnMouseWheelDown: TMouseWheelUpDownEvent;
property OnMouseWheelUp: TMouseWheelUpDownEvent;
property OnStartDrag: TStartDragEvent; | Event handler for the start of a dragging operation.
property OnUTF8KeyPress: TUTF8KeyPressEvent; | Handler for a character entered by the user.
end;

Inheritance

TDBEdit | TDBEdit - a data-aware edit box for processing a single text-string from a dataset
|
TCustomMaskEdit | TCustomMaskEdit - base class for TMaskEdit, an Edit box with characters masked out to avoid unauthorised reading
|
TCustomEdit | The base class for controls presenting editable text.
|
TWinControl | The base class for controls which can contain other (child) controls.
|
TControl | The base class for visible controls.
|
TLCLComponent | The base class for LCL components associated with widgets.
|
TComponent,IUnknown,IInterfaceComponentReference
|
TPersistent,IFPObserved
|
TObject

See also

HowToUseDataAwareControls

HowToUseDataAwareControls - Hints for accessing databases


TDBEdit
 | ro | Field
pl |  | CustomEditMask
pl |  | DataField
pl |  | DataSource
pl |  | ReadOnly
pl | ro | Align
pl | ro | Alignment
pl | ro | Anchors
pl | ro | AutoSelect
pl | ro | AutoSize
pl | ro | BiDiMode
pl | ro | BorderSpacing
pl | ro | BorderStyle
pl | ro | CharCase
pl | ro | Color
pl | ro | Constraints
pl | ro | DoubleBuffered
pl | ro | DragCursor
pl | ro | DragKind
pl | ro | DragMode
pl | ro | Enabled
pl | ro | EditMask
pl | ro | Font
pl | ro | MaxLength
pl | ro | ParentBiDiMode
pl | ro | ParentColor
pl | ro | ParentDoubleBuffered
pl | ro | ParentFont
pl | ro | ParentShowHint
pl | ro | PasswordChar
pl | ro | PopupMenu
pl | ro | ShowHint
pl | ro | TabOrder
pl | ro | TabStop
pl | ro | Visible
TCustomMaskEdit
pt |  | EditText
pt | ro | IsMasked
pt |  | SpaceChar
pt |  | MaxLength
pt |  | CharCase
pt |  | EditMask
 |  | Modified
TCustomEdit
pt |  | AutoSelect
pt |  | AutoSelected
pt | ro | ParentColor
 |  | Alignment
 | ro | AutoSize
 | ro | BorderStyle
 | ro | CanUndo
 |  | CaretPos
 |  | CharCase
 |  | EchoMode
 |  | HideSelection
 |  | MaxLength
 |  | Modified
 |  | NumbersOnly
 |  | PasswordChar
 | ro | PopupMenu
 |  | ReadOnly
 |  | SelLength
 |  | SelStart
 |  | SelText
 | ro | TabOrder
 | ro | TabStop
 | ro | Text
 |  | TextHint
TWinControl
pt |  | WindowHandle
pt |  | BorderStyle
pt |  | ParentBackground
 |  | BorderWidth
 | ro | BoundsLockCount
 | ro | Brush
 | ro | CachedClientHeight
 | ro | CachedClientWidth
 |  | ChildSizing
 | ro | ControlCount
 | ro | Controls
 |  | DefWndProc
 | ro | DockClientCount
 | ro | DockClients
 |  | DockManager
 |  | DockSite
 |  | DoubleBuffered
 |  | Handle
 | ro | IsFlipped
 | ro | IsResizing
 |  | TabOrder
 |  | TabStop
 |  | ParentDoubleBuffered
 |  | ParentWindow
 | ro | Showing
 |  | UseDockManager
 |  | DesignerDeleting
 | ro | VisibleDockClientCount
TControl
pt | ro | AutoSizing
pt | ro | AutoSizingAll
pt | ro | AutoSizingLockCount
pt |  | ActionLink
pt |  | DesktopFont
pt |  | DragCursor
pt |  | DragKind
pt |  | DragMode
pt |  | MouseCapture
pt |  | ParentColor
pt |  | ParentFont
pt |  | ParentShowHint
pt |  | SessionProperties
pt |  | Text
 | ro | AnchoredControls
 | ro | BaseBounds
 | ro | ReadBounds
 | ro | BaseParentClientSize
 |  | AccessibleDescription
 |  | AccessibleValue
 |  | AccessibleRole
 |  | Action
 |  | Align
 |  | Anchors
 | ro | AnchorSide
 |  | AutoSize
 |  | BorderSpacing
 |  | BoundsRect
 |  | BoundsRectForNewParent
 |  | Caption
 |  | CaptureMouseButtons
 |  | ClientHeight
 | ro | ClientOrigin
 | ro | ClientRect
 |  | ClientWidth
 |  | Color
 |  | Constraints
 | ro | ControlOrigin
 |  | ControlState
 |  | ControlStyle
 |  | Enabled
 |  | Font
 |  | IsControl
 | ro | MouseEntered
 | ro | MouseInClient
 |  | Parent
 |  | PopupMenu
 |  | ShowHint
 |  | Visible
 |  | WindowProc
 |  | DockOrientation
 | ro | Floating
 |  | FloatingDockSiteClass
 |  | HostDockSite
 |  | LRDockWidth
 |  | TBDockHeight
 |  | UndockHeight
 |  | UndockWidth
 |  | BiDiMode
 |  | ParentBiDiMode
pl |  | AnchorSideLeft
pl |  | AnchorSideTop
pl |  | AnchorSideRight
pl |  | AnchorSideBottom
pl |  | Cursor
pl |  | Left
pl |  | Height
pl |  | Hint
pl |  | Top
pl |  | Width
pl |  | HelpType
pl |  | HelpKeyword
pl |  | HelpContext
TLCLComponent
 | ro | LCLRefCount
 | ro | WidgetSetClass
TComponent
 | ro | ComObject
 | ro | Components
 | ro | ComponentCount
 |  | ComponentIndex
 | ro | ComponentState
 | ro | ComponentStyle
 |  | DesignInfo
 | ro | Owner
 |  | VCLComObject
 |  | Name
 |  | Tag
TPersistent
TObject


 |  | AccessibleDescription (TControl)
 |  | AccessibleRole (TControl)
 |  | AccessibleValue (TControl)
 |  | Action (TControl)
pt |  | ActionLink (TControl)
 |  | Align (TControl)
pl | ro | Align (TDBEdit)
 |  | Alignment (TCustomEdit)
pl | ro | Alignment (TDBEdit)
 | ro | AnchoredControls (TControl)
 |  | Anchors (TControl)
pl | ro | Anchors (TDBEdit)
 | ro | AnchorSide (TControl)
pl |  | AnchorSideBottom (TControl)
pl |  | AnchorSideLeft (TControl)
pl |  | AnchorSideRight (TControl)
pl |  | AnchorSideTop (TControl)
pt |  | AutoSelect (TCustomEdit)
pl | ro | AutoSelect (TDBEdit)
pt |  | AutoSelected (TCustomEdit)
 |  | AutoSize (TControl)
 | ro | AutoSize (TCustomEdit)
pl | ro | AutoSize (TDBEdit)
pt | ro | AutoSizing (TControl)
pt | ro | AutoSizingAll (TControl)
pt | ro | AutoSizingLockCount (TControl)
 | ro | BaseBounds (TControl)
 | ro | BaseParentClientSize (TControl)
 |  | BiDiMode (TControl)
pl | ro | BiDiMode (TDBEdit)
 |  | BorderSpacing (TControl)
pl | ro | BorderSpacing (TDBEdit)
pt |  | BorderStyle (TWinControl)
 | ro | BorderStyle (TCustomEdit)
pl | ro | BorderStyle (TDBEdit)
 |  | BorderWidth (TWinControl)
 | ro | BoundsLockCount (TWinControl)
 |  | BoundsRect (TControl)
 |  | BoundsRectForNewParent (TControl)
 | ro | Brush (TWinControl)
 | ro | CachedClientHeight (TWinControl)
 | ro | CachedClientWidth (TWinControl)
 | ro | CanUndo (TCustomEdit)
 |  | Caption (TControl)
 |  | CaptureMouseButtons (TControl)
 |  | CaretPos (TCustomEdit)
 |  | CharCase (TCustomEdit)
pt |  | CharCase (TCustomMaskEdit)
pl | ro | CharCase (TDBEdit)
 |  | ChildSizing (TWinControl)
 |  | ClientHeight (TControl)
 | ro | ClientOrigin (TControl)
 | ro | ClientRect (TControl)
 |  | ClientWidth (TControl)
 |  | Color (TControl)
pl | ro | Color (TDBEdit)
 | ro | ComObject (TComponent)
 | ro | ComponentCount (TComponent)
 |  | ComponentIndex (TComponent)
 | ro | Components (TComponent)
 | ro | ComponentState (TComponent)
 | ro | ComponentStyle (TComponent)
 |  | Constraints (TControl)
pl | ro | Constraints (TDBEdit)
 | ro | ControlCount (TWinControl)
 | ro | ControlOrigin (TControl)
 | ro | Controls (TWinControl)
 |  | ControlState (TControl)
 |  | ControlStyle (TControl)
pl |  | Cursor (TControl)
pl |  | CustomEditMask (TDBEdit)
pl |  | DataField (TDBEdit)
pl |  | DataSource (TDBEdit)
 |  | DefWndProc (TWinControl)
 |  | DesignerDeleting (TWinControl)
 |  | DesignInfo (TComponent)
pt |  | DesktopFont (TControl)
 | ro | DockClientCount (TWinControl)
 | ro | DockClients (TWinControl)
 |  | DockManager (TWinControl)
 |  | DockOrientation (TControl)
 |  | DockSite (TWinControl)
 |  | DoubleBuffered (TWinControl)
pl | ro | DoubleBuffered (TDBEdit)
pt |  | DragCursor (TControl)
pl | ro | DragCursor (TDBEdit)
pt |  | DragKind (TControl)
pl | ro | DragKind (TDBEdit)
pt |  | DragMode (TControl)
pl | ro | DragMode (TDBEdit)
 |  | EchoMode (TCustomEdit)
pt |  | EditMask (TCustomMaskEdit)
pl | ro | EditMask (TDBEdit)
pt |  | EditText (TCustomMaskEdit)
 |  | Enabled (TControl)
pl | ro | Enabled (TDBEdit)
 | ro | Field (TDBEdit)
 | ro | Floating (TControl)
 |  | FloatingDockSiteClass (TControl)
 |  | Font (TControl)
pl | ro | Font (TDBEdit)
 |  | Handle (TWinControl)
pl |  | Height (TControl)
pl |  | HelpContext (TControl)
pl |  | HelpKeyword (TControl)
pl |  | HelpType (TControl)
 |  | HideSelection (TCustomEdit)
pl |  | Hint (TControl)
 |  | HostDockSite (TControl)
 |  | IsControl (TControl)
 | ro | IsFlipped (TWinControl)
pt | ro | IsMasked (TCustomMaskEdit)
 | ro | IsResizing (TWinControl)
 | ro | LCLRefCount (TLCLComponent)
pl |  | Left (TControl)
 |  | LRDockWidth (TControl)
 |  | MaxLength (TCustomEdit)
pt |  | MaxLength (TCustomMaskEdit)
pl | ro | MaxLength (TDBEdit)
 |  | Modified (TCustomEdit)
 |  | Modified (TCustomMaskEdit)
pt |  | MouseCapture (TControl)
 | ro | MouseEntered (TControl)
 | ro | MouseInClient (TControl)
 |  | Name (TComponent)
 |  | NumbersOnly (TCustomEdit)
 | ro | Owner (TComponent)
 |  | Parent (TControl)
pt |  | ParentBackground (TWinControl)
 |  | ParentBiDiMode (TControl)
pl | ro | ParentBiDiMode (TDBEdit)
pt |  | ParentColor (TControl)
pt | ro | ParentColor (TCustomEdit)
pl | ro | ParentColor (TDBEdit)
 |  | ParentDoubleBuffered (TWinControl)
pl | ro | ParentDoubleBuffered (TDBEdit)
pt |  | ParentFont (TControl)
pl | ro | ParentFont (TDBEdit)
pt |  | ParentShowHint (TControl)
pl | ro | ParentShowHint (TDBEdit)
 |  | ParentWindow (TWinControl)
 |  | PasswordChar (TCustomEdit)
pl | ro | PasswordChar (TDBEdit)
 |  | PopupMenu (TControl)
 | ro | PopupMenu (TCustomEdit)
pl | ro | PopupMenu (TDBEdit)
 | ro | ReadBounds (TControl)
 |  | ReadOnly (TCustomEdit)
pl |  | ReadOnly (TDBEdit)
 |  | SelLength (TCustomEdit)
 |  | SelStart (TCustomEdit)
 |  | SelText (TCustomEdit)
pt |  | SessionProperties (TControl)
 |  | ShowHint (TControl)
pl | ro | ShowHint (TDBEdit)
 | ro | Showing (TWinControl)
pt |  | SpaceChar (TCustomMaskEdit)
 |  | TabOrder (TWinControl)
 | ro | TabOrder (TCustomEdit)
pl | ro | TabOrder (TDBEdit)
 |  | TabStop (TWinControl)
 | ro | TabStop (TCustomEdit)
pl | ro | TabStop (TDBEdit)
 |  | Tag (TComponent)
 |  | TBDockHeight (TControl)
pt |  | Text (TControl)
 | ro | Text (TCustomEdit)
 |  | TextHint (TCustomEdit)
pl |  | Top (TControl)
 |  | UndockHeight (TControl)
 |  | UndockWidth (TControl)
 |  | UseDockManager (TWinControl)
 |  | VCLComObject (TComponent)
 |  | Visible (TControl)
pl | ro | Visible (TDBEdit)
 | ro | VisibleDockClientCount (TWinControl)
 | ro | WidgetSetClass (TLCLComponent)
pl |  | Width (TControl)
pt |  | WindowHandle (TWinControl)
 |  | WindowProc (TControl)


TDBEdit
pt | GetReadOnly
pt | SetReadOnly
pt | KeyDown
pt | UTF8KeyPress
pt | Notification
pt | EditCanModify
pt | GetEditText
pt | Change
pt | Reset
pt | WMSetFocus
pt | WMKillFocus
pt | WndProc
 | Create
 | Destroy
 | ExecuteAction
 | UpdateAction
TCustomMaskEdit
pt | ApplyMaskToText
pt | CanShowEmulatedTextHint
pt | DisableMask
pt | RestoreMask
pt | RealSetText
pt | RealGetText
pt | GetTextWithoutMask
pt | GetTextWithoutSpaceChar
pt | SetTextApplyMask
pt | GetEditText
pt | SetEditText
pt | GetSel
pt | SetSel
pt | TextChanged
pt | Change
pt | SetCharCase
pt | GetCharCase
pt | SetMaxLength
pt | GetMaxLength
pt | SetNumbersOnly
pt | Loaded
pt | LMPasteFromClip
pt | LMCutToClip
pt | LMClearSel
pt | EditCanModify
pt | Reset
pt | DoEnter
pt | DoExit
pt | KeyDown
pt | HandleKeyPress
pt | KeyPress
pt | Utf8KeyPress
pt | MouseUp
pt | CheckCursor
 | CutToClipBoard
 | PasteFromClipBoard
 | Create
 | Clear
 | ValidateEdit
TCustomEdit
pt | WSRegisterClass
pt | CanShowEmulatedTextHint
pt | CreateEmulatedTextHintFont
pt | CalculatePreferredSize
pt | CreateParams
pt | InitializeWnd
pt | TextChanged
pt | FontChanged
pt | Change
pt | DoEnter
pt | DoExit
pt | EditingDone
pt | GetCaretPos
pt | GetNumbersOnly
pt | GetReadOnly
pt | GetSelLength
pt | GetSelStart
pt | GetSelText
pt | GetTextHint
pt | SetCaretPos
pt | SetEchoMode
pt | SetNumbersOnly
pt | SetReadOnly
pt | SetSelLength
pt | SetSelStart
pt | SetSelText
pt | SetTextHint
pt | ChildClassAllowed
pt | GetControlClassDefaultSize
pt | MouseUp
pt | RealSetText
pt | RealGetText
pt | KeyUpAfterInterface
pt | WMChar
pt | CMWantSpecialKey
pt | WndProc
pt | ShouldAutoAdjust
pt | WMSetFocus
pt | WMKillFocus
 | Create
 | Destroy
 | Clear
 | SelectAll
 | ClearSelection
 | CopyToClipboard
 | CutToClipboard
 | PasteFromClipboard
 | Undo
 | RemoveAllHandlersOfObject
 | AddHandlerOnChange
 | RemoveHandlerOnChange
TWinControl
pt | WSRegisterClass
pt | AdjustClientRect
pt | GetAdjustedLogicalClientRect
pt | AlignControls
pt | CustomAlignInsertBefore
pt | CustomAlignPosition
pt | DoAlignChildControls
pt | DoChildSizingChange
pt | InvalidatePreferredChildSizes
pt | CanTab
pt | IsClientHeightStored
pt | IsClientWidthStored
pt | DoSendShowHideToInterface
pt | ControlsAligned
pt | DoSendBoundsToInterface
pt | RealizeBounds
pt | RealizeBoundsRecursive
pt | InvalidateBoundsRealized
pt | CreateSubClass
pt | DoConstraintsChange
pt | DoSetBounds
pt | DoAutoSize
pt | DoAllAutoSize
pt | AllAutoSized
pt | CalculatePreferredSize
pt | GetPreferredSizeClientFrame
pt | GetChildren
pt | ChildClassAllowed
pt | PaintControls
pt | PaintHandler
pt | PaintWindow
pt | CreateBrush
pt | ScaleControls
pt | ChangeScale
pt | CMBiDiModeChanged
pt | CMBorderChanged
pt | CMDoubleBufferedChanged
pt | CMEnabledChanged
pt | CMParentDoubleBufferedChanged
pt | CMShowingChanged
pt | CMShowHintChanged
pt | CMVisibleChanged
pt | CMEnter
pt | CMExit
pt | WMContextMenu
pt | WMEraseBkgnd
pt | WMNotify
pt | WMSetFocus
pt | WMKillFocus
pt | WMShowWindow
pt | WMEnter
pt | WMExit
pt | WMKeyDown
pt | WMSysKeyDown
pt | WMKeyUp
pt | WMSysKeyUp
pt | WMChar
pt | WMSysChar
pt | WMPaint
pt | WMDestroy
pt | WMMove
pt | WMSize
pt | WMWindowPosChanged
pt | CNKeyDown
pt | CNSysKeyDown
pt | CNKeyUp
pt | CNSysKeyUp
pt | CNChar
pt | DoDragMsg
pt | DoDockClientMsg
pt | DoUndockClientMsg
pt | DoAddDockClient
pt | DockOver
pt | DoDockOver
pt | DoRemoveDockClient
pt | DoUnDock
pt | GetSiteInfo
pt | GetParentHandle
pt | GetTopParentHandle
pt | ReloadDockedControl
pt | CreateDockManager
pt | SetDockManager
pt | DoFloatMsg
pt | DoGetDockCaption
pt | DoEnter
pt | DoExit
pt | DoKeyDownBeforeInterface
pt | DoRemainingKeyDown
pt | DoRemainingKeyUp
pt | DoKeyPress
pt | DoUTF8KeyPress
pt | DoKeyUpBeforeInterface
pt | ChildKey
pt | SendDialogChar
pt | DialogChar
pt | ControlKeyDown
pt | ControlKeyUp
pt | KeyDown
pt | KeyDownBeforeInterface
pt | KeyDownAfterInterface
pt | KeyPress
pt | KeyUp
pt | KeyUpBeforeInterface
pt | KeyUpAfterInterface
pt | UTF8KeyPress
pt | FindNextControl
pt | SelectFirst
pt | RealGetText
pt | GetBorderStyle
pt | GetClientOrigin
pt | GetClientRect
pt | GetControlOrigin
pt | GetDeviceContext
pt | GetParentBackground
pt | IsControlMouseMsg
pt | CreateHandle
pt | CreateParams
pt | CreateWnd
pt | DestroyHandle
pt | DestroyWnd
pt | DoFlipChildren
pt | FinalizeWnd
pt | FixupTabList
pt | FontChanged
pt | InitializeWnd
pt | Loaded
pt | FormEndUpdated
pt | MainWndProc
pt | ParentFormHandleInitialized
pt | ChildHandlesCreated
pt | GetMouseCapture
pt | RealSetText
pt | RemoveFocus
pt | SendMoveSizeMessages
pt | SetBorderStyle
pt | SetColor
pt | SetChildZPosition
pt | SetParentBackground
pt | ShowControl
pt | UpdateControlState
pt | UpdateShowing
pt | WndProc
pt | WSSetText
 | AutoSizePhases
 | AutoSizeDelayed
 | AutoSizeDelayedReport
 | AutoSizeDelayedHandle
 | BeginUpdateBounds
 | EndUpdateBounds
 | LockRealizeBounds
 | UnlockRealizeBounds
 | ControlAtPos
 | ContainsControl
 | DoAdjustClientRectChange
 | InvalidateClientRectCache
 | ClientRectNeedsInterfaceUpdate
 | SetBounds
 | GetChildrenRect
 | DisableAlign
 | EnableAlign
 | ReAlign
 | ScrollBy_WS
 | ScrollBy
 | WriteLayoutDebugReport
 | AutoAdjustLayout
 | Create
 | CreateParented
 | CreateParentedControl
 | Destroy
 | DockDrop
 | CanFocus
 | CanSetFocus
 | GetControlIndex
 | SetControlIndex
 | Focused
 | PerformTab
 | FindChildControl
 | SelectNext
 | SetTempCursor
 | BroadCast
 | NotifyControls
 | DefaultHandler
 | GetTextLen
 | Invalidate
 | AddControl
 | InsertControl
 | RemoveControl
 | GetEnumeratorControls
 | GetEnumeratorControlsReverse
 | Repaint
 | Update
 | SetFocus
 | FlipChildren
 | ScaleBy
 | GetDockCaption
 | UpdateDockCaption
 | GetTabOrderList
 | HandleAllocated
 | ParentHandlesAllocated
 | HandleNeeded
 | BrushCreated
 | EraseBackground
 | IntfUTF8KeyPress
 | IntfGetDropFilesTarget
 | PaintTo
 | SetShape
TControl
pt | WSRegisterClass
pt | GetCursor
pt | SetCursor
pt | SetVisible
pt | DoOnParentHandleDestruction
pt | DoAutoSize
pt | DoAllAutoSize
pt | BeginAutoSizing
pt | EndAutoSizing
pt | AnchorSideChanged
pt | ForeignAnchorSideChanged
pt | SetAlign
pt | SetAnchors
pt | SetAutoSize
pt | BoundsChanged
pt | CreateControlBorderSpacing
pt | DoConstraintsChange
pt | DoBorderSpacingChange
pt | IsBorderSpacingInnerBorderStored
pt | IsCaptionStored
pt | SendMoveSizeMessages
pt | ConstrainedResize
pt | CalculatePreferredSize
pt | DoOnResize
pt | DoOnChangeBounds
pt | CheckOnChangeBounds
pt | Resize
pt | RequestAlign
pt | UpdateAnchorRules
pt | ChangeBounds
pt | DoSetBounds
pt | ScaleConstraints
pt | ChangeScale
pt | CanAutoSize
pt | SetBiDiMode
pt | SetParentBiDiMode
pt | IsAParentAligning
pt | GetClientOrigin
pt | GetClientRect
pt | GetLogicalClientRect
pt | GetScrolledClientRect
pt | GetClientScrollOffset
pt | GetControlOrigin
pt | IsClientHeightStored
pt | IsClientWidthStored
pt | WidthIsAnchored
pt | HeightIsAnchored
pt | WMCancelMode
pt | WMContextMenu
pt | WMLButtonDown
pt | WMRButtonDown
pt | WMMButtonDown
pt | WMXButtonDown
pt | WMLButtonDBLCLK
pt | WMRButtonDBLCLK
pt | WMMButtonDBLCLK
pt | WMXButtonDBLCLK
pt | WMLButtonTripleCLK
pt | WMRButtonTripleCLK
pt | WMMButtonTripleCLK
pt | WMXButtonTripleCLK
pt | WMLButtonQuadCLK
pt | WMRButtonQuadCLK
pt | WMMButtonQuadCLK
pt | WMXButtonQuadCLK
pt | WMMouseMove
pt | WMLButtonUp
pt | WMRButtonUp
pt | WMMButtonUp
pt | WMXButtonUp
pt | WMMouseWheel
pt | WMMouseHWheel
pt | WMMove
pt | WMSize
pt | WMWindowPosChanged
pt | CMChanged
pt | LMCaptureChanged
pt | CMBiDiModeChanged
pt | CMSysFontChanged
pt | CMEnabledChanged
pt | CMHitTest
pt | CMMouseEnter
pt | CMMouseLeave
pt | CMHintShow
pt | CMParentBiDiModeChanged
pt | CMParentColorChanged
pt | CMParentFontChanged
pt | CMParentShowHintChanged
pt | CMVisibleChanged
pt | CMTextChanged
pt | CMCursorChanged
pt | CalculateDockSizes
pt | CreateFloatingDockSite
pt | GetDockEdge
pt | GetDragImages
pt | GetFloating
pt | GetFloatingDockSiteClass
pt | BeforeDragStart
pt | BeginAutoDrag
pt | DoFloatMsg
pt | DockTrackNoTarget
pt | DoDock
pt | DoDragMsg
pt | DoEndDock
pt | DoEndDrag
pt | DoStartDock
pt | DoStartDrag
pt | DragCanceled
pt | DragOver
pt | PositionDockRect
pt | SetDragMode
pt | GetDefaultDockCaption
pt | Click
pt | DblClick
pt | TripleClick
pt | QuadClick
pt | GetMousePosFromMessage
pt | MouseDown
pt | MouseMove
pt | MouseUp
pt | MouseEnter
pt | MouseLeave
pt | DialogChar
pt | UpdateMouseCursor
pt | Changed
pt | GetPalette
pt | ChildClassAllowed
pt | ReadState
pt | Loaded
pt | LoadedAll
pt | DefineProperties
pt | AssignTo
pt | FormEndUpdated
pt | InvalidateControl
pt | FontChanged
pt | ParentFontChanged
pt | GetAction
pt | RealGetText
pt | RealSetText
pt | TextChanged
pt | GetCachedText
pt | SetAction
pt | SetColor
pt | SetEnabled
pt | SetHint
pt | SetName
pt | SetParent
pt | SetParentComponent
pt | WndProc
pt | ParentFormHandleInitialized
pt | GetMouseCapture
pt | CaptureChanged
pt | Notification
pt | CanTab
pt | GetDeviceContext
pt | GetEnabled
pt | GetPopupMenu
pt | DoOnShowHint
pt | DoMouseWheel
pt | DoMouseWheelDown
pt | DoMouseWheelUp
pt | DoMouseWheelHorz
pt | DoMouseWheelLeft
pt | DoMouseWheelRight
pt | VisibleChanging
pt | VisibleChanged
pt | EnabledChanging
pt | EnabledChanged
pt | AddHandler
pt | RemoveHandler
pt | DoCallNotifyHandler
pt | DoCallKeyEventHandler
pt | DoCallMouseWheelEventHandler
pt | DoContextPopup
pt | SetZOrder
pt | GetControlClassDefaultSize
pt | ColorIsStored
pt | DoAutoAdjustLayout
pt | DoFixDesignFontPPI
pt | DoScaleFontPPI
pt | GetActionLinkClass
pt | ActionChange
 | DragDrop
 | Dock
 | ManualDock
 | ManualFloat
 | ReplaceDockedControl
 | Docked
 | Dragging
 | GetAccessibleObject
 | CreateAccessibleObject
 | GetSelectedChildAccessibleObject
 | GetChildAccessibleObjectAtPos
 | ScaleDesignToForm
 | ScaleFormToDesign
 | Scale96ToForm
 | ScaleFormTo96
 | Scale96ToFont
 | ScaleFontTo96
 | ScaleScreenToFont
 | ScaleFontToScreen
 | Scale96ToScreen
 | ScaleScreenTo96
 | AdjustSize
 | AutoSizePhases
 | AutoSizeDelayed
 | AutoSizeDelayedReport
 | AutoSizeDelayedHandle
 | AnchorToNeighbour
 | AnchorParallel
 | AnchorHorizontalCenterTo
 | AnchorVerticalCenterTo
 | AnchorToCompanion
 | AnchorSame
 | AnchorAsAlign
 | AnchorClient
 | AnchoredControlCount
 | SetBounds
 | SetInitialBounds
 | SetBoundsKeepBase
 | GetPreferredSize
 | GetCanvasScaleFactor
 | GetDefaultWidth
 | GetDefaultHeight
 | GetDefaultColor
 | GetColorResolvingParent
 | GetRGBColorResolvingParent
 | GetSidePosition
 | CNPreferredSizeChanged
 | InvalidatePreferredSize
 | GetAnchorsDependingOnParent
 | DisableAutoSizing
 | EnableAutoSizing
 | UpdateBaseBounds
 | WriteLayoutDebugReport
 | AutoAdjustLayout
 | ShouldAutoAdjust
 | FixDesignFontsPPI
 | ScaleFontsPPI
 | Create
 | Destroy
 | BeforeDestruction
 | EditingDone
 | ExecuteDefaultAction
 | ExecuteCancelAction
 | BeginDrag
 | EndDrag
 | BringToFront
 | HasParent
 | GetParentComponent
 | IsParentOf
 | GetTopParent
 | IsVisible
 | IsControlVisible
 | IsEnabled
 | IsParentColor
 | IsParentFont
 | FormIsUpdating
 | IsProcessingPaintMsg
 | Hide
 | Refresh
 | Repaint
 | Invalidate
 | CheckChildClassAllowed
 | CheckNewParent
 | SendToBack
 | SetTempCursor
 | UpdateRolesForForm
 | ActiveDefaultControlChanged
 | GetTextBuf
 | GetTextLen
 | SetTextBuf
 | Perform
 | ScreenToClient
 | ClientToScreen
 | ScreenToControl
 | ControlToScreen
 | ClientToParent
 | ParentToClient
 | GetChildrenRect
 | Show
 | Update
 | HandleObjectShouldBeVisible
 | ParentDestroyingHandle
 | ParentHandlesAllocated
 | InitiateAction
 | ShowHelp
 | HasHelp
 | RemoveAllHandlersOfObject
 | AddHandlerOnResize
 | RemoveHandlerOnResize
 | AddHandlerOnChangeBounds
 | RemoveHandlerOnChangeBounds
 | AddHandlerOnVisibleChanging
 | RemoveHandlerOnVisibleChanging
 | AddHandlerOnVisibleChanged
 | RemoveHandlerOnVisibleChanged
 | AddHandlerOnEnabledChanged
 | RemoveHandlerOnEnableChanging
 | AddHandlerOnKeyDown
 | RemoveHandlerOnKeyDown
 | AddHandlerOnBeforeDestruction
 | RemoveHandlerOnBeforeDestruction
 | AddHandlerOnMouseWheel
 | RemoveHandlerOnMouseWheel
 | UseRightToLeftAlignment
 | UseRightToLeftReading
 | UseRightToLeftScrollBar
 | IsRightToLeft
TLCLComponent
pt | WSRegisterClass
pt | GetWSComponentClass
 | Create
 | Destroy
 | NewInstance
 | RemoveAllHandlersOfObject
 | IncLCLRefCount
 | DecLCLRefCount
TComponent
 | GetComObject
 | GetComponent
 | GetComponentCount
 | GetComponentIndex
 | Insert
 | ReadLeft
 | ReadTop
 | Remove
 | RemoveNotification
 | SetComponentIndex
 | SetReference
 | WriteLeft
 | WriteTop
 | ChangeName
 | DefineProperties
 | GetChildren
 | GetChildOwner
 | GetChildParent
 | GetOwner
 | Loaded
 | Loading
 | Notification
 | PaletteCreated
 | ReadState
 | SetAncestor
 | SetDesigning
 | SetDesignInstance
 | SetInline
 | SetName
 | SetChildOrder
 | SetParentComponent
 | Updating
 | Updated
 | UpdateRegistry
 | ValidateRename
 | ValidateContainer
 | ValidateInsert
 | QueryInterface
 | _AddRef
 | _Release
 | iicrGetComponent
 | GetTypeInfoCount
 | GetTypeInfo
 | GetIDsOfNames
 | Invoke
 | WriteState
 | Create
 | Destroy
 | BeforeDestruction
 | DestroyComponents
 | Destroying
 | ExecuteAction
 | FindComponent
 | FreeNotification
 | RemoveFreeNotification
 | FreeOnRelease
 | GetEnumerator
 | GetNamePath
 | GetParentComponent
 | HasParent
 | InsertComponent
 | RemoveComponent
 | SafeCallException
 | SetSubComponent
 | UpdateAction
 | IsImplementorOf
 | ReferenceInterface
TPersistent
 | AssignError
 | AssignTo
 | DefineProperties
 | GetOwner
 | Destroy
 | Assign
 | FPOAttachObserver
 | FPODetachObserver
 | FPONotifyObservers
 | GetNamePath
TObject
 | Create
 | Destroy
 | newinstance
 | FreeInstance
 | SafeCallException
 | DefaultHandler
 | Free
 | InitInstance
 | CleanupInstance
 | ClassType
 | ClassInfo
 | ClassName
 | ClassNameIs
 | ClassParent
 | InstanceSize
 | InheritsFrom
 | StringMessageTable
 | MethodAddress
 | MethodName
 | FieldAddress
 | AfterConstruction
 | BeforeDestruction
 | DefaultHandlerStr
 | Dispatch
 | DispatchStr
 | GetInterface
 | GetInterfaceByStr
 | GetInterfaceWeak
 | GetInterfaceEntry
 | GetInterfaceEntryByStr
 | GetInterfaceTable
 | UnitName
 | Equals
 | GetHashCode
 | ToString


pt | ActionChange (TControl)
 | ActiveDefaultControlChanged (TControl)
 | AddControl (TWinControl)
pt | AddHandler (TControl)
 | AddHandlerOnBeforeDestruction (TControl)
 | AddHandlerOnChange (TCustomEdit)
 | AddHandlerOnChangeBounds (TControl)
 | AddHandlerOnEnabledChanged (TControl)
 | AddHandlerOnKeyDown (TControl)
 | AddHandlerOnMouseWheel (TControl)
 | AddHandlerOnResize (TControl)
 | AddHandlerOnVisibleChanged (TControl)
 | AddHandlerOnVisibleChanging (TControl)
pt | AdjustClientRect (TWinControl)
 | AdjustSize (TControl)
 | AfterConstruction (TObject)
pt | AlignControls (TWinControl)
pt | AllAutoSized (TWinControl)
 | AnchorAsAlign (TControl)
 | AnchorClient (TControl)
 | AnchoredControlCount (TControl)
 | AnchorHorizontalCenterTo (TControl)
 | AnchorParallel (TControl)
 | AnchorSame (TControl)
pt | AnchorSideChanged (TControl)
 | AnchorToCompanion (TControl)
 | AnchorToNeighbour (TControl)
 | AnchorVerticalCenterTo (TControl)
pt | ApplyMaskToText (TCustomMaskEdit)
 | Assign (TPersistent)
 | AssignError (TPersistent)
 | AssignTo (TPersistent)
pt | AssignTo (TControl)
 | AutoAdjustLayout (TControl)
 | AutoAdjustLayout (TWinControl)
 | AutoSizeDelayed (TControl)
 | AutoSizeDelayed (TWinControl)
 | AutoSizeDelayedHandle (TControl)
 | AutoSizeDelayedHandle (TWinControl)
 | AutoSizeDelayedReport (TControl)
 | AutoSizeDelayedReport (TWinControl)
 | AutoSizePhases (TControl)
 | AutoSizePhases (TWinControl)
 | BeforeDestruction (TObject)
 | BeforeDestruction (TComponent)
 | BeforeDestruction (TControl)
pt | BeforeDragStart (TControl)
pt | BeginAutoDrag (TControl)
pt | BeginAutoSizing (TControl)
 | BeginDrag (TControl)
 | BeginUpdateBounds (TWinControl)
pt | BoundsChanged (TControl)
 | BringToFront (TControl)
 | BroadCast (TWinControl)
 | BrushCreated (TWinControl)
pt | CalculateDockSizes (TControl)
pt | CalculatePreferredSize (TControl)
pt | CalculatePreferredSize (TWinControl)
pt | CalculatePreferredSize (TCustomEdit)
pt | CanAutoSize (TControl)
 | CanFocus (TWinControl)
 | CanSetFocus (TWinControl)
pt | CanShowEmulatedTextHint (TCustomEdit)
pt | CanShowEmulatedTextHint (TCustomMaskEdit)
pt | CanTab (TControl)
pt | CanTab (TWinControl)
pt | CaptureChanged (TControl)
pt | Change (TCustomEdit)
pt | Change (TCustomMaskEdit)
pt | Change (TDBEdit)
pt | ChangeBounds (TControl)
pt | Changed (TControl)
 | ChangeName (TComponent)
pt | ChangeScale (TControl)
pt | ChangeScale (TWinControl)
 | CheckChildClassAllowed (TControl)
pt | CheckCursor (TCustomMaskEdit)
 | CheckNewParent (TControl)
pt | CheckOnChangeBounds (TControl)
pt | ChildClassAllowed (TControl)
pt | ChildClassAllowed (TWinControl)
pt | ChildClassAllowed (TCustomEdit)
pt | ChildHandlesCreated (TWinControl)
pt | ChildKey (TWinControl)
 | ClassInfo (TObject)
 | ClassName (TObject)
 | ClassNameIs (TObject)
 | ClassParent (TObject)
 | ClassType (TObject)
 | CleanupInstance (TObject)
 | Clear (TCustomEdit)
 | Clear (TCustomMaskEdit)
 | ClearSelection (TCustomEdit)
pt | Click (TControl)
 | ClientRectNeedsInterfaceUpdate (TWinControl)
 | ClientToParent (TControl)
 | ClientToScreen (TControl)
pt | CMBiDiModeChanged (TControl)
pt | CMBiDiModeChanged (TWinControl)
pt | CMBorderChanged (TWinControl)
pt | CMChanged (TControl)
pt | CMCursorChanged (TControl)
pt | CMDoubleBufferedChanged (TWinControl)
pt | CMEnabledChanged (TControl)
pt | CMEnabledChanged (TWinControl)
pt | CMEnter (TWinControl)
pt | CMExit (TWinControl)
pt | CMHintShow (TControl)
pt | CMHitTest (TControl)
pt | CMMouseEnter (TControl)
pt | CMMouseLeave (TControl)
pt | CMParentBiDiModeChanged (TControl)
pt | CMParentColorChanged (TControl)
pt | CMParentDoubleBufferedChanged (TWinControl)
pt | CMParentFontChanged (TControl)
pt | CMParentShowHintChanged (TControl)
pt | CMShowHintChanged (TWinControl)
pt | CMShowingChanged (TWinControl)
pt | CMSysFontChanged (TControl)
pt | CMTextChanged (TControl)
pt | CMVisibleChanged (TControl)
pt | CMVisibleChanged (TWinControl)
pt | CMWantSpecialKey (TCustomEdit)
pt | CNChar (TWinControl)
pt | CNKeyDown (TWinControl)
pt | CNKeyUp (TWinControl)
 | CNPreferredSizeChanged (TControl)
pt | CNSysKeyDown (TWinControl)
pt | CNSysKeyUp (TWinControl)
pt | ColorIsStored (TControl)
pt | ConstrainedResize (TControl)
 | ContainsControl (TWinControl)
 | ControlAtPos (TWinControl)
pt | ControlKeyDown (TWinControl)
pt | ControlKeyUp (TWinControl)
pt | ControlsAligned (TWinControl)
 | ControlToScreen (TControl)
 | CopyToClipboard (TCustomEdit)
 | Create (TObject)
 | Create (TComponent)
 | Create (TLCLComponent)
 | Create (TControl)
 | Create (TWinControl)
 | Create (TCustomEdit)
 | Create (TCustomMaskEdit)
 | Create (TDBEdit)
 | CreateAccessibleObject (TControl)
pt | CreateBrush (TWinControl)
pt | CreateControlBorderSpacing (TControl)
pt | CreateDockManager (TWinControl)
pt | CreateEmulatedTextHintFont (TCustomEdit)
pt | CreateFloatingDockSite (TControl)
pt | CreateHandle (TWinControl)
pt | CreateParams (TWinControl)
pt | CreateParams (TCustomEdit)
 | CreateParented (TWinControl)
 | CreateParentedControl (TWinControl)
pt | CreateSubClass (TWinControl)
pt | CreateWnd (TWinControl)
pt | CustomAlignInsertBefore (TWinControl)
pt | CustomAlignPosition (TWinControl)
 | CutToClipboard (TCustomEdit)
 | CutToClipBoard (TCustomMaskEdit)
pt | DblClick (TControl)
 | DecLCLRefCount (TLCLComponent)
 | DefaultHandler (TObject)
 | DefaultHandler (TWinControl)
 | DefaultHandlerStr (TObject)
 | DefineProperties (TPersistent)
 | DefineProperties (TComponent)
pt | DefineProperties (TControl)
 | Destroy (TObject)
 | Destroy (TPersistent)
 | Destroy (TComponent)
 | Destroy (TLCLComponent)
 | Destroy (TControl)
 | Destroy (TWinControl)
 | Destroy (TCustomEdit)
 | Destroy (TDBEdit)
 | DestroyComponents (TComponent)
pt | DestroyHandle (TWinControl)
 | Destroying (TComponent)
pt | DestroyWnd (TWinControl)
pt | DialogChar (TControl)
pt | DialogChar (TWinControl)
 | DisableAlign (TWinControl)
 | DisableAutoSizing (TControl)
pt | DisableMask (TCustomMaskEdit)
 | Dispatch (TObject)
 | DispatchStr (TObject)
pt | DoAddDockClient (TWinControl)
 | DoAdjustClientRectChange (TWinControl)
pt | DoAlignChildControls (TWinControl)
pt | DoAllAutoSize (TControl)
pt | DoAllAutoSize (TWinControl)
pt | DoAutoAdjustLayout (TControl)
pt | DoAutoSize (TControl)
pt | DoAutoSize (TWinControl)
pt | DoBorderSpacingChange (TControl)
pt | DoCallKeyEventHandler (TControl)
pt | DoCallMouseWheelEventHandler (TControl)
pt | DoCallNotifyHandler (TControl)
pt | DoChildSizingChange (TWinControl)
 | Dock (TControl)
 | DockDrop (TWinControl)
 | Docked (TControl)
pt | DockOver (TWinControl)
pt | DockTrackNoTarget (TControl)
pt | DoConstraintsChange (TControl)
pt | DoConstraintsChange (TWinControl)
pt | DoContextPopup (TControl)
pt | DoDock (TControl)
pt | DoDockClientMsg (TWinControl)
pt | DoDockOver (TWinControl)
pt | DoDragMsg (TControl)
pt | DoDragMsg (TWinControl)
pt | DoEndDock (TControl)
pt | DoEndDrag (TControl)
pt | DoEnter (TWinControl)
pt | DoEnter (TCustomEdit)
pt | DoEnter (TCustomMaskEdit)
pt | DoExit (TWinControl)
pt | DoExit (TCustomEdit)
pt | DoExit (TCustomMaskEdit)
pt | DoFixDesignFontPPI (TControl)
pt | DoFlipChildren (TWinControl)
pt | DoFloatMsg (TControl)
pt | DoFloatMsg (TWinControl)
pt | DoGetDockCaption (TWinControl)
pt | DoKeyDownBeforeInterface (TWinControl)
pt | DoKeyPress (TWinControl)
pt | DoKeyUpBeforeInterface (TWinControl)
pt | DoMouseWheel (TControl)
pt | DoMouseWheelDown (TControl)
pt | DoMouseWheelHorz (TControl)
pt | DoMouseWheelLeft (TControl)
pt | DoMouseWheelRight (TControl)
pt | DoMouseWheelUp (TControl)
pt | DoOnChangeBounds (TControl)
pt | DoOnParentHandleDestruction (TControl)
pt | DoOnResize (TControl)
pt | DoOnShowHint (TControl)
pt | DoRemainingKeyDown (TWinControl)
pt | DoRemainingKeyUp (TWinControl)
pt | DoRemoveDockClient (TWinControl)
pt | DoScaleFontPPI (TControl)
pt | DoSendBoundsToInterface (TWinControl)
pt | DoSendShowHideToInterface (TWinControl)
pt | DoSetBounds (TControl)
pt | DoSetBounds (TWinControl)
pt | DoStartDock (TControl)
pt | DoStartDrag (TControl)
pt | DoUnDock (TWinControl)
pt | DoUndockClientMsg (TWinControl)
pt | DoUTF8KeyPress (TWinControl)
pt | DragCanceled (TControl)
 | DragDrop (TControl)
 | Dragging (TControl)
pt | DragOver (TControl)
pt | EditCanModify (TCustomMaskEdit)
pt | EditCanModify (TDBEdit)
 | EditingDone (TControl)
pt | EditingDone (TCustomEdit)
 | EnableAlign (TWinControl)
 | EnableAutoSizing (TControl)
pt | EnabledChanged (TControl)
pt | EnabledChanging (TControl)
pt | EndAutoSizing (TControl)
 | EndDrag (TControl)
 | EndUpdateBounds (TWinControl)
 | Equals (TObject)
 | EraseBackground (TWinControl)
 | ExecuteAction (TComponent)
 | ExecuteAction (TDBEdit)
 | ExecuteCancelAction (TControl)
 | ExecuteDefaultAction (TControl)
 | FieldAddress (TObject)
pt | FinalizeWnd (TWinControl)
 | FindChildControl (TWinControl)
 | FindComponent (TComponent)
pt | FindNextControl (TWinControl)
 | FixDesignFontsPPI (TControl)
pt | FixupTabList (TWinControl)
 | FlipChildren (TWinControl)
 | Focused (TWinControl)
pt | FontChanged (TControl)
pt | FontChanged (TWinControl)
pt | FontChanged (TCustomEdit)
pt | ForeignAnchorSideChanged (TControl)
pt | FormEndUpdated (TControl)
pt | FormEndUpdated (TWinControl)
 | FormIsUpdating (TControl)
 | FPOAttachObserver (TPersistent)
 | FPODetachObserver (TPersistent)
 | FPONotifyObservers (TPersistent)
 | Free (TObject)
 | FreeInstance (TObject)
 | FreeNotification (TComponent)
 | FreeOnRelease (TComponent)
 | GetAccessibleObject (TControl)
pt | GetAction (TControl)
pt | GetActionLinkClass (TControl)
pt | GetAdjustedLogicalClientRect (TWinControl)
 | GetAnchorsDependingOnParent (TControl)
pt | GetBorderStyle (TWinControl)
pt | GetCachedText (TControl)
 | GetCanvasScaleFactor (TControl)
pt | GetCaretPos (TCustomEdit)
pt | GetCharCase (TCustomMaskEdit)
 | GetChildAccessibleObjectAtPos (TControl)
 | GetChildOwner (TComponent)
 | GetChildParent (TComponent)
 | GetChildren (TComponent)
pt | GetChildren (TWinControl)
 | GetChildrenRect (TControl)
 | GetChildrenRect (TWinControl)
pt | GetClientOrigin (TControl)
pt | GetClientOrigin (TWinControl)
pt | GetClientRect (TControl)
pt | GetClientRect (TWinControl)
pt | GetClientScrollOffset (TControl)
 | GetColorResolvingParent (TControl)
 | GetComObject (TComponent)
 | GetComponent (TComponent)
 | GetComponentCount (TComponent)
 | GetComponentIndex (TComponent)
pt | GetControlClassDefaultSize (TControl)
pt | GetControlClassDefaultSize (TCustomEdit)
 | GetControlIndex (TWinControl)
pt | GetControlOrigin (TControl)
pt | GetControlOrigin (TWinControl)
pt | GetCursor (TControl)
 | GetDefaultColor (TControl)
pt | GetDefaultDockCaption (TControl)
 | GetDefaultHeight (TControl)
 | GetDefaultWidth (TControl)
pt | GetDeviceContext (TControl)
pt | GetDeviceContext (TWinControl)
 | GetDockCaption (TWinControl)
pt | GetDockEdge (TControl)
pt | GetDragImages (TControl)
pt | GetEditText (TCustomMaskEdit)
pt | GetEditText (TDBEdit)
pt | GetEnabled (TControl)
 | GetEnumerator (TComponent)
 | GetEnumeratorControls (TWinControl)
 | GetEnumeratorControlsReverse (TWinControl)
pt | GetFloating (TControl)
pt | GetFloatingDockSiteClass (TControl)
 | GetHashCode (TObject)
 | GetIDsOfNames (TComponent)
 | GetInterface (TObject)
 | GetInterfaceByStr (TObject)
 | GetInterfaceEntry (TObject)
 | GetInterfaceEntryByStr (TObject)
 | GetInterfaceTable (TObject)
 | GetInterfaceWeak (TObject)
pt | GetLogicalClientRect (TControl)
pt | GetMaxLength (TCustomMaskEdit)
pt | GetMouseCapture (TControl)
pt | GetMouseCapture (TWinControl)
pt | GetMousePosFromMessage (TControl)
 | GetNamePath (TPersistent)
 | GetNamePath (TComponent)
pt | GetNumbersOnly (TCustomEdit)
 | GetOwner (TPersistent)
 | GetOwner (TComponent)
pt | GetPalette (TControl)
pt | GetParentBackground (TWinControl)
 | GetParentComponent (TComponent)
 | GetParentComponent (TControl)
pt | GetParentHandle (TWinControl)
pt | GetPopupMenu (TControl)
 | GetPreferredSize (TControl)
pt | GetPreferredSizeClientFrame (TWinControl)
pt | GetReadOnly (TCustomEdit)
pt | GetReadOnly (TDBEdit)
 | GetRGBColorResolvingParent (TControl)
pt | GetScrolledClientRect (TControl)
pt | GetSel (TCustomMaskEdit)
 | GetSelectedChildAccessibleObject (TControl)
pt | GetSelLength (TCustomEdit)
pt | GetSelStart (TCustomEdit)
pt | GetSelText (TCustomEdit)
 | GetSidePosition (TControl)
pt | GetSiteInfo (TWinControl)
 | GetTabOrderList (TWinControl)
 | GetTextBuf (TControl)
pt | GetTextHint (TCustomEdit)
 | GetTextLen (TControl)
 | GetTextLen (TWinControl)
pt | GetTextWithoutMask (TCustomMaskEdit)
pt | GetTextWithoutSpaceChar (TCustomMaskEdit)
 | GetTopParent (TControl)
pt | GetTopParentHandle (TWinControl)
 | GetTypeInfo (TComponent)
 | GetTypeInfoCount (TComponent)
pt | GetWSComponentClass (TLCLComponent)
 | HandleAllocated (TWinControl)
pt | HandleKeyPress (TCustomMaskEdit)
 | HandleNeeded (TWinControl)
 | HandleObjectShouldBeVisible (TControl)
 | HasHelp (TControl)
 | HasParent (TComponent)
 | HasParent (TControl)
pt | HeightIsAnchored (TControl)
 | Hide (TControl)
 | iicrGetComponent (TComponent)
 | IncLCLRefCount (TLCLComponent)
 | InheritsFrom (TObject)
pt | InitializeWnd (TWinControl)
pt | InitializeWnd (TCustomEdit)
 | InitiateAction (TControl)
 | InitInstance (TObject)
 | Insert (TComponent)
 | InsertComponent (TComponent)
 | InsertControl (TWinControl)
 | InstanceSize (TObject)
 | IntfGetDropFilesTarget (TWinControl)
 | IntfUTF8KeyPress (TWinControl)
 | Invalidate (TControl)
 | Invalidate (TWinControl)
pt | InvalidateBoundsRealized (TWinControl)
 | InvalidateClientRectCache (TWinControl)
pt | InvalidateControl (TControl)
pt | InvalidatePreferredChildSizes (TWinControl)
 | InvalidatePreferredSize (TControl)
 | Invoke (TComponent)
pt | IsAParentAligning (TControl)
pt | IsBorderSpacingInnerBorderStored (TControl)
pt | IsCaptionStored (TControl)
pt | IsClientHeightStored (TControl)
pt | IsClientHeightStored (TWinControl)
pt | IsClientWidthStored (TControl)
pt | IsClientWidthStored (TWinControl)
pt | IsControlMouseMsg (TWinControl)
 | IsControlVisible (TControl)
 | IsEnabled (TControl)
 | IsImplementorOf (TComponent)
 | IsParentColor (TControl)
 | IsParentFont (TControl)
 | IsParentOf (TControl)
 | IsProcessingPaintMsg (TControl)
 | IsRightToLeft (TControl)
 | IsVisible (TControl)
pt | KeyDown (TWinControl)
pt | KeyDown (TCustomMaskEdit)
pt | KeyDown (TDBEdit)
pt | KeyDownAfterInterface (TWinControl)
pt | KeyDownBeforeInterface (TWinControl)
pt | KeyPress (TWinControl)
pt | KeyPress (TCustomMaskEdit)
pt | KeyUp (TWinControl)
pt | KeyUpAfterInterface (TWinControl)
pt | KeyUpAfterInterface (TCustomEdit)
pt | KeyUpBeforeInterface (TWinControl)
pt | LMCaptureChanged (TControl)
pt | LMClearSel (TCustomMaskEdit)
pt | LMCutToClip (TCustomMaskEdit)
pt | LMPasteFromClip (TCustomMaskEdit)
 | Loaded (TComponent)
pt | Loaded (TControl)
pt | Loaded (TWinControl)
pt | Loaded (TCustomMaskEdit)
pt | LoadedAll (TControl)
 | Loading (TComponent)
 | LockRealizeBounds (TWinControl)
pt | MainWndProc (TWinControl)
 | ManualDock (TControl)
 | ManualFloat (TControl)
 | MethodAddress (TObject)
 | MethodName (TObject)
pt | MouseDown (TControl)
pt | MouseEnter (TControl)
pt | MouseLeave (TControl)
pt | MouseMove (TControl)
pt | MouseUp (TControl)
pt | MouseUp (TCustomEdit)
pt | MouseUp (TCustomMaskEdit)
 | newinstance (TObject)
 | NewInstance (TLCLComponent)
 | Notification (TComponent)
pt | Notification (TControl)
pt | Notification (TDBEdit)
 | NotifyControls (TWinControl)
pt | PaintControls (TWinControl)
pt | PaintHandler (TWinControl)
 | PaintTo (TWinControl)
pt | PaintWindow (TWinControl)
 | PaletteCreated (TComponent)
 | ParentDestroyingHandle (TControl)
pt | ParentFontChanged (TControl)
pt | ParentFormHandleInitialized (TControl)
pt | ParentFormHandleInitialized (TWinControl)
 | ParentHandlesAllocated (TControl)
 | ParentHandlesAllocated (TWinControl)
 | ParentToClient (TControl)
 | PasteFromClipboard (TCustomEdit)
 | PasteFromClipBoard (TCustomMaskEdit)
 | Perform (TControl)
 | PerformTab (TWinControl)
pt | PositionDockRect (TControl)
pt | QuadClick (TControl)
 | QueryInterface (TComponent)
 | ReadLeft (TComponent)
 | ReadState (TComponent)
pt | ReadState (TControl)
 | ReadTop (TComponent)
pt | RealGetText (TControl)
pt | RealGetText (TWinControl)
pt | RealGetText (TCustomEdit)
pt | RealGetText (TCustomMaskEdit)
 | ReAlign (TWinControl)
pt | RealizeBounds (TWinControl)
pt | RealizeBoundsRecursive (TWinControl)
pt | RealSetText (TControl)
pt | RealSetText (TWinControl)
pt | RealSetText (TCustomEdit)
pt | RealSetText (TCustomMaskEdit)
 | ReferenceInterface (TComponent)
 | Refresh (TControl)
pt | ReloadDockedControl (TWinControl)
 | Remove (TComponent)
 | RemoveAllHandlersOfObject (TLCLComponent)
 | RemoveAllHandlersOfObject (TControl)
 | RemoveAllHandlersOfObject (TCustomEdit)
 | RemoveComponent (TComponent)
 | RemoveControl (TWinControl)
pt | RemoveFocus (TWinControl)
 | RemoveFreeNotification (TComponent)
pt | RemoveHandler (TControl)
 | RemoveHandlerOnBeforeDestruction (TControl)
 | RemoveHandlerOnChange (TCustomEdit)
 | RemoveHandlerOnChangeBounds (TControl)
 | RemoveHandlerOnEnableChanging (TControl)
 | RemoveHandlerOnKeyDown (TControl)
 | RemoveHandlerOnMouseWheel (TControl)
 | RemoveHandlerOnResize (TControl)
 | RemoveHandlerOnVisibleChanged (TControl)
 | RemoveHandlerOnVisibleChanging (TControl)
 | RemoveNotification (TComponent)
 | Repaint (TControl)
 | Repaint (TWinControl)
 | ReplaceDockedControl (TControl)
pt | RequestAlign (TControl)
pt | Reset (TCustomMaskEdit)
pt | Reset (TDBEdit)
pt | Resize (TControl)
pt | RestoreMask (TCustomMaskEdit)
 | SafeCallException (TObject)
 | SafeCallException (TComponent)
 | Scale96ToFont (TControl)
 | Scale96ToForm (TControl)
 | Scale96ToScreen (TControl)
 | ScaleBy (TWinControl)
pt | ScaleConstraints (TControl)
pt | ScaleControls (TWinControl)
 | ScaleDesignToForm (TControl)
 | ScaleFontsPPI (TControl)
 | ScaleFontTo96 (TControl)
 | ScaleFontToScreen (TControl)
 | ScaleFormTo96 (TControl)
 | ScaleFormToDesign (TControl)
 | ScaleScreenTo96 (TControl)
 | ScaleScreenToFont (TControl)
 | ScreenToClient (TControl)
 | ScreenToControl (TControl)
 | ScrollBy (TWinControl)
 | ScrollBy_WS (TWinControl)
 | SelectAll (TCustomEdit)
pt | SelectFirst (TWinControl)
 | SelectNext (TWinControl)
pt | SendDialogChar (TWinControl)
pt | SendMoveSizeMessages (TControl)
pt | SendMoveSizeMessages (TWinControl)
 | SendToBack (TControl)
pt | SetAction (TControl)
pt | SetAlign (TControl)
 | SetAncestor (TComponent)
pt | SetAnchors (TControl)
pt | SetAutoSize (TControl)
pt | SetBiDiMode (TControl)
pt | SetBorderStyle (TWinControl)
 | SetBounds (TControl)
 | SetBounds (TWinControl)
 | SetBoundsKeepBase (TControl)
pt | SetCaretPos (TCustomEdit)
pt | SetCharCase (TCustomMaskEdit)
 | SetChildOrder (TComponent)
pt | SetChildZPosition (TWinControl)
pt | SetColor (TControl)
pt | SetColor (TWinControl)
 | SetComponentIndex (TComponent)
 | SetControlIndex (TWinControl)
pt | SetCursor (TControl)
 | SetDesigning (TComponent)
 | SetDesignInstance (TComponent)
pt | SetDockManager (TWinControl)
pt | SetDragMode (TControl)
pt | SetEchoMode (TCustomEdit)
pt | SetEditText (TCustomMaskEdit)
pt | SetEnabled (TControl)
 | SetFocus (TWinControl)
pt | SetHint (TControl)
 | SetInitialBounds (TControl)
 | SetInline (TComponent)
pt | SetMaxLength (TCustomMaskEdit)
 | SetName (TComponent)
pt | SetName (TControl)
pt | SetNumbersOnly (TCustomEdit)
pt | SetNumbersOnly (TCustomMaskEdit)
pt | SetParent (TControl)
pt | SetParentBackground (TWinControl)
pt | SetParentBiDiMode (TControl)
 | SetParentComponent (TComponent)
pt | SetParentComponent (TControl)
pt | SetReadOnly (TCustomEdit)
pt | SetReadOnly (TDBEdit)
 | SetReference (TComponent)
pt | SetSel (TCustomMaskEdit)
pt | SetSelLength (TCustomEdit)
pt | SetSelStart (TCustomEdit)
pt | SetSelText (TCustomEdit)
 | SetShape (TWinControl)
 | SetSubComponent (TComponent)
 | SetTempCursor (TControl)
 | SetTempCursor (TWinControl)
pt | SetTextApplyMask (TCustomMaskEdit)
 | SetTextBuf (TControl)
pt | SetTextHint (TCustomEdit)
pt | SetVisible (TControl)
pt | SetZOrder (TControl)
 | ShouldAutoAdjust (TControl)
pt | ShouldAutoAdjust (TCustomEdit)
 | Show (TControl)
pt | ShowControl (TWinControl)
 | ShowHelp (TControl)
 | StringMessageTable (TObject)
pt | TextChanged (TControl)
pt | TextChanged (TCustomEdit)
pt | TextChanged (TCustomMaskEdit)
 | ToString (TObject)
pt | TripleClick (TControl)
 | Undo (TCustomEdit)
 | UnitName (TObject)
 | UnlockRealizeBounds (TWinControl)
 | Update (TControl)
 | Update (TWinControl)
 | UpdateAction (TComponent)
 | UpdateAction (TDBEdit)
pt | UpdateAnchorRules (TControl)
 | UpdateBaseBounds (TControl)
pt | UpdateControlState (TWinControl)
 | Updated (TComponent)
 | UpdateDockCaption (TWinControl)
pt | UpdateMouseCursor (TControl)
 | UpdateRegistry (TComponent)
 | UpdateRolesForForm (TControl)
pt | UpdateShowing (TWinControl)
 | Updating (TComponent)
 | UseRightToLeftAlignment (TControl)
 | UseRightToLeftReading (TControl)
 | UseRightToLeftScrollBar (TControl)
pt | UTF8KeyPress (TWinControl)
pt | Utf8KeyPress (TCustomMaskEdit)
pt | UTF8KeyPress (TDBEdit)
 | ValidateContainer (TComponent)
 | ValidateEdit (TCustomMaskEdit)
 | ValidateInsert (TComponent)
 | ValidateRename (TComponent)
pt | VisibleChanged (TControl)
pt | VisibleChanging (TControl)
pt | WidthIsAnchored (TControl)
pt | WMCancelMode (TControl)
pt | WMChar (TWinControl)
pt | WMChar (TCustomEdit)
pt | WMContextMenu (TControl)
pt | WMContextMenu (TWinControl)
pt | WMDestroy (TWinControl)
pt | WMEnter (TWinControl)
pt | WMEraseBkgnd (TWinControl)
pt | WMExit (TWinControl)
pt | WMKeyDown (TWinControl)
pt | WMKeyUp (TWinControl)
pt | WMKillFocus (TWinControl)
pt | WMKillFocus (TCustomEdit)
pt | WMKillFocus (TDBEdit)
pt | WMLButtonDBLCLK (TControl)
pt | WMLButtonDown (TControl)
pt | WMLButtonQuadCLK (TControl)
pt | WMLButtonTripleCLK (TControl)
pt | WMLButtonUp (TControl)
pt | WMMButtonDBLCLK (TControl)
pt | WMMButtonDown (TControl)
pt | WMMButtonQuadCLK (TControl)
pt | WMMButtonTripleCLK (TControl)
pt | WMMButtonUp (TControl)
pt | WMMouseHWheel (TControl)
pt | WMMouseMove (TControl)
pt | WMMouseWheel (TControl)
pt | WMMove (TControl)
pt | WMMove (TWinControl)
pt | WMNotify (TWinControl)
pt | WMPaint (TWinControl)
pt | WMRButtonDBLCLK (TControl)
pt | WMRButtonDown (TControl)
pt | WMRButtonQuadCLK (TControl)
pt | WMRButtonTripleCLK (TControl)
pt | WMRButtonUp (TControl)
pt | WMSetFocus (TWinControl)
pt | WMSetFocus (TCustomEdit)
pt | WMSetFocus (TDBEdit)
pt | WMShowWindow (TWinControl)
pt | WMSize (TControl)
pt | WMSize (TWinControl)
pt | WMSysChar (TWinControl)
pt | WMSysKeyDown (TWinControl)
pt | WMSysKeyUp (TWinControl)
pt | WMWindowPosChanged (TControl)
pt | WMWindowPosChanged (TWinControl)
pt | WMXButtonDBLCLK (TControl)
pt | WMXButtonDown (TControl)
pt | WMXButtonQuadCLK (TControl)
pt | WMXButtonTripleCLK (TControl)
pt | WMXButtonUp (TControl)
pt | WndProc (TControl)
pt | WndProc (TWinControl)
pt | WndProc (TCustomEdit)
pt | WndProc (TDBEdit)
 | WriteLayoutDebugReport (TControl)
 | WriteLayoutDebugReport (TWinControl)
 | WriteLeft (TComponent)
 | WriteState (TComponent)
 | WriteTop (TComponent)
pt | WSRegisterClass (TLCLComponent)
pt | WSRegisterClass (TControl)
pt | WSRegisterClass (TWinControl)
pt | WSRegisterClass (TCustomEdit)
pt | WSSetText (TWinControl)
 | _AddRef (TComponent)
 | _Release (TComponent)


TDBEdit
pl | ro | OnChange
pl | ro | OnClick
pl | ro | OnDblClick
pl | ro | OnDragDrop
pl | ro | OnDragOver
pl | ro | OnEditingDone
pl | ro | OnEndDrag
pl | ro | OnEnter
pl | ro | OnExit
pl | ro | OnKeyDown
pl | ro | OnKeyPress
pl | ro | OnKeyUp
pl | ro | OnMouseDown
pl | ro | OnMouseEnter
pl | ro | OnMouseLeave
pl | ro | OnMouseMove
pl | ro | OnMouseUp
pl | ro | OnMouseWheel
pl | ro | OnMouseWheelDown
pl | ro | OnMouseWheelUp
pl | ro | OnStartDrag
pl | ro | OnUTF8KeyPress
TCustomMaskEdit
TCustomEdit
 |  | OnChange
TWinControl
pt |  | OnGetSiteInfo
pt |  | OnGetDockCaption
 |  | OnAlignInsertBefore
 |  | OnAlignPosition
 |  | OnDockDrop
 |  | OnDockOver
 |  | OnEnter
 |  | OnExit
 |  | OnKeyDown
 |  | OnKeyPress
 |  | OnKeyUp
 |  | OnUnDock
 |  | OnUTF8KeyPress
TControl
pt |  | OnConstrainedResize
pt |  | OnContextPopup
pt |  | OnDblClick
pt |  | OnTripleClick
pt |  | OnQuadClick
pt |  | OnDragDrop
pt |  | OnDragOver
pt |  | OnEndDock
pt |  | OnEndDrag
pt |  | OnMouseDown
pt |  | OnMouseMove
pt |  | OnMouseUp
pt |  | OnMouseEnter
pt |  | OnMouseLeave
pt |  | OnMouseWheel
pt |  | OnMouseWheelDown
pt |  | OnMouseWheelUp
pt |  | OnMouseWheelHorz
pt |  | OnMouseWheelLeft
pt |  | OnMouseWheelRight
pt |  | OnStartDock
pt |  | OnStartDrag
pt |  | OnEditingDone
 |  | OnChangeBounds
 |  | OnClick
 |  | OnResize
 |  | OnShowHint
TLCLComponent
TComponent
TPersistent
TObject


pl | ro | OnChange (TDBEdit)
 |  | OnChangeBounds (TControl)
 |  | OnClick (TControl)
pl | ro | OnClick (TDBEdit)
pt |  | OnConstrainedResize (TControl)
pt |  | OnContextPopup (TControl)
pt |  | OnDblClick (TControl)
pl | ro | OnDblClick (TDBEdit)
 |  | OnDockDrop (TWinControl)
 |  | OnDockOver (TWinControl)
pt |  | OnDragDrop (TControl)
pl | ro | OnDragDrop (TDBEdit)
pt |  | OnDragOver (TControl)
pl | ro | OnDragOver (TDBEdit)
pt |  | OnEditingDone (TControl)
pl | ro | OnEditingDone (TDBEdit)
pt |  | OnEndDock (TControl)
pt |  | OnEndDrag (TControl)
pl | ro | OnEndDrag (TDBEdit)
 |  | OnEnter (TWinControl)
pl | ro | OnEnter (TDBEdit)
 |  | OnExit (TWinControl)
pl | ro | OnExit (TDBEdit)
pt |  | OnGetDockCaption (TWinControl)
pt |  | OnGetSiteInfo (TWinControl)
 |  | OnKeyDown (TWinControl)
pl | ro | OnKeyDown (TDBEdit)
 |  | OnKeyPress (TWinControl)
pl | ro | OnKeyPress (TDBEdit)
 |  | OnKeyUp (TWinControl)
pl | ro | OnKeyUp (TDBEdit)
pt |  | OnMouseDown (TControl)
pl | ro | OnMouseDown (TDBEdit)
pt |  | OnMouseEnter (TControl)
pl | ro | OnMouseEnter (TDBEdit)
pt |  | OnMouseLeave (TControl)
pl | ro | OnMouseLeave (TDBEdit)
pt |  | OnMouseMove (TControl)
pl | ro | OnMouseMove (TDBEdit)
pt |  | OnMouseUp (TControl)
pl | ro | OnMouseUp (TDBEdit)
pt |  | OnMouseWheel (TControl)
pl | ro | OnMouseWheel (TDBEdit)
pt |  | OnMouseWheelDown (TControl)
pl | ro | OnMouseWheelDown (TDBEdit)
pt |  | OnMouseWheelHorz (TControl)
pt |  | OnMouseWheelLeft (TControl)
pt |  | OnMouseWheelRight (TControl)
pt |  | OnMouseWheelUp (TControl)
pl | ro | OnMouseWheelUp (TDBEdit)
pt |  | OnQuadClick (TControl)
 |  | OnResize (TControl)
 |  | OnShowHint (TControl)
pt |  | OnStartDock (TControl)
pt |  | OnStartDrag (TControl)
pl | ro | OnStartDrag (TDBEdit)
pt |  | OnTripleClick (TControl)
 |  | OnUnDock (TWinControl)
 |  | OnUTF8KeyPress (TWinControl)
pl | ro | OnUTF8KeyPress (TDBEdit)


TDBEdit.Align

Declaration

Source position: dbctrls.pp line 216

published property TDBEdit.Align : TAlign;


TDBEdit.Alignment

Declaration

Source position: dbctrls.pp line 217

published property TDBEdit.Alignment : TAlignment;


TDBEdit.AutoSelect

Declaration

Source position: dbctrls.pp line 219

published property TDBEdit.AutoSelect : Boolean;


TDBEdit.BiDiMode

Declaration

Source position: dbctrls.pp line 221

published property TDBEdit.BiDiMode : TBiDiMode;


TDBEdit.BorderStyle

Declaration

Source position: dbctrls.pp line 223

published property TDBEdit.BorderStyle : TBorderStyle;


TDBEdit.Create

Create - Constructor for TDBEdit: calls inherited Create then sets up data links and actions

Declaration

Source position: dbctrls.pp line 205

public constructor TDBEdit.Create(

  AOwner: TComponent

); override;

See also

TCustomEdit.Create


TDBEdit.CustomEditMask

Declaration

Source position: dbctrls.pp line 211

published property TDBEdit.CustomEditMask : Boolean
  read FCustomEditMask
  write FCustomEditMask
  default False;


TDBEdit.DataField

The name (as a string) of the field whose data are to be displayed

Declaration

Source position: dbctrls.pp line 212

published property TDBEdit.DataField : string
  read GetDataField
  write SetDataField;


TDBEdit.DataSource

The DataSource to be used for supplying the data in the required Field. Ususally the result of a data query

Declaration

Source position: dbctrls.pp line 213

published property TDBEdit.DataSource : TDataSource
  read GetDataSource
  write SetDataSource;


TDBEdit.Destroy

Destroy - destructor for TDBEdit: frees data links then calls inherited Destroy

Declaration

Source position: dbctrls.pp line 206

public destructor TDBEdit.Destroy; override;

See also

TWinControl.Destroy


TDBEdit.DoubleBuffered

Declaration

Source position: dbctrls.pp line 227

published property TDBEdit.DoubleBuffered : Boolean;


TDBEdit.ExecuteAction

Declaration

Source position: dbctrls.pp line 207

public function TDBEdit.ExecuteAction(

  AAction: TBasicAction

):Boolean; override;


TDBEdit.Field

The field in the DataSet from which data are to be displayed in the Edit

Declaration

Source position: dbctrls.pp line 209

public property TDBEdit.Field : TField
  read GetField;

Description

Refers to the complete Field entity, not just its name


TDBEdit.OnEditingDone

Declaration

Source position: dbctrls.pp line 251

published property TDBEdit.OnEditingDone : TNotifyEvent;


TDBEdit.OnMouseEnter

Declaration

Source position: dbctrls.pp line 259

published property TDBEdit.OnMouseEnter : TNotifyEvent;


TDBEdit.OnMouseLeave

Declaration

Source position: dbctrls.pp line 260

published property TDBEdit.OnMouseLeave : TNotifyEvent;


TDBEdit.OnMouseWheel

Declaration

Source position: dbctrls.pp line 263

published property TDBEdit.OnMouseWheel : TMouseWheelEvent;


TDBEdit.OnMouseWheelDown

Declaration

Source position: dbctrls.pp line 264

published property TDBEdit.OnMouseWheelDown : TMouseWheelUpDownEvent;


TDBEdit.OnMouseWheelUp

Declaration

Source position: dbctrls.pp line 265

published property TDBEdit.OnMouseWheelUp : TMouseWheelUpDownEvent;


TDBEdit.ParentBiDiMode

Declaration

Source position: dbctrls.pp line 235

published property TDBEdit.ParentBiDiMode : Boolean;


TDBEdit.ParentDoubleBuffered

Declaration

Source position: dbctrls.pp line 237

published property TDBEdit.ParentDoubleBuffered : Boolean;


TDBEdit.UpdateAction

Declaration

Source position: dbctrls.pp line 208

public function TDBEdit.UpdateAction(

  AAction: TBasicAction

):Boolean; override;


TDBEdit.UTF8KeyPress

Declaration

Source position: dbctrls.pp line 191

protected procedure TDBEdit.UTF8KeyPress(

  var UTF8Key: TUTF8Char

); override;


TDBEdit.WndProc

Declaration

Source position: dbctrls.pp line 203

protected procedure TDBEdit.WndProc(

  var Message: TLMessage

); override;


TDBGroupBox

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

TDBGroupBox - a data-aware version of TGroupBox, allowing a number of data-aware objects to be grouped together on a form

Declaration

Source position: dbctrls.pp line 1049

type TDBGroupBox = class(TCustomGroupBox)
protected
procedure DataChange(); | DataChange - if Data changed, loads the new data into the caption
procedure Notification(); override;
public
constructor Create(); override; | Create - constructor for TDBGroupBox: calls inherited Create then sets up datalinks and actions
destructor Destroy; override; | Destroy - destructor for TDBGroupBox: frees datalinks then calls inherited Destroy
function ExecuteAction(); override;
function UpdateAction(); override;
property Field: TField; [r] | The field in the DataSet to which this control is to be linked. Can be referred to by name, or as an index
published
property Align: TAlign; | Specifies the placement of the control inside its Parent.
property Anchors: TAnchors; | The set of anchor definitions for this control.
property BiDiMode: TBiDiMode;
property BorderSpacing: TControlBorderSpacing; | Determines the inner and outer border spacing for this control.
property Caption: TCaption; | The text describing the control to the user.
property ClientHeight: Integer; | The height of the client area of the control.
property ClientWidth: Integer; | ClientWidth - determines the width of the client within which the control exists
property Color: TColor; | The background color of the control.
property Constraints: TSizeConstraints; | The minimal and maximal Width and Height of this control.
property Cursor: TCursor;
property DataField: string; [rw] | The name of the field, as a string (ie cannot be referred to as an Index)
property DataSource: TDataSource; [rw] | The DataSource from which information is obtained to display in this control. Usually the result of a SQLQuery
property DoubleBuffered: Boolean;
property DragCursor: TCursor; | The cursor shape shown while the control is dragged.
property DragKind: TDragKind;
property DragMode: TDragMode; | Allows the user to drag the control.
property Enabled: Boolean; | Determines whether the control reacts on mouse or keyboard input.
property Font: TFont; | The font to be used for text display in this control.
property OnClick: TNotifyEvent; | Notification handler for mouse clicks.
property OnDblClick: TNotifyEvent; | Event Handler for double mouse clicks.
property OnDragDrop: TDragDropEvent; | This handler determines the action on an drop onto this control, in a drag-drop operation.
property OnDragOver: TDragOverEvent; | Event handler for a control being dragged over this control.
property OnEndDrag: TEndDragEvent; | Notification handler for the end of a dragging operation.
property OnEnter: TNotifyEvent; | Handler for control receiving the focus.
property OnExit: TNotifyEvent; | Handler for control loosing the focus. This is a good place for checking the finished user input.
property OnKeyDown: TKeyEvent; | Handler for keyboard key pressed.
property OnKeyPress: TKeyPressEvent; | Handler for a character entered by the user.
property OnKeyUp: TKeyEvent; | Handler for keyboard key released.
property OnMouseDown: TMouseEvent; | Event handler for mouse button going down.
property OnMouseEnter: TNotifyEvent;
property OnMouseLeave: TNotifyEvent;
property OnMouseMove: TMouseMoveEvent; | Event handler for mouse movement within the control.
property OnMouseUp: TMouseEvent; | Event handler for mouse button going up.
property OnMouseWheel: TMouseWheelEvent;
property OnMouseWheelDown: TMouseWheelUpDownEvent;
property OnMouseWheelUp: TMouseWheelUpDownEvent;
property OnResize: TNotifyEvent; | Notification handler for a resize of the control.
property OnStartDrag: TStartDragEvent; | Event handler for the start of a dragging operation.
property OnUTF8KeyPress: TUTF8KeyPressEvent; | Handler for a character entered by the user.
property ParentBiDiMode: Boolean;
property ParentColor: Boolean; | If true, the Color of the control will be the same as the one from the Parent. Default is true.
property ParentDoubleBuffered: Boolean;
property ParentFont: Boolean; | If true, the Font of the control will be the same as the one from the Parent. Default is true.
property ParentShowHint: Boolean; | If true, the value of ShowHint for the control will be the same as the one from the Parent. Default is true.
property PopupMenu: TPopupMenu; | A context-sensitive menu that pops up when the right mouse button is clicked over this control
property ShowHint: Boolean; | Enables the Hint display.
property TabOrder: TTabOrder; | Determines the sequence of controls, reachable when the user presses the Tab key.
property TabStop: Boolean; | Allows the user to navigate to this control, by pressing the Tab key.
property Visible: Boolean; | Allows to show or hide the control, and all of its children.
end;

Inheritance

TDBGroupBox | TDBGroupBox - a data-aware version of TGroupBox, allowing a number of data-aware objects to be grouped together on a form
|
TCustomGroupBox | The base class for TGroupBox, TRadioGroup and TCheckGroup.
|
TWinControl | The base class for controls which can contain other (child) controls.
|
TControl | The base class for visible controls.
|
TLCLComponent | The base class for LCL components associated with widgets.
|
TComponent,IUnknown,IInterfaceComponentReference
|
TPersistent,IFPObserved
|
TObject

See also

HowToUseDataAwareControls

HowToUseDataAwareControls - Hints for accessing databases


TDBGroupBox
 | ro | Field
pl | ro | Align
pl | ro | Anchors
pl | ro | BiDiMode
pl | ro | BorderSpacing
pl | ro | Caption
pl | ro | ClientHeight
pl | ro | ClientWidth
pl | ro | Color
pl | ro | Constraints
pl | ro | Cursor
pl |  | DataField
pl |  | DataSource
pl | ro | DoubleBuffered
pl | ro | DragCursor
pl | ro | DragKind
pl | ro | DragMode
pl | ro | Enabled
pl | ro | Font
pl | ro | ParentBiDiMode
pl | ro | ParentColor
pl | ro | ParentDoubleBuffered
pl | ro | ParentFont
pl | ro | ParentShowHint
pl | ro | PopupMenu
pl | ro | ShowHint
pl | ro | TabOrder
pl | ro | TabStop
pl | ro | Visible
TCustomGroupBox
TWinControl
pt |  | WindowHandle
pt |  | BorderStyle
pt |  | ParentBackground
 |  | BorderWidth
 | ro | BoundsLockCount
 | ro | Brush
 | ro | CachedClientHeight
 | ro | CachedClientWidth
 |  | ChildSizing
 | ro | ControlCount
 | ro | Controls
 |  | DefWndProc
 | ro | DockClientCount
 | ro | DockClients
 |  | DockManager
 |  | DockSite
 |  | DoubleBuffered
 |  | Handle
 | ro | IsFlipped
 | ro | IsResizing
 |  | TabOrder
 |  | TabStop
 |  | ParentDoubleBuffered
 |  | ParentWindow
 | ro | Showing
 |  | UseDockManager
 |  | DesignerDeleting
 | ro | VisibleDockClientCount
TControl
pt | ro | AutoSizing
pt | ro | AutoSizingAll
pt | ro | AutoSizingLockCount
pt |  | ActionLink
pt |  | DesktopFont
pt |  | DragCursor
pt |  | DragKind
pt |  | DragMode
pt |  | MouseCapture
pt |  | ParentColor
pt |  | ParentFont
pt |  | ParentShowHint
pt |  | SessionProperties
pt |  | Text
 | ro | AnchoredControls
 | ro | BaseBounds
 | ro | ReadBounds
 | ro | BaseParentClientSize
 |  | AccessibleDescription
 |  | AccessibleValue
 |  | AccessibleRole
 |  | Action
 |  | Align
 |  | Anchors
 | ro | AnchorSide
 |  | AutoSize
 |  | BorderSpacing
 |  | BoundsRect
 |  | BoundsRectForNewParent
 |  | Caption
 |  | CaptureMouseButtons
 |  | ClientHeight
 | ro | ClientOrigin
 | ro | ClientRect
 |  | ClientWidth
 |  | Color
 |  | Constraints
 | ro | ControlOrigin
 |  | ControlState
 |  | ControlStyle
 |  | Enabled
 |  | Font
 |  | IsControl
 | ro | MouseEntered
 | ro | MouseInClient
 |  | Parent
 |  | PopupMenu
 |  | ShowHint
 |  | Visible
 |  | WindowProc
 |  | DockOrientation
 | ro | Floating
 |  | FloatingDockSiteClass
 |  | HostDockSite
 |  | LRDockWidth
 |  | TBDockHeight
 |  | UndockHeight
 |  | UndockWidth
 |  | BiDiMode
 |  | ParentBiDiMode
pl |  | AnchorSideLeft
pl |  | AnchorSideTop
pl |  | AnchorSideRight
pl |  | AnchorSideBottom
pl |  | Cursor
pl |  | Left
pl |  | Height
pl |  | Hint
pl |  | Top
pl |  | Width
pl |  | HelpType
pl |  | HelpKeyword
pl |  | HelpContext
TLCLComponent
 | ro | LCLRefCount
 | ro | WidgetSetClass
TComponent
 | ro | ComObject
 | ro | Components
 | ro | ComponentCount
 |  | ComponentIndex
 | ro | ComponentState
 | ro | ComponentStyle
 |  | DesignInfo
 | ro | Owner
 |  | VCLComObject
 |  | Name
 |  | Tag
TPersistent
TObject


 |  | AccessibleDescription (TControl)
 |  | AccessibleRole (TControl)
 |  | AccessibleValue (TControl)
 |  | Action (TControl)
pt |  | ActionLink (TControl)
 |  | Align (TControl)
pl | ro | Align (TDBGroupBox)
 | ro | AnchoredControls (TControl)
 |  | Anchors (TControl)
pl | ro | Anchors (TDBGroupBox)
 | ro | AnchorSide (TControl)
pl |  | AnchorSideBottom (TControl)
pl |  | AnchorSideLeft (TControl)
pl |  | AnchorSideRight (TControl)
pl |  | AnchorSideTop (TControl)
 |  | AutoSize (TControl)
pt | ro | AutoSizing (TControl)
pt | ro | AutoSizingAll (TControl)
pt | ro | AutoSizingLockCount (TControl)
 | ro | BaseBounds (TControl)
 | ro | BaseParentClientSize (TControl)
 |  | BiDiMode (TControl)
pl | ro | BiDiMode (TDBGroupBox)
 |  | BorderSpacing (TControl)
pl | ro | BorderSpacing (TDBGroupBox)
pt |  | BorderStyle (TWinControl)
 |  | BorderWidth (TWinControl)
 | ro | BoundsLockCount (TWinControl)
 |  | BoundsRect (TControl)
 |  | BoundsRectForNewParent (TControl)
 | ro | Brush (TWinControl)
 | ro | CachedClientHeight (TWinControl)
 | ro | CachedClientWidth (TWinControl)
 |  | Caption (TControl)
pl | ro | Caption (TDBGroupBox)
 |  | CaptureMouseButtons (TControl)
 |  | ChildSizing (TWinControl)
 |  | ClientHeight (TControl)
pl | ro | ClientHeight (TDBGroupBox)
 | ro | ClientOrigin (TControl)
 | ro | ClientRect (TControl)
 |  | ClientWidth (TControl)
pl | ro | ClientWidth (TDBGroupBox)
 |  | Color (TControl)
pl | ro | Color (TDBGroupBox)
 | ro | ComObject (TComponent)
 | ro | ComponentCount (TComponent)
 |  | ComponentIndex (TComponent)
 | ro | Components (TComponent)
 | ro | ComponentState (TComponent)
 | ro | ComponentStyle (TComponent)
 |  | Constraints (TControl)
pl | ro | Constraints (TDBGroupBox)
 | ro | ControlCount (TWinControl)
 | ro | ControlOrigin (TControl)
 | ro | Controls (TWinControl)
 |  | ControlState (TControl)
 |  | ControlStyle (TControl)
pl |  | Cursor (TControl)
pl | ro | Cursor (TDBGroupBox)
pl |  | DataField (TDBGroupBox)
pl |  | DataSource (TDBGroupBox)
 |  | DefWndProc (TWinControl)
 |  | DesignerDeleting (TWinControl)
 |  | DesignInfo (TComponent)
pt |  | DesktopFont (TControl)
 | ro | DockClientCount (TWinControl)
 | ro | DockClients (TWinControl)
 |  | DockManager (TWinControl)
 |  | DockOrientation (TControl)
 |  | DockSite (TWinControl)
 |  | DoubleBuffered (TWinControl)
pl | ro | DoubleBuffered (TDBGroupBox)
pt |  | DragCursor (TControl)
pl | ro | DragCursor (TDBGroupBox)
pt |  | DragKind (TControl)
pl | ro | DragKind (TDBGroupBox)
pt |  | DragMode (TControl)
pl | ro | DragMode (TDBGroupBox)
 |  | Enabled (TControl)
pl | ro | Enabled (TDBGroupBox)
 | ro | Field (TDBGroupBox)
 | ro | Floating (TControl)
 |  | FloatingDockSiteClass (TControl)
 |  | Font (TControl)
pl | ro | Font (TDBGroupBox)
 |  | Handle (TWinControl)
pl |  | Height (TControl)
pl |  | HelpContext (TControl)
pl |  | HelpKeyword (TControl)
pl |  | HelpType (TControl)
pl |  | Hint (TControl)
 |  | HostDockSite (TControl)
 |  | IsControl (TControl)
 | ro | IsFlipped (TWinControl)
 | ro | IsResizing (TWinControl)
 | ro | LCLRefCount (TLCLComponent)
pl |  | Left (TControl)
 |  | LRDockWidth (TControl)
pt |  | MouseCapture (TControl)
 | ro | MouseEntered (TControl)
 | ro | MouseInClient (TControl)
 |  | Name (TComponent)
 | ro | Owner (TComponent)
 |  | Parent (TControl)
pt |  | ParentBackground (TWinControl)
 |  | ParentBiDiMode (TControl)
pl | ro | ParentBiDiMode (TDBGroupBox)
pt |  | ParentColor (TControl)
pl | ro | ParentColor (TDBGroupBox)
 |  | ParentDoubleBuffered (TWinControl)
pl | ro | ParentDoubleBuffered (TDBGroupBox)
pt |  | ParentFont (TControl)
pl | ro | ParentFont (TDBGroupBox)
pt |  | ParentShowHint (TControl)
pl | ro | ParentShowHint (TDBGroupBox)
 |  | ParentWindow (TWinControl)
 |  | PopupMenu (TControl)
pl | ro | PopupMenu (TDBGroupBox)
 | ro | ReadBounds (TControl)
pt |  | SessionProperties (TControl)
 |  | ShowHint (TControl)
pl | ro | ShowHint (TDBGroupBox)
 | ro | Showing (TWinControl)
 |  | TabOrder (TWinControl)
pl | ro | TabOrder (TDBGroupBox)
 |  | TabStop (TWinControl)
pl | ro | TabStop (TDBGroupBox)
 |  | Tag (TComponent)
 |  | TBDockHeight (TControl)
pt |  | Text (TControl)
pl |  | Top (TControl)
 |  | UndockHeight (TControl)
 |  | UndockWidth (TControl)
 |  | UseDockManager (TWinControl)
 |  | VCLComObject (TComponent)
 |  | Visible (TControl)
pl | ro | Visible (TDBGroupBox)
 | ro | VisibleDockClientCount (TWinControl)
 | ro | WidgetSetClass (TLCLComponent)
pl |  | Width (TControl)
pt |  | WindowHandle (TWinControl)
 |  | WindowProc (TControl)


TDBGroupBox
pt | DataChange
pt | Notification
 | Create
 | Destroy
 | ExecuteAction
 | UpdateAction
TCustomGroupBox
pt | WSRegisterClass
pt | GetControlClassDefaultSize
pt | CreateParams
 | Create
TWinControl
pt | WSRegisterClass
pt | AdjustClientRect
pt | GetAdjustedLogicalClientRect
pt | AlignControls
pt | CustomAlignInsertBefore
pt | CustomAlignPosition
pt | DoAlignChildControls
pt | DoChildSizingChange
pt | InvalidatePreferredChildSizes
pt | CanTab
pt | IsClientHeightStored
pt | IsClientWidthStored
pt | DoSendShowHideToInterface
pt | ControlsAligned
pt | DoSendBoundsToInterface
pt | RealizeBounds
pt | RealizeBoundsRecursive
pt | InvalidateBoundsRealized
pt | CreateSubClass
pt | DoConstraintsChange
pt | DoSetBounds
pt | DoAutoSize
pt | DoAllAutoSize
pt | AllAutoSized
pt | CalculatePreferredSize
pt | GetPreferredSizeClientFrame
pt | GetChildren
pt | ChildClassAllowed
pt | PaintControls
pt | PaintHandler
pt | PaintWindow
pt | CreateBrush
pt | ScaleControls
pt | ChangeScale
pt | CMBiDiModeChanged
pt | CMBorderChanged
pt | CMDoubleBufferedChanged
pt | CMEnabledChanged
pt | CMParentDoubleBufferedChanged
pt | CMShowingChanged
pt | CMShowHintChanged
pt | CMVisibleChanged
pt | CMEnter
pt | CMExit
pt | WMContextMenu
pt | WMEraseBkgnd
pt | WMNotify
pt | WMSetFocus
pt | WMKillFocus
pt | WMShowWindow
pt | WMEnter
pt | WMExit
pt | WMKeyDown
pt | WMSysKeyDown
pt | WMKeyUp
pt | WMSysKeyUp
pt | WMChar
pt | WMSysChar
pt | WMPaint
pt | WMDestroy
pt | WMMove
pt | WMSize
pt | WMWindowPosChanged
pt | CNKeyDown
pt | CNSysKeyDown
pt | CNKeyUp
pt | CNSysKeyUp
pt | CNChar
pt | DoDragMsg
pt | DoDockClientMsg
pt | DoUndockClientMsg
pt | DoAddDockClient
pt | DockOver
pt | DoDockOver
pt | DoRemoveDockClient
pt | DoUnDock
pt | GetSiteInfo
pt | GetParentHandle
pt | GetTopParentHandle
pt | ReloadDockedControl
pt | CreateDockManager
pt | SetDockManager
pt | DoFloatMsg
pt | DoGetDockCaption
pt | DoEnter
pt | DoExit
pt | DoKeyDownBeforeInterface
pt | DoRemainingKeyDown
pt | DoRemainingKeyUp
pt | DoKeyPress
pt | DoUTF8KeyPress
pt | DoKeyUpBeforeInterface
pt | ChildKey
pt | SendDialogChar
pt | DialogChar
pt | ControlKeyDown
pt | ControlKeyUp
pt | KeyDown
pt | KeyDownBeforeInterface
pt | KeyDownAfterInterface
pt | KeyPress
pt | KeyUp
pt | KeyUpBeforeInterface
pt | KeyUpAfterInterface
pt | UTF8KeyPress
pt | FindNextControl
pt | SelectFirst
pt | RealGetText
pt | GetBorderStyle
pt | GetClientOrigin
pt | GetClientRect
pt | GetControlOrigin
pt | GetDeviceContext
pt | GetParentBackground
pt | IsControlMouseMsg
pt | CreateHandle
pt | CreateParams
pt | CreateWnd
pt | DestroyHandle
pt | DestroyWnd
pt | DoFlipChildren
pt | FinalizeWnd
pt | FixupTabList
pt | FontChanged
pt | InitializeWnd
pt | Loaded
pt | FormEndUpdated
pt | MainWndProc
pt | ParentFormHandleInitialized
pt | ChildHandlesCreated
pt | GetMouseCapture
pt | RealSetText
pt | RemoveFocus
pt | SendMoveSizeMessages
pt | SetBorderStyle
pt | SetColor
pt | SetChildZPosition
pt | SetParentBackground
pt | ShowControl
pt | UpdateControlState
pt | UpdateShowing
pt | WndProc
pt | WSSetText
 | AutoSizePhases
 | AutoSizeDelayed
 | AutoSizeDelayedReport
 | AutoSizeDelayedHandle
 | BeginUpdateBounds
 | EndUpdateBounds
 | LockRealizeBounds
 | UnlockRealizeBounds
 | ControlAtPos
 | ContainsControl
 | DoAdjustClientRectChange
 | InvalidateClientRectCache
 | ClientRectNeedsInterfaceUpdate
 | SetBounds
 | GetChildrenRect
 | DisableAlign
 | EnableAlign
 | ReAlign
 | ScrollBy_WS
 | ScrollBy
 | WriteLayoutDebugReport
 | AutoAdjustLayout
 | Create
 | CreateParented
 | CreateParentedControl
 | Destroy
 | DockDrop
 | CanFocus
 | CanSetFocus
 | GetControlIndex
 | SetControlIndex
 | Focused
 | PerformTab
 | FindChildControl
 | SelectNext
 | SetTempCursor
 | BroadCast
 | NotifyControls
 | DefaultHandler
 | GetTextLen
 | Invalidate
 | AddControl
 | InsertControl
 | RemoveControl
 | GetEnumeratorControls
 | GetEnumeratorControlsReverse
 | Repaint
 | Update
 | SetFocus
 | FlipChildren
 | ScaleBy
 | GetDockCaption
 | UpdateDockCaption
 | GetTabOrderList
 | HandleAllocated
 | ParentHandlesAllocated
 | HandleNeeded
 | BrushCreated
 | EraseBackground
 | IntfUTF8KeyPress
 | IntfGetDropFilesTarget
 | PaintTo
 | SetShape
TControl
pt | WSRegisterClass
pt | GetCursor
pt | SetCursor
pt | SetVisible
pt | DoOnParentHandleDestruction
pt | DoAutoSize
pt | DoAllAutoSize
pt | BeginAutoSizing
pt | EndAutoSizing
pt | AnchorSideChanged
pt | ForeignAnchorSideChanged
pt | SetAlign
pt | SetAnchors
pt | SetAutoSize
pt | BoundsChanged
pt | CreateControlBorderSpacing
pt | DoConstraintsChange
pt | DoBorderSpacingChange
pt | IsBorderSpacingInnerBorderStored
pt | IsCaptionStored
pt | SendMoveSizeMessages
pt | ConstrainedResize
pt | CalculatePreferredSize
pt | DoOnResize
pt | DoOnChangeBounds
pt | CheckOnChangeBounds
pt | Resize
pt | RequestAlign
pt | UpdateAnchorRules
pt | ChangeBounds
pt | DoSetBounds
pt | ScaleConstraints
pt | ChangeScale
pt | CanAutoSize
pt | SetBiDiMode
pt | SetParentBiDiMode
pt | IsAParentAligning
pt | GetClientOrigin
pt | GetClientRect
pt | GetLogicalClientRect
pt | GetScrolledClientRect
pt | GetClientScrollOffset
pt | GetControlOrigin
pt | IsClientHeightStored
pt | IsClientWidthStored
pt | WidthIsAnchored
pt | HeightIsAnchored
pt | WMCancelMode
pt | WMContextMenu
pt | WMLButtonDown
pt | WMRButtonDown
pt | WMMButtonDown
pt | WMXButtonDown
pt | WMLButtonDBLCLK
pt | WMRButtonDBLCLK
pt | WMMButtonDBLCLK
pt | WMXButtonDBLCLK
pt | WMLButtonTripleCLK
pt | WMRButtonTripleCLK
pt | WMMButtonTripleCLK
pt | WMXButtonTripleCLK
pt | WMLButtonQuadCLK
pt | WMRButtonQuadCLK
pt | WMMButtonQuadCLK
pt | WMXButtonQuadCLK
pt | WMMouseMove
pt | WMLButtonUp
pt | WMRButtonUp
pt | WMMButtonUp
pt | WMXButtonUp
pt | WMMouseWheel
pt | WMMouseHWheel
pt | WMMove
pt | WMSize
pt | WMWindowPosChanged
pt | CMChanged
pt | LMCaptureChanged
pt | CMBiDiModeChanged
pt | CMSysFontChanged
pt | CMEnabledChanged
pt | CMHitTest
pt | CMMouseEnter
pt | CMMouseLeave
pt | CMHintShow
pt | CMParentBiDiModeChanged
pt | CMParentColorChanged
pt | CMParentFontChanged
pt | CMParentShowHintChanged
pt | CMVisibleChanged
pt | CMTextChanged
pt | CMCursorChanged
pt | CalculateDockSizes
pt | CreateFloatingDockSite
pt | GetDockEdge
pt | GetDragImages
pt | GetFloating
pt | GetFloatingDockSiteClass
pt | BeforeDragStart
pt | BeginAutoDrag
pt | DoFloatMsg
pt | DockTrackNoTarget
pt | DoDock
pt | DoDragMsg
pt | DoEndDock
pt | DoEndDrag
pt | DoStartDock
pt | DoStartDrag
pt | DragCanceled
pt | DragOver
pt | PositionDockRect
pt | SetDragMode
pt | GetDefaultDockCaption
pt | Click
pt | DblClick
pt | TripleClick
pt | QuadClick
pt | GetMousePosFromMessage
pt | MouseDown
pt | MouseMove
pt | MouseUp
pt | MouseEnter
pt | MouseLeave
pt | DialogChar
pt | UpdateMouseCursor
pt | Changed
pt | GetPalette
pt | ChildClassAllowed
pt | ReadState
pt | Loaded
pt | LoadedAll
pt | DefineProperties
pt | AssignTo
pt | FormEndUpdated
pt | InvalidateControl
pt | FontChanged
pt | ParentFontChanged
pt | GetAction
pt | RealGetText
pt | RealSetText
pt | TextChanged
pt | GetCachedText
pt | SetAction
pt | SetColor
pt | SetEnabled
pt | SetHint
pt | SetName
pt | SetParent
pt | SetParentComponent
pt | WndProc
pt | ParentFormHandleInitialized
pt | GetMouseCapture
pt | CaptureChanged
pt | Notification
pt | CanTab
pt | GetDeviceContext
pt | GetEnabled
pt | GetPopupMenu
pt | DoOnShowHint
pt | DoMouseWheel
pt | DoMouseWheelDown
pt | DoMouseWheelUp
pt | DoMouseWheelHorz
pt | DoMouseWheelLeft
pt | DoMouseWheelRight
pt | VisibleChanging
pt | VisibleChanged
pt | EnabledChanging
pt | EnabledChanged
pt | AddHandler
pt | RemoveHandler
pt | DoCallNotifyHandler
pt | DoCallKeyEventHandler
pt | DoCallMouseWheelEventHandler
pt | DoContextPopup
pt | SetZOrder
pt | GetControlClassDefaultSize
pt | ColorIsStored
pt | DoAutoAdjustLayout
pt | DoFixDesignFontPPI
pt | DoScaleFontPPI
pt | GetActionLinkClass
pt | ActionChange
 | DragDrop
 | Dock
 | ManualDock
 | ManualFloat
 | ReplaceDockedControl
 | Docked
 | Dragging
 | GetAccessibleObject
 | CreateAccessibleObject
 | GetSelectedChildAccessibleObject
 | GetChildAccessibleObjectAtPos
 | ScaleDesignToForm
 | ScaleFormToDesign
 | Scale96ToForm
 | ScaleFormTo96
 | Scale96ToFont
 | ScaleFontTo96
 | ScaleScreenToFont
 | ScaleFontToScreen
 | Scale96ToScreen
 | ScaleScreenTo96
 | AdjustSize
 | AutoSizePhases
 | AutoSizeDelayed
 | AutoSizeDelayedReport
 | AutoSizeDelayedHandle
 | AnchorToNeighbour
 | AnchorParallel
 | AnchorHorizontalCenterTo
 | AnchorVerticalCenterTo
 | AnchorToCompanion
 | AnchorSame
 | AnchorAsAlign
 | AnchorClient
 | AnchoredControlCount
 | SetBounds
 | SetInitialBounds
 | SetBoundsKeepBase
 | GetPreferredSize
 | GetCanvasScaleFactor
 | GetDefaultWidth
 | GetDefaultHeight
 | GetDefaultColor
 | GetColorResolvingParent
 | GetRGBColorResolvingParent
 | GetSidePosition
 | CNPreferredSizeChanged
 | InvalidatePreferredSize
 | GetAnchorsDependingOnParent
 | DisableAutoSizing
 | EnableAutoSizing
 | UpdateBaseBounds
 | WriteLayoutDebugReport
 | AutoAdjustLayout
 | ShouldAutoAdjust
 | FixDesignFontsPPI
 | ScaleFontsPPI
 | Create
 | Destroy
 | BeforeDestruction
 | EditingDone
 | ExecuteDefaultAction
 | ExecuteCancelAction
 | BeginDrag
 | EndDrag
 | BringToFront
 | HasParent
 | GetParentComponent
 | IsParentOf
 | GetTopParent
 | IsVisible
 | IsControlVisible
 | IsEnabled
 | IsParentColor
 | IsParentFont
 | FormIsUpdating
 | IsProcessingPaintMsg
 | Hide
 | Refresh
 | Repaint
 | Invalidate
 | CheckChildClassAllowed
 | CheckNewParent
 | SendToBack
 | SetTempCursor
 | UpdateRolesForForm
 | ActiveDefaultControlChanged
 | GetTextBuf
 | GetTextLen
 | SetTextBuf
 | Perform
 | ScreenToClient
 | ClientToScreen
 | ScreenToControl
 | ControlToScreen
 | ClientToParent
 | ParentToClient
 | GetChildrenRect
 | Show
 | Update
 | HandleObjectShouldBeVisible
 | ParentDestroyingHandle
 | ParentHandlesAllocated
 | InitiateAction
 | ShowHelp
 | HasHelp
 | RemoveAllHandlersOfObject
 | AddHandlerOnResize
 | RemoveHandlerOnResize
 | AddHandlerOnChangeBounds
 | RemoveHandlerOnChangeBounds
 | AddHandlerOnVisibleChanging
 | RemoveHandlerOnVisibleChanging
 | AddHandlerOnVisibleChanged
 | RemoveHandlerOnVisibleChanged
 | AddHandlerOnEnabledChanged
 | RemoveHandlerOnEnableChanging
 | AddHandlerOnKeyDown
 | RemoveHandlerOnKeyDown
 | AddHandlerOnBeforeDestruction
 | RemoveHandlerOnBeforeDestruction
 | AddHandlerOnMouseWheel
 | RemoveHandlerOnMouseWheel
 | UseRightToLeftAlignment
 | UseRightToLeftReading
 | UseRightToLeftScrollBar
 | IsRightToLeft
TLCLComponent
pt | WSRegisterClass
pt | GetWSComponentClass
 | Create
 | Destroy
 | NewInstance
 | RemoveAllHandlersOfObject
 | IncLCLRefCount
 | DecLCLRefCount
TComponent
 | GetComObject
 | GetComponent
 | GetComponentCount
 | GetComponentIndex
 | Insert
 | ReadLeft
 | ReadTop
 | Remove
 | RemoveNotification
 | SetComponentIndex
 | SetReference
 | WriteLeft
 | WriteTop
 | ChangeName
 | DefineProperties
 | GetChildren
 | GetChildOwner
 | GetChildParent
 | GetOwner
 | Loaded
 | Loading
 | Notification
 | PaletteCreated
 | ReadState
 | SetAncestor
 | SetDesigning
 | SetDesignInstance
 | SetInline
 | SetName
 | SetChildOrder
 | SetParentComponent
 | Updating
 | Updated
 | UpdateRegistry
 | ValidateRename
 | ValidateContainer
 | ValidateInsert
 | QueryInterface
 | _AddRef
 | _Release
 | iicrGetComponent
 | GetTypeInfoCount
 | GetTypeInfo
 | GetIDsOfNames
 | Invoke
 | WriteState
 | Create
 | Destroy
 | BeforeDestruction
 | DestroyComponents
 | Destroying
 | ExecuteAction
 | FindComponent
 | FreeNotification
 | RemoveFreeNotification
 | FreeOnRelease
 | GetEnumerator
 | GetNamePath
 | GetParentComponent
 | HasParent
 | InsertComponent
 | RemoveComponent
 | SafeCallException
 | SetSubComponent
 | UpdateAction
 | IsImplementorOf
 | ReferenceInterface
TPersistent
 | AssignError
 | AssignTo
 | DefineProperties
 | GetOwner
 | Destroy
 | Assign
 | FPOAttachObserver
 | FPODetachObserver
 | FPONotifyObservers
 | GetNamePath
TObject
 | Create
 | Destroy
 | newinstance
 | FreeInstance
 | SafeCallException
 | DefaultHandler
 | Free
 | InitInstance
 | CleanupInstance
 | ClassType
 | ClassInfo
 | ClassName
 | ClassNameIs
 | ClassParent
 | InstanceSize
 | InheritsFrom
 | StringMessageTable
 | MethodAddress
 | MethodName
 | FieldAddress
 | AfterConstruction
 | BeforeDestruction
 | DefaultHandlerStr
 | Dispatch
 | DispatchStr
 | GetInterface
 | GetInterfaceByStr
 | GetInterfaceWeak
 | GetInterfaceEntry
 | GetInterfaceEntryByStr
 | GetInterfaceTable
 | UnitName
 | Equals
 | GetHashCode
 | ToString


pt | ActionChange (TControl)
 | ActiveDefaultControlChanged (TControl)
 | AddControl (TWinControl)
pt | AddHandler (TControl)
 | AddHandlerOnBeforeDestruction (TControl)
 | AddHandlerOnChangeBounds (TControl)
 | AddHandlerOnEnabledChanged (TControl)
 | AddHandlerOnKeyDown (TControl)
 | AddHandlerOnMouseWheel (TControl)
 | AddHandlerOnResize (TControl)
 | AddHandlerOnVisibleChanged (TControl)
 | AddHandlerOnVisibleChanging (TControl)
pt | AdjustClientRect (TWinControl)
 | AdjustSize (TControl)
 | AfterConstruction (TObject)
pt | AlignControls (TWinControl)
pt | AllAutoSized (TWinControl)
 | AnchorAsAlign (TControl)
 | AnchorClient (TControl)
 | AnchoredControlCount (TControl)
 | AnchorHorizontalCenterTo (TControl)
 | AnchorParallel (TControl)
 | AnchorSame (TControl)
pt | AnchorSideChanged (TControl)
 | AnchorToCompanion (TControl)
 | AnchorToNeighbour (TControl)
 | AnchorVerticalCenterTo (TControl)
 | Assign (TPersistent)
 | AssignError (TPersistent)
 | AssignTo (TPersistent)
pt | AssignTo (TControl)
 | AutoAdjustLayout (TControl)
 | AutoAdjustLayout (TWinControl)
 | AutoSizeDelayed (TControl)
 | AutoSizeDelayed (TWinControl)
 | AutoSizeDelayedHandle (TControl)
 | AutoSizeDelayedHandle (TWinControl)
 | AutoSizeDelayedReport (TControl)
 | AutoSizeDelayedReport (TWinControl)
 | AutoSizePhases (TControl)
 | AutoSizePhases (TWinControl)
 | BeforeDestruction (TObject)
 | BeforeDestruction (TComponent)
 | BeforeDestruction (TControl)
pt | BeforeDragStart (TControl)
pt | BeginAutoDrag (TControl)
pt | BeginAutoSizing (TControl)
 | BeginDrag (TControl)
 | BeginUpdateBounds (TWinControl)
pt | BoundsChanged (TControl)
 | BringToFront (TControl)
 | BroadCast (TWinControl)
 | BrushCreated (TWinControl)
pt | CalculateDockSizes (TControl)
pt | CalculatePreferredSize (TControl)
pt | CalculatePreferredSize (TWinControl)
pt | CanAutoSize (TControl)
 | CanFocus (TWinControl)
 | CanSetFocus (TWinControl)
pt | CanTab (TControl)
pt | CanTab (TWinControl)
pt | CaptureChanged (TControl)
pt | ChangeBounds (TControl)
pt | Changed (TControl)
 | ChangeName (TComponent)
pt | ChangeScale (TControl)
pt | ChangeScale (TWinControl)
 | CheckChildClassAllowed (TControl)
 | CheckNewParent (TControl)
pt | CheckOnChangeBounds (TControl)
pt | ChildClassAllowed (TControl)
pt | ChildClassAllowed (TWinControl)
pt | ChildHandlesCreated (TWinControl)
pt | ChildKey (TWinControl)
 | ClassInfo (TObject)
 | ClassName (TObject)
 | ClassNameIs (TObject)
 | ClassParent (TObject)
 | ClassType (TObject)
 | CleanupInstance (TObject)
pt | Click (TControl)
 | ClientRectNeedsInterfaceUpdate (TWinControl)
 | ClientToParent (TControl)
 | ClientToScreen (TControl)
pt | CMBiDiModeChanged (TControl)
pt | CMBiDiModeChanged (TWinControl)
pt | CMBorderChanged (TWinControl)
pt | CMChanged (TControl)
pt | CMCursorChanged (TControl)
pt | CMDoubleBufferedChanged (TWinControl)
pt | CMEnabledChanged (TControl)
pt | CMEnabledChanged (TWinControl)
pt | CMEnter (TWinControl)
pt | CMExit (TWinControl)
pt | CMHintShow (TControl)
pt | CMHitTest (TControl)
pt | CMMouseEnter (TControl)
pt | CMMouseLeave (TControl)
pt | CMParentBiDiModeChanged (TControl)
pt | CMParentColorChanged (TControl)
pt | CMParentDoubleBufferedChanged (TWinControl)
pt | CMParentFontChanged (TControl)
pt | CMParentShowHintChanged (TControl)
pt | CMShowHintChanged (TWinControl)
pt | CMShowingChanged (TWinControl)
pt | CMSysFontChanged (TControl)
pt | CMTextChanged (TControl)
pt | CMVisibleChanged (TControl)
pt | CMVisibleChanged (TWinControl)
pt | CNChar (TWinControl)
pt | CNKeyDown (TWinControl)
pt | CNKeyUp (TWinControl)
 | CNPreferredSizeChanged (TControl)
pt | CNSysKeyDown (TWinControl)
pt | CNSysKeyUp (TWinControl)
pt | ColorIsStored (TControl)
pt | ConstrainedResize (TControl)
 | ContainsControl (TWinControl)
 | ControlAtPos (TWinControl)
pt | ControlKeyDown (TWinControl)
pt | ControlKeyUp (TWinControl)
pt | ControlsAligned (TWinControl)
 | ControlToScreen (TControl)
 | Create (TObject)
 | Create (TComponent)
 | Create (TLCLComponent)
 | Create (TControl)
 | Create (TWinControl)
 | Create (TCustomGroupBox)
 | Create (TDBGroupBox)
 | CreateAccessibleObject (TControl)
pt | CreateBrush (TWinControl)
pt | CreateControlBorderSpacing (TControl)
pt | CreateDockManager (TWinControl)
pt | CreateFloatingDockSite (TControl)
pt | CreateHandle (TWinControl)
pt | CreateParams (TWinControl)
pt | CreateParams (TCustomGroupBox)
 | CreateParented (TWinControl)
 | CreateParentedControl (TWinControl)
pt | CreateSubClass (TWinControl)
pt | CreateWnd (TWinControl)
pt | CustomAlignInsertBefore (TWinControl)
pt | CustomAlignPosition (TWinControl)
pt | DataChange (TDBGroupBox)
pt | DblClick (TControl)
 | DecLCLRefCount (TLCLComponent)
 | DefaultHandler (TObject)
 | DefaultHandler (TWinControl)
 | DefaultHandlerStr (TObject)
 | DefineProperties (TPersistent)
 | DefineProperties (TComponent)
pt | DefineProperties (TControl)
 | Destroy (TObject)
 | Destroy (TPersistent)
 | Destroy (TComponent)
 | Destroy (TLCLComponent)
 | Destroy (TControl)
 | Destroy (TWinControl)
 | Destroy (TDBGroupBox)
 | DestroyComponents (TComponent)
pt | DestroyHandle (TWinControl)
 | Destroying (TComponent)
pt | DestroyWnd (TWinControl)
pt | DialogChar (TControl)
pt | DialogChar (TWinControl)
 | DisableAlign (TWinControl)
 | DisableAutoSizing (TControl)
 | Dispatch (TObject)
 | DispatchStr (TObject)
pt | DoAddDockClient (TWinControl)
 | DoAdjustClientRectChange (TWinControl)
pt | DoAlignChildControls (TWinControl)
pt | DoAllAutoSize (TControl)
pt | DoAllAutoSize (TWinControl)
pt | DoAutoAdjustLayout (TControl)
pt | DoAutoSize (TControl)
pt | DoAutoSize (TWinControl)
pt | DoBorderSpacingChange (TControl)
pt | DoCallKeyEventHandler (TControl)
pt | DoCallMouseWheelEventHandler (TControl)
pt | DoCallNotifyHandler (TControl)
pt | DoChildSizingChange (TWinControl)
 | Dock (TControl)
 | DockDrop (TWinControl)
 | Docked (TControl)
pt | DockOver (TWinControl)
pt | DockTrackNoTarget (TControl)
pt | DoConstraintsChange (TControl)
pt | DoConstraintsChange (TWinControl)
pt | DoContextPopup (TControl)
pt | DoDock (TControl)
pt | DoDockClientMsg (TWinControl)
pt | DoDockOver (TWinControl)
pt | DoDragMsg (TControl)
pt | DoDragMsg (TWinControl)
pt | DoEndDock (TControl)
pt | DoEndDrag (TControl)
pt | DoEnter (TWinControl)
pt | DoExit (TWinControl)
pt | DoFixDesignFontPPI (TControl)
pt | DoFlipChildren (TWinControl)
pt | DoFloatMsg (TControl)
pt | DoFloatMsg (TWinControl)
pt | DoGetDockCaption (TWinControl)
pt | DoKeyDownBeforeInterface (TWinControl)
pt | DoKeyPress (TWinControl)
pt | DoKeyUpBeforeInterface (TWinControl)
pt | DoMouseWheel (TControl)
pt | DoMouseWheelDown (TControl)
pt | DoMouseWheelHorz (TControl)
pt | DoMouseWheelLeft (TControl)
pt | DoMouseWheelRight (TControl)
pt | DoMouseWheelUp (TControl)
pt | DoOnChangeBounds (TControl)
pt | DoOnParentHandleDestruction (TControl)
pt | DoOnResize (TControl)
pt | DoOnShowHint (TControl)
pt | DoRemainingKeyDown (TWinControl)
pt | DoRemainingKeyUp (TWinControl)
pt | DoRemoveDockClient (TWinControl)
pt | DoScaleFontPPI (TControl)
pt | DoSendBoundsToInterface (TWinControl)
pt | DoSendShowHideToInterface (TWinControl)
pt | DoSetBounds (TControl)
pt | DoSetBounds (TWinControl)
pt | DoStartDock (TControl)
pt | DoStartDrag (TControl)
pt | DoUnDock (TWinControl)
pt | DoUndockClientMsg (TWinControl)
pt | DoUTF8KeyPress (TWinControl)
pt | DragCanceled (TControl)
 | DragDrop (TControl)
 | Dragging (TControl)
pt | DragOver (TControl)
 | EditingDone (TControl)
 | EnableAlign (TWinControl)
 | EnableAutoSizing (TControl)
pt | EnabledChanged (TControl)
pt | EnabledChanging (TControl)
pt | EndAutoSizing (TControl)
 | EndDrag (TControl)
 | EndUpdateBounds (TWinControl)
 | Equals (TObject)
 | EraseBackground (TWinControl)
 | ExecuteAction (TComponent)
 | ExecuteAction (TDBGroupBox)
 | ExecuteCancelAction (TControl)
 | ExecuteDefaultAction (TControl)
 | FieldAddress (TObject)
pt | FinalizeWnd (TWinControl)
 | FindChildControl (TWinControl)
 | FindComponent (TComponent)
pt | FindNextControl (TWinControl)
 | FixDesignFontsPPI (TControl)
pt | FixupTabList (TWinControl)
 | FlipChildren (TWinControl)
 | Focused (TWinControl)
pt | FontChanged (TControl)
pt | FontChanged (TWinControl)
pt | ForeignAnchorSideChanged (TControl)
pt | FormEndUpdated (TControl)
pt | FormEndUpdated (TWinControl)
 | FormIsUpdating (TControl)
 | FPOAttachObserver (TPersistent)
 | FPODetachObserver (TPersistent)
 | FPONotifyObservers (TPersistent)
 | Free (TObject)
 | FreeInstance (TObject)
 | FreeNotification (TComponent)
 | FreeOnRelease (TComponent)
 | GetAccessibleObject (TControl)
pt | GetAction (TControl)
pt | GetActionLinkClass (TControl)
pt | GetAdjustedLogicalClientRect (TWinControl)
 | GetAnchorsDependingOnParent (TControl)
pt | GetBorderStyle (TWinControl)
pt | GetCachedText (TControl)
 | GetCanvasScaleFactor (TControl)
 | GetChildAccessibleObjectAtPos (TControl)
 | GetChildOwner (TComponent)
 | GetChildParent (TComponent)
 | GetChildren (TComponent)
pt | GetChildren (TWinControl)
 | GetChildrenRect (TControl)
 | GetChildrenRect (TWinControl)
pt | GetClientOrigin (TControl)
pt | GetClientOrigin (TWinControl)
pt | GetClientRect (TControl)
pt | GetClientRect (TWinControl)
pt | GetClientScrollOffset (TControl)
 | GetColorResolvingParent (TControl)
 | GetComObject (TComponent)
 | GetComponent (TComponent)
 | GetComponentCount (TComponent)
 | GetComponentIndex (TComponent)
pt | GetControlClassDefaultSize (TControl)
pt | GetControlClassDefaultSize (TCustomGroupBox)
 | GetControlIndex (TWinControl)
pt | GetControlOrigin (TControl)
pt | GetControlOrigin (TWinControl)
pt | GetCursor (TControl)
 | GetDefaultColor (TControl)
pt | GetDefaultDockCaption (TControl)
 | GetDefaultHeight (TControl)
 | GetDefaultWidth (TControl)
pt | GetDeviceContext (TControl)
pt | GetDeviceContext (TWinControl)
 | GetDockCaption (TWinControl)
pt | GetDockEdge (TControl)
pt | GetDragImages (TControl)
pt | GetEnabled (TControl)
 | GetEnumerator (TComponent)
 | GetEnumeratorControls (TWinControl)
 | GetEnumeratorControlsReverse (TWinControl)
pt | GetFloating (TControl)
pt | GetFloatingDockSiteClass (TControl)
 | GetHashCode (TObject)
 | GetIDsOfNames (TComponent)
 | GetInterface (TObject)
 | GetInterfaceByStr (TObject)
 | GetInterfaceEntry (TObject)
 | GetInterfaceEntryByStr (TObject)
 | GetInterfaceTable (TObject)
 | GetInterfaceWeak (TObject)
pt | GetLogicalClientRect (TControl)
pt | GetMouseCapture (TControl)
pt | GetMouseCapture (TWinControl)
pt | GetMousePosFromMessage (TControl)
 | GetNamePath (TPersistent)
 | GetNamePath (TComponent)
 | GetOwner (TPersistent)
 | GetOwner (TComponent)
pt | GetPalette (TControl)
pt | GetParentBackground (TWinControl)
 | GetParentComponent (TComponent)
 | GetParentComponent (TControl)
pt | GetParentHandle (TWinControl)
pt | GetPopupMenu (TControl)
 | GetPreferredSize (TControl)
pt | GetPreferredSizeClientFrame (TWinControl)
 | GetRGBColorResolvingParent (TControl)
pt | GetScrolledClientRect (TControl)
 | GetSelectedChildAccessibleObject (TControl)
 | GetSidePosition (TControl)
pt | GetSiteInfo (TWinControl)
 | GetTabOrderList (TWinControl)
 | GetTextBuf (TControl)
 | GetTextLen (TControl)
 | GetTextLen (TWinControl)
 | GetTopParent (TControl)
pt | GetTopParentHandle (TWinControl)
 | GetTypeInfo (TComponent)
 | GetTypeInfoCount (TComponent)
pt | GetWSComponentClass (TLCLComponent)
 | HandleAllocated (TWinControl)
 | HandleNeeded (TWinControl)
 | HandleObjectShouldBeVisible (TControl)
 | HasHelp (TControl)
 | HasParent (TComponent)
 | HasParent (TControl)
pt | HeightIsAnchored (TControl)
 | Hide (TControl)
 | iicrGetComponent (TComponent)
 | IncLCLRefCount (TLCLComponent)
 | InheritsFrom (TObject)
pt | InitializeWnd (TWinControl)
 | InitiateAction (TControl)
 | InitInstance (TObject)
 | Insert (TComponent)
 | InsertComponent (TComponent)
 | InsertControl (TWinControl)
 | InstanceSize (TObject)
 | IntfGetDropFilesTarget (TWinControl)
 | IntfUTF8KeyPress (TWinControl)
 | Invalidate (TControl)
 | Invalidate (TWinControl)
pt | InvalidateBoundsRealized (TWinControl)
 | InvalidateClientRectCache (TWinControl)
pt | InvalidateControl (TControl)
pt | InvalidatePreferredChildSizes (TWinControl)
 | InvalidatePreferredSize (TControl)
 | Invoke (TComponent)
pt | IsAParentAligning (TControl)
pt | IsBorderSpacingInnerBorderStored (TControl)
pt | IsCaptionStored (TControl)
pt | IsClientHeightStored (TControl)
pt | IsClientHeightStored (TWinControl)
pt | IsClientWidthStored (TControl)
pt | IsClientWidthStored (TWinControl)
pt | IsControlMouseMsg (TWinControl)
 | IsControlVisible (TControl)
 | IsEnabled (TControl)
 | IsImplementorOf (TComponent)
 | IsParentColor (TControl)
 | IsParentFont (TControl)
 | IsParentOf (TControl)
 | IsProcessingPaintMsg (TControl)
 | IsRightToLeft (TControl)
 | IsVisible (TControl)
pt | KeyDown (TWinControl)
pt | KeyDownAfterInterface (TWinControl)
pt | KeyDownBeforeInterface (TWinControl)
pt | KeyPress (TWinControl)
pt | KeyUp (TWinControl)
pt | KeyUpAfterInterface (TWinControl)
pt | KeyUpBeforeInterface (TWinControl)
pt | LMCaptureChanged (TControl)
 | Loaded (TComponent)
pt | Loaded (TControl)
pt | Loaded (TWinControl)
pt | LoadedAll (TControl)
 | Loading (TComponent)
 | LockRealizeBounds (TWinControl)
pt | MainWndProc (TWinControl)
 | ManualDock (TControl)
 | ManualFloat (TControl)
 | MethodAddress (TObject)
 | MethodName (TObject)
pt | MouseDown (TControl)
pt | MouseEnter (TControl)
pt | MouseLeave (TControl)
pt | MouseMove (TControl)
pt | MouseUp (TControl)
 | newinstance (TObject)
 | NewInstance (TLCLComponent)
 | Notification (TComponent)
pt | Notification (TControl)
pt | Notification (TDBGroupBox)
 | NotifyControls (TWinControl)
pt | PaintControls (TWinControl)
pt | PaintHandler (TWinControl)
 | PaintTo (TWinControl)
pt | PaintWindow (TWinControl)
 | PaletteCreated (TComponent)
 | ParentDestroyingHandle (TControl)
pt | ParentFontChanged (TControl)
pt | ParentFormHandleInitialized (TControl)
pt | ParentFormHandleInitialized (TWinControl)
 | ParentHandlesAllocated (TControl)
 | ParentHandlesAllocated (TWinControl)
 | ParentToClient (TControl)
 | Perform (TControl)
 | PerformTab (TWinControl)
pt | PositionDockRect (TControl)
pt | QuadClick (TControl)
 | QueryInterface (TComponent)
 | ReadLeft (TComponent)
 | ReadState (TComponent)
pt | ReadState (TControl)
 | ReadTop (TComponent)
pt | RealGetText (TControl)
pt | RealGetText (TWinControl)
 | ReAlign (TWinControl)
pt | RealizeBounds (TWinControl)
pt | RealizeBoundsRecursive (TWinControl)
pt | RealSetText (TControl)
pt | RealSetText (TWinControl)
 | ReferenceInterface (TComponent)
 | Refresh (TControl)
pt | ReloadDockedControl (TWinControl)
 | Remove (TComponent)
 | RemoveAllHandlersOfObject (TLCLComponent)
 | RemoveAllHandlersOfObject (TControl)
 | RemoveComponent (TComponent)
 | RemoveControl (TWinControl)
pt | RemoveFocus (TWinControl)
 | RemoveFreeNotification (TComponent)
pt | RemoveHandler (TControl)
 | RemoveHandlerOnBeforeDestruction (TControl)
 | RemoveHandlerOnChangeBounds (TControl)
 | RemoveHandlerOnEnableChanging (TControl)
 | RemoveHandlerOnKeyDown (TControl)
 | RemoveHandlerOnMouseWheel (TControl)
 | RemoveHandlerOnResize (TControl)
 | RemoveHandlerOnVisibleChanged (TControl)
 | RemoveHandlerOnVisibleChanging (TControl)
 | RemoveNotification (TComponent)
 | Repaint (TControl)
 | Repaint (TWinControl)
 | ReplaceDockedControl (TControl)
pt | RequestAlign (TControl)
pt | Resize (TControl)
 | SafeCallException (TObject)
 | SafeCallException (TComponent)
 | Scale96ToFont (TControl)
 | Scale96ToForm (TControl)
 | Scale96ToScreen (TControl)
 | ScaleBy (TWinControl)
pt | ScaleConstraints (TControl)
pt | ScaleControls (TWinControl)
 | ScaleDesignToForm (TControl)
 | ScaleFontsPPI (TControl)
 | ScaleFontTo96 (TControl)
 | ScaleFontToScreen (TControl)
 | ScaleFormTo96 (TControl)
 | ScaleFormToDesign (TControl)
 | ScaleScreenTo96 (TControl)
 | ScaleScreenToFont (TControl)
 | ScreenToClient (TControl)
 | ScreenToControl (TControl)
 | ScrollBy (TWinControl)
 | ScrollBy_WS (TWinControl)
pt | SelectFirst (TWinControl)
 | SelectNext (TWinControl)
pt | SendDialogChar (TWinControl)
pt | SendMoveSizeMessages (TControl)
pt | SendMoveSizeMessages (TWinControl)
 | SendToBack (TControl)
pt | SetAction (TControl)
pt | SetAlign (TControl)
 | SetAncestor (TComponent)
pt | SetAnchors (TControl)
pt | SetAutoSize (TControl)
pt | SetBiDiMode (TControl)
pt | SetBorderStyle (TWinControl)
 | SetBounds (TControl)
 | SetBounds (TWinControl)
 | SetBoundsKeepBase (TControl)
 | SetChildOrder (TComponent)
pt | SetChildZPosition (TWinControl)
pt | SetColor (TControl)
pt | SetColor (TWinControl)
 | SetComponentIndex (TComponent)
 | SetControlIndex (TWinControl)
pt | SetCursor (TControl)
 | SetDesigning (TComponent)
 | SetDesignInstance (TComponent)
pt | SetDockManager (TWinControl)
pt | SetDragMode (TControl)
pt | SetEnabled (TControl)
 | SetFocus (TWinControl)
pt | SetHint (TControl)
 | SetInitialBounds (TControl)
 | SetInline (TComponent)
 | SetName (TComponent)
pt | SetName (TControl)
pt | SetParent (TControl)
pt | SetParentBackground (TWinControl)
pt | SetParentBiDiMode (TControl)
 | SetParentComponent (TComponent)
pt | SetParentComponent (TControl)
 | SetReference (TComponent)
 | SetShape (TWinControl)
 | SetSubComponent (TComponent)
 | SetTempCursor (TControl)
 | SetTempCursor (TWinControl)
 | SetTextBuf (TControl)
pt | SetVisible (TControl)
pt | SetZOrder (TControl)
 | ShouldAutoAdjust (TControl)
 | Show (TControl)
pt | ShowControl (TWinControl)
 | ShowHelp (TControl)
 | StringMessageTable (TObject)
pt | TextChanged (TControl)
 | ToString (TObject)
pt | TripleClick (TControl)
 | UnitName (TObject)
 | UnlockRealizeBounds (TWinControl)
 | Update (TControl)
 | Update (TWinControl)
 | UpdateAction (TComponent)
 | UpdateAction (TDBGroupBox)
pt | UpdateAnchorRules (TControl)
 | UpdateBaseBounds (TControl)
pt | UpdateControlState (TWinControl)
 | Updated (TComponent)
 | UpdateDockCaption (TWinControl)
pt | UpdateMouseCursor (TControl)
 | UpdateRegistry (TComponent)
 | UpdateRolesForForm (TControl)
pt | UpdateShowing (TWinControl)
 | Updating (TComponent)
 | UseRightToLeftAlignment (TControl)
 | UseRightToLeftReading (TControl)
 | UseRightToLeftScrollBar (TControl)
pt | UTF8KeyPress (TWinControl)
 | ValidateContainer (TComponent)
 | ValidateInsert (TComponent)
 | ValidateRename (TComponent)
pt | VisibleChanged (TControl)
pt | VisibleChanging (TControl)
pt | WidthIsAnchored (TControl)
pt | WMCancelMode (TControl)
pt | WMChar (TWinControl)
pt | WMContextMenu (TControl)
pt | WMContextMenu (TWinControl)
pt | WMDestroy (TWinControl)
pt | WMEnter (TWinControl)
pt | WMEraseBkgnd (TWinControl)
pt | WMExit (TWinControl)
pt | WMKeyDown (TWinControl)
pt | WMKeyUp (TWinControl)
pt | WMKillFocus (TWinControl)
pt | WMLButtonDBLCLK (TControl)
pt | WMLButtonDown (TControl)
pt | WMLButtonQuadCLK (TControl)
pt | WMLButtonTripleCLK (TControl)
pt | WMLButtonUp (TControl)
pt | WMMButtonDBLCLK (TControl)
pt | WMMButtonDown (TControl)
pt | WMMButtonQuadCLK (TControl)
pt | WMMButtonTripleCLK (TControl)
pt | WMMButtonUp (TControl)
pt | WMMouseHWheel (TControl)
pt | WMMouseMove (TControl)
pt | WMMouseWheel (TControl)
pt | WMMove (TControl)
pt | WMMove (TWinControl)
pt | WMNotify (TWinControl)
pt | WMPaint (TWinControl)
pt | WMRButtonDBLCLK (TControl)
pt | WMRButtonDown (TControl)
pt | WMRButtonQuadCLK (TControl)
pt | WMRButtonTripleCLK (TControl)
pt | WMRButtonUp (TControl)
pt | WMSetFocus (TWinControl)
pt | WMShowWindow (TWinControl)
pt | WMSize (TControl)
pt | WMSize (TWinControl)
pt | WMSysChar (TWinControl)
pt | WMSysKeyDown (TWinControl)
pt | WMSysKeyUp (TWinControl)
pt | WMWindowPosChanged (TControl)
pt | WMWindowPosChanged (TWinControl)
pt | WMXButtonDBLCLK (TControl)
pt | WMXButtonDown (TControl)
pt | WMXButtonQuadCLK (TControl)
pt | WMXButtonTripleCLK (TControl)
pt | WMXButtonUp (TControl)
pt | WndProc (TControl)
pt | WndProc (TWinControl)
 | WriteLayoutDebugReport (TControl)
 | WriteLayoutDebugReport (TWinControl)
 | WriteLeft (TComponent)
 | WriteState (TComponent)
 | WriteTop (TComponent)
pt | WSRegisterClass (TLCLComponent)
pt | WSRegisterClass (TControl)
pt | WSRegisterClass (TWinControl)
pt | WSRegisterClass (TCustomGroupBox)
pt | WSSetText (TWinControl)
 | _AddRef (TComponent)
 | _Release (TComponent)


TDBGroupBox
pl | ro | OnClick
pl | ro | OnDblClick
pl | ro | OnDragDrop
pl | ro | OnDragOver
pl | ro | OnEndDrag
pl | ro | OnEnter
pl | ro | OnExit
pl | ro | OnKeyDown
pl | ro | OnKeyPress
pl | ro | OnKeyUp
pl | ro | OnMouseDown
pl | ro | OnMouseEnter
pl | ro | OnMouseLeave
pl | ro | OnMouseMove
pl | ro | OnMouseUp
pl | ro | OnMouseWheel
pl | ro | OnMouseWheelDown
pl | ro | OnMouseWheelUp
pl | ro | OnResize
pl | ro | OnStartDrag
pl | ro | OnUTF8KeyPress
TCustomGroupBox
TWinControl
pt |  | OnGetSiteInfo
pt |  | OnGetDockCaption
 |  | OnAlignInsertBefore
 |  | OnAlignPosition
 |  | OnDockDrop
 |  | OnDockOver
 |  | OnEnter
 |  | OnExit
 |  | OnKeyDown
 |  | OnKeyPress
 |  | OnKeyUp
 |  | OnUnDock
 |  | OnUTF8KeyPress
TControl
pt |  | OnConstrainedResize
pt |  | OnContextPopup
pt |  | OnDblClick
pt |  | OnTripleClick
pt |  | OnQuadClick
pt |  | OnDragDrop
pt |  | OnDragOver
pt |  | OnEndDock
pt |  | OnEndDrag
pt |  | OnMouseDown
pt |  | OnMouseMove
pt |  | OnMouseUp
pt |  | OnMouseEnter
pt |  | OnMouseLeave
pt |  | OnMouseWheel
pt |  | OnMouseWheelDown
pt |  | OnMouseWheelUp
pt |  | OnMouseWheelHorz
pt |  | OnMouseWheelLeft
pt |  | OnMouseWheelRight
pt |  | OnStartDock
pt |  | OnStartDrag
pt |  | OnEditingDone
 |  | OnChangeBounds
 |  | OnClick
 |  | OnResize
 |  | OnShowHint
TLCLComponent
TComponent
TPersistent
TObject


 |  | OnAlignInsertBefore (TWinControl)
 |  | OnAlignPosition (TWinControl)
 |  | OnChangeBounds (TControl)
 |  | OnClick (TControl)
pl | ro | OnClick (TDBGroupBox)
pt |  | OnConstrainedResize (TControl)
pt |  | OnContextPopup (TControl)
pt |  | OnDblClick (TControl)
pl | ro | OnDblClick (TDBGroupBox)
 |  | OnDockDrop (TWinControl)
 |  | OnDockOver (TWinControl)
pt |  | OnDragDrop (TControl)
pl | ro | OnDragDrop (TDBGroupBox)
pt |  | OnDragOver (TControl)
pl | ro | OnDragOver (TDBGroupBox)
pt |  | OnEditingDone (TControl)
pt |  | OnEndDock (TControl)
pt |  | OnEndDrag (TControl)
pl | ro | OnEndDrag (TDBGroupBox)
 |  | OnEnter (TWinControl)
pl | ro | OnEnter (TDBGroupBox)
 |  | OnExit (TWinControl)
pl | ro | OnExit (TDBGroupBox)
pt |  | OnGetDockCaption (TWinControl)
pt |  | OnGetSiteInfo (TWinControl)
 |  | OnKeyDown (TWinControl)
pl | ro | OnKeyDown (TDBGroupBox)
 |  | OnKeyPress (TWinControl)
pl | ro | OnKeyPress (TDBGroupBox)
 |  | OnKeyUp (TWinControl)
pl | ro | OnKeyUp (TDBGroupBox)
pt |  | OnMouseDown (TControl)
pl | ro | OnMouseDown (TDBGroupBox)
pt |  | OnMouseEnter (TControl)
pl | ro | OnMouseEnter (TDBGroupBox)
pt |  | OnMouseLeave (TControl)
pl | ro | OnMouseLeave (TDBGroupBox)
pt |  | OnMouseMove (TControl)
pl | ro | OnMouseMove (TDBGroupBox)
pt |  | OnMouseUp (TControl)
pl | ro | OnMouseUp (TDBGroupBox)
pt |  | OnMouseWheel (TControl)
pl | ro | OnMouseWheel (TDBGroupBox)
pt |  | OnMouseWheelDown (TControl)
pl | ro | OnMouseWheelDown (TDBGroupBox)
pt |  | OnMouseWheelHorz (TControl)
pt |  | OnMouseWheelLeft (TControl)
pt |  | OnMouseWheelRight (TControl)
pt |  | OnMouseWheelUp (TControl)
pl | ro | OnMouseWheelUp (TDBGroupBox)
pt |  | OnQuadClick (TControl)
 |  | OnResize (TControl)
pl | ro | OnResize (TDBGroupBox)
 |  | OnShowHint (TControl)
pt |  | OnStartDock (TControl)
pt |  | OnStartDrag (TControl)
pl | ro | OnStartDrag (TDBGroupBox)
pt |  | OnTripleClick (TControl)
 |  | OnUnDock (TWinControl)
 |  | OnUTF8KeyPress (TWinControl)
pl | ro | OnUTF8KeyPress (TDBGroupBox)


TDBGroupBox.BiDiMode

Declaration

Source position: dbctrls.pp line 1070

published property TDBGroupBox.BiDiMode : TBiDiMode;


TDBGroupBox.ClientWidth

ClientWidth - determines the width of the client within which the control exists

Declaration

Source position: dbctrls.pp line 1074

published property TDBGroupBox.ClientWidth : Integer;

Description

// standard properties, which should be supported by all descendants

ClientWidth - determines the width of the client within which the control exists; reads the width of the client control or sets the value. Sets flag if value is stored


TDBGroupBox.Create

Create - constructor for TDBGroupBox: calls inherited Create then sets up datalinks and actions

Declaration

Source position: dbctrls.pp line 1062

public constructor TDBGroupBox.Create(

  TheOwner: TComponent

); override;

See also

TCustomGroupBox.Create


TDBGroupBox.Cursor

Declaration

Source position: dbctrls.pp line 1077

published property TDBGroupBox.Cursor : TCursor;


TDBGroupBox.DataChange

DataChange - if Data changed, loads the new data into the caption

Declaration

Source position: dbctrls.pp line 1059

protected procedure TDBGroupBox.DataChange(

  Sender: TObject

);


TDBGroupBox.DataField

The name of the field, as a string (ie cannot be referred to as an Index)

Declaration

Source position: dbctrls.pp line 1078

published property TDBGroupBox.DataField : string
  read GetDataField
  write SetDataField;


TDBGroupBox.DataSource

The DataSource from which information is obtained to display in this control. Usually the result of a SQLQuery

Declaration

Source position: dbctrls.pp line 1079

published property TDBGroupBox.DataSource : TDataSource
  read GetDataSource
  write SetDataSource;


TDBGroupBox.Destroy

Destroy - destructor for TDBGroupBox: frees datalinks then calls inherited Destroy

Declaration

Source position: dbctrls.pp line 1063

public destructor TDBGroupBox.Destroy; override;

See also

TWinControl.Destroy


TDBGroupBox.DoubleBuffered

Declaration

Source position: dbctrls.pp line 1080

published property TDBGroupBox.DoubleBuffered : Boolean;


TDBGroupBox.DragKind

Declaration

Source position: dbctrls.pp line 1082

published property TDBGroupBox.DragKind : TDragKind;


TDBGroupBox.ExecuteAction

Declaration

Source position: dbctrls.pp line 1064

public function TDBGroupBox.ExecuteAction(

  AAction: TBasicAction

):Boolean; override;


TDBGroupBox.Field

The field in the DataSet to which this control is to be linked. Can be referred to by name, or as an index

Declaration

Source position: dbctrls.pp line 1066

public property TDBGroupBox.Field : TField
  read GetField;


TDBGroupBox.OnMouseEnter

Declaration

Source position: dbctrls.pp line 1097

published property TDBGroupBox.OnMouseEnter : TNotifyEvent;


TDBGroupBox.OnMouseLeave

Declaration

Source position: dbctrls.pp line 1098

published property TDBGroupBox.OnMouseLeave : TNotifyEvent;


TDBGroupBox.OnMouseWheel

Declaration

Source position: dbctrls.pp line 1101

published property TDBGroupBox.OnMouseWheel : TMouseWheelEvent;


TDBGroupBox.OnMouseWheelDown

Declaration

Source position: dbctrls.pp line 1102

published property TDBGroupBox.OnMouseWheelDown : TMouseWheelUpDownEvent;


TDBGroupBox.OnMouseWheelUp

Declaration

Source position: dbctrls.pp line 1103

published property TDBGroupBox.OnMouseWheelUp : TMouseWheelUpDownEvent;


TDBGroupBox.ParentBiDiMode

Declaration

Source position: dbctrls.pp line 1107

published property TDBGroupBox.ParentBiDiMode : Boolean;


TDBGroupBox.ParentDoubleBuffered

Declaration

Source position: dbctrls.pp line 1109

published property TDBGroupBox.ParentDoubleBuffered : Boolean;


TDBGroupBox.UpdateAction

Declaration

Source position: dbctrls.pp line 1065

public function TDBGroupBox.UpdateAction(

  AAction: TBasicAction

):Boolean; override;


TDBImage

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

TDBImage - a data-aware Image box to display a single image from a dataset

Declaration

Source position: dbctrls.pp line 1125

type TDBImage = class(TCustomImage)
protected
procedure Notification(); override; |
procedure DataChange(); | DataChange - if data changed, load new picture
procedure UpdateData(); virtual; | UpdateData - if data changed, save new picture
procedure PictureChanged(); override; | PictureChanged - software emulaton of the OnPictureChanged event
class procedure WSRegisterClass; override;
procedure DoCopyToClipboard;
public
constructor Create(); override; | Create - constructor for TDBImage: cals inherited Create then sets style and display methods, forms datalinks and actions
destructor Destroy; override; | Destroy - destructor for TDBImage: frees datalinks and calls inherited Destroy
function ExecuteAction(); override;
function UpdateAction(); override;
property Field: TField; [r] | The Field in which picture data are stored
procedure Change; virtual; | Change - if picture is changes, datalink needs to be informed
procedure LoadPicture; virtual; | LoadPicture - loads picture into the appropriate field for the graphic class of the caller
procedure CopyToClipboard;
procedure CutToClipboard;
procedure PasteFromClipboard;
property PictureLoaded: Boolean; [r]
published
property Align: TAlign; | Specifies the placement of the control inside its Parent.
property Anchors: TAnchors; | The set of anchor definitions for this control.
property AntialiasingMode: TAntialiasingMode;
property AutoDisplay: Boolean; [rw] | AutoDisplay - if True, automatically displays when focus is given
property AutoSize: Boolean; | Allows to automatically adjust the size of the control, according to its content.
property BorderSpacing: TControlBorderSpacing; | Determines the inner and outer border spacing for this control.
property Center: Boolean; | Should image be centered?
property Constraints: TSizeConstraints; | The minimal and maximal Width and Height of this control.
property DataField: string; [rw] | The name of the DataField that holds the image
property DataSource: TDataSource; [rw] | The identity of the DataSource that holds the image
property DragCursor: TCursor; | The cursor shape shown while the control is dragged.
property DragKind: TDragKind;
property DragMode: TDragMode; | Allows the user to drag the control.
property KeepOriginXWhenClipped: Boolean;
property KeepOriginYWhenClipped: Boolean;
property OnClick: TNotifyEvent; | Notification handler for mouse clicks.
property OnDblClick: TNotifyEvent;
property OnDBImageRead: TOnDBImageRead; [rw] | Event to read a custom header from image stream.
property OnDBImageWrite: TOnDBImageWrite; [rw] | Event to write a custom header into image stream.
property PopupMenu: TPopupMenu;
property OnDragDrop: TDragDropEvent; | This handler determines the action on an drop onto this control, in a drag-drop operation.
property OnDragOver: TDragOverEvent; | Event handler for a control being dragged over this control.
property OnEndDrag: TEndDragEvent; | Notification handler for the end of a dragging operation.
property OnMouseDown: TMouseEvent; | Event handler for mouse button going down.
property OnMouseEnter: TNotifyEvent;
property OnMouseLeave: TNotifyEvent;
property OnMouseMove: TMouseMoveEvent; | Event handler for mouse movement within the control.
property OnMouseUp: TMouseEvent; | Event handler for mouse button going up.
property OnMouseWheel: TMouseWheelEvent;
property OnMouseWheelDown: TMouseWheelUpDownEvent;
property OnMouseWheelUp: TMouseWheelUpDownEvent;
property OnStartDrag: TStartDragEvent; | Event handler for the start of a dragging operation.
property ParentShowHint: Boolean;
property Proportional: Boolean; | True if image is proportional
property QuickDraw: Boolean; [rw] | QuickDraw - if True, quick drawing is implemented
property ReadOnly: Boolean; [rw] | ReadOnly if True, image can be inspected byt not modified or written
property ShowHint: Boolean;
property Stretch: Boolean; | True if picture is to be stretched
property StretchInEnabled: Boolean;
property StretchOutEnabled: Boolean;
property Transparent: Boolean; | True if you can see through the image
property Visible: Boolean; | Allows to show or hide the control, and all of its children.
property WriteHeader: Boolean; [rw] | Write a header in the image stream.
end;

Inheritance

TDBImage | TDBImage - a data-aware Image box to display a single image from a dataset
|
TCustomImage | TCustomImage - the base type for TImage
|
TGraphicControl | TGraphicControl is the base class for all lightweight controls.
|
TControl | The base class for visible controls.
|
TLCLComponent | The base class for LCL components associated with widgets.
|
TComponent,IUnknown,IInterfaceComponentReference
|
TPersistent,IFPObserved
|
TObject

Description

The Image is stored in the database as a Binary Large Object (BLOB)

See also

HowToUseDataAwareControls

HowToUseDataAwareControls - Hints for accessing databases


TDBImage
 | ro | Field
 | ro | PictureLoaded
pl | ro | Align
pl | ro | Anchors
pl | ro | AntialiasingMode
pl |  | AutoDisplay
pl | ro | AutoSize
pl | ro | BorderSpacing
pl | ro | Center
pl | ro | Constraints
pl |  | DataField
pl |  | DataSource
pl | ro | DragCursor
pl | ro | DragKind
pl | ro | DragMode
pl | ro | KeepOriginXWhenClipped
pl | ro | KeepOriginYWhenClipped
pl | ro | PopupMenu
pl | ro | ParentShowHint
pl | ro | Proportional
pl |  | QuickDraw
pl |  | ReadOnly
pl | ro | ShowHint
pl | ro | Stretch
pl | ro | StretchInEnabled
pl | ro | StretchOutEnabled
pl | ro | Transparent
pl | ro | Visible
pl |  | WriteHeader
TCustomImage
 | ro | Canvas
 |  | AntialiasingMode
 | ro | Align
 | ro | AutoSize
 |  | Center
 |  | KeepOriginXWhenClipped
 |  | KeepOriginYWhenClipped
 | ro | Constraints
 |  | Picture
 | ro | Visible
 |  | Stretch
 |  | StretchOutEnabled
 |  | StretchInEnabled
 |  | Transparent
 |  | Proportional
TGraphicControl
 | ro | Canvas
TControl
pt | ro | AutoSizing
pt | ro | AutoSizingAll
pt | ro | AutoSizingLockCount
pt |  | ActionLink
pt |  | DesktopFont
pt |  | DragCursor
pt |  | DragKind
pt |  | DragMode
pt |  | MouseCapture
pt |  | ParentColor
pt |  | ParentFont
pt |  | ParentShowHint
pt |  | SessionProperties
pt |  | Text
 | ro | AnchoredControls
 | ro | BaseBounds
 | ro | ReadBounds
 | ro | BaseParentClientSize
 |  | AccessibleDescription
 |  | AccessibleValue
 |  | AccessibleRole
 |  | Action
 |  | Align
 |  | Anchors
 | ro | AnchorSide
 |  | AutoSize
 |  | BorderSpacing
 |  | BoundsRect
 |  | BoundsRectForNewParent
 |  | Caption
 |  | CaptureMouseButtons
 |  | ClientHeight
 | ro | ClientOrigin
 | ro | ClientRect
 |  | ClientWidth
 |  | Color
 |  | Constraints
 | ro | ControlOrigin
 |  | ControlState
 |  | ControlStyle
 |  | Enabled
 |  | Font
 |  | IsControl
 | ro | MouseEntered
 | ro | MouseInClient
 |  | Parent
 |  | PopupMenu
 |  | ShowHint
 |  | Visible
 |  | WindowProc
 |  | DockOrientation
 | ro | Floating
 |  | FloatingDockSiteClass
 |  | HostDockSite
 |  | LRDockWidth
 |  | TBDockHeight
 |  | UndockHeight
 |  | UndockWidth
 |  | BiDiMode
 |  | ParentBiDiMode
pl |  | AnchorSideLeft
pl |  | AnchorSideTop
pl |  | AnchorSideRight
pl |  | AnchorSideBottom
pl |  | Cursor
pl |  | Left
pl |  | Height
pl |  | Hint
pl |  | Top
pl |  | Width
pl |  | HelpType
pl |  | HelpKeyword
pl |  | HelpContext
TLCLComponent
 | ro | LCLRefCount
 | ro | WidgetSetClass
TComponent
 | ro | ComObject
 | ro | Components
 | ro | ComponentCount
 |  | ComponentIndex
 | ro | ComponentState
 | ro | ComponentStyle
 |  | DesignInfo
 | ro | Owner
 |  | VCLComObject
 |  | Name
 |  | Tag
TPersistent
TObject


 |  | AccessibleDescription (TControl)
 |  | AccessibleRole (TControl)
 |  | AccessibleValue (TControl)
 |  | Action (TControl)
pt |  | ActionLink (TControl)
 |  | Align (TControl)
 | ro | Align (TCustomImage)
pl | ro | Align (TDBImage)
 | ro | AnchoredControls (TControl)
 |  | Anchors (TControl)
pl | ro | Anchors (TDBImage)
 | ro | AnchorSide (TControl)
pl |  | AnchorSideBottom (TControl)
pl |  | AnchorSideLeft (TControl)
pl |  | AnchorSideRight (TControl)
pl |  | AnchorSideTop (TControl)
 |  | AntialiasingMode (TCustomImage)
pl | ro | AntialiasingMode (TDBImage)
pl |  | AutoDisplay (TDBImage)
 |  | AutoSize (TControl)
 | ro | AutoSize (TCustomImage)
pl | ro | AutoSize (TDBImage)
pt | ro | AutoSizing (TControl)
pt | ro | AutoSizingAll (TControl)
pt | ro | AutoSizingLockCount (TControl)
 | ro | BaseBounds (TControl)
 | ro | BaseParentClientSize (TControl)
 |  | BiDiMode (TControl)
 |  | BorderSpacing (TControl)
pl | ro | BorderSpacing (TDBImage)
 |  | BoundsRect (TControl)
 |  | BoundsRectForNewParent (TControl)
 | ro | Canvas (TGraphicControl)
 | ro | Canvas (TCustomImage)
 |  | Caption (TControl)
 |  | CaptureMouseButtons (TControl)
 |  | Center (TCustomImage)
pl | ro | Center (TDBImage)
 |  | ClientHeight (TControl)
 | ro | ClientOrigin (TControl)
 | ro | ClientRect (TControl)
 |  | ClientWidth (TControl)
 |  | Color (TControl)
 | ro | ComObject (TComponent)
 | ro | ComponentCount (TComponent)
 |  | ComponentIndex (TComponent)
 | ro | Components (TComponent)
 | ro | ComponentState (TComponent)
 | ro | ComponentStyle (TComponent)
 |  | Constraints (TControl)
 | ro | Constraints (TCustomImage)
pl | ro | Constraints (TDBImage)
 | ro | ControlOrigin (TControl)
 |  | ControlState (TControl)
 |  | ControlStyle (TControl)
pl |  | Cursor (TControl)
pl |  | DataField (TDBImage)
pl |  | DataSource (TDBImage)
 |  | DesignInfo (TComponent)
pt |  | DesktopFont (TControl)
 |  | DockOrientation (TControl)
pt |  | DragCursor (TControl)
pl | ro | DragCursor (TDBImage)
pt |  | DragKind (TControl)
pl | ro | DragKind (TDBImage)
pt |  | DragMode (TControl)
pl | ro | DragMode (TDBImage)
 |  | Enabled (TControl)
 | ro | Field (TDBImage)
 | ro | Floating (TControl)
 |  | FloatingDockSiteClass (TControl)
 |  | Font (TControl)
pl |  | Height (TControl)
pl |  | HelpContext (TControl)
pl |  | HelpKeyword (TControl)
pl |  | HelpType (TControl)
pl |  | Hint (TControl)
 |  | HostDockSite (TControl)
 |  | IsControl (TControl)
 |  | KeepOriginXWhenClipped (TCustomImage)
pl | ro | KeepOriginXWhenClipped (TDBImage)
 |  | KeepOriginYWhenClipped (TCustomImage)
pl | ro | KeepOriginYWhenClipped (TDBImage)
 | ro | LCLRefCount (TLCLComponent)
pl |  | Left (TControl)
 |  | LRDockWidth (TControl)
pt |  | MouseCapture (TControl)
 | ro | MouseEntered (TControl)
 | ro | MouseInClient (TControl)
 |  | Name (TComponent)
 | ro | Owner (TComponent)
 |  | Parent (TControl)
 |  | ParentBiDiMode (TControl)
pt |  | ParentColor (TControl)
pt |  | ParentFont (TControl)
pt |  | ParentShowHint (TControl)
pl | ro | ParentShowHint (TDBImage)
 |  | Picture (TCustomImage)
 | ro | PictureLoaded (TDBImage)
 |  | PopupMenu (TControl)
pl | ro | PopupMenu (TDBImage)
 |  | Proportional (TCustomImage)
pl | ro | Proportional (TDBImage)
pl |  | QuickDraw (TDBImage)
 | ro | ReadBounds (TControl)
pl |  | ReadOnly (TDBImage)
pt |  | SessionProperties (TControl)
 |  | ShowHint (TControl)
pl | ro | ShowHint (TDBImage)
 |  | Stretch (TCustomImage)
pl | ro | Stretch (TDBImage)
 |  | StretchInEnabled (TCustomImage)
pl | ro | StretchInEnabled (TDBImage)
 |  | StretchOutEnabled (TCustomImage)
pl | ro | StretchOutEnabled (TDBImage)
 |  | Tag (TComponent)
 |  | TBDockHeight (TControl)
pt |  | Text (TControl)
pl |  | Top (TControl)
 |  | Transparent (TCustomImage)
pl | ro | Transparent (TDBImage)
 |  | UndockHeight (TControl)
 |  | UndockWidth (TControl)
 |  | VCLComObject (TComponent)
 |  | Visible (TControl)
 | ro | Visible (TCustomImage)
pl | ro | Visible (TDBImage)
 | ro | WidgetSetClass (TLCLComponent)
pl |  | Width (TControl)
 |  | WindowProc (TControl)
pl |  | WriteHeader (TDBImage)


TDBImage
pt | Notification
pt | DataChange
pt | UpdateData
pt | PictureChanged
pt | WSRegisterClass
pt | DoCopyToClipboard
 | Create
 | Destroy
 | ExecuteAction
 | UpdateAction
 | Change
 | LoadPicture
 | CopyToClipboard
 | CutToClipboard
 | PasteFromClipboard
TCustomImage
pt | WSRegisterClass
pt | PictureChanged
pt | CalculatePreferredSize
pt | GetControlClassDefaultSize
pt | Paint
 | Create
 | Destroy
 | DestRect
 | Invalidate
TGraphicControl
pt | WSRegisterClass
pt | FontChanged
pt | Paint
pt | DoOnChangeBounds
pt | DoOnParentHandleDestruction
pt | CMCursorChanged
 | Create
 | Destroy
TControl
pt | WSRegisterClass
pt | GetCursor
pt | SetCursor
pt | SetVisible
pt | DoOnParentHandleDestruction
pt | DoAutoSize
pt | DoAllAutoSize
pt | BeginAutoSizing
pt | EndAutoSizing
pt | AnchorSideChanged
pt | ForeignAnchorSideChanged
pt | SetAlign
pt | SetAnchors
pt | SetAutoSize
pt | BoundsChanged
pt | CreateControlBorderSpacing
pt | DoConstraintsChange
pt | DoBorderSpacingChange
pt | IsBorderSpacingInnerBorderStored
pt | IsCaptionStored
pt | SendMoveSizeMessages
pt | ConstrainedResize
pt | CalculatePreferredSize
pt | DoOnResize
pt | DoOnChangeBounds
pt | CheckOnChangeBounds
pt | Resize
pt | RequestAlign
pt | UpdateAnchorRules
pt | ChangeBounds
pt | DoSetBounds
pt | ScaleConstraints
pt | ChangeScale
pt | CanAutoSize
pt | SetBiDiMode
pt | SetParentBiDiMode
pt | IsAParentAligning
pt | GetClientOrigin
pt | GetClientRect
pt | GetLogicalClientRect
pt | GetScrolledClientRect
pt | GetClientScrollOffset
pt | GetControlOrigin
pt | IsClientHeightStored
pt | IsClientWidthStored
pt | WidthIsAnchored
pt | HeightIsAnchored
pt | WMCancelMode
pt | WMContextMenu
pt | WMLButtonDown
pt | WMRButtonDown
pt | WMMButtonDown
pt | WMXButtonDown
pt | WMLButtonDBLCLK
pt | WMRButtonDBLCLK
pt | WMMButtonDBLCLK
pt | WMXButtonDBLCLK
pt | WMLButtonTripleCLK
pt | WMRButtonTripleCLK
pt | WMMButtonTripleCLK
pt | WMXButtonTripleCLK
pt | WMLButtonQuadCLK
pt | WMRButtonQuadCLK
pt | WMMButtonQuadCLK
pt | WMXButtonQuadCLK
pt | WMMouseMove
pt | WMLButtonUp
pt | WMRButtonUp
pt | WMMButtonUp
pt | WMXButtonUp
pt | WMMouseWheel
pt | WMMouseHWheel
pt | WMMove
pt | WMSize
pt | WMWindowPosChanged
pt | CMChanged
pt | LMCaptureChanged
pt | CMBiDiModeChanged
pt | CMSysFontChanged
pt | CMEnabledChanged
pt | CMHitTest
pt | CMMouseEnter
pt | CMMouseLeave
pt | CMHintShow
pt | CMParentBiDiModeChanged
pt | CMParentColorChanged
pt | CMParentFontChanged
pt | CMParentShowHintChanged
pt | CMVisibleChanged
pt | CMTextChanged
pt | CMCursorChanged
pt | CalculateDockSizes
pt | CreateFloatingDockSite
pt | GetDockEdge
pt | GetDragImages
pt | GetFloating
pt | GetFloatingDockSiteClass
pt | BeforeDragStart
pt | BeginAutoDrag
pt | DoFloatMsg
pt | DockTrackNoTarget
pt | DoDock
pt | DoDragMsg
pt | DoEndDock
pt | DoEndDrag
pt | DoStartDock
pt | DoStartDrag
pt | DragCanceled
pt | DragOver
pt | PositionDockRect
pt | SetDragMode
pt | GetDefaultDockCaption
pt | Click
pt | DblClick
pt | TripleClick
pt | QuadClick
pt | GetMousePosFromMessage
pt | MouseDown
pt | MouseMove
pt | MouseUp
pt | MouseEnter
pt | MouseLeave
pt | DialogChar
pt | UpdateMouseCursor
pt | Changed
pt | GetPalette
pt | ChildClassAllowed
pt | ReadState
pt | Loaded
pt | LoadedAll
pt | DefineProperties
pt | AssignTo
pt | FormEndUpdated
pt | InvalidateControl
pt | FontChanged
pt | ParentFontChanged
pt | GetAction
pt | RealGetText
pt | RealSetText
pt | TextChanged
pt | GetCachedText
pt | SetAction
pt | SetColor
pt | SetEnabled
pt | SetHint
pt | SetName
pt | SetParent
pt | SetParentComponent
pt | WndProc
pt | ParentFormHandleInitialized
pt | GetMouseCapture
pt | CaptureChanged
pt | Notification
pt | CanTab
pt | GetDeviceContext
pt | GetEnabled
pt | GetPopupMenu
pt | DoOnShowHint
pt | DoMouseWheel
pt | DoMouseWheelDown
pt | DoMouseWheelUp
pt | DoMouseWheelHorz
pt | DoMouseWheelLeft
pt | DoMouseWheelRight
pt | VisibleChanging
pt | VisibleChanged
pt | EnabledChanging
pt | EnabledChanged
pt | AddHandler
pt | RemoveHandler
pt | DoCallNotifyHandler
pt | DoCallKeyEventHandler
pt | DoCallMouseWheelEventHandler
pt | DoContextPopup
pt | SetZOrder
pt | GetControlClassDefaultSize
pt | ColorIsStored
pt | DoAutoAdjustLayout
pt | DoFixDesignFontPPI
pt | DoScaleFontPPI
pt | GetActionLinkClass
pt | ActionChange
 | DragDrop
 | Dock
 | ManualDock
 | ManualFloat
 | ReplaceDockedControl
 | Docked
 | Dragging
 | GetAccessibleObject
 | CreateAccessibleObject
 | GetSelectedChildAccessibleObject
 | GetChildAccessibleObjectAtPos
 | ScaleDesignToForm
 | ScaleFormToDesign
 | Scale96ToForm
 | ScaleFormTo96
 | Scale96ToFont
 | ScaleFontTo96
 | ScaleScreenToFont
 | ScaleFontToScreen
 | Scale96ToScreen
 | ScaleScreenTo96
 | AdjustSize
 | AutoSizePhases
 | AutoSizeDelayed
 | AutoSizeDelayedReport
 | AutoSizeDelayedHandle
 | AnchorToNeighbour
 | AnchorParallel
 | AnchorHorizontalCenterTo
 | AnchorVerticalCenterTo
 | AnchorToCompanion
 | AnchorSame
 | AnchorAsAlign
 | AnchorClient
 | AnchoredControlCount
 | SetBounds
 | SetInitialBounds
 | SetBoundsKeepBase
 | GetPreferredSize
 | GetCanvasScaleFactor
 | GetDefaultWidth
 | GetDefaultHeight
 | GetDefaultColor
 | GetColorResolvingParent
 | GetRGBColorResolvingParent
 | GetSidePosition
 | CNPreferredSizeChanged
 | InvalidatePreferredSize
 | GetAnchorsDependingOnParent
 | DisableAutoSizing
 | EnableAutoSizing
 | UpdateBaseBounds
 | WriteLayoutDebugReport
 | AutoAdjustLayout
 | ShouldAutoAdjust
 | FixDesignFontsPPI
 | ScaleFontsPPI
 | Create
 | Destroy
 | BeforeDestruction
 | EditingDone
 | ExecuteDefaultAction
 | ExecuteCancelAction
 | BeginDrag
 | EndDrag
 | BringToFront
 | HasParent
 | GetParentComponent
 | IsParentOf
 | GetTopParent
 | IsVisible
 | IsControlVisible
 | IsEnabled
 | IsParentColor
 | IsParentFont
 | FormIsUpdating
 | IsProcessingPaintMsg
 | Hide
 | Refresh
 | Repaint
 | Invalidate
 | CheckChildClassAllowed
 | CheckNewParent
 | SendToBack
 | SetTempCursor
 | UpdateRolesForForm
 | ActiveDefaultControlChanged
 | GetTextBuf
 | GetTextLen
 | SetTextBuf
 | Perform
 | ScreenToClient
 | ClientToScreen
 | ScreenToControl
 | ControlToScreen
 | ClientToParent
 | ParentToClient
 | GetChildrenRect
 | Show
 | Update
 | HandleObjectShouldBeVisible
 | ParentDestroyingHandle
 | ParentHandlesAllocated
 | InitiateAction
 | ShowHelp
 | HasHelp
 | RemoveAllHandlersOfObject
 | AddHandlerOnResize
 | RemoveHandlerOnResize
 | AddHandlerOnChangeBounds
 | RemoveHandlerOnChangeBounds
 | AddHandlerOnVisibleChanging
 | RemoveHandlerOnVisibleChanging
 | AddHandlerOnVisibleChanged
 | RemoveHandlerOnVisibleChanged
 | AddHandlerOnEnabledChanged
 | RemoveHandlerOnEnableChanging
 | AddHandlerOnKeyDown
 | RemoveHandlerOnKeyDown
 | AddHandlerOnBeforeDestruction
 | RemoveHandlerOnBeforeDestruction
 | AddHandlerOnMouseWheel
 | RemoveHandlerOnMouseWheel
 | UseRightToLeftAlignment
 | UseRightToLeftReading
 | UseRightToLeftScrollBar
 | IsRightToLeft
TLCLComponent
pt | WSRegisterClass
pt | GetWSComponentClass
 | Create
 | Destroy
 | NewInstance
 | RemoveAllHandlersOfObject
 | IncLCLRefCount
 | DecLCLRefCount
TComponent
 | GetComObject
 | GetComponent
 | GetComponentCount
 | GetComponentIndex
 | Insert
 | ReadLeft
 | ReadTop
 | Remove
 | RemoveNotification
 | SetComponentIndex
 | SetReference
 | WriteLeft
 | WriteTop
 | ChangeName
 | DefineProperties
 | GetChildren
 | GetChildOwner
 | GetChildParent
 | GetOwner
 | Loaded
 | Loading
 | Notification
 | PaletteCreated
 | ReadState
 | SetAncestor
 | SetDesigning
 | SetDesignInstance
 | SetInline
 | SetName
 | SetChildOrder
 | SetParentComponent
 | Updating
 | Updated
 | UpdateRegistry
 | ValidateRename
 | ValidateContainer
 | ValidateInsert
 | QueryInterface
 | _AddRef
 | _Release
 | iicrGetComponent
 | GetTypeInfoCount
 | GetTypeInfo
 | GetIDsOfNames
 | Invoke
 | WriteState
 | Create
 | Destroy
 | BeforeDestruction
 | DestroyComponents
 | Destroying
 | ExecuteAction
 | FindComponent
 | FreeNotification
 | RemoveFreeNotification
 | FreeOnRelease
 | GetEnumerator
 | GetNamePath
 | GetParentComponent
 | HasParent
 | InsertComponent
 | RemoveComponent
 | SafeCallException
 | SetSubComponent
 | UpdateAction
 | IsImplementorOf
 | ReferenceInterface
TPersistent
 | AssignError
 | AssignTo
 | DefineProperties
 | GetOwner
 | Destroy
 | Assign
 | FPOAttachObserver
 | FPODetachObserver
 | FPONotifyObservers
 | GetNamePath
TObject
 | Create
 | Destroy
 | newinstance
 | FreeInstance
 | SafeCallException
 | DefaultHandler
 | Free
 | InitInstance
 | CleanupInstance
 | ClassType
 | ClassInfo
 | ClassName
 | ClassNameIs
 | ClassParent
 | InstanceSize
 | InheritsFrom
 | StringMessageTable
 | MethodAddress
 | MethodName
 | FieldAddress
 | AfterConstruction
 | BeforeDestruction
 | DefaultHandlerStr
 | Dispatch
 | DispatchStr
 | GetInterface
 | GetInterfaceByStr
 | GetInterfaceWeak
 | GetInterfaceEntry
 | GetInterfaceEntryByStr
 | GetInterfaceTable
 | UnitName
 | Equals
 | GetHashCode
 | ToString


pt | ActionChange (TControl)
 | ActiveDefaultControlChanged (TControl)
pt | AddHandler (TControl)
 | AddHandlerOnBeforeDestruction (TControl)
 | AddHandlerOnChangeBounds (TControl)
 | AddHandlerOnEnabledChanged (TControl)
 | AddHandlerOnKeyDown (TControl)
 | AddHandlerOnMouseWheel (TControl)
 | AddHandlerOnResize (TControl)
 | AddHandlerOnVisibleChanged (TControl)
 | AddHandlerOnVisibleChanging (TControl)
 | AdjustSize (TControl)
 | AfterConstruction (TObject)
 | AnchorAsAlign (TControl)
 | AnchorClient (TControl)
 | AnchoredControlCount (TControl)
 | AnchorHorizontalCenterTo (TControl)
 | AnchorParallel (TControl)
 | AnchorSame (TControl)
pt | AnchorSideChanged (TControl)
 | AnchorToCompanion (TControl)
 | AnchorToNeighbour (TControl)
 | AnchorVerticalCenterTo (TControl)
 | Assign (TPersistent)
 | AssignError (TPersistent)
 | AssignTo (TPersistent)
pt | AssignTo (TControl)
 | AutoAdjustLayout (TControl)
 | AutoSizeDelayed (TControl)
 | AutoSizeDelayedHandle (TControl)
 | AutoSizeDelayedReport (TControl)
 | AutoSizePhases (TControl)
 | BeforeDestruction (TObject)
 | BeforeDestruction (TComponent)
 | BeforeDestruction (TControl)
pt | BeforeDragStart (TControl)
pt | BeginAutoDrag (TControl)
pt | BeginAutoSizing (TControl)
 | BeginDrag (TControl)
pt | BoundsChanged (TControl)
 | BringToFront (TControl)
pt | CalculateDockSizes (TControl)
pt | CalculatePreferredSize (TControl)
pt | CalculatePreferredSize (TCustomImage)
pt | CanAutoSize (TControl)
pt | CanTab (TControl)
pt | CaptureChanged (TControl)
 | Change (TDBImage)
pt | ChangeBounds (TControl)
pt | Changed (TControl)
 | ChangeName (TComponent)
pt | ChangeScale (TControl)
 | CheckChildClassAllowed (TControl)
 | CheckNewParent (TControl)
pt | CheckOnChangeBounds (TControl)
pt | ChildClassAllowed (TControl)
 | ClassInfo (TObject)
 | ClassName (TObject)
 | ClassNameIs (TObject)
 | ClassParent (TObject)
 | ClassType (TObject)
 | CleanupInstance (TObject)
pt | Click (TControl)
 | ClientToParent (TControl)
 | ClientToScreen (TControl)
pt | CMBiDiModeChanged (TControl)
pt | CMChanged (TControl)
pt | CMCursorChanged (TControl)
pt | CMCursorChanged (TGraphicControl)
pt | CMEnabledChanged (TControl)
pt | CMHintShow (TControl)
pt | CMHitTest (TControl)
pt | CMMouseEnter (TControl)
pt | CMMouseLeave (TControl)
pt | CMParentBiDiModeChanged (TControl)
pt | CMParentColorChanged (TControl)
pt | CMParentFontChanged (TControl)
pt | CMParentShowHintChanged (TControl)
pt | CMSysFontChanged (TControl)
pt | CMTextChanged (TControl)
pt | CMVisibleChanged (TControl)
 | CNPreferredSizeChanged (TControl)
pt | ColorIsStored (TControl)
pt | ConstrainedResize (TControl)
 | ControlToScreen (TControl)
 | CopyToClipboard (TDBImage)
 | Create (TObject)
 | Create (TComponent)
 | Create (TLCLComponent)
 | Create (TControl)
 | Create (TGraphicControl)
 | Create (TCustomImage)
 | Create (TDBImage)
 | CreateAccessibleObject (TControl)
pt | CreateControlBorderSpacing (TControl)
pt | CreateFloatingDockSite (TControl)
 | CutToClipboard (TDBImage)
pt | DataChange (TDBImage)
pt | DblClick (TControl)
 | DecLCLRefCount (TLCLComponent)
 | DefaultHandler (TObject)
 | DefaultHandlerStr (TObject)
 | DefineProperties (TPersistent)
 | DefineProperties (TComponent)
pt | DefineProperties (TControl)
 | DestRect (TCustomImage)
 | Destroy (TObject)
 | Destroy (TPersistent)
 | Destroy (TComponent)
 | Destroy (TLCLComponent)
 | Destroy (TControl)
 | Destroy (TGraphicControl)
 | Destroy (TCustomImage)
 | Destroy (TDBImage)
 | DestroyComponents (TComponent)
 | Destroying (TComponent)
pt | DialogChar (TControl)
 | DisableAutoSizing (TControl)
 | Dispatch (TObject)
 | DispatchStr (TObject)
pt | DoAllAutoSize (TControl)
pt | DoAutoAdjustLayout (TControl)
pt | DoAutoSize (TControl)
pt | DoBorderSpacingChange (TControl)
pt | DoCallKeyEventHandler (TControl)
pt | DoCallMouseWheelEventHandler (TControl)
pt | DoCallNotifyHandler (TControl)
 | Dock (TControl)
 | Docked (TControl)
pt | DockTrackNoTarget (TControl)
pt | DoConstraintsChange (TControl)
pt | DoContextPopup (TControl)
pt | DoCopyToClipboard (TDBImage)
pt | DoDock (TControl)
pt | DoDragMsg (TControl)
pt | DoEndDock (TControl)
pt | DoEndDrag (TControl)
pt | DoFixDesignFontPPI (TControl)
pt | DoFloatMsg (TControl)
pt | DoMouseWheel (TControl)
pt | DoMouseWheelDown (TControl)
pt | DoMouseWheelHorz (TControl)
pt | DoMouseWheelLeft (TControl)
pt | DoMouseWheelRight (TControl)
pt | DoMouseWheelUp (TControl)
pt | DoOnChangeBounds (TControl)
pt | DoOnChangeBounds (TGraphicControl)
pt | DoOnParentHandleDestruction (TControl)
pt | DoOnParentHandleDestruction (TGraphicControl)
pt | DoOnResize (TControl)
pt | DoOnShowHint (TControl)
pt | DoScaleFontPPI (TControl)
pt | DoSetBounds (TControl)
pt | DoStartDock (TControl)
pt | DoStartDrag (TControl)
pt | DragCanceled (TControl)
 | DragDrop (TControl)
 | Dragging (TControl)
pt | DragOver (TControl)
 | EditingDone (TControl)
 | EnableAutoSizing (TControl)
pt | EnabledChanged (TControl)
pt | EnabledChanging (TControl)
pt | EndAutoSizing (TControl)
 | EndDrag (TControl)
 | Equals (TObject)
 | ExecuteAction (TComponent)
 | ExecuteAction (TDBImage)
 | ExecuteCancelAction (TControl)
 | ExecuteDefaultAction (TControl)
 | FieldAddress (TObject)
 | FindComponent (TComponent)
 | FixDesignFontsPPI (TControl)
pt | FontChanged (TControl)
pt | FontChanged (TGraphicControl)
pt | ForeignAnchorSideChanged (TControl)
pt | FormEndUpdated (TControl)
 | FormIsUpdating (TControl)
 | FPOAttachObserver (TPersistent)
 | FPODetachObserver (TPersistent)
 | FPONotifyObservers (TPersistent)
 | Free (TObject)
 | FreeInstance (TObject)
 | FreeNotification (TComponent)
 | FreeOnRelease (TComponent)
 | GetAccessibleObject (TControl)
pt | GetAction (TControl)
pt | GetActionLinkClass (TControl)
 | GetAnchorsDependingOnParent (TControl)
pt | GetCachedText (TControl)
 | GetCanvasScaleFactor (TControl)
 | GetChildAccessibleObjectAtPos (TControl)
 | GetChildOwner (TComponent)
 | GetChildParent (TComponent)
 | GetChildren (TComponent)
 | GetChildrenRect (TControl)
pt | GetClientOrigin (TControl)
pt | GetClientRect (TControl)
pt | GetClientScrollOffset (TControl)
 | GetColorResolvingParent (TControl)
 | GetComObject (TComponent)
 | GetComponent (TComponent)
 | GetComponentCount (TComponent)
 | GetComponentIndex (TComponent)
pt | GetControlClassDefaultSize (TControl)
pt | GetControlClassDefaultSize (TCustomImage)
pt | GetControlOrigin (TControl)
pt | GetCursor (TControl)
 | GetDefaultColor (TControl)
pt | GetDefaultDockCaption (TControl)
 | GetDefaultHeight (TControl)
 | GetDefaultWidth (TControl)
pt | GetDeviceContext (TControl)
pt | GetDockEdge (TControl)
pt | GetDragImages (TControl)
pt | GetEnabled (TControl)
 | GetEnumerator (TComponent)
pt | GetFloating (TControl)
pt | GetFloatingDockSiteClass (TControl)
 | GetHashCode (TObject)
 | GetIDsOfNames (TComponent)
 | GetInterface (TObject)
 | GetInterfaceByStr (TObject)
 | GetInterfaceEntry (TObject)
 | GetInterfaceEntryByStr (TObject)
 | GetInterfaceTable (TObject)
 | GetInterfaceWeak (TObject)
pt | GetLogicalClientRect (TControl)
pt | GetMouseCapture (TControl)
pt | GetMousePosFromMessage (TControl)
 | GetNamePath (TPersistent)
 | GetNamePath (TComponent)
 | GetOwner (TPersistent)
 | GetOwner (TComponent)
pt | GetPalette (TControl)
 | GetParentComponent (TComponent)
 | GetParentComponent (TControl)
pt | GetPopupMenu (TControl)
 | GetPreferredSize (TControl)
 | GetRGBColorResolvingParent (TControl)
pt | GetScrolledClientRect (TControl)
 | GetSelectedChildAccessibleObject (TControl)
 | GetSidePosition (TControl)
 | GetTextBuf (TControl)
 | GetTextLen (TControl)
 | GetTopParent (TControl)
 | GetTypeInfo (TComponent)
 | GetTypeInfoCount (TComponent)
pt | GetWSComponentClass (TLCLComponent)
 | HandleObjectShouldBeVisible (TControl)
 | HasHelp (TControl)
 | HasParent (TComponent)
 | HasParent (TControl)
pt | HeightIsAnchored (TControl)
 | Hide (TControl)
 | iicrGetComponent (TComponent)
 | IncLCLRefCount (TLCLComponent)
 | InheritsFrom (TObject)
 | InitiateAction (TControl)
 | InitInstance (TObject)
 | Insert (TComponent)
 | InsertComponent (TComponent)
 | InstanceSize (TObject)
 | Invalidate (TControl)
 | Invalidate (TCustomImage)
pt | InvalidateControl (TControl)
 | InvalidatePreferredSize (TControl)
 | Invoke (TComponent)
pt | IsAParentAligning (TControl)
pt | IsBorderSpacingInnerBorderStored (TControl)
pt | IsCaptionStored (TControl)
pt | IsClientHeightStored (TControl)
pt | IsClientWidthStored (TControl)
 | IsControlVisible (TControl)
 | IsEnabled (TControl)
 | IsImplementorOf (TComponent)
 | IsParentColor (TControl)
 | IsParentFont (TControl)
 | IsParentOf (TControl)
 | IsProcessingPaintMsg (TControl)
 | IsRightToLeft (TControl)
 | IsVisible (TControl)
pt | LMCaptureChanged (TControl)
 | Loaded (TComponent)
pt | Loaded (TControl)
pt | LoadedAll (TControl)
 | Loading (TComponent)
 | LoadPicture (TDBImage)
 | ManualDock (TControl)
 | ManualFloat (TControl)
 | MethodAddress (TObject)
 | MethodName (TObject)
pt | MouseDown (TControl)
pt | MouseEnter (TControl)
pt | MouseLeave (TControl)
pt | MouseMove (TControl)
pt | MouseUp (TControl)
 | newinstance (TObject)
 | NewInstance (TLCLComponent)
 | Notification (TComponent)
pt | Notification (TControl)
pt | Notification (TDBImage)
pt | Paint (TGraphicControl)
pt | Paint (TCustomImage)
 | PaletteCreated (TComponent)
 | ParentDestroyingHandle (TControl)
pt | ParentFontChanged (TControl)
pt | ParentFormHandleInitialized (TControl)
 | ParentHandlesAllocated (TControl)
 | ParentToClient (TControl)
 | PasteFromClipboard (TDBImage)
 | Perform (TControl)
pt | PictureChanged (TCustomImage)
pt | PictureChanged (TDBImage)
pt | PositionDockRect (TControl)
pt | QuadClick (TControl)
 | QueryInterface (TComponent)
 | ReadLeft (TComponent)
 | ReadState (TComponent)
pt | ReadState (TControl)
 | ReadTop (TComponent)
pt | RealGetText (TControl)
pt | RealSetText (TControl)
 | ReferenceInterface (TComponent)
 | Refresh (TControl)
 | Remove (TComponent)
 | RemoveAllHandlersOfObject (TLCLComponent)
 | RemoveAllHandlersOfObject (TControl)
 | RemoveComponent (TComponent)
 | RemoveFreeNotification (TComponent)
pt | RemoveHandler (TControl)
 | RemoveHandlerOnBeforeDestruction (TControl)
 | RemoveHandlerOnChangeBounds (TControl)
 | RemoveHandlerOnEnableChanging (TControl)
 | RemoveHandlerOnKeyDown (TControl)
 | RemoveHandlerOnMouseWheel (TControl)
 | RemoveHandlerOnResize (TControl)
 | RemoveHandlerOnVisibleChanged (TControl)
 | RemoveHandlerOnVisibleChanging (TControl)
 | RemoveNotification (TComponent)
 | Repaint (TControl)
 | ReplaceDockedControl (TControl)
pt | RequestAlign (TControl)
pt | Resize (TControl)
 | SafeCallException (TObject)
 | SafeCallException (TComponent)
 | Scale96ToFont (TControl)
 | Scale96ToForm (TControl)
 | Scale96ToScreen (TControl)
pt | ScaleConstraints (TControl)
 | ScaleDesignToForm (TControl)
 | ScaleFontsPPI (TControl)
 | ScaleFontTo96 (TControl)
 | ScaleFontToScreen (TControl)
 | ScaleFormTo96 (TControl)
 | ScaleFormToDesign (TControl)
 | ScaleScreenTo96 (TControl)
 | ScaleScreenToFont (TControl)
 | ScreenToClient (TControl)
 | ScreenToControl (TControl)
pt | SendMoveSizeMessages (TControl)
 | SendToBack (TControl)
pt | SetAction (TControl)
pt | SetAlign (TControl)
 | SetAncestor (TComponent)
pt | SetAnchors (TControl)
pt | SetAutoSize (TControl)
pt | SetBiDiMode (TControl)
 | SetBounds (TControl)
 | SetBoundsKeepBase (TControl)
 | SetChildOrder (TComponent)
pt | SetColor (TControl)
 | SetComponentIndex (TComponent)
pt | SetCursor (TControl)
 | SetDesigning (TComponent)
 | SetDesignInstance (TComponent)
pt | SetDragMode (TControl)
pt | SetEnabled (TControl)
pt | SetHint (TControl)
 | SetInitialBounds (TControl)
 | SetInline (TComponent)
 | SetName (TComponent)
pt | SetName (TControl)
pt | SetParent (TControl)
pt | SetParentBiDiMode (TControl)
 | SetParentComponent (TComponent)
pt | SetParentComponent (TControl)
 | SetReference (TComponent)
 | SetSubComponent (TComponent)
 | SetTempCursor (TControl)
 | SetTextBuf (TControl)
pt | SetVisible (TControl)
pt | SetZOrder (TControl)
 | ShouldAutoAdjust (TControl)
 | Show (TControl)
 | ShowHelp (TControl)
 | StringMessageTable (TObject)
pt | TextChanged (TControl)
 | ToString (TObject)
pt | TripleClick (TControl)
 | UnitName (TObject)
 | Update (TControl)
 | UpdateAction (TComponent)
 | UpdateAction (TDBImage)
pt | UpdateAnchorRules (TControl)
 | UpdateBaseBounds (TControl)
 | Updated (TComponent)
pt | UpdateData (TDBImage)
pt | UpdateMouseCursor (TControl)
 | UpdateRegistry (TComponent)
 | UpdateRolesForForm (TControl)
 | Updating (TComponent)
 | UseRightToLeftAlignment (TControl)
 | UseRightToLeftReading (TControl)
 | UseRightToLeftScrollBar (TControl)
 | ValidateContainer (TComponent)
 | ValidateInsert (TComponent)
 | ValidateRename (TComponent)
pt | VisibleChanged (TControl)
pt | VisibleChanging (TControl)
pt | WidthIsAnchored (TControl)
pt | WMCancelMode (TControl)
pt | WMContextMenu (TControl)
pt | WMLButtonDBLCLK (TControl)
pt | WMLButtonDown (TControl)
pt | WMLButtonQuadCLK (TControl)
pt | WMLButtonTripleCLK (TControl)
pt | WMLButtonUp (TControl)
pt | WMMButtonDBLCLK (TControl)
pt | WMMButtonDown (TControl)
pt | WMMButtonQuadCLK (TControl)
pt | WMMButtonTripleCLK (TControl)
pt | WMMButtonUp (TControl)
pt | WMMouseHWheel (TControl)
pt | WMMouseMove (TControl)
pt | WMMouseWheel (TControl)
pt | WMMove (TControl)
pt | WMRButtonDBLCLK (TControl)
pt | WMRButtonDown (TControl)
pt | WMRButtonQuadCLK (TControl)
pt | WMRButtonTripleCLK (TControl)
pt | WMRButtonUp (TControl)
pt | WMSize (TControl)
pt | WMWindowPosChanged (TControl)
pt | WMXButtonDBLCLK (TControl)
pt | WMXButtonDown (TControl)
pt | WMXButtonQuadCLK (TControl)
pt | WMXButtonTripleCLK (TControl)
pt | WMXButtonUp (TControl)
pt | WndProc (TControl)
 | WriteLayoutDebugReport (TControl)
 | WriteLeft (TComponent)
 | WriteState (TComponent)
 | WriteTop (TComponent)
pt | WSRegisterClass (TLCLComponent)
pt | WSRegisterClass (TControl)
pt | WSRegisterClass (TGraphicControl)
pt | WSRegisterClass (TCustomImage)
pt | WSRegisterClass (TDBImage)
 | _AddRef (TComponent)
 | _Release (TComponent)


TDBImage
pl | ro | OnClick
pl | ro | OnDblClick
pl |  | OnDBImageRead
pl |  | OnDBImageWrite
pl | ro | OnDragDrop
pl | ro | OnDragOver
pl | ro | OnEndDrag
pl | ro | OnMouseDown
pl | ro | OnMouseEnter
pl | ro | OnMouseLeave
pl | ro | OnMouseMove
pl | ro | OnMouseUp
pl | ro | OnMouseWheel
pl | ro | OnMouseWheelDown
pl | ro | OnMouseWheelUp
pl | ro | OnStartDrag
TCustomImage
 | ro | OnClick
 | ro | OnMouseDown
 | ro | OnMouseEnter
 | ro | OnMouseLeave
 | ro | OnMouseMove
 | ro | OnMouseUp
 | ro | OnMouseWheel
 | ro | OnMouseWheelDown
 | ro | OnMouseWheelUp
 |  | OnPictureChanged
 |  | OnPaintBackground
TGraphicControl
pt |  | OnPaint
TControl
pt |  | OnConstrainedResize
pt |  | OnContextPopup
pt |  | OnDblClick
pt |  | OnTripleClick
pt |  | OnQuadClick
pt |  | OnDragDrop
pt |  | OnDragOver
pt |  | OnEndDock
pt |  | OnEndDrag
pt |  | OnMouseDown
pt |  | OnMouseMove
pt |  | OnMouseUp
pt |  | OnMouseEnter
pt |  | OnMouseLeave
pt |  | OnMouseWheel
pt |  | OnMouseWheelDown
pt |  | OnMouseWheelUp
pt |  | OnMouseWheelHorz
pt |  | OnMouseWheelLeft
pt |  | OnMouseWheelRight
pt |  | OnStartDock
pt |  | OnStartDrag
pt |  | OnEditingDone
 |  | OnChangeBounds
 |  | OnClick
 |  | OnResize
 |  | OnShowHint
TLCLComponent
TComponent
TPersistent
TObject


 | ro | OnClick (TCustomImage)
pl | ro | OnClick (TDBImage)
pt |  | OnConstrainedResize (TControl)
pt |  | OnContextPopup (TControl)
pl |  | OnDBImageRead (TDBImage)
pl |  | OnDBImageWrite (TDBImage)
pt |  | OnDblClick (TControl)
pl | ro | OnDblClick (TDBImage)
pt |  | OnDragDrop (TControl)
pl | ro | OnDragDrop (TDBImage)
pt |  | OnDragOver (TControl)
pl | ro | OnDragOver (TDBImage)
pt |  | OnEditingDone (TControl)
pt |  | OnEndDock (TControl)
pt |  | OnEndDrag (TControl)
pl | ro | OnEndDrag (TDBImage)
pt |  | OnMouseDown (TControl)
 | ro | OnMouseDown (TCustomImage)
pl | ro | OnMouseDown (TDBImage)
pt |  | OnMouseEnter (TControl)
 | ro | OnMouseEnter (TCustomImage)
pl | ro | OnMouseEnter (TDBImage)
pt |  | OnMouseLeave (TControl)
 | ro | OnMouseLeave (TCustomImage)
pl | ro | OnMouseLeave (TDBImage)
pt |  | OnMouseMove (TControl)
 | ro | OnMouseMove (TCustomImage)
pl | ro | OnMouseMove (TDBImage)
pt |  | OnMouseUp (TControl)
 | ro | OnMouseUp (TCustomImage)
pl | ro | OnMouseUp (TDBImage)
pt |  | OnMouseWheel (TControl)
 | ro | OnMouseWheel (TCustomImage)
pl | ro | OnMouseWheel (TDBImage)
pt |  | OnMouseWheelDown (TControl)
 | ro | OnMouseWheelDown (TCustomImage)
pl | ro | OnMouseWheelDown (TDBImage)
pt |  | OnMouseWheelHorz (TControl)
pt |  | OnMouseWheelLeft (TControl)
pt |  | OnMouseWheelRight (TControl)
pt |  | OnMouseWheelUp (TControl)
 | ro | OnMouseWheelUp (TCustomImage)
pl | ro | OnMouseWheelUp (TDBImage)
pt |  | OnPaint (TGraphicControl)
 |  | OnPaintBackground (TCustomImage)
 |  | OnPictureChanged (TCustomImage)
pt |  | OnQuadClick (TControl)
 |  | OnResize (TControl)
 |  | OnShowHint (TControl)
pt |  | OnStartDock (TControl)
pt |  | OnStartDrag (TControl)
pl | ro | OnStartDrag (TDBImage)
pt |  | OnTripleClick (TControl)


TDBImage.AntialiasingMode

Declaration

Source position: dbctrls.pp line 1167

published property TDBImage.AntialiasingMode : TAntialiasingMode;


TDBImage.AutoDisplay

AutoDisplay - if True, automatically displays when focus is given

Declaration

Source position: dbctrls.pp line 1168

published property TDBImage.AutoDisplay : Boolean
  read FAutoDisplay
  write SetAutoDisplay
  default True;


TDBImage.Change

Change - if picture is changes, datalink needs to be informed

Declaration

Source position: dbctrls.pp line 1157

public procedure TDBImage.Change; virtual;


TDBImage.CopyToClipboard

Declaration

Source position: dbctrls.pp line 1160

public procedure TDBImage.CopyToClipboard;


TDBImage.Create

Create - constructor for TDBImage: cals inherited Create then sets style and display methods, forms datalinks and actions

Declaration

Source position: dbctrls.pp line 1152

public constructor TDBImage.Create(

  TheOwner: TComponent

); override;

See also

TCustomImage.Create

Create - constructor for TCustomImage: calls inherited Create then sets default style, bounds and local variables: creates space for the picture


TDBImage.CutToClipboard

Declaration

Source position: dbctrls.pp line 1161

public procedure TDBImage.CutToClipboard;


TDBImage.DataChange

DataChange - if data changed, load new picture

Declaration

Source position: dbctrls.pp line 1146

protected procedure TDBImage.DataChange(

  Sender: TObject

);


TDBImage.DataField

The name of the DataField that holds the image

Declaration

Source position: dbctrls.pp line 1173

published property TDBImage.DataField : string
  read GetDataField
  write SetDataField;


TDBImage.DataSource

The identity of the DataSource that holds the image

Declaration

Source position: dbctrls.pp line 1174

published property TDBImage.DataSource : TDataSource
  read GetDataSource
  write SetDataSource;


TDBImage.Destroy

Destroy - destructor for TDBImage: frees datalinks and calls inherited Destroy

Declaration

Source position: dbctrls.pp line 1153

public destructor TDBImage.Destroy; override;

See also

TCustomImage.Destroy

Destroy - destructor for TCustomImage: frees picture then calls inherited Destroy


TDBImage.DoCopyToClipboard

Declaration

Source position: dbctrls.pp line 1150

protected procedure TDBImage.DoCopyToClipboard;


TDBImage.DragKind

Declaration

Source position: dbctrls.pp line 1176

published property TDBImage.DragKind : TDragKind;


TDBImage.ExecuteAction

Declaration

Source position: dbctrls.pp line 1154

public function TDBImage.ExecuteAction(

  AAction: TBasicAction

):Boolean; override;


TDBImage.Field

The Field in which picture data are stored

Declaration

Source position: dbctrls.pp line 1156

public property TDBImage.Field : TField
  read GetField;


TDBImage.KeepOriginXWhenClipped

Declaration

Source position: dbctrls.pp line 1178

published property TDBImage.KeepOriginXWhenClipped : Boolean;


TDBImage.KeepOriginYWhenClipped

Declaration

Source position: dbctrls.pp line 1179

published property TDBImage.KeepOriginYWhenClipped : Boolean;


TDBImage.LoadPicture

LoadPicture - loads picture into the appropriate field for the graphic class of the caller

Declaration

Source position: dbctrls.pp line 1159

public procedure TDBImage.LoadPicture; virtual;


TDBImage.OnDBImageRead

Event to read a custom header from image stream.

Declaration

Source position: dbctrls.pp line 1182

published property TDBImage.OnDBImageRead : TOnDBImageRead
  read FOnDBImageRead
  write FOnDBImageRead;

Description

By default, the TDbImage component expects a header at the start of the image stream. This helps to efficiently identify the image format contained in the data stream. On writing, the header is controlled by the WriteHeader property or the OnDbImageWrite event handler.

When loading image data which was created by external applications, the data stream may not have a header or the header is not a format identifier that the TDbImage component would recognize.

In this case, the OnDbImageRead event can be used to identify the image format in the data stream. In the GraphExt parameter it must return a format identifier corresponding to the registered image format. This format identifier could e.g. be read from the data stream provided in the s parameter. On return, the data stream should start with the raw image data.

If the OnDbImageRead handler was not implemented or if it returns an invalid format identifier, the TDbImage component will try to load the image by checking the data stream content. This means that it is not necessary to write an OnDbImageRead event handler for the most common image formats, For example: jpg, png, gif or bmp.

The TDbImage component will be able to identify the image format even if the data stream doesn't have a header for those TGraphic registered classes that implement the IsStreamFormatSupported method.


TDBImage.OnDBImageWrite

Event to write a custom header into image stream.

Declaration

Source position: dbctrls.pp line 1183

published property TDBImage.OnDBImageWrite : TOnDBImageWrite
  read FOnDBImageWrite
  write FOnDBImageWrite;

Description

Use OnDBImageWrite to write a custom header in the image stream. This header could be "decoded" in the handler for the OnDbImageRead event when loading. The header will be followed by the image raw data.

By default, TDbImage will write an image header in order to efficiently identify the image format when loading. This behaviour is controlled by the WriteHeader property. If your database will be shared with external applications that do not support this, it is important to not write an image header. This could be achieved by writing an empty handler for OnDbImageWrite. Note that an empty handler has the same effect as setting WriteHeader to false.

OnDbImageWrite has precedence over the WriteHeader property.


TDBImage.OnDblClick

Declaration

Source position: dbctrls.pp line 1181

published property TDBImage.OnDblClick : TNotifyEvent;


TDBImage.OnMouseEnter

Declaration

Source position: dbctrls.pp line 1189

published property TDBImage.OnMouseEnter : TNotifyEvent;


TDBImage.OnMouseLeave

Declaration

Source position: dbctrls.pp line 1190

published property TDBImage.OnMouseLeave : TNotifyEvent;


TDBImage.OnMouseWheel

Declaration

Source position: dbctrls.pp line 1193

published property TDBImage.OnMouseWheel : TMouseWheelEvent;


TDBImage.OnMouseWheelDown

Declaration

Source position: dbctrls.pp line 1194

published property TDBImage.OnMouseWheelDown : TMouseWheelUpDownEvent;


TDBImage.OnMouseWheelUp

Declaration

Source position: dbctrls.pp line 1195

published property TDBImage.OnMouseWheelUp : TMouseWheelUpDownEvent;


TDBImage.ParentShowHint

Declaration

Source position: dbctrls.pp line 1197

published property TDBImage.ParentShowHint : Boolean;


TDBImage.PasteFromClipboard

Declaration

Source position: dbctrls.pp line 1162

public procedure TDBImage.PasteFromClipboard;


TDBImage.PictureLoaded

Declaration

Source position: dbctrls.pp line 1163

public property TDBImage.PictureLoaded : Boolean
  read FPictureLoaded;


TDBImage.PopupMenu

Declaration

Source position: dbctrls.pp line 1184

published property TDBImage.PopupMenu : TPopupMenu;


TDBImage.Proportional

True if image is proportional

Declaration

Source position: dbctrls.pp line 1198

published property TDBImage.Proportional : Boolean;


TDBImage.QuickDraw

QuickDraw - if True, quick drawing is implemented

Declaration

Source position: dbctrls.pp line 1199

published property TDBImage.QuickDraw : Boolean
  read FQuickDraw
  write FQuickDraw
  default True;


TDBImage.ReadOnly

ReadOnly if True, image can be inspected byt not modified or written

Declaration

Source position: dbctrls.pp line 1200

published property TDBImage.ReadOnly : Boolean
  read GetReadOnly
  write SetReadOnly
  default False;


TDBImage.ShowHint

Declaration

Source position: dbctrls.pp line 1201

published property TDBImage.ShowHint : Boolean;


TDBImage.StretchInEnabled

Declaration

Source position: dbctrls.pp line 1203

published property TDBImage.StretchInEnabled : Boolean;


TDBImage.StretchOutEnabled

Declaration

Source position: dbctrls.pp line 1204

published property TDBImage.StretchOutEnabled : Boolean;


TDBImage.UpdateAction

Declaration

Source position: dbctrls.pp line 1155

public function TDBImage.UpdateAction(

  AAction: TBasicAction

):Boolean; override;


TDBImage.UpdateData

UpdateData - if data changed, save new picture

Declaration

Source position: dbctrls.pp line 1147

protected procedure TDBImage.UpdateData(

  Sender: TObject

); virtual;


TDBImage.WriteHeader

Write a header in the image stream.

Declaration

Source position: dbctrls.pp line 1207

published property TDBImage.WriteHeader : Boolean
  read FWriteHeader
  write FWriteHeader
  default True;

Description

The WriteHeader property controls whether or not a header will be written to the image stream. By default a header will be written. This helps to efficiently identify the image format when loading. The writing of a header in the image stream could be a problem if the database will be shared with external applications that do not expect a header in the image stream. In this case, set WriteHeader value to false in order to skip the header writing.

The default value is true.

Note: The WriteHeader value is ignored if OnDbImageWrite event is implemented.


TDBListBox

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

TDBListBox - a data-aware version of TListBox, for displaying lists of entries from a field in a database

Declaration

Source position: dbctrls.pp line 381

type TDBListBox = class(TCustomDBListBox)
protected
procedure DataChange(); override; | DataChange - method for dealing with a change in the data
procedure DoSelectionChange(); override;
procedure UpdateData(); override; | UpdateData - method for applying any pending changes to the data
public
procedure EditingDone; override; | EditingDone - what to do when you have finished editing
published
property Align: TAlign; | Specifies the placement of the control inside its Parent.
property Anchors: TAnchors; | The set of anchor definitions for this control.
property BiDiMode: TBiDiMode;
property BorderSpacing: TControlBorderSpacing; | Determines the inner and outer border spacing for this control.
property BorderStyle: TBorderStyle; | Allows to show a border (line) around the control,
property Color: TColor;
property Constraints: TSizeConstraints;
property DataField: string; | The name of the DataField to which the listbox belongs
property DataSource: TDataSource; | The identity of the DataSource from which the lookup data will be fetched
property DoubleBuffered: Boolean;
property DragCursor: TCursor; | The cursor shape shown while the control is dragged.
property DragKind: TDragKind;
property DragMode: TDragMode; | Allows the user to drag the control.
property Enabled: Boolean;
property ExtendedSelect: Boolean; | True when a contiguous range of items can be selected by a SHIFT-click. Default True.
property Font: TFont;
property ItemHeight: Integer; | The default height of all items.
property Items: TStrings; | Items - the data that form the list in the box
property MultiSelect: Boolean; | Allows to select more than one Item from the list, using CTRL-click.
property OnClick: TNotifyEvent; | Notification handler for mouse clicks.
property OnDblClick: TNotifyEvent; | Event Handler for double mouse clicks.
property OnDragDrop: TDragDropEvent; | This handler determines the action on an drop onto this control, in a drag-drop operation.
property OnDragOver: TDragOverEvent; | Event handler for a control being dragged over this control.
property OnDrawItem: TDrawItemEvent; | Handler for special painting of an item (in owner-draw mode).
property OnEndDrag: TEndDragEvent; | Notification handler for the end of a dragging operation.
property OnEnter: TNotifyEvent; | Handler for control receiving the focus.
property OnExit: TNotifyEvent; | Handler for control loosing the focus. This is a good place for checking the finished user input.
property OnKeyPress: TKeyPressEvent; | Handler for a character entered by the user.
property OnKeyDown: TKeyEvent; | Handler for keyboard key pressed.
property OnKeyUp: TKeyEvent; | Handler for keyboard key released.
property OnMouseDown: TMouseEvent; | Event handler for mouse button going down.
property OnMouseEnter: TNotifyEvent;
property OnMouseLeave: TNotifyEvent;
property OnMouseMove: TMouseMoveEvent; | Event handler for mouse movement within the control.
property OnMouseUp: TMouseEvent; | Event handler for mouse button going up.
property OnMouseWheel: TMouseWheelEvent;
property OnMouseWheelDown: TMouseWheelUpDownEvent;
property OnMouseWheelUp: TMouseWheelUpDownEvent;
property OnResize: TNotifyEvent; | Notification handler for a resize of the control.
property OnStartDrag: TStartDragEvent; | Event handler for the start of a dragging operation.
property OnUTF8KeyPress: TUTF8KeyPressEvent; | Handler for a character entered by the user.
property Options: TListBoxOptions;
property ParentBiDiMode: Boolean;
property ParentDoubleBuffered: Boolean;
property ParentShowHint: Boolean; | If true, the value of ShowHint for the control will be the same as the one from the Parent. Default is true.
property PopupMenu: TPopupMenu;
property ReadOnly: Boolean; | ReadOnly - if True, the data can only be read but not written or edited
property ShowHint: Boolean; | Enables the Hint display.
property Sorted: Boolean; | Determines whether the list entries are sorted.
property Style: TListBoxStyle; | Appearance of the ListBox - normal, owner-draw fixed, or owner-draw variable.
property TabOrder: TTabOrder; | Determines the sequence of controls, reachable when the user presses the Tab key.
property TabStop: Boolean; | Allows the user to navigate to this control, by pressing the Tab key.
property TopIndex: Integer; | Index of the first visible (topmost) item.
property Visible: Boolean; | Allows to show or hide the control, and all of its children.
end;

Inheritance

TDBListBox | TDBListBox - a data-aware version of TListBox, for displaying lists of entries from a field in a database
|
TCustomDBListBox | TCustomDBListBox - base class for TDBListBox, a data-aware listbox for presenting list information from a database
|
TCustomListBox | The base class for TListBox.
|
TWinControl | The base class for controls which can contain other (child) controls.
|
TControl | The base class for visible controls.
|
TLCLComponent | The base class for LCL components associated with widgets.
|
TComponent,IUnknown,IInterfaceComponentReference
|
TPersistent,IFPObserved
|
TObject

See also

HowToUseDataAwareControls

HowToUseDataAwareControls - Hints for accessing databases


TDBListBox
pl | ro | Align
pl | ro | Anchors
pl | ro | BiDiMode
pl | ro | BorderSpacing
pl | ro | BorderStyle
pl | ro | Color
pl | ro | Constraints
pl | ro | DataField
pl | ro | DataSource
pl | ro | DoubleBuffered
pl | ro | DragCursor
pl | ro | DragKind
pl | ro | DragMode
pl | ro | Enabled
pl | ro | ExtendedSelect
pl | ro | Font
pl | ro | ItemHeight
pl | ro | Items
pl | ro | MultiSelect
pl | ro | Options
pl | ro | ParentBiDiMode
pl | ro | ParentDoubleBuffered
pl | ro | ParentShowHint
pl | ro | PopupMenu
pl | ro | ReadOnly
pl | ro | ShowHint
pl | ro | Sorted
pl | ro | Style
pl | ro | TabOrder
pl | ro | TabStop
pl | ro | TopIndex
pl | ro | Visible
TCustomDBListBox
 | ro | Field
 |  | DataField
 |  | DataSource
 |  | ReadOnly
TCustomListBox
 | ro | Align
 | ro | Anchors
 | ro | BorderStyle
 | ro | Canvas
 |  | ClickOnSelChange
 |  | Columns
 | ro | Constraints
 | ro | Count
 |  | ExtendedSelect
 | ro | Font
 |  | IntegralHeight
 |  | ItemHeight
 |  | ItemIndex
 |  | Items
 |  | MultiSelect
 |  | Options
 | ro | ParentColor
 | ro | ParentFont
 | ro | ParentShowHint
 | ro | PopupMenu
 |  | ScrollWidth
 | ro | SelCount
 |  | Selected
 | ro | ShowHint
 |  | Sorted
 |  | Style
 | ro | TabOrder
 | ro | TabStop
 |  | TopIndex
 | ro | Visible
TWinControl
pt |  | WindowHandle
pt |  | BorderStyle
pt |  | ParentBackground
 |  | BorderWidth
 | ro | BoundsLockCount
 | ro | Brush
 | ro | CachedClientHeight
 | ro | CachedClientWidth
 |  | ChildSizing
 | ro | ControlCount
 | ro | Controls
 |  | DefWndProc
 | ro | DockClientCount
 | ro | DockClients
 |  | DockManager
 |  | DockSite
 |  | DoubleBuffered
 |  | Handle
 | ro | IsFlipped
 | ro | IsResizing
 |  | TabOrder
 |  | TabStop
 |  | ParentDoubleBuffered
 |  | ParentWindow
 | ro | Showing
 |  | UseDockManager
 |  | DesignerDeleting
 | ro | VisibleDockClientCount
TControl
pt | ro | AutoSizing
pt | ro | AutoSizingAll
pt | ro | AutoSizingLockCount
pt |  | ActionLink
pt |  | DesktopFont
pt |  | DragCursor
pt |  | DragKind
pt |  | DragMode
pt |  | MouseCapture
pt |  | ParentColor
pt |  | ParentFont
pt |  | ParentShowHint
pt |  | SessionProperties
pt |  | Text
 | ro | AnchoredControls
 | ro | BaseBounds
 | ro | ReadBounds
 | ro | BaseParentClientSize
 |  | AccessibleDescription
 |  | AccessibleValue
 |  | AccessibleRole
 |  | Action
 |  | Align
 |  | Anchors
 | ro | AnchorSide
 |  | AutoSize
 |  | BorderSpacing
 |  | BoundsRect
 |  | BoundsRectForNewParent
 |  | Caption
 |  | CaptureMouseButtons
 |  | ClientHeight
 | ro | ClientOrigin
 | ro | ClientRect
 |  | ClientWidth
 |  | Color
 |  | Constraints
 | ro | ControlOrigin
 |  | ControlState
 |  | ControlStyle
 |  | Enabled
 |  | Font
 |  | IsControl
 | ro | MouseEntered
 | ro | MouseInClient
 |  | Parent
 |  | PopupMenu
 |  | ShowHint
 |  | Visible
 |  | WindowProc
 |  | DockOrientation
 | ro | Floating
 |  | FloatingDockSiteClass
 |  | HostDockSite
 |  | LRDockWidth
 |  | TBDockHeight
 |  | UndockHeight
 |  | UndockWidth
 |  | BiDiMode
 |  | ParentBiDiMode
pl |  | AnchorSideLeft
pl |  | AnchorSideTop
pl |  | AnchorSideRight
pl |  | AnchorSideBottom
pl |  | Cursor
pl |  | Left
pl |  | Height
pl |  | Hint
pl |  | Top
pl |  | Width
pl |  | HelpType
pl |  | HelpKeyword
pl |  | HelpContext
TLCLComponent
 | ro | LCLRefCount
 | ro | WidgetSetClass
TComponent
 | ro | ComObject
 | ro | Components
 | ro | ComponentCount
 |  | ComponentIndex
 | ro | ComponentState
 | ro | ComponentStyle
 |  | DesignInfo
 | ro | Owner
 |  | VCLComObject
 |  | Name
 |  | Tag
TPersistent
TObject


 |  | AccessibleDescription (TControl)
 |  | AccessibleRole (TControl)
 |  | AccessibleValue (TControl)
 |  | Action (TControl)
pt |  | ActionLink (TControl)
 |  | Align (TControl)
 | ro | Align (TCustomListBox)
pl | ro | Align (TDBListBox)
 | ro | AnchoredControls (TControl)
 |  | Anchors (TControl)
 | ro | Anchors (TCustomListBox)
pl | ro | Anchors (TDBListBox)
 | ro | AnchorSide (TControl)
pl |  | AnchorSideBottom (TControl)
pl |  | AnchorSideLeft (TControl)
pl |  | AnchorSideRight (TControl)
pl |  | AnchorSideTop (TControl)
 |  | AutoSize (TControl)
pt | ro | AutoSizing (TControl)
pt | ro | AutoSizingAll (TControl)
pt | ro | AutoSizingLockCount (TControl)
 | ro | BaseBounds (TControl)
 | ro | BaseParentClientSize (TControl)
 |  | BiDiMode (TControl)
pl | ro | BiDiMode (TDBListBox)
 |  | BorderSpacing (TControl)
pl | ro | BorderSpacing (TDBListBox)
pt |  | BorderStyle (TWinControl)
 | ro | BorderStyle (TCustomListBox)
pl | ro | BorderStyle (TDBListBox)
 |  | BorderWidth (TWinControl)
 | ro | BoundsLockCount (TWinControl)
 |  | BoundsRect (TControl)
 |  | BoundsRectForNewParent (TControl)
 | ro | Brush (TWinControl)
 | ro | CachedClientHeight (TWinControl)
 | ro | CachedClientWidth (TWinControl)
 | ro | Canvas (TCustomListBox)
 |  | Caption (TControl)
 |  | CaptureMouseButtons (TControl)
 |  | ChildSizing (TWinControl)
 |  | ClickOnSelChange (TCustomListBox)
 |  | ClientHeight (TControl)
 | ro | ClientOrigin (TControl)
 | ro | ClientRect (TControl)
 |  | ClientWidth (TControl)
 |  | Color (TControl)
pl | ro | Color (TDBListBox)
 |  | Columns (TCustomListBox)
 | ro | ComObject (TComponent)
 | ro | ComponentCount (TComponent)
 |  | ComponentIndex (TComponent)
 | ro | Components (TComponent)
 | ro | ComponentState (TComponent)
 | ro | ComponentStyle (TComponent)
 |  | Constraints (TControl)
 | ro | Constraints (TCustomListBox)
pl | ro | Constraints (TDBListBox)
 | ro | ControlCount (TWinControl)
 | ro | ControlOrigin (TControl)
 | ro | Controls (TWinControl)
 |  | ControlState (TControl)
 |  | ControlStyle (TControl)
 | ro | Count (TCustomListBox)
pl |  | Cursor (TControl)
 |  | DataField (TCustomDBListBox)
pl | ro | DataField (TDBListBox)
 |  | DataSource (TCustomDBListBox)
pl | ro | DataSource (TDBListBox)
 |  | DefWndProc (TWinControl)
 |  | DesignerDeleting (TWinControl)
 |  | DesignInfo (TComponent)
pt |  | DesktopFont (TControl)
 | ro | DockClientCount (TWinControl)
 | ro | DockClients (TWinControl)
 |  | DockManager (TWinControl)
 |  | DockOrientation (TControl)
 |  | DockSite (TWinControl)
 |  | DoubleBuffered (TWinControl)
pl | ro | DoubleBuffered (TDBListBox)
pt |  | DragCursor (TControl)
pl | ro | DragCursor (TDBListBox)
pt |  | DragKind (TControl)
pl | ro | DragKind (TDBListBox)
pt |  | DragMode (TControl)
pl | ro | DragMode (TDBListBox)
 |  | Enabled (TControl)
pl | ro | Enabled (TDBListBox)
 |  | ExtendedSelect (TCustomListBox)
pl | ro | ExtendedSelect (TDBListBox)
 | ro | Field (TCustomDBListBox)
 | ro | Floating (TControl)
 |  | FloatingDockSiteClass (TControl)
 |  | Font (TControl)
 | ro | Font (TCustomListBox)
pl | ro | Font (TDBListBox)
 |  | Handle (TWinControl)
pl |  | Height (TControl)
pl |  | HelpContext (TControl)
pl |  | HelpKeyword (TControl)
pl |  | HelpType (TControl)
pl |  | Hint (TControl)
 |  | HostDockSite (TControl)
 |  | IntegralHeight (TCustomListBox)
 |  | IsControl (TControl)
 | ro | IsFlipped (TWinControl)
 | ro | IsResizing (TWinControl)
 |  | ItemHeight (TCustomListBox)
pl | ro | ItemHeight (TDBListBox)
 |  | ItemIndex (TCustomListBox)
 |  | Items (TCustomListBox)
pl | ro | Items (TDBListBox)
 | ro | LCLRefCount (TLCLComponent)
pl |  | Left (TControl)
 |  | LRDockWidth (TControl)
pt |  | MouseCapture (TControl)
 | ro | MouseEntered (TControl)
 | ro | MouseInClient (TControl)
 |  | MultiSelect (TCustomListBox)
pl | ro | MultiSelect (TDBListBox)
 |  | Name (TComponent)
 |  | Options (TCustomListBox)
pl | ro | Options (TDBListBox)
 | ro | Owner (TComponent)
 |  | Parent (TControl)
pt |  | ParentBackground (TWinControl)
 |  | ParentBiDiMode (TControl)
pl | ro | ParentBiDiMode (TDBListBox)
pt |  | ParentColor (TControl)
 | ro | ParentColor (TCustomListBox)
 |  | ParentDoubleBuffered (TWinControl)
pl | ro | ParentDoubleBuffered (TDBListBox)
pt |  | ParentFont (TControl)
 | ro | ParentFont (TCustomListBox)
pt |  | ParentShowHint (TControl)
 | ro | ParentShowHint (TCustomListBox)
pl | ro | ParentShowHint (TDBListBox)
 |  | ParentWindow (TWinControl)
 |  | PopupMenu (TControl)
 | ro | PopupMenu (TCustomListBox)
pl | ro | PopupMenu (TDBListBox)
 | ro | ReadBounds (TControl)
 |  | ReadOnly (TCustomDBListBox)
pl | ro | ReadOnly (TDBListBox)
 |  | ScrollWidth (TCustomListBox)
 | ro | SelCount (TCustomListBox)
 |  | Selected (TCustomListBox)
pt |  | SessionProperties (TControl)
 |  | ShowHint (TControl)
 | ro | ShowHint (TCustomListBox)
pl | ro | ShowHint (TDBListBox)
 | ro | Showing (TWinControl)
 |  | Sorted (TCustomListBox)
pl | ro | Sorted (TDBListBox)
 |  | Style (TCustomListBox)
pl | ro | Style (TDBListBox)
 |  | TabOrder (TWinControl)
 | ro | TabOrder (TCustomListBox)
pl | ro | TabOrder (TDBListBox)
 |  | TabStop (TWinControl)
 | ro | TabStop (TCustomListBox)
pl | ro | TabStop (TDBListBox)
 |  | Tag (TComponent)
 |  | TBDockHeight (TControl)
pt |  | Text (TControl)
pl |  | Top (TControl)
 |  | TopIndex (TCustomListBox)
pl | ro | TopIndex (TDBListBox)
 |  | UndockHeight (TControl)
 |  | UndockWidth (TControl)
 |  | UseDockManager (TWinControl)
 |  | VCLComObject (TComponent)
 |  | Visible (TControl)
 | ro | Visible (TCustomListBox)
pl | ro | Visible (TDBListBox)
 | ro | VisibleDockClientCount (TWinControl)
 | ro | WidgetSetClass (TLCLComponent)
pl |  | Width (TControl)
pt |  | WindowHandle (TWinControl)
 |  | WindowProc (TControl)


TDBListBox
pt | DataChange
pt | DoSelectionChange
pt | UpdateData
 | EditingDone
TCustomDBListBox
pt | DataChange
pt | KeyDown
pt | Notification
pt | UpdateData
pt | SetItems
 | Create
 | Destroy
 | ExecuteAction
 | UpdateAction
TCustomListBox
pt | WSRegisterClass
pt | AssignItemDataToCache
pt | AssignCacheToItemData
pt | BeforeDragStart
pt | BeginAutoDrag
pt | CalculateStandardItemHeight
pt | CreateParams
pt | InitializeWnd
pt | DestroyWnd
pt | FinalizeWnd
pt | GetControlClassDefaultSize
pt | CheckIndex
pt | GetItemHeight
pt | GetItemIndex
pt | GetSelCount
pt | GetSelected
pt | GetCachedDataSize
pt | GetCachedData
pt | SetExtendedSelect
pt | SetItemIndex
pt | SetItems
pt | SetItemHeight
pt | SetMultiSelect
pt | SetSelected
pt | SetSorted
pt | SetStyle
pt | DrawItem
pt | DoAutoAdjustLayout
pt | DoSelectionChange
pt | SendItemIndex
pt | WMGetDlgCode
 | Create
 | Destroy
 | AddItem
 | Click
 | Clear
 | ClearSelection
 | GetIndexAtXY
 | GetIndexAtY
 | GetSelectedText
 | ItemAtPos
 | ItemRect
 | ItemVisible
 | ItemFullyVisible
 | LockSelectionChange
 | MakeCurrentVisible
 | MeasureItem
 | SelectAll
 | DeleteSelected
 | UnlockSelectionChange
TWinControl
pt | WSRegisterClass
pt | AdjustClientRect
pt | GetAdjustedLogicalClientRect
pt | AlignControls
pt | CustomAlignInsertBefore
pt | CustomAlignPosition
pt | DoAlignChildControls
pt | DoChildSizingChange
pt | InvalidatePreferredChildSizes
pt | CanTab
pt | IsClientHeightStored
pt | IsClientWidthStored
pt | DoSendShowHideToInterface
pt | ControlsAligned
pt | DoSendBoundsToInterface
pt | RealizeBounds
pt | RealizeBoundsRecursive
pt | InvalidateBoundsRealized
pt | CreateSubClass
pt | DoConstraintsChange
pt | DoSetBounds
pt | DoAutoSize
pt | DoAllAutoSize
pt | AllAutoSized
pt | CalculatePreferredSize
pt | GetPreferredSizeClientFrame
pt | GetChildren
pt | ChildClassAllowed
pt | PaintControls
pt | PaintHandler
pt | PaintWindow
pt | CreateBrush
pt | ScaleControls
pt | ChangeScale
pt | CMBiDiModeChanged
pt | CMBorderChanged
pt | CMDoubleBufferedChanged
pt | CMEnabledChanged
pt | CMParentDoubleBufferedChanged
pt | CMShowingChanged
pt | CMShowHintChanged
pt | CMVisibleChanged
pt | CMEnter
pt | CMExit
pt | WMContextMenu
pt | WMEraseBkgnd
pt | WMNotify
pt | WMSetFocus
pt | WMKillFocus
pt | WMShowWindow
pt | WMEnter
pt | WMExit
pt | WMKeyDown
pt | WMSysKeyDown
pt | WMKeyUp
pt | WMSysKeyUp
pt | WMChar
pt | WMSysChar
pt | WMPaint
pt | WMDestroy
pt | WMMove
pt | WMSize
pt | WMWindowPosChanged
pt | CNKeyDown
pt | CNSysKeyDown
pt | CNKeyUp
pt | CNSysKeyUp
pt | CNChar
pt | DoDragMsg
pt | DoDockClientMsg
pt | DoUndockClientMsg
pt | DoAddDockClient
pt | DockOver
pt | DoDockOver
pt | DoRemoveDockClient
pt | DoUnDock
pt | GetSiteInfo
pt | GetParentHandle
pt | GetTopParentHandle
pt | ReloadDockedControl
pt | CreateDockManager
pt | SetDockManager
pt | DoFloatMsg
pt | DoGetDockCaption
pt | DoEnter
pt | DoExit
pt | DoKeyDownBeforeInterface
pt | DoRemainingKeyDown
pt | DoRemainingKeyUp
pt | DoKeyPress
pt | DoUTF8KeyPress
pt | DoKeyUpBeforeInterface
pt | ChildKey
pt | SendDialogChar
pt | DialogChar
pt | ControlKeyDown
pt | ControlKeyUp
pt | KeyDown
pt | KeyDownBeforeInterface
pt | KeyDownAfterInterface
pt | KeyPress
pt | KeyUp
pt | KeyUpBeforeInterface
pt | KeyUpAfterInterface
pt | UTF8KeyPress
pt | FindNextControl
pt | SelectFirst
pt | RealGetText
pt | GetBorderStyle
pt | GetClientOrigin
pt | GetClientRect
pt | GetControlOrigin
pt | GetDeviceContext
pt | GetParentBackground
pt | IsControlMouseMsg
pt | CreateHandle
pt | CreateParams
pt | CreateWnd
pt | DestroyHandle
pt | DestroyWnd
pt | DoFlipChildren
pt | FinalizeWnd
pt | FixupTabList
pt | FontChanged
pt | InitializeWnd
pt | Loaded
pt | FormEndUpdated
pt | MainWndProc
pt | ParentFormHandleInitialized
pt | ChildHandlesCreated
pt | GetMouseCapture
pt | RealSetText
pt | RemoveFocus
pt | SendMoveSizeMessages
pt | SetBorderStyle
pt | SetColor
pt | SetChildZPosition
pt | SetParentBackground
pt | ShowControl
pt | UpdateControlState
pt | UpdateShowing
pt | WndProc
pt | WSSetText
 | AutoSizePhases
 | AutoSizeDelayed
 | AutoSizeDelayedReport
 | AutoSizeDelayedHandle
 | BeginUpdateBounds
 | EndUpdateBounds
 | LockRealizeBounds
 | UnlockRealizeBounds
 | ControlAtPos
 | ContainsControl
 | DoAdjustClientRectChange
 | InvalidateClientRectCache
 | ClientRectNeedsInterfaceUpdate
 | SetBounds
 | GetChildrenRect
 | DisableAlign
 | EnableAlign
 | ReAlign
 | ScrollBy_WS
 | ScrollBy
 | WriteLayoutDebugReport
 | AutoAdjustLayout
 | Create
 | CreateParented
 | CreateParentedControl
 | Destroy
 | DockDrop
 | CanFocus
 | CanSetFocus
 | GetControlIndex
 | SetControlIndex
 | Focused
 | PerformTab
 | FindChildControl
 | SelectNext
 | SetTempCursor
 | BroadCast
 | NotifyControls
 | DefaultHandler
 | GetTextLen
 | Invalidate
 | AddControl
 | InsertControl
 | RemoveControl
 | GetEnumeratorControls
 | GetEnumeratorControlsReverse
 | Repaint
 | Update
 | SetFocus
 | FlipChildren
 | ScaleBy
 | GetDockCaption
 | UpdateDockCaption
 | GetTabOrderList
 | HandleAllocated
 | ParentHandlesAllocated
 | HandleNeeded
 | BrushCreated
 | EraseBackground
 | IntfUTF8KeyPress
 | IntfGetDropFilesTarget
 | PaintTo
 | SetShape
TControl
pt | WSRegisterClass
pt | GetCursor
pt | SetCursor
pt | SetVisible
pt | DoOnParentHandleDestruction
pt | DoAutoSize
pt | DoAllAutoSize
pt | BeginAutoSizing
pt | EndAutoSizing
pt | AnchorSideChanged
pt | ForeignAnchorSideChanged
pt | SetAlign
pt | SetAnchors
pt | SetAutoSize
pt | BoundsChanged
pt | CreateControlBorderSpacing
pt | DoConstraintsChange
pt | DoBorderSpacingChange
pt | IsBorderSpacingInnerBorderStored
pt | IsCaptionStored
pt | SendMoveSizeMessages
pt | ConstrainedResize
pt | CalculatePreferredSize
pt | DoOnResize
pt | DoOnChangeBounds
pt | CheckOnChangeBounds
pt | Resize
pt | RequestAlign
pt | UpdateAnchorRules
pt | ChangeBounds
pt | DoSetBounds
pt | ScaleConstraints
pt | ChangeScale
pt | CanAutoSize
pt | SetBiDiMode
pt | SetParentBiDiMode
pt | IsAParentAligning
pt | GetClientOrigin
pt | GetClientRect
pt | GetLogicalClientRect
pt | GetScrolledClientRect
pt | GetClientScrollOffset
pt | GetControlOrigin
pt | IsClientHeightStored
pt | IsClientWidthStored
pt | WidthIsAnchored
pt | HeightIsAnchored
pt | WMCancelMode
pt | WMContextMenu
pt | WMLButtonDown
pt | WMRButtonDown
pt | WMMButtonDown
pt | WMXButtonDown
pt | WMLButtonDBLCLK
pt | WMRButtonDBLCLK
pt | WMMButtonDBLCLK
pt | WMXButtonDBLCLK
pt | WMLButtonTripleCLK
pt | WMRButtonTripleCLK
pt | WMMButtonTripleCLK
pt | WMXButtonTripleCLK
pt | WMLButtonQuadCLK
pt | WMRButtonQuadCLK
pt | WMMButtonQuadCLK
pt | WMXButtonQuadCLK
pt | WMMouseMove
pt | WMLButtonUp
pt | WMRButtonUp
pt | WMMButtonUp
pt | WMXButtonUp
pt | WMMouseWheel
pt | WMMouseHWheel
pt | WMMove
pt | WMSize
pt | WMWindowPosChanged
pt | CMChanged
pt | LMCaptureChanged
pt | CMBiDiModeChanged
pt | CMSysFontChanged
pt | CMEnabledChanged
pt | CMHitTest
pt | CMMouseEnter
pt | CMMouseLeave
pt | CMHintShow
pt | CMParentBiDiModeChanged
pt | CMParentColorChanged
pt | CMParentFontChanged
pt | CMParentShowHintChanged
pt | CMVisibleChanged
pt | CMTextChanged
pt | CMCursorChanged
pt | CalculateDockSizes
pt | CreateFloatingDockSite
pt | GetDockEdge
pt | GetDragImages
pt | GetFloating
pt | GetFloatingDockSiteClass
pt | BeforeDragStart
pt | BeginAutoDrag
pt | DoFloatMsg
pt | DockTrackNoTarget
pt | DoDock
pt | DoDragMsg
pt | DoEndDock
pt | DoEndDrag
pt | DoStartDock
pt | DoStartDrag
pt | DragCanceled
pt | DragOver
pt | PositionDockRect
pt | SetDragMode
pt | GetDefaultDockCaption
pt | Click
pt | DblClick
pt | TripleClick
pt | QuadClick
pt | GetMousePosFromMessage
pt | MouseDown
pt | MouseMove
pt | MouseUp
pt | MouseEnter
pt | MouseLeave
pt | DialogChar
pt | UpdateMouseCursor
pt | Changed
pt | GetPalette
pt | ChildClassAllowed
pt | ReadState
pt | Loaded
pt | LoadedAll
pt | DefineProperties
pt | AssignTo
pt | FormEndUpdated
pt | InvalidateControl
pt | FontChanged
pt | ParentFontChanged
pt | GetAction
pt | RealGetText
pt | RealSetText
pt | TextChanged
pt | GetCachedText
pt | SetAction
pt | SetColor
pt | SetEnabled
pt | SetHint
pt | SetName
pt | SetParent
pt | SetParentComponent
pt | WndProc
pt | ParentFormHandleInitialized
pt | GetMouseCapture
pt | CaptureChanged
pt | Notification
pt | CanTab
pt | GetDeviceContext
pt | GetEnabled
pt | GetPopupMenu
pt | DoOnShowHint
pt | DoMouseWheel
pt | DoMouseWheelDown
pt | DoMouseWheelUp
pt | DoMouseWheelHorz
pt | DoMouseWheelLeft
pt | DoMouseWheelRight
pt | VisibleChanging
pt | VisibleChanged
pt | EnabledChanging
pt | EnabledChanged
pt | AddHandler
pt | RemoveHandler
pt | DoCallNotifyHandler
pt | DoCallKeyEventHandler
pt | DoCallMouseWheelEventHandler
pt | DoContextPopup
pt | SetZOrder
pt | GetControlClassDefaultSize
pt | ColorIsStored
pt | DoAutoAdjustLayout
pt | DoFixDesignFontPPI
pt | DoScaleFontPPI
pt | GetActionLinkClass
pt | ActionChange
 | DragDrop
 | Dock
 | ManualDock
 | ManualFloat
 | ReplaceDockedControl
 | Docked
 | Dragging
 | GetAccessibleObject
 | CreateAccessibleObject
 | GetSelectedChildAccessibleObject
 | GetChildAccessibleObjectAtPos
 | ScaleDesignToForm
 | ScaleFormToDesign
 | Scale96ToForm
 | ScaleFormTo96
 | Scale96ToFont
 | ScaleFontTo96
 | ScaleScreenToFont
 | ScaleFontToScreen
 | Scale96ToScreen
 | ScaleScreenTo96
 | AdjustSize
 | AutoSizePhases
 | AutoSizeDelayed
 | AutoSizeDelayedReport
 | AutoSizeDelayedHandle
 | AnchorToNeighbour
 | AnchorParallel
 | AnchorHorizontalCenterTo
 | AnchorVerticalCenterTo
 | AnchorToCompanion
 | AnchorSame
 | AnchorAsAlign
 | AnchorClient
 | AnchoredControlCount
 | SetBounds
 | SetInitialBounds
 | SetBoundsKeepBase
 | GetPreferredSize
 | GetCanvasScaleFactor
 | GetDefaultWidth
 | GetDefaultHeight
 | GetDefaultColor
 | GetColorResolvingParent
 | GetRGBColorResolvingParent
 | GetSidePosition
 | CNPreferredSizeChanged
 | InvalidatePreferredSize
 | GetAnchorsDependingOnParent
 | DisableAutoSizing
 | EnableAutoSizing
 | UpdateBaseBounds
 | WriteLayoutDebugReport
 | AutoAdjustLayout
 | ShouldAutoAdjust
 | FixDesignFontsPPI
 | ScaleFontsPPI
 | Create
 | Destroy
 | BeforeDestruction
 | EditingDone
 | ExecuteDefaultAction
 | ExecuteCancelAction
 | BeginDrag
 | EndDrag
 | BringToFront
 | HasParent
 | GetParentComponent
 | IsParentOf
 | GetTopParent
 | IsVisible
 | IsControlVisible
 | IsEnabled
 | IsParentColor
 | IsParentFont
 | FormIsUpdating
 | IsProcessingPaintMsg
 | Hide
 | Refresh
 | Repaint
 | Invalidate
 | CheckChildClassAllowed
 | CheckNewParent
 | SendToBack
 | SetTempCursor
 | UpdateRolesForForm
 | ActiveDefaultControlChanged
 | GetTextBuf
 | GetTextLen
 | SetTextBuf
 | Perform
 | ScreenToClient
 | ClientToScreen
 | ScreenToControl
 | ControlToScreen
 | ClientToParent
 | ParentToClient
 | GetChildrenRect
 | Show
 | Update
 | HandleObjectShouldBeVisible
 | ParentDestroyingHandle
 | ParentHandlesAllocated
 | InitiateAction
 | ShowHelp
 | HasHelp
 | RemoveAllHandlersOfObject
 | AddHandlerOnResize
 | RemoveHandlerOnResize
 | AddHandlerOnChangeBounds
 | RemoveHandlerOnChangeBounds
 | AddHandlerOnVisibleChanging
 | RemoveHandlerOnVisibleChanging
 | AddHandlerOnVisibleChanged
 | RemoveHandlerOnVisibleChanged
 | AddHandlerOnEnabledChanged
 | RemoveHandlerOnEnableChanging
 | AddHandlerOnKeyDown
 | RemoveHandlerOnKeyDown
 | AddHandlerOnBeforeDestruction
 | RemoveHandlerOnBeforeDestruction
 | AddHandlerOnMouseWheel
 | RemoveHandlerOnMouseWheel
 | UseRightToLeftAlignment
 | UseRightToLeftReading
 | UseRightToLeftScrollBar
 | IsRightToLeft
TLCLComponent
pt | WSRegisterClass
pt | GetWSComponentClass
 | Create
 | Destroy
 | NewInstance
 | RemoveAllHandlersOfObject
 | IncLCLRefCount
 | DecLCLRefCount
TComponent
 | GetComObject
 | GetComponent
 | GetComponentCount
 | GetComponentIndex
 | Insert
 | ReadLeft
 | ReadTop
 | Remove
 | RemoveNotification
 | SetComponentIndex
 | SetReference
 | WriteLeft
 | WriteTop
 | ChangeName
 | DefineProperties
 | GetChildren
 | GetChildOwner
 | GetChildParent
 | GetOwner
 | Loaded
 | Loading
 | Notification
 | PaletteCreated
 | ReadState
 | SetAncestor
 | SetDesigning
 | SetDesignInstance
 | SetInline
 | SetName
 | SetChildOrder
 | SetParentComponent
 | Updating
 | Updated
 | UpdateRegistry
 | ValidateRename
 | ValidateContainer
 | ValidateInsert
 | QueryInterface
 | _AddRef
 | _Release
 | iicrGetComponent
 | GetTypeInfoCount
 | GetTypeInfo
 | GetIDsOfNames
 | Invoke
 | WriteState
 | Create
 | Destroy
 | BeforeDestruction
 | DestroyComponents
 | Destroying
 | ExecuteAction
 | FindComponent
 | FreeNotification
 | RemoveFreeNotification
 | FreeOnRelease
 | GetEnumerator
 | GetNamePath
 | GetParentComponent
 | HasParent
 | InsertComponent
 | RemoveComponent
 | SafeCallException
 | SetSubComponent
 | UpdateAction
 | IsImplementorOf
 | ReferenceInterface
TPersistent
 | AssignError
 | AssignTo
 | DefineProperties
 | GetOwner
 | Destroy
 | Assign
 | FPOAttachObserver
 | FPODetachObserver
 | FPONotifyObservers
 | GetNamePath
TObject
 | Create
 | Destroy
 | newinstance
 | FreeInstance
 | SafeCallException
 | DefaultHandler
 | Free
 | InitInstance
 | CleanupInstance
 | ClassType
 | ClassInfo
 | ClassName
 | ClassNameIs
 | ClassParent
 | InstanceSize
 | InheritsFrom
 | StringMessageTable
 | MethodAddress
 | MethodName
 | FieldAddress
 | AfterConstruction
 | BeforeDestruction
 | DefaultHandlerStr
 | Dispatch
 | DispatchStr
 | GetInterface
 | GetInterfaceByStr
 | GetInterfaceWeak
 | GetInterfaceEntry
 | GetInterfaceEntryByStr
 | GetInterfaceTable
 | UnitName
 | Equals
 | GetHashCode
 | ToString


pt | ActionChange (TControl)
 | ActiveDefaultControlChanged (TControl)
 | AddControl (TWinControl)
pt | AddHandler (TControl)
 | AddHandlerOnBeforeDestruction (TControl)
 | AddHandlerOnChangeBounds (TControl)
 | AddHandlerOnEnabledChanged (TControl)
 | AddHandlerOnKeyDown (TControl)
 | AddHandlerOnMouseWheel (TControl)
 | AddHandlerOnResize (TControl)
 | AddHandlerOnVisibleChanged (TControl)
 | AddHandlerOnVisibleChanging (TControl)
 | AddItem (TCustomListBox)
pt | AdjustClientRect (TWinControl)
 | AdjustSize (TControl)
 | AfterConstruction (TObject)
pt | AlignControls (TWinControl)
pt | AllAutoSized (TWinControl)
 | AnchorAsAlign (TControl)
 | AnchorClient (TControl)
 | AnchoredControlCount (TControl)
 | AnchorHorizontalCenterTo (TControl)
 | AnchorParallel (TControl)
 | AnchorSame (TControl)
pt | AnchorSideChanged (TControl)
 | AnchorToCompanion (TControl)
 | AnchorToNeighbour (TControl)
 | AnchorVerticalCenterTo (TControl)
 | Assign (TPersistent)
pt | AssignCacheToItemData (TCustomListBox)
 | AssignError (TPersistent)
pt | AssignItemDataToCache (TCustomListBox)
 | AssignTo (TPersistent)
pt | AssignTo (TControl)
 | AutoAdjustLayout (TControl)
 | AutoAdjustLayout (TWinControl)
 | AutoSizeDelayed (TControl)
 | AutoSizeDelayed (TWinControl)
 | AutoSizeDelayedHandle (TControl)
 | AutoSizeDelayedHandle (TWinControl)
 | AutoSizeDelayedReport (TControl)
 | AutoSizeDelayedReport (TWinControl)
 | AutoSizePhases (TControl)
 | AutoSizePhases (TWinControl)
 | BeforeDestruction (TObject)
 | BeforeDestruction (TComponent)
 | BeforeDestruction (TControl)
pt | BeforeDragStart (TControl)
pt | BeforeDragStart (TCustomListBox)
pt | BeginAutoDrag (TControl)
pt | BeginAutoDrag (TCustomListBox)
pt | BeginAutoSizing (TControl)
 | BeginDrag (TControl)
 | BeginUpdateBounds (TWinControl)
pt | BoundsChanged (TControl)
 | BringToFront (TControl)
 | BroadCast (TWinControl)
 | BrushCreated (TWinControl)
pt | CalculateDockSizes (TControl)
pt | CalculatePreferredSize (TControl)
pt | CalculatePreferredSize (TWinControl)
pt | CalculateStandardItemHeight (TCustomListBox)
pt | CanAutoSize (TControl)
 | CanFocus (TWinControl)
 | CanSetFocus (TWinControl)
pt | CanTab (TControl)
pt | CanTab (TWinControl)
pt | CaptureChanged (TControl)
pt | ChangeBounds (TControl)
pt | Changed (TControl)
 | ChangeName (TComponent)
pt | ChangeScale (TControl)
pt | ChangeScale (TWinControl)
 | CheckChildClassAllowed (TControl)
pt | CheckIndex (TCustomListBox)
 | CheckNewParent (TControl)
pt | CheckOnChangeBounds (TControl)
pt | ChildClassAllowed (TControl)
pt | ChildClassAllowed (TWinControl)
pt | ChildHandlesCreated (TWinControl)
pt | ChildKey (TWinControl)
 | ClassInfo (TObject)
 | ClassName (TObject)
 | ClassNameIs (TObject)
 | ClassParent (TObject)
 | ClassType (TObject)
 | CleanupInstance (TObject)
 | Clear (TCustomListBox)
 | ClearSelection (TCustomListBox)
pt | Click (TControl)
 | Click (TCustomListBox)
 | ClientRectNeedsInterfaceUpdate (TWinControl)
 | ClientToParent (TControl)
 | ClientToScreen (TControl)
pt | CMBiDiModeChanged (TControl)
pt | CMBiDiModeChanged (TWinControl)
pt | CMBorderChanged (TWinControl)
pt | CMChanged (TControl)
pt | CMCursorChanged (TControl)
pt | CMDoubleBufferedChanged (TWinControl)
pt | CMEnabledChanged (TControl)
pt | CMEnabledChanged (TWinControl)
pt | CMEnter (TWinControl)
pt | CMExit (TWinControl)
pt | CMHintShow (TControl)
pt | CMHitTest (TControl)
pt | CMMouseEnter (TControl)
pt | CMMouseLeave (TControl)
pt | CMParentBiDiModeChanged (TControl)
pt | CMParentColorChanged (TControl)
pt | CMParentDoubleBufferedChanged (TWinControl)
pt | CMParentFontChanged (TControl)
pt | CMParentShowHintChanged (TControl)
pt | CMShowHintChanged (TWinControl)
pt | CMShowingChanged (TWinControl)
pt | CMSysFontChanged (TControl)
pt | CMTextChanged (TControl)
pt | CMVisibleChanged (TControl)
pt | CMVisibleChanged (TWinControl)
pt | CNChar (TWinControl)
pt | CNKeyDown (TWinControl)
pt | CNKeyUp (TWinControl)
 | CNPreferredSizeChanged (TControl)
pt | CNSysKeyDown (TWinControl)
pt | CNSysKeyUp (TWinControl)
pt | ColorIsStored (TControl)
pt | ConstrainedResize (TControl)
 | ContainsControl (TWinControl)
 | ControlAtPos (TWinControl)
pt | ControlKeyDown (TWinControl)
pt | ControlKeyUp (TWinControl)
pt | ControlsAligned (TWinControl)
 | ControlToScreen (TControl)
 | Create (TObject)
 | Create (TComponent)
 | Create (TLCLComponent)
 | Create (TControl)
 | Create (TWinControl)
 | Create (TCustomListBox)
 | Create (TCustomDBListBox)
 | CreateAccessibleObject (TControl)
pt | CreateBrush (TWinControl)
pt | CreateControlBorderSpacing (TControl)
pt | CreateDockManager (TWinControl)
pt | CreateFloatingDockSite (TControl)
pt | CreateHandle (TWinControl)
pt | CreateParams (TWinControl)
pt | CreateParams (TCustomListBox)
 | CreateParented (TWinControl)
 | CreateParentedControl (TWinControl)
pt | CreateSubClass (TWinControl)
pt | CreateWnd (TWinControl)
pt | CustomAlignInsertBefore (TWinControl)
pt | CustomAlignPosition (TWinControl)
pt | DataChange (TCustomDBListBox)
pt | DataChange (TDBListBox)
pt | DblClick (TControl)
 | DecLCLRefCount (TLCLComponent)
 | DefaultHandler (TObject)
 | DefaultHandler (TWinControl)
 | DefaultHandlerStr (TObject)
 | DefineProperties (TPersistent)
 | DefineProperties (TComponent)
pt | DefineProperties (TControl)
 | DeleteSelected (TCustomListBox)
 | Destroy (TObject)
 | Destroy (TPersistent)
 | Destroy (TComponent)
 | Destroy (TLCLComponent)
 | Destroy (TControl)
 | Destroy (TWinControl)
 | Destroy (TCustomListBox)
 | Destroy (TCustomDBListBox)
 | DestroyComponents (TComponent)
pt | DestroyHandle (TWinControl)
 | Destroying (TComponent)
pt | DestroyWnd (TWinControl)
pt | DestroyWnd (TCustomListBox)
pt | DialogChar (TControl)
pt | DialogChar (TWinControl)
 | DisableAlign (TWinControl)
 | DisableAutoSizing (TControl)
 | Dispatch (TObject)
 | DispatchStr (TObject)
pt | DoAddDockClient (TWinControl)
 | DoAdjustClientRectChange (TWinControl)
pt | DoAlignChildControls (TWinControl)
pt | DoAllAutoSize (TControl)
pt | DoAllAutoSize (TWinControl)
pt | DoAutoAdjustLayout (TControl)
pt | DoAutoAdjustLayout (TCustomListBox)
pt | DoAutoSize (TControl)
pt | DoAutoSize (TWinControl)
pt | DoBorderSpacingChange (TControl)
pt | DoCallKeyEventHandler (TControl)
pt | DoCallMouseWheelEventHandler (TControl)
pt | DoCallNotifyHandler (TControl)
pt | DoChildSizingChange (TWinControl)
 | Dock (TControl)
 | DockDrop (TWinControl)
 | Docked (TControl)
pt | DockOver (TWinControl)
pt | DockTrackNoTarget (TControl)
pt | DoConstraintsChange (TControl)
pt | DoConstraintsChange (TWinControl)
pt | DoContextPopup (TControl)
pt | DoDock (TControl)
pt | DoDockClientMsg (TWinControl)
pt | DoDockOver (TWinControl)
pt | DoDragMsg (TControl)
pt | DoDragMsg (TWinControl)
pt | DoEndDock (TControl)
pt | DoEndDrag (TControl)
pt | DoEnter (TWinControl)
pt | DoExit (TWinControl)
pt | DoFixDesignFontPPI (TControl)
pt | DoFlipChildren (TWinControl)
pt | DoFloatMsg (TControl)
pt | DoFloatMsg (TWinControl)
pt | DoGetDockCaption (TWinControl)
pt | DoKeyDownBeforeInterface (TWinControl)
pt | DoKeyPress (TWinControl)
pt | DoKeyUpBeforeInterface (TWinControl)
pt | DoMouseWheel (TControl)
pt | DoMouseWheelDown (TControl)
pt | DoMouseWheelHorz (TControl)
pt | DoMouseWheelLeft (TControl)
pt | DoMouseWheelRight (TControl)
pt | DoMouseWheelUp (TControl)
pt | DoOnChangeBounds (TControl)
pt | DoOnParentHandleDestruction (TControl)
pt | DoOnResize (TControl)
pt | DoOnShowHint (TControl)
pt | DoRemainingKeyDown (TWinControl)
pt | DoRemainingKeyUp (TWinControl)
pt | DoRemoveDockClient (TWinControl)
pt | DoScaleFontPPI (TControl)
pt | DoSelectionChange (TCustomListBox)
pt | DoSelectionChange (TDBListBox)
pt | DoSendBoundsToInterface (TWinControl)
pt | DoSendShowHideToInterface (TWinControl)
pt | DoSetBounds (TControl)
pt | DoSetBounds (TWinControl)
pt | DoStartDock (TControl)
pt | DoStartDrag (TControl)
pt | DoUnDock (TWinControl)
pt | DoUndockClientMsg (TWinControl)
pt | DoUTF8KeyPress (TWinControl)
pt | DragCanceled (TControl)
 | DragDrop (TControl)
 | Dragging (TControl)
pt | DragOver (TControl)
pt | DrawItem (TCustomListBox)
 | EditingDone (TControl)
 | EditingDone (TDBListBox)
 | EnableAlign (TWinControl)
 | EnableAutoSizing (TControl)
pt | EnabledChanged (TControl)
pt | EnabledChanging (TControl)
pt | EndAutoSizing (TControl)
 | EndDrag (TControl)
 | EndUpdateBounds (TWinControl)
 | Equals (TObject)
 | EraseBackground (TWinControl)
 | ExecuteAction (TComponent)
 | ExecuteAction (TCustomDBListBox)
 | ExecuteCancelAction (TControl)
 | ExecuteDefaultAction (TControl)
 | FieldAddress (TObject)
pt | FinalizeWnd (TWinControl)
pt | FinalizeWnd (TCustomListBox)
 | FindChildControl (TWinControl)
 | FindComponent (TComponent)
pt | FindNextControl (TWinControl)
 | FixDesignFontsPPI (TControl)
pt | FixupTabList (TWinControl)
 | FlipChildren (TWinControl)
 | Focused (TWinControl)
pt | FontChanged (TControl)
pt | FontChanged (TWinControl)
pt | ForeignAnchorSideChanged (TControl)
pt | FormEndUpdated (TControl)
pt | FormEndUpdated (TWinControl)
 | FormIsUpdating (TControl)
 | FPOAttachObserver (TPersistent)
 | FPODetachObserver (TPersistent)
 | FPONotifyObservers (TPersistent)
 | Free (TObject)
 | FreeInstance (TObject)
 | FreeNotification (TComponent)
 | FreeOnRelease (TComponent)
 | GetAccessibleObject (TControl)
pt | GetAction (TControl)
pt | GetActionLinkClass (TControl)
pt | GetAdjustedLogicalClientRect (TWinControl)
 | GetAnchorsDependingOnParent (TControl)
pt | GetBorderStyle (TWinControl)
pt | GetCachedData (TCustomListBox)
pt | GetCachedDataSize (TCustomListBox)
pt | GetCachedText (TControl)
 | GetCanvasScaleFactor (TControl)
 | GetChildAccessibleObjectAtPos (TControl)
 | GetChildOwner (TComponent)
 | GetChildParent (TComponent)
 | GetChildren (TComponent)
pt | GetChildren (TWinControl)
 | GetChildrenRect (TControl)
 | GetChildrenRect (TWinControl)
pt | GetClientOrigin (TControl)
pt | GetClientOrigin (TWinControl)
pt | GetClientRect (TControl)
pt | GetClientRect (TWinControl)
pt | GetClientScrollOffset (TControl)
 | GetColorResolvingParent (TControl)
 | GetComObject (TComponent)
 | GetComponent (TComponent)
 | GetComponentCount (TComponent)
 | GetComponentIndex (TComponent)
pt | GetControlClassDefaultSize (TControl)
pt | GetControlClassDefaultSize (TCustomListBox)
 | GetControlIndex (TWinControl)
pt | GetControlOrigin (TControl)
pt | GetControlOrigin (TWinControl)
pt | GetCursor (TControl)
 | GetDefaultColor (TControl)
pt | GetDefaultDockCaption (TControl)
 | GetDefaultHeight (TControl)
 | GetDefaultWidth (TControl)
pt | GetDeviceContext (TControl)
pt | GetDeviceContext (TWinControl)
 | GetDockCaption (TWinControl)
pt | GetDockEdge (TControl)
pt | GetDragImages (TControl)
pt | GetEnabled (TControl)
 | GetEnumerator (TComponent)
 | GetEnumeratorControls (TWinControl)
 | GetEnumeratorControlsReverse (TWinControl)
pt | GetFloating (TControl)
pt | GetFloatingDockSiteClass (TControl)
 | GetHashCode (TObject)
 | GetIDsOfNames (TComponent)
 | GetIndexAtXY (TCustomListBox)
 | GetIndexAtY (TCustomListBox)
 | GetInterface (TObject)
 | GetInterfaceByStr (TObject)
 | GetInterfaceEntry (TObject)
 | GetInterfaceEntryByStr (TObject)
 | GetInterfaceTable (TObject)
 | GetInterfaceWeak (TObject)
pt | GetItemHeight (TCustomListBox)
pt | GetItemIndex (TCustomListBox)
pt | GetLogicalClientRect (TControl)
pt | GetMouseCapture (TControl)
pt | GetMouseCapture (TWinControl)
pt | GetMousePosFromMessage (TControl)
 | GetNamePath (TPersistent)
 | GetNamePath (TComponent)
 | GetOwner (TPersistent)
 | GetOwner (TComponent)
pt | GetPalette (TControl)
pt | GetParentBackground (TWinControl)
 | GetParentComponent (TComponent)
 | GetParentComponent (TControl)
pt | GetParentHandle (TWinControl)
pt | GetPopupMenu (TControl)
 | GetPreferredSize (TControl)
pt | GetPreferredSizeClientFrame (TWinControl)
 | GetRGBColorResolvingParent (TControl)
pt | GetScrolledClientRect (TControl)
pt | GetSelCount (TCustomListBox)
pt | GetSelected (TCustomListBox)
 | GetSelectedChildAccessibleObject (TControl)
 | GetSelectedText (TCustomListBox)
 | GetSidePosition (TControl)
pt | GetSiteInfo (TWinControl)
 | GetTabOrderList (TWinControl)
 | GetTextBuf (TControl)
 | GetTextLen (TControl)
 | GetTextLen (TWinControl)
 | GetTopParent (TControl)
pt | GetTopParentHandle (TWinControl)
 | GetTypeInfo (TComponent)
 | GetTypeInfoCount (TComponent)
pt | GetWSComponentClass (TLCLComponent)
 | HandleAllocated (TWinControl)
 | HandleNeeded (TWinControl)
 | HandleObjectShouldBeVisible (TControl)
 | HasHelp (TControl)
 | HasParent (TComponent)
 | HasParent (TControl)
pt | HeightIsAnchored (TControl)
 | Hide (TControl)
 | iicrGetComponent (TComponent)
 | IncLCLRefCount (TLCLComponent)
 | InheritsFrom (TObject)
pt | InitializeWnd (TWinControl)
pt | InitializeWnd (TCustomListBox)
 | InitiateAction (TControl)
 | InitInstance (TObject)
 | Insert (TComponent)
 | InsertComponent (TComponent)
 | InsertControl (TWinControl)
 | InstanceSize (TObject)
 | IntfGetDropFilesTarget (TWinControl)
 | IntfUTF8KeyPress (TWinControl)
 | Invalidate (TControl)
 | Invalidate (TWinControl)
pt | InvalidateBoundsRealized (TWinControl)
 | InvalidateClientRectCache (TWinControl)
pt | InvalidateControl (TControl)
pt | InvalidatePreferredChildSizes (TWinControl)
 | InvalidatePreferredSize (TControl)
 | Invoke (TComponent)
pt | IsAParentAligning (TControl)
pt | IsBorderSpacingInnerBorderStored (TControl)
pt | IsCaptionStored (TControl)
pt | IsClientHeightStored (TControl)
pt | IsClientHeightStored (TWinControl)
pt | IsClientWidthStored (TControl)
pt | IsClientWidthStored (TWinControl)
pt | IsControlMouseMsg (TWinControl)
 | IsControlVisible (TControl)
 | IsEnabled (TControl)
 | IsImplementorOf (TComponent)
 | IsParentColor (TControl)
 | IsParentFont (TControl)
 | IsParentOf (TControl)
 | IsProcessingPaintMsg (TControl)
 | IsRightToLeft (TControl)
 | IsVisible (TControl)
 | ItemAtPos (TCustomListBox)
 | ItemFullyVisible (TCustomListBox)
 | ItemRect (TCustomListBox)
 | ItemVisible (TCustomListBox)
pt | KeyDown (TWinControl)
pt | KeyDown (TCustomDBListBox)
pt | KeyDownAfterInterface (TWinControl)
pt | KeyDownBeforeInterface (TWinControl)
pt | KeyPress (TWinControl)
pt | KeyUp (TWinControl)
pt | KeyUpAfterInterface (TWinControl)
pt | KeyUpBeforeInterface (TWinControl)
pt | LMCaptureChanged (TControl)
 | Loaded (TComponent)
pt | Loaded (TControl)
pt | Loaded (TWinControl)
pt | LoadedAll (TControl)
 | Loading (TComponent)
 | LockRealizeBounds (TWinControl)
 | LockSelectionChange (TCustomListBox)
pt | MainWndProc (TWinControl)
 | MakeCurrentVisible (TCustomListBox)
 | ManualDock (TControl)
 | ManualFloat (TControl)
 | MeasureItem (TCustomListBox)
 | MethodAddress (TObject)
 | MethodName (TObject)
pt | MouseDown (TControl)
pt | MouseEnter (TControl)
pt | MouseLeave (TControl)
pt | MouseMove (TControl)
pt | MouseUp (TControl)
 | newinstance (TObject)
 | NewInstance (TLCLComponent)
 | Notification (TComponent)
pt | Notification (TControl)
pt | Notification (TCustomDBListBox)
 | NotifyControls (TWinControl)
pt | PaintControls (TWinControl)
pt | PaintHandler (TWinControl)
 | PaintTo (TWinControl)
pt | PaintWindow (TWinControl)
 | PaletteCreated (TComponent)
 | ParentDestroyingHandle (TControl)
pt | ParentFontChanged (TControl)
pt | ParentFormHandleInitialized (TControl)
pt | ParentFormHandleInitialized (TWinControl)
 | ParentHandlesAllocated (TControl)
 | ParentHandlesAllocated (TWinControl)
 | ParentToClient (TControl)
 | Perform (TControl)
 | PerformTab (TWinControl)
pt | PositionDockRect (TControl)
pt | QuadClick (TControl)
 | QueryInterface (TComponent)
 | ReadLeft (TComponent)
 | ReadState (TComponent)
pt | ReadState (TControl)
 | ReadTop (TComponent)
pt | RealGetText (TControl)
pt | RealGetText (TWinControl)
 | ReAlign (TWinControl)
pt | RealizeBounds (TWinControl)
pt | RealizeBoundsRecursive (TWinControl)
pt | RealSetText (TControl)
pt | RealSetText (TWinControl)
 | ReferenceInterface (TComponent)
 | Refresh (TControl)
pt | ReloadDockedControl (TWinControl)
 | Remove (TComponent)
 | RemoveAllHandlersOfObject (TLCLComponent)
 | RemoveAllHandlersOfObject (TControl)
 | RemoveComponent (TComponent)
 | RemoveControl (TWinControl)
pt | RemoveFocus (TWinControl)
 | RemoveFreeNotification (TComponent)
pt | RemoveHandler (TControl)
 | RemoveHandlerOnBeforeDestruction (TControl)
 | RemoveHandlerOnChangeBounds (TControl)
 | RemoveHandlerOnEnableChanging (TControl)
 | RemoveHandlerOnKeyDown (TControl)
 | RemoveHandlerOnMouseWheel (TControl)
 | RemoveHandlerOnResize (TControl)
 | RemoveHandlerOnVisibleChanged (TControl)
 | RemoveHandlerOnVisibleChanging (TControl)
 | RemoveNotification (TComponent)
 | Repaint (TControl)
 | Repaint (TWinControl)
 | ReplaceDockedControl (TControl)
pt | RequestAlign (TControl)
pt | Resize (TControl)
 | SafeCallException (TObject)
 | SafeCallException (TComponent)
 | Scale96ToFont (TControl)
 | Scale96ToForm (TControl)
 | Scale96ToScreen (TControl)
 | ScaleBy (TWinControl)
pt | ScaleConstraints (TControl)
pt | ScaleControls (TWinControl)
 | ScaleDesignToForm (TControl)
 | ScaleFontsPPI (TControl)
 | ScaleFontTo96 (TControl)
 | ScaleFontToScreen (TControl)
 | ScaleFormTo96 (TControl)
 | ScaleFormToDesign (TControl)
 | ScaleScreenTo96 (TControl)
 | ScaleScreenToFont (TControl)
 | ScreenToClient (TControl)
 | ScreenToControl (TControl)
 | ScrollBy (TWinControl)
 | ScrollBy_WS (TWinControl)
 | SelectAll (TCustomListBox)
pt | SelectFirst (TWinControl)
 | SelectNext (TWinControl)
pt | SendDialogChar (TWinControl)
pt | SendItemIndex (TCustomListBox)
pt | SendMoveSizeMessages (TControl)
pt | SendMoveSizeMessages (TWinControl)
 | SendToBack (TControl)
pt | SetAction (TControl)
pt | SetAlign (TControl)
 | SetAncestor (TComponent)
pt | SetAnchors (TControl)
pt | SetAutoSize (TControl)
pt | SetBiDiMode (TControl)
pt | SetBorderStyle (TWinControl)
 | SetBounds (TControl)
 | SetBounds (TWinControl)
 | SetBoundsKeepBase (TControl)
 | SetChildOrder (TComponent)
pt | SetChildZPosition (TWinControl)
pt | SetColor (TControl)
pt | SetColor (TWinControl)
 | SetComponentIndex (TComponent)
 | SetControlIndex (TWinControl)
pt | SetCursor (TControl)
 | SetDesigning (TComponent)
 | SetDesignInstance (TComponent)
pt | SetDockManager (TWinControl)
pt | SetDragMode (TControl)
pt | SetEnabled (TControl)
pt | SetExtendedSelect (TCustomListBox)
 | SetFocus (TWinControl)
pt | SetHint (TControl)
 | SetInitialBounds (TControl)
 | SetInline (TComponent)
pt | SetItemHeight (TCustomListBox)
pt | SetItemIndex (TCustomListBox)
pt | SetItems (TCustomListBox)
pt | SetItems (TCustomDBListBox)
pt | SetMultiSelect (TCustomListBox)
 | SetName (TComponent)
pt | SetName (TControl)
pt | SetParent (TControl)
pt | SetParentBackground (TWinControl)
pt | SetParentBiDiMode (TControl)
 | SetParentComponent (TComponent)
pt | SetParentComponent (TControl)
 | SetReference (TComponent)
pt | SetSelected (TCustomListBox)
 | SetShape (TWinControl)
pt | SetSorted (TCustomListBox)
pt | SetStyle (TCustomListBox)
 | SetSubComponent (TComponent)
 | SetTempCursor (TControl)
 | SetTempCursor (TWinControl)
 | SetTextBuf (TControl)
pt | SetVisible (TControl)
pt | SetZOrder (TControl)
 | ShouldAutoAdjust (TControl)
 | Show (TControl)
pt | ShowControl (TWinControl)
 | ShowHelp (TControl)
 | StringMessageTable (TObject)
pt | TextChanged (TControl)
 | ToString (TObject)
pt | TripleClick (TControl)
 | UnitName (TObject)
 | UnlockRealizeBounds (TWinControl)
 | UnlockSelectionChange (TCustomListBox)
 | Update (TControl)
 | Update (TWinControl)
 | UpdateAction (TComponent)
 | UpdateAction (TCustomDBListBox)
pt | UpdateAnchorRules (TControl)
 | UpdateBaseBounds (TControl)
pt | UpdateControlState (TWinControl)
 | Updated (TComponent)
pt | UpdateData (TCustomDBListBox)
pt | UpdateData (TDBListBox)
 | UpdateDockCaption (TWinControl)
pt | UpdateMouseCursor (TControl)
 | UpdateRegistry (TComponent)
 | UpdateRolesForForm (TControl)
pt | UpdateShowing (TWinControl)
 | Updating (TComponent)
 | UseRightToLeftAlignment (TControl)
 | UseRightToLeftReading (TControl)
 | UseRightToLeftScrollBar (TControl)
pt | UTF8KeyPress (TWinControl)
 | ValidateContainer (TComponent)
 | ValidateInsert (TComponent)
 | ValidateRename (TComponent)
pt | VisibleChanged (TControl)
pt | VisibleChanging (TControl)
pt | WidthIsAnchored (TControl)
pt | WMCancelMode (TControl)
pt | WMChar (TWinControl)
pt | WMContextMenu (TControl)
pt | WMContextMenu (TWinControl)
pt | WMDestroy (TWinControl)
pt | WMEnter (TWinControl)
pt | WMEraseBkgnd (TWinControl)
pt | WMExit (TWinControl)
pt | WMGetDlgCode (TCustomListBox)
pt | WMKeyDown (TWinControl)
pt | WMKeyUp (TWinControl)
pt | WMKillFocus (TWinControl)
pt | WMLButtonDBLCLK (TControl)
pt | WMLButtonDown (TControl)
pt | WMLButtonQuadCLK (TControl)
pt | WMLButtonTripleCLK (TControl)
pt | WMLButtonUp (TControl)
pt | WMMButtonDBLCLK (TControl)
pt | WMMButtonDown (TControl)
pt | WMMButtonQuadCLK (TControl)
pt | WMMButtonTripleCLK (TControl)
pt | WMMButtonUp (TControl)
pt | WMMouseHWheel (TControl)
pt | WMMouseMove (TControl)
pt | WMMouseWheel (TControl)
pt | WMMove (TControl)
pt | WMMove (TWinControl)
pt | WMNotify (TWinControl)
pt | WMPaint (TWinControl)
pt | WMRButtonDBLCLK (TControl)
pt | WMRButtonDown (TControl)
pt | WMRButtonQuadCLK (TControl)
pt | WMRButtonTripleCLK (TControl)
pt | WMRButtonUp (TControl)
pt | WMSetFocus (TWinControl)
pt | WMShowWindow (TWinControl)
pt | WMSize (TControl)
pt | WMSize (TWinControl)
pt | WMSysChar (TWinControl)
pt | WMSysKeyDown (TWinControl)
pt | WMSysKeyUp (TWinControl)
pt | WMWindowPosChanged (TControl)
pt | WMWindowPosChanged (TWinControl)
pt | WMXButtonDBLCLK (TControl)
pt | WMXButtonDown (TControl)
pt | WMXButtonQuadCLK (TControl)
pt | WMXButtonTripleCLK (TControl)
pt | WMXButtonUp (TControl)
pt | WndProc (TControl)
pt | WndProc (TWinControl)
 | WriteLayoutDebugReport (TControl)
 | WriteLayoutDebugReport (TWinControl)
 | WriteLeft (TComponent)
 | WriteState (TComponent)
 | WriteTop (TComponent)
pt | WSRegisterClass (TLCLComponent)
pt | WSRegisterClass (TControl)
pt | WSRegisterClass (TWinControl)
pt | WSRegisterClass (TCustomListBox)
pt | WSSetText (TWinControl)
 | _AddRef (TComponent)
 | _Release (TComponent)


TDBListBox
pl | ro | OnClick
pl | ro | OnDblClick
pl | ro | OnDragDrop
pl | ro | OnDragOver
pl | ro | OnDrawItem
pl | ro | OnEndDrag
pl | ro | OnEnter
pl | ro | OnExit
pl | ro | OnKeyPress
pl | ro | OnKeyDown
pl | ro | OnKeyUp
pl | ro | OnMouseDown
pl | ro | OnMouseEnter
pl | ro | OnMouseLeave
pl | ro | OnMouseMove
pl | ro | OnMouseUp
pl | ro | OnMouseWheel
pl | ro | OnMouseWheelDown
pl | ro | OnMouseWheelUp
pl | ro | OnResize
pl | ro | OnStartDrag
pl | ro | OnUTF8KeyPress
TCustomDBListBox
TCustomListBox
 | ro | OnChangeBounds
 | ro | OnClick
 | ro | OnDblClick
 |  | OnDrawItem
 | ro | OnEnter
 | ro | OnExit
 | ro | OnKeyDown
 | ro | OnKeyPress
 | ro | OnKeyUp
 |  | OnMeasureItem
 | ro | OnMouseDown
 | ro | OnMouseEnter
 | ro | OnMouseLeave
 | ro | OnMouseMove
 | ro | OnMouseUp
 | ro | OnMouseWheel
 | ro | OnMouseWheelDown
 | ro | OnMouseWheelUp
 | ro | OnResize
 |  | OnSelectionChange
 | ro | OnUTF8KeyPress
TWinControl
pt |  | OnGetSiteInfo
pt |  | OnGetDockCaption
 |  | OnAlignInsertBefore
 |  | OnAlignPosition
 |  | OnDockDrop
 |  | OnDockOver
 |  | OnEnter
 |  | OnExit
 |  | OnKeyDown
 |  | OnKeyPress
 |  | OnKeyUp
 |  | OnUnDock
 |  | OnUTF8KeyPress
TControl
pt |  | OnConstrainedResize
pt |  | OnContextPopup
pt |  | OnDblClick
pt |  | OnTripleClick
pt |  | OnQuadClick
pt |  | OnDragDrop
pt |  | OnDragOver
pt |  | OnEndDock
pt |  | OnEndDrag
pt |  | OnMouseDown
pt |  | OnMouseMove
pt |  | OnMouseUp
pt |  | OnMouseEnter
pt |  | OnMouseLeave
pt |  | OnMouseWheel
pt |  | OnMouseWheelDown
pt |  | OnMouseWheelUp
pt |  | OnMouseWheelHorz
pt |  | OnMouseWheelLeft
pt |  | OnMouseWheelRight
pt |  | OnStartDock
pt |  | OnStartDrag
pt |  | OnEditingDone
 |  | OnChangeBounds
 |  | OnClick
 |  | OnResize
 |  | OnShowHint
TLCLComponent
TComponent
TPersistent
TObject


 | ro | OnChangeBounds (TCustomListBox)
 |  | OnClick (TControl)
 | ro | OnClick (TCustomListBox)
pl | ro | OnClick (TDBListBox)
pt |  | OnConstrainedResize (TControl)
pt |  | OnContextPopup (TControl)
pt |  | OnDblClick (TControl)
 | ro | OnDblClick (TCustomListBox)
pl | ro | OnDblClick (TDBListBox)
 |  | OnDockDrop (TWinControl)
 |  | OnDockOver (TWinControl)
pt |  | OnDragDrop (TControl)
pl | ro | OnDragDrop (TDBListBox)
pt |  | OnDragOver (TControl)
pl | ro | OnDragOver (TDBListBox)
 |  | OnDrawItem (TCustomListBox)
pl | ro | OnDrawItem (TDBListBox)
pt |  | OnEditingDone (TControl)
pt |  | OnEndDock (TControl)
pt |  | OnEndDrag (TControl)
pl | ro | OnEndDrag (TDBListBox)
 |  | OnEnter (TWinControl)
 | ro | OnEnter (TCustomListBox)
pl | ro | OnEnter (TDBListBox)
 |  | OnExit (TWinControl)
 | ro | OnExit (TCustomListBox)
pl | ro | OnExit (TDBListBox)
pt |  | OnGetDockCaption (TWinControl)
pt |  | OnGetSiteInfo (TWinControl)
 |  | OnKeyDown (TWinControl)
 | ro | OnKeyDown (TCustomListBox)
pl | ro | OnKeyDown (TDBListBox)
 |  | OnKeyPress (TWinControl)
 | ro | OnKeyPress (TCustomListBox)
pl | ro | OnKeyPress (TDBListBox)
 |  | OnKeyUp (TWinControl)
 | ro | OnKeyUp (TCustomListBox)
pl | ro | OnKeyUp (TDBListBox)
 |  | OnMeasureItem (TCustomListBox)
pt |  | OnMouseDown (TControl)
 | ro | OnMouseDown (TCustomListBox)
pl | ro | OnMouseDown (TDBListBox)
pt |  | OnMouseEnter (TControl)
 | ro | OnMouseEnter (TCustomListBox)
pl | ro | OnMouseEnter (TDBListBox)
pt |  | OnMouseLeave (TControl)
 | ro | OnMouseLeave (TCustomListBox)
pl | ro | OnMouseLeave (TDBListBox)
pt |  | OnMouseMove (TControl)
 | ro | OnMouseMove (TCustomListBox)
pl | ro | OnMouseMove (TDBListBox)
pt |  | OnMouseUp (TControl)
 | ro | OnMouseUp (TCustomListBox)
pl | ro | OnMouseUp (TDBListBox)
pt |  | OnMouseWheel (TControl)
 | ro | OnMouseWheel (TCustomListBox)
pl | ro | OnMouseWheel (TDBListBox)
pt |  | OnMouseWheelDown (TControl)
 | ro | OnMouseWheelDown (TCustomListBox)
pl | ro | OnMouseWheelDown (TDBListBox)
pt |  | OnMouseWheelHorz (TControl)
pt |  | OnMouseWheelLeft (TControl)
pt |  | OnMouseWheelRight (TControl)
pt |  | OnMouseWheelUp (TControl)
 | ro | OnMouseWheelUp (TCustomListBox)
pl | ro | OnMouseWheelUp (TDBListBox)
pt |  | OnQuadClick (TControl)
 |  | OnResize (TControl)
 | ro | OnResize (TCustomListBox)
pl | ro | OnResize (TDBListBox)
 |  | OnSelectionChange (TCustomListBox)
 |  | OnShowHint (TControl)
pt |  | OnStartDock (TControl)
pt |  | OnStartDrag (TControl)
pl | ro | OnStartDrag (TDBListBox)
pt |  | OnTripleClick (TControl)
 |  | OnUnDock (TWinControl)
 |  | OnUTF8KeyPress (TWinControl)
 | ro | OnUTF8KeyPress (TCustomListBox)
pl | ro | OnUTF8KeyPress (TDBListBox)


TDBListBox.BiDiMode

Declaration

Source position: dbctrls.pp line 391

published property TDBListBox.BiDiMode : TBiDiMode;


TDBListBox.Color

Declaration

Source position: dbctrls.pp line 394

published property TDBListBox.Color : TColor;


TDBListBox.Constraints

Declaration

Source position: dbctrls.pp line 395

published property TDBListBox.Constraints : TSizeConstraints;


TDBListBox.DoSelectionChange

Declaration

Source position: dbctrls.pp line 384

protected procedure TDBListBox.DoSelectionChange(

  User: Boolean

); override;


TDBListBox.DoubleBuffered

Declaration

Source position: dbctrls.pp line 398

published property TDBListBox.DoubleBuffered : Boolean;


TDBListBox.DragKind

Declaration

Source position: dbctrls.pp line 400

published property TDBListBox.DragKind : TDragKind;


TDBListBox.EditingDone

EditingDone - what to do when you have finished editing

Declaration

Source position: dbctrls.pp line 387

public procedure TDBListBox.EditingDone; override;

Description

TControl.EditingDone

Called when user has finished editing. This procedure can be used by data links to commit the changes.

For example:

  • When focus switches to another control (default)
  • When user selected another item

It's totally up to the control, what events will commit.


TDBListBox.Enabled

Declaration

Source position: dbctrls.pp line 402

published property TDBListBox.Enabled : Boolean;


TDBListBox.Font

Declaration

Source position: dbctrls.pp line 404

published property TDBListBox.Font : TFont;


TDBListBox.OnMouseEnter

Declaration

Source position: dbctrls.pp line 420

published property TDBListBox.OnMouseEnter : TNotifyEvent;


TDBListBox.OnMouseLeave

Declaration

Source position: dbctrls.pp line 421

published property TDBListBox.OnMouseLeave : TNotifyEvent;


TDBListBox.OnMouseWheel

Declaration

Source position: dbctrls.pp line 424

published property TDBListBox.OnMouseWheel : TMouseWheelEvent;


TDBListBox.OnMouseWheelDown

Declaration

Source position: dbctrls.pp line 425

published property TDBListBox.OnMouseWheelDown : TMouseWheelUpDownEvent;


TDBListBox.OnMouseWheelUp

Declaration

Source position: dbctrls.pp line 426

published property TDBListBox.OnMouseWheelUp : TMouseWheelUpDownEvent;


TDBListBox.Options

Declaration

Source position: dbctrls.pp line 430

published property TDBListBox.Options : TListBoxOptions;


TDBListBox.ParentBiDiMode

Declaration

Source position: dbctrls.pp line 431

published property TDBListBox.ParentBiDiMode : Boolean;


TDBListBox.ParentDoubleBuffered

Declaration

Source position: dbctrls.pp line 432

published property TDBListBox.ParentDoubleBuffered : Boolean;


TDBListBox.PopupMenu

Declaration

Source position: dbctrls.pp line 434

published property TDBListBox.PopupMenu : TPopupMenu;


TDBLookup

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

TDBLookup - used as source of data by TDBLookupListBox or TDBLookupComboBox, to find data from a lookup table

Declaration

Source position: dbctrls.pp line 116

type TDBLookup = class(TComponent)
protected
procedure Notification(); override;
public
constructor Create(); override; | Create - constructor for TDBLookup: calls inherited Create, creates links with fields and data source, initialises ActiveChange and Editing properties
destructor Destroy; override; | Destroy - destructor for TDBLookup: frees links and calls inherited Destroy
procedure Initialize(); | Initialize makes links between local Fields and the appropriate fields in the remote data source, then fetches the lookup data
function KeyFieldValue;
procedure UpdateData();
function GetKeyValue();
function GetKeyIndex();
property ControlItems: TStrings; [rw]
property LookupCache: Boolean; [rw]
property KeyField: string; [rw] | The name of the KeyField used in the lookup search
property ListField: string; [rw] | ListField - the name of the list field used in the lookup search
property ListFieldIndex: Integer; [rw] | ListFieldIndex - the index value of the list field
property ListSource: TDataSource; [rw] | ListSource - the data source that contains the lookup list
property NullValueKey: TShortcut; [rw]
end;

Inheritance

TDBLookup

TDBLookup - used as source of data by TDBLookupListBox or TDBLookupComboBox, to find data from a lookup table
|

TComponent,IUnknown,IInterfaceComponentReference
|

TPersistent,IFPObserved
|

TObject

Description

TDBLookup component is typically owned by a Lookup control like TDBLookupListBox or TDBLookupComboBox.

The ListSource is the other dataset TDataSource from which to retrieve the lookup data

The KeyField is the lookup key in the ListSource which corresponds to the DataField value

The ListField is the name of the field in the ListSource to list into the Items property of the lookup control.


TDBLookup
 |  | ControlItems
 |  | LookupCache
 |  | KeyField
 |  | ListField
 |  | ListFieldIndex
 |  | ListSource
 |  | NullValueKey
TComponent
 | ro | ComObject
 | ro | Components
 | ro | ComponentCount
 |  | ComponentIndex
 | ro | ComponentState
 | ro | ComponentStyle
 |  | DesignInfo
 | ro | Owner
 |  | VCLComObject
 |  | Name
 |  | Tag
TPersistent
TObject


ro | ComObject (TComponent)
ro | ComponentCount (TComponent)
 | ComponentIndex (TComponent)
ro | Components (TComponent)
ro | ComponentState (TComponent)
ro | ComponentStyle (TComponent)
 | ControlItems (TDBLookup)
 | DesignInfo (TComponent)
 | KeyField (TDBLookup)
 | ListField (TDBLookup)
 | ListFieldIndex (TDBLookup)
 | ListSource (TDBLookup)
 | LookupCache (TDBLookup)
 | Name (TComponent)
 | NullValueKey (TDBLookup)
ro | Owner (TComponent)
 | Tag (TComponent)
 | VCLComObject (TComponent)


TDBLookup
pt | Notification
 | Create
 | Destroy
 | Initialize
 | KeyFieldValue
 | UpdateData
 | GetKeyValue
 | GetKeyIndex
TComponent
 | GetComObject
 | GetComponent
 | GetComponentCount
 | GetComponentIndex
 | Insert
 | ReadLeft
 | ReadTop
 | Remove
 | RemoveNotification
 | SetComponentIndex
 | SetReference
 | WriteLeft
 | WriteTop
 | ChangeName
 | DefineProperties
 | GetChildren
 | GetChildOwner
 | GetChildParent
 | GetOwner
 | Loaded
 | Loading
 | Notification
 | PaletteCreated
 | ReadState
 | SetAncestor
 | SetDesigning
 | SetDesignInstance
 | SetInline
 | SetName
 | SetChildOrder
 | SetParentComponent
 | Updating
 | Updated
 | UpdateRegistry
 | ValidateRename
 | ValidateContainer
 | ValidateInsert
 | QueryInterface
 | _AddRef
 | _Release
 | iicrGetComponent
 | GetTypeInfoCount
 | GetTypeInfo
 | GetIDsOfNames
 | Invoke
 | WriteState
 | Create
 | Destroy
 | BeforeDestruction
 | DestroyComponents
 | Destroying
 | ExecuteAction
 | FindComponent
 | FreeNotification
 | RemoveFreeNotification
 | FreeOnRelease
 | GetEnumerator
 | GetNamePath
 | GetParentComponent
 | HasParent
 | InsertComponent
 | RemoveComponent
 | SafeCallException
 | SetSubComponent
 | UpdateAction
 | IsImplementorOf
 | ReferenceInterface
TPersistent
 | AssignError
 | AssignTo
 | DefineProperties
 | GetOwner
 | Destroy
 | Assign
 | FPOAttachObserver
 | FPODetachObserver
 | FPONotifyObservers
 | GetNamePath
TObject
 | Create
 | Destroy
 | newinstance
 | FreeInstance
 | SafeCallException
 | DefaultHandler
 | Free
 | InitInstance
 | CleanupInstance
 | ClassType
 | ClassInfo
 | ClassName
 | ClassNameIs
 | ClassParent
 | InstanceSize
 | InheritsFrom
 | StringMessageTable
 | MethodAddress
 | MethodName
 | FieldAddress
 | AfterConstruction
 | BeforeDestruction
 | DefaultHandlerStr
 | Dispatch
 | DispatchStr
 | GetInterface
 | GetInterfaceByStr
 | GetInterfaceWeak
 | GetInterfaceEntry
 | GetInterfaceEntryByStr
 | GetInterfaceTable
 | UnitName
 | Equals
 | GetHashCode
 | ToString


 | AssignError (TPersistent)
 | AssignTo (TPersistent)
 | BeforeDestruction (TObject)
 | BeforeDestruction (TComponent)
 | ChangeName (TComponent)
 | ClassInfo (TObject)
 | ClassName (TObject)
 | ClassNameIs (TObject)
 | ClassParent (TObject)
 | ClassType (TObject)
 | CleanupInstance (TObject)
 | Create (TObject)
 | Create (TComponent)
 | Create (TDBLookup)
 | DefaultHandler (TObject)
 | DefaultHandlerStr (TObject)
 | DefineProperties (TPersistent)
 | DefineProperties (TComponent)
 | Destroy (TObject)
 | Destroy (TPersistent)
 | Destroy (TComponent)
 | Destroy (TDBLookup)
 | DestroyComponents (TComponent)
 | Destroying (TComponent)
 | Dispatch (TObject)
 | DispatchStr (TObject)
 | Equals (TObject)
 | ExecuteAction (TComponent)
 | FieldAddress (TObject)
 | FindComponent (TComponent)
 | FPOAttachObserver (TPersistent)
 | FPODetachObserver (TPersistent)
 | FPONotifyObservers (TPersistent)
 | Free (TObject)
 | FreeInstance (TObject)
 | FreeNotification (TComponent)
 | FreeOnRelease (TComponent)
 | GetChildOwner (TComponent)
 | GetChildParent (TComponent)
 | GetChildren (TComponent)
 | GetComObject (TComponent)
 | GetComponent (TComponent)
 | GetComponentCount (TComponent)
 | GetComponentIndex (TComponent)
 | GetEnumerator (TComponent)
 | GetHashCode (TObject)
 | GetIDsOfNames (TComponent)
 | GetInterface (TObject)
 | GetInterfaceByStr (TObject)
 | GetInterfaceEntry (TObject)
 | GetInterfaceEntryByStr (TObject)
 | GetInterfaceTable (TObject)
 | GetInterfaceWeak (TObject)
 | GetKeyIndex (TDBLookup)
 | GetKeyValue (TDBLookup)
 | GetNamePath (TPersistent)
 | GetNamePath (TComponent)
 | GetOwner (TPersistent)
 | GetOwner (TComponent)
 | GetParentComponent (TComponent)
 | GetTypeInfo (TComponent)
 | GetTypeInfoCount (TComponent)
 | HasParent (TComponent)
 | iicrGetComponent (TComponent)
 | InheritsFrom (TObject)
 | Initialize (TDBLookup)
 | InitInstance (TObject)
 | Insert (TComponent)
 | InsertComponent (TComponent)
 | InstanceSize (TObject)
 | Invoke (TComponent)
 | IsImplementorOf (TComponent)
 | KeyFieldValue (TDBLookup)
 | Loaded (TComponent)
 | Loading (TComponent)
 | MethodAddress (TObject)
 | MethodName (TObject)
 | newinstance (TObject)
 | Notification (TComponent)
pt | Notification (TDBLookup)
 | PaletteCreated (TComponent)
 | QueryInterface (TComponent)
 | ReadLeft (TComponent)
 | ReadState (TComponent)
 | ReadTop (TComponent)
 | ReferenceInterface (TComponent)
 | Remove (TComponent)
 | RemoveComponent (TComponent)
 | RemoveFreeNotification (TComponent)
 | RemoveNotification (TComponent)
 | SafeCallException (TObject)
 | SafeCallException (TComponent)
 | SetAncestor (TComponent)
 | SetChildOrder (TComponent)
 | SetComponentIndex (TComponent)
 | SetDesigning (TComponent)
 | SetDesignInstance (TComponent)
 | SetInline (TComponent)
 | SetName (TComponent)
 | SetParentComponent (TComponent)
 | SetReference (TComponent)
 | SetSubComponent (TComponent)
 | StringMessageTable (TObject)
 | ToString (TObject)
 | UnitName (TObject)
 | UpdateAction (TComponent)
 | Updated (TComponent)
 | UpdateData (TDBLookup)
 | UpdateRegistry (TComponent)
 | Updating (TComponent)
 | ValidateContainer (TComponent)
 | ValidateInsert (TComponent)
 | ValidateRename (TComponent)
 | WriteLeft (TComponent)
 | WriteState (TComponent)
 | WriteTop (TComponent)
 | _AddRef (TComponent)
 | _Release (TComponent)


TDBLookup

TComponent

TPersistent

TObject


TDBLookup.ControlItems

Declaration

Source position: dbctrls.pp line 161

public property TDBLookup.ControlItems : TStrings
  read FControlItems
  write FControlItems;


TDBLookup.Create

Create - constructor for TDBLookup: calls inherited Create, creates links with fields and data source, initialises ActiveChange and Editing properties

Declaration

Source position: dbctrls.pp line 153

public constructor TDBLookup.Create(

  AOwner: TComponent

); override;

See also

TComponent.Create


TDBLookup.Destroy

Destroy - destructor for TDBLookup: frees links and calls inherited Destroy

Declaration

Source position: dbctrls.pp line 154

public destructor TDBLookup.Destroy; override;

See also

TComponent.Destroy


TDBLookup.GetKeyIndex

Declaration

Source position: dbctrls.pp line 159

public function TDBLookup.GetKeyIndex: Integer;

function TDBLookup.GetKeyIndex(

  const AKeyValue: Variant

):Integer;


TDBLookup.GetKeyValue

Declaration

Source position: dbctrls.pp line 158

public function TDBLookup.GetKeyValue(

  ValueIndex: Integer

):Variant;


TDBLookup.Initialize

Initialize makes links between local Fields and the appropriate fields in the remote data source, then fetches the lookup data

Declaration

Source position: dbctrls.pp line 155

public procedure TDBLookup.Initialize(

  AControlDataLink: TFieldDataLink;

  AControlItems: TStrings

);


TDBLookup.KeyField

The name of the KeyField used in the lookup search

Declaration

Source position: dbctrls.pp line 165

public property TDBLookup.KeyField : string
  read GetKeyFieldName
  write SetKeyFieldName;


TDBLookup.KeyFieldValue

Declaration

Source position: dbctrls.pp line 156

public function TDBLookup.KeyFieldValue: Variant;


TDBLookup.ListField

ListField - the name of the list field used in the lookup search

Declaration

Source position: dbctrls.pp line 166

public property TDBLookup.ListField : string
  read FListFieldName
  write SetListFieldName;


TDBLookup.ListFieldIndex

ListFieldIndex - the index value of the list field

Declaration

Source position: dbctrls.pp line 167

public property TDBLookup.ListFieldIndex : Integer
  read FListFieldIndex
  write FListFieldIndex
  default 0;


TDBLookup.ListSource

ListSource - the data source that contains the lookup list

Declaration

Source position: dbctrls.pp line 168

public property TDBLookup.ListSource : TDataSource
  read GetListSource
  write SetListSource;


TDBLookup.LookupCache

Declaration

Source position: dbctrls.pp line 162

public property TDBLookup.LookupCache : Boolean
  read FLookupCache
  write SetLookupCache;


TDBLookup.Notification

Declaration

Source position: dbctrls.pp line 151

protected procedure TDBLookup.Notification(

  AComponent: TComponent;

  Operation: TOperation

); override;


TDBLookup.NullValueKey

Declaration

Source position: dbctrls.pp line 169

public property TDBLookup.NullValueKey : TShortcut
  read FNullValueKey
  write FNullValueKey;


TDBLookup.UpdateData

Declaration

Source position: dbctrls.pp line 157

public procedure TDBLookup.UpdateData(

  ValueIndex: Integer;

  ScrollDataset: Boolean

);


TDBLookupComboBox

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

TDBLookupComboBox - a dataware ComboBox for examining a lookup table from a database

Declaration

Source position: dbctrls.pp line 841

type TDBLookupComboBox = class(TCustomDBComboBox)
protected
function DoEdit; override;
function IsUnbound;
procedure InitializeWnd; override;
procedure DestroyWnd; override;
procedure KeyDown(); override;
procedure UTF8KeyPress(); override;
procedure Loaded; override;
procedure UpdateData(); override; | UpdateData - copies the local data from the corresponding entry from the lookup field
procedure DataChange(); override;
procedure DoOnSelect; override;
public
constructor Create(); override; | Create - constructor fro TDBLookupComboBox: calls inherited Create then makes lookup list, forms links
property KeyValue: variant; [rw]
published
property Align: TAlign; | Specifies the placement of the control inside its Parent.
property Anchors: TAnchors; | The set of anchor definitions for this control.
property ArrowKeysTraverseList: Boolean; | Allows the operator to use also the keyboard Arrow keys to move through the list.
property AutoComplete: Boolean;
property AutoDropDown: Boolean; | Makes the drop-down list appear as soon as the user starts entering text.
property AutoSelect: Boolean;
property AutoSize: Boolean; | Allows to automatically adjust the size of the control, according to its content.
property BiDiMode: TBiDiMode;
property BorderSpacing: TControlBorderSpacing; | Determines the inner and outer border spacing for this control.
property BorderStyle: TBorderStyle;
property CharCase: TEditCharCase;
property Color: TColor; | The background color of the control.
property Constraints: TSizeConstraints;
property DataField: string; | The name (as a string) of the Feild whose data are to be linked to the ComboBox
property DataSource: TDataSource; | The identity of the DataSource to which the ComboBox is attached
property DoubleBuffered: Boolean;
property DragCursor: TCursor; | The cursor shape shown while the control is dragged.
property DragKind: TDragKind;
property DragMode: TDragMode; | Allows the user to drag the control.
property DropDownCount: Integer; | The height of the drop-down list, measured in number of items.
property Enabled: Boolean; | Determines whether the control reacts on mouse or keyboard input.
property Font: TFont; | The font to be used for text display in this control.
property KeyField: string; [rw] | KeyField the name of the field containing the key data
property ListField: string; [rw] | ListField - the name of the field containing the list data
property ListFieldIndex: Integer; [rw] | ListFieldIndex - the index value of the field containing the list
property ListSource: TDataSource; [rw] | ListSource the data source that contains the list
property LookupCache: Boolean; [rw]
property NullValueKey: TShortCut; [rw]
property OnChange: TNotifyEvent; | Event handler for user changed text in the edit box.
property OnChangeBounds: TNotifyEvent; | Event handler for a change of the Bounds of the control.
property OnClick: TNotifyEvent; | Notification handler for mouse clicks.
property OnCloseUp: TNotifyEvent; | Handler invoked when the drop-down list closes.
property OnDblClick: TNotifyEvent; | Event Handler for double mouse clicks.
property OnDragDrop: TDragDropEvent; | This handler determines the action on an drop onto this control, in a drag-drop operation.
property OnDragOver: TDragOverEvent; | Event handler for a control being dragged over this control.
property OnDrawItem: TDrawItemEvent; | Handler for special painting of an item (in owner-draw mode).
property OnDropDown: TNotifyEvent; | Handler invoked when the list has dropped down.
property OnEditingDone: TNotifyEvent; | Event handler when editing is done.
property OnEndDrag: TEndDragEvent; | Notification handler for the end of a dragging operation.
property OnEnter: TNotifyEvent; | Handler for control receiving the focus.
property OnExit: TNotifyEvent; | Handler for control loosing the focus. This is a good place for checking the finished user input.
property OnKeyDown: TKeyEvent; | Handler for keyboard key pressed.
property OnKeyPress: TKeyPressEvent; | Handler for a character entered by the user.
property OnKeyUp: TKeyEvent; | Handler for keyboard key released.
property OnMouseDown: TMouseEvent; | Event handler for mouse button going down.
property OnMouseEnter: TNotifyEvent;
property OnMouseLeave: TNotifyEvent;
property OnMouseMove: TMouseMoveEvent; | Event handler for mouse movement within the control.
property OnMouseUp: TMouseEvent; | Event handler for mouse button going up.
property OnMouseWheel: TMouseWheelEvent;
property OnMouseWheelDown: TMouseWheelUpDownEvent;
property OnMouseWheelUp: TMouseWheelUpDownEvent;
property OnSelect: TNotifyEvent; | Handler invoked when an item is selected.
property OnStartDrag: TStartDragEvent; | Event handler for the start of a dragging operation.
property OnUTF8KeyPress: TUTF8KeyPressEvent; | Handler for a character entered by the user.
property ParentBiDiMode: Boolean;
property ParentColor: Boolean; | If true, the Color of the control will be the same as the one from the Parent. Default is true.
property ParentDoubleBuffered: Boolean;
property ParentFont: Boolean; | If true, the Font of the control will be the same as the one from the Parent. Default is true.
property ParentShowHint: Boolean; | If true, the value of ShowHint for the control will be the same as the one from the Parent. Default is true.
property PopupMenu: TPopupMenu; | A context-sensitive menu that pops up when the right mouse button is clicked over this control
property ReadOnly: Boolean; | Disallows entry of free text.
property ScrollListDataset: Boolean; [rw]
property ShowHint: Boolean; | Enables the Hint display.
property Sorted: Boolean; | Determines whether the list entries are sorted.
property Style: TComboBoxStyle; | Appearance and behaviour of the ComboBox (static/drop-down, owner-draw...).
property TabOrder: TTabOrder; | Determines the sequence of controls, reachable when the user presses the Tab key.
property TabStop: Boolean; | Allows the user to navigate to this control, by pressing the Tab key.
property Visible: Boolean; | Allows to show or hide the control, and all of its children.
end;

Inheritance

TDBLookupComboBox | TDBLookupComboBox - a dataware ComboBox for examining a lookup table from a database
|
TCustomDBComboBox | TCustomDBComboBox - a Data-aware Combo Box for displaying information from a Database
|
TCustomComboBox | The base class for ComboBox components.
|
TWinControl | The base class for controls which can contain other (child) controls.
|
TControl | The base class for visible controls.
|
TLCLComponent | The base class for LCL components associated with widgets.
|
TComponent,IUnknown,IInterfaceComponentReference
|
TPersistent,IFPObserved
|
TObject

See also

HowToUseDataAwareControls

HowToUseDataAwareControls - Hints for accessing databases


TDBLookupComboBox
 |  | KeyValue
pl | ro | Align
pl | ro | Anchors
pl | ro | ArrowKeysTraverseList
pl | ro | AutoComplete
pl | ro | AutoDropDown
pl | ro | AutoSelect
pl | ro | AutoSize
pl | ro | BiDiMode
pl | ro | BorderSpacing
pl | ro | BorderStyle
pl | ro | CharCase
pl | ro | Color
pl | ro | Constraints
pl | ro | DataField
pl | ro | DataSource
pl | ro | DoubleBuffered
pl | ro | DragCursor
pl | ro | DragKind
pl | ro | DragMode
pl | ro | DropDownCount
pl | ro | Enabled
pl | ro | Font
pl |  | KeyField
pl |  | ListField
pl |  | ListFieldIndex
pl |  | ListSource
pl |  | LookupCache
pl |  | NullValueKey
pl | ro | ParentBiDiMode
pl | ro | ParentColor
pl | ro | ParentDoubleBuffered
pl | ro | ParentFont
pl | ro | ParentShowHint
pl | ro | PopupMenu
pl | ro | ReadOnly
pl |  | ScrollListDataset
pl | ro | ShowHint
pl | ro | Sorted
pl | ro | Style
pl | ro | TabOrder
pl | ro | TabStop
pl | ro | Visible
TCustomDBComboBox
pt | ro | DetectedEvents
 | ro | Field
 | ro | Text
 | ro | ItemIndex
 |  | DataField
 |  | DataSource
 |  | ReadOnly
TCustomComboBox
pt |  | ItemHeight
pt |  | ItemWidth
pt |  | MaxLength
pt | ro | ParentColor
pt |  | Sorted
 |  | CharCase
 |  | DroppedDown
 |  | DroppingDown
 |  | AutoComplete
 |  | AutoCompleteText
 |  | AutoDropDown
 |  | AutoSelect
 |  | AutoSelected
 | ro | AutoSize
 |  | ArrowKeysTraverseList
 | ro | Canvas
 |  | DropDownCount
 |  | Items
 |  | ItemIndex
 |  | ReadOnly
 |  | SelLength
 |  | SelStart
 |  | SelText
 |  | Style
 | ro | TabStop
 | ro | Text
TWinControl
pt |  | WindowHandle
pt |  | BorderStyle
pt |  | ParentBackground
 |  | BorderWidth
 | ro | BoundsLockCount
 | ro | Brush
 | ro | CachedClientHeight
 | ro | CachedClientWidth
 |  | ChildSizing
 | ro | ControlCount
 | ro | Controls
 |  | DefWndProc
 | ro | DockClientCount
 | ro | DockClients
 |  | DockManager
 |  | DockSite
 |  | DoubleBuffered
 |  | Handle
 | ro | IsFlipped
 | ro | IsResizing
 |  | TabOrder
 |  | TabStop
 |  | ParentDoubleBuffered
 |  | ParentWindow
 | ro | Showing
 |  | UseDockManager
 |  | DesignerDeleting
 | ro | VisibleDockClientCount
TControl
pt | ro | AutoSizing
pt | ro | AutoSizingAll
pt | ro | AutoSizingLockCount
pt |  | ActionLink
pt |  | DesktopFont
pt |  | DragCursor
pt |  | DragKind
pt |  | DragMode
pt |  | MouseCapture
pt |  | ParentColor
pt |  | ParentFont
pt |  | ParentShowHint
pt |  | SessionProperties
pt |  | Text
 | ro | AnchoredControls
 | ro | BaseBounds
 | ro | ReadBounds
 | ro | BaseParentClientSize
 |  | AccessibleDescription
 |  | AccessibleValue
 |  | AccessibleRole
 |  | Action
 |  | Align
 |  | Anchors
 | ro | AnchorSide
 |  | AutoSize
 |  | BorderSpacing
 |  | BoundsRect
 |  | BoundsRectForNewParent
 |  | Caption
 |  | CaptureMouseButtons
 |  | ClientHeight
 | ro | ClientOrigin
 | ro | ClientRect
 |  | ClientWidth
 |  | Color
 |  | Constraints
 | ro | ControlOrigin
 |  | ControlState
 |  | ControlStyle
 |  | Enabled
 |  | Font
 |  | IsControl
 | ro | MouseEntered
 | ro | MouseInClient
 |  | Parent
 |  | PopupMenu
 |  | ShowHint
 |  | Visible
 |  | WindowProc
 |  | DockOrientation
 | ro | Floating
 |  | FloatingDockSiteClass
 |  | HostDockSite
 |  | LRDockWidth
 |  | TBDockHeight
 |  | UndockHeight
 |  | UndockWidth
 |  | BiDiMode
 |  | ParentBiDiMode
pl |  | AnchorSideLeft
pl |  | AnchorSideTop
pl |  | AnchorSideRight
pl |  | AnchorSideBottom
pl |  | Cursor
pl |  | Left
pl |  | Height
pl |  | Hint
pl |  | Top
pl |  | Width
pl |  | HelpType
pl |  | HelpKeyword
pl |  | HelpContext
TLCLComponent
 | ro | LCLRefCount
 | ro | WidgetSetClass
TComponent
 | ro | ComObject
 | ro | Components
 | ro | ComponentCount
 |  | ComponentIndex
 | ro | ComponentState
 | ro | ComponentStyle
 |  | DesignInfo
 | ro | Owner
 |  | VCLComObject
 |  | Name
 |  | Tag
TPersistent
TObject


 |  | AccessibleDescription (TControl)
 |  | AccessibleRole (TControl)
 |  | AccessibleValue (TControl)
 |  | Action (TControl)
pt |  | ActionLink (TControl)
 |  | Align (TControl)
pl | ro | Align (TDBLookupComboBox)
 | ro | AnchoredControls (TControl)
 |  | Anchors (TControl)
pl | ro | Anchors (TDBLookupComboBox)
 | ro | AnchorSide (TControl)
pl |  | AnchorSideBottom (TControl)
pl |  | AnchorSideLeft (TControl)
pl |  | AnchorSideRight (TControl)
pl |  | AnchorSideTop (TControl)
 |  | ArrowKeysTraverseList (TCustomComboBox)
pl | ro | ArrowKeysTraverseList (TDBLookupComboBox)
 |  | AutoComplete (TCustomComboBox)
pl | ro | AutoComplete (TDBLookupComboBox)
 |  | AutoCompleteText (TCustomComboBox)
 |  | AutoDropDown (TCustomComboBox)
pl | ro | AutoDropDown (TDBLookupComboBox)
 |  | AutoSelect (TCustomComboBox)
pl | ro | AutoSelect (TDBLookupComboBox)
 |  | AutoSelected (TCustomComboBox)
 |  | AutoSize (TControl)
 | ro | AutoSize (TCustomComboBox)
pl | ro | AutoSize (TDBLookupComboBox)
pt | ro | AutoSizing (TControl)
pt | ro | AutoSizingAll (TControl)
pt | ro | AutoSizingLockCount (TControl)
 | ro | BaseBounds (TControl)
 | ro | BaseParentClientSize (TControl)
 |  | BiDiMode (TControl)
pl | ro | BiDiMode (TDBLookupComboBox)
 |  | BorderSpacing (TControl)
pl | ro | BorderSpacing (TDBLookupComboBox)
pt |  | BorderStyle (TWinControl)
pl | ro | BorderStyle (TDBLookupComboBox)
 |  | BorderWidth (TWinControl)
 | ro | BoundsLockCount (TWinControl)
 |  | BoundsRect (TControl)
 |  | BoundsRectForNewParent (TControl)
 | ro | Brush (TWinControl)
 | ro | CachedClientHeight (TWinControl)
 | ro | CachedClientWidth (TWinControl)
 | ro | Canvas (TCustomComboBox)
 |  | Caption (TControl)
 |  | CaptureMouseButtons (TControl)
 |  | CharCase (TCustomComboBox)
pl | ro | CharCase (TDBLookupComboBox)
 |  | ChildSizing (TWinControl)
 |  | ClientHeight (TControl)
 | ro | ClientOrigin (TControl)
 | ro | ClientRect (TControl)
 |  | ClientWidth (TControl)
 |  | Color (TControl)
pl | ro | Color (TDBLookupComboBox)
 | ro | ComObject (TComponent)
 | ro | ComponentCount (TComponent)
 |  | ComponentIndex (TComponent)
 | ro | Components (TComponent)
 | ro | ComponentState (TComponent)
 | ro | ComponentStyle (TComponent)
 |  | Constraints (TControl)
pl | ro | Constraints (TDBLookupComboBox)
 | ro | ControlCount (TWinControl)
 | ro | ControlOrigin (TControl)
 | ro | Controls (TWinControl)
 |  | ControlState (TControl)
 |  | ControlStyle (TControl)
pl |  | Cursor (TControl)
 |  | DataField (TCustomDBComboBox)
pl | ro | DataField (TDBLookupComboBox)
 |  | DataSource (TCustomDBComboBox)
pl | ro | DataSource (TDBLookupComboBox)
 |  | DefWndProc (TWinControl)
 |  | DesignerDeleting (TWinControl)
 |  | DesignInfo (TComponent)
pt |  | DesktopFont (TControl)
pt | ro | DetectedEvents (TCustomDBComboBox)
 | ro | DockClientCount (TWinControl)
 | ro | DockClients (TWinControl)
 |  | DockManager (TWinControl)
 |  | DockOrientation (TControl)
 |  | DockSite (TWinControl)
 |  | DoubleBuffered (TWinControl)
pl | ro | DoubleBuffered (TDBLookupComboBox)
pt |  | DragCursor (TControl)
pl | ro | DragCursor (TDBLookupComboBox)
pt |  | DragKind (TControl)
pl | ro | DragKind (TDBLookupComboBox)
pt |  | DragMode (TControl)
pl | ro | DragMode (TDBLookupComboBox)
 |  | DropDownCount (TCustomComboBox)
pl | ro | DropDownCount (TDBLookupComboBox)
 |  | DroppedDown (TCustomComboBox)
 |  | DroppingDown (TCustomComboBox)
 |  | Enabled (TControl)
pl | ro | Enabled (TDBLookupComboBox)
 | ro | Field (TCustomDBComboBox)
 | ro | Floating (TControl)
 |  | FloatingDockSiteClass (TControl)
 |  | Font (TControl)
pl | ro | Font (TDBLookupComboBox)
 |  | Handle (TWinControl)
pl |  | Height (TControl)
pl |  | HelpContext (TControl)
pl |  | HelpKeyword (TControl)
pl |  | HelpType (TControl)
pl |  | Hint (TControl)
 |  | HostDockSite (TControl)
 |  | IsControl (TControl)
 | ro | IsFlipped (TWinControl)
 | ro | IsResizing (TWinControl)
pt |  | ItemHeight (TCustomComboBox)
 |  | ItemIndex (TCustomComboBox)
 | ro | ItemIndex (TCustomDBComboBox)
 |  | Items (TCustomComboBox)
pt |  | ItemWidth (TCustomComboBox)
pl |  | KeyField (TDBLookupComboBox)
 |  | KeyValue (TDBLookupComboBox)
 | ro | LCLRefCount (TLCLComponent)
pl |  | Left (TControl)
pl |  | ListField (TDBLookupComboBox)
pl |  | ListFieldIndex (TDBLookupComboBox)
pl |  | ListSource (TDBLookupComboBox)
pl |  | LookupCache (TDBLookupComboBox)
 |  | LRDockWidth (TControl)
pt |  | MaxLength (TCustomComboBox)
pt |  | MouseCapture (TControl)
 | ro | MouseEntered (TControl)
 | ro | MouseInClient (TControl)
 |  | Name (TComponent)
pl |  | NullValueKey (TDBLookupComboBox)
 | ro | Owner (TComponent)
 |  | Parent (TControl)
pt |  | ParentBackground (TWinControl)
 |  | ParentBiDiMode (TControl)
pl | ro | ParentBiDiMode (TDBLookupComboBox)
pt |  | ParentColor (TControl)
pt | ro | ParentColor (TCustomComboBox)
pl | ro | ParentColor (TDBLookupComboBox)
 |  | ParentDoubleBuffered (TWinControl)
pl | ro | ParentDoubleBuffered (TDBLookupComboBox)
pt |  | ParentFont (TControl)
pl | ro | ParentFont (TDBLookupComboBox)
pt |  | ParentShowHint (TControl)
pl | ro | ParentShowHint (TDBLookupComboBox)
 |  | ParentWindow (TWinControl)
 |  | PopupMenu (TControl)
pl | ro | PopupMenu (TDBLookupComboBox)
 | ro | ReadBounds (TControl)
 |  | ReadOnly (TCustomComboBox)
 |  | ReadOnly (TCustomDBComboBox)
pl | ro | ReadOnly (TDBLookupComboBox)
pl |  | ScrollListDataset (TDBLookupComboBox)
 |  | SelLength (TCustomComboBox)
 |  | SelStart (TCustomComboBox)
 |  | SelText (TCustomComboBox)
pt |  | SessionProperties (TControl)
 |  | ShowHint (TControl)
pl | ro | ShowHint (TDBLookupComboBox)
 | ro | Showing (TWinControl)
pt |  | Sorted (TCustomComboBox)
pl | ro | Sorted (TDBLookupComboBox)
 |  | Style (TCustomComboBox)
pl | ro | Style (TDBLookupComboBox)
 |  | TabOrder (TWinControl)
pl | ro | TabOrder (TDBLookupComboBox)
 |  | TabStop (TWinControl)
 | ro | TabStop (TCustomComboBox)
pl | ro | TabStop (TDBLookupComboBox)
 |  | Tag (TComponent)
 |  | TBDockHeight (TControl)
pt |  | Text (TControl)
 | ro | Text (TCustomComboBox)
 | ro | Text (TCustomDBComboBox)
pl |  | Top (TControl)
 |  | UndockHeight (TControl)
 |  | UndockWidth (TControl)
 |  | UseDockManager (TWinControl)
 |  | VCLComObject (TComponent)
 |  | Visible (TControl)
pl | ro | Visible (TDBLookupComboBox)
 | ro | VisibleDockClientCount (TWinControl)
 | ro | WidgetSetClass (TLCLComponent)
pl |  | Width (TControl)
pt |  | WindowHandle (TWinControl)
 |  | WindowProc (TControl)


TDBLookupComboBox
pt | DoEdit
pt | IsUnbound
pt | InitializeWnd
pt | DestroyWnd
pt | KeyDown
pt | UTF8KeyPress
pt | Loaded
pt | UpdateData
pt | DataChange
pt | DoOnSelect
 | Create
TCustomDBComboBox
pt | DoEdit
pt | DoOnCloseUp
pt | DoOnSelect
pt | LMDeferredEdit
pt | CloseUp
pt | Select
pt | DataChange
pt | DoMouseWheel
pt | Notification
pt | Change
pt | KeyDown
pt | UpdateData
pt | UpdateRecord
pt | WndProc
 | Create
 | Destroy
 | ExecuteAction
 | UpdateAction
 | EditingDone
TCustomComboBox
pt | WSRegisterClass
pt | CreateParams
pt | InitializeWnd
pt | DestroyWnd
pt | DoEnter
pt | DoExit
pt | DrawItem
pt | KeyUpAfterInterface
pt | MeasureItem
pt | GetControlClassDefaultSize
pt | LMChanged
pt | CMWantSpecialKey
pt | Change
pt | Select
pt | DropDown
pt | GetItems
pt | SetItems
pt | CloseUp
pt | AdjustDropDown
pt | DoAutoAdjustLayout
pt | GetItemCount
pt | GetItemHeight
pt | GetSelLength
pt | GetSelStart
pt | GetSelText
pt | GetItemIndex
pt | GetMaxLength
pt | SetDropDownCount
pt | SetDroppedDown
pt | SetItemHeight
pt | SetItemIndex
pt | SetMaxLength
pt | SetSelLength
pt | SetSelStart
pt | SetSelText
pt | SetSorted
pt | SetStyle
pt | RealSetText
pt | KeyDown
pt | KeyUp
pt | UTF8KeyPress
pt | MouseUp
pt | SelectItem
pt | ShouldAutoAdjust
 | Create
 | Destroy
 | IntfGetItems
 | AddItem
 | AddHistoryItem
 | Clear
 | ClearSelection
 | SelectAll
TWinControl
pt | WSRegisterClass
pt | AdjustClientRect
pt | GetAdjustedLogicalClientRect
pt | AlignControls
pt | CustomAlignInsertBefore
pt | CustomAlignPosition
pt | DoAlignChildControls
pt | DoChildSizingChange
pt | InvalidatePreferredChildSizes
pt | CanTab
pt | IsClientHeightStored
pt | IsClientWidthStored
pt | DoSendShowHideToInterface
pt | ControlsAligned
pt | DoSendBoundsToInterface
pt | RealizeBounds
pt | RealizeBoundsRecursive
pt | InvalidateBoundsRealized
pt | CreateSubClass
pt | DoConstraintsChange
pt | DoSetBounds
pt | DoAutoSize
pt | DoAllAutoSize
pt | AllAutoSized
pt | CalculatePreferredSize
pt | GetPreferredSizeClientFrame
pt | GetChildren
pt | ChildClassAllowed
pt | PaintControls
pt | PaintHandler
pt | PaintWindow
pt | CreateBrush
pt | ScaleControls
pt | ChangeScale
pt | CMBiDiModeChanged
pt | CMBorderChanged
pt | CMDoubleBufferedChanged
pt | CMEnabledChanged
pt | CMParentDoubleBufferedChanged
pt | CMShowingChanged
pt | CMShowHintChanged
pt | CMVisibleChanged
pt | CMEnter
pt | CMExit
pt | WMContextMenu
pt | WMEraseBkgnd
pt | WMNotify
pt | WMSetFocus
pt | WMKillFocus
pt | WMShowWindow
pt | WMEnter
pt | WMExit
pt | WMKeyDown
pt | WMSysKeyDown
pt | WMKeyUp
pt | WMSysKeyUp
pt | WMChar
pt | WMSysChar
pt | WMPaint
pt | WMDestroy
pt | WMMove
pt | WMSize
pt | WMWindowPosChanged
pt | CNKeyDown
pt | CNSysKeyDown
pt | CNKeyUp
pt | CNSysKeyUp
pt | CNChar
pt | DoDragMsg
pt | DoDockClientMsg
pt | DoUndockClientMsg
pt | DoAddDockClient
pt | DockOver
pt | DoDockOver
pt | DoRemoveDockClient
pt | DoUnDock
pt | GetSiteInfo
pt | GetParentHandle
pt | GetTopParentHandle
pt | ReloadDockedControl
pt | CreateDockManager
pt | SetDockManager
pt | DoFloatMsg
pt | DoGetDockCaption
pt | DoEnter
pt | DoExit
pt | DoKeyDownBeforeInterface
pt | DoRemainingKeyDown
pt | DoRemainingKeyUp
pt | DoKeyPress
pt | DoUTF8KeyPress
pt | DoKeyUpBeforeInterface
pt | ChildKey
pt | SendDialogChar
pt | DialogChar
pt | ControlKeyDown
pt | ControlKeyUp
pt | KeyDown
pt | KeyDownBeforeInterface
pt | KeyDownAfterInterface
pt | KeyPress
pt | KeyUp
pt | KeyUpBeforeInterface
pt | KeyUpAfterInterface
pt | UTF8KeyPress
pt | FindNextControl
pt | SelectFirst
pt | RealGetText
pt | GetBorderStyle
pt | GetClientOrigin
pt | GetClientRect
pt | GetControlOrigin
pt | GetDeviceContext
pt | GetParentBackground
pt | IsControlMouseMsg
pt | CreateHandle
pt | CreateParams
pt | CreateWnd
pt | DestroyHandle
pt | DestroyWnd
pt | DoFlipChildren
pt | FinalizeWnd
pt | FixupTabList
pt | FontChanged
pt | InitializeWnd
pt | Loaded
pt | FormEndUpdated
pt | MainWndProc
pt | ParentFormHandleInitialized
pt | ChildHandlesCreated
pt | GetMouseCapture
pt | RealSetText
pt | RemoveFocus
pt | SendMoveSizeMessages
pt | SetBorderStyle
pt | SetColor
pt | SetChildZPosition
pt | SetParentBackground
pt | ShowControl
pt | UpdateControlState
pt | UpdateShowing
pt | WndProc
pt | WSSetText
 | AutoSizePhases
 | AutoSizeDelayed
 | AutoSizeDelayedReport
 | AutoSizeDelayedHandle
 | BeginUpdateBounds
 | EndUpdateBounds
 | LockRealizeBounds
 | UnlockRealizeBounds
 | ControlAtPos
 | ContainsControl
 | DoAdjustClientRectChange
 | InvalidateClientRectCache
 | ClientRectNeedsInterfaceUpdate
 | SetBounds
 | GetChildrenRect
 | DisableAlign
 | EnableAlign
 | ReAlign
 | ScrollBy_WS
 | ScrollBy
 | WriteLayoutDebugReport
 | AutoAdjustLayout
 | Create
 | CreateParented
 | CreateParentedControl
 | Destroy
 | DockDrop
 | CanFocus
 | CanSetFocus
 | GetControlIndex
 | SetControlIndex
 | Focused
 | PerformTab
 | FindChildControl
 | SelectNext
 | SetTempCursor
 | BroadCast
 | NotifyControls
 | DefaultHandler
 | GetTextLen
 | Invalidate
 | AddControl
 | InsertControl
 | RemoveControl
 | GetEnumeratorControls
 | GetEnumeratorControlsReverse
 | Repaint
 | Update
 | SetFocus
 | FlipChildren
 | ScaleBy
 | GetDockCaption
 | UpdateDockCaption
 | GetTabOrderList
 | HandleAllocated
 | ParentHandlesAllocated
 | HandleNeeded
 | BrushCreated
 | EraseBackground
 | IntfUTF8KeyPress
 | IntfGetDropFilesTarget
 | PaintTo
 | SetShape
TControl
pt | WSRegisterClass
pt | GetCursor
pt | SetCursor
pt | SetVisible
pt | DoOnParentHandleDestruction
pt | DoAutoSize
pt | DoAllAutoSize
pt | BeginAutoSizing
pt | EndAutoSizing
pt | AnchorSideChanged
pt | ForeignAnchorSideChanged
pt | SetAlign
pt | SetAnchors
pt | SetAutoSize
pt | BoundsChanged
pt | CreateControlBorderSpacing
pt | DoConstraintsChange
pt | DoBorderSpacingChange
pt | IsBorderSpacingInnerBorderStored
pt | IsCaptionStored
pt | SendMoveSizeMessages
pt | ConstrainedResize
pt | CalculatePreferredSize
pt | DoOnResize
pt | DoOnChangeBounds
pt | CheckOnChangeBounds
pt | Resize
pt | RequestAlign
pt | UpdateAnchorRules
pt | ChangeBounds
pt | DoSetBounds
pt | ScaleConstraints
pt | ChangeScale
pt | CanAutoSize
pt | SetBiDiMode
pt | SetParentBiDiMode
pt | IsAParentAligning
pt | GetClientOrigin
pt | GetClientRect
pt | GetLogicalClientRect
pt | GetScrolledClientRect
pt | GetClientScrollOffset
pt | GetControlOrigin
pt | IsClientHeightStored
pt | IsClientWidthStored
pt | WidthIsAnchored
pt | HeightIsAnchored
pt | WMCancelMode
pt | WMContextMenu
pt | WMLButtonDown
pt | WMRButtonDown
pt | WMMButtonDown
pt | WMXButtonDown
pt | WMLButtonDBLCLK
pt | WMRButtonDBLCLK
pt | WMMButtonDBLCLK
pt | WMXButtonDBLCLK
pt | WMLButtonTripleCLK
pt | WMRButtonTripleCLK
pt | WMMButtonTripleCLK
pt | WMXButtonTripleCLK
pt | WMLButtonQuadCLK
pt | WMRButtonQuadCLK
pt | WMMButtonQuadCLK
pt | WMXButtonQuadCLK
pt | WMMouseMove
pt | WMLButtonUp
pt | WMRButtonUp
pt | WMMButtonUp
pt | WMXButtonUp
pt | WMMouseWheel
pt | WMMouseHWheel
pt | WMMove
pt | WMSize
pt | WMWindowPosChanged
pt | CMChanged
pt | LMCaptureChanged
pt | CMBiDiModeChanged
pt | CMSysFontChanged
pt | CMEnabledChanged
pt | CMHitTest
pt | CMMouseEnter
pt | CMMouseLeave
pt | CMHintShow
pt | CMParentBiDiModeChanged
pt | CMParentColorChanged
pt | CMParentFontChanged
pt | CMParentShowHintChanged
pt | CMVisibleChanged
pt | CMTextChanged
pt | CMCursorChanged
pt | CalculateDockSizes
pt | CreateFloatingDockSite
pt | GetDockEdge
pt | GetDragImages
pt | GetFloating
pt | GetFloatingDockSiteClass
pt | BeforeDragStart
pt | BeginAutoDrag
pt | DoFloatMsg
pt | DockTrackNoTarget
pt | DoDock
pt | DoDragMsg
pt | DoEndDock
pt | DoEndDrag
pt | DoStartDock
pt | DoStartDrag
pt | DragCanceled
pt | DragOver
pt | PositionDockRect
pt | SetDragMode
pt | GetDefaultDockCaption
pt | Click
pt | DblClick
pt | TripleClick
pt | QuadClick
pt | GetMousePosFromMessage
pt | MouseDown
pt | MouseMove
pt | MouseUp
pt | MouseEnter
pt | MouseLeave
pt | DialogChar
pt | UpdateMouseCursor
pt | Changed
pt | GetPalette
pt | ChildClassAllowed
pt | ReadState
pt | Loaded
pt | LoadedAll
pt | DefineProperties
pt | AssignTo
pt | FormEndUpdated
pt | InvalidateControl
pt | FontChanged
pt | ParentFontChanged
pt | GetAction
pt | RealGetText
pt | RealSetText
pt | TextChanged
pt | GetCachedText
pt | SetAction
pt | SetColor
pt | SetEnabled
pt | SetHint
pt | SetName
pt | SetParent
pt | SetParentComponent
pt | WndProc
pt | ParentFormHandleInitialized
pt | GetMouseCapture
pt | CaptureChanged
pt | Notification
pt | CanTab
pt | GetDeviceContext
pt | GetEnabled
pt | GetPopupMenu
pt | DoOnShowHint
pt | DoMouseWheel
pt | DoMouseWheelDown
pt | DoMouseWheelUp
pt | DoMouseWheelHorz
pt | DoMouseWheelLeft
pt | DoMouseWheelRight
pt | VisibleChanging
pt | VisibleChanged
pt | EnabledChanging
pt | EnabledChanged
pt | AddHandler
pt | RemoveHandler
pt | DoCallNotifyHandler
pt | DoCallKeyEventHandler
pt | DoCallMouseWheelEventHandler
pt | DoContextPopup
pt | SetZOrder
pt | GetControlClassDefaultSize
pt | ColorIsStored
pt | DoAutoAdjustLayout
pt | DoFixDesignFontPPI
pt | DoScaleFontPPI
pt | GetActionLinkClass
pt | ActionChange
 | DragDrop
 | Dock
 | ManualDock
 | ManualFloat
 | ReplaceDockedControl
 | Docked
 | Dragging
 | GetAccessibleObject
 | CreateAccessibleObject
 | GetSelectedChildAccessibleObject
 | GetChildAccessibleObjectAtPos
 | ScaleDesignToForm
 | ScaleFormToDesign
 | Scale96ToForm
 | ScaleFormTo96
 | Scale96ToFont
 | ScaleFontTo96
 | ScaleScreenToFont
 | ScaleFontToScreen
 | Scale96ToScreen
 | ScaleScreenTo96
 | AdjustSize
 | AutoSizePhases
 | AutoSizeDelayed
 | AutoSizeDelayedReport
 | AutoSizeDelayedHandle
 | AnchorToNeighbour
 | AnchorParallel
 | AnchorHorizontalCenterTo
 | AnchorVerticalCenterTo
 | AnchorToCompanion
 | AnchorSame
 | AnchorAsAlign
 | AnchorClient
 | AnchoredControlCount
 | SetBounds
 | SetInitialBounds
 | SetBoundsKeepBase
 | GetPreferredSize
 | GetCanvasScaleFactor
 | GetDefaultWidth
 | GetDefaultHeight
 | GetDefaultColor
 | GetColorResolvingParent
 | GetRGBColorResolvingParent
 | GetSidePosition
 | CNPreferredSizeChanged
 | InvalidatePreferredSize
 | GetAnchorsDependingOnParent
 | DisableAutoSizing
 | EnableAutoSizing
 | UpdateBaseBounds
 | WriteLayoutDebugReport
 | AutoAdjustLayout
 | ShouldAutoAdjust
 | FixDesignFontsPPI
 | ScaleFontsPPI
 | Create
 | Destroy
 | BeforeDestruction
 | EditingDone
 | ExecuteDefaultAction
 | ExecuteCancelAction
 | BeginDrag
 | EndDrag
 | BringToFront
 | HasParent
 | GetParentComponent
 | IsParentOf
 | GetTopParent
 | IsVisible
 | IsControlVisible
 | IsEnabled
 | IsParentColor
 | IsParentFont
 | FormIsUpdating
 | IsProcessingPaintMsg
 | Hide
 | Refresh
 | Repaint
 | Invalidate
 | CheckChildClassAllowed
 | CheckNewParent
 | SendToBack
 | SetTempCursor
 | UpdateRolesForForm
 | ActiveDefaultControlChanged
 | GetTextBuf
 | GetTextLen
 | SetTextBuf
 | Perform
 | ScreenToClient
 | ClientToScreen
 | ScreenToControl
 | ControlToScreen
 | ClientToParent
 | ParentToClient
 | GetChildrenRect
 | Show
 | Update
 | HandleObjectShouldBeVisible
 | ParentDestroyingHandle
 | ParentHandlesAllocated
 | InitiateAction
 | ShowHelp
 | HasHelp
 | RemoveAllHandlersOfObject
 | AddHandlerOnResize
 | RemoveHandlerOnResize
 | AddHandlerOnChangeBounds
 | RemoveHandlerOnChangeBounds
 | AddHandlerOnVisibleChanging
 | RemoveHandlerOnVisibleChanging
 | AddHandlerOnVisibleChanged
 | RemoveHandlerOnVisibleChanged
 | AddHandlerOnEnabledChanged
 | RemoveHandlerOnEnableChanging
 | AddHandlerOnKeyDown
 | RemoveHandlerOnKeyDown
 | AddHandlerOnBeforeDestruction
 | RemoveHandlerOnBeforeDestruction
 | AddHandlerOnMouseWheel
 | RemoveHandlerOnMouseWheel
 | UseRightToLeftAlignment
 | UseRightToLeftReading
 | UseRightToLeftScrollBar
 | IsRightToLeft
TLCLComponent
pt | WSRegisterClass
pt | GetWSComponentClass
 | Create
 | Destroy
 | NewInstance
 | RemoveAllHandlersOfObject
 | IncLCLRefCount
 | DecLCLRefCount
TComponent
 | GetComObject
 | GetComponent
 | GetComponentCount
 | GetComponentIndex
 | Insert
 | ReadLeft
 | ReadTop
 | Remove
 | RemoveNotification
 | SetComponentIndex
 | SetReference
 | WriteLeft
 | WriteTop
 | ChangeName
 | DefineProperties
 | GetChildren
 | GetChildOwner
 | GetChildParent
 | GetOwner
 | Loaded
 | Loading
 | Notification
 | PaletteCreated
 | ReadState
 | SetAncestor
 | SetDesigning
 | SetDesignInstance
 | SetInline
 | SetName
 | SetChildOrder
 | SetParentComponent
 | Updating
 | Updated
 | UpdateRegistry
 | ValidateRename
 | ValidateContainer
 | ValidateInsert
 | QueryInterface
 | _AddRef
 | _Release
 | iicrGetComponent
 | GetTypeInfoCount
 | GetTypeInfo
 | GetIDsOfNames
 | Invoke
 | WriteState
 | Create
 | Destroy
 | BeforeDestruction
 | DestroyComponents
 | Destroying
 | ExecuteAction
 | FindComponent
 | FreeNotification
 | RemoveFreeNotification
 | FreeOnRelease
 | GetEnumerator
 | GetNamePath
 | GetParentComponent
 | HasParent
 | InsertComponent
 | RemoveComponent
 | SafeCallException
 | SetSubComponent
 | UpdateAction
 | IsImplementorOf
 | ReferenceInterface
TPersistent
 | AssignError
 | AssignTo
 | DefineProperties
 | GetOwner
 | Destroy
 | Assign
 | FPOAttachObserver
 | FPODetachObserver
 | FPONotifyObservers
 | GetNamePath
TObject
 | Create
 | Destroy
 | newinstance
 | FreeInstance
 | SafeCallException
 | DefaultHandler
 | Free
 | InitInstance
 | CleanupInstance
 | ClassType
 | ClassInfo
 | ClassName
 | ClassNameIs
 | ClassParent
 | InstanceSize
 | InheritsFrom
 | StringMessageTable
 | MethodAddress
 | MethodName
 | FieldAddress
 | AfterConstruction
 | BeforeDestruction
 | DefaultHandlerStr
 | Dispatch
 | DispatchStr
 | GetInterface
 | GetInterfaceByStr
 | GetInterfaceWeak
 | GetInterfaceEntry
 | GetInterfaceEntryByStr
 | GetInterfaceTable
 | UnitName
 | Equals
 | GetHashCode
 | ToString


pt | ActionChange (TControl)
 | ActiveDefaultControlChanged (TControl)
 | AddControl (TWinControl)
pt | AddHandler (TControl)
 | AddHandlerOnBeforeDestruction (TControl)
 | AddHandlerOnChangeBounds (TControl)
 | AddHandlerOnEnabledChanged (TControl)
 | AddHandlerOnKeyDown (TControl)
 | AddHandlerOnMouseWheel (TControl)
 | AddHandlerOnResize (TControl)
 | AddHandlerOnVisibleChanged (TControl)
 | AddHandlerOnVisibleChanging (TControl)
 | AddHistoryItem (TCustomComboBox)
 | AddItem (TCustomComboBox)
pt | AdjustClientRect (TWinControl)
pt | AdjustDropDown (TCustomComboBox)
 | AdjustSize (TControl)
 | AfterConstruction (TObject)
pt | AlignControls (TWinControl)
pt | AllAutoSized (TWinControl)
 | AnchorAsAlign (TControl)
 | AnchorClient (TControl)
 | AnchoredControlCount (TControl)
 | AnchorHorizontalCenterTo (TControl)
 | AnchorParallel (TControl)
 | AnchorSame (TControl)
pt | AnchorSideChanged (TControl)
 | AnchorToCompanion (TControl)
 | AnchorToNeighbour (TControl)
 | AnchorVerticalCenterTo (TControl)
 | Assign (TPersistent)
 | AssignError (TPersistent)
 | AssignTo (TPersistent)
pt | AssignTo (TControl)
 | AutoAdjustLayout (TControl)
 | AutoAdjustLayout (TWinControl)
 | AutoSizeDelayed (TControl)
 | AutoSizeDelayed (TWinControl)
 | AutoSizeDelayedHandle (TControl)
 | AutoSizeDelayedHandle (TWinControl)
 | AutoSizeDelayedReport (TControl)
 | AutoSizeDelayedReport (TWinControl)
 | AutoSizePhases (TControl)
 | AutoSizePhases (TWinControl)
 | BeforeDestruction (TObject)
 | BeforeDestruction (TComponent)
 | BeforeDestruction (TControl)
pt | BeforeDragStart (TControl)
pt | BeginAutoDrag (TControl)
pt | BeginAutoSizing (TControl)
 | BeginDrag (TControl)
 | BeginUpdateBounds (TWinControl)
pt | BoundsChanged (TControl)
 | BringToFront (TControl)
 | BroadCast (TWinControl)
 | BrushCreated (TWinControl)
pt | CalculateDockSizes (TControl)
pt | CalculatePreferredSize (TControl)
pt | CalculatePreferredSize (TWinControl)
pt | CanAutoSize (TControl)
 | CanFocus (TWinControl)
 | CanSetFocus (TWinControl)
pt | CanTab (TControl)
pt | CanTab (TWinControl)
pt | CaptureChanged (TControl)
pt | Change (TCustomComboBox)
pt | Change (TCustomDBComboBox)
pt | ChangeBounds (TControl)
pt | Changed (TControl)
 | ChangeName (TComponent)
pt | ChangeScale (TControl)
pt | ChangeScale (TWinControl)
 | CheckChildClassAllowed (TControl)
 | CheckNewParent (TControl)
pt | CheckOnChangeBounds (TControl)
pt | ChildClassAllowed (TControl)
pt | ChildClassAllowed (TWinControl)
pt | ChildHandlesCreated (TWinControl)
pt | ChildKey (TWinControl)
 | ClassInfo (TObject)
 | ClassName (TObject)
 | ClassNameIs (TObject)
 | ClassParent (TObject)
 | ClassType (TObject)
 | CleanupInstance (TObject)
 | Clear (TCustomComboBox)
 | ClearSelection (TCustomComboBox)
pt | Click (TControl)
 | ClientRectNeedsInterfaceUpdate (TWinControl)
 | ClientToParent (TControl)
 | ClientToScreen (TControl)
pt | CloseUp (TCustomComboBox)
pt | CloseUp (TCustomDBComboBox)
pt | CMBiDiModeChanged (TControl)
pt | CMBiDiModeChanged (TWinControl)
pt | CMBorderChanged (TWinControl)
pt | CMChanged (TControl)
pt | CMCursorChanged (TControl)
pt | CMDoubleBufferedChanged (TWinControl)
pt | CMEnabledChanged (TControl)
pt | CMEnabledChanged (TWinControl)
pt | CMEnter (TWinControl)
pt | CMExit (TWinControl)
pt | CMHintShow (TControl)
pt | CMHitTest (TControl)
pt | CMMouseEnter (TControl)
pt | CMMouseLeave (TControl)
pt | CMParentBiDiModeChanged (TControl)
pt | CMParentColorChanged (TControl)
pt | CMParentDoubleBufferedChanged (TWinControl)
pt | CMParentFontChanged (TControl)
pt | CMParentShowHintChanged (TControl)
pt | CMShowHintChanged (TWinControl)
pt | CMShowingChanged (TWinControl)
pt | CMSysFontChanged (TControl)
pt | CMTextChanged (TControl)
pt | CMVisibleChanged (TControl)
pt | CMVisibleChanged (TWinControl)
pt | CMWantSpecialKey (TCustomComboBox)
pt | CNChar (TWinControl)
pt | CNKeyDown (TWinControl)
pt | CNKeyUp (TWinControl)
 | CNPreferredSizeChanged (TControl)
pt | CNSysKeyDown (TWinControl)
pt | CNSysKeyUp (TWinControl)
pt | ColorIsStored (TControl)
pt | ConstrainedResize (TControl)
 | ContainsControl (TWinControl)
 | ControlAtPos (TWinControl)
pt | ControlKeyDown (TWinControl)
pt | ControlKeyUp (TWinControl)
pt | ControlsAligned (TWinControl)
 | ControlToScreen (TControl)
 | Create (TObject)
 | Create (TComponent)
 | Create (TLCLComponent)
 | Create (TControl)
 | Create (TWinControl)
 | Create (TCustomComboBox)
 | Create (TCustomDBComboBox)
 | Create (TDBLookupComboBox)
 | CreateAccessibleObject (TControl)
pt | CreateBrush (TWinControl)
pt | CreateControlBorderSpacing (TControl)
pt | CreateDockManager (TWinControl)
pt | CreateFloatingDockSite (TControl)
pt | CreateHandle (TWinControl)
pt | CreateParams (TWinControl)
pt | CreateParams (TCustomComboBox)
 | CreateParented (TWinControl)
 | CreateParentedControl (TWinControl)
pt | CreateSubClass (TWinControl)
pt | CreateWnd (TWinControl)
pt | CustomAlignInsertBefore (TWinControl)
pt | CustomAlignPosition (TWinControl)
pt | DataChange (TCustomDBComboBox)
pt | DataChange (TDBLookupComboBox)
pt | DblClick (TControl)
 | DecLCLRefCount (TLCLComponent)
 | DefaultHandler (TObject)
 | DefaultHandler (TWinControl)
 | DefaultHandlerStr (TObject)
 | DefineProperties (TPersistent)
 | DefineProperties (TComponent)
pt | DefineProperties (TControl)
 | Destroy (TObject)
 | Destroy (TPersistent)
 | Destroy (TComponent)
 | Destroy (TLCLComponent)
 | Destroy (TControl)
 | Destroy (TWinControl)
 | Destroy (TCustomComboBox)
 | Destroy (TCustomDBComboBox)
 | DestroyComponents (TComponent)
pt | DestroyHandle (TWinControl)
 | Destroying (TComponent)
pt | DestroyWnd (TWinControl)
pt | DestroyWnd (TCustomComboBox)
pt | DestroyWnd (TDBLookupComboBox)
pt | DialogChar (TControl)
pt | DialogChar (TWinControl)
 | DisableAlign (TWinControl)
 | DisableAutoSizing (TControl)
 | Dispatch (TObject)
 | DispatchStr (TObject)
pt | DoAddDockClient (TWinControl)
 | DoAdjustClientRectChange (TWinControl)
pt | DoAlignChildControls (TWinControl)
pt | DoAllAutoSize (TControl)
pt | DoAllAutoSize (TWinControl)
pt | DoAutoAdjustLayout (TControl)
pt | DoAutoAdjustLayout (TCustomComboBox)
pt | DoAutoSize (TControl)
pt | DoAutoSize (TWinControl)
pt | DoBorderSpacingChange (TControl)
pt | DoCallKeyEventHandler (TControl)
pt | DoCallMouseWheelEventHandler (TControl)
pt | DoCallNotifyHandler (TControl)
pt | DoChildSizingChange (TWinControl)
 | Dock (TControl)
 | DockDrop (TWinControl)
 | Docked (TControl)
pt | DockOver (TWinControl)
pt | DockTrackNoTarget (TControl)
pt | DoConstraintsChange (TControl)
pt | DoConstraintsChange (TWinControl)
pt | DoContextPopup (TControl)
pt | DoDock (TControl)
pt | DoDockClientMsg (TWinControl)
pt | DoDockOver (TWinControl)
pt | DoDragMsg (TControl)
pt | DoDragMsg (TWinControl)
pt | DoEdit (TCustomDBComboBox)
pt | DoEdit (TDBLookupComboBox)
pt | DoEndDock (TControl)
pt | DoEndDrag (TControl)
pt | DoEnter (TWinControl)
pt | DoEnter (TCustomComboBox)
pt | DoExit (TWinControl)
pt | DoExit (TCustomComboBox)
pt | DoFixDesignFontPPI (TControl)
pt | DoFlipChildren (TWinControl)
pt | DoFloatMsg (TControl)
pt | DoFloatMsg (TWinControl)
pt | DoGetDockCaption (TWinControl)
pt | DoKeyDownBeforeInterface (TWinControl)
pt | DoKeyPress (TWinControl)
pt | DoKeyUpBeforeInterface (TWinControl)
pt | DoMouseWheel (TControl)
pt | DoMouseWheel (TCustomDBComboBox)
pt | DoMouseWheelDown (TControl)
pt | DoMouseWheelHorz (TControl)
pt | DoMouseWheelLeft (TControl)
pt | DoMouseWheelRight (TControl)
pt | DoMouseWheelUp (TControl)
pt | DoOnChangeBounds (TControl)
pt | DoOnCloseUp (TCustomDBComboBox)
pt | DoOnParentHandleDestruction (TControl)
pt | DoOnResize (TControl)
pt | DoOnSelect (TCustomDBComboBox)
pt | DoOnSelect (TDBLookupComboBox)
pt | DoOnShowHint (TControl)
pt | DoRemainingKeyDown (TWinControl)
pt | DoRemainingKeyUp (TWinControl)
pt | DoRemoveDockClient (TWinControl)
pt | DoScaleFontPPI (TControl)
pt | DoSendBoundsToInterface (TWinControl)
pt | DoSendShowHideToInterface (TWinControl)
pt | DoSetBounds (TControl)
pt | DoSetBounds (TWinControl)
pt | DoStartDock (TControl)
pt | DoStartDrag (TControl)
pt | DoUnDock (TWinControl)
pt | DoUndockClientMsg (TWinControl)
pt | DoUTF8KeyPress (TWinControl)
pt | DragCanceled (TControl)
 | DragDrop (TControl)
 | Dragging (TControl)
pt | DragOver (TControl)
pt | DrawItem (TCustomComboBox)
pt | DropDown (TCustomComboBox)
 | EditingDone (TControl)
 | EditingDone (TCustomDBComboBox)
 | EnableAlign (TWinControl)
 | EnableAutoSizing (TControl)
pt | EnabledChanged (TControl)
pt | EnabledChanging (TControl)
pt | EndAutoSizing (TControl)
 | EndDrag (TControl)
 | EndUpdateBounds (TWinControl)
 | Equals (TObject)
 | EraseBackground (TWinControl)
 | ExecuteAction (TComponent)
 | ExecuteAction (TCustomDBComboBox)
 | ExecuteCancelAction (TControl)
 | ExecuteDefaultAction (TControl)
 | FieldAddress (TObject)
pt | FinalizeWnd (TWinControl)
 | FindChildControl (TWinControl)
 | FindComponent (TComponent)
pt | FindNextControl (TWinControl)
 | FixDesignFontsPPI (TControl)
pt | FixupTabList (TWinControl)
 | FlipChildren (TWinControl)
 | Focused (TWinControl)
pt | FontChanged (TControl)
pt | FontChanged (TWinControl)
pt | ForeignAnchorSideChanged (TControl)
pt | FormEndUpdated (TControl)
pt | FormEndUpdated (TWinControl)
 | FormIsUpdating (TControl)
 | FPOAttachObserver (TPersistent)
 | FPODetachObserver (TPersistent)
 | FPONotifyObservers (TPersistent)
 | Free (TObject)
 | FreeInstance (TObject)
 | FreeNotification (TComponent)
 | FreeOnRelease (TComponent)
 | GetAccessibleObject (TControl)
pt | GetAction (TControl)
pt | GetActionLinkClass (TControl)
pt | GetAdjustedLogicalClientRect (TWinControl)
 | GetAnchorsDependingOnParent (TControl)
pt | GetBorderStyle (TWinControl)
pt | GetCachedText (TControl)
 | GetCanvasScaleFactor (TControl)
 | GetChildAccessibleObjectAtPos (TControl)
 | GetChildOwner (TComponent)
 | GetChildParent (TComponent)
 | GetChildren (TComponent)
pt | GetChildren (TWinControl)
 | GetChildrenRect (TControl)
 | GetChildrenRect (TWinControl)
pt | GetClientOrigin (TControl)
pt | GetClientOrigin (TWinControl)
pt | GetClientRect (TControl)
pt | GetClientRect (TWinControl)
pt | GetClientScrollOffset (TControl)
 | GetColorResolvingParent (TControl)
 | GetComObject (TComponent)
 | GetComponent (TComponent)
 | GetComponentCount (TComponent)
 | GetComponentIndex (TComponent)
pt | GetControlClassDefaultSize (TControl)
pt | GetControlClassDefaultSize (TCustomComboBox)
 | GetControlIndex (TWinControl)
pt | GetControlOrigin (TControl)
pt | GetControlOrigin (TWinControl)
pt | GetCursor (TControl)
 | GetDefaultColor (TControl)
pt | GetDefaultDockCaption (TControl)
 | GetDefaultHeight (TControl)
 | GetDefaultWidth (TControl)
pt | GetDeviceContext (TControl)
pt | GetDeviceContext (TWinControl)
 | GetDockCaption (TWinControl)
pt | GetDockEdge (TControl)
pt | GetDragImages (TControl)
pt | GetEnabled (TControl)
 | GetEnumerator (TComponent)
 | GetEnumeratorControls (TWinControl)
 | GetEnumeratorControlsReverse (TWinControl)
pt | GetFloating (TControl)
pt | GetFloatingDockSiteClass (TControl)
 | GetHashCode (TObject)
 | GetIDsOfNames (TComponent)
 | GetInterface (TObject)
 | GetInterfaceByStr (TObject)
 | GetInterfaceEntry (TObject)
 | GetInterfaceEntryByStr (TObject)
 | GetInterfaceTable (TObject)
 | GetInterfaceWeak (TObject)
pt | GetItemCount (TCustomComboBox)
pt | GetItemHeight (TCustomComboBox)
pt | GetItemIndex (TCustomComboBox)
pt | GetItems (TCustomComboBox)
pt | GetLogicalClientRect (TControl)
pt | GetMaxLength (TCustomComboBox)
pt | GetMouseCapture (TControl)
pt | GetMouseCapture (TWinControl)
pt | GetMousePosFromMessage (TControl)
 | GetNamePath (TPersistent)
 | GetNamePath (TComponent)
 | GetOwner (TPersistent)
 | GetOwner (TComponent)
pt | GetPalette (TControl)
pt | GetParentBackground (TWinControl)
 | GetParentComponent (TComponent)
 | GetParentComponent (TControl)
pt | GetParentHandle (TWinControl)
pt | GetPopupMenu (TControl)
 | GetPreferredSize (TControl)
pt | GetPreferredSizeClientFrame (TWinControl)
 | GetRGBColorResolvingParent (TControl)
pt | GetScrolledClientRect (TControl)
 | GetSelectedChildAccessibleObject (TControl)
pt | GetSelLength (TCustomComboBox)
pt | GetSelStart (TCustomComboBox)
pt | GetSelText (TCustomComboBox)
 | GetSidePosition (TControl)
pt | GetSiteInfo (TWinControl)
 | GetTabOrderList (TWinControl)
 | GetTextBuf (TControl)
 | GetTextLen (TControl)
 | GetTextLen (TWinControl)
 | GetTopParent (TControl)
pt | GetTopParentHandle (TWinControl)
 | GetTypeInfo (TComponent)
 | GetTypeInfoCount (TComponent)
pt | GetWSComponentClass (TLCLComponent)
 | HandleAllocated (TWinControl)
 | HandleNeeded (TWinControl)
 | HandleObjectShouldBeVisible (TControl)
 | HasHelp (TControl)
 | HasParent (TComponent)
 | HasParent (TControl)
pt | HeightIsAnchored (TControl)
 | Hide (TControl)
 | iicrGetComponent (TComponent)
 | IncLCLRefCount (TLCLComponent)
 | InheritsFrom (TObject)
pt | InitializeWnd (TWinControl)
pt | InitializeWnd (TCustomComboBox)
pt | InitializeWnd (TDBLookupComboBox)
 | InitiateAction (TControl)
 | InitInstance (TObject)
 | Insert (TComponent)
 | InsertComponent (TComponent)
 | InsertControl (TWinControl)
 | InstanceSize (TObject)
 | IntfGetDropFilesTarget (TWinControl)
 | IntfGetItems (TCustomComboBox)
 | IntfUTF8KeyPress (TWinControl)
 | Invalidate (TControl)
 | Invalidate (TWinControl)
pt | InvalidateBoundsRealized (TWinControl)
 | InvalidateClientRectCache (TWinControl)
pt | InvalidateControl (TControl)
pt | InvalidatePreferredChildSizes (TWinControl)
 | InvalidatePreferredSize (TControl)
 | Invoke (TComponent)
pt | IsAParentAligning (TControl)
pt | IsBorderSpacingInnerBorderStored (TControl)
pt | IsCaptionStored (TControl)
pt | IsClientHeightStored (TControl)
pt | IsClientHeightStored (TWinControl)
pt | IsClientWidthStored (TControl)
pt | IsClientWidthStored (TWinControl)
pt | IsControlMouseMsg (TWinControl)
 | IsControlVisible (TControl)
 | IsEnabled (TControl)
 | IsImplementorOf (TComponent)
 | IsParentColor (TControl)
 | IsParentFont (TControl)
 | IsParentOf (TControl)
 | IsProcessingPaintMsg (TControl)
 | IsRightToLeft (TControl)
pt | IsUnbound (TDBLookupComboBox)
 | IsVisible (TControl)
pt | KeyDown (TWinControl)
pt | KeyDown (TCustomComboBox)
pt | KeyDown (TCustomDBComboBox)
pt | KeyDown (TDBLookupComboBox)
pt | KeyDownAfterInterface (TWinControl)
pt | KeyDownBeforeInterface (TWinControl)
pt | KeyPress (TWinControl)
pt | KeyUp (TWinControl)
pt | KeyUp (TCustomComboBox)
pt | KeyUpAfterInterface (TWinControl)
pt | KeyUpAfterInterface (TCustomComboBox)
pt | KeyUpBeforeInterface (TWinControl)
pt | LMCaptureChanged (TControl)
pt | LMChanged (TCustomComboBox)
pt | LMDeferredEdit (TCustomDBComboBox)
 | Loaded (TComponent)
pt | Loaded (TControl)
pt | Loaded (TWinControl)
pt | Loaded (TDBLookupComboBox)
pt | LoadedAll (TControl)
 | Loading (TComponent)
 | LockRealizeBounds (TWinControl)
pt | MainWndProc (TWinControl)
 | ManualDock (TControl)
 | ManualFloat (TControl)
pt | MeasureItem (TCustomComboBox)
 | MethodAddress (TObject)
 | MethodName (TObject)
pt | MouseDown (TControl)
pt | MouseEnter (TControl)
pt | MouseLeave (TControl)
pt | MouseMove (TControl)
pt | MouseUp (TControl)
pt | MouseUp (TCustomComboBox)
 | newinstance (TObject)
 | NewInstance (TLCLComponent)
 | Notification (TComponent)
pt | Notification (TControl)
pt | Notification (TCustomDBComboBox)
 | NotifyControls (TWinControl)
pt | PaintControls (TWinControl)
pt | PaintHandler (TWinControl)
 | PaintTo (TWinControl)
pt | PaintWindow (TWinControl)
 | PaletteCreated (TComponent)
 | ParentDestroyingHandle (TControl)
pt | ParentFontChanged (TControl)
pt | ParentFormHandleInitialized (TControl)
pt | ParentFormHandleInitialized (TWinControl)
 | ParentHandlesAllocated (TControl)
 | ParentHandlesAllocated (TWinControl)
 | ParentToClient (TControl)
 | Perform (TControl)
 | PerformTab (TWinControl)
pt | PositionDockRect (TControl)
pt | QuadClick (TControl)
 | QueryInterface (TComponent)
 | ReadLeft (TComponent)
 | ReadState (TComponent)
pt | ReadState (TControl)
 | ReadTop (TComponent)
pt | RealGetText (TControl)
pt | RealGetText (TWinControl)
 | ReAlign (TWinControl)
pt | RealizeBounds (TWinControl)
pt | RealizeBoundsRecursive (TWinControl)
pt | RealSetText (TControl)
pt | RealSetText (TWinControl)
pt | RealSetText (TCustomComboBox)
 | ReferenceInterface (TComponent)
 | Refresh (TControl)
pt | ReloadDockedControl (TWinControl)
 | Remove (TComponent)
 | RemoveAllHandlersOfObject (TLCLComponent)
 | RemoveAllHandlersOfObject (TControl)
 | RemoveComponent (TComponent)
 | RemoveControl (TWinControl)
pt | RemoveFocus (TWinControl)
 | RemoveFreeNotification (TComponent)
pt | RemoveHandler (TControl)
 | RemoveHandlerOnBeforeDestruction (TControl)
 | RemoveHandlerOnChangeBounds (TControl)
 | RemoveHandlerOnEnableChanging (TControl)
 | RemoveHandlerOnKeyDown (TControl)
 | RemoveHandlerOnMouseWheel (TControl)
 | RemoveHandlerOnResize (TControl)
 | RemoveHandlerOnVisibleChanged (TControl)
 | RemoveHandlerOnVisibleChanging (TControl)
 | RemoveNotification (TComponent)
 | Repaint (TControl)
 | Repaint (TWinControl)
 | ReplaceDockedControl (TControl)
pt | RequestAlign (TControl)
pt | Resize (TControl)
 | SafeCallException (TObject)
 | SafeCallException (TComponent)
 | Scale96ToFont (TControl)
 | Scale96ToForm (TControl)
 | Scale96ToScreen (TControl)
 | ScaleBy (TWinControl)
pt | ScaleConstraints (TControl)
pt | ScaleControls (TWinControl)
 | ScaleDesignToForm (TControl)
 | ScaleFontsPPI (TControl)
 | ScaleFontTo96 (TControl)
 | ScaleFontToScreen (TControl)
 | ScaleFormTo96 (TControl)
 | ScaleFormToDesign (TControl)
 | ScaleScreenTo96 (TControl)
 | ScaleScreenToFont (TControl)
 | ScreenToClient (TControl)
 | ScreenToControl (TControl)
 | ScrollBy (TWinControl)
 | ScrollBy_WS (TWinControl)
pt | Select (TCustomComboBox)
pt | Select (TCustomDBComboBox)
 | SelectAll (TCustomComboBox)
pt | SelectFirst (TWinControl)
pt | SelectItem (TCustomComboBox)
 | SelectNext (TWinControl)
pt | SendDialogChar (TWinControl)
pt | SendMoveSizeMessages (TControl)
pt | SendMoveSizeMessages (TWinControl)
 | SendToBack (TControl)
pt | SetAction (TControl)
pt | SetAlign (TControl)
 | SetAncestor (TComponent)
pt | SetAnchors (TControl)
pt | SetAutoSize (TControl)
pt | SetBiDiMode (TControl)
pt | SetBorderStyle (TWinControl)
 | SetBounds (TControl)
 | SetBounds (TWinControl)
 | SetBoundsKeepBase (TControl)
 | SetChildOrder (TComponent)
pt | SetChildZPosition (TWinControl)
pt | SetColor (TControl)
pt | SetColor (TWinControl)
 | SetComponentIndex (TComponent)
 | SetControlIndex (TWinControl)
pt | SetCursor (TControl)
 | SetDesigning (TComponent)
 | SetDesignInstance (TComponent)
pt | SetDockManager (TWinControl)
pt | SetDragMode (TControl)
pt | SetDropDownCount (TCustomComboBox)
pt | SetDroppedDown (TCustomComboBox)
pt | SetEnabled (TControl)
 | SetFocus (TWinControl)
pt | SetHint (TControl)
 | SetInitialBounds (TControl)
 | SetInline (TComponent)
pt | SetItemHeight (TCustomComboBox)
pt | SetItemIndex (TCustomComboBox)
pt | SetItems (TCustomComboBox)
pt | SetMaxLength (TCustomComboBox)
 | SetName (TComponent)
pt | SetName (TControl)
pt | SetParent (TControl)
pt | SetParentBackground (TWinControl)
pt | SetParentBiDiMode (TControl)
 | SetParentComponent (TComponent)
pt | SetParentComponent (TControl)
 | SetReference (TComponent)
pt | SetSelLength (TCustomComboBox)
pt | SetSelStart (TCustomComboBox)
pt | SetSelText (TCustomComboBox)
 | SetShape (TWinControl)
pt | SetSorted (TCustomComboBox)
pt | SetStyle (TCustomComboBox)
 | SetSubComponent (TComponent)
 | SetTempCursor (TControl)
 | SetTempCursor (TWinControl)
 | SetTextBuf (TControl)
pt | SetVisible (TControl)
pt | SetZOrder (TControl)
 | ShouldAutoAdjust (TControl)
pt | ShouldAutoAdjust (TCustomComboBox)
 | Show (TControl)
pt | ShowControl (TWinControl)
 | ShowHelp (TControl)
 | StringMessageTable (TObject)
pt | TextChanged (TControl)
 | ToString (TObject)
pt | TripleClick (TControl)
 | UnitName (TObject)
 | UnlockRealizeBounds (TWinControl)
 | Update (TControl)
 | Update (TWinControl)
 | UpdateAction (TComponent)
 | UpdateAction (TCustomDBComboBox)
pt | UpdateAnchorRules (TControl)
 | UpdateBaseBounds (TControl)
pt | UpdateControlState (TWinControl)
 | Updated (TComponent)
pt | UpdateData (TCustomDBComboBox)
pt | UpdateData (TDBLookupComboBox)
 | UpdateDockCaption (TWinControl)
pt | UpdateMouseCursor (TControl)
pt | UpdateRecord (TCustomDBComboBox)
 | UpdateRegistry (TComponent)
 | UpdateRolesForForm (TControl)
pt | UpdateShowing (TWinControl)
 | Updating (TComponent)
 | UseRightToLeftAlignment (TControl)
 | UseRightToLeftReading (TControl)
 | UseRightToLeftScrollBar (TControl)
pt | UTF8KeyPress (TWinControl)
pt | UTF8KeyPress (TCustomComboBox)
pt | UTF8KeyPress (TDBLookupComboBox)
 | ValidateContainer (TComponent)
 | ValidateInsert (TComponent)
 | ValidateRename (TComponent)
pt | VisibleChanged (TControl)
pt | VisibleChanging (TControl)
pt | WidthIsAnchored (TControl)
pt | WMCancelMode (TControl)
pt | WMChar (TWinControl)
pt | WMContextMenu (TControl)
pt | WMContextMenu (TWinControl)
pt | WMDestroy (TWinControl)
pt | WMEnter (TWinControl)
pt | WMEraseBkgnd (TWinControl)
pt | WMExit (TWinControl)
pt | WMKeyDown (TWinControl)
pt | WMKeyUp (TWinControl)
pt | WMKillFocus (TWinControl)
pt | WMLButtonDBLCLK (TControl)
pt | WMLButtonDown (TControl)
pt | WMLButtonQuadCLK (TControl)
pt | WMLButtonTripleCLK (TControl)
pt | WMLButtonUp (TControl)
pt | WMMButtonDBLCLK (TControl)
pt | WMMButtonDown (TControl)
pt | WMMButtonQuadCLK (TControl)
pt | WMMButtonTripleCLK (TControl)
pt | WMMButtonUp (TControl)
pt | WMMouseHWheel (TControl)
pt | WMMouseMove (TControl)
pt | WMMouseWheel (TControl)
pt | WMMove (TControl)
pt | WMMove (TWinControl)
pt | WMNotify (TWinControl)
pt | WMPaint (TWinControl)
pt | WMRButtonDBLCLK (TControl)
pt | WMRButtonDown (TControl)
pt | WMRButtonQuadCLK (TControl)
pt | WMRButtonTripleCLK (TControl)
pt | WMRButtonUp (TControl)
pt | WMSetFocus (TWinControl)
pt | WMShowWindow (TWinControl)
pt | WMSize (TControl)
pt | WMSize (TWinControl)
pt | WMSysChar (TWinControl)
pt | WMSysKeyDown (TWinControl)
pt | WMSysKeyUp (TWinControl)
pt | WMWindowPosChanged (TControl)
pt | WMWindowPosChanged (TWinControl)
pt | WMXButtonDBLCLK (TControl)
pt | WMXButtonDown (TControl)
pt | WMXButtonQuadCLK (TControl)
pt | WMXButtonTripleCLK (TControl)
pt | WMXButtonUp (TControl)
pt | WndProc (TControl)
pt | WndProc (TWinControl)
pt | WndProc (TCustomDBComboBox)
 | WriteLayoutDebugReport (TControl)
 | WriteLayoutDebugReport (TWinControl)
 | WriteLeft (TComponent)
 | WriteState (TComponent)
 | WriteTop (TComponent)
pt | WSRegisterClass (TLCLComponent)
pt | WSRegisterClass (TControl)
pt | WSRegisterClass (TWinControl)
pt | WSRegisterClass (TCustomComboBox)
pt | WSSetText (TWinControl)
 | _AddRef (TComponent)
 | _Release (TComponent)


TDBLookupComboBox
pl | ro | OnChange
pl | ro | OnChangeBounds
pl | ro | OnClick
pl | ro | OnCloseUp
pl | ro | OnDblClick
pl | ro | OnDragDrop
pl | ro | OnDragOver
pl | ro | OnDrawItem
pl | ro | OnDropDown
pl | ro | OnEditingDone
pl | ro | OnEndDrag
pl | ro | OnEnter
pl | ro | OnExit
pl | ro | OnKeyDown
pl | ro | OnKeyPress
pl | ro | OnKeyUp
pl | ro | OnMouseDown
pl | ro | OnMouseEnter
pl | ro | OnMouseLeave
pl | ro | OnMouseMove
pl | ro | OnMouseUp
pl | ro | OnMouseWheel
pl | ro | OnMouseWheelDown
pl | ro | OnMouseWheelUp
pl | ro | OnSelect
pl | ro | OnStartDrag
pl | ro | OnUTF8KeyPress
TCustomDBComboBox
TCustomComboBox
pt |  | OnChange
pt |  | OnCloseUp
pt |  | OnDrawItem
pt |  | OnDropDown
pt |  | OnGetItems
pt |  | OnMeasureItem
pt |  | OnSelect
TWinControl
pt |  | OnGetSiteInfo
pt |  | OnGetDockCaption
 |  | OnAlignInsertBefore
 |  | OnAlignPosition
 |  | OnDockDrop
 |  | OnDockOver
 |  | OnEnter
 |  | OnExit
 |  | OnKeyDown
 |  | OnKeyPress
 |  | OnKeyUp
 |  | OnUnDock
 |  | OnUTF8KeyPress
TControl
pt |  | OnConstrainedResize
pt |  | OnContextPopup
pt |  | OnDblClick
pt |  | OnTripleClick
pt |  | OnQuadClick
pt |  | OnDragDrop
pt |  | OnDragOver
pt |  | OnEndDock
pt |  | OnEndDrag
pt |  | OnMouseDown
pt |  | OnMouseMove
pt |  | OnMouseUp
pt |  | OnMouseEnter
pt |  | OnMouseLeave
pt |  | OnMouseWheel
pt |  | OnMouseWheelDown
pt |  | OnMouseWheelUp
pt |  | OnMouseWheelHorz
pt |  | OnMouseWheelLeft
pt |  | OnMouseWheelRight
pt |  | OnStartDock
pt |  | OnStartDrag
pt |  | OnEditingDone
 |  | OnChangeBounds
 |  | OnClick
 |  | OnResize
 |  | OnShowHint
TLCLComponent
TComponent
TPersistent
TObject


pt |  | OnChange (TCustomComboBox)
pl | ro | OnChange (TDBLookupComboBox)
 |  | OnChangeBounds (TControl)
pl | ro | OnChangeBounds (TDBLookupComboBox)
 |  | OnClick (TControl)
pl | ro | OnClick (TDBLookupComboBox)
pt |  | OnCloseUp (TCustomComboBox)
pl | ro | OnCloseUp (TDBLookupComboBox)
pt |  | OnConstrainedResize (TControl)
pt |  | OnContextPopup (TControl)
pt |  | OnDblClick (TControl)
pl | ro | OnDblClick (TDBLookupComboBox)
 |  | OnDockDrop (TWinControl)
 |  | OnDockOver (TWinControl)
pt |  | OnDragDrop (TControl)
pl | ro | OnDragDrop (TDBLookupComboBox)
pt |  | OnDragOver (TControl)
pl | ro | OnDragOver (TDBLookupComboBox)
pt |  | OnDrawItem (TCustomComboBox)
pl | ro | OnDrawItem (TDBLookupComboBox)
pt |  | OnDropDown (TCustomComboBox)
pl | ro | OnDropDown (TDBLookupComboBox)
pt |  | OnEditingDone (TControl)
pl | ro | OnEditingDone (TDBLookupComboBox)
pt |  | OnEndDock (TControl)
pt |  | OnEndDrag (TControl)
pl | ro | OnEndDrag (TDBLookupComboBox)
 |  | OnEnter (TWinControl)
pl | ro | OnEnter (TDBLookupComboBox)
 |  | OnExit (TWinControl)
pl | ro | OnExit (TDBLookupComboBox)
pt |  | OnGetDockCaption (TWinControl)
pt |  | OnGetItems (TCustomComboBox)
pt |  | OnGetSiteInfo (TWinControl)
 |  | OnKeyDown (TWinControl)
pl | ro | OnKeyDown (TDBLookupComboBox)
 |  | OnKeyPress (TWinControl)
pl | ro | OnKeyPress (TDBLookupComboBox)
 |  | OnKeyUp (TWinControl)
pl | ro | OnKeyUp (TDBLookupComboBox)
pt |  | OnMeasureItem (TCustomComboBox)
pt |  | OnMouseDown (TControl)
pl | ro | OnMouseDown (TDBLookupComboBox)
pt |  | OnMouseEnter (TControl)
pl | ro | OnMouseEnter (TDBLookupComboBox)
pt |  | OnMouseLeave (TControl)
pl | ro | OnMouseLeave (TDBLookupComboBox)
pt |  | OnMouseMove (TControl)
pl | ro | OnMouseMove (TDBLookupComboBox)
pt |  | OnMouseUp (TControl)
pl | ro | OnMouseUp (TDBLookupComboBox)
pt |  | OnMouseWheel (TControl)
pl | ro | OnMouseWheel (TDBLookupComboBox)
pt |  | OnMouseWheelDown (TControl)
pl | ro | OnMouseWheelDown (TDBLookupComboBox)
pt |  | OnMouseWheelHorz (TControl)
pt |  | OnMouseWheelLeft (TControl)
pt |  | OnMouseWheelRight (TControl)
pt |  | OnMouseWheelUp (TControl)
pl | ro | OnMouseWheelUp (TDBLookupComboBox)
pt |  | OnQuadClick (TControl)
 |  | OnResize (TControl)
pt |  | OnSelect (TCustomComboBox)
pl | ro | OnSelect (TDBLookupComboBox)
 |  | OnShowHint (TControl)
pt |  | OnStartDock (TControl)
pt |  | OnStartDrag (TControl)
pl | ro | OnStartDrag (TDBLookupComboBox)
pt |  | OnTripleClick (TControl)
 |  | OnUnDock (TWinControl)
 |  | OnUTF8KeyPress (TWinControl)
pl | ro | OnUTF8KeyPress (TDBLookupComboBox)


TDBLookupComboBox.AutoComplete

Declaration

Source position: dbctrls.pp line 881

published property TDBLookupComboBox.AutoComplete : Boolean;


TDBLookupComboBox.AutoSelect

Declaration

Source position: dbctrls.pp line 884

published property TDBLookupComboBox.AutoSelect : Boolean;


TDBLookupComboBox.BiDiMode

Declaration

Source position: dbctrls.pp line 886

published property TDBLookupComboBox.BiDiMode : TBiDiMode;


TDBLookupComboBox.BorderStyle

Declaration

Source position: dbctrls.pp line 888

published property TDBLookupComboBox.BorderStyle : TBorderStyle;


TDBLookupComboBox.CharCase

Declaration

Source position: dbctrls.pp line 889

published property TDBLookupComboBox.CharCase : TEditCharCase;


TDBLookupComboBox.Constraints

Declaration

Source position: dbctrls.pp line 891

published property TDBLookupComboBox.Constraints : TSizeConstraints;


TDBLookupComboBox.Create

Create - constructor fro TDBLookupComboBox: calls inherited Create then makes lookup list, forms links

Declaration

Source position: dbctrls.pp line 875

public constructor TDBLookupComboBox.Create(

  AOwner: TComponent

); override;

See also

TCustomComboBox.Create


TDBLookupComboBox.DestroyWnd

Declaration

Source position: dbctrls.pp line 867

protected procedure TDBLookupComboBox.DestroyWnd; override;


TDBLookupComboBox.DoEdit

Declaration

Source position: dbctrls.pp line 843

protected function TDBLookupComboBox.DoEdit: Boolean; override;


TDBLookupComboBox.DoOnSelect

Declaration

Source position: dbctrls.pp line 873

protected procedure TDBLookupComboBox.DoOnSelect; override;


TDBLookupComboBox.DoubleBuffered

Declaration

Source position: dbctrls.pp line 894

published property TDBLookupComboBox.DoubleBuffered : Boolean;


TDBLookupComboBox.DragKind

Declaration

Source position: dbctrls.pp line 896

published property TDBLookupComboBox.DragKind : TDragKind;


TDBLookupComboBox.InitializeWnd

Declaration

Source position: dbctrls.pp line 866

protected procedure TDBLookupComboBox.InitializeWnd; override;


TDBLookupComboBox.IsUnbound

Declaration

Source position: dbctrls.pp line 844

protected function TDBLookupComboBox.IsUnbound: Boolean;


TDBLookupComboBox.KeyDown

Declaration

Source position: dbctrls.pp line 868

protected procedure TDBLookupComboBox.KeyDown(

  var Key: Word;

  Shift: TShiftState

); override;


TDBLookupComboBox.KeyField

KeyField the name of the field containing the key data

Declaration

Source position: dbctrls.pp line 903

published property TDBLookupComboBox.KeyField : string
  read GetKeyField
  write SetKeyField;


TDBLookupComboBox.KeyValue

Declaration

Source position: dbctrls.pp line 876

public property TDBLookupComboBox.KeyValue : variant
  read GetKeyValue
  write SetKeyValue;


TDBLookupComboBox.ListField

ListField - the name of the field containing the list data

Declaration

Source position: dbctrls.pp line 904

published property TDBLookupComboBox.ListField : string
  read GetListField
  write SetListField;


TDBLookupComboBox.ListFieldIndex

ListFieldIndex - the index value of the field containing the list

Declaration

Source position: dbctrls.pp line 905

published property TDBLookupComboBox.ListFieldIndex : Integer
  read GetListFieldIndex
  write SetListFieldIndex;


TDBLookupComboBox.ListSource

ListSource the data source that contains the list

Declaration

Source position: dbctrls.pp line 906

published property TDBLookupComboBox.ListSource : TDataSource
  read GetListSource
  write SetListSource;


TDBLookupComboBox.LookupCache

Declaration

Source position: dbctrls.pp line 907

published property TDBLookupComboBox.LookupCache : Boolean
  read GetLookupCache
  write SetLookupCache;


TDBLookupComboBox.NullValueKey

Declaration

Source position: dbctrls.pp line 909

published property TDBLookupComboBox.NullValueKey : TShortCut
  read GetNullValueKey
  write SetNullValueKey
  default 0;


TDBLookupComboBox.OnMouseEnter

Declaration

Source position: dbctrls.pp line 927

published property TDBLookupComboBox.OnMouseEnter : TNotifyEvent;


TDBLookupComboBox.OnMouseLeave

Declaration

Source position: dbctrls.pp line 928

published property TDBLookupComboBox.OnMouseLeave : TNotifyEvent;


TDBLookupComboBox.OnMouseWheel

Declaration

Source position: dbctrls.pp line 931

published property TDBLookupComboBox.OnMouseWheel : TMouseWheelEvent;


TDBLookupComboBox.OnMouseWheelDown

Declaration

Source position: dbctrls.pp line 932

published property TDBLookupComboBox.OnMouseWheelDown : TMouseWheelUpDownEvent;


TDBLookupComboBox.OnMouseWheelUp

Declaration

Source position: dbctrls.pp line 933

published property TDBLookupComboBox.OnMouseWheelUp : TMouseWheelUpDownEvent;


TDBLookupComboBox.ParentBiDiMode

Declaration

Source position: dbctrls.pp line 937

published property TDBLookupComboBox.ParentBiDiMode : Boolean;


TDBLookupComboBox.ParentDoubleBuffered

Declaration

Source position: dbctrls.pp line 939

published property TDBLookupComboBox.ParentDoubleBuffered : Boolean;


TDBLookupComboBox.ScrollListDataset

Declaration

Source position: dbctrls.pp line 944

published property TDBLookupComboBox.ScrollListDataset : Boolean
  read FScrollListDataset
  write FScrollListDataset
  default False;


TDBLookupComboBox.UpdateData

UpdateData - copies the local data from the corresponding entry from the lookup field

Declaration

Source position: dbctrls.pp line 871

protected procedure TDBLookupComboBox.UpdateData(

  Sender: TObject

); override;

See also

TCustomDBComboBox.UpdateData

UpdateData - implements any pending changes in the data


TDBLookupComboBox.UTF8KeyPress

Declaration

Source position: dbctrls.pp line 869

protected procedure TDBLookupComboBox.UTF8KeyPress(

  var UTF8Key: TUTF8Char

); override;


TDBLookupListBox

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

TDBLookupListBox, a data-aware listbox for presenting lookup list information from a database

Declaration

Source position: dbctrls.pp line 448

type TDBLookupListBox = class(TCustomDBListBox)
protected
procedure DataChange(); override; | DataChange - triggered by a change in the data: finds the index of the field containing th changed value
procedure DoSelectionChange(); override;
procedure InitializeWnd; override;
procedure DestroyWnd; override;
procedure KeyDown(); override;
procedure Loaded; override;
procedure UpdateData(); override; | UpdateData - method for applying any pending changes to the data
public
constructor Create(); override; | Create - constructor for TDBLookupListBox: calls inherited Create then creates lookup and forms linkd
property KeyValue: Variant; [rw]
published
property Align: TAlign; | Specifies the placement of the control inside its Parent.
property Anchors: TAnchors; | The set of anchor definitions for this control.
property BiDiMode: TBiDiMode;
property BorderSpacing: TControlBorderSpacing; | Determines the inner and outer border spacing for this control.
property BorderStyle: TBorderStyle; | Allows to show a border (line) around the control,
property Color: TColor;
property Constraints: TSizeConstraints;
property DataField: string; | The name of the DataField to which the listbox belongs
property DataSource: TDataSource; | The identity of the DataSource from which the lookup data will be fetched
property DoubleBuffered: Boolean;
property DragCursor: TCursor; | The cursor shape shown while the control is dragged.
property DragKind: TDragKind;
property DragMode: TDragMode; | Allows the user to drag the control.
property Enabled: Boolean;
property Font: TFont;
property KeyField: string; [rw] | The KeyField holding the data
property ListField: string; [rw] | The ListField for the data
property ListFieldIndex: Integer; [rw] | ListFieldIndex - the index value for the listfield
property ListSource: TDataSource; [rw] | ListSource - the data source from which the list is obtained
property LookupCache: Boolean; [rw]
property NullValueKey: TShortCut; [rw]
property OnClick: TNotifyEvent; | Notification handler for mouse clicks.
property OnDblClick: TNotifyEvent; | Event Handler for double mouse clicks.
property OnDragDrop: TDragDropEvent; | This handler determines the action on an drop onto this control, in a drag-drop operation.
property OnDragOver: TDragOverEvent; | Event handler for a control being dragged over this control.
property OnEditingDone: TNotifyEvent;
property OnEndDrag: TEndDragEvent; | Notification handler for the end of a dragging operation.
property OnEnter: TNotifyEvent; | Handler for control receiving the focus.
property OnExit: TNotifyEvent; | Handler for control loosing the focus. This is a good place for checking the finished user input.
property OnKeyPress: TKeyPressEvent; | Handler for a character entered by the user.
property OnKeyDown: TKeyEvent; | Handler for keyboard key pressed.
property OnKeyUp: TKeyEvent; | Handler for keyboard key released.
property OnMouseDown: TMouseEvent; | Event handler for mouse button going down.
property OnMouseEnter: TNotifyEvent;
property OnMouseLeave: TNotifyEvent;
property OnMouseMove: TMouseMoveEvent; | Event handler for mouse movement within the control.
property OnMouseUp: TMouseEvent; | Event handler for mouse button going up.
property OnMouseWheel: TMouseWheelEvent;
property OnMouseWheelDown: TMouseWheelUpDownEvent;
property OnMouseWheelUp: TMouseWheelUpDownEvent;
property OnResize: TNotifyEvent; | Notification handler for a resize of the control.
property OnStartDrag: TStartDragEvent; | Event handler for the start of a dragging operation.
property OnUTF8KeyPress: TUTF8KeyPressEvent; | Handler for a character entered by the user.
property Options: TListBoxOptions;
property ParentBiDiMode: Boolean;
property ParentDoubleBuffered: Boolean;
property ParentShowHint: Boolean; | If true, the value of ShowHint for the control will be the same as the one from the Parent. Default is true.
property PopupMenu: TPopupMenu; | A context-sensitive menu that pops up when the right mouse button is clicked over this control
property ReadOnly: Boolean; | ReadOnly - if True, the data can only be read but not written or edited
property ScrollListDataset: Boolean; [rw]
property ShowHint: Boolean; | Enables the Hint display.
property Sorted: Boolean; | Determines whether the list entries are sorted.
property TabOrder: TTabOrder; | Determines the sequence of controls, reachable when the user presses the Tab key.
property TabStop: Boolean; | Allows the user to navigate to this control, by pressing the Tab key.
property TopIndex: Integer; | Index of the first visible (topmost) item.
property Visible: Boolean; | Allows to show or hide the control, and all of its children.
end;

Inheritance

TDBLookupListBox | TDBLookupListBox, a data-aware listbox for presenting lookup list information from a database
|
TCustomDBListBox | TCustomDBListBox - base class for TDBListBox, a data-aware listbox for presenting list information from a database
|
TCustomListBox | The base class for TListBox.
|
TWinControl | The base class for controls which can contain other (child) controls.
|
TControl | The base class for visible controls.
|
TLCLComponent | The base class for LCL components associated with widgets.
|
TComponent,IUnknown,IInterfaceComponentReference
|
TPersistent,IFPObserved
|
TObject


TDBLookupListBox
 |  | KeyValue
pl | ro | Align
pl | ro | Anchors
pl | ro | BiDiMode
pl | ro | BorderSpacing
pl | ro | BorderStyle
pl | ro | Color
pl | ro | Constraints
pl | ro | DataField
pl | ro | DataSource
pl | ro | DoubleBuffered
pl | ro | DragCursor
pl | ro | DragKind
pl | ro | DragMode
pl | ro | Enabled
pl | ro | Font
pl |  | KeyField
pl |  | ListField
pl |  | ListFieldIndex
pl |  | ListSource
pl |  | LookupCache
pl |  | NullValueKey
pl | ro | Options
pl | ro | ParentBiDiMode
pl | ro | ParentDoubleBuffered
pl | ro | ParentShowHint
pl | ro | PopupMenu
pl | ro | ReadOnly
pl |  | ScrollListDataset
pl | ro | ShowHint
pl | ro | Sorted
pl | ro | TabOrder
pl | ro | TabStop
pl | ro | TopIndex
pl | ro | Visible
TCustomDBListBox
 | ro | Field
 |  | DataField
 |  | DataSource
 |  | ReadOnly
TCustomListBox
 | ro | Align
 | ro | Anchors
 | ro | BorderStyle
 | ro | Canvas
 |  | ClickOnSelChange
 |  | Columns
 | ro | Constraints
 | ro | Count
 |  | ExtendedSelect
 | ro | Font
 |  | IntegralHeight
 |  | ItemHeight
 |  | ItemIndex
 |  | Items
 |  | MultiSelect
 |  | Options
 | ro | ParentColor
 | ro | ParentFont
 | ro | ParentShowHint
 | ro | PopupMenu
 |  | ScrollWidth
 | ro | SelCount
 |  | Selected
 | ro | ShowHint
 |  | Sorted
 |  | Style
 | ro | TabOrder
 | ro | TabStop
 |  | TopIndex
 | ro | Visible
TWinControl
pt |  | WindowHandle
pt |  | BorderStyle
pt |  | ParentBackground
 |  | BorderWidth
 | ro | BoundsLockCount
 | ro | Brush
 | ro | CachedClientHeight
 | ro | CachedClientWidth
 |  | ChildSizing
 | ro | ControlCount
 | ro | Controls
 |  | DefWndProc
 | ro | DockClientCount
 | ro | DockClients
 |  | DockManager
 |  | DockSite
 |  | DoubleBuffered
 |  | Handle
 | ro | IsFlipped
 | ro | IsResizing
 |  | TabOrder
 |  | TabStop
 |  | ParentDoubleBuffered
 |  | ParentWindow
 | ro | Showing
 |  | UseDockManager
 |  | DesignerDeleting
 | ro | VisibleDockClientCount
TControl
pt | ro | AutoSizing
pt | ro | AutoSizingAll
pt | ro | AutoSizingLockCount
pt |  | ActionLink
pt |  | DesktopFont
pt |  | DragCursor
pt |  | DragKind
pt |  | DragMode
pt |  | MouseCapture
pt |  | ParentColor
pt |  | ParentFont
pt |  | ParentShowHint
pt |  | SessionProperties
pt |  | Text
 | ro | AnchoredControls
 | ro | BaseBounds
 | ro | ReadBounds
 | ro | BaseParentClientSize
 |  | AccessibleDescription
 |  | AccessibleValue
 |  | AccessibleRole
 |  | Action
 |  | Align
 |  | Anchors
 | ro | AnchorSide
 |  | AutoSize
 |  | BorderSpacing
 |  | BoundsRect
 |  | BoundsRectForNewParent
 |  | Caption
 |  | CaptureMouseButtons
 |  | ClientHeight
 | ro | ClientOrigin
 | ro | ClientRect
 |  | ClientWidth
 |  | Color
 |  | Constraints
 | ro | ControlOrigin
 |  | ControlState
 |  | ControlStyle
 |  | Enabled
 |  | Font
 |  | IsControl
 | ro | MouseEntered
 | ro | MouseInClient
 |  | Parent
 |  | PopupMenu
 |  | ShowHint
 |  | Visible
 |  | WindowProc
 |  | DockOrientation
 | ro | Floating
 |  | FloatingDockSiteClass
 |  | HostDockSite
 |  | LRDockWidth
 |  | TBDockHeight
 |  | UndockHeight
 |  | UndockWidth
 |  | BiDiMode
 |  | ParentBiDiMode
pl |  | AnchorSideLeft
pl |  | AnchorSideTop
pl |  | AnchorSideRight
pl |  | AnchorSideBottom
pl |  | Cursor
pl |  | Left
pl |  | Height
pl |  | Hint
pl |  | Top
pl |  | Width
pl |  | HelpType
pl |  | HelpKeyword
pl |  | HelpContext
TLCLComponent
 | ro | LCLRefCount
 | ro | WidgetSetClass
TComponent
 | ro | ComObject
 | ro | Components
 | ro | ComponentCount
 |  | ComponentIndex
 | ro | ComponentState
 | ro | ComponentStyle
 |  | DesignInfo
 | ro | Owner
 |  | VCLComObject
 |  | Name
 |  | Tag
TPersistent
TObject


 |  | AccessibleDescription (TControl)
 |  | AccessibleRole (TControl)
 |  | AccessibleValue (TControl)
 |  | Action (TControl)
pt |  | ActionLink (TControl)
 |  | Align (TControl)
 | ro | Align (TCustomListBox)
pl | ro | Align (TDBLookupListBox)
 | ro | AnchoredControls (TControl)
 |  | Anchors (TControl)
 | ro | Anchors (TCustomListBox)
pl | ro | Anchors (TDBLookupListBox)
 | ro | AnchorSide (TControl)
pl |  | AnchorSideBottom (TControl)
pl |  | AnchorSideLeft (TControl)
pl |  | AnchorSideRight (TControl)
pl |  | AnchorSideTop (TControl)
 |  | AutoSize (TControl)
pt | ro | AutoSizing (TControl)
pt | ro | AutoSizingAll (TControl)
pt | ro | AutoSizingLockCount (TControl)
 | ro | BaseBounds (TControl)
 | ro | BaseParentClientSize (TControl)
 |  | BiDiMode (TControl)
pl | ro | BiDiMode (TDBLookupListBox)
 |  | BorderSpacing (TControl)
pl | ro | BorderSpacing (TDBLookupListBox)
pt |  | BorderStyle (TWinControl)
 | ro | BorderStyle (TCustomListBox)
pl | ro | BorderStyle (TDBLookupListBox)
 |  | BorderWidth (TWinControl)
 | ro | BoundsLockCount (TWinControl)
 |  | BoundsRect (TControl)
 |  | BoundsRectForNewParent (TControl)
 | ro | Brush (TWinControl)
 | ro | CachedClientHeight (TWinControl)
 | ro | CachedClientWidth (TWinControl)
 | ro | Canvas (TCustomListBox)
 |  | Caption (TControl)
 |  | CaptureMouseButtons (TControl)
 |  | ChildSizing (TWinControl)
 |  | ClickOnSelChange (TCustomListBox)
 |  | ClientHeight (TControl)
 | ro | ClientOrigin (TControl)
 | ro | ClientRect (TControl)
 |  | ClientWidth (TControl)
 |  | Color (TControl)
pl | ro | Color (TDBLookupListBox)
 |  | Columns (TCustomListBox)
 | ro | ComObject (TComponent)
 | ro | ComponentCount (TComponent)
 |  | ComponentIndex (TComponent)
 | ro | Components (TComponent)
 | ro | ComponentState (TComponent)
 | ro | ComponentStyle (TComponent)
 |  | Constraints (TControl)
 | ro | Constraints (TCustomListBox)
pl | ro | Constraints (TDBLookupListBox)
 | ro | ControlCount (TWinControl)
 | ro | ControlOrigin (TControl)
 | ro | Controls (TWinControl)
 |  | ControlState (TControl)
 |  | ControlStyle (TControl)
 | ro | Count (TCustomListBox)
pl |  | Cursor (TControl)
 |  | DataField (TCustomDBListBox)
pl | ro | DataField (TDBLookupListBox)
 |  | DataSource (TCustomDBListBox)
pl | ro | DataSource (TDBLookupListBox)
 |  | DefWndProc (TWinControl)
 |  | DesignerDeleting (TWinControl)
 |  | DesignInfo (TComponent)
pt |  | DesktopFont (TControl)
 | ro | DockClientCount (TWinControl)
 | ro | DockClients (TWinControl)
 |  | DockManager (TWinControl)
 |  | DockOrientation (TControl)
 |  | DockSite (TWinControl)
 |  | DoubleBuffered (TWinControl)
pl | ro | DoubleBuffered (TDBLookupListBox)
pt |  | DragCursor (TControl)
pl | ro | DragCursor (TDBLookupListBox)
pt |  | DragKind (TControl)
pl | ro | DragKind (TDBLookupListBox)
pt |  | DragMode (TControl)
pl | ro | DragMode (TDBLookupListBox)
 |  | Enabled (TControl)
pl | ro | Enabled (TDBLookupListBox)
 |  | ExtendedSelect (TCustomListBox)
 | ro | Field (TCustomDBListBox)
 | ro | Floating (TControl)
 |  | FloatingDockSiteClass (TControl)
 |  | Font (TControl)
 | ro | Font (TCustomListBox)
pl | ro | Font (TDBLookupListBox)
 |  | Handle (TWinControl)
pl |  | Height (TControl)
pl |  | HelpContext (TControl)
pl |  | HelpKeyword (TControl)
pl |  | HelpType (TControl)
pl |  | Hint (TControl)
 |  | HostDockSite (TControl)
 |  | IntegralHeight (TCustomListBox)
 |  | IsControl (TControl)
 | ro | IsFlipped (TWinControl)
 | ro | IsResizing (TWinControl)
 |  | ItemHeight (TCustomListBox)
 |  | ItemIndex (TCustomListBox)
 |  | Items (TCustomListBox)
pl |  | KeyField (TDBLookupListBox)
 |  | KeyValue (TDBLookupListBox)
 | ro | LCLRefCount (TLCLComponent)
pl |  | Left (TControl)
pl |  | ListField (TDBLookupListBox)
pl |  | ListFieldIndex (TDBLookupListBox)
pl |  | ListSource (TDBLookupListBox)
pl |  | LookupCache (TDBLookupListBox)
 |  | LRDockWidth (TControl)
pt |  | MouseCapture (TControl)
 | ro | MouseEntered (TControl)
 | ro | MouseInClient (TControl)
 |  | MultiSelect (TCustomListBox)
 |  | Name (TComponent)
pl |  | NullValueKey (TDBLookupListBox)
 |  | Options (TCustomListBox)
pl | ro | Options (TDBLookupListBox)
 | ro | Owner (TComponent)
 |  | Parent (TControl)
pt |  | ParentBackground (TWinControl)
 |  | ParentBiDiMode (TControl)
pl | ro | ParentBiDiMode (TDBLookupListBox)
pt |  | ParentColor (TControl)
 | ro | ParentColor (TCustomListBox)
 |  | ParentDoubleBuffered (TWinControl)
pl | ro | ParentDoubleBuffered (TDBLookupListBox)
pt |  | ParentFont (TControl)
 | ro | ParentFont (TCustomListBox)
pt |  | ParentShowHint (TControl)
 | ro | ParentShowHint (TCustomListBox)
pl | ro | ParentShowHint (TDBLookupListBox)
 |  | ParentWindow (TWinControl)
 |  | PopupMenu (TControl)
 | ro | PopupMenu (TCustomListBox)
pl | ro | PopupMenu (TDBLookupListBox)
 | ro | ReadBounds (TControl)
 |  | ReadOnly (TCustomDBListBox)
pl | ro | ReadOnly (TDBLookupListBox)
pl |  | ScrollListDataset (TDBLookupListBox)
 |  | ScrollWidth (TCustomListBox)
 | ro | SelCount (TCustomListBox)
 |  | Selected (TCustomListBox)
pt |  | SessionProperties (TControl)
 |  | ShowHint (TControl)
 | ro | ShowHint (TCustomListBox)
pl | ro | ShowHint (TDBLookupListBox)
 | ro | Showing (TWinControl)
 |  | Sorted (TCustomListBox)
pl | ro | Sorted (TDBLookupListBox)
 |  | Style (TCustomListBox)
 |  | TabOrder (TWinControl)
 | ro | TabOrder (TCustomListBox)
pl | ro | TabOrder (TDBLookupListBox)
 |  | TabStop (TWinControl)
 | ro | TabStop (TCustomListBox)
pl | ro | TabStop (TDBLookupListBox)
 |  | Tag (TComponent)
 |  | TBDockHeight (TControl)
pt |  | Text (TControl)
pl |  | Top (TControl)
 |  | TopIndex (TCustomListBox)
pl | ro | TopIndex (TDBLookupListBox)
 |  | UndockHeight (TControl)
 |  | UndockWidth (TControl)
 |  | UseDockManager (TWinControl)
 |  | VCLComObject (TComponent)
 |  | Visible (TControl)
 | ro | Visible (TCustomListBox)
pl | ro | Visible (TDBLookupListBox)
 | ro | VisibleDockClientCount (TWinControl)
 | ro | WidgetSetClass (TLCLComponent)
pl |  | Width (TControl)
pt |  | WindowHandle (TWinControl)
 |  | WindowProc (TControl)


TDBLookupListBox
pt | DataChange
pt | DoSelectionChange
pt | InitializeWnd
pt | DestroyWnd
pt | KeyDown
pt | Loaded
pt | UpdateData
 | Create
TCustomDBListBox
pt | DataChange
pt | KeyDown
pt | Notification
pt | UpdateData
pt | SetItems
 | Create
 | Destroy
 | ExecuteAction
 | UpdateAction
TCustomListBox
pt | WSRegisterClass
pt | AssignItemDataToCache
pt | AssignCacheToItemData
pt | BeforeDragStart
pt | BeginAutoDrag
pt | CalculateStandardItemHeight
pt | CreateParams
pt | InitializeWnd
pt | DestroyWnd
pt | FinalizeWnd
pt | GetControlClassDefaultSize
pt | CheckIndex
pt | GetItemHeight
pt | GetItemIndex
pt | GetSelCount
pt | GetSelected
pt | GetCachedDataSize
pt | GetCachedData
pt | SetExtendedSelect
pt | SetItemIndex
pt | SetItems
pt | SetItemHeight
pt | SetMultiSelect
pt | SetSelected
pt | SetSorted
pt | SetStyle
pt | DrawItem
pt | DoAutoAdjustLayout
pt | DoSelectionChange
pt | SendItemIndex
pt | WMGetDlgCode
 | Create
 | Destroy
 | AddItem
 | Click
 | Clear
 | ClearSelection
 | GetIndexAtXY
 | GetIndexAtY
 | GetSelectedText
 | ItemAtPos
 | ItemRect
 | ItemVisible
 | ItemFullyVisible
 | LockSelectionChange
 | MakeCurrentVisible
 | MeasureItem
 | SelectAll
 | DeleteSelected
 | UnlockSelectionChange
TWinControl
pt | WSRegisterClass
pt | AdjustClientRect
pt | GetAdjustedLogicalClientRect
pt | AlignControls
pt | CustomAlignInsertBefore
pt | CustomAlignPosition
pt | DoAlignChildControls
pt | DoChildSizingChange
pt | InvalidatePreferredChildSizes
pt | CanTab
pt | IsClientHeightStored
pt | IsClientWidthStored
pt | DoSendShowHideToInterface
pt | ControlsAligned
pt | DoSendBoundsToInterface
pt | RealizeBounds
pt | RealizeBoundsRecursive
pt | InvalidateBoundsRealized
pt | CreateSubClass
pt | DoConstraintsChange
pt | DoSetBounds
pt | DoAutoSize
pt | DoAllAutoSize
pt | AllAutoSized
pt | CalculatePreferredSize
pt | GetPreferredSizeClientFrame
pt | GetChildren
pt | ChildClassAllowed
pt | PaintControls
pt | PaintHandler
pt | PaintWindow
pt | CreateBrush
pt | ScaleControls
pt | ChangeScale
pt | CMBiDiModeChanged
pt | CMBorderChanged
pt | CMDoubleBufferedChanged
pt | CMEnabledChanged
pt | CMParentDoubleBufferedChanged
pt | CMShowingChanged
pt | CMShowHintChanged
pt | CMVisibleChanged
pt | CMEnter
pt | CMExit
pt | WMContextMenu
pt | WMEraseBkgnd
pt | WMNotify
pt | WMSetFocus
pt | WMKillFocus
pt | WMShowWindow
pt | WMEnter
pt | WMExit
pt | WMKeyDown
pt | WMSysKeyDown
pt | WMKeyUp
pt | WMSysKeyUp
pt | WMChar
pt | WMSysChar
pt | WMPaint
pt | WMDestroy
pt | WMMove
pt | WMSize
pt | WMWindowPosChanged
pt | CNKeyDown
pt | CNSysKeyDown
pt | CNKeyUp
pt | CNSysKeyUp
pt | CNChar
pt | DoDragMsg
pt | DoDockClientMsg
pt | DoUndockClientMsg
pt | DoAddDockClient
pt | DockOver
pt | DoDockOver
pt | DoRemoveDockClient
pt | DoUnDock
pt | GetSiteInfo
pt | GetParentHandle
pt | GetTopParentHandle
pt | ReloadDockedControl
pt | CreateDockManager
pt | SetDockManager
pt | DoFloatMsg
pt | DoGetDockCaption
pt | DoEnter
pt | DoExit
pt | DoKeyDownBeforeInterface
pt | DoRemainingKeyDown
pt | DoRemainingKeyUp
pt | DoKeyPress
pt | DoUTF8KeyPress
pt | DoKeyUpBeforeInterface
pt | ChildKey
pt | SendDialogChar
pt | DialogChar
pt | ControlKeyDown
pt | ControlKeyUp
pt | KeyDown
pt | KeyDownBeforeInterface
pt | KeyDownAfterInterface
pt | KeyPress
pt | KeyUp
pt | KeyUpBeforeInterface
pt | KeyUpAfterInterface
pt | UTF8KeyPress
pt | FindNextControl
pt | SelectFirst
pt | RealGetText
pt | GetBorderStyle
pt | GetClientOrigin
pt | GetClientRect
pt | GetControlOrigin
pt | GetDeviceContext
pt | GetParentBackground
pt | IsControlMouseMsg
pt | CreateHandle
pt | CreateParams
pt | CreateWnd
pt | DestroyHandle
pt | DestroyWnd
pt | DoFlipChildren
pt | FinalizeWnd
pt | FixupTabList
pt | FontChanged
pt | InitializeWnd
pt | Loaded
pt | FormEndUpdated
pt | MainWndProc
pt | ParentFormHandleInitialized
pt | ChildHandlesCreated
pt | GetMouseCapture
pt | RealSetText
pt | RemoveFocus
pt | SendMoveSizeMessages
pt | SetBorderStyle
pt | SetColor
pt | SetChildZPosition
pt | SetParentBackground
pt | ShowControl
pt | UpdateControlState
pt | UpdateShowing
pt | WndProc
pt | WSSetText
 | AutoSizePhases
 | AutoSizeDelayed
 | AutoSizeDelayedReport
 | AutoSizeDelayedHandle
 | BeginUpdateBounds
 | EndUpdateBounds
 | LockRealizeBounds
 | UnlockRealizeBounds
 | ControlAtPos
 | ContainsControl
 | DoAdjustClientRectChange
 | InvalidateClientRectCache
 | ClientRectNeedsInterfaceUpdate
 | SetBounds
 | GetChildrenRect
 | DisableAlign
 | EnableAlign
 | ReAlign
 | ScrollBy_WS
 | ScrollBy
 | WriteLayoutDebugReport
 | AutoAdjustLayout
 | Create
 | CreateParented
 | CreateParentedControl
 | Destroy
 | DockDrop
 | CanFocus
 | CanSetFocus
 | GetControlIndex
 | SetControlIndex
 | Focused
 | PerformTab
 | FindChildControl
 | SelectNext
 | SetTempCursor
 | BroadCast
 | NotifyControls
 | DefaultHandler
 | GetTextLen
 | Invalidate
 | AddControl
 | InsertControl
 | RemoveControl
 | GetEnumeratorControls
 | GetEnumeratorControlsReverse
 | Repaint
 | Update
 | SetFocus
 | FlipChildren
 | ScaleBy
 | GetDockCaption
 | UpdateDockCaption
 | GetTabOrderList
 | HandleAllocated
 | ParentHandlesAllocated
 | HandleNeeded
 | BrushCreated
 | EraseBackground
 | IntfUTF8KeyPress
 | IntfGetDropFilesTarget
 | PaintTo
 | SetShape
TControl
pt | WSRegisterClass
pt | GetCursor
pt | SetCursor
pt | SetVisible
pt | DoOnParentHandleDestruction
pt | DoAutoSize
pt | DoAllAutoSize
pt | BeginAutoSizing
pt | EndAutoSizing
pt | AnchorSideChanged
pt | ForeignAnchorSideChanged
pt | SetAlign
pt | SetAnchors
pt | SetAutoSize
pt | BoundsChanged
pt | CreateControlBorderSpacing
pt | DoConstraintsChange
pt | DoBorderSpacingChange
pt | IsBorderSpacingInnerBorderStored
pt | IsCaptionStored
pt | SendMoveSizeMessages
pt | ConstrainedResize
pt | CalculatePreferredSize
pt | DoOnResize
pt | DoOnChangeBounds
pt | CheckOnChangeBounds
pt | Resize
pt | RequestAlign
pt | UpdateAnchorRules
pt | ChangeBounds
pt | DoSetBounds
pt | ScaleConstraints
pt | ChangeScale
pt | CanAutoSize
pt | SetBiDiMode
pt | SetParentBiDiMode
pt | IsAParentAligning
pt | GetClientOrigin
pt | GetClientRect
pt | GetLogicalClientRect
pt | GetScrolledClientRect
pt | GetClientScrollOffset
pt | GetControlOrigin
pt | IsClientHeightStored
pt | IsClientWidthStored
pt | WidthIsAnchored
pt | HeightIsAnchored
pt | WMCancelMode
pt | WMContextMenu
pt | WMLButtonDown
pt | WMRButtonDown
pt | WMMButtonDown
pt | WMXButtonDown
pt | WMLButtonDBLCLK
pt | WMRButtonDBLCLK
pt | WMMButtonDBLCLK
pt | WMXButtonDBLCLK
pt | WMLButtonTripleCLK
pt | WMRButtonTripleCLK
pt | WMMButtonTripleCLK
pt | WMXButtonTripleCLK
pt | WMLButtonQuadCLK
pt | WMRButtonQuadCLK
pt | WMMButtonQuadCLK
pt | WMXButtonQuadCLK
pt | WMMouseMove
pt | WMLButtonUp
pt | WMRButtonUp
pt | WMMButtonUp
pt | WMXButtonUp
pt | WMMouseWheel
pt | WMMouseHWheel
pt | WMMove
pt | WMSize
pt | WMWindowPosChanged
pt | CMChanged
pt | LMCaptureChanged
pt | CMBiDiModeChanged
pt | CMSysFontChanged
pt | CMEnabledChanged
pt | CMHitTest
pt | CMMouseEnter
pt | CMMouseLeave
pt | CMHintShow
pt | CMParentBiDiModeChanged
pt | CMParentColorChanged
pt | CMParentFontChanged
pt | CMParentShowHintChanged
pt | CMVisibleChanged
pt | CMTextChanged
pt | CMCursorChanged
pt | CalculateDockSizes
pt | CreateFloatingDockSite
pt | GetDockEdge
pt | GetDragImages
pt | GetFloating
pt | GetFloatingDockSiteClass
pt | BeforeDragStart
pt | BeginAutoDrag
pt | DoFloatMsg
pt | DockTrackNoTarget
pt | DoDock
pt | DoDragMsg
pt | DoEndDock
pt | DoEndDrag
pt | DoStartDock
pt | DoStartDrag
pt | DragCanceled
pt | DragOver
pt | PositionDockRect
pt | SetDragMode
pt | GetDefaultDockCaption
pt | Click
pt | DblClick
pt | TripleClick
pt | QuadClick
pt | GetMousePosFromMessage
pt | MouseDown
pt | MouseMove
pt | MouseUp
pt | MouseEnter
pt | MouseLeave
pt | DialogChar
pt | UpdateMouseCursor
pt | Changed
pt | GetPalette
pt | ChildClassAllowed
pt | ReadState
pt | Loaded
pt | LoadedAll
pt | DefineProperties
pt | AssignTo
pt | FormEndUpdated
pt | InvalidateControl
pt | FontChanged
pt | ParentFontChanged
pt | GetAction
pt | RealGetText
pt | RealSetText
pt | TextChanged
pt | GetCachedText
pt | SetAction
pt | SetColor
pt | SetEnabled
pt | SetHint
pt | SetName
pt | SetParent
pt | SetParentComponent
pt | WndProc
pt | ParentFormHandleInitialized
pt | GetMouseCapture
pt | CaptureChanged
pt | Notification
pt | CanTab
pt | GetDeviceContext
pt | GetEnabled
pt | GetPopupMenu
pt | DoOnShowHint
pt | DoMouseWheel
pt | DoMouseWheelDown
pt | DoMouseWheelUp
pt | DoMouseWheelHorz
pt | DoMouseWheelLeft
pt | DoMouseWheelRight
pt | VisibleChanging
pt | VisibleChanged
pt | EnabledChanging
pt | EnabledChanged
pt | AddHandler
pt | RemoveHandler
pt | DoCallNotifyHandler
pt | DoCallKeyEventHandler
pt | DoCallMouseWheelEventHandler
pt | DoContextPopup
pt | SetZOrder
pt | GetControlClassDefaultSize
pt | ColorIsStored
pt | DoAutoAdjustLayout
pt | DoFixDesignFontPPI
pt | DoScaleFontPPI
pt | GetActionLinkClass
pt | ActionChange
 | DragDrop
 | Dock
 | ManualDock
 | ManualFloat
 | ReplaceDockedControl
 | Docked
 | Dragging
 | GetAccessibleObject
 | CreateAccessibleObject
 | GetSelectedChildAccessibleObject
 | GetChildAccessibleObjectAtPos
 | ScaleDesignToForm
 | ScaleFormToDesign
 | Scale96ToForm
 | ScaleFormTo96
 | Scale96ToFont
 | ScaleFontTo96
 | ScaleScreenToFont
 | ScaleFontToScreen
 | Scale96ToScreen
 | ScaleScreenTo96
 | AdjustSize
 | AutoSizePhases
 | AutoSizeDelayed
 | AutoSizeDelayedReport
 | AutoSizeDelayedHandle
 | AnchorToNeighbour
 | AnchorParallel
 | AnchorHorizontalCenterTo
 | AnchorVerticalCenterTo
 | AnchorToCompanion
 | AnchorSame
 | AnchorAsAlign
 | AnchorClient
 | AnchoredControlCount
 | SetBounds
 | SetInitialBounds
 | SetBoundsKeepBase
 | GetPreferredSize
 | GetCanvasScaleFactor
 | GetDefaultWidth
 | GetDefaultHeight
 | GetDefaultColor
 | GetColorResolvingParent
 | GetRGBColorResolvingParent
 | GetSidePosition
 | CNPreferredSizeChanged
 | InvalidatePreferredSize
 | GetAnchorsDependingOnParent
 | DisableAutoSizing
 | EnableAutoSizing
 | UpdateBaseBounds
 | WriteLayoutDebugReport
 | AutoAdjustLayout
 | ShouldAutoAdjust
 | FixDesignFontsPPI
 | ScaleFontsPPI
 | Create
 | Destroy
 | BeforeDestruction
 | EditingDone
 | ExecuteDefaultAction
 | ExecuteCancelAction
 | BeginDrag
 | EndDrag
 | BringToFront
 | HasParent
 | GetParentComponent
 | IsParentOf
 | GetTopParent
 | IsVisible
 | IsControlVisible
 | IsEnabled
 | IsParentColor
 | IsParentFont
 | FormIsUpdating
 | IsProcessingPaintMsg
 | Hide
 | Refresh
 | Repaint
 | Invalidate
 | CheckChildClassAllowed
 | CheckNewParent
 | SendToBack
 | SetTempCursor
 | UpdateRolesForForm
 | ActiveDefaultControlChanged
 | GetTextBuf
 | GetTextLen
 | SetTextBuf
 | Perform
 | ScreenToClient
 | ClientToScreen
 | ScreenToControl
 | ControlToScreen
 | ClientToParent
 | ParentToClient
 | GetChildrenRect
 | Show
 | Update
 | HandleObjectShouldBeVisible
 | ParentDestroyingHandle
 | ParentHandlesAllocated
 | InitiateAction
 | ShowHelp
 | HasHelp
 | RemoveAllHandlersOfObject
 | AddHandlerOnResize
 | RemoveHandlerOnResize
 | AddHandlerOnChangeBounds
 | RemoveHandlerOnChangeBounds
 | AddHandlerOnVisibleChanging
 | RemoveHandlerOnVisibleChanging
 | AddHandlerOnVisibleChanged
 | RemoveHandlerOnVisibleChanged
 | AddHandlerOnEnabledChanged
 | RemoveHandlerOnEnableChanging
 | AddHandlerOnKeyDown
 | RemoveHandlerOnKeyDown
 | AddHandlerOnBeforeDestruction
 | RemoveHandlerOnBeforeDestruction
 | AddHandlerOnMouseWheel
 | RemoveHandlerOnMouseWheel
 | UseRightToLeftAlignment
 | UseRightToLeftReading
 | UseRightToLeftScrollBar
 | IsRightToLeft
TLCLComponent
pt | WSRegisterClass
pt | GetWSComponentClass
 | Create
 | Destroy
 | NewInstance
 | RemoveAllHandlersOfObject
 | IncLCLRefCount
 | DecLCLRefCount
TComponent
 | GetComObject
 | GetComponent
 | GetComponentCount
 | GetComponentIndex
 | Insert
 | ReadLeft
 | ReadTop
 | Remove
 | RemoveNotification
 | SetComponentIndex
 | SetReference
 | WriteLeft
 | WriteTop
 | ChangeName
 | DefineProperties
 | GetChildren
 | GetChildOwner
 | GetChildParent
 | GetOwner
 | Loaded
 | Loading
 | Notification
 | PaletteCreated
 | ReadState
 | SetAncestor
 | SetDesigning
 | SetDesignInstance
 | SetInline
 | SetName
 | SetChildOrder
 | SetParentComponent
 | Updating
 | Updated
 | UpdateRegistry
 | ValidateRename
 | ValidateContainer
 | ValidateInsert
 | QueryInterface
 | _AddRef
 | _Release
 | iicrGetComponent
 | GetTypeInfoCount
 | GetTypeInfo
 | GetIDsOfNames
 | Invoke
 | WriteState
 | Create
 | Destroy
 | BeforeDestruction
 | DestroyComponents
 | Destroying
 | ExecuteAction
 | FindComponent
 | FreeNotification
 | RemoveFreeNotification
 | FreeOnRelease
 | GetEnumerator
 | GetNamePath
 | GetParentComponent
 | HasParent
 | InsertComponent
 | RemoveComponent
 | SafeCallException
 | SetSubComponent
 | UpdateAction
 | IsImplementorOf
 | ReferenceInterface
TPersistent
 | AssignError
 | AssignTo
 | DefineProperties
 | GetOwner
 | Destroy
 | Assign
 | FPOAttachObserver
 | FPODetachObserver
 | FPONotifyObservers
 | GetNamePath
TObject
 | Create
 | Destroy
 | newinstance
 | FreeInstance
 | SafeCallException
 | DefaultHandler
 | Free
 | InitInstance
 | CleanupInstance
 | ClassType
 | ClassInfo
 | ClassName
 | ClassNameIs
 | ClassParent
 | InstanceSize
 | InheritsFrom
 | StringMessageTable
 | MethodAddress
 | MethodName
 | FieldAddress
 | AfterConstruction
 | BeforeDestruction
 | DefaultHandlerStr
 | Dispatch
 | DispatchStr
 | GetInterface
 | GetInterfaceByStr
 | GetInterfaceWeak
 | GetInterfaceEntry
 | GetInterfaceEntryByStr
 | GetInterfaceTable
 | UnitName
 | Equals
 | GetHashCode
 | ToString


pt | ActionChange (TControl)
 | ActiveDefaultControlChanged (TControl)
 | AddControl (TWinControl)
pt | AddHandler (TControl)
 | AddHandlerOnBeforeDestruction (TControl)
 | AddHandlerOnChangeBounds (TControl)
 | AddHandlerOnEnabledChanged (TControl)
 | AddHandlerOnKeyDown (TControl)
 | AddHandlerOnMouseWheel (TControl)
 | AddHandlerOnResize (TControl)
 | AddHandlerOnVisibleChanged (TControl)
 | AddHandlerOnVisibleChanging (TControl)
 | AddItem (TCustomListBox)
pt | AdjustClientRect (TWinControl)
 | AdjustSize (TControl)
 | AfterConstruction (TObject)
pt | AlignControls (TWinControl)
pt | AllAutoSized (TWinControl)
 | AnchorAsAlign (TControl)
 | AnchorClient (TControl)
 | AnchoredControlCount (TControl)
 | AnchorHorizontalCenterTo (TControl)
 | AnchorParallel (TControl)
 | AnchorSame (TControl)
pt | AnchorSideChanged (TControl)
 | AnchorToCompanion (TControl)
 | AnchorToNeighbour (TControl)
 | AnchorVerticalCenterTo (TControl)
 | Assign (TPersistent)
pt | AssignCacheToItemData (TCustomListBox)
 | AssignError (TPersistent)
pt | AssignItemDataToCache (TCustomListBox)
 | AssignTo (TPersistent)
pt | AssignTo (TControl)
 | AutoAdjustLayout (TControl)
 | AutoAdjustLayout (TWinControl)
 | AutoSizeDelayed (TControl)
 | AutoSizeDelayed (TWinControl)
 | AutoSizeDelayedHandle (TControl)
 | AutoSizeDelayedHandle (TWinControl)
 | AutoSizeDelayedReport (TControl)
 | AutoSizeDelayedReport (TWinControl)
 | AutoSizePhases (TControl)
 | AutoSizePhases (TWinControl)
 | BeforeDestruction (TObject)
 | BeforeDestruction (TComponent)
 | BeforeDestruction (TControl)
pt | BeforeDragStart (TControl)
pt | BeforeDragStart (TCustomListBox)
pt | BeginAutoDrag (TControl)
pt | BeginAutoDrag (TCustomListBox)
pt | BeginAutoSizing (TControl)
 | BeginDrag (TControl)
 | BeginUpdateBounds (TWinControl)
pt | BoundsChanged (TControl)
 | BringToFront (TControl)
 | BroadCast (TWinControl)
 | BrushCreated (TWinControl)
pt | CalculateDockSizes (TControl)
pt | CalculatePreferredSize (TControl)
pt | CalculatePreferredSize (TWinControl)
pt | CalculateStandardItemHeight (TCustomListBox)
pt | CanAutoSize (TControl)
 | CanFocus (TWinControl)
 | CanSetFocus (TWinControl)
pt | CanTab (TControl)
pt | CanTab (TWinControl)
pt | CaptureChanged (TControl)
pt | ChangeBounds (TControl)
pt | Changed (TControl)
 | ChangeName (TComponent)
pt | ChangeScale (TControl)
pt | ChangeScale (TWinControl)
 | CheckChildClassAllowed (TControl)
pt | CheckIndex (TCustomListBox)
 | CheckNewParent (TControl)
pt | CheckOnChangeBounds (TControl)
pt | ChildClassAllowed (TControl)
pt | ChildClassAllowed (TWinControl)
pt | ChildHandlesCreated (TWinControl)
pt | ChildKey (TWinControl)
 | ClassInfo (TObject)
 | ClassName (TObject)
 | ClassNameIs (TObject)
 | ClassParent (TObject)
 | ClassType (TObject)
 | CleanupInstance (TObject)
 | Clear (TCustomListBox)
 | ClearSelection (TCustomListBox)
pt | Click (TControl)
 | Click (TCustomListBox)
 | ClientRectNeedsInterfaceUpdate (TWinControl)
 | ClientToParent (TControl)
 | ClientToScreen (TControl)
pt | CMBiDiModeChanged (TControl)
pt | CMBiDiModeChanged (TWinControl)
pt | CMBorderChanged (TWinControl)
pt | CMChanged (TControl)
pt | CMCursorChanged (TControl)
pt | CMDoubleBufferedChanged (TWinControl)
pt | CMEnabledChanged (TControl)
pt | CMEnabledChanged (TWinControl)
pt | CMEnter (TWinControl)
pt | CMExit (TWinControl)
pt | CMHintShow (TControl)
pt | CMHitTest (TControl)
pt | CMMouseEnter (TControl)
pt | CMMouseLeave (TControl)
pt | CMParentBiDiModeChanged (TControl)
pt | CMParentColorChanged (TControl)
pt | CMParentDoubleBufferedChanged (TWinControl)
pt | CMParentFontChanged (TControl)
pt | CMParentShowHintChanged (TControl)
pt | CMShowHintChanged (TWinControl)
pt | CMShowingChanged (TWinControl)
pt | CMSysFontChanged (TControl)
pt | CMTextChanged (TControl)
pt | CMVisibleChanged (TControl)
pt | CMVisibleChanged (TWinControl)
pt | CNChar (TWinControl)
pt | CNKeyDown (TWinControl)
pt | CNKeyUp (TWinControl)
 | CNPreferredSizeChanged (TControl)
pt | CNSysKeyDown (TWinControl)
pt | CNSysKeyUp (TWinControl)
pt | ColorIsStored (TControl)
pt | ConstrainedResize (TControl)
 | ContainsControl (TWinControl)
 | ControlAtPos (TWinControl)
pt | ControlKeyDown (TWinControl)
pt | ControlKeyUp (TWinControl)
pt | ControlsAligned (TWinControl)
 | ControlToScreen (TControl)
 | Create (TObject)
 | Create (TComponent)
 | Create (TLCLComponent)
 | Create (TControl)
 | Create (TWinControl)
 | Create (TCustomListBox)
 | Create (TCustomDBListBox)
 | Create (TDBLookupListBox)
 | CreateAccessibleObject (TControl)
pt | CreateBrush (TWinControl)
pt | CreateControlBorderSpacing (TControl)
pt | CreateDockManager (TWinControl)
pt | CreateFloatingDockSite (TControl)
pt | CreateHandle (TWinControl)
pt | CreateParams (TWinControl)
pt | CreateParams (TCustomListBox)
 | CreateParented (TWinControl)
 | CreateParentedControl (TWinControl)
pt | CreateSubClass (TWinControl)
pt | CreateWnd (TWinControl)
pt | CustomAlignInsertBefore (TWinControl)
pt | CustomAlignPosition (TWinControl)
pt | DataChange (TCustomDBListBox)
pt | DataChange (TDBLookupListBox)
pt | DblClick (TControl)
 | DecLCLRefCount (TLCLComponent)
 | DefaultHandler (TObject)
 | DefaultHandler (TWinControl)
 | DefaultHandlerStr (TObject)
 | DefineProperties (TPersistent)
 | DefineProperties (TComponent)
pt | DefineProperties (TControl)
 | DeleteSelected (TCustomListBox)
 | Destroy (TObject)
 | Destroy (TPersistent)
 | Destroy (TComponent)
 | Destroy (TLCLComponent)
 | Destroy (TControl)
 | Destroy (TWinControl)
 | Destroy (TCustomListBox)
 | Destroy (TCustomDBListBox)
 | DestroyComponents (TComponent)
pt | DestroyHandle (TWinControl)
 | Destroying (TComponent)
pt | DestroyWnd (TWinControl)
pt | DestroyWnd (TCustomListBox)
pt | DestroyWnd (TDBLookupListBox)
pt | DialogChar (TControl)
pt | DialogChar (TWinControl)
 | DisableAlign (TWinControl)
 | DisableAutoSizing (TControl)
 | Dispatch (TObject)
 | DispatchStr (TObject)
pt | DoAddDockClient (TWinControl)
 | DoAdjustClientRectChange (TWinControl)
pt | DoAlignChildControls (TWinControl)
pt | DoAllAutoSize (TControl)
pt | DoAllAutoSize (TWinControl)
pt | DoAutoAdjustLayout (TControl)
pt | DoAutoAdjustLayout (TCustomListBox)
pt | DoAutoSize (TControl)
pt | DoAutoSize (TWinControl)
pt | DoBorderSpacingChange (TControl)
pt | DoCallKeyEventHandler (TControl)
pt | DoCallMouseWheelEventHandler (TControl)
pt | DoCallNotifyHandler (TControl)
pt | DoChildSizingChange (TWinControl)
 | Dock (TControl)
 | DockDrop (TWinControl)
 | Docked (TControl)
pt | DockOver (TWinControl)
pt | DockTrackNoTarget (TControl)
pt | DoConstraintsChange (TControl)
pt | DoConstraintsChange (TWinControl)
pt | DoContextPopup (TControl)
pt | DoDock (TControl)
pt | DoDockClientMsg (TWinControl)
pt | DoDockOver (TWinControl)
pt | DoDragMsg (TControl)
pt | DoDragMsg (TWinControl)
pt | DoEndDock (TControl)
pt | DoEndDrag (TControl)
pt | DoEnter (TWinControl)
pt | DoExit (TWinControl)
pt | DoFixDesignFontPPI (TControl)
pt | DoFlipChildren (TWinControl)
pt | DoFloatMsg (TControl)
pt | DoFloatMsg (TWinControl)
pt | DoGetDockCaption (TWinControl)
pt | DoKeyDownBeforeInterface (TWinControl)
pt | DoKeyPress (TWinControl)
pt | DoKeyUpBeforeInterface (TWinControl)
pt | DoMouseWheel (TControl)
pt | DoMouseWheelDown (TControl)
pt | DoMouseWheelHorz (TControl)
pt | DoMouseWheelLeft (TControl)
pt | DoMouseWheelRight (TControl)
pt | DoMouseWheelUp (TControl)
pt | DoOnChangeBounds (TControl)
pt | DoOnParentHandleDestruction (TControl)
pt | DoOnResize (TControl)
pt | DoOnShowHint (TControl)
pt | DoRemainingKeyDown (TWinControl)
pt | DoRemainingKeyUp (TWinControl)
pt | DoRemoveDockClient (TWinControl)
pt | DoScaleFontPPI (TControl)
pt | DoSelectionChange (TCustomListBox)
pt | DoSelectionChange (TDBLookupListBox)
pt | DoSendBoundsToInterface (TWinControl)
pt | DoSendShowHideToInterface (TWinControl)
pt | DoSetBounds (TControl)
pt | DoSetBounds (TWinControl)
pt | DoStartDock (TControl)
pt | DoStartDrag (TControl)
pt | DoUnDock (TWinControl)
pt | DoUndockClientMsg (TWinControl)
pt | DoUTF8KeyPress (TWinControl)
pt | DragCanceled (TControl)
 | DragDrop (TControl)
 | Dragging (TControl)
pt | DragOver (TControl)
pt | DrawItem (TCustomListBox)
 | EditingDone (TControl)
 | EnableAlign (TWinControl)
 | EnableAutoSizing (TControl)
pt | EnabledChanged (TControl)
pt | EnabledChanging (TControl)
pt | EndAutoSizing (TControl)
 | EndDrag (TControl)
 | EndUpdateBounds (TWinControl)
 | Equals (TObject)
 | EraseBackground (TWinControl)
 | ExecuteAction (TComponent)
 | ExecuteAction (TCustomDBListBox)
 | ExecuteCancelAction (TControl)
 | ExecuteDefaultAction (TControl)
 | FieldAddress (TObject)
pt | FinalizeWnd (TWinControl)
pt | FinalizeWnd (TCustomListBox)
 | FindChildControl (TWinControl)
 | FindComponent (TComponent)
pt | FindNextControl (TWinControl)
 | FixDesignFontsPPI (TControl)
pt | FixupTabList (TWinControl)
 | FlipChildren (TWinControl)
 | Focused (TWinControl)
pt | FontChanged (TControl)
pt | FontChanged (TWinControl)
pt | ForeignAnchorSideChanged (TControl)
pt | FormEndUpdated (TControl)
pt | FormEndUpdated (TWinControl)
 | FormIsUpdating (TControl)
 | FPOAttachObserver (TPersistent)
 | FPODetachObserver (TPersistent)
 | FPONotifyObservers (TPersistent)
 | Free (TObject)
 | FreeInstance (TObject)
 | FreeNotification (TComponent)
 | FreeOnRelease (TComponent)
 | GetAccessibleObject (TControl)
pt | GetAction (TControl)
pt | GetActionLinkClass (TControl)
pt | GetAdjustedLogicalClientRect (TWinControl)
 | GetAnchorsDependingOnParent (TControl)
pt | GetBorderStyle (TWinControl)
pt | GetCachedData (TCustomListBox)
pt | GetCachedDataSize (TCustomListBox)
pt | GetCachedText (TControl)
 | GetCanvasScaleFactor (TControl)
 | GetChildAccessibleObjectAtPos (TControl)
 | GetChildOwner (TComponent)
 | GetChildParent (TComponent)
 | GetChildren (TComponent)
pt | GetChildren (TWinControl)
 | GetChildrenRect (TControl)
 | GetChildrenRect (TWinControl)
pt | GetClientOrigin (TControl)
pt | GetClientOrigin (TWinControl)
pt | GetClientRect (TControl)
pt | GetClientRect (TWinControl)
pt | GetClientScrollOffset (TControl)
 | GetColorResolvingParent (TControl)
 | GetComObject (TComponent)
 | GetComponent (TComponent)
 | GetComponentCount (TComponent)
 | GetComponentIndex (TComponent)
pt | GetControlClassDefaultSize (TControl)
pt | GetControlClassDefaultSize (TCustomListBox)
 | GetControlIndex (TWinControl)
pt | GetControlOrigin (TControl)
pt | GetControlOrigin (TWinControl)
pt | GetCursor (TControl)
 | GetDefaultColor (TControl)
pt | GetDefaultDockCaption (TControl)
 | GetDefaultHeight (TControl)
 | GetDefaultWidth (TControl)
pt | GetDeviceContext (TControl)
pt | GetDeviceContext (TWinControl)
 | GetDockCaption (TWinControl)
pt | GetDockEdge (TControl)
pt | GetDragImages (TControl)
pt | GetEnabled (TControl)
 | GetEnumerator (TComponent)
 | GetEnumeratorControls (TWinControl)
 | GetEnumeratorControlsReverse (TWinControl)
pt | GetFloating (TControl)
pt | GetFloatingDockSiteClass (TControl)
 | GetHashCode (TObject)
 | GetIDsOfNames (TComponent)
 | GetIndexAtXY (TCustomListBox)
 | GetIndexAtY (TCustomListBox)
 | GetInterface (TObject)
 | GetInterfaceByStr (TObject)
 | GetInterfaceEntry (TObject)
 | GetInterfaceEntryByStr (TObject)
 | GetInterfaceTable (TObject)
 | GetInterfaceWeak (TObject)
pt | GetItemHeight (TCustomListBox)
pt | GetItemIndex (TCustomListBox)
pt | GetLogicalClientRect (TControl)
pt | GetMouseCapture (TControl)
pt | GetMouseCapture (TWinControl)
pt | GetMousePosFromMessage (TControl)
 | GetNamePath (TPersistent)
 | GetNamePath (TComponent)
 | GetOwner (TPersistent)
 | GetOwner (TComponent)
pt | GetPalette (TControl)
pt | GetParentBackground (TWinControl)
 | GetParentComponent (TComponent)
 | GetParentComponent (TControl)
pt | GetParentHandle (TWinControl)
pt | GetPopupMenu (TControl)
 | GetPreferredSize (TControl)
pt | GetPreferredSizeClientFrame (TWinControl)
 | GetRGBColorResolvingParent (TControl)
pt | GetScrolledClientRect (TControl)
pt | GetSelCount (TCustomListBox)
pt | GetSelected (TCustomListBox)
 | GetSelectedChildAccessibleObject (TControl)
 | GetSelectedText (TCustomListBox)
 | GetSidePosition (TControl)
pt | GetSiteInfo (TWinControl)
 | GetTabOrderList (TWinControl)
 | GetTextBuf (TControl)
 | GetTextLen (TControl)
 | GetTextLen (TWinControl)
 | GetTopParent (TControl)
pt | GetTopParentHandle (TWinControl)
 | GetTypeInfo (TComponent)
 | GetTypeInfoCount (TComponent)
pt | GetWSComponentClass (TLCLComponent)
 | HandleAllocated (TWinControl)
 | HandleNeeded (TWinControl)
 | HandleObjectShouldBeVisible (TControl)
 | HasHelp (TControl)
 | HasParent (TComponent)
 | HasParent (TControl)
pt | HeightIsAnchored (TControl)
 | Hide (TControl)
 | iicrGetComponent (TComponent)
 | IncLCLRefCount (TLCLComponent)
 | InheritsFrom (TObject)
pt | InitializeWnd (TWinControl)
pt | InitializeWnd (TCustomListBox)
pt | InitializeWnd (TDBLookupListBox)
 | InitiateAction (TControl)
 | InitInstance (TObject)
 | Insert (TComponent)
 | InsertComponent (TComponent)
 | InsertControl (TWinControl)
 | InstanceSize (TObject)
 | IntfGetDropFilesTarget (TWinControl)
 | IntfUTF8KeyPress (TWinControl)
 | Invalidate (TControl)
 | Invalidate (TWinControl)
pt | InvalidateBoundsRealized (TWinControl)
 | InvalidateClientRectCache (TWinControl)
pt | InvalidateControl (TControl)
pt | InvalidatePreferredChildSizes (TWinControl)
 | InvalidatePreferredSize (TControl)
 | Invoke (TComponent)
pt | IsAParentAligning (TControl)
pt | IsBorderSpacingInnerBorderStored (TControl)
pt | IsCaptionStored (TControl)
pt | IsClientHeightStored (TControl)
pt | IsClientHeightStored (TWinControl)
pt | IsClientWidthStored (TControl)
pt | IsClientWidthStored (TWinControl)
pt | IsControlMouseMsg (TWinControl)
 | IsControlVisible (TControl)
 | IsEnabled (TControl)
 | IsImplementorOf (TComponent)
 | IsParentColor (TControl)
 | IsParentFont (TControl)
 | IsParentOf (TControl)
 | IsProcessingPaintMsg (TControl)
 | IsRightToLeft (TControl)
 | IsVisible (TControl)
 | ItemAtPos (TCustomListBox)
 | ItemFullyVisible (TCustomListBox)
 | ItemRect (TCustomListBox)
 | ItemVisible (TCustomListBox)
pt | KeyDown (TWinControl)
pt | KeyDown (TCustomDBListBox)
pt | KeyDown (TDBLookupListBox)
pt | KeyDownAfterInterface (TWinControl)
pt | KeyDownBeforeInterface (TWinControl)
pt | KeyPress (TWinControl)
pt | KeyUp (TWinControl)
pt | KeyUpAfterInterface (TWinControl)
pt | KeyUpBeforeInterface (TWinControl)
pt | LMCaptureChanged (TControl)
 | Loaded (TComponent)
pt | Loaded (TControl)
pt | Loaded (TWinControl)
pt | Loaded (TDBLookupListBox)
pt | LoadedAll (TControl)
 | Loading (TComponent)
 | LockRealizeBounds (TWinControl)
 | LockSelectionChange (TCustomListBox)
pt | MainWndProc (TWinControl)
 | MakeCurrentVisible (TCustomListBox)
 | ManualDock (TControl)
 | ManualFloat (TControl)
 | MeasureItem (TCustomListBox)
 | MethodAddress (TObject)
 | MethodName (TObject)
pt | MouseDown (TControl)
pt | MouseEnter (TControl)
pt | MouseLeave (TControl)
pt | MouseMove (TControl)
pt | MouseUp (TControl)
 | newinstance (TObject)
 | NewInstance (TLCLComponent)
 | Notification (TComponent)
pt | Notification (TControl)
pt | Notification (TCustomDBListBox)
 | NotifyControls (TWinControl)
pt | PaintControls (TWinControl)
pt | PaintHandler (TWinControl)
 | PaintTo (TWinControl)
pt | PaintWindow (TWinControl)
 | PaletteCreated (TComponent)
 | ParentDestroyingHandle (TControl)
pt | ParentFontChanged (TControl)
pt | ParentFormHandleInitialized (TControl)
pt | ParentFormHandleInitialized (TWinControl)
 | ParentHandlesAllocated (TControl)
 | ParentHandlesAllocated (TWinControl)
 | ParentToClient (TControl)
 | Perform (TControl)
 | PerformTab (TWinControl)
pt | PositionDockRect (TControl)
pt | QuadClick (TControl)
 | QueryInterface (TComponent)
 | ReadLeft (TComponent)
 | ReadState (TComponent)
pt | ReadState (TControl)
 | ReadTop (TComponent)
pt | RealGetText (TControl)
pt | RealGetText (TWinControl)
 | ReAlign (TWinControl)
pt | RealizeBounds (TWinControl)
pt | RealizeBoundsRecursive (TWinControl)
pt | RealSetText (TControl)
pt | RealSetText (TWinControl)
 | ReferenceInterface (TComponent)
 | Refresh (TControl)
pt | ReloadDockedControl (TWinControl)
 | Remove (TComponent)
 | RemoveAllHandlersOfObject (TLCLComponent)
 | RemoveAllHandlersOfObject (TControl)
 | RemoveComponent (TComponent)
 | RemoveControl (TWinControl)
pt | RemoveFocus (TWinControl)
 | RemoveFreeNotification (TComponent)
pt | RemoveHandler (TControl)
 | RemoveHandlerOnBeforeDestruction (TControl)
 | RemoveHandlerOnChangeBounds (TControl)
 | RemoveHandlerOnEnableChanging (TControl)
 | RemoveHandlerOnKeyDown (TControl)
 | RemoveHandlerOnMouseWheel (TControl)
 | RemoveHandlerOnResize (TControl)
 | RemoveHandlerOnVisibleChanged (TControl)
 | RemoveHandlerOnVisibleChanging (TControl)
 | RemoveNotification (TComponent)
 | Repaint (TControl)
 | Repaint (TWinControl)
 | ReplaceDockedControl (TControl)
pt | RequestAlign (TControl)
pt | Resize (TControl)
 | SafeCallException (TObject)
 | SafeCallException (TComponent)
 | Scale96ToFont (TControl)
 | Scale96ToForm (TControl)
 | Scale96ToScreen (TControl)
 | ScaleBy (TWinControl)
pt | ScaleConstraints (TControl)
pt | ScaleControls (TWinControl)
 | ScaleDesignToForm (TControl)
 | ScaleFontsPPI (TControl)
 | ScaleFontTo96 (TControl)
 | ScaleFontToScreen (TControl)
 | ScaleFormTo96 (TControl)
 | ScaleFormToDesign (TControl)
 | ScaleScreenTo96 (TControl)
 | ScaleScreenToFont (TControl)
 | ScreenToClient (TControl)
 | ScreenToControl (TControl)
 | ScrollBy (TWinControl)
 | ScrollBy_WS (TWinControl)
 | SelectAll (TCustomListBox)
pt | SelectFirst (TWinControl)
 | SelectNext (TWinControl)
pt | SendDialogChar (TWinControl)
pt | SendItemIndex (TCustomListBox)
pt | SendMoveSizeMessages (TControl)
pt | SendMoveSizeMessages (TWinControl)
 | SendToBack (TControl)
pt | SetAction (TControl)
pt | SetAlign (TControl)
 | SetAncestor (TComponent)
pt | SetAnchors (TControl)
pt | SetAutoSize (TControl)
pt | SetBiDiMode (TControl)
pt | SetBorderStyle (TWinControl)
 | SetBounds (TControl)
 | SetBounds (TWinControl)
 | SetBoundsKeepBase (TControl)
 | SetChildOrder (TComponent)
pt | SetChildZPosition (TWinControl)
pt | SetColor (TControl)
pt | SetColor (TWinControl)
 | SetComponentIndex (TComponent)
 | SetControlIndex (TWinControl)
pt | SetCursor (TControl)
 | SetDesigning (TComponent)
 | SetDesignInstance (TComponent)
pt | SetDockManager (TWinControl)
pt | SetDragMode (TControl)
pt | SetEnabled (TControl)
pt | SetExtendedSelect (TCustomListBox)
 | SetFocus (TWinControl)
pt | SetHint (TControl)
 | SetInitialBounds (TControl)
 | SetInline (TComponent)
pt | SetItemHeight (TCustomListBox)
pt | SetItemIndex (TCustomListBox)
pt | SetItems (TCustomListBox)
pt | SetItems (TCustomDBListBox)
pt | SetMultiSelect (TCustomListBox)
 | SetName (TComponent)
pt | SetName (TControl)
pt | SetParent (TControl)
pt | SetParentBackground (TWinControl)
pt | SetParentBiDiMode (TControl)
 | SetParentComponent (TComponent)
pt | SetParentComponent (TControl)
 | SetReference (TComponent)
pt | SetSelected (TCustomListBox)
 | SetShape (TWinControl)
pt | SetSorted (TCustomListBox)
pt | SetStyle (TCustomListBox)
 | SetSubComponent (TComponent)
 | SetTempCursor (TControl)
 | SetTempCursor (TWinControl)
 | SetTextBuf (TControl)
pt | SetVisible (TControl)
pt | SetZOrder (TControl)
 | ShouldAutoAdjust (TControl)
 | Show (TControl)
pt | ShowControl (TWinControl)
 | ShowHelp (TControl)
 | StringMessageTable (TObject)
pt | TextChanged (TControl)
 | ToString (TObject)
pt | TripleClick (TControl)
 | UnitName (TObject)
 | UnlockRealizeBounds (TWinControl)
 | UnlockSelectionChange (TCustomListBox)
 | Update (TControl)
 | Update (TWinControl)
 | UpdateAction (TComponent)
 | UpdateAction (TCustomDBListBox)
pt | UpdateAnchorRules (TControl)
 | UpdateBaseBounds (TControl)
pt | UpdateControlState (TWinControl)
 | Updated (TComponent)
pt | UpdateData (TCustomDBListBox)
pt | UpdateData (TDBLookupListBox)
 | UpdateDockCaption (TWinControl)
pt | UpdateMouseCursor (TControl)
 | UpdateRegistry (TComponent)
 | UpdateRolesForForm (TControl)
pt | UpdateShowing (TWinControl)
 | Updating (TComponent)
 | UseRightToLeftAlignment (TControl)
 | UseRightToLeftReading (TControl)
 | UseRightToLeftScrollBar (TControl)
pt | UTF8KeyPress (TWinControl)
 | ValidateContainer (TComponent)
 | ValidateInsert (TComponent)
 | ValidateRename (TComponent)
pt | VisibleChanged (TControl)
pt | VisibleChanging (TControl)
pt | WidthIsAnchored (TControl)
pt | WMCancelMode (TControl)
pt | WMChar (TWinControl)
pt | WMContextMenu (TControl)
pt | WMContextMenu (TWinControl)
pt | WMDestroy (TWinControl)
pt | WMEnter (TWinControl)
pt | WMEraseBkgnd (TWinControl)
pt | WMExit (TWinControl)
pt | WMGetDlgCode (TCustomListBox)
pt | WMKeyDown (TWinControl)
pt | WMKeyUp (TWinControl)
pt | WMKillFocus (TWinControl)
pt | WMLButtonDBLCLK (TControl)
pt | WMLButtonDown (TControl)
pt | WMLButtonQuadCLK (TControl)
pt | WMLButtonTripleCLK (TControl)
pt | WMLButtonUp (TControl)
pt | WMMButtonDBLCLK (TControl)
pt | WMMButtonDown (TControl)
pt | WMMButtonQuadCLK (TControl)
pt | WMMButtonTripleCLK (TControl)
pt | WMMButtonUp (TControl)
pt | WMMouseHWheel (TControl)
pt | WMMouseMove (TControl)
pt | WMMouseWheel (TControl)
pt | WMMove (TControl)
pt | WMMove (TWinControl)
pt | WMNotify (TWinControl)
pt | WMPaint (TWinControl)
pt | WMRButtonDBLCLK (TControl)
pt | WMRButtonDown (TControl)
pt | WMRButtonQuadCLK (TControl)
pt | WMRButtonTripleCLK (TControl)
pt | WMRButtonUp (TControl)
pt | WMSetFocus (TWinControl)
pt | WMShowWindow (TWinControl)
pt | WMSize (TControl)
pt | WMSize (TWinControl)
pt | WMSysChar (TWinControl)
pt | WMSysKeyDown (TWinControl)
pt | WMSysKeyUp (TWinControl)
pt | WMWindowPosChanged (TControl)
pt | WMWindowPosChanged (TWinControl)
pt | WMXButtonDBLCLK (TControl)
pt | WMXButtonDown (TControl)
pt | WMXButtonQuadCLK (TControl)
pt | WMXButtonTripleCLK (TControl)
pt | WMXButtonUp (TControl)
pt | WndProc (TControl)
pt | WndProc (TWinControl)
 | WriteLayoutDebugReport (TControl)
 | WriteLayoutDebugReport (TWinControl)
 | WriteLeft (TComponent)
 | WriteState (TComponent)
 | WriteTop (TComponent)
pt | WSRegisterClass (TLCLComponent)
pt | WSRegisterClass (TControl)
pt | WSRegisterClass (TWinControl)
pt | WSRegisterClass (TCustomListBox)
pt | WSSetText (TWinControl)
 | _AddRef (TComponent)
 | _Release (TComponent)


TDBLookupListBox
pl | ro | OnClick
pl | ro | OnDblClick
pl | ro | OnDragDrop
pl | ro | OnDragOver
pl | ro | OnEditingDone
pl | ro | OnEndDrag
pl | ro | OnEnter
pl | ro | OnExit
pl | ro | OnKeyPress
pl | ro | OnKeyDown
pl | ro | OnKeyUp
pl | ro | OnMouseDown
pl | ro | OnMouseEnter
pl | ro | OnMouseLeave
pl | ro | OnMouseMove
pl | ro | OnMouseUp
pl | ro | OnMouseWheel
pl | ro | OnMouseWheelDown
pl | ro | OnMouseWheelUp
pl | ro | OnResize
pl | ro | OnStartDrag
pl | ro | OnUTF8KeyPress
TCustomDBListBox
TCustomListBox
 | ro | OnChangeBounds
 | ro | OnClick
 | ro | OnDblClick
 |  | OnDrawItem
 | ro | OnEnter
 | ro | OnExit
 | ro | OnKeyDown
 | ro | OnKeyPress
 | ro | OnKeyUp
 |  | OnMeasureItem
 | ro | OnMouseDown
 | ro | OnMouseEnter
 | ro | OnMouseLeave
 | ro | OnMouseMove
 | ro | OnMouseUp
 | ro | OnMouseWheel
 | ro | OnMouseWheelDown
 | ro | OnMouseWheelUp
 | ro | OnResize
 |  | OnSelectionChange
 | ro | OnUTF8KeyPress
TWinControl
pt |  | OnGetSiteInfo
pt |  | OnGetDockCaption
 |  | OnAlignInsertBefore
 |  | OnAlignPosition
 |  | OnDockDrop
 |  | OnDockOver
 |  | OnEnter
 |  | OnExit
 |  | OnKeyDown
 |  | OnKeyPress
 |  | OnKeyUp
 |  | OnUnDock
 |  | OnUTF8KeyPress
TControl
pt |  | OnConstrainedResize
pt |  | OnContextPopup
pt |  | OnDblClick
pt |  | OnTripleClick
pt |  | OnQuadClick
pt |  | OnDragDrop
pt |  | OnDragOver
pt |  | OnEndDock
pt |  | OnEndDrag
pt |  | OnMouseDown
pt |  | OnMouseMove
pt |  | OnMouseUp
pt |  | OnMouseEnter
pt |  | OnMouseLeave
pt |  | OnMouseWheel
pt |  | OnMouseWheelDown
pt |  | OnMouseWheelUp
pt |  | OnMouseWheelHorz
pt |  | OnMouseWheelLeft
pt |  | OnMouseWheelRight
pt |  | OnStartDock
pt |  | OnStartDrag
pt |  | OnEditingDone
 |  | OnChangeBounds
 |  | OnClick
 |  | OnResize
 |  | OnShowHint
TLCLComponent
TComponent
TPersistent
TObject


 | ro | OnChangeBounds (TCustomListBox)
 |  | OnClick (TControl)
 | ro | OnClick (TCustomListBox)
pl | ro | OnClick (TDBLookupListBox)
pt |  | OnConstrainedResize (TControl)
pt |  | OnContextPopup (TControl)
pt |  | OnDblClick (TControl)
 | ro | OnDblClick (TCustomListBox)
pl | ro | OnDblClick (TDBLookupListBox)
 |  | OnDockDrop (TWinControl)
 |  | OnDockOver (TWinControl)
pt |  | OnDragDrop (TControl)
pl | ro | OnDragDrop (TDBLookupListBox)
pt |  | OnDragOver (TControl)
pl | ro | OnDragOver (TDBLookupListBox)
 |  | OnDrawItem (TCustomListBox)
pt |  | OnEditingDone (TControl)
pl | ro | OnEditingDone (TDBLookupListBox)
pt |  | OnEndDock (TControl)
pt |  | OnEndDrag (TControl)
pl | ro | OnEndDrag (TDBLookupListBox)
 |  | OnEnter (TWinControl)
 | ro | OnEnter (TCustomListBox)
pl | ro | OnEnter (TDBLookupListBox)
 |  | OnExit (TWinControl)
 | ro | OnExit (TCustomListBox)
pl | ro | OnExit (TDBLookupListBox)
pt |  | OnGetDockCaption (TWinControl)
pt |  | OnGetSiteInfo (TWinControl)
 |  | OnKeyDown (TWinControl)
 | ro | OnKeyDown (TCustomListBox)
pl | ro | OnKeyDown (TDBLookupListBox)
 |  | OnKeyPress (TWinControl)
 | ro | OnKeyPress (TCustomListBox)
pl | ro | OnKeyPress (TDBLookupListBox)
 |  | OnKeyUp (TWinControl)
 | ro | OnKeyUp (TCustomListBox)
pl | ro | OnKeyUp (TDBLookupListBox)
 |  | OnMeasureItem (TCustomListBox)
pt |  | OnMouseDown (TControl)
 | ro | OnMouseDown (TCustomListBox)
pl | ro | OnMouseDown (TDBLookupListBox)
pt |  | OnMouseEnter (TControl)
 | ro | OnMouseEnter (TCustomListBox)
pl | ro | OnMouseEnter (TDBLookupListBox)
pt |  | OnMouseLeave (TControl)
 | ro | OnMouseLeave (TCustomListBox)
pl | ro | OnMouseLeave (TDBLookupListBox)
pt |  | OnMouseMove (TControl)
 | ro | OnMouseMove (TCustomListBox)
pl | ro | OnMouseMove (TDBLookupListBox)
pt |  | OnMouseUp (TControl)
 | ro | OnMouseUp (TCustomListBox)
pl | ro | OnMouseUp (TDBLookupListBox)
pt |  | OnMouseWheel (TControl)
 | ro | OnMouseWheel (TCustomListBox)
pl | ro | OnMouseWheel (TDBLookupListBox)
pt |  | OnMouseWheelDown (TControl)
 | ro | OnMouseWheelDown (TCustomListBox)
pl | ro | OnMouseWheelDown (TDBLookupListBox)
pt |  | OnMouseWheelHorz (TControl)
pt |  | OnMouseWheelLeft (TControl)
pt |  | OnMouseWheelRight (TControl)
pt |  | OnMouseWheelUp (TControl)
 | ro | OnMouseWheelUp (TCustomListBox)
pl | ro | OnMouseWheelUp (TDBLookupListBox)
pt |  | OnQuadClick (TControl)
 |  | OnResize (TControl)
 | ro | OnResize (TCustomListBox)
pl | ro | OnResize (TDBLookupListBox)
 |  | OnSelectionChange (TCustomListBox)
 |  | OnShowHint (TControl)
pt |  | OnStartDock (TControl)
pt |  | OnStartDrag (TControl)
pl | ro | OnStartDrag (TDBLookupListBox)
pt |  | OnTripleClick (TControl)
 |  | OnUnDock (TWinControl)
 |  | OnUTF8KeyPress (TWinControl)
 | ro | OnUTF8KeyPress (TCustomListBox)
pl | ro | OnUTF8KeyPress (TDBLookupListBox)


TDBLookupListBox.BiDiMode

Declaration

Source position: dbctrls.pp line 482

published property TDBLookupListBox.BiDiMode : TBiDiMode;


TDBLookupListBox.Color

Declaration

Source position: dbctrls.pp line 485

published property TDBLookupListBox.Color : TColor;


TDBLookupListBox.Constraints

Declaration

Source position: dbctrls.pp line 486

published property TDBLookupListBox.Constraints : TSizeConstraints;


TDBLookupListBox.Create

Create - constructor for TDBLookupListBox: calls inherited Create then creates lookup and forms linkd

Declaration

Source position: dbctrls.pp line 477

public constructor TDBLookupListBox.Create(

  AOwner: TComponent

); override;

See also

TCustomDBListBox.Create

Create - constructor for TCustomDBListBox: calls inherited Create, makes links and sets up event handlers for data change, change in Editing status and updating data


TDBLookupListBox.DataChange

DataChange - triggered by a change in the data: finds the index of the field containing th changed value

Declaration

Source position: dbctrls.pp line 469

protected procedure TDBLookupListBox.DataChange(

  Sender: TObject

); override;

See also

TCustomDBListBox.DataChange

DataChange - method for dealing with a change in the data


TDBLookupListBox.DestroyWnd

Declaration

Source position: dbctrls.pp line 472

protected procedure TDBLookupListBox.DestroyWnd; override;


TDBLookupListBox.DoSelectionChange

Declaration

Source position: dbctrls.pp line 470

protected procedure TDBLookupListBox.DoSelectionChange(

  User: Boolean

); override;


TDBLookupListBox.DoubleBuffered

Declaration

Source position: dbctrls.pp line 489

published property TDBLookupListBox.DoubleBuffered : Boolean;


TDBLookupListBox.DragKind

Declaration

Source position: dbctrls.pp line 491

published property TDBLookupListBox.DragKind : TDragKind;


TDBLookupListBox.Enabled

Declaration

Source position: dbctrls.pp line 495

published property TDBLookupListBox.Enabled : Boolean;


TDBLookupListBox.Font

Declaration

Source position: dbctrls.pp line 496

published property TDBLookupListBox.Font : TFont;


TDBLookupListBox.InitializeWnd

Declaration

Source position: dbctrls.pp line 471

protected procedure TDBLookupListBox.InitializeWnd; override;


TDBLookupListBox.KeyField

The KeyField holding the data

Declaration

Source position: dbctrls.pp line 497

published property TDBLookupListBox.KeyField : string
  read GetKeyField
  write SetKeyField;


TDBLookupListBox.KeyValue

Declaration

Source position: dbctrls.pp line 478

public property TDBLookupListBox.KeyValue : Variant
  read GetKeyValue
  write SetKeyValue;


TDBLookupListBox.ListField

The ListField for the data

Declaration

Source position: dbctrls.pp line 498

published property TDBLookupListBox.ListField : string
  read GetListField
  write SetListField;


TDBLookupListBox.ListFieldIndex

ListFieldIndex - the index value for the listfield

Declaration

Source position: dbctrls.pp line 499

published property TDBLookupListBox.ListFieldIndex : Integer
  read GetListFieldIndex
  write SetListFieldIndex;


TDBLookupListBox.ListSource

ListSource - the data source from which the list is obtained

Declaration

Source position: dbctrls.pp line 500

published property TDBLookupListBox.ListSource : TDataSource
  read GetListSource
  write SetListSource;


TDBLookupListBox.LookupCache

Declaration

Source position: dbctrls.pp line 501

published property TDBLookupListBox.LookupCache : Boolean
  read GetLookupCache
  write SetLookupCache;


TDBLookupListBox.NullValueKey

Declaration

Source position: dbctrls.pp line 502

published property TDBLookupListBox.NullValueKey : TShortCut
  read GetNullValueKey
  write SetNullValueKey
  default 0;


TDBLookupListBox.OnEditingDone

Declaration

Source position: dbctrls.pp line 509

published property TDBLookupListBox.OnEditingDone : TNotifyEvent;


TDBLookupListBox.OnMouseEnter

Declaration

Source position: dbctrls.pp line 517

published property TDBLookupListBox.OnMouseEnter : TNotifyEvent;


TDBLookupListBox.OnMouseLeave

Declaration

Source position: dbctrls.pp line 518

published property TDBLookupListBox.OnMouseLeave : TNotifyEvent;


TDBLookupListBox.OnMouseWheel

Declaration

Source position: dbctrls.pp line 521

published property TDBLookupListBox.OnMouseWheel : TMouseWheelEvent;


TDBLookupListBox.OnMouseWheelDown

Declaration

Source position: dbctrls.pp line 522

published property TDBLookupListBox.OnMouseWheelDown : TMouseWheelUpDownEvent;


TDBLookupListBox.OnMouseWheelUp

Declaration

Source position: dbctrls.pp line 523

published property TDBLookupListBox.OnMouseWheelUp : TMouseWheelUpDownEvent;


TDBLookupListBox.Options

Declaration

Source position: dbctrls.pp line 527

published property TDBLookupListBox.Options : TListBoxOptions;


TDBLookupListBox.ParentBiDiMode

Declaration

Source position: dbctrls.pp line 528

published property TDBLookupListBox.ParentBiDiMode : Boolean;


TDBLookupListBox.ParentDoubleBuffered

Declaration

Source position: dbctrls.pp line 529

published property TDBLookupListBox.ParentDoubleBuffered : Boolean;


TDBLookupListBox.ScrollListDataset

Declaration

Source position: dbctrls.pp line 533

published property TDBLookupListBox.ScrollListDataset : Boolean
  read FScrollListDataset
  write FScrollListDataset
  default False;


TDBMemo

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

TDBMemo - a data-aware Memo box to process the multi-line text of a single field in a dataset

Declaration

Source position: dbctrls.pp line 955

type TDBMemo = class(TCustomMemo)
protected
function GetReadOnly; override;
procedure SetReadOnly(); override;
procedure DataChange(); | DataChange - if Data changed, loads the new data into the appropriate part of the Field
procedure Notification(); override; |
procedure UpdateData(); | UpdateData - if data changed, copy new text via the datalink
procedure Change; override;
procedure KeyDown(); override;
procedure KeyPress(); override; | Invokes the OnKeyPress handler.
procedure WndProc(); override; | The general message handler for this control.
class procedure WSRegisterClass; override;
public
constructor Create(); override; | Create - constructor for TDBMemo: calls inherited Create, then sets style and forms datalinks and actions
destructor Destroy; override; | Destroy - destructor for TDBMemo: frees datalinks then calls inherited Destroy
procedure EditingDone; override; | EditingDone - if link allows modifications and is in an Editing state, updates data via the link then calls inherited EditingDone
procedure LoadMemo; virtual; | LoadMemo - tries to load data from current field as a string if possible, otherwise returns an exception
function ExecuteAction(); override;
function UpdateAction(); override;
property Field: TField; [r] | The field in the DataSet to which this control is to be linked. Can be referred to by name, or as an index
published
property Align: TAlign; | Specifies the placement of the control inside its Parent.
property Alignment: TAlignment;
property Anchors: TAnchors; | The set of anchor definitions for this control.
property AutoDisplay: Boolean; [rw] | AutoDisplay - if True, automatically displays the data when loaded
property BiDiMode: TBiDiMode;
property BorderSpacing: TControlBorderSpacing; | Determines the inner and outer border spacing for this control.
property BorderStyle: TBorderStyle;
property CharCase: TEditCharCase;
property Color: TColor; | The background color of the control.
property Constraints: TSizeConstraints;
property DataField: string; [rw] | The name of the field, as a string (ie cannot be referred to as an Index)
property DataSource: TDataSource; [rw] | The DataSource from which information is obtained to display in this control. Usually the result of a database query
property DoubleBuffered: Boolean;
property DragCursor: TCursor; | The cursor shape shown while the control is dragged.
property DragKind: TDragKind;
property DragMode: TDragMode; | Allows the user to drag the control.
property Enabled: Boolean;
property Font: TFont; | The font to be used for text display in this control.
property MaxLength: Integer; | The maximum length of the text; zero for unlimited.
property OnChange: TNotifyEvent; | Event handler for any change in text.
property OnClick: TNotifyEvent;
property OnContextPopup: TContextPopupEvent;
property OnDblClick: TNotifyEvent;
property OnDragDrop: TDragDropEvent; | This handler determines the action on an drop onto this control, in a drag-drop operation.
property OnDragOver: TDragOverEvent; | Event handler for a control being dragged over this control.
property OnEditingDone: TNotifyEvent;
property OnEndDrag: TEndDragEvent; | Notification handler for the end of a dragging operation.
property OnEnter: TNotifyEvent; | Handler for control receiving the focus.
property OnExit: TNotifyEvent; | Handler for control loosing the focus. This is a good place for checking the finished user input.
property OnKeyDown: TKeyEvent; | Handler for keyboard key pressed.
property OnKeyPress: TKeyPressEvent; | Handler for a character entered by the user.
property OnKeyUp: TKeyEvent; | Handler for keyboard key released.
property OnMouseDown: TMouseEvent;
property OnMouseEnter: TNotifyEvent;
property OnMouseLeave: TNotifyEvent;
property OnMouseMove: TMouseMoveEvent;
property OnMouseUp: TMouseEvent;
property OnMouseWheel: TMouseWheelEvent;
property OnMouseWheelDown: TMouseWheelUpDownEvent;
property OnMouseWheelUp: TMouseWheelUpDownEvent;
property OnStartDrag: TStartDragEvent; | Event handler for the start of a dragging operation.
property OnUTF8KeyPress: TUTF8KeyPressEvent; | Handler for a character entered by the user.
property ParentBiDiMode: Boolean;
property ParentDoubleBuffered: Boolean;
property ParentFont: Boolean; | If true, the Font of the control will be the same as the one from the Parent. Default is true.
property ParentShowHint: Boolean;
property PopupMenu: TPopupMenu; | A context-sensitive menu that pops up when the right mouse button is clicked over this control
property ReadOnly: Boolean; [rw] | Prevents the user from changing the text.
property ScrollBars: TScrollStyle; | Adds vertical and/or horizontal scrollbars to the control.
property ShowHint: Boolean;
property TabOrder: TTabOrder; | Determines the sequence of controls, reachable when the user presses the Tab key.
property Tabstop: Boolean; | Allows the user to navigate to this control, by pressing the Tab key.
property Visible: Boolean; | Allows to show or hide the control, and all of its children.
property WantReturns: Boolean;
property WantTabs: Boolean;
property WordWrap: Boolean; | Allows long logical lines (paragraphs) to wrap into multiple display lines.
end;

Inheritance

TDBMemo | TDBMemo - a data-aware Memo box to process the multi-line text of a single field in a dataset
|
TCustomMemo | The base class for multi-line text controls.
|
TCustomEdit | The base class for controls presenting editable text.
|
TWinControl | The base class for controls which can contain other (child) controls.
|
TControl | The base class for visible controls.
|
TLCLComponent | The base class for LCL components associated with widgets.
|
TComponent,IUnknown,IInterfaceComponentReference
|
TPersistent,IFPObserved
|
TObject

See also

HowToUseDataAwareControls

HowToUseDataAwareControls - Hints for accessing databases


TDBMemo
 | ro | Field
pl | ro | Align
pl | ro | Alignment
pl | ro | Anchors
pl |  | AutoDisplay
pl | ro | BiDiMode
pl | ro | BorderSpacing
pl | ro | BorderStyle
pl | ro | CharCase
pl | ro | Color
pl | ro | Constraints
pl |  | DataField
pl |  | DataSource
pl | ro | DoubleBuffered
pl | ro | DragCursor
pl | ro | DragKind
pl | ro | DragMode
pl | ro | Enabled
pl | ro | Font
pl | ro | MaxLength
pl | ro | ParentBiDiMode
pl | ro | ParentDoubleBuffered
pl | ro | ParentFont
pl | ro | ParentShowHint
pl | ro | PopupMenu
pl |  | ReadOnly
pl | ro | ScrollBars
pl | ro | ShowHint
pl | ro | TabOrder
pl | ro | Tabstop
pl | ro | Visible
pl | ro | WantReturns
pl | ro | WantTabs
pl | ro | WordWrap
TCustomMemo
 |  | Lines
 |  | HorzScrollBar
 |  | VertScrollBar
 |  | ScrollBars
 |  | WantReturns
 |  | WantTabs
 |  | WordWrap
TCustomEdit
pt |  | AutoSelect
pt |  | AutoSelected
pt | ro | ParentColor
 |  | Alignment
 | ro | AutoSize
 | ro | BorderStyle
 | ro | CanUndo
 |  | CaretPos
 |  | CharCase
 |  | EchoMode
 |  | HideSelection
 |  | MaxLength
 |  | Modified
 |  | NumbersOnly
 |  | PasswordChar
 | ro | PopupMenu
 |  | ReadOnly
 |  | SelLength
 |  | SelStart
 |  | SelText
 | ro | TabOrder
 | ro | TabStop
 | ro | Text
 |  | TextHint
TWinControl
pt |  | WindowHandle
pt |  | BorderStyle
pt |  | ParentBackground
 |  | BorderWidth
 | ro | BoundsLockCount
 | ro | Brush
 | ro | CachedClientHeight
 | ro | CachedClientWidth
 |  | ChildSizing
 | ro | ControlCount
 | ro | Controls
 |  | DefWndProc
 | ro | DockClientCount
 | ro | DockClients
 |  | DockManager
 |  | DockSite
 |  | DoubleBuffered
 |  | Handle
 | ro | IsFlipped
 | ro | IsResizing
 |  | TabOrder
 |  | TabStop
 |  | ParentDoubleBuffered
 |  | ParentWindow
 | ro | Showing
 |  | UseDockManager
 |  | DesignerDeleting
 | ro | VisibleDockClientCount
TControl
pt | ro | AutoSizing
pt | ro | AutoSizingAll
pt | ro | AutoSizingLockCount
pt |  | ActionLink
pt |  | DesktopFont
pt |  | DragCursor
pt |  | DragKind
pt |  | DragMode
pt |  | MouseCapture
pt |  | ParentColor
pt |  | ParentFont
pt |  | ParentShowHint
pt |  | SessionProperties
pt |  | Text
 | ro | AnchoredControls
 | ro | BaseBounds
 | ro | ReadBounds
 | ro | BaseParentClientSize
 |  | AccessibleDescription
 |  | AccessibleValue
 |  | AccessibleRole
 |  | Action
 |  | Align
 |  | Anchors
 | ro | AnchorSide
 |  | AutoSize
 |  | BorderSpacing
 |  | BoundsRect
 |  | BoundsRectForNewParent
 |  | Caption
 |  | CaptureMouseButtons
 |  | ClientHeight
 | ro | ClientOrigin
 | ro | ClientRect
 |  | ClientWidth
 |  | Color
 |  | Constraints
 | ro | ControlOrigin
 |  | ControlState
 |  | ControlStyle
 |  | Enabled
 |  | Font
 |  | IsControl
 | ro | MouseEntered
 | ro | MouseInClient
 |  | Parent
 |  | PopupMenu
 |  | ShowHint
 |  | Visible
 |  | WindowProc
 |  | DockOrientation
 | ro | Floating
 |  | FloatingDockSiteClass
 |  | HostDockSite
 |  | LRDockWidth
 |  | TBDockHeight
 |  | UndockHeight
 |  | UndockWidth
 |  | BiDiMode
 |  | ParentBiDiMode
pl |  | AnchorSideLeft
pl |  | AnchorSideTop
pl |  | AnchorSideRight
pl |  | AnchorSideBottom
pl |  | Cursor
pl |  | Left
pl |  | Height
pl |  | Hint
pl |  | Top
pl |  | Width
pl |  | HelpType
pl |  | HelpKeyword
pl |  | HelpContext
TLCLComponent
 | ro | LCLRefCount
 | ro | WidgetSetClass
TComponent
 | ro | ComObject
 | ro | Components
 | ro | ComponentCount
 |  | ComponentIndex
 | ro | ComponentState
 | ro | ComponentStyle
 |  | DesignInfo
 | ro | Owner
 |  | VCLComObject
 |  | Name
 |  | Tag
TPersistent
TObject


 |  | AccessibleDescription (TControl)
 |  | AccessibleRole (TControl)
 |  | AccessibleValue (TControl)
 |  | Action (TControl)
pt |  | ActionLink (TControl)
 |  | Align (TControl)
pl | ro | Align (TDBMemo)
 |  | Alignment (TCustomEdit)
pl | ro | Alignment (TDBMemo)
 | ro | AnchoredControls (TControl)
 |  | Anchors (TControl)
pl | ro | Anchors (TDBMemo)
 | ro | AnchorSide (TControl)
pl |  | AnchorSideBottom (TControl)
pl |  | AnchorSideLeft (TControl)
pl |  | AnchorSideRight (TControl)
pl |  | AnchorSideTop (TControl)
pl |  | AutoDisplay (TDBMemo)
pt |  | AutoSelect (TCustomEdit)
pt |  | AutoSelected (TCustomEdit)
 |  | AutoSize (TControl)
 | ro | AutoSize (TCustomEdit)
pt | ro | AutoSizing (TControl)
pt | ro | AutoSizingAll (TControl)
pt | ro | AutoSizingLockCount (TControl)
 | ro | BaseBounds (TControl)
 | ro | BaseParentClientSize (TControl)
 |  | BiDiMode (TControl)
pl | ro | BiDiMode (TDBMemo)
 |  | BorderSpacing (TControl)
pl | ro | BorderSpacing (TDBMemo)
pt |  | BorderStyle (TWinControl)
 | ro | BorderStyle (TCustomEdit)
pl | ro | BorderStyle (TDBMemo)
 |  | BorderWidth (TWinControl)
 | ro | BoundsLockCount (TWinControl)
 |  | BoundsRect (TControl)
 |  | BoundsRectForNewParent (TControl)
 | ro | Brush (TWinControl)
 | ro | CachedClientHeight (TWinControl)
 | ro | CachedClientWidth (TWinControl)
 | ro | CanUndo (TCustomEdit)
 |  | Caption (TControl)
 |  | CaptureMouseButtons (TControl)
 |  | CaretPos (TCustomEdit)
 |  | CharCase (TCustomEdit)
pl | ro | CharCase (TDBMemo)
 |  | ChildSizing (TWinControl)
 |  | ClientHeight (TControl)
 | ro | ClientOrigin (TControl)
 | ro | ClientRect (TControl)
 |  | ClientWidth (TControl)
 |  | Color (TControl)
pl | ro | Color (TDBMemo)
 | ro | ComObject (TComponent)
 | ro | ComponentCount (TComponent)
 |  | ComponentIndex (TComponent)
 | ro | Components (TComponent)
 | ro | ComponentState (TComponent)
 | ro | ComponentStyle (TComponent)
 |  | Constraints (TControl)
pl | ro | Constraints (TDBMemo)
 | ro | ControlCount (TWinControl)
 | ro | ControlOrigin (TControl)
 | ro | Controls (TWinControl)
 |  | ControlState (TControl)
 |  | ControlStyle (TControl)
pl |  | Cursor (TControl)
pl |  | DataField (TDBMemo)
pl |  | DataSource (TDBMemo)
 |  | DefWndProc (TWinControl)
 |  | DesignerDeleting (TWinControl)
 |  | DesignInfo (TComponent)
pt |  | DesktopFont (TControl)
 | ro | DockClientCount (TWinControl)
 | ro | DockClients (TWinControl)
 |  | DockManager (TWinControl)
 |  | DockOrientation (TControl)
 |  | DockSite (TWinControl)
 |  | DoubleBuffered (TWinControl)
pl | ro | DoubleBuffered (TDBMemo)
pt |  | DragCursor (TControl)
pl | ro | DragCursor (TDBMemo)
pt |  | DragKind (TControl)
pl | ro | DragKind (TDBMemo)
pt |  | DragMode (TControl)
pl | ro | DragMode (TDBMemo)
 |  | EchoMode (TCustomEdit)
 |  | Enabled (TControl)
pl | ro | Enabled (TDBMemo)
 | ro | Field (TDBMemo)
 | ro | Floating (TControl)
 |  | FloatingDockSiteClass (TControl)
 |  | Font (TControl)
pl | ro | Font (TDBMemo)
 |  | Handle (TWinControl)
pl |  | Height (TControl)
pl |  | HelpContext (TControl)
pl |  | HelpKeyword (TControl)
pl |  | HelpType (TControl)
 |  | HideSelection (TCustomEdit)
pl |  | Hint (TControl)
 |  | HorzScrollBar (TCustomMemo)
 |  | HostDockSite (TControl)
 |  | IsControl (TControl)
 | ro | IsFlipped (TWinControl)
 | ro | IsResizing (TWinControl)
 | ro | LCLRefCount (TLCLComponent)
pl |  | Left (TControl)
 |  | Lines (TCustomMemo)
 |  | LRDockWidth (TControl)
 |  | MaxLength (TCustomEdit)
pl | ro | MaxLength (TDBMemo)
 |  | Modified (TCustomEdit)
pt |  | MouseCapture (TControl)
 | ro | MouseEntered (TControl)
 | ro | MouseInClient (TControl)
 |  | Name (TComponent)
 |  | NumbersOnly (TCustomEdit)
 | ro | Owner (TComponent)
 |  | Parent (TControl)
pt |  | ParentBackground (TWinControl)
 |  | ParentBiDiMode (TControl)
pl | ro | ParentBiDiMode (TDBMemo)
pt |  | ParentColor (TControl)
pt | ro | ParentColor (TCustomEdit)
 |  | ParentDoubleBuffered (TWinControl)
pl | ro | ParentDoubleBuffered (TDBMemo)
pt |  | ParentFont (TControl)
pl | ro | ParentFont (TDBMemo)
pt |  | ParentShowHint (TControl)
pl | ro | ParentShowHint (TDBMemo)
 |  | ParentWindow (TWinControl)
 |  | PasswordChar (TCustomEdit)
 |  | PopupMenu (TControl)
 | ro | PopupMenu (TCustomEdit)
pl | ro | PopupMenu (TDBMemo)
 | ro | ReadBounds (TControl)
 |  | ReadOnly (TCustomEdit)
pl |  | ReadOnly (TDBMemo)
 |  | ScrollBars (TCustomMemo)
pl | ro | ScrollBars (TDBMemo)
 |  | SelLength (TCustomEdit)
 |  | SelStart (TCustomEdit)
 |  | SelText (TCustomEdit)
pt |  | SessionProperties (TControl)
 |  | ShowHint (TControl)
pl | ro | ShowHint (TDBMemo)
 | ro | Showing (TWinControl)
 |  | TabOrder (TWinControl)
 | ro | TabOrder (TCustomEdit)
pl | ro | TabOrder (TDBMemo)
 |  | TabStop (TWinControl)
 | ro | TabStop (TCustomEdit)
pl | ro | Tabstop (TDBMemo)
 |  | Tag (TComponent)
 |  | TBDockHeight (TControl)
pt |  | Text (TControl)
 | ro | Text (TCustomEdit)
 |  | TextHint (TCustomEdit)
pl |  | Top (TControl)
 |  | UndockHeight (TControl)
 |  | UndockWidth (TControl)
 |  | UseDockManager (TWinControl)
 |  | VCLComObject (TComponent)
 |  | VertScrollBar (TCustomMemo)
 |  | Visible (TControl)
pl | ro | Visible (TDBMemo)
 | ro | VisibleDockClientCount (TWinControl)
 |  | WantReturns (TCustomMemo)
pl | ro | WantReturns (TDBMemo)
 |  | WantTabs (TCustomMemo)
pl | ro | WantTabs (TDBMemo)
 | ro | WidgetSetClass (TLCLComponent)
pl |  | Width (TControl)
pt |  | WindowHandle (TWinControl)
 |  | WindowProc (TControl)
 |  | WordWrap (TCustomMemo)
pl | ro | WordWrap (TDBMemo)


TDBMemo
pt | GetReadOnly
pt | SetReadOnly
pt | DataChange
pt | Notification
pt | UpdateData
pt | Change
pt | KeyDown
pt | KeyPress
pt | WndProc
pt | WSRegisterClass
 | Create
 | Destroy
 | EditingDone
 | LoadMemo
 | ExecuteAction
 | UpdateAction
TCustomMemo
pt | WSRegisterClass
pt | CreateParams
pt | InitializeWnd
pt | FinalizeWnd
pt | RealGetText
pt | RealSetText
pt | GetCachedText
pt | GetCaretPos
pt | KeyUpAfterInterface
pt | SetCaretPos
pt | SetLines
pt | SetWantReturns
pt | SetWantTabs
pt | SetWordWrap
pt | SetScrollBars
pt | Loaded
pt | CMWantSpecialKey
pt | WMGetDlgCode
pt | GetControlClassDefaultSize
pt | UTF8KeyPress
pt | CanShowEmulatedTextHint
 | Create
 | Destroy
 | Append
 | ScrollBy
TCustomEdit
pt | WSRegisterClass
pt | CanShowEmulatedTextHint
pt | CreateEmulatedTextHintFont
pt | CalculatePreferredSize
pt | CreateParams
pt | InitializeWnd
pt | TextChanged
pt | FontChanged
pt | Change
pt | DoEnter
pt | DoExit
pt | EditingDone
pt | GetCaretPos
pt | GetNumbersOnly
pt | GetReadOnly
pt | GetSelLength
pt | GetSelStart
pt | GetSelText
pt | GetTextHint
pt | SetCaretPos
pt | SetEchoMode
pt | SetNumbersOnly
pt | SetReadOnly
pt | SetSelLength
pt | SetSelStart
pt | SetSelText
pt | SetTextHint
pt | ChildClassAllowed
pt | GetControlClassDefaultSize
pt | MouseUp
pt | RealSetText
pt | RealGetText
pt | KeyUpAfterInterface
pt | WMChar
pt | CMWantSpecialKey
pt | WndProc
pt | ShouldAutoAdjust
pt | WMSetFocus
pt | WMKillFocus
 | Create
 | Destroy
 | Clear
 | SelectAll
 | ClearSelection
 | CopyToClipboard
 | CutToClipboard
 | PasteFromClipboard
 | Undo
 | RemoveAllHandlersOfObject
 | AddHandlerOnChange
 | RemoveHandlerOnChange
TWinControl
pt | WSRegisterClass
pt | AdjustClientRect
pt | GetAdjustedLogicalClientRect
pt | AlignControls
pt | CustomAlignInsertBefore
pt | CustomAlignPosition
pt | DoAlignChildControls
pt | DoChildSizingChange
pt | InvalidatePreferredChildSizes
pt | CanTab
pt | IsClientHeightStored
pt | IsClientWidthStored
pt | DoSendShowHideToInterface
pt | ControlsAligned
pt | DoSendBoundsToInterface
pt | RealizeBounds
pt | RealizeBoundsRecursive
pt | InvalidateBoundsRealized
pt | CreateSubClass
pt | DoConstraintsChange
pt | DoSetBounds
pt | DoAutoSize
pt | DoAllAutoSize
pt | AllAutoSized
pt | CalculatePreferredSize
pt | GetPreferredSizeClientFrame
pt | GetChildren
pt | ChildClassAllowed
pt | PaintControls
pt | PaintHandler
pt | PaintWindow
pt | CreateBrush
pt | ScaleControls
pt | ChangeScale
pt | CMBiDiModeChanged
pt | CMBorderChanged
pt | CMDoubleBufferedChanged
pt | CMEnabledChanged
pt | CMParentDoubleBufferedChanged
pt | CMShowingChanged
pt | CMShowHintChanged
pt | CMVisibleChanged
pt | CMEnter
pt | CMExit
pt | WMContextMenu
pt | WMEraseBkgnd
pt | WMNotify
pt | WMSetFocus
pt | WMKillFocus
pt | WMShowWindow
pt | WMEnter
pt | WMExit
pt | WMKeyDown
pt | WMSysKeyDown
pt | WMKeyUp
pt | WMSysKeyUp
pt | WMChar
pt | WMSysChar
pt | WMPaint
pt | WMDestroy
pt | WMMove
pt | WMSize
pt | WMWindowPosChanged
pt | CNKeyDown
pt | CNSysKeyDown
pt | CNKeyUp
pt | CNSysKeyUp
pt | CNChar
pt | DoDragMsg
pt | DoDockClientMsg
pt | DoUndockClientMsg
pt | DoAddDockClient
pt | DockOver
pt | DoDockOver
pt | DoRemoveDockClient
pt | DoUnDock
pt | GetSiteInfo
pt | GetParentHandle
pt | GetTopParentHandle
pt | ReloadDockedControl
pt | CreateDockManager
pt | SetDockManager
pt | DoFloatMsg
pt | DoGetDockCaption
pt | DoEnter
pt | DoExit
pt | DoKeyDownBeforeInterface
pt | DoRemainingKeyDown
pt | DoRemainingKeyUp
pt | DoKeyPress
pt | DoUTF8KeyPress
pt | DoKeyUpBeforeInterface
pt | ChildKey
pt | SendDialogChar
pt | DialogChar
pt | ControlKeyDown
pt | ControlKeyUp
pt | KeyDown
pt | KeyDownBeforeInterface
pt | KeyDownAfterInterface
pt | KeyPress
pt | KeyUp
pt | KeyUpBeforeInterface
pt | KeyUpAfterInterface
pt | UTF8KeyPress
pt | FindNextControl
pt | SelectFirst
pt | RealGetText
pt | GetBorderStyle
pt | GetClientOrigin
pt | GetClientRect
pt | GetControlOrigin
pt | GetDeviceContext
pt | GetParentBackground
pt | IsControlMouseMsg
pt | CreateHandle
pt | CreateParams
pt | CreateWnd
pt | DestroyHandle
pt | DestroyWnd
pt | DoFlipChildren
pt | FinalizeWnd
pt | FixupTabList
pt | FontChanged
pt | InitializeWnd
pt | Loaded
pt | FormEndUpdated
pt | MainWndProc
pt | ParentFormHandleInitialized
pt | ChildHandlesCreated
pt | GetMouseCapture
pt | RealSetText
pt | RemoveFocus
pt | SendMoveSizeMessages
pt | SetBorderStyle
pt | SetColor
pt | SetChildZPosition
pt | SetParentBackground
pt | ShowControl
pt | UpdateControlState
pt | UpdateShowing
pt | WndProc
pt | WSSetText
 | AutoSizePhases
 | AutoSizeDelayed
 | AutoSizeDelayedReport
 | AutoSizeDelayedHandle
 | BeginUpdateBounds
 | EndUpdateBounds
 | LockRealizeBounds
 | UnlockRealizeBounds
 | ControlAtPos
 | ContainsControl
 | DoAdjustClientRectChange
 | InvalidateClientRectCache
 | ClientRectNeedsInterfaceUpdate
 | SetBounds
 | GetChildrenRect
 | DisableAlign
 | EnableAlign
 | ReAlign
 | ScrollBy_WS
 | ScrollBy
 | WriteLayoutDebugReport
 | AutoAdjustLayout
 | Create
 | CreateParented
 | CreateParentedControl
 | Destroy
 | DockDrop
 | CanFocus
 | CanSetFocus
 | GetControlIndex
 | SetControlIndex
 | Focused
 | PerformTab
 | FindChildControl
 | SelectNext
 | SetTempCursor
 | BroadCast
 | NotifyControls
 | DefaultHandler
 | GetTextLen
 | Invalidate
 | AddControl
 | InsertControl
 | RemoveControl
 | GetEnumeratorControls
 | GetEnumeratorControlsReverse
 | Repaint
 | Update
 | SetFocus
 | FlipChildren
 | ScaleBy
 | GetDockCaption
 | UpdateDockCaption
 | GetTabOrderList
 | HandleAllocated
 | ParentHandlesAllocated
 | HandleNeeded
 | BrushCreated
 | EraseBackground
 | IntfUTF8KeyPress
 | IntfGetDropFilesTarget
 | PaintTo
 | SetShape
TControl
pt | WSRegisterClass
pt | GetCursor
pt | SetCursor
pt | SetVisible
pt | DoOnParentHandleDestruction
pt | DoAutoSize
pt | DoAllAutoSize
pt | BeginAutoSizing
pt | EndAutoSizing
pt | AnchorSideChanged
pt | ForeignAnchorSideChanged
pt | SetAlign
pt | SetAnchors
pt | SetAutoSize
pt | BoundsChanged
pt | CreateControlBorderSpacing
pt | DoConstraintsChange
pt | DoBorderSpacingChange
pt | IsBorderSpacingInnerBorderStored
pt | IsCaptionStored
pt | SendMoveSizeMessages
pt | ConstrainedResize
pt | CalculatePreferredSize
pt | DoOnResize
pt | DoOnChangeBounds
pt | CheckOnChangeBounds
pt | Resize
pt | RequestAlign
pt | UpdateAnchorRules
pt | ChangeBounds
pt | DoSetBounds
pt | ScaleConstraints
pt | ChangeScale
pt | CanAutoSize
pt | SetBiDiMode
pt | SetParentBiDiMode
pt | IsAParentAligning
pt | GetClientOrigin
pt | GetClientRect
pt | GetLogicalClientRect
pt | GetScrolledClientRect
pt | GetClientScrollOffset
pt | GetControlOrigin
pt | IsClientHeightStored
pt | IsClientWidthStored
pt | WidthIsAnchored
pt | HeightIsAnchored
pt | WMCancelMode
pt | WMContextMenu
pt | WMLButtonDown
pt | WMRButtonDown
pt | WMMButtonDown
pt | WMXButtonDown
pt | WMLButtonDBLCLK
pt | WMRButtonDBLCLK
pt | WMMButtonDBLCLK
pt | WMXButtonDBLCLK
pt | WMLButtonTripleCLK
pt | WMRButtonTripleCLK
pt | WMMButtonTripleCLK
pt | WMXButtonTripleCLK
pt | WMLButtonQuadCLK
pt | WMRButtonQuadCLK
pt | WMMButtonQuadCLK
pt | WMXButtonQuadCLK
pt | WMMouseMove
pt | WMLButtonUp
pt | WMRButtonUp
pt | WMMButtonUp
pt | WMXButtonUp
pt | WMMouseWheel
pt | WMMouseHWheel
pt | WMMove
pt | WMSize
pt | WMWindowPosChanged
pt | CMChanged
pt | LMCaptureChanged
pt | CMBiDiModeChanged
pt | CMSysFontChanged
pt | CMEnabledChanged
pt | CMHitTest
pt | CMMouseEnter
pt | CMMouseLeave
pt | CMHintShow
pt | CMParentBiDiModeChanged
pt | CMParentColorChanged
pt | CMParentFontChanged
pt | CMParentShowHintChanged
pt | CMVisibleChanged
pt | CMTextChanged
pt | CMCursorChanged
pt | CalculateDockSizes
pt | CreateFloatingDockSite
pt | GetDockEdge
pt | GetDragImages
pt | GetFloating
pt | GetFloatingDockSiteClass
pt | BeforeDragStart
pt | BeginAutoDrag
pt | DoFloatMsg
pt | DockTrackNoTarget
pt | DoDock
pt | DoDragMsg
pt | DoEndDock
pt | DoEndDrag
pt | DoStartDock
pt | DoStartDrag
pt | DragCanceled
pt | DragOver
pt | PositionDockRect
pt | SetDragMode
pt | GetDefaultDockCaption
pt | Click
pt | DblClick
pt | TripleClick
pt | QuadClick
pt | GetMousePosFromMessage
pt | MouseDown
pt | MouseMove
pt | MouseUp
pt | MouseEnter
pt | MouseLeave
pt | DialogChar
pt | UpdateMouseCursor
pt | Changed
pt | GetPalette
pt | ChildClassAllowed
pt | ReadState
pt | Loaded
pt | LoadedAll
pt | DefineProperties
pt | AssignTo
pt | FormEndUpdated
pt | InvalidateControl
pt | FontChanged
pt | ParentFontChanged
pt | GetAction
pt | RealGetText
pt | RealSetText
pt | TextChanged
pt | GetCachedText
pt | SetAction
pt | SetColor
pt | SetEnabled
pt | SetHint
pt | SetName
pt | SetParent
pt | SetParentComponent
pt | WndProc
pt | ParentFormHandleInitialized
pt | GetMouseCapture
pt | CaptureChanged
pt | Notification
pt | CanTab
pt | GetDeviceContext
pt | GetEnabled
pt | GetPopupMenu
pt | DoOnShowHint
pt | DoMouseWheel
pt | DoMouseWheelDown
pt | DoMouseWheelUp
pt | DoMouseWheelHorz
pt | DoMouseWheelLeft
pt | DoMouseWheelRight
pt | VisibleChanging
pt | VisibleChanged
pt | EnabledChanging
pt | EnabledChanged
pt | AddHandler
pt | RemoveHandler
pt | DoCallNotifyHandler
pt | DoCallKeyEventHandler
pt | DoCallMouseWheelEventHandler
pt | DoContextPopup
pt | SetZOrder
pt | GetControlClassDefaultSize
pt | ColorIsStored
pt | DoAutoAdjustLayout
pt | DoFixDesignFontPPI
pt | DoScaleFontPPI
pt | GetActionLinkClass
pt | ActionChange
 | DragDrop
 | Dock
 | ManualDock
 | ManualFloat
 | ReplaceDockedControl
 | Docked
 | Dragging
 | GetAccessibleObject
 | CreateAccessibleObject
 | GetSelectedChildAccessibleObject
 | GetChildAccessibleObjectAtPos
 | ScaleDesignToForm
 | ScaleFormToDesign
 | Scale96ToForm
 | ScaleFormTo96
 | Scale96ToFont
 | ScaleFontTo96
 | ScaleScreenToFont
 | ScaleFontToScreen
 | Scale96ToScreen
 | ScaleScreenTo96
 | AdjustSize
 | AutoSizePhases
 | AutoSizeDelayed
 | AutoSizeDelayedReport
 | AutoSizeDelayedHandle
 | AnchorToNeighbour
 | AnchorParallel
 | AnchorHorizontalCenterTo
 | AnchorVerticalCenterTo
 | AnchorToCompanion
 | AnchorSame
 | AnchorAsAlign
 | AnchorClient
 | AnchoredControlCount
 | SetBounds
 | SetInitialBounds
 | SetBoundsKeepBase
 | GetPreferredSize
 | GetCanvasScaleFactor
 | GetDefaultWidth
 | GetDefaultHeight
 | GetDefaultColor
 | GetColorResolvingParent
 | GetRGBColorResolvingParent
 | GetSidePosition
 | CNPreferredSizeChanged
 | InvalidatePreferredSize
 | GetAnchorsDependingOnParent
 | DisableAutoSizing
 | EnableAutoSizing
 | UpdateBaseBounds
 | WriteLayoutDebugReport
 | AutoAdjustLayout
 | ShouldAutoAdjust
 | FixDesignFontsPPI
 | ScaleFontsPPI
 | Create
 | Destroy
 | BeforeDestruction
 | EditingDone
 | ExecuteDefaultAction
 | ExecuteCancelAction
 | BeginDrag
 | EndDrag
 | BringToFront
 | HasParent
 | GetParentComponent
 | IsParentOf
 | GetTopParent
 | IsVisible
 | IsControlVisible
 | IsEnabled
 | IsParentColor
 | IsParentFont
 | FormIsUpdating
 | IsProcessingPaintMsg
 | Hide
 | Refresh
 | Repaint
 | Invalidate
 | CheckChildClassAllowed
 | CheckNewParent
 | SendToBack
 | SetTempCursor
 | UpdateRolesForForm
 | ActiveDefaultControlChanged
 | GetTextBuf
 | GetTextLen
 | SetTextBuf
 | Perform
 | ScreenToClient
 | ClientToScreen
 | ScreenToControl
 | ControlToScreen
 | ClientToParent
 | ParentToClient
 | GetChildrenRect
 | Show
 | Update
 | HandleObjectShouldBeVisible
 | ParentDestroyingHandle
 | ParentHandlesAllocated
 | InitiateAction
 | ShowHelp
 | HasHelp
 | RemoveAllHandlersOfObject
 | AddHandlerOnResize
 | RemoveHandlerOnResize
 | AddHandlerOnChangeBounds
 | RemoveHandlerOnChangeBounds
 | AddHandlerOnVisibleChanging
 | RemoveHandlerOnVisibleChanging
 | AddHandlerOnVisibleChanged
 | RemoveHandlerOnVisibleChanged
 | AddHandlerOnEnabledChanged
 | RemoveHandlerOnEnableChanging
 | AddHandlerOnKeyDown
 | RemoveHandlerOnKeyDown
 | AddHandlerOnBeforeDestruction
 | RemoveHandlerOnBeforeDestruction
 | AddHandlerOnMouseWheel
 | RemoveHandlerOnMouseWheel
 | UseRightToLeftAlignment
 | UseRightToLeftReading
 | UseRightToLeftScrollBar
 | IsRightToLeft
TLCLComponent
pt | WSRegisterClass
pt | GetWSComponentClass
 | Create
 | Destroy
 | NewInstance
 | RemoveAllHandlersOfObject
 | IncLCLRefCount
 | DecLCLRefCount
TComponent
 | GetComObject
 | GetComponent
 | GetComponentCount
 | GetComponentIndex
 | Insert
 | ReadLeft
 | ReadTop
 | Remove
 | RemoveNotification
 | SetComponentIndex
 | SetReference
 | WriteLeft
 | WriteTop
 | ChangeName
 | DefineProperties
 | GetChildren
 | GetChildOwner
 | GetChildParent
 | GetOwner
 | Loaded
 | Loading
 | Notification
 | PaletteCreated
 | ReadState
 | SetAncestor
 | SetDesigning
 | SetDesignInstance
 | SetInline
 | SetName
 | SetChildOrder
 | SetParentComponent
 | Updating
 | Updated
 | UpdateRegistry
 | ValidateRename
 | ValidateContainer
 | ValidateInsert
 | QueryInterface
 | _AddRef
 | _Release
 | iicrGetComponent
 | GetTypeInfoCount
 | GetTypeInfo
 | GetIDsOfNames
 | Invoke
 | WriteState
 | Create
 | Destroy
 | BeforeDestruction
 | DestroyComponents
 | Destroying
 | ExecuteAction
 | FindComponent
 | FreeNotification
 | RemoveFreeNotification
 | FreeOnRelease
 | GetEnumerator
 | GetNamePath
 | GetParentComponent
 | HasParent
 | InsertComponent
 | RemoveComponent
 | SafeCallException
 | SetSubComponent
 | UpdateAction
 | IsImplementorOf
 | ReferenceInterface
TPersistent
 | AssignError
 | AssignTo
 | DefineProperties
 | GetOwner
 | Destroy
 | Assign
 | FPOAttachObserver
 | FPODetachObserver
 | FPONotifyObservers
 | GetNamePath
TObject
 | Create
 | Destroy
 | newinstance
 | FreeInstance
 | SafeCallException
 | DefaultHandler
 | Free
 | InitInstance
 | CleanupInstance
 | ClassType
 | ClassInfo
 | ClassName
 | ClassNameIs
 | ClassParent
 | InstanceSize
 | InheritsFrom
 | StringMessageTable
 | MethodAddress
 | MethodName
 | FieldAddress
 | AfterConstruction
 | BeforeDestruction
 | DefaultHandlerStr
 | Dispatch
 | DispatchStr
 | GetInterface
 | GetInterfaceByStr
 | GetInterfaceWeak
 | GetInterfaceEntry
 | GetInterfaceEntryByStr
 | GetInterfaceTable
 | UnitName
 | Equals
 | GetHashCode
 | ToString


pt | ActionChange (TControl)
 | ActiveDefaultControlChanged (TControl)
 | AddControl (TWinControl)
pt | AddHandler (TControl)
 | AddHandlerOnBeforeDestruction (TControl)
 | AddHandlerOnChange (TCustomEdit)
 | AddHandlerOnChangeBounds (TControl)
 | AddHandlerOnEnabledChanged (TControl)
 | AddHandlerOnKeyDown (TControl)
 | AddHandlerOnMouseWheel (TControl)
 | AddHandlerOnResize (TControl)
 | AddHandlerOnVisibleChanged (TControl)
 | AddHandlerOnVisibleChanging (TControl)
pt | AdjustClientRect (TWinControl)
 | AdjustSize (TControl)
 | AfterConstruction (TObject)
pt | AlignControls (TWinControl)
pt | AllAutoSized (TWinControl)
 | AnchorAsAlign (TControl)
 | AnchorClient (TControl)
 | AnchoredControlCount (TControl)
 | AnchorHorizontalCenterTo (TControl)
 | AnchorParallel (TControl)
 | AnchorSame (TControl)
pt | AnchorSideChanged (TControl)
 | AnchorToCompanion (TControl)
 | AnchorToNeighbour (TControl)
 | AnchorVerticalCenterTo (TControl)
 | Append (TCustomMemo)
 | Assign (TPersistent)
 | AssignError (TPersistent)
 | AssignTo (TPersistent)
pt | AssignTo (TControl)
 | AutoAdjustLayout (TControl)
 | AutoAdjustLayout (TWinControl)
 | AutoSizeDelayed (TControl)
 | AutoSizeDelayed (TWinControl)
 | AutoSizeDelayedHandle (TControl)
 | AutoSizeDelayedHandle (TWinControl)
 | AutoSizeDelayedReport (TControl)
 | AutoSizeDelayedReport (TWinControl)
 | AutoSizePhases (TControl)
 | AutoSizePhases (TWinControl)
 | BeforeDestruction (TObject)
 | BeforeDestruction (TComponent)
 | BeforeDestruction (TControl)
pt | BeforeDragStart (TControl)
pt | BeginAutoDrag (TControl)
pt | BeginAutoSizing (TControl)
 | BeginDrag (TControl)
 | BeginUpdateBounds (TWinControl)
pt | BoundsChanged (TControl)
 | BringToFront (TControl)
 | BroadCast (TWinControl)
 | BrushCreated (TWinControl)
pt | CalculateDockSizes (TControl)
pt | CalculatePreferredSize (TControl)
pt | CalculatePreferredSize (TWinControl)
pt | CalculatePreferredSize (TCustomEdit)
pt | CanAutoSize (TControl)
 | CanFocus (TWinControl)
 | CanSetFocus (TWinControl)
pt | CanShowEmulatedTextHint (TCustomEdit)
pt | CanShowEmulatedTextHint (TCustomMemo)
pt | CanTab (TControl)
pt | CanTab (TWinControl)
pt | CaptureChanged (TControl)
pt | Change (TCustomEdit)
pt | Change (TDBMemo)
pt | ChangeBounds (TControl)
pt | Changed (TControl)
 | ChangeName (TComponent)
pt | ChangeScale (TControl)
pt | ChangeScale (TWinControl)
 | CheckChildClassAllowed (TControl)
 | CheckNewParent (TControl)
pt | CheckOnChangeBounds (TControl)
pt | ChildClassAllowed (TControl)
pt | ChildClassAllowed (TWinControl)
pt | ChildClassAllowed (TCustomEdit)
pt | ChildHandlesCreated (TWinControl)
pt | ChildKey (TWinControl)
 | ClassInfo (TObject)
 | ClassName (TObject)
 | ClassNameIs (TObject)
 | ClassParent (TObject)
 | ClassType (TObject)
 | CleanupInstance (TObject)
 | Clear (TCustomEdit)
 | ClearSelection (TCustomEdit)
pt | Click (TControl)
 | ClientRectNeedsInterfaceUpdate (TWinControl)
 | ClientToParent (TControl)
 | ClientToScreen (TControl)
pt | CMBiDiModeChanged (TControl)
pt | CMBiDiModeChanged (TWinControl)
pt | CMBorderChanged (TWinControl)
pt | CMChanged (TControl)
pt | CMCursorChanged (TControl)
pt | CMDoubleBufferedChanged (TWinControl)
pt | CMEnabledChanged (TControl)
pt | CMEnabledChanged (TWinControl)
pt | CMEnter (TWinControl)
pt | CMExit (TWinControl)
pt | CMHintShow (TControl)
pt | CMHitTest (TControl)
pt | CMMouseEnter (TControl)
pt | CMMouseLeave (TControl)
pt | CMParentBiDiModeChanged (TControl)
pt | CMParentColorChanged (TControl)
pt | CMParentDoubleBufferedChanged (TWinControl)
pt | CMParentFontChanged (TControl)
pt | CMParentShowHintChanged (TControl)
pt | CMShowHintChanged (TWinControl)
pt | CMShowingChanged (TWinControl)
pt | CMSysFontChanged (TControl)
pt | CMTextChanged (TControl)
pt | CMVisibleChanged (TControl)
pt | CMVisibleChanged (TWinControl)
pt | CMWantSpecialKey (TCustomEdit)
pt | CMWantSpecialKey (TCustomMemo)
pt | CNChar (TWinControl)
pt | CNKeyDown (TWinControl)
pt | CNKeyUp (TWinControl)
 | CNPreferredSizeChanged (TControl)
pt | CNSysKeyDown (TWinControl)
pt | CNSysKeyUp (TWinControl)
pt | ColorIsStored (TControl)
pt | ConstrainedResize (TControl)
 | ContainsControl (TWinControl)
 | ControlAtPos (TWinControl)
pt | ControlKeyDown (TWinControl)
pt | ControlKeyUp (TWinControl)
pt | ControlsAligned (TWinControl)
 | ControlToScreen (TControl)
 | CopyToClipboard (TCustomEdit)
 | Create (TObject)
 | Create (TComponent)
 | Create (TLCLComponent)
 | Create (TControl)
 | Create (TWinControl)
 | Create (TCustomEdit)
 | Create (TCustomMemo)
 | Create (TDBMemo)
 | CreateAccessibleObject (TControl)
pt | CreateBrush (TWinControl)
pt | CreateControlBorderSpacing (TControl)
pt | CreateDockManager (TWinControl)
pt | CreateEmulatedTextHintFont (TCustomEdit)
pt | CreateFloatingDockSite (TControl)
pt | CreateHandle (TWinControl)
pt | CreateParams (TWinControl)
pt | CreateParams (TCustomEdit)
pt | CreateParams (TCustomMemo)
 | CreateParented (TWinControl)
 | CreateParentedControl (TWinControl)
pt | CreateSubClass (TWinControl)
pt | CreateWnd (TWinControl)
pt | CustomAlignInsertBefore (TWinControl)
pt | CustomAlignPosition (TWinControl)
 | CutToClipboard (TCustomEdit)
pt | DataChange (TDBMemo)
pt | DblClick (TControl)
 | DecLCLRefCount (TLCLComponent)
 | DefaultHandler (TObject)
 | DefaultHandler (TWinControl)
 | DefaultHandlerStr (TObject)
 | DefineProperties (TPersistent)
 | DefineProperties (TComponent)
pt | DefineProperties (TControl)
 | Destroy (TObject)
 | Destroy (TPersistent)
 | Destroy (TComponent)
 | Destroy (TLCLComponent)
 | Destroy (TControl)
 | Destroy (TWinControl)
 | Destroy (TCustomEdit)
 | Destroy (TCustomMemo)
 | Destroy (TDBMemo)
 | DestroyComponents (TComponent)
pt | DestroyHandle (TWinControl)
 | Destroying (TComponent)
pt | DestroyWnd (TWinControl)
pt | DialogChar (TControl)
pt | DialogChar (TWinControl)
 | DisableAlign (TWinControl)
 | DisableAutoSizing (TControl)
 | Dispatch (TObject)
 | DispatchStr (TObject)
pt | DoAddDockClient (TWinControl)
 | DoAdjustClientRectChange (TWinControl)
pt | DoAlignChildControls (TWinControl)
pt | DoAllAutoSize (TControl)
pt | DoAllAutoSize (TWinControl)
pt | DoAutoAdjustLayout (TControl)
pt | DoAutoSize (TControl)
pt | DoAutoSize (TWinControl)
pt | DoBorderSpacingChange (TControl)
pt | DoCallKeyEventHandler (TControl)
pt | DoCallMouseWheelEventHandler (TControl)
pt | DoCallNotifyHandler (TControl)
pt | DoChildSizingChange (TWinControl)
 | Dock (TControl)
 | DockDrop (TWinControl)
 | Docked (TControl)
pt | DockOver (TWinControl)
pt | DockTrackNoTarget (TControl)
pt | DoConstraintsChange (TControl)
pt | DoConstraintsChange (TWinControl)
pt | DoContextPopup (TControl)
pt | DoDock (TControl)
pt | DoDockClientMsg (TWinControl)
pt | DoDockOver (TWinControl)
pt | DoDragMsg (TControl)
pt | DoDragMsg (TWinControl)
pt | DoEndDock (TControl)
pt | DoEndDrag (TControl)
pt | DoEnter (TWinControl)
pt | DoEnter (TCustomEdit)
pt | DoExit (TWinControl)
pt | DoExit (TCustomEdit)
pt | DoFixDesignFontPPI (TControl)
pt | DoFlipChildren (TWinControl)
pt | DoFloatMsg (TControl)
pt | DoFloatMsg (TWinControl)
pt | DoGetDockCaption (TWinControl)
pt | DoKeyDownBeforeInterface (TWinControl)
pt | DoKeyPress (TWinControl)
pt | DoKeyUpBeforeInterface (TWinControl)
pt | DoMouseWheel (TControl)
pt | DoMouseWheelDown (TControl)
pt | DoMouseWheelHorz (TControl)
pt | DoMouseWheelLeft (TControl)
pt | DoMouseWheelRight (TControl)
pt | DoMouseWheelUp (TControl)
pt | DoOnChangeBounds (TControl)
pt | DoOnParentHandleDestruction (TControl)
pt | DoOnResize (TControl)
pt | DoOnShowHint (TControl)
pt | DoRemainingKeyDown (TWinControl)
pt | DoRemainingKeyUp (TWinControl)
pt | DoRemoveDockClient (TWinControl)
pt | DoScaleFontPPI (TControl)
pt | DoSendBoundsToInterface (TWinControl)
pt | DoSendShowHideToInterface (TWinControl)
pt | DoSetBounds (TControl)
pt | DoSetBounds (TWinControl)
pt | DoStartDock (TControl)
pt | DoStartDrag (TControl)
pt | DoUnDock (TWinControl)
pt | DoUndockClientMsg (TWinControl)
pt | DoUTF8KeyPress (TWinControl)
pt | DragCanceled (TControl)
 | DragDrop (TControl)
 | Dragging (TControl)
pt | DragOver (TControl)
 | EditingDone (TControl)
pt | EditingDone (TCustomEdit)
 | EditingDone (TDBMemo)
 | EnableAlign (TWinControl)
 | EnableAutoSizing (TControl)
pt | EnabledChanged (TControl)
pt | EnabledChanging (TControl)
pt | EndAutoSizing (TControl)
 | EndDrag (TControl)
 | EndUpdateBounds (TWinControl)
 | Equals (TObject)
 | EraseBackground (TWinControl)
 | ExecuteAction (TComponent)
 | ExecuteAction (TDBMemo)
 | ExecuteCancelAction (TControl)
 | ExecuteDefaultAction (TControl)
 | FieldAddress (TObject)
pt | FinalizeWnd (TWinControl)
pt | FinalizeWnd (TCustomMemo)
 | FindChildControl (TWinControl)
 | FindComponent (TComponent)
pt | FindNextControl (TWinControl)
 | FixDesignFontsPPI (TControl)
pt | FixupTabList (TWinControl)
 | FlipChildren (TWinControl)
 | Focused (TWinControl)
pt | FontChanged (TControl)
pt | FontChanged (TWinControl)
pt | FontChanged (TCustomEdit)
pt | ForeignAnchorSideChanged (TControl)
pt | FormEndUpdated (TControl)
pt | FormEndUpdated (TWinControl)
 | FormIsUpdating (TControl)
 | FPOAttachObserver (TPersistent)
 | FPODetachObserver (TPersistent)
 | FPONotifyObservers (TPersistent)
 | Free (TObject)
 | FreeInstance (TObject)
 | FreeNotification (TComponent)
 | FreeOnRelease (TComponent)
 | GetAccessibleObject (TControl)
pt | GetAction (TControl)
pt | GetActionLinkClass (TControl)
pt | GetAdjustedLogicalClientRect (TWinControl)
 | GetAnchorsDependingOnParent (TControl)
pt | GetBorderStyle (TWinControl)
pt | GetCachedText (TControl)
pt | GetCachedText (TCustomMemo)
 | GetCanvasScaleFactor (TControl)
pt | GetCaretPos (TCustomEdit)
pt | GetCaretPos (TCustomMemo)
 | GetChildAccessibleObjectAtPos (TControl)
 | GetChildOwner (TComponent)
 | GetChildParent (TComponent)
 | GetChildren (TComponent)
pt | GetChildren (TWinControl)
 | GetChildrenRect (TControl)
 | GetChildrenRect (TWinControl)
pt | GetClientOrigin (TControl)
pt | GetClientOrigin (TWinControl)
pt | GetClientRect (TControl)
pt | GetClientRect (TWinControl)
pt | GetClientScrollOffset (TControl)
 | GetColorResolvingParent (TControl)
 | GetComObject (TComponent)
 | GetComponent (TComponent)
 | GetComponentCount (TComponent)
 | GetComponentIndex (TComponent)
pt | GetControlClassDefaultSize (TControl)
pt | GetControlClassDefaultSize (TCustomEdit)
pt | GetControlClassDefaultSize (TCustomMemo)
 | GetControlIndex (TWinControl)
pt | GetControlOrigin (TControl)
pt | GetControlOrigin (TWinControl)
pt | GetCursor (TControl)
 | GetDefaultColor (TControl)
pt | GetDefaultDockCaption (TControl)
 | GetDefaultHeight (TControl)
 | GetDefaultWidth (TControl)
pt | GetDeviceContext (TControl)
pt | GetDeviceContext (TWinControl)
 | GetDockCaption (TWinControl)
pt | GetDockEdge (TControl)
pt | GetDragImages (TControl)
pt | GetEnabled (TControl)
 | GetEnumerator (TComponent)
 | GetEnumeratorControls (TWinControl)
 | GetEnumeratorControlsReverse (TWinControl)
pt | GetFloating (TControl)
pt | GetFloatingDockSiteClass (TControl)
 | GetHashCode (TObject)
 | GetIDsOfNames (TComponent)
 | GetInterface (TObject)
 | GetInterfaceByStr (TObject)
 | GetInterfaceEntry (TObject)
 | GetInterfaceEntryByStr (TObject)
 | GetInterfaceTable (TObject)
 | GetInterfaceWeak (TObject)
pt | GetLogicalClientRect (TControl)
pt | GetMouseCapture (TControl)
pt | GetMouseCapture (TWinControl)
pt | GetMousePosFromMessage (TControl)
 | GetNamePath (TPersistent)
 | GetNamePath (TComponent)
pt | GetNumbersOnly (TCustomEdit)
 | GetOwner (TPersistent)
 | GetOwner (TComponent)
pt | GetPalette (TControl)
pt | GetParentBackground (TWinControl)
 | GetParentComponent (TComponent)
 | GetParentComponent (TControl)
pt | GetParentHandle (TWinControl)
pt | GetPopupMenu (TControl)
 | GetPreferredSize (TControl)
pt | GetPreferredSizeClientFrame (TWinControl)
pt | GetReadOnly (TCustomEdit)
pt | GetReadOnly (TDBMemo)
 | GetRGBColorResolvingParent (TControl)
pt | GetScrolledClientRect (TControl)
 | GetSelectedChildAccessibleObject (TControl)
pt | GetSelLength (TCustomEdit)
pt | GetSelStart (TCustomEdit)
pt | GetSelText (TCustomEdit)
 | GetSidePosition (TControl)
pt | GetSiteInfo (TWinControl)
 | GetTabOrderList (TWinControl)
 | GetTextBuf (TControl)
pt | GetTextHint (TCustomEdit)
 | GetTextLen (TControl)
 | GetTextLen (TWinControl)
 | GetTopParent (TControl)
pt | GetTopParentHandle (TWinControl)
 | GetTypeInfo (TComponent)
 | GetTypeInfoCount (TComponent)
pt | GetWSComponentClass (TLCLComponent)
 | HandleAllocated (TWinControl)
 | HandleNeeded (TWinControl)
 | HandleObjectShouldBeVisible (TControl)
 | HasHelp (TControl)
 | HasParent (TComponent)
 | HasParent (TControl)
pt | HeightIsAnchored (TControl)
 | Hide (TControl)
 | iicrGetComponent (TComponent)
 | IncLCLRefCount (TLCLComponent)
 | InheritsFrom (TObject)
pt | InitializeWnd (TWinControl)
pt | InitializeWnd (TCustomEdit)
pt | InitializeWnd (TCustomMemo)
 | InitiateAction (TControl)
 | InitInstance (TObject)
 | Insert (TComponent)
 | InsertComponent (TComponent)
 | InsertControl (TWinControl)
 | InstanceSize (TObject)
 | IntfGetDropFilesTarget (TWinControl)
 | IntfUTF8KeyPress (TWinControl)
 | Invalidate (TControl)
 | Invalidate (TWinControl)
pt | InvalidateBoundsRealized (TWinControl)
 | InvalidateClientRectCache (TWinControl)
pt | InvalidateControl (TControl)
pt | InvalidatePreferredChildSizes (TWinControl)
 | InvalidatePreferredSize (TControl)
 | Invoke (TComponent)
pt | IsAParentAligning (TControl)
pt | IsBorderSpacingInnerBorderStored (TControl)
pt | IsCaptionStored (TControl)
pt | IsClientHeightStored (TControl)
pt | IsClientHeightStored (TWinControl)
pt | IsClientWidthStored (TControl)
pt | IsClientWidthStored (TWinControl)
pt | IsControlMouseMsg (TWinControl)
 | IsControlVisible (TControl)
 | IsEnabled (TControl)
 | IsImplementorOf (TComponent)
 | IsParentColor (TControl)
 | IsParentFont (TControl)
 | IsParentOf (TControl)
 | IsProcessingPaintMsg (TControl)
 | IsRightToLeft (TControl)
 | IsVisible (TControl)
pt | KeyDown (TWinControl)
pt | KeyDown (TDBMemo)
pt | KeyDownAfterInterface (TWinControl)
pt | KeyDownBeforeInterface (TWinControl)
pt | KeyPress (TWinControl)
pt | KeyPress (TDBMemo)
pt | KeyUp (TWinControl)
pt | KeyUpAfterInterface (TWinControl)
pt | KeyUpAfterInterface (TCustomEdit)
pt | KeyUpAfterInterface (TCustomMemo)
pt | KeyUpBeforeInterface (TWinControl)
pt | LMCaptureChanged (TControl)
 | Loaded (TComponent)
pt | Loaded (TControl)
pt | Loaded (TWinControl)
pt | Loaded (TCustomMemo)
pt | LoadedAll (TControl)
 | Loading (TComponent)
 | LoadMemo (TDBMemo)
 | LockRealizeBounds (TWinControl)
pt | MainWndProc (TWinControl)
 | ManualDock (TControl)
 | ManualFloat (TControl)
 | MethodAddress (TObject)
 | MethodName (TObject)
pt | MouseDown (TControl)
pt | MouseEnter (TControl)
pt | MouseLeave (TControl)
pt | MouseMove (TControl)
pt | MouseUp (TControl)
pt | MouseUp (TCustomEdit)
 | newinstance (TObject)
 | NewInstance (TLCLComponent)
 | Notification (TComponent)
pt | Notification (TControl)
pt | Notification (TDBMemo)
 | NotifyControls (TWinControl)
pt | PaintControls (TWinControl)
pt | PaintHandler (TWinControl)
 | PaintTo (TWinControl)
pt | PaintWindow (TWinControl)
 | PaletteCreated (TComponent)
 | ParentDestroyingHandle (TControl)
pt | ParentFontChanged (TControl)
pt | ParentFormHandleInitialized (TControl)
pt | ParentFormHandleInitialized (TWinControl)
 | ParentHandlesAllocated (TControl)
 | ParentHandlesAllocated (TWinControl)
 | ParentToClient (TControl)
 | PasteFromClipboard (TCustomEdit)
 | Perform (TControl)
 | PerformTab (TWinControl)
pt | PositionDockRect (TControl)
pt | QuadClick (TControl)
 | QueryInterface (TComponent)
 | ReadLeft (TComponent)
 | ReadState (TComponent)
pt | ReadState (TControl)
 | ReadTop (TComponent)
pt | RealGetText (TControl)
pt | RealGetText (TWinControl)
pt | RealGetText (TCustomEdit)
pt | RealGetText (TCustomMemo)
 | ReAlign (TWinControl)
pt | RealizeBounds (TWinControl)
pt | RealizeBoundsRecursive (TWinControl)
pt | RealSetText (TControl)
pt | RealSetText (TWinControl)
pt | RealSetText (TCustomEdit)
pt | RealSetText (TCustomMemo)
 | ReferenceInterface (TComponent)
 | Refresh (TControl)
pt | ReloadDockedControl (TWinControl)
 | Remove (TComponent)
 | RemoveAllHandlersOfObject (TLCLComponent)
 | RemoveAllHandlersOfObject (TControl)
 | RemoveAllHandlersOfObject (TCustomEdit)
 | RemoveComponent (TComponent)
 | RemoveControl (TWinControl)
pt | RemoveFocus (TWinControl)
 | RemoveFreeNotification (TComponent)
pt | RemoveHandler (TControl)
 | RemoveHandlerOnBeforeDestruction (TControl)
 | RemoveHandlerOnChange (TCustomEdit)
 | RemoveHandlerOnChangeBounds (TControl)
 | RemoveHandlerOnEnableChanging (TControl)
 | RemoveHandlerOnKeyDown (TControl)
 | RemoveHandlerOnMouseWheel (TControl)
 | RemoveHandlerOnResize (TControl)
 | RemoveHandlerOnVisibleChanged (TControl)
 | RemoveHandlerOnVisibleChanging (TControl)
 | RemoveNotification (TComponent)
 | Repaint (TControl)
 | Repaint (TWinControl)
 | ReplaceDockedControl (TControl)
pt | RequestAlign (TControl)
pt | Resize (TControl)
 | SafeCallException (TObject)
 | SafeCallException (TComponent)
 | Scale96ToFont (TControl)
 | Scale96ToForm (TControl)
 | Scale96ToScreen (TControl)
 | ScaleBy (TWinControl)
pt | ScaleConstraints (TControl)
pt | ScaleControls (TWinControl)
 | ScaleDesignToForm (TControl)
 | ScaleFontsPPI (TControl)
 | ScaleFontTo96 (TControl)
 | ScaleFontToScreen (TControl)
 | ScaleFormTo96 (TControl)
 | ScaleFormToDesign (TControl)
 | ScaleScreenTo96 (TControl)
 | ScaleScreenToFont (TControl)
 | ScreenToClient (TControl)
 | ScreenToControl (TControl)
 | ScrollBy (TWinControl)
 | ScrollBy (TCustomMemo)
 | ScrollBy_WS (TWinControl)
 | SelectAll (TCustomEdit)
pt | SelectFirst (TWinControl)
 | SelectNext (TWinControl)
pt | SendDialogChar (TWinControl)
pt | SendMoveSizeMessages (TControl)
pt | SendMoveSizeMessages (TWinControl)
 | SendToBack (TControl)
pt | SetAction (TControl)
pt | SetAlign (TControl)
 | SetAncestor (TComponent)
pt | SetAnchors (TControl)
pt | SetAutoSize (TControl)
pt | SetBiDiMode (TControl)
pt | SetBorderStyle (TWinControl)
 | SetBounds (TControl)
 | SetBounds (TWinControl)
 | SetBoundsKeepBase (TControl)
pt | SetCaretPos (TCustomEdit)
pt | SetCaretPos (TCustomMemo)
 | SetChildOrder (TComponent)
pt | SetChildZPosition (TWinControl)
pt | SetColor (TControl)
pt | SetColor (TWinControl)
 | SetComponentIndex (TComponent)
 | SetControlIndex (TWinControl)
pt | SetCursor (TControl)
 | SetDesigning (TComponent)
 | SetDesignInstance (TComponent)
pt | SetDockManager (TWinControl)
pt | SetDragMode (TControl)
pt | SetEchoMode (TCustomEdit)
pt | SetEnabled (TControl)
 | SetFocus (TWinControl)
pt | SetHint (TControl)
 | SetInitialBounds (TControl)
 | SetInline (TComponent)
pt | SetLines (TCustomMemo)
 | SetName (TComponent)
pt | SetName (TControl)
pt | SetNumbersOnly (TCustomEdit)
pt | SetParent (TControl)
pt | SetParentBackground (TWinControl)
pt | SetParentBiDiMode (TControl)
 | SetParentComponent (TComponent)
pt | SetParentComponent (TControl)
pt | SetReadOnly (TCustomEdit)
pt | SetReadOnly (TDBMemo)
 | SetReference (TComponent)
pt | SetScrollBars (TCustomMemo)
pt | SetSelLength (TCustomEdit)
pt | SetSelStart (TCustomEdit)
pt | SetSelText (TCustomEdit)
 | SetShape (TWinControl)
 | SetSubComponent (TComponent)
 | SetTempCursor (TControl)
 | SetTempCursor (TWinControl)
 | SetTextBuf (TControl)
pt | SetTextHint (TCustomEdit)
pt | SetVisible (TControl)
pt | SetWantReturns (TCustomMemo)
pt | SetWantTabs (TCustomMemo)
pt | SetWordWrap (TCustomMemo)
pt | SetZOrder (TControl)
 | ShouldAutoAdjust (TControl)
pt | ShouldAutoAdjust (TCustomEdit)
 | Show (TControl)
pt | ShowControl (TWinControl)
 | ShowHelp (TControl)
 | StringMessageTable (TObject)
pt | TextChanged (TControl)
pt | TextChanged (TCustomEdit)
 | ToString (TObject)
pt | TripleClick (TControl)
 | Undo (TCustomEdit)
 | UnitName (TObject)
 | UnlockRealizeBounds (TWinControl)
 | Update (TControl)
 | Update (TWinControl)
 | UpdateAction (TComponent)
 | UpdateAction (TDBMemo)
pt | UpdateAnchorRules (TControl)
 | UpdateBaseBounds (TControl)
pt | UpdateControlState (TWinControl)
 | Updated (TComponent)
pt | UpdateData (TDBMemo)
 | UpdateDockCaption (TWinControl)
pt | UpdateMouseCursor (TControl)
 | UpdateRegistry (TComponent)
 | UpdateRolesForForm (TControl)
pt | UpdateShowing (TWinControl)
 | Updating (TComponent)
 | UseRightToLeftAlignment (TControl)
 | UseRightToLeftReading (TControl)
 | UseRightToLeftScrollBar (TControl)
pt | UTF8KeyPress (TWinControl)
pt | UTF8KeyPress (TCustomMemo)
 | ValidateContainer (TComponent)
 | ValidateInsert (TComponent)
 | ValidateRename (TComponent)
pt | VisibleChanged (TControl)
pt | VisibleChanging (TControl)
pt | WidthIsAnchored (TControl)
pt | WMCancelMode (TControl)
pt | WMChar (TWinControl)
pt | WMChar (TCustomEdit)
pt | WMContextMenu (TControl)
pt | WMContextMenu (TWinControl)
pt | WMDestroy (TWinControl)
pt | WMEnter (TWinControl)
pt | WMEraseBkgnd (TWinControl)
pt | WMExit (TWinControl)
pt | WMGetDlgCode (TCustomMemo)
pt | WMKeyDown (TWinControl)
pt | WMKeyUp (TWinControl)
pt | WMKillFocus (TWinControl)
pt | WMKillFocus (TCustomEdit)
pt | WMLButtonDBLCLK (TControl)
pt | WMLButtonDown (TControl)
pt | WMLButtonQuadCLK (TControl)
pt | WMLButtonTripleCLK (TControl)
pt | WMLButtonUp (TControl)
pt | WMMButtonDBLCLK (TControl)
pt | WMMButtonDown (TControl)
pt | WMMButtonQuadCLK (TControl)
pt | WMMButtonTripleCLK (TControl)
pt | WMMButtonUp (TControl)
pt | WMMouseHWheel (TControl)
pt | WMMouseMove (TControl)
pt | WMMouseWheel (TControl)
pt | WMMove (TControl)
pt | WMMove (TWinControl)
pt | WMNotify (TWinControl)
pt | WMPaint (TWinControl)
pt | WMRButtonDBLCLK (TControl)
pt | WMRButtonDown (TControl)
pt | WMRButtonQuadCLK (TControl)
pt | WMRButtonTripleCLK (TControl)
pt | WMRButtonUp (TControl)
pt | WMSetFocus (TWinControl)
pt | WMSetFocus (TCustomEdit)
pt | WMShowWindow (TWinControl)
pt | WMSize (TControl)
pt | WMSize (TWinControl)
pt | WMSysChar (TWinControl)
pt | WMSysKeyDown (TWinControl)
pt | WMSysKeyUp (TWinControl)
pt | WMWindowPosChanged (TControl)
pt | WMWindowPosChanged (TWinControl)
pt | WMXButtonDBLCLK (TControl)
pt | WMXButtonDown (TControl)
pt | WMXButtonQuadCLK (TControl)
pt | WMXButtonTripleCLK (TControl)
pt | WMXButtonUp (TControl)
pt | WndProc (TControl)
pt | WndProc (TWinControl)
pt | WndProc (TCustomEdit)
pt | WndProc (TDBMemo)
 | WriteLayoutDebugReport (TControl)
 | WriteLayoutDebugReport (TWinControl)
 | WriteLeft (TComponent)
 | WriteState (TComponent)
 | WriteTop (TComponent)
pt | WSRegisterClass (TLCLComponent)
pt | WSRegisterClass (TControl)
pt | WSRegisterClass (TWinControl)
pt | WSRegisterClass (TCustomEdit)
pt | WSRegisterClass (TCustomMemo)
pt | WSRegisterClass (TDBMemo)
pt | WSSetText (TWinControl)
 | _AddRef (TComponent)
 | _Release (TComponent)


TDBMemo
pl | ro | OnChange
pl | ro | OnClick
pl | ro | OnContextPopup
pl | ro | OnDblClick
pl | ro | OnDragDrop
pl | ro | OnDragOver
pl | ro | OnEditingDone
pl | ro | OnEndDrag
pl | ro | OnEnter
pl | ro | OnExit
pl | ro | OnKeyDown
pl | ro | OnKeyPress
pl | ro | OnKeyUp
pl | ro | OnMouseDown
pl | ro | OnMouseEnter
pl | ro | OnMouseLeave
pl | ro | OnMouseMove
pl | ro | OnMouseUp
pl | ro | OnMouseWheel
pl | ro | OnMouseWheelDown
pl | ro | OnMouseWheelUp
pl | ro | OnStartDrag
pl | ro | OnUTF8KeyPress
TCustomMemo
TCustomEdit
 |  | OnChange
TWinControl
pt |  | OnGetSiteInfo
pt |  | OnGetDockCaption
 |  | OnAlignInsertBefore
 |  | OnAlignPosition
 |  | OnDockDrop
 |  | OnDockOver
 |  | OnEnter
 |  | OnExit
 |  | OnKeyDown
 |  | OnKeyPress
 |  | OnKeyUp
 |  | OnUnDock
 |  | OnUTF8KeyPress
TControl
pt |  | OnConstrainedResize
pt |  | OnContextPopup
pt |  | OnDblClick
pt |  | OnTripleClick
pt |  | OnQuadClick
pt |  | OnDragDrop
pt |  | OnDragOver
pt |  | OnEndDock
pt |  | OnEndDrag
pt |  | OnMouseDown
pt |  | OnMouseMove
pt |  | OnMouseUp
pt |  | OnMouseEnter
pt |  | OnMouseLeave
pt |  | OnMouseWheel
pt |  | OnMouseWheelDown
pt |  | OnMouseWheelUp
pt |  | OnMouseWheelHorz
pt |  | OnMouseWheelLeft
pt |  | OnMouseWheelRight
pt |  | OnStartDock
pt |  | OnStartDrag
pt |  | OnEditingDone
 |  | OnChangeBounds
 |  | OnClick
 |  | OnResize
 |  | OnShowHint
TLCLComponent
TComponent
TPersistent
TObject


pl | ro | OnChange (TDBMemo)
 |  | OnChangeBounds (TControl)
 |  | OnClick (TControl)
pl | ro | OnClick (TDBMemo)
pt |  | OnConstrainedResize (TControl)
pt |  | OnContextPopup (TControl)
pl | ro | OnContextPopup (TDBMemo)
pt |  | OnDblClick (TControl)
pl | ro | OnDblClick (TDBMemo)
 |  | OnDockDrop (TWinControl)
 |  | OnDockOver (TWinControl)
pt |  | OnDragDrop (TControl)
pl | ro | OnDragDrop (TDBMemo)
pt |  | OnDragOver (TControl)
pl | ro | OnDragOver (TDBMemo)
pt |  | OnEditingDone (TControl)
pl | ro | OnEditingDone (TDBMemo)
pt |  | OnEndDock (TControl)
pt |  | OnEndDrag (TControl)
pl | ro | OnEndDrag (TDBMemo)
 |  | OnEnter (TWinControl)
pl | ro | OnEnter (TDBMemo)
 |  | OnExit (TWinControl)
pl | ro | OnExit (TDBMemo)
pt |  | OnGetDockCaption (TWinControl)
pt |  | OnGetSiteInfo (TWinControl)
 |  | OnKeyDown (TWinControl)
pl | ro | OnKeyDown (TDBMemo)
 |  | OnKeyPress (TWinControl)
pl | ro | OnKeyPress (TDBMemo)
 |  | OnKeyUp (TWinControl)
pl | ro | OnKeyUp (TDBMemo)
pt |  | OnMouseDown (TControl)
pl | ro | OnMouseDown (TDBMemo)
pt |  | OnMouseEnter (TControl)
pl | ro | OnMouseEnter (TDBMemo)
pt |  | OnMouseLeave (TControl)
pl | ro | OnMouseLeave (TDBMemo)
pt |  | OnMouseMove (TControl)
pl | ro | OnMouseMove (TDBMemo)
pt |  | OnMouseUp (TControl)
pl | ro | OnMouseUp (TDBMemo)
pt |  | OnMouseWheel (TControl)
pl | ro | OnMouseWheel (TDBMemo)
pt |  | OnMouseWheelDown (TControl)
pl | ro | OnMouseWheelDown (TDBMemo)
pt |  | OnMouseWheelHorz (TControl)
pt |  | OnMouseWheelLeft (TControl)
pt |  | OnMouseWheelRight (TControl)
pt |  | OnMouseWheelUp (TControl)
pl | ro | OnMouseWheelUp (TDBMemo)
pt |  | OnQuadClick (TControl)
 |  | OnResize (TControl)
 |  | OnShowHint (TControl)
pt |  | OnStartDock (TControl)
pt |  | OnStartDrag (TControl)
pl | ro | OnStartDrag (TDBMemo)
pt |  | OnTripleClick (TControl)
 |  | OnUnDock (TWinControl)
 |  | OnUTF8KeyPress (TWinControl)
pl | ro | OnUTF8KeyPress (TDBMemo)


TDBMemo.Alignment

Declaration

Source position: dbctrls.pp line 989

published property TDBMemo.Alignment : TAlignment;


TDBMemo.AutoDisplay

AutoDisplay - if True, automatically displays the data when loaded

Declaration

Source position: dbctrls.pp line 991

published property TDBMemo.AutoDisplay : Boolean
  read FAutoDisplay
  write SetAutoDisplay
  default True;


TDBMemo.BiDiMode

Declaration

Source position: dbctrls.pp line 992

published property TDBMemo.BiDiMode : TBiDiMode;


TDBMemo.BorderStyle

Declaration

Source position: dbctrls.pp line 994

published property TDBMemo.BorderStyle : TBorderStyle;


TDBMemo.CharCase

Declaration

Source position: dbctrls.pp line 995

published property TDBMemo.CharCase : TEditCharCase;


TDBMemo.Constraints

Declaration

Source position: dbctrls.pp line 997

published property TDBMemo.Constraints : TSizeConstraints;


TDBMemo.Create

Create - constructor for TDBMemo: calls inherited Create, then sets style and forms datalinks and actions

Declaration

Source position: dbctrls.pp line 980

public constructor TDBMemo.Create(

  TheOwner: TComponent

); override;

See also

TCustomMemo.Create


TDBMemo.DataChange

DataChange - if Data changed, loads the new data into the appropriate part of the Field

Declaration

Source position: dbctrls.pp line 971

protected procedure TDBMemo.DataChange(

  Sender: TObject

);


TDBMemo.DataField

The name of the field, as a string (ie cannot be referred to as an Index)

Declaration

Source position: dbctrls.pp line 998

published property TDBMemo.DataField : string
  read GetDataField
  write SetDataField;


TDBMemo.DataSource

The DataSource from which information is obtained to display in this control. Usually the result of a database query

Declaration

Source position: dbctrls.pp line 999

published property TDBMemo.DataSource : TDataSource
  read GetDataSource
  write SetDataSource;


TDBMemo.Destroy

Destroy - destructor for TDBMemo: frees datalinks then calls inherited Destroy

Declaration

Source position: dbctrls.pp line 981

public destructor TDBMemo.Destroy; override;

See also

TCustomMemo.Destroy


TDBMemo.DoubleBuffered

Declaration

Source position: dbctrls.pp line 1000

published property TDBMemo.DoubleBuffered : Boolean;


TDBMemo.DragKind

Declaration

Source position: dbctrls.pp line 1002

published property TDBMemo.DragKind : TDragKind;


TDBMemo.EditingDone

EditingDone - if link allows modifications and is in an Editing state, updates data via the link then calls inherited EditingDone

Declaration

Source position: dbctrls.pp line 982

public procedure TDBMemo.EditingDone; override;

See also

TControl.EditingDone

Invokes the OnEditingDone event handler.


TDBMemo.Enabled

Declaration

Source position: dbctrls.pp line 1004

published property TDBMemo.Enabled : Boolean;


TDBMemo.ExecuteAction

Declaration

Source position: dbctrls.pp line 984

public function TDBMemo.ExecuteAction(

  AAction: TBasicAction

):Boolean; override;


TDBMemo.Field

The field in the DataSet to which this control is to be linked. Can be referred to by name, or as an index

Declaration

Source position: dbctrls.pp line 986

public property TDBMemo.Field : TField
  read GetField;


TDBMemo.KeyDown

Declaration

Source position: dbctrls.pp line 975

protected procedure TDBMemo.KeyDown(

  var Key: Word;

  Shift: TShiftState

); override;


TDBMemo.LoadMemo

LoadMemo - tries to load data from current field as a string if possible, otherwise returns an exception

Declaration

Source position: dbctrls.pp line 983

public procedure TDBMemo.LoadMemo; virtual;


TDBMemo.OnClick

Declaration

Source position: dbctrls.pp line 1008

published property TDBMemo.OnClick : TNotifyEvent;


TDBMemo.OnContextPopup

Declaration

Source position: dbctrls.pp line 1009

published property TDBMemo.OnContextPopup : TContextPopupEvent;


TDBMemo.OnDblClick

Declaration

Source position: dbctrls.pp line 1010

published property TDBMemo.OnDblClick : TNotifyEvent;


TDBMemo.OnEditingDone

Declaration

Source position: dbctrls.pp line 1013

published property TDBMemo.OnEditingDone : TNotifyEvent;


TDBMemo.OnMouseDown

Declaration

Source position: dbctrls.pp line 1020

published property TDBMemo.OnMouseDown : TMouseEvent;


TDBMemo.OnMouseEnter

Declaration

Source position: dbctrls.pp line 1021

published property TDBMemo.OnMouseEnter : TNotifyEvent;


TDBMemo.OnMouseLeave

Declaration

Source position: dbctrls.pp line 1022

published property TDBMemo.OnMouseLeave : TNotifyEvent;


TDBMemo.OnMouseMove

Declaration

Source position: dbctrls.pp line 1023

published property TDBMemo.OnMouseMove : TMouseMoveEvent;


TDBMemo.OnMouseUp

Declaration

Source position: dbctrls.pp line 1024

published property TDBMemo.OnMouseUp : TMouseEvent;


TDBMemo.OnMouseWheel

Declaration

Source position: dbctrls.pp line 1025

published property TDBMemo.OnMouseWheel : TMouseWheelEvent;


TDBMemo.OnMouseWheelDown

Declaration

Source position: dbctrls.pp line 1026

published property TDBMemo.OnMouseWheelDown : TMouseWheelUpDownEvent;


TDBMemo.OnMouseWheelUp

Declaration

Source position: dbctrls.pp line 1027

published property TDBMemo.OnMouseWheelUp : TMouseWheelUpDownEvent;


TDBMemo.ParentBiDiMode

Declaration

Source position: dbctrls.pp line 1030

published property TDBMemo.ParentBiDiMode : Boolean;


TDBMemo.ParentDoubleBuffered

Declaration

Source position: dbctrls.pp line 1031

published property TDBMemo.ParentDoubleBuffered : Boolean;


TDBMemo.ParentShowHint

Declaration

Source position: dbctrls.pp line 1033

published property TDBMemo.ParentShowHint : Boolean;


TDBMemo.ShowHint

Declaration

Source position: dbctrls.pp line 1037

published property TDBMemo.ShowHint : Boolean;


TDBMemo.UpdateAction

Declaration

Source position: dbctrls.pp line 985

public function TDBMemo.UpdateAction(

  AAction: TBasicAction

):Boolean; override;


TDBMemo.UpdateData

UpdateData - if data changed, copy new text via the datalink

Declaration

Source position: dbctrls.pp line 973

protected procedure TDBMemo.UpdateData(

  Sender: TObject

);


TDBNavButton

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

TDBNavButton - one of the SpeedButtons on a TDBNavigator tool

Declaration

Source position: dbctrls.pp line 1380

type TDBNavButton = class(TSpeedButton)
public
destructor Destroy; override; | Destroy - destructor for TCustomSpeedButton: frees Glyph then calls inherited Destroy
property NavStyle: TDBNavButtonStyle; [rw] | NavStyle - the style of Navigator Button
property Index: TDBNavButtonType; [rw] | Index - the value from the enumerated type that specifies which button is being selected
end;

Inheritance

TDBNavButton | TDBNavButton - one of the SpeedButtons on a TDBNavigator tool
|
TSpeedButton | A Button used to represent states (checked or not, etc)
|
TCustomSpeedButton | The ancestor class for TSpeedButton
|
TGraphicControl | TGraphicControl is the base class for all lightweight controls.
|
TControl | The base class for visible controls.
|
TLCLComponent | The base class for LCL components associated with widgets.
|
TComponent,IUnknown,IInterfaceComponentReference
|
TPersistent,IFPObserved
|
TObject


TDBNavButton
 |  | NavStyle
 |  | Index
TSpeedButton
pl | ro | Action
pl | ro | Align
pl | ro | AllowAllUp
pl | ro | Anchors
pl | ro | AutoSize
pl | ro | BidiMode
pl | ro | BorderSpacing
pl | ro | Constraints
pl | ro | Caption
pl | ro | Color
pl | ro | Down
pl | ro | Enabled
pl | ro | Flat
pl | ro | Font
pl | ro | Glyph
pl | ro | GroupIndex
pl | ro | Images
pl | ro | ImageIndex
pl | ro | ImageWidth
pl | ro | Layout
pl | ro | Margin
pl | ro | NumGlyphs
pl | ro | Spacing
pl | ro | Transparent
pl | ro | Visible
pl | ro | ShowCaption
pl | ro | ShowHint
pl | ro | ParentBidiMode
pl | ro | ParentFont
pl | ro | ParentShowHint
pl | ro | PopupMenu
TCustomSpeedButton
pt | ro | MouseInControl
 |  | AllowAllUp
 | ro | Color
 |  | Down
 |  | Flat
 |  | Glyph
 |  | GroupIndex
 |  | Images
 |  | ImageIndex
 |  | ImageWidth
 |  | Layout
 |  | Margin
 |  | NumGlyphs
 |  | ShowAccelChar
 |  | ShowCaption
 |  | Spacing
 |  | Transparent
TGraphicControl
 | ro | Canvas
TControl
pt | ro | AutoSizing
pt | ro | AutoSizingAll
pt | ro | AutoSizingLockCount
pt |  | ActionLink
pt |  | DesktopFont
pt |  | DragCursor
pt |  | DragKind
pt |  | DragMode
pt |  | MouseCapture
pt |  | ParentColor
pt |  | ParentFont
pt |  | ParentShowHint
pt |  | SessionProperties
pt |  | Text
 | ro | AnchoredControls
 | ro | BaseBounds
 | ro | ReadBounds
 | ro | BaseParentClientSize
 |  | AccessibleDescription
 |  | AccessibleValue
 |  | AccessibleRole
 |  | Action
 |  | Align
 |  | Anchors
 | ro | AnchorSide
 |  | AutoSize
 |  | BorderSpacing
 |  | BoundsRect
 |  | BoundsRectForNewParent
 |  | Caption
 |  | CaptureMouseButtons
 |  | ClientHeight
 | ro | ClientOrigin
 | ro | ClientRect
 |  | ClientWidth
 |  | Color
 |  | Constraints
 | ro | ControlOrigin
 |  | ControlState
 |  | ControlStyle
 |  | Enabled
 |  | Font
 |  | IsControl
 | ro | MouseEntered
 | ro | MouseInClient
 |  | Parent
 |  | PopupMenu
 |  | ShowHint
 |  | Visible
 |  | WindowProc
 |  | DockOrientation
 | ro | Floating
 |  | FloatingDockSiteClass
 |  | HostDockSite
 |  | LRDockWidth
 |  | TBDockHeight
 |  | UndockHeight
 |  | UndockWidth
 |  | BiDiMode
 |  | ParentBiDiMode
pl |  | AnchorSideLeft
pl |  | AnchorSideTop
pl |  | AnchorSideRight
pl |  | AnchorSideBottom
pl |  | Cursor
pl |  | Left
pl |  | Height
pl |  | Hint
pl |  | Top
pl |  | Width
pl |  | HelpType
pl |  | HelpKeyword
pl |  | HelpContext
TLCLComponent
 | ro | LCLRefCount
 | ro | WidgetSetClass
TComponent
 | ro | ComObject
 | ro | Components
 | ro | ComponentCount
 |  | ComponentIndex
 | ro | ComponentState
 | ro | ComponentStyle
 |  | DesignInfo
 | ro | Owner
 |  | VCLComObject
 |  | Name
 |  | Tag
TPersistent
TObject


 |  | AccessibleDescription (TControl)
 |  | AccessibleRole (TControl)
 |  | AccessibleValue (TControl)
 |  | Action (TControl)
pl | ro | Action (TSpeedButton)
pt |  | ActionLink (TControl)
 |  | Align (TControl)
pl | ro | Align (TSpeedButton)
 |  | AllowAllUp (TCustomSpeedButton)
pl | ro | AllowAllUp (TSpeedButton)
 | ro | AnchoredControls (TControl)
 |  | Anchors (TControl)
pl | ro | Anchors (TSpeedButton)
 | ro | AnchorSide (TControl)
pl |  | AnchorSideBottom (TControl)
pl |  | AnchorSideLeft (TControl)
pl |  | AnchorSideRight (TControl)
pl |  | AnchorSideTop (TControl)
 |  | AutoSize (TControl)
pl | ro | AutoSize (TSpeedButton)
pt | ro | AutoSizing (TControl)
pt | ro | AutoSizingAll (TControl)
pt | ro | AutoSizingLockCount (TControl)
 | ro | BaseBounds (TControl)
 | ro | BaseParentClientSize (TControl)
 |  | BiDiMode (TControl)
pl | ro | BidiMode (TSpeedButton)
 |  | BorderSpacing (TControl)
pl | ro | BorderSpacing (TSpeedButton)
 |  | BoundsRect (TControl)
 |  | BoundsRectForNewParent (TControl)
 | ro | Canvas (TGraphicControl)
 |  | Caption (TControl)
pl | ro | Caption (TSpeedButton)
 |  | CaptureMouseButtons (TControl)
 |  | ClientHeight (TControl)
 | ro | ClientOrigin (TControl)
 | ro | ClientRect (TControl)
 |  | ClientWidth (TControl)
 |  | Color (TControl)
 | ro | Color (TCustomSpeedButton)
pl | ro | Color (TSpeedButton)
 | ro | ComObject (TComponent)
 | ro | ComponentCount (TComponent)
 |  | ComponentIndex (TComponent)
 | ro | Components (TComponent)
 | ro | ComponentState (TComponent)
 | ro | ComponentStyle (TComponent)
 |  | Constraints (TControl)
pl | ro | Constraints (TSpeedButton)
 | ro | ControlOrigin (TControl)
 |  | ControlState (TControl)
 |  | ControlStyle (TControl)
pl |  | Cursor (TControl)
 |  | DesignInfo (TComponent)
pt |  | DesktopFont (TControl)
 |  | DockOrientation (TControl)
 |  | Down (TCustomSpeedButton)
pl | ro | Down (TSpeedButton)
pt |  | DragCursor (TControl)
pt |  | DragKind (TControl)
pt |  | DragMode (TControl)
 |  | Enabled (TControl)
pl | ro | Enabled (TSpeedButton)
 |  | Flat (TCustomSpeedButton)
pl | ro | Flat (TSpeedButton)
 | ro | Floating (TControl)
 |  | FloatingDockSiteClass (TControl)
 |  | Font (TControl)
pl | ro | Font (TSpeedButton)
 |  | Glyph (TCustomSpeedButton)
pl | ro | Glyph (TSpeedButton)
 |  | GroupIndex (TCustomSpeedButton)
pl | ro | GroupIndex (TSpeedButton)
pl |  | Height (TControl)
pl |  | HelpContext (TControl)
pl |  | HelpKeyword (TControl)
pl |  | HelpType (TControl)
pl |  | Hint (TControl)
 |  | HostDockSite (TControl)
 |  | ImageIndex (TCustomSpeedButton)
pl | ro | ImageIndex (TSpeedButton)
 |  | Images (TCustomSpeedButton)
pl | ro | Images (TSpeedButton)
 |  | ImageWidth (TCustomSpeedButton)
pl | ro | ImageWidth (TSpeedButton)
 |  | Index (TDBNavButton)
 |  | IsControl (TControl)
 |  | Layout (TCustomSpeedButton)
pl | ro | Layout (TSpeedButton)
 | ro | LCLRefCount (TLCLComponent)
pl |  | Left (TControl)
 |  | LRDockWidth (TControl)
 |  | Margin (TCustomSpeedButton)
pl | ro | Margin (TSpeedButton)
pt |  | MouseCapture (TControl)
 | ro | MouseEntered (TControl)
 | ro | MouseInClient (TControl)
pt | ro | MouseInControl (TCustomSpeedButton)
 |  | Name (TComponent)
 |  | NavStyle (TDBNavButton)
 |  | NumGlyphs (TCustomSpeedButton)
pl | ro | NumGlyphs (TSpeedButton)
 | ro | Owner (TComponent)
 |  | Parent (TControl)
 |  | ParentBiDiMode (TControl)
pl | ro | ParentBidiMode (TSpeedButton)
pt |  | ParentColor (TControl)
pt |  | ParentFont (TControl)
pl | ro | ParentFont (TSpeedButton)
pt |  | ParentShowHint (TControl)
pl | ro | ParentShowHint (TSpeedButton)
 |  | PopupMenu (TControl)
pl | ro | PopupMenu (TSpeedButton)
 | ro | ReadBounds (TControl)
pt |  | SessionProperties (TControl)
 |  | ShowAccelChar (TCustomSpeedButton)
 |  | ShowCaption (TCustomSpeedButton)
pl | ro | ShowCaption (TSpeedButton)
 |  | ShowHint (TControl)
pl | ro | ShowHint (TSpeedButton)
 |  | Spacing (TCustomSpeedButton)
pl | ro | Spacing (TSpeedButton)
 |  | Tag (TComponent)
 |  | TBDockHeight (TControl)
pt |  | Text (TControl)
pl |  | Top (TControl)
 |  | Transparent (TCustomSpeedButton)
pl | ro | Transparent (TSpeedButton)
 |  | UndockHeight (TControl)
 |  | UndockWidth (TControl)
 |  | VCLComObject (TComponent)
 |  | Visible (TControl)
pl | ro | Visible (TSpeedButton)
 | ro | WidgetSetClass (TLCLComponent)
pl |  | Width (TControl)
 |  | WindowProc (TControl)


TDBNavButton
 | Destroy
TSpeedButton
TCustomSpeedButton
pt | WSRegisterClass
pt | ButtonGlyph
pt | GetNumGlyphs
pt | GlyphChanged
pt | DialogChar
pt | CalculatePreferredSize
pt | MeasureDraw
pt | MouseEnter
pt | MouseLeave
pt | MouseDown
pt | MouseMove
pt | MouseUp
pt | Notification
pt | Paint
pt | PaintBackground
pt | SetDown
pt | SetGroupIndex
pt | SetFlat
pt | SetMargin
pt | SetNumGlyphs
pt | SetSpacing
pt | RealSetText
pt | UpdateState
pt | GetDrawDetails
pt | ActionChange
pt | GetActionLinkClass
pt | GetControlClassDefaultSize
pt | Loaded
pt | GetGlyphSize
pt | GetTextSize
pt | DrawGlyph
 | Create
 | Destroy
 | FindDownButton
 | Click
 | LoadGlyphFromResourceName
 | LoadGlyphFromLazarusResource
TGraphicControl
pt | WSRegisterClass
pt | FontChanged
pt | Paint
pt | DoOnChangeBounds
pt | DoOnParentHandleDestruction
pt | CMCursorChanged
 | Create
 | Destroy
TControl
pt | WSRegisterClass
pt | GetCursor
pt | SetCursor
pt | SetVisible
pt | DoOnParentHandleDestruction
pt | DoAutoSize
pt | DoAllAutoSize
pt | BeginAutoSizing
pt | EndAutoSizing
pt | AnchorSideChanged
pt | ForeignAnchorSideChanged
pt | SetAlign
pt | SetAnchors
pt | SetAutoSize
pt | BoundsChanged
pt | CreateControlBorderSpacing
pt | DoConstraintsChange
pt | DoBorderSpacingChange
pt | IsBorderSpacingInnerBorderStored
pt | IsCaptionStored
pt | SendMoveSizeMessages
pt | ConstrainedResize
pt | CalculatePreferredSize
pt | DoOnResize
pt | DoOnChangeBounds
pt | CheckOnChangeBounds
pt | Resize
pt | RequestAlign
pt | UpdateAnchorRules
pt | ChangeBounds
pt | DoSetBounds
pt | ScaleConstraints
pt | ChangeScale
pt | CanAutoSize
pt | SetBiDiMode
pt | SetParentBiDiMode
pt | IsAParentAligning
pt | GetClientOrigin
pt | GetClientRect
pt | GetLogicalClientRect
pt | GetScrolledClientRect
pt | GetClientScrollOffset
pt | GetControlOrigin
pt | IsClientHeightStored
pt | IsClientWidthStored
pt | WidthIsAnchored
pt | HeightIsAnchored
pt | WMCancelMode
pt | WMContextMenu
pt | WMLButtonDown
pt | WMRButtonDown
pt | WMMButtonDown
pt | WMXButtonDown
pt | WMLButtonDBLCLK
pt | WMRButtonDBLCLK
pt | WMMButtonDBLCLK
pt | WMXButtonDBLCLK
pt | WMLButtonTripleCLK
pt | WMRButtonTripleCLK
pt | WMMButtonTripleCLK
pt | WMXButtonTripleCLK
pt | WMLButtonQuadCLK
pt | WMRButtonQuadCLK
pt | WMMButtonQuadCLK
pt | WMXButtonQuadCLK
pt | WMMouseMove
pt | WMLButtonUp
pt | WMRButtonUp
pt | WMMButtonUp
pt | WMXButtonUp
pt | WMMouseWheel
pt | WMMouseHWheel
pt | WMMove
pt | WMSize
pt | WMWindowPosChanged
pt | CMChanged
pt | LMCaptureChanged
pt | CMBiDiModeChanged
pt | CMSysFontChanged
pt | CMEnabledChanged
pt | CMHitTest
pt | CMMouseEnter
pt | CMMouseLeave
pt | CMHintShow
pt | CMParentBiDiModeChanged
pt | CMParentColorChanged
pt | CMParentFontChanged
pt | CMParentShowHintChanged
pt | CMVisibleChanged
pt | CMTextChanged
pt | CMCursorChanged
pt | CalculateDockSizes
pt | CreateFloatingDockSite
pt | GetDockEdge
pt | GetDragImages
pt | GetFloating
pt | GetFloatingDockSiteClass
pt | BeforeDragStart
pt | BeginAutoDrag
pt | DoFloatMsg
pt | DockTrackNoTarget
pt | DoDock
pt | DoDragMsg
pt | DoEndDock
pt | DoEndDrag
pt | DoStartDock
pt | DoStartDrag
pt | DragCanceled
pt | DragOver
pt | PositionDockRect
pt | SetDragMode
pt | GetDefaultDockCaption
pt | Click
pt | DblClick
pt | TripleClick
pt | QuadClick
pt | GetMousePosFromMessage
pt | MouseDown
pt | MouseMove
pt | MouseUp
pt | MouseEnter
pt | MouseLeave
pt | DialogChar
pt | UpdateMouseCursor
pt | Changed
pt | GetPalette
pt | ChildClassAllowed
pt | ReadState
pt | Loaded
pt | LoadedAll
pt | DefineProperties
pt | AssignTo
pt | FormEndUpdated
pt | InvalidateControl
pt | FontChanged
pt | ParentFontChanged
pt | GetAction
pt | RealGetText
pt | RealSetText
pt | TextChanged
pt | GetCachedText
pt | SetAction
pt | SetColor
pt | SetEnabled
pt | SetHint
pt | SetName
pt | SetParent
pt | SetParentComponent
pt | WndProc
pt | ParentFormHandleInitialized
pt | GetMouseCapture
pt | CaptureChanged
pt | Notification
pt | CanTab
pt | GetDeviceContext
pt | GetEnabled
pt | GetPopupMenu
pt | DoOnShowHint
pt | DoMouseWheel
pt | DoMouseWheelDown
pt | DoMouseWheelUp
pt | DoMouseWheelHorz
pt | DoMouseWheelLeft
pt | DoMouseWheelRight
pt | VisibleChanging
pt | VisibleChanged
pt | EnabledChanging
pt | EnabledChanged
pt | AddHandler
pt | RemoveHandler
pt | DoCallNotifyHandler
pt | DoCallKeyEventHandler
pt | DoCallMouseWheelEventHandler
pt | DoContextPopup
pt | SetZOrder
pt | GetControlClassDefaultSize
pt | ColorIsStored
pt | DoAutoAdjustLayout
pt | DoFixDesignFontPPI
pt | DoScaleFontPPI
pt | GetActionLinkClass
pt | ActionChange
 | DragDrop
 | Dock
 | ManualDock
 | ManualFloat
 | ReplaceDockedControl
 | Docked
 | Dragging
 | GetAccessibleObject
 | CreateAccessibleObject
 | GetSelectedChildAccessibleObject
 | GetChildAccessibleObjectAtPos
 | ScaleDesignToForm
 | ScaleFormToDesign
 | Scale96ToForm
 | ScaleFormTo96
 | Scale96ToFont
 | ScaleFontTo96
 | ScaleScreenToFont
 | ScaleFontToScreen
 | Scale96ToScreen
 | ScaleScreenTo96
 | AdjustSize
 | AutoSizePhases
 | AutoSizeDelayed
 | AutoSizeDelayedReport
 | AutoSizeDelayedHandle
 | AnchorToNeighbour
 | AnchorParallel
 | AnchorHorizontalCenterTo
 | AnchorVerticalCenterTo
 | AnchorToCompanion
 | AnchorSame
 | AnchorAsAlign
 | AnchorClient
 | AnchoredControlCount
 | SetBounds
 | SetInitialBounds
 | SetBoundsKeepBase
 | GetPreferredSize
 | GetCanvasScaleFactor
 | GetDefaultWidth
 | GetDefaultHeight
 | GetDefaultColor
 | GetColorResolvingParent
 | GetRGBColorResolvingParent
 | GetSidePosition
 | CNPreferredSizeChanged
 | InvalidatePreferredSize
 | GetAnchorsDependingOnParent
 | DisableAutoSizing
 | EnableAutoSizing
 | UpdateBaseBounds
 | WriteLayoutDebugReport
 | AutoAdjustLayout
 | ShouldAutoAdjust
 | FixDesignFontsPPI
 | ScaleFontsPPI
 | Create
 | Destroy
 | BeforeDestruction
 | EditingDone
 | ExecuteDefaultAction
 | ExecuteCancelAction
 | BeginDrag
 | EndDrag
 | BringToFront
 | HasParent
 | GetParentComponent
 | IsParentOf
 | GetTopParent
 | IsVisible
 | IsControlVisible
 | IsEnabled
 | IsParentColor
 | IsParentFont
 | FormIsUpdating
 | IsProcessingPaintMsg
 | Hide
 | Refresh
 | Repaint
 | Invalidate
 | CheckChildClassAllowed
 | CheckNewParent
 | SendToBack
 | SetTempCursor
 | UpdateRolesForForm
 | ActiveDefaultControlChanged
 | GetTextBuf
 | GetTextLen
 | SetTextBuf
 | Perform
 | ScreenToClient
 | ClientToScreen
 | ScreenToControl
 | ControlToScreen
 | ClientToParent
 | ParentToClient
 | GetChildrenRect
 | Show
 | Update
 | HandleObjectShouldBeVisible
 | ParentDestroyingHandle
 | ParentHandlesAllocated
 | InitiateAction
 | ShowHelp
 | HasHelp
 | RemoveAllHandlersOfObject
 | AddHandlerOnResize
 | RemoveHandlerOnResize
 | AddHandlerOnChangeBounds
 | RemoveHandlerOnChangeBounds
 | AddHandlerOnVisibleChanging
 | RemoveHandlerOnVisibleChanging
 | AddHandlerOnVisibleChanged
 | RemoveHandlerOnVisibleChanged
 | AddHandlerOnEnabledChanged
 | RemoveHandlerOnEnableChanging
 | AddHandlerOnKeyDown
 | RemoveHandlerOnKeyDown
 | AddHandlerOnBeforeDestruction
 | RemoveHandlerOnBeforeDestruction
 | AddHandlerOnMouseWheel
 | RemoveHandlerOnMouseWheel
 | UseRightToLeftAlignment
 | UseRightToLeftReading
 | UseRightToLeftScrollBar
 | IsRightToLeft
TLCLComponent
pt | WSRegisterClass
pt | GetWSComponentClass
 | Create
 | Destroy
 | NewInstance
 | RemoveAllHandlersOfObject
 | IncLCLRefCount
 | DecLCLRefCount
TComponent
 | GetComObject
 | GetComponent
 | GetComponentCount
 | GetComponentIndex
 | Insert
 | ReadLeft
 | ReadTop
 | Remove
 | RemoveNotification
 | SetComponentIndex
 | SetReference
 | WriteLeft
 | WriteTop
 | ChangeName
 | DefineProperties
 | GetChildren
 | GetChildOwner
 | GetChildParent
 | GetOwner
 | Loaded
 | Loading
 | Notification
 | PaletteCreated
 | ReadState
 | SetAncestor
 | SetDesigning
 | SetDesignInstance
 | SetInline
 | SetName
 | SetChildOrder
 | SetParentComponent
 | Updating
 | Updated
 | UpdateRegistry
 | ValidateRename
 | ValidateContainer
 | ValidateInsert
 | QueryInterface
 | _AddRef
 | _Release
 | iicrGetComponent
 | GetTypeInfoCount
 | GetTypeInfo
 | GetIDsOfNames
 | Invoke
 | WriteState
 | Create
 | Destroy
 | BeforeDestruction
 | DestroyComponents
 | Destroying
 | ExecuteAction
 | FindComponent
 | FreeNotification
 | RemoveFreeNotification
 | FreeOnRelease
 | GetEnumerator
 | GetNamePath
 | GetParentComponent
 | HasParent
 | InsertComponent
 | RemoveComponent
 | SafeCallException
 | SetSubComponent
 | UpdateAction
 | IsImplementorOf
 | ReferenceInterface
TPersistent
 | AssignError
 | AssignTo
 | DefineProperties
 | GetOwner
 | Destroy
 | Assign
 | FPOAttachObserver
 | FPODetachObserver
 | FPONotifyObservers
 | GetNamePath
TObject
 | Create
 | Destroy
 | newinstance
 | FreeInstance
 | SafeCallException
 | DefaultHandler
 | Free
 | InitInstance
 | CleanupInstance
 | ClassType
 | ClassInfo
 | ClassName
 | ClassNameIs
 | ClassParent
 | InstanceSize
 | InheritsFrom
 | StringMessageTable
 | MethodAddress
 | MethodName
 | FieldAddress
 | AfterConstruction
 | BeforeDestruction
 | DefaultHandlerStr
 | Dispatch
 | DispatchStr
 | GetInterface
 | GetInterfaceByStr
 | GetInterfaceWeak
 | GetInterfaceEntry
 | GetInterfaceEntryByStr
 | GetInterfaceTable
 | UnitName
 | Equals
 | GetHashCode
 | ToString


pt | ActionChange (TControl)
pt | ActionChange (TCustomSpeedButton)
 | ActiveDefaultControlChanged (TControl)
pt | AddHandler (TControl)
 | AddHandlerOnBeforeDestruction (TControl)
 | AddHandlerOnChangeBounds (TControl)
 | AddHandlerOnEnabledChanged (TControl)
 | AddHandlerOnKeyDown (TControl)
 | AddHandlerOnMouseWheel (TControl)
 | AddHandlerOnResize (TControl)
 | AddHandlerOnVisibleChanged (TControl)
 | AddHandlerOnVisibleChanging (TControl)
 | AdjustSize (TControl)
 | AfterConstruction (TObject)
 | AnchorAsAlign (TControl)
 | AnchorClient (TControl)
 | AnchoredControlCount (TControl)
 | AnchorHorizontalCenterTo (TControl)
 | AnchorParallel (TControl)
 | AnchorSame (TControl)
pt | AnchorSideChanged (TControl)
 | AnchorToCompanion (TControl)
 | AnchorToNeighbour (TControl)
 | AnchorVerticalCenterTo (TControl)
 | Assign (TPersistent)
 | AssignError (TPersistent)
 | AssignTo (TPersistent)
pt | AssignTo (TControl)
 | AutoAdjustLayout (TControl)
 | AutoSizeDelayed (TControl)
 | AutoSizeDelayedHandle (TControl)
 | AutoSizeDelayedReport (TControl)
 | AutoSizePhases (TControl)
 | BeforeDestruction (TObject)
 | BeforeDestruction (TComponent)
 | BeforeDestruction (TControl)
pt | BeforeDragStart (TControl)
pt | BeginAutoDrag (TControl)
pt | BeginAutoSizing (TControl)
 | BeginDrag (TControl)
pt | BoundsChanged (TControl)
 | BringToFront (TControl)
pt | ButtonGlyph (TCustomSpeedButton)
pt | CalculateDockSizes (TControl)
pt | CalculatePreferredSize (TControl)
pt | CalculatePreferredSize (TCustomSpeedButton)
pt | CanAutoSize (TControl)
pt | CanTab (TControl)
pt | CaptureChanged (TControl)
pt | ChangeBounds (TControl)
pt | Changed (TControl)
 | ChangeName (TComponent)
pt | ChangeScale (TControl)
 | CheckChildClassAllowed (TControl)
 | CheckNewParent (TControl)
pt | CheckOnChangeBounds (TControl)
pt | ChildClassAllowed (TControl)
 | ClassInfo (TObject)
 | ClassName (TObject)
 | ClassNameIs (TObject)
 | ClassParent (TObject)
 | ClassType (TObject)
 | CleanupInstance (TObject)
pt | Click (TControl)
 | Click (TCustomSpeedButton)
 | ClientToParent (TControl)
 | ClientToScreen (TControl)
pt | CMBiDiModeChanged (TControl)
pt | CMChanged (TControl)
pt | CMCursorChanged (TControl)
pt | CMCursorChanged (TGraphicControl)
pt | CMEnabledChanged (TControl)
pt | CMHintShow (TControl)
pt | CMHitTest (TControl)
pt | CMMouseEnter (TControl)
pt | CMMouseLeave (TControl)
pt | CMParentBiDiModeChanged (TControl)
pt | CMParentColorChanged (TControl)
pt | CMParentFontChanged (TControl)
pt | CMParentShowHintChanged (TControl)
pt | CMSysFontChanged (TControl)
pt | CMTextChanged (TControl)
pt | CMVisibleChanged (TControl)
 | CNPreferredSizeChanged (TControl)
pt | ColorIsStored (TControl)
pt | ConstrainedResize (TControl)
 | ControlToScreen (TControl)
 | Create (TObject)
 | Create (TComponent)
 | Create (TLCLComponent)
 | Create (TControl)
 | Create (TGraphicControl)
 | Create (TCustomSpeedButton)
 | CreateAccessibleObject (TControl)
pt | CreateControlBorderSpacing (TControl)
pt | CreateFloatingDockSite (TControl)
pt | DblClick (TControl)
 | DecLCLRefCount (TLCLComponent)
 | DefaultHandler (TObject)
 | DefaultHandlerStr (TObject)
 | DefineProperties (TPersistent)
 | DefineProperties (TComponent)
pt | DefineProperties (TControl)
 | Destroy (TObject)
 | Destroy (TPersistent)
 | Destroy (TComponent)
 | Destroy (TLCLComponent)
 | Destroy (TControl)
 | Destroy (TGraphicControl)
 | Destroy (TCustomSpeedButton)
 | Destroy (TDBNavButton)
 | DestroyComponents (TComponent)
 | Destroying (TComponent)
pt | DialogChar (TControl)
pt | DialogChar (TCustomSpeedButton)
 | DisableAutoSizing (TControl)
 | Dispatch (TObject)
 | DispatchStr (TObject)
pt | DoAllAutoSize (TControl)
pt | DoAutoAdjustLayout (TControl)
pt | DoAutoSize (TControl)
pt | DoBorderSpacingChange (TControl)
pt | DoCallKeyEventHandler (TControl)
pt | DoCallMouseWheelEventHandler (TControl)
pt | DoCallNotifyHandler (TControl)
 | Dock (TControl)
 | Docked (TControl)
pt | DockTrackNoTarget (TControl)
pt | DoConstraintsChange (TControl)
pt | DoContextPopup (TControl)
pt | DoDock (TControl)
pt | DoDragMsg (TControl)
pt | DoEndDock (TControl)
pt | DoEndDrag (TControl)
pt | DoFixDesignFontPPI (TControl)
pt | DoFloatMsg (TControl)
pt | DoMouseWheel (TControl)
pt | DoMouseWheelDown (TControl)
pt | DoMouseWheelHorz (TControl)
pt | DoMouseWheelLeft (TControl)
pt | DoMouseWheelRight (TControl)
pt | DoMouseWheelUp (TControl)
pt | DoOnChangeBounds (TControl)
pt | DoOnChangeBounds (TGraphicControl)
pt | DoOnParentHandleDestruction (TControl)
pt | DoOnParentHandleDestruction (TGraphicControl)
pt | DoOnResize (TControl)
pt | DoOnShowHint (TControl)
pt | DoScaleFontPPI (TControl)
pt | DoSetBounds (TControl)
pt | DoStartDock (TControl)
pt | DoStartDrag (TControl)
pt | DragCanceled (TControl)
 | DragDrop (TControl)
 | Dragging (TControl)
pt | DragOver (TControl)
pt | DrawGlyph (TCustomSpeedButton)
 | EditingDone (TControl)
 | EnableAutoSizing (TControl)
pt | EnabledChanged (TControl)
pt | EnabledChanging (TControl)
pt | EndAutoSizing (TControl)
 | EndDrag (TControl)
 | Equals (TObject)
 | ExecuteAction (TComponent)
 | ExecuteCancelAction (TControl)
 | ExecuteDefaultAction (TControl)
 | FieldAddress (TObject)
 | FindComponent (TComponent)
 | FindDownButton (TCustomSpeedButton)
 | FixDesignFontsPPI (TControl)
pt | FontChanged (TControl)
pt | FontChanged (TGraphicControl)
pt | ForeignAnchorSideChanged (TControl)
pt | FormEndUpdated (TControl)
 | FormIsUpdating (TControl)
 | FPOAttachObserver (TPersistent)
 | FPODetachObserver (TPersistent)
 | FPONotifyObservers (TPersistent)
 | Free (TObject)
 | FreeInstance (TObject)
 | FreeNotification (TComponent)
 | FreeOnRelease (TComponent)
 | GetAccessibleObject (TControl)
pt | GetAction (TControl)
pt | GetActionLinkClass (TControl)
pt | GetActionLinkClass (TCustomSpeedButton)
 | GetAnchorsDependingOnParent (TControl)
pt | GetCachedText (TControl)
 | GetCanvasScaleFactor (TControl)
 | GetChildAccessibleObjectAtPos (TControl)
 | GetChildOwner (TComponent)
 | GetChildParent (TComponent)
 | GetChildren (TComponent)
 | GetChildrenRect (TControl)
pt | GetClientOrigin (TControl)
pt | GetClientRect (TControl)
pt | GetClientScrollOffset (TControl)
 | GetColorResolvingParent (TControl)
 | GetComObject (TComponent)
 | GetComponent (TComponent)
 | GetComponentCount (TComponent)
 | GetComponentIndex (TComponent)
pt | GetControlClassDefaultSize (TControl)
pt | GetControlClassDefaultSize (TCustomSpeedButton)
pt | GetControlOrigin (TControl)
pt | GetCursor (TControl)
 | GetDefaultColor (TControl)
pt | GetDefaultDockCaption (TControl)
 | GetDefaultHeight (TControl)
 | GetDefaultWidth (TControl)
pt | GetDeviceContext (TControl)
pt | GetDockEdge (TControl)
pt | GetDragImages (TControl)
pt | GetDrawDetails (TCustomSpeedButton)
pt | GetEnabled (TControl)
 | GetEnumerator (TComponent)
pt | GetFloating (TControl)
pt | GetFloatingDockSiteClass (TControl)
pt | GetGlyphSize (TCustomSpeedButton)
 | GetHashCode (TObject)
 | GetIDsOfNames (TComponent)
 | GetInterface (TObject)
 | GetInterfaceByStr (TObject)
 | GetInterfaceEntry (TObject)
 | GetInterfaceEntryByStr (TObject)
 | GetInterfaceTable (TObject)
 | GetInterfaceWeak (TObject)
pt | GetLogicalClientRect (TControl)
pt | GetMouseCapture (TControl)
pt | GetMousePosFromMessage (TControl)
 | GetNamePath (TPersistent)
 | GetNamePath (TComponent)
pt | GetNumGlyphs (TCustomSpeedButton)
 | GetOwner (TPersistent)
 | GetOwner (TComponent)
pt | GetPalette (TControl)
 | GetParentComponent (TComponent)
 | GetParentComponent (TControl)
pt | GetPopupMenu (TControl)
 | GetPreferredSize (TControl)
 | GetRGBColorResolvingParent (TControl)
pt | GetScrolledClientRect (TControl)
 | GetSelectedChildAccessibleObject (TControl)
 | GetSidePosition (TControl)
 | GetTextBuf (TControl)
 | GetTextLen (TControl)
pt | GetTextSize (TCustomSpeedButton)
 | GetTopParent (TControl)
 | GetTypeInfo (TComponent)
 | GetTypeInfoCount (TComponent)
pt | GetWSComponentClass (TLCLComponent)
pt | GlyphChanged (TCustomSpeedButton)
 | HandleObjectShouldBeVisible (TControl)
 | HasHelp (TControl)
 | HasParent (TComponent)
 | HasParent (TControl)
pt | HeightIsAnchored (TControl)
 | Hide (TControl)
 | iicrGetComponent (TComponent)
 | IncLCLRefCount (TLCLComponent)
 | InheritsFrom (TObject)
 | InitiateAction (TControl)
 | InitInstance (TObject)
 | Insert (TComponent)
 | InsertComponent (TComponent)
 | InstanceSize (TObject)
 | Invalidate (TControl)
pt | InvalidateControl (TControl)
 | InvalidatePreferredSize (TControl)
 | Invoke (TComponent)
pt | IsAParentAligning (TControl)
pt | IsBorderSpacingInnerBorderStored (TControl)
pt | IsCaptionStored (TControl)
pt | IsClientHeightStored (TControl)
pt | IsClientWidthStored (TControl)
 | IsControlVisible (TControl)
 | IsEnabled (TControl)
 | IsImplementorOf (TComponent)
 | IsParentColor (TControl)
 | IsParentFont (TControl)
 | IsParentOf (TControl)
 | IsProcessingPaintMsg (TControl)
 | IsRightToLeft (TControl)
 | IsVisible (TControl)
pt | LMCaptureChanged (TControl)
 | Loaded (TComponent)
pt | Loaded (TControl)
pt | Loaded (TCustomSpeedButton)
pt | LoadedAll (TControl)
 | LoadGlyphFromLazarusResource (TCustomSpeedButton)
 | LoadGlyphFromResourceName (TCustomSpeedButton)
 | Loading (TComponent)
 | ManualDock (TControl)
 | ManualFloat (TControl)
pt | MeasureDraw (TCustomSpeedButton)
 | MethodAddress (TObject)
 | MethodName (TObject)
pt | MouseDown (TControl)
pt | MouseDown (TCustomSpeedButton)
pt | MouseEnter (TControl)
pt | MouseEnter (TCustomSpeedButton)
pt | MouseLeave (TControl)
pt | MouseLeave (TCustomSpeedButton)
pt | MouseMove (TControl)
pt | MouseMove (TCustomSpeedButton)
pt | MouseUp (TControl)
pt | MouseUp (TCustomSpeedButton)
 | newinstance (TObject)
 | NewInstance (TLCLComponent)
 | Notification (TComponent)
pt | Notification (TControl)
pt | Notification (TCustomSpeedButton)
pt | Paint (TGraphicControl)
pt | Paint (TCustomSpeedButton)
pt | PaintBackground (TCustomSpeedButton)
 | PaletteCreated (TComponent)
 | ParentDestroyingHandle (TControl)
pt | ParentFontChanged (TControl)
pt | ParentFormHandleInitialized (TControl)
 | ParentHandlesAllocated (TControl)
 | ParentToClient (TControl)
 | Perform (TControl)
pt | PositionDockRect (TControl)
pt | QuadClick (TControl)
 | QueryInterface (TComponent)
 | ReadLeft (TComponent)
 | ReadState (TComponent)
pt | ReadState (TControl)
 | ReadTop (TComponent)
pt | RealGetText (TControl)
pt | RealSetText (TControl)
pt | RealSetText (TCustomSpeedButton)
 | ReferenceInterface (TComponent)
 | Refresh (TControl)
 | Remove (TComponent)
 | RemoveAllHandlersOfObject (TLCLComponent)
 | RemoveAllHandlersOfObject (TControl)
 | RemoveComponent (TComponent)
 | RemoveFreeNotification (TComponent)
pt | RemoveHandler (TControl)
 | RemoveHandlerOnBeforeDestruction (TControl)
 | RemoveHandlerOnChangeBounds (TControl)
 | RemoveHandlerOnEnableChanging (TControl)
 | RemoveHandlerOnKeyDown (TControl)
 | RemoveHandlerOnMouseWheel (TControl)
 | RemoveHandlerOnResize (TControl)
 | RemoveHandlerOnVisibleChanged (TControl)
 | RemoveHandlerOnVisibleChanging (TControl)
 | RemoveNotification (TComponent)
 | Repaint (TControl)
 | ReplaceDockedControl (TControl)
pt | RequestAlign (TControl)
pt | Resize (TControl)
 | SafeCallException (TObject)
 | SafeCallException (TComponent)
 | Scale96ToFont (TControl)
 | Scale96ToForm (TControl)
 | Scale96ToScreen (TControl)
pt | ScaleConstraints (TControl)
 | ScaleDesignToForm (TControl)
 | ScaleFontsPPI (TControl)
 | ScaleFontTo96 (TControl)
 | ScaleFontToScreen (TControl)
 | ScaleFormTo96 (TControl)
 | ScaleFormToDesign (TControl)
 | ScaleScreenTo96 (TControl)
 | ScaleScreenToFont (TControl)
 | ScreenToClient (TControl)
 | ScreenToControl (TControl)
pt | SendMoveSizeMessages (TControl)
 | SendToBack (TControl)
pt | SetAction (TControl)
pt | SetAlign (TControl)
 | SetAncestor (TComponent)
pt | SetAnchors (TControl)
pt | SetAutoSize (TControl)
pt | SetBiDiMode (TControl)
 | SetBounds (TControl)
 | SetBoundsKeepBase (TControl)
 | SetChildOrder (TComponent)
pt | SetColor (TControl)
 | SetComponentIndex (TComponent)
pt | SetCursor (TControl)
 | SetDesigning (TComponent)
 | SetDesignInstance (TComponent)
pt | SetDown (TCustomSpeedButton)
pt | SetDragMode (TControl)
pt | SetEnabled (TControl)
pt | SetFlat (TCustomSpeedButton)
pt | SetGroupIndex (TCustomSpeedButton)
pt | SetHint (TControl)
 | SetInitialBounds (TControl)
 | SetInline (TComponent)
pt | SetMargin (TCustomSpeedButton)
 | SetName (TComponent)
pt | SetName (TControl)
pt | SetNumGlyphs (TCustomSpeedButton)
pt | SetParent (TControl)
pt | SetParentBiDiMode (TControl)
 | SetParentComponent (TComponent)
pt | SetParentComponent (TControl)
 | SetReference (TComponent)
pt | SetSpacing (TCustomSpeedButton)
 | SetSubComponent (TComponent)
 | SetTempCursor (TControl)
 | SetTextBuf (TControl)
pt | SetVisible (TControl)
pt | SetZOrder (TControl)
 | ShouldAutoAdjust (TControl)
 | Show (TControl)
 | ShowHelp (TControl)
 | StringMessageTable (TObject)
pt | TextChanged (TControl)
 | ToString (TObject)
pt | TripleClick (TControl)
 | UnitName (TObject)
 | Update (TControl)
 | UpdateAction (TComponent)
pt | UpdateAnchorRules (TControl)
 | UpdateBaseBounds (TControl)
 | Updated (TComponent)
pt | UpdateMouseCursor (TControl)
 | UpdateRegistry (TComponent)
 | UpdateRolesForForm (TControl)
pt | UpdateState (TCustomSpeedButton)
 | Updating (TComponent)
 | UseRightToLeftAlignment (TControl)
 | UseRightToLeftReading (TControl)
 | UseRightToLeftScrollBar (TControl)
 | ValidateContainer (TComponent)
 | ValidateInsert (TComponent)
 | ValidateRename (TComponent)
pt | VisibleChanged (TControl)
pt | VisibleChanging (TControl)
pt | WidthIsAnchored (TControl)
pt | WMCancelMode (TControl)
pt | WMContextMenu (TControl)
pt | WMLButtonDBLCLK (TControl)
pt | WMLButtonDown (TControl)
pt | WMLButtonQuadCLK (TControl)
pt | WMLButtonTripleCLK (TControl)
pt | WMLButtonUp (TControl)
pt | WMMButtonDBLCLK (TControl)
pt | WMMButtonDown (TControl)
pt | WMMButtonQuadCLK (TControl)
pt | WMMButtonTripleCLK (TControl)
pt | WMMButtonUp (TControl)
pt | WMMouseHWheel (TControl)
pt | WMMouseMove (TControl)
pt | WMMouseWheel (TControl)
pt | WMMove (TControl)
pt | WMRButtonDBLCLK (TControl)
pt | WMRButtonDown (TControl)
pt | WMRButtonQuadCLK (TControl)
pt | WMRButtonTripleCLK (TControl)
pt | WMRButtonUp (TControl)
pt | WMSize (TControl)
pt | WMWindowPosChanged (TControl)
pt | WMXButtonDBLCLK (TControl)
pt | WMXButtonDown (TControl)
pt | WMXButtonQuadCLK (TControl)
pt | WMXButtonTripleCLK (TControl)
pt | WMXButtonUp (TControl)
pt | WndProc (TControl)
 | WriteLayoutDebugReport (TControl)
 | WriteLeft (TComponent)
 | WriteState (TComponent)
 | WriteTop (TComponent)
pt | WSRegisterClass (TLCLComponent)
pt | WSRegisterClass (TControl)
pt | WSRegisterClass (TGraphicControl)
pt | WSRegisterClass (TCustomSpeedButton)
 | _AddRef (TComponent)
 | _Release (TComponent)


TDBNavButton
TSpeedButton
pl | ro | OnClick
pl | ro | OnDblClick
pl | ro | OnMouseDown
pl | ro | OnMouseEnter
pl | ro | OnMouseLeave
pl | ro | OnMouseMove
pl | ro | OnMouseUp
pl | ro | OnMouseWheel
pl | ro | OnMouseWheelDown
pl | ro | OnMouseWheelUp
pl | ro | OnPaint
pl | ro | OnResize
pl | ro | OnChangeBounds
TCustomSpeedButton
TGraphicControl
pt |  | OnPaint
TControl
pt |  | OnConstrainedResize
pt |  | OnContextPopup
pt |  | OnDblClick
pt |  | OnTripleClick
pt |  | OnQuadClick
pt |  | OnDragDrop
pt |  | OnDragOver
pt |  | OnEndDock
pt |  | OnEndDrag
pt |  | OnMouseDown
pt |  | OnMouseMove
pt |  | OnMouseUp
pt |  | OnMouseEnter
pt |  | OnMouseLeave
pt |  | OnMouseWheel
pt |  | OnMouseWheelDown
pt |  | OnMouseWheelUp
pt |  | OnMouseWheelHorz
pt |  | OnMouseWheelLeft
pt |  | OnMouseWheelRight
pt |  | OnStartDock
pt |  | OnStartDrag
pt |  | OnEditingDone
 |  | OnChangeBounds
 |  | OnClick
 |  | OnResize
 |  | OnShowHint
TLCLComponent
TComponent
TPersistent
TObject


TDBNavButton.Index

Index - the value from the enumerated type that specifies which button is being selected

Declaration

Source position: dbctrls.pp line 1388

public property TDBNavButton.Index : TDBNavButtonType
  read FIndex
  write FIndex;

Description

Index - the value from the enumerated type that specifies which button is being selected

Button may be

nbFirst, nbPrior, nbNext, nbLast, nbInsert, nbDelete, nbEdit, nbPost, nbCancel, nbRefresh


TDBNavButton.NavStyle

NavStyle - the style of Navigator Button

Declaration

Source position: dbctrls.pp line 1387

public property TDBNavButton.NavStyle : TDBNavButtonStyle
  read FNavStyle
  write FNavStyle;


TDBNavButtonDirection

Declaration

Source position: dbctrls.pp line 1280

type TDBNavButtonDirection = (

  nbdHorizontal,

  nbdVertical

);


TDBNavButtonSet

Declaration

Source position: dbctrls.pp line 1278

type TDBNavButtonSet = set of (

  nbFirst,

  nbPrior,

  nbNext,

  nbLast,

  nbInsert,

  nbDelete,

  nbEdit,

  nbPost,

  nbCancel,

  nbRefresh

);


TDBNavButtonStyle

Declaration

Source position: dbctrls.pp line 1279

type TDBNavButtonStyle = set of (

  nsAllowTimer,

  nsFocusRect

);


TDBNavButtonType

TDBNavButtonType

Declaration

Source position: dbctrls.pp line 1276

type TDBNavButtonType = (

  nbFirst,

  nbPrior,

  nbNext,

  nbLast,

  nbInsert,

  nbDelete,

  nbEdit,

  nbPost,

  nbCancel,

  nbRefresh

);


TDBNavDataLink

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

TDBNavDataLink - provides a link between a Database Navigator and a DataSet

Declaration

Source position: dbctrls.pp line 1404

type TDBNavDataLink = class(TDataLink)
protected
procedure EditingChanged; override; | EditingChanged - method to process a change in the Editing property of the navigator
procedure DataSetChanged; override; | DataSetChanged - method to process a change in the data set attached to the navigator
procedure ActiveChanged; override; | ActiveChanged - method to process a change in the Active property of the navigator
public
constructor Create(); | Create - constructor for TDBNavDataLink: calls inherited Create, attaches Navigator and sets VisualControl to True
end;

Inheritance

TDBNavDataLink

TDBNavDataLink - provides a link between a Database Navigator and a DataSet
|

TDataLink
|

TPersistent,IFPObserved
|

TObject


TDBNavDataLink
TDataLink
 |  | VisualControl
 |  | FirstRecord
 | ro | Active
 |  | ActiveRecord
 | ro | BOF
 |  | BufferCount
 | ro | DataSet
 |  | DataSource
 |  | DataSourceFixed
 | ro | Editing
 | ro | Eof
 |  | ReadOnly
 | ro | RecordCount
TPersistent
TObject


ro | Active (TDataLink)
 | ActiveRecord (TDataLink)
ro | BOF (TDataLink)
 | BufferCount (TDataLink)
ro | DataSet (TDataLink)
 | DataSource (TDataLink)
 | DataSourceFixed (TDataLink)
ro | Editing (TDataLink)
ro | Eof (TDataLink)
 | FirstRecord (TDataLink)
 | ReadOnly (TDataLink)
ro | RecordCount (TDataLink)
 | VisualControl (TDataLink)


TDBNavDataLink
pt | EditingChanged
pt | DataSetChanged
pt | ActiveChanged
 | Create
TDataLink
 | CalcFirstRecord
 | CalcRange
 | CheckActiveAndEditing
 | GetDataset
 | SetActive
 | SetDataSource
 | SetReadOnly
 | ActiveChanged
 | CheckBrowseMode
 | DataEvent
 | DataSetChanged
 | DataSetScrolled
 | EditingChanged
 | FocusControl
 | GetActiveRecord
 | GetBOF
 | GetBufferCount
 | GetEOF
 | GetRecordCount
 | LayoutChanged
 | MoveBy
 | RecordChanged
 | SetActiveRecord
 | SetBufferCount
 | UpdateData
 | Create
 | Destroy
 | Edit
 | UpdateRecord
 | ExecuteAction
 | UpdateAction
TPersistent
 | AssignError
 | AssignTo
 | DefineProperties
 | GetOwner
 | Destroy
 | Assign
 | FPOAttachObserver
 | FPODetachObserver
 | FPONotifyObservers
 | GetNamePath
TObject
 | Create
 | Destroy
 | newinstance
 | FreeInstance
 | SafeCallException
 | DefaultHandler
 | Free
 | InitInstance
 | CleanupInstance
 | ClassType
 | ClassInfo
 | ClassName
 | ClassNameIs
 | ClassParent
 | InstanceSize
 | InheritsFrom
 | StringMessageTable
 | MethodAddress
 | MethodName
 | FieldAddress
 | AfterConstruction
 | BeforeDestruction
 | DefaultHandlerStr
 | Dispatch
 | DispatchStr
 | GetInterface
 | GetInterfaceByStr
 | GetInterfaceWeak
 | GetInterfaceEntry
 | GetInterfaceEntryByStr
 | GetInterfaceTable
 | UnitName
 | Equals
 | GetHashCode
 | ToString


 | ActiveChanged (TDataLink)
pt | ActiveChanged (TDBNavDataLink)
 | AfterConstruction (TObject)
 | Assign (TPersistent)
 | AssignError (TPersistent)
 | AssignTo (TPersistent)
 | BeforeDestruction (TObject)
 | CalcFirstRecord (TDataLink)
 | CalcRange (TDataLink)
 | CheckActiveAndEditing (TDataLink)
 | CheckBrowseMode (TDataLink)
 | ClassInfo (TObject)
 | ClassName (TObject)
 | ClassNameIs (TObject)
 | ClassParent (TObject)
 | ClassType (TObject)
 | CleanupInstance (TObject)
 | Create (TObject)
 | Create (TDataLink)
 | Create (TDBNavDataLink)
 | DataEvent (TDataLink)
 | DataSetChanged (TDataLink)
pt | DataSetChanged (TDBNavDataLink)
 | DataSetScrolled (TDataLink)
 | DefaultHandler (TObject)
 | DefaultHandlerStr (TObject)
 | DefineProperties (TPersistent)
 | Destroy (TObject)
 | Destroy (TPersistent)
 | Destroy (TDataLink)
 | Dispatch (TObject)
 | DispatchStr (TObject)
 | Edit (TDataLink)
 | EditingChanged (TDataLink)
pt | EditingChanged (TDBNavDataLink)
 | Equals (TObject)
 | ExecuteAction (TDataLink)
 | FieldAddress (TObject)
 | FocusControl (TDataLink)
 | FPOAttachObserver (TPersistent)
 | FPODetachObserver (TPersistent)
 | FPONotifyObservers (TPersistent)
 | Free (TObject)
 | FreeInstance (TObject)
 | GetActiveRecord (TDataLink)
 | GetBOF (TDataLink)
 | GetBufferCount (TDataLink)
 | GetDataset (TDataLink)
 | GetEOF (TDataLink)
 | GetHashCode (TObject)
 | GetInterface (TObject)
 | GetInterfaceByStr (TObject)
 | GetInterfaceEntry (TObject)
 | GetInterfaceEntryByStr (TObject)
 | GetInterfaceTable (TObject)
 | GetInterfaceWeak (TObject)
 | GetNamePath (TPersistent)
 | GetOwner (TPersistent)
 | GetRecordCount (TDataLink)
 | InheritsFrom (TObject)
 | InitInstance (TObject)
 | InstanceSize (TObject)
 | LayoutChanged (TDataLink)
 | MethodAddress (TObject)
 | MethodName (TObject)
 | MoveBy (TDataLink)
 | newinstance (TObject)
 | RecordChanged (TDataLink)
 | SafeCallException (TObject)
 | SetActive (TDataLink)
 | SetActiveRecord (TDataLink)
 | SetBufferCount (TDataLink)
 | SetDataSource (TDataLink)
 | SetReadOnly (TDataLink)
 | StringMessageTable (TObject)
 | ToString (TObject)
 | UnitName (TObject)
 | UpdateAction (TDataLink)
 | UpdateData (TDataLink)
 | UpdateRecord (TDataLink)


TDBNavDataLink

TDataLink

TPersistent

TObject


TDBNavDataLink.ActiveChanged

ActiveChanged - method to process a change in the Active property of the navigator

Declaration

Source position: dbctrls.pp line 1410

protected procedure TDBNavDataLink.ActiveChanged; override;


TDBNavDataLink.Create

Create - constructor for TDBNavDataLink: calls inherited Create, attaches Navigator and sets VisualControl to True

Declaration

Source position: dbctrls.pp line 1412

public constructor TDBNavDataLink.Create(

  TheNavigator: TDBCustomNavigator

);

See also

TObject.Create


TDBNavDataLink.DataSetChanged

DataSetChanged - method to process a change in the data set attached to the navigator

Declaration

Source position: dbctrls.pp line 1409

protected procedure TDBNavDataLink.DataSetChanged; override;


TDBNavDataLink.EditingChanged

EditingChanged - method to process a change in the Editing property of the navigator

Declaration

Source position: dbctrls.pp line 1408

protected procedure TDBNavDataLink.EditingChanged; override;


TDBNavFocusableButton

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Declaration

Source position: dbctrls.pp line 1393

type TDBNavFocusableButton = class(TBitBtn)

public

  property NavStyle: TDBNavButtonStyle; [rw]

  property Index: TDBNavButtonType; [rw]

end;

Inheritance

TDBNavFocusableButton
|
TBitBtn | A Button with a small image attached
|
TCustomBitBtn | TCustomBitBtn - the ancestor class for TBitBtn.
|
TCustomButton | The base class for clickable buttons (TButton and TBitBtn).
|
TButtonControl | The base class for various button controls.
|
TWinControl | The base class for controls which can contain other (child) controls.
|
TControl | The base class for visible controls.
|
TLCLComponent | The base class for LCL components associated with widgets.
|
TComponent,IUnknown,IInterfaceComponentReference
|
TPersistent,IFPObserved
|
TObject


TDBNavFocusableButton
 |  | NavStyle
 |  | Index
TBitBtn
pl | ro | Action
pl | ro | Align
pl | ro | Anchors
pl | ro | AutoSize
pl | ro | BidiMode
pl | ro | BorderSpacing
pl | ro | Cancel
pl | ro | Caption
pl | ro | Color
pl | ro | Constraints
pl | ro | Default
pl | ro | DefaultCaption
pl | ro | Enabled
pl | ro | Font
pl | ro | Glyph
pl | ro | GlyphShowMode
pl | ro | Kind
pl | ro | Layout
pl | ro | Margin
pl | ro | ModalResult
pl | ro | NumGlyphs
pl | ro | Images
pl | ro | ImageIndex
pl | ro | ImageWidth
pl | ro | ParentBidiMode
pl | ro | ParentFont
pl | ro | ParentShowHint
pl | ro | PopupMenu
pl | ro | ShowHint
pl | ro | Spacing
pl | ro | TabOrder
pl | ro | TabStop
pl | ro | Visible
TCustomBitBtn
 | ro | Caption
 |  | DefaultCaption
 |  | Glyph
 |  | NumGlyphs
 |  | Images
 |  | ImageIndex
 |  | ImageWidth
 |  | Kind
 |  | Layout
 |  | Margin
 |  | Spacing
 |  | GlyphShowMode
TCustomButton
pt | ro | ParentColor
 | ro | Active
 |  | Default
 |  | ModalResult
 | ro | ShortCut
 | ro | ShortCutKey2
 |  | Cancel
 | ro | Color
 | ro | TabStop
TButtonControl
pt |  | Checked
pt |  | ClicksDisabled
TWinControl
pt |  | WindowHandle
pt |  | BorderStyle
pt |  | ParentBackground
 |  | BorderWidth
 | ro | BoundsLockCount
 | ro | Brush
 | ro | CachedClientHeight
 | ro | CachedClientWidth
 |  | ChildSizing
 | ro | ControlCount
 | ro | Controls
 |  | DefWndProc
 | ro | DockClientCount
 | ro | DockClients
 |  | DockManager
 |  | DockSite
 |  | DoubleBuffered
 |  | Handle
 | ro | IsFlipped
 | ro | IsResizing
 |  | TabOrder
 |  | TabStop
 |  | ParentDoubleBuffered
 |  | ParentWindow
 | ro | Showing
 |  | UseDockManager
 |  | DesignerDeleting
 | ro | VisibleDockClientCount
TControl
pt | ro | AutoSizing
pt | ro | AutoSizingAll
pt | ro | AutoSizingLockCount
pt |  | ActionLink
pt |  | DesktopFont
pt |  | DragCursor
pt |  | DragKind
pt |  | DragMode
pt |  | MouseCapture
pt |  | ParentColor
pt |  | ParentFont
pt |  | ParentShowHint
pt |  | SessionProperties
pt |  | Text
 | ro | AnchoredControls
 | ro | BaseBounds
 | ro | ReadBounds
 | ro | BaseParentClientSize
 |  | AccessibleDescription
 |  | AccessibleValue
 |  | AccessibleRole
 |  | Action
 |  | Align
 |  | Anchors
 | ro | AnchorSide
 |  | AutoSize
 |  | BorderSpacing
 |  | BoundsRect
 |  | BoundsRectForNewParent
 |  | Caption
 |  | CaptureMouseButtons
 |  | ClientHeight
 | ro | ClientOrigin
 | ro | ClientRect
 |  | ClientWidth
 |  | Color
 |  | Constraints
 | ro | ControlOrigin
 |  | ControlState
 |  | ControlStyle
 |  | Enabled
 |  | Font
 |  | IsControl
 | ro | MouseEntered
 | ro | MouseInClient
 |  | Parent
 |  | PopupMenu
 |  | ShowHint
 |  | Visible
 |  | WindowProc
 |  | DockOrientation
 | ro | Floating
 |  | FloatingDockSiteClass
 |  | HostDockSite
 |  | LRDockWidth
 |  | TBDockHeight
 |  | UndockHeight
 |  | UndockWidth
 |  | BiDiMode
 |  | ParentBiDiMode
pl |  | AnchorSideLeft
pl |  | AnchorSideTop
pl |  | AnchorSideRight
pl |  | AnchorSideBottom
pl |  | Cursor
pl |  | Left
pl |  | Height
pl |  | Hint
pl |  | Top
pl |  | Width
pl |  | HelpType
pl |  | HelpKeyword
pl |  | HelpContext
TLCLComponent
 | ro | LCLRefCount
 | ro | WidgetSetClass
TComponent
 | ro | ComObject
 | ro | Components
 | ro | ComponentCount
 |  | ComponentIndex
 | ro | ComponentState
 | ro | ComponentStyle
 |  | DesignInfo
 | ro | Owner
 |  | VCLComObject
 |  | Name
 |  | Tag
TPersistent
TObject


 |  | AccessibleDescription (TControl)
 |  | AccessibleRole (TControl)
 |  | AccessibleValue (TControl)
 |  | Action (TControl)
pl | ro | Action (TBitBtn)
pt |  | ActionLink (TControl)
 | ro | Active (TCustomButton)
 |  | Align (TControl)
pl | ro | Align (TBitBtn)
 | ro | AnchoredControls (TControl)
 |  | Anchors (TControl)
pl | ro | Anchors (TBitBtn)
 | ro | AnchorSide (TControl)
pl |  | AnchorSideBottom (TControl)
pl |  | AnchorSideLeft (TControl)
pl |  | AnchorSideRight (TControl)
pl |  | AnchorSideTop (TControl)
 |  | AutoSize (TControl)
pl | ro | AutoSize (TBitBtn)
pt | ro | AutoSizing (TControl)
pt | ro | AutoSizingAll (TControl)
pt | ro | AutoSizingLockCount (TControl)
 | ro | BaseBounds (TControl)
 | ro | BaseParentClientSize (TControl)
 |  | BiDiMode (TControl)
pl | ro | BidiMode (TBitBtn)
 |  | BorderSpacing (TControl)
pl | ro | BorderSpacing (TBitBtn)
pt |  | BorderStyle (TWinControl)
 |  | BorderWidth (TWinControl)
 | ro | BoundsLockCount (TWinControl)
 |  | BoundsRect (TControl)
 |  | BoundsRectForNewParent (TControl)
 | ro | Brush (TWinControl)
 | ro | CachedClientHeight (TWinControl)
 | ro | CachedClientWidth (TWinControl)
 |  | Cancel (TCustomButton)
pl | ro | Cancel (TBitBtn)
 |  | Caption (TControl)
 | ro | Caption (TCustomBitBtn)
pl | ro | Caption (TBitBtn)
 |  | CaptureMouseButtons (TControl)
pt |  | Checked (TButtonControl)
 |  | ChildSizing (TWinControl)
pt |  | ClicksDisabled (TButtonControl)
 |  | ClientHeight (TControl)
 | ro | ClientOrigin (TControl)
 | ro | ClientRect (TControl)
 |  | ClientWidth (TControl)
 |  | Color (TControl)
 | ro | Color (TCustomButton)
pl | ro | Color (TBitBtn)
 | ro | ComObject (TComponent)
 | ro | ComponentCount (TComponent)
 |  | ComponentIndex (TComponent)
 | ro | Components (TComponent)
 | ro | ComponentState (TComponent)
 | ro | ComponentStyle (TComponent)
 |  | Constraints (TControl)
pl | ro | Constraints (TBitBtn)
 | ro | ControlCount (TWinControl)
 | ro | ControlOrigin (TControl)
 | ro | Controls (TWinControl)
 |  | ControlState (TControl)
 |  | ControlStyle (TControl)
pl |  | Cursor (TControl)
 |  | Default (TCustomButton)
pl | ro | Default (TBitBtn)
 |  | DefaultCaption (TCustomBitBtn)
pl | ro | DefaultCaption (TBitBtn)
 |  | DefWndProc (TWinControl)
 |  | DesignerDeleting (TWinControl)
 |  | DesignInfo (TComponent)
pt |  | DesktopFont (TControl)
 | ro | DockClientCount (TWinControl)
 | ro | DockClients (TWinControl)
 |  | DockManager (TWinControl)
 |  | DockOrientation (TControl)
 |  | DockSite (TWinControl)
 |  | DoubleBuffered (TWinControl)
pt |  | DragCursor (TControl)
pt |  | DragKind (TControl)
pt |  | DragMode (TControl)
 |  | Enabled (TControl)
pl | ro | Enabled (TBitBtn)
 | ro | Floating (TControl)
 |  | FloatingDockSiteClass (TControl)
 |  | Font (TControl)
pl | ro | Font (TBitBtn)
 |  | Glyph (TCustomBitBtn)
pl | ro | Glyph (TBitBtn)
 |  | GlyphShowMode (TCustomBitBtn)
pl | ro | GlyphShowMode (TBitBtn)
 |  | Handle (TWinControl)
pl |  | Height (TControl)
pl |  | HelpContext (TControl)
pl |  | HelpKeyword (TControl)
pl |  | HelpType (TControl)
pl |  | Hint (TControl)
 |  | HostDockSite (TControl)
 |  | ImageIndex (TCustomBitBtn)
pl | ro | ImageIndex (TBitBtn)
 |  | Images (TCustomBitBtn)
pl | ro | Images (TBitBtn)
 |  | ImageWidth (TCustomBitBtn)
pl | ro | ImageWidth (TBitBtn)
 |  | Index (TDBNavFocusableButton)
 |  | IsControl (TControl)
 | ro | IsFlipped (TWinControl)
 | ro | IsResizing (TWinControl)
 |  | Kind (TCustomBitBtn)
pl | ro | Kind (TBitBtn)
 |  | Layout (TCustomBitBtn)
pl | ro | Layout (TBitBtn)
 | ro | LCLRefCount (TLCLComponent)
pl |  | Left (TControl)
 |  | LRDockWidth (TControl)
 |  | Margin (TCustomBitBtn)
pl | ro | Margin (TBitBtn)
 |  | ModalResult (TCustomButton)
pl | ro | ModalResult (TBitBtn)
pt |  | MouseCapture (TControl)
 | ro | MouseEntered (TControl)
 | ro | MouseInClient (TControl)
 |  | Name (TComponent)
 |  | NavStyle (TDBNavFocusableButton)
 |  | NumGlyphs (TCustomBitBtn)
pl | ro | NumGlyphs (TBitBtn)
 | ro | Owner (TComponent)
 |  | Parent (TControl)
pt |  | ParentBackground (TWinControl)
 |  | ParentBiDiMode (TControl)
pl | ro | ParentBidiMode (TBitBtn)
pt |  | ParentColor (TControl)
pt | ro | ParentColor (TCustomButton)
 |  | ParentDoubleBuffered (TWinControl)
pt |  | ParentFont (TControl)
pl | ro | ParentFont (TBitBtn)
pt |  | ParentShowHint (TControl)
pl | ro | ParentShowHint (TBitBtn)
 |  | ParentWindow (TWinControl)
 |  | PopupMenu (TControl)
pl | ro | PopupMenu (TBitBtn)
 | ro | ReadBounds (TControl)
pt |  | SessionProperties (TControl)
 | ro | ShortCut (TCustomButton)
 | ro | ShortCutKey2 (TCustomButton)
 |  | ShowHint (TControl)
pl | ro | ShowHint (TBitBtn)
 | ro | Showing (TWinControl)
 |  | Spacing (TCustomBitBtn)
pl | ro | Spacing (TBitBtn)
 |  | TabOrder (TWinControl)
pl | ro | TabOrder (TBitBtn)
 |  | TabStop (TWinControl)
 | ro | TabStop (TCustomButton)
pl | ro | TabStop (TBitBtn)
 |  | Tag (TComponent)
 |  | TBDockHeight (TControl)
pt |  | Text (TControl)
pl |  | Top (TControl)
 |  | UndockHeight (TControl)
 |  | UndockWidth (TControl)
 |  | UseDockManager (TWinControl)
 |  | VCLComObject (TComponent)
 |  | Visible (TControl)
pl | ro | Visible (TBitBtn)
 | ro | VisibleDockClientCount (TWinControl)
 | ro | WidgetSetClass (TLCLComponent)
pl |  | Width (TControl)
pt |  | WindowHandle (TWinControl)
 |  | WindowProc (TControl)


TDBNavFocusableButton
TBitBtn
TCustomBitBtn
pt | WSRegisterClass
pt | ActionChange
pt | GlyphChanged
pt | InitializeWnd
pt | IsCaptionStored
pt | Loaded
pt | Notification
pt | TextChanged
pt | GetControlClassDefaultSize
pt | CMAppShowBtnGlyphChanged
 | Create
 | Destroy
 | Click
 | LoadGlyphFromResourceName
 | LoadGlyphFromLazarusResource
 | LoadGlyphFromStock
 | CanShowGlyph
TCustomButton
pt | WSRegisterClass
pt | CreateWnd
pt | CreateParams
pt | ControlKeyDown
pt | ControlKeyUp
pt | DialogChar
pt | ChildClassAllowed
pt | GetControlClassDefaultSize
pt | WSSetDefault
pt | WSSetText
pt | TextChanged
pt | Loaded
pt | UpdateDefaultCancel
 | Create
 | Click
 | ExecuteDefaultAction
 | ExecuteCancelAction
 | ActiveDefaultControlChanged
 | UpdateRolesForForm
 | UseRightToLeftAlignment
TButtonControl
pt | WSRegisterClass
pt | GetActionLinkClass
pt | GetChecked
pt | SetChecked
pt | DoOnChange
pt | Click
 | Create
TWinControl
pt | WSRegisterClass
pt | AdjustClientRect
pt | GetAdjustedLogicalClientRect
pt | AlignControls
pt | CustomAlignInsertBefore
pt | CustomAlignPosition
pt | DoAlignChildControls
pt | DoChildSizingChange
pt | InvalidatePreferredChildSizes
pt | CanTab
pt | IsClientHeightStored
pt | IsClientWidthStored
pt | DoSendShowHideToInterface
pt | ControlsAligned
pt | DoSendBoundsToInterface
pt | RealizeBounds
pt | RealizeBoundsRecursive
pt | InvalidateBoundsRealized
pt | CreateSubClass
pt | DoConstraintsChange
pt | DoSetBounds
pt | DoAutoSize
pt | DoAllAutoSize
pt | AllAutoSized
pt | CalculatePreferredSize
pt | GetPreferredSizeClientFrame
pt | GetChildren
pt | ChildClassAllowed
pt | PaintControls
pt | PaintHandler
pt | PaintWindow
pt | CreateBrush
pt | ScaleControls
pt | ChangeScale
pt | CMBiDiModeChanged
pt | CMBorderChanged
pt | CMDoubleBufferedChanged
pt | CMEnabledChanged
pt | CMParentDoubleBufferedChanged
pt | CMShowingChanged
pt | CMShowHintChanged
pt | CMVisibleChanged
pt | CMEnter
pt | CMExit
pt | WMContextMenu
pt | WMEraseBkgnd
pt | WMNotify
pt | WMSetFocus
pt | WMKillFocus
pt | WMShowWindow
pt | WMEnter
pt | WMExit
pt | WMKeyDown
pt | WMSysKeyDown
pt | WMKeyUp
pt | WMSysKeyUp
pt | WMChar
pt | WMSysChar
pt | WMPaint
pt | WMDestroy
pt | WMMove
pt | WMSize
pt | WMWindowPosChanged
pt | CNKeyDown
pt | CNSysKeyDown
pt | CNKeyUp
pt | CNSysKeyUp
pt | CNChar
pt | DoDragMsg
pt | DoDockClientMsg
pt | DoUndockClientMsg
pt | DoAddDockClient
pt | DockOver
pt | DoDockOver
pt | DoRemoveDockClient
pt | DoUnDock
pt | GetSiteInfo
pt | GetParentHandle
pt | GetTopParentHandle
pt | ReloadDockedControl
pt | CreateDockManager
pt | SetDockManager
pt | DoFloatMsg
pt | DoGetDockCaption
pt | DoEnter
pt | DoExit
pt | DoKeyDownBeforeInterface
pt | DoRemainingKeyDown
pt | DoRemainingKeyUp
pt | DoKeyPress
pt | DoUTF8KeyPress
pt | DoKeyUpBeforeInterface
pt | ChildKey
pt | SendDialogChar
pt | DialogChar
pt | ControlKeyDown
pt | ControlKeyUp
pt | KeyDown
pt | KeyDownBeforeInterface
pt | KeyDownAfterInterface
pt | KeyPress
pt | KeyUp
pt | KeyUpBeforeInterface
pt | KeyUpAfterInterface
pt | UTF8KeyPress
pt | FindNextControl
pt | SelectFirst
pt | RealGetText
pt | GetBorderStyle
pt | GetClientOrigin
pt | GetClientRect
pt | GetControlOrigin
pt | GetDeviceContext
pt | GetParentBackground
pt | IsControlMouseMsg
pt | CreateHandle
pt | CreateParams
pt | CreateWnd
pt | DestroyHandle
pt | DestroyWnd
pt | DoFlipChildren
pt | FinalizeWnd
pt | FixupTabList
pt | FontChanged
pt | InitializeWnd
pt | Loaded
pt | FormEndUpdated
pt | MainWndProc
pt | ParentFormHandleInitialized
pt | ChildHandlesCreated
pt | GetMouseCapture
pt | RealSetText
pt | RemoveFocus
pt | SendMoveSizeMessages
pt | SetBorderStyle
pt | SetColor
pt | SetChildZPosition
pt | SetParentBackground
pt | ShowControl
pt | UpdateControlState
pt | UpdateShowing
pt | WndProc
pt | WSSetText
 | AutoSizePhases
 | AutoSizeDelayed
 | AutoSizeDelayedReport
 | AutoSizeDelayedHandle
 | BeginUpdateBounds
 | EndUpdateBounds
 | LockRealizeBounds
 | UnlockRealizeBounds
 | ControlAtPos
 | ContainsControl
 | DoAdjustClientRectChange
 | InvalidateClientRectCache
 | ClientRectNeedsInterfaceUpdate
 | SetBounds
 | GetChildrenRect
 | DisableAlign
 | EnableAlign
 | ReAlign
 | ScrollBy_WS
 | ScrollBy
 | WriteLayoutDebugReport
 | AutoAdjustLayout
 | Create
 | CreateParented
 | CreateParentedControl
 | Destroy
 | DockDrop
 | CanFocus
 | CanSetFocus
 | GetControlIndex
 | SetControlIndex
 | Focused
 | PerformTab
 | FindChildControl
 | SelectNext
 | SetTempCursor
 | BroadCast
 | NotifyControls
 | DefaultHandler
 | GetTextLen
 | Invalidate
 | AddControl
 | InsertControl
 | RemoveControl
 | GetEnumeratorControls
 | GetEnumeratorControlsReverse
 | Repaint
 | Update
 | SetFocus
 | FlipChildren
 | ScaleBy
 | GetDockCaption
 | UpdateDockCaption
 | GetTabOrderList
 | HandleAllocated
 | ParentHandlesAllocated
 | HandleNeeded
 | BrushCreated
 | EraseBackground
 | IntfUTF8KeyPress
 | IntfGetDropFilesTarget
 | PaintTo
 | SetShape
TControl
pt | WSRegisterClass
pt | GetCursor
pt | SetCursor
pt | SetVisible
pt | DoOnParentHandleDestruction
pt | DoAutoSize
pt | DoAllAutoSize
pt | BeginAutoSizing
pt | EndAutoSizing
pt | AnchorSideChanged
pt | ForeignAnchorSideChanged
pt | SetAlign
pt | SetAnchors
pt | SetAutoSize
pt | BoundsChanged
pt | CreateControlBorderSpacing
pt | DoConstraintsChange
pt | DoBorderSpacingChange
pt | IsBorderSpacingInnerBorderStored
pt | IsCaptionStored
pt | SendMoveSizeMessages
pt | ConstrainedResize
pt | CalculatePreferredSize
pt | DoOnResize
pt | DoOnChangeBounds
pt | CheckOnChangeBounds
pt | Resize
pt | RequestAlign
pt | UpdateAnchorRules
pt | ChangeBounds
pt | DoSetBounds
pt | ScaleConstraints
pt | ChangeScale
pt | CanAutoSize
pt | SetBiDiMode
pt | SetParentBiDiMode
pt | IsAParentAligning
pt | GetClientOrigin
pt | GetClientRect
pt | GetLogicalClientRect
pt | GetScrolledClientRect
pt | GetClientScrollOffset
pt | GetControlOrigin
pt | IsClientHeightStored
pt | IsClientWidthStored
pt | WidthIsAnchored
pt | HeightIsAnchored
pt | WMCancelMode
pt | WMContextMenu
pt | WMLButtonDown
pt | WMRButtonDown
pt | WMMButtonDown
pt | WMXButtonDown
pt | WMLButtonDBLCLK
pt | WMRButtonDBLCLK
pt | WMMButtonDBLCLK
pt | WMXButtonDBLCLK
pt | WMLButtonTripleCLK
pt | WMRButtonTripleCLK
pt | WMMButtonTripleCLK
pt | WMXButtonTripleCLK
pt | WMLButtonQuadCLK
pt | WMRButtonQuadCLK
pt | WMMButtonQuadCLK
pt | WMXButtonQuadCLK
pt | WMMouseMove
pt | WMLButtonUp
pt | WMRButtonUp
pt | WMMButtonUp
pt | WMXButtonUp
pt | WMMouseWheel
pt | WMMouseHWheel
pt | WMMove
pt | WMSize
pt | WMWindowPosChanged
pt | CMChanged
pt | LMCaptureChanged
pt | CMBiDiModeChanged
pt | CMSysFontChanged
pt | CMEnabledChanged
pt | CMHitTest
pt | CMMouseEnter
pt | CMMouseLeave
pt | CMHintShow
pt | CMParentBiDiModeChanged
pt | CMParentColorChanged
pt | CMParentFontChanged
pt | CMParentShowHintChanged
pt | CMVisibleChanged
pt | CMTextChanged
pt | CMCursorChanged
pt | CalculateDockSizes
pt | CreateFloatingDockSite
pt | GetDockEdge
pt | GetDragImages
pt | GetFloating
pt | GetFloatingDockSiteClass
pt | BeforeDragStart
pt | BeginAutoDrag
pt | DoFloatMsg
pt | DockTrackNoTarget
pt | DoDock
pt | DoDragMsg
pt | DoEndDock
pt | DoEndDrag
pt | DoStartDock
pt | DoStartDrag
pt | DragCanceled
pt | DragOver
pt | PositionDockRect
pt | SetDragMode
pt | GetDefaultDockCaption
pt | Click
pt | DblClick
pt | TripleClick
pt | QuadClick
pt | GetMousePosFromMessage
pt | MouseDown
pt | MouseMove
pt | MouseUp
pt | MouseEnter
pt | MouseLeave
pt | DialogChar
pt | UpdateMouseCursor
pt | Changed
pt | GetPalette
pt | ChildClassAllowed
pt | ReadState
pt | Loaded
pt | LoadedAll
pt | DefineProperties
pt | AssignTo
pt | FormEndUpdated
pt | InvalidateControl
pt | FontChanged
pt | ParentFontChanged
pt | GetAction
pt | RealGetText
pt | RealSetText
pt | TextChanged
pt | GetCachedText
pt | SetAction
pt | SetColor
pt | SetEnabled
pt | SetHint
pt | SetName
pt | SetParent
pt | SetParentComponent
pt | WndProc
pt | ParentFormHandleInitialized
pt | GetMouseCapture
pt | CaptureChanged
pt | Notification
pt | CanTab
pt | GetDeviceContext
pt | GetEnabled
pt | GetPopupMenu
pt | DoOnShowHint
pt | DoMouseWheel
pt | DoMouseWheelDown
pt | DoMouseWheelUp
pt | DoMouseWheelHorz
pt | DoMouseWheelLeft
pt | DoMouseWheelRight
pt | VisibleChanging
pt | VisibleChanged
pt | EnabledChanging
pt | EnabledChanged
pt | AddHandler
pt | RemoveHandler
pt | DoCallNotifyHandler
pt | DoCallKeyEventHandler
pt | DoCallMouseWheelEventHandler
pt | DoContextPopup
pt | SetZOrder
pt | GetControlClassDefaultSize
pt | ColorIsStored
pt | DoAutoAdjustLayout
pt | DoFixDesignFontPPI
pt | DoScaleFontPPI
pt | GetActionLinkClass
pt | ActionChange
 | DragDrop
 | Dock
 | ManualDock
 | ManualFloat
 | ReplaceDockedControl
 | Docked
 | Dragging
 | GetAccessibleObject
 | CreateAccessibleObject
 | GetSelectedChildAccessibleObject
 | GetChildAccessibleObjectAtPos
 | ScaleDesignToForm
 | ScaleFormToDesign
 | Scale96ToForm
 | ScaleFormTo96
 | Scale96ToFont
 | ScaleFontTo96
 | ScaleScreenToFont
 | ScaleFontToScreen
 | Scale96ToScreen
 | ScaleScreenTo96
 | AdjustSize
 | AutoSizePhases
 | AutoSizeDelayed
 | AutoSizeDelayedReport
 | AutoSizeDelayedHandle
 | AnchorToNeighbour
 | AnchorParallel
 | AnchorHorizontalCenterTo
 | AnchorVerticalCenterTo
 | AnchorToCompanion
 | AnchorSame
 | AnchorAsAlign
 | AnchorClient
 | AnchoredControlCount
 | SetBounds
 | SetInitialBounds
 | SetBoundsKeepBase
 | GetPreferredSize
 | GetCanvasScaleFactor
 | GetDefaultWidth
 | GetDefaultHeight
 | GetDefaultColor
 | GetColorResolvingParent
 | GetRGBColorResolvingParent
 | GetSidePosition
 | CNPreferredSizeChanged
 | InvalidatePreferredSize
 | GetAnchorsDependingOnParent
 | DisableAutoSizing
 | EnableAutoSizing
 | UpdateBaseBounds
 | WriteLayoutDebugReport
 | AutoAdjustLayout
 | ShouldAutoAdjust
 | FixDesignFontsPPI
 | ScaleFontsPPI
 | Create
 | Destroy
 | BeforeDestruction
 | EditingDone
 | ExecuteDefaultAction
 | ExecuteCancelAction
 | BeginDrag
 | EndDrag
 | BringToFront
 | HasParent
 | GetParentComponent
 | IsParentOf
 | GetTopParent
 | IsVisible
 | IsControlVisible
 | IsEnabled
 | IsParentColor
 | IsParentFont
 | FormIsUpdating
 | IsProcessingPaintMsg
 | Hide
 | Refresh
 | Repaint
 | Invalidate
 | CheckChildClassAllowed
 | CheckNewParent
 | SendToBack
 | SetTempCursor
 | UpdateRolesForForm
 | ActiveDefaultControlChanged
 | GetTextBuf
 | GetTextLen
 | SetTextBuf
 | Perform
 | ScreenToClient
 | ClientToScreen
 | ScreenToControl
 | ControlToScreen
 | ClientToParent
 | ParentToClient
 | GetChildrenRect
 | Show
 | Update
 | HandleObjectShouldBeVisible
 | ParentDestroyingHandle
 | ParentHandlesAllocated
 | InitiateAction
 | ShowHelp
 | HasHelp
 | RemoveAllHandlersOfObject
 | AddHandlerOnResize
 | RemoveHandlerOnResize
 | AddHandlerOnChangeBounds
 | RemoveHandlerOnChangeBounds
 | AddHandlerOnVisibleChanging
 | RemoveHandlerOnVisibleChanging
 | AddHandlerOnVisibleChanged
 | RemoveHandlerOnVisibleChanged
 | AddHandlerOnEnabledChanged
 | RemoveHandlerOnEnableChanging
 | AddHandlerOnKeyDown
 | RemoveHandlerOnKeyDown
 | AddHandlerOnBeforeDestruction
 | RemoveHandlerOnBeforeDestruction
 | AddHandlerOnMouseWheel
 | RemoveHandlerOnMouseWheel
 | UseRightToLeftAlignment
 | UseRightToLeftReading
 | UseRightToLeftScrollBar
 | IsRightToLeft
TLCLComponent
pt | WSRegisterClass
pt | GetWSComponentClass
 | Create
 | Destroy
 | NewInstance
 | RemoveAllHandlersOfObject
 | IncLCLRefCount
 | DecLCLRefCount
TComponent
 | GetComObject
 | GetComponent
 | GetComponentCount
 | GetComponentIndex
 | Insert
 | ReadLeft
 | ReadTop
 | Remove
 | RemoveNotification
 | SetComponentIndex
 | SetReference
 | WriteLeft
 | WriteTop
 | ChangeName
 | DefineProperties
 | GetChildren
 | GetChildOwner
 | GetChildParent
 | GetOwner
 | Loaded
 | Loading
 | Notification
 | PaletteCreated
 | ReadState
 | SetAncestor
 | SetDesigning
 | SetDesignInstance
 | SetInline
 | SetName
 | SetChildOrder
 | SetParentComponent
 | Updating
 | Updated
 | UpdateRegistry
 | ValidateRename
 | ValidateContainer
 | ValidateInsert
 | QueryInterface
 | _AddRef
 | _Release
 | iicrGetComponent
 | GetTypeInfoCount
 | GetTypeInfo
 | GetIDsOfNames
 | Invoke
 | WriteState
 | Create
 | Destroy
 | BeforeDestruction
 | DestroyComponents
 | Destroying
 | ExecuteAction
 | FindComponent
 | FreeNotification
 | RemoveFreeNotification
 | FreeOnRelease
 | GetEnumerator
 | GetNamePath
 | GetParentComponent
 | HasParent
 | InsertComponent
 | RemoveComponent
 | SafeCallException
 | SetSubComponent
 | UpdateAction
 | IsImplementorOf
 | ReferenceInterface
TPersistent
 | AssignError
 | AssignTo
 | DefineProperties
 | GetOwner
 | Destroy
 | Assign
 | FPOAttachObserver
 | FPODetachObserver
 | FPONotifyObservers
 | GetNamePath
TObject
 | Create
 | Destroy
 | newinstance
 | FreeInstance
 | SafeCallException
 | DefaultHandler
 | Free
 | InitInstance
 | CleanupInstance
 | ClassType
 | ClassInfo
 | ClassName
 | ClassNameIs
 | ClassParent
 | InstanceSize
 | InheritsFrom
 | StringMessageTable
 | MethodAddress
 | MethodName
 | FieldAddress
 | AfterConstruction
 | BeforeDestruction
 | DefaultHandlerStr
 | Dispatch
 | DispatchStr
 | GetInterface
 | GetInterfaceByStr
 | GetInterfaceWeak
 | GetInterfaceEntry
 | GetInterfaceEntryByStr
 | GetInterfaceTable
 | UnitName
 | Equals
 | GetHashCode
 | ToString


TDBNavFocusableButton
TBitBtn
pl | ro | OnChangeBounds
pl | ro | OnClick
pl | ro | OnContextPopup
pl | ro | OnDragDrop
pl | ro | OnDragOver
pl | ro | OnEndDrag
pl | ro | OnEnter
pl | ro | OnExit
pl | ro | OnKeyDown
pl | ro | OnKeyPress
pl | ro | OnKeyUp
pl | ro | OnMouseDown
pl | ro | OnMouseEnter
pl | ro | OnMouseLeave
pl | ro | OnMouseMove
pl | ro | OnMouseUp
pl | ro | OnMouseWheel
pl | ro | OnMouseWheelDown
pl | ro | OnMouseWheelUp
pl | ro | OnResize
pl | ro | OnStartDrag
pl | ro | OnUTF8KeyPress
TCustomBitBtn
TCustomButton
TButtonControl
pt |  | OnChange
TWinControl
pt |  | OnGetSiteInfo
pt |  | OnGetDockCaption
 |  | OnAlignInsertBefore
 |  | OnAlignPosition
 |  | OnDockDrop
 |  | OnDockOver
 |  | OnEnter
 |  | OnExit
 |  | OnKeyDown
 |  | OnKeyPress
 |  | OnKeyUp
 |  | OnUnDock
 |  | OnUTF8KeyPress
TControl
pt |  | OnConstrainedResize
pt |  | OnContextPopup
pt |  | OnDblClick
pt |  | OnTripleClick
pt |  | OnQuadClick
pt |  | OnDragDrop
pt |  | OnDragOver
pt |  | OnEndDock
pt |  | OnEndDrag
pt |  | OnMouseDown
pt |  | OnMouseMove
pt |  | OnMouseUp
pt |  | OnMouseEnter
pt |  | OnMouseLeave
pt |  | OnMouseWheel
pt |  | OnMouseWheelDown
pt |  | OnMouseWheelUp
pt |  | OnMouseWheelHorz
pt |  | OnMouseWheelLeft
pt |  | OnMouseWheelRight
pt |  | OnStartDock
pt |  | OnStartDrag
pt |  | OnEditingDone
 |  | OnChangeBounds
 |  | OnClick
 |  | OnResize
 |  | OnShowHint
TLCLComponent
TComponent
TPersistent
TObject


TDBNavFocusableButton.Index

Declaration

Source position: dbctrls.pp line 1399

public property TDBNavFocusableButton.Index : TDBNavButtonType
  read FIndex
  write FIndex;


TDBNavFocusableButton.NavStyle

Declaration

Source position: dbctrls.pp line 1398

public property TDBNavFocusableButton.NavStyle : TDBNavButtonStyle
  read FNavStyle
  write FNavStyle;


TDBNavigator

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

TDBNavigator - a data-aware Button-Bar to facilitate navigating between records of a dataset

Declaration

Source position: dbctrls.pp line 1418

type TDBNavigator = class(TDBCustomNavigator)
published
property Align: TAlign; | Specifies the placement of the control inside its Parent.
property Alignment: TAlignment; | Alignment - whether text is left or right justified, or centered
property Anchors: TAnchors; | The set of anchor definitions for this control.
property AutoSize: Boolean; | Allows to automatically adjust the size of the control, according to its content.
property BidiMode: TBiDiMode;
property BeforeAction: TDBNavClickEvent; | BeforeAction - code to be executed before an action is performed
property BevelInner: TPanelBevel; | BevelInner - determines the nature of the Inner Bevel of the panel (whether raised, lowered etc)
property BevelOuter: TPanelBevel; | BevelOuter - determines the nature of the Outer Bevel of the panel (whether raised, lowered etc)
property BevelWidth: TBevelWidth; | BevelWidth - the Width of the panel's bevel in pixels
property BorderSpacing: TControlBorderSpacing; | Determines the inner and outer border spacing for this control.
property BorderStyle: TBorderStyle; | Allows to show a border (line) around the control,
property BorderWidth: TBorderWidth; | Width of the Border around the control; default is zero.
property Caption: TCaption; | The text describing the control to the user.
property ChildSizing: TControlChildSizing;
property ClientHeight: Integer; | The height of the client area of the control.
property ClientWidth: Integer; | The width of the client area of the control.
property Color: TColor; | The background color of the control.
property ConfirmDelete: Boolean; | Should the user be asked for confirmation before a record is deleted? If True, a dialog appears asking for confirmation
property DataSource: TDataSource; | The Data Source to which the control must be linked in order to function
property Direction: TDBNavButtonDirection; | The direction in which the buttons appear: horizontal or vertical
property DoubleBuffered: Boolean;
property DragCursor: TCursor; | The cursor shape shown while the control is dragged.
property DragMode: TDragMode; | Allows the user to drag the control.
property Enabled: Boolean; | Determines whether the control reacts on mouse or keyboard input.
property Flat: Boolean; | Flat - if True, buttons have no 3-D effect
property Font: TFont; | The font to be used for text display in this control.
property Hints: TStrings; | A list of hints to be shown if the mouse hovers over a button
property OnClick: TDBNavClickEvent; | The action to be taken when a navigator button is clicked
property OnDblClick: TNotifyEvent; | Event Handler for double mouse clicks.
property OnDragDrop: TDragDropEvent; | This handler determines the action on an drop onto this control, in a drag-drop operation.
property OnDragOver: TDragOverEvent; | Event handler for a control being dragged over this control.
property OnEndDrag: TEndDragEvent; | Notification handler for the end of a dragging operation.
property OnEnter: TNotifyEvent; | Handler for control receiving the focus.
property OnExit: TNotifyEvent; | Handler for control loosing the focus. This is a good place for checking the finished user input.
property OnMouseDown: TMouseEvent; | Event handler for mouse button going down.
property OnMouseEnter: TNotifyEvent;
property OnMouseLeave: TNotifyEvent;
property OnMouseMove: TMouseMoveEvent; | Event handler for mouse movement within the control.
property OnMouseUp: TMouseEvent; | Event handler for mouse button going up.
property OnMouseWheel: TMouseWheelEvent;
property OnMouseWheelDown: TMouseWheelUpDownEvent;
property OnMouseWheelUp: TMouseWheelUpDownEvent;
property OnResize: TNotifyEvent; | Notification handler for a resize of the control.
property OnStartDrag: TStartDragEvent; | Event handler for the start of a dragging operation.
property Options: TDBNavigatorOptions;
property ParentBidiMode: Boolean;
property ParentColor: Boolean; | If true, the Color of the control will be the same as the one from the Parent. Default is true.
property ParentDoubleBuffered: Boolean;
property ParentFont: Boolean; | If true, the Font of the control will be the same as the one from the Parent. Default is true.
property ParentShowHint: Boolean; | If true, the value of ShowHint for the control will be the same as the one from the Parent. Default is true.
property PopupMenu: TPopupMenu; | A context-sensitive menu that pops up when the right mouse button is clicked over this control
property ShowHint: Boolean; | Enables the Hint display.
property TabOrder: TTabOrder; | Determines the sequence of controls, reachable when the user presses the Tab key.
property TabStop: Boolean; | Allows the user to navigate to this control, by pressing the Tab key.
property Visible: Boolean; | Allows to show or hide the control, and all of its children.
property VisibleButtons: TDBNavButtonSet; | The set of visible buttons (some of them can be suppressed if their function appears redundant)
property Images: TCustomImageList;
end;

Inheritance

TDBNavigator | TDBNavigator - a data-aware Button-Bar to facilitate navigating between records of a dataset
|
TDBCustomNavigator | TDBCustomNavigator - the base class for TDBNavigator, a tool for navigating through the records of a dataset
|
TCustomPanel | The base class for a general container which can hold other objects. It has a customizable border and a central text.
|
TCustomControl | The base class for windowed controls which paint themselves.
|
TWinControl | The base class for controls which can contain other (child) controls.
|
TControl | The base class for visible controls.
|
TLCLComponent | The base class for LCL components associated with widgets.
|
TComponent,IUnknown,IInterfaceComponentReference
|
TPersistent,IFPObserved
|
TObject

Description

TDBNavigator is an advanced tool for navigating through datasets held locally in response to a query sent to the database.

It consists of a series of toolbuttons to move to the First, Prior, Next or Last record; to Insert or Delete a record; to Edit a record (enter Edit mode), to Post the changes. to Cancel the changes, and to Refresh the display from the database.

The programmer may determine, at design time, which buttons are to be displayed or suppressed by adjusting the VisibleButtons property in the Object Inspector.

If used in conjunction with a DataAware control such as TDBGrid or TDBMemo it controls which records are displayed , the position of the record selection cursor, and the initiation of changes to the dataset and ultimately the database.

Most of the functionality of the toolbar is already built-in to the control, but if the programmer needs to specify actions to be associated with individual buttons, there is a procedure TDBCustomNavigator.BtnClick to which an argument can be sent with the Index value of the button clicked, and the procedure chooses which action to call dependent on the button index.

The DataSource property must be set to link to the appropriate set of data.

See also

HowToUseDataAwareControls

HowToUseDataAwareControls - Hints for accessing databases


TDBNavigator
pl | ro | Align
pl | ro | Alignment
pl | ro | Anchors
pl | ro | AutoSize
pl | ro | BidiMode
pl | ro | BeforeAction
pl | ro | BevelInner
pl | ro | BevelOuter
pl | ro | BevelWidth
pl | ro | BorderSpacing
pl | ro | BorderStyle
pl | ro | BorderWidth
pl | ro | Caption
pl | ro | ChildSizing
pl | ro | ClientHeight
pl | ro | ClientWidth
pl | ro | Color
pl | ro | ConfirmDelete
pl | ro | DataSource
pl | ro | Direction
pl | ro | DoubleBuffered
pl | ro | DragCursor
pl | ro | DragMode
pl | ro | Enabled
pl | ro | Flat
pl | ro | Font
pl | ro | Hints
pl | ro | Options
pl | ro | ParentBidiMode
pl | ro | ParentColor
pl | ro | ParentDoubleBuffered
pl | ro | ParentFont
pl | ro | ParentShowHint
pl | ro | PopupMenu
pl | ro | ShowHint
pl | ro | TabOrder
pl | ro | TabStop
pl | ro | Visible
pl | ro | VisibleButtons
pl | ro | Images
TDBCustomNavigator
 |  | BeforeAction
 |  | ConfirmDelete
 |  | DataSource
 |  | Direction
 |  | Flat
 |  | Hints
 |  | Options
 |  | VisibleButtons
 |  | ShowButtonHints
 |  | Images
TCustomPanel
pt |  | WordWrap
 | ro | Align
 |  | Alignment
 |  | BevelColor
 |  | BevelInner
 |  | BevelOuter
 |  | BevelWidth
 | ro | Color
 |  | FullRepaint
 | ro | ParentBackground
 | ro | ParentColor
 | ro | TabStop
TCustomControl
 |  | Canvas
 | ro | BorderStyle
TWinControl
pt |  | WindowHandle
pt |  | BorderStyle
pt |  | ParentBackground
 |  | BorderWidth
 | ro | BoundsLockCount
 | ro | Brush
 | ro | CachedClientHeight
 | ro | CachedClientWidth
 |  | ChildSizing
 | ro | ControlCount
 | ro | Controls
 |  | DefWndProc
 | ro | DockClientCount
 | ro | DockClients
 |  | DockManager
 |  | DockSite
 |  | DoubleBuffered
 |  | Handle
 | ro | IsFlipped
 | ro | IsResizing
 |  | TabOrder
 |  | TabStop
 |  | ParentDoubleBuffered
 |  | ParentWindow
 | ro | Showing
 |  | UseDockManager
 |  | DesignerDeleting
 | ro | VisibleDockClientCount
TControl
pt | ro | AutoSizing
pt | ro | AutoSizingAll
pt | ro | AutoSizingLockCount
pt |  | ActionLink
pt |  | DesktopFont
pt |  | DragCursor
pt |  | DragKind
pt |  | DragMode
pt |  | MouseCapture
pt |  | ParentColor
pt |  | ParentFont
pt |  | ParentShowHint
pt |  | SessionProperties
pt |  | Text
 | ro | AnchoredControls
 | ro | BaseBounds
 | ro | ReadBounds
 | ro | BaseParentClientSize
 |  | AccessibleDescription
 |  | AccessibleValue
 |  | AccessibleRole
 |  | Action
 |  | Align
 |  | Anchors
 | ro | AnchorSide
 |  | AutoSize
 |  | BorderSpacing
 |  | BoundsRect
 |  | BoundsRectForNewParent
 |  | Caption
 |  | CaptureMouseButtons
 |  | ClientHeight
 | ro | ClientOrigin
 | ro | ClientRect
 |  | ClientWidth
 |  | Color
 |  | Constraints
 | ro | ControlOrigin
 |  | ControlState
 |  | ControlStyle
 |  | Enabled
 |  | Font
 |  | IsControl
 | ro | MouseEntered
 | ro | MouseInClient
 |  | Parent
 |  | PopupMenu
 |  | ShowHint
 |  | Visible
 |  | WindowProc
 |  | DockOrientation
 | ro | Floating
 |  | FloatingDockSiteClass
 |  | HostDockSite
 |  | LRDockWidth
 |  | TBDockHeight
 |  | UndockHeight
 |  | UndockWidth
 |  | BiDiMode
 |  | ParentBiDiMode
pl |  | AnchorSideLeft
pl |  | AnchorSideTop
pl |  | AnchorSideRight
pl |  | AnchorSideBottom
pl |  | Cursor
pl |  | Left
pl |  | Height
pl |  | Hint
pl |  | Top
pl |  | Width
pl |  | HelpType
pl |  | HelpKeyword
pl |  | HelpContext
TLCLComponent
 | ro | LCLRefCount
 | ro | WidgetSetClass
TComponent
 | ro | ComObject
 | ro | Components
 | ro | ComponentCount
 |  | ComponentIndex
 | ro | ComponentState
 | ro | ComponentStyle
 |  | DesignInfo
 | ro | Owner
 |  | VCLComObject
 |  | Name
 |  | Tag
TPersistent
TObject


 |  | AccessibleDescription (TControl)
 |  | AccessibleRole (TControl)
 |  | AccessibleValue (TControl)
 |  | Action (TControl)
pt |  | ActionLink (TControl)
 |  | Align (TControl)
 | ro | Align (TCustomPanel)
pl | ro | Align (TDBNavigator)
 |  | Alignment (TCustomPanel)
pl | ro | Alignment (TDBNavigator)
 | ro | AnchoredControls (TControl)
 |  | Anchors (TControl)
pl | ro | Anchors (TDBNavigator)
 | ro | AnchorSide (TControl)
pl |  | AnchorSideBottom (TControl)
pl |  | AnchorSideLeft (TControl)
pl |  | AnchorSideRight (TControl)
pl |  | AnchorSideTop (TControl)
 |  | AutoSize (TControl)
pl | ro | AutoSize (TDBNavigator)
pt | ro | AutoSizing (TControl)
pt | ro | AutoSizingAll (TControl)
pt | ro | AutoSizingLockCount (TControl)
 | ro | BaseBounds (TControl)
 | ro | BaseParentClientSize (TControl)
 |  | BeforeAction (TDBCustomNavigator)
pl | ro | BeforeAction (TDBNavigator)
 |  | BevelColor (TCustomPanel)
 |  | BevelInner (TCustomPanel)
pl | ro | BevelInner (TDBNavigator)
 |  | BevelOuter (TCustomPanel)
pl | ro | BevelOuter (TDBNavigator)
 |  | BevelWidth (TCustomPanel)
pl | ro | BevelWidth (TDBNavigator)
 |  | BiDiMode (TControl)
pl | ro | BidiMode (TDBNavigator)
 |  | BorderSpacing (TControl)
pl | ro | BorderSpacing (TDBNavigator)
pt |  | BorderStyle (TWinControl)
 | ro | BorderStyle (TCustomControl)
pl | ro | BorderStyle (TDBNavigator)
 |  | BorderWidth (TWinControl)
pl | ro | BorderWidth (TDBNavigator)
 | ro | BoundsLockCount (TWinControl)
 |  | BoundsRect (TControl)
 |  | BoundsRectForNewParent (TControl)
 | ro | Brush (TWinControl)
 | ro | CachedClientHeight (TWinControl)
 | ro | CachedClientWidth (TWinControl)
 |  | Canvas (TCustomControl)
 |  | Caption (TControl)
pl | ro | Caption (TDBNavigator)
 |  | CaptureMouseButtons (TControl)
 |  | ChildSizing (TWinControl)
pl | ro | ChildSizing (TDBNavigator)
 |  | ClientHeight (TControl)
pl | ro | ClientHeight (TDBNavigator)
 | ro | ClientOrigin (TControl)
 | ro | ClientRect (TControl)
 |  | ClientWidth (TControl)
pl | ro | ClientWidth (TDBNavigator)
 |  | Color (TControl)
 | ro | Color (TCustomPanel)
pl | ro | Color (TDBNavigator)
 | ro | ComObject (TComponent)
 | ro | ComponentCount (TComponent)
 |  | ComponentIndex (TComponent)
 | ro | Components (TComponent)
 | ro | ComponentState (TComponent)
 | ro | ComponentStyle (TComponent)
 |  | ConfirmDelete (TDBCustomNavigator)
pl | ro | ConfirmDelete (TDBNavigator)
 |  | Constraints (TControl)
 | ro | ControlCount (TWinControl)
 | ro | ControlOrigin (TControl)
 | ro | Controls (TWinControl)
 |  | ControlState (TControl)
 |  | ControlStyle (TControl)
pl |  | Cursor (TControl)
 |  | DataSource (TDBCustomNavigator)
pl | ro | DataSource (TDBNavigator)
 |  | DefWndProc (TWinControl)
 |  | DesignerDeleting (TWinControl)
 |  | DesignInfo (TComponent)
pt |  | DesktopFont (TControl)
 |  | Direction (TDBCustomNavigator)
pl | ro | Direction (TDBNavigator)
 | ro | DockClientCount (TWinControl)
 | ro | DockClients (TWinControl)
 |  | DockManager (TWinControl)
 |  | DockOrientation (TControl)
 |  | DockSite (TWinControl)
 |  | DoubleBuffered (TWinControl)
pl | ro | DoubleBuffered (TDBNavigator)
pt |  | DragCursor (TControl)
pl | ro | DragCursor (TDBNavigator)
pt |  | DragKind (TControl)
pt |  | DragMode (TControl)
pl | ro | DragMode (TDBNavigator)
 |  | Enabled (TControl)
pl | ro | Enabled (TDBNavigator)
 |  | Flat (TDBCustomNavigator)
pl | ro | Flat (TDBNavigator)
 | ro | Floating (TControl)
 |  | FloatingDockSiteClass (TControl)
 |  | Font (TControl)
pl | ro | Font (TDBNavigator)
 |  | FullRepaint (TCustomPanel)
 |  | Handle (TWinControl)
pl |  | Height (TControl)
pl |  | HelpContext (TControl)
pl |  | HelpKeyword (TControl)
pl |  | HelpType (TControl)
pl |  | Hint (TControl)
 |  | Hints (TDBCustomNavigator)
pl | ro | Hints (TDBNavigator)
 |  | HostDockSite (TControl)
 |  | Images (TDBCustomNavigator)
pl | ro | Images (TDBNavigator)
 |  | IsControl (TControl)
 | ro | IsFlipped (TWinControl)
 | ro | IsResizing (TWinControl)
 | ro | LCLRefCount (TLCLComponent)
pl |  | Left (TControl)
 |  | LRDockWidth (TControl)
pt |  | MouseCapture (TControl)
 | ro | MouseEntered (TControl)
 | ro | MouseInClient (TControl)
 |  | Name (TComponent)
 |  | Options (TDBCustomNavigator)
pl | ro | Options (TDBNavigator)
 | ro | Owner (TComponent)
 |  | Parent (TControl)
pt |  | ParentBackground (TWinControl)
 | ro | ParentBackground (TCustomPanel)
 |  | ParentBiDiMode (TControl)
pl | ro | ParentBidiMode (TDBNavigator)
pt |  | ParentColor (TControl)
 | ro | ParentColor (TCustomPanel)
pl | ro | ParentColor (TDBNavigator)
 |  | ParentDoubleBuffered (TWinControl)
pl | ro | ParentDoubleBuffered (TDBNavigator)
pt |  | ParentFont (TControl)
pl | ro | ParentFont (TDBNavigator)
pt |  | ParentShowHint (TControl)
pl | ro | ParentShowHint (TDBNavigator)
 |  | ParentWindow (TWinControl)
 |  | PopupMenu (TControl)
pl | ro | PopupMenu (TDBNavigator)
 | ro | ReadBounds (TControl)
pt |  | SessionProperties (TControl)
 |  | ShowButtonHints (TDBCustomNavigator)
 |  | ShowHint (TControl)
pl | ro | ShowHint (TDBNavigator)
 | ro | Showing (TWinControl)
 |  | TabOrder (TWinControl)
pl | ro | TabOrder (TDBNavigator)
 |  | TabStop (TWinControl)
 | ro | TabStop (TCustomPanel)
pl | ro | TabStop (TDBNavigator)
 |  | Tag (TComponent)
 |  | TBDockHeight (TControl)
pt |  | Text (TControl)
pl |  | Top (TControl)
 |  | UndockHeight (TControl)
 |  | UndockWidth (TControl)
 |  | UseDockManager (TWinControl)
 |  | VCLComObject (TComponent)
 |  | Visible (TControl)
pl | ro | Visible (TDBNavigator)
 |  | VisibleButtons (TDBCustomNavigator)
pl | ro | VisibleButtons (TDBNavigator)
 | ro | VisibleDockClientCount (TWinControl)
 | ro | WidgetSetClass (TLCLComponent)
pl |  | Width (TControl)
pt |  | WindowHandle (TWinControl)
 |  | WindowProc (TControl)
pt |  | WordWrap (TCustomPanel)


TDBNavigator
TDBCustomNavigator
pt | DataChanged
pt | EditingChanged
pt | ActiveChanged
pt | Loaded
pt | Notification
pt | UpdateButtons
pt | UpdateHints
pt | HintsChanged
pt | ButtonClickHandler
pt | GetControlClassDefaultSize
pt | BeginUpdateButtons
pt | EndUpdateButtons
pt | SetEnabled
 | Create
 | Destroy
 | BtnClick
 | VisibleButtonCount
TCustomPanel
pt | WSRegisterClass
pt | AdjustClientRect
pt | GetControlClassDefaultSize
pt | CMParentColorChanged
pt | GetDefaultDockCaption
pt | Loaded
pt | RealSetText
pt | Paint
pt | SetParentBackground
pt | UpdateParentColorChange
 | Create
TCustomControl
pt | WSRegisterClass
pt | WMPaint
pt | DestroyWnd
pt | PaintWindow
pt | FontChanged
pt | SetColor
pt | Paint
 | Create
 | Destroy
TWinControl
pt | WSRegisterClass
pt | AdjustClientRect
pt | GetAdjustedLogicalClientRect
pt | AlignControls
pt | CustomAlignInsertBefore
pt | CustomAlignPosition
pt | DoAlignChildControls
pt | DoChildSizingChange
pt | InvalidatePreferredChildSizes
pt | CanTab
pt | IsClientHeightStored
pt | IsClientWidthStored
pt | DoSendShowHideToInterface
pt | ControlsAligned
pt | DoSendBoundsToInterface
pt | RealizeBounds
pt | RealizeBoundsRecursive
pt | InvalidateBoundsRealized
pt | CreateSubClass
pt | DoConstraintsChange
pt | DoSetBounds
pt | DoAutoSize
pt | DoAllAutoSize
pt | AllAutoSized
pt | CalculatePreferredSize
pt | GetPreferredSizeClientFrame
pt | GetChildren
pt | ChildClassAllowed
pt | PaintControls
pt | PaintHandler
pt | PaintWindow
pt | CreateBrush
pt | ScaleControls
pt | ChangeScale
pt | CMBiDiModeChanged
pt | CMBorderChanged
pt | CMDoubleBufferedChanged
pt | CMEnabledChanged
pt | CMParentDoubleBufferedChanged
pt | CMShowingChanged
pt | CMShowHintChanged
pt | CMVisibleChanged
pt | CMEnter
pt | CMExit
pt | WMContextMenu
pt | WMEraseBkgnd
pt | WMNotify
pt | WMSetFocus
pt | WMKillFocus
pt | WMShowWindow
pt | WMEnter
pt | WMExit
pt | WMKeyDown
pt | WMSysKeyDown
pt | WMKeyUp
pt | WMSysKeyUp
pt | WMChar
pt | WMSysChar
pt | WMPaint
pt | WMDestroy
pt | WMMove
pt | WMSize
pt | WMWindowPosChanged
pt | CNKeyDown
pt | CNSysKeyDown
pt | CNKeyUp
pt | CNSysKeyUp
pt | CNChar
pt | DoDragMsg
pt | DoDockClientMsg
pt | DoUndockClientMsg
pt | DoAddDockClient
pt | DockOver
pt | DoDockOver
pt | DoRemoveDockClient
pt | DoUnDock
pt | GetSiteInfo
pt | GetParentHandle
pt | GetTopParentHandle
pt | ReloadDockedControl
pt | CreateDockManager
pt | SetDockManager
pt | DoFloatMsg
pt | DoGetDockCaption
pt | DoEnter
pt | DoExit
pt | DoKeyDownBeforeInterface
pt | DoRemainingKeyDown
pt | DoRemainingKeyUp
pt | DoKeyPress
pt | DoUTF8KeyPress
pt | DoKeyUpBeforeInterface
pt | ChildKey
pt | SendDialogChar
pt | DialogChar
pt | ControlKeyDown
pt | ControlKeyUp
pt | KeyDown
pt | KeyDownBeforeInterface
pt | KeyDownAfterInterface
pt | KeyPress
pt | KeyUp
pt | KeyUpBeforeInterface
pt | KeyUpAfterInterface
pt | UTF8KeyPress
pt | FindNextControl
pt | SelectFirst
pt | RealGetText
pt | GetBorderStyle
pt | GetClientOrigin
pt | GetClientRect
pt | GetControlOrigin
pt | GetDeviceContext
pt | GetParentBackground
pt | IsControlMouseMsg
pt | CreateHandle
pt | CreateParams
pt | CreateWnd
pt | DestroyHandle
pt | DestroyWnd
pt | DoFlipChildren
pt | FinalizeWnd
pt | FixupTabList
pt | FontChanged
pt | InitializeWnd
pt | Loaded
pt | FormEndUpdated
pt | MainWndProc
pt | ParentFormHandleInitialized
pt | ChildHandlesCreated
pt | GetMouseCapture
pt | RealSetText
pt | RemoveFocus
pt | SendMoveSizeMessages
pt | SetBorderStyle
pt | SetColor
pt | SetChildZPosition
pt | SetParentBackground
pt | ShowControl
pt | UpdateControlState
pt | UpdateShowing
pt | WndProc
pt | WSSetText
 | AutoSizePhases
 | AutoSizeDelayed
 | AutoSizeDelayedReport
 | AutoSizeDelayedHandle
 | BeginUpdateBounds
 | EndUpdateBounds
 | LockRealizeBounds
 | UnlockRealizeBounds
 | ControlAtPos
 | ContainsControl
 | DoAdjustClientRectChange
 | InvalidateClientRectCache
 | ClientRectNeedsInterfaceUpdate
 | SetBounds
 | GetChildrenRect
 | DisableAlign
 | EnableAlign
 | ReAlign
 | ScrollBy_WS
 | ScrollBy
 | WriteLayoutDebugReport
 | AutoAdjustLayout
 | Create
 | CreateParented
 | CreateParentedControl
 | Destroy
 | DockDrop
 | CanFocus
 | CanSetFocus
 | GetControlIndex
 | SetControlIndex
 | Focused
 | PerformTab
 | FindChildControl
 | SelectNext
 | SetTempCursor
 | BroadCast
 | NotifyControls
 | DefaultHandler
 | GetTextLen
 | Invalidate
 | AddControl
 | InsertControl
 | RemoveControl
 | GetEnumeratorControls
 | GetEnumeratorControlsReverse
 | Repaint
 | Update
 | SetFocus
 | FlipChildren
 | ScaleBy
 | GetDockCaption
 | UpdateDockCaption
 | GetTabOrderList
 | HandleAllocated
 | ParentHandlesAllocated
 | HandleNeeded
 | BrushCreated
 | EraseBackground
 | IntfUTF8KeyPress
 | IntfGetDropFilesTarget
 | PaintTo
 | SetShape
TControl
pt | WSRegisterClass
pt | GetCursor
pt | SetCursor
pt | SetVisible
pt | DoOnParentHandleDestruction
pt | DoAutoSize
pt | DoAllAutoSize
pt | BeginAutoSizing
pt | EndAutoSizing
pt | AnchorSideChanged
pt | ForeignAnchorSideChanged
pt | SetAlign
pt | SetAnchors
pt | SetAutoSize
pt | BoundsChanged
pt | CreateControlBorderSpacing
pt | DoConstraintsChange
pt | DoBorderSpacingChange
pt | IsBorderSpacingInnerBorderStored
pt | IsCaptionStored
pt | SendMoveSizeMessages
pt | ConstrainedResize
pt | CalculatePreferredSize
pt | DoOnResize
pt | DoOnChangeBounds
pt | CheckOnChangeBounds
pt | Resize
pt | RequestAlign
pt | UpdateAnchorRules
pt | ChangeBounds
pt | DoSetBounds
pt | ScaleConstraints
pt | ChangeScale
pt | CanAutoSize
pt | SetBiDiMode
pt | SetParentBiDiMode
pt | IsAParentAligning
pt | GetClientOrigin
pt | GetClientRect
pt | GetLogicalClientRect
pt | GetScrolledClientRect
pt | GetClientScrollOffset
pt | GetControlOrigin
pt | IsClientHeightStored
pt | IsClientWidthStored
pt | WidthIsAnchored
pt | HeightIsAnchored
pt | WMCancelMode
pt | WMContextMenu
pt | WMLButtonDown
pt | WMRButtonDown
pt | WMMButtonDown
pt | WMXButtonDown
pt | WMLButtonDBLCLK
pt | WMRButtonDBLCLK
pt | WMMButtonDBLCLK
pt | WMXButtonDBLCLK
pt | WMLButtonTripleCLK
pt | WMRButtonTripleCLK
pt | WMMButtonTripleCLK
pt | WMXButtonTripleCLK
pt | WMLButtonQuadCLK
pt | WMRButtonQuadCLK
pt | WMMButtonQuadCLK
pt | WMXButtonQuadCLK
pt | WMMouseMove
pt | WMLButtonUp
pt | WMRButtonUp
pt | WMMButtonUp
pt | WMXButtonUp
pt | WMMouseWheel
pt | WMMouseHWheel
pt | WMMove
pt | WMSize
pt | WMWindowPosChanged
pt | CMChanged
pt | LMCaptureChanged
pt | CMBiDiModeChanged
pt | CMSysFontChanged
pt | CMEnabledChanged
pt | CMHitTest
pt | CMMouseEnter
pt | CMMouseLeave
pt | CMHintShow
pt | CMParentBiDiModeChanged
pt | CMParentColorChanged
pt | CMParentFontChanged
pt | CMParentShowHintChanged
pt | CMVisibleChanged
pt | CMTextChanged
pt | CMCursorChanged
pt | CalculateDockSizes
pt | CreateFloatingDockSite
pt | GetDockEdge
pt | GetDragImages
pt | GetFloating
pt | GetFloatingDockSiteClass
pt | BeforeDragStart
pt | BeginAutoDrag
pt | DoFloatMsg
pt | DockTrackNoTarget
pt | DoDock
pt | DoDragMsg
pt | DoEndDock
pt | DoEndDrag
pt | DoStartDock
pt | DoStartDrag
pt | DragCanceled
pt | DragOver
pt | PositionDockRect
pt | SetDragMode
pt | GetDefaultDockCaption
pt | Click
pt | DblClick
pt | TripleClick
pt | QuadClick
pt | GetMousePosFromMessage
pt | MouseDown
pt | MouseMove
pt | MouseUp
pt | MouseEnter
pt | MouseLeave
pt | DialogChar
pt | UpdateMouseCursor
pt | Changed
pt | GetPalette
pt | ChildClassAllowed
pt | ReadState
pt | Loaded
pt | LoadedAll
pt | DefineProperties
pt | AssignTo
pt | FormEndUpdated
pt | InvalidateControl
pt | FontChanged
pt | ParentFontChanged
pt | GetAction
pt | RealGetText
pt | RealSetText
pt | TextChanged
pt | GetCachedText
pt | SetAction
pt | SetColor
pt | SetEnabled
pt | SetHint
pt | SetName
pt | SetParent
pt | SetParentComponent
pt | WndProc
pt | ParentFormHandleInitialized
pt | GetMouseCapture
pt | CaptureChanged
pt | Notification
pt | CanTab
pt | GetDeviceContext
pt | GetEnabled
pt | GetPopupMenu
pt | DoOnShowHint
pt | DoMouseWheel
pt | DoMouseWheelDown
pt | DoMouseWheelUp
pt | DoMouseWheelHorz
pt | DoMouseWheelLeft
pt | DoMouseWheelRight
pt | VisibleChanging
pt | VisibleChanged
pt | EnabledChanging
pt | EnabledChanged
pt | AddHandler
pt | RemoveHandler
pt | DoCallNotifyHandler
pt | DoCallKeyEventHandler
pt | DoCallMouseWheelEventHandler
pt | DoContextPopup
pt | SetZOrder
pt | GetControlClassDefaultSize
pt | ColorIsStored
pt | DoAutoAdjustLayout
pt | DoFixDesignFontPPI
pt | DoScaleFontPPI
pt | GetActionLinkClass
pt | ActionChange
 | DragDrop
 | Dock
 | ManualDock
 | ManualFloat
 | ReplaceDockedControl
 | Docked
 | Dragging
 | GetAccessibleObject
 | CreateAccessibleObject
 | GetSelectedChildAccessibleObject
 | GetChildAccessibleObjectAtPos
 | ScaleDesignToForm
 | ScaleFormToDesign
 | Scale96ToForm
 | ScaleFormTo96
 | Scale96ToFont
 | ScaleFontTo96
 | ScaleScreenToFont
 | ScaleFontToScreen
 | Scale96ToScreen
 | ScaleScreenTo96
 | AdjustSize
 | AutoSizePhases
 | AutoSizeDelayed
 | AutoSizeDelayedReport
 | AutoSizeDelayedHandle
 | AnchorToNeighbour
 | AnchorParallel
 | AnchorHorizontalCenterTo
 | AnchorVerticalCenterTo
 | AnchorToCompanion
 | AnchorSame
 | AnchorAsAlign
 | AnchorClient
 | AnchoredControlCount
 | SetBounds
 | SetInitialBounds
 | SetBoundsKeepBase
 | GetPreferredSize
 | GetCanvasScaleFactor
 | GetDefaultWidth
 | GetDefaultHeight
 | GetDefaultColor
 | GetColorResolvingParent
 | GetRGBColorResolvingParent
 | GetSidePosition
 | CNPreferredSizeChanged
 | InvalidatePreferredSize
 | GetAnchorsDependingOnParent
 | DisableAutoSizing
 | EnableAutoSizing
 | UpdateBaseBounds
 | WriteLayoutDebugReport
 | AutoAdjustLayout
 | ShouldAutoAdjust
 | FixDesignFontsPPI
 | ScaleFontsPPI
 | Create
 | Destroy
 | BeforeDestruction
 | EditingDone
 | ExecuteDefaultAction
 | ExecuteCancelAction
 | BeginDrag
 | EndDrag
 | BringToFront
 | HasParent
 | GetParentComponent
 | IsParentOf
 | GetTopParent
 | IsVisible
 | IsControlVisible
 | IsEnabled
 | IsParentColor
 | IsParentFont
 | FormIsUpdating
 | IsProcessingPaintMsg
 | Hide
 | Refresh
 | Repaint
 | Invalidate
 | CheckChildClassAllowed
 | CheckNewParent
 | SendToBack
 | SetTempCursor
 | UpdateRolesForForm
 | ActiveDefaultControlChanged
 | GetTextBuf
 | GetTextLen
 | SetTextBuf
 | Perform
 | ScreenToClient
 | ClientToScreen
 | ScreenToControl
 | ControlToScreen
 | ClientToParent
 | ParentToClient
 | GetChildrenRect
 | Show
 | Update
 | HandleObjectShouldBeVisible
 | ParentDestroyingHandle
 | ParentHandlesAllocated
 | InitiateAction
 | ShowHelp
 | HasHelp
 | RemoveAllHandlersOfObject
 | AddHandlerOnResize
 | RemoveHandlerOnResize
 | AddHandlerOnChangeBounds
 | RemoveHandlerOnChangeBounds
 | AddHandlerOnVisibleChanging
 | RemoveHandlerOnVisibleChanging
 | AddHandlerOnVisibleChanged
 | RemoveHandlerOnVisibleChanged
 | AddHandlerOnEnabledChanged
 | RemoveHandlerOnEnableChanging
 | AddHandlerOnKeyDown
 | RemoveHandlerOnKeyDown
 | AddHandlerOnBeforeDestruction
 | RemoveHandlerOnBeforeDestruction
 | AddHandlerOnMouseWheel
 | RemoveHandlerOnMouseWheel
 | UseRightToLeftAlignment
 | UseRightToLeftReading
 | UseRightToLeftScrollBar
 | IsRightToLeft
TLCLComponent
pt | WSRegisterClass
pt | GetWSComponentClass
 | Create
 | Destroy
 | NewInstance
 | RemoveAllHandlersOfObject
 | IncLCLRefCount
 | DecLCLRefCount
TComponent
 | GetComObject
 | GetComponent
 | GetComponentCount
 | GetComponentIndex
 | Insert
 | ReadLeft
 | ReadTop
 | Remove
 | RemoveNotification
 | SetComponentIndex
 | SetReference
 | WriteLeft
 | WriteTop
 | ChangeName
 | DefineProperties
 | GetChildren
 | GetChildOwner
 | GetChildParent
 | GetOwner
 | Loaded
 | Loading
 | Notification
 | PaletteCreated
 | ReadState
 | SetAncestor
 | SetDesigning
 | SetDesignInstance
 | SetInline
 | SetName
 | SetChildOrder
 | SetParentComponent
 | Updating
 | Updated
 | UpdateRegistry
 | ValidateRename
 | ValidateContainer
 | ValidateInsert
 | QueryInterface
 | _AddRef
 | _Release
 | iicrGetComponent
 | GetTypeInfoCount
 | GetTypeInfo
 | GetIDsOfNames
 | Invoke
 | WriteState
 | Create
 | Destroy
 | BeforeDestruction
 | DestroyComponents
 | Destroying
 | ExecuteAction
 | FindComponent
 | FreeNotification
 | RemoveFreeNotification
 | FreeOnRelease
 | GetEnumerator
 | GetNamePath
 | GetParentComponent
 | HasParent
 | InsertComponent
 | RemoveComponent
 | SafeCallException
 | SetSubComponent
 | UpdateAction
 | IsImplementorOf
 | ReferenceInterface
TPersistent
 | AssignError
 | AssignTo
 | DefineProperties
 | GetOwner
 | Destroy
 | Assign
 | FPOAttachObserver
 | FPODetachObserver
 | FPONotifyObservers
 | GetNamePath
TObject
 | Create
 | Destroy
 | newinstance
 | FreeInstance
 | SafeCallException
 | DefaultHandler
 | Free
 | InitInstance
 | CleanupInstance
 | ClassType
 | ClassInfo
 | ClassName
 | ClassNameIs
 | ClassParent
 | InstanceSize
 | InheritsFrom
 | StringMessageTable
 | MethodAddress
 | MethodName
 | FieldAddress
 | AfterConstruction
 | BeforeDestruction
 | DefaultHandlerStr
 | Dispatch
 | DispatchStr
 | GetInterface
 | GetInterfaceByStr
 | GetInterfaceWeak
 | GetInterfaceEntry
 | GetInterfaceEntryByStr
 | GetInterfaceTable
 | UnitName
 | Equals
 | GetHashCode
 | ToString


TDBNavigator
pl | ro | OnClick
pl | ro | OnDblClick
pl | ro | OnDragDrop
pl | ro | OnDragOver
pl | ro | OnEndDrag
pl | ro | OnEnter
pl | ro | OnExit
pl | ro | OnMouseDown
pl | ro | OnMouseEnter
pl | ro | OnMouseLeave
pl | ro | OnMouseMove
pl | ro | OnMouseUp
pl | ro | OnMouseWheel
pl | ro | OnMouseWheelDown
pl | ro | OnMouseWheelUp
pl | ro | OnResize
pl | ro | OnStartDrag
TDBCustomNavigator
 |  | OnClick
TCustomPanel
TCustomControl
 |  | OnPaint
TWinControl
pt |  | OnGetSiteInfo
pt |  | OnGetDockCaption
 |  | OnAlignInsertBefore
 |  | OnAlignPosition
 |  | OnDockDrop
 |  | OnDockOver
 |  | OnEnter
 |  | OnExit
 |  | OnKeyDown
 |  | OnKeyPress
 |  | OnKeyUp
 |  | OnUnDock
 |  | OnUTF8KeyPress
TControl
pt |  | OnConstrainedResize
pt |  | OnContextPopup
pt |  | OnDblClick
pt |  | OnTripleClick
pt |  | OnQuadClick
pt |  | OnDragDrop
pt |  | OnDragOver
pt |  | OnEndDock
pt |  | OnEndDrag
pt |  | OnMouseDown
pt |  | OnMouseMove
pt |  | OnMouseUp
pt |  | OnMouseEnter
pt |  | OnMouseLeave
pt |  | OnMouseWheel
pt |  | OnMouseWheelDown
pt |  | OnMouseWheelUp
pt |  | OnMouseWheelHorz
pt |  | OnMouseWheelLeft
pt |  | OnMouseWheelRight
pt |  | OnStartDock
pt |  | OnStartDrag
pt |  | OnEditingDone
 |  | OnChangeBounds
 |  | OnClick
 |  | OnResize
 |  | OnShowHint
TLCLComponent
TComponent
TPersistent
TObject


 |  | OnAlignInsertBefore (TWinControl)
 |  | OnAlignPosition (TWinControl)
 |  | OnChangeBounds (TControl)
 |  | OnClick (TControl)
 |  | OnClick (TDBCustomNavigator)
pl | ro | OnClick (TDBNavigator)
pt |  | OnConstrainedResize (TControl)
pt |  | OnContextPopup (TControl)
pt |  | OnDblClick (TControl)
pl | ro | OnDblClick (TDBNavigator)
 |  | OnDockDrop (TWinControl)
 |  | OnDockOver (TWinControl)
pt |  | OnDragDrop (TControl)
pl | ro | OnDragDrop (TDBNavigator)
pt |  | OnDragOver (TControl)
pl | ro | OnDragOver (TDBNavigator)
pt |  | OnEditingDone (TControl)
pt |  | OnEndDock (TControl)
pt |  | OnEndDrag (TControl)
pl | ro | OnEndDrag (TDBNavigator)
 |  | OnEnter (TWinControl)
pl | ro | OnEnter (TDBNavigator)
 |  | OnExit (TWinControl)
pl | ro | OnExit (TDBNavigator)
pt |  | OnGetDockCaption (TWinControl)
pt |  | OnGetSiteInfo (TWinControl)
 |  | OnKeyDown (TWinControl)
 |  | OnKeyPress (TWinControl)
 |  | OnKeyUp (TWinControl)
pt |  | OnMouseDown (TControl)
pl | ro | OnMouseDown (TDBNavigator)
pt |  | OnMouseEnter (TControl)
pl | ro | OnMouseEnter (TDBNavigator)
pt |  | OnMouseLeave (TControl)
pl | ro | OnMouseLeave (TDBNavigator)
pt |  | OnMouseMove (TControl)
pl | ro | OnMouseMove (TDBNavigator)
pt |  | OnMouseUp (TControl)
pl | ro | OnMouseUp (TDBNavigator)
pt |  | OnMouseWheel (TControl)
pl | ro | OnMouseWheel (TDBNavigator)
pt |  | OnMouseWheelDown (TControl)
pl | ro | OnMouseWheelDown (TDBNavigator)
pt |  | OnMouseWheelHorz (TControl)
pt |  | OnMouseWheelLeft (TControl)
pt |  | OnMouseWheelRight (TControl)
pt |  | OnMouseWheelUp (TControl)
pl | ro | OnMouseWheelUp (TDBNavigator)
 |  | OnPaint (TCustomControl)
pt |  | OnQuadClick (TControl)
 |  | OnResize (TControl)
pl | ro | OnResize (TDBNavigator)
 |  | OnShowHint (TControl)
pt |  | OnStartDock (TControl)
pt |  | OnStartDrag (TControl)
pl | ro | OnStartDrag (TDBNavigator)
pt |  | OnTripleClick (TControl)
 |  | OnUnDock (TWinControl)
 |  | OnUTF8KeyPress (TWinControl)


TDBNavigator.BidiMode

Declaration

Source position: dbctrls.pp line 1424

published property TDBNavigator.BidiMode : TBiDiMode;


TDBNavigator.ChildSizing

Declaration

Source position: dbctrls.pp line 1433

published property TDBNavigator.ChildSizing : TControlChildSizing;


TDBNavigator.DoubleBuffered

Declaration

Source position: dbctrls.pp line 1440

published property TDBNavigator.DoubleBuffered : Boolean;


TDBNavigator.Images

Declaration

Source position: dbctrls.pp line 1476

published property TDBNavigator.Images : TCustomImageList;


TDBNavigator.OnMouseEnter

Declaration

Source position: dbctrls.pp line 1455

published property TDBNavigator.OnMouseEnter : TNotifyEvent;


TDBNavigator.OnMouseLeave

Declaration

Source position: dbctrls.pp line 1456

published property TDBNavigator.OnMouseLeave : TNotifyEvent;


TDBNavigator.OnMouseWheel

Declaration

Source position: dbctrls.pp line 1459

published property TDBNavigator.OnMouseWheel : TMouseWheelEvent;


TDBNavigator.OnMouseWheelDown

Declaration

Source position: dbctrls.pp line 1460

published property TDBNavigator.OnMouseWheelDown : TMouseWheelUpDownEvent;


TDBNavigator.OnMouseWheelUp

Declaration

Source position: dbctrls.pp line 1461

published property TDBNavigator.OnMouseWheelUp : TMouseWheelUpDownEvent;


TDBNavigator.Options

Declaration

Source position: dbctrls.pp line 1464

published property TDBNavigator.Options : TDBNavigatorOptions;


TDBNavigator.ParentBidiMode

Declaration

Source position: dbctrls.pp line 1465

published property TDBNavigator.ParentBidiMode : Boolean;


TDBNavigator.ParentDoubleBuffered

Declaration

Source position: dbctrls.pp line 1467

published property TDBNavigator.ParentDoubleBuffered : Boolean;


TDBNavigatorOption

Declaration

Source position: dbctrls.pp line 1281

type TDBNavigatorOption = (

  navFocusableButtons

);


TDBNavigatorOptions

Declaration

Source position: dbctrls.pp line 1282

type TDBNavigatorOptions = set of (

  navFocusableButtons

);


TDBRadioGroup

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

TDBRadioGroup - a data-aware version of TRadioGroup, providing a series of mutually exclusive buttons to select an entry to insert into a database field

Declaration

Source position: dbctrls.pp line 546

type TDBRadioGroup = class(TCustomRadioGroup)
protected
procedure Change; virtual; | Change - calls the OnChange event handler if it is assigned
procedure Notification(); override; |
procedure DataChange(); | DataChange - updates the current Value to reflect a change inthe data
procedure UpdateData(); | UpdateData - places the current Value into the data
property DataLink: TFieldDataLink; [r] | DataLink - the field data link to be used for the data
function GetButtonValue(); | GetButtonValue - returns the string value of the button associated with the specified index
procedure UpdateRadioButtonStates; override; | UpdateRadioButtonStates - performs the inheited method and ensures that any updates are also reflected via the data link, if it is active and in an Editing state
public
constructor Create(); override; | Create - constructor for TDBRadioGroup: calls inherited Create then forms datalinks and actions
destructor Destroy; override; | Destroy - destructor for TDBRadioGroup: frees links and items, then calls inherited Destroy
procedure EditingDone; override; | EditingDone - updates the record through the datalink, then calls inherited EditingDone
function ExecuteAction(); override;
function UpdateAction(); override;
property Field: TField; [r] | The DataSet Field relevant to the data being selected
property ItemIndex: Integer; | The Index value in the list of Items (a stringlist with the names of the selections for radio buttons)
property Value: string; [rw] | The selected value (as indicated by ItemIndex)
published
property Align: TAlign; | Specifies the placement of the control inside its Parent.
property Anchors: TAnchors; | The set of anchor definitions for this control.
property AutoFill: Boolean;
property AutoSize: Boolean;
property BiDiMode: TBiDiMode;
property BorderSpacing: TControlBorderSpacing; | Determines the inner and outer border spacing for this control.
property Caption: TCaption; | The text describing the control to the user.
property ChildSizing: TControlChildSizing;
property Color: TColor;
property ColumnLayout: TColumnLayout;
property Columns: Integer; | Columns - the number of columns in which the Items (radio buttons) are to be arranges
property Constraints: TSizeConstraints;
property DataField: string; [rw] | The name (as a string) of the Field whose data are linked to the control
property DataSource: TDataSource; [rw] | The DataSource from which relevant Field data are to be linked - usually the result of a database query
property DoubleBuffered: Boolean;
property DragCursor: TCursor; | The cursor shape shown while the control is dragged.
property DragMode: TDragMode; | Allows the user to drag the control.
property Enabled: Boolean; | Determines whether the control reacts on mouse or keyboard input.
property Font: TFont;
property Items: TStrings; [w] | Items - a string list containing the captions for the radio boxes
property OnChange: TNotifyEvent; [rw] | Event Handler for any change in the radiogroup selection
property OnChangeBounds: TNotifyEvent; | Event handler for a change of the Bounds of the control.
property OnClick: TNotifyEvent; | Notification handler for mouse clicks.
property OnDragDrop: TDragDropEvent; | This handler determines the action on an drop onto this control, in a drag-drop operation.
property OnDragOver: TDragOverEvent; | Event handler for a control being dragged over this control.
property OnEndDrag: TEndDragEvent; | Notification handler for the end of a dragging operation.
property OnMouseDown: TMouseEvent; | Event handler for mouse button going down.
property OnMouseEnter: TNotifyEvent;
property OnMouseLeave: TNotifyEvent;
property OnMouseMove: TMouseMoveEvent; | Event handler for mouse movement within the control.
property OnMouseUp: TMouseEvent; | Event handler for mouse button going up.
property OnMouseWheel: TMouseWheelEvent;
property OnMouseWheelDown: TMouseWheelUpDownEvent;
property OnMouseWheelUp: TMouseWheelUpDownEvent;
property OnResize: TNotifyEvent; | Notification handler for a resize of the control.
property OnStartDrag: TStartDragEvent; | Event handler for the start of a dragging operation.
property ParentBiDiMode: Boolean;
property ParentColor: Boolean;
property ParentDoubleBuffered: Boolean;
property ParentFont: Boolean;
property ParentShowHint: Boolean;
property PopupMenu: TPopupMenu;
property ReadOnly: Boolean; [rw] | ReadOnly - if True, data can only be read, not written or modified. (Doesn't really make sense for a RadioGroup!)
property ShowHint: Boolean;
property TabOrder: TTabOrder; | Determines the sequence of controls, reachable when the user presses the Tab key.
property TabStop: Boolean;
property Values: TStrings; [rw] | The values of the strings in Items
property Visible: Boolean; | Allows to show or hide the control, and all of its children.
end;

Inheritance

TDBRadioGroup | TDBRadioGroup - a data-aware version of TRadioGroup, providing a series of mutually exclusive buttons to select an entry to insert into a database field
|
TCustomRadioGroup | TCustomRadioGroup: the base type for TRadioGroup
|
TCustomGroupBox | The base class for TGroupBox, TRadioGroup and TCheckGroup.
|
TWinControl | The base class for controls which can contain other (child) controls.
|
TControl | The base class for visible controls.
|
TLCLComponent | The base class for LCL components associated with widgets.
|
TComponent,IUnknown,IInterfaceComponentReference
|
TPersistent,IFPObserved
|
TObject

Description

The properties of TDBRadioGroup are similar to those of TRadioGroup (and TCustomRadioGroup). Access is obtained to members of the group by selecting (in the Object Inspector) the ellipsis (...) next to the entry Items, and then editing the stringlist.

At runtime, selecting one of the radiobuttons makes the corresponding ItemIndex available to the programmer, and the corresponding string Item gets selected and appears as the string value for the record in that field.

See also

HowToUseDataAwareControls

HowToUseDataAwareControls - Hints for accessing databases


TDBRadioGroup
pt | ro | DataLink
 | ro | Field
 | ro | ItemIndex
 |  | Value
pl | ro | Align
pl | ro | Anchors
pl | ro | AutoFill
pl | ro | AutoSize
pl | ro | BiDiMode
pl | ro | BorderSpacing
pl | ro | Caption
pl | ro | ChildSizing
pl | ro | Color
pl | ro | ColumnLayout
pl | ro | Columns
pl | ro | Constraints
pl |  | DataField
pl |  | DataSource
pl | ro | DoubleBuffered
pl | ro | DragCursor
pl | ro | DragMode
pl | ro | Enabled
pl | ro | Font
pl |  | Items
pl | ro | ParentBiDiMode
pl | ro | ParentColor
pl | ro | ParentDoubleBuffered
pl | ro | ParentFont
pl | ro | ParentShowHint
pl | ro | PopupMenu
pl |  | ReadOnly
pl | ro | ShowHint
pl | ro | TabOrder
pl | ro | TabStop
pl |  | Values
pl | ro | Visible
TCustomRadioGroup
 |  | AutoFill
 |  | ItemIndex
 |  | Items
 |  | Columns
 |  | ColumnLayout
TCustomGroupBox
TWinControl
pt |  | WindowHandle
pt |  | BorderStyle
pt |  | ParentBackground
 |  | BorderWidth
 | ro | BoundsLockCount
 | ro | Brush
 | ro | CachedClientHeight
 | ro | CachedClientWidth
 |  | ChildSizing
 | ro | ControlCount
 | ro | Controls
 |  | DefWndProc
 | ro | DockClientCount
 | ro | DockClients
 |  | DockManager
 |  | DockSite
 |  | DoubleBuffered
 |  | Handle
 | ro | IsFlipped
 | ro | IsResizing
 |  | TabOrder
 |  | TabStop
 |  | ParentDoubleBuffered
 |  | ParentWindow
 | ro | Showing
 |  | UseDockManager
 |  | DesignerDeleting
 | ro | VisibleDockClientCount
TControl
pt | ro | AutoSizing
pt | ro | AutoSizingAll
pt | ro | AutoSizingLockCount
pt |  | ActionLink
pt |  | DesktopFont
pt |  | DragCursor
pt |  | DragKind
pt |  | DragMode
pt |  | MouseCapture
pt |  | ParentColor
pt |  | ParentFont
pt |  | ParentShowHint
pt |  | SessionProperties
pt |  | Text
 | ro | AnchoredControls
 | ro | BaseBounds
 | ro | ReadBounds
 | ro | BaseParentClientSize
 |  | AccessibleDescription
 |  | AccessibleValue
 |  | AccessibleRole
 |  | Action
 |  | Align
 |  | Anchors
 | ro | AnchorSide
 |  | AutoSize
 |  | BorderSpacing
 |  | BoundsRect
 |  | BoundsRectForNewParent
 |  | Caption
 |  | CaptureMouseButtons
 |  | ClientHeight
 | ro | ClientOrigin
 | ro | ClientRect
 |  | ClientWidth
 |  | Color
 |  | Constraints
 | ro | ControlOrigin
 |  | ControlState
 |  | ControlStyle
 |  | Enabled
 |  | Font
 |  | IsControl
 | ro | MouseEntered
 | ro | MouseInClient
 |  | Parent
 |  | PopupMenu
 |  | ShowHint
 |  | Visible
 |  | WindowProc
 |  | DockOrientation
 | ro | Floating
 |  | FloatingDockSiteClass
 |  | HostDockSite
 |  | LRDockWidth
 |  | TBDockHeight
 |  | UndockHeight
 |  | UndockWidth
 |  | BiDiMode
 |  | ParentBiDiMode
pl |  | AnchorSideLeft
pl |  | AnchorSideTop
pl |  | AnchorSideRight
pl |  | AnchorSideBottom
pl |  | Cursor
pl |  | Left
pl |  | Height
pl |  | Hint
pl |  | Top
pl |  | Width
pl |  | HelpType
pl |  | HelpKeyword
pl |  | HelpContext
TLCLComponent
 | ro | LCLRefCount
 | ro | WidgetSetClass
TComponent
 | ro | ComObject
 | ro | Components
 | ro | ComponentCount
 |  | ComponentIndex
 | ro | ComponentState
 | ro | ComponentStyle
 |  | DesignInfo
 | ro | Owner
 |  | VCLComObject
 |  | Name
 |  | Tag
TPersistent
TObject


 |  | AccessibleDescription (TControl)
 |  | AccessibleRole (TControl)
 |  | AccessibleValue (TControl)
 |  | Action (TControl)
pt |  | ActionLink (TControl)
 |  | Align (TControl)
pl | ro | Align (TDBRadioGroup)
 | ro | AnchoredControls (TControl)
 |  | Anchors (TControl)
pl | ro | Anchors (TDBRadioGroup)
 | ro | AnchorSide (TControl)
pl |  | AnchorSideBottom (TControl)
pl |  | AnchorSideLeft (TControl)
pl |  | AnchorSideRight (TControl)
pl |  | AnchorSideTop (TControl)
 |  | AutoFill (TCustomRadioGroup)
pl | ro | AutoFill (TDBRadioGroup)
 |  | AutoSize (TControl)
pl | ro | AutoSize (TDBRadioGroup)
pt | ro | AutoSizing (TControl)
pt | ro | AutoSizingAll (TControl)
pt | ro | AutoSizingLockCount (TControl)
 | ro | BaseBounds (TControl)
 | ro | BaseParentClientSize (TControl)
 |  | BiDiMode (TControl)
pl | ro | BiDiMode (TDBRadioGroup)
 |  | BorderSpacing (TControl)
pl | ro | BorderSpacing (TDBRadioGroup)
pt |  | BorderStyle (TWinControl)
 |  | BorderWidth (TWinControl)
 | ro | BoundsLockCount (TWinControl)
 |  | BoundsRect (TControl)
 |  | BoundsRectForNewParent (TControl)
 | ro | Brush (TWinControl)
 | ro | CachedClientHeight (TWinControl)
 | ro | CachedClientWidth (TWinControl)
 |  | Caption (TControl)
pl | ro | Caption (TDBRadioGroup)
 |  | CaptureMouseButtons (TControl)
 |  | ChildSizing (TWinControl)
pl | ro | ChildSizing (TDBRadioGroup)
 |  | ClientHeight (TControl)
 | ro | ClientOrigin (TControl)
 | ro | ClientRect (TControl)
 |  | ClientWidth (TControl)
 |  | Color (TControl)
pl | ro | Color (TDBRadioGroup)
 |  | ColumnLayout (TCustomRadioGroup)
pl | ro | ColumnLayout (TDBRadioGroup)
 |  | Columns (TCustomRadioGroup)
pl | ro | Columns (TDBRadioGroup)
 | ro | ComObject (TComponent)
 | ro | ComponentCount (TComponent)
 |  | ComponentIndex (TComponent)
 | ro | Components (TComponent)
 | ro | ComponentState (TComponent)
 | ro | ComponentStyle (TComponent)
 |  | Constraints (TControl)
pl | ro | Constraints (TDBRadioGroup)
 | ro | ControlCount (TWinControl)
 | ro | ControlOrigin (TControl)
 | ro | Controls (TWinControl)
 |  | ControlState (TControl)
 |  | ControlStyle (TControl)
pl |  | Cursor (TControl)
pl |  | DataField (TDBRadioGroup)
pt | ro | DataLink (TDBRadioGroup)
pl |  | DataSource (TDBRadioGroup)
 |  | DefWndProc (TWinControl)
 |  | DesignerDeleting (TWinControl)
 |  | DesignInfo (TComponent)
pt |  | DesktopFont (TControl)
 | ro | DockClientCount (TWinControl)
 | ro | DockClients (TWinControl)
 |  | DockManager (TWinControl)
 |  | DockOrientation (TControl)
 |  | DockSite (TWinControl)
 |  | DoubleBuffered (TWinControl)
pl | ro | DoubleBuffered (TDBRadioGroup)
pt |  | DragCursor (TControl)
pl | ro | DragCursor (TDBRadioGroup)
pt |  | DragKind (TControl)
pt |  | DragMode (TControl)
pl | ro | DragMode (TDBRadioGroup)
 |  | Enabled (TControl)
pl | ro | Enabled (TDBRadioGroup)
 | ro | Field (TDBRadioGroup)
 | ro | Floating (TControl)
 |  | FloatingDockSiteClass (TControl)
 |  | Font (TControl)
pl | ro | Font (TDBRadioGroup)
 |  | Handle (TWinControl)
pl |  | Height (TControl)
pl |  | HelpContext (TControl)
pl |  | HelpKeyword (TControl)
pl |  | HelpType (TControl)
pl |  | Hint (TControl)
 |  | HostDockSite (TControl)
 |  | IsControl (TControl)
 | ro | IsFlipped (TWinControl)
 | ro | IsResizing (TWinControl)
 |  | ItemIndex (TCustomRadioGroup)
 | ro | ItemIndex (TDBRadioGroup)
 |  | Items (TCustomRadioGroup)
pl |  | Items (TDBRadioGroup)
 | ro | LCLRefCount (TLCLComponent)
pl |  | Left (TControl)
 |  | LRDockWidth (TControl)
pt |  | MouseCapture (TControl)
 | ro | MouseEntered (TControl)
 | ro | MouseInClient (TControl)
 |  | Name (TComponent)
 | ro | Owner (TComponent)
 |  | Parent (TControl)
pt |  | ParentBackground (TWinControl)
 |  | ParentBiDiMode (TControl)
pl | ro | ParentBiDiMode (TDBRadioGroup)
pt |  | ParentColor (TControl)
pl | ro | ParentColor (TDBRadioGroup)
 |  | ParentDoubleBuffered (TWinControl)
pl | ro | ParentDoubleBuffered (TDBRadioGroup)
pt |  | ParentFont (TControl)
pl | ro | ParentFont (TDBRadioGroup)
pt |  | ParentShowHint (TControl)
pl | ro | ParentShowHint (TDBRadioGroup)
 |  | ParentWindow (TWinControl)
 |  | PopupMenu (TControl)
pl | ro | PopupMenu (TDBRadioGroup)
 | ro | ReadBounds (TControl)
pl |  | ReadOnly (TDBRadioGroup)
pt |  | SessionProperties (TControl)
 |  | ShowHint (TControl)
pl | ro | ShowHint (TDBRadioGroup)
 | ro | Showing (TWinControl)
 |  | TabOrder (TWinControl)
pl | ro | TabOrder (TDBRadioGroup)
 |  | TabStop (TWinControl)
pl | ro | TabStop (TDBRadioGroup)
 |  | Tag (TComponent)
 |  | TBDockHeight (TControl)
pt |  | Text (TControl)
pl |  | Top (TControl)
 |  | UndockHeight (TControl)
 |  | UndockWidth (TControl)
 |  | UseDockManager (TWinControl)
 |  | Value (TDBRadioGroup)
pl |  | Values (TDBRadioGroup)
 |  | VCLComObject (TComponent)
 |  | Visible (TControl)
pl | ro | Visible (TDBRadioGroup)
 | ro | VisibleDockClientCount (TWinControl)
 | ro | WidgetSetClass (TLCLComponent)
pl |  | Width (TControl)
pt |  | WindowHandle (TWinControl)
 |  | WindowProc (TControl)


TDBRadioGroup
pt | Change
pt | Notification
pt | DataChange
pt | UpdateData
pt | GetButtonValue
pt | UpdateRadioButtonStates
 | Create
 | Destroy
 | EditingDone
 | ExecuteAction
 | UpdateAction
TCustomRadioGroup
pt | WSRegisterClass
pt | UpdateInternalObjectList
pt | UpdateAll
pt | InitializeWnd
pt | UpdateRadioButtonStates
pt | ReadState
pt | SetItems
pt | SetColumns
pt | SetItemIndex
pt | GetItemIndex
pt | CheckItemIndexChanged
 | Create
 | Destroy
 | CanModify
 | FlipChildren
 | Rows
TCustomGroupBox
pt | WSRegisterClass
pt | GetControlClassDefaultSize
pt | CreateParams
 | Create
TWinControl
pt | WSRegisterClass
pt | AdjustClientRect
pt | GetAdjustedLogicalClientRect
pt | AlignControls
pt | CustomAlignInsertBefore
pt | CustomAlignPosition
pt | DoAlignChildControls
pt | DoChildSizingChange
pt | InvalidatePreferredChildSizes
pt | CanTab
pt | IsClientHeightStored
pt | IsClientWidthStored
pt | DoSendShowHideToInterface
pt | ControlsAligned
pt | DoSendBoundsToInterface
pt | RealizeBounds
pt | RealizeBoundsRecursive
pt | InvalidateBoundsRealized
pt | CreateSubClass
pt | DoConstraintsChange
pt | DoSetBounds
pt | DoAutoSize
pt | DoAllAutoSize
pt | AllAutoSized
pt | CalculatePreferredSize
pt | GetPreferredSizeClientFrame
pt | GetChildren
pt | ChildClassAllowed
pt | PaintControls
pt | PaintHandler
pt | PaintWindow
pt | CreateBrush
pt | ScaleControls
pt | ChangeScale
pt | CMBiDiModeChanged
pt | CMBorderChanged
pt | CMDoubleBufferedChanged
pt | CMEnabledChanged
pt | CMParentDoubleBufferedChanged
pt | CMShowingChanged
pt | CMShowHintChanged
pt | CMVisibleChanged
pt | CMEnter
pt | CMExit
pt | WMContextMenu
pt | WMEraseBkgnd
pt | WMNotify
pt | WMSetFocus
pt | WMKillFocus
pt | WMShowWindow
pt | WMEnter
pt | WMExit
pt | WMKeyDown
pt | WMSysKeyDown
pt | WMKeyUp
pt | WMSysKeyUp
pt | WMChar
pt | WMSysChar
pt | WMPaint
pt | WMDestroy
pt | WMMove
pt | WMSize
pt | WMWindowPosChanged
pt | CNKeyDown
pt | CNSysKeyDown
pt | CNKeyUp
pt | CNSysKeyUp
pt | CNChar
pt | DoDragMsg
pt | DoDockClientMsg
pt | DoUndockClientMsg
pt | DoAddDockClient
pt | DockOver
pt | DoDockOver
pt | DoRemoveDockClient
pt | DoUnDock
pt | GetSiteInfo
pt | GetParentHandle
pt | GetTopParentHandle
pt | ReloadDockedControl
pt | CreateDockManager
pt | SetDockManager
pt | DoFloatMsg
pt | DoGetDockCaption
pt | DoEnter
pt | DoExit
pt | DoKeyDownBeforeInterface
pt | DoRemainingKeyDown
pt | DoRemainingKeyUp
pt | DoKeyPress
pt | DoUTF8KeyPress
pt | DoKeyUpBeforeInterface
pt | ChildKey
pt | SendDialogChar
pt | DialogChar
pt | ControlKeyDown
pt | ControlKeyUp
pt | KeyDown
pt | KeyDownBeforeInterface
pt | KeyDownAfterInterface
pt | KeyPress
pt | KeyUp
pt | KeyUpBeforeInterface
pt | KeyUpAfterInterface
pt | UTF8KeyPress
pt | FindNextControl
pt | SelectFirst
pt | RealGetText
pt | GetBorderStyle
pt | GetClientOrigin
pt | GetClientRect
pt | GetControlOrigin
pt | GetDeviceContext
pt | GetParentBackground
pt | IsControlMouseMsg
pt | CreateHandle
pt | CreateParams
pt | CreateWnd
pt | DestroyHandle
pt | DestroyWnd
pt | DoFlipChildren
pt | FinalizeWnd
pt | FixupTabList
pt | FontChanged
pt | InitializeWnd
pt | Loaded
pt | FormEndUpdated
pt | MainWndProc
pt | ParentFormHandleInitialized
pt | ChildHandlesCreated
pt | GetMouseCapture
pt | RealSetText
pt | RemoveFocus
pt | SendMoveSizeMessages
pt | SetBorderStyle
pt | SetColor
pt | SetChildZPosition
pt | SetParentBackground
pt | ShowControl
pt | UpdateControlState
pt | UpdateShowing
pt | WndProc
pt | WSSetText
 | AutoSizePhases
 | AutoSizeDelayed
 | AutoSizeDelayedReport
 | AutoSizeDelayedHandle
 | BeginUpdateBounds
 | EndUpdateBounds
 | LockRealizeBounds
 | UnlockRealizeBounds
 | ControlAtPos
 | ContainsControl
 | DoAdjustClientRectChange
 | InvalidateClientRectCache
 | ClientRectNeedsInterfaceUpdate
 | SetBounds
 | GetChildrenRect
 | DisableAlign
 | EnableAlign
 | ReAlign
 | ScrollBy_WS
 | ScrollBy
 | WriteLayoutDebugReport
 | AutoAdjustLayout
 | Create
 | CreateParented
 | CreateParentedControl
 | Destroy
 | DockDrop
 | CanFocus
 | CanSetFocus
 | GetControlIndex
 | SetControlIndex
 | Focused
 | PerformTab
 | FindChildControl
 | SelectNext
 | SetTempCursor
 | BroadCast
 | NotifyControls
 | DefaultHandler
 | GetTextLen
 | Invalidate
 | AddControl
 | InsertControl
 | RemoveControl
 | GetEnumeratorControls
 | GetEnumeratorControlsReverse
 | Repaint
 | Update
 | SetFocus
 | FlipChildren
 | ScaleBy
 | GetDockCaption
 | UpdateDockCaption
 | GetTabOrderList
 | HandleAllocated
 | ParentHandlesAllocated
 | HandleNeeded
 | BrushCreated
 | EraseBackground
 | IntfUTF8KeyPress
 | IntfGetDropFilesTarget
 | PaintTo
 | SetShape
TControl
pt | WSRegisterClass
pt | GetCursor
pt | SetCursor
pt | SetVisible
pt | DoOnParentHandleDestruction
pt | DoAutoSize
pt | DoAllAutoSize
pt | BeginAutoSizing
pt | EndAutoSizing
pt | AnchorSideChanged
pt | ForeignAnchorSideChanged
pt | SetAlign
pt | SetAnchors
pt | SetAutoSize
pt | BoundsChanged
pt | CreateControlBorderSpacing
pt | DoConstraintsChange
pt | DoBorderSpacingChange
pt | IsBorderSpacingInnerBorderStored
pt | IsCaptionStored
pt | SendMoveSizeMessages
pt | ConstrainedResize
pt | CalculatePreferredSize
pt | DoOnResize
pt | DoOnChangeBounds
pt | CheckOnChangeBounds
pt | Resize
pt | RequestAlign
pt | UpdateAnchorRules
pt | ChangeBounds
pt | DoSetBounds
pt | ScaleConstraints
pt | ChangeScale
pt | CanAutoSize
pt | SetBiDiMode
pt | SetParentBiDiMode
pt | IsAParentAligning
pt | GetClientOrigin
pt | GetClientRect
pt | GetLogicalClientRect
pt | GetScrolledClientRect
pt | GetClientScrollOffset
pt | GetControlOrigin
pt | IsClientHeightStored
pt | IsClientWidthStored
pt | WidthIsAnchored
pt | HeightIsAnchored
pt | WMCancelMode
pt | WMContextMenu
pt | WMLButtonDown
pt | WMRButtonDown
pt | WMMButtonDown
pt | WMXButtonDown
pt | WMLButtonDBLCLK
pt | WMRButtonDBLCLK
pt | WMMButtonDBLCLK
pt | WMXButtonDBLCLK
pt | WMLButtonTripleCLK
pt | WMRButtonTripleCLK
pt | WMMButtonTripleCLK
pt | WMXButtonTripleCLK
pt | WMLButtonQuadCLK
pt | WMRButtonQuadCLK
pt | WMMButtonQuadCLK
pt | WMXButtonQuadCLK
pt | WMMouseMove
pt | WMLButtonUp
pt | WMRButtonUp
pt | WMMButtonUp
pt | WMXButtonUp
pt | WMMouseWheel
pt | WMMouseHWheel
pt | WMMove
pt | WMSize
pt | WMWindowPosChanged
pt | CMChanged
pt | LMCaptureChanged
pt | CMBiDiModeChanged
pt | CMSysFontChanged
pt | CMEnabledChanged
pt | CMHitTest
pt | CMMouseEnter
pt | CMMouseLeave
pt | CMHintShow
pt | CMParentBiDiModeChanged
pt | CMParentColorChanged
pt | CMParentFontChanged
pt | CMParentShowHintChanged
pt | CMVisibleChanged
pt | CMTextChanged
pt | CMCursorChanged
pt | CalculateDockSizes
pt | CreateFloatingDockSite
pt | GetDockEdge
pt | GetDragImages
pt | GetFloating
pt | GetFloatingDockSiteClass
pt | BeforeDragStart
pt | BeginAutoDrag
pt | DoFloatMsg
pt | DockTrackNoTarget
pt | DoDock
pt | DoDragMsg
pt | DoEndDock
pt | DoEndDrag
pt | DoStartDock
pt | DoStartDrag
pt | DragCanceled
pt | DragOver
pt | PositionDockRect
pt | SetDragMode
pt | GetDefaultDockCaption
pt | Click
pt | DblClick
pt | TripleClick
pt | QuadClick
pt | GetMousePosFromMessage
pt | MouseDown
pt | MouseMove
pt | MouseUp
pt | MouseEnter
pt | MouseLeave
pt | DialogChar
pt | UpdateMouseCursor
pt | Changed
pt | GetPalette
pt | ChildClassAllowed
pt | ReadState
pt | Loaded
pt | LoadedAll
pt | DefineProperties
pt | AssignTo
pt | FormEndUpdated
pt | InvalidateControl
pt | FontChanged
pt | ParentFontChanged
pt | GetAction
pt | RealGetText
pt | RealSetText
pt | TextChanged
pt | GetCachedText
pt | SetAction
pt | SetColor
pt | SetEnabled
pt | SetHint
pt | SetName
pt | SetParent
pt | SetParentComponent
pt | WndProc
pt | ParentFormHandleInitialized
pt | GetMouseCapture
pt | CaptureChanged
pt | Notification
pt | CanTab
pt | GetDeviceContext
pt | GetEnabled
pt | GetPopupMenu
pt | DoOnShowHint
pt | DoMouseWheel
pt | DoMouseWheelDown
pt | DoMouseWheelUp
pt | DoMouseWheelHorz
pt | DoMouseWheelLeft
pt | DoMouseWheelRight
pt | VisibleChanging
pt | VisibleChanged
pt | EnabledChanging
pt | EnabledChanged
pt | AddHandler
pt | RemoveHandler
pt | DoCallNotifyHandler
pt | DoCallKeyEventHandler
pt | DoCallMouseWheelEventHandler
pt | DoContextPopup
pt | SetZOrder
pt | GetControlClassDefaultSize
pt | ColorIsStored
pt | DoAutoAdjustLayout
pt | DoFixDesignFontPPI
pt | DoScaleFontPPI
pt | GetActionLinkClass
pt | ActionChange
 | DragDrop
 | Dock
 | ManualDock
 | ManualFloat
 | ReplaceDockedControl
 | Docked
 | Dragging
 | GetAccessibleObject
 | CreateAccessibleObject
 | GetSelectedChildAccessibleObject
 | GetChildAccessibleObjectAtPos
 | ScaleDesignToForm
 | ScaleFormToDesign
 | Scale96ToForm
 | ScaleFormTo96
 | Scale96ToFont
 | ScaleFontTo96
 | ScaleScreenToFont
 | ScaleFontToScreen
 | Scale96ToScreen
 | ScaleScreenTo96
 | AdjustSize
 | AutoSizePhases
 | AutoSizeDelayed
 | AutoSizeDelayedReport
 | AutoSizeDelayedHandle
 | AnchorToNeighbour
 | AnchorParallel
 | AnchorHorizontalCenterTo
 | AnchorVerticalCenterTo
 | AnchorToCompanion
 | AnchorSame
 | AnchorAsAlign
 | AnchorClient
 | AnchoredControlCount
 | SetBounds
 | SetInitialBounds
 | SetBoundsKeepBase
 | GetPreferredSize
 | GetCanvasScaleFactor
 | GetDefaultWidth
 | GetDefaultHeight
 | GetDefaultColor
 | GetColorResolvingParent
 | GetRGBColorResolvingParent
 | GetSidePosition
 | CNPreferredSizeChanged
 | InvalidatePreferredSize
 | GetAnchorsDependingOnParent
 | DisableAutoSizing
 | EnableAutoSizing
 | UpdateBaseBounds
 | WriteLayoutDebugReport
 | AutoAdjustLayout
 | ShouldAutoAdjust
 | FixDesignFontsPPI
 | ScaleFontsPPI
 | Create
 | Destroy
 | BeforeDestruction
 | EditingDone
 | ExecuteDefaultAction
 | ExecuteCancelAction
 | BeginDrag
 | EndDrag
 | BringToFront
 | HasParent
 | GetParentComponent
 | IsParentOf
 | GetTopParent
 | IsVisible
 | IsControlVisible
 | IsEnabled
 | IsParentColor
 | IsParentFont
 | FormIsUpdating
 | IsProcessingPaintMsg
 | Hide
 | Refresh
 | Repaint
 | Invalidate
 | CheckChildClassAllowed
 | CheckNewParent
 | SendToBack
 | SetTempCursor
 | UpdateRolesForForm
 | ActiveDefaultControlChanged
 | GetTextBuf
 | GetTextLen
 | SetTextBuf
 | Perform
 | ScreenToClient
 | ClientToScreen
 | ScreenToControl
 | ControlToScreen
 | ClientToParent
 | ParentToClient
 | GetChildrenRect
 | Show
 | Update
 | HandleObjectShouldBeVisible
 | ParentDestroyingHandle
 | ParentHandlesAllocated
 | InitiateAction
 | ShowHelp
 | HasHelp
 | RemoveAllHandlersOfObject
 | AddHandlerOnResize
 | RemoveHandlerOnResize
 | AddHandlerOnChangeBounds
 | RemoveHandlerOnChangeBounds
 | AddHandlerOnVisibleChanging
 | RemoveHandlerOnVisibleChanging
 | AddHandlerOnVisibleChanged
 | RemoveHandlerOnVisibleChanged
 | AddHandlerOnEnabledChanged
 | RemoveHandlerOnEnableChanging
 | AddHandlerOnKeyDown
 | RemoveHandlerOnKeyDown
 | AddHandlerOnBeforeDestruction
 | RemoveHandlerOnBeforeDestruction
 | AddHandlerOnMouseWheel
 | RemoveHandlerOnMouseWheel
 | UseRightToLeftAlignment
 | UseRightToLeftReading
 | UseRightToLeftScrollBar
 | IsRightToLeft
TLCLComponent
pt | WSRegisterClass
pt | GetWSComponentClass
 | Create
 | Destroy
 | NewInstance
 | RemoveAllHandlersOfObject
 | IncLCLRefCount
 | DecLCLRefCount
TComponent
 | GetComObject
 | GetComponent
 | GetComponentCount
 | GetComponentIndex
 | Insert
 | ReadLeft
 | ReadTop
 | Remove
 | RemoveNotification
 | SetComponentIndex
 | SetReference
 | WriteLeft
 | WriteTop
 | ChangeName
 | DefineProperties
 | GetChildren
 | GetChildOwner
 | GetChildParent
 | GetOwner
 | Loaded
 | Loading
 | Notification
 | PaletteCreated
 | ReadState
 | SetAncestor
 | SetDesigning
 | SetDesignInstance
 | SetInline
 | SetName
 | SetChildOrder
 | SetParentComponent
 | Updating
 | Updated
 | UpdateRegistry
 | ValidateRename
 | ValidateContainer
 | ValidateInsert
 | QueryInterface
 | _AddRef
 | _Release
 | iicrGetComponent
 | GetTypeInfoCount
 | GetTypeInfo
 | GetIDsOfNames
 | Invoke
 | WriteState
 | Create
 | Destroy
 | BeforeDestruction
 | DestroyComponents
 | Destroying
 | ExecuteAction
 | FindComponent
 | FreeNotification
 | RemoveFreeNotification
 | FreeOnRelease
 | GetEnumerator
 | GetNamePath
 | GetParentComponent
 | HasParent
 | InsertComponent
 | RemoveComponent
 | SafeCallException
 | SetSubComponent
 | UpdateAction
 | IsImplementorOf
 | ReferenceInterface
TPersistent
 | AssignError
 | AssignTo
 | DefineProperties
 | GetOwner
 | Destroy
 | Assign
 | FPOAttachObserver
 | FPODetachObserver
 | FPONotifyObservers
 | GetNamePath
TObject
 | Create
 | Destroy
 | newinstance
 | FreeInstance
 | SafeCallException
 | DefaultHandler
 | Free
 | InitInstance
 | CleanupInstance
 | ClassType
 | ClassInfo
 | ClassName
 | ClassNameIs
 | ClassParent
 | InstanceSize
 | InheritsFrom
 | StringMessageTable
 | MethodAddress
 | MethodName
 | FieldAddress
 | AfterConstruction
 | BeforeDestruction
 | DefaultHandlerStr
 | Dispatch
 | DispatchStr
 | GetInterface
 | GetInterfaceByStr
 | GetInterfaceWeak
 | GetInterfaceEntry
 | GetInterfaceEntryByStr
 | GetInterfaceTable
 | UnitName
 | Equals
 | GetHashCode
 | ToString


pt | ActionChange (TControl)
 | ActiveDefaultControlChanged (TControl)
 | AddControl (TWinControl)
pt | AddHandler (TControl)
 | AddHandlerOnBeforeDestruction (TControl)
 | AddHandlerOnChangeBounds (TControl)
 | AddHandlerOnEnabledChanged (TControl)
 | AddHandlerOnKeyDown (TControl)
 | AddHandlerOnMouseWheel (TControl)
 | AddHandlerOnResize (TControl)
 | AddHandlerOnVisibleChanged (TControl)
 | AddHandlerOnVisibleChanging (TControl)
pt | AdjustClientRect (TWinControl)
 | AdjustSize (TControl)
 | AfterConstruction (TObject)
pt | AlignControls (TWinControl)
pt | AllAutoSized (TWinControl)
 | AnchorAsAlign (TControl)
 | AnchorClient (TControl)
 | AnchoredControlCount (TControl)
 | AnchorHorizontalCenterTo (TControl)
 | AnchorParallel (TControl)
 | AnchorSame (TControl)
pt | AnchorSideChanged (TControl)
 | AnchorToCompanion (TControl)
 | AnchorToNeighbour (TControl)
 | AnchorVerticalCenterTo (TControl)
 | Assign (TPersistent)
 | AssignError (TPersistent)
 | AssignTo (TPersistent)
pt | AssignTo (TControl)
 | AutoAdjustLayout (TControl)
 | AutoAdjustLayout (TWinControl)
 | AutoSizeDelayed (TControl)
 | AutoSizeDelayed (TWinControl)
 | AutoSizeDelayedHandle (TControl)
 | AutoSizeDelayedHandle (TWinControl)
 | AutoSizeDelayedReport (TControl)
 | AutoSizeDelayedReport (TWinControl)
 | AutoSizePhases (TControl)
 | AutoSizePhases (TWinControl)
 | BeforeDestruction (TObject)
 | BeforeDestruction (TComponent)
 | BeforeDestruction (TControl)
pt | BeforeDragStart (TControl)
pt | BeginAutoDrag (TControl)
pt | BeginAutoSizing (TControl)
 | BeginDrag (TControl)
 | BeginUpdateBounds (TWinControl)
pt | BoundsChanged (TControl)
 | BringToFront (TControl)
 | BroadCast (TWinControl)
 | BrushCreated (TWinControl)
pt | CalculateDockSizes (TControl)
pt | CalculatePreferredSize (TControl)
pt | CalculatePreferredSize (TWinControl)
pt | CanAutoSize (TControl)
 | CanFocus (TWinControl)
 | CanModify (TCustomRadioGroup)
 | CanSetFocus (TWinControl)
pt | CanTab (TControl)
pt | CanTab (TWinControl)
pt | CaptureChanged (TControl)
pt | Change (TDBRadioGroup)
pt | ChangeBounds (TControl)
pt | Changed (TControl)
 | ChangeName (TComponent)
pt | ChangeScale (TControl)
pt | ChangeScale (TWinControl)
 | CheckChildClassAllowed (TControl)
pt | CheckItemIndexChanged (TCustomRadioGroup)
 | CheckNewParent (TControl)
pt | CheckOnChangeBounds (TControl)
pt | ChildClassAllowed (TControl)
pt | ChildClassAllowed (TWinControl)
pt | ChildHandlesCreated (TWinControl)
pt | ChildKey (TWinControl)
 | ClassInfo (TObject)
 | ClassName (TObject)
 | ClassNameIs (TObject)
 | ClassParent (TObject)
 | ClassType (TObject)
 | CleanupInstance (TObject)
pt | Click (TControl)
 | ClientRectNeedsInterfaceUpdate (TWinControl)
 | ClientToParent (TControl)
 | ClientToScreen (TControl)
pt | CMBiDiModeChanged (TControl)
pt | CMBiDiModeChanged (TWinControl)
pt | CMBorderChanged (TWinControl)
pt | CMChanged (TControl)
pt | CMCursorChanged (TControl)
pt | CMDoubleBufferedChanged (TWinControl)
pt | CMEnabledChanged (TControl)
pt | CMEnabledChanged (TWinControl)
pt | CMEnter (TWinControl)
pt | CMExit (TWinControl)
pt | CMHintShow (TControl)
pt | CMHitTest (TControl)
pt | CMMouseEnter (TControl)
pt | CMMouseLeave (TControl)
pt | CMParentBiDiModeChanged (TControl)
pt | CMParentColorChanged (TControl)
pt | CMParentDoubleBufferedChanged (TWinControl)
pt | CMParentFontChanged (TControl)
pt | CMParentShowHintChanged (TControl)
pt | CMShowHintChanged (TWinControl)
pt | CMShowingChanged (TWinControl)
pt | CMSysFontChanged (TControl)
pt | CMTextChanged (TControl)
pt | CMVisibleChanged (TControl)
pt | CMVisibleChanged (TWinControl)
pt | CNChar (TWinControl)
pt | CNKeyDown (TWinControl)
pt | CNKeyUp (TWinControl)
 | CNPreferredSizeChanged (TControl)
pt | CNSysKeyDown (TWinControl)
pt | CNSysKeyUp (TWinControl)
pt | ColorIsStored (TControl)
pt | ConstrainedResize (TControl)
 | ContainsControl (TWinControl)
 | ControlAtPos (TWinControl)
pt | ControlKeyDown (TWinControl)
pt | ControlKeyUp (TWinControl)
pt | ControlsAligned (TWinControl)
 | ControlToScreen (TControl)
 | Create (TObject)
 | Create (TComponent)
 | Create (TLCLComponent)
 | Create (TControl)
 | Create (TWinControl)
 | Create (TCustomGroupBox)
 | Create (TCustomRadioGroup)
 | Create (TDBRadioGroup)
 | CreateAccessibleObject (TControl)
pt | CreateBrush (TWinControl)
pt | CreateControlBorderSpacing (TControl)
pt | CreateDockManager (TWinControl)
pt | CreateFloatingDockSite (TControl)
pt | CreateHandle (TWinControl)
pt | CreateParams (TWinControl)
pt | CreateParams (TCustomGroupBox)
 | CreateParented (TWinControl)
 | CreateParentedControl (TWinControl)
pt | CreateSubClass (TWinControl)
pt | CreateWnd (TWinControl)
pt | CustomAlignInsertBefore (TWinControl)
pt | CustomAlignPosition (TWinControl)
pt | DataChange (TDBRadioGroup)
pt | DblClick (TControl)
 | DecLCLRefCount (TLCLComponent)
 | DefaultHandler (TObject)
 | DefaultHandler (TWinControl)
 | DefaultHandlerStr (TObject)
 | DefineProperties (TPersistent)
 | DefineProperties (TComponent)
pt | DefineProperties (TControl)
 | Destroy (TObject)
 | Destroy (TPersistent)
 | Destroy (TComponent)
 | Destroy (TLCLComponent)
 | Destroy (TControl)
 | Destroy (TWinControl)
 | Destroy (TCustomRadioGroup)
 | Destroy (TDBRadioGroup)
 | DestroyComponents (TComponent)
pt | DestroyHandle (TWinControl)
 | Destroying (TComponent)
pt | DestroyWnd (TWinControl)
pt | DialogChar (TControl)
pt | DialogChar (TWinControl)
 | DisableAlign (TWinControl)
 | DisableAutoSizing (TControl)
 | Dispatch (TObject)
 | DispatchStr (TObject)
pt | DoAddDockClient (TWinControl)
 | DoAdjustClientRectChange (TWinControl)
pt | DoAlignChildControls (TWinControl)
pt | DoAllAutoSize (TControl)
pt | DoAllAutoSize (TWinControl)
pt | DoAutoAdjustLayout (TControl)
pt | DoAutoSize (TControl)
pt | DoAutoSize (TWinControl)
pt | DoBorderSpacingChange (TControl)
pt | DoCallKeyEventHandler (TControl)
pt | DoCallMouseWheelEventHandler (TControl)
pt | DoCallNotifyHandler (TControl)
pt | DoChildSizingChange (TWinControl)
 | Dock (TControl)
 | DockDrop (TWinControl)
 | Docked (TControl)
pt | DockOver (TWinControl)
pt | DockTrackNoTarget (TControl)
pt | DoConstraintsChange (TControl)
pt | DoConstraintsChange (TWinControl)
pt | DoContextPopup (TControl)
pt | DoDock (TControl)
pt | DoDockClientMsg (TWinControl)
pt | DoDockOver (TWinControl)
pt | DoDragMsg (TControl)
pt | DoDragMsg (TWinControl)
pt | DoEndDock (TControl)
pt | DoEndDrag (TControl)
pt | DoEnter (TWinControl)
pt | DoExit (TWinControl)
pt | DoFixDesignFontPPI (TControl)
pt | DoFlipChildren (TWinControl)
pt | DoFloatMsg (TControl)
pt | DoFloatMsg (TWinControl)
pt | DoGetDockCaption (TWinControl)
pt | DoKeyDownBeforeInterface (TWinControl)
pt | DoKeyPress (TWinControl)
pt | DoKeyUpBeforeInterface (TWinControl)
pt | DoMouseWheel (TControl)
pt | DoMouseWheelDown (TControl)
pt | DoMouseWheelHorz (TControl)
pt | DoMouseWheelLeft (TControl)
pt | DoMouseWheelRight (TControl)
pt | DoMouseWheelUp (TControl)
pt | DoOnChangeBounds (TControl)
pt | DoOnParentHandleDestruction (TControl)
pt | DoOnResize (TControl)
pt | DoOnShowHint (TControl)
pt | DoRemainingKeyDown (TWinControl)
pt | DoRemainingKeyUp (TWinControl)
pt | DoRemoveDockClient (TWinControl)
pt | DoScaleFontPPI (TControl)
pt | DoSendBoundsToInterface (TWinControl)
pt | DoSendShowHideToInterface (TWinControl)
pt | DoSetBounds (TControl)
pt | DoSetBounds (TWinControl)
pt | DoStartDock (TControl)
pt | DoStartDrag (TControl)
pt | DoUnDock (TWinControl)
pt | DoUndockClientMsg (TWinControl)
pt | DoUTF8KeyPress (TWinControl)
pt | DragCanceled (TControl)
 | DragDrop (TControl)
 | Dragging (TControl)
pt | DragOver (TControl)
 | EditingDone (TControl)
 | EditingDone (TDBRadioGroup)
 | EnableAlign (TWinControl)
 | EnableAutoSizing (TControl)
pt | EnabledChanged (TControl)
pt | EnabledChanging (TControl)
pt | EndAutoSizing (TControl)
 | EndDrag (TControl)
 | EndUpdateBounds (TWinControl)
 | Equals (TObject)
 | EraseBackground (TWinControl)
 | ExecuteAction (TComponent)
 | ExecuteAction (TDBRadioGroup)
 | ExecuteCancelAction (TControl)
 | ExecuteDefaultAction (TControl)
 | FieldAddress (TObject)
pt | FinalizeWnd (TWinControl)
 | FindChildControl (TWinControl)
 | FindComponent (TComponent)
pt | FindNextControl (TWinControl)
 | FixDesignFontsPPI (TControl)
pt | FixupTabList (TWinControl)
 | FlipChildren (TWinControl)
 | FlipChildren (TCustomRadioGroup)
 | Focused (TWinControl)
pt | FontChanged (TControl)
pt | FontChanged (TWinControl)
pt | ForeignAnchorSideChanged (TControl)
pt | FormEndUpdated (TControl)
pt | FormEndUpdated (TWinControl)
 | FormIsUpdating (TControl)
 | FPOAttachObserver (TPersistent)
 | FPODetachObserver (TPersistent)
 | FPONotifyObservers (TPersistent)
 | Free (TObject)
 | FreeInstance (TObject)
 | FreeNotification (TComponent)
 | FreeOnRelease (TComponent)
 | GetAccessibleObject (TControl)
pt | GetAction (TControl)
pt | GetActionLinkClass (TControl)
pt | GetAdjustedLogicalClientRect (TWinControl)
 | GetAnchorsDependingOnParent (TControl)
pt | GetBorderStyle (TWinControl)
pt | GetButtonValue (TDBRadioGroup)
pt | GetCachedText (TControl)
 | GetCanvasScaleFactor (TControl)
 | GetChildAccessibleObjectAtPos (TControl)
 | GetChildOwner (TComponent)
 | GetChildParent (TComponent)
 | GetChildren (TComponent)
pt | GetChildren (TWinControl)
 | GetChildrenRect (TControl)
 | GetChildrenRect (TWinControl)
pt | GetClientOrigin (TControl)
pt | GetClientOrigin (TWinControl)
pt | GetClientRect (TControl)
pt | GetClientRect (TWinControl)
pt | GetClientScrollOffset (TControl)
 | GetColorResolvingParent (TControl)
 | GetComObject (TComponent)
 | GetComponent (TComponent)
 | GetComponentCount (TComponent)
 | GetComponentIndex (TComponent)
pt | GetControlClassDefaultSize (TControl)
pt | GetControlClassDefaultSize (TCustomGroupBox)
 | GetControlIndex (TWinControl)
pt | GetControlOrigin (TControl)
pt | GetControlOrigin (TWinControl)
pt | GetCursor (TControl)
 | GetDefaultColor (TControl)
pt | GetDefaultDockCaption (TControl)
 | GetDefaultHeight (TControl)
 | GetDefaultWidth (TControl)
pt | GetDeviceContext (TControl)
pt | GetDeviceContext (TWinControl)
 | GetDockCaption (TWinControl)
pt | GetDockEdge (TControl)
pt | GetDragImages (TControl)
pt | GetEnabled (TControl)
 | GetEnumerator (TComponent)
 | GetEnumeratorControls (TWinControl)
 | GetEnumeratorControlsReverse (TWinControl)
pt | GetFloating (TControl)
pt | GetFloatingDockSiteClass (TControl)
 | GetHashCode (TObject)
 | GetIDsOfNames (TComponent)
 | GetInterface (TObject)
 | GetInterfaceByStr (TObject)
 | GetInterfaceEntry (TObject)
 | GetInterfaceEntryByStr (TObject)
 | GetInterfaceTable (TObject)
 | GetInterfaceWeak (TObject)
pt | GetItemIndex (TCustomRadioGroup)
pt | GetLogicalClientRect (TControl)
pt | GetMouseCapture (TControl)
pt | GetMouseCapture (TWinControl)
pt | GetMousePosFromMessage (TControl)
 | GetNamePath (TPersistent)
 | GetNamePath (TComponent)
 | GetOwner (TPersistent)
 | GetOwner (TComponent)
pt | GetPalette (TControl)
pt | GetParentBackground (TWinControl)
 | GetParentComponent (TComponent)
 | GetParentComponent (TControl)
pt | GetParentHandle (TWinControl)
pt | GetPopupMenu (TControl)
 | GetPreferredSize (TControl)
pt | GetPreferredSizeClientFrame (TWinControl)
 | GetRGBColorResolvingParent (TControl)
pt | GetScrolledClientRect (TControl)
 | GetSelectedChildAccessibleObject (TControl)
 | GetSidePosition (TControl)
pt | GetSiteInfo (TWinControl)
 | GetTabOrderList (TWinControl)
 | GetTextBuf (TControl)
 | GetTextLen (TControl)
 | GetTextLen (TWinControl)
 | GetTopParent (TControl)
pt | GetTopParentHandle (TWinControl)
 | GetTypeInfo (TComponent)
 | GetTypeInfoCount (TComponent)
pt | GetWSComponentClass (TLCLComponent)
 | HandleAllocated (TWinControl)
 | HandleNeeded (TWinControl)
 | HandleObjectShouldBeVisible (TControl)
 | HasHelp (TControl)
 | HasParent (TComponent)
 | HasParent (TControl)
pt | HeightIsAnchored (TControl)
 | Hide (TControl)
 | iicrGetComponent (TComponent)
 | IncLCLRefCount (TLCLComponent)
 | InheritsFrom (TObject)
pt | InitializeWnd (TWinControl)
pt | InitializeWnd (TCustomRadioGroup)
 | InitiateAction (TControl)
 | InitInstance (TObject)
 | Insert (TComponent)
 | InsertComponent (TComponent)
 | InsertControl (TWinControl)
 | InstanceSize (TObject)
 | IntfGetDropFilesTarget (TWinControl)
 | IntfUTF8KeyPress (TWinControl)
 | Invalidate (TControl)
 | Invalidate (TWinControl)
pt | InvalidateBoundsRealized (TWinControl)
 | InvalidateClientRectCache (TWinControl)
pt | InvalidateControl (TControl)
pt | InvalidatePreferredChildSizes (TWinControl)
 | InvalidatePreferredSize (TControl)
 | Invoke (TComponent)
pt | IsAParentAligning (TControl)
pt | IsBorderSpacingInnerBorderStored (TControl)
pt | IsCaptionStored (TControl)
pt | IsClientHeightStored (TControl)
pt | IsClientHeightStored (TWinControl)
pt | IsClientWidthStored (TControl)
pt | IsClientWidthStored (TWinControl)
pt | IsControlMouseMsg (TWinControl)
 | IsControlVisible (TControl)
 | IsEnabled (TControl)
 | IsImplementorOf (TComponent)
 | IsParentColor (TControl)
 | IsParentFont (TControl)
 | IsParentOf (TControl)
 | IsProcessingPaintMsg (TControl)
 | IsRightToLeft (TControl)
 | IsVisible (TControl)
pt | KeyDown (TWinControl)
pt | KeyDownAfterInterface (TWinControl)
pt | KeyDownBeforeInterface (TWinControl)
pt | KeyPress (TWinControl)
pt | KeyUp (TWinControl)
pt | KeyUpAfterInterface (TWinControl)
pt | KeyUpBeforeInterface (TWinControl)
pt | LMCaptureChanged (TControl)
 | Loaded (TComponent)
pt | Loaded (TControl)
pt | Loaded (TWinControl)
pt | LoadedAll (TControl)
 | Loading (TComponent)
 | LockRealizeBounds (TWinControl)
pt | MainWndProc (TWinControl)
 | ManualDock (TControl)
 | ManualFloat (TControl)
 | MethodAddress (TObject)
 | MethodName (TObject)
pt | MouseDown (TControl)
pt | MouseEnter (TControl)
pt | MouseLeave (TControl)
pt | MouseMove (TControl)
pt | MouseUp (TControl)
 | newinstance (TObject)
 | NewInstance (TLCLComponent)
 | Notification (TComponent)
pt | Notification (TControl)
pt | Notification (TDBRadioGroup)
 | NotifyControls (TWinControl)
pt | PaintControls (TWinControl)
pt | PaintHandler (TWinControl)
 | PaintTo (TWinControl)
pt | PaintWindow (TWinControl)
 | PaletteCreated (TComponent)
 | ParentDestroyingHandle (TControl)
pt | ParentFontChanged (TControl)
pt | ParentFormHandleInitialized (TControl)
pt | ParentFormHandleInitialized (TWinControl)
 | ParentHandlesAllocated (TControl)
 | ParentHandlesAllocated (TWinControl)
 | ParentToClient (TControl)
 | Perform (TControl)
 | PerformTab (TWinControl)
pt | PositionDockRect (TControl)
pt | QuadClick (TControl)
 | QueryInterface (TComponent)
 | ReadLeft (TComponent)
 | ReadState (TComponent)
pt | ReadState (TControl)
pt | ReadState (TCustomRadioGroup)
 | ReadTop (TComponent)
pt | RealGetText (TControl)
pt | RealGetText (TWinControl)
 | ReAlign (TWinControl)
pt | RealizeBounds (TWinControl)
pt | RealizeBoundsRecursive (TWinControl)
pt | RealSetText (TControl)
pt | RealSetText (TWinControl)
 | ReferenceInterface (TComponent)
 | Refresh (TControl)
pt | ReloadDockedControl (TWinControl)
 | Remove (TComponent)
 | RemoveAllHandlersOfObject (TLCLComponent)
 | RemoveAllHandlersOfObject (TControl)
 | RemoveComponent (TComponent)
 | RemoveControl (TWinControl)
pt | RemoveFocus (TWinControl)
 | RemoveFreeNotification (TComponent)
pt | RemoveHandler (TControl)
 | RemoveHandlerOnBeforeDestruction (TControl)
 | RemoveHandlerOnChangeBounds (TControl)
 | RemoveHandlerOnEnableChanging (TControl)
 | RemoveHandlerOnKeyDown (TControl)
 | RemoveHandlerOnMouseWheel (TControl)
 | RemoveHandlerOnResize (TControl)
 | RemoveHandlerOnVisibleChanged (TControl)
 | RemoveHandlerOnVisibleChanging (TControl)
 | RemoveNotification (TComponent)
 | Repaint (TControl)
 | Repaint (TWinControl)
 | ReplaceDockedControl (TControl)
pt | RequestAlign (TControl)
pt | Resize (TControl)
 | Rows (TCustomRadioGroup)
 | SafeCallException (TObject)
 | SafeCallException (TComponent)
 | Scale96ToFont (TControl)
 | Scale96ToForm (TControl)
 | Scale96ToScreen (TControl)
 | ScaleBy (TWinControl)
pt | ScaleConstraints (TControl)
pt | ScaleControls (TWinControl)
 | ScaleDesignToForm (TControl)
 | ScaleFontsPPI (TControl)
 | ScaleFontTo96 (TControl)
 | ScaleFontToScreen (TControl)
 | ScaleFormTo96 (TControl)
 | ScaleFormToDesign (TControl)
 | ScaleScreenTo96 (TControl)
 | ScaleScreenToFont (TControl)
 | ScreenToClient (TControl)
 | ScreenToControl (TControl)
 | ScrollBy (TWinControl)
 | ScrollBy_WS (TWinControl)
pt | SelectFirst (TWinControl)
 | SelectNext (TWinControl)
pt | SendDialogChar (TWinControl)
pt | SendMoveSizeMessages (TControl)
pt | SendMoveSizeMessages (TWinControl)
 | SendToBack (TControl)
pt | SetAction (TControl)
pt | SetAlign (TControl)
 | SetAncestor (TComponent)
pt | SetAnchors (TControl)
pt | SetAutoSize (TControl)
pt | SetBiDiMode (TControl)
pt | SetBorderStyle (TWinControl)
 | SetBounds (TControl)
 | SetBounds (TWinControl)
 | SetBoundsKeepBase (TControl)
 | SetChildOrder (TComponent)
pt | SetChildZPosition (TWinControl)
pt | SetColor (TControl)
pt | SetColor (TWinControl)
pt | SetColumns (TCustomRadioGroup)
 | SetComponentIndex (TComponent)
 | SetControlIndex (TWinControl)
pt | SetCursor (TControl)
 | SetDesigning (TComponent)
 | SetDesignInstance (TComponent)
pt | SetDockManager (TWinControl)
pt | SetDragMode (TControl)
pt | SetEnabled (TControl)
 | SetFocus (TWinControl)
pt | SetHint (TControl)
 | SetInitialBounds (TControl)
 | SetInline (TComponent)
pt | SetItemIndex (TCustomRadioGroup)
pt | SetItems (TCustomRadioGroup)
 | SetName (TComponent)
pt | SetName (TControl)
pt | SetParent (TControl)
pt | SetParentBackground (TWinControl)
pt | SetParentBiDiMode (TControl)
 | SetParentComponent (TComponent)
pt | SetParentComponent (TControl)
 | SetReference (TComponent)
 | SetShape (TWinControl)
 | SetSubComponent (TComponent)
 | SetTempCursor (TControl)
 | SetTempCursor (TWinControl)
 | SetTextBuf (TControl)
pt | SetVisible (TControl)
pt | SetZOrder (TControl)
 | ShouldAutoAdjust (TControl)
 | Show (TControl)
pt | ShowControl (TWinControl)
 | ShowHelp (TControl)
 | StringMessageTable (TObject)
pt | TextChanged (TControl)
 | ToString (TObject)
pt | TripleClick (TControl)
 | UnitName (TObject)
 | UnlockRealizeBounds (TWinControl)
 | Update (TControl)
 | Update (TWinControl)
 | UpdateAction (TComponent)
 | UpdateAction (TDBRadioGroup)
pt | UpdateAll (TCustomRadioGroup)
pt | UpdateAnchorRules (TControl)
 | UpdateBaseBounds (TControl)
pt | UpdateControlState (TWinControl)
 | Updated (TComponent)
pt | UpdateData (TDBRadioGroup)
 | UpdateDockCaption (TWinControl)
pt | UpdateInternalObjectList (TCustomRadioGroup)
pt | UpdateMouseCursor (TControl)
pt | UpdateRadioButtonStates (TCustomRadioGroup)
pt | UpdateRadioButtonStates (TDBRadioGroup)
 | UpdateRegistry (TComponent)
 | UpdateRolesForForm (TControl)
pt | UpdateShowing (TWinControl)
 | Updating (TComponent)
 | UseRightToLeftAlignment (TControl)
 | UseRightToLeftReading (TControl)
 | UseRightToLeftScrollBar (TControl)
pt | UTF8KeyPress (TWinControl)
 | ValidateContainer (TComponent)
 | ValidateInsert (TComponent)
 | ValidateRename (TComponent)
pt | VisibleChanged (TControl)
pt | VisibleChanging (TControl)
pt | WidthIsAnchored (TControl)
pt | WMCancelMode (TControl)
pt | WMChar (TWinControl)
pt | WMContextMenu (TControl)
pt | WMContextMenu (TWinControl)
pt | WMDestroy (TWinControl)
pt | WMEnter (TWinControl)
pt | WMEraseBkgnd (TWinControl)
pt | WMExit (TWinControl)
pt | WMKeyDown (TWinControl)
pt | WMKeyUp (TWinControl)
pt | WMKillFocus (TWinControl)
pt | WMLButtonDBLCLK (TControl)
pt | WMLButtonDown (TControl)
pt | WMLButtonQuadCLK (TControl)
pt | WMLButtonTripleCLK (TControl)
pt | WMLButtonUp (TControl)
pt | WMMButtonDBLCLK (TControl)
pt | WMMButtonDown (TControl)
pt | WMMButtonQuadCLK (TControl)
pt | WMMButtonTripleCLK (TControl)
pt | WMMButtonUp (TControl)
pt | WMMouseHWheel (TControl)
pt | WMMouseMove (TControl)
pt | WMMouseWheel (TControl)
pt | WMMove (TControl)
pt | WMMove (TWinControl)
pt | WMNotify (TWinControl)
pt | WMPaint (TWinControl)
pt | WMRButtonDBLCLK (TControl)
pt | WMRButtonDown (TControl)
pt | WMRButtonQuadCLK (TControl)
pt | WMRButtonTripleCLK (TControl)
pt | WMRButtonUp (TControl)
pt | WMSetFocus (TWinControl)
pt | WMShowWindow (TWinControl)
pt | WMSize (TControl)
pt | WMSize (TWinControl)
pt | WMSysChar (TWinControl)
pt | WMSysKeyDown (TWinControl)
pt | WMSysKeyUp (TWinControl)
pt | WMWindowPosChanged (TControl)
pt | WMWindowPosChanged (TWinControl)
pt | WMXButtonDBLCLK (TControl)
pt | WMXButtonDown (TControl)
pt | WMXButtonQuadCLK (TControl)
pt | WMXButtonTripleCLK (TControl)
pt | WMXButtonUp (TControl)
pt | WndProc (TControl)
pt | WndProc (TWinControl)
 | WriteLayoutDebugReport (TControl)
 | WriteLayoutDebugReport (TWinControl)
 | WriteLeft (TComponent)
 | WriteState (TComponent)
 | WriteTop (TComponent)
pt | WSRegisterClass (TLCLComponent)
pt | WSRegisterClass (TControl)
pt | WSRegisterClass (TWinControl)
pt | WSRegisterClass (TCustomGroupBox)
pt | WSRegisterClass (TCustomRadioGroup)
pt | WSSetText (TWinControl)
 | _AddRef (TComponent)
 | _Release (TComponent)


TDBRadioGroup
pl |  | OnChange
pl | ro | OnChangeBounds
pl | ro | OnClick
pl | ro | OnDragDrop
pl | ro | OnDragOver
pl | ro | OnEndDrag
pl | ro | OnMouseDown
pl | ro | OnMouseEnter
pl | ro | OnMouseLeave
pl | ro | OnMouseMove
pl | ro | OnMouseUp
pl | ro | OnMouseWheel
pl | ro | OnMouseWheelDown
pl | ro | OnMouseWheelUp
pl | ro | OnResize
pl | ro | OnStartDrag
TCustomRadioGroup
 |  | OnClick
 |  | OnSelectionChanged
TCustomGroupBox
TWinControl
pt |  | OnGetSiteInfo
pt |  | OnGetDockCaption
 |  | OnAlignInsertBefore
 |  | OnAlignPosition
 |  | OnDockDrop
 |  | OnDockOver
 |  | OnEnter
 |  | OnExit
 |  | OnKeyDown
 |  | OnKeyPress
 |  | OnKeyUp
 |  | OnUnDock
 |  | OnUTF8KeyPress
TControl
pt |  | OnConstrainedResize
pt |  | OnContextPopup
pt |  | OnDblClick
pt |  | OnTripleClick
pt |  | OnQuadClick
pt |  | OnDragDrop
pt |  | OnDragOver
pt |  | OnEndDock
pt |  | OnEndDrag
pt |  | OnMouseDown
pt |  | OnMouseMove
pt |  | OnMouseUp
pt |  | OnMouseEnter
pt |  | OnMouseLeave
pt |  | OnMouseWheel
pt |  | OnMouseWheelDown
pt |  | OnMouseWheelUp
pt |  | OnMouseWheelHorz
pt |  | OnMouseWheelLeft
pt |  | OnMouseWheelRight
pt |  | OnStartDock
pt |  | OnStartDrag
pt |  | OnEditingDone
 |  | OnChangeBounds
 |  | OnClick
 |  | OnResize
 |  | OnShowHint
TLCLComponent
TComponent
TPersistent
TObject


pl |  | OnChange (TDBRadioGroup)
 |  | OnChangeBounds (TControl)
pl | ro | OnChangeBounds (TDBRadioGroup)
 |  | OnClick (TControl)
 |  | OnClick (TCustomRadioGroup)
pl | ro | OnClick (TDBRadioGroup)
pt |  | OnConstrainedResize (TControl)
pt |  | OnContextPopup (TControl)
pt |  | OnDblClick (TControl)
 |  | OnDockDrop (TWinControl)
 |  | OnDockOver (TWinControl)
pt |  | OnDragDrop (TControl)
pl | ro | OnDragDrop (TDBRadioGroup)
pt |  | OnDragOver (TControl)
pl | ro | OnDragOver (TDBRadioGroup)
pt |  | OnEditingDone (TControl)
pt |  | OnEndDock (TControl)
pt |  | OnEndDrag (TControl)
pl | ro | OnEndDrag (TDBRadioGroup)
 |  | OnEnter (TWinControl)
 |  | OnExit (TWinControl)
pt |  | OnGetDockCaption (TWinControl)
pt |  | OnGetSiteInfo (TWinControl)
 |  | OnKeyDown (TWinControl)
 |  | OnKeyPress (TWinControl)
 |  | OnKeyUp (TWinControl)
pt |  | OnMouseDown (TControl)
pl | ro | OnMouseDown (TDBRadioGroup)
pt |  | OnMouseEnter (TControl)
pl | ro | OnMouseEnter (TDBRadioGroup)
pt |  | OnMouseLeave (TControl)
pl | ro | OnMouseLeave (TDBRadioGroup)
pt |  | OnMouseMove (TControl)
pl | ro | OnMouseMove (TDBRadioGroup)
pt |  | OnMouseUp (TControl)
pl | ro | OnMouseUp (TDBRadioGroup)
pt |  | OnMouseWheel (TControl)
pl | ro | OnMouseWheel (TDBRadioGroup)
pt |  | OnMouseWheelDown (TControl)
pl | ro | OnMouseWheelDown (TDBRadioGroup)
pt |  | OnMouseWheelHorz (TControl)
pt |  | OnMouseWheelLeft (TControl)
pt |  | OnMouseWheelRight (TControl)
pt |  | OnMouseWheelUp (TControl)
pl | ro | OnMouseWheelUp (TDBRadioGroup)
pt |  | OnQuadClick (TControl)
 |  | OnResize (TControl)
pl | ro | OnResize (TDBRadioGroup)
 |  | OnSelectionChanged (TCustomRadioGroup)
 |  | OnShowHint (TControl)
pt |  | OnStartDock (TControl)
pt |  | OnStartDrag (TControl)
pl | ro | OnStartDrag (TDBRadioGroup)
pt |  | OnTripleClick (TControl)
 |  | OnUnDock (TWinControl)
 |  | OnUTF8KeyPress (TWinControl)


TDBRadioGroup.AutoSize

Declaration

Source position: dbctrls.pp line 585

published property TDBRadioGroup.AutoSize : Boolean;


TDBRadioGroup.BiDiMode

Declaration

Source position: dbctrls.pp line 586

published property TDBRadioGroup.BiDiMode : TBiDiMode;


TDBRadioGroup.Change

Change - calls the OnChange event handler if it is assigned

Declaration

Source position: dbctrls.pp line 565

protected procedure TDBRadioGroup.Change; virtual;


TDBRadioGroup.ChildSizing

Declaration

Source position: dbctrls.pp line 589

published property TDBRadioGroup.ChildSizing : TControlChildSizing;


TDBRadioGroup.Color

Declaration

Source position: dbctrls.pp line 590

published property TDBRadioGroup.Color : TColor;


TDBRadioGroup.Constraints

Declaration

Source position: dbctrls.pp line 593

published property TDBRadioGroup.Constraints : TSizeConstraints;


TDBRadioGroup.Create

Create - constructor for TDBRadioGroup: calls inherited Create then forms datalinks and actions

Declaration

Source position: dbctrls.pp line 573

public constructor TDBRadioGroup.Create(

  TheOwner: TComponent

); override;

See also

TCustomRadioGroup.Create

Create - constructor for TCustomRadioGroup: calls inherited Create, then sets list of buttons, and initialises layout and sizing properties


TDBRadioGroup.DataChange

DataChange - updates the current Value to reflect a change inthe data

Declaration

Source position: dbctrls.pp line 567

protected procedure TDBRadioGroup.DataChange(

  Sender: TObject

);


TDBRadioGroup.DataField

The name (as a string) of the Field whose data are linked to the control

Declaration

Source position: dbctrls.pp line 594

published property TDBRadioGroup.DataField : string
  read GetDataField
  write SetDataField;


TDBRadioGroup.DataLink

DataLink - the field data link to be used for the data

Declaration

Source position: dbctrls.pp line 569

protected property TDBRadioGroup.DataLink : TFieldDataLink
  read FDataLink;


TDBRadioGroup.DataSource

The DataSource from which relevant Field data are to be linked - usually the result of a database query

Declaration

Source position: dbctrls.pp line 595

published property TDBRadioGroup.DataSource : TDataSource
  read GetDataSource
  write SetDataSource;


TDBRadioGroup.Destroy

Destroy - destructor for TDBRadioGroup: frees links and items, then calls inherited Destroy

Declaration

Source position: dbctrls.pp line 574

public destructor TDBRadioGroup.Destroy; override;

See also

TCustomRadioGroup.Destroy

Destroy - destructor for TCustomRadioGroup: frees items and buttons, then calls inherited Destroy


TDBRadioGroup.DoubleBuffered

Declaration

Source position: dbctrls.pp line 596

published property TDBRadioGroup.DoubleBuffered : Boolean;


TDBRadioGroup.EditingDone

EditingDone - updates the record through the datalink, then calls inherited EditingDone

Declaration

Source position: dbctrls.pp line 575

public procedure TDBRadioGroup.EditingDone; override;

See also

TControl.EditingDone

Invokes the OnEditingDone event handler.


TDBRadioGroup.ExecuteAction

Declaration

Source position: dbctrls.pp line 576

public function TDBRadioGroup.ExecuteAction(

  AAction: TBasicAction

):Boolean; override;


TDBRadioGroup.Field

The DataSet Field relevant to the data being selected

Declaration

Source position: dbctrls.pp line 578

public property TDBRadioGroup.Field : TField
  read GetField;

Description

Refers to the complete Field entity, not just its name


TDBRadioGroup.Font

Declaration

Source position: dbctrls.pp line 600

published property TDBRadioGroup.Font : TFont;


TDBRadioGroup.GetButtonValue

GetButtonValue - returns the string value of the button associated with the specified index

Declaration

Source position: dbctrls.pp line 570

protected function TDBRadioGroup.GetButtonValue(

  Index: Integer

):string;


TDBRadioGroup.OnChange

Event Handler for any change in the radiogroup selection

Declaration

Source position: dbctrls.pp line 602

published property TDBRadioGroup.OnChange : TNotifyEvent
  read FOnChange
  write FOnChange;


TDBRadioGroup.OnMouseEnter

Declaration

Source position: dbctrls.pp line 609

published property TDBRadioGroup.OnMouseEnter : TNotifyEvent;


TDBRadioGroup.OnMouseLeave

Declaration

Source position: dbctrls.pp line 610

published property TDBRadioGroup.OnMouseLeave : TNotifyEvent;


TDBRadioGroup.OnMouseWheel

Declaration

Source position: dbctrls.pp line 613

published property TDBRadioGroup.OnMouseWheel : TMouseWheelEvent;


TDBRadioGroup.OnMouseWheelDown

Declaration

Source position: dbctrls.pp line 614

published property TDBRadioGroup.OnMouseWheelDown : TMouseWheelUpDownEvent;


TDBRadioGroup.OnMouseWheelUp

Declaration

Source position: dbctrls.pp line 615

published property TDBRadioGroup.OnMouseWheelUp : TMouseWheelUpDownEvent;


TDBRadioGroup.ParentBiDiMode

Declaration

Source position: dbctrls.pp line 618

published property TDBRadioGroup.ParentBiDiMode : Boolean;


TDBRadioGroup.ParentColor

Declaration

Source position: dbctrls.pp line 619

published property TDBRadioGroup.ParentColor : Boolean;


TDBRadioGroup.ParentDoubleBuffered

Declaration

Source position: dbctrls.pp line 620

published property TDBRadioGroup.ParentDoubleBuffered : Boolean;


TDBRadioGroup.ParentFont

Declaration

Source position: dbctrls.pp line 621

published property TDBRadioGroup.ParentFont : Boolean;


TDBRadioGroup.ParentShowHint

Declaration

Source position: dbctrls.pp line 622

published property TDBRadioGroup.ParentShowHint : Boolean;


TDBRadioGroup.PopupMenu

Declaration

Source position: dbctrls.pp line 623

published property TDBRadioGroup.PopupMenu : TPopupMenu;


TDBRadioGroup.ReadOnly

ReadOnly - if True, data can only be read, not written or modified. (Doesn't really make sense for a RadioGroup!)

Declaration

Source position: dbctrls.pp line 624

published property TDBRadioGroup.ReadOnly : Boolean
  read GetReadOnly
  write SetReadOnly
  default False;


TDBRadioGroup.ShowHint

Declaration

Source position: dbctrls.pp line 625

published property TDBRadioGroup.ShowHint : Boolean;


TDBRadioGroup.TabStop

Declaration

Source position: dbctrls.pp line 627

published property TDBRadioGroup.TabStop : Boolean;


TDBRadioGroup.UpdateAction

Declaration

Source position: dbctrls.pp line 577

public function TDBRadioGroup.UpdateAction(

  AAction: TBasicAction

):Boolean; override;


TDBRadioGroup.UpdateData

UpdateData - places the current Value into the data

Declaration

Source position: dbctrls.pp line 568

protected procedure TDBRadioGroup.UpdateData(

  Sender: TObject

);


TDBRadioGroup.UpdateRadioButtonStates

UpdateRadioButtonStates - performs the inheited method and ensures that any updates are also reflected via the data link, if it is active and in an Editing state

Declaration

Source position: dbctrls.pp line 571

protected procedure TDBRadioGroup.UpdateRadioButtonStates; override;

See also

TCustomRadioGroup.UpdateRadioButtonStates

UpdateRadioButtonStates including implementing any pending changes


TDBRadioGroup.Value

The selected value (as indicated by ItemIndex)

Declaration

Source position: dbctrls.pp line 580

public property TDBRadioGroup.Value : string
  read FValue
  write SetValue;


TDBRadioGroup.Values

The values of the strings in Items

Declaration

Source position: dbctrls.pp line 628

published property TDBRadioGroup.Values : TStrings
  read FValues
  write SetValues;


TDBText

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

TDBText - a data-aware text component to display a single text-string from a dataset

Declaration

Source position: dbctrls.pp line 273

type TDBText = class(TCustomLabel)
protected
procedure Notification(); override;
class procedure WSRegisterClass; override;
procedure Loaded; override;
public
constructor Create(); override; | Create - constructor for TDBText: calls inherited Create then forms data links and actions
destructor Destroy; override; | Destroy - destructor for TDBText: frees data links then calls inherited Destroy
function ExecuteAction(); override;
function UpdateAction(); override;
property Field: TField; [r] | The field in the DataSet to which this control is to be linked. Can be referred to by name, or as an index
published
property Align: TAlign; | Specifies the placement of the control inside its Parent.
property Alignment: TAlignment; | Horizontal text justification (centered, left- or right-justified).
property Anchors: TAnchors; | The set of anchor definitions for this control.
property AutoSize: Boolean; | Allows to automatically adjust the size of the control, according to its content.
property BidiMode: TBiDiMode;
property BorderSpacing: TControlBorderSpacing;
property Color: TColor; | The background color of the control.
property Constraints: TSizeConstraints;
property DataField: string; [rw] | The name of the field, as a string (ie cannot be referred to as an Index)
property DataSource: TDataSource; [rw] | The DataSource from which information is obtained to display in this control. Usually the result of a SQLQuery
property DragCursor: TCursor; | The cursor shape shown while the control is dragged.
property DragKind: TDragKind;
property DragMode: TDragMode; | Allows the user to drag the control.
property Enabled: Boolean;
property FocusControl: TWinControl; | The control associated with the label and its accelerator key (AccelChar).
property Font: TFont; | The font to be used for text display in this control.
property Layout: TTextLayout;
property ParentBidiMode: Boolean;
property ParentColor: Boolean;
property ParentFont: Boolean;
property ParentShowHint: Boolean;
property PopupMenu: TPopupMenu;
property ShowAccelChar: Boolean; | Underlines the character in the label that acts as an accelerator with a shortcut key.
property ShowHint: Boolean;
property Transparent: Boolean;
property Visible: Boolean; | Allows to show or hide the control, and all of its children.
property WordWrap: Boolean; | Allows text to wrap into multiple lines, when the text is too long for the available Width.
property OnClick: TNotifyEvent;
property OnDblClick: TNotifyEvent;
property OnDragDrop: TDragDropEvent; | This handler determines the action on an drop onto this control, in a drag-drop operation.
property OnDragOver: TDragOverEvent; | Event handler for a control being dragged over this control.
property OnEndDrag: TEndDragEvent; | Notification handler for the end of a dragging operation.
property OnMouseDown: TMouseEvent;
property OnMouseEnter: TNotifyEvent;
property OnMouseLeave: TNotifyEvent;
property OnMouseMove: TMouseMoveEvent;
property OnMouseUp: TMouseEvent;
property OnMouseWheel: TMouseWheelEvent;
property OnMouseWheelDown: TMouseWheelUpDownEvent;
property OnMouseWheelUp: TMouseWheelUpDownEvent;
property OnChangeBounds: TNotifyEvent;
property OnContextPopup: TContextPopupEvent;
property OnResize: TNotifyEvent;
property OnStartDrag: TStartDragEvent; | Event handler for the start of a dragging operation.
property OptimalFill: Boolean;
end;

Inheritance

TDBText | TDBText - a data-aware text component to display a single text-string from a dataset
|
TCustomLabel | The base class for TLabel.
|
TGraphicControl | TGraphicControl is the base class for all lightweight controls.
|
TControl | The base class for visible controls.
|
TLCLComponent | The base class for LCL components associated with widgets.
|
TComponent,IUnknown,IInterfaceComponentReference
|
TPersistent,IFPObserved
|
TObject

See also

HowToUseDataAwareControls

HowToUseDataAwareControls - Hints for accessing databases


TDBText
 | ro | Field
pl | ro | Align
pl | ro | Alignment
pl | ro | Anchors
pl | ro | AutoSize
pl | ro | BidiMode
pl | ro | BorderSpacing
pl | ro | Color
pl | ro | Constraints
pl |  | DataField
pl |  | DataSource
pl | ro | DragCursor
pl | ro | DragKind
pl | ro | DragMode
pl | ro | Enabled
pl | ro | FocusControl
pl | ro | Font
pl | ro | Layout
pl | ro | ParentBidiMode
pl | ro | ParentColor
pl | ro | ParentFont
pl | ro | ParentShowHint
pl | ro | PopupMenu
pl | ro | ShowAccelChar
pl | ro | ShowHint
pl | ro | Transparent
pl | ro | Visible
pl | ro | WordWrap
pl | ro | OptimalFill
TCustomLabel
pt |  | Alignment
pt |  | FocusControl
pt |  | Layout
pt |  | ShowAccelChar
pt |  | Transparent
pt |  | WordWrap
pt |  | OptimalFill
 | ro | AutoSize
 | ro | Color
TGraphicControl
 | ro | Canvas
TControl
pt | ro | AutoSizing
pt | ro | AutoSizingAll
pt | ro | AutoSizingLockCount
pt |  | ActionLink
pt |  | DesktopFont
pt |  | DragCursor
pt |  | DragKind
pt |  | DragMode
pt |  | MouseCapture
pt |  | ParentColor
pt |  | ParentFont
pt |  | ParentShowHint
pt |  | SessionProperties
pt |  | Text
 | ro | AnchoredControls
 | ro | BaseBounds
 | ro | ReadBounds
 | ro | BaseParentClientSize
 |  | AccessibleDescription
 |  | AccessibleValue
 |  | AccessibleRole
 |  | Action
 |  | Align
 |  | Anchors
 | ro | AnchorSide
 |  | AutoSize
 |  | BorderSpacing
 |  | BoundsRect
 |  | BoundsRectForNewParent
 |  | Caption
 |  | CaptureMouseButtons
 |  | ClientHeight
 | ro | ClientOrigin
 | ro | ClientRect
 |  | ClientWidth
 |  | Color
 |  | Constraints
 | ro | ControlOrigin
 |  | ControlState
 |  | ControlStyle
 |  | Enabled
 |  | Font
 |  | IsControl
 | ro | MouseEntered
 | ro | MouseInClient
 |  | Parent
 |  | PopupMenu
 |  | ShowHint
 |  | Visible
 |  | WindowProc
 |  | DockOrientation
 | ro | Floating
 |  | FloatingDockSiteClass
 |  | HostDockSite
 |  | LRDockWidth
 |  | TBDockHeight
 |  | UndockHeight
 |  | UndockWidth
 |  | BiDiMode
 |  | ParentBiDiMode
pl |  | AnchorSideLeft
pl |  | AnchorSideTop
pl |  | AnchorSideRight
pl |  | AnchorSideBottom
pl |  | Cursor
pl |  | Left
pl |  | Height
pl |  | Hint
pl |  | Top
pl |  | Width
pl |  | HelpType
pl |  | HelpKeyword
pl |  | HelpContext
TLCLComponent
 | ro | LCLRefCount
 | ro | WidgetSetClass
TComponent
 | ro | ComObject
 | ro | Components
 | ro | ComponentCount
 |  | ComponentIndex
 | ro | ComponentState
 | ro | ComponentStyle
 |  | DesignInfo
 | ro | Owner
 |  | VCLComObject
 |  | Name
 |  | Tag
TPersistent
TObject


 |  | AccessibleDescription (TControl)
 |  | AccessibleRole (TControl)
 |  | AccessibleValue (TControl)
 |  | Action (TControl)
pt |  | ActionLink (TControl)
 |  | Align (TControl)
pl | ro | Align (TDBText)
pt |  | Alignment (TCustomLabel)
pl | ro | Alignment (TDBText)
 | ro | AnchoredControls (TControl)
 |  | Anchors (TControl)
pl | ro | Anchors (TDBText)
 | ro | AnchorSide (TControl)
pl |  | AnchorSideBottom (TControl)
pl |  | AnchorSideLeft (TControl)
pl |  | AnchorSideRight (TControl)
pl |  | AnchorSideTop (TControl)
 |  | AutoSize (TControl)
 | ro | AutoSize (TCustomLabel)
pl | ro | AutoSize (TDBText)
pt | ro | AutoSizing (TControl)
pt | ro | AutoSizingAll (TControl)
pt | ro | AutoSizingLockCount (TControl)
 | ro | BaseBounds (TControl)
 | ro | BaseParentClientSize (TControl)
 |  | BiDiMode (TControl)
pl | ro | BidiMode (TDBText)
 |  | BorderSpacing (TControl)
pl | ro | BorderSpacing (TDBText)
 |  | BoundsRect (TControl)
 |  | BoundsRectForNewParent (TControl)
 | ro | Canvas (TGraphicControl)
 |  | Caption (TControl)
 |  | CaptureMouseButtons (TControl)
 |  | ClientHeight (TControl)
 | ro | ClientOrigin (TControl)
 | ro | ClientRect (TControl)
 |  | ClientWidth (TControl)
 |  | Color (TControl)
 | ro | Color (TCustomLabel)
pl | ro | Color (TDBText)
 | ro | ComObject (TComponent)
 | ro | ComponentCount (TComponent)
 |  | ComponentIndex (TComponent)
 | ro | Components (TComponent)
 | ro | ComponentState (TComponent)
 | ro | ComponentStyle (TComponent)
 |  | Constraints (TControl)
pl | ro | Constraints (TDBText)
 | ro | ControlOrigin (TControl)
 |  | ControlState (TControl)
 |  | ControlStyle (TControl)
pl |  | Cursor (TControl)
pl |  | DataField (TDBText)
pl |  | DataSource (TDBText)
 |  | DesignInfo (TComponent)
pt |  | DesktopFont (TControl)
 |  | DockOrientation (TControl)
pt |  | DragCursor (TControl)
pl | ro | DragCursor (TDBText)
pt |  | DragKind (TControl)
pl | ro | DragKind (TDBText)
pt |  | DragMode (TControl)
pl | ro | DragMode (TDBText)
 |  | Enabled (TControl)
pl | ro | Enabled (TDBText)
 | ro | Field (TDBText)
 | ro | Floating (TControl)
 |  | FloatingDockSiteClass (TControl)
pt |  | FocusControl (TCustomLabel)
pl | ro | FocusControl (TDBText)
 |  | Font (TControl)
pl | ro | Font (TDBText)
pl |  | Height (TControl)
pl |  | HelpContext (TControl)
pl |  | HelpKeyword (TControl)
pl |  | HelpType (TControl)
pl |  | Hint (TControl)
 |  | HostDockSite (TControl)
 |  | IsControl (TControl)
pt |  | Layout (TCustomLabel)
pl | ro | Layout (TDBText)
 | ro | LCLRefCount (TLCLComponent)
pl |  | Left (TControl)
 |  | LRDockWidth (TControl)
pt |  | MouseCapture (TControl)
 | ro | MouseEntered (TControl)
 | ro | MouseInClient (TControl)
 |  | Name (TComponent)
pt |  | OptimalFill (TCustomLabel)
pl | ro | OptimalFill (TDBText)
 | ro | Owner (TComponent)
 |  | Parent (TControl)
 |  | ParentBiDiMode (TControl)
pl | ro | ParentBidiMode (TDBText)
pt |  | ParentColor (TControl)
pl | ro | ParentColor (TDBText)
pt |  | ParentFont (TControl)
pl | ro | ParentFont (TDBText)
pt |  | ParentShowHint (TControl)
pl | ro | ParentShowHint (TDBText)
 |  | PopupMenu (TControl)
pl | ro | PopupMenu (TDBText)
 | ro | ReadBounds (TControl)
pt |  | SessionProperties (TControl)
pt |  | ShowAccelChar (TCustomLabel)
pl | ro | ShowAccelChar (TDBText)
 |  | ShowHint (TControl)
pl | ro | ShowHint (TDBText)
 |  | Tag (TComponent)
 |  | TBDockHeight (TControl)
pt |  | Text (TControl)
pl |  | Top (TControl)
pt |  | Transparent (TCustomLabel)
pl | ro | Transparent (TDBText)
 |  | UndockHeight (TControl)
 |  | UndockWidth (TControl)
 |  | VCLComObject (TComponent)
 |  | Visible (TControl)
pl | ro | Visible (TDBText)
 | ro | WidgetSetClass (TLCLComponent)
pl |  | Width (TControl)
 |  | WindowProc (TControl)
pt |  | WordWrap (TCustomLabel)
pl | ro | WordWrap (TDBText)


TDBText
pt | Notification
pt | WSRegisterClass
pt | Loaded
 | Create
 | Destroy
 | ExecuteAction
 | UpdateAction
TCustomLabel
pt | WSRegisterClass
pt | CanTab
pt | DoMeasureTextPosition
pt | HasMultiLine
pt | CalculatePreferredSize
pt | CalculateSize
pt | DoAutoSize
pt | DialogChar
pt | TextChanged
pt | DoSetBounds
pt | FontChanged
pt | GetControlClassDefaultSize
pt | WMActivate
pt | Notification
pt | GetLabelText
pt | GetTransparent
pt | SetColor
pt | SetFocusControl
pt | SetLayout
pt | SetShowAccelChar
pt | SetTransparent
pt | SetWordWrap
pt | Loaded
pt | UpdateSize
 | Create
 | CalcFittingFontHeight
 | ColorIsStored
 | AdjustFontForOptimalFill
 | Paint
 | SetBounds
TGraphicControl
pt | WSRegisterClass
pt | FontChanged
pt | Paint
pt | DoOnChangeBounds
pt | DoOnParentHandleDestruction
pt | CMCursorChanged
 | Create
 | Destroy
TControl
pt | WSRegisterClass
pt | GetCursor
pt | SetCursor
pt | SetVisible
pt | DoOnParentHandleDestruction
pt | DoAutoSize
pt | DoAllAutoSize
pt | BeginAutoSizing
pt | EndAutoSizing
pt | AnchorSideChanged
pt | ForeignAnchorSideChanged
pt | SetAlign
pt | SetAnchors
pt | SetAutoSize
pt | BoundsChanged
pt | CreateControlBorderSpacing
pt | DoConstraintsChange
pt | DoBorderSpacingChange
pt | IsBorderSpacingInnerBorderStored
pt | IsCaptionStored
pt | SendMoveSizeMessages
pt | ConstrainedResize
pt | CalculatePreferredSize
pt | DoOnResize
pt | DoOnChangeBounds
pt | CheckOnChangeBounds
pt | Resize
pt | RequestAlign
pt | UpdateAnchorRules
pt | ChangeBounds
pt | DoSetBounds
pt | ScaleConstraints
pt | ChangeScale
pt | CanAutoSize
pt | SetBiDiMode
pt | SetParentBiDiMode
pt | IsAParentAligning
pt | GetClientOrigin
pt | GetClientRect
pt | GetLogicalClientRect
pt | GetScrolledClientRect
pt | GetClientScrollOffset
pt | GetControlOrigin
pt | IsClientHeightStored
pt | IsClientWidthStored
pt | WidthIsAnchored
pt | HeightIsAnchored
pt | WMCancelMode
pt | WMContextMenu
pt | WMLButtonDown
pt | WMRButtonDown
pt | WMMButtonDown
pt | WMXButtonDown
pt | WMLButtonDBLCLK
pt | WMRButtonDBLCLK
pt | WMMButtonDBLCLK
pt | WMXButtonDBLCLK
pt | WMLButtonTripleCLK
pt | WMRButtonTripleCLK
pt | WMMButtonTripleCLK
pt | WMXButtonTripleCLK
pt | WMLButtonQuadCLK
pt | WMRButtonQuadCLK
pt | WMMButtonQuadCLK
pt | WMXButtonQuadCLK
pt | WMMouseMove
pt | WMLButtonUp
pt | WMRButtonUp
pt | WMMButtonUp
pt | WMXButtonUp
pt | WMMouseWheel
pt | WMMouseHWheel
pt | WMMove
pt | WMSize
pt | WMWindowPosChanged
pt | CMChanged
pt | LMCaptureChanged
pt | CMBiDiModeChanged
pt | CMSysFontChanged
pt | CMEnabledChanged
pt | CMHitTest
pt | CMMouseEnter
pt | CMMouseLeave
pt | CMHintShow
pt | CMParentBiDiModeChanged
pt | CMParentColorChanged
pt | CMParentFontChanged
pt | CMParentShowHintChanged
pt | CMVisibleChanged
pt | CMTextChanged
pt | CMCursorChanged
pt | CalculateDockSizes
pt | CreateFloatingDockSite
pt | GetDockEdge
pt | GetDragImages
pt | GetFloating
pt | GetFloatingDockSiteClass
pt | BeforeDragStart
pt | BeginAutoDrag
pt | DoFloatMsg
pt | DockTrackNoTarget
pt | DoDock
pt | DoDragMsg
pt | DoEndDock
pt | DoEndDrag
pt | DoStartDock
pt | DoStartDrag
pt | DragCanceled
pt | DragOver
pt | PositionDockRect
pt | SetDragMode
pt | GetDefaultDockCaption
pt | Click
pt | DblClick
pt | TripleClick
pt | QuadClick
pt | GetMousePosFromMessage
pt | MouseDown
pt | MouseMove
pt | MouseUp
pt | MouseEnter
pt | MouseLeave
pt | DialogChar
pt | UpdateMouseCursor
pt | Changed
pt | GetPalette
pt | ChildClassAllowed
pt | ReadState
pt | Loaded
pt | LoadedAll
pt | DefineProperties
pt | AssignTo
pt | FormEndUpdated
pt | InvalidateControl
pt | FontChanged
pt | ParentFontChanged
pt | GetAction
pt | RealGetText
pt | RealSetText
pt | TextChanged
pt | GetCachedText
pt | SetAction
pt | SetColor
pt | SetEnabled
pt | SetHint
pt | SetName
pt | SetParent
pt | SetParentComponent
pt | WndProc
pt | ParentFormHandleInitialized
pt | GetMouseCapture
pt | CaptureChanged
pt | Notification
pt | CanTab
pt | GetDeviceContext
pt | GetEnabled
pt | GetPopupMenu
pt | DoOnShowHint
pt | DoMouseWheel
pt | DoMouseWheelDown
pt | DoMouseWheelUp
pt | DoMouseWheelHorz
pt | DoMouseWheelLeft
pt | DoMouseWheelRight
pt | VisibleChanging
pt | VisibleChanged
pt | EnabledChanging
pt | EnabledChanged
pt | AddHandler
pt | RemoveHandler
pt | DoCallNotifyHandler
pt | DoCallKeyEventHandler
pt | DoCallMouseWheelEventHandler
pt | DoContextPopup
pt | SetZOrder
pt | GetControlClassDefaultSize
pt | ColorIsStored
pt | DoAutoAdjustLayout
pt | DoFixDesignFontPPI
pt | DoScaleFontPPI
pt | GetActionLinkClass
pt | ActionChange
 | DragDrop
 | Dock
 | ManualDock
 | ManualFloat
 | ReplaceDockedControl
 | Docked
 | Dragging
 | GetAccessibleObject
 | CreateAccessibleObject
 | GetSelectedChildAccessibleObject
 | GetChildAccessibleObjectAtPos
 | ScaleDesignToForm
 | ScaleFormToDesign
 | Scale96ToForm
 | ScaleFormTo96
 | Scale96ToFont
 | ScaleFontTo96
 | ScaleScreenToFont
 | ScaleFontToScreen
 | Scale96ToScreen
 | ScaleScreenTo96
 | AdjustSize
 | AutoSizePhases
 | AutoSizeDelayed
 | AutoSizeDelayedReport
 | AutoSizeDelayedHandle
 | AnchorToNeighbour
 | AnchorParallel
 | AnchorHorizontalCenterTo
 | AnchorVerticalCenterTo
 | AnchorToCompanion
 | AnchorSame
 | AnchorAsAlign
 | AnchorClient
 | AnchoredControlCount
 | SetBounds
 | SetInitialBounds
 | SetBoundsKeepBase
 | GetPreferredSize
 | GetCanvasScaleFactor
 | GetDefaultWidth
 | GetDefaultHeight
 | GetDefaultColor
 | GetColorResolvingParent
 | GetRGBColorResolvingParent
 | GetSidePosition
 | CNPreferredSizeChanged
 | InvalidatePreferredSize
 | GetAnchorsDependingOnParent
 | DisableAutoSizing
 | EnableAutoSizing
 | UpdateBaseBounds
 | WriteLayoutDebugReport
 | AutoAdjustLayout
 | ShouldAutoAdjust
 | FixDesignFontsPPI
 | ScaleFontsPPI
 | Create
 | Destroy
 | BeforeDestruction
 | EditingDone
 | ExecuteDefaultAction
 | ExecuteCancelAction
 | BeginDrag
 | EndDrag
 | BringToFront
 | HasParent
 | GetParentComponent
 | IsParentOf
 | GetTopParent
 | IsVisible
 | IsControlVisible
 | IsEnabled
 | IsParentColor
 | IsParentFont
 | FormIsUpdating
 | IsProcessingPaintMsg
 | Hide
 | Refresh
 | Repaint
 | Invalidate
 | CheckChildClassAllowed
 | CheckNewParent
 | SendToBack
 | SetTempCursor
 | UpdateRolesForForm
 | ActiveDefaultControlChanged
 | GetTextBuf
 | GetTextLen
 | SetTextBuf
 | Perform
 | ScreenToClient
 | ClientToScreen
 | ScreenToControl
 | ControlToScreen
 | ClientToParent
 | ParentToClient
 | GetChildrenRect
 | Show
 | Update
 | HandleObjectShouldBeVisible
 | ParentDestroyingHandle
 | ParentHandlesAllocated
 | InitiateAction
 | ShowHelp
 | HasHelp
 | RemoveAllHandlersOfObject
 | AddHandlerOnResize
 | RemoveHandlerOnResize
 | AddHandlerOnChangeBounds
 | RemoveHandlerOnChangeBounds
 | AddHandlerOnVisibleChanging
 | RemoveHandlerOnVisibleChanging
 | AddHandlerOnVisibleChanged
 | RemoveHandlerOnVisibleChanged
 | AddHandlerOnEnabledChanged
 | RemoveHandlerOnEnableChanging
 | AddHandlerOnKeyDown
 | RemoveHandlerOnKeyDown
 | AddHandlerOnBeforeDestruction
 | RemoveHandlerOnBeforeDestruction
 | AddHandlerOnMouseWheel
 | RemoveHandlerOnMouseWheel
 | UseRightToLeftAlignment
 | UseRightToLeftReading
 | UseRightToLeftScrollBar
 | IsRightToLeft
TLCLComponent
pt | WSRegisterClass
pt | GetWSComponentClass
 | Create
 | Destroy
 | NewInstance
 | RemoveAllHandlersOfObject
 | IncLCLRefCount
 | DecLCLRefCount
TComponent
 | GetComObject
 | GetComponent
 | GetComponentCount
 | GetComponentIndex
 | Insert
 | ReadLeft
 | ReadTop
 | Remove
 | RemoveNotification
 | SetComponentIndex
 | SetReference
 | WriteLeft
 | WriteTop
 | ChangeName
 | DefineProperties
 | GetChildren
 | GetChildOwner
 | GetChildParent
 | GetOwner
 | Loaded
 | Loading
 | Notification
 | PaletteCreated
 | ReadState
 | SetAncestor
 | SetDesigning
 | SetDesignInstance
 | SetInline
 | SetName
 | SetChildOrder
 | SetParentComponent
 | Updating
 | Updated
 | UpdateRegistry
 | ValidateRename
 | ValidateContainer
 | ValidateInsert
 | QueryInterface
 | _AddRef
 | _Release
 | iicrGetComponent
 | GetTypeInfoCount
 | GetTypeInfo
 | GetIDsOfNames
 | Invoke
 | WriteState
 | Create
 | Destroy
 | BeforeDestruction
 | DestroyComponents
 | Destroying
 | ExecuteAction
 | FindComponent
 | FreeNotification
 | RemoveFreeNotification
 | FreeOnRelease
 | GetEnumerator
 | GetNamePath
 | GetParentComponent
 | HasParent
 | InsertComponent
 | RemoveComponent
 | SafeCallException
 | SetSubComponent
 | UpdateAction
 | IsImplementorOf
 | ReferenceInterface
TPersistent
 | AssignError
 | AssignTo
 | DefineProperties
 | GetOwner
 | Destroy
 | Assign
 | FPOAttachObserver
 | FPODetachObserver
 | FPONotifyObservers
 | GetNamePath
TObject
 | Create
 | Destroy
 | newinstance
 | FreeInstance
 | SafeCallException
 | DefaultHandler
 | Free
 | InitInstance
 | CleanupInstance
 | ClassType
 | ClassInfo
 | ClassName
 | ClassNameIs
 | ClassParent
 | InstanceSize
 | InheritsFrom
 | StringMessageTable
 | MethodAddress
 | MethodName
 | FieldAddress
 | AfterConstruction
 | BeforeDestruction
 | DefaultHandlerStr
 | Dispatch
 | DispatchStr
 | GetInterface
 | GetInterfaceByStr
 | GetInterfaceWeak
 | GetInterfaceEntry
 | GetInterfaceEntryByStr
 | GetInterfaceTable
 | UnitName
 | Equals
 | GetHashCode
 | ToString


pt | ActionChange (TControl)
 | ActiveDefaultControlChanged (TControl)
pt | AddHandler (TControl)
 | AddHandlerOnBeforeDestruction (TControl)
 | AddHandlerOnChangeBounds (TControl)
 | AddHandlerOnEnabledChanged (TControl)
 | AddHandlerOnKeyDown (TControl)
 | AddHandlerOnMouseWheel (TControl)
 | AddHandlerOnResize (TControl)
 | AddHandlerOnVisibleChanged (TControl)
 | AddHandlerOnVisibleChanging (TControl)
 | AdjustFontForOptimalFill (TCustomLabel)
 | AdjustSize (TControl)
 | AfterConstruction (TObject)
 | AnchorAsAlign (TControl)
 | AnchorClient (TControl)
 | AnchoredControlCount (TControl)
 | AnchorHorizontalCenterTo (TControl)
 | AnchorParallel (TControl)
 | AnchorSame (TControl)
pt | AnchorSideChanged (TControl)
 | AnchorToCompanion (TControl)
 | AnchorToNeighbour (TControl)
 | AnchorVerticalCenterTo (TControl)
 | Assign (TPersistent)
 | AssignError (TPersistent)
 | AssignTo (TPersistent)
pt | AssignTo (TControl)
 | AutoAdjustLayout (TControl)
 | AutoSizeDelayed (TControl)
 | AutoSizeDelayedHandle (TControl)
 | AutoSizeDelayedReport (TControl)
 | AutoSizePhases (TControl)
 | BeforeDestruction (TObject)
 | BeforeDestruction (TComponent)
 | BeforeDestruction (TControl)
pt | BeforeDragStart (TControl)
pt | BeginAutoDrag (TControl)
pt | BeginAutoSizing (TControl)
 | BeginDrag (TControl)
pt | BoundsChanged (TControl)
 | BringToFront (TControl)
 | CalcFittingFontHeight (TCustomLabel)
pt | CalculateDockSizes (TControl)
pt | CalculatePreferredSize (TControl)
pt | CalculatePreferredSize (TCustomLabel)
pt | CalculateSize (TCustomLabel)
pt | CanAutoSize (TControl)
pt | CanTab (TControl)
pt | CanTab (TCustomLabel)
pt | CaptureChanged (TControl)
pt | ChangeBounds (TControl)
pt | Changed (TControl)
 | ChangeName (TComponent)
pt | ChangeScale (TControl)
 | CheckChildClassAllowed (TControl)
 | CheckNewParent (TControl)
pt | CheckOnChangeBounds (TControl)
pt | ChildClassAllowed (TControl)
 | ClassInfo (TObject)
 | ClassName (TObject)
 | ClassNameIs (TObject)
 | ClassParent (TObject)
 | ClassType (TObject)
 | CleanupInstance (TObject)
pt | Click (TControl)
 | ClientToParent (TControl)
 | ClientToScreen (TControl)
pt | CMBiDiModeChanged (TControl)
pt | CMChanged (TControl)
pt | CMCursorChanged (TControl)
pt | CMCursorChanged (TGraphicControl)
pt | CMEnabledChanged (TControl)
pt | CMHintShow (TControl)
pt | CMHitTest (TControl)
pt | CMMouseEnter (TControl)
pt | CMMouseLeave (TControl)
pt | CMParentBiDiModeChanged (TControl)
pt | CMParentColorChanged (TControl)
pt | CMParentFontChanged (TControl)
pt | CMParentShowHintChanged (TControl)
pt | CMSysFontChanged (TControl)
pt | CMTextChanged (TControl)
pt | CMVisibleChanged (TControl)
 | CNPreferredSizeChanged (TControl)
pt | ColorIsStored (TControl)
 | ColorIsStored (TCustomLabel)
pt | ConstrainedResize (TControl)
 | ControlToScreen (TControl)
 | Create (TObject)
 | Create (TComponent)
 | Create (TLCLComponent)
 | Create (TControl)
 | Create (TGraphicControl)
 | Create (TCustomLabel)
 | Create (TDBText)
 | CreateAccessibleObject (TControl)
pt | CreateControlBorderSpacing (TControl)
pt | CreateFloatingDockSite (TControl)
pt | DblClick (TControl)
 | DecLCLRefCount (TLCLComponent)
 | DefaultHandler (TObject)
 | DefaultHandlerStr (TObject)
 | DefineProperties (TPersistent)
 | DefineProperties (TComponent)
pt | DefineProperties (TControl)
 | Destroy (TObject)
 | Destroy (TPersistent)
 | Destroy (TComponent)
 | Destroy (TLCLComponent)
 | Destroy (TControl)
 | Destroy (TGraphicControl)
 | Destroy (TDBText)
 | DestroyComponents (TComponent)
 | Destroying (TComponent)
pt | DialogChar (TControl)
pt | DialogChar (TCustomLabel)
 | DisableAutoSizing (TControl)
 | Dispatch (TObject)
 | DispatchStr (TObject)
pt | DoAllAutoSize (TControl)
pt | DoAutoAdjustLayout (TControl)
pt | DoAutoSize (TControl)
pt | DoAutoSize (TCustomLabel)
pt | DoBorderSpacingChange (TControl)
pt | DoCallKeyEventHandler (TControl)
pt | DoCallMouseWheelEventHandler (TControl)
pt | DoCallNotifyHandler (TControl)
 | Dock (TControl)
 | Docked (TControl)
pt | DockTrackNoTarget (TControl)
pt | DoConstraintsChange (TControl)
pt | DoContextPopup (TControl)
pt | DoDock (TControl)
pt | DoDragMsg (TControl)
pt | DoEndDock (TControl)
pt | DoEndDrag (TControl)
pt | DoFixDesignFontPPI (TControl)
pt | DoFloatMsg (TControl)
pt | DoMeasureTextPosition (TCustomLabel)
pt | DoMouseWheel (TControl)
pt | DoMouseWheelDown (TControl)
pt | DoMouseWheelHorz (TControl)
pt | DoMouseWheelLeft (TControl)
pt | DoMouseWheelRight (TControl)
pt | DoMouseWheelUp (TControl)
pt | DoOnChangeBounds (TControl)
pt | DoOnChangeBounds (TGraphicControl)
pt | DoOnParentHandleDestruction (TControl)
pt | DoOnParentHandleDestruction (TGraphicControl)
pt | DoOnResize (TControl)
pt | DoOnShowHint (TControl)
pt | DoScaleFontPPI (TControl)
pt | DoSetBounds (TControl)
pt | DoSetBounds (TCustomLabel)
pt | DoStartDock (TControl)
pt | DoStartDrag (TControl)
pt | DragCanceled (TControl)
 | DragDrop (TControl)
 | Dragging (TControl)
pt | DragOver (TControl)
 | EditingDone (TControl)
 | EnableAutoSizing (TControl)
pt | EnabledChanged (TControl)
pt | EnabledChanging (TControl)
pt | EndAutoSizing (TControl)
 | EndDrag (TControl)
 | Equals (TObject)
 | ExecuteAction (TComponent)
 | ExecuteAction (TDBText)
 | ExecuteCancelAction (TControl)
 | ExecuteDefaultAction (TControl)
 | FieldAddress (TObject)
 | FindComponent (TComponent)
 | FixDesignFontsPPI (TControl)
pt | FontChanged (TControl)
pt | FontChanged (TGraphicControl)
pt | FontChanged (TCustomLabel)
pt | ForeignAnchorSideChanged (TControl)
pt | FormEndUpdated (TControl)
 | FormIsUpdating (TControl)
 | FPOAttachObserver (TPersistent)
 | FPODetachObserver (TPersistent)
 | FPONotifyObservers (TPersistent)
 | Free (TObject)
 | FreeInstance (TObject)
 | FreeNotification (TComponent)
 | FreeOnRelease (TComponent)
 | GetAccessibleObject (TControl)
pt | GetAction (TControl)
pt | GetActionLinkClass (TControl)
 | GetAnchorsDependingOnParent (TControl)
pt | GetCachedText (TControl)
 | GetCanvasScaleFactor (TControl)
 | GetChildAccessibleObjectAtPos (TControl)
 | GetChildOwner (TComponent)
 | GetChildParent (TComponent)
 | GetChildren (TComponent)
 | GetChildrenRect (TControl)
pt | GetClientOrigin (TControl)
pt | GetClientRect (TControl)
pt | GetClientScrollOffset (TControl)
 | GetColorResolvingParent (TControl)
 | GetComObject (TComponent)
 | GetComponent (TComponent)
 | GetComponentCount (TComponent)
 | GetComponentIndex (TComponent)
pt | GetControlClassDefaultSize (TControl)
pt | GetControlClassDefaultSize (TCustomLabel)
pt | GetControlOrigin (TControl)
pt | GetCursor (TControl)
 | GetDefaultColor (TControl)
pt | GetDefaultDockCaption (TControl)
 | GetDefaultHeight (TControl)
 | GetDefaultWidth (TControl)
pt | GetDeviceContext (TControl)
pt | GetDockEdge (TControl)
pt | GetDragImages (TControl)
pt | GetEnabled (TControl)
 | GetEnumerator (TComponent)
pt | GetFloating (TControl)
pt | GetFloatingDockSiteClass (TControl)
 | GetHashCode (TObject)
 | GetIDsOfNames (TComponent)
 | GetInterface (TObject)
 | GetInterfaceByStr (TObject)
 | GetInterfaceEntry (TObject)
 | GetInterfaceEntryByStr (TObject)
 | GetInterfaceTable (TObject)
 | GetInterfaceWeak (TObject)
pt | GetLabelText (TCustomLabel)
pt | GetLogicalClientRect (TControl)
pt | GetMouseCapture (TControl)
pt | GetMousePosFromMessage (TControl)
 | GetNamePath (TPersistent)
 | GetNamePath (TComponent)
 | GetOwner (TPersistent)
 | GetOwner (TComponent)
pt | GetPalette (TControl)
 | GetParentComponent (TComponent)
 | GetParentComponent (TControl)
pt | GetPopupMenu (TControl)
 | GetPreferredSize (TControl)
 | GetRGBColorResolvingParent (TControl)
pt | GetScrolledClientRect (TControl)
 | GetSelectedChildAccessibleObject (TControl)
 | GetSidePosition (TControl)
 | GetTextBuf (TControl)
 | GetTextLen (TControl)
 | GetTopParent (TControl)
pt | GetTransparent (TCustomLabel)
 | GetTypeInfo (TComponent)
 | GetTypeInfoCount (TComponent)
pt | GetWSComponentClass (TLCLComponent)
 | HandleObjectShouldBeVisible (TControl)
 | HasHelp (TControl)
pt | HasMultiLine (TCustomLabel)
 | HasParent (TComponent)
 | HasParent (TControl)
pt | HeightIsAnchored (TControl)
 | Hide (TControl)
 | iicrGetComponent (TComponent)
 | IncLCLRefCount (TLCLComponent)
 | InheritsFrom (TObject)
 | InitiateAction (TControl)
 | InitInstance (TObject)
 | Insert (TComponent)
 | InsertComponent (TComponent)
 | InstanceSize (TObject)
 | Invalidate (TControl)
pt | InvalidateControl (TControl)
 | InvalidatePreferredSize (TControl)
 | Invoke (TComponent)
pt | IsAParentAligning (TControl)
pt | IsBorderSpacingInnerBorderStored (TControl)
pt | IsCaptionStored (TControl)
pt | IsClientHeightStored (TControl)
pt | IsClientWidthStored (TControl)
 | IsControlVisible (TControl)
 | IsEnabled (TControl)
 | IsImplementorOf (TComponent)
 | IsParentColor (TControl)
 | IsParentFont (TControl)
 | IsParentOf (TControl)
 | IsProcessingPaintMsg (TControl)
 | IsRightToLeft (TControl)
 | IsVisible (TControl)
pt | LMCaptureChanged (TControl)
 | Loaded (TComponent)
pt | Loaded (TControl)
pt | Loaded (TCustomLabel)
pt | Loaded (TDBText)
pt | LoadedAll (TControl)
 | Loading (TComponent)
 | ManualDock (TControl)
 | ManualFloat (TControl)
 | MethodAddress (TObject)
 | MethodName (TObject)
pt | MouseDown (TControl)
pt | MouseEnter (TControl)
pt | MouseLeave (TControl)
pt | MouseMove (TControl)
pt | MouseUp (TControl)
 | newinstance (TObject)
 | NewInstance (TLCLComponent)
 | Notification (TComponent)
pt | Notification (TControl)
pt | Notification (TCustomLabel)
pt | Notification (TDBText)
pt | Paint (TGraphicControl)
 | Paint (TCustomLabel)
 | PaletteCreated (TComponent)
 | ParentDestroyingHandle (TControl)
pt | ParentFontChanged (TControl)
pt | ParentFormHandleInitialized (TControl)
 | ParentHandlesAllocated (TControl)
 | ParentToClient (TControl)
 | Perform (TControl)
pt | PositionDockRect (TControl)
pt | QuadClick (TControl)
 | QueryInterface (TComponent)
 | ReadLeft (TComponent)
 | ReadState (TComponent)
pt | ReadState (TControl)
 | ReadTop (TComponent)
pt | RealGetText (TControl)
pt | RealSetText (TControl)
 | ReferenceInterface (TComponent)
 | Refresh (TControl)
 | Remove (TComponent)
 | RemoveAllHandlersOfObject (TLCLComponent)
 | RemoveAllHandlersOfObject (TControl)
 | RemoveComponent (TComponent)
 | RemoveFreeNotification (TComponent)
pt | RemoveHandler (TControl)
 | RemoveHandlerOnBeforeDestruction (TControl)
 | RemoveHandlerOnChangeBounds (TControl)
 | RemoveHandlerOnEnableChanging (TControl)
 | RemoveHandlerOnKeyDown (TControl)
 | RemoveHandlerOnMouseWheel (TControl)
 | RemoveHandlerOnResize (TControl)
 | RemoveHandlerOnVisibleChanged (TControl)
 | RemoveHandlerOnVisibleChanging (TControl)
 | RemoveNotification (TComponent)
 | Repaint (TControl)
 | ReplaceDockedControl (TControl)
pt | RequestAlign (TControl)
pt | Resize (TControl)
 | SafeCallException (TObject)
 | SafeCallException (TComponent)
 | Scale96ToFont (TControl)
 | Scale96ToForm (TControl)
 | Scale96ToScreen (TControl)
pt | ScaleConstraints (TControl)
 | ScaleDesignToForm (TControl)
 | ScaleFontsPPI (TControl)
 | ScaleFontTo96 (TControl)
 | ScaleFontToScreen (TControl)
 | ScaleFormTo96 (TControl)
 | ScaleFormToDesign (TControl)
 | ScaleScreenTo96 (TControl)
 | ScaleScreenToFont (TControl)
 | ScreenToClient (TControl)
 | ScreenToControl (TControl)
pt | SendMoveSizeMessages (TControl)
 | SendToBack (TControl)
pt | SetAction (TControl)
pt | SetAlign (TControl)
 | SetAncestor (TComponent)
pt | SetAnchors (TControl)
pt | SetAutoSize (TControl)
pt | SetBiDiMode (TControl)
 | SetBounds (TControl)
 | SetBounds (TCustomLabel)
 | SetBoundsKeepBase (TControl)
 | SetChildOrder (TComponent)
pt | SetColor (TControl)
pt | SetColor (TCustomLabel)
 | SetComponentIndex (TComponent)
pt | SetCursor (TControl)
 | SetDesigning (TComponent)
 | SetDesignInstance (TComponent)
pt | SetDragMode (TControl)
pt | SetEnabled (TControl)
pt | SetFocusControl (TCustomLabel)
pt | SetHint (TControl)
 | SetInitialBounds (TControl)
 | SetInline (TComponent)
pt | SetLayout (TCustomLabel)
 | SetName (TComponent)
pt | SetName (TControl)
pt | SetParent (TControl)
pt | SetParentBiDiMode (TControl)
 | SetParentComponent (TComponent)
pt | SetParentComponent (TControl)
 | SetReference (TComponent)
pt | SetShowAccelChar (TCustomLabel)
 | SetSubComponent (TComponent)
 | SetTempCursor (TControl)
 | SetTextBuf (TControl)
pt | SetTransparent (TCustomLabel)
pt | SetVisible (TControl)
pt | SetWordWrap (TCustomLabel)
pt | SetZOrder (TControl)
 | ShouldAutoAdjust (TControl)
 | Show (TControl)
 | ShowHelp (TControl)
 | StringMessageTable (TObject)
pt | TextChanged (TControl)
pt | TextChanged (TCustomLabel)
 | ToString (TObject)
pt | TripleClick (TControl)
 | UnitName (TObject)
 | Update (TControl)
 | UpdateAction (TComponent)
 | UpdateAction (TDBText)
pt | UpdateAnchorRules (TControl)
 | UpdateBaseBounds (TControl)
 | Updated (TComponent)
pt | UpdateMouseCursor (TControl)
 | UpdateRegistry (TComponent)
 | UpdateRolesForForm (TControl)
pt | UpdateSize (TCustomLabel)
 | Updating (TComponent)
 | UseRightToLeftAlignment (TControl)
 | UseRightToLeftReading (TControl)
 | UseRightToLeftScrollBar (TControl)
 | ValidateContainer (TComponent)
 | ValidateInsert (TComponent)
 | ValidateRename (TComponent)
pt | VisibleChanged (TControl)
pt | VisibleChanging (TControl)
pt | WidthIsAnchored (TControl)
pt | WMActivate (TCustomLabel)
pt | WMCancelMode (TControl)
pt | WMContextMenu (TControl)
pt | WMLButtonDBLCLK (TControl)
pt | WMLButtonDown (TControl)
pt | WMLButtonQuadCLK (TControl)
pt | WMLButtonTripleCLK (TControl)
pt | WMLButtonUp (TControl)
pt | WMMButtonDBLCLK (TControl)
pt | WMMButtonDown (TControl)
pt | WMMButtonQuadCLK (TControl)
pt | WMMButtonTripleCLK (TControl)
pt | WMMButtonUp (TControl)
pt | WMMouseHWheel (TControl)
pt | WMMouseMove (TControl)
pt | WMMouseWheel (TControl)
pt | WMMove (TControl)
pt | WMRButtonDBLCLK (TControl)
pt | WMRButtonDown (TControl)
pt | WMRButtonQuadCLK (TControl)
pt | WMRButtonTripleCLK (TControl)
pt | WMRButtonUp (TControl)
pt | WMSize (TControl)
pt | WMWindowPosChanged (TControl)
pt | WMXButtonDBLCLK (TControl)
pt | WMXButtonDown (TControl)
pt | WMXButtonQuadCLK (TControl)
pt | WMXButtonTripleCLK (TControl)
pt | WMXButtonUp (TControl)
pt | WndProc (TControl)
 | WriteLayoutDebugReport (TControl)
 | WriteLeft (TComponent)
 | WriteState (TComponent)
 | WriteTop (TComponent)
pt | WSRegisterClass (TLCLComponent)
pt | WSRegisterClass (TControl)
pt | WSRegisterClass (TGraphicControl)
pt | WSRegisterClass (TCustomLabel)
pt | WSRegisterClass (TDBText)
 | _AddRef (TComponent)
 | _Release (TComponent)


TDBText
pl | ro | OnClick
pl | ro | OnDblClick
pl | ro | OnDragDrop
pl | ro | OnDragOver
pl | ro | OnEndDrag
pl | ro | OnMouseDown
pl | ro | OnMouseEnter
pl | ro | OnMouseLeave
pl | ro | OnMouseMove
pl | ro | OnMouseUp
pl | ro | OnMouseWheel
pl | ro | OnMouseWheelDown
pl | ro | OnMouseWheelUp
pl | ro | OnChangeBounds
pl | ro | OnContextPopup
pl | ro | OnResize
pl | ro | OnStartDrag
TCustomLabel
TGraphicControl
pt |  | OnPaint
TControl
pt |  | OnConstrainedResize
pt |  | OnContextPopup
pt |  | OnDblClick
pt |  | OnTripleClick
pt |  | OnQuadClick
pt |  | OnDragDrop
pt |  | OnDragOver
pt |  | OnEndDock
pt |  | OnEndDrag
pt |  | OnMouseDown
pt |  | OnMouseMove
pt |  | OnMouseUp
pt |  | OnMouseEnter
pt |  | OnMouseLeave
pt |  | OnMouseWheel
pt |  | OnMouseWheelDown
pt |  | OnMouseWheelUp
pt |  | OnMouseWheelHorz
pt |  | OnMouseWheelLeft
pt |  | OnMouseWheelRight
pt |  | OnStartDock
pt |  | OnStartDrag
pt |  | OnEditingDone
 |  | OnChangeBounds
 |  | OnClick
 |  | OnResize
 |  | OnShowHint
TLCLComponent
TComponent
TPersistent
TObject


pl | ro | OnChangeBounds (TDBText)
 |  | OnClick (TControl)
pl | ro | OnClick (TDBText)
pt |  | OnConstrainedResize (TControl)
pt |  | OnContextPopup (TControl)
pl | ro | OnContextPopup (TDBText)
pt |  | OnDblClick (TControl)
pl | ro | OnDblClick (TDBText)
pt |  | OnDragDrop (TControl)
pl | ro | OnDragDrop (TDBText)
pt |  | OnDragOver (TControl)
pl | ro | OnDragOver (TDBText)
pt |  | OnEditingDone (TControl)
pt |  | OnEndDock (TControl)
pt |  | OnEndDrag (TControl)
pl | ro | OnEndDrag (TDBText)
pt |  | OnMouseDown (TControl)
pl | ro | OnMouseDown (TDBText)
pt |  | OnMouseEnter (TControl)
pl | ro | OnMouseEnter (TDBText)
pt |  | OnMouseLeave (TControl)
pl | ro | OnMouseLeave (TDBText)
pt |  | OnMouseMove (TControl)
pl | ro | OnMouseMove (TDBText)
pt |  | OnMouseUp (TControl)
pl | ro | OnMouseUp (TDBText)
pt |  | OnMouseWheel (TControl)
pl | ro | OnMouseWheel (TDBText)
pt |  | OnMouseWheelDown (TControl)
pl | ro | OnMouseWheelDown (TDBText)
pt |  | OnMouseWheelHorz (TControl)
pt |  | OnMouseWheelLeft (TControl)
pt |  | OnMouseWheelRight (TControl)
pt |  | OnMouseWheelUp (TControl)
pl | ro | OnMouseWheelUp (TDBText)
pt |  | OnPaint (TGraphicControl)
pt |  | OnQuadClick (TControl)
 |  | OnResize (TControl)
pl | ro | OnResize (TDBText)
 |  | OnShowHint (TControl)
pt |  | OnStartDock (TControl)
pt |  | OnStartDrag (TControl)
pl | ro | OnStartDrag (TDBText)
pt |  | OnTripleClick (TControl)


TDBText.BidiMode

Declaration

Source position: dbctrls.pp line 300

published property TDBText.BidiMode : TBiDiMode;


TDBText.BorderSpacing

Declaration

Source position: dbctrls.pp line 301

published property TDBText.BorderSpacing : TControlBorderSpacing;


TDBText.Constraints

Declaration

Source position: dbctrls.pp line 303

published property TDBText.Constraints : TSizeConstraints;


TDBText.Create

Create - constructor for TDBText: calls inherited Create then forms data links and actions

Declaration

Source position: dbctrls.pp line 290

public constructor TDBText.Create(

  AOwner: TComponent

); override;

See also

TCustomLabel.Create


TDBText.DataField

The name of the field, as a string (ie cannot be referred to as an Index)

Declaration

Source position: dbctrls.pp line 304

published property TDBText.DataField : string
  read GetDataField
  write SetDataField;


TDBText.DataSource

The DataSource from which information is obtained to display in this control. Usually the result of a SQLQuery

Declaration

Source position: dbctrls.pp line 305

published property TDBText.DataSource : TDataSource
  read GetDataSource
  write SetDataSource;


TDBText.Destroy

Destroy - destructor for TDBText: frees data links then calls inherited Destroy

Declaration

Source position: dbctrls.pp line 291

public destructor TDBText.Destroy; override;

See also

TGraphicControl.Destroy


TDBText.DragKind

Declaration

Source position: dbctrls.pp line 307

published property TDBText.DragKind : TDragKind;


TDBText.Enabled

Declaration

Source position: dbctrls.pp line 309

published property TDBText.Enabled : Boolean;


TDBText.ExecuteAction

Declaration

Source position: dbctrls.pp line 292

public function TDBText.ExecuteAction(

  AAction: TBasicAction

):Boolean; override;


TDBText.Field

The field in the DataSet to which this control is to be linked. Can be referred to by name, or as an index

Declaration

Source position: dbctrls.pp line 294

public property TDBText.Field : TField
  read GetField;


TDBText.OnChangeBounds

Declaration

Source position: dbctrls.pp line 336

published property TDBText.OnChangeBounds : TNotifyEvent;


TDBText.OnClick

Declaration

Source position: dbctrls.pp line 323

published property TDBText.OnClick : TNotifyEvent;


TDBText.OnContextPopup

Declaration

Source position: dbctrls.pp line 337

published property TDBText.OnContextPopup : TContextPopupEvent;


TDBText.OnDblClick

Declaration

Source position: dbctrls.pp line 324

published property TDBText.OnDblClick : TNotifyEvent;


TDBText.OnMouseDown

Declaration

Source position: dbctrls.pp line 328

published property TDBText.OnMouseDown : TMouseEvent;


TDBText.OnMouseEnter

Declaration

Source position: dbctrls.pp line 329

published property TDBText.OnMouseEnter : TNotifyEvent;


TDBText.OnMouseLeave

Declaration

Source position: dbctrls.pp line 330

published property TDBText.OnMouseLeave : TNotifyEvent;


TDBText.OnMouseMove

Declaration

Source position: dbctrls.pp line 331

published property TDBText.OnMouseMove : TMouseMoveEvent;


TDBText.OnMouseUp

Declaration

Source position: dbctrls.pp line 332

published property TDBText.OnMouseUp : TMouseEvent;


TDBText.OnMouseWheel

Declaration

Source position: dbctrls.pp line 333

published property TDBText.OnMouseWheel : TMouseWheelEvent;


TDBText.OnMouseWheelDown

Declaration

Source position: dbctrls.pp line 334

published property TDBText.OnMouseWheelDown : TMouseWheelUpDownEvent;


TDBText.OnMouseWheelUp

Declaration

Source position: dbctrls.pp line 335

published property TDBText.OnMouseWheelUp : TMouseWheelUpDownEvent;


TDBText.OnResize

Declaration

Source position: dbctrls.pp line 338

published property TDBText.OnResize : TNotifyEvent;


TDBText.ParentBidiMode

Declaration

Source position: dbctrls.pp line 313

published property TDBText.ParentBidiMode : Boolean;


TDBText.ParentColor

Declaration

Source position: dbctrls.pp line 314

published property TDBText.ParentColor : Boolean;


TDBText.ParentFont

Declaration

Source position: dbctrls.pp line 315

published property TDBText.ParentFont : Boolean;


TDBText.ParentShowHint

Declaration

Source position: dbctrls.pp line 316

published property TDBText.ParentShowHint : Boolean;


TDBText.PopupMenu

Declaration

Source position: dbctrls.pp line 317

published property TDBText.PopupMenu : TPopupMenu;


TDBText.ShowHint

Declaration

Source position: dbctrls.pp line 319

published property TDBText.ShowHint : Boolean;


TDBText.UpdateAction

Declaration

Source position: dbctrls.pp line 293

public function TDBText.UpdateAction(

  AAction: TBasicAction

):Boolean; override;


TFieldDataLink

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

TFieldDataLink - forms a link between a database field and an action

Declaration

Source position: dbctrls.pp line 43

type TFieldDataLink = class(TDataLink)
protected
procedure ActiveChanged; override; | ActiveChanged - method to process changes in the Active property
procedure EditingChanged; override; | EditingChanged - method for processing changes in the Editing property
procedure LayoutChanged; override; | LayoutChanged- called if layout is changed: tests validity of field then calls OnLayoutChange event handler
procedure RecordChanged(); override; | RecordChanged - triggered if the contents of the current record change; calls Reset
procedure UpdateData; override; | UpdateData - if there are any pending changes, calls OnUpdateData event handler
procedure FocusControl(); override; | FocusControl - gives this control the input focus; calls the OnFocusRequest event handler
public
constructor Create; | Create - calls inherited Create then initialises field information
function Edit; | Edit - if the field can be modified, performs inherited Edit and shows editing status
procedure Modified; | Modified sets the IsModified local variable to True
procedure Reset; | Reset - checks that link is active, calls the OnDataChange event handler then sets IsModified to False
property Control: TComponent; [rw] | The Control to which this datalink is attached
property Field: TField; [r] | The Field to which the datalink is attached
property FieldName: string; [rw] | FieldName - the name of the attached field, stored as a string
property CanModify: Boolean; [r] | CanModify - True if the linked field is capable of being modified
property Editing: Boolean; [r] | Editing - True if the linked field is being edited
property EditingSource: Boolean; [r]
property OnDataChange: TNotifyEvent; [rw] | OnDataChange - event handler for a change in the data
property OnEditingChange: TNotifyEvent; [rw] | OnEditingChange - event handler for a changed in the Editing property
property OnUpdateData: TNotifyEvent; [rw] | OnUpdateData - event handler for updating any pending changes in the data
property OnActiveChange: TNotifyEvent; [rw] | OnActiveChange - event handler for a change in the Active property
end;

Inheritance

TFieldDataLink

TFieldDataLink - forms a link between a database field and an action
|

TDataLink
|

TPersistent,IFPObserved
|

TObject


TFieldDataLink
 |  | Control
 | ro | Field
 |  | FieldName
 | ro | CanModify
 | ro | Editing
 | ro | EditingSource
TDataLink
 |  | VisualControl
 |  | FirstRecord
 | ro | Active
 |  | ActiveRecord
 | ro | BOF
 |  | BufferCount
 | ro | DataSet
 |  | DataSource
 |  | DataSourceFixed
 | ro | Editing
 | ro | Eof
 |  | ReadOnly
 | ro | RecordCount
TPersistent
TObject


ro | Active (TDataLink)
 | ActiveRecord (TDataLink)
ro | BOF (TDataLink)
 | BufferCount (TDataLink)
ro | CanModify (TFieldDataLink)
 | Control (TFieldDataLink)
ro | DataSet (TDataLink)
 | DataSource (TDataLink)
 | DataSourceFixed (TDataLink)
ro | Editing (TDataLink)
ro | Editing (TFieldDataLink)
ro | EditingSource (TFieldDataLink)
ro | Eof (TDataLink)
ro | Field (TFieldDataLink)
 | FieldName (TFieldDataLink)
 | FirstRecord (TDataLink)
 | ReadOnly (TDataLink)
ro | RecordCount (TDataLink)
 | VisualControl (TDataLink)


TFieldDataLink
pt | ActiveChanged
pt | EditingChanged
pt | LayoutChanged
pt | RecordChanged
pt | UpdateData
pt | FocusControl
 | Create
 | Edit
 | Modified
 | Reset
TDataLink
 | CalcFirstRecord
 | CalcRange
 | CheckActiveAndEditing
 | GetDataset
 | SetActive
 | SetDataSource
 | SetReadOnly
 | ActiveChanged
 | CheckBrowseMode
 | DataEvent
 | DataSetChanged
 | DataSetScrolled
 | EditingChanged
 | FocusControl
 | GetActiveRecord
 | GetBOF
 | GetBufferCount
 | GetEOF
 | GetRecordCount
 | LayoutChanged
 | MoveBy
 | RecordChanged
 | SetActiveRecord
 | SetBufferCount
 | UpdateData
 | Create
 | Destroy
 | Edit
 | UpdateRecord
 | ExecuteAction
 | UpdateAction
TPersistent
 | AssignError
 | AssignTo
 | DefineProperties
 | GetOwner
 | Destroy
 | Assign
 | FPOAttachObserver
 | FPODetachObserver
 | FPONotifyObservers
 | GetNamePath
TObject
 | Create
 | Destroy
 | newinstance
 | FreeInstance
 | SafeCallException
 | DefaultHandler
 | Free
 | InitInstance
 | CleanupInstance
 | ClassType
 | ClassInfo
 | ClassName
 | ClassNameIs
 | ClassParent
 | InstanceSize
 | InheritsFrom
 | StringMessageTable
 | MethodAddress
 | MethodName
 | FieldAddress
 | AfterConstruction
 | BeforeDestruction
 | DefaultHandlerStr
 | Dispatch
 | DispatchStr
 | GetInterface
 | GetInterfaceByStr
 | GetInterfaceWeak
 | GetInterfaceEntry
 | GetInterfaceEntryByStr
 | GetInterfaceTable
 | UnitName
 | Equals
 | GetHashCode
 | ToString


 | ActiveChanged (TDataLink)
pt | ActiveChanged (TFieldDataLink)
 | AfterConstruction (TObject)
 | Assign (TPersistent)
 | AssignError (TPersistent)
 | AssignTo (TPersistent)
 | BeforeDestruction (TObject)
 | CalcFirstRecord (TDataLink)
 | CalcRange (TDataLink)
 | CheckActiveAndEditing (TDataLink)
 | CheckBrowseMode (TDataLink)
 | ClassInfo (TObject)
 | ClassName (TObject)
 | ClassNameIs (TObject)
 | ClassParent (TObject)
 | ClassType (TObject)
 | CleanupInstance (TObject)
 | Create (TObject)
 | Create (TDataLink)
 | Create (TFieldDataLink)
 | DataEvent (TDataLink)
 | DataSetChanged (TDataLink)
 | DataSetScrolled (TDataLink)
 | DefaultHandler (TObject)
 | DefaultHandlerStr (TObject)
 | DefineProperties (TPersistent)
 | Destroy (TObject)
 | Destroy (TPersistent)
 | Destroy (TDataLink)
 | Dispatch (TObject)
 | DispatchStr (TObject)
 | Edit (TDataLink)
 | Edit (TFieldDataLink)
 | EditingChanged (TDataLink)
pt | EditingChanged (TFieldDataLink)
 | Equals (TObject)
 | ExecuteAction (TDataLink)
 | FieldAddress (TObject)
 | FocusControl (TDataLink)
pt | FocusControl (TFieldDataLink)
 | FPOAttachObserver (TPersistent)
 | FPODetachObserver (TPersistent)
 | FPONotifyObservers (TPersistent)
 | Free (TObject)
 | FreeInstance (TObject)
 | GetActiveRecord (TDataLink)
 | GetBOF (TDataLink)
 | GetBufferCount (TDataLink)
 | GetDataset (TDataLink)
 | GetEOF (TDataLink)
 | GetHashCode (TObject)
 | GetInterface (TObject)
 | GetInterfaceByStr (TObject)
 | GetInterfaceEntry (TObject)
 | GetInterfaceEntryByStr (TObject)
 | GetInterfaceTable (TObject)
 | GetInterfaceWeak (TObject)
 | GetNamePath (TPersistent)
 | GetOwner (TPersistent)
 | GetRecordCount (TDataLink)
 | InheritsFrom (TObject)
 | InitInstance (TObject)
 | InstanceSize (TObject)
 | LayoutChanged (TDataLink)
pt | LayoutChanged (TFieldDataLink)
 | MethodAddress (TObject)
 | MethodName (TObject)
 | Modified (TFieldDataLink)
 | MoveBy (TDataLink)
 | newinstance (TObject)
 | RecordChanged (TDataLink)
pt | RecordChanged (TFieldDataLink)
 | Reset (TFieldDataLink)
 | SafeCallException (TObject)
 | SetActive (TDataLink)
 | SetActiveRecord (TDataLink)
 | SetBufferCount (TDataLink)
 | SetDataSource (TDataLink)
 | SetReadOnly (TDataLink)
 | StringMessageTable (TObject)
 | ToString (TObject)
 | UnitName (TObject)
 | UpdateAction (TDataLink)
 | UpdateData (TDataLink)
pt | UpdateData (TFieldDataLink)
 | UpdateRecord (TDataLink)


TFieldDataLink
 | OnDataChange
 | OnEditingChange
 | OnUpdateData
 | OnActiveChange
TDataLink
TPersistent
TObject


OnActiveChange (TFieldDataLink)

OnDataChange (TFieldDataLink)

OnEditingChange (TFieldDataLink)

OnUpdateData (TFieldDataLink)


TFieldDataLink.ActiveChanged

ActiveChanged - method to process changes in the Active property

Declaration

Source position: dbctrls.pp line 69

protected procedure TFieldDataLink.ActiveChanged; override;

Description

ActiveChanged - method to process changes in the Active property

Any change to the Active property triggers the ActiveChanged method.

If the method is triggered by a transition into an Active state, then ActiveChanged ensures that this TFieldDataLink's Field is still valid before calling the event handler.

ActiveChanged calls an OnActiveChange event handler if one has been assigned.


TFieldDataLink.CanModify

CanModify - True if the linked field is capable of being modified

Declaration

Source position: dbctrls.pp line 92

public property TFieldDataLink.CanModify : Boolean
  read GetCanModify;


TFieldDataLink.Control

The Control to which this datalink is attached

Declaration

Source position: dbctrls.pp line 85

public property TFieldDataLink.Control : TComponent
  read FControl
  write FControl;


TFieldDataLink.Create

Create - calls inherited Create then initialises field information

Declaration

Source position: dbctrls.pp line 77

public constructor TFieldDataLink.Create;

See also

TObject.Create

TDataLink.Create


TFieldDataLink.Edit

Edit - if the field can be modified, performs inherited Edit and shows editing status

Declaration

Source position: dbctrls.pp line 79

public function TFieldDataLink.Edit: Boolean;

See also

TDataLink.Edit


TFieldDataLink.Editing

Editing - True if the linked field is being edited

Declaration

Source position: dbctrls.pp line 93

public property TFieldDataLink.Editing : Boolean
  read FEditing;


TFieldDataLink.EditingChanged

EditingChanged - method for processing changes in the Editing property

Declaration

Source position: dbctrls.pp line 70

protected procedure TFieldDataLink.EditingChanged; override;


TFieldDataLink.EditingSource

Declaration

Source position: dbctrls.pp line 94

public property TFieldDataLink.EditingSource : Boolean
  read FEditingSource;


TFieldDataLink.Field

The Field to which the datalink is attached

Declaration

Source position: dbctrls.pp line 88

public property TFieldDataLink.Field : TField
  read FField;


TFieldDataLink.FieldName

FieldName - the name of the attached field, stored as a string

Declaration

Source position: dbctrls.pp line 89

public property TFieldDataLink.FieldName : string
  read FFieldName
  write SetFieldName;


TFieldDataLink.FocusControl

FocusControl - gives this control the input focus; calls the OnFocusRequest event handler

Declaration

Source position: dbctrls.pp line 75

protected procedure TFieldDataLink.FocusControl(

  aField: TFieldRef

); override;


TFieldDataLink.LayoutChanged

LayoutChanged- called if layout is changed: tests validity of field then calls OnLayoutChange event handler

Declaration

Source position: dbctrls.pp line 71

protected procedure TFieldDataLink.LayoutChanged; override;


TFieldDataLink.Modified

Modified sets the IsModified local variable to True

Declaration

Source position: dbctrls.pp line 81

public procedure TFieldDataLink.Modified;


TFieldDataLink.OnActiveChange

OnActiveChange - event handler for a change in the Active property

Declaration

Source position: dbctrls.pp line 100

public property TFieldDataLink.OnActiveChange : TNotifyEvent
  read FOnActiveChange
  write FOnActiveChange;


TFieldDataLink.OnDataChange

OnDataChange - event handler for a change in the data

Declaration

Source position: dbctrls.pp line 97

public property TFieldDataLink.OnDataChange : TNotifyEvent
  read FOnDataChange
  write FOnDataChange;


TFieldDataLink.OnEditingChange

OnEditingChange - event handler for a changed in the Editing property

Declaration

Source position: dbctrls.pp line 98

public property TFieldDataLink.OnEditingChange : TNotifyEvent
  read FOnEditingChange
  write FOnEditingChange;


TFieldDataLink.OnUpdateData

OnUpdateData - event handler for updating any pending changes in the data

Declaration

Source position: dbctrls.pp line 99

public property TFieldDataLink.OnUpdateData : TNotifyEvent
  read FOnUpdateData
  write FOnUpdateData;


TFieldDataLink.RecordChanged

RecordChanged - triggered if the contents of the current record change; calls Reset

Declaration

Source position: dbctrls.pp line 72

protected procedure TFieldDataLink.RecordChanged(

  aField: TField

); override;


TFieldDataLink.Reset

Reset - checks that link is active, calls the OnDataChange event handler then sets IsModified to False

Declaration

Source position: dbctrls.pp line 82

public procedure TFieldDataLink.Reset;


TFieldDataLink.UpdateData

UpdateData - if there are any pending changes, calls OnUpdateData event handler

Declaration

Source position: dbctrls.pp line 73

protected procedure TFieldDataLink.UpdateData; override;


TDBDateEdit

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

TDateEdit - an EditBox to hold a date, with an attached SpeedButton that will summon a date selection (calendar) dialog

Declaration

Source position: dbextctrls.pp line 30

type TDBDateEdit = class(TDateEdit)
protected
procedure Notification(); override; | Handles notifications when a component is added or removed
function EditCanModify; override; | Indicates if the control can modify its contents
procedure EditEnter; override; | Performs actions required when the Enter key is pressed on the control
procedure EditKeyDown(); override; | Handles special keys in the keydown state
procedure EditKeyPress(); override; | Ensures character values are valid for the control
procedure ButtonClick; override; | Actions perfomed when the button for the control is clicked
procedure EditChange; override; | Signals the control changed state
procedure EditExit; override; | Performs actions needed when the exiting the control
procedure Reset; override; | Restores the control to its value in the dataset
public
constructor Create(); override; | Constructor for the object instance
destructor Destroy; override; | Frees the object instance
function ExecuteAction(); override; | Perform the default action for the control
function UpdateAction(); override; |
property Field: TField; [r] | TField class which reads and writes data for the control
published
property DataField: string; [rw] | Name of the field in the dataset
property DataSource: TDataSource; [rw] | Provides access to the dataset used for the editing control
end;

Inheritance

TDBDateEdit | TDateEdit - an EditBox to hold a date, with an attached SpeedButton that will summon a date selection (calendar) dialog
|
TDateEdit | TDateEdit - an EditBox to hold a date, with an attached SpeedButton that will summon a date selection (calendar) dialog
|
TCustomEditButton | TCustomEditButton - base class for TEditButton, an Edit Box with attached Speed Button
|
TCustomAbstractGroupedEdit |
|
TCustomControl | The base class for windowed controls which paint themselves.
|
TWinControl | The base class for controls which can contain other (child) controls.
|
TControl | The base class for visible controls.
|
TLCLComponent | The base class for LCL components associated with widgets.
|
TComponent,IUnknown,IInterfaceComponentReference
|
TPersistent,IFPObserved
|
TObject

Description

TDBDateEdit is a TDateEdit descendant that implements a data-aware edit control for a Date field in a dataset. Like its ancestor class, TDBDateEdit includes a Button which opens a Date selection dialog (calendar).

TDBDateEdit extends the ancestor class to provide support for TFieldDataLink, TDataSource, and TField which provide access to the dataset with the data for the editing control. Overridden methods are provided which handle keystokes and synchronize changes in the control with the field in a dataset. Support for TBasicAction is also included in TDBDateEdit.

See also

#lcl.EditBtn.TDateEdit | TDateEdit - an EditBox to hold a date, with an attached SpeedButton that will summon a date selection (calendar) dialog
#lcl.DBCtrls.TFieldDataLink | TFieldDataLink - forms a link between a database field and an action
#fcl.DB.TField
#fcl.DB.TDatasource
#fcl.Classes.TBasicAction


TDBDateEdit
 | ro | Field
pl |  | DataField
pl |  | DataSource
TDateEdit
 | ro | AutoSelected
 |  | Date
 | ro | Button
 | ro | DroppedDown
pl |  | CalendarDisplaySettings
pl | ro | ReadOnly
pl |  | DefaultToday
pl |  | DateOrder
pl |  | DateFormat
pl | ro | ButtonOnlyWhenFocused
pl | ro | ButtonCaption
pl | ro | ButtonCursor
pl | ro | ButtonHint
pl | ro | ButtonWidth
pl | ro | Action
pl | ro | Align
pl | ro | Anchors
pl | ro | AutoSize
pl | ro | AutoSelect
pl | ro | BidiMode
pl | ro | BorderSpacing
pl | ro | BorderStyle
pl | ro | CharCase
pl | ro | Color
pl | ro | Constraints
pl | ro | DirectInput
pl | ro | Glyph
pl | ro | NumGlyphs
pl | ro | Images
pl | ro | ImageIndex
pl | ro | ImageWidth
pl | ro | DragMode
pl | ro | EchoMode
pl | ro | Enabled
pl | ro | Flat
pl | ro | FocusOnButtonClick
pl | ro | Font
pl | ro | Layout
pl | ro | MaxLength
pl | ro | ParentBidiMode
pl | ro | ParentColor
pl | ro | ParentFont
pl | ro | ParentShowHint
pl | ro | PopupMenu
pl | ro | ShowHint
pl | ro | TabStop
pl | ro | TabOrder
pl | ro | Spacing
pl | ro | Visible
pl | ro | Text
pl | ro | TextHint
TCustomEditButton
pt | ro | Button
pt |  | ButtonCaption
pt |  | ButtonCursor
pt |  | ButtonHint
pt |  | ButtonOnlyWhenFocused
pt |  | ButtonWidth
pt | ro | Edit
pt |  | Flat
pt |  | FocusOnButtonClick
pt |  | Glyph
pt |  | NumGlyphs
pt |  | Images
pt |  | ImageIndex
pt |  | ImageWidth
pt | ro | Spacing
TCustomAbstractGroupedEdit
pt |  | AutoSelect
pt |  | AutoSelected
pt | ro | Buddy
pt |  | BuddyCaption
pt |  | BuddyCursor
pt |  | BuddyHint
pt |  | BuddyWidth
pt |  | DirectInput
pt | ro | BaseEditor
pt |  | EditMask
pt |  | EditText
pt |  | FocusOnBuddyClick
pt | ro | IsMasked
pt |  | Layout
pt |  | Spacing
 | ro | Autosize
 |  | AutoSizeHeightIsEditHeight
 |  | Alignment
 | ro | CanUndo
 |  | CaretPos
 |  | CharCase
 |  | Color
 |  | ParentColor
 |  | EchoMode
 |  | HideSelection
 |  | MaxLength
 |  | Modified
 |  | NumbersOnly
 |  | PasswordChar
 |  | PopupMenu
 |  | ReadOnly
 |  | SelLength
 |  | SelStart
 |  | SelText
 |  | TabStop
 | ro | Text
 |  | TextHint
TCustomControl
 |  | Canvas
 | ro | BorderStyle
TWinControl
pt |  | WindowHandle
pt |  | BorderStyle
pt |  | ParentBackground
 |  | BorderWidth
 | ro | BoundsLockCount
 | ro | Brush
 | ro | CachedClientHeight
 | ro | CachedClientWidth
 |  | ChildSizing
 | ro | ControlCount
 | ro | Controls
 |  | DefWndProc
 | ro | DockClientCount
 | ro | DockClients
 |  | DockManager
 |  | DockSite
 |  | DoubleBuffered
 |  | Handle
 | ro | IsFlipped
 | ro | IsResizing
 |  | TabOrder
 |  | TabStop
 |  | ParentDoubleBuffered
 |  | ParentWindow
 | ro | Showing
 |  | UseDockManager
 |  | DesignerDeleting
 | ro | VisibleDockClientCount
TControl
pt | ro | AutoSizing
pt | ro | AutoSizingAll
pt | ro | AutoSizingLockCount
pt |  | ActionLink
pt |  | DesktopFont
pt |  | DragCursor
pt |  | DragKind
pt |  | DragMode
pt |  | MouseCapture
pt |  | ParentColor
pt |  | ParentFont
pt |  | ParentShowHint
pt |  | SessionProperties
pt |  | Text
 | ro | AnchoredControls
 | ro | BaseBounds
 | ro | ReadBounds
 | ro | BaseParentClientSize
 |  | AccessibleDescription
 |  | AccessibleValue
 |  | AccessibleRole
 |  | Action
 |  | Align
 |  | Anchors
 | ro | AnchorSide
 |  | AutoSize
 |  | BorderSpacing
 |  | BoundsRect
 |  | BoundsRectForNewParent
 |  | Caption
 |  | CaptureMouseButtons
 |  | ClientHeight
 | ro | ClientOrigin
 | ro | ClientRect
 |  | ClientWidth
 |  | Color
 |  | Constraints
 | ro | ControlOrigin
 |  | ControlState
 |  | ControlStyle
 |  | Enabled
 |  | Font
 |  | IsControl
 | ro | MouseEntered
 | ro | MouseInClient
 |  | Parent
 |  | PopupMenu
 |  | ShowHint
 |  | Visible
 |  | WindowProc
 |  | DockOrientation
 | ro | Floating
 |  | FloatingDockSiteClass
 |  | HostDockSite
 |  | LRDockWidth
 |  | TBDockHeight
 |  | UndockHeight
 |  | UndockWidth
 |  | BiDiMode
 |  | ParentBiDiMode
pl |  | AnchorSideLeft
pl |  | AnchorSideTop
pl |  | AnchorSideRight
pl |  | AnchorSideBottom
pl |  | Cursor
pl |  | Left
pl |  | Height
pl |  | Hint
pl |  | Top
pl |  | Width
pl |  | HelpType
pl |  | HelpKeyword
pl |  | HelpContext
TLCLComponent
 | ro | LCLRefCount
 | ro | WidgetSetClass
TComponent
 | ro | ComObject
 | ro | Components
 | ro | ComponentCount
 |  | ComponentIndex
 | ro | ComponentState
 | ro | ComponentStyle
 |  | DesignInfo
 | ro | Owner
 |  | VCLComObject
 |  | Name
 |  | Tag
TPersistent
TObject


 |  | AccessibleDescription (TControl)
 |  | AccessibleRole (TControl)
 |  | AccessibleValue (TControl)
 |  | Action (TControl)
pl | ro | Action (TDateEdit)
pt |  | ActionLink (TControl)
 |  | Align (TControl)
pl | ro | Align (TDateEdit)
 |  | Alignment (TCustomAbstractGroupedEdit)
 | ro | AnchoredControls (TControl)
 |  | Anchors (TControl)
pl | ro | Anchors (TDateEdit)
 | ro | AnchorSide (TControl)
pl |  | AnchorSideBottom (TControl)
pl |  | AnchorSideLeft (TControl)
pl |  | AnchorSideRight (TControl)
pl |  | AnchorSideTop (TControl)
pt |  | AutoSelect (TCustomAbstractGroupedEdit)
pl | ro | AutoSelect (TDateEdit)
pt |  | AutoSelected (TCustomAbstractGroupedEdit)
 | ro | AutoSelected (TDateEdit)
 |  | AutoSize (TControl)
 | ro | Autosize (TCustomAbstractGroupedEdit)
pl | ro | AutoSize (TDateEdit)
 |  | AutoSizeHeightIsEditHeight (TCustomAbstractGroupedEdit)
pt | ro | AutoSizing (TControl)
pt | ro | AutoSizingAll (TControl)
pt | ro | AutoSizingLockCount (TControl)
 | ro | BaseBounds (TControl)
pt | ro | BaseEditor (TCustomAbstractGroupedEdit)
 | ro | BaseParentClientSize (TControl)
 |  | BiDiMode (TControl)
pl | ro | BidiMode (TDateEdit)
 |  | BorderSpacing (TControl)
pl | ro | BorderSpacing (TDateEdit)
pt |  | BorderStyle (TWinControl)
 | ro | BorderStyle (TCustomControl)
pl | ro | BorderStyle (TDateEdit)
 |  | BorderWidth (TWinControl)
 | ro | BoundsLockCount (TWinControl)
 |  | BoundsRect (TControl)
 |  | BoundsRectForNewParent (TControl)
 | ro | Brush (TWinControl)
pt | ro | Buddy (TCustomAbstractGroupedEdit)
pt |  | BuddyCaption (TCustomAbstractGroupedEdit)
pt |  | BuddyCursor (TCustomAbstractGroupedEdit)
pt |  | BuddyHint (TCustomAbstractGroupedEdit)
pt |  | BuddyWidth (TCustomAbstractGroupedEdit)
pt | ro | Button (TCustomEditButton)
 | ro | Button (TDateEdit)
pt |  | ButtonCaption (TCustomEditButton)
pl | ro | ButtonCaption (TDateEdit)
pt |  | ButtonCursor (TCustomEditButton)
pl | ro | ButtonCursor (TDateEdit)
pt |  | ButtonHint (TCustomEditButton)
pl | ro | ButtonHint (TDateEdit)
pt |  | ButtonOnlyWhenFocused (TCustomEditButton)
pl | ro | ButtonOnlyWhenFocused (TDateEdit)
pt |  | ButtonWidth (TCustomEditButton)
pl | ro | ButtonWidth (TDateEdit)
 | ro | CachedClientHeight (TWinControl)
 | ro | CachedClientWidth (TWinControl)
pl |  | CalendarDisplaySettings (TDateEdit)
 | ro | CanUndo (TCustomAbstractGroupedEdit)
 |  | Canvas (TCustomControl)
 |  | Caption (TControl)
 |  | CaptureMouseButtons (TControl)
 |  | CaretPos (TCustomAbstractGroupedEdit)
 |  | CharCase (TCustomAbstractGroupedEdit)
pl | ro | CharCase (TDateEdit)
 |  | ChildSizing (TWinControl)
 |  | ClientHeight (TControl)
 | ro | ClientOrigin (TControl)
 | ro | ClientRect (TControl)
 |  | ClientWidth (TControl)
 |  | Color (TControl)
 |  | Color (TCustomAbstractGroupedEdit)
pl | ro | Color (TDateEdit)
 | ro | ComObject (TComponent)
 | ro | ComponentCount (TComponent)
 |  | ComponentIndex (TComponent)
 | ro | Components (TComponent)
 | ro | ComponentState (TComponent)
 | ro | ComponentStyle (TComponent)
 |  | Constraints (TControl)
pl | ro | Constraints (TDateEdit)
 | ro | ControlCount (TWinControl)
 | ro | ControlOrigin (TControl)
 | ro | Controls (TWinControl)
 |  | ControlState (TControl)
 |  | ControlStyle (TControl)
pl |  | Cursor (TControl)
pl |  | DataField (TDBDateEdit)
pl |  | DataSource (TDBDateEdit)
 |  | Date (TDateEdit)
pl |  | DateFormat (TDateEdit)
pl |  | DateOrder (TDateEdit)
pl |  | DefaultToday (TDateEdit)
 |  | DefWndProc (TWinControl)
 |  | DesignerDeleting (TWinControl)
 |  | DesignInfo (TComponent)
pt |  | DesktopFont (TControl)
pt |  | DirectInput (TCustomAbstractGroupedEdit)
pl | ro | DirectInput (TDateEdit)
 | ro | DockClientCount (TWinControl)
 | ro | DockClients (TWinControl)
 |  | DockManager (TWinControl)
 |  | DockOrientation (TControl)
 |  | DockSite (TWinControl)
 |  | DoubleBuffered (TWinControl)
pt |  | DragCursor (TControl)
pt |  | DragKind (TControl)
pt |  | DragMode (TControl)
pl | ro | DragMode (TDateEdit)
 | ro | DroppedDown (TDateEdit)
 |  | EchoMode (TCustomAbstractGroupedEdit)
pl | ro | EchoMode (TDateEdit)
pt | ro | Edit (TCustomEditButton)
pt |  | EditMask (TCustomAbstractGroupedEdit)
pt |  | EditText (TCustomAbstractGroupedEdit)
 |  | Enabled (TControl)
pl | ro | Enabled (TDateEdit)
 | ro | Field (TDBDateEdit)
pt |  | Flat (TCustomEditButton)
pl | ro | Flat (TDateEdit)
 | ro | Floating (TControl)
 |  | FloatingDockSiteClass (TControl)
pt |  | FocusOnBuddyClick (TCustomAbstractGroupedEdit)
pt |  | FocusOnButtonClick (TCustomEditButton)
pl | ro | FocusOnButtonClick (TDateEdit)
 |  | Font (TControl)
pl | ro | Font (TDateEdit)
pt |  | Glyph (TCustomEditButton)
pl | ro | Glyph (TDateEdit)
 |  | Handle (TWinControl)
pl |  | Height (TControl)
pl |  | HelpContext (TControl)
pl |  | HelpKeyword (TControl)
pl |  | HelpType (TControl)
 |  | HideSelection (TCustomAbstractGroupedEdit)
pl |  | Hint (TControl)
 |  | HostDockSite (TControl)
pt |  | ImageIndex (TCustomEditButton)
pl | ro | ImageIndex (TDateEdit)
pt |  | Images (TCustomEditButton)
pl | ro | Images (TDateEdit)
pt |  | ImageWidth (TCustomEditButton)
pl | ro | ImageWidth (TDateEdit)
 |  | IsControl (TControl)
 | ro | IsFlipped (TWinControl)
pt | ro | IsMasked (TCustomAbstractGroupedEdit)
 | ro | IsResizing (TWinControl)
pt |  | Layout (TCustomAbstractGroupedEdit)
pl | ro | Layout (TDateEdit)
 | ro | LCLRefCount (TLCLComponent)
pl |  | Left (TControl)
 |  | LRDockWidth (TControl)
 |  | MaxLength (TCustomAbstractGroupedEdit)
pl | ro | MaxLength (TDateEdit)
 |  | Modified (TCustomAbstractGroupedEdit)
pt |  | MouseCapture (TControl)
 | ro | MouseEntered (TControl)
 | ro | MouseInClient (TControl)
 |  | Name (TComponent)
 |  | NumbersOnly (TCustomAbstractGroupedEdit)
pt |  | NumGlyphs (TCustomEditButton)
pl | ro | NumGlyphs (TDateEdit)
 | ro | Owner (TComponent)
 |  | Parent (TControl)
pt |  | ParentBackground (TWinControl)
 |  | ParentBiDiMode (TControl)
pl | ro | ParentBidiMode (TDateEdit)
pt |  | ParentColor (TControl)
 |  | ParentColor (TCustomAbstractGroupedEdit)
pl | ro | ParentColor (TDateEdit)
 |  | ParentDoubleBuffered (TWinControl)
pt |  | ParentFont (TControl)
pl | ro | ParentFont (TDateEdit)
pt |  | ParentShowHint (TControl)
pl | ro | ParentShowHint (TDateEdit)
 |  | ParentWindow (TWinControl)
 |  | PasswordChar (TCustomAbstractGroupedEdit)
 |  | PopupMenu (TControl)
 |  | PopupMenu (TCustomAbstractGroupedEdit)
pl | ro | PopupMenu (TDateEdit)
 | ro | ReadBounds (TControl)
 |  | ReadOnly (TCustomAbstractGroupedEdit)
pl | ro | ReadOnly (TDateEdit)
 |  | SelLength (TCustomAbstractGroupedEdit)
 |  | SelStart (TCustomAbstractGroupedEdit)
 |  | SelText (TCustomAbstractGroupedEdit)
pt |  | SessionProperties (TControl)
 |  | ShowHint (TControl)
pl | ro | ShowHint (TDateEdit)
 | ro | Showing (TWinControl)
pt |  | Spacing (TCustomAbstractGroupedEdit)
pt | ro | Spacing (TCustomEditButton)
pl | ro | Spacing (TDateEdit)
 |  | TabOrder (TWinControl)
pl | ro | TabOrder (TDateEdit)
 |  | TabStop (TWinControl)
 |  | TabStop (TCustomAbstractGroupedEdit)
pl | ro | TabStop (TDateEdit)
 |  | Tag (TComponent)
 |  | TBDockHeight (TControl)
pt |  | Text (TControl)
 | ro | Text (TCustomAbstractGroupedEdit)
pl | ro | Text (TDateEdit)
 |  | TextHint (TCustomAbstractGroupedEdit)
pl | ro | TextHint (TDateEdit)
pl |  | Top (TControl)
 |  | UndockHeight (TControl)
 |  | UndockWidth (TControl)
 |  | UseDockManager (TWinControl)
 |  | VCLComObject (TComponent)
 |  | Visible (TControl)
pl | ro | Visible (TDateEdit)
 | ro | VisibleDockClientCount (TWinControl)
 | ro | WidgetSetClass (TLCLComponent)
pl |  | Width (TControl)
pt |  | WindowHandle (TWinControl)
 |  | WindowProc (TControl)


TDBDateEdit
pt | Notification
pt | EditCanModify
pt | EditEnter
pt | EditKeyDown
pt | EditKeyPress
pt | ButtonClick
pt | EditChange
pt | EditExit
pt | Reset
 | Create
 | Destroy
 | ExecuteAction
 | UpdateAction
TDateEdit
pt | GetDefaultGlyphName
pt | ButtonClick
pt | EditDblClick
pt | EditEditingDone
pt | SetDirectInput
pt | RealSetText
pt | SetDateMask
pt | Loaded
 | Create
 | GetDateFormat
TCustomEditButton
pt | ButtonClick
pt | BuddyClick
pt | GetEditorClassType
pt | GetBuddyClassType
pt | GetControlClassDefaultSize
pt | CalcButtonVisible
pt | GetDefaultGlyphName
pt | CalculatePreferredSize
pt | CheckButtonVisible
pt | LoadDefaultGlyph
pt | GlyphChanged
 | Create
 | Destroy
TCustomAbstractGroupedEdit
pt | CalculatePreferredSize
pt | CreateBuddy
pt | CreateEditor
pt | FocusAndMaybeSelectAll
pt | GetEditorClassType
pt | GetBuddyClassType
pt | GetControlClassDefaultSize
pt | SetDirectInput
pt | RealGetText
pt | RealSetText
pt | GetEditPopupMenu
pt | GetBuddyCaption
pt | GetBuddyCursor
pt | GetBuddyHint
pt | GetBuddyWidth
pt | GetBuddyVisible
pt | SetBuddyCaption
pt | SetBuddyCursor
pt | SetBuddyHint
pt | SetBuddyWidth
pt | SetBuddyVisible
pt | BuddyClick
pt | DoEnter
pt | EditChange
pt | EditClick
pt | EditDblClick
pt | EditDragDrop
pt | EditDragOver
pt | EditEditingDone
pt | EditEndDrag
pt | EditEnter
pt | EditExit
pt | EditKeyDown
pt | EditKeyPress
pt | EditKeyUp
pt | EditMouseDown
pt | EditMouseUp
pt | EditMouseEnter
pt | EditMouseLeave
pt | EditMouseMove
pt | EditMouseWheel
pt | EditMouseWheelUp
pt | EditMouseWheelDown
pt | EditUtf8KeyPress
pt | EditStartDrag
pt | UpdateSpacing
pt | CheckCursor
pt | CMParentColorChanged
pt | EditCanModify
pt | GetSel
pt | GetSpacing
pt | SetSel
pt | Loaded
pt | Reset
pt | SetAutoSize
pt | SetColor
pt | SetCursor
pt | ShouldAutoAdjust
 | Create
 | Destroy
 | SetFocus
 | Focused
 | Clear
 | ClearSelection
 | CopyToClipboard
 | CutToClipboard
 | PasteFromClipboard
 | SelectAll
 | Undo
 | ValidateEdit
TCustomControl
pt | WSRegisterClass
pt | WMPaint
pt | DestroyWnd
pt | PaintWindow
pt | FontChanged
pt | SetColor
pt | Paint
 | Create
 | Destroy
TWinControl
pt | WSRegisterClass
pt | AdjustClientRect
pt | GetAdjustedLogicalClientRect
pt | AlignControls
pt | CustomAlignInsertBefore
pt | CustomAlignPosition
pt | DoAlignChildControls
pt | DoChildSizingChange
pt | InvalidatePreferredChildSizes
pt | CanTab
pt | IsClientHeightStored
pt | IsClientWidthStored
pt | DoSendShowHideToInterface
pt | ControlsAligned
pt | DoSendBoundsToInterface
pt | RealizeBounds
pt | RealizeBoundsRecursive
pt | InvalidateBoundsRealized
pt | CreateSubClass
pt | DoConstraintsChange
pt | DoSetBounds
pt | DoAutoSize
pt | DoAllAutoSize
pt | AllAutoSized
pt | CalculatePreferredSize
pt | GetPreferredSizeClientFrame
pt | GetChildren
pt | ChildClassAllowed
pt | PaintControls
pt | PaintHandler
pt | PaintWindow
pt | CreateBrush
pt | ScaleControls
pt | ChangeScale
pt | CMBiDiModeChanged
pt | CMBorderChanged
pt | CMDoubleBufferedChanged
pt | CMEnabledChanged
pt | CMParentDoubleBufferedChanged
pt | CMShowingChanged
pt | CMShowHintChanged
pt | CMVisibleChanged
pt | CMEnter
pt | CMExit
pt | WMContextMenu
pt | WMEraseBkgnd
pt | WMNotify
pt | WMSetFocus
pt | WMKillFocus
pt | WMShowWindow
pt | WMEnter
pt | WMExit
pt | WMKeyDown
pt | WMSysKeyDown
pt | WMKeyUp
pt | WMSysKeyUp
pt | WMChar
pt | WMSysChar
pt | WMPaint
pt | WMDestroy
pt | WMMove
pt | WMSize
pt | WMWindowPosChanged
pt | CNKeyDown
pt | CNSysKeyDown
pt | CNKeyUp
pt | CNSysKeyUp
pt | CNChar
pt | DoDragMsg
pt | DoDockClientMsg
pt | DoUndockClientMsg
pt | DoAddDockClient
pt | DockOver
pt | DoDockOver
pt | DoRemoveDockClient
pt | DoUnDock
pt | GetSiteInfo
pt | GetParentHandle
pt | GetTopParentHandle
pt | ReloadDockedControl
pt | CreateDockManager
pt | SetDockManager
pt | DoFloatMsg
pt | DoGetDockCaption
pt | DoEnter
pt | DoExit
pt | DoKeyDownBeforeInterface
pt | DoRemainingKeyDown
pt | DoRemainingKeyUp
pt | DoKeyPress
pt | DoUTF8KeyPress
pt | DoKeyUpBeforeInterface
pt | ChildKey
pt | SendDialogChar
pt | DialogChar
pt | ControlKeyDown
pt | ControlKeyUp
pt | KeyDown
pt | KeyDownBeforeInterface
pt | KeyDownAfterInterface
pt | KeyPress
pt | KeyUp
pt | KeyUpBeforeInterface
pt | KeyUpAfterInterface
pt | UTF8KeyPress
pt | FindNextControl
pt | SelectFirst
pt | RealGetText
pt | GetBorderStyle
pt | GetClientOrigin
pt | GetClientRect
pt | GetControlOrigin
pt | GetDeviceContext
pt | GetParentBackground
pt | IsControlMouseMsg
pt | CreateHandle
pt | CreateParams
pt | CreateWnd
pt | DestroyHandle
pt | DestroyWnd
pt | DoFlipChildren
pt | FinalizeWnd
pt | FixupTabList
pt | FontChanged
pt | InitializeWnd
pt | Loaded
pt | FormEndUpdated
pt | MainWndProc
pt | ParentFormHandleInitialized
pt | ChildHandlesCreated
pt | GetMouseCapture
pt | RealSetText
pt | RemoveFocus
pt | SendMoveSizeMessages
pt | SetBorderStyle
pt | SetColor
pt | SetChildZPosition
pt | SetParentBackground
pt | ShowControl
pt | UpdateControlState
pt | UpdateShowing
pt | WndProc
pt | WSSetText
 | AutoSizePhases
 | AutoSizeDelayed
 | AutoSizeDelayedReport
 | AutoSizeDelayedHandle
 | BeginUpdateBounds
 | EndUpdateBounds
 | LockRealizeBounds
 | UnlockRealizeBounds
 | ControlAtPos
 | ContainsControl
 | DoAdjustClientRectChange
 | InvalidateClientRectCache
 | ClientRectNeedsInterfaceUpdate
 | SetBounds
 | GetChildrenRect
 | DisableAlign
 | EnableAlign
 | ReAlign
 | ScrollBy_WS
 | ScrollBy
 | WriteLayoutDebugReport
 | AutoAdjustLayout
 | Create
 | CreateParented
 | CreateParentedControl
 | Destroy
 | DockDrop
 | CanFocus
 | CanSetFocus
 | GetControlIndex
 | SetControlIndex
 | Focused
 | PerformTab
 | FindChildControl
 | SelectNext
 | SetTempCursor
 | BroadCast
 | NotifyControls
 | DefaultHandler
 | GetTextLen
 | Invalidate
 | AddControl
 | InsertControl
 | RemoveControl
 | GetEnumeratorControls
 | GetEnumeratorControlsReverse
 | Repaint
 | Update
 | SetFocus
 | FlipChildren
 | ScaleBy
 | GetDockCaption
 | UpdateDockCaption
 | GetTabOrderList
 | HandleAllocated
 | ParentHandlesAllocated
 | HandleNeeded
 | BrushCreated
 | EraseBackground
 | IntfUTF8KeyPress
 | IntfGetDropFilesTarget
 | PaintTo
 | SetShape
TControl
pt | WSRegisterClass
pt | GetCursor
pt | SetCursor
pt | SetVisible
pt | DoOnParentHandleDestruction
pt | DoAutoSize
pt | DoAllAutoSize
pt | BeginAutoSizing
pt | EndAutoSizing
pt | AnchorSideChanged
pt | ForeignAnchorSideChanged
pt | SetAlign
pt | SetAnchors
pt | SetAutoSize
pt | BoundsChanged
pt | CreateControlBorderSpacing
pt | DoConstraintsChange
pt | DoBorderSpacingChange
pt | IsBorderSpacingInnerBorderStored
pt | IsCaptionStored
pt | SendMoveSizeMessages
pt | ConstrainedResize
pt | CalculatePreferredSize
pt | DoOnResize
pt | DoOnChangeBounds
pt | CheckOnChangeBounds
pt | Resize
pt | RequestAlign
pt | UpdateAnchorRules
pt | ChangeBounds
pt | DoSetBounds
pt | ScaleConstraints
pt | ChangeScale
pt | CanAutoSize
pt | SetBiDiMode
pt | SetParentBiDiMode
pt | IsAParentAligning
pt | GetClientOrigin
pt | GetClientRect
pt | GetLogicalClientRect
pt | GetScrolledClientRect
pt | GetClientScrollOffset
pt | GetControlOrigin
pt | IsClientHeightStored
pt | IsClientWidthStored
pt | WidthIsAnchored
pt | HeightIsAnchored
pt | WMCancelMode
pt | WMContextMenu
pt | WMLButtonDown
pt | WMRButtonDown
pt | WMMButtonDown
pt | WMXButtonDown
pt | WMLButtonDBLCLK
pt | WMRButtonDBLCLK
pt | WMMButtonDBLCLK
pt | WMXButtonDBLCLK
pt | WMLButtonTripleCLK
pt | WMRButtonTripleCLK
pt | WMMButtonTripleCLK
pt | WMXButtonTripleCLK
pt | WMLButtonQuadCLK
pt | WMRButtonQuadCLK
pt | WMMButtonQuadCLK
pt | WMXButtonQuadCLK
pt | WMMouseMove
pt | WMLButtonUp
pt | WMRButtonUp
pt | WMMButtonUp
pt | WMXButtonUp
pt | WMMouseWheel
pt | WMMouseHWheel
pt | WMMove
pt | WMSize
pt | WMWindowPosChanged
pt | CMChanged
pt | LMCaptureChanged
pt | CMBiDiModeChanged
pt | CMSysFontChanged
pt | CMEnabledChanged
pt | CMHitTest
pt | CMMouseEnter
pt | CMMouseLeave
pt | CMHintShow
pt | CMParentBiDiModeChanged
pt | CMParentColorChanged
pt | CMParentFontChanged
pt | CMParentShowHintChanged
pt | CMVisibleChanged
pt | CMTextChanged
pt | CMCursorChanged
pt | CalculateDockSizes
pt | CreateFloatingDockSite
pt | GetDockEdge
pt | GetDragImages
pt | GetFloating
pt | GetFloatingDockSiteClass
pt | BeforeDragStart
pt | BeginAutoDrag
pt | DoFloatMsg
pt | DockTrackNoTarget
pt | DoDock
pt | DoDragMsg
pt | DoEndDock
pt | DoEndDrag
pt | DoStartDock
pt | DoStartDrag
pt | DragCanceled
pt | DragOver
pt | PositionDockRect
pt | SetDragMode
pt | GetDefaultDockCaption
pt | Click
pt | DblClick
pt | TripleClick
pt | QuadClick
pt | GetMousePosFromMessage
pt | MouseDown
pt | MouseMove
pt | MouseUp
pt | MouseEnter
pt | MouseLeave
pt | DialogChar
pt | UpdateMouseCursor
pt | Changed
pt | GetPalette
pt | ChildClassAllowed
pt | ReadState
pt | Loaded
pt | LoadedAll
pt | DefineProperties
pt | AssignTo
pt | FormEndUpdated
pt | InvalidateControl
pt | FontChanged
pt | ParentFontChanged
pt | GetAction
pt | RealGetText
pt | RealSetText
pt | TextChanged
pt | GetCachedText
pt | SetAction
pt | SetColor
pt | SetEnabled
pt | SetHint
pt | SetName
pt | SetParent
pt | SetParentComponent
pt | WndProc
pt | ParentFormHandleInitialized
pt | GetMouseCapture
pt | CaptureChanged
pt | Notification
pt | CanTab
pt | GetDeviceContext
pt | GetEnabled
pt | GetPopupMenu
pt | DoOnShowHint
pt | DoMouseWheel
pt | DoMouseWheelDown
pt | DoMouseWheelUp
pt | DoMouseWheelHorz
pt | DoMouseWheelLeft
pt | DoMouseWheelRight
pt | VisibleChanging
pt | VisibleChanged
pt | EnabledChanging
pt | EnabledChanged
pt | AddHandler
pt | RemoveHandler
pt | DoCallNotifyHandler
pt | DoCallKeyEventHandler
pt | DoCallMouseWheelEventHandler
pt | DoContextPopup
pt | SetZOrder
pt | GetControlClassDefaultSize
pt | ColorIsStored
pt | DoAutoAdjustLayout
pt | DoFixDesignFontPPI
pt | DoScaleFontPPI
pt | GetActionLinkClass
pt | ActionChange
 | DragDrop
 | Dock
 | ManualDock
 | ManualFloat
 | ReplaceDockedControl
 | Docked
 | Dragging
 | GetAccessibleObject
 | CreateAccessibleObject
 | GetSelectedChildAccessibleObject
 | GetChildAccessibleObjectAtPos
 | ScaleDesignToForm
 | ScaleFormToDesign
 | Scale96ToForm
 | ScaleFormTo96
 | Scale96ToFont
 | ScaleFontTo96
 | ScaleScreenToFont
 | ScaleFontToScreen
 | Scale96ToScreen
 | ScaleScreenTo96
 | AdjustSize
 | AutoSizePhases
 | AutoSizeDelayed
 | AutoSizeDelayedReport
 | AutoSizeDelayedHandle
 | AnchorToNeighbour
 | AnchorParallel
 | AnchorHorizontalCenterTo
 | AnchorVerticalCenterTo
 | AnchorToCompanion
 | AnchorSame
 | AnchorAsAlign
 | AnchorClient
 | AnchoredControlCount
 | SetBounds
 | SetInitialBounds
 | SetBoundsKeepBase
 | GetPreferredSize
 | GetCanvasScaleFactor
 | GetDefaultWidth
 | GetDefaultHeight
 | GetDefaultColor
 | GetColorResolvingParent
 | GetRGBColorResolvingParent
 | GetSidePosition
 | CNPreferredSizeChanged
 | InvalidatePreferredSize
 | GetAnchorsDependingOnParent
 | DisableAutoSizing
 | EnableAutoSizing
 | UpdateBaseBounds
 | WriteLayoutDebugReport
 | AutoAdjustLayout
 | ShouldAutoAdjust
 | FixDesignFontsPPI
 | ScaleFontsPPI
 | Create
 | Destroy
 | BeforeDestruction
 | EditingDone
 | ExecuteDefaultAction
 | ExecuteCancelAction
 | BeginDrag
 | EndDrag
 | BringToFront
 | HasParent
 | GetParentComponent
 | IsParentOf
 | GetTopParent
 | IsVisible
 | IsControlVisible
 | IsEnabled
 | IsParentColor
 | IsParentFont
 | FormIsUpdating
 | IsProcessingPaintMsg
 | Hide
 | Refresh
 | Repaint
 | Invalidate
 | CheckChildClassAllowed
 | CheckNewParent
 | SendToBack
 | SetTempCursor
 | UpdateRolesForForm
 | ActiveDefaultControlChanged
 | GetTextBuf
 | GetTextLen
 | SetTextBuf
 | Perform
 | ScreenToClient
 | ClientToScreen
 | ScreenToControl
 | ControlToScreen
 | ClientToParent
 | ParentToClient
 | GetChildrenRect
 | Show
 | Update
 | HandleObjectShouldBeVisible
 | ParentDestroyingHandle
 | ParentHandlesAllocated
 | InitiateAction
 | ShowHelp
 | HasHelp
 | RemoveAllHandlersOfObject
 | AddHandlerOnResize
 | RemoveHandlerOnResize
 | AddHandlerOnChangeBounds
 | RemoveHandlerOnChangeBounds
 | AddHandlerOnVisibleChanging
 | RemoveHandlerOnVisibleChanging
 | AddHandlerOnVisibleChanged
 | RemoveHandlerOnVisibleChanged
 | AddHandlerOnEnabledChanged
 | RemoveHandlerOnEnableChanging
 | AddHandlerOnKeyDown
 | RemoveHandlerOnKeyDown
 | AddHandlerOnBeforeDestruction
 | RemoveHandlerOnBeforeDestruction
 | AddHandlerOnMouseWheel
 | RemoveHandlerOnMouseWheel
 | UseRightToLeftAlignment
 | UseRightToLeftReading
 | UseRightToLeftScrollBar
 | IsRightToLeft
TLCLComponent
pt | WSRegisterClass
pt | GetWSComponentClass
 | Create
 | Destroy
 | NewInstance
 | RemoveAllHandlersOfObject
 | IncLCLRefCount
 | DecLCLRefCount
TComponent
 | GetComObject
 | GetComponent
 | GetComponentCount
 | GetComponentIndex
 | Insert
 | ReadLeft
 | ReadTop
 | Remove
 | RemoveNotification
 | SetComponentIndex
 | SetReference
 | WriteLeft
 | WriteTop
 | ChangeName
 | DefineProperties
 | GetChildren
 | GetChildOwner
 | GetChildParent
 | GetOwner
 | Loaded
 | Loading
 | Notification
 | PaletteCreated
 | ReadState
 | SetAncestor
 | SetDesigning
 | SetDesignInstance
 | SetInline
 | SetName
 | SetChildOrder
 | SetParentComponent
 | Updating
 | Updated
 | UpdateRegistry
 | ValidateRename
 | ValidateContainer
 | ValidateInsert
 | QueryInterface
 | _AddRef
 | _Release
 | iicrGetComponent
 | GetTypeInfoCount
 | GetTypeInfo
 | GetIDsOfNames
 | Invoke
 | WriteState
 | Create
 | Destroy
 | BeforeDestruction
 | DestroyComponents
 | Destroying
 | ExecuteAction
 | FindComponent
 | FreeNotification
 | RemoveFreeNotification
 | FreeOnRelease
 | GetEnumerator
 | GetNamePath
 | GetParentComponent
 | HasParent
 | InsertComponent
 | RemoveComponent
 | SafeCallException
 | SetSubComponent
 | UpdateAction
 | IsImplementorOf
 | ReferenceInterface
TPersistent
 | AssignError
 | AssignTo
 | DefineProperties
 | GetOwner
 | Destroy
 | Assign
 | FPOAttachObserver
 | FPODetachObserver
 | FPONotifyObservers
 | GetNamePath
TObject
 | Create
 | Destroy
 | newinstance
 | FreeInstance
 | SafeCallException
 | DefaultHandler
 | Free
 | InitInstance
 | CleanupInstance
 | ClassType
 | ClassInfo
 | ClassName
 | ClassNameIs
 | ClassParent
 | InstanceSize
 | InheritsFrom
 | StringMessageTable
 | MethodAddress
 | MethodName
 | FieldAddress
 | AfterConstruction
 | BeforeDestruction
 | DefaultHandlerStr
 | Dispatch
 | DispatchStr
 | GetInterface
 | GetInterfaceByStr
 | GetInterfaceWeak
 | GetInterfaceEntry
 | GetInterfaceEntryByStr
 | GetInterfaceTable
 | UnitName
 | Equals
 | GetHashCode
 | ToString


pt | ActionChange (TControl)
 | ActiveDefaultControlChanged (TControl)
 | AddControl (TWinControl)
pt | AddHandler (TControl)
 | AddHandlerOnBeforeDestruction (TControl)
 | AddHandlerOnChangeBounds (TControl)
 | AddHandlerOnEnabledChanged (TControl)
 | AddHandlerOnKeyDown (TControl)
 | AddHandlerOnMouseWheel (TControl)
 | AddHandlerOnResize (TControl)
 | AddHandlerOnVisibleChanged (TControl)
 | AddHandlerOnVisibleChanging (TControl)
pt | AdjustClientRect (TWinControl)
 | AdjustSize (TControl)
 | AfterConstruction (TObject)
pt | AlignControls (TWinControl)
pt | AllAutoSized (TWinControl)
 | AnchorAsAlign (TControl)
 | AnchorClient (TControl)
 | AnchoredControlCount (TControl)
 | AnchorHorizontalCenterTo (TControl)
 | AnchorParallel (TControl)
 | AnchorSame (TControl)
pt | AnchorSideChanged (TControl)
 | AnchorToCompanion (TControl)
 | AnchorToNeighbour (TControl)
 | AnchorVerticalCenterTo (TControl)
 | Assign (TPersistent)
 | AssignError (TPersistent)
 | AssignTo (TPersistent)
pt | AssignTo (TControl)
 | AutoAdjustLayout (TControl)
 | AutoAdjustLayout (TWinControl)
 | AutoSizeDelayed (TControl)
 | AutoSizeDelayed (TWinControl)
 | AutoSizeDelayedHandle (TControl)
 | AutoSizeDelayedHandle (TWinControl)
 | AutoSizeDelayedReport (TControl)
 | AutoSizeDelayedReport (TWinControl)
 | AutoSizePhases (TControl)
 | AutoSizePhases (TWinControl)
 | BeforeDestruction (TObject)
 | BeforeDestruction (TComponent)
 | BeforeDestruction (TControl)
pt | BeforeDragStart (TControl)
pt | BeginAutoDrag (TControl)
pt | BeginAutoSizing (TControl)
 | BeginDrag (TControl)
 | BeginUpdateBounds (TWinControl)
pt | BoundsChanged (TControl)
 | BringToFront (TControl)
 | BroadCast (TWinControl)
 | BrushCreated (TWinControl)
pt | BuddyClick (TCustomAbstractGroupedEdit)
pt | BuddyClick (TCustomEditButton)
pt | ButtonClick (TCustomEditButton)
pt | ButtonClick (TDateEdit)
pt | ButtonClick (TDBDateEdit)
pt | CalcButtonVisible (TCustomEditButton)
pt | CalculateDockSizes (TControl)
pt | CalculatePreferredSize (TControl)
pt | CalculatePreferredSize (TWinControl)
pt | CalculatePreferredSize (TCustomAbstractGroupedEdit)
pt | CalculatePreferredSize (TCustomEditButton)
pt | CanAutoSize (TControl)
 | CanFocus (TWinControl)
 | CanSetFocus (TWinControl)
pt | CanTab (TControl)
pt | CanTab (TWinControl)
pt | CaptureChanged (TControl)
pt | ChangeBounds (TControl)
pt | Changed (TControl)
 | ChangeName (TComponent)
pt | ChangeScale (TControl)
pt | ChangeScale (TWinControl)
pt | CheckButtonVisible (TCustomEditButton)
 | CheckChildClassAllowed (TControl)
pt | CheckCursor (TCustomAbstractGroupedEdit)
 | CheckNewParent (TControl)
pt | CheckOnChangeBounds (TControl)
pt | ChildClassAllowed (TControl)
pt | ChildClassAllowed (TWinControl)
pt | ChildHandlesCreated (TWinControl)
pt | ChildKey (TWinControl)
 | ClassInfo (TObject)
 | ClassName (TObject)
 | ClassNameIs (TObject)
 | ClassParent (TObject)
 | ClassType (TObject)
 | CleanupInstance (TObject)
 | Clear (TCustomAbstractGroupedEdit)
 | ClearSelection (TCustomAbstractGroupedEdit)
pt | Click (TControl)
 | ClientRectNeedsInterfaceUpdate (TWinControl)
 | ClientToParent (TControl)
 | ClientToScreen (TControl)
pt | CMBiDiModeChanged (TControl)
pt | CMBiDiModeChanged (TWinControl)
pt | CMBorderChanged (TWinControl)
pt | CMChanged (TControl)
pt | CMCursorChanged (TControl)
pt | CMDoubleBufferedChanged (TWinControl)
pt | CMEnabledChanged (TControl)
pt | CMEnabledChanged (TWinControl)
pt | CMEnter (TWinControl)
pt | CMExit (TWinControl)
pt | CMHintShow (TControl)
pt | CMHitTest (TControl)
pt | CMMouseEnter (TControl)
pt | CMMouseLeave (TControl)
pt | CMParentBiDiModeChanged (TControl)
pt | CMParentColorChanged (TControl)
pt | CMParentColorChanged (TCustomAbstractGroupedEdit)
pt | CMParentDoubleBufferedChanged (TWinControl)
pt | CMParentFontChanged (TControl)
pt | CMParentShowHintChanged (TControl)
pt | CMShowHintChanged (TWinControl)
pt | CMShowingChanged (TWinControl)
pt | CMSysFontChanged (TControl)
pt | CMTextChanged (TControl)
pt | CMVisibleChanged (TControl)
pt | CMVisibleChanged (TWinControl)
pt | CNChar (TWinControl)
pt | CNKeyDown (TWinControl)
pt | CNKeyUp (TWinControl)
 | CNPreferredSizeChanged (TControl)
pt | CNSysKeyDown (TWinControl)
pt | CNSysKeyUp (TWinControl)
pt | ColorIsStored (TControl)
pt | ConstrainedResize (TControl)
 | ContainsControl (TWinControl)
 | ControlAtPos (TWinControl)
pt | ControlKeyDown (TWinControl)
pt | ControlKeyUp (TWinControl)
pt | ControlsAligned (TWinControl)
 | ControlToScreen (TControl)
 | CopyToClipboard (TCustomAbstractGroupedEdit)
 | Create (TObject)
 | Create (TComponent)
 | Create (TLCLComponent)
 | Create (TControl)
 | Create (TWinControl)
 | Create (TCustomControl)
 | Create (TCustomAbstractGroupedEdit)
 | Create (TCustomEditButton)
 | Create (TDateEdit)
 | Create (TDBDateEdit)
 | CreateAccessibleObject (TControl)
pt | CreateBrush (TWinControl)
pt | CreateBuddy (TCustomAbstractGroupedEdit)
pt | CreateControlBorderSpacing (TControl)
pt | CreateDockManager (TWinControl)
pt | CreateEditor (TCustomAbstractGroupedEdit)
pt | CreateFloatingDockSite (TControl)
pt | CreateHandle (TWinControl)
pt | CreateParams (TWinControl)
 | CreateParented (TWinControl)
 | CreateParentedControl (TWinControl)
pt | CreateSubClass (TWinControl)
pt | CreateWnd (TWinControl)
pt | CustomAlignInsertBefore (TWinControl)
pt | CustomAlignPosition (TWinControl)
 | CutToClipboard (TCustomAbstractGroupedEdit)
pt | DblClick (TControl)
 | DecLCLRefCount (TLCLComponent)
 | DefaultHandler (TObject)
 | DefaultHandler (TWinControl)
 | DefaultHandlerStr (TObject)
 | DefineProperties (TPersistent)
 | DefineProperties (TComponent)
pt | DefineProperties (TControl)
 | Destroy (TObject)
 | Destroy (TPersistent)
 | Destroy (TComponent)
 | Destroy (TLCLComponent)
 | Destroy (TControl)
 | Destroy (TWinControl)
 | Destroy (TCustomControl)
 | Destroy (TCustomAbstractGroupedEdit)
 | Destroy (TCustomEditButton)
 | Destroy (TDBDateEdit)
 | DestroyComponents (TComponent)
pt | DestroyHandle (TWinControl)
 | Destroying (TComponent)
pt | DestroyWnd (TWinControl)
pt | DestroyWnd (TCustomControl)
pt | DialogChar (TControl)
pt | DialogChar (TWinControl)
 | DisableAlign (TWinControl)
 | DisableAutoSizing (TControl)
 | Dispatch (TObject)
 | DispatchStr (TObject)
pt | DoAddDockClient (TWinControl)
 | DoAdjustClientRectChange (TWinControl)
pt | DoAlignChildControls (TWinControl)
pt | DoAllAutoSize (TControl)
pt | DoAllAutoSize (TWinControl)
pt | DoAutoAdjustLayout (TControl)
pt | DoAutoSize (TControl)
pt | DoAutoSize (TWinControl)
pt | DoBorderSpacingChange (TControl)
pt | DoCallKeyEventHandler (TControl)
pt | DoCallMouseWheelEventHandler (TControl)
pt | DoCallNotifyHandler (TControl)
pt | DoChildSizingChange (TWinControl)
 | Dock (TControl)
 | DockDrop (TWinControl)
 | Docked (TControl)
pt | DockOver (TWinControl)
pt | DockTrackNoTarget (TControl)
pt | DoConstraintsChange (TControl)
pt | DoConstraintsChange (TWinControl)
pt | DoContextPopup (TControl)
pt | DoDock (TControl)
pt | DoDockClientMsg (TWinControl)
pt | DoDockOver (TWinControl)
pt | DoDragMsg (TControl)
pt | DoDragMsg (TWinControl)
pt | DoEndDock (TControl)
pt | DoEndDrag (TControl)
pt | DoEnter (TWinControl)
pt | DoEnter (TCustomAbstractGroupedEdit)
pt | DoExit (TWinControl)
pt | DoFixDesignFontPPI (TControl)
pt | DoFlipChildren (TWinControl)
pt | DoFloatMsg (TControl)
pt | DoFloatMsg (TWinControl)
pt | DoGetDockCaption (TWinControl)
pt | DoKeyDownBeforeInterface (TWinControl)
pt | DoKeyPress (TWinControl)
pt | DoKeyUpBeforeInterface (TWinControl)
pt | DoMouseWheel (TControl)
pt | DoMouseWheelDown (TControl)
pt | DoMouseWheelHorz (TControl)
pt | DoMouseWheelLeft (TControl)
pt | DoMouseWheelRight (TControl)
pt | DoMouseWheelUp (TControl)
pt | DoOnChangeBounds (TControl)
pt | DoOnParentHandleDestruction (TControl)
pt | DoOnResize (TControl)
pt | DoOnShowHint (TControl)
pt | DoRemainingKeyDown (TWinControl)
pt | DoRemainingKeyUp (TWinControl)
pt | DoRemoveDockClient (TWinControl)
pt | DoScaleFontPPI (TControl)
pt | DoSendBoundsToInterface (TWinControl)
pt | DoSendShowHideToInterface (TWinControl)
pt | DoSetBounds (TControl)
pt | DoSetBounds (TWinControl)
pt | DoStartDock (TControl)
pt | DoStartDrag (TControl)
pt | DoUnDock (TWinControl)
pt | DoUndockClientMsg (TWinControl)
pt | DoUTF8KeyPress (TWinControl)
pt | DragCanceled (TControl)
 | DragDrop (TControl)
 | Dragging (TControl)
pt | DragOver (TControl)
pt | EditCanModify (TCustomAbstractGroupedEdit)
pt | EditCanModify (TDBDateEdit)
pt | EditChange (TCustomAbstractGroupedEdit)
pt | EditChange (TDBDateEdit)
pt | EditClick (TCustomAbstractGroupedEdit)
pt | EditDblClick (TCustomAbstractGroupedEdit)
pt | EditDblClick (TDateEdit)
pt | EditDragDrop (TCustomAbstractGroupedEdit)
pt | EditDragOver (TCustomAbstractGroupedEdit)
pt | EditEditingDone (TCustomAbstractGroupedEdit)
pt | EditEditingDone (TDateEdit)
pt | EditEndDrag (TCustomAbstractGroupedEdit)
pt | EditEnter (TCustomAbstractGroupedEdit)
pt | EditEnter (TDBDateEdit)
pt | EditExit (TCustomAbstractGroupedEdit)
pt | EditExit (TDBDateEdit)
 | EditingDone (TControl)
pt | EditKeyDown (TCustomAbstractGroupedEdit)
pt | EditKeyDown (TDBDateEdit)
pt | EditKeyPress (TCustomAbstractGroupedEdit)
pt | EditKeyPress (TDBDateEdit)
pt | EditKeyUp (TCustomAbstractGroupedEdit)
pt | EditMouseDown (TCustomAbstractGroupedEdit)
pt | EditMouseEnter (TCustomAbstractGroupedEdit)
pt | EditMouseLeave (TCustomAbstractGroupedEdit)
pt | EditMouseMove (TCustomAbstractGroupedEdit)
pt | EditMouseUp (TCustomAbstractGroupedEdit)
pt | EditMouseWheel (TCustomAbstractGroupedEdit)
pt | EditMouseWheelDown (TCustomAbstractGroupedEdit)
pt | EditMouseWheelUp (TCustomAbstractGroupedEdit)
pt | EditStartDrag (TCustomAbstractGroupedEdit)
pt | EditUtf8KeyPress (TCustomAbstractGroupedEdit)
 | EnableAlign (TWinControl)
 | EnableAutoSizing (TControl)
pt | EnabledChanged (TControl)
pt | EnabledChanging (TControl)
pt | EndAutoSizing (TControl)
 | EndDrag (TControl)
 | EndUpdateBounds (TWinControl)
 | Equals (TObject)
 | EraseBackground (TWinControl)
 | ExecuteAction (TComponent)
 | ExecuteAction (TDBDateEdit)
 | ExecuteCancelAction (TControl)
 | ExecuteDefaultAction (TControl)
 | FieldAddress (TObject)
pt | FinalizeWnd (TWinControl)
 | FindChildControl (TWinControl)
 | FindComponent (TComponent)
pt | FindNextControl (TWinControl)
 | FixDesignFontsPPI (TControl)
pt | FixupTabList (TWinControl)
 | FlipChildren (TWinControl)
pt | FocusAndMaybeSelectAll (TCustomAbstractGroupedEdit)
 | Focused (TWinControl)
 | Focused (TCustomAbstractGroupedEdit)
pt | FontChanged (TControl)
pt | FontChanged (TWinControl)
pt | FontChanged (TCustomControl)
pt | ForeignAnchorSideChanged (TControl)
pt | FormEndUpdated (TControl)
pt | FormEndUpdated (TWinControl)
 | FormIsUpdating (TControl)
 | FPOAttachObserver (TPersistent)
 | FPODetachObserver (TPersistent)
 | FPONotifyObservers (TPersistent)
 | Free (TObject)
 | FreeInstance (TObject)
 | FreeNotification (TComponent)
 | FreeOnRelease (TComponent)
 | GetAccessibleObject (TControl)
pt | GetAction (TControl)
pt | GetActionLinkClass (TControl)
pt | GetAdjustedLogicalClientRect (TWinControl)
 | GetAnchorsDependingOnParent (TControl)
pt | GetBorderStyle (TWinControl)
pt | GetBuddyCaption (TCustomAbstractGroupedEdit)
pt | GetBuddyClassType (TCustomAbstractGroupedEdit)
pt | GetBuddyClassType (TCustomEditButton)
pt | GetBuddyCursor (TCustomAbstractGroupedEdit)
pt | GetBuddyHint (TCustomAbstractGroupedEdit)
pt | GetBuddyVisible (TCustomAbstractGroupedEdit)
pt | GetBuddyWidth (TCustomAbstractGroupedEdit)
pt | GetCachedText (TControl)
 | GetCanvasScaleFactor (TControl)
 | GetChildAccessibleObjectAtPos (TControl)
 | GetChildOwner (TComponent)
 | GetChildParent (TComponent)
 | GetChildren (TComponent)
pt | GetChildren (TWinControl)
 | GetChildrenRect (TControl)
 | GetChildrenRect (TWinControl)
pt | GetClientOrigin (TControl)
pt | GetClientOrigin (TWinControl)
pt | GetClientRect (TControl)
pt | GetClientRect (TWinControl)
pt | GetClientScrollOffset (TControl)
 | GetColorResolvingParent (TControl)
 | GetComObject (TComponent)
 | GetComponent (TComponent)
 | GetComponentCount (TComponent)
 | GetComponentIndex (TComponent)
pt | GetControlClassDefaultSize (TControl)
pt | GetControlClassDefaultSize (TCustomAbstractGroupedEdit)
pt | GetControlClassDefaultSize (TCustomEditButton)
 | GetControlIndex (TWinControl)
pt | GetControlOrigin (TControl)
pt | GetControlOrigin (TWinControl)
pt | GetCursor (TControl)
 | GetDateFormat (TDateEdit)
 | GetDefaultColor (TControl)
pt | GetDefaultDockCaption (TControl)
pt | GetDefaultGlyphName (TCustomEditButton)
pt | GetDefaultGlyphName (TDateEdit)
 | GetDefaultHeight (TControl)
 | GetDefaultWidth (TControl)
pt | GetDeviceContext (TControl)
pt | GetDeviceContext (TWinControl)
 | GetDockCaption (TWinControl)
pt | GetDockEdge (TControl)
pt | GetDragImages (TControl)
pt | GetEditorClassType (TCustomAbstractGroupedEdit)
pt | GetEditorClassType (TCustomEditButton)
pt | GetEditPopupMenu (TCustomAbstractGroupedEdit)
pt | GetEnabled (TControl)
 | GetEnumerator (TComponent)
 | GetEnumeratorControls (TWinControl)
 | GetEnumeratorControlsReverse (TWinControl)
pt | GetFloating (TControl)
pt | GetFloatingDockSiteClass (TControl)
 | GetHashCode (TObject)
 | GetIDsOfNames (TComponent)
 | GetInterface (TObject)
 | GetInterfaceByStr (TObject)
 | GetInterfaceEntry (TObject)
 | GetInterfaceEntryByStr (TObject)
 | GetInterfaceTable (TObject)
 | GetInterfaceWeak (TObject)
pt | GetLogicalClientRect (TControl)
pt | GetMouseCapture (TControl)
pt | GetMouseCapture (TWinControl)
pt | GetMousePosFromMessage (TControl)
 | GetNamePath (TPersistent)
 | GetNamePath (TComponent)
 | GetOwner (TPersistent)
 | GetOwner (TComponent)
pt | GetPalette (TControl)
pt | GetParentBackground (TWinControl)
 | GetParentComponent (TComponent)
 | GetParentComponent (TControl)
pt | GetParentHandle (TWinControl)
pt | GetPopupMenu (TControl)
 | GetPreferredSize (TControl)
pt | GetPreferredSizeClientFrame (TWinControl)
 | GetRGBColorResolvingParent (TControl)
pt | GetScrolledClientRect (TControl)
pt | GetSel (TCustomAbstractGroupedEdit)
 | GetSelectedChildAccessibleObject (TControl)
 | GetSidePosition (TControl)
pt | GetSiteInfo (TWinControl)
pt | GetSpacing (TCustomAbstractGroupedEdit)
 | GetTabOrderList (TWinControl)
 | GetTextBuf (TControl)
 | GetTextLen (TControl)
 | GetTextLen (TWinControl)
 | GetTopParent (TControl)
pt | GetTopParentHandle (TWinControl)
 | GetTypeInfo (TComponent)
 | GetTypeInfoCount (TComponent)
pt | GetWSComponentClass (TLCLComponent)
pt | GlyphChanged (TCustomEditButton)
 | HandleAllocated (TWinControl)
 | HandleNeeded (TWinControl)
 | HandleObjectShouldBeVisible (TControl)
 | HasHelp (TControl)
 | HasParent (TComponent)
 | HasParent (TControl)
pt | HeightIsAnchored (TControl)
 | Hide (TControl)
 | iicrGetComponent (TComponent)
 | IncLCLRefCount (TLCLComponent)
 | InheritsFrom (TObject)
pt | InitializeWnd (TWinControl)
 | InitiateAction (TControl)
 | InitInstance (TObject)
 | Insert (TComponent)
 | InsertComponent (TComponent)
 | InsertControl (TWinControl)
 | InstanceSize (TObject)
 | IntfGetDropFilesTarget (TWinControl)
 | IntfUTF8KeyPress (TWinControl)
 | Invalidate (TControl)
 | Invalidate (TWinControl)
pt | InvalidateBoundsRealized (TWinControl)
 | InvalidateClientRectCache (TWinControl)
pt | InvalidateControl (TControl)
pt | InvalidatePreferredChildSizes (TWinControl)
 | InvalidatePreferredSize (TControl)
 | Invoke (TComponent)
pt | IsAParentAligning (TControl)
pt | IsBorderSpacingInnerBorderStored (TControl)
pt | IsCaptionStored (TControl)
pt | IsClientHeightStored (TControl)
pt | IsClientHeightStored (TWinControl)
pt | IsClientWidthStored (TControl)
pt | IsClientWidthStored (TWinControl)
pt | IsControlMouseMsg (TWinControl)
 | IsControlVisible (TControl)
 | IsEnabled (TControl)
 | IsImplementorOf (TComponent)
 | IsParentColor (TControl)
 | IsParentFont (TControl)
 | IsParentOf (TControl)
 | IsProcessingPaintMsg (TControl)
 | IsRightToLeft (TControl)
 | IsVisible (TControl)
pt | KeyDown (TWinControl)
pt | KeyDownAfterInterface (TWinControl)
pt | KeyDownBeforeInterface (TWinControl)
pt | KeyPress (TWinControl)
pt | KeyUp (TWinControl)
pt | KeyUpAfterInterface (TWinControl)
pt | KeyUpBeforeInterface (TWinControl)
pt | LMCaptureChanged (TControl)
pt | LoadDefaultGlyph (TCustomEditButton)
 | Loaded (TComponent)
pt | Loaded (TControl)
pt | Loaded (TWinControl)
pt | Loaded (TCustomAbstractGroupedEdit)
pt | Loaded (TDateEdit)
pt | LoadedAll (TControl)
 | Loading (TComponent)
 | LockRealizeBounds (TWinControl)
pt | MainWndProc (TWinControl)
 | ManualDock (TControl)
 | ManualFloat (TControl)
 | MethodAddress (TObject)
 | MethodName (TObject)
pt | MouseDown (TControl)
pt | MouseEnter (TControl)
pt | MouseLeave (TControl)
pt | MouseMove (TControl)
pt | MouseUp (TControl)
 | newinstance (TObject)
 | NewInstance (TLCLComponent)
 | Notification (TComponent)
pt | Notification (TControl)
pt | Notification (TDBDateEdit)
 | NotifyControls (TWinControl)
pt | Paint (TCustomControl)
pt | PaintControls (TWinControl)
pt | PaintHandler (TWinControl)
 | PaintTo (TWinControl)
pt | PaintWindow (TWinControl)
pt | PaintWindow (TCustomControl)
 | PaletteCreated (TComponent)
 | ParentDestroyingHandle (TControl)
pt | ParentFontChanged (TControl)
pt | ParentFormHandleInitialized (TControl)
pt | ParentFormHandleInitialized (TWinControl)
 | ParentHandlesAllocated (TControl)
 | ParentHandlesAllocated (TWinControl)
 | ParentToClient (TControl)
 | PasteFromClipboard (TCustomAbstractGroupedEdit)
 | Perform (TControl)
 | PerformTab (TWinControl)
pt | PositionDockRect (TControl)
pt | QuadClick (TControl)
 | QueryInterface (TComponent)
 | ReadLeft (TComponent)
 | ReadState (TComponent)
pt | ReadState (TControl)
 | ReadTop (TComponent)
pt | RealGetText (TControl)
pt | RealGetText (TWinControl)
pt | RealGetText (TCustomAbstractGroupedEdit)
 | ReAlign (TWinControl)
pt | RealizeBounds (TWinControl)
pt | RealizeBoundsRecursive (TWinControl)
pt | RealSetText (TControl)
pt | RealSetText (TWinControl)
pt | RealSetText (TCustomAbstractGroupedEdit)
pt | RealSetText (TDateEdit)
 | ReferenceInterface (TComponent)
 | Refresh (TControl)
pt | ReloadDockedControl (TWinControl)
 | Remove (TComponent)
 | RemoveAllHandlersOfObject (TLCLComponent)
 | RemoveAllHandlersOfObject (TControl)
 | RemoveComponent (TComponent)
 | RemoveControl (TWinControl)
pt | RemoveFocus (TWinControl)
 | RemoveFreeNotification (TComponent)
pt | RemoveHandler (TControl)
 | RemoveHandlerOnBeforeDestruction (TControl)
 | RemoveHandlerOnChangeBounds (TControl)
 | RemoveHandlerOnEnableChanging (TControl)
 | RemoveHandlerOnKeyDown (TControl)
 | RemoveHandlerOnMouseWheel (TControl)
 | RemoveHandlerOnResize (TControl)
 | RemoveHandlerOnVisibleChanged (TControl)
 | RemoveHandlerOnVisibleChanging (TControl)
 | RemoveNotification (TComponent)
 | Repaint (TControl)
 | Repaint (TWinControl)
 | ReplaceDockedControl (TControl)
pt | RequestAlign (TControl)
pt | Reset (TCustomAbstractGroupedEdit)
pt | Reset (TDBDateEdit)
pt | Resize (TControl)
 | SafeCallException (TObject)
 | SafeCallException (TComponent)
 | Scale96ToFont (TControl)
 | Scale96ToForm (TControl)
 | Scale96ToScreen (TControl)
 | ScaleBy (TWinControl)
pt | ScaleConstraints (TControl)
pt | ScaleControls (TWinControl)
 | ScaleDesignToForm (TControl)
 | ScaleFontsPPI (TControl)
 | ScaleFontTo96 (TControl)
 | ScaleFontToScreen (TControl)
 | ScaleFormTo96 (TControl)
 | ScaleFormToDesign (TControl)
 | ScaleScreenTo96 (TControl)
 | ScaleScreenToFont (TControl)
 | ScreenToClient (TControl)
 | ScreenToControl (TControl)
 | ScrollBy (TWinControl)
 | ScrollBy_WS (TWinControl)
 | SelectAll (TCustomAbstractGroupedEdit)
pt | SelectFirst (TWinControl)
 | SelectNext (TWinControl)
pt | SendDialogChar (TWinControl)
pt | SendMoveSizeMessages (TControl)
pt | SendMoveSizeMessages (TWinControl)
 | SendToBack (TControl)
pt | SetAction (TControl)
pt | SetAlign (TControl)
 | SetAncestor (TComponent)
pt | SetAnchors (TControl)
pt | SetAutoSize (TControl)
pt | SetAutoSize (TCustomAbstractGroupedEdit)
pt | SetBiDiMode (TControl)
pt | SetBorderStyle (TWinControl)
 | SetBounds (TControl)
 | SetBounds (TWinControl)
 | SetBoundsKeepBase (TControl)
pt | SetBuddyCaption (TCustomAbstractGroupedEdit)
pt | SetBuddyCursor (TCustomAbstractGroupedEdit)
pt | SetBuddyHint (TCustomAbstractGroupedEdit)
pt | SetBuddyVisible (TCustomAbstractGroupedEdit)
pt | SetBuddyWidth (TCustomAbstractGroupedEdit)
 | SetChildOrder (TComponent)
pt | SetChildZPosition (TWinControl)
pt | SetColor (TControl)
pt | SetColor (TWinControl)
pt | SetColor (TCustomControl)
pt | SetColor (TCustomAbstractGroupedEdit)
 | SetComponentIndex (TComponent)
 | SetControlIndex (TWinControl)
pt | SetCursor (TControl)
pt | SetCursor (TCustomAbstractGroupedEdit)
pt | SetDateMask (TDateEdit)
 | SetDesigning (TComponent)
 | SetDesignInstance (TComponent)
pt | SetDirectInput (TCustomAbstractGroupedEdit)
pt | SetDirectInput (TDateEdit)
pt | SetDockManager (TWinControl)
pt | SetDragMode (TControl)
pt | SetEnabled (TControl)
 | SetFocus (TWinControl)
 | SetFocus (TCustomAbstractGroupedEdit)
pt | SetHint (TControl)
 | SetInitialBounds (TControl)
 | SetInline (TComponent)
 | SetName (TComponent)
pt | SetName (TControl)
pt | SetParent (TControl)
pt | SetParentBackground (TWinControl)
pt | SetParentBiDiMode (TControl)
 | SetParentComponent (TComponent)
pt | SetParentComponent (TControl)
 | SetReference (TComponent)
pt | SetSel (TCustomAbstractGroupedEdit)
 | SetShape (TWinControl)
 | SetSubComponent (TComponent)
 | SetTempCursor (TControl)
 | SetTempCursor (TWinControl)
 | SetTextBuf (TControl)
pt | SetVisible (TControl)
pt | SetZOrder (TControl)
 | ShouldAutoAdjust (TControl)
pt | ShouldAutoAdjust (TCustomAbstractGroupedEdit)
 | Show (TControl)
pt | ShowControl (TWinControl)
 | ShowHelp (TControl)
 | StringMessageTable (TObject)
pt | TextChanged (TControl)
 | ToString (TObject)
pt | TripleClick (TControl)
 | Undo (TCustomAbstractGroupedEdit)
 | UnitName (TObject)
 | UnlockRealizeBounds (TWinControl)
 | Update (TControl)
 | Update (TWinControl)
 | UpdateAction (TComponent)
 | UpdateAction (TDBDateEdit)
pt | UpdateAnchorRules (TControl)
 | UpdateBaseBounds (TControl)
pt | UpdateControlState (TWinControl)
 | Updated (TComponent)
 | UpdateDockCaption (TWinControl)
pt | UpdateMouseCursor (TControl)
 | UpdateRegistry (TComponent)
 | UpdateRolesForForm (TControl)
pt | UpdateShowing (TWinControl)
pt | UpdateSpacing (TCustomAbstractGroupedEdit)
 | Updating (TComponent)
 | UseRightToLeftAlignment (TControl)
 | UseRightToLeftReading (TControl)
 | UseRightToLeftScrollBar (TControl)
pt | UTF8KeyPress (TWinControl)
 | ValidateContainer (TComponent)
 | ValidateEdit (TCustomAbstractGroupedEdit)
 | ValidateInsert (TComponent)
 | ValidateRename (TComponent)
pt | VisibleChanged (TControl)
pt | VisibleChanging (TControl)
pt | WidthIsAnchored (TControl)
pt | WMCancelMode (TControl)
pt | WMChar (TWinControl)
pt | WMContextMenu (TControl)
pt | WMContextMenu (TWinControl)
pt | WMDestroy (TWinControl)
pt | WMEnter (TWinControl)
pt | WMEraseBkgnd (TWinControl)
pt | WMExit (TWinControl)
pt | WMKeyDown (TWinControl)
pt | WMKeyUp (TWinControl)
pt | WMKillFocus (TWinControl)
pt | WMLButtonDBLCLK (TControl)
pt | WMLButtonDown (TControl)
pt | WMLButtonQuadCLK (TControl)
pt | WMLButtonTripleCLK (TControl)
pt | WMLButtonUp (TControl)
pt | WMMButtonDBLCLK (TControl)
pt | WMMButtonDown (TControl)
pt | WMMButtonQuadCLK (TControl)
pt | WMMButtonTripleCLK (TControl)
pt | WMMButtonUp (TControl)
pt | WMMouseHWheel (TControl)
pt | WMMouseMove (TControl)
pt | WMMouseWheel (TControl)
pt | WMMove (TControl)
pt | WMMove (TWinControl)
pt | WMNotify (TWinControl)
pt | WMPaint (TWinControl)
pt | WMPaint (TCustomControl)
pt | WMRButtonDBLCLK (TControl)
pt | WMRButtonDown (TControl)
pt | WMRButtonQuadCLK (TControl)
pt | WMRButtonTripleCLK (TControl)
pt | WMRButtonUp (TControl)
pt | WMSetFocus (TWinControl)
pt | WMShowWindow (TWinControl)
pt | WMSize (TControl)
pt | WMSize (TWinControl)
pt | WMSysChar (TWinControl)
pt | WMSysKeyDown (TWinControl)
pt | WMSysKeyUp (TWinControl)
pt | WMWindowPosChanged (TControl)
pt | WMWindowPosChanged (TWinControl)
pt | WMXButtonDBLCLK (TControl)
pt | WMXButtonDown (TControl)
pt | WMXButtonQuadCLK (TControl)
pt | WMXButtonTripleCLK (TControl)
pt | WMXButtonUp (TControl)
pt | WndProc (TControl)
pt | WndProc (TWinControl)
 | WriteLayoutDebugReport (TControl)
 | WriteLayoutDebugReport (TWinControl)
 | WriteLeft (TComponent)
 | WriteState (TComponent)
 | WriteTop (TComponent)
pt | WSRegisterClass (TLCLComponent)
pt | WSRegisterClass (TControl)
pt | WSRegisterClass (TWinControl)
pt | WSRegisterClass (TCustomControl)
pt | WSSetText (TWinControl)
 | _AddRef (TComponent)
 | _Release (TComponent)


TDBDateEdit
TDateEdit
pl |  | OnAcceptDate
pl |  | OnCustomDate
pl | ro | OnButtonClick
pl | ro | OnChange
pl | ro | OnChangeBounds
pl | ro | OnClick
pl | ro | OnDblClick
pl | ro | OnEditingDone
pl | ro | OnEnter
pl | ro | OnExit
pl | ro | OnKeyDown
pl | ro | OnKeyPress
pl | ro | OnKeyUp
pl | ro | OnMouseDown
pl | ro | OnMouseEnter
pl | ro | OnMouseLeave
pl | ro | OnMouseMove
pl | ro | OnMouseUp
pl | ro | OnMouseWheel
pl | ro | OnMouseWheelDown
pl | ro | OnMouseWheelUp
pl | ro | OnResize
pl | ro | OnUTF8KeyPress
TCustomEditButton
pt |  | OnButtonClick
TCustomAbstractGroupedEdit
pt |  | OnBuddyClick
 |  | OnChange
 |  | OnClick
 |  | OnDblClick
 |  | OnDragDrop
 |  | OnDragOver
 |  | OnEditingDone
 |  | OnEndDrag
 |  | OnEnter
 |  | OnExit
 |  | OnMouseDown
 |  | OnKeyPress
 |  | OnKeyDown
 |  | OnKeyUp
 |  | OnMouseEnter
 |  | OnMouseLeave
 |  | OnMouseMove
 |  | OnMouseWheel
 |  | OnMouseWheelUp
 |  | OnMouseWheelDown
 |  | OnMouseUp
 |  | OnStartDrag
 |  | OnUtf8KeyPress
TCustomControl
 |  | OnPaint
TWinControl
pt |  | OnGetSiteInfo
pt |  | OnGetDockCaption
 |  | OnAlignInsertBefore
 |  | OnAlignPosition
 |  | OnDockDrop
 |  | OnDockOver
 |  | OnEnter
 |  | OnExit
 |  | OnKeyDown
 |  | OnKeyPress
 |  | OnKeyUp
 |  | OnUnDock
 |  | OnUTF8KeyPress
TControl
pt |  | OnConstrainedResize
pt |  | OnContextPopup
pt |  | OnDblClick
pt |  | OnTripleClick
pt |  | OnQuadClick
pt |  | OnDragDrop
pt |  | OnDragOver
pt |  | OnEndDock
pt |  | OnEndDrag
pt |  | OnMouseDown
pt |  | OnMouseMove
pt |  | OnMouseUp
pt |  | OnMouseEnter
pt |  | OnMouseLeave
pt |  | OnMouseWheel
pt |  | OnMouseWheelDown
pt |  | OnMouseWheelUp
pt |  | OnMouseWheelHorz
pt |  | OnMouseWheelLeft
pt |  | OnMouseWheelRight
pt |  | OnStartDock
pt |  | OnStartDrag
pt |  | OnEditingDone
 |  | OnChangeBounds
 |  | OnClick
 |  | OnResize
 |  | OnShowHint
TLCLComponent
TComponent
TPersistent
TObject


pl |  | OnAcceptDate (TDateEdit)
 |  | OnAlignInsertBefore (TWinControl)
 |  | OnAlignPosition (TWinControl)
pt |  | OnBuddyClick (TCustomAbstractGroupedEdit)
pt |  | OnButtonClick (TCustomEditButton)
pl | ro | OnButtonClick (TDateEdit)
 |  | OnChange (TCustomAbstractGroupedEdit)
pl | ro | OnChange (TDateEdit)
 |  | OnChangeBounds (TControl)
pl | ro | OnChangeBounds (TDateEdit)
 |  | OnClick (TControl)
 |  | OnClick (TCustomAbstractGroupedEdit)
pl | ro | OnClick (TDateEdit)
pt |  | OnConstrainedResize (TControl)
pt |  | OnContextPopup (TControl)
pl |  | OnCustomDate (TDateEdit)
pt |  | OnDblClick (TControl)
 |  | OnDblClick (TCustomAbstractGroupedEdit)
pl | ro | OnDblClick (TDateEdit)
 |  | OnDockDrop (TWinControl)
 |  | OnDockOver (TWinControl)
pt |  | OnDragDrop (TControl)
 |  | OnDragDrop (TCustomAbstractGroupedEdit)
pt |  | OnDragOver (TControl)
 |  | OnDragOver (TCustomAbstractGroupedEdit)
pt |  | OnEditingDone (TControl)
 |  | OnEditingDone (TCustomAbstractGroupedEdit)
pl | ro | OnEditingDone (TDateEdit)
pt |  | OnEndDock (TControl)
pt |  | OnEndDrag (TControl)
 |  | OnEndDrag (TCustomAbstractGroupedEdit)
 |  | OnEnter (TWinControl)
 |  | OnEnter (TCustomAbstractGroupedEdit)
pl | ro | OnEnter (TDateEdit)
 |  | OnExit (TWinControl)
 |  | OnExit (TCustomAbstractGroupedEdit)
pl | ro | OnExit (TDateEdit)
pt |  | OnGetDockCaption (TWinControl)
pt |  | OnGetSiteInfo (TWinControl)
 |  | OnKeyDown (TWinControl)
 |  | OnKeyDown (TCustomAbstractGroupedEdit)
pl | ro | OnKeyDown (TDateEdit)
 |  | OnKeyPress (TWinControl)
 |  | OnKeyPress (TCustomAbstractGroupedEdit)
pl | ro | OnKeyPress (TDateEdit)
 |  | OnKeyUp (TWinControl)
 |  | OnKeyUp (TCustomAbstractGroupedEdit)
pl | ro | OnKeyUp (TDateEdit)
pt |  | OnMouseDown (TControl)
 |  | OnMouseDown (TCustomAbstractGroupedEdit)
pl | ro | OnMouseDown (TDateEdit)
pt |  | OnMouseEnter (TControl)
 |  | OnMouseEnter (TCustomAbstractGroupedEdit)
pl | ro | OnMouseEnter (TDateEdit)
pt |  | OnMouseLeave (TControl)
 |  | OnMouseLeave (TCustomAbstractGroupedEdit)
pl | ro | OnMouseLeave (TDateEdit)
pt |  | OnMouseMove (TControl)
 |  | OnMouseMove (TCustomAbstractGroupedEdit)
pl | ro | OnMouseMove (TDateEdit)
pt |  | OnMouseUp (TControl)
 |  | OnMouseUp (TCustomAbstractGroupedEdit)
pl | ro | OnMouseUp (TDateEdit)
pt |  | OnMouseWheel (TControl)
 |  | OnMouseWheel (TCustomAbstractGroupedEdit)
pl | ro | OnMouseWheel (TDateEdit)
pt |  | OnMouseWheelDown (TControl)
 |  | OnMouseWheelDown (TCustomAbstractGroupedEdit)
pl | ro | OnMouseWheelDown (TDateEdit)
pt |  | OnMouseWheelHorz (TControl)
pt |  | OnMouseWheelLeft (TControl)
pt |  | OnMouseWheelRight (TControl)
pt |  | OnMouseWheelUp (TControl)
 |  | OnMouseWheelUp (TCustomAbstractGroupedEdit)
pl | ro | OnMouseWheelUp (TDateEdit)
 |  | OnPaint (TCustomControl)
pt |  | OnQuadClick (TControl)
 |  | OnResize (TControl)
pl | ro | OnResize (TDateEdit)
 |  | OnShowHint (TControl)
pt |  | OnStartDock (TControl)
pt |  | OnStartDrag (TControl)
 |  | OnStartDrag (TCustomAbstractGroupedEdit)
pt |  | OnTripleClick (TControl)
 |  | OnUnDock (TWinControl)
 |  | OnUTF8KeyPress (TWinControl)
 |  | OnUtf8KeyPress (TCustomAbstractGroupedEdit)
pl | ro | OnUTF8KeyPress (TDateEdit)


TDBDateEdit.ButtonClick

Actions perfomed when the button for the control is clicked

Declaration

Source position: dbextctrls.pp line 50

protected procedure TDBDateEdit.ButtonClick; override;

Description

ButtonClick is an overridden procedure which performs actions when the button for the control is clicked. ButtonClick ensures that the control is Focused, and calls SetFocus when necessary. The CanModify property in DataLink is checked to see if the Edit method in DataLink is needed. ButtonClick calls the inherited method.


TDBDateEdit.Create

Constructor for the object instance

Declaration

Source position: dbextctrls.pp line 56

public constructor TDBDateEdit.Create(

  AOwner: TComponent

); override;

Arguments

AOwner

Owner of the object instance

Description

Create is the overridden constructor for the object instance. Create call the inherited constructor using AOwner as the owner for the object instance. Create allocates resources needed for the DataLink property, and sets the event handlers for its OnDataChange and OnUpdateData properties to the DataChange and UpdateData methods in the class instance.

See also

#lcl.DBExtCtrls.TDBDateEdit.DataLink
#lcl.DBCtrls.TFieldDataLink | TFieldDataLink - forms a link between a database field and an action
#lcl.DBCtrls.TFieldDataLink.OnDataChange | OnDataChange - event handler for a change in the data
#lcl.DBCtrls.TFieldDataLink.OnUpdateData | OnUpdateData - event handler for updating any pending changes in the data


TDBDateEdit.DataField

Name of the field in the dataset

Declaration

Source position: dbextctrls.pp line 63

published property TDBDateEdit.DataField : string
  read GetDataField
  write SetDataField;

Description

DataField is a String property that provides the name of the field used to store the Date value in its Dataset. GetDataField is the read access specifier for the property value. SetDataField is the write access specifier for the property value. These methods read and write the value in FieldName for the DataLink.

Use DataSource and DataField to provide the dataset and field name for the control.

See also

#lcl.DBExtCtrls.TDBDateEdit.DataLink
#lcl.DBExtCtrls.TDBDateEdit.DataField | Name of the field in the dataset
#lcl.DBExtCtrls.TDBDateEdit.DataSource | Provides access to the dataset used for the editing control
#lcl.DBCtrls.TFieldDataLink | TFieldDataLink - forms a link between a database field and an action


TDBDateEdit.DataSource

Provides access to the dataset used for the editing control

Declaration

Source position: dbextctrls.pp line 64

published property TDBDateEdit.DataSource : TDataSource
  read GetDataSource
  write SetDataSource;

Description

DataSource is a TDataSource property which provides access to the dataset used for the editing control. GetDataSource is the read access specifier for the property, and uses the DataSource in DataLink as the property value. SetDataSource is the write access specifier for the property, and sets the DataSource in DataLink to the specified value.

See also

#lcl.DBExtCtrls.TDBDateEdit.DataLink

#lcl.DBCtrls.TFieldDataLink

TFieldDataLink - forms a link between a database field and an action

#fcl.DB.TDataSource


TDBDateEdit.Destroy

Frees the object instance

Declaration

Source position: dbextctrls.pp line 57

public destructor TDBDateEdit.Destroy; override;

Description

Destroy is the overridden destructor for the object instance. Destroy frees resources allocated for the DataLink property, and calls the inherited Destroy method.


TDBDateEdit.EditCanModify

Indicates if the control can modify its contents

Declaration

Source position: dbextctrls.pp line 46

protected function TDBDateEdit.EditCanModify: Boolean; override;

Function result

True when the control value can be changed

Description

EditCanModify is an overridden Boolean function which indicates if the control can modify the content for the control. EditCanModify is set to the value from CanModify in DataLink. The return value is True when the control accept new values.


TDBDateEdit.EditChange

Signals the control changed state

Declaration

Source position: dbextctrls.pp line 51

protected procedure TDBDateEdit.EditChange; override;

Description

EditChange is an overridden procedure which which signals the control is changed. EditChange ensures that the control updates its DataLink to indicate the change status. EditChange uses the Editing property in DataLink to see if the Modified method in DataLink is needed. EditChange calls the inherited method.

See also

#lcl.DBExtCtrls.TDBDateEdit.DataLink
#lcl.DBCtrls.TFieldDataLink | TFieldDataLink - forms a link between a database field and an action
#lcl.DBCtrls.TFieldDataLink.Editing | Editing - True if the linked field is being edited
#lcl.DBCtrls.TFieldDataLink.Modified | Modified sets the IsModified local variable to True


TDBDateEdit.EditEnter

Performs actions required when the Enter key is pressed on the control

Declaration

Source position: dbextctrls.pp line 47

protected procedure TDBDateEdit.EditEnter; override;

Description

EditEnter is an overridden procedure used to perform actions required when the Enter key is pressed on the control. EditEnter calls the inherited method.

EditEnter uses the value from Editing in DataLink to determine if there are any pending changes in the control value. When Editing contains False, the Reset method in DataLink is called to cancel changes to the field. Reset also calls the OnDataChange event handler.


TDBDateEdit.EditExit

Performs actions needed when the exiting the control

Declaration

Source position: dbextctrls.pp line 52

protected procedure TDBDateEdit.EditExit; override;

Description

EditExit is an overridden procedure performs actions needed when the exiting the control. EditExit calls the inherited method. EditExit ensures that the value in the control is applied to DataLink. When Editing is set in DataLink, its UpdateRecord method is called to apply the new value. If Editing is not set, its Reset method is called restore its value and state.

See also

#lcl.DBExtCtrls.TDBDateEdit.DataLink
#lcl.DBCtrls.TFieldDataLink | TFieldDataLink - forms a link between a database field and an action
#lcl.DBCtrls.TFieldDataLink.Editing | Editing - True if the linked field is being edited
#lcl.DBCtrls.TFieldDataLink.Reset | Reset - checks that link is active, calls the OnDataChange event handler then sets IsModified to False


TDBDateEdit.EditKeyDown

Handles special keys in the keydown state

Declaration

Source position: dbextctrls.pp line 48

protected procedure TDBDateEdit.EditKeyDown(

  var Key: Word;

  Shift: TShiftState

); override;

Arguments

Key | Numeric value for the key
Shift | Shift state for the key

Description

EditKeyDown is an overridden procedure used to perform actions required when special keys are in the down state in the control. EditKeyDown handles the following virtual key values:

VK_ESCAPE
Cancels editing (when active) and calls Reset in DataLink. Key is changed to the value VK_UNKNOWN
VK_DELETE or VK_BACK
Removes Delete and Backspace keys if editing is not active.Changes Key to the value VK_UNKNOWN when editing is not active.


TDBDateEdit.EditKeyPress

Ensures character values are valid for the control

Declaration

Source position: dbextctrls.pp line 49

protected procedure TDBDateEdit.EditKeyPress(

  var Key: Char

); override;

Arguments

Key

Character value for the key

Description

EditKeyPress is an overridden procedure which processes the character value in Key. EditKeyPress calls the inherited method. EditKeyPress checks the value in Key to see if it contains data (as opposed to control characters) in the range Decimal 32 to Decimal 255. The Field property in DataLink also calls its IsValidChar method to see if Key is valid for the data type in the Field.

EditKeyPress requires DataLink to have both a valid TField instance in its Field property and its Edit property set to True. The value in Key is set to #0 (Decimal 0) if either condition is not met.


TDBDateEdit.ExecuteAction

Perform the default action for the control

Declaration

Source position: dbextctrls.pp line 58

public function TDBDateEdit.ExecuteAction(

  AAction: TBasicAction

):Boolean; override;

Arguments

AAction

Action to perform

Function result

True if the action is successfully handled

Description

ExecuteAction is an overridden Boolean function which implements support for using TBasicAction to perform the default action for the control. ExecuteAction calls the inherited method using the value in AAction. If the action is not handled in the ancestor, DataLink is used (when assigned) to performs its ExecuteAction method with the specified action value. The return value is True if the action is handled by the ancestor or DataLink.

See also

#fcl.Classes.TBasicAction

#lcl.Forms.TApplication.OnActionExecute

Default handler for unhandled Actions


TDBDateEdit.Field

TField class which reads and writes data for the control

Declaration

Source position: dbextctrls.pp line 60

public property TDBDateEdit.Field : TField
  read GetField;

Description

Field is a read-only TField property which reads and writes data for the control in its dataset. Field is a convenience method which returns the TField instance from the DataLink for the control. GetField is the read access specifier for the property.

The value in Field cannot be assigned directly; use DataField to specify the field name for the editing control. Use DataSource to set the dataset used for data in the control.

See also

#fcl.DB.TField
#lcl.DBExtCtrls.TDBDateEdit.DataLink
#lcl.DBExtCtrls.TDBDateEdit.DataField | Name of the field in the dataset
#lcl.DBExtCtrls.TDBDateEdit.DataSource | Provides access to the dataset used for the editing control
#lcl.DBCtrls.TFieldDataLink | TFieldDataLink - forms a link between a database field and an action


TDBDateEdit.Notification

Handles notifications when a component is added or removed

Declaration

Source position: dbextctrls.pp line 45

protected procedure TDBDateEdit.Notification(

  AComponent: TComponent;

  Operation: TOperation

); override;

Arguments

AComponent | Component for the notification event
Operation | Operation for the notification event

Description

Notification is an overridden procedure used to handle notications performed when acomponent is added or removed. Notification calls the inherited method. When Operation contains opRemove, and AComponent is the DataSource for the control, the value in DataSource is set to Nil.


TDBDateEdit.Reset

Restores the control to its value in the dataset

Declaration

Source position: dbextctrls.pp line 53

protected procedure TDBDateEdit.Reset; override;

Description

Reset is a procedure used to restore the control to its value in the dataset. Reset calls the Reset method in DataLink to get the value stored in its Field and to clear the Editing flag. Reset calls the inherited method prior to exit.

See also

#lcl.DBExtCtrls.TDBDateEdit.DataLink
#lcl.DBCtrls.TFieldDataLink | TFieldDataLink - forms a link between a database field and an action
#lcl.DBCtrls.TFieldDataLink.Editing | Editing - True if the linked field is being edited
#lcl.DBCtrls.TFieldDataLink.Reset | Reset - checks that link is active, calls the OnDataChange event handler then sets IsModified to False


TDBDateEdit.UpdateAction

Declaration

Source position: dbextctrls.pp line 59

public function TDBDateEdit.UpdateAction(

  AAction: TBasicAction

):Boolean; override;

Arguments

AAction

Action to perform

Function result

True if the action is successfully handled

Description

UpdateAction is an overridden Boolean function which implements support for using TBasicAction to update the value in the control from its dataset. UpdateAction calls the inherited method using the value in AAction. If the action is not handled in the ancestor, DataLink is used (when assigned) to performs its UpdateAction method with the specified action value. The return value is True if the action is handled by the ancestor or DataLink.

See also

#fcl.Classes.TBasicAction


EInvalidGridOperation

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Exception raised for an invalid grid operation

Declaration

Source position: dbgrids.pas line 49

type EInvalidGridOperation = class(Exception)

Inheritance

EInvalidGridOperation

Exception raised for an invalid grid operation

|

Exception
|

TObject

Description

EInvalidGridOperation is an Exception class raised when an invalid grid operations is performed.

See also

#lcl.DBGrids.TBookmarkList.CheckActive

Ensures that the dataset for the bookmark list is properly configure and active


EInvalidGridOperation
Exception
 | HelpContext
 | Message
TObject


EInvalidGridOperation
Exception
 | Create
 | CreateFmt
 | CreateRes
 | CreateResFmt
 | CreateHelp
 | CreateFmtHelp
 | CreateResHelp
 | CreateResFmtHelp
 | ToString
TObject
 | Create
 | Destroy
 | newinstance
 | FreeInstance
 | SafeCallException
 | DefaultHandler
 | Free
 | InitInstance
 | CleanupInstance
 | ClassType
 | ClassInfo
 | ClassName
 | ClassNameIs
 | ClassParent
 | InstanceSize
 | InheritsFrom
 | StringMessageTable
 | MethodAddress
 | MethodName
 | FieldAddress
 | AfterConstruction
 | BeforeDestruction
 | DefaultHandlerStr
 | Dispatch
 | DispatchStr
 | GetInterface
 | GetInterfaceByStr
 | GetInterfaceWeak
 | GetInterfaceEntry
 | GetInterfaceEntryByStr
 | GetInterfaceTable
 | UnitName
 | Equals
 | GetHashCode
 | ToString


EInvalidGridOperation

Exception

TObject


TBookmarkedRecordEnumerator

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Defines a bookmarked record enumeration class

Declaration

Source position: dbgrids.pas line 145

type TBookmarkedRecordEnumerator = class
public
constructor Create(); | Constructor for the class instance
destructor Destroy; override; | Destructor for the class instance
function MoveNext; | Moves to the next bookmark in the list
function GetEnumerator; | Returns the current class instance
property Current: TBookmark; [r] | Current bookmark for the enumerator
property Options: TBookmarkedRecordEnumeratorOptions; [rw] | Controls the actions performed when Bookmarks are visited
end;

Inheritance

TBookmarkedRecordEnumerator

Defines a bookmarked record enumeration class
|

TObject

Description

TBookmarkedRecordEnumerator is a Class which defines a bookmarked record enumerator for use with TBookmarklist.

See also

#lcl.DBGrids.TBookmarkList

TBookmarkList implements a list of Bookmarks in a database grid


TBookmarkedRecordEnumerator
 | ro | Current
 |  | Options


ro | Current (TBookmarkedRecordEnumerator)
 | Options (TBookmarkedRecordEnumerator)


TBookmarkedRecordEnumerator
 | Create
 | Destroy
 | MoveNext
 | GetEnumerator


Create (TBookmarkedRecordEnumerator)

Destroy (TBookmarkedRecordEnumerator)

GetEnumerator (TBookmarkedRecordEnumerator)

MoveNext (TBookmarkedRecordEnumerator)


TBookmarkedRecordEnumerator


TBookmarkedRecordEnumerator.Create

Constructor for the class instance

Declaration

Source position: dbgrids.pas line 153

public constructor TBookmarkedRecordEnumerator.Create(

  bookList: TBookmarkList;

  aGrid: TCustomDbGrid;

  anOptions: TBookmarkedRecordEnumeratorOptions

);

Arguments

bookList | Bookmark list for the enumerator
aGrid | Grid control for the enumerator
anOptions | Options for the enumerator

Description

Create is the constructor for the class instance. Create calls the inherited constructor, and stores the arguments to the method in its BookmarkList, Dataset, and Options properties.


TBookmarkedRecordEnumerator.Current

Current bookmark for the enumerator

Declaration

Source position: dbgrids.pas line 158

public property TBookmarkedRecordEnumerator.Current : TBookmark
  read fCurrent;

Description

Current is a read-only TBookmark property which returns the current bookmark for the enumerator. The value in Current in updated when the MoveNext method is called.


TBookmarkedRecordEnumerator.Destroy

Destructor for the class instance

Declaration

Source position: dbgrids.pas line 155

public destructor TBookmarkedRecordEnumerator.Destroy; override;

Description

Destroy is the destructor for the class instance. Destroy uses values in the Options property to perform actions needed before the class instance is freed, including:

  • Restore the dataset to its Bookmark position
  • Re-enable controls attached to the dataset if disabed

Destroy calls the inherited destructor before exit.


TBookmarkedRecordEnumerator.GetEnumerator

Returns the current class instance

Declaration

Source position: dbgrids.pas line 157

public function TBookmarkedRecordEnumerator.GetEnumerator: TBookmarkedRecordEnumerator;

Function result

The current class instance

Description

GetEnumerator is a TBookmarkedRecordEnumerator function used to the current class instance.


TBookmarkedRecordEnumerator.MoveNext

Moves to the next bookmark in the list

Declaration

Source position: dbgrids.pas line 156

public function TBookmarkedRecordEnumerator.MoveNext: Boolean;

Function result

True when the action has been performed successfully

Description

MoveNext is a Boolean function used to move the enumerator to the next item in the bookmark list. Move next increments the value in BookmarkIndex, and examines the Options property to see if any actions are required, such as: setting the value of the Current Bookmark before navigation, or disabling controls attached to the dataset.

MoveNext updates the current bookmark and checks the dataset to see if the bookmark is still valid. The return value is False if the record for the bookmark no longer exists in the dataset and Options indicates the enumertor should halt for an invalid bookmark. False is also returned when the value in BookmarkIndex exceeds the number of items in the BookmarkList.

The return value is True when the action has been performed successfully.


TBookmarkedRecordEnumerator.Options

Controls the actions performed when Bookmarks are visited

Declaration

Source position: dbgrids.pas line 159

public property TBookmarkedRecordEnumerator.Options : TBookmarkedRecordEnumeratorOptions
  read fOptions
  write fOptions;

Description

Options is a TBookmarkedRecordEnumeratorOptions property which controls the actions performed when Bookmarks in the enumerator are visited. Values are included in the set type to enable the corresponding feature in the enumerator.

See TBookmarkedRecordEnumeratorOptions for more information about option values and their meanings.

See also

#lcl.DBGrids.TBookmarkedRecordEnumeratorOptions

Enumeration with option values for the bookmarked record enumerator


TBookmarkedRecordEnumeratorOptions

Enumeration with option values for the bookmarked record enumerator

Declaration

Source position: dbgrids.pas line 136

type TBookmarkedRecordEnumeratorOptions = set of (
breDisableDataset, | Disables controls attached to the dataset
breStopOnInvalidBookmark, | Stops enumerating when an invalid bookmark is encountered
breRestoreCurrent | Restores the current bookmark when exiting the enumerator
);

Description

TBookmarkedRecordEnumeratorOptions is a set type with option values that control the actions performed in TBookmarkedRecordEnumerator. TBookmarkedRecordEnumeratorOptions is the type used to implement the TBookmarkedRecordEnumerator.Options property.

See also

#lcl.DBGrids.TBookmarkedRecordEnumerator | Defines a bookmarked record enumeration class
#lcl.DBGrids.TBookmarkedRecordEnumerator.Options | Controls the actions performed when Bookmarks are visited


TBookmarkList

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

TBookmarkList implements a list of Bookmarks in a database grid

Declaration

Source position: dbgrids.pas line 164

type TBookmarkList = class
public
constructor Create(); | Create is the constructor for TBookmarkList
destructor Destroy; override; | Destroy is the destructor for TBookmarkList
procedure Clear; | Clear removes all Items in the bookmark list
procedure Delete; | Deletes rows in the Dataset represented by bookmarks in the list
function Find(); | Find locates the specified Bookmark and its position in the list
function IndexOf(); | IndexOf returns the ordinal position for the specifed Bookmark in the list
function Refresh; | Searches for and removes invalid Bookmarks in the list
function GetEnumerator(); | Gets an enumerator for the bookmark list
property Count: Integer; [r] | Indicates the number of Bookmarks in the list
property CurrentRowSelected: Boolean; [rw] | Indicates if the current row in the Dataset is selected
property Items []: TBookmark; default; [r] | Provides indexed access to Bookmarks in the list
end;

Inheritance

TBookmarkList

TBookmarkList implements a list of Bookmarks in a database grid

|

TObject

Description

TBookmarkList is a class used to implement a list of Bookmarks in a database grid. TBookmarkList is the type used for the SelectedRows property in TDBGrid.

See also

#lcl.DBGrids.TDBGrid.SelectedRows

SelectedRows - recorded as a bookmark list


TBookmarkList
 | ro | Count
 |  | CurrentRowSelected
 | ro | Items


ro | Count (TBookmarkList)
 | CurrentRowSelected (TBookmarkList)
ro | Items (TBookmarkList)


TBookmarkList
 | Create
 | Destroy
 | Clear
 | Delete
 | Find
 | IndexOf
 | Refresh
 | GetEnumerator


Clear (TBookmarkList)

Create (TBookmarkList)

Delete (TBookmarkList)

Destroy (TBookmarkList)

Find (TBookmarkList)

GetEnumerator (TBookmarkList)

IndexOf (TBookmarkList)

Refresh (TBookmarkList)


TBookmarkList


TBookmarkList.Clear

Clear removes all Items in the bookmark list

Declaration

Source position: dbgrids.pas line 180

public procedure TBookmarkList.Clear;

Description

Clear is a procedure used to remove all of the Items stored in the list. Clear calls the TDataset.FreeBookmsark method for each of the TBookmark instances in Items. The length of the Bookmark is set to 0 to decrease the reference count for the memory allocation.

Clear uses the Invalidate method in the associated Grid control to force it to be redrawn.


TBookmarkList.Count

Indicates the number of Bookmarks in the list

Declaration

Source position: dbgrids.pas line 188

public property TBookmarkList.Count : Integer
  read GetCount;

Description

Count is a read-only Integer property that indicates the number of Bookmarks in the list. GetCount is the read access specifier for the property value.


TBookmarkList.Create

Create is the constructor for TBookmarkList

Declaration

Source position: dbgrids.pas line 177

public constructor TBookmarkList.Create(

  AGrid: TCustomDbGrid

);

Arguments

AGrid

Grid control that owns the bookmark list

Description

Create is the constructor for TBookmarkList class instance. Create calls the inherited constructor. Create stores the AGrid argument internally to keep an association to the grid for the Book`marks. Finally Create initializes the internal list used to store Bookmarks added to the class instance.

See also

TObject.Create


TBookmarkList.CurrentRowSelected

Indicates if the current row in the Dataset is selected

Declaration

Source position: dbgrids.pas line 189

public property TBookmarkList.CurrentRowSelected : Boolean
  read GetCurrentRowSelected
  write SetCurrentRowSelected;

Description

CurrentRowSelected is a Boolean property that indicates if the current row in the Dataset is selected.

GetCurrentRowSelected is the read access specifier for the property value. GetCurrentRowSelected checks to see if the Bookmark for the current row exists in BookmarkList.

SetCurrentRowSelected is the write access specifier for the property value. SetCurrentRowSelected tries to locate a Bookmark for the current row in the Dataset, and adds or removes the Bookmark based on the AValue argument. The Grid control is redrawn after changing the selection state for the row.

See also

#lcl.DBGrids.TBookmarkList.GetCurrentRowSelected | Gets the value in the for the CurrentRowSelected property
#lcl.DBGrids.TBookmarkList.SetCurrentRowSelected | Sets the value in the CurrentRowSelected property


TBookmarkList.Delete

Deletes rows in the Dataset represented by bookmarks in the list

Declaration

Source position: dbgrids.pas line 181

public procedure TBookmarkList.Delete;

Description

Delete is a procedure used to delete rows in the Dataset represented by bookmarks in the list. Delete processes the Items in the list in reverse order. Each bookmark is located in the Dataset and the TDataset.Delete method is called to remove the data from the dataset. The Dataset.FreeBookmark method is called to remove the Bookmark and it is removed from the Items in the list.


TBookmarkList.Destroy

Destroy is the destructor for TBookmarkList

Declaration

Source position: dbgrids.pas line 178

public destructor TBookmarkList.Destroy; override;

Description

Destroy is an overridden destructor for the TBookmarkList class instance. Destroy ensures that TBookmark items are removed from the list and freed before the list is freed. Destroy calls the inherited destructor.

See also

TObject.Destroy

#lcl.DBGrids.TBookmark


TBookmarkList.Find

Find locates the specified Bookmark and its position in the list

Declaration

Source position: dbgrids.pas line 182

public function TBookmarkList.Find(

  const Item: TBookmark;

  var AIndex: Integer

):Boolean;

Arguments

Item | Bookmark to locate
AIndex | Position in the list for the bookmark

Function result

True when the bookmark is located in the list

Description

Find is a Boolean function used to locate the specified bookmark in the Items for the bookmark list. AIndex contains the position in the list where the bookmark was located. The return value is True when the specified bookmark is located in the bookmark list.


TBookmarkList.GetEnumerator

Gets an enumerator for the bookmark list

Declaration

Source position: dbgrids.pas line 185

public function TBookmarkList.GetEnumerator(

  opt: TBookmarkedRecordEnumeratorOptions = [breDisableDataset, breRestoreCurrent]

):TBookmarkedRecordEnumerator;

Arguments

opt

Options to use in the bookmark list enumerator

Function result

The bookmark list enumerator

Description

GetEnumerator is a TBookmarkedRecordEnumerator function used to get an enumerator for bookmarked records in the list. GetEnumerator creates an instance of TBookmarkedRecordEnumerator with the specified arguments, and uses the instance as the return value for the method.


TBookmarkList.IndexOf

IndexOf returns the ordinal position for the specifed Bookmark in the list

Declaration

Source position: dbgrids.pas line 183

public function TBookmarkList.IndexOf(

  const Item: TBookmark

):Integer;

Arguments

Item

Bookmark to find in the list

Function result

Position in the list for the bookmark

Description

IndexOf is an Integer function used to get the ordinal position in the list for the specifed Bookmark. The return value contains the position in the list where the TBookmark instance was located. IndexOf calls Find to locate the bookmark and to capture the return value for the method. The return value is in the range 0..Count-1 when the bookmark exists in the list or -1 when the bookmark is not found.


TBookmarkList.Items

Provides indexed access to Bookmarks in the list

Declaration

Source position: dbgrids.pas line 191

public property TBookmarkList.Items[AIndex: Integer] : TBookmark
  read GetItem;
  default;

Description

Items is a read-only TBookmark property that provides indexed access to Bookmarks in the list. Bookmarks can be accessed by their ordinal position in the list (in the range 0..Count-1).

GetItem is the read access specifier for the Items property, and retrieves the TBookmark stored at the specified position in the list.

Items is the default property in TBookmarkList.

Use CurrentSelectedRow, Clear, Delete, and Refresh to maintain bookmarks stored in the list.


TBookmarkList.Refresh

Searches for and removes invalid Bookmarks in the list

Declaration

Source position: dbgrids.pas line 184

public function TBookmarkList.Refresh: Boolean;

Function result

True when the refresh action was successful

Description

Refresh searches for and removes invalid Bookmarks in the list; returns True if the action was successful.


TColumn

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Implements a display column for the TDBGrid control

Declaration

Source position: dbgrids.pas line 257

type TColumn = class(TGridColumn)
protected
function CreateTitle; override; | CreateTitle - creates a column title and returns it in the result
function GetDefaultAlignment; override; | Gets the default alignment for the Field in the column definition
function GetDefaultDisplayFormat; | Gets the default display format for the Field in a column
function GetDefaultValueChecked; override; | Gets the default value for a Checkbox in the Checked state as a String
function GetDefaultValueUnchecked; override; | Gets the default String value for a Checkbox in the UnChecked state
function GetDefaultVisible; override; | GetDefaultVisible - returns the default value for the Visible property
function GetDisplayName; override; | Gets the display name for the collection item
function GetDefaultReadOnly; override; | Gets the default value for the ReadOnly property
function GetDefaultWidth; override; | Gets the effective width for the column
function GetPickList; override; | Gets the values in the pick list for the column
property IsAutomaticColumn: Boolean; [r] | Indicates if the column was automatically added at run-time
property IsDesignColumn: Boolean; [r] | Indicates if the column was added at design-time
procedure LinkField; | Establishes a link between the FieldName and the Field in a Dataset
public
constructor Create(); override; | Constructor for the TColumn instance
procedure Assign(); override; | Stores properties from a persistent class in the current class instance
function IsDefault; override; | IsDefault - returns True if this column is the default
property DesignIndex: Integer; [r] | Order for the column in its collection at design-time
property Field: TField; [rw] | Field in the Dataset associated with this Column
published
property FieldName: string; [rw] | Name of the Field with data for the column
property DisplayFormat: string; [rws] | The format to be used for display in this column
end;

Inheritance

TColumn | Implements a display column for the TDBGrid control
|
TGridColumn | TGridColumn - a column of similar data items in a grid
|
TCollectionItem
|
TPersistent,IFPObserved
|
TObject

Description

TColumn is a TGridColumn descendant which implements a display column for the TDBGrid grid control. TColumn extends the ancestor class to provide support for using TField for data access, display formatting, alignment, as well as use of checkbox and lookuplist Fields. TColumn also implements support for features in TDBGrid like: automatic rows, and design-time vs run-time column ordering.

TColumn is the class type used for items in the TDBGridColumns collection.

See also

#lcl.DBGrids.TDBGridColumns | Implements a collection for columns in a database grid
#lcl.DBGrids.TCustomDBGrid.Columns | Columns provides access to columns defined for the database grid control
#lcl.Grids.TGridColumn | TGridColumn - a column of similar data items in a grid
#fcl.DB.TField
#fcl.DB.TDataset


TColumn
pt | ro | IsAutomaticColumn
pt | ro | IsDesignColumn
 | ro | DesignIndex
 |  | Field
pl |  | FieldName
pl |  | DisplayFormat
TGridColumn
pt | ro | IsDefaultFont
 | ro | Grid
 | ro | DefaultWidth
 | ro | StoredWidth
 | ro | WidthChanged
pl |  | Alignment
pl |  | ButtonStyle
pl |  | Color
pl |  | DropDownRows
pl |  | Expanded
pl |  | Font
pl |  | Layout
pl |  | MinSize
pl |  | MaxSize
pl |  | PickList
pl |  | ReadOnly
pl |  | SizePriority
pl |  | Tag
pl |  | Title
pl |  | Width
pl |  | Visible
pl |  | ValueChecked
pl |  | ValueUnchecked
TCollectionItem
 | ro | UpdateCount
 |  | Collection
 | ro | ID
 |  | Index
 |  | DisplayName
TPersistent
TObject


pl |  | Alignment (TGridColumn)
pl |  | ButtonStyle (TGridColumn)
 |  | Collection (TCollectionItem)
pl |  | Color (TGridColumn)
 | ro | DefaultWidth (TGridColumn)
 | ro | DesignIndex (TColumn)
pl |  | DisplayFormat (TColumn)
 |  | DisplayName (TCollectionItem)
pl |  | DropDownRows (TGridColumn)
pl |  | Expanded (TGridColumn)
 |  | Field (TColumn)
pl |  | FieldName (TColumn)
pl |  | Font (TGridColumn)
 | ro | Grid (TGridColumn)
 | ro | ID (TCollectionItem)
 |  | Index (TCollectionItem)
pt | ro | IsAutomaticColumn (TColumn)
pt | ro | IsDefaultFont (TGridColumn)
pt | ro | IsDesignColumn (TColumn)
pl |  | Layout (TGridColumn)
pl |  | MaxSize (TGridColumn)
pl |  | MinSize (TGridColumn)
pl |  | PickList (TGridColumn)
pl |  | ReadOnly (TGridColumn)
pl |  | SizePriority (TGridColumn)
 | ro | StoredWidth (TGridColumn)
pl |  | Tag (TGridColumn)
pl |  | Title (TGridColumn)
 | ro | UpdateCount (TCollectionItem)
pl |  | ValueChecked (TGridColumn)
pl |  | ValueUnchecked (TGridColumn)
pl |  | Visible (TGridColumn)
pl |  | Width (TGridColumn)
 | ro | WidthChanged (TGridColumn)


TColumn
pt | CreateTitle
pt | GetDefaultAlignment
pt | GetDefaultDisplayFormat
pt | GetDefaultValueChecked
pt | GetDefaultValueUnchecked
pt | GetDefaultVisible
pt | GetDisplayName
pt | GetDefaultReadOnly
pt | GetDefaultWidth
pt | GetPickList
pt | LinkField
 | Create
 | Assign
 | IsDefault
TGridColumn
pt | GetDisplayName
pt | GetDefaultAlignment
pt | GetDefaultColor
pt | GetDefaultLayout
pt | GetDefaultMaxSize
pt | GetDefaultMinSize
pt | GetDefaultReadOnly
pt | GetDefaultSizePriority
pt | GetDefaultVisible
pt | GetDefaultValueChecked
pt | GetDefaultValueUnchecked
pt | GetDefaultWidth
pt | GetPickList
pt | GetValueChecked
pt | GetValueUnchecked
pt | ColumnChanged
pt | AllColumnsChange
pt | CreateTitle
pt | SetIndex
 | Create
 | Destroy
 | Assign
 | FillDefaultFont
 | IsDefault
TCollectionItem
 | GetIndex
 | SetCollection
 | Changed
 | GetOwner
 | GetDisplayName
 | SetIndex
 | SetDisplayName
 | Create
 | Destroy
 | GetNamePath
TPersistent
 | AssignError
 | AssignTo
 | DefineProperties
 | GetOwner
 | Destroy
 | Assign
 | FPOAttachObserver
 | FPODetachObserver
 | FPONotifyObservers
 | GetNamePath
TObject
 | Create
 | Destroy
 | newinstance
 | FreeInstance
 | SafeCallException
 | DefaultHandler
 | Free
 | InitInstance
 | CleanupInstance
 | ClassType
 | ClassInfo
 | ClassName
 | ClassNameIs
 | ClassParent
 | InstanceSize
 | InheritsFrom
 | StringMessageTable
 | MethodAddress
 | MethodName
 | FieldAddress
 | AfterConstruction
 | BeforeDestruction
 | DefaultHandlerStr
 | Dispatch
 | DispatchStr
 | GetInterface
 | GetInterfaceByStr
 | GetInterfaceWeak
 | GetInterfaceEntry
 | GetInterfaceEntryByStr
 | GetInterfaceTable
 | UnitName
 | Equals
 | GetHashCode
 | ToString


pt | AllColumnsChange (TGridColumn)
 | Assign (TPersistent)
 | Assign (TGridColumn)
 | Assign (TColumn)
 | AssignError (TPersistent)
 | AssignTo (TPersistent)
 | BeforeDestruction (TObject)
 | Changed (TCollectionItem)
 | ClassInfo (TObject)
 | ClassName (TObject)
 | ClassNameIs (TObject)
 | ClassParent (TObject)
 | ClassType (TObject)
 | CleanupInstance (TObject)
pt | ColumnChanged (TGridColumn)
 | Create (TObject)
 | Create (TCollectionItem)
 | Create (TGridColumn)
 | Create (TColumn)
pt | CreateTitle (TGridColumn)
pt | CreateTitle (TColumn)
 | DefaultHandler (TObject)
 | DefaultHandlerStr (TObject)
 | DefineProperties (TPersistent)
 | Destroy (TObject)
 | Destroy (TPersistent)
 | Destroy (TCollectionItem)
 | Destroy (TGridColumn)
 | Dispatch (TObject)
 | DispatchStr (TObject)
 | Equals (TObject)
 | FieldAddress (TObject)
 | FillDefaultFont (TGridColumn)
 | FPOAttachObserver (TPersistent)
 | FPODetachObserver (TPersistent)
 | FPONotifyObservers (TPersistent)
 | Free (TObject)
 | FreeInstance (TObject)
pt | GetDefaultAlignment (TGridColumn)
pt | GetDefaultAlignment (TColumn)
pt | GetDefaultColor (TGridColumn)
pt | GetDefaultDisplayFormat (TColumn)
pt | GetDefaultLayout (TGridColumn)
pt | GetDefaultMaxSize (TGridColumn)
pt | GetDefaultMinSize (TGridColumn)
pt | GetDefaultReadOnly (TGridColumn)
pt | GetDefaultReadOnly (TColumn)
pt | GetDefaultSizePriority (TGridColumn)
pt | GetDefaultValueChecked (TGridColumn)
pt | GetDefaultValueChecked (TColumn)
pt | GetDefaultValueUnchecked (TGridColumn)
pt | GetDefaultValueUnchecked (TColumn)
pt | GetDefaultVisible (TGridColumn)
pt | GetDefaultVisible (TColumn)
pt | GetDefaultWidth (TGridColumn)
pt | GetDefaultWidth (TColumn)
 | GetDisplayName (TCollectionItem)
pt | GetDisplayName (TGridColumn)
pt | GetDisplayName (TColumn)
 | GetHashCode (TObject)
 | GetIndex (TCollectionItem)
 | GetInterface (TObject)
 | GetInterfaceByStr (TObject)
 | GetInterfaceEntry (TObject)
 | GetInterfaceEntryByStr (TObject)
 | GetInterfaceTable (TObject)
 | GetInterfaceWeak (TObject)
 | GetNamePath (TPersistent)
 | GetNamePath (TCollectionItem)
 | GetOwner (TPersistent)
 | GetOwner (TCollectionItem)
pt | GetPickList (TGridColumn)
pt | GetPickList (TColumn)
pt | GetValueChecked (TGridColumn)
pt | GetValueUnchecked (TGridColumn)
 | InheritsFrom (TObject)
 | InitInstance (TObject)
 | InstanceSize (TObject)
 | IsDefault (TGridColumn)
 | IsDefault (TColumn)
pt | LinkField (TColumn)
 | MethodAddress (TObject)
 | MethodName (TObject)
 | newinstance (TObject)
 | SafeCallException (TObject)
 | SetCollection (TCollectionItem)
 | SetDisplayName (TCollectionItem)
 | SetIndex (TCollectionItem)
pt | SetIndex (TGridColumn)
 | StringMessageTable (TObject)
 | ToString (TObject)
 | UnitName (TObject)


TColumn

TGridColumn

TCollectionItem

TPersistent

TObject


TColumn.Assign

Stores properties from a persistent class in the current class instance

Declaration

Source position: dbgrids.pas line 290

public procedure TColumn.Assign(

  Source: TPersistent

); override;

Arguments

Source

Persistent class with values stored in the method

Description

Assign is an overridden procedure which stores properties from Source in the current class instance. Assign calls the inherited Assign method. When Source is a TColumn class instance, the values for the following are stored in the current class instance:

  • FieldName
  • DisplayFormat
  • ValueChecked
  • ValueUnchecked

See also

TPersistent.Assign


TColumn.Create

Constructor for the TColumn instance

Declaration

Source position: dbgrids.pas line 289

public constructor TColumn.Create(

  ACollection: TCollection

); override;

Arguments

ACollection

Collection that owns the collection item

Description

Create is the constructor for the TColumn instance. Create calls the inherited Create constructor and sets the DesignIndex used for the new entry in the TCollection. Create is called by the TCollection.Add method and should not be called directly under normal circumstances.

See also

TGridColumn.Create

Create - constructor for TGridColumn: calls inherited Create, then creates a title and font, initialises a picklist and sets styles

TCollection


TColumn.DesignIndex

Order for the column in its collection at design-time

Declaration

Source position: dbgrids.pas line 292

public property TColumn.DesignIndex : Integer
  read FDesignIndex;

Description

DesignIndex is a read-only Integer property that contains the order for the column in its collection at design-time. The value in DesignIndex is used primarily when TDBGridColumns.ResetColumnsOrder compares and sorts the items in its collection.

See also

#lcl.DBGrids.TColumn.Create | Constructor for the TColumn instance
#lcl.DBGrids.TDBGridColumns.ResetColumnsOrder | ResetColumnsOrder arranges columns in the collection to the specified order
#lcl.DBGrids.CompareDesignIndex


TColumn.DisplayFormat

The format to be used for display in this column

Declaration

Source position: dbgrids.pas line 296

published property TColumn.DisplayFormat : string
  read GetDisplayFormat
  write SetDisplayFormat
  stored IsDisplayFormatStored;

Description

DisplayFormat is a String property which specifies a format string used for displaying the value of a Field with the name in FieldName. Use of DisplayFormat in TColumn is consistent with its use in TField (and decendants), but can assign a value that overrides the default display format for the Field.

GetDisplayFormat is the read access specifier for the property. SetDisplayFormat is the write access specifier for the property. Changing the value in DisplayFormat causes the ColumnChanged method to be called when the column definition has been updated.


TColumn.Field

Field in the Dataset associated with this Column

Declaration

Source position: dbgrids.pas line 293

public property TColumn.Field : TField
  read GetField
  write SetField;

Description

Field is a TField property that provides access to the content and other attributes for the dataset Field represented by the column. GetField reads the value for the property. SetField writes the value for the property.

See also

TField
#lcl.DBGrids.TColumn.GetField | Gets the value for the Field property
#lcl.DBGrids.TColumn.SetField | Sets the value in the Field property
#lcl.DBGrids.TColumn.LinkField | Establishes a link between the FieldName and the Field in a Dataset


TColumn.FieldName

Name of the Field with data for the column

Declaration

Source position: dbgrids.pas line 295

published property TColumn.FieldName : string
  read FFieldName
  write SetFieldName;

Description

FieldName is a String property which contains the name of the Field used to get data for the column. SetFieldName is the write access specifier for the property. Changing the value in FieldName causes LinkField to be called to find the Field with the specified name. The value in DisplayFormat is also modified when the property was has changed.


TColumn.GetDefaultAlignment

Gets the default alignment for the Field in the column definition

Declaration

Source position: dbgrids.pas line 276

protected function TColumn.GetDefaultAlignment: TAlignment; override;

Function result

Alignment for the Field and/or editor style

Description

GetDefaultAlignment is an overridden TAlignment function that gets the default alignment for the Field in the column definition. GetDefaultAlignment gets the button style used by the default editor for Field. For checkbox and button-style editors, center alignment is used. Otherwise, the Alignment in Field is used. If Field has not been assigned, left alignment is used.

See also

#lcl.Grids.TGridColumn.GetDefaultAlignment

GetDefaultAlignment - returns the default alignment


TColumn.GetDefaultDisplayFormat

Gets the default display format for the Field in a column

Declaration

Source position: dbgrids.pas line 277

protected function TColumn.GetDefaultDisplayFormat: string;

Function result

Default display format for the Field in the column

Description

GetDefaultDisplayFormat is a String function used to get the default display format provided for the Field in a column definition. GetDefaultDisplayFormat uses the Field property to get its DisplayFormat for use as the return value in the method. The return value is a empty string ('') when Field has not been assigned for the column definition.

GetDefaultDisplayFormat is used in the implementation of the GetDisplayFormat method.

See also

#lcl.DBGrids.TColumn.Field | Field in the Dataset associated with this Column
#lcl.DBGrids.TColumn.GetDisplayFormat | Get the value for the DisplayFormat property
#fcl.db.TField.DisplayFormat


TColumn.GetDefaultReadOnly

Gets the default value for the ReadOnly property

Declaration

Source position: dbgrids.pas line 282

protected function TColumn.GetDefaultReadOnly: Boolean; override;

Function result

Effective value for the ReadOnly property

Description

GetDefaultReadOnly is an overridden Boolean function which gets the default value for the ReadOnly property. GetDefaultReadOnly combines the ReadOnly values found in both the Grid and the Field for the dataset to derive the value for the method. The return value is True when Grid or Field is not assigned in the column.

See also

#lcl.Grids.TGridColumn.GetDefaultReadOnly

GetDefaultReadOnly - returns the default value for the ReadOnly property

#lcl.Grids.TGrid.ReadOnly

#rtl.DB.TField.ReadOnly


TColumn.GetDefaultValueChecked

Gets the default value for a Checkbox in the Checked state as a String

Declaration

Source position: dbgrids.pas line 278

protected function TColumn.GetDefaultValueChecked: string; override;

Function result

'TRUE' or '1'

Description

GetDefaultValueChecked is an overridden String function used to get the default value used for a Checkbox column in the Checked state. When Field has been aasigned for the column, and the data type is ftBoolean, the return value is 'TRUE'. If Field has not been assigned, the return value is '1'.

See also

#lcl.Grids.TGridColumn.GetDefaultValueChecked

GetDefaultValueChecked - returns the default value for a checked column


TColumn.GetDefaultValueUnchecked

Gets the default String value for a Checkbox in the UnChecked state

Declaration

Source position: dbgrids.pas line 279

protected function TColumn.GetDefaultValueUnchecked: string; override;

Function result

'FALSE' or '0'

Description

GetDefaultValueUnchecked is an overridden String function used to get the default value used for a Checkbox column in the UnChecked state. When Field has been aasigned for the column, and the data type is ftBoolean the return value is 'FALSE'. If Field has not been assigned, the return value is '0'.

See also

#lcl.Grids.TGridColumn.GetDefaultValueUnchecked

GetDefaultValueUnchecked - returns the default value for an unchecked column


TColumn.GetDefaultWidth

Gets the effective width for the column

Declaration

Source position: dbgrids.pas line 283

protected function TColumn.GetDefaultWidth: Integer; override;

Function result

Effective width for the the column

Description

GetDefaultWidth is an overridden Integer function used to get the effective width for the column. The return value is calculated using the Grid and its Canvas to find the space needed for the Field in the column. When the Grid has Options that include the value dgTitles, Title.Caption and Title.Font are included in the calculation. GetDefaultWidth calls the CalcColumnFieldWidth function to get the canvas width used as the return value.

The return value is -1 if the Grid has not been assigned for the column. The return value contains Grid.DefaultColWidth when Field has not been assigned in the column.

See also

#lcl.Grids.TGridColumn.GetDefaultWidth

GetDefaultWidth - returns the default value for width

#lcl.DBGrids.CalcColumnFieldWidth


TColumn.GetDisplayName

Gets the display name for the collection item

Declaration

Source position: dbgrids.pas line 281

protected function TColumn.GetDisplayName: string; override;

Function result

Display name for the collection item

Description

GetDisplayName is an overridden String function used to get the display name for the column. The display name is used at design-time to get the name for the collection item, and at run-time when a dataset has not been assigned or opened for the definition.

The value in FieldName is used as the return value for the method, when it has been assigned in the column. Otherwise, the inheriited GetDisplayName method is called to get the return value.

Use FieldName to set the name of the Field used for the column.

See also

#lcl.DBGrids.TColumn.FieldName

Name of the Field with data for the column

#rtl.Classes.TCollectionItem.GetDisplayName


TColumn.GetPickList

Gets the values in the pick list for the column

Declaration

Source position: dbgrids.pas line 284

protected function TColumn.GetPickList: TStrings; override;

Function result

Values available for the lookup-style column

Description

GetPickList is an overridden TStrings function which gets the values in the pick list for the column. GetPickList calls the inherited method, and provides support for Lookup Fields in the column definition.

When Field is assigned and contains a Lookup Field (fkLookup in its FieldKind property), values from the LookupList or the LookupDataset are included in the return value. When LookupDataset is used, the result includes values from the LookupResultField for each of the rows in the dataset.

See also

#lcl.Grids.TGridColumn.GetPickList

GetPickList - returns the picklist as a list of strings

#fcl.DB.TField


TColumn.IsAutomaticColumn

Indicates if the column was automatically added at run-time

Declaration

Source position: dbgrids.pas line 285

protected property TColumn.IsAutomaticColumn : Boolean
  read FIsAutomaticColumn;

Description

IsAutomaticColumn is a read-only Boolean property that indicates if the column was automatically added to the collection at run-time. The value in IsAutomaticColumn is updated when TDBGrid.AddAutomaticColumns and TDBGridColumns.RemoveAutoColumns add/remove items in the collection.

Use IsDesignColumn to determine is the column was added at design-time. Use TDBGridColumns.HasAutomaticColumns to determine if any automatic columns are stored in the collection. Use TDBGrid.OptionsExtra to enable or disable automatically columns in a database grid control.

See also

#lcl.DBGrids.TColumn.IsDesignColumn | Indicates if the column was added at design-time
#lcl.DBGrids.TDBGridColumns.HasAutomaticColumns | HasAutomaticColumns indicates if any items in the collection are an automatic column
#lcl.DBGrids.TCustomDBGrid.OptionsExtra | Contains the extra options enabled for the grid control


TColumn.IsDesignColumn

Indicates if the column was added at design-time

Declaration

Source position: dbgrids.pas line 286

protected property TColumn.IsDesignColumn : Boolean
  read GetIsDesignColumn;

Description

IsDesignColumn is a read-only Boolean property which indicates if the column was added at design-time. GetIsDesignColumn is the read access specifier for the IsDesignColumn property.

Use IsAutomaticColumn to determine if the column was added at run-time. Use TDBGridColumns.HasDesignColumns to determine if any design-time columns are stored in the collection.

See also

#lcl.DBGrids.TColumn.IsAutomaticColumn | Indicates if the column was automatically added at run-time
#lcl.DBGrids.TDBGridColumns.HasDesignColumns | HasDesignColumns indicates if the collection contains any items explicitly added at design-time
#lcl.DBGrids.TCustomDBGrid.OptionsExtra | Contains the extra options enabled for the grid control


TColumn.LinkField

Establishes a link between the FieldName and the Field in a Dataset

Declaration

Source position: dbgrids.pas line 287

protected procedure TColumn.LinkField;

Description

LinkField is a procedure used to establish a link between the FieldName in the column and the Field in its Dataset. LinkField requires Grid to be assigned in order to access the DataLink and its Dataset. When Grid is unassigned, the value for Field is Nil. The DataLink in Grid must be Active to access the Fields in the dataset. When DataLink in not Active, the value in Field is Nil.

LinkField finds the Field in the linked dataset with the name specified in FieldName. The TField instance is stored in the Field property. LinkField calls the ApplyDisplayFormat method to update the DisplayFormat used for the column.

See also

#lcl.DBGrids.TColumn.Field | Field in the Dataset associated with this Column
#lcl.DBGrids.TColumn.DisplayFormat | The format to be used for display in this column
#lcl.DBGrids.TColumn.ApplyDisplayFormat | Applies a new display format to the Field which gets data for the column
#lcl.DBGrids.TCustomDBGrid | TCustomDBGrid is the base class for TDBGrid
#lcl.DBGrids.TCustomDBGrid.DataLink


TColumnOrder

Enumerated type defining alternate ordering for columns

Declaration

Source position: dbgrids.pas line 300

type TColumnOrder = (
coDesignOrder, | Columns are ordered using the DesignIndex
coFieldIndexOrder | Columns are order by the Index for the Field
);

Description

TColumnOrder is an enumerated type which defines alternate ordering for columns in a collection. The values specify whether the design-time or run-time index for columns is used when ordering TColumn instances in the TDBGridColumns collection.

See also

#lcl.DBGrids.TColumn | Implements a display column for the TDBGrid control
#lcl.DBGrids.TDBGridColumns | Implements a collection for columns in a database grid
#lcl.DBGrids.TDBGrid.Columns | The properties of the columns in this grid


TColumnTitle

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

TColumnTitle is a TGridColumnTitle descendant

Declaration

Source position: dbgrids.pas line 250

type TColumnTitle = class(TGridColumnTitle)

protected

  function GetDefaultCaption; override;

Gets the default caption used as the title for the grid column

end;

Inheritance

TColumnTitle | TColumnTitle is a TGridColumnTitle descendant
|
TGridColumnTitle | TGridColumnTitle - the title for a column in a grid
|
TPersistent,IFPObserved
|
TObject

Description

TColumnTitle is a TGridColumnTitle descendant which ensures the correct caption is used as the title for a column in a data-aware grid.


TColumnTitle
TGridColumnTitle
 | ro | Column
pl |  | Alignment
pl |  | Caption
pl |  | Color
pl |  | Font
pl |  | ImageIndex
pl |  | ImageLayout
pl |  | Layout
pl |  | MultiLine
pl |  | PrefixOption
TPersistent
TObject


pl |  | Alignment (TGridColumnTitle)
pl |  | Caption (TGridColumnTitle)
pl |  | Color (TGridColumnTitle)
 | ro | Column (TGridColumnTitle)
pl |  | Font (TGridColumnTitle)
pl |  | ImageIndex (TGridColumnTitle)
pl |  | ImageLayout (TGridColumnTitle)
pl |  | Layout (TGridColumnTitle)
pl |  | MultiLine (TGridColumnTitle)
pl |  | PrefixOption (TGridColumnTitle)


TColumnTitle
pt | GetDefaultCaption
TGridColumnTitle
pt | GetDefaultCaption
pt | GetDefaultAlignment
pt | GetDefaultColor
pt | GetDefaultLayout
pt | GetOwner
pt | GetCaption
pt | SetCaption
pt | DefineProperties
 | Create
 | Destroy
 | Assign
 | FillTitleDefaultFont
 | IsDefault
TPersistent
 | AssignError
 | AssignTo
 | DefineProperties
 | GetOwner
 | Destroy
 | Assign
 | FPOAttachObserver
 | FPODetachObserver
 | FPONotifyObservers
 | GetNamePath
TObject
 | Create
 | Destroy
 | newinstance
 | FreeInstance
 | SafeCallException
 | DefaultHandler
 | Free
 | InitInstance
 | CleanupInstance
 | ClassType
 | ClassInfo
 | ClassName
 | ClassNameIs
 | ClassParent
 | InstanceSize
 | InheritsFrom
 | StringMessageTable
 | MethodAddress
 | MethodName
 | FieldAddress
 | AfterConstruction
 | BeforeDestruction
 | DefaultHandlerStr
 | Dispatch
 | DispatchStr
 | GetInterface
 | GetInterfaceByStr
 | GetInterfaceWeak
 | GetInterfaceEntry
 | GetInterfaceEntryByStr
 | GetInterfaceTable
 | UnitName
 | Equals
 | GetHashCode
 | ToString


 | AssignError (TPersistent)
 | AssignTo (TPersistent)
 | BeforeDestruction (TObject)
 | ClassInfo (TObject)
 | ClassName (TObject)
 | ClassNameIs (TObject)
 | ClassParent (TObject)
 | ClassType (TObject)
 | CleanupInstance (TObject)
 | Create (TObject)
 | Create (TGridColumnTitle)
 | DefaultHandler (TObject)
 | DefaultHandlerStr (TObject)
 | DefineProperties (TPersistent)
pt | DefineProperties (TGridColumnTitle)
 | Destroy (TObject)
 | Destroy (TPersistent)
 | Destroy (TGridColumnTitle)
 | Dispatch (TObject)
 | DispatchStr (TObject)
 | Equals (TObject)
 | FieldAddress (TObject)
 | FillTitleDefaultFont (TGridColumnTitle)
 | FPOAttachObserver (TPersistent)
 | FPODetachObserver (TPersistent)
 | FPONotifyObservers (TPersistent)
 | Free (TObject)
 | FreeInstance (TObject)
pt | GetCaption (TGridColumnTitle)
pt | GetDefaultAlignment (TGridColumnTitle)
pt | GetDefaultCaption (TGridColumnTitle)
pt | GetDefaultCaption (TColumnTitle)
pt | GetDefaultColor (TGridColumnTitle)
pt | GetDefaultLayout (TGridColumnTitle)
 | GetHashCode (TObject)
 | GetInterface (TObject)
 | GetInterfaceByStr (TObject)
 | GetInterfaceEntry (TObject)
 | GetInterfaceEntryByStr (TObject)
 | GetInterfaceTable (TObject)
 | GetInterfaceWeak (TObject)
 | GetNamePath (TPersistent)
 | GetOwner (TPersistent)
pt | GetOwner (TGridColumnTitle)
 | InheritsFrom (TObject)
 | InitInstance (TObject)
 | InstanceSize (TObject)
 | IsDefault (TGridColumnTitle)
 | MethodAddress (TObject)
 | MethodName (TObject)
 | newinstance (TObject)
 | SafeCallException (TObject)
pt | SetCaption (TGridColumnTitle)
 | StringMessageTable (TObject)
 | ToString (TObject)
 | UnitName (TObject)


TColumnTitle

TGridColumnTitle

TPersistent

TObject


TColumnTitle.GetDefaultCaption

Gets the default caption used as the title for the grid column

Declaration

Source position: dbgrids.pas line 252

protected function TColumnTitle.GetDefaultCaption: string; override;

Function result

Default value used as the title for the column

Description

GetDefaultCaption is an overridden String function in TColumnTitle which provides the default caption used as the title for a grid column.

If a Field has been created for the column, the value of its DisplayName property are used as the caption. If only the FieldName property is set, it is used as the caption. Otherwise, the inherited method is called to get the default caption for the column.

See also

#lcl.Grids.TGridColumnTitle.GetDefaultCaption | GetDefaultCaption - returns th e default caption for this column
#lcl.DBGrids.TColumn | Implements a display column for the TDBGrid control
#fcl.db.TField


TComponentDataLink

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Maintains an association between a component and a dataset

Declaration

Source position: dbgrids.pas line 196

type TComponentDataLink = class(TDataLink)
protected
procedure RecordChanged(); override; | Signals the OnRecordChanged event handler when assigned
procedure DataSetChanged; override; | Signals the OnDatasetChanged event handler when assigned
procedure ActiveChanged; override; | Signals an event handler when the Active property is changed
procedure LayoutChanged; override; | Signals the OnLayoutChanged event hander when assigned
procedure DataSetScrolled(); override; | Signals the OnDataSetScrolled event handler when assigned
procedure FocusControl(); override; | Signal the OnFocusControl event handler when assigned
procedure CheckBrowseMode; override; | Calls the inherited method
procedure EditingChanged; override; | Signals the OnEditingChanged event handler when assigned
procedure UpdateData; override; | Signals the OnUpdateData event handler when assigned
function MoveBy(); override; | Moves the position in the dataset by the specified number of rows
property Modified: Boolean; [rw] | Indicates if the component or the linked dataset has been changed
public
property OnRecordChanged: TFieldNotifyEvent; [rw] | OnRecordChanged - event handler for a change in the current record
property OnDataSetChanged: TDatasetNotifyEvent; [rw] | OnDataseChanged - event handler for a change in the attached Data Set
property OnNewDataSet: TDataSetNotifyEvent; [rw] | OnNewdataset - event handler for formation of a link to a new data set
property OnDataSetOpen: TDataSetNotifyEvent; [rw] | OnDataseOpen - event handler when the data set is open
property OnInvalidDataSet: TDataSetNotifyEvent; [rw] | OnInvalidDataset - event handler when the data set is non-valid
property OnInvalidDataSource: TDataSetNotifyEvent; [rw] | OnInvalidDataSource - event handler when the data source is non-valid
property OnFocusControl: TFocusControlEvent; [rw]
property OnLayoutChanged: TDataSetNotifyEvent; [rw] | OnLayoutChanged - event handler when the layout of the data set has changed
property OnDataSetClose: TDataSetNotifyEvent; [rw] | OnDataseClose - event handler when the data set is closed
property OnDataSetScrolled: TDataSetScrolledEvent; [rw] | OnDataseScrolled - event handler when the data set is scrolled
property OnEditingChanged: TDataSetNotifyEvent; [rw] | OnEditingChanged - event handler for a change in the Editing property
property OnUpdateData: TDataSetNotifyEvent; [rw] | OnUpdateData - event handler for implementing any pending changes to data
property DataSetName: string; [rw] | DatasetName - the (string) name of the attached dataset
property Fields []: TField; [r] | Fields - an indexed array containing the Fields of the dataset
property VisualControl; |
end;

Inheritance

TComponentDataLink

Maintains an association between a component and a dataset

|

TDataLink
|

TPersistent,IFPObserved
|

TObject

Description

TComponentDataLink is a TDatalink descendant that maintains an association between a component and its linked dataset. TComponentDataLink coordinates the actions of the component and the dataset, and allows the component to respond to data events. TComponentDataLink defines event handlers which can be used forward dataset events to the component implementation.

TComponentDataLink is the type used to implement the TDBGrid.DataLink property.

See also

#lcl.DBGrids.TCustomDBGrid.DataLink

#lcl.DBGrids.TDBGrid.DataLink


TComponentDataLink
pt |  | Modified
 |  | DataSetName
 | ro | Fields
 | ro | VisualControl
TDataLink
 |  | VisualControl
 |  | FirstRecord
 | ro | Active
 |  | ActiveRecord
 | ro | BOF
 |  | BufferCount
 | ro | DataSet
 |  | DataSource
 |  | DataSourceFixed
 | ro | Editing
 | ro | Eof
 |  | ReadOnly
 | ro | RecordCount
TPersistent
TObject


 | ro | Active (TDataLink)
 |  | ActiveRecord (TDataLink)
 | ro | BOF (TDataLink)
 |  | BufferCount (TDataLink)
 | ro | DataSet (TDataLink)
 |  | DataSetName (TComponentDataLink)
 |  | DataSource (TDataLink)
 |  | DataSourceFixed (TDataLink)
 | ro | Editing (TDataLink)
 | ro | Eof (TDataLink)
 | ro | Fields (TComponentDataLink)
 |  | FirstRecord (TDataLink)
pt |  | Modified (TComponentDataLink)
 |  | ReadOnly (TDataLink)
 | ro | RecordCount (TDataLink)
 |  | VisualControl (TDataLink)
 | ro | VisualControl (TComponentDataLink)


TComponentDataLink
pt | RecordChanged
pt | DataSetChanged
pt | ActiveChanged
pt | LayoutChanged
pt | DataSetScrolled
pt | FocusControl
pt | CheckBrowseMode
pt | EditingChanged
pt | UpdateData
pt | MoveBy
TDataLink
 | CalcFirstRecord
 | CalcRange
 | CheckActiveAndEditing
 | GetDataset
 | SetActive
 | SetDataSource
 | SetReadOnly
 | ActiveChanged
 | CheckBrowseMode
 | DataEvent
 | DataSetChanged
 | DataSetScrolled
 | EditingChanged
 | FocusControl
 | GetActiveRecord
 | GetBOF
 | GetBufferCount
 | GetEOF
 | GetRecordCount
 | LayoutChanged
 | MoveBy
 | RecordChanged
 | SetActiveRecord
 | SetBufferCount
 | UpdateData
 | Create
 | Destroy
 | Edit
 | UpdateRecord
 | ExecuteAction
 | UpdateAction
TPersistent
 | AssignError
 | AssignTo
 | DefineProperties
 | GetOwner
 | Destroy
 | Assign
 | FPOAttachObserver
 | FPODetachObserver
 | FPONotifyObservers
 | GetNamePath
TObject
 | Create
 | Destroy
 | newinstance
 | FreeInstance
 | SafeCallException
 | DefaultHandler
 | Free
 | InitInstance
 | CleanupInstance
 | ClassType
 | ClassInfo
 | ClassName
 | ClassNameIs
 | ClassParent
 | InstanceSize
 | InheritsFrom
 | StringMessageTable
 | MethodAddress
 | MethodName
 | FieldAddress
 | AfterConstruction
 | BeforeDestruction
 | DefaultHandlerStr
 | Dispatch
 | DispatchStr
 | GetInterface
 | GetInterfaceByStr
 | GetInterfaceWeak
 | GetInterfaceEntry
 | GetInterfaceEntryByStr
 | GetInterfaceTable
 | UnitName
 | Equals
 | GetHashCode
 | ToString


 | ActiveChanged (TDataLink)
pt | ActiveChanged (TComponentDataLink)
 | AfterConstruction (TObject)
 | Assign (TPersistent)
 | AssignError (TPersistent)
 | AssignTo (TPersistent)
 | BeforeDestruction (TObject)
 | CalcFirstRecord (TDataLink)
 | CalcRange (TDataLink)
 | CheckActiveAndEditing (TDataLink)
 | CheckBrowseMode (TDataLink)
pt | CheckBrowseMode (TComponentDataLink)
 | ClassInfo (TObject)
 | ClassName (TObject)
 | ClassNameIs (TObject)
 | ClassParent (TObject)
 | ClassType (TObject)
 | CleanupInstance (TObject)
 | Create (TObject)
 | Create (TDataLink)
 | DataEvent (TDataLink)
 | DataSetChanged (TDataLink)
pt | DataSetChanged (TComponentDataLink)
 | DataSetScrolled (TDataLink)
pt | DataSetScrolled (TComponentDataLink)
 | DefaultHandler (TObject)
 | DefaultHandlerStr (TObject)
 | DefineProperties (TPersistent)
 | Destroy (TObject)
 | Destroy (TPersistent)
 | Destroy (TDataLink)
 | Dispatch (TObject)
 | DispatchStr (TObject)
 | Edit (TDataLink)
 | EditingChanged (TDataLink)
pt | EditingChanged (TComponentDataLink)
 | Equals (TObject)
 | ExecuteAction (TDataLink)
 | FieldAddress (TObject)
 | FocusControl (TDataLink)
pt | FocusControl (TComponentDataLink)
 | FPOAttachObserver (TPersistent)
 | FPODetachObserver (TPersistent)
 | FPONotifyObservers (TPersistent)
 | Free (TObject)
 | FreeInstance (TObject)
 | GetActiveRecord (TDataLink)
 | GetBOF (TDataLink)
 | GetBufferCount (TDataLink)
 | GetDataset (TDataLink)
 | GetEOF (TDataLink)
 | GetHashCode (TObject)
 | GetInterface (TObject)
 | GetInterfaceByStr (TObject)
 | GetInterfaceEntry (TObject)
 | GetInterfaceEntryByStr (TObject)
 | GetInterfaceTable (TObject)
 | GetInterfaceWeak (TObject)
 | GetNamePath (TPersistent)
 | GetOwner (TPersistent)
 | GetRecordCount (TDataLink)
 | InheritsFrom (TObject)
 | InitInstance (TObject)
 | InstanceSize (TObject)
 | LayoutChanged (TDataLink)
pt | LayoutChanged (TComponentDataLink)
 | MethodAddress (TObject)
 | MethodName (TObject)
 | MoveBy (TDataLink)
pt | MoveBy (TComponentDataLink)
 | newinstance (TObject)
 | RecordChanged (TDataLink)
pt | RecordChanged (TComponentDataLink)
 | SafeCallException (TObject)
 | SetActive (TDataLink)
 | SetActiveRecord (TDataLink)
 | SetBufferCount (TDataLink)
 | SetDataSource (TDataLink)
 | SetReadOnly (TDataLink)
 | StringMessageTable (TObject)
 | ToString (TObject)
 | UnitName (TObject)
 | UpdateAction (TDataLink)
 | UpdateData (TDataLink)
pt | UpdateData (TComponentDataLink)
 | UpdateRecord (TDataLink)


TComponentDataLink
 | OnRecordChanged
 | OnDataSetChanged
 | OnNewDataSet
 | OnDataSetOpen
 | OnInvalidDataSet
 | OnInvalidDataSource
 | OnFocusControl
 | OnLayoutChanged
 | OnDataSetClose
 | OnDataSetScrolled
 | OnEditingChanged
 | OnUpdateData
TDataLink
TPersistent
TObject


OnDataSetChanged (TComponentDataLink)

OnDataSetClose (TComponentDataLink)

OnDataSetOpen (TComponentDataLink)

OnDataSetScrolled (TComponentDataLink)

OnEditingChanged (TComponentDataLink)

OnFocusControl (TComponentDataLink)

OnInvalidDataSet (TComponentDataLink)

OnInvalidDataSource (TComponentDataLink)

OnLayoutChanged (TComponentDataLink)

OnNewDataSet (TComponentDataLink)

OnRecordChanged (TComponentDataLink)

OnUpdateData (TComponentDataLink)


TComponentDataLink.ActiveChanged

Signals an event handler when the Active property is changed

Declaration

Source position: dbgrids.pas line 220

protected procedure TComponentDataLink.ActiveChanged; override;

Description

ActiveChanged is a procedure used to call event handlers when the value in Active is changed.

When Active contains True, the Dataset for the class is read and compared to the value in the DatasetName property. When it diifers from the stored value the change is for a new dataset, and the OnNewDataset event handler is signalled. If DatasetName is the same as the stored value, the OnDataseOpen event handler is signalled.

When Active contains False, the Datasource and Dataset are checked to ensure that the contain valid class instances. If Datasource is unassigned, the OnInvalidDataSource event handler is signalled. If Dataset is unassigned, the Dataset is being freed, the OnInvalidDataSet event handler is signalled. If Dataset is assigned, the dataset has been closed and the OnDataSetClose event handler is signalled.

See also

#fcl.db.TDataLink.ActiveChanged


TComponentDataLink.DataSetChanged

Signals the OnDatasetChanged event handler when assigned

Declaration

Source position: dbgrids.pas line 219

protected procedure TComponentDataLink.DataSetChanged; override;

Description

DatasetChanged is a procedure used to signal the OnDatasetChanged event handler when the dataset has been changed. DatasetChanged calls the event handler when it has been assigned in the class instance. No action is performed when OnDatasetChanged has not been assigned.

See also

#fcl.db.TDataLink.DatasetChanged

#lcl.DBGrids.TComponentDataLink.OnDatasetChanged

OnDataseChanged - event handler for a change in the attached Data Set

#lcl.DBGrids.TDBGrid.OnDatasetChanged


TComponentDataLink.DataSetName

DatasetName - the (string) name of the attached dataset

Declaration

Source position: dbgrids.pas line 243

public property TComponentDataLink.DataSetName : string
  read GetDataSetName
  write SetDataSetName;


TComponentDataLink.DataSetScrolled

Signals the OnDataSetScrolled event handler when assigned

Declaration

Source position: dbgrids.pas line 222

protected procedure TComponentDataLink.DataSetScrolled(

  Distance: Integer

); override;

Arguments

Distance

Number of records for the event notification

Description

DatasetScrolled is a procedure used to signal the OnDataSetScrolled event handler when it has been assigned in the class instance.

See also

#fcl.db.TDataLink.DatasetScrolled

#lcl.DBGrids.TDBGrid.OnDataSetScrolled


TComponentDataLink.EditingChanged

Signals the OnEditingChanged event handler when assigned

Declaration

Source position: dbgrids.pas line 226

protected procedure TComponentDataLink.EditingChanged; override;

Description

EditingChanged is a procedure used to signal the OnEditingChanged event handler when assigned in the class instance.

See also

TDataLink.EditingChanged


TComponentDataLink.Fields

Fields - an indexed array containing the Fields of the dataset

Declaration

Source position: dbgrids.pas line 244

public property TComponentDataLink.Fields[Index: Integer] : TField
  read GetFields;


TComponentDataLink.LayoutChanged

Signals the OnLayoutChanged event hander when assigned

Declaration

Source position: dbgrids.pas line 221

protected procedure TComponentDataLink.LayoutChanged; override;

Description

LayoutChanged is a procedure used to signal the OnLayoutChanged event hander when assigned in the class instance.

See also

#fcl.db.TDataLink.LayoutChanged

#lcl.DBGrids.TDBGrid.OnLayoutChanged


TComponentDataLink.Modified

Indicates if the component or the linked dataset has been changed

Declaration

Source position: dbgrids.pas line 229

protected property TComponentDataLink.Modified : Boolean
  read FModified
  write FModified;

Description

Modified is a Boolean property that indicates if the component or the linked dataset has been changed.


TComponentDataLink.OnDataSetChanged

OnDataseChanged - event handler for a change in the attached Data Set

Declaration

Source position: dbgrids.pas line 232

public property TComponentDataLink.OnDataSetChanged : TDatasetNotifyEvent
  read FOnDatasetChanged
  write FOnDataSetChanged;


TComponentDataLink.OnDataSetClose

OnDataseClose - event handler when the data set is closed

Declaration

Source position: dbgrids.pas line 239

public property TComponentDataLink.OnDataSetClose : TDataSetNotifyEvent
  read fOnDataSetClose
  write fOnDataSetClose;


TComponentDataLink.OnDataSetOpen

OnDataseOpen - event handler when the data set is open

Declaration

Source position: dbgrids.pas line 234

public property TComponentDataLink.OnDataSetOpen : TDataSetNotifyEvent
  read fOnDataSetOpen
  write fOnDataSetOpen;


TComponentDataLink.OnDataSetScrolled

OnDataseScrolled - event handler when the data set is scrolled

Declaration

Source position: dbgrids.pas line 240

public property TComponentDataLink.OnDataSetScrolled : TDataSetScrolledEvent
  read FOnDataSetScrolled
  write FOnDataSetScrolled;


TComponentDataLink.OnEditingChanged

OnEditingChanged - event handler for a change in the Editing property

Declaration

Source position: dbgrids.pas line 241

public property TComponentDataLink.OnEditingChanged : TDataSetNotifyEvent
  read FOnEditingChanged
  write FOnEditingChanged;


TComponentDataLink.OnFocusControl

Declaration

Source position: dbgrids.pas line 237

public property TComponentDataLink.OnFocusControl : TFocusControlEvent
  read fOnFocusControl
  write fOnFocusControl;


TComponentDataLink.OnInvalidDataSet

OnInvalidDataset - event handler when the data set is non-valid

Declaration

Source position: dbgrids.pas line 235

public property TComponentDataLink.OnInvalidDataSet : TDataSetNotifyEvent
  read fOnInvalidDataSet
  write fOnInvalidDataSet;


TComponentDataLink.OnInvalidDataSource

OnInvalidDataSource - event handler when the data source is non-valid

Declaration

Source position: dbgrids.pas line 236

public property TComponentDataLink.OnInvalidDataSource : TDataSetNotifyEvent
  read fOnInvalidDataSource
  write fOnInvalidDataSource;


TComponentDataLink.OnLayoutChanged

OnLayoutChanged - event handler when the layout of the data set has changed

Declaration

Source position: dbgrids.pas line 238

public property TComponentDataLink.OnLayoutChanged : TDataSetNotifyEvent
  read FOnLayoutChanged
  write FOnLayoutChanged;


TComponentDataLink.OnNewDataSet

OnNewdataset - event handler for formation of a link to a new data set

Declaration

Source position: dbgrids.pas line 233

public property TComponentDataLink.OnNewDataSet : TDataSetNotifyEvent
  read fOnNewDataSet
  write fOnNewDataSet;


TComponentDataLink.OnRecordChanged

OnRecordChanged - event handler for a change in the current record

Declaration

Source position: dbgrids.pas line 231

public property TComponentDataLink.OnRecordChanged : TFieldNotifyEvent
  read FOnRecordChanged
  write FOnRecordChanged;


TComponentDataLink.OnUpdateData

OnUpdateData - event handler for implementing any pending changes to data

Declaration

Source position: dbgrids.pas line 242

public property TComponentDataLink.OnUpdateData : TDataSetNotifyEvent
  read FOnUpdateData
  write FOnUpdateData;


TComponentDataLink.RecordChanged

Signals the OnRecordChanged event handler when assigned

Declaration

Source position: dbgrids.pas line 218

protected procedure TComponentDataLink.RecordChanged(

  Field: TField

); override;

Arguments

Field

Modified Field for the event notification

Description

RecordChanged is an overridden procedure used to signal the OnRecordChanged event handler when the specified Field is changed. RecordChanged calls the event handler when it has been assigned in the class instance. No action is performed when OnRecordChanged has not been assigned.

See also

#fcl.db.TDataLink.RecordChanged

#lcl.DBGrids.TComponentDataLink.OnRecordChanged

OnRecordChanged - event handler for a change in the current record

#lcl.DBGrids.TDBGrid.OnRecordChanged


TComponentDataLink.UpdateData

Signals the OnUpdateData event handler when assigned

Declaration

Source position: dbgrids.pas line 227

protected procedure TComponentDataLink.UpdateData; override;

Description

UpdateData is a procedure used to signal the OnUpdateData event handler when assigned in the class instance.

See also

TDataLink.UpdateData


TCustomDBGrid

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

TCustomDBGrid is the base class for TDBGrid

Declaration

Source position: dbgrids.pas line 322

type TCustomDBGrid = class(TCustomGrid)
protected
procedure AddAutomaticColumns; | Adds a column for each Field in the dataset
procedure AssignTo(); override;
procedure AutoAdjustColumn(); override;
procedure BeforeMoveSelection(); override; | BeforeMoveSelection - method to use before a selection is moved
procedure BeginLayout; | BeginLayout starts producing layout changes for the grid control
procedure CellClick(); override; | CellClick calls the OnCellClick event handler if it is assigned for this particular cell
function CheckDisplayMemo(); | Indicates if the field is a Memo that needs to be displayed in the grid
procedure InvalidateSizes; | InvalidateSizes renders the Sizes non-valid
procedure ColRowMoved(); override; | ColRowMoved - the column or row (determined by IsColumn) is moved from one index to another
function ColumnEditorStyle(); | ColumnEditorStyle gets the button style for the column being edited
function CreateColumns; override; | CreateColumns - returns the identity of the created columns
procedure CreateWnd; override; | CreateWnd - creates the window adjusts its layout and adds scrollbars when needed
procedure DefineProperties(); override;
procedure DefaultDrawCell(); | Default method used to drawing a cell at the specified location
function DefaultEditorStyle();
procedure DoCopyToClipboard; override;
procedure DoExit; override; | DoExit closes the editor and the datalink for the control
function DoMouseWheelDown(); override; | Handle mouse wheel down events in the grid control
function DoMouseWheelUp(); override; | Handle mouse wheelup events in the grid control
procedure DoOnChangeBounds; override; | DoOnChangeBounds - calls inherited DoOnChangeBounds adjusts layout if required
procedure DoPrepareCanvas(); override; | Prepares the canvas and signals OnPrepareCanvas
procedure DoLoadColumn(); override;
procedure DoSaveColumn(); override;
procedure DrawAllRows; override; | DrawAllRows - draws all the rows
procedure DrawFocusRect(); override; | DrawFocusRect - draw a rectangle with focus in the nominated cell
procedure DrawRow(); override; | DrawRow - draws the specified row
procedure DrawCell(); override; | DrawCell renders the specified grid cell in the supplied drawing state
procedure DrawCellBackground();
procedure DrawCheckboxBitmaps(); | Draws a Checkbox bitmap for the specified Boolean column
procedure DrawFixedText(); | Draws the fixed text at the specified row and column numbers
procedure DrawColumnText(); override;
procedure DrawIndicator(); virtual;
procedure EditingColumn(); | EditingColumn sets or resets the column being edited in the control
procedure EditorCancelEditing; | EditorCancelEditing cancels pending changes and disables the editor
procedure EditorDoGetValue; override; | EditorDoGetValue gets the value used in the editor for the control
function EditorCanAcceptKey(); override; | EditorCanAcceptKey determines if the specified character can be applied to the Field for the editor
function EditorIsReadOnly; override; | EditorIsReadOnly - returns True if the Editor has Read Only status
procedure EditorTextChanged(); override;
procedure EndLayout; | EndLayout finishes layout changes for the control
function FieldIndexFromGridColumn(); | FieldIndexFromGridColumn returns the index for the database Field corresponding to the stated grid column
function FirstGridColumn; override;
function GetBufferCount; virtual; | Gets the number of rows to buffer in the grid control
function GetCellHintText(); override;
function GetDefaultColumnAlignment(); override; | Gets the default alignment for the column
function GetDefaultColumnWidth(); override; | Gets the default width for the specified column
function GetDefaultColumnReadOnly(); override; | Gets the default ReadOnlyvalue for the specifed column
function GetDefaultColumnTitle(); override; | Gets the default title displayed for the specified column
function GetDefaultRowHeight; override; | Get the default row height for records displayed in the grid
function GetDsFieldFromGridColumn(); | GetDsFieldFromGridColumn returns the identity of the dataset Field corresponding to the nominated grid column
function GetEditMask(); override; | GetEditMask gets the EditMask for the Field at the specied Row and Column
function GetEditText(); override; | GetEditText gets the Text value for the specified Field
function GetFieldFromGridColumn(); | GetFieldFromGridColumn obtain the Field either from a Db column or directly from dataset Fields
function GetGridColumnFromField(); | GetGridColumnFromField - gets the corresponding grid column for the given Field
procedure GetImageForCheckBox(); override; | Gets the bitmap displayed for a Checkbox at the specified location
function GetIsCellSelected(); override; | GetIsCellSelected - returns True if the given cell is selected
function GetIsCellTitle(); override;
procedure GetSelectedState(); override;
function GetSmoothScroll(); override;
function GetTruncCellHintText(); override;
function GridCanModify; | GridCanModify indicates if the DataLink is active and allows editing
procedure GetSBVisibility(); override; | GetSBVisibility - finds the values of the visibility flags for the scrollbars
procedure GetSBRanges(); override; | GetSBRanges - finds the ranges of values for the scrollbars, if they are visible
procedure HeaderClick(); override; | HeaderClick - calls OnHeaderClick if assigned
procedure HeaderSized(); override; | HeaderSized - method to deal with re-sizing of a column (IsColumn True) or row header
function IsColumnVisible();
function IsValidChar(); | IsValidChar indicates if the specified Field contains the specified UTF-8 character
procedure KeyDown(); override; | KeyDown handles special keys and signals the OnKeyDown event handler
procedure LinkActive(); virtual; | LinkActive updates the control after a change to the state of its DataLink
procedure LayoutChanged; virtual; | LayoutChanged links columns to Fields and inserts any required automatic columns
procedure Loaded; override; | Performs layout operations after the control is loaded at run-time
procedure LoadGridOptions(); override;
procedure MoveSelection; override; | MoveSelection changes the current selection in the control
function MouseButtonAllowed(); override;
procedure MouseDown(); override; | MouseDown handles mouse down messages in the control and signals the OnMouseDown event handler
procedure MouseMove(); override; | Handler for MouseMove events.
procedure PrepareCanvas(); override; | PrepareCanvas - method to get the canvas ready for drawing at the specified location
procedure PrepareCellHints(); override;
procedure RemoveAutomaticColumns; | Removes automatic columns added to the grid control
procedure ResetSizes; override;
procedure SaveGridOptions(); override;
procedure SelectEditor; override; | SelectEditor - chooses the editor for current use
procedure SetEditText(); override; | SetEditText - specifies the text-string to be placed in the Editor for processing
procedure SetFixedCols(); override;
function SelectCell(); override; | Indicates if the cell at the specified coordinates can be selected in the control
procedure UnprepareCellHints; override;
procedure UpdateActive; virtual; | UpdateActive redraws the control when the active row in the dataset is changed
procedure UpdateAutoSizeColumns;
procedure UpdateData; virtual; | UpdateData is used to perform pending updates for the selected cell.
function UpdateGridCounts; | Gets the total number of visible columns (or fields) in the grid
procedure WMVScroll(); message; | WMVScroll - system message for vertical scrolling
procedure WndProc(); override; | The general message handler for this control.
property Columns: TDBGridColumns; [rw] | Columns provides access to columns defined for the database grid control
property GridStatus: TDbGridStatus; [rw] | Stores status information about operations active for the grid control
property Datalink: TComponentDataLink; [r]
property Options: TDbGridOptions; [rw] | Stores values from the TDbGridOption enumeration
property OptionsExtra: TDbGridExtraOptions; [rw] | Contains the extra options enabled for the grid control
property ReadOnly: Boolean; [rw] | Indicates if modifications are allowed in the grid control
property SelectedRows: TBookmarkList; [r] | SelectedRows - recorded as a bookmark list
property OnCellClick: TDBGridClickEvent; [rw] | Event handler for mouse click in a column for the grid
property OnColEnter: TNotifyEvent; [rw] | Event handler signalled when the mouse enters a column
property OnColExit: TNotifyEvent; [rw] | Event handler signalled when the mouse exits a column
property OnColumnMoved: TMovedEvent; [rw] | Event handler signalled when the order of a column is changed
property OnColumnSized: TNotifyEvent; [rw] | Event handler signalled when a grid column has been resized
property OnDrawColumnCell: TDrawColumnCellEvent; [rw] | Event handler signalled when a cell needs to be drawn
property OnDrawColumnTitle: TDrawColumnCellEvent; [rw] | Event handler signalled when a cell title needs to be drawn
property OnFieldEditMask: TGetDbEditMaskEvent; [rw] | Event handler signalled to get the edit mask for a Field
property OnGetCellHint: TDbGridCellHintEvent; [rw]
property OnPrepareCanvas: TPrepareDbGridCanvasEvent; [rw] | Event handler signalled to prepare the grid canvas for drawing a cell
property OnSelectEditor: TDbGridSelEditorEvent; [rw] | Event handler signalled when the editor is selected for a Field in the grid
property OnTitleClick: TDBGridClickEvent; [rw] | Event handler for mouse clicks on a Title cell
property OnUserCheckboxBitmap: TDbGridCheckBoxBitmapEvent; [rw] | Event handler signalled to get the image used for a checkbox entry on the grid
property OnUserCheckboxState: TDbGridCheckboxStateEvent; [rw]
property OnRowMoved: TMovedEvent; [rw]
public
constructor Create(); override; |
procedure AutoAdjustColumns; override;
procedure InitiateAction; override; | Initiates the action associated with the grid control
procedure DefaultDrawColumnCell(); | Default method used for drawing cells in a column
function EditorByStyle(); override; | Select a cell editor control with the specified style
procedure ResetColWidths; | Restores column widths to their default values
destructor Destroy; override; | Destroy is the destructor for TCustomDbGrid
function MouseToRecordOffset();
function ExecuteAction(); override;
function UpdateAction(); override;
procedure SaveToFile(); override;
procedure SaveToStream(); override;
procedure LoadFromFile(); override;
procedure LoadFromStream(); override;
property AllowOutboundEvents: Boolean;
property SelectedField: TField; [rw] | Field that reads and writes data for the currently selected column
property SelectedIndex: Integer; [rw] | Ordinal position of the selected column in the grid control
property SelectedColumn: TColumn; [r] | Represents the currently selected column in the grid control
property SelectedFieldRect: TRect; [r]
property LastColumn: TColumn; [r]
property FirstColumn: TColumn; [r]
property DataSource: TDataSource; [rw] | Provides access to the dataset displayed in the grid
end;

Inheritance

TCustomDBGrid | TCustomDBGrid is the base class for TDBGrid
|
TCustomGrid | TCustomGrid - the base class for all grid controls
|
TCustomControl | The base class for windowed controls which paint themselves.
|
TWinControl | The base class for controls which can contain other (child) controls.
|
TControl | The base class for visible controls.
|
TLCLComponent | The base class for LCL components associated with widgets.
|
TComponent,IUnknown,IInterfaceComponentReference
|
TPersistent,IFPObserved
|
TObject

Description

TCustomDBGrid is a TCustomGrid descendant and the base class for TDBGrid. TCustomDBGrid adds capabilities needed to implement a database-aware grid control. One key feature is the TComponentDataLink used to coordinate access and event handlers between the grid control and its linked dataset. Another key feature is the use of the Options and OptionsExtra properties to enable/disable features or behaviors in the grid control.

TCustomDBGrid overrides certain features from the ancestor class to provide consistent use with Fields, Field kinds, and values in TDataset.

Applications should use the TDBGrid descendant which sets the scope of properties, methods, and event handlers to public or published.

See also

HowToUseGrids | How to use Grids including StringGrids, DrawGrids and DbGrids
HowToUseDataAwareControls | HowToUseDataAwareControls - Hints for accessing databases


TCustomDBGrid
pt |  | Columns
pt |  | GridStatus
pt | ro | Datalink
pt |  | Options
pt |  | OptionsExtra
pt |  | ReadOnly
pt | ro | SelectedRows
 | ro | AllowOutboundEvents
 |  | SelectedField
 |  | SelectedIndex
 | ro | SelectedColumn
 | ro | SelectedFieldRect
 | ro | LastColumn
 | ro | FirstColumn
 |  | DataSource
TCustomGrid
pt |  | AllowOutboundEvents
pt |  | AlternateColor
pt |  | AutoAdvance
pt |  | AutoEdit
pt |  | AutoFillColumns
pt |  | BorderStyle
pt |  | BorderColor
pt |  | CellHintPriority
pt |  | Col
pt |  | ColCount
pt |  | ColRow
pt |  | ColumnClickSorts
pt |  | Columns
pt |  | ColWidths
pt |  | DefaultColWidth
pt |  | DefaultRowHeight
pt |  | DefaultDrawing
pt |  | DefaultTextStyle
pt |  | DragDx
pt |  | Editor
pt |  | EditorBorderStyle
pt |  | EditorMode
pt |  | EditorKey
pt |  | EditorOptions
pt |  | EditorShowing
pt |  | ExtendedColSizing
pt |  | ExtendedRowSizing
pt |  | ExtendedSelect
pt |  | FastEditing
pt |  | AltColorStartNormal
pt |  | FixedCols
pt |  | FixedRows
pt |  | FixedColor
pt |  | FixedGridLineColor
pt |  | FixedHotColor
pt |  | Flat
pt |  | FocusColor
pt |  | FocusRectVisible
pt | ro | GCache
pt |  | GridFlags
pt | ro | GridHeight
pt |  | GridLineColor
pt |  | GridLineStyle
pt |  | GridLineWidth
pt | ro | GridWidth
pt |  | HeaderHotZones
pt |  | HeaderPushZones
pt |  | ImageIndexSortAsc
pt |  | ImageIndexSortDesc
pt |  | TabAdvance
pt |  | TitleImageList
pt |  | TitleImageListWidth
pt | ro | InplaceEditor
pt | ro | IsCellSelected
pt |  | LeftCol
pt |  | MouseWheelOption
pt |  | Options
pt |  | Options2
pt |  | RangeSelectMode
pt |  | Row
pt |  | RowCount
pt |  | RowHeights
pt |  | SaveOptions
pt |  | SelectActive
pt |  | SelectedColor
pt | ro | SelectedColumn
pt |  | Selection
pt |  | ScrollBars
pt |  | StrictSort
pt |  | TitleFont
pt |  | TitleStyle
pt |  | TopRow
pt |  | UseXORFeatures
pt |  | ValidateOnSetSelection
pt | ro | VisibleColCount
pt | ro | VisibleRowCount
 | ro | SelectedRange
 | ro | SelectedRangeCount
 |  | SortOrder
 | ro | SortColumn
 | ro | TabStop
TCustomControl
 |  | Canvas
 | ro | BorderStyle
TWinControl
pt |  | WindowHandle
pt |  | BorderStyle
pt |  | ParentBackground
 |  | BorderWidth
 | ro | BoundsLockCount
 | ro | Brush
 | ro | CachedClientHeight
 | ro | CachedClientWidth
 |  | ChildSizing
 | ro | ControlCount
 | ro | Controls
 |  | DefWndProc
 | ro | DockClientCount
 | ro | DockClients
 |  | DockManager
 |  | DockSite
 |  | DoubleBuffered
 |  | Handle
 | ro | IsFlipped
 | ro | IsResizing
 |  | TabOrder
 |  | TabStop
 |  | ParentDoubleBuffered
 |  | ParentWindow
 | ro | Showing
 |  | UseDockManager
 |  | DesignerDeleting
 | ro | VisibleDockClientCount
TControl
pt | ro | AutoSizing
pt | ro | AutoSizingAll
pt | ro | AutoSizingLockCount
pt |  | ActionLink
pt |  | DesktopFont
pt |  | DragCursor
pt |  | DragKind
pt |  | DragMode
pt |  | MouseCapture
pt |  | ParentColor
pt |  | ParentFont
pt |  | ParentShowHint
pt |  | SessionProperties
pt |  | Text
 | ro | AnchoredControls
 | ro | BaseBounds
 | ro | ReadBounds
 | ro | BaseParentClientSize
 |  | AccessibleDescription
 |  | AccessibleValue
 |  | AccessibleRole
 |  | Action
 |  | Align
 |  | Anchors
 | ro | AnchorSide
 |  | AutoSize
 |  | BorderSpacing
 |  | BoundsRect
 |  | BoundsRectForNewParent
 |  | Caption
 |  | CaptureMouseButtons
 |  | ClientHeight
 | ro | ClientOrigin
 | ro | ClientRect
 |  | ClientWidth
 |  | Color
 |  | Constraints
 | ro | ControlOrigin
 |  | ControlState
 |  | ControlStyle
 |  | Enabled
 |  | Font
 |  | IsControl
 | ro | MouseEntered
 | ro | MouseInClient
 |  | Parent
 |  | PopupMenu
 |  | ShowHint
 |  | Visible
 |  | WindowProc
 |  | DockOrientation
 | ro | Floating
 |  | FloatingDockSiteClass
 |  | HostDockSite
 |  | LRDockWidth
 |  | TBDockHeight
 |  | UndockHeight
 |  | UndockWidth
 |  | BiDiMode
 |  | ParentBiDiMode
pl |  | AnchorSideLeft
pl |  | AnchorSideTop
pl |  | AnchorSideRight
pl |  | AnchorSideBottom
pl |  | Cursor
pl |  | Left
pl |  | Height
pl |  | Hint
pl |  | Top
pl |  | Width
pl |  | HelpType
pl |  | HelpKeyword
pl |  | HelpContext
TLCLComponent
 | ro | LCLRefCount
 | ro | WidgetSetClass
TComponent
 | ro | ComObject
 | ro | Components
 | ro | ComponentCount
 |  | ComponentIndex
 | ro | ComponentState
 | ro | ComponentStyle
 |  | DesignInfo
 | ro | Owner
 |  | VCLComObject
 |  | Name
 |  | Tag
TPersistent
TObject


 |  | AccessibleDescription (TControl)
 |  | AccessibleRole (TControl)
 |  | AccessibleValue (TControl)
 |  | Action (TControl)
pt |  | ActionLink (TControl)
 |  | Align (TControl)
pt |  | AllowOutboundEvents (TCustomGrid)
 | ro | AllowOutboundEvents (TCustomDBGrid)
pt |  | AltColorStartNormal (TCustomGrid)
pt |  | AlternateColor (TCustomGrid)
 | ro | AnchoredControls (TControl)
 |  | Anchors (TControl)
 | ro | AnchorSide (TControl)
pl |  | AnchorSideBottom (TControl)
pl |  | AnchorSideLeft (TControl)
pl |  | AnchorSideRight (TControl)
pl |  | AnchorSideTop (TControl)
pt |  | AutoAdvance (TCustomGrid)
pt |  | AutoEdit (TCustomGrid)
pt |  | AutoFillColumns (TCustomGrid)
 |  | AutoSize (TControl)
pt | ro | AutoSizing (TControl)
pt | ro | AutoSizingAll (TControl)
pt | ro | AutoSizingLockCount (TControl)
 | ro | BaseBounds (TControl)
 | ro | BaseParentClientSize (TControl)
 |  | BiDiMode (TControl)
pt |  | BorderColor (TCustomGrid)
 |  | BorderSpacing (TControl)
pt |  | BorderStyle (TWinControl)
 | ro | BorderStyle (TCustomControl)
pt |  | BorderStyle (TCustomGrid)
 |  | BorderWidth (TWinControl)
 | ro | BoundsLockCount (TWinControl)
 |  | BoundsRect (TControl)
 |  | BoundsRectForNewParent (TControl)
 | ro | Brush (TWinControl)
 | ro | CachedClientHeight (TWinControl)
 | ro | CachedClientWidth (TWinControl)
 |  | Canvas (TCustomControl)
 |  | Caption (TControl)
 |  | CaptureMouseButtons (TControl)
pt |  | CellHintPriority (TCustomGrid)
 |  | ChildSizing (TWinControl)
 |  | ClientHeight (TControl)
 | ro | ClientOrigin (TControl)
 | ro | ClientRect (TControl)
 |  | ClientWidth (TControl)
pt |  | Col (TCustomGrid)
pt |  | ColCount (TCustomGrid)
 |  | Color (TControl)
pt |  | ColRow (TCustomGrid)
pt |  | ColumnClickSorts (TCustomGrid)
pt |  | Columns (TCustomGrid)
pt |  | Columns (TCustomDBGrid)
pt |  | ColWidths (TCustomGrid)
 | ro | ComObject (TComponent)
 | ro | ComponentCount (TComponent)
 |  | ComponentIndex (TComponent)
 | ro | Components (TComponent)
 | ro | ComponentState (TComponent)
 | ro | ComponentStyle (TComponent)
 |  | Constraints (TControl)
 | ro | ControlCount (TWinControl)
 | ro | ControlOrigin (TControl)
 | ro | Controls (TWinControl)
 |  | ControlState (TControl)
 |  | ControlStyle (TControl)
pl |  | Cursor (TControl)
pt | ro | Datalink (TCustomDBGrid)
 |  | DataSource (TCustomDBGrid)
pt |  | DefaultColWidth (TCustomGrid)
pt |  | DefaultDrawing (TCustomGrid)
pt |  | DefaultRowHeight (TCustomGrid)
pt |  | DefaultTextStyle (TCustomGrid)
 |  | DefWndProc (TWinControl)
 |  | DesignerDeleting (TWinControl)
 |  | DesignInfo (TComponent)
pt |  | DesktopFont (TControl)
 | ro | DockClientCount (TWinControl)
 | ro | DockClients (TWinControl)
 |  | DockManager (TWinControl)
 |  | DockOrientation (TControl)
 |  | DockSite (TWinControl)
 |  | DoubleBuffered (TWinControl)
pt |  | DragCursor (TControl)
pt |  | DragDx (TCustomGrid)
pt |  | DragKind (TControl)
pt |  | DragMode (TControl)
pt |  | Editor (TCustomGrid)
pt |  | EditorBorderStyle (TCustomGrid)
pt |  | EditorKey (TCustomGrid)
pt |  | EditorMode (TCustomGrid)
pt |  | EditorOptions (TCustomGrid)
pt |  | EditorShowing (TCustomGrid)
 |  | Enabled (TControl)
pt |  | ExtendedColSizing (TCustomGrid)
pt |  | ExtendedRowSizing (TCustomGrid)
pt |  | ExtendedSelect (TCustomGrid)
pt |  | FastEditing (TCustomGrid)
 | ro | FirstColumn (TCustomDBGrid)
pt |  | FixedColor (TCustomGrid)
pt |  | FixedCols (TCustomGrid)
pt |  | FixedGridLineColor (TCustomGrid)
pt |  | FixedHotColor (TCustomGrid)
pt |  | FixedRows (TCustomGrid)
pt |  | Flat (TCustomGrid)
 | ro | Floating (TControl)
 |  | FloatingDockSiteClass (TControl)
pt |  | FocusColor (TCustomGrid)
pt |  | FocusRectVisible (TCustomGrid)
 |  | Font (TControl)
pt | ro | GCache (TCustomGrid)
pt |  | GridFlags (TCustomGrid)
pt | ro | GridHeight (TCustomGrid)
pt |  | GridLineColor (TCustomGrid)
pt |  | GridLineStyle (TCustomGrid)
pt |  | GridLineWidth (TCustomGrid)
pt |  | GridStatus (TCustomDBGrid)
pt | ro | GridWidth (TCustomGrid)
 |  | Handle (TWinControl)
pt |  | HeaderHotZones (TCustomGrid)
pt |  | HeaderPushZones (TCustomGrid)
pl |  | Height (TControl)
pl |  | HelpContext (TControl)
pl |  | HelpKeyword (TControl)
pl |  | HelpType (TControl)
pl |  | Hint (TControl)
 |  | HostDockSite (TControl)
pt |  | ImageIndexSortAsc (TCustomGrid)
pt |  | ImageIndexSortDesc (TCustomGrid)
pt | ro | InplaceEditor (TCustomGrid)
pt | ro | IsCellSelected (TCustomGrid)
 |  | IsControl (TControl)
 | ro | IsFlipped (TWinControl)
 | ro | IsResizing (TWinControl)
 | ro | LastColumn (TCustomDBGrid)
 | ro | LCLRefCount (TLCLComponent)
pl |  | Left (TControl)
pt |  | LeftCol (TCustomGrid)
 |  | LRDockWidth (TControl)
pt |  | MouseCapture (TControl)
 | ro | MouseEntered (TControl)
 | ro | MouseInClient (TControl)
pt |  | MouseWheelOption (TCustomGrid)
 |  | Name (TComponent)
pt |  | Options (TCustomGrid)
pt |  | Options (TCustomDBGrid)
pt |  | Options2 (TCustomGrid)
pt |  | OptionsExtra (TCustomDBGrid)
 | ro | Owner (TComponent)
 |  | Parent (TControl)
pt |  | ParentBackground (TWinControl)
 |  | ParentBiDiMode (TControl)
pt |  | ParentColor (TControl)
 |  | ParentDoubleBuffered (TWinControl)
pt |  | ParentFont (TControl)
pt |  | ParentShowHint (TControl)
 |  | ParentWindow (TWinControl)
 |  | PopupMenu (TControl)
pt |  | RangeSelectMode (TCustomGrid)
 | ro | ReadBounds (TControl)
pt |  | ReadOnly (TCustomDBGrid)
pt |  | Row (TCustomGrid)
pt |  | RowCount (TCustomGrid)
pt |  | RowHeights (TCustomGrid)
pt |  | SaveOptions (TCustomGrid)
pt |  | ScrollBars (TCustomGrid)
pt |  | SelectActive (TCustomGrid)
pt |  | SelectedColor (TCustomGrid)
pt | ro | SelectedColumn (TCustomGrid)
 | ro | SelectedColumn (TCustomDBGrid)
 |  | SelectedField (TCustomDBGrid)
 | ro | SelectedFieldRect (TCustomDBGrid)
 |  | SelectedIndex (TCustomDBGrid)
 | ro | SelectedRange (TCustomGrid)
 | ro | SelectedRangeCount (TCustomGrid)
pt | ro | SelectedRows (TCustomDBGrid)
pt |  | Selection (TCustomGrid)
pt |  | SessionProperties (TControl)
 |  | ShowHint (TControl)
 | ro | Showing (TWinControl)
 | ro | SortColumn (TCustomGrid)
 |  | SortOrder (TCustomGrid)
pt |  | StrictSort (TCustomGrid)
pt |  | TabAdvance (TCustomGrid)
 |  | TabOrder (TWinControl)
 |  | TabStop (TWinControl)
 | ro | TabStop (TCustomGrid)
 |  | Tag (TComponent)
 |  | TBDockHeight (TControl)
pt |  | Text (TControl)
pt |  | TitleFont (TCustomGrid)
pt |  | TitleImageList (TCustomGrid)
pt |  | TitleImageListWidth (TCustomGrid)
pt |  | TitleStyle (TCustomGrid)
pl |  | Top (TControl)
pt |  | TopRow (TCustomGrid)
 |  | UndockHeight (TControl)
 |  | UndockWidth (TControl)
 |  | UseDockManager (TWinControl)
pt |  | UseXORFeatures (TCustomGrid)
pt |  | ValidateOnSetSelection (TCustomGrid)
 |  | VCLComObject (TComponent)
 |  | Visible (TControl)
pt | ro | VisibleColCount (TCustomGrid)
 | ro | VisibleDockClientCount (TWinControl)
pt | ro | VisibleRowCount (TCustomGrid)
 | ro | WidgetSetClass (TLCLComponent)
pl |  | Width (TControl)
pt |  | WindowHandle (TWinControl)
 |  | WindowProc (TControl)


TCustomDBGrid
pt | AddAutomaticColumns
pt | AssignTo
pt | AutoAdjustColumn
pt | BeforeMoveSelection
pt | BeginLayout
pt | CellClick
pt | CheckDisplayMemo
pt | InvalidateSizes
pt | ColRowMoved
pt | ColumnEditorStyle
pt | CreateColumns
pt | CreateWnd
pt | DefineProperties
pt | DefaultDrawCell
pt | DefaultEditorStyle
pt | DoCopyToClipboard
pt | DoExit
pt | DoMouseWheelDown
pt | DoMouseWheelUp
pt | DoOnChangeBounds
pt | DoPrepareCanvas
pt | DoLoadColumn
pt | DoSaveColumn
pt | DrawAllRows
pt | DrawFocusRect
pt | DrawRow
pt | DrawCell
pt | DrawCellBackground
pt | DrawCheckboxBitmaps
pt | DrawFixedText
pt | DrawColumnText
pt | DrawIndicator
pt | EditingColumn
pt | EditorCancelEditing
pt | EditorDoGetValue
pt | EditorCanAcceptKey
pt | EditorIsReadOnly
pt | EditorTextChanged
pt | EndLayout
pt | FieldIndexFromGridColumn
pt | FirstGridColumn
pt | GetBufferCount
pt | GetCellHintText
pt | GetDefaultColumnAlignment
pt | GetDefaultColumnWidth
pt | GetDefaultColumnReadOnly
pt | GetDefaultColumnTitle
pt | GetDefaultRowHeight
pt | GetDsFieldFromGridColumn
pt | GetEditMask
pt | GetEditText
pt | GetFieldFromGridColumn
pt | GetGridColumnFromField
pt | GetImageForCheckBox
pt | GetIsCellSelected
pt | GetIsCellTitle
pt | GetSelectedState
pt | GetSmoothScroll
pt | GetTruncCellHintText
pt | GridCanModify
pt | GetSBVisibility
pt | GetSBRanges
pt | HeaderClick
pt | HeaderSized
pt | IsColumnVisible
pt | IsValidChar
pt | KeyDown
pt | LinkActive
pt | LayoutChanged
pt | Loaded
pt | LoadGridOptions
pt | MoveSelection
pt | MouseButtonAllowed
pt | MouseDown
pt | MouseMove
pt | PrepareCanvas
pt | PrepareCellHints
pt | RemoveAutomaticColumns
pt | ResetSizes
pt | SaveGridOptions
pt | SelectEditor
pt | SetEditText
pt | SetFixedCols
pt | SelectCell
pt | UnprepareCellHints
pt | UpdateActive
pt | UpdateAutoSizeColumns
pt | UpdateData
pt | UpdateGridCounts
pt | WMVScroll
pt | WndProc
 | Create
 | AutoAdjustColumns
 | InitiateAction
 | DefaultDrawColumnCell
 | EditorByStyle
 | ResetColWidths
 | Destroy
 | MouseToRecordOffset
 | ExecuteAction
 | UpdateAction
 | SaveToFile
 | SaveToStream
 | LoadFromFile
 | LoadFromStream
TCustomGrid
pt | RTLSign
pt | WSRegisterClass
pt | AddSelectedRange
pt | AdjustClientRect
pt | AdjustEditorBounds
pt | AfterMoveSelection
pt | AssignTo
pt | AutoAdjustColumn
pt | BeforeMoveSelection
pt | BeginAutoDrag
pt | BoxRect
pt | CacheMouseDown
pt | CalcAutoSizeColumn
pt | CalcCellExtent
pt | CalcFocusRect
pt | CalcMaxTopLeft
pt | CalcScrollbarsRange
pt | CalculatePreferredSize
pt | CanEditShow
pt | CanGridAcceptKey
pt | CellClick
pt | CellExtent
pt | CheckLimits
pt | CheckLimitsWithError
pt | CMBiDiModeChanged
pt | CMMouseEnter
pt | CMMouseLeave
pt | ColRowDeleted
pt | ColRowExchanged
pt | ColRowInserted
pt | ColRowMoved
pt | ColRowToOffset
pt | ColumnIndexFromGridColumn
pt | ColumnFromGridColumn
pt | ColumnsChanged
pt | ColWidthsChanged
pt | CreateColumns
pt | CheckNewCachedSizes
pt | CreateWnd
pt | CreateParams
pt | Click
pt | DblClick
pt | DefaultColWidthIsStored
pt | DefaultRowHeightIsStored
pt | DefineProperties
pt | DestroyHandle
pt | DialogChar
pt | DoCompareCells
pt | DoCopyToClipboard
pt | DoCutToClipboard
pt | DoEditButtonClick
pt | DoEditorHide
pt | DoEditorShow
pt | DoExit
pt | DoEnter
pt | DoLoadColumn
pt | DoSaveColumn
pt | DoMouseWheel
pt | DoMouseWheelDown
pt | DoMouseWheelUp
pt | DoMouseWheelLeft
pt | DoMouseWheelRight
pt | DoAutoAdjustLayout
pt | DoOnChangeBounds
pt | DoOPDeleteColRow
pt | DoOPExchangeColRow
pt | DoOPInsertColRow
pt | DoOPMoveColRow
pt | DoPasteFromClipboard
pt | DoPrepareCanvas
pt | DoSetBounds
pt | DoUTF8KeyPress
pt | DrawBorder
pt | DrawAllRows
pt | DrawFillRect
pt | DrawCell
pt | DrawCellGrid
pt | DrawTextInCell
pt | DrawThemedCell
pt | DrawCellText
pt | DrawGridCheckboxBitmaps
pt | DrawButtonCell
pt | DrawColRowMoving
pt | DrawColumnText
pt | DrawColumnTitleImage
pt | DrawEdges
pt | DrawFocusRect
pt | DrawRow
pt | EditButtonClicked
pt | EditordoGetValue
pt | EditordoResetValue
pt | EditordoSetValue
pt | EditorCanAcceptKey
pt | EditorIsReadOnly
pt | EditorHide
pt | EditorLocked
pt | EditingAllowed
pt | EditorSelectAll
pt | EditorShow
pt | EditorShowInCell
pt | EditorWidthChanged
pt | FirstGridColumn
pt | FixedGrid
pt | FontChanged
pt | GetAutoFillColumnInfo
pt | GetCellHintText
pt | GetCells
pt | GetColumnAlignment
pt | GetColumnColor
pt | GetColumnFont
pt | GetColumnLayout
pt | GetColumnReadonly
pt | GetColumnTitle
pt | GetColumnWidth
pt | GetDeltaMoveNext
pt | GetDefaultColumnAlignment
pt | GetDefaultColumnWidth
pt | GetDefaultColumnLayout
pt | GetDefaultColumnReadOnly
pt | GetDefaultColumnTitle
pt | GetDefaultEditor
pt | GetDefaultRowHeight
pt | GetGridDrawState
pt | GetImageForCheckBox
pt | GetScrollBarPosition
pt | GetSmoothScroll
pt | GetSBVisibility
pt | GetSBRanges
pt | GetSelectedState
pt | GetEditMask
pt | GetEditText
pt | GetFixedcolor
pt | GetFirstVisibleColumn
pt | GetFirstVisibleRow
pt | GetLastVisibleColumn
pt | GetLastVisibleRow
pt | GetSelectedColor
pt | GetTitleShowPrefix
pt | GetPxTopLeft
pt | GetTruncCellHintText
pt | GridColumnFromColumnIndex
pt | GridMouseWheel
pt | HeaderClick
pt | HeaderSized
pt | HeaderSizing
pt | HideCellHintWindow
pt | InternalSetColCount
pt | InvalidateCell
pt | InvalidateFromCol
pt | InvalidateGrid
pt | InvalidateFocused
pt | GetIsCellTitle
pt | GetIsCellSelected
pt | IsEmptyRow
pt | IsMouseOverCellButton
pt | KeyDown
pt | KeyUp
pt | KeyPress
pt | LoadContent
pt | LoadGridOptions
pt | Loaded
pt | LockEditor
pt | MouseButtonAllowed
pt | MouseDown
pt | MouseMove
pt | MouseUp
pt | MoveExtend
pt | MoveNextAuto
pt | MoveNextSelectable
pt | MoveSelection
pt | OffsetToColRow
pt | Paint
pt | PickListItemSelected
pt | PrepareCanvas
pt | PrepareCellHints
pt | ResetDefaultColWidths
pt | ResetEditor
pt | ResetLastMove
pt | ResetOffset
pt | ResetSizes
pt | ResizeColumn
pt | ResizeRow
pt | RowHeightsChanged
pt | SaveContent
pt | SaveGridOptions
pt | ScrollBarRange
pt | ScrollBarPosition
pt | ScrollBarIsVisible
pt | ScrollBarPage
pt | ScrollBarShow
pt | ScrollBarAutomatic
pt | ScrollBy
pt | SelectEditor
pt | SelectCell
pt | SetCanvasFont
pt | SetColor
pt | SetColRow
pt | SetEditText
pt | SetBorderStyle
pt | SetFixedcolor
pt | SetFixedCols
pt | SetFixedRows
pt | SetRawColWidths
pt | SetSelectedColor
pt | ShowCellHintWindow
pt | SizeChanged
pt | Sort
pt | StartPushCell
pt | TopLeftChanged
pt | TryMoveSelection
pt | UnLockEditor
pt | UnprepareCellHints
pt | UpdateHorzScrollBar
pt | UpdateSelectionRange
pt | UpdateVertScrollbar
pt | UpdateBorderStyle
pt | ValidateEntry
pt | VisualChange
pt | WMSize
pt | WMHScroll
pt | WMVScroll
pt | WMKillFocus
pt | WMSetFocus
pt | WndProc
pt | FlipRect
pt | FlipPoint
pt | FlipX
 | Create
 | Destroy
 | Invalidate
 | EditingDone
 | AdjustInnerCellRect
 | AutoAdjustColumns
 | BeginUpdate
 | CellRect
 | CellToGridZone
 | CheckPosition
 | ClearCols
 | ClearRows
 | Clear
 | ClearSelections
 | EditorByStyle
 | EditorKeyDown
 | EditorKeyPress
 | EditorKeyUp
 | EditorTextChanged
 | EndUpdate
 | EraseBackground
 | Focused
 | HasMultiSelection
 | InvalidateCol
 | InvalidateRange
 | InvalidateRow
 | IsCellVisible
 | IsFixedCellVisible
 | LoadFromFile
 | LoadFromStream
 | MouseCoord
 | MouseToCell
 | MouseToLogcell
 | MouseToGridZone
 | SaveToFile
 | SaveToStream
 | SetFocus
TCustomControl
pt | WSRegisterClass
pt | WMPaint
pt | DestroyWnd
pt | PaintWindow
pt | FontChanged
pt | SetColor
pt | Paint
 | Create
 | Destroy
TWinControl
pt | WSRegisterClass
pt | AdjustClientRect
pt | GetAdjustedLogicalClientRect
pt | AlignControls
pt | CustomAlignInsertBefore
pt | CustomAlignPosition
pt | DoAlignChildControls
pt | DoChildSizingChange
pt | InvalidatePreferredChildSizes
pt | CanTab
pt | IsClientHeightStored
pt | IsClientWidthStored
pt | DoSendShowHideToInterface
pt | ControlsAligned
pt | DoSendBoundsToInterface
pt | RealizeBounds
pt | RealizeBoundsRecursive
pt | InvalidateBoundsRealized
pt | CreateSubClass
pt | DoConstraintsChange
pt | DoSetBounds
pt | DoAutoSize
pt | DoAllAutoSize
pt | AllAutoSized
pt | CalculatePreferredSize
pt | GetPreferredSizeClientFrame
pt | GetChildren
pt | ChildClassAllowed
pt | PaintControls
pt | PaintHandler
pt | PaintWindow
pt | CreateBrush
pt | ScaleControls
pt | ChangeScale
pt | CMBiDiModeChanged
pt | CMBorderChanged
pt | CMDoubleBufferedChanged
pt | CMEnabledChanged
pt | CMParentDoubleBufferedChanged
pt | CMShowingChanged
pt | CMShowHintChanged
pt | CMVisibleChanged
pt | CMEnter
pt | CMExit
pt | WMContextMenu
pt | WMEraseBkgnd
pt | WMNotify
pt | WMSetFocus
pt | WMKillFocus
pt | WMShowWindow
pt | WMEnter
pt | WMExit
pt | WMKeyDown
pt | WMSysKeyDown
pt | WMKeyUp
pt | WMSysKeyUp
pt | WMChar
pt | WMSysChar
pt | WMPaint
pt | WMDestroy
pt | WMMove
pt | WMSize
pt | WMWindowPosChanged
pt | CNKeyDown
pt | CNSysKeyDown
pt | CNKeyUp
pt | CNSysKeyUp
pt | CNChar
pt | DoDragMsg
pt | DoDockClientMsg
pt | DoUndockClientMsg
pt | DoAddDockClient
pt | DockOver
pt | DoDockOver
pt | DoRemoveDockClient
pt | DoUnDock
pt | GetSiteInfo
pt | GetParentHandle
pt | GetTopParentHandle
pt | ReloadDockedControl
pt | CreateDockManager
pt | SetDockManager
pt | DoFloatMsg
pt | DoGetDockCaption
pt | DoEnter
pt | DoExit
pt | DoKeyDownBeforeInterface
pt | DoRemainingKeyDown
pt | DoRemainingKeyUp
pt | DoKeyPress
pt | DoUTF8KeyPress
pt | DoKeyUpBeforeInterface
pt | ChildKey
pt | SendDialogChar
pt | DialogChar
pt | ControlKeyDown
pt | ControlKeyUp
pt | KeyDown
pt | KeyDownBeforeInterface
pt | KeyDownAfterInterface
pt | KeyPress
pt | KeyUp
pt | KeyUpBeforeInterface
pt | KeyUpAfterInterface
pt | UTF8KeyPress
pt | FindNextControl
pt | SelectFirst
pt | RealGetText
pt | GetBorderStyle
pt | GetClientOrigin
pt | GetClientRect
pt | GetControlOrigin
pt | GetDeviceContext
pt | GetParentBackground
pt | IsControlMouseMsg
pt | CreateHandle
pt | CreateParams
pt | CreateWnd
pt | DestroyHandle
pt | DestroyWnd
pt | DoFlipChildren
pt | FinalizeWnd
pt | FixupTabList
pt | FontChanged
pt | InitializeWnd
pt | Loaded
pt | FormEndUpdated
pt | MainWndProc
pt | ParentFormHandleInitialized
pt | ChildHandlesCreated
pt | GetMouseCapture
pt | RealSetText
pt | RemoveFocus
pt | SendMoveSizeMessages
pt | SetBorderStyle
pt | SetColor
pt | SetChildZPosition
pt | SetParentBackground
pt | ShowControl
pt | UpdateControlState
pt | UpdateShowing
pt | WndProc
pt | WSSetText
 | AutoSizePhases
 | AutoSizeDelayed
 | AutoSizeDelayedReport
 | AutoSizeDelayedHandle
 | BeginUpdateBounds
 | EndUpdateBounds
 | LockRealizeBounds
 | UnlockRealizeBounds
 | ControlAtPos
 | ContainsControl
 | DoAdjustClientRectChange
 | InvalidateClientRectCache
 | ClientRectNeedsInterfaceUpdate
 | SetBounds
 | GetChildrenRect
 | DisableAlign
 | EnableAlign
 | ReAlign
 | ScrollBy_WS
 | ScrollBy
 | WriteLayoutDebugReport
 | AutoAdjustLayout
 | Create
 | CreateParented
 | CreateParentedControl
 | Destroy
 | DockDrop
 | CanFocus
 | CanSetFocus
 | GetControlIndex
 | SetControlIndex
 | Focused
 | PerformTab
 | FindChildControl
 | SelectNext
 | SetTempCursor
 | BroadCast
 | NotifyControls
 | DefaultHandler
 | GetTextLen
 | Invalidate
 | AddControl
 | InsertControl
 | RemoveControl
 | GetEnumeratorControls
 | GetEnumeratorControlsReverse
 | Repaint
 | Update
 | SetFocus
 | FlipChildren
 | ScaleBy
 | GetDockCaption
 | UpdateDockCaption
 | GetTabOrderList
 | HandleAllocated
 | ParentHandlesAllocated
 | HandleNeeded
 | BrushCreated
 | EraseBackground
 | IntfUTF8KeyPress
 | IntfGetDropFilesTarget
 | PaintTo
 | SetShape
TControl
pt | WSRegisterClass
pt | GetCursor
pt | SetCursor
pt | SetVisible
pt | DoOnParentHandleDestruction
pt | DoAutoSize
pt | DoAllAutoSize
pt | BeginAutoSizing
pt | EndAutoSizing
pt | AnchorSideChanged
pt | ForeignAnchorSideChanged
pt | SetAlign
pt | SetAnchors
pt | SetAutoSize
pt | BoundsChanged
pt | CreateControlBorderSpacing
pt | DoConstraintsChange
pt | DoBorderSpacingChange
pt | IsBorderSpacingInnerBorderStored
pt | IsCaptionStored
pt | SendMoveSizeMessages
pt | ConstrainedResize
pt | CalculatePreferredSize
pt | DoOnResize
pt | DoOnChangeBounds
pt | CheckOnChangeBounds
pt | Resize
pt | RequestAlign
pt | UpdateAnchorRules
pt | ChangeBounds
pt | DoSetBounds
pt | ScaleConstraints
pt | ChangeScale
pt | CanAutoSize
pt | SetBiDiMode
pt | SetParentBiDiMode
pt | IsAParentAligning
pt | GetClientOrigin
pt | GetClientRect
pt | GetLogicalClientRect
pt | GetScrolledClientRect
pt | GetClientScrollOffset
pt | GetControlOrigin
pt | IsClientHeightStored
pt | IsClientWidthStored
pt | WidthIsAnchored
pt | HeightIsAnchored
pt | WMCancelMode
pt | WMContextMenu
pt | WMLButtonDown
pt | WMRButtonDown
pt | WMMButtonDown
pt | WMXButtonDown
pt | WMLButtonDBLCLK
pt | WMRButtonDBLCLK
pt | WMMButtonDBLCLK
pt | WMXButtonDBLCLK
pt | WMLButtonTripleCLK
pt | WMRButtonTripleCLK
pt | WMMButtonTripleCLK
pt | WMXButtonTripleCLK
pt | WMLButtonQuadCLK
pt | WMRButtonQuadCLK
pt | WMMButtonQuadCLK
pt | WMXButtonQuadCLK
pt | WMMouseMove
pt | WMLButtonUp
pt | WMRButtonUp
pt | WMMButtonUp
pt | WMXButtonUp
pt | WMMouseWheel
pt | WMMouseHWheel
pt | WMMove
pt | WMSize
pt | WMWindowPosChanged
pt | CMChanged
pt | LMCaptureChanged
pt | CMBiDiModeChanged
pt | CMSysFontChanged
pt | CMEnabledChanged
pt | CMHitTest
pt | CMMouseEnter
pt | CMMouseLeave
pt | CMHintShow
pt | CMParentBiDiModeChanged
pt | CMParentColorChanged
pt | CMParentFontChanged
pt | CMParentShowHintChanged
pt | CMVisibleChanged
pt | CMTextChanged
pt | CMCursorChanged
pt | CalculateDockSizes
pt | CreateFloatingDockSite
pt | GetDockEdge
pt | GetDragImages
pt | GetFloating
pt | GetFloatingDockSiteClass
pt | BeforeDragStart
pt | BeginAutoDrag
pt | DoFloatMsg
pt | DockTrackNoTarget
pt | DoDock
pt | DoDragMsg
pt | DoEndDock
pt | DoEndDrag
pt | DoStartDock
pt | DoStartDrag
pt | DragCanceled
pt | DragOver
pt | PositionDockRect
pt | SetDragMode
pt | GetDefaultDockCaption
pt | Click
pt | DblClick
pt | TripleClick
pt | QuadClick
pt | GetMousePosFromMessage
pt | MouseDown
pt | MouseMove
pt | MouseUp
pt | MouseEnter
pt | MouseLeave
pt | DialogChar
pt | UpdateMouseCursor
pt | Changed
pt | GetPalette
pt | ChildClassAllowed
pt | ReadState
pt | Loaded
pt | LoadedAll
pt | DefineProperties
pt | AssignTo
pt | FormEndUpdated
pt | InvalidateControl
pt | FontChanged
pt | ParentFontChanged
pt | GetAction
pt | RealGetText
pt | RealSetText
pt | TextChanged
pt | GetCachedText
pt | SetAction
pt | SetColor
pt | SetEnabled
pt | SetHint
pt | SetName
pt | SetParent
pt | SetParentComponent
pt | WndProc
pt | ParentFormHandleInitialized
pt | GetMouseCapture
pt | CaptureChanged
pt | Notification
pt | CanTab
pt | GetDeviceContext
pt | GetEnabled
pt | GetPopupMenu
pt | DoOnShowHint
pt | DoMouseWheel
pt | DoMouseWheelDown
pt | DoMouseWheelUp
pt | DoMouseWheelHorz
pt | DoMouseWheelLeft
pt | DoMouseWheelRight
pt | VisibleChanging
pt | VisibleChanged
pt | EnabledChanging
pt | EnabledChanged
pt | AddHandler
pt | RemoveHandler
pt | DoCallNotifyHandler
pt | DoCallKeyEventHandler
pt | DoCallMouseWheelEventHandler
pt | DoContextPopup
pt | SetZOrder
pt | GetControlClassDefaultSize
pt | ColorIsStored
pt | DoAutoAdjustLayout
pt | DoFixDesignFontPPI
pt | DoScaleFontPPI
pt | GetActionLinkClass
pt | ActionChange
 | DragDrop
 | Dock
 | ManualDock
 | ManualFloat
 | ReplaceDockedControl
 | Docked
 | Dragging
 | GetAccessibleObject
 | CreateAccessibleObject
 | GetSelectedChildAccessibleObject
 | GetChildAccessibleObjectAtPos
 | ScaleDesignToForm
 | ScaleFormToDesign
 | Scale96ToForm
 | ScaleFormTo96
 | Scale96ToFont
 | ScaleFontTo96
 | ScaleScreenToFont
 | ScaleFontToScreen
 | Scale96ToScreen
 | ScaleScreenTo96
 | AdjustSize
 | AutoSizePhases
 | AutoSizeDelayed
 | AutoSizeDelayedReport
 | AutoSizeDelayedHandle
 | AnchorToNeighbour
 | AnchorParallel
 | AnchorHorizontalCenterTo
 | AnchorVerticalCenterTo
 | AnchorToCompanion
 | AnchorSame
 | AnchorAsAlign
 | AnchorClient
 | AnchoredControlCount
 | SetBounds
 | SetInitialBounds
 | SetBoundsKeepBase
 | GetPreferredSize
 | GetCanvasScaleFactor
 | GetDefaultWidth
 | GetDefaultHeight
 | GetDefaultColor
 | GetColorResolvingParent
 | GetRGBColorResolvingParent
 | GetSidePosition
 | CNPreferredSizeChanged
 | InvalidatePreferredSize
 | GetAnchorsDependingOnParent
 | DisableAutoSizing
 | EnableAutoSizing
 | UpdateBaseBounds
 | WriteLayoutDebugReport
 | AutoAdjustLayout
 | ShouldAutoAdjust
 | FixDesignFontsPPI
 | ScaleFontsPPI
 | Create
 | Destroy
 | BeforeDestruction
 | EditingDone
 | ExecuteDefaultAction
 | ExecuteCancelAction
 | BeginDrag
 | EndDrag
 | BringToFront
 | HasParent
 | GetParentComponent
 | IsParentOf
 | GetTopParent
 | IsVisible
 | IsControlVisible
 | IsEnabled
 | IsParentColor
 | IsParentFont
 | FormIsUpdating
 | IsProcessingPaintMsg
 | Hide
 | Refresh
 | Repaint
 | Invalidate
 | CheckChildClassAllowed
 | CheckNewParent
 | SendToBack
 | SetTempCursor
 | UpdateRolesForForm
 | ActiveDefaultControlChanged
 | GetTextBuf
 | GetTextLen
 | SetTextBuf
 | Perform
 | ScreenToClient
 | ClientToScreen
 | ScreenToControl
 | ControlToScreen
 | ClientToParent
 | ParentToClient
 | GetChildrenRect
 | Show
 | Update
 | HandleObjectShouldBeVisible
 | ParentDestroyingHandle
 | ParentHandlesAllocated
 | InitiateAction
 | ShowHelp
 | HasHelp
 | RemoveAllHandlersOfObject
 | AddHandlerOnResize
 | RemoveHandlerOnResize
 | AddHandlerOnChangeBounds
 | RemoveHandlerOnChangeBounds
 | AddHandlerOnVisibleChanging
 | RemoveHandlerOnVisibleChanging
 | AddHandlerOnVisibleChanged
 | RemoveHandlerOnVisibleChanged
 | AddHandlerOnEnabledChanged
 | RemoveHandlerOnEnableChanging
 | AddHandlerOnKeyDown
 | RemoveHandlerOnKeyDown
 | AddHandlerOnBeforeDestruction
 | RemoveHandlerOnBeforeDestruction
 | AddHandlerOnMouseWheel
 | RemoveHandlerOnMouseWheel
 | UseRightToLeftAlignment
 | UseRightToLeftReading
 | UseRightToLeftScrollBar
 | IsRightToLeft
TLCLComponent
pt | WSRegisterClass
pt | GetWSComponentClass
 | Create
 | Destroy
 | NewInstance
 | RemoveAllHandlersOfObject
 | IncLCLRefCount
 | DecLCLRefCount
TComponent
 | GetComObject
 | GetComponent
 | GetComponentCount
 | GetComponentIndex
 | Insert
 | ReadLeft
 | ReadTop
 | Remove
 | RemoveNotification
 | SetComponentIndex
 | SetReference
 | WriteLeft
 | WriteTop
 | ChangeName
 | DefineProperties
 | GetChildren
 | GetChildOwner
 | GetChildParent
 | GetOwner
 | Loaded
 | Loading
 | Notification
 | PaletteCreated
 | ReadState
 | SetAncestor
 | SetDesigning
 | SetDesignInstance
 | SetInline
 | SetName
 | SetChildOrder
 | SetParentComponent
 | Updating
 | Updated
 | UpdateRegistry
 | ValidateRename
 | ValidateContainer
 | ValidateInsert
 | QueryInterface
 | _AddRef
 | _Release
 | iicrGetComponent
 | GetTypeInfoCount
 | GetTypeInfo
 | GetIDsOfNames
 | Invoke
 | WriteState
 | Create
 | Destroy
 | BeforeDestruction
 | DestroyComponents
 | Destroying
 | ExecuteAction
 | FindComponent
 | FreeNotification
 | RemoveFreeNotification
 | FreeOnRelease
 | GetEnumerator
 | GetNamePath
 | GetParentComponent
 | HasParent
 | InsertComponent
 | RemoveComponent
 | SafeCallException
 | SetSubComponent
 | UpdateAction
 | IsImplementorOf
 | ReferenceInterface
TPersistent
 | AssignError
 | AssignTo
 | DefineProperties
 | GetOwner
 | Destroy
 | Assign
 | FPOAttachObserver
 | FPODetachObserver
 | FPONotifyObservers
 | GetNamePath
TObject
 | Create
 | Destroy
 | newinstance
 | FreeInstance
 | SafeCallException
 | DefaultHandler
 | Free
 | InitInstance
 | CleanupInstance
 | ClassType
 | ClassInfo
 | ClassName
 | ClassNameIs
 | ClassParent
 | InstanceSize
 | InheritsFrom
 | StringMessageTable
 | MethodAddress
 | MethodName
 | FieldAddress
 | AfterConstruction
 | BeforeDestruction
 | DefaultHandlerStr
 | Dispatch
 | DispatchStr
 | GetInterface
 | GetInterfaceByStr
 | GetInterfaceWeak
 | GetInterfaceEntry
 | GetInterfaceEntryByStr
 | GetInterfaceTable
 | UnitName
 | Equals
 | GetHashCode
 | ToString


pt | ActionChange (TControl)
 | ActiveDefaultControlChanged (TControl)
pt | AddAutomaticColumns (TCustomDBGrid)
 | AddControl (TWinControl)
pt | AddHandler (TControl)
 | AddHandlerOnBeforeDestruction (TControl)
 | AddHandlerOnChangeBounds (TControl)
 | AddHandlerOnEnabledChanged (TControl)
 | AddHandlerOnKeyDown (TControl)
 | AddHandlerOnMouseWheel (TControl)
 | AddHandlerOnResize (TControl)
 | AddHandlerOnVisibleChanged (TControl)
 | AddHandlerOnVisibleChanging (TControl)
pt | AddSelectedRange (TCustomGrid)
pt | AdjustClientRect (TWinControl)
pt | AdjustClientRect (TCustomGrid)
pt | AdjustEditorBounds (TCustomGrid)
 | AdjustInnerCellRect (TCustomGrid)
 | AdjustSize (TControl)
 | AfterConstruction (TObject)
pt | AfterMoveSelection (TCustomGrid)
pt | AlignControls (TWinControl)
pt | AllAutoSized (TWinControl)
 | AnchorAsAlign (TControl)
 | AnchorClient (TControl)
 | AnchoredControlCount (TControl)
 | AnchorHorizontalCenterTo (TControl)
 | AnchorParallel (TControl)
 | AnchorSame (TControl)
pt | AnchorSideChanged (TControl)
 | AnchorToCompanion (TControl)
 | AnchorToNeighbour (TControl)
 | AnchorVerticalCenterTo (TControl)
 | Assign (TPersistent)
 | AssignError (TPersistent)
 | AssignTo (TPersistent)
pt | AssignTo (TControl)
pt | AssignTo (TCustomGrid)
pt | AssignTo (TCustomDBGrid)
pt | AutoAdjustColumn (TCustomGrid)
pt | AutoAdjustColumn (TCustomDBGrid)
 | AutoAdjustColumns (TCustomGrid)
 | AutoAdjustColumns (TCustomDBGrid)
 | AutoAdjustLayout (TControl)
 | AutoAdjustLayout (TWinControl)
 | AutoSizeDelayed (TControl)
 | AutoSizeDelayed (TWinControl)
 | AutoSizeDelayedHandle (TControl)
 | AutoSizeDelayedHandle (TWinControl)
 | AutoSizeDelayedReport (TControl)
 | AutoSizeDelayedReport (TWinControl)
 | AutoSizePhases (TControl)
 | AutoSizePhases (TWinControl)
 | BeforeDestruction (TObject)
 | BeforeDestruction (TComponent)
 | BeforeDestruction (TControl)
pt | BeforeDragStart (TControl)
pt | BeforeMoveSelection (TCustomGrid)
pt | BeforeMoveSelection (TCustomDBGrid)
pt | BeginAutoDrag (TControl)
pt | BeginAutoDrag (TCustomGrid)
pt | BeginAutoSizing (TControl)
 | BeginDrag (TControl)
pt | BeginLayout (TCustomDBGrid)
 | BeginUpdate (TCustomGrid)
 | BeginUpdateBounds (TWinControl)
pt | BoundsChanged (TControl)
pt | BoxRect (TCustomGrid)
 | BringToFront (TControl)
 | BroadCast (TWinControl)
 | BrushCreated (TWinControl)
pt | CacheMouseDown (TCustomGrid)
pt | CalcAutoSizeColumn (TCustomGrid)
pt | CalcCellExtent (TCustomGrid)
pt | CalcFocusRect (TCustomGrid)
pt | CalcMaxTopLeft (TCustomGrid)
pt | CalcScrollbarsRange (TCustomGrid)
pt | CalculateDockSizes (TControl)
pt | CalculatePreferredSize (TControl)
pt | CalculatePreferredSize (TWinControl)
pt | CalculatePreferredSize (TCustomGrid)
pt | CanAutoSize (TControl)
pt | CanEditShow (TCustomGrid)
 | CanFocus (TWinControl)
pt | CanGridAcceptKey (TCustomGrid)
 | CanSetFocus (TWinControl)
pt | CanTab (TControl)
pt | CanTab (TWinControl)
pt | CaptureChanged (TControl)
pt | CellClick (TCustomGrid)
pt | CellClick (TCustomDBGrid)
pt | CellExtent (TCustomGrid)
 | CellRect (TCustomGrid)
 | CellToGridZone (TCustomGrid)
pt | ChangeBounds (TControl)
pt | Changed (TControl)
 | ChangeName (TComponent)
pt | ChangeScale (TControl)
pt | ChangeScale (TWinControl)
 | CheckChildClassAllowed (TControl)
pt | CheckDisplayMemo (TCustomDBGrid)
pt | CheckLimits (TCustomGrid)
pt | CheckLimitsWithError (TCustomGrid)
pt | CheckNewCachedSizes (TCustomGrid)
 | CheckNewParent (TControl)
pt | CheckOnChangeBounds (TControl)
 | CheckPosition (TCustomGrid)
pt | ChildClassAllowed (TControl)
pt | ChildClassAllowed (TWinControl)
pt | ChildHandlesCreated (TWinControl)
pt | ChildKey (TWinControl)
 | ClassInfo (TObject)
 | ClassName (TObject)
 | ClassNameIs (TObject)
 | ClassParent (TObject)
 | ClassType (TObject)
 | CleanupInstance (TObject)
 | Clear (TCustomGrid)
 | ClearCols (TCustomGrid)
 | ClearRows (TCustomGrid)
 | ClearSelections (TCustomGrid)
pt | Click (TControl)
pt | Click (TCustomGrid)
 | ClientRectNeedsInterfaceUpdate (TWinControl)
 | ClientToParent (TControl)
 | ClientToScreen (TControl)
pt | CMBiDiModeChanged (TControl)
pt | CMBiDiModeChanged (TWinControl)
pt | CMBiDiModeChanged (TCustomGrid)
pt | CMBorderChanged (TWinControl)
pt | CMChanged (TControl)
pt | CMCursorChanged (TControl)
pt | CMDoubleBufferedChanged (TWinControl)
pt | CMEnabledChanged (TControl)
pt | CMEnabledChanged (TWinControl)
pt | CMEnter (TWinControl)
pt | CMExit (TWinControl)
pt | CMHintShow (TControl)
pt | CMHitTest (TControl)
pt | CMMouseEnter (TControl)
pt | CMMouseEnter (TCustomGrid)
pt | CMMouseLeave (TControl)
pt | CMMouseLeave (TCustomGrid)
pt | CMParentBiDiModeChanged (TControl)
pt | CMParentColorChanged (TControl)
pt | CMParentDoubleBufferedChanged (TWinControl)
pt | CMParentFontChanged (TControl)
pt | CMParentShowHintChanged (TControl)
pt | CMShowHintChanged (TWinControl)
pt | CMShowingChanged (TWinControl)
pt | CMSysFontChanged (TControl)
pt | CMTextChanged (TControl)
pt | CMVisibleChanged (TControl)
pt | CMVisibleChanged (TWinControl)
pt | CNChar (TWinControl)
pt | CNKeyDown (TWinControl)
pt | CNKeyUp (TWinControl)
 | CNPreferredSizeChanged (TControl)
pt | CNSysKeyDown (TWinControl)
pt | CNSysKeyUp (TWinControl)
pt | ColorIsStored (TControl)
pt | ColRowDeleted (TCustomGrid)
pt | ColRowExchanged (TCustomGrid)
pt | ColRowInserted (TCustomGrid)
pt | ColRowMoved (TCustomGrid)
pt | ColRowMoved (TCustomDBGrid)
pt | ColRowToOffset (TCustomGrid)
pt | ColumnEditorStyle (TCustomDBGrid)
pt | ColumnFromGridColumn (TCustomGrid)
pt | ColumnIndexFromGridColumn (TCustomGrid)
pt | ColumnsChanged (TCustomGrid)
pt | ColWidthsChanged (TCustomGrid)
pt | ConstrainedResize (TControl)
 | ContainsControl (TWinControl)
 | ControlAtPos (TWinControl)
pt | ControlKeyDown (TWinControl)
pt | ControlKeyUp (TWinControl)
pt | ControlsAligned (TWinControl)
 | ControlToScreen (TControl)
 | Create (TObject)
 | Create (TComponent)
 | Create (TLCLComponent)
 | Create (TControl)
 | Create (TWinControl)
 | Create (TCustomControl)
 | Create (TCustomGrid)
 | Create (TCustomDBGrid)
 | CreateAccessibleObject (TControl)
pt | CreateBrush (TWinControl)
pt | CreateColumns (TCustomGrid)
pt | CreateColumns (TCustomDBGrid)
pt | CreateControlBorderSpacing (TControl)
pt | CreateDockManager (TWinControl)
pt | CreateFloatingDockSite (TControl)
pt | CreateHandle (TWinControl)
pt | CreateParams (TWinControl)
pt | CreateParams (TCustomGrid)
 | CreateParented (TWinControl)
 | CreateParentedControl (TWinControl)
pt | CreateSubClass (TWinControl)
pt | CreateWnd (TWinControl)
pt | CreateWnd (TCustomGrid)
pt | CreateWnd (TCustomDBGrid)
pt | CustomAlignInsertBefore (TWinControl)
pt | CustomAlignPosition (TWinControl)
pt | DblClick (TControl)
pt | DblClick (TCustomGrid)
 | DecLCLRefCount (TLCLComponent)
pt | DefaultColWidthIsStored (TCustomGrid)
pt | DefaultDrawCell (TCustomDBGrid)
 | DefaultDrawColumnCell (TCustomDBGrid)
pt | DefaultEditorStyle (TCustomDBGrid)
 | DefaultHandler (TObject)
 | DefaultHandler (TWinControl)
 | DefaultHandlerStr (TObject)
pt | DefaultRowHeightIsStored (TCustomGrid)
 | DefineProperties (TPersistent)
 | DefineProperties (TComponent)
pt | DefineProperties (TControl)
pt | DefineProperties (TCustomGrid)
pt | DefineProperties (TCustomDBGrid)
 | Destroy (TObject)
 | Destroy (TPersistent)
 | Destroy (TComponent)
 | Destroy (TLCLComponent)
 | Destroy (TControl)
 | Destroy (TWinControl)
 | Destroy (TCustomControl)
 | Destroy (TCustomGrid)
 | Destroy (TCustomDBGrid)
 | DestroyComponents (TComponent)
pt | DestroyHandle (TWinControl)
pt | DestroyHandle (TCustomGrid)
 | Destroying (TComponent)
pt | DestroyWnd (TWinControl)
pt | DestroyWnd (TCustomControl)
pt | DialogChar (TControl)
pt | DialogChar (TWinControl)
pt | DialogChar (TCustomGrid)
 | DisableAlign (TWinControl)
 | DisableAutoSizing (TControl)
 | Dispatch (TObject)
 | DispatchStr (TObject)
pt | DoAddDockClient (TWinControl)
 | DoAdjustClientRectChange (TWinControl)
pt | DoAlignChildControls (TWinControl)
pt | DoAllAutoSize (TControl)
pt | DoAllAutoSize (TWinControl)
pt | DoAutoAdjustLayout (TControl)
pt | DoAutoAdjustLayout (TCustomGrid)
pt | DoAutoSize (TControl)
pt | DoAutoSize (TWinControl)
pt | DoBorderSpacingChange (TControl)
pt | DoCallKeyEventHandler (TControl)
pt | DoCallMouseWheelEventHandler (TControl)
pt | DoCallNotifyHandler (TControl)
pt | DoChildSizingChange (TWinControl)
 | Dock (TControl)
 | DockDrop (TWinControl)
 | Docked (TControl)
pt | DockOver (TWinControl)
pt | DockTrackNoTarget (TControl)
pt | DoCompareCells (TCustomGrid)
pt | DoConstraintsChange (TControl)
pt | DoConstraintsChange (TWinControl)
pt | DoContextPopup (TControl)
pt | DoCopyToClipboard (TCustomGrid)
pt | DoCopyToClipboard (TCustomDBGrid)
pt | DoCutToClipboard (TCustomGrid)
pt | DoDock (TControl)
pt | DoDockClientMsg (TWinControl)
pt | DoDockOver (TWinControl)
pt | DoDragMsg (TControl)
pt | DoDragMsg (TWinControl)
pt | DoEditButtonClick (TCustomGrid)
pt | DoEditorHide (TCustomGrid)
pt | DoEditorShow (TCustomGrid)
pt | DoEndDock (TControl)
pt | DoEndDrag (TControl)
pt | DoEnter (TWinControl)
pt | DoEnter (TCustomGrid)
pt | DoExit (TWinControl)
pt | DoExit (TCustomGrid)
pt | DoExit (TCustomDBGrid)
pt | DoFixDesignFontPPI (TControl)
pt | DoFlipChildren (TWinControl)
pt | DoFloatMsg (TControl)
pt | DoFloatMsg (TWinControl)
pt | DoGetDockCaption (TWinControl)
pt | DoKeyDownBeforeInterface (TWinControl)
pt | DoKeyPress (TWinControl)
pt | DoKeyUpBeforeInterface (TWinControl)
pt | DoLoadColumn (TCustomGrid)
pt | DoLoadColumn (TCustomDBGrid)
pt | DoMouseWheel (TControl)
pt | DoMouseWheel (TCustomGrid)
pt | DoMouseWheelDown (TControl)
pt | DoMouseWheelDown (TCustomGrid)
pt | DoMouseWheelDown (TCustomDBGrid)
pt | DoMouseWheelHorz (TControl)
pt | DoMouseWheelLeft (TControl)
pt | DoMouseWheelLeft (TCustomGrid)
pt | DoMouseWheelRight (TControl)
pt | DoMouseWheelRight (TCustomGrid)
pt | DoMouseWheelUp (TControl)
pt | DoMouseWheelUp (TCustomGrid)
pt | DoMouseWheelUp (TCustomDBGrid)
pt | DoOnChangeBounds (TControl)
pt | DoOnChangeBounds (TCustomGrid)
pt | DoOnChangeBounds (TCustomDBGrid)
pt | DoOnParentHandleDestruction (TControl)
pt | DoOnResize (TControl)
pt | DoOnShowHint (TControl)
pt | DoOPDeleteColRow (TCustomGrid)
pt | DoOPExchangeColRow (TCustomGrid)
pt | DoOPInsertColRow (TCustomGrid)
pt | DoOPMoveColRow (TCustomGrid)
pt | DoPasteFromClipboard (TCustomGrid)
pt | DoPrepareCanvas (TCustomGrid)
pt | DoPrepareCanvas (TCustomDBGrid)
pt | DoRemainingKeyDown (TWinControl)
pt | DoRemainingKeyUp (TWinControl)
pt | DoRemoveDockClient (TWinControl)
pt | DoSaveColumn (TCustomGrid)
pt | DoSaveColumn (TCustomDBGrid)
pt | DoScaleFontPPI (TControl)
pt | DoSendBoundsToInterface (TWinControl)
pt | DoSendShowHideToInterface (TWinControl)
pt | DoSetBounds (TControl)
pt | DoSetBounds (TWinControl)
pt | DoSetBounds (TCustomGrid)
pt | DoStartDock (TControl)
pt | DoStartDrag (TControl)
pt | DoUnDock (TWinControl)
pt | DoUndockClientMsg (TWinControl)
pt | DoUTF8KeyPress (TWinControl)
pt | DoUTF8KeyPress (TCustomGrid)
pt | DragCanceled (TControl)
 | DragDrop (TControl)
 | Dragging (TControl)
pt | DragOver (TControl)
pt | DrawAllRows (TCustomGrid)
pt | DrawAllRows (TCustomDBGrid)
pt | DrawBorder (TCustomGrid)
pt | DrawButtonCell (TCustomGrid)
pt | DrawCell (TCustomGrid)
pt | DrawCell (TCustomDBGrid)
pt | DrawCellBackground (TCustomDBGrid)
pt | DrawCellGrid (TCustomGrid)
pt | DrawCellText (TCustomGrid)
pt | DrawCheckboxBitmaps (TCustomDBGrid)
pt | DrawColRowMoving (TCustomGrid)
pt | DrawColumnText (TCustomGrid)
pt | DrawColumnText (TCustomDBGrid)
pt | DrawColumnTitleImage (TCustomGrid)
pt | DrawEdges (TCustomGrid)
pt | DrawFillRect (TCustomGrid)
pt | DrawFixedText (TCustomDBGrid)
pt | DrawFocusRect (TCustomGrid)
pt | DrawFocusRect (TCustomDBGrid)
pt | DrawGridCheckboxBitmaps (TCustomGrid)
pt | DrawIndicator (TCustomDBGrid)
pt | DrawRow (TCustomGrid)
pt | DrawRow (TCustomDBGrid)
pt | DrawTextInCell (TCustomGrid)
pt | DrawThemedCell (TCustomGrid)
pt | EditButtonClicked (TCustomGrid)
pt | EditingAllowed (TCustomGrid)
pt | EditingColumn (TCustomDBGrid)
 | EditingDone (TControl)
 | EditingDone (TCustomGrid)
 | EditorByStyle (TCustomGrid)
 | EditorByStyle (TCustomDBGrid)
pt | EditorCanAcceptKey (TCustomGrid)
pt | EditorCanAcceptKey (TCustomDBGrid)
pt | EditorCancelEditing (TCustomDBGrid)
pt | EditordoGetValue (TCustomGrid)
pt | EditorDoGetValue (TCustomDBGrid)
pt | EditordoResetValue (TCustomGrid)
pt | EditordoSetValue (TCustomGrid)
pt | EditorHide (TCustomGrid)
pt | EditorIsReadOnly (TCustomGrid)
pt | EditorIsReadOnly (TCustomDBGrid)
 | EditorKeyDown (TCustomGrid)
 | EditorKeyPress (TCustomGrid)
 | EditorKeyUp (TCustomGrid)
pt | EditorLocked (TCustomGrid)
pt | EditorSelectAll (TCustomGrid)
pt | EditorShow (TCustomGrid)
pt | EditorShowInCell (TCustomGrid)
 | EditorTextChanged (TCustomGrid)
pt | EditorTextChanged (TCustomDBGrid)
pt | EditorWidthChanged (TCustomGrid)
 | EnableAlign (TWinControl)
 | EnableAutoSizing (TControl)
pt | EnabledChanged (TControl)
pt | EnabledChanging (TControl)
pt | EndAutoSizing (TControl)
 | EndDrag (TControl)
pt | EndLayout (TCustomDBGrid)
 | EndUpdate (TCustomGrid)
 | EndUpdateBounds (TWinControl)
 | Equals (TObject)
 | EraseBackground (TWinControl)
 | EraseBackground (TCustomGrid)
 | ExecuteAction (TComponent)
 | ExecuteAction (TCustomDBGrid)
 | ExecuteCancelAction (TControl)
 | ExecuteDefaultAction (TControl)
 | FieldAddress (TObject)
pt | FieldIndexFromGridColumn (TCustomDBGrid)
pt | FinalizeWnd (TWinControl)
 | FindChildControl (TWinControl)
 | FindComponent (TComponent)
pt | FindNextControl (TWinControl)
pt | FirstGridColumn (TCustomGrid)
pt | FirstGridColumn (TCustomDBGrid)
 | FixDesignFontsPPI (TControl)
pt | FixedGrid (TCustomGrid)
pt | FixupTabList (TWinControl)
 | FlipChildren (TWinControl)
pt | FlipPoint (TCustomGrid)
pt | FlipRect (TCustomGrid)
pt | FlipX (TCustomGrid)
 | Focused (TWinControl)
 | Focused (TCustomGrid)
pt | FontChanged (TControl)
pt | FontChanged (TWinControl)
pt | FontChanged (TCustomControl)
pt | FontChanged (TCustomGrid)
pt | ForeignAnchorSideChanged (TControl)
pt | FormEndUpdated (TControl)
pt | FormEndUpdated (TWinControl)
 | FormIsUpdating (TControl)
 | FPOAttachObserver (TPersistent)
 | FPODetachObserver (TPersistent)
 | FPONotifyObservers (TPersistent)
 | Free (TObject)
 | FreeInstance (TObject)
 | FreeNotification (TComponent)
 | FreeOnRelease (TComponent)
 | GetAccessibleObject (TControl)
pt | GetAction (TControl)
pt | GetActionLinkClass (TControl)
pt | GetAdjustedLogicalClientRect (TWinControl)
 | GetAnchorsDependingOnParent (TControl)
pt | GetAutoFillColumnInfo (TCustomGrid)
pt | GetBorderStyle (TWinControl)
pt | GetBufferCount (TCustomDBGrid)
pt | GetCachedText (TControl)
 | GetCanvasScaleFactor (TControl)
pt | GetCellHintText (TCustomGrid)
pt | GetCellHintText (TCustomDBGrid)
pt | GetCells (TCustomGrid)
 | GetChildAccessibleObjectAtPos (TControl)
 | GetChildOwner (TComponent)
 | GetChildParent (TComponent)
 | GetChildren (TComponent)
pt | GetChildren (TWinControl)
 | GetChildrenRect (TControl)
 | GetChildrenRect (TWinControl)
pt | GetClientOrigin (TControl)
pt | GetClientOrigin (TWinControl)
pt | GetClientRect (TControl)
pt | GetClientRect (TWinControl)
pt | GetClientScrollOffset (TControl)
 | GetColorResolvingParent (TControl)
pt | GetColumnAlignment (TCustomGrid)
pt | GetColumnColor (TCustomGrid)
pt | GetColumnFont (TCustomGrid)
pt | GetColumnLayout (TCustomGrid)
pt | GetColumnReadonly (TCustomGrid)
pt | GetColumnTitle (TCustomGrid)
pt | GetColumnWidth (TCustomGrid)
 | GetComObject (TComponent)
 | GetComponent (TComponent)
 | GetComponentCount (TComponent)
 | GetComponentIndex (TComponent)
pt | GetControlClassDefaultSize (TControl)
 | GetControlIndex (TWinControl)
pt | GetControlOrigin (TControl)
pt | GetControlOrigin (TWinControl)
pt | GetCursor (TControl)
 | GetDefaultColor (TControl)
pt | GetDefaultColumnAlignment (TCustomGrid)
pt | GetDefaultColumnAlignment (TCustomDBGrid)
pt | GetDefaultColumnLayout (TCustomGrid)
pt | GetDefaultColumnReadOnly (TCustomGrid)
pt | GetDefaultColumnReadOnly (TCustomDBGrid)
pt | GetDefaultColumnTitle (TCustomGrid)
pt | GetDefaultColumnTitle (TCustomDBGrid)
pt | GetDefaultColumnWidth (TCustomGrid)
pt | GetDefaultColumnWidth (TCustomDBGrid)
pt | GetDefaultDockCaption (TControl)
pt | GetDefaultEditor (TCustomGrid)
 | GetDefaultHeight (TControl)
pt | GetDefaultRowHeight (TCustomGrid)
pt | GetDefaultRowHeight (TCustomDBGrid)
 | GetDefaultWidth (TControl)
pt | GetDeltaMoveNext (TCustomGrid)
pt | GetDeviceContext (TControl)
pt | GetDeviceContext (TWinControl)
 | GetDockCaption (TWinControl)
pt | GetDockEdge (TControl)
pt | GetDragImages (TControl)
pt | GetDsFieldFromGridColumn (TCustomDBGrid)
pt | GetEditMask (TCustomGrid)
pt | GetEditMask (TCustomDBGrid)
pt | GetEditText (TCustomGrid)
pt | GetEditText (TCustomDBGrid)
pt | GetEnabled (TControl)
 | GetEnumerator (TComponent)
 | GetEnumeratorControls (TWinControl)
 | GetEnumeratorControlsReverse (TWinControl)
pt | GetFieldFromGridColumn (TCustomDBGrid)
pt | GetFirstVisibleColumn (TCustomGrid)
pt | GetFirstVisibleRow (TCustomGrid)
pt | GetFixedcolor (TCustomGrid)
pt | GetFloating (TControl)
pt | GetFloatingDockSiteClass (TControl)
pt | GetGridColumnFromField (TCustomDBGrid)
pt | GetGridDrawState (TCustomGrid)
 | GetHashCode (TObject)
 | GetIDsOfNames (TComponent)
pt | GetImageForCheckBox (TCustomGrid)
pt | GetImageForCheckBox (TCustomDBGrid)
 | GetInterface (TObject)
 | GetInterfaceByStr (TObject)
 | GetInterfaceEntry (TObject)
 | GetInterfaceEntryByStr (TObject)
 | GetInterfaceTable (TObject)
 | GetInterfaceWeak (TObject)
pt | GetIsCellSelected (TCustomGrid)
pt | GetIsCellSelected (TCustomDBGrid)
pt | GetIsCellTitle (TCustomGrid)
pt | GetIsCellTitle (TCustomDBGrid)
pt | GetLastVisibleColumn (TCustomGrid)
pt | GetLastVisibleRow (TCustomGrid)
pt | GetLogicalClientRect (TControl)
pt | GetMouseCapture (TControl)
pt | GetMouseCapture (TWinControl)
pt | GetMousePosFromMessage (TControl)
 | GetNamePath (TPersistent)
 | GetNamePath (TComponent)
 | GetOwner (TPersistent)
 | GetOwner (TComponent)
pt | GetPalette (TControl)
pt | GetParentBackground (TWinControl)
 | GetParentComponent (TComponent)
 | GetParentComponent (TControl)
pt | GetParentHandle (TWinControl)
pt | GetPopupMenu (TControl)
 | GetPreferredSize (TControl)
pt | GetPreferredSizeClientFrame (TWinControl)
pt | GetPxTopLeft (TCustomGrid)
 | GetRGBColorResolvingParent (TControl)
pt | GetSBRanges (TCustomGrid)
pt | GetSBRanges (TCustomDBGrid)
pt | GetSBVisibility (TCustomGrid)
pt | GetSBVisibility (TCustomDBGrid)
pt | GetScrollBarPosition (TCustomGrid)
pt | GetScrolledClientRect (TControl)
 | GetSelectedChildAccessibleObject (TControl)
pt | GetSelectedColor (TCustomGrid)
pt | GetSelectedState (TCustomGrid)
pt | GetSelectedState (TCustomDBGrid)
 | GetSidePosition (TControl)
pt | GetSiteInfo (TWinControl)
pt | GetSmoothScroll (TCustomGrid)
pt | GetSmoothScroll (TCustomDBGrid)
 | GetTabOrderList (TWinControl)
 | GetTextBuf (TControl)
 | GetTextLen (TControl)
 | GetTextLen (TWinControl)
pt | GetTitleShowPrefix (TCustomGrid)
 | GetTopParent (TControl)
pt | GetTopParentHandle (TWinControl)
pt | GetTruncCellHintText (TCustomGrid)
pt | GetTruncCellHintText (TCustomDBGrid)
 | GetTypeInfo (TComponent)
 | GetTypeInfoCount (TComponent)
pt | GetWSComponentClass (TLCLComponent)
pt | GridCanModify (TCustomDBGrid)
pt | GridColumnFromColumnIndex (TCustomGrid)
pt | GridMouseWheel (TCustomGrid)
 | HandleAllocated (TWinControl)
 | HandleNeeded (TWinControl)
 | HandleObjectShouldBeVisible (TControl)
 | HasHelp (TControl)
 | HasMultiSelection (TCustomGrid)
 | HasParent (TComponent)
 | HasParent (TControl)
pt | HeaderClick (TCustomGrid)
pt | HeaderClick (TCustomDBGrid)
pt | HeaderSized (TCustomGrid)
pt | HeaderSized (TCustomDBGrid)
pt | HeaderSizing (TCustomGrid)
pt | HeightIsAnchored (TControl)
 | Hide (TControl)
pt | HideCellHintWindow (TCustomGrid)
 | iicrGetComponent (TComponent)
 | IncLCLRefCount (TLCLComponent)
 | InheritsFrom (TObject)
pt | InitializeWnd (TWinControl)
 | InitiateAction (TControl)
 | InitiateAction (TCustomDBGrid)
 | InitInstance (TObject)
 | Insert (TComponent)
 | InsertComponent (TComponent)
 | InsertControl (TWinControl)
 | InstanceSize (TObject)
pt | InternalSetColCount (TCustomGrid)
 | IntfGetDropFilesTarget (TWinControl)
 | IntfUTF8KeyPress (TWinControl)
 | Invalidate (TControl)
 | Invalidate (TWinControl)
 | Invalidate (TCustomGrid)
pt | InvalidateBoundsRealized (TWinControl)
pt | InvalidateCell (TCustomGrid)
 | InvalidateClientRectCache (TWinControl)
 | InvalidateCol (TCustomGrid)
pt | InvalidateControl (TControl)
pt | InvalidateFocused (TCustomGrid)
pt | InvalidateFromCol (TCustomGrid)
pt | InvalidateGrid (TCustomGrid)
pt | InvalidatePreferredChildSizes (TWinControl)
 | InvalidatePreferredSize (TControl)
 | InvalidateRange (TCustomGrid)
 | InvalidateRow (TCustomGrid)
pt | InvalidateSizes (TCustomDBGrid)
 | Invoke (TComponent)
pt | IsAParentAligning (TControl)
pt | IsBorderSpacingInnerBorderStored (TControl)
pt | IsCaptionStored (TControl)
 | IsCellVisible (TCustomGrid)
pt | IsClientHeightStored (TControl)
pt | IsClientHeightStored (TWinControl)
pt | IsClientWidthStored (TControl)
pt | IsClientWidthStored (TWinControl)
pt | IsColumnVisible (TCustomDBGrid)
pt | IsControlMouseMsg (TWinControl)
 | IsControlVisible (TControl)
pt | IsEmptyRow (TCustomGrid)
 | IsEnabled (TControl)
 | IsFixedCellVisible (TCustomGrid)
 | IsImplementorOf (TComponent)
pt | IsMouseOverCellButton (TCustomGrid)
 | IsParentColor (TControl)
 | IsParentFont (TControl)
 | IsParentOf (TControl)
 | IsProcessingPaintMsg (TControl)
 | IsRightToLeft (TControl)
pt | IsValidChar (TCustomDBGrid)
 | IsVisible (TControl)
pt | KeyDown (TWinControl)
pt | KeyDown (TCustomGrid)
pt | KeyDown (TCustomDBGrid)
pt | KeyDownAfterInterface (TWinControl)
pt | KeyDownBeforeInterface (TWinControl)
pt | KeyPress (TWinControl)
pt | KeyPress (TCustomGrid)
pt | KeyUp (TWinControl)
pt | KeyUp (TCustomGrid)
pt | KeyUpAfterInterface (TWinControl)
pt | KeyUpBeforeInterface (TWinControl)
pt | LayoutChanged (TCustomDBGrid)
pt | LinkActive (TCustomDBGrid)
pt | LMCaptureChanged (TControl)
pt | LoadContent (TCustomGrid)
 | Loaded (TComponent)
pt | Loaded (TControl)
pt | Loaded (TWinControl)
pt | Loaded (TCustomGrid)
pt | Loaded (TCustomDBGrid)
pt | LoadedAll (TControl)
 | LoadFromFile (TCustomGrid)
 | LoadFromFile (TCustomDBGrid)
 | LoadFromStream (TCustomGrid)
 | LoadFromStream (TCustomDBGrid)
pt | LoadGridOptions (TCustomGrid)
pt | LoadGridOptions (TCustomDBGrid)
 | Loading (TComponent)
pt | LockEditor (TCustomGrid)
 | LockRealizeBounds (TWinControl)
pt | MainWndProc (TWinControl)
 | ManualDock (TControl)
 | ManualFloat (TControl)
 | MethodAddress (TObject)
 | MethodName (TObject)
pt | MouseButtonAllowed (TCustomGrid)
pt | MouseButtonAllowed (TCustomDBGrid)
 | MouseCoord (TCustomGrid)
pt | MouseDown (TControl)
pt | MouseDown (TCustomGrid)
pt | MouseDown (TCustomDBGrid)
pt | MouseEnter (TControl)
pt | MouseLeave (TControl)
pt | MouseMove (TControl)
pt | MouseMove (TCustomGrid)
pt | MouseMove (TCustomDBGrid)
 | MouseToCell (TCustomGrid)
 | MouseToGridZone (TCustomGrid)
 | MouseToLogcell (TCustomGrid)
 | MouseToRecordOffset (TCustomDBGrid)
pt | MouseUp (TControl)
pt | MouseUp (TCustomGrid)
pt | MoveExtend (TCustomGrid)
pt | MoveNextAuto (TCustomGrid)
pt | MoveNextSelectable (TCustomGrid)
pt | MoveSelection (TCustomGrid)
pt | MoveSelection (TCustomDBGrid)
 | newinstance (TObject)
 | NewInstance (TLCLComponent)
 | Notification (TComponent)
pt | Notification (TControl)
 | NotifyControls (TWinControl)
pt | OffsetToColRow (TCustomGrid)
pt | Paint (TCustomControl)
pt | Paint (TCustomGrid)
pt | PaintControls (TWinControl)
pt | PaintHandler (TWinControl)
 | PaintTo (TWinControl)
pt | PaintWindow (TWinControl)
pt | PaintWindow (TCustomControl)
 | PaletteCreated (TComponent)
 | ParentDestroyingHandle (TControl)
pt | ParentFontChanged (TControl)
pt | ParentFormHandleInitialized (TControl)
pt | ParentFormHandleInitialized (TWinControl)
 | ParentHandlesAllocated (TControl)
 | ParentHandlesAllocated (TWinControl)
 | ParentToClient (TControl)
 | Perform (TControl)
 | PerformTab (TWinControl)
pt | PickListItemSelected (TCustomGrid)
pt | PositionDockRect (TControl)
pt | PrepareCanvas (TCustomGrid)
pt | PrepareCanvas (TCustomDBGrid)
pt | PrepareCellHints (TCustomGrid)
pt | PrepareCellHints (TCustomDBGrid)
pt | QuadClick (TControl)
 | QueryInterface (TComponent)
 | ReadLeft (TComponent)
 | ReadState (TComponent)
pt | ReadState (TControl)
 | ReadTop (TComponent)
pt | RealGetText (TControl)
pt | RealGetText (TWinControl)
 | ReAlign (TWinControl)
pt | RealizeBounds (TWinControl)
pt | RealizeBoundsRecursive (TWinControl)
pt | RealSetText (TControl)
pt | RealSetText (TWinControl)
 | ReferenceInterface (TComponent)
 | Refresh (TControl)
pt | ReloadDockedControl (TWinControl)
 | Remove (TComponent)
 | RemoveAllHandlersOfObject (TLCLComponent)
 | RemoveAllHandlersOfObject (TControl)
pt | RemoveAutomaticColumns (TCustomDBGrid)
 | RemoveComponent (TComponent)
 | RemoveControl (TWinControl)
pt | RemoveFocus (TWinControl)
 | RemoveFreeNotification (TComponent)
pt | RemoveHandler (TControl)
 | RemoveHandlerOnBeforeDestruction (TControl)
 | RemoveHandlerOnChangeBounds (TControl)
 | RemoveHandlerOnEnableChanging (TControl)
 | RemoveHandlerOnKeyDown (TControl)
 | RemoveHandlerOnMouseWheel (TControl)
 | RemoveHandlerOnResize (TControl)
 | RemoveHandlerOnVisibleChanged (TControl)
 | RemoveHandlerOnVisibleChanging (TControl)
 | RemoveNotification (TComponent)
 | Repaint (TControl)
 | Repaint (TWinControl)
 | ReplaceDockedControl (TControl)
pt | RequestAlign (TControl)
 | ResetColWidths (TCustomDBGrid)
pt | ResetDefaultColWidths (TCustomGrid)
pt | ResetEditor (TCustomGrid)
pt | ResetLastMove (TCustomGrid)
pt | ResetOffset (TCustomGrid)
pt | ResetSizes (TCustomGrid)
pt | ResetSizes (TCustomDBGrid)
pt | Resize (TControl)
pt | ResizeColumn (TCustomGrid)
pt | ResizeRow (TCustomGrid)
pt | RowHeightsChanged (TCustomGrid)
pt | RTLSign (TCustomGrid)
 | SafeCallException (TObject)
 | SafeCallException (TComponent)
pt | SaveContent (TCustomGrid)
pt | SaveGridOptions (TCustomGrid)
pt | SaveGridOptions (TCustomDBGrid)
 | SaveToFile (TCustomGrid)
 | SaveToFile (TCustomDBGrid)
 | SaveToStream (TCustomGrid)
 | SaveToStream (TCustomDBGrid)
 | Scale96ToFont (TControl)
 | Scale96ToForm (TControl)
 | Scale96ToScreen (TControl)
 | ScaleBy (TWinControl)
pt | ScaleConstraints (TControl)
pt | ScaleControls (TWinControl)
 | ScaleDesignToForm (TControl)
 | ScaleFontsPPI (TControl)
 | ScaleFontTo96 (TControl)
 | ScaleFontToScreen (TControl)
 | ScaleFormTo96 (TControl)
 | ScaleFormToDesign (TControl)
 | ScaleScreenTo96 (TControl)
 | ScaleScreenToFont (TControl)
 | ScreenToClient (TControl)
 | ScreenToControl (TControl)
pt | ScrollBarAutomatic (TCustomGrid)
pt | ScrollBarIsVisible (TCustomGrid)
pt | ScrollBarPage (TCustomGrid)
pt | ScrollBarPosition (TCustomGrid)
pt | ScrollBarRange (TCustomGrid)
pt | ScrollBarShow (TCustomGrid)
 | ScrollBy (TWinControl)
pt | ScrollBy (TCustomGrid)
 | ScrollBy_WS (TWinControl)
pt | SelectCell (TCustomGrid)
pt | SelectCell (TCustomDBGrid)
pt | SelectEditor (TCustomGrid)
pt | SelectEditor (TCustomDBGrid)
pt | SelectFirst (TWinControl)
 | SelectNext (TWinControl)
pt | SendDialogChar (TWinControl)
pt | SendMoveSizeMessages (TControl)
pt | SendMoveSizeMessages (TWinControl)
 | SendToBack (TControl)
pt | SetAction (TControl)
pt | SetAlign (TControl)
 | SetAncestor (TComponent)
pt | SetAnchors (TControl)
pt | SetAutoSize (TControl)
pt | SetBiDiMode (TControl)
pt | SetBorderStyle (TWinControl)
pt | SetBorderStyle (TCustomGrid)
 | SetBounds (TControl)
 | SetBounds (TWinControl)
 | SetBoundsKeepBase (TControl)
pt | SetCanvasFont (TCustomGrid)
 | SetChildOrder (TComponent)
pt | SetChildZPosition (TWinControl)
pt | SetColor (TControl)
pt | SetColor (TWinControl)
pt | SetColor (TCustomControl)
pt | SetColor (TCustomGrid)
pt | SetColRow (TCustomGrid)
 | SetComponentIndex (TComponent)
 | SetControlIndex (TWinControl)
pt | SetCursor (TControl)
 | SetDesigning (TComponent)
 | SetDesignInstance (TComponent)
pt | SetDockManager (TWinControl)
pt | SetDragMode (TControl)
pt | SetEditText (TCustomGrid)
pt | SetEditText (TCustomDBGrid)
pt | SetEnabled (TControl)
pt | SetFixedcolor (TCustomGrid)
pt | SetFixedCols (TCustomGrid)
pt | SetFixedCols (TCustomDBGrid)
pt | SetFixedRows (TCustomGrid)
 | SetFocus (TWinControl)
 | SetFocus (TCustomGrid)
pt | SetHint (TControl)
 | SetInitialBounds (TControl)
 | SetInline (TComponent)
 | SetName (TComponent)
pt | SetName (TControl)
pt | SetParent (TControl)
pt | SetParentBackground (TWinControl)
pt | SetParentBiDiMode (TControl)
 | SetParentComponent (TComponent)
pt | SetParentComponent (TControl)
pt | SetRawColWidths (TCustomGrid)
 | SetReference (TComponent)
pt | SetSelectedColor (TCustomGrid)
 | SetShape (TWinControl)
 | SetSubComponent (TComponent)
 | SetTempCursor (TControl)
 | SetTempCursor (TWinControl)
 | SetTextBuf (TControl)
pt | SetVisible (TControl)
pt | SetZOrder (TControl)
 | ShouldAutoAdjust (TControl)
 | Show (TControl)
pt | ShowCellHintWindow (TCustomGrid)
pt | ShowControl (TWinControl)
 | ShowHelp (TControl)
pt | SizeChanged (TCustomGrid)
pt | Sort (TCustomGrid)
pt | StartPushCell (TCustomGrid)
 | StringMessageTable (TObject)
pt | TextChanged (TControl)
pt | TopLeftChanged (TCustomGrid)
 | ToString (TObject)
pt | TripleClick (TControl)
pt | TryMoveSelection (TCustomGrid)
 | UnitName (TObject)
pt | UnLockEditor (TCustomGrid)
 | UnlockRealizeBounds (TWinControl)
pt | UnprepareCellHints (TCustomGrid)
pt | UnprepareCellHints (TCustomDBGrid)
 | Update (TControl)
 | Update (TWinControl)
 | UpdateAction (TComponent)
 | UpdateAction (TCustomDBGrid)
pt | UpdateActive (TCustomDBGrid)
pt | UpdateAnchorRules (TControl)
pt | UpdateAutoSizeColumns (TCustomDBGrid)
 | UpdateBaseBounds (TControl)
pt | UpdateBorderStyle (TCustomGrid)
pt | UpdateControlState (TWinControl)
 | Updated (TComponent)
pt | UpdateData (TCustomDBGrid)
 | UpdateDockCaption (TWinControl)
pt | UpdateGridCounts (TCustomDBGrid)
pt | UpdateHorzScrollBar (TCustomGrid)
pt | UpdateMouseCursor (TControl)
 | UpdateRegistry (TComponent)
 | UpdateRolesForForm (TControl)
pt | UpdateSelectionRange (TCustomGrid)
pt | UpdateShowing (TWinControl)
pt | UpdateVertScrollbar (TCustomGrid)
 | Updating (TComponent)
 | UseRightToLeftAlignment (TControl)
 | UseRightToLeftReading (TControl)
 | UseRightToLeftScrollBar (TControl)
pt | UTF8KeyPress (TWinControl)
 | ValidateContainer (TComponent)
pt | ValidateEntry (TCustomGrid)
 | ValidateInsert (TComponent)
 | ValidateRename (TComponent)
pt | VisibleChanged (TControl)
pt | VisibleChanging (TControl)
pt | VisualChange (TCustomGrid)
pt | WidthIsAnchored (TControl)
pt | WMCancelMode (TControl)
pt | WMChar (TWinControl)
pt | WMContextMenu (TControl)
pt | WMContextMenu (TWinControl)
pt | WMDestroy (TWinControl)
pt | WMEnter (TWinControl)
pt | WMEraseBkgnd (TWinControl)
pt | WMExit (TWinControl)
pt | WMHScroll (TCustomGrid)
pt | WMKeyDown (TWinControl)
pt | WMKeyUp (TWinControl)
pt | WMKillFocus (TWinControl)
pt | WMKillFocus (TCustomGrid)
pt | WMLButtonDBLCLK (TControl)
pt | WMLButtonDown (TControl)
pt | WMLButtonQuadCLK (TControl)
pt | WMLButtonTripleCLK (TControl)
pt | WMLButtonUp (TControl)
pt | WMMButtonDBLCLK (TControl)
pt | WMMButtonDown (TControl)
pt | WMMButtonQuadCLK (TControl)
pt | WMMButtonTripleCLK (TControl)
pt | WMMButtonUp (TControl)
pt | WMMouseHWheel (TControl)
pt | WMMouseMove (TControl)
pt | WMMouseWheel (TControl)
pt | WMMove (TControl)
pt | WMMove (TWinControl)
pt | WMNotify (TWinControl)
pt | WMPaint (TWinControl)
pt | WMPaint (TCustomControl)
pt | WMRButtonDBLCLK (TControl)
pt | WMRButtonDown (TControl)
pt | WMRButtonQuadCLK (TControl)
pt | WMRButtonTripleCLK (TControl)
pt | WMRButtonUp (TControl)
pt | WMSetFocus (TWinControl)
pt | WMSetFocus (TCustomGrid)
pt | WMShowWindow (TWinControl)
pt | WMSize (TControl)
pt | WMSize (TWinControl)
pt | WMSize (TCustomGrid)
pt | WMSysChar (TWinControl)
pt | WMSysKeyDown (TWinControl)
pt | WMSysKeyUp (TWinControl)
pt | WMVScroll (TCustomGrid)
pt | WMVScroll (TCustomDBGrid)
pt | WMWindowPosChanged (TControl)
pt | WMWindowPosChanged (TWinControl)
pt | WMXButtonDBLCLK (TControl)
pt | WMXButtonDown (TControl)
pt | WMXButtonQuadCLK (TControl)
pt | WMXButtonTripleCLK (TControl)
pt | WMXButtonUp (TControl)
pt | WndProc (TControl)
pt | WndProc (TWinControl)
pt | WndProc (TCustomGrid)
pt | WndProc (TCustomDBGrid)
 | WriteLayoutDebugReport (TControl)
 | WriteLayoutDebugReport (TWinControl)
 | WriteLeft (TComponent)
 | WriteState (TComponent)
 | WriteTop (TComponent)
pt | WSRegisterClass (TLCLComponent)
pt | WSRegisterClass (TControl)
pt | WSRegisterClass (TWinControl)
pt | WSRegisterClass (TCustomControl)
pt | WSRegisterClass (TCustomGrid)
pt | WSSetText (TWinControl)
 | _AddRef (TComponent)
 | _Release (TComponent)


TCustomDBGrid
pt | OnCellClick
pt | OnColEnter
pt | OnColExit
pt | OnColumnMoved
pt | OnColumnSized
pt | OnDrawColumnCell
pt | OnDrawColumnTitle
pt | OnFieldEditMask
pt | OnGetCellHint
pt | OnPrepareCanvas
pt | OnSelectEditor
pt | OnTitleClick
pt | OnUserCheckboxBitmap
pt | OnUserCheckboxState
pt | OnRowMoved
TCustomGrid
pt | OnAfterSelection
pt | OnBeforeSelection
pt | OnCheckboxToggled
pt | OnCompareCells
pt | OnPrepareCanvas
pt | OnDrawCell
pt | OnEditButtonClick
pt | OnButtonClick
pt | OnPickListSelect
pt | OnSelection
pt | OnSelectEditor
pt | OnTopLeftChanged
pt | OnUserCheckboxBitmap
pt | OnValidateEntry
pt | OnGetCellHint
pt | OnSaveColumn
pt | OnLoadColumn
TCustomControl
 | OnPaint
TWinControl
pt | OnGetSiteInfo
pt | OnGetDockCaption
 | OnAlignInsertBefore
 | OnAlignPosition
 | OnDockDrop
 | OnDockOver
 | OnEnter
 | OnExit
 | OnKeyDown
 | OnKeyPress
 | OnKeyUp
 | OnUnDock
 | OnUTF8KeyPress
TControl
pt | OnConstrainedResize
pt | OnContextPopup
pt | OnDblClick
pt | OnTripleClick
pt | OnQuadClick
pt | OnDragDrop
pt | OnDragOver
pt | OnEndDock
pt | OnEndDrag
pt | OnMouseDown
pt | OnMouseMove
pt | OnMouseUp
pt | OnMouseEnter
pt | OnMouseLeave
pt | OnMouseWheel
pt | OnMouseWheelDown
pt | OnMouseWheelUp
pt | OnMouseWheelHorz
pt | OnMouseWheelLeft
pt | OnMouseWheelRight
pt | OnStartDock
pt | OnStartDrag
pt | OnEditingDone
 | OnChangeBounds
 | OnClick
 | OnResize
 | OnShowHint
TLCLComponent
TComponent
TPersistent
TObject


pt | OnAfterSelection (TCustomGrid)
 | OnAlignInsertBefore (TWinControl)
 | OnAlignPosition (TWinControl)
pt | OnBeforeSelection (TCustomGrid)
pt | OnButtonClick (TCustomGrid)
pt | OnCellClick (TCustomDBGrid)
 | OnChangeBounds (TControl)
pt | OnCheckboxToggled (TCustomGrid)
 | OnClick (TControl)
pt | OnColEnter (TCustomDBGrid)
pt | OnColExit (TCustomDBGrid)
pt | OnColumnMoved (TCustomDBGrid)
pt | OnColumnSized (TCustomDBGrid)
pt | OnCompareCells (TCustomGrid)
pt | OnConstrainedResize (TControl)
pt | OnContextPopup (TControl)
pt | OnDblClick (TControl)
 | OnDockDrop (TWinControl)
 | OnDockOver (TWinControl)
pt | OnDragDrop (TControl)
pt | OnDragOver (TControl)
pt | OnDrawCell (TCustomGrid)
pt | OnDrawColumnCell (TCustomDBGrid)
pt | OnDrawColumnTitle (TCustomDBGrid)
pt | OnEditButtonClick (TCustomGrid)
pt | OnEditingDone (TControl)
pt | OnEndDock (TControl)
pt | OnEndDrag (TControl)
 | OnEnter (TWinControl)
 | OnExit (TWinControl)
pt | OnFieldEditMask (TCustomDBGrid)
pt | OnGetCellHint (TCustomGrid)
pt | OnGetCellHint (TCustomDBGrid)
pt | OnGetDockCaption (TWinControl)
pt | OnGetSiteInfo (TWinControl)
 | OnKeyDown (TWinControl)
 | OnKeyPress (TWinControl)
 | OnKeyUp (TWinControl)
pt | OnLoadColumn (TCustomGrid)
pt | OnMouseDown (TControl)
pt | OnMouseEnter (TControl)
pt | OnMouseLeave (TControl)
pt | OnMouseMove (TControl)
pt | OnMouseUp (TControl)
pt | OnMouseWheel (TControl)
pt | OnMouseWheelDown (TControl)
pt | OnMouseWheelHorz (TControl)
pt | OnMouseWheelLeft (TControl)
pt | OnMouseWheelRight (TControl)
pt | OnMouseWheelUp (TControl)
 | OnPaint (TCustomControl)
pt | OnPickListSelect (TCustomGrid)
pt | OnPrepareCanvas (TCustomGrid)
pt | OnPrepareCanvas (TCustomDBGrid)
pt | OnQuadClick (TControl)
 | OnResize (TControl)
pt | OnRowMoved (TCustomDBGrid)
pt | OnSaveColumn (TCustomGrid)
pt | OnSelectEditor (TCustomGrid)
pt | OnSelectEditor (TCustomDBGrid)
pt | OnSelection (TCustomGrid)
 | OnShowHint (TControl)
pt | OnStartDock (TControl)
pt | OnStartDrag (TControl)
pt | OnTitleClick (TCustomDBGrid)
pt | OnTopLeftChanged (TCustomGrid)
pt | OnTripleClick (TControl)
 | OnUnDock (TWinControl)
pt | OnUserCheckboxBitmap (TCustomGrid)
pt | OnUserCheckboxBitmap (TCustomDBGrid)
pt | OnUserCheckboxState (TCustomDBGrid)
 | OnUTF8KeyPress (TWinControl)
pt | OnValidateEntry (TCustomGrid)


TCustomDBGrid.AddAutomaticColumns

Adds a column for each Field in the dataset

Declaration

Source position: dbgrids.pas line 418

protected procedure TCustomDBGrid.AddAutomaticColumns;

Description

AddAutomaticColumns is a procedure used to add a column for each Field in the dataset.

Please note that AddAutomaticColumns can be performed at run-time only; no actions are performed in the method at design-time.

AddAutomaticColumns requires an active dataset to access the Fields that must be added to the grid control. No actions are performed if the datasset in DataLink has not been assigned or marked as Active.

AddAutomaticColumns cannot be performed when GridStatus contains either gsRemovingAutoColumns or gsLoadingGrid. No actions are performed in the method when these values are included in the GridStatus property.

AddAutomaticColumns is enabled by including the value dgeAutoColumns in the OptionsExtra property. No actions are performed in the method when the feature has not been included in the OptionsExtra property.

AddAutomaticColumns uses DataLink to get the Fields for the dataset, and checks the Columns collection to see if a column already exists for each Field. If the Field is already in the collection, it is skipped to avoid duplicate Fields. Missing Fields are added to Columns using its Add method, and sets the IsAutomaticColumn and Visible properties to True for each. When missing Fields have been added, the ResetColumnsOrder method in Columns is called using the coFieldIndexOrder column ordering option.

AddAutomaticColumns updates the GridStatus property prior to adding columns to include the value gsAddingAutoColumns. The value is removed from GridStatus when adding columns has completed. This prevents the TDBGridColumns.Add method from removing automatic columns while the add operation is still active.

See RemoveAutomaticColumns for information about removing automatic columns in the Columns collection.


TCustomDBGrid.AssignTo

Declaration

Source position: dbgrids.pas line 419

protected procedure TCustomDBGrid.AssignTo(

  Dest: TPersistent

); override;


TCustomDBGrid.BeginLayout

BeginLayout starts producing layout changes for the grid control

Declaration

Source position: dbgrids.pas line 422

protected procedure TCustomDBGrid.BeginLayout;

Description

BeginLayout is a procedure which starts producing layout changes for the grid control. BeginLayout is used along with EndLayout to minimize the number of times layout changed notification events are triggered by the control. Layout changes occur when the control enables certain values in its Options property, when AutoAdjustColumn is called, and when the Columns collection links to Fields in the associated dataset.

BeginLayout increments the LayoutChangedCount variable that tracks the number of times the method is called for the control. EndLayout decrements that counter and when it reaches 0 (zero) the DoLayoutChanged method is called.


TCustomDBGrid.CellClick

CellClick calls the OnCellClick event handler if it is assigned for this particular cell

Declaration

Source position: dbgrids.pas line 423

protected procedure TCustomDBGrid.CellClick(

  const aCol: Integer;

  const aRow: Integer;

  const Button: TMouseButton

); override;

Description

CellClick calls the OnCellClick event handler if it is assigned for this particular cell.


TCustomDBGrid.CheckDisplayMemo

Indicates if the field is a Memo that needs to be displayed in the grid

Declaration

Source position: dbgrids.pas line 424

protected function TCustomDBGrid.CheckDisplayMemo(

  aField: TField

):Boolean;

Description

CheckDisplayMemo is a Boolean function used to determine if the specified field is a Memo field that needs to be displayed in the grid control. The return value is True when the specified field has the value ftMemo in its DataType property, and the Options property has enabled the dgDisplayMemoText feature.


TCustomDBGrid.ColumnEditorStyle

ColumnEditorStyle gets the button style for the column being edited

Declaration

Source position: dbgrids.pas line 427

protected function TCustomDBGrid.ColumnEditorStyle(

  aCol: Integer;

  F: TField

):TColumnButtonStyle;

Function result

Button style for the column or Field

Description

ColumnEditorStyle is a TColumnButtonStyle function used to get the button style for the specified column number or Field in the grid control. ColumnEditorStyle assumes the default button style is cbsAuto unless overridden by settings in the Columns collection or by the Field definition in the dataset.

ColumnEditorStyle calls ColumnFromGridColumn to get the TColumn instance for the specified column number. Its ButtonStyle property is used as the return value if Columns has been Enabled. Otherwise, DefaultEditorStyle is called for the specified TField to get the return value for the method. DefaultEditorStyle will use cbsCheckBoxColumn as the button style when dgeCheckboxColumn has been included in the OptionsExyta property.

ColumnEditorStyle is used in the implementation of various methods including: CellClick, DefaultDrawCell, DefaultDrawColumnCell, EditorByStyle, KeyDown and MouseDown.


TCustomDBGrid.Columns

Columns provides access to columns defined for the database grid control

Declaration

Source position: dbgrids.pas line 515

protected property TCustomDBGrid.Columns : TDBGridColumns
  read GetColumns
  write SetColumns;

Description

Columns is a TDBGridColumns property that provides access to columns defined for the database grid control. Items in the Columns collection are represented as TColumn instances and can be explictly created in the IDE at design-time, or automatically added when the OptionsExtra property includes the value dgeAutoColumns.

See also

#lcl.DBGrids.TDBGridColumns | Implements a collection for columns in a database grid
#lcl.DBGrids.TColumn | Implements a display column for the TDBGrid control
#lcl.DBGrids.TCustomDBGrid.OptionsExtra | Contains the extra options enabled for the grid control


TCustomDBGrid.Create

Declaration

Source position: dbgrids.pas line 543

public constructor TCustomDBGrid.Create(

  AOwner: TComponent

); override;

Arguments

AOwner

Owner of the component

Description

Create is the constructor for the TCustomDBGrid instance . Create calls the inherited Create method, and allocates resources for properties in the class instance. Create sets the default event handlers used in DataLink to the corresponding procedures in the class:

  • OnDataSetChanged
  • OnDataSetClose
  • OnDataSetOpen
  • OnDataSetScrolled
  • OnEditingChanged
  • OnFocusControl
  • OnInvalidDataset
  • OnInvalidDataSource
  • OnLayoutChanged
  • OnRecordChanged
  • OnUpdateData

Create calls RenewColWidths to set columns to their default widths and to disable column auto-sizing.

Create sets the values in the Options property to establish the baseline features and behavior enabled for the grid control, including:

  • dgColumnResize
  • dgColumnMove
  • dgTitles
  • dgIndicator
  • dgRowLines
  • dgColLines
  • dgConfirmDelete
  • dgCancelOnExit
  • dgTabs
  • dgEditing
  • dgAlwaysShowSelection

See the Options property and TDBGridOption type for more information on values in the enumeration.

Values in the Options property from the ancestor class are also updated. They use the set of enumeration values in TGridOption, and are updated to include values which correspond to the TDBGridOption values used in the database grid control.

Create sets the default values in the ExtraOptions property to the following:

  • dgeAutoColumns
  • dgeCheckboxColumn

The value of the AutoAdvance property is set to aaRightDown, indicating the cell navigation is from left-to-right and then top-to-bottom in the grid control.

Create sets the value in ScrollBars to ssBoth indicating that both horizontal and vertical scroll bars are needed, and sets AllowOutboundEvents to False to prevent forwarding of event notifications to the ancestor class.

See also

TCustomGrid.Create

Create - constructor for TCustomGrid: calls inherited Create, then creates lists of columns and rows, initialises many visual properties and options, creates the various editors and loads any bitmaps required for the display


TCustomDBGrid.CreateWnd

CreateWnd - creates the window adjusts its layout and adds scrollbars when needed

Declaration

Source position: dbgrids.pas line 429

protected procedure TCustomDBGrid.CreateWnd; override;

See also

TWinControl.CreateWnd

Creates the interface object (widget) and assigns it to Handle.


TCustomDBGrid.Datalink

Declaration

Source position: dbgrids.pas line 517

protected property TCustomDBGrid.Datalink : TComponentDataLink
  read FDatalink;


TCustomDBGrid.DataSource

Provides access to the dataset displayed in the grid

Declaration

Source position: dbgrids.pas line 566

public property TCustomDBGrid.DataSource : TDataSource
  read GetDataSource
  write SetDataSource;

Description

DataSource is a TDataSource property which provides access to the DataSet dispayed in the database grid control. Read and write access to the property are redirected to the DataLink property.

Reading the value for DataSource returns the value stored in the TComponentDataLink instance.

Writing the value for DataSource sets the value in the TComponentDataLink instance (when they are not the same). Write access to DataSource also resets the width of columns in the grid by calling RenewColWidths. UpdateActive is called to redraw the grid control after changes to the DataSource and Columns properties.


TCustomDBGrid.DefaultDrawCell

Default method used to drawing a cell at the specified location

Declaration

Source position: dbgrids.pas line 431

protected procedure TCustomDBGrid.DefaultDrawCell(

  aCol: Integer;

  aRow: Integer;

  aRect: TRect;

  aState: TGridDrawState

);

Description

DefaultDrawCell is a procedure that provides the default method for drawing a cell at the specified location using different cell types. DefaultDrawCell draws the background for the cell with the specified drawing state. For a cell which appears in a fixed row or column, the text for the cell is also drawn.

When the DataSet for the grid control has rows, the Field used for the specified column is retrieved and the cell is drawn in the manner needed for its column editor style. For checkbox columns, the DrawCheckBoxBitmaps is called. For columns with a button-style editor, the DrawButtonCell method is used. For Fields with a ftMemo data type, the CheckDisplayMemo method is called to determine whether the content in the memo or the DIsplayText for the column definition is drawn. Finally, the DrawCellText method is called to draw the specified cell using its state and value.


TCustomDBGrid.DefaultDrawColumnCell

Default method used for drawing cells in a column

Declaration

Source position: dbgrids.pas line 546

public procedure TCustomDBGrid.DefaultDrawColumnCell(

  const Rect: TRect;

  DataCol: Integer;

  Column: TColumn;

  State: TGridDrawState

);

Arguments

Rect | Canvas rectangle for the cell
DataCol | Index of the Field for cell data
Column | Column definition for the cell
State | Grid drawing state for the cell

Description

DefaultDrawColumnCell is the default method used for drawing cells in a column. DefaultDrawColumnCell uses the specified column to get the Field and the editor style needed to render the cell.

Checkbox columns are drawn by calling the DrawCheckBoxBitmaps method. Other editor styles use the DisplayText for the TField as the value drawn using the DrawCellText method. Please note that Fields with a data type of ftBlob are always rendered as the string literal .

Use the OnDrawColumnCell event handler to render a cell when DefaultDrawing is not enabed for the grid control.


TCustomDBGrid.DefaultEditorStyle

Declaration

Source position: dbgrids.pas line 432

protected function TCustomDBGrid.DefaultEditorStyle(

  const Style: TColumnButtonStyle;

  const F: TField

):TColumnButtonStyle;


TCustomDBGrid.Destroy

Destroy is the destructor for TCustomDbGrid

Declaration

Source position: dbgrids.pas line 549

public destructor TCustomDBGrid.Destroy; override;

Description

Destroy is the overridden destructor in TCustomDbGrid. Destroy frees any bookmarks stored in the SelectedRows property. Destroys ensures that event handlers assigned to DataLink are removed prior to freeing resources allocated to the property.

Destroy calls the inherited Destroy method.

See also

TCustomGrid.Destroy | Destroy - destructor for TCustomGrid: frees various resources including editors, columns, rows, font then calls inherited Destroy
TCustomDBGrid.DataLink
TCustomDBGrid.SelectedRows | SelectedRows - recorded as a bookmark list


TCustomDBGrid.DoExit

DoExit closes the editor and the datalink for the control

Declaration

Source position: dbgrids.pas line 434

protected procedure TCustomDBGrid.DoExit; override;

Description

DoExit is an overridden procedure in TCustomDBGrid used to close the editor and the datalink for the control. A valid dataset must be assigned in the DataLink property and inserts must be cancellable for the dataset. The Options property must include the dgCancelOnExit enumeration value for the grid. If any of these conditions are not met, no actions are performed in the method on either the dataset or the Field editor.

DoExit calls the inherited method to perform any actions implemented in the ancestor class.

See also

TWinControl.DoExit

Invoke the OnExit event handler.


TCustomDBGrid.DoLoadColumn

Declaration

Source position: dbgrids.pas line 439

protected procedure TCustomDBGrid.DoLoadColumn(

  sender: TCustomGrid;

  aColumn: TGridColumn;

  aColIndex: Integer;

  aCfg: TXMLConfig;

  aVersion: Integer;

  aPath: string

); override;


TCustomDBGrid.DoMouseWheelDown

Handle mouse wheel down events in the grid control

Declaration

Source position: dbgrids.pas line 435

protected function TCustomDBGrid.DoMouseWheelDown(

  Shift: TShiftState;

  MousePos: TPoint

):Boolean; override;

Arguments

Shift | Shift state for the mouse wheel event
MousePos | Location of the mouse wheel event

Function result

True when the mouse event is handled in the method

Description

DoMouseWheelDown is an overridden Boolean function used to handle mouse wheel down events in the grid control. The return value is True when the mouse wheel event has been handled in the method. DoMouseWheelDown signals the OnMouseWheelDown event handler when it has been assigned to handle the mouse event. If OnMouseWheelDown cannot handle the mouse event, and the DataLink is marked as Active, DataLink calls its MoveBy method.

See also

#lcl.Controls.TControl.DoMouseWheelDown

Invokes the OnMouseWheelDown handler.


TCustomDBGrid.DoMouseWheelUp

Handle mouse wheelup events in the grid control

Declaration

Source position: dbgrids.pas line 436

protected function TCustomDBGrid.DoMouseWheelUp(

  Shift: TShiftState;

  MousePos: TPoint

):Boolean; override;

Arguments

Shift | Shift state for the mouse wheel event
MousePos | Location of the mouse wheel event

Function result

True when the mouse event is handled in the method

Description

DoMouseWheelUp is an overridden Boolean function used to handle mouse wheel up events in the grid control. The return value is True when the mouse wheel event has been handled in the method. DoMouseWheelUp signals the OnMouseWheelUp event handler when it has been assigned to handle the mouse event. If OnMouseWheelUp cannot handle the mouse event, and the DataLink is marked as Active, DataLink calls its MoveBy method.


TCustomDBGrid.DoOnChangeBounds

DoOnChangeBounds - calls inherited DoOnChangeBounds adjusts layout if required

Declaration

Source position: dbgrids.pas line 437

protected procedure TCustomDBGrid.DoOnChangeBounds; override;

See also

TControl.DoOnChangeBounds

Invokes the OnChangeBounds event handler


TCustomDBGrid.DoPrepareCanvas

Prepares the canvas and signals OnPrepareCanvas

Declaration

Source position: dbgrids.pas line 438

protected procedure TCustomDBGrid.DoPrepareCanvas(

  aCol: Integer;

  aRow: Integer;

  aState: TGridDrawState

); override;

Arguments

aCol | Column number for the operation
aRow | Row number for the operation
aState | Drawing state for the operation

Description

DoPrepareCanvas is an overridden procedure used to prepare the Canvas to draw a cell in the grid control. DoPrepareCanvas applies to data cells and performs no actions in the method when aRow refers to a fixed row in the control. In addition, DoPrepareCanvas applies only when DefaultDrawing contains False. No actions are performed in the method when DefaultDrawing is enabled.

DoPrepareCanvas calls GetSelectedState to determine if the Canvas is updated with brush and font colors used to draw in a selected state. DoPrepareCanvas signals the OnPrepareCanvas event handler when it has been assigned for the control using the specified column number and drawing state.

See also

#lcl.Grids.TCustomGrid.DoPrepareCanvas

DoPrepareCanvas - get the canvas ready for drawing


TCustomDBGrid.DoSaveColumn

Declaration

Source position: dbgrids.pas line 441

protected procedure TCustomDBGrid.DoSaveColumn(

  sender: TCustomGrid;

  aColumn: TGridColumn;

  aColIndex: Integer;

  aCfg: TXMLConfig;

  aVersion: Integer;

  aPath: string

); override;


TCustomDBGrid.DrawCell

DrawCell renders the specified grid cell in the supplied drawing state

Declaration

Source position: dbgrids.pas line 446

protected procedure TCustomDBGrid.DrawCell(

  aCol: Integer;

  aRow: Integer;

  aRect: TRect;

  aState: TGridDrawState

); override;

Description

DrawCell is used to render a cell at the specified coordinates with the specified drawing state.


TCustomDBGrid.DrawCellBackground

Declaration

Source position: dbgrids.pas line 447

protected procedure TCustomDBGrid.DrawCellBackground(

  aCol: Integer;

  aRow: Integer;

  aRect: TRect;

  aState: TGridDrawState

);


TCustomDBGrid.DrawCheckboxBitmaps

Draws a Checkbox bitmap for the specified Boolean column

Declaration

Source position: dbgrids.pas line 448

protected procedure TCustomDBGrid.DrawCheckboxBitmaps(

  aCol: Integer;

  aRect: TRect;

  F: TField

);

Arguments

aCol | Column number to draw
aRect | Canvas rectangle for the operation
F | Field with data for the column

Description

DrawCheckboxBitmaps is a procedure used to draw the Checkbox bitmap for the specified column. DrawCheckboxBitmaps draws the checkbox bitmap only when the editor for the column is not visible; otherwise, no actions are performed in the method.

DrawCheckboxBitmaps examines the specified Field argument to ensure that it uses a Boolean data type. If the Field IsNull, the value cbGrayed is assigned to the aState argument. Otherwise, the TField.AsBoolean method is used to determine if aState is set to cbChecked or cbUnChecked. For Fields that do not use ftBoolean in the data type, the TField.AsString method is used to determine if the Field matches the value in TColumn.ValueChecked or TColumn.ValueUnChecked.

DrawCheckboxBitmaps signals the DrawCheckboxBitmaps event handler when it has been assigned in the control.

DrawCheckboxBitmaps calls the DrawGridCheckboxBitmaps method to render the Checkbox bitmap with the necessary drawing state.


TCustomDBGrid.DrawFixedText

Draws the fixed text at the specified row and column numbers

Declaration

Source position: dbgrids.pas line 449

protected procedure TCustomDBGrid.DrawFixedText(

  aCol: Integer;

  aRow: Integer;

  aRect: TRect;

  aState: TGridDrawState

);

Arguments

aCol | Column number to draw
aRow | Row number to draw
aRect | Canvas rectangle for the drawing operation
aState | Drawing state for the operation

Description

DrawFixedText is a procedure used to draw a cell with fixed text at the specified row and column numbers. DrawFixedText calls the DrawIndicator method for the active record when aCol contains 0 (zero) and Options incudes the value dgIndicator. Otherwise, the DrawColumnText method is called using the aguments passed to the method.

DrawFixedText is used in the implementation for the DefaultDrawCell method.


TCustomDBGrid.DrawIndicator

Declaration

Source position: dbgrids.pas line 451

protected procedure TCustomDBGrid.DrawIndicator(

  ACanvas: TCanvas;

  R: TRect;

  Opt: TDataSetState;

  MultiSel: Boolean

); virtual;


TCustomDBGrid.EditingColumn

EditingColumn sets or resets the column being edited in the control

Declaration

Source position: dbgrids.pas line 452

protected procedure TCustomDBGrid.EditingColumn(

  aCol: Integer;

  Ok: Boolean

);

Description

EditingColumn is a procedure used to set or reset the column being edited in the control .

aCol indicates the ordinal column number and is stored internally for use in other methods of the control. Ok indicates that editing is active when set and causes the DataLink to set its Modified flag to true. When Ok contains False the internal column number is reset to its default value indicating that no column is currently being edited.

EditingColumn is used in the implementation of other methods in the grid control such as UpdateData EditorCancelEditing EditorIsReadOnly and DoExit.

See also

TCustomDBGrid.UpdateData | UpdateData is used to perform pending updates for the selected cell.
TCustomDBGrid.EditorCancelEditing | EditorCancelEditing cancels pending changes and disables the editor
TCustomDBGrid.EditorIsReadOnly | EditorIsReadOnly - returns True if the Editor has Read Only status
TCustomDBGrid.DoExit | DoExit closes the editor and the datalink for the control


TCustomDBGrid.EditorCanAcceptKey

EditorCanAcceptKey determines if the specified character can be applied to the Field for the editor

Declaration

Source position: dbgrids.pas line 455

protected function TCustomDBGrid.EditorCanAcceptKey(

  const ch: TUTF8Char

):Boolean; override;

Arguments

ch

Key to examine in the method

Function result

True when the character can be applied to the field

Description

EditorCanAcceptKey is an overridden Boolean function which determines if the cell editor can accept the character specified in ch. EditorCanAcceptKey requires that the linked dataset be active to access the SelectedField for the control. The Field cannot be an AutoIncrement, Lookup, Calculated, or Blob Field type. The return value is False if any of these conditions are not satisfied.

EditorCanAcceptKey calls the IsValidChar routine to determine if the UTF8-encoded value in ch can be applied to the dataset for the control.

See also

#lcl.Grids.TCustomGrid.EditorCanAcceptKey

EditorCanAcceptKey - returns True if the Editor is able to accept the nominated (UTF8) key


TCustomDBGrid.EditorCancelEditing

EditorCancelEditing cancels pending changes and disables the editor

Declaration

Source position: dbgrids.pas line 453

protected procedure TCustomDBGrid.EditorCancelEditing;

Description

EditorCancelEditing is a procedure used to cancel pending changes and to halt the editing process.

EditorCancelEditing calls the EditingColumn method to disable the editor in the currently selected cell for the control. The EditorMode property is cleared when set but is restore if the Options property includes the value dgAlwaysShowEditor.

EditorCancelEditing is used in the implementation of methods like DoOperation MoveSel and MouseDown.


TCustomDBGrid.EditorDoGetValue

EditorDoGetValue gets the value used in the editor for the control

Declaration

Source position: dbgrids.pas line 454

protected procedure TCustomDBGrid.EditorDoGetValue; override;

Description

EditorDoGetValue is an overridden proecedure used to get the value used in the editor for the control. EditorDoGetValue calls the inherited EditorDoGetValue method. UpdateData is called to retrieve the value for the editor from its column in the underlying dataset.

See also

#lcl.Grids.TCustomGrid.EditorDoGetValue

EditordoGetValue - method for geting a value in the Editor


TCustomDBGrid.EditorTextChanged

Declaration

Source position: dbgrids.pas line 457

protected procedure TCustomDBGrid.EditorTextChanged(

  const aCol: Integer;

  const aRow: Integer;

  const aText: string

); override;


TCustomDBGrid.EndLayout

EndLayout finishes layout changes for the control

Declaration

Source position: dbgrids.pas line 458

protected procedure TCustomDBGrid.EndLayout;

Description

EndLayout is a procedure used along with BeginLayout to minimize the number of times layout changed notification events are triggered by the control. Layout changes occur when the control enables certain values in its Options property when AutoAdjustColumn is called and when the Columns collection links to Fields in the associated dataset.

The grid maintains an internal counter that tracks the number of times BeginLayout has been called to start a layout change for the control. EndLayout decrements that counter and when it reaches 0 (zero) the DoLayoutChanged method is called.

See also

#lcl.DBGrids.TCustomDBGrid.BeginLayout | BeginLayout starts producing layout changes for the grid control
#lcl.DBGrids.TCustomDBGrid.DoLayoutChanged | Update the grid and its scrollbars when its layout has changed
#lcl.DBGrids.TCustomDBGrid.LayoutChanged | LayoutChanged links columns to Fields and inserts any required automatic columns
#lcl.DBGrids.TCustomDBGrid.Options | Stores values from the TDbGridOption enumeration
#lcl.DBGrids.TCustomDBGrid.AutoAdjustColumn
#lcl.DBGrids.TDBGridColumns.LinkFields | Associates column items with the corresponding Fields in the Dataset
#lcl.DBGrids.TDBGridColumns.Update | Redraws the Grid control that owns the collection


TCustomDBGrid.ExecuteAction

Declaration

Source position: dbgrids.pas line 551

public function TCustomDBGrid.ExecuteAction(

  AAction: TBasicAction

):Boolean; override;


TCustomDBGrid.FieldIndexFromGridColumn

FieldIndexFromGridColumn returns the index for the database Field corresponding to the stated grid column

Declaration

Source position: dbgrids.pas line 459

protected function TCustomDBGrid.FieldIndexFromGridColumn(

  AGridCol: Integer

):Integer;

Function result

Position of the field for the specified column

Description

FieldIndexFromGridColumn returns the index for the database Field corresponding to the stated grid column.


TCustomDBGrid.FirstColumn

Declaration

Source position: dbgrids.pas line 565

public property TCustomDBGrid.FirstColumn : TColumn
  read GetFirstColumn;


TCustomDBGrid.FirstGridColumn

Declaration

Source position: dbgrids.pas line 460

protected function TCustomDBGrid.FirstGridColumn: Integer; override;


TCustomDBGrid.GetBufferCount

Gets the number of rows to buffer in the grid control

Declaration

Source position: dbgrids.pas line 461

protected function TCustomDBGrid.GetBufferCount: Integer; virtual;

Function result

Number of data rows visible in the grid control

Description

GetBufferCount is a virtual Integer function used to get the number of rows to buffer for display in the grid control. The return value contains the number of rows that can be displayed using the DefaultRowHeight for the control. The return value is decreased by 1 when column titles are enabled in the Options property with the dgTitles enumeration value.

GetBufferCount is called from the UpdateBufferCount method.


TCustomDBGrid.GetCellHintText

Declaration

Source position: dbgrids.pas line 462

protected function TCustomDBGrid.GetCellHintText(

  aCol: Integer;

  aRow: Integer

):string; override;


TCustomDBGrid.GetDefaultColumnAlignment

Gets the default alignment for the column

Declaration

Source position: dbgrids.pas line 463

protected function TCustomDBGrid.GetDefaultColumnAlignment(

  Column: Integer

):TAlignment; override;

Arguments

Column

Column number to use from the dataset

Function result

Default alignment for the column

Description

GetDefaultColumnAlignment is an overridden TAlignment function used to get the default alignment for data at the specified column number. GetDefaultColumnAlignment gets the TField for the specified column when assigned, and uses its Alignment property as the return value for the method. The value taLeftJustify is used when a TField cannot be found for the specified column number.


TCustomDBGrid.GetDefaultColumnReadOnly

Gets the default ReadOnlyvalue for the specifed column

Declaration

Source position: dbgrids.pas line 465

protected function TCustomDBGrid.GetDefaultColumnReadOnly(

  Column: Integer

):Boolean; override;

Arguments

Column

Column number to examine

Function result

True when the column cannot be modified

Description

GetDefaultColumnReadOnly is an overridden Boolean function used to get the ReadOnly value for the grid control. GetDefaultColumnReadOnly determines the effective read only status for the control using the ReadOnly property as well as the DataLink property and the TField used for the specified column.


TCustomDBGrid.GetDefaultColumnTitle

Gets the default title displayed for the specified column

Declaration

Source position: dbgrids.pas line 466

protected function TCustomDBGrid.GetDefaultColumnTitle(

  Column: Integer

):string; override;

Arguments

Column

Column number to locate in the Fields for the grid control

Function result

Default title for the column

Description

GetDefaultColumnTitle is an overridden String function used to get the default title displayed for the specified column number. GetDefaultColumnTitle gets the TField used for the column (when available) and uses its DisplayName as the return value for the method. The return value is an empty String ('') when a TField instance is not available for the specified column.


TCustomDBGrid.GetDefaultColumnWidth

Gets the default width for the specified column

Declaration

Source position: dbgrids.pas line 464

protected function TCustomDBGrid.GetDefaultColumnWidth(

  Column: Integer

):Integer; override;

Arguments

Column

Column number to use for the calculation

Function result

Default width of the column

Description

GetDefaultColumnWidth is an overridden Integer function used to get the default width for the specified column number. GetDefaultColumnWidth calls the DefaultFieldColWidth method for the specified column. The return value is the width of the column calculate using either the display name or the display width for the TField in the column.


TCustomDBGrid.GetDefaultRowHeight

Get the default row height for records displayed in the grid

Declaration

Source position: dbgrids.pas line 467

protected function TCustomDBGrid.GetDefaultRowHeight: Integer; override;

Function result

Default height for records displayed in the control

Description

GetDefaultRowHeight is an overriden Integer function used to get the default row height for records displayed in the grid control. GetDefaultRowHeight calls the inherited GetDefaultRowHeight method to get the return vaue for the method. The calculated row height is decreased by 2 pixels to allow space for borders on the editors overlaid onto the grid control.

See also

#lcl.Grids.TCustomGrid.GetDefaultRowHeight

GetDefaultRowHeight - returns the default row height


TCustomDBGrid.GetDsFieldFromGridColumn

GetDsFieldFromGridColumn returns the identity of the dataset Field corresponding to the nominated grid column

Declaration

Source position: dbgrids.pas line 468

protected function TCustomDBGrid.GetDsFieldFromGridColumn(

  Column: Integer

):TField;

Arguments

Column

Column with the field to locate in the method

Function result

Field to use for the specified column

Description

GetDsFieldFromGridColumn returns the identity of the dataset Field corresponding to the nominated grid column


TCustomDBGrid.GetEditMask

GetEditMask gets the EditMask for the Field at the specied Row and Column

Declaration

Source position: dbgrids.pas line 469

protected function TCustomDBGrid.GetEditMask(

  aCol: LongInt;

  aRow: LongInt

):string; override;

Arguments

aCol | Column in the grid
aRow | Row in the grid

Function result

Edit mask for the specified cell

Description

GetEditMask is an overridden String function used to get the EditMask for the TField that reads and writes data for specified Row and Column.

The linked dataset for the grid control must be active to access the Field definition at the specified column number. GetEditMask calls the GetFieldFromGridColumn method to get the TField instance with the EditMask for the column.

The return value can contain an empty string ('') is the dataset is not active, or a Field cannot be located for the specified column, or the EditMask has not been assigned in the Field definition.

GetEditMask signals the OnFieldEditMask event handler when it has been assigned for the control. Use OnFieldEditMask to return a user-specified value for the EditMask.

See also

TCustomGrid.GetEditMask

GetEditMask - returns the edit mask string for the specified cell


TCustomDBGrid.GetEditText

GetEditText gets the Text value for the specified Field

Declaration

Source position: dbgrids.pas line 470

protected function TCustomDBGrid.GetEditText(

  aCol: LongInt;

  aRow: LongInt

):string; override;

Arguments

aCol | Column in the grid`
aRow | Row in the grid

Function result

Text value displayed for the specified cell

Description

GetEditText is an overridden String function used to get the Text value for the Field at the specified Row and Column.

GetEditText requires that the linked dataset for the control be active to access its Field definitions. GetEditText calls the GetFieldFromGridColumn method to get the TField instance that provides the textual representation of the value for the Field. GetEditText calls the CheckDisplayMemo method to determine if a Field with the ftMemo data type displays its content or the string literal in its Text property '(Memo)'.


TCustomDBGrid.GetFieldFromGridColumn

GetFieldFromGridColumn obtain the Field either from a Db column or directly from dataset Fields

Declaration

Source position: dbgrids.pas line 471

protected function TCustomDBGrid.GetFieldFromGridColumn(

  Column: Integer

):TField;

Arguments

Column

Column to locate in the method

Function result

Field for the specified column

Description

GetFieldFromGridColumn obtain the Field either from a Db column or directly from dataset Fields.


TCustomDBGrid.GetGridColumnFromField

GetGridColumnFromField - gets the corresponding grid column for the given Field

Declaration

Source position: dbgrids.pas line 472

protected function TCustomDBGrid.GetGridColumnFromField(

  F: TField

):Integer;

Arguments

F

Field to locate in the grid columns

Function result

Column for the specified field

Description

GetGridColumnFromField - gets the corresponding grid column for the given Field.


TCustomDBGrid.GetImageForCheckBox

Gets the bitmap displayed for a Checkbox at the specified location

Declaration

Source position: dbgrids.pas line 473

protected procedure TCustomDBGrid.GetImageForCheckBox(

  const aCol: Integer;

  const aRow: Integer;

  CheckBoxView: TCheckBoxState;

  var ImageList: TCustomImageList;

  var ImageIndex: TImageIndex;

  var Bitmap: TBitmap

); override;

Arguments

CheckBoxView

Checkbox state for the column

Description

GetImageForCheckBox is an overridden TBitmap function used to get the bitmap displayed for a Checkbox at the specified location in the grid control. GetImageForCheckBox calls the inherited GetImageForCheckBox method using the passed arguments to get the return value. GetImageForCheckBox signals the OnUserCheckboxBitmap event handler when it has been assigned in the control to allow overriding the TBitmap used for the desired TCheckboxState.


TCustomDBGrid.GetIsCellTitle

Declaration

Source position: dbgrids.pas line 477

protected function TCustomDBGrid.GetIsCellTitle(

  aCol: Integer;

  aRow: Integer

):Boolean; override;


TCustomDBGrid.GetSelectedState

Declaration

Source position: dbgrids.pas line 478

protected procedure TCustomDBGrid.GetSelectedState(

  AState: TGridDrawState;

  out IsSelected: Boolean

); override;


TCustomDBGrid.GetSmoothScroll

Declaration

Source position: dbgrids.pas line 479

protected function TCustomDBGrid.GetSmoothScroll(

  Which: Integer

):Boolean; override;


TCustomDBGrid.GetTruncCellHintText

Declaration

Source position: dbgrids.pas line 480

protected function TCustomDBGrid.GetTruncCellHintText(

  aCol: Integer;

  aRow: Integer

):string; override;


TCustomDBGrid.GridCanModify

GridCanModify indicates if the DataLink is active and allows editing

Declaration

Source position: dbgrids.pas line 481

protected function TCustomDBGrid.GridCanModify: Boolean;

Function result

True when the grid can be modified

Description

GridCanModify indicates if the DataLink is active, and allows editing.


TCustomDBGrid.GridStatus

Stores status information about operations active for the grid control

Declaration

Source position: dbgrids.pas line 516

protected property TCustomDBGrid.GridStatus : TDbGridStatus
  read FGridStatus
  write FGridStatus;

Description

GridStatus is a TDBGridStatus property which stores status information for the grid control. GridStatus is a set type that can contain 0 (zero) or more values from the TDbGridStatusItem enumeration, and indicate operations occuring in the control at run-time. Values in GridStatus are added and removed in several methods for the grid control to prevent duplicate calls the method while the operation is active.

See TDbGridStatusItem for more information about the values in the enumeration and their meaning.


TCustomDBGrid.HeaderClick

HeaderClick - calls OnHeaderClick if assigned

Declaration

Source position: dbgrids.pas line 485

protected procedure TCustomDBGrid.HeaderClick(

  IsColumn: Boolean;

  index: Integer

); override;

Description

HeaderClick - calls OnHeaderClick if assigned.

See also

TCustomGrid.HeaderClick

HeaderClick - method to deal with a click on the column (if IsColumn is True) or row Header


TCustomDBGrid.InitiateAction

Initiates the action associated with the grid control

Declaration

Source position: dbgrids.pas line 545

public procedure TCustomDBGrid.InitiateAction; override;

Description

InitiateAction is an overridden procedure used to initiate the action associated with the grid control. InitiateAction calls the inherited InitiateAction method. The EndUpdating method is called when GridStatus includes the value gsUpdatingData.


TCustomDBGrid.InvalidateSizes

InvalidateSizes renders the Sizes non-valid

Declaration

Source position: dbgrids.pas line 425

protected procedure TCustomDBGrid.InvalidateSizes;

Description

InvalidateSizes is a procedure used to force the grid to recalculate column sizes and to repaint its display area. InvalidateSizes updates the GridFlags for the control to include the value gfVisualChange.


TCustomDBGrid.IsColumnVisible

Declaration

Source position: dbgrids.pas line 487

protected function TCustomDBGrid.IsColumnVisible(

  aCol: Integer

):Boolean;


TCustomDBGrid.IsValidChar

IsValidChar indicates if the specified Field contains the specified UTF-8 character

Declaration

Source position: dbgrids.pas line 488

protected function TCustomDBGrid.IsValidChar(

  AField: TField;

  AChar: TUTF8Char

):Boolean;

Description

IsValidChar is a Boolean function that indicates if the Field specified in AField contains the UTF-8 encoded character in AChar. No action is required (or performed) when AChar contains a single byte character.

Remark:

Please note that TField does not contain a method which verifies a Unicode character. This routine converts a multibyte Unicode character using UTF8ToSys and calls the TField.IsValidChar method to validate.

IsValidChar returns True when TField.IsValidChar returns the same or when AChar contains the BackSace (Decimal 8) character.


TCustomDBGrid.KeyDown

KeyDown handles special keys and signals the OnKeyDown event handler

Declaration

Source position: dbgrids.pas line 489

protected procedure TCustomDBGrid.KeyDown(

  var Key: Word;

  Shift: TShiftState

); override;

Description

KeyDown ensures that keys which affect navigation and editing operations are handled in the grid control. KeyDown handles the following keys:

Advances to the next column when dgTabs is included in Options. Otherwise exits the control.
Moves to the previous column when dgTabs is included in Options. Otherwise exits the control.
Enables the editor for the cell when dgEditing is included in Options. Otherwise advances to the next column.
Deletes the selected row when dgDisableDelete has not been included in Options. A confirmation dialog is displayed when dgConfirmDelete is included in Options.
Moves to the previous row in the dataset. The currently selected column remains the same.
Moves to the next row in the dataset. The currently selected column remains the same. Appends a new row when positioned at the end of the dataset and dgDiableInsert has not been included in Options.
Moves towards the beginning of the dataset by the number of rows specified in VisibleRows.
Moves towards the end of the dataset by the number of rows specified in VisibleRows.
Cancels an active editor for the selected cell. Clears pending modifications to the Field for the column.
Inserts a new row at the current row position when dgDisableInsert has not been included in Options. The actual position for the new row can change if the dataset has sorting or ordering capabilities.
Changes the selected cell to first non-fixed column in the control. An active editor is removed.
Moves to the first row in the dataset. An active editor is removed.
Changes the selected cell to the last visible column in the control. An active editor is removed.
Moves to the last row in the dataset. An active editor is removed.
Toggles the value in a column which uses a checkbox editor.
Toggles the selected state for the current row when dgMultiSelect is included in Options.

KeyDown reads and writes values in GridFlags as needed while handling cell editors and performing dataset navigation.

KeyDown calls the inherited KeyDown method to process keys not explicitly handled by the data-aware control.

KeyDown signals the OnKeyDown event handler when it has been assigned for the control.


TCustomDBGrid.LastColumn

Declaration

Source position: dbgrids.pas line 564

public property TCustomDBGrid.LastColumn : TColumn
  read GetLastColumn;


TCustomDBGrid.LayoutChanged

LayoutChanged links columns to Fields and inserts any required automatic columns

Declaration

Source position: dbgrids.pas line 491

protected procedure TCustomDBGrid.LayoutChanged; virtual;

Description

LayoutChanged is a virtual procedure used to link Columns to the Fields which read and write the values used in the control. LayoutChanged calls the TDBGridColumns.LinkFields method establish the column-to-fiels association. If Columns have not been explicitly defined the AddAutomaticColumns method is called to add a column for each Field in the linked dataset.

LayoutChanged calls the BeginLayout and EndLayout methods to minimize the number of times the OnLayoutChange event is signalled during updates to the control.

LayoutChanged performs no actions when ComponentState indicates the control is being destroyed (contains csDestroying).


TCustomDBGrid.LinkActive

LinkActive updates the control after a change to the state of its DataLink

Declaration

Source position: dbgrids.pas line 490

protected procedure TCustomDBGrid.LinkActive(

  Value: Boolean

); virtual;

Arguments

Value

True when the dataset is open

Description

LinkActive is a procedure which updates the control when the state of its DataLink is changing. Value contains False when the dataset for the DataLink will be closed. The state change causes updates to control properties like SelectedRows and the KeyBookmark which tracks the selected row in the linked dataset. LinkActive calls RemoveAutomaticColumns to remove automatic columns added to the control when the DataLink became active. The LayoutChanged method is called to refresh the control after updates to the Columns property.

No actions are performed in the method when Value contains True.


TCustomDBGrid.LoadFromStream

Declaration

Source position: dbgrids.pas line 557

public procedure TCustomDBGrid.LoadFromStream(

  AStream: TStream

); override;


TCustomDBGrid.LoadGridOptions

Declaration

Source position: dbgrids.pas line 493

protected procedure TCustomDBGrid.LoadGridOptions(

  cfg: TXMLConfig;

  Version: Integer

); override;


TCustomDBGrid.MouseButtonAllowed

Declaration

Source position: dbgrids.pas line 495

protected function TCustomDBGrid.MouseButtonAllowed(

  Button: TMouseButton

):Boolean; override;


TCustomDBGrid.MouseDown

MouseDown handles mouse down messages in the control and signals the OnMouseDown event handler

Declaration

Source position: dbgrids.pas line 496

protected procedure TCustomDBGrid.MouseDown(

  Button: TMouseButton;

  Shift: TShiftState;

  X: Integer;

  Y: Integer

); override;

Description

MouseDown handles mouse button clicks (when cllowed) in the control. MouseDown ensures that the specified Button and State are correctly applied to the control similar to the processing provided in KeyDown method. MouseDown translates screen coordinates into the row and column numbers used in the control and performs actions needed for focus selection editing or navigation.

MouseDown signals the OnMouseDown event handler when assigned in the class instance.


TCustomDBGrid.MouseToRecordOffset

Declaration

Source position: dbgrids.pas line 550

public function TCustomDBGrid.MouseToRecordOffset(

  const x: Integer;

  const y: Integer;

  out Column: TColumn;

  out RecordOffset: Integer

):TGridZone;


TCustomDBGrid.MoveSelection

MoveSelection changes the current selection in the control

Declaration

Source position: dbgrids.pas line 494

protected procedure TCustomDBGrid.MoveSelection; override;

Description

MoveSelection causes the current selection in the control to be changed. MoveSelection calls the inherited MoveSelection method. If the selection change causes a different column to become active, the OnColEnter event handler is signalled (when assigned). MoveSelection calls the UpdateActive method to ensure that the correct row and/or column are drawn in the control.

See also

#lcl.Grids.TCustomGrid.MoveSelection

MoveSelection - moves the selected text, cell or group of cells


TCustomDBGrid.OnCellClick

Event handler for mouse click in a column for the grid

Declaration

Source position: dbgrids.pas line 527

protected property TCustomDBGrid.OnCellClick : TDBGridClickEvent
  read FOnCellClick
  write FOnCellClick;

Description

OnCellClick is a TDBGridClickEvent property that contains the event handler signalled when a mouse button is clicked in a cell for the grid control. Assign a procedure to the OnCellClick property to respond to mouse click messages in a column for the grid control.

OnCellClick is used the implementation of the CellClick method.


TCustomDBGrid.OnColEnter

Event handler signalled when the mouse enters a column

Declaration

Source position: dbgrids.pas line 528

protected property TCustomDBGrid.OnColEnter : TNotifyEvent
  read FOnColEnter
  write FOnColEnter;

Description

OnColEnter is a TNotifyEvent property that implements the event handler signalled when the mouse enters a column for the grid control. OnColEnter is also signalled when the grid control gains focus. Assign a procedure to the property to allow responding to the notification event. OnColEnter is triggered from the MoveSelection method.


TCustomDBGrid.OnColExit

Event handler signalled when the mouse exits a column

Declaration

Source position: dbgrids.pas line 529

protected property TCustomDBGrid.OnColExit : TNotifyEvent
  read FOnColExit
  write FOnColExit;

Description

OnColExit is a TNotifyEvent property that implements the event handler signalled when the mouse exits a column in the grid control. OnColExit is also signalled when the grid control loses focus. Assign a procedure to the property to allow responding to the notification event. OnColExit is triggered from the BeforeMoveSelection method.


TCustomDBGrid.OnColumnMoved

Event handler signalled when the order of a column is changed

Declaration

Source position: dbgrids.pas line 530

protected property TCustomDBGrid.OnColumnMoved : TMovedEvent
  read FOnColumnMoved
  write FOnColumnMoved;

Description

OnColumnMoved is a TMovedEvent property that implements an event handler signalled when the order of a column in the grid control is changed. Assign a procedure to the event handler to respond to the event notification. OnColumnMoved is triggered from the ColRowMoved method after the new column ordering has been applied.

Use OnRowMoved to responding to row ordering notification events.


TCustomDBGrid.OnColumnSized

Event handler signalled when a grid column has been resized

Declaration

Source position: dbgrids.pas line 531

protected property TCustomDBGrid.OnColumnSized : TNotifyEvent
  read FOnColumnSized
  write FOnColumnSized;

Description

OnColumnSized is a TNotifyEvent propety that implements the event handler signalled when a column has been resized. OnColumnSized allows the application to perform actions required after the column has been resized. Assign a procedure to the event handler to respond to the event notification.

OnColumnSized is triggered from the HeaderSized method when a change to a column width was requested.


TCustomDBGrid.OnDrawColumnCell

Event handler signalled when a cell needs to be drawn

Declaration

Source position: dbgrids.pas line 532

protected property TCustomDBGrid.OnDrawColumnCell : TDrawColumnCellEvent
  read FOnDrawColumnCell
  write FOnDrawColumnCell;

Description

OnDrawColumnCell is a TDrawColumnCellEvent property that implements the event handler signalled when a cell in the control needs to be drawn. Assign a procedure to the event handler to perform drawing needed for the cell using the arguments to the routine.

OnDrawColumnCell is triggered from the DrawCell method after the Canvas is prepared and any fixed cell or DefaultDrawing is performed. Please note that OnDrawColumnCell is not performed at design-time, or for fixed rows in the grid control.

See also

#lcl.DBGrids.TDrawColumnCellEvent

Specifies an event handler for drawing a cell in a grid control


TCustomDBGrid.OnDrawColumnTitle

Event handler signalled when a cell title needs to be drawn

Declaration

Source position: dbgrids.pas line 533

protected property TCustomDBGrid.OnDrawColumnTitle : TDrawColumnCellEvent
  read FOnDrawColumnTitle
  write FOnDrawColumnTitle;

Description

OnDrawColumnTitle is a TDrawColumnCellEvent property that implements the event handler signalled when a cell title in the control needs to be drawn. Assign a procedure to the event handler to perform drawing needed for the cell title using the arguments to the routine.

See also

#lcl.DBGrids.TDrawColumnCellEvent

Specifies an event handler for drawing a cell in a grid control


TCustomDBGrid.OnFieldEditMask

Event handler signalled to get the edit mask for a Field

Declaration

Source position: dbgrids.pas line 534

protected property TCustomDBGrid.OnFieldEditMask : TGetDbEditMaskEvent
  read FOnFieldEditMask
  write FOnFieldEditMask;

Description

OnFieldEditMask is a TGetDbEditMaskEvent property that implements the event handler signalled to get the edit mask used for a Field in the grid control. OnFieldEditMask allows overriding the edit mask assigned to a Field in the Columns property, or assigning an edit mask for Fields that do not already have one. Assign a procedure to the event handler to allow responding to the event notification.

OnFieldEditMask is triggered from the GetEditMask method when the DataSet in DataLink is active.


TCustomDBGrid.OnPrepareCanvas

Event handler signalled to prepare the grid canvas for drawing a cell

Declaration

Source position: dbgrids.pas line 536

protected property TCustomDBGrid.OnPrepareCanvas : TPrepareDbGridCanvasEvent
  read FOnPrepareCanvas
  write FOnPrepareCanvas;

Description

OnPrepareCanvas is a TPrepareDbGridCanvasEvent property that implements the event handler signalled to prepare the Canvas for drawing a cell in the grid. OnPrepareCanvas allows the application to provide custom settings in the Canvas for the Grid control. The Sender argument is the grid control, and can be used to access the Canvas or other properties in the component. Assign a procedure to the event handler to respond to the event notification.

OnPrepareCanvas is signalled from the DoPrepareCanvas method.


TCustomDBGrid.OnRowMoved

Declaration

Source position: dbgrids.pas line 541

protected property TCustomDBGrid.OnRowMoved : TMovedEvent
  read FOnRowMoved
  write SetRowMoved;


TCustomDBGrid.OnSelectEditor

Event handler signalled when the editor is selected for a Field in the grid

Declaration

Source position: dbgrids.pas line 537

protected property TCustomDBGrid.OnSelectEditor : TDbGridSelEditorEvent
  read FOnSelectEditor
  write FOnSelectEditor;

Description

OnSelectEditor is a TDbGridSelEditorEvent property that implements the event handler signalled when an editor control is selected for the current Field in the grid. OnSelectEditor is used to modify or override the editor control for SelectedField in the grid control.

OnSelectEditor is signalled in the SelectEditor method after the default editor control has be chosen and its maximum length has been set. Assign a procedure to the event hander which modifies or assigns the control in the Editor argument.


TCustomDBGrid.OnTitleClick

Event handler for mouse clicks on a Title cell

Declaration

Source position: dbgrids.pas line 538

protected property TCustomDBGrid.OnTitleClick : TDBGridClickEvent
  read FOnTitleClick
  write FOnTitleClick;

Description

OnTitleClick is a TDBGridClickEvent property that implements the event handler signalled when a mouse click occurs in the fixed title cell for a column. Use OnTitleClick to perform actions required when the title cell for a column is clicked. Assign a procedure to the event handler to allow responding to the event notification.

OnTitleClick is triggered from the DoHeaderClick method.


TCustomDBGrid.OnUserCheckboxBitmap

Event handler signalled to get the image used for a checkbox entry on the grid

Declaration

Source position: dbgrids.pas line 539

protected property TCustomDBGrid.OnUserCheckboxBitmap : TDbGridCheckBoxBitmapEvent
  read FOnCheckboxBitmap
  write FOnCheckboxBitmap;

Description

OnUserCheckboxBitmap is a property that implements the TDBGridCheckboxBitmapEvent event handler signalled to get the image used for a checkbox entry on the grid. OnUserCheckboxBitmap allows the application to override the TBitmap provided by the GetImageForCheckBox method. Assign a procedure to the event handler that implements the TDBGridCheckboxBitmapEvent interface to enable the event handler.

The user is encouraged to provide bitmaps to represent the three states for database grid checkboxes: gcbpUnChecked, gcbpChecked and gcbpGrayed.


TCustomDBGrid.OnUserCheckboxState

Declaration

Source position: dbgrids.pas line 540

protected property TCustomDBGrid.OnUserCheckboxState : TDbGridCheckboxStateEvent
  read FOnCheckboxState
  write FOnCheckboxState;


TCustomDBGrid.OptionsExtra

Contains the extra options enabled for the grid control

Declaration

Source position: dbgrids.pas line 522

protected property TCustomDBGrid.OptionsExtra : TDbGridExtraOptions
  read FExtraOptions
  write SetExtraOptions
  default [dgeAutoColumns, dgeCheckboxColumn];

Description

OptionsExtra is a TDBGridExtraOptions property used to store extra options enabled for the grid control. OptionsExtra is a set data type which can contain 0 (zero) or more values from the TDBGridExtraOption enumeration. The default values in the property include dgeAutoColumns and dgeCheckboxColumn; these values enable the use of automatic columns for the linked dataset and displaying checkboxes for Boolean columns.

SetExtraOptions is the write access specifier for the property, and ensures that the grid control is updated to reflect values added to or removed from the set.


TCustomDBGrid.PrepareCellHints

Declaration

Source position: dbgrids.pas line 499

protected procedure TCustomDBGrid.PrepareCellHints(

  aCol: Integer;

  aRow: Integer

); override;


TCustomDBGrid.ReadOnly

Indicates if modifications are allowed in the grid control

Declaration

Source position: dbgrids.pas line 524

protected property TCustomDBGrid.ReadOnly : Boolean
  read FReadOnly
  write FReadOnly
  default False;

Description

ReadOnly is a Boolean property that indicates if modifications are allowed in the grid control. Please note that ReadOnly applies to the visual grid control only. It does not take into account whether Fields in Columns or the DataSet in DataSource allows modifications.


TCustomDBGrid.RemoveAutomaticColumns

Removes automatic columns added to the grid control

Declaration

Source position: dbgrids.pas line 500

protected procedure TCustomDBGrid.RemoveAutomaticColumns;

Description

RemoveAutomaticColumns is a procedure used to remove automatic columns added to the grid control in the AddAutomaticColumns method. Automatic columns are generated at run-time when the value dgeAutoColumns is included in the OptionsExtra property. The feature cannot be enabled at design-time. No actions are performed in the method at design-time.

RemoveAutomaticColumns uses the Columns property to execute its RemoveAutoColumns method which removes the automatic columns in the collection.

RemoveAutomaticColumns is used in the implementation of the LinkActive and the SetExtraOptions methods.

Use the OptionsExtra property to control adding and removing automatic columns at run-time.


TCustomDBGrid.ResetColWidths

Restores column widths to their default values

Declaration

Source position: dbgrids.pas line 548

public procedure TCustomDBGrid.ResetColWidths;

Description

ResetColWidths is a procedure used to restore column widths in he grid to their default values. ResetColWidths uses the value in DefaultColWidths to determine if default column widths are already in use. When DefaultColWidths contains True, no actions are performed in the method.

ResetColWidths calls the RenewColWidths method to restore the column widths. The LayoutChanged method is called to refresh the grid control after the column layouts are altered.


TCustomDBGrid.SaveGridOptions

Declaration

Source position: dbgrids.pas line 502

protected procedure TCustomDBGrid.SaveGridOptions(

  Cfg: TXMLConfig

); override;


TCustomDBGrid.SaveToStream

Declaration

Source position: dbgrids.pas line 555

public procedure TCustomDBGrid.SaveToStream(

  AStream: TStream

); override;


TCustomDBGrid.SelectCell

Indicates if the cell at the specified coordinates can be selected in the control

Declaration

Source position: dbgrids.pas line 506

protected function TCustomDBGrid.SelectCell(

  aCol: Integer;

  aRow: Integer

):Boolean; override;

Arguments

aCol | Column for the cell
aRow | Row for the cell

Function result

True when the cell can be selected

Description

SelectCell is an overridden Boolean function that indicates if the cell at the specified coordinates can be selected in the control. SelectCell uses ColWidths and RowHeights to determine if the cell can be visually selected. The return value is True when both contain positive non-zero values.


TCustomDBGrid.SelectedColumn

Represents the currently selected column in the grid control

Declaration

Source position: dbgrids.pas line 562

public property TCustomDBGrid.SelectedColumn : TColumn
  read GetCurrentColumn;

Description

SelectedColumn is a read-only TColumn property that represents the currently selected column in the grid control. SelectedColumn contains a value only when the Columns collection has been enabled (or contains visible columns) for the control. Otherwise, SelectedColumn returns the value .

GetCurrentColumn is the read access specifier for the property value, and returns the TColumn instance in Columns at the position specified in SelectedIndex.


TCustomDBGrid.SelectedField

Field that reads and writes data for the currently selected column

Declaration

Source position: dbgrids.pas line 560

public property TCustomDBGrid.SelectedField : TField
  read GetCurrentField
  write SetCurrentField;

Description

SelectedField is a TField property with the Field used to read and write data for the selected column in the grid control. SelectedField is updated when column navigation occurs in the control.

GetCurrentField is the read access specifier for the property, and returns the TField instance derived by GetFieldFromGridColumn for the selected column. SetCurrentField is the write access specifier for the property, and stores the new Field value as the selected column. No action is performed if the new Field value is the same as the current value for the property.

SelectedField is used in the implementation of various method in the control, such as KeyDown, SelectEditor, UpdateData, and SwapCheckBox.

Use SelectedColumn to get the TColumn instance for the currently selected cell in the grid control.


TCustomDBGrid.SelectedFieldRect

Declaration

Source position: dbgrids.pas line 563

public property TCustomDBGrid.SelectedFieldRect : TRect
  read GetSelectedFieldRect;


TCustomDBGrid.SelectedIndex

Ordinal position of the selected column in the grid control

Declaration

Source position: dbgrids.pas line 561

public property TCustomDBGrid.SelectedIndex : Integer
  read GetSelectedIndex
  write SetSelectedIndex;

Description

SelectedIndex is an Integer property that represents the ordinal position of the selected column in the grid control. The property value contains the result from ColumnIndexFromGridColumn when the Columns collection is enabled in the control. Otherwise, the value from FieldIndexFromGridColumn is used as the property value.

GetSelectedIndex is the read access specifier for the property value. SetSelectedIndex is the write access specifier for the property.


TCustomDBGrid.SelectedRows

SelectedRows - recorded as a bookmark list

Declaration

Source position: dbgrids.pas line 525

protected property TCustomDBGrid.SelectedRows : TBookmarkList
  read FSelectedRows;

Description

SelectedRows is a read-only TBookmarkList property used to store TBookmark instance for one or more rows selected in the grid control. SelectedRows will normally contain a single TBookmark entry in its Items property for a selected row. However, multiples entry can exist when multi-selection is enabled by including the value dgMultiSelect in the Options property.

SelectedRows is updated when methods which perform record navigation call the DrawRow, SelectRecord or ToggleSelectedRow methods.


TCustomDBGrid.UnprepareCellHints

Declaration

Source position: dbgrids.pas line 507

protected procedure TCustomDBGrid.UnprepareCellHints; override;


TCustomDBGrid.UpdateAction

Declaration

Source position: dbgrids.pas line 552

public function TCustomDBGrid.UpdateAction(

  AAction: TBasicAction

):Boolean; override;


TCustomDBGrid.UpdateActive

UpdateActive redraws the control when the active row in the dataset is changed

Declaration

Source position: dbgrids.pas line 508

protected procedure TCustomDBGrid.UpdateActive; virtual;

Description

UpdateActive forces the control to be redrawn when the active row in the linked dataset is changed. UpdateActive requires an active dataset in DataLink with a selected record. No actions are performed in the method when the dataset is closed or contains no rows. UpdateActive calls InvalidateCell when the selected row in the control has changed. InvaidateRow is called to update the selected row in the control.


TCustomDBGrid.UpdateAutoSizeColumns

Declaration

Source position: dbgrids.pas line 509

protected procedure TCustomDBGrid.UpdateAutoSizeColumns;


TCustomDBGrid.UpdateData

UpdateData is used to perform pending updates for the selected cell.

Declaration

Source position: dbgrids.pas line 510

protected procedure TCustomDBGrid.UpdateData; virtual;

Description

UpdateData is a virtual procedure used to perform pending updates for the selected cell to its Field in the grid Dataset. No action is performed if the selected cell has not been modified (or cannot be modified) or the Dataset is not in edit mode.

UpdateData ensures that the appropriate method is used to update Field data based on the TField.FieldKind for the modified column. Special handling is provided for lookup Fields to check the cached lookup list or to retrieve the lookup result using its key Fields.

UpdateData calls the EditingColumn method to disable the editing flag for the column prior to exit.


TCustomDBGrid.UpdateGridCounts

Gets the total number of visible columns (or fields) in the grid

Declaration

Source position: dbgrids.pas line 511

protected function TCustomDBGrid.UpdateGridCounts: Integer;

Description

UpdateGridCounts is an Integer function which gets the total number of visible columns (or fields) in the grid control.

UpdateGridCounts calls GetColumnCount to get the number of entries in the Columns collection. When Columns have been defined, and DataLink is Active, the RecCount and RowCount variables are updated. The UpdateGridColumnSizes method is used to adjust the sizes for the columns. If the linked dataset is Active, and a Row is Selected, the AdjustEditorBounds method is called.


TDBGrid

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Data-aware grid control for display and editing rows and columns in a dataset

Declaration

Source position: dbgrids.pas line 569

type TDBGrid = class(TCustomDBGrid)
public
property BorderColor: TColor; | The colour of the border for this control
property Canvas: TCanvas; | The drawing surface for the control, see TCanvas for details.
property DefaultTextStyle: TTextStyle; | Default style for displaying text - includes alignment, layout, single or multi-lines
property EditorBorderStyle: TBorderStyle; | The border style for the editor used in this grid
property EditorMode: Boolean; | Is grid ready to accept edits? (EditorMode True)
property ExtendedColSizing: Boolean; | ExtendedColSizing - the sizing to be used for extended columns
property FastEditing: Boolean; | Is the FastEditing method being used?
property FocusColor: TColor; | The colour to be used for the cell receiving focus
property FocusRectVisible: Boolean; | FocusRectVisible - is the rectangle receiving focus visible?
property GridLineColor: TColor; | Colour to be used for GridLines
property GridLineStyle: TPenStyle; | Style to be used for GridLines
property InplaceEditor: TWinControl;
property SelectedColor: TColor; | Colour to be used for selected cells
property SelectedRows: TBookmarkList; | SelectedRows - recorded as a bookmark list
property OnRowMoved: TMovedEvent;
published
property Align: TAlign; | Specifies the placement of the control inside its Parent.
property AlternateColor: TColor; | The colour to be used for the background on alternate rows of the grid. Having alternate rows in different colours can make the grid easier to read.
property Anchors: TAnchors; | The set of anchor definitions for this control.
property AutoAdvance: TAutoAdvance; | Automatically advance down the grid on successive mouse clicks or presses of the ENTER or TAB key
property AutoEdit: Boolean; | Whether the Edit mode is automatically entered when a cell is selected
property AutoFillColumns: Boolean; | Automatically resize columns so they fill all grid's visible area
property BiDiMode: TBiDiMode;
property BorderSpacing: TControlBorderSpacing; | Determines the inner and outer border spacing for this control.
property BorderStyle: TBorderStyle; | Allows to show a border (line) around the control,
property CellHintPriority: TCellHintPriority;
property Color: TColor; | The background color of the control.
property Columns: TDBGridColumns; | The properties of the columns in this grid
property Constraints: TSizeConstraints; | The minimal and maximal Width and Height of this control.
property DataSource: TDataSource; | Provides access to the dataset displayed in the grid
property DefaultDrawing: Boolean; | Is the default drawing method to be used for this grid? Default is TRUE
property DefaultRowHeight: Integer; | Default value for the height of newly created grid rows.
property DoubleBuffered: Boolean; | Allows to reduce flicker in the painting of the control.
property DragCursor: TCursor; | The cursor shape shown while the control is dragged.
property DragMode: TDragMode; | Allows the user to drag the control.
property Enabled: Boolean; | Determines whether the control reacts on mouse or keyboard input.
property FixedColor: TColor; | The color for the fixed cells of the grid.
property FixedCols: Integer;
property FixedHotColor: TColor; | FixedHotColor - the 'Hot' colour for the active (selected, etc) fixed cells of the grid
property Flat: Boolean; | Is the cell to be displayed Flat, ie with no texturing or raised/lowered effect
property Font: TFont; | The font to be used for text display in this control.
property HeaderHotZones: TGridZoneSet; | HeaderHotZones - the zones of the header that are under the cursor, so are capable of being selected or pushed (or not!)
property HeaderPushZones: TGridZoneSet; | HeaderPushZones - the zones of the header that have been selected by the cursor, or pushed
property Options: TDbGridOptions; | Enables or disables optional features or behaviors in the grid control
property Options2: TGridOptions2;
property OptionsExtra: TDbGridExtraOptions; | Contains the extra options enabled for the grid control
property ParentBiDiMode: Boolean;
property ParentColor: Boolean; | If true, the Color of the control will be the same as the one from the Parent. Default is true.
property ParentDoubleBuffered: Boolean; |
property ParentFont: Boolean; | If true, the Font of the control will be the same as the one from the Parent. Default is true.
property PopupMenu: TPopupMenu; | A context-sensitive menu that pops up when the right mouse button is clicked over this control
property ReadOnly: Boolean; | Indicates if modifications are allowed in the grid control
property Scrollbars: TScrollStyle; | The ScrollBars to be used with this grid
property ShowHint: Boolean; | Enables the Hint display.
property TabAdvance: TAutoAdvance;
property TabOrder: TTabOrder; | Determines the sequence of controls, reachable when the user presses the Tab key.
property TabStop: Boolean; | Allows the user to navigate to this control, by pressing the Tab key.
property TitleFont: TFont; | The font to be used in the grid's title
property TitleImageList: TImageList;
property TitleStyle: TTitleStyle; | The style to be used for the grid's title
property UseXORFeatures: Boolean; | UseXORFeatures: When True, the dotted focus rectangle is painted using the XOR raster operation
property Visible: Boolean; | Allows to show or hide the control, and all of its children.
property OnCellClick: TDBGridClickEvent; | Event handler for mouse click in a column for the grid
property OnColEnter: TNotifyEvent; | Event handler signalled when the mouse enters a column
property OnColExit: TNotifyEvent; | Event handler signalled when the mouse exits a column
property OnColumnMoved: TMovedEvent; | Event handler signalled when the order of a column is changed
property OnColumnSized: TNotifyEvent; | Event handler signalled when a grid column has been resized
property OnContextPopup: TContextPopupEvent;
property OnDrawColumnCell: TDrawColumnCellEvent; | Event handler signalled when a cell needs to be drawn
property OnDrawColumnTitle: TDrawColumnCellEvent; | Event handler signalled when a cell title needs to be drawn
property OnDblClick: TNotifyEvent; | Event Handler for double mouse clicks.
property OnDragDrop: TDragDropEvent; | This handler determines the action on an drop onto this control, in a drag-drop operation.
property OnDragOver: TDragOverEvent; | Event handler for a control being dragged over this control.
property OnEditButtonClick: TNotifyEvent; | Event handler for when the Edit button is clicked
property OnEditingDone: TNotifyEvent;
property OnEndDrag: TEndDragEvent; | Notification handler for the end of a dragging operation.
property OnEnter: TNotifyEvent; | Handler for control receiving the focus.
property OnExit: TNotifyEvent; | Handler for control loosing the focus. This is a good place for checking the finished user input.
property OnFieldEditMask: TGetDbEditMaskEvent; | Event handler signalled to get the edit mask for a Field
property OnGetCellHint: TDbGridCellHintEvent;
property OnKeyDown: TKeyEvent; | Handler for keyboard key pressed.
property OnKeyPress: TKeyPressEvent; | Handler for a character entered by the user.
property OnKeyUp: TKeyEvent; | Handler for keyboard key released.
property OnMouseDown: TMouseEvent; | Event handler for mouse button going down.
property OnMouseEnter: TNotifyEvent;
property OnMouseLeave: TNotifyEvent;
property OnMouseMove: TMouseMoveEvent; | Event handler for mouse movement within the control.
property OnMouseUp: TMouseEvent; | Event handler for mouse button going up.
property OnMouseWheel: TMouseWheelEvent;
property OnMouseWheelDown: TMouseWheelUpDownEvent;
property OnMouseWheelUp: TMouseWheelUpDownEvent;
property OnPrepareCanvas: TPrepareDbGridCanvasEvent; | Event handler signalled to prepare the grid canvas for drawing a cell
property OnSelectEditor: TDbGridSelEditorEvent; | Event handler signalled when the editor is selected for a Field in the grid
property OnStartDrag: TStartDragEvent; | Event handler for the start of a dragging operation.
property OnTitleClick: TDBGridClickEvent; | Event handler for mouse clicks on a Title cell
property OnUserCheckboxBitmap: TDbGridCheckBoxBitmapEvent; | OnUserCheckboxBitmap - event handler for a user accessing a checkbox bitmap
property OnUserCheckboxState: TDbGridCheckboxStateEvent;
property OnUTF8KeyPress: TUTF8KeyPressEvent; | Handler for a character entered by the user.
end;

Inheritance

TDBGrid | Data-aware grid control for display and editing rows and columns in a dataset
|
TCustomDBGrid | TCustomDBGrid is the base class for TDBGrid
|
TCustomGrid | TCustomGrid - the base class for all grid controls
|
TCustomControl | The base class for windowed controls which paint themselves.
|
TWinControl | The base class for controls which can contain other (child) controls.
|
TControl | The base class for visible controls.
|
TLCLComponent | The base class for LCL components associated with widgets.
|
TComponent,IUnknown,IInterfaceComponentReference
|
TPersistent,IFPObserved
|
TObject

Description

TDBGrid is a data-aware version of TStringGrid used to display and edit a Rows and Columns in a dataset.

TDBGrid inherits many of its properties from TCustomGrid and its immediate ancestor TCustomDBGrid.

See also

HowToUseDataAwareControls | HowToUseDataAwareControls - Hints for accessing databases
HowToUseGrids | How to use Grids including StringGrids, DrawGrids and DbGrids


TDBGrid
 | ro | BorderColor
 | ro | Canvas
 | ro | DefaultTextStyle
 | ro | EditorBorderStyle
 | ro | EditorMode
 | ro | ExtendedColSizing
 | ro | FastEditing
 | ro | FocusColor
 | ro | FocusRectVisible
 | ro | GridLineColor
 | ro | GridLineStyle
 | ro | InplaceEditor
 | ro | SelectedColor
 | ro | SelectedRows
pl | ro | Align
pl | ro | AlternateColor
pl | ro | Anchors
pl | ro | AutoAdvance
pl | ro | AutoEdit
pl | ro | AutoFillColumns
pl | ro | BiDiMode
pl | ro | BorderSpacing
pl | ro | BorderStyle
pl | ro | CellHintPriority
pl | ro | Color
pl | ro | Columns
pl | ro | Constraints
pl | ro | DataSource
pl | ro | DefaultDrawing
pl | ro | DefaultRowHeight
pl | ro | DoubleBuffered
pl | ro | DragCursor
pl | ro | DragMode
pl | ro | Enabled
pl | ro | FixedColor
pl | ro | FixedCols
pl | ro | FixedHotColor
pl | ro | Flat
pl | ro | Font
pl | ro | HeaderHotZones
pl | ro | HeaderPushZones
pl | ro | Options
pl | ro | Options2
pl | ro | OptionsExtra
pl | ro | ParentBiDiMode
pl | ro | ParentColor
pl | ro | ParentDoubleBuffered
pl | ro | ParentFont
pl | ro | PopupMenu
pl | ro | ReadOnly
pl | ro | Scrollbars
pl | ro | ShowHint
pl | ro | TabAdvance
pl | ro | TabOrder
pl | ro | TabStop
pl | ro | TitleFont
pl | ro | TitleImageList
pl | ro | TitleStyle
pl | ro | UseXORFeatures
pl | ro | Visible
TCustomDBGrid
pt |  | Columns
pt |  | GridStatus
pt | ro | Datalink
pt |  | Options
pt |  | OptionsExtra
pt |  | ReadOnly
pt | ro | SelectedRows
 | ro | AllowOutboundEvents
 |  | SelectedField
 |  | SelectedIndex
 | ro | SelectedColumn
 | ro | SelectedFieldRect
 | ro | LastColumn
 | ro | FirstColumn
 |  | DataSource
TCustomGrid
pt |  | AllowOutboundEvents
pt |  | AlternateColor
pt |  | AutoAdvance
pt |  | AutoEdit
pt |  | AutoFillColumns
pt |  | BorderStyle
pt |  | BorderColor
pt |  | CellHintPriority
pt |  | Col
pt |  | ColCount
pt |  | ColRow
pt |  | ColumnClickSorts
pt |  | Columns
pt |  | ColWidths
pt |  | DefaultColWidth
pt |  | DefaultRowHeight
pt |  | DefaultDrawing
pt |  | DefaultTextStyle
pt |  | DragDx
pt |  | Editor
pt |  | EditorBorderStyle
pt |  | EditorMode
pt |  | EditorKey
pt |  | EditorOptions
pt |  | EditorShowing
pt |  | ExtendedColSizing
pt |  | ExtendedRowSizing
pt |  | ExtendedSelect
pt |  | FastEditing
pt |  | AltColorStartNormal
pt |  | FixedCols
pt |  | FixedRows
pt |  | FixedColor
pt |  | FixedGridLineColor
pt |  | FixedHotColor
pt |  | Flat
pt |  | FocusColor
pt |  | FocusRectVisible
pt | ro | GCache
pt |  | GridFlags
pt | ro | GridHeight
pt |  | GridLineColor
pt |  | GridLineStyle
pt |  | GridLineWidth
pt | ro | GridWidth
pt |  | HeaderHotZones
pt |  | HeaderPushZones
pt |  | ImageIndexSortAsc
pt |  | ImageIndexSortDesc
pt |  | TabAdvance
pt |  | TitleImageList
pt |  | TitleImageListWidth
pt | ro | InplaceEditor
pt | ro | IsCellSelected
pt |  | LeftCol
pt |  | MouseWheelOption
pt |  | Options
pt |  | Options2
pt |  | RangeSelectMode
pt |  | Row
pt |  | RowCount
pt |  | RowHeights
pt |  | SaveOptions
pt |  | SelectActive
pt |  | SelectedColor
pt | ro | SelectedColumn
pt |  | Selection
pt |  | ScrollBars
pt |  | StrictSort
pt |  | TitleFont
pt |  | TitleStyle
pt |  | TopRow
pt |  | UseXORFeatures
pt |  | ValidateOnSetSelection
pt | ro | VisibleColCount
pt | ro | VisibleRowCount
 | ro | SelectedRange
 | ro | SelectedRangeCount
 |  | SortOrder
 | ro | SortColumn
 | ro | TabStop
TCustomControl
 |  | Canvas
 | ro | BorderStyle
TWinControl
pt |  | WindowHandle
pt |  | BorderStyle
pt |  | ParentBackground
 |  | BorderWidth
 | ro | BoundsLockCount
 | ro | Brush
 | ro | CachedClientHeight
 | ro | CachedClientWidth
 |  | ChildSizing
 | ro | ControlCount
 | ro | Controls
 |  | DefWndProc
 | ro | DockClientCount
 | ro | DockClients
 |  | DockManager
 |  | DockSite
 |  | DoubleBuffered
 |  | Handle
 | ro | IsFlipped
 | ro | IsResizing
 |  | TabOrder
 |  | TabStop
 |  | ParentDoubleBuffered
 |  | ParentWindow
 | ro | Showing
 |  | UseDockManager
 |  | DesignerDeleting
 | ro | VisibleDockClientCount
TControl
pt | ro | AutoSizing
pt | ro | AutoSizingAll
pt | ro | AutoSizingLockCount
pt |  | ActionLink
pt |  | DesktopFont
pt |  | DragCursor
pt |  | DragKind
pt |  | DragMode
pt |  | MouseCapture
pt |  | ParentColor
pt |  | ParentFont
pt |  | ParentShowHint
pt |  | SessionProperties
pt |  | Text
 | ro | AnchoredControls
 | ro | BaseBounds
 | ro | ReadBounds
 | ro | BaseParentClientSize
 |  | AccessibleDescription
 |  | AccessibleValue
 |  | AccessibleRole
 |  | Action
 |  | Align
 |  | Anchors
 | ro | AnchorSide
 |  | AutoSize
 |  | BorderSpacing
 |  | BoundsRect
 |  | BoundsRectForNewParent
 |  | Caption
 |  | CaptureMouseButtons
 |  | ClientHeight
 | ro | ClientOrigin
 | ro | ClientRect
 |  | ClientWidth
 |  | Color
 |  | Constraints
 | ro | ControlOrigin
 |  | ControlState
 |  | ControlStyle
 |  | Enabled
 |  | Font
 |  | IsControl
 | ro | MouseEntered
 | ro | MouseInClient
 |  | Parent
 |  | PopupMenu
 |  | ShowHint
 |  | Visible
 |  | WindowProc
 |  | DockOrientation
 | ro | Floating
 |  | FloatingDockSiteClass
 |  | HostDockSite
 |  | LRDockWidth
 |  | TBDockHeight
 |  | UndockHeight
 |  | UndockWidth
 |  | BiDiMode
 |  | ParentBiDiMode
pl |  | AnchorSideLeft
pl |  | AnchorSideTop
pl |  | AnchorSideRight
pl |  | AnchorSideBottom
pl |  | Cursor
pl |  | Left
pl |  | Height
pl |  | Hint
pl |  | Top
pl |  | Width
pl |  | HelpType
pl |  | HelpKeyword
pl |  | HelpContext
TLCLComponent
 | ro | LCLRefCount
 | ro | WidgetSetClass
TComponent
 | ro | ComObject
 | ro | Components
 | ro | ComponentCount
 |  | ComponentIndex
 | ro | ComponentState
 | ro | ComponentStyle
 |  | DesignInfo
 | ro | Owner
 |  | VCLComObject
 |  | Name
 |  | Tag
TPersistent
TObject


 |  | AccessibleDescription (TControl)
 |  | AccessibleRole (TControl)
 |  | AccessibleValue (TControl)
 |  | Action (TControl)
pt |  | ActionLink (TControl)
 |  | Align (TControl)
pl | ro | Align (TDBGrid)
pt |  | AllowOutboundEvents (TCustomGrid)
 | ro | AllowOutboundEvents (TCustomDBGrid)
pt |  | AltColorStartNormal (TCustomGrid)
pt |  | AlternateColor (TCustomGrid)
pl | ro | AlternateColor (TDBGrid)
 | ro | AnchoredControls (TControl)
 |  | Anchors (TControl)
pl | ro | Anchors (TDBGrid)
 | ro | AnchorSide (TControl)
pl |  | AnchorSideBottom (TControl)
pl |  | AnchorSideLeft (TControl)
pl |  | AnchorSideRight (TControl)
pl |  | AnchorSideTop (TControl)
pt |  | AutoAdvance (TCustomGrid)
pl | ro | AutoAdvance (TDBGrid)
pt |  | AutoEdit (TCustomGrid)
pl | ro | AutoEdit (TDBGrid)
pt |  | AutoFillColumns (TCustomGrid)
pl | ro | AutoFillColumns (TDBGrid)
 |  | AutoSize (TControl)
pt | ro | AutoSizing (TControl)
pt | ro | AutoSizingAll (TControl)
pt | ro | AutoSizingLockCount (TControl)
 | ro | BaseBounds (TControl)
 | ro | BaseParentClientSize (TControl)
 |  | BiDiMode (TControl)
pl | ro | BiDiMode (TDBGrid)
pt |  | BorderColor (TCustomGrid)
 | ro | BorderColor (TDBGrid)
 |  | BorderSpacing (TControl)
pl | ro | BorderSpacing (TDBGrid)
pt |  | BorderStyle (TWinControl)
 | ro | BorderStyle (TCustomControl)
pt |  | BorderStyle (TCustomGrid)
pl | ro | BorderStyle (TDBGrid)
 |  | BorderWidth (TWinControl)
 | ro | BoundsLockCount (TWinControl)
 |  | BoundsRect (TControl)
 |  | BoundsRectForNewParent (TControl)
 | ro | Brush (TWinControl)
 | ro | CachedClientHeight (TWinControl)
 | ro | CachedClientWidth (TWinControl)
 |  | Canvas (TCustomControl)
 | ro | Canvas (TDBGrid)
 |  | Caption (TControl)
 |  | CaptureMouseButtons (TControl)
pt |  | CellHintPriority (TCustomGrid)
pl | ro | CellHintPriority (TDBGrid)
 |  | ChildSizing (TWinControl)
 |  | ClientHeight (TControl)
 | ro | ClientOrigin (TControl)
 | ro | ClientRect (TControl)
 |  | ClientWidth (TControl)
pt |  | Col (TCustomGrid)
pt |  | ColCount (TCustomGrid)
 |  | Color (TControl)
pl | ro | Color (TDBGrid)
pt |  | ColRow (TCustomGrid)
pt |  | ColumnClickSorts (TCustomGrid)
pt |  | Columns (TCustomGrid)
pt |  | Columns (TCustomDBGrid)
pl | ro | Columns (TDBGrid)
pt |  | ColWidths (TCustomGrid)
 | ro | ComObject (TComponent)
 | ro | ComponentCount (TComponent)
 |  | ComponentIndex (TComponent)
 | ro | Components (TComponent)
 | ro | ComponentState (TComponent)
 | ro | ComponentStyle (TComponent)
 |  | Constraints (TControl)
pl | ro | Constraints (TDBGrid)
 | ro | ControlCount (TWinControl)
 | ro | ControlOrigin (TControl)
 | ro | Controls (TWinControl)
 |  | ControlState (TControl)
 |  | ControlStyle (TControl)
pl |  | Cursor (TControl)
pt | ro | Datalink (TCustomDBGrid)
 |  | DataSource (TCustomDBGrid)
pl | ro | DataSource (TDBGrid)
pt |  | DefaultColWidth (TCustomGrid)
pt |  | DefaultDrawing (TCustomGrid)
pl | ro | DefaultDrawing (TDBGrid)
pt |  | DefaultRowHeight (TCustomGrid)
pl | ro | DefaultRowHeight (TDBGrid)
pt |  | DefaultTextStyle (TCustomGrid)
 | ro | DefaultTextStyle (TDBGrid)
 |  | DefWndProc (TWinControl)
 |  | DesignerDeleting (TWinControl)
 |  | DesignInfo (TComponent)
pt |  | DesktopFont (TControl)
 | ro | DockClientCount (TWinControl)
 | ro | DockClients (TWinControl)
 |  | DockManager (TWinControl)
 |  | DockOrientation (TControl)
 |  | DockSite (TWinControl)
 |  | DoubleBuffered (TWinControl)
pl | ro | DoubleBuffered (TDBGrid)
pt |  | DragCursor (TControl)
pl | ro | DragCursor (TDBGrid)
pt |  | DragDx (TCustomGrid)
pt |  | DragKind (TControl)
pt |  | DragMode (TControl)
pl | ro | DragMode (TDBGrid)
pt |  | Editor (TCustomGrid)
pt |  | EditorBorderStyle (TCustomGrid)
 | ro | EditorBorderStyle (TDBGrid)
pt |  | EditorKey (TCustomGrid)
pt |  | EditorMode (TCustomGrid)
 | ro | EditorMode (TDBGrid)
pt |  | EditorOptions (TCustomGrid)
pt |  | EditorShowing (TCustomGrid)
 |  | Enabled (TControl)
pl | ro | Enabled (TDBGrid)
pt |  | ExtendedColSizing (TCustomGrid)
 | ro | ExtendedColSizing (TDBGrid)
pt |  | ExtendedRowSizing (TCustomGrid)
pt |  | ExtendedSelect (TCustomGrid)
pt |  | FastEditing (TCustomGrid)
 | ro | FastEditing (TDBGrid)
 | ro | FirstColumn (TCustomDBGrid)
pt |  | FixedColor (TCustomGrid)
pl | ro | FixedColor (TDBGrid)
pt |  | FixedCols (TCustomGrid)
pl | ro | FixedCols (TDBGrid)
pt |  | FixedGridLineColor (TCustomGrid)
pt |  | FixedHotColor (TCustomGrid)
pl | ro | FixedHotColor (TDBGrid)
pt |  | FixedRows (TCustomGrid)
pt |  | Flat (TCustomGrid)
pl | ro | Flat (TDBGrid)
 | ro | Floating (TControl)
 |  | FloatingDockSiteClass (TControl)
pt |  | FocusColor (TCustomGrid)
 | ro | FocusColor (TDBGrid)
pt |  | FocusRectVisible (TCustomGrid)
 | ro | FocusRectVisible (TDBGrid)
 |  | Font (TControl)
pl | ro | Font (TDBGrid)
pt | ro | GCache (TCustomGrid)
pt |  | GridFlags (TCustomGrid)
pt | ro | GridHeight (TCustomGrid)
pt |  | GridLineColor (TCustomGrid)
 | ro | GridLineColor (TDBGrid)
pt |  | GridLineStyle (TCustomGrid)
 | ro | GridLineStyle (TDBGrid)
pt |  | GridLineWidth (TCustomGrid)
pt |  | GridStatus (TCustomDBGrid)
pt | ro | GridWidth (TCustomGrid)
 |  | Handle (TWinControl)
pt |  | HeaderHotZones (TCustomGrid)
pl | ro | HeaderHotZones (TDBGrid)
pt |  | HeaderPushZones (TCustomGrid)
pl | ro | HeaderPushZones (TDBGrid)
pl |  | Height (TControl)
pl |  | HelpContext (TControl)
pl |  | HelpKeyword (TControl)
pl |  | HelpType (TControl)
pl |  | Hint (TControl)
 |  | HostDockSite (TControl)
pt |  | ImageIndexSortAsc (TCustomGrid)
pt |  | ImageIndexSortDesc (TCustomGrid)
pt | ro | InplaceEditor (TCustomGrid)
 | ro | InplaceEditor (TDBGrid)
pt | ro | IsCellSelected (TCustomGrid)
 |  | IsControl (TControl)
 | ro | IsFlipped (TWinControl)
 | ro | IsResizing (TWinControl)
 | ro | LastColumn (TCustomDBGrid)
 | ro | LCLRefCount (TLCLComponent)
pl |  | Left (TControl)
pt |  | LeftCol (TCustomGrid)
 |  | LRDockWidth (TControl)
pt |  | MouseCapture (TControl)
 | ro | MouseEntered (TControl)
 | ro | MouseInClient (TControl)
pt |  | MouseWheelOption (TCustomGrid)
 |  | Name (TComponent)
pt |  | Options (TCustomGrid)
pt |  | Options (TCustomDBGrid)
pl | ro | Options (TDBGrid)
pt |  | Options2 (TCustomGrid)
pl | ro | Options2 (TDBGrid)
pt |  | OptionsExtra (TCustomDBGrid)
pl | ro | OptionsExtra (TDBGrid)
 | ro | Owner (TComponent)
 |  | Parent (TControl)
pt |  | ParentBackground (TWinControl)
 |  | ParentBiDiMode (TControl)
pl | ro | ParentBiDiMode (TDBGrid)
pt |  | ParentColor (TControl)
pl | ro | ParentColor (TDBGrid)
 |  | ParentDoubleBuffered (TWinControl)
pl | ro | ParentDoubleBuffered (TDBGrid)
pt |  | ParentFont (TControl)
pl | ro | ParentFont (TDBGrid)
pt |  | ParentShowHint (TControl)
 |  | ParentWindow (TWinControl)
 |  | PopupMenu (TControl)
pl | ro | PopupMenu (TDBGrid)
pt |  | RangeSelectMode (TCustomGrid)
 | ro | ReadBounds (TControl)
pt |  | ReadOnly (TCustomDBGrid)
pl | ro | ReadOnly (TDBGrid)
pt |  | Row (TCustomGrid)
pt |  | RowCount (TCustomGrid)
pt |  | RowHeights (TCustomGrid)
pt |  | SaveOptions (TCustomGrid)
pt |  | ScrollBars (TCustomGrid)
pl | ro | Scrollbars (TDBGrid)
pt |  | SelectActive (TCustomGrid)
pt |  | SelectedColor (TCustomGrid)
 | ro | SelectedColor (TDBGrid)
pt | ro | SelectedColumn (TCustomGrid)
 | ro | SelectedColumn (TCustomDBGrid)
 |  | SelectedField (TCustomDBGrid)
 | ro | SelectedFieldRect (TCustomDBGrid)
 |  | SelectedIndex (TCustomDBGrid)
 | ro | SelectedRange (TCustomGrid)
 | ro | SelectedRangeCount (TCustomGrid)
pt | ro | SelectedRows (TCustomDBGrid)
 | ro | SelectedRows (TDBGrid)
pt |  | Selection (TCustomGrid)
pt |  | SessionProperties (TControl)
 |  | ShowHint (TControl)
pl | ro | ShowHint (TDBGrid)
 | ro | Showing (TWinControl)
 | ro | SortColumn (TCustomGrid)
 |  | SortOrder (TCustomGrid)
pt |  | StrictSort (TCustomGrid)
pt |  | TabAdvance (TCustomGrid)
pl | ro | TabAdvance (TDBGrid)
 |  | TabOrder (TWinControl)
pl | ro | TabOrder (TDBGrid)
 |  | TabStop (TWinControl)
 | ro | TabStop (TCustomGrid)
pl | ro | TabStop (TDBGrid)
 |  | Tag (TComponent)
 |  | TBDockHeight (TControl)
pt |  | Text (TControl)
pt |  | TitleFont (TCustomGrid)
pl | ro | TitleFont (TDBGrid)
pt |  | TitleImageList (TCustomGrid)
pl | ro | TitleImageList (TDBGrid)
pt |  | TitleImageListWidth (TCustomGrid)
pt |  | TitleStyle (TCustomGrid)
pl | ro | TitleStyle (TDBGrid)
pl |  | Top (TControl)
pt |  | TopRow (TCustomGrid)
 |  | UndockHeight (TControl)
 |  | UndockWidth (TControl)
 |  | UseDockManager (TWinControl)
pt |  | UseXORFeatures (TCustomGrid)
pl | ro | UseXORFeatures (TDBGrid)
pt |  | ValidateOnSetSelection (TCustomGrid)
 |  | VCLComObject (TComponent)
 |  | Visible (TControl)
pl | ro | Visible (TDBGrid)
pt | ro | VisibleColCount (TCustomGrid)
 | ro | VisibleDockClientCount (TWinControl)
pt | ro | VisibleRowCount (TCustomGrid)
 | ro | WidgetSetClass (TLCLComponent)
pl |  | Width (TControl)
pt |  | WindowHandle (TWinControl)
 |  | WindowProc (TControl)


TDBGrid
TCustomDBGrid
pt | AddAutomaticColumns
pt | AssignTo
pt | AutoAdjustColumn
pt | BeforeMoveSelection
pt | BeginLayout
pt | CellClick
pt | CheckDisplayMemo
pt | InvalidateSizes
pt | ColRowMoved
pt | ColumnEditorStyle
pt | CreateColumns
pt | CreateWnd
pt | DefineProperties
pt | DefaultDrawCell
pt | DefaultEditorStyle
pt | DoCopyToClipboard
pt | DoExit
pt | DoMouseWheelDown
pt | DoMouseWheelUp
pt | DoOnChangeBounds
pt | DoPrepareCanvas
pt | DoLoadColumn
pt | DoSaveColumn
pt | DrawAllRows
pt | DrawFocusRect
pt | DrawRow
pt | DrawCell
pt | DrawCellBackground
pt | DrawCheckboxBitmaps
pt | DrawFixedText
pt | DrawColumnText
pt | DrawIndicator
pt | EditingColumn
pt | EditorCancelEditing
pt | EditorDoGetValue
pt | EditorCanAcceptKey
pt | EditorIsReadOnly
pt | EditorTextChanged
pt | EndLayout
pt | FieldIndexFromGridColumn
pt | FirstGridColumn
pt | GetBufferCount
pt | GetCellHintText
pt | GetDefaultColumnAlignment
pt | GetDefaultColumnWidth
pt | GetDefaultColumnReadOnly
pt | GetDefaultColumnTitle
pt | GetDefaultRowHeight
pt | GetDsFieldFromGridColumn
pt | GetEditMask
pt | GetEditText
pt | GetFieldFromGridColumn
pt | GetGridColumnFromField
pt | GetImageForCheckBox
pt | GetIsCellSelected
pt | GetIsCellTitle
pt | GetSelectedState
pt | GetSmoothScroll
pt | GetTruncCellHintText
pt | GridCanModify
pt | GetSBVisibility
pt | GetSBRanges
pt | HeaderClick
pt | HeaderSized
pt | IsColumnVisible
pt | IsValidChar
pt | KeyDown
pt | LinkActive
pt | LayoutChanged
pt | Loaded
pt | LoadGridOptions
pt | MoveSelection
pt | MouseButtonAllowed
pt | MouseDown
pt | MouseMove
pt | PrepareCanvas
pt | PrepareCellHints
pt | RemoveAutomaticColumns
pt | ResetSizes
pt | SaveGridOptions
pt | SelectEditor
pt | SetEditText
pt | SetFixedCols
pt | SelectCell
pt | UnprepareCellHints
pt | UpdateActive
pt | UpdateAutoSizeColumns
pt | UpdateData
pt | UpdateGridCounts
pt | WMVScroll
pt | WndProc
 | Create
 | AutoAdjustColumns
 | InitiateAction
 | DefaultDrawColumnCell
 | EditorByStyle
 | ResetColWidths
 | Destroy
 | MouseToRecordOffset
 | ExecuteAction
 | UpdateAction
 | SaveToFile
 | SaveToStream
 | LoadFromFile
 | LoadFromStream
TCustomGrid
pt | RTLSign
pt | WSRegisterClass
pt | AddSelectedRange
pt | AdjustClientRect
pt | AdjustEditorBounds
pt | AfterMoveSelection
pt | AssignTo
pt | AutoAdjustColumn
pt | BeforeMoveSelection
pt | BeginAutoDrag
pt | BoxRect
pt | CacheMouseDown
pt | CalcAutoSizeColumn
pt | CalcCellExtent
pt | CalcFocusRect
pt | CalcMaxTopLeft
pt | CalcScrollbarsRange
pt | CalculatePreferredSize
pt | CanEditShow
pt | CanGridAcceptKey
pt | CellClick
pt | CellExtent
pt | CheckLimits
pt | CheckLimitsWithError
pt | CMBiDiModeChanged
pt | CMMouseEnter
pt | CMMouseLeave
pt | ColRowDeleted
pt | ColRowExchanged
pt | ColRowInserted
pt | ColRowMoved
pt | ColRowToOffset
pt | ColumnIndexFromGridColumn
pt | ColumnFromGridColumn
pt | ColumnsChanged
pt | ColWidthsChanged
pt | CreateColumns
pt | CheckNewCachedSizes
pt | CreateWnd
pt | CreateParams
pt | Click
pt | DblClick
pt | DefaultColWidthIsStored
pt | DefaultRowHeightIsStored
pt | DefineProperties
pt | DestroyHandle
pt | DialogChar
pt | DoCompareCells
pt | DoCopyToClipboard
pt | DoCutToClipboard
pt | DoEditButtonClick
pt | DoEditorHide
pt | DoEditorShow
pt | DoExit
pt | DoEnter
pt | DoLoadColumn
pt | DoSaveColumn
pt | DoMouseWheel
pt | DoMouseWheelDown
pt | DoMouseWheelUp
pt | DoMouseWheelLeft
pt | DoMouseWheelRight
pt | DoAutoAdjustLayout
pt | DoOnChangeBounds
pt | DoOPDeleteColRow
pt | DoOPExchangeColRow
pt | DoOPInsertColRow
pt | DoOPMoveColRow
pt | DoPasteFromClipboard
pt | DoPrepareCanvas
pt | DoSetBounds
pt | DoUTF8KeyPress
pt | DrawBorder
pt | DrawAllRows
pt | DrawFillRect
pt | DrawCell
pt | DrawCellGrid
pt | DrawTextInCell
pt | DrawThemedCell
pt | DrawCellText
pt | DrawGridCheckboxBitmaps
pt | DrawButtonCell
pt | DrawColRowMoving
pt | DrawColumnText
pt | DrawColumnTitleImage
pt | DrawEdges
pt | DrawFocusRect
pt | DrawRow
pt | EditButtonClicked
pt | EditordoGetValue
pt | EditordoResetValue
pt | EditordoSetValue
pt | EditorCanAcceptKey
pt | EditorIsReadOnly
pt | EditorHide
pt | EditorLocked
pt | EditingAllowed
pt | EditorSelectAll
pt | EditorShow
pt | EditorShowInCell
pt | EditorWidthChanged
pt | FirstGridColumn
pt | FixedGrid
pt | FontChanged
pt | GetAutoFillColumnInfo
pt | GetCellHintText
pt | GetCells
pt | GetColumnAlignment
pt | GetColumnColor
pt | GetColumnFont
pt | GetColumnLayout
pt | GetColumnReadonly
pt | GetColumnTitle
pt | GetColumnWidth
pt | GetDeltaMoveNext
pt | GetDefaultColumnAlignment
pt | GetDefaultColumnWidth
pt | GetDefaultColumnLayout
pt | GetDefaultColumnReadOnly
pt | GetDefaultColumnTitle
pt | GetDefaultEditor
pt | GetDefaultRowHeight
pt | GetGridDrawState
pt | GetImageForCheckBox
pt | GetScrollBarPosition
pt | GetSmoothScroll
pt | GetSBVisibility
pt | GetSBRanges
pt | GetSelectedState
pt | GetEditMask
pt | GetEditText
pt | GetFixedcolor
pt | GetFirstVisibleColumn
pt | GetFirstVisibleRow
pt | GetLastVisibleColumn
pt | GetLastVisibleRow
pt | GetSelectedColor
pt | GetTitleShowPrefix
pt | GetPxTopLeft
pt | GetTruncCellHintText
pt | GridColumnFromColumnIndex
pt | GridMouseWheel
pt | HeaderClick
pt | HeaderSized
pt | HeaderSizing
pt | HideCellHintWindow
pt | InternalSetColCount
pt | InvalidateCell
pt | InvalidateFromCol
pt | InvalidateGrid
pt | InvalidateFocused
pt | GetIsCellTitle
pt | GetIsCellSelected
pt | IsEmptyRow
pt | IsMouseOverCellButton
pt | KeyDown
pt | KeyUp
pt | KeyPress
pt | LoadContent
pt | LoadGridOptions
pt | Loaded
pt | LockEditor
pt | MouseButtonAllowed
pt | MouseDown
pt | MouseMove
pt | MouseUp
pt | MoveExtend
pt | MoveNextAuto
pt | MoveNextSelectable
pt | MoveSelection
pt | OffsetToColRow
pt | Paint
pt | PickListItemSelected
pt | PrepareCanvas
pt | PrepareCellHints
pt | ResetDefaultColWidths
pt | ResetEditor
pt | ResetLastMove
pt | ResetOffset
pt | ResetSizes
pt | ResizeColumn
pt | ResizeRow
pt | RowHeightsChanged
pt | SaveContent
pt | SaveGridOptions
pt | ScrollBarRange
pt | ScrollBarPosition
pt | ScrollBarIsVisible
pt | ScrollBarPage
pt | ScrollBarShow
pt | ScrollBarAutomatic
pt | ScrollBy
pt | SelectEditor
pt | SelectCell
pt | SetCanvasFont
pt | SetColor
pt | SetColRow
pt | SetEditText
pt | SetBorderStyle
pt | SetFixedcolor
pt | SetFixedCols
pt | SetFixedRows
pt | SetRawColWidths
pt | SetSelectedColor
pt | ShowCellHintWindow
pt | SizeChanged
pt | Sort
pt | StartPushCell
pt | TopLeftChanged
pt | TryMoveSelection
pt | UnLockEditor
pt | UnprepareCellHints
pt | UpdateHorzScrollBar
pt | UpdateSelectionRange
pt | UpdateVertScrollbar
pt | UpdateBorderStyle
pt | ValidateEntry
pt | VisualChange
pt | WMSize
pt | WMHScroll
pt | WMVScroll
pt | WMKillFocus
pt | WMSetFocus
pt | WndProc
pt | FlipRect
pt | FlipPoint
pt | FlipX
 | Create
 | Destroy
 | Invalidate
 | EditingDone
 | AdjustInnerCellRect
 | AutoAdjustColumns
 | BeginUpdate
 | CellRect
 | CellToGridZone
 | CheckPosition
 | ClearCols
 | ClearRows
 | Clear
 | ClearSelections
 | EditorByStyle
 | EditorKeyDown
 | EditorKeyPress
 | EditorKeyUp
 | EditorTextChanged
 | EndUpdate
 | EraseBackground
 | Focused
 | HasMultiSelection
 | InvalidateCol
 | InvalidateRange
 | InvalidateRow
 | IsCellVisible
 | IsFixedCellVisible
 | LoadFromFile
 | LoadFromStream
 | MouseCoord
 | MouseToCell
 | MouseToLogcell
 | MouseToGridZone
 | SaveToFile
 | SaveToStream
 | SetFocus
TCustomControl
pt | WSRegisterClass
pt | WMPaint
pt | DestroyWnd
pt | PaintWindow
pt | FontChanged
pt | SetColor
pt | Paint
 | Create
 | Destroy
TWinControl
pt | WSRegisterClass
pt | AdjustClientRect
pt | GetAdjustedLogicalClientRect
pt | AlignControls
pt | CustomAlignInsertBefore
pt | CustomAlignPosition
pt | DoAlignChildControls
pt | DoChildSizingChange
pt | InvalidatePreferredChildSizes
pt | CanTab
pt | IsClientHeightStored
pt | IsClientWidthStored
pt | DoSendShowHideToInterface
pt | ControlsAligned
pt | DoSendBoundsToInterface
pt | RealizeBounds
pt | RealizeBoundsRecursive
pt | InvalidateBoundsRealized
pt | CreateSubClass
pt | DoConstraintsChange
pt | DoSetBounds
pt | DoAutoSize
pt | DoAllAutoSize
pt | AllAutoSized
pt | CalculatePreferredSize
pt | GetPreferredSizeClientFrame
pt | GetChildren
pt | ChildClassAllowed
pt | PaintControls
pt | PaintHandler
pt | PaintWindow
pt | CreateBrush
pt | ScaleControls
pt | ChangeScale
pt | CMBiDiModeChanged
pt | CMBorderChanged
pt | CMDoubleBufferedChanged
pt | CMEnabledChanged
pt | CMParentDoubleBufferedChanged
pt | CMShowingChanged
pt | CMShowHintChanged
pt | CMVisibleChanged
pt | CMEnter
pt | CMExit
pt | WMContextMenu
pt | WMEraseBkgnd
pt | WMNotify
pt | WMSetFocus
pt | WMKillFocus
pt | WMShowWindow
pt | WMEnter
pt | WMExit
pt | WMKeyDown
pt | WMSysKeyDown
pt | WMKeyUp
pt | WMSysKeyUp
pt | WMChar
pt | WMSysChar
pt | WMPaint
pt | WMDestroy
pt | WMMove
pt | WMSize
pt | WMWindowPosChanged
pt | CNKeyDown
pt | CNSysKeyDown
pt | CNKeyUp
pt | CNSysKeyUp
pt | CNChar
pt | DoDragMsg
pt | DoDockClientMsg
pt | DoUndockClientMsg
pt | DoAddDockClient
pt | DockOver
pt | DoDockOver
pt | DoRemoveDockClient
pt | DoUnDock
pt | GetSiteInfo
pt | GetParentHandle
pt | GetTopParentHandle
pt | ReloadDockedControl
pt | CreateDockManager
pt | SetDockManager
pt | DoFloatMsg
pt | DoGetDockCaption
pt | DoEnter
pt | DoExit
pt | DoKeyDownBeforeInterface
pt | DoRemainingKeyDown
pt | DoRemainingKeyUp
pt | DoKeyPress
pt | DoUTF8KeyPress
pt | DoKeyUpBeforeInterface
pt | ChildKey
pt | SendDialogChar
pt | DialogChar
pt | ControlKeyDown
pt | ControlKeyUp
pt | KeyDown
pt | KeyDownBeforeInterface
pt | KeyDownAfterInterface
pt | KeyPress
pt | KeyUp
pt | KeyUpBeforeInterface
pt | KeyUpAfterInterface
pt | UTF8KeyPress
pt | FindNextControl
pt | SelectFirst
pt | RealGetText
pt | GetBorderStyle
pt | GetClientOrigin
pt | GetClientRect
pt | GetControlOrigin
pt | GetDeviceContext
pt | GetParentBackground
pt | IsControlMouseMsg
pt | CreateHandle
pt | CreateParams
pt | CreateWnd
pt | DestroyHandle
pt | DestroyWnd
pt | DoFlipChildren
pt | FinalizeWnd
pt | FixupTabList
pt | FontChanged
pt | InitializeWnd
pt | Loaded
pt | FormEndUpdated
pt | MainWndProc
pt | ParentFormHandleInitialized
pt | ChildHandlesCreated
pt | GetMouseCapture
pt | RealSetText
pt | RemoveFocus
pt | SendMoveSizeMessages
pt | SetBorderStyle
pt | SetColor
pt | SetChildZPosition
pt | SetParentBackground
pt | ShowControl
pt | UpdateControlState
pt | UpdateShowing
pt | WndProc
pt | WSSetText
 | AutoSizePhases
 | AutoSizeDelayed
 | AutoSizeDelayedReport
 | AutoSizeDelayedHandle
 | BeginUpdateBounds
 | EndUpdateBounds
 | LockRealizeBounds
 | UnlockRealizeBounds
 | ControlAtPos
 | ContainsControl
 | DoAdjustClientRectChange
 | InvalidateClientRectCache
 | ClientRectNeedsInterfaceUpdate
 | SetBounds
 | GetChildrenRect
 | DisableAlign
 | EnableAlign
 | ReAlign
 | ScrollBy_WS
 | ScrollBy
 | WriteLayoutDebugReport
 | AutoAdjustLayout
 | Create
 | CreateParented
 | CreateParentedControl
 | Destroy
 | DockDrop
 | CanFocus
 | CanSetFocus
 | GetControlIndex
 | SetControlIndex
 | Focused
 | PerformTab
 | FindChildControl
 | SelectNext
 | SetTempCursor
 | BroadCast
 | NotifyControls
 | DefaultHandler
 | GetTextLen
 | Invalidate
 | AddControl
 | InsertControl
 | RemoveControl
 | GetEnumeratorControls
 | GetEnumeratorControlsReverse
 | Repaint
 | Update
 | SetFocus
 | FlipChildren
 | ScaleBy
 | GetDockCaption
 | UpdateDockCaption
 | GetTabOrderList
 | HandleAllocated
 | ParentHandlesAllocated
 | HandleNeeded
 | BrushCreated
 | EraseBackground
 | IntfUTF8KeyPress
 | IntfGetDropFilesTarget
 | PaintTo
 | SetShape
TControl
pt | WSRegisterClass
pt | GetCursor
pt | SetCursor
pt | SetVisible
pt | DoOnParentHandleDestruction
pt | DoAutoSize
pt | DoAllAutoSize
pt | BeginAutoSizing
pt | EndAutoSizing
pt | AnchorSideChanged
pt | ForeignAnchorSideChanged
pt | SetAlign
pt | SetAnchors
pt | SetAutoSize
pt | BoundsChanged
pt | CreateControlBorderSpacing
pt | DoConstraintsChange
pt | DoBorderSpacingChange
pt | IsBorderSpacingInnerBorderStored
pt | IsCaptionStored
pt | SendMoveSizeMessages
pt | ConstrainedResize
pt | CalculatePreferredSize
pt | DoOnResize
pt | DoOnChangeBounds
pt | CheckOnChangeBounds
pt | Resize
pt | RequestAlign
pt | UpdateAnchorRules
pt | ChangeBounds
pt | DoSetBounds
pt | ScaleConstraints
pt | ChangeScale
pt | CanAutoSize
pt | SetBiDiMode
pt | SetParentBiDiMode
pt | IsAParentAligning
pt | GetClientOrigin
pt | GetClientRect
pt | GetLogicalClientRect
pt | GetScrolledClientRect
pt | GetClientScrollOffset
pt | GetControlOrigin
pt | IsClientHeightStored
pt | IsClientWidthStored
pt | WidthIsAnchored
pt | HeightIsAnchored
pt | WMCancelMode
pt | WMContextMenu
pt | WMLButtonDown
pt | WMRButtonDown
pt | WMMButtonDown
pt | WMXButtonDown
pt | WMLButtonDBLCLK
pt | WMRButtonDBLCLK
pt | WMMButtonDBLCLK
pt | WMXButtonDBLCLK
pt | WMLButtonTripleCLK
pt | WMRButtonTripleCLK
pt | WMMButtonTripleCLK
pt | WMXButtonTripleCLK
pt | WMLButtonQuadCLK
pt | WMRButtonQuadCLK
pt | WMMButtonQuadCLK
pt | WMXButtonQuadCLK
pt | WMMouseMove
pt | WMLButtonUp
pt | WMRButtonUp
pt | WMMButtonUp
pt | WMXButtonUp
pt | WMMouseWheel
pt | WMMouseHWheel
pt | WMMove
pt | WMSize
pt | WMWindowPosChanged
pt | CMChanged
pt | LMCaptureChanged
pt | CMBiDiModeChanged
pt | CMSysFontChanged
pt | CMEnabledChanged
pt | CMHitTest
pt | CMMouseEnter
pt | CMMouseLeave
pt | CMHintShow
pt | CMParentBiDiModeChanged
pt | CMParentColorChanged
pt | CMParentFontChanged
pt | CMParentShowHintChanged
pt | CMVisibleChanged
pt | CMTextChanged
pt | CMCursorChanged
pt | CalculateDockSizes
pt | CreateFloatingDockSite
pt | GetDockEdge
pt | GetDragImages
pt | GetFloating
pt | GetFloatingDockSiteClass
pt | BeforeDragStart
pt | BeginAutoDrag
pt | DoFloatMsg
pt | DockTrackNoTarget
pt | DoDock
pt | DoDragMsg
pt | DoEndDock
pt | DoEndDrag
pt | DoStartDock
pt | DoStartDrag
pt | DragCanceled
pt | DragOver
pt | PositionDockRect
pt | SetDragMode
pt | GetDefaultDockCaption
pt | Click
pt | DblClick
pt | TripleClick
pt | QuadClick
pt | GetMousePosFromMessage
pt | MouseDown
pt | MouseMove
pt | MouseUp
pt | MouseEnter
pt | MouseLeave
pt | DialogChar
pt | UpdateMouseCursor
pt | Changed
pt | GetPalette
pt | ChildClassAllowed
pt | ReadState
pt | Loaded
pt | LoadedAll
pt | DefineProperties
pt | AssignTo
pt | FormEndUpdated
pt | InvalidateControl
pt | FontChanged
pt | ParentFontChanged
pt | GetAction
pt | RealGetText
pt | RealSetText
pt | TextChanged
pt | GetCachedText
pt | SetAction
pt | SetColor
pt | SetEnabled
pt | SetHint
pt | SetName
pt | SetParent
pt | SetParentComponent
pt | WndProc
pt | ParentFormHandleInitialized
pt | GetMouseCapture
pt | CaptureChanged
pt | Notification
pt | CanTab
pt | GetDeviceContext
pt | GetEnabled
pt | GetPopupMenu
pt | DoOnShowHint
pt | DoMouseWheel
pt | DoMouseWheelDown
pt | DoMouseWheelUp
pt | DoMouseWheelHorz
pt | DoMouseWheelLeft
pt | DoMouseWheelRight
pt | VisibleChanging
pt | VisibleChanged
pt | EnabledChanging
pt | EnabledChanged
pt | AddHandler
pt | RemoveHandler
pt | DoCallNotifyHandler
pt | DoCallKeyEventHandler
pt | DoCallMouseWheelEventHandler
pt | DoContextPopup
pt | SetZOrder
pt | GetControlClassDefaultSize
pt | ColorIsStored
pt | DoAutoAdjustLayout
pt | DoFixDesignFontPPI
pt | DoScaleFontPPI
pt | GetActionLinkClass
pt | ActionChange
 | DragDrop
 | Dock
 | ManualDock
 | ManualFloat
 | ReplaceDockedControl
 | Docked
 | Dragging
 | GetAccessibleObject
 | CreateAccessibleObject
 | GetSelectedChildAccessibleObject
 | GetChildAccessibleObjectAtPos
 | ScaleDesignToForm
 | ScaleFormToDesign
 | Scale96ToForm
 | ScaleFormTo96
 | Scale96ToFont
 | ScaleFontTo96
 | ScaleScreenToFont
 | ScaleFontToScreen
 | Scale96ToScreen
 | ScaleScreenTo96
 | AdjustSize
 | AutoSizePhases
 | AutoSizeDelayed
 | AutoSizeDelayedReport
 | AutoSizeDelayedHandle
 | AnchorToNeighbour
 | AnchorParallel
 | AnchorHorizontalCenterTo
 | AnchorVerticalCenterTo
 | AnchorToCompanion
 | AnchorSame
 | AnchorAsAlign
 | AnchorClient
 | AnchoredControlCount
 | SetBounds
 | SetInitialBounds
 | SetBoundsKeepBase
 | GetPreferredSize
 | GetCanvasScaleFactor
 | GetDefaultWidth
 | GetDefaultHeight
 | GetDefaultColor
 | GetColorResolvingParent
 | GetRGBColorResolvingParent
 | GetSidePosition
 | CNPreferredSizeChanged
 | InvalidatePreferredSize
 | GetAnchorsDependingOnParent
 | DisableAutoSizing
 | EnableAutoSizing
 | UpdateBaseBounds
 | WriteLayoutDebugReport
 | AutoAdjustLayout
 | ShouldAutoAdjust
 | FixDesignFontsPPI
 | ScaleFontsPPI
 | Create
 | Destroy
 | BeforeDestruction
 | EditingDone
 | ExecuteDefaultAction
 | ExecuteCancelAction
 | BeginDrag
 | EndDrag
 | BringToFront
 | HasParent
 | GetParentComponent
 | IsParentOf
 | GetTopParent
 | IsVisible
 | IsControlVisible
 | IsEnabled
 | IsParentColor
 | IsParentFont
 | FormIsUpdating
 | IsProcessingPaintMsg
 | Hide
 | Refresh
 | Repaint
 | Invalidate
 | CheckChildClassAllowed
 | CheckNewParent
 | SendToBack
 | SetTempCursor
 | UpdateRolesForForm
 | ActiveDefaultControlChanged
 | GetTextBuf
 | GetTextLen
 | SetTextBuf
 | Perform
 | ScreenToClient
 | ClientToScreen
 | ScreenToControl
 | ControlToScreen
 | ClientToParent
 | ParentToClient
 | GetChildrenRect
 | Show
 | Update
 | HandleObjectShouldBeVisible
 | ParentDestroyingHandle
 | ParentHandlesAllocated
 | InitiateAction
 | ShowHelp
 | HasHelp
 | RemoveAllHandlersOfObject
 | AddHandlerOnResize
 | RemoveHandlerOnResize
 | AddHandlerOnChangeBounds
 | RemoveHandlerOnChangeBounds
 | AddHandlerOnVisibleChanging
 | RemoveHandlerOnVisibleChanging
 | AddHandlerOnVisibleChanged
 | RemoveHandlerOnVisibleChanged
 | AddHandlerOnEnabledChanged
 | RemoveHandlerOnEnableChanging
 | AddHandlerOnKeyDown
 | RemoveHandlerOnKeyDown
 | AddHandlerOnBeforeDestruction
 | RemoveHandlerOnBeforeDestruction
 | AddHandlerOnMouseWheel
 | RemoveHandlerOnMouseWheel
 | UseRightToLeftAlignment
 | UseRightToLeftReading
 | UseRightToLeftScrollBar
 | IsRightToLeft
TLCLComponent
pt | WSRegisterClass
pt | GetWSComponentClass
 | Create
 | Destroy
 | NewInstance
 | RemoveAllHandlersOfObject
 | IncLCLRefCount
 | DecLCLRefCount
TComponent
 | GetComObject
 | GetComponent
 | GetComponentCount
 | GetComponentIndex
 | Insert
 | ReadLeft
 | ReadTop
 | Remove
 | RemoveNotification
 | SetComponentIndex
 | SetReference
 | WriteLeft
 | WriteTop
 | ChangeName
 | DefineProperties
 | GetChildren
 | GetChildOwner
 | GetChildParent
 | GetOwner
 | Loaded
 | Loading
 | Notification
 | PaletteCreated
 | ReadState
 | SetAncestor
 | SetDesigning
 | SetDesignInstance
 | SetInline
 | SetName
 | SetChildOrder
 | SetParentComponent
 | Updating
 | Updated
 | UpdateRegistry
 | ValidateRename
 | ValidateContainer
 | ValidateInsert
 | QueryInterface
 | _AddRef
 | _Release
 | iicrGetComponent
 | GetTypeInfoCount
 | GetTypeInfo
 | GetIDsOfNames
 | Invoke
 | WriteState
 | Create
 | Destroy
 | BeforeDestruction
 | DestroyComponents
 | Destroying
 | ExecuteAction
 | FindComponent
 | FreeNotification
 | RemoveFreeNotification
 | FreeOnRelease
 | GetEnumerator
 | GetNamePath
 | GetParentComponent
 | HasParent
 | InsertComponent
 | RemoveComponent
 | SafeCallException
 | SetSubComponent
 | UpdateAction
 | IsImplementorOf
 | ReferenceInterface
TPersistent
 | AssignError
 | AssignTo
 | DefineProperties
 | GetOwner
 | Destroy
 | Assign
 | FPOAttachObserver
 | FPODetachObserver
 | FPONotifyObservers
 | GetNamePath
TObject
 | Create
 | Destroy
 | newinstance
 | FreeInstance
 | SafeCallException
 | DefaultHandler
 | Free
 | InitInstance
 | CleanupInstance
 | ClassType
 | ClassInfo
 | ClassName
 | ClassNameIs
 | ClassParent
 | InstanceSize
 | InheritsFrom
 | StringMessageTable
 | MethodAddress
 | MethodName
 | FieldAddress
 | AfterConstruction
 | BeforeDestruction
 | DefaultHandlerStr
 | Dispatch
 | DispatchStr
 | GetInterface
 | GetInterfaceByStr
 | GetInterfaceWeak
 | GetInterfaceEntry
 | GetInterfaceEntryByStr
 | GetInterfaceTable
 | UnitName
 | Equals
 | GetHashCode
 | ToString


TDBGrid
 | ro | OnRowMoved
pl | ro | OnCellClick
pl | ro | OnColEnter
pl | ro | OnColExit
pl | ro | OnColumnMoved
pl | ro | OnColumnSized
pl | ro | OnContextPopup
pl | ro | OnDrawColumnCell
pl | ro | OnDrawColumnTitle
pl | ro | OnDblClick
pl | ro | OnDragDrop
pl | ro | OnDragOver
pl | ro | OnEditButtonClick
pl | ro | OnEditingDone
pl | ro | OnEndDrag
pl | ro | OnEnter
pl | ro | OnExit
pl | ro | OnFieldEditMask
pl | ro | OnGetCellHint
pl | ro | OnKeyDown
pl | ro | OnKeyPress
pl | ro | OnKeyUp
pl | ro | OnMouseDown
pl | ro | OnMouseEnter
pl | ro | OnMouseLeave
pl | ro | OnMouseMove
pl | ro | OnMouseUp
pl | ro | OnMouseWheel
pl | ro | OnMouseWheelDown
pl | ro | OnMouseWheelUp
pl | ro | OnPrepareCanvas
pl | ro | OnSelectEditor
pl | ro | OnStartDrag
pl | ro | OnTitleClick
pl | ro | OnUserCheckboxBitmap
pl | ro | OnUserCheckboxState
pl | ro | OnUTF8KeyPress
TCustomDBGrid
pt |  | OnCellClick
pt |  | OnColEnter
pt |  | OnColExit
pt |  | OnColumnMoved
pt |  | OnColumnSized
pt |  | OnDrawColumnCell
pt |  | OnDrawColumnTitle
pt |  | OnFieldEditMask
pt |  | OnGetCellHint
pt |  | OnPrepareCanvas
pt |  | OnSelectEditor
pt |  | OnTitleClick
pt |  | OnUserCheckboxBitmap
pt |  | OnUserCheckboxState
pt |  | OnRowMoved
TCustomGrid
pt |  | OnAfterSelection
pt |  | OnBeforeSelection
pt |  | OnCheckboxToggled
pt |  | OnCompareCells
pt |  | OnPrepareCanvas
pt |  | OnDrawCell
pt |  | OnEditButtonClick
pt |  | OnButtonClick
pt |  | OnPickListSelect
pt |  | OnSelection
pt |  | OnSelectEditor
pt |  | OnTopLeftChanged
pt |  | OnUserCheckboxBitmap
pt |  | OnValidateEntry
pt |  | OnGetCellHint
pt |  | OnSaveColumn
pt |  | OnLoadColumn
TCustomControl
 |  | OnPaint
TWinControl
pt |  | OnGetSiteInfo
pt |  | OnGetDockCaption
 |  | OnAlignInsertBefore
 |  | OnAlignPosition
 |  | OnDockDrop
 |  | OnDockOver
 |  | OnEnter
 |  | OnExit
 |  | OnKeyDown
 |  | OnKeyPress
 |  | OnKeyUp
 |  | OnUnDock
 |  | OnUTF8KeyPress
TControl
pt |  | OnConstrainedResize
pt |  | OnContextPopup
pt |  | OnDblClick
pt |  | OnTripleClick
pt |  | OnQuadClick
pt |  | OnDragDrop
pt |  | OnDragOver
pt |  | OnEndDock
pt |  | OnEndDrag
pt |  | OnMouseDown
pt |  | OnMouseMove
pt |  | OnMouseUp
pt |  | OnMouseEnter
pt |  | OnMouseLeave
pt |  | OnMouseWheel
pt |  | OnMouseWheelDown
pt |  | OnMouseWheelUp
pt |  | OnMouseWheelHorz
pt |  | OnMouseWheelLeft
pt |  | OnMouseWheelRight
pt |  | OnStartDock
pt |  | OnStartDrag
pt |  | OnEditingDone
 |  | OnChangeBounds
 |  | OnClick
 |  | OnResize
 |  | OnShowHint
TLCLComponent
TComponent
TPersistent
TObject


pt |  | OnAfterSelection (TCustomGrid)
 |  | OnAlignInsertBefore (TWinControl)
 |  | OnAlignPosition (TWinControl)
pt |  | OnBeforeSelection (TCustomGrid)
pt |  | OnButtonClick (TCustomGrid)
pt |  | OnCellClick (TCustomDBGrid)
pl | ro | OnCellClick (TDBGrid)
 |  | OnChangeBounds (TControl)
pt |  | OnCheckboxToggled (TCustomGrid)
 |  | OnClick (TControl)
pt |  | OnColEnter (TCustomDBGrid)
pl | ro | OnColEnter (TDBGrid)
pt |  | OnColExit (TCustomDBGrid)
pl | ro | OnColExit (TDBGrid)
pt |  | OnColumnMoved (TCustomDBGrid)
pl | ro | OnColumnMoved (TDBGrid)
pt |  | OnColumnSized (TCustomDBGrid)
pl | ro | OnColumnSized (TDBGrid)
pt |  | OnCompareCells (TCustomGrid)
pt |  | OnConstrainedResize (TControl)
pt |  | OnContextPopup (TControl)
pl | ro | OnContextPopup (TDBGrid)
pt |  | OnDblClick (TControl)
pl | ro | OnDblClick (TDBGrid)
 |  | OnDockDrop (TWinControl)
 |  | OnDockOver (TWinControl)
pt |  | OnDragDrop (TControl)
pl | ro | OnDragDrop (TDBGrid)
pt |  | OnDragOver (TControl)
pl | ro | OnDragOver (TDBGrid)
pt |  | OnDrawCell (TCustomGrid)
pt |  | OnDrawColumnCell (TCustomDBGrid)
pl | ro | OnDrawColumnCell (TDBGrid)
pt |  | OnDrawColumnTitle (TCustomDBGrid)
pl | ro | OnDrawColumnTitle (TDBGrid)
pt |  | OnEditButtonClick (TCustomGrid)
pl | ro | OnEditButtonClick (TDBGrid)
pt |  | OnEditingDone (TControl)
pl | ro | OnEditingDone (TDBGrid)
pt |  | OnEndDock (TControl)
pt |  | OnEndDrag (TControl)
pl | ro | OnEndDrag (TDBGrid)
 |  | OnEnter (TWinControl)
pl | ro | OnEnter (TDBGrid)
 |  | OnExit (TWinControl)
pl | ro | OnExit (TDBGrid)
pt |  | OnFieldEditMask (TCustomDBGrid)
pl | ro | OnFieldEditMask (TDBGrid)
pt |  | OnGetCellHint (TCustomGrid)
pt |  | OnGetCellHint (TCustomDBGrid)
pl | ro | OnGetCellHint (TDBGrid)
pt |  | OnGetDockCaption (TWinControl)
pt |  | OnGetSiteInfo (TWinControl)
 |  | OnKeyDown (TWinControl)
pl | ro | OnKeyDown (TDBGrid)
 |  | OnKeyPress (TWinControl)
pl | ro | OnKeyPress (TDBGrid)
 |  | OnKeyUp (TWinControl)
pl | ro | OnKeyUp (TDBGrid)
pt |  | OnLoadColumn (TCustomGrid)
pt |  | OnMouseDown (TControl)
pl | ro | OnMouseDown (TDBGrid)
pt |  | OnMouseEnter (TControl)
pl | ro | OnMouseEnter (TDBGrid)
pt |  | OnMouseLeave (TControl)
pl | ro | OnMouseLeave (TDBGrid)
pt |  | OnMouseMove (TControl)
pl | ro | OnMouseMove (TDBGrid)
pt |  | OnMouseUp (TControl)
pl | ro | OnMouseUp (TDBGrid)
pt |  | OnMouseWheel (TControl)
pl | ro | OnMouseWheel (TDBGrid)
pt |  | OnMouseWheelDown (TControl)
pl | ro | OnMouseWheelDown (TDBGrid)
pt |  | OnMouseWheelHorz (TControl)
pt |  | OnMouseWheelLeft (TControl)
pt |  | OnMouseWheelRight (TControl)
pt |  | OnMouseWheelUp (TControl)
pl | ro | OnMouseWheelUp (TDBGrid)
 |  | OnPaint (TCustomControl)
pt |  | OnPickListSelect (TCustomGrid)
pt |  | OnPrepareCanvas (TCustomGrid)
pt |  | OnPrepareCanvas (TCustomDBGrid)
pl | ro | OnPrepareCanvas (TDBGrid)
pt |  | OnQuadClick (TControl)
 |  | OnResize (TControl)
pt |  | OnRowMoved (TCustomDBGrid)
 | ro | OnRowMoved (TDBGrid)
pt |  | OnSaveColumn (TCustomGrid)
pt |  | OnSelectEditor (TCustomGrid)
pt |  | OnSelectEditor (TCustomDBGrid)
pl | ro | OnSelectEditor (TDBGrid)
pt |  | OnSelection (TCustomGrid)
 |  | OnShowHint (TControl)
pt |  | OnStartDock (TControl)
pt |  | OnStartDrag (TControl)
pl | ro | OnStartDrag (TDBGrid)
pt |  | OnTitleClick (TCustomDBGrid)
pl | ro | OnTitleClick (TDBGrid)
pt |  | OnTopLeftChanged (TCustomGrid)
pt |  | OnTripleClick (TControl)
 |  | OnUnDock (TWinControl)
pt |  | OnUserCheckboxBitmap (TCustomGrid)
pt |  | OnUserCheckboxBitmap (TCustomDBGrid)
pl | ro | OnUserCheckboxBitmap (TDBGrid)
pt |  | OnUserCheckboxState (TCustomDBGrid)
pl | ro | OnUserCheckboxState (TDBGrid)
 |  | OnUTF8KeyPress (TWinControl)
pl | ro | OnUTF8KeyPress (TDBGrid)
pt |  | OnValidateEntry (TCustomGrid)


TDBGrid.BiDiMode

Declaration

Source position: dbgrids.pas line 593

published property TDBGrid.BiDiMode : TBiDiMode;


TDBGrid.CellHintPriority

Declaration

Source position: dbgrids.pas line 596

published property TDBGrid.CellHintPriority : TCellHintPriority;


TDBGrid.FixedCols

Declaration

Source position: dbgrids.pas line 609

published property TDBGrid.FixedCols : Integer;


TDBGrid.InplaceEditor

Declaration

Source position: dbgrids.pas line 582

public property TDBGrid.InplaceEditor : TWinControl;


TDBGrid.OnContextPopup

Declaration

Source position: dbgrids.pas line 642

published property TDBGrid.OnContextPopup : TContextPopupEvent;


TDBGrid.OnEditingDone

Declaration

Source position: dbgrids.pas line 649

published property TDBGrid.OnEditingDone : TNotifyEvent;


TDBGrid.OnGetCellHint

Declaration

Source position: dbgrids.pas line 655

published property TDBGrid.OnGetCellHint : TDbGridCellHintEvent;


TDBGrid.OnMouseEnter

Declaration

Source position: dbgrids.pas line 660

published property TDBGrid.OnMouseEnter : TNotifyEvent;


TDBGrid.OnMouseLeave

Declaration

Source position: dbgrids.pas line 661

published property TDBGrid.OnMouseLeave : TNotifyEvent;


TDBGrid.OnMouseWheel

Declaration

Source position: dbgrids.pas line 664

published property TDBGrid.OnMouseWheel : TMouseWheelEvent;


TDBGrid.OnMouseWheelDown

Declaration

Source position: dbgrids.pas line 665

published property TDBGrid.OnMouseWheelDown : TMouseWheelUpDownEvent;


TDBGrid.OnMouseWheelUp

Declaration

Source position: dbgrids.pas line 666

published property TDBGrid.OnMouseWheelUp : TMouseWheelUpDownEvent;


TDBGrid.OnRowMoved

Declaration

Source position: dbgrids.pas line 585

public property TDBGrid.OnRowMoved : TMovedEvent;


TDBGrid.OnUserCheckboxState

Declaration

Source position: dbgrids.pas line 673

published property TDBGrid.OnUserCheckboxState : TDbGridCheckboxStateEvent;


TDBGrid.Options2

Declaration

Source position: dbgrids.pas line 618

published property TDBGrid.Options2 : TGridOptions2;


TDBGrid.ParentBiDiMode

Declaration

Source position: dbgrids.pas line 620

published property TDBGrid.ParentBiDiMode : Boolean;


TDBGrid.TabAdvance

Declaration

Source position: dbgrids.pas line 629

published property TDBGrid.TabAdvance : TAutoAdvance;


TDBGrid.TitleImageList

Declaration

Source position: dbgrids.pas line 633

published property TDBGrid.TitleImageList : TImageList;


TDbGridCellHintEvent

Declaration

Source position: dbgrids.pas line 130

type TDbGridCellHintEvent = procedure(

  Sender: TObject;

  Column: TColumn;

  var AText: string

) of object;


TDbGridCheckBoxBitmapEvent

Declaration

Source position: dbgrids.pas line 122

type TDbGridCheckBoxBitmapEvent = procedure(

  Sender: TObject;

  const CheckedState: TCheckBoxState;

  var ABitmap: TBitmap

) of object;


TDbGridCheckboxStateEvent

Declaration

Source position: dbgrids.pas line 126

type TDbGridCheckboxStateEvent = procedure(

  Sender: TObject;

  Column: TColumn;

  var AState: TCheckBoxState

) of object;


TDBGridClickEvent

Specifies an event handler signalled when a grid column in is clicked

Declaration

Source position: dbgrids.pas line 100

type TDBGridClickEvent = procedure(

  Column: TColumn

) of object;

Arguments

Column

Column for the event

Description

TDBGridClickEvent specifies an event handler signalled when a column in the database grid is clicked


TDBGridColumns

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Implements a collection for columns in a database grid

Declaration

Source position: dbgrids.pas line 303

type TDBGridColumns = class(TGridColumns)
protected
procedure Update(); override; | Redraws the Grid control that owns the collection
function ColumnFromField(); | ColumnFromField returns the collection item for the specified Field
function HasAutomaticColumns; | HasAutomaticColumns indicates if any items in the collection are an automatic column
function HasDesignColumns; | HasDesignColumns indicates if the collection contains any items explicitly added at design-time
procedure RemoveAutoColumns; | RemoveAutoColumns removes automatic columns in the collection
public
function Add; | Add creates and stores a new item in the collection
procedure LinkFields; | Associates column items with the corresponding Fields in the Dataset
procedure ResetColumnsOrder(); | ResetColumnsOrder arranges columns in the collection to the specified order
property Items []: TColumn; default; [rw] | Items provides indexed access to columns added to the collection
end;

Inheritance

TDBGridColumns | Implements a collection for columns in a database grid
|
TGridColumns | TGridColumns - the group of columns in the grid
|
TCollection
|
TPersistent,IFPObserved
|
TObject

Description

TDBGridColumns is a TGridColumns descendant which implements a collection for columns added to TDBGrid.

TDBGridColumns extends the ancestor class to include support for adding and removing automatic columns at run-time. Automatic columns are a feature in TDBGrid that, when enabled, ensures the collection has a column definition for each Field in the linked dataset for its grid control. Methods and Properties are provided to identify columns added at run-time, and to order entries in the collection by their design-time or run-time indices.

Items is the default property for the collection. TColumn is the class type used for Items added to the collection.

Use the Add method to create a new collection item in the Items property. Use LinkFields to update the association between an item in the collection and the TField used to access its data. Use ResetColumnsOrder to change the order of Items in the collection.


TDBGridColumns
 |  | Items
TGridColumns
 | ro | Grid
 |  | Items
 | ro | VisibleCount
 | ro | Enabled
TCollection
 |  | PropName
 | ro | UpdateCount
 | ro | Count
 | ro | ItemClass
 |  | Items
TPersistent
TObject


ro | Count (TCollection)
ro | Enabled (TGridColumns)
ro | Grid (TGridColumns)
ro | ItemClass (TCollection)
 | Items (TCollection)
 | Items (TGridColumns)
 | Items (TDBGridColumns)
 | PropName (TCollection)
ro | UpdateCount (TCollection)
ro | VisibleCount (TGridColumns)


TDBGridColumns
pt | Update
pt | ColumnFromField
pt | HasAutomaticColumns
pt | HasDesignColumns
pt | RemoveAutoColumns
 | Add
 | LinkFields
 | ResetColumnsOrder
TGridColumns
pt | GetOwner
pt | Update
pt | TitleFontChanged
pt | FontChanged
pt | RemoveColumn
pt | MoveColumn
pt | ExchangeColumn
pt | InsertColumn
 | Create
 | Add
 | Clear
 | RealIndex
 | IndexOf
 | IsDefault
 | HasIndex
 | VisibleIndex
TCollection
 | GetCount
 | GetPropName
 | InsertItem
 | RemoveItem
 | DoClear
 | GetAttrCount
 | GetAttr
 | GetItemAttr
 | Changed
 | GetItem
 | SetItem
 | SetItemName
 | SetPropName
 | Update
 | Notify
 | Create
 | Destroy
 | Owner
 | Add
 | Assign
 | BeginUpdate
 | Clear
 | EndUpdate
 | Delete
 | GetEnumerator
 | GetNamePath
 | Insert
 | FindItemID
 | Exchange
 | Sort
TPersistent
 | AssignError
 | AssignTo
 | DefineProperties
 | GetOwner
 | Destroy
 | Assign
 | FPOAttachObserver
 | FPODetachObserver
 | FPONotifyObservers
 | GetNamePath
TObject
 | Create
 | Destroy
 | newinstance
 | FreeInstance
 | SafeCallException
 | DefaultHandler
 | Free
 | InitInstance
 | CleanupInstance
 | ClassType
 | ClassInfo
 | ClassName
 | ClassNameIs
 | ClassParent
 | InstanceSize
 | InheritsFrom
 | StringMessageTable
 | MethodAddress
 | MethodName
 | FieldAddress
 | AfterConstruction
 | BeforeDestruction
 | DefaultHandlerStr
 | Dispatch
 | DispatchStr
 | GetInterface
 | GetInterfaceByStr
 | GetInterfaceWeak
 | GetInterfaceEntry
 | GetInterfaceEntryByStr
 | GetInterfaceTable
 | UnitName
 | Equals
 | GetHashCode
 | ToString


 | Add (TCollection)
 | Add (TGridColumns)
 | Add (TDBGridColumns)
 | AfterConstruction (TObject)
 | Assign (TPersistent)
 | Assign (TCollection)
 | AssignError (TPersistent)
 | AssignTo (TPersistent)
 | BeforeDestruction (TObject)
 | BeginUpdate (TCollection)
 | Changed (TCollection)
 | ClassInfo (TObject)
 | ClassName (TObject)
 | ClassNameIs (TObject)
 | ClassParent (TObject)
 | ClassType (TObject)
 | CleanupInstance (TObject)
 | Clear (TCollection)
 | Clear (TGridColumns)
pt | ColumnFromField (TDBGridColumns)
 | Create (TObject)
 | Create (TCollection)
 | Create (TGridColumns)
 | DefaultHandler (TObject)
 | DefaultHandlerStr (TObject)
 | DefineProperties (TPersistent)
 | Delete (TCollection)
 | Destroy (TObject)
 | Destroy (TPersistent)
 | Destroy (TCollection)
 | Dispatch (TObject)
 | DispatchStr (TObject)
 | DoClear (TCollection)
 | EndUpdate (TCollection)
 | Equals (TObject)
 | Exchange (TCollection)
pt | ExchangeColumn (TGridColumns)
 | FieldAddress (TObject)
 | FindItemID (TCollection)
pt | FontChanged (TGridColumns)
 | FPOAttachObserver (TPersistent)
 | FPODetachObserver (TPersistent)
 | FPONotifyObservers (TPersistent)
 | Free (TObject)
 | FreeInstance (TObject)
 | GetAttr (TCollection)
 | GetAttrCount (TCollection)
 | GetCount (TCollection)
 | GetEnumerator (TCollection)
 | GetHashCode (TObject)
 | GetInterface (TObject)
 | GetInterfaceByStr (TObject)
 | GetInterfaceEntry (TObject)
 | GetInterfaceEntryByStr (TObject)
 | GetInterfaceTable (TObject)
 | GetInterfaceWeak (TObject)
 | GetItem (TCollection)
 | GetItemAttr (TCollection)
 | GetNamePath (TPersistent)
 | GetNamePath (TCollection)
 | GetOwner (TPersistent)
pt | GetOwner (TGridColumns)
 | GetPropName (TCollection)
pt | HasAutomaticColumns (TDBGridColumns)
pt | HasDesignColumns (TDBGridColumns)
 | HasIndex (TGridColumns)
 | IndexOf (TGridColumns)
 | InheritsFrom (TObject)
 | InitInstance (TObject)
 | Insert (TCollection)
pt | InsertColumn (TGridColumns)
 | InsertItem (TCollection)
 | InstanceSize (TObject)
 | IsDefault (TGridColumns)
 | LinkFields (TDBGridColumns)
 | MethodAddress (TObject)
 | MethodName (TObject)
pt | MoveColumn (TGridColumns)
 | newinstance (TObject)
 | Notify (TCollection)
 | Owner (TCollection)
 | RealIndex (TGridColumns)
pt | RemoveAutoColumns (TDBGridColumns)
pt | RemoveColumn (TGridColumns)
 | RemoveItem (TCollection)
 | ResetColumnsOrder (TDBGridColumns)
 | SafeCallException (TObject)
 | SetItem (TCollection)
 | SetItemName (TCollection)
 | SetPropName (TCollection)
 | Sort (TCollection)
 | StringMessageTable (TObject)
pt | TitleFontChanged (TGridColumns)
 | ToString (TObject)
 | UnitName (TObject)
 | Update (TCollection)
pt | Update (TGridColumns)
pt | Update (TDBGridColumns)
 | VisibleIndex (TGridColumns)


TDBGridColumns

TGridColumns

TCollection

TPersistent

TObject


TDBGridColumns.Add

Add creates and stores a new item in the collection

Declaration

Source position: dbgrids.pas line 314

public function TDBGridColumns.Add: TColumn;

Function result

TColumn added to the collection

Description

Add creates and stores a new TColumn instance in the collection.

Add uses the Grid property (and the value in its GridStatus property) to determine whether the column is being explicitly added to the collection or added as a result of the automatic columns option in the grid. If the Grid contains the value gsAddingAutoColumns in its GridStatus property exisiting automatic columns are left in the collection. Otherwise, RemoveAutoColumns is called prior to creating and storing the new TColumn instance.

Add calls the inherited Add method to create and store the new TColumn instance.

See also

TCollection.Add


TDBGridColumns.ColumnFromField

ColumnFromField returns the collection item for the specified Field

Declaration

Source position: dbgrids.pas line 309

protected function TDBGridColumns.ColumnFromField(

  Field: TField

):TColumn;

Arguments

Field

Field to locate in the collection

Function result

Collection item for the specified Field

Description

ColumnFromField returns the collection item for the specified Field. The return value is Nil when Field has not been assigned.

ColumnFromField iterates over the Items in the collection to locate the specified Field. The return value is Nil when Field cannot be located in the Items for the collection.

ColumnFromField is used in the TDBGrid.AddAutomaticColumns method.


TDBGridColumns.HasAutomaticColumns

HasAutomaticColumns indicates if any items in the collection are an automatic column

Declaration

Source position: dbgrids.pas line 310

protected function TDBGridColumns.HasAutomaticColumns: Boolean;

Function result

True when automatic columns are stored in the collection

Description

HasAutomaticColumns is a Boolean function that indicates if any items in the collection are an automatic column added at run-time. Automatic columns are a feature in TDBGrid enabled by adding the approprate value to its OptionsExtra property. HasAutomaticColumns returns True if a TColumn instance in the Items property has its IsAutomaticColumn property set.

See also

TDBGrid.OptionsExtra | Contains the extra options enabled for the grid control
TDBGridColumns.RemoveAutoColumns | RemoveAutoColumns removes automatic columns in the collection


TDBGridColumns.HasDesignColumns

HasDesignColumns indicates if the collection contains any items explicitly added at design-time

Declaration

Source position: dbgrids.pas line 311

protected function TDBGridColumns.HasDesignColumns: Boolean;

Function result

True an item has its IsDesignColumn property set

Description

HasDesignColumns is a Boolean function that indicates if the collection contains any items explicitly added at design-time. HasDesignColumns returns True if Items contains a TColumn instance with its IsDesignColumn property set.

See also

#lcl.DBGrids.TDBGridColumns.Items | Items provides indexed access to columns added to the collection
#lcl.DBGrids.TColumn.IsDesignColumn | Indicates if the column was added at design-time
#lcl.DBGrids.TColumn.ResetColumnsOrder


TDBGridColumns.Items

Items provides indexed access to columns added to the collection

Declaration

Source position: dbgrids.pas line 317

public property TDBGridColumns.Items[Index: Integer] : TColumn
  read GetColumn
  write SetColumn;
  default;

Description

Items is a TColumn property that provides indexed access to columns in the collection by their ordinal position (in the range 0..Count-1). Read and write access to columns in the Items property are cast to the TColumn class type used in the collection. Write access calls the Assign method in the TColumn instance stored at the specified position.

Items is the default property for the collection.


TDBGridColumns.LinkFields

Associates column items with the corresponding Fields in the Dataset

Declaration

Source position: dbgrids.pas line 315

public procedure TDBGridColumns.LinkFields;

Description

LinkFields is a procedure which associates column items to the corresponding Fields in the Dataset for the Grid. LinkFields uses Grid to call its BeginLayout and EndLayout methods prior to and immediately after linking the Items in the collection to fields in the Dataset. This forces the Grid control to be updated when the method has completed. LinkFields calls the TColumn.LinkField method for each of the Items in the collection.


TDBGridColumns.RemoveAutoColumns

RemoveAutoColumns removes automatic columns in the collection

Declaration

Source position: dbgrids.pas line 312

protected procedure TDBGridColumns.RemoveAutoColumns;

Description

RemoveAutoColumns is a procedure used to remove any automatic columns in the collection. RemoveAutoColumns uses HasAutomaticColumns to determine if any action is required.

When HasAutomaticColumns returns True the Grid updates its GridStatus to include the value gsRemovingAutoColumns. RemoveAutoColumns calls the Delete method for any column having its IsAutomaticColumn property set to True. gsRemovingAutoColumns is removed from the GridStatus property in the Grid prior to exiting from the method.

Applications do not normally call the RemoveAutoColumns method. Use TDBGrid.OptionsExtra to disable the automatic columns feature in the grid control.

See also

#lcl.DBGrids.TDBGrid.RemoveAutomaticColumns

#lcl.DBGrids.TDBGridColumns.Add

Add creates and stores a new item in the collection


TDBGridColumns.ResetColumnsOrder

ResetColumnsOrder arranges columns in the collection to the specified order

Declaration

Source position: dbgrids.pas line 316

public procedure TDBGridColumns.ResetColumnsOrder(

  ColumnOrder: TColumnOrder

);

Arguments

ColumnOrder

Sort order for columns in the collection

Description

ResetColumnsOrder is a procedure used to arrange columns in the collection to the order specified in the ColumnOrder argument. ColumnOrder can contain the following values:

coDesignOrder
TColumn.DesignIndex (when available) is used to order collection items.
coFieldIndex
The index for the TColumn.Field (when available) is used to order collection items.

Otherwise the index of the collection item is unchanged.


TDBGridColumns.Update

Redraws the Grid control that owns the collection

Declaration

Source position: dbgrids.pas line 308

protected procedure TDBGridColumns.Update(

  Item: TCollectionItem

); override;

Arguments

Item

Collection item triggering the update

Description

Update causes the TDBGrid control which owns the collection to be redrawn. The value in Grid must be assigned, or no actions are performed in the method. In addition, the Grid control will not be updated if component streaming is active (csLoading in its ComponentState). Update calls TDBGrid.LayoutChanged to force the Grid control to be redrawn.

See also

TCollection.Update


TColorButton

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

TColorButton - a SpeedButton designed to be used with the Color dialog, allowing a colour to be selected for text or graphics

Declaration

Source position: dialogs.pp line 294

type TColorButton = class(TCustomSpeedButton)
protected
class procedure WSRegisterClass; override; | Registers this component class with the current WidgetSet.
function DrawGlyph(); override; | DrawGlyph - draw the glyph on the button face
function GetDisabledPattern; virtual; | GetDisabledPattern - returns a BitMap with a disabled pattern
function GetGlyphSize(); override; | GetGlyphSize - returns the value of the size for glyphs on the button
class function GetControlClassDefaultSize; override; | Returns the default size for this class of controls (when added to a form).
procedure ShowColorDialog; virtual; | ShowColorDialog - method for displaying the Colour dialog
public
constructor Create(); override; | Create - constructor for TColorButton; calls inherited Create , sets initial bounds, size and pattern
destructor Destroy; override; | Destroy - destructor for TCustomSpeedButton: frees Glyph then calls inherited Destroy
procedure Click; override; | Invokes the OnClick and ActionLink.Execute handlers.
published
property Action: TBasicAction; | The Action associated with this control.
property Align: TAlign; | Specifies the placement of the control inside its Parent.
property Anchors: TAnchors; | The set of anchor definitions for this control.
property AllowAllUp: Boolean; | Boolean flag to determine whether all buttons are allowed to be Up (default false)
property BorderSpacing: TControlBorderSpacing; | Determines the inner and outer border spacing for this control.
property BorderWidth: Integer; [rw] | BorderWidth - the width of the button's borders
property ButtonColorAutoSize: Boolean; [rws] | ButtonColorAutoSize - returns True if the block displaying button colour is to be autosized
property ButtonColorSize: Integer; [rw] | ButtonColorSize - the size of the button colour block
property ButtonColor: TColor; [rw] | ButtonColor - the colour that has been selected by the ColorDialog and is displayed in the button
property ColorDialog: TColorDialog; [rw] | The ColorDialog that opens when the button is activated
property Constraints: TSizeConstraints; | The minimal and maximal Width and Height of this control.
property Caption: TCaption; | Caption - a string that can be placed beside the block of colour
property Color: TColor; | The Color of the control itself, ie the parts that are not the colour display block; edges, background etc
property Down: Boolean; | The button has been set in the Down state
property Enabled: Boolean; | Determines whether the control reacts on mouse or keyboard input.
property Flat: Boolean; | Whether the button is to be displayed Flat or in relief
property Font: TFont; | The font to be used for text display in this control.
property GroupIndex: Integer; | The Index within the group of speedbuttons
property Hint: TTranslateString; | The text to show in the Hint window for this control.
property Layout: TButtonLayout; | The button layout - Glyph at top, bottom, left or right
property Margin: Integer; | Margin - the space around glyph and caption
property Spacing: Integer; | Spacing between Glyph and Caption
property Transparent: Boolean; | Whether button is transparent
property Visible: Boolean; | Allows to show or hide the control, and all of its children.
property OnClick: TNotifyEvent; | Notification handler for mouse clicks.
property OnColorChanged: TNotifyEvent; [rw] | OnColorChanged - event handler for a change in button colour
property OnDblClick: TNotifyEvent; | Event Handler for double mouse clicks.
property OnMouseDown: TMouseEvent; | Event handler for mouse button going down.
property OnMouseEnter: TNotifyEvent;
property OnMouseLeave: TNotifyEvent;
property OnMouseMove: TMouseMoveEvent; | Event handler for mouse movement within the control.
property OnMouseUp: TMouseEvent; | Event handler for mouse button going up.
property OnMouseWheel: TMouseWheelEvent;
property OnMouseWheelDown: TMouseWheelUpDownEvent;
property OnMouseWheelUp: TMouseWheelUpDownEvent;
property OnPaint: TNotifyEvent; | Supply your own OnPaint handler for painting the control.
property OnResize: TNotifyEvent; | Notification handler for a resize of the control.
property OnChangeBounds: TNotifyEvent; | Event handler for a change of the Bounds of the control.
property ShowHint: Boolean; | Enables the Hint display.
property ParentFont: Boolean; | If true, the Font of the control will be the same as the one from the Parent. Default is true.
property ParentShowHint: Boolean; | If true, the value of ShowHint for the control will be the same as the one from the Parent. Default is true.
property PopupMenu: TPopupMenu; | A context-sensitive menu that pops up when the right mouse button is clicked over this control
end;

Inheritance

TColorButton | TColorButton - a SpeedButton designed to be used with the Color dialog, allowing a colour to be selected for text or graphics
|
TCustomSpeedButton | The ancestor class for TSpeedButton
|
TGraphicControl | TGraphicControl is the base class for all lightweight controls.
|
TControl | The base class for visible controls.
|
TLCLComponent | The base class for LCL components associated with widgets.
|
TComponent,IUnknown,IInterfaceComponentReference
|
TPersistent,IFPObserved
|
TObject

Description

TColorButton - a SpeedButton designed to be used with the Color dialog, allowing a colour to be selected for text or graphics

To use the ColorButton, first select the ColorButton icon from the Component Palette and place it on the Form Designer in the location you want it to occupy, then place a TColorDialog on the Form Designer, give it a name (or accept the default name) and select this named dialog as the ColorDialog property in the Object Inspector for the ColorButton.

The default appearance of the ColorButton is a rectangle containing a colour; if you wish to include a caption beside the block of colour, you may need to adjust the size of the control to accommodate the text, and you can then enter some text in the Caption property of the ColorButton; this text will appear next to the colour block.

After compilation, at runtime the ColorButton is visible with a default or preselected ButtonColor in the block, and any optional caption beside it; the ColorDialog is not visible until the ColorButton is clicked, when the ColorDialog pops up and offers a choice of colours, either from a list or a palette, and if the user makes a selection and closes the dialog by pressing OK, the ColorButton will display the colour that was chosen in the ColorDialog

Note that in the context of ColorButton, properties with the name ButtonColor refer to the colour that has been selected and is displayed in the colour block; properties entitled Color without 'Button' attached refer to the colour of the control itself, usually the same as the background or the default button face colour


TColorButton
pl | ro | Action
pl | ro | Align
pl | ro | Anchors
pl | ro | AllowAllUp
pl | ro | BorderSpacing
pl |  | BorderWidth
pl |  | ButtonColorAutoSize
pl |  | ButtonColorSize
pl |  | ButtonColor
pl |  | ColorDialog
pl | ro | Constraints
pl | ro | Caption
pl | ro | Color
pl | ro | Down
pl | ro | Enabled
pl | ro | Flat
pl | ro | Font
pl | ro | GroupIndex
pl | ro | Hint
pl | ro | Layout
pl | ro | Margin
pl | ro | Spacing
pl | ro | Transparent
pl | ro | Visible
pl | ro | ShowHint
pl | ro | ParentFont
pl | ro | ParentShowHint
pl | ro | PopupMenu
TCustomSpeedButton
pt | ro | MouseInControl
 |  | AllowAllUp
 | ro | Color
 |  | Down
 |  | Flat
 |  | Glyph
 |  | GroupIndex
 |  | Images
 |  | ImageIndex
 |  | ImageWidth
 |  | Layout
 |  | Margin
 |  | NumGlyphs
 |  | ShowAccelChar
 |  | ShowCaption
 |  | Spacing
 |  | Transparent
TGraphicControl
 | ro | Canvas
TControl
pt | ro | AutoSizing
pt | ro | AutoSizingAll
pt | ro | AutoSizingLockCount
pt |  | ActionLink
pt |  | DesktopFont
pt |  | DragCursor
pt |  | DragKind
pt |  | DragMode
pt |  | MouseCapture
pt |  | ParentColor
pt |  | ParentFont
pt |  | ParentShowHint
pt |  | SessionProperties
pt |  | Text
 | ro | AnchoredControls
 | ro | BaseBounds
 | ro | ReadBounds
 | ro | BaseParentClientSize
 |  | AccessibleDescription
 |  | AccessibleValue
 |  | AccessibleRole
 |  | Action
 |  | Align
 |  | Anchors
 | ro | AnchorSide
 |  | AutoSize
 |  | BorderSpacing
 |  | BoundsRect
 |  | BoundsRectForNewParent
 |  | Caption
 |  | CaptureMouseButtons
 |  | ClientHeight
 | ro | ClientOrigin
 | ro | ClientRect
 |  | ClientWidth
 |  | Color
 |  | Constraints
 | ro | ControlOrigin
 |  | ControlState
 |  | ControlStyle
 |  | Enabled
 |  | Font
 |  | IsControl
 | ro | MouseEntered
 | ro | MouseInClient
 |  | Parent
 |  | PopupMenu
 |  | ShowHint
 |  | Visible
 |  | WindowProc
 |  | DockOrientation
 | ro | Floating
 |  | FloatingDockSiteClass
 |  | HostDockSite
 |  | LRDockWidth
 |  | TBDockHeight
 |  | UndockHeight
 |  | UndockWidth
 |  | BiDiMode
 |  | ParentBiDiMode
pl |  | AnchorSideLeft
pl |  | AnchorSideTop
pl |  | AnchorSideRight
pl |  | AnchorSideBottom
pl |  | Cursor
pl |  | Left
pl |  | Height
pl |  | Hint
pl |  | Top
pl |  | Width
pl |  | HelpType
pl |  | HelpKeyword
pl |  | HelpContext
TLCLComponent
 | ro | LCLRefCount
 | ro | WidgetSetClass
TComponent
 | ro | ComObject
 | ro | Components
 | ro | ComponentCount
 |  | ComponentIndex
 | ro | ComponentState
 | ro | ComponentStyle
 |  | DesignInfo
 | ro | Owner
 |  | VCLComObject
 |  | Name
 |  | Tag
TPersistent
TObject


 |  | AccessibleDescription (TControl)
 |  | AccessibleRole (TControl)
 |  | AccessibleValue (TControl)
 |  | Action (TControl)
pl | ro | Action (TColorButton)
pt |  | ActionLink (TControl)
 |  | Align (TControl)
pl | ro | Align (TColorButton)
 |  | AllowAllUp (TCustomSpeedButton)
pl | ro | AllowAllUp (TColorButton)
 | ro | AnchoredControls (TControl)
 |  | Anchors (TControl)
pl | ro | Anchors (TColorButton)
 | ro | AnchorSide (TControl)
pl |  | AnchorSideBottom (TControl)
pl |  | AnchorSideLeft (TControl)
pl |  | AnchorSideRight (TControl)
pl |  | AnchorSideTop (TControl)
 |  | AutoSize (TControl)
pt | ro | AutoSizing (TControl)
pt | ro | AutoSizingAll (TControl)
pt | ro | AutoSizingLockCount (TControl)
 | ro | BaseBounds (TControl)
 | ro | BaseParentClientSize (TControl)
 |  | BiDiMode (TControl)
 |  | BorderSpacing (TControl)
pl | ro | BorderSpacing (TColorButton)
pl |  | BorderWidth (TColorButton)
 |  | BoundsRect (TControl)
 |  | BoundsRectForNewParent (TControl)
pl |  | ButtonColor (TColorButton)
pl |  | ButtonColorAutoSize (TColorButton)
pl |  | ButtonColorSize (TColorButton)
 | ro | Canvas (TGraphicControl)
 |  | Caption (TControl)
pl | ro | Caption (TColorButton)
 |  | CaptureMouseButtons (TControl)
 |  | ClientHeight (TControl)
 | ro | ClientOrigin (TControl)
 | ro | ClientRect (TControl)
 |  | ClientWidth (TControl)
 |  | Color (TControl)
 | ro | Color (TCustomSpeedButton)
pl | ro | Color (TColorButton)
pl |  | ColorDialog (TColorButton)
 | ro | ComObject (TComponent)
 | ro | ComponentCount (TComponent)
 |  | ComponentIndex (TComponent)
 | ro | Components (TComponent)
 | ro | ComponentState (TComponent)
 | ro | ComponentStyle (TComponent)
 |  | Constraints (TControl)
pl | ro | Constraints (TColorButton)
 | ro | ControlOrigin (TControl)
 |  | ControlState (TControl)
 |  | ControlStyle (TControl)
pl |  | Cursor (TControl)
 |  | DesignInfo (TComponent)
pt |  | DesktopFont (TControl)
 |  | DockOrientation (TControl)
 |  | Down (TCustomSpeedButton)
pl | ro | Down (TColorButton)
pt |  | DragCursor (TControl)
pt |  | DragKind (TControl)
pt |  | DragMode (TControl)
 |  | Enabled (TControl)
pl | ro | Enabled (TColorButton)
 |  | Flat (TCustomSpeedButton)
pl | ro | Flat (TColorButton)
 | ro | Floating (TControl)
 |  | FloatingDockSiteClass (TControl)
 |  | Font (TControl)
pl | ro | Font (TColorButton)
 |  | Glyph (TCustomSpeedButton)
 |  | GroupIndex (TCustomSpeedButton)
pl | ro | GroupIndex (TColorButton)
pl |  | Height (TControl)
pl |  | HelpContext (TControl)
pl |  | HelpKeyword (TControl)
pl |  | HelpType (TControl)
pl |  | Hint (TControl)
pl | ro | Hint (TColorButton)
 |  | HostDockSite (TControl)
 |  | ImageIndex (TCustomSpeedButton)
 |  | Images (TCustomSpeedButton)
 |  | ImageWidth (TCustomSpeedButton)
 |  | IsControl (TControl)
 |  | Layout (TCustomSpeedButton)
pl | ro | Layout (TColorButton)
 | ro | LCLRefCount (TLCLComponent)
pl |  | Left (TControl)
 |  | LRDockWidth (TControl)
 |  | Margin (TCustomSpeedButton)
pl | ro | Margin (TColorButton)
pt |  | MouseCapture (TControl)
 | ro | MouseEntered (TControl)
 | ro | MouseInClient (TControl)
pt | ro | MouseInControl (TCustomSpeedButton)
 |  | Name (TComponent)
 |  | NumGlyphs (TCustomSpeedButton)
 | ro | Owner (TComponent)
 |  | Parent (TControl)
 |  | ParentBiDiMode (TControl)
pt |  | ParentColor (TControl)
pt |  | ParentFont (TControl)
pl | ro | ParentFont (TColorButton)
pt |  | ParentShowHint (TControl)
pl | ro | ParentShowHint (TColorButton)
 |  | PopupMenu (TControl)
pl | ro | PopupMenu (TColorButton)
 | ro | ReadBounds (TControl)
pt |  | SessionProperties (TControl)
 |  | ShowAccelChar (TCustomSpeedButton)
 |  | ShowCaption (TCustomSpeedButton)
 |  | ShowHint (TControl)
pl | ro | ShowHint (TColorButton)
 |  | Spacing (TCustomSpeedButton)
pl | ro | Spacing (TColorButton)
 |  | Tag (TComponent)
 |  | TBDockHeight (TControl)
pt |  | Text (TControl)
pl |  | Top (TControl)
 |  | Transparent (TCustomSpeedButton)
pl | ro | Transparent (TColorButton)
 |  | UndockHeight (TControl)
 |  | UndockWidth (TControl)
 |  | VCLComObject (TComponent)
 |  | Visible (TControl)
pl | ro | Visible (TColorButton)
 | ro | WidgetSetClass (TLCLComponent)
pl |  | Width (TControl)
 |  | WindowProc (TControl)


TColorButton
pt | WSRegisterClass
pt | DrawGlyph
pt | GetDisabledPattern
pt | GetGlyphSize
pt | GetControlClassDefaultSize
pt | ShowColorDialog
 | Create
 | Destroy
 | Click
TCustomSpeedButton
pt | WSRegisterClass
pt | ButtonGlyph
pt | GetNumGlyphs
pt | GlyphChanged
pt | DialogChar
pt | CalculatePreferredSize
pt | MeasureDraw
pt | MouseEnter
pt | MouseLeave
pt | MouseDown
pt | MouseMove
pt | MouseUp
pt | Notification
pt | Paint
pt | PaintBackground
pt | SetDown
pt | SetGroupIndex
pt | SetFlat
pt | SetMargin
pt | SetNumGlyphs
pt | SetSpacing
pt | RealSetText
pt | UpdateState
pt | GetDrawDetails
pt | ActionChange
pt | GetActionLinkClass
pt | GetControlClassDefaultSize
pt | Loaded
pt | GetGlyphSize
pt | GetTextSize
pt | DrawGlyph
 | Create
 | Destroy
 | FindDownButton
 | Click
 | LoadGlyphFromResourceName
 | LoadGlyphFromLazarusResource
TGraphicControl
pt | WSRegisterClass
pt | FontChanged
pt | Paint
pt | DoOnChangeBounds
pt | DoOnParentHandleDestruction
pt | CMCursorChanged
 | Create
 | Destroy
TControl
pt | WSRegisterClass
pt | GetCursor
pt | SetCursor
pt | SetVisible
pt | DoOnParentHandleDestruction
pt | DoAutoSize
pt | DoAllAutoSize
pt | BeginAutoSizing
pt | EndAutoSizing
pt | AnchorSideChanged
pt | ForeignAnchorSideChanged
pt | SetAlign
pt | SetAnchors
pt | SetAutoSize
pt | BoundsChanged
pt | CreateControlBorderSpacing
pt | DoConstraintsChange
pt | DoBorderSpacingChange
pt | IsBorderSpacingInnerBorderStored
pt | IsCaptionStored
pt | SendMoveSizeMessages
pt | ConstrainedResize
pt | CalculatePreferredSize
pt | DoOnResize
pt | DoOnChangeBounds
pt | CheckOnChangeBounds
pt | Resize
pt | RequestAlign
pt | UpdateAnchorRules
pt | ChangeBounds
pt | DoSetBounds
pt | ScaleConstraints
pt | ChangeScale
pt | CanAutoSize
pt | SetBiDiMode
pt | SetParentBiDiMode
pt | IsAParentAligning
pt | GetClientOrigin
pt | GetClientRect
pt | GetLogicalClientRect
pt | GetScrolledClientRect
pt | GetClientScrollOffset
pt | GetControlOrigin
pt | IsClientHeightStored
pt | IsClientWidthStored
pt | WidthIsAnchored
pt | HeightIsAnchored
pt | WMCancelMode
pt | WMContextMenu
pt | WMLButtonDown
pt | WMRButtonDown
pt | WMMButtonDown
pt | WMXButtonDown
pt | WMLButtonDBLCLK
pt | WMRButtonDBLCLK
pt | WMMButtonDBLCLK
pt | WMXButtonDBLCLK
pt | WMLButtonTripleCLK
pt | WMRButtonTripleCLK
pt | WMMButtonTripleCLK
pt | WMXButtonTripleCLK
pt | WMLButtonQuadCLK
pt | WMRButtonQuadCLK
pt | WMMButtonQuadCLK
pt | WMXButtonQuadCLK
pt | WMMouseMove
pt | WMLButtonUp
pt | WMRButtonUp
pt | WMMButtonUp
pt | WMXButtonUp
pt | WMMouseWheel
pt | WMMouseHWheel
pt | WMMove
pt | WMSize
pt | WMWindowPosChanged
pt | CMChanged
pt | LMCaptureChanged
pt | CMBiDiModeChanged
pt | CMSysFontChanged
pt | CMEnabledChanged
pt | CMHitTest
pt | CMMouseEnter
pt | CMMouseLeave
pt | CMHintShow
pt | CMParentBiDiModeChanged
pt | CMParentColorChanged
pt | CMParentFontChanged
pt | CMParentShowHintChanged
pt | CMVisibleChanged
pt | CMTextChanged
pt | CMCursorChanged
pt | CalculateDockSizes
pt | CreateFloatingDockSite
pt | GetDockEdge
pt | GetDragImages
pt | GetFloating
pt | GetFloatingDockSiteClass
pt | BeforeDragStart
pt | BeginAutoDrag
pt | DoFloatMsg
pt | DockTrackNoTarget
pt | DoDock
pt | DoDragMsg
pt | DoEndDock
pt | DoEndDrag
pt | DoStartDock
pt | DoStartDrag
pt | DragCanceled
pt | DragOver
pt | PositionDockRect
pt | SetDragMode
pt | GetDefaultDockCaption
pt | Click
pt | DblClick
pt | TripleClick
pt | QuadClick
pt | GetMousePosFromMessage
pt | MouseDown
pt | MouseMove
pt | MouseUp
pt | MouseEnter
pt | MouseLeave
pt | DialogChar
pt | UpdateMouseCursor
pt | Changed
pt | GetPalette
pt | ChildClassAllowed
pt | ReadState
pt | Loaded
pt | LoadedAll
pt | DefineProperties
pt | AssignTo
pt | FormEndUpdated
pt | InvalidateControl
pt | FontChanged
pt | ParentFontChanged
pt | GetAction
pt | RealGetText
pt | RealSetText
pt | TextChanged
pt | GetCachedText
pt | SetAction
pt | SetColor
pt | SetEnabled
pt | SetHint
pt | SetName
pt | SetParent
pt | SetParentComponent
pt | WndProc
pt | ParentFormHandleInitialized
pt | GetMouseCapture
pt | CaptureChanged
pt | Notification
pt | CanTab
pt | GetDeviceContext
pt | GetEnabled
pt | GetPopupMenu
pt | DoOnShowHint
pt | DoMouseWheel
pt | DoMouseWheelDown
pt | DoMouseWheelUp
pt | DoMouseWheelHorz
pt | DoMouseWheelLeft
pt | DoMouseWheelRight
pt | VisibleChanging
pt | VisibleChanged
pt | EnabledChanging
pt | EnabledChanged
pt | AddHandler
pt | RemoveHandler
pt | DoCallNotifyHandler
pt | DoCallKeyEventHandler
pt | DoCallMouseWheelEventHandler
pt | DoContextPopup
pt | SetZOrder
pt | GetControlClassDefaultSize
pt | ColorIsStored
pt | DoAutoAdjustLayout
pt | DoFixDesignFontPPI
pt | DoScaleFontPPI
pt | GetActionLinkClass
pt | ActionChange
 | DragDrop
 | Dock
 | ManualDock
 | ManualFloat
 | ReplaceDockedControl
 | Docked
 | Dragging
 | GetAccessibleObject
 | CreateAccessibleObject
 | GetSelectedChildAccessibleObject
 | GetChildAccessibleObjectAtPos
 | ScaleDesignToForm
 | ScaleFormToDesign
 | Scale96ToForm
 | ScaleFormTo96
 | Scale96ToFont
 | ScaleFontTo96
 | ScaleScreenToFont
 | ScaleFontToScreen
 | Scale96ToScreen
 | ScaleScreenTo96
 | AdjustSize
 | AutoSizePhases
 | AutoSizeDelayed
 | AutoSizeDelayedReport
 | AutoSizeDelayedHandle
 | AnchorToNeighbour
 | AnchorParallel
 | AnchorHorizontalCenterTo
 | AnchorVerticalCenterTo
 | AnchorToCompanion
 | AnchorSame
 | AnchorAsAlign
 | AnchorClient
 | AnchoredControlCount
 | SetBounds
 | SetInitialBounds
 | SetBoundsKeepBase
 | GetPreferredSize
 | GetCanvasScaleFactor
 | GetDefaultWidth
 | GetDefaultHeight
 | GetDefaultColor
 | GetColorResolvingParent
 | GetRGBColorResolvingParent
 | GetSidePosition
 | CNPreferredSizeChanged
 | InvalidatePreferredSize
 | GetAnchorsDependingOnParent
 | DisableAutoSizing
 | EnableAutoSizing
 | UpdateBaseBounds
 | WriteLayoutDebugReport
 | AutoAdjustLayout
 | ShouldAutoAdjust
 | FixDesignFontsPPI
 | ScaleFontsPPI
 | Create
 | Destroy
 | BeforeDestruction
 | EditingDone
 | ExecuteDefaultAction
 | ExecuteCancelAction
 | BeginDrag
 | EndDrag
 | BringToFront
 | HasParent
 | GetParentComponent
 | IsParentOf
 | GetTopParent
 | IsVisible
 | IsControlVisible
 | IsEnabled
 | IsParentColor
 | IsParentFont
 | FormIsUpdating
 | IsProcessingPaintMsg
 | Hide
 | Refresh
 | Repaint
 | Invalidate
 | CheckChildClassAllowed
 | CheckNewParent
 | SendToBack
 | SetTempCursor
 | UpdateRolesForForm
 | ActiveDefaultControlChanged
 | GetTextBuf
 | GetTextLen
 | SetTextBuf
 | Perform
 | ScreenToClient
 | ClientToScreen
 | ScreenToControl
 | ControlToScreen
 | ClientToParent
 | ParentToClient
 | GetChildrenRect
 | Show
 | Update
 | HandleObjectShouldBeVisible
 | ParentDestroyingHandle
 | ParentHandlesAllocated
 | InitiateAction
 | ShowHelp
 | HasHelp
 | RemoveAllHandlersOfObject
 | AddHandlerOnResize
 | RemoveHandlerOnResize
 | AddHandlerOnChangeBounds
 | RemoveHandlerOnChangeBounds
 | AddHandlerOnVisibleChanging
 | RemoveHandlerOnVisibleChanging
 | AddHandlerOnVisibleChanged
 | RemoveHandlerOnVisibleChanged
 | AddHandlerOnEnabledChanged
 | RemoveHandlerOnEnableChanging
 | AddHandlerOnKeyDown
 | RemoveHandlerOnKeyDown
 | AddHandlerOnBeforeDestruction
 | RemoveHandlerOnBeforeDestruction
 | AddHandlerOnMouseWheel
 | RemoveHandlerOnMouseWheel
 | UseRightToLeftAlignment
 | UseRightToLeftReading
 | UseRightToLeftScrollBar
 | IsRightToLeft
TLCLComponent
pt | WSRegisterClass
pt | GetWSComponentClass
 | Create
 | Destroy
 | NewInstance
 | RemoveAllHandlersOfObject
 | IncLCLRefCount
 | DecLCLRefCount
TComponent
 | GetComObject
 | GetComponent
 | GetComponentCount
 | GetComponentIndex
 | Insert
 | ReadLeft
 | ReadTop
 | Remove
 | RemoveNotification
 | SetComponentIndex
 | SetReference
 | WriteLeft
 | WriteTop
 | ChangeName
 | DefineProperties
 | GetChildren
 | GetChildOwner
 | GetChildParent
 | GetOwner
 | Loaded
 | Loading
 | Notification
 | PaletteCreated
 | ReadState
 | SetAncestor
 | SetDesigning
 | SetDesignInstance
 | SetInline
 | SetName
 | SetChildOrder
 | SetParentComponent
 | Updating
 | Updated
 | UpdateRegistry
 | ValidateRename
 | ValidateContainer
 | ValidateInsert
 | QueryInterface
 | _AddRef
 | _Release
 | iicrGetComponent
 | GetTypeInfoCount
 | GetTypeInfo
 | GetIDsOfNames
 | Invoke
 | WriteState
 | Create
 | Destroy
 | BeforeDestruction
 | DestroyComponents
 | Destroying
 | ExecuteAction
 | FindComponent
 | FreeNotification
 | RemoveFreeNotification
 | FreeOnRelease
 | GetEnumerator
 | GetNamePath
 | GetParentComponent
 | HasParent
 | InsertComponent
 | RemoveComponent
 | SafeCallException
 | SetSubComponent
 | UpdateAction
 | IsImplementorOf
 | ReferenceInterface
TPersistent
 | AssignError
 | AssignTo
 | DefineProperties
 | GetOwner
 | Destroy
 | Assign
 | FPOAttachObserver
 | FPODetachObserver
 | FPONotifyObservers
 | GetNamePath
TObject
 | Create
 | Destroy
 | newinstance
 | FreeInstance
 | SafeCallException
 | DefaultHandler
 | Free
 | InitInstance
 | CleanupInstance
 | ClassType
 | ClassInfo
 | ClassName
 | ClassNameIs
 | ClassParent
 | InstanceSize
 | InheritsFrom
 | StringMessageTable
 | MethodAddress
 | MethodName
 | FieldAddress
 | AfterConstruction
 | BeforeDestruction
 | DefaultHandlerStr
 | Dispatch
 | DispatchStr
 | GetInterface
 | GetInterfaceByStr
 | GetInterfaceWeak
 | GetInterfaceEntry
 | GetInterfaceEntryByStr
 | GetInterfaceTable
 | UnitName
 | Equals
 | GetHashCode
 | ToString


pt | ActionChange (TControl)
pt | ActionChange (TCustomSpeedButton)
 | ActiveDefaultControlChanged (TControl)
pt | AddHandler (TControl)
 | AddHandlerOnBeforeDestruction (TControl)
 | AddHandlerOnChangeBounds (TControl)
 | AddHandlerOnEnabledChanged (TControl)
 | AddHandlerOnKeyDown (TControl)
 | AddHandlerOnMouseWheel (TControl)
 | AddHandlerOnResize (TControl)
 | AddHandlerOnVisibleChanged (TControl)
 | AddHandlerOnVisibleChanging (TControl)
 | AdjustSize (TControl)
 | AfterConstruction (TObject)
 | AnchorAsAlign (TControl)
 | AnchorClient (TControl)
 | AnchoredControlCount (TControl)
 | AnchorHorizontalCenterTo (TControl)
 | AnchorParallel (TControl)
 | AnchorSame (TControl)
pt | AnchorSideChanged (TControl)
 | AnchorToCompanion (TControl)
 | AnchorToNeighbour (TControl)
 | AnchorVerticalCenterTo (TControl)
 | Assign (TPersistent)
 | AssignError (TPersistent)
 | AssignTo (TPersistent)
pt | AssignTo (TControl)
 | AutoAdjustLayout (TControl)
 | AutoSizeDelayed (TControl)
 | AutoSizeDelayedHandle (TControl)
 | AutoSizeDelayedReport (TControl)
 | AutoSizePhases (TControl)
 | BeforeDestruction (TObject)
 | BeforeDestruction (TComponent)
 | BeforeDestruction (TControl)
pt | BeforeDragStart (TControl)
pt | BeginAutoDrag (TControl)
pt | BeginAutoSizing (TControl)
 | BeginDrag (TControl)
pt | BoundsChanged (TControl)
 | BringToFront (TControl)
pt | ButtonGlyph (TCustomSpeedButton)
pt | CalculateDockSizes (TControl)
pt | CalculatePreferredSize (TControl)
pt | CalculatePreferredSize (TCustomSpeedButton)
pt | CanAutoSize (TControl)
pt | CanTab (TControl)
pt | CaptureChanged (TControl)
pt | ChangeBounds (TControl)
pt | Changed (TControl)
 | ChangeName (TComponent)
pt | ChangeScale (TControl)
 | CheckChildClassAllowed (TControl)
 | CheckNewParent (TControl)
pt | CheckOnChangeBounds (TControl)
pt | ChildClassAllowed (TControl)
 | ClassInfo (TObject)
 | ClassName (TObject)
 | ClassNameIs (TObject)
 | ClassParent (TObject)
 | ClassType (TObject)
 | CleanupInstance (TObject)
pt | Click (TControl)
 | Click (TCustomSpeedButton)
 | Click (TColorButton)
 | ClientToParent (TControl)
 | ClientToScreen (TControl)
pt | CMBiDiModeChanged (TControl)
pt | CMChanged (TControl)
pt | CMCursorChanged (TControl)
pt | CMCursorChanged (TGraphicControl)
pt | CMEnabledChanged (TControl)
pt | CMHintShow (TControl)
pt | CMHitTest (TControl)
pt | CMMouseEnter (TControl)
pt | CMMouseLeave (TControl)
pt | CMParentBiDiModeChanged (TControl)
pt | CMParentColorChanged (TControl)
pt | CMParentFontChanged (TControl)
pt | CMParentShowHintChanged (TControl)
pt | CMSysFontChanged (TControl)
pt | CMTextChanged (TControl)
pt | CMVisibleChanged (TControl)
 | CNPreferredSizeChanged (TControl)
pt | ColorIsStored (TControl)
pt | ConstrainedResize (TControl)
 | ControlToScreen (TControl)
 | Create (TObject)
 | Create (TComponent)
 | Create (TLCLComponent)
 | Create (TControl)
 | Create (TGraphicControl)
 | Create (TCustomSpeedButton)
 | Create (TColorButton)
 | CreateAccessibleObject (TControl)
pt | CreateControlBorderSpacing (TControl)
pt | CreateFloatingDockSite (TControl)
pt | DblClick (TControl)
 | DecLCLRefCount (TLCLComponent)
 | DefaultHandler (TObject)
 | DefaultHandlerStr (TObject)
 | DefineProperties (TPersistent)
 | DefineProperties (TComponent)
pt | DefineProperties (TControl)
 | Destroy (TObject)
 | Destroy (TPersistent)
 | Destroy (TComponent)
 | Destroy (TLCLComponent)
 | Destroy (TControl)
 | Destroy (TGraphicControl)
 | Destroy (TCustomSpeedButton)
 | Destroy (TColorButton)
 | DestroyComponents (TComponent)
 | Destroying (TComponent)
pt | DialogChar (TControl)
pt | DialogChar (TCustomSpeedButton)
 | DisableAutoSizing (TControl)
 | Dispatch (TObject)
 | DispatchStr (TObject)
pt | DoAllAutoSize (TControl)
pt | DoAutoAdjustLayout (TControl)
pt | DoAutoSize (TControl)
pt | DoBorderSpacingChange (TControl)
pt | DoCallKeyEventHandler (TControl)
pt | DoCallMouseWheelEventHandler (TControl)
pt | DoCallNotifyHandler (TControl)
 | Dock (TControl)
 | Docked (TControl)
pt | DockTrackNoTarget (TControl)
pt | DoConstraintsChange (TControl)
pt | DoContextPopup (TControl)
pt | DoDock (TControl)
pt | DoDragMsg (TControl)
pt | DoEndDock (TControl)
pt | DoEndDrag (TControl)
pt | DoFixDesignFontPPI (TControl)
pt | DoFloatMsg (TControl)
pt | DoMouseWheel (TControl)
pt | DoMouseWheelDown (TControl)
pt | DoMouseWheelHorz (TControl)
pt | DoMouseWheelLeft (TControl)
pt | DoMouseWheelRight (TControl)
pt | DoMouseWheelUp (TControl)
pt | DoOnChangeBounds (TControl)
pt | DoOnChangeBounds (TGraphicControl)
pt | DoOnParentHandleDestruction (TControl)
pt | DoOnParentHandleDestruction (TGraphicControl)
pt | DoOnResize (TControl)
pt | DoOnShowHint (TControl)
pt | DoScaleFontPPI (TControl)
pt | DoSetBounds (TControl)
pt | DoStartDock (TControl)
pt | DoStartDrag (TControl)
pt | DragCanceled (TControl)
 | DragDrop (TControl)
 | Dragging (TControl)
pt | DragOver (TControl)
pt | DrawGlyph (TCustomSpeedButton)
pt | DrawGlyph (TColorButton)
 | EditingDone (TControl)
 | EnableAutoSizing (TControl)
pt | EnabledChanged (TControl)
pt | EnabledChanging (TControl)
pt | EndAutoSizing (TControl)
 | EndDrag (TControl)
 | Equals (TObject)
 | ExecuteAction (TComponent)
 | ExecuteCancelAction (TControl)
 | ExecuteDefaultAction (TControl)
 | FieldAddress (TObject)
 | FindComponent (TComponent)
 | FindDownButton (TCustomSpeedButton)
 | FixDesignFontsPPI (TControl)
pt | FontChanged (TControl)
pt | FontChanged (TGraphicControl)
pt | ForeignAnchorSideChanged (TControl)
pt | FormEndUpdated (TControl)
 | FormIsUpdating (TControl)
 | FPOAttachObserver (TPersistent)
 | FPODetachObserver (TPersistent)
 | FPONotifyObservers (TPersistent)
 | Free (TObject)
 | FreeInstance (TObject)
 | FreeNotification (TComponent)
 | FreeOnRelease (TComponent)
 | GetAccessibleObject (TControl)
pt | GetAction (TControl)
pt | GetActionLinkClass (TControl)
pt | GetActionLinkClass (TCustomSpeedButton)
 | GetAnchorsDependingOnParent (TControl)
pt | GetCachedText (TControl)
 | GetCanvasScaleFactor (TControl)
 | GetChildAccessibleObjectAtPos (TControl)
 | GetChildOwner (TComponent)
 | GetChildParent (TComponent)
 | GetChildren (TComponent)
 | GetChildrenRect (TControl)
pt | GetClientOrigin (TControl)
pt | GetClientRect (TControl)
pt | GetClientScrollOffset (TControl)
 | GetColorResolvingParent (TControl)
 | GetComObject (TComponent)
 | GetComponent (TComponent)
 | GetComponentCount (TComponent)
 | GetComponentIndex (TComponent)
pt | GetControlClassDefaultSize (TControl)
pt | GetControlClassDefaultSize (TCustomSpeedButton)
pt | GetControlClassDefaultSize (TColorButton)
pt | GetControlOrigin (TControl)
pt | GetCursor (TControl)
 | GetDefaultColor (TControl)
pt | GetDefaultDockCaption (TControl)
 | GetDefaultHeight (TControl)
 | GetDefaultWidth (TControl)
pt | GetDeviceContext (TControl)
pt | GetDisabledPattern (TColorButton)
pt | GetDockEdge (TControl)
pt | GetDragImages (TControl)
pt | GetDrawDetails (TCustomSpeedButton)
pt | GetEnabled (TControl)
 | GetEnumerator (TComponent)
pt | GetFloating (TControl)
pt | GetFloatingDockSiteClass (TControl)
pt | GetGlyphSize (TCustomSpeedButton)
pt | GetGlyphSize (TColorButton)
 | GetHashCode (TObject)
 | GetIDsOfNames (TComponent)
 | GetInterface (TObject)
 | GetInterfaceByStr (TObject)
 | GetInterfaceEntry (TObject)
 | GetInterfaceEntryByStr (TObject)
 | GetInterfaceTable (TObject)
 | GetInterfaceWeak (TObject)
pt | GetLogicalClientRect (TControl)
pt | GetMouseCapture (TControl)
pt | GetMousePosFromMessage (TControl)
 | GetNamePath (TPersistent)
 | GetNamePath (TComponent)
pt | GetNumGlyphs (TCustomSpeedButton)
 | GetOwner (TPersistent)
 | GetOwner (TComponent)
pt | GetPalette (TControl)
 | GetParentComponent (TComponent)
 | GetParentComponent (TControl)
pt | GetPopupMenu (TControl)
 | GetPreferredSize (TControl)
 | GetRGBColorResolvingParent (TControl)
pt | GetScrolledClientRect (TControl)
 | GetSelectedChildAccessibleObject (TControl)
 | GetSidePosition (TControl)
 | GetTextBuf (TControl)
 | GetTextLen (TControl)
pt | GetTextSize (TCustomSpeedButton)
 | GetTopParent (TControl)
 | GetTypeInfo (TComponent)
 | GetTypeInfoCount (TComponent)
pt | GetWSComponentClass (TLCLComponent)
pt | GlyphChanged (TCustomSpeedButton)
 | HandleObjectShouldBeVisible (TControl)
 | HasHelp (TControl)
 | HasParent (TComponent)
 | HasParent (TControl)
pt | HeightIsAnchored (TControl)
 | Hide (TControl)
 | iicrGetComponent (TComponent)
 | IncLCLRefCount (TLCLComponent)
 | InheritsFrom (TObject)
 | InitiateAction (TControl)
 | InitInstance (TObject)
 | Insert (TComponent)
 | InsertComponent (TComponent)
 | InstanceSize (TObject)
 | Invalidate (TControl)
pt | InvalidateControl (TControl)
 | InvalidatePreferredSize (TControl)
 | Invoke (TComponent)
pt | IsAParentAligning (TControl)
pt | IsBorderSpacingInnerBorderStored (TControl)
pt | IsCaptionStored (TControl)
pt | IsClientHeightStored (TControl)
pt | IsClientWidthStored (TControl)
 | IsControlVisible (TControl)
 | IsEnabled (TControl)
 | IsImplementorOf (TComponent)
 | IsParentColor (TControl)
 | IsParentFont (TControl)
 | IsParentOf (TControl)
 | IsProcessingPaintMsg (TControl)
 | IsRightToLeft (TControl)
 | IsVisible (TControl)
pt | LMCaptureChanged (TControl)
 | Loaded (TComponent)
pt | Loaded (TControl)
pt | Loaded (TCustomSpeedButton)
pt | LoadedAll (TControl)
 | LoadGlyphFromLazarusResource (TCustomSpeedButton)
 | LoadGlyphFromResourceName (TCustomSpeedButton)
 | Loading (TComponent)
 | ManualDock (TControl)
 | ManualFloat (TControl)
pt | MeasureDraw (TCustomSpeedButton)
 | MethodAddress (TObject)
 | MethodName (TObject)
pt | MouseDown (TControl)
pt | MouseDown (TCustomSpeedButton)
pt | MouseEnter (TControl)
pt | MouseEnter (TCustomSpeedButton)
pt | MouseLeave (TControl)
pt | MouseLeave (TCustomSpeedButton)
pt | MouseMove (TControl)
pt | MouseMove (TCustomSpeedButton)
pt | MouseUp (TControl)
pt | MouseUp (TCustomSpeedButton)
 | newinstance (TObject)
 | NewInstance (TLCLComponent)
 | Notification (TComponent)
pt | Notification (TControl)
pt | Notification (TCustomSpeedButton)
pt | Paint (TGraphicControl)
pt | Paint (TCustomSpeedButton)
pt | PaintBackground (TCustomSpeedButton)
 | PaletteCreated (TComponent)
 | ParentDestroyingHandle (TControl)
pt | ParentFontChanged (TControl)
pt | ParentFormHandleInitialized (TControl)
 | ParentHandlesAllocated (TControl)
 | ParentToClient (TControl)
 | Perform (TControl)
pt | PositionDockRect (TControl)
pt | QuadClick (TControl)
 | QueryInterface (TComponent)
 | ReadLeft (TComponent)
 | ReadState (TComponent)
pt | ReadState (TControl)
 | ReadTop (TComponent)
pt | RealGetText (TControl)
pt | RealSetText (TControl)
pt | RealSetText (TCustomSpeedButton)
 | ReferenceInterface (TComponent)
 | Refresh (TControl)
 | Remove (TComponent)
 | RemoveAllHandlersOfObject (TLCLComponent)
 | RemoveAllHandlersOfObject (TControl)
 | RemoveComponent (TComponent)
 | RemoveFreeNotification (TComponent)
pt | RemoveHandler (TControl)
 | RemoveHandlerOnBeforeDestruction (TControl)
 | RemoveHandlerOnChangeBounds (TControl)
 | RemoveHandlerOnEnableChanging (TControl)
 | RemoveHandlerOnKeyDown (TControl)
 | RemoveHandlerOnMouseWheel (TControl)
 | RemoveHandlerOnResize (TControl)
 | RemoveHandlerOnVisibleChanged (TControl)
 | RemoveHandlerOnVisibleChanging (TControl)
 | RemoveNotification (TComponent)
 | Repaint (TControl)
 | ReplaceDockedControl (TControl)
pt | RequestAlign (TControl)
pt | Resize (TControl)
 | SafeCallException (TObject)
 | SafeCallException (TComponent)
 | Scale96ToFont (TControl)
 | Scale96ToForm (TControl)
 | Scale96ToScreen (TControl)
pt | ScaleConstraints (TControl)
 | ScaleDesignToForm (TControl)
 | ScaleFontsPPI (TControl)
 | ScaleFontTo96 (TControl)
 | ScaleFontToScreen (TControl)
 | ScaleFormTo96 (TControl)
 | ScaleFormToDesign (TControl)
 | ScaleScreenTo96 (TControl)
 | ScaleScreenToFont (TControl)
 | ScreenToClient (TControl)
 | ScreenToControl (TControl)
pt | SendMoveSizeMessages (TControl)
 | SendToBack (TControl)
pt | SetAction (TControl)
pt | SetAlign (TControl)
 | SetAncestor (TComponent)
pt | SetAnchors (TControl)
pt | SetAutoSize (TControl)
pt | SetBiDiMode (TControl)
 | SetBounds (TControl)
 | SetBoundsKeepBase (TControl)
 | SetChildOrder (TComponent)
pt | SetColor (TControl)
 | SetComponentIndex (TComponent)
pt | SetCursor (TControl)
 | SetDesigning (TComponent)
 | SetDesignInstance (TComponent)
pt | SetDown (TCustomSpeedButton)
pt | SetDragMode (TControl)
pt | SetEnabled (TControl)
pt | SetFlat (TCustomSpeedButton)
pt | SetGroupIndex (TCustomSpeedButton)
pt | SetHint (TControl)
 | SetInitialBounds (TControl)
 | SetInline (TComponent)
pt | SetMargin (TCustomSpeedButton)
 | SetName (TComponent)
pt | SetName (TControl)
pt | SetNumGlyphs (TCustomSpeedButton)
pt | SetParent (TControl)
pt | SetParentBiDiMode (TControl)
 | SetParentComponent (TComponent)
pt | SetParentComponent (TControl)
 | SetReference (TComponent)
pt | SetSpacing (TCustomSpeedButton)
 | SetSubComponent (TComponent)
 | SetTempCursor (TControl)
 | SetTextBuf (TControl)
pt | SetVisible (TControl)
pt | SetZOrder (TControl)
 | ShouldAutoAdjust (TControl)
 | Show (TControl)
pt | ShowColorDialog (TColorButton)
 | ShowHelp (TControl)
 | StringMessageTable (TObject)
pt | TextChanged (TControl)
 | ToString (TObject)
pt | TripleClick (TControl)
 | UnitName (TObject)
 | Update (TControl)
 | UpdateAction (TComponent)
pt | UpdateAnchorRules (TControl)
 | UpdateBaseBounds (TControl)
 | Updated (TComponent)
pt | UpdateMouseCursor (TControl)
 | UpdateRegistry (TComponent)
 | UpdateRolesForForm (TControl)
pt | UpdateState (TCustomSpeedButton)
 | Updating (TComponent)
 | UseRightToLeftAlignment (TControl)
 | UseRightToLeftReading (TControl)
 | UseRightToLeftScrollBar (TControl)
 | ValidateContainer (TComponent)
 | ValidateInsert (TComponent)
 | ValidateRename (TComponent)
pt | VisibleChanged (TControl)
pt | VisibleChanging (TControl)
pt | WidthIsAnchored (TControl)
pt | WMCancelMode (TControl)
pt | WMContextMenu (TControl)
pt | WMLButtonDBLCLK (TControl)
pt | WMLButtonDown (TControl)
pt | WMLButtonQuadCLK (TControl)
pt | WMLButtonTripleCLK (TControl)
pt | WMLButtonUp (TControl)
pt | WMMButtonDBLCLK (TControl)
pt | WMMButtonDown (TControl)
pt | WMMButtonQuadCLK (TControl)
pt | WMMButtonTripleCLK (TControl)
pt | WMMButtonUp (TControl)
pt | WMMouseHWheel (TControl)
pt | WMMouseMove (TControl)
pt | WMMouseWheel (TControl)
pt | WMMove (TControl)
pt | WMRButtonDBLCLK (TControl)
pt | WMRButtonDown (TControl)
pt | WMRButtonQuadCLK (TControl)
pt | WMRButtonTripleCLK (TControl)
pt | WMRButtonUp (TControl)
pt | WMSize (TControl)
pt | WMWindowPosChanged (TControl)
pt | WMXButtonDBLCLK (TControl)
pt | WMXButtonDown (TControl)
pt | WMXButtonQuadCLK (TControl)
pt | WMXButtonTripleCLK (TControl)
pt | WMXButtonUp (TControl)
pt | WndProc (TControl)
 | WriteLayoutDebugReport (TControl)
 | WriteLeft (TComponent)
 | WriteState (TComponent)
 | WriteTop (TComponent)
pt | WSRegisterClass (TLCLComponent)
pt | WSRegisterClass (TControl)
pt | WSRegisterClass (TGraphicControl)
pt | WSRegisterClass (TCustomSpeedButton)
pt | WSRegisterClass (TColorButton)
 | _AddRef (TComponent)
 | _Release (TComponent)


TColorButton
pl | ro | OnClick
pl |  | OnColorChanged
pl | ro | OnDblClick
pl | ro | OnMouseDown
pl | ro | OnMouseEnter
pl | ro | OnMouseLeave
pl | ro | OnMouseMove
pl | ro | OnMouseUp
pl | ro | OnMouseWheel
pl | ro | OnMouseWheelDown
pl | ro | OnMouseWheelUp
pl | ro | OnPaint
pl | ro | OnResize
pl | ro | OnChangeBounds
TCustomSpeedButton
TGraphicControl
pt |  | OnPaint
TControl
pt |  | OnConstrainedResize
pt |  | OnContextPopup
pt |  | OnDblClick
pt |  | OnTripleClick
pt |  | OnQuadClick
pt |  | OnDragDrop
pt |  | OnDragOver
pt |  | OnEndDock
pt |  | OnEndDrag
pt |  | OnMouseDown
pt |  | OnMouseMove
pt |  | OnMouseUp
pt |  | OnMouseEnter
pt |  | OnMouseLeave
pt |  | OnMouseWheel
pt |  | OnMouseWheelDown
pt |  | OnMouseWheelUp
pt |  | OnMouseWheelHorz
pt |  | OnMouseWheelLeft
pt |  | OnMouseWheelRight
pt |  | OnStartDock
pt |  | OnStartDrag
pt |  | OnEditingDone
 |  | OnChangeBounds
 |  | OnClick
 |  | OnResize
 |  | OnShowHint
TLCLComponent
TComponent
TPersistent
TObject


pl | ro | OnChangeBounds (TColorButton)
 |  | OnClick (TControl)
pl | ro | OnClick (TColorButton)
pl |  | OnColorChanged (TColorButton)
pt |  | OnConstrainedResize (TControl)
pt |  | OnContextPopup (TControl)
pt |  | OnDblClick (TControl)
pl | ro | OnDblClick (TColorButton)
pt |  | OnDragDrop (TControl)
pt |  | OnDragOver (TControl)
pt |  | OnEditingDone (TControl)
pt |  | OnEndDock (TControl)
pt |  | OnEndDrag (TControl)
pt |  | OnMouseDown (TControl)
pl | ro | OnMouseDown (TColorButton)
pt |  | OnMouseEnter (TControl)
pl | ro | OnMouseEnter (TColorButton)
pt |  | OnMouseLeave (TControl)
pl | ro | OnMouseLeave (TColorButton)
pt |  | OnMouseMove (TControl)
pl | ro | OnMouseMove (TColorButton)
pt |  | OnMouseUp (TControl)
pl | ro | OnMouseUp (TColorButton)
pt |  | OnMouseWheel (TControl)
pl | ro | OnMouseWheel (TColorButton)
pt |  | OnMouseWheelDown (TControl)
pl | ro | OnMouseWheelDown (TColorButton)
pt |  | OnMouseWheelHorz (TControl)
pt |  | OnMouseWheelLeft (TControl)
pt |  | OnMouseWheelRight (TControl)
pt |  | OnMouseWheelUp (TControl)
pl | ro | OnMouseWheelUp (TColorButton)
pt |  | OnPaint (TGraphicControl)
pl | ro | OnPaint (TColorButton)
pt |  | OnQuadClick (TControl)
 |  | OnResize (TControl)
pl | ro | OnResize (TColorButton)
 |  | OnShowHint (TControl)
pt |  | OnStartDock (TControl)
pt |  | OnStartDrag (TControl)
pt |  | OnTripleClick (TControl)


TColorButton.BorderWidth

BorderWidth - the width of the button's borders

Declaration

Source position: dialogs.pp line 326

published property TColorButton.BorderWidth : Integer
  read FBorderWidth
  write SetBorderWidth;


TColorButton.ButtonColor

ButtonColor - the colour that has been selected by the ColorDialog and is displayed in the button

Declaration

Source position: dialogs.pp line 331

published property TColorButton.ButtonColor : TColor
  read FButtonColor
  write SetButtonColor;


TColorButton.ButtonColorAutoSize

ButtonColorAutoSize - returns True if the block displaying button colour is to be autosized

Declaration

Source position: dialogs.pp line 327

published property TColorButton.ButtonColorAutoSize : Boolean
  read FButtonColorAutoSize
  write SetButtonColorAutoSize
  stored IsButtonColorAutoSizeStored;


TColorButton.ButtonColorSize

ButtonColorSize - the size of the button colour block

Declaration

Source position: dialogs.pp line 330

published property TColorButton.ButtonColorSize : Integer
  read FButtonColorSize
  write SetButtonColorSize;


TColorButton.Caption

Caption - a string that can be placed beside the block of colour

Declaration

Source position: dialogs.pp line 334

published property TColorButton.Caption : TCaption;


TColorButton.Color

The Color of the control itself, ie the parts that are not the colour display block; edges, background etc

Declaration

Source position: dialogs.pp line 335

published property TColorButton.Color : TColor;


TColorButton.ColorDialog

The ColorDialog that opens when the button is activated

Declaration

Source position: dialogs.pp line 332

published property TColorButton.ColorDialog : TColorDialog
  read FColorDialog
  write FColorDialog;


TColorButton.Create

Create - constructor for TColorButton; calls inherited Create , sets initial bounds, size and pattern

Declaration

Source position: dialogs.pp line 317

public constructor TColorButton.Create(

  AnOwner: TComponent

); override;

See also

TCustomSpeedButton.create

Create - constructor for TCustomSpeedButton: calls inherited Create and initialises many defaults and properties


TColorButton.DrawGlyph

DrawGlyph - draw the glyph on the button face

Declaration

Source position: dialogs.pp line 310

protected function TColorButton.DrawGlyph(

  ACanvas: TCanvas;

  const AClient: TRect;

  const AOffset: TPoint;

  AState: TButtonState;

  ATransparent: Boolean;

  BiDiFlags: LongInt

):TRect; override;


TColorButton.GetDisabledPattern

GetDisabledPattern - returns a BitMap with a disabled pattern

Declaration

Source position: dialogs.pp line 312

protected function TColorButton.GetDisabledPattern: TBitmap; virtual;


TColorButton.GetGlyphSize

GetGlyphSize - returns the value of the size for glyphs on the button

Declaration

Source position: dialogs.pp line 313

protected function TColorButton.GetGlyphSize(

  Drawing: Boolean;

  PaintRect: TRect

):TSize; override;


TColorButton.OnColorChanged

OnColorChanged - event handler for a change in button colour

Declaration

Source position: dialogs.pp line 348

published property TColorButton.OnColorChanged : TNotifyEvent
  read FOnColorChanged
  write FOnColorChanged;


TColorButton.OnMouseEnter

Declaration

Source position: dialogs.pp line 352

published property TColorButton.OnMouseEnter : TNotifyEvent;


TColorButton.OnMouseLeave

Declaration

Source position: dialogs.pp line 353

published property TColorButton.OnMouseLeave : TNotifyEvent;


TColorButton.OnMouseWheel

Declaration

Source position: dialogs.pp line 356

published property TColorButton.OnMouseWheel : TMouseWheelEvent;


TColorButton.OnMouseWheelDown

Declaration

Source position: dialogs.pp line 357

published property TColorButton.OnMouseWheelDown : TMouseWheelUpDownEvent;


TColorButton.OnMouseWheelUp

Declaration

Source position: dialogs.pp line 358

published property TColorButton.OnMouseWheelUp : TMouseWheelUpDownEvent;


TColorButton.ShowColorDialog

ShowColorDialog - method for displaying the Colour dialog

Declaration

Source position: dialogs.pp line 315

protected procedure TColorButton.ShowColorDialog; virtual;


TColorDialog

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

TColorDialog - dialog for selecting a colour to use in graphics and text

Declaration

Source position: dialogs.pp line 272

type TColorDialog = class(TCommonDialog)
protected
class procedure WSRegisterClass; override; | Registers this component class with the current WidgetSet.
function DefaultTitle; override; | DefaultTitle - returns the default title for a dialog
public
constructor Create(); override; | Create - constructor for TColorDialog: calls inherited Create, makes stringlist for colours and gets colour values
destructor Destroy; override; | Destroy - destructor for TColorDialog: frees custom colours then calls inherited Destroy
published
property Title: TTranslateString; | The Title or Caption to be shown at the top of the dialog box
property Color: TColor; [rw] | Color the colour that is selected by the dialog (a value may have been pre-set and may be accepted, but a new value can be chosen)
property CustomColors: TStrings; [rw] | CustomColors - a customised list of colours that can be used instead of the system-supplied list
end;

Inheritance

TColorDialog | TColorDialog - dialog for selecting a colour to use in graphics and text
|
TCommonDialog | TCommonDialog : the base type from which other dialogs are derived
|
TLCLComponent | The base class for LCL components associated with widgets.
|
TComponent,IUnknown,IInterfaceComponentReference
|
TPersistent,IFPObserved
|
TObject

Description

Colour Dialog: presents a palette of colours to allow the user to select the required colour for text or graphics.
Call the Execute function to show the color dialog.


TColorDialog
pl | ro | Title
pl |  | Color
pl |  | CustomColors
TCommonDialog
pt |  | AttachTo
 |  | Handle
 |  | UserChoice
 |  | Width
 |  | Height
pl |  | HelpContext
pl |  | Title
TLCLComponent
 | ro | LCLRefCount
 | ro | WidgetSetClass
TComponent
 | ro | ComObject
 | ro | Components
 | ro | ComponentCount
 |  | ComponentIndex
 | ro | ComponentState
 | ro | ComponentStyle
 |  | DesignInfo
 | ro | Owner
 |  | VCLComObject
 |  | Name
 |  | Tag
TPersistent
TObject


pt |  | AttachTo (TCommonDialog)
pl |  | Color (TColorDialog)
 | ro | ComObject (TComponent)
 | ro | ComponentCount (TComponent)
 |  | ComponentIndex (TComponent)
 | ro | Components (TComponent)
 | ro | ComponentState (TComponent)
 | ro | ComponentStyle (TComponent)
pl |  | CustomColors (TColorDialog)
 |  | DesignInfo (TComponent)
 |  | Handle (TCommonDialog)
 |  | Height (TCommonDialog)
pl |  | HelpContext (TCommonDialog)
 | ro | LCLRefCount (TLCLComponent)
 |  | Name (TComponent)
 | ro | Owner (TComponent)
 |  | Tag (TComponent)
pl |  | Title (TCommonDialog)
pl | ro | Title (TColorDialog)
 |  | UserChoice (TCommonDialog)
 |  | VCLComObject (TComponent)
 | ro | WidgetSetClass (TLCLComponent)
 |  | Width (TCommonDialog)


TColorDialog
pt | WSRegisterClass
pt | DefaultTitle
 | Create
 | Destroy
TCommonDialog
pt | WSRegisterClass
pt | DoExecute
pt | DefaultTitle
pt | GetHeight
pt | GetWidth
pt | SetHeight
pt | SetWidth
pt | ResetShowCloseFlags
 | Create
 | Execute
 | Close
 | DoShow
 | DoCanClose
 | DoClose
 | HandleAllocated
TLCLComponent
pt | WSRegisterClass
pt | GetWSComponentClass
 | Create
 | Destroy
 | NewInstance
 | RemoveAllHandlersOfObject
 | IncLCLRefCount
 | DecLCLRefCount
TComponent
 | GetComObject
 | GetComponent
 | GetComponentCount
 | GetComponentIndex
 | Insert
 | ReadLeft
 | ReadTop
 | Remove
 | RemoveNotification
 | SetComponentIndex
 | SetReference
 | WriteLeft
 | WriteTop
 | ChangeName
 | DefineProperties
 | GetChildren
 | GetChildOwner
 | GetChildParent
 | GetOwner
 | Loaded
 | Loading
 | Notification
 | PaletteCreated
 | ReadState
 | SetAncestor
 | SetDesigning
 | SetDesignInstance
 | SetInline
 | SetName
 | SetChildOrder
 | SetParentComponent
 | Updating
 | Updated
 | UpdateRegistry
 | ValidateRename
 | ValidateContainer
 | ValidateInsert
 | QueryInterface
 | _AddRef
 | _Release
 | iicrGetComponent
 | GetTypeInfoCount
 | GetTypeInfo
 | GetIDsOfNames
 | Invoke
 | WriteState
 | Create
 | Destroy
 | BeforeDestruction
 | DestroyComponents
 | Destroying
 | ExecuteAction
 | FindComponent
 | FreeNotification
 | RemoveFreeNotification
 | FreeOnRelease
 | GetEnumerator
 | GetNamePath
 | GetParentComponent
 | HasParent
 | InsertComponent
 | RemoveComponent
 | SafeCallException
 | SetSubComponent
 | UpdateAction
 | IsImplementorOf
 | ReferenceInterface
TPersistent
 | AssignError
 | AssignTo
 | DefineProperties
 | GetOwner
 | Destroy
 | Assign
 | FPOAttachObserver
 | FPODetachObserver
 | FPONotifyObservers
 | GetNamePath
TObject
 | Create
 | Destroy
 | newinstance
 | FreeInstance
 | SafeCallException
 | DefaultHandler
 | Free
 | InitInstance
 | CleanupInstance
 | ClassType
 | ClassInfo
 | ClassName
 | ClassNameIs
 | ClassParent
 | InstanceSize
 | InheritsFrom
 | StringMessageTable
 | MethodAddress
 | MethodName
 | FieldAddress
 | AfterConstruction
 | BeforeDestruction
 | DefaultHandlerStr
 | Dispatch
 | DispatchStr
 | GetInterface
 | GetInterfaceByStr
 | GetInterfaceWeak
 | GetInterfaceEntry
 | GetInterfaceEntryByStr
 | GetInterfaceTable
 | UnitName
 | Equals
 | GetHashCode
 | ToString


 | AssignError (TPersistent)
 | AssignTo (TPersistent)
 | BeforeDestruction (TObject)
 | BeforeDestruction (TComponent)
 | ChangeName (TComponent)
 | ClassInfo (TObject)
 | ClassName (TObject)
 | ClassNameIs (TObject)
 | ClassParent (TObject)
 | ClassType (TObject)
 | CleanupInstance (TObject)
 | Close (TCommonDialog)
 | Create (TObject)
 | Create (TComponent)
 | Create (TLCLComponent)
 | Create (TCommonDialog)
 | Create (TColorDialog)
 | DecLCLRefCount (TLCLComponent)
 | DefaultHandler (TObject)
 | DefaultHandlerStr (TObject)
pt | DefaultTitle (TCommonDialog)
pt | DefaultTitle (TColorDialog)
 | DefineProperties (TPersistent)
 | DefineProperties (TComponent)
 | Destroy (TObject)
 | Destroy (TPersistent)
 | Destroy (TComponent)
 | Destroy (TLCLComponent)
 | Destroy (TColorDialog)
 | DestroyComponents (TComponent)
 | Destroying (TComponent)
 | Dispatch (TObject)
 | DispatchStr (TObject)
 | DoCanClose (TCommonDialog)
 | DoClose (TCommonDialog)
pt | DoExecute (TCommonDialog)
 | DoShow (TCommonDialog)
 | Equals (TObject)
 | Execute (TCommonDialog)
 | ExecuteAction (TComponent)
 | FieldAddress (TObject)
 | FindComponent (TComponent)
 | FPOAttachObserver (TPersistent)
 | FPODetachObserver (TPersistent)
 | FPONotifyObservers (TPersistent)
 | Free (TObject)
 | FreeInstance (TObject)
 | FreeNotification (TComponent)
 | FreeOnRelease (TComponent)
 | GetChildOwner (TComponent)
 | GetChildParent (TComponent)
 | GetChildren (TComponent)
 | GetComObject (TComponent)
 | GetComponent (TComponent)
 | GetComponentCount (TComponent)
 | GetComponentIndex (TComponent)
 | GetEnumerator (TComponent)
 | GetHashCode (TObject)
pt | GetHeight (TCommonDialog)
 | GetIDsOfNames (TComponent)
 | GetInterface (TObject)
 | GetInterfaceByStr (TObject)
 | GetInterfaceEntry (TObject)
 | GetInterfaceEntryByStr (TObject)
 | GetInterfaceTable (TObject)
 | GetInterfaceWeak (TObject)
 | GetNamePath (TPersistent)
 | GetNamePath (TComponent)
 | GetOwner (TPersistent)
 | GetOwner (TComponent)
 | GetParentComponent (TComponent)
 | GetTypeInfo (TComponent)
 | GetTypeInfoCount (TComponent)
pt | GetWidth (TCommonDialog)
pt | GetWSComponentClass (TLCLComponent)
 | HandleAllocated (TCommonDialog)
 | HasParent (TComponent)
 | iicrGetComponent (TComponent)
 | IncLCLRefCount (TLCLComponent)
 | InheritsFrom (TObject)
 | InitInstance (TObject)
 | Insert (TComponent)
 | InsertComponent (TComponent)
 | InstanceSize (TObject)
 | Invoke (TComponent)
 | IsImplementorOf (TComponent)
 | Loaded (TComponent)
 | Loading (TComponent)
 | MethodAddress (TObject)
 | MethodName (TObject)
 | newinstance (TObject)
 | NewInstance (TLCLComponent)
 | Notification (TComponent)
 | PaletteCreated (TComponent)
 | QueryInterface (TComponent)
 | ReadLeft (TComponent)
 | ReadState (TComponent)
 | ReadTop (TComponent)
 | ReferenceInterface (TComponent)
 | Remove (TComponent)
 | RemoveAllHandlersOfObject (TLCLComponent)
 | RemoveComponent (TComponent)
 | RemoveFreeNotification (TComponent)
 | RemoveNotification (TComponent)
pt | ResetShowCloseFlags (TCommonDialog)
 | SafeCallException (TObject)
 | SafeCallException (TComponent)
 | SetAncestor (TComponent)
 | SetChildOrder (TComponent)
 | SetComponentIndex (TComponent)
 | SetDesigning (TComponent)
 | SetDesignInstance (TComponent)
pt | SetHeight (TCommonDialog)
 | SetInline (TComponent)
 | SetName (TComponent)
 | SetParentComponent (TComponent)
 | SetReference (TComponent)
 | SetSubComponent (TComponent)
pt | SetWidth (TCommonDialog)
 | StringMessageTable (TObject)
 | ToString (TObject)
 | UnitName (TObject)
 | UpdateAction (TComponent)
 | Updated (TComponent)
 | UpdateRegistry (TComponent)
 | Updating (TComponent)
 | ValidateContainer (TComponent)
 | ValidateInsert (TComponent)
 | ValidateRename (TComponent)
 | WriteLeft (TComponent)
 | WriteState (TComponent)
 | WriteTop (TComponent)
pt | WSRegisterClass (TLCLComponent)
pt | WSRegisterClass (TCommonDialog)
pt | WSRegisterClass (TColorDialog)
 | _AddRef (TComponent)
 | _Release (TComponent)


TColorDialog
TCommonDialog
pt | OnDialogResult
pl | OnClose
pl | OnCanClose
pl | OnShow
TLCLComponent
TComponent
TPersistent
TObject


pl | OnCanClose (TCommonDialog)
pl | OnClose (TCommonDialog)
pt | OnDialogResult (TCommonDialog)
pl | OnShow (TCommonDialog)


TColorDialog.Color

Color the colour that is selected by the dialog (a value may have been pre-set and may be accepted, but a new value can be chosen)

Declaration

Source position: dialogs.pp line 286

published property TColorDialog.Color : TColor
  read FColor
  write FColor;

Description

When the Color dialog has been shown and the user pressed OK, the FColor property contains the chosen color.


TColorDialog.Create

Create - constructor for TColorDialog: calls inherited Create, makes stringlist for colours and gets colour values

Declaration

Source position: dialogs.pp line 282

public constructor TColorDialog.Create(

  TheOwner: TComponent

); override;

See also

TCommonDialog.Create

Create - constructor for TCommonDialog: calls inherited Create and adds default Title


TColorDialog.CustomColors

CustomColors - a customised list of colours that can be used instead of the system-supplied list

Declaration

Source position: dialogs.pp line 288

published property TColorDialog.CustomColors : TStrings
  read FCustomColors
  write SetCustomColors;


TColorDialog.Destroy

Destroy - destructor for TColorDialog: frees custom colours then calls inherited Destroy

Declaration

Source position: dialogs.pp line 283

public destructor TColorDialog.Destroy; override;


TCommonDialog

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

TCommonDialog : the base type from which other dialogs are derived

Declaration

Source position: dialogs.pp line 86

type TCommonDialog = class(TLCLComponent)
protected
class procedure WSRegisterClass; override; | Registers this component class with the current WidgetSet.
function DoExecute; virtual; | The function that actually takes care of executing the dialog
function DefaultTitle; virtual; | DefaultTitle - returns the default title for a dialog
function GetHeight; virtual;
function GetWidth; virtual;
procedure SetHeight(); virtual; |
procedure SetWidth(); virtual; |
procedure ResetShowCloseFlags;
property AttachTo: TCustomForm; [rw] platform ;
property OnDialogResult: TDialogResultEvent; [rw] platform ;
public
FCompStyle: LongInt; | FCompStyle - local variable holding the style
constructor Create(); override; | Create - constructor for TCommonDialog: calls inherited Create and adds default Title
function Execute; virtual; | A public method causing the dialog box to appear, offer the relevant choices to the user and act upon the choice
property Handle: THandle; [rw] | Operating system Handle for the dialog
property UserChoice: Integer; [rw] | UserChoice - the value selected by the user
procedure Close; virtual; | Close the dialog and return the memory used
procedure DoShow; virtual; | DoShow - the procedure that actually takes care of showing the dialog box
procedure DoCanClose(); virtual; | DoCanClose - software emulation of the OnCanClose event
procedure DoClose; virtual; | DoClose - software emulation of the OnClose event
function HandleAllocated; | HandleAllocated - returns True if a handle has been allocated
property Width: Integer; [rw] | The width of the dialog box
property Height: Integer; [rw] | The height of the dialog box
published
property OnClose: TNotifyEvent; [rw] | Event Handler for closing the dialog
property OnCanClose: TCloseQueryEvent; [rw] | Event Handler when dialog is able to be closed
property OnShow: TNotifyEvent; [rw] | Event handler for showing the dialog
property HelpContext: THelpContext; [rw] | HelpContext - an index to the context-dependent help message for this dialog
property Title: TTranslateString; [rws] | The Title or Caption to be shown at the top of the dialog box
end;

Inheritance

TCommonDialog | TCommonDialog : the base type from which other dialogs are derived
|
TLCLComponent | The base class for LCL components associated with widgets.
|
TComponent,IUnknown,IInterfaceComponentReference
|
TPersistent,IFPObserved
|
TObject

Description

TCommonDialog: the base type from which all other dialogs are derived.
Use the "Create" method to make an instance of the dialog,
the "Execute" method to show it to the user
and the "Close" method to release it and free the used resources.


TCommonDialog
pt |  | AttachTo
 |  | Handle
 |  | UserChoice
 |  | Width
 |  | Height
pl |  | HelpContext
pl |  | Title
TLCLComponent
 | ro | LCLRefCount
 | ro | WidgetSetClass
TComponent
 | ro | ComObject
 | ro | Components
 | ro | ComponentCount
 |  | ComponentIndex
 | ro | ComponentState
 | ro | ComponentStyle
 |  | DesignInfo
 | ro | Owner
 |  | VCLComObject
 |  | Name
 |  | Tag
TPersistent
TObject


pt |  | AttachTo (TCommonDialog)
 | ro | ComObject (TComponent)
 | ro | ComponentCount (TComponent)
 |  | ComponentIndex (TComponent)
 | ro | Components (TComponent)
 | ro | ComponentState (TComponent)
 | ro | ComponentStyle (TComponent)
 |  | DesignInfo (TComponent)
 |  | Handle (TCommonDialog)
 |  | Height (TCommonDialog)
pl |  | HelpContext (TCommonDialog)
 | ro | LCLRefCount (TLCLComponent)
 |  | Name (TComponent)
 | ro | Owner (TComponent)
 |  | Tag (TComponent)
pl |  | Title (TCommonDialog)
 |  | UserChoice (TCommonDialog)
 |  | VCLComObject (TComponent)
 | ro | WidgetSetClass (TLCLComponent)
 |  | Width (TCommonDialog)


TCommonDialog
pt | WSRegisterClass
pt | DoExecute
pt | DefaultTitle
pt | GetHeight
pt | GetWidth
pt | SetHeight
pt | SetWidth
pt | ResetShowCloseFlags
 | Create
 | Execute
 | Close
 | DoShow
 | DoCanClose
 | DoClose
 | HandleAllocated
TLCLComponent
pt | WSRegisterClass
pt | GetWSComponentClass
 | Create
 | Destroy
 | NewInstance
 | RemoveAllHandlersOfObject
 | IncLCLRefCount
 | DecLCLRefCount
TComponent
 | GetComObject
 | GetComponent
 | GetComponentCount
 | GetComponentIndex
 | Insert
 | ReadLeft
 | ReadTop
 | Remove
 | RemoveNotification
 | SetComponentIndex
 | SetReference
 | WriteLeft
 | WriteTop
 | ChangeName
 | DefineProperties
 | GetChildren
 | GetChildOwner
 | GetChildParent
 | GetOwner
 | Loaded
 | Loading
 | Notification
 | PaletteCreated
 | ReadState
 | SetAncestor
 | SetDesigning
 | SetDesignInstance
 | SetInline
 | SetName
 | SetChildOrder
 | SetParentComponent
 | Updating
 | Updated
 | UpdateRegistry
 | ValidateRename
 | ValidateContainer
 | ValidateInsert
 | QueryInterface
 | _AddRef
 | _Release
 | iicrGetComponent
 | GetTypeInfoCount
 | GetTypeInfo
 | GetIDsOfNames
 | Invoke
 | WriteState
 | Create
 | Destroy
 | BeforeDestruction
 | DestroyComponents
 | Destroying
 | ExecuteAction
 | FindComponent
 | FreeNotification
 | RemoveFreeNotification
 | FreeOnRelease
 | GetEnumerator
 | GetNamePath
 | GetParentComponent
 | HasParent
 | InsertComponent
 | RemoveComponent
 | SafeCallException
 | SetSubComponent
 | UpdateAction
 | IsImplementorOf
 | ReferenceInterface
TPersistent
 | AssignError
 | AssignTo
 | DefineProperties
 | GetOwner
 | Destroy
 | Assign
 | FPOAttachObserver
 | FPODetachObserver
 | FPONotifyObservers
 | GetNamePath
TObject
 | Create
 | Destroy
 | newinstance
 | FreeInstance
 | SafeCallException
 | DefaultHandler
 | Free
 | InitInstance
 | CleanupInstance
 | ClassType
 | ClassInfo
 | ClassName
 | ClassNameIs
 | ClassParent
 | InstanceSize
 | InheritsFrom
 | StringMessageTable
 | MethodAddress
 | MethodName
 | FieldAddress
 | AfterConstruction
 | BeforeDestruction
 | DefaultHandlerStr
 | Dispatch
 | DispatchStr
 | GetInterface
 | GetInterfaceByStr
 | GetInterfaceWeak
 | GetInterfaceEntry
 | GetInterfaceEntryByStr
 | GetInterfaceTable
 | UnitName
 | Equals
 | GetHashCode
 | ToString


 | AssignError (TPersistent)
 | AssignTo (TPersistent)
 | BeforeDestruction (TObject)
 | BeforeDestruction (TComponent)
 | ChangeName (TComponent)
 | ClassInfo (TObject)
 | ClassName (TObject)
 | ClassNameIs (TObject)
 | ClassParent (TObject)
 | ClassType (TObject)
 | CleanupInstance (TObject)
 | Close (TCommonDialog)
 | Create (TObject)
 | Create (TComponent)
 | Create (TLCLComponent)
 | Create (TCommonDialog)
 | DecLCLRefCount (TLCLComponent)
 | DefaultHandler (TObject)
 | DefaultHandlerStr (TObject)
pt | DefaultTitle (TCommonDialog)
 | DefineProperties (TPersistent)
 | DefineProperties (TComponent)
 | Destroy (TObject)
 | Destroy (TPersistent)
 | Destroy (TComponent)
 | Destroy (TLCLComponent)
 | DestroyComponents (TComponent)
 | Destroying (TComponent)
 | Dispatch (TObject)
 | DispatchStr (TObject)
 | DoCanClose (TCommonDialog)
 | DoClose (TCommonDialog)
pt | DoExecute (TCommonDialog)
 | DoShow (TCommonDialog)
 | Equals (TObject)
 | Execute (TCommonDialog)
 | ExecuteAction (TComponent)
 | FieldAddress (TObject)
 | FindComponent (TComponent)
 | FPOAttachObserver (TPersistent)
 | FPODetachObserver (TPersistent)
 | FPONotifyObservers (TPersistent)
 | Free (TObject)
 | FreeInstance (TObject)
 | FreeNotification (TComponent)
 | FreeOnRelease (TComponent)
 | GetChildOwner (TComponent)
 | GetChildParent (TComponent)
 | GetChildren (TComponent)
 | GetComObject (TComponent)
 | GetComponent (TComponent)
 | GetComponentCount (TComponent)
 | GetComponentIndex (TComponent)
 | GetEnumerator (TComponent)
 | GetHashCode (TObject)
pt | GetHeight (TCommonDialog)
 | GetIDsOfNames (TComponent)
 | GetInterface (TObject)
 | GetInterfaceByStr (TObject)
 | GetInterfaceEntry (TObject)
 | GetInterfaceEntryByStr (TObject)
 | GetInterfaceTable (TObject)
 | GetInterfaceWeak (TObject)
 | GetNamePath (TPersistent)
 | GetNamePath (TComponent)
 | GetOwner (TPersistent)
 | GetOwner (TComponent)
 | GetParentComponent (TComponent)
 | GetTypeInfo (TComponent)
 | GetTypeInfoCount (TComponent)
pt | GetWidth (TCommonDialog)
pt | GetWSComponentClass (TLCLComponent)
 | HandleAllocated (TCommonDialog)
 | HasParent (TComponent)
 | iicrGetComponent (TComponent)
 | IncLCLRefCount (TLCLComponent)
 | InheritsFrom (TObject)
 | InitInstance (TObject)
 | Insert (TComponent)
 | InsertComponent (TComponent)
 | InstanceSize (TObject)
 | Invoke (TComponent)
 | IsImplementorOf (TComponent)
 | Loaded (TComponent)
 | Loading (TComponent)
 | MethodAddress (TObject)
 | MethodName (TObject)
 | newinstance (TObject)
 | NewInstance (TLCLComponent)
 | Notification (TComponent)
 | PaletteCreated (TComponent)
 | QueryInterface (TComponent)
 | ReadLeft (TComponent)
 | ReadState (TComponent)
 | ReadTop (TComponent)
 | ReferenceInterface (TComponent)
 | Remove (TComponent)
 | RemoveAllHandlersOfObject (TLCLComponent)
 | RemoveComponent (TComponent)
 | RemoveFreeNotification (TComponent)
 | RemoveNotification (TComponent)
pt | ResetShowCloseFlags (TCommonDialog)
 | SafeCallException (TObject)
 | SafeCallException (TComponent)
 | SetAncestor (TComponent)
 | SetChildOrder (TComponent)
 | SetComponentIndex (TComponent)
 | SetDesigning (TComponent)
 | SetDesignInstance (TComponent)
pt | SetHeight (TCommonDialog)
 | SetInline (TComponent)
 | SetName (TComponent)
 | SetParentComponent (TComponent)
 | SetReference (TComponent)
 | SetSubComponent (TComponent)
pt | SetWidth (TCommonDialog)
 | StringMessageTable (TObject)
 | ToString (TObject)
 | UnitName (TObject)
 | UpdateAction (TComponent)
 | Updated (TComponent)
 | UpdateRegistry (TComponent)
 | Updating (TComponent)
 | ValidateContainer (TComponent)
 | ValidateInsert (TComponent)
 | ValidateRename (TComponent)
 | WriteLeft (TComponent)
 | WriteState (TComponent)
 | WriteTop (TComponent)
pt | WSRegisterClass (TLCLComponent)
pt | WSRegisterClass (TCommonDialog)
 | _AddRef (TComponent)
 | _Release (TComponent)


TCommonDialog
pt | OnDialogResult
pl | OnClose
pl | OnCanClose
pl | OnShow
TLCLComponent
TComponent
TPersistent
TObject


TCommonDialog.AttachTo

[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] Reference for unit 'Dialogs' (#lcl)

TCommonDialog.AttachTo (platform)

Declaration

Source position: dialogs.pp line 114

protected property TCommonDialog.AttachTo : TCustomForm
  read FAttachTo
  write FAttachTo;


TCommonDialog.Close

Close the dialog and return the memory used

Declaration

Source position: dialogs.pp line 122

public procedure TCommonDialog.Close; virtual;


TCommonDialog.Create

Create - constructor for TCommonDialog: calls inherited Create and adds default Title

Declaration

Source position: dialogs.pp line 118

public constructor TCommonDialog.Create(

  TheOwner: TComponent

); override;

Arguments

TheOwner

The owner of the dialog: the component that called it

See also

TComponent.Create


TCommonDialog.DefaultTitle

DefaultTitle - returns the default title for a dialog

Declaration

Source position: dialogs.pp line 108

protected function TCommonDialog.DefaultTitle: string; virtual;


TCommonDialog.DoCanClose

DoCanClose - software emulation of the OnCanClose event

Declaration

Source position: dialogs.pp line 124

public procedure TCommonDialog.DoCanClose(

  var CanClose: Boolean

); virtual;


TCommonDialog.DoClose

DoClose - software emulation of the OnClose event

Declaration

Source position: dialogs.pp line 125

public procedure TCommonDialog.DoClose; virtual;


TCommonDialog.DoExecute

The function that actually takes care of executing the dialog

Declaration

Source position: dialogs.pp line 107

protected function TCommonDialog.DoExecute: Boolean; virtual;

Function result

Returns True if the correct exit button was pressed


TCommonDialog.DoShow

DoShow - the procedure that actually takes care of showing the dialog box

Declaration

Source position: dialogs.pp line 123

public procedure TCommonDialog.DoShow; virtual;


TCommonDialog.Execute

A public method causing the dialog box to appear, offer the relevant choices to the user and act upon the choice

Declaration

Source position: dialogs.pp line 119

public function TCommonDialog.Execute: Boolean; virtual;

Function result

Returns True if the user pressed the OK button

Description

Use the execute method of a dialog to show it
and then check the result to see if the user made a valid choice and pressed the OK button.


TCommonDialog.FCompStyle

FCompStyle - local variable holding the style

Declaration

Source position: dialogs.pp line 117

public TCommonDialog.FCompStyle : LongInt;


TCommonDialog.GetHeight

Declaration

Source position: dialogs.pp line 109

protected function TCommonDialog.GetHeight: Integer; virtual;


TCommonDialog.GetWidth

Declaration

Source position: dialogs.pp line 110

protected function TCommonDialog.GetWidth: Integer; virtual;


TCommonDialog.Handle

Operating system Handle for the dialog

Declaration

Source position: dialogs.pp line 120

public property TCommonDialog.Handle : THandle
  read FHandle
  write SetHandle;


TCommonDialog.HandleAllocated

HandleAllocated - returns True if a handle has been allocated

Declaration

Source position: dialogs.pp line 126

public function TCommonDialog.HandleAllocated: Boolean;


TCommonDialog.Height

The height of the dialog box

Declaration

Source position: dialogs.pp line 128

public property TCommonDialog.Height : Integer
  read GetHeight
  write SetHeight;


TCommonDialog.HelpContext

HelpContext - an index to the context-dependent help message for this dialog

Declaration

Source position: dialogs.pp line 133

published property TCommonDialog.HelpContext : THelpContext
  read FHelpContext
  write FHelpContext
  default 0;


TCommonDialog.OnCanClose

Event Handler when dialog is able to be closed

Declaration

Source position: dialogs.pp line 131

published property TCommonDialog.OnCanClose : TCloseQueryEvent
  read FOnCanClose
  write FOnCanClose;


TCommonDialog.OnClose

Event Handler for closing the dialog

Declaration

Source position: dialogs.pp line 130

published property TCommonDialog.OnClose : TNotifyEvent
  read FOnClose
  write FOnClose;


TCommonDialog.OnDialogResult

[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] Reference for unit 'Dialogs' (#lcl)

TCommonDialog.OnDialogResult (platform)

Declaration

Source position: dialogs.pp line 115

protected property TCommonDialog.OnDialogResult : TDialogResultEvent
  read FOnDialogResult
  write FOnDialogResult;


TCommonDialog.OnShow

Event handler for showing the dialog

Declaration

Source position: dialogs.pp line 132

published property TCommonDialog.OnShow : TNotifyEvent
  read FOnShow
  write FOnShow;


TCommonDialog.ResetShowCloseFlags

Declaration

Source position: dialogs.pp line 113

protected procedure TCommonDialog.ResetShowCloseFlags;


TCommonDialog.SetHeight

Declaration

Source position: dialogs.pp line 111

protected procedure TCommonDialog.SetHeight(

  const AValue: Integer

); virtual;


TCommonDialog.SetWidth

Declaration

Source position: dialogs.pp line 112

protected procedure TCommonDialog.SetWidth(

  const AValue: Integer

); virtual;


TCommonDialog.Title

The Title or Caption to be shown at the top of the dialog box

Declaration

Source position: dialogs.pp line 134

published property TCommonDialog.Title : TTranslateString
  read FTitle
  write FTitle
  stored IsTitleStored;


TCommonDialog.UserChoice

UserChoice - the value selected by the user

Declaration

Source position: dialogs.pp line 121

public property TCommonDialog.UserChoice : Integer
  read FUserChoice
  write FUserChoice;


TCommonDialog.Width

The width of the dialog box

Declaration

Source position: dialogs.pp line 127

public property TCommonDialog.Width : Integer
  read GetWidth
  write SetWidth;


TCustomCopyToClipboardDialog

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Declaration

Source position: dialogs.pp line 733

type TCustomCopyToClipboardDialog = class(TForm)

protected

  procedure DoCreate; override;

public

  function GetMessageText; virtual; abstract;

end;

Inheritance

TCustomCopyToClipboardDialog
|
TForm
|
TCustomForm | The base type for TForm.
|
TCustomDesignControl
|
TScrollingWinControl | Class of a windowed control with incorporated scroll bars.
|
TCustomControl | The base class for windowed controls which paint themselves.
|
TWinControl | The base class for controls which can contain other (child) controls.
|
TControl | The base class for visible controls.
|
TLCLComponent | The base class for LCL components associated with widgets.
|
TComponent,IUnknown,IInterfaceComponentReference
|
TPersistent,IFPObserved
|
TObject


TCustomCopyToClipboardDialog
TForm
 | ro | ClientHandle
 | ro | DockManager
pl | ro | Action
pl | ro | ActiveControl
pl | ro | Align
pl | ro | AllowDropFiles
pl | ro | AlphaBlend
pl | ro | AlphaBlendValue
pl | ro | Anchors
pl | ro | AutoScroll
pl | ro | AutoSize
pl | ro | BiDiMode
pl | ro | BorderIcons
pl | ro | BorderStyle
pl | ro | BorderWidth
pl | ro | Caption
pl | ro | ChildSizing
pl | ro | ClientHeight
pl | ro | ClientWidth
pl | ro | Color
pl | ro | Constraints
pl | ro | DefaultMonitor
pl | ro | DesignTimePPI
pl | ro | DockSite
pl | ro | DoubleBuffered
pl | ro | DragKind
pl | ro | DragMode
pl | ro | Enabled
pl | ro | Font
pl | ro | FormStyle
pl | ro | HelpFile
pl | ro | Icon
pl | ro | KeyPreview
pl | ro | Menu
pl | ro | ParentBiDiMode
pl | ro | ParentDoubleBuffered
pl | ro | ParentFont
pl | ro | PixelsPerInch
pl | ro | PopupMenu
pl | ro | PopupMode
pl | ro | PopupParent
pl | ro | Position
pl | ro | SessionProperties
pl | ro | ShowHint
pl | ro | ShowInTaskBar
pl | ro | UseDockManager
pl |  | LCLVersion
pl | ro | Scaled
pl | ro | Visible
pl | ro | WindowState
TCustomForm
pt | ro | ClientHandle
 | ro | Active
 |  | ActiveControl
 |  | ActiveDefaultControl
 |  | AllowDropFiles
 |  | AlphaBlend
 |  | AlphaBlendValue
 | ro | AutoScroll
 |  | BorderIcons
 |  | BorderStyle
 |  | CancelControl
 | ro | Caption
 | ro | Color
 |  | DefaultControl
 |  | DefaultMonitor
 |  | Designer
 | ro | EffectiveShowInTaskBar
 | ro | FormState
 |  | FormStyle
 |  | HelpFile
 |  | Icon
 |  | KeyPreview
 | ro | MDIChildren
 |  | Menu
 |  | ModalResult
 | ro | Monitor
 | ro | LastActiveControl
 |  | PopupMode
 |  | PopupParent
 | ro | ParentFont
 |  | Position
 | ro | RestoredLeft
 | ro | RestoredTop
 | ro | RestoredWidth
 | ro | RestoredHeight
 |  | ShowInTaskBar
 | ro | Visible
 |  | WindowState
TCustomDesignControl
 |  | DesignTimePPI
 |  | PixelsPerInch
 |  | Scaled
TScrollingWinControl
pt |  | AutoScroll
pl |  | HorzScrollBar
pl |  | VertScrollBar
TCustomControl
 |  | Canvas
 | ro | BorderStyle
TWinControl
pt |  | WindowHandle
pt |  | BorderStyle
pt |  | ParentBackground
 |  | BorderWidth
 | ro | BoundsLockCount
 | ro | Brush
 | ro | CachedClientHeight
 | ro | CachedClientWidth
 |  | ChildSizing
 | ro | ControlCount
 | ro | Controls
 |  | DefWndProc
 | ro | DockClientCount
 | ro | DockClients
 |  | DockManager
 |  | DockSite
 |  | DoubleBuffered
 |  | Handle
 | ro | IsFlipped
 | ro | IsResizing
 |  | TabOrder
 |  | TabStop
 |  | ParentDoubleBuffered
 |  | ParentWindow
 | ro | Showing
 |  | UseDockManager
 |  | DesignerDeleting
 | ro | VisibleDockClientCount
TControl
pt | ro | AutoSizing
pt | ro | AutoSizingAll
pt | ro | AutoSizingLockCount
pt |  | ActionLink
pt |  | DesktopFont
pt |  | DragCursor
pt |  | DragKind
pt |  | DragMode
pt |  | MouseCapture
pt |  | ParentColor
pt |  | ParentFont
pt |  | ParentShowHint
pt |  | SessionProperties
pt |  | Text
 | ro | AnchoredControls
 | ro | BaseBounds
 | ro | ReadBounds
 | ro | BaseParentClientSize
 |  | AccessibleDescription
 |  | AccessibleValue
 |  | AccessibleRole
 |  | Action
 |  | Align
 |  | Anchors
 | ro | AnchorSide
 |  | AutoSize
 |  | BorderSpacing
 |  | BoundsRect
 |  | BoundsRectForNewParent
 |  | Caption
 |  | CaptureMouseButtons
 |  | ClientHeight
 | ro | ClientOrigin
 | ro | ClientRect
 |  | ClientWidth
 |  | Color
 |  | Constraints
 | ro | ControlOrigin
 |  | ControlState
 |  | ControlStyle
 |  | Enabled
 |  | Font
 |  | IsControl
 | ro | MouseEntered
 | ro | MouseInClient
 |  | Parent
 |  | PopupMenu
 |  | ShowHint
 |  | Visible
 |  | WindowProc
 |  | DockOrientation
 | ro | Floating
 |  | FloatingDockSiteClass
 |  | HostDockSite
 |  | LRDockWidth
 |  | TBDockHeight
 |  | UndockHeight
 |  | UndockWidth
 |  | BiDiMode
 |  | ParentBiDiMode
pl |  | AnchorSideLeft
pl |  | AnchorSideTop
pl |  | AnchorSideRight
pl |  | AnchorSideBottom
pl |  | Cursor
pl |  | Left
pl |  | Height
pl |  | Hint
pl |  | Top
pl |  | Width
pl |  | HelpType
pl |  | HelpKeyword
pl |  | HelpContext
TLCLComponent
 | ro | LCLRefCount
 | ro | WidgetSetClass
TComponent
 | ro | ComObject
 | ro | Components
 | ro | ComponentCount
 |  | ComponentIndex
 | ro | ComponentState
 | ro | ComponentStyle
 |  | DesignInfo
 | ro | Owner
 |  | VCLComObject
 |  | Name
 |  | Tag
TPersistent
TObject


 |  | AccessibleDescription (TControl)
 |  | AccessibleRole (TControl)
 |  | AccessibleValue (TControl)
 |  | Action (TControl)
pl | ro | Action (TForm)
pt |  | ActionLink (TControl)
 | ro | Active (TCustomForm)
 |  | ActiveControl (TCustomForm)
pl | ro | ActiveControl (TForm)
 |  | ActiveDefaultControl (TCustomForm)
 |  | Align (TControl)
pl | ro | Align (TForm)
 |  | AllowDropFiles (TCustomForm)
pl | ro | AllowDropFiles (TForm)
 |  | AlphaBlend (TCustomForm)
pl | ro | AlphaBlend (TForm)
 |  | AlphaBlendValue (TCustomForm)
pl | ro | AlphaBlendValue (TForm)
 | ro | AnchoredControls (TControl)
 |  | Anchors (TControl)
pl | ro | Anchors (TForm)
 | ro | AnchorSide (TControl)
pl |  | AnchorSideBottom (TControl)
pl |  | AnchorSideLeft (TControl)
pl |  | AnchorSideRight (TControl)
pl |  | AnchorSideTop (TControl)
pt |  | AutoScroll (TScrollingWinControl)
 | ro | AutoScroll (TCustomForm)
pl | ro | AutoScroll (TForm)
 |  | AutoSize (TControl)
pl | ro | AutoSize (TForm)
pt | ro | AutoSizing (TControl)
pt | ro | AutoSizingAll (TControl)
pt | ro | AutoSizingLockCount (TControl)
 | ro | BaseBounds (TControl)
 | ro | BaseParentClientSize (TControl)
 |  | BiDiMode (TControl)
pl | ro | BiDiMode (TForm)
 |  | BorderIcons (TCustomForm)
pl | ro | BorderIcons (TForm)
 |  | BorderSpacing (TControl)
pt |  | BorderStyle (TWinControl)
 | ro | BorderStyle (TCustomControl)
 |  | BorderStyle (TCustomForm)
pl | ro | BorderStyle (TForm)
 |  | BorderWidth (TWinControl)
pl | ro | BorderWidth (TForm)
 | ro | BoundsLockCount (TWinControl)
 |  | BoundsRect (TControl)
 |  | BoundsRectForNewParent (TControl)
 | ro | Brush (TWinControl)
 | ro | CachedClientHeight (TWinControl)
 | ro | CachedClientWidth (TWinControl)
 |  | CancelControl (TCustomForm)
 |  | Canvas (TCustomControl)
 |  | Caption (TControl)
 | ro | Caption (TCustomForm)
pl | ro | Caption (TForm)
 |  | CaptureMouseButtons (TControl)
 |  | ChildSizing (TWinControl)
pl | ro | ChildSizing (TForm)
pt | ro | ClientHandle (TCustomForm)
 | ro | ClientHandle (TForm)
 |  | ClientHeight (TControl)
pl | ro | ClientHeight (TForm)
 | ro | ClientOrigin (TControl)
 | ro | ClientRect (TControl)
 |  | ClientWidth (TControl)
pl | ro | ClientWidth (TForm)
 |  | Color (TControl)
 | ro | Color (TCustomForm)
pl | ro | Color (TForm)
 | ro | ComObject (TComponent)
 | ro | ComponentCount (TComponent)
 |  | ComponentIndex (TComponent)
 | ro | Components (TComponent)
 | ro | ComponentState (TComponent)
 | ro | ComponentStyle (TComponent)
 |  | Constraints (TControl)
pl | ro | Constraints (TForm)
 | ro | ControlCount (TWinControl)
 | ro | ControlOrigin (TControl)
 | ro | Controls (TWinControl)
 |  | ControlState (TControl)
 |  | ControlStyle (TControl)
pl |  | Cursor (TControl)
 |  | DefaultControl (TCustomForm)
 |  | DefaultMonitor (TCustomForm)
pl | ro | DefaultMonitor (TForm)
 |  | DefWndProc (TWinControl)
 |  | Designer (TCustomForm)
 |  | DesignerDeleting (TWinControl)
 |  | DesignInfo (TComponent)
 |  | DesignTimePPI (TCustomDesignControl)
pl | ro | DesignTimePPI (TForm)
pt |  | DesktopFont (TControl)
 | ro | DockClientCount (TWinControl)
 | ro | DockClients (TWinControl)
 |  | DockManager (TWinControl)
 | ro | DockManager (TForm)
 |  | DockOrientation (TControl)
 |  | DockSite (TWinControl)
pl | ro | DockSite (TForm)
 |  | DoubleBuffered (TWinControl)
pl | ro | DoubleBuffered (TForm)
pt |  | DragCursor (TControl)
pt |  | DragKind (TControl)
pl | ro | DragKind (TForm)
pt |  | DragMode (TControl)
pl | ro | DragMode (TForm)
 | ro | EffectiveShowInTaskBar (TCustomForm)
 |  | Enabled (TControl)
pl | ro | Enabled (TForm)
 | ro | Floating (TControl)
 |  | FloatingDockSiteClass (TControl)
 |  | Font (TControl)
pl | ro | Font (TForm)
 | ro | FormState (TCustomForm)
 |  | FormStyle (TCustomForm)
pl | ro | FormStyle (TForm)
 |  | Handle (TWinControl)
pl |  | Height (TControl)
pl |  | HelpContext (TControl)
 |  | HelpFile (TCustomForm)
pl | ro | HelpFile (TForm)
pl |  | HelpKeyword (TControl)
pl |  | HelpType (TControl)
pl |  | Hint (TControl)
pl |  | HorzScrollBar (TScrollingWinControl)
 |  | HostDockSite (TControl)
 |  | Icon (TCustomForm)
pl | ro | Icon (TForm)
 |  | IsControl (TControl)
 | ro | IsFlipped (TWinControl)
 | ro | IsResizing (TWinControl)
 |  | KeyPreview (TCustomForm)
pl | ro | KeyPreview (TForm)
 | ro | LastActiveControl (TCustomForm)
 | ro | LCLRefCount (TLCLComponent)
pl |  | LCLVersion (TForm)
pl |  | Left (TControl)
 |  | LRDockWidth (TControl)
 | ro | MDIChildren (TCustomForm)
 |  | Menu (TCustomForm)
pl | ro | Menu (TForm)
 |  | ModalResult (TCustomForm)
 | ro | Monitor (TCustomForm)
pt |  | MouseCapture (TControl)
 | ro | MouseEntered (TControl)
 | ro | MouseInClient (TControl)
 |  | Name (TComponent)
 | ro | Owner (TComponent)
 |  | Parent (TControl)
pt |  | ParentBackground (TWinControl)
 |  | ParentBiDiMode (TControl)
pl | ro | ParentBiDiMode (TForm)
pt |  | ParentColor (TControl)
 |  | ParentDoubleBuffered (TWinControl)
pl | ro | ParentDoubleBuffered (TForm)
pt |  | ParentFont (TControl)
 | ro | ParentFont (TCustomForm)
pl | ro | ParentFont (TForm)
pt |  | ParentShowHint (TControl)
 |  | ParentWindow (TWinControl)
 |  | PixelsPerInch (TCustomDesignControl)
pl | ro | PixelsPerInch (TForm)
 |  | PopupMenu (TControl)
pl | ro | PopupMenu (TForm)
 |  | PopupMode (TCustomForm)
pl | ro | PopupMode (TForm)
 |  | PopupParent (TCustomForm)
pl | ro | PopupParent (TForm)
 |  | Position (TCustomForm)
pl | ro | Position (TForm)
 | ro | ReadBounds (TControl)
 | ro | RestoredHeight (TCustomForm)
 | ro | RestoredLeft (TCustomForm)
 | ro | RestoredTop (TCustomForm)
 | ro | RestoredWidth (TCustomForm)
 |  | Scaled (TCustomDesignControl)
pl | ro | Scaled (TForm)
pt |  | SessionProperties (TControl)
pl | ro | SessionProperties (TForm)
 |  | ShowHint (TControl)
pl | ro | ShowHint (TForm)
 | ro | Showing (TWinControl)
 |  | ShowInTaskBar (TCustomForm)
pl | ro | ShowInTaskBar (TForm)
 |  | TabOrder (TWinControl)
 |  | TabStop (TWinControl)
 |  | Tag (TComponent)
 |  | TBDockHeight (TControl)
pt |  | Text (TControl)
pl |  | Top (TControl)
 |  | UndockHeight (TControl)
 |  | UndockWidth (TControl)
 |  | UseDockManager (TWinControl)
pl | ro | UseDockManager (TForm)
 |  | VCLComObject (TComponent)
pl |  | VertScrollBar (TScrollingWinControl)
 |  | Visible (TControl)
 | ro | Visible (TCustomForm)
pl | ro | Visible (TForm)
 | ro | VisibleDockClientCount (TWinControl)
 | ro | WidgetSetClass (TLCLComponent)
pl |  | Width (TControl)
pt |  | WindowHandle (TWinControl)
 |  | WindowProc (TControl)
 |  | WindowState (TCustomForm)
pl | ro | WindowState (TForm)


TCustomCopyToClipboardDialog
pt | DoCreate
 | GetMessageText
TForm
pt | CreateWnd
pt | Loaded
 | Create
 | Cascade
 | Next
 | Previous
 | Tile
TCustomForm
pt | WMActivate
pt | WMCloseQuery
pt | WMHelp
pt | WMMove
pt | WMShowWindow
pt | WMSize
pt | WMWindowPosChanged
pt | CMBiDiModeChanged
pt | CMParentBiDiModeChanged
pt | CMAppShowBtnGlyphChanged
pt | CMAppShowMenuGlyphChanged
pt | CMIconChanged
pt | CMRelease
pt | CMActivate
pt | CMDeactivate
pt | CMShowingChanged
pt | WMDPIChanged
pt | WSRegisterClass
pt | DoShowWindow
pt | Activate
pt | ActiveChanged
pt | AdjustClientRect
pt | BeginFormUpdate
pt | ColorIsStored
pt | CreateParams
pt | CreateWnd
pt | Deactivate
pt | DoClose
pt | DoCreate
pt | DoDestroy
pt | DoHide
pt | DoShow
pt | EndFormUpdate
pt | HandleCreateException
pt | HandleDestroyException
pt | HandleShowHideException
pt | InitializeWnd
pt | Loaded
pt | ChildHandlesCreated
pt | Notification
pt | PaintWindow
pt | RequestAlign
pt | Resizing
pt | CalculatePreferredSize
pt | SetZOrder
pt | SetParent
pt | MoveToDefaultPosition
pt | UpdateShowing
pt | SetVisible
pt | AllAutoSized
pt | DoFirstShow
pt | UpdateWindowState
pt | VisibleChanging
pt | VisibleChanged
pt | WndProc
pt | VisibleIsStored
pt | DoSendBoundsToInterface
pt | DoAutoSize
pt | SetAutoSize
pt | SetAutoScroll
pt | SetScaled
pt | DoAddActionList
pt | DoRemoveActionList
pt | ProcessResource
pt | BeginAutoDrag
pt | DoDock
pt | GetFloating
pt | GetDefaultDockCaption
pt | CMActionExecute
pt | CMActionUpdate
pt | DoExecuteAction
pt | DoUpdateAction
pt | UpdateActions
 | Create
 | CreateNew
 | Destroy
 | AfterConstruction
 | BeforeDestruction
 | GetControlClassDefaultSize
 | BigIconHandle
 | Close
 | CloseQuery
 | DefocusControl
 | DestroyWnd
 | EnsureVisible
 | FocusControl
 | FormIsUpdating
 | GetFormImage
 | GetRolesForControl
 | GetRealPopupParent
 | Hide
 | IntfDropFiles
 | IntfHelp
 | IsShortcut
 | MakeFullyVisible
 | AutoSizeDelayedHandle
 | GetPreferredSize
 | Release
 | CanFocus
 | SetFocus
 | SetFocusedControl
 | SetRestoredBounds
 | Show
 | ShowModal
 | ShowOnTop
 | SmallIconHandle
 | GetChildren
 | WantChildKey
 | RemoveAllHandlersOfObject
 | AddHandlerFirstShow
 | RemoveHandlerFirstShow
 | AddHandlerClose
 | RemoveHandlerClose
 | AddHandlerCreate
 | RemoveHandlerCreate
 | ActiveMDIChild
 | GetMDIChildren
 | MDIChildCount
 | AutoScale
 | Dock
 | UpdateDockCaption
TCustomDesignControl
pt | SetScaled
pt | DoAutoAdjustLayout
pt | Loaded
 | Create
 | AutoAdjustLayout
TScrollingWinControl
pt | WSRegisterClass
pt | AlignControls
pt | AutoScrollEnabled
pt | CalculateAutoRanges
pt | CreateWnd
pt | GetClientScrollOffset
pt | GetLogicalClientRect
pt | DoOnResize
pt | GetPreferredSizeClientFrame
pt | WMSize
pt | WMHScroll
pt | WMVScroll
pt | ComputeScrollbars
pt | SetAutoScroll
pt | Loaded
pt | Resizing
pt | SetAutoSize
 | Create
 | Destroy
 | ScreenToClient
 | ClientToScreen
 | UpdateScrollbars
 | GetControlClassDefaultSize
 | ScrollBy
 | ScrollInView
TCustomControl
pt | WSRegisterClass
pt | WMPaint
pt | DestroyWnd
pt | PaintWindow
pt | FontChanged
pt | SetColor
pt | Paint
 | Create
 | Destroy
TWinControl
pt | WSRegisterClass
pt | AdjustClientRect
pt | GetAdjustedLogicalClientRect
pt | AlignControls
pt | CustomAlignInsertBefore
pt | CustomAlignPosition
pt | DoAlignChildControls
pt | DoChildSizingChange
pt | InvalidatePreferredChildSizes
pt | CanTab
pt | IsClientHeightStored
pt | IsClientWidthStored
pt | DoSendShowHideToInterface
pt | ControlsAligned
pt | DoSendBoundsToInterface
pt | RealizeBounds
pt | RealizeBoundsRecursive
pt | InvalidateBoundsRealized
pt | CreateSubClass
pt | DoConstraintsChange
pt | DoSetBounds
pt | DoAutoSize
pt | DoAllAutoSize
pt | AllAutoSized
pt | CalculatePreferredSize
pt | GetPreferredSizeClientFrame
pt | GetChildren
pt | ChildClassAllowed
pt | PaintControls
pt | PaintHandler
pt | PaintWindow
pt | CreateBrush
pt | ScaleControls
pt | ChangeScale
pt | CMBiDiModeChanged
pt | CMBorderChanged
pt | CMDoubleBufferedChanged
pt | CMEnabledChanged
pt | CMParentDoubleBufferedChanged
pt | CMShowingChanged
pt | CMShowHintChanged
pt | CMVisibleChanged
pt | CMEnter
pt | CMExit
pt | WMContextMenu
pt | WMEraseBkgnd
pt | WMNotify
pt | WMSetFocus
pt | WMKillFocus
pt | WMShowWindow
pt | WMEnter
pt | WMExit
pt | WMKeyDown
pt | WMSysKeyDown
pt | WMKeyUp
pt | WMSysKeyUp
pt | WMChar
pt | WMSysChar
pt | WMPaint
pt | WMDestroy
pt | WMMove
pt | WMSize
pt | WMWindowPosChanged
pt | CNKeyDown
pt | CNSysKeyDown
pt | CNKeyUp
pt | CNSysKeyUp
pt | CNChar
pt | DoDragMsg
pt | DoDockClientMsg
pt | DoUndockClientMsg
pt | DoAddDockClient
pt | DockOver
pt | DoDockOver
pt | DoRemoveDockClient
pt | DoUnDock
pt | GetSiteInfo
pt | GetParentHandle
pt | GetTopParentHandle
pt | ReloadDockedControl
pt | CreateDockManager
pt | SetDockManager
pt | DoFloatMsg
pt | DoGetDockCaption
pt | DoEnter
pt | DoExit
pt | DoKeyDownBeforeInterface
pt | DoRemainingKeyDown
pt | DoRemainingKeyUp
pt | DoKeyPress
pt | DoUTF8KeyPress
pt | DoKeyUpBeforeInterface
pt | ChildKey
pt | SendDialogChar
pt | DialogChar
pt | ControlKeyDown
pt | ControlKeyUp
pt | KeyDown
pt | KeyDownBeforeInterface
pt | KeyDownAfterInterface
pt | KeyPress
pt | KeyUp
pt | KeyUpBeforeInterface
pt | KeyUpAfterInterface
pt | UTF8KeyPress
pt | FindNextControl
pt | SelectFirst
pt | RealGetText
pt | GetBorderStyle
pt | GetClientOrigin
pt | GetClientRect
pt | GetControlOrigin
pt | GetDeviceContext
pt | GetParentBackground
pt | IsControlMouseMsg
pt | CreateHandle
pt | CreateParams
pt | CreateWnd
pt | DestroyHandle
pt | DestroyWnd
pt | DoFlipChildren
pt | FinalizeWnd
pt | FixupTabList
pt | FontChanged
pt | InitializeWnd
pt | Loaded
pt | FormEndUpdated
pt | MainWndProc
pt | ParentFormHandleInitialized
pt | ChildHandlesCreated
pt | GetMouseCapture
pt | RealSetText
pt | RemoveFocus
pt | SendMoveSizeMessages
pt | SetBorderStyle
pt | SetColor
pt | SetChildZPosition
pt | SetParentBackground
pt | ShowControl
pt | UpdateControlState
pt | UpdateShowing
pt | WndProc
pt | WSSetText
 | AutoSizePhases
 | AutoSizeDelayed
 | AutoSizeDelayedReport
 | AutoSizeDelayedHandle
 | BeginUpdateBounds
 | EndUpdateBounds
 | LockRealizeBounds
 | UnlockRealizeBounds
 | ControlAtPos
 | ContainsControl
 | DoAdjustClientRectChange
 | InvalidateClientRectCache
 | ClientRectNeedsInterfaceUpdate
 | SetBounds
 | GetChildrenRect
 | DisableAlign
 | EnableAlign
 | ReAlign
 | ScrollBy_WS
 | ScrollBy
 | WriteLayoutDebugReport
 | AutoAdjustLayout
 | Create
 | CreateParented
 | CreateParentedControl
 | Destroy
 | DockDrop
 | CanFocus
 | CanSetFocus
 | GetControlIndex
 | SetControlIndex
 | Focused
 | PerformTab
 | FindChildControl
 | SelectNext
 | SetTempCursor
 | BroadCast
 | NotifyControls
 | DefaultHandler
 | GetTextLen
 | Invalidate
 | AddControl
 | InsertControl
 | RemoveControl
 | GetEnumeratorControls
 | GetEnumeratorControlsReverse
 | Repaint
 | Update
 | SetFocus
 | FlipChildren
 | ScaleBy
 | GetDockCaption
 | UpdateDockCaption
 | GetTabOrderList
 | HandleAllocated
 | ParentHandlesAllocated
 | HandleNeeded
 | BrushCreated
 | EraseBackground
 | IntfUTF8KeyPress
 | IntfGetDropFilesTarget
 | PaintTo
 | SetShape
TControl
pt | WSRegisterClass
pt | GetCursor
pt | SetCursor
pt | SetVisible
pt | DoOnParentHandleDestruction
pt | DoAutoSize
pt | DoAllAutoSize
pt | BeginAutoSizing
pt | EndAutoSizing
pt | AnchorSideChanged
pt | ForeignAnchorSideChanged
pt | SetAlign
pt | SetAnchors
pt | SetAutoSize
pt | BoundsChanged
pt | CreateControlBorderSpacing
pt | DoConstraintsChange
pt | DoBorderSpacingChange
pt | IsBorderSpacingInnerBorderStored
pt | IsCaptionStored
pt | SendMoveSizeMessages
pt | ConstrainedResize
pt | CalculatePreferredSize
pt | DoOnResize
pt | DoOnChangeBounds
pt | CheckOnChangeBounds
pt | Resize
pt | RequestAlign
pt | UpdateAnchorRules
pt | ChangeBounds
pt | DoSetBounds
pt | ScaleConstraints
pt | ChangeScale
pt | CanAutoSize
pt | SetBiDiMode
pt | SetParentBiDiMode
pt | IsAParentAligning
pt | GetClientOrigin
pt | GetClientRect
pt | GetLogicalClientRect
pt | GetScrolledClientRect
pt | GetClientScrollOffset
pt | GetControlOrigin
pt | IsClientHeightStored
pt | IsClientWidthStored
pt | WidthIsAnchored
pt | HeightIsAnchored
pt | WMCancelMode
pt | WMContextMenu
pt | WMLButtonDown
pt | WMRButtonDown
pt | WMMButtonDown
pt | WMXButtonDown
pt | WMLButtonDBLCLK
pt | WMRButtonDBLCLK
pt | WMMButtonDBLCLK
pt | WMXButtonDBLCLK
pt | WMLButtonTripleCLK
pt | WMRButtonTripleCLK
pt | WMMButtonTripleCLK
pt | WMXButtonTripleCLK
pt | WMLButtonQuadCLK
pt | WMRButtonQuadCLK
pt | WMMButtonQuadCLK
pt | WMXButtonQuadCLK
pt | WMMouseMove
pt | WMLButtonUp
pt | WMRButtonUp
pt | WMMButtonUp
pt | WMXButtonUp
pt | WMMouseWheel
pt | WMMouseHWheel
pt | WMMove
pt | WMSize
pt | WMWindowPosChanged
pt | CMChanged
pt | LMCaptureChanged
pt | CMBiDiModeChanged
pt | CMSysFontChanged
pt | CMEnabledChanged
pt | CMHitTest
pt | CMMouseEnter
pt | CMMouseLeave
pt | CMHintShow
pt | CMParentBiDiModeChanged
pt | CMParentColorChanged
pt | CMParentFontChanged
pt | CMParentShowHintChanged
pt | CMVisibleChanged
pt | CMTextChanged
pt | CMCursorChanged
pt | CalculateDockSizes
pt | CreateFloatingDockSite
pt | GetDockEdge
pt | GetDragImages
pt | GetFloating
pt | GetFloatingDockSiteClass
pt | BeforeDragStart
pt | BeginAutoDrag
pt | DoFloatMsg
pt | DockTrackNoTarget
pt | DoDock
pt | DoDragMsg
pt | DoEndDock
pt | DoEndDrag
pt | DoStartDock
pt | DoStartDrag
pt | DragCanceled
pt | DragOver
pt | PositionDockRect
pt | SetDragMode
pt | GetDefaultDockCaption
pt | Click
pt | DblClick
pt | TripleClick
pt | QuadClick
pt | GetMousePosFromMessage
pt | MouseDown
pt | MouseMove
pt | MouseUp
pt | MouseEnter
pt | MouseLeave
pt | DialogChar
pt | UpdateMouseCursor
pt | Changed
pt | GetPalette
pt | ChildClassAllowed
pt | ReadState
pt | Loaded
pt | LoadedAll
pt | DefineProperties
pt | AssignTo
pt | FormEndUpdated
pt | InvalidateControl
pt | FontChanged
pt | ParentFontChanged
pt | GetAction
pt | RealGetText
pt | RealSetText
pt | TextChanged
pt | GetCachedText
pt | SetAction
pt | SetColor
pt | SetEnabled
pt | SetHint
pt | SetName
pt | SetParent
pt | SetParentComponent
pt | WndProc
pt | ParentFormHandleInitialized
pt | GetMouseCapture
pt | CaptureChanged
pt | Notification
pt | CanTab
pt | GetDeviceContext
pt | GetEnabled
pt | GetPopupMenu
pt | DoOnShowHint
pt | DoMouseWheel
pt | DoMouseWheelDown
pt | DoMouseWheelUp
pt | DoMouseWheelHorz
pt | DoMouseWheelLeft
pt | DoMouseWheelRight
pt | VisibleChanging
pt | VisibleChanged
pt | EnabledChanging
pt | EnabledChanged
pt | AddHandler
pt | RemoveHandler
pt | DoCallNotifyHandler
pt | DoCallKeyEventHandler
pt | DoCallMouseWheelEventHandler
pt | DoContextPopup
pt | SetZOrder
pt | GetControlClassDefaultSize
pt | ColorIsStored
pt | DoAutoAdjustLayout
pt | DoFixDesignFontPPI
pt | DoScaleFontPPI
pt | GetActionLinkClass
pt | ActionChange
 | DragDrop
 | Dock
 | ManualDock
 | ManualFloat
 | ReplaceDockedControl
 | Docked
 | Dragging
 | GetAccessibleObject
 | CreateAccessibleObject
 | GetSelectedChildAccessibleObject
 | GetChildAccessibleObjectAtPos
 | ScaleDesignToForm
 | ScaleFormToDesign
 | Scale96ToForm
 | ScaleFormTo96
 | Scale96ToFont
 | ScaleFontTo96
 | ScaleScreenToFont
 | ScaleFontToScreen
 | Scale96ToScreen
 | ScaleScreenTo96
 | AdjustSize
 | AutoSizePhases
 | AutoSizeDelayed
 | AutoSizeDelayedReport
 | AutoSizeDelayedHandle
 | AnchorToNeighbour
 | AnchorParallel
 | AnchorHorizontalCenterTo
 | AnchorVerticalCenterTo
 | AnchorToCompanion
 | AnchorSame
 | AnchorAsAlign
 | AnchorClient
 | AnchoredControlCount
 | SetBounds
 | SetInitialBounds
 | SetBoundsKeepBase
 | GetPreferredSize
 | GetCanvasScaleFactor
 | GetDefaultWidth
 | GetDefaultHeight
 | GetDefaultColor
 | GetColorResolvingParent
 | GetRGBColorResolvingParent
 | GetSidePosition
 | CNPreferredSizeChanged
 | InvalidatePreferredSize
 | GetAnchorsDependingOnParent
 | DisableAutoSizing
 | EnableAutoSizing
 | UpdateBaseBounds
 | WriteLayoutDebugReport
 | AutoAdjustLayout
 | ShouldAutoAdjust
 | FixDesignFontsPPI
 | ScaleFontsPPI
 | Create
 | Destroy
 | BeforeDestruction
 | EditingDone
 | ExecuteDefaultAction
 | ExecuteCancelAction
 | BeginDrag
 | EndDrag
 | BringToFront
 | HasParent
 | GetParentComponent
 | IsParentOf
 | GetTopParent
 | IsVisible
 | IsControlVisible
 | IsEnabled
 | IsParentColor
 | IsParentFont
 | FormIsUpdating
 | IsProcessingPaintMsg
 | Hide
 | Refresh
 | Repaint
 | Invalidate
 | CheckChildClassAllowed
 | CheckNewParent
 | SendToBack
 | SetTempCursor
 | UpdateRolesForForm
 | ActiveDefaultControlChanged
 | GetTextBuf
 | GetTextLen
 | SetTextBuf
 | Perform
 | ScreenToClient
 | ClientToScreen
 | ScreenToControl
 | ControlToScreen
 | ClientToParent
 | ParentToClient
 | GetChildrenRect
 | Show
 | Update
 | HandleObjectShouldBeVisible
 | ParentDestroyingHandle
 | ParentHandlesAllocated
 | InitiateAction
 | ShowHelp
 | HasHelp
 | RemoveAllHandlersOfObject
 | AddHandlerOnResize
 | RemoveHandlerOnResize
 | AddHandlerOnChangeBounds
 | RemoveHandlerOnChangeBounds
 | AddHandlerOnVisibleChanging
 | RemoveHandlerOnVisibleChanging
 | AddHandlerOnVisibleChanged
 | RemoveHandlerOnVisibleChanged
 | AddHandlerOnEnabledChanged
 | RemoveHandlerOnEnableChanging
 | AddHandlerOnKeyDown
 | RemoveHandlerOnKeyDown
 | AddHandlerOnBeforeDestruction
 | RemoveHandlerOnBeforeDestruction
 | AddHandlerOnMouseWheel
 | RemoveHandlerOnMouseWheel
 | UseRightToLeftAlignment
 | UseRightToLeftReading
 | UseRightToLeftScrollBar
 | IsRightToLeft
TLCLComponent
pt | WSRegisterClass
pt | GetWSComponentClass
 | Create
 | Destroy
 | NewInstance
 | RemoveAllHandlersOfObject
 | IncLCLRefCount
 | DecLCLRefCount
TComponent
 | GetComObject
 | GetComponent
 | GetComponentCount
 | GetComponentIndex
 | Insert
 | ReadLeft
 | ReadTop
 | Remove
 | RemoveNotification
 | SetComponentIndex
 | SetReference
 | WriteLeft
 | WriteTop
 | ChangeName
 | DefineProperties
 | GetChildren
 | GetChildOwner
 | GetChildParent
 | GetOwner
 | Loaded
 | Loading
 | Notification
 | PaletteCreated
 | ReadState
 | SetAncestor
 | SetDesigning
 | SetDesignInstance
 | SetInline
 | SetName
 | SetChildOrder
 | SetParentComponent
 | Updating
 | Updated
 | UpdateRegistry
 | ValidateRename
 | ValidateContainer
 | ValidateInsert
 | QueryInterface
 | _AddRef
 | _Release
 | iicrGetComponent
 | GetTypeInfoCount
 | GetTypeInfo
 | GetIDsOfNames
 | Invoke
 | WriteState
 | Create
 | Destroy
 | BeforeDestruction
 | DestroyComponents
 | Destroying
 | ExecuteAction
 | FindComponent
 | FreeNotification
 | RemoveFreeNotification
 | FreeOnRelease
 | GetEnumerator
 | GetNamePath
 | GetParentComponent
 | HasParent
 | InsertComponent
 | RemoveComponent
 | SafeCallException
 | SetSubComponent
 | UpdateAction
 | IsImplementorOf
 | ReferenceInterface
TPersistent
 | AssignError
 | AssignTo
 | DefineProperties
 | GetOwner
 | Destroy
 | Assign
 | FPOAttachObserver
 | FPODetachObserver
 | FPONotifyObservers
 | GetNamePath
TObject
 | Create
 | Destroy
 | newinstance
 | FreeInstance
 | SafeCallException
 | DefaultHandler
 | Free
 | InitInstance
 | CleanupInstance
 | ClassType
 | ClassInfo
 | ClassName
 | ClassNameIs
 | ClassParent
 | InstanceSize
 | InheritsFrom
 | StringMessageTable
 | MethodAddress
 | MethodName
 | FieldAddress
 | AfterConstruction
 | BeforeDestruction
 | DefaultHandlerStr
 | Dispatch
 | DispatchStr
 | GetInterface
 | GetInterfaceByStr
 | GetInterfaceWeak
 | GetInterfaceEntry
 | GetInterfaceEntryByStr
 | GetInterfaceTable
 | UnitName
 | Equals
 | GetHashCode
 | ToString


pt | ActionChange (TControl)
pt | Activate (TCustomForm)
pt | ActiveChanged (TCustomForm)
 | ActiveDefaultControlChanged (TControl)
 | ActiveMDIChild (TCustomForm)
 | AddControl (TWinControl)
pt | AddHandler (TControl)
 | AddHandlerClose (TCustomForm)
 | AddHandlerCreate (TCustomForm)
 | AddHandlerFirstShow (TCustomForm)
 | AddHandlerOnBeforeDestruction (TControl)
 | AddHandlerOnChangeBounds (TControl)
 | AddHandlerOnEnabledChanged (TControl)
 | AddHandlerOnKeyDown (TControl)
 | AddHandlerOnMouseWheel (TControl)
 | AddHandlerOnResize (TControl)
 | AddHandlerOnVisibleChanged (TControl)
 | AddHandlerOnVisibleChanging (TControl)
pt | AdjustClientRect (TWinControl)
pt | AdjustClientRect (TCustomForm)
 | AdjustSize (TControl)
 | AfterConstruction (TObject)
 | AfterConstruction (TCustomForm)
pt | AlignControls (TWinControl)
pt | AlignControls (TScrollingWinControl)
pt | AllAutoSized (TWinControl)
pt | AllAutoSized (TCustomForm)
 | AnchorAsAlign (TControl)
 | AnchorClient (TControl)
 | AnchoredControlCount (TControl)
 | AnchorHorizontalCenterTo (TControl)
 | AnchorParallel (TControl)
 | AnchorSame (TControl)
pt | AnchorSideChanged (TControl)
 | AnchorToCompanion (TControl)
 | AnchorToNeighbour (TControl)
 | AnchorVerticalCenterTo (TControl)
 | Assign (TPersistent)
 | AssignError (TPersistent)
 | AssignTo (TPersistent)
pt | AssignTo (TControl)
 | AutoAdjustLayout (TControl)
 | AutoAdjustLayout (TWinControl)
 | AutoAdjustLayout (TCustomDesignControl)
 | AutoScale (TCustomForm)
pt | AutoScrollEnabled (TScrollingWinControl)
 | AutoSizeDelayed (TControl)
 | AutoSizeDelayed (TWinControl)
 | AutoSizeDelayedHandle (TControl)
 | AutoSizeDelayedHandle (TWinControl)
 | AutoSizeDelayedHandle (TCustomForm)
 | AutoSizeDelayedReport (TControl)
 | AutoSizeDelayedReport (TWinControl)
 | AutoSizePhases (TControl)
 | AutoSizePhases (TWinControl)
 | BeforeDestruction (TObject)
 | BeforeDestruction (TComponent)
 | BeforeDestruction (TControl)
 | BeforeDestruction (TCustomForm)
pt | BeforeDragStart (TControl)
pt | BeginAutoDrag (TControl)
pt | BeginAutoDrag (TCustomForm)
pt | BeginAutoSizing (TControl)
 | BeginDrag (TControl)
pt | BeginFormUpdate (TCustomForm)
 | BeginUpdateBounds (TWinControl)
 | BigIconHandle (TCustomForm)
pt | BoundsChanged (TControl)
 | BringToFront (TControl)
 | BroadCast (TWinControl)
 | BrushCreated (TWinControl)
pt | CalculateAutoRanges (TScrollingWinControl)
pt | CalculateDockSizes (TControl)
pt | CalculatePreferredSize (TControl)
pt | CalculatePreferredSize (TWinControl)
pt | CalculatePreferredSize (TCustomForm)
pt | CanAutoSize (TControl)
 | CanFocus (TWinControl)
 | CanFocus (TCustomForm)
 | CanSetFocus (TWinControl)
pt | CanTab (TControl)
pt | CanTab (TWinControl)
pt | CaptureChanged (TControl)
 | Cascade (TForm)
pt | ChangeBounds (TControl)
pt | Changed (TControl)
 | ChangeName (TComponent)
pt | ChangeScale (TControl)
pt | ChangeScale (TWinControl)
 | CheckChildClassAllowed (TControl)
 | CheckNewParent (TControl)
pt | CheckOnChangeBounds (TControl)
pt | ChildClassAllowed (TControl)
pt | ChildClassAllowed (TWinControl)
pt | ChildHandlesCreated (TWinControl)
pt | ChildHandlesCreated (TCustomForm)
pt | ChildKey (TWinControl)
 | ClassInfo (TObject)
 | ClassName (TObject)
 | ClassNameIs (TObject)
 | ClassParent (TObject)
 | ClassType (TObject)
 | CleanupInstance (TObject)
pt | Click (TControl)
 | ClientRectNeedsInterfaceUpdate (TWinControl)
 | ClientToParent (TControl)
 | ClientToScreen (TControl)
 | ClientToScreen (TScrollingWinControl)
 | Close (TCustomForm)
 | CloseQuery (TCustomForm)
pt | CMActionExecute (TCustomForm)
pt | CMActionUpdate (TCustomForm)
pt | CMActivate (TCustomForm)
pt | CMAppShowBtnGlyphChanged (TCustomForm)
pt | CMAppShowMenuGlyphChanged (TCustomForm)
pt | CMBiDiModeChanged (TControl)
pt | CMBiDiModeChanged (TWinControl)
pt | CMBiDiModeChanged (TCustomForm)
pt | CMBorderChanged (TWinControl)
pt | CMChanged (TControl)
pt | CMCursorChanged (TControl)
pt | CMDeactivate (TCustomForm)
pt | CMDoubleBufferedChanged (TWinControl)
pt | CMEnabledChanged (TControl)
pt | CMEnabledChanged (TWinControl)
pt | CMEnter (TWinControl)
pt | CMExit (TWinControl)
pt | CMHintShow (TControl)
pt | CMHitTest (TControl)
pt | CMIconChanged (TCustomForm)
pt | CMMouseEnter (TControl)
pt | CMMouseLeave (TControl)
pt | CMParentBiDiModeChanged (TControl)
pt | CMParentBiDiModeChanged (TCustomForm)
pt | CMParentColorChanged (TControl)
pt | CMParentDoubleBufferedChanged (TWinControl)
pt | CMParentFontChanged (TControl)
pt | CMParentShowHintChanged (TControl)
pt | CMRelease (TCustomForm)
pt | CMShowHintChanged (TWinControl)
pt | CMShowingChanged (TWinControl)
pt | CMShowingChanged (TCustomForm)
pt | CMSysFontChanged (TControl)
pt | CMTextChanged (TControl)
pt | CMVisibleChanged (TControl)
pt | CMVisibleChanged (TWinControl)
pt | CNChar (TWinControl)
pt | CNKeyDown (TWinControl)
pt | CNKeyUp (TWinControl)
 | CNPreferredSizeChanged (TControl)
pt | CNSysKeyDown (TWinControl)
pt | CNSysKeyUp (TWinControl)
pt | ColorIsStored (TControl)
pt | ColorIsStored (TCustomForm)
pt | ComputeScrollbars (TScrollingWinControl)
pt | ConstrainedResize (TControl)
 | ContainsControl (TWinControl)
 | ControlAtPos (TWinControl)
pt | ControlKeyDown (TWinControl)
pt | ControlKeyUp (TWinControl)
pt | ControlsAligned (TWinControl)
 | ControlToScreen (TControl)
 | Create (TObject)
 | Create (TComponent)
 | Create (TLCLComponent)
 | Create (TControl)
 | Create (TWinControl)
 | Create (TCustomControl)
 | Create (TScrollingWinControl)
 | Create (TCustomDesignControl)
 | Create (TCustomForm)
 | Create (TForm)
 | CreateAccessibleObject (TControl)
pt | CreateBrush (TWinControl)
pt | CreateControlBorderSpacing (TControl)
pt | CreateDockManager (TWinControl)
pt | CreateFloatingDockSite (TControl)
pt | CreateHandle (TWinControl)
 | CreateNew (TCustomForm)
pt | CreateParams (TWinControl)
pt | CreateParams (TCustomForm)
 | CreateParented (TWinControl)
 | CreateParentedControl (TWinControl)
pt | CreateSubClass (TWinControl)
pt | CreateWnd (TWinControl)
pt | CreateWnd (TScrollingWinControl)
pt | CreateWnd (TCustomForm)
pt | CreateWnd (TForm)
pt | CustomAlignInsertBefore (TWinControl)
pt | CustomAlignPosition (TWinControl)
pt | DblClick (TControl)
pt | Deactivate (TCustomForm)
 | DecLCLRefCount (TLCLComponent)
 | DefaultHandler (TObject)
 | DefaultHandler (TWinControl)
 | DefaultHandlerStr (TObject)
 | DefineProperties (TPersistent)
 | DefineProperties (TComponent)
pt | DefineProperties (TControl)
 | DefocusControl (TCustomForm)
 | Destroy (TObject)
 | Destroy (TPersistent)
 | Destroy (TComponent)
 | Destroy (TLCLComponent)
 | Destroy (TControl)
 | Destroy (TWinControl)
 | Destroy (TCustomControl)
 | Destroy (TScrollingWinControl)
 | Destroy (TCustomForm)
 | DestroyComponents (TComponent)
pt | DestroyHandle (TWinControl)
 | Destroying (TComponent)
pt | DestroyWnd (TWinControl)
pt | DestroyWnd (TCustomControl)
 | DestroyWnd (TCustomForm)
pt | DialogChar (TControl)
pt | DialogChar (TWinControl)
 | DisableAlign (TWinControl)
 | DisableAutoSizing (TControl)
 | Dispatch (TObject)
 | DispatchStr (TObject)
pt | DoAddActionList (TCustomForm)
pt | DoAddDockClient (TWinControl)
 | DoAdjustClientRectChange (TWinControl)
pt | DoAlignChildControls (TWinControl)
pt | DoAllAutoSize (TControl)
pt | DoAllAutoSize (TWinControl)
pt | DoAutoAdjustLayout (TControl)
pt | DoAutoAdjustLayout (TCustomDesignControl)
pt | DoAutoSize (TControl)
pt | DoAutoSize (TWinControl)
pt | DoAutoSize (TCustomForm)
pt | DoBorderSpacingChange (TControl)
pt | DoCallKeyEventHandler (TControl)
pt | DoCallMouseWheelEventHandler (TControl)
pt | DoCallNotifyHandler (TControl)
pt | DoChildSizingChange (TWinControl)
 | Dock (TControl)
 | Dock (TCustomForm)
 | DockDrop (TWinControl)
 | Docked (TControl)
pt | DockOver (TWinControl)
pt | DockTrackNoTarget (TControl)
pt | DoClose (TCustomForm)
pt | DoConstraintsChange (TControl)
pt | DoConstraintsChange (TWinControl)
pt | DoContextPopup (TControl)
pt | DoCreate (TCustomForm)
pt | DoCreate (TCustomCopyToClipboardDialog)
pt | DoDestroy (TCustomForm)
pt | DoDock (TControl)
pt | DoDock (TCustomForm)
pt | DoDockClientMsg (TWinControl)
pt | DoDockOver (TWinControl)
pt | DoDragMsg (TControl)
pt | DoDragMsg (TWinControl)
pt | DoEndDock (TControl)
pt | DoEndDrag (TControl)
pt | DoEnter (TWinControl)
pt | DoExecuteAction (TCustomForm)
pt | DoExit (TWinControl)
pt | DoFirstShow (TCustomForm)
pt | DoFixDesignFontPPI (TControl)
pt | DoFlipChildren (TWinControl)
pt | DoFloatMsg (TControl)
pt | DoFloatMsg (TWinControl)
pt | DoGetDockCaption (TWinControl)
pt | DoHide (TCustomForm)
pt | DoKeyDownBeforeInterface (TWinControl)
pt | DoKeyPress (TWinControl)
pt | DoKeyUpBeforeInterface (TWinControl)
pt | DoMouseWheel (TControl)
pt | DoMouseWheelDown (TControl)
pt | DoMouseWheelHorz (TControl)
pt | DoMouseWheelLeft (TControl)
pt | DoMouseWheelRight (TControl)
pt | DoMouseWheelUp (TControl)
pt | DoOnChangeBounds (TControl)
pt | DoOnParentHandleDestruction (TControl)
pt | DoOnResize (TControl)
pt | DoOnResize (TScrollingWinControl)
pt | DoOnShowHint (TControl)
pt | DoRemainingKeyDown (TWinControl)
pt | DoRemainingKeyUp (TWinControl)
pt | DoRemoveActionList (TCustomForm)
pt | DoRemoveDockClient (TWinControl)
pt | DoScaleFontPPI (TControl)
pt | DoSendBoundsToInterface (TWinControl)
pt | DoSendBoundsToInterface (TCustomForm)
pt | DoSendShowHideToInterface (TWinControl)
pt | DoSetBounds (TControl)
pt | DoSetBounds (TWinControl)
pt | DoShow (TCustomForm)
pt | DoShowWindow (TCustomForm)
pt | DoStartDock (TControl)
pt | DoStartDrag (TControl)
pt | DoUnDock (TWinControl)
pt | DoUndockClientMsg (TWinControl)
pt | DoUpdateAction (TCustomForm)
pt | DoUTF8KeyPress (TWinControl)
pt | DragCanceled (TControl)
 | DragDrop (TControl)
 | Dragging (TControl)
pt | DragOver (TControl)
 | EditingDone (TControl)
 | EnableAlign (TWinControl)
 | EnableAutoSizing (TControl)
pt | EnabledChanged (TControl)
pt | EnabledChanging (TControl)
pt | EndAutoSizing (TControl)
 | EndDrag (TControl)
pt | EndFormUpdate (TCustomForm)
 | EndUpdateBounds (TWinControl)
 | EnsureVisible (TCustomForm)
 | Equals (TObject)
 | EraseBackground (TWinControl)
 | ExecuteAction (TComponent)
 | ExecuteCancelAction (TControl)
 | ExecuteDefaultAction (TControl)
 | FieldAddress (TObject)
pt | FinalizeWnd (TWinControl)
 | FindChildControl (TWinControl)
 | FindComponent (TComponent)
pt | FindNextControl (TWinControl)
 | FixDesignFontsPPI (TControl)
pt | FixupTabList (TWinControl)
 | FlipChildren (TWinControl)
 | FocusControl (TCustomForm)
 | Focused (TWinControl)
pt | FontChanged (TControl)
pt | FontChanged (TWinControl)
pt | FontChanged (TCustomControl)
pt | ForeignAnchorSideChanged (TControl)
pt | FormEndUpdated (TControl)
pt | FormEndUpdated (TWinControl)
 | FormIsUpdating (TControl)
 | FormIsUpdating (TCustomForm)
 | FPOAttachObserver (TPersistent)
 | FPODetachObserver (TPersistent)
 | FPONotifyObservers (TPersistent)
 | Free (TObject)
 | FreeInstance (TObject)
 | FreeNotification (TComponent)
 | FreeOnRelease (TComponent)
 | GetAccessibleObject (TControl)
pt | GetAction (TControl)
pt | GetActionLinkClass (TControl)
pt | GetAdjustedLogicalClientRect (TWinControl)
 | GetAnchorsDependingOnParent (TControl)
pt | GetBorderStyle (TWinControl)
pt | GetCachedText (TControl)
 | GetCanvasScaleFactor (TControl)
 | GetChildAccessibleObjectAtPos (TControl)
 | GetChildOwner (TComponent)
 | GetChildParent (TComponent)
 | GetChildren (TComponent)
pt | GetChildren (TWinControl)
 | GetChildren (TCustomForm)
 | GetChildrenRect (TControl)
 | GetChildrenRect (TWinControl)
pt | GetClientOrigin (TControl)
pt | GetClientOrigin (TWinControl)
pt | GetClientRect (TControl)
pt | GetClientRect (TWinControl)
pt | GetClientScrollOffset (TControl)
pt | GetClientScrollOffset (TScrollingWinControl)
 | GetColorResolvingParent (TControl)
 | GetComObject (TComponent)
 | GetComponent (TComponent)
 | GetComponentCount (TComponent)
 | GetComponentIndex (TComponent)
pt | GetControlClassDefaultSize (TControl)
 | GetControlClassDefaultSize (TScrollingWinControl)
 | GetControlClassDefaultSize (TCustomForm)
 | GetControlIndex (TWinControl)
pt | GetControlOrigin (TControl)
pt | GetControlOrigin (TWinControl)
pt | GetCursor (TControl)
 | GetDefaultColor (TControl)
pt | GetDefaultDockCaption (TControl)
pt | GetDefaultDockCaption (TCustomForm)
 | GetDefaultHeight (TControl)
 | GetDefaultWidth (TControl)
pt | GetDeviceContext (TControl)
pt | GetDeviceContext (TWinControl)
 | GetDockCaption (TWinControl)
pt | GetDockEdge (TControl)
pt | GetDragImages (TControl)
pt | GetEnabled (TControl)
 | GetEnumerator (TComponent)
 | GetEnumeratorControls (TWinControl)
 | GetEnumeratorControlsReverse (TWinControl)
pt | GetFloating (TControl)
pt | GetFloating (TCustomForm)
pt | GetFloatingDockSiteClass (TControl)
 | GetFormImage (TCustomForm)
 | GetHashCode (TObject)
 | GetIDsOfNames (TComponent)
 | GetInterface (TObject)
 | GetInterfaceByStr (TObject)
 | GetInterfaceEntry (TObject)
 | GetInterfaceEntryByStr (TObject)
 | GetInterfaceTable (TObject)
 | GetInterfaceWeak (TObject)
pt | GetLogicalClientRect (TControl)
pt | GetLogicalClientRect (TScrollingWinControl)
 | GetMDIChildren (TCustomForm)
 | GetMessageText (TCustomCopyToClipboardDialog)
pt | GetMouseCapture (TControl)
pt | GetMouseCapture (TWinControl)
pt | GetMousePosFromMessage (TControl)
 | GetNamePath (TPersistent)
 | GetNamePath (TComponent)
 | GetOwner (TPersistent)
 | GetOwner (TComponent)
pt | GetPalette (TControl)
pt | GetParentBackground (TWinControl)
 | GetParentComponent (TComponent)
 | GetParentComponent (TControl)
pt | GetParentHandle (TWinControl)
pt | GetPopupMenu (TControl)
 | GetPreferredSize (TControl)
 | GetPreferredSize (TCustomForm)
pt | GetPreferredSizeClientFrame (TWinControl)
pt | GetPreferredSizeClientFrame (TScrollingWinControl)
 | GetRealPopupParent (TCustomForm)
 | GetRGBColorResolvingParent (TControl)
 | GetRolesForControl (TCustomForm)
pt | GetScrolledClientRect (TControl)
 | GetSelectedChildAccessibleObject (TControl)
 | GetSidePosition (TControl)
pt | GetSiteInfo (TWinControl)
 | GetTabOrderList (TWinControl)
 | GetTextBuf (TControl)
 | GetTextLen (TControl)
 | GetTextLen (TWinControl)
 | GetTopParent (TControl)
pt | GetTopParentHandle (TWinControl)
 | GetTypeInfo (TComponent)
 | GetTypeInfoCount (TComponent)
pt | GetWSComponentClass (TLCLComponent)
 | HandleAllocated (TWinControl)
pt | HandleCreateException (TCustomForm)
pt | HandleDestroyException (TCustomForm)
 | HandleNeeded (TWinControl)
 | HandleObjectShouldBeVisible (TControl)
pt | HandleShowHideException (TCustomForm)
 | HasHelp (TControl)
 | HasParent (TComponent)
 | HasParent (TControl)
pt | HeightIsAnchored (TControl)
 | Hide (TControl)
 | Hide (TCustomForm)
 | iicrGetComponent (TComponent)
 | IncLCLRefCount (TLCLComponent)
 | InheritsFrom (TObject)
pt | InitializeWnd (TWinControl)
pt | InitializeWnd (TCustomForm)
 | InitiateAction (TControl)
 | InitInstance (TObject)
 | Insert (TComponent)
 | InsertComponent (TComponent)
 | InsertControl (TWinControl)
 | InstanceSize (TObject)
 | IntfDropFiles (TCustomForm)
 | IntfGetDropFilesTarget (TWinControl)
 | IntfHelp (TCustomForm)
 | IntfUTF8KeyPress (TWinControl)
 | Invalidate (TControl)
 | Invalidate (TWinControl)
pt | InvalidateBoundsRealized (TWinControl)
 | InvalidateClientRectCache (TWinControl)
pt | InvalidateControl (TControl)
pt | InvalidatePreferredChildSizes (TWinControl)
 | InvalidatePreferredSize (TControl)
 | Invoke (TComponent)
pt | IsAParentAligning (TControl)
pt | IsBorderSpacingInnerBorderStored (TControl)
pt | IsCaptionStored (TControl)
pt | IsClientHeightStored (TControl)
pt | IsClientHeightStored (TWinControl)
pt | IsClientWidthStored (TControl)
pt | IsClientWidthStored (TWinControl)
pt | IsControlMouseMsg (TWinControl)
 | IsControlVisible (TControl)
 | IsEnabled (TControl)
 | IsImplementorOf (TComponent)
 | IsParentColor (TControl)
 | IsParentFont (TControl)
 | IsParentOf (TControl)
 | IsProcessingPaintMsg (TControl)
 | IsRightToLeft (TControl)
 | IsShortcut (TCustomForm)
 | IsVisible (TControl)
pt | KeyDown (TWinControl)
pt | KeyDownAfterInterface (TWinControl)
pt | KeyDownBeforeInterface (TWinControl)
pt | KeyPress (TWinControl)
pt | KeyUp (TWinControl)
pt | KeyUpAfterInterface (TWinControl)
pt | KeyUpBeforeInterface (TWinControl)
pt | LMCaptureChanged (TControl)
 | Loaded (TComponent)
pt | Loaded (TControl)
pt | Loaded (TWinControl)
pt | Loaded (TScrollingWinControl)
pt | Loaded (TCustomDesignControl)
pt | Loaded (TCustomForm)
pt | Loaded (TForm)
pt | LoadedAll (TControl)
 | Loading (TComponent)
 | LockRealizeBounds (TWinControl)
pt | MainWndProc (TWinControl)
 | MakeFullyVisible (TCustomForm)
 | ManualDock (TControl)
 | ManualFloat (TControl)
 | MDIChildCount (TCustomForm)
 | MethodAddress (TObject)
 | MethodName (TObject)
pt | MouseDown (TControl)
pt | MouseEnter (TControl)
pt | MouseLeave (TControl)
pt | MouseMove (TControl)
pt | MouseUp (TControl)
pt | MoveToDefaultPosition (TCustomForm)
 | newinstance (TObject)
 | NewInstance (TLCLComponent)
 | Next (TForm)
 | Notification (TComponent)
pt | Notification (TControl)
pt | Notification (TCustomForm)
 | NotifyControls (TWinControl)
pt | Paint (TCustomControl)
pt | PaintControls (TWinControl)
pt | PaintHandler (TWinControl)
 | PaintTo (TWinControl)
pt | PaintWindow (TWinControl)
pt | PaintWindow (TCustomControl)
pt | PaintWindow (TCustomForm)
 | PaletteCreated (TComponent)
 | ParentDestroyingHandle (TControl)
pt | ParentFontChanged (TControl)
pt | ParentFormHandleInitialized (TControl)
pt | ParentFormHandleInitialized (TWinControl)
 | ParentHandlesAllocated (TControl)
 | ParentHandlesAllocated (TWinControl)
 | ParentToClient (TControl)
 | Perform (TControl)
 | PerformTab (TWinControl)
pt | PositionDockRect (TControl)
 | Previous (TForm)
pt | ProcessResource (TCustomForm)
pt | QuadClick (TControl)
 | QueryInterface (TComponent)
 | ReadLeft (TComponent)
 | ReadState (TComponent)
pt | ReadState (TControl)
 | ReadTop (TComponent)
pt | RealGetText (TControl)
pt | RealGetText (TWinControl)
 | ReAlign (TWinControl)
pt | RealizeBounds (TWinControl)
pt | RealizeBoundsRecursive (TWinControl)
pt | RealSetText (TControl)
pt | RealSetText (TWinControl)
 | ReferenceInterface (TComponent)
 | Refresh (TControl)
 | Release (TCustomForm)
pt | ReloadDockedControl (TWinControl)
 | Remove (TComponent)
 | RemoveAllHandlersOfObject (TLCLComponent)
 | RemoveAllHandlersOfObject (TControl)
 | RemoveAllHandlersOfObject (TCustomForm)
 | RemoveComponent (TComponent)
 | RemoveControl (TWinControl)
pt | RemoveFocus (TWinControl)
 | RemoveFreeNotification (TComponent)
pt | RemoveHandler (TControl)
 | RemoveHandlerClose (TCustomForm)
 | RemoveHandlerCreate (TCustomForm)
 | RemoveHandlerFirstShow (TCustomForm)
 | RemoveHandlerOnBeforeDestruction (TControl)
 | RemoveHandlerOnChangeBounds (TControl)
 | RemoveHandlerOnEnableChanging (TControl)
 | RemoveHandlerOnKeyDown (TControl)
 | RemoveHandlerOnMouseWheel (TControl)
 | RemoveHandlerOnResize (TControl)
 | RemoveHandlerOnVisibleChanged (TControl)
 | RemoveHandlerOnVisibleChanging (TControl)
 | RemoveNotification (TComponent)
 | Repaint (TControl)
 | Repaint (TWinControl)
 | ReplaceDockedControl (TControl)
pt | RequestAlign (TControl)
pt | RequestAlign (TCustomForm)
pt | Resize (TControl)
pt | Resizing (TScrollingWinControl)
pt | Resizing (TCustomForm)
 | SafeCallException (TObject)
 | SafeCallException (TComponent)
 | Scale96ToFont (TControl)
 | Scale96ToForm (TControl)
 | Scale96ToScreen (TControl)
 | ScaleBy (TWinControl)
pt | ScaleConstraints (TControl)
pt | ScaleControls (TWinControl)
 | ScaleDesignToForm (TControl)
 | ScaleFontsPPI (TControl)
 | ScaleFontTo96 (TControl)
 | ScaleFontToScreen (TControl)
 | ScaleFormTo96 (TControl)
 | ScaleFormToDesign (TControl)
 | ScaleScreenTo96 (TControl)
 | ScaleScreenToFont (TControl)
 | ScreenToClient (TControl)
 | ScreenToClient (TScrollingWinControl)
 | ScreenToControl (TControl)
 | ScrollBy (TWinControl)
 | ScrollBy (TScrollingWinControl)
 | ScrollBy_WS (TWinControl)
 | ScrollInView (TScrollingWinControl)
pt | SelectFirst (TWinControl)
 | SelectNext (TWinControl)
pt | SendDialogChar (TWinControl)
pt | SendMoveSizeMessages (TControl)
pt | SendMoveSizeMessages (TWinControl)
 | SendToBack (TControl)
pt | SetAction (TControl)
pt | SetAlign (TControl)
 | SetAncestor (TComponent)
pt | SetAnchors (TControl)
pt | SetAutoScroll (TScrollingWinControl)
pt | SetAutoScroll (TCustomForm)
pt | SetAutoSize (TControl)
pt | SetAutoSize (TScrollingWinControl)
pt | SetAutoSize (TCustomForm)
pt | SetBiDiMode (TControl)
pt | SetBorderStyle (TWinControl)
 | SetBounds (TControl)
 | SetBounds (TWinControl)
 | SetBoundsKeepBase (TControl)
 | SetChildOrder (TComponent)
pt | SetChildZPosition (TWinControl)
pt | SetColor (TControl)
pt | SetColor (TWinControl)
pt | SetColor (TCustomControl)
 | SetComponentIndex (TComponent)
 | SetControlIndex (TWinControl)
pt | SetCursor (TControl)
 | SetDesigning (TComponent)
 | SetDesignInstance (TComponent)
pt | SetDockManager (TWinControl)
pt | SetDragMode (TControl)
pt | SetEnabled (TControl)
 | SetFocus (TWinControl)
 | SetFocus (TCustomForm)
 | SetFocusedControl (TCustomForm)
pt | SetHint (TControl)
 | SetInitialBounds (TControl)
 | SetInline (TComponent)
 | SetName (TComponent)
pt | SetName (TControl)
pt | SetParent (TControl)
pt | SetParent (TCustomForm)
pt | SetParentBackground (TWinControl)
pt | SetParentBiDiMode (TControl)
 | SetParentComponent (TComponent)
pt | SetParentComponent (TControl)
 | SetReference (TComponent)
 | SetRestoredBounds (TCustomForm)
pt | SetScaled (TCustomDesignControl)
pt | SetScaled (TCustomForm)
 | SetShape (TWinControl)
 | SetSubComponent (TComponent)
 | SetTempCursor (TControl)
 | SetTempCursor (TWinControl)
 | SetTextBuf (TControl)
pt | SetVisible (TControl)
pt | SetVisible (TCustomForm)
pt | SetZOrder (TControl)
pt | SetZOrder (TCustomForm)
 | ShouldAutoAdjust (TControl)
 | Show (TControl)
 | Show (TCustomForm)
pt | ShowControl (TWinControl)
 | ShowHelp (TControl)
 | ShowModal (TCustomForm)
 | ShowOnTop (TCustomForm)
 | SmallIconHandle (TCustomForm)
 | StringMessageTable (TObject)
pt | TextChanged (TControl)
 | Tile (TForm)
 | ToString (TObject)
pt | TripleClick (TControl)
 | UnitName (TObject)
 | UnlockRealizeBounds (TWinControl)
 | Update (TControl)
 | Update (TWinControl)
 | UpdateAction (TComponent)
pt | UpdateActions (TCustomForm)
pt | UpdateAnchorRules (TControl)
 | UpdateBaseBounds (TControl)
pt | UpdateControlState (TWinControl)
 | Updated (TComponent)
 | UpdateDockCaption (TWinControl)
 | UpdateDockCaption (TCustomForm)
pt | UpdateMouseCursor (TControl)
 | UpdateRegistry (TComponent)
 | UpdateRolesForForm (TControl)
 | UpdateScrollbars (TScrollingWinControl)
pt | UpdateShowing (TWinControl)
pt | UpdateShowing (TCustomForm)
pt | UpdateWindowState (TCustomForm)
 | Updating (TComponent)
 | UseRightToLeftAlignment (TControl)
 | UseRightToLeftReading (TControl)
 | UseRightToLeftScrollBar (TControl)
pt | UTF8KeyPress (TWinControl)
 | ValidateContainer (TComponent)
 | ValidateInsert (TComponent)
 | ValidateRename (TComponent)
pt | VisibleChanged (TControl)
pt | VisibleChanged (TCustomForm)
pt | VisibleChanging (TControl)
pt | VisibleChanging (TCustomForm)
pt | VisibleIsStored (TCustomForm)
 | WantChildKey (TCustomForm)
pt | WidthIsAnchored (TControl)
pt | WMActivate (TCustomForm)
pt | WMCancelMode (TControl)
pt | WMChar (TWinControl)
pt | WMCloseQuery (TCustomForm)
pt | WMContextMenu (TControl)
pt | WMContextMenu (TWinControl)
pt | WMDestroy (TWinControl)
pt | WMDPIChanged (TCustomForm)
pt | WMEnter (TWinControl)
pt | WMEraseBkgnd (TWinControl)
pt | WMExit (TWinControl)
pt | WMHelp (TCustomForm)
pt | WMHScroll (TScrollingWinControl)
pt | WMKeyDown (TWinControl)
pt | WMKeyUp (TWinControl)
pt | WMKillFocus (TWinControl)
pt | WMLButtonDBLCLK (TControl)
pt | WMLButtonDown (TControl)
pt | WMLButtonQuadCLK (TControl)
pt | WMLButtonTripleCLK (TControl)
pt | WMLButtonUp (TControl)
pt | WMMButtonDBLCLK (TControl)
pt | WMMButtonDown (TControl)
pt | WMMButtonQuadCLK (TControl)
pt | WMMButtonTripleCLK (TControl)
pt | WMMButtonUp (TControl)
pt | WMMouseHWheel (TControl)
pt | WMMouseMove (TControl)
pt | WMMouseWheel (TControl)
pt | WMMove (TControl)
pt | WMMove (TWinControl)
pt | WMMove (TCustomForm)
pt | WMNotify (TWinControl)
pt | WMPaint (TWinControl)
pt | WMPaint (TCustomControl)
pt | WMRButtonDBLCLK (TControl)
pt | WMRButtonDown (TControl)
pt | WMRButtonQuadCLK (TControl)
pt | WMRButtonTripleCLK (TControl)
pt | WMRButtonUp (TControl)
pt | WMSetFocus (TWinControl)
pt | WMShowWindow (TWinControl)
pt | WMShowWindow (TCustomForm)
pt | WMSize (TControl)
pt | WMSize (TWinControl)
pt | WMSize (TScrollingWinControl)
pt | WMSize (TCustomForm)
pt | WMSysChar (TWinControl)
pt | WMSysKeyDown (TWinControl)
pt | WMSysKeyUp (TWinControl)
pt | WMVScroll (TScrollingWinControl)
pt | WMWindowPosChanged (TControl)
pt | WMWindowPosChanged (TWinControl)
pt | WMWindowPosChanged (TCustomForm)
pt | WMXButtonDBLCLK (TControl)
pt | WMXButtonDown (TControl)
pt | WMXButtonQuadCLK (TControl)
pt | WMXButtonTripleCLK (TControl)
pt | WMXButtonUp (TControl)
pt | WndProc (TControl)
pt | WndProc (TWinControl)
pt | WndProc (TCustomForm)
 | WriteLayoutDebugReport (TControl)
 | WriteLayoutDebugReport (TWinControl)
 | WriteLeft (TComponent)
 | WriteState (TComponent)
 | WriteTop (TComponent)
pt | WSRegisterClass (TLCLComponent)
pt | WSRegisterClass (TControl)
pt | WSRegisterClass (TWinControl)
pt | WSRegisterClass (TCustomControl)
pt | WSRegisterClass (TScrollingWinControl)
pt | WSRegisterClass (TCustomForm)
pt | WSSetText (TWinControl)
 | _AddRef (TComponent)
 | _Release (TComponent)


TCustomCopyToClipboardDialog
TForm
pl | ro | OnActivate
pl | ro | OnChangeBounds
pl | ro | OnClick
pl | ro | OnClose
pl | ro | OnCloseQuery
pl | ro | OnConstrainedResize
pl | ro | OnContextPopup
pl | ro | OnCreate
pl | ro | OnDblClick
pl | ro | OnDeactivate
pl | ro | OnDestroy
pl | ro | OnDockDrop
pl | ro | OnDockOver
pl | ro | OnDragDrop
pl | ro | OnDragOver
pl | ro | OnDropFiles
pl | ro | OnEndDock
pl | ro | OnGetSiteInfo
pl | ro | OnHelp
pl | ro | OnHide
pl | ro | OnKeyDown
pl | ro | OnKeyPress
pl | ro | OnKeyUp
pl | ro | OnMouseDown
pl | ro | OnMouseEnter
pl | ro | OnMouseLeave
pl | ro | OnMouseMove
pl | ro | OnMouseUp
pl | ro | OnMouseWheel
pl | ro | OnMouseWheelDown
pl | ro | OnMouseWheelUp
pl | ro | OnMouseWheelHorz
pl | ro | OnMouseWheelLeft
pl | ro | OnMouseWheelRight
pl | ro | OnPaint
pl | ro | OnResize
pl | ro | OnShortCut
pl | ro | OnShow
pl | ro | OnShowHint
pl | ro | OnStartDock
pl | ro | OnUnDock
pl | ro | OnUTF8KeyPress
pl | ro | OnWindowStateChange
TCustomForm
 |  | OnActivate
 |  | OnClose
 |  | OnCloseQuery
 |  | OnCreate
 |  | OnDeactivate
 |  | OnDestroy
 |  | OnDropFiles
 |  | OnHelp
 |  | OnHide
 | ro | OnResize
 |  | OnShortcut
 |  | OnShow
 |  | OnShowModalFinished
 |  | OnWindowStateChange
TCustomDesignControl
TScrollingWinControl
TCustomControl
 |  | OnPaint
TWinControl
pt |  | OnGetSiteInfo
pt |  | OnGetDockCaption
 |  | OnAlignInsertBefore
 |  | OnAlignPosition
 |  | OnDockDrop
 |  | OnDockOver
 |  | OnEnter
 |  | OnExit
 |  | OnKeyDown
 |  | OnKeyPress
 |  | OnKeyUp
 |  | OnUnDock
 |  | OnUTF8KeyPress
TControl
pt |  | OnConstrainedResize
pt |  | OnContextPopup
pt |  | OnDblClick
pt |  | OnTripleClick
pt |  | OnQuadClick
pt |  | OnDragDrop
pt |  | OnDragOver
pt |  | OnEndDock
pt |  | OnEndDrag
pt |  | OnMouseDown
pt |  | OnMouseMove
pt |  | OnMouseUp
pt |  | OnMouseEnter
pt |  | OnMouseLeave
pt |  | OnMouseWheel
pt |  | OnMouseWheelDown
pt |  | OnMouseWheelUp
pt |  | OnMouseWheelHorz
pt |  | OnMouseWheelLeft
pt |  | OnMouseWheelRight
pt |  | OnStartDock
pt |  | OnStartDrag
pt |  | OnEditingDone
 |  | OnChangeBounds
 |  | OnClick
 |  | OnResize
 |  | OnShowHint
TLCLComponent
TComponent
TPersistent
TObject


pl | ro | OnActivate (TForm)
 |  | OnAlignInsertBefore (TWinControl)
 |  | OnAlignPosition (TWinControl)
 |  | OnChangeBounds (TControl)
pl | ro | OnChangeBounds (TForm)
 |  | OnClick (TControl)
pl | ro | OnClick (TForm)
 |  | OnClose (TCustomForm)
pl | ro | OnClose (TForm)
 |  | OnCloseQuery (TCustomForm)
pl | ro | OnCloseQuery (TForm)
pt |  | OnConstrainedResize (TControl)
pl | ro | OnConstrainedResize (TForm)
pt |  | OnContextPopup (TControl)
pl | ro | OnContextPopup (TForm)
 |  | OnCreate (TCustomForm)
pl | ro | OnCreate (TForm)
pt |  | OnDblClick (TControl)
pl | ro | OnDblClick (TForm)
 |  | OnDeactivate (TCustomForm)
pl | ro | OnDeactivate (TForm)
 |  | OnDestroy (TCustomForm)
pl | ro | OnDestroy (TForm)
 |  | OnDockDrop (TWinControl)
pl | ro | OnDockDrop (TForm)
 |  | OnDockOver (TWinControl)
pl | ro | OnDockOver (TForm)
pt |  | OnDragDrop (TControl)
pl | ro | OnDragDrop (TForm)
pt |  | OnDragOver (TControl)
pl | ro | OnDragOver (TForm)
 |  | OnDropFiles (TCustomForm)
pl | ro | OnDropFiles (TForm)
pt |  | OnEditingDone (TControl)
pt |  | OnEndDock (TControl)
pl | ro | OnEndDock (TForm)
pt |  | OnEndDrag (TControl)
 |  | OnEnter (TWinControl)
 |  | OnExit (TWinControl)
pt |  | OnGetDockCaption (TWinControl)
pt |  | OnGetSiteInfo (TWinControl)
pl | ro | OnGetSiteInfo (TForm)
 |  | OnHelp (TCustomForm)
pl | ro | OnHelp (TForm)
 |  | OnHide (TCustomForm)
pl | ro | OnHide (TForm)
 |  | OnKeyDown (TWinControl)
pl | ro | OnKeyDown (TForm)
 |  | OnKeyPress (TWinControl)
pl | ro | OnKeyPress (TForm)
 |  | OnKeyUp (TWinControl)
pl | ro | OnKeyUp (TForm)
pt |  | OnMouseDown (TControl)
pl | ro | OnMouseDown (TForm)
pt |  | OnMouseEnter (TControl)
pl | ro | OnMouseEnter (TForm)
pt |  | OnMouseLeave (TControl)
pl | ro | OnMouseLeave (TForm)
pt |  | OnMouseMove (TControl)
pl | ro | OnMouseMove (TForm)
pt |  | OnMouseUp (TControl)
pl | ro | OnMouseUp (TForm)
pt |  | OnMouseWheel (TControl)
pl | ro | OnMouseWheel (TForm)
pt |  | OnMouseWheelDown (TControl)
pl | ro | OnMouseWheelDown (TForm)
pt |  | OnMouseWheelHorz (TControl)
pl | ro | OnMouseWheelHorz (TForm)
pt |  | OnMouseWheelLeft (TControl)
pl | ro | OnMouseWheelLeft (TForm)
pt |  | OnMouseWheelRight (TControl)
pl | ro | OnMouseWheelRight (TForm)
pt |  | OnMouseWheelUp (TControl)
pl | ro | OnMouseWheelUp (TForm)
 |  | OnPaint (TCustomControl)
pl | ro | OnPaint (TForm)
pt |  | OnQuadClick (TControl)
 |  | OnResize (TControl)
 | ro | OnResize (TCustomForm)
pl | ro | OnResize (TForm)
 |  | OnShortcut (TCustomForm)
pl | ro | OnShortCut (TForm)
 |  | OnShow (TCustomForm)
pl | ro | OnShow (TForm)
 |  | OnShowHint (TControl)
pl | ro | OnShowHint (TForm)
 |  | OnShowModalFinished (TCustomForm)
pt |  | OnStartDock (TControl)
pl | ro | OnStartDock (TForm)
pt |  | OnStartDrag (TControl)
pt |  | OnTripleClick (TControl)
 |  | OnUnDock (TWinControl)
pl | ro | OnUnDock (TForm)
 |  | OnUTF8KeyPress (TWinControl)
pl | ro | OnUTF8KeyPress (TForm)
 |  | OnWindowStateChange (TCustomForm)
pl | ro | OnWindowStateChange (TForm)


TCustomCopyToClipboardDialog.DoCreate

Declaration

Source position: dialogs.pp line 735

protected procedure TCustomCopyToClipboardDialog.DoCreate; override;


TCustomCopyToClipboardDialog.GetMessageText

Declaration

Source position: dialogs.pp line 737

public function TCustomCopyToClipboardDialog.GetMessageText: string; virtual; abstract;


TCustomPrintDialog

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

TCustomPrintDialog - base class for TPrintDialog.

Declaration

Source position: dialogs.pp line 506

type TCustomPrintDialog = class(TCommonDialog)
public
constructor Create(); override; |
property Collate: Boolean; [rw] | If True, printer will be asked to Collate pages if multiple copies are produced
property Copies: Integer; [rw] | Number of Copies of the document
property FromPage: Integer; [rw] | FromPage - first page of selection for printing
property MinPage: Integer; [rw] | MinPage - smallest number of page in print range
property MaxPage: Integer; [rw] | MaxPage - highest number of page in print range
property Options: TPrintDialogOptions; [rw] | The seet of Options for printing
property PrintToFile: Boolean; [rw] | PrintToFile - if True, printing is spooled to a file instead of the printer
property PrintRange: TPrintRange; [rw] | PrintRange - the range of pages for printing
property ToPage: Integer; [rw] | ToPage - the final page number in the range for printing
end;

Inheritance

TCustomPrintDialog | TCustomPrintDialog - base class for TPrintDialog.
|
TCommonDialog | TCommonDialog : the base type from which other dialogs are derived
|
TLCLComponent | The base class for LCL components associated with widgets.
|
TComponent,IUnknown,IInterfaceComponentReference
|
TPersistent,IFPObserved
|
TObject


TCustomPrintDialog
 |  | Collate
 |  | Copies
 |  | FromPage
 |  | MinPage
 |  | MaxPage
 |  | Options
 |  | PrintToFile
 |  | PrintRange
 |  | ToPage
TCommonDialog
pt |  | AttachTo
 |  | Handle
 |  | UserChoice
 |  | Width
 |  | Height
pl |  | HelpContext
pl |  | Title
TLCLComponent
 | ro | LCLRefCount
 | ro | WidgetSetClass
TComponent
 | ro | ComObject
 | ro | Components
 | ro | ComponentCount
 |  | ComponentIndex
 | ro | ComponentState
 | ro | ComponentStyle
 |  | DesignInfo
 | ro | Owner
 |  | VCLComObject
 |  | Name
 |  | Tag
TPersistent
TObject


pt |  | AttachTo (TCommonDialog)
 |  | Collate (TCustomPrintDialog)
 | ro | ComObject (TComponent)
 | ro | ComponentCount (TComponent)
 |  | ComponentIndex (TComponent)
 | ro | Components (TComponent)
 | ro | ComponentState (TComponent)
 | ro | ComponentStyle (TComponent)
 |  | Copies (TCustomPrintDialog)
 |  | DesignInfo (TComponent)
 |  | FromPage (TCustomPrintDialog)
 |  | Handle (TCommonDialog)
 |  | Height (TCommonDialog)
pl |  | HelpContext (TCommonDialog)
 | ro | LCLRefCount (TLCLComponent)
 |  | MaxPage (TCustomPrintDialog)
 |  | MinPage (TCustomPrintDialog)
 |  | Name (TComponent)
 |  | Options (TCustomPrintDialog)
 | ro | Owner (TComponent)
 |  | PrintRange (TCustomPrintDialog)
 |  | PrintToFile (TCustomPrintDialog)
 |  | Tag (TComponent)
pl |  | Title (TCommonDialog)
 |  | ToPage (TCustomPrintDialog)
 |  | UserChoice (TCommonDialog)
 |  | VCLComObject (TComponent)
 | ro | WidgetSetClass (TLCLComponent)
 |  | Width (TCommonDialog)


TCustomPrintDialog
 | Create
TCommonDialog
pt | WSRegisterClass
pt | DoExecute
pt | DefaultTitle
pt | GetHeight
pt | GetWidth
pt | SetHeight
pt | SetWidth
pt | ResetShowCloseFlags
 | Create
 | Execute
 | Close
 | DoShow
 | DoCanClose
 | DoClose
 | HandleAllocated
TLCLComponent
pt | WSRegisterClass
pt | GetWSComponentClass
 | Create
 | Destroy
 | NewInstance
 | RemoveAllHandlersOfObject
 | IncLCLRefCount
 | DecLCLRefCount
TComponent
 | GetComObject
 | GetComponent
 | GetComponentCount
 | GetComponentIndex
 | Insert
 | ReadLeft
 | ReadTop
 | Remove
 | RemoveNotification
 | SetComponentIndex
 | SetReference
 | WriteLeft
 | WriteTop
 | ChangeName
 | DefineProperties
 | GetChildren
 | GetChildOwner
 | GetChildParent
 | GetOwner
 | Loaded
 | Loading
 | Notification
 | PaletteCreated
 | ReadState
 | SetAncestor
 | SetDesigning
 | SetDesignInstance
 | SetInline
 | SetName
 | SetChildOrder
 | SetParentComponent
 | Updating
 | Updated
 | UpdateRegistry
 | ValidateRename
 | ValidateContainer
 | ValidateInsert
 | QueryInterface
 | _AddRef
 | _Release
 | iicrGetComponent
 | GetTypeInfoCount
 | GetTypeInfo
 | GetIDsOfNames
 | Invoke
 | WriteState
 | Create
 | Destroy
 | BeforeDestruction
 | DestroyComponents
 | Destroying
 | ExecuteAction
 | FindComponent
 | FreeNotification
 | RemoveFreeNotification
 | FreeOnRelease
 | GetEnumerator
 | GetNamePath
 | GetParentComponent
 | HasParent
 | InsertComponent
 | RemoveComponent
 | SafeCallException
 | SetSubComponent
 | UpdateAction
 | IsImplementorOf
 | ReferenceInterface
TPersistent
 | AssignError
 | AssignTo
 | DefineProperties
 | GetOwner
 | Destroy
 | Assign
 | FPOAttachObserver
 | FPODetachObserver
 | FPONotifyObservers
 | GetNamePath
TObject
 | Create
 | Destroy
 | newinstance
 | FreeInstance
 | SafeCallException
 | DefaultHandler
 | Free
 | InitInstance
 | CleanupInstance
 | ClassType
 | ClassInfo
 | ClassName
 | ClassNameIs
 | ClassParent
 | InstanceSize
 | InheritsFrom
 | StringMessageTable
 | MethodAddress
 | MethodName
 | FieldAddress
 | AfterConstruction
 | BeforeDestruction
 | DefaultHandlerStr
 | Dispatch
 | DispatchStr
 | GetInterface
 | GetInterfaceByStr
 | GetInterfaceWeak
 | GetInterfaceEntry
 | GetInterfaceEntryByStr
 | GetInterfaceTable
 | UnitName
 | Equals
 | GetHashCode
 | ToString


 | AssignError (TPersistent)
 | AssignTo (TPersistent)
 | BeforeDestruction (TObject)
 | BeforeDestruction (TComponent)
 | ChangeName (TComponent)
 | ClassInfo (TObject)
 | ClassName (TObject)
 | ClassNameIs (TObject)
 | ClassParent (TObject)
 | ClassType (TObject)
 | CleanupInstance (TObject)
 | Close (TCommonDialog)
 | Create (TObject)
 | Create (TComponent)
 | Create (TLCLComponent)
 | Create (TCommonDialog)
 | Create (TCustomPrintDialog)
 | DecLCLRefCount (TLCLComponent)
 | DefaultHandler (TObject)
 | DefaultHandlerStr (TObject)
pt | DefaultTitle (TCommonDialog)
 | DefineProperties (TPersistent)
 | DefineProperties (TComponent)
 | Destroy (TObject)
 | Destroy (TPersistent)
 | Destroy (TComponent)
 | Destroy (TLCLComponent)
 | DestroyComponents (TComponent)
 | Destroying (TComponent)
 | Dispatch (TObject)
 | DispatchStr (TObject)
 | DoCanClose (TCommonDialog)
 | DoClose (TCommonDialog)
pt | DoExecute (TCommonDialog)
 | DoShow (TCommonDialog)
 | Equals (TObject)
 | Execute (TCommonDialog)
 | ExecuteAction (TComponent)
 | FieldAddress (TObject)
 | FindComponent (TComponent)
 | FPOAttachObserver (TPersistent)
 | FPODetachObserver (TPersistent)
 | FPONotifyObservers (TPersistent)
 | Free (TObject)
 | FreeInstance (TObject)
 | FreeNotification (TComponent)
 | FreeOnRelease (TComponent)
 | GetChildOwner (TComponent)
 | GetChildParent (TComponent)
 | GetChildren (TComponent)
 | GetComObject (TComponent)
 | GetComponent (TComponent)
 | GetComponentCount (TComponent)
 | GetComponentIndex (TComponent)
 | GetEnumerator (TComponent)
 | GetHashCode (TObject)
pt | GetHeight (TCommonDialog)
 | GetIDsOfNames (TComponent)
 | GetInterface (TObject)
 | GetInterfaceByStr (TObject)
 | GetInterfaceEntry (TObject)
 | GetInterfaceEntryByStr (TObject)
 | GetInterfaceTable (TObject)
 | GetInterfaceWeak (TObject)
 | GetNamePath (TPersistent)
 | GetNamePath (TComponent)
 | GetOwner (TPersistent)
 | GetOwner (TComponent)
 | GetParentComponent (TComponent)
 | GetTypeInfo (TComponent)
 | GetTypeInfoCount (TComponent)
pt | GetWidth (TCommonDialog)
pt | GetWSComponentClass (TLCLComponent)
 | HandleAllocated (TCommonDialog)
 | HasParent (TComponent)
 | iicrGetComponent (TComponent)
 | IncLCLRefCount (TLCLComponent)
 | InheritsFrom (TObject)
 | InitInstance (TObject)
 | Insert (TComponent)
 | InsertComponent (TComponent)
 | InstanceSize (TObject)
 | Invoke (TComponent)
 | IsImplementorOf (TComponent)
 | Loaded (TComponent)
 | Loading (TComponent)
 | MethodAddress (TObject)
 | MethodName (TObject)
 | newinstance (TObject)
 | NewInstance (TLCLComponent)
 | Notification (TComponent)
 | PaletteCreated (TComponent)
 | QueryInterface (TComponent)
 | ReadLeft (TComponent)
 | ReadState (TComponent)
 | ReadTop (TComponent)
 | ReferenceInterface (TComponent)
 | Remove (TComponent)
 | RemoveAllHandlersOfObject (TLCLComponent)
 | RemoveComponent (TComponent)
 | RemoveFreeNotification (TComponent)
 | RemoveNotification (TComponent)
pt | ResetShowCloseFlags (TCommonDialog)
 | SafeCallException (TObject)
 | SafeCallException (TComponent)
 | SetAncestor (TComponent)
 | SetChildOrder (TComponent)
 | SetComponentIndex (TComponent)
 | SetDesigning (TComponent)
 | SetDesignInstance (TComponent)
pt | SetHeight (TCommonDialog)
 | SetInline (TComponent)
 | SetName (TComponent)
 | SetParentComponent (TComponent)
 | SetReference (TComponent)
 | SetSubComponent (TComponent)
pt | SetWidth (TCommonDialog)
 | StringMessageTable (TObject)
 | ToString (TObject)
 | UnitName (TObject)
 | UpdateAction (TComponent)
 | Updated (TComponent)
 | UpdateRegistry (TComponent)
 | Updating (TComponent)
 | ValidateContainer (TComponent)
 | ValidateInsert (TComponent)
 | ValidateRename (TComponent)
 | WriteLeft (TComponent)
 | WriteState (TComponent)
 | WriteTop (TComponent)
pt | WSRegisterClass (TLCLComponent)
pt | WSRegisterClass (TCommonDialog)
 | _AddRef (TComponent)
 | _Release (TComponent)


TCustomPrintDialog
TCommonDialog
pt | OnDialogResult
pl | OnClose
pl | OnCanClose
pl | OnShow
TLCLComponent
TComponent
TPersistent
TObject


TCustomPrintDialog.Collate

If True, printer will be asked to Collate pages if multiple copies are produced

Declaration

Source position: dialogs.pp line 520

public property TCustomPrintDialog.Collate : Boolean
  read FCollate
  write FCollate
  default False;


TCustomPrintDialog.Copies

Number of Copies of the document

Declaration

Source position: dialogs.pp line 521

public property TCustomPrintDialog.Copies : Integer
  read FCopies
  write FCopies
  default 1;


TCustomPrintDialog.FromPage

FromPage - first page of selection for printing

Declaration

Source position: dialogs.pp line 522

public property TCustomPrintDialog.FromPage : Integer
  read FFromPage
  write FFromPage
  default 0;


TCustomPrintDialog.MaxPage

MaxPage - highest number of page in print range

Declaration

Source position: dialogs.pp line 524

public property TCustomPrintDialog.MaxPage : Integer
  read FMaxPage
  write FMaxPage
  default 0;


TCustomPrintDialog.MinPage

MinPage - smallest number of page in print range

Declaration

Source position: dialogs.pp line 523

public property TCustomPrintDialog.MinPage : Integer
  read FMinPage
  write FMinPage
  default 0;


TCustomPrintDialog.Options

The seet of Options for printing

Declaration

Source position: dialogs.pp line 525

public property TCustomPrintDialog.Options : TPrintDialogOptions
  read FOptions
  write FOptions
  default [];


TCustomPrintDialog.PrintRange

PrintRange - the range of pages for printing

Declaration

Source position: dialogs.pp line 527

public property TCustomPrintDialog.PrintRange : TPrintRange
  read FPrintRange
  write FPrintRange
  default prAllPages;


TCustomPrintDialog.PrintToFile

PrintToFile - if True, printing is spooled to a file instead of the printer

Declaration

Source position: dialogs.pp line 526

public property TCustomPrintDialog.PrintToFile : Boolean
  read FPrintToFile
  write FPrintToFile
  default False;


TCustomPrintDialog.ToPage

ToPage - the final page number in the range for printing

Declaration

Source position: dialogs.pp line 528

public property TCustomPrintDialog.ToPage : Integer
  read FToPage
  write FToPage
  default 0;


TCustomPrinterSetupDialog

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Base class for TPrinterSetupDialog and TPageSetupDialog.

Declaration

Source position: dialogs.pp line 495

type TCustomPrinterSetupDialog = class(TCommonDialog) end;

Inheritance

TCustomPrinterSetupDialog | Base class for TPrinterSetupDialog and TPageSetupDialog.
|
TCommonDialog | TCommonDialog : the base type from which other dialogs are derived
|
TLCLComponent | The base class for LCL components associated with widgets.
|
TComponent,IUnknown,IInterfaceComponentReference
|
TPersistent,IFPObserved
|
TObject


TCustomPrinterSetupDialog
TCommonDialog
pt |  | AttachTo
 |  | Handle
 |  | UserChoice
 |  | Width
 |  | Height
pl |  | HelpContext
pl |  | Title
TLCLComponent
 | ro | LCLRefCount
 | ro | WidgetSetClass
TComponent
 | ro | ComObject
 | ro | Components
 | ro | ComponentCount
 |  | ComponentIndex
 | ro | ComponentState
 | ro | ComponentStyle
 |  | DesignInfo
 | ro | Owner
 |  | VCLComObject
 |  | Name
 |  | Tag
TPersistent
TObject


TCustomPrinterSetupDialog
TCommonDialog
pt | WSRegisterClass
pt | DoExecute
pt | DefaultTitle
pt | GetHeight
pt | GetWidth
pt | SetHeight
pt | SetWidth
pt | ResetShowCloseFlags
 | Create
 | Execute
 | Close
 | DoShow
 | DoCanClose
 | DoClose
 | HandleAllocated
TLCLComponent
pt | WSRegisterClass
pt | GetWSComponentClass
 | Create
 | Destroy
 | NewInstance
 | RemoveAllHandlersOfObject
 | IncLCLRefCount
 | DecLCLRefCount
TComponent
 | GetComObject
 | GetComponent
 | GetComponentCount
 | GetComponentIndex
 | Insert
 | ReadLeft
 | ReadTop
 | Remove
 | RemoveNotification
 | SetComponentIndex
 | SetReference
 | WriteLeft
 | WriteTop
 | ChangeName
 | DefineProperties
 | GetChildren
 | GetChildOwner
 | GetChildParent
 | GetOwner
 | Loaded
 | Loading
 | Notification
 | PaletteCreated
 | ReadState
 | SetAncestor
 | SetDesigning
 | SetDesignInstance
 | SetInline
 | SetName
 | SetChildOrder
 | SetParentComponent
 | Updating
 | Updated
 | UpdateRegistry
 | ValidateRename
 | ValidateContainer
 | ValidateInsert
 | QueryInterface
 | _AddRef
 | _Release
 | iicrGetComponent
 | GetTypeInfoCount
 | GetTypeInfo
 | GetIDsOfNames
 | Invoke
 | WriteState
 | Create
 | Destroy
 | BeforeDestruction
 | DestroyComponents
 | Destroying
 | ExecuteAction
 | FindComponent
 | FreeNotification
 | RemoveFreeNotification
 | FreeOnRelease
 | GetEnumerator
 | GetNamePath
 | GetParentComponent
 | HasParent
 | InsertComponent
 | RemoveComponent
 | SafeCallException
 | SetSubComponent
 | UpdateAction
 | IsImplementorOf
 | ReferenceInterface
TPersistent
 | AssignError
 | AssignTo
 | DefineProperties
 | GetOwner
 | Destroy
 | Assign
 | FPOAttachObserver
 | FPODetachObserver
 | FPONotifyObservers
 | GetNamePath
TObject
 | Create
 | Destroy
 | newinstance
 | FreeInstance
 | SafeCallException
 | DefaultHandler
 | Free
 | InitInstance
 | CleanupInstance
 | ClassType
 | ClassInfo
 | ClassName
 | ClassNameIs
 | ClassParent
 | InstanceSize
 | InheritsFrom
 | StringMessageTable
 | MethodAddress
 | MethodName
 | FieldAddress
 | AfterConstruction
 | BeforeDestruction
 | DefaultHandlerStr
 | Dispatch
 | DispatchStr
 | GetInterface
 | GetInterfaceByStr
 | GetInterfaceWeak
 | GetInterfaceEntry
 | GetInterfaceEntryByStr
 | GetInterfaceTable
 | UnitName
 | Equals
 | GetHashCode
 | ToString


TCustomPrinterSetupDialog
TCommonDialog
pt | OnDialogResult
pl | OnClose
pl | OnCanClose
pl | OnShow
TLCLComponent
TComponent
TPersistent
TObject


TCustomTaskDialog

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Declaration

Source position: dialogs.pp line 612

type TCustomTaskDialog = class(TComponent)

protected

  function DoExecute(); dynamic;

  procedure DoOnButtonClicked(); dynamic;

public

  constructor Create(); override;

  destructor Destroy; override;

  function Execute();

  property Button: TTaskDialogButtonItem; [rw]

  property Buttons: TTaskDialogButtons; [rw]

  property Caption: TTranslateString; [rw]

  property CommonButtons: TTaskDialogCommonButtons; [rw]

  property DefaultButton: TTaskDialogCommonButton; [rw]

  property ExpandButtonCaption: TTranslateString; [rw]

  property ExpandedText: TTranslateString; [rw]

  property Flags: TTaskDialogFlags; [rw]

  property FooterIcon: TTaskDialogIcon; [rw]

  property FooterText: TTranslateString; [rw]

  property MainIcon: TTaskDialogIcon; [rw]

  property ModalResult: TModalResult; [rw]

  property RadioButton: TTaskDialogRadioButtonItem; [r]

  property RadioButtons: TTaskDialogButtons; [rw]

  property Text: TTranslateString; [rw]

  property Title: TTranslateString; [rw]

  property VerificationText: TTranslateString; [rw]

  property OnButtonClicked: TTaskDlgClickEvent; [rw]

end;

Inheritance

TCustomTaskDialog
|

TComponent,IUnknown,IInterfaceComponentReference
|

TPersistent,IFPObserved
|

TObject


TCustomTaskDialog
 |  | Button
 |  | Buttons
 |  | Caption
 |  | CommonButtons
 |  | DefaultButton
 |  | ExpandButtonCaption
 |  | ExpandedText
 |  | Flags
 |  | FooterIcon
 |  | FooterText
 |  | MainIcon
 |  | ModalResult
 | ro | RadioButton
 |  | RadioButtons
 |  | Text
 |  | Title
 |  | VerificationText
TComponent
 | ro | ComObject
 | ro | Components
 | ro | ComponentCount
 |  | ComponentIndex
 | ro | ComponentState
 | ro | ComponentStyle
 |  | DesignInfo
 | ro | Owner
 |  | VCLComObject
 |  | Name
 |  | Tag
TPersistent
TObject


 | Button (TCustomTaskDialog)
 | Buttons (TCustomTaskDialog)
 | Caption (TCustomTaskDialog)
 | CommonButtons (TCustomTaskDialog)
ro | ComObject (TComponent)
ro | ComponentCount (TComponent)
 | ComponentIndex (TComponent)
ro | Components (TComponent)
ro | ComponentState (TComponent)
ro | ComponentStyle (TComponent)
 | DefaultButton (TCustomTaskDialog)
 | DesignInfo (TComponent)
 | ExpandButtonCaption (TCustomTaskDialog)
 | ExpandedText (TCustomTaskDialog)
 | Flags (TCustomTaskDialog)
 | FooterIcon (TCustomTaskDialog)
 | FooterText (TCustomTaskDialog)
 | MainIcon (TCustomTaskDialog)
 | ModalResult (TCustomTaskDialog)
 | Name (TComponent)
ro | Owner (TComponent)
ro | RadioButton (TCustomTaskDialog)
 | RadioButtons (TCustomTaskDialog)
 | Tag (TComponent)
 | Text (TCustomTaskDialog)
 | Title (TCustomTaskDialog)
 | VCLComObject (TComponent)
 | VerificationText (TCustomTaskDialog)


TCustomTaskDialog
pt | DoExecute
pt | DoOnButtonClicked
 | Create
 | Destroy
 | Execute
TComponent
 | GetComObject
 | GetComponent
 | GetComponentCount
 | GetComponentIndex
 | Insert
 | ReadLeft
 | ReadTop
 | Remove
 | RemoveNotification
 | SetComponentIndex
 | SetReference
 | WriteLeft
 | WriteTop
 | ChangeName
 | DefineProperties
 | GetChildren
 | GetChildOwner
 | GetChildParent
 | GetOwner
 | Loaded
 | Loading
 | Notification
 | PaletteCreated
 | ReadState
 | SetAncestor
 | SetDesigning
 | SetDesignInstance
 | SetInline
 | SetName
 | SetChildOrder
 | SetParentComponent
 | Updating
 | Updated
 | UpdateRegistry
 | ValidateRename
 | ValidateContainer
 | ValidateInsert
 | QueryInterface
 | _AddRef
 | _Release
 | iicrGetComponent
 | GetTypeInfoCount
 | GetTypeInfo
 | GetIDsOfNames
 | Invoke
 | WriteState
 | Create
 | Destroy
 | BeforeDestruction
 | DestroyComponents
 | Destroying
 | ExecuteAction
 | FindComponent
 | FreeNotification
 | RemoveFreeNotification
 | FreeOnRelease
 | GetEnumerator
 | GetNamePath
 | GetParentComponent
 | HasParent
 | InsertComponent
 | RemoveComponent
 | SafeCallException
 | SetSubComponent
 | UpdateAction
 | IsImplementorOf
 | ReferenceInterface
TPersistent
 | AssignError
 | AssignTo
 | DefineProperties
 | GetOwner
 | Destroy
 | Assign
 | FPOAttachObserver
 | FPODetachObserver
 | FPONotifyObservers
 | GetNamePath
TObject
 | Create
 | Destroy
 | newinstance
 | FreeInstance
 | SafeCallException
 | DefaultHandler
 | Free
 | InitInstance
 | CleanupInstance
 | ClassType
 | ClassInfo
 | ClassName
 | ClassNameIs
 | ClassParent
 | InstanceSize
 | InheritsFrom
 | StringMessageTable
 | MethodAddress
 | MethodName
 | FieldAddress
 | AfterConstruction
 | BeforeDestruction
 | DefaultHandlerStr
 | Dispatch
 | DispatchStr
 | GetInterface
 | GetInterfaceByStr
 | GetInterfaceWeak
 | GetInterfaceEntry
 | GetInterfaceEntryByStr
 | GetInterfaceTable
 | UnitName
 | Equals
 | GetHashCode
 | ToString


 | AssignError (TPersistent)
 | AssignTo (TPersistent)
 | BeforeDestruction (TObject)
 | BeforeDestruction (TComponent)
 | ChangeName (TComponent)
 | ClassInfo (TObject)
 | ClassName (TObject)
 | ClassNameIs (TObject)
 | ClassParent (TObject)
 | ClassType (TObject)
 | CleanupInstance (TObject)
 | Create (TObject)
 | Create (TComponent)
 | Create (TCustomTaskDialog)
 | DefaultHandler (TObject)
 | DefaultHandlerStr (TObject)
 | DefineProperties (TPersistent)
 | DefineProperties (TComponent)
 | Destroy (TObject)
 | Destroy (TPersistent)
 | Destroy (TComponent)
 | Destroy (TCustomTaskDialog)
 | DestroyComponents (TComponent)
 | Destroying (TComponent)
 | Dispatch (TObject)
 | DispatchStr (TObject)
pt | DoExecute (TCustomTaskDialog)
pt | DoOnButtonClicked (TCustomTaskDialog)
 | Equals (TObject)
 | Execute (TCustomTaskDialog)
 | ExecuteAction (TComponent)
 | FieldAddress (TObject)
 | FindComponent (TComponent)
 | FPOAttachObserver (TPersistent)
 | FPODetachObserver (TPersistent)
 | FPONotifyObservers (TPersistent)
 | Free (TObject)
 | FreeInstance (TObject)
 | FreeNotification (TComponent)
 | FreeOnRelease (TComponent)
 | GetChildOwner (TComponent)
 | GetChildParent (TComponent)
 | GetChildren (TComponent)
 | GetComObject (TComponent)
 | GetComponent (TComponent)
 | GetComponentCount (TComponent)
 | GetComponentIndex (TComponent)
 | GetEnumerator (TComponent)
 | GetHashCode (TObject)
 | GetIDsOfNames (TComponent)
 | GetInterface (TObject)
 | GetInterfaceByStr (TObject)
 | GetInterfaceEntry (TObject)
 | GetInterfaceEntryByStr (TObject)
 | GetInterfaceTable (TObject)
 | GetInterfaceWeak (TObject)
 | GetNamePath (TPersistent)
 | GetNamePath (TComponent)
 | GetOwner (TPersistent)
 | GetOwner (TComponent)
 | GetParentComponent (TComponent)
 | GetTypeInfo (TComponent)
 | GetTypeInfoCount (TComponent)
 | HasParent (TComponent)
 | iicrGetComponent (TComponent)
 | InheritsFrom (TObject)
 | InitInstance (TObject)
 | Insert (TComponent)
 | InsertComponent (TComponent)
 | InstanceSize (TObject)
 | Invoke (TComponent)
 | IsImplementorOf (TComponent)
 | Loaded (TComponent)
 | Loading (TComponent)
 | MethodAddress (TObject)
 | MethodName (TObject)
 | newinstance (TObject)
 | Notification (TComponent)
 | PaletteCreated (TComponent)
 | QueryInterface (TComponent)
 | ReadLeft (TComponent)
 | ReadState (TComponent)
 | ReadTop (TComponent)
 | ReferenceInterface (TComponent)
 | Remove (TComponent)
 | RemoveComponent (TComponent)
 | RemoveFreeNotification (TComponent)
 | RemoveNotification (TComponent)
 | SafeCallException (TObject)
 | SafeCallException (TComponent)
 | SetAncestor (TComponent)
 | SetChildOrder (TComponent)
 | SetComponentIndex (TComponent)
 | SetDesigning (TComponent)
 | SetDesignInstance (TComponent)
 | SetInline (TComponent)
 | SetName (TComponent)
 | SetParentComponent (TComponent)
 | SetReference (TComponent)
 | SetSubComponent (TComponent)
 | StringMessageTable (TObject)
 | ToString (TObject)
 | UnitName (TObject)
 | UpdateAction (TComponent)
 | Updated (TComponent)
 | UpdateRegistry (TComponent)
 | Updating (TComponent)
 | ValidateContainer (TComponent)
 | ValidateInsert (TComponent)
 | ValidateRename (TComponent)
 | WriteLeft (TComponent)
 | WriteState (TComponent)
 | WriteTop (TComponent)
 | _AddRef (TComponent)
 | _Release (TComponent)


TCustomTaskDialog

OnButtonClicked

TComponent

TPersistent

TObject


TCustomTaskDialog.Button

Declaration

Source position: dialogs.pp line 645

public property TCustomTaskDialog.Button : TTaskDialogButtonItem
  read FButton
  write FButton;


TCustomTaskDialog.Buttons

Declaration

Source position: dialogs.pp line 646

public property TCustomTaskDialog.Buttons : TTaskDialogButtons
  read FButtons
  write SetButtons;


TCustomTaskDialog.Caption

Declaration

Source position: dialogs.pp line 647

public property TCustomTaskDialog.Caption : TTranslateString
  read FCaption
  write FCaption;


TCustomTaskDialog.CommonButtons

Declaration

Source position: dialogs.pp line 648

public property TCustomTaskDialog.CommonButtons : TTaskDialogCommonButtons
  read FCommonButtons
  write FCommonButtons
  default [tcbOk, tcbCancel];


TCustomTaskDialog.Create

Declaration

Source position: dialogs.pp line 641

public constructor TCustomTaskDialog.Create(

  AOwner: TComponent

); override;


TCustomTaskDialog.DefaultButton

Declaration

Source position: dialogs.pp line 649

public property TCustomTaskDialog.DefaultButton : TTaskDialogCommonButton
  read FDefaultButton
  write FDefaultButton
  default tcbOk;


TCustomTaskDialog.Destroy

Declaration

Source position: dialogs.pp line 642

public destructor TCustomTaskDialog.Destroy; override;


TCustomTaskDialog.DoExecute

Declaration

Source position: dialogs.pp line 638

protected function TCustomTaskDialog.DoExecute(

  ParentWnd: HWND

):Boolean; dynamic;


TCustomTaskDialog.DoOnButtonClicked

Declaration

Source position: dialogs.pp line 639

protected procedure TCustomTaskDialog.DoOnButtonClicked(

  AModalResult: Integer;

  var ACanClose: Boolean

); dynamic;


TCustomTaskDialog.Execute

Declaration

Source position: dialogs.pp line 643

public function TCustomTaskDialog.Execute: Boolean; dynamic; overload;

function TCustomTaskDialog.Execute(

  ParentWnd: HWND

):Boolean; dynamic; overload;


TCustomTaskDialog.ExpandButtonCaption

Declaration

Source position: dialogs.pp line 650

public property TCustomTaskDialog.ExpandButtonCaption : TTranslateString
  read FExpandButtonCaption
  write FExpandButtonCaption;


TCustomTaskDialog.ExpandedText

Declaration

Source position: dialogs.pp line 651

public property TCustomTaskDialog.ExpandedText : TTranslateString
  read FExpandedText
  write FExpandedText;


TCustomTaskDialog.Flags

Declaration

Source position: dialogs.pp line 652

public property TCustomTaskDialog.Flags : TTaskDialogFlags
  read FFlags
  write FFlags
  default [tfAllowDialogCancellation];


TCustomTaskDialog.FooterIcon

Declaration

Source position: dialogs.pp line 653

public property TCustomTaskDialog.FooterIcon : TTaskDialogIcon
  read FFooterIcon
  write FFooterIcon
  default tdiNone;


TCustomTaskDialog.FooterText

Declaration

Source position: dialogs.pp line 654

public property TCustomTaskDialog.FooterText : TTranslateString
  read FFooterText
  write FFooterText;


TCustomTaskDialog.MainIcon

Declaration

Source position: dialogs.pp line 655

public property TCustomTaskDialog.MainIcon : TTaskDialogIcon
  read FMainIcon
  write FMainIcon
  default tdiInformation;


TCustomTaskDialog.ModalResult

Declaration

Source position: dialogs.pp line 656

public property TCustomTaskDialog.ModalResult : TModalResult
  read FModalResult
  write FModalResult;


TCustomTaskDialog.OnButtonClicked

Declaration

Source position: dialogs.pp line 662

public property TCustomTaskDialog.OnButtonClicked : TTaskDlgClickEvent
  read FOnButtonClicked
  write FOnButtonClicked;


TCustomTaskDialog.RadioButton

Declaration

Source position: dialogs.pp line 657

public property TCustomTaskDialog.RadioButton : TTaskDialogRadioButtonItem
  read FRadioButton;


TCustomTaskDialog.RadioButtons

Declaration

Source position: dialogs.pp line 658

public property TCustomTaskDialog.RadioButtons : TTaskDialogButtons
  read FRadioButtons
  write SetRadioButtons;


TCustomTaskDialog.Text

Declaration

Source position: dialogs.pp line 659

public property TCustomTaskDialog.Text : TTranslateString
  read FText
  write FText;


TCustomTaskDialog.Title

Declaration

Source position: dialogs.pp line 660

public property TCustomTaskDialog.Title : TTranslateString
  read FTitle
  write FTitle;


TCustomTaskDialog.VerificationText

Declaration

Source position: dialogs.pp line 661

public property TCustomTaskDialog.VerificationText : TTranslateString
  read FVerificationText
  write FVerificationText;


TFileDialog

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

TFileDialog : allows selection of a file from the current directory.

Declaration

Source position: dialogs.pp line 140

type TFileDialog = class(TCommonDialog)
protected
class procedure WSRegisterClass; override; | Registers this component class with the current WidgetSet.
function GetFilterIndex; virtual; | GetFilterIndex - returns the Index value for the filename filter
procedure SetFileName(); virtual; | SetFileName - specifies the filename in the file dialog
procedure SetFilter(); virtual; | SetFilter - specifies the Filter for use in filename searching
procedure SetHistoryList(); virtual; | SetHistoryList - specifies a list of strings that have been used in searching
public
constructor Create(); override; | Create - constructor for TFileDialog: calls inherited Create, makes stringlists for files and history, initialises filter index
destructor Destroy; override; | Destroy - destructor for TFileDialog: frees file and history lists then calls inherited Destroy
procedure DoCanClose(); override;
procedure DoTypeChange; virtual; | DoTypeChange - perform the code for the OnTypeChange event
property Files: TStrings; [r] | Stringlist which stores the names of the selected files.
property HistoryList: TStrings; [rw] | HistoryList - stringlist containing the names of files recently accessed
procedure IntfFileTypeChanged(); | IntfFileTypeChanged - interface method for file type change
class function FindMaskInFilter(); | Find position of a mask in the given filter
class function ExtractAllFilterMasks(); | Extracts all file masks from a filter
published
property Title: TTranslateString; | The Title or Caption to be shown at the top of the dialog box
property DefaultExt: string; [rw] | Sets the default file extension for the file dialog box.
property FileName: string; [rw] | String storing the name of the file chosen by the user as UTF8.
property Filter: string; [rw] | A string which contains possible filename filters (eg .doc, .xmp, .pas etc).
property FilterIndex: Integer; [rw] | This property sets which file filter is the default.
property InitialDir: string; [rw] | Set the directory the dialog shows on opening.
property OnHelpClicked: TNotifyEvent; [rw] | Event handler when the Help button is clicked
property OnTypeChange: TNotifyEvent; [rw] | Event Handler when the selected file type is changed
end;

Inheritance

TFileDialog | TFileDialog : allows selection of a file from the current directory.
|
TCommonDialog | TCommonDialog : the base type from which other dialogs are derived
|
TLCLComponent | The base class for LCL components associated with widgets.
|
TComponent,IUnknown,IInterfaceComponentReference
|
TPersistent,IFPObserved
|
TObject

Description

TFileDialog : allows selection of a file from the current directory.

This is also the base class for the Open and Save (As) dialogs


TFileDialog
 | ro | Files
 |  | HistoryList
pl | ro | Title
pl |  | DefaultExt
pl |  | FileName
pl |  | Filter
pl |  | FilterIndex
pl |  | InitialDir
TCommonDialog
pt |  | AttachTo
 |  | Handle
 |  | UserChoice
 |  | Width
 |  | Height
pl |  | HelpContext
pl |  | Title
TLCLComponent
 | ro | LCLRefCount
 | ro | WidgetSetClass
TComponent
 | ro | ComObject
 | ro | Components
 | ro | ComponentCount
 |  | ComponentIndex
 | ro | ComponentState
 | ro | ComponentStyle
 |  | DesignInfo
 | ro | Owner
 |  | VCLComObject
 |  | Name
 |  | Tag
TPersistent
TObject


pt |  | AttachTo (TCommonDialog)
 | ro | ComObject (TComponent)
 | ro | ComponentCount (TComponent)
 |  | ComponentIndex (TComponent)
 | ro | Components (TComponent)
 | ro | ComponentState (TComponent)
 | ro | ComponentStyle (TComponent)
pl |  | DefaultExt (TFileDialog)
 |  | DesignInfo (TComponent)
pl |  | FileName (TFileDialog)
 | ro | Files (TFileDialog)
pl |  | Filter (TFileDialog)
pl |  | FilterIndex (TFileDialog)
 |  | Handle (TCommonDialog)
 |  | Height (TCommonDialog)
pl |  | HelpContext (TCommonDialog)
 |  | HistoryList (TFileDialog)
pl |  | InitialDir (TFileDialog)
 | ro | LCLRefCount (TLCLComponent)
 |  | Name (TComponent)
 | ro | Owner (TComponent)
 |  | Tag (TComponent)
pl |  | Title (TCommonDialog)
pl | ro | Title (TFileDialog)
 |  | UserChoice (TCommonDialog)
 |  | VCLComObject (TComponent)
 | ro | WidgetSetClass (TLCLComponent)
 |  | Width (TCommonDialog)


TFileDialog
pt | WSRegisterClass
pt | GetFilterIndex
pt | SetFileName
pt | SetFilter
pt | SetHistoryList
 | Create
 | Destroy
 | DoCanClose
 | DoTypeChange
 | IntfFileTypeChanged
 | FindMaskInFilter
 | ExtractAllFilterMasks
TCommonDialog
pt | WSRegisterClass
pt | DoExecute
pt | DefaultTitle
pt | GetHeight
pt | GetWidth
pt | SetHeight
pt | SetWidth
pt | ResetShowCloseFlags
 | Create
 | Execute
 | Close
 | DoShow
 | DoCanClose
 | DoClose
 | HandleAllocated
TLCLComponent
pt | WSRegisterClass
pt | GetWSComponentClass
 | Create
 | Destroy
 | NewInstance
 | RemoveAllHandlersOfObject
 | IncLCLRefCount
 | DecLCLRefCount
TComponent
 | GetComObject
 | GetComponent
 | GetComponentCount
 | GetComponentIndex
 | Insert
 | ReadLeft
 | ReadTop
 | Remove
 | RemoveNotification
 | SetComponentIndex
 | SetReference
 | WriteLeft
 | WriteTop
 | ChangeName
 | DefineProperties
 | GetChildren
 | GetChildOwner
 | GetChildParent
 | GetOwner
 | Loaded
 | Loading
 | Notification
 | PaletteCreated
 | ReadState
 | SetAncestor
 | SetDesigning
 | SetDesignInstance
 | SetInline
 | SetName
 | SetChildOrder
 | SetParentComponent
 | Updating
 | Updated
 | UpdateRegistry
 | ValidateRename
 | ValidateContainer
 | ValidateInsert
 | QueryInterface
 | _AddRef
 | _Release
 | iicrGetComponent
 | GetTypeInfoCount
 | GetTypeInfo
 | GetIDsOfNames
 | Invoke
 | WriteState
 | Create
 | Destroy
 | BeforeDestruction
 | DestroyComponents
 | Destroying
 | ExecuteAction
 | FindComponent
 | FreeNotification
 | RemoveFreeNotification
 | FreeOnRelease
 | GetEnumerator
 | GetNamePath
 | GetParentComponent
 | HasParent
 | InsertComponent
 | RemoveComponent
 | SafeCallException
 | SetSubComponent
 | UpdateAction
 | IsImplementorOf
 | ReferenceInterface
TPersistent
 | AssignError
 | AssignTo
 | DefineProperties
 | GetOwner
 | Destroy
 | Assign
 | FPOAttachObserver
 | FPODetachObserver
 | FPONotifyObservers
 | GetNamePath
TObject
 | Create
 | Destroy
 | newinstance
 | FreeInstance
 | SafeCallException
 | DefaultHandler
 | Free
 | InitInstance
 | CleanupInstance
 | ClassType
 | ClassInfo
 | ClassName
 | ClassNameIs
 | ClassParent
 | InstanceSize
 | InheritsFrom
 | StringMessageTable
 | MethodAddress
 | MethodName
 | FieldAddress
 | AfterConstruction
 | BeforeDestruction
 | DefaultHandlerStr
 | Dispatch
 | DispatchStr
 | GetInterface
 | GetInterfaceByStr
 | GetInterfaceWeak
 | GetInterfaceEntry
 | GetInterfaceEntryByStr
 | GetInterfaceTable
 | UnitName
 | Equals
 | GetHashCode
 | ToString


 | AssignError (TPersistent)
 | AssignTo (TPersistent)
 | BeforeDestruction (TObject)
 | BeforeDestruction (TComponent)
 | ChangeName (TComponent)
 | ClassInfo (TObject)
 | ClassName (TObject)
 | ClassNameIs (TObject)
 | ClassParent (TObject)
 | ClassType (TObject)
 | CleanupInstance (TObject)
 | Close (TCommonDialog)
 | Create (TObject)
 | Create (TComponent)
 | Create (TLCLComponent)
 | Create (TCommonDialog)
 | Create (TFileDialog)
 | DecLCLRefCount (TLCLComponent)
 | DefaultHandler (TObject)
 | DefaultHandlerStr (TObject)
pt | DefaultTitle (TCommonDialog)
 | DefineProperties (TPersistent)
 | DefineProperties (TComponent)
 | Destroy (TObject)
 | Destroy (TPersistent)
 | Destroy (TComponent)
 | Destroy (TLCLComponent)
 | Destroy (TFileDialog)
 | DestroyComponents (TComponent)
 | Destroying (TComponent)
 | Dispatch (TObject)
 | DispatchStr (TObject)
 | DoCanClose (TCommonDialog)
 | DoCanClose (TFileDialog)
 | DoClose (TCommonDialog)
pt | DoExecute (TCommonDialog)
 | DoShow (TCommonDialog)
 | DoTypeChange (TFileDialog)
 | Equals (TObject)
 | Execute (TCommonDialog)
 | ExecuteAction (TComponent)
 | ExtractAllFilterMasks (TFileDialog)
 | FieldAddress (TObject)
 | FindComponent (TComponent)
 | FindMaskInFilter (TFileDialog)
 | FPOAttachObserver (TPersistent)
 | FPODetachObserver (TPersistent)
 | FPONotifyObservers (TPersistent)
 | Free (TObject)
 | FreeInstance (TObject)
 | FreeNotification (TComponent)
 | FreeOnRelease (TComponent)
 | GetChildOwner (TComponent)
 | GetChildParent (TComponent)
 | GetChildren (TComponent)
 | GetComObject (TComponent)
 | GetComponent (TComponent)
 | GetComponentCount (TComponent)
 | GetComponentIndex (TComponent)
 | GetEnumerator (TComponent)
pt | GetFilterIndex (TFileDialog)
 | GetHashCode (TObject)
pt | GetHeight (TCommonDialog)
 | GetIDsOfNames (TComponent)
 | GetInterface (TObject)
 | GetInterfaceByStr (TObject)
 | GetInterfaceEntry (TObject)
 | GetInterfaceEntryByStr (TObject)
 | GetInterfaceTable (TObject)
 | GetInterfaceWeak (TObject)
 | GetNamePath (TPersistent)
 | GetNamePath (TComponent)
 | GetOwner (TPersistent)
 | GetOwner (TComponent)
 | GetParentComponent (TComponent)
 | GetTypeInfo (TComponent)
 | GetTypeInfoCount (TComponent)
pt | GetWidth (TCommonDialog)
pt | GetWSComponentClass (TLCLComponent)
 | HandleAllocated (TCommonDialog)
 | HasParent (TComponent)
 | iicrGetComponent (TComponent)
 | IncLCLRefCount (TLCLComponent)
 | InheritsFrom (TObject)
 | InitInstance (TObject)
 | Insert (TComponent)
 | InsertComponent (TComponent)
 | InstanceSize (TObject)
 | IntfFileTypeChanged (TFileDialog)
 | Invoke (TComponent)
 | IsImplementorOf (TComponent)
 | Loaded (TComponent)
 | Loading (TComponent)
 | MethodAddress (TObject)
 | MethodName (TObject)
 | newinstance (TObject)
 | NewInstance (TLCLComponent)
 | Notification (TComponent)
 | PaletteCreated (TComponent)
 | QueryInterface (TComponent)
 | ReadLeft (TComponent)
 | ReadState (TComponent)
 | ReadTop (TComponent)
 | ReferenceInterface (TComponent)
 | Remove (TComponent)
 | RemoveAllHandlersOfObject (TLCLComponent)
 | RemoveComponent (TComponent)
 | RemoveFreeNotification (TComponent)
 | RemoveNotification (TComponent)
pt | ResetShowCloseFlags (TCommonDialog)
 | SafeCallException (TObject)
 | SafeCallException (TComponent)
 | SetAncestor (TComponent)
 | SetChildOrder (TComponent)
 | SetComponentIndex (TComponent)
 | SetDesigning (TComponent)
 | SetDesignInstance (TComponent)
pt | SetFileName (TFileDialog)
pt | SetFilter (TFileDialog)
pt | SetHeight (TCommonDialog)
pt | SetHistoryList (TFileDialog)
 | SetInline (TComponent)
 | SetName (TComponent)
 | SetParentComponent (TComponent)
 | SetReference (TComponent)
 | SetSubComponent (TComponent)
pt | SetWidth (TCommonDialog)
 | StringMessageTable (TObject)
 | ToString (TObject)
 | UnitName (TObject)
 | UpdateAction (TComponent)
 | Updated (TComponent)
 | UpdateRegistry (TComponent)
 | Updating (TComponent)
 | ValidateContainer (TComponent)
 | ValidateInsert (TComponent)
 | ValidateRename (TComponent)
 | WriteLeft (TComponent)
 | WriteState (TComponent)
 | WriteTop (TComponent)
pt | WSRegisterClass (TLCLComponent)
pt | WSRegisterClass (TCommonDialog)
pt | WSRegisterClass (TFileDialog)
 | _AddRef (TComponent)
 | _Release (TComponent)


TFileDialog
pl | OnHelpClicked
pl | OnTypeChange
TCommonDialog
pt | OnDialogResult
pl | OnClose
pl | OnCanClose
pl | OnShow
TLCLComponent
TComponent
TPersistent
TObject


pl | OnCanClose (TCommonDialog)
pl | OnClose (TCommonDialog)
pt | OnDialogResult (TCommonDialog)
pl | OnHelpClicked (TFileDialog)
pl | OnShow (TCommonDialog)
pl | OnTypeChange (TFileDialog)


TFileDialog.Create

Create - constructor for TFileDialog: calls inherited Create, makes stringlists for files and history, initialises filter index

Declaration

Source position: dialogs.pp line 161

public constructor TFileDialog.Create(

  TheOwner: TComponent

); override;

See also

TCommonDialog.Create

Create - constructor for TCommonDialog: calls inherited Create and adds default Title


TFileDialog.DefaultExt

Sets the default file extension for the file dialog box.

Declaration

Source position: dialogs.pp line 173

published property TFileDialog.DefaultExt : string
  read FDefaultExt
  write SetDefaultExt;


TFileDialog.Destroy

Destroy - destructor for TFileDialog: frees file and history lists then calls inherited Destroy

Declaration

Source position: dialogs.pp line 162

public destructor TFileDialog.Destroy; override;


TFileDialog.DoTypeChange

DoTypeChange - perform the code for the OnTypeChange event

Declaration

Source position: dialogs.pp line 164

public procedure TFileDialog.DoTypeChange; virtual;


TFileDialog.ExtractAllFilterMasks

Extracts all file masks from a filter

Declaration

Source position: dialogs.pp line 169

public class function TFileDialog.ExtractAllFilterMasks(

  aFilter: string;

  SkipAllFilesMask: Boolean = True

):string;


TFileDialog.FileName

String storing the name of the file chosen by the user as UTF8.

Declaration

Source position: dialogs.pp line 174

published property TFileDialog.FileName : string
  read FFileName
  write SetFileName;

Description

If you need the filename as system encoded, you can use UTF8ToSys from the unit FileUtil.


TFileDialog.Files

Stringlist which stores the names of the selected files.

Declaration

Source position: dialogs.pp line 165

public property TFileDialog.Files : TStrings
  read FFiles;


TFileDialog.Filter

A string which contains possible filename filters (eg .doc, .xmp, .pas etc).

Declaration

Source position: dialogs.pp line 175

published property TFileDialog.Filter : string
  read FFilter
  write SetFilter;

Description

This is a string which contains the filters a user can choose from.
The available filters and their description are separated by pipe symbols.
To set this property during runtime assign a value like: "All files|*.*|Lazarus Project files|*.lpr"
An entry can contain multiple masks separated by semicolon, e.g. "Pascal units|*.pas;*.pp;*.p"


TFileDialog.FilterIndex

This property sets which file filter is the default.

Declaration

Source position: dialogs.pp line 176

published property TFileDialog.FilterIndex : Integer
  read GetFilterIndex
  write SetFilterIndex
  default 1;

Description

This property sets which file filter is the default. For example, set this property to 2 to set the second filter as default.


TFileDialog.FindMaskInFilter

Find position of a mask in the given filter

Declaration

Source position: dialogs.pp line 168

public class function TFileDialog.FindMaskInFilter(

  aFilter: string;

  aMask: string

):Integer;


TFileDialog.GetFilterIndex

GetFilterIndex - returns the Index value for the filename filter

Declaration

Source position: dialogs.pp line 156

protected function TFileDialog.GetFilterIndex: Integer; virtual;


TFileDialog.HistoryList

HistoryList - stringlist containing the names of files recently accessed

Declaration

Source position: dialogs.pp line 166

public property TFileDialog.HistoryList : TStrings
  read FHistoryList
  write SetHistoryList;


TFileDialog.InitialDir

Set the directory the dialog shows on opening.

Declaration

Source position: dialogs.pp line 177

published property TFileDialog.InitialDir : string
  read FInitialDir
  write FInitialDir;


TFileDialog.IntfFileTypeChanged

IntfFileTypeChanged - interface method for file type change

Declaration

Source position: dialogs.pp line 167

public procedure TFileDialog.IntfFileTypeChanged(

  NewFilterIndex: Integer

);


TFileDialog.OnHelpClicked

Event handler when the Help button is clicked

Declaration

Source position: dialogs.pp line 178

published property TFileDialog.OnHelpClicked : TNotifyEvent
  read FOnHelpClicked
  write FOnHelpClicked;


TFileDialog.OnTypeChange

Event Handler when the selected file type is changed

Declaration

Source position: dialogs.pp line 179

published property TFileDialog.OnTypeChange : TNotifyEvent
  read FOnTypeChange
  write FOnTypeChange;


TFileDialog.SetFileName

SetFileName - specifies the filename in the file dialog

Declaration

Source position: dialogs.pp line 157

protected procedure TFileDialog.SetFileName(

  const Value: string

); virtual;


TFileDialog.SetFilter

SetFilter - specifies the Filter for use in filename searching

Declaration

Source position: dialogs.pp line 158

protected procedure TFileDialog.SetFilter(

  const Value: string

); virtual;


TFileDialog.SetHistoryList

SetHistoryList - specifies a list of strings that have been used in searching

Declaration

Source position: dialogs.pp line 159

protected procedure TFileDialog.SetHistoryList(

  const AValue: TStrings

); virtual;


TFindDialog

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

TFindDialog - a dialog used for finding text within the current editor or text buffer

Declaration

Source position: dialogs.pp line 415

type TFindDialog = class(TCommonDialog)
protected
FFindForm: TForm; | FFindForm - local variable holding the form used for the Find dialog
FOnReplace: TNotifyEvent; | FOnReplace - local variable identifying the event handler for replacing
FOnFind: TNotifyEvent; | FOnFind - local variable identifying the event handler for finding
FOptions: TFindOptions; | FOptions - local variable holding the set of current options
FOnHelpClicked: TNotifyEvent; | FOnHelpClicked - local variable identifying the help event handler
FReplaceText: string; | FReplaceText - local variable holding the Replace text
FFindText: string; | FFindText - local variable containing the text to be found
function DefaultTitle; override;
procedure FindClick(); | FindClick - method for execution when the Find button is clicked
procedure HelpClick(); | HelpClick - method to execute when the Help button is clicked
procedure CancelClick(); | CancelClick - method to execute when the Cancel button is clicked
function GetHeight; override;
function GetWidth; override;
procedure DoCloseForm(); virtual; | DoCloseForm - execute the code for closing the Find/Replace dialog form
procedure DoShowForm(); virtual;
procedure Find; virtual; | Find - software emulation of the OnFind event
procedure Help; virtual; | Help - software emulation of the OnHelpClicked event
procedure Replace; virtual; | Replace - software emulation of the OnReplace event
function CreateForm; virtual; | CreateForm - function result returns the form that was created
procedure SetFormValues; virtual; | SetFormValues - specifies the values for the form
procedure GetFormValues; virtual; | GetFormValues - finds the values for the form
procedure CalcPosition();
property ReplaceText: string; [rw] | ReplaceText - the text string that is to be substituted for the Find text
property OnReplace: TNotifyEvent; [rw] | OnReplace - event handler for replacing text
public
constructor Create(); override; | Create - constructor for TFindDialog: calls inherited Create and sets initial options for Find only
destructor Destroy; override; |
procedure CloseDialog; | CloseDialog and returns its resources
function Execute; override; | A public method causing the dialog box to appear, offer the relevant choices to the user and act upon the choice
property Left: Integer; [rw] | The Left side of the dialog display
property Position: TPoint; [rw] | The Position of the dialog display
property Top: Integer; [rw] | the Top of the dialog display
published
property FindText: string; [rw] | FindText - the text string that the dialog will try to find
property Options: TFindOptions; [rw] | The current Options for the seeking and replacing process
property OnFind: TNotifyEvent; [rw] | OnFind - event handler for a click on the Find button
property OnHelpClicked: TNotifyEvent; [rw] | OnHelpClicked - event handler for a click on the Help button
end;

Inheritance

TFindDialog | TFindDialog - a dialog used for finding text within the current editor or text buffer
|
TCommonDialog | TCommonDialog : the base type from which other dialogs are derived
|
TLCLComponent | The base class for LCL components associated with widgets.
|
TComponent,IUnknown,IInterfaceComponentReference
|
TPersistent,IFPObserved
|
TObject

Description

Opens a dialog box allowing the user to enter text for searching, for example in a text editor.
As TFindDialog is the parent class for the TReplaceDialog,
it contains definitions for the Replace method,
but the Replace option does not actually appear when the dialog is displayed:
you need to use TReplaceDialog to do that

See also

TReplaceDialog

A dialog allowing the user to replace text


TFindDialog
pt |  | ReplaceText
 |  | Left
 |  | Position
 |  | Top
pl |  | FindText
pl |  | Options
TCommonDialog
pt |  | AttachTo
 |  | Handle
 |  | UserChoice
 |  | Width
 |  | Height
pl |  | HelpContext
pl |  | Title
TLCLComponent
 | ro | LCLRefCount
 | ro | WidgetSetClass
TComponent
 | ro | ComObject
 | ro | Components
 | ro | ComponentCount
 |  | ComponentIndex
 | ro | ComponentState
 | ro | ComponentStyle
 |  | DesignInfo
 | ro | Owner
 |  | VCLComObject
 |  | Name
 |  | Tag
TPersistent
TObject


pt |  | AttachTo (TCommonDialog)
 | ro | ComObject (TComponent)
 | ro | ComponentCount (TComponent)
 |  | ComponentIndex (TComponent)
 | ro | Components (TComponent)
 | ro | ComponentState (TComponent)
 | ro | ComponentStyle (TComponent)
 |  | DesignInfo (TComponent)
pl |  | FindText (TFindDialog)
 |  | Handle (TCommonDialog)
 |  | Height (TCommonDialog)
pl |  | HelpContext (TCommonDialog)
 | ro | LCLRefCount (TLCLComponent)
 |  | Left (TFindDialog)
 |  | Name (TComponent)
pl |  | Options (TFindDialog)
 | ro | Owner (TComponent)
 |  | Position (TFindDialog)
pt |  | ReplaceText (TFindDialog)
 |  | Tag (TComponent)
pl |  | Title (TCommonDialog)
 |  | Top (TFindDialog)
 |  | UserChoice (TCommonDialog)
 |  | VCLComObject (TComponent)
 | ro | WidgetSetClass (TLCLComponent)
 |  | Width (TCommonDialog)


TFindDialog
pt | DefaultTitle
pt | FindClick
pt | HelpClick
pt | CancelClick
pt | GetHeight
pt | GetWidth
pt | DoCloseForm
pt | DoShowForm
pt | Find
pt | Help
pt | Replace
pt | CreateForm
pt | SetFormValues
pt | GetFormValues
pt | CalcPosition
 | Create
 | Destroy
 | CloseDialog
 | Execute
TCommonDialog
pt | WSRegisterClass
pt | DoExecute
pt | DefaultTitle
pt | GetHeight
pt | GetWidth
pt | SetHeight
pt | SetWidth
pt | ResetShowCloseFlags
 | Create
 | Execute
 | Close
 | DoShow
 | DoCanClose
 | DoClose
 | HandleAllocated
TLCLComponent
pt | WSRegisterClass
pt | GetWSComponentClass
 | Create
 | Destroy
 | NewInstance
 | RemoveAllHandlersOfObject
 | IncLCLRefCount
 | DecLCLRefCount
TComponent
 | GetComObject
 | GetComponent
 | GetComponentCount
 | GetComponentIndex
 | Insert
 | ReadLeft
 | ReadTop
 | Remove
 | RemoveNotification
 | SetComponentIndex
 | SetReference
 | WriteLeft
 | WriteTop
 | ChangeName
 | DefineProperties
 | GetChildren
 | GetChildOwner
 | GetChildParent
 | GetOwner
 | Loaded
 | Loading
 | Notification
 | PaletteCreated
 | ReadState
 | SetAncestor
 | SetDesigning
 | SetDesignInstance
 | SetInline
 | SetName
 | SetChildOrder
 | SetParentComponent
 | Updating
 | Updated
 | UpdateRegistry
 | ValidateRename
 | ValidateContainer
 | ValidateInsert
 | QueryInterface
 | _AddRef
 | _Release
 | iicrGetComponent
 | GetTypeInfoCount
 | GetTypeInfo
 | GetIDsOfNames
 | Invoke
 | WriteState
 | Create
 | Destroy
 | BeforeDestruction
 | DestroyComponents
 | Destroying
 | ExecuteAction
 | FindComponent
 | FreeNotification
 | RemoveFreeNotification
 | FreeOnRelease
 | GetEnumerator
 | GetNamePath
 | GetParentComponent
 | HasParent
 | InsertComponent
 | RemoveComponent
 | SafeCallException
 | SetSubComponent
 | UpdateAction
 | IsImplementorOf
 | ReferenceInterface
TPersistent
 | AssignError
 | AssignTo
 | DefineProperties
 | GetOwner
 | Destroy
 | Assign
 | FPOAttachObserver
 | FPODetachObserver
 | FPONotifyObservers
 | GetNamePath
TObject
 | Create
 | Destroy
 | newinstance
 | FreeInstance
 | SafeCallException
 | DefaultHandler
 | Free
 | InitInstance
 | CleanupInstance
 | ClassType
 | ClassInfo
 | ClassName
 | ClassNameIs
 | ClassParent
 | InstanceSize
 | InheritsFrom
 | StringMessageTable
 | MethodAddress
 | MethodName
 | FieldAddress
 | AfterConstruction
 | BeforeDestruction
 | DefaultHandlerStr
 | Dispatch
 | DispatchStr
 | GetInterface
 | GetInterfaceByStr
 | GetInterfaceWeak
 | GetInterfaceEntry
 | GetInterfaceEntryByStr
 | GetInterfaceTable
 | UnitName
 | Equals
 | GetHashCode
 | ToString


 | AssignError (TPersistent)
 | AssignTo (TPersistent)
 | BeforeDestruction (TObject)
 | BeforeDestruction (TComponent)
pt | CalcPosition (TFindDialog)
pt | CancelClick (TFindDialog)
 | ChangeName (TComponent)
 | ClassInfo (TObject)
 | ClassName (TObject)
 | ClassNameIs (TObject)
 | ClassParent (TObject)
 | ClassType (TObject)
 | CleanupInstance (TObject)
 | Close (TCommonDialog)
 | CloseDialog (TFindDialog)
 | Create (TObject)
 | Create (TComponent)
 | Create (TLCLComponent)
 | Create (TCommonDialog)
 | Create (TFindDialog)
pt | CreateForm (TFindDialog)
 | DecLCLRefCount (TLCLComponent)
 | DefaultHandler (TObject)
 | DefaultHandlerStr (TObject)
pt | DefaultTitle (TCommonDialog)
pt | DefaultTitle (TFindDialog)
 | DefineProperties (TPersistent)
 | DefineProperties (TComponent)
 | Destroy (TObject)
 | Destroy (TPersistent)
 | Destroy (TComponent)
 | Destroy (TLCLComponent)
 | Destroy (TFindDialog)
 | DestroyComponents (TComponent)
 | Destroying (TComponent)
 | Dispatch (TObject)
 | DispatchStr (TObject)
 | DoCanClose (TCommonDialog)
 | DoClose (TCommonDialog)
pt | DoCloseForm (TFindDialog)
pt | DoExecute (TCommonDialog)
 | DoShow (TCommonDialog)
pt | DoShowForm (TFindDialog)
 | Equals (TObject)
 | Execute (TCommonDialog)
 | Execute (TFindDialog)
 | ExecuteAction (TComponent)
 | FieldAddress (TObject)
pt | Find (TFindDialog)
pt | FindClick (TFindDialog)
 | FindComponent (TComponent)
 | FPOAttachObserver (TPersistent)
 | FPODetachObserver (TPersistent)
 | FPONotifyObservers (TPersistent)
 | Free (TObject)
 | FreeInstance (TObject)
 | FreeNotification (TComponent)
 | FreeOnRelease (TComponent)
 | GetChildOwner (TComponent)
 | GetChildParent (TComponent)
 | GetChildren (TComponent)
 | GetComObject (TComponent)
 | GetComponent (TComponent)
 | GetComponentCount (TComponent)
 | GetComponentIndex (TComponent)
 | GetEnumerator (TComponent)
pt | GetFormValues (TFindDialog)
 | GetHashCode (TObject)
pt | GetHeight (TCommonDialog)
pt | GetHeight (TFindDialog)
 | GetIDsOfNames (TComponent)
 | GetInterface (TObject)
 | GetInterfaceByStr (TObject)
 | GetInterfaceEntry (TObject)
 | GetInterfaceEntryByStr (TObject)
 | GetInterfaceTable (TObject)
 | GetInterfaceWeak (TObject)
 | GetNamePath (TPersistent)
 | GetNamePath (TComponent)
 | GetOwner (TPersistent)
 | GetOwner (TComponent)
 | GetParentComponent (TComponent)
 | GetTypeInfo (TComponent)
 | GetTypeInfoCount (TComponent)
pt | GetWidth (TCommonDialog)
pt | GetWidth (TFindDialog)
pt | GetWSComponentClass (TLCLComponent)
 | HandleAllocated (TCommonDialog)
 | HasParent (TComponent)
pt | Help (TFindDialog)
pt | HelpClick (TFindDialog)
 | iicrGetComponent (TComponent)
 | IncLCLRefCount (TLCLComponent)
 | InheritsFrom (TObject)
 | InitInstance (TObject)
 | Insert (TComponent)
 | InsertComponent (TComponent)
 | InstanceSize (TObject)
 | Invoke (TComponent)
 | IsImplementorOf (TComponent)
 | Loaded (TComponent)
 | Loading (TComponent)
 | MethodAddress (TObject)
 | MethodName (TObject)
 | newinstance (TObject)
 | NewInstance (TLCLComponent)
 | Notification (TComponent)
 | PaletteCreated (TComponent)
 | QueryInterface (TComponent)
 | ReadLeft (TComponent)
 | ReadState (TComponent)
 | ReadTop (TComponent)
 | ReferenceInterface (TComponent)
 | Remove (TComponent)
 | RemoveAllHandlersOfObject (TLCLComponent)
 | RemoveComponent (TComponent)
 | RemoveFreeNotification (TComponent)
 | RemoveNotification (TComponent)
pt | Replace (TFindDialog)
pt | ResetShowCloseFlags (TCommonDialog)
 | SafeCallException (TObject)
 | SafeCallException (TComponent)
 | SetAncestor (TComponent)
 | SetChildOrder (TComponent)
 | SetComponentIndex (TComponent)
 | SetDesigning (TComponent)
 | SetDesignInstance (TComponent)
pt | SetFormValues (TFindDialog)
pt | SetHeight (TCommonDialog)
 | SetInline (TComponent)
 | SetName (TComponent)
 | SetParentComponent (TComponent)
 | SetReference (TComponent)
 | SetSubComponent (TComponent)
pt | SetWidth (TCommonDialog)
 | StringMessageTable (TObject)
 | ToString (TObject)
 | UnitName (TObject)
 | UpdateAction (TComponent)
 | Updated (TComponent)
 | UpdateRegistry (TComponent)
 | Updating (TComponent)
 | ValidateContainer (TComponent)
 | ValidateInsert (TComponent)
 | ValidateRename (TComponent)
 | WriteLeft (TComponent)
 | WriteState (TComponent)
 | WriteTop (TComponent)
pt | WSRegisterClass (TLCLComponent)
pt | WSRegisterClass (TCommonDialog)
 | _AddRef (TComponent)
 | _Release (TComponent)


TFindDialog
pt | OnReplace
pl | OnFind
pl | OnHelpClicked
TCommonDialog
pt | OnDialogResult
pl | OnClose
pl | OnCanClose
pl | OnShow
TLCLComponent
TComponent
TPersistent
TObject


pl | OnCanClose (TCommonDialog)
pl | OnClose (TCommonDialog)
pt | OnDialogResult (TCommonDialog)
pl | OnFind (TFindDialog)
pl | OnHelpClicked (TFindDialog)
pt | OnReplace (TFindDialog)
pl | OnShow (TCommonDialog)


TFindDialog.CalcPosition

Declaration

Source position: dialogs.pp line 455

protected procedure TFindDialog.CalcPosition(

  aForm: TForm

);


TFindDialog.CancelClick

CancelClick - method to execute when the Cancel button is clicked

Declaration

Source position: dialogs.pp line 443

protected procedure TFindDialog.CancelClick(

  Sender: TObject

);


TFindDialog.CloseDialog

CloseDialog and returns its resources

Declaration

Source position: dialogs.pp line 461

public procedure TFindDialog.CloseDialog;


TFindDialog.Create

Create - constructor for TFindDialog: calls inherited Create and sets initial options for Find only

Declaration

Source position: dialogs.pp line 459

public constructor TFindDialog.Create(

  AOwner: TComponent

); override;

See also

TComponent.Create

TCommonDialog.Create

Create - constructor for TCommonDialog: calls inherited Create and adds default Title


TFindDialog.CreateForm

CreateForm - function result returns the form that was created

Declaration

Source position: dialogs.pp line 452

protected function TFindDialog.CreateForm: TForm; virtual;


TFindDialog.Destroy

Declaration

Source position: dialogs.pp line 460

public destructor TFindDialog.Destroy; override;


TFindDialog.DoCloseForm

DoCloseForm - execute the code for closing the Find/Replace dialog form

Declaration

Source position: dialogs.pp line 447

protected procedure TFindDialog.DoCloseForm(

  Sender: TObject;

  var CloseAction: TCloseAction

); virtual;


TFindDialog.DoShowForm

Declaration

Source position: dialogs.pp line 448

protected procedure TFindDialog.DoShowForm(

  Sender: TObject

); virtual;


TFindDialog.FFindForm

FFindForm - local variable holding the form used for the Find dialog

Declaration

Source position: dialogs.pp line 431

protected TFindDialog.FFindForm : TForm;


TFindDialog.FFindText

FFindText - local variable containing the text to be found

Declaration

Source position: dialogs.pp line 437

protected TFindDialog.FFindText : string;


TFindDialog.Find

Find - software emulation of the OnFind event

Declaration

Source position: dialogs.pp line 449

protected procedure TFindDialog.Find; virtual;


TFindDialog.FindClick

FindClick - method for execution when the Find button is clicked

Declaration

Source position: dialogs.pp line 441

protected procedure TFindDialog.FindClick(

  Sender: TObject

);


TFindDialog.FindText

FindText - the text string that the dialog will try to find

Declaration

Source position: dialogs.pp line 467

published property TFindDialog.FindText : string
  read GetFindText
  write SetFindText;


TFindDialog.FOnFind

FOnFind - local variable identifying the event handler for finding

Declaration

Source position: dialogs.pp line 433

protected TFindDialog.FOnFind : TNotifyEvent;


TFindDialog.FOnHelpClicked

FOnHelpClicked - local variable identifying the help event handler

Declaration

Source position: dialogs.pp line 435

protected TFindDialog.FOnHelpClicked : TNotifyEvent;


TFindDialog.FOnReplace

FOnReplace - local variable identifying the event handler for replacing

Declaration

Source position: dialogs.pp line 432

protected TFindDialog.FOnReplace : TNotifyEvent;


TFindDialog.FOptions

FOptions - local variable holding the set of current options

Declaration

Source position: dialogs.pp line 434

protected TFindDialog.FOptions : TFindOptions;


TFindDialog.FReplaceText

FReplaceText - local variable holding the Replace text

Declaration

Source position: dialogs.pp line 436

protected TFindDialog.FReplaceText : string;


TFindDialog.GetFormValues

GetFormValues - finds the values for the form

Declaration

Source position: dialogs.pp line 454

protected procedure TFindDialog.GetFormValues; virtual;


TFindDialog.GetHeight

Declaration

Source position: dialogs.pp line 445

protected function TFindDialog.GetHeight: Integer; override;


TFindDialog.GetWidth

Declaration

Source position: dialogs.pp line 446

protected function TFindDialog.GetWidth: Integer; override;


TFindDialog.Help

Help - software emulation of the OnHelpClicked event

Declaration

Source position: dialogs.pp line 450

protected procedure TFindDialog.Help; virtual;


TFindDialog.HelpClick

HelpClick - method to execute when the Help button is clicked

Declaration

Source position: dialogs.pp line 442

protected procedure TFindDialog.HelpClick(

  Sender: TObject

);


TFindDialog.Left

The Left side of the dialog display

Declaration

Source position: dialogs.pp line 463

public property TFindDialog.Left : Integer
  read GetLeft
  write SetLeft;


TFindDialog.OnFind

OnFind - event handler for a click on the Find button

Declaration

Source position: dialogs.pp line 469

published property TFindDialog.OnFind : TNotifyEvent
  read FOnFind
  write FOnFind;


TFindDialog.OnHelpClicked

OnHelpClicked - event handler for a click on the Help button

Declaration

Source position: dialogs.pp line 470

published property TFindDialog.OnHelpClicked : TNotifyEvent
  read FOnHelpClicked
  write FOnHelpClicked;


TFindDialog.OnReplace

OnReplace - event handler for replacing text

Declaration

Source position: dialogs.pp line 457

protected property TFindDialog.OnReplace : TNotifyEvent
  read FOnReplace
  write FOnReplace;


TFindDialog.Options

The current Options for the seeking and replacing process

Declaration

Source position: dialogs.pp line 468

published property TFindDialog.Options : TFindOptions
  read FOptions
  write SetOptions
  default [frDown];


TFindDialog.Position

The Position of the dialog display

Declaration

Source position: dialogs.pp line 464

public property TFindDialog.Position : TPoint
  read GetPosition
  write SetPosition;


TFindDialog.Replace

Replace - software emulation of the OnReplace event

Declaration

Source position: dialogs.pp line 451

protected procedure TFindDialog.Replace; virtual;


TFindDialog.ReplaceText

ReplaceText - the text string that is to be substituted for the Find text

Declaration

Source position: dialogs.pp line 456

protected property TFindDialog.ReplaceText : string
  read GetReplaceText
  write SetReplaceText;


TFindDialog.SetFormValues

SetFormValues - specifies the values for the form

Declaration

Source position: dialogs.pp line 453

protected procedure TFindDialog.SetFormValues; virtual;


TFindDialog.Top

the Top of the dialog display

Declaration

Source position: dialogs.pp line 465

public property TFindDialog.Top : Integer
  read GetTop
  write SetTop;


TFontDialog

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Font Dialog

Declaration

Source position: dialogs.pp line 377

type TFontDialog = class(TCommonDialog)
protected
class procedure WSRegisterClass; override; | Registers this component class with the current WidgetSet.
function DefaultTitle; override; | DefaultTitle - returns the default title for a dialog
public
procedure ApplyClicked; virtual; | ApplyClicked - software emulation of the OnApplyClicked event
constructor Create(); override;
destructor Destroy; override; |
published
property Title: TTranslateString; | The Title or Caption to be shown at the top of the dialog box
property Font: TFont; [rw] | Property to store the chosen font.
property MinFontSize: Integer; [rw] | MinFontSize - minimum size for the font
property MaxFontSize: Integer; [rw] | MaxFontSize - maximum size for the font
property Options: TFontDialogOptions; [rw] | A set of options available from TFontDialogOptions
property OnApplyClicked: TNotifyEvent; [rw] | OnApplyClicked - event handler for a click on the Apply button (ie the user wishes to apply the selected font)
property PreviewText: string; [rw] | The text displayed as an example in the preview pane of the dialog, using the selected font
end;

Inheritance

TFontDialog | Font Dialog
|
TCommonDialog | TCommonDialog : the base type from which other dialogs are derived
|
TLCLComponent | The base class for LCL components associated with widgets.
|
TComponent,IUnknown,IInterfaceComponentReference
|
TPersistent,IFPObserved
|
TObject

Description

Font Dialog: opens a dialog allowing choice of a font for textual displays


TFontDialog
pl | ro | Title
pl |  | Font
pl |  | MinFontSize
pl |  | MaxFontSize
pl |  | Options
pl |  | PreviewText
TCommonDialog
pt |  | AttachTo
 |  | Handle
 |  | UserChoice
 |  | Width
 |  | Height
pl |  | HelpContext
pl |  | Title
TLCLComponent
 | ro | LCLRefCount
 | ro | WidgetSetClass
TComponent
 | ro | ComObject
 | ro | Components
 | ro | ComponentCount
 |  | ComponentIndex
 | ro | ComponentState
 | ro | ComponentStyle
 |  | DesignInfo
 | ro | Owner
 |  | VCLComObject
 |  | Name
 |  | Tag
TPersistent
TObject


pt |  | AttachTo (TCommonDialog)
 | ro | ComObject (TComponent)
 | ro | ComponentCount (TComponent)
 |  | ComponentIndex (TComponent)
 | ro | Components (TComponent)
 | ro | ComponentState (TComponent)
 | ro | ComponentStyle (TComponent)
 |  | DesignInfo (TComponent)
pl |  | Font (TFontDialog)
 |  | Handle (TCommonDialog)
 |  | Height (TCommonDialog)
pl |  | HelpContext (TCommonDialog)
 | ro | LCLRefCount (TLCLComponent)
pl |  | MaxFontSize (TFontDialog)
pl |  | MinFontSize (TFontDialog)
 |  | Name (TComponent)
pl |  | Options (TFontDialog)
 | ro | Owner (TComponent)
pl |  | PreviewText (TFontDialog)
 |  | Tag (TComponent)
pl |  | Title (TCommonDialog)
pl | ro | Title (TFontDialog)
 |  | UserChoice (TCommonDialog)
 |  | VCLComObject (TComponent)
 | ro | WidgetSetClass (TLCLComponent)
 |  | Width (TCommonDialog)


TFontDialog
pt | WSRegisterClass
pt | DefaultTitle
 | ApplyClicked
 | Create
 | Destroy
TCommonDialog
pt | WSRegisterClass
pt | DoExecute
pt | DefaultTitle
pt | GetHeight
pt | GetWidth
pt | SetHeight
pt | SetWidth
pt | ResetShowCloseFlags
 | Create
 | Execute
 | Close
 | DoShow
 | DoCanClose
 | DoClose
 | HandleAllocated
TLCLComponent
pt | WSRegisterClass
pt | GetWSComponentClass
 | Create
 | Destroy
 | NewInstance
 | RemoveAllHandlersOfObject
 | IncLCLRefCount
 | DecLCLRefCount
TComponent
 | GetComObject
 | GetComponent
 | GetComponentCount
 | GetComponentIndex
 | Insert
 | ReadLeft
 | ReadTop
 | Remove
 | RemoveNotification
 | SetComponentIndex
 | SetReference
 | WriteLeft
 | WriteTop
 | ChangeName
 | DefineProperties
 | GetChildren
 | GetChildOwner
 | GetChildParent
 | GetOwner
 | Loaded
 | Loading
 | Notification
 | PaletteCreated
 | ReadState
 | SetAncestor
 | SetDesigning
 | SetDesignInstance
 | SetInline
 | SetName
 | SetChildOrder
 | SetParentComponent
 | Updating
 | Updated
 | UpdateRegistry
 | ValidateRename
 | ValidateContainer
 | ValidateInsert
 | QueryInterface
 | _AddRef
 | _Release
 | iicrGetComponent
 | GetTypeInfoCount
 | GetTypeInfo
 | GetIDsOfNames
 | Invoke
 | WriteState
 | Create
 | Destroy
 | BeforeDestruction
 | DestroyComponents
 | Destroying
 | ExecuteAction
 | FindComponent
 | FreeNotification
 | RemoveFreeNotification
 | FreeOnRelease
 | GetEnumerator
 | GetNamePath
 | GetParentComponent
 | HasParent
 | InsertComponent
 | RemoveComponent
 | SafeCallException
 | SetSubComponent
 | UpdateAction
 | IsImplementorOf
 | ReferenceInterface
TPersistent
 | AssignError
 | AssignTo
 | DefineProperties
 | GetOwner
 | Destroy
 | Assign
 | FPOAttachObserver
 | FPODetachObserver
 | FPONotifyObservers
 | GetNamePath
TObject
 | Create
 | Destroy
 | newinstance
 | FreeInstance
 | SafeCallException
 | DefaultHandler
 | Free
 | InitInstance
 | CleanupInstance
 | ClassType
 | ClassInfo
 | ClassName
 | ClassNameIs
 | ClassParent
 | InstanceSize
 | InheritsFrom
 | StringMessageTable
 | MethodAddress
 | MethodName
 | FieldAddress
 | AfterConstruction
 | BeforeDestruction
 | DefaultHandlerStr
 | Dispatch
 | DispatchStr
 | GetInterface
 | GetInterfaceByStr
 | GetInterfaceWeak
 | GetInterfaceEntry
 | GetInterfaceEntryByStr
 | GetInterfaceTable
 | UnitName
 | Equals
 | GetHashCode
 | ToString


 | AssignError (TPersistent)
 | AssignTo (TPersistent)
 | BeforeDestruction (TObject)
 | BeforeDestruction (TComponent)
 | ChangeName (TComponent)
 | ClassInfo (TObject)
 | ClassName (TObject)
 | ClassNameIs (TObject)
 | ClassParent (TObject)
 | ClassType (TObject)
 | CleanupInstance (TObject)
 | Close (TCommonDialog)
 | Create (TObject)
 | Create (TComponent)
 | Create (TLCLComponent)
 | Create (TCommonDialog)
 | Create (TFontDialog)
 | DecLCLRefCount (TLCLComponent)
 | DefaultHandler (TObject)
 | DefaultHandlerStr (TObject)
pt | DefaultTitle (TCommonDialog)
pt | DefaultTitle (TFontDialog)
 | DefineProperties (TPersistent)
 | DefineProperties (TComponent)
 | Destroy (TObject)
 | Destroy (TPersistent)
 | Destroy (TComponent)
 | Destroy (TLCLComponent)
 | Destroy (TFontDialog)
 | DestroyComponents (TComponent)
 | Destroying (TComponent)
 | Dispatch (TObject)
 | DispatchStr (TObject)
 | DoCanClose (TCommonDialog)
 | DoClose (TCommonDialog)
pt | DoExecute (TCommonDialog)
 | DoShow (TCommonDialog)
 | Equals (TObject)
 | Execute (TCommonDialog)
 | ExecuteAction (TComponent)
 | FieldAddress (TObject)
 | FindComponent (TComponent)
 | FPOAttachObserver (TPersistent)
 | FPODetachObserver (TPersistent)
 | FPONotifyObservers (TPersistent)
 | Free (TObject)
 | FreeInstance (TObject)
 | FreeNotification (TComponent)
 | FreeOnRelease (TComponent)
 | GetChildOwner (TComponent)
 | GetChildParent (TComponent)
 | GetChildren (TComponent)
 | GetComObject (TComponent)
 | GetComponent (TComponent)
 | GetComponentCount (TComponent)
 | GetComponentIndex (TComponent)
 | GetEnumerator (TComponent)
 | GetHashCode (TObject)
pt | GetHeight (TCommonDialog)
 | GetIDsOfNames (TComponent)
 | GetInterface (TObject)
 | GetInterfaceByStr (TObject)
 | GetInterfaceEntry (TObject)
 | GetInterfaceEntryByStr (TObject)
 | GetInterfaceTable (TObject)
 | GetInterfaceWeak (TObject)
 | GetNamePath (TPersistent)
 | GetNamePath (TComponent)
 | GetOwner (TPersistent)
 | GetOwner (TComponent)
 | GetParentComponent (TComponent)
 | GetTypeInfo (TComponent)
 | GetTypeInfoCount (TComponent)
pt | GetWidth (TCommonDialog)
pt | GetWSComponentClass (TLCLComponent)
 | HandleAllocated (TCommonDialog)
 | HasParent (TComponent)
 | iicrGetComponent (TComponent)
 | IncLCLRefCount (TLCLComponent)
 | InheritsFrom (TObject)
 | InitInstance (TObject)
 | Insert (TComponent)
 | InsertComponent (TComponent)
 | InstanceSize (TObject)
 | Invoke (TComponent)
 | IsImplementorOf (TComponent)
 | Loaded (TComponent)
 | Loading (TComponent)
 | MethodAddress (TObject)
 | MethodName (TObject)
 | newinstance (TObject)
 | NewInstance (TLCLComponent)
 | Notification (TComponent)
 | PaletteCreated (TComponent)
 | QueryInterface (TComponent)
 | ReadLeft (TComponent)
 | ReadState (TComponent)
 | ReadTop (TComponent)
 | ReferenceInterface (TComponent)
 | Remove (TComponent)
 | RemoveAllHandlersOfObject (TLCLComponent)
 | RemoveComponent (TComponent)
 | RemoveFreeNotification (TComponent)
 | RemoveNotification (TComponent)
pt | ResetShowCloseFlags (TCommonDialog)
 | SafeCallException (TObject)
 | SafeCallException (TComponent)
 | SetAncestor (TComponent)
 | SetChildOrder (TComponent)
 | SetComponentIndex (TComponent)
 | SetDesigning (TComponent)
 | SetDesignInstance (TComponent)
pt | SetHeight (TCommonDialog)
 | SetInline (TComponent)
 | SetName (TComponent)
 | SetParentComponent (TComponent)
 | SetReference (TComponent)
 | SetSubComponent (TComponent)
pt | SetWidth (TCommonDialog)
 | StringMessageTable (TObject)
 | ToString (TObject)
 | UnitName (TObject)
 | UpdateAction (TComponent)
 | Updated (TComponent)
 | UpdateRegistry (TComponent)
 | Updating (TComponent)
 | ValidateContainer (TComponent)
 | ValidateInsert (TComponent)
 | ValidateRename (TComponent)
 | WriteLeft (TComponent)
 | WriteState (TComponent)
 | WriteTop (TComponent)
pt | WSRegisterClass (TLCLComponent)
pt | WSRegisterClass (TCommonDialog)
pt | WSRegisterClass (TFontDialog)
 | _AddRef (TComponent)
 | _Release (TComponent)


TFontDialog
pl | OnApplyClicked
TCommonDialog
pt | OnDialogResult
pl | OnClose
pl | OnCanClose
pl | OnShow
TLCLComponent
TComponent
TPersistent
TObject


pl | OnApplyClicked (TFontDialog)
pl | OnCanClose (TCommonDialog)
pl | OnClose (TCommonDialog)
pt | OnDialogResult (TCommonDialog)
pl | OnShow (TCommonDialog)


TFontDialog.ApplyClicked

ApplyClicked - software emulation of the OnApplyClicked event

Declaration

Source position: dialogs.pp line 390

public procedure TFontDialog.ApplyClicked; virtual;


TFontDialog.Font

Property to store the chosen font.

Declaration

Source position: dialogs.pp line 395

published property TFontDialog.Font : TFont
  read FFont
  write SetFont;


TFontDialog.MaxFontSize

MaxFontSize - maximum size for the font

Declaration

Source position: dialogs.pp line 397

published property TFontDialog.MaxFontSize : Integer
  read FMaxFontSize
  write FMaxFontSize;


TFontDialog.MinFontSize

MinFontSize - minimum size for the font

Declaration

Source position: dialogs.pp line 396

published property TFontDialog.MinFontSize : Integer
  read FMinFontSize
  write FMinFontSize;


TFontDialog.OnApplyClicked

OnApplyClicked - event handler for a click on the Apply button (ie the user wishes to apply the selected font)

Declaration

Source position: dialogs.pp line 400

published property TFontDialog.OnApplyClicked : TNotifyEvent
  read FOnApplyClicked
  write FOnApplyClicked;


TFontDialog.Options

A set of options available from TFontDialogOptions

Declaration

Source position: dialogs.pp line 398

published property TFontDialog.Options : TFontDialogOptions
  read FOptions
  write FOptions
  default [fdEffects];


TFontDialog.PreviewText

The text displayed as an example in the preview pane of the dialog, using the selected font

Declaration

Source position: dialogs.pp line 402

published property TFontDialog.PreviewText : string
  read FPreviewText
  write FPreviewText;

Description

As a standard, the preview plane of the dialog
shows all letters both in uppercase and lowercase.


TFontDialogOption

An enumerated list of constants to set the options of a Font dialog.

Declaration

Source position: dialogs.pp line 371

type TFontDialogOption = (

  fdAnsiOnly,

  fdTrueTypeOnly,

  fdEffects,

  fdFixedPitchOnly,

  fdForceFontExist,

  fdNoFaceSel,

  fdNoOEMFonts,

  fdNoSimulations,

  fdNoSizeSel,

  fdNoStyleSel,

  fdNoVectorFonts,

  fdShowHelp,

  fdWysiwyg,

  fdLimitSize,

  fdScalableOnly,

  fdApplyButton

);


TFontDialogOptions

A set of options for font dialogs

Declaration

Source position: dialogs.pp line 375

type TFontDialogOptions = set of (

  fdAnsiOnly,

  fdTrueTypeOnly,

  fdEffects,

  fdFixedPitchOnly,

  fdForceFontExist,

  fdNoFaceSel,

  fdNoOEMFonts,

  fdNoSimulations,

  fdNoSizeSel,

  fdNoStyleSel,

  fdNoVectorFonts,

  fdShowHelp,

  fdWysiwyg,

  fdLimitSize,

  fdScalableOnly,

  fdApplyButton

);


TOpenDialog

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

TOpenDialog : open a file in the current directory, selected by File Dialog.

Declaration

Source position: dialogs.pp line 220

type TOpenDialog = class(TFileDialog)
protected
class procedure WSRegisterClass; override; | Registers this component class with the current WidgetSet.
procedure ResolveLinks; virtual;
procedure DereferenceLinks; virtual; deprecated ; | DereferenceLinks - removes all existing referential links
function CheckFile(); virtual; | CheckFile - returns True if the nominated file meets all requirements.
function CheckFileMustExist(); virtual; | CheckFileMustExist - returns True if a file with the supplied name actually exists
function CheckAllFiles; virtual; | A protected method which calls CheckFile for each selected file, returns True if all are OK
function DoExecute; override; | The function that actually takes care of executing the dialog
function DefaultTitle; override; | DefaultTitle - returns the default title for a dialog
public
constructor Create(); override; | Create - constructor for TOpenDialog: calls inherited Create then loads default options
procedure DoCanClose(); override;
procedure DoFolderChange; virtual; | DoFolderChange - execute the code for a folder change
procedure DoSelectionChange; virtual; | DoSelectionChange - execute the code for a change in selection
procedure IntfSetOption();
published
property Options: TOpenOptions; [rw] | Options to be used for this dialog
property OnFolderChange: TNotifyEvent; [rw] | Event triggered when the user changes the folder in the OpenDialog.
property OnSelectionChange: TNotifyEvent; [rw] | Event triggered when the user changes the selection made in the OpenDialog.
end;

Inheritance

TOpenDialog | TOpenDialog : open a file in the current directory, selected by File Dialog.
|
TFileDialog | TFileDialog : allows selection of a file from the current directory.
|
TCommonDialog | TCommonDialog : the base type from which other dialogs are derived
|
TLCLComponent | The base class for LCL components associated with widgets.
|
TComponent,IUnknown,IInterfaceComponentReference
|
TPersistent,IFPObserved
|
TObject

Description

TOpenDialog : open a file in the current directory, selected by File Dialog.
If the required file is not in the current directory, another directory can be selected with Select Directory


TOpenDialog
pl |  | Options
TFileDialog
 | ro | Files
 |  | HistoryList
pl | ro | Title
pl |  | DefaultExt
pl |  | FileName
pl |  | Filter
pl |  | FilterIndex
pl |  | InitialDir
TCommonDialog
pt |  | AttachTo
 |  | Handle
 |  | UserChoice
 |  | Width
 |  | Height
pl |  | HelpContext
pl |  | Title
TLCLComponent
 | ro | LCLRefCount
 | ro | WidgetSetClass
TComponent
 | ro | ComObject
 | ro | Components
 | ro | ComponentCount
 |  | ComponentIndex
 | ro | ComponentState
 | ro | ComponentStyle
 |  | DesignInfo
 | ro | Owner
 |  | VCLComObject
 |  | Name
 |  | Tag
TPersistent
TObject


pt |  | AttachTo (TCommonDialog)
 | ro | ComObject (TComponent)
 | ro | ComponentCount (TComponent)
 |  | ComponentIndex (TComponent)
 | ro | Components (TComponent)
 | ro | ComponentState (TComponent)
 | ro | ComponentStyle (TComponent)
pl |  | DefaultExt (TFileDialog)
 |  | DesignInfo (TComponent)
pl |  | FileName (TFileDialog)
 | ro | Files (TFileDialog)
pl |  | Filter (TFileDialog)
pl |  | FilterIndex (TFileDialog)
 |  | Handle (TCommonDialog)
 |  | Height (TCommonDialog)
pl |  | HelpContext (TCommonDialog)
 |  | HistoryList (TFileDialog)
pl |  | InitialDir (TFileDialog)
 | ro | LCLRefCount (TLCLComponent)
 |  | Name (TComponent)
pl |  | Options (TOpenDialog)
 | ro | Owner (TComponent)
 |  | Tag (TComponent)
pl |  | Title (TCommonDialog)
pl | ro | Title (TFileDialog)
 |  | UserChoice (TCommonDialog)
 |  | VCLComObject (TComponent)
 | ro | WidgetSetClass (TLCLComponent)
 |  | Width (TCommonDialog)


TOpenDialog
pt | WSRegisterClass
pt | ResolveLinks
pt | DereferenceLinks
pt | CheckFile
pt | CheckFileMustExist
pt | CheckAllFiles
pt | DoExecute
pt | DefaultTitle
 | Create
 | DoCanClose
 | DoFolderChange
 | DoSelectionChange
 | IntfSetOption
TFileDialog
pt | WSRegisterClass
pt | GetFilterIndex
pt | SetFileName
pt | SetFilter
pt | SetHistoryList
 | Create
 | Destroy
 | DoCanClose
 | DoTypeChange
 | IntfFileTypeChanged
 | FindMaskInFilter
 | ExtractAllFilterMasks
TCommonDialog
pt | WSRegisterClass
pt | DoExecute
pt | DefaultTitle
pt | GetHeight
pt | GetWidth
pt | SetHeight
pt | SetWidth
pt | ResetShowCloseFlags
 | Create
 | Execute
 | Close
 | DoShow
 | DoCanClose
 | DoClose
 | HandleAllocated
TLCLComponent
pt | WSRegisterClass
pt | GetWSComponentClass
 | Create
 | Destroy
 | NewInstance
 | RemoveAllHandlersOfObject
 | IncLCLRefCount
 | DecLCLRefCount
TComponent
 | GetComObject
 | GetComponent
 | GetComponentCount
 | GetComponentIndex
 | Insert
 | ReadLeft
 | ReadTop
 | Remove
 | RemoveNotification
 | SetComponentIndex
 | SetReference
 | WriteLeft
 | WriteTop
 | ChangeName
 | DefineProperties
 | GetChildren
 | GetChildOwner
 | GetChildParent
 | GetOwner
 | Loaded
 | Loading
 | Notification
 | PaletteCreated
 | ReadState
 | SetAncestor
 | SetDesigning
 | SetDesignInstance
 | SetInline
 | SetName
 | SetChildOrder
 | SetParentComponent
 | Updating
 | Updated
 | UpdateRegistry
 | ValidateRename
 | ValidateContainer
 | ValidateInsert
 | QueryInterface
 | _AddRef
 | _Release
 | iicrGetComponent
 | GetTypeInfoCount
 | GetTypeInfo
 | GetIDsOfNames
 | Invoke
 | WriteState
 | Create
 | Destroy
 | BeforeDestruction
 | DestroyComponents
 | Destroying
 | ExecuteAction
 | FindComponent
 | FreeNotification
 | RemoveFreeNotification
 | FreeOnRelease
 | GetEnumerator
 | GetNamePath
 | GetParentComponent
 | HasParent
 | InsertComponent
 | RemoveComponent
 | SafeCallException
 | SetSubComponent
 | UpdateAction
 | IsImplementorOf
 | ReferenceInterface
TPersistent
 | AssignError
 | AssignTo
 | DefineProperties
 | GetOwner
 | Destroy
 | Assign
 | FPOAttachObserver
 | FPODetachObserver
 | FPONotifyObservers
 | GetNamePath
TObject
 | Create
 | Destroy
 | newinstance
 | FreeInstance
 | SafeCallException
 | DefaultHandler
 | Free
 | InitInstance
 | CleanupInstance
 | ClassType
 | ClassInfo
 | ClassName
 | ClassNameIs
 | ClassParent
 | InstanceSize
 | InheritsFrom
 | StringMessageTable
 | MethodAddress
 | MethodName
 | FieldAddress
 | AfterConstruction
 | BeforeDestruction
 | DefaultHandlerStr
 | Dispatch
 | DispatchStr
 | GetInterface
 | GetInterfaceByStr
 | GetInterfaceWeak
 | GetInterfaceEntry
 | GetInterfaceEntryByStr
 | GetInterfaceTable
 | UnitName
 | Equals
 | GetHashCode
 | ToString


 | AssignError (TPersistent)
 | AssignTo (TPersistent)
 | BeforeDestruction (TObject)
 | BeforeDestruction (TComponent)
 | ChangeName (TComponent)
pt | CheckAllFiles (TOpenDialog)
pt | CheckFile (TOpenDialog)
pt | CheckFileMustExist (TOpenDialog)
 | ClassInfo (TObject)
 | ClassName (TObject)
 | ClassNameIs (TObject)
 | ClassParent (TObject)
 | ClassType (TObject)
 | CleanupInstance (TObject)
 | Close (TCommonDialog)
 | Create (TObject)
 | Create (TComponent)
 | Create (TLCLComponent)
 | Create (TCommonDialog)
 | Create (TFileDialog)
 | Create (TOpenDialog)
 | DecLCLRefCount (TLCLComponent)
 | DefaultHandler (TObject)
 | DefaultHandlerStr (TObject)
pt | DefaultTitle (TCommonDialog)
pt | DefaultTitle (TOpenDialog)
 | DefineProperties (TPersistent)
 | DefineProperties (TComponent)
pt | DereferenceLinks (TOpenDialog)
 | Destroy (TObject)
 | Destroy (TPersistent)
 | Destroy (TComponent)
 | Destroy (TLCLComponent)
 | Destroy (TFileDialog)
 | DestroyComponents (TComponent)
 | Destroying (TComponent)
 | Dispatch (TObject)
 | DispatchStr (TObject)
 | DoCanClose (TCommonDialog)
 | DoCanClose (TFileDialog)
 | DoCanClose (TOpenDialog)
 | DoClose (TCommonDialog)
pt | DoExecute (TCommonDialog)
pt | DoExecute (TOpenDialog)
 | DoFolderChange (TOpenDialog)
 | DoSelectionChange (TOpenDialog)
 | DoShow (TCommonDialog)
 | DoTypeChange (TFileDialog)
 | Equals (TObject)
 | Execute (TCommonDialog)
 | ExecuteAction (TComponent)
 | ExtractAllFilterMasks (TFileDialog)
 | FieldAddress (TObject)
 | FindComponent (TComponent)
 | FindMaskInFilter (TFileDialog)
 | FPOAttachObserver (TPersistent)
 | FPODetachObserver (TPersistent)
 | FPONotifyObservers (TPersistent)
 | Free (TObject)
 | FreeInstance (TObject)
 | FreeNotification (TComponent)
 | FreeOnRelease (TComponent)
 | GetChildOwner (TComponent)
 | GetChildParent (TComponent)
 | GetChildren (TComponent)
 | GetComObject (TComponent)
 | GetComponent (TComponent)
 | GetComponentCount (TComponent)
 | GetComponentIndex (TComponent)
 | GetEnumerator (TComponent)
pt | GetFilterIndex (TFileDialog)
 | GetHashCode (TObject)
pt | GetHeight (TCommonDialog)
 | GetIDsOfNames (TComponent)
 | GetInterface (TObject)
 | GetInterfaceByStr (TObject)
 | GetInterfaceEntry (TObject)
 | GetInterfaceEntryByStr (TObject)
 | GetInterfaceTable (TObject)
 | GetInterfaceWeak (TObject)
 | GetNamePath (TPersistent)
 | GetNamePath (TComponent)
 | GetOwner (TPersistent)
 | GetOwner (TComponent)
 | GetParentComponent (TComponent)
 | GetTypeInfo (TComponent)
 | GetTypeInfoCount (TComponent)
pt | GetWidth (TCommonDialog)
pt | GetWSComponentClass (TLCLComponent)
 | HandleAllocated (TCommonDialog)
 | HasParent (TComponent)
 | iicrGetComponent (TComponent)
 | IncLCLRefCount (TLCLComponent)
 | InheritsFrom (TObject)
 | InitInstance (TObject)
 | Insert (TComponent)
 | InsertComponent (TComponent)
 | InstanceSize (TObject)
 | IntfFileTypeChanged (TFileDialog)
 | IntfSetOption (TOpenDialog)
 | Invoke (TComponent)
 | IsImplementorOf (TComponent)
 | Loaded (TComponent)
 | Loading (TComponent)
 | MethodAddress (TObject)
 | MethodName (TObject)
 | newinstance (TObject)
 | NewInstance (TLCLComponent)
 | Notification (TComponent)
 | PaletteCreated (TComponent)
 | QueryInterface (TComponent)
 | ReadLeft (TComponent)
 | ReadState (TComponent)
 | ReadTop (TComponent)
 | ReferenceInterface (TComponent)
 | Remove (TComponent)
 | RemoveAllHandlersOfObject (TLCLComponent)
 | RemoveComponent (TComponent)
 | RemoveFreeNotification (TComponent)
 | RemoveNotification (TComponent)
pt | ResetShowCloseFlags (TCommonDialog)
pt | ResolveLinks (TOpenDialog)
 | SafeCallException (TObject)
 | SafeCallException (TComponent)
 | SetAncestor (TComponent)
 | SetChildOrder (TComponent)
 | SetComponentIndex (TComponent)
 | SetDesigning (TComponent)
 | SetDesignInstance (TComponent)
pt | SetFileName (TFileDialog)
pt | SetFilter (TFileDialog)
pt | SetHeight (TCommonDialog)
pt | SetHistoryList (TFileDialog)
 | SetInline (TComponent)
 | SetName (TComponent)
 | SetParentComponent (TComponent)
 | SetReference (TComponent)
 | SetSubComponent (TComponent)
pt | SetWidth (TCommonDialog)
 | StringMessageTable (TObject)
 | ToString (TObject)
 | UnitName (TObject)
 | UpdateAction (TComponent)
 | Updated (TComponent)
 | UpdateRegistry (TComponent)
 | Updating (TComponent)
 | ValidateContainer (TComponent)
 | ValidateInsert (TComponent)
 | ValidateRename (TComponent)
 | WriteLeft (TComponent)
 | WriteState (TComponent)
 | WriteTop (TComponent)
pt | WSRegisterClass (TLCLComponent)
pt | WSRegisterClass (TCommonDialog)
pt | WSRegisterClass (TFileDialog)
pt | WSRegisterClass (TOpenDialog)
 | _AddRef (TComponent)
 | _Release (TComponent)


TOpenDialog
pl | OnFolderChange
pl | OnSelectionChange
TFileDialog
pl | OnHelpClicked
pl | OnTypeChange
TCommonDialog
pt | OnDialogResult
pl | OnClose
pl | OnCanClose
pl | OnShow
TLCLComponent
TComponent
TPersistent
TObject


pl | OnCanClose (TCommonDialog)
pl | OnClose (TCommonDialog)
pt | OnDialogResult (TCommonDialog)
pl | OnFolderChange (TOpenDialog)
pl | OnHelpClicked (TFileDialog)
pl | OnSelectionChange (TOpenDialog)
pl | OnShow (TCommonDialog)
pl | OnTypeChange (TFileDialog)


TOpenDialog.CheckAllFiles

A protected method which calls CheckFile for each selected file, returns True if all are OK

Declaration

Source position: dialogs.pp line 232

protected function TOpenDialog.CheckAllFiles: Boolean; virtual;


TOpenDialog.CheckFile

CheckFile - returns True if the nominated file meets all requirements.

Declaration

Source position: dialogs.pp line 230

protected function TOpenDialog.CheckFile(

  var AFilename: string

):Boolean; virtual;


TOpenDialog.CheckFileMustExist

CheckFileMustExist - returns True if a file with the supplied name actually exists

Declaration

Source position: dialogs.pp line 231

protected function TOpenDialog.CheckFileMustExist(

  const AFileName: string

):Boolean; virtual;


TOpenDialog.Create

Create - constructor for TOpenDialog: calls inherited Create then loads default options

Declaration

Source position: dialogs.pp line 236

public constructor TOpenDialog.Create(

  TheOwner: TComponent

); override;

See also

TFileDialog.Create

Create - constructor for TFileDialog: calls inherited Create, makes stringlists for files and history, initialises filter index


TOpenDialog.DereferenceLinks

[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] Reference for unit 'Dialogs' (#lcl)

TOpenDialog.DereferenceLinks (deprecated)

DereferenceLinks - removes all existing referential links

Declaration

Source position: dialogs.pp line 229

protected procedure TOpenDialog.DereferenceLinks; virtual;


TOpenDialog.DoCanClose

Declaration

Source position: dialogs.pp line 237

public procedure TOpenDialog.DoCanClose(

  var CanClose: Boolean

); override;


TOpenDialog.DoFolderChange

DoFolderChange - execute the code for a folder change

Declaration

Source position: dialogs.pp line 238

public procedure TOpenDialog.DoFolderChange; virtual;


TOpenDialog.DoSelectionChange

DoSelectionChange - execute the code for a change in selection

Declaration

Source position: dialogs.pp line 239

public procedure TOpenDialog.DoSelectionChange; virtual;


TOpenDialog.IntfSetOption

Declaration

Source position: dialogs.pp line 240

public procedure TOpenDialog.IntfSetOption(

  const AOption: TOpenOption;

  const AValue: Boolean

);


TOpenDialog.OnFolderChange

Event triggered when the user changes the folder in the OpenDialog.

Declaration

Source position: dialogs.pp line 243

published property TOpenDialog.OnFolderChange : TNotifyEvent
  read FOnFolderChange
  write FOnFolderChange;

Description

This event is called when the user changes the folder (directory) in the OpenDialog.
Note: changing the folder will also trigger the OnSelectionChange event.


TOpenDialog.OnSelectionChange

Event triggered when the user changes the selection made in the OpenDialog.

Declaration

Source position: dialogs.pp line 244

published property TOpenDialog.OnSelectionChange : TNotifyEvent
  read FOnSelectionChange
  write FOnSelectionChange;

Description

This event is triggered when the user changes the selected file in the OpenDialog.
Note: When the user changes the folder OnSelectionChange will be called first.


TOpenDialog.Options

Options to be used for this dialog

Declaration

Source position: dialogs.pp line 242

published property TOpenDialog.Options : TOpenOptions
  read FOptions
  write FOptions
  default DefaultOpenDialogOptions;

Description

Options to be used for the Open File dialog. A full list of available options is found in TOpenOptions

See also

TOpenOptions

TOpenOptions - set of TOpenOption


TOpenDialog.ResolveLinks

Declaration

Source position: dialogs.pp line 228

protected procedure TOpenDialog.ResolveLinks; virtual;


TReplaceDialog

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

A dialog allowing the user to replace text

Declaration

Source position: dialogs.pp line 476

type TReplaceDialog = class(TFindDialog)
protected
function DefaultTitle; override;
procedure ReplaceClick(); | ReplaceClick - code to execute when the Replace button is clicked (replace just the current instance)
procedure ReplaceAllClick(); | ReplaceAllClick - code to execute when the Replace All button is clicked (replace all remaining instances)
function CreateForm; override; | CreateForm - function result returns the form that was created
procedure SetFormValues; override; | SetFormValues - specifies the values for the form
procedure GetFormValues; override; | GetFormValues - finds the values for the form
public
constructor Create(); override; | Create - constructor for TReplaceDialog: calls inherited Create and sets options for find and replace
published
property ReplaceText: string; | ReplaceText - the text string that is to be substituted for the Find text
property OnReplace: TNotifyEvent; | OnReplace - event handler for replacing text
end;

Inheritance

TReplaceDialog | A dialog allowing the user to replace text
|
TFindDialog | TFindDialog - a dialog used for finding text within the current editor or text buffer
|
TCommonDialog | TCommonDialog : the base type from which other dialogs are derived
|
TLCLComponent | The base class for LCL components associated with widgets.
|
TComponent,IUnknown,IInterfaceComponentReference
|
TPersistent,IFPObserved
|
TObject

Description

The dialog appears and offers boxes for the user to enter text for searching and text to replace it,
for example while editing a file or large piece of text.
A number of buttons appear, offering the choice to replace this instance, find next, replace all

See also

TFindDialog

TFindDialog - a dialog used for finding text within the current editor or text buffer


TReplaceDialog
pl | ro | ReplaceText
TFindDialog
pt |  | ReplaceText
 |  | Left
 |  | Position
 |  | Top
pl |  | FindText
pl |  | Options
TCommonDialog
pt |  | AttachTo
 |  | Handle
 |  | UserChoice
 |  | Width
 |  | Height
pl |  | HelpContext
pl |  | Title
TLCLComponent
 | ro | LCLRefCount
 | ro | WidgetSetClass
TComponent
 | ro | ComObject
 | ro | Components
 | ro | ComponentCount
 |  | ComponentIndex
 | ro | ComponentState
 | ro | ComponentStyle
 |  | DesignInfo
 | ro | Owner
 |  | VCLComObject
 |  | Name
 |  | Tag
TPersistent
TObject


pt |  | AttachTo (TCommonDialog)
 | ro | ComObject (TComponent)
 | ro | ComponentCount (TComponent)
 |  | ComponentIndex (TComponent)
 | ro | Components (TComponent)
 | ro | ComponentState (TComponent)
 | ro | ComponentStyle (TComponent)
 |  | DesignInfo (TComponent)
pl |  | FindText (TFindDialog)
 |  | Handle (TCommonDialog)
 |  | Height (TCommonDialog)
pl |  | HelpContext (TCommonDialog)
 | ro | LCLRefCount (TLCLComponent)
 |  | Left (TFindDialog)
 |  | Name (TComponent)
pl |  | Options (TFindDialog)
 | ro | Owner (TComponent)
 |  | Position (TFindDialog)
pt |  | ReplaceText (TFindDialog)
pl | ro | ReplaceText (TReplaceDialog)
 |  | Tag (TComponent)
pl |  | Title (TCommonDialog)
 |  | Top (TFindDialog)
 |  | UserChoice (TCommonDialog)
 |  | VCLComObject (TComponent)
 | ro | WidgetSetClass (TLCLComponent)
 |  | Width (TCommonDialog)


TReplaceDialog
pt | DefaultTitle
pt | ReplaceClick
pt | ReplaceAllClick
pt | CreateForm
pt | SetFormValues
pt | GetFormValues
 | Create
TFindDialog
pt | DefaultTitle
pt | FindClick
pt | HelpClick
pt | CancelClick
pt | GetHeight
pt | GetWidth
pt | DoCloseForm
pt | DoShowForm
pt | Find
pt | Help
pt | Replace
pt | CreateForm
pt | SetFormValues
pt | GetFormValues
pt | CalcPosition
 | Create
 | Destroy
 | CloseDialog
 | Execute
TCommonDialog
pt | WSRegisterClass
pt | DoExecute
pt | DefaultTitle
pt | GetHeight
pt | GetWidth
pt | SetHeight
pt | SetWidth
pt | ResetShowCloseFlags
 | Create
 | Execute
 | Close
 | DoShow
 | DoCanClose
 | DoClose
 | HandleAllocated
TLCLComponent
pt | WSRegisterClass
pt | GetWSComponentClass
 | Create
 | Destroy
 | NewInstance
 | RemoveAllHandlersOfObject
 | IncLCLRefCount
 | DecLCLRefCount
TComponent
 | GetComObject
 | GetComponent
 | GetComponentCount
 | GetComponentIndex
 | Insert
 | ReadLeft
 | ReadTop
 | Remove
 | RemoveNotification
 | SetComponentIndex
 | SetReference
 | WriteLeft
 | WriteTop
 | ChangeName
 | DefineProperties
 | GetChildren
 | GetChildOwner
 | GetChildParent
 | GetOwner
 | Loaded
 | Loading
 | Notification
 | PaletteCreated
 | ReadState
 | SetAncestor
 | SetDesigning
 | SetDesignInstance
 | SetInline
 | SetName
 | SetChildOrder
 | SetParentComponent
 | Updating
 | Updated
 | UpdateRegistry
 | ValidateRename
 | ValidateContainer
 | ValidateInsert
 | QueryInterface
 | _AddRef
 | _Release
 | iicrGetComponent
 | GetTypeInfoCount
 | GetTypeInfo
 | GetIDsOfNames
 | Invoke
 | WriteState
 | Create
 | Destroy
 | BeforeDestruction
 | DestroyComponents
 | Destroying
 | ExecuteAction
 | FindComponent
 | FreeNotification
 | RemoveFreeNotification
 | FreeOnRelease
 | GetEnumerator
 | GetNamePath
 | GetParentComponent
 | HasParent
 | InsertComponent
 | RemoveComponent
 | SafeCallException
 | SetSubComponent
 | UpdateAction
 | IsImplementorOf
 | ReferenceInterface
TPersistent
 | AssignError
 | AssignTo
 | DefineProperties
 | GetOwner
 | Destroy
 | Assign
 | FPOAttachObserver
 | FPODetachObserver
 | FPONotifyObservers
 | GetNamePath
TObject
 | Create
 | Destroy
 | newinstance
 | FreeInstance
 | SafeCallException
 | DefaultHandler
 | Free
 | InitInstance
 | CleanupInstance
 | ClassType
 | ClassInfo
 | ClassName
 | ClassNameIs
 | ClassParent
 | InstanceSize
 | InheritsFrom
 | StringMessageTable
 | MethodAddress
 | MethodName
 | FieldAddress
 | AfterConstruction
 | BeforeDestruction
 | DefaultHandlerStr
 | Dispatch
 | DispatchStr
 | GetInterface
 | GetInterfaceByStr
 | GetInterfaceWeak
 | GetInterfaceEntry
 | GetInterfaceEntryByStr
 | GetInterfaceTable
 | UnitName
 | Equals
 | GetHashCode
 | ToString


 | AssignError (TPersistent)
 | AssignTo (TPersistent)
 | BeforeDestruction (TObject)
 | BeforeDestruction (TComponent)
pt | CalcPosition (TFindDialog)
pt | CancelClick (TFindDialog)
 | ChangeName (TComponent)
 | ClassInfo (TObject)
 | ClassName (TObject)
 | ClassNameIs (TObject)
 | ClassParent (TObject)
 | ClassType (TObject)
 | CleanupInstance (TObject)
 | Close (TCommonDialog)
 | CloseDialog (TFindDialog)
 | Create (TObject)
 | Create (TComponent)
 | Create (TLCLComponent)
 | Create (TCommonDialog)
 | Create (TFindDialog)
 | Create (TReplaceDialog)
pt | CreateForm (TFindDialog)
pt | CreateForm (TReplaceDialog)
 | DecLCLRefCount (TLCLComponent)
 | DefaultHandler (TObject)
 | DefaultHandlerStr (TObject)
pt | DefaultTitle (TCommonDialog)
pt | DefaultTitle (TFindDialog)
pt | DefaultTitle (TReplaceDialog)
 | DefineProperties (TPersistent)
 | DefineProperties (TComponent)
 | Destroy (TObject)
 | Destroy (TPersistent)
 | Destroy (TComponent)
 | Destroy (TLCLComponent)
 | Destroy (TFindDialog)
 | DestroyComponents (TComponent)
 | Destroying (TComponent)
 | Dispatch (TObject)
 | DispatchStr (TObject)
 | DoCanClose (TCommonDialog)
 | DoClose (TCommonDialog)
pt | DoCloseForm (TFindDialog)
pt | DoExecute (TCommonDialog)
 | DoShow (TCommonDialog)
pt | DoShowForm (TFindDialog)
 | Equals (TObject)
 | Execute (TCommonDialog)
 | Execute (TFindDialog)
 | ExecuteAction (TComponent)
 | FieldAddress (TObject)
pt | Find (TFindDialog)
pt | FindClick (TFindDialog)
 | FindComponent (TComponent)
 | FPOAttachObserver (TPersistent)
 | FPODetachObserver (TPersistent)
 | FPONotifyObservers (TPersistent)
 | Free (TObject)
 | FreeInstance (TObject)
 | FreeNotification (TComponent)
 | FreeOnRelease (TComponent)
 | GetChildOwner (TComponent)
 | GetChildParent (TComponent)
 | GetChildren (TComponent)
 | GetComObject (TComponent)
 | GetComponent (TComponent)
 | GetComponentCount (TComponent)
 | GetComponentIndex (TComponent)
 | GetEnumerator (TComponent)
pt | GetFormValues (TFindDialog)
pt | GetFormValues (TReplaceDialog)
 | GetHashCode (TObject)
pt | GetHeight (TCommonDialog)
pt | GetHeight (TFindDialog)
 | GetIDsOfNames (TComponent)
 | GetInterface (TObject)
 | GetInterfaceByStr (TObject)
 | GetInterfaceEntry (TObject)
 | GetInterfaceEntryByStr (TObject)
 | GetInterfaceTable (TObject)
 | GetInterfaceWeak (TObject)
 | GetNamePath (TPersistent)
 | GetNamePath (TComponent)
 | GetOwner (TPersistent)
 | GetOwner (TComponent)
 | GetParentComponent (TComponent)
 | GetTypeInfo (TComponent)
 | GetTypeInfoCount (TComponent)
pt | GetWidth (TCommonDialog)
pt | GetWidth (TFindDialog)
pt | GetWSComponentClass (TLCLComponent)
 | HandleAllocated (TCommonDialog)
 | HasParent (TComponent)
pt | Help (TFindDialog)
pt | HelpClick (TFindDialog)
 | iicrGetComponent (TComponent)
 | IncLCLRefCount (TLCLComponent)
 | InheritsFrom (TObject)
 | InitInstance (TObject)
 | Insert (TComponent)
 | InsertComponent (TComponent)
 | InstanceSize (TObject)
 | Invoke (TComponent)
 | IsImplementorOf (TComponent)
 | Loaded (TComponent)
 | Loading (TComponent)
 | MethodAddress (TObject)
 | MethodName (TObject)
 | newinstance (TObject)
 | NewInstance (TLCLComponent)
 | Notification (TComponent)
 | PaletteCreated (TComponent)
 | QueryInterface (TComponent)
 | ReadLeft (TComponent)
 | ReadState (TComponent)
 | ReadTop (TComponent)
 | ReferenceInterface (TComponent)
 | Remove (TComponent)
 | RemoveAllHandlersOfObject (TLCLComponent)
 | RemoveComponent (TComponent)
 | RemoveFreeNotification (TComponent)
 | RemoveNotification (TComponent)
pt | Replace (TFindDialog)
pt | ReplaceAllClick (TReplaceDialog)
pt | ReplaceClick (TReplaceDialog)
pt | ResetShowCloseFlags (TCommonDialog)
 | SafeCallException (TObject)
 | SafeCallException (TComponent)
 | SetAncestor (TComponent)
 | SetChildOrder (TComponent)
 | SetComponentIndex (TComponent)
 | SetDesigning (TComponent)
 | SetDesignInstance (TComponent)
pt | SetFormValues (TFindDialog)
pt | SetFormValues (TReplaceDialog)
pt | SetHeight (TCommonDialog)
 | SetInline (TComponent)
 | SetName (TComponent)
 | SetParentComponent (TComponent)
 | SetReference (TComponent)
 | SetSubComponent (TComponent)
pt | SetWidth (TCommonDialog)
 | StringMessageTable (TObject)
 | ToString (TObject)
 | UnitName (TObject)
 | UpdateAction (TComponent)
 | Updated (TComponent)
 | UpdateRegistry (TComponent)
 | Updating (TComponent)
 | ValidateContainer (TComponent)
 | ValidateInsert (TComponent)
 | ValidateRename (TComponent)
 | WriteLeft (TComponent)
 | WriteState (TComponent)
 | WriteTop (TComponent)
pt | WSRegisterClass (TLCLComponent)
pt | WSRegisterClass (TCommonDialog)
 | _AddRef (TComponent)
 | _Release (TComponent)


TReplaceDialog
pl | ro | OnReplace
TFindDialog
pt |  | OnReplace
pl |  | OnFind
pl |  | OnHelpClicked
TCommonDialog
pt |  | OnDialogResult
pl |  | OnClose
pl |  | OnCanClose
pl |  | OnShow
TLCLComponent
TComponent
TPersistent
TObject


pl |  | OnCanClose (TCommonDialog)
pl |  | OnClose (TCommonDialog)
pt |  | OnDialogResult (TCommonDialog)
pl |  | OnFind (TFindDialog)
pl |  | OnHelpClicked (TFindDialog)
pt |  | OnReplace (TFindDialog)
pl | ro | OnReplace (TReplaceDialog)
pl |  | OnShow (TCommonDialog)


TReplaceDialog.Create

Create - constructor for TReplaceDialog: calls inherited Create and sets options for find and replace

Declaration

Source position: dialogs.pp line 485

public constructor TReplaceDialog.Create(

  AOwner: TComponent

); override;

See also

TFindDialog.Create

Create - constructor for TFindDialog: calls inherited Create and sets initial options for Find only


TReplaceDialog.DefaultTitle

Declaration

Source position: dialogs.pp line 478

protected function TReplaceDialog.DefaultTitle: string; override;


TReplaceDialog.ReplaceAllClick

ReplaceAllClick - code to execute when the Replace All button is clicked (replace all remaining instances)

Declaration

Source position: dialogs.pp line 480

protected procedure TReplaceDialog.ReplaceAllClick(

  Sender: TObject

);


TReplaceDialog.ReplaceClick

ReplaceClick - code to execute when the Replace button is clicked (replace just the current instance)

Declaration

Source position: dialogs.pp line 479

protected procedure TReplaceDialog.ReplaceClick(

  Sender: TObject

);


TSaveDialog

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

TSaveDialog - Dialog for saving the current buffer to a file

Declaration

Source position: dialogs.pp line 250

type TSaveDialog = class(TOpenDialog)
protected
class procedure WSRegisterClass; override; | Registers this component class with the current WidgetSet.
function DefaultTitle; override; | DefaultTitle - returns the default title for a dialog
public
constructor Create(); override; | Create - constructor for TOpenDialog: calls inherited Create then loads default options
end;

Inheritance

TSaveDialog | TSaveDialog - Dialog for saving the current buffer to a file
|
TOpenDialog | TOpenDialog : open a file in the current directory, selected by File Dialog.
|
TFileDialog | TFileDialog : allows selection of a file from the current directory.
|
TCommonDialog | TCommonDialog : the base type from which other dialogs are derived
|
TLCLComponent | The base class for LCL components associated with widgets.
|
TComponent,IUnknown,IInterfaceComponentReference
|
TPersistent,IFPObserved
|
TObject

Description

Save Dialog: invoked when the application requires to save a file.
If the file is already open or a filename has been specified, then the current buffer is written to that file;
if no file is specified, the Save File As dialog is invoked and the buffer is saved to that file.


TSaveDialog
TOpenDialog
pl |  | Options
TFileDialog
 | ro | Files
 |  | HistoryList
pl | ro | Title
pl |  | DefaultExt
pl |  | FileName
pl |  | Filter
pl |  | FilterIndex
pl |  | InitialDir
TCommonDialog
pt |  | AttachTo
 |  | Handle
 |  | UserChoice
 |  | Width
 |  | Height
pl |  | HelpContext
pl |  | Title
TLCLComponent
 | ro | LCLRefCount
 | ro | WidgetSetClass
TComponent
 | ro | ComObject
 | ro | Components
 | ro | ComponentCount
 |  | ComponentIndex
 | ro | ComponentState
 | ro | ComponentStyle
 |  | DesignInfo
 | ro | Owner
 |  | VCLComObject
 |  | Name
 |  | Tag
TPersistent
TObject


TSaveDialog
pt | WSRegisterClass
pt | DefaultTitle
 | Create
TOpenDialog
pt | WSRegisterClass
pt | ResolveLinks
pt | DereferenceLinks
pt | CheckFile
pt | CheckFileMustExist
pt | CheckAllFiles
pt | DoExecute
pt | DefaultTitle
 | Create
 | DoCanClose
 | DoFolderChange
 | DoSelectionChange
 | IntfSetOption
TFileDialog
pt | WSRegisterClass
pt | GetFilterIndex
pt | SetFileName
pt | SetFilter
pt | SetHistoryList
 | Create
 | Destroy
 | DoCanClose
 | DoTypeChange
 | IntfFileTypeChanged
 | FindMaskInFilter
 | ExtractAllFilterMasks
TCommonDialog
pt | WSRegisterClass
pt | DoExecute
pt | DefaultTitle
pt | GetHeight
pt | GetWidth
pt | SetHeight
pt | SetWidth
pt | ResetShowCloseFlags
 | Create
 | Execute
 | Close
 | DoShow
 | DoCanClose
 | DoClose
 | HandleAllocated
TLCLComponent
pt | WSRegisterClass
pt | GetWSComponentClass
 | Create
 | Destroy
 | NewInstance
 | RemoveAllHandlersOfObject
 | IncLCLRefCount
 | DecLCLRefCount
TComponent
 | GetComObject
 | GetComponent
 | GetComponentCount
 | GetComponentIndex
 | Insert
 | ReadLeft
 | ReadTop
 | Remove
 | RemoveNotification
 | SetComponentIndex
 | SetReference
 | WriteLeft
 | WriteTop
 | ChangeName
 | DefineProperties
 | GetChildren
 | GetChildOwner
 | GetChildParent
 | GetOwner
 | Loaded
 | Loading
 | Notification
 | PaletteCreated
 | ReadState
 | SetAncestor
 | SetDesigning
 | SetDesignInstance
 | SetInline
 | SetName
 | SetChildOrder
 | SetParentComponent
 | Updating
 | Updated
 | UpdateRegistry
 | ValidateRename
 | ValidateContainer
 | ValidateInsert
 | QueryInterface
 | _AddRef
 | _Release
 | iicrGetComponent
 | GetTypeInfoCount
 | GetTypeInfo
 | GetIDsOfNames
 | Invoke
 | WriteState
 | Create
 | Destroy
 | BeforeDestruction
 | DestroyComponents
 | Destroying
 | ExecuteAction
 | FindComponent
 | FreeNotification
 | RemoveFreeNotification
 | FreeOnRelease
 | GetEnumerator
 | GetNamePath
 | GetParentComponent
 | HasParent
 | InsertComponent
 | RemoveComponent
 | SafeCallException
 | SetSubComponent
 | UpdateAction
 | IsImplementorOf
 | ReferenceInterface
TPersistent
 | AssignError
 | AssignTo
 | DefineProperties
 | GetOwner
 | Destroy
 | Assign
 | FPOAttachObserver
 | FPODetachObserver
 | FPONotifyObservers
 | GetNamePath
TObject
 | Create
 | Destroy
 | newinstance
 | FreeInstance
 | SafeCallException
 | DefaultHandler
 | Free
 | InitInstance
 | CleanupInstance
 | ClassType
 | ClassInfo
 | ClassName
 | ClassNameIs
 | ClassParent
 | InstanceSize
 | InheritsFrom
 | StringMessageTable
 | MethodAddress
 | MethodName
 | FieldAddress
 | AfterConstruction
 | BeforeDestruction
 | DefaultHandlerStr
 | Dispatch
 | DispatchStr
 | GetInterface
 | GetInterfaceByStr
 | GetInterfaceWeak
 | GetInterfaceEntry
 | GetInterfaceEntryByStr
 | GetInterfaceTable
 | UnitName
 | Equals
 | GetHashCode
 | ToString


 | AssignError (TPersistent)
 | AssignTo (TPersistent)
 | BeforeDestruction (TObject)
 | BeforeDestruction (TComponent)
 | ChangeName (TComponent)
pt | CheckAllFiles (TOpenDialog)
pt | CheckFile (TOpenDialog)
pt | CheckFileMustExist (TOpenDialog)
 | ClassInfo (TObject)
 | ClassName (TObject)
 | ClassNameIs (TObject)
 | ClassParent (TObject)
 | ClassType (TObject)
 | CleanupInstance (TObject)
 | Close (TCommonDialog)
 | Create (TObject)
 | Create (TComponent)
 | Create (TLCLComponent)
 | Create (TCommonDialog)
 | Create (TFileDialog)
 | Create (TOpenDialog)
 | Create (TSaveDialog)
 | DecLCLRefCount (TLCLComponent)
 | DefaultHandler (TObject)
 | DefaultHandlerStr (TObject)
pt | DefaultTitle (TCommonDialog)
pt | DefaultTitle (TOpenDialog)
pt | DefaultTitle (TSaveDialog)
 | DefineProperties (TPersistent)
 | DefineProperties (TComponent)
pt | DereferenceLinks (TOpenDialog)
 | Destroy (TObject)
 | Destroy (TPersistent)
 | Destroy (TComponent)
 | Destroy (TLCLComponent)
 | Destroy (TFileDialog)
 | DestroyComponents (TComponent)
 | Destroying (TComponent)
 | Dispatch (TObject)
 | DispatchStr (TObject)
 | DoCanClose (TCommonDialog)
 | DoCanClose (TFileDialog)
 | DoCanClose (TOpenDialog)
 | DoClose (TCommonDialog)
pt | DoExecute (TCommonDialog)
pt | DoExecute (TOpenDialog)
 | DoFolderChange (TOpenDialog)
 | DoSelectionChange (TOpenDialog)
 | DoShow (TCommonDialog)
 | DoTypeChange (TFileDialog)
 | Equals (TObject)
 | Execute (TCommonDialog)
 | ExecuteAction (TComponent)
 | ExtractAllFilterMasks (TFileDialog)
 | FieldAddress (TObject)
 | FindComponent (TComponent)
 | FindMaskInFilter (TFileDialog)
 | FPOAttachObserver (TPersistent)
 | FPODetachObserver (TPersistent)
 | FPONotifyObservers (TPersistent)
 | Free (TObject)
 | FreeInstance (TObject)
 | FreeNotification (TComponent)
 | FreeOnRelease (TComponent)
 | GetChildOwner (TComponent)
 | GetChildParent (TComponent)
 | GetChildren (TComponent)
 | GetComObject (TComponent)
 | GetComponent (TComponent)
 | GetComponentCount (TComponent)
 | GetComponentIndex (TComponent)
 | GetEnumerator (TComponent)
pt | GetFilterIndex (TFileDialog)
 | GetHashCode (TObject)
pt | GetHeight (TCommonDialog)
 | GetIDsOfNames (TComponent)
 | GetInterface (TObject)
 | GetInterfaceByStr (TObject)
 | GetInterfaceEntry (TObject)
 | GetInterfaceEntryByStr (TObject)
 | GetInterfaceTable (TObject)
 | GetInterfaceWeak (TObject)
 | GetNamePath (TPersistent)
 | GetNamePath (TComponent)
 | GetOwner (TPersistent)
 | GetOwner (TComponent)
 | GetParentComponent (TComponent)
 | GetTypeInfo (TComponent)
 | GetTypeInfoCount (TComponent)
pt | GetWidth (TCommonDialog)
pt | GetWSComponentClass (TLCLComponent)
 | HandleAllocated (TCommonDialog)
 | HasParent (TComponent)
 | iicrGetComponent (TComponent)
 | IncLCLRefCount (TLCLComponent)
 | InheritsFrom (TObject)
 | InitInstance (TObject)
 | Insert (TComponent)
 | InsertComponent (TComponent)
 | InstanceSize (TObject)
 | IntfFileTypeChanged (TFileDialog)
 | IntfSetOption (TOpenDialog)
 | Invoke (TComponent)
 | IsImplementorOf (TComponent)
 | Loaded (TComponent)
 | Loading (TComponent)
 | MethodAddress (TObject)
 | MethodName (TObject)
 | newinstance (TObject)
 | NewInstance (TLCLComponent)
 | Notification (TComponent)
 | PaletteCreated (TComponent)
 | QueryInterface (TComponent)
 | ReadLeft (TComponent)
 | ReadState (TComponent)
 | ReadTop (TComponent)
 | ReferenceInterface (TComponent)
 | Remove (TComponent)
 | RemoveAllHandlersOfObject (TLCLComponent)
 | RemoveComponent (TComponent)
 | RemoveFreeNotification (TComponent)
 | RemoveNotification (TComponent)
pt | ResetShowCloseFlags (TCommonDialog)
pt | ResolveLinks (TOpenDialog)
 | SafeCallException (TObject)
 | SafeCallException (TComponent)
 | SetAncestor (TComponent)
 | SetChildOrder (TComponent)
 | SetComponentIndex (TComponent)
 | SetDesigning (TComponent)
 | SetDesignInstance (TComponent)
pt | SetFileName (TFileDialog)
pt | SetFilter (TFileDialog)
pt | SetHeight (TCommonDialog)
pt | SetHistoryList (TFileDialog)
 | SetInline (TComponent)
 | SetName (TComponent)
 | SetParentComponent (TComponent)
 | SetReference (TComponent)
 | SetSubComponent (TComponent)
pt | SetWidth (TCommonDialog)
 | StringMessageTable (TObject)
 | ToString (TObject)
 | UnitName (TObject)
 | UpdateAction (TComponent)
 | Updated (TComponent)
 | UpdateRegistry (TComponent)
 | Updating (TComponent)
 | ValidateContainer (TComponent)
 | ValidateInsert (TComponent)
 | ValidateRename (TComponent)
 | WriteLeft (TComponent)
 | WriteState (TComponent)
 | WriteTop (TComponent)
pt | WSRegisterClass (TLCLComponent)
pt | WSRegisterClass (TCommonDialog)
pt | WSRegisterClass (TFileDialog)
pt | WSRegisterClass (TOpenDialog)
pt | WSRegisterClass (TSaveDialog)
 | _AddRef (TComponent)
 | _Release (TComponent)


TSaveDialog
TOpenDialog
pl | OnFolderChange
pl | OnSelectionChange
TFileDialog
pl | OnHelpClicked
pl | OnTypeChange
TCommonDialog
pt | OnDialogResult
pl | OnClose
pl | OnCanClose
pl | OnShow
TLCLComponent
TComponent
TPersistent
TObject


TSelectDirectoryDialog

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Select Directory Dialog

Declaration

Source position: dialogs.pp line 261

type TSelectDirectoryDialog = class(TOpenDialog)
protected
class procedure WSRegisterClass; override; | Registers this component class with the current WidgetSet.
function CheckFileMustExist(); override; | CheckFileMustExist - returns True if a file with the supplied name actually exists
function DefaultTitle; override; | DefaultTitle - returns the default title for a dialog
public
constructor Create(); override; | Create - constructor for TOpenDialog: calls inherited Create then loads default options
end;

Inheritance

TSelectDirectoryDialog | Select Directory Dialog
|
TOpenDialog | TOpenDialog : open a file in the current directory, selected by File Dialog.
|
TFileDialog | TFileDialog : allows selection of a file from the current directory.
|
TCommonDialog | TCommonDialog : the base type from which other dialogs are derived
|
TLCLComponent | The base class for LCL components associated with widgets.
|
TComponent,IUnknown,IInterfaceComponentReference
|
TPersistent,IFPObserved
|
TObject

Description

Select Directory Dialog: allows the user to select a directory when the directory structure is displayed as a tree.

See also

TDirectoryEdit

TDirectoryEdit - an EditBox to hold a directory name, with an attached SpeedButton that will summon a Directory Open dialog


TSelectDirectoryDialog
TOpenDialog
pl |  | Options
TFileDialog
 | ro | Files
 |  | HistoryList
pl | ro | Title
pl |  | DefaultExt
pl |  | FileName
pl |  | Filter
pl |  | FilterIndex
pl |  | InitialDir
TCommonDialog
pt |  | AttachTo
 |  | Handle
 |  | UserChoice
 |  | Width
 |  | Height
pl |  | HelpContext
pl |  | Title
TLCLComponent
 | ro | LCLRefCount
 | ro | WidgetSetClass
TComponent
 | ro | ComObject
 | ro | Components
 | ro | ComponentCount
 |  | ComponentIndex
 | ro | ComponentState
 | ro | ComponentStyle
 |  | DesignInfo
 | ro | Owner
 |  | VCLComObject
 |  | Name
 |  | Tag
TPersistent
TObject


TSelectDirectoryDialog
pt | WSRegisterClass
pt | CheckFileMustExist
pt | DefaultTitle
 | Create
TOpenDialog
pt | WSRegisterClass
pt | ResolveLinks
pt | DereferenceLinks
pt | CheckFile
pt | CheckFileMustExist
pt | CheckAllFiles
pt | DoExecute
pt | DefaultTitle
 | Create
 | DoCanClose
 | DoFolderChange
 | DoSelectionChange
 | IntfSetOption
TFileDialog
pt | WSRegisterClass
pt | GetFilterIndex
pt | SetFileName
pt | SetFilter
pt | SetHistoryList
 | Create
 | Destroy
 | DoCanClose
 | DoTypeChange
 | IntfFileTypeChanged
 | FindMaskInFilter
 | ExtractAllFilterMasks
TCommonDialog
pt | WSRegisterClass
pt | DoExecute
pt | DefaultTitle
pt | GetHeight
pt | GetWidth
pt | SetHeight
pt | SetWidth
pt | ResetShowCloseFlags
 | Create
 | Execute
 | Close
 | DoShow
 | DoCanClose
 | DoClose
 | HandleAllocated
TLCLComponent
pt | WSRegisterClass
pt | GetWSComponentClass
 | Create
 | Destroy
 | NewInstance
 | RemoveAllHandlersOfObject
 | IncLCLRefCount
 | DecLCLRefCount
TComponent
 | GetComObject
 | GetComponent
 | GetComponentCount
 | GetComponentIndex
 | Insert
 | ReadLeft
 | ReadTop
 | Remove
 | RemoveNotification
 | SetComponentIndex
 | SetReference
 | WriteLeft
 | WriteTop
 | ChangeName
 | DefineProperties
 | GetChildren
 | GetChildOwner
 | GetChildParent
 | GetOwner
 | Loaded
 | Loading
 | Notification
 | PaletteCreated
 | ReadState
 | SetAncestor
 | SetDesigning
 | SetDesignInstance
 | SetInline
 | SetName
 | SetChildOrder
 | SetParentComponent
 | Updating
 | Updated
 | UpdateRegistry
 | ValidateRename
 | ValidateContainer
 | ValidateInsert
 | QueryInterface
 | _AddRef
 | _Release
 | iicrGetComponent
 | GetTypeInfoCount
 | GetTypeInfo
 | GetIDsOfNames
 | Invoke
 | WriteState
 | Create
 | Destroy
 | BeforeDestruction
 | DestroyComponents
 | Destroying
 | ExecuteAction
 | FindComponent
 | FreeNotification
 | RemoveFreeNotification
 | FreeOnRelease
 | GetEnumerator
 | GetNamePath
 | GetParentComponent
 | HasParent
 | InsertComponent
 | RemoveComponent
 | SafeCallException
 | SetSubComponent
 | UpdateAction
 | IsImplementorOf
 | ReferenceInterface
TPersistent
 | AssignError
 | AssignTo
 | DefineProperties
 | GetOwner
 | Destroy
 | Assign
 | FPOAttachObserver
 | FPODetachObserver
 | FPONotifyObservers
 | GetNamePath
TObject
 | Create
 | Destroy
 | newinstance
 | FreeInstance
 | SafeCallException
 | DefaultHandler
 | Free
 | InitInstance
 | CleanupInstance
 | ClassType
 | ClassInfo
 | ClassName
 | ClassNameIs
 | ClassParent
 | InstanceSize
 | InheritsFrom
 | StringMessageTable
 | MethodAddress
 | MethodName
 | FieldAddress
 | AfterConstruction
 | BeforeDestruction
 | DefaultHandlerStr
 | Dispatch
 | DispatchStr
 | GetInterface
 | GetInterfaceByStr
 | GetInterfaceWeak
 | GetInterfaceEntry
 | GetInterfaceEntryByStr
 | GetInterfaceTable
 | UnitName
 | Equals
 | GetHashCode
 | ToString


 | AssignError (TPersistent)
 | AssignTo (TPersistent)
 | BeforeDestruction (TObject)
 | BeforeDestruction (TComponent)
 | ChangeName (TComponent)
pt | CheckAllFiles (TOpenDialog)
pt | CheckFile (TOpenDialog)
pt | CheckFileMustExist (TOpenDialog)
pt | CheckFileMustExist (TSelectDirectoryDialog)
 | ClassInfo (TObject)
 | ClassName (TObject)
 | ClassNameIs (TObject)
 | ClassParent (TObject)
 | ClassType (TObject)
 | CleanupInstance (TObject)
 | Close (TCommonDialog)
 | Create (TObject)
 | Create (TComponent)
 | Create (TLCLComponent)
 | Create (TCommonDialog)
 | Create (TFileDialog)
 | Create (TOpenDialog)
 | Create (TSelectDirectoryDialog)
 | DecLCLRefCount (TLCLComponent)
 | DefaultHandler (TObject)
 | DefaultHandlerStr (TObject)
pt | DefaultTitle (TCommonDialog)
pt | DefaultTitle (TOpenDialog)
pt | DefaultTitle (TSelectDirectoryDialog)
 | DefineProperties (TPersistent)
 | DefineProperties (TComponent)
pt | DereferenceLinks (TOpenDialog)
 | Destroy (TObject)
 | Destroy (TPersistent)
 | Destroy (TComponent)
 | Destroy (TLCLComponent)
 | Destroy (TFileDialog)
 | DestroyComponents (TComponent)
 | Destroying (TComponent)
 | Dispatch (TObject)
 | DispatchStr (TObject)
 | DoCanClose (TCommonDialog)
 | DoCanClose (TFileDialog)
 | DoCanClose (TOpenDialog)
 | DoClose (TCommonDialog)
pt | DoExecute (TCommonDialog)
pt | DoExecute (TOpenDialog)
 | DoFolderChange (TOpenDialog)
 | DoSelectionChange (TOpenDialog)
 | DoShow (TCommonDialog)
 | DoTypeChange (TFileDialog)
 | Equals (TObject)
 | Execute (TCommonDialog)
 | ExecuteAction (TComponent)
 | ExtractAllFilterMasks (TFileDialog)
 | FieldAddress (TObject)
 | FindComponent (TComponent)
 | FindMaskInFilter (TFileDialog)
 | FPOAttachObserver (TPersistent)
 | FPODetachObserver (TPersistent)
 | FPONotifyObservers (TPersistent)
 | Free (TObject)
 | FreeInstance (TObject)
 | FreeNotification (TComponent)
 | FreeOnRelease (TComponent)
 | GetChildOwner (TComponent)
 | GetChildParent (TComponent)
 | GetChildren (TComponent)
 | GetComObject (TComponent)
 | GetComponent (TComponent)
 | GetComponentCount (TComponent)
 | GetComponentIndex (TComponent)
 | GetEnumerator (TComponent)
pt | GetFilterIndex (TFileDialog)
 | GetHashCode (TObject)
pt | GetHeight (TCommonDialog)
 | GetIDsOfNames (TComponent)
 | GetInterface (TObject)
 | GetInterfaceByStr (TObject)
 | GetInterfaceEntry (TObject)
 | GetInterfaceEntryByStr (TObject)
 | GetInterfaceTable (TObject)
 | GetInterfaceWeak (TObject)
 | GetNamePath (TPersistent)
 | GetNamePath (TComponent)
 | GetOwner (TPersistent)
 | GetOwner (TComponent)
 | GetParentComponent (TComponent)
 | GetTypeInfo (TComponent)
 | GetTypeInfoCount (TComponent)
pt | GetWidth (TCommonDialog)
pt | GetWSComponentClass (TLCLComponent)
 | HandleAllocated (TCommonDialog)
 | HasParent (TComponent)
 | iicrGetComponent (TComponent)
 | IncLCLRefCount (TLCLComponent)
 | InheritsFrom (TObject)
 | InitInstance (TObject)
 | Insert (TComponent)
 | InsertComponent (TComponent)
 | InstanceSize (TObject)
 | IntfFileTypeChanged (TFileDialog)
 | IntfSetOption (TOpenDialog)
 | Invoke (TComponent)
 | IsImplementorOf (TComponent)
 | Loaded (TComponent)
 | Loading (TComponent)
 | MethodAddress (TObject)
 | MethodName (TObject)
 | newinstance (TObject)
 | NewInstance (TLCLComponent)
 | Notification (TComponent)
 | PaletteCreated (TComponent)
 | QueryInterface (TComponent)
 | ReadLeft (TComponent)
 | ReadState (TComponent)
 | ReadTop (TComponent)
 | ReferenceInterface (TComponent)
 | Remove (TComponent)
 | RemoveAllHandlersOfObject (TLCLComponent)
 | RemoveComponent (TComponent)
 | RemoveFreeNotification (TComponent)
 | RemoveNotification (TComponent)
pt | ResetShowCloseFlags (TCommonDialog)
pt | ResolveLinks (TOpenDialog)
 | SafeCallException (TObject)
 | SafeCallException (TComponent)
 | SetAncestor (TComponent)
 | SetChildOrder (TComponent)
 | SetComponentIndex (TComponent)
 | SetDesigning (TComponent)
 | SetDesignInstance (TComponent)
pt | SetFileName (TFileDialog)
pt | SetFilter (TFileDialog)
pt | SetHeight (TCommonDialog)
pt | SetHistoryList (TFileDialog)
 | SetInline (TComponent)
 | SetName (TComponent)
 | SetParentComponent (TComponent)
 | SetReference (TComponent)
 | SetSubComponent (TComponent)
pt | SetWidth (TCommonDialog)
 | StringMessageTable (TObject)
 | ToString (TObject)
 | UnitName (TObject)
 | UpdateAction (TComponent)
 | Updated (TComponent)
 | UpdateRegistry (TComponent)
 | Updating (TComponent)
 | ValidateContainer (TComponent)
 | ValidateInsert (TComponent)
 | ValidateRename (TComponent)
 | WriteLeft (TComponent)
 | WriteState (TComponent)
 | WriteTop (TComponent)
pt | WSRegisterClass (TLCLComponent)
pt | WSRegisterClass (TCommonDialog)
pt | WSRegisterClass (TFileDialog)
pt | WSRegisterClass (TOpenDialog)
pt | WSRegisterClass (TSelectDirectoryDialog)
 | _AddRef (TComponent)
 | _Release (TComponent)


TSelectDirectoryDialog
TOpenDialog
pl | OnFolderChange
pl | OnSelectionChange
TFileDialog
pl | OnHelpClicked
pl | OnTypeChange
TCommonDialog
pt | OnDialogResult
pl | OnClose
pl | OnCanClose
pl | OnShow
TLCLComponent
TComponent
TPersistent
TObject


TTaskDialog

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Creates full-features modal dialogs at runtime.

Declaration

Source position: dialogs.pp line 665

type TTaskDialog = class(TCustomTaskDialog)
published
property Buttons: TTaskDialogButtons; | Collection of items that describe buttons in dialog. Additional to CommonButtons.
property Caption: TTranslateString; | Caption of dialog's form.
property CommonButtons: TTaskDialogCommonButtons; | Set of standard buttons in dialog: OK, Cancel, Yes etc. Additional to Buttons.
property DefaultButton: TTaskDialogCommonButton; | Index of default button, from set of CommonButtons property.
property ExpandButtonCaption: TTranslateString; | Dialog can have "expand button", with specified caption that shows additional info.
property ExpandedText: TTranslateString; | Text that is shown when dialog is expanded. Use "\n" for new lines.
property Flags: TTaskDialogFlags; | Set of advanced options for dialog.
property FooterIcon: TTaskDialogIcon; | Icon for the footer area, at the bottom.
property FooterText: TTranslateString; | Text that shows in the footer area, at the bottom. Use "\n" for new lines.
property MainIcon: TTaskDialogIcon; | Icon for the main info in dialog.
property RadioButtons: TTaskDialogButtons; | Collection of items that describe radio-buttons; they are shown in the lower part. Use "\n" to add info to buttons (shown in hint in emulated dialog, or in a new line in native Windows dialog.)
property Text: TTranslateString; | Text that is shown as main information in the dialog. Use "\n" for new lines.
property Title: TTranslateString; | Header text that is shown on the top, with big font and bold style. Use "\n" for new lines.
property VerificationText: TTranslateString; | If not empty, dialog shows check-box with this caption, at the bottom.
property OnButtonClicked: TTaskDlgClickEvent;
end;

Inheritance

TTaskDialog

Creates full-features modal dialogs at runtime.
|

TCustomTaskDialog
|

TComponent,IUnknown,IInterfaceComponentReference
|

TPersistent,IFPObserved
|

TObject

Description

Non-visual component, creates modal dialogs in runtime, with rich UI elements, like Windows TaskDialog API.


TTaskDialog
pl | ro | Buttons
pl | ro | Caption
pl | ro | CommonButtons
pl | ro | DefaultButton
pl | ro | ExpandButtonCaption
pl | ro | ExpandedText
pl | ro | Flags
pl | ro | FooterIcon
pl | ro | FooterText
pl | ro | MainIcon
pl | ro | RadioButtons
pl | ro | Text
pl | ro | Title
pl | ro | VerificationText
TCustomTaskDialog
 |  | Button
 |  | Buttons
 |  | Caption
 |  | CommonButtons
 |  | DefaultButton
 |  | ExpandButtonCaption
 |  | ExpandedText
 |  | Flags
 |  | FooterIcon
 |  | FooterText
 |  | MainIcon
 |  | ModalResult
 | ro | RadioButton
 |  | RadioButtons
 |  | Text
 |  | Title
 |  | VerificationText
TComponent
 | ro | ComObject
 | ro | Components
 | ro | ComponentCount
 |  | ComponentIndex
 | ro | ComponentState
 | ro | ComponentStyle
 |  | DesignInfo
 | ro | Owner
 |  | VCLComObject
 |  | Name
 |  | Tag
TPersistent
TObject


pl | ro | Buttons (TTaskDialog)
 |  | Caption (TCustomTaskDialog)
pl | ro | Caption (TTaskDialog)
 |  | CommonButtons (TCustomTaskDialog)
pl | ro | CommonButtons (TTaskDialog)
 | ro | ComObject (TComponent)
 | ro | ComponentCount (TComponent)
 |  | ComponentIndex (TComponent)
 | ro | Components (TComponent)
 | ro | ComponentState (TComponent)
 | ro | ComponentStyle (TComponent)
 |  | DefaultButton (TCustomTaskDialog)
pl | ro | DefaultButton (TTaskDialog)
 |  | DesignInfo (TComponent)
 |  | ExpandButtonCaption (TCustomTaskDialog)
pl | ro | ExpandButtonCaption (TTaskDialog)
 |  | ExpandedText (TCustomTaskDialog)
pl | ro | ExpandedText (TTaskDialog)
 |  | Flags (TCustomTaskDialog)
pl | ro | Flags (TTaskDialog)
 |  | FooterIcon (TCustomTaskDialog)
pl | ro | FooterIcon (TTaskDialog)
 |  | FooterText (TCustomTaskDialog)
pl | ro | FooterText (TTaskDialog)
 |  | MainIcon (TCustomTaskDialog)
pl | ro | MainIcon (TTaskDialog)
 |  | ModalResult (TCustomTaskDialog)
 |  | Name (TComponent)
 | ro | Owner (TComponent)
 | ro | RadioButton (TCustomTaskDialog)
 |  | RadioButtons (TCustomTaskDialog)
pl | ro | RadioButtons (TTaskDialog)
 |  | Tag (TComponent)
 |  | Text (TCustomTaskDialog)
pl | ro | Text (TTaskDialog)
 |  | Title (TCustomTaskDialog)
pl | ro | Title (TTaskDialog)
 |  | VCLComObject (TComponent)
 |  | VerificationText (TCustomTaskDialog)
pl | ro | VerificationText (TTaskDialog)


TTaskDialog
TCustomTaskDialog
pt | DoExecute
pt | DoOnButtonClicked
 | Create
 | Destroy
 | Execute
TComponent
 | GetComObject
 | GetComponent
 | GetComponentCount
 | GetComponentIndex
 | Insert
 | ReadLeft
 | ReadTop
 | Remove
 | RemoveNotification
 | SetComponentIndex
 | SetReference
 | WriteLeft
 | WriteTop
 | ChangeName
 | DefineProperties
 | GetChildren
 | GetChildOwner
 | GetChildParent
 | GetOwner
 | Loaded
 | Loading
 | Notification
 | PaletteCreated
 | ReadState
 | SetAncestor
 | SetDesigning
 | SetDesignInstance
 | SetInline
 | SetName
 | SetChildOrder
 | SetParentComponent
 | Updating
 | Updated
 | UpdateRegistry
 | ValidateRename
 | ValidateContainer
 | ValidateInsert
 | QueryInterface
 | _AddRef
 | _Release
 | iicrGetComponent
 | GetTypeInfoCount
 | GetTypeInfo
 | GetIDsOfNames
 | Invoke
 | WriteState
 | Create
 | Destroy
 | BeforeDestruction
 | DestroyComponents
 | Destroying
 | ExecuteAction
 | FindComponent
 | FreeNotification
 | RemoveFreeNotification
 | FreeOnRelease
 | GetEnumerator
 | GetNamePath
 | GetParentComponent
 | HasParent
 | InsertComponent
 | RemoveComponent
 | SafeCallException
 | SetSubComponent
 | UpdateAction
 | IsImplementorOf
 | ReferenceInterface
TPersistent
 | AssignError
 | AssignTo
 | DefineProperties
 | GetOwner
 | Destroy
 | Assign
 | FPOAttachObserver
 | FPODetachObserver
 | FPONotifyObservers
 | GetNamePath
TObject
 | Create
 | Destroy
 | newinstance
 | FreeInstance
 | SafeCallException
 | DefaultHandler
 | Free
 | InitInstance
 | CleanupInstance
 | ClassType
 | ClassInfo
 | ClassName
 | ClassNameIs
 | ClassParent
 | InstanceSize
 | InheritsFrom
 | StringMessageTable
 | MethodAddress
 | MethodName
 | FieldAddress
 | AfterConstruction
 | BeforeDestruction
 | DefaultHandlerStr
 | Dispatch
 | DispatchStr
 | GetInterface
 | GetInterfaceByStr
 | GetInterfaceWeak
 | GetInterfaceEntry
 | GetInterfaceEntryByStr
 | GetInterfaceTable
 | UnitName
 | Equals
 | GetHashCode
 | ToString


TTaskDialog
pl | ro | OnButtonClicked
TCustomTaskDialog
 |  | OnButtonClicked
TComponent
TPersistent
TObject


pl | ro | OnButtonClicked (TTaskDialog)


TTaskDialog.Buttons

Collection of items that describe buttons in dialog. Additional to CommonButtons.

Declaration

Source position: dialogs.pp line 667

published property TTaskDialog.Buttons : TTaskDialogButtons;


TTaskDialog.Caption

Caption of dialog's form.

Declaration

Source position: dialogs.pp line 668

published property TTaskDialog.Caption : TTranslateString;


TTaskDialog.CommonButtons

Set of standard buttons in dialog: OK, Cancel, Yes etc. Additional to Buttons.

Declaration

Source position: dialogs.pp line 669

published property TTaskDialog.CommonButtons : TTaskDialogCommonButtons;


TTaskDialog.DefaultButton

Index of default button, from set of CommonButtons property.

Declaration

Source position: dialogs.pp line 670

published property TTaskDialog.DefaultButton : TTaskDialogCommonButton;


TTaskDialog.ExpandButtonCaption

Dialog can have "expand button", with specified caption that shows additional info.

Declaration

Source position: dialogs.pp line 671

published property TTaskDialog.ExpandButtonCaption : TTranslateString;


TTaskDialog.ExpandedText

Text that is shown when dialog is expanded. Use "\n" for new lines.

Declaration

Source position: dialogs.pp line 672

published property TTaskDialog.ExpandedText : TTranslateString;


TTaskDialog.Flags

Set of advanced options for dialog.

Declaration

Source position: dialogs.pp line 673

published property TTaskDialog.Flags : TTaskDialogFlags;


TTaskDialog.FooterIcon

Icon for the footer area, at the bottom.

Declaration

Source position: dialogs.pp line 674

published property TTaskDialog.FooterIcon : TTaskDialogIcon;


TTaskDialog.FooterText

Text that shows in the footer area, at the bottom. Use "\n" for new lines.

Declaration

Source position: dialogs.pp line 675

published property TTaskDialog.FooterText : TTranslateString;


TTaskDialog.MainIcon

Icon for the main info in dialog.

Declaration

Source position: dialogs.pp line 676

published property TTaskDialog.MainIcon : TTaskDialogIcon;


TTaskDialog.OnButtonClicked

Declaration

Source position: dialogs.pp line 681

published property TTaskDialog.OnButtonClicked : TTaskDlgClickEvent;


TTaskDialog.RadioButtons

Collection of items that describe radio-buttons; they are shown in the lower part. Use "\n" to add info to buttons (shown in hint in emulated dialog, or in a new line in native Windows dialog.)

Declaration

Source position: dialogs.pp line 677

published property TTaskDialog.RadioButtons : TTaskDialogButtons;


TTaskDialog.Text

Text that is shown as main information in the dialog. Use "\n" for new lines.

Declaration

Source position: dialogs.pp line 678

published property TTaskDialog.Text : TTranslateString;


TTaskDialog.Title

Header text that is shown on the top, with big font and bold style. Use "\n" for new lines.

Declaration

Source position: dialogs.pp line 679

published property TTaskDialog.Title : TTranslateString;


TTaskDialog.VerificationText

If not empty, dialog shows check-box with this caption, at the bottom.

Declaration

Source position: dialogs.pp line 680

published property TTaskDialog.VerificationText : TTranslateString;


TTaskDialogBaseButtonItem

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Declaration

Source position: dialogs.pp line 555

type TTaskDialogBaseButtonItem = class(TCollectionItem)

protected

  property Client: TCustomTaskDialog; [r]

  function GetDisplayName; override;

  function TaskButtonCollection;

public

  constructor Create(); override;

  property ModalResult: TModalResult; [rw]

published

  property Caption: TTranslateString; [rw]

  property Default: Boolean; [rw]

end;

Inheritance

TTaskDialogBaseButtonItem
|

TCollectionItem
|

TPersistent,IFPObserved
|

TObject


TTaskDialogBaseButtonItem
pt | ro | Client
 |  | ModalResult
pl |  | Caption
pl |  | Default
TCollectionItem
 | ro | UpdateCount
 |  | Collection
 | ro | ID
 |  | Index
 |  | DisplayName
TPersistent
TObject


pl |  | Caption (TTaskDialogBaseButtonItem)
pt | ro | Client (TTaskDialogBaseButtonItem)
 |  | Collection (TCollectionItem)
pl |  | Default (TTaskDialogBaseButtonItem)
 |  | DisplayName (TCollectionItem)
 | ro | ID (TCollectionItem)
 |  | Index (TCollectionItem)
 |  | ModalResult (TTaskDialogBaseButtonItem)
 | ro | UpdateCount (TCollectionItem)


TTaskDialogBaseButtonItem
pt | GetDisplayName
pt | TaskButtonCollection
 | Create
TCollectionItem
 | GetIndex
 | SetCollection
 | Changed
 | GetOwner
 | GetDisplayName
 | SetIndex
 | SetDisplayName
 | Create
 | Destroy
 | GetNamePath
TPersistent
 | AssignError
 | AssignTo
 | DefineProperties
 | GetOwner
 | Destroy
 | Assign
 | FPOAttachObserver
 | FPODetachObserver
 | FPONotifyObservers
 | GetNamePath
TObject
 | Create
 | Destroy
 | newinstance
 | FreeInstance
 | SafeCallException
 | DefaultHandler
 | Free
 | InitInstance
 | CleanupInstance
 | ClassType
 | ClassInfo
 | ClassName
 | ClassNameIs
 | ClassParent
 | InstanceSize
 | InheritsFrom
 | StringMessageTable
 | MethodAddress
 | MethodName
 | FieldAddress
 | AfterConstruction
 | BeforeDestruction
 | DefaultHandlerStr
 | Dispatch
 | DispatchStr
 | GetInterface
 | GetInterfaceByStr
 | GetInterfaceWeak
 | GetInterfaceEntry
 | GetInterfaceEntryByStr
 | GetInterfaceTable
 | UnitName
 | Equals
 | GetHashCode
 | ToString


 | AssignError (TPersistent)
 | AssignTo (TPersistent)
 | BeforeDestruction (TObject)
 | Changed (TCollectionItem)
 | ClassInfo (TObject)
 | ClassName (TObject)
 | ClassNameIs (TObject)
 | ClassParent (TObject)
 | ClassType (TObject)
 | CleanupInstance (TObject)
 | Create (TObject)
 | Create (TCollectionItem)
 | Create (TTaskDialogBaseButtonItem)
 | DefaultHandler (TObject)
 | DefaultHandlerStr (TObject)
 | DefineProperties (TPersistent)
 | Destroy (TObject)
 | Destroy (TPersistent)
 | Destroy (TCollectionItem)
 | Dispatch (TObject)
 | DispatchStr (TObject)
 | Equals (TObject)
 | FieldAddress (TObject)
 | FPOAttachObserver (TPersistent)
 | FPODetachObserver (TPersistent)
 | FPONotifyObservers (TPersistent)
 | Free (TObject)
 | FreeInstance (TObject)
 | GetDisplayName (TCollectionItem)
pt | GetDisplayName (TTaskDialogBaseButtonItem)
 | GetHashCode (TObject)
 | GetIndex (TCollectionItem)
 | GetInterface (TObject)
 | GetInterfaceByStr (TObject)
 | GetInterfaceEntry (TObject)
 | GetInterfaceEntryByStr (TObject)
 | GetInterfaceTable (TObject)
 | GetInterfaceWeak (TObject)
 | GetNamePath (TPersistent)
 | GetNamePath (TCollectionItem)
 | GetOwner (TPersistent)
 | GetOwner (TCollectionItem)
 | InheritsFrom (TObject)
 | InitInstance (TObject)
 | InstanceSize (TObject)
 | MethodAddress (TObject)
 | MethodName (TObject)
 | newinstance (TObject)
 | SafeCallException (TObject)
 | SetCollection (TCollectionItem)
 | SetDisplayName (TCollectionItem)
 | SetIndex (TCollectionItem)
 | StringMessageTable (TObject)
pt | TaskButtonCollection (TTaskDialogBaseButtonItem)
 | ToString (TObject)
 | UnitName (TObject)


TTaskDialogBaseButtonItem

TCollectionItem

TPersistent

TObject


TTaskDialogBaseButtonItem.Caption

Declaration

Source position: dialogs.pp line 571

published property TTaskDialogBaseButtonItem.Caption : TTranslateString
  read FCaption
  write SetCaption;


TTaskDialogBaseButtonItem.Client

Declaration

Source position: dialogs.pp line 564

protected property TTaskDialogBaseButtonItem.Client : TCustomTaskDialog
  read FClient;


TTaskDialogBaseButtonItem.Create

Declaration

Source position: dialogs.pp line 568

public constructor TTaskDialogBaseButtonItem.Create(

  ACollection: TCollection

); override;


TTaskDialogBaseButtonItem.Default

Declaration

Source position: dialogs.pp line 572

published property TTaskDialogBaseButtonItem.Default : Boolean
  read GetDefault
  write SetDefault
  default False;


TTaskDialogBaseButtonItem.GetDisplayName

Declaration

Source position: dialogs.pp line 565

protected function TTaskDialogBaseButtonItem.GetDisplayName: TTranslateString; override;


TTaskDialogBaseButtonItem.ModalResult

Declaration

Source position: dialogs.pp line 569

public property TTaskDialogBaseButtonItem.ModalResult : TModalResult
  read FModalResult
  write FModalResult;


TTaskDialogBaseButtonItem.TaskButtonCollection

Declaration

Source position: dialogs.pp line 566

protected function TTaskDialogBaseButtonItem.TaskButtonCollection: TTaskDialogButtons;


TTaskDialogButtonItem

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Declaration

Source position: dialogs.pp line 575

type TTaskDialogButtonItem = class(TTaskDialogBaseButtonItem)

public

  constructor Create(); override;

published

  property ModalResult: TModalResult;

end;

Inheritance

TTaskDialogButtonItem
|

TTaskDialogBaseButtonItem
|

TCollectionItem
|

TPersistent,IFPObserved
|

TObject


TTaskDialogButtonItem
pl | ro | ModalResult
TTaskDialogBaseButtonItem
pt | ro | Client
 |  | ModalResult
pl |  | Caption
pl |  | Default
TCollectionItem
 | ro | UpdateCount
 |  | Collection
 | ro | ID
 |  | Index
 |  | DisplayName
TPersistent
TObject


pl |  | Caption (TTaskDialogBaseButtonItem)
pt | ro | Client (TTaskDialogBaseButtonItem)
 |  | Collection (TCollectionItem)
pl |  | Default (TTaskDialogBaseButtonItem)
 |  | DisplayName (TCollectionItem)
 | ro | ID (TCollectionItem)
 |  | Index (TCollectionItem)
 |  | ModalResult (TTaskDialogBaseButtonItem)
pl | ro | ModalResult (TTaskDialogButtonItem)
 | ro | UpdateCount (TCollectionItem)


TTaskDialogButtonItem
 | Create
TTaskDialogBaseButtonItem
pt | GetDisplayName
pt | TaskButtonCollection
 | Create
TCollectionItem
 | GetIndex
 | SetCollection
 | Changed
 | GetOwner
 | GetDisplayName
 | SetIndex
 | SetDisplayName
 | Create
 | Destroy
 | GetNamePath
TPersistent
 | AssignError
 | AssignTo
 | DefineProperties
 | GetOwner
 | Destroy
 | Assign
 | FPOAttachObserver
 | FPODetachObserver
 | FPONotifyObservers
 | GetNamePath
TObject
 | Create
 | Destroy
 | newinstance
 | FreeInstance
 | SafeCallException
 | DefaultHandler
 | Free
 | InitInstance
 | CleanupInstance
 | ClassType
 | ClassInfo
 | ClassName
 | ClassNameIs
 | ClassParent
 | InstanceSize
 | InheritsFrom
 | StringMessageTable
 | MethodAddress
 | MethodName
 | FieldAddress
 | AfterConstruction
 | BeforeDestruction
 | DefaultHandlerStr
 | Dispatch
 | DispatchStr
 | GetInterface
 | GetInterfaceByStr
 | GetInterfaceWeak
 | GetInterfaceEntry
 | GetInterfaceEntryByStr
 | GetInterfaceTable
 | UnitName
 | Equals
 | GetHashCode
 | ToString


 | AssignError (TPersistent)
 | AssignTo (TPersistent)
 | BeforeDestruction (TObject)
 | Changed (TCollectionItem)
 | ClassInfo (TObject)
 | ClassName (TObject)
 | ClassNameIs (TObject)
 | ClassParent (TObject)
 | ClassType (TObject)
 | CleanupInstance (TObject)
 | Create (TObject)
 | Create (TCollectionItem)
 | Create (TTaskDialogBaseButtonItem)
 | Create (TTaskDialogButtonItem)
 | DefaultHandler (TObject)
 | DefaultHandlerStr (TObject)
 | DefineProperties (TPersistent)
 | Destroy (TObject)
 | Destroy (TPersistent)
 | Destroy (TCollectionItem)
 | Dispatch (TObject)
 | DispatchStr (TObject)
 | Equals (TObject)
 | FieldAddress (TObject)
 | FPOAttachObserver (TPersistent)
 | FPODetachObserver (TPersistent)
 | FPONotifyObservers (TPersistent)
 | Free (TObject)
 | FreeInstance (TObject)
 | GetDisplayName (TCollectionItem)
pt | GetDisplayName (TTaskDialogBaseButtonItem)
 | GetHashCode (TObject)
 | GetIndex (TCollectionItem)
 | GetInterface (TObject)
 | GetInterfaceByStr (TObject)
 | GetInterfaceEntry (TObject)
 | GetInterfaceEntryByStr (TObject)
 | GetInterfaceTable (TObject)
 | GetInterfaceWeak (TObject)
 | GetNamePath (TPersistent)
 | GetNamePath (TCollectionItem)
 | GetOwner (TPersistent)
 | GetOwner (TCollectionItem)
 | InheritsFrom (TObject)
 | InitInstance (TObject)
 | InstanceSize (TObject)
 | MethodAddress (TObject)
 | MethodName (TObject)
 | newinstance (TObject)
 | SafeCallException (TObject)
 | SetCollection (TCollectionItem)
 | SetDisplayName (TCollectionItem)
 | SetIndex (TCollectionItem)
 | StringMessageTable (TObject)
pt | TaskButtonCollection (TTaskDialogBaseButtonItem)
 | ToString (TObject)
 | UnitName (TObject)


TTaskDialogButtonItem

TTaskDialogBaseButtonItem

TCollectionItem

TPersistent

TObject


TTaskDialogButtonItem.Create

Declaration

Source position: dialogs.pp line 577

public constructor TTaskDialogButtonItem.Create(

  ACollection: TCollection

); override;


TTaskDialogButtonItem.ModalResult

Declaration

Source position: dialogs.pp line 579

published property TTaskDialogButtonItem.ModalResult : TModalResult;


TTaskDialogButtons

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Declaration

Source position: dialogs.pp line 598

type TTaskDialogButtons = class(TOwnedCollection)

public

  function Add;

  function FindButton();

  function GetEnumerator;

  property DefaultButton: TTaskDialogBaseButtonItem; [rw]

  property Items []: TTaskDialogBaseButtonItem; default; [rw]

end;

Inheritance

TTaskDialogButtons
|

TOwnedCollection
|

TCollection
|

TPersistent,IFPObserved
|

TObject


TTaskDialogButtons
 |  | DefaultButton
 |  | Items
TOwnedCollection
TCollection
 |  | PropName
 | ro | UpdateCount
 | ro | Count
 | ro | ItemClass
 |  | Items
TPersistent
TObject


ro | Count (TCollection)
 | DefaultButton (TTaskDialogButtons)
ro | ItemClass (TCollection)
 | Items (TCollection)
 | Items (TTaskDialogButtons)
 | PropName (TCollection)
ro | UpdateCount (TCollection)


TTaskDialogButtons
 | Add
 | FindButton
 | GetEnumerator
TOwnedCollection
 | GetOwner
 | Create
TCollection
 | GetCount
 | GetPropName
 | InsertItem
 | RemoveItem
 | DoClear
 | GetAttrCount
 | GetAttr
 | GetItemAttr
 | Changed
 | GetItem
 | SetItem
 | SetItemName
 | SetPropName
 | Update
 | Notify
 | Create
 | Destroy
 | Owner
 | Add
 | Assign
 | BeginUpdate
 | Clear
 | EndUpdate
 | Delete
 | GetEnumerator
 | GetNamePath
 | Insert
 | FindItemID
 | Exchange
 | Sort
TPersistent
 | AssignError
 | AssignTo
 | DefineProperties
 | GetOwner
 | Destroy
 | Assign
 | FPOAttachObserver
 | FPODetachObserver
 | FPONotifyObservers
 | GetNamePath
TObject
 | Create
 | Destroy
 | newinstance
 | FreeInstance
 | SafeCallException
 | DefaultHandler
 | Free
 | InitInstance
 | CleanupInstance
 | ClassType
 | ClassInfo
 | ClassName
 | ClassNameIs
 | ClassParent
 | InstanceSize
 | InheritsFrom
 | StringMessageTable
 | MethodAddress
 | MethodName
 | FieldAddress
 | AfterConstruction
 | BeforeDestruction
 | DefaultHandlerStr
 | Dispatch
 | DispatchStr
 | GetInterface
 | GetInterfaceByStr
 | GetInterfaceWeak
 | GetInterfaceEntry
 | GetInterfaceEntryByStr
 | GetInterfaceTable
 | UnitName
 | Equals
 | GetHashCode
 | ToString


Add (TCollection)

Add (TTaskDialogButtons)

AfterConstruction (TObject)

Assign (TPersistent)

Assign (TCollection)

AssignError (TPersistent)

AssignTo (TPersistent)

BeforeDestruction (TObject)

BeginUpdate (TCollection)

Changed (TCollection)

ClassInfo (TObject)

ClassName (TObject)

ClassNameIs (TObject)

ClassParent (TObject)

ClassType (TObject)

CleanupInstance (TObject)

Clear (TCollection)

Create (TObject)

Create (TCollection)

Create (TOwnedCollection)

DefaultHandler (TObject)

DefaultHandlerStr (TObject)

DefineProperties (TPersistent)

Delete (TCollection)

Destroy (TObject)

Destroy (TPersistent)

Destroy (TCollection)

Dispatch (TObject)

DispatchStr (TObject)

DoClear (TCollection)

EndUpdate (TCollection)

Equals (TObject)

Exchange (TCollection)

FieldAddress (TObject)

FindButton (TTaskDialogButtons)

FindItemID (TCollection)

FPOAttachObserver (TPersistent)

FPODetachObserver (TPersistent)

FPONotifyObservers (TPersistent)

Free (TObject)

FreeInstance (TObject)

GetAttr (TCollection)

GetAttrCount (TCollection)

GetCount (TCollection)

GetEnumerator (TCollection)

GetEnumerator (TTaskDialogButtons)

GetHashCode (TObject)

GetInterface (TObject)

GetInterfaceByStr (TObject)

GetInterfaceEntry (TObject)

GetInterfaceEntryByStr (TObject)

GetInterfaceTable (TObject)

GetInterfaceWeak (TObject)

GetItem (TCollection)

GetItemAttr (TCollection)

GetNamePath (TPersistent)

GetNamePath (TCollection)

GetOwner (TPersistent)

GetOwner (TOwnedCollection)

GetPropName (TCollection)

InheritsFrom (TObject)

InitInstance (TObject)

Insert (TCollection)

InsertItem (TCollection)

InstanceSize (TObject)

MethodAddress (TObject)

MethodName (TObject)

newinstance (TObject)

Notify (TCollection)

Owner (TCollection)

RemoveItem (TCollection)

SafeCallException (TObject)

SetItem (TCollection)

SetItemName (TCollection)

SetPropName (TCollection)

Sort (TCollection)

StringMessageTable (TObject)

ToString (TObject)

UnitName (TObject)

Update (TCollection)


TTaskDialogButtons

TOwnedCollection

TCollection

TPersistent

TObject


TTaskDialogButtons.Add

Declaration

Source position: dialogs.pp line 605

public function TTaskDialogButtons.Add: TTaskDialogBaseButtonItem;


TTaskDialogButtons.DefaultButton

Declaration

Source position: dialogs.pp line 608

public property TTaskDialogButtons.DefaultButton : TTaskDialogBaseButtonItem
  read FDefaultButton
  write SetDefaultButton;


TTaskDialogButtons.FindButton

Declaration

Source position: dialogs.pp line 606

public function TTaskDialogButtons.FindButton(

  AModalResult: TModalResult

):TTaskDialogBaseButtonItem;


TTaskDialogButtons.GetEnumerator

Declaration

Source position: dialogs.pp line 607

public function TTaskDialogButtons.GetEnumerator: TTaskDialogButtonsEnumerator;


TTaskDialogButtons.Items

Declaration

Source position: dialogs.pp line 609

public property TTaskDialogButtons.Items[Index: Integer] : TTaskDialogBaseButtonItem
  read GetItem
  write SetItem;
  default;


TTaskDialogButtonsEnumerator

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Declaration

Source position: dialogs.pp line 587

type TTaskDialogButtonsEnumerator = class

public

  constructor Create();

  function GetCurrent;

  function MoveNext;

  property Current: TTaskDialogBaseButtonItem; [r]

end;

Inheritance

TTaskDialogButtonsEnumerator
|

TObject


TTaskDialogButtonsEnumerator

ro

Current


ro

Current (TTaskDialogButtonsEnumerator)


TTaskDialogButtonsEnumerator
 | Create
 | GetCurrent
 | MoveNext


TTaskDialogButtonsEnumerator


TTaskDialogButtonsEnumerator.Create

Declaration

Source position: dialogs.pp line 592

public constructor TTaskDialogButtonsEnumerator.Create(

  ACollection: TTaskDialogButtons

);


TTaskDialogButtonsEnumerator.Current

Declaration

Source position: dialogs.pp line 595

public property TTaskDialogButtonsEnumerator.Current : TTaskDialogBaseButtonItem
  read GetCurrent;


TTaskDialogButtonsEnumerator.GetCurrent

Declaration

Source position: dialogs.pp line 593

public function TTaskDialogButtonsEnumerator.GetCurrent: TTaskDialogBaseButtonItem;


TTaskDialogButtonsEnumerator.MoveNext

Declaration

Source position: dialogs.pp line 594

public function TTaskDialogButtonsEnumerator.MoveNext: Boolean;


TTaskDialogRadioButtonItem

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Declaration

Source position: dialogs.pp line 582

type TTaskDialogRadioButtonItem = class(TTaskDialogBaseButtonItem)

public

  constructor Create(); override;

end;

Inheritance

TTaskDialogRadioButtonItem
|

TTaskDialogBaseButtonItem
|

TCollectionItem
|

TPersistent,IFPObserved
|

TObject


TTaskDialogRadioButtonItem
TTaskDialogBaseButtonItem
pt | ro | Client
 |  | ModalResult
pl |  | Caption
pl |  | Default
TCollectionItem
 | ro | UpdateCount
 |  | Collection
 | ro | ID
 |  | Index
 |  | DisplayName
TPersistent
TObject


TTaskDialogRadioButtonItem
 | Create
TTaskDialogBaseButtonItem
pt | GetDisplayName
pt | TaskButtonCollection
 | Create
TCollectionItem
 | GetIndex
 | SetCollection
 | Changed
 | GetOwner
 | GetDisplayName
 | SetIndex
 | SetDisplayName
 | Create
 | Destroy
 | GetNamePath
TPersistent
 | AssignError
 | AssignTo
 | DefineProperties
 | GetOwner
 | Destroy
 | Assign
 | FPOAttachObserver
 | FPODetachObserver
 | FPONotifyObservers
 | GetNamePath
TObject
 | Create
 | Destroy
 | newinstance
 | FreeInstance
 | SafeCallException
 | DefaultHandler
 | Free
 | InitInstance
 | CleanupInstance
 | ClassType
 | ClassInfo
 | ClassName
 | ClassNameIs
 | ClassParent
 | InstanceSize
 | InheritsFrom
 | StringMessageTable
 | MethodAddress
 | MethodName
 | FieldAddress
 | AfterConstruction
 | BeforeDestruction
 | DefaultHandlerStr
 | Dispatch
 | DispatchStr
 | GetInterface
 | GetInterfaceByStr
 | GetInterfaceWeak
 | GetInterfaceEntry
 | GetInterfaceEntryByStr
 | GetInterfaceTable
 | UnitName
 | Equals
 | GetHashCode
 | ToString


 | AssignError (TPersistent)
 | AssignTo (TPersistent)
 | BeforeDestruction (TObject)
 | Changed (TCollectionItem)
 | ClassInfo (TObject)
 | ClassName (TObject)
 | ClassNameIs (TObject)
 | ClassParent (TObject)
 | ClassType (TObject)
 | CleanupInstance (TObject)
 | Create (TObject)
 | Create (TCollectionItem)
 | Create (TTaskDialogBaseButtonItem)
 | Create (TTaskDialogRadioButtonItem)
 | DefaultHandler (TObject)
 | DefaultHandlerStr (TObject)
 | DefineProperties (TPersistent)
 | Destroy (TObject)
 | Destroy (TPersistent)
 | Destroy (TCollectionItem)
 | Dispatch (TObject)
 | DispatchStr (TObject)
 | Equals (TObject)
 | FieldAddress (TObject)
 | FPOAttachObserver (TPersistent)
 | FPODetachObserver (TPersistent)
 | FPONotifyObservers (TPersistent)
 | Free (TObject)
 | FreeInstance (TObject)
 | GetDisplayName (TCollectionItem)
pt | GetDisplayName (TTaskDialogBaseButtonItem)
 | GetHashCode (TObject)
 | GetIndex (TCollectionItem)
 | GetInterface (TObject)
 | GetInterfaceByStr (TObject)
 | GetInterfaceEntry (TObject)
 | GetInterfaceEntryByStr (TObject)
 | GetInterfaceTable (TObject)
 | GetInterfaceWeak (TObject)
 | GetNamePath (TPersistent)
 | GetNamePath (TCollectionItem)
 | GetOwner (TPersistent)
 | GetOwner (TCollectionItem)
 | InheritsFrom (TObject)
 | InitInstance (TObject)
 | InstanceSize (TObject)
 | MethodAddress (TObject)
 | MethodName (TObject)
 | newinstance (TObject)
 | SafeCallException (TObject)
 | SetCollection (TCollectionItem)
 | SetDisplayName (TCollectionItem)
 | SetIndex (TCollectionItem)
 | StringMessageTable (TObject)
pt | TaskButtonCollection (TTaskDialogBaseButtonItem)
 | ToString (TObject)
 | UnitName (TObject)


TTaskDialogRadioButtonItem

TTaskDialogBaseButtonItem

TCollectionItem

TPersistent

TObject


TTaskDialogRadioButtonItem.Create

Declaration

Source position: dialogs.pp line 584

public constructor TTaskDialogRadioButtonItem.Create(

  ACollection: TCollection

); override;


TCalcEdit

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

TCalcEdit - an EditBox to hold a numeric value, with an attached SpeedButton that will summon a calculator dialog

Declaration

Source position: editbtn.pas line 788

type TCalcEdit = class(TCustomEditButton)
protected
FCalcDialog: TForm; | FCalcDialog - local variable holding the Calculator Dialog for use with this class
function GetDefaultGlyphName; override; | GetDefaultGlyphName - find the name for the default glyph for the SpeedButton
procedure ButtonClick; override;
public
constructor Create(); override; | Create - constructor for TCustomEditButton: calls inherited Create then sets some defaults and initialises some variables
procedure RunDialog; virtual; | RunDialog - perform the function of the dialog
property AutoSelected: Boolean;
published
property CalculatorLayout: TCalculatorLayout; [rw] | CalculatorLayout - normal or simple
property AsFloat: Double; [rw] | AsFloat - holds the result of the calculation as a floating-point (double precision) number
property AsInteger: Integer; [rw] | AsInteger - holds the result of the calculation as an Integer
property OnAcceptValue: TAcceptValueEvent; [rw] | OnAcceptValue - event handler for accepting the result of the calculation
property DialogTitle: string; [rws] | DialogTitle - the caption to be used for the dialog
property ButtonCaption: TCaption;
property ButtonCursor: TCursor;
property ButtonHint: TTranslateString;
property ButtonOnlyWhenFocused: Boolean; | ButtonOnlyWhenFocused - if True, the SpeedButton only appears when focus is given to the EditButton control
property ButtonWidth: Integer; | ButtonWidth - the width of the SpeedButton attached to the Edit Box
property Constraints: TSizeConstraints;
property DialogPosition: TPosition; [rw]
property DialogTop: Integer; [rw]
property DialogLeft: Integer; [rw]
property DirectInput: Boolean; | DirectInput - if True, direct data input to the Edit Box is permitted
property Glyph: TBitmap;
property NumGlyphs: Integer; | NumGlyphs - the number of available glyphs
property Images: TCustomImageList;
property ImageIndex: TImageIndex;
property ImageWidth: Integer;
property Flat: Boolean; | Flat - if True, SpeedButton appears flat rather than three-dimensional
property FocusOnButtonClick: Boolean;
property Align: TAlign; | Specifies the placement of the control inside its Parent.
property Anchors: TAnchors; | The set of anchor definitions for this control.
property BidiMode: TBiDiMode;
property BorderSpacing: TControlBorderSpacing; | Determines the inner and outer border spacing for this control.
property BorderStyle: TBorderStyle;
property AutoSize: Boolean; | Allows to automatically adjust the size of the control, according to its content.
property AutoSelect: Boolean; | If True, the edit control will select all its text when it receives focus or when the Enter key is pressed.
property Color: TColor; | The background color of the control.
property DragCursor: TCursor; | The cursor shape shown while the control is dragged.
property DragMode: TDragMode; | Allows the user to drag the control.
property Enabled: Boolean; | Determines whether the control reacts on mouse or keyboard input.
property Font: TFont; | The font to be used for text display in this control.
property Layout: TLeftRight;
property MaxLength: Integer; | The maximum length of the text; zero for unlimited.
property ParentBidiMode: Boolean;
property ParentColor: Boolean; | If true, the Color of the control will be the same as the one from the Parent. Default is true.
property ParentFont: Boolean; | If true, the Font of the control will be the same as the one from the Parent. Default is true.
property ParentShowHint: Boolean; | If true, the value of ShowHint for the control will be the same as the one from the Parent. Default is true.
property PopupMenu: TPopupMenu; | A context-sensitive menu that pops up when the right mouse button is clicked over this control
property ReadOnly: Boolean; | Prevents the user from changing the text.
property ShowHint: Boolean; | Enables the Hint display.
property Spacing: Integer;
property TabOrder: TTabOrder; | Determines the sequence of controls, reachable when the user presses the Tab key.
property TabStop: Boolean; | Allows the user to navigate to this control, by pressing the Tab key.
property Visible: Boolean; | Allows to show or hide the control, and all of its children.
property OnButtonClick: TNotifyEvent;
property OnChange: TNotifyEvent; | Event handler for any change in text.
property OnClick: TNotifyEvent; | Notification handler for mouse clicks.
property OnDblClick: TNotifyEvent; | Event Handler for double mouse clicks.
property OnDragDrop: TDragDropEvent; | This handler determines the action on an drop onto this control, in a drag-drop operation.
property OnDragOver: TDragOverEvent; | Event handler for a control being dragged over this control.
property OnEditingDone: TNotifyEvent; | Event handler when editing is done.
property OnEndDrag: TEndDragEvent; | Notification handler for the end of a dragging operation.
property OnEnter: TNotifyEvent; | Handler for control receiving the focus.
property OnExit: TNotifyEvent; | Handler for control loosing the focus. This is a good place for checking the finished user input.
property OnKeyDown: TKeyEvent; | Handler for keyboard key pressed.
property OnKeyPress: TKeyPressEvent; | Handler for a character entered by the user.
property OnKeyUp: TKeyEvent; | Handler for keyboard key released.
property OnMouseDown: TMouseEvent; | Event handler for mouse button going down.
property OnMouseEnter: TNotifyEvent;
property OnMouseLeave: TNotifyEvent;
property OnMouseMove: TMouseMoveEvent; | Event handler for mouse movement within the control.
property OnMouseUp: TMouseEvent; | Event handler for mouse button going up.
property OnMouseWheel: TMouseWheelEvent;
property OnMouseWheelDown: TMouseWheelUpDownEvent;
property OnMouseWheelUp: TMouseWheelUpDownEvent;
property OnStartDrag: TStartDragEvent; | Event handler for the start of a dragging operation.
property OnUTF8KeyPress: TUTF8KeyPressEvent; | Handler for a character entered by the user.
property Text: TCaption;
property TextHint: TTranslateString;
end;

Inheritance

TCalcEdit | TCalcEdit - an EditBox to hold a numeric value, with an attached SpeedButton that will summon a calculator dialog
|
TCustomEditButton | TCustomEditButton - base class for TEditButton, an Edit Box with attached Speed Button
|
TCustomAbstractGroupedEdit |
|
TCustomControl | The base class for windowed controls which paint themselves.
|
TWinControl | The base class for controls which can contain other (child) controls.
|
TControl | The base class for visible controls.
|
TLCLComponent | The base class for LCL components associated with widgets.
|
TComponent,IUnknown,IInterfaceComponentReference
|
TPersistent,IFPObserved
|
TObject


TCalcEdit
 | ro | AutoSelected
pl |  | CalculatorLayout
pl |  | AsFloat
pl |  | AsInteger
pl |  | DialogTitle
pl | ro | ButtonCaption
pl | ro | ButtonCursor
pl | ro | ButtonHint
pl | ro | ButtonOnlyWhenFocused
pl | ro | ButtonWidth
pl | ro | Constraints
pl |  | DialogPosition
pl |  | DialogTop
pl |  | DialogLeft
pl | ro | DirectInput
pl | ro | Glyph
pl | ro | NumGlyphs
pl | ro | Images
pl | ro | ImageIndex
pl | ro | ImageWidth
pl | ro | Flat
pl | ro | FocusOnButtonClick
pl | ro | Align
pl | ro | Anchors
pl | ro | BidiMode
pl | ro | BorderSpacing
pl | ro | BorderStyle
pl | ro | AutoSize
pl | ro | AutoSelect
pl | ro | Color
pl | ro | DragCursor
pl | ro | DragMode
pl | ro | Enabled
pl | ro | Font
pl | ro | Layout
pl | ro | MaxLength
pl | ro | ParentBidiMode
pl | ro | ParentColor
pl | ro | ParentFont
pl | ro | ParentShowHint
pl | ro | PopupMenu
pl | ro | ReadOnly
pl | ro | ShowHint
pl | ro | Spacing
pl | ro | TabOrder
pl | ro | TabStop
pl | ro | Visible
pl | ro | Text
pl | ro | TextHint
TCustomEditButton
pt | ro | Button
pt |  | ButtonCaption
pt |  | ButtonCursor
pt |  | ButtonHint
pt |  | ButtonOnlyWhenFocused
pt |  | ButtonWidth
pt | ro | Edit
pt |  | Flat
pt |  | FocusOnButtonClick
pt |  | Glyph
pt |  | NumGlyphs
pt |  | Images
pt |  | ImageIndex
pt |  | ImageWidth
pt | ro | Spacing
TCustomAbstractGroupedEdit
pt |  | AutoSelect
pt |  | AutoSelected
pt | ro | Buddy
pt |  | BuddyCaption
pt |  | BuddyCursor
pt |  | BuddyHint
pt |  | BuddyWidth
pt |  | DirectInput
pt | ro | BaseEditor
pt |  | EditMask
pt |  | EditText
pt |  | FocusOnBuddyClick
pt | ro | IsMasked
pt |  | Layout
pt |  | Spacing
 | ro | Autosize
 |  | AutoSizeHeightIsEditHeight
 |  | Alignment
 | ro | CanUndo
 |  | CaretPos
 |  | CharCase
 |  | Color
 |  | ParentColor
 |  | EchoMode
 |  | HideSelection
 |  | MaxLength
 |  | Modified
 |  | NumbersOnly
 |  | PasswordChar
 |  | PopupMenu
 |  | ReadOnly
 |  | SelLength
 |  | SelStart
 |  | SelText
 |  | TabStop
 | ro | Text
 |  | TextHint
TCustomControl
 |  | Canvas
 | ro | BorderStyle
TWinControl
pt |  | WindowHandle
pt |  | BorderStyle
pt |  | ParentBackground
 |  | BorderWidth
 | ro | BoundsLockCount
 | ro | Brush
 | ro | CachedClientHeight
 | ro | CachedClientWidth
 |  | ChildSizing
 | ro | ControlCount
 | ro | Controls
 |  | DefWndProc
 | ro | DockClientCount
 | ro | DockClients
 |  | DockManager
 |  | DockSite
 |  | DoubleBuffered
 |  | Handle
 | ro | IsFlipped
 | ro | IsResizing
 |  | TabOrder
 |  | TabStop
 |  | ParentDoubleBuffered
 |  | ParentWindow
 | ro | Showing
 |  | UseDockManager
 |  | DesignerDeleting
 | ro | VisibleDockClientCount
TControl
pt | ro | AutoSizing
pt | ro | AutoSizingAll
pt | ro | AutoSizingLockCount
pt |  | ActionLink
pt |  | DesktopFont
pt |  | DragCursor
pt |  | DragKind
pt |  | DragMode
pt |  | MouseCapture
pt |  | ParentColor
pt |  | ParentFont
pt |  | ParentShowHint
pt |  | SessionProperties
pt |  | Text
 | ro | AnchoredControls
 | ro | BaseBounds
 | ro | ReadBounds
 | ro | BaseParentClientSize
 |  | AccessibleDescription
 |  | AccessibleValue
 |  | AccessibleRole
 |  | Action
 |  | Align
 |  | Anchors
 | ro | AnchorSide
 |  | AutoSize
 |  | BorderSpacing
 |  | BoundsRect
 |  | BoundsRectForNewParent
 |  | Caption
 |  | CaptureMouseButtons
 |  | ClientHeight
 | ro | ClientOrigin
 | ro | ClientRect
 |  | ClientWidth
 |  | Color
 |  | Constraints
 | ro | ControlOrigin
 |  | ControlState
 |  | ControlStyle
 |  | Enabled
 |  | Font
 |  | IsControl
 | ro | MouseEntered
 | ro | MouseInClient
 |  | Parent
 |  | PopupMenu
 |  | ShowHint
 |  | Visible
 |  | WindowProc
 |  | DockOrientation
 | ro | Floating
 |  | FloatingDockSiteClass
 |  | HostDockSite
 |  | LRDockWidth
 |  | TBDockHeight
 |  | UndockHeight
 |  | UndockWidth
 |  | BiDiMode
 |  | ParentBiDiMode
pl |  | AnchorSideLeft
pl |  | AnchorSideTop
pl |  | AnchorSideRight
pl |  | AnchorSideBottom
pl |  | Cursor
pl |  | Left
pl |  | Height
pl |  | Hint
pl |  | Top
pl |  | Width
pl |  | HelpType
pl |  | HelpKeyword
pl |  | HelpContext
TLCLComponent
 | ro | LCLRefCount
 | ro | WidgetSetClass
TComponent
 | ro | ComObject
 | ro | Components
 | ro | ComponentCount
 |  | ComponentIndex
 | ro | ComponentState
 | ro | ComponentStyle
 |  | DesignInfo
 | ro | Owner
 |  | VCLComObject
 |  | Name
 |  | Tag
TPersistent
TObject


 |  | AccessibleDescription (TControl)
 |  | AccessibleRole (TControl)
 |  | AccessibleValue (TControl)
 |  | Action (TControl)
pt |  | ActionLink (TControl)
 |  | Align (TControl)
pl | ro | Align (TCalcEdit)
 |  | Alignment (TCustomAbstractGroupedEdit)
 | ro | AnchoredControls (TControl)
 |  | Anchors (TControl)
pl | ro | Anchors (TCalcEdit)
 | ro | AnchorSide (TControl)
pl |  | AnchorSideBottom (TControl)
pl |  | AnchorSideLeft (TControl)
pl |  | AnchorSideRight (TControl)
pl |  | AnchorSideTop (TControl)
pl |  | AsFloat (TCalcEdit)
pl |  | AsInteger (TCalcEdit)
pt |  | AutoSelect (TCustomAbstractGroupedEdit)
pl | ro | AutoSelect (TCalcEdit)
pt |  | AutoSelected (TCustomAbstractGroupedEdit)
 | ro | AutoSelected (TCalcEdit)
 |  | AutoSize (TControl)
 | ro | Autosize (TCustomAbstractGroupedEdit)
pl | ro | AutoSize (TCalcEdit)
 |  | AutoSizeHeightIsEditHeight (TCustomAbstractGroupedEdit)
pt | ro | AutoSizing (TControl)
pt | ro | AutoSizingAll (TControl)
pt | ro | AutoSizingLockCount (TControl)
 | ro | BaseBounds (TControl)
pt | ro | BaseEditor (TCustomAbstractGroupedEdit)
 | ro | BaseParentClientSize (TControl)
 |  | BiDiMode (TControl)
pl | ro | BidiMode (TCalcEdit)
 |  | BorderSpacing (TControl)
pl | ro | BorderSpacing (TCalcEdit)
pt |  | BorderStyle (TWinControl)
 | ro | BorderStyle (TCustomControl)
pl | ro | BorderStyle (TCalcEdit)
 |  | BorderWidth (TWinControl)
 | ro | BoundsLockCount (TWinControl)
 |  | BoundsRect (TControl)
 |  | BoundsRectForNewParent (TControl)
 | ro | Brush (TWinControl)
pt | ro | Buddy (TCustomAbstractGroupedEdit)
pt |  | BuddyCaption (TCustomAbstractGroupedEdit)
pt |  | BuddyCursor (TCustomAbstractGroupedEdit)
pt |  | BuddyHint (TCustomAbstractGroupedEdit)
pt |  | BuddyWidth (TCustomAbstractGroupedEdit)
pt | ro | Button (TCustomEditButton)
pt |  | ButtonCaption (TCustomEditButton)
pl | ro | ButtonCaption (TCalcEdit)
pt |  | ButtonCursor (TCustomEditButton)
pl | ro | ButtonCursor (TCalcEdit)
pt |  | ButtonHint (TCustomEditButton)
pl | ro | ButtonHint (TCalcEdit)
pt |  | ButtonOnlyWhenFocused (TCustomEditButton)
pl | ro | ButtonOnlyWhenFocused (TCalcEdit)
pt |  | ButtonWidth (TCustomEditButton)
pl | ro | ButtonWidth (TCalcEdit)
 | ro | CachedClientHeight (TWinControl)
 | ro | CachedClientWidth (TWinControl)
pl |  | CalculatorLayout (TCalcEdit)
 | ro | CanUndo (TCustomAbstractGroupedEdit)
 |  | Canvas (TCustomControl)
 |  | Caption (TControl)
 |  | CaptureMouseButtons (TControl)
 |  | CaretPos (TCustomAbstractGroupedEdit)
 |  | CharCase (TCustomAbstractGroupedEdit)
 |  | ChildSizing (TWinControl)
 |  | ClientHeight (TControl)
 | ro | ClientOrigin (TControl)
 | ro | ClientRect (TControl)
 |  | ClientWidth (TControl)
 |  | Color (TControl)
 |  | Color (TCustomAbstractGroupedEdit)
pl | ro | Color (TCalcEdit)
 | ro | ComObject (TComponent)
 | ro | ComponentCount (TComponent)
 |  | ComponentIndex (TComponent)
 | ro | Components (TComponent)
 | ro | ComponentState (TComponent)
 | ro | ComponentStyle (TComponent)
 |  | Constraints (TControl)
pl | ro | Constraints (TCalcEdit)
 | ro | ControlCount (TWinControl)
 | ro | ControlOrigin (TControl)
 | ro | Controls (TWinControl)
 |  | ControlState (TControl)
 |  | ControlStyle (TControl)
pl |  | Cursor (TControl)
 |  | DefWndProc (TWinControl)
 |  | DesignerDeleting (TWinControl)
 |  | DesignInfo (TComponent)
pt |  | DesktopFont (TControl)
pl |  | DialogLeft (TCalcEdit)
pl |  | DialogPosition (TCalcEdit)
pl |  | DialogTitle (TCalcEdit)
pl |  | DialogTop (TCalcEdit)
pt |  | DirectInput (TCustomAbstractGroupedEdit)
pl | ro | DirectInput (TCalcEdit)
 | ro | DockClientCount (TWinControl)
 | ro | DockClients (TWinControl)
 |  | DockManager (TWinControl)
 |  | DockOrientation (TControl)
 |  | DockSite (TWinControl)
 |  | DoubleBuffered (TWinControl)
pt |  | DragCursor (TControl)
pl | ro | DragCursor (TCalcEdit)
pt |  | DragKind (TControl)
pt |  | DragMode (TControl)
pl | ro | DragMode (TCalcEdit)
 |  | EchoMode (TCustomAbstractGroupedEdit)
pt | ro | Edit (TCustomEditButton)
pt |  | EditMask (TCustomAbstractGroupedEdit)
pt |  | EditText (TCustomAbstractGroupedEdit)
 |  | Enabled (TControl)
pl | ro | Enabled (TCalcEdit)
pt |  | Flat (TCustomEditButton)
pl | ro | Flat (TCalcEdit)
 | ro | Floating (TControl)
 |  | FloatingDockSiteClass (TControl)
pt |  | FocusOnBuddyClick (TCustomAbstractGroupedEdit)
pt |  | FocusOnButtonClick (TCustomEditButton)
pl | ro | FocusOnButtonClick (TCalcEdit)
 |  | Font (TControl)
pl | ro | Font (TCalcEdit)
pt |  | Glyph (TCustomEditButton)
pl | ro | Glyph (TCalcEdit)
 |  | Handle (TWinControl)
pl |  | Height (TControl)
pl |  | HelpContext (TControl)
pl |  | HelpKeyword (TControl)
pl |  | HelpType (TControl)
 |  | HideSelection (TCustomAbstractGroupedEdit)
pl |  | Hint (TControl)
 |  | HostDockSite (TControl)
pt |  | ImageIndex (TCustomEditButton)
pl | ro | ImageIndex (TCalcEdit)
pt |  | Images (TCustomEditButton)
pl | ro | Images (TCalcEdit)
pt |  | ImageWidth (TCustomEditButton)
pl | ro | ImageWidth (TCalcEdit)
 |  | IsControl (TControl)
 | ro | IsFlipped (TWinControl)
pt | ro | IsMasked (TCustomAbstractGroupedEdit)
 | ro | IsResizing (TWinControl)
pt |  | Layout (TCustomAbstractGroupedEdit)
pl | ro | Layout (TCalcEdit)
 | ro | LCLRefCount (TLCLComponent)
pl |  | Left (TControl)
 |  | LRDockWidth (TControl)
 |  | MaxLength (TCustomAbstractGroupedEdit)
pl | ro | MaxLength (TCalcEdit)
 |  | Modified (TCustomAbstractGroupedEdit)
pt |  | MouseCapture (TControl)
 | ro | MouseEntered (TControl)
 | ro | MouseInClient (TControl)
 |  | Name (TComponent)
 |  | NumbersOnly (TCustomAbstractGroupedEdit)
pt |  | NumGlyphs (TCustomEditButton)
pl | ro | NumGlyphs (TCalcEdit)
 | ro | Owner (TComponent)
 |  | Parent (TControl)
pt |  | ParentBackground (TWinControl)
 |  | ParentBiDiMode (TControl)
pl | ro | ParentBidiMode (TCalcEdit)
pt |  | ParentColor (TControl)
 |  | ParentColor (TCustomAbstractGroupedEdit)
pl | ro | ParentColor (TCalcEdit)
 |  | ParentDoubleBuffered (TWinControl)
pt |  | ParentFont (TControl)
pl | ro | ParentFont (TCalcEdit)
pt |  | ParentShowHint (TControl)
pl | ro | ParentShowHint (TCalcEdit)
 |  | ParentWindow (TWinControl)
 |  | PasswordChar (TCustomAbstractGroupedEdit)
 |  | PopupMenu (TControl)
 |  | PopupMenu (TCustomAbstractGroupedEdit)
pl | ro | PopupMenu (TCalcEdit)
 | ro | ReadBounds (TControl)
 |  | ReadOnly (TCustomAbstractGroupedEdit)
pl | ro | ReadOnly (TCalcEdit)
 |  | SelLength (TCustomAbstractGroupedEdit)
 |  | SelStart (TCustomAbstractGroupedEdit)
 |  | SelText (TCustomAbstractGroupedEdit)
pt |  | SessionProperties (TControl)
 |  | ShowHint (TControl)
pl | ro | ShowHint (TCalcEdit)
 | ro | Showing (TWinControl)
pt |  | Spacing (TCustomAbstractGroupedEdit)
pt | ro | Spacing (TCustomEditButton)
pl | ro | Spacing (TCalcEdit)
 |  | TabOrder (TWinControl)
pl | ro | TabOrder (TCalcEdit)
 |  | TabStop (TWinControl)
 |  | TabStop (TCustomAbstractGroupedEdit)
pl | ro | TabStop (TCalcEdit)
 |  | Tag (TComponent)
 |  | TBDockHeight (TControl)
pt |  | Text (TControl)
 | ro | Text (TCustomAbstractGroupedEdit)
pl | ro | Text (TCalcEdit)
 |  | TextHint (TCustomAbstractGroupedEdit)
pl | ro | TextHint (TCalcEdit)
pl |  | Top (TControl)
 |  | UndockHeight (TControl)
 |  | UndockWidth (TControl)
 |  | UseDockManager (TWinControl)
 |  | VCLComObject (TComponent)
 |  | Visible (TControl)
pl | ro | Visible (TCalcEdit)
 | ro | VisibleDockClientCount (TWinControl)
 | ro | WidgetSetClass (TLCLComponent)
pl |  | Width (TControl)
pt |  | WindowHandle (TWinControl)
 |  | WindowProc (TControl)


TCalcEdit
pt | GetDefaultGlyphName
pt | ButtonClick
 | Create
 | RunDialog
TCustomEditButton
pt | ButtonClick
pt | BuddyClick
pt | GetEditorClassType
pt | GetBuddyClassType
pt | GetControlClassDefaultSize
pt | CalcButtonVisible
pt | GetDefaultGlyphName
pt | CalculatePreferredSize
pt | CheckButtonVisible
pt | LoadDefaultGlyph
pt | GlyphChanged
 | Create
 | Destroy
TCustomAbstractGroupedEdit
pt | CalculatePreferredSize
pt | CreateBuddy
pt | CreateEditor
pt | FocusAndMaybeSelectAll
pt | GetEditorClassType
pt | GetBuddyClassType
pt | GetControlClassDefaultSize
pt | SetDirectInput
pt | RealGetText
pt | RealSetText
pt | GetEditPopupMenu
pt | GetBuddyCaption
pt | GetBuddyCursor
pt | GetBuddyHint
pt | GetBuddyWidth
pt | GetBuddyVisible
pt | SetBuddyCaption
pt | SetBuddyCursor
pt | SetBuddyHint
pt | SetBuddyWidth
pt | SetBuddyVisible
pt | BuddyClick
pt | DoEnter
pt | EditChange
pt | EditClick
pt | EditDblClick
pt | EditDragDrop
pt | EditDragOver
pt | EditEditingDone
pt | EditEndDrag
pt | EditEnter
pt | EditExit
pt | EditKeyDown
pt | EditKeyPress
pt | EditKeyUp
pt | EditMouseDown
pt | EditMouseUp
pt | EditMouseEnter
pt | EditMouseLeave
pt | EditMouseMove
pt | EditMouseWheel
pt | EditMouseWheelUp
pt | EditMouseWheelDown
pt | EditUtf8KeyPress
pt | EditStartDrag
pt | UpdateSpacing
pt | CheckCursor
pt | CMParentColorChanged
pt | EditCanModify
pt | GetSel
pt | GetSpacing
pt | SetSel
pt | Loaded
pt | Reset
pt | SetAutoSize
pt | SetColor
pt | SetCursor
pt | ShouldAutoAdjust
 | Create
 | Destroy
 | SetFocus
 | Focused
 | Clear
 | ClearSelection
 | CopyToClipboard
 | CutToClipboard
 | PasteFromClipboard
 | SelectAll
 | Undo
 | ValidateEdit
TCustomControl
pt | WSRegisterClass
pt | WMPaint
pt | DestroyWnd
pt | PaintWindow
pt | FontChanged
pt | SetColor
pt | Paint
 | Create
 | Destroy
TWinControl
pt | WSRegisterClass
pt | AdjustClientRect
pt | GetAdjustedLogicalClientRect
pt | AlignControls
pt | CustomAlignInsertBefore
pt | CustomAlignPosition
pt | DoAlignChildControls
pt | DoChildSizingChange
pt | InvalidatePreferredChildSizes
pt | CanTab
pt | IsClientHeightStored
pt | IsClientWidthStored
pt | DoSendShowHideToInterface
pt | ControlsAligned
pt | DoSendBoundsToInterface
pt | RealizeBounds
pt | RealizeBoundsRecursive
pt | InvalidateBoundsRealized
pt | CreateSubClass
pt | DoConstraintsChange
pt | DoSetBounds
pt | DoAutoSize
pt | DoAllAutoSize
pt | AllAutoSized
pt | CalculatePreferredSize
pt | GetPreferredSizeClientFrame
pt | GetChildren
pt | ChildClassAllowed
pt | PaintControls
pt | PaintHandler
pt | PaintWindow
pt | CreateBrush
pt | ScaleControls
pt | ChangeScale
pt | CMBiDiModeChanged
pt | CMBorderChanged
pt | CMDoubleBufferedChanged
pt | CMEnabledChanged
pt | CMParentDoubleBufferedChanged
pt | CMShowingChanged
pt | CMShowHintChanged
pt | CMVisibleChanged
pt | CMEnter
pt | CMExit
pt | WMContextMenu
pt | WMEraseBkgnd
pt | WMNotify
pt | WMSetFocus
pt | WMKillFocus
pt | WMShowWindow
pt | WMEnter
pt | WMExit
pt | WMKeyDown
pt | WMSysKeyDown
pt | WMKeyUp
pt | WMSysKeyUp
pt | WMChar
pt | WMSysChar
pt | WMPaint
pt | WMDestroy
pt | WMMove
pt | WMSize
pt | WMWindowPosChanged
pt | CNKeyDown
pt | CNSysKeyDown
pt | CNKeyUp
pt | CNSysKeyUp
pt | CNChar
pt | DoDragMsg
pt | DoDockClientMsg
pt | DoUndockClientMsg
pt | DoAddDockClient
pt | DockOver
pt | DoDockOver
pt | DoRemoveDockClient
pt | DoUnDock
pt | GetSiteInfo
pt | GetParentHandle
pt | GetTopParentHandle
pt | ReloadDockedControl
pt | CreateDockManager
pt | SetDockManager
pt | DoFloatMsg
pt | DoGetDockCaption
pt | DoEnter
pt | DoExit
pt | DoKeyDownBeforeInterface
pt | DoRemainingKeyDown
pt | DoRemainingKeyUp
pt | DoKeyPress
pt | DoUTF8KeyPress
pt | DoKeyUpBeforeInterface
pt | ChildKey
pt | SendDialogChar
pt | DialogChar
pt | ControlKeyDown
pt | ControlKeyUp
pt | KeyDown
pt | KeyDownBeforeInterface
pt | KeyDownAfterInterface
pt | KeyPress
pt | KeyUp
pt | KeyUpBeforeInterface
pt | KeyUpAfterInterface
pt | UTF8KeyPress
pt | FindNextControl
pt | SelectFirst
pt | RealGetText
pt | GetBorderStyle
pt | GetClientOrigin
pt | GetClientRect
pt | GetControlOrigin
pt | GetDeviceContext
pt | GetParentBackground
pt | IsControlMouseMsg
pt | CreateHandle
pt | CreateParams
pt | CreateWnd
pt | DestroyHandle
pt | DestroyWnd
pt | DoFlipChildren
pt | FinalizeWnd
pt | FixupTabList
pt | FontChanged
pt | InitializeWnd
pt | Loaded
pt | FormEndUpdated
pt | MainWndProc
pt | ParentFormHandleInitialized
pt | ChildHandlesCreated
pt | GetMouseCapture
pt | RealSetText
pt | RemoveFocus
pt | SendMoveSizeMessages
pt | SetBorderStyle
pt | SetColor
pt | SetChildZPosition
pt | SetParentBackground
pt | ShowControl
pt | UpdateControlState
pt | UpdateShowing
pt | WndProc
pt | WSSetText
 | AutoSizePhases
 | AutoSizeDelayed
 | AutoSizeDelayedReport
 | AutoSizeDelayedHandle
 | BeginUpdateBounds
 | EndUpdateBounds
 | LockRealizeBounds
 | UnlockRealizeBounds
 | ControlAtPos
 | ContainsControl
 | DoAdjustClientRectChange
 | InvalidateClientRectCache
 | ClientRectNeedsInterfaceUpdate
 | SetBounds
 | GetChildrenRect
 | DisableAlign
 | EnableAlign
 | ReAlign
 | ScrollBy_WS
 | ScrollBy
 | WriteLayoutDebugReport
 | AutoAdjustLayout
 | Create
 | CreateParented
 | CreateParentedControl
 | Destroy
 | DockDrop
 | CanFocus
 | CanSetFocus
 | GetControlIndex
 | SetControlIndex
 | Focused
 | PerformTab
 | FindChildControl
 | SelectNext
 | SetTempCursor
 | BroadCast
 | NotifyControls
 | DefaultHandler
 | GetTextLen
 | Invalidate
 | AddControl
 | InsertControl
 | RemoveControl
 | GetEnumeratorControls
 | GetEnumeratorControlsReverse
 | Repaint
 | Update
 | SetFocus
 | FlipChildren
 | ScaleBy
 | GetDockCaption
 | UpdateDockCaption
 | GetTabOrderList
 | HandleAllocated
 | ParentHandlesAllocated
 | HandleNeeded
 | BrushCreated
 | EraseBackground
 | IntfUTF8KeyPress
 | IntfGetDropFilesTarget
 | PaintTo
 | SetShape
TControl
pt | WSRegisterClass
pt | GetCursor
pt | SetCursor
pt | SetVisible
pt | DoOnParentHandleDestruction
pt | DoAutoSize
pt | DoAllAutoSize
pt | BeginAutoSizing
pt | EndAutoSizing
pt | AnchorSideChanged
pt | ForeignAnchorSideChanged
pt | SetAlign
pt | SetAnchors
pt | SetAutoSize
pt | BoundsChanged
pt | CreateControlBorderSpacing
pt | DoConstraintsChange
pt | DoBorderSpacingChange
pt | IsBorderSpacingInnerBorderStored
pt | IsCaptionStored
pt | SendMoveSizeMessages
pt | ConstrainedResize
pt | CalculatePreferredSize
pt | DoOnResize
pt | DoOnChangeBounds
pt | CheckOnChangeBounds
pt | Resize
pt | RequestAlign
pt | UpdateAnchorRules
pt | ChangeBounds
pt | DoSetBounds
pt | ScaleConstraints
pt | ChangeScale
pt | CanAutoSize
pt | SetBiDiMode
pt | SetParentBiDiMode
pt | IsAParentAligning
pt | GetClientOrigin
pt | GetClientRect
pt | GetLogicalClientRect
pt | GetScrolledClientRect
pt | GetClientScrollOffset
pt | GetControlOrigin
pt | IsClientHeightStored
pt | IsClientWidthStored
pt | WidthIsAnchored
pt | HeightIsAnchored
pt | WMCancelMode
pt | WMContextMenu
pt | WMLButtonDown
pt | WMRButtonDown
pt | WMMButtonDown
pt | WMXButtonDown
pt | WMLButtonDBLCLK
pt | WMRButtonDBLCLK
pt | WMMButtonDBLCLK
pt | WMXButtonDBLCLK
pt | WMLButtonTripleCLK
pt | WMRButtonTripleCLK
pt | WMMButtonTripleCLK
pt | WMXButtonTripleCLK
pt | WMLButtonQuadCLK
pt | WMRButtonQuadCLK
pt | WMMButtonQuadCLK
pt | WMXButtonQuadCLK
pt | WMMouseMove
pt | WMLButtonUp
pt | WMRButtonUp
pt | WMMButtonUp
pt | WMXButtonUp
pt | WMMouseWheel
pt | WMMouseHWheel
pt | WMMove
pt | WMSize
pt | WMWindowPosChanged
pt | CMChanged
pt | LMCaptureChanged
pt | CMBiDiModeChanged
pt | CMSysFontChanged
pt | CMEnabledChanged
pt | CMHitTest
pt | CMMouseEnter
pt | CMMouseLeave
pt | CMHintShow
pt | CMParentBiDiModeChanged
pt | CMParentColorChanged
pt | CMParentFontChanged
pt | CMParentShowHintChanged
pt | CMVisibleChanged
pt | CMTextChanged
pt | CMCursorChanged
pt | CalculateDockSizes
pt | CreateFloatingDockSite
pt | GetDockEdge
pt | GetDragImages
pt | GetFloating
pt | GetFloatingDockSiteClass
pt | BeforeDragStart
pt | BeginAutoDrag
pt | DoFloatMsg
pt | DockTrackNoTarget
pt | DoDock
pt | DoDragMsg
pt | DoEndDock
pt | DoEndDrag
pt | DoStartDock
pt | DoStartDrag
pt | DragCanceled
pt | DragOver
pt | PositionDockRect
pt | SetDragMode
pt | GetDefaultDockCaption
pt | Click
pt | DblClick
pt | TripleClick
pt | QuadClick
pt | GetMousePosFromMessage
pt | MouseDown
pt | MouseMove
pt | MouseUp
pt | MouseEnter
pt | MouseLeave
pt | DialogChar
pt | UpdateMouseCursor
pt | Changed
pt | GetPalette
pt | ChildClassAllowed
pt | ReadState
pt | Loaded
pt | LoadedAll
pt | DefineProperties
pt | AssignTo
pt | FormEndUpdated
pt | InvalidateControl
pt | FontChanged
pt | ParentFontChanged
pt | GetAction
pt | RealGetText
pt | RealSetText
pt | TextChanged
pt | GetCachedText
pt | SetAction
pt | SetColor
pt | SetEnabled
pt | SetHint
pt | SetName
pt | SetParent
pt | SetParentComponent
pt | WndProc
pt | ParentFormHandleInitialized
pt | GetMouseCapture
pt | CaptureChanged
pt | Notification
pt | CanTab
pt | GetDeviceContext
pt | GetEnabled
pt | GetPopupMenu
pt | DoOnShowHint
pt | DoMouseWheel
pt | DoMouseWheelDown
pt | DoMouseWheelUp
pt | DoMouseWheelHorz
pt | DoMouseWheelLeft
pt | DoMouseWheelRight
pt | VisibleChanging
pt | VisibleChanged
pt | EnabledChanging
pt | EnabledChanged
pt | AddHandler
pt | RemoveHandler
pt | DoCallNotifyHandler
pt | DoCallKeyEventHandler
pt | DoCallMouseWheelEventHandler
pt | DoContextPopup
pt | SetZOrder
pt | GetControlClassDefaultSize
pt | ColorIsStored
pt | DoAutoAdjustLayout
pt | DoFixDesignFontPPI
pt | DoScaleFontPPI
pt | GetActionLinkClass
pt | ActionChange
 | DragDrop
 | Dock
 | ManualDock
 | ManualFloat
 | ReplaceDockedControl
 | Docked
 | Dragging
 | GetAccessibleObject
 | CreateAccessibleObject
 | GetSelectedChildAccessibleObject
 | GetChildAccessibleObjectAtPos
 | ScaleDesignToForm
 | ScaleFormToDesign
 | Scale96ToForm
 | ScaleFormTo96
 | Scale96ToFont
 | ScaleFontTo96
 | ScaleScreenToFont
 | ScaleFontToScreen
 | Scale96ToScreen
 | ScaleScreenTo96
 | AdjustSize
 | AutoSizePhases
 | AutoSizeDelayed
 | AutoSizeDelayedReport
 | AutoSizeDelayedHandle
 | AnchorToNeighbour
 | AnchorParallel
 | AnchorHorizontalCenterTo
 | AnchorVerticalCenterTo
 | AnchorToCompanion
 | AnchorSame
 | AnchorAsAlign
 | AnchorClient
 | AnchoredControlCount
 | SetBounds
 | SetInitialBounds
 | SetBoundsKeepBase
 | GetPreferredSize
 | GetCanvasScaleFactor
 | GetDefaultWidth
 | GetDefaultHeight
 | GetDefaultColor
 | GetColorResolvingParent
 | GetRGBColorResolvingParent
 | GetSidePosition
 | CNPreferredSizeChanged
 | InvalidatePreferredSize
 | GetAnchorsDependingOnParent
 | DisableAutoSizing
 | EnableAutoSizing
 | UpdateBaseBounds
 | WriteLayoutDebugReport
 | AutoAdjustLayout
 | ShouldAutoAdjust
 | FixDesignFontsPPI
 | ScaleFontsPPI
 | Create
 | Destroy
 | BeforeDestruction
 | EditingDone
 | ExecuteDefaultAction
 | ExecuteCancelAction
 | BeginDrag
 | EndDrag
 | BringToFront
 | HasParent
 | GetParentComponent
 | IsParentOf
 | GetTopParent
 | IsVisible
 | IsControlVisible
 | IsEnabled
 | IsParentColor
 | IsParentFont
 | FormIsUpdating
 | IsProcessingPaintMsg
 | Hide
 | Refresh
 | Repaint
 | Invalidate
 | CheckChildClassAllowed
 | CheckNewParent
 | SendToBack
 | SetTempCursor
 | UpdateRolesForForm
 | ActiveDefaultControlChanged
 | GetTextBuf
 | GetTextLen
 | SetTextBuf
 | Perform
 | ScreenToClient
 | ClientToScreen
 | ScreenToControl
 | ControlToScreen
 | ClientToParent
 | ParentToClient
 | GetChildrenRect
 | Show
 | Update
 | HandleObjectShouldBeVisible
 | ParentDestroyingHandle
 | ParentHandlesAllocated
 | InitiateAction
 | ShowHelp
 | HasHelp
 | RemoveAllHandlersOfObject
 | AddHandlerOnResize
 | RemoveHandlerOnResize
 | AddHandlerOnChangeBounds
 | RemoveHandlerOnChangeBounds
 | AddHandlerOnVisibleChanging
 | RemoveHandlerOnVisibleChanging
 | AddHandlerOnVisibleChanged
 | RemoveHandlerOnVisibleChanged
 | AddHandlerOnEnabledChanged
 | RemoveHandlerOnEnableChanging
 | AddHandlerOnKeyDown
 | RemoveHandlerOnKeyDown
 | AddHandlerOnBeforeDestruction
 | RemoveHandlerOnBeforeDestruction
 | AddHandlerOnMouseWheel
 | RemoveHandlerOnMouseWheel
 | UseRightToLeftAlignment
 | UseRightToLeftReading
 | UseRightToLeftScrollBar
 | IsRightToLeft
TLCLComponent
pt | WSRegisterClass
pt | GetWSComponentClass
 | Create
 | Destroy
 | NewInstance
 | RemoveAllHandlersOfObject
 | IncLCLRefCount
 | DecLCLRefCount
TComponent
 | GetComObject
 | GetComponent
 | GetComponentCount
 | GetComponentIndex
 | Insert
 | ReadLeft
 | ReadTop
 | Remove
 | RemoveNotification
 | SetComponentIndex
 | SetReference
 | WriteLeft
 | WriteTop
 | ChangeName
 | DefineProperties
 | GetChildren
 | GetChildOwner
 | GetChildParent
 | GetOwner
 | Loaded
 | Loading
 | Notification
 | PaletteCreated
 | ReadState
 | SetAncestor
 | SetDesigning
 | SetDesignInstance
 | SetInline
 | SetName
 | SetChildOrder
 | SetParentComponent
 | Updating
 | Updated
 | UpdateRegistry
 | ValidateRename
 | ValidateContainer
 | ValidateInsert
 | QueryInterface
 | _AddRef
 | _Release
 | iicrGetComponent
 | GetTypeInfoCount
 | GetTypeInfo
 | GetIDsOfNames
 | Invoke
 | WriteState
 | Create
 | Destroy
 | BeforeDestruction
 | DestroyComponents
 | Destroying
 | ExecuteAction
 | FindComponent
 | FreeNotification
 | RemoveFreeNotification
 | FreeOnRelease
 | GetEnumerator
 | GetNamePath
 | GetParentComponent
 | HasParent
 | InsertComponent
 | RemoveComponent
 | SafeCallException
 | SetSubComponent
 | UpdateAction
 | IsImplementorOf
 | ReferenceInterface
TPersistent
 | AssignError
 | AssignTo
 | DefineProperties
 | GetOwner
 | Destroy
 | Assign
 | FPOAttachObserver
 | FPODetachObserver
 | FPONotifyObservers
 | GetNamePath
TObject
 | Create
 | Destroy
 | newinstance
 | FreeInstance
 | SafeCallException
 | DefaultHandler
 | Free
 | InitInstance
 | CleanupInstance
 | ClassType
 | ClassInfo
 | ClassName
 | ClassNameIs
 | ClassParent
 | InstanceSize
 | InheritsFrom
 | StringMessageTable
 | MethodAddress
 | MethodName
 | FieldAddress
 | AfterConstruction
 | BeforeDestruction
 | DefaultHandlerStr
 | Dispatch
 | DispatchStr
 | GetInterface
 | GetInterfaceByStr
 | GetInterfaceWeak
 | GetInterfaceEntry
 | GetInterfaceEntryByStr
 | GetInterfaceTable
 | UnitName
 | Equals
 | GetHashCode
 | ToString


pt | ActionChange (TControl)
 | ActiveDefaultControlChanged (TControl)
 | AddControl (TWinControl)
pt | AddHandler (TControl)
 | AddHandlerOnBeforeDestruction (TControl)
 | AddHandlerOnChangeBounds (TControl)
 | AddHandlerOnEnabledChanged (TControl)
 | AddHandlerOnKeyDown (TControl)
 | AddHandlerOnMouseWheel (TControl)
 | AddHandlerOnResize (TControl)
 | AddHandlerOnVisibleChanged (TControl)
 | AddHandlerOnVisibleChanging (TControl)
pt | AdjustClientRect (TWinControl)
 | AdjustSize (TControl)
 | AfterConstruction (TObject)
pt | AlignControls (TWinControl)
pt | AllAutoSized (TWinControl)
 | AnchorAsAlign (TControl)
 | AnchorClient (TControl)
 | AnchoredControlCount (TControl)
 | AnchorHorizontalCenterTo (TControl)
 | AnchorParallel (TControl)
 | AnchorSame (TControl)
pt | AnchorSideChanged (TControl)
 | AnchorToCompanion (TControl)
 | AnchorToNeighbour (TControl)
 | AnchorVerticalCenterTo (TControl)
 | Assign (TPersistent)
 | AssignError (TPersistent)
 | AssignTo (TPersistent)
pt | AssignTo (TControl)
 | AutoAdjustLayout (TControl)
 | AutoAdjustLayout (TWinControl)
 | AutoSizeDelayed (TControl)
 | AutoSizeDelayed (TWinControl)
 | AutoSizeDelayedHandle (TControl)
 | AutoSizeDelayedHandle (TWinControl)
 | AutoSizeDelayedReport (TControl)
 | AutoSizeDelayedReport (TWinControl)
 | AutoSizePhases (TControl)
 | AutoSizePhases (TWinControl)
 | BeforeDestruction (TObject)
 | BeforeDestruction (TComponent)
 | BeforeDestruction (TControl)
pt | BeforeDragStart (TControl)
pt | BeginAutoDrag (TControl)
pt | BeginAutoSizing (TControl)
 | BeginDrag (TControl)
 | BeginUpdateBounds (TWinControl)
pt | BoundsChanged (TControl)
 | BringToFront (TControl)
 | BroadCast (TWinControl)
 | BrushCreated (TWinControl)
pt | BuddyClick (TCustomAbstractGroupedEdit)
pt | BuddyClick (TCustomEditButton)
pt | ButtonClick (TCustomEditButton)
pt | ButtonClick (TCalcEdit)
pt | CalcButtonVisible (TCustomEditButton)
pt | CalculateDockSizes (TControl)
pt | CalculatePreferredSize (TControl)
pt | CalculatePreferredSize (TWinControl)
pt | CalculatePreferredSize (TCustomAbstractGroupedEdit)
pt | CalculatePreferredSize (TCustomEditButton)
pt | CanAutoSize (TControl)
 | CanFocus (TWinControl)
 | CanSetFocus (TWinControl)
pt | CanTab (TControl)
pt | CanTab (TWinControl)
pt | CaptureChanged (TControl)
pt | ChangeBounds (TControl)
pt | Changed (TControl)
 | ChangeName (TComponent)
pt | ChangeScale (TControl)
pt | ChangeScale (TWinControl)
pt | CheckButtonVisible (TCustomEditButton)
 | CheckChildClassAllowed (TControl)
pt | CheckCursor (TCustomAbstractGroupedEdit)
 | CheckNewParent (TControl)
pt | CheckOnChangeBounds (TControl)
pt | ChildClassAllowed (TControl)
pt | ChildClassAllowed (TWinControl)
pt | ChildHandlesCreated (TWinControl)
pt | ChildKey (TWinControl)
 | ClassInfo (TObject)
 | ClassName (TObject)
 | ClassNameIs (TObject)
 | ClassParent (TObject)
 | ClassType (TObject)
 | CleanupInstance (TObject)
 | Clear (TCustomAbstractGroupedEdit)
 | ClearSelection (TCustomAbstractGroupedEdit)
pt | Click (TControl)
 | ClientRectNeedsInterfaceUpdate (TWinControl)
 | ClientToParent (TControl)
 | ClientToScreen (TControl)
pt | CMBiDiModeChanged (TControl)
pt | CMBiDiModeChanged (TWinControl)
pt | CMBorderChanged (TWinControl)
pt | CMChanged (TControl)
pt | CMCursorChanged (TControl)
pt | CMDoubleBufferedChanged (TWinControl)
pt | CMEnabledChanged (TControl)
pt | CMEnabledChanged (TWinControl)
pt | CMEnter (TWinControl)
pt | CMExit (TWinControl)
pt | CMHintShow (TControl)
pt | CMHitTest (TControl)
pt | CMMouseEnter (TControl)
pt | CMMouseLeave (TControl)
pt | CMParentBiDiModeChanged (TControl)
pt | CMParentColorChanged (TControl)
pt | CMParentColorChanged (TCustomAbstractGroupedEdit)
pt | CMParentDoubleBufferedChanged (TWinControl)
pt | CMParentFontChanged (TControl)
pt | CMParentShowHintChanged (TControl)
pt | CMShowHintChanged (TWinControl)
pt | CMShowingChanged (TWinControl)
pt | CMSysFontChanged (TControl)
pt | CMTextChanged (TControl)
pt | CMVisibleChanged (TControl)
pt | CMVisibleChanged (TWinControl)
pt | CNChar (TWinControl)
pt | CNKeyDown (TWinControl)
pt | CNKeyUp (TWinControl)
 | CNPreferredSizeChanged (TControl)
pt | CNSysKeyDown (TWinControl)
pt | CNSysKeyUp (TWinControl)
pt | ColorIsStored (TControl)
pt | ConstrainedResize (TControl)
 | ContainsControl (TWinControl)
 | ControlAtPos (TWinControl)
pt | ControlKeyDown (TWinControl)
pt | ControlKeyUp (TWinControl)
pt | ControlsAligned (TWinControl)
 | ControlToScreen (TControl)
 | CopyToClipboard (TCustomAbstractGroupedEdit)
 | Create (TObject)
 | Create (TComponent)
 | Create (TLCLComponent)
 | Create (TControl)
 | Create (TWinControl)
 | Create (TCustomControl)
 | Create (TCustomAbstractGroupedEdit)
 | Create (TCustomEditButton)
 | Create (TCalcEdit)
 | CreateAccessibleObject (TControl)
pt | CreateBrush (TWinControl)
pt | CreateBuddy (TCustomAbstractGroupedEdit)
pt | CreateControlBorderSpacing (TControl)
pt | CreateDockManager (TWinControl)
pt | CreateEditor (TCustomAbstractGroupedEdit)
pt | CreateFloatingDockSite (TControl)
pt | CreateHandle (TWinControl)
pt | CreateParams (TWinControl)
 | CreateParented (TWinControl)
 | CreateParentedControl (TWinControl)
pt | CreateSubClass (TWinControl)
pt | CreateWnd (TWinControl)
pt | CustomAlignInsertBefore (TWinControl)
pt | CustomAlignPosition (TWinControl)
 | CutToClipboard (TCustomAbstractGroupedEdit)
pt | DblClick (TControl)
 | DecLCLRefCount (TLCLComponent)
 | DefaultHandler (TObject)
 | DefaultHandler (TWinControl)
 | DefaultHandlerStr (TObject)
 | DefineProperties (TPersistent)
 | DefineProperties (TComponent)
pt | DefineProperties (TControl)
 | Destroy (TObject)
 | Destroy (TPersistent)
 | Destroy (TComponent)
 | Destroy (TLCLComponent)
 | Destroy (TControl)
 | Destroy (TWinControl)
 | Destroy (TCustomControl)
 | Destroy (TCustomAbstractGroupedEdit)
 | Destroy (TCustomEditButton)
 | DestroyComponents (TComponent)
pt | DestroyHandle (TWinControl)
 | Destroying (TComponent)
pt | DestroyWnd (TWinControl)
pt | DestroyWnd (TCustomControl)
pt | DialogChar (TControl)
pt | DialogChar (TWinControl)
 | DisableAlign (TWinControl)
 | DisableAutoSizing (TControl)
 | Dispatch (TObject)
 | DispatchStr (TObject)
pt | DoAddDockClient (TWinControl)
 | DoAdjustClientRectChange (TWinControl)
pt | DoAlignChildControls (TWinControl)
pt | DoAllAutoSize (TControl)
pt | DoAllAutoSize (TWinControl)
pt | DoAutoAdjustLayout (TControl)
pt | DoAutoSize (TControl)
pt | DoAutoSize (TWinControl)
pt | DoBorderSpacingChange (TControl)
pt | DoCallKeyEventHandler (TControl)
pt | DoCallMouseWheelEventHandler (TControl)
pt | DoCallNotifyHandler (TControl)
pt | DoChildSizingChange (TWinControl)
 | Dock (TControl)
 | DockDrop (TWinControl)
 | Docked (TControl)
pt | DockOver (TWinControl)
pt | DockTrackNoTarget (TControl)
pt | DoConstraintsChange (TControl)
pt | DoConstraintsChange (TWinControl)
pt | DoContextPopup (TControl)
pt | DoDock (TControl)
pt | DoDockClientMsg (TWinControl)
pt | DoDockOver (TWinControl)
pt | DoDragMsg (TControl)
pt | DoDragMsg (TWinControl)
pt | DoEndDock (TControl)
pt | DoEndDrag (TControl)
pt | DoEnter (TWinControl)
pt | DoEnter (TCustomAbstractGroupedEdit)
pt | DoExit (TWinControl)
pt | DoFixDesignFontPPI (TControl)
pt | DoFlipChildren (TWinControl)
pt | DoFloatMsg (TControl)
pt | DoFloatMsg (TWinControl)
pt | DoGetDockCaption (TWinControl)
pt | DoKeyDownBeforeInterface (TWinControl)
pt | DoKeyPress (TWinControl)
pt | DoKeyUpBeforeInterface (TWinControl)
pt | DoMouseWheel (TControl)
pt | DoMouseWheelDown (TControl)
pt | DoMouseWheelHorz (TControl)
pt | DoMouseWheelLeft (TControl)
pt | DoMouseWheelRight (TControl)
pt | DoMouseWheelUp (TControl)
pt | DoOnChangeBounds (TControl)
pt | DoOnParentHandleDestruction (TControl)
pt | DoOnResize (TControl)
pt | DoOnShowHint (TControl)
pt | DoRemainingKeyDown (TWinControl)
pt | DoRemainingKeyUp (TWinControl)
pt | DoRemoveDockClient (TWinControl)
pt | DoScaleFontPPI (TControl)
pt | DoSendBoundsToInterface (TWinControl)
pt | DoSendShowHideToInterface (TWinControl)
pt | DoSetBounds (TControl)
pt | DoSetBounds (TWinControl)
pt | DoStartDock (TControl)
pt | DoStartDrag (TControl)
pt | DoUnDock (TWinControl)
pt | DoUndockClientMsg (TWinControl)
pt | DoUTF8KeyPress (TWinControl)
pt | DragCanceled (TControl)
 | DragDrop (TControl)
 | Dragging (TControl)
pt | DragOver (TControl)
pt | EditCanModify (TCustomAbstractGroupedEdit)
pt | EditChange (TCustomAbstractGroupedEdit)
pt | EditClick (TCustomAbstractGroupedEdit)
pt | EditDblClick (TCustomAbstractGroupedEdit)
pt | EditDragDrop (TCustomAbstractGroupedEdit)
pt | EditDragOver (TCustomAbstractGroupedEdit)
pt | EditEditingDone (TCustomAbstractGroupedEdit)
pt | EditEndDrag (TCustomAbstractGroupedEdit)
pt | EditEnter (TCustomAbstractGroupedEdit)
pt | EditExit (TCustomAbstractGroupedEdit)
 | EditingDone (TControl)
pt | EditKeyDown (TCustomAbstractGroupedEdit)
pt | EditKeyPress (TCustomAbstractGroupedEdit)
pt | EditKeyUp (TCustomAbstractGroupedEdit)
pt | EditMouseDown (TCustomAbstractGroupedEdit)
pt | EditMouseEnter (TCustomAbstractGroupedEdit)
pt | EditMouseLeave (TCustomAbstractGroupedEdit)
pt | EditMouseMove (TCustomAbstractGroupedEdit)
pt | EditMouseUp (TCustomAbstractGroupedEdit)
pt | EditMouseWheel (TCustomAbstractGroupedEdit)
pt | EditMouseWheelDown (TCustomAbstractGroupedEdit)
pt | EditMouseWheelUp (TCustomAbstractGroupedEdit)
pt | EditStartDrag (TCustomAbstractGroupedEdit)
pt | EditUtf8KeyPress (TCustomAbstractGroupedEdit)
 | EnableAlign (TWinControl)
 | EnableAutoSizing (TControl)
pt | EnabledChanged (TControl)
pt | EnabledChanging (TControl)
pt | EndAutoSizing (TControl)
 | EndDrag (TControl)
 | EndUpdateBounds (TWinControl)
 | Equals (TObject)
 | EraseBackground (TWinControl)
 | ExecuteAction (TComponent)
 | ExecuteCancelAction (TControl)
 | ExecuteDefaultAction (TControl)
 | FieldAddress (TObject)
pt | FinalizeWnd (TWinControl)
 | FindChildControl (TWinControl)
 | FindComponent (TComponent)
pt | FindNextControl (TWinControl)
 | FixDesignFontsPPI (TControl)
pt | FixupTabList (TWinControl)
 | FlipChildren (TWinControl)
pt | FocusAndMaybeSelectAll (TCustomAbstractGroupedEdit)
 | Focused (TWinControl)
 | Focused (TCustomAbstractGroupedEdit)
pt | FontChanged (TControl)
pt | FontChanged (TWinControl)
pt | FontChanged (TCustomControl)
pt | ForeignAnchorSideChanged (TControl)
pt | FormEndUpdated (TControl)
pt | FormEndUpdated (TWinControl)
 | FormIsUpdating (TControl)
 | FPOAttachObserver (TPersistent)
 | FPODetachObserver (TPersistent)
 | FPONotifyObservers (TPersistent)
 | Free (TObject)
 | FreeInstance (TObject)
 | FreeNotification (TComponent)
 | FreeOnRelease (TComponent)
 | GetAccessibleObject (TControl)
pt | GetAction (TControl)
pt | GetActionLinkClass (TControl)
pt | GetAdjustedLogicalClientRect (TWinControl)
 | GetAnchorsDependingOnParent (TControl)
pt | GetBorderStyle (TWinControl)
pt | GetBuddyCaption (TCustomAbstractGroupedEdit)
pt | GetBuddyClassType (TCustomAbstractGroupedEdit)
pt | GetBuddyClassType (TCustomEditButton)
pt | GetBuddyCursor (TCustomAbstractGroupedEdit)
pt | GetBuddyHint (TCustomAbstractGroupedEdit)
pt | GetBuddyVisible (TCustomAbstractGroupedEdit)
pt | GetBuddyWidth (TCustomAbstractGroupedEdit)
pt | GetCachedText (TControl)
 | GetCanvasScaleFactor (TControl)
 | GetChildAccessibleObjectAtPos (TControl)
 | GetChildOwner (TComponent)
 | GetChildParent (TComponent)
 | GetChildren (TComponent)
pt | GetChildren (TWinControl)
 | GetChildrenRect (TControl)
 | GetChildrenRect (TWinControl)
pt | GetClientOrigin (TControl)
pt | GetClientOrigin (TWinControl)
pt | GetClientRect (TControl)
pt | GetClientRect (TWinControl)
pt | GetClientScrollOffset (TControl)
 | GetColorResolvingParent (TControl)
 | GetComObject (TComponent)
 | GetComponent (TComponent)
 | GetComponentCount (TComponent)
 | GetComponentIndex (TComponent)
pt | GetControlClassDefaultSize (TControl)
pt | GetControlClassDefaultSize (TCustomAbstractGroupedEdit)
pt | GetControlClassDefaultSize (TCustomEditButton)
 | GetControlIndex (TWinControl)
pt | GetControlOrigin (TControl)
pt | GetControlOrigin (TWinControl)
pt | GetCursor (TControl)
 | GetDefaultColor (TControl)
pt | GetDefaultDockCaption (TControl)
pt | GetDefaultGlyphName (TCustomEditButton)
pt | GetDefaultGlyphName (TCalcEdit)
 | GetDefaultHeight (TControl)
 | GetDefaultWidth (TControl)
pt | GetDeviceContext (TControl)
pt | GetDeviceContext (TWinControl)
 | GetDockCaption (TWinControl)
pt | GetDockEdge (TControl)
pt | GetDragImages (TControl)
pt | GetEditorClassType (TCustomAbstractGroupedEdit)
pt | GetEditorClassType (TCustomEditButton)
pt | GetEditPopupMenu (TCustomAbstractGroupedEdit)
pt | GetEnabled (TControl)
 | GetEnumerator (TComponent)
 | GetEnumeratorControls (TWinControl)
 | GetEnumeratorControlsReverse (TWinControl)
pt | GetFloating (TControl)
pt | GetFloatingDockSiteClass (TControl)
 | GetHashCode (TObject)
 | GetIDsOfNames (TComponent)
 | GetInterface (TObject)
 | GetInterfaceByStr (TObject)
 | GetInterfaceEntry (TObject)
 | GetInterfaceEntryByStr (TObject)
 | GetInterfaceTable (TObject)
 | GetInterfaceWeak (TObject)
pt | GetLogicalClientRect (TControl)
pt | GetMouseCapture (TControl)
pt | GetMouseCapture (TWinControl)
pt | GetMousePosFromMessage (TControl)
 | GetNamePath (TPersistent)
 | GetNamePath (TComponent)
 | GetOwner (TPersistent)
 | GetOwner (TComponent)
pt | GetPalette (TControl)
pt | GetParentBackground (TWinControl)
 | GetParentComponent (TComponent)
 | GetParentComponent (TControl)
pt | GetParentHandle (TWinControl)
pt | GetPopupMenu (TControl)
 | GetPreferredSize (TControl)
pt | GetPreferredSizeClientFrame (TWinControl)
 | GetRGBColorResolvingParent (TControl)
pt | GetScrolledClientRect (TControl)
pt | GetSel (TCustomAbstractGroupedEdit)
 | GetSelectedChildAccessibleObject (TControl)
 | GetSidePosition (TControl)
pt | GetSiteInfo (TWinControl)
pt | GetSpacing (TCustomAbstractGroupedEdit)
 | GetTabOrderList (TWinControl)
 | GetTextBuf (TControl)
 | GetTextLen (TControl)
 | GetTextLen (TWinControl)
 | GetTopParent (TControl)
pt | GetTopParentHandle (TWinControl)
 | GetTypeInfo (TComponent)
 | GetTypeInfoCount (TComponent)
pt | GetWSComponentClass (TLCLComponent)
pt | GlyphChanged (TCustomEditButton)
 | HandleAllocated (TWinControl)
 | HandleNeeded (TWinControl)
 | HandleObjectShouldBeVisible (TControl)
 | HasHelp (TControl)
 | HasParent (TComponent)
 | HasParent (TControl)
pt | HeightIsAnchored (TControl)
 | Hide (TControl)
 | iicrGetComponent (TComponent)
 | IncLCLRefCount (TLCLComponent)
 | InheritsFrom (TObject)
pt | InitializeWnd (TWinControl)
 | InitiateAction (TControl)
 | InitInstance (TObject)
 | Insert (TComponent)
 | InsertComponent (TComponent)
 | InsertControl (TWinControl)
 | InstanceSize (TObject)
 | IntfGetDropFilesTarget (TWinControl)
 | IntfUTF8KeyPress (TWinControl)
 | Invalidate (TControl)
 | Invalidate (TWinControl)
pt | InvalidateBoundsRealized (TWinControl)
 | InvalidateClientRectCache (TWinControl)
pt | InvalidateControl (TControl)
pt | InvalidatePreferredChildSizes (TWinControl)
 | InvalidatePreferredSize (TControl)
 | Invoke (TComponent)
pt | IsAParentAligning (TControl)
pt | IsBorderSpacingInnerBorderStored (TControl)
pt | IsCaptionStored (TControl)
pt | IsClientHeightStored (TControl)
pt | IsClientHeightStored (TWinControl)
pt | IsClientWidthStored (TControl)
pt | IsClientWidthStored (TWinControl)
pt | IsControlMouseMsg (TWinControl)
 | IsControlVisible (TControl)
 | IsEnabled (TControl)
 | IsImplementorOf (TComponent)
 | IsParentColor (TControl)
 | IsParentFont (TControl)
 | IsParentOf (TControl)
 | IsProcessingPaintMsg (TControl)
 | IsRightToLeft (TControl)
 | IsVisible (TControl)
pt | KeyDown (TWinControl)
pt | KeyDownAfterInterface (TWinControl)
pt | KeyDownBeforeInterface (TWinControl)
pt | KeyPress (TWinControl)
pt | KeyUp (TWinControl)
pt | KeyUpAfterInterface (TWinControl)
pt | KeyUpBeforeInterface (TWinControl)
pt | LMCaptureChanged (TControl)
pt | LoadDefaultGlyph (TCustomEditButton)
 | Loaded (TComponent)
pt | Loaded (TControl)
pt | Loaded (TWinControl)
pt | Loaded (TCustomAbstractGroupedEdit)
pt | LoadedAll (TControl)
 | Loading (TComponent)
 | LockRealizeBounds (TWinControl)
pt | MainWndProc (TWinControl)
 | ManualDock (TControl)
 | ManualFloat (TControl)
 | MethodAddress (TObject)
 | MethodName (TObject)
pt | MouseDown (TControl)
pt | MouseEnter (TControl)
pt | MouseLeave (TControl)
pt | MouseMove (TControl)
pt | MouseUp (TControl)
 | newinstance (TObject)
 | NewInstance (TLCLComponent)
 | Notification (TComponent)
pt | Notification (TControl)
 | NotifyControls (TWinControl)
pt | Paint (TCustomControl)
pt | PaintControls (TWinControl)
pt | PaintHandler (TWinControl)
 | PaintTo (TWinControl)
pt | PaintWindow (TWinControl)
pt | PaintWindow (TCustomControl)
 | PaletteCreated (TComponent)
 | ParentDestroyingHandle (TControl)
pt | ParentFontChanged (TControl)
pt | ParentFormHandleInitialized (TControl)
pt | ParentFormHandleInitialized (TWinControl)
 | ParentHandlesAllocated (TControl)
 | ParentHandlesAllocated (TWinControl)
 | ParentToClient (TControl)
 | PasteFromClipboard (TCustomAbstractGroupedEdit)
 | Perform (TControl)
 | PerformTab (TWinControl)
pt | PositionDockRect (TControl)
pt | QuadClick (TControl)
 | QueryInterface (TComponent)
 | ReadLeft (TComponent)
 | ReadState (TComponent)
pt | ReadState (TControl)
 | ReadTop (TComponent)
pt | RealGetText (TControl)
pt | RealGetText (TWinControl)
pt | RealGetText (TCustomAbstractGroupedEdit)
 | ReAlign (TWinControl)
pt | RealizeBounds (TWinControl)
pt | RealizeBoundsRecursive (TWinControl)
pt | RealSetText (TControl)
pt | RealSetText (TWinControl)
pt | RealSetText (TCustomAbstractGroupedEdit)
 | ReferenceInterface (TComponent)
 | Refresh (TControl)
pt | ReloadDockedControl (TWinControl)
 | Remove (TComponent)
 | RemoveAllHandlersOfObject (TLCLComponent)
 | RemoveAllHandlersOfObject (TControl)
 | RemoveComponent (TComponent)
 | RemoveControl (TWinControl)
pt | RemoveFocus (TWinControl)
 | RemoveFreeNotification (TComponent)
pt | RemoveHandler (TControl)
 | RemoveHandlerOnBeforeDestruction (TControl)
 | RemoveHandlerOnChangeBounds (TControl)
 | RemoveHandlerOnEnableChanging (TControl)
 | RemoveHandlerOnKeyDown (TControl)
 | RemoveHandlerOnMouseWheel (TControl)
 | RemoveHandlerOnResize (TControl)
 | RemoveHandlerOnVisibleChanged (TControl)
 | RemoveHandlerOnVisibleChanging (TControl)
 | RemoveNotification (TComponent)
 | Repaint (TControl)
 | Repaint (TWinControl)
 | ReplaceDockedControl (TControl)
pt | RequestAlign (TControl)
pt | Reset (TCustomAbstractGroupedEdit)
pt | Resize (TControl)
 | RunDialog (TCalcEdit)
 | SafeCallException (TObject)
 | SafeCallException (TComponent)
 | Scale96ToFont (TControl)
 | Scale96ToForm (TControl)
 | Scale96ToScreen (TControl)
 | ScaleBy (TWinControl)
pt | ScaleConstraints (TControl)
pt | ScaleControls (TWinControl)
 | ScaleDesignToForm (TControl)
 | ScaleFontsPPI (TControl)
 | ScaleFontTo96 (TControl)
 | ScaleFontToScreen (TControl)
 | ScaleFormTo96 (TControl)
 | ScaleFormToDesign (TControl)
 | ScaleScreenTo96 (TControl)
 | ScaleScreenToFont (TControl)
 | ScreenToClient (TControl)
 | ScreenToControl (TControl)
 | ScrollBy (TWinControl)
 | ScrollBy_WS (TWinControl)
 | SelectAll (TCustomAbstractGroupedEdit)
pt | SelectFirst (TWinControl)
 | SelectNext (TWinControl)
pt | SendDialogChar (TWinControl)
pt | SendMoveSizeMessages (TControl)
pt | SendMoveSizeMessages (TWinControl)
 | SendToBack (TControl)
pt | SetAction (TControl)
pt | SetAlign (TControl)
 | SetAncestor (TComponent)
pt | SetAnchors (TControl)
pt | SetAutoSize (TControl)
pt | SetAutoSize (TCustomAbstractGroupedEdit)
pt | SetBiDiMode (TControl)
pt | SetBorderStyle (TWinControl)
 | SetBounds (TControl)
 | SetBounds (TWinControl)
 | SetBoundsKeepBase (TControl)
pt | SetBuddyCaption (TCustomAbstractGroupedEdit)
pt | SetBuddyCursor (TCustomAbstractGroupedEdit)
pt | SetBuddyHint (TCustomAbstractGroupedEdit)
pt | SetBuddyVisible (TCustomAbstractGroupedEdit)
pt | SetBuddyWidth (TCustomAbstractGroupedEdit)
 | SetChildOrder (TComponent)
pt | SetChildZPosition (TWinControl)
pt | SetColor (TControl)
pt | SetColor (TWinControl)
pt | SetColor (TCustomControl)
pt | SetColor (TCustomAbstractGroupedEdit)
 | SetComponentIndex (TComponent)
 | SetControlIndex (TWinControl)
pt | SetCursor (TControl)
pt | SetCursor (TCustomAbstractGroupedEdit)
 | SetDesigning (TComponent)
 | SetDesignInstance (TComponent)
pt | SetDirectInput (TCustomAbstractGroupedEdit)
pt | SetDockManager (TWinControl)
pt | SetDragMode (TControl)
pt | SetEnabled (TControl)
 | SetFocus (TWinControl)
 | SetFocus (TCustomAbstractGroupedEdit)
pt | SetHint (TControl)
 | SetInitialBounds (TControl)
 | SetInline (TComponent)
 | SetName (TComponent)
pt | SetName (TControl)
pt | SetParent (TControl)
pt | SetParentBackground (TWinControl)
pt | SetParentBiDiMode (TControl)
 | SetParentComponent (TComponent)
pt | SetParentComponent (TControl)
 | SetReference (TComponent)
pt | SetSel (TCustomAbstractGroupedEdit)
 | SetShape (TWinControl)
 | SetSubComponent (TComponent)
 | SetTempCursor (TControl)
 | SetTempCursor (TWinControl)
 | SetTextBuf (TControl)
pt | SetVisible (TControl)
pt | SetZOrder (TControl)
 | ShouldAutoAdjust (TControl)
pt | ShouldAutoAdjust (TCustomAbstractGroupedEdit)
 | Show (TControl)
pt | ShowControl (TWinControl)
 | ShowHelp (TControl)
 | StringMessageTable (TObject)
pt | TextChanged (TControl)
 | ToString (TObject)
pt | TripleClick (TControl)
 | Undo (TCustomAbstractGroupedEdit)
 | UnitName (TObject)
 | UnlockRealizeBounds (TWinControl)
 | Update (TControl)
 | Update (TWinControl)
 | UpdateAction (TComponent)
pt | UpdateAnchorRules (TControl)
 | UpdateBaseBounds (TControl)
pt | UpdateControlState (TWinControl)
 | Updated (TComponent)
 | UpdateDockCaption (TWinControl)
pt | UpdateMouseCursor (TControl)
 | UpdateRegistry (TComponent)
 | UpdateRolesForForm (TControl)
pt | UpdateShowing (TWinControl)
pt | UpdateSpacing (TCustomAbstractGroupedEdit)
 | Updating (TComponent)
 | UseRightToLeftAlignment (TControl)
 | UseRightToLeftReading (TControl)
 | UseRightToLeftScrollBar (TControl)
pt | UTF8KeyPress (TWinControl)
 | ValidateContainer (TComponent)
 | ValidateEdit (TCustomAbstractGroupedEdit)
 | ValidateInsert (TComponent)
 | ValidateRename (TComponent)
pt | VisibleChanged (TControl)
pt | VisibleChanging (TControl)
pt | WidthIsAnchored (TControl)
pt | WMCancelMode (TControl)
pt | WMChar (TWinControl)
pt | WMContextMenu (TControl)
pt | WMContextMenu (TWinControl)
pt | WMDestroy (TWinControl)
pt | WMEnter (TWinControl)
pt | WMEraseBkgnd (TWinControl)
pt | WMExit (TWinControl)
pt | WMKeyDown (TWinControl)
pt | WMKeyUp (TWinControl)
pt | WMKillFocus (TWinControl)
pt | WMLButtonDBLCLK (TControl)
pt | WMLButtonDown (TControl)
pt | WMLButtonQuadCLK (TControl)
pt | WMLButtonTripleCLK (TControl)
pt | WMLButtonUp (TControl)
pt | WMMButtonDBLCLK (TControl)
pt | WMMButtonDown (TControl)
pt | WMMButtonQuadCLK (TControl)
pt | WMMButtonTripleCLK (TControl)
pt | WMMButtonUp (TControl)
pt | WMMouseHWheel (TControl)
pt | WMMouseMove (TControl)
pt | WMMouseWheel (TControl)
pt | WMMove (TControl)
pt | WMMove (TWinControl)
pt | WMNotify (TWinControl)
pt | WMPaint (TWinControl)
pt | WMPaint (TCustomControl)
pt | WMRButtonDBLCLK (TControl)
pt | WMRButtonDown (TControl)
pt | WMRButtonQuadCLK (TControl)
pt | WMRButtonTripleCLK (TControl)
pt | WMRButtonUp (TControl)
pt | WMSetFocus (TWinControl)
pt | WMShowWindow (TWinControl)
pt | WMSize (TControl)
pt | WMSize (TWinControl)
pt | WMSysChar (TWinControl)
pt | WMSysKeyDown (TWinControl)
pt | WMSysKeyUp (TWinControl)
pt | WMWindowPosChanged (TControl)
pt | WMWindowPosChanged (TWinControl)
pt | WMXButtonDBLCLK (TControl)
pt | WMXButtonDown (TControl)
pt | WMXButtonQuadCLK (TControl)
pt | WMXButtonTripleCLK (TControl)
pt | WMXButtonUp (TControl)
pt | WndProc (TControl)
pt | WndProc (TWinControl)
 | WriteLayoutDebugReport (TControl)
 | WriteLayoutDebugReport (TWinControl)
 | WriteLeft (TComponent)
 | WriteState (TComponent)
 | WriteTop (TComponent)
pt | WSRegisterClass (TLCLComponent)
pt | WSRegisterClass (TControl)
pt | WSRegisterClass (TWinControl)
pt | WSRegisterClass (TCustomControl)
pt | WSSetText (TWinControl)
 | _AddRef (TComponent)
 | _Release (TComponent)


TCalcEdit
pl |  | OnAcceptValue
pl | ro | OnButtonClick
pl | ro | OnChange
pl | ro | OnClick
pl | ro | OnDblClick
pl | ro | OnDragDrop
pl | ro | OnDragOver
pl | ro | OnEditingDone
pl | ro | OnEndDrag
pl | ro | OnEnter
pl | ro | OnExit
pl | ro | OnKeyDown
pl | ro | OnKeyPress
pl | ro | OnKeyUp
pl | ro | OnMouseDown
pl | ro | OnMouseEnter
pl | ro | OnMouseLeave
pl | ro | OnMouseMove
pl | ro | OnMouseUp
pl | ro | OnMouseWheel
pl | ro | OnMouseWheelDown
pl | ro | OnMouseWheelUp
pl | ro | OnStartDrag
pl | ro | OnUTF8KeyPress
TCustomEditButton
pt |  | OnButtonClick
TCustomAbstractGroupedEdit
pt |  | OnBuddyClick
 |  | OnChange
 |  | OnClick
 |  | OnDblClick
 |  | OnDragDrop
 |  | OnDragOver
 |  | OnEditingDone
 |  | OnEndDrag
 |  | OnEnter
 |  | OnExit
 |  | OnMouseDown
 |  | OnKeyPress
 |  | OnKeyDown
 |  | OnKeyUp
 |  | OnMouseEnter
 |  | OnMouseLeave
 |  | OnMouseMove
 |  | OnMouseWheel
 |  | OnMouseWheelUp
 |  | OnMouseWheelDown
 |  | OnMouseUp
 |  | OnStartDrag
 |  | OnUtf8KeyPress
TCustomControl
 |  | OnPaint
TWinControl
pt |  | OnGetSiteInfo
pt |  | OnGetDockCaption
 |  | OnAlignInsertBefore
 |  | OnAlignPosition
 |  | OnDockDrop
 |  | OnDockOver
 |  | OnEnter
 |  | OnExit
 |  | OnKeyDown
 |  | OnKeyPress
 |  | OnKeyUp
 |  | OnUnDock
 |  | OnUTF8KeyPress
TControl
pt |  | OnConstrainedResize
pt |  | OnContextPopup
pt |  | OnDblClick
pt |  | OnTripleClick
pt |  | OnQuadClick
pt |  | OnDragDrop
pt |  | OnDragOver
pt |  | OnEndDock
pt |  | OnEndDrag
pt |  | OnMouseDown
pt |  | OnMouseMove
pt |  | OnMouseUp
pt |  | OnMouseEnter
pt |  | OnMouseLeave
pt |  | OnMouseWheel
pt |  | OnMouseWheelDown
pt |  | OnMouseWheelUp
pt |  | OnMouseWheelHorz
pt |  | OnMouseWheelLeft
pt |  | OnMouseWheelRight
pt |  | OnStartDock
pt |  | OnStartDrag
pt |  | OnEditingDone
 |  | OnChangeBounds
 |  | OnClick
 |  | OnResize
 |  | OnShowHint
TLCLComponent
TComponent
TPersistent
TObject


pl |  | OnAcceptValue (TCalcEdit)
 |  | OnAlignInsertBefore (TWinControl)
 |  | OnAlignPosition (TWinControl)
pt |  | OnBuddyClick (TCustomAbstractGroupedEdit)
pt |  | OnButtonClick (TCustomEditButton)
pl | ro | OnButtonClick (TCalcEdit)
 |  | OnChange (TCustomAbstractGroupedEdit)
pl | ro | OnChange (TCalcEdit)
 |  | OnChangeBounds (TControl)
 |  | OnClick (TControl)
 |  | OnClick (TCustomAbstractGroupedEdit)
pl | ro | OnClick (TCalcEdit)
pt |  | OnConstrainedResize (TControl)
pt |  | OnContextPopup (TControl)
pt |  | OnDblClick (TControl)
 |  | OnDblClick (TCustomAbstractGroupedEdit)
pl | ro | OnDblClick (TCalcEdit)
 |  | OnDockDrop (TWinControl)
 |  | OnDockOver (TWinControl)
pt |  | OnDragDrop (TControl)
 |  | OnDragDrop (TCustomAbstractGroupedEdit)
pl | ro | OnDragDrop (TCalcEdit)
pt |  | OnDragOver (TControl)
 |  | OnDragOver (TCustomAbstractGroupedEdit)
pl | ro | OnDragOver (TCalcEdit)
pt |  | OnEditingDone (TControl)
 |  | OnEditingDone (TCustomAbstractGroupedEdit)
pl | ro | OnEditingDone (TCalcEdit)
pt |  | OnEndDock (TControl)
pt |  | OnEndDrag (TControl)
 |  | OnEndDrag (TCustomAbstractGroupedEdit)
pl | ro | OnEndDrag (TCalcEdit)
 |  | OnEnter (TWinControl)
 |  | OnEnter (TCustomAbstractGroupedEdit)
pl | ro | OnEnter (TCalcEdit)
 |  | OnExit (TWinControl)
 |  | OnExit (TCustomAbstractGroupedEdit)
pl | ro | OnExit (TCalcEdit)
pt |  | OnGetDockCaption (TWinControl)
pt |  | OnGetSiteInfo (TWinControl)
 |  | OnKeyDown (TWinControl)
 |  | OnKeyDown (TCustomAbstractGroupedEdit)
pl | ro | OnKeyDown (TCalcEdit)
 |  | OnKeyPress (TWinControl)
 |  | OnKeyPress (TCustomAbstractGroupedEdit)
pl | ro | OnKeyPress (TCalcEdit)
 |  | OnKeyUp (TWinControl)
 |  | OnKeyUp (TCustomAbstractGroupedEdit)
pl | ro | OnKeyUp (TCalcEdit)
pt |  | OnMouseDown (TControl)
 |  | OnMouseDown (TCustomAbstractGroupedEdit)
pl | ro | OnMouseDown (TCalcEdit)
pt |  | OnMouseEnter (TControl)
 |  | OnMouseEnter (TCustomAbstractGroupedEdit)
pl | ro | OnMouseEnter (TCalcEdit)
pt |  | OnMouseLeave (TControl)
 |  | OnMouseLeave (TCustomAbstractGroupedEdit)
pl | ro | OnMouseLeave (TCalcEdit)
pt |  | OnMouseMove (TControl)
 |  | OnMouseMove (TCustomAbstractGroupedEdit)
pl | ro | OnMouseMove (TCalcEdit)
pt |  | OnMouseUp (TControl)
 |  | OnMouseUp (TCustomAbstractGroupedEdit)
pl | ro | OnMouseUp (TCalcEdit)
pt |  | OnMouseWheel (TControl)
 |  | OnMouseWheel (TCustomAbstractGroupedEdit)
pl | ro | OnMouseWheel (TCalcEdit)
pt |  | OnMouseWheelDown (TControl)
 |  | OnMouseWheelDown (TCustomAbstractGroupedEdit)
pl | ro | OnMouseWheelDown (TCalcEdit)
pt |  | OnMouseWheelHorz (TControl)
pt |  | OnMouseWheelLeft (TControl)
pt |  | OnMouseWheelRight (TControl)
pt |  | OnMouseWheelUp (TControl)
 |  | OnMouseWheelUp (TCustomAbstractGroupedEdit)
pl | ro | OnMouseWheelUp (TCalcEdit)
 |  | OnPaint (TCustomControl)
pt |  | OnQuadClick (TControl)
 |  | OnResize (TControl)
 |  | OnShowHint (TControl)
pt |  | OnStartDock (TControl)
pt |  | OnStartDrag (TControl)
 |  | OnStartDrag (TCustomAbstractGroupedEdit)
pl | ro | OnStartDrag (TCalcEdit)
pt |  | OnTripleClick (TControl)
 |  | OnUnDock (TWinControl)
 |  | OnUTF8KeyPress (TWinControl)
 |  | OnUtf8KeyPress (TCustomAbstractGroupedEdit)
pl | ro | OnUTF8KeyPress (TCalcEdit)


TCalcEdit.AsFloat

AsFloat - holds the result of the calculation as a floating-point (double precision) number

Declaration

Source position: editbtn.pas line 812

published property TCalcEdit.AsFloat : Double
  read GetAsFloat
  write SetAsFloat;


TCalcEdit.AsInteger

AsInteger - holds the result of the calculation as an Integer

Declaration

Source position: editbtn.pas line 813

published property TCalcEdit.AsInteger : Integer
  read GetAsInteger
  write SetAsInteger;


TCalcEdit.AutoSelected

Declaration

Source position: editbtn.pas line 808

public property TCalcEdit.AutoSelected : Boolean;


TCalcEdit.BidiMode

Declaration

Source position: editbtn.pas line 837

published property TCalcEdit.BidiMode : TBiDiMode;


TCalcEdit.BorderStyle

Declaration

Source position: editbtn.pas line 839

published property TCalcEdit.BorderStyle : TBorderStyle;


TCalcEdit.ButtonCaption

Declaration

Source position: editbtn.pas line 817

published property TCalcEdit.ButtonCaption : TCaption;


TCalcEdit.ButtonClick

Declaration

Source position: editbtn.pas line 804

protected procedure TCalcEdit.ButtonClick; override;


TCalcEdit.ButtonCursor

Declaration

Source position: editbtn.pas line 818

published property TCalcEdit.ButtonCursor : TCursor;


TCalcEdit.CalculatorLayout

CalculatorLayout - normal or simple

Declaration

Source position: editbtn.pas line 811

published property TCalcEdit.CalculatorLayout : TCalculatorLayout
  read FCalculatorLayout
  write FCalculatorLayout;


TCalcEdit.Constraints

Declaration

Source position: editbtn.pas line 822

published property TCalcEdit.Constraints : TSizeConstraints;


TCalcEdit.DialogLeft

Declaration

Source position: editbtn.pas line 825

published property TCalcEdit.DialogLeft : Integer
  read FDialogLeft
  write FDialogLeft;


TCalcEdit.DialogPosition

Declaration

Source position: editbtn.pas line 823

published property TCalcEdit.DialogPosition : TPosition
  read FDialogPosition
  write FDialogPosition
  default poScreenCenter;


TCalcEdit.DialogTitle

DialogTitle - the caption to be used for the dialog

Declaration

Source position: editbtn.pas line 815

published property TCalcEdit.DialogTitle : string
  read FDialogTitle
  write FDialogTitle
  stored TitleStored;


TCalcEdit.DialogTop

Declaration

Source position: editbtn.pas line 824

published property TCalcEdit.DialogTop : Integer
  read FDialogTop
  write FDialogTop;


TCalcEdit.FCalcDialog

FCalcDialog - local variable holding the Calculator Dialog for use with this class

Declaration

Source position: editbtn.pas line 802

protected TCalcEdit.FCalcDialog : TForm;


TCalcEdit.FocusOnButtonClick

Declaration

Source position: editbtn.pas line 833

published property TCalcEdit.FocusOnButtonClick : Boolean;


TCalcEdit.ImageIndex

Declaration

Source position: editbtn.pas line 830

published property TCalcEdit.ImageIndex : TImageIndex;


TCalcEdit.Images

Declaration

Source position: editbtn.pas line 829

published property TCalcEdit.Images : TCustomImageList;


TCalcEdit.ImageWidth

Declaration

Source position: editbtn.pas line 831

published property TCalcEdit.ImageWidth : Integer;


TCalcEdit.Layout

Declaration

Source position: editbtn.pas line 847

published property TCalcEdit.Layout : TLeftRight;


TCalcEdit.OnAcceptValue

OnAcceptValue - event handler for accepting the result of the calculation

Declaration

Source position: editbtn.pas line 814

published property TCalcEdit.OnAcceptValue : TAcceptValueEvent
  read FOnAcceptValue
  write FOnAcceptValue;


TCalcEdit.OnMouseEnter

Declaration

Source position: editbtn.pas line 874

published property TCalcEdit.OnMouseEnter : TNotifyEvent;


TCalcEdit.OnMouseLeave

Declaration

Source position: editbtn.pas line 875

published property TCalcEdit.OnMouseLeave : TNotifyEvent;


TCalcEdit.OnMouseWheel

Declaration

Source position: editbtn.pas line 878

published property TCalcEdit.OnMouseWheel : TMouseWheelEvent;


TCalcEdit.OnMouseWheelDown

Declaration

Source position: editbtn.pas line 879

published property TCalcEdit.OnMouseWheelDown : TMouseWheelUpDownEvent;


TCalcEdit.OnMouseWheelUp

Declaration

Source position: editbtn.pas line 880

published property TCalcEdit.OnMouseWheelUp : TMouseWheelUpDownEvent;


TCalcEdit.ParentBidiMode

Declaration

Source position: editbtn.pas line 849

published property TCalcEdit.ParentBidiMode : Boolean;


TCalcEdit.RunDialog

RunDialog - perform the function of the dialog

Declaration

Source position: editbtn.pas line 807

public procedure TCalcEdit.RunDialog; virtual;


TCalcEdit.Spacing

Declaration

Source position: editbtn.pas line 856

published property TCalcEdit.Spacing : Integer;


TCalcEdit.Text

Declaration

Source position: editbtn.pas line 883

published property TCalcEdit.Text : TCaption;


TCalcEdit.TextHint

Declaration

Source position: editbtn.pas line 884

published property TCalcEdit.TextHint : TTranslateString;


TCustomControlFilterEdit

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Base class for filter controls which associate to a container control like Listbox or Treeview.

Declaration

Source position: editbtn.pas line 220

type TCustomControlFilterEdit = class(TCustomEditButton)
protected
fNeedUpdate: Boolean;
fIsFirstUpdate: Boolean;
fSelectedPart: TObject;
fOnFilterItem: TFilterItemEvent;
fOnFilterItemEx: TFilterItemExEvent;
fOnCheckItem: TCheckItemEvent;
procedure DestroyWnd; override;
function DoDefaultFilterItem(); virtual;
function DoFilterItem(); virtual;
procedure EditKeyDown(); override;
procedure EditChange; override;
procedure BuddyClick; override;
procedure SortAndFilter; virtual; abstract;
procedure ApplyFilter(); | Filters the data and updates the container.
procedure ApplyFilterCore; virtual; abstract; | Method that actually filters data in the container component. Must be implementation inherited classes.
procedure MoveNext(); virtual; abstract;
procedure MovePrev(); virtual; abstract;
procedure MovePageUp(); virtual; abstract;
procedure MovePageDown(); virtual; abstract;
procedure MoveHome(); virtual; abstract;
procedure MoveEnd(); virtual; abstract;
function ReturnKeyHandled; virtual; abstract;
function GetDefaultGlyphName; override;
public
constructor Create(); override;
destructor Destroy; override;
procedure InvalidateFilter; | Should be called when data was changed and it must be filtered again.
procedure ResetFilter; | Removes the filter text and shows all items in the container.
function ForceFilter(); | Applies a new filter immediately without waiting for idle. Returns the previous filter.
procedure StoreSelection; virtual; abstract;
procedure RestoreSelection; virtual; abstract;
property Filter: string; [rw] | The actual filter text.
property FilterLowercase: string; [r]
property IdleConnected: Boolean; [rw]
property SortData: Boolean; [rw] | Items can be sorted while they are filtered.
property SelectedPart: TObject; [rw] | For retaining selection in the filtered control. The actual type depends on the control.
published
property CharCase: TEditCharCase;
property FilterOptions: TFilterStringOptions; [rw]
property OnAfterFilter: TNotifyEvent; [rw] | Called after all items are filtered.
property OnFilterItem: TFilterItemEvent; [rw] deprecated ; | An event handler to give extra conditions for filtering, in addition to the default behavior. Returns True if the passes the filter.
property OnFilterItemEx: TFilterItemExEvent; [rw]
property OnCheckItem: TCheckItemEvent; [rw] | Has effect when items in the filtered container can be checked. Typically a CheckListbox.
property ButtonCaption: TCaption;
property ButtonCursor: TCursor;
property ButtonHint: TTranslateString;
property ButtonOnlyWhenFocused: Boolean;
property ButtonWidth: Integer;
property Constraints: TSizeConstraints;
property DirectInput: Boolean;
property Flat: Boolean;
property FocusOnButtonClick: Boolean;
property Align: TAlign;
property Anchors: TAnchors;
property BidiMode: TBiDiMode;
property BorderSpacing: TControlBorderSpacing;
property BorderStyle: TBorderStyle;
property AutoSize: Boolean;
property AutoSelect: Boolean;
property Color: TColor;
property DragCursor: TCursor;
property DragMode: TDragMode;
property Enabled: Boolean;
property Font: TFont;
property Glyph: TBitmap;
property NumGlyphs: Integer;
property Images: TCustomImageList;
property ImageIndex: TImageIndex;
property ImageWidth: Integer;
property Layout: TLeftRight;
property MaxLength: Integer;
property ParentBidiMode: Boolean;
property ParentColor: Boolean;
property ParentFont: Boolean;
property ParentShowHint: Boolean;
property PopupMenu: TPopupMenu;
property ReadOnly: Boolean;
property ShowHint: Boolean;
property Spacing: Integer;
property TabOrder: TTabOrder;
property TabStop: Boolean;
property Visible: Boolean;
property OnButtonClick: TNotifyEvent;
property OnChange: TNotifyEvent;
property OnClick: TNotifyEvent;
property OnDblClick: TNotifyEvent;
property OnDragDrop: TDragDropEvent;
property OnDragOver: TDragOverEvent;
property OnEditingDone: TNotifyEvent;
property OnEndDrag: TEndDragEvent;
property OnEnter: TNotifyEvent;
property OnExit: TNotifyEvent;
property OnKeyDown: TKeyEvent;
property OnKeyPress: TKeyPressEvent;
property OnKeyUp: TKeyEvent;
property OnMouseDown: TMouseEvent;
property OnMouseEnter: TNotifyEvent;
property OnMouseLeave: TNotifyEvent;
property OnMouseMove: TMouseMoveEvent;
property OnMouseUp: TMouseEvent;
property OnMouseWheel: TMouseWheelEvent;
property OnMouseWheelDown: TMouseWheelUpDownEvent;
property OnMouseWheelUp: TMouseWheelUpDownEvent;
property OnStartDrag: TStartDragEvent;
property OnUTF8KeyPress: TUTF8KeyPressEvent;
property Text: TCaption;
property TextHint: TTranslateString; [s]
end;

Inheritance

TCustomControlFilterEdit | Base class for filter controls which associate to a container control like Listbox or Treeview.
|
TCustomEditButton | TCustomEditButton - base class for TEditButton, an Edit Box with attached Speed Button
|
TCustomAbstractGroupedEdit |
|
TCustomControl | The base class for windowed controls which paint themselves.
|
TWinControl | The base class for controls which can contain other (child) controls.
|
TControl | The base class for visible controls.
|
TLCLComponent | The base class for LCL components associated with widgets.
|
TComponent,IUnknown,IInterfaceComponentReference
|
TPersistent,IFPObserved
|
TObject

Description

When the container control is connected to the filter control, the filtering happens automatically as a user enters text. When the filter is empty and does not have focus, it shows a grey "(filter)" text.


TCustomControlFilterEdit
 |  | Filter
 | ro | FilterLowercase
 |  | IdleConnected
 |  | SortData
 |  | SelectedPart
pl | ro | CharCase
pl |  | FilterOptions
pl | ro | ButtonCaption
pl | ro | ButtonCursor
pl | ro | ButtonHint
pl | ro | ButtonOnlyWhenFocused
pl | ro | ButtonWidth
pl | ro | Constraints
pl | ro | DirectInput
pl | ro | Flat
pl | ro | FocusOnButtonClick
pl | ro | Align
pl | ro | Anchors
pl | ro | BidiMode
pl | ro | BorderSpacing
pl | ro | BorderStyle
pl | ro | AutoSize
pl | ro | AutoSelect
pl | ro | Color
pl | ro | DragCursor
pl | ro | DragMode
pl | ro | Enabled
pl | ro | Font
pl | ro | Glyph
pl | ro | NumGlyphs
pl | ro | Images
pl | ro | ImageIndex
pl | ro | ImageWidth
pl | ro | Layout
pl | ro | MaxLength
pl | ro | ParentBidiMode
pl | ro | ParentColor
pl | ro | ParentFont
pl | ro | ParentShowHint
pl | ro | PopupMenu
pl | ro | ReadOnly
pl | ro | ShowHint
pl | ro | Spacing
pl | ro | TabOrder
pl | ro | TabStop
pl | ro | Visible
pl | ro | Text
pl | ro | TextHint
TCustomEditButton
pt | ro | Button
pt |  | ButtonCaption
pt |  | ButtonCursor
pt |  | ButtonHint
pt |  | ButtonOnlyWhenFocused
pt |  | ButtonWidth
pt | ro | Edit
pt |  | Flat
pt |  | FocusOnButtonClick
pt |  | Glyph
pt |  | NumGlyphs
pt |  | Images
pt |  | ImageIndex
pt |  | ImageWidth
pt | ro | Spacing
TCustomAbstractGroupedEdit
pt |  | AutoSelect
pt |  | AutoSelected
pt | ro | Buddy
pt |  | BuddyCaption
pt |  | BuddyCursor
pt |  | BuddyHint
pt |  | BuddyWidth
pt |  | DirectInput
pt | ro | BaseEditor
pt |  | EditMask
pt |  | EditText
pt |  | FocusOnBuddyClick
pt | ro | IsMasked
pt |  | Layout
pt |  | Spacing
 | ro | Autosize
 |  | AutoSizeHeightIsEditHeight
 |  | Alignment
 | ro | CanUndo
 |  | CaretPos
 |  | CharCase
 |  | Color
 |  | ParentColor
 |  | EchoMode
 |  | HideSelection
 |  | MaxLength
 |  | Modified
 |  | NumbersOnly
 |  | PasswordChar
 |  | PopupMenu
 |  | ReadOnly
 |  | SelLength
 |  | SelStart
 |  | SelText
 |  | TabStop
 | ro | Text
 |  | TextHint
TCustomControl
 |  | Canvas
 | ro | BorderStyle
TWinControl
pt |  | WindowHandle
pt |  | BorderStyle
pt |  | ParentBackground
 |  | BorderWidth
 | ro | BoundsLockCount
 | ro | Brush
 | ro | CachedClientHeight
 | ro | CachedClientWidth
 |  | ChildSizing
 | ro | ControlCount
 | ro | Controls
 |  | DefWndProc
 | ro | DockClientCount
 | ro | DockClients
 |  | DockManager
 |  | DockSite
 |  | DoubleBuffered
 |  | Handle
 | ro | IsFlipped
 | ro | IsResizing
 |  | TabOrder
 |  | TabStop
 |  | ParentDoubleBuffered
 |  | ParentWindow
 | ro | Showing
 |  | UseDockManager
 |  | DesignerDeleting
 | ro | VisibleDockClientCount
TControl
pt | ro | AutoSizing
pt | ro | AutoSizingAll
pt | ro | AutoSizingLockCount
pt |  | ActionLink
pt |  | DesktopFont
pt |  | DragCursor
pt |  | DragKind
pt |  | DragMode
pt |  | MouseCapture
pt |  | ParentColor
pt |  | ParentFont
pt |  | ParentShowHint
pt |  | SessionProperties
pt |  | Text
 | ro | AnchoredControls
 | ro | BaseBounds
 | ro | ReadBounds
 | ro | BaseParentClientSize
 |  | AccessibleDescription
 |  | AccessibleValue
 |  | AccessibleRole
 |  | Action
 |  | Align
 |  | Anchors
 | ro | AnchorSide
 |  | AutoSize
 |  | BorderSpacing
 |  | BoundsRect
 |  | BoundsRectForNewParent
 |  | Caption
 |  | CaptureMouseButtons
 |  | ClientHeight
 | ro | ClientOrigin
 | ro | ClientRect
 |  | ClientWidth
 |  | Color
 |  | Constraints
 | ro | ControlOrigin
 |  | ControlState
 |  | ControlStyle
 |  | Enabled
 |  | Font
 |  | IsControl
 | ro | MouseEntered
 | ro | MouseInClient
 |  | Parent
 |  | PopupMenu
 |  | ShowHint
 |  | Visible
 |  | WindowProc
 |  | DockOrientation
 | ro | Floating
 |  | FloatingDockSiteClass
 |  | HostDockSite
 |  | LRDockWidth
 |  | TBDockHeight
 |  | UndockHeight
 |  | UndockWidth
 |  | BiDiMode
 |  | ParentBiDiMode
pl |  | AnchorSideLeft
pl |  | AnchorSideTop
pl |  | AnchorSideRight
pl |  | AnchorSideBottom
pl |  | Cursor
pl |  | Left
pl |  | Height
pl |  | Hint
pl |  | Top
pl |  | Width
pl |  | HelpType
pl |  | HelpKeyword
pl |  | HelpContext
TLCLComponent
 | ro | LCLRefCount
 | ro | WidgetSetClass
TComponent
 | ro | ComObject
 | ro | Components
 | ro | ComponentCount
 |  | ComponentIndex
 | ro | ComponentState
 | ro | ComponentStyle
 |  | DesignInfo
 | ro | Owner
 |  | VCLComObject
 |  | Name
 |  | Tag
TPersistent
TObject


 |  | AccessibleDescription (TControl)
 |  | AccessibleRole (TControl)
 |  | AccessibleValue (TControl)
 |  | Action (TControl)
pt |  | ActionLink (TControl)
 |  | Align (TControl)
pl | ro | Align (TCustomControlFilterEdit)
 |  | Alignment (TCustomAbstractGroupedEdit)
 | ro | AnchoredControls (TControl)
 |  | Anchors (TControl)
pl | ro | Anchors (TCustomControlFilterEdit)
 | ro | AnchorSide (TControl)
pl |  | AnchorSideBottom (TControl)
pl |  | AnchorSideLeft (TControl)
pl |  | AnchorSideRight (TControl)
pl |  | AnchorSideTop (TControl)
pt |  | AutoSelect (TCustomAbstractGroupedEdit)
pl | ro | AutoSelect (TCustomControlFilterEdit)
pt |  | AutoSelected (TCustomAbstractGroupedEdit)
 |  | AutoSize (TControl)
 | ro | Autosize (TCustomAbstractGroupedEdit)
pl | ro | AutoSize (TCustomControlFilterEdit)
 |  | AutoSizeHeightIsEditHeight (TCustomAbstractGroupedEdit)
pt | ro | AutoSizing (TControl)
pt | ro | AutoSizingAll (TControl)
pt | ro | AutoSizingLockCount (TControl)
 | ro | BaseBounds (TControl)
pt | ro | BaseEditor (TCustomAbstractGroupedEdit)
 | ro | BaseParentClientSize (TControl)
 |  | BiDiMode (TControl)
pl | ro | BidiMode (TCustomControlFilterEdit)
 |  | BorderSpacing (TControl)
pl | ro | BorderSpacing (TCustomControlFilterEdit)
pt |  | BorderStyle (TWinControl)
 | ro | BorderStyle (TCustomControl)
pl | ro | BorderStyle (TCustomControlFilterEdit)
 |  | BorderWidth (TWinControl)
 | ro | BoundsLockCount (TWinControl)
 |  | BoundsRect (TControl)
 |  | BoundsRectForNewParent (TControl)
 | ro | Brush (TWinControl)
pt | ro | Buddy (TCustomAbstractGroupedEdit)
pt |  | BuddyCaption (TCustomAbstractGroupedEdit)
pt |  | BuddyCursor (TCustomAbstractGroupedEdit)
pt |  | BuddyHint (TCustomAbstractGroupedEdit)
pt |  | BuddyWidth (TCustomAbstractGroupedEdit)
pt | ro | Button (TCustomEditButton)
pt |  | ButtonCaption (TCustomEditButton)
pl | ro | ButtonCaption (TCustomControlFilterEdit)
pt |  | ButtonCursor (TCustomEditButton)
pl | ro | ButtonCursor (TCustomControlFilterEdit)
pt |  | ButtonHint (TCustomEditButton)
pl | ro | ButtonHint (TCustomControlFilterEdit)
pt |  | ButtonOnlyWhenFocused (TCustomEditButton)
pl | ro | ButtonOnlyWhenFocused (TCustomControlFilterEdit)
pt |  | ButtonWidth (TCustomEditButton)
pl | ro | ButtonWidth (TCustomControlFilterEdit)
 | ro | CachedClientHeight (TWinControl)
 | ro | CachedClientWidth (TWinControl)
 | ro | CanUndo (TCustomAbstractGroupedEdit)
 |  | Canvas (TCustomControl)
 |  | Caption (TControl)
 |  | CaptureMouseButtons (TControl)
 |  | CaretPos (TCustomAbstractGroupedEdit)
 |  | CharCase (TCustomAbstractGroupedEdit)
pl | ro | CharCase (TCustomControlFilterEdit)
 |  | ChildSizing (TWinControl)
 |  | ClientHeight (TControl)
 | ro | ClientOrigin (TControl)
 | ro | ClientRect (TControl)
 |  | ClientWidth (TControl)
 |  | Color (TControl)
 |  | Color (TCustomAbstractGroupedEdit)
pl | ro | Color (TCustomControlFilterEdit)
 | ro | ComObject (TComponent)
 | ro | ComponentCount (TComponent)
 |  | ComponentIndex (TComponent)
 | ro | Components (TComponent)
 | ro | ComponentState (TComponent)
 | ro | ComponentStyle (TComponent)
 |  | Constraints (TControl)
pl | ro | Constraints (TCustomControlFilterEdit)
 | ro | ControlCount (TWinControl)
 | ro | ControlOrigin (TControl)
 | ro | Controls (TWinControl)
 |  | ControlState (TControl)
 |  | ControlStyle (TControl)
pl |  | Cursor (TControl)
 |  | DefWndProc (TWinControl)
 |  | DesignerDeleting (TWinControl)
 |  | DesignInfo (TComponent)
pt |  | DesktopFont (TControl)
pt |  | DirectInput (TCustomAbstractGroupedEdit)
pl | ro | DirectInput (TCustomControlFilterEdit)
 | ro | DockClientCount (TWinControl)
 | ro | DockClients (TWinControl)
 |  | DockManager (TWinControl)
 |  | DockOrientation (TControl)
 |  | DockSite (TWinControl)
 |  | DoubleBuffered (TWinControl)
pt |  | DragCursor (TControl)
pl | ro | DragCursor (TCustomControlFilterEdit)
pt |  | DragKind (TControl)
pt |  | DragMode (TControl)
pl | ro | DragMode (TCustomControlFilterEdit)
 |  | EchoMode (TCustomAbstractGroupedEdit)
pt | ro | Edit (TCustomEditButton)
pt |  | EditMask (TCustomAbstractGroupedEdit)
pt |  | EditText (TCustomAbstractGroupedEdit)
 |  | Enabled (TControl)
pl | ro | Enabled (TCustomControlFilterEdit)
 |  | Filter (TCustomControlFilterEdit)
 | ro | FilterLowercase (TCustomControlFilterEdit)
pl |  | FilterOptions (TCustomControlFilterEdit)
pt |  | Flat (TCustomEditButton)
pl | ro | Flat (TCustomControlFilterEdit)
 | ro | Floating (TControl)
 |  | FloatingDockSiteClass (TControl)
pt |  | FocusOnBuddyClick (TCustomAbstractGroupedEdit)
pt |  | FocusOnButtonClick (TCustomEditButton)
pl | ro | FocusOnButtonClick (TCustomControlFilterEdit)
 |  | Font (TControl)
pl | ro | Font (TCustomControlFilterEdit)
pt |  | Glyph (TCustomEditButton)
pl | ro | Glyph (TCustomControlFilterEdit)
 |  | Handle (TWinControl)
pl |  | Height (TControl)
pl |  | HelpContext (TControl)
pl |  | HelpKeyword (TControl)
pl |  | HelpType (TControl)
 |  | HideSelection (TCustomAbstractGroupedEdit)
pl |  | Hint (TControl)
 |  | HostDockSite (TControl)
 |  | IdleConnected (TCustomControlFilterEdit)
pt |  | ImageIndex (TCustomEditButton)
pl | ro | ImageIndex (TCustomControlFilterEdit)
pt |  | Images (TCustomEditButton)
pl | ro | Images (TCustomControlFilterEdit)
pt |  | ImageWidth (TCustomEditButton)
pl | ro | ImageWidth (TCustomControlFilterEdit)
 |  | IsControl (TControl)
 | ro | IsFlipped (TWinControl)
pt | ro | IsMasked (TCustomAbstractGroupedEdit)
 | ro | IsResizing (TWinControl)
pt |  | Layout (TCustomAbstractGroupedEdit)
pl | ro | Layout (TCustomControlFilterEdit)
 | ro | LCLRefCount (TLCLComponent)
pl |  | Left (TControl)
 |  | LRDockWidth (TControl)
 |  | MaxLength (TCustomAbstractGroupedEdit)
pl | ro | MaxLength (TCustomControlFilterEdit)
 |  | Modified (TCustomAbstractGroupedEdit)
pt |  | MouseCapture (TControl)
 | ro | MouseEntered (TControl)
 | ro | MouseInClient (TControl)
 |  | Name (TComponent)
 |  | NumbersOnly (TCustomAbstractGroupedEdit)
pt |  | NumGlyphs (TCustomEditButton)
pl | ro | NumGlyphs (TCustomControlFilterEdit)
 | ro | Owner (TComponent)
 |  | Parent (TControl)
pt |  | ParentBackground (TWinControl)
 |  | ParentBiDiMode (TControl)
pl | ro | ParentBidiMode (TCustomControlFilterEdit)
pt |  | ParentColor (TControl)
 |  | ParentColor (TCustomAbstractGroupedEdit)
pl | ro | ParentColor (TCustomControlFilterEdit)
 |  | ParentDoubleBuffered (TWinControl)
pt |  | ParentFont (TControl)
pl | ro | ParentFont (TCustomControlFilterEdit)
pt |  | ParentShowHint (TControl)
pl | ro | ParentShowHint (TCustomControlFilterEdit)
 |  | ParentWindow (TWinControl)
 |  | PasswordChar (TCustomAbstractGroupedEdit)
 |  | PopupMenu (TControl)
 |  | PopupMenu (TCustomAbstractGroupedEdit)
pl | ro | PopupMenu (TCustomControlFilterEdit)
 | ro | ReadBounds (TControl)
 |  | ReadOnly (TCustomAbstractGroupedEdit)
pl | ro | ReadOnly (TCustomControlFilterEdit)
 |  | SelectedPart (TCustomControlFilterEdit)
 |  | SelLength (TCustomAbstractGroupedEdit)
 |  | SelStart (TCustomAbstractGroupedEdit)
 |  | SelText (TCustomAbstractGroupedEdit)
pt |  | SessionProperties (TControl)
 |  | ShowHint (TControl)
pl | ro | ShowHint (TCustomControlFilterEdit)
 | ro | Showing (TWinControl)
 |  | SortData (TCustomControlFilterEdit)
pt |  | Spacing (TCustomAbstractGroupedEdit)
pt | ro | Spacing (TCustomEditButton)
pl | ro | Spacing (TCustomControlFilterEdit)
 |  | TabOrder (TWinControl)
pl | ro | TabOrder (TCustomControlFilterEdit)
 |  | TabStop (TWinControl)
 |  | TabStop (TCustomAbstractGroupedEdit)
pl | ro | TabStop (TCustomControlFilterEdit)
 |  | Tag (TComponent)
 |  | TBDockHeight (TControl)
pt |  | Text (TControl)
 | ro | Text (TCustomAbstractGroupedEdit)
pl | ro | Text (TCustomControlFilterEdit)
 |  | TextHint (TCustomAbstractGroupedEdit)
pl | ro | TextHint (TCustomControlFilterEdit)
pl |  | Top (TControl)
 |  | UndockHeight (TControl)
 |  | UndockWidth (TControl)
 |  | UseDockManager (TWinControl)
 |  | VCLComObject (TComponent)
 |  | Visible (TControl)
pl | ro | Visible (TCustomControlFilterEdit)
 | ro | VisibleDockClientCount (TWinControl)
 | ro | WidgetSetClass (TLCLComponent)
pl |  | Width (TControl)
pt |  | WindowHandle (TWinControl)
 |  | WindowProc (TControl)


TCustomControlFilterEdit
pt | DestroyWnd
pt | DoDefaultFilterItem
pt | DoFilterItem
pt | EditKeyDown
pt | EditChange
pt | BuddyClick
pt | SortAndFilter
pt | ApplyFilter
pt | ApplyFilterCore
pt | MoveNext
pt | MovePrev
pt | MovePageUp
pt | MovePageDown
pt | MoveHome
pt | MoveEnd
pt | ReturnKeyHandled
pt | GetDefaultGlyphName
 | Create
 | Destroy
 | InvalidateFilter
 | ResetFilter
 | ForceFilter
 | StoreSelection
 | RestoreSelection
TCustomEditButton
pt | ButtonClick
pt | BuddyClick
pt | GetEditorClassType
pt | GetBuddyClassType
pt | GetControlClassDefaultSize
pt | CalcButtonVisible
pt | GetDefaultGlyphName
pt | CalculatePreferredSize
pt | CheckButtonVisible
pt | LoadDefaultGlyph
pt | GlyphChanged
 | Create
 | Destroy
TCustomAbstractGroupedEdit
pt | CalculatePreferredSize
pt | CreateBuddy
pt | CreateEditor
pt | FocusAndMaybeSelectAll
pt | GetEditorClassType
pt | GetBuddyClassType
pt | GetControlClassDefaultSize
pt | SetDirectInput
pt | RealGetText
pt | RealSetText
pt | GetEditPopupMenu
pt | GetBuddyCaption
pt | GetBuddyCursor
pt | GetBuddyHint
pt | GetBuddyWidth
pt | GetBuddyVisible
pt | SetBuddyCaption
pt | SetBuddyCursor
pt | SetBuddyHint
pt | SetBuddyWidth
pt | SetBuddyVisible
pt | BuddyClick
pt | DoEnter
pt | EditChange
pt | EditClick
pt | EditDblClick
pt | EditDragDrop
pt | EditDragOver
pt | EditEditingDone
pt | EditEndDrag
pt | EditEnter
pt | EditExit
pt | EditKeyDown
pt | EditKeyPress
pt | EditKeyUp
pt | EditMouseDown
pt | EditMouseUp
pt | EditMouseEnter
pt | EditMouseLeave
pt | EditMouseMove
pt | EditMouseWheel
pt | EditMouseWheelUp
pt | EditMouseWheelDown
pt | EditUtf8KeyPress
pt | EditStartDrag
pt | UpdateSpacing
pt | CheckCursor
pt | CMParentColorChanged
pt | EditCanModify
pt | GetSel
pt | GetSpacing
pt | SetSel
pt | Loaded
pt | Reset
pt | SetAutoSize
pt | SetColor
pt | SetCursor
pt | ShouldAutoAdjust
 | Create
 | Destroy
 | SetFocus
 | Focused
 | Clear
 | ClearSelection
 | CopyToClipboard
 | CutToClipboard
 | PasteFromClipboard
 | SelectAll
 | Undo
 | ValidateEdit
TCustomControl
pt | WSRegisterClass
pt | WMPaint
pt | DestroyWnd
pt | PaintWindow
pt | FontChanged
pt | SetColor
pt | Paint
 | Create
 | Destroy
TWinControl
pt | WSRegisterClass
pt | AdjustClientRect
pt | GetAdjustedLogicalClientRect
pt | AlignControls
pt | CustomAlignInsertBefore
pt | CustomAlignPosition
pt | DoAlignChildControls
pt | DoChildSizingChange
pt | InvalidatePreferredChildSizes
pt | CanTab
pt | IsClientHeightStored
pt | IsClientWidthStored
pt | DoSendShowHideToInterface
pt | ControlsAligned
pt | DoSendBoundsToInterface
pt | RealizeBounds
pt | RealizeBoundsRecursive
pt | InvalidateBoundsRealized
pt | CreateSubClass
pt | DoConstraintsChange
pt | DoSetBounds
pt | DoAutoSize
pt | DoAllAutoSize
pt | AllAutoSized
pt | CalculatePreferredSize
pt | GetPreferredSizeClientFrame
pt | GetChildren
pt | ChildClassAllowed
pt | PaintControls
pt | PaintHandler
pt | PaintWindow
pt | CreateBrush
pt | ScaleControls
pt | ChangeScale
pt | CMBiDiModeChanged
pt | CMBorderChanged
pt | CMDoubleBufferedChanged
pt | CMEnabledChanged
pt | CMParentDoubleBufferedChanged
pt | CMShowingChanged
pt | CMShowHintChanged
pt | CMVisibleChanged
pt | CMEnter
pt | CMExit
pt | WMContextMenu
pt | WMEraseBkgnd
pt | WMNotify
pt | WMSetFocus
pt | WMKillFocus
pt | WMShowWindow
pt | WMEnter
pt | WMExit
pt | WMKeyDown
pt | WMSysKeyDown
pt | WMKeyUp
pt | WMSysKeyUp
pt | WMChar
pt | WMSysChar
pt | WMPaint
pt | WMDestroy
pt | WMMove
pt | WMSize
pt | WMWindowPosChanged
pt | CNKeyDown
pt | CNSysKeyDown
pt | CNKeyUp
pt | CNSysKeyUp
pt | CNChar
pt | DoDragMsg
pt | DoDockClientMsg
pt | DoUndockClientMsg
pt | DoAddDockClient
pt | DockOver
pt | DoDockOver
pt | DoRemoveDockClient
pt | DoUnDock
pt | GetSiteInfo
pt | GetParentHandle
pt | GetTopParentHandle
pt | ReloadDockedControl
pt | CreateDockManager
pt | SetDockManager
pt | DoFloatMsg
pt | DoGetDockCaption
pt | DoEnter
pt | DoExit
pt | DoKeyDownBeforeInterface
pt | DoRemainingKeyDown
pt | DoRemainingKeyUp
pt | DoKeyPress
pt | DoUTF8KeyPress
pt | DoKeyUpBeforeInterface
pt | ChildKey
pt | SendDialogChar
pt | DialogChar
pt | ControlKeyDown
pt | ControlKeyUp
pt | KeyDown
pt | KeyDownBeforeInterface
pt | KeyDownAfterInterface
pt | KeyPress
pt | KeyUp
pt | KeyUpBeforeInterface
pt | KeyUpAfterInterface
pt | UTF8KeyPress
pt | FindNextControl
pt | SelectFirst
pt | RealGetText
pt | GetBorderStyle
pt | GetClientOrigin
pt | GetClientRect
pt | GetControlOrigin
pt | GetDeviceContext
pt | GetParentBackground
pt | IsControlMouseMsg
pt | CreateHandle
pt | CreateParams
pt | CreateWnd
pt | DestroyHandle
pt | DestroyWnd
pt | DoFlipChildren
pt | FinalizeWnd
pt | FixupTabList
pt | FontChanged
pt | InitializeWnd
pt | Loaded
pt | FormEndUpdated
pt | MainWndProc
pt | ParentFormHandleInitialized
pt | ChildHandlesCreated
pt | GetMouseCapture
pt | RealSetText
pt | RemoveFocus
pt | SendMoveSizeMessages
pt | SetBorderStyle
pt | SetColor
pt | SetChildZPosition
pt | SetParentBackground
pt | ShowControl
pt | UpdateControlState
pt | UpdateShowing
pt | WndProc
pt | WSSetText
 | AutoSizePhases
 | AutoSizeDelayed
 | AutoSizeDelayedReport
 | AutoSizeDelayedHandle
 | BeginUpdateBounds
 | EndUpdateBounds
 | LockRealizeBounds
 | UnlockRealizeBounds
 | ControlAtPos
 | ContainsControl
 | DoAdjustClientRectChange
 | InvalidateClientRectCache
 | ClientRectNeedsInterfaceUpdate
 | SetBounds
 | GetChildrenRect
 | DisableAlign
 | EnableAlign
 | ReAlign
 | ScrollBy_WS
 | ScrollBy
 | WriteLayoutDebugReport
 | AutoAdjustLayout
 | Create
 | CreateParented
 | CreateParentedControl
 | Destroy
 | DockDrop
 | CanFocus
 | CanSetFocus
 | GetControlIndex
 | SetControlIndex
 | Focused
 | PerformTab
 | FindChildControl
 | SelectNext
 | SetTempCursor
 | BroadCast
 | NotifyControls
 | DefaultHandler
 | GetTextLen
 | Invalidate
 | AddControl
 | InsertControl
 | RemoveControl
 | GetEnumeratorControls
 | GetEnumeratorControlsReverse
 | Repaint
 | Update
 | SetFocus
 | FlipChildren
 | ScaleBy
 | GetDockCaption
 | UpdateDockCaption
 | GetTabOrderList
 | HandleAllocated
 | ParentHandlesAllocated
 | HandleNeeded
 | BrushCreated
 | EraseBackground
 | IntfUTF8KeyPress
 | IntfGetDropFilesTarget
 | PaintTo
 | SetShape
TControl
pt | WSRegisterClass
pt | GetCursor
pt | SetCursor
pt | SetVisible
pt | DoOnParentHandleDestruction
pt | DoAutoSize
pt | DoAllAutoSize
pt | BeginAutoSizing
pt | EndAutoSizing
pt | AnchorSideChanged
pt | ForeignAnchorSideChanged
pt | SetAlign
pt | SetAnchors
pt | SetAutoSize
pt | BoundsChanged
pt | CreateControlBorderSpacing
pt | DoConstraintsChange
pt | DoBorderSpacingChange
pt | IsBorderSpacingInnerBorderStored
pt | IsCaptionStored
pt | SendMoveSizeMessages
pt | ConstrainedResize
pt | CalculatePreferredSize
pt | DoOnResize
pt | DoOnChangeBounds
pt | CheckOnChangeBounds
pt | Resize
pt | RequestAlign
pt | UpdateAnchorRules
pt | ChangeBounds
pt | DoSetBounds
pt | ScaleConstraints
pt | ChangeScale
pt | CanAutoSize
pt | SetBiDiMode
pt | SetParentBiDiMode
pt | IsAParentAligning
pt | GetClientOrigin
pt | GetClientRect
pt | GetLogicalClientRect
pt | GetScrolledClientRect
pt | GetClientScrollOffset
pt | GetControlOrigin
pt | IsClientHeightStored
pt | IsClientWidthStored
pt | WidthIsAnchored
pt | HeightIsAnchored
pt | WMCancelMode
pt | WMContextMenu
pt | WMLButtonDown
pt | WMRButtonDown
pt | WMMButtonDown
pt | WMXButtonDown
pt | WMLButtonDBLCLK
pt | WMRButtonDBLCLK
pt | WMMButtonDBLCLK
pt | WMXButtonDBLCLK
pt | WMLButtonTripleCLK
pt | WMRButtonTripleCLK
pt | WMMButtonTripleCLK
pt | WMXButtonTripleCLK
pt | WMLButtonQuadCLK
pt | WMRButtonQuadCLK
pt | WMMButtonQuadCLK
pt | WMXButtonQuadCLK
pt | WMMouseMove
pt | WMLButtonUp
pt | WMRButtonUp
pt | WMMButtonUp
pt | WMXButtonUp
pt | WMMouseWheel
pt | WMMouseHWheel
pt | WMMove
pt | WMSize
pt | WMWindowPosChanged
pt | CMChanged
pt | LMCaptureChanged
pt | CMBiDiModeChanged
pt | CMSysFontChanged
pt | CMEnabledChanged
pt | CMHitTest
pt | CMMouseEnter
pt | CMMouseLeave
pt | CMHintShow
pt | CMParentBiDiModeChanged
pt | CMParentColorChanged
pt | CMParentFontChanged
pt | CMParentShowHintChanged
pt | CMVisibleChanged
pt | CMTextChanged
pt | CMCursorChanged
pt | CalculateDockSizes
pt | CreateFloatingDockSite
pt | GetDockEdge
pt | GetDragImages
pt | GetFloating
pt | GetFloatingDockSiteClass
pt | BeforeDragStart
pt | BeginAutoDrag
pt | DoFloatMsg
pt | DockTrackNoTarget
pt | DoDock
pt | DoDragMsg
pt | DoEndDock
pt | DoEndDrag
pt | DoStartDock
pt | DoStartDrag
pt | DragCanceled
pt | DragOver
pt | PositionDockRect
pt | SetDragMode
pt | GetDefaultDockCaption
pt | Click
pt | DblClick
pt | TripleClick
pt | QuadClick
pt | GetMousePosFromMessage
pt | MouseDown
pt | MouseMove
pt | MouseUp
pt | MouseEnter
pt | MouseLeave
pt | DialogChar
pt | UpdateMouseCursor
pt | Changed
pt | GetPalette
pt | ChildClassAllowed
pt | ReadState
pt | Loaded
pt | LoadedAll
pt | DefineProperties
pt | AssignTo
pt | FormEndUpdated
pt | InvalidateControl
pt | FontChanged
pt | ParentFontChanged
pt | GetAction
pt | RealGetText
pt | RealSetText
pt | TextChanged
pt | GetCachedText
pt | SetAction
pt | SetColor
pt | SetEnabled
pt | SetHint
pt | SetName
pt | SetParent
pt | SetParentComponent
pt | WndProc
pt | ParentFormHandleInitialized
pt | GetMouseCapture
pt | CaptureChanged
pt | Notification
pt | CanTab
pt | GetDeviceContext
pt | GetEnabled
pt | GetPopupMenu
pt | DoOnShowHint
pt | DoMouseWheel
pt | DoMouseWheelDown
pt | DoMouseWheelUp
pt | DoMouseWheelHorz
pt | DoMouseWheelLeft
pt | DoMouseWheelRight
pt | VisibleChanging
pt | VisibleChanged
pt | EnabledChanging
pt | EnabledChanged
pt | AddHandler
pt | RemoveHandler
pt | DoCallNotifyHandler
pt | DoCallKeyEventHandler
pt | DoCallMouseWheelEventHandler
pt | DoContextPopup
pt | SetZOrder
pt | GetControlClassDefaultSize
pt | ColorIsStored
pt | DoAutoAdjustLayout
pt | DoFixDesignFontPPI
pt | DoScaleFontPPI
pt | GetActionLinkClass
pt | ActionChange
 | DragDrop
 | Dock
 | ManualDock
 | ManualFloat
 | ReplaceDockedControl
 | Docked
 | Dragging
 | GetAccessibleObject
 | CreateAccessibleObject
 | GetSelectedChildAccessibleObject
 | GetChildAccessibleObjectAtPos
 | ScaleDesignToForm
 | ScaleFormToDesign
 | Scale96ToForm
 | ScaleFormTo96
 | Scale96ToFont
 | ScaleFontTo96
 | ScaleScreenToFont
 | ScaleFontToScreen
 | Scale96ToScreen
 | ScaleScreenTo96
 | AdjustSize
 | AutoSizePhases
 | AutoSizeDelayed
 | AutoSizeDelayedReport
 | AutoSizeDelayedHandle
 | AnchorToNeighbour
 | AnchorParallel
 | AnchorHorizontalCenterTo
 | AnchorVerticalCenterTo
 | AnchorToCompanion
 | AnchorSame
 | AnchorAsAlign
 | AnchorClient
 | AnchoredControlCount
 | SetBounds
 | SetInitialBounds
 | SetBoundsKeepBase
 | GetPreferredSize
 | GetCanvasScaleFactor
 | GetDefaultWidth
 | GetDefaultHeight
 | GetDefaultColor
 | GetColorResolvingParent
 | GetRGBColorResolvingParent
 | GetSidePosition
 | CNPreferredSizeChanged
 | InvalidatePreferredSize
 | GetAnchorsDependingOnParent
 | DisableAutoSizing
 | EnableAutoSizing
 | UpdateBaseBounds
 | WriteLayoutDebugReport
 | AutoAdjustLayout
 | ShouldAutoAdjust
 | FixDesignFontsPPI
 | ScaleFontsPPI
 | Create
 | Destroy
 | BeforeDestruction
 | EditingDone
 | ExecuteDefaultAction
 | ExecuteCancelAction
 | BeginDrag
 | EndDrag
 | BringToFront
 | HasParent
 | GetParentComponent
 | IsParentOf
 | GetTopParent
 | IsVisible
 | IsControlVisible
 | IsEnabled
 | IsParentColor
 | IsParentFont
 | FormIsUpdating
 | IsProcessingPaintMsg
 | Hide
 | Refresh
 | Repaint
 | Invalidate
 | CheckChildClassAllowed
 | CheckNewParent
 | SendToBack
 | SetTempCursor
 | UpdateRolesForForm
 | ActiveDefaultControlChanged
 | GetTextBuf
 | GetTextLen
 | SetTextBuf
 | Perform
 | ScreenToClient
 | ClientToScreen
 | ScreenToControl
 | ControlToScreen
 | ClientToParent
 | ParentToClient
 | GetChildrenRect
 | Show
 | Update
 | HandleObjectShouldBeVisible
 | ParentDestroyingHandle
 | ParentHandlesAllocated
 | InitiateAction
 | ShowHelp
 | HasHelp
 | RemoveAllHandlersOfObject
 | AddHandlerOnResize
 | RemoveHandlerOnResize
 | AddHandlerOnChangeBounds
 | RemoveHandlerOnChangeBounds
 | AddHandlerOnVisibleChanging
 | RemoveHandlerOnVisibleChanging
 | AddHandlerOnVisibleChanged
 | RemoveHandlerOnVisibleChanged
 | AddHandlerOnEnabledChanged
 | RemoveHandlerOnEnableChanging
 | AddHandlerOnKeyDown
 | RemoveHandlerOnKeyDown
 | AddHandlerOnBeforeDestruction
 | RemoveHandlerOnBeforeDestruction
 | AddHandlerOnMouseWheel
 | RemoveHandlerOnMouseWheel
 | UseRightToLeftAlignment
 | UseRightToLeftReading
 | UseRightToLeftScrollBar
 | IsRightToLeft
TLCLComponent
pt | WSRegisterClass
pt | GetWSComponentClass
 | Create
 | Destroy
 | NewInstance
 | RemoveAllHandlersOfObject
 | IncLCLRefCount
 | DecLCLRefCount
TComponent
 | GetComObject
 | GetComponent
 | GetComponentCount
 | GetComponentIndex
 | Insert
 | ReadLeft
 | ReadTop
 | Remove
 | RemoveNotification
 | SetComponentIndex
 | SetReference
 | WriteLeft
 | WriteTop
 | ChangeName
 | DefineProperties
 | GetChildren
 | GetChildOwner
 | GetChildParent
 | GetOwner
 | Loaded
 | Loading
 | Notification
 | PaletteCreated
 | ReadState
 | SetAncestor
 | SetDesigning
 | SetDesignInstance
 | SetInline
 | SetName
 | SetChildOrder
 | SetParentComponent
 | Updating
 | Updated
 | UpdateRegistry
 | ValidateRename
 | ValidateContainer
 | ValidateInsert
 | QueryInterface
 | _AddRef
 | _Release
 | iicrGetComponent
 | GetTypeInfoCount
 | GetTypeInfo
 | GetIDsOfNames
 | Invoke
 | WriteState
 | Create
 | Destroy
 | BeforeDestruction
 | DestroyComponents
 | Destroying
 | ExecuteAction
 | FindComponent
 | FreeNotification
 | RemoveFreeNotification
 | FreeOnRelease
 | GetEnumerator
 | GetNamePath
 | GetParentComponent
 | HasParent
 | InsertComponent
 | RemoveComponent
 | SafeCallException
 | SetSubComponent
 | UpdateAction
 | IsImplementorOf
 | ReferenceInterface
TPersistent
 | AssignError
 | AssignTo
 | DefineProperties
 | GetOwner
 | Destroy
 | Assign
 | FPOAttachObserver
 | FPODetachObserver
 | FPONotifyObservers
 | GetNamePath
TObject
 | Create
 | Destroy
 | newinstance
 | FreeInstance
 | SafeCallException
 | DefaultHandler
 | Free
 | InitInstance
 | CleanupInstance
 | ClassType
 | ClassInfo
 | ClassName
 | ClassNameIs
 | ClassParent
 | InstanceSize
 | InheritsFrom
 | StringMessageTable
 | MethodAddress
 | MethodName
 | FieldAddress
 | AfterConstruction
 | BeforeDestruction
 | DefaultHandlerStr
 | Dispatch
 | DispatchStr
 | GetInterface
 | GetInterfaceByStr
 | GetInterfaceWeak
 | GetInterfaceEntry
 | GetInterfaceEntryByStr
 | GetInterfaceTable
 | UnitName
 | Equals
 | GetHashCode
 | ToString


pt | ActionChange (TControl)
 | ActiveDefaultControlChanged (TControl)
 | AddControl (TWinControl)
pt | AddHandler (TControl)
 | AddHandlerOnBeforeDestruction (TControl)
 | AddHandlerOnChangeBounds (TControl)
 | AddHandlerOnEnabledChanged (TControl)
 | AddHandlerOnKeyDown (TControl)
 | AddHandlerOnMouseWheel (TControl)
 | AddHandlerOnResize (TControl)
 | AddHandlerOnVisibleChanged (TControl)
 | AddHandlerOnVisibleChanging (TControl)
pt | AdjustClientRect (TWinControl)
 | AdjustSize (TControl)
 | AfterConstruction (TObject)
pt | AlignControls (TWinControl)
pt | AllAutoSized (TWinControl)
 | AnchorAsAlign (TControl)
 | AnchorClient (TControl)
 | AnchoredControlCount (TControl)
 | AnchorHorizontalCenterTo (TControl)
 | AnchorParallel (TControl)
 | AnchorSame (TControl)
pt | AnchorSideChanged (TControl)
 | AnchorToCompanion (TControl)
 | AnchorToNeighbour (TControl)
 | AnchorVerticalCenterTo (TControl)
pt | ApplyFilter (TCustomControlFilterEdit)
pt | ApplyFilterCore (TCustomControlFilterEdit)
 | Assign (TPersistent)
 | AssignError (TPersistent)
 | AssignTo (TPersistent)
pt | AssignTo (TControl)
 | AutoAdjustLayout (TControl)
 | AutoAdjustLayout (TWinControl)
 | AutoSizeDelayed (TControl)
 | AutoSizeDelayed (TWinControl)
 | AutoSizeDelayedHandle (TControl)
 | AutoSizeDelayedHandle (TWinControl)
 | AutoSizeDelayedReport (TControl)
 | AutoSizeDelayedReport (TWinControl)
 | AutoSizePhases (TControl)
 | AutoSizePhases (TWinControl)
 | BeforeDestruction (TObject)
 | BeforeDestruction (TComponent)
 | BeforeDestruction (TControl)
pt | BeforeDragStart (TControl)
pt | BeginAutoDrag (TControl)
pt | BeginAutoSizing (TControl)
 | BeginDrag (TControl)
 | BeginUpdateBounds (TWinControl)
pt | BoundsChanged (TControl)
 | BringToFront (TControl)
 | BroadCast (TWinControl)
 | BrushCreated (TWinControl)
pt | BuddyClick (TCustomAbstractGroupedEdit)
pt | BuddyClick (TCustomEditButton)
pt | BuddyClick (TCustomControlFilterEdit)
pt | ButtonClick (TCustomEditButton)
pt | CalcButtonVisible (TCustomEditButton)
pt | CalculateDockSizes (TControl)
pt | CalculatePreferredSize (TControl)
pt | CalculatePreferredSize (TWinControl)
pt | CalculatePreferredSize (TCustomAbstractGroupedEdit)
pt | CalculatePreferredSize (TCustomEditButton)
pt | CanAutoSize (TControl)
 | CanFocus (TWinControl)
 | CanSetFocus (TWinControl)
pt | CanTab (TControl)
pt | CanTab (TWinControl)
pt | CaptureChanged (TControl)
pt | ChangeBounds (TControl)
pt | Changed (TControl)
 | ChangeName (TComponent)
pt | ChangeScale (TControl)
pt | ChangeScale (TWinControl)
pt | CheckButtonVisible (TCustomEditButton)
 | CheckChildClassAllowed (TControl)
pt | CheckCursor (TCustomAbstractGroupedEdit)
 | CheckNewParent (TControl)
pt | CheckOnChangeBounds (TControl)
pt | ChildClassAllowed (TControl)
pt | ChildClassAllowed (TWinControl)
pt | ChildHandlesCreated (TWinControl)
pt | ChildKey (TWinControl)
 | ClassInfo (TObject)
 | ClassName (TObject)
 | ClassNameIs (TObject)
 | ClassParent (TObject)
 | ClassType (TObject)
 | CleanupInstance (TObject)
 | Clear (TCustomAbstractGroupedEdit)
 | ClearSelection (TCustomAbstractGroupedEdit)
pt | Click (TControl)
 | ClientRectNeedsInterfaceUpdate (TWinControl)
 | ClientToParent (TControl)
 | ClientToScreen (TControl)
pt | CMBiDiModeChanged (TControl)
pt | CMBiDiModeChanged (TWinControl)
pt | CMBorderChanged (TWinControl)
pt | CMChanged (TControl)
pt | CMCursorChanged (TControl)
pt | CMDoubleBufferedChanged (TWinControl)
pt | CMEnabledChanged (TControl)
pt | CMEnabledChanged (TWinControl)
pt | CMEnter (TWinControl)
pt | CMExit (TWinControl)
pt | CMHintShow (TControl)
pt | CMHitTest (TControl)
pt | CMMouseEnter (TControl)
pt | CMMouseLeave (TControl)
pt | CMParentBiDiModeChanged (TControl)
pt | CMParentColorChanged (TControl)
pt | CMParentColorChanged (TCustomAbstractGroupedEdit)
pt | CMParentDoubleBufferedChanged (TWinControl)
pt | CMParentFontChanged (TControl)
pt | CMParentShowHintChanged (TControl)
pt | CMShowHintChanged (TWinControl)
pt | CMShowingChanged (TWinControl)
pt | CMSysFontChanged (TControl)
pt | CMTextChanged (TControl)
pt | CMVisibleChanged (TControl)
pt | CMVisibleChanged (TWinControl)
pt | CNChar (TWinControl)
pt | CNKeyDown (TWinControl)
pt | CNKeyUp (TWinControl)
 | CNPreferredSizeChanged (TControl)
pt | CNSysKeyDown (TWinControl)
pt | CNSysKeyUp (TWinControl)
pt | ColorIsStored (TControl)
pt | ConstrainedResize (TControl)
 | ContainsControl (TWinControl)
 | ControlAtPos (TWinControl)
pt | ControlKeyDown (TWinControl)
pt | ControlKeyUp (TWinControl)
pt | ControlsAligned (TWinControl)
 | ControlToScreen (TControl)
 | CopyToClipboard (TCustomAbstractGroupedEdit)
 | Create (TObject)
 | Create (TComponent)
 | Create (TLCLComponent)
 | Create (TControl)
 | Create (TWinControl)
 | Create (TCustomControl)
 | Create (TCustomAbstractGroupedEdit)
 | Create (TCustomEditButton)
 | Create (TCustomControlFilterEdit)
 | CreateAccessibleObject (TControl)
pt | CreateBrush (TWinControl)
pt | CreateBuddy (TCustomAbstractGroupedEdit)
pt | CreateControlBorderSpacing (TControl)
pt | CreateDockManager (TWinControl)
pt | CreateEditor (TCustomAbstractGroupedEdit)
pt | CreateFloatingDockSite (TControl)
pt | CreateHandle (TWinControl)
pt | CreateParams (TWinControl)
 | CreateParented (TWinControl)
 | CreateParentedControl (TWinControl)
pt | CreateSubClass (TWinControl)
pt | CreateWnd (TWinControl)
pt | CustomAlignInsertBefore (TWinControl)
pt | CustomAlignPosition (TWinControl)
 | CutToClipboard (TCustomAbstractGroupedEdit)
pt | DblClick (TControl)
 | DecLCLRefCount (TLCLComponent)
 | DefaultHandler (TObject)
 | DefaultHandler (TWinControl)
 | DefaultHandlerStr (TObject)
 | DefineProperties (TPersistent)
 | DefineProperties (TComponent)
pt | DefineProperties (TControl)
 | Destroy (TObject)
 | Destroy (TPersistent)
 | Destroy (TComponent)
 | Destroy (TLCLComponent)
 | Destroy (TControl)
 | Destroy (TWinControl)
 | Destroy (TCustomControl)
 | Destroy (TCustomAbstractGroupedEdit)
 | Destroy (TCustomEditButton)
 | Destroy (TCustomControlFilterEdit)
 | DestroyComponents (TComponent)
pt | DestroyHandle (TWinControl)
 | Destroying (TComponent)
pt | DestroyWnd (TWinControl)
pt | DestroyWnd (TCustomControl)
pt | DestroyWnd (TCustomControlFilterEdit)
pt | DialogChar (TControl)
pt | DialogChar (TWinControl)
 | DisableAlign (TWinControl)
 | DisableAutoSizing (TControl)
 | Dispatch (TObject)
 | DispatchStr (TObject)
pt | DoAddDockClient (TWinControl)
 | DoAdjustClientRectChange (TWinControl)
pt | DoAlignChildControls (TWinControl)
pt | DoAllAutoSize (TControl)
pt | DoAllAutoSize (TWinControl)
pt | DoAutoAdjustLayout (TControl)
pt | DoAutoSize (TControl)
pt | DoAutoSize (TWinControl)
pt | DoBorderSpacingChange (TControl)
pt | DoCallKeyEventHandler (TControl)
pt | DoCallMouseWheelEventHandler (TControl)
pt | DoCallNotifyHandler (TControl)
pt | DoChildSizingChange (TWinControl)
 | Dock (TControl)
 | DockDrop (TWinControl)
 | Docked (TControl)
pt | DockOver (TWinControl)
pt | DockTrackNoTarget (TControl)
pt | DoConstraintsChange (TControl)
pt | DoConstraintsChange (TWinControl)
pt | DoContextPopup (TControl)
pt | DoDefaultFilterItem (TCustomControlFilterEdit)
pt | DoDock (TControl)
pt | DoDockClientMsg (TWinControl)
pt | DoDockOver (TWinControl)
pt | DoDragMsg (TControl)
pt | DoDragMsg (TWinControl)
pt | DoEndDock (TControl)
pt | DoEndDrag (TControl)
pt | DoEnter (TWinControl)
pt | DoEnter (TCustomAbstractGroupedEdit)
pt | DoExit (TWinControl)
pt | DoFilterItem (TCustomControlFilterEdit)
pt | DoFixDesignFontPPI (TControl)
pt | DoFlipChildren (TWinControl)
pt | DoFloatMsg (TControl)
pt | DoFloatMsg (TWinControl)
pt | DoGetDockCaption (TWinControl)
pt | DoKeyDownBeforeInterface (TWinControl)
pt | DoKeyPress (TWinControl)
pt | DoKeyUpBeforeInterface (TWinControl)
pt | DoMouseWheel (TControl)
pt | DoMouseWheelDown (TControl)
pt | DoMouseWheelHorz (TControl)
pt | DoMouseWheelLeft (TControl)
pt | DoMouseWheelRight (TControl)
pt | DoMouseWheelUp (TControl)
pt | DoOnChangeBounds (TControl)
pt | DoOnParentHandleDestruction (TControl)
pt | DoOnResize (TControl)
pt | DoOnShowHint (TControl)
pt | DoRemainingKeyDown (TWinControl)
pt | DoRemainingKeyUp (TWinControl)
pt | DoRemoveDockClient (TWinControl)
pt | DoScaleFontPPI (TControl)
pt | DoSendBoundsToInterface (TWinControl)
pt | DoSendShowHideToInterface (TWinControl)
pt | DoSetBounds (TControl)
pt | DoSetBounds (TWinControl)
pt | DoStartDock (TControl)
pt | DoStartDrag (TControl)
pt | DoUnDock (TWinControl)
pt | DoUndockClientMsg (TWinControl)
pt | DoUTF8KeyPress (TWinControl)
pt | DragCanceled (TControl)
 | DragDrop (TControl)
 | Dragging (TControl)
pt | DragOver (TControl)
pt | EditCanModify (TCustomAbstractGroupedEdit)
pt | EditChange (TCustomAbstractGroupedEdit)
pt | EditChange (TCustomControlFilterEdit)
pt | EditClick (TCustomAbstractGroupedEdit)
pt | EditDblClick (TCustomAbstractGroupedEdit)
pt | EditDragDrop (TCustomAbstractGroupedEdit)
pt | EditDragOver (TCustomAbstractGroupedEdit)
pt | EditEditingDone (TCustomAbstractGroupedEdit)
pt | EditEndDrag (TCustomAbstractGroupedEdit)
pt | EditEnter (TCustomAbstractGroupedEdit)
pt | EditExit (TCustomAbstractGroupedEdit)
 | EditingDone (TControl)
pt | EditKeyDown (TCustomAbstractGroupedEdit)
pt | EditKeyDown (TCustomControlFilterEdit)
pt | EditKeyPress (TCustomAbstractGroupedEdit)
pt | EditKeyUp (TCustomAbstractGroupedEdit)
pt | EditMouseDown (TCustomAbstractGroupedEdit)
pt | EditMouseEnter (TCustomAbstractGroupedEdit)
pt | EditMouseLeave (TCustomAbstractGroupedEdit)
pt | EditMouseMove (TCustomAbstractGroupedEdit)
pt | EditMouseUp (TCustomAbstractGroupedEdit)
pt | EditMouseWheel (TCustomAbstractGroupedEdit)
pt | EditMouseWheelDown (TCustomAbstractGroupedEdit)
pt | EditMouseWheelUp (TCustomAbstractGroupedEdit)
pt | EditStartDrag (TCustomAbstractGroupedEdit)
pt | EditUtf8KeyPress (TCustomAbstractGroupedEdit)
 | EnableAlign (TWinControl)
 | EnableAutoSizing (TControl)
pt | EnabledChanged (TControl)
pt | EnabledChanging (TControl)
pt | EndAutoSizing (TControl)
 | EndDrag (TControl)
 | EndUpdateBounds (TWinControl)
 | Equals (TObject)
 | EraseBackground (TWinControl)
 | ExecuteAction (TComponent)
 | ExecuteCancelAction (TControl)
 | ExecuteDefaultAction (TControl)
 | FieldAddress (TObject)
pt | FinalizeWnd (TWinControl)
 | FindChildControl (TWinControl)
 | FindComponent (TComponent)
pt | FindNextControl (TWinControl)
 | FixDesignFontsPPI (TControl)
pt | FixupTabList (TWinControl)
 | FlipChildren (TWinControl)
pt | FocusAndMaybeSelectAll (TCustomAbstractGroupedEdit)
 | Focused (TWinControl)
 | Focused (TCustomAbstractGroupedEdit)
pt | FontChanged (TControl)
pt | FontChanged (TWinControl)
pt | FontChanged (TCustomControl)
 | ForceFilter (TCustomControlFilterEdit)
pt | ForeignAnchorSideChanged (TControl)
pt | FormEndUpdated (TControl)
pt | FormEndUpdated (TWinControl)
 | FormIsUpdating (TControl)
 | FPOAttachObserver (TPersistent)
 | FPODetachObserver (TPersistent)
 | FPONotifyObservers (TPersistent)
 | Free (TObject)
 | FreeInstance (TObject)
 | FreeNotification (TComponent)
 | FreeOnRelease (TComponent)
 | GetAccessibleObject (TControl)
pt | GetAction (TControl)
pt | GetActionLinkClass (TControl)
pt | GetAdjustedLogicalClientRect (TWinControl)
 | GetAnchorsDependingOnParent (TControl)
pt | GetBorderStyle (TWinControl)
pt | GetBuddyCaption (TCustomAbstractGroupedEdit)
pt | GetBuddyClassType (TCustomAbstractGroupedEdit)
pt | GetBuddyClassType (TCustomEditButton)
pt | GetBuddyCursor (TCustomAbstractGroupedEdit)
pt | GetBuddyHint (TCustomAbstractGroupedEdit)
pt | GetBuddyVisible (TCustomAbstractGroupedEdit)
pt | GetBuddyWidth (TCustomAbstractGroupedEdit)
pt | GetCachedText (TControl)
 | GetCanvasScaleFactor (TControl)
 | GetChildAccessibleObjectAtPos (TControl)
 | GetChildOwner (TComponent)
 | GetChildParent (TComponent)
 | GetChildren (TComponent)
pt | GetChildren (TWinControl)
 | GetChildrenRect (TControl)
 | GetChildrenRect (TWinControl)
pt | GetClientOrigin (TControl)
pt | GetClientOrigin (TWinControl)
pt | GetClientRect (TControl)
pt | GetClientRect (TWinControl)
pt | GetClientScrollOffset (TControl)
 | GetColorResolvingParent (TControl)
 | GetComObject (TComponent)
 | GetComponent (TComponent)
 | GetComponentCount (TComponent)
 | GetComponentIndex (TComponent)
pt | GetControlClassDefaultSize (TControl)
pt | GetControlClassDefaultSize (TCustomAbstractGroupedEdit)
pt | GetControlClassDefaultSize (TCustomEditButton)
 | GetControlIndex (TWinControl)
pt | GetControlOrigin (TControl)
pt | GetControlOrigin (TWinControl)
pt | GetCursor (TControl)
 | GetDefaultColor (TControl)
pt | GetDefaultDockCaption (TControl)
pt | GetDefaultGlyphName (TCustomEditButton)
pt | GetDefaultGlyphName (TCustomControlFilterEdit)
 | GetDefaultHeight (TControl)
 | GetDefaultWidth (TControl)
pt | GetDeviceContext (TControl)
pt | GetDeviceContext (TWinControl)
 | GetDockCaption (TWinControl)
pt | GetDockEdge (TControl)
pt | GetDragImages (TControl)
pt | GetEditorClassType (TCustomAbstractGroupedEdit)
pt | GetEditorClassType (TCustomEditButton)
pt | GetEditPopupMenu (TCustomAbstractGroupedEdit)
pt | GetEnabled (TControl)
 | GetEnumerator (TComponent)
 | GetEnumeratorControls (TWinControl)
 | GetEnumeratorControlsReverse (TWinControl)
pt | GetFloating (TControl)
pt | GetFloatingDockSiteClass (TControl)
 | GetHashCode (TObject)
 | GetIDsOfNames (TComponent)
 | GetInterface (TObject)
 | GetInterfaceByStr (TObject)
 | GetInterfaceEntry (TObject)
 | GetInterfaceEntryByStr (TObject)
 | GetInterfaceTable (TObject)
 | GetInterfaceWeak (TObject)
pt | GetLogicalClientRect (TControl)
pt | GetMouseCapture (TControl)
pt | GetMouseCapture (TWinControl)
pt | GetMousePosFromMessage (TControl)
 | GetNamePath (TPersistent)
 | GetNamePath (TComponent)
 | GetOwner (TPersistent)
 | GetOwner (TComponent)
pt | GetPalette (TControl)
pt | GetParentBackground (TWinControl)
 | GetParentComponent (TComponent)
 | GetParentComponent (TControl)
pt | GetParentHandle (TWinControl)
pt | GetPopupMenu (TControl)
 | GetPreferredSize (TControl)
pt | GetPreferredSizeClientFrame (TWinControl)
 | GetRGBColorResolvingParent (TControl)
pt | GetScrolledClientRect (TControl)
pt | GetSel (TCustomAbstractGroupedEdit)
 | GetSelectedChildAccessibleObject (TControl)
 | GetSidePosition (TControl)
pt | GetSiteInfo (TWinControl)
pt | GetSpacing (TCustomAbstractGroupedEdit)
 | GetTabOrderList (TWinControl)
 | GetTextBuf (TControl)
 | GetTextLen (TControl)
 | GetTextLen (TWinControl)
 | GetTopParent (TControl)
pt | GetTopParentHandle (TWinControl)
 | GetTypeInfo (TComponent)
 | GetTypeInfoCount (TComponent)
pt | GetWSComponentClass (TLCLComponent)
pt | GlyphChanged (TCustomEditButton)
 | HandleAllocated (TWinControl)
 | HandleNeeded (TWinControl)
 | HandleObjectShouldBeVisible (TControl)
 | HasHelp (TControl)
 | HasParent (TComponent)
 | HasParent (TControl)
pt | HeightIsAnchored (TControl)
 | Hide (TControl)
 | iicrGetComponent (TComponent)
 | IncLCLRefCount (TLCLComponent)
 | InheritsFrom (TObject)
pt | InitializeWnd (TWinControl)
 | InitiateAction (TControl)
 | InitInstance (TObject)
 | Insert (TComponent)
 | InsertComponent (TComponent)
 | InsertControl (TWinControl)
 | InstanceSize (TObject)
 | IntfGetDropFilesTarget (TWinControl)
 | IntfUTF8KeyPress (TWinControl)
 | Invalidate (TControl)
 | Invalidate (TWinControl)
pt | InvalidateBoundsRealized (TWinControl)
 | InvalidateClientRectCache (TWinControl)
pt | InvalidateControl (TControl)
 | InvalidateFilter (TCustomControlFilterEdit)
pt | InvalidatePreferredChildSizes (TWinControl)
 | InvalidatePreferredSize (TControl)
 | Invoke (TComponent)
pt | IsAParentAligning (TControl)
pt | IsBorderSpacingInnerBorderStored (TControl)
pt | IsCaptionStored (TControl)
pt | IsClientHeightStored (TControl)
pt | IsClientHeightStored (TWinControl)
pt | IsClientWidthStored (TControl)
pt | IsClientWidthStored (TWinControl)
pt | IsControlMouseMsg (TWinControl)
 | IsControlVisible (TControl)
 | IsEnabled (TControl)
 | IsImplementorOf (TComponent)
 | IsParentColor (TControl)
 | IsParentFont (TControl)
 | IsParentOf (TControl)
 | IsProcessingPaintMsg (TControl)
 | IsRightToLeft (TControl)
 | IsVisible (TControl)
pt | KeyDown (TWinControl)
pt | KeyDownAfterInterface (TWinControl)
pt | KeyDownBeforeInterface (TWinControl)
pt | KeyPress (TWinControl)
pt | KeyUp (TWinControl)
pt | KeyUpAfterInterface (TWinControl)
pt | KeyUpBeforeInterface (TWinControl)
pt | LMCaptureChanged (TControl)
pt | LoadDefaultGlyph (TCustomEditButton)
 | Loaded (TComponent)
pt | Loaded (TControl)
pt | Loaded (TWinControl)
pt | Loaded (TCustomAbstractGroupedEdit)
pt | LoadedAll (TControl)
 | Loading (TComponent)
 | LockRealizeBounds (TWinControl)
pt | MainWndProc (TWinControl)
 | ManualDock (TControl)
 | ManualFloat (TControl)
 | MethodAddress (TObject)
 | MethodName (TObject)
pt | MouseDown (TControl)
pt | MouseEnter (TControl)
pt | MouseLeave (TControl)
pt | MouseMove (TControl)
pt | MouseUp (TControl)
pt | MoveEnd (TCustomControlFilterEdit)
pt | MoveHome (TCustomControlFilterEdit)
pt | MoveNext (TCustomControlFilterEdit)
pt | MovePageDown (TCustomControlFilterEdit)
pt | MovePageUp (TCustomControlFilterEdit)
pt | MovePrev (TCustomControlFilterEdit)
 | newinstance (TObject)
 | NewInstance (TLCLComponent)
 | Notification (TComponent)
pt | Notification (TControl)
 | NotifyControls (TWinControl)
pt | Paint (TCustomControl)
pt | PaintControls (TWinControl)
pt | PaintHandler (TWinControl)
 | PaintTo (TWinControl)
pt | PaintWindow (TWinControl)
pt | PaintWindow (TCustomControl)
 | PaletteCreated (TComponent)
 | ParentDestroyingHandle (TControl)
pt | ParentFontChanged (TControl)
pt | ParentFormHandleInitialized (TControl)
pt | ParentFormHandleInitialized (TWinControl)
 | ParentHandlesAllocated (TControl)
 | ParentHandlesAllocated (TWinControl)
 | ParentToClient (TControl)
 | PasteFromClipboard (TCustomAbstractGroupedEdit)
 | Perform (TControl)
 | PerformTab (TWinControl)
pt | PositionDockRect (TControl)
pt | QuadClick (TControl)
 | QueryInterface (TComponent)
 | ReadLeft (TComponent)
 | ReadState (TComponent)
pt | ReadState (TControl)
 | ReadTop (TComponent)
pt | RealGetText (TControl)
pt | RealGetText (TWinControl)
pt | RealGetText (TCustomAbstractGroupedEdit)
 | ReAlign (TWinControl)
pt | RealizeBounds (TWinControl)
pt | RealizeBoundsRecursive (TWinControl)
pt | RealSetText (TControl)
pt | RealSetText (TWinControl)
pt | RealSetText (TCustomAbstractGroupedEdit)
 | ReferenceInterface (TComponent)
 | Refresh (TControl)
pt | ReloadDockedControl (TWinControl)
 | Remove (TComponent)
 | RemoveAllHandlersOfObject (TLCLComponent)
 | RemoveAllHandlersOfObject (TControl)
 | RemoveComponent (TComponent)
 | RemoveControl (TWinControl)
pt | RemoveFocus (TWinControl)
 | RemoveFreeNotification (TComponent)
pt | RemoveHandler (TControl)
 | RemoveHandlerOnBeforeDestruction (TControl)
 | RemoveHandlerOnChangeBounds (TControl)
 | RemoveHandlerOnEnableChanging (TControl)
 | RemoveHandlerOnKeyDown (TControl)
 | RemoveHandlerOnMouseWheel (TControl)
 | RemoveHandlerOnResize (TControl)
 | RemoveHandlerOnVisibleChanged (TControl)
 | RemoveHandlerOnVisibleChanging (TControl)
 | RemoveNotification (TComponent)
 | Repaint (TControl)
 | Repaint (TWinControl)
 | ReplaceDockedControl (TControl)
pt | RequestAlign (TControl)
pt | Reset (TCustomAbstractGroupedEdit)
 | ResetFilter (TCustomControlFilterEdit)
pt | Resize (TControl)
 | RestoreSelection (TCustomControlFilterEdit)
pt | ReturnKeyHandled (TCustomControlFilterEdit)
 | SafeCallException (TObject)
 | SafeCallException (TComponent)
 | Scale96ToFont (TControl)
 | Scale96ToForm (TControl)
 | Scale96ToScreen (TControl)
 | ScaleBy (TWinControl)
pt | ScaleConstraints (TControl)
pt | ScaleControls (TWinControl)
 | ScaleDesignToForm (TControl)
 | ScaleFontsPPI (TControl)
 | ScaleFontTo96 (TControl)
 | ScaleFontToScreen (TControl)
 | ScaleFormTo96 (TControl)
 | ScaleFormToDesign (TControl)
 | ScaleScreenTo96 (TControl)
 | ScaleScreenToFont (TControl)
 | ScreenToClient (TControl)
 | ScreenToControl (TControl)
 | ScrollBy (TWinControl)
 | ScrollBy_WS (TWinControl)
 | SelectAll (TCustomAbstractGroupedEdit)
pt | SelectFirst (TWinControl)
 | SelectNext (TWinControl)
pt | SendDialogChar (TWinControl)
pt | SendMoveSizeMessages (TControl)
pt | SendMoveSizeMessages (TWinControl)
 | SendToBack (TControl)
pt | SetAction (TControl)
pt | SetAlign (TControl)
 | SetAncestor (TComponent)
pt | SetAnchors (TControl)
pt | SetAutoSize (TControl)
pt | SetAutoSize (TCustomAbstractGroupedEdit)
pt | SetBiDiMode (TControl)
pt | SetBorderStyle (TWinControl)
 | SetBounds (TControl)
 | SetBounds (TWinControl)
 | SetBoundsKeepBase (TControl)
pt | SetBuddyCaption (TCustomAbstractGroupedEdit)
pt | SetBuddyCursor (TCustomAbstractGroupedEdit)
pt | SetBuddyHint (TCustomAbstractGroupedEdit)
pt | SetBuddyVisible (TCustomAbstractGroupedEdit)
pt | SetBuddyWidth (TCustomAbstractGroupedEdit)
 | SetChildOrder (TComponent)
pt | SetChildZPosition (TWinControl)
pt | SetColor (TControl)
pt | SetColor (TWinControl)
pt | SetColor (TCustomControl)
pt | SetColor (TCustomAbstractGroupedEdit)
 | SetComponentIndex (TComponent)
 | SetControlIndex (TWinControl)
pt | SetCursor (TControl)
pt | SetCursor (TCustomAbstractGroupedEdit)
 | SetDesigning (TComponent)
 | SetDesignInstance (TComponent)
pt | SetDirectInput (TCustomAbstractGroupedEdit)
pt | SetDockManager (TWinControl)
pt | SetDragMode (TControl)
pt | SetEnabled (TControl)
 | SetFocus (TWinControl)
 | SetFocus (TCustomAbstractGroupedEdit)
pt | SetHint (TControl)
 | SetInitialBounds (TControl)
 | SetInline (TComponent)
 | SetName (TComponent)
pt | SetName (TControl)
pt | SetParent (TControl)
pt | SetParentBackground (TWinControl)
pt | SetParentBiDiMode (TControl)
 | SetParentComponent (TComponent)
pt | SetParentComponent (TControl)
 | SetReference (TComponent)
pt | SetSel (TCustomAbstractGroupedEdit)
 | SetShape (TWinControl)
 | SetSubComponent (TComponent)
 | SetTempCursor (TControl)
 | SetTempCursor (TWinControl)
 | SetTextBuf (TControl)
pt | SetVisible (TControl)
pt | SetZOrder (TControl)
 | ShouldAutoAdjust (TControl)
pt | ShouldAutoAdjust (TCustomAbstractGroupedEdit)
 | Show (TControl)
pt | ShowControl (TWinControl)
 | ShowHelp (TControl)
pt | SortAndFilter (TCustomControlFilterEdit)
 | StoreSelection (TCustomControlFilterEdit)
 | StringMessageTable (TObject)
pt | TextChanged (TControl)
 | ToString (TObject)
pt | TripleClick (TControl)
 | Undo (TCustomAbstractGroupedEdit)
 | UnitName (TObject)
 | UnlockRealizeBounds (TWinControl)
 | Update (TControl)
 | Update (TWinControl)
 | UpdateAction (TComponent)
pt | UpdateAnchorRules (TControl)
 | UpdateBaseBounds (TControl)
pt | UpdateControlState (TWinControl)
 | Updated (TComponent)
 | UpdateDockCaption (TWinControl)
pt | UpdateMouseCursor (TControl)
 | UpdateRegistry (TComponent)
 | UpdateRolesForForm (TControl)
pt | UpdateShowing (TWinControl)
pt | UpdateSpacing (TCustomAbstractGroupedEdit)
 | Updating (TComponent)
 | UseRightToLeftAlignment (TControl)
 | UseRightToLeftReading (TControl)
 | UseRightToLeftScrollBar (TControl)
pt | UTF8KeyPress (TWinControl)
 | ValidateContainer (TComponent)
 | ValidateEdit (TCustomAbstractGroupedEdit)
 | ValidateInsert (TComponent)
 | ValidateRename (TComponent)
pt | VisibleChanged (TControl)
pt | VisibleChanging (TControl)
pt | WidthIsAnchored (TControl)
pt | WMCancelMode (TControl)
pt | WMChar (TWinControl)
pt | WMContextMenu (TControl)
pt | WMContextMenu (TWinControl)
pt | WMDestroy (TWinControl)
pt | WMEnter (TWinControl)
pt | WMEraseBkgnd (TWinControl)
pt | WMExit (TWinControl)
pt | WMKeyDown (TWinControl)
pt | WMKeyUp (TWinControl)
pt | WMKillFocus (TWinControl)
pt | WMLButtonDBLCLK (TControl)
pt | WMLButtonDown (TControl)
pt | WMLButtonQuadCLK (TControl)
pt | WMLButtonTripleCLK (TControl)
pt | WMLButtonUp (TControl)
pt | WMMButtonDBLCLK (TControl)
pt | WMMButtonDown (TControl)
pt | WMMButtonQuadCLK (TControl)
pt | WMMButtonTripleCLK (TControl)
pt | WMMButtonUp (TControl)
pt | WMMouseHWheel (TControl)
pt | WMMouseMove (TControl)
pt | WMMouseWheel (TControl)
pt | WMMove (TControl)
pt | WMMove (TWinControl)
pt | WMNotify (TWinControl)
pt | WMPaint (TWinControl)
pt | WMPaint (TCustomControl)
pt | WMRButtonDBLCLK (TControl)
pt | WMRButtonDown (TControl)
pt | WMRButtonQuadCLK (TControl)
pt | WMRButtonTripleCLK (TControl)
pt | WMRButtonUp (TControl)
pt | WMSetFocus (TWinControl)
pt | WMShowWindow (TWinControl)
pt | WMSize (TControl)
pt | WMSize (TWinControl)
pt | WMSysChar (TWinControl)
pt | WMSysKeyDown (TWinControl)
pt | WMSysKeyUp (TWinControl)
pt | WMWindowPosChanged (TControl)
pt | WMWindowPosChanged (TWinControl)
pt | WMXButtonDBLCLK (TControl)
pt | WMXButtonDown (TControl)
pt | WMXButtonQuadCLK (TControl)
pt | WMXButtonTripleCLK (TControl)
pt | WMXButtonUp (TControl)
pt | WndProc (TControl)
pt | WndProc (TWinControl)
 | WriteLayoutDebugReport (TControl)
 | WriteLayoutDebugReport (TWinControl)
 | WriteLeft (TComponent)
 | WriteState (TComponent)
 | WriteTop (TComponent)
pt | WSRegisterClass (TLCLComponent)
pt | WSRegisterClass (TControl)
pt | WSRegisterClass (TWinControl)
pt | WSRegisterClass (TCustomControl)
pt | WSSetText (TWinControl)
 | _AddRef (TComponent)
 | _Release (TComponent)


TCustomControlFilterEdit
pl |  | OnAfterFilter
pl |  | OnFilterItem
pl |  | OnFilterItemEx
pl |  | OnCheckItem
pl | ro | OnButtonClick
pl | ro | OnChange
pl | ro | OnClick
pl | ro | OnDblClick
pl | ro | OnDragDrop
pl | ro | OnDragOver
pl | ro | OnEditingDone
pl | ro | OnEndDrag
pl | ro | OnEnter
pl | ro | OnExit
pl | ro | OnKeyDown
pl | ro | OnKeyPress
pl | ro | OnKeyUp
pl | ro | OnMouseDown
pl | ro | OnMouseEnter
pl | ro | OnMouseLeave
pl | ro | OnMouseMove
pl | ro | OnMouseUp
pl | ro | OnMouseWheel
pl | ro | OnMouseWheelDown
pl | ro | OnMouseWheelUp
pl | ro | OnStartDrag
pl | ro | OnUTF8KeyPress
TCustomEditButton
pt |  | OnButtonClick
TCustomAbstractGroupedEdit
pt |  | OnBuddyClick
 |  | OnChange
 |  | OnClick
 |  | OnDblClick
 |  | OnDragDrop
 |  | OnDragOver
 |  | OnEditingDone
 |  | OnEndDrag
 |  | OnEnter
 |  | OnExit
 |  | OnMouseDown
 |  | OnKeyPress
 |  | OnKeyDown
 |  | OnKeyUp
 |  | OnMouseEnter
 |  | OnMouseLeave
 |  | OnMouseMove
 |  | OnMouseWheel
 |  | OnMouseWheelUp
 |  | OnMouseWheelDown
 |  | OnMouseUp
 |  | OnStartDrag
 |  | OnUtf8KeyPress
TCustomControl
 |  | OnPaint
TWinControl
pt |  | OnGetSiteInfo
pt |  | OnGetDockCaption
 |  | OnAlignInsertBefore
 |  | OnAlignPosition
 |  | OnDockDrop
 |  | OnDockOver
 |  | OnEnter
 |  | OnExit
 |  | OnKeyDown
 |  | OnKeyPress
 |  | OnKeyUp
 |  | OnUnDock
 |  | OnUTF8KeyPress
TControl
pt |  | OnConstrainedResize
pt |  | OnContextPopup
pt |  | OnDblClick
pt |  | OnTripleClick
pt |  | OnQuadClick
pt |  | OnDragDrop
pt |  | OnDragOver
pt |  | OnEndDock
pt |  | OnEndDrag
pt |  | OnMouseDown
pt |  | OnMouseMove
pt |  | OnMouseUp
pt |  | OnMouseEnter
pt |  | OnMouseLeave
pt |  | OnMouseWheel
pt |  | OnMouseWheelDown
pt |  | OnMouseWheelUp
pt |  | OnMouseWheelHorz
pt |  | OnMouseWheelLeft
pt |  | OnMouseWheelRight
pt |  | OnStartDock
pt |  | OnStartDrag
pt |  | OnEditingDone
 |  | OnChangeBounds
 |  | OnClick
 |  | OnResize
 |  | OnShowHint
TLCLComponent
TComponent
TPersistent
TObject


pl |  | OnAfterFilter (TCustomControlFilterEdit)
 |  | OnAlignInsertBefore (TWinControl)
 |  | OnAlignPosition (TWinControl)
pt |  | OnBuddyClick (TCustomAbstractGroupedEdit)
pt |  | OnButtonClick (TCustomEditButton)
pl | ro | OnButtonClick (TCustomControlFilterEdit)
 |  | OnChange (TCustomAbstractGroupedEdit)
pl | ro | OnChange (TCustomControlFilterEdit)
 |  | OnChangeBounds (TControl)
pl |  | OnCheckItem (TCustomControlFilterEdit)
 |  | OnClick (TControl)
 |  | OnClick (TCustomAbstractGroupedEdit)
pl | ro | OnClick (TCustomControlFilterEdit)
pt |  | OnConstrainedResize (TControl)
pt |  | OnContextPopup (TControl)
pt |  | OnDblClick (TControl)
 |  | OnDblClick (TCustomAbstractGroupedEdit)
pl | ro | OnDblClick (TCustomControlFilterEdit)
 |  | OnDockDrop (TWinControl)
 |  | OnDockOver (TWinControl)
pt |  | OnDragDrop (TControl)
 |  | OnDragDrop (TCustomAbstractGroupedEdit)
pl | ro | OnDragDrop (TCustomControlFilterEdit)
pt |  | OnDragOver (TControl)
 |  | OnDragOver (TCustomAbstractGroupedEdit)
pl | ro | OnDragOver (TCustomControlFilterEdit)
pt |  | OnEditingDone (TControl)
 |  | OnEditingDone (TCustomAbstractGroupedEdit)
pl | ro | OnEditingDone (TCustomControlFilterEdit)
pt |  | OnEndDock (TControl)
pt |  | OnEndDrag (TControl)
 |  | OnEndDrag (TCustomAbstractGroupedEdit)
pl | ro | OnEndDrag (TCustomControlFilterEdit)
 |  | OnEnter (TWinControl)
 |  | OnEnter (TCustomAbstractGroupedEdit)
pl | ro | OnEnter (TCustomControlFilterEdit)
 |  | OnExit (TWinControl)
 |  | OnExit (TCustomAbstractGroupedEdit)
pl | ro | OnExit (TCustomControlFilterEdit)
pl |  | OnFilterItem (TCustomControlFilterEdit)
pl |  | OnFilterItemEx (TCustomControlFilterEdit)
pt |  | OnGetDockCaption (TWinControl)
pt |  | OnGetSiteInfo (TWinControl)
 |  | OnKeyDown (TWinControl)
 |  | OnKeyDown (TCustomAbstractGroupedEdit)
pl | ro | OnKeyDown (TCustomControlFilterEdit)
 |  | OnKeyPress (TWinControl)
 |  | OnKeyPress (TCustomAbstractGroupedEdit)
pl | ro | OnKeyPress (TCustomControlFilterEdit)
 |  | OnKeyUp (TWinControl)
 |  | OnKeyUp (TCustomAbstractGroupedEdit)
pl | ro | OnKeyUp (TCustomControlFilterEdit)
pt |  | OnMouseDown (TControl)
 |  | OnMouseDown (TCustomAbstractGroupedEdit)
pl | ro | OnMouseDown (TCustomControlFilterEdit)
pt |  | OnMouseEnter (TControl)
 |  | OnMouseEnter (TCustomAbstractGroupedEdit)
pl | ro | OnMouseEnter (TCustomControlFilterEdit)
pt |  | OnMouseLeave (TControl)
 |  | OnMouseLeave (TCustomAbstractGroupedEdit)
pl | ro | OnMouseLeave (TCustomControlFilterEdit)
pt |  | OnMouseMove (TControl)
 |  | OnMouseMove (TCustomAbstractGroupedEdit)
pl | ro | OnMouseMove (TCustomControlFilterEdit)
pt |  | OnMouseUp (TControl)
 |  | OnMouseUp (TCustomAbstractGroupedEdit)
pl | ro | OnMouseUp (TCustomControlFilterEdit)
pt |  | OnMouseWheel (TControl)
 |  | OnMouseWheel (TCustomAbstractGroupedEdit)
pl | ro | OnMouseWheel (TCustomControlFilterEdit)
pt |  | OnMouseWheelDown (TControl)
 |  | OnMouseWheelDown (TCustomAbstractGroupedEdit)
pl | ro | OnMouseWheelDown (TCustomControlFilterEdit)
pt |  | OnMouseWheelHorz (TControl)
pt |  | OnMouseWheelLeft (TControl)
pt |  | OnMouseWheelRight (TControl)
pt |  | OnMouseWheelUp (TControl)
 |  | OnMouseWheelUp (TCustomAbstractGroupedEdit)
pl | ro | OnMouseWheelUp (TCustomControlFilterEdit)
 |  | OnPaint (TCustomControl)
pt |  | OnQuadClick (TControl)
 |  | OnResize (TControl)
 |  | OnShowHint (TControl)
pt |  | OnStartDock (TControl)
pt |  | OnStartDrag (TControl)
 |  | OnStartDrag (TCustomAbstractGroupedEdit)
pl | ro | OnStartDrag (TCustomControlFilterEdit)
pt |  | OnTripleClick (TControl)
 |  | OnUnDock (TWinControl)
 |  | OnUTF8KeyPress (TWinControl)
 |  | OnUtf8KeyPress (TCustomAbstractGroupedEdit)
pl | ro | OnUTF8KeyPress (TCustomControlFilterEdit)


TCustomControlFilterEdit.Align

Declaration

Source position: editbtn.pas line 292

published property TCustomControlFilterEdit.Align : TAlign;


TCustomControlFilterEdit.Anchors

Declaration

Source position: editbtn.pas line 293

published property TCustomControlFilterEdit.Anchors : TAnchors;


TCustomControlFilterEdit.ApplyFilter

Filters the data and updates the container.

Declaration

Source position: editbtn.pas line 249

protected procedure TCustomControlFilterEdit.ApplyFilter(

  Immediately: Boolean = False

);

Description

Does its job at once if Immediately=True. Otherwise connects to OnIdle handler which does it later.


TCustomControlFilterEdit.ApplyFilterCore

Method that actually filters data in the container component. Must be implementation inherited classes.

Declaration

Source position: editbtn.pas line 250

protected procedure TCustomControlFilterEdit.ApplyFilterCore; virtual; abstract;


TCustomControlFilterEdit.AutoSelect

Declaration

Source position: editbtn.pas line 298

published property TCustomControlFilterEdit.AutoSelect : Boolean;


TCustomControlFilterEdit.AutoSize

Declaration

Source position: editbtn.pas line 297

published property TCustomControlFilterEdit.AutoSize : Boolean;


TCustomControlFilterEdit.BidiMode

Declaration

Source position: editbtn.pas line 294

published property TCustomControlFilterEdit.BidiMode : TBiDiMode;


TCustomControlFilterEdit.BorderSpacing

Declaration

Source position: editbtn.pas line 295

published property TCustomControlFilterEdit.BorderSpacing : TControlBorderSpacing;


TCustomControlFilterEdit.BorderStyle

Declaration

Source position: editbtn.pas line 296

published property TCustomControlFilterEdit.BorderStyle : TBorderStyle;


TCustomControlFilterEdit.BuddyClick

Declaration

Source position: editbtn.pas line 247

protected procedure TCustomControlFilterEdit.BuddyClick; override;


TCustomControlFilterEdit.ButtonCaption

Declaration

Source position: editbtn.pas line 282

published property TCustomControlFilterEdit.ButtonCaption : TCaption;


TCustomControlFilterEdit.ButtonCursor

Declaration

Source position: editbtn.pas line 283

published property TCustomControlFilterEdit.ButtonCursor : TCursor;


TCustomControlFilterEdit.CharCase

Declaration

Source position: editbtn.pas line 274

published property TCustomControlFilterEdit.CharCase : TEditCharCase
  default ecLowerCase;


TCustomControlFilterEdit.Color

Declaration

Source position: editbtn.pas line 299

published property TCustomControlFilterEdit.Color : TColor;


TCustomControlFilterEdit.Constraints

Declaration

Source position: editbtn.pas line 287

published property TCustomControlFilterEdit.Constraints : TSizeConstraints;


TCustomControlFilterEdit.DestroyWnd

Declaration

Source position: editbtn.pas line 240

protected procedure TCustomControlFilterEdit.DestroyWnd; override;


TCustomControlFilterEdit.DirectInput

Declaration

Source position: editbtn.pas line 288

published property TCustomControlFilterEdit.DirectInput : Boolean;


TCustomControlFilterEdit.DoDefaultFilterItem

Declaration

Source position: editbtn.pas line 241

protected function TCustomControlFilterEdit.DoDefaultFilterItem(

  const ACaption: string;

  const ItemData: Pointer

):Boolean; virtual;


TCustomControlFilterEdit.DoFilterItem

Declaration

Source position: editbtn.pas line 243

protected function TCustomControlFilterEdit.DoFilterItem(

  const ACaption: string;

  ItemData: Pointer

):Boolean; virtual;


TCustomControlFilterEdit.DragCursor

Declaration

Source position: editbtn.pas line 300

published property TCustomControlFilterEdit.DragCursor : TCursor;


TCustomControlFilterEdit.DragMode

Declaration

Source position: editbtn.pas line 301

published property TCustomControlFilterEdit.DragMode : TDragMode;


TCustomControlFilterEdit.EditChange

Declaration

Source position: editbtn.pas line 246

protected procedure TCustomControlFilterEdit.EditChange; override;


TCustomControlFilterEdit.EditKeyDown

Declaration

Source position: editbtn.pas line 245

protected procedure TCustomControlFilterEdit.EditKeyDown(

  var Key: Word;

  Shift: TShiftState

); override;


TCustomControlFilterEdit.Enabled

Declaration

Source position: editbtn.pas line 302

published property TCustomControlFilterEdit.Enabled : Boolean;


TCustomControlFilterEdit.Filter

The actual filter text.

Declaration

Source position: editbtn.pas line 268

public property TCustomControlFilterEdit.Filter : string
  read fFilter
  write SetFilter;

Description

Typically a user types it in the edit control but it can also be set in code. Filtering is done during idle time after the value of Filter text has changed.


TCustomControlFilterEdit.FilterLowercase

Declaration

Source position: editbtn.pas line 269

public property TCustomControlFilterEdit.FilterLowercase : string
  read fFilterLowercase;


TCustomControlFilterEdit.FilterOptions

Declaration

Source position: editbtn.pas line 275

published property TCustomControlFilterEdit.FilterOptions : TFilterStringOptions
  read fFilterOptions
  write fFilterOptions
  default [];


TCustomControlFilterEdit.fIsFirstUpdate

Declaration

Source position: editbtn.pas line 235

protected TCustomControlFilterEdit.fIsFirstUpdate : Boolean;


TCustomControlFilterEdit.fNeedUpdate

Declaration

Source position: editbtn.pas line 234

protected TCustomControlFilterEdit.fNeedUpdate : Boolean;


TCustomControlFilterEdit.FocusOnButtonClick

Declaration

Source position: editbtn.pas line 290

published property TCustomControlFilterEdit.FocusOnButtonClick : Boolean;


TCustomControlFilterEdit.fOnCheckItem

Declaration

Source position: editbtn.pas line 239

protected TCustomControlFilterEdit.fOnCheckItem : TCheckItemEvent;


TCustomControlFilterEdit.fOnFilterItem

Declaration

Source position: editbtn.pas line 237

protected TCustomControlFilterEdit.fOnFilterItem : TFilterItemEvent;


TCustomControlFilterEdit.fOnFilterItemEx

Declaration

Source position: editbtn.pas line 238

protected TCustomControlFilterEdit.fOnFilterItemEx : TFilterItemExEvent;


TCustomControlFilterEdit.Font

Declaration

Source position: editbtn.pas line 303

published property TCustomControlFilterEdit.Font : TFont;


TCustomControlFilterEdit.ForceFilter

Applies a new filter immediately without waiting for idle. Returns the previous filter.

Declaration

Source position: editbtn.pas line 264

public function TCustomControlFilterEdit.ForceFilter(

  AFilter: string

):string;


TCustomControlFilterEdit.fSelectedPart

Declaration

Source position: editbtn.pas line 236

protected TCustomControlFilterEdit.fSelectedPart : TObject;


TCustomControlFilterEdit.IdleConnected

Declaration

Source position: editbtn.pas line 270

public property TCustomControlFilterEdit.IdleConnected : Boolean
  read fIdleConnected
  write SetIdleConnected;


TCustomControlFilterEdit.ImageIndex

Declaration

Source position: editbtn.pas line 307

published property TCustomControlFilterEdit.ImageIndex : TImageIndex;


TCustomControlFilterEdit.Images

Declaration

Source position: editbtn.pas line 306

published property TCustomControlFilterEdit.Images : TCustomImageList;


TCustomControlFilterEdit.ImageWidth

Declaration

Source position: editbtn.pas line 308

published property TCustomControlFilterEdit.ImageWidth : Integer;


TCustomControlFilterEdit.InvalidateFilter

Should be called when data was changed and it must be filtered again.

Declaration

Source position: editbtn.pas line 262

public procedure TCustomControlFilterEdit.InvalidateFilter;

Description

Connects to OnIdle handler which filters the data later.


TCustomControlFilterEdit.Layout

Declaration

Source position: editbtn.pas line 309

published property TCustomControlFilterEdit.Layout : TLeftRight;


TCustomControlFilterEdit.MaxLength

Declaration

Source position: editbtn.pas line 310

published property TCustomControlFilterEdit.MaxLength : Integer;


TCustomControlFilterEdit.MoveEnd

Declaration

Source position: editbtn.pas line 256

protected procedure TCustomControlFilterEdit.MoveEnd(

  ASelect: Boolean = False

); virtual; abstract;


TCustomControlFilterEdit.MoveHome

Declaration

Source position: editbtn.pas line 255

protected procedure TCustomControlFilterEdit.MoveHome(

  ASelect: Boolean = False

); virtual; abstract;


TCustomControlFilterEdit.MoveNext

Declaration

Source position: editbtn.pas line 251

protected procedure TCustomControlFilterEdit.MoveNext(

  ASelect: Boolean = False

); virtual; abstract;


TCustomControlFilterEdit.MovePageDown

Declaration

Source position: editbtn.pas line 254

protected procedure TCustomControlFilterEdit.MovePageDown(

  ASelect: Boolean = False

); virtual; abstract;


TCustomControlFilterEdit.MovePageUp

Declaration

Source position: editbtn.pas line 253

protected procedure TCustomControlFilterEdit.MovePageUp(

  ASelect: Boolean = False

); virtual; abstract;


TCustomControlFilterEdit.MovePrev

Declaration

Source position: editbtn.pas line 252

protected procedure TCustomControlFilterEdit.MovePrev(

  ASelect: Boolean = False

); virtual; abstract;


TCustomControlFilterEdit.OnAfterFilter

Called after all items are filtered.

Declaration

Source position: editbtn.pas line 276

published property TCustomControlFilterEdit.OnAfterFilter : TNotifyEvent
  read fOnAfterFilter
  write fOnAfterFilter;


TCustomControlFilterEdit.OnChange

Declaration

Source position: editbtn.pas line 323

published property TCustomControlFilterEdit.OnChange : TNotifyEvent;


TCustomControlFilterEdit.OnCheckItem

Has effect when items in the filtered container can be checked. Typically a CheckListbox.

Declaration

Source position: editbtn.pas line 280

published property TCustomControlFilterEdit.OnCheckItem : TCheckItemEvent
  read fOnCheckItem
  write fOnCheckItem;


TCustomControlFilterEdit.OnClick

Declaration

Source position: editbtn.pas line 324

published property TCustomControlFilterEdit.OnClick : TNotifyEvent;


TCustomControlFilterEdit.OnDblClick

Declaration

Source position: editbtn.pas line 325

published property TCustomControlFilterEdit.OnDblClick : TNotifyEvent;


TCustomControlFilterEdit.OnDragDrop

Declaration

Source position: editbtn.pas line 326

published property TCustomControlFilterEdit.OnDragDrop : TDragDropEvent;


TCustomControlFilterEdit.OnDragOver

Declaration

Source position: editbtn.pas line 327

published property TCustomControlFilterEdit.OnDragOver : TDragOverEvent;


TCustomControlFilterEdit.OnEditingDone

Declaration

Source position: editbtn.pas line 328

published property TCustomControlFilterEdit.OnEditingDone : TNotifyEvent;


TCustomControlFilterEdit.OnEndDrag

Declaration

Source position: editbtn.pas line 329

published property TCustomControlFilterEdit.OnEndDrag : TEndDragEvent;


TCustomControlFilterEdit.OnEnter

Declaration

Source position: editbtn.pas line 330

published property TCustomControlFilterEdit.OnEnter : TNotifyEvent;


TCustomControlFilterEdit.OnExit

Declaration

Source position: editbtn.pas line 331

published property TCustomControlFilterEdit.OnExit : TNotifyEvent;


TCustomControlFilterEdit.OnFilterItem

[Overview][Constants][Types][Classes][Procedures and functions][Index] Reference for unit 'EditBtn' (#lcl)

TCustomControlFilterEdit.OnFilterItem (deprecated)

An event handler to give extra conditions for filtering, in addition to the default behavior. Returns True if the passes the filter.

Declaration

Source position: editbtn.pas line 277

published property TCustomControlFilterEdit.OnFilterItem : TFilterItemEvent
  read fOnFilterItem
  write fOnFilterItem;

Description

This feature has for example enabled filtering the Options windows in Lazarus IDE, based on captions of all controls on the options pages.


TCustomControlFilterEdit.OnFilterItemEx

Declaration

Source position: editbtn.pas line 279

published property TCustomControlFilterEdit.OnFilterItemEx : TFilterItemExEvent
  read fOnFilterItemEx
  write fOnFilterItemEx;


TCustomControlFilterEdit.OnKeyDown

Declaration

Source position: editbtn.pas line 332

published property TCustomControlFilterEdit.OnKeyDown : TKeyEvent;


TCustomControlFilterEdit.OnKeyPress

Declaration

Source position: editbtn.pas line 333

published property TCustomControlFilterEdit.OnKeyPress : TKeyPressEvent;


TCustomControlFilterEdit.OnKeyUp

Declaration

Source position: editbtn.pas line 334

published property TCustomControlFilterEdit.OnKeyUp : TKeyEvent;


TCustomControlFilterEdit.OnMouseDown

Declaration

Source position: editbtn.pas line 335

published property TCustomControlFilterEdit.OnMouseDown : TMouseEvent;


TCustomControlFilterEdit.OnMouseEnter

Declaration

Source position: editbtn.pas line 336

published property TCustomControlFilterEdit.OnMouseEnter : TNotifyEvent;


TCustomControlFilterEdit.OnMouseLeave

Declaration

Source position: editbtn.pas line 337

published property TCustomControlFilterEdit.OnMouseLeave : TNotifyEvent;


TCustomControlFilterEdit.OnMouseMove

Declaration

Source position: editbtn.pas line 338

published property TCustomControlFilterEdit.OnMouseMove : TMouseMoveEvent;


TCustomControlFilterEdit.OnMouseUp

Declaration

Source position: editbtn.pas line 339

published property TCustomControlFilterEdit.OnMouseUp : TMouseEvent;


TCustomControlFilterEdit.OnMouseWheel

Declaration

Source position: editbtn.pas line 340

published property TCustomControlFilterEdit.OnMouseWheel : TMouseWheelEvent;


TCustomControlFilterEdit.OnMouseWheelDown

Declaration

Source position: editbtn.pas line 341

published property TCustomControlFilterEdit.OnMouseWheelDown : TMouseWheelUpDownEvent;


TCustomControlFilterEdit.OnMouseWheelUp

Declaration

Source position: editbtn.pas line 342

published property TCustomControlFilterEdit.OnMouseWheelUp : TMouseWheelUpDownEvent;


TCustomControlFilterEdit.OnStartDrag

Declaration

Source position: editbtn.pas line 343

published property TCustomControlFilterEdit.OnStartDrag : TStartDragEvent;


TCustomControlFilterEdit.OnUTF8KeyPress

Declaration

Source position: editbtn.pas line 344

published property TCustomControlFilterEdit.OnUTF8KeyPress : TUTF8KeyPressEvent;


TCustomControlFilterEdit.ParentBidiMode

Declaration

Source position: editbtn.pas line 311

published property TCustomControlFilterEdit.ParentBidiMode : Boolean;


TCustomControlFilterEdit.ParentColor

Declaration

Source position: editbtn.pas line 312

published property TCustomControlFilterEdit.ParentColor : Boolean;


TCustomControlFilterEdit.ParentFont

Declaration

Source position: editbtn.pas line 313

published property TCustomControlFilterEdit.ParentFont : Boolean;


TCustomControlFilterEdit.ParentShowHint

Declaration

Source position: editbtn.pas line 314

published property TCustomControlFilterEdit.ParentShowHint : Boolean;


TCustomControlFilterEdit.PopupMenu

Declaration

Source position: editbtn.pas line 315

published property TCustomControlFilterEdit.PopupMenu : TPopupMenu;


TCustomControlFilterEdit.ReadOnly

Declaration

Source position: editbtn.pas line 316

published property TCustomControlFilterEdit.ReadOnly : Boolean;


TCustomControlFilterEdit.ResetFilter

Removes the filter text and shows all items in the container.

Declaration

Source position: editbtn.pas line 263

public procedure TCustomControlFilterEdit.ResetFilter;


TCustomControlFilterEdit.RestoreSelection

Declaration

Source position: editbtn.pas line 266

public procedure TCustomControlFilterEdit.RestoreSelection; virtual; abstract;


TCustomControlFilterEdit.ReturnKeyHandled

Declaration

Source position: editbtn.pas line 257

protected function TCustomControlFilterEdit.ReturnKeyHandled: Boolean; virtual; abstract;


TCustomControlFilterEdit.SelectedPart

For retaining selection in the filtered control. The actual type depends on the control.

Declaration

Source position: editbtn.pas line 272

public property TCustomControlFilterEdit.SelectedPart : TObject
  read fSelectedPart
  write fSelectedPart;


TCustomControlFilterEdit.ShowHint

Declaration

Source position: editbtn.pas line 317

published property TCustomControlFilterEdit.ShowHint : Boolean;


TCustomControlFilterEdit.SortAndFilter

Declaration

Source position: editbtn.pas line 248

protected procedure TCustomControlFilterEdit.SortAndFilter; virtual; abstract;


TCustomControlFilterEdit.SortData

Items can be sorted while they are filtered.

Declaration

Source position: editbtn.pas line 271

public property TCustomControlFilterEdit.SortData : Boolean
  read fSortData
  write fSortData;


TCustomControlFilterEdit.Spacing

Declaration

Source position: editbtn.pas line 318

published property TCustomControlFilterEdit.Spacing : Integer;


TCustomControlFilterEdit.StoreSelection

Declaration

Source position: editbtn.pas line 265

public procedure TCustomControlFilterEdit.StoreSelection; virtual; abstract;


TCustomControlFilterEdit.TabOrder

Declaration

Source position: editbtn.pas line 319

published property TCustomControlFilterEdit.TabOrder : TTabOrder;


TCustomControlFilterEdit.TabStop

Declaration

Source position: editbtn.pas line 320

published property TCustomControlFilterEdit.TabStop : Boolean;


TCustomControlFilterEdit.Text

Declaration

Source position: editbtn.pas line 345

published property TCustomControlFilterEdit.Text : TCaption;


TCustomControlFilterEdit.TextHint

Declaration

Source position: editbtn.pas line 346

published property TCustomControlFilterEdit.TextHint : TTranslateString
  stored IsTextHintStored;


TCustomControlFilterEdit.Visible

Declaration

Source position: editbtn.pas line 321

published property TCustomControlFilterEdit.Visible : Boolean;


TCustomEditButton

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

TCustomEditButton - base class for TEditButton, an Edit Box with attached Speed Button

Declaration

Source position: editbtn.pas line 58

type TCustomEditButton = class(TCustomAbstractGroupedEdit)
protected
procedure ButtonClick; virtual;
procedure BuddyClick; override;
function GetEditorClassType; override;
function GetBuddyClassType; override;
class function GetControlClassDefaultSize; override;
function CalcButtonVisible; virtual;
function GetDefaultGlyphName; virtual; | GetDefaultGlyphName - find the name for the default glyph for the SpeedButton
procedure CalculatePreferredSize(); override;
procedure CheckButtonVisible; |
procedure LoadDefaultGlyph;
procedure GlyphChanged(); virtual;
property Button: TSpeedButton; [r] | Button - the SpeedButton that is attached to the Edit Box
property ButtonCaption: TCaption; [rw]
property ButtonCursor: TCursor; [rw]
property ButtonHint: TTranslateString; [rw] | ButtonHint - the hint that pops up when the mouse hovers over the button
property ButtonOnlyWhenFocused: Boolean; [rw] | ButtonOnlyWhenFocused - if True, the SpeedButton only appears when focus is given to the EditButton control
property ButtonWidth: Integer; [rw] | ButtonWidth - the width of the SpeedButton attached to the Edit Box
property Edit: TEbEdit; [r]
property Flat: Boolean; [rw] | Flat - if True, SpeedButton appears flat rather than three-dimensional
property FocusOnButtonClick: Boolean; [rw]
property Glyph: TBitmap; [rw] | Glyph - the small graphic image on the SpeedButton, which ought to indicate its function
property NumGlyphs: Integer; [rw] | NumGlyphs - the number of available glyphs
property Images: TCustomImageList; [rw]
property ImageIndex: TImageIndex; [rw]
property ImageWidth: Integer; [rw]
property Spacing: Integer;
property OnButtonClick: TNotifyEvent; [rw] | OnButtonClick - event handler for a mouse click on the SpeedButton
public
constructor Create(); override; | Create - constructor for TCustomEditButton: calls inherited Create then sets some defaults and initialises some variables
destructor Destroy; override;
end;

Inheritance

TCustomEditButton | TCustomEditButton - base class for TEditButton, an Edit Box with attached Speed Button
|
TCustomAbstractGroupedEdit |
|
TCustomControl | The base class for windowed controls which paint themselves.
|
TWinControl | The base class for controls which can contain other (child) controls.
|
TControl | The base class for visible controls.
|
TLCLComponent | The base class for LCL components associated with widgets.
|
TComponent,IUnknown,IInterfaceComponentReference
|
TPersistent,IFPObserved
|
TObject


TCustomEditButton
pt | ro | Button
pt |  | ButtonCaption
pt |  | ButtonCursor
pt |  | ButtonHint
pt |  | ButtonOnlyWhenFocused
pt |  | ButtonWidth
pt | ro | Edit
pt |  | Flat
pt |  | FocusOnButtonClick
pt |  | Glyph
pt |  | NumGlyphs
pt |  | Images
pt |  | ImageIndex
pt |  | ImageWidth
pt | ro | Spacing
TCustomAbstractGroupedEdit
pt |  | AutoSelect
pt |  | AutoSelected
pt | ro | Buddy
pt |  | BuddyCaption
pt |  | BuddyCursor
pt |  | BuddyHint
pt |  | BuddyWidth
pt |  | DirectInput
pt | ro | BaseEditor
pt |  | EditMask
pt |  | EditText
pt |  | FocusOnBuddyClick
pt | ro | IsMasked
pt |  | Layout
pt |  | Spacing
 | ro | Autosize
 |  | AutoSizeHeightIsEditHeight
 |  | Alignment
 | ro | CanUndo
 |  | CaretPos
 |  | CharCase
 |  | Color
 |  | ParentColor
 |  | EchoMode
 |  | HideSelection
 |  | MaxLength
 |  | Modified
 |  | NumbersOnly
 |  | PasswordChar
 |  | PopupMenu
 |  | ReadOnly
 |  | SelLength
 |  | SelStart
 |  | SelText
 |  | TabStop
 | ro | Text
 |  | TextHint
TCustomControl
 |  | Canvas
 | ro | BorderStyle
TWinControl
pt |  | WindowHandle
pt |  | BorderStyle
pt |  | ParentBackground
 |  | BorderWidth
 | ro | BoundsLockCount
 | ro | Brush
 | ro | CachedClientHeight
 | ro | CachedClientWidth
 |  | ChildSizing
 | ro | ControlCount
 | ro | Controls
 |  | DefWndProc
 | ro | DockClientCount
 | ro | DockClients
 |  | DockManager
 |  | DockSite
 |  | DoubleBuffered
 |  | Handle
 | ro | IsFlipped
 | ro | IsResizing
 |  | TabOrder
 |  | TabStop
 |  | ParentDoubleBuffered
 |  | ParentWindow
 | ro | Showing
 |  | UseDockManager
 |  | DesignerDeleting
 | ro | VisibleDockClientCount
TControl
pt | ro | AutoSizing
pt | ro | AutoSizingAll
pt | ro | AutoSizingLockCount
pt |  | ActionLink
pt |  | DesktopFont
pt |  | DragCursor
pt |  | DragKind
pt |  | DragMode
pt |  | MouseCapture
pt |  | ParentColor
pt |  | ParentFont
pt |  | ParentShowHint
pt |  | SessionProperties
pt |  | Text
 | ro | AnchoredControls
 | ro | BaseBounds
 | ro | ReadBounds
 | ro | BaseParentClientSize
 |  | AccessibleDescription
 |  | AccessibleValue
 |  | AccessibleRole
 |  | Action
 |  | Align
 |  | Anchors
 | ro | AnchorSide
 |  | AutoSize
 |  | BorderSpacing
 |  | BoundsRect
 |  | BoundsRectForNewParent
 |  | Caption
 |  | CaptureMouseButtons
 |  | ClientHeight
 | ro | ClientOrigin
 | ro | ClientRect
 |  | ClientWidth
 |  | Color
 |  | Constraints
 | ro | ControlOrigin
 |  | ControlState
 |  | ControlStyle
 |  | Enabled
 |  | Font
 |  | IsControl
 | ro | MouseEntered
 | ro | MouseInClient
 |  | Parent
 |  | PopupMenu
 |  | ShowHint
 |  | Visible
 |  | WindowProc
 |  | DockOrientation
 | ro | Floating
 |  | FloatingDockSiteClass
 |  | HostDockSite
 |  | LRDockWidth
 |  | TBDockHeight
 |  | UndockHeight
 |  | UndockWidth
 |  | BiDiMode
 |  | ParentBiDiMode
pl |  | AnchorSideLeft
pl |  | AnchorSideTop
pl |  | AnchorSideRight
pl |  | AnchorSideBottom
pl |  | Cursor
pl |  | Left
pl |  | Height
pl |  | Hint
pl |  | Top
pl |  | Width
pl |  | HelpType
pl |  | HelpKeyword
pl |  | HelpContext
TLCLComponent
 | ro | LCLRefCount
 | ro | WidgetSetClass
TComponent
 | ro | ComObject
 | ro | Components
 | ro | ComponentCount
 |  | ComponentIndex
 | ro | ComponentState
 | ro | ComponentStyle
 |  | DesignInfo
 | ro | Owner
 |  | VCLComObject
 |  | Name
 |  | Tag
TPersistent
TObject


 |  | AccessibleDescription (TControl)
 |  | AccessibleRole (TControl)
 |  | AccessibleValue (TControl)
 |  | Action (TControl)
pt |  | ActionLink (TControl)
 |  | Align (TControl)
 |  | Alignment (TCustomAbstractGroupedEdit)
 | ro | AnchoredControls (TControl)
 |  | Anchors (TControl)
 | ro | AnchorSide (TControl)
pl |  | AnchorSideBottom (TControl)
pl |  | AnchorSideLeft (TControl)
pl |  | AnchorSideRight (TControl)
pl |  | AnchorSideTop (TControl)
pt |  | AutoSelect (TCustomAbstractGroupedEdit)
pt |  | AutoSelected (TCustomAbstractGroupedEdit)
 |  | AutoSize (TControl)
 | ro | Autosize (TCustomAbstractGroupedEdit)
 |  | AutoSizeHeightIsEditHeight (TCustomAbstractGroupedEdit)
pt | ro | AutoSizing (TControl)
pt | ro | AutoSizingAll (TControl)
pt | ro | AutoSizingLockCount (TControl)
 | ro | BaseBounds (TControl)
pt | ro | BaseEditor (TCustomAbstractGroupedEdit)
 | ro | BaseParentClientSize (TControl)
 |  | BiDiMode (TControl)
 |  | BorderSpacing (TControl)
pt |  | BorderStyle (TWinControl)
 | ro | BorderStyle (TCustomControl)
 |  | BorderWidth (TWinControl)
 | ro | BoundsLockCount (TWinControl)
 |  | BoundsRect (TControl)
 |  | BoundsRectForNewParent (TControl)
 | ro | Brush (TWinControl)
pt | ro | Buddy (TCustomAbstractGroupedEdit)
pt |  | BuddyCaption (TCustomAbstractGroupedEdit)
pt |  | BuddyCursor (TCustomAbstractGroupedEdit)
pt |  | BuddyHint (TCustomAbstractGroupedEdit)
pt |  | BuddyWidth (TCustomAbstractGroupedEdit)
pt | ro | Button (TCustomEditButton)
pt |  | ButtonCaption (TCustomEditButton)
pt |  | ButtonCursor (TCustomEditButton)
pt |  | ButtonHint (TCustomEditButton)
pt |  | ButtonOnlyWhenFocused (TCustomEditButton)
pt |  | ButtonWidth (TCustomEditButton)
 | ro | CachedClientHeight (TWinControl)
 | ro | CachedClientWidth (TWinControl)
 | ro | CanUndo (TCustomAbstractGroupedEdit)
 |  | Canvas (TCustomControl)
 |  | Caption (TControl)
 |  | CaptureMouseButtons (TControl)
 |  | CaretPos (TCustomAbstractGroupedEdit)
 |  | CharCase (TCustomAbstractGroupedEdit)
 |  | ChildSizing (TWinControl)
 |  | ClientHeight (TControl)
 | ro | ClientOrigin (TControl)
 | ro | ClientRect (TControl)
 |  | ClientWidth (TControl)
 |  | Color (TControl)
 |  | Color (TCustomAbstractGroupedEdit)
 | ro | ComObject (TComponent)
 | ro | ComponentCount (TComponent)
 |  | ComponentIndex (TComponent)
 | ro | Components (TComponent)
 | ro | ComponentState (TComponent)
 | ro | ComponentStyle (TComponent)
 |  | Constraints (TControl)
 | ro | ControlCount (TWinControl)
 | ro | ControlOrigin (TControl)
 | ro | Controls (TWinControl)
 |  | ControlState (TControl)
 |  | ControlStyle (TControl)
pl |  | Cursor (TControl)
 |  | DefWndProc (TWinControl)
 |  | DesignerDeleting (TWinControl)
 |  | DesignInfo (TComponent)
pt |  | DesktopFont (TControl)
pt |  | DirectInput (TCustomAbstractGroupedEdit)
 | ro | DockClientCount (TWinControl)
 | ro | DockClients (TWinControl)
 |  | DockManager (TWinControl)
 |  | DockOrientation (TControl)
 |  | DockSite (TWinControl)
 |  | DoubleBuffered (TWinControl)
pt |  | DragCursor (TControl)
pt |  | DragKind (TControl)
pt |  | DragMode (TControl)
 |  | EchoMode (TCustomAbstractGroupedEdit)
pt | ro | Edit (TCustomEditButton)
pt |  | EditMask (TCustomAbstractGroupedEdit)
pt |  | EditText (TCustomAbstractGroupedEdit)
 |  | Enabled (TControl)
pt |  | Flat (TCustomEditButton)
 | ro | Floating (TControl)
 |  | FloatingDockSiteClass (TControl)
pt |  | FocusOnBuddyClick (TCustomAbstractGroupedEdit)
pt |  | FocusOnButtonClick (TCustomEditButton)
 |  | Font (TControl)
pt |  | Glyph (TCustomEditButton)
 |  | Handle (TWinControl)
pl |  | Height (TControl)
pl |  | HelpContext (TControl)
pl |  | HelpKeyword (TControl)
pl |  | HelpType (TControl)
 |  | HideSelection (TCustomAbstractGroupedEdit)
pl |  | Hint (TControl)
 |  | HostDockSite (TControl)
pt |  | ImageIndex (TCustomEditButton)
pt |  | Images (TCustomEditButton)
pt |  | ImageWidth (TCustomEditButton)
 |  | IsControl (TControl)
 | ro | IsFlipped (TWinControl)
pt | ro | IsMasked (TCustomAbstractGroupedEdit)
 | ro | IsResizing (TWinControl)
pt |  | Layout (TCustomAbstractGroupedEdit)
 | ro | LCLRefCount (TLCLComponent)
pl |  | Left (TControl)
 |  | LRDockWidth (TControl)
 |  | MaxLength (TCustomAbstractGroupedEdit)
 |  | Modified (TCustomAbstractGroupedEdit)
pt |  | MouseCapture (TControl)
 | ro | MouseEntered (TControl)
 | ro | MouseInClient (TControl)
 |  | Name (TComponent)
 |  | NumbersOnly (TCustomAbstractGroupedEdit)
pt |  | NumGlyphs (TCustomEditButton)
 | ro | Owner (TComponent)
 |  | Parent (TControl)
pt |  | ParentBackground (TWinControl)
 |  | ParentBiDiMode (TControl)
pt |  | ParentColor (TControl)
 |  | ParentColor (TCustomAbstractGroupedEdit)
 |  | ParentDoubleBuffered (TWinControl)
pt |  | ParentFont (TControl)
pt |  | ParentShowHint (TControl)
 |  | ParentWindow (TWinControl)
 |  | PasswordChar (TCustomAbstractGroupedEdit)
 |  | PopupMenu (TControl)
 |  | PopupMenu (TCustomAbstractGroupedEdit)
 | ro | ReadBounds (TControl)
 |  | ReadOnly (TCustomAbstractGroupedEdit)
 |  | SelLength (TCustomAbstractGroupedEdit)
 |  | SelStart (TCustomAbstractGroupedEdit)
 |  | SelText (TCustomAbstractGroupedEdit)
pt |  | SessionProperties (TControl)
 |  | ShowHint (TControl)
 | ro | Showing (TWinControl)
pt |  | Spacing (TCustomAbstractGroupedEdit)
pt | ro | Spacing (TCustomEditButton)
 |  | TabOrder (TWinControl)
 |  | TabStop (TWinControl)
 |  | TabStop (TCustomAbstractGroupedEdit)
 |  | Tag (TComponent)
 |  | TBDockHeight (TControl)
pt |  | Text (TControl)
 | ro | Text (TCustomAbstractGroupedEdit)
 |  | TextHint (TCustomAbstractGroupedEdit)
pl |  | Top (TControl)
 |  | UndockHeight (TControl)
 |  | UndockWidth (TControl)
 |  | UseDockManager (TWinControl)
 |  | VCLComObject (TComponent)
 |  | Visible (TControl)
 | ro | VisibleDockClientCount (TWinControl)
 | ro | WidgetSetClass (TLCLComponent)
pl |  | Width (TControl)
pt |  | WindowHandle (TWinControl)
 |  | WindowProc (TControl)


TCustomEditButton
pt | ButtonClick
pt | BuddyClick
pt | GetEditorClassType
pt | GetBuddyClassType
pt | GetControlClassDefaultSize
pt | CalcButtonVisible
pt | GetDefaultGlyphName
pt | CalculatePreferredSize
pt | CheckButtonVisible
pt | LoadDefaultGlyph
pt | GlyphChanged
 | Create
 | Destroy
TCustomAbstractGroupedEdit
pt | CalculatePreferredSize
pt | CreateBuddy
pt | CreateEditor
pt | FocusAndMaybeSelectAll
pt | GetEditorClassType
pt | GetBuddyClassType
pt | GetControlClassDefaultSize
pt | SetDirectInput
pt | RealGetText
pt | RealSetText
pt | GetEditPopupMenu
pt | GetBuddyCaption
pt | GetBuddyCursor
pt | GetBuddyHint
pt | GetBuddyWidth
pt | GetBuddyVisible
pt | SetBuddyCaption
pt | SetBuddyCursor
pt | SetBuddyHint
pt | SetBuddyWidth
pt | SetBuddyVisible
pt | BuddyClick
pt | DoEnter
pt | EditChange
pt | EditClick
pt | EditDblClick
pt | EditDragDrop
pt | EditDragOver
pt | EditEditingDone
pt | EditEndDrag
pt | EditEnter
pt | EditExit
pt | EditKeyDown
pt | EditKeyPress
pt | EditKeyUp
pt | EditMouseDown
pt | EditMouseUp
pt | EditMouseEnter
pt | EditMouseLeave
pt | EditMouseMove
pt | EditMouseWheel
pt | EditMouseWheelUp
pt | EditMouseWheelDown
pt | EditUtf8KeyPress
pt | EditStartDrag
pt | UpdateSpacing
pt | CheckCursor
pt | CMParentColorChanged
pt | EditCanModify
pt | GetSel
pt | GetSpacing
pt | SetSel
pt | Loaded
pt | Reset
pt | SetAutoSize
pt | SetColor
pt | SetCursor
pt | ShouldAutoAdjust
 | Create
 | Destroy
 | SetFocus
 | Focused
 | Clear
 | ClearSelection
 | CopyToClipboard
 | CutToClipboard
 | PasteFromClipboard
 | SelectAll
 | Undo
 | ValidateEdit
TCustomControl
pt | WSRegisterClass
pt | WMPaint
pt | DestroyWnd
pt | PaintWindow
pt | FontChanged
pt | SetColor
pt | Paint
 | Create
 | Destroy
TWinControl
pt | WSRegisterClass
pt | AdjustClientRect
pt | GetAdjustedLogicalClientRect
pt | AlignControls
pt | CustomAlignInsertBefore
pt | CustomAlignPosition
pt | DoAlignChildControls
pt | DoChildSizingChange
pt | InvalidatePreferredChildSizes
pt | CanTab
pt | IsClientHeightStored
pt | IsClientWidthStored
pt | DoSendShowHideToInterface
pt | ControlsAligned
pt | DoSendBoundsToInterface
pt | RealizeBounds
pt | RealizeBoundsRecursive
pt | InvalidateBoundsRealized
pt | CreateSubClass
pt | DoConstraintsChange
pt | DoSetBounds
pt | DoAutoSize
pt | DoAllAutoSize
pt | AllAutoSized
pt | CalculatePreferredSize
pt | GetPreferredSizeClientFrame
pt | GetChildren
pt | ChildClassAllowed
pt | PaintControls
pt | PaintHandler
pt | PaintWindow
pt | CreateBrush
pt | ScaleControls
pt | ChangeScale
pt | CMBiDiModeChanged
pt | CMBorderChanged
pt | CMDoubleBufferedChanged
pt | CMEnabledChanged
pt | CMParentDoubleBufferedChanged
pt | CMShowingChanged
pt | CMShowHintChanged
pt | CMVisibleChanged
pt | CMEnter
pt | CMExit
pt | WMContextMenu
pt | WMEraseBkgnd
pt | WMNotify
pt | WMSetFocus
pt | WMKillFocus
pt | WMShowWindow
pt | WMEnter
pt | WMExit
pt | WMKeyDown
pt | WMSysKeyDown
pt | WMKeyUp
pt | WMSysKeyUp
pt | WMChar
pt | WMSysChar
pt | WMPaint
pt | WMDestroy
pt | WMMove
pt | WMSize
pt | WMWindowPosChanged
pt | CNKeyDown
pt | CNSysKeyDown
pt | CNKeyUp
pt | CNSysKeyUp
pt | CNChar
pt | DoDragMsg
pt | DoDockClientMsg
pt | DoUndockClientMsg
pt | DoAddDockClient
pt | DockOver
pt | DoDockOver
pt | DoRemoveDockClient
pt | DoUnDock
pt | GetSiteInfo
pt | GetParentHandle
pt | GetTopParentHandle
pt | ReloadDockedControl
pt | CreateDockManager
pt | SetDockManager
pt | DoFloatMsg
pt | DoGetDockCaption
pt | DoEnter
pt | DoExit
pt | DoKeyDownBeforeInterface
pt | DoRemainingKeyDown
pt | DoRemainingKeyUp
pt | DoKeyPress
pt | DoUTF8KeyPress
pt | DoKeyUpBeforeInterface
pt | ChildKey
pt | SendDialogChar
pt | DialogChar
pt | ControlKeyDown
pt | ControlKeyUp
pt | KeyDown
pt | KeyDownBeforeInterface
pt | KeyDownAfterInterface
pt | KeyPress
pt | KeyUp
pt | KeyUpBeforeInterface
pt | KeyUpAfterInterface
pt | UTF8KeyPress
pt | FindNextControl
pt | SelectFirst
pt | RealGetText
pt | GetBorderStyle
pt | GetClientOrigin
pt | GetClientRect
pt | GetControlOrigin
pt | GetDeviceContext
pt | GetParentBackground
pt | IsControlMouseMsg
pt | CreateHandle
pt | CreateParams
pt | CreateWnd
pt | DestroyHandle
pt | DestroyWnd
pt | DoFlipChildren
pt | FinalizeWnd
pt | FixupTabList
pt | FontChanged
pt | InitializeWnd
pt | Loaded
pt | FormEndUpdated
pt | MainWndProc
pt | ParentFormHandleInitialized
pt | ChildHandlesCreated
pt | GetMouseCapture
pt | RealSetText
pt | RemoveFocus
pt | SendMoveSizeMessages
pt | SetBorderStyle
pt | SetColor
pt | SetChildZPosition
pt | SetParentBackground
pt | ShowControl
pt | UpdateControlState
pt | UpdateShowing
pt | WndProc
pt | WSSetText
 | AutoSizePhases
 | AutoSizeDelayed
 | AutoSizeDelayedReport
 | AutoSizeDelayedHandle
 | BeginUpdateBounds
 | EndUpdateBounds
 | LockRealizeBounds
 | UnlockRealizeBounds
 | ControlAtPos
 | ContainsControl
 | DoAdjustClientRectChange
 | InvalidateClientRectCache
 | ClientRectNeedsInterfaceUpdate
 | SetBounds
 | GetChildrenRect
 | DisableAlign
 | EnableAlign
 | ReAlign
 | ScrollBy_WS
 | ScrollBy
 | WriteLayoutDebugReport
 | AutoAdjustLayout
 | Create
 | CreateParented
 | CreateParentedControl
 | Destroy
 | DockDrop
 | CanFocus
 | CanSetFocus
 | GetControlIndex
 | SetControlIndex
 | Focused
 | PerformTab
 | FindChildControl
 | SelectNext
 | SetTempCursor
 | BroadCast
 | NotifyControls
 | DefaultHandler
 | GetTextLen
 | Invalidate
 | AddControl
 | InsertControl
 | RemoveControl
 | GetEnumeratorControls
 | GetEnumeratorControlsReverse
 | Repaint
 | Update
 | SetFocus
 | FlipChildren
 | ScaleBy
 | GetDockCaption
 | UpdateDockCaption
 | GetTabOrderList
 | HandleAllocated
 | ParentHandlesAllocated
 | HandleNeeded
 | BrushCreated
 | EraseBackground
 | IntfUTF8KeyPress
 | IntfGetDropFilesTarget
 | PaintTo
 | SetShape
TControl
pt | WSRegisterClass
pt | GetCursor
pt | SetCursor
pt | SetVisible
pt | DoOnParentHandleDestruction
pt | DoAutoSize
pt | DoAllAutoSize
pt | BeginAutoSizing
pt | EndAutoSizing
pt | AnchorSideChanged
pt | ForeignAnchorSideChanged
pt | SetAlign
pt | SetAnchors
pt | SetAutoSize
pt | BoundsChanged
pt | CreateControlBorderSpacing
pt | DoConstraintsChange
pt | DoBorderSpacingChange
pt | IsBorderSpacingInnerBorderStored
pt | IsCaptionStored
pt | SendMoveSizeMessages
pt | ConstrainedResize
pt | CalculatePreferredSize
pt | DoOnResize
pt | DoOnChangeBounds
pt | CheckOnChangeBounds
pt | Resize
pt | RequestAlign
pt | UpdateAnchorRules
pt | ChangeBounds
pt | DoSetBounds
pt | ScaleConstraints
pt | ChangeScale
pt | CanAutoSize
pt | SetBiDiMode
pt | SetParentBiDiMode
pt | IsAParentAligning
pt | GetClientOrigin
pt | GetClientRect
pt | GetLogicalClientRect
pt | GetScrolledClientRect
pt | GetClientScrollOffset
pt | GetControlOrigin
pt | IsClientHeightStored
pt | IsClientWidthStored
pt | WidthIsAnchored
pt | HeightIsAnchored
pt | WMCancelMode
pt | WMContextMenu
pt | WMLButtonDown
pt | WMRButtonDown
pt | WMMButtonDown
pt | WMXButtonDown
pt | WMLButtonDBLCLK
pt | WMRButtonDBLCLK
pt | WMMButtonDBLCLK
pt | WMXButtonDBLCLK
pt | WMLButtonTripleCLK
pt | WMRButtonTripleCLK
pt | WMMButtonTripleCLK
pt | WMXButtonTripleCLK
pt | WMLButtonQuadCLK
pt | WMRButtonQuadCLK
pt | WMMButtonQuadCLK
pt | WMXButtonQuadCLK
pt | WMMouseMove
pt | WMLButtonUp
pt | WMRButtonUp
pt | WMMButtonUp
pt | WMXButtonUp
pt | WMMouseWheel
pt | WMMouseHWheel
pt | WMMove
pt | WMSize
pt | WMWindowPosChanged
pt | CMChanged
pt | LMCaptureChanged
pt | CMBiDiModeChanged
pt | CMSysFontChanged
pt | CMEnabledChanged
pt | CMHitTest
pt | CMMouseEnter
pt | CMMouseLeave
pt | CMHintShow
pt | CMParentBiDiModeChanged
pt | CMParentColorChanged
pt | CMParentFontChanged
pt | CMParentShowHintChanged
pt | CMVisibleChanged
pt | CMTextChanged
pt | CMCursorChanged
pt | CalculateDockSizes
pt | CreateFloatingDockSite
pt | GetDockEdge
pt | GetDragImages
pt | GetFloating
pt | GetFloatingDockSiteClass
pt | BeforeDragStart
pt | BeginAutoDrag
pt | DoFloatMsg
pt | DockTrackNoTarget
pt | DoDock
pt | DoDragMsg
pt | DoEndDock
pt | DoEndDrag
pt | DoStartDock
pt | DoStartDrag
pt | DragCanceled
pt | DragOver
pt | PositionDockRect
pt | SetDragMode
pt | GetDefaultDockCaption
pt | Click
pt | DblClick
pt | TripleClick
pt | QuadClick
pt | GetMousePosFromMessage
pt | MouseDown
pt | MouseMove
pt | MouseUp
pt | MouseEnter
pt | MouseLeave
pt | DialogChar
pt | UpdateMouseCursor
pt | Changed
pt | GetPalette
pt | ChildClassAllowed
pt | ReadState
pt | Loaded
pt | LoadedAll
pt | DefineProperties
pt | AssignTo
pt | FormEndUpdated
pt | InvalidateControl
pt | FontChanged
pt | ParentFontChanged
pt | GetAction
pt | RealGetText
pt | RealSetText
pt | TextChanged
pt | GetCachedText
pt | SetAction
pt | SetColor
pt | SetEnabled
pt | SetHint
pt | SetName
pt | SetParent
pt | SetParentComponent
pt | WndProc
pt | ParentFormHandleInitialized
pt | GetMouseCapture
pt | CaptureChanged
pt | Notification
pt | CanTab
pt | GetDeviceContext
pt | GetEnabled
pt | GetPopupMenu
pt | DoOnShowHint
pt | DoMouseWheel
pt | DoMouseWheelDown
pt | DoMouseWheelUp
pt | DoMouseWheelHorz
pt | DoMouseWheelLeft
pt | DoMouseWheelRight
pt | VisibleChanging
pt | VisibleChanged
pt | EnabledChanging
pt | EnabledChanged
pt | AddHandler
pt | RemoveHandler
pt | DoCallNotifyHandler
pt | DoCallKeyEventHandler
pt | DoCallMouseWheelEventHandler
pt | DoContextPopup
pt | SetZOrder
pt | GetControlClassDefaultSize
pt | ColorIsStored
pt | DoAutoAdjustLayout
pt | DoFixDesignFontPPI
pt | DoScaleFontPPI
pt | GetActionLinkClass
pt | ActionChange
 | DragDrop
 | Dock
 | ManualDock
 | ManualFloat
 | ReplaceDockedControl
 | Docked
 | Dragging
 | GetAccessibleObject
 | CreateAccessibleObject
 | GetSelectedChildAccessibleObject
 | GetChildAccessibleObjectAtPos
 | ScaleDesignToForm
 | ScaleFormToDesign
 | Scale96ToForm
 | ScaleFormTo96
 | Scale96ToFont
 | ScaleFontTo96
 | ScaleScreenToFont
 | ScaleFontToScreen
 | Scale96ToScreen
 | ScaleScreenTo96
 | AdjustSize
 | AutoSizePhases
 | AutoSizeDelayed
 | AutoSizeDelayedReport
 | AutoSizeDelayedHandle
 | AnchorToNeighbour
 | AnchorParallel
 | AnchorHorizontalCenterTo
 | AnchorVerticalCenterTo
 | AnchorToCompanion
 | AnchorSame
 | AnchorAsAlign
 | AnchorClient
 | AnchoredControlCount
 | SetBounds
 | SetInitialBounds
 | SetBoundsKeepBase
 | GetPreferredSize
 | GetCanvasScaleFactor
 | GetDefaultWidth
 | GetDefaultHeight
 | GetDefaultColor
 | GetColorResolvingParent
 | GetRGBColorResolvingParent
 | GetSidePosition
 | CNPreferredSizeChanged
 | InvalidatePreferredSize
 | GetAnchorsDependingOnParent
 | DisableAutoSizing
 | EnableAutoSizing
 | UpdateBaseBounds
 | WriteLayoutDebugReport
 | AutoAdjustLayout
 | ShouldAutoAdjust
 | FixDesignFontsPPI
 | ScaleFontsPPI
 | Create
 | Destroy
 | BeforeDestruction
 | EditingDone
 | ExecuteDefaultAction
 | ExecuteCancelAction
 | BeginDrag
 | EndDrag
 | BringToFront
 | HasParent
 | GetParentComponent
 | IsParentOf
 | GetTopParent
 | IsVisible
 | IsControlVisible
 | IsEnabled
 | IsParentColor
 | IsParentFont
 | FormIsUpdating
 | IsProcessingPaintMsg
 | Hide
 | Refresh
 | Repaint
 | Invalidate
 | CheckChildClassAllowed
 | CheckNewParent
 | SendToBack
 | SetTempCursor
 | UpdateRolesForForm
 | ActiveDefaultControlChanged
 | GetTextBuf
 | GetTextLen
 | SetTextBuf
 | Perform
 | ScreenToClient
 | ClientToScreen
 | ScreenToControl
 | ControlToScreen
 | ClientToParent
 | ParentToClient
 | GetChildrenRect
 | Show
 | Update
 | HandleObjectShouldBeVisible
 | ParentDestroyingHandle
 | ParentHandlesAllocated
 | InitiateAction
 | ShowHelp
 | HasHelp
 | RemoveAllHandlersOfObject
 | AddHandlerOnResize
 | RemoveHandlerOnResize
 | AddHandlerOnChangeBounds
 | RemoveHandlerOnChangeBounds
 | AddHandlerOnVisibleChanging
 | RemoveHandlerOnVisibleChanging
 | AddHandlerOnVisibleChanged
 | RemoveHandlerOnVisibleChanged
 | AddHandlerOnEnabledChanged
 | RemoveHandlerOnEnableChanging
 | AddHandlerOnKeyDown
 | RemoveHandlerOnKeyDown
 | AddHandlerOnBeforeDestruction
 | RemoveHandlerOnBeforeDestruction
 | AddHandlerOnMouseWheel
 | RemoveHandlerOnMouseWheel
 | UseRightToLeftAlignment
 | UseRightToLeftReading
 | UseRightToLeftScrollBar
 | IsRightToLeft
TLCLComponent
pt | WSRegisterClass
pt | GetWSComponentClass
 | Create
 | Destroy
 | NewInstance
 | RemoveAllHandlersOfObject
 | IncLCLRefCount
 | DecLCLRefCount
TComponent
 | GetComObject
 | GetComponent
 | GetComponentCount
 | GetComponentIndex
 | Insert
 | ReadLeft
 | ReadTop
 | Remove
 | RemoveNotification
 | SetComponentIndex
 | SetReference
 | WriteLeft
 | WriteTop
 | ChangeName
 | DefineProperties
 | GetChildren
 | GetChildOwner
 | GetChildParent
 | GetOwner
 | Loaded
 | Loading
 | Notification
 | PaletteCreated
 | ReadState
 | SetAncestor
 | SetDesigning
 | SetDesignInstance
 | SetInline
 | SetName
 | SetChildOrder
 | SetParentComponent
 | Updating
 | Updated
 | UpdateRegistry
 | ValidateRename
 | ValidateContainer
 | ValidateInsert
 | QueryInterface
 | _AddRef
 | _Release
 | iicrGetComponent
 | GetTypeInfoCount
 | GetTypeInfo
 | GetIDsOfNames
 | Invoke
 | WriteState
 | Create
 | Destroy
 | BeforeDestruction
 | DestroyComponents
 | Destroying
 | ExecuteAction
 | FindComponent
 | FreeNotification
 | RemoveFreeNotification
 | FreeOnRelease
 | GetEnumerator
 | GetNamePath
 | GetParentComponent
 | HasParent
 | InsertComponent
 | RemoveComponent
 | SafeCallException
 | SetSubComponent
 | UpdateAction
 | IsImplementorOf
 | ReferenceInterface
TPersistent
 | AssignError
 | AssignTo
 | DefineProperties
 | GetOwner
 | Destroy
 | Assign
 | FPOAttachObserver
 | FPODetachObserver
 | FPONotifyObservers
 | GetNamePath
TObject
 | Create
 | Destroy
 | newinstance
 | FreeInstance
 | SafeCallException
 | DefaultHandler
 | Free
 | InitInstance
 | CleanupInstance
 | ClassType
 | ClassInfo
 | ClassName
 | ClassNameIs
 | ClassParent
 | InstanceSize
 | InheritsFrom
 | StringMessageTable
 | MethodAddress
 | MethodName
 | FieldAddress
 | AfterConstruction
 | BeforeDestruction
 | DefaultHandlerStr
 | Dispatch
 | DispatchStr
 | GetInterface
 | GetInterfaceByStr
 | GetInterfaceWeak
 | GetInterfaceEntry
 | GetInterfaceEntryByStr
 | GetInterfaceTable
 | UnitName
 | Equals
 | GetHashCode
 | ToString


pt | ActionChange (TControl)
 | ActiveDefaultControlChanged (TControl)
 | AddControl (TWinControl)
pt | AddHandler (TControl)
 | AddHandlerOnBeforeDestruction (TControl)
 | AddHandlerOnChangeBounds (TControl)
 | AddHandlerOnEnabledChanged (TControl)
 | AddHandlerOnKeyDown (TControl)
 | AddHandlerOnMouseWheel (TControl)
 | AddHandlerOnResize (TControl)
 | AddHandlerOnVisibleChanged (TControl)
 | AddHandlerOnVisibleChanging (TControl)
pt | AdjustClientRect (TWinControl)
 | AdjustSize (TControl)
 | AfterConstruction (TObject)
pt | AlignControls (TWinControl)
pt | AllAutoSized (TWinControl)
 | AnchorAsAlign (TControl)
 | AnchorClient (TControl)
 | AnchoredControlCount (TControl)
 | AnchorHorizontalCenterTo (TControl)
 | AnchorParallel (TControl)
 | AnchorSame (TControl)
pt | AnchorSideChanged (TControl)
 | AnchorToCompanion (TControl)
 | AnchorToNeighbour (TControl)
 | AnchorVerticalCenterTo (TControl)
 | Assign (TPersistent)
 | AssignError (TPersistent)
 | AssignTo (TPersistent)
pt | AssignTo (TControl)
 | AutoAdjustLayout (TControl)
 | AutoAdjustLayout (TWinControl)
 | AutoSizeDelayed (TControl)
 | AutoSizeDelayed (TWinControl)
 | AutoSizeDelayedHandle (TControl)
 | AutoSizeDelayedHandle (TWinControl)
 | AutoSizeDelayedReport (TControl)
 | AutoSizeDelayedReport (TWinControl)
 | AutoSizePhases (TControl)
 | AutoSizePhases (TWinControl)
 | BeforeDestruction (TObject)
 | BeforeDestruction (TComponent)
 | BeforeDestruction (TControl)
pt | BeforeDragStart (TControl)
pt | BeginAutoDrag (TControl)
pt | BeginAutoSizing (TControl)
 | BeginDrag (TControl)
 | BeginUpdateBounds (TWinControl)
pt | BoundsChanged (TControl)
 | BringToFront (TControl)
 | BroadCast (TWinControl)
 | BrushCreated (TWinControl)
pt | BuddyClick (TCustomAbstractGroupedEdit)
pt | BuddyClick (TCustomEditButton)
pt | ButtonClick (TCustomEditButton)
pt | CalcButtonVisible (TCustomEditButton)
pt | CalculateDockSizes (TControl)
pt | CalculatePreferredSize (TControl)
pt | CalculatePreferredSize (TWinControl)
pt | CalculatePreferredSize (TCustomAbstractGroupedEdit)
pt | CalculatePreferredSize (TCustomEditButton)
pt | CanAutoSize (TControl)
 | CanFocus (TWinControl)
 | CanSetFocus (TWinControl)
pt | CanTab (TControl)
pt | CanTab (TWinControl)
pt | CaptureChanged (TControl)
pt | ChangeBounds (TControl)
pt | Changed (TControl)
 | ChangeName (TComponent)
pt | ChangeScale (TControl)
pt | ChangeScale (TWinControl)
pt | CheckButtonVisible (TCustomEditButton)
 | CheckChildClassAllowed (TControl)
pt | CheckCursor (TCustomAbstractGroupedEdit)
 | CheckNewParent (TControl)
pt | CheckOnChangeBounds (TControl)
pt | ChildClassAllowed (TControl)
pt | ChildClassAllowed (TWinControl)
pt | ChildHandlesCreated (TWinControl)
pt | ChildKey (TWinControl)
 | ClassInfo (TObject)
 | ClassName (TObject)
 | ClassNameIs (TObject)
 | ClassParent (TObject)
 | ClassType (TObject)
 | CleanupInstance (TObject)
 | Clear (TCustomAbstractGroupedEdit)
 | ClearSelection (TCustomAbstractGroupedEdit)
pt | Click (TControl)
 | ClientRectNeedsInterfaceUpdate (TWinControl)
 | ClientToParent (TControl)
 | ClientToScreen (TControl)
pt | CMBiDiModeChanged (TControl)
pt | CMBiDiModeChanged (TWinControl)
pt | CMBorderChanged (TWinControl)
pt | CMChanged (TControl)
pt | CMCursorChanged (TControl)
pt | CMDoubleBufferedChanged (TWinControl)
pt | CMEnabledChanged (TControl)
pt | CMEnabledChanged (TWinControl)
pt | CMEnter (TWinControl)
pt | CMExit (TWinControl)
pt | CMHintShow (TControl)
pt | CMHitTest (TControl)
pt | CMMouseEnter (TControl)
pt | CMMouseLeave (TControl)
pt | CMParentBiDiModeChanged (TControl)
pt | CMParentColorChanged (TControl)
pt | CMParentColorChanged (TCustomAbstractGroupedEdit)
pt | CMParentDoubleBufferedChanged (TWinControl)
pt | CMParentFontChanged (TControl)
pt | CMParentShowHintChanged (TControl)
pt | CMShowHintChanged (TWinControl)
pt | CMShowingChanged (TWinControl)
pt | CMSysFontChanged (TControl)
pt | CMTextChanged (TControl)
pt | CMVisibleChanged (TControl)
pt | CMVisibleChanged (TWinControl)
pt | CNChar (TWinControl)
pt | CNKeyDown (TWinControl)
pt | CNKeyUp (TWinControl)
 | CNPreferredSizeChanged (TControl)
pt | CNSysKeyDown (TWinControl)
pt | CNSysKeyUp (TWinControl)
pt | ColorIsStored (TControl)
pt | ConstrainedResize (TControl)
 | ContainsControl (TWinControl)
 | ControlAtPos (TWinControl)
pt | ControlKeyDown (TWinControl)
pt | ControlKeyUp (TWinControl)
pt | ControlsAligned (TWinControl)
 | ControlToScreen (TControl)
 | CopyToClipboard (TCustomAbstractGroupedEdit)
 | Create (TObject)
 | Create (TComponent)
 | Create (TLCLComponent)
 | Create (TControl)
 | Create (TWinControl)
 | Create (TCustomControl)
 | Create (TCustomAbstractGroupedEdit)
 | Create (TCustomEditButton)
 | CreateAccessibleObject (TControl)
pt | CreateBrush (TWinControl)
pt | CreateBuddy (TCustomAbstractGroupedEdit)
pt | CreateControlBorderSpacing (TControl)
pt | CreateDockManager (TWinControl)
pt | CreateEditor (TCustomAbstractGroupedEdit)
pt | CreateFloatingDockSite (TControl)
pt | CreateHandle (TWinControl)
pt | CreateParams (TWinControl)
 | CreateParented (TWinControl)
 | CreateParentedControl (TWinControl)
pt | CreateSubClass (TWinControl)
pt | CreateWnd (TWinControl)
pt | CustomAlignInsertBefore (TWinControl)
pt | CustomAlignPosition (TWinControl)
 | CutToClipboard (TCustomAbstractGroupedEdit)
pt | DblClick (TControl)
 | DecLCLRefCount (TLCLComponent)
 | DefaultHandler (TObject)
 | DefaultHandler (TWinControl)
 | DefaultHandlerStr (TObject)
 | DefineProperties (TPersistent)
 | DefineProperties (TComponent)
pt | DefineProperties (TControl)
 | Destroy (TObject)
 | Destroy (TPersistent)
 | Destroy (TComponent)
 | Destroy (TLCLComponent)
 | Destroy (TControl)
 | Destroy (TWinControl)
 | Destroy (TCustomControl)
 | Destroy (TCustomAbstractGroupedEdit)
 | Destroy (TCustomEditButton)
 | DestroyComponents (TComponent)
pt | DestroyHandle (TWinControl)
 | Destroying (TComponent)
pt | DestroyWnd (TWinControl)
pt | DestroyWnd (TCustomControl)
pt | DialogChar (TControl)
pt | DialogChar (TWinControl)
 | DisableAlign (TWinControl)
 | DisableAutoSizing (TControl)
 | Dispatch (TObject)
 | DispatchStr (TObject)
pt | DoAddDockClient (TWinControl)
 | DoAdjustClientRectChange (TWinControl)
pt | DoAlignChildControls (TWinControl)
pt | DoAllAutoSize (TControl)
pt | DoAllAutoSize (TWinControl)
pt | DoAutoAdjustLayout (TControl)
pt | DoAutoSize (TControl)
pt | DoAutoSize (TWinControl)
pt | DoBorderSpacingChange (TControl)
pt | DoCallKeyEventHandler (TControl)
pt | DoCallMouseWheelEventHandler (TControl)
pt | DoCallNotifyHandler (TControl)
pt | DoChildSizingChange (TWinControl)
 | Dock (TControl)
 | DockDrop (TWinControl)
 | Docked (TControl)
pt | DockOver (TWinControl)
pt | DockTrackNoTarget (TControl)
pt | DoConstraintsChange (TControl)
pt | DoConstraintsChange (TWinControl)
pt | DoContextPopup (TControl)
pt | DoDock (TControl)
pt | DoDockClientMsg (TWinControl)
pt | DoDockOver (TWinControl)
pt | DoDragMsg (TControl)
pt | DoDragMsg (TWinControl)
pt | DoEndDock (TControl)
pt | DoEndDrag (TControl)
pt | DoEnter (TWinControl)
pt | DoEnter (TCustomAbstractGroupedEdit)
pt | DoExit (TWinControl)
pt | DoFixDesignFontPPI (TControl)
pt | DoFlipChildren (TWinControl)
pt | DoFloatMsg (TControl)
pt | DoFloatMsg (TWinControl)
pt | DoGetDockCaption (TWinControl)
pt | DoKeyDownBeforeInterface (TWinControl)
pt | DoKeyPress (TWinControl)
pt | DoKeyUpBeforeInterface (TWinControl)
pt | DoMouseWheel (TControl)
pt | DoMouseWheelDown (TControl)
pt | DoMouseWheelHorz (TControl)
pt | DoMouseWheelLeft (TControl)
pt | DoMouseWheelRight (TControl)
pt | DoMouseWheelUp (TControl)
pt | DoOnChangeBounds (TControl)
pt | DoOnParentHandleDestruction (TControl)
pt | DoOnResize (TControl)
pt | DoOnShowHint (TControl)
pt | DoRemainingKeyDown (TWinControl)
pt | DoRemainingKeyUp (TWinControl)
pt | DoRemoveDockClient (TWinControl)
pt | DoScaleFontPPI (TControl)
pt | DoSendBoundsToInterface (TWinControl)
pt | DoSendShowHideToInterface (TWinControl)
pt | DoSetBounds (TControl)
pt | DoSetBounds (TWinControl)
pt | DoStartDock (TControl)
pt | DoStartDrag (TControl)
pt | DoUnDock (TWinControl)
pt | DoUndockClientMsg (TWinControl)
pt | DoUTF8KeyPress (TWinControl)
pt | DragCanceled (TControl)
 | DragDrop (TControl)
 | Dragging (TControl)
pt | DragOver (TControl)
pt | EditCanModify (TCustomAbstractGroupedEdit)
pt | EditChange (TCustomAbstractGroupedEdit)
pt | EditClick (TCustomAbstractGroupedEdit)
pt | EditDblClick (TCustomAbstractGroupedEdit)
pt | EditDragDrop (TCustomAbstractGroupedEdit)
pt | EditDragOver (TCustomAbstractGroupedEdit)
pt | EditEditingDone (TCustomAbstractGroupedEdit)
pt | EditEndDrag (TCustomAbstractGroupedEdit)
pt | EditEnter (TCustomAbstractGroupedEdit)
pt | EditExit (TCustomAbstractGroupedEdit)
 | EditingDone (TControl)
pt | EditKeyDown (TCustomAbstractGroupedEdit)
pt | EditKeyPress (TCustomAbstractGroupedEdit)
pt | EditKeyUp (TCustomAbstractGroupedEdit)
pt | EditMouseDown (TCustomAbstractGroupedEdit)
pt | EditMouseEnter (TCustomAbstractGroupedEdit)
pt | EditMouseLeave (TCustomAbstractGroupedEdit)
pt | EditMouseMove (TCustomAbstractGroupedEdit)
pt | EditMouseUp (TCustomAbstractGroupedEdit)
pt | EditMouseWheel (TCustomAbstractGroupedEdit)
pt | EditMouseWheelDown (TCustomAbstractGroupedEdit)
pt | EditMouseWheelUp (TCustomAbstractGroupedEdit)
pt | EditStartDrag (TCustomAbstractGroupedEdit)
pt | EditUtf8KeyPress (TCustomAbstractGroupedEdit)
 | EnableAlign (TWinControl)
 | EnableAutoSizing (TControl)
pt | EnabledChanged (TControl)
pt | EnabledChanging (TControl)
pt | EndAutoSizing (TControl)
 | EndDrag (TControl)
 | EndUpdateBounds (TWinControl)
 | Equals (TObject)
 | EraseBackground (TWinControl)
 | ExecuteAction (TComponent)
 | ExecuteCancelAction (TControl)
 | ExecuteDefaultAction (TControl)
 | FieldAddress (TObject)
pt | FinalizeWnd (TWinControl)
 | FindChildControl (TWinControl)
 | FindComponent (TComponent)
pt | FindNextControl (TWinControl)
 | FixDesignFontsPPI (TControl)
pt | FixupTabList (TWinControl)
 | FlipChildren (TWinControl)
pt | FocusAndMaybeSelectAll (TCustomAbstractGroupedEdit)
 | Focused (TWinControl)
 | Focused (TCustomAbstractGroupedEdit)
pt | FontChanged (TControl)
pt | FontChanged (TWinControl)
pt | FontChanged (TCustomControl)
pt | ForeignAnchorSideChanged (TControl)
pt | FormEndUpdated (TControl)
pt | FormEndUpdated (TWinControl)
 | FormIsUpdating (TControl)
 | FPOAttachObserver (TPersistent)
 | FPODetachObserver (TPersistent)
 | FPONotifyObservers (TPersistent)
 | Free (TObject)
 | FreeInstance (TObject)
 | FreeNotification (TComponent)
 | FreeOnRelease (TComponent)
 | GetAccessibleObject (TControl)
pt | GetAction (TControl)
pt | GetActionLinkClass (TControl)
pt | GetAdjustedLogicalClientRect (TWinControl)
 | GetAnchorsDependingOnParent (TControl)
pt | GetBorderStyle (TWinControl)
pt | GetBuddyCaption (TCustomAbstractGroupedEdit)
pt | GetBuddyClassType (TCustomAbstractGroupedEdit)
pt | GetBuddyClassType (TCustomEditButton)
pt | GetBuddyCursor (TCustomAbstractGroupedEdit)
pt | GetBuddyHint (TCustomAbstractGroupedEdit)
pt | GetBuddyVisible (TCustomAbstractGroupedEdit)
pt | GetBuddyWidth (TCustomAbstractGroupedEdit)
pt | GetCachedText (TControl)
 | GetCanvasScaleFactor (TControl)
 | GetChildAccessibleObjectAtPos (TControl)
 | GetChildOwner (TComponent)
 | GetChildParent (TComponent)
 | GetChildren (TComponent)
pt | GetChildren (TWinControl)
 | GetChildrenRect (TControl)
 | GetChildrenRect (TWinControl)
pt | GetClientOrigin (TControl)
pt | GetClientOrigin (TWinControl)
pt | GetClientRect (TControl)
pt | GetClientRect (TWinControl)
pt | GetClientScrollOffset (TControl)
 | GetColorResolvingParent (TControl)
 | GetComObject (TComponent)
 | GetComponent (TComponent)
 | GetComponentCount (TComponent)
 | GetComponentIndex (TComponent)
pt | GetControlClassDefaultSize (TControl)
pt | GetControlClassDefaultSize (TCustomAbstractGroupedEdit)
pt | GetControlClassDefaultSize (TCustomEditButton)
 | GetControlIndex (TWinControl)
pt | GetControlOrigin (TControl)
pt | GetControlOrigin (TWinControl)
pt | GetCursor (TControl)
 | GetDefaultColor (TControl)
pt | GetDefaultDockCaption (TControl)
pt | GetDefaultGlyphName (TCustomEditButton)
 | GetDefaultHeight (TControl)
 | GetDefaultWidth (TControl)
pt | GetDeviceContext (TControl)
pt | GetDeviceContext (TWinControl)
 | GetDockCaption (TWinControl)
pt | GetDockEdge (TControl)
pt | GetDragImages (TControl)
pt | GetEditorClassType (TCustomAbstractGroupedEdit)
pt | GetEditorClassType (TCustomEditButton)
pt | GetEditPopupMenu (TCustomAbstractGroupedEdit)
pt | GetEnabled (TControl)
 | GetEnumerator (TComponent)
 | GetEnumeratorControls (TWinControl)
 | GetEnumeratorControlsReverse (TWinControl)
pt | GetFloating (TControl)
pt | GetFloatingDockSiteClass (TControl)
 | GetHashCode (TObject)
 | GetIDsOfNames (TComponent)
 | GetInterface (TObject)
 | GetInterfaceByStr (TObject)
 | GetInterfaceEntry (TObject)
 | GetInterfaceEntryByStr (TObject)
 | GetInterfaceTable (TObject)
 | GetInterfaceWeak (TObject)
pt | GetLogicalClientRect (TControl)
pt | GetMouseCapture (TControl)
pt | GetMouseCapture (TWinControl)
pt | GetMousePosFromMessage (TControl)
 | GetNamePath (TPersistent)
 | GetNamePath (TComponent)
 | GetOwner (TPersistent)
 | GetOwner (TComponent)
pt | GetPalette (TControl)
pt | GetParentBackground (TWinControl)
 | GetParentComponent (TComponent)
 | GetParentComponent (TControl)
pt | GetParentHandle (TWinControl)
pt | GetPopupMenu (TControl)
 | GetPreferredSize (TControl)
pt | GetPreferredSizeClientFrame (TWinControl)
 | GetRGBColorResolvingParent (TControl)
pt | GetScrolledClientRect (TControl)
pt | GetSel (TCustomAbstractGroupedEdit)
 | GetSelectedChildAccessibleObject (TControl)
 | GetSidePosition (TControl)
pt | GetSiteInfo (TWinControl)
pt | GetSpacing (TCustomAbstractGroupedEdit)
 | GetTabOrderList (TWinControl)
 | GetTextBuf (TControl)
 | GetTextLen (TControl)
 | GetTextLen (TWinControl)
 | GetTopParent (TControl)
pt | GetTopParentHandle (TWinControl)
 | GetTypeInfo (TComponent)
 | GetTypeInfoCount (TComponent)
pt | GetWSComponentClass (TLCLComponent)
pt | GlyphChanged (TCustomEditButton)
 | HandleAllocated (TWinControl)
 | HandleNeeded (TWinControl)
 | HandleObjectShouldBeVisible (TControl)
 | HasHelp (TControl)
 | HasParent (TComponent)
 | HasParent (TControl)
pt | HeightIsAnchored (TControl)
 | Hide (TControl)
 | iicrGetComponent (TComponent)
 | IncLCLRefCount (TLCLComponent)
 | InheritsFrom (TObject)
pt | InitializeWnd (TWinControl)
 | InitiateAction (TControl)
 | InitInstance (TObject)
 | Insert (TComponent)
 | InsertComponent (TComponent)
 | InsertControl (TWinControl)
 | InstanceSize (TObject)
 | IntfGetDropFilesTarget (TWinControl)
 | IntfUTF8KeyPress (TWinControl)
 | Invalidate (TControl)
 | Invalidate (TWinControl)
pt | InvalidateBoundsRealized (TWinControl)
 | InvalidateClientRectCache (TWinControl)
pt | InvalidateControl (TControl)
pt | InvalidatePreferredChildSizes (TWinControl)
 | InvalidatePreferredSize (TControl)
 | Invoke (TComponent)
pt | IsAParentAligning (TControl)
pt | IsBorderSpacingInnerBorderStored (TControl)
pt | IsCaptionStored (TControl)
pt | IsClientHeightStored (TControl)
pt | IsClientHeightStored (TWinControl)
pt | IsClientWidthStored (TControl)
pt | IsClientWidthStored (TWinControl)
pt | IsControlMouseMsg (TWinControl)
 | IsControlVisible (TControl)
 | IsEnabled (TControl)
 | IsImplementorOf (TComponent)
 | IsParentColor (TControl)
 | IsParentFont (TControl)
 | IsParentOf (TControl)
 | IsProcessingPaintMsg (TControl)
 | IsRightToLeft (TControl)
 | IsVisible (TControl)
pt | KeyDown (TWinControl)
pt | KeyDownAfterInterface (TWinControl)
pt | KeyDownBeforeInterface (TWinControl)
pt | KeyPress (TWinControl)
pt | KeyUp (TWinControl)
pt | KeyUpAfterInterface (TWinControl)
pt | KeyUpBeforeInterface (TWinControl)
pt | LMCaptureChanged (TControl)
pt | LoadDefaultGlyph (TCustomEditButton)
 | Loaded (TComponent)
pt | Loaded (TControl)
pt | Loaded (TWinControl)
pt | Loaded (TCustomAbstractGroupedEdit)
pt | LoadedAll (TControl)
 | Loading (TComponent)
 | LockRealizeBounds (TWinControl)
pt | MainWndProc (TWinControl)
 | ManualDock (TControl)
 | ManualFloat (TControl)
 | MethodAddress (TObject)
 | MethodName (TObject)
pt | MouseDown (TControl)
pt | MouseEnter (TControl)
pt | MouseLeave (TControl)
pt | MouseMove (TControl)
pt | MouseUp (TControl)
 | newinstance (TObject)
 | NewInstance (TLCLComponent)
 | Notification (TComponent)
pt | Notification (TControl)
 | NotifyControls (TWinControl)
pt | Paint (TCustomControl)
pt | PaintControls (TWinControl)
pt | PaintHandler (TWinControl)
 | PaintTo (TWinControl)
pt | PaintWindow (TWinControl)
pt | PaintWindow (TCustomControl)
 | PaletteCreated (TComponent)
 | ParentDestroyingHandle (TControl)
pt | ParentFontChanged (TControl)
pt | ParentFormHandleInitialized (TControl)
pt | ParentFormHandleInitialized (TWinControl)
 | ParentHandlesAllocated (TControl)
 | ParentHandlesAllocated (TWinControl)
 | ParentToClient (TControl)
 | PasteFromClipboard (TCustomAbstractGroupedEdit)
 | Perform (TControl)
 | PerformTab (TWinControl)
pt | PositionDockRect (TControl)
pt | QuadClick (TControl)
 | QueryInterface (TComponent)
 | ReadLeft (TComponent)
 | ReadState (TComponent)
pt | ReadState (TControl)
 | ReadTop (TComponent)
pt | RealGetText (TControl)
pt | RealGetText (TWinControl)
pt | RealGetText (TCustomAbstractGroupedEdit)
 | ReAlign (TWinControl)
pt | RealizeBounds (TWinControl)
pt | RealizeBoundsRecursive (TWinControl)
pt | RealSetText (TControl)
pt | RealSetText (TWinControl)
pt | RealSetText (TCustomAbstractGroupedEdit)
 | ReferenceInterface (TComponent)
 | Refresh (TControl)
pt | ReloadDockedControl (TWinControl)
 | Remove (TComponent)
 | RemoveAllHandlersOfObject (TLCLComponent)
 | RemoveAllHandlersOfObject (TControl)
 | RemoveComponent (TComponent)
 | RemoveControl (TWinControl)
pt | RemoveFocus (TWinControl)
 | RemoveFreeNotification (TComponent)
pt | RemoveHandler (TControl)
 | RemoveHandlerOnBeforeDestruction (TControl)
 | RemoveHandlerOnChangeBounds (TControl)
 | RemoveHandlerOnEnableChanging (TControl)
 | RemoveHandlerOnKeyDown (TControl)
 | RemoveHandlerOnMouseWheel (TControl)
 | RemoveHandlerOnResize (TControl)
 | RemoveHandlerOnVisibleChanged (TControl)
 | RemoveHandlerOnVisibleChanging (TControl)
 | RemoveNotification (TComponent)
 | Repaint (TControl)
 | Repaint (TWinControl)
 | ReplaceDockedControl (TControl)
pt | RequestAlign (TControl)
pt | Reset (TCustomAbstractGroupedEdit)
pt | Resize (TControl)
 | SafeCallException (TObject)
 | SafeCallException (TComponent)
 | Scale96ToFont (TControl)
 | Scale96ToForm (TControl)
 | Scale96ToScreen (TControl)
 | ScaleBy (TWinControl)
pt | ScaleConstraints (TControl)
pt | ScaleControls (TWinControl)
 | ScaleDesignToForm (TControl)
 | ScaleFontsPPI (TControl)
 | ScaleFontTo96 (TControl)
 | ScaleFontToScreen (TControl)
 | ScaleFormTo96 (TControl)
 | ScaleFormToDesign (TControl)
 | ScaleScreenTo96 (TControl)
 | ScaleScreenToFont (TControl)
 | ScreenToClient (TControl)
 | ScreenToControl (TControl)
 | ScrollBy (TWinControl)
 | ScrollBy_WS (TWinControl)
 | SelectAll (TCustomAbstractGroupedEdit)
pt | SelectFirst (TWinControl)
 | SelectNext (TWinControl)
pt | SendDialogChar (TWinControl)
pt | SendMoveSizeMessages (TControl)
pt | SendMoveSizeMessages (TWinControl)
 | SendToBack (TControl)
pt | SetAction (TControl)
pt | SetAlign (TControl)
 | SetAncestor (TComponent)
pt | SetAnchors (TControl)
pt | SetAutoSize (TControl)
pt | SetAutoSize (TCustomAbstractGroupedEdit)
pt | SetBiDiMode (TControl)
pt | SetBorderStyle (TWinControl)
 | SetBounds (TControl)
 | SetBounds (TWinControl)
 | SetBoundsKeepBase (TControl)
pt | SetBuddyCaption (TCustomAbstractGroupedEdit)
pt | SetBuddyCursor (TCustomAbstractGroupedEdit)
pt | SetBuddyHint (TCustomAbstractGroupedEdit)
pt | SetBuddyVisible (TCustomAbstractGroupedEdit)
pt | SetBuddyWidth (TCustomAbstractGroupedEdit)
 | SetChildOrder (TComponent)
pt | SetChildZPosition (TWinControl)
pt | SetColor (TControl)
pt | SetColor (TWinControl)
pt | SetColor (TCustomControl)
pt | SetColor (TCustomAbstractGroupedEdit)
 | SetComponentIndex (TComponent)
 | SetControlIndex (TWinControl)
pt | SetCursor (TControl)
pt | SetCursor (TCustomAbstractGroupedEdit)
 | SetDesigning (TComponent)
 | SetDesignInstance (TComponent)
pt | SetDirectInput (TCustomAbstractGroupedEdit)
pt | SetDockManager (TWinControl)
pt | SetDragMode (TControl)
pt | SetEnabled (TControl)
 | SetFocus (TWinControl)
 | SetFocus (TCustomAbstractGroupedEdit)
pt | SetHint (TControl)
 | SetInitialBounds (TControl)
 | SetInline (TComponent)
 | SetName (TComponent)
pt | SetName (TControl)
pt | SetParent (TControl)
pt | SetParentBackground (TWinControl)
pt | SetParentBiDiMode (TControl)
 | SetParentComponent (TComponent)
pt | SetParentComponent (TControl)
 | SetReference (TComponent)
pt | SetSel (TCustomAbstractGroupedEdit)
 | SetShape (TWinControl)
 | SetSubComponent (TComponent)
 | SetTempCursor (TControl)
 | SetTempCursor (TWinControl)
 | SetTextBuf (TControl)
pt | SetVisible (TControl)
pt | SetZOrder (TControl)
 | ShouldAutoAdjust (TControl)
pt | ShouldAutoAdjust (TCustomAbstractGroupedEdit)
 | Show (TControl)
pt | ShowControl (TWinControl)
 | ShowHelp (TControl)
 | StringMessageTable (TObject)
pt | TextChanged (TControl)
 | ToString (TObject)
pt | TripleClick (TControl)
 | Undo (TCustomAbstractGroupedEdit)
 | UnitName (TObject)
 | UnlockRealizeBounds (TWinControl)
 | Update (TControl)
 | Update (TWinControl)
 | UpdateAction (TComponent)
pt | UpdateAnchorRules (TControl)
 | UpdateBaseBounds (TControl)
pt | UpdateControlState (TWinControl)
 | Updated (TComponent)
 | UpdateDockCaption (TWinControl)
pt | UpdateMouseCursor (TControl)
 | UpdateRegistry (TComponent)
 | UpdateRolesForForm (TControl)
pt | UpdateShowing (TWinControl)
pt | UpdateSpacing (TCustomAbstractGroupedEdit)
 | Updating (TComponent)
 | UseRightToLeftAlignment (TControl)
 | UseRightToLeftReading (TControl)
 | UseRightToLeftScrollBar (TControl)
pt | UTF8KeyPress (TWinControl)
 | ValidateContainer (TComponent)
 | ValidateEdit (TCustomAbstractGroupedEdit)
 | ValidateInsert (TComponent)
 | ValidateRename (TComponent)
pt | VisibleChanged (TControl)
pt | VisibleChanging (TControl)
pt | WidthIsAnchored (TControl)
pt | WMCancelMode (TControl)
pt | WMChar (TWinControl)
pt | WMContextMenu (TControl)
pt | WMContextMenu (TWinControl)
pt | WMDestroy (TWinControl)
pt | WMEnter (TWinControl)
pt | WMEraseBkgnd (TWinControl)
pt | WMExit (TWinControl)
pt | WMKeyDown (TWinControl)
pt | WMKeyUp (TWinControl)
pt | WMKillFocus (TWinControl)
pt | WMLButtonDBLCLK (TControl)
pt | WMLButtonDown (TControl)
pt | WMLButtonQuadCLK (TControl)
pt | WMLButtonTripleCLK (TControl)
pt | WMLButtonUp (TControl)
pt | WMMButtonDBLCLK (TControl)
pt | WMMButtonDown (TControl)
pt | WMMButtonQuadCLK (TControl)
pt | WMMButtonTripleCLK (TControl)
pt | WMMButtonUp (TControl)
pt | WMMouseHWheel (TControl)
pt | WMMouseMove (TControl)
pt | WMMouseWheel (TControl)
pt | WMMove (TControl)
pt | WMMove (TWinControl)
pt | WMNotify (TWinControl)
pt | WMPaint (TWinControl)
pt | WMPaint (TCustomControl)
pt | WMRButtonDBLCLK (TControl)
pt | WMRButtonDown (TControl)
pt | WMRButtonQuadCLK (TControl)
pt | WMRButtonTripleCLK (TControl)
pt | WMRButtonUp (TControl)
pt | WMSetFocus (TWinControl)
pt | WMShowWindow (TWinControl)
pt | WMSize (TControl)
pt | WMSize (TWinControl)
pt | WMSysChar (TWinControl)
pt | WMSysKeyDown (TWinControl)
pt | WMSysKeyUp (TWinControl)
pt | WMWindowPosChanged (TControl)
pt | WMWindowPosChanged (TWinControl)
pt | WMXButtonDBLCLK (TControl)
pt | WMXButtonDown (TControl)
pt | WMXButtonQuadCLK (TControl)
pt | WMXButtonTripleCLK (TControl)
pt | WMXButtonUp (TControl)
pt | WndProc (TControl)
pt | WndProc (TWinControl)
 | WriteLayoutDebugReport (TControl)
 | WriteLayoutDebugReport (TWinControl)
 | WriteLeft (TComponent)
 | WriteState (TComponent)
 | WriteTop (TComponent)
pt | WSRegisterClass (TLCLComponent)
pt | WSRegisterClass (TControl)
pt | WSRegisterClass (TWinControl)
pt | WSRegisterClass (TCustomControl)
pt | WSSetText (TWinControl)
 | _AddRef (TComponent)
 | _Release (TComponent)


TCustomEditButton
pt | OnButtonClick
TCustomAbstractGroupedEdit
pt | OnBuddyClick
 | OnChange
 | OnClick
 | OnDblClick
 | OnDragDrop
 | OnDragOver
 | OnEditingDone
 | OnEndDrag
 | OnEnter
 | OnExit
 | OnMouseDown
 | OnKeyPress
 | OnKeyDown
 | OnKeyUp
 | OnMouseEnter
 | OnMouseLeave
 | OnMouseMove
 | OnMouseWheel
 | OnMouseWheelUp
 | OnMouseWheelDown
 | OnMouseUp
 | OnStartDrag
 | OnUtf8KeyPress
TCustomControl
 | OnPaint
TWinControl
pt | OnGetSiteInfo
pt | OnGetDockCaption
 | OnAlignInsertBefore
 | OnAlignPosition
 | OnDockDrop
 | OnDockOver
 | OnEnter
 | OnExit
 | OnKeyDown
 | OnKeyPress
 | OnKeyUp
 | OnUnDock
 | OnUTF8KeyPress
TControl
pt | OnConstrainedResize
pt | OnContextPopup
pt | OnDblClick
pt | OnTripleClick
pt | OnQuadClick
pt | OnDragDrop
pt | OnDragOver
pt | OnEndDock
pt | OnEndDrag
pt | OnMouseDown
pt | OnMouseMove
pt | OnMouseUp
pt | OnMouseEnter
pt | OnMouseLeave
pt | OnMouseWheel
pt | OnMouseWheelDown
pt | OnMouseWheelUp
pt | OnMouseWheelHorz
pt | OnMouseWheelLeft
pt | OnMouseWheelRight
pt | OnStartDock
pt | OnStartDrag
pt | OnEditingDone
 | OnChangeBounds
 | OnClick
 | OnResize
 | OnShowHint
TLCLComponent
TComponent
TPersistent
TObject


pt | OnBuddyClick (TCustomAbstractGroupedEdit)
pt | OnButtonClick (TCustomEditButton)
 | OnChange (TCustomAbstractGroupedEdit)
 | OnChangeBounds (TControl)
 | OnClick (TControl)
 | OnClick (TCustomAbstractGroupedEdit)
pt | OnConstrainedResize (TControl)
pt | OnContextPopup (TControl)
pt | OnDblClick (TControl)
 | OnDblClick (TCustomAbstractGroupedEdit)
 | OnDockDrop (TWinControl)
 | OnDockOver (TWinControl)
pt | OnDragDrop (TControl)
 | OnDragDrop (TCustomAbstractGroupedEdit)
pt | OnDragOver (TControl)
 | OnDragOver (TCustomAbstractGroupedEdit)
pt | OnEditingDone (TControl)
 | OnEditingDone (TCustomAbstractGroupedEdit)
pt | OnEndDock (TControl)
pt | OnEndDrag (TControl)
 | OnEndDrag (TCustomAbstractGroupedEdit)
 | OnEnter (TWinControl)
 | OnEnter (TCustomAbstractGroupedEdit)
 | OnExit (TWinControl)
 | OnExit (TCustomAbstractGroupedEdit)
pt | OnGetDockCaption (TWinControl)
pt | OnGetSiteInfo (TWinControl)
 | OnKeyDown (TWinControl)
 | OnKeyDown (TCustomAbstractGroupedEdit)
 | OnKeyPress (TWinControl)
 | OnKeyPress (TCustomAbstractGroupedEdit)
 | OnKeyUp (TWinControl)
 | OnKeyUp (TCustomAbstractGroupedEdit)
pt | OnMouseDown (TControl)
 | OnMouseDown (TCustomAbstractGroupedEdit)
pt | OnMouseEnter (TControl)
 | OnMouseEnter (TCustomAbstractGroupedEdit)
pt | OnMouseLeave (TControl)
 | OnMouseLeave (TCustomAbstractGroupedEdit)
pt | OnMouseMove (TControl)
 | OnMouseMove (TCustomAbstractGroupedEdit)
pt | OnMouseUp (TControl)
 | OnMouseUp (TCustomAbstractGroupedEdit)
pt | OnMouseWheel (TControl)
 | OnMouseWheel (TCustomAbstractGroupedEdit)
pt | OnMouseWheelDown (TControl)
 | OnMouseWheelDown (TCustomAbstractGroupedEdit)
pt | OnMouseWheelHorz (TControl)
pt | OnMouseWheelLeft (TControl)
pt | OnMouseWheelRight (TControl)
pt | OnMouseWheelUp (TControl)
 | OnMouseWheelUp (TCustomAbstractGroupedEdit)
 | OnPaint (TCustomControl)
pt | OnQuadClick (TControl)
 | OnResize (TControl)
 | OnShowHint (TControl)
pt | OnStartDock (TControl)
pt | OnStartDrag (TControl)
 | OnStartDrag (TCustomAbstractGroupedEdit)
pt | OnTripleClick (TControl)
 | OnUnDock (TWinControl)
 | OnUTF8KeyPress (TWinControl)
 | OnUtf8KeyPress (TCustomAbstractGroupedEdit)


TCustomEditButton.Button

Button - the SpeedButton that is attached to the Edit Box

Declaration

Source position: editbtn.pas line 100

protected property TCustomEditButton.Button : TSpeedButton
  read GetButton;


TCustomEditButton.ButtonCaption

Declaration

Source position: editbtn.pas line 101

protected property TCustomEditButton.ButtonCaption : TCaption
  read GetBuddyCaption
  write SetBuddyCaption;


TCustomEditButton.ButtonClick

Declaration

Source position: editbtn.pas line 85

protected procedure TCustomEditButton.ButtonClick; virtual;


TCustomEditButton.ButtonCursor

Declaration

Source position: editbtn.pas line 102

protected property TCustomEditButton.ButtonCursor : TCursor
  read GetBuddyCursor
  write SetBuddyCursor
  default crDefault;


TCustomEditButton.ButtonHint

ButtonHint - the hint that pops up when the mouse hovers over the button

Declaration

Source position: editbtn.pas line 103

protected property TCustomEditButton.ButtonHint : TTranslateString
  read GetBuddyHint
  write SetBuddyHint;


TCustomEditButton.ButtonOnlyWhenFocused

ButtonOnlyWhenFocused - if True, the SpeedButton only appears when focus is given to the EditButton control

Declaration

Source position: editbtn.pas line 104

protected property TCustomEditButton.ButtonOnlyWhenFocused : Boolean
  read FButtonOnlyWhenFocused
  write SetButtonOnlyWhenFocused
  default False;


TCustomEditButton.ButtonWidth

ButtonWidth - the width of the SpeedButton attached to the Edit Box

Declaration

Source position: editbtn.pas line 105

protected property TCustomEditButton.ButtonWidth : Integer
  read GetBuddyWidth
  write SetBuddyWidth;


TCustomEditButton.CalcButtonVisible

Declaration

Source position: editbtn.pas line 90

protected function TCustomEditButton.CalcButtonVisible: Boolean; virtual;


TCustomEditButton.CheckButtonVisible

Declaration

Source position: editbtn.pas line 96

protected procedure TCustomEditButton.CheckButtonVisible;


TCustomEditButton.Create

Create - constructor for TCustomEditButton: calls inherited Create then sets some defaults and initialises some variables

Declaration

Source position: editbtn.pas line 118

public constructor TCustomEditButton.Create(

  AOwner: TComponent

); override;

Description

Create - constructor for TCustomEditutton: calls inherited Create then sets some defaults and initialises some variables

Initialises height and width, cursor, glyph, style, checks visibility, event handler for click

See also

TComponent.Create

TCustomEdit.Create

TWinControl.Create


TCustomEditButton.Edit

Declaration

Source position: editbtn.pas line 106

protected property TCustomEditButton.Edit : TEbEdit
  read GetEdit;


TCustomEditButton.Flat

Flat - if True, SpeedButton appears flat rather than three-dimensional

Declaration

Source position: editbtn.pas line 107

protected property TCustomEditButton.Flat : Boolean
  read FFlat
  write SetFlat
  default False;


TCustomEditButton.FocusOnButtonClick

Declaration

Source position: editbtn.pas line 108

protected property TCustomEditButton.FocusOnButtonClick : Boolean
  read GetFocusOnButtonClick
  write SetFocusOnButtonClick
  default False;


TCustomEditButton.GetDefaultGlyphName

GetDefaultGlyphName - find the name for the default glyph for the SpeedButton

Declaration

Source position: editbtn.pas line 91

protected function TCustomEditButton.GetDefaultGlyphName: string; virtual;


TCustomEditButton.Glyph

Glyph - the small graphic image on the SpeedButton, which ought to indicate its function

Declaration

Source position: editbtn.pas line 109

protected property TCustomEditButton.Glyph : TBitmap
  read GetGlyph
  write SetGlyph;


TCustomEditButton.GlyphChanged

Declaration

Source position: editbtn.pas line 98

protected procedure TCustomEditButton.GlyphChanged(

  Sender: TObject

); virtual;


TCustomEditButton.ImageIndex

Declaration

Source position: editbtn.pas line 112

protected property TCustomEditButton.ImageIndex : TImageIndex
  read GetImageIndex
  write SetImageIndex
  default - 1;


TCustomEditButton.Images

Declaration

Source position: editbtn.pas line 111

protected property TCustomEditButton.Images : TCustomImageList
  read GetImages
  write SetImages;


TCustomEditButton.ImageWidth

Declaration

Source position: editbtn.pas line 113

protected property TCustomEditButton.ImageWidth : Integer
  read GetImageWidth
  write SetImageWidth
  default 0;


TCustomEditButton.LoadDefaultGlyph

Declaration

Source position: editbtn.pas line 97

protected procedure TCustomEditButton.LoadDefaultGlyph;


TCustomEditButton.NumGlyphs

NumGlyphs - the number of available glyphs

Declaration

Source position: editbtn.pas line 110

protected property TCustomEditButton.NumGlyphs : Integer
  read GetNumGlyps
  write SetNumGlyphs;


TCustomEditButton.OnButtonClick

OnButtonClick - event handler for a mouse click on the SpeedButton

Declaration

Source position: editbtn.pas line 116

protected property TCustomEditButton.OnButtonClick : TNotifyEvent
  read GetOnButtonClick
  write SetOnButtonClick;


TDateEdit

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

TDateEdit - an EditBox to hold a date, with an attached SpeedButton that will summon a date selection (calendar) dialog

Declaration

Source position: editbtn.pas line 570

type TDateEdit = class(TCustomEditButton)
protected
function GetDefaultGlyphName; override; | GetDefaultGlyphName - find the name for the default glyph for the SpeedButton
procedure ButtonClick; override;
procedure EditDblClick; override;
procedure EditEditingDone; override;
procedure SetDirectInput(); override;
procedure RealSetText(); override;
procedure SetDateMask; virtual;
procedure Loaded; override;
public
constructor Create(); override; | Create - constructor for TDateEdit: calls inherited Create and sets defaults
function GetDateFormat; | GetDateFormat - returns the format for the date
property AutoSelected: Boolean;
property Date: TDateTime; [rw] |
property Button: TSpeedButton; | Button - the SpeedButton that is attached to the Edit Box
property DroppedDown: Boolean; [r]
published
property CalendarDisplaySettings: TDisplaySettings; [rw] | CalendarDisplaySettings - governs how the calendar dialog is to be displayed
property OnAcceptDate: TAcceptDateEvent; [rw] | OnAcceptDate - event handler for accepting the date selected in the calendar dialog
property OnCustomDate: TCustomDateEvent; [rw] | OnCustomDate - event handler for inserting a custom date
property ReadOnly: Boolean; | Prevents the user from changing the text.
property DefaultToday: Boolean; [rw] | DefaultToday - if True, the current date is offered as the default date (value is False by default)
property DateOrder: TDateOrder; [rw]
property DateFormat: string; [rw]
property ButtonOnlyWhenFocused: Boolean; | ButtonOnlyWhenFocused - if True, the SpeedButton only appears when focus is given to the EditButton control
property ButtonCaption: TCaption;
property ButtonCursor: TCursor;
property ButtonHint: TTranslateString;
property ButtonWidth: Integer; | ButtonWidth - the width of the SpeedButton attached to the Edit Box
property Action: TBasicAction; | The Action associated with this control.
property Align: TAlign; | Specifies the placement of the control inside its Parent.
property Anchors: TAnchors; | The set of anchor definitions for this control.
property AutoSize: Boolean; | Allows to automatically adjust the size of the control, according to its content.
property AutoSelect: Boolean; | If True, the edit control will select all its text when it receives focus or when the Enter key is pressed.
property BidiMode: TBiDiMode;
property BorderSpacing: TControlBorderSpacing; | Determines the inner and outer border spacing for this control.
property BorderStyle: TBorderStyle;
property CharCase: TEditCharCase; | Allows to force the text into all upper or lower case.
property Color: TColor; | The background color of the control.
property Constraints: TSizeConstraints; | The minimal and maximal Width and Height of this control.
property DirectInput: Boolean; | DirectInput - if True, direct data input to the Edit Box is permitted
property Glyph: TBitmap; | Glyph - the small graphic image on the SpeedButton, which ought to indicate its function
property NumGlyphs: Integer; | NumGlyphs - the number of available glyphs
property Images: TCustomImageList;
property ImageIndex: TImageIndex;
property ImageWidth: Integer;
property DragMode: TDragMode; | Allows the user to drag the control.
property EchoMode: TEchoMode; | Allows to modify the text display, useful for entering passwords.
property Enabled: Boolean; | Determines whether the control reacts on mouse or keyboard input.
property Flat: Boolean; |
property FocusOnButtonClick: Boolean;
property Font: TFont; | The font to be used for text display in this control.
property Layout: TLeftRight;
property MaxLength: Integer; | The maximum length of the text; zero for unlimited.
property OnButtonClick: TNotifyEvent;
property OnChange: TNotifyEvent; | Event handler for any change in text.
property OnChangeBounds: TNotifyEvent; | Event handler for a change of the Bounds of the control.
property OnClick: TNotifyEvent; | Notification handler for mouse clicks.
property OnDblClick: TNotifyEvent; |
property OnEditingDone: TNotifyEvent; | Event handler when editing is done.
property OnEnter: TNotifyEvent; | Handler for control receiving the focus.
property OnExit: TNotifyEvent; | Handler for control loosing the focus. This is a good place for checking the finished user input.
property OnKeyDown: TKeyEvent; | Handler for keyboard key pressed.
property OnKeyPress: TKeyPressEvent; | Handler for a character entered by the user.
property OnKeyUp: TKeyEvent; | Handler for keyboard key released.
property OnMouseDown: TMouseEvent; | Event handler for mouse button going down.
property OnMouseEnter: TNotifyEvent;
property OnMouseLeave: TNotifyEvent;
property OnMouseMove: TMouseMoveEvent; | Event handler for mouse movement within the control.
property OnMouseUp: TMouseEvent; | Event handler for mouse button going up.
property OnMouseWheel: TMouseWheelEvent;
property OnMouseWheelDown: TMouseWheelUpDownEvent;
property OnMouseWheelUp: TMouseWheelUpDownEvent;
property OnResize: TNotifyEvent; | Notification handler for a resize of the control.
property OnUTF8KeyPress: TUTF8KeyPressEvent; | Handler for a character entered by the user.
property ParentBidiMode: Boolean;
property ParentColor: Boolean; |
property ParentFont: Boolean; | If true, the Font of the control will be the same as the one from the Parent. Default is true.
property ParentShowHint: Boolean; | If true, the value of ShowHint for the control will be the same as the one from the Parent. Default is true.
property PopupMenu: TPopupMenu; | A context-sensitive menu that pops up when the right mouse button is clicked over this control
property ShowHint: Boolean; | Enables the Hint display.
property TabStop: Boolean; | Allows the user to navigate to this control, by pressing the Tab key.
property TabOrder: TTabOrder; | Determines the sequence of controls, reachable when the user presses the Tab key.
property Spacing: Integer;
property Visible: Boolean; | Allows to show or hide the control, and all of its children.
property Text: TCaption;
property TextHint: TTranslateString;
end;

Inheritance

TDateEdit | TDateEdit - an EditBox to hold a date, with an attached SpeedButton that will summon a date selection (calendar) dialog
|
TCustomEditButton | TCustomEditButton - base class for TEditButton, an Edit Box with attached Speed Button
|
TCustomAbstractGroupedEdit |
|
TCustomControl | The base class for windowed controls which paint themselves.
|
TWinControl | The base class for controls which can contain other (child) controls.
|
TControl | The base class for visible controls.
|
TLCLComponent | The base class for LCL components associated with widgets.
|
TComponent,IUnknown,IInterfaceComponentReference
|
TPersistent,IFPObserved
|
TObject


TDateEdit
 | ro | AutoSelected
 |  | Date
 | ro | Button
 | ro | DroppedDown
pl |  | CalendarDisplaySettings
pl | ro | ReadOnly
pl |  | DefaultToday
pl |  | DateOrder
pl |  | DateFormat
pl | ro | ButtonOnlyWhenFocused
pl | ro | ButtonCaption
pl | ro | ButtonCursor
pl | ro | ButtonHint
pl | ro | ButtonWidth
pl | ro | Action
pl | ro | Align
pl | ro | Anchors
pl | ro | AutoSize
pl | ro | AutoSelect
pl | ro | BidiMode
pl | ro | BorderSpacing
pl | ro | BorderStyle
pl | ro | CharCase
pl | ro | Color
pl | ro | Constraints
pl | ro | DirectInput
pl | ro | Glyph
pl | ro | NumGlyphs
pl | ro | Images
pl | ro | ImageIndex
pl | ro | ImageWidth
pl | ro | DragMode
pl | ro | EchoMode
pl | ro | Enabled
pl | ro | Flat
pl | ro | FocusOnButtonClick
pl | ro | Font
pl | ro | Layout
pl | ro | MaxLength
pl | ro | ParentBidiMode
pl | ro | ParentColor
pl | ro | ParentFont
pl | ro | ParentShowHint
pl | ro | PopupMenu
pl | ro | ShowHint
pl | ro | TabStop
pl | ro | TabOrder
pl | ro | Spacing
pl | ro | Visible
pl | ro | Text
pl | ro | TextHint
TCustomEditButton
pt | ro | Button
pt |  | ButtonCaption
pt |  | ButtonCursor
pt |  | ButtonHint
pt |  | ButtonOnlyWhenFocused
pt |  | ButtonWidth
pt | ro | Edit
pt |  | Flat
pt |  | FocusOnButtonClick
pt |  | Glyph
pt |  | NumGlyphs
pt |  | Images
pt |  | ImageIndex
pt |  | ImageWidth
pt | ro | Spacing
TCustomAbstractGroupedEdit
pt |  | AutoSelect
pt |  | AutoSelected
pt | ro | Buddy
pt |  | BuddyCaption
pt |  | BuddyCursor
pt |  | BuddyHint
pt |  | BuddyWidth
pt |  | DirectInput
pt | ro | BaseEditor
pt |  | EditMask
pt |  | EditText
pt |  | FocusOnBuddyClick
pt | ro | IsMasked
pt |  | Layout
pt |  | Spacing
 | ro | Autosize
 |  | AutoSizeHeightIsEditHeight
 |  | Alignment
 | ro | CanUndo
 |  | CaretPos
 |  | CharCase
 |  | Color
 |  | ParentColor
 |  | EchoMode
 |  | HideSelection
 |  | MaxLength
 |  | Modified
 |  | NumbersOnly
 |  | PasswordChar
 |  | PopupMenu
 |  | ReadOnly
 |  | SelLength
 |  | SelStart
 |  | SelText
 |  | TabStop
 | ro | Text
 |  | TextHint
TCustomControl
 |  | Canvas
 | ro | BorderStyle
TWinControl
pt |  | WindowHandle
pt |  | BorderStyle
pt |  | ParentBackground
 |  | BorderWidth
 | ro | BoundsLockCount
 | ro | Brush
 | ro | CachedClientHeight
 | ro | CachedClientWidth
 |  | ChildSizing
 | ro | ControlCount
 | ro | Controls
 |  | DefWndProc
 | ro | DockClientCount
 | ro | DockClients
 |  | DockManager
 |  | DockSite
 |  | DoubleBuffered
 |  | Handle
 | ro | IsFlipped
 | ro | IsResizing
 |  | TabOrder
 |  | TabStop
 |  | ParentDoubleBuffered
 |  | ParentWindow
 | ro | Showing
 |  | UseDockManager
 |  | DesignerDeleting
 | ro | VisibleDockClientCount
TControl
pt | ro | AutoSizing
pt | ro | AutoSizingAll
pt | ro | AutoSizingLockCount
pt |  | ActionLink
pt |  | DesktopFont
pt |  | DragCursor
pt |  | DragKind
pt |  | DragMode
pt |  | MouseCapture
pt |  | ParentColor
pt |  | ParentFont
pt |  | ParentShowHint
pt |  | SessionProperties
pt |  | Text
 | ro | AnchoredControls
 | ro | BaseBounds
 | ro | ReadBounds
 | ro | BaseParentClientSize
 |  | AccessibleDescription
 |  | AccessibleValue
 |  | AccessibleRole
 |  | Action
 |  | Align
 |  | Anchors
 | ro | AnchorSide
 |  | AutoSize
 |  | BorderSpacing
 |  | BoundsRect
 |  | BoundsRectForNewParent
 |  | Caption
 |  | CaptureMouseButtons
 |  | ClientHeight
 | ro | ClientOrigin
 | ro | ClientRect
 |  | ClientWidth
 |  | Color
 |  | Constraints
 | ro | ControlOrigin
 |  | ControlState
 |  | ControlStyle
 |  | Enabled
 |  | Font
 |  | IsControl
 | ro | MouseEntered
 | ro | MouseInClient
 |  | Parent
 |  | PopupMenu
 |  | ShowHint
 |  | Visible
 |  | WindowProc
 |  | DockOrientation
 | ro | Floating
 |  | FloatingDockSiteClass
 |  | HostDockSite
 |  | LRDockWidth
 |  | TBDockHeight
 |  | UndockHeight
 |  | UndockWidth
 |  | BiDiMode
 |  | ParentBiDiMode
pl |  | AnchorSideLeft
pl |  | AnchorSideTop
pl |  | AnchorSideRight
pl |  | AnchorSideBottom
pl |  | Cursor
pl |  | Left
pl |  | Height
pl |  | Hint
pl |  | Top
pl |  | Width
pl |  | HelpType
pl |  | HelpKeyword
pl |  | HelpContext
TLCLComponent
 | ro | LCLRefCount
 | ro | WidgetSetClass
TComponent
 | ro | ComObject
 | ro | Components
 | ro | ComponentCount
 |  | ComponentIndex
 | ro | ComponentState
 | ro | ComponentStyle
 |  | DesignInfo
 | ro | Owner
 |  | VCLComObject
 |  | Name
 |  | Tag
TPersistent
TObject


 |  | AccessibleDescription (TControl)
 |  | AccessibleRole (TControl)
 |  | AccessibleValue (TControl)
 |  | Action (TControl)
pl | ro | Action (TDateEdit)
pt |  | ActionLink (TControl)
 |  | Align (TControl)
pl | ro | Align (TDateEdit)
 |  | Alignment (TCustomAbstractGroupedEdit)
 | ro | AnchoredControls (TControl)
 |  | Anchors (TControl)
pl | ro | Anchors (TDateEdit)
 | ro | AnchorSide (TControl)
pl |  | AnchorSideBottom (TControl)
pl |  | AnchorSideLeft (TControl)
pl |  | AnchorSideRight (TControl)
pl |  | AnchorSideTop (TControl)
pt |  | AutoSelect (TCustomAbstractGroupedEdit)
pl | ro | AutoSelect (TDateEdit)
pt |  | AutoSelected (TCustomAbstractGroupedEdit)
 | ro | AutoSelected (TDateEdit)
 |  | AutoSize (TControl)
 | ro | Autosize (TCustomAbstractGroupedEdit)
pl | ro | AutoSize (TDateEdit)
 |  | AutoSizeHeightIsEditHeight (TCustomAbstractGroupedEdit)
pt | ro | AutoSizing (TControl)
pt | ro | AutoSizingAll (TControl)
pt | ro | AutoSizingLockCount (TControl)
 | ro | BaseBounds (TControl)
pt | ro | BaseEditor (TCustomAbstractGroupedEdit)
 | ro | BaseParentClientSize (TControl)
 |  | BiDiMode (TControl)
pl | ro | BidiMode (TDateEdit)
 |  | BorderSpacing (TControl)
pl | ro | BorderSpacing (TDateEdit)
pt |  | BorderStyle (TWinControl)
 | ro | BorderStyle (TCustomControl)
pl | ro | BorderStyle (TDateEdit)
 |  | BorderWidth (TWinControl)
 | ro | BoundsLockCount (TWinControl)
 |  | BoundsRect (TControl)
 |  | BoundsRectForNewParent (TControl)
 | ro | Brush (TWinControl)
pt | ro | Buddy (TCustomAbstractGroupedEdit)
pt |  | BuddyCaption (TCustomAbstractGroupedEdit)
pt |  | BuddyCursor (TCustomAbstractGroupedEdit)
pt |  | BuddyHint (TCustomAbstractGroupedEdit)
pt |  | BuddyWidth (TCustomAbstractGroupedEdit)
pt | ro | Button (TCustomEditButton)
 | ro | Button (TDateEdit)
pt |  | ButtonCaption (TCustomEditButton)
pl | ro | ButtonCaption (TDateEdit)
pt |  | ButtonCursor (TCustomEditButton)
pl | ro | ButtonCursor (TDateEdit)
pt |  | ButtonHint (TCustomEditButton)
pl | ro | ButtonHint (TDateEdit)
pt |  | ButtonOnlyWhenFocused (TCustomEditButton)
pl | ro | ButtonOnlyWhenFocused (TDateEdit)
pt |  | ButtonWidth (TCustomEditButton)
pl | ro | ButtonWidth (TDateEdit)
 | ro | CachedClientHeight (TWinControl)
 | ro | CachedClientWidth (TWinControl)
pl |  | CalendarDisplaySettings (TDateEdit)
 | ro | CanUndo (TCustomAbstractGroupedEdit)
 |  | Canvas (TCustomControl)
 |  | Caption (TControl)
 |  | CaptureMouseButtons (TControl)
 |  | CaretPos (TCustomAbstractGroupedEdit)
 |  | CharCase (TCustomAbstractGroupedEdit)
pl | ro | CharCase (TDateEdit)
 |  | ChildSizing (TWinControl)
 |  | ClientHeight (TControl)
 | ro | ClientOrigin (TControl)
 | ro | ClientRect (TControl)
 |  | ClientWidth (TControl)
 |  | Color (TControl)
 |  | Color (TCustomAbstractGroupedEdit)
pl | ro | Color (TDateEdit)
 | ro | ComObject (TComponent)
 | ro | ComponentCount (TComponent)
 |  | ComponentIndex (TComponent)
 | ro | Components (TComponent)
 | ro | ComponentState (TComponent)
 | ro | ComponentStyle (TComponent)
 |  | Constraints (TControl)
pl | ro | Constraints (TDateEdit)
 | ro | ControlCount (TWinControl)
 | ro | ControlOrigin (TControl)
 | ro | Controls (TWinControl)
 |  | ControlState (TControl)
 |  | ControlStyle (TControl)
pl |  | Cursor (TControl)
 |  | Date (TDateEdit)
pl |  | DateFormat (TDateEdit)
pl |  | DateOrder (TDateEdit)
pl |  | DefaultToday (TDateEdit)
 |  | DefWndProc (TWinControl)
 |  | DesignerDeleting (TWinControl)
 |  | DesignInfo (TComponent)
pt |  | DesktopFont (TControl)
pt |  | DirectInput (TCustomAbstractGroupedEdit)
pl | ro | DirectInput (TDateEdit)
 | ro | DockClientCount (TWinControl)
 | ro | DockClients (TWinControl)
 |  | DockManager (TWinControl)
 |  | DockOrientation (TControl)
 |  | DockSite (TWinControl)
 |  | DoubleBuffered (TWinControl)
pt |  | DragCursor (TControl)
pt |  | DragKind (TControl)
pt |  | DragMode (TControl)
pl | ro | DragMode (TDateEdit)
 | ro | DroppedDown (TDateEdit)
 |  | EchoMode (TCustomAbstractGroupedEdit)
pl | ro | EchoMode (TDateEdit)
pt | ro | Edit (TCustomEditButton)
pt |  | EditMask (TCustomAbstractGroupedEdit)
pt |  | EditText (TCustomAbstractGroupedEdit)
 |  | Enabled (TControl)
pl | ro | Enabled (TDateEdit)
pt |  | Flat (TCustomEditButton)
pl | ro | Flat (TDateEdit)
 | ro | Floating (TControl)
 |  | FloatingDockSiteClass (TControl)
pt |  | FocusOnBuddyClick (TCustomAbstractGroupedEdit)
pt |  | FocusOnButtonClick (TCustomEditButton)
pl | ro | FocusOnButtonClick (TDateEdit)
 |  | Font (TControl)
pl | ro | Font (TDateEdit)
pt |  | Glyph (TCustomEditButton)
pl | ro | Glyph (TDateEdit)
 |  | Handle (TWinControl)
pl |  | Height (TControl)
pl |  | HelpContext (TControl)
pl |  | HelpKeyword (TControl)
pl |  | HelpType (TControl)
 |  | HideSelection (TCustomAbstractGroupedEdit)
pl |  | Hint (TControl)
 |  | HostDockSite (TControl)
pt |  | ImageIndex (TCustomEditButton)
pl | ro | ImageIndex (TDateEdit)
pt |  | Images (TCustomEditButton)
pl | ro | Images (TDateEdit)
pt |  | ImageWidth (TCustomEditButton)
pl | ro | ImageWidth (TDateEdit)
 |  | IsControl (TControl)
 | ro | IsFlipped (TWinControl)
pt | ro | IsMasked (TCustomAbstractGroupedEdit)
 | ro | IsResizing (TWinControl)
pt |  | Layout (TCustomAbstractGroupedEdit)
pl | ro | Layout (TDateEdit)
 | ro | LCLRefCount (TLCLComponent)
pl |  | Left (TControl)
 |  | LRDockWidth (TControl)
 |  | MaxLength (TCustomAbstractGroupedEdit)
pl | ro | MaxLength (TDateEdit)
 |  | Modified (TCustomAbstractGroupedEdit)
pt |  | MouseCapture (TControl)
 | ro | MouseEntered (TControl)
 | ro | MouseInClient (TControl)
 |  | Name (TComponent)
 |  | NumbersOnly (TCustomAbstractGroupedEdit)
pt |  | NumGlyphs (TCustomEditButton)
pl | ro | NumGlyphs (TDateEdit)
 | ro | Owner (TComponent)
 |  | Parent (TControl)
pt |  | ParentBackground (TWinControl)
 |  | ParentBiDiMode (TControl)
pl | ro | ParentBidiMode (TDateEdit)
pt |  | ParentColor (TControl)
 |  | ParentColor (TCustomAbstractGroupedEdit)
pl | ro | ParentColor (TDateEdit)
 |  | ParentDoubleBuffered (TWinControl)
pt |  | ParentFont (TControl)
pl | ro | ParentFont (TDateEdit)
pt |  | ParentShowHint (TControl)
pl | ro | ParentShowHint (TDateEdit)
 |  | ParentWindow (TWinControl)
 |  | PasswordChar (TCustomAbstractGroupedEdit)
 |  | PopupMenu (TControl)
 |  | PopupMenu (TCustomAbstractGroupedEdit)
pl | ro | PopupMenu (TDateEdit)
 | ro | ReadBounds (TControl)
 |  | ReadOnly (TCustomAbstractGroupedEdit)
pl | ro | ReadOnly (TDateEdit)
 |  | SelLength (TCustomAbstractGroupedEdit)
 |  | SelStart (TCustomAbstractGroupedEdit)
 |  | SelText (TCustomAbstractGroupedEdit)
pt |  | SessionProperties (TControl)
 |  | ShowHint (TControl)
pl | ro | ShowHint (TDateEdit)
 | ro | Showing (TWinControl)
pt |  | Spacing (TCustomAbstractGroupedEdit)
pt | ro | Spacing (TCustomEditButton)
pl | ro | Spacing (TDateEdit)
 |  | TabOrder (TWinControl)
pl | ro | TabOrder (TDateEdit)
 |  | TabStop (TWinControl)
 |  | TabStop (TCustomAbstractGroupedEdit)
pl | ro | TabStop (TDateEdit)
 |  | Tag (TComponent)
 |  | TBDockHeight (TControl)
pt |  | Text (TControl)
 | ro | Text (TCustomAbstractGroupedEdit)
pl | ro | Text (TDateEdit)
 |  | TextHint (TCustomAbstractGroupedEdit)
pl | ro | TextHint (TDateEdit)
pl |  | Top (TControl)
 |  | UndockHeight (TControl)
 |  | UndockWidth (TControl)
 |  | UseDockManager (TWinControl)
 |  | VCLComObject (TComponent)
 |  | Visible (TControl)
pl | ro | Visible (TDateEdit)
 | ro | VisibleDockClientCount (TWinControl)
 | ro | WidgetSetClass (TLCLComponent)
pl |  | Width (TControl)
pt |  | WindowHandle (TWinControl)
 |  | WindowProc (TControl)


TDateEdit
pt | GetDefaultGlyphName
pt | ButtonClick
pt | EditDblClick
pt | EditEditingDone
pt | SetDirectInput
pt | RealSetText
pt | SetDateMask
pt | Loaded
 | Create
 | GetDateFormat
TCustomEditButton
pt | ButtonClick
pt | BuddyClick
pt | GetEditorClassType
pt | GetBuddyClassType
pt | GetControlClassDefaultSize
pt | CalcButtonVisible
pt | GetDefaultGlyphName
pt | CalculatePreferredSize
pt | CheckButtonVisible
pt | LoadDefaultGlyph
pt | GlyphChanged
 | Create
 | Destroy
TCustomAbstractGroupedEdit
pt | CalculatePreferredSize
pt | CreateBuddy
pt | CreateEditor
pt | FocusAndMaybeSelectAll
pt | GetEditorClassType
pt | GetBuddyClassType
pt | GetControlClassDefaultSize
pt | SetDirectInput
pt | RealGetText
pt | RealSetText
pt | GetEditPopupMenu
pt | GetBuddyCaption
pt | GetBuddyCursor
pt | GetBuddyHint
pt | GetBuddyWidth
pt | GetBuddyVisible
pt | SetBuddyCaption
pt | SetBuddyCursor
pt | SetBuddyHint
pt | SetBuddyWidth
pt | SetBuddyVisible
pt | BuddyClick
pt | DoEnter
pt | EditChange
pt | EditClick
pt | EditDblClick
pt | EditDragDrop
pt | EditDragOver
pt | EditEditingDone
pt | EditEndDrag
pt | EditEnter
pt | EditExit
pt | EditKeyDown
pt | EditKeyPress
pt | EditKeyUp
pt | EditMouseDown
pt | EditMouseUp
pt | EditMouseEnter
pt | EditMouseLeave
pt | EditMouseMove
pt | EditMouseWheel
pt | EditMouseWheelUp
pt | EditMouseWheelDown
pt | EditUtf8KeyPress
pt | EditStartDrag
pt | UpdateSpacing
pt | CheckCursor
pt | CMParentColorChanged
pt | EditCanModify
pt | GetSel
pt | GetSpacing
pt | SetSel
pt | Loaded
pt | Reset
pt | SetAutoSize
pt | SetColor
pt | SetCursor
pt | ShouldAutoAdjust
 | Create
 | Destroy
 | SetFocus
 | Focused
 | Clear
 | ClearSelection
 | CopyToClipboard
 | CutToClipboard
 | PasteFromClipboard
 | SelectAll
 | Undo
 | ValidateEdit
TCustomControl
pt | WSRegisterClass
pt | WMPaint
pt | DestroyWnd
pt | PaintWindow
pt | FontChanged
pt | SetColor
pt | Paint
 | Create
 | Destroy
TWinControl
pt | WSRegisterClass
pt | AdjustClientRect
pt | GetAdjustedLogicalClientRect
pt | AlignControls
pt | CustomAlignInsertBefore
pt | CustomAlignPosition
pt | DoAlignChildControls
pt | DoChildSizingChange
pt | InvalidatePreferredChildSizes
pt | CanTab
pt | IsClientHeightStored
pt | IsClientWidthStored
pt | DoSendShowHideToInterface
pt | ControlsAligned
pt | DoSendBoundsToInterface
pt | RealizeBounds
pt | RealizeBoundsRecursive
pt | InvalidateBoundsRealized
pt | CreateSubClass
pt | DoConstraintsChange
pt | DoSetBounds
pt | DoAutoSize
pt | DoAllAutoSize
pt | AllAutoSized
pt | CalculatePreferredSize
pt | GetPreferredSizeClientFrame
pt | GetChildren
pt | ChildClassAllowed
pt | PaintControls
pt | PaintHandler
pt | PaintWindow
pt | CreateBrush
pt | ScaleControls
pt | ChangeScale
pt | CMBiDiModeChanged
pt | CMBorderChanged
pt | CMDoubleBufferedChanged
pt | CMEnabledChanged
pt | CMParentDoubleBufferedChanged
pt | CMShowingChanged
pt | CMShowHintChanged
pt | CMVisibleChanged
pt | CMEnter
pt | CMExit
pt | WMContextMenu
pt | WMEraseBkgnd
pt | WMNotify
pt | WMSetFocus
pt | WMKillFocus
pt | WMShowWindow
pt | WMEnter
pt | WMExit
pt | WMKeyDown
pt | WMSysKeyDown
pt | WMKeyUp
pt | WMSysKeyUp
pt | WMChar
pt | WMSysChar
pt | WMPaint
pt | WMDestroy
pt | WMMove
pt | WMSize
pt | WMWindowPosChanged
pt | CNKeyDown
pt | CNSysKeyDown
pt | CNKeyUp
pt | CNSysKeyUp
pt | CNChar
pt | DoDragMsg
pt | DoDockClientMsg
pt | DoUndockClientMsg
pt | DoAddDockClient
pt | DockOver
pt | DoDockOver
pt | DoRemoveDockClient
pt | DoUnDock
pt | GetSiteInfo
pt | GetParentHandle
pt | GetTopParentHandle
pt | ReloadDockedControl
pt | CreateDockManager
pt | SetDockManager
pt | DoFloatMsg
pt | DoGetDockCaption
pt | DoEnter
pt | DoExit
pt | DoKeyDownBeforeInterface
pt | DoRemainingKeyDown
pt | DoRemainingKeyUp
pt | DoKeyPress
pt | DoUTF8KeyPress
pt | DoKeyUpBeforeInterface
pt | ChildKey
pt | SendDialogChar
pt | DialogChar
pt | ControlKeyDown
pt | ControlKeyUp
pt | KeyDown
pt | KeyDownBeforeInterface
pt | KeyDownAfterInterface
pt | KeyPress
pt | KeyUp
pt | KeyUpBeforeInterface
pt | KeyUpAfterInterface
pt | UTF8KeyPress
pt | FindNextControl
pt | SelectFirst
pt | RealGetText
pt | GetBorderStyle
pt | GetClientOrigin
pt | GetClientRect
pt | GetControlOrigin
pt | GetDeviceContext
pt | GetParentBackground
pt | IsControlMouseMsg
pt | CreateHandle
pt | CreateParams
pt | CreateWnd
pt | DestroyHandle
pt | DestroyWnd
pt | DoFlipChildren
pt | FinalizeWnd
pt | FixupTabList
pt | FontChanged
pt | InitializeWnd
pt | Loaded
pt | FormEndUpdated
pt | MainWndProc
pt | ParentFormHandleInitialized
pt | ChildHandlesCreated
pt | GetMouseCapture
pt | RealSetText
pt | RemoveFocus
pt | SendMoveSizeMessages
pt | SetBorderStyle
pt | SetColor
pt | SetChildZPosition
pt | SetParentBackground
pt | ShowControl
pt | UpdateControlState
pt | UpdateShowing
pt | WndProc
pt | WSSetText
 | AutoSizePhases
 | AutoSizeDelayed
 | AutoSizeDelayedReport
 | AutoSizeDelayedHandle
 | BeginUpdateBounds
 | EndUpdateBounds
 | LockRealizeBounds
 | UnlockRealizeBounds
 | ControlAtPos
 | ContainsControl
 | DoAdjustClientRectChange
 | InvalidateClientRectCache
 | ClientRectNeedsInterfaceUpdate
 | SetBounds
 | GetChildrenRect
 | DisableAlign
 | EnableAlign
 | ReAlign
 | ScrollBy_WS
 | ScrollBy
 | WriteLayoutDebugReport
 | AutoAdjustLayout
 | Create
 | CreateParented
 | CreateParentedControl
 | Destroy
 | DockDrop
 | CanFocus
 | CanSetFocus
 | GetControlIndex
 | SetControlIndex
 | Focused
 | PerformTab
 | FindChildControl
 | SelectNext
 | SetTempCursor
 | BroadCast
 | NotifyControls
 | DefaultHandler
 | GetTextLen
 | Invalidate
 | AddControl
 | InsertControl
 | RemoveControl
 | GetEnumeratorControls
 | GetEnumeratorControlsReverse
 | Repaint
 | Update
 | SetFocus
 | FlipChildren
 | ScaleBy
 | GetDockCaption
 | UpdateDockCaption
 | GetTabOrderList
 | HandleAllocated
 | ParentHandlesAllocated
 | HandleNeeded
 | BrushCreated
 | EraseBackground
 | IntfUTF8KeyPress
 | IntfGetDropFilesTarget
 | PaintTo
 | SetShape
TControl
pt | WSRegisterClass
pt | GetCursor
pt | SetCursor
pt | SetVisible
pt | DoOnParentHandleDestruction
pt | DoAutoSize
pt | DoAllAutoSize
pt | BeginAutoSizing
pt | EndAutoSizing
pt | AnchorSideChanged
pt | ForeignAnchorSideChanged
pt | SetAlign
pt | SetAnchors
pt | SetAutoSize
pt | BoundsChanged
pt | CreateControlBorderSpacing
pt | DoConstraintsChange
pt | DoBorderSpacingChange
pt | IsBorderSpacingInnerBorderStored
pt | IsCaptionStored
pt | SendMoveSizeMessages
pt | ConstrainedResize
pt | CalculatePreferredSize
pt | DoOnResize
pt | DoOnChangeBounds
pt | CheckOnChangeBounds
pt | Resize
pt | RequestAlign
pt | UpdateAnchorRules
pt | ChangeBounds
pt | DoSetBounds
pt | ScaleConstraints
pt | ChangeScale
pt | CanAutoSize
pt | SetBiDiMode
pt | SetParentBiDiMode
pt | IsAParentAligning
pt | GetClientOrigin
pt | GetClientRect
pt | GetLogicalClientRect
pt | GetScrolledClientRect
pt | GetClientScrollOffset
pt | GetControlOrigin
pt | IsClientHeightStored
pt | IsClientWidthStored
pt | WidthIsAnchored
pt | HeightIsAnchored
pt | WMCancelMode
pt | WMContextMenu
pt | WMLButtonDown
pt | WMRButtonDown
pt | WMMButtonDown
pt | WMXButtonDown
pt | WMLButtonDBLCLK
pt | WMRButtonDBLCLK
pt | WMMButtonDBLCLK
pt | WMXButtonDBLCLK
pt | WMLButtonTripleCLK
pt | WMRButtonTripleCLK
pt | WMMButtonTripleCLK
pt | WMXButtonTripleCLK
pt | WMLButtonQuadCLK
pt | WMRButtonQuadCLK
pt | WMMButtonQuadCLK
pt | WMXButtonQuadCLK
pt | WMMouseMove
pt | WMLButtonUp
pt | WMRButtonUp
pt | WMMButtonUp
pt | WMXButtonUp
pt | WMMouseWheel
pt | WMMouseHWheel
pt | WMMove
pt | WMSize
pt | WMWindowPosChanged
pt | CMChanged
pt | LMCaptureChanged
pt | CMBiDiModeChanged
pt | CMSysFontChanged
pt | CMEnabledChanged
pt | CMHitTest
pt | CMMouseEnter
pt | CMMouseLeave
pt | CMHintShow
pt | CMParentBiDiModeChanged
pt | CMParentColorChanged
pt | CMParentFontChanged
pt | CMParentShowHintChanged
pt | CMVisibleChanged
pt | CMTextChanged
pt | CMCursorChanged
pt | CalculateDockSizes
pt | CreateFloatingDockSite
pt | GetDockEdge
pt | GetDragImages
pt | GetFloating
pt | GetFloatingDockSiteClass
pt | BeforeDragStart
pt | BeginAutoDrag
pt | DoFloatMsg
pt | DockTrackNoTarget
pt | DoDock
pt | DoDragMsg
pt | DoEndDock
pt | DoEndDrag
pt | DoStartDock
pt | DoStartDrag
pt | DragCanceled
pt | DragOver
pt | PositionDockRect
pt | SetDragMode
pt | GetDefaultDockCaption
pt | Click
pt | DblClick
pt | TripleClick
pt | QuadClick
pt | GetMousePosFromMessage
pt | MouseDown
pt | MouseMove
pt | MouseUp
pt | MouseEnter
pt | MouseLeave
pt | DialogChar
pt | UpdateMouseCursor
pt | Changed
pt | GetPalette
pt | ChildClassAllowed
pt | ReadState
pt | Loaded
pt | LoadedAll
pt | DefineProperties
pt | AssignTo
pt | FormEndUpdated
pt | InvalidateControl
pt | FontChanged
pt | ParentFontChanged
pt | GetAction
pt | RealGetText
pt | RealSetText
pt | TextChanged
pt | GetCachedText
pt | SetAction
pt | SetColor
pt | SetEnabled
pt | SetHint
pt | SetName
pt | SetParent
pt | SetParentComponent
pt | WndProc
pt | ParentFormHandleInitialized
pt | GetMouseCapture
pt | CaptureChanged
pt | Notification
pt | CanTab
pt | GetDeviceContext
pt | GetEnabled
pt | GetPopupMenu
pt | DoOnShowHint
pt | DoMouseWheel
pt | DoMouseWheelDown
pt | DoMouseWheelUp
pt | DoMouseWheelHorz
pt | DoMouseWheelLeft
pt | DoMouseWheelRight
pt | VisibleChanging
pt | VisibleChanged
pt | EnabledChanging
pt | EnabledChanged
pt | AddHandler
pt | RemoveHandler
pt | DoCallNotifyHandler
pt | DoCallKeyEventHandler
pt | DoCallMouseWheelEventHandler
pt | DoContextPopup
pt | SetZOrder
pt | GetControlClassDefaultSize
pt | ColorIsStored
pt | DoAutoAdjustLayout
pt | DoFixDesignFontPPI
pt | DoScaleFontPPI
pt | GetActionLinkClass
pt | ActionChange
 | DragDrop
 | Dock
 | ManualDock
 | ManualFloat
 | ReplaceDockedControl
 | Docked
 | Dragging
 | GetAccessibleObject
 | CreateAccessibleObject
 | GetSelectedChildAccessibleObject
 | GetChildAccessibleObjectAtPos
 | ScaleDesignToForm
 | ScaleFormToDesign
 | Scale96ToForm
 | ScaleFormTo96
 | Scale96ToFont
 | ScaleFontTo96
 | ScaleScreenToFont
 | ScaleFontToScreen
 | Scale96ToScreen
 | ScaleScreenTo96
 | AdjustSize
 | AutoSizePhases
 | AutoSizeDelayed
 | AutoSizeDelayedReport
 | AutoSizeDelayedHandle
 | AnchorToNeighbour
 | AnchorParallel
 | AnchorHorizontalCenterTo
 | AnchorVerticalCenterTo
 | AnchorToCompanion
 | AnchorSame
 | AnchorAsAlign
 | AnchorClient
 | AnchoredControlCount
 | SetBounds
 | SetInitialBounds
 | SetBoundsKeepBase
 | GetPreferredSize
 | GetCanvasScaleFactor
 | GetDefaultWidth
 | GetDefaultHeight
 | GetDefaultColor
 | GetColorResolvingParent
 | GetRGBColorResolvingParent
 | GetSidePosition
 | CNPreferredSizeChanged
 | InvalidatePreferredSize
 | GetAnchorsDependingOnParent
 | DisableAutoSizing
 | EnableAutoSizing
 | UpdateBaseBounds
 | WriteLayoutDebugReport
 | AutoAdjustLayout
 | ShouldAutoAdjust
 | FixDesignFontsPPI
 | ScaleFontsPPI
 | Create
 | Destroy
 | BeforeDestruction
 | EditingDone
 | ExecuteDefaultAction
 | ExecuteCancelAction
 | BeginDrag
 | EndDrag
 | BringToFront
 | HasParent
 | GetParentComponent
 | IsParentOf
 | GetTopParent
 | IsVisible
 | IsControlVisible
 | IsEnabled
 | IsParentColor
 | IsParentFont
 | FormIsUpdating
 | IsProcessingPaintMsg
 | Hide
 | Refresh
 | Repaint
 | Invalidate
 | CheckChildClassAllowed
 | CheckNewParent
 | SendToBack
 | SetTempCursor
 | UpdateRolesForForm
 | ActiveDefaultControlChanged
 | GetTextBuf
 | GetTextLen
 | SetTextBuf
 | Perform
 | ScreenToClient
 | ClientToScreen
 | ScreenToControl
 | ControlToScreen
 | ClientToParent
 | ParentToClient
 | GetChildrenRect
 | Show
 | Update
 | HandleObjectShouldBeVisible
 | ParentDestroyingHandle
 | ParentHandlesAllocated
 | InitiateAction
 | ShowHelp
 | HasHelp
 | RemoveAllHandlersOfObject
 | AddHandlerOnResize
 | RemoveHandlerOnResize
 | AddHandlerOnChangeBounds
 | RemoveHandlerOnChangeBounds
 | AddHandlerOnVisibleChanging
 | RemoveHandlerOnVisibleChanging
 | AddHandlerOnVisibleChanged
 | RemoveHandlerOnVisibleChanged
 | AddHandlerOnEnabledChanged
 | RemoveHandlerOnEnableChanging
 | AddHandlerOnKeyDown
 | RemoveHandlerOnKeyDown
 | AddHandlerOnBeforeDestruction
 | RemoveHandlerOnBeforeDestruction
 | AddHandlerOnMouseWheel
 | RemoveHandlerOnMouseWheel
 | UseRightToLeftAlignment
 | UseRightToLeftReading
 | UseRightToLeftScrollBar
 | IsRightToLeft
TLCLComponent
pt | WSRegisterClass
pt | GetWSComponentClass
 | Create
 | Destroy
 | NewInstance
 | RemoveAllHandlersOfObject
 | IncLCLRefCount
 | DecLCLRefCount
TComponent
 | GetComObject
 | GetComponent
 | GetComponentCount
 | GetComponentIndex
 | Insert
 | ReadLeft
 | ReadTop
 | Remove
 | RemoveNotification
 | SetComponentIndex
 | SetReference
 | WriteLeft
 | WriteTop
 | ChangeName
 | DefineProperties
 | GetChildren
 | GetChildOwner
 | GetChildParent
 | GetOwner
 | Loaded
 | Loading
 | Notification
 | PaletteCreated
 | ReadState
 | SetAncestor
 | SetDesigning
 | SetDesignInstance
 | SetInline
 | SetName
 | SetChildOrder
 | SetParentComponent
 | Updating
 | Updated
 | UpdateRegistry
 | ValidateRename
 | ValidateContainer
 | ValidateInsert
 | QueryInterface
 | _AddRef
 | _Release
 | iicrGetComponent
 | GetTypeInfoCount
 | GetTypeInfo
 | GetIDsOfNames
 | Invoke
 | WriteState
 | Create
 | Destroy
 | BeforeDestruction
 | DestroyComponents
 | Destroying
 | ExecuteAction
 | FindComponent
 | FreeNotification
 | RemoveFreeNotification
 | FreeOnRelease
 | GetEnumerator
 | GetNamePath
 | GetParentComponent
 | HasParent
 | InsertComponent
 | RemoveComponent
 | SafeCallException
 | SetSubComponent
 | UpdateAction
 | IsImplementorOf
 | ReferenceInterface
TPersistent
 | AssignError
 | AssignTo
 | DefineProperties
 | GetOwner
 | Destroy
 | Assign
 | FPOAttachObserver
 | FPODetachObserver
 | FPONotifyObservers
 | GetNamePath
TObject
 | Create
 | Destroy
 | newinstance
 | FreeInstance
 | SafeCallException
 | DefaultHandler
 | Free
 | InitInstance
 | CleanupInstance
 | ClassType
 | ClassInfo
 | ClassName
 | ClassNameIs
 | ClassParent
 | InstanceSize
 | InheritsFrom
 | StringMessageTable
 | MethodAddress
 | MethodName
 | FieldAddress
 | AfterConstruction
 | BeforeDestruction
 | DefaultHandlerStr
 | Dispatch
 | DispatchStr
 | GetInterface
 | GetInterfaceByStr
 | GetInterfaceWeak
 | GetInterfaceEntry
 | GetInterfaceEntryByStr
 | GetInterfaceTable
 | UnitName
 | Equals
 | GetHashCode
 | ToString


pt | ActionChange (TControl)
 | ActiveDefaultControlChanged (TControl)
 | AddControl (TWinControl)
pt | AddHandler (TControl)
 | AddHandlerOnBeforeDestruction (TControl)
 | AddHandlerOnChangeBounds (TControl)
 | AddHandlerOnEnabledChanged (TControl)
 | AddHandlerOnKeyDown (TControl)
 | AddHandlerOnMouseWheel (TControl)
 | AddHandlerOnResize (TControl)
 | AddHandlerOnVisibleChanged (TControl)
 | AddHandlerOnVisibleChanging (TControl)
pt | AdjustClientRect (TWinControl)
 | AdjustSize (TControl)
 | AfterConstruction (TObject)
pt | AlignControls (TWinControl)
pt | AllAutoSized (TWinControl)
 | AnchorAsAlign (TControl)
 | AnchorClient (TControl)
 | AnchoredControlCount (TControl)
 | AnchorHorizontalCenterTo (TControl)
 | AnchorParallel (TControl)
 | AnchorSame (TControl)
pt | AnchorSideChanged (TControl)
 | AnchorToCompanion (TControl)
 | AnchorToNeighbour (TControl)
 | AnchorVerticalCenterTo (TControl)
 | Assign (TPersistent)
 | AssignError (TPersistent)
 | AssignTo (TPersistent)
pt | AssignTo (TControl)
 | AutoAdjustLayout (TControl)
 | AutoAdjustLayout (TWinControl)
 | AutoSizeDelayed (TControl)
 | AutoSizeDelayed (TWinControl)
 | AutoSizeDelayedHandle (TControl)
 | AutoSizeDelayedHandle (TWinControl)
 | AutoSizeDelayedReport (TControl)
 | AutoSizeDelayedReport (TWinControl)
 | AutoSizePhases (TControl)
 | AutoSizePhases (TWinControl)
 | BeforeDestruction (TObject)
 | BeforeDestruction (TComponent)
 | BeforeDestruction (TControl)
pt | BeforeDragStart (TControl)
pt | BeginAutoDrag (TControl)
pt | BeginAutoSizing (TControl)
 | BeginDrag (TControl)
 | BeginUpdateBounds (TWinControl)
pt | BoundsChanged (TControl)
 | BringToFront (TControl)
 | BroadCast (TWinControl)
 | BrushCreated (TWinControl)
pt | BuddyClick (TCustomAbstractGroupedEdit)
pt | BuddyClick (TCustomEditButton)
pt | ButtonClick (TCustomEditButton)
pt | ButtonClick (TDateEdit)
pt | CalcButtonVisible (TCustomEditButton)
pt | CalculateDockSizes (TControl)
pt | CalculatePreferredSize (TControl)
pt | CalculatePreferredSize (TWinControl)
pt | CalculatePreferredSize (TCustomAbstractGroupedEdit)
pt | CalculatePreferredSize (TCustomEditButton)
pt | CanAutoSize (TControl)
 | CanFocus (TWinControl)
 | CanSetFocus (TWinControl)
pt | CanTab (TControl)
pt | CanTab (TWinControl)
pt | CaptureChanged (TControl)
pt | ChangeBounds (TControl)
pt | Changed (TControl)
 | ChangeName (TComponent)
pt | ChangeScale (TControl)
pt | ChangeScale (TWinControl)
pt | CheckButtonVisible (TCustomEditButton)
 | CheckChildClassAllowed (TControl)
pt | CheckCursor (TCustomAbstractGroupedEdit)
 | CheckNewParent (TControl)
pt | CheckOnChangeBounds (TControl)
pt | ChildClassAllowed (TControl)
pt | ChildClassAllowed (TWinControl)
pt | ChildHandlesCreated (TWinControl)
pt | ChildKey (TWinControl)
 | ClassInfo (TObject)
 | ClassName (TObject)
 | ClassNameIs (TObject)
 | ClassParent (TObject)
 | ClassType (TObject)
 | CleanupInstance (TObject)
 | Clear (TCustomAbstractGroupedEdit)
 | ClearSelection (TCustomAbstractGroupedEdit)
pt | Click (TControl)
 | ClientRectNeedsInterfaceUpdate (TWinControl)
 | ClientToParent (TControl)
 | ClientToScreen (TControl)
pt | CMBiDiModeChanged (TControl)
pt | CMBiDiModeChanged (TWinControl)
pt | CMBorderChanged (TWinControl)
pt | CMChanged (TControl)
pt | CMCursorChanged (TControl)
pt | CMDoubleBufferedChanged (TWinControl)
pt | CMEnabledChanged (TControl)
pt | CMEnabledChanged (TWinControl)
pt | CMEnter (TWinControl)
pt | CMExit (TWinControl)
pt | CMHintShow (TControl)
pt | CMHitTest (TControl)
pt | CMMouseEnter (TControl)
pt | CMMouseLeave (TControl)
pt | CMParentBiDiModeChanged (TControl)
pt | CMParentColorChanged (TControl)
pt | CMParentColorChanged (TCustomAbstractGroupedEdit)
pt | CMParentDoubleBufferedChanged (TWinControl)
pt | CMParentFontChanged (TControl)
pt | CMParentShowHintChanged (TControl)
pt | CMShowHintChanged (TWinControl)
pt | CMShowingChanged (TWinControl)
pt | CMSysFontChanged (TControl)
pt | CMTextChanged (TControl)
pt | CMVisibleChanged (TControl)
pt | CMVisibleChanged (TWinControl)
pt | CNChar (TWinControl)
pt | CNKeyDown (TWinControl)
pt | CNKeyUp (TWinControl)
 | CNPreferredSizeChanged (TControl)
pt | CNSysKeyDown (TWinControl)
pt | CNSysKeyUp (TWinControl)
pt | ColorIsStored (TControl)
pt | ConstrainedResize (TControl)
 | ContainsControl (TWinControl)
 | ControlAtPos (TWinControl)
pt | ControlKeyDown (TWinControl)
pt | ControlKeyUp (TWinControl)
pt | ControlsAligned (TWinControl)
 | ControlToScreen (TControl)
 | CopyToClipboard (TCustomAbstractGroupedEdit)
 | Create (TObject)
 | Create (TComponent)
 | Create (TLCLComponent)
 | Create (TControl)
 | Create (TWinControl)
 | Create (TCustomControl)
 | Create (TCustomAbstractGroupedEdit)
 | Create (TCustomEditButton)
 | Create (TDateEdit)
 | CreateAccessibleObject (TControl)
pt | CreateBrush (TWinControl)
pt | CreateBuddy (TCustomAbstractGroupedEdit)
pt | CreateControlBorderSpacing (TControl)
pt | CreateDockManager (TWinControl)
pt | CreateEditor (TCustomAbstractGroupedEdit)
pt | CreateFloatingDockSite (TControl)
pt | CreateHandle (TWinControl)
pt | CreateParams (TWinControl)
 | CreateParented (TWinControl)
 | CreateParentedControl (TWinControl)
pt | CreateSubClass (TWinControl)
pt | CreateWnd (TWinControl)
pt | CustomAlignInsertBefore (TWinControl)
pt | CustomAlignPosition (TWinControl)
 | CutToClipboard (TCustomAbstractGroupedEdit)
pt | DblClick (TControl)
 | DecLCLRefCount (TLCLComponent)
 | DefaultHandler (TObject)
 | DefaultHandler (TWinControl)
 | DefaultHandlerStr (TObject)
 | DefineProperties (TPersistent)
 | DefineProperties (TComponent)
pt | DefineProperties (TControl)
 | Destroy (TObject)
 | Destroy (TPersistent)
 | Destroy (TComponent)
 | Destroy (TLCLComponent)
 | Destroy (TControl)
 | Destroy (TWinControl)
 | Destroy (TCustomControl)
 | Destroy (TCustomAbstractGroupedEdit)
 | Destroy (TCustomEditButton)
 | DestroyComponents (TComponent)
pt | DestroyHandle (TWinControl)
 | Destroying (TComponent)
pt | DestroyWnd (TWinControl)
pt | DestroyWnd (TCustomControl)
pt | DialogChar (TControl)
pt | DialogChar (TWinControl)
 | DisableAlign (TWinControl)
 | DisableAutoSizing (TControl)
 | Dispatch (TObject)
 | DispatchStr (TObject)
pt | DoAddDockClient (TWinControl)
 | DoAdjustClientRectChange (TWinControl)
pt | DoAlignChildControls (TWinControl)
pt | DoAllAutoSize (TControl)
pt | DoAllAutoSize (TWinControl)
pt | DoAutoAdjustLayout (TControl)
pt | DoAutoSize (TControl)
pt | DoAutoSize (TWinControl)
pt | DoBorderSpacingChange (TControl)
pt | DoCallKeyEventHandler (TControl)
pt | DoCallMouseWheelEventHandler (TControl)
pt | DoCallNotifyHandler (TControl)
pt | DoChildSizingChange (TWinControl)
 | Dock (TControl)
 | DockDrop (TWinControl)
 | Docked (TControl)
pt | DockOver (TWinControl)
pt | DockTrackNoTarget (TControl)
pt | DoConstraintsChange (TControl)
pt | DoConstraintsChange (TWinControl)
pt | DoContextPopup (TControl)
pt | DoDock (TControl)
pt | DoDockClientMsg (TWinControl)
pt | DoDockOver (TWinControl)
pt | DoDragMsg (TControl)
pt | DoDragMsg (TWinControl)
pt | DoEndDock (TControl)
pt | DoEndDrag (TControl)
pt | DoEnter (TWinControl)
pt | DoEnter (TCustomAbstractGroupedEdit)
pt | DoExit (TWinControl)
pt | DoFixDesignFontPPI (TControl)
pt | DoFlipChildren (TWinControl)
pt | DoFloatMsg (TControl)
pt | DoFloatMsg (TWinControl)
pt | DoGetDockCaption (TWinControl)
pt | DoKeyDownBeforeInterface (TWinControl)
pt | DoKeyPress (TWinControl)
pt | DoKeyUpBeforeInterface (TWinControl)
pt | DoMouseWheel (TControl)
pt | DoMouseWheelDown (TControl)
pt | DoMouseWheelHorz (TControl)
pt | DoMouseWheelLeft (TControl)
pt | DoMouseWheelRight (TControl)
pt | DoMouseWheelUp (TControl)
pt | DoOnChangeBounds (TControl)
pt | DoOnParentHandleDestruction (TControl)
pt | DoOnResize (TControl)
pt | DoOnShowHint (TControl)
pt | DoRemainingKeyDown (TWinControl)
pt | DoRemainingKeyUp (TWinControl)
pt | DoRemoveDockClient (TWinControl)
pt | DoScaleFontPPI (TControl)
pt | DoSendBoundsToInterface (TWinControl)
pt | DoSendShowHideToInterface (TWinControl)
pt | DoSetBounds (TControl)
pt | DoSetBounds (TWinControl)
pt | DoStartDock (TControl)
pt | DoStartDrag (TControl)
pt | DoUnDock (TWinControl)
pt | DoUndockClientMsg (TWinControl)
pt | DoUTF8KeyPress (TWinControl)
pt | DragCanceled (TControl)
 | DragDrop (TControl)
 | Dragging (TControl)
pt | DragOver (TControl)
pt | EditCanModify (TCustomAbstractGroupedEdit)
pt | EditChange (TCustomAbstractGroupedEdit)
pt | EditClick (TCustomAbstractGroupedEdit)
pt | EditDblClick (TCustomAbstractGroupedEdit)
pt | EditDblClick (TDateEdit)
pt | EditDragDrop (TCustomAbstractGroupedEdit)
pt | EditDragOver (TCustomAbstractGroupedEdit)
pt | EditEditingDone (TCustomAbstractGroupedEdit)
pt | EditEditingDone (TDateEdit)
pt | EditEndDrag (TCustomAbstractGroupedEdit)
pt | EditEnter (TCustomAbstractGroupedEdit)
pt | EditExit (TCustomAbstractGroupedEdit)
 | EditingDone (TControl)
pt | EditKeyDown (TCustomAbstractGroupedEdit)
pt | EditKeyPress (TCustomAbstractGroupedEdit)
pt | EditKeyUp (TCustomAbstractGroupedEdit)
pt | EditMouseDown (TCustomAbstractGroupedEdit)
pt | EditMouseEnter (TCustomAbstractGroupedEdit)
pt | EditMouseLeave (TCustomAbstractGroupedEdit)
pt | EditMouseMove (TCustomAbstractGroupedEdit)
pt | EditMouseUp (TCustomAbstractGroupedEdit)
pt | EditMouseWheel (TCustomAbstractGroupedEdit)
pt | EditMouseWheelDown (TCustomAbstractGroupedEdit)
pt | EditMouseWheelUp (TCustomAbstractGroupedEdit)
pt | EditStartDrag (TCustomAbstractGroupedEdit)
pt | EditUtf8KeyPress (TCustomAbstractGroupedEdit)
 | EnableAlign (TWinControl)
 | EnableAutoSizing (TControl)
pt | EnabledChanged (TControl)
pt | EnabledChanging (TControl)
pt | EndAutoSizing (TControl)
 | EndDrag (TControl)
 | EndUpdateBounds (TWinControl)
 | Equals (TObject)
 | EraseBackground (TWinControl)
 | ExecuteAction (TComponent)
 | ExecuteCancelAction (TControl)
 | ExecuteDefaultAction (TControl)
 | FieldAddress (TObject)
pt | FinalizeWnd (TWinControl)
 | FindChildControl (TWinControl)
 | FindComponent (TComponent)
pt | FindNextControl (TWinControl)
 | FixDesignFontsPPI (TControl)
pt | FixupTabList (TWinControl)
 | FlipChildren (TWinControl)
pt | FocusAndMaybeSelectAll (TCustomAbstractGroupedEdit)
 | Focused (TWinControl)
 | Focused (TCustomAbstractGroupedEdit)
pt | FontChanged (TControl)
pt | FontChanged (TWinControl)
pt | FontChanged (TCustomControl)
pt | ForeignAnchorSideChanged (TControl)
pt | FormEndUpdated (TControl)
pt | FormEndUpdated (TWinControl)
 | FormIsUpdating (TControl)
 | FPOAttachObserver (TPersistent)
 | FPODetachObserver (TPersistent)
 | FPONotifyObservers (TPersistent)
 | Free (TObject)
 | FreeInstance (TObject)
 | FreeNotification (TComponent)
 | FreeOnRelease (TComponent)
 | GetAccessibleObject (TControl)
pt | GetAction (TControl)
pt | GetActionLinkClass (TControl)
pt | GetAdjustedLogicalClientRect (TWinControl)
 | GetAnchorsDependingOnParent (TControl)
pt | GetBorderStyle (TWinControl)
pt | GetBuddyCaption (TCustomAbstractGroupedEdit)
pt | GetBuddyClassType (TCustomAbstractGroupedEdit)
pt | GetBuddyClassType (TCustomEditButton)
pt | GetBuddyCursor (TCustomAbstractGroupedEdit)
pt | GetBuddyHint (TCustomAbstractGroupedEdit)
pt | GetBuddyVisible (TCustomAbstractGroupedEdit)
pt | GetBuddyWidth (TCustomAbstractGroupedEdit)
pt | GetCachedText (TControl)
 | GetCanvasScaleFactor (TControl)
 | GetChildAccessibleObjectAtPos (TControl)
 | GetChildOwner (TComponent)
 | GetChildParent (TComponent)
 | GetChildren (TComponent)
pt | GetChildren (TWinControl)
 | GetChildrenRect (TControl)
 | GetChildrenRect (TWinControl)
pt | GetClientOrigin (TControl)
pt | GetClientOrigin (TWinControl)
pt | GetClientRect (TControl)
pt | GetClientRect (TWinControl)
pt | GetClientScrollOffset (TControl)
 | GetColorResolvingParent (TControl)
 | GetComObject (TComponent)
 | GetComponent (TComponent)
 | GetComponentCount (TComponent)
 | GetComponentIndex (TComponent)
pt | GetControlClassDefaultSize (TControl)
pt | GetControlClassDefaultSize (TCustomAbstractGroupedEdit)
pt | GetControlClassDefaultSize (TCustomEditButton)
 | GetControlIndex (TWinControl)
pt | GetControlOrigin (TControl)
pt | GetControlOrigin (TWinControl)
pt | GetCursor (TControl)
 | GetDateFormat (TDateEdit)
 | GetDefaultColor (TControl)
pt | GetDefaultDockCaption (TControl)
pt | GetDefaultGlyphName (TCustomEditButton)
pt | GetDefaultGlyphName (TDateEdit)
 | GetDefaultHeight (TControl)
 | GetDefaultWidth (TControl)
pt | GetDeviceContext (TControl)
pt | GetDeviceContext (TWinControl)
 | GetDockCaption (TWinControl)
pt | GetDockEdge (TControl)
pt | GetDragImages (TControl)
pt | GetEditorClassType (TCustomAbstractGroupedEdit)
pt | GetEditorClassType (TCustomEditButton)
pt | GetEditPopupMenu (TCustomAbstractGroupedEdit)
pt | GetEnabled (TControl)
 | GetEnumerator (TComponent)
 | GetEnumeratorControls (TWinControl)
 | GetEnumeratorControlsReverse (TWinControl)
pt | GetFloating (TControl)
pt | GetFloatingDockSiteClass (TControl)
 | GetHashCode (TObject)
 | GetIDsOfNames (TComponent)
 | GetInterface (TObject)
 | GetInterfaceByStr (TObject)
 | GetInterfaceEntry (TObject)
 | GetInterfaceEntryByStr (TObject)
 | GetInterfaceTable (TObject)
 | GetInterfaceWeak (TObject)
pt | GetLogicalClientRect (TControl)
pt | GetMouseCapture (TControl)
pt | GetMouseCapture (TWinControl)
pt | GetMousePosFromMessage (TControl)
 | GetNamePath (TPersistent)
 | GetNamePath (TComponent)
 | GetOwner (TPersistent)
 | GetOwner (TComponent)
pt | GetPalette (TControl)
pt | GetParentBackground (TWinControl)
 | GetParentComponent (TComponent)
 | GetParentComponent (TControl)
pt | GetParentHandle (TWinControl)
pt | GetPopupMenu (TControl)
 | GetPreferredSize (TControl)
pt | GetPreferredSizeClientFrame (TWinControl)
 | GetRGBColorResolvingParent (TControl)
pt | GetScrolledClientRect (TControl)
pt | GetSel (TCustomAbstractGroupedEdit)
 | GetSelectedChildAccessibleObject (TControl)
 | GetSidePosition (TControl)
pt | GetSiteInfo (TWinControl)
pt | GetSpacing (TCustomAbstractGroupedEdit)
 | GetTabOrderList (TWinControl)
 | GetTextBuf (TControl)
 | GetTextLen (TControl)
 | GetTextLen (TWinControl)
 | GetTopParent (TControl)
pt | GetTopParentHandle (TWinControl)
 | GetTypeInfo (TComponent)
 | GetTypeInfoCount (TComponent)
pt | GetWSComponentClass (TLCLComponent)
pt | GlyphChanged (TCustomEditButton)
 | HandleAllocated (TWinControl)
 | HandleNeeded (TWinControl)
 | HandleObjectShouldBeVisible (TControl)
 | HasHelp (TControl)
 | HasParent (TComponent)
 | HasParent (TControl)
pt | HeightIsAnchored (TControl)
 | Hide (TControl)
 | iicrGetComponent (TComponent)
 | IncLCLRefCount (TLCLComponent)
 | InheritsFrom (TObject)
pt | InitializeWnd (TWinControl)
 | InitiateAction (TControl)
 | InitInstance (TObject)
 | Insert (TComponent)
 | InsertComponent (TComponent)
 | InsertControl (TWinControl)
 | InstanceSize (TObject)
 | IntfGetDropFilesTarget (TWinControl)
 | IntfUTF8KeyPress (TWinControl)
 | Invalidate (TControl)
 | Invalidate (TWinControl)
pt | InvalidateBoundsRealized (TWinControl)
 | InvalidateClientRectCache (TWinControl)
pt | InvalidateControl (TControl)
pt | InvalidatePreferredChildSizes (TWinControl)
 | InvalidatePreferredSize (TControl)
 | Invoke (TComponent)
pt | IsAParentAligning (TControl)
pt | IsBorderSpacingInnerBorderStored (TControl)
pt | IsCaptionStored (TControl)
pt | IsClientHeightStored (TControl)
pt | IsClientHeightStored (TWinControl)
pt | IsClientWidthStored (TControl)
pt | IsClientWidthStored (TWinControl)
pt | IsControlMouseMsg (TWinControl)
 | IsControlVisible (TControl)
 | IsEnabled (TControl)
 | IsImplementorOf (TComponent)
 | IsParentColor (TControl)
 | IsParentFont (TControl)
 | IsParentOf (TControl)
 | IsProcessingPaintMsg (TControl)
 | IsRightToLeft (TControl)
 | IsVisible (TControl)
pt | KeyDown (TWinControl)
pt | KeyDownAfterInterface (TWinControl)
pt | KeyDownBeforeInterface (TWinControl)
pt | KeyPress (TWinControl)
pt | KeyUp (TWinControl)
pt | KeyUpAfterInterface (TWinControl)
pt | KeyUpBeforeInterface (TWinControl)
pt | LMCaptureChanged (TControl)
pt | LoadDefaultGlyph (TCustomEditButton)
 | Loaded (TComponent)
pt | Loaded (TControl)
pt | Loaded (TWinControl)
pt | Loaded (TCustomAbstractGroupedEdit)
pt | Loaded (TDateEdit)
pt | LoadedAll (TControl)
 | Loading (TComponent)
 | LockRealizeBounds (TWinControl)
pt | MainWndProc (TWinControl)
 | ManualDock (TControl)
 | ManualFloat (TControl)
 | MethodAddress (TObject)
 | MethodName (TObject)
pt | MouseDown (TControl)
pt | MouseEnter (TControl)
pt | MouseLeave (TControl)
pt | MouseMove (TControl)
pt | MouseUp (TControl)
 | newinstance (TObject)
 | NewInstance (TLCLComponent)
 | Notification (TComponent)
pt | Notification (TControl)
 | NotifyControls (TWinControl)
pt | Paint (TCustomControl)
pt | PaintControls (TWinControl)
pt | PaintHandler (TWinControl)
 | PaintTo (TWinControl)
pt | PaintWindow (TWinControl)
pt | PaintWindow (TCustomControl)
 | PaletteCreated (TComponent)
 | ParentDestroyingHandle (TControl)
pt | ParentFontChanged (TControl)
pt | ParentFormHandleInitialized (TControl)
pt | ParentFormHandleInitialized (TWinControl)
 | ParentHandlesAllocated (TControl)
 | ParentHandlesAllocated (TWinControl)
 | ParentToClient (TControl)
 | PasteFromClipboard (TCustomAbstractGroupedEdit)
 | Perform (TControl)
 | PerformTab (TWinControl)
pt | PositionDockRect (TControl)
pt | QuadClick (TControl)
 | QueryInterface (TComponent)
 | ReadLeft (TComponent)
 | ReadState (TComponent)
pt | ReadState (TControl)
 | ReadTop (TComponent)
pt | RealGetText (TControl)
pt | RealGetText (TWinControl)
pt | RealGetText (TCustomAbstractGroupedEdit)
 | ReAlign (TWinControl)
pt | RealizeBounds (TWinControl)
pt | RealizeBoundsRecursive (TWinControl)
pt | RealSetText (TControl)
pt | RealSetText (TWinControl)
pt | RealSetText (TCustomAbstractGroupedEdit)
pt | RealSetText (TDateEdit)
 | ReferenceInterface (TComponent)
 | Refresh (TControl)
pt | ReloadDockedControl (TWinControl)
 | Remove (TComponent)
 | RemoveAllHandlersOfObject (TLCLComponent)
 | RemoveAllHandlersOfObject (TControl)
 | RemoveComponent (TComponent)
 | RemoveControl (TWinControl)
pt | RemoveFocus (TWinControl)
 | RemoveFreeNotification (TComponent)
pt | RemoveHandler (TControl)
 | RemoveHandlerOnBeforeDestruction (TControl)
 | RemoveHandlerOnChangeBounds (TControl)
 | RemoveHandlerOnEnableChanging (TControl)
 | RemoveHandlerOnKeyDown (TControl)
 | RemoveHandlerOnMouseWheel (TControl)
 | RemoveHandlerOnResize (TControl)
 | RemoveHandlerOnVisibleChanged (TControl)
 | RemoveHandlerOnVisibleChanging (TControl)
 | RemoveNotification (TComponent)
 | Repaint (TControl)
 | Repaint (TWinControl)
 | ReplaceDockedControl (TControl)
pt | RequestAlign (TControl)
pt | Reset (TCustomAbstractGroupedEdit)
pt | Resize (TControl)
 | SafeCallException (TObject)
 | SafeCallException (TComponent)
 | Scale96ToFont (TControl)
 | Scale96ToForm (TControl)
 | Scale96ToScreen (TControl)
 | ScaleBy (TWinControl)
pt | ScaleConstraints (TControl)
pt | ScaleControls (TWinControl)
 | ScaleDesignToForm (TControl)
 | ScaleFontsPPI (TControl)
 | ScaleFontTo96 (TControl)
 | ScaleFontToScreen (TControl)
 | ScaleFormTo96 (TControl)
 | ScaleFormToDesign (TControl)
 | ScaleScreenTo96 (TControl)
 | ScaleScreenToFont (TControl)
 | ScreenToClient (TControl)
 | ScreenToControl (TControl)
 | ScrollBy (TWinControl)
 | ScrollBy_WS (TWinControl)
 | SelectAll (TCustomAbstractGroupedEdit)
pt | SelectFirst (TWinControl)
 | SelectNext (TWinControl)
pt | SendDialogChar (TWinControl)
pt | SendMoveSizeMessages (TControl)
pt | SendMoveSizeMessages (TWinControl)
 | SendToBack (TControl)
pt | SetAction (TControl)
pt | SetAlign (TControl)
 | SetAncestor (TComponent)
pt | SetAnchors (TControl)
pt | SetAutoSize (TControl)
pt | SetAutoSize (TCustomAbstractGroupedEdit)
pt | SetBiDiMode (TControl)
pt | SetBorderStyle (TWinControl)
 | SetBounds (TControl)
 | SetBounds (TWinControl)
 | SetBoundsKeepBase (TControl)
pt | SetBuddyCaption (TCustomAbstractGroupedEdit)
pt | SetBuddyCursor (TCustomAbstractGroupedEdit)
pt | SetBuddyHint (TCustomAbstractGroupedEdit)
pt | SetBuddyVisible (TCustomAbstractGroupedEdit)
pt | SetBuddyWidth (TCustomAbstractGroupedEdit)
 | SetChildOrder (TComponent)
pt | SetChildZPosition (TWinControl)
pt | SetColor (TControl)
pt | SetColor (TWinControl)
pt | SetColor (TCustomControl)
pt | SetColor (TCustomAbstractGroupedEdit)
 | SetComponentIndex (TComponent)
 | SetControlIndex (TWinControl)
pt | SetCursor (TControl)
pt | SetCursor (TCustomAbstractGroupedEdit)
pt | SetDateMask (TDateEdit)
 | SetDesigning (TComponent)
 | SetDesignInstance (TComponent)
pt | SetDirectInput (TCustomAbstractGroupedEdit)
pt | SetDirectInput (TDateEdit)
pt | SetDockManager (TWinControl)
pt | SetDragMode (TControl)
pt | SetEnabled (TControl)
 | SetFocus (TWinControl)
 | SetFocus (TCustomAbstractGroupedEdit)
pt | SetHint (TControl)
 | SetInitialBounds (TControl)
 | SetInline (TComponent)
 | SetName (TComponent)
pt | SetName (TControl)
pt | SetParent (TControl)
pt | SetParentBackground (TWinControl)
pt | SetParentBiDiMode (TControl)
 | SetParentComponent (TComponent)
pt | SetParentComponent (TControl)
 | SetReference (TComponent)
pt | SetSel (TCustomAbstractGroupedEdit)
 | SetShape (TWinControl)
 | SetSubComponent (TComponent)
 | SetTempCursor (TControl)
 | SetTempCursor (TWinControl)
 | SetTextBuf (TControl)
pt | SetVisible (TControl)
pt | SetZOrder (TControl)
 | ShouldAutoAdjust (TControl)
pt | ShouldAutoAdjust (TCustomAbstractGroupedEdit)
 | Show (TControl)
pt | ShowControl (TWinControl)
 | ShowHelp (TControl)
 | StringMessageTable (TObject)
pt | TextChanged (TControl)
 | ToString (TObject)
pt | TripleClick (TControl)
 | Undo (TCustomAbstractGroupedEdit)
 | UnitName (TObject)
 | UnlockRealizeBounds (TWinControl)
 | Update (TControl)
 | Update (TWinControl)
 | UpdateAction (TComponent)
pt | UpdateAnchorRules (TControl)
 | UpdateBaseBounds (TControl)
pt | UpdateControlState (TWinControl)
 | Updated (TComponent)
 | UpdateDockCaption (TWinControl)
pt | UpdateMouseCursor (TControl)
 | UpdateRegistry (TComponent)
 | UpdateRolesForForm (TControl)
pt | UpdateShowing (TWinControl)
pt | UpdateSpacing (TCustomAbstractGroupedEdit)
 | Updating (TComponent)
 | UseRightToLeftAlignment (TControl)
 | UseRightToLeftReading (TControl)
 | UseRightToLeftScrollBar (TControl)
pt | UTF8KeyPress (TWinControl)
 | ValidateContainer (TComponent)
 | ValidateEdit (TCustomAbstractGroupedEdit)
 | ValidateInsert (TComponent)
 | ValidateRename (TComponent)
pt | VisibleChanged (TControl)
pt | VisibleChanging (TControl)
pt | WidthIsAnchored (TControl)
pt | WMCancelMode (TControl)
pt | WMChar (TWinControl)
pt | WMContextMenu (TControl)
pt | WMContextMenu (TWinControl)
pt | WMDestroy (TWinControl)
pt | WMEnter (TWinControl)
pt | WMEraseBkgnd (TWinControl)
pt | WMExit (TWinControl)
pt | WMKeyDown (TWinControl)
pt | WMKeyUp (TWinControl)
pt | WMKillFocus (TWinControl)
pt | WMLButtonDBLCLK (TControl)
pt | WMLButtonDown (TControl)
pt | WMLButtonQuadCLK (TControl)
pt | WMLButtonTripleCLK (TControl)
pt | WMLButtonUp (TControl)
pt | WMMButtonDBLCLK (TControl)
pt | WMMButtonDown (TControl)
pt | WMMButtonQuadCLK (TControl)
pt | WMMButtonTripleCLK (TControl)
pt | WMMButtonUp (TControl)
pt | WMMouseHWheel (TControl)
pt | WMMouseMove (TControl)
pt | WMMouseWheel (TControl)
pt | WMMove (TControl)
pt | WMMove (TWinControl)
pt | WMNotify (TWinControl)
pt | WMPaint (TWinControl)
pt | WMPaint (TCustomControl)
pt | WMRButtonDBLCLK (TControl)
pt | WMRButtonDown (TControl)
pt | WMRButtonQuadCLK (TControl)
pt | WMRButtonTripleCLK (TControl)
pt | WMRButtonUp (TControl)
pt | WMSetFocus (TWinControl)
pt | WMShowWindow (TWinControl)
pt | WMSize (TControl)
pt | WMSize (TWinControl)
pt | WMSysChar (TWinControl)
pt | WMSysKeyDown (TWinControl)
pt | WMSysKeyUp (TWinControl)
pt | WMWindowPosChanged (TControl)
pt | WMWindowPosChanged (TWinControl)
pt | WMXButtonDBLCLK (TControl)
pt | WMXButtonDown (TControl)
pt | WMXButtonQuadCLK (TControl)
pt | WMXButtonTripleCLK (TControl)
pt | WMXButtonUp (TControl)
pt | WndProc (TControl)
pt | WndProc (TWinControl)
 | WriteLayoutDebugReport (TControl)
 | WriteLayoutDebugReport (TWinControl)
 | WriteLeft (TComponent)
 | WriteState (TComponent)
 | WriteTop (TComponent)
pt | WSRegisterClass (TLCLComponent)
pt | WSRegisterClass (TControl)
pt | WSRegisterClass (TWinControl)
pt | WSRegisterClass (TCustomControl)
pt | WSSetText (TWinControl)
 | _AddRef (TComponent)
 | _Release (TComponent)


TDateEdit
pl |  | OnAcceptDate
pl |  | OnCustomDate
pl | ro | OnButtonClick
pl | ro | OnChange
pl | ro | OnChangeBounds
pl | ro | OnClick
pl | ro | OnDblClick
pl | ro | OnEditingDone
pl | ro | OnEnter
pl | ro | OnExit
pl | ro | OnKeyDown
pl | ro | OnKeyPress
pl | ro | OnKeyUp
pl | ro | OnMouseDown
pl | ro | OnMouseEnter
pl | ro | OnMouseLeave
pl | ro | OnMouseMove
pl | ro | OnMouseUp
pl | ro | OnMouseWheel
pl | ro | OnMouseWheelDown
pl | ro | OnMouseWheelUp
pl | ro | OnResize
pl | ro | OnUTF8KeyPress
TCustomEditButton
pt |  | OnButtonClick
TCustomAbstractGroupedEdit
pt |  | OnBuddyClick
 |  | OnChange
 |  | OnClick
 |  | OnDblClick
 |  | OnDragDrop
 |  | OnDragOver
 |  | OnEditingDone
 |  | OnEndDrag
 |  | OnEnter
 |  | OnExit
 |  | OnMouseDown
 |  | OnKeyPress
 |  | OnKeyDown
 |  | OnKeyUp
 |  | OnMouseEnter
 |  | OnMouseLeave
 |  | OnMouseMove
 |  | OnMouseWheel
 |  | OnMouseWheelUp
 |  | OnMouseWheelDown
 |  | OnMouseUp
 |  | OnStartDrag
 |  | OnUtf8KeyPress
TCustomControl
 |  | OnPaint
TWinControl
pt |  | OnGetSiteInfo
pt |  | OnGetDockCaption
 |  | OnAlignInsertBefore
 |  | OnAlignPosition
 |  | OnDockDrop
 |  | OnDockOver
 |  | OnEnter
 |  | OnExit
 |  | OnKeyDown
 |  | OnKeyPress
 |  | OnKeyUp
 |  | OnUnDock
 |  | OnUTF8KeyPress
TControl
pt |  | OnConstrainedResize
pt |  | OnContextPopup
pt |  | OnDblClick
pt |  | OnTripleClick
pt |  | OnQuadClick
pt |  | OnDragDrop
pt |  | OnDragOver
pt |  | OnEndDock
pt |  | OnEndDrag
pt |  | OnMouseDown
pt |  | OnMouseMove
pt |  | OnMouseUp
pt |  | OnMouseEnter
pt |  | OnMouseLeave
pt |  | OnMouseWheel
pt |  | OnMouseWheelDown
pt |  | OnMouseWheelUp
pt |  | OnMouseWheelHorz
pt |  | OnMouseWheelLeft
pt |  | OnMouseWheelRight
pt |  | OnStartDock
pt |  | OnStartDrag
pt |  | OnEditingDone
 |  | OnChangeBounds
 |  | OnClick
 |  | OnResize
 |  | OnShowHint
TLCLComponent
TComponent
TPersistent
TObject


TDateEdit.AutoSelected

Declaration

Source position: editbtn.pas line 602

public property TDateEdit.AutoSelected : Boolean;


TDateEdit.BidiMode

Declaration

Source position: editbtn.pas line 624

published property TDateEdit.BidiMode : TBiDiMode;


TDateEdit.BorderStyle

Declaration

Source position: editbtn.pas line 626

published property TDateEdit.BorderStyle : TBorderStyle;


TDateEdit.ButtonCaption

Declaration

Source position: editbtn.pas line 615

published property TDateEdit.ButtonCaption : TCaption;


TDateEdit.ButtonClick

Declaration

Source position: editbtn.pas line 592

protected procedure TDateEdit.ButtonClick; override;


TDateEdit.ButtonCursor

Declaration

Source position: editbtn.pas line 616

published property TDateEdit.ButtonCursor : TCursor;


TDateEdit.CalendarDisplaySettings

CalendarDisplaySettings - governs how the calendar dialog is to be displayed

Declaration

Source position: editbtn.pas line 607

published property TDateEdit.CalendarDisplaySettings : TDisplaySettings
  read FDisplaySettings
  write FDisplaySettings;


TDateEdit.Create

Create - constructor for TDateEdit: calls inherited Create and sets defaults

Declaration

Source position: editbtn.pas line 600

public constructor TDateEdit.Create(

  AOwner: TComponent

); override;

Description

Create - constructor for TDateEdit: calls inherited Create and sets defaults

Initialises dialog title, captions, display settings and default date

See also

TCustomEditButton.Create

Create - constructor for TCustomEditButton: calls inherited Create then sets some defaults and initialises some variables


TDateEdit.DateFormat

Declaration

Source position: editbtn.pas line 613

published property TDateEdit.DateFormat : string
  read FFreeDateFormat
  write SetFreeDateFormat;


TDateEdit.DateOrder

Declaration

Source position: editbtn.pas line 612

published property TDateEdit.DateOrder : TDateOrder
  read FDateOrder
  write SetDateOrder;


TDateEdit.DefaultToday

DefaultToday - if True, the current date is offered as the default date (value is False by default)

Declaration

Source position: editbtn.pas line 611

published property TDateEdit.DefaultToday : Boolean
  read FDefaultToday
  write FDefaultToday
  default False;


TDateEdit.DroppedDown

Declaration

Source position: editbtn.pas line 605

public property TDateEdit.DroppedDown : Boolean
  read FDroppedDown;


TDateEdit.EditDblClick

Declaration

Source position: editbtn.pas line 593

protected procedure TDateEdit.EditDblClick; override;


TDateEdit.EditEditingDone

Declaration

Source position: editbtn.pas line 594

protected procedure TDateEdit.EditEditingDone; override;


TDateEdit.Flat

Declaration

Source position: editbtn.pas line 639

published property TDateEdit.Flat : Boolean;


TDateEdit.FocusOnButtonClick

Declaration

Source position: editbtn.pas line 640

published property TDateEdit.FocusOnButtonClick : Boolean;


TDateEdit.GetDateFormat

GetDateFormat - returns the format for the date

Declaration

Source position: editbtn.pas line 601

public function TDateEdit.GetDateFormat: string;


TDateEdit.ImageIndex

Declaration

Source position: editbtn.pas line 634

published property TDateEdit.ImageIndex : TImageIndex;


TDateEdit.Images

Declaration

Source position: editbtn.pas line 633

published property TDateEdit.Images : TCustomImageList;


TDateEdit.ImageWidth

Declaration

Source position: editbtn.pas line 635

published property TDateEdit.ImageWidth : Integer;


TDateEdit.Layout

Declaration

Source position: editbtn.pas line 642

published property TDateEdit.Layout : TLeftRight;


TDateEdit.Loaded

Declaration

Source position: editbtn.pas line 598

protected procedure TDateEdit.Loaded; override;


TDateEdit.OnAcceptDate

OnAcceptDate - event handler for accepting the date selected in the calendar dialog

Declaration

Source position: editbtn.pas line 608

published property TDateEdit.OnAcceptDate : TAcceptDateEvent
  read FOnAcceptDAte
  write FOnAcceptDate;


TDateEdit.OnCustomDate

OnCustomDate - event handler for inserting a custom date

Declaration

Source position: editbtn.pas line 609

published property TDateEdit.OnCustomDate : TCustomDateEvent
  read FOnCustomDate
  write FOnCustomDate;


TDateEdit.OnDblClick

Declaration

Source position: editbtn.pas line 648

published property TDateEdit.OnDblClick : TNotifyEvent;


TDateEdit.OnMouseEnter

Declaration

Source position: editbtn.pas line 656

published property TDateEdit.OnMouseEnter : TNotifyEvent;


TDateEdit.OnMouseLeave

Declaration

Source position: editbtn.pas line 657

published property TDateEdit.OnMouseLeave : TNotifyEvent;


TDateEdit.OnMouseWheel

Declaration

Source position: editbtn.pas line 660

published property TDateEdit.OnMouseWheel : TMouseWheelEvent;


TDateEdit.OnMouseWheelDown

Declaration

Source position: editbtn.pas line 661

published property TDateEdit.OnMouseWheelDown : TMouseWheelUpDownEvent;


TDateEdit.OnMouseWheelUp

Declaration

Source position: editbtn.pas line 662

published property TDateEdit.OnMouseWheelUp : TMouseWheelUpDownEvent;


TDateEdit.ParentBidiMode

Declaration

Source position: editbtn.pas line 665

published property TDateEdit.ParentBidiMode : Boolean;


TDateEdit.ParentColor

Declaration

Source position: editbtn.pas line 666

published property TDateEdit.ParentColor : Boolean;


TDateEdit.RealSetText

Declaration

Source position: editbtn.pas line 596

protected procedure TDateEdit.RealSetText(

  const AValue: TCaption

); override;


TDateEdit.SetDateMask

Declaration

Source position: editbtn.pas line 597

protected procedure TDateEdit.SetDateMask; virtual;


TDateEdit.SetDirectInput

Declaration

Source position: editbtn.pas line 595

protected procedure TDateEdit.SetDirectInput(

  AValue: Boolean

); override;


TDateEdit.Spacing

Declaration

Source position: editbtn.pas line 673

published property TDateEdit.Spacing : Integer;


TDateEdit.Text

Declaration

Source position: editbtn.pas line 675

published property TDateEdit.Text : TCaption;


TDateEdit.TextHint

Declaration

Source position: editbtn.pas line 676

published property TDateEdit.TextHint : TTranslateString;


TDirectoryEdit

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

TDirectoryEdit - an EditBox to hold a directory name, with an attached SpeedButton that will summon a Directory Open dialog

Declaration

Source position: editbtn.pas line 468

type TDirectoryEdit = class(TCustomEditButton)
protected
function GetDefaultGlyphName; override; | GetDefaultGlyphName - find the name for the default glyph for the SpeedButton
function CreateDialog; virtual; | CreateDialog - create the Directory Open dialog
function GetDialogResult(); virtual; | GetDialogResult - find the result of the Directory Open dialog
procedure ButtonClick; override;
public
property AutoSelected: Boolean;
constructor Create(); override; |
procedure RunDialog; virtual; | RunDialog - perform the function of the dialog
published
property Directory: string; [rw] | The Directory selected by the dialog
property RootDir: string; [rw] | RootDir - the root directory for searching
property OnAcceptDirectory: TAcceptFileNameEvent; [rw] | OnAcceptDirectory - event handler for accepting the name of a directory
property DialogTitle: string; [rw] | DialogTitle - the title that appears on the Select Directory dialog
property DialogOptions: TOpenOptions; [rw]
property ShowHidden: Boolean; [rw] | ShowHidden - if True, display names of hidden directories
property ButtonCaption: TCaption;
property ButtonCursor: TCursor;
property ButtonHint: TTranslateString;
property ButtonOnlyWhenFocused: Boolean; | ButtonOnlyWhenFocused - if True, the SpeedButton only appears when focus is given to the EditButton control
property ButtonWidth: Integer; | ButtonWidth - the width of the SpeedButton attached to the Edit Box
property Constraints: TSizeConstraints;
property DirectInput: Boolean; | DirectInput - if True, direct data input to the Edit Box is permitted
property Glyph: TBitmap;
property NumGlyphs: Integer; | NumGlyphs - the number of available glyphs
property Images: TCustomImageList;
property ImageIndex: TImageIndex;
property ImageWidth: Integer;
property Flat: Boolean; | Flat - if True, SpeedButton appears flat rather than three-dimensional
property FocusOnButtonClick: Boolean;
property Align: TAlign; | Specifies the placement of the control inside its Parent.
property Anchors: TAnchors; | The set of anchor definitions for this control.
property AutoSize: Boolean; | Allows to automatically adjust the size of the control, according to its content.
property AutoSelect: Boolean; | If True, the edit control will select all its text when it receives focus or when the Enter key is pressed.
property BidiMode: TBiDiMode;
property BorderSpacing: TControlBorderSpacing; | Determines the inner and outer border spacing for this control.
property BorderStyle: TBorderStyle;
property Color: TColor; | The background color of the control.
property DragCursor: TCursor; | The cursor shape shown while the control is dragged.
property DragMode: TDragMode; | Allows the user to drag the control.
property Enabled: Boolean; | Determines whether the control reacts on mouse or keyboard input.
property Font: TFont; | The font to be used for text display in this control.
property Layout: TLeftRight;
property MaxLength: Integer; | The maximum length of the text; zero for unlimited.
property ParentBidiMode: Boolean;
property ParentColor: Boolean; | If true, the Color of the control will be the same as the one from the Parent. Default is true.
property ParentFont: Boolean; | If true, the Font of the control will be the same as the one from the Parent. Default is true.
property ParentShowHint: Boolean; | If true, the value of ShowHint for the control will be the same as the one from the Parent. Default is true.
property PopupMenu: TPopupMenu; | A context-sensitive menu that pops up when the right mouse button is clicked over this control
property ReadOnly: Boolean; | Prevents the user from changing the text.
property ShowHint: Boolean; | Enables the Hint display.
property TabOrder: TTabOrder; | Determines the sequence of controls, reachable when the user presses the Tab key.
property Spacing: Integer;
property TabStop: Boolean; | Allows the user to navigate to this control, by pressing the Tab key.
property Visible: Boolean; | Allows to show or hide the control, and all of its children.
property OnButtonClick: TNotifyEvent;
property OnChange: TNotifyEvent; | Event handler for any change in text.
property OnClick: TNotifyEvent; | Notification handler for mouse clicks.
property OnDblClick: TNotifyEvent; | Event Handler for double mouse clicks.
property OnDragDrop: TDragDropEvent; | This handler determines the action on an drop onto this control, in a drag-drop operation.
property OnDragOver: TDragOverEvent; | Event handler for a control being dragged over this control.
property OnEditingDone: TNotifyEvent; | Event handler when editing is done.
property OnEndDrag: TEndDragEvent; | Notification handler for the end of a dragging operation.
property OnEnter: TNotifyEvent; | Handler for control receiving the focus.
property OnExit: TNotifyEvent; | Handler for control loosing the focus. This is a good place for checking the finished user input.
property OnKeyDown: TKeyEvent; | Handler for keyboard key pressed.
property OnKeyPress: TKeyPressEvent; | Handler for a character entered by the user.
property OnKeyUp: TKeyEvent; | Handler for keyboard key released.
property OnMouseDown: TMouseEvent; | Event handler for mouse button going down.
property OnMouseEnter: TNotifyEvent;
property OnMouseLeave: TNotifyEvent;
property OnMouseMove: TMouseMoveEvent; | Event handler for mouse movement within the control.
property OnMouseUp: TMouseEvent; | Event handler for mouse button going up.
property OnMouseWheel: TMouseWheelEvent;
property OnMouseWheelDown: TMouseWheelUpDownEvent;
property OnMouseWheelUp: TMouseWheelUpDownEvent;
property OnStartDrag: TStartDragEvent; | Event handler for the start of a dragging operation.
property OnUTF8KeyPress: TUTF8KeyPressEvent; | Handler for a character entered by the user.
property Text: TCaption;
property TextHint: TTranslateString;
end;

Inheritance

TDirectoryEdit | TDirectoryEdit - an EditBox to hold a directory name, with an attached SpeedButton that will summon a Directory Open dialog
|
TCustomEditButton | TCustomEditButton - base class for TEditButton, an Edit Box with attached Speed Button
|
TCustomAbstractGroupedEdit |
|
TCustomControl | The base class for windowed controls which paint themselves.
|
TWinControl | The base class for controls which can contain other (child) controls.
|
TControl | The base class for visible controls.
|
TLCLComponent | The base class for LCL components associated with widgets.
|
TComponent,IUnknown,IInterfaceComponentReference
|
TPersistent,IFPObserved
|
TObject

See also

TSelectDirectoryDialog

Select Directory Dialog


TDirectoryEdit
 | ro | AutoSelected
pl |  | Directory
pl |  | RootDir
pl |  | DialogTitle
pl |  | DialogOptions
pl |  | ShowHidden
pl | ro | ButtonCaption
pl | ro | ButtonCursor
pl | ro | ButtonHint
pl | ro | ButtonOnlyWhenFocused
pl | ro | ButtonWidth
pl | ro | Constraints
pl | ro | DirectInput
pl | ro | Glyph
pl | ro | NumGlyphs
pl | ro | Images
pl | ro | ImageIndex
pl | ro | ImageWidth
pl | ro | Flat
pl | ro | FocusOnButtonClick
pl | ro | Align
pl | ro | Anchors
pl | ro | AutoSize
pl | ro | AutoSelect
pl | ro | BidiMode
pl | ro | BorderSpacing
pl | ro | BorderStyle
pl | ro | Color
pl | ro | DragCursor
pl | ro | DragMode
pl | ro | Enabled
pl | ro | Font
pl | ro | Layout
pl | ro | MaxLength
pl | ro | ParentBidiMode
pl | ro | ParentColor
pl | ro | ParentFont
pl | ro | ParentShowHint
pl | ro | PopupMenu
pl | ro | ReadOnly
pl | ro | ShowHint
pl | ro | TabOrder
pl | ro | Spacing
pl | ro | TabStop
pl | ro | Visible
pl | ro | Text
pl | ro | TextHint
TCustomEditButton
pt | ro | Button
pt |  | ButtonCaption
pt |  | ButtonCursor
pt |  | ButtonHint
pt |  | ButtonOnlyWhenFocused
pt |  | ButtonWidth
pt | ro | Edit
pt |  | Flat
pt |  | FocusOnButtonClick
pt |  | Glyph
pt |  | NumGlyphs
pt |  | Images
pt |  | ImageIndex
pt |  | ImageWidth
pt | ro | Spacing
TCustomAbstractGroupedEdit
pt |  | AutoSelect
pt |  | AutoSelected
pt | ro | Buddy
pt |  | BuddyCaption
pt |  | BuddyCursor
pt |  | BuddyHint
pt |  | BuddyWidth
pt |  | DirectInput
pt | ro | BaseEditor
pt |  | EditMask
pt |  | EditText
pt |  | FocusOnBuddyClick
pt | ro | IsMasked
pt |  | Layout
pt |  | Spacing
 | ro | Autosize
 |  | AutoSizeHeightIsEditHeight
 |  | Alignment
 | ro | CanUndo
 |  | CaretPos
 |  | CharCase
 |  | Color
 |  | ParentColor
 |  | EchoMode
 |  | HideSelection
 |  | MaxLength
 |  | Modified
 |  | NumbersOnly
 |  | PasswordChar
 |  | PopupMenu
 |  | ReadOnly
 |  | SelLength
 |  | SelStart
 |  | SelText
 |  | TabStop
 | ro | Text
 |  | TextHint
TCustomControl
 |  | Canvas
 | ro | BorderStyle
TWinControl
pt |  | WindowHandle
pt |  | BorderStyle
pt |  | ParentBackground
 |  | BorderWidth
 | ro | BoundsLockCount
 | ro | Brush
 | ro | CachedClientHeight
 | ro | CachedClientWidth
 |  | ChildSizing
 | ro | ControlCount
 | ro | Controls
 |  | DefWndProc
 | ro | DockClientCount
 | ro | DockClients
 |  | DockManager
 |  | DockSite
 |  | DoubleBuffered
 |  | Handle
 | ro | IsFlipped
 | ro | IsResizing
 |  | TabOrder
 |  | TabStop
 |  | ParentDoubleBuffered
 |  | ParentWindow
 | ro | Showing
 |  | UseDockManager
 |  | DesignerDeleting
 | ro | VisibleDockClientCount
TControl
pt | ro | AutoSizing
pt | ro | AutoSizingAll
pt | ro | AutoSizingLockCount
pt |  | ActionLink
pt |  | DesktopFont
pt |  | DragCursor
pt |  | DragKind
pt |  | DragMode
pt |  | MouseCapture
pt |  | ParentColor
pt |  | ParentFont
pt |  | ParentShowHint
pt |  | SessionProperties
pt |  | Text
 | ro | AnchoredControls
 | ro | BaseBounds
 | ro | ReadBounds
 | ro | BaseParentClientSize
 |  | AccessibleDescription
 |  | AccessibleValue
 |  | AccessibleRole
 |  | Action
 |  | Align
 |  | Anchors
 | ro | AnchorSide
 |  | AutoSize
 |  | BorderSpacing
 |  | BoundsRect
 |  | BoundsRectForNewParent
 |  | Caption
 |  | CaptureMouseButtons
 |  | ClientHeight
 | ro | ClientOrigin
 | ro | ClientRect
 |  | ClientWidth
 |  | Color
 |  | Constraints
 | ro | ControlOrigin
 |  | ControlState
 |  | ControlStyle
 |  | Enabled
 |  | Font
 |  | IsControl
 | ro | MouseEntered
 | ro | MouseInClient
 |  | Parent
 |  | PopupMenu
 |  | ShowHint
 |  | Visible
 |  | WindowProc
 |  | DockOrientation
 | ro | Floating
 |  | FloatingDockSiteClass
 |  | HostDockSite
 |  | LRDockWidth
 |  | TBDockHeight
 |  | UndockHeight
 |  | UndockWidth
 |  | BiDiMode
 |  | ParentBiDiMode
pl |  | AnchorSideLeft
pl |  | AnchorSideTop
pl |  | AnchorSideRight
pl |  | AnchorSideBottom
pl |  | Cursor
pl |  | Left
pl |  | Height
pl |  | Hint
pl |  | Top
pl |  | Width
pl |  | HelpType
pl |  | HelpKeyword
pl |  | HelpContext
TLCLComponent
 | ro | LCLRefCount
 | ro | WidgetSetClass
TComponent
 | ro | ComObject
 | ro | Components
 | ro | ComponentCount
 |  | ComponentIndex
 | ro | ComponentState
 | ro | ComponentStyle
 |  | DesignInfo
 | ro | Owner
 |  | VCLComObject
 |  | Name
 |  | Tag
TPersistent
TObject


 |  | AccessibleDescription (TControl)
 |  | AccessibleRole (TControl)
 |  | AccessibleValue (TControl)
 |  | Action (TControl)
pt |  | ActionLink (TControl)
 |  | Align (TControl)
pl | ro | Align (TDirectoryEdit)
 |  | Alignment (TCustomAbstractGroupedEdit)
 | ro | AnchoredControls (TControl)
 |  | Anchors (TControl)
pl | ro | Anchors (TDirectoryEdit)
 | ro | AnchorSide (TControl)
pl |  | AnchorSideBottom (TControl)
pl |  | AnchorSideLeft (TControl)
pl |  | AnchorSideRight (TControl)
pl |  | AnchorSideTop (TControl)
pt |  | AutoSelect (TCustomAbstractGroupedEdit)
pl | ro | AutoSelect (TDirectoryEdit)
pt |  | AutoSelected (TCustomAbstractGroupedEdit)
 | ro | AutoSelected (TDirectoryEdit)
 |  | AutoSize (TControl)
 | ro | Autosize (TCustomAbstractGroupedEdit)
pl | ro | AutoSize (TDirectoryEdit)
 |  | AutoSizeHeightIsEditHeight (TCustomAbstractGroupedEdit)
pt | ro | AutoSizing (TControl)
pt | ro | AutoSizingAll (TControl)
pt | ro | AutoSizingLockCount (TControl)
 | ro | BaseBounds (TControl)
pt | ro | BaseEditor (TCustomAbstractGroupedEdit)
 | ro | BaseParentClientSize (TControl)
 |  | BiDiMode (TControl)
pl | ro | BidiMode (TDirectoryEdit)
 |  | BorderSpacing (TControl)
pl | ro | BorderSpacing (TDirectoryEdit)
pt |  | BorderStyle (TWinControl)
 | ro | BorderStyle (TCustomControl)
pl | ro | BorderStyle (TDirectoryEdit)
 |  | BorderWidth (TWinControl)
 | ro | BoundsLockCount (TWinControl)
 |  | BoundsRect (TControl)
 |  | BoundsRectForNewParent (TControl)
 | ro | Brush (TWinControl)
pt | ro | Buddy (TCustomAbstractGroupedEdit)
pt |  | BuddyCaption (TCustomAbstractGroupedEdit)
pt |  | BuddyCursor (TCustomAbstractGroupedEdit)
pt |  | BuddyHint (TCustomAbstractGroupedEdit)
pt |  | BuddyWidth (TCustomAbstractGroupedEdit)
pt | ro | Button (TCustomEditButton)
pt |  | ButtonCaption (TCustomEditButton)
pl | ro | ButtonCaption (TDirectoryEdit)
pt |  | ButtonCursor (TCustomEditButton)
pl | ro | ButtonCursor (TDirectoryEdit)
pt |  | ButtonHint (TCustomEditButton)
pl | ro | ButtonHint (TDirectoryEdit)
pt |  | ButtonOnlyWhenFocused (TCustomEditButton)
pl | ro | ButtonOnlyWhenFocused (TDirectoryEdit)
pt |  | ButtonWidth (TCustomEditButton)
pl | ro | ButtonWidth (TDirectoryEdit)
 | ro | CachedClientHeight (TWinControl)
 | ro | CachedClientWidth (TWinControl)
 | ro | CanUndo (TCustomAbstractGroupedEdit)
 |  | Canvas (TCustomControl)
 |  | Caption (TControl)
 |  | CaptureMouseButtons (TControl)
 |  | CaretPos (TCustomAbstractGroupedEdit)
 |  | CharCase (TCustomAbstractGroupedEdit)
 |  | ChildSizing (TWinControl)
 |  | ClientHeight (TControl)
 | ro | ClientOrigin (TControl)
 | ro | ClientRect (TControl)
 |  | ClientWidth (TControl)
 |  | Color (TControl)
 |  | Color (TCustomAbstractGroupedEdit)
pl | ro | Color (TDirectoryEdit)
 | ro | ComObject (TComponent)
 | ro | ComponentCount (TComponent)
 |  | ComponentIndex (TComponent)
 | ro | Components (TComponent)
 | ro | ComponentState (TComponent)
 | ro | ComponentStyle (TComponent)
 |  | Constraints (TControl)
pl | ro | Constraints (TDirectoryEdit)
 | ro | ControlCount (TWinControl)
 | ro | ControlOrigin (TControl)
 | ro | Controls (TWinControl)
 |  | ControlState (TControl)
 |  | ControlStyle (TControl)
pl |  | Cursor (TControl)
 |  | DefWndProc (TWinControl)
 |  | DesignerDeleting (TWinControl)
 |  | DesignInfo (TComponent)
pt |  | DesktopFont (TControl)
pl |  | DialogOptions (TDirectoryEdit)
pl |  | DialogTitle (TDirectoryEdit)
pt |  | DirectInput (TCustomAbstractGroupedEdit)
pl | ro | DirectInput (TDirectoryEdit)
pl |  | Directory (TDirectoryEdit)
 | ro | DockClientCount (TWinControl)
 | ro | DockClients (TWinControl)
 |  | DockManager (TWinControl)
 |  | DockOrientation (TControl)
 |  | DockSite (TWinControl)
 |  | DoubleBuffered (TWinControl)
pt |  | DragCursor (TControl)
pl | ro | DragCursor (TDirectoryEdit)
pt |  | DragKind (TControl)
pt |  | DragMode (TControl)
pl | ro | DragMode (TDirectoryEdit)
 |  | EchoMode (TCustomAbstractGroupedEdit)
pt | ro | Edit (TCustomEditButton)
pt |  | EditMask (TCustomAbstractGroupedEdit)
pt |  | EditText (TCustomAbstractGroupedEdit)
 |  | Enabled (TControl)
pl | ro | Enabled (TDirectoryEdit)
pt |  | Flat (TCustomEditButton)
pl | ro | Flat (TDirectoryEdit)
 | ro | Floating (TControl)
 |  | FloatingDockSiteClass (TControl)
pt |  | FocusOnBuddyClick (TCustomAbstractGroupedEdit)
pt |  | FocusOnButtonClick (TCustomEditButton)
pl | ro | FocusOnButtonClick (TDirectoryEdit)
 |  | Font (TControl)
pl | ro | Font (TDirectoryEdit)
pt |  | Glyph (TCustomEditButton)
pl | ro | Glyph (TDirectoryEdit)
 |  | Handle (TWinControl)
pl |  | Height (TControl)
pl |  | HelpContext (TControl)
pl |  | HelpKeyword (TControl)
pl |  | HelpType (TControl)
 |  | HideSelection (TCustomAbstractGroupedEdit)
pl |  | Hint (TControl)
 |  | HostDockSite (TControl)
pt |  | ImageIndex (TCustomEditButton)
pl | ro | ImageIndex (TDirectoryEdit)
pt |  | Images (TCustomEditButton)
pl | ro | Images (TDirectoryEdit)
pt |  | ImageWidth (TCustomEditButton)
pl | ro | ImageWidth (TDirectoryEdit)
 |  | IsControl (TControl)
 | ro | IsFlipped (TWinControl)
pt | ro | IsMasked (TCustomAbstractGroupedEdit)
 | ro | IsResizing (TWinControl)
pt |  | Layout (TCustomAbstractGroupedEdit)
pl | ro | Layout (TDirectoryEdit)
 | ro | LCLRefCount (TLCLComponent)
pl |  | Left (TControl)
 |  | LRDockWidth (TControl)
 |  | MaxLength (TCustomAbstractGroupedEdit)
pl | ro | MaxLength (TDirectoryEdit)
 |  | Modified (TCustomAbstractGroupedEdit)
pt |  | MouseCapture (TControl)
 | ro | MouseEntered (TControl)
 | ro | MouseInClient (TControl)
 |  | Name (TComponent)
 |  | NumbersOnly (TCustomAbstractGroupedEdit)
pt |  | NumGlyphs (TCustomEditButton)
pl | ro | NumGlyphs (TDirectoryEdit)
 | ro | Owner (TComponent)
 |  | Parent (TControl)
pt |  | ParentBackground (TWinControl)
 |  | ParentBiDiMode (TControl)
pl | ro | ParentBidiMode (TDirectoryEdit)
pt |  | ParentColor (TControl)
 |  | ParentColor (TCustomAbstractGroupedEdit)
pl | ro | ParentColor (TDirectoryEdit)
 |  | ParentDoubleBuffered (TWinControl)
pt |  | ParentFont (TControl)
pl | ro | ParentFont (TDirectoryEdit)
pt |  | ParentShowHint (TControl)
pl | ro | ParentShowHint (TDirectoryEdit)
 |  | ParentWindow (TWinControl)
 |  | PasswordChar (TCustomAbstractGroupedEdit)
 |  | PopupMenu (TControl)
 |  | PopupMenu (TCustomAbstractGroupedEdit)
pl | ro | PopupMenu (TDirectoryEdit)
 | ro | ReadBounds (TControl)
 |  | ReadOnly (TCustomAbstractGroupedEdit)
pl | ro | ReadOnly (TDirectoryEdit)
pl |  | RootDir (TDirectoryEdit)
 |  | SelLength (TCustomAbstractGroupedEdit)
 |  | SelStart (TCustomAbstractGroupedEdit)
 |  | SelText (TCustomAbstractGroupedEdit)
pt |  | SessionProperties (TControl)
pl |  | ShowHidden (TDirectoryEdit)
 |  | ShowHint (TControl)
pl | ro | ShowHint (TDirectoryEdit)
 | ro | Showing (TWinControl)
pt |  | Spacing (TCustomAbstractGroupedEdit)
pt | ro | Spacing (TCustomEditButton)
pl | ro | Spacing (TDirectoryEdit)
 |  | TabOrder (TWinControl)
pl | ro | TabOrder (TDirectoryEdit)
 |  | TabStop (TWinControl)
 |  | TabStop (TCustomAbstractGroupedEdit)
pl | ro | TabStop (TDirectoryEdit)
 |  | Tag (TComponent)
 |  | TBDockHeight (TControl)
pt |  | Text (TControl)
 | ro | Text (TCustomAbstractGroupedEdit)
pl | ro | Text (TDirectoryEdit)
 |  | TextHint (TCustomAbstractGroupedEdit)
pl | ro | TextHint (TDirectoryEdit)
pl |  | Top (TControl)
 |  | UndockHeight (TControl)
 |  | UndockWidth (TControl)
 |  | UseDockManager (TWinControl)
 |  | VCLComObject (TComponent)
 |  | Visible (TControl)
pl | ro | Visible (TDirectoryEdit)
 | ro | VisibleDockClientCount (TWinControl)
 | ro | WidgetSetClass (TLCLComponent)
pl |  | Width (TControl)
pt |  | WindowHandle (TWinControl)
 |  | WindowProc (TControl)


TDirectoryEdit
pt | GetDefaultGlyphName
pt | CreateDialog
pt | GetDialogResult
pt | ButtonClick
 | Create
 | RunDialog
TCustomEditButton
pt | ButtonClick
pt | BuddyClick
pt | GetEditorClassType
pt | GetBuddyClassType
pt | GetControlClassDefaultSize
pt | CalcButtonVisible
pt | GetDefaultGlyphName
pt | CalculatePreferredSize
pt | CheckButtonVisible
pt | LoadDefaultGlyph
pt | GlyphChanged
 | Create
 | Destroy
TCustomAbstractGroupedEdit
pt | CalculatePreferredSize
pt | CreateBuddy
pt | CreateEditor
pt | FocusAndMaybeSelectAll
pt | GetEditorClassType
pt | GetBuddyClassType
pt | GetControlClassDefaultSize
pt | SetDirectInput
pt | RealGetText
pt | RealSetText
pt | GetEditPopupMenu
pt | GetBuddyCaption
pt | GetBuddyCursor
pt | GetBuddyHint
pt | GetBuddyWidth
pt | GetBuddyVisible
pt | SetBuddyCaption
pt | SetBuddyCursor
pt | SetBuddyHint
pt | SetBuddyWidth
pt | SetBuddyVisible
pt | BuddyClick
pt | DoEnter
pt | EditChange
pt | EditClick
pt | EditDblClick
pt | EditDragDrop
pt | EditDragOver
pt | EditEditingDone
pt | EditEndDrag
pt | EditEnter
pt | EditExit
pt | EditKeyDown
pt | EditKeyPress
pt | EditKeyUp
pt | EditMouseDown
pt | EditMouseUp
pt | EditMouseEnter
pt | EditMouseLeave
pt | EditMouseMove
pt | EditMouseWheel
pt | EditMouseWheelUp
pt | EditMouseWheelDown
pt | EditUtf8KeyPress
pt | EditStartDrag
pt | UpdateSpacing
pt | CheckCursor
pt | CMParentColorChanged
pt | EditCanModify
pt | GetSel
pt | GetSpacing
pt | SetSel
pt | Loaded
pt | Reset
pt | SetAutoSize
pt | SetColor
pt | SetCursor
pt | ShouldAutoAdjust
 | Create
 | Destroy
 | SetFocus
 | Focused
 | Clear
 | ClearSelection
 | CopyToClipboard
 | CutToClipboard
 | PasteFromClipboard
 | SelectAll
 | Undo
 | ValidateEdit
TCustomControl
pt | WSRegisterClass
pt | WMPaint
pt | DestroyWnd
pt | PaintWindow
pt | FontChanged
pt | SetColor
pt | Paint
 | Create
 | Destroy
TWinControl
pt | WSRegisterClass
pt | AdjustClientRect
pt | GetAdjustedLogicalClientRect
pt | AlignControls
pt | CustomAlignInsertBefore
pt | CustomAlignPosition
pt | DoAlignChildControls
pt | DoChildSizingChange
pt | InvalidatePreferredChildSizes
pt | CanTab
pt | IsClientHeightStored
pt | IsClientWidthStored
pt | DoSendShowHideToInterface
pt | ControlsAligned
pt | DoSendBoundsToInterface
pt | RealizeBounds
pt | RealizeBoundsRecursive
pt | InvalidateBoundsRealized
pt | CreateSubClass
pt | DoConstraintsChange
pt | DoSetBounds
pt | DoAutoSize
pt | DoAllAutoSize
pt | AllAutoSized
pt | CalculatePreferredSize
pt | GetPreferredSizeClientFrame
pt | GetChildren
pt | ChildClassAllowed
pt | PaintControls
pt | PaintHandler
pt | PaintWindow
pt | CreateBrush
pt | ScaleControls
pt | ChangeScale
pt | CMBiDiModeChanged
pt | CMBorderChanged
pt | CMDoubleBufferedChanged
pt | CMEnabledChanged
pt | CMParentDoubleBufferedChanged
pt | CMShowingChanged
pt | CMShowHintChanged
pt | CMVisibleChanged
pt | CMEnter
pt | CMExit
pt | WMContextMenu
pt | WMEraseBkgnd
pt | WMNotify
pt | WMSetFocus
pt | WMKillFocus
pt | WMShowWindow
pt | WMEnter
pt | WMExit
pt | WMKeyDown
pt | WMSysKeyDown
pt | WMKeyUp
pt | WMSysKeyUp
pt | WMChar
pt | WMSysChar
pt | WMPaint
pt | WMDestroy
pt | WMMove
pt | WMSize
pt | WMWindowPosChanged
pt | CNKeyDown
pt | CNSysKeyDown
pt | CNKeyUp
pt | CNSysKeyUp
pt | CNChar
pt | DoDragMsg
pt | DoDockClientMsg
pt | DoUndockClientMsg
pt | DoAddDockClient
pt | DockOver
pt | DoDockOver
pt | DoRemoveDockClient
pt | DoUnDock
pt | GetSiteInfo
pt | GetParentHandle
pt | GetTopParentHandle
pt | ReloadDockedControl
pt | CreateDockManager
pt | SetDockManager
pt | DoFloatMsg
pt | DoGetDockCaption
pt | DoEnter
pt | DoExit
pt | DoKeyDownBeforeInterface
pt | DoRemainingKeyDown
pt | DoRemainingKeyUp
pt | DoKeyPress
pt | DoUTF8KeyPress
pt | DoKeyUpBeforeInterface
pt | ChildKey
pt | SendDialogChar
pt | DialogChar
pt | ControlKeyDown
pt | ControlKeyUp
pt | KeyDown
pt | KeyDownBeforeInterface
pt | KeyDownAfterInterface
pt | KeyPress
pt | KeyUp
pt | KeyUpBeforeInterface
pt | KeyUpAfterInterface
pt | UTF8KeyPress
pt | FindNextControl
pt | SelectFirst
pt | RealGetText
pt | GetBorderStyle
pt | GetClientOrigin
pt | GetClientRect
pt | GetControlOrigin
pt | GetDeviceContext
pt | GetParentBackground
pt | IsControlMouseMsg
pt | CreateHandle
pt | CreateParams
pt | CreateWnd
pt | DestroyHandle
pt | DestroyWnd
pt | DoFlipChildren
pt | FinalizeWnd
pt | FixupTabList
pt | FontChanged
pt | InitializeWnd
pt | Loaded
pt | FormEndUpdated
pt | MainWndProc
pt | ParentFormHandleInitialized
pt | ChildHandlesCreated
pt | GetMouseCapture
pt | RealSetText
pt | RemoveFocus
pt | SendMoveSizeMessages
pt | SetBorderStyle
pt | SetColor
pt | SetChildZPosition
pt | SetParentBackground
pt | ShowControl
pt | UpdateControlState
pt | UpdateShowing
pt | WndProc
pt | WSSetText
 | AutoSizePhases
 | AutoSizeDelayed
 | AutoSizeDelayedReport
 | AutoSizeDelayedHandle
 | BeginUpdateBounds
 | EndUpdateBounds
 | LockRealizeBounds
 | UnlockRealizeBounds
 | ControlAtPos
 | ContainsControl
 | DoAdjustClientRectChange
 | InvalidateClientRectCache
 | ClientRectNeedsInterfaceUpdate
 | SetBounds
 | GetChildrenRect
 | DisableAlign
 | EnableAlign
 | ReAlign
 | ScrollBy_WS
 | ScrollBy
 | WriteLayoutDebugReport
 | AutoAdjustLayout
 | Create
 | CreateParented
 | CreateParentedControl
 | Destroy
 | DockDrop
 | CanFocus
 | CanSetFocus
 | GetControlIndex
 | SetControlIndex
 | Focused
 | PerformTab
 | FindChildControl
 | SelectNext
 | SetTempCursor
 | BroadCast
 | NotifyControls
 | DefaultHandler
 | GetTextLen
 | Invalidate
 | AddControl
 | InsertControl
 | RemoveControl
 | GetEnumeratorControls
 | GetEnumeratorControlsReverse
 | Repaint
 | Update
 | SetFocus
 | FlipChildren
 | ScaleBy
 | GetDockCaption
 | UpdateDockCaption
 | GetTabOrderList
 | HandleAllocated
 | ParentHandlesAllocated
 | HandleNeeded
 | BrushCreated
 | EraseBackground
 | IntfUTF8KeyPress
 | IntfGetDropFilesTarget
 | PaintTo
 | SetShape
TControl
pt | WSRegisterClass
pt | GetCursor
pt | SetCursor
pt | SetVisible
pt | DoOnParentHandleDestruction
pt | DoAutoSize
pt | DoAllAutoSize
pt | BeginAutoSizing
pt | EndAutoSizing
pt | AnchorSideChanged
pt | ForeignAnchorSideChanged
pt | SetAlign
pt | SetAnchors
pt | SetAutoSize
pt | BoundsChanged
pt | CreateControlBorderSpacing
pt | DoConstraintsChange
pt | DoBorderSpacingChange
pt | IsBorderSpacingInnerBorderStored
pt | IsCaptionStored
pt | SendMoveSizeMessages
pt | ConstrainedResize
pt | CalculatePreferredSize
pt | DoOnResize
pt | DoOnChangeBounds
pt | CheckOnChangeBounds
pt | Resize
pt | RequestAlign
pt | UpdateAnchorRules
pt | ChangeBounds
pt | DoSetBounds
pt | ScaleConstraints
pt | ChangeScale
pt | CanAutoSize
pt | SetBiDiMode
pt | SetParentBiDiMode
pt | IsAParentAligning
pt | GetClientOrigin
pt | GetClientRect
pt | GetLogicalClientRect
pt | GetScrolledClientRect
pt | GetClientScrollOffset
pt | GetControlOrigin
pt | IsClientHeightStored
pt | IsClientWidthStored
pt | WidthIsAnchored
pt | HeightIsAnchored
pt | WMCancelMode
pt | WMContextMenu
pt | WMLButtonDown
pt | WMRButtonDown
pt | WMMButtonDown
pt | WMXButtonDown
pt | WMLButtonDBLCLK
pt | WMRButtonDBLCLK
pt | WMMButtonDBLCLK
pt | WMXButtonDBLCLK
pt | WMLButtonTripleCLK
pt | WMRButtonTripleCLK
pt | WMMButtonTripleCLK
pt | WMXButtonTripleCLK
pt | WMLButtonQuadCLK
pt | WMRButtonQuadCLK
pt | WMMButtonQuadCLK
pt | WMXButtonQuadCLK
pt | WMMouseMove
pt | WMLButtonUp
pt | WMRButtonUp
pt | WMMButtonUp
pt | WMXButtonUp
pt | WMMouseWheel
pt | WMMouseHWheel
pt | WMMove
pt | WMSize
pt | WMWindowPosChanged
pt | CMChanged
pt | LMCaptureChanged
pt | CMBiDiModeChanged
pt | CMSysFontChanged
pt | CMEnabledChanged
pt | CMHitTest
pt | CMMouseEnter
pt | CMMouseLeave
pt | CMHintShow
pt | CMParentBiDiModeChanged
pt | CMParentColorChanged
pt | CMParentFontChanged
pt | CMParentShowHintChanged
pt | CMVisibleChanged
pt | CMTextChanged
pt | CMCursorChanged
pt | CalculateDockSizes
pt | CreateFloatingDockSite
pt | GetDockEdge
pt | GetDragImages
pt | GetFloating
pt | GetFloatingDockSiteClass
pt | BeforeDragStart
pt | BeginAutoDrag
pt | DoFloatMsg
pt | DockTrackNoTarget
pt | DoDock
pt | DoDragMsg
pt | DoEndDock
pt | DoEndDrag
pt | DoStartDock
pt | DoStartDrag
pt | DragCanceled
pt | DragOver
pt | PositionDockRect
pt | SetDragMode
pt | GetDefaultDockCaption
pt | Click
pt | DblClick
pt | TripleClick
pt | QuadClick
pt | GetMousePosFromMessage
pt | MouseDown
pt | MouseMove
pt | MouseUp
pt | MouseEnter
pt | MouseLeave
pt | DialogChar
pt | UpdateMouseCursor
pt | Changed
pt | GetPalette
pt | ChildClassAllowed
pt | ReadState
pt | Loaded
pt | LoadedAll
pt | DefineProperties
pt | AssignTo
pt | FormEndUpdated
pt | InvalidateControl
pt | FontChanged
pt | ParentFontChanged
pt | GetAction
pt | RealGetText
pt | RealSetText
pt | TextChanged
pt | GetCachedText
pt | SetAction
pt | SetColor
pt | SetEnabled
pt | SetHint
pt | SetName
pt | SetParent
pt | SetParentComponent
pt | WndProc
pt | ParentFormHandleInitialized
pt | GetMouseCapture
pt | CaptureChanged
pt | Notification
pt | CanTab
pt | GetDeviceContext
pt | GetEnabled
pt | GetPopupMenu
pt | DoOnShowHint
pt | DoMouseWheel
pt | DoMouseWheelDown
pt | DoMouseWheelUp
pt | DoMouseWheelHorz
pt | DoMouseWheelLeft
pt | DoMouseWheelRight
pt | VisibleChanging
pt | VisibleChanged
pt | EnabledChanging
pt | EnabledChanged
pt | AddHandler
pt | RemoveHandler
pt | DoCallNotifyHandler
pt | DoCallKeyEventHandler
pt | DoCallMouseWheelEventHandler
pt | DoContextPopup
pt | SetZOrder
pt | GetControlClassDefaultSize
pt | ColorIsStored
pt | DoAutoAdjustLayout
pt | DoFixDesignFontPPI
pt | DoScaleFontPPI
pt | GetActionLinkClass
pt | ActionChange
 | DragDrop
 | Dock
 | ManualDock
 | ManualFloat
 | ReplaceDockedControl
 | Docked
 | Dragging
 | GetAccessibleObject
 | CreateAccessibleObject
 | GetSelectedChildAccessibleObject
 | GetChildAccessibleObjectAtPos
 | ScaleDesignToForm
 | ScaleFormToDesign
 | Scale96ToForm
 | ScaleFormTo96
 | Scale96ToFont
 | ScaleFontTo96
 | ScaleScreenToFont
 | ScaleFontToScreen
 | Scale96ToScreen
 | ScaleScreenTo96
 | AdjustSize
 | AutoSizePhases
 | AutoSizeDelayed
 | AutoSizeDelayedReport
 | AutoSizeDelayedHandle
 | AnchorToNeighbour
 | AnchorParallel
 | AnchorHorizontalCenterTo
 | AnchorVerticalCenterTo
 | AnchorToCompanion
 | AnchorSame
 | AnchorAsAlign
 | AnchorClient
 | AnchoredControlCount
 | SetBounds
 | SetInitialBounds
 | SetBoundsKeepBase
 | GetPreferredSize
 | GetCanvasScaleFactor
 | GetDefaultWidth
 | GetDefaultHeight
 | GetDefaultColor
 | GetColorResolvingParent
 | GetRGBColorResolvingParent
 | GetSidePosition
 | CNPreferredSizeChanged
 | InvalidatePreferredSize
 | GetAnchorsDependingOnParent
 | DisableAutoSizing
 | EnableAutoSizing
 | UpdateBaseBounds
 | WriteLayoutDebugReport
 | AutoAdjustLayout
 | ShouldAutoAdjust
 | FixDesignFontsPPI
 | ScaleFontsPPI
 | Create
 | Destroy
 | BeforeDestruction
 | EditingDone
 | ExecuteDefaultAction
 | ExecuteCancelAction
 | BeginDrag
 | EndDrag
 | BringToFront
 | HasParent
 | GetParentComponent
 | IsParentOf
 | GetTopParent
 | IsVisible
 | IsControlVisible
 | IsEnabled
 | IsParentColor
 | IsParentFont
 | FormIsUpdating
 | IsProcessingPaintMsg
 | Hide
 | Refresh
 | Repaint
 | Invalidate
 | CheckChildClassAllowed
 | CheckNewParent
 | SendToBack
 | SetTempCursor
 | UpdateRolesForForm
 | ActiveDefaultControlChanged
 | GetTextBuf
 | GetTextLen
 | SetTextBuf
 | Perform
 | ScreenToClient
 | ClientToScreen
 | ScreenToControl
 | ControlToScreen
 | ClientToParent
 | ParentToClient
 | GetChildrenRect
 | Show
 | Update
 | HandleObjectShouldBeVisible
 | ParentDestroyingHandle
 | ParentHandlesAllocated
 | InitiateAction
 | ShowHelp
 | HasHelp
 | RemoveAllHandlersOfObject
 | AddHandlerOnResize
 | RemoveHandlerOnResize
 | AddHandlerOnChangeBounds
 | RemoveHandlerOnChangeBounds
 | AddHandlerOnVisibleChanging
 | RemoveHandlerOnVisibleChanging
 | AddHandlerOnVisibleChanged
 | RemoveHandlerOnVisibleChanged
 | AddHandlerOnEnabledChanged
 | RemoveHandlerOnEnableChanging
 | AddHandlerOnKeyDown
 | RemoveHandlerOnKeyDown
 | AddHandlerOnBeforeDestruction
 | RemoveHandlerOnBeforeDestruction
 | AddHandlerOnMouseWheel
 | RemoveHandlerOnMouseWheel
 | UseRightToLeftAlignment
 | UseRightToLeftReading
 | UseRightToLeftScrollBar
 | IsRightToLeft
TLCLComponent
pt | WSRegisterClass
pt | GetWSComponentClass
 | Create
 | Destroy
 | NewInstance
 | RemoveAllHandlersOfObject
 | IncLCLRefCount
 | DecLCLRefCount
TComponent
 | GetComObject
 | GetComponent
 | GetComponentCount
 | GetComponentIndex
 | Insert
 | ReadLeft
 | ReadTop
 | Remove
 | RemoveNotification
 | SetComponentIndex
 | SetReference
 | WriteLeft
 | WriteTop
 | ChangeName
 | DefineProperties
 | GetChildren
 | GetChildOwner
 | GetChildParent
 | GetOwner
 | Loaded
 | Loading
 | Notification
 | PaletteCreated
 | ReadState
 | SetAncestor
 | SetDesigning
 | SetDesignInstance
 | SetInline
 | SetName
 | SetChildOrder
 | SetParentComponent
 | Updating
 | Updated
 | UpdateRegistry
 | ValidateRename
 | ValidateContainer
 | ValidateInsert
 | QueryInterface
 | _AddRef
 | _Release
 | iicrGetComponent
 | GetTypeInfoCount
 | GetTypeInfo
 | GetIDsOfNames
 | Invoke
 | WriteState
 | Create
 | Destroy
 | BeforeDestruction
 | DestroyComponents
 | Destroying
 | ExecuteAction
 | FindComponent
 | FreeNotification
 | RemoveFreeNotification
 | FreeOnRelease
 | GetEnumerator
 | GetNamePath
 | GetParentComponent
 | HasParent
 | InsertComponent
 | RemoveComponent
 | SafeCallException
 | SetSubComponent
 | UpdateAction
 | IsImplementorOf
 | ReferenceInterface
TPersistent
 | AssignError
 | AssignTo
 | DefineProperties
 | GetOwner
 | Destroy
 | Assign
 | FPOAttachObserver
 | FPODetachObserver
 | FPONotifyObservers
 | GetNamePath
TObject
 | Create
 | Destroy
 | newinstance
 | FreeInstance
 | SafeCallException
 | DefaultHandler
 | Free
 | InitInstance
 | CleanupInstance
 | ClassType
 | ClassInfo
 | ClassName
 | ClassNameIs
 | ClassParent
 | InstanceSize
 | InheritsFrom
 | StringMessageTable
 | MethodAddress
 | MethodName
 | FieldAddress
 | AfterConstruction
 | BeforeDestruction
 | DefaultHandlerStr
 | Dispatch
 | DispatchStr
 | GetInterface
 | GetInterfaceByStr
 | GetInterfaceWeak
 | GetInterfaceEntry
 | GetInterfaceEntryByStr
 | GetInterfaceTable
 | UnitName
 | Equals
 | GetHashCode
 | ToString


pt | ActionChange (TControl)
 | ActiveDefaultControlChanged (TControl)
 | AddControl (TWinControl)
pt | AddHandler (TControl)
 | AddHandlerOnBeforeDestruction (TControl)
 | AddHandlerOnChangeBounds (TControl)
 | AddHandlerOnEnabledChanged (TControl)
 | AddHandlerOnKeyDown (TControl)
 | AddHandlerOnMouseWheel (TControl)
 | AddHandlerOnResize (TControl)
 | AddHandlerOnVisibleChanged (TControl)
 | AddHandlerOnVisibleChanging (TControl)
pt | AdjustClientRect (TWinControl)
 | AdjustSize (TControl)
 | AfterConstruction (TObject)
pt | AlignControls (TWinControl)
pt | AllAutoSized (TWinControl)
 | AnchorAsAlign (TControl)
 | AnchorClient (TControl)
 | AnchoredControlCount (TControl)
 | AnchorHorizontalCenterTo (TControl)
 | AnchorParallel (TControl)
 | AnchorSame (TControl)
pt | AnchorSideChanged (TControl)
 | AnchorToCompanion (TControl)
 | AnchorToNeighbour (TControl)
 | AnchorVerticalCenterTo (TControl)
 | Assign (TPersistent)
 | AssignError (TPersistent)
 | AssignTo (TPersistent)
pt | AssignTo (TControl)
 | AutoAdjustLayout (TControl)
 | AutoAdjustLayout (TWinControl)
 | AutoSizeDelayed (TControl)
 | AutoSizeDelayed (TWinControl)
 | AutoSizeDelayedHandle (TControl)
 | AutoSizeDelayedHandle (TWinControl)
 | AutoSizeDelayedReport (TControl)
 | AutoSizeDelayedReport (TWinControl)
 | AutoSizePhases (TControl)
 | AutoSizePhases (TWinControl)
 | BeforeDestruction (TObject)
 | BeforeDestruction (TComponent)
 | BeforeDestruction (TControl)
pt | BeforeDragStart (TControl)
pt | BeginAutoDrag (TControl)
pt | BeginAutoSizing (TControl)
 | BeginDrag (TControl)
 | BeginUpdateBounds (TWinControl)
pt | BoundsChanged (TControl)
 | BringToFront (TControl)
 | BroadCast (TWinControl)
 | BrushCreated (TWinControl)
pt | BuddyClick (TCustomAbstractGroupedEdit)
pt | BuddyClick (TCustomEditButton)
pt | ButtonClick (TCustomEditButton)
pt | ButtonClick (TDirectoryEdit)
pt | CalcButtonVisible (TCustomEditButton)
pt | CalculateDockSizes (TControl)
pt | CalculatePreferredSize (TControl)
pt | CalculatePreferredSize (TWinControl)
pt | CalculatePreferredSize (TCustomAbstractGroupedEdit)
pt | CalculatePreferredSize (TCustomEditButton)
pt | CanAutoSize (TControl)
 | CanFocus (TWinControl)
 | CanSetFocus (TWinControl)
pt | CanTab (TControl)
pt | CanTab (TWinControl)
pt | CaptureChanged (TControl)
pt | ChangeBounds (TControl)
pt | Changed (TControl)
 | ChangeName (TComponent)
pt | ChangeScale (TControl)
pt | ChangeScale (TWinControl)
pt | CheckButtonVisible (TCustomEditButton)
 | CheckChildClassAllowed (TControl)
pt | CheckCursor (TCustomAbstractGroupedEdit)
 | CheckNewParent (TControl)
pt | CheckOnChangeBounds (TControl)
pt | ChildClassAllowed (TControl)
pt | ChildClassAllowed (TWinControl)
pt | ChildHandlesCreated (TWinControl)
pt | ChildKey (TWinControl)
 | ClassInfo (TObject)
 | ClassName (TObject)
 | ClassNameIs (TObject)
 | ClassParent (TObject)
 | ClassType (TObject)
 | CleanupInstance (TObject)
 | Clear (TCustomAbstractGroupedEdit)
 | ClearSelection (TCustomAbstractGroupedEdit)
pt | Click (TControl)
 | ClientRectNeedsInterfaceUpdate (TWinControl)
 | ClientToParent (TControl)
 | ClientToScreen (TControl)
pt | CMBiDiModeChanged (TControl)
pt | CMBiDiModeChanged (TWinControl)
pt | CMBorderChanged (TWinControl)
pt | CMChanged (TControl)
pt | CMCursorChanged (TControl)
pt | CMDoubleBufferedChanged (TWinControl)
pt | CMEnabledChanged (TControl)
pt | CMEnabledChanged (TWinControl)
pt | CMEnter (TWinControl)
pt | CMExit (TWinControl)
pt | CMHintShow (TControl)
pt | CMHitTest (TControl)
pt | CMMouseEnter (TControl)
pt | CMMouseLeave (TControl)
pt | CMParentBiDiModeChanged (TControl)
pt | CMParentColorChanged (TControl)
pt | CMParentColorChanged (TCustomAbstractGroupedEdit)
pt | CMParentDoubleBufferedChanged (TWinControl)
pt | CMParentFontChanged (TControl)
pt | CMParentShowHintChanged (TControl)
pt | CMShowHintChanged (TWinControl)
pt | CMShowingChanged (TWinControl)
pt | CMSysFontChanged (TControl)
pt | CMTextChanged (TControl)
pt | CMVisibleChanged (TControl)
pt | CMVisibleChanged (TWinControl)
pt | CNChar (TWinControl)
pt | CNKeyDown (TWinControl)
pt | CNKeyUp (TWinControl)
 | CNPreferredSizeChanged (TControl)
pt | CNSysKeyDown (TWinControl)
pt | CNSysKeyUp (TWinControl)
pt | ColorIsStored (TControl)
pt | ConstrainedResize (TControl)
 | ContainsControl (TWinControl)
 | ControlAtPos (TWinControl)
pt | ControlKeyDown (TWinControl)
pt | ControlKeyUp (TWinControl)
pt | ControlsAligned (TWinControl)
 | ControlToScreen (TControl)
 | CopyToClipboard (TCustomAbstractGroupedEdit)
 | Create (TObject)
 | Create (TComponent)
 | Create (TLCLComponent)
 | Create (TControl)
 | Create (TWinControl)
 | Create (TCustomControl)
 | Create (TCustomAbstractGroupedEdit)
 | Create (TCustomEditButton)
 | Create (TDirectoryEdit)
 | CreateAccessibleObject (TControl)
pt | CreateBrush (TWinControl)
pt | CreateBuddy (TCustomAbstractGroupedEdit)
pt | CreateControlBorderSpacing (TControl)
pt | CreateDialog (TDirectoryEdit)
pt | CreateDockManager (TWinControl)
pt | CreateEditor (TCustomAbstractGroupedEdit)
pt | CreateFloatingDockSite (TControl)
pt | CreateHandle (TWinControl)
pt | CreateParams (TWinControl)
 | CreateParented (TWinControl)
 | CreateParentedControl (TWinControl)
pt | CreateSubClass (TWinControl)
pt | CreateWnd (TWinControl)
pt | CustomAlignInsertBefore (TWinControl)
pt | CustomAlignPosition (TWinControl)
 | CutToClipboard (TCustomAbstractGroupedEdit)
pt | DblClick (TControl)
 | DecLCLRefCount (TLCLComponent)
 | DefaultHandler (TObject)
 | DefaultHandler (TWinControl)
 | DefaultHandlerStr (TObject)
 | DefineProperties (TPersistent)
 | DefineProperties (TComponent)
pt | DefineProperties (TControl)
 | Destroy (TObject)
 | Destroy (TPersistent)
 | Destroy (TComponent)
 | Destroy (TLCLComponent)
 | Destroy (TControl)
 | Destroy (TWinControl)
 | Destroy (TCustomControl)
 | Destroy (TCustomAbstractGroupedEdit)
 | Destroy (TCustomEditButton)
 | DestroyComponents (TComponent)
pt | DestroyHandle (TWinControl)
 | Destroying (TComponent)
pt | DestroyWnd (TWinControl)
pt | DestroyWnd (TCustomControl)
pt | DialogChar (TControl)
pt | DialogChar (TWinControl)
 | DisableAlign (TWinControl)
 | DisableAutoSizing (TControl)
 | Dispatch (TObject)
 | DispatchStr (TObject)
pt | DoAddDockClient (TWinControl)
 | DoAdjustClientRectChange (TWinControl)
pt | DoAlignChildControls (TWinControl)
pt | DoAllAutoSize (TControl)
pt | DoAllAutoSize (TWinControl)
pt | DoAutoAdjustLayout (TControl)
pt | DoAutoSize (TControl)
pt | DoAutoSize (TWinControl)
pt | DoBorderSpacingChange (TControl)
pt | DoCallKeyEventHandler (TControl)
pt | DoCallMouseWheelEventHandler (TControl)
pt | DoCallNotifyHandler (TControl)
pt | DoChildSizingChange (TWinControl)
 | Dock (TControl)
 | DockDrop (TWinControl)
 | Docked (TControl)
pt | DockOver (TWinControl)
pt | DockTrackNoTarget (TControl)
pt | DoConstraintsChange (TControl)
pt | DoConstraintsChange (TWinControl)
pt | DoContextPopup (TControl)
pt | DoDock (TControl)
pt | DoDockClientMsg (TWinControl)
pt | DoDockOver (TWinControl)
pt | DoDragMsg (TControl)
pt | DoDragMsg (TWinControl)
pt | DoEndDock (TControl)
pt | DoEndDrag (TControl)
pt | DoEnter (TWinControl)
pt | DoEnter (TCustomAbstractGroupedEdit)
pt | DoExit (TWinControl)
pt | DoFixDesignFontPPI (TControl)
pt | DoFlipChildren (TWinControl)
pt | DoFloatMsg (TControl)
pt | DoFloatMsg (TWinControl)
pt | DoGetDockCaption (TWinControl)
pt | DoKeyDownBeforeInterface (TWinControl)
pt | DoKeyPress (TWinControl)
pt | DoKeyUpBeforeInterface (TWinControl)
pt | DoMouseWheel (TControl)
pt | DoMouseWheelDown (TControl)
pt | DoMouseWheelHorz (TControl)
pt | DoMouseWheelLeft (TControl)
pt | DoMouseWheelRight (TControl)
pt | DoMouseWheelUp (TControl)
pt | DoOnChangeBounds (TControl)
pt | DoOnParentHandleDestruction (TControl)
pt | DoOnResize (TControl)
pt | DoOnShowHint (TControl)
pt | DoRemainingKeyDown (TWinControl)
pt | DoRemainingKeyUp (TWinControl)
pt | DoRemoveDockClient (TWinControl)
pt | DoScaleFontPPI (TControl)
pt | DoSendBoundsToInterface (TWinControl)
pt | DoSendShowHideToInterface (TWinControl)
pt | DoSetBounds (TControl)
pt | DoSetBounds (TWinControl)
pt | DoStartDock (TControl)
pt | DoStartDrag (TControl)
pt | DoUnDock (TWinControl)
pt | DoUndockClientMsg (TWinControl)
pt | DoUTF8KeyPress (TWinControl)
pt | DragCanceled (TControl)
 | DragDrop (TControl)
 | Dragging (TControl)
pt | DragOver (TControl)
pt | EditCanModify (TCustomAbstractGroupedEdit)
pt | EditChange (TCustomAbstractGroupedEdit)
pt | EditClick (TCustomAbstractGroupedEdit)
pt | EditDblClick (TCustomAbstractGroupedEdit)
pt | EditDragDrop (TCustomAbstractGroupedEdit)
pt | EditDragOver (TCustomAbstractGroupedEdit)
pt | EditEditingDone (TCustomAbstractGroupedEdit)
pt | EditEndDrag (TCustomAbstractGroupedEdit)
pt | EditEnter (TCustomAbstractGroupedEdit)
pt | EditExit (TCustomAbstractGroupedEdit)
 | EditingDone (TControl)
pt | EditKeyDown (TCustomAbstractGroupedEdit)
pt | EditKeyPress (TCustomAbstractGroupedEdit)
pt | EditKeyUp (TCustomAbstractGroupedEdit)
pt | EditMouseDown (TCustomAbstractGroupedEdit)
pt | EditMouseEnter (TCustomAbstractGroupedEdit)
pt | EditMouseLeave (TCustomAbstractGroupedEdit)
pt | EditMouseMove (TCustomAbstractGroupedEdit)
pt | EditMouseUp (TCustomAbstractGroupedEdit)
pt | EditMouseWheel (TCustomAbstractGroupedEdit)
pt | EditMouseWheelDown (TCustomAbstractGroupedEdit)
pt | EditMouseWheelUp (TCustomAbstractGroupedEdit)
pt | EditStartDrag (TCustomAbstractGroupedEdit)
pt | EditUtf8KeyPress (TCustomAbstractGroupedEdit)
 | EnableAlign (TWinControl)
 | EnableAutoSizing (TControl)
pt | EnabledChanged (TControl)
pt | EnabledChanging (TControl)
pt | EndAutoSizing (TControl)
 | EndDrag (TControl)
 | EndUpdateBounds (TWinControl)
 | Equals (TObject)
 | EraseBackground (TWinControl)
 | ExecuteAction (TComponent)
 | ExecuteCancelAction (TControl)
 | ExecuteDefaultAction (TControl)
 | FieldAddress (TObject)
pt | FinalizeWnd (TWinControl)
 | FindChildControl (TWinControl)
 | FindComponent (TComponent)
pt | FindNextControl (TWinControl)
 | FixDesignFontsPPI (TControl)
pt | FixupTabList (TWinControl)
 | FlipChildren (TWinControl)
pt | FocusAndMaybeSelectAll (TCustomAbstractGroupedEdit)
 | Focused (TWinControl)
 | Focused (TCustomAbstractGroupedEdit)
pt | FontChanged (TControl)
pt | FontChanged (TWinControl)
pt | FontChanged (TCustomControl)
pt | ForeignAnchorSideChanged (TControl)
pt | FormEndUpdated (TControl)
pt | FormEndUpdated (TWinControl)
 | FormIsUpdating (TControl)
 | FPOAttachObserver (TPersistent)
 | FPODetachObserver (TPersistent)
 | FPONotifyObservers (TPersistent)
 | Free (TObject)
 | FreeInstance (TObject)
 | FreeNotification (TComponent)
 | FreeOnRelease (TComponent)
 | GetAccessibleObject (TControl)
pt | GetAction (TControl)
pt | GetActionLinkClass (TControl)
pt | GetAdjustedLogicalClientRect (TWinControl)
 | GetAnchorsDependingOnParent (TControl)
pt | GetBorderStyle (TWinControl)
pt | GetBuddyCaption (TCustomAbstractGroupedEdit)
pt | GetBuddyClassType (TCustomAbstractGroupedEdit)
pt | GetBuddyClassType (TCustomEditButton)
pt | GetBuddyCursor (TCustomAbstractGroupedEdit)
pt | GetBuddyHint (TCustomAbstractGroupedEdit)
pt | GetBuddyVisible (TCustomAbstractGroupedEdit)
pt | GetBuddyWidth (TCustomAbstractGroupedEdit)
pt | GetCachedText (TControl)
 | GetCanvasScaleFactor (TControl)
 | GetChildAccessibleObjectAtPos (TControl)
 | GetChildOwner (TComponent)
 | GetChildParent (TComponent)
 | GetChildren (TComponent)
pt | GetChildren (TWinControl)
 | GetChildrenRect (TControl)
 | GetChildrenRect (TWinControl)
pt | GetClientOrigin (TControl)
pt | GetClientOrigin (TWinControl)
pt | GetClientRect (TControl)
pt | GetClientRect (TWinControl)
pt | GetClientScrollOffset (TControl)
 | GetColorResolvingParent (TControl)
 | GetComObject (TComponent)
 | GetComponent (TComponent)
 | GetComponentCount (TComponent)
 | GetComponentIndex (TComponent)
pt | GetControlClassDefaultSize (TControl)
pt | GetControlClassDefaultSize (TCustomAbstractGroupedEdit)
pt | GetControlClassDefaultSize (TCustomEditButton)
 | GetControlIndex (TWinControl)
pt | GetControlOrigin (TControl)
pt | GetControlOrigin (TWinControl)
pt | GetCursor (TControl)
 | GetDefaultColor (TControl)
pt | GetDefaultDockCaption (TControl)
pt | GetDefaultGlyphName (TCustomEditButton)
pt | GetDefaultGlyphName (TDirectoryEdit)
 | GetDefaultHeight (TControl)
 | GetDefaultWidth (TControl)
pt | GetDeviceContext (TControl)
pt | GetDeviceContext (TWinControl)
pt | GetDialogResult (TDirectoryEdit)
 | GetDockCaption (TWinControl)
pt | GetDockEdge (TControl)
pt | GetDragImages (TControl)
pt | GetEditorClassType (TCustomAbstractGroupedEdit)
pt | GetEditorClassType (TCustomEditButton)
pt | GetEditPopupMenu (TCustomAbstractGroupedEdit)
pt | GetEnabled (TControl)
 | GetEnumerator (TComponent)
 | GetEnumeratorControls (TWinControl)
 | GetEnumeratorControlsReverse (TWinControl)
pt | GetFloating (TControl)
pt | GetFloatingDockSiteClass (TControl)
 | GetHashCode (TObject)
 | GetIDsOfNames (TComponent)
 | GetInterface (TObject)
 | GetInterfaceByStr (TObject)
 | GetInterfaceEntry (TObject)
 | GetInterfaceEntryByStr (TObject)
 | GetInterfaceTable (TObject)
 | GetInterfaceWeak (TObject)
pt | GetLogicalClientRect (TControl)
pt | GetMouseCapture (TControl)
pt | GetMouseCapture (TWinControl)
pt | GetMousePosFromMessage (TControl)
 | GetNamePath (TPersistent)
 | GetNamePath (TComponent)
 | GetOwner (TPersistent)
 | GetOwner (TComponent)
pt | GetPalette (TControl)
pt | GetParentBackground (TWinControl)
 | GetParentComponent (TComponent)
 | GetParentComponent (TControl)
pt | GetParentHandle (TWinControl)
pt | GetPopupMenu (TControl)
 | GetPreferredSize (TControl)
pt | GetPreferredSizeClientFrame (TWinControl)
 | GetRGBColorResolvingParent (TControl)
pt | GetScrolledClientRect (TControl)
pt | GetSel (TCustomAbstractGroupedEdit)
 | GetSelectedChildAccessibleObject (TControl)
 | GetSidePosition (TControl)
pt | GetSiteInfo (TWinControl)
pt | GetSpacing (TCustomAbstractGroupedEdit)
 | GetTabOrderList (TWinControl)
 | GetTextBuf (TControl)
 | GetTextLen (TControl)
 | GetTextLen (TWinControl)
 | GetTopParent (TControl)
pt | GetTopParentHandle (TWinControl)
 | GetTypeInfo (TComponent)
 | GetTypeInfoCount (TComponent)
pt | GetWSComponentClass (TLCLComponent)
pt | GlyphChanged (TCustomEditButton)
 | HandleAllocated (TWinControl)
 | HandleNeeded (TWinControl)
 | HandleObjectShouldBeVisible (TControl)
 | HasHelp (TControl)
 | HasParent (TComponent)
 | HasParent (TControl)
pt | HeightIsAnchored (TControl)
 | Hide (TControl)
 | iicrGetComponent (TComponent)
 | IncLCLRefCount (TLCLComponent)
 | InheritsFrom (TObject)
pt | InitializeWnd (TWinControl)
 | InitiateAction (TControl)
 | InitInstance (TObject)
 | Insert (TComponent)
 | InsertComponent (TComponent)
 | InsertControl (TWinControl)
 | InstanceSize (TObject)
 | IntfGetDropFilesTarget (TWinControl)
 | IntfUTF8KeyPress (TWinControl)
 | Invalidate (TControl)
 | Invalidate (TWinControl)
pt | InvalidateBoundsRealized (TWinControl)
 | InvalidateClientRectCache (TWinControl)
pt | InvalidateControl (TControl)
pt | InvalidatePreferredChildSizes (TWinControl)
 | InvalidatePreferredSize (TControl)
 | Invoke (TComponent)
pt | IsAParentAligning (TControl)
pt | IsBorderSpacingInnerBorderStored (TControl)
pt | IsCaptionStored (TControl)
pt | IsClientHeightStored (TControl)
pt | IsClientHeightStored (TWinControl)
pt | IsClientWidthStored (TControl)
pt | IsClientWidthStored (TWinControl)
pt | IsControlMouseMsg (TWinControl)
 | IsControlVisible (TControl)
 | IsEnabled (TControl)
 | IsImplementorOf (TComponent)
 | IsParentColor (TControl)
 | IsParentFont (TControl)
 | IsParentOf (TControl)
 | IsProcessingPaintMsg (TControl)
 | IsRightToLeft (TControl)
 | IsVisible (TControl)
pt | KeyDown (TWinControl)
pt | KeyDownAfterInterface (TWinControl)
pt | KeyDownBeforeInterface (TWinControl)
pt | KeyPress (TWinControl)
pt | KeyUp (TWinControl)
pt | KeyUpAfterInterface (TWinControl)
pt | KeyUpBeforeInterface (TWinControl)
pt | LMCaptureChanged (TControl)
pt | LoadDefaultGlyph (TCustomEditButton)
 | Loaded (TComponent)
pt | Loaded (TControl)
pt | Loaded (TWinControl)
pt | Loaded (TCustomAbstractGroupedEdit)
pt | LoadedAll (TControl)
 | Loading (TComponent)
 | LockRealizeBounds (TWinControl)
pt | MainWndProc (TWinControl)
 | ManualDock (TControl)
 | ManualFloat (TControl)
 | MethodAddress (TObject)
 | MethodName (TObject)
pt | MouseDown (TControl)
pt | MouseEnter (TControl)
pt | MouseLeave (TControl)
pt | MouseMove (TControl)
pt | MouseUp (TControl)
 | newinstance (TObject)
 | NewInstance (TLCLComponent)
 | Notification (TComponent)
pt | Notification (TControl)
 | NotifyControls (TWinControl)
pt | Paint (TCustomControl)
pt | PaintControls (TWinControl)
pt | PaintHandler (TWinControl)
 | PaintTo (TWinControl)
pt | PaintWindow (TWinControl)
pt | PaintWindow (TCustomControl)
 | PaletteCreated (TComponent)
 | ParentDestroyingHandle (TControl)
pt | ParentFontChanged (TControl)
pt | ParentFormHandleInitialized (TControl)
pt | ParentFormHandleInitialized (TWinControl)
 | ParentHandlesAllocated (TControl)
 | ParentHandlesAllocated (TWinControl)
 | ParentToClient (TControl)
 | PasteFromClipboard (TCustomAbstractGroupedEdit)
 | Perform (TControl)
 | PerformTab (TWinControl)
pt | PositionDockRect (TControl)
pt | QuadClick (TControl)
 | QueryInterface (TComponent)
 | ReadLeft (TComponent)
 | ReadState (TComponent)
pt | ReadState (TControl)
 | ReadTop (TComponent)
pt | RealGetText (TControl)
pt | RealGetText (TWinControl)
pt | RealGetText (TCustomAbstractGroupedEdit)
 | ReAlign (TWinControl)
pt | RealizeBounds (TWinControl)
pt | RealizeBoundsRecursive (TWinControl)
pt | RealSetText (TControl)
pt | RealSetText (TWinControl)
pt | RealSetText (TCustomAbstractGroupedEdit)
 | ReferenceInterface (TComponent)
 | Refresh (TControl)
pt | ReloadDockedControl (TWinControl)
 | Remove (TComponent)
 | RemoveAllHandlersOfObject (TLCLComponent)
 | RemoveAllHandlersOfObject (TControl)
 | RemoveComponent (TComponent)
 | RemoveControl (TWinControl)
pt | RemoveFocus (TWinControl)
 | RemoveFreeNotification (TComponent)
pt | RemoveHandler (TControl)
 | RemoveHandlerOnBeforeDestruction (TControl)
 | RemoveHandlerOnChangeBounds (TControl)
 | RemoveHandlerOnEnableChanging (TControl)
 | RemoveHandlerOnKeyDown (TControl)
 | RemoveHandlerOnMouseWheel (TControl)
 | RemoveHandlerOnResize (TControl)
 | RemoveHandlerOnVisibleChanged (TControl)
 | RemoveHandlerOnVisibleChanging (TControl)
 | RemoveNotification (TComponent)
 | Repaint (TControl)
 | Repaint (TWinControl)
 | ReplaceDockedControl (TControl)
pt | RequestAlign (TControl)
pt | Reset (TCustomAbstractGroupedEdit)
pt | Resize (TControl)
 | RunDialog (TDirectoryEdit)
 | SafeCallException (TObject)
 | SafeCallException (TComponent)
 | Scale96ToFont (TControl)
 | Scale96ToForm (TControl)
 | Scale96ToScreen (TControl)
 | ScaleBy (TWinControl)
pt | ScaleConstraints (TControl)
pt | ScaleControls (TWinControl)
 | ScaleDesignToForm (TControl)
 | ScaleFontsPPI (TControl)
 | ScaleFontTo96 (TControl)
 | ScaleFontToScreen (TControl)
 | ScaleFormTo96 (TControl)
 | ScaleFormToDesign (TControl)
 | ScaleScreenTo96 (TControl)
 | ScaleScreenToFont (TControl)
 | ScreenToClient (TControl)
 | ScreenToControl (TControl)
 | ScrollBy (TWinControl)
 | ScrollBy_WS (TWinControl)
 | SelectAll (TCustomAbstractGroupedEdit)
pt | SelectFirst (TWinControl)
 | SelectNext (TWinControl)
pt | SendDialogChar (TWinControl)
pt | SendMoveSizeMessages (TControl)
pt | SendMoveSizeMessages (TWinControl)
 | SendToBack (TControl)
pt | SetAction (TControl)
pt | SetAlign (TControl)
 | SetAncestor (TComponent)
pt | SetAnchors (TControl)
pt | SetAutoSize (TControl)
pt | SetAutoSize (TCustomAbstractGroupedEdit)
pt | SetBiDiMode (TControl)
pt | SetBorderStyle (TWinControl)
 | SetBounds (TControl)
 | SetBounds (TWinControl)
 | SetBoundsKeepBase (TControl)
pt | SetBuddyCaption (TCustomAbstractGroupedEdit)
pt | SetBuddyCursor (TCustomAbstractGroupedEdit)
pt | SetBuddyHint (TCustomAbstractGroupedEdit)
pt | SetBuddyVisible (TCustomAbstractGroupedEdit)
pt | SetBuddyWidth (TCustomAbstractGroupedEdit)
 | SetChildOrder (TComponent)
pt | SetChildZPosition (TWinControl)
pt | SetColor (TControl)
pt | SetColor (TWinControl)
pt | SetColor (TCustomControl)
pt | SetColor (TCustomAbstractGroupedEdit)
 | SetComponentIndex (TComponent)
 | SetControlIndex (TWinControl)
pt | SetCursor (TControl)
pt | SetCursor (TCustomAbstractGroupedEdit)
 | SetDesigning (TComponent)
 | SetDesignInstance (TComponent)
pt | SetDirectInput (TCustomAbstractGroupedEdit)
pt | SetDockManager (TWinControl)
pt | SetDragMode (TControl)
pt | SetEnabled (TControl)
 | SetFocus (TWinControl)
 | SetFocus (TCustomAbstractGroupedEdit)
pt | SetHint (TControl)
 | SetInitialBounds (TControl)
 | SetInline (TComponent)
 | SetName (TComponent)
pt | SetName (TControl)
pt | SetParent (TControl)
pt | SetParentBackground (TWinControl)
pt | SetParentBiDiMode (TControl)
 | SetParentComponent (TComponent)
pt | SetParentComponent (TControl)
 | SetReference (TComponent)
pt | SetSel (TCustomAbstractGroupedEdit)
 | SetShape (TWinControl)
 | SetSubComponent (TComponent)
 | SetTempCursor (TControl)
 | SetTempCursor (TWinControl)
 | SetTextBuf (TControl)
pt | SetVisible (TControl)
pt | SetZOrder (TControl)
 | ShouldAutoAdjust (TControl)
pt | ShouldAutoAdjust (TCustomAbstractGroupedEdit)
 | Show (TControl)
pt | ShowControl (TWinControl)
 | ShowHelp (TControl)
 | StringMessageTable (TObject)
pt | TextChanged (TControl)
 | ToString (TObject)
pt | TripleClick (TControl)
 | Undo (TCustomAbstractGroupedEdit)
 | UnitName (TObject)
 | UnlockRealizeBounds (TWinControl)
 | Update (TControl)
 | Update (TWinControl)
 | UpdateAction (TComponent)
pt | UpdateAnchorRules (TControl)
 | UpdateBaseBounds (TControl)
pt | UpdateControlState (TWinControl)
 | Updated (TComponent)
 | UpdateDockCaption (TWinControl)
pt | UpdateMouseCursor (TControl)
 | UpdateRegistry (TComponent)
 | UpdateRolesForForm (TControl)
pt | UpdateShowing (TWinControl)
pt | UpdateSpacing (TCustomAbstractGroupedEdit)
 | Updating (TComponent)
 | UseRightToLeftAlignment (TControl)
 | UseRightToLeftReading (TControl)
 | UseRightToLeftScrollBar (TControl)
pt | UTF8KeyPress (TWinControl)
 | ValidateContainer (TComponent)
 | ValidateEdit (TCustomAbstractGroupedEdit)
 | ValidateInsert (TComponent)
 | ValidateRename (TComponent)
pt | VisibleChanged (TControl)
pt | VisibleChanging (TControl)
pt | WidthIsAnchored (TControl)
pt | WMCancelMode (TControl)
pt | WMChar (TWinControl)
pt | WMContextMenu (TControl)
pt | WMContextMenu (TWinControl)
pt | WMDestroy (TWinControl)
pt | WMEnter (TWinControl)
pt | WMEraseBkgnd (TWinControl)
pt | WMExit (TWinControl)
pt | WMKeyDown (TWinControl)
pt | WMKeyUp (TWinControl)
pt | WMKillFocus (TWinControl)
pt | WMLButtonDBLCLK (TControl)
pt | WMLButtonDown (TControl)
pt | WMLButtonQuadCLK (TControl)
pt | WMLButtonTripleCLK (TControl)
pt | WMLButtonUp (TControl)
pt | WMMButtonDBLCLK (TControl)
pt | WMMButtonDown (TControl)
pt | WMMButtonQuadCLK (TControl)
pt | WMMButtonTripleCLK (TControl)
pt | WMMButtonUp (TControl)
pt | WMMouseHWheel (TControl)
pt | WMMouseMove (TControl)
pt | WMMouseWheel (TControl)
pt | WMMove (TControl)
pt | WMMove (TWinControl)
pt | WMNotify (TWinControl)
pt | WMPaint (TWinControl)
pt | WMPaint (TCustomControl)
pt | WMRButtonDBLCLK (TControl)
pt | WMRButtonDown (TControl)
pt | WMRButtonQuadCLK (TControl)
pt | WMRButtonTripleCLK (TControl)
pt | WMRButtonUp (TControl)
pt | WMSetFocus (TWinControl)
pt | WMShowWindow (TWinControl)
pt | WMSize (TControl)
pt | WMSize (TWinControl)
pt | WMSysChar (TWinControl)
pt | WMSysKeyDown (TWinControl)
pt | WMSysKeyUp (TWinControl)
pt | WMWindowPosChanged (TControl)
pt | WMWindowPosChanged (TWinControl)
pt | WMXButtonDBLCLK (TControl)
pt | WMXButtonDown (TControl)
pt | WMXButtonQuadCLK (TControl)
pt | WMXButtonTripleCLK (TControl)
pt | WMXButtonUp (TControl)
pt | WndProc (TControl)
pt | WndProc (TWinControl)
 | WriteLayoutDebugReport (TControl)
 | WriteLayoutDebugReport (TWinControl)
 | WriteLeft (TComponent)
 | WriteState (TComponent)
 | WriteTop (TComponent)
pt | WSRegisterClass (TLCLComponent)
pt | WSRegisterClass (TControl)
pt | WSRegisterClass (TWinControl)
pt | WSRegisterClass (TCustomControl)
pt | WSSetText (TWinControl)
 | _AddRef (TComponent)
 | _Release (TComponent)


TDirectoryEdit
pl |  | OnAcceptDirectory
pl | ro | OnButtonClick
pl | ro | OnChange
pl | ro | OnClick
pl | ro | OnDblClick
pl | ro | OnDragDrop
pl | ro | OnDragOver
pl | ro | OnEditingDone
pl | ro | OnEndDrag
pl | ro | OnEnter
pl | ro | OnExit
pl | ro | OnKeyDown
pl | ro | OnKeyPress
pl | ro | OnKeyUp
pl | ro | OnMouseDown
pl | ro | OnMouseEnter
pl | ro | OnMouseLeave
pl | ro | OnMouseMove
pl | ro | OnMouseUp
pl | ro | OnMouseWheel
pl | ro | OnMouseWheelDown
pl | ro | OnMouseWheelUp
pl | ro | OnStartDrag
pl | ro | OnUTF8KeyPress
TCustomEditButton
pt |  | OnButtonClick
TCustomAbstractGroupedEdit
pt |  | OnBuddyClick
 |  | OnChange
 |  | OnClick
 |  | OnDblClick
 |  | OnDragDrop
 |  | OnDragOver
 |  | OnEditingDone
 |  | OnEndDrag
 |  | OnEnter
 |  | OnExit
 |  | OnMouseDown
 |  | OnKeyPress
 |  | OnKeyDown
 |  | OnKeyUp
 |  | OnMouseEnter
 |  | OnMouseLeave
 |  | OnMouseMove
 |  | OnMouseWheel
 |  | OnMouseWheelUp
 |  | OnMouseWheelDown
 |  | OnMouseUp
 |  | OnStartDrag
 |  | OnUtf8KeyPress
TCustomControl
 |  | OnPaint
TWinControl
pt |  | OnGetSiteInfo
pt |  | OnGetDockCaption
 |  | OnAlignInsertBefore
 |  | OnAlignPosition
 |  | OnDockDrop
 |  | OnDockOver
 |  | OnEnter
 |  | OnExit
 |  | OnKeyDown
 |  | OnKeyPress
 |  | OnKeyUp
 |  | OnUnDock
 |  | OnUTF8KeyPress
TControl
pt |  | OnConstrainedResize
pt |  | OnContextPopup
pt |  | OnDblClick
pt |  | OnTripleClick
pt |  | OnQuadClick
pt |  | OnDragDrop
pt |  | OnDragOver
pt |  | OnEndDock
pt |  | OnEndDrag
pt |  | OnMouseDown
pt |  | OnMouseMove
pt |  | OnMouseUp
pt |  | OnMouseEnter
pt |  | OnMouseLeave
pt |  | OnMouseWheel
pt |  | OnMouseWheelDown
pt |  | OnMouseWheelUp
pt |  | OnMouseWheelHorz
pt |  | OnMouseWheelLeft
pt |  | OnMouseWheelRight
pt |  | OnStartDock
pt |  | OnStartDrag
pt |  | OnEditingDone
 |  | OnChangeBounds
 |  | OnClick
 |  | OnResize
 |  | OnShowHint
TLCLComponent
TComponent
TPersistent
TObject


pl |  | OnAcceptDirectory (TDirectoryEdit)
 |  | OnAlignInsertBefore (TWinControl)
 |  | OnAlignPosition (TWinControl)
pt |  | OnBuddyClick (TCustomAbstractGroupedEdit)
pt |  | OnButtonClick (TCustomEditButton)
pl | ro | OnButtonClick (TDirectoryEdit)
 |  | OnChange (TCustomAbstractGroupedEdit)
pl | ro | OnChange (TDirectoryEdit)
 |  | OnChangeBounds (TControl)
 |  | OnClick (TControl)
 |  | OnClick (TCustomAbstractGroupedEdit)
pl | ro | OnClick (TDirectoryEdit)
pt |  | OnConstrainedResize (TControl)
pt |  | OnContextPopup (TControl)
pt |  | OnDblClick (TControl)
 |  | OnDblClick (TCustomAbstractGroupedEdit)
pl | ro | OnDblClick (TDirectoryEdit)
 |  | OnDockDrop (TWinControl)
 |  | OnDockOver (TWinControl)
pt |  | OnDragDrop (TControl)
 |  | OnDragDrop (TCustomAbstractGroupedEdit)
pl | ro | OnDragDrop (TDirectoryEdit)
pt |  | OnDragOver (TControl)
 |  | OnDragOver (TCustomAbstractGroupedEdit)
pl | ro | OnDragOver (TDirectoryEdit)
pt |  | OnEditingDone (TControl)
 |  | OnEditingDone (TCustomAbstractGroupedEdit)
pl | ro | OnEditingDone (TDirectoryEdit)
pt |  | OnEndDock (TControl)
pt |  | OnEndDrag (TControl)
 |  | OnEndDrag (TCustomAbstractGroupedEdit)
pl | ro | OnEndDrag (TDirectoryEdit)
 |  | OnEnter (TWinControl)
 |  | OnEnter (TCustomAbstractGroupedEdit)
pl | ro | OnEnter (TDirectoryEdit)
 |  | OnExit (TWinControl)
 |  | OnExit (TCustomAbstractGroupedEdit)
pl | ro | OnExit (TDirectoryEdit)
pt |  | OnGetDockCaption (TWinControl)
pt |  | OnGetSiteInfo (TWinControl)
 |  | OnKeyDown (TWinControl)
 |  | OnKeyDown (TCustomAbstractGroupedEdit)
pl | ro | OnKeyDown (TDirectoryEdit)
 |  | OnKeyPress (TWinControl)
 |  | OnKeyPress (TCustomAbstractGroupedEdit)
pl | ro | OnKeyPress (TDirectoryEdit)
 |  | OnKeyUp (TWinControl)
 |  | OnKeyUp (TCustomAbstractGroupedEdit)
pl | ro | OnKeyUp (TDirectoryEdit)
pt |  | OnMouseDown (TControl)
 |  | OnMouseDown (TCustomAbstractGroupedEdit)
pl | ro | OnMouseDown (TDirectoryEdit)
pt |  | OnMouseEnter (TControl)
 |  | OnMouseEnter (TCustomAbstractGroupedEdit)
pl | ro | OnMouseEnter (TDirectoryEdit)
pt |  | OnMouseLeave (TControl)
 |  | OnMouseLeave (TCustomAbstractGroupedEdit)
pl | ro | OnMouseLeave (TDirectoryEdit)
pt |  | OnMouseMove (TControl)
 |  | OnMouseMove (TCustomAbstractGroupedEdit)
pl | ro | OnMouseMove (TDirectoryEdit)
pt |  | OnMouseUp (TControl)
 |  | OnMouseUp (TCustomAbstractGroupedEdit)
pl | ro | OnMouseUp (TDirectoryEdit)
pt |  | OnMouseWheel (TControl)
 |  | OnMouseWheel (TCustomAbstractGroupedEdit)
pl | ro | OnMouseWheel (TDirectoryEdit)
pt |  | OnMouseWheelDown (TControl)
 |  | OnMouseWheelDown (TCustomAbstractGroupedEdit)
pl | ro | OnMouseWheelDown (TDirectoryEdit)
pt |  | OnMouseWheelHorz (TControl)
pt |  | OnMouseWheelLeft (TControl)
pt |  | OnMouseWheelRight (TControl)
pt |  | OnMouseWheelUp (TControl)
 |  | OnMouseWheelUp (TCustomAbstractGroupedEdit)
pl | ro | OnMouseWheelUp (TDirectoryEdit)
 |  | OnPaint (TCustomControl)
pt |  | OnQuadClick (TControl)
 |  | OnResize (TControl)
 |  | OnShowHint (TControl)
pt |  | OnStartDock (TControl)
pt |  | OnStartDrag (TControl)
 |  | OnStartDrag (TCustomAbstractGroupedEdit)
pl | ro | OnStartDrag (TDirectoryEdit)
pt |  | OnTripleClick (TControl)
 |  | OnUnDock (TWinControl)
 |  | OnUTF8KeyPress (TWinControl)
 |  | OnUtf8KeyPress (TCustomAbstractGroupedEdit)
pl | ro | OnUTF8KeyPress (TDirectoryEdit)


TDirectoryEdit.AutoSelected

Declaration

Source position: editbtn.pas line 483

public property TDirectoryEdit.AutoSelected : Boolean;


TDirectoryEdit.BidiMode

Declaration

Source position: editbtn.pas line 514

published property TDirectoryEdit.BidiMode : TBiDiMode;


TDirectoryEdit.BorderStyle

Declaration

Source position: editbtn.pas line 516

published property TDirectoryEdit.BorderStyle : TBorderStyle;


TDirectoryEdit.ButtonCaption

Declaration

Source position: editbtn.pas line 495

published property TDirectoryEdit.ButtonCaption : TCaption;


TDirectoryEdit.ButtonClick

Declaration

Source position: editbtn.pas line 481

protected procedure TDirectoryEdit.ButtonClick; override;


TDirectoryEdit.ButtonCursor

Declaration

Source position: editbtn.pas line 496

published property TDirectoryEdit.ButtonCursor : TCursor;


TDirectoryEdit.Constraints

Declaration

Source position: editbtn.pas line 500

published property TDirectoryEdit.Constraints : TSizeConstraints;


TDirectoryEdit.Create

Declaration

Source position: editbtn.pas line 484

public constructor TDirectoryEdit.Create(

  AOwner: TComponent

); override;


TDirectoryEdit.CreateDialog

CreateDialog - create the Directory Open dialog

Declaration

Source position: editbtn.pas line 479

protected function TDirectoryEdit.CreateDialog: TCommonDialog; virtual;


TDirectoryEdit.DialogOptions

Declaration

Source position: editbtn.pas line 492

published property TDirectoryEdit.DialogOptions : TOpenOptions
  read FDialogOptions
  write FDialogOptions
  default DefaultOpenDialogOptions;


TDirectoryEdit.DialogTitle

DialogTitle - the title that appears on the Select Directory dialog

Declaration

Source position: editbtn.pas line 491

published property TDirectoryEdit.DialogTitle : string
  read FDialogTitle
  write FDialogTitle;


TDirectoryEdit.Directory

The Directory selected by the dialog

Declaration

Source position: editbtn.pas line 488

published property TDirectoryEdit.Directory : string
  read GetDirectory
  write SetDirectory;


TDirectoryEdit.FocusOnButtonClick

Declaration

Source position: editbtn.pas line 508

published property TDirectoryEdit.FocusOnButtonClick : Boolean;


TDirectoryEdit.GetDialogResult

GetDialogResult - find the result of the Directory Open dialog

Declaration

Source position: editbtn.pas line 480

protected function TDirectoryEdit.GetDialogResult(

  D: TCommonDialog

):string; virtual;


TDirectoryEdit.ImageIndex

Declaration

Source position: editbtn.pas line 505

published property TDirectoryEdit.ImageIndex : TImageIndex;


TDirectoryEdit.Images

Declaration

Source position: editbtn.pas line 504

published property TDirectoryEdit.Images : TCustomImageList;


TDirectoryEdit.ImageWidth

Declaration

Source position: editbtn.pas line 506

published property TDirectoryEdit.ImageWidth : Integer;


TDirectoryEdit.Layout

Declaration

Source position: editbtn.pas line 522

published property TDirectoryEdit.Layout : TLeftRight;


TDirectoryEdit.OnAcceptDirectory

OnAcceptDirectory - event handler for accepting the name of a directory

Declaration

Source position: editbtn.pas line 490

published property TDirectoryEdit.OnAcceptDirectory : TAcceptFileNameEvent
  read FOnAcceptDir
  write FonAcceptDir;


TDirectoryEdit.OnMouseEnter

Declaration

Source position: editbtn.pas line 549

published property TDirectoryEdit.OnMouseEnter : TNotifyEvent;


TDirectoryEdit.OnMouseLeave

Declaration

Source position: editbtn.pas line 550

published property TDirectoryEdit.OnMouseLeave : TNotifyEvent;


TDirectoryEdit.OnMouseWheel

Declaration

Source position: editbtn.pas line 553

published property TDirectoryEdit.OnMouseWheel : TMouseWheelEvent;


TDirectoryEdit.OnMouseWheelDown

Declaration

Source position: editbtn.pas line 554

published property TDirectoryEdit.OnMouseWheelDown : TMouseWheelUpDownEvent;


TDirectoryEdit.OnMouseWheelUp

Declaration

Source position: editbtn.pas line 555

published property TDirectoryEdit.OnMouseWheelUp : TMouseWheelUpDownEvent;


TDirectoryEdit.ParentBidiMode

Declaration

Source position: editbtn.pas line 524

published property TDirectoryEdit.ParentBidiMode : Boolean;


TDirectoryEdit.RootDir

RootDir - the root directory for searching

Declaration

Source position: editbtn.pas line 489

published property TDirectoryEdit.RootDir : string
  read FRootDir
  write FRootDir;


TDirectoryEdit.RunDialog

RunDialog - perform the function of the dialog

Declaration

Source position: editbtn.pas line 485

public procedure TDirectoryEdit.RunDialog; virtual;


TDirectoryEdit.ShowHidden

ShowHidden - if True, display names of hidden directories

Declaration

Source position: editbtn.pas line 493

published property TDirectoryEdit.ShowHidden : Boolean
  read FShowHidden
  write FShowHidden;

Description

ShowHidden - if True, display names of hidden directories

In Windows etc, show directories under 'Windows' and branches; in Linux etc show directories with preceding dot eg '.Lazarus'


TDirectoryEdit.Spacing

Declaration

Source position: editbtn.pas line 532

published property TDirectoryEdit.Spacing : Integer;


TDirectoryEdit.Text

Declaration

Source position: editbtn.pas line 558

published property TDirectoryEdit.Text : TCaption;


TDirectoryEdit.TextHint

Declaration

Source position: editbtn.pas line 559

published property TDirectoryEdit.TextHint : TTranslateString;


TEbEdit

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Declaration

Source position: editbtn.pas line 45

type TEbEdit = class(TGEEdit)

protected

  procedure DoEnter; override;

  procedure DoExit; override;

end;

Inheritance

TEbEdit
|
TGEEdit |
|
TCustomMaskEdit | TCustomMaskEdit - base class for TMaskEdit, an Edit box with characters masked out to avoid unauthorised reading
|
TCustomEdit | The base class for controls presenting editable text.
|
TWinControl | The base class for controls which can contain other (child) controls.
|
TControl | The base class for visible controls.
|
TLCLComponent | The base class for LCL components associated with widgets.
|
TComponent,IUnknown,IInterfaceComponentReference
|
TPersistent,IFPObserved
|
TObject


TEbEdit
TGEEdit
TCustomMaskEdit
pt |  | EditText
pt | ro | IsMasked
pt |  | SpaceChar
pt |  | MaxLength
pt |  | CharCase
pt |  | EditMask
 |  | Modified
TCustomEdit
pt |  | AutoSelect
pt |  | AutoSelected
pt | ro | ParentColor
 |  | Alignment
 | ro | AutoSize
 | ro | BorderStyle
 | ro | CanUndo
 |  | CaretPos
 |  | CharCase
 |  | EchoMode
 |  | HideSelection
 |  | MaxLength
 |  | Modified
 |  | NumbersOnly
 |  | PasswordChar
 | ro | PopupMenu
 |  | ReadOnly
 |  | SelLength
 |  | SelStart
 |  | SelText
 | ro | TabOrder
 | ro | TabStop
 | ro | Text
 |  | TextHint
TWinControl
pt |  | WindowHandle
pt |  | BorderStyle
pt |  | ParentBackground
 |  | BorderWidth
 | ro | BoundsLockCount
 | ro | Brush
 | ro | CachedClientHeight
 | ro | CachedClientWidth
 |  | ChildSizing
 | ro | ControlCount
 | ro | Controls
 |  | DefWndProc
 | ro | DockClientCount
 | ro | DockClients
 |  | DockManager
 |  | DockSite
 |  | DoubleBuffered
 |  | Handle
 | ro | IsFlipped
 | ro | IsResizing
 |  | TabOrder
 |  | TabStop
 |  | ParentDoubleBuffered
 |  | ParentWindow
 | ro | Showing
 |  | UseDockManager
 |  | DesignerDeleting
 | ro | VisibleDockClientCount
TControl
pt | ro | AutoSizing
pt | ro | AutoSizingAll
pt | ro | AutoSizingLockCount
pt |  | ActionLink
pt |  | DesktopFont
pt |  | DragCursor
pt |  | DragKind
pt |  | DragMode
pt |  | MouseCapture
pt |  | ParentColor
pt |  | ParentFont
pt |  | ParentShowHint
pt |  | SessionProperties
pt |  | Text
 | ro | AnchoredControls
 | ro | BaseBounds
 | ro | ReadBounds
 | ro | BaseParentClientSize
 |  | AccessibleDescription
 |  | AccessibleValue
 |  | AccessibleRole
 |  | Action
 |  | Align
 |  | Anchors
 | ro | AnchorSide
 |  | AutoSize
 |  | BorderSpacing
 |  | BoundsRect
 |  | BoundsRectForNewParent
 |  | Caption
 |  | CaptureMouseButtons
 |  | ClientHeight
 | ro | ClientOrigin
 | ro | ClientRect
 |  | ClientWidth
 |  | Color
 |  | Constraints
 | ro | ControlOrigin
 |  | ControlState
 |  | ControlStyle
 |  | Enabled
 |  | Font
 |  | IsControl
 | ro | MouseEntered
 | ro | MouseInClient
 |  | Parent
 |  | PopupMenu
 |  | ShowHint
 |  | Visible
 |  | WindowProc
 |  | DockOrientation
 | ro | Floating
 |  | FloatingDockSiteClass
 |  | HostDockSite
 |  | LRDockWidth
 |  | TBDockHeight
 |  | UndockHeight
 |  | UndockWidth
 |  | BiDiMode
 |  | ParentBiDiMode
pl |  | AnchorSideLeft
pl |  | AnchorSideTop
pl |  | AnchorSideRight
pl |  | AnchorSideBottom
pl |  | Cursor
pl |  | Left
pl |  | Height
pl |  | Hint
pl |  | Top
pl |  | Width
pl |  | HelpType
pl |  | HelpKeyword
pl |  | HelpContext
TLCLComponent
 | ro | LCLRefCount
 | ro | WidgetSetClass
TComponent
 | ro | ComObject
 | ro | Components
 | ro | ComponentCount
 |  | ComponentIndex
 | ro | ComponentState
 | ro | ComponentStyle
 |  | DesignInfo
 | ro | Owner
 |  | VCLComObject
 |  | Name
 |  | Tag
TPersistent
TObject


 |  | AccessibleDescription (TControl)
 |  | AccessibleRole (TControl)
 |  | AccessibleValue (TControl)
 |  | Action (TControl)
pt |  | ActionLink (TControl)
 |  | Align (TControl)
 |  | Alignment (TCustomEdit)
 | ro | AnchoredControls (TControl)
 |  | Anchors (TControl)
 | ro | AnchorSide (TControl)
pl |  | AnchorSideBottom (TControl)
pl |  | AnchorSideLeft (TControl)
pl |  | AnchorSideRight (TControl)
pl |  | AnchorSideTop (TControl)
pt |  | AutoSelect (TCustomEdit)
pt |  | AutoSelected (TCustomEdit)
 |  | AutoSize (TControl)
 | ro | AutoSize (TCustomEdit)
pt | ro | AutoSizing (TControl)
pt | ro | AutoSizingAll (TControl)
pt | ro | AutoSizingLockCount (TControl)
 | ro | BaseBounds (TControl)
 | ro | BaseParentClientSize (TControl)
 |  | BiDiMode (TControl)
 |  | BorderSpacing (TControl)
pt |  | BorderStyle (TWinControl)
 | ro | BorderStyle (TCustomEdit)
 |  | BorderWidth (TWinControl)
 | ro | BoundsLockCount (TWinControl)
 |  | BoundsRect (TControl)
 |  | BoundsRectForNewParent (TControl)
 | ro | Brush (TWinControl)
 | ro | CachedClientHeight (TWinControl)
 | ro | CachedClientWidth (TWinControl)
 | ro | CanUndo (TCustomEdit)
 |  | Caption (TControl)
 |  | CaptureMouseButtons (TControl)
 |  | CaretPos (TCustomEdit)
 |  | CharCase (TCustomEdit)
pt |  | CharCase (TCustomMaskEdit)
 |  | ChildSizing (TWinControl)
 |  | ClientHeight (TControl)
 | ro | ClientOrigin (TControl)
 | ro | ClientRect (TControl)
 |  | ClientWidth (TControl)
 |  | Color (TControl)
 | ro | ComObject (TComponent)
 | ro | ComponentCount (TComponent)
 |  | ComponentIndex (TComponent)
 | ro | Components (TComponent)
 | ro | ComponentState (TComponent)
 | ro | ComponentStyle (TComponent)
 |  | Constraints (TControl)
 | ro | ControlCount (TWinControl)
 | ro | ControlOrigin (TControl)
 | ro | Controls (TWinControl)
 |  | ControlState (TControl)
 |  | ControlStyle (TControl)
pl |  | Cursor (TControl)
 |  | DefWndProc (TWinControl)
 |  | DesignerDeleting (TWinControl)
 |  | DesignInfo (TComponent)
pt |  | DesktopFont (TControl)
 | ro | DockClientCount (TWinControl)
 | ro | DockClients (TWinControl)
 |  | DockManager (TWinControl)
 |  | DockOrientation (TControl)
 |  | DockSite (TWinControl)
 |  | DoubleBuffered (TWinControl)
pt |  | DragCursor (TControl)
pt |  | DragKind (TControl)
pt |  | DragMode (TControl)
 |  | EchoMode (TCustomEdit)
pt |  | EditMask (TCustomMaskEdit)
pt |  | EditText (TCustomMaskEdit)
 |  | Enabled (TControl)
 | ro | Floating (TControl)
 |  | FloatingDockSiteClass (TControl)
 |  | Font (TControl)
 |  | Handle (TWinControl)
pl |  | Height (TControl)
pl |  | HelpContext (TControl)
pl |  | HelpKeyword (TControl)
pl |  | HelpType (TControl)
 |  | HideSelection (TCustomEdit)
pl |  | Hint (TControl)
 |  | HostDockSite (TControl)
 |  | IsControl (TControl)
 | ro | IsFlipped (TWinControl)
pt | ro | IsMasked (TCustomMaskEdit)
 | ro | IsResizing (TWinControl)
 | ro | LCLRefCount (TLCLComponent)
pl |  | Left (TControl)
 |  | LRDockWidth (TControl)
 |  | MaxLength (TCustomEdit)
pt |  | MaxLength (TCustomMaskEdit)
 |  | Modified (TCustomEdit)
 |  | Modified (TCustomMaskEdit)
pt |  | MouseCapture (TControl)
 | ro | MouseEntered (TControl)
 | ro | MouseInClient (TControl)
 |  | Name (TComponent)
 |  | NumbersOnly (TCustomEdit)
 | ro | Owner (TComponent)
 |  | Parent (TControl)
pt |  | ParentBackground (TWinControl)
 |  | ParentBiDiMode (TControl)
pt |  | ParentColor (TControl)
pt | ro | ParentColor (TCustomEdit)
 |  | ParentDoubleBuffered (TWinControl)
pt |  | ParentFont (TControl)
pt |  | ParentShowHint (TControl)
 |  | ParentWindow (TWinControl)
 |  | PasswordChar (TCustomEdit)
 |  | PopupMenu (TControl)
 | ro | PopupMenu (TCustomEdit)
 | ro | ReadBounds (TControl)
 |  | ReadOnly (TCustomEdit)
 |  | SelLength (TCustomEdit)
 |  | SelStart (TCustomEdit)
 |  | SelText (TCustomEdit)
pt |  | SessionProperties (TControl)
 |  | ShowHint (TControl)
 | ro | Showing (TWinControl)
pt |  | SpaceChar (TCustomMaskEdit)
 |  | TabOrder (TWinControl)
 | ro | TabOrder (TCustomEdit)
 |  | TabStop (TWinControl)
 | ro | TabStop (TCustomEdit)
 |  | Tag (TComponent)
 |  | TBDockHeight (TControl)
pt |  | Text (TControl)
 | ro | Text (TCustomEdit)
 |  | TextHint (TCustomEdit)
pl |  | Top (TControl)
 |  | UndockHeight (TControl)
 |  | UndockWidth (TControl)
 |  | UseDockManager (TWinControl)
 |  | VCLComObject (TComponent)
 |  | Visible (TControl)
 | ro | VisibleDockClientCount (TWinControl)
 | ro | WidgetSetClass (TLCLComponent)
pl |  | Width (TControl)
pt |  | WindowHandle (TWinControl)
 |  | WindowProc (TControl)


TEbEdit
pt | DoEnter
pt | DoExit
TGEEdit
 | PerformTab
TCustomMaskEdit
pt | ApplyMaskToText
pt | CanShowEmulatedTextHint
pt | DisableMask
pt | RestoreMask
pt | RealSetText
pt | RealGetText
pt | GetTextWithoutMask
pt | GetTextWithoutSpaceChar
pt | SetTextApplyMask
pt | GetEditText
pt | SetEditText
pt | GetSel
pt | SetSel
pt | TextChanged
pt | Change
pt | SetCharCase
pt | GetCharCase
pt | SetMaxLength
pt | GetMaxLength
pt | SetNumbersOnly
pt | Loaded
pt | LMPasteFromClip
pt | LMCutToClip
pt | LMClearSel
pt | EditCanModify
pt | Reset
pt | DoEnter
pt | DoExit
pt | KeyDown
pt | HandleKeyPress
pt | KeyPress
pt | Utf8KeyPress
pt | MouseUp
pt | CheckCursor
 | CutToClipBoard
 | PasteFromClipBoard
 | Create
 | Clear
 | ValidateEdit
TCustomEdit
pt | WSRegisterClass
pt | CanShowEmulatedTextHint
pt | CreateEmulatedTextHintFont
pt | CalculatePreferredSize
pt | CreateParams
pt | InitializeWnd
pt | TextChanged
pt | FontChanged
pt | Change
pt | DoEnter
pt | DoExit
pt | EditingDone
pt | GetCaretPos
pt | GetNumbersOnly
pt | GetReadOnly
pt | GetSelLength
pt | GetSelStart
pt | GetSelText
pt | GetTextHint
pt | SetCaretPos
pt | SetEchoMode
pt | SetNumbersOnly
pt | SetReadOnly
pt | SetSelLength
pt | SetSelStart
pt | SetSelText
pt | SetTextHint
pt | ChildClassAllowed
pt | GetControlClassDefaultSize
pt | MouseUp
pt | RealSetText
pt | RealGetText
pt | KeyUpAfterInterface
pt | WMChar
pt | CMWantSpecialKey
pt | WndProc
pt | ShouldAutoAdjust
pt | WMSetFocus
pt | WMKillFocus
 | Create
 | Destroy
 | Clear
 | SelectAll
 | ClearSelection
 | CopyToClipboard
 | CutToClipboard
 | PasteFromClipboard
 | Undo
 | RemoveAllHandlersOfObject
 | AddHandlerOnChange
 | RemoveHandlerOnChange
TWinControl
pt | WSRegisterClass
pt | AdjustClientRect
pt | GetAdjustedLogicalClientRect
pt | AlignControls
pt | CustomAlignInsertBefore
pt | CustomAlignPosition
pt | DoAlignChildControls
pt | DoChildSizingChange
pt | InvalidatePreferredChildSizes
pt | CanTab
pt | IsClientHeightStored
pt | IsClientWidthStored
pt | DoSendShowHideToInterface
pt | ControlsAligned
pt | DoSendBoundsToInterface
pt | RealizeBounds
pt | RealizeBoundsRecursive
pt | InvalidateBoundsRealized
pt | CreateSubClass
pt | DoConstraintsChange
pt | DoSetBounds
pt | DoAutoSize
pt | DoAllAutoSize
pt | AllAutoSized
pt | CalculatePreferredSize
pt | GetPreferredSizeClientFrame
pt | GetChildren
pt | ChildClassAllowed
pt | PaintControls
pt | PaintHandler
pt | PaintWindow
pt | CreateBrush
pt | ScaleControls
pt | ChangeScale
pt | CMBiDiModeChanged
pt | CMBorderChanged
pt | CMDoubleBufferedChanged
pt | CMEnabledChanged
pt | CMParentDoubleBufferedChanged
pt | CMShowingChanged
pt | CMShowHintChanged
pt | CMVisibleChanged
pt | CMEnter
pt | CMExit
pt | WMContextMenu
pt | WMEraseBkgnd
pt | WMNotify
pt | WMSetFocus
pt | WMKillFocus
pt | WMShowWindow
pt | WMEnter
pt | WMExit
pt | WMKeyDown
pt | WMSysKeyDown
pt | WMKeyUp
pt | WMSysKeyUp
pt | WMChar
pt | WMSysChar
pt | WMPaint
pt | WMDestroy
pt | WMMove
pt | WMSize
pt | WMWindowPosChanged
pt | CNKeyDown
pt | CNSysKeyDown
pt | CNKeyUp
pt | CNSysKeyUp
pt | CNChar
pt | DoDragMsg
pt | DoDockClientMsg
pt | DoUndockClientMsg
pt | DoAddDockClient
pt | DockOver
pt | DoDockOver
pt | DoRemoveDockClient
pt | DoUnDock
pt | GetSiteInfo
pt | GetParentHandle
pt | GetTopParentHandle
pt | ReloadDockedControl
pt | CreateDockManager
pt | SetDockManager
pt | DoFloatMsg
pt | DoGetDockCaption
pt | DoEnter
pt | DoExit
pt | DoKeyDownBeforeInterface
pt | DoRemainingKeyDown
pt | DoRemainingKeyUp
pt | DoKeyPress
pt | DoUTF8KeyPress
pt | DoKeyUpBeforeInterface
pt | ChildKey
pt | SendDialogChar
pt | DialogChar
pt | ControlKeyDown
pt | ControlKeyUp
pt | KeyDown
pt | KeyDownBeforeInterface
pt | KeyDownAfterInterface
pt | KeyPress
pt | KeyUp
pt | KeyUpBeforeInterface
pt | KeyUpAfterInterface
pt | UTF8KeyPress
pt | FindNextControl
pt | SelectFirst
pt | RealGetText
pt | GetBorderStyle
pt | GetClientOrigin
pt | GetClientRect
pt | GetControlOrigin
pt | GetDeviceContext
pt | GetParentBackground
pt | IsControlMouseMsg
pt | CreateHandle
pt | CreateParams
pt | CreateWnd
pt | DestroyHandle
pt | DestroyWnd
pt | DoFlipChildren
pt | FinalizeWnd
pt | FixupTabList
pt | FontChanged
pt | InitializeWnd
pt | Loaded
pt | FormEndUpdated
pt | MainWndProc
pt | ParentFormHandleInitialized
pt | ChildHandlesCreated
pt | GetMouseCapture
pt | RealSetText
pt | RemoveFocus
pt | SendMoveSizeMessages
pt | SetBorderStyle
pt | SetColor
pt | SetChildZPosition
pt | SetParentBackground
pt | ShowControl
pt | UpdateControlState
pt | UpdateShowing
pt | WndProc
pt | WSSetText
 | AutoSizePhases
 | AutoSizeDelayed
 | AutoSizeDelayedReport
 | AutoSizeDelayedHandle
 | BeginUpdateBounds
 | EndUpdateBounds
 | LockRealizeBounds
 | UnlockRealizeBounds
 | ControlAtPos
 | ContainsControl
 | DoAdjustClientRectChange
 | InvalidateClientRectCache
 | ClientRectNeedsInterfaceUpdate
 | SetBounds
 | GetChildrenRect
 | DisableAlign
 | EnableAlign
 | ReAlign
 | ScrollBy_WS
 | ScrollBy
 | WriteLayoutDebugReport
 | AutoAdjustLayout
 | Create
 | CreateParented
 | CreateParentedControl
 | Destroy
 | DockDrop
 | CanFocus
 | CanSetFocus
 | GetControlIndex
 | SetControlIndex
 | Focused
 | PerformTab
 | FindChildControl
 | SelectNext
 | SetTempCursor
 | BroadCast
 | NotifyControls
 | DefaultHandler
 | GetTextLen
 | Invalidate
 | AddControl
 | InsertControl
 | RemoveControl
 | GetEnumeratorControls
 | GetEnumeratorControlsReverse
 | Repaint
 | Update
 | SetFocus
 | FlipChildren
 | ScaleBy
 | GetDockCaption
 | UpdateDockCaption
 | GetTabOrderList
 | HandleAllocated
 | ParentHandlesAllocated
 | HandleNeeded
 | BrushCreated
 | EraseBackground
 | IntfUTF8KeyPress
 | IntfGetDropFilesTarget
 | PaintTo
 | SetShape
TControl
pt | WSRegisterClass
pt | GetCursor
pt | SetCursor
pt | SetVisible
pt | DoOnParentHandleDestruction
pt | DoAutoSize
pt | DoAllAutoSize
pt | BeginAutoSizing
pt | EndAutoSizing
pt | AnchorSideChanged
pt | ForeignAnchorSideChanged
pt | SetAlign
pt | SetAnchors
pt | SetAutoSize
pt | BoundsChanged
pt | CreateControlBorderSpacing
pt | DoConstraintsChange
pt | DoBorderSpacingChange
pt | IsBorderSpacingInnerBorderStored
pt | IsCaptionStored
pt | SendMoveSizeMessages
pt | ConstrainedResize
pt | CalculatePreferredSize
pt | DoOnResize
pt | DoOnChangeBounds
pt | CheckOnChangeBounds
pt | Resize
pt | RequestAlign
pt | UpdateAnchorRules
pt | ChangeBounds
pt | DoSetBounds
pt | ScaleConstraints
pt | ChangeScale
pt | CanAutoSize
pt | SetBiDiMode
pt | SetParentBiDiMode
pt | IsAParentAligning
pt | GetClientOrigin
pt | GetClientRect
pt | GetLogicalClientRect
pt | GetScrolledClientRect
pt | GetClientScrollOffset
pt | GetControlOrigin
pt | IsClientHeightStored
pt | IsClientWidthStored
pt | WidthIsAnchored
pt | HeightIsAnchored
pt | WMCancelMode
pt | WMContextMenu
pt | WMLButtonDown
pt | WMRButtonDown
pt | WMMButtonDown
pt | WMXButtonDown
pt | WMLButtonDBLCLK
pt | WMRButtonDBLCLK
pt | WMMButtonDBLCLK
pt | WMXButtonDBLCLK
pt | WMLButtonTripleCLK
pt | WMRButtonTripleCLK
pt | WMMButtonTripleCLK
pt | WMXButtonTripleCLK
pt | WMLButtonQuadCLK
pt | WMRButtonQuadCLK
pt | WMMButtonQuadCLK
pt | WMXButtonQuadCLK
pt | WMMouseMove
pt | WMLButtonUp
pt | WMRButtonUp
pt | WMMButtonUp
pt | WMXButtonUp
pt | WMMouseWheel
pt | WMMouseHWheel
pt | WMMove
pt | WMSize
pt | WMWindowPosChanged
pt | CMChanged
pt | LMCaptureChanged
pt | CMBiDiModeChanged
pt | CMSysFontChanged
pt | CMEnabledChanged
pt | CMHitTest
pt | CMMouseEnter
pt | CMMouseLeave
pt | CMHintShow
pt | CMParentBiDiModeChanged
pt | CMParentColorChanged
pt | CMParentFontChanged
pt | CMParentShowHintChanged
pt | CMVisibleChanged
pt | CMTextChanged
pt | CMCursorChanged
pt | CalculateDockSizes
pt | CreateFloatingDockSite
pt | GetDockEdge
pt | GetDragImages
pt | GetFloating
pt | GetFloatingDockSiteClass
pt | BeforeDragStart
pt | BeginAutoDrag
pt | DoFloatMsg
pt | DockTrackNoTarget
pt | DoDock
pt | DoDragMsg
pt | DoEndDock
pt | DoEndDrag
pt | DoStartDock
pt | DoStartDrag
pt | DragCanceled
pt | DragOver
pt | PositionDockRect
pt | SetDragMode
pt | GetDefaultDockCaption
pt | Click
pt | DblClick
pt | TripleClick
pt | QuadClick
pt | GetMousePosFromMessage
pt | MouseDown
pt | MouseMove
pt | MouseUp
pt | MouseEnter
pt | MouseLeave
pt | DialogChar
pt | UpdateMouseCursor
pt | Changed
pt | GetPalette
pt | ChildClassAllowed
pt | ReadState
pt | Loaded
pt | LoadedAll
pt | DefineProperties
pt | AssignTo
pt | FormEndUpdated
pt | InvalidateControl
pt | FontChanged
pt | ParentFontChanged
pt | GetAction
pt | RealGetText
pt | RealSetText
pt | TextChanged
pt | GetCachedText
pt | SetAction
pt | SetColor
pt | SetEnabled
pt | SetHint
pt | SetName
pt | SetParent
pt | SetParentComponent
pt | WndProc
pt | ParentFormHandleInitialized
pt | GetMouseCapture
pt | CaptureChanged
pt | Notification
pt | CanTab
pt | GetDeviceContext
pt | GetEnabled
pt | GetPopupMenu
pt | DoOnShowHint
pt | DoMouseWheel
pt | DoMouseWheelDown
pt | DoMouseWheelUp
pt | DoMouseWheelHorz
pt | DoMouseWheelLeft
pt | DoMouseWheelRight
pt | VisibleChanging
pt | VisibleChanged
pt | EnabledChanging
pt | EnabledChanged
pt | AddHandler
pt | RemoveHandler
pt | DoCallNotifyHandler
pt | DoCallKeyEventHandler
pt | DoCallMouseWheelEventHandler
pt | DoContextPopup
pt | SetZOrder
pt | GetControlClassDefaultSize
pt | ColorIsStored
pt | DoAutoAdjustLayout
pt | DoFixDesignFontPPI
pt | DoScaleFontPPI
pt | GetActionLinkClass
pt | ActionChange
 | DragDrop
 | Dock
 | ManualDock
 | ManualFloat
 | ReplaceDockedControl
 | Docked
 | Dragging
 | GetAccessibleObject
 | CreateAccessibleObject
 | GetSelectedChildAccessibleObject
 | GetChildAccessibleObjectAtPos
 | ScaleDesignToForm
 | ScaleFormToDesign
 | Scale96ToForm
 | ScaleFormTo96
 | Scale96ToFont
 | ScaleFontTo96
 | ScaleScreenToFont
 | ScaleFontToScreen
 | Scale96ToScreen
 | ScaleScreenTo96
 | AdjustSize
 | AutoSizePhases
 | AutoSizeDelayed
 | AutoSizeDelayedReport
 | AutoSizeDelayedHandle
 | AnchorToNeighbour
 | AnchorParallel
 | AnchorHorizontalCenterTo
 | AnchorVerticalCenterTo
 | AnchorToCompanion
 | AnchorSame
 | AnchorAsAlign
 | AnchorClient
 | AnchoredControlCount
 | SetBounds
 | SetInitialBounds
 | SetBoundsKeepBase
 | GetPreferredSize
 | GetCanvasScaleFactor
 | GetDefaultWidth
 | GetDefaultHeight
 | GetDefaultColor
 | GetColorResolvingParent
 | GetRGBColorResolvingParent
 | GetSidePosition
 | CNPreferredSizeChanged
 | InvalidatePreferredSize
 | GetAnchorsDependingOnParent
 | DisableAutoSizing
 | EnableAutoSizing
 | UpdateBaseBounds
 | WriteLayoutDebugReport
 | AutoAdjustLayout
 | ShouldAutoAdjust
 | FixDesignFontsPPI
 | ScaleFontsPPI
 | Create
 | Destroy
 | BeforeDestruction
 | EditingDone
 | ExecuteDefaultAction
 | ExecuteCancelAction
 | BeginDrag
 | EndDrag
 | BringToFront
 | HasParent
 | GetParentComponent
 | IsParentOf
 | GetTopParent
 | IsVisible
 | IsControlVisible
 | IsEnabled
 | IsParentColor
 | IsParentFont
 | FormIsUpdating
 | IsProcessingPaintMsg
 | Hide
 | Refresh
 | Repaint
 | Invalidate
 | CheckChildClassAllowed
 | CheckNewParent
 | SendToBack
 | SetTempCursor
 | UpdateRolesForForm
 | ActiveDefaultControlChanged
 | GetTextBuf
 | GetTextLen
 | SetTextBuf
 | Perform
 | ScreenToClient
 | ClientToScreen
 | ScreenToControl
 | ControlToScreen
 | ClientToParent
 | ParentToClient
 | GetChildrenRect
 | Show
 | Update
 | HandleObjectShouldBeVisible
 | ParentDestroyingHandle
 | ParentHandlesAllocated
 | InitiateAction
 | ShowHelp
 | HasHelp
 | RemoveAllHandlersOfObject
 | AddHandlerOnResize
 | RemoveHandlerOnResize
 | AddHandlerOnChangeBounds
 | RemoveHandlerOnChangeBounds
 | AddHandlerOnVisibleChanging
 | RemoveHandlerOnVisibleChanging
 | AddHandlerOnVisibleChanged
 | RemoveHandlerOnVisibleChanged
 | AddHandlerOnEnabledChanged
 | RemoveHandlerOnEnableChanging
 | AddHandlerOnKeyDown
 | RemoveHandlerOnKeyDown
 | AddHandlerOnBeforeDestruction
 | RemoveHandlerOnBeforeDestruction
 | AddHandlerOnMouseWheel
 | RemoveHandlerOnMouseWheel
 | UseRightToLeftAlignment
 | UseRightToLeftReading
 | UseRightToLeftScrollBar
 | IsRightToLeft
TLCLComponent
pt | WSRegisterClass
pt | GetWSComponentClass
 | Create
 | Destroy
 | NewInstance
 | RemoveAllHandlersOfObject
 | IncLCLRefCount
 | DecLCLRefCount
TComponent
 | GetComObject
 | GetComponent
 | GetComponentCount
 | GetComponentIndex
 | Insert
 | ReadLeft
 | ReadTop
 | Remove
 | RemoveNotification
 | SetComponentIndex
 | SetReference
 | WriteLeft
 | WriteTop
 | ChangeName
 | DefineProperties
 | GetChildren
 | GetChildOwner
 | GetChildParent
 | GetOwner
 | Loaded
 | Loading
 | Notification
 | PaletteCreated
 | ReadState
 | SetAncestor
 | SetDesigning
 | SetDesignInstance
 | SetInline
 | SetName
 | SetChildOrder
 | SetParentComponent
 | Updating
 | Updated
 | UpdateRegistry
 | ValidateRename
 | ValidateContainer
 | ValidateInsert
 | QueryInterface
 | _AddRef
 | _Release
 | iicrGetComponent
 | GetTypeInfoCount
 | GetTypeInfo
 | GetIDsOfNames
 | Invoke
 | WriteState
 | Create
 | Destroy
 | BeforeDestruction
 | DestroyComponents
 | Destroying
 | ExecuteAction
 | FindComponent
 | FreeNotification
 | RemoveFreeNotification
 | FreeOnRelease
 | GetEnumerator
 | GetNamePath
 | GetParentComponent
 | HasParent
 | InsertComponent
 | RemoveComponent
 | SafeCallException
 | SetSubComponent
 | UpdateAction
 | IsImplementorOf
 | ReferenceInterface
TPersistent
 | AssignError
 | AssignTo
 | DefineProperties
 | GetOwner
 | Destroy
 | Assign
 | FPOAttachObserver
 | FPODetachObserver
 | FPONotifyObservers
 | GetNamePath
TObject
 | Create
 | Destroy
 | newinstance
 | FreeInstance
 | SafeCallException
 | DefaultHandler
 | Free
 | InitInstance
 | CleanupInstance
 | ClassType
 | ClassInfo
 | ClassName
 | ClassNameIs
 | ClassParent
 | InstanceSize
 | InheritsFrom
 | StringMessageTable
 | MethodAddress
 | MethodName
 | FieldAddress
 | AfterConstruction
 | BeforeDestruction
 | DefaultHandlerStr
 | Dispatch
 | DispatchStr
 | GetInterface
 | GetInterfaceByStr
 | GetInterfaceWeak
 | GetInterfaceEntry
 | GetInterfaceEntryByStr
 | GetInterfaceTable
 | UnitName
 | Equals
 | GetHashCode
 | ToString


pt | ActionChange (TControl)
 | ActiveDefaultControlChanged (TControl)
 | AddControl (TWinControl)
pt | AddHandler (TControl)
 | AddHandlerOnBeforeDestruction (TControl)
 | AddHandlerOnChange (TCustomEdit)
 | AddHandlerOnChangeBounds (TControl)
 | AddHandlerOnEnabledChanged (TControl)
 | AddHandlerOnKeyDown (TControl)
 | AddHandlerOnMouseWheel (TControl)
 | AddHandlerOnResize (TControl)
 | AddHandlerOnVisibleChanged (TControl)
 | AddHandlerOnVisibleChanging (TControl)
pt | AdjustClientRect (TWinControl)
 | AdjustSize (TControl)
 | AfterConstruction (TObject)
pt | AlignControls (TWinControl)
pt | AllAutoSized (TWinControl)
 | AnchorAsAlign (TControl)
 | AnchorClient (TControl)
 | AnchoredControlCount (TControl)
 | AnchorHorizontalCenterTo (TControl)
 | AnchorParallel (TControl)
 | AnchorSame (TControl)
pt | AnchorSideChanged (TControl)
 | AnchorToCompanion (TControl)
 | AnchorToNeighbour (TControl)
 | AnchorVerticalCenterTo (TControl)
pt | ApplyMaskToText (TCustomMaskEdit)
 | Assign (TPersistent)
 | AssignError (TPersistent)
 | AssignTo (TPersistent)
pt | AssignTo (TControl)
 | AutoAdjustLayout (TControl)
 | AutoAdjustLayout (TWinControl)
 | AutoSizeDelayed (TControl)
 | AutoSizeDelayed (TWinControl)
 | AutoSizeDelayedHandle (TControl)
 | AutoSizeDelayedHandle (TWinControl)
 | AutoSizeDelayedReport (TControl)
 | AutoSizeDelayedReport (TWinControl)
 | AutoSizePhases (TControl)
 | AutoSizePhases (TWinControl)
 | BeforeDestruction (TObject)
 | BeforeDestruction (TComponent)
 | BeforeDestruction (TControl)
pt | BeforeDragStart (TControl)
pt | BeginAutoDrag (TControl)
pt | BeginAutoSizing (TControl)
 | BeginDrag (TControl)
 | BeginUpdateBounds (TWinControl)
pt | BoundsChanged (TControl)
 | BringToFront (TControl)
 | BroadCast (TWinControl)
 | BrushCreated (TWinControl)
pt | CalculateDockSizes (TControl)
pt | CalculatePreferredSize (TControl)
pt | CalculatePreferredSize (TWinControl)
pt | CalculatePreferredSize (TCustomEdit)
pt | CanAutoSize (TControl)
 | CanFocus (TWinControl)
 | CanSetFocus (TWinControl)
pt | CanShowEmulatedTextHint (TCustomEdit)
pt | CanShowEmulatedTextHint (TCustomMaskEdit)
pt | CanTab (TControl)
pt | CanTab (TWinControl)
pt | CaptureChanged (TControl)
pt | Change (TCustomEdit)
pt | Change (TCustomMaskEdit)
pt | ChangeBounds (TControl)
pt | Changed (TControl)
 | ChangeName (TComponent)
pt | ChangeScale (TControl)
pt | ChangeScale (TWinControl)
 | CheckChildClassAllowed (TControl)
pt | CheckCursor (TCustomMaskEdit)
 | CheckNewParent (TControl)
pt | CheckOnChangeBounds (TControl)
pt | ChildClassAllowed (TControl)
pt | ChildClassAllowed (TWinControl)
pt | ChildClassAllowed (TCustomEdit)
pt | ChildHandlesCreated (TWinControl)
pt | ChildKey (TWinControl)
 | ClassInfo (TObject)
 | ClassName (TObject)
 | ClassNameIs (TObject)
 | ClassParent (TObject)
 | ClassType (TObject)
 | CleanupInstance (TObject)
 | Clear (TCustomEdit)
 | Clear (TCustomMaskEdit)
 | ClearSelection (TCustomEdit)
pt | Click (TControl)
 | ClientRectNeedsInterfaceUpdate (TWinControl)
 | ClientToParent (TControl)
 | ClientToScreen (TControl)
pt | CMBiDiModeChanged (TControl)
pt | CMBiDiModeChanged (TWinControl)
pt | CMBorderChanged (TWinControl)
pt | CMChanged (TControl)
pt | CMCursorChanged (TControl)
pt | CMDoubleBufferedChanged (TWinControl)
pt | CMEnabledChanged (TControl)
pt | CMEnabledChanged (TWinControl)
pt | CMEnter (TWinControl)
pt | CMExit (TWinControl)
pt | CMHintShow (TControl)
pt | CMHitTest (TControl)
pt | CMMouseEnter (TControl)
pt | CMMouseLeave (TControl)
pt | CMParentBiDiModeChanged (TControl)
pt | CMParentColorChanged (TControl)
pt | CMParentDoubleBufferedChanged (TWinControl)
pt | CMParentFontChanged (TControl)
pt | CMParentShowHintChanged (TControl)
pt | CMShowHintChanged (TWinControl)
pt | CMShowingChanged (TWinControl)
pt | CMSysFontChanged (TControl)
pt | CMTextChanged (TControl)
pt | CMVisibleChanged (TControl)
pt | CMVisibleChanged (TWinControl)
pt | CMWantSpecialKey (TCustomEdit)
pt | CNChar (TWinControl)
pt | CNKeyDown (TWinControl)
pt | CNKeyUp (TWinControl)
 | CNPreferredSizeChanged (TControl)
pt | CNSysKeyDown (TWinControl)
pt | CNSysKeyUp (TWinControl)
pt | ColorIsStored (TControl)
pt | ConstrainedResize (TControl)
 | ContainsControl (TWinControl)
 | ControlAtPos (TWinControl)
pt | ControlKeyDown (TWinControl)
pt | ControlKeyUp (TWinControl)
pt | ControlsAligned (TWinControl)
 | ControlToScreen (TControl)
 | CopyToClipboard (TCustomEdit)
 | Create (TObject)
 | Create (TComponent)
 | Create (TLCLComponent)
 | Create (TControl)
 | Create (TWinControl)
 | Create (TCustomEdit)
 | Create (TCustomMaskEdit)
 | CreateAccessibleObject (TControl)
pt | CreateBrush (TWinControl)
pt | CreateControlBorderSpacing (TControl)
pt | CreateDockManager (TWinControl)
pt | CreateEmulatedTextHintFont (TCustomEdit)
pt | CreateFloatingDockSite (TControl)
pt | CreateHandle (TWinControl)
pt | CreateParams (TWinControl)
pt | CreateParams (TCustomEdit)
 | CreateParented (TWinControl)
 | CreateParentedControl (TWinControl)
pt | CreateSubClass (TWinControl)
pt | CreateWnd (TWinControl)
pt | CustomAlignInsertBefore (TWinControl)
pt | CustomAlignPosition (TWinControl)
 | CutToClipboard (TCustomEdit)
 | CutToClipBoard (TCustomMaskEdit)
pt | DblClick (TControl)
 | DecLCLRefCount (TLCLComponent)
 | DefaultHandler (TObject)
 | DefaultHandler (TWinControl)
 | DefaultHandlerStr (TObject)
 | DefineProperties (TPersistent)
 | DefineProperties (TComponent)
pt | DefineProperties (TControl)
 | Destroy (TObject)
 | Destroy (TPersistent)
 | Destroy (TComponent)
 | Destroy (TLCLComponent)
 | Destroy (TControl)
 | Destroy (TWinControl)
 | Destroy (TCustomEdit)
 | DestroyComponents (TComponent)
pt | DestroyHandle (TWinControl)
 | Destroying (TComponent)
pt | DestroyWnd (TWinControl)
pt | DialogChar (TControl)
pt | DialogChar (TWinControl)
 | DisableAlign (TWinControl)
 | DisableAutoSizing (TControl)
pt | DisableMask (TCustomMaskEdit)
 | Dispatch (TObject)
 | DispatchStr (TObject)
pt | DoAddDockClient (TWinControl)
 | DoAdjustClientRectChange (TWinControl)
pt | DoAlignChildControls (TWinControl)
pt | DoAllAutoSize (TControl)
pt | DoAllAutoSize (TWinControl)
pt | DoAutoAdjustLayout (TControl)
pt | DoAutoSize (TControl)
pt | DoAutoSize (TWinControl)
pt | DoBorderSpacingChange (TControl)
pt | DoCallKeyEventHandler (TControl)
pt | DoCallMouseWheelEventHandler (TControl)
pt | DoCallNotifyHandler (TControl)
pt | DoChildSizingChange (TWinControl)
 | Dock (TControl)
 | DockDrop (TWinControl)
 | Docked (TControl)
pt | DockOver (TWinControl)
pt | DockTrackNoTarget (TControl)
pt | DoConstraintsChange (TControl)
pt | DoConstraintsChange (TWinControl)
pt | DoContextPopup (TControl)
pt | DoDock (TControl)
pt | DoDockClientMsg (TWinControl)
pt | DoDockOver (TWinControl)
pt | DoDragMsg (TControl)
pt | DoDragMsg (TWinControl)
pt | DoEndDock (TControl)
pt | DoEndDrag (TControl)
pt | DoEnter (TWinControl)
pt | DoEnter (TCustomEdit)
pt | DoEnter (TCustomMaskEdit)
pt | DoEnter (TEbEdit)
pt | DoExit (TWinControl)
pt | DoExit (TCustomEdit)
pt | DoExit (TCustomMaskEdit)
pt | DoExit (TEbEdit)
pt | DoFixDesignFontPPI (TControl)
pt | DoFlipChildren (TWinControl)
pt | DoFloatMsg (TControl)
pt | DoFloatMsg (TWinControl)
pt | DoGetDockCaption (TWinControl)
pt | DoKeyDownBeforeInterface (TWinControl)
pt | DoKeyPress (TWinControl)
pt | DoKeyUpBeforeInterface (TWinControl)
pt | DoMouseWheel (TControl)
pt | DoMouseWheelDown (TControl)
pt | DoMouseWheelHorz (TControl)
pt | DoMouseWheelLeft (TControl)
pt | DoMouseWheelRight (TControl)
pt | DoMouseWheelUp (TControl)
pt | DoOnChangeBounds (TControl)
pt | DoOnParentHandleDestruction (TControl)
pt | DoOnResize (TControl)
pt | DoOnShowHint (TControl)
pt | DoRemainingKeyDown (TWinControl)
pt | DoRemainingKeyUp (TWinControl)
pt | DoRemoveDockClient (TWinControl)
pt | DoScaleFontPPI (TControl)
pt | DoSendBoundsToInterface (TWinControl)
pt | DoSendShowHideToInterface (TWinControl)
pt | DoSetBounds (TControl)
pt | DoSetBounds (TWinControl)
pt | DoStartDock (TControl)
pt | DoStartDrag (TControl)
pt | DoUnDock (TWinControl)
pt | DoUndockClientMsg (TWinControl)
pt | DoUTF8KeyPress (TWinControl)
pt | DragCanceled (TControl)
 | DragDrop (TControl)
 | Dragging (TControl)
pt | DragOver (TControl)
pt | EditCanModify (TCustomMaskEdit)
 | EditingDone (TControl)
pt | EditingDone (TCustomEdit)
 | EnableAlign (TWinControl)
 | EnableAutoSizing (TControl)
pt | EnabledChanged (TControl)
pt | EnabledChanging (TControl)
pt | EndAutoSizing (TControl)
 | EndDrag (TControl)
 | EndUpdateBounds (TWinControl)
 | Equals (TObject)
 | EraseBackground (TWinControl)
 | ExecuteAction (TComponent)
 | ExecuteCancelAction (TControl)
 | ExecuteDefaultAction (TControl)
 | FieldAddress (TObject)
pt | FinalizeWnd (TWinControl)
 | FindChildControl (TWinControl)
 | FindComponent (TComponent)
pt | FindNextControl (TWinControl)
 | FixDesignFontsPPI (TControl)
pt | FixupTabList (TWinControl)
 | FlipChildren (TWinControl)
 | Focused (TWinControl)
pt | FontChanged (TControl)
pt | FontChanged (TWinControl)
pt | FontChanged (TCustomEdit)
pt | ForeignAnchorSideChanged (TControl)
pt | FormEndUpdated (TControl)
pt | FormEndUpdated (TWinControl)
 | FormIsUpdating (TControl)
 | FPOAttachObserver (TPersistent)
 | FPODetachObserver (TPersistent)
 | FPONotifyObservers (TPersistent)
 | Free (TObject)
 | FreeInstance (TObject)
 | FreeNotification (TComponent)
 | FreeOnRelease (TComponent)
 | GetAccessibleObject (TControl)
pt | GetAction (TControl)
pt | GetActionLinkClass (TControl)
pt | GetAdjustedLogicalClientRect (TWinControl)
 | GetAnchorsDependingOnParent (TControl)
pt | GetBorderStyle (TWinControl)
pt | GetCachedText (TControl)
 | GetCanvasScaleFactor (TControl)
pt | GetCaretPos (TCustomEdit)
pt | GetCharCase (TCustomMaskEdit)
 | GetChildAccessibleObjectAtPos (TControl)
 | GetChildOwner (TComponent)
 | GetChildParent (TComponent)
 | GetChildren (TComponent)
pt | GetChildren (TWinControl)
 | GetChildrenRect (TControl)
 | GetChildrenRect (TWinControl)
pt | GetClientOrigin (TControl)
pt | GetClientOrigin (TWinControl)
pt | GetClientRect (TControl)
pt | GetClientRect (TWinControl)
pt | GetClientScrollOffset (TControl)
 | GetColorResolvingParent (TControl)
 | GetComObject (TComponent)
 | GetComponent (TComponent)
 | GetComponentCount (TComponent)
 | GetComponentIndex (TComponent)
pt | GetControlClassDefaultSize (TControl)
pt | GetControlClassDefaultSize (TCustomEdit)
 | GetControlIndex (TWinControl)
pt | GetControlOrigin (TControl)
pt | GetControlOrigin (TWinControl)
pt | GetCursor (TControl)
 | GetDefaultColor (TControl)
pt | GetDefaultDockCaption (TControl)
 | GetDefaultHeight (TControl)
 | GetDefaultWidth (TControl)
pt | GetDeviceContext (TControl)
pt | GetDeviceContext (TWinControl)
 | GetDockCaption (TWinControl)
pt | GetDockEdge (TControl)
pt | GetDragImages (TControl)
pt | GetEditText (TCustomMaskEdit)
pt | GetEnabled (TControl)
 | GetEnumerator (TComponent)
 | GetEnumeratorControls (TWinControl)
 | GetEnumeratorControlsReverse (TWinControl)
pt | GetFloating (TControl)
pt | GetFloatingDockSiteClass (TControl)
 | GetHashCode (TObject)
 | GetIDsOfNames (TComponent)
 | GetInterface (TObject)
 | GetInterfaceByStr (TObject)
 | GetInterfaceEntry (TObject)
 | GetInterfaceEntryByStr (TObject)
 | GetInterfaceTable (TObject)
 | GetInterfaceWeak (TObject)
pt | GetLogicalClientRect (TControl)
pt | GetMaxLength (TCustomMaskEdit)
pt | GetMouseCapture (TControl)
pt | GetMouseCapture (TWinControl)
pt | GetMousePosFromMessage (TControl)
 | GetNamePath (TPersistent)
 | GetNamePath (TComponent)
pt | GetNumbersOnly (TCustomEdit)
 | GetOwner (TPersistent)
 | GetOwner (TComponent)
pt | GetPalette (TControl)
pt | GetParentBackground (TWinControl)
 | GetParentComponent (TComponent)
 | GetParentComponent (TControl)
pt | GetParentHandle (TWinControl)
pt | GetPopupMenu (TControl)
 | GetPreferredSize (TControl)
pt | GetPreferredSizeClientFrame (TWinControl)
pt | GetReadOnly (TCustomEdit)
 | GetRGBColorResolvingParent (TControl)
pt | GetScrolledClientRect (TControl)
pt | GetSel (TCustomMaskEdit)
 | GetSelectedChildAccessibleObject (TControl)
pt | GetSelLength (TCustomEdit)
pt | GetSelStart (TCustomEdit)
pt | GetSelText (TCustomEdit)
 | GetSidePosition (TControl)
pt | GetSiteInfo (TWinControl)
 | GetTabOrderList (TWinControl)
 | GetTextBuf (TControl)
pt | GetTextHint (TCustomEdit)
 | GetTextLen (TControl)
 | GetTextLen (TWinControl)
pt | GetTextWithoutMask (TCustomMaskEdit)
pt | GetTextWithoutSpaceChar (TCustomMaskEdit)
 | GetTopParent (TControl)
pt | GetTopParentHandle (TWinControl)
 | GetTypeInfo (TComponent)
 | GetTypeInfoCount (TComponent)
pt | GetWSComponentClass (TLCLComponent)
 | HandleAllocated (TWinControl)
pt | HandleKeyPress (TCustomMaskEdit)
 | HandleNeeded (TWinControl)
 | HandleObjectShouldBeVisible (TControl)
 | HasHelp (TControl)
 | HasParent (TComponent)
 | HasParent (TControl)
pt | HeightIsAnchored (TControl)
 | Hide (TControl)
 | iicrGetComponent (TComponent)
 | IncLCLRefCount (TLCLComponent)
 | InheritsFrom (TObject)
pt | InitializeWnd (TWinControl)
pt | InitializeWnd (TCustomEdit)
 | InitiateAction (TControl)
 | InitInstance (TObject)
 | Insert (TComponent)
 | InsertComponent (TComponent)
 | InsertControl (TWinControl)
 | InstanceSize (TObject)
 | IntfGetDropFilesTarget (TWinControl)
 | IntfUTF8KeyPress (TWinControl)
 | Invalidate (TControl)
 | Invalidate (TWinControl)
pt | InvalidateBoundsRealized (TWinControl)
 | InvalidateClientRectCache (TWinControl)
pt | InvalidateControl (TControl)
pt | InvalidatePreferredChildSizes (TWinControl)
 | InvalidatePreferredSize (TControl)
 | Invoke (TComponent)
pt | IsAParentAligning (TControl)
pt | IsBorderSpacingInnerBorderStored (TControl)
pt | IsCaptionStored (TControl)
pt | IsClientHeightStored (TControl)
pt | IsClientHeightStored (TWinControl)
pt | IsClientWidthStored (TControl)
pt | IsClientWidthStored (TWinControl)
pt | IsControlMouseMsg (TWinControl)
 | IsControlVisible (TControl)
 | IsEnabled (TControl)
 | IsImplementorOf (TComponent)
 | IsParentColor (TControl)
 | IsParentFont (TControl)
 | IsParentOf (TControl)
 | IsProcessingPaintMsg (TControl)
 | IsRightToLeft (TControl)
 | IsVisible (TControl)
pt | KeyDown (TWinControl)
pt | KeyDown (TCustomMaskEdit)
pt | KeyDownAfterInterface (TWinControl)
pt | KeyDownBeforeInterface (TWinControl)
pt | KeyPress (TWinControl)
pt | KeyPress (TCustomMaskEdit)
pt | KeyUp (TWinControl)
pt | KeyUpAfterInterface (TWinControl)
pt | KeyUpAfterInterface (TCustomEdit)
pt | KeyUpBeforeInterface (TWinControl)
pt | LMCaptureChanged (TControl)
pt | LMClearSel (TCustomMaskEdit)
pt | LMCutToClip (TCustomMaskEdit)
pt | LMPasteFromClip (TCustomMaskEdit)
 | Loaded (TComponent)
pt | Loaded (TControl)
pt | Loaded (TWinControl)
pt | Loaded (TCustomMaskEdit)
pt | LoadedAll (TControl)
 | Loading (TComponent)
 | LockRealizeBounds (TWinControl)
pt | MainWndProc (TWinControl)
 | ManualDock (TControl)
 | ManualFloat (TControl)
 | MethodAddress (TObject)
 | MethodName (TObject)
pt | MouseDown (TControl)
pt | MouseEnter (TControl)
pt | MouseLeave (TControl)
pt | MouseMove (TControl)
pt | MouseUp (TControl)
pt | MouseUp (TCustomEdit)
pt | MouseUp (TCustomMaskEdit)
 | newinstance (TObject)
 | NewInstance (TLCLComponent)
 | Notification (TComponent)
pt | Notification (TControl)
 | NotifyControls (TWinControl)
pt | PaintControls (TWinControl)
pt | PaintHandler (TWinControl)
 | PaintTo (TWinControl)
pt | PaintWindow (TWinControl)
 | PaletteCreated (TComponent)
 | ParentDestroyingHandle (TControl)
pt | ParentFontChanged (TControl)
pt | ParentFormHandleInitialized (TControl)
pt | ParentFormHandleInitialized (TWinControl)
 | ParentHandlesAllocated (TControl)
 | ParentHandlesAllocated (TWinControl)
 | ParentToClient (TControl)
 | PasteFromClipboard (TCustomEdit)
 | PasteFromClipBoard (TCustomMaskEdit)
 | Perform (TControl)
 | PerformTab (TWinControl)
 | PerformTab (TGEEdit)
pt | PositionDockRect (TControl)
pt | QuadClick (TControl)
 | QueryInterface (TComponent)
 | ReadLeft (TComponent)
 | ReadState (TComponent)
pt | ReadState (TControl)
 | ReadTop (TComponent)
pt | RealGetText (TControl)
pt | RealGetText (TWinControl)
pt | RealGetText (TCustomEdit)
pt | RealGetText (TCustomMaskEdit)
 | ReAlign (TWinControl)
pt | RealizeBounds (TWinControl)
pt | RealizeBoundsRecursive (TWinControl)
pt | RealSetText (TControl)
pt | RealSetText (TWinControl)
pt | RealSetText (TCustomEdit)
pt | RealSetText (TCustomMaskEdit)
 | ReferenceInterface (TComponent)
 | Refresh (TControl)
pt | ReloadDockedControl (TWinControl)
 | Remove (TComponent)
 | RemoveAllHandlersOfObject (TLCLComponent)
 | RemoveAllHandlersOfObject (TControl)
 | RemoveAllHandlersOfObject (TCustomEdit)
 | RemoveComponent (TComponent)
 | RemoveControl (TWinControl)
pt | RemoveFocus (TWinControl)
 | RemoveFreeNotification (TComponent)
pt | RemoveHandler (TControl)
 | RemoveHandlerOnBeforeDestruction (TControl)
 | RemoveHandlerOnChange (TCustomEdit)
 | RemoveHandlerOnChangeBounds (TControl)
 | RemoveHandlerOnEnableChanging (TControl)
 | RemoveHandlerOnKeyDown (TControl)
 | RemoveHandlerOnMouseWheel (TControl)
 | RemoveHandlerOnResize (TControl)
 | RemoveHandlerOnVisibleChanged (TControl)
 | RemoveHandlerOnVisibleChanging (TControl)
 | RemoveNotification (TComponent)
 | Repaint (TControl)
 | Repaint (TWinControl)
 | ReplaceDockedControl (TControl)
pt | RequestAlign (TControl)
pt | Reset (TCustomMaskEdit)
pt | Resize (TControl)
pt | RestoreMask (TCustomMaskEdit)
 | SafeCallException (TObject)
 | SafeCallException (TComponent)
 | Scale96ToFont (TControl)
 | Scale96ToForm (TControl)
 | Scale96ToScreen (TControl)
 | ScaleBy (TWinControl)
pt | ScaleConstraints (TControl)
pt | ScaleControls (TWinControl)
 | ScaleDesignToForm (TControl)
 | ScaleFontsPPI (TControl)
 | ScaleFontTo96 (TControl)
 | ScaleFontToScreen (TControl)
 | ScaleFormTo96 (TControl)
 | ScaleFormToDesign (TControl)
 | ScaleScreenTo96 (TControl)
 | ScaleScreenToFont (TControl)
 | ScreenToClient (TControl)
 | ScreenToControl (TControl)
 | ScrollBy (TWinControl)
 | ScrollBy_WS (TWinControl)
 | SelectAll (TCustomEdit)
pt | SelectFirst (TWinControl)
 | SelectNext (TWinControl)
pt | SendDialogChar (TWinControl)
pt | SendMoveSizeMessages (TControl)
pt | SendMoveSizeMessages (TWinControl)
 | SendToBack (TControl)
pt | SetAction (TControl)
pt | SetAlign (TControl)
 | SetAncestor (TComponent)
pt | SetAnchors (TControl)
pt | SetAutoSize (TControl)
pt | SetBiDiMode (TControl)
pt | SetBorderStyle (TWinControl)
 | SetBounds (TControl)
 | SetBounds (TWinControl)
 | SetBoundsKeepBase (TControl)
pt | SetCaretPos (TCustomEdit)
pt | SetCharCase (TCustomMaskEdit)
 | SetChildOrder (TComponent)
pt | SetChildZPosition (TWinControl)
pt | SetColor (TControl)
pt | SetColor (TWinControl)
 | SetComponentIndex (TComponent)
 | SetControlIndex (TWinControl)
pt | SetCursor (TControl)
 | SetDesigning (TComponent)
 | SetDesignInstance (TComponent)
pt | SetDockManager (TWinControl)
pt | SetDragMode (TControl)
pt | SetEchoMode (TCustomEdit)
pt | SetEditText (TCustomMaskEdit)
pt | SetEnabled (TControl)
 | SetFocus (TWinControl)
pt | SetHint (TControl)
 | SetInitialBounds (TControl)
 | SetInline (TComponent)
pt | SetMaxLength (TCustomMaskEdit)
 | SetName (TComponent)
pt | SetName (TControl)
pt | SetNumbersOnly (TCustomEdit)
pt | SetNumbersOnly (TCustomMaskEdit)
pt | SetParent (TControl)
pt | SetParentBackground (TWinControl)
pt | SetParentBiDiMode (TControl)
 | SetParentComponent (TComponent)
pt | SetParentComponent (TControl)
pt | SetReadOnly (TCustomEdit)
 | SetReference (TComponent)
pt | SetSel (TCustomMaskEdit)
pt | SetSelLength (TCustomEdit)
pt | SetSelStart (TCustomEdit)
pt | SetSelText (TCustomEdit)
 | SetShape (TWinControl)
 | SetSubComponent (TComponent)
 | SetTempCursor (TControl)
 | SetTempCursor (TWinControl)
pt | SetTextApplyMask (TCustomMaskEdit)
 | SetTextBuf (TControl)
pt | SetTextHint (TCustomEdit)
pt | SetVisible (TControl)
pt | SetZOrder (TControl)
 | ShouldAutoAdjust (TControl)
pt | ShouldAutoAdjust (TCustomEdit)
 | Show (TControl)
pt | ShowControl (TWinControl)
 | ShowHelp (TControl)
 | StringMessageTable (TObject)
pt | TextChanged (TControl)
pt | TextChanged (TCustomEdit)
pt | TextChanged (TCustomMaskEdit)
 | ToString (TObject)
pt | TripleClick (TControl)
 | Undo (TCustomEdit)
 | UnitName (TObject)
 | UnlockRealizeBounds (TWinControl)
 | Update (TControl)
 | Update (TWinControl)
 | UpdateAction (TComponent)
pt | UpdateAnchorRules (TControl)
 | UpdateBaseBounds (TControl)
pt | UpdateControlState (TWinControl)
 | Updated (TComponent)
 | UpdateDockCaption (TWinControl)
pt | UpdateMouseCursor (TControl)
 | UpdateRegistry (TComponent)
 | UpdateRolesForForm (TControl)
pt | UpdateShowing (TWinControl)
 | Updating (TComponent)
 | UseRightToLeftAlignment (TControl)
 | UseRightToLeftReading (TControl)
 | UseRightToLeftScrollBar (TControl)
pt | UTF8KeyPress (TWinControl)
pt | Utf8KeyPress (TCustomMaskEdit)
 | ValidateContainer (TComponent)
 | ValidateEdit (TCustomMaskEdit)
 | ValidateInsert (TComponent)
 | ValidateRename (TComponent)
pt | VisibleChanged (TControl)
pt | VisibleChanging (TControl)
pt | WidthIsAnchored (TControl)
pt | WMCancelMode (TControl)
pt | WMChar (TWinControl)
pt | WMChar (TCustomEdit)
pt | WMContextMenu (TControl)
pt | WMContextMenu (TWinControl)
pt | WMDestroy (TWinControl)
pt | WMEnter (TWinControl)
pt | WMEraseBkgnd (TWinControl)
pt | WMExit (TWinControl)
pt | WMKeyDown (TWinControl)
pt | WMKeyUp (TWinControl)
pt | WMKillFocus (TWinControl)
pt | WMKillFocus (TCustomEdit)
pt | WMLButtonDBLCLK (TControl)
pt | WMLButtonDown (TControl)
pt | WMLButtonQuadCLK (TControl)
pt | WMLButtonTripleCLK (TControl)
pt | WMLButtonUp (TControl)
pt | WMMButtonDBLCLK (TControl)
pt | WMMButtonDown (TControl)
pt | WMMButtonQuadCLK (TControl)
pt | WMMButtonTripleCLK (TControl)
pt | WMMButtonUp (TControl)
pt | WMMouseHWheel (TControl)
pt | WMMouseMove (TControl)
pt | WMMouseWheel (TControl)
pt | WMMove (TControl)
pt | WMMove (TWinControl)
pt | WMNotify (TWinControl)
pt | WMPaint (TWinControl)
pt | WMRButtonDBLCLK (TControl)
pt | WMRButtonDown (TControl)
pt | WMRButtonQuadCLK (TControl)
pt | WMRButtonTripleCLK (TControl)
pt | WMRButtonUp (TControl)
pt | WMSetFocus (TWinControl)
pt | WMSetFocus (TCustomEdit)
pt | WMShowWindow (TWinControl)
pt | WMSize (TControl)
pt | WMSize (TWinControl)
pt | WMSysChar (TWinControl)
pt | WMSysKeyDown (TWinControl)
pt | WMSysKeyUp (TWinControl)
pt | WMWindowPosChanged (TControl)
pt | WMWindowPosChanged (TWinControl)
pt | WMXButtonDBLCLK (TControl)
pt | WMXButtonDown (TControl)
pt | WMXButtonQuadCLK (TControl)
pt | WMXButtonTripleCLK (TControl)
pt | WMXButtonUp (TControl)
pt | WndProc (TControl)
pt | WndProc (TWinControl)
pt | WndProc (TCustomEdit)
 | WriteLayoutDebugReport (TControl)
 | WriteLayoutDebugReport (TWinControl)
 | WriteLeft (TComponent)
 | WriteState (TComponent)
 | WriteTop (TComponent)
pt | WSRegisterClass (TLCLComponent)
pt | WSRegisterClass (TControl)
pt | WSRegisterClass (TWinControl)
pt | WSRegisterClass (TCustomEdit)
pt | WSSetText (TWinControl)
 | _AddRef (TComponent)
 | _Release (TComponent)


TEbEdit
TGEEdit
TCustomMaskEdit
TCustomEdit
 | OnChange
TWinControl
pt | OnGetSiteInfo
pt | OnGetDockCaption
 | OnAlignInsertBefore
 | OnAlignPosition
 | OnDockDrop
 | OnDockOver
 | OnEnter
 | OnExit
 | OnKeyDown
 | OnKeyPress
 | OnKeyUp
 | OnUnDock
 | OnUTF8KeyPress
TControl
pt | OnConstrainedResize
pt | OnContextPopup
pt | OnDblClick
pt | OnTripleClick
pt | OnQuadClick
pt | OnDragDrop
pt | OnDragOver
pt | OnEndDock
pt | OnEndDrag
pt | OnMouseDown
pt | OnMouseMove
pt | OnMouseUp
pt | OnMouseEnter
pt | OnMouseLeave
pt | OnMouseWheel
pt | OnMouseWheelDown
pt | OnMouseWheelUp
pt | OnMouseWheelHorz
pt | OnMouseWheelLeft
pt | OnMouseWheelRight
pt | OnStartDock
pt | OnStartDrag
pt | OnEditingDone
 | OnChangeBounds
 | OnClick
 | OnResize
 | OnShowHint
TLCLComponent
TComponent
TPersistent
TObject


TEbEdit.DoEnter

Declaration

Source position: editbtn.pas line 47

protected procedure TEbEdit.DoEnter; override;


TEbEdit.DoExit

Declaration

Source position: editbtn.pas line 48

protected procedure TEbEdit.DoExit; override;


TEditButton

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

TEditButton, an Edit Box with attached Speed Button

Declaration

Source position: editbtn.pas line 124

type TEditButton = class(TCustomEditButton)
public
property AutoSelected: Boolean;
property Button: TSpeedButton; | Button - the SpeedButton that is attached to the Edit Box
published
property NumbersOnly: Boolean;
property Action: TBasicAction;
property AutoSelect: Boolean; | If True, the edit control will select all its text when it receives focus or when the Enter key is pressed.
property AutoSize: Boolean; | TEditButton default is True
property Align: TAlign; | Specifies the placement of the control inside its Parent.
property Alignment: TAlignment;
property Anchors: TAnchors; | The set of anchor definitions for this control.
property BiDiMode: TBiDiMode;
property BorderSpacing: TControlBorderSpacing; | Determines the inner and outer border spacing for this control.
property BorderStyle: TBorderStyle;
property ButtonCaption: TCaption;
property ButtonCursor: TCursor;
property ButtonHint: TTranslateString; | ButtonHint - the hint that pops up when the mouse hovers over the button
property ButtonOnlyWhenFocused: Boolean; | ButtonOnlyWhenFocused - if True, the SpeedButton only appears when focus is given to the EditButton control
property ButtonWidth: Integer; | ButtonWidth - the width of the SpeedButton attached to the Edit Box
property CharCase: TEditCharCase; | Allows to force the text into all upper or lower case.
property Color: TColor; | The background color of the control.
property Constraints: TSizeConstraints;
property Cursor: TCursor;
property DirectInput: Boolean; | DirectInput - if True, direct data input to the Edit Box is permitted
property EchoMode: TEchoMode; | Allows to modify the text display, useful for entering passwords.
property Enabled: Boolean; | Determines whether the control reacts on mouse or keyboard input.
property Flat: Boolean; | Flat - if True, SpeedButton appears flat rather than three-dimensional
property FocusOnButtonClick: Boolean;
property Font: TFont; | The font to be used for text display in this control.
property Glyph: TBitmap; | Glyph - the small graphic image on the SpeedButton, which ought to indicate its function
property Hint: TTranslateString;
property Images: TCustomImageList;
property ImageIndex: TImageIndex;
property ImageWidth: Integer;
property Layout: TLeftRight;
property MaxLength: Integer; | The maximum length of the text; zero for unlimited.
property NumGlyphs: Integer; | NumGlyphs - the number of available glyphs
property OnButtonClick: TNotifyEvent; | OnButtonClick - event handler for a mouse click on the SpeedButton
property OnChange: TNotifyEvent; | Event handler for any change in text.
property OnClick: TNotifyEvent; | Notification handler for mouse clicks.
property OnDblClick: TNotifyEvent; | Event Handler for double mouse clicks.
property OnDragDrop: TDragDropEvent; | This handler determines the action on an drop onto this control, in a drag-drop operation.
property OnDragOver: TDragOverEvent; | Event handler for a control being dragged over this control.
property OnContextPopup: TContextPopupEvent;
property OnEditingDone: TNotifyEvent; | Event handler when editing is done.
property OnEndDrag: TEndDragEvent; | Notification handler for the end of a dragging operation.
property OnEnter: TNotifyEvent; | Handler for control receiving the focus.
property OnExit: TNotifyEvent; | Handler for control loosing the focus. This is a good place for checking the finished user input.
property OnKeyDown: TKeyEvent; | Handler for keyboard key pressed.
property OnKeyPress: TKeyPressEvent; | Handler for a character entered by the user.
property OnKeyUp: TKeyEvent; | Handler for keyboard key released.
property OnMouseDown: TMouseEvent; | Event handler for mouse button going down.
property OnMouseEnter: TNotifyEvent;
property OnMouseLeave: TNotifyEvent;
property OnMouseMove: TMouseMoveEvent; | Event handler for mouse movement within the control.
property OnMouseUp: TMouseEvent; | Event handler for mouse button going up.
property OnMouseWheel: TMouseWheelEvent;
property OnMouseWheelDown: TMouseWheelUpDownEvent;
property OnMouseWheelUp: TMouseWheelUpDownEvent;
property OnStartDrag: TStartDragEvent; | Event handler for the start of a dragging operation.
property OnUTF8KeyPress: TUTF8KeyPressEvent; | Handler for a character entered by the user.
property ParentBiDiMode: Boolean;
property ParentColor: Boolean; | If true, the Color of the control will be the same as the one from the Parent. Default is true.
property ParentFont: Boolean; | If true, the Font of the control will be the same as the one from the Parent. Default is true.
property ParentShowHint: Boolean; | If true, the value of ShowHint for the control will be the same as the one from the Parent. Default is true.
property PasswordChar: Char; | Allows to obfuscate the displayed text, showing all characters as PasswordChar.
property PopupMenu: TPopupMenu; | A context-sensitive menu that pops up when the right mouse button is clicked over this control
property ReadOnly: Boolean; | Prevents the user from changing the text.
property ShowHint: Boolean; | Enables the Hint display.
property Spacing: Integer;
property TabOrder: TTabOrder; | Determines the sequence of controls, reachable when the user presses the Tab key.
property TabStop: Boolean; | Allows the user to navigate to this control, by pressing the Tab key.
property Text: TCaption; | The text in the edit box.
property TextHint: TTranslateString;
property Visible: Boolean; | Allows to show or hide the control, and all of its children.
end;

Inheritance

TEditButton | TEditButton, an Edit Box with attached Speed Button
|
TCustomEditButton | TCustomEditButton - base class for TEditButton, an Edit Box with attached Speed Button
|
TCustomAbstractGroupedEdit |
|
TCustomControl | The base class for windowed controls which paint themselves.
|
TWinControl | The base class for controls which can contain other (child) controls.
|
TControl | The base class for visible controls.
|
TLCLComponent | The base class for LCL components associated with widgets.
|
TComponent,IUnknown,IInterfaceComponentReference
|
TPersistent,IFPObserved
|
TObject


TEditButton
 | ro | AutoSelected
 | ro | Button
pl | ro | NumbersOnly
pl | ro | Action
pl | ro | AutoSelect
pl | ro | AutoSize
pl | ro | Align
pl | ro | Alignment
pl | ro | Anchors
pl | ro | BiDiMode
pl | ro | BorderSpacing
pl | ro | BorderStyle
pl | ro | ButtonCaption
pl | ro | ButtonCursor
pl | ro | ButtonHint
pl | ro | ButtonOnlyWhenFocused
pl | ro | ButtonWidth
pl | ro | CharCase
pl | ro | Color
pl | ro | Constraints
pl | ro | Cursor
pl | ro | DirectInput
pl | ro | EchoMode
pl | ro | Enabled
pl | ro | Flat
pl | ro | FocusOnButtonClick
pl | ro | Font
pl | ro | Glyph
pl | ro | Hint
pl | ro | Images
pl | ro | ImageIndex
pl | ro | ImageWidth
pl | ro | Layout
pl | ro | MaxLength
pl | ro | NumGlyphs
pl | ro | ParentBiDiMode
pl | ro | ParentColor
pl | ro | ParentFont
pl | ro | ParentShowHint
pl | ro | PasswordChar
pl | ro | PopupMenu
pl | ro | ReadOnly
pl | ro | ShowHint
pl | ro | Spacing
pl | ro | TabOrder
pl | ro | TabStop
pl | ro | Text
pl | ro | TextHint
pl | ro | Visible
TCustomEditButton
pt | ro | Button
pt |  | ButtonCaption
pt |  | ButtonCursor
pt |  | ButtonHint
pt |  | ButtonOnlyWhenFocused
pt |  | ButtonWidth
pt | ro | Edit
pt |  | Flat
pt |  | FocusOnButtonClick
pt |  | Glyph
pt |  | NumGlyphs
pt |  | Images
pt |  | ImageIndex
pt |  | ImageWidth
pt | ro | Spacing
TCustomAbstractGroupedEdit
pt |  | AutoSelect
pt |  | AutoSelected
pt | ro | Buddy
pt |  | BuddyCaption
pt |  | BuddyCursor
pt |  | BuddyHint
pt |  | BuddyWidth
pt |  | DirectInput
pt | ro | BaseEditor
pt |  | EditMask
pt |  | EditText
pt |  | FocusOnBuddyClick
pt | ro | IsMasked
pt |  | Layout
pt |  | Spacing
 | ro | Autosize
 |  | AutoSizeHeightIsEditHeight
 |  | Alignment
 | ro | CanUndo
 |  | CaretPos
 |  | CharCase
 |  | Color
 |  | ParentColor
 |  | EchoMode
 |  | HideSelection
 |  | MaxLength
 |  | Modified
 |  | NumbersOnly
 |  | PasswordChar
 |  | PopupMenu
 |  | ReadOnly
 |  | SelLength
 |  | SelStart
 |  | SelText
 |  | TabStop
 | ro | Text
 |  | TextHint
TCustomControl
 |  | Canvas
 | ro | BorderStyle
TWinControl
pt |  | WindowHandle
pt |  | BorderStyle
pt |  | ParentBackground
 |  | BorderWidth
 | ro | BoundsLockCount
 | ro | Brush
 | ro | CachedClientHeight
 | ro | CachedClientWidth
 |  | ChildSizing
 | ro | ControlCount
 | ro | Controls
 |  | DefWndProc
 | ro | DockClientCount
 | ro | DockClients
 |  | DockManager
 |  | DockSite
 |  | DoubleBuffered
 |  | Handle
 | ro | IsFlipped
 | ro | IsResizing
 |  | TabOrder
 |  | TabStop
 |  | ParentDoubleBuffered
 |  | ParentWindow
 | ro | Showing
 |  | UseDockManager
 |  | DesignerDeleting
 | ro | VisibleDockClientCount
TControl
pt | ro | AutoSizing
pt | ro | AutoSizingAll
pt | ro | AutoSizingLockCount
pt |  | ActionLink
pt |  | DesktopFont
pt |  | DragCursor
pt |  | DragKind
pt |  | DragMode
pt |  | MouseCapture
pt |  | ParentColor
pt |  | ParentFont
pt |  | ParentShowHint
pt |  | SessionProperties
pt |  | Text
 | ro | AnchoredControls
 | ro | BaseBounds
 | ro | ReadBounds
 | ro | BaseParentClientSize
 |  | AccessibleDescription
 |  | AccessibleValue
 |  | AccessibleRole
 |  | Action
 |  | Align
 |  | Anchors
 | ro | AnchorSide
 |  | AutoSize
 |  | BorderSpacing
 |  | BoundsRect
 |  | BoundsRectForNewParent
 |  | Caption
 |  | CaptureMouseButtons
 |  | ClientHeight
 | ro | ClientOrigin
 | ro | ClientRect
 |  | ClientWidth
 |  | Color
 |  | Constraints
 | ro | ControlOrigin
 |  | ControlState
 |  | ControlStyle
 |  | Enabled
 |  | Font
 |  | IsControl
 | ro | MouseEntered
 | ro | MouseInClient
 |  | Parent
 |  | PopupMenu
 |  | ShowHint
 |  | Visible
 |  | WindowProc
 |  | DockOrientation
 | ro | Floating
 |  | FloatingDockSiteClass
 |  | HostDockSite
 |  | LRDockWidth
 |  | TBDockHeight
 |  | UndockHeight
 |  | UndockWidth
 |  | BiDiMode
 |  | ParentBiDiMode
pl |  | AnchorSideLeft
pl |  | AnchorSideTop
pl |  | AnchorSideRight
pl |  | AnchorSideBottom
pl |  | Cursor
pl |  | Left
pl |  | Height
pl |  | Hint
pl |  | Top
pl |  | Width
pl |  | HelpType
pl |  | HelpKeyword
pl |  | HelpContext
TLCLComponent
 | ro | LCLRefCount
 | ro | WidgetSetClass
TComponent
 | ro | ComObject
 | ro | Components
 | ro | ComponentCount
 |  | ComponentIndex
 | ro | ComponentState
 | ro | ComponentStyle
 |  | DesignInfo
 | ro | Owner
 |  | VCLComObject
 |  | Name
 |  | Tag
TPersistent
TObject


 |  | AccessibleDescription (TControl)
 |  | AccessibleRole (TControl)
 |  | AccessibleValue (TControl)
 |  | Action (TControl)
pl | ro | Action (TEditButton)
pt |  | ActionLink (TControl)
 |  | Align (TControl)
pl | ro | Align (TEditButton)
 |  | Alignment (TCustomAbstractGroupedEdit)
pl | ro | Alignment (TEditButton)
 | ro | AnchoredControls (TControl)
 |  | Anchors (TControl)
pl | ro | Anchors (TEditButton)
 | ro | AnchorSide (TControl)
pl |  | AnchorSideBottom (TControl)
pl |  | AnchorSideLeft (TControl)
pl |  | AnchorSideRight (TControl)
pl |  | AnchorSideTop (TControl)
pt |  | AutoSelect (TCustomAbstractGroupedEdit)
pl | ro | AutoSelect (TEditButton)
pt |  | AutoSelected (TCustomAbstractGroupedEdit)
 | ro | AutoSelected (TEditButton)
 |  | AutoSize (TControl)
 | ro | Autosize (TCustomAbstractGroupedEdit)
pl | ro | AutoSize (TEditButton)
 |  | AutoSizeHeightIsEditHeight (TCustomAbstractGroupedEdit)
pt | ro | AutoSizing (TControl)
pt | ro | AutoSizingAll (TControl)
pt | ro | AutoSizingLockCount (TControl)
 | ro | BaseBounds (TControl)
pt | ro | BaseEditor (TCustomAbstractGroupedEdit)
 | ro | BaseParentClientSize (TControl)
 |  | BiDiMode (TControl)
pl | ro | BiDiMode (TEditButton)
 |  | BorderSpacing (TControl)
pl | ro | BorderSpacing (TEditButton)
pt |  | BorderStyle (TWinControl)
 | ro | BorderStyle (TCustomControl)
pl | ro | BorderStyle (TEditButton)
 |  | BorderWidth (TWinControl)
 | ro | BoundsLockCount (TWinControl)
 |  | BoundsRect (TControl)
 |  | BoundsRectForNewParent (TControl)
 | ro | Brush (TWinControl)
pt | ro | Buddy (TCustomAbstractGroupedEdit)
pt |  | BuddyCaption (TCustomAbstractGroupedEdit)
pt |  | BuddyCursor (TCustomAbstractGroupedEdit)
pt |  | BuddyHint (TCustomAbstractGroupedEdit)
pt |  | BuddyWidth (TCustomAbstractGroupedEdit)
pt | ro | Button (TCustomEditButton)
 | ro | Button (TEditButton)
pt |  | ButtonCaption (TCustomEditButton)
pl | ro | ButtonCaption (TEditButton)
pt |  | ButtonCursor (TCustomEditButton)
pl | ro | ButtonCursor (TEditButton)
pt |  | ButtonHint (TCustomEditButton)
pl | ro | ButtonHint (TEditButton)
pt |  | ButtonOnlyWhenFocused (TCustomEditButton)
pl | ro | ButtonOnlyWhenFocused (TEditButton)
pt |  | ButtonWidth (TCustomEditButton)
pl | ro | ButtonWidth (TEditButton)
 | ro | CachedClientHeight (TWinControl)
 | ro | CachedClientWidth (TWinControl)
 | ro | CanUndo (TCustomAbstractGroupedEdit)
 |  | Canvas (TCustomControl)
 |  | Caption (TControl)
 |  | CaptureMouseButtons (TControl)
 |  | CaretPos (TCustomAbstractGroupedEdit)
 |  | CharCase (TCustomAbstractGroupedEdit)
pl | ro | CharCase (TEditButton)
 |  | ChildSizing (TWinControl)
 |  | ClientHeight (TControl)
 | ro | ClientOrigin (TControl)
 | ro | ClientRect (TControl)
 |  | ClientWidth (TControl)
 |  | Color (TControl)
 |  | Color (TCustomAbstractGroupedEdit)
pl | ro | Color (TEditButton)
 | ro | ComObject (TComponent)
 | ro | ComponentCount (TComponent)
 |  | ComponentIndex (TComponent)
 | ro | Components (TComponent)
 | ro | ComponentState (TComponent)
 | ro | ComponentStyle (TComponent)
 |  | Constraints (TControl)
pl | ro | Constraints (TEditButton)
 | ro | ControlCount (TWinControl)
 | ro | ControlOrigin (TControl)
 | ro | Controls (TWinControl)
 |  | ControlState (TControl)
 |  | ControlStyle (TControl)
pl |  | Cursor (TControl)
pl | ro | Cursor (TEditButton)
 |  | DefWndProc (TWinControl)
 |  | DesignerDeleting (TWinControl)
 |  | DesignInfo (TComponent)
pt |  | DesktopFont (TControl)
pt |  | DirectInput (TCustomAbstractGroupedEdit)
pl | ro | DirectInput (TEditButton)
 | ro | DockClientCount (TWinControl)
 | ro | DockClients (TWinControl)
 |  | DockManager (TWinControl)
 |  | DockOrientation (TControl)
 |  | DockSite (TWinControl)
 |  | DoubleBuffered (TWinControl)
pt |  | DragCursor (TControl)
pt |  | DragKind (TControl)
pt |  | DragMode (TControl)
 |  | EchoMode (TCustomAbstractGroupedEdit)
pl | ro | EchoMode (TEditButton)
pt | ro | Edit (TCustomEditButton)
pt |  | EditMask (TCustomAbstractGroupedEdit)
pt |  | EditText (TCustomAbstractGroupedEdit)
 |  | Enabled (TControl)
pl | ro | Enabled (TEditButton)
pt |  | Flat (TCustomEditButton)
pl | ro | Flat (TEditButton)
 | ro | Floating (TControl)
 |  | FloatingDockSiteClass (TControl)
pt |  | FocusOnBuddyClick (TCustomAbstractGroupedEdit)
pt |  | FocusOnButtonClick (TCustomEditButton)
pl | ro | FocusOnButtonClick (TEditButton)
 |  | Font (TControl)
pl | ro | Font (TEditButton)
pt |  | Glyph (TCustomEditButton)
pl | ro | Glyph (TEditButton)
 |  | Handle (TWinControl)
pl |  | Height (TControl)
pl |  | HelpContext (TControl)
pl |  | HelpKeyword (TControl)
pl |  | HelpType (TControl)
 |  | HideSelection (TCustomAbstractGroupedEdit)
pl |  | Hint (TControl)
pl | ro | Hint (TEditButton)
 |  | HostDockSite (TControl)
pt |  | ImageIndex (TCustomEditButton)
pl | ro | ImageIndex (TEditButton)
pt |  | Images (TCustomEditButton)
pl | ro | Images (TEditButton)
pt |  | ImageWidth (TCustomEditButton)
pl | ro | ImageWidth (TEditButton)
 |  | IsControl (TControl)
 | ro | IsFlipped (TWinControl)
pt | ro | IsMasked (TCustomAbstractGroupedEdit)
 | ro | IsResizing (TWinControl)
pt |  | Layout (TCustomAbstractGroupedEdit)
pl | ro | Layout (TEditButton)
 | ro | LCLRefCount (TLCLComponent)
pl |  | Left (TControl)
 |  | LRDockWidth (TControl)
 |  | MaxLength (TCustomAbstractGroupedEdit)
pl | ro | MaxLength (TEditButton)
 |  | Modified (TCustomAbstractGroupedEdit)
pt |  | MouseCapture (TControl)
 | ro | MouseEntered (TControl)
 | ro | MouseInClient (TControl)
 |  | Name (TComponent)
 |  | NumbersOnly (TCustomAbstractGroupedEdit)
pl | ro | NumbersOnly (TEditButton)
pt |  | NumGlyphs (TCustomEditButton)
pl | ro | NumGlyphs (TEditButton)
 | ro | Owner (TComponent)
 |  | Parent (TControl)
pt |  | ParentBackground (TWinControl)
 |  | ParentBiDiMode (TControl)
pl | ro | ParentBiDiMode (TEditButton)
pt |  | ParentColor (TControl)
 |  | ParentColor (TCustomAbstractGroupedEdit)
pl | ro | ParentColor (TEditButton)
 |  | ParentDoubleBuffered (TWinControl)
pt |  | ParentFont (TControl)
pl | ro | ParentFont (TEditButton)
pt |  | ParentShowHint (TControl)
pl | ro | ParentShowHint (TEditButton)
 |  | ParentWindow (TWinControl)
 |  | PasswordChar (TCustomAbstractGroupedEdit)
pl | ro | PasswordChar (TEditButton)
 |  | PopupMenu (TControl)
 |  | PopupMenu (TCustomAbstractGroupedEdit)
pl | ro | PopupMenu (TEditButton)
 | ro | ReadBounds (TControl)
 |  | ReadOnly (TCustomAbstractGroupedEdit)
pl | ro | ReadOnly (TEditButton)
 |  | SelLength (TCustomAbstractGroupedEdit)
 |  | SelStart (TCustomAbstractGroupedEdit)
 |  | SelText (TCustomAbstractGroupedEdit)
pt |  | SessionProperties (TControl)
 |  | ShowHint (TControl)
pl | ro | ShowHint (TEditButton)
 | ro | Showing (TWinControl)
pt |  | Spacing (TCustomAbstractGroupedEdit)
pt | ro | Spacing (TCustomEditButton)
pl | ro | Spacing (TEditButton)
 |  | TabOrder (TWinControl)
pl | ro | TabOrder (TEditButton)
 |  | TabStop (TWinControl)
 |  | TabStop (TCustomAbstractGroupedEdit)
pl | ro | TabStop (TEditButton)
 |  | Tag (TComponent)
 |  | TBDockHeight (TControl)
pt |  | Text (TControl)
 | ro | Text (TCustomAbstractGroupedEdit)
pl | ro | Text (TEditButton)
 |  | TextHint (TCustomAbstractGroupedEdit)
pl | ro | TextHint (TEditButton)
pl |  | Top (TControl)
 |  | UndockHeight (TControl)
 |  | UndockWidth (TControl)
 |  | UseDockManager (TWinControl)
 |  | VCLComObject (TComponent)
 |  | Visible (TControl)
pl | ro | Visible (TEditButton)
 | ro | VisibleDockClientCount (TWinControl)
 | ro | WidgetSetClass (TLCLComponent)
pl |  | Width (TControl)
pt |  | WindowHandle (TWinControl)
 |  | WindowProc (TControl)


TEditButton
TCustomEditButton
pt | ButtonClick
pt | BuddyClick
pt | GetEditorClassType
pt | GetBuddyClassType
pt | GetControlClassDefaultSize
pt | CalcButtonVisible
pt | GetDefaultGlyphName
pt | CalculatePreferredSize
pt | CheckButtonVisible
pt | LoadDefaultGlyph
pt | GlyphChanged
 | Create
 | Destroy
TCustomAbstractGroupedEdit
pt | CalculatePreferredSize
pt | CreateBuddy
pt | CreateEditor
pt | FocusAndMaybeSelectAll
pt | GetEditorClassType
pt | GetBuddyClassType
pt | GetControlClassDefaultSize
pt | SetDirectInput
pt | RealGetText
pt | RealSetText
pt | GetEditPopupMenu
pt | GetBuddyCaption
pt | GetBuddyCursor
pt | GetBuddyHint
pt | GetBuddyWidth
pt | GetBuddyVisible
pt | SetBuddyCaption
pt | SetBuddyCursor
pt | SetBuddyHint
pt | SetBuddyWidth
pt | SetBuddyVisible
pt | BuddyClick
pt | DoEnter
pt | EditChange
pt | EditClick
pt | EditDblClick
pt | EditDragDrop
pt | EditDragOver
pt | EditEditingDone
pt | EditEndDrag
pt | EditEnter
pt | EditExit
pt | EditKeyDown
pt | EditKeyPress
pt | EditKeyUp
pt | EditMouseDown
pt | EditMouseUp
pt | EditMouseEnter
pt | EditMouseLeave
pt | EditMouseMove
pt | EditMouseWheel
pt | EditMouseWheelUp
pt | EditMouseWheelDown
pt | EditUtf8KeyPress
pt | EditStartDrag
pt | UpdateSpacing
pt | CheckCursor
pt | CMParentColorChanged
pt | EditCanModify
pt | GetSel
pt | GetSpacing
pt | SetSel
pt | Loaded
pt | Reset
pt | SetAutoSize
pt | SetColor
pt | SetCursor
pt | ShouldAutoAdjust
 | Create
 | Destroy
 | SetFocus
 | Focused
 | Clear
 | ClearSelection
 | CopyToClipboard
 | CutToClipboard
 | PasteFromClipboard
 | SelectAll
 | Undo
 | ValidateEdit
TCustomControl
pt | WSRegisterClass
pt | WMPaint
pt | DestroyWnd
pt | PaintWindow
pt | FontChanged
pt | SetColor
pt | Paint
 | Create
 | Destroy
TWinControl
pt | WSRegisterClass
pt | AdjustClientRect
pt | GetAdjustedLogicalClientRect
pt | AlignControls
pt | CustomAlignInsertBefore
pt | CustomAlignPosition
pt | DoAlignChildControls
pt | DoChildSizingChange
pt | InvalidatePreferredChildSizes
pt | CanTab
pt | IsClientHeightStored
pt | IsClientWidthStored
pt | DoSendShowHideToInterface
pt | ControlsAligned
pt | DoSendBoundsToInterface
pt | RealizeBounds
pt | RealizeBoundsRecursive
pt | InvalidateBoundsRealized
pt | CreateSubClass
pt | DoConstraintsChange
pt | DoSetBounds
pt | DoAutoSize
pt | DoAllAutoSize
pt | AllAutoSized
pt | CalculatePreferredSize
pt | GetPreferredSizeClientFrame
pt | GetChildren
pt | ChildClassAllowed
pt | PaintControls
pt | PaintHandler
pt | PaintWindow
pt | CreateBrush
pt | ScaleControls
pt | ChangeScale
pt | CMBiDiModeChanged
pt | CMBorderChanged
pt | CMDoubleBufferedChanged
pt | CMEnabledChanged
pt | CMParentDoubleBufferedChanged
pt | CMShowingChanged
pt | CMShowHintChanged
pt | CMVisibleChanged
pt | CMEnter
pt | CMExit
pt | WMContextMenu
pt | WMEraseBkgnd
pt | WMNotify
pt | WMSetFocus
pt | WMKillFocus
pt | WMShowWindow
pt | WMEnter
pt | WMExit
pt | WMKeyDown
pt | WMSysKeyDown
pt | WMKeyUp
pt | WMSysKeyUp
pt | WMChar
pt | WMSysChar
pt | WMPaint
pt | WMDestroy
pt | WMMove
pt | WMSize
pt | WMWindowPosChanged
pt | CNKeyDown
pt | CNSysKeyDown
pt | CNKeyUp
pt | CNSysKeyUp
pt | CNChar
pt | DoDragMsg
pt | DoDockClientMsg
pt | DoUndockClientMsg
pt | DoAddDockClient
pt | DockOver
pt | DoDockOver
pt | DoRemoveDockClient
pt | DoUnDock
pt | GetSiteInfo
pt | GetParentHandle
pt | GetTopParentHandle
pt | ReloadDockedControl
pt | CreateDockManager
pt | SetDockManager
pt | DoFloatMsg
pt | DoGetDockCaption
pt | DoEnter
pt | DoExit
pt | DoKeyDownBeforeInterface
pt | DoRemainingKeyDown
pt | DoRemainingKeyUp
pt | DoKeyPress
pt | DoUTF8KeyPress
pt | DoKeyUpBeforeInterface
pt | ChildKey
pt | SendDialogChar
pt | DialogChar
pt | ControlKeyDown
pt | ControlKeyUp
pt | KeyDown
pt | KeyDownBeforeInterface
pt | KeyDownAfterInterface
pt | KeyPress
pt | KeyUp
pt | KeyUpBeforeInterface
pt | KeyUpAfterInterface
pt | UTF8KeyPress
pt | FindNextControl
pt | SelectFirst
pt | RealGetText
pt | GetBorderStyle
pt | GetClientOrigin
pt | GetClientRect
pt | GetControlOrigin
pt | GetDeviceContext
pt | GetParentBackground
pt | IsControlMouseMsg
pt | CreateHandle
pt | CreateParams
pt | CreateWnd
pt | DestroyHandle
pt | DestroyWnd
pt | DoFlipChildren
pt | FinalizeWnd
pt | FixupTabList
pt | FontChanged
pt | InitializeWnd
pt | Loaded
pt | FormEndUpdated
pt | MainWndProc
pt | ParentFormHandleInitialized
pt | ChildHandlesCreated
pt | GetMouseCapture
pt | RealSetText
pt | RemoveFocus
pt | SendMoveSizeMessages
pt | SetBorderStyle
pt | SetColor
pt | SetChildZPosition
pt | SetParentBackground
pt | ShowControl
pt | UpdateControlState
pt | UpdateShowing
pt | WndProc
pt | WSSetText
 | AutoSizePhases
 | AutoSizeDelayed
 | AutoSizeDelayedReport
 | AutoSizeDelayedHandle
 | BeginUpdateBounds
 | EndUpdateBounds
 | LockRealizeBounds
 | UnlockRealizeBounds
 | ControlAtPos
 | ContainsControl
 | DoAdjustClientRectChange
 | InvalidateClientRectCache
 | ClientRectNeedsInterfaceUpdate
 | SetBounds
 | GetChildrenRect
 | DisableAlign
 | EnableAlign
 | ReAlign
 | ScrollBy_WS
 | ScrollBy
 | WriteLayoutDebugReport
 | AutoAdjustLayout
 | Create
 | CreateParented
 | CreateParentedControl
 | Destroy
 | DockDrop
 | CanFocus
 | CanSetFocus
 | GetControlIndex
 | SetControlIndex
 | Focused
 | PerformTab
 | FindChildControl
 | SelectNext
 | SetTempCursor
 | BroadCast
 | NotifyControls
 | DefaultHandler
 | GetTextLen
 | Invalidate
 | AddControl
 | InsertControl
 | RemoveControl
 | GetEnumeratorControls
 | GetEnumeratorControlsReverse
 | Repaint
 | Update
 | SetFocus
 | FlipChildren
 | ScaleBy
 | GetDockCaption
 | UpdateDockCaption
 | GetTabOrderList
 | HandleAllocated
 | ParentHandlesAllocated
 | HandleNeeded
 | BrushCreated
 | EraseBackground
 | IntfUTF8KeyPress
 | IntfGetDropFilesTarget
 | PaintTo
 | SetShape
TControl
pt | WSRegisterClass
pt | GetCursor
pt | SetCursor
pt | SetVisible
pt | DoOnParentHandleDestruction
pt | DoAutoSize
pt | DoAllAutoSize
pt | BeginAutoSizing
pt | EndAutoSizing
pt | AnchorSideChanged
pt | ForeignAnchorSideChanged
pt | SetAlign
pt | SetAnchors
pt | SetAutoSize
pt | BoundsChanged
pt | CreateControlBorderSpacing
pt | DoConstraintsChange
pt | DoBorderSpacingChange
pt | IsBorderSpacingInnerBorderStored
pt | IsCaptionStored
pt | SendMoveSizeMessages
pt | ConstrainedResize
pt | CalculatePreferredSize
pt | DoOnResize
pt | DoOnChangeBounds
pt | CheckOnChangeBounds
pt | Resize
pt | RequestAlign
pt | UpdateAnchorRules
pt | ChangeBounds
pt | DoSetBounds
pt | ScaleConstraints
pt | ChangeScale
pt | CanAutoSize
pt | SetBiDiMode
pt | SetParentBiDiMode
pt | IsAParentAligning
pt | GetClientOrigin
pt | GetClientRect
pt | GetLogicalClientRect
pt | GetScrolledClientRect
pt | GetClientScrollOffset
pt | GetControlOrigin
pt | IsClientHeightStored
pt | IsClientWidthStored
pt | WidthIsAnchored
pt | HeightIsAnchored
pt | WMCancelMode
pt | WMContextMenu
pt | WMLButtonDown
pt | WMRButtonDown
pt | WMMButtonDown
pt | WMXButtonDown
pt | WMLButtonDBLCLK
pt | WMRButtonDBLCLK
pt | WMMButtonDBLCLK
pt | WMXButtonDBLCLK
pt | WMLButtonTripleCLK
pt | WMRButtonTripleCLK
pt | WMMButtonTripleCLK
pt | WMXButtonTripleCLK
pt | WMLButtonQuadCLK
pt | WMRButtonQuadCLK
pt | WMMButtonQuadCLK
pt | WMXButtonQuadCLK
pt | WMMouseMove
pt | WMLButtonUp
pt | WMRButtonUp
pt | WMMButtonUp
pt | WMXButtonUp
pt | WMMouseWheel
pt | WMMouseHWheel
pt | WMMove
pt | WMSize
pt | WMWindowPosChanged
pt | CMChanged
pt | LMCaptureChanged
pt | CMBiDiModeChanged
pt | CMSysFontChanged
pt | CMEnabledChanged
pt | CMHitTest
pt | CMMouseEnter
pt | CMMouseLeave
pt | CMHintShow
pt | CMParentBiDiModeChanged
pt | CMParentColorChanged
pt | CMParentFontChanged
pt | CMParentShowHintChanged
pt | CMVisibleChanged
pt | CMTextChanged
pt | CMCursorChanged
pt | CalculateDockSizes
pt | CreateFloatingDockSite
pt | GetDockEdge
pt | GetDragImages
pt | GetFloating
pt | GetFloatingDockSiteClass
pt | BeforeDragStart
pt | BeginAutoDrag
pt | DoFloatMsg
pt | DockTrackNoTarget
pt | DoDock
pt | DoDragMsg
pt | DoEndDock
pt | DoEndDrag
pt | DoStartDock
pt | DoStartDrag
pt | DragCanceled
pt | DragOver
pt | PositionDockRect
pt | SetDragMode
pt | GetDefaultDockCaption
pt | Click
pt | DblClick
pt | TripleClick
pt | QuadClick
pt | GetMousePosFromMessage
pt | MouseDown
pt | MouseMove
pt | MouseUp
pt | MouseEnter
pt | MouseLeave
pt | DialogChar
pt | UpdateMouseCursor
pt | Changed
pt | GetPalette
pt | ChildClassAllowed
pt | ReadState
pt | Loaded
pt | LoadedAll
pt | DefineProperties
pt | AssignTo
pt | FormEndUpdated
pt | InvalidateControl
pt | FontChanged
pt | ParentFontChanged
pt | GetAction
pt | RealGetText
pt | RealSetText
pt | TextChanged
pt | GetCachedText
pt | SetAction
pt | SetColor
pt | SetEnabled
pt | SetHint
pt | SetName
pt | SetParent
pt | SetParentComponent
pt | WndProc
pt | ParentFormHandleInitialized
pt | GetMouseCapture
pt | CaptureChanged
pt | Notification
pt | CanTab
pt | GetDeviceContext
pt | GetEnabled
pt | GetPopupMenu
pt | DoOnShowHint
pt | DoMouseWheel
pt | DoMouseWheelDown
pt | DoMouseWheelUp
pt | DoMouseWheelHorz
pt | DoMouseWheelLeft
pt | DoMouseWheelRight
pt | VisibleChanging
pt | VisibleChanged
pt | EnabledChanging
pt | EnabledChanged
pt | AddHandler
pt | RemoveHandler
pt | DoCallNotifyHandler
pt | DoCallKeyEventHandler
pt | DoCallMouseWheelEventHandler
pt | DoContextPopup
pt | SetZOrder
pt | GetControlClassDefaultSize
pt | ColorIsStored
pt | DoAutoAdjustLayout
pt | DoFixDesignFontPPI
pt | DoScaleFontPPI
pt | GetActionLinkClass
pt | ActionChange
 | DragDrop
 | Dock
 | ManualDock
 | ManualFloat
 | ReplaceDockedControl
 | Docked
 | Dragging
 | GetAccessibleObject
 | CreateAccessibleObject
 | GetSelectedChildAccessibleObject
 | GetChildAccessibleObjectAtPos
 | ScaleDesignToForm
 | ScaleFormToDesign
 | Scale96ToForm
 | ScaleFormTo96
 | Scale96ToFont
 | ScaleFontTo96
 | ScaleScreenToFont
 | ScaleFontToScreen
 | Scale96ToScreen
 | ScaleScreenTo96
 | AdjustSize
 | AutoSizePhases
 | AutoSizeDelayed
 | AutoSizeDelayedReport
 | AutoSizeDelayedHandle
 | AnchorToNeighbour
 | AnchorParallel
 | AnchorHorizontalCenterTo
 | AnchorVerticalCenterTo
 | AnchorToCompanion
 | AnchorSame
 | AnchorAsAlign
 | AnchorClient
 | AnchoredControlCount
 | SetBounds
 | SetInitialBounds
 | SetBoundsKeepBase
 | GetPreferredSize
 | GetCanvasScaleFactor
 | GetDefaultWidth
 | GetDefaultHeight
 | GetDefaultColor
 | GetColorResolvingParent
 | GetRGBColorResolvingParent
 | GetSidePosition
 | CNPreferredSizeChanged
 | InvalidatePreferredSize
 | GetAnchorsDependingOnParent
 | DisableAutoSizing
 | EnableAutoSizing
 | UpdateBaseBounds
 | WriteLayoutDebugReport
 | AutoAdjustLayout
 | ShouldAutoAdjust
 | FixDesignFontsPPI
 | ScaleFontsPPI
 | Create
 | Destroy
 | BeforeDestruction
 | EditingDone
 | ExecuteDefaultAction
 | ExecuteCancelAction
 | BeginDrag
 | EndDrag
 | BringToFront
 | HasParent
 | GetParentComponent
 | IsParentOf
 | GetTopParent
 | IsVisible
 | IsControlVisible
 | IsEnabled
 | IsParentColor
 | IsParentFont
 | FormIsUpdating
 | IsProcessingPaintMsg
 | Hide
 | Refresh
 | Repaint
 | Invalidate
 | CheckChildClassAllowed
 | CheckNewParent
 | SendToBack
 | SetTempCursor
 | UpdateRolesForForm
 | ActiveDefaultControlChanged
 | GetTextBuf
 | GetTextLen
 | SetTextBuf
 | Perform
 | ScreenToClient
 | ClientToScreen
 | ScreenToControl
 | ControlToScreen
 | ClientToParent
 | ParentToClient
 | GetChildrenRect
 | Show
 | Update
 | HandleObjectShouldBeVisible
 | ParentDestroyingHandle
 | ParentHandlesAllocated
 | InitiateAction
 | ShowHelp
 | HasHelp
 | RemoveAllHandlersOfObject
 | AddHandlerOnResize
 | RemoveHandlerOnResize
 | AddHandlerOnChangeBounds
 | RemoveHandlerOnChangeBounds
 | AddHandlerOnVisibleChanging
 | RemoveHandlerOnVisibleChanging
 | AddHandlerOnVisibleChanged
 | RemoveHandlerOnVisibleChanged
 | AddHandlerOnEnabledChanged
 | RemoveHandlerOnEnableChanging
 | AddHandlerOnKeyDown
 | RemoveHandlerOnKeyDown
 | AddHandlerOnBeforeDestruction
 | RemoveHandlerOnBeforeDestruction
 | AddHandlerOnMouseWheel
 | RemoveHandlerOnMouseWheel
 | UseRightToLeftAlignment
 | UseRightToLeftReading
 | UseRightToLeftScrollBar
 | IsRightToLeft
TLCLComponent
pt | WSRegisterClass
pt | GetWSComponentClass
 | Create
 | Destroy
 | NewInstance
 | RemoveAllHandlersOfObject
 | IncLCLRefCount
 | DecLCLRefCount
TComponent
 | GetComObject
 | GetComponent
 | GetComponentCount
 | GetComponentIndex
 | Insert
 | ReadLeft
 | ReadTop
 | Remove
 | RemoveNotification
 | SetComponentIndex
 | SetReference
 | WriteLeft
 | WriteTop
 | ChangeName
 | DefineProperties
 | GetChildren
 | GetChildOwner
 | GetChildParent
 | GetOwner
 | Loaded
 | Loading
 | Notification
 | PaletteCreated
 | ReadState
 | SetAncestor
 | SetDesigning
 | SetDesignInstance
 | SetInline
 | SetName
 | SetChildOrder
 | SetParentComponent
 | Updating
 | Updated
 | UpdateRegistry
 | ValidateRename
 | ValidateContainer
 | ValidateInsert
 | QueryInterface
 | _AddRef
 | _Release
 | iicrGetComponent
 | GetTypeInfoCount
 | GetTypeInfo
 | GetIDsOfNames
 | Invoke
 | WriteState
 | Create
 | Destroy
 | BeforeDestruction
 | DestroyComponents
 | Destroying
 | ExecuteAction
 | FindComponent
 | FreeNotification
 | RemoveFreeNotification
 | FreeOnRelease
 | GetEnumerator
 | GetNamePath
 | GetParentComponent
 | HasParent
 | InsertComponent
 | RemoveComponent
 | SafeCallException
 | SetSubComponent
 | UpdateAction
 | IsImplementorOf
 | ReferenceInterface
TPersistent
 | AssignError
 | AssignTo
 | DefineProperties
 | GetOwner
 | Destroy
 | Assign
 | FPOAttachObserver
 | FPODetachObserver
 | FPONotifyObservers
 | GetNamePath
TObject
 | Create
 | Destroy
 | newinstance
 | FreeInstance
 | SafeCallException
 | DefaultHandler
 | Free
 | InitInstance
 | CleanupInstance
 | ClassType
 | ClassInfo
 | ClassName
 | ClassNameIs
 | ClassParent
 | InstanceSize
 | InheritsFrom
 | StringMessageTable
 | MethodAddress
 | MethodName
 | FieldAddress
 | AfterConstruction
 | BeforeDestruction
 | DefaultHandlerStr
 | Dispatch
 | DispatchStr
 | GetInterface
 | GetInterfaceByStr
 | GetInterfaceWeak
 | GetInterfaceEntry
 | GetInterfaceEntryByStr
 | GetInterfaceTable
 | UnitName
 | Equals
 | GetHashCode
 | ToString


TEditButton
pl | ro | OnButtonClick
pl | ro | OnChange
pl | ro | OnClick
pl | ro | OnDblClick
pl | ro | OnDragDrop
pl | ro | OnDragOver
pl | ro | OnContextPopup
pl | ro | OnEditingDone
pl | ro | OnEndDrag
pl | ro | OnEnter
pl | ro | OnExit
pl | ro | OnKeyDown
pl | ro | OnKeyPress
pl | ro | OnKeyUp
pl | ro | OnMouseDown
pl | ro | OnMouseEnter
pl | ro | OnMouseLeave
pl | ro | OnMouseMove
pl | ro | OnMouseUp
pl | ro | OnMouseWheel
pl | ro | OnMouseWheelDown
pl | ro | OnMouseWheelUp
pl | ro | OnStartDrag
pl | ro | OnUTF8KeyPress
TCustomEditButton
pt |  | OnButtonClick
TCustomAbstractGroupedEdit
pt |  | OnBuddyClick
 |  | OnChange
 |  | OnClick
 |  | OnDblClick
 |  | OnDragDrop
 |  | OnDragOver
 |  | OnEditingDone
 |  | OnEndDrag
 |  | OnEnter
 |  | OnExit
 |  | OnMouseDown
 |  | OnKeyPress
 |  | OnKeyDown
 |  | OnKeyUp
 |  | OnMouseEnter
 |  | OnMouseLeave
 |  | OnMouseMove
 |  | OnMouseWheel
 |  | OnMouseWheelUp
 |  | OnMouseWheelDown
 |  | OnMouseUp
 |  | OnStartDrag
 |  | OnUtf8KeyPress
TCustomControl
 |  | OnPaint
TWinControl
pt |  | OnGetSiteInfo
pt |  | OnGetDockCaption
 |  | OnAlignInsertBefore
 |  | OnAlignPosition
 |  | OnDockDrop
 |  | OnDockOver
 |  | OnEnter
 |  | OnExit
 |  | OnKeyDown
 |  | OnKeyPress
 |  | OnKeyUp
 |  | OnUnDock
 |  | OnUTF8KeyPress
TControl
pt |  | OnConstrainedResize
pt |  | OnContextPopup
pt |  | OnDblClick
pt |  | OnTripleClick
pt |  | OnQuadClick
pt |  | OnDragDrop
pt |  | OnDragOver
pt |  | OnEndDock
pt |  | OnEndDrag
pt |  | OnMouseDown
pt |  | OnMouseMove
pt |  | OnMouseUp
pt |  | OnMouseEnter
pt |  | OnMouseLeave
pt |  | OnMouseWheel
pt |  | OnMouseWheelDown
pt |  | OnMouseWheelUp
pt |  | OnMouseWheelHorz
pt |  | OnMouseWheelLeft
pt |  | OnMouseWheelRight
pt |  | OnStartDock
pt |  | OnStartDrag
pt |  | OnEditingDone
 |  | OnChangeBounds
 |  | OnClick
 |  | OnResize
 |  | OnShowHint
TLCLComponent
TComponent
TPersistent
TObject


pt |  | OnBuddyClick (TCustomAbstractGroupedEdit)
pt |  | OnButtonClick (TCustomEditButton)
pl | ro | OnButtonClick (TEditButton)
 |  | OnChange (TCustomAbstractGroupedEdit)
pl | ro | OnChange (TEditButton)
 |  | OnChangeBounds (TControl)
 |  | OnClick (TControl)
 |  | OnClick (TCustomAbstractGroupedEdit)
pl | ro | OnClick (TEditButton)
pt |  | OnConstrainedResize (TControl)
pt |  | OnContextPopup (TControl)
pl | ro | OnContextPopup (TEditButton)
pt |  | OnDblClick (TControl)
 |  | OnDblClick (TCustomAbstractGroupedEdit)
pl | ro | OnDblClick (TEditButton)
 |  | OnDockDrop (TWinControl)
 |  | OnDockOver (TWinControl)
pt |  | OnDragDrop (TControl)
 |  | OnDragDrop (TCustomAbstractGroupedEdit)
pl | ro | OnDragDrop (TEditButton)
pt |  | OnDragOver (TControl)
 |  | OnDragOver (TCustomAbstractGroupedEdit)
pl | ro | OnDragOver (TEditButton)
pt |  | OnEditingDone (TControl)
 |  | OnEditingDone (TCustomAbstractGroupedEdit)
pl | ro | OnEditingDone (TEditButton)
pt |  | OnEndDock (TControl)
pt |  | OnEndDrag (TControl)
 |  | OnEndDrag (TCustomAbstractGroupedEdit)
pl | ro | OnEndDrag (TEditButton)
 |  | OnEnter (TWinControl)
 |  | OnEnter (TCustomAbstractGroupedEdit)
pl | ro | OnEnter (TEditButton)
 |  | OnExit (TWinControl)
 |  | OnExit (TCustomAbstractGroupedEdit)
pl | ro | OnExit (TEditButton)
pt |  | OnGetDockCaption (TWinControl)
pt |  | OnGetSiteInfo (TWinControl)
 |  | OnKeyDown (TWinControl)
 |  | OnKeyDown (TCustomAbstractGroupedEdit)
pl | ro | OnKeyDown (TEditButton)
 |  | OnKeyPress (TWinControl)
 |  | OnKeyPress (TCustomAbstractGroupedEdit)
pl | ro | OnKeyPress (TEditButton)
 |  | OnKeyUp (TWinControl)
 |  | OnKeyUp (TCustomAbstractGroupedEdit)
pl | ro | OnKeyUp (TEditButton)
pt |  | OnMouseDown (TControl)
 |  | OnMouseDown (TCustomAbstractGroupedEdit)
pl | ro | OnMouseDown (TEditButton)
pt |  | OnMouseEnter (TControl)
 |  | OnMouseEnter (TCustomAbstractGroupedEdit)
pl | ro | OnMouseEnter (TEditButton)
pt |  | OnMouseLeave (TControl)
 |  | OnMouseLeave (TCustomAbstractGroupedEdit)
pl | ro | OnMouseLeave (TEditButton)
pt |  | OnMouseMove (TControl)
 |  | OnMouseMove (TCustomAbstractGroupedEdit)
pl | ro | OnMouseMove (TEditButton)
pt |  | OnMouseUp (TControl)
 |  | OnMouseUp (TCustomAbstractGroupedEdit)
pl | ro | OnMouseUp (TEditButton)
pt |  | OnMouseWheel (TControl)
 |  | OnMouseWheel (TCustomAbstractGroupedEdit)
pl | ro | OnMouseWheel (TEditButton)
pt |  | OnMouseWheelDown (TControl)
 |  | OnMouseWheelDown (TCustomAbstractGroupedEdit)
pl | ro | OnMouseWheelDown (TEditButton)
pt |  | OnMouseWheelHorz (TControl)
pt |  | OnMouseWheelLeft (TControl)
pt |  | OnMouseWheelRight (TControl)
pt |  | OnMouseWheelUp (TControl)
 |  | OnMouseWheelUp (TCustomAbstractGroupedEdit)
pl | ro | OnMouseWheelUp (TEditButton)
 |  | OnPaint (TCustomControl)
pt |  | OnQuadClick (TControl)
 |  | OnResize (TControl)
 |  | OnShowHint (TControl)
pt |  | OnStartDock (TControl)
pt |  | OnStartDrag (TControl)
 |  | OnStartDrag (TCustomAbstractGroupedEdit)
pl | ro | OnStartDrag (TEditButton)
pt |  | OnTripleClick (TControl)
 |  | OnUnDock (TWinControl)
 |  | OnUTF8KeyPress (TWinControl)
 |  | OnUtf8KeyPress (TCustomAbstractGroupedEdit)
pl | ro | OnUTF8KeyPress (TEditButton)


TEditButton.Action

Declaration

Source position: editbtn.pas line 130

published property TEditButton.Action : TBasicAction;


TEditButton.Alignment

Declaration

Source position: editbtn.pas line 134

published property TEditButton.Alignment : TAlignment;


TEditButton.AutoSelected

Declaration

Source position: editbtn.pas line 126

public property TEditButton.AutoSelected : Boolean;


TEditButton.AutoSize

TEditButton default is True

Declaration

Source position: editbtn.pas line 132

published property TEditButton.AutoSize : Boolean
  default True;


TEditButton.BiDiMode

Declaration

Source position: editbtn.pas line 136

published property TEditButton.BiDiMode : TBiDiMode;


TEditButton.BorderStyle

Declaration

Source position: editbtn.pas line 138

published property TEditButton.BorderStyle : TBorderStyle
  default bsNone;


TEditButton.ButtonCaption

Declaration

Source position: editbtn.pas line 139

published property TEditButton.ButtonCaption : TCaption;


TEditButton.ButtonCursor

Declaration

Source position: editbtn.pas line 140

published property TEditButton.ButtonCursor : TCursor;


TEditButton.Constraints

Declaration

Source position: editbtn.pas line 146

published property TEditButton.Constraints : TSizeConstraints;


TEditButton.Cursor

Declaration

Source position: editbtn.pas line 147

published property TEditButton.Cursor : TCursor;


TEditButton.FocusOnButtonClick

Declaration

Source position: editbtn.pas line 152

published property TEditButton.FocusOnButtonClick : Boolean;


TEditButton.Hint

Declaration

Source position: editbtn.pas line 156

published property TEditButton.Hint : TTranslateString;


TEditButton.ImageIndex

Declaration

Source position: editbtn.pas line 158

published property TEditButton.ImageIndex : TImageIndex;


TEditButton.Images

Declaration

Source position: editbtn.pas line 157

published property TEditButton.Images : TCustomImageList;


TEditButton.ImageWidth

Declaration

Source position: editbtn.pas line 159

published property TEditButton.ImageWidth : Integer;


TEditButton.Layout

Declaration

Source position: editbtn.pas line 160

published property TEditButton.Layout : TLeftRight;


TEditButton.NumbersOnly

Declaration

Source position: editbtn.pas line 129

published property TEditButton.NumbersOnly : Boolean;


TEditButton.OnContextPopup

Declaration

Source position: editbtn.pas line 169

published property TEditButton.OnContextPopup : TContextPopupEvent;


TEditButton.OnMouseEnter

Declaration

Source position: editbtn.pas line 178

published property TEditButton.OnMouseEnter : TNotifyEvent;


TEditButton.OnMouseLeave

Declaration

Source position: editbtn.pas line 179

published property TEditButton.OnMouseLeave : TNotifyEvent;


TEditButton.OnMouseWheel

Declaration

Source position: editbtn.pas line 182

published property TEditButton.OnMouseWheel : TMouseWheelEvent;


TEditButton.OnMouseWheelDown

Declaration

Source position: editbtn.pas line 183

published property TEditButton.OnMouseWheelDown : TMouseWheelUpDownEvent;


TEditButton.OnMouseWheelUp

Declaration

Source position: editbtn.pas line 184

published property TEditButton.OnMouseWheelUp : TMouseWheelUpDownEvent;


TEditButton.ParentBiDiMode

Declaration

Source position: editbtn.pas line 187

published property TEditButton.ParentBiDiMode : Boolean;


TEditButton.Spacing

Declaration

Source position: editbtn.pas line 195

published property TEditButton.Spacing : Integer;


TEditButton.TextHint

Declaration

Source position: editbtn.pas line 199

published property TEditButton.TextHint : TTranslateString;


TEditSpeedButton

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Declaration

Source position: editbtn.pas line 51

type TEditSpeedButton = class(TSpeedButton)

protected

  procedure GlyphChanged(); override;

end;

Inheritance

TEditSpeedButton
|
TSpeedButton | A Button used to represent states (checked or not, etc)
|
TCustomSpeedButton | The ancestor class for TSpeedButton
|
TGraphicControl | TGraphicControl is the base class for all lightweight controls.
|
TControl | The base class for visible controls.
|
TLCLComponent | The base class for LCL components associated with widgets.
|
TComponent,IUnknown,IInterfaceComponentReference
|
TPersistent,IFPObserved
|
TObject


TEditSpeedButton
TSpeedButton
pl | ro | Action
pl | ro | Align
pl | ro | AllowAllUp
pl | ro | Anchors
pl | ro | AutoSize
pl | ro | BidiMode
pl | ro | BorderSpacing
pl | ro | Constraints
pl | ro | Caption
pl | ro | Color
pl | ro | Down
pl | ro | Enabled
pl | ro | Flat
pl | ro | Font
pl | ro | Glyph
pl | ro | GroupIndex
pl | ro | Images
pl | ro | ImageIndex
pl | ro | ImageWidth
pl | ro | Layout
pl | ro | Margin
pl | ro | NumGlyphs
pl | ro | Spacing
pl | ro | Transparent
pl | ro | Visible
pl | ro | ShowCaption
pl | ro | ShowHint
pl | ro | ParentBidiMode
pl | ro | ParentFont
pl | ro | ParentShowHint
pl | ro | PopupMenu
TCustomSpeedButton
pt | ro | MouseInControl
 |  | AllowAllUp
 | ro | Color
 |  | Down
 |  | Flat
 |  | Glyph
 |  | GroupIndex
 |  | Images
 |  | ImageIndex
 |  | ImageWidth
 |  | Layout
 |  | Margin
 |  | NumGlyphs
 |  | ShowAccelChar
 |  | ShowCaption
 |  | Spacing
 |  | Transparent
TGraphicControl
 | ro | Canvas
TControl
pt | ro | AutoSizing
pt | ro | AutoSizingAll
pt | ro | AutoSizingLockCount
pt |  | ActionLink
pt |  | DesktopFont
pt |  | DragCursor
pt |  | DragKind
pt |  | DragMode
pt |  | MouseCapture
pt |  | ParentColor
pt |  | ParentFont
pt |  | ParentShowHint
pt |  | SessionProperties
pt |  | Text
 | ro | AnchoredControls
 | ro | BaseBounds
 | ro | ReadBounds
 | ro | BaseParentClientSize
 |  | AccessibleDescription
 |  | AccessibleValue
 |  | AccessibleRole
 |  | Action
 |  | Align
 |  | Anchors
 | ro | AnchorSide
 |  | AutoSize
 |  | BorderSpacing
 |  | BoundsRect
 |  | BoundsRectForNewParent
 |  | Caption
 |  | CaptureMouseButtons
 |  | ClientHeight
 | ro | ClientOrigin
 | ro | ClientRect
 |  | ClientWidth
 |  | Color
 |  | Constraints
 | ro | ControlOrigin
 |  | ControlState
 |  | ControlStyle
 |  | Enabled
 |  | Font
 |  | IsControl
 | ro | MouseEntered
 | ro | MouseInClient
 |  | Parent
 |  | PopupMenu
 |  | ShowHint
 |  | Visible
 |  | WindowProc
 |  | DockOrientation
 | ro | Floating
 |  | FloatingDockSiteClass
 |  | HostDockSite
 |  | LRDockWidth
 |  | TBDockHeight
 |  | UndockHeight
 |  | UndockWidth
 |  | BiDiMode
 |  | ParentBiDiMode
pl |  | AnchorSideLeft
pl |  | AnchorSideTop
pl |  | AnchorSideRight
pl |  | AnchorSideBottom
pl |  | Cursor
pl |  | Left
pl |  | Height
pl |  | Hint
pl |  | Top
pl |  | Width
pl |  | HelpType
pl |  | HelpKeyword
pl |  | HelpContext
TLCLComponent
 | ro | LCLRefCount
 | ro | WidgetSetClass
TComponent
 | ro | ComObject
 | ro | Components
 | ro | ComponentCount
 |  | ComponentIndex
 | ro | ComponentState
 | ro | ComponentStyle
 |  | DesignInfo
 | ro | Owner
 |  | VCLComObject
 |  | Name
 |  | Tag
TPersistent
TObject


TEditSpeedButton
pt | GlyphChanged
TSpeedButton
TCustomSpeedButton
pt | WSRegisterClass
pt | ButtonGlyph
pt | GetNumGlyphs
pt | GlyphChanged
pt | DialogChar
pt | CalculatePreferredSize
pt | MeasureDraw
pt | MouseEnter
pt | MouseLeave
pt | MouseDown
pt | MouseMove
pt | MouseUp
pt | Notification
pt | Paint
pt | PaintBackground
pt | SetDown
pt | SetGroupIndex
pt | SetFlat
pt | SetMargin
pt | SetNumGlyphs
pt | SetSpacing
pt | RealSetText
pt | UpdateState
pt | GetDrawDetails
pt | ActionChange
pt | GetActionLinkClass
pt | GetControlClassDefaultSize
pt | Loaded
pt | GetGlyphSize
pt | GetTextSize
pt | DrawGlyph
 | Create
 | Destroy
 | FindDownButton
 | Click
 | LoadGlyphFromResourceName
 | LoadGlyphFromLazarusResource
TGraphicControl
pt | WSRegisterClass
pt | FontChanged
pt | Paint
pt | DoOnChangeBounds
pt | DoOnParentHandleDestruction
pt | CMCursorChanged
 | Create
 | Destroy
TControl
pt | WSRegisterClass
pt | GetCursor
pt | SetCursor
pt | SetVisible
pt | DoOnParentHandleDestruction
pt | DoAutoSize
pt | DoAllAutoSize
pt | BeginAutoSizing
pt | EndAutoSizing
pt | AnchorSideChanged
pt | ForeignAnchorSideChanged
pt | SetAlign
pt | SetAnchors
pt | SetAutoSize
pt | BoundsChanged
pt | CreateControlBorderSpacing
pt | DoConstraintsChange
pt | DoBorderSpacingChange
pt | IsBorderSpacingInnerBorderStored
pt | IsCaptionStored
pt | SendMoveSizeMessages
pt | ConstrainedResize
pt | CalculatePreferredSize
pt | DoOnResize
pt | DoOnChangeBounds
pt | CheckOnChangeBounds
pt | Resize
pt | RequestAlign
pt | UpdateAnchorRules
pt | ChangeBounds
pt | DoSetBounds
pt | ScaleConstraints
pt | ChangeScale
pt | CanAutoSize
pt | SetBiDiMode
pt | SetParentBiDiMode
pt | IsAParentAligning
pt | GetClientOrigin
pt | GetClientRect
pt | GetLogicalClientRect
pt | GetScrolledClientRect
pt | GetClientScrollOffset
pt | GetControlOrigin
pt | IsClientHeightStored
pt | IsClientWidthStored
pt | WidthIsAnchored
pt | HeightIsAnchored
pt | WMCancelMode
pt | WMContextMenu
pt | WMLButtonDown
pt | WMRButtonDown
pt | WMMButtonDown
pt | WMXButtonDown
pt | WMLButtonDBLCLK
pt | WMRButtonDBLCLK
pt | WMMButtonDBLCLK
pt | WMXButtonDBLCLK
pt | WMLButtonTripleCLK
pt | WMRButtonTripleCLK
pt | WMMButtonTripleCLK
pt | WMXButtonTripleCLK
pt | WMLButtonQuadCLK
pt | WMRButtonQuadCLK
pt | WMMButtonQuadCLK
pt | WMXButtonQuadCLK
pt | WMMouseMove
pt | WMLButtonUp
pt | WMRButtonUp
pt | WMMButtonUp
pt | WMXButtonUp
pt | WMMouseWheel
pt | WMMouseHWheel
pt | WMMove
pt | WMSize
pt | WMWindowPosChanged
pt | CMChanged
pt | LMCaptureChanged
pt | CMBiDiModeChanged
pt | CMSysFontChanged
pt | CMEnabledChanged
pt | CMHitTest
pt | CMMouseEnter
pt | CMMouseLeave
pt | CMHintShow
pt | CMParentBiDiModeChanged
pt | CMParentColorChanged
pt | CMParentFontChanged
pt | CMParentShowHintChanged
pt | CMVisibleChanged
pt | CMTextChanged
pt | CMCursorChanged
pt | CalculateDockSizes
pt | CreateFloatingDockSite
pt | GetDockEdge
pt | GetDragImages
pt | GetFloating
pt | GetFloatingDockSiteClass
pt | BeforeDragStart
pt | BeginAutoDrag
pt | DoFloatMsg
pt | DockTrackNoTarget
pt | DoDock
pt | DoDragMsg
pt | DoEndDock
pt | DoEndDrag
pt | DoStartDock
pt | DoStartDrag
pt | DragCanceled
pt | DragOver
pt | PositionDockRect
pt | SetDragMode
pt | GetDefaultDockCaption
pt | Click
pt | DblClick
pt | TripleClick
pt | QuadClick
pt | GetMousePosFromMessage
pt | MouseDown
pt | MouseMove
pt | MouseUp
pt | MouseEnter
pt | MouseLeave
pt | DialogChar
pt | UpdateMouseCursor
pt | Changed
pt | GetPalette
pt | ChildClassAllowed
pt | ReadState
pt | Loaded
pt | LoadedAll
pt | DefineProperties
pt | AssignTo
pt | FormEndUpdated
pt | InvalidateControl
pt | FontChanged
pt | ParentFontChanged
pt | GetAction
pt | RealGetText
pt | RealSetText
pt | TextChanged
pt | GetCachedText
pt | SetAction
pt | SetColor
pt | SetEnabled
pt | SetHint
pt | SetName
pt | SetParent
pt | SetParentComponent
pt | WndProc
pt | ParentFormHandleInitialized
pt | GetMouseCapture
pt | CaptureChanged
pt | Notification
pt | CanTab
pt | GetDeviceContext
pt | GetEnabled
pt | GetPopupMenu
pt | DoOnShowHint
pt | DoMouseWheel
pt | DoMouseWheelDown
pt | DoMouseWheelUp
pt | DoMouseWheelHorz
pt | DoMouseWheelLeft
pt | DoMouseWheelRight
pt | VisibleChanging
pt | VisibleChanged
pt | EnabledChanging
pt | EnabledChanged
pt | AddHandler
pt | RemoveHandler
pt | DoCallNotifyHandler
pt | DoCallKeyEventHandler
pt | DoCallMouseWheelEventHandler
pt | DoContextPopup
pt | SetZOrder
pt | GetControlClassDefaultSize
pt | ColorIsStored
pt | DoAutoAdjustLayout
pt | DoFixDesignFontPPI
pt | DoScaleFontPPI
pt | GetActionLinkClass
pt | ActionChange
 | DragDrop
 | Dock
 | ManualDock
 | ManualFloat
 | ReplaceDockedControl
 | Docked
 | Dragging
 | GetAccessibleObject
 | CreateAccessibleObject
 | GetSelectedChildAccessibleObject
 | GetChildAccessibleObjectAtPos
 | ScaleDesignToForm
 | ScaleFormToDesign
 | Scale96ToForm
 | ScaleFormTo96
 | Scale96ToFont
 | ScaleFontTo96
 | ScaleScreenToFont
 | ScaleFontToScreen
 | Scale96ToScreen
 | ScaleScreenTo96
 | AdjustSize
 | AutoSizePhases
 | AutoSizeDelayed
 | AutoSizeDelayedReport
 | AutoSizeDelayedHandle
 | AnchorToNeighbour
 | AnchorParallel
 | AnchorHorizontalCenterTo
 | AnchorVerticalCenterTo
 | AnchorToCompanion
 | AnchorSame
 | AnchorAsAlign
 | AnchorClient
 | AnchoredControlCount
 | SetBounds
 | SetInitialBounds
 | SetBoundsKeepBase
 | GetPreferredSize
 | GetCanvasScaleFactor
 | GetDefaultWidth
 | GetDefaultHeight
 | GetDefaultColor
 | GetColorResolvingParent
 | GetRGBColorResolvingParent
 | GetSidePosition
 | CNPreferredSizeChanged
 | InvalidatePreferredSize
 | GetAnchorsDependingOnParent
 | DisableAutoSizing
 | EnableAutoSizing
 | UpdateBaseBounds
 | WriteLayoutDebugReport
 | AutoAdjustLayout
 | ShouldAutoAdjust
 | FixDesignFontsPPI
 | ScaleFontsPPI
 | Create
 | Destroy
 | BeforeDestruction
 | EditingDone
 | ExecuteDefaultAction
 | ExecuteCancelAction
 | BeginDrag
 | EndDrag
 | BringToFront
 | HasParent
 | GetParentComponent
 | IsParentOf
 | GetTopParent
 | IsVisible
 | IsControlVisible
 | IsEnabled
 | IsParentColor
 | IsParentFont
 | FormIsUpdating
 | IsProcessingPaintMsg
 | Hide
 | Refresh
 | Repaint
 | Invalidate
 | CheckChildClassAllowed
 | CheckNewParent
 | SendToBack
 | SetTempCursor
 | UpdateRolesForForm
 | ActiveDefaultControlChanged
 | GetTextBuf
 | GetTextLen
 | SetTextBuf
 | Perform
 | ScreenToClient
 | ClientToScreen
 | ScreenToControl
 | ControlToScreen
 | ClientToParent
 | ParentToClient
 | GetChildrenRect
 | Show
 | Update
 | HandleObjectShouldBeVisible
 | ParentDestroyingHandle
 | ParentHandlesAllocated
 | InitiateAction
 | ShowHelp
 | HasHelp
 | RemoveAllHandlersOfObject
 | AddHandlerOnResize
 | RemoveHandlerOnResize
 | AddHandlerOnChangeBounds
 | RemoveHandlerOnChangeBounds
 | AddHandlerOnVisibleChanging
 | RemoveHandlerOnVisibleChanging
 | AddHandlerOnVisibleChanged
 | RemoveHandlerOnVisibleChanged
 | AddHandlerOnEnabledChanged
 | RemoveHandlerOnEnableChanging
 | AddHandlerOnKeyDown
 | RemoveHandlerOnKeyDown
 | AddHandlerOnBeforeDestruction
 | RemoveHandlerOnBeforeDestruction
 | AddHandlerOnMouseWheel
 | RemoveHandlerOnMouseWheel
 | UseRightToLeftAlignment
 | UseRightToLeftReading
 | UseRightToLeftScrollBar
 | IsRightToLeft
TLCLComponent
pt | WSRegisterClass
pt | GetWSComponentClass
 | Create
 | Destroy
 | NewInstance
 | RemoveAllHandlersOfObject
 | IncLCLRefCount
 | DecLCLRefCount
TComponent
 | GetComObject
 | GetComponent
 | GetComponentCount
 | GetComponentIndex
 | Insert
 | ReadLeft
 | ReadTop
 | Remove
 | RemoveNotification
 | SetComponentIndex
 | SetReference
 | WriteLeft
 | WriteTop
 | ChangeName
 | DefineProperties
 | GetChildren
 | GetChildOwner
 | GetChildParent
 | GetOwner
 | Loaded
 | Loading
 | Notification
 | PaletteCreated
 | ReadState
 | SetAncestor
 | SetDesigning
 | SetDesignInstance
 | SetInline
 | SetName
 | SetChildOrder
 | SetParentComponent
 | Updating
 | Updated
 | UpdateRegistry
 | ValidateRename
 | ValidateContainer
 | ValidateInsert
 | QueryInterface
 | _AddRef
 | _Release
 | iicrGetComponent
 | GetTypeInfoCount
 | GetTypeInfo
 | GetIDsOfNames
 | Invoke
 | WriteState
 | Create
 | Destroy
 | BeforeDestruction
 | DestroyComponents
 | Destroying
 | ExecuteAction
 | FindComponent
 | FreeNotification
 | RemoveFreeNotification
 | FreeOnRelease
 | GetEnumerator
 | GetNamePath
 | GetParentComponent
 | HasParent
 | InsertComponent
 | RemoveComponent
 | SafeCallException
 | SetSubComponent
 | UpdateAction
 | IsImplementorOf
 | ReferenceInterface
TPersistent
 | AssignError
 | AssignTo
 | DefineProperties
 | GetOwner
 | Destroy
 | Assign
 | FPOAttachObserver
 | FPODetachObserver
 | FPONotifyObservers
 | GetNamePath
TObject
 | Create
 | Destroy
 | newinstance
 | FreeInstance
 | SafeCallException
 | DefaultHandler
 | Free
 | InitInstance
 | CleanupInstance
 | ClassType
 | ClassInfo
 | ClassName
 | ClassNameIs
 | ClassParent
 | InstanceSize
 | InheritsFrom
 | StringMessageTable
 | MethodAddress
 | MethodName
 | FieldAddress
 | AfterConstruction
 | BeforeDestruction
 | DefaultHandlerStr
 | Dispatch
 | DispatchStr
 | GetInterface
 | GetInterfaceByStr
 | GetInterfaceWeak
 | GetInterfaceEntry
 | GetInterfaceEntryByStr
 | GetInterfaceTable
 | UnitName
 | Equals
 | GetHashCode
 | ToString


pt | ActionChange (TControl)
pt | ActionChange (TCustomSpeedButton)
 | ActiveDefaultControlChanged (TControl)
pt | AddHandler (TControl)
 | AddHandlerOnBeforeDestruction (TControl)
 | AddHandlerOnChangeBounds (TControl)
 | AddHandlerOnEnabledChanged (TControl)
 | AddHandlerOnKeyDown (TControl)
 | AddHandlerOnMouseWheel (TControl)
 | AddHandlerOnResize (TControl)
 | AddHandlerOnVisibleChanged (TControl)
 | AddHandlerOnVisibleChanging (TControl)
 | AdjustSize (TControl)
 | AfterConstruction (TObject)
 | AnchorAsAlign (TControl)
 | AnchorClient (TControl)
 | AnchoredControlCount (TControl)
 | AnchorHorizontalCenterTo (TControl)
 | AnchorParallel (TControl)
 | AnchorSame (TControl)
pt | AnchorSideChanged (TControl)
 | AnchorToCompanion (TControl)
 | AnchorToNeighbour (TControl)
 | AnchorVerticalCenterTo (TControl)
 | Assign (TPersistent)
 | AssignError (TPersistent)
 | AssignTo (TPersistent)
pt | AssignTo (TControl)
 | AutoAdjustLayout (TControl)
 | AutoSizeDelayed (TControl)
 | AutoSizeDelayedHandle (TControl)
 | AutoSizeDelayedReport (TControl)
 | AutoSizePhases (TControl)
 | BeforeDestruction (TObject)
 | BeforeDestruction (TComponent)
 | BeforeDestruction (TControl)
pt | BeforeDragStart (TControl)
pt | BeginAutoDrag (TControl)
pt | BeginAutoSizing (TControl)
 | BeginDrag (TControl)
pt | BoundsChanged (TControl)
 | BringToFront (TControl)
pt | ButtonGlyph (TCustomSpeedButton)
pt | CalculateDockSizes (TControl)
pt | CalculatePreferredSize (TControl)
pt | CalculatePreferredSize (TCustomSpeedButton)
pt | CanAutoSize (TControl)
pt | CanTab (TControl)
pt | CaptureChanged (TControl)
pt | ChangeBounds (TControl)
pt | Changed (TControl)
 | ChangeName (TComponent)
pt | ChangeScale (TControl)
 | CheckChildClassAllowed (TControl)
 | CheckNewParent (TControl)
pt | CheckOnChangeBounds (TControl)
pt | ChildClassAllowed (TControl)
 | ClassInfo (TObject)
 | ClassName (TObject)
 | ClassNameIs (TObject)
 | ClassParent (TObject)
 | ClassType (TObject)
 | CleanupInstance (TObject)
pt | Click (TControl)
 | Click (TCustomSpeedButton)
 | ClientToParent (TControl)
 | ClientToScreen (TControl)
pt | CMBiDiModeChanged (TControl)
pt | CMChanged (TControl)
pt | CMCursorChanged (TControl)
pt | CMCursorChanged (TGraphicControl)
pt | CMEnabledChanged (TControl)
pt | CMHintShow (TControl)
pt | CMHitTest (TControl)
pt | CMMouseEnter (TControl)
pt | CMMouseLeave (TControl)
pt | CMParentBiDiModeChanged (TControl)
pt | CMParentColorChanged (TControl)
pt | CMParentFontChanged (TControl)
pt | CMParentShowHintChanged (TControl)
pt | CMSysFontChanged (TControl)
pt | CMTextChanged (TControl)
pt | CMVisibleChanged (TControl)
 | CNPreferredSizeChanged (TControl)
pt | ColorIsStored (TControl)
pt | ConstrainedResize (TControl)
 | ControlToScreen (TControl)
 | Create (TObject)
 | Create (TComponent)
 | Create (TLCLComponent)
 | Create (TControl)
 | Create (TGraphicControl)
 | Create (TCustomSpeedButton)
 | CreateAccessibleObject (TControl)
pt | CreateControlBorderSpacing (TControl)
pt | CreateFloatingDockSite (TControl)
pt | DblClick (TControl)
 | DecLCLRefCount (TLCLComponent)
 | DefaultHandler (TObject)
 | DefaultHandlerStr (TObject)
 | DefineProperties (TPersistent)
 | DefineProperties (TComponent)
pt | DefineProperties (TControl)
 | Destroy (TObject)
 | Destroy (TPersistent)
 | Destroy (TComponent)
 | Destroy (TLCLComponent)
 | Destroy (TControl)
 | Destroy (TGraphicControl)
 | Destroy (TCustomSpeedButton)
 | DestroyComponents (TComponent)
 | Destroying (TComponent)
pt | DialogChar (TControl)
pt | DialogChar (TCustomSpeedButton)
 | DisableAutoSizing (TControl)
 | Dispatch (TObject)
 | DispatchStr (TObject)
pt | DoAllAutoSize (TControl)
pt | DoAutoAdjustLayout (TControl)
pt | DoAutoSize (TControl)
pt | DoBorderSpacingChange (TControl)
pt | DoCallKeyEventHandler (TControl)
pt | DoCallMouseWheelEventHandler (TControl)
pt | DoCallNotifyHandler (TControl)
 | Dock (TControl)
 | Docked (TControl)
pt | DockTrackNoTarget (TControl)
pt | DoConstraintsChange (TControl)
pt | DoContextPopup (TControl)
pt | DoDock (TControl)
pt | DoDragMsg (TControl)
pt | DoEndDock (TControl)
pt | DoEndDrag (TControl)
pt | DoFixDesignFontPPI (TControl)
pt | DoFloatMsg (TControl)
pt | DoMouseWheel (TControl)
pt | DoMouseWheelDown (TControl)
pt | DoMouseWheelHorz (TControl)
pt | DoMouseWheelLeft (TControl)
pt | DoMouseWheelRight (TControl)
pt | DoMouseWheelUp (TControl)
pt | DoOnChangeBounds (TControl)
pt | DoOnChangeBounds (TGraphicControl)
pt | DoOnParentHandleDestruction (TControl)
pt | DoOnParentHandleDestruction (TGraphicControl)
pt | DoOnResize (TControl)
pt | DoOnShowHint (TControl)
pt | DoScaleFontPPI (TControl)
pt | DoSetBounds (TControl)
pt | DoStartDock (TControl)
pt | DoStartDrag (TControl)
pt | DragCanceled (TControl)
 | DragDrop (TControl)
 | Dragging (TControl)
pt | DragOver (TControl)
pt | DrawGlyph (TCustomSpeedButton)
 | EditingDone (TControl)
 | EnableAutoSizing (TControl)
pt | EnabledChanged (TControl)
pt | EnabledChanging (TControl)
pt | EndAutoSizing (TControl)
 | EndDrag (TControl)
 | Equals (TObject)
 | ExecuteAction (TComponent)
 | ExecuteCancelAction (TControl)
 | ExecuteDefaultAction (TControl)
 | FieldAddress (TObject)
 | FindComponent (TComponent)
 | FindDownButton (TCustomSpeedButton)
 | FixDesignFontsPPI (TControl)
pt | FontChanged (TControl)
pt | FontChanged (TGraphicControl)
pt | ForeignAnchorSideChanged (TControl)
pt | FormEndUpdated (TControl)
 | FormIsUpdating (TControl)
 | FPOAttachObserver (TPersistent)
 | FPODetachObserver (TPersistent)
 | FPONotifyObservers (TPersistent)
 | Free (TObject)
 | FreeInstance (TObject)
 | FreeNotification (TComponent)
 | FreeOnRelease (TComponent)
 | GetAccessibleObject (TControl)
pt | GetAction (TControl)
pt | GetActionLinkClass (TControl)
pt | GetActionLinkClass (TCustomSpeedButton)
 | GetAnchorsDependingOnParent (TControl)
pt | GetCachedText (TControl)
 | GetCanvasScaleFactor (TControl)
 | GetChildAccessibleObjectAtPos (TControl)
 | GetChildOwner (TComponent)
 | GetChildParent (TComponent)
 | GetChildren (TComponent)
 | GetChildrenRect (TControl)
pt | GetClientOrigin (TControl)
pt | GetClientRect (TControl)
pt | GetClientScrollOffset (TControl)
 | GetColorResolvingParent (TControl)
 | GetComObject (TComponent)
 | GetComponent (TComponent)
 | GetComponentCount (TComponent)
 | GetComponentIndex (TComponent)
pt | GetControlClassDefaultSize (TControl)
pt | GetControlClassDefaultSize (TCustomSpeedButton)
pt | GetControlOrigin (TControl)
pt | GetCursor (TControl)
 | GetDefaultColor (TControl)
pt | GetDefaultDockCaption (TControl)
 | GetDefaultHeight (TControl)
 | GetDefaultWidth (TControl)
pt | GetDeviceContext (TControl)
pt | GetDockEdge (TControl)
pt | GetDragImages (TControl)
pt | GetDrawDetails (TCustomSpeedButton)
pt | GetEnabled (TControl)
 | GetEnumerator (TComponent)
pt | GetFloating (TControl)
pt | GetFloatingDockSiteClass (TControl)
pt | GetGlyphSize (TCustomSpeedButton)
 | GetHashCode (TObject)
 | GetIDsOfNames (TComponent)
 | GetInterface (TObject)
 | GetInterfaceByStr (TObject)
 | GetInterfaceEntry (TObject)
 | GetInterfaceEntryByStr (TObject)
 | GetInterfaceTable (TObject)
 | GetInterfaceWeak (TObject)
pt | GetLogicalClientRect (TControl)
pt | GetMouseCapture (TControl)
pt | GetMousePosFromMessage (TControl)
 | GetNamePath (TPersistent)
 | GetNamePath (TComponent)
pt | GetNumGlyphs (TCustomSpeedButton)
 | GetOwner (TPersistent)
 | GetOwner (TComponent)
pt | GetPalette (TControl)
 | GetParentComponent (TComponent)
 | GetParentComponent (TControl)
pt | GetPopupMenu (TControl)
 | GetPreferredSize (TControl)
 | GetRGBColorResolvingParent (TControl)
pt | GetScrolledClientRect (TControl)
 | GetSelectedChildAccessibleObject (TControl)
 | GetSidePosition (TControl)
 | GetTextBuf (TControl)
 | GetTextLen (TControl)
pt | GetTextSize (TCustomSpeedButton)
 | GetTopParent (TControl)
 | GetTypeInfo (TComponent)
 | GetTypeInfoCount (TComponent)
pt | GetWSComponentClass (TLCLComponent)
pt | GlyphChanged (TCustomSpeedButton)
pt | GlyphChanged (TEditSpeedButton)
 | HandleObjectShouldBeVisible (TControl)
 | HasHelp (TControl)
 | HasParent (TComponent)
 | HasParent (TControl)
pt | HeightIsAnchored (TControl)
 | Hide (TControl)
 | iicrGetComponent (TComponent)
 | IncLCLRefCount (TLCLComponent)
 | InheritsFrom (TObject)
 | InitiateAction (TControl)
 | InitInstance (TObject)
 | Insert (TComponent)
 | InsertComponent (TComponent)
 | InstanceSize (TObject)
 | Invalidate (TControl)
pt | InvalidateControl (TControl)
 | InvalidatePreferredSize (TControl)
 | Invoke (TComponent)
pt | IsAParentAligning (TControl)
pt | IsBorderSpacingInnerBorderStored (TControl)
pt | IsCaptionStored (TControl)
pt | IsClientHeightStored (TControl)
pt | IsClientWidthStored (TControl)
 | IsControlVisible (TControl)
 | IsEnabled (TControl)
 | IsImplementorOf (TComponent)
 | IsParentColor (TControl)
 | IsParentFont (TControl)
 | IsParentOf (TControl)
 | IsProcessingPaintMsg (TControl)
 | IsRightToLeft (TControl)
 | IsVisible (TControl)
pt | LMCaptureChanged (TControl)
 | Loaded (TComponent)
pt | Loaded (TControl)
pt | Loaded (TCustomSpeedButton)
pt | LoadedAll (TControl)
 | LoadGlyphFromLazarusResource (TCustomSpeedButton)
 | LoadGlyphFromResourceName (TCustomSpeedButton)
 | Loading (TComponent)
 | ManualDock (TControl)
 | ManualFloat (TControl)
pt | MeasureDraw (TCustomSpeedButton)
 | MethodAddress (TObject)
 | MethodName (TObject)
pt | MouseDown (TControl)
pt | MouseDown (TCustomSpeedButton)
pt | MouseEnter (TControl)
pt | MouseEnter (TCustomSpeedButton)
pt | MouseLeave (TControl)
pt | MouseLeave (TCustomSpeedButton)
pt | MouseMove (TControl)
pt | MouseMove (TCustomSpeedButton)
pt | MouseUp (TControl)
pt | MouseUp (TCustomSpeedButton)
 | newinstance (TObject)
 | NewInstance (TLCLComponent)
 | Notification (TComponent)
pt | Notification (TControl)
pt | Notification (TCustomSpeedButton)
pt | Paint (TGraphicControl)
pt | Paint (TCustomSpeedButton)
pt | PaintBackground (TCustomSpeedButton)
 | PaletteCreated (TComponent)
 | ParentDestroyingHandle (TControl)
pt | ParentFontChanged (TControl)
pt | ParentFormHandleInitialized (TControl)
 | ParentHandlesAllocated (TControl)
 | ParentToClient (TControl)
 | Perform (TControl)
pt | PositionDockRect (TControl)
pt | QuadClick (TControl)
 | QueryInterface (TComponent)
 | ReadLeft (TComponent)
 | ReadState (TComponent)
pt | ReadState (TControl)
 | ReadTop (TComponent)
pt | RealGetText (TControl)
pt | RealSetText (TControl)
pt | RealSetText (TCustomSpeedButton)
 | ReferenceInterface (TComponent)
 | Refresh (TControl)
 | Remove (TComponent)
 | RemoveAllHandlersOfObject (TLCLComponent)
 | RemoveAllHandlersOfObject (TControl)
 | RemoveComponent (TComponent)
 | RemoveFreeNotification (TComponent)
pt | RemoveHandler (TControl)
 | RemoveHandlerOnBeforeDestruction (TControl)
 | RemoveHandlerOnChangeBounds (TControl)
 | RemoveHandlerOnEnableChanging (TControl)
 | RemoveHandlerOnKeyDown (TControl)
 | RemoveHandlerOnMouseWheel (TControl)
 | RemoveHandlerOnResize (TControl)
 | RemoveHandlerOnVisibleChanged (TControl)
 | RemoveHandlerOnVisibleChanging (TControl)
 | RemoveNotification (TComponent)
 | Repaint (TControl)
 | ReplaceDockedControl (TControl)
pt | RequestAlign (TControl)
pt | Resize (TControl)
 | SafeCallException (TObject)
 | SafeCallException (TComponent)
 | Scale96ToFont (TControl)
 | Scale96ToForm (TControl)
 | Scale96ToScreen (TControl)
pt | ScaleConstraints (TControl)
 | ScaleDesignToForm (TControl)
 | ScaleFontsPPI (TControl)
 | ScaleFontTo96 (TControl)
 | ScaleFontToScreen (TControl)
 | ScaleFormTo96 (TControl)
 | ScaleFormToDesign (TControl)
 | ScaleScreenTo96 (TControl)
 | ScaleScreenToFont (TControl)
 | ScreenToClient (TControl)
 | ScreenToControl (TControl)
pt | SendMoveSizeMessages (TControl)
 | SendToBack (TControl)
pt | SetAction (TControl)
pt | SetAlign (TControl)
 | SetAncestor (TComponent)
pt | SetAnchors (TControl)
pt | SetAutoSize (TControl)
pt | SetBiDiMode (TControl)
 | SetBounds (TControl)
 | SetBoundsKeepBase (TControl)
 | SetChildOrder (TComponent)
pt | SetColor (TControl)
 | SetComponentIndex (TComponent)
pt | SetCursor (TControl)
 | SetDesigning (TComponent)
 | SetDesignInstance (TComponent)
pt | SetDown (TCustomSpeedButton)
pt | SetDragMode (TControl)
pt | SetEnabled (TControl)
pt | SetFlat (TCustomSpeedButton)
pt | SetGroupIndex (TCustomSpeedButton)
pt | SetHint (TControl)
 | SetInitialBounds (TControl)
 | SetInline (TComponent)
pt | SetMargin (TCustomSpeedButton)
 | SetName (TComponent)
pt | SetName (TControl)
pt | SetNumGlyphs (TCustomSpeedButton)
pt | SetParent (TControl)
pt | SetParentBiDiMode (TControl)
 | SetParentComponent (TComponent)
pt | SetParentComponent (TControl)
 | SetReference (TComponent)
pt | SetSpacing (TCustomSpeedButton)
 | SetSubComponent (TComponent)
 | SetTempCursor (TControl)
 | SetTextBuf (TControl)
pt | SetVisible (TControl)
pt | SetZOrder (TControl)
 | ShouldAutoAdjust (TControl)
 | Show (TControl)
 | ShowHelp (TControl)
 | StringMessageTable (TObject)
pt | TextChanged (TControl)
 | ToString (TObject)
pt | TripleClick (TControl)
 | UnitName (TObject)
 | Update (TControl)
 | UpdateAction (TComponent)
pt | UpdateAnchorRules (TControl)
 | UpdateBaseBounds (TControl)
 | Updated (TComponent)
pt | UpdateMouseCursor (TControl)
 | UpdateRegistry (TComponent)
 | UpdateRolesForForm (TControl)
pt | UpdateState (TCustomSpeedButton)
 | Updating (TComponent)
 | UseRightToLeftAlignment (TControl)
 | UseRightToLeftReading (TControl)
 | UseRightToLeftScrollBar (TControl)
 | ValidateContainer (TComponent)
 | ValidateInsert (TComponent)
 | ValidateRename (TComponent)
pt | VisibleChanged (TControl)
pt | VisibleChanging (TControl)
pt | WidthIsAnchored (TControl)
pt | WMCancelMode (TControl)
pt | WMContextMenu (TControl)
pt | WMLButtonDBLCLK (TControl)
pt | WMLButtonDown (TControl)
pt | WMLButtonQuadCLK (TControl)
pt | WMLButtonTripleCLK (TControl)
pt | WMLButtonUp (TControl)
pt | WMMButtonDBLCLK (TControl)
pt | WMMButtonDown (TControl)
pt | WMMButtonQuadCLK (TControl)
pt | WMMButtonTripleCLK (TControl)
pt | WMMButtonUp (TControl)
pt | WMMouseHWheel (TControl)
pt | WMMouseMove (TControl)
pt | WMMouseWheel (TControl)
pt | WMMove (TControl)
pt | WMRButtonDBLCLK (TControl)
pt | WMRButtonDown (TControl)
pt | WMRButtonQuadCLK (TControl)
pt | WMRButtonTripleCLK (TControl)
pt | WMRButtonUp (TControl)
pt | WMSize (TControl)
pt | WMWindowPosChanged (TControl)
pt | WMXButtonDBLCLK (TControl)
pt | WMXButtonDown (TControl)
pt | WMXButtonQuadCLK (TControl)
pt | WMXButtonTripleCLK (TControl)
pt | WMXButtonUp (TControl)
pt | WndProc (TControl)
 | WriteLayoutDebugReport (TControl)
 | WriteLeft (TComponent)
 | WriteState (TComponent)
 | WriteTop (TComponent)
pt | WSRegisterClass (TLCLComponent)
pt | WSRegisterClass (TControl)
pt | WSRegisterClass (TGraphicControl)
pt | WSRegisterClass (TCustomSpeedButton)
 | _AddRef (TComponent)
 | _Release (TComponent)


TEditSpeedButton
TSpeedButton
pl | ro | OnClick
pl | ro | OnDblClick
pl | ro | OnMouseDown
pl | ro | OnMouseEnter
pl | ro | OnMouseLeave
pl | ro | OnMouseMove
pl | ro | OnMouseUp
pl | ro | OnMouseWheel
pl | ro | OnMouseWheelDown
pl | ro | OnMouseWheelUp
pl | ro | OnPaint
pl | ro | OnResize
pl | ro | OnChangeBounds
TCustomSpeedButton
TGraphicControl
pt |  | OnPaint
TControl
pt |  | OnConstrainedResize
pt |  | OnContextPopup
pt |  | OnDblClick
pt |  | OnTripleClick
pt |  | OnQuadClick
pt |  | OnDragDrop
pt |  | OnDragOver
pt |  | OnEndDock
pt |  | OnEndDrag
pt |  | OnMouseDown
pt |  | OnMouseMove
pt |  | OnMouseUp
pt |  | OnMouseEnter
pt |  | OnMouseLeave
pt |  | OnMouseWheel
pt |  | OnMouseWheelDown
pt |  | OnMouseWheelUp
pt |  | OnMouseWheelHorz
pt |  | OnMouseWheelLeft
pt |  | OnMouseWheelRight
pt |  | OnStartDock
pt |  | OnStartDrag
pt |  | OnEditingDone
 |  | OnChangeBounds
 |  | OnClick
 |  | OnResize
 |  | OnShowHint
TLCLComponent
TComponent
TPersistent
TObject


TEditSpeedButton.GlyphChanged

Declaration

Source position: editbtn.pas line 53

protected procedure TEditSpeedButton.GlyphChanged(

  Sender: TObject

); override;


TFileNameEdit

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

TFileNameEdit - an EditBox to hold a filename, with an attached SpeedButton that will summon a File Open dialog

Declaration

Source position: editbtn.pas line 354

type TFileNameEdit = class(TCustomEditButton)
protected
function GetDefaultGlyphName; override; | GetDefaultGlyphName - find the name for the default glyph for the SpeedButton
function CreateDialog(); virtual; | CreateDialog - creates the dialog for file open
procedure SaveDialogResult(); virtual; | SaveDialogResult - stores the result of the dialog
procedure ButtonClick; override;
procedure EditChange; override;
procedure DoFolderChange(); virtual;
public
constructor Create(); override; | Create - constructor for TCustomEditButton: calls inherited Create then sets some defaults and initialises some variables
destructor Destroy; override; |
procedure RunDialog; virtual; | RunDialog - perform the function of the dialog
property AutoSelected: Boolean;
property DialogFiles: TStrings; [r] | DialogFiles - the list of files for the dialog
published
property FileName: string; [rw] | FileName - the name of the selected file: either the initial value placed in the Text Box, or the value selected from the dialog
property InitialDir: string; [rw] | InitialDir - the directory from which the search starts
property OnAcceptFileName: TAcceptFileNameEvent; [rw] | OnAcceptFileName - event handler for accepting a filename
property OnFolderChange: TNotifyEvent; [rw]
property DialogKind: TDialogKind; [rw] | DialogKind - should be dkOpen
property DialogTitle: string; [rw] | DialogTitle - the title to appear on the dialog
property DialogOptions: TOpenOptions; [rw] | DialogOptions - set of options for the open file dialog
property Filter: string; [rw] | Filter - the filtering string to help search for the required file
property FilterIndex: Integer; [rw] | FilterIndex - index value for the filtering string
property DefaultExt: string; [rw]
property HideDirectories: Boolean; [rw] | Hide directory name from edit
property ButtonCaption: TCaption;
property ButtonCursor: TCursor;
property ButtonHint: TTranslateString;
property ButtonOnlyWhenFocused: Boolean; | ButtonOnlyWhenFocused - if True, the SpeedButton only appears when focus is given to the EditButton control
property ButtonWidth: Integer; | ButtonWidth - the width of the SpeedButton attached to the Edit Box
property Constraints: TSizeConstraints;
property DirectInput: Boolean; | DirectInput - if True, direct data input to the Edit Box is permitted
property Glyph: TBitmap;
property NumGlyphs: Integer; | NumGlyphs - the number of available glyphs
property Images: TCustomImageList;
property ImageIndex: TImageIndex;
property ImageWidth: Integer;
property Flat: Boolean; | Flat - if True, SpeedButton appears flat rather than three-dimensional
property FocusOnButtonClick: Boolean;
property Align: TAlign; | Specifies the placement of the control inside its Parent.
property Alignment: TAlignment;
property Anchors: TAnchors; | The set of anchor definitions for this control.
property AutoSelect: Boolean; | If True, the edit control will select all its text when it receives focus or when the Enter key is pressed.
property BidiMode: TBiDiMode;
property BorderSpacing: TControlBorderSpacing; | Determines the inner and outer border spacing for this control.
property BorderStyle: TBorderStyle;
property AutoSize: Boolean; | Allows to automatically adjust the size of the control, according to its content.
property Color: TColor; | The background color of the control.
property DragCursor: TCursor; | The cursor shape shown while the control is dragged.
property DragMode: TDragMode; | Allows the user to drag the control.
property Enabled: Boolean; | Determines whether the control reacts on mouse or keyboard input.
property Font: TFont; | The font to be used for text display in this control.
property Layout: TLeftRight;
property MaxLength: Integer; | The maximum length of the text; zero for unlimited.
property ParentBidiMode: Boolean;
property ParentColor: Boolean; | If true, the Color of the control will be the same as the one from the Parent. Default is true.
property ParentFont: Boolean; | If true, the Font of the control will be the same as the one from the Parent. Default is true.
property ParentShowHint: Boolean; | If true, the value of ShowHint for the control will be the same as the one from the Parent. Default is true.
property PopupMenu: TPopupMenu; | A context-sensitive menu that pops up when the right mouse button is clicked over this control
property ReadOnly: Boolean; | Prevents the user from changing the text.
property ShowHint: Boolean; | Enables the Hint display.
property Spacing: Integer;
property TabOrder: TTabOrder; | Determines the sequence of controls, reachable when the user presses the Tab key.
property TabStop: Boolean; | Allows the user to navigate to this control, by pressing the Tab key.
property Visible: Boolean; | Allows to show or hide the control, and all of its children.
property OnButtonClick: TNotifyEvent;
property OnChange: TNotifyEvent; | Event handler for any change in text.
property OnClick: TNotifyEvent; | Notification handler for mouse clicks.
property OnDblClick: TNotifyEvent; | Event Handler for double mouse clicks.
property OnDragDrop: TDragDropEvent; | This handler determines the action on an drop onto this control, in a drag-drop operation.
property OnDragOver: TDragOverEvent; | Event handler for a control being dragged over this control.
property OnEditingDone: TNotifyEvent; | Event handler when editing is done.
property OnEndDrag: TEndDragEvent; | Notification handler for the end of a dragging operation.
property OnEnter: TNotifyEvent; | Handler for control receiving the focus.
property OnExit: TNotifyEvent; | Handler for control loosing the focus. This is a good place for checking the finished user input.
property OnKeyDown: TKeyEvent; | Handler for keyboard key pressed.
property OnKeyPress: TKeyPressEvent; | Handler for a character entered by the user.
property OnKeyUp: TKeyEvent; | Handler for keyboard key released.
property OnMouseDown: TMouseEvent; | Event handler for mouse button going down.
property OnMouseEnter: TNotifyEvent;
property OnMouseLeave: TNotifyEvent;
property OnMouseMove: TMouseMoveEvent; | Event handler for mouse movement within the control.
property OnMouseUp: TMouseEvent; | Event handler for mouse button going up.
property OnMouseWheel: TMouseWheelEvent;
property OnMouseWheelDown: TMouseWheelUpDownEvent;
property OnMouseWheelUp: TMouseWheelUpDownEvent;
property OnStartDrag: TStartDragEvent; | Event handler for the start of a dragging operation.
property OnUTF8KeyPress: TUTF8KeyPressEvent; | Handler for a character entered by the user.
property Text: TCaption;
property TextHint: TTranslateString;
end;

Inheritance

TFileNameEdit | TFileNameEdit - an EditBox to hold a filename, with an attached SpeedButton that will summon a File Open dialog
|
TCustomEditButton | TCustomEditButton - base class for TEditButton, an Edit Box with attached Speed Button
|
TCustomAbstractGroupedEdit |
|
TCustomControl | The base class for windowed controls which paint themselves.
|
TWinControl | The base class for controls which can contain other (child) controls.
|
TControl | The base class for visible controls.
|
TLCLComponent | The base class for LCL components associated with widgets.
|
TComponent,IUnknown,IInterfaceComponentReference
|
TPersistent,IFPObserved
|
TObject


TFileNameEdit
 | ro | AutoSelected
 | ro | DialogFiles
pl |  | FileName
pl |  | InitialDir
pl |  | DialogKind
pl |  | DialogTitle
pl |  | DialogOptions
pl |  | Filter
pl |  | FilterIndex
pl |  | DefaultExt
pl |  | HideDirectories
pl | ro | ButtonCaption
pl | ro | ButtonCursor
pl | ro | ButtonHint
pl | ro | ButtonOnlyWhenFocused
pl | ro | ButtonWidth
pl | ro | Constraints
pl | ro | DirectInput
pl | ro | Glyph
pl | ro | NumGlyphs
pl | ro | Images
pl | ro | ImageIndex
pl | ro | ImageWidth
pl | ro | Flat
pl | ro | FocusOnButtonClick
pl | ro | Align
pl | ro | Alignment
pl | ro | Anchors
pl | ro | AutoSelect
pl | ro | BidiMode
pl | ro | BorderSpacing
pl | ro | BorderStyle
pl | ro | AutoSize
pl | ro | Color
pl | ro | DragCursor
pl | ro | DragMode
pl | ro | Enabled
pl | ro | Font
pl | ro | Layout
pl | ro | MaxLength
pl | ro | ParentBidiMode
pl | ro | ParentColor
pl | ro | ParentFont
pl | ro | ParentShowHint
pl | ro | PopupMenu
pl | ro | ReadOnly
pl | ro | ShowHint
pl | ro | Spacing
pl | ro | TabOrder
pl | ro | TabStop
pl | ro | Visible
pl | ro | Text
pl | ro | TextHint
TCustomEditButton
pt | ro | Button
pt |  | ButtonCaption
pt |  | ButtonCursor
pt |  | ButtonHint
pt |  | ButtonOnlyWhenFocused
pt |  | ButtonWidth
pt | ro | Edit
pt |  | Flat
pt |  | FocusOnButtonClick
pt |  | Glyph
pt |  | NumGlyphs
pt |  | Images
pt |  | ImageIndex
pt |  | ImageWidth
pt | ro | Spacing
TCustomAbstractGroupedEdit
pt |  | AutoSelect
pt |  | AutoSelected
pt | ro | Buddy
pt |  | BuddyCaption
pt |  | BuddyCursor
pt |  | BuddyHint
pt |  | BuddyWidth
pt |  | DirectInput
pt | ro | BaseEditor
pt |  | EditMask
pt |  | EditText
pt |  | FocusOnBuddyClick
pt | ro | IsMasked
pt |  | Layout
pt |  | Spacing
 | ro | Autosize
 |  | AutoSizeHeightIsEditHeight
 |  | Alignment
 | ro | CanUndo
 |  | CaretPos
 |  | CharCase
 |  | Color
 |  | ParentColor
 |  | EchoMode
 |  | HideSelection
 |  | MaxLength
 |  | Modified
 |  | NumbersOnly
 |  | PasswordChar
 |  | PopupMenu
 |  | ReadOnly
 |  | SelLength
 |  | SelStart
 |  | SelText
 |  | TabStop
 | ro | Text
 |  | TextHint
TCustomControl
 |  | Canvas
 | ro | BorderStyle
TWinControl
pt |  | WindowHandle
pt |  | BorderStyle
pt |  | ParentBackground
 |  | BorderWidth
 | ro | BoundsLockCount
 | ro | Brush
 | ro | CachedClientHeight
 | ro | CachedClientWidth
 |  | ChildSizing
 | ro | ControlCount
 | ro | Controls
 |  | DefWndProc
 | ro | DockClientCount
 | ro | DockClients
 |  | DockManager
 |  | DockSite
 |  | DoubleBuffered
 |  | Handle
 | ro | IsFlipped
 | ro | IsResizing
 |  | TabOrder
 |  | TabStop
 |  | ParentDoubleBuffered
 |  | ParentWindow
 | ro | Showing
 |  | UseDockManager
 |  | DesignerDeleting
 | ro | VisibleDockClientCount
TControl
pt | ro | AutoSizing
pt | ro | AutoSizingAll
pt | ro | AutoSizingLockCount
pt |  | ActionLink
pt |  | DesktopFont
pt |  | DragCursor
pt |  | DragKind
pt |  | DragMode
pt |  | MouseCapture
pt |  | ParentColor
pt |  | ParentFont
pt |  | ParentShowHint
pt |  | SessionProperties
pt |  | Text
 | ro | AnchoredControls
 | ro | BaseBounds
 | ro | ReadBounds
 | ro | BaseParentClientSize
 |  | AccessibleDescription
 |  | AccessibleValue
 |  | AccessibleRole
 |  | Action
 |  | Align
 |  | Anchors
 | ro | AnchorSide
 |  | AutoSize
 |  | BorderSpacing
 |  | BoundsRect
 |  | BoundsRectForNewParent
 |  | Caption
 |  | CaptureMouseButtons
 |  | ClientHeight
 | ro | ClientOrigin
 | ro | ClientRect
 |  | ClientWidth
 |  | Color
 |  | Constraints
 | ro | ControlOrigin
 |  | ControlState
 |  | ControlStyle
 |  | Enabled
 |  | Font
 |  | IsControl
 | ro | MouseEntered
 | ro | MouseInClient
 |  | Parent
 |  | PopupMenu
 |  | ShowHint
 |  | Visible
 |  | WindowProc
 |  | DockOrientation
 | ro | Floating
 |  | FloatingDockSiteClass
 |  | HostDockSite
 |  | LRDockWidth
 |  | TBDockHeight
 |  | UndockHeight
 |  | UndockWidth
 |  | BiDiMode
 |  | ParentBiDiMode
pl |  | AnchorSideLeft
pl |  | AnchorSideTop
pl |  | AnchorSideRight
pl |  | AnchorSideBottom
pl |  | Cursor
pl |  | Left
pl |  | Height
pl |  | Hint
pl |  | Top
pl |  | Width
pl |  | HelpType
pl |  | HelpKeyword
pl |  | HelpContext
TLCLComponent
 | ro | LCLRefCount
 | ro | WidgetSetClass
TComponent
 | ro | ComObject
 | ro | Components
 | ro | ComponentCount
 |  | ComponentIndex
 | ro | ComponentState
 | ro | ComponentStyle
 |  | DesignInfo
 | ro | Owner
 |  | VCLComObject
 |  | Name
 |  | Tag
TPersistent
TObject


 |  | AccessibleDescription (TControl)
 |  | AccessibleRole (TControl)
 |  | AccessibleValue (TControl)
 |  | Action (TControl)
pt |  | ActionLink (TControl)
 |  | Align (TControl)
pl | ro | Align (TFileNameEdit)
 |  | Alignment (TCustomAbstractGroupedEdit)
pl | ro | Alignment (TFileNameEdit)
 | ro | AnchoredControls (TControl)
 |  | Anchors (TControl)
pl | ro | Anchors (TFileNameEdit)
 | ro | AnchorSide (TControl)
pl |  | AnchorSideBottom (TControl)
pl |  | AnchorSideLeft (TControl)
pl |  | AnchorSideRight (TControl)
pl |  | AnchorSideTop (TControl)
pt |  | AutoSelect (TCustomAbstractGroupedEdit)
pl | ro | AutoSelect (TFileNameEdit)
pt |  | AutoSelected (TCustomAbstractGroupedEdit)
 | ro | AutoSelected (TFileNameEdit)
 |  | AutoSize (TControl)
 | ro | Autosize (TCustomAbstractGroupedEdit)
pl | ro | AutoSize (TFileNameEdit)
 |  | AutoSizeHeightIsEditHeight (TCustomAbstractGroupedEdit)
pt | ro | AutoSizing (TControl)
pt | ro | AutoSizingAll (TControl)
pt | ro | AutoSizingLockCount (TControl)
 | ro | BaseBounds (TControl)
pt | ro | BaseEditor (TCustomAbstractGroupedEdit)
 | ro | BaseParentClientSize (TControl)
 |  | BiDiMode (TControl)
pl | ro | BidiMode (TFileNameEdit)
 |  | BorderSpacing (TControl)
pl | ro | BorderSpacing (TFileNameEdit)
pt |  | BorderStyle (TWinControl)
 | ro | BorderStyle (TCustomControl)
pl | ro | BorderStyle (TFileNameEdit)
 |  | BorderWidth (TWinControl)
 | ro | BoundsLockCount (TWinControl)
 |  | BoundsRect (TControl)
 |  | BoundsRectForNewParent (TControl)
 | ro | Brush (TWinControl)
pt | ro | Buddy (TCustomAbstractGroupedEdit)
pt |  | BuddyCaption (TCustomAbstractGroupedEdit)
pt |  | BuddyCursor (TCustomAbstractGroupedEdit)
pt |  | BuddyHint (TCustomAbstractGroupedEdit)
pt |  | BuddyWidth (TCustomAbstractGroupedEdit)
pt | ro | Button (TCustomEditButton)
pt |  | ButtonCaption (TCustomEditButton)
pl | ro | ButtonCaption (TFileNameEdit)
pt |  | ButtonCursor (TCustomEditButton)
pl | ro | ButtonCursor (TFileNameEdit)
pt |  | ButtonHint (TCustomEditButton)
pl | ro | ButtonHint (TFileNameEdit)
pt |  | ButtonOnlyWhenFocused (TCustomEditButton)
pl | ro | ButtonOnlyWhenFocused (TFileNameEdit)
pt |  | ButtonWidth (TCustomEditButton)
pl | ro | ButtonWidth (TFileNameEdit)
 | ro | CachedClientHeight (TWinControl)
 | ro | CachedClientWidth (TWinControl)
 | ro | CanUndo (TCustomAbstractGroupedEdit)
 |  | Canvas (TCustomControl)
 |  | Caption (TControl)
 |  | CaptureMouseButtons (TControl)
 |  | CaretPos (TCustomAbstractGroupedEdit)
 |  | CharCase (TCustomAbstractGroupedEdit)
 |  | ChildSizing (TWinControl)
 |  | ClientHeight (TControl)
 | ro | ClientOrigin (TControl)
 | ro | ClientRect (TControl)
 |  | ClientWidth (TControl)
 |  | Color (TControl)
 |  | Color (TCustomAbstractGroupedEdit)
pl | ro | Color (TFileNameEdit)
 | ro | ComObject (TComponent)
 | ro | ComponentCount (TComponent)
 |  | ComponentIndex (TComponent)
 | ro | Components (TComponent)
 | ro | ComponentState (TComponent)
 | ro | ComponentStyle (TComponent)
 |  | Constraints (TControl)
pl | ro | Constraints (TFileNameEdit)
 | ro | ControlCount (TWinControl)
 | ro | ControlOrigin (TControl)
 | ro | Controls (TWinControl)
 |  | ControlState (TControl)
 |  | ControlStyle (TControl)
pl |  | Cursor (TControl)
pl |  | DefaultExt (TFileNameEdit)
 |  | DefWndProc (TWinControl)
 |  | DesignerDeleting (TWinControl)
 |  | DesignInfo (TComponent)
pt |  | DesktopFont (TControl)
 | ro | DialogFiles (TFileNameEdit)
pl |  | DialogKind (TFileNameEdit)
pl |  | DialogOptions (TFileNameEdit)
pl |  | DialogTitle (TFileNameEdit)
pt |  | DirectInput (TCustomAbstractGroupedEdit)
pl | ro | DirectInput (TFileNameEdit)
 | ro | DockClientCount (TWinControl)
 | ro | DockClients (TWinControl)
 |  | DockManager (TWinControl)
 |  | DockOrientation (TControl)
 |  | DockSite (TWinControl)
 |  | DoubleBuffered (TWinControl)
pt |  | DragCursor (TControl)
pl | ro | DragCursor (TFileNameEdit)
pt |  | DragKind (TControl)
pt |  | DragMode (TControl)
pl | ro | DragMode (TFileNameEdit)
 |  | EchoMode (TCustomAbstractGroupedEdit)
pt | ro | Edit (TCustomEditButton)
pt |  | EditMask (TCustomAbstractGroupedEdit)
pt |  | EditText (TCustomAbstractGroupedEdit)
 |  | Enabled (TControl)
pl | ro | Enabled (TFileNameEdit)
pl |  | FileName (TFileNameEdit)
pl |  | Filter (TFileNameEdit)
pl |  | FilterIndex (TFileNameEdit)
pt |  | Flat (TCustomEditButton)
pl | ro | Flat (TFileNameEdit)
 | ro | Floating (TControl)
 |  | FloatingDockSiteClass (TControl)
pt |  | FocusOnBuddyClick (TCustomAbstractGroupedEdit)
pt |  | FocusOnButtonClick (TCustomEditButton)
pl | ro | FocusOnButtonClick (TFileNameEdit)
 |  | Font (TControl)
pl | ro | Font (TFileNameEdit)
pt |  | Glyph (TCustomEditButton)
pl | ro | Glyph (TFileNameEdit)
 |  | Handle (TWinControl)
pl |  | Height (TControl)
pl |  | HelpContext (TControl)
pl |  | HelpKeyword (TControl)
pl |  | HelpType (TControl)
pl |  | HideDirectories (TFileNameEdit)
 |  | HideSelection (TCustomAbstractGroupedEdit)
pl |  | Hint (TControl)
 |  | HostDockSite (TControl)
pt |  | ImageIndex (TCustomEditButton)
pl | ro | ImageIndex (TFileNameEdit)
pt |  | Images (TCustomEditButton)
pl | ro | Images (TFileNameEdit)
pt |  | ImageWidth (TCustomEditButton)
pl | ro | ImageWidth (TFileNameEdit)
pl |  | InitialDir (TFileNameEdit)
 |  | IsControl (TControl)
 | ro | IsFlipped (TWinControl)
pt | ro | IsMasked (TCustomAbstractGroupedEdit)
 | ro | IsResizing (TWinControl)
pt |  | Layout (TCustomAbstractGroupedEdit)
pl | ro | Layout (TFileNameEdit)
 | ro | LCLRefCount (TLCLComponent)
pl |  | Left (TControl)
 |  | LRDockWidth (TControl)
 |  | MaxLength (TCustomAbstractGroupedEdit)
pl | ro | MaxLength (TFileNameEdit)
 |  | Modified (TCustomAbstractGroupedEdit)
pt |  | MouseCapture (TControl)
 | ro | MouseEntered (TControl)
 | ro | MouseInClient (TControl)
 |  | Name (TComponent)
 |  | NumbersOnly (TCustomAbstractGroupedEdit)
pt |  | NumGlyphs (TCustomEditButton)
pl | ro | NumGlyphs (TFileNameEdit)
 | ro | Owner (TComponent)
 |  | Parent (TControl)
pt |  | ParentBackground (TWinControl)
 |  | ParentBiDiMode (TControl)
pl | ro | ParentBidiMode (TFileNameEdit)
pt |  | ParentColor (TControl)
 |  | ParentColor (TCustomAbstractGroupedEdit)
pl | ro | ParentColor (TFileNameEdit)
 |  | ParentDoubleBuffered (TWinControl)
pt |  | ParentFont (TControl)
pl | ro | ParentFont (TFileNameEdit)
pt |  | ParentShowHint (TControl)
pl | ro | ParentShowHint (TFileNameEdit)
 |  | ParentWindow (TWinControl)
 |  | PasswordChar (TCustomAbstractGroupedEdit)
 |  | PopupMenu (TControl)
 |  | PopupMenu (TCustomAbstractGroupedEdit)
pl | ro | PopupMenu (TFileNameEdit)
 | ro | ReadBounds (TControl)
 |  | ReadOnly (TCustomAbstractGroupedEdit)
pl | ro | ReadOnly (TFileNameEdit)
 |  | SelLength (TCustomAbstractGroupedEdit)
 |  | SelStart (TCustomAbstractGroupedEdit)
 |  | SelText (TCustomAbstractGroupedEdit)
pt |  | SessionProperties (TControl)
 |  | ShowHint (TControl)
pl | ro | ShowHint (TFileNameEdit)
 | ro | Showing (TWinControl)
pt |  | Spacing (TCustomAbstractGroupedEdit)
pt | ro | Spacing (TCustomEditButton)
pl | ro | Spacing (TFileNameEdit)
 |  | TabOrder (TWinControl)
pl | ro | TabOrder (TFileNameEdit)
 |  | TabStop (TWinControl)
 |  | TabStop (TCustomAbstractGroupedEdit)
pl | ro | TabStop (TFileNameEdit)
 |  | Tag (TComponent)
 |  | TBDockHeight (TControl)
pt |  | Text (TControl)
 | ro | Text (TCustomAbstractGroupedEdit)
pl | ro | Text (TFileNameEdit)
 |  | TextHint (TCustomAbstractGroupedEdit)
pl | ro | TextHint (TFileNameEdit)
pl |  | Top (TControl)
 |  | UndockHeight (TControl)
 |  | UndockWidth (TControl)
 |  | UseDockManager (TWinControl)
 |  | VCLComObject (TComponent)
 |  | Visible (TControl)
pl | ro | Visible (TFileNameEdit)
 | ro | VisibleDockClientCount (TWinControl)
 | ro | WidgetSetClass (TLCLComponent)
pl |  | Width (TControl)
pt |  | WindowHandle (TWinControl)
 |  | WindowProc (TControl)


TFileNameEdit
pt | GetDefaultGlyphName
pt | CreateDialog
pt | SaveDialogResult
pt | ButtonClick
pt | EditChange
pt | DoFolderChange
 | Create
 | Destroy
 | RunDialog
TCustomEditButton
pt | ButtonClick
pt | BuddyClick
pt | GetEditorClassType
pt | GetBuddyClassType
pt | GetControlClassDefaultSize
pt | CalcButtonVisible
pt | GetDefaultGlyphName
pt | CalculatePreferredSize
pt | CheckButtonVisible
pt | LoadDefaultGlyph
pt | GlyphChanged
 | Create
 | Destroy
TCustomAbstractGroupedEdit
pt | CalculatePreferredSize
pt | CreateBuddy
pt | CreateEditor
pt | FocusAndMaybeSelectAll
pt | GetEditorClassType
pt | GetBuddyClassType
pt | GetControlClassDefaultSize
pt | SetDirectInput
pt | RealGetText
pt | RealSetText
pt | GetEditPopupMenu
pt | GetBuddyCaption
pt | GetBuddyCursor
pt | GetBuddyHint
pt | GetBuddyWidth
pt | GetBuddyVisible
pt | SetBuddyCaption
pt | SetBuddyCursor
pt | SetBuddyHint
pt | SetBuddyWidth
pt | SetBuddyVisible
pt | BuddyClick
pt | DoEnter
pt | EditChange
pt | EditClick
pt | EditDblClick
pt | EditDragDrop
pt | EditDragOver
pt | EditEditingDone
pt | EditEndDrag
pt | EditEnter
pt | EditExit
pt | EditKeyDown
pt | EditKeyPress
pt | EditKeyUp
pt | EditMouseDown
pt | EditMouseUp
pt | EditMouseEnter
pt | EditMouseLeave
pt | EditMouseMove
pt | EditMouseWheel
pt | EditMouseWheelUp
pt | EditMouseWheelDown
pt | EditUtf8KeyPress
pt | EditStartDrag
pt | UpdateSpacing
pt | CheckCursor
pt | CMParentColorChanged
pt | EditCanModify
pt | GetSel
pt | GetSpacing
pt | SetSel
pt | Loaded
pt | Reset
pt | SetAutoSize
pt | SetColor
pt | SetCursor
pt | ShouldAutoAdjust
 | Create
 | Destroy
 | SetFocus
 | Focused
 | Clear
 | ClearSelection
 | CopyToClipboard
 | CutToClipboard
 | PasteFromClipboard
 | SelectAll
 | Undo
 | ValidateEdit
TCustomControl
pt | WSRegisterClass
pt | WMPaint
pt | DestroyWnd
pt | PaintWindow
pt | FontChanged
pt | SetColor
pt | Paint
 | Create
 | Destroy
TWinControl
pt | WSRegisterClass
pt | AdjustClientRect
pt | GetAdjustedLogicalClientRect
pt | AlignControls
pt | CustomAlignInsertBefore
pt | CustomAlignPosition
pt | DoAlignChildControls
pt | DoChildSizingChange
pt | InvalidatePreferredChildSizes
pt | CanTab
pt | IsClientHeightStored
pt | IsClientWidthStored
pt | DoSendShowHideToInterface
pt | ControlsAligned
pt | DoSendBoundsToInterface
pt | RealizeBounds
pt | RealizeBoundsRecursive
pt | InvalidateBoundsRealized
pt | CreateSubClass
pt | DoConstraintsChange
pt | DoSetBounds
pt | DoAutoSize
pt | DoAllAutoSize
pt | AllAutoSized
pt | CalculatePreferredSize
pt | GetPreferredSizeClientFrame
pt | GetChildren
pt | ChildClassAllowed
pt | PaintControls
pt | PaintHandler
pt | PaintWindow
pt | CreateBrush
pt | ScaleControls
pt | ChangeScale
pt | CMBiDiModeChanged
pt | CMBorderChanged
pt | CMDoubleBufferedChanged
pt | CMEnabledChanged
pt | CMParentDoubleBufferedChanged
pt | CMShowingChanged
pt | CMShowHintChanged
pt | CMVisibleChanged
pt | CMEnter
pt | CMExit
pt | WMContextMenu
pt | WMEraseBkgnd
pt | WMNotify
pt | WMSetFocus
pt | WMKillFocus
pt | WMShowWindow
pt | WMEnter
pt | WMExit
pt | WMKeyDown
pt | WMSysKeyDown
pt | WMKeyUp
pt | WMSysKeyUp
pt | WMChar
pt | WMSysChar
pt | WMPaint
pt | WMDestroy
pt | WMMove
pt | WMSize
pt | WMWindowPosChanged
pt | CNKeyDown
pt | CNSysKeyDown
pt | CNKeyUp
pt | CNSysKeyUp
pt | CNChar
pt | DoDragMsg
pt | DoDockClientMsg
pt | DoUndockClientMsg
pt | DoAddDockClient
pt | DockOver
pt | DoDockOver
pt | DoRemoveDockClient
pt | DoUnDock
pt | GetSiteInfo
pt | GetParentHandle
pt | GetTopParentHandle
pt | ReloadDockedControl
pt | CreateDockManager
pt | SetDockManager
pt | DoFloatMsg
pt | DoGetDockCaption
pt | DoEnter
pt | DoExit
pt | DoKeyDownBeforeInterface
pt | DoRemainingKeyDown
pt | DoRemainingKeyUp
pt | DoKeyPress
pt | DoUTF8KeyPress
pt | DoKeyUpBeforeInterface
pt | ChildKey
pt | SendDialogChar
pt | DialogChar
pt | ControlKeyDown
pt | ControlKeyUp
pt | KeyDown
pt | KeyDownBeforeInterface
pt | KeyDownAfterInterface
pt | KeyPress
pt | KeyUp
pt | KeyUpBeforeInterface
pt | KeyUpAfterInterface
pt | UTF8KeyPress
pt | FindNextControl
pt | SelectFirst
pt | RealGetText
pt | GetBorderStyle
pt | GetClientOrigin
pt | GetClientRect
pt | GetControlOrigin
pt | GetDeviceContext
pt | GetParentBackground
pt | IsControlMouseMsg
pt | CreateHandle
pt | CreateParams
pt | CreateWnd
pt | DestroyHandle
pt | DestroyWnd
pt | DoFlipChildren
pt | FinalizeWnd
pt | FixupTabList
pt | FontChanged
pt | InitializeWnd
pt | Loaded
pt | FormEndUpdated
pt | MainWndProc
pt | ParentFormHandleInitialized
pt | ChildHandlesCreated
pt | GetMouseCapture
pt | RealSetText
pt | RemoveFocus
pt | SendMoveSizeMessages
pt | SetBorderStyle
pt | SetColor
pt | SetChildZPosition
pt | SetParentBackground
pt | ShowControl
pt | UpdateControlState
pt | UpdateShowing
pt | WndProc
pt | WSSetText
 | AutoSizePhases
 | AutoSizeDelayed
 | AutoSizeDelayedReport
 | AutoSizeDelayedHandle
 | BeginUpdateBounds
 | EndUpdateBounds
 | LockRealizeBounds
 | UnlockRealizeBounds
 | ControlAtPos
 | ContainsControl
 | DoAdjustClientRectChange
 | InvalidateClientRectCache
 | ClientRectNeedsInterfaceUpdate
 | SetBounds
 | GetChildrenRect
 | DisableAlign
 | EnableAlign
 | ReAlign
 | ScrollBy_WS
 | ScrollBy
 | WriteLayoutDebugReport
 | AutoAdjustLayout
 | Create
 | CreateParented
 | CreateParentedControl
 | Destroy
 | DockDrop
 | CanFocus
 | CanSetFocus
 | GetControlIndex
 | SetControlIndex
 | Focused
 | PerformTab
 | FindChildControl
 | SelectNext
 | SetTempCursor
 | BroadCast
 | NotifyControls
 | DefaultHandler
 | GetTextLen
 | Invalidate
 | AddControl
 | InsertControl
 | RemoveControl
 | GetEnumeratorControls
 | GetEnumeratorControlsReverse
 | Repaint
 | Update
 | SetFocus
 | FlipChildren
 | ScaleBy
 | GetDockCaption
 | UpdateDockCaption
 | GetTabOrderList
 | HandleAllocated
 | ParentHandlesAllocated
 | HandleNeeded
 | BrushCreated
 | EraseBackground
 | IntfUTF8KeyPress
 | IntfGetDropFilesTarget
 | PaintTo
 | SetShape
TControl
pt | WSRegisterClass
pt | GetCursor
pt | SetCursor
pt | SetVisible
pt | DoOnParentHandleDestruction
pt | DoAutoSize
pt | DoAllAutoSize
pt | BeginAutoSizing
pt | EndAutoSizing
pt | AnchorSideChanged
pt | ForeignAnchorSideChanged
pt | SetAlign
pt | SetAnchors
pt | SetAutoSize
pt | BoundsChanged
pt | CreateControlBorderSpacing
pt | DoConstraintsChange
pt | DoBorderSpacingChange
pt | IsBorderSpacingInnerBorderStored
pt | IsCaptionStored
pt | SendMoveSizeMessages
pt | ConstrainedResize
pt | CalculatePreferredSize
pt | DoOnResize
pt | DoOnChangeBounds
pt | CheckOnChangeBounds
pt | Resize
pt | RequestAlign
pt | UpdateAnchorRules
pt | ChangeBounds
pt | DoSetBounds
pt | ScaleConstraints
pt | ChangeScale
pt | CanAutoSize
pt | SetBiDiMode
pt | SetParentBiDiMode
pt | IsAParentAligning
pt | GetClientOrigin
pt | GetClientRect
pt | GetLogicalClientRect
pt | GetScrolledClientRect
pt | GetClientScrollOffset
pt | GetControlOrigin
pt | IsClientHeightStored
pt | IsClientWidthStored
pt | WidthIsAnchored
pt | HeightIsAnchored
pt | WMCancelMode
pt | WMContextMenu
pt | WMLButtonDown
pt | WMRButtonDown
pt | WMMButtonDown
pt | WMXButtonDown
pt | WMLButtonDBLCLK
pt | WMRButtonDBLCLK
pt | WMMButtonDBLCLK
pt | WMXButtonDBLCLK
pt | WMLButtonTripleCLK
pt | WMRButtonTripleCLK
pt | WMMButtonTripleCLK
pt | WMXButtonTripleCLK
pt | WMLButtonQuadCLK
pt | WMRButtonQuadCLK
pt | WMMButtonQuadCLK
pt | WMXButtonQuadCLK
pt | WMMouseMove
pt | WMLButtonUp
pt | WMRButtonUp
pt | WMMButtonUp
pt | WMXButtonUp
pt | WMMouseWheel
pt | WMMouseHWheel
pt | WMMove
pt | WMSize
pt | WMWindowPosChanged
pt | CMChanged
pt | LMCaptureChanged
pt | CMBiDiModeChanged
pt | CMSysFontChanged
pt | CMEnabledChanged
pt | CMHitTest
pt | CMMouseEnter
pt | CMMouseLeave
pt | CMHintShow
pt | CMParentBiDiModeChanged
pt | CMParentColorChanged
pt | CMParentFontChanged
pt | CMParentShowHintChanged
pt | CMVisibleChanged
pt | CMTextChanged
pt | CMCursorChanged
pt | CalculateDockSizes
pt | CreateFloatingDockSite
pt | GetDockEdge
pt | GetDragImages
pt | GetFloating
pt | GetFloatingDockSiteClass
pt | BeforeDragStart
pt | BeginAutoDrag
pt | DoFloatMsg
pt | DockTrackNoTarget
pt | DoDock
pt | DoDragMsg
pt | DoEndDock
pt | DoEndDrag
pt | DoStartDock
pt | DoStartDrag
pt | DragCanceled
pt | DragOver
pt | PositionDockRect
pt | SetDragMode
pt | GetDefaultDockCaption
pt | Click
pt | DblClick
pt | TripleClick
pt | QuadClick
pt | GetMousePosFromMessage
pt | MouseDown
pt | MouseMove
pt | MouseUp
pt | MouseEnter
pt | MouseLeave
pt | DialogChar
pt | UpdateMouseCursor
pt | Changed
pt | GetPalette
pt | ChildClassAllowed
pt | ReadState
pt | Loaded
pt | LoadedAll
pt | DefineProperties
pt | AssignTo
pt | FormEndUpdated
pt | InvalidateControl
pt | FontChanged
pt | ParentFontChanged
pt | GetAction
pt | RealGetText
pt | RealSetText
pt | TextChanged
pt | GetCachedText
pt | SetAction
pt | SetColor
pt | SetEnabled
pt | SetHint
pt | SetName
pt | SetParent
pt | SetParentComponent
pt | WndProc
pt | ParentFormHandleInitialized
pt | GetMouseCapture
pt | CaptureChanged
pt | Notification
pt | CanTab
pt | GetDeviceContext
pt | GetEnabled
pt | GetPopupMenu
pt | DoOnShowHint
pt | DoMouseWheel
pt | DoMouseWheelDown
pt | DoMouseWheelUp
pt | DoMouseWheelHorz
pt | DoMouseWheelLeft
pt | DoMouseWheelRight
pt | VisibleChanging
pt | VisibleChanged
pt | EnabledChanging
pt | EnabledChanged
pt | AddHandler
pt | RemoveHandler
pt | DoCallNotifyHandler
pt | DoCallKeyEventHandler
pt | DoCallMouseWheelEventHandler
pt | DoContextPopup
pt | SetZOrder
pt | GetControlClassDefaultSize
pt | ColorIsStored
pt | DoAutoAdjustLayout
pt | DoFixDesignFontPPI
pt | DoScaleFontPPI
pt | GetActionLinkClass
pt | ActionChange
 | DragDrop
 | Dock
 | ManualDock
 | ManualFloat
 | ReplaceDockedControl
 | Docked
 | Dragging
 | GetAccessibleObject
 | CreateAccessibleObject
 | GetSelectedChildAccessibleObject
 | GetChildAccessibleObjectAtPos
 | ScaleDesignToForm
 | ScaleFormToDesign
 | Scale96ToForm
 | ScaleFormTo96
 | Scale96ToFont
 | ScaleFontTo96
 | ScaleScreenToFont
 | ScaleFontToScreen
 | Scale96ToScreen
 | ScaleScreenTo96
 | AdjustSize
 | AutoSizePhases
 | AutoSizeDelayed
 | AutoSizeDelayedReport
 | AutoSizeDelayedHandle
 | AnchorToNeighbour
 | AnchorParallel
 | AnchorHorizontalCenterTo
 | AnchorVerticalCenterTo
 | AnchorToCompanion
 | AnchorSame
 | AnchorAsAlign
 | AnchorClient
 | AnchoredControlCount
 | SetBounds
 | SetInitialBounds
 | SetBoundsKeepBase
 | GetPreferredSize
 | GetCanvasScaleFactor
 | GetDefaultWidth
 | GetDefaultHeight
 | GetDefaultColor
 | GetColorResolvingParent
 | GetRGBColorResolvingParent
 | GetSidePosition
 | CNPreferredSizeChanged
 | InvalidatePreferredSize
 | GetAnchorsDependingOnParent
 | DisableAutoSizing
 | EnableAutoSizing
 | UpdateBaseBounds
 | WriteLayoutDebugReport
 | AutoAdjustLayout
 | ShouldAutoAdjust
 | FixDesignFontsPPI
 | ScaleFontsPPI
 | Create
 | Destroy
 | BeforeDestruction
 | EditingDone
 | ExecuteDefaultAction
 | ExecuteCancelAction
 | BeginDrag
 | EndDrag
 | BringToFront
 | HasParent
 | GetParentComponent
 | IsParentOf
 | GetTopParent
 | IsVisible
 | IsControlVisible
 | IsEnabled
 | IsParentColor
 | IsParentFont
 | FormIsUpdating
 | IsProcessingPaintMsg
 | Hide
 | Refresh
 | Repaint
 | Invalidate
 | CheckChildClassAllowed
 | CheckNewParent
 | SendToBack
 | SetTempCursor
 | UpdateRolesForForm
 | ActiveDefaultControlChanged
 | GetTextBuf
 | GetTextLen
 | SetTextBuf
 | Perform
 | ScreenToClient
 | ClientToScreen
 | ScreenToControl
 | ControlToScreen
 | ClientToParent
 | ParentToClient
 | GetChildrenRect
 | Show
 | Update
 | HandleObjectShouldBeVisible
 | ParentDestroyingHandle
 | ParentHandlesAllocated
 | InitiateAction
 | ShowHelp
 | HasHelp
 | RemoveAllHandlersOfObject
 | AddHandlerOnResize
 | RemoveHandlerOnResize
 | AddHandlerOnChangeBounds
 | RemoveHandlerOnChangeBounds
 | AddHandlerOnVisibleChanging
 | RemoveHandlerOnVisibleChanging
 | AddHandlerOnVisibleChanged
 | RemoveHandlerOnVisibleChanged
 | AddHandlerOnEnabledChanged
 | RemoveHandlerOnEnableChanging
 | AddHandlerOnKeyDown
 | RemoveHandlerOnKeyDown
 | AddHandlerOnBeforeDestruction
 | RemoveHandlerOnBeforeDestruction
 | AddHandlerOnMouseWheel
 | RemoveHandlerOnMouseWheel
 | UseRightToLeftAlignment
 | UseRightToLeftReading
 | UseRightToLeftScrollBar
 | IsRightToLeft
TLCLComponent
pt | WSRegisterClass
pt | GetWSComponentClass
 | Create
 | Destroy
 | NewInstance
 | RemoveAllHandlersOfObject
 | IncLCLRefCount
 | DecLCLRefCount
TComponent
 | GetComObject
 | GetComponent
 | GetComponentCount
 | GetComponentIndex
 | Insert
 | ReadLeft
 | ReadTop
 | Remove
 | RemoveNotification
 | SetComponentIndex
 | SetReference
 | WriteLeft
 | WriteTop
 | ChangeName
 | DefineProperties
 | GetChildren
 | GetChildOwner
 | GetChildParent
 | GetOwner
 | Loaded
 | Loading
 | Notification
 | PaletteCreated
 | ReadState
 | SetAncestor
 | SetDesigning
 | SetDesignInstance
 | SetInline
 | SetName
 | SetChildOrder
 | SetParentComponent
 | Updating
 | Updated
 | UpdateRegistry
 | ValidateRename
 | ValidateContainer
 | ValidateInsert
 | QueryInterface
 | _AddRef
 | _Release
 | iicrGetComponent
 | GetTypeInfoCount
 | GetTypeInfo
 | GetIDsOfNames
 | Invoke
 | WriteState
 | Create
 | Destroy
 | BeforeDestruction
 | DestroyComponents
 | Destroying
 | ExecuteAction
 | FindComponent
 | FreeNotification
 | RemoveFreeNotification
 | FreeOnRelease
 | GetEnumerator
 | GetNamePath
 | GetParentComponent
 | HasParent
 | InsertComponent
 | RemoveComponent
 | SafeCallException
 | SetSubComponent
 | UpdateAction
 | IsImplementorOf
 | ReferenceInterface
TPersistent
 | AssignError
 | AssignTo
 | DefineProperties
 | GetOwner
 | Destroy
 | Assign
 | FPOAttachObserver
 | FPODetachObserver
 | FPONotifyObservers
 | GetNamePath
TObject
 | Create
 | Destroy
 | newinstance
 | FreeInstance
 | SafeCallException
 | DefaultHandler
 | Free
 | InitInstance
 | CleanupInstance
 | ClassType
 | ClassInfo
 | ClassName
 | ClassNameIs
 | ClassParent
 | InstanceSize
 | InheritsFrom
 | StringMessageTable
 | MethodAddress
 | MethodName
 | FieldAddress
 | AfterConstruction
 | BeforeDestruction
 | DefaultHandlerStr
 | Dispatch
 | DispatchStr
 | GetInterface
 | GetInterfaceByStr
 | GetInterfaceWeak
 | GetInterfaceEntry
 | GetInterfaceEntryByStr
 | GetInterfaceTable
 | UnitName
 | Equals
 | GetHashCode
 | ToString


pt | ActionChange (TControl)
 | ActiveDefaultControlChanged (TControl)
 | AddControl (TWinControl)
pt | AddHandler (TControl)
 | AddHandlerOnBeforeDestruction (TControl)
 | AddHandlerOnChangeBounds (TControl)
 | AddHandlerOnEnabledChanged (TControl)
 | AddHandlerOnKeyDown (TControl)
 | AddHandlerOnMouseWheel (TControl)
 | AddHandlerOnResize (TControl)
 | AddHandlerOnVisibleChanged (TControl)
 | AddHandlerOnVisibleChanging (TControl)
pt | AdjustClientRect (TWinControl)
 | AdjustSize (TControl)
 | AfterConstruction (TObject)
pt | AlignControls (TWinControl)
pt | AllAutoSized (TWinControl)
 | AnchorAsAlign (TControl)
 | AnchorClient (TControl)
 | AnchoredControlCount (TControl)
 | AnchorHorizontalCenterTo (TControl)
 | AnchorParallel (TControl)
 | AnchorSame (TControl)
pt | AnchorSideChanged (TControl)
 | AnchorToCompanion (TControl)
 | AnchorToNeighbour (TControl)
 | AnchorVerticalCenterTo (TControl)
 | Assign (TPersistent)
 | AssignError (TPersistent)
 | AssignTo (TPersistent)
pt | AssignTo (TControl)
 | AutoAdjustLayout (TControl)
 | AutoAdjustLayout (TWinControl)
 | AutoSizeDelayed (TControl)
 | AutoSizeDelayed (TWinControl)
 | AutoSizeDelayedHandle (TControl)
 | AutoSizeDelayedHandle (TWinControl)
 | AutoSizeDelayedReport (TControl)
 | AutoSizeDelayedReport (TWinControl)
 | AutoSizePhases (TControl)
 | AutoSizePhases (TWinControl)
 | BeforeDestruction (TObject)
 | BeforeDestruction (TComponent)
 | BeforeDestruction (TControl)
pt | BeforeDragStart (TControl)
pt | BeginAutoDrag (TControl)
pt | BeginAutoSizing (TControl)
 | BeginDrag (TControl)
 | BeginUpdateBounds (TWinControl)
pt | BoundsChanged (TControl)
 | BringToFront (TControl)
 | BroadCast (TWinControl)
 | BrushCreated (TWinControl)
pt | BuddyClick (TCustomAbstractGroupedEdit)
pt | BuddyClick (TCustomEditButton)
pt | ButtonClick (TCustomEditButton)
pt | ButtonClick (TFileNameEdit)
pt | CalcButtonVisible (TCustomEditButton)
pt | CalculateDockSizes (TControl)
pt | CalculatePreferredSize (TControl)
pt | CalculatePreferredSize (TWinControl)
pt | CalculatePreferredSize (TCustomAbstractGroupedEdit)
pt | CalculatePreferredSize (TCustomEditButton)
pt | CanAutoSize (TControl)
 | CanFocus (TWinControl)
 | CanSetFocus (TWinControl)
pt | CanTab (TControl)
pt | CanTab (TWinControl)
pt | CaptureChanged (TControl)
pt | ChangeBounds (TControl)
pt | Changed (TControl)
 | ChangeName (TComponent)
pt | ChangeScale (TControl)
pt | ChangeScale (TWinControl)
pt | CheckButtonVisible (TCustomEditButton)
 | CheckChildClassAllowed (TControl)
pt | CheckCursor (TCustomAbstractGroupedEdit)
 | CheckNewParent (TControl)
pt | CheckOnChangeBounds (TControl)
pt | ChildClassAllowed (TControl)
pt | ChildClassAllowed (TWinControl)
pt | ChildHandlesCreated (TWinControl)
pt | ChildKey (TWinControl)
 | ClassInfo (TObject)
 | ClassName (TObject)
 | ClassNameIs (TObject)
 | ClassParent (TObject)
 | ClassType (TObject)
 | CleanupInstance (TObject)
 | Clear (TCustomAbstractGroupedEdit)
 | ClearSelection (TCustomAbstractGroupedEdit)
pt | Click (TControl)
 | ClientRectNeedsInterfaceUpdate (TWinControl)
 | ClientToParent (TControl)
 | ClientToScreen (TControl)
pt | CMBiDiModeChanged (TControl)
pt | CMBiDiModeChanged (TWinControl)
pt | CMBorderChanged (TWinControl)
pt | CMChanged (TControl)
pt | CMCursorChanged (TControl)
pt | CMDoubleBufferedChanged (TWinControl)
pt | CMEnabledChanged (TControl)
pt | CMEnabledChanged (TWinControl)
pt | CMEnter (TWinControl)
pt | CMExit (TWinControl)
pt | CMHintShow (TControl)
pt | CMHitTest (TControl)
pt | CMMouseEnter (TControl)
pt | CMMouseLeave (TControl)
pt | CMParentBiDiModeChanged (TControl)
pt | CMParentColorChanged (TControl)
pt | CMParentColorChanged (TCustomAbstractGroupedEdit)
pt | CMParentDoubleBufferedChanged (TWinControl)
pt | CMParentFontChanged (TControl)
pt | CMParentShowHintChanged (TControl)
pt | CMShowHintChanged (TWinControl)
pt | CMShowingChanged (TWinControl)
pt | CMSysFontChanged (TControl)
pt | CMTextChanged (TControl)
pt | CMVisibleChanged (TControl)
pt | CMVisibleChanged (TWinControl)
pt | CNChar (TWinControl)
pt | CNKeyDown (TWinControl)
pt | CNKeyUp (TWinControl)
 | CNPreferredSizeChanged (TControl)
pt | CNSysKeyDown (TWinControl)
pt | CNSysKeyUp (TWinControl)
pt | ColorIsStored (TControl)
pt | ConstrainedResize (TControl)
 | ContainsControl (TWinControl)
 | ControlAtPos (TWinControl)
pt | ControlKeyDown (TWinControl)
pt | ControlKeyUp (TWinControl)
pt | ControlsAligned (TWinControl)
 | ControlToScreen (TControl)
 | CopyToClipboard (TCustomAbstractGroupedEdit)
 | Create (TObject)
 | Create (TComponent)
 | Create (TLCLComponent)
 | Create (TControl)
 | Create (TWinControl)
 | Create (TCustomControl)
 | Create (TCustomAbstractGroupedEdit)
 | Create (TCustomEditButton)
 | Create (TFileNameEdit)
 | CreateAccessibleObject (TControl)
pt | CreateBrush (TWinControl)
pt | CreateBuddy (TCustomAbstractGroupedEdit)
pt | CreateControlBorderSpacing (TControl)
pt | CreateDialog (TFileNameEdit)
pt | CreateDockManager (TWinControl)
pt | CreateEditor (TCustomAbstractGroupedEdit)
pt | CreateFloatingDockSite (TControl)
pt | CreateHandle (TWinControl)
pt | CreateParams (TWinControl)
 | CreateParented (TWinControl)
 | CreateParentedControl (TWinControl)
pt | CreateSubClass (TWinControl)
pt | CreateWnd (TWinControl)
pt | CustomAlignInsertBefore (TWinControl)
pt | CustomAlignPosition (TWinControl)
 | CutToClipboard (TCustomAbstractGroupedEdit)
pt | DblClick (TControl)
 | DecLCLRefCount (TLCLComponent)
 | DefaultHandler (TObject)
 | DefaultHandler (TWinControl)
 | DefaultHandlerStr (TObject)
 | DefineProperties (TPersistent)
 | DefineProperties (TComponent)
pt | DefineProperties (TControl)
 | Destroy (TObject)
 | Destroy (TPersistent)
 | Destroy (TComponent)
 | Destroy (TLCLComponent)
 | Destroy (TControl)
 | Destroy (TWinControl)
 | Destroy (TCustomControl)
 | Destroy (TCustomAbstractGroupedEdit)
 | Destroy (TCustomEditButton)
 | Destroy (TFileNameEdit)
 | DestroyComponents (TComponent)
pt | DestroyHandle (TWinControl)
 | Destroying (TComponent)
pt | DestroyWnd (TWinControl)
pt | DestroyWnd (TCustomControl)
pt | DialogChar (TControl)
pt | DialogChar (TWinControl)
 | DisableAlign (TWinControl)
 | DisableAutoSizing (TControl)
 | Dispatch (TObject)
 | DispatchStr (TObject)
pt | DoAddDockClient (TWinControl)
 | DoAdjustClientRectChange (TWinControl)
pt | DoAlignChildControls (TWinControl)
pt | DoAllAutoSize (TControl)
pt | DoAllAutoSize (TWinControl)
pt | DoAutoAdjustLayout (TControl)
pt | DoAutoSize (TControl)
pt | DoAutoSize (TWinControl)
pt | DoBorderSpacingChange (TControl)
pt | DoCallKeyEventHandler (TControl)
pt | DoCallMouseWheelEventHandler (TControl)
pt | DoCallNotifyHandler (TControl)
pt | DoChildSizingChange (TWinControl)
 | Dock (TControl)
 | DockDrop (TWinControl)
 | Docked (TControl)
pt | DockOver (TWinControl)
pt | DockTrackNoTarget (TControl)
pt | DoConstraintsChange (TControl)
pt | DoConstraintsChange (TWinControl)
pt | DoContextPopup (TControl)
pt | DoDock (TControl)
pt | DoDockClientMsg (TWinControl)
pt | DoDockOver (TWinControl)
pt | DoDragMsg (TControl)
pt | DoDragMsg (TWinControl)
pt | DoEndDock (TControl)
pt | DoEndDrag (TControl)
pt | DoEnter (TWinControl)
pt | DoEnter (TCustomAbstractGroupedEdit)
pt | DoExit (TWinControl)
pt | DoFixDesignFontPPI (TControl)
pt | DoFlipChildren (TWinControl)
pt | DoFloatMsg (TControl)
pt | DoFloatMsg (TWinControl)
pt | DoFolderChange (TFileNameEdit)
pt | DoGetDockCaption (TWinControl)
pt | DoKeyDownBeforeInterface (TWinControl)
pt | DoKeyPress (TWinControl)
pt | DoKeyUpBeforeInterface (TWinControl)
pt | DoMouseWheel (TControl)
pt | DoMouseWheelDown (TControl)
pt | DoMouseWheelHorz (TControl)
pt | DoMouseWheelLeft (TControl)
pt | DoMouseWheelRight (TControl)
pt | DoMouseWheelUp (TControl)
pt | DoOnChangeBounds (TControl)
pt | DoOnParentHandleDestruction (TControl)
pt | DoOnResize (TControl)
pt | DoOnShowHint (TControl)
pt | DoRemainingKeyDown (TWinControl)
pt | DoRemainingKeyUp (TWinControl)
pt | DoRemoveDockClient (TWinControl)
pt | DoScaleFontPPI (TControl)
pt | DoSendBoundsToInterface (TWinControl)
pt | DoSendShowHideToInterface (TWinControl)
pt | DoSetBounds (TControl)
pt | DoSetBounds (TWinControl)
pt | DoStartDock (TControl)
pt | DoStartDrag (TControl)
pt | DoUnDock (TWinControl)
pt | DoUndockClientMsg (TWinControl)
pt | DoUTF8KeyPress (TWinControl)
pt | DragCanceled (TControl)
 | DragDrop (TControl)
 | Dragging (TControl)
pt | DragOver (TControl)
pt | EditCanModify (TCustomAbstractGroupedEdit)
pt | EditChange (TCustomAbstractGroupedEdit)
pt | EditChange (TFileNameEdit)
pt | EditClick (TCustomAbstractGroupedEdit)
pt | EditDblClick (TCustomAbstractGroupedEdit)
pt | EditDragDrop (TCustomAbstractGroupedEdit)
pt | EditDragOver (TCustomAbstractGroupedEdit)
pt | EditEditingDone (TCustomAbstractGroupedEdit)
pt | EditEndDrag (TCustomAbstractGroupedEdit)
pt | EditEnter (TCustomAbstractGroupedEdit)
pt | EditExit (TCustomAbstractGroupedEdit)
 | EditingDone (TControl)
pt | EditKeyDown (TCustomAbstractGroupedEdit)
pt | EditKeyPress (TCustomAbstractGroupedEdit)
pt | EditKeyUp (TCustomAbstractGroupedEdit)
pt | EditMouseDown (TCustomAbstractGroupedEdit)
pt | EditMouseEnter (TCustomAbstractGroupedEdit)
pt | EditMouseLeave (TCustomAbstractGroupedEdit)
pt | EditMouseMove (TCustomAbstractGroupedEdit)
pt | EditMouseUp (TCustomAbstractGroupedEdit)
pt | EditMouseWheel (TCustomAbstractGroupedEdit)
pt | EditMouseWheelDown (TCustomAbstractGroupedEdit)
pt | EditMouseWheelUp (TCustomAbstractGroupedEdit)
pt | EditStartDrag (TCustomAbstractGroupedEdit)
pt | EditUtf8KeyPress (TCustomAbstractGroupedEdit)
 | EnableAlign (TWinControl)
 | EnableAutoSizing (TControl)
pt | EnabledChanged (TControl)
pt | EnabledChanging (TControl)
pt | EndAutoSizing (TControl)
 | EndDrag (TControl)
 | EndUpdateBounds (TWinControl)
 | Equals (TObject)
 | EraseBackground (TWinControl)
 | ExecuteAction (TComponent)
 | ExecuteCancelAction (TControl)
 | ExecuteDefaultAction (TControl)
 | FieldAddress (TObject)
pt | FinalizeWnd (TWinControl)
 | FindChildControl (TWinControl)
 | FindComponent (TComponent)
pt | FindNextControl (TWinControl)
 | FixDesignFontsPPI (TControl)
pt | FixupTabList (TWinControl)
 | FlipChildren (TWinControl)
pt | FocusAndMaybeSelectAll (TCustomAbstractGroupedEdit)
 | Focused (TWinControl)
 | Focused (TCustomAbstractGroupedEdit)
pt | FontChanged (TControl)
pt | FontChanged (TWinControl)
pt | FontChanged (TCustomControl)
pt | ForeignAnchorSideChanged (TControl)
pt | FormEndUpdated (TControl)
pt | FormEndUpdated (TWinControl)
 | FormIsUpdating (TControl)
 | FPOAttachObserver (TPersistent)
 | FPODetachObserver (TPersistent)
 | FPONotifyObservers (TPersistent)
 | Free (TObject)
 | FreeInstance (TObject)
 | FreeNotification (TComponent)
 | FreeOnRelease (TComponent)
 | GetAccessibleObject (TControl)
pt | GetAction (TControl)
pt | GetActionLinkClass (TControl)
pt | GetAdjustedLogicalClientRect (TWinControl)
 | GetAnchorsDependingOnParent (TControl)
pt | GetBorderStyle (TWinControl)
pt | GetBuddyCaption (TCustomAbstractGroupedEdit)
pt | GetBuddyClassType (TCustomAbstractGroupedEdit)
pt | GetBuddyClassType (TCustomEditButton)
pt | GetBuddyCursor (TCustomAbstractGroupedEdit)
pt | GetBuddyHint (TCustomAbstractGroupedEdit)
pt | GetBuddyVisible (TCustomAbstractGroupedEdit)
pt | GetBuddyWidth (TCustomAbstractGroupedEdit)
pt | GetCachedText (TControl)
 | GetCanvasScaleFactor (TControl)
 | GetChildAccessibleObjectAtPos (TControl)
 | GetChildOwner (TComponent)
 | GetChildParent (TComponent)
 | GetChildren (TComponent)
pt | GetChildren (TWinControl)
 | GetChildrenRect (TControl)
 | GetChildrenRect (TWinControl)
pt | GetClientOrigin (TControl)
pt | GetClientOrigin (TWinControl)
pt | GetClientRect (TControl)
pt | GetClientRect (TWinControl)
pt | GetClientScrollOffset (TControl)
 | GetColorResolvingParent (TControl)
 | GetComObject (TComponent)
 | GetComponent (TComponent)
 | GetComponentCount (TComponent)
 | GetComponentIndex (TComponent)
pt | GetControlClassDefaultSize (TControl)
pt | GetControlClassDefaultSize (TCustomAbstractGroupedEdit)
pt | GetControlClassDefaultSize (TCustomEditButton)
 | GetControlIndex (TWinControl)
pt | GetControlOrigin (TControl)
pt | GetControlOrigin (TWinControl)
pt | GetCursor (TControl)
 | GetDefaultColor (TControl)
pt | GetDefaultDockCaption (TControl)
pt | GetDefaultGlyphName (TCustomEditButton)
pt | GetDefaultGlyphName (TFileNameEdit)
 | GetDefaultHeight (TControl)
 | GetDefaultWidth (TControl)
pt | GetDeviceContext (TControl)
pt | GetDeviceContext (TWinControl)
 | GetDockCaption (TWinControl)
pt | GetDockEdge (TControl)
pt | GetDragImages (TControl)
pt | GetEditorClassType (TCustomAbstractGroupedEdit)
pt | GetEditorClassType (TCustomEditButton)
pt | GetEditPopupMenu (TCustomAbstractGroupedEdit)
pt | GetEnabled (TControl)
 | GetEnumerator (TComponent)
 | GetEnumeratorControls (TWinControl)
 | GetEnumeratorControlsReverse (TWinControl)
pt | GetFloating (TControl)
pt | GetFloatingDockSiteClass (TControl)
 | GetHashCode (TObject)
 | GetIDsOfNames (TComponent)
 | GetInterface (TObject)
 | GetInterfaceByStr (TObject)
 | GetInterfaceEntry (TObject)
 | GetInterfaceEntryByStr (TObject)
 | GetInterfaceTable (TObject)
 | GetInterfaceWeak (TObject)
pt | GetLogicalClientRect (TControl)
pt | GetMouseCapture (TControl)
pt | GetMouseCapture (TWinControl)
pt | GetMousePosFromMessage (TControl)
 | GetNamePath (TPersistent)
 | GetNamePath (TComponent)
 | GetOwner (TPersistent)
 | GetOwner (TComponent)
pt | GetPalette (TControl)
pt | GetParentBackground (TWinControl)
 | GetParentComponent (TComponent)
 | GetParentComponent (TControl)
pt | GetParentHandle (TWinControl)
pt | GetPopupMenu (TControl)
 | GetPreferredSize (TControl)
pt | GetPreferredSizeClientFrame (TWinControl)
 | GetRGBColorResolvingParent (TControl)
pt | GetScrolledClientRect (TControl)
pt | GetSel (TCustomAbstractGroupedEdit)
 | GetSelectedChildAccessibleObject (TControl)
 | GetSidePosition (TControl)
pt | GetSiteInfo (TWinControl)
pt | GetSpacing (TCustomAbstractGroupedEdit)
 | GetTabOrderList (TWinControl)
 | GetTextBuf (TControl)
 | GetTextLen (TControl)
 | GetTextLen (TWinControl)
 | GetTopParent (TControl)
pt | GetTopParentHandle (TWinControl)
 | GetTypeInfo (TComponent)
 | GetTypeInfoCount (TComponent)
pt | GetWSComponentClass (TLCLComponent)
pt | GlyphChanged (TCustomEditButton)
 | HandleAllocated (TWinControl)
 | HandleNeeded (TWinControl)
 | HandleObjectShouldBeVisible (TControl)
 | HasHelp (TControl)
 | HasParent (TComponent)
 | HasParent (TControl)
pt | HeightIsAnchored (TControl)
 | Hide (TControl)
 | iicrGetComponent (TComponent)
 | IncLCLRefCount (TLCLComponent)
 | InheritsFrom (TObject)
pt | InitializeWnd (TWinControl)
 | InitiateAction (TControl)
 | InitInstance (TObject)
 | Insert (TComponent)
 | InsertComponent (TComponent)
 | InsertControl (TWinControl)
 | InstanceSize (TObject)
 | IntfGetDropFilesTarget (TWinControl)
 | IntfUTF8KeyPress (TWinControl)
 | Invalidate (TControl)
 | Invalidate (TWinControl)
pt | InvalidateBoundsRealized (TWinControl)
 | InvalidateClientRectCache (TWinControl)
pt | InvalidateControl (TControl)
pt | InvalidatePreferredChildSizes (TWinControl)
 | InvalidatePreferredSize (TControl)
 | Invoke (TComponent)
pt | IsAParentAligning (TControl)
pt | IsBorderSpacingInnerBorderStored (TControl)
pt | IsCaptionStored (TControl)
pt | IsClientHeightStored (TControl)
pt | IsClientHeightStored (TWinControl)
pt | IsClientWidthStored (TControl)
pt | IsClientWidthStored (TWinControl)
pt | IsControlMouseMsg (TWinControl)
 | IsControlVisible (TControl)
 | IsEnabled (TControl)
 | IsImplementorOf (TComponent)
 | IsParentColor (TControl)
 | IsParentFont (TControl)
 | IsParentOf (TControl)
 | IsProcessingPaintMsg (TControl)
 | IsRightToLeft (TControl)
 | IsVisible (TControl)
pt | KeyDown (TWinControl)
pt | KeyDownAfterInterface (TWinControl)
pt | KeyDownBeforeInterface (TWinControl)
pt | KeyPress (TWinControl)
pt | KeyUp (TWinControl)
pt | KeyUpAfterInterface (TWinControl)
pt | KeyUpBeforeInterface (TWinControl)
pt | LMCaptureChanged (TControl)
pt | LoadDefaultGlyph (TCustomEditButton)
 | Loaded (TComponent)
pt | Loaded (TControl)
pt | Loaded (TWinControl)
pt | Loaded (TCustomAbstractGroupedEdit)
pt | LoadedAll (TControl)
 | Loading (TComponent)
 | LockRealizeBounds (TWinControl)
pt | MainWndProc (TWinControl)
 | ManualDock (TControl)
 | ManualFloat (TControl)
 | MethodAddress (TObject)
 | MethodName (TObject)
pt | MouseDown (TControl)
pt | MouseEnter (TControl)
pt | MouseLeave (TControl)
pt | MouseMove (TControl)
pt | MouseUp (TControl)
 | newinstance (TObject)
 | NewInstance (TLCLComponent)
 | Notification (TComponent)
pt | Notification (TControl)
 | NotifyControls (TWinControl)
pt | Paint (TCustomControl)
pt | PaintControls (TWinControl)
pt | PaintHandler (TWinControl)
 | PaintTo (TWinControl)
pt | PaintWindow (TWinControl)
pt | PaintWindow (TCustomControl)
 | PaletteCreated (TComponent)
 | ParentDestroyingHandle (TControl)
pt | ParentFontChanged (TControl)
pt | ParentFormHandleInitialized (TControl)
pt | ParentFormHandleInitialized (TWinControl)
 | ParentHandlesAllocated (TControl)
 | ParentHandlesAllocated (TWinControl)
 | ParentToClient (TControl)
 | PasteFromClipboard (TCustomAbstractGroupedEdit)
 | Perform (TControl)
 | PerformTab (TWinControl)
pt | PositionDockRect (TControl)
pt | QuadClick (TControl)
 | QueryInterface (TComponent)
 | ReadLeft (TComponent)
 | ReadState (TComponent)
pt | ReadState (TControl)
 | ReadTop (TComponent)
pt | RealGetText (TControl)
pt | RealGetText (TWinControl)
pt | RealGetText (TCustomAbstractGroupedEdit)
 | ReAlign (TWinControl)
pt | RealizeBounds (TWinControl)
pt | RealizeBoundsRecursive (TWinControl)
pt | RealSetText (TControl)
pt | RealSetText (TWinControl)
pt | RealSetText (TCustomAbstractGroupedEdit)
 | ReferenceInterface (TComponent)
 | Refresh (TControl)
pt | ReloadDockedControl (TWinControl)
 | Remove (TComponent)
 | RemoveAllHandlersOfObject (TLCLComponent)
 | RemoveAllHandlersOfObject (TControl)
 | RemoveComponent (TComponent)
 | RemoveControl (TWinControl)
pt | RemoveFocus (TWinControl)
 | RemoveFreeNotification (TComponent)
pt | RemoveHandler (TControl)
 | RemoveHandlerOnBeforeDestruction (TControl)
 | RemoveHandlerOnChangeBounds (TControl)
 | RemoveHandlerOnEnableChanging (TControl)
 | RemoveHandlerOnKeyDown (TControl)
 | RemoveHandlerOnMouseWheel (TControl)
 | RemoveHandlerOnResize (TControl)
 | RemoveHandlerOnVisibleChanged (TControl)
 | RemoveHandlerOnVisibleChanging (TControl)
 | RemoveNotification (TComponent)
 | Repaint (TControl)
 | Repaint (TWinControl)
 | ReplaceDockedControl (TControl)
pt | RequestAlign (TControl)
pt | Reset (TCustomAbstractGroupedEdit)
pt | Resize (TControl)
 | RunDialog (TFileNameEdit)
 | SafeCallException (TObject)
 | SafeCallException (TComponent)
pt | SaveDialogResult (TFileNameEdit)
 | Scale96ToFont (TControl)
 | Scale96ToForm (TControl)
 | Scale96ToScreen (TControl)
 | ScaleBy (TWinControl)
pt | ScaleConstraints (TControl)
pt | ScaleControls (TWinControl)
 | ScaleDesignToForm (TControl)
 | ScaleFontsPPI (TControl)
 | ScaleFontTo96 (TControl)
 | ScaleFontToScreen (TControl)
 | ScaleFormTo96 (TControl)
 | ScaleFormToDesign (TControl)
 | ScaleScreenTo96 (TControl)
 | ScaleScreenToFont (TControl)
 | ScreenToClient (TControl)
 | ScreenToControl (TControl)
 | ScrollBy (TWinControl)
 | ScrollBy_WS (TWinControl)
 | SelectAll (TCustomAbstractGroupedEdit)
pt | SelectFirst (TWinControl)
 | SelectNext (TWinControl)
pt | SendDialogChar (TWinControl)
pt | SendMoveSizeMessages (TControl)
pt | SendMoveSizeMessages (TWinControl)
 | SendToBack (TControl)
pt | SetAction (TControl)
pt | SetAlign (TControl)
 | SetAncestor (TComponent)
pt | SetAnchors (TControl)
pt | SetAutoSize (TControl)
pt | SetAutoSize (TCustomAbstractGroupedEdit)
pt | SetBiDiMode (TControl)
pt | SetBorderStyle (TWinControl)
 | SetBounds (TControl)
 | SetBounds (TWinControl)
 | SetBoundsKeepBase (TControl)
pt | SetBuddyCaption (TCustomAbstractGroupedEdit)
pt | SetBuddyCursor (TCustomAbstractGroupedEdit)
pt | SetBuddyHint (TCustomAbstractGroupedEdit)
pt | SetBuddyVisible (TCustomAbstractGroupedEdit)
pt | SetBuddyWidth (TCustomAbstractGroupedEdit)
 | SetChildOrder (TComponent)
pt | SetChildZPosition (TWinControl)
pt | SetColor (TControl)
pt | SetColor (TWinControl)
pt | SetColor (TCustomControl)
pt | SetColor (TCustomAbstractGroupedEdit)
 | SetComponentIndex (TComponent)
 | SetControlIndex (TWinControl)
pt | SetCursor (TControl)
pt | SetCursor (TCustomAbstractGroupedEdit)
 | SetDesigning (TComponent)
 | SetDesignInstance (TComponent)
pt | SetDirectInput (TCustomAbstractGroupedEdit)
pt | SetDockManager (TWinControl)
pt | SetDragMode (TControl)
pt | SetEnabled (TControl)
 | SetFocus (TWinControl)
 | SetFocus (TCustomAbstractGroupedEdit)
pt | SetHint (TControl)
 | SetInitialBounds (TControl)
 | SetInline (TComponent)
 | SetName (TComponent)
pt | SetName (TControl)
pt | SetParent (TControl)
pt | SetParentBackground (TWinControl)
pt | SetParentBiDiMode (TControl)
 | SetParentComponent (TComponent)
pt | SetParentComponent (TControl)
 | SetReference (TComponent)
pt | SetSel (TCustomAbstractGroupedEdit)
 | SetShape (TWinControl)
 | SetSubComponent (TComponent)
 | SetTempCursor (TControl)
 | SetTempCursor (TWinControl)
 | SetTextBuf (TControl)
pt | SetVisible (TControl)
pt | SetZOrder (TControl)
 | ShouldAutoAdjust (TControl)
pt | ShouldAutoAdjust (TCustomAbstractGroupedEdit)
 | Show (TControl)
pt | ShowControl (TWinControl)
 | ShowHelp (TControl)
 | StringMessageTable (TObject)
pt | TextChanged (TControl)
 | ToString (TObject)
pt | TripleClick (TControl)
 | Undo (TCustomAbstractGroupedEdit)
 | UnitName (TObject)
 | UnlockRealizeBounds (TWinControl)
 | Update (TControl)
 | Update (TWinControl)
 | UpdateAction (TComponent)
pt | UpdateAnchorRules (TControl)
 | UpdateBaseBounds (TControl)
pt | UpdateControlState (TWinControl)
 | Updated (TComponent)
 | UpdateDockCaption (TWinControl)
pt | UpdateMouseCursor (TControl)
 | UpdateRegistry (TComponent)
 | UpdateRolesForForm (TControl)
pt | UpdateShowing (TWinControl)
pt | UpdateSpacing (TCustomAbstractGroupedEdit)
 | Updating (TComponent)
 | UseRightToLeftAlignment (TControl)
 | UseRightToLeftReading (TControl)
 | UseRightToLeftScrollBar (TControl)
pt | UTF8KeyPress (TWinControl)
 | ValidateContainer (TComponent)
 | ValidateEdit (TCustomAbstractGroupedEdit)
 | ValidateInsert (TComponent)
 | ValidateRename (TComponent)
pt | VisibleChanged (TControl)
pt | VisibleChanging (TControl)
pt | WidthIsAnchored (TControl)
pt | WMCancelMode (TControl)
pt | WMChar (TWinControl)
pt | WMContextMenu (TControl)
pt | WMContextMenu (TWinControl)
pt | WMDestroy (TWinControl)
pt | WMEnter (TWinControl)
pt | WMEraseBkgnd (TWinControl)
pt | WMExit (TWinControl)
pt | WMKeyDown (TWinControl)
pt | WMKeyUp (TWinControl)
pt | WMKillFocus (TWinControl)
pt | WMLButtonDBLCLK (TControl)
pt | WMLButtonDown (TControl)
pt | WMLButtonQuadCLK (TControl)
pt | WMLButtonTripleCLK (TControl)
pt | WMLButtonUp (TControl)
pt | WMMButtonDBLCLK (TControl)
pt | WMMButtonDown (TControl)
pt | WMMButtonQuadCLK (TControl)
pt | WMMButtonTripleCLK (TControl)
pt | WMMButtonUp (TControl)
pt | WMMouseHWheel (TControl)
pt | WMMouseMove (TControl)
pt | WMMouseWheel (TControl)
pt | WMMove (TControl)
pt | WMMove (TWinControl)
pt | WMNotify (TWinControl)
pt | WMPaint (TWinControl)
pt | WMPaint (TCustomControl)
pt | WMRButtonDBLCLK (TControl)
pt | WMRButtonDown (TControl)
pt | WMRButtonQuadCLK (TControl)
pt | WMRButtonTripleCLK (TControl)
pt | WMRButtonUp (TControl)
pt | WMSetFocus (TWinControl)
pt | WMShowWindow (TWinControl)
pt | WMSize (TControl)
pt | WMSize (TWinControl)
pt | WMSysChar (TWinControl)
pt | WMSysKeyDown (TWinControl)
pt | WMSysKeyUp (TWinControl)
pt | WMWindowPosChanged (TControl)
pt | WMWindowPosChanged (TWinControl)
pt | WMXButtonDBLCLK (TControl)
pt | WMXButtonDown (TControl)
pt | WMXButtonQuadCLK (TControl)
pt | WMXButtonTripleCLK (TControl)
pt | WMXButtonUp (TControl)
pt | WndProc (TControl)
pt | WndProc (TWinControl)
 | WriteLayoutDebugReport (TControl)
 | WriteLayoutDebugReport (TWinControl)
 | WriteLeft (TComponent)
 | WriteState (TComponent)
 | WriteTop (TComponent)
pt | WSRegisterClass (TLCLComponent)
pt | WSRegisterClass (TControl)
pt | WSRegisterClass (TWinControl)
pt | WSRegisterClass (TCustomControl)
pt | WSSetText (TWinControl)
 | _AddRef (TComponent)
 | _Release (TComponent)


TFileNameEdit
pl |  | OnAcceptFileName
pl |  | OnFolderChange
pl | ro | OnButtonClick
pl | ro | OnChange
pl | ro | OnClick
pl | ro | OnDblClick
pl | ro | OnDragDrop
pl | ro | OnDragOver
pl | ro | OnEditingDone
pl | ro | OnEndDrag
pl | ro | OnEnter
pl | ro | OnExit
pl | ro | OnKeyDown
pl | ro | OnKeyPress
pl | ro | OnKeyUp
pl | ro | OnMouseDown
pl | ro | OnMouseEnter
pl | ro | OnMouseLeave
pl | ro | OnMouseMove
pl | ro | OnMouseUp
pl | ro | OnMouseWheel
pl | ro | OnMouseWheelDown
pl | ro | OnMouseWheelUp
pl | ro | OnStartDrag
pl | ro | OnUTF8KeyPress
TCustomEditButton
pt |  | OnButtonClick
TCustomAbstractGroupedEdit
pt |  | OnBuddyClick
 |  | OnChange
 |  | OnClick
 |  | OnDblClick
 |  | OnDragDrop
 |  | OnDragOver
 |  | OnEditingDone
 |  | OnEndDrag
 |  | OnEnter
 |  | OnExit
 |  | OnMouseDown
 |  | OnKeyPress
 |  | OnKeyDown
 |  | OnKeyUp
 |  | OnMouseEnter
 |  | OnMouseLeave
 |  | OnMouseMove
 |  | OnMouseWheel
 |  | OnMouseWheelUp
 |  | OnMouseWheelDown
 |  | OnMouseUp
 |  | OnStartDrag
 |  | OnUtf8KeyPress
TCustomControl
 |  | OnPaint
TWinControl
pt |  | OnGetSiteInfo
pt |  | OnGetDockCaption
 |  | OnAlignInsertBefore
 |  | OnAlignPosition
 |  | OnDockDrop
 |  | OnDockOver
 |  | OnEnter
 |  | OnExit
 |  | OnKeyDown
 |  | OnKeyPress
 |  | OnKeyUp
 |  | OnUnDock
 |  | OnUTF8KeyPress
TControl
pt |  | OnConstrainedResize
pt |  | OnContextPopup
pt |  | OnDblClick
pt |  | OnTripleClick
pt |  | OnQuadClick
pt |  | OnDragDrop
pt |  | OnDragOver
pt |  | OnEndDock
pt |  | OnEndDrag
pt |  | OnMouseDown
pt |  | OnMouseMove
pt |  | OnMouseUp
pt |  | OnMouseEnter
pt |  | OnMouseLeave
pt |  | OnMouseWheel
pt |  | OnMouseWheelDown
pt |  | OnMouseWheelUp
pt |  | OnMouseWheelHorz
pt |  | OnMouseWheelLeft
pt |  | OnMouseWheelRight
pt |  | OnStartDock
pt |  | OnStartDrag
pt |  | OnEditingDone
 |  | OnChangeBounds
 |  | OnClick
 |  | OnResize
 |  | OnShowHint
TLCLComponent
TComponent
TPersistent
TObject


pl |  | OnAcceptFileName (TFileNameEdit)
 |  | OnAlignInsertBefore (TWinControl)
 |  | OnAlignPosition (TWinControl)
pt |  | OnBuddyClick (TCustomAbstractGroupedEdit)
pt |  | OnButtonClick (TCustomEditButton)
pl | ro | OnButtonClick (TFileNameEdit)
 |  | OnChange (TCustomAbstractGroupedEdit)
pl | ro | OnChange (TFileNameEdit)
 |  | OnChangeBounds (TControl)
 |  | OnClick (TControl)
 |  | OnClick (TCustomAbstractGroupedEdit)
pl | ro | OnClick (TFileNameEdit)
pt |  | OnConstrainedResize (TControl)
pt |  | OnContextPopup (TControl)
pt |  | OnDblClick (TControl)
 |  | OnDblClick (TCustomAbstractGroupedEdit)
pl | ro | OnDblClick (TFileNameEdit)
 |  | OnDockDrop (TWinControl)
 |  | OnDockOver (TWinControl)
pt |  | OnDragDrop (TControl)
 |  | OnDragDrop (TCustomAbstractGroupedEdit)
pl | ro | OnDragDrop (TFileNameEdit)
pt |  | OnDragOver (TControl)
 |  | OnDragOver (TCustomAbstractGroupedEdit)
pl | ro | OnDragOver (TFileNameEdit)
pt |  | OnEditingDone (TControl)
 |  | OnEditingDone (TCustomAbstractGroupedEdit)
pl | ro | OnEditingDone (TFileNameEdit)
pt |  | OnEndDock (TControl)
pt |  | OnEndDrag (TControl)
 |  | OnEndDrag (TCustomAbstractGroupedEdit)
pl | ro | OnEndDrag (TFileNameEdit)
 |  | OnEnter (TWinControl)
 |  | OnEnter (TCustomAbstractGroupedEdit)
pl | ro | OnEnter (TFileNameEdit)
 |  | OnExit (TWinControl)
 |  | OnExit (TCustomAbstractGroupedEdit)
pl | ro | OnExit (TFileNameEdit)
pl |  | OnFolderChange (TFileNameEdit)
pt |  | OnGetDockCaption (TWinControl)
pt |  | OnGetSiteInfo (TWinControl)
 |  | OnKeyDown (TWinControl)
 |  | OnKeyDown (TCustomAbstractGroupedEdit)
pl | ro | OnKeyDown (TFileNameEdit)
 |  | OnKeyPress (TWinControl)
 |  | OnKeyPress (TCustomAbstractGroupedEdit)
pl | ro | OnKeyPress (TFileNameEdit)
 |  | OnKeyUp (TWinControl)
 |  | OnKeyUp (TCustomAbstractGroupedEdit)
pl | ro | OnKeyUp (TFileNameEdit)
pt |  | OnMouseDown (TControl)
 |  | OnMouseDown (TCustomAbstractGroupedEdit)
pl | ro | OnMouseDown (TFileNameEdit)
pt |  | OnMouseEnter (TControl)
 |  | OnMouseEnter (TCustomAbstractGroupedEdit)
pl | ro | OnMouseEnter (TFileNameEdit)
pt |  | OnMouseLeave (TControl)
 |  | OnMouseLeave (TCustomAbstractGroupedEdit)
pl | ro | OnMouseLeave (TFileNameEdit)
pt |  | OnMouseMove (TControl)
 |  | OnMouseMove (TCustomAbstractGroupedEdit)
pl | ro | OnMouseMove (TFileNameEdit)
pt |  | OnMouseUp (TControl)
 |  | OnMouseUp (TCustomAbstractGroupedEdit)
pl | ro | OnMouseUp (TFileNameEdit)
pt |  | OnMouseWheel (TControl)
 |  | OnMouseWheel (TCustomAbstractGroupedEdit)
pl | ro | OnMouseWheel (TFileNameEdit)
pt |  | OnMouseWheelDown (TControl)
 |  | OnMouseWheelDown (TCustomAbstractGroupedEdit)
pl | ro | OnMouseWheelDown (TFileNameEdit)
pt |  | OnMouseWheelHorz (TControl)
pt |  | OnMouseWheelLeft (TControl)
pt |  | OnMouseWheelRight (TControl)
pt |  | OnMouseWheelUp (TControl)
 |  | OnMouseWheelUp (TCustomAbstractGroupedEdit)
pl | ro | OnMouseWheelUp (TFileNameEdit)
 |  | OnPaint (TCustomControl)
pt |  | OnQuadClick (TControl)
 |  | OnResize (TControl)
 |  | OnShowHint (TControl)
pt |  | OnStartDock (TControl)
pt |  | OnStartDrag (TControl)
 |  | OnStartDrag (TCustomAbstractGroupedEdit)
pl | ro | OnStartDrag (TFileNameEdit)
pt |  | OnTripleClick (TControl)
 |  | OnUnDock (TWinControl)
 |  | OnUTF8KeyPress (TWinControl)
 |  | OnUtf8KeyPress (TCustomAbstractGroupedEdit)
pl | ro | OnUTF8KeyPress (TFileNameEdit)


TFileNameEdit.Alignment

Declaration

Source position: editbtn.pas line 413

published property TFileNameEdit.Alignment : TAlignment;


TFileNameEdit.AutoSelected

Declaration

Source position: editbtn.pas line 381

public property TFileNameEdit.AutoSelected : Boolean;


TFileNameEdit.BidiMode

Declaration

Source position: editbtn.pas line 416

published property TFileNameEdit.BidiMode : TBiDiMode;


TFileNameEdit.BorderStyle

Declaration

Source position: editbtn.pas line 418

published property TFileNameEdit.BorderStyle : TBorderStyle;


TFileNameEdit.ButtonCaption

Declaration

Source position: editbtn.pas line 397

published property TFileNameEdit.ButtonCaption : TCaption;


TFileNameEdit.ButtonClick

Declaration

Source position: editbtn.pas line 374

protected procedure TFileNameEdit.ButtonClick; override;


TFileNameEdit.ButtonCursor

Declaration

Source position: editbtn.pas line 398

published property TFileNameEdit.ButtonCursor : TCursor;


TFileNameEdit.Constraints

Declaration

Source position: editbtn.pas line 402

published property TFileNameEdit.Constraints : TSizeConstraints;


TFileNameEdit.CreateDialog

CreateDialog - creates the dialog for file open

Declaration

Source position: editbtn.pas line 372

protected function TFileNameEdit.CreateDialog(

  AKind: TDialogKind

):TCommonDialog; virtual;


TFileNameEdit.DefaultExt

Declaration

Source position: editbtn.pas line 394

published property TFileNameEdit.DefaultExt : string
  read FDefaultExt
  write FDefaultExt;


TFileNameEdit.DialogFiles

DialogFiles - the list of files for the dialog

Declaration

Source position: editbtn.pas line 382

public property TFileNameEdit.DialogFiles : TStrings
  read FDialogFiles;


TFileNameEdit.DialogKind

DialogKind - should be dkOpen

Declaration

Source position: editbtn.pas line 389

published property TFileNameEdit.DialogKind : TDialogKind
  read FDialogKind
  write FDialogKind
  default dkOpen;


TFileNameEdit.DialogOptions

DialogOptions - set of options for the open file dialog

Declaration

Source position: editbtn.pas line 391

published property TFileNameEdit.DialogOptions : TOpenOptions
  read FDialogOptions
  write FDialogOptions
  default DefaultOpenDialogOptions;


TFileNameEdit.DialogTitle

DialogTitle - the title to appear on the dialog

Declaration

Source position: editbtn.pas line 390

published property TFileNameEdit.DialogTitle : string
  read FDialogTitle
  write FDialogTitle;


TFileNameEdit.DoFolderChange

Declaration

Source position: editbtn.pas line 376

protected procedure TFileNameEdit.DoFolderChange(

  Sender: TObject

); virtual;


TFileNameEdit.EditChange

Declaration

Source position: editbtn.pas line 375

protected procedure TFileNameEdit.EditChange; override;


TFileNameEdit.FileName

FileName - the name of the selected file: either the initial value placed in the Text Box, or the value selected from the dialog

Declaration

Source position: editbtn.pas line 385

published property TFileNameEdit.FileName : string
  read FFileName
  write SetFileName;


TFileNameEdit.Filter

Filter - the filtering string to help search for the required file

Declaration

Source position: editbtn.pas line 392

published property TFileNameEdit.Filter : string
  read FFilter
  write FFilter;


TFileNameEdit.FilterIndex

FilterIndex - index value for the filtering string

Declaration

Source position: editbtn.pas line 393

published property TFileNameEdit.FilterIndex : Integer
  read FFilterIndex
  write FFIlterIndex;


TFileNameEdit.FocusOnButtonClick

Declaration

Source position: editbtn.pas line 410

published property TFileNameEdit.FocusOnButtonClick : Boolean;


TFileNameEdit.HideDirectories

Hide directory name from edit

Declaration

Source position: editbtn.pas line 395

published property TFileNameEdit.HideDirectories : Boolean
  read FHideDirectories
  write FHideDirectories;

Description

If HideDirectories is set to true, the file name editor displays only a file name, without path.

Remark: This may be useful if application allows user to select files from a fixed directory with a long path.


TFileNameEdit.ImageIndex

Declaration

Source position: editbtn.pas line 407

published property TFileNameEdit.ImageIndex : TImageIndex;


TFileNameEdit.Images

Declaration

Source position: editbtn.pas line 406

published property TFileNameEdit.Images : TCustomImageList;


TFileNameEdit.ImageWidth

Declaration

Source position: editbtn.pas line 408

published property TFileNameEdit.ImageWidth : Integer;


TFileNameEdit.InitialDir

InitialDir - the directory from which the search starts

Declaration

Source position: editbtn.pas line 386

published property TFileNameEdit.InitialDir : string
  read FInitialDir
  write FInitialDir;


TFileNameEdit.Layout

Declaration

Source position: editbtn.pas line 425

published property TFileNameEdit.Layout : TLeftRight;


TFileNameEdit.OnAcceptFileName

OnAcceptFileName - event handler for accepting a filename

Declaration

Source position: editbtn.pas line 387

published property TFileNameEdit.OnAcceptFileName : TAcceptFileNameEvent
  read FOnAcceptFileName
  write FOnAcceptFileName;


TFileNameEdit.OnFolderChange

Declaration

Source position: editbtn.pas line 388

published property TFileNameEdit.OnFolderChange : TNotifyEvent
  read FOnFolderChange
  write FOnFolderChange;


TFileNameEdit.OnMouseEnter

Declaration

Source position: editbtn.pas line 452

published property TFileNameEdit.OnMouseEnter : TNotifyEvent;


TFileNameEdit.OnMouseLeave

Declaration

Source position: editbtn.pas line 453

published property TFileNameEdit.OnMouseLeave : TNotifyEvent;


TFileNameEdit.OnMouseWheel

Declaration

Source position: editbtn.pas line 456

published property TFileNameEdit.OnMouseWheel : TMouseWheelEvent;


TFileNameEdit.OnMouseWheelDown

Declaration

Source position: editbtn.pas line 457

published property TFileNameEdit.OnMouseWheelDown : TMouseWheelUpDownEvent;


TFileNameEdit.OnMouseWheelUp

Declaration

Source position: editbtn.pas line 458

published property TFileNameEdit.OnMouseWheelUp : TMouseWheelUpDownEvent;


TFileNameEdit.ParentBidiMode

Declaration

Source position: editbtn.pas line 427

published property TFileNameEdit.ParentBidiMode : Boolean;


TFileNameEdit.RunDialog

RunDialog - perform the function of the dialog

Declaration

Source position: editbtn.pas line 380

public procedure TFileNameEdit.RunDialog; virtual;


TFileNameEdit.SaveDialogResult

SaveDialogResult - stores the result of the dialog

Declaration

Source position: editbtn.pas line 373

protected procedure TFileNameEdit.SaveDialogResult(

  AKind: TDialogKind;

  D: TCommonDialog

); virtual;


TFileNameEdit.Spacing

Declaration

Source position: editbtn.pas line 434

published property TFileNameEdit.Spacing : Integer;


TFileNameEdit.Text

Declaration

Source position: editbtn.pas line 461

published property TFileNameEdit.Text : TCaption;


TFileNameEdit.TextHint

Declaration

Source position: editbtn.pas line 462

published property TFileNameEdit.TextHint : TTranslateString;


TTimeEdit

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Declaration

Source position: editbtn.pas line 684

type TTimeEdit = class(TCustomEditButton)

protected

  function GetDefaultGlyphName; override;

  procedure ButtonClick; override;

  procedure EditDblClick; override;

  procedure EditEditingDone; override;

public

  constructor Create(); override;

  property Time: TDateTime; [rw]

  property Button: TSpeedButton;

  property DroppedDown: Boolean; [r]

published

  property DefaultNow: Boolean; [rw]

  property OnAcceptTime: TAcceptTimeEvent; [rw]

  property OnCustomTime: TCustomTimeEvent; [rw]

  property ReadOnly: Boolean;

  property ButtonCaption: TCaption;

  property ButtonCursor: TCursor;

  property ButtonHint: TTranslateString;

  property ButtonOnlyWhenFocused: Boolean;

  property ButtonWidth: Integer;

  property Action: TBasicAction;

  property Align: TAlign;

  property Anchors: TAnchors;

  property AutoSize: Boolean;

  property AutoSelect: Boolean;

  property BidiMode: TBiDiMode;

  property BorderSpacing: TControlBorderSpacing;

  property BorderStyle: TBorderStyle;

  property CharCase: TEditCharCase;

  property Color: TColor;

  property Constraints: TSizeConstraints;

  property DirectInput: Boolean;

  property Glyph: TBitmap;

  property NumGlyphs: Integer;

  property Images: TCustomImageList;

  property ImageIndex: TImageIndex;

  property ImageWidth: Integer;

  property DragMode: TDragMode;

  property EchoMode: TEchoMode;

  property Enabled: Boolean;

  property Flat: Boolean;

  property FocusOnButtonClick: Boolean;

  property Font: TFont;

  property MaxLength: Integer;

  property OnButtonClick: TNotifyEvent;

  property OnChange: TNotifyEvent;

  property OnChangeBounds: TNotifyEvent;

  property OnClick: TNotifyEvent;

  property OnDblClick: TNotifyEvent;

  property OnEditingDone: TNotifyEvent;

  property OnEnter: TNotifyEvent;

  property OnExit: TNotifyEvent;

  property OnKeyDown: TKeyEvent;

  property OnKeyPress: TKeyPressEvent;

  property OnKeyUp: TKeyEvent;

  property OnMouseDown: TMouseEvent;

  property OnMouseEnter: TNotifyEvent;

  property OnMouseLeave: TNotifyEvent;

  property OnMouseMove: TMouseMoveEvent;

  property OnMouseUp: TMouseEvent;

  property OnMouseWheel: TMouseWheelEvent;

  property OnMouseWheelDown: TMouseWheelUpDownEvent;

  property OnMouseWheelUp: TMouseWheelUpDownEvent;

  property OnResize: TNotifyEvent;

  property OnUTF8KeyPress: TUTF8KeyPressEvent;

  property ParentBidiMode: Boolean;

  property ParentColor: Boolean;

  property ParentFont: Boolean;

  property ParentShowHint: Boolean;

  property PopupMenu: TPopupMenu;

  property ShowHint: Boolean;

  property SimpleLayout: Boolean; [rw]

  property Spacing: Integer;

  property TabStop: Boolean;

  property TabOrder: TTabOrder;

  property Visible: Boolean;

  property Text: TCaption;

  property TextHint: TTranslateString;

end;

Inheritance

TTimeEdit
|
TCustomEditButton | TCustomEditButton - base class for TEditButton, an Edit Box with attached Speed Button
|
TCustomAbstractGroupedEdit |
|
TCustomControl | The base class for windowed controls which paint themselves.
|
TWinControl | The base class for controls which can contain other (child) controls.
|
TControl | The base class for visible controls.
|
TLCLComponent | The base class for LCL components associated with widgets.
|
TComponent,IUnknown,IInterfaceComponentReference
|
TPersistent,IFPObserved
|
TObject


TTimeEdit
 |  | Time
 | ro | Button
 | ro | DroppedDown
pl |  | DefaultNow
pl | ro | ReadOnly
pl | ro | ButtonCaption
pl | ro | ButtonCursor
pl | ro | ButtonHint
pl | ro | ButtonOnlyWhenFocused
pl | ro | ButtonWidth
pl | ro | Action
pl | ro | Align
pl | ro | Anchors
pl | ro | AutoSize
pl | ro | AutoSelect
pl | ro | BidiMode
pl | ro | BorderSpacing
pl | ro | BorderStyle
pl | ro | CharCase
pl | ro | Color
pl | ro | Constraints
pl | ro | DirectInput
pl | ro | Glyph
pl | ro | NumGlyphs
pl | ro | Images
pl | ro | ImageIndex
pl | ro | ImageWidth
pl | ro | DragMode
pl | ro | EchoMode
pl | ro | Enabled
pl | ro | Flat
pl | ro | FocusOnButtonClick
pl | ro | Font
pl | ro | MaxLength
pl | ro | ParentBidiMode
pl | ro | ParentColor
pl | ro | ParentFont
pl | ro | ParentShowHint
pl | ro | PopupMenu
pl | ro | ShowHint
pl |  | SimpleLayout
pl | ro | Spacing
pl | ro | TabStop
pl | ro | TabOrder
pl | ro | Visible
pl | ro | Text
pl | ro | TextHint
TCustomEditButton
pt | ro | Button
pt |  | ButtonCaption
pt |  | ButtonCursor
pt |  | ButtonHint
pt |  | ButtonOnlyWhenFocused
pt |  | ButtonWidth
pt | ro | Edit
pt |  | Flat
pt |  | FocusOnButtonClick
pt |  | Glyph
pt |  | NumGlyphs
pt |  | Images
pt |  | ImageIndex
pt |  | ImageWidth
pt | ro | Spacing
TCustomAbstractGroupedEdit
pt |  | AutoSelect
pt |  | AutoSelected
pt | ro | Buddy
pt |  | BuddyCaption
pt |  | BuddyCursor
pt |  | BuddyHint
pt |  | BuddyWidth
pt |  | DirectInput
pt | ro | BaseEditor
pt |  | EditMask
pt |  | EditText
pt |  | FocusOnBuddyClick
pt | ro | IsMasked
pt |  | Layout
pt |  | Spacing
 | ro | Autosize
 |  | AutoSizeHeightIsEditHeight
 |  | Alignment
 | ro | CanUndo
 |  | CaretPos
 |  | CharCase
 |  | Color
 |  | ParentColor
 |  | EchoMode
 |  | HideSelection
 |  | MaxLength
 |  | Modified
 |  | NumbersOnly
 |  | PasswordChar
 |  | PopupMenu
 |  | ReadOnly
 |  | SelLength
 |  | SelStart
 |  | SelText
 |  | TabStop
 | ro | Text
 |  | TextHint
TCustomControl
 |  | Canvas
 | ro | BorderStyle
TWinControl
pt |  | WindowHandle
pt |  | BorderStyle
pt |  | ParentBackground
 |  | BorderWidth
 | ro | BoundsLockCount
 | ro | Brush
 | ro | CachedClientHeight
 | ro | CachedClientWidth
 |  | ChildSizing
 | ro | ControlCount
 | ro | Controls
 |  | DefWndProc
 | ro | DockClientCount
 | ro | DockClients
 |  | DockManager
 |  | DockSite
 |  | DoubleBuffered
 |  | Handle
 | ro | IsFlipped
 | ro | IsResizing
 |  | TabOrder
 |  | TabStop
 |  | ParentDoubleBuffered
 |  | ParentWindow
 | ro | Showing
 |  | UseDockManager
 |  | DesignerDeleting
 | ro | VisibleDockClientCount
TControl
pt | ro | AutoSizing
pt | ro | AutoSizingAll
pt | ro | AutoSizingLockCount
pt |  | ActionLink
pt |  | DesktopFont
pt |  | DragCursor
pt |  | DragKind
pt |  | DragMode
pt |  | MouseCapture
pt |  | ParentColor
pt |  | ParentFont
pt |  | ParentShowHint
pt |  | SessionProperties
pt |  | Text
 | ro | AnchoredControls
 | ro | BaseBounds
 | ro | ReadBounds
 | ro | BaseParentClientSize
 |  | AccessibleDescription
 |  | AccessibleValue
 |  | AccessibleRole
 |  | Action
 |  | Align
 |  | Anchors
 | ro | AnchorSide
 |  | AutoSize
 |  | BorderSpacing
 |  | BoundsRect
 |  | BoundsRectForNewParent
 |  | Caption
 |  | CaptureMouseButtons
 |  | ClientHeight
 | ro | ClientOrigin
 | ro | ClientRect
 |  | ClientWidth
 |  | Color
 |  | Constraints
 | ro | ControlOrigin
 |  | ControlState
 |  | ControlStyle
 |  | Enabled
 |  | Font
 |  | IsControl
 | ro | MouseEntered
 | ro | MouseInClient
 |  | Parent
 |  | PopupMenu
 |  | ShowHint
 |  | Visible
 |  | WindowProc
 |  | DockOrientation
 | ro | Floating
 |  | FloatingDockSiteClass
 |  | HostDockSite
 |  | LRDockWidth
 |  | TBDockHeight
 |  | UndockHeight
 |  | UndockWidth
 |  | BiDiMode
 |  | ParentBiDiMode
pl |  | AnchorSideLeft
pl |  | AnchorSideTop
pl |  | AnchorSideRight
pl |  | AnchorSideBottom
pl |  | Cursor
pl |  | Left
pl |  | Height
pl |  | Hint
pl |  | Top
pl |  | Width
pl |  | HelpType
pl |  | HelpKeyword
pl |  | HelpContext
TLCLComponent
 | ro | LCLRefCount
 | ro | WidgetSetClass
TComponent
 | ro | ComObject
 | ro | Components
 | ro | ComponentCount
 |  | ComponentIndex
 | ro | ComponentState
 | ro | ComponentStyle
 |  | DesignInfo
 | ro | Owner
 |  | VCLComObject
 |  | Name
 |  | Tag
TPersistent
TObject


 |  | AccessibleDescription (TControl)
 |  | AccessibleRole (TControl)
 |  | AccessibleValue (TControl)
 |  | Action (TControl)
pl | ro | Action (TTimeEdit)
pt |  | ActionLink (TControl)
 |  | Align (TControl)
pl | ro | Align (TTimeEdit)
 |  | Alignment (TCustomAbstractGroupedEdit)
 | ro | AnchoredControls (TControl)
 |  | Anchors (TControl)
pl | ro | Anchors (TTimeEdit)
 | ro | AnchorSide (TControl)
pl |  | AnchorSideBottom (TControl)
pl |  | AnchorSideLeft (TControl)
pl |  | AnchorSideRight (TControl)
pl |  | AnchorSideTop (TControl)
pt |  | AutoSelect (TCustomAbstractGroupedEdit)
pl | ro | AutoSelect (TTimeEdit)
pt |  | AutoSelected (TCustomAbstractGroupedEdit)
 |  | AutoSize (TControl)
 | ro | Autosize (TCustomAbstractGroupedEdit)
pl | ro | AutoSize (TTimeEdit)
 |  | AutoSizeHeightIsEditHeight (TCustomAbstractGroupedEdit)
pt | ro | AutoSizing (TControl)
pt | ro | AutoSizingAll (TControl)
pt | ro | AutoSizingLockCount (TControl)
 | ro | BaseBounds (TControl)
pt | ro | BaseEditor (TCustomAbstractGroupedEdit)
 | ro | BaseParentClientSize (TControl)
 |  | BiDiMode (TControl)
pl | ro | BidiMode (TTimeEdit)
 |  | BorderSpacing (TControl)
pl | ro | BorderSpacing (TTimeEdit)
pt |  | BorderStyle (TWinControl)
 | ro | BorderStyle (TCustomControl)
pl | ro | BorderStyle (TTimeEdit)
 |  | BorderWidth (TWinControl)
 | ro | BoundsLockCount (TWinControl)
 |  | BoundsRect (TControl)
 |  | BoundsRectForNewParent (TControl)
 | ro | Brush (TWinControl)
pt | ro | Buddy (TCustomAbstractGroupedEdit)
pt |  | BuddyCaption (TCustomAbstractGroupedEdit)
pt |  | BuddyCursor (TCustomAbstractGroupedEdit)
pt |  | BuddyHint (TCustomAbstractGroupedEdit)
pt |  | BuddyWidth (TCustomAbstractGroupedEdit)
pt | ro | Button (TCustomEditButton)
 | ro | Button (TTimeEdit)
pt |  | ButtonCaption (TCustomEditButton)
pl | ro | ButtonCaption (TTimeEdit)
pt |  | ButtonCursor (TCustomEditButton)
pl | ro | ButtonCursor (TTimeEdit)
pt |  | ButtonHint (TCustomEditButton)
pl | ro | ButtonHint (TTimeEdit)
pt |  | ButtonOnlyWhenFocused (TCustomEditButton)
pl | ro | ButtonOnlyWhenFocused (TTimeEdit)
pt |  | ButtonWidth (TCustomEditButton)
pl | ro | ButtonWidth (TTimeEdit)
 | ro | CachedClientHeight (TWinControl)
 | ro | CachedClientWidth (TWinControl)
 | ro | CanUndo (TCustomAbstractGroupedEdit)
 |  | Canvas (TCustomControl)
 |  | Caption (TControl)
 |  | CaptureMouseButtons (TControl)
 |  | CaretPos (TCustomAbstractGroupedEdit)
 |  | CharCase (TCustomAbstractGroupedEdit)
pl | ro | CharCase (TTimeEdit)
 |  | ChildSizing (TWinControl)
 |  | ClientHeight (TControl)
 | ro | ClientOrigin (TControl)
 | ro | ClientRect (TControl)
 |  | ClientWidth (TControl)
 |  | Color (TControl)
 |  | Color (TCustomAbstractGroupedEdit)
pl | ro | Color (TTimeEdit)
 | ro | ComObject (TComponent)
 | ro | ComponentCount (TComponent)
 |  | ComponentIndex (TComponent)
 | ro | Components (TComponent)
 | ro | ComponentState (TComponent)
 | ro | ComponentStyle (TComponent)
 |  | Constraints (TControl)
pl | ro | Constraints (TTimeEdit)
 | ro | ControlCount (TWinControl)
 | ro | ControlOrigin (TControl)
 | ro | Controls (TWinControl)
 |  | ControlState (TControl)
 |  | ControlStyle (TControl)
pl |  | Cursor (TControl)
pl |  | DefaultNow (TTimeEdit)
 |  | DefWndProc (TWinControl)
 |  | DesignerDeleting (TWinControl)
 |  | DesignInfo (TComponent)
pt |  | DesktopFont (TControl)
pt |  | DirectInput (TCustomAbstractGroupedEdit)
pl | ro | DirectInput (TTimeEdit)
 | ro | DockClientCount (TWinControl)
 | ro | DockClients (TWinControl)
 |  | DockManager (TWinControl)
 |  | DockOrientation (TControl)
 |  | DockSite (TWinControl)
 |  | DoubleBuffered (TWinControl)
pt |  | DragCursor (TControl)
pt |  | DragKind (TControl)
pt |  | DragMode (TControl)
pl | ro | DragMode (TTimeEdit)
 | ro | DroppedDown (TTimeEdit)
 |  | EchoMode (TCustomAbstractGroupedEdit)
pl | ro | EchoMode (TTimeEdit)
pt | ro | Edit (TCustomEditButton)
pt |  | EditMask (TCustomAbstractGroupedEdit)
pt |  | EditText (TCustomAbstractGroupedEdit)
 |  | Enabled (TControl)
pl | ro | Enabled (TTimeEdit)
pt |  | Flat (TCustomEditButton)
pl | ro | Flat (TTimeEdit)
 | ro | Floating (TControl)
 |  | FloatingDockSiteClass (TControl)
pt |  | FocusOnBuddyClick (TCustomAbstractGroupedEdit)
pt |  | FocusOnButtonClick (TCustomEditButton)
pl | ro | FocusOnButtonClick (TTimeEdit)
 |  | Font (TControl)
pl | ro | Font (TTimeEdit)
pt |  | Glyph (TCustomEditButton)
pl | ro | Glyph (TTimeEdit)
 |  | Handle (TWinControl)
pl |  | Height (TControl)
pl |  | HelpContext (TControl)
pl |  | HelpKeyword (TControl)
pl |  | HelpType (TControl)
 |  | HideSelection (TCustomAbstractGroupedEdit)
pl |  | Hint (TControl)
 |  | HostDockSite (TControl)
pt |  | ImageIndex (TCustomEditButton)
pl | ro | ImageIndex (TTimeEdit)
pt |  | Images (TCustomEditButton)
pl | ro | Images (TTimeEdit)
pt |  | ImageWidth (TCustomEditButton)
pl | ro | ImageWidth (TTimeEdit)
 |  | IsControl (TControl)
 | ro | IsFlipped (TWinControl)
pt | ro | IsMasked (TCustomAbstractGroupedEdit)
 | ro | IsResizing (TWinControl)
pt |  | Layout (TCustomAbstractGroupedEdit)
 | ro | LCLRefCount (TLCLComponent)
pl |  | Left (TControl)
 |  | LRDockWidth (TControl)
 |  | MaxLength (TCustomAbstractGroupedEdit)
pl | ro | MaxLength (TTimeEdit)
 |  | Modified (TCustomAbstractGroupedEdit)
pt |  | MouseCapture (TControl)
 | ro | MouseEntered (TControl)
 | ro | MouseInClient (TControl)
 |  | Name (TComponent)
 |  | NumbersOnly (TCustomAbstractGroupedEdit)
pt |  | NumGlyphs (TCustomEditButton)
pl | ro | NumGlyphs (TTimeEdit)
 | ro | Owner (TComponent)
 |  | Parent (TControl)
pt |  | ParentBackground (TWinControl)
 |  | ParentBiDiMode (TControl)
pl | ro | ParentBidiMode (TTimeEdit)
pt |  | ParentColor (TControl)
 |  | ParentColor (TCustomAbstractGroupedEdit)
pl | ro | ParentColor (TTimeEdit)
 |  | ParentDoubleBuffered (TWinControl)
pt |  | ParentFont (TControl)
pl | ro | ParentFont (TTimeEdit)
pt |  | ParentShowHint (TControl)
pl | ro | ParentShowHint (TTimeEdit)
 |  | ParentWindow (TWinControl)
 |  | PasswordChar (TCustomAbstractGroupedEdit)
 |  | PopupMenu (TControl)
 |  | PopupMenu (TCustomAbstractGroupedEdit)
pl | ro | PopupMenu (TTimeEdit)
 | ro | ReadBounds (TControl)
 |  | ReadOnly (TCustomAbstractGroupedEdit)
pl | ro | ReadOnly (TTimeEdit)
 |  | SelLength (TCustomAbstractGroupedEdit)
 |  | SelStart (TCustomAbstractGroupedEdit)
 |  | SelText (TCustomAbstractGroupedEdit)
pt |  | SessionProperties (TControl)
 |  | ShowHint (TControl)
pl | ro | ShowHint (TTimeEdit)
 | ro | Showing (TWinControl)
pl |  | SimpleLayout (TTimeEdit)
pt |  | Spacing (TCustomAbstractGroupedEdit)
pt | ro | Spacing (TCustomEditButton)
pl | ro | Spacing (TTimeEdit)
 |  | TabOrder (TWinControl)
pl | ro | TabOrder (TTimeEdit)
 |  | TabStop (TWinControl)
 |  | TabStop (TCustomAbstractGroupedEdit)
pl | ro | TabStop (TTimeEdit)
 |  | Tag (TComponent)
 |  | TBDockHeight (TControl)
pt |  | Text (TControl)
 | ro | Text (TCustomAbstractGroupedEdit)
pl | ro | Text (TTimeEdit)
 |  | TextHint (TCustomAbstractGroupedEdit)
pl | ro | TextHint (TTimeEdit)
 |  | Time (TTimeEdit)
pl |  | Top (TControl)
 |  | UndockHeight (TControl)
 |  | UndockWidth (TControl)
 |  | UseDockManager (TWinControl)
 |  | VCLComObject (TComponent)
 |  | Visible (TControl)
pl | ro | Visible (TTimeEdit)
 | ro | VisibleDockClientCount (TWinControl)
 | ro | WidgetSetClass (TLCLComponent)
pl |  | Width (TControl)
pt |  | WindowHandle (TWinControl)
 |  | WindowProc (TControl)


TTimeEdit
pt | GetDefaultGlyphName
pt | ButtonClick
pt | EditDblClick
pt | EditEditingDone
 | Create
TCustomEditButton
pt | ButtonClick
pt | BuddyClick
pt | GetEditorClassType
pt | GetBuddyClassType
pt | GetControlClassDefaultSize
pt | CalcButtonVisible
pt | GetDefaultGlyphName
pt | CalculatePreferredSize
pt | CheckButtonVisible
pt | LoadDefaultGlyph
pt | GlyphChanged
 | Create
 | Destroy
TCustomAbstractGroupedEdit
pt | CalculatePreferredSize
pt | CreateBuddy
pt | CreateEditor
pt | FocusAndMaybeSelectAll
pt | GetEditorClassType
pt | GetBuddyClassType
pt | GetControlClassDefaultSize
pt | SetDirectInput
pt | RealGetText
pt | RealSetText
pt | GetEditPopupMenu
pt | GetBuddyCaption
pt | GetBuddyCursor
pt | GetBuddyHint
pt | GetBuddyWidth
pt | GetBuddyVisible
pt | SetBuddyCaption
pt | SetBuddyCursor
pt | SetBuddyHint
pt | SetBuddyWidth
pt | SetBuddyVisible
pt | BuddyClick
pt | DoEnter
pt | EditChange
pt | EditClick
pt | EditDblClick
pt | EditDragDrop
pt | EditDragOver
pt | EditEditingDone
pt | EditEndDrag
pt | EditEnter
pt | EditExit
pt | EditKeyDown
pt | EditKeyPress
pt | EditKeyUp
pt | EditMouseDown
pt | EditMouseUp
pt | EditMouseEnter
pt | EditMouseLeave
pt | EditMouseMove
pt | EditMouseWheel
pt | EditMouseWheelUp
pt | EditMouseWheelDown
pt | EditUtf8KeyPress
pt | EditStartDrag
pt | UpdateSpacing
pt | CheckCursor
pt | CMParentColorChanged
pt | EditCanModify
pt | GetSel
pt | GetSpacing
pt | SetSel
pt | Loaded
pt | Reset
pt | SetAutoSize
pt | SetColor
pt | SetCursor
pt | ShouldAutoAdjust
 | Create
 | Destroy
 | SetFocus
 | Focused
 | Clear
 | ClearSelection
 | CopyToClipboard
 | CutToClipboard
 | PasteFromClipboard
 | SelectAll
 | Undo
 | ValidateEdit
TCustomControl
pt | WSRegisterClass
pt | WMPaint
pt | DestroyWnd
pt | PaintWindow
pt | FontChanged
pt | SetColor
pt | Paint
 | Create
 | Destroy
TWinControl
pt | WSRegisterClass
pt | AdjustClientRect
pt | GetAdjustedLogicalClientRect
pt | AlignControls
pt | CustomAlignInsertBefore
pt | CustomAlignPosition
pt | DoAlignChildControls
pt | DoChildSizingChange
pt | InvalidatePreferredChildSizes
pt | CanTab
pt | IsClientHeightStored
pt | IsClientWidthStored
pt | DoSendShowHideToInterface
pt | ControlsAligned
pt | DoSendBoundsToInterface
pt | RealizeBounds
pt | RealizeBoundsRecursive
pt | InvalidateBoundsRealized
pt | CreateSubClass
pt | DoConstraintsChange
pt | DoSetBounds
pt | DoAutoSize
pt | DoAllAutoSize
pt | AllAutoSized
pt | CalculatePreferredSize
pt | GetPreferredSizeClientFrame
pt | GetChildren
pt | ChildClassAllowed
pt | PaintControls
pt | PaintHandler
pt | PaintWindow
pt | CreateBrush
pt | ScaleControls
pt | ChangeScale
pt | CMBiDiModeChanged
pt | CMBorderChanged
pt | CMDoubleBufferedChanged
pt | CMEnabledChanged
pt | CMParentDoubleBufferedChanged
pt | CMShowingChanged
pt | CMShowHintChanged
pt | CMVisibleChanged
pt | CMEnter
pt | CMExit
pt | WMContextMenu
pt | WMEraseBkgnd
pt | WMNotify
pt | WMSetFocus
pt | WMKillFocus
pt | WMShowWindow
pt | WMEnter
pt | WMExit
pt | WMKeyDown
pt | WMSysKeyDown
pt | WMKeyUp
pt | WMSysKeyUp
pt | WMChar
pt | WMSysChar
pt | WMPaint
pt | WMDestroy
pt | WMMove
pt | WMSize
pt | WMWindowPosChanged
pt | CNKeyDown
pt | CNSysKeyDown
pt | CNKeyUp
pt | CNSysKeyUp
pt | CNChar
pt | DoDragMsg
pt | DoDockClientMsg
pt | DoUndockClientMsg
pt | DoAddDockClient
pt | DockOver
pt | DoDockOver
pt | DoRemoveDockClient
pt | DoUnDock
pt | GetSiteInfo
pt | GetParentHandle
pt | GetTopParentHandle
pt | ReloadDockedControl
pt | CreateDockManager
pt | SetDockManager
pt | DoFloatMsg
pt | DoGetDockCaption
pt | DoEnter
pt | DoExit
pt | DoKeyDownBeforeInterface
pt | DoRemainingKeyDown
pt | DoRemainingKeyUp
pt | DoKeyPress
pt | DoUTF8KeyPress
pt | DoKeyUpBeforeInterface
pt | ChildKey
pt | SendDialogChar
pt | DialogChar
pt | ControlKeyDown
pt | ControlKeyUp
pt | KeyDown
pt | KeyDownBeforeInterface
pt | KeyDownAfterInterface
pt | KeyPress
pt | KeyUp
pt | KeyUpBeforeInterface
pt | KeyUpAfterInterface
pt | UTF8KeyPress
pt | FindNextControl
pt | SelectFirst
pt | RealGetText
pt | GetBorderStyle
pt | GetClientOrigin
pt | GetClientRect
pt | GetControlOrigin
pt | GetDeviceContext
pt | GetParentBackground
pt | IsControlMouseMsg
pt | CreateHandle
pt | CreateParams
pt | CreateWnd
pt | DestroyHandle
pt | DestroyWnd
pt | DoFlipChildren
pt | FinalizeWnd
pt | FixupTabList
pt | FontChanged
pt | InitializeWnd
pt | Loaded
pt | FormEndUpdated
pt | MainWndProc
pt | ParentFormHandleInitialized
pt | ChildHandlesCreated
pt | GetMouseCapture
pt | RealSetText
pt | RemoveFocus
pt | SendMoveSizeMessages
pt | SetBorderStyle
pt | SetColor
pt | SetChildZPosition
pt | SetParentBackground
pt | ShowControl
pt | UpdateControlState
pt | UpdateShowing
pt | WndProc
pt | WSSetText
 | AutoSizePhases
 | AutoSizeDelayed
 | AutoSizeDelayedReport
 | AutoSizeDelayedHandle
 | BeginUpdateBounds
 | EndUpdateBounds
 | LockRealizeBounds
 | UnlockRealizeBounds
 | ControlAtPos
 | ContainsControl
 | DoAdjustClientRectChange
 | InvalidateClientRectCache
 | ClientRectNeedsInterfaceUpdate
 | SetBounds
 | GetChildrenRect
 | DisableAlign
 | EnableAlign
 | ReAlign
 | ScrollBy_WS
 | ScrollBy
 | WriteLayoutDebugReport
 | AutoAdjustLayout
 | Create
 | CreateParented
 | CreateParentedControl
 | Destroy
 | DockDrop
 | CanFocus
 | CanSetFocus
 | GetControlIndex
 | SetControlIndex
 | Focused
 | PerformTab
 | FindChildControl
 | SelectNext
 | SetTempCursor
 | BroadCast
 | NotifyControls
 | DefaultHandler
 | GetTextLen
 | Invalidate
 | AddControl
 | InsertControl
 | RemoveControl
 | GetEnumeratorControls
 | GetEnumeratorControlsReverse
 | Repaint
 | Update
 | SetFocus
 | FlipChildren
 | ScaleBy
 | GetDockCaption
 | UpdateDockCaption
 | GetTabOrderList
 | HandleAllocated
 | ParentHandlesAllocated
 | HandleNeeded
 | BrushCreated
 | EraseBackground
 | IntfUTF8KeyPress
 | IntfGetDropFilesTarget
 | PaintTo
 | SetShape
TControl
pt | WSRegisterClass
pt | GetCursor
pt | SetCursor
pt | SetVisible
pt | DoOnParentHandleDestruction
pt | DoAutoSize
pt | DoAllAutoSize
pt | BeginAutoSizing
pt | EndAutoSizing
pt | AnchorSideChanged
pt | ForeignAnchorSideChanged
pt | SetAlign
pt | SetAnchors
pt | SetAutoSize
pt | BoundsChanged
pt | CreateControlBorderSpacing
pt | DoConstraintsChange
pt | DoBorderSpacingChange
pt | IsBorderSpacingInnerBorderStored
pt | IsCaptionStored
pt | SendMoveSizeMessages
pt | ConstrainedResize
pt | CalculatePreferredSize
pt | DoOnResize
pt | DoOnChangeBounds
pt | CheckOnChangeBounds
pt | Resize
pt | RequestAlign
pt | UpdateAnchorRules
pt | ChangeBounds
pt | DoSetBounds
pt | ScaleConstraints
pt | ChangeScale
pt | CanAutoSize
pt | SetBiDiMode
pt | SetParentBiDiMode
pt | IsAParentAligning
pt | GetClientOrigin
pt | GetClientRect
pt | GetLogicalClientRect
pt | GetScrolledClientRect
pt | GetClientScrollOffset
pt | GetControlOrigin
pt | IsClientHeightStored
pt | IsClientWidthStored
pt | WidthIsAnchored
pt | HeightIsAnchored
pt | WMCancelMode
pt | WMContextMenu
pt | WMLButtonDown
pt | WMRButtonDown
pt | WMMButtonDown
pt | WMXButtonDown
pt | WMLButtonDBLCLK
pt | WMRButtonDBLCLK
pt | WMMButtonDBLCLK
pt | WMXButtonDBLCLK
pt | WMLButtonTripleCLK
pt | WMRButtonTripleCLK
pt | WMMButtonTripleCLK
pt | WMXButtonTripleCLK
pt | WMLButtonQuadCLK
pt | WMRButtonQuadCLK
pt | WMMButtonQuadCLK
pt | WMXButtonQuadCLK
pt | WMMouseMove
pt | WMLButtonUp
pt | WMRButtonUp
pt | WMMButtonUp
pt | WMXButtonUp
pt | WMMouseWheel
pt | WMMouseHWheel
pt | WMMove
pt | WMSize
pt | WMWindowPosChanged
pt | CMChanged
pt | LMCaptureChanged
pt | CMBiDiModeChanged
pt | CMSysFontChanged
pt | CMEnabledChanged
pt | CMHitTest
pt | CMMouseEnter
pt | CMMouseLeave
pt | CMHintShow
pt | CMParentBiDiModeChanged
pt | CMParentColorChanged
pt | CMParentFontChanged
pt | CMParentShowHintChanged
pt | CMVisibleChanged
pt | CMTextChanged
pt | CMCursorChanged
pt | CalculateDockSizes
pt | CreateFloatingDockSite
pt | GetDockEdge
pt | GetDragImages
pt | GetFloating
pt | GetFloatingDockSiteClass
pt | BeforeDragStart
pt | BeginAutoDrag
pt | DoFloatMsg
pt | DockTrackNoTarget
pt | DoDock
pt | DoDragMsg
pt | DoEndDock
pt | DoEndDrag
pt | DoStartDock
pt | DoStartDrag
pt | DragCanceled
pt | DragOver
pt | PositionDockRect
pt | SetDragMode
pt | GetDefaultDockCaption
pt | Click
pt | DblClick
pt | TripleClick
pt | QuadClick
pt | GetMousePosFromMessage
pt | MouseDown
pt | MouseMove
pt | MouseUp
pt | MouseEnter
pt | MouseLeave
pt | DialogChar
pt | UpdateMouseCursor
pt | Changed
pt | GetPalette
pt | ChildClassAllowed
pt | ReadState
pt | Loaded
pt | LoadedAll
pt | DefineProperties
pt | AssignTo
pt | FormEndUpdated
pt | InvalidateControl
pt | FontChanged
pt | ParentFontChanged
pt | GetAction
pt | RealGetText
pt | RealSetText
pt | TextChanged
pt | GetCachedText
pt | SetAction
pt | SetColor
pt | SetEnabled
pt | SetHint
pt | SetName
pt | SetParent
pt | SetParentComponent
pt | WndProc
pt | ParentFormHandleInitialized
pt | GetMouseCapture
pt | CaptureChanged
pt | Notification
pt | CanTab
pt | GetDeviceContext
pt | GetEnabled
pt | GetPopupMenu
pt | DoOnShowHint
pt | DoMouseWheel
pt | DoMouseWheelDown
pt | DoMouseWheelUp
pt | DoMouseWheelHorz
pt | DoMouseWheelLeft
pt | DoMouseWheelRight
pt | VisibleChanging
pt | VisibleChanged
pt | EnabledChanging
pt | EnabledChanged
pt | AddHandler
pt | RemoveHandler
pt | DoCallNotifyHandler
pt | DoCallKeyEventHandler
pt | DoCallMouseWheelEventHandler
pt | DoContextPopup
pt | SetZOrder
pt | GetControlClassDefaultSize
pt | ColorIsStored
pt | DoAutoAdjustLayout
pt | DoFixDesignFontPPI
pt | DoScaleFontPPI
pt | GetActionLinkClass
pt | ActionChange
 | DragDrop
 | Dock
 | ManualDock
 | ManualFloat
 | ReplaceDockedControl
 | Docked
 | Dragging
 | GetAccessibleObject
 | CreateAccessibleObject
 | GetSelectedChildAccessibleObject
 | GetChildAccessibleObjectAtPos
 | ScaleDesignToForm
 | ScaleFormToDesign
 | Scale96ToForm
 | ScaleFormTo96
 | Scale96ToFont
 | ScaleFontTo96
 | ScaleScreenToFont
 | ScaleFontToScreen
 | Scale96ToScreen
 | ScaleScreenTo96
 | AdjustSize
 | AutoSizePhases
 | AutoSizeDelayed
 | AutoSizeDelayedReport
 | AutoSizeDelayedHandle
 | AnchorToNeighbour
 | AnchorParallel
 | AnchorHorizontalCenterTo
 | AnchorVerticalCenterTo
 | AnchorToCompanion
 | AnchorSame
 | AnchorAsAlign
 | AnchorClient
 | AnchoredControlCount
 | SetBounds
 | SetInitialBounds
 | SetBoundsKeepBase
 | GetPreferredSize
 | GetCanvasScaleFactor
 | GetDefaultWidth
 | GetDefaultHeight
 | GetDefaultColor
 | GetColorResolvingParent
 | GetRGBColorResolvingParent
 | GetSidePosition
 | CNPreferredSizeChanged
 | InvalidatePreferredSize
 | GetAnchorsDependingOnParent
 | DisableAutoSizing
 | EnableAutoSizing
 | UpdateBaseBounds
 | WriteLayoutDebugReport
 | AutoAdjustLayout
 | ShouldAutoAdjust
 | FixDesignFontsPPI
 | ScaleFontsPPI
 | Create
 | Destroy
 | BeforeDestruction
 | EditingDone
 | ExecuteDefaultAction
 | ExecuteCancelAction
 | BeginDrag
 | EndDrag
 | BringToFront
 | HasParent
 | GetParentComponent
 | IsParentOf
 | GetTopParent
 | IsVisible
 | IsControlVisible
 | IsEnabled
 | IsParentColor
 | IsParentFont
 | FormIsUpdating
 | IsProcessingPaintMsg
 | Hide
 | Refresh
 | Repaint
 | Invalidate
 | CheckChildClassAllowed
 | CheckNewParent
 | SendToBack
 | SetTempCursor
 | UpdateRolesForForm
 | ActiveDefaultControlChanged
 | GetTextBuf
 | GetTextLen
 | SetTextBuf
 | Perform
 | ScreenToClient
 | ClientToScreen
 | ScreenToControl
 | ControlToScreen
 | ClientToParent
 | ParentToClient
 | GetChildrenRect
 | Show
 | Update
 | HandleObjectShouldBeVisible
 | ParentDestroyingHandle
 | ParentHandlesAllocated
 | InitiateAction
 | ShowHelp
 | HasHelp
 | RemoveAllHandlersOfObject
 | AddHandlerOnResize
 | RemoveHandlerOnResize
 | AddHandlerOnChangeBounds
 | RemoveHandlerOnChangeBounds
 | AddHandlerOnVisibleChanging
 | RemoveHandlerOnVisibleChanging
 | AddHandlerOnVisibleChanged
 | RemoveHandlerOnVisibleChanged
 | AddHandlerOnEnabledChanged
 | RemoveHandlerOnEnableChanging
 | AddHandlerOnKeyDown
 | RemoveHandlerOnKeyDown
 | AddHandlerOnBeforeDestruction
 | RemoveHandlerOnBeforeDestruction
 | AddHandlerOnMouseWheel
 | RemoveHandlerOnMouseWheel
 | UseRightToLeftAlignment
 | UseRightToLeftReading
 | UseRightToLeftScrollBar
 | IsRightToLeft
TLCLComponent
pt | WSRegisterClass
pt | GetWSComponentClass
 | Create
 | Destroy
 | NewInstance
 | RemoveAllHandlersOfObject
 | IncLCLRefCount
 | DecLCLRefCount
TComponent
 | GetComObject
 | GetComponent
 | GetComponentCount
 | GetComponentIndex
 | Insert
 | ReadLeft
 | ReadTop
 | Remove
 | RemoveNotification
 | SetComponentIndex
 | SetReference
 | WriteLeft
 | WriteTop
 | ChangeName
 | DefineProperties
 | GetChildren
 | GetChildOwner
 | GetChildParent
 | GetOwner
 | Loaded
 | Loading
 | Notification
 | PaletteCreated
 | ReadState
 | SetAncestor
 | SetDesigning
 | SetDesignInstance
 | SetInline
 | SetName
 | SetChildOrder
 | SetParentComponent
 | Updating
 | Updated
 | UpdateRegistry
 | ValidateRename
 | ValidateContainer
 | ValidateInsert
 | QueryInterface
 | _AddRef
 | _Release
 | iicrGetComponent
 | GetTypeInfoCount
 | GetTypeInfo
 | GetIDsOfNames
 | Invoke
 | WriteState
 | Create
 | Destroy
 | BeforeDestruction
 | DestroyComponents
 | Destroying
 | ExecuteAction
 | FindComponent
 | FreeNotification
 | RemoveFreeNotification
 | FreeOnRelease
 | GetEnumerator
 | GetNamePath
 | GetParentComponent
 | HasParent
 | InsertComponent
 | RemoveComponent
 | SafeCallException
 | SetSubComponent
 | UpdateAction
 | IsImplementorOf
 | ReferenceInterface
TPersistent
 | AssignError
 | AssignTo
 | DefineProperties
 | GetOwner
 | Destroy
 | Assign
 | FPOAttachObserver
 | FPODetachObserver
 | FPONotifyObservers
 | GetNamePath
TObject
 | Create
 | Destroy
 | newinstance
 | FreeInstance
 | SafeCallException
 | DefaultHandler
 | Free
 | InitInstance
 | CleanupInstance
 | ClassType
 | ClassInfo
 | ClassName
 | ClassNameIs
 | ClassParent
 | InstanceSize
 | InheritsFrom
 | StringMessageTable
 | MethodAddress
 | MethodName
 | FieldAddress
 | AfterConstruction
 | BeforeDestruction
 | DefaultHandlerStr
 | Dispatch
 | DispatchStr
 | GetInterface
 | GetInterfaceByStr
 | GetInterfaceWeak
 | GetInterfaceEntry
 | GetInterfaceEntryByStr
 | GetInterfaceTable
 | UnitName
 | Equals
 | GetHashCode
 | ToString


pt | ActionChange (TControl)
 | ActiveDefaultControlChanged (TControl)
 | AddControl (TWinControl)
pt | AddHandler (TControl)
 | AddHandlerOnBeforeDestruction (TControl)
 | AddHandlerOnChangeBounds (TControl)
 | AddHandlerOnEnabledChanged (TControl)
 | AddHandlerOnKeyDown (TControl)
 | AddHandlerOnMouseWheel (TControl)
 | AddHandlerOnResize (TControl)
 | AddHandlerOnVisibleChanged (TControl)
 | AddHandlerOnVisibleChanging (TControl)
pt | AdjustClientRect (TWinControl)
 | AdjustSize (TControl)
 | AfterConstruction (TObject)
pt | AlignControls (TWinControl)
pt | AllAutoSized (TWinControl)
 | AnchorAsAlign (TControl)
 | AnchorClient (TControl)
 | AnchoredControlCount (TControl)
 | AnchorHorizontalCenterTo (TControl)
 | AnchorParallel (TControl)
 | AnchorSame (TControl)
pt | AnchorSideChanged (TControl)
 | AnchorToCompanion (TControl)
 | AnchorToNeighbour (TControl)
 | AnchorVerticalCenterTo (TControl)
 | Assign (TPersistent)
 | AssignError (TPersistent)
 | AssignTo (TPersistent)
pt | AssignTo (TControl)
 | AutoAdjustLayout (TControl)
 | AutoAdjustLayout (TWinControl)
 | AutoSizeDelayed (TControl)
 | AutoSizeDelayed (TWinControl)
 | AutoSizeDelayedHandle (TControl)
 | AutoSizeDelayedHandle (TWinControl)
 | AutoSizeDelayedReport (TControl)
 | AutoSizeDelayedReport (TWinControl)
 | AutoSizePhases (TControl)
 | AutoSizePhases (TWinControl)
 | BeforeDestruction (TObject)
 | BeforeDestruction (TComponent)
 | BeforeDestruction (TControl)
pt | BeforeDragStart (TControl)
pt | BeginAutoDrag (TControl)
pt | BeginAutoSizing (TControl)
 | BeginDrag (TControl)
 | BeginUpdateBounds (TWinControl)
pt | BoundsChanged (TControl)
 | BringToFront (TControl)
 | BroadCast (TWinControl)
 | BrushCreated (TWinControl)
pt | BuddyClick (TCustomAbstractGroupedEdit)
pt | BuddyClick (TCustomEditButton)
pt | ButtonClick (TCustomEditButton)
pt | ButtonClick (TTimeEdit)
pt | CalcButtonVisible (TCustomEditButton)
pt | CalculateDockSizes (TControl)
pt | CalculatePreferredSize (TControl)
pt | CalculatePreferredSize (TWinControl)
pt | CalculatePreferredSize (TCustomAbstractGroupedEdit)
pt | CalculatePreferredSize (TCustomEditButton)
pt | CanAutoSize (TControl)
 | CanFocus (TWinControl)
 | CanSetFocus (TWinControl)
pt | CanTab (TControl)
pt | CanTab (TWinControl)
pt | CaptureChanged (TControl)
pt | ChangeBounds (TControl)
pt | Changed (TControl)
 | ChangeName (TComponent)
pt | ChangeScale (TControl)
pt | ChangeScale (TWinControl)
pt | CheckButtonVisible (TCustomEditButton)
 | CheckChildClassAllowed (TControl)
pt | CheckCursor (TCustomAbstractGroupedEdit)
 | CheckNewParent (TControl)
pt | CheckOnChangeBounds (TControl)
pt | ChildClassAllowed (TControl)
pt | ChildClassAllowed (TWinControl)
pt | ChildHandlesCreated (TWinControl)
pt | ChildKey (TWinControl)
 | ClassInfo (TObject)
 | ClassName (TObject)
 | ClassNameIs (TObject)
 | ClassParent (TObject)
 | ClassType (TObject)
 | CleanupInstance (TObject)
 | Clear (TCustomAbstractGroupedEdit)
 | ClearSelection (TCustomAbstractGroupedEdit)
pt | Click (TControl)
 | ClientRectNeedsInterfaceUpdate (TWinControl)
 | ClientToParent (TControl)
 | ClientToScreen (TControl)
pt | CMBiDiModeChanged (TControl)
pt | CMBiDiModeChanged (TWinControl)
pt | CMBorderChanged (TWinControl)
pt | CMChanged (TControl)
pt | CMCursorChanged (TControl)
pt | CMDoubleBufferedChanged (TWinControl)
pt | CMEnabledChanged (TControl)
pt | CMEnabledChanged (TWinControl)
pt | CMEnter (TWinControl)
pt | CMExit (TWinControl)
pt | CMHintShow (TControl)
pt | CMHitTest (TControl)
pt | CMMouseEnter (TControl)
pt | CMMouseLeave (TControl)
pt | CMParentBiDiModeChanged (TControl)
pt | CMParentColorChanged (TControl)
pt | CMParentColorChanged (TCustomAbstractGroupedEdit)
pt | CMParentDoubleBufferedChanged (TWinControl)
pt | CMParentFontChanged (TControl)
pt | CMParentShowHintChanged (TControl)
pt | CMShowHintChanged (TWinControl)
pt | CMShowingChanged (TWinControl)
pt | CMSysFontChanged (TControl)
pt | CMTextChanged (TControl)
pt | CMVisibleChanged (TControl)
pt | CMVisibleChanged (TWinControl)
pt | CNChar (TWinControl)
pt | CNKeyDown (TWinControl)
pt | CNKeyUp (TWinControl)
 | CNPreferredSizeChanged (TControl)
pt | CNSysKeyDown (TWinControl)
pt | CNSysKeyUp (TWinControl)
pt | ColorIsStored (TControl)
pt | ConstrainedResize (TControl)
 | ContainsControl (TWinControl)
 | ControlAtPos (TWinControl)
pt | ControlKeyDown (TWinControl)
pt | ControlKeyUp (TWinControl)
pt | ControlsAligned (TWinControl)
 | ControlToScreen (TControl)
 | CopyToClipboard (TCustomAbstractGroupedEdit)
 | Create (TObject)
 | Create (TComponent)
 | Create (TLCLComponent)
 | Create (TControl)
 | Create (TWinControl)
 | Create (TCustomControl)
 | Create (TCustomAbstractGroupedEdit)
 | Create (TCustomEditButton)
 | Create (TTimeEdit)
 | CreateAccessibleObject (TControl)
pt | CreateBrush (TWinControl)
pt | CreateBuddy (TCustomAbstractGroupedEdit)
pt | CreateControlBorderSpacing (TControl)
pt | CreateDockManager (TWinControl)
pt | CreateEditor (TCustomAbstractGroupedEdit)
pt | CreateFloatingDockSite (TControl)
pt | CreateHandle (TWinControl)
pt | CreateParams (TWinControl)
 | CreateParented (TWinControl)
 | CreateParentedControl (TWinControl)
pt | CreateSubClass (TWinControl)
pt | CreateWnd (TWinControl)
pt | CustomAlignInsertBefore (TWinControl)
pt | CustomAlignPosition (TWinControl)
 | CutToClipboard (TCustomAbstractGroupedEdit)
pt | DblClick (TControl)
 | DecLCLRefCount (TLCLComponent)
 | DefaultHandler (TObject)
 | DefaultHandler (TWinControl)
 | DefaultHandlerStr (TObject)
 | DefineProperties (TPersistent)
 | DefineProperties (TComponent)
pt | DefineProperties (TControl)
 | Destroy (TObject)
 | Destroy (TPersistent)
 | Destroy (TComponent)
 | Destroy (TLCLComponent)
 | Destroy (TControl)
 | Destroy (TWinControl)
 | Destroy (TCustomControl)
 | Destroy (TCustomAbstractGroupedEdit)
 | Destroy (TCustomEditButton)
 | DestroyComponents (TComponent)
pt | DestroyHandle (TWinControl)
 | Destroying (TComponent)
pt | DestroyWnd (TWinControl)
pt | DestroyWnd (TCustomControl)
pt | DialogChar (TControl)
pt | DialogChar (TWinControl)
 | DisableAlign (TWinControl)
 | DisableAutoSizing (TControl)
 | Dispatch (TObject)
 | DispatchStr (TObject)
pt | DoAddDockClient (TWinControl)
 | DoAdjustClientRectChange (TWinControl)
pt | DoAlignChildControls (TWinControl)
pt | DoAllAutoSize (TControl)
pt | DoAllAutoSize (TWinControl)
pt | DoAutoAdjustLayout (TControl)
pt | DoAutoSize (TControl)
pt | DoAutoSize (TWinControl)
pt | DoBorderSpacingChange (TControl)
pt | DoCallKeyEventHandler (TControl)
pt | DoCallMouseWheelEventHandler (TControl)
pt | DoCallNotifyHandler (TControl)
pt | DoChildSizingChange (TWinControl)
 | Dock (TControl)
 | DockDrop (TWinControl)
 | Docked (TControl)
pt | DockOver (TWinControl)
pt | DockTrackNoTarget (TControl)
pt | DoConstraintsChange (TControl)
pt | DoConstraintsChange (TWinControl)
pt | DoContextPopup (TControl)
pt | DoDock (TControl)
pt | DoDockClientMsg (TWinControl)
pt | DoDockOver (TWinControl)
pt | DoDragMsg (TControl)
pt | DoDragMsg (TWinControl)
pt | DoEndDock (TControl)
pt | DoEndDrag (TControl)
pt | DoEnter (TWinControl)
pt | DoEnter (TCustomAbstractGroupedEdit)
pt | DoExit (TWinControl)
pt | DoFixDesignFontPPI (TControl)
pt | DoFlipChildren (TWinControl)
pt | DoFloatMsg (TControl)
pt | DoFloatMsg (TWinControl)
pt | DoGetDockCaption (TWinControl)
pt | DoKeyDownBeforeInterface (TWinControl)
pt | DoKeyPress (TWinControl)
pt | DoKeyUpBeforeInterface (TWinControl)
pt | DoMouseWheel (TControl)
pt | DoMouseWheelDown (TControl)
pt | DoMouseWheelHorz (TControl)
pt | DoMouseWheelLeft (TControl)
pt | DoMouseWheelRight (TControl)
pt | DoMouseWheelUp (TControl)
pt | DoOnChangeBounds (TControl)
pt | DoOnParentHandleDestruction (TControl)
pt | DoOnResize (TControl)
pt | DoOnShowHint (TControl)
pt | DoRemainingKeyDown (TWinControl)
pt | DoRemainingKeyUp (TWinControl)
pt | DoRemoveDockClient (TWinControl)
pt | DoScaleFontPPI (TControl)
pt | DoSendBoundsToInterface (TWinControl)
pt | DoSendShowHideToInterface (TWinControl)
pt | DoSetBounds (TControl)
pt | DoSetBounds (TWinControl)
pt | DoStartDock (TControl)
pt | DoStartDrag (TControl)
pt | DoUnDock (TWinControl)
pt | DoUndockClientMsg (TWinControl)
pt | DoUTF8KeyPress (TWinControl)
pt | DragCanceled (TControl)
 | DragDrop (TControl)
 | Dragging (TControl)
pt | DragOver (TControl)
pt | EditCanModify (TCustomAbstractGroupedEdit)
pt | EditChange (TCustomAbstractGroupedEdit)
pt | EditClick (TCustomAbstractGroupedEdit)
pt | EditDblClick (TCustomAbstractGroupedEdit)
pt | EditDblClick (TTimeEdit)
pt | EditDragDrop (TCustomAbstractGroupedEdit)
pt | EditDragOver (TCustomAbstractGroupedEdit)
pt | EditEditingDone (TCustomAbstractGroupedEdit)
pt | EditEditingDone (TTimeEdit)
pt | EditEndDrag (TCustomAbstractGroupedEdit)
pt | EditEnter (TCustomAbstractGroupedEdit)
pt | EditExit (TCustomAbstractGroupedEdit)
 | EditingDone (TControl)
pt | EditKeyDown (TCustomAbstractGroupedEdit)
pt | EditKeyPress (TCustomAbstractGroupedEdit)
pt | EditKeyUp (TCustomAbstractGroupedEdit)
pt | EditMouseDown (TCustomAbstractGroupedEdit)
pt | EditMouseEnter (TCustomAbstractGroupedEdit)
pt | EditMouseLeave (TCustomAbstractGroupedEdit)
pt | EditMouseMove (TCustomAbstractGroupedEdit)
pt | EditMouseUp (TCustomAbstractGroupedEdit)
pt | EditMouseWheel (TCustomAbstractGroupedEdit)
pt | EditMouseWheelDown (TCustomAbstractGroupedEdit)
pt | EditMouseWheelUp (TCustomAbstractGroupedEdit)
pt | EditStartDrag (TCustomAbstractGroupedEdit)
pt | EditUtf8KeyPress (TCustomAbstractGroupedEdit)
 | EnableAlign (TWinControl)
 | EnableAutoSizing (TControl)
pt | EnabledChanged (TControl)
pt | EnabledChanging (TControl)
pt | EndAutoSizing (TControl)
 | EndDrag (TControl)
 | EndUpdateBounds (TWinControl)
 | Equals (TObject)
 | EraseBackground (TWinControl)
 | ExecuteAction (TComponent)
 | ExecuteCancelAction (TControl)
 | ExecuteDefaultAction (TControl)
 | FieldAddress (TObject)
pt | FinalizeWnd (TWinControl)
 | FindChildControl (TWinControl)
 | FindComponent (TComponent)
pt | FindNextControl (TWinControl)
 | FixDesignFontsPPI (TControl)
pt | FixupTabList (TWinControl)
 | FlipChildren (TWinControl)
pt | FocusAndMaybeSelectAll (TCustomAbstractGroupedEdit)
 | Focused (TWinControl)
 | Focused (TCustomAbstractGroupedEdit)
pt | FontChanged (TControl)
pt | FontChanged (TWinControl)
pt | FontChanged (TCustomControl)
pt | ForeignAnchorSideChanged (TControl)
pt | FormEndUpdated (TControl)
pt | FormEndUpdated (TWinControl)
 | FormIsUpdating (TControl)
 | FPOAttachObserver (TPersistent)
 | FPODetachObserver (TPersistent)
 | FPONotifyObservers (TPersistent)
 | Free (TObject)
 | FreeInstance (TObject)
 | FreeNotification (TComponent)
 | FreeOnRelease (TComponent)
 | GetAccessibleObject (TControl)
pt | GetAction (TControl)
pt | GetActionLinkClass (TControl)
pt | GetAdjustedLogicalClientRect (TWinControl)
 | GetAnchorsDependingOnParent (TControl)
pt | GetBorderStyle (TWinControl)
pt | GetBuddyCaption (TCustomAbstractGroupedEdit)
pt | GetBuddyClassType (TCustomAbstractGroupedEdit)
pt | GetBuddyClassType (TCustomEditButton)
pt | GetBuddyCursor (TCustomAbstractGroupedEdit)
pt | GetBuddyHint (TCustomAbstractGroupedEdit)
pt | GetBuddyVisible (TCustomAbstractGroupedEdit)
pt | GetBuddyWidth (TCustomAbstractGroupedEdit)
pt | GetCachedText (TControl)
 | GetCanvasScaleFactor (TControl)
 | GetChildAccessibleObjectAtPos (TControl)
 | GetChildOwner (TComponent)
 | GetChildParent (TComponent)
 | GetChildren (TComponent)
pt | GetChildren (TWinControl)
 | GetChildrenRect (TControl)
 | GetChildrenRect (TWinControl)
pt | GetClientOrigin (TControl)
pt | GetClientOrigin (TWinControl)
pt | GetClientRect (TControl)
pt | GetClientRect (TWinControl)
pt | GetClientScrollOffset (TControl)
 | GetColorResolvingParent (TControl)
 | GetComObject (TComponent)
 | GetComponent (TComponent)
 | GetComponentCount (TComponent)
 | GetComponentIndex (TComponent)
pt | GetControlClassDefaultSize (TControl)
pt | GetControlClassDefaultSize (TCustomAbstractGroupedEdit)
pt | GetControlClassDefaultSize (TCustomEditButton)
 | GetControlIndex (TWinControl)
pt | GetControlOrigin (TControl)
pt | GetControlOrigin (TWinControl)
pt | GetCursor (TControl)
 | GetDefaultColor (TControl)
pt | GetDefaultDockCaption (TControl)
pt | GetDefaultGlyphName (TCustomEditButton)
pt | GetDefaultGlyphName (TTimeEdit)
 | GetDefaultHeight (TControl)
 | GetDefaultWidth (TControl)
pt | GetDeviceContext (TControl)
pt | GetDeviceContext (TWinControl)
 | GetDockCaption (TWinControl)
pt | GetDockEdge (TControl)
pt | GetDragImages (TControl)
pt | GetEditorClassType (TCustomAbstractGroupedEdit)
pt | GetEditorClassType (TCustomEditButton)
pt | GetEditPopupMenu (TCustomAbstractGroupedEdit)
pt | GetEnabled (TControl)
 | GetEnumerator (TComponent)
 | GetEnumeratorControls (TWinControl)
 | GetEnumeratorControlsReverse (TWinControl)
pt | GetFloating (TControl)
pt | GetFloatingDockSiteClass (TControl)
 | GetHashCode (TObject)
 | GetIDsOfNames (TComponent)
 | GetInterface (TObject)
 | GetInterfaceByStr (TObject)
 | GetInterfaceEntry (TObject)
 | GetInterfaceEntryByStr (TObject)
 | GetInterfaceTable (TObject)
 | GetInterfaceWeak (TObject)
pt | GetLogicalClientRect (TControl)
pt | GetMouseCapture (TControl)
pt | GetMouseCapture (TWinControl)
pt | GetMousePosFromMessage (TControl)
 | GetNamePath (TPersistent)
 | GetNamePath (TComponent)
 | GetOwner (TPersistent)
 | GetOwner (TComponent)
pt | GetPalette (TControl)
pt | GetParentBackground (TWinControl)
 | GetParentComponent (TComponent)
 | GetParentComponent (TControl)
pt | GetParentHandle (TWinControl)
pt | GetPopupMenu (TControl)
 | GetPreferredSize (TControl)
pt | GetPreferredSizeClientFrame (TWinControl)
 | GetRGBColorResolvingParent (TControl)
pt | GetScrolledClientRect (TControl)
pt | GetSel (TCustomAbstractGroupedEdit)
 | GetSelectedChildAccessibleObject (TControl)
 | GetSidePosition (TControl)
pt | GetSiteInfo (TWinControl)
pt | GetSpacing (TCustomAbstractGroupedEdit)
 | GetTabOrderList (TWinControl)
 | GetTextBuf (TControl)
 | GetTextLen (TControl)
 | GetTextLen (TWinControl)
 | GetTopParent (TControl)
pt | GetTopParentHandle (TWinControl)
 | GetTypeInfo (TComponent)
 | GetTypeInfoCount (TComponent)
pt | GetWSComponentClass (TLCLComponent)
pt | GlyphChanged (TCustomEditButton)
 | HandleAllocated (TWinControl)
 | HandleNeeded (TWinControl)
 | HandleObjectShouldBeVisible (TControl)
 | HasHelp (TControl)
 | HasParent (TComponent)
 | HasParent (TControl)
pt | HeightIsAnchored (TControl)
 | Hide (TControl)
 | iicrGetComponent (TComponent)
 | IncLCLRefCount (TLCLComponent)
 | InheritsFrom (TObject)
pt | InitializeWnd (TWinControl)
 | InitiateAction (TControl)
 | InitInstance (TObject)
 | Insert (TComponent)
 | InsertComponent (TComponent)
 | InsertControl (TWinControl)
 | InstanceSize (TObject)
 | IntfGetDropFilesTarget (TWinControl)
 | IntfUTF8KeyPress (TWinControl)
 | Invalidate (TControl)
 | Invalidate (TWinControl)
pt | InvalidateBoundsRealized (TWinControl)
 | InvalidateClientRectCache (TWinControl)
pt | InvalidateControl (TControl)
pt | InvalidatePreferredChildSizes (TWinControl)
 | InvalidatePreferredSize (TControl)
 | Invoke (TComponent)
pt | IsAParentAligning (TControl)
pt | IsBorderSpacingInnerBorderStored (TControl)
pt | IsCaptionStored (TControl)
pt | IsClientHeightStored (TControl)
pt | IsClientHeightStored (TWinControl)
pt | IsClientWidthStored (TControl)
pt | IsClientWidthStored (TWinControl)
pt | IsControlMouseMsg (TWinControl)
 | IsControlVisible (TControl)
 | IsEnabled (TControl)
 | IsImplementorOf (TComponent)
 | IsParentColor (TControl)
 | IsParentFont (TControl)
 | IsParentOf (TControl)
 | IsProcessingPaintMsg (TControl)
 | IsRightToLeft (TControl)
 | IsVisible (TControl)
pt | KeyDown (TWinControl)
pt | KeyDownAfterInterface (TWinControl)
pt | KeyDownBeforeInterface (TWinControl)
pt | KeyPress (TWinControl)
pt | KeyUp (TWinControl)
pt | KeyUpAfterInterface (TWinControl)
pt | KeyUpBeforeInterface (TWinControl)
pt | LMCaptureChanged (TControl)
pt | LoadDefaultGlyph (TCustomEditButton)
 | Loaded (TComponent)
pt | Loaded (TControl)
pt | Loaded (TWinControl)
pt | Loaded (TCustomAbstractGroupedEdit)
pt | LoadedAll (TControl)
 | Loading (TComponent)
 | LockRealizeBounds (TWinControl)
pt | MainWndProc (TWinControl)
 | ManualDock (TControl)
 | ManualFloat (TControl)
 | MethodAddress (TObject)
 | MethodName (TObject)
pt | MouseDown (TControl)
pt | MouseEnter (TControl)
pt | MouseLeave (TControl)
pt | MouseMove (TControl)
pt | MouseUp (TControl)
 | newinstance (TObject)
 | NewInstance (TLCLComponent)
 | Notification (TComponent)
pt | Notification (TControl)
 | NotifyControls (TWinControl)
pt | Paint (TCustomControl)
pt | PaintControls (TWinControl)
pt | PaintHandler (TWinControl)
 | PaintTo (TWinControl)
pt | PaintWindow (TWinControl)
pt | PaintWindow (TCustomControl)
 | PaletteCreated (TComponent)
 | ParentDestroyingHandle (TControl)
pt | ParentFontChanged (TControl)
pt | ParentFormHandleInitialized (TControl)
pt | ParentFormHandleInitialized (TWinControl)
 | ParentHandlesAllocated (TControl)
 | ParentHandlesAllocated (TWinControl)
 | ParentToClient (TControl)
 | PasteFromClipboard (TCustomAbstractGroupedEdit)
 | Perform (TControl)
 | PerformTab (TWinControl)
pt | PositionDockRect (TControl)
pt | QuadClick (TControl)
 | QueryInterface (TComponent)
 | ReadLeft (TComponent)
 | ReadState (TComponent)
pt | ReadState (TControl)
 | ReadTop (TComponent)
pt | RealGetText (TControl)
pt | RealGetText (TWinControl)
pt | RealGetText (TCustomAbstractGroupedEdit)
 | ReAlign (TWinControl)
pt | RealizeBounds (TWinControl)
pt | RealizeBoundsRecursive (TWinControl)
pt | RealSetText (TControl)
pt | RealSetText (TWinControl)
pt | RealSetText (TCustomAbstractGroupedEdit)
 | ReferenceInterface (TComponent)
 | Refresh (TControl)
pt | ReloadDockedControl (TWinControl)
 | Remove (TComponent)
 | RemoveAllHandlersOfObject (TLCLComponent)
 | RemoveAllHandlersOfObject (TControl)
 | RemoveComponent (TComponent)
 | RemoveControl (TWinControl)
pt | RemoveFocus (TWinControl)
 | RemoveFreeNotification (TComponent)
pt | RemoveHandler (TControl)
 | RemoveHandlerOnBeforeDestruction (TControl)
 | RemoveHandlerOnChangeBounds (TControl)
 | RemoveHandlerOnEnableChanging (TControl)
 | RemoveHandlerOnKeyDown (TControl)
 | RemoveHandlerOnMouseWheel (TControl)
 | RemoveHandlerOnResize (TControl)
 | RemoveHandlerOnVisibleChanged (TControl)
 | RemoveHandlerOnVisibleChanging (TControl)
 | RemoveNotification (TComponent)
 | Repaint (TControl)
 | Repaint (TWinControl)
 | ReplaceDockedControl (TControl)
pt | RequestAlign (TControl)
pt | Reset (TCustomAbstractGroupedEdit)
pt | Resize (TControl)
 | SafeCallException (TObject)
 | SafeCallException (TComponent)
 | Scale96ToFont (TControl)
 | Scale96ToForm (TControl)
 | Scale96ToScreen (TControl)
 | ScaleBy (TWinControl)
pt | ScaleConstraints (TControl)
pt | ScaleControls (TWinControl)
 | ScaleDesignToForm (TControl)
 | ScaleFontsPPI (TControl)
 | ScaleFontTo96 (TControl)
 | ScaleFontToScreen (TControl)
 | ScaleFormTo96 (TControl)
 | ScaleFormToDesign (TControl)
 | ScaleScreenTo96 (TControl)
 | ScaleScreenToFont (TControl)
 | ScreenToClient (TControl)
 | ScreenToControl (TControl)
 | ScrollBy (TWinControl)
 | ScrollBy_WS (TWinControl)
 | SelectAll (TCustomAbstractGroupedEdit)
pt | SelectFirst (TWinControl)
 | SelectNext (TWinControl)
pt | SendDialogChar (TWinControl)
pt | SendMoveSizeMessages (TControl)
pt | SendMoveSizeMessages (TWinControl)
 | SendToBack (TControl)
pt | SetAction (TControl)
pt | SetAlign (TControl)
 | SetAncestor (TComponent)
pt | SetAnchors (TControl)
pt | SetAutoSize (TControl)
pt | SetAutoSize (TCustomAbstractGroupedEdit)
pt | SetBiDiMode (TControl)
pt | SetBorderStyle (TWinControl)
 | SetBounds (TControl)
 | SetBounds (TWinControl)
 | SetBoundsKeepBase (TControl)
pt | SetBuddyCaption (TCustomAbstractGroupedEdit)
pt | SetBuddyCursor (TCustomAbstractGroupedEdit)
pt | SetBuddyHint (TCustomAbstractGroupedEdit)
pt | SetBuddyVisible (TCustomAbstractGroupedEdit)
pt | SetBuddyWidth (TCustomAbstractGroupedEdit)
 | SetChildOrder (TComponent)
pt | SetChildZPosition (TWinControl)
pt | SetColor (TControl)
pt | SetColor (TWinControl)
pt | SetColor (TCustomControl)
pt | SetColor (TCustomAbstractGroupedEdit)
 | SetComponentIndex (TComponent)
 | SetControlIndex (TWinControl)
pt | SetCursor (TControl)
pt | SetCursor (TCustomAbstractGroupedEdit)
 | SetDesigning (TComponent)
 | SetDesignInstance (TComponent)
pt | SetDirectInput (TCustomAbstractGroupedEdit)
pt | SetDockManager (TWinControl)
pt | SetDragMode (TControl)
pt | SetEnabled (TControl)
 | SetFocus (TWinControl)
 | SetFocus (TCustomAbstractGroupedEdit)
pt | SetHint (TControl)
 | SetInitialBounds (TControl)
 | SetInline (TComponent)
 | SetName (TComponent)
pt | SetName (TControl)
pt | SetParent (TControl)
pt | SetParentBackground (TWinControl)
pt | SetParentBiDiMode (TControl)
 | SetParentComponent (TComponent)
pt | SetParentComponent (TControl)
 | SetReference (TComponent)
pt | SetSel (TCustomAbstractGroupedEdit)
 | SetShape (TWinControl)
 | SetSubComponent (TComponent)
 | SetTempCursor (TControl)
 | SetTempCursor (TWinControl)
 | SetTextBuf (TControl)
pt | SetVisible (TControl)
pt | SetZOrder (TControl)
 | ShouldAutoAdjust (TControl)
pt | ShouldAutoAdjust (TCustomAbstractGroupedEdit)
 | Show (TControl)
pt | ShowControl (TWinControl)
 | ShowHelp (TControl)
 | StringMessageTable (TObject)
pt | TextChanged (TControl)
 | ToString (TObject)
pt | TripleClick (TControl)
 | Undo (TCustomAbstractGroupedEdit)
 | UnitName (TObject)
 | UnlockRealizeBounds (TWinControl)
 | Update (TControl)
 | Update (TWinControl)
 | UpdateAction (TComponent)
pt | UpdateAnchorRules (TControl)
 | UpdateBaseBounds (TControl)
pt | UpdateControlState (TWinControl)
 | Updated (TComponent)
 | UpdateDockCaption (TWinControl)
pt | UpdateMouseCursor (TControl)
 | UpdateRegistry (TComponent)
 | UpdateRolesForForm (TControl)
pt | UpdateShowing (TWinControl)
pt | UpdateSpacing (TCustomAbstractGroupedEdit)
 | Updating (TComponent)
 | UseRightToLeftAlignment (TControl)
 | UseRightToLeftReading (TControl)
 | UseRightToLeftScrollBar (TControl)
pt | UTF8KeyPress (TWinControl)
 | ValidateContainer (TComponent)
 | ValidateEdit (TCustomAbstractGroupedEdit)
 | ValidateInsert (TComponent)
 | ValidateRename (TComponent)
pt | VisibleChanged (TControl)
pt | VisibleChanging (TControl)
pt | WidthIsAnchored (TControl)
pt | WMCancelMode (TControl)
pt | WMChar (TWinControl)
pt | WMContextMenu (TControl)
pt | WMContextMenu (TWinControl)
pt | WMDestroy (TWinControl)
pt | WMEnter (TWinControl)
pt | WMEraseBkgnd (TWinControl)
pt | WMExit (TWinControl)
pt | WMKeyDown (TWinControl)
pt | WMKeyUp (TWinControl)
pt | WMKillFocus (TWinControl)
pt | WMLButtonDBLCLK (TControl)
pt | WMLButtonDown (TControl)
pt | WMLButtonQuadCLK (TControl)
pt | WMLButtonTripleCLK (TControl)
pt | WMLButtonUp (TControl)
pt | WMMButtonDBLCLK (TControl)
pt | WMMButtonDown (TControl)
pt | WMMButtonQuadCLK (TControl)
pt | WMMButtonTripleCLK (TControl)
pt | WMMButtonUp (TControl)
pt | WMMouseHWheel (TControl)
pt | WMMouseMove (TControl)
pt | WMMouseWheel (TControl)
pt | WMMove (TControl)
pt | WMMove (TWinControl)
pt | WMNotify (TWinControl)
pt | WMPaint (TWinControl)
pt | WMPaint (TCustomControl)
pt | WMRButtonDBLCLK (TControl)
pt | WMRButtonDown (TControl)
pt | WMRButtonQuadCLK (TControl)
pt | WMRButtonTripleCLK (TControl)
pt | WMRButtonUp (TControl)
pt | WMSetFocus (TWinControl)
pt | WMShowWindow (TWinControl)
pt | WMSize (TControl)
pt | WMSize (TWinControl)
pt | WMSysChar (TWinControl)
pt | WMSysKeyDown (TWinControl)
pt | WMSysKeyUp (TWinControl)
pt | WMWindowPosChanged (TControl)
pt | WMWindowPosChanged (TWinControl)
pt | WMXButtonDBLCLK (TControl)
pt | WMXButtonDown (TControl)
pt | WMXButtonQuadCLK (TControl)
pt | WMXButtonTripleCLK (TControl)
pt | WMXButtonUp (TControl)
pt | WndProc (TControl)
pt | WndProc (TWinControl)
 | WriteLayoutDebugReport (TControl)
 | WriteLayoutDebugReport (TWinControl)
 | WriteLeft (TComponent)
 | WriteState (TComponent)
 | WriteTop (TComponent)
pt | WSRegisterClass (TLCLComponent)
pt | WSRegisterClass (TControl)
pt | WSRegisterClass (TWinControl)
pt | WSRegisterClass (TCustomControl)
pt | WSSetText (TWinControl)
 | _AddRef (TComponent)
 | _Release (TComponent)


TTimeEdit
pl |  | OnAcceptTime
pl |  | OnCustomTime
pl | ro | OnButtonClick
pl | ro | OnChange
pl | ro | OnChangeBounds
pl | ro | OnClick
pl | ro | OnDblClick
pl | ro | OnEditingDone
pl | ro | OnEnter
pl | ro | OnExit
pl | ro | OnKeyDown
pl | ro | OnKeyPress
pl | ro | OnKeyUp
pl | ro | OnMouseDown
pl | ro | OnMouseEnter
pl | ro | OnMouseLeave
pl | ro | OnMouseMove
pl | ro | OnMouseUp
pl | ro | OnMouseWheel
pl | ro | OnMouseWheelDown
pl | ro | OnMouseWheelUp
pl | ro | OnResize
pl | ro | OnUTF8KeyPress
TCustomEditButton
pt |  | OnButtonClick
TCustomAbstractGroupedEdit
pt |  | OnBuddyClick
 |  | OnChange
 |  | OnClick
 |  | OnDblClick
 |  | OnDragDrop
 |  | OnDragOver
 |  | OnEditingDone
 |  | OnEndDrag
 |  | OnEnter
 |  | OnExit
 |  | OnMouseDown
 |  | OnKeyPress
 |  | OnKeyDown
 |  | OnKeyUp
 |  | OnMouseEnter
 |  | OnMouseLeave
 |  | OnMouseMove
 |  | OnMouseWheel
 |  | OnMouseWheelUp
 |  | OnMouseWheelDown
 |  | OnMouseUp
 |  | OnStartDrag
 |  | OnUtf8KeyPress
TCustomControl
 |  | OnPaint
TWinControl
pt |  | OnGetSiteInfo
pt |  | OnGetDockCaption
 |  | OnAlignInsertBefore
 |  | OnAlignPosition
 |  | OnDockDrop
 |  | OnDockOver
 |  | OnEnter
 |  | OnExit
 |  | OnKeyDown
 |  | OnKeyPress
 |  | OnKeyUp
 |  | OnUnDock
 |  | OnUTF8KeyPress
TControl
pt |  | OnConstrainedResize
pt |  | OnContextPopup
pt |  | OnDblClick
pt |  | OnTripleClick
pt |  | OnQuadClick
pt |  | OnDragDrop
pt |  | OnDragOver
pt |  | OnEndDock
pt |  | OnEndDrag
pt |  | OnMouseDown
pt |  | OnMouseMove
pt |  | OnMouseUp
pt |  | OnMouseEnter
pt |  | OnMouseLeave
pt |  | OnMouseWheel
pt |  | OnMouseWheelDown
pt |  | OnMouseWheelUp
pt |  | OnMouseWheelHorz
pt |  | OnMouseWheelLeft
pt |  | OnMouseWheelRight
pt |  | OnStartDock
pt |  | OnStartDrag
pt |  | OnEditingDone
 |  | OnChangeBounds
 |  | OnClick
 |  | OnResize
 |  | OnShowHint
TLCLComponent
TComponent
TPersistent
TObject


pl |  | OnAcceptTime (TTimeEdit)
 |  | OnAlignInsertBefore (TWinControl)
 |  | OnAlignPosition (TWinControl)
pt |  | OnBuddyClick (TCustomAbstractGroupedEdit)
pt |  | OnButtonClick (TCustomEditButton)
pl | ro | OnButtonClick (TTimeEdit)
 |  | OnChange (TCustomAbstractGroupedEdit)
pl | ro | OnChange (TTimeEdit)
 |  | OnChangeBounds (TControl)
pl | ro | OnChangeBounds (TTimeEdit)
 |  | OnClick (TControl)
 |  | OnClick (TCustomAbstractGroupedEdit)
pl | ro | OnClick (TTimeEdit)
pt |  | OnConstrainedResize (TControl)
pt |  | OnContextPopup (TControl)
pl |  | OnCustomTime (TTimeEdit)
pt |  | OnDblClick (TControl)
 |  | OnDblClick (TCustomAbstractGroupedEdit)
pl | ro | OnDblClick (TTimeEdit)
 |  | OnDockDrop (TWinControl)
 |  | OnDockOver (TWinControl)
pt |  | OnDragDrop (TControl)
 |  | OnDragDrop (TCustomAbstractGroupedEdit)
pt |  | OnDragOver (TControl)
 |  | OnDragOver (TCustomAbstractGroupedEdit)
pt |  | OnEditingDone (TControl)
 |  | OnEditingDone (TCustomAbstractGroupedEdit)
pl | ro | OnEditingDone (TTimeEdit)
pt |  | OnEndDock (TControl)
pt |  | OnEndDrag (TControl)
 |  | OnEndDrag (TCustomAbstractGroupedEdit)
 |  | OnEnter (TWinControl)
 |  | OnEnter (TCustomAbstractGroupedEdit)
pl | ro | OnEnter (TTimeEdit)
 |  | OnExit (TWinControl)
 |  | OnExit (TCustomAbstractGroupedEdit)
pl | ro | OnExit (TTimeEdit)
pt |  | OnGetDockCaption (TWinControl)
pt |  | OnGetSiteInfo (TWinControl)
 |  | OnKeyDown (TWinControl)
 |  | OnKeyDown (TCustomAbstractGroupedEdit)
pl | ro | OnKeyDown (TTimeEdit)
 |  | OnKeyPress (TWinControl)
 |  | OnKeyPress (TCustomAbstractGroupedEdit)
pl | ro | OnKeyPress (TTimeEdit)
 |  | OnKeyUp (TWinControl)
 |  | OnKeyUp (TCustomAbstractGroupedEdit)
pl | ro | OnKeyUp (TTimeEdit)
pt |  | OnMouseDown (TControl)
 |  | OnMouseDown (TCustomAbstractGroupedEdit)
pl | ro | OnMouseDown (TTimeEdit)
pt |  | OnMouseEnter (TControl)
 |  | OnMouseEnter (TCustomAbstractGroupedEdit)
pl | ro | OnMouseEnter (TTimeEdit)
pt |  | OnMouseLeave (TControl)
 |  | OnMouseLeave (TCustomAbstractGroupedEdit)
pl | ro | OnMouseLeave (TTimeEdit)
pt |  | OnMouseMove (TControl)
 |  | OnMouseMove (TCustomAbstractGroupedEdit)
pl | ro | OnMouseMove (TTimeEdit)
pt |  | OnMouseUp (TControl)
 |  | OnMouseUp (TCustomAbstractGroupedEdit)
pl | ro | OnMouseUp (TTimeEdit)
pt |  | OnMouseWheel (TControl)
 |  | OnMouseWheel (TCustomAbstractGroupedEdit)
pl | ro | OnMouseWheel (TTimeEdit)
pt |  | OnMouseWheelDown (TControl)
 |  | OnMouseWheelDown (TCustomAbstractGroupedEdit)
pl | ro | OnMouseWheelDown (TTimeEdit)
pt |  | OnMouseWheelHorz (TControl)
pt |  | OnMouseWheelLeft (TControl)
pt |  | OnMouseWheelRight (TControl)
pt |  | OnMouseWheelUp (TControl)
 |  | OnMouseWheelUp (TCustomAbstractGroupedEdit)
pl | ro | OnMouseWheelUp (TTimeEdit)
 |  | OnPaint (TCustomControl)
pt |  | OnQuadClick (TControl)
 |  | OnResize (TControl)
pl | ro | OnResize (TTimeEdit)
 |  | OnShowHint (TControl)
pt |  | OnStartDock (TControl)
pt |  | OnStartDrag (TControl)
 |  | OnStartDrag (TCustomAbstractGroupedEdit)
pt |  | OnTripleClick (TControl)
 |  | OnUnDock (TWinControl)
 |  | OnUTF8KeyPress (TWinControl)
 |  | OnUtf8KeyPress (TCustomAbstractGroupedEdit)
pl | ro | OnUTF8KeyPress (TTimeEdit)


TTimeEdit.Action

Declaration

Source position: editbtn.pas line 723

published property TTimeEdit.Action : TBasicAction;


TTimeEdit.Align

Declaration

Source position: editbtn.pas line 724

published property TTimeEdit.Align : TAlign;


TTimeEdit.Anchors

Declaration

Source position: editbtn.pas line 725

published property TTimeEdit.Anchors : TAnchors;


TTimeEdit.AutoSelect

Declaration

Source position: editbtn.pas line 727

published property TTimeEdit.AutoSelect : Boolean;


TTimeEdit.AutoSize

Declaration

Source position: editbtn.pas line 726

published property TTimeEdit.AutoSize : Boolean;


TTimeEdit.BidiMode

Declaration

Source position: editbtn.pas line 728

published property TTimeEdit.BidiMode : TBiDiMode;


TTimeEdit.BorderSpacing

Declaration

Source position: editbtn.pas line 729

published property TTimeEdit.BorderSpacing : TControlBorderSpacing;


TTimeEdit.BorderStyle

Declaration

Source position: editbtn.pas line 730

published property TTimeEdit.BorderStyle : TBorderStyle;


TTimeEdit.ButtonCaption

Declaration

Source position: editbtn.pas line 718

published property TTimeEdit.ButtonCaption : TCaption;


TTimeEdit.ButtonClick

Declaration

Source position: editbtn.pas line 705

protected procedure TTimeEdit.ButtonClick; override;


TTimeEdit.ButtonCursor

Declaration

Source position: editbtn.pas line 719

published property TTimeEdit.ButtonCursor : TCursor;


TTimeEdit.CharCase

Declaration

Source position: editbtn.pas line 731

published property TTimeEdit.CharCase : TEditCharCase;


TTimeEdit.Color

Declaration

Source position: editbtn.pas line 732

published property TTimeEdit.Color : TColor;


TTimeEdit.Constraints

Declaration

Source position: editbtn.pas line 733

published property TTimeEdit.Constraints : TSizeConstraints;


TTimeEdit.DefaultNow

Declaration

Source position: editbtn.pas line 714

published property TTimeEdit.DefaultNow : Boolean
  read FDefaultNow
  write FDefaultNow
  default False;


TTimeEdit.DirectInput

Declaration

Source position: editbtn.pas line 734

published property TTimeEdit.DirectInput : Boolean;


TTimeEdit.DragMode

Declaration

Source position: editbtn.pas line 740

published property TTimeEdit.DragMode : TDragMode;


TTimeEdit.DroppedDown

Declaration

Source position: editbtn.pas line 712

public property TTimeEdit.DroppedDown : Boolean
  read FDroppedDown;


TTimeEdit.EchoMode

Declaration

Source position: editbtn.pas line 741

published property TTimeEdit.EchoMode : TEchoMode;


TTimeEdit.EditDblClick

Declaration

Source position: editbtn.pas line 706

protected procedure TTimeEdit.EditDblClick; override;


TTimeEdit.EditEditingDone

Declaration

Source position: editbtn.pas line 707

protected procedure TTimeEdit.EditEditingDone; override;


TTimeEdit.Enabled

Declaration

Source position: editbtn.pas line 742

published property TTimeEdit.Enabled : Boolean;


TTimeEdit.FocusOnButtonClick

Declaration

Source position: editbtn.pas line 744

published property TTimeEdit.FocusOnButtonClick : Boolean;


TTimeEdit.Font

Declaration

Source position: editbtn.pas line 745

published property TTimeEdit.Font : TFont;


TTimeEdit.ImageIndex

Declaration

Source position: editbtn.pas line 738

published property TTimeEdit.ImageIndex : TImageIndex;


TTimeEdit.Images

Declaration

Source position: editbtn.pas line 737

published property TTimeEdit.Images : TCustomImageList;


TTimeEdit.ImageWidth

Declaration

Source position: editbtn.pas line 739

published property TTimeEdit.ImageWidth : Integer;


TTimeEdit.MaxLength

Declaration

Source position: editbtn.pas line 746

published property TTimeEdit.MaxLength : Integer;


TTimeEdit.OnAcceptTime

Declaration

Source position: editbtn.pas line 715

published property TTimeEdit.OnAcceptTime : TAcceptTimeEvent
  read FOnAcceptTime
  write FOnAcceptTime;


TTimeEdit.OnChange

Declaration

Source position: editbtn.pas line 748

published property TTimeEdit.OnChange : TNotifyEvent;


TTimeEdit.OnChangeBounds

Declaration

Source position: editbtn.pas line 749

published property TTimeEdit.OnChangeBounds : TNotifyEvent;


TTimeEdit.OnClick

Declaration

Source position: editbtn.pas line 750

published property TTimeEdit.OnClick : TNotifyEvent;


TTimeEdit.OnCustomTime

Declaration

Source position: editbtn.pas line 716

published property TTimeEdit.OnCustomTime : TCustomTimeEvent
  read FOnCustomTime
  write FOnCustomTime;


TTimeEdit.OnDblClick

Declaration

Source position: editbtn.pas line 751

published property TTimeEdit.OnDblClick : TNotifyEvent;


TTimeEdit.OnEditingDone

Declaration

Source position: editbtn.pas line 752

published property TTimeEdit.OnEditingDone : TNotifyEvent;


TTimeEdit.OnEnter

Declaration

Source position: editbtn.pas line 753

published property TTimeEdit.OnEnter : TNotifyEvent;


TTimeEdit.OnExit

Declaration

Source position: editbtn.pas line 754

published property TTimeEdit.OnExit : TNotifyEvent;


TTimeEdit.OnKeyDown

Declaration

Source position: editbtn.pas line 755

published property TTimeEdit.OnKeyDown : TKeyEvent;


TTimeEdit.OnKeyPress

Declaration

Source position: editbtn.pas line 756

published property TTimeEdit.OnKeyPress : TKeyPressEvent;


TTimeEdit.OnKeyUp

Declaration

Source position: editbtn.pas line 757

published property TTimeEdit.OnKeyUp : TKeyEvent;


TTimeEdit.OnMouseDown

Declaration

Source position: editbtn.pas line 758

published property TTimeEdit.OnMouseDown : TMouseEvent;


TTimeEdit.OnMouseEnter

Declaration

Source position: editbtn.pas line 759

published property TTimeEdit.OnMouseEnter : TNotifyEvent;


TTimeEdit.OnMouseLeave

Declaration

Source position: editbtn.pas line 760

published property TTimeEdit.OnMouseLeave : TNotifyEvent;


TTimeEdit.OnMouseMove

Declaration

Source position: editbtn.pas line 761

published property TTimeEdit.OnMouseMove : TMouseMoveEvent;


TTimeEdit.OnMouseUp

Declaration

Source position: editbtn.pas line 762

published property TTimeEdit.OnMouseUp : TMouseEvent;


TTimeEdit.OnMouseWheel

Declaration

Source position: editbtn.pas line 763

published property TTimeEdit.OnMouseWheel : TMouseWheelEvent;


TTimeEdit.OnMouseWheelDown

Declaration

Source position: editbtn.pas line 764

published property TTimeEdit.OnMouseWheelDown : TMouseWheelUpDownEvent;


TTimeEdit.OnMouseWheelUp

Declaration

Source position: editbtn.pas line 765

published property TTimeEdit.OnMouseWheelUp : TMouseWheelUpDownEvent;


TTimeEdit.OnResize

Declaration

Source position: editbtn.pas line 766

published property TTimeEdit.OnResize : TNotifyEvent;


TTimeEdit.OnUTF8KeyPress

Declaration

Source position: editbtn.pas line 767

published property TTimeEdit.OnUTF8KeyPress : TUTF8KeyPressEvent;


TTimeEdit.ParentBidiMode

Declaration

Source position: editbtn.pas line 768

published property TTimeEdit.ParentBidiMode : Boolean;


TTimeEdit.ParentColor

Declaration

Source position: editbtn.pas line 769

published property TTimeEdit.ParentColor : Boolean;


TTimeEdit.ParentFont

Declaration

Source position: editbtn.pas line 770

published property TTimeEdit.ParentFont : Boolean;


TTimeEdit.ParentShowHint

Declaration

Source position: editbtn.pas line 771

published property TTimeEdit.ParentShowHint : Boolean;


TTimeEdit.PopupMenu

Declaration

Source position: editbtn.pas line 772

published property TTimeEdit.PopupMenu : TPopupMenu;


TTimeEdit.ReadOnly

Declaration

Source position: editbtn.pas line 717

published property TTimeEdit.ReadOnly : Boolean;


TTimeEdit.ShowHint

Declaration

Source position: editbtn.pas line 773

published property TTimeEdit.ShowHint : Boolean;


TTimeEdit.SimpleLayout

Declaration

Source position: editbtn.pas line 774

published property TTimeEdit.SimpleLayout : Boolean
  read GetLayout
  write SetLayout
  default True;


TTimeEdit.Spacing

Declaration

Source position: editbtn.pas line 775

published property TTimeEdit.Spacing : Integer;


TTimeEdit.TabOrder

Declaration

Source position: editbtn.pas line 777

published property TTimeEdit.TabOrder : TTabOrder;


TTimeEdit.TabStop

Declaration

Source position: editbtn.pas line 776

published property TTimeEdit.TabStop : Boolean;


TTimeEdit.Text

Declaration

Source position: editbtn.pas line 779

published property TTimeEdit.Text : TCaption;


TTimeEdit.TextHint

Declaration

Source position: editbtn.pas line 780

published property TTimeEdit.TextHint : TTranslateString;


TTimeEdit.Time

Declaration

Source position: editbtn.pas line 710

public property TTimeEdit.Time : TDateTime
  read GetTime
  write SetTime;


TTimeEdit.Visible

Declaration

Source position: editbtn.pas line 778

published property TTimeEdit.Visible : Boolean;


TBevel

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

A bevel placed around the edge of buttons and other components

Declaration

Source position: extctrls.pp line 628

type TBevel = class(TGraphicControl)
protected
class procedure WSRegisterClass; override; | Registers this component class with the current WidgetSet.
class function GetControlClassDefaultSize; override;
procedure Paint; override; | Override this method with your own painting code.
public
constructor Create(); override; | Create - constructor for TBevel: calls inherited Create then sets initial style, shape and bounds
destructor Destroy; override;
procedure Assign(); override;
published
property Align: TAlign; | Specifies the placement of the control inside its Parent.
property Anchors: TAnchors; | The set of anchor definitions for this control.
property BorderSpacing: TControlBorderSpacing; | Determines the inner and outer border spacing for this control.
property Constraints: TSizeConstraints; | The minimal and maximal Width and Height of this control.
property ParentShowHint: Boolean;
property Shape: TBevelShape; [rw] | Shape - whether a box, a frame or a line along one of the edges
property ShowHint: Boolean;
property Style: TBevelStyle; [rw] | Style - whether raised or lowered
property Visible: Boolean; | Allows to show or hide the control, and all of its children.
property OnChangeBounds: TNotifyEvent; | Event handler for a change of the Bounds of the control.
property OnResize: TNotifyEvent; | Notification handler for a resize of the control.
property OnMouseDown: TMouseEvent; | Event handler for mouse button going down.
property OnMouseEnter: TNotifyEvent;
property OnMouseLeave: TNotifyEvent;
property OnMouseMove: TMouseMoveEvent; | Event handler for mouse movement within the control.
property OnMouseUp: TMouseEvent; | Event handler for mouse button going up.
property OnMouseWheel: TMouseWheelEvent;
property OnMouseWheelDown: TMouseWheelUpDownEvent;
property OnMouseWheelUp: TMouseWheelUpDownEvent;
property OnPaint: TNotifyEvent; | Supply your own OnPaint handler for painting the control.
end;

Inheritance

TBevel | A bevel placed around the edge of buttons and other components
|
TGraphicControl | TGraphicControl is the base class for all lightweight controls.
|
TControl | The base class for visible controls.
|
TLCLComponent | The base class for LCL components associated with widgets.
|
TComponent,IUnknown,IInterfaceComponentReference
|
TPersistent,IFPObserved
|
TObject

Description

Its appearance is governed by TBevelShape and TBevelStyle


TBevel
pl | ro | Align
pl | ro | Anchors
pl | ro | BorderSpacing
pl | ro | Constraints
pl | ro | ParentShowHint
pl |  | Shape
pl | ro | ShowHint
pl |  | Style
pl | ro | Visible
TGraphicControl
 | ro | Canvas
TControl
pt | ro | AutoSizing
pt | ro | AutoSizingAll
pt | ro | AutoSizingLockCount
pt |  | ActionLink
pt |  | DesktopFont
pt |  | DragCursor
pt |  | DragKind
pt |  | DragMode
pt |  | MouseCapture
pt |  | ParentColor
pt |  | ParentFont
pt |  | ParentShowHint
pt |  | SessionProperties
pt |  | Text
 | ro | AnchoredControls
 | ro | BaseBounds
 | ro | ReadBounds
 | ro | BaseParentClientSize
 |  | AccessibleDescription
 |  | AccessibleValue
 |  | AccessibleRole
 |  | Action
 |  | Align
 |  | Anchors
 | ro | AnchorSide
 |  | AutoSize
 |  | BorderSpacing
 |  | BoundsRect
 |  | BoundsRectForNewParent
 |  | Caption
 |  | CaptureMouseButtons
 |  | ClientHeight
 | ro | ClientOrigin
 | ro | ClientRect
 |  | ClientWidth
 |  | Color
 |  | Constraints
 | ro | ControlOrigin
 |  | ControlState
 |  | ControlStyle
 |  | Enabled
 |  | Font
 |  | IsControl
 | ro | MouseEntered
 | ro | MouseInClient
 |  | Parent
 |  | PopupMenu
 |  | ShowHint
 |  | Visible
 |  | WindowProc
 |  | DockOrientation
 | ro | Floating
 |  | FloatingDockSiteClass
 |  | HostDockSite
 |  | LRDockWidth
 |  | TBDockHeight
 |  | UndockHeight
 |  | UndockWidth
 |  | BiDiMode
 |  | ParentBiDiMode
pl |  | AnchorSideLeft
pl |  | AnchorSideTop
pl |  | AnchorSideRight
pl |  | AnchorSideBottom
pl |  | Cursor
pl |  | Left
pl |  | Height
pl |  | Hint
pl |  | Top
pl |  | Width
pl |  | HelpType
pl |  | HelpKeyword
pl |  | HelpContext
TLCLComponent
 | ro | LCLRefCount
 | ro | WidgetSetClass
TComponent
 | ro | ComObject
 | ro | Components
 | ro | ComponentCount
 |  | ComponentIndex
 | ro | ComponentState
 | ro | ComponentStyle
 |  | DesignInfo
 | ro | Owner
 |  | VCLComObject
 |  | Name
 |  | Tag
TPersistent
TObject


 |  | AccessibleDescription (TControl)
 |  | AccessibleRole (TControl)
 |  | AccessibleValue (TControl)
 |  | Action (TControl)
pt |  | ActionLink (TControl)
 |  | Align (TControl)
pl | ro | Align (TBevel)
 | ro | AnchoredControls (TControl)
 |  | Anchors (TControl)
pl | ro | Anchors (TBevel)
 | ro | AnchorSide (TControl)
pl |  | AnchorSideBottom (TControl)
pl |  | AnchorSideLeft (TControl)
pl |  | AnchorSideRight (TControl)
pl |  | AnchorSideTop (TControl)
 |  | AutoSize (TControl)
pt | ro | AutoSizing (TControl)
pt | ro | AutoSizingAll (TControl)
pt | ro | AutoSizingLockCount (TControl)
 | ro | BaseBounds (TControl)
 | ro | BaseParentClientSize (TControl)
 |  | BiDiMode (TControl)
 |  | BorderSpacing (TControl)
pl | ro | BorderSpacing (TBevel)
 |  | BoundsRect (TControl)
 |  | BoundsRectForNewParent (TControl)
 | ro | Canvas (TGraphicControl)
 |  | Caption (TControl)
 |  | CaptureMouseButtons (TControl)
 |  | ClientHeight (TControl)
 | ro | ClientOrigin (TControl)
 | ro | ClientRect (TControl)
 |  | ClientWidth (TControl)
 |  | Color (TControl)
 | ro | ComObject (TComponent)
 | ro | ComponentCount (TComponent)
 |  | ComponentIndex (TComponent)
 | ro | Components (TComponent)
 | ro | ComponentState (TComponent)
 | ro | ComponentStyle (TComponent)
 |  | Constraints (TControl)
pl | ro | Constraints (TBevel)
 | ro | ControlOrigin (TControl)
 |  | ControlState (TControl)
 |  | ControlStyle (TControl)
pl |  | Cursor (TControl)
 |  | DesignInfo (TComponent)
pt |  | DesktopFont (TControl)
 |  | DockOrientation (TControl)
pt |  | DragCursor (TControl)
pt |  | DragKind (TControl)
pt |  | DragMode (TControl)
 |  | Enabled (TControl)
 | ro | Floating (TControl)
 |  | FloatingDockSiteClass (TControl)
 |  | Font (TControl)
pl |  | Height (TControl)
pl |  | HelpContext (TControl)
pl |  | HelpKeyword (TControl)
pl |  | HelpType (TControl)
pl |  | Hint (TControl)
 |  | HostDockSite (TControl)
 |  | IsControl (TControl)
 | ro | LCLRefCount (TLCLComponent)
pl |  | Left (TControl)
 |  | LRDockWidth (TControl)
pt |  | MouseCapture (TControl)
 | ro | MouseEntered (TControl)
 | ro | MouseInClient (TControl)
 |  | Name (TComponent)
 | ro | Owner (TComponent)
 |  | Parent (TControl)
 |  | ParentBiDiMode (TControl)
pt |  | ParentColor (TControl)
pt |  | ParentFont (TControl)
pt |  | ParentShowHint (TControl)
pl | ro | ParentShowHint (TBevel)
 |  | PopupMenu (TControl)
 | ro | ReadBounds (TControl)
pt |  | SessionProperties (TControl)
pl |  | Shape (TBevel)
 |  | ShowHint (TControl)
pl | ro | ShowHint (TBevel)
pl |  | Style (TBevel)
 |  | Tag (TComponent)
 |  | TBDockHeight (TControl)
pt |  | Text (TControl)
pl |  | Top (TControl)
 |  | UndockHeight (TControl)
 |  | UndockWidth (TControl)
 |  | VCLComObject (TComponent)
 |  | Visible (TControl)
pl | ro | Visible (TBevel)
 | ro | WidgetSetClass (TLCLComponent)
pl |  | Width (TControl)
 |  | WindowProc (TControl)


TBevel
pt | WSRegisterClass
pt | GetControlClassDefaultSize
pt | Paint
 | Create
 | Destroy
 | Assign
TGraphicControl
pt | WSRegisterClass
pt | FontChanged
pt | Paint
pt | DoOnChangeBounds
pt | DoOnParentHandleDestruction
pt | CMCursorChanged
 | Create
 | Destroy
TControl
pt | WSRegisterClass
pt | GetCursor
pt | SetCursor
pt | SetVisible
pt | DoOnParentHandleDestruction
pt | DoAutoSize
pt | DoAllAutoSize
pt | BeginAutoSizing
pt | EndAutoSizing
pt | AnchorSideChanged
pt | ForeignAnchorSideChanged
pt | SetAlign
pt | SetAnchors
pt | SetAutoSize
pt | BoundsChanged
pt | CreateControlBorderSpacing
pt | DoConstraintsChange
pt | DoBorderSpacingChange
pt | IsBorderSpacingInnerBorderStored
pt | IsCaptionStored
pt | SendMoveSizeMessages
pt | ConstrainedResize
pt | CalculatePreferredSize
pt | DoOnResize
pt | DoOnChangeBounds
pt | CheckOnChangeBounds
pt | Resize
pt | RequestAlign
pt | UpdateAnchorRules
pt | ChangeBounds
pt | DoSetBounds
pt | ScaleConstraints
pt | ChangeScale
pt | CanAutoSize
pt | SetBiDiMode
pt | SetParentBiDiMode
pt | IsAParentAligning
pt | GetClientOrigin
pt | GetClientRect
pt | GetLogicalClientRect
pt | GetScrolledClientRect
pt | GetClientScrollOffset
pt | GetControlOrigin
pt | IsClientHeightStored
pt | IsClientWidthStored
pt | WidthIsAnchored
pt | HeightIsAnchored
pt | WMCancelMode
pt | WMContextMenu
pt | WMLButtonDown
pt | WMRButtonDown
pt | WMMButtonDown
pt | WMXButtonDown
pt | WMLButtonDBLCLK
pt | WMRButtonDBLCLK
pt | WMMButtonDBLCLK
pt | WMXButtonDBLCLK
pt | WMLButtonTripleCLK
pt | WMRButtonTripleCLK
pt | WMMButtonTripleCLK
pt | WMXButtonTripleCLK
pt | WMLButtonQuadCLK
pt | WMRButtonQuadCLK
pt | WMMButtonQuadCLK
pt | WMXButtonQuadCLK
pt | WMMouseMove
pt | WMLButtonUp
pt | WMRButtonUp
pt | WMMButtonUp
pt | WMXButtonUp
pt | WMMouseWheel
pt | WMMouseHWheel
pt | WMMove
pt | WMSize
pt | WMWindowPosChanged
pt | CMChanged
pt | LMCaptureChanged
pt | CMBiDiModeChanged
pt | CMSysFontChanged
pt | CMEnabledChanged
pt | CMHitTest
pt | CMMouseEnter
pt | CMMouseLeave
pt | CMHintShow
pt | CMParentBiDiModeChanged
pt | CMParentColorChanged
pt | CMParentFontChanged
pt | CMParentShowHintChanged
pt | CMVisibleChanged
pt | CMTextChanged
pt | CMCursorChanged
pt | CalculateDockSizes
pt | CreateFloatingDockSite
pt | GetDockEdge
pt | GetDragImages
pt | GetFloating
pt | GetFloatingDockSiteClass
pt | BeforeDragStart
pt | BeginAutoDrag
pt | DoFloatMsg
pt | DockTrackNoTarget
pt | DoDock
pt | DoDragMsg
pt | DoEndDock
pt | DoEndDrag
pt | DoStartDock
pt | DoStartDrag
pt | DragCanceled
pt | DragOver
pt | PositionDockRect
pt | SetDragMode
pt | GetDefaultDockCaption
pt | Click
pt | DblClick
pt | TripleClick
pt | QuadClick
pt | GetMousePosFromMessage
pt | MouseDown
pt | MouseMove
pt | MouseUp
pt | MouseEnter
pt | MouseLeave
pt | DialogChar
pt | UpdateMouseCursor
pt | Changed
pt | GetPalette
pt | ChildClassAllowed
pt | ReadState
pt | Loaded
pt | LoadedAll
pt | DefineProperties
pt | AssignTo
pt | FormEndUpdated
pt | InvalidateControl
pt | FontChanged
pt | ParentFontChanged
pt | GetAction
pt | RealGetText
pt | RealSetText
pt | TextChanged
pt | GetCachedText
pt | SetAction
pt | SetColor
pt | SetEnabled
pt | SetHint
pt | SetName
pt | SetParent
pt | SetParentComponent
pt | WndProc
pt | ParentFormHandleInitialized
pt | GetMouseCapture
pt | CaptureChanged
pt | Notification
pt | CanTab
pt | GetDeviceContext
pt | GetEnabled
pt | GetPopupMenu
pt | DoOnShowHint
pt | DoMouseWheel
pt | DoMouseWheelDown
pt | DoMouseWheelUp
pt | DoMouseWheelHorz
pt | DoMouseWheelLeft
pt | DoMouseWheelRight
pt | VisibleChanging
pt | VisibleChanged
pt | EnabledChanging
pt | EnabledChanged
pt | AddHandler
pt | RemoveHandler
pt | DoCallNotifyHandler
pt | DoCallKeyEventHandler
pt | DoCallMouseWheelEventHandler
pt | DoContextPopup
pt | SetZOrder
pt | GetControlClassDefaultSize
pt | ColorIsStored
pt | DoAutoAdjustLayout
pt | DoFixDesignFontPPI
pt | DoScaleFontPPI
pt | GetActionLinkClass
pt | ActionChange
 | DragDrop
 | Dock
 | ManualDock
 | ManualFloat
 | ReplaceDockedControl
 | Docked
 | Dragging
 | GetAccessibleObject
 | CreateAccessibleObject
 | GetSelectedChildAccessibleObject
 | GetChildAccessibleObjectAtPos
 | ScaleDesignToForm
 | ScaleFormToDesign
 | Scale96ToForm
 | ScaleFormTo96
 | Scale96ToFont
 | ScaleFontTo96
 | ScaleScreenToFont
 | ScaleFontToScreen
 | Scale96ToScreen
 | ScaleScreenTo96
 | AdjustSize
 | AutoSizePhases
 | AutoSizeDelayed
 | AutoSizeDelayedReport
 | AutoSizeDelayedHandle
 | AnchorToNeighbour
 | AnchorParallel
 | AnchorHorizontalCenterTo
 | AnchorVerticalCenterTo
 | AnchorToCompanion
 | AnchorSame
 | AnchorAsAlign
 | AnchorClient
 | AnchoredControlCount
 | SetBounds
 | SetInitialBounds
 | SetBoundsKeepBase
 | GetPreferredSize
 | GetCanvasScaleFactor
 | GetDefaultWidth
 | GetDefaultHeight
 | GetDefaultColor
 | GetColorResolvingParent
 | GetRGBColorResolvingParent
 | GetSidePosition
 | CNPreferredSizeChanged
 | InvalidatePreferredSize
 | GetAnchorsDependingOnParent
 | DisableAutoSizing
 | EnableAutoSizing
 | UpdateBaseBounds
 | WriteLayoutDebugReport
 | AutoAdjustLayout
 | ShouldAutoAdjust
 | FixDesignFontsPPI
 | ScaleFontsPPI
 | Create
 | Destroy
 | BeforeDestruction
 | EditingDone
 | ExecuteDefaultAction
 | ExecuteCancelAction
 | BeginDrag
 | EndDrag
 | BringToFront
 | HasParent
 | GetParentComponent
 | IsParentOf
 | GetTopParent
 | IsVisible
 | IsControlVisible
 | IsEnabled
 | IsParentColor
 | IsParentFont
 | FormIsUpdating
 | IsProcessingPaintMsg
 | Hide
 | Refresh
 | Repaint
 | Invalidate
 | CheckChildClassAllowed
 | CheckNewParent
 | SendToBack
 | SetTempCursor
 | UpdateRolesForForm
 | ActiveDefaultControlChanged
 | GetTextBuf
 | GetTextLen
 | SetTextBuf
 | Perform
 | ScreenToClient
 | ClientToScreen
 | ScreenToControl
 | ControlToScreen
 | ClientToParent
 | ParentToClient
 | GetChildrenRect
 | Show
 | Update
 | HandleObjectShouldBeVisible
 | ParentDestroyingHandle
 | ParentHandlesAllocated
 | InitiateAction
 | ShowHelp
 | HasHelp
 | RemoveAllHandlersOfObject
 | AddHandlerOnResize
 | RemoveHandlerOnResize
 | AddHandlerOnChangeBounds
 | RemoveHandlerOnChangeBounds
 | AddHandlerOnVisibleChanging
 | RemoveHandlerOnVisibleChanging
 | AddHandlerOnVisibleChanged
 | RemoveHandlerOnVisibleChanged
 | AddHandlerOnEnabledChanged
 | RemoveHandlerOnEnableChanging
 | AddHandlerOnKeyDown
 | RemoveHandlerOnKeyDown
 | AddHandlerOnBeforeDestruction
 | RemoveHandlerOnBeforeDestruction
 | AddHandlerOnMouseWheel
 | RemoveHandlerOnMouseWheel
 | UseRightToLeftAlignment
 | UseRightToLeftReading
 | UseRightToLeftScrollBar
 | IsRightToLeft
TLCLComponent
pt | WSRegisterClass
pt | GetWSComponentClass
 | Create
 | Destroy
 | NewInstance
 | RemoveAllHandlersOfObject
 | IncLCLRefCount
 | DecLCLRefCount
TComponent
 | GetComObject
 | GetComponent
 | GetComponentCount
 | GetComponentIndex
 | Insert
 | ReadLeft
 | ReadTop
 | Remove
 | RemoveNotification
 | SetComponentIndex
 | SetReference
 | WriteLeft
 | WriteTop
 | ChangeName
 | DefineProperties
 | GetChildren
 | GetChildOwner
 | GetChildParent
 | GetOwner
 | Loaded
 | Loading
 | Notification
 | PaletteCreated
 | ReadState
 | SetAncestor
 | SetDesigning
 | SetDesignInstance
 | SetInline
 | SetName
 | SetChildOrder
 | SetParentComponent
 | Updating
 | Updated
 | UpdateRegistry
 | ValidateRename
 | ValidateContainer
 | ValidateInsert
 | QueryInterface
 | _AddRef
 | _Release
 | iicrGetComponent
 | GetTypeInfoCount
 | GetTypeInfo
 | GetIDsOfNames
 | Invoke
 | WriteState
 | Create
 | Destroy
 | BeforeDestruction
 | DestroyComponents
 | Destroying
 | ExecuteAction
 | FindComponent
 | FreeNotification
 | RemoveFreeNotification
 | FreeOnRelease
 | GetEnumerator
 | GetNamePath
 | GetParentComponent
 | HasParent
 | InsertComponent
 | RemoveComponent
 | SafeCallException
 | SetSubComponent
 | UpdateAction
 | IsImplementorOf
 | ReferenceInterface
TPersistent
 | AssignError
 | AssignTo
 | DefineProperties
 | GetOwner
 | Destroy
 | Assign
 | FPOAttachObserver
 | FPODetachObserver
 | FPONotifyObservers
 | GetNamePath
TObject
 | Create
 | Destroy
 | newinstance
 | FreeInstance
 | SafeCallException
 | DefaultHandler
 | Free
 | InitInstance
 | CleanupInstance
 | ClassType
 | ClassInfo
 | ClassName
 | ClassNameIs
 | ClassParent
 | InstanceSize
 | InheritsFrom
 | StringMessageTable
 | MethodAddress
 | MethodName
 | FieldAddress
 | AfterConstruction
 | BeforeDestruction
 | DefaultHandlerStr
 | Dispatch
 | DispatchStr
 | GetInterface
 | GetInterfaceByStr
 | GetInterfaceWeak
 | GetInterfaceEntry
 | GetInterfaceEntryByStr
 | GetInterfaceTable
 | UnitName
 | Equals
 | GetHashCode
 | ToString


pt | ActionChange (TControl)
 | ActiveDefaultControlChanged (TControl)
pt | AddHandler (TControl)
 | AddHandlerOnBeforeDestruction (TControl)
 | AddHandlerOnChangeBounds (TControl)
 | AddHandlerOnEnabledChanged (TControl)
 | AddHandlerOnKeyDown (TControl)
 | AddHandlerOnMouseWheel (TControl)
 | AddHandlerOnResize (TControl)
 | AddHandlerOnVisibleChanged (TControl)
 | AddHandlerOnVisibleChanging (TControl)
 | AdjustSize (TControl)
 | AfterConstruction (TObject)
 | AnchorAsAlign (TControl)
 | AnchorClient (TControl)
 | AnchoredControlCount (TControl)
 | AnchorHorizontalCenterTo (TControl)
 | AnchorParallel (TControl)
 | AnchorSame (TControl)
pt | AnchorSideChanged (TControl)
 | AnchorToCompanion (TControl)
 | AnchorToNeighbour (TControl)
 | AnchorVerticalCenterTo (TControl)
 | Assign (TPersistent)
 | Assign (TBevel)
 | AssignError (TPersistent)
 | AssignTo (TPersistent)
pt | AssignTo (TControl)
 | AutoAdjustLayout (TControl)
 | AutoSizeDelayed (TControl)
 | AutoSizeDelayedHandle (TControl)
 | AutoSizeDelayedReport (TControl)
 | AutoSizePhases (TControl)
 | BeforeDestruction (TObject)
 | BeforeDestruction (TComponent)
 | BeforeDestruction (TControl)
pt | BeforeDragStart (TControl)
pt | BeginAutoDrag (TControl)
pt | BeginAutoSizing (TControl)
 | BeginDrag (TControl)
pt | BoundsChanged (TControl)
 | BringToFront (TControl)
pt | CalculateDockSizes (TControl)
pt | CalculatePreferredSize (TControl)
pt | CanAutoSize (TControl)
pt | CanTab (TControl)
pt | CaptureChanged (TControl)
pt | ChangeBounds (TControl)
pt | Changed (TControl)
 | ChangeName (TComponent)
pt | ChangeScale (TControl)
 | CheckChildClassAllowed (TControl)
 | CheckNewParent (TControl)
pt | CheckOnChangeBounds (TControl)
pt | ChildClassAllowed (TControl)
 | ClassInfo (TObject)
 | ClassName (TObject)
 | ClassNameIs (TObject)
 | ClassParent (TObject)
 | ClassType (TObject)
 | CleanupInstance (TObject)
pt | Click (TControl)
 | ClientToParent (TControl)
 | ClientToScreen (TControl)
pt | CMBiDiModeChanged (TControl)
pt | CMChanged (TControl)
pt | CMCursorChanged (TControl)
pt | CMCursorChanged (TGraphicControl)
pt | CMEnabledChanged (TControl)
pt | CMHintShow (TControl)
pt | CMHitTest (TControl)
pt | CMMouseEnter (TControl)
pt | CMMouseLeave (TControl)
pt | CMParentBiDiModeChanged (TControl)
pt | CMParentColorChanged (TControl)
pt | CMParentFontChanged (TControl)
pt | CMParentShowHintChanged (TControl)
pt | CMSysFontChanged (TControl)
pt | CMTextChanged (TControl)
pt | CMVisibleChanged (TControl)
 | CNPreferredSizeChanged (TControl)
pt | ColorIsStored (TControl)
pt | ConstrainedResize (TControl)
 | ControlToScreen (TControl)
 | Create (TObject)
 | Create (TComponent)
 | Create (TLCLComponent)
 | Create (TControl)
 | Create (TGraphicControl)
 | Create (TBevel)
 | CreateAccessibleObject (TControl)
pt | CreateControlBorderSpacing (TControl)
pt | CreateFloatingDockSite (TControl)
pt | DblClick (TControl)
 | DecLCLRefCount (TLCLComponent)
 | DefaultHandler (TObject)
 | DefaultHandlerStr (TObject)
 | DefineProperties (TPersistent)
 | DefineProperties (TComponent)
pt | DefineProperties (TControl)
 | Destroy (TObject)
 | Destroy (TPersistent)
 | Destroy (TComponent)
 | Destroy (TLCLComponent)
 | Destroy (TControl)
 | Destroy (TGraphicControl)
 | Destroy (TBevel)
 | DestroyComponents (TComponent)
 | Destroying (TComponent)
pt | DialogChar (TControl)
 | DisableAutoSizing (TControl)
 | Dispatch (TObject)
 | DispatchStr (TObject)
pt | DoAllAutoSize (TControl)
pt | DoAutoAdjustLayout (TControl)
pt | DoAutoSize (TControl)
pt | DoBorderSpacingChange (TControl)
pt | DoCallKeyEventHandler (TControl)
pt | DoCallMouseWheelEventHandler (TControl)
pt | DoCallNotifyHandler (TControl)
 | Dock (TControl)
 | Docked (TControl)
pt | DockTrackNoTarget (TControl)
pt | DoConstraintsChange (TControl)
pt | DoContextPopup (TControl)
pt | DoDock (TControl)
pt | DoDragMsg (TControl)
pt | DoEndDock (TControl)
pt | DoEndDrag (TControl)
pt | DoFixDesignFontPPI (TControl)
pt | DoFloatMsg (TControl)
pt | DoMouseWheel (TControl)
pt | DoMouseWheelDown (TControl)
pt | DoMouseWheelHorz (TControl)
pt | DoMouseWheelLeft (TControl)
pt | DoMouseWheelRight (TControl)
pt | DoMouseWheelUp (TControl)
pt | DoOnChangeBounds (TControl)
pt | DoOnChangeBounds (TGraphicControl)
pt | DoOnParentHandleDestruction (TControl)
pt | DoOnParentHandleDestruction (TGraphicControl)
pt | DoOnResize (TControl)
pt | DoOnShowHint (TControl)
pt | DoScaleFontPPI (TControl)
pt | DoSetBounds (TControl)
pt | DoStartDock (TControl)
pt | DoStartDrag (TControl)
pt | DragCanceled (TControl)
 | DragDrop (TControl)
 | Dragging (TControl)
pt | DragOver (TControl)
 | EditingDone (TControl)
 | EnableAutoSizing (TControl)
pt | EnabledChanged (TControl)
pt | EnabledChanging (TControl)
pt | EndAutoSizing (TControl)
 | EndDrag (TControl)
 | Equals (TObject)
 | ExecuteAction (TComponent)
 | ExecuteCancelAction (TControl)
 | ExecuteDefaultAction (TControl)
 | FieldAddress (TObject)
 | FindComponent (TComponent)
 | FixDesignFontsPPI (TControl)
pt | FontChanged (TControl)
pt | FontChanged (TGraphicControl)
pt | ForeignAnchorSideChanged (TControl)
pt | FormEndUpdated (TControl)
 | FormIsUpdating (TControl)
 | FPOAttachObserver (TPersistent)
 | FPODetachObserver (TPersistent)
 | FPONotifyObservers (TPersistent)
 | Free (TObject)
 | FreeInstance (TObject)
 | FreeNotification (TComponent)
 | FreeOnRelease (TComponent)
 | GetAccessibleObject (TControl)
pt | GetAction (TControl)
pt | GetActionLinkClass (TControl)
 | GetAnchorsDependingOnParent (TControl)
pt | GetCachedText (TControl)
 | GetCanvasScaleFactor (TControl)
 | GetChildAccessibleObjectAtPos (TControl)
 | GetChildOwner (TComponent)
 | GetChildParent (TComponent)
 | GetChildren (TComponent)
 | GetChildrenRect (TControl)
pt | GetClientOrigin (TControl)
pt | GetClientRect (TControl)
pt | GetClientScrollOffset (TControl)
 | GetColorResolvingParent (TControl)
 | GetComObject (TComponent)
 | GetComponent (TComponent)
 | GetComponentCount (TComponent)
 | GetComponentIndex (TComponent)
pt | GetControlClassDefaultSize (TControl)
pt | GetControlClassDefaultSize (TBevel)
pt | GetControlOrigin (TControl)
pt | GetCursor (TControl)
 | GetDefaultColor (TControl)
pt | GetDefaultDockCaption (TControl)
 | GetDefaultHeight (TControl)
 | GetDefaultWidth (TControl)
pt | GetDeviceContext (TControl)
pt | GetDockEdge (TControl)
pt | GetDragImages (TControl)
pt | GetEnabled (TControl)
 | GetEnumerator (TComponent)
pt | GetFloating (TControl)
pt | GetFloatingDockSiteClass (TControl)
 | GetHashCode (TObject)
 | GetIDsOfNames (TComponent)
 | GetInterface (TObject)
 | GetInterfaceByStr (TObject)
 | GetInterfaceEntry (TObject)
 | GetInterfaceEntryByStr (TObject)
 | GetInterfaceTable (TObject)
 | GetInterfaceWeak (TObject)
pt | GetLogicalClientRect (TControl)
pt | GetMouseCapture (TControl)
pt | GetMousePosFromMessage (TControl)
 | GetNamePath (TPersistent)
 | GetNamePath (TComponent)
 | GetOwner (TPersistent)
 | GetOwner (TComponent)
pt | GetPalette (TControl)
 | GetParentComponent (TComponent)
 | GetParentComponent (TControl)
pt | GetPopupMenu (TControl)
 | GetPreferredSize (TControl)
 | GetRGBColorResolvingParent (TControl)
pt | GetScrolledClientRect (TControl)
 | GetSelectedChildAccessibleObject (TControl)
 | GetSidePosition (TControl)
 | GetTextBuf (TControl)
 | GetTextLen (TControl)
 | GetTopParent (TControl)
 | GetTypeInfo (TComponent)
 | GetTypeInfoCount (TComponent)
pt | GetWSComponentClass (TLCLComponent)
 | HandleObjectShouldBeVisible (TControl)
 | HasHelp (TControl)
 | HasParent (TComponent)
 | HasParent (TControl)
pt | HeightIsAnchored (TControl)
 | Hide (TControl)
 | iicrGetComponent (TComponent)
 | IncLCLRefCount (TLCLComponent)
 | InheritsFrom (TObject)
 | InitiateAction (TControl)
 | InitInstance (TObject)
 | Insert (TComponent)
 | InsertComponent (TComponent)
 | InstanceSize (TObject)
 | Invalidate (TControl)
pt | InvalidateControl (TControl)
 | InvalidatePreferredSize (TControl)
 | Invoke (TComponent)
pt | IsAParentAligning (TControl)
pt | IsBorderSpacingInnerBorderStored (TControl)
pt | IsCaptionStored (TControl)
pt | IsClientHeightStored (TControl)
pt | IsClientWidthStored (TControl)
 | IsControlVisible (TControl)
 | IsEnabled (TControl)
 | IsImplementorOf (TComponent)
 | IsParentColor (TControl)
 | IsParentFont (TControl)
 | IsParentOf (TControl)
 | IsProcessingPaintMsg (TControl)
 | IsRightToLeft (TControl)
 | IsVisible (TControl)
pt | LMCaptureChanged (TControl)
 | Loaded (TComponent)
pt | Loaded (TControl)
pt | LoadedAll (TControl)
 | Loading (TComponent)
 | ManualDock (TControl)
 | ManualFloat (TControl)
 | MethodAddress (TObject)
 | MethodName (TObject)
pt | MouseDown (TControl)
pt | MouseEnter (TControl)
pt | MouseLeave (TControl)
pt | MouseMove (TControl)
pt | MouseUp (TControl)
 | newinstance (TObject)
 | NewInstance (TLCLComponent)
 | Notification (TComponent)
pt | Notification (TControl)
pt | Paint (TGraphicControl)
pt | Paint (TBevel)
 | PaletteCreated (TComponent)
 | ParentDestroyingHandle (TControl)
pt | ParentFontChanged (TControl)
pt | ParentFormHandleInitialized (TControl)
 | ParentHandlesAllocated (TControl)
 | ParentToClient (TControl)
 | Perform (TControl)
pt | PositionDockRect (TControl)
pt | QuadClick (TControl)
 | QueryInterface (TComponent)
 | ReadLeft (TComponent)
 | ReadState (TComponent)
pt | ReadState (TControl)
 | ReadTop (TComponent)
pt | RealGetText (TControl)
pt | RealSetText (TControl)
 | ReferenceInterface (TComponent)
 | Refresh (TControl)
 | Remove (TComponent)
 | RemoveAllHandlersOfObject (TLCLComponent)
 | RemoveAllHandlersOfObject (TControl)
 | RemoveComponent (TComponent)
 | RemoveFreeNotification (TComponent)
pt | RemoveHandler (TControl)
 | RemoveHandlerOnBeforeDestruction (TControl)
 | RemoveHandlerOnChangeBounds (TControl)
 | RemoveHandlerOnEnableChanging (TControl)
 | RemoveHandlerOnKeyDown (TControl)
 | RemoveHandlerOnMouseWheel (TControl)
 | RemoveHandlerOnResize (TControl)
 | RemoveHandlerOnVisibleChanged (TControl)
 | RemoveHandlerOnVisibleChanging (TControl)
 | RemoveNotification (TComponent)
 | Repaint (TControl)
 | ReplaceDockedControl (TControl)
pt | RequestAlign (TControl)
pt | Resize (TControl)
 | SafeCallException (TObject)
 | SafeCallException (TComponent)
 | Scale96ToFont (TControl)
 | Scale96ToForm (TControl)
 | Scale96ToScreen (TControl)
pt | ScaleConstraints (TControl)
 | ScaleDesignToForm (TControl)
 | ScaleFontsPPI (TControl)
 | ScaleFontTo96 (TControl)
 | ScaleFontToScreen (TControl)
 | ScaleFormTo96 (TControl)
 | ScaleFormToDesign (TControl)
 | ScaleScreenTo96 (TControl)
 | ScaleScreenToFont (TControl)
 | ScreenToClient (TControl)
 | ScreenToControl (TControl)
pt | SendMoveSizeMessages (TControl)
 | SendToBack (TControl)
pt | SetAction (TControl)
pt | SetAlign (TControl)
 | SetAncestor (TComponent)
pt | SetAnchors (TControl)
pt | SetAutoSize (TControl)
pt | SetBiDiMode (TControl)
 | SetBounds (TControl)
 | SetBoundsKeepBase (TControl)
 | SetChildOrder (TComponent)
pt | SetColor (TControl)
 | SetComponentIndex (TComponent)
pt | SetCursor (TControl)
 | SetDesigning (TComponent)
 | SetDesignInstance (TComponent)
pt | SetDragMode (TControl)
pt | SetEnabled (TControl)
pt | SetHint (TControl)
 | SetInitialBounds (TControl)
 | SetInline (TComponent)
 | SetName (TComponent)
pt | SetName (TControl)
pt | SetParent (TControl)
pt | SetParentBiDiMode (TControl)
 | SetParentComponent (TComponent)
pt | SetParentComponent (TControl)
 | SetReference (TComponent)
 | SetSubComponent (TComponent)
 | SetTempCursor (TControl)
 | SetTextBuf (TControl)
pt | SetVisible (TControl)
pt | SetZOrder (TControl)
 | ShouldAutoAdjust (TControl)
 | Show (TControl)
 | ShowHelp (TControl)
 | StringMessageTable (TObject)
pt | TextChanged (TControl)
 | ToString (TObject)
pt | TripleClick (TControl)
 | UnitName (TObject)
 | Update (TControl)
 | UpdateAction (TComponent)
pt | UpdateAnchorRules (TControl)
 | UpdateBaseBounds (TControl)
 | Updated (TComponent)
pt | UpdateMouseCursor (TControl)
 | UpdateRegistry (TComponent)
 | UpdateRolesForForm (TControl)
 | Updating (TComponent)
 | UseRightToLeftAlignment (TControl)
 | UseRightToLeftReading (TControl)
 | UseRightToLeftScrollBar (TControl)
 | ValidateContainer (TComponent)
 | ValidateInsert (TComponent)
 | ValidateRename (TComponent)
pt | VisibleChanged (TControl)
pt | VisibleChanging (TControl)
pt | WidthIsAnchored (TControl)
pt | WMCancelMode (TControl)
pt | WMContextMenu (TControl)
pt | WMLButtonDBLCLK (TControl)
pt | WMLButtonDown (TControl)
pt | WMLButtonQuadCLK (TControl)
pt | WMLButtonTripleCLK (TControl)
pt | WMLButtonUp (TControl)
pt | WMMButtonDBLCLK (TControl)
pt | WMMButtonDown (TControl)
pt | WMMButtonQuadCLK (TControl)
pt | WMMButtonTripleCLK (TControl)
pt | WMMButtonUp (TControl)
pt | WMMouseHWheel (TControl)
pt | WMMouseMove (TControl)
pt | WMMouseWheel (TControl)
pt | WMMove (TControl)
pt | WMRButtonDBLCLK (TControl)
pt | WMRButtonDown (TControl)
pt | WMRButtonQuadCLK (TControl)
pt | WMRButtonTripleCLK (TControl)
pt | WMRButtonUp (TControl)
pt | WMSize (TControl)
pt | WMWindowPosChanged (TControl)
pt | WMXButtonDBLCLK (TControl)
pt | WMXButtonDown (TControl)
pt | WMXButtonQuadCLK (TControl)
pt | WMXButtonTripleCLK (TControl)
pt | WMXButtonUp (TControl)
pt | WndProc (TControl)
 | WriteLayoutDebugReport (TControl)
 | WriteLeft (TComponent)
 | WriteState (TComponent)
 | WriteTop (TComponent)
pt | WSRegisterClass (TLCLComponent)
pt | WSRegisterClass (TControl)
pt | WSRegisterClass (TGraphicControl)
pt | WSRegisterClass (TBevel)
 | _AddRef (TComponent)
 | _Release (TComponent)


TBevel
pl | ro | OnChangeBounds
pl | ro | OnResize
pl | ro | OnMouseDown
pl | ro | OnMouseEnter
pl | ro | OnMouseLeave
pl | ro | OnMouseMove
pl | ro | OnMouseUp
pl | ro | OnMouseWheel
pl | ro | OnMouseWheelDown
pl | ro | OnMouseWheelUp
pl | ro | OnPaint
TGraphicControl
pt |  | OnPaint
TControl
pt |  | OnConstrainedResize
pt |  | OnContextPopup
pt |  | OnDblClick
pt |  | OnTripleClick
pt |  | OnQuadClick
pt |  | OnDragDrop
pt |  | OnDragOver
pt |  | OnEndDock
pt |  | OnEndDrag
pt |  | OnMouseDown
pt |  | OnMouseMove
pt |  | OnMouseUp
pt |  | OnMouseEnter
pt |  | OnMouseLeave
pt |  | OnMouseWheel
pt |  | OnMouseWheelDown
pt |  | OnMouseWheelUp
pt |  | OnMouseWheelHorz
pt |  | OnMouseWheelLeft
pt |  | OnMouseWheelRight
pt |  | OnStartDock
pt |  | OnStartDrag
pt |  | OnEditingDone
 |  | OnChangeBounds
 |  | OnClick
 |  | OnResize
 |  | OnShowHint
TLCLComponent
TComponent
TPersistent
TObject


pl | ro | OnChangeBounds (TBevel)
 |  | OnClick (TControl)
pt |  | OnConstrainedResize (TControl)
pt |  | OnContextPopup (TControl)
pt |  | OnDblClick (TControl)
pt |  | OnDragDrop (TControl)
pt |  | OnDragOver (TControl)
pt |  | OnEditingDone (TControl)
pt |  | OnEndDock (TControl)
pt |  | OnEndDrag (TControl)
pt |  | OnMouseDown (TControl)
pl | ro | OnMouseDown (TBevel)
pt |  | OnMouseEnter (TControl)
pl | ro | OnMouseEnter (TBevel)
pt |  | OnMouseLeave (TControl)
pl | ro | OnMouseLeave (TBevel)
pt |  | OnMouseMove (TControl)
pl | ro | OnMouseMove (TBevel)
pt |  | OnMouseUp (TControl)
pl | ro | OnMouseUp (TBevel)
pt |  | OnMouseWheel (TControl)
pl | ro | OnMouseWheel (TBevel)
pt |  | OnMouseWheelDown (TControl)
pl | ro | OnMouseWheelDown (TBevel)
pt |  | OnMouseWheelHorz (TControl)
pt |  | OnMouseWheelLeft (TControl)
pt |  | OnMouseWheelRight (TControl)
pt |  | OnMouseWheelUp (TControl)
pl | ro | OnMouseWheelUp (TBevel)
pt |  | OnPaint (TGraphicControl)
pl | ro | OnPaint (TBevel)
pt |  | OnQuadClick (TControl)
 |  | OnResize (TControl)
pl | ro | OnResize (TBevel)
 |  | OnShowHint (TControl)
pt |  | OnStartDock (TControl)
pt |  | OnStartDrag (TControl)
pt |  | OnTripleClick (TControl)


TBevel.Create

Create - constructor for TBevel: calls inherited Create then sets initial style, shape and bounds

Declaration

Source position: extctrls.pp line 639

public constructor TBevel.Create(

  AOwner: TComponent

); override;

See also

TGraphicControl.Create


TBevel.GetControlClassDefaultSize

Declaration

Source position: extctrls.pp line 636

protected class function TBevel.GetControlClassDefaultSize: TSize; override;


TBevel.OnMouseEnter

Declaration

Source position: extctrls.pp line 655

published property TBevel.OnMouseEnter : TNotifyEvent;


TBevel.OnMouseLeave

Declaration

Source position: extctrls.pp line 656

published property TBevel.OnMouseLeave : TNotifyEvent;


TBevel.OnMouseWheel

Declaration

Source position: extctrls.pp line 659

published property TBevel.OnMouseWheel : TMouseWheelEvent;


TBevel.OnMouseWheelDown

Declaration

Source position: extctrls.pp line 660

published property TBevel.OnMouseWheelDown : TMouseWheelUpDownEvent;


TBevel.OnMouseWheelUp

Declaration

Source position: extctrls.pp line 661

published property TBevel.OnMouseWheelUp : TMouseWheelUpDownEvent;


TBevel.ParentShowHint

Declaration

Source position: extctrls.pp line 647

published property TBevel.ParentShowHint : Boolean;


TBevel.Shape

Shape - whether a box, a frame or a line along one of the edges

Declaration

Source position: extctrls.pp line 648

published property TBevel.Shape : TBevelShape
  read FShape
  write SetShape
  default bsBox;

See also

#lcl.ExtCtrls.TBevelShape

TBevelShape - enumerated type for shape of bevel


TBevel.ShowHint

Declaration

Source position: extctrls.pp line 649

published property TBevel.ShowHint : Boolean;


TBevel.Style

Style - whether raised or lowered

Declaration

Source position: extctrls.pp line 650

published property TBevel.Style : TBevelStyle
  read FStyle
  write SetStyle
  default bsLowered;

See also

#lcl.ExtCtrls.TBevelStyle

TBevelStyle - enumerated type for bevel style: lowered or raised


TBevelShape

TBevelShape - enumerated type for shape of bevel

Declaration

Source position: extctrls.pp line 626

type TBevelShape = (

  bsBox,

  bsFrame,

  bsTopLine,

  bsBottomLine,

  bsLeftLine,

  bsRightLine,

  bsSpacer

);

Description

TBevelShape - enumerated type for shape of bevel

bsBox
  bsFrame
  bsTopLine
  bsBottomLine
  bsLeftLine
  bsRightLine


TBevelStyle

TBevelStyle - enumerated type for bevel style: lowered or raised

Declaration

Source position: extctrls.pp line 625

type TBevelStyle = (

  bsLowered,

  bsRaised

);


TBevelWidth

Declaration

Source position: extctrls.pp line 1053

type TBevelWidth = 1..Maxint;


TBoundLabel

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

TBoundLabel: A label bound to another object, for example in TLabeledEdit

Declaration

Source position: extctrls.pp line 911

type TBoundLabel = class(TCustomLabel)
public
constructor Create(); override; | Create - constructor for TBoundLabel: calls inherited Create, makes itself a SubComponent to the Owner, and sets its caption to the owner name
property FocusControl: TWinControl; | FocusControl - whether this control has focus
published
property AnchorSideLeft: TAnchorSide; [s]
property AnchorSideTop: TAnchorSide; [s]
property AnchorSideRight: TAnchorSide; [s]
property AnchorSideBottom: TAnchorSide; [s]
property Left: Integer; [s] | The client coordinate of the left edge of the control.
property Top: Integer; [s] | The client coordinate of the top edge of the control.
property Caption: TCaption; | The text describing the control to the user.
property Color: TColor; | The background color of the control.
property DragCursor: TCursor; | The cursor shape shown while the control is dragged.
property DragMode: TDragMode; | Allows the user to drag the control.
property Height: Integer; | The vertical size of the control.
property ParentColor: Boolean; | If true, the Color of the control will be the same as the one from the Parent. Default is true.
property ParentFont: Boolean; | If true, the Font of the control will be the same as the one from the Parent. Default is true.
property ParentShowHint: Boolean; | If true, the value of ShowHint for the control will be the same as the one from the Parent. Default is true.
property Font: TFont;
property PopupMenu: TPopupMenu; | A context-sensitive menu that pops up when the right mouse button is clicked over this control
property ShowAccelChar: Boolean; | Underlines the character in the label that acts as an accelerator with a shortcut key.
property ShowHint: Boolean; | Enables the Hint display.
property Layout: TTextLayout; | Vertical alignment of the text (at top, bottom or centered).
property WordWrap: Boolean; | Allows text to wrap into multiple lines, when the text is too long for the available Width.
property OnClick: TNotifyEvent; | Notification handler for mouse clicks.
property OnDblClick: TNotifyEvent; | Event Handler for double mouse clicks.
property OnDragDrop: TDragDropEvent; | This handler determines the action on an drop onto this control, in a drag-drop operation.
property OnDragOver: TDragOverEvent; | Event handler for a control being dragged over this control.
property OnEndDrag: TEndDragEvent; | Notification handler for the end of a dragging operation.
property OnMouseDown: TMouseEvent; | Event handler for mouse button going down.
property OnMouseEnter: TNotifyEvent;
property OnMouseLeave: TNotifyEvent;
property OnMouseMove: TMouseMoveEvent; | Event handler for mouse movement within the control.
property OnMouseUp: TMouseEvent; | Event handler for mouse button going up.
property OnMouseWheel: TMouseWheelEvent;
property OnMouseWheelDown: TMouseWheelUpDownEvent;
property OnMouseWheelUp: TMouseWheelUpDownEvent;
property OnStartDrag: TStartDragEvent; | Event handler for the start of a dragging operation.
end;

Inheritance

TBoundLabel | TBoundLabel: A label bound to another object, for example in TLabeledEdit
|
TCustomLabel | The base class for TLabel.
|
TGraphicControl | TGraphicControl is the base class for all lightweight controls.
|
TControl | The base class for visible controls.
|
TLCLComponent | The base class for LCL components associated with widgets.
|
TComponent,IUnknown,IInterfaceComponentReference
|
TPersistent,IFPObserved
|
TObject

Description

TBoundLabel: A label bound to another object, for example in TLabeledEdit

See also

TLabeledEdit

Labelled Edit: An Edit Box with a permanently attached Label


TBoundLabel
 | ro | FocusControl
pl | ro | AnchorSideLeft
pl | ro | AnchorSideTop
pl | ro | AnchorSideRight
pl | ro | AnchorSideBottom
pl | ro | Left
pl | ro | Top
pl | ro | Caption
pl | ro | Color
pl | ro | DragCursor
pl | ro | DragMode
pl | ro | Height
pl | ro | ParentColor
pl | ro | ParentFont
pl | ro | ParentShowHint
pl | ro | Font
pl | ro | PopupMenu
pl | ro | ShowAccelChar
pl | ro | ShowHint
pl | ro | Layout
pl | ro | WordWrap
TCustomLabel
pt |  | Alignment
pt |  | FocusControl
pt |  | Layout
pt |  | ShowAccelChar
pt |  | Transparent
pt |  | WordWrap
pt |  | OptimalFill
 | ro | AutoSize
 | ro | Color
TGraphicControl
 | ro | Canvas
TControl
pt | ro | AutoSizing
pt | ro | AutoSizingAll
pt | ro | AutoSizingLockCount
pt |  | ActionLink
pt |  | DesktopFont
pt |  | DragCursor
pt |  | DragKind
pt |  | DragMode
pt |  | MouseCapture
pt |  | ParentColor
pt |  | ParentFont
pt |  | ParentShowHint
pt |  | SessionProperties
pt |  | Text
 | ro | AnchoredControls
 | ro | BaseBounds
 | ro | ReadBounds
 | ro | BaseParentClientSize
 |  | AccessibleDescription
 |  | AccessibleValue
 |  | AccessibleRole
 |  | Action
 |  | Align
 |  | Anchors
 | ro | AnchorSide
 |  | AutoSize
 |  | BorderSpacing
 |  | BoundsRect
 |  | BoundsRectForNewParent
 |  | Caption
 |  | CaptureMouseButtons
 |  | ClientHeight
 | ro | ClientOrigin
 | ro | ClientRect
 |  | ClientWidth
 |  | Color
 |  | Constraints
 | ro | ControlOrigin
 |  | ControlState
 |  | ControlStyle
 |  | Enabled
 |  | Font
 |  | IsControl
 | ro | MouseEntered
 | ro | MouseInClient
 |  | Parent
 |  | PopupMenu
 |  | ShowHint
 |  | Visible
 |  | WindowProc
 |  | DockOrientation
 | ro | Floating
 |  | FloatingDockSiteClass
 |  | HostDockSite
 |  | LRDockWidth
 |  | TBDockHeight
 |  | UndockHeight
 |  | UndockWidth
 |  | BiDiMode
 |  | ParentBiDiMode
pl |  | AnchorSideLeft
pl |  | AnchorSideTop
pl |  | AnchorSideRight
pl |  | AnchorSideBottom
pl |  | Cursor
pl |  | Left
pl |  | Height
pl |  | Hint
pl |  | Top
pl |  | Width
pl |  | HelpType
pl |  | HelpKeyword
pl |  | HelpContext
TLCLComponent
 | ro | LCLRefCount
 | ro | WidgetSetClass
TComponent
 | ro | ComObject
 | ro | Components
 | ro | ComponentCount
 |  | ComponentIndex
 | ro | ComponentState
 | ro | ComponentStyle
 |  | DesignInfo
 | ro | Owner
 |  | VCLComObject
 |  | Name
 |  | Tag
TPersistent
TObject


 |  | AccessibleDescription (TControl)
 |  | AccessibleRole (TControl)
 |  | AccessibleValue (TControl)
 |  | Action (TControl)
pt |  | ActionLink (TControl)
 |  | Align (TControl)
pt |  | Alignment (TCustomLabel)
 | ro | AnchoredControls (TControl)
 |  | Anchors (TControl)
 | ro | AnchorSide (TControl)
pl |  | AnchorSideBottom (TControl)
pl | ro | AnchorSideBottom (TBoundLabel)
pl |  | AnchorSideLeft (TControl)
pl | ro | AnchorSideLeft (TBoundLabel)
pl |  | AnchorSideRight (TControl)
pl | ro | AnchorSideRight (TBoundLabel)
pl |  | AnchorSideTop (TControl)
pl | ro | AnchorSideTop (TBoundLabel)
 |  | AutoSize (TControl)
 | ro | AutoSize (TCustomLabel)
pt | ro | AutoSizing (TControl)
pt | ro | AutoSizingAll (TControl)
pt | ro | AutoSizingLockCount (TControl)
 | ro | BaseBounds (TControl)
 | ro | BaseParentClientSize (TControl)
 |  | BiDiMode (TControl)
 |  | BorderSpacing (TControl)
 |  | BoundsRect (TControl)
 |  | BoundsRectForNewParent (TControl)
 | ro | Canvas (TGraphicControl)
 |  | Caption (TControl)
pl | ro | Caption (TBoundLabel)
 |  | CaptureMouseButtons (TControl)
 |  | ClientHeight (TControl)
 | ro | ClientOrigin (TControl)
 | ro | ClientRect (TControl)
 |  | ClientWidth (TControl)
 |  | Color (TControl)
 | ro | Color (TCustomLabel)
pl | ro | Color (TBoundLabel)
 | ro | ComObject (TComponent)
 | ro | ComponentCount (TComponent)
 |  | ComponentIndex (TComponent)
 | ro | Components (TComponent)
 | ro | ComponentState (TComponent)
 | ro | ComponentStyle (TComponent)
 |  | Constraints (TControl)
 | ro | ControlOrigin (TControl)
 |  | ControlState (TControl)
 |  | ControlStyle (TControl)
pl |  | Cursor (TControl)
 |  | DesignInfo (TComponent)
pt |  | DesktopFont (TControl)
 |  | DockOrientation (TControl)
pt |  | DragCursor (TControl)
pl | ro | DragCursor (TBoundLabel)
pt |  | DragKind (TControl)
pt |  | DragMode (TControl)
pl | ro | DragMode (TBoundLabel)
 |  | Enabled (TControl)
 | ro | Floating (TControl)
 |  | FloatingDockSiteClass (TControl)
pt |  | FocusControl (TCustomLabel)
 | ro | FocusControl (TBoundLabel)
 |  | Font (TControl)
pl | ro | Font (TBoundLabel)
pl |  | Height (TControl)
pl | ro | Height (TBoundLabel)
pl |  | HelpContext (TControl)
pl |  | HelpKeyword (TControl)
pl |  | HelpType (TControl)
pl |  | Hint (TControl)
 |  | HostDockSite (TControl)
 |  | IsControl (TControl)
pt |  | Layout (TCustomLabel)
pl | ro | Layout (TBoundLabel)
 | ro | LCLRefCount (TLCLComponent)
pl |  | Left (TControl)
pl | ro | Left (TBoundLabel)
 |  | LRDockWidth (TControl)
pt |  | MouseCapture (TControl)
 | ro | MouseEntered (TControl)
 | ro | MouseInClient (TControl)
 |  | Name (TComponent)
pt |  | OptimalFill (TCustomLabel)
 | ro | Owner (TComponent)
 |  | Parent (TControl)
 |  | ParentBiDiMode (TControl)
pt |  | ParentColor (TControl)
pl | ro | ParentColor (TBoundLabel)
pt |  | ParentFont (TControl)
pl | ro | ParentFont (TBoundLabel)
pt |  | ParentShowHint (TControl)
pl | ro | ParentShowHint (TBoundLabel)
 |  | PopupMenu (TControl)
pl | ro | PopupMenu (TBoundLabel)
 | ro | ReadBounds (TControl)
pt |  | SessionProperties (TControl)
pt |  | ShowAccelChar (TCustomLabel)
pl | ro | ShowAccelChar (TBoundLabel)
 |  | ShowHint (TControl)
pl | ro | ShowHint (TBoundLabel)
 |  | Tag (TComponent)
 |  | TBDockHeight (TControl)
pt |  | Text (TControl)
pl |  | Top (TControl)
pl | ro | Top (TBoundLabel)
pt |  | Transparent (TCustomLabel)
 |  | UndockHeight (TControl)
 |  | UndockWidth (TControl)
 |  | VCLComObject (TComponent)
 |  | Visible (TControl)
 | ro | WidgetSetClass (TLCLComponent)
pl |  | Width (TControl)
 |  | WindowProc (TControl)
pt |  | WordWrap (TCustomLabel)
pl | ro | WordWrap (TBoundLabel)


TBoundLabel
 | Create
TCustomLabel
pt | WSRegisterClass
pt | CanTab
pt | DoMeasureTextPosition
pt | HasMultiLine
pt | CalculatePreferredSize
pt | CalculateSize
pt | DoAutoSize
pt | DialogChar
pt | TextChanged
pt | DoSetBounds
pt | FontChanged
pt | GetControlClassDefaultSize
pt | WMActivate
pt | Notification
pt | GetLabelText
pt | GetTransparent
pt | SetColor
pt | SetFocusControl
pt | SetLayout
pt | SetShowAccelChar
pt | SetTransparent
pt | SetWordWrap
pt | Loaded
pt | UpdateSize
 | Create
 | CalcFittingFontHeight
 | ColorIsStored
 | AdjustFontForOptimalFill
 | Paint
 | SetBounds
TGraphicControl
pt | WSRegisterClass
pt | FontChanged
pt | Paint
pt | DoOnChangeBounds
pt | DoOnParentHandleDestruction
pt | CMCursorChanged
 | Create
 | Destroy
TControl
pt | WSRegisterClass
pt | GetCursor
pt | SetCursor
pt | SetVisible
pt | DoOnParentHandleDestruction
pt | DoAutoSize
pt | DoAllAutoSize
pt | BeginAutoSizing
pt | EndAutoSizing
pt | AnchorSideChanged
pt | ForeignAnchorSideChanged
pt | SetAlign
pt | SetAnchors
pt | SetAutoSize
pt | BoundsChanged
pt | CreateControlBorderSpacing
pt | DoConstraintsChange
pt | DoBorderSpacingChange
pt | IsBorderSpacingInnerBorderStored
pt | IsCaptionStored
pt | SendMoveSizeMessages
pt | ConstrainedResize
pt | CalculatePreferredSize
pt | DoOnResize
pt | DoOnChangeBounds
pt | CheckOnChangeBounds
pt | Resize
pt | RequestAlign
pt | UpdateAnchorRules
pt | ChangeBounds
pt | DoSetBounds
pt | ScaleConstraints
pt | ChangeScale
pt | CanAutoSize
pt | SetBiDiMode
pt | SetParentBiDiMode
pt | IsAParentAligning
pt | GetClientOrigin
pt | GetClientRect
pt | GetLogicalClientRect
pt | GetScrolledClientRect
pt | GetClientScrollOffset
pt | GetControlOrigin
pt | IsClientHeightStored
pt | IsClientWidthStored
pt | WidthIsAnchored
pt | HeightIsAnchored
pt | WMCancelMode
pt | WMContextMenu
pt | WMLButtonDown
pt | WMRButtonDown
pt | WMMButtonDown
pt | WMXButtonDown
pt | WMLButtonDBLCLK
pt | WMRButtonDBLCLK
pt | WMMButtonDBLCLK
pt | WMXButtonDBLCLK
pt | WMLButtonTripleCLK
pt | WMRButtonTripleCLK
pt | WMMButtonTripleCLK
pt | WMXButtonTripleCLK
pt | WMLButtonQuadCLK
pt | WMRButtonQuadCLK
pt | WMMButtonQuadCLK
pt | WMXButtonQuadCLK
pt | WMMouseMove
pt | WMLButtonUp
pt | WMRButtonUp
pt | WMMButtonUp
pt | WMXButtonUp
pt | WMMouseWheel
pt | WMMouseHWheel
pt | WMMove
pt | WMSize
pt | WMWindowPosChanged
pt | CMChanged
pt | LMCaptureChanged
pt | CMBiDiModeChanged
pt | CMSysFontChanged
pt | CMEnabledChanged
pt | CMHitTest
pt | CMMouseEnter
pt | CMMouseLeave
pt | CMHintShow
pt | CMParentBiDiModeChanged
pt | CMParentColorChanged
pt | CMParentFontChanged
pt | CMParentShowHintChanged
pt | CMVisibleChanged
pt | CMTextChanged
pt | CMCursorChanged
pt | CalculateDockSizes
pt | CreateFloatingDockSite
pt | GetDockEdge
pt | GetDragImages
pt | GetFloating
pt | GetFloatingDockSiteClass
pt | BeforeDragStart
pt | BeginAutoDrag
pt | DoFloatMsg
pt | DockTrackNoTarget
pt | DoDock
pt | DoDragMsg
pt | DoEndDock
pt | DoEndDrag
pt | DoStartDock
pt | DoStartDrag
pt | DragCanceled
pt | DragOver
pt | PositionDockRect
pt | SetDragMode
pt | GetDefaultDockCaption
pt | Click
pt | DblClick
pt | TripleClick
pt | QuadClick
pt | GetMousePosFromMessage
pt | MouseDown
pt | MouseMove
pt | MouseUp
pt | MouseEnter
pt | MouseLeave
pt | DialogChar
pt | UpdateMouseCursor
pt | Changed
pt | GetPalette
pt | ChildClassAllowed
pt | ReadState
pt | Loaded
pt | LoadedAll
pt | DefineProperties
pt | AssignTo
pt | FormEndUpdated
pt | InvalidateControl
pt | FontChanged
pt | ParentFontChanged
pt | GetAction
pt | RealGetText
pt | RealSetText
pt | TextChanged
pt | GetCachedText
pt | SetAction
pt | SetColor
pt | SetEnabled
pt | SetHint
pt | SetName
pt | SetParent
pt | SetParentComponent
pt | WndProc
pt | ParentFormHandleInitialized
pt | GetMouseCapture
pt | CaptureChanged
pt | Notification
pt | CanTab
pt | GetDeviceContext
pt | GetEnabled
pt | GetPopupMenu
pt | DoOnShowHint
pt | DoMouseWheel
pt | DoMouseWheelDown
pt | DoMouseWheelUp
pt | DoMouseWheelHorz
pt | DoMouseWheelLeft
pt | DoMouseWheelRight
pt | VisibleChanging
pt | VisibleChanged
pt | EnabledChanging
pt | EnabledChanged
pt | AddHandler
pt | RemoveHandler
pt | DoCallNotifyHandler
pt | DoCallKeyEventHandler
pt | DoCallMouseWheelEventHandler
pt | DoContextPopup
pt | SetZOrder
pt | GetControlClassDefaultSize
pt | ColorIsStored
pt | DoAutoAdjustLayout
pt | DoFixDesignFontPPI
pt | DoScaleFontPPI
pt | GetActionLinkClass
pt | ActionChange
 | DragDrop
 | Dock
 | ManualDock
 | ManualFloat
 | ReplaceDockedControl
 | Docked
 | Dragging
 | GetAccessibleObject
 | CreateAccessibleObject
 | GetSelectedChildAccessibleObject
 | GetChildAccessibleObjectAtPos
 | ScaleDesignToForm
 | ScaleFormToDesign
 | Scale96ToForm
 | ScaleFormTo96
 | Scale96ToFont
 | ScaleFontTo96
 | ScaleScreenToFont
 | ScaleFontToScreen
 | Scale96ToScreen
 | ScaleScreenTo96
 | AdjustSize
 | AutoSizePhases
 | AutoSizeDelayed
 | AutoSizeDelayedReport
 | AutoSizeDelayedHandle
 | AnchorToNeighbour
 | AnchorParallel
 | AnchorHorizontalCenterTo
 | AnchorVerticalCenterTo
 | AnchorToCompanion
 | AnchorSame
 | AnchorAsAlign
 | AnchorClient
 | AnchoredControlCount
 | SetBounds
 | SetInitialBounds
 | SetBoundsKeepBase
 | GetPreferredSize
 | GetCanvasScaleFactor
 | GetDefaultWidth
 | GetDefaultHeight
 | GetDefaultColor
 | GetColorResolvingParent
 | GetRGBColorResolvingParent
 | GetSidePosition
 | CNPreferredSizeChanged
 | InvalidatePreferredSize
 | GetAnchorsDependingOnParent
 | DisableAutoSizing
 | EnableAutoSizing
 | UpdateBaseBounds
 | WriteLayoutDebugReport
 | AutoAdjustLayout
 | ShouldAutoAdjust
 | FixDesignFontsPPI
 | ScaleFontsPPI
 | Create
 | Destroy
 | BeforeDestruction
 | EditingDone
 | ExecuteDefaultAction
 | ExecuteCancelAction
 | BeginDrag
 | EndDrag
 | BringToFront
 | HasParent
 | GetParentComponent
 | IsParentOf
 | GetTopParent
 | IsVisible
 | IsControlVisible
 | IsEnabled
 | IsParentColor
 | IsParentFont
 | FormIsUpdating
 | IsProcessingPaintMsg
 | Hide
 | Refresh
 | Repaint
 | Invalidate
 | CheckChildClassAllowed
 | CheckNewParent
 | SendToBack
 | SetTempCursor
 | UpdateRolesForForm
 | ActiveDefaultControlChanged
 | GetTextBuf
 | GetTextLen
 | SetTextBuf
 | Perform
 | ScreenToClient
 | ClientToScreen
 | ScreenToControl
 | ControlToScreen
 | ClientToParent
 | ParentToClient
 | GetChildrenRect
 | Show
 | Update
 | HandleObjectShouldBeVisible
 | ParentDestroyingHandle
 | ParentHandlesAllocated
 | InitiateAction
 | ShowHelp
 | HasHelp
 | RemoveAllHandlersOfObject
 | AddHandlerOnResize
 | RemoveHandlerOnResize
 | AddHandlerOnChangeBounds
 | RemoveHandlerOnChangeBounds
 | AddHandlerOnVisibleChanging
 | RemoveHandlerOnVisibleChanging
 | AddHandlerOnVisibleChanged
 | RemoveHandlerOnVisibleChanged
 | AddHandlerOnEnabledChanged
 | RemoveHandlerOnEnableChanging
 | AddHandlerOnKeyDown
 | RemoveHandlerOnKeyDown
 | AddHandlerOnBeforeDestruction
 | RemoveHandlerOnBeforeDestruction
 | AddHandlerOnMouseWheel
 | RemoveHandlerOnMouseWheel
 | UseRightToLeftAlignment
 | UseRightToLeftReading
 | UseRightToLeftScrollBar
 | IsRightToLeft
TLCLComponent
pt | WSRegisterClass
pt | GetWSComponentClass
 | Create
 | Destroy
 | NewInstance
 | RemoveAllHandlersOfObject
 | IncLCLRefCount
 | DecLCLRefCount
TComponent
 | GetComObject
 | GetComponent
 | GetComponentCount
 | GetComponentIndex
 | Insert
 | ReadLeft
 | ReadTop
 | Remove
 | RemoveNotification
 | SetComponentIndex
 | SetReference
 | WriteLeft
 | WriteTop
 | ChangeName
 | DefineProperties
 | GetChildren
 | GetChildOwner
 | GetChildParent
 | GetOwner
 | Loaded
 | Loading
 | Notification
 | PaletteCreated
 | ReadState
 | SetAncestor
 | SetDesigning
 | SetDesignInstance
 | SetInline
 | SetName
 | SetChildOrder
 | SetParentComponent
 | Updating
 | Updated
 | UpdateRegistry
 | ValidateRename
 | ValidateContainer
 | ValidateInsert
 | QueryInterface
 | _AddRef
 | _Release
 | iicrGetComponent
 | GetTypeInfoCount
 | GetTypeInfo
 | GetIDsOfNames
 | Invoke
 | WriteState
 | Create
 | Destroy
 | BeforeDestruction
 | DestroyComponents
 | Destroying
 | ExecuteAction
 | FindComponent
 | FreeNotification
 | RemoveFreeNotification
 | FreeOnRelease
 | GetEnumerator
 | GetNamePath
 | GetParentComponent
 | HasParent
 | InsertComponent
 | RemoveComponent
 | SafeCallException
 | SetSubComponent
 | UpdateAction
 | IsImplementorOf
 | ReferenceInterface
TPersistent
 | AssignError
 | AssignTo
 | DefineProperties
 | GetOwner
 | Destroy
 | Assign
 | FPOAttachObserver
 | FPODetachObserver
 | FPONotifyObservers
 | GetNamePath
TObject
 | Create
 | Destroy
 | newinstance
 | FreeInstance
 | SafeCallException
 | DefaultHandler
 | Free
 | InitInstance
 | CleanupInstance
 | ClassType
 | ClassInfo
 | ClassName
 | ClassNameIs
 | ClassParent
 | InstanceSize
 | InheritsFrom
 | StringMessageTable
 | MethodAddress
 | MethodName
 | FieldAddress
 | AfterConstruction
 | BeforeDestruction
 | DefaultHandlerStr
 | Dispatch
 | DispatchStr
 | GetInterface
 | GetInterfaceByStr
 | GetInterfaceWeak
 | GetInterfaceEntry
 | GetInterfaceEntryByStr
 | GetInterfaceTable
 | UnitName
 | Equals
 | GetHashCode
 | ToString


pt | ActionChange (TControl)
 | ActiveDefaultControlChanged (TControl)
pt | AddHandler (TControl)
 | AddHandlerOnBeforeDestruction (TControl)
 | AddHandlerOnChangeBounds (TControl)
 | AddHandlerOnEnabledChanged (TControl)
 | AddHandlerOnKeyDown (TControl)
 | AddHandlerOnMouseWheel (TControl)
 | AddHandlerOnResize (TControl)
 | AddHandlerOnVisibleChanged (TControl)
 | AddHandlerOnVisibleChanging (TControl)
 | AdjustFontForOptimalFill (TCustomLabel)
 | AdjustSize (TControl)
 | AfterConstruction (TObject)
 | AnchorAsAlign (TControl)
 | AnchorClient (TControl)
 | AnchoredControlCount (TControl)
 | AnchorHorizontalCenterTo (TControl)
 | AnchorParallel (TControl)
 | AnchorSame (TControl)
pt | AnchorSideChanged (TControl)
 | AnchorToCompanion (TControl)
 | AnchorToNeighbour (TControl)
 | AnchorVerticalCenterTo (TControl)
 | Assign (TPersistent)
 | AssignError (TPersistent)
 | AssignTo (TPersistent)
pt | AssignTo (TControl)
 | AutoAdjustLayout (TControl)
 | AutoSizeDelayed (TControl)
 | AutoSizeDelayedHandle (TControl)
 | AutoSizeDelayedReport (TControl)
 | AutoSizePhases (TControl)
 | BeforeDestruction (TObject)
 | BeforeDestruction (TComponent)
 | BeforeDestruction (TControl)
pt | BeforeDragStart (TControl)
pt | BeginAutoDrag (TControl)
pt | BeginAutoSizing (TControl)
 | BeginDrag (TControl)
pt | BoundsChanged (TControl)
 | BringToFront (TControl)
 | CalcFittingFontHeight (TCustomLabel)
pt | CalculateDockSizes (TControl)
pt | CalculatePreferredSize (TControl)
pt | CalculatePreferredSize (TCustomLabel)
pt | CalculateSize (TCustomLabel)
pt | CanAutoSize (TControl)
pt | CanTab (TControl)
pt | CanTab (TCustomLabel)
pt | CaptureChanged (TControl)
pt | ChangeBounds (TControl)
pt | Changed (TControl)
 | ChangeName (TComponent)
pt | ChangeScale (TControl)
 | CheckChildClassAllowed (TControl)
 | CheckNewParent (TControl)
pt | CheckOnChangeBounds (TControl)
pt | ChildClassAllowed (TControl)
 | ClassInfo (TObject)
 | ClassName (TObject)
 | ClassNameIs (TObject)
 | ClassParent (TObject)
 | ClassType (TObject)
 | CleanupInstance (TObject)
pt | Click (TControl)
 | ClientToParent (TControl)
 | ClientToScreen (TControl)
pt | CMBiDiModeChanged (TControl)
pt | CMChanged (TControl)
pt | CMCursorChanged (TControl)
pt | CMCursorChanged (TGraphicControl)
pt | CMEnabledChanged (TControl)
pt | CMHintShow (TControl)
pt | CMHitTest (TControl)
pt | CMMouseEnter (TControl)
pt | CMMouseLeave (TControl)
pt | CMParentBiDiModeChanged (TControl)
pt | CMParentColorChanged (TControl)
pt | CMParentFontChanged (TControl)
pt | CMParentShowHintChanged (TControl)
pt | CMSysFontChanged (TControl)
pt | CMTextChanged (TControl)
pt | CMVisibleChanged (TControl)
 | CNPreferredSizeChanged (TControl)
pt | ColorIsStored (TControl)
 | ColorIsStored (TCustomLabel)
pt | ConstrainedResize (TControl)
 | ControlToScreen (TControl)
 | Create (TObject)
 | Create (TComponent)
 | Create (TLCLComponent)
 | Create (TControl)
 | Create (TGraphicControl)
 | Create (TCustomLabel)
 | Create (TBoundLabel)
 | CreateAccessibleObject (TControl)
pt | CreateControlBorderSpacing (TControl)
pt | CreateFloatingDockSite (TControl)
pt | DblClick (TControl)
 | DecLCLRefCount (TLCLComponent)
 | DefaultHandler (TObject)
 | DefaultHandlerStr (TObject)
 | DefineProperties (TPersistent)
 | DefineProperties (TComponent)
pt | DefineProperties (TControl)
 | Destroy (TObject)
 | Destroy (TPersistent)
 | Destroy (TComponent)
 | Destroy (TLCLComponent)
 | Destroy (TControl)
 | Destroy (TGraphicControl)
 | DestroyComponents (TComponent)
 | Destroying (TComponent)
pt | DialogChar (TControl)
pt | DialogChar (TCustomLabel)
 | DisableAutoSizing (TControl)
 | Dispatch (TObject)
 | DispatchStr (TObject)
pt | DoAllAutoSize (TControl)
pt | DoAutoAdjustLayout (TControl)
pt | DoAutoSize (TControl)
pt | DoAutoSize (TCustomLabel)
pt | DoBorderSpacingChange (TControl)
pt | DoCallKeyEventHandler (TControl)
pt | DoCallMouseWheelEventHandler (TControl)
pt | DoCallNotifyHandler (TControl)
 | Dock (TControl)
 | Docked (TControl)
pt | DockTrackNoTarget (TControl)
pt | DoConstraintsChange (TControl)
pt | DoContextPopup (TControl)
pt | DoDock (TControl)
pt | DoDragMsg (TControl)
pt | DoEndDock (TControl)
pt | DoEndDrag (TControl)
pt | DoFixDesignFontPPI (TControl)
pt | DoFloatMsg (TControl)
pt | DoMeasureTextPosition (TCustomLabel)
pt | DoMouseWheel (TControl)
pt | DoMouseWheelDown (TControl)
pt | DoMouseWheelHorz (TControl)
pt | DoMouseWheelLeft (TControl)
pt | DoMouseWheelRight (TControl)
pt | DoMouseWheelUp (TControl)
pt | DoOnChangeBounds (TControl)
pt | DoOnChangeBounds (TGraphicControl)
pt | DoOnParentHandleDestruction (TControl)
pt | DoOnParentHandleDestruction (TGraphicControl)
pt | DoOnResize (TControl)
pt | DoOnShowHint (TControl)
pt | DoScaleFontPPI (TControl)
pt | DoSetBounds (TControl)
pt | DoSetBounds (TCustomLabel)
pt | DoStartDock (TControl)
pt | DoStartDrag (TControl)
pt | DragCanceled (TControl)
 | DragDrop (TControl)
 | Dragging (TControl)
pt | DragOver (TControl)
 | EditingDone (TControl)
 | EnableAutoSizing (TControl)
pt | EnabledChanged (TControl)
pt | EnabledChanging (TControl)
pt | EndAutoSizing (TControl)
 | EndDrag (TControl)
 | Equals (TObject)
 | ExecuteAction (TComponent)
 | ExecuteCancelAction (TControl)
 | ExecuteDefaultAction (TControl)
 | FieldAddress (TObject)
 | FindComponent (TComponent)
 | FixDesignFontsPPI (TControl)
pt | FontChanged (TControl)
pt | FontChanged (TGraphicControl)
pt | FontChanged (TCustomLabel)
pt | ForeignAnchorSideChanged (TControl)
pt | FormEndUpdated (TControl)
 | FormIsUpdating (TControl)
 | FPOAttachObserver (TPersistent)
 | FPODetachObserver (TPersistent)
 | FPONotifyObservers (TPersistent)
 | Free (TObject)
 | FreeInstance (TObject)
 | FreeNotification (TComponent)
 | FreeOnRelease (TComponent)
 | GetAccessibleObject (TControl)
pt | GetAction (TControl)
pt | GetActionLinkClass (TControl)
 | GetAnchorsDependingOnParent (TControl)
pt | GetCachedText (TControl)
 | GetCanvasScaleFactor (TControl)
 | GetChildAccessibleObjectAtPos (TControl)
 | GetChildOwner (TComponent)
 | GetChildParent (TComponent)
 | GetChildren (TComponent)
 | GetChildrenRect (TControl)
pt | GetClientOrigin (TControl)
pt | GetClientRect (TControl)
pt | GetClientScrollOffset (TControl)
 | GetColorResolvingParent (TControl)
 | GetComObject (TComponent)
 | GetComponent (TComponent)
 | GetComponentCount (TComponent)
 | GetComponentIndex (TComponent)
pt | GetControlClassDefaultSize (TControl)
pt | GetControlClassDefaultSize (TCustomLabel)
pt | GetControlOrigin (TControl)
pt | GetCursor (TControl)
 | GetDefaultColor (TControl)
pt | GetDefaultDockCaption (TControl)
 | GetDefaultHeight (TControl)
 | GetDefaultWidth (TControl)
pt | GetDeviceContext (TControl)
pt | GetDockEdge (TControl)
pt | GetDragImages (TControl)
pt | GetEnabled (TControl)
 | GetEnumerator (TComponent)
pt | GetFloating (TControl)
pt | GetFloatingDockSiteClass (TControl)
 | GetHashCode (TObject)
 | GetIDsOfNames (TComponent)
 | GetInterface (TObject)
 | GetInterfaceByStr (TObject)
 | GetInterfaceEntry (TObject)
 | GetInterfaceEntryByStr (TObject)
 | GetInterfaceTable (TObject)
 | GetInterfaceWeak (TObject)
pt | GetLabelText (TCustomLabel)
pt | GetLogicalClientRect (TControl)
pt | GetMouseCapture (TControl)
pt | GetMousePosFromMessage (TControl)
 | GetNamePath (TPersistent)
 | GetNamePath (TComponent)
 | GetOwner (TPersistent)
 | GetOwner (TComponent)
pt | GetPalette (TControl)
 | GetParentComponent (TComponent)
 | GetParentComponent (TControl)
pt | GetPopupMenu (TControl)
 | GetPreferredSize (TControl)
 | GetRGBColorResolvingParent (TControl)
pt | GetScrolledClientRect (TControl)
 | GetSelectedChildAccessibleObject (TControl)
 | GetSidePosition (TControl)
 | GetTextBuf (TControl)
 | GetTextLen (TControl)
 | GetTopParent (TControl)
pt | GetTransparent (TCustomLabel)
 | GetTypeInfo (TComponent)
 | GetTypeInfoCount (TComponent)
pt | GetWSComponentClass (TLCLComponent)
 | HandleObjectShouldBeVisible (TControl)
 | HasHelp (TControl)
pt | HasMultiLine (TCustomLabel)
 | HasParent (TComponent)
 | HasParent (TControl)
pt | HeightIsAnchored (TControl)
 | Hide (TControl)
 | iicrGetComponent (TComponent)
 | IncLCLRefCount (TLCLComponent)
 | InheritsFrom (TObject)
 | InitiateAction (TControl)
 | InitInstance (TObject)
 | Insert (TComponent)
 | InsertComponent (TComponent)
 | InstanceSize (TObject)
 | Invalidate (TControl)
pt | InvalidateControl (TControl)
 | InvalidatePreferredSize (TControl)
 | Invoke (TComponent)
pt | IsAParentAligning (TControl)
pt | IsBorderSpacingInnerBorderStored (TControl)
pt | IsCaptionStored (TControl)
pt | IsClientHeightStored (TControl)
pt | IsClientWidthStored (TControl)
 | IsControlVisible (TControl)
 | IsEnabled (TControl)
 | IsImplementorOf (TComponent)
 | IsParentColor (TControl)
 | IsParentFont (TControl)
 | IsParentOf (TControl)
 | IsProcessingPaintMsg (TControl)
 | IsRightToLeft (TControl)
 | IsVisible (TControl)
pt | LMCaptureChanged (TControl)
 | Loaded (TComponent)
pt | Loaded (TControl)
pt | Loaded (TCustomLabel)
pt | LoadedAll (TControl)
 | Loading (TComponent)
 | ManualDock (TControl)
 | ManualFloat (TControl)
 | MethodAddress (TObject)
 | MethodName (TObject)
pt | MouseDown (TControl)
pt | MouseEnter (TControl)
pt | MouseLeave (TControl)
pt | MouseMove (TControl)
pt | MouseUp (TControl)
 | newinstance (TObject)
 | NewInstance (TLCLComponent)
 | Notification (TComponent)
pt | Notification (TControl)
pt | Notification (TCustomLabel)
pt | Paint (TGraphicControl)
 | Paint (TCustomLabel)
 | PaletteCreated (TComponent)
 | ParentDestroyingHandle (TControl)
pt | ParentFontChanged (TControl)
pt | ParentFormHandleInitialized (TControl)
 | ParentHandlesAllocated (TControl)
 | ParentToClient (TControl)
 | Perform (TControl)
pt | PositionDockRect (TControl)
pt | QuadClick (TControl)
 | QueryInterface (TComponent)
 | ReadLeft (TComponent)
 | ReadState (TComponent)
pt | ReadState (TControl)
 | ReadTop (TComponent)
pt | RealGetText (TControl)
pt | RealSetText (TControl)
 | ReferenceInterface (TComponent)
 | Refresh (TControl)
 | Remove (TComponent)
 | RemoveAllHandlersOfObject (TLCLComponent)
 | RemoveAllHandlersOfObject (TControl)
 | RemoveComponent (TComponent)
 | RemoveFreeNotification (TComponent)
pt | RemoveHandler (TControl)
 | RemoveHandlerOnBeforeDestruction (TControl)
 | RemoveHandlerOnChangeBounds (TControl)
 | RemoveHandlerOnEnableChanging (TControl)
 | RemoveHandlerOnKeyDown (TControl)
 | RemoveHandlerOnMouseWheel (TControl)
 | RemoveHandlerOnResize (TControl)
 | RemoveHandlerOnVisibleChanged (TControl)
 | RemoveHandlerOnVisibleChanging (TControl)
 | RemoveNotification (TComponent)
 | Repaint (TControl)
 | ReplaceDockedControl (TControl)
pt | RequestAlign (TControl)
pt | Resize (TControl)
 | SafeCallException (TObject)
 | SafeCallException (TComponent)
 | Scale96ToFont (TControl)
 | Scale96ToForm (TControl)
 | Scale96ToScreen (TControl)
pt | ScaleConstraints (TControl)
 | ScaleDesignToForm (TControl)
 | ScaleFontsPPI (TControl)
 | ScaleFontTo96 (TControl)
 | ScaleFontToScreen (TControl)
 | ScaleFormTo96 (TControl)
 | ScaleFormToDesign (TControl)
 | ScaleScreenTo96 (TControl)
 | ScaleScreenToFont (TControl)
 | ScreenToClient (TControl)
 | ScreenToControl (TControl)
pt | SendMoveSizeMessages (TControl)
 | SendToBack (TControl)
pt | SetAction (TControl)
pt | SetAlign (TControl)
 | SetAncestor (TComponent)
pt | SetAnchors (TControl)
pt | SetAutoSize (TControl)
pt | SetBiDiMode (TControl)
 | SetBounds (TControl)
 | SetBounds (TCustomLabel)
 | SetBoundsKeepBase (TControl)
 | SetChildOrder (TComponent)
pt | SetColor (TControl)
pt | SetColor (TCustomLabel)
 | SetComponentIndex (TComponent)
pt | SetCursor (TControl)
 | SetDesigning (TComponent)
 | SetDesignInstance (TComponent)
pt | SetDragMode (TControl)
pt | SetEnabled (TControl)
pt | SetFocusControl (TCustomLabel)
pt | SetHint (TControl)
 | SetInitialBounds (TControl)
 | SetInline (TComponent)
pt | SetLayout (TCustomLabel)
 | SetName (TComponent)
pt | SetName (TControl)
pt | SetParent (TControl)
pt | SetParentBiDiMode (TControl)
 | SetParentComponent (TComponent)
pt | SetParentComponent (TControl)
 | SetReference (TComponent)
pt | SetShowAccelChar (TCustomLabel)
 | SetSubComponent (TComponent)
 | SetTempCursor (TControl)
 | SetTextBuf (TControl)
pt | SetTransparent (TCustomLabel)
pt | SetVisible (TControl)
pt | SetWordWrap (TCustomLabel)
pt | SetZOrder (TControl)
 | ShouldAutoAdjust (TControl)
 | Show (TControl)
 | ShowHelp (TControl)
 | StringMessageTable (TObject)
pt | TextChanged (TControl)
pt | TextChanged (TCustomLabel)
 | ToString (TObject)
pt | TripleClick (TControl)
 | UnitName (TObject)
 | Update (TControl)
 | UpdateAction (TComponent)
pt | UpdateAnchorRules (TControl)
 | UpdateBaseBounds (TControl)
 | Updated (TComponent)
pt | UpdateMouseCursor (TControl)
 | UpdateRegistry (TComponent)
 | UpdateRolesForForm (TControl)
pt | UpdateSize (TCustomLabel)
 | Updating (TComponent)
 | UseRightToLeftAlignment (TControl)
 | UseRightToLeftReading (TControl)
 | UseRightToLeftScrollBar (TControl)
 | ValidateContainer (TComponent)
 | ValidateInsert (TComponent)
 | ValidateRename (TComponent)
pt | VisibleChanged (TControl)
pt | VisibleChanging (TControl)
pt | WidthIsAnchored (TControl)
pt | WMActivate (TCustomLabel)
pt | WMCancelMode (TControl)
pt | WMContextMenu (TControl)
pt | WMLButtonDBLCLK (TControl)
pt | WMLButtonDown (TControl)
pt | WMLButtonQuadCLK (TControl)
pt | WMLButtonTripleCLK (TControl)
pt | WMLButtonUp (TControl)
pt | WMMButtonDBLCLK (TControl)
pt | WMMButtonDown (TControl)
pt | WMMButtonQuadCLK (TControl)
pt | WMMButtonTripleCLK (TControl)
pt | WMMButtonUp (TControl)
pt | WMMouseHWheel (TControl)
pt | WMMouseMove (TControl)
pt | WMMouseWheel (TControl)
pt | WMMove (TControl)
pt | WMRButtonDBLCLK (TControl)
pt | WMRButtonDown (TControl)
pt | WMRButtonQuadCLK (TControl)
pt | WMRButtonTripleCLK (TControl)
pt | WMRButtonUp (TControl)
pt | WMSize (TControl)
pt | WMWindowPosChanged (TControl)
pt | WMXButtonDBLCLK (TControl)
pt | WMXButtonDown (TControl)
pt | WMXButtonQuadCLK (TControl)
pt | WMXButtonTripleCLK (TControl)
pt | WMXButtonUp (TControl)
pt | WndProc (TControl)
 | WriteLayoutDebugReport (TControl)
 | WriteLeft (TComponent)
 | WriteState (TComponent)
 | WriteTop (TComponent)
pt | WSRegisterClass (TLCLComponent)
pt | WSRegisterClass (TControl)
pt | WSRegisterClass (TGraphicControl)
pt | WSRegisterClass (TCustomLabel)
 | _AddRef (TComponent)
 | _Release (TComponent)


TBoundLabel
pl | ro | OnClick
pl | ro | OnDblClick
pl | ro | OnDragDrop
pl | ro | OnDragOver
pl | ro | OnEndDrag
pl | ro | OnMouseDown
pl | ro | OnMouseEnter
pl | ro | OnMouseLeave
pl | ro | OnMouseMove
pl | ro | OnMouseUp
pl | ro | OnMouseWheel
pl | ro | OnMouseWheelDown
pl | ro | OnMouseWheelUp
pl | ro | OnStartDrag
TCustomLabel
TGraphicControl
pt |  | OnPaint
TControl
pt |  | OnConstrainedResize
pt |  | OnContextPopup
pt |  | OnDblClick
pt |  | OnTripleClick
pt |  | OnQuadClick
pt |  | OnDragDrop
pt |  | OnDragOver
pt |  | OnEndDock
pt |  | OnEndDrag
pt |  | OnMouseDown
pt |  | OnMouseMove
pt |  | OnMouseUp
pt |  | OnMouseEnter
pt |  | OnMouseLeave
pt |  | OnMouseWheel
pt |  | OnMouseWheelDown
pt |  | OnMouseWheelUp
pt |  | OnMouseWheelHorz
pt |  | OnMouseWheelLeft
pt |  | OnMouseWheelRight
pt |  | OnStartDock
pt |  | OnStartDrag
pt |  | OnEditingDone
 |  | OnChangeBounds
 |  | OnClick
 |  | OnResize
 |  | OnShowHint
TLCLComponent
TComponent
TPersistent
TObject


pl | ro | OnClick (TBoundLabel)
pt |  | OnConstrainedResize (TControl)
pt |  | OnContextPopup (TControl)
pt |  | OnDblClick (TControl)
pl | ro | OnDblClick (TBoundLabel)
pt |  | OnDragDrop (TControl)
pl | ro | OnDragDrop (TBoundLabel)
pt |  | OnDragOver (TControl)
pl | ro | OnDragOver (TBoundLabel)
pt |  | OnEditingDone (TControl)
pt |  | OnEndDock (TControl)
pt |  | OnEndDrag (TControl)
pl | ro | OnEndDrag (TBoundLabel)
pt |  | OnMouseDown (TControl)
pl | ro | OnMouseDown (TBoundLabel)
pt |  | OnMouseEnter (TControl)
pl | ro | OnMouseEnter (TBoundLabel)
pt |  | OnMouseLeave (TControl)
pl | ro | OnMouseLeave (TBoundLabel)
pt |  | OnMouseMove (TControl)
pl | ro | OnMouseMove (TBoundLabel)
pt |  | OnMouseUp (TControl)
pl | ro | OnMouseUp (TBoundLabel)
pt |  | OnMouseWheel (TControl)
pl | ro | OnMouseWheel (TBoundLabel)
pt |  | OnMouseWheelDown (TControl)
pl | ro | OnMouseWheelDown (TBoundLabel)
pt |  | OnMouseWheelHorz (TControl)
pt |  | OnMouseWheelLeft (TControl)
pt |  | OnMouseWheelRight (TControl)
pt |  | OnMouseWheelUp (TControl)
pl | ro | OnMouseWheelUp (TBoundLabel)
pt |  | OnPaint (TGraphicControl)
pt |  | OnQuadClick (TControl)
 |  | OnResize (TControl)
 |  | OnShowHint (TControl)
pt |  | OnStartDock (TControl)
pt |  | OnStartDrag (TControl)
pl | ro | OnStartDrag (TBoundLabel)
pt |  | OnTripleClick (TControl)


TBoundLabel.AnchorSideBottom

Declaration

Source position: extctrls.pp line 919

published property TBoundLabel.AnchorSideBottom : TAnchorSide
  stored False;


TBoundLabel.AnchorSideLeft

Declaration

Source position: extctrls.pp line 916

published property TBoundLabel.AnchorSideLeft : TAnchorSide
  stored False;


TBoundLabel.AnchorSideRight

Declaration

Source position: extctrls.pp line 918

published property TBoundLabel.AnchorSideRight : TAnchorSide
  stored False;


TBoundLabel.AnchorSideTop

Declaration

Source position: extctrls.pp line 917

published property TBoundLabel.AnchorSideTop : TAnchorSide
  stored False;


TBoundLabel.Create

Create - constructor for TBoundLabel: calls inherited Create, makes itself a SubComponent to the Owner, and sets its caption to the owner name

Declaration

Source position: extctrls.pp line 913

public constructor TBoundLabel.Create(

  TheOwner: TComponent

); override;

See also

TCustomLabel.Create


TBoundLabel.FocusControl

FocusControl - whether this control has focus

Declaration

Source position: extctrls.pp line 914

public property TBoundLabel.FocusControl : TWinControl;


TBoundLabel.Font

Declaration

Source position: extctrls.pp line 930

published property TBoundLabel.Font : TFont;


TBoundLabel.OnMouseEnter

Declaration

Source position: extctrls.pp line 942

published property TBoundLabel.OnMouseEnter : TNotifyEvent;


TBoundLabel.OnMouseLeave

Declaration

Source position: extctrls.pp line 943

published property TBoundLabel.OnMouseLeave : TNotifyEvent;


TBoundLabel.OnMouseWheel

Declaration

Source position: extctrls.pp line 946

published property TBoundLabel.OnMouseWheel : TMouseWheelEvent;


TBoundLabel.OnMouseWheelDown

Declaration

Source position: extctrls.pp line 947

published property TBoundLabel.OnMouseWheelDown : TMouseWheelUpDownEvent;


TBoundLabel.OnMouseWheelUp

Declaration

Source position: extctrls.pp line 948

published property TBoundLabel.OnMouseWheelUp : TMouseWheelUpDownEvent;


TCheckGroup

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

TCheckGroup : A group of Check Boxes physically and logically grouped together on a form

Declaration

Source position: extctrls.pp line 851

type TCheckGroup = class(TCustomCheckGroup)
published
property Align: TAlign; | Specifies the placement of the control inside its Parent.
property Anchors: TAnchors; | The set of anchor definitions for this control.
property AutoFill: Boolean; | AutoFill - whether Check Boxes should be automatically filled in (checked)
property AutoSize: Boolean; | Allows to automatically adjust the size of the control, according to its content.
property BiDiMode: TBiDiMode;
property BorderSpacing: TControlBorderSpacing; | Determines the inner and outer border spacing for this control.
property Caption: TCaption; | Caption: the string which appears at the top of the Check Group Box
property ChildSizing: TControlChildSizing; | Parameters for child control arrangement and spacing.
property ClientHeight: Integer;
property ClientWidth: Integer;
property Color: TColor; | The background color of the control.
property ColumnLayout: TColumnLayout; | ColumnLayout - HorizontalThenVertical or vice versa
property Columns: Integer; | Columns - the number of columns in which the Items (check boxes) are to be arranges
property Constraints: TSizeConstraints; | The minimal and maximal Width and Height of this control.
property DoubleBuffered: Boolean;
property DragCursor: TCursor;
property DragMode: TDragMode;
property Enabled: Boolean; | Determines whether the control reacts on mouse or keyboard input.
property Font: TFont; | The font to be used for text display in this control.
property Items: TStrings; | Items - a string list containing the captions of the check boxes
property OnChangeBounds: TNotifyEvent; | Event handler for a change of the Bounds of the control.
property OnClick: TNotifyEvent; | Notification handler for mouse clicks.
property OnDblClick: TNotifyEvent; | Event Handler for double mouse clicks.
property OnDragDrop: TDragDropEvent;
property OnDragOver: TDragOverEvent;
property OnEndDrag: TEndDragEvent;
property OnEnter: TNotifyEvent; | Handler for control receiving the focus.
property OnExit: TNotifyEvent; | Handler for control loosing the focus. This is a good place for checking the finished user input.
property OnItemClick: TCheckGroupClicked; | OnItemClick - event handler for mouse click on one of the Items in the Check Group
property OnKeyDown: TKeyEvent; | Handler for keyboard key pressed.
property OnKeyPress: TKeyPressEvent; | Handler for a character entered by the user.
property OnKeyUp: TKeyEvent; | Handler for keyboard key released.
property OnMouseDown: TMouseEvent; | Event handler for mouse button going down.
property OnMouseEnter: TNotifyEvent;
property OnMouseLeave: TNotifyEvent;
property OnMouseMove: TMouseMoveEvent; | Event handler for mouse movement within the control.
property OnMouseUp: TMouseEvent; | Event handler for mouse button going up.
property OnMouseWheel: TMouseWheelEvent;
property OnMouseWheelDown: TMouseWheelUpDownEvent;
property OnMouseWheelUp: TMouseWheelUpDownEvent;
property OnResize: TNotifyEvent; | Notification handler for a resize of the control.
property OnStartDrag: TStartDragEvent;
property OnUTF8KeyPress: TUTF8KeyPressEvent; | Handler for a character entered by the user.
property ParentBiDiMode: Boolean;
property ParentFont: Boolean; | If true, the Font of the control will be the same as the one from the Parent. Default is true.
property ParentColor: Boolean; | If true, the Color of the control will be the same as the one from the Parent. Default is true.
property ParentDoubleBuffered: Boolean;
property ParentShowHint: Boolean; | If true, the value of ShowHint for the control will be the same as the one from the Parent. Default is true.
property PopupMenu: TPopupMenu; | A context-sensitive menu that pops up when the right mouse button is clicked over this control
property ShowHint: Boolean; | Enables the Hint display.
property TabOrder: TTabOrder; | Determines the sequence of controls, reachable when the user presses the Tab key.
property TabStop: Boolean;
property Visible: Boolean; | Allows to show or hide the control, and all of its children.
end;

Inheritance

TCheckGroup | TCheckGroup : A group of Check Boxes physically and logically grouped together on a form
|
TCustomCheckGroup | TCustomCheckGroup: The base type for TCheckGroup
|
TCustomGroupBox | The base class for TGroupBox, TRadioGroup and TCheckGroup.
|
TWinControl | The base class for controls which can contain other (child) controls.
|
TControl | The base class for visible controls.
|
TLCLComponent | The base class for LCL components associated with widgets.
|
TComponent,IUnknown,IInterfaceComponentReference
|
TPersistent,IFPObserved
|
TObject

Description

TCheckGroup: A group of Check Boxes physically and logically grouped together on a form

To Use this control, place it in the required position on the form, then either right-click on the control to see the pop-up CheckGroup editor, or in the Object Inspector select Items and click on the ellipsis (...) to open the string editor. In either case, type in the captions to accompany each check box, then close the string or CheckGroup editor and you will see a series of boxes with their captions displayed beside them.

Inherits properties from TCustomCheckGroup and TCustomGroupBox

See also

HowToUseStdCtrls | How to use StdCtrls, ComCtrls or ExtCtrls
TRadioGroup | TRadioGroup : A group of related but mutually exclusive radio buttons, requiring the user to select one af a set of alternatives


TCheckGroup
pl | ro | Align
pl | ro | Anchors
pl | ro | AutoFill
pl | ro | AutoSize
pl | ro | BiDiMode
pl | ro | BorderSpacing
pl | ro | Caption
pl | ro | ChildSizing
pl | ro | ClientHeight
pl | ro | ClientWidth
pl | ro | Color
pl | ro | ColumnLayout
pl | ro | Columns
pl | ro | Constraints
pl | ro | DoubleBuffered
pl | ro | DragCursor
pl | ro | DragMode
pl | ro | Enabled
pl | ro | Font
pl | ro | Items
pl | ro | ParentBiDiMode
pl | ro | ParentFont
pl | ro | ParentColor
pl | ro | ParentDoubleBuffered
pl | ro | ParentShowHint
pl | ro | PopupMenu
pl | ro | ShowHint
pl | ro | TabOrder
pl | ro | TabStop
pl | ro | Visible
TCustomCheckGroup
 |  | AutoFill
 |  | Items
 |  | Checked
 |  | CheckEnabled
 |  | Columns
 |  | ColumnLayout
TCustomGroupBox
TWinControl
pt |  | WindowHandle
pt |  | BorderStyle
pt |  | ParentBackground
 |  | BorderWidth
 | ro | BoundsLockCount
 | ro | Brush
 | ro | CachedClientHeight
 | ro | CachedClientWidth
 |  | ChildSizing
 | ro | ControlCount
 | ro | Controls
 |  | DefWndProc
 | ro | DockClientCount
 | ro | DockClients
 |  | DockManager
 |  | DockSite
 |  | DoubleBuffered
 |  | Handle
 | ro | IsFlipped
 | ro | IsResizing
 |  | TabOrder
 |  | TabStop
 |  | ParentDoubleBuffered
 |  | ParentWindow
 | ro | Showing
 |  | UseDockManager
 |  | DesignerDeleting
 | ro | VisibleDockClientCount
TControl
pt | ro | AutoSizing
pt | ro | AutoSizingAll
pt | ro | AutoSizingLockCount
pt |  | ActionLink
pt |  | DesktopFont
pt |  | DragCursor
pt |  | DragKind
pt |  | DragMode
pt |  | MouseCapture
pt |  | ParentColor
pt |  | ParentFont
pt |  | ParentShowHint
pt |  | SessionProperties
pt |  | Text
 | ro | AnchoredControls
 | ro | BaseBounds
 | ro | ReadBounds
 | ro | BaseParentClientSize
 |  | AccessibleDescription
 |  | AccessibleValue
 |  | AccessibleRole
 |  | Action
 |  | Align
 |  | Anchors
 | ro | AnchorSide
 |  | AutoSize
 |  | BorderSpacing
 |  | BoundsRect
 |  | BoundsRectForNewParent
 |  | Caption
 |  | CaptureMouseButtons
 |  | ClientHeight
 | ro | ClientOrigin
 | ro | ClientRect
 |  | ClientWidth
 |  | Color
 |  | Constraints
 | ro | ControlOrigin
 |  | ControlState
 |  | ControlStyle
 |  | Enabled
 |  | Font
 |  | IsControl
 | ro | MouseEntered
 | ro | MouseInClient
 |  | Parent
 |  | PopupMenu
 |  | ShowHint
 |  | Visible
 |  | WindowProc
 |  | DockOrientation
 | ro | Floating
 |  | FloatingDockSiteClass
 |  | HostDockSite
 |  | LRDockWidth
 |  | TBDockHeight
 |  | UndockHeight
 |  | UndockWidth
 |  | BiDiMode
 |  | ParentBiDiMode
pl |  | AnchorSideLeft
pl |  | AnchorSideTop
pl |  | AnchorSideRight
pl |  | AnchorSideBottom
pl |  | Cursor
pl |  | Left
pl |  | Height
pl |  | Hint
pl |  | Top
pl |  | Width
pl |  | HelpType
pl |  | HelpKeyword
pl |  | HelpContext
TLCLComponent
 | ro | LCLRefCount
 | ro | WidgetSetClass
TComponent
 | ro | ComObject
 | ro | Components
 | ro | ComponentCount
 |  | ComponentIndex
 | ro | ComponentState
 | ro | ComponentStyle
 |  | DesignInfo
 | ro | Owner
 |  | VCLComObject
 |  | Name
 |  | Tag
TPersistent
TObject


 |  | AccessibleDescription (TControl)
 |  | AccessibleRole (TControl)
 |  | AccessibleValue (TControl)
 |  | Action (TControl)
pt |  | ActionLink (TControl)
 |  | Align (TControl)
pl | ro | Align (TCheckGroup)
 | ro | AnchoredControls (TControl)
 |  | Anchors (TControl)
pl | ro | Anchors (TCheckGroup)
 | ro | AnchorSide (TControl)
pl |  | AnchorSideBottom (TControl)
pl |  | AnchorSideLeft (TControl)
pl |  | AnchorSideRight (TControl)
pl |  | AnchorSideTop (TControl)
 |  | AutoFill (TCustomCheckGroup)
pl | ro | AutoFill (TCheckGroup)
 |  | AutoSize (TControl)
pl | ro | AutoSize (TCheckGroup)
pt | ro | AutoSizing (TControl)
pt | ro | AutoSizingAll (TControl)
pt | ro | AutoSizingLockCount (TControl)
 | ro | BaseBounds (TControl)
 | ro | BaseParentClientSize (TControl)
 |  | BiDiMode (TControl)
pl | ro | BiDiMode (TCheckGroup)
 |  | BorderSpacing (TControl)
pl | ro | BorderSpacing (TCheckGroup)
pt |  | BorderStyle (TWinControl)
 |  | BorderWidth (TWinControl)
 | ro | BoundsLockCount (TWinControl)
 |  | BoundsRect (TControl)
 |  | BoundsRectForNewParent (TControl)
 | ro | Brush (TWinControl)
 | ro | CachedClientHeight (TWinControl)
 | ro | CachedClientWidth (TWinControl)
 |  | Caption (TControl)
pl | ro | Caption (TCheckGroup)
 |  | CaptureMouseButtons (TControl)
 |  | Checked (TCustomCheckGroup)
 |  | CheckEnabled (TCustomCheckGroup)
 |  | ChildSizing (TWinControl)
pl | ro | ChildSizing (TCheckGroup)
 |  | ClientHeight (TControl)
pl | ro | ClientHeight (TCheckGroup)
 | ro | ClientOrigin (TControl)
 | ro | ClientRect (TControl)
 |  | ClientWidth (TControl)
pl | ro | ClientWidth (TCheckGroup)
 |  | Color (TControl)
pl | ro | Color (TCheckGroup)
 |  | ColumnLayout (TCustomCheckGroup)
pl | ro | ColumnLayout (TCheckGroup)
 |  | Columns (TCustomCheckGroup)
pl | ro | Columns (TCheckGroup)
 | ro | ComObject (TComponent)
 | ro | ComponentCount (TComponent)
 |  | ComponentIndex (TComponent)
 | ro | Components (TComponent)
 | ro | ComponentState (TComponent)
 | ro | ComponentStyle (TComponent)
 |  | Constraints (TControl)
pl | ro | Constraints (TCheckGroup)
 | ro | ControlCount (TWinControl)
 | ro | ControlOrigin (TControl)
 | ro | Controls (TWinControl)
 |  | ControlState (TControl)
 |  | ControlStyle (TControl)
pl |  | Cursor (TControl)
 |  | DefWndProc (TWinControl)
 |  | DesignerDeleting (TWinControl)
 |  | DesignInfo (TComponent)
pt |  | DesktopFont (TControl)
 | ro | DockClientCount (TWinControl)
 | ro | DockClients (TWinControl)
 |  | DockManager (TWinControl)
 |  | DockOrientation (TControl)
 |  | DockSite (TWinControl)
 |  | DoubleBuffered (TWinControl)
pl | ro | DoubleBuffered (TCheckGroup)
pt |  | DragCursor (TControl)
pl | ro | DragCursor (TCheckGroup)
pt |  | DragKind (TControl)
pt |  | DragMode (TControl)
pl | ro | DragMode (TCheckGroup)
 |  | Enabled (TControl)
pl | ro | Enabled (TCheckGroup)
 | ro | Floating (TControl)
 |  | FloatingDockSiteClass (TControl)
 |  | Font (TControl)
pl | ro | Font (TCheckGroup)
 |  | Handle (TWinControl)
pl |  | Height (TControl)
pl |  | HelpContext (TControl)
pl |  | HelpKeyword (TControl)
pl |  | HelpType (TControl)
pl |  | Hint (TControl)
 |  | HostDockSite (TControl)
 |  | IsControl (TControl)
 | ro | IsFlipped (TWinControl)
 | ro | IsResizing (TWinControl)
 |  | Items (TCustomCheckGroup)
pl | ro | Items (TCheckGroup)
 | ro | LCLRefCount (TLCLComponent)
pl |  | Left (TControl)
 |  | LRDockWidth (TControl)
pt |  | MouseCapture (TControl)
 | ro | MouseEntered (TControl)
 | ro | MouseInClient (TControl)
 |  | Name (TComponent)
 | ro | Owner (TComponent)
 |  | Parent (TControl)
pt |  | ParentBackground (TWinControl)
 |  | ParentBiDiMode (TControl)
pl | ro | ParentBiDiMode (TCheckGroup)
pt |  | ParentColor (TControl)
pl | ro | ParentColor (TCheckGroup)
 |  | ParentDoubleBuffered (TWinControl)
pl | ro | ParentDoubleBuffered (TCheckGroup)
pt |  | ParentFont (TControl)
pl | ro | ParentFont (TCheckGroup)
pt |  | ParentShowHint (TControl)
pl | ro | ParentShowHint (TCheckGroup)
 |  | ParentWindow (TWinControl)
 |  | PopupMenu (TControl)
pl | ro | PopupMenu (TCheckGroup)
 | ro | ReadBounds (TControl)
pt |  | SessionProperties (TControl)
 |  | ShowHint (TControl)
pl | ro | ShowHint (TCheckGroup)
 | ro | Showing (TWinControl)
 |  | TabOrder (TWinControl)
pl | ro | TabOrder (TCheckGroup)
 |  | TabStop (TWinControl)
pl | ro | TabStop (TCheckGroup)
 |  | Tag (TComponent)
 |  | TBDockHeight (TControl)
pt |  | Text (TControl)
pl |  | Top (TControl)
 |  | UndockHeight (TControl)
 |  | UndockWidth (TControl)
 |  | UseDockManager (TWinControl)
 |  | VCLComObject (TComponent)
 |  | Visible (TControl)
pl | ro | Visible (TCheckGroup)
 | ro | VisibleDockClientCount (TWinControl)
 | ro | WidgetSetClass (TLCLComponent)
pl |  | Width (TControl)
pt |  | WindowHandle (TWinControl)
 |  | WindowProc (TControl)


TCheckGroup
TCustomCheckGroup
pt | WSRegisterClass
pt | UpdateInternalObjectList
pt | UpdateAll
pt | SetItems
pt | SetColumns
pt | DefineProperties
pt | ReadData
pt | WriteData
pt | Loaded
pt | DoOnResize
 | Create
 | Destroy
 | FlipChildren
 | Rows
TCustomGroupBox
pt | WSRegisterClass
pt | GetControlClassDefaultSize
pt | CreateParams
 | Create
TWinControl
pt | WSRegisterClass
pt | AdjustClientRect
pt | GetAdjustedLogicalClientRect
pt | AlignControls
pt | CustomAlignInsertBefore
pt | CustomAlignPosition
pt | DoAlignChildControls
pt | DoChildSizingChange
pt | InvalidatePreferredChildSizes
pt | CanTab
pt | IsClientHeightStored
pt | IsClientWidthStored
pt | DoSendShowHideToInterface
pt | ControlsAligned
pt | DoSendBoundsToInterface
pt | RealizeBounds
pt | RealizeBoundsRecursive
pt | InvalidateBoundsRealized
pt | CreateSubClass
pt | DoConstraintsChange
pt | DoSetBounds
pt | DoAutoSize
pt | DoAllAutoSize
pt | AllAutoSized
pt | CalculatePreferredSize
pt | GetPreferredSizeClientFrame
pt | GetChildren
pt | ChildClassAllowed
pt | PaintControls
pt | PaintHandler
pt | PaintWindow
pt | CreateBrush
pt | ScaleControls
pt | ChangeScale
pt | CMBiDiModeChanged
pt | CMBorderChanged
pt | CMDoubleBufferedChanged
pt | CMEnabledChanged
pt | CMParentDoubleBufferedChanged
pt | CMShowingChanged
pt | CMShowHintChanged
pt | CMVisibleChanged
pt | CMEnter
pt | CMExit
pt | WMContextMenu
pt | WMEraseBkgnd
pt | WMNotify
pt | WMSetFocus
pt | WMKillFocus
pt | WMShowWindow
pt | WMEnter
pt | WMExit
pt | WMKeyDown
pt | WMSysKeyDown
pt | WMKeyUp
pt | WMSysKeyUp
pt | WMChar
pt | WMSysChar
pt | WMPaint
pt | WMDestroy
pt | WMMove
pt | WMSize
pt | WMWindowPosChanged
pt | CNKeyDown
pt | CNSysKeyDown
pt | CNKeyUp
pt | CNSysKeyUp
pt | CNChar
pt | DoDragMsg
pt | DoDockClientMsg
pt | DoUndockClientMsg
pt | DoAddDockClient
pt | DockOver
pt | DoDockOver
pt | DoRemoveDockClient
pt | DoUnDock
pt | GetSiteInfo
pt | GetParentHandle
pt | GetTopParentHandle
pt | ReloadDockedControl
pt | CreateDockManager
pt | SetDockManager
pt | DoFloatMsg
pt | DoGetDockCaption
pt | DoEnter
pt | DoExit
pt | DoKeyDownBeforeInterface
pt | DoRemainingKeyDown
pt | DoRemainingKeyUp
pt | DoKeyPress
pt | DoUTF8KeyPress
pt | DoKeyUpBeforeInterface
pt | ChildKey
pt | SendDialogChar
pt | DialogChar
pt | ControlKeyDown
pt | ControlKeyUp
pt | KeyDown
pt | KeyDownBeforeInterface
pt | KeyDownAfterInterface
pt | KeyPress
pt | KeyUp
pt | KeyUpBeforeInterface
pt | KeyUpAfterInterface
pt | UTF8KeyPress
pt | FindNextControl
pt | SelectFirst
pt | RealGetText
pt | GetBorderStyle
pt | GetClientOrigin
pt | GetClientRect
pt | GetControlOrigin
pt | GetDeviceContext
pt | GetParentBackground
pt | IsControlMouseMsg
pt | CreateHandle
pt | CreateParams
pt | CreateWnd
pt | DestroyHandle
pt | DestroyWnd
pt | DoFlipChildren
pt | FinalizeWnd
pt | FixupTabList
pt | FontChanged
pt | InitializeWnd
pt | Loaded
pt | FormEndUpdated
pt | MainWndProc
pt | ParentFormHandleInitialized
pt | ChildHandlesCreated
pt | GetMouseCapture
pt | RealSetText
pt | RemoveFocus
pt | SendMoveSizeMessages
pt | SetBorderStyle
pt | SetColor
pt | SetChildZPosition
pt | SetParentBackground
pt | ShowControl
pt | UpdateControlState
pt | UpdateShowing
pt | WndProc
pt | WSSetText
 | AutoSizePhases
 | AutoSizeDelayed
 | AutoSizeDelayedReport
 | AutoSizeDelayedHandle
 | BeginUpdateBounds
 | EndUpdateBounds
 | LockRealizeBounds
 | UnlockRealizeBounds
 | ControlAtPos
 | ContainsControl
 | DoAdjustClientRectChange
 | InvalidateClientRectCache
 | ClientRectNeedsInterfaceUpdate
 | SetBounds
 | GetChildrenRect
 | DisableAlign
 | EnableAlign
 | ReAlign
 | ScrollBy_WS
 | ScrollBy
 | WriteLayoutDebugReport
 | AutoAdjustLayout
 | Create
 | CreateParented
 | CreateParentedControl
 | Destroy
 | DockDrop
 | CanFocus
 | CanSetFocus
 | GetControlIndex
 | SetControlIndex
 | Focused
 | PerformTab
 | FindChildControl
 | SelectNext
 | SetTempCursor
 | BroadCast
 | NotifyControls
 | DefaultHandler
 | GetTextLen
 | Invalidate
 | AddControl
 | InsertControl
 | RemoveControl
 | GetEnumeratorControls
 | GetEnumeratorControlsReverse
 | Repaint
 | Update
 | SetFocus
 | FlipChildren
 | ScaleBy
 | GetDockCaption
 | UpdateDockCaption
 | GetTabOrderList
 | HandleAllocated
 | ParentHandlesAllocated
 | HandleNeeded
 | BrushCreated
 | EraseBackground
 | IntfUTF8KeyPress
 | IntfGetDropFilesTarget
 | PaintTo
 | SetShape
TControl
pt | WSRegisterClass
pt | GetCursor
pt | SetCursor
pt | SetVisible
pt | DoOnParentHandleDestruction
pt | DoAutoSize
pt | DoAllAutoSize
pt | BeginAutoSizing
pt | EndAutoSizing
pt | AnchorSideChanged
pt | ForeignAnchorSideChanged
pt | SetAlign
pt | SetAnchors
pt | SetAutoSize
pt | BoundsChanged
pt | CreateControlBorderSpacing
pt | DoConstraintsChange
pt | DoBorderSpacingChange
pt | IsBorderSpacingInnerBorderStored
pt | IsCaptionStored
pt | SendMoveSizeMessages
pt | ConstrainedResize
pt | CalculatePreferredSize
pt | DoOnResize
pt | DoOnChangeBounds
pt | CheckOnChangeBounds
pt | Resize
pt | RequestAlign
pt | UpdateAnchorRules
pt | ChangeBounds
pt | DoSetBounds
pt | ScaleConstraints
pt | ChangeScale
pt | CanAutoSize
pt | SetBiDiMode
pt | SetParentBiDiMode
pt | IsAParentAligning
pt | GetClientOrigin
pt | GetClientRect
pt | GetLogicalClientRect
pt | GetScrolledClientRect
pt | GetClientScrollOffset
pt | GetControlOrigin
pt | IsClientHeightStored
pt | IsClientWidthStored
pt | WidthIsAnchored
pt | HeightIsAnchored
pt | WMCancelMode
pt | WMContextMenu
pt | WMLButtonDown
pt | WMRButtonDown
pt | WMMButtonDown
pt | WMXButtonDown
pt | WMLButtonDBLCLK
pt | WMRButtonDBLCLK
pt | WMMButtonDBLCLK
pt | WMXButtonDBLCLK
pt | WMLButtonTripleCLK
pt | WMRButtonTripleCLK
pt | WMMButtonTripleCLK
pt | WMXButtonTripleCLK
pt | WMLButtonQuadCLK
pt | WMRButtonQuadCLK
pt | WMMButtonQuadCLK
pt | WMXButtonQuadCLK
pt | WMMouseMove
pt | WMLButtonUp
pt | WMRButtonUp
pt | WMMButtonUp
pt | WMXButtonUp
pt | WMMouseWheel
pt | WMMouseHWheel
pt | WMMove
pt | WMSize
pt | WMWindowPosChanged
pt | CMChanged
pt | LMCaptureChanged
pt | CMBiDiModeChanged
pt | CMSysFontChanged
pt | CMEnabledChanged
pt | CMHitTest
pt | CMMouseEnter
pt | CMMouseLeave
pt | CMHintShow
pt | CMParentBiDiModeChanged
pt | CMParentColorChanged
pt | CMParentFontChanged
pt | CMParentShowHintChanged
pt | CMVisibleChanged
pt | CMTextChanged
pt | CMCursorChanged
pt | CalculateDockSizes
pt | CreateFloatingDockSite
pt | GetDockEdge
pt | GetDragImages
pt | GetFloating
pt | GetFloatingDockSiteClass
pt | BeforeDragStart
pt | BeginAutoDrag
pt | DoFloatMsg
pt | DockTrackNoTarget
pt | DoDock
pt | DoDragMsg
pt | DoEndDock
pt | DoEndDrag
pt | DoStartDock
pt | DoStartDrag
pt | DragCanceled
pt | DragOver
pt | PositionDockRect
pt | SetDragMode
pt | GetDefaultDockCaption
pt | Click
pt | DblClick
pt | TripleClick
pt | QuadClick
pt | GetMousePosFromMessage
pt | MouseDown
pt | MouseMove
pt | MouseUp
pt | MouseEnter
pt | MouseLeave
pt | DialogChar
pt | UpdateMouseCursor
pt | Changed
pt | GetPalette
pt | ChildClassAllowed
pt | ReadState
pt | Loaded
pt | LoadedAll
pt | DefineProperties
pt | AssignTo
pt | FormEndUpdated
pt | InvalidateControl
pt | FontChanged
pt | ParentFontChanged
pt | GetAction
pt | RealGetText
pt | RealSetText
pt | TextChanged
pt | GetCachedText
pt | SetAction
pt | SetColor
pt | SetEnabled
pt | SetHint
pt | SetName
pt | SetParent
pt | SetParentComponent
pt | WndProc
pt | ParentFormHandleInitialized
pt | GetMouseCapture
pt | CaptureChanged
pt | Notification
pt | CanTab
pt | GetDeviceContext
pt | GetEnabled
pt | GetPopupMenu
pt | DoOnShowHint
pt | DoMouseWheel
pt | DoMouseWheelDown
pt | DoMouseWheelUp
pt | DoMouseWheelHorz
pt | DoMouseWheelLeft
pt | DoMouseWheelRight
pt | VisibleChanging
pt | VisibleChanged
pt | EnabledChanging
pt | EnabledChanged
pt | AddHandler
pt | RemoveHandler
pt | DoCallNotifyHandler
pt | DoCallKeyEventHandler
pt | DoCallMouseWheelEventHandler
pt | DoContextPopup
pt | SetZOrder
pt | GetControlClassDefaultSize
pt | ColorIsStored
pt | DoAutoAdjustLayout
pt | DoFixDesignFontPPI
pt | DoScaleFontPPI
pt | GetActionLinkClass
pt | ActionChange
 | DragDrop
 | Dock
 | ManualDock
 | ManualFloat
 | ReplaceDockedControl
 | Docked
 | Dragging
 | GetAccessibleObject
 | CreateAccessibleObject
 | GetSelectedChildAccessibleObject
 | GetChildAccessibleObjectAtPos
 | ScaleDesignToForm
 | ScaleFormToDesign
 | Scale96ToForm
 | ScaleFormTo96
 | Scale96ToFont
 | ScaleFontTo96
 | ScaleScreenToFont
 | ScaleFontToScreen
 | Scale96ToScreen
 | ScaleScreenTo96
 | AdjustSize
 | AutoSizePhases
 | AutoSizeDelayed
 | AutoSizeDelayedReport
 | AutoSizeDelayedHandle
 | AnchorToNeighbour
 | AnchorParallel
 | AnchorHorizontalCenterTo
 | AnchorVerticalCenterTo
 | AnchorToCompanion
 | AnchorSame
 | AnchorAsAlign
 | AnchorClient
 | AnchoredControlCount
 | SetBounds
 | SetInitialBounds
 | SetBoundsKeepBase
 | GetPreferredSize
 | GetCanvasScaleFactor
 | GetDefaultWidth
 | GetDefaultHeight
 | GetDefaultColor
 | GetColorResolvingParent
 | GetRGBColorResolvingParent
 | GetSidePosition
 | CNPreferredSizeChanged
 | InvalidatePreferredSize
 | GetAnchorsDependingOnParent
 | DisableAutoSizing
 | EnableAutoSizing
 | UpdateBaseBounds
 | WriteLayoutDebugReport
 | AutoAdjustLayout
 | ShouldAutoAdjust
 | FixDesignFontsPPI
 | ScaleFontsPPI
 | Create
 | Destroy
 | BeforeDestruction
 | EditingDone
 | ExecuteDefaultAction
 | ExecuteCancelAction
 | BeginDrag
 | EndDrag
 | BringToFront
 | HasParent
 | GetParentComponent
 | IsParentOf
 | GetTopParent
 | IsVisible
 | IsControlVisible
 | IsEnabled
 | IsParentColor
 | IsParentFont
 | FormIsUpdating
 | IsProcessingPaintMsg
 | Hide
 | Refresh
 | Repaint
 | Invalidate
 | CheckChildClassAllowed
 | CheckNewParent
 | SendToBack
 | SetTempCursor
 | UpdateRolesForForm
 | ActiveDefaultControlChanged
 | GetTextBuf
 | GetTextLen
 | SetTextBuf
 | Perform
 | ScreenToClient
 | ClientToScreen
 | ScreenToControl
 | ControlToScreen
 | ClientToParent
 | ParentToClient
 | GetChildrenRect
 | Show
 | Update
 | HandleObjectShouldBeVisible
 | ParentDestroyingHandle
 | ParentHandlesAllocated
 | InitiateAction
 | ShowHelp
 | HasHelp
 | RemoveAllHandlersOfObject
 | AddHandlerOnResize
 | RemoveHandlerOnResize
 | AddHandlerOnChangeBounds
 | RemoveHandlerOnChangeBounds
 | AddHandlerOnVisibleChanging
 | RemoveHandlerOnVisibleChanging
 | AddHandlerOnVisibleChanged
 | RemoveHandlerOnVisibleChanged
 | AddHandlerOnEnabledChanged
 | RemoveHandlerOnEnableChanging
 | AddHandlerOnKeyDown
 | RemoveHandlerOnKeyDown
 | AddHandlerOnBeforeDestruction
 | RemoveHandlerOnBeforeDestruction
 | AddHandlerOnMouseWheel
 | RemoveHandlerOnMouseWheel
 | UseRightToLeftAlignment
 | UseRightToLeftReading
 | UseRightToLeftScrollBar
 | IsRightToLeft
TLCLComponent
pt | WSRegisterClass
pt | GetWSComponentClass
 | Create
 | Destroy
 | NewInstance
 | RemoveAllHandlersOfObject
 | IncLCLRefCount
 | DecLCLRefCount
TComponent
 | GetComObject
 | GetComponent
 | GetComponentCount
 | GetComponentIndex
 | Insert
 | ReadLeft
 | ReadTop
 | Remove
 | RemoveNotification
 | SetComponentIndex
 | SetReference
 | WriteLeft
 | WriteTop
 | ChangeName
 | DefineProperties
 | GetChildren
 | GetChildOwner
 | GetChildParent
 | GetOwner
 | Loaded
 | Loading
 | Notification
 | PaletteCreated
 | ReadState
 | SetAncestor
 | SetDesigning
 | SetDesignInstance
 | SetInline
 | SetName
 | SetChildOrder
 | SetParentComponent
 | Updating
 | Updated
 | UpdateRegistry
 | ValidateRename
 | ValidateContainer
 | ValidateInsert
 | QueryInterface
 | _AddRef
 | _Release
 | iicrGetComponent
 | GetTypeInfoCount
 | GetTypeInfo
 | GetIDsOfNames
 | Invoke
 | WriteState
 | Create
 | Destroy
 | BeforeDestruction
 | DestroyComponents
 | Destroying
 | ExecuteAction
 | FindComponent
 | FreeNotification
 | RemoveFreeNotification
 | FreeOnRelease
 | GetEnumerator
 | GetNamePath
 | GetParentComponent
 | HasParent
 | InsertComponent
 | RemoveComponent
 | SafeCallException
 | SetSubComponent
 | UpdateAction
 | IsImplementorOf
 | ReferenceInterface
TPersistent
 | AssignError
 | AssignTo
 | DefineProperties
 | GetOwner
 | Destroy
 | Assign
 | FPOAttachObserver
 | FPODetachObserver
 | FPONotifyObservers
 | GetNamePath
TObject
 | Create
 | Destroy
 | newinstance
 | FreeInstance
 | SafeCallException
 | DefaultHandler
 | Free
 | InitInstance
 | CleanupInstance
 | ClassType
 | ClassInfo
 | ClassName
 | ClassNameIs
 | ClassParent
 | InstanceSize
 | InheritsFrom
 | StringMessageTable
 | MethodAddress
 | MethodName
 | FieldAddress
 | AfterConstruction
 | BeforeDestruction
 | DefaultHandlerStr
 | Dispatch
 | DispatchStr
 | GetInterface
 | GetInterfaceByStr
 | GetInterfaceWeak
 | GetInterfaceEntry
 | GetInterfaceEntryByStr
 | GetInterfaceTable
 | UnitName
 | Equals
 | GetHashCode
 | ToString


pt | ActionChange (TControl)
 | ActiveDefaultControlChanged (TControl)
 | AddControl (TWinControl)
pt | AddHandler (TControl)
 | AddHandlerOnBeforeDestruction (TControl)
 | AddHandlerOnChangeBounds (TControl)
 | AddHandlerOnEnabledChanged (TControl)
 | AddHandlerOnKeyDown (TControl)
 | AddHandlerOnMouseWheel (TControl)
 | AddHandlerOnResize (TControl)
 | AddHandlerOnVisibleChanged (TControl)
 | AddHandlerOnVisibleChanging (TControl)
pt | AdjustClientRect (TWinControl)
 | AdjustSize (TControl)
 | AfterConstruction (TObject)
pt | AlignControls (TWinControl)
pt | AllAutoSized (TWinControl)
 | AnchorAsAlign (TControl)
 | AnchorClient (TControl)
 | AnchoredControlCount (TControl)
 | AnchorHorizontalCenterTo (TControl)
 | AnchorParallel (TControl)
 | AnchorSame (TControl)
pt | AnchorSideChanged (TControl)
 | AnchorToCompanion (TControl)
 | AnchorToNeighbour (TControl)
 | AnchorVerticalCenterTo (TControl)
 | Assign (TPersistent)
 | AssignError (TPersistent)
 | AssignTo (TPersistent)
pt | AssignTo (TControl)
 | AutoAdjustLayout (TControl)
 | AutoAdjustLayout (TWinControl)
 | AutoSizeDelayed (TControl)
 | AutoSizeDelayed (TWinControl)
 | AutoSizeDelayedHandle (TControl)
 | AutoSizeDelayedHandle (TWinControl)
 | AutoSizeDelayedReport (TControl)
 | AutoSizeDelayedReport (TWinControl)
 | AutoSizePhases (TControl)
 | AutoSizePhases (TWinControl)
 | BeforeDestruction (TObject)
 | BeforeDestruction (TComponent)
 | BeforeDestruction (TControl)
pt | BeforeDragStart (TControl)
pt | BeginAutoDrag (TControl)
pt | BeginAutoSizing (TControl)
 | BeginDrag (TControl)
 | BeginUpdateBounds (TWinControl)
pt | BoundsChanged (TControl)
 | BringToFront (TControl)
 | BroadCast (TWinControl)
 | BrushCreated (TWinControl)
pt | CalculateDockSizes (TControl)
pt | CalculatePreferredSize (TControl)
pt | CalculatePreferredSize (TWinControl)
pt | CanAutoSize (TControl)
 | CanFocus (TWinControl)
 | CanSetFocus (TWinControl)
pt | CanTab (TControl)
pt | CanTab (TWinControl)
pt | CaptureChanged (TControl)
pt | ChangeBounds (TControl)
pt | Changed (TControl)
 | ChangeName (TComponent)
pt | ChangeScale (TControl)
pt | ChangeScale (TWinControl)
 | CheckChildClassAllowed (TControl)
 | CheckNewParent (TControl)
pt | CheckOnChangeBounds (TControl)
pt | ChildClassAllowed (TControl)
pt | ChildClassAllowed (TWinControl)
pt | ChildHandlesCreated (TWinControl)
pt | ChildKey (TWinControl)
 | ClassInfo (TObject)
 | ClassName (TObject)
 | ClassNameIs (TObject)
 | ClassParent (TObject)
 | ClassType (TObject)
 | CleanupInstance (TObject)
pt | Click (TControl)
 | ClientRectNeedsInterfaceUpdate (TWinControl)
 | ClientToParent (TControl)
 | ClientToScreen (TControl)
pt | CMBiDiModeChanged (TControl)
pt | CMBiDiModeChanged (TWinControl)
pt | CMBorderChanged (TWinControl)
pt | CMChanged (TControl)
pt | CMCursorChanged (TControl)
pt | CMDoubleBufferedChanged (TWinControl)
pt | CMEnabledChanged (TControl)
pt | CMEnabledChanged (TWinControl)
pt | CMEnter (TWinControl)
pt | CMExit (TWinControl)
pt | CMHintShow (TControl)
pt | CMHitTest (TControl)
pt | CMMouseEnter (TControl)
pt | CMMouseLeave (TControl)
pt | CMParentBiDiModeChanged (TControl)
pt | CMParentColorChanged (TControl)
pt | CMParentDoubleBufferedChanged (TWinControl)
pt | CMParentFontChanged (TControl)
pt | CMParentShowHintChanged (TControl)
pt | CMShowHintChanged (TWinControl)
pt | CMShowingChanged (TWinControl)
pt | CMSysFontChanged (TControl)
pt | CMTextChanged (TControl)
pt | CMVisibleChanged (TControl)
pt | CMVisibleChanged (TWinControl)
pt | CNChar (TWinControl)
pt | CNKeyDown (TWinControl)
pt | CNKeyUp (TWinControl)
 | CNPreferredSizeChanged (TControl)
pt | CNSysKeyDown (TWinControl)
pt | CNSysKeyUp (TWinControl)
pt | ColorIsStored (TControl)
pt | ConstrainedResize (TControl)
 | ContainsControl (TWinControl)
 | ControlAtPos (TWinControl)
pt | ControlKeyDown (TWinControl)
pt | ControlKeyUp (TWinControl)
pt | ControlsAligned (TWinControl)
 | ControlToScreen (TControl)
 | Create (TObject)
 | Create (TComponent)
 | Create (TLCLComponent)
 | Create (TControl)
 | Create (TWinControl)
 | Create (TCustomGroupBox)
 | Create (TCustomCheckGroup)
 | CreateAccessibleObject (TControl)
pt | CreateBrush (TWinControl)
pt | CreateControlBorderSpacing (TControl)
pt | CreateDockManager (TWinControl)
pt | CreateFloatingDockSite (TControl)
pt | CreateHandle (TWinControl)
pt | CreateParams (TWinControl)
pt | CreateParams (TCustomGroupBox)
 | CreateParented (TWinControl)
 | CreateParentedControl (TWinControl)
pt | CreateSubClass (TWinControl)
pt | CreateWnd (TWinControl)
pt | CustomAlignInsertBefore (TWinControl)
pt | CustomAlignPosition (TWinControl)
pt | DblClick (TControl)
 | DecLCLRefCount (TLCLComponent)
 | DefaultHandler (TObject)
 | DefaultHandler (TWinControl)
 | DefaultHandlerStr (TObject)
 | DefineProperties (TPersistent)
 | DefineProperties (TComponent)
pt | DefineProperties (TControl)
pt | DefineProperties (TCustomCheckGroup)
 | Destroy (TObject)
 | Destroy (TPersistent)
 | Destroy (TComponent)
 | Destroy (TLCLComponent)
 | Destroy (TControl)
 | Destroy (TWinControl)
 | Destroy (TCustomCheckGroup)
 | DestroyComponents (TComponent)
pt | DestroyHandle (TWinControl)
 | Destroying (TComponent)
pt | DestroyWnd (TWinControl)
pt | DialogChar (TControl)
pt | DialogChar (TWinControl)
 | DisableAlign (TWinControl)
 | DisableAutoSizing (TControl)
 | Dispatch (TObject)
 | DispatchStr (TObject)
pt | DoAddDockClient (TWinControl)
 | DoAdjustClientRectChange (TWinControl)
pt | DoAlignChildControls (TWinControl)
pt | DoAllAutoSize (TControl)
pt | DoAllAutoSize (TWinControl)
pt | DoAutoAdjustLayout (TControl)
pt | DoAutoSize (TControl)
pt | DoAutoSize (TWinControl)
pt | DoBorderSpacingChange (TControl)
pt | DoCallKeyEventHandler (TControl)
pt | DoCallMouseWheelEventHandler (TControl)
pt | DoCallNotifyHandler (TControl)
pt | DoChildSizingChange (TWinControl)
 | Dock (TControl)
 | DockDrop (TWinControl)
 | Docked (TControl)
pt | DockOver (TWinControl)
pt | DockTrackNoTarget (TControl)
pt | DoConstraintsChange (TControl)
pt | DoConstraintsChange (TWinControl)
pt | DoContextPopup (TControl)
pt | DoDock (TControl)
pt | DoDockClientMsg (TWinControl)
pt | DoDockOver (TWinControl)
pt | DoDragMsg (TControl)
pt | DoDragMsg (TWinControl)
pt | DoEndDock (TControl)
pt | DoEndDrag (TControl)
pt | DoEnter (TWinControl)
pt | DoExit (TWinControl)
pt | DoFixDesignFontPPI (TControl)
pt | DoFlipChildren (TWinControl)
pt | DoFloatMsg (TControl)
pt | DoFloatMsg (TWinControl)
pt | DoGetDockCaption (TWinControl)
pt | DoKeyDownBeforeInterface (TWinControl)
pt | DoKeyPress (TWinControl)
pt | DoKeyUpBeforeInterface (TWinControl)
pt | DoMouseWheel (TControl)
pt | DoMouseWheelDown (TControl)
pt | DoMouseWheelHorz (TControl)
pt | DoMouseWheelLeft (TControl)
pt | DoMouseWheelRight (TControl)
pt | DoMouseWheelUp (TControl)
pt | DoOnChangeBounds (TControl)
pt | DoOnParentHandleDestruction (TControl)
pt | DoOnResize (TControl)
pt | DoOnResize (TCustomCheckGroup)
pt | DoOnShowHint (TControl)
pt | DoRemainingKeyDown (TWinControl)
pt | DoRemainingKeyUp (TWinControl)
pt | DoRemoveDockClient (TWinControl)
pt | DoScaleFontPPI (TControl)
pt | DoSendBoundsToInterface (TWinControl)
pt | DoSendShowHideToInterface (TWinControl)
pt | DoSetBounds (TControl)
pt | DoSetBounds (TWinControl)
pt | DoStartDock (TControl)
pt | DoStartDrag (TControl)
pt | DoUnDock (TWinControl)
pt | DoUndockClientMsg (TWinControl)
pt | DoUTF8KeyPress (TWinControl)
pt | DragCanceled (TControl)
 | DragDrop (TControl)
 | Dragging (TControl)
pt | DragOver (TControl)
 | EditingDone (TControl)
 | EnableAlign (TWinControl)
 | EnableAutoSizing (TControl)
pt | EnabledChanged (TControl)
pt | EnabledChanging (TControl)
pt | EndAutoSizing (TControl)
 | EndDrag (TControl)
 | EndUpdateBounds (TWinControl)
 | Equals (TObject)
 | EraseBackground (TWinControl)
 | ExecuteAction (TComponent)
 | ExecuteCancelAction (TControl)
 | ExecuteDefaultAction (TControl)
 | FieldAddress (TObject)
pt | FinalizeWnd (TWinControl)
 | FindChildControl (TWinControl)
 | FindComponent (TComponent)
pt | FindNextControl (TWinControl)
 | FixDesignFontsPPI (TControl)
pt | FixupTabList (TWinControl)
 | FlipChildren (TWinControl)
 | FlipChildren (TCustomCheckGroup)
 | Focused (TWinControl)
pt | FontChanged (TControl)
pt | FontChanged (TWinControl)
pt | ForeignAnchorSideChanged (TControl)
pt | FormEndUpdated (TControl)
pt | FormEndUpdated (TWinControl)
 | FormIsUpdating (TControl)
 | FPOAttachObserver (TPersistent)
 | FPODetachObserver (TPersistent)
 | FPONotifyObservers (TPersistent)
 | Free (TObject)
 | FreeInstance (TObject)
 | FreeNotification (TComponent)
 | FreeOnRelease (TComponent)
 | GetAccessibleObject (TControl)
pt | GetAction (TControl)
pt | GetActionLinkClass (TControl)
pt | GetAdjustedLogicalClientRect (TWinControl)
 | GetAnchorsDependingOnParent (TControl)
pt | GetBorderStyle (TWinControl)
pt | GetCachedText (TControl)
 | GetCanvasScaleFactor (TControl)
 | GetChildAccessibleObjectAtPos (TControl)
 | GetChildOwner (TComponent)
 | GetChildParent (TComponent)
 | GetChildren (TComponent)
pt | GetChildren (TWinControl)
 | GetChildrenRect (TControl)
 | GetChildrenRect (TWinControl)
pt | GetClientOrigin (TControl)
pt | GetClientOrigin (TWinControl)
pt | GetClientRect (TControl)
pt | GetClientRect (TWinControl)
pt | GetClientScrollOffset (TControl)
 | GetColorResolvingParent (TControl)
 | GetComObject (TComponent)
 | GetComponent (TComponent)
 | GetComponentCount (TComponent)
 | GetComponentIndex (TComponent)
pt | GetControlClassDefaultSize (TControl)
pt | GetControlClassDefaultSize (TCustomGroupBox)
 | GetControlIndex (TWinControl)
pt | GetControlOrigin (TControl)
pt | GetControlOrigin (TWinControl)
pt | GetCursor (TControl)
 | GetDefaultColor (TControl)
pt | GetDefaultDockCaption (TControl)
 | GetDefaultHeight (TControl)
 | GetDefaultWidth (TControl)
pt | GetDeviceContext (TControl)
pt | GetDeviceContext (TWinControl)
 | GetDockCaption (TWinControl)
pt | GetDockEdge (TControl)
pt | GetDragImages (TControl)
pt | GetEnabled (TControl)
 | GetEnumerator (TComponent)
 | GetEnumeratorControls (TWinControl)
 | GetEnumeratorControlsReverse (TWinControl)
pt | GetFloating (TControl)
pt | GetFloatingDockSiteClass (TControl)
 | GetHashCode (TObject)
 | GetIDsOfNames (TComponent)
 | GetInterface (TObject)
 | GetInterfaceByStr (TObject)
 | GetInterfaceEntry (TObject)
 | GetInterfaceEntryByStr (TObject)
 | GetInterfaceTable (TObject)
 | GetInterfaceWeak (TObject)
pt | GetLogicalClientRect (TControl)
pt | GetMouseCapture (TControl)
pt | GetMouseCapture (TWinControl)
pt | GetMousePosFromMessage (TControl)
 | GetNamePath (TPersistent)
 | GetNamePath (TComponent)
 | GetOwner (TPersistent)
 | GetOwner (TComponent)
pt | GetPalette (TControl)
pt | GetParentBackground (TWinControl)
 | GetParentComponent (TComponent)
 | GetParentComponent (TControl)
pt | GetParentHandle (TWinControl)
pt | GetPopupMenu (TControl)
 | GetPreferredSize (TControl)
pt | GetPreferredSizeClientFrame (TWinControl)
 | GetRGBColorResolvingParent (TControl)
pt | GetScrolledClientRect (TControl)
 | GetSelectedChildAccessibleObject (TControl)
 | GetSidePosition (TControl)
pt | GetSiteInfo (TWinControl)
 | GetTabOrderList (TWinControl)
 | GetTextBuf (TControl)
 | GetTextLen (TControl)
 | GetTextLen (TWinControl)
 | GetTopParent (TControl)
pt | GetTopParentHandle (TWinControl)
 | GetTypeInfo (TComponent)
 | GetTypeInfoCount (TComponent)
pt | GetWSComponentClass (TLCLComponent)
 | HandleAllocated (TWinControl)
 | HandleNeeded (TWinControl)
 | HandleObjectShouldBeVisible (TControl)
 | HasHelp (TControl)
 | HasParent (TComponent)
 | HasParent (TControl)
pt | HeightIsAnchored (TControl)
 | Hide (TControl)
 | iicrGetComponent (TComponent)
 | IncLCLRefCount (TLCLComponent)
 | InheritsFrom (TObject)
pt | InitializeWnd (TWinControl)
 | InitiateAction (TControl)
 | InitInstance (TObject)
 | Insert (TComponent)
 | InsertComponent (TComponent)
 | InsertControl (TWinControl)
 | InstanceSize (TObject)
 | IntfGetDropFilesTarget (TWinControl)
 | IntfUTF8KeyPress (TWinControl)
 | Invalidate (TControl)
 | Invalidate (TWinControl)
pt | InvalidateBoundsRealized (TWinControl)
 | InvalidateClientRectCache (TWinControl)
pt | InvalidateControl (TControl)
pt | InvalidatePreferredChildSizes (TWinControl)
 | InvalidatePreferredSize (TControl)
 | Invoke (TComponent)
pt | IsAParentAligning (TControl)
pt | IsBorderSpacingInnerBorderStored (TControl)
pt | IsCaptionStored (TControl)
pt | IsClientHeightStored (TControl)
pt | IsClientHeightStored (TWinControl)
pt | IsClientWidthStored (TControl)
pt | IsClientWidthStored (TWinControl)
pt | IsControlMouseMsg (TWinControl)
 | IsControlVisible (TControl)
 | IsEnabled (TControl)
 | IsImplementorOf (TComponent)
 | IsParentColor (TControl)
 | IsParentFont (TControl)
 | IsParentOf (TControl)
 | IsProcessingPaintMsg (TControl)
 | IsRightToLeft (TControl)
 | IsVisible (TControl)
pt | KeyDown (TWinControl)
pt | KeyDownAfterInterface (TWinControl)
pt | KeyDownBeforeInterface (TWinControl)
pt | KeyPress (TWinControl)
pt | KeyUp (TWinControl)
pt | KeyUpAfterInterface (TWinControl)
pt | KeyUpBeforeInterface (TWinControl)
pt | LMCaptureChanged (TControl)
 | Loaded (TComponent)
pt | Loaded (TControl)
pt | Loaded (TWinControl)
pt | Loaded (TCustomCheckGroup)
pt | LoadedAll (TControl)
 | Loading (TComponent)
 | LockRealizeBounds (TWinControl)
pt | MainWndProc (TWinControl)
 | ManualDock (TControl)
 | ManualFloat (TControl)
 | MethodAddress (TObject)
 | MethodName (TObject)
pt | MouseDown (TControl)
pt | MouseEnter (TControl)
pt | MouseLeave (TControl)
pt | MouseMove (TControl)
pt | MouseUp (TControl)
 | newinstance (TObject)
 | NewInstance (TLCLComponent)
 | Notification (TComponent)
pt | Notification (TControl)
 | NotifyControls (TWinControl)
pt | PaintControls (TWinControl)
pt | PaintHandler (TWinControl)
 | PaintTo (TWinControl)
pt | PaintWindow (TWinControl)
 | PaletteCreated (TComponent)
 | ParentDestroyingHandle (TControl)
pt | ParentFontChanged (TControl)
pt | ParentFormHandleInitialized (TControl)
pt | ParentFormHandleInitialized (TWinControl)
 | ParentHandlesAllocated (TControl)
 | ParentHandlesAllocated (TWinControl)
 | ParentToClient (TControl)
 | Perform (TControl)
 | PerformTab (TWinControl)
pt | PositionDockRect (TControl)
pt | QuadClick (TControl)
 | QueryInterface (TComponent)
pt | ReadData (TCustomCheckGroup)
 | ReadLeft (TComponent)
 | ReadState (TComponent)
pt | ReadState (TControl)
 | ReadTop (TComponent)
pt | RealGetText (TControl)
pt | RealGetText (TWinControl)
 | ReAlign (TWinControl)
pt | RealizeBounds (TWinControl)
pt | RealizeBoundsRecursive (TWinControl)
pt | RealSetText (TControl)
pt | RealSetText (TWinControl)
 | ReferenceInterface (TComponent)
 | Refresh (TControl)
pt | ReloadDockedControl (TWinControl)
 | Remove (TComponent)
 | RemoveAllHandlersOfObject (TLCLComponent)
 | RemoveAllHandlersOfObject (TControl)
 | RemoveComponent (TComponent)
 | RemoveControl (TWinControl)
pt | RemoveFocus (TWinControl)
 | RemoveFreeNotification (TComponent)
pt | RemoveHandler (TControl)
 | RemoveHandlerOnBeforeDestruction (TControl)
 | RemoveHandlerOnChangeBounds (TControl)
 | RemoveHandlerOnEnableChanging (TControl)
 | RemoveHandlerOnKeyDown (TControl)
 | RemoveHandlerOnMouseWheel (TControl)
 | RemoveHandlerOnResize (TControl)
 | RemoveHandlerOnVisibleChanged (TControl)
 | RemoveHandlerOnVisibleChanging (TControl)
 | RemoveNotification (TComponent)
 | Repaint (TControl)
 | Repaint (TWinControl)
 | ReplaceDockedControl (TControl)
pt | RequestAlign (TControl)
pt | Resize (TControl)
 | Rows (TCustomCheckGroup)
 | SafeCallException (TObject)
 | SafeCallException (TComponent)
 | Scale96ToFont (TControl)
 | Scale96ToForm (TControl)
 | Scale96ToScreen (TControl)
 | ScaleBy (TWinControl)
pt | ScaleConstraints (TControl)
pt | ScaleControls (TWinControl)
 | ScaleDesignToForm (TControl)
 | ScaleFontsPPI (TControl)
 | ScaleFontTo96 (TControl)
 | ScaleFontToScreen (TControl)
 | ScaleFormTo96 (TControl)
 | ScaleFormToDesign (TControl)
 | ScaleScreenTo96 (TControl)
 | ScaleScreenToFont (TControl)
 | ScreenToClient (TControl)
 | ScreenToControl (TControl)
 | ScrollBy (TWinControl)
 | ScrollBy_WS (TWinControl)
pt | SelectFirst (TWinControl)
 | SelectNext (TWinControl)
pt | SendDialogChar (TWinControl)
pt | SendMoveSizeMessages (TControl)
pt | SendMoveSizeMessages (TWinControl)
 | SendToBack (TControl)
pt | SetAction (TControl)
pt | SetAlign (TControl)
 | SetAncestor (TComponent)
pt | SetAnchors (TControl)
pt | SetAutoSize (TControl)
pt | SetBiDiMode (TControl)
pt | SetBorderStyle (TWinControl)
 | SetBounds (TControl)
 | SetBounds (TWinControl)
 | SetBoundsKeepBase (TControl)
 | SetChildOrder (TComponent)
pt | SetChildZPosition (TWinControl)
pt | SetColor (TControl)
pt | SetColor (TWinControl)
pt | SetColumns (TCustomCheckGroup)
 | SetComponentIndex (TComponent)
 | SetControlIndex (TWinControl)
pt | SetCursor (TControl)
 | SetDesigning (TComponent)
 | SetDesignInstance (TComponent)
pt | SetDockManager (TWinControl)
pt | SetDragMode (TControl)
pt | SetEnabled (TControl)
 | SetFocus (TWinControl)
pt | SetHint (TControl)
 | SetInitialBounds (TControl)
 | SetInline (TComponent)
pt | SetItems (TCustomCheckGroup)
 | SetName (TComponent)
pt | SetName (TControl)
pt | SetParent (TControl)
pt | SetParentBackground (TWinControl)
pt | SetParentBiDiMode (TControl)
 | SetParentComponent (TComponent)
pt | SetParentComponent (TControl)
 | SetReference (TComponent)
 | SetShape (TWinControl)
 | SetSubComponent (TComponent)
 | SetTempCursor (TControl)
 | SetTempCursor (TWinControl)
 | SetTextBuf (TControl)
pt | SetVisible (TControl)
pt | SetZOrder (TControl)
 | ShouldAutoAdjust (TControl)
 | Show (TControl)
pt | ShowControl (TWinControl)
 | ShowHelp (TControl)
 | StringMessageTable (TObject)
pt | TextChanged (TControl)
 | ToString (TObject)
pt | TripleClick (TControl)
 | UnitName (TObject)
 | UnlockRealizeBounds (TWinControl)
 | Update (TControl)
 | Update (TWinControl)
 | UpdateAction (TComponent)
pt | UpdateAll (TCustomCheckGroup)
pt | UpdateAnchorRules (TControl)
 | UpdateBaseBounds (TControl)
pt | UpdateControlState (TWinControl)
 | Updated (TComponent)
 | UpdateDockCaption (TWinControl)
pt | UpdateInternalObjectList (TCustomCheckGroup)
pt | UpdateMouseCursor (TControl)
 | UpdateRegistry (TComponent)
 | UpdateRolesForForm (TControl)
pt | UpdateShowing (TWinControl)
 | Updating (TComponent)
 | UseRightToLeftAlignment (TControl)
 | UseRightToLeftReading (TControl)
 | UseRightToLeftScrollBar (TControl)
pt | UTF8KeyPress (TWinControl)
 | ValidateContainer (TComponent)
 | ValidateInsert (TComponent)
 | ValidateRename (TComponent)
pt | VisibleChanged (TControl)
pt | VisibleChanging (TControl)
pt | WidthIsAnchored (TControl)
pt | WMCancelMode (TControl)
pt | WMChar (TWinControl)
pt | WMContextMenu (TControl)
pt | WMContextMenu (TWinControl)
pt | WMDestroy (TWinControl)
pt | WMEnter (TWinControl)
pt | WMEraseBkgnd (TWinControl)
pt | WMExit (TWinControl)
pt | WMKeyDown (TWinControl)
pt | WMKeyUp (TWinControl)
pt | WMKillFocus (TWinControl)
pt | WMLButtonDBLCLK (TControl)
pt | WMLButtonDown (TControl)
pt | WMLButtonQuadCLK (TControl)
pt | WMLButtonTripleCLK (TControl)
pt | WMLButtonUp (TControl)
pt | WMMButtonDBLCLK (TControl)
pt | WMMButtonDown (TControl)
pt | WMMButtonQuadCLK (TControl)
pt | WMMButtonTripleCLK (TControl)
pt | WMMButtonUp (TControl)
pt | WMMouseHWheel (TControl)
pt | WMMouseMove (TControl)
pt | WMMouseWheel (TControl)
pt | WMMove (TControl)
pt | WMMove (TWinControl)
pt | WMNotify (TWinControl)
pt | WMPaint (TWinControl)
pt | WMRButtonDBLCLK (TControl)
pt | WMRButtonDown (TControl)
pt | WMRButtonQuadCLK (TControl)
pt | WMRButtonTripleCLK (TControl)
pt | WMRButtonUp (TControl)
pt | WMSetFocus (TWinControl)
pt | WMShowWindow (TWinControl)
pt | WMSize (TControl)
pt | WMSize (TWinControl)
pt | WMSysChar (TWinControl)
pt | WMSysKeyDown (TWinControl)
pt | WMSysKeyUp (TWinControl)
pt | WMWindowPosChanged (TControl)
pt | WMWindowPosChanged (TWinControl)
pt | WMXButtonDBLCLK (TControl)
pt | WMXButtonDown (TControl)
pt | WMXButtonQuadCLK (TControl)
pt | WMXButtonTripleCLK (TControl)
pt | WMXButtonUp (TControl)
pt | WndProc (TControl)
pt | WndProc (TWinControl)
pt | WriteData (TCustomCheckGroup)
 | WriteLayoutDebugReport (TControl)
 | WriteLayoutDebugReport (TWinControl)
 | WriteLeft (TComponent)
 | WriteState (TComponent)
 | WriteTop (TComponent)
pt | WSRegisterClass (TLCLComponent)
pt | WSRegisterClass (TControl)
pt | WSRegisterClass (TWinControl)
pt | WSRegisterClass (TCustomGroupBox)
pt | WSRegisterClass (TCustomCheckGroup)
pt | WSSetText (TWinControl)
 | _AddRef (TComponent)
 | _Release (TComponent)


TCheckGroup
pl | ro | OnChangeBounds
pl | ro | OnClick
pl | ro | OnDblClick
pl | ro | OnDragDrop
pl | ro | OnDragOver
pl | ro | OnEndDrag
pl | ro | OnEnter
pl | ro | OnExit
pl | ro | OnItemClick
pl | ro | OnKeyDown
pl | ro | OnKeyPress
pl | ro | OnKeyUp
pl | ro | OnMouseDown
pl | ro | OnMouseEnter
pl | ro | OnMouseLeave
pl | ro | OnMouseMove
pl | ro | OnMouseUp
pl | ro | OnMouseWheel
pl | ro | OnMouseWheelDown
pl | ro | OnMouseWheelUp
pl | ro | OnResize
pl | ro | OnStartDrag
pl | ro | OnUTF8KeyPress
TCustomCheckGroup
 |  | OnItemClick
TCustomGroupBox
TWinControl
pt |  | OnGetSiteInfo
pt |  | OnGetDockCaption
 |  | OnAlignInsertBefore
 |  | OnAlignPosition
 |  | OnDockDrop
 |  | OnDockOver
 |  | OnEnter
 |  | OnExit
 |  | OnKeyDown
 |  | OnKeyPress
 |  | OnKeyUp
 |  | OnUnDock
 |  | OnUTF8KeyPress
TControl
pt |  | OnConstrainedResize
pt |  | OnContextPopup
pt |  | OnDblClick
pt |  | OnTripleClick
pt |  | OnQuadClick
pt |  | OnDragDrop
pt |  | OnDragOver
pt |  | OnEndDock
pt |  | OnEndDrag
pt |  | OnMouseDown
pt |  | OnMouseMove
pt |  | OnMouseUp
pt |  | OnMouseEnter
pt |  | OnMouseLeave
pt |  | OnMouseWheel
pt |  | OnMouseWheelDown
pt |  | OnMouseWheelUp
pt |  | OnMouseWheelHorz
pt |  | OnMouseWheelLeft
pt |  | OnMouseWheelRight
pt |  | OnStartDock
pt |  | OnStartDrag
pt |  | OnEditingDone
 |  | OnChangeBounds
 |  | OnClick
 |  | OnResize
 |  | OnShowHint
TLCLComponent
TComponent
TPersistent
TObject


pl | ro | OnChangeBounds (TCheckGroup)
 |  | OnClick (TControl)
pl | ro | OnClick (TCheckGroup)
pt |  | OnConstrainedResize (TControl)
pt |  | OnContextPopup (TControl)
pt |  | OnDblClick (TControl)
pl | ro | OnDblClick (TCheckGroup)
 |  | OnDockDrop (TWinControl)
 |  | OnDockOver (TWinControl)
pt |  | OnDragDrop (TControl)
pl | ro | OnDragDrop (TCheckGroup)
pt |  | OnDragOver (TControl)
pl | ro | OnDragOver (TCheckGroup)
pt |  | OnEditingDone (TControl)
pt |  | OnEndDock (TControl)
pt |  | OnEndDrag (TControl)
pl | ro | OnEndDrag (TCheckGroup)
 |  | OnEnter (TWinControl)
pl | ro | OnEnter (TCheckGroup)
 |  | OnExit (TWinControl)
pl | ro | OnExit (TCheckGroup)
pt |  | OnGetDockCaption (TWinControl)
pt |  | OnGetSiteInfo (TWinControl)
 |  | OnItemClick (TCustomCheckGroup)
pl | ro | OnItemClick (TCheckGroup)
 |  | OnKeyDown (TWinControl)
pl | ro | OnKeyDown (TCheckGroup)
 |  | OnKeyPress (TWinControl)
pl | ro | OnKeyPress (TCheckGroup)
 |  | OnKeyUp (TWinControl)
pl | ro | OnKeyUp (TCheckGroup)
pt |  | OnMouseDown (TControl)
pl | ro | OnMouseDown (TCheckGroup)
pt |  | OnMouseEnter (TControl)
pl | ro | OnMouseEnter (TCheckGroup)
pt |  | OnMouseLeave (TControl)
pl | ro | OnMouseLeave (TCheckGroup)
pt |  | OnMouseMove (TControl)
pl | ro | OnMouseMove (TCheckGroup)
pt |  | OnMouseUp (TControl)
pl | ro | OnMouseUp (TCheckGroup)
pt |  | OnMouseWheel (TControl)
pl | ro | OnMouseWheel (TCheckGroup)
pt |  | OnMouseWheelDown (TControl)
pl | ro | OnMouseWheelDown (TCheckGroup)
pt |  | OnMouseWheelHorz (TControl)
pt |  | OnMouseWheelLeft (TControl)
pt |  | OnMouseWheelRight (TControl)
pt |  | OnMouseWheelUp (TControl)
pl | ro | OnMouseWheelUp (TCheckGroup)
pt |  | OnQuadClick (TControl)
 |  | OnResize (TControl)
pl | ro | OnResize (TCheckGroup)
 |  | OnShowHint (TControl)
pt |  | OnStartDock (TControl)
pt |  | OnStartDrag (TControl)
pl | ro | OnStartDrag (TCheckGroup)
pt |  | OnTripleClick (TControl)
 |  | OnUnDock (TWinControl)
 |  | OnUTF8KeyPress (TWinControl)
pl | ro | OnUTF8KeyPress (TCheckGroup)


TCheckGroup.BiDiMode

Declaration

Source position: extctrls.pp line 857

published property TCheckGroup.BiDiMode : TBiDiMode;


TCheckGroup.Caption

Caption: the string which appears at the top of the Check Group Box

Declaration

Source position: extctrls.pp line 859

published property TCheckGroup.Caption : TCaption;

Description

Caption: the string which appears as a caption at the top of the Check Group Box to describe the function of the Check Group as a whole


TCheckGroup.ClientHeight

Declaration

Source position: extctrls.pp line 861

published property TCheckGroup.ClientHeight : Integer;


TCheckGroup.ClientWidth

Declaration

Source position: extctrls.pp line 862

published property TCheckGroup.ClientWidth : Integer;


TCheckGroup.DoubleBuffered

Declaration

Source position: extctrls.pp line 867

published property TCheckGroup.DoubleBuffered : Boolean;


TCheckGroup.DragCursor

Declaration

Source position: extctrls.pp line 868

published property TCheckGroup.DragCursor : TCursor;


TCheckGroup.DragMode

Declaration

Source position: extctrls.pp line 869

published property TCheckGroup.DragMode : TDragMode;


TCheckGroup.Items

Items - a string list containing the captions of the check boxes

Declaration

Source position: extctrls.pp line 872

published property TCheckGroup.Items : TStrings;

Description

Items - a string list containing the captions of the check boxes

Use the String List editor or the CheckGroup editor (opened by right-clicking on the control in the Form) to insert the captions for the check boxes, and determine their order and layout


TCheckGroup.OnDragDrop

Declaration

Source position: extctrls.pp line 876

published property TCheckGroup.OnDragDrop : TDragDropEvent;


TCheckGroup.OnDragOver

Declaration

Source position: extctrls.pp line 877

published property TCheckGroup.OnDragOver : TDragOverEvent;


TCheckGroup.OnEndDrag

Declaration

Source position: extctrls.pp line 878

published property TCheckGroup.OnEndDrag : TEndDragEvent;


TCheckGroup.OnMouseEnter

Declaration

Source position: extctrls.pp line 886

published property TCheckGroup.OnMouseEnter : TNotifyEvent;


TCheckGroup.OnMouseLeave

Declaration

Source position: extctrls.pp line 887

published property TCheckGroup.OnMouseLeave : TNotifyEvent;


TCheckGroup.OnMouseWheel

Declaration

Source position: extctrls.pp line 890

published property TCheckGroup.OnMouseWheel : TMouseWheelEvent;


TCheckGroup.OnMouseWheelDown

Declaration

Source position: extctrls.pp line 891

published property TCheckGroup.OnMouseWheelDown : TMouseWheelUpDownEvent;


TCheckGroup.OnMouseWheelUp

Declaration

Source position: extctrls.pp line 892

published property TCheckGroup.OnMouseWheelUp : TMouseWheelUpDownEvent;


TCheckGroup.OnStartDrag

Declaration

Source position: extctrls.pp line 894

published property TCheckGroup.OnStartDrag : TStartDragEvent;


TCheckGroup.ParentBiDiMode

Declaration

Source position: extctrls.pp line 896

published property TCheckGroup.ParentBiDiMode : Boolean;


TCheckGroup.ParentDoubleBuffered

Declaration

Source position: extctrls.pp line 899

published property TCheckGroup.ParentDoubleBuffered : Boolean;


TCheckGroup.TabStop

Declaration

Source position: extctrls.pp line 904

published property TCheckGroup.TabStop : Boolean;


TCheckGroupClicked

TCheckGroupClicked - generic event handler method for a click in a check group

Declaration

Source position: extctrls.pp line 795

type TCheckGroupClicked = procedure(

  Sender: TObject;

  Index: Integer

) of object;


TControlBar

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Declaration

Source position: extctrls.pp line 1604

type TControlBar = class(TCustomControlBar)

public

  property Canvas: TCanvas;

published

  property Align: TAlign;

  property Anchors: TAnchors;

  property AutoDock: Boolean;

  property AutoDrag: Boolean;

  property AutoSize: Boolean;

  property BevelInner: TPanelBevel;

  property BevelOuter: TPanelBevel;

  property BevelWidth: TBevelWidth;

  property BiDiMode: TBiDiMode;

  property BorderWidth: TBorderWidth;

  property Color: TColor;

  property Constraints: TSizeConstraints;

  property DockSite: Boolean;

  property DoubleBuffered: Boolean;

  property DragCursor: TCursor;

  property DragKind: TDragKind;

  property DragMode: TDragMode;

  property DrawingStyle: TBandDrawingStyle;

  property Enabled: Boolean;

  property GradientDirection: TGradientDirection;

  property GradientEndColor: TColor;

  property GradientStartColor: TColor;

  property ParentColor: Boolean;

  property ParentDoubleBuffered: Boolean;

  property ParentFont: Boolean;

  property ParentShowHint: Boolean;

  property Picture: TPicture;

  property PopupMenu: TPopupMenu;

  property RowSize: TRowSize;

  property RowSnap: Boolean;

  property ShowHint: Boolean;

  property TabOrder: TTabOrder;

  property TabStop: Boolean;

  property Visible: Boolean;

  property OnBandDrag: TBandDragEvent;

  property OnBandInfo: TBandInfoEvent;

  property OnBandMove: TBandMoveEvent;

  property OnBandPaint: TBandPaintEvent;

  property OnCanResize: TCanResizeEvent;

  property OnClick: TNotifyEvent;

  property OnConstrainedResize: TConstrainedResizeEvent;

  property OnContextPopup: TContextPopupEvent;

  property OnDockDrop: TDockDropEvent;

  property OnDockOver: TDockOverEvent;

  property OnDblClick: TNotifyEvent;

  property OnDragDrop: TDragDropEvent;

  property OnDragOver: TDragOverEvent;

  property OnEndDock: TEndDragEvent;

  property OnEndDrag: TEndDragEvent;

  property OnEnter: TNotifyEvent;

  property OnExit: TNotifyEvent;

  property OnGetSiteInfo: TGetSiteInfoEvent;

  property OnMouseDown: TMouseEvent;

  property OnMouseEnter: TNotifyEvent;

  property OnMouseLeave: TNotifyEvent;

  property OnMouseMove: TMouseMoveEvent;

  property OnMouseUp: TMouseEvent;

  property OnMouseWheel: TMouseWheelEvent;

  property OnMouseWheelDown: TMouseWheelUpDownEvent;

  property OnMouseWheelUp: TMouseWheelUpDownEvent;

  property OnPaint: TNotifyEvent;

  property OnResize: TNotifyEvent;

  property OnStartDock: TStartDockEvent;

  property OnStartDrag: TStartDragEvent;

  property OnUnDock: TUnDockEvent;

end;

Inheritance

TControlBar
|
TCustomControlBar
|
TCustomPanel | The base class for a general container which can hold other objects. It has a customizable border and a central text.
|
TCustomControl | The base class for windowed controls which paint themselves.
|
TWinControl | The base class for controls which can contain other (child) controls.
|
TControl | The base class for visible controls.
|
TLCLComponent | The base class for LCL components associated with widgets.
|
TComponent,IUnknown,IInterfaceComponentReference
|
TPersistent,IFPObserved
|
TObject


TControlBar
 | ro | Canvas
pl | ro | Align
pl | ro | Anchors
pl | ro | AutoDock
pl | ro | AutoDrag
pl | ro | AutoSize
pl | ro | BevelInner
pl | ro | BevelOuter
pl | ro | BevelWidth
pl | ro | BiDiMode
pl | ro | BorderWidth
pl | ro | Color
pl | ro | Constraints
pl | ro | DockSite
pl | ro | DoubleBuffered
pl | ro | DragCursor
pl | ro | DragKind
pl | ro | DragMode
pl | ro | DrawingStyle
pl | ro | Enabled
pl | ro | GradientDirection
pl | ro | GradientEndColor
pl | ro | GradientStartColor
pl | ro | ParentColor
pl | ro | ParentDoubleBuffered
pl | ro | ParentFont
pl | ro | ParentShowHint
pl | ro | Picture
pl | ro | PopupMenu
pl | ro | RowSize
pl | ro | RowSnap
pl | ro | ShowHint
pl | ro | TabOrder
pl | ro | TabStop
pl | ro | Visible
TCustomControlBar
 |  | AutoDock
 |  | AutoDrag
 | ro | AutoSize
 | ro | DockSite
 |  | DrawingStyle
 |  | GradientDirection
 |  | GradientStartColor
 |  | GradientEndColor
 |  | Picture
 |  | RowSize
 |  | RowSnap
TCustomPanel
pt |  | WordWrap
 | ro | Align
 |  | Alignment
 |  | BevelColor
 |  | BevelInner
 |  | BevelOuter
 |  | BevelWidth
 | ro | Color
 |  | FullRepaint
 | ro | ParentBackground
 | ro | ParentColor
 | ro | TabStop
TCustomControl
 |  | Canvas
 | ro | BorderStyle
TWinControl
pt |  | WindowHandle
pt |  | BorderStyle
pt |  | ParentBackground
 |  | BorderWidth
 | ro | BoundsLockCount
 | ro | Brush
 | ro | CachedClientHeight
 | ro | CachedClientWidth
 |  | ChildSizing
 | ro | ControlCount
 | ro | Controls
 |  | DefWndProc
 | ro | DockClientCount
 | ro | DockClients
 |  | DockManager
 |  | DockSite
 |  | DoubleBuffered
 |  | Handle
 | ro | IsFlipped
 | ro | IsResizing
 |  | TabOrder
 |  | TabStop
 |  | ParentDoubleBuffered
 |  | ParentWindow
 | ro | Showing
 |  | UseDockManager
 |  | DesignerDeleting
 | ro | VisibleDockClientCount
TControl
pt | ro | AutoSizing
pt | ro | AutoSizingAll
pt | ro | AutoSizingLockCount
pt |  | ActionLink
pt |  | DesktopFont
pt |  | DragCursor
pt |  | DragKind
pt |  | DragMode
pt |  | MouseCapture
pt |  | ParentColor
pt |  | ParentFont
pt |  | ParentShowHint
pt |  | SessionProperties
pt |  | Text
 | ro | AnchoredControls
 | ro | BaseBounds
 | ro | ReadBounds
 | ro | BaseParentClientSize
 |  | AccessibleDescription
 |  | AccessibleValue
 |  | AccessibleRole
 |  | Action
 |  | Align
 |  | Anchors
 | ro | AnchorSide
 |  | AutoSize
 |  | BorderSpacing
 |  | BoundsRect
 |  | BoundsRectForNewParent
 |  | Caption
 |  | CaptureMouseButtons
 |  | ClientHeight
 | ro | ClientOrigin
 | ro | ClientRect
 |  | ClientWidth
 |  | Color
 |  | Constraints
 | ro | ControlOrigin
 |  | ControlState
 |  | ControlStyle
 |  | Enabled
 |  | Font
 |  | IsControl
 | ro | MouseEntered
 | ro | MouseInClient
 |  | Parent
 |  | PopupMenu
 |  | ShowHint
 |  | Visible
 |  | WindowProc
 |  | DockOrientation
 | ro | Floating
 |  | FloatingDockSiteClass
 |  | HostDockSite
 |  | LRDockWidth
 |  | TBDockHeight
 |  | UndockHeight
 |  | UndockWidth
 |  | BiDiMode
 |  | ParentBiDiMode
pl |  | AnchorSideLeft
pl |  | AnchorSideTop
pl |  | AnchorSideRight
pl |  | AnchorSideBottom
pl |  | Cursor
pl |  | Left
pl |  | Height
pl |  | Hint
pl |  | Top
pl |  | Width
pl |  | HelpType
pl |  | HelpKeyword
pl |  | HelpContext
TLCLComponent
 | ro | LCLRefCount
 | ro | WidgetSetClass
TComponent
 | ro | ComObject
 | ro | Components
 | ro | ComponentCount
 |  | ComponentIndex
 | ro | ComponentState
 | ro | ComponentStyle
 |  | DesignInfo
 | ro | Owner
 |  | VCLComObject
 |  | Name
 |  | Tag
TPersistent
TObject


 |  | AccessibleDescription (TControl)
 |  | AccessibleRole (TControl)
 |  | AccessibleValue (TControl)
 |  | Action (TControl)
pt |  | ActionLink (TControl)
 |  | Align (TControl)
 | ro | Align (TCustomPanel)
pl | ro | Align (TControlBar)
 |  | Alignment (TCustomPanel)
 | ro | AnchoredControls (TControl)
 |  | Anchors (TControl)
pl | ro | Anchors (TControlBar)
 | ro | AnchorSide (TControl)
pl |  | AnchorSideBottom (TControl)
pl |  | AnchorSideLeft (TControl)
pl |  | AnchorSideRight (TControl)
pl |  | AnchorSideTop (TControl)
 |  | AutoDock (TCustomControlBar)
pl | ro | AutoDock (TControlBar)
 |  | AutoDrag (TCustomControlBar)
pl | ro | AutoDrag (TControlBar)
 |  | AutoSize (TControl)
 | ro | AutoSize (TCustomControlBar)
pl | ro | AutoSize (TControlBar)
pt | ro | AutoSizing (TControl)
pt | ro | AutoSizingAll (TControl)
pt | ro | AutoSizingLockCount (TControl)
 | ro | BaseBounds (TControl)
 | ro | BaseParentClientSize (TControl)
 |  | BevelColor (TCustomPanel)
 |  | BevelInner (TCustomPanel)
pl | ro | BevelInner (TControlBar)
 |  | BevelOuter (TCustomPanel)
pl | ro | BevelOuter (TControlBar)
 |  | BevelWidth (TCustomPanel)
pl | ro | BevelWidth (TControlBar)
 |  | BiDiMode (TControl)
pl | ro | BiDiMode (TControlBar)
 |  | BorderSpacing (TControl)
pt |  | BorderStyle (TWinControl)
 | ro | BorderStyle (TCustomControl)
 |  | BorderWidth (TWinControl)
pl | ro | BorderWidth (TControlBar)
 | ro | BoundsLockCount (TWinControl)
 |  | BoundsRect (TControl)
 |  | BoundsRectForNewParent (TControl)
 | ro | Brush (TWinControl)
 | ro | CachedClientHeight (TWinControl)
 | ro | CachedClientWidth (TWinControl)
 |  | Canvas (TCustomControl)
 | ro | Canvas (TControlBar)
 |  | Caption (TControl)
 |  | CaptureMouseButtons (TControl)
 |  | ChildSizing (TWinControl)
 |  | ClientHeight (TControl)
 | ro | ClientOrigin (TControl)
 | ro | ClientRect (TControl)
 |  | ClientWidth (TControl)
 |  | Color (TControl)
 | ro | Color (TCustomPanel)
pl | ro | Color (TControlBar)
 | ro | ComObject (TComponent)
 | ro | ComponentCount (TComponent)
 |  | ComponentIndex (TComponent)
 | ro | Components (TComponent)
 | ro | ComponentState (TComponent)
 | ro | ComponentStyle (TComponent)
 |  | Constraints (TControl)
pl | ro | Constraints (TControlBar)
 | ro | ControlCount (TWinControl)
 | ro | ControlOrigin (TControl)
 | ro | Controls (TWinControl)
 |  | ControlState (TControl)
 |  | ControlStyle (TControl)
pl |  | Cursor (TControl)
 |  | DefWndProc (TWinControl)
 |  | DesignerDeleting (TWinControl)
 |  | DesignInfo (TComponent)
pt |  | DesktopFont (TControl)
 | ro | DockClientCount (TWinControl)
 | ro | DockClients (TWinControl)
 |  | DockManager (TWinControl)
 |  | DockOrientation (TControl)
 |  | DockSite (TWinControl)
 | ro | DockSite (TCustomControlBar)
pl | ro | DockSite (TControlBar)
 |  | DoubleBuffered (TWinControl)
pl | ro | DoubleBuffered (TControlBar)
pt |  | DragCursor (TControl)
pl | ro | DragCursor (TControlBar)
pt |  | DragKind (TControl)
pl | ro | DragKind (TControlBar)
pt |  | DragMode (TControl)
pl | ro | DragMode (TControlBar)
 |  | DrawingStyle (TCustomControlBar)
pl | ro | DrawingStyle (TControlBar)
 |  | Enabled (TControl)
pl | ro | Enabled (TControlBar)
 | ro | Floating (TControl)
 |  | FloatingDockSiteClass (TControl)
 |  | Font (TControl)
 |  | FullRepaint (TCustomPanel)
 |  | GradientDirection (TCustomControlBar)
pl | ro | GradientDirection (TControlBar)
 |  | GradientEndColor (TCustomControlBar)
pl | ro | GradientEndColor (TControlBar)
 |  | GradientStartColor (TCustomControlBar)
pl | ro | GradientStartColor (TControlBar)
 |  | Handle (TWinControl)
pl |  | Height (TControl)
pl |  | HelpContext (TControl)
pl |  | HelpKeyword (TControl)
pl |  | HelpType (TControl)
pl |  | Hint (TControl)
 |  | HostDockSite (TControl)
 |  | IsControl (TControl)
 | ro | IsFlipped (TWinControl)
 | ro | IsResizing (TWinControl)
 | ro | LCLRefCount (TLCLComponent)
pl |  | Left (TControl)
 |  | LRDockWidth (TControl)
pt |  | MouseCapture (TControl)
 | ro | MouseEntered (TControl)
 | ro | MouseInClient (TControl)
 |  | Name (TComponent)
 | ro | Owner (TComponent)
 |  | Parent (TControl)
pt |  | ParentBackground (TWinControl)
 | ro | ParentBackground (TCustomPanel)
 |  | ParentBiDiMode (TControl)
pt |  | ParentColor (TControl)
 | ro | ParentColor (TCustomPanel)
pl | ro | ParentColor (TControlBar)
 |  | ParentDoubleBuffered (TWinControl)
pl | ro | ParentDoubleBuffered (TControlBar)
pt |  | ParentFont (TControl)
pl | ro | ParentFont (TControlBar)
pt |  | ParentShowHint (TControl)
pl | ro | ParentShowHint (TControlBar)
 |  | ParentWindow (TWinControl)
 |  | Picture (TCustomControlBar)
pl | ro | Picture (TControlBar)
 |  | PopupMenu (TControl)
pl | ro | PopupMenu (TControlBar)
 | ro | ReadBounds (TControl)
 |  | RowSize (TCustomControlBar)
pl | ro | RowSize (TControlBar)
 |  | RowSnap (TCustomControlBar)
pl | ro | RowSnap (TControlBar)
pt |  | SessionProperties (TControl)
 |  | ShowHint (TControl)
pl | ro | ShowHint (TControlBar)
 | ro | Showing (TWinControl)
 |  | TabOrder (TWinControl)
pl | ro | TabOrder (TControlBar)
 |  | TabStop (TWinControl)
 | ro | TabStop (TCustomPanel)
pl | ro | TabStop (TControlBar)
 |  | Tag (TComponent)
 |  | TBDockHeight (TControl)
pt |  | Text (TControl)
pl |  | Top (TControl)
 |  | UndockHeight (TControl)
 |  | UndockWidth (TControl)
 |  | UseDockManager (TWinControl)
 |  | VCLComObject (TComponent)
 |  | Visible (TControl)
pl | ro | Visible (TControlBar)
 | ro | VisibleDockClientCount (TWinControl)
 | ro | WidgetSetClass (TLCLComponent)
pl |  | Width (TControl)
pt |  | WindowHandle (TWinControl)
 |  | WindowProc (TControl)
pt |  | WordWrap (TCustomPanel)


TControlBar
TCustomControlBar
pt | AlignControlToBand
pt | AlignControlsToBands
pt | CalcBandHeight
pt | CalcBandHeightSnapped
pt | CalcInnerBevelWidth
pt | CalcLowestBandBottomPx
pt | CalculatePreferredSize
pt | ChangeCursor
pt | CheckBandsSizeAndVisibility
pt | CMBiDiModeChanged
pt | CMBorderChanged
pt | CreateWnd
pt | DoBandMove
pt | DoBandPaint
pt | DragControl
pt | DragOver
pt | GetControlInfo
pt | InitializeClass
pt | InitializeBand
pt | InitializeMove
pt | Loaded
pt | IsBandOverlap
pt | MouseDown
pt | MouseMove
pt | MouseUp
pt | MoveBand
pt | NormalizeRows
pt | Paint
pt | PictureChanged
pt | Resize
pt | SetCursor
pt | ShiftBands
pt | SortVisibleBands
pt | WMSize
 | Create
 | Destroy
 | BeginUpdate
 | EndUpdate
 | FlipChildren
 | HitTest
 | InsertControl
 | MouseToBandPos
 | RemoveControl
 | StickControls
TCustomPanel
pt | WSRegisterClass
pt | AdjustClientRect
pt | GetControlClassDefaultSize
pt | CMParentColorChanged
pt | GetDefaultDockCaption
pt | Loaded
pt | RealSetText
pt | Paint
pt | SetParentBackground
pt | UpdateParentColorChange
 | Create
TCustomControl
pt | WSRegisterClass
pt | WMPaint
pt | DestroyWnd
pt | PaintWindow
pt | FontChanged
pt | SetColor
pt | Paint
 | Create
 | Destroy
TWinControl
pt | WSRegisterClass
pt | AdjustClientRect
pt | GetAdjustedLogicalClientRect
pt | AlignControls
pt | CustomAlignInsertBefore
pt | CustomAlignPosition
pt | DoAlignChildControls
pt | DoChildSizingChange
pt | InvalidatePreferredChildSizes
pt | CanTab
pt | IsClientHeightStored
pt | IsClientWidthStored
pt | DoSendShowHideToInterface
pt | ControlsAligned
pt | DoSendBoundsToInterface
pt | RealizeBounds
pt | RealizeBoundsRecursive
pt | InvalidateBoundsRealized
pt | CreateSubClass
pt | DoConstraintsChange
pt | DoSetBounds
pt | DoAutoSize
pt | DoAllAutoSize
pt | AllAutoSized
pt | CalculatePreferredSize
pt | GetPreferredSizeClientFrame
pt | GetChildren
pt | ChildClassAllowed
pt | PaintControls
pt | PaintHandler
pt | PaintWindow
pt | CreateBrush
pt | ScaleControls
pt | ChangeScale
pt | CMBiDiModeChanged
pt | CMBorderChanged
pt | CMDoubleBufferedChanged
pt | CMEnabledChanged
pt | CMParentDoubleBufferedChanged
pt | CMShowingChanged
pt | CMShowHintChanged
pt | CMVisibleChanged
pt | CMEnter
pt | CMExit
pt | WMContextMenu
pt | WMEraseBkgnd
pt | WMNotify
pt | WMSetFocus
pt | WMKillFocus
pt | WMShowWindow
pt | WMEnter
pt | WMExit
pt | WMKeyDown
pt | WMSysKeyDown
pt | WMKeyUp
pt | WMSysKeyUp
pt | WMChar
pt | WMSysChar
pt | WMPaint
pt | WMDestroy
pt | WMMove
pt | WMSize
pt | WMWindowPosChanged
pt | CNKeyDown
pt | CNSysKeyDown
pt | CNKeyUp
pt | CNSysKeyUp
pt | CNChar
pt | DoDragMsg
pt | DoDockClientMsg
pt | DoUndockClientMsg
pt | DoAddDockClient
pt | DockOver
pt | DoDockOver
pt | DoRemoveDockClient
pt | DoUnDock
pt | GetSiteInfo
pt | GetParentHandle
pt | GetTopParentHandle
pt | ReloadDockedControl
pt | CreateDockManager
pt | SetDockManager
pt | DoFloatMsg
pt | DoGetDockCaption
pt | DoEnter
pt | DoExit
pt | DoKeyDownBeforeInterface
pt | DoRemainingKeyDown
pt | DoRemainingKeyUp
pt | DoKeyPress
pt | DoUTF8KeyPress
pt | DoKeyUpBeforeInterface
pt | ChildKey
pt | SendDialogChar
pt | DialogChar
pt | ControlKeyDown
pt | ControlKeyUp
pt | KeyDown
pt | KeyDownBeforeInterface
pt | KeyDownAfterInterface
pt | KeyPress
pt | KeyUp
pt | KeyUpBeforeInterface
pt | KeyUpAfterInterface
pt | UTF8KeyPress
pt | FindNextControl
pt | SelectFirst
pt | RealGetText
pt | GetBorderStyle
pt | GetClientOrigin
pt | GetClientRect
pt | GetControlOrigin
pt | GetDeviceContext
pt | GetParentBackground
pt | IsControlMouseMsg
pt | CreateHandle
pt | CreateParams
pt | CreateWnd
pt | DestroyHandle
pt | DestroyWnd
pt | DoFlipChildren
pt | FinalizeWnd
pt | FixupTabList
pt | FontChanged
pt | InitializeWnd
pt | Loaded
pt | FormEndUpdated
pt | MainWndProc
pt | ParentFormHandleInitialized
pt | ChildHandlesCreated
pt | GetMouseCapture
pt | RealSetText
pt | RemoveFocus
pt | SendMoveSizeMessages
pt | SetBorderStyle
pt | SetColor
pt | SetChildZPosition
pt | SetParentBackground
pt | ShowControl
pt | UpdateControlState
pt | UpdateShowing
pt | WndProc
pt | WSSetText
 | AutoSizePhases
 | AutoSizeDelayed
 | AutoSizeDelayedReport
 | AutoSizeDelayedHandle
 | BeginUpdateBounds
 | EndUpdateBounds
 | LockRealizeBounds
 | UnlockRealizeBounds
 | ControlAtPos
 | ContainsControl
 | DoAdjustClientRectChange
 | InvalidateClientRectCache
 | ClientRectNeedsInterfaceUpdate
 | SetBounds
 | GetChildrenRect
 | DisableAlign
 | EnableAlign
 | ReAlign
 | ScrollBy_WS
 | ScrollBy
 | WriteLayoutDebugReport
 | AutoAdjustLayout
 | Create
 | CreateParented
 | CreateParentedControl
 | Destroy
 | DockDrop
 | CanFocus
 | CanSetFocus
 | GetControlIndex
 | SetControlIndex
 | Focused
 | PerformTab
 | FindChildControl
 | SelectNext
 | SetTempCursor
 | BroadCast
 | NotifyControls
 | DefaultHandler
 | GetTextLen
 | Invalidate
 | AddControl
 | InsertControl
 | RemoveControl
 | GetEnumeratorControls
 | GetEnumeratorControlsReverse
 | Repaint
 | Update
 | SetFocus
 | FlipChildren
 | ScaleBy
 | GetDockCaption
 | UpdateDockCaption
 | GetTabOrderList
 | HandleAllocated
 | ParentHandlesAllocated
 | HandleNeeded
 | BrushCreated
 | EraseBackground
 | IntfUTF8KeyPress
 | IntfGetDropFilesTarget
 | PaintTo
 | SetShape
TControl
pt | WSRegisterClass
pt | GetCursor
pt | SetCursor
pt | SetVisible
pt | DoOnParentHandleDestruction
pt | DoAutoSize
pt | DoAllAutoSize
pt | BeginAutoSizing
pt | EndAutoSizing
pt | AnchorSideChanged
pt | ForeignAnchorSideChanged
pt | SetAlign
pt | SetAnchors
pt | SetAutoSize
pt | BoundsChanged
pt | CreateControlBorderSpacing
pt | DoConstraintsChange
pt | DoBorderSpacingChange
pt | IsBorderSpacingInnerBorderStored
pt | IsCaptionStored
pt | SendMoveSizeMessages
pt | ConstrainedResize
pt | CalculatePreferredSize
pt | DoOnResize
pt | DoOnChangeBounds
pt | CheckOnChangeBounds
pt | Resize
pt | RequestAlign
pt | UpdateAnchorRules
pt | ChangeBounds
pt | DoSetBounds
pt | ScaleConstraints
pt | ChangeScale
pt | CanAutoSize
pt | SetBiDiMode
pt | SetParentBiDiMode
pt | IsAParentAligning
pt | GetClientOrigin
pt | GetClientRect
pt | GetLogicalClientRect
pt | GetScrolledClientRect
pt | GetClientScrollOffset
pt | GetControlOrigin
pt | IsClientHeightStored
pt | IsClientWidthStored
pt | WidthIsAnchored
pt | HeightIsAnchored
pt | WMCancelMode
pt | WMContextMenu
pt | WMLButtonDown
pt | WMRButtonDown
pt | WMMButtonDown
pt | WMXButtonDown
pt | WMLButtonDBLCLK
pt | WMRButtonDBLCLK
pt | WMMButtonDBLCLK
pt | WMXButtonDBLCLK
pt | WMLButtonTripleCLK
pt | WMRButtonTripleCLK
pt | WMMButtonTripleCLK
pt | WMXButtonTripleCLK
pt | WMLButtonQuadCLK
pt | WMRButtonQuadCLK
pt | WMMButtonQuadCLK
pt | WMXButtonQuadCLK
pt | WMMouseMove
pt | WMLButtonUp
pt | WMRButtonUp
pt | WMMButtonUp
pt | WMXButtonUp
pt | WMMouseWheel
pt | WMMouseHWheel
pt | WMMove
pt | WMSize
pt | WMWindowPosChanged
pt | CMChanged
pt | LMCaptureChanged
pt | CMBiDiModeChanged
pt | CMSysFontChanged
pt | CMEnabledChanged
pt | CMHitTest
pt | CMMouseEnter
pt | CMMouseLeave
pt | CMHintShow
pt | CMParentBiDiModeChanged
pt | CMParentColorChanged
pt | CMParentFontChanged
pt | CMParentShowHintChanged
pt | CMVisibleChanged
pt | CMTextChanged
pt | CMCursorChanged
pt | CalculateDockSizes
pt | CreateFloatingDockSite
pt | GetDockEdge
pt | GetDragImages
pt | GetFloating
pt | GetFloatingDockSiteClass
pt | BeforeDragStart
pt | BeginAutoDrag
pt | DoFloatMsg
pt | DockTrackNoTarget
pt | DoDock
pt | DoDragMsg
pt | DoEndDock
pt | DoEndDrag
pt | DoStartDock
pt | DoStartDrag
pt | DragCanceled
pt | DragOver
pt | PositionDockRect
pt | SetDragMode
pt | GetDefaultDockCaption
pt | Click
pt | DblClick
pt | TripleClick
pt | QuadClick
pt | GetMousePosFromMessage
pt | MouseDown
pt | MouseMove
pt | MouseUp
pt | MouseEnter
pt | MouseLeave
pt | DialogChar
pt | UpdateMouseCursor
pt | Changed
pt | GetPalette
pt | ChildClassAllowed
pt | ReadState
pt | Loaded
pt | LoadedAll
pt | DefineProperties
pt | AssignTo
pt | FormEndUpdated
pt | InvalidateControl
pt | FontChanged
pt | ParentFontChanged
pt | GetAction
pt | RealGetText
pt | RealSetText
pt | TextChanged
pt | GetCachedText
pt | SetAction
pt | SetColor
pt | SetEnabled
pt | SetHint
pt | SetName
pt | SetParent
pt | SetParentComponent
pt | WndProc
pt | ParentFormHandleInitialized
pt | GetMouseCapture
pt | CaptureChanged
pt | Notification
pt | CanTab
pt | GetDeviceContext
pt | GetEnabled
pt | GetPopupMenu
pt | DoOnShowHint
pt | DoMouseWheel
pt | DoMouseWheelDown
pt | DoMouseWheelUp
pt | DoMouseWheelHorz
pt | DoMouseWheelLeft
pt | DoMouseWheelRight
pt | VisibleChanging
pt | VisibleChanged
pt | EnabledChanging
pt | EnabledChanged
pt | AddHandler
pt | RemoveHandler
pt | DoCallNotifyHandler
pt | DoCallKeyEventHandler
pt | DoCallMouseWheelEventHandler
pt | DoContextPopup
pt | SetZOrder
pt | GetControlClassDefaultSize
pt | ColorIsStored
pt | DoAutoAdjustLayout
pt | DoFixDesignFontPPI
pt | DoScaleFontPPI
pt | GetActionLinkClass
pt | ActionChange
 | DragDrop
 | Dock
 | ManualDock
 | ManualFloat
 | ReplaceDockedControl
 | Docked
 | Dragging
 | GetAccessibleObject
 | CreateAccessibleObject
 | GetSelectedChildAccessibleObject
 | GetChildAccessibleObjectAtPos
 | ScaleDesignToForm
 | ScaleFormToDesign
 | Scale96ToForm
 | ScaleFormTo96
 | Scale96ToFont
 | ScaleFontTo96
 | ScaleScreenToFont
 | ScaleFontToScreen
 | Scale96ToScreen
 | ScaleScreenTo96
 | AdjustSize
 | AutoSizePhases
 | AutoSizeDelayed
 | AutoSizeDelayedReport
 | AutoSizeDelayedHandle
 | AnchorToNeighbour
 | AnchorParallel
 | AnchorHorizontalCenterTo
 | AnchorVerticalCenterTo
 | AnchorToCompanion
 | AnchorSame
 | AnchorAsAlign
 | AnchorClient
 | AnchoredControlCount
 | SetBounds
 | SetInitialBounds
 | SetBoundsKeepBase
 | GetPreferredSize
 | GetCanvasScaleFactor
 | GetDefaultWidth
 | GetDefaultHeight
 | GetDefaultColor
 | GetColorResolvingParent
 | GetRGBColorResolvingParent
 | GetSidePosition
 | CNPreferredSizeChanged
 | InvalidatePreferredSize
 | GetAnchorsDependingOnParent
 | DisableAutoSizing
 | EnableAutoSizing
 | UpdateBaseBounds
 | WriteLayoutDebugReport
 | AutoAdjustLayout
 | ShouldAutoAdjust
 | FixDesignFontsPPI
 | ScaleFontsPPI
 | Create
 | Destroy
 | BeforeDestruction
 | EditingDone
 | ExecuteDefaultAction
 | ExecuteCancelAction
 | BeginDrag
 | EndDrag
 | BringToFront
 | HasParent
 | GetParentComponent
 | IsParentOf
 | GetTopParent
 | IsVisible
 | IsControlVisible
 | IsEnabled
 | IsParentColor
 | IsParentFont
 | FormIsUpdating
 | IsProcessingPaintMsg
 | Hide
 | Refresh
 | Repaint
 | Invalidate
 | CheckChildClassAllowed
 | CheckNewParent
 | SendToBack
 | SetTempCursor
 | UpdateRolesForForm
 | ActiveDefaultControlChanged
 | GetTextBuf
 | GetTextLen
 | SetTextBuf
 | Perform
 | ScreenToClient
 | ClientToScreen
 | ScreenToControl
 | ControlToScreen
 | ClientToParent
 | ParentToClient
 | GetChildrenRect
 | Show
 | Update
 | HandleObjectShouldBeVisible
 | ParentDestroyingHandle
 | ParentHandlesAllocated
 | InitiateAction
 | ShowHelp
 | HasHelp
 | RemoveAllHandlersOfObject
 | AddHandlerOnResize
 | RemoveHandlerOnResize
 | AddHandlerOnChangeBounds
 | RemoveHandlerOnChangeBounds
 | AddHandlerOnVisibleChanging
 | RemoveHandlerOnVisibleChanging
 | AddHandlerOnVisibleChanged
 | RemoveHandlerOnVisibleChanged
 | AddHandlerOnEnabledChanged
 | RemoveHandlerOnEnableChanging
 | AddHandlerOnKeyDown
 | RemoveHandlerOnKeyDown
 | AddHandlerOnBeforeDestruction
 | RemoveHandlerOnBeforeDestruction
 | AddHandlerOnMouseWheel
 | RemoveHandlerOnMouseWheel
 | UseRightToLeftAlignment
 | UseRightToLeftReading
 | UseRightToLeftScrollBar
 | IsRightToLeft
TLCLComponent
pt | WSRegisterClass
pt | GetWSComponentClass
 | Create
 | Destroy
 | NewInstance
 | RemoveAllHandlersOfObject
 | IncLCLRefCount
 | DecLCLRefCount
TComponent
 | GetComObject
 | GetComponent
 | GetComponentCount
 | GetComponentIndex
 | Insert
 | ReadLeft
 | ReadTop
 | Remove
 | RemoveNotification
 | SetComponentIndex
 | SetReference
 | WriteLeft
 | WriteTop
 | ChangeName
 | DefineProperties
 | GetChildren
 | GetChildOwner
 | GetChildParent
 | GetOwner
 | Loaded
 | Loading
 | Notification
 | PaletteCreated
 | ReadState
 | SetAncestor
 | SetDesigning
 | SetDesignInstance
 | SetInline
 | SetName
 | SetChildOrder
 | SetParentComponent
 | Updating
 | Updated
 | UpdateRegistry
 | ValidateRename
 | ValidateContainer
 | ValidateInsert
 | QueryInterface
 | _AddRef
 | _Release
 | iicrGetComponent
 | GetTypeInfoCount
 | GetTypeInfo
 | GetIDsOfNames
 | Invoke
 | WriteState
 | Create
 | Destroy
 | BeforeDestruction
 | DestroyComponents
 | Destroying
 | ExecuteAction
 | FindComponent
 | FreeNotification
 | RemoveFreeNotification
 | FreeOnRelease
 | GetEnumerator
 | GetNamePath
 | GetParentComponent
 | HasParent
 | InsertComponent
 | RemoveComponent
 | SafeCallException
 | SetSubComponent
 | UpdateAction
 | IsImplementorOf
 | ReferenceInterface
TPersistent
 | AssignError
 | AssignTo
 | DefineProperties
 | GetOwner
 | Destroy
 | Assign
 | FPOAttachObserver
 | FPODetachObserver
 | FPONotifyObservers
 | GetNamePath
TObject
 | Create
 | Destroy
 | newinstance
 | FreeInstance
 | SafeCallException
 | DefaultHandler
 | Free
 | InitInstance
 | CleanupInstance
 | ClassType
 | ClassInfo
 | ClassName
 | ClassNameIs
 | ClassParent
 | InstanceSize
 | InheritsFrom
 | StringMessageTable
 | MethodAddress
 | MethodName
 | FieldAddress
 | AfterConstruction
 | BeforeDestruction
 | DefaultHandlerStr
 | Dispatch
 | DispatchStr
 | GetInterface
 | GetInterfaceByStr
 | GetInterfaceWeak
 | GetInterfaceEntry
 | GetInterfaceEntryByStr
 | GetInterfaceTable
 | UnitName
 | Equals
 | GetHashCode
 | ToString


pt | ActionChange (TControl)
 | ActiveDefaultControlChanged (TControl)
 | AddControl (TWinControl)
pt | AddHandler (TControl)
 | AddHandlerOnBeforeDestruction (TControl)
 | AddHandlerOnChangeBounds (TControl)
 | AddHandlerOnEnabledChanged (TControl)
 | AddHandlerOnKeyDown (TControl)
 | AddHandlerOnMouseWheel (TControl)
 | AddHandlerOnResize (TControl)
 | AddHandlerOnVisibleChanged (TControl)
 | AddHandlerOnVisibleChanging (TControl)
pt | AdjustClientRect (TWinControl)
pt | AdjustClientRect (TCustomPanel)
 | AdjustSize (TControl)
 | AfterConstruction (TObject)
pt | AlignControls (TWinControl)
pt | AlignControlsToBands (TCustomControlBar)
pt | AlignControlToBand (TCustomControlBar)
pt | AllAutoSized (TWinControl)
 | AnchorAsAlign (TControl)
 | AnchorClient (TControl)
 | AnchoredControlCount (TControl)
 | AnchorHorizontalCenterTo (TControl)
 | AnchorParallel (TControl)
 | AnchorSame (TControl)
pt | AnchorSideChanged (TControl)
 | AnchorToCompanion (TControl)
 | AnchorToNeighbour (TControl)
 | AnchorVerticalCenterTo (TControl)
 | Assign (TPersistent)
 | AssignError (TPersistent)
 | AssignTo (TPersistent)
pt | AssignTo (TControl)
 | AutoAdjustLayout (TControl)
 | AutoAdjustLayout (TWinControl)
 | AutoSizeDelayed (TControl)
 | AutoSizeDelayed (TWinControl)
 | AutoSizeDelayedHandle (TControl)
 | AutoSizeDelayedHandle (TWinControl)
 | AutoSizeDelayedReport (TControl)
 | AutoSizeDelayedReport (TWinControl)
 | AutoSizePhases (TControl)
 | AutoSizePhases (TWinControl)
 | BeforeDestruction (TObject)
 | BeforeDestruction (TComponent)
 | BeforeDestruction (TControl)
pt | BeforeDragStart (TControl)
pt | BeginAutoDrag (TControl)
pt | BeginAutoSizing (TControl)
 | BeginDrag (TControl)
 | BeginUpdate (TCustomControlBar)
 | BeginUpdateBounds (TWinControl)
pt | BoundsChanged (TControl)
 | BringToFront (TControl)
 | BroadCast (TWinControl)
 | BrushCreated (TWinControl)
pt | CalcBandHeight (TCustomControlBar)
pt | CalcBandHeightSnapped (TCustomControlBar)
pt | CalcInnerBevelWidth (TCustomControlBar)
pt | CalcLowestBandBottomPx (TCustomControlBar)
pt | CalculateDockSizes (TControl)
pt | CalculatePreferredSize (TControl)
pt | CalculatePreferredSize (TWinControl)
pt | CalculatePreferredSize (TCustomControlBar)
pt | CanAutoSize (TControl)
 | CanFocus (TWinControl)
 | CanSetFocus (TWinControl)
pt | CanTab (TControl)
pt | CanTab (TWinControl)
pt | CaptureChanged (TControl)
pt | ChangeBounds (TControl)
pt | ChangeCursor (TCustomControlBar)
pt | Changed (TControl)
 | ChangeName (TComponent)
pt | ChangeScale (TControl)
pt | ChangeScale (TWinControl)
pt | CheckBandsSizeAndVisibility (TCustomControlBar)
 | CheckChildClassAllowed (TControl)
 | CheckNewParent (TControl)
pt | CheckOnChangeBounds (TControl)
pt | ChildClassAllowed (TControl)
pt | ChildClassAllowed (TWinControl)
pt | ChildHandlesCreated (TWinControl)
pt | ChildKey (TWinControl)
 | ClassInfo (TObject)
 | ClassName (TObject)
 | ClassNameIs (TObject)
 | ClassParent (TObject)
 | ClassType (TObject)
 | CleanupInstance (TObject)
pt | Click (TControl)
 | ClientRectNeedsInterfaceUpdate (TWinControl)
 | ClientToParent (TControl)
 | ClientToScreen (TControl)
pt | CMBiDiModeChanged (TControl)
pt | CMBiDiModeChanged (TWinControl)
pt | CMBiDiModeChanged (TCustomControlBar)
pt | CMBorderChanged (TWinControl)
pt | CMBorderChanged (TCustomControlBar)
pt | CMChanged (TControl)
pt | CMCursorChanged (TControl)
pt | CMDoubleBufferedChanged (TWinControl)
pt | CMEnabledChanged (TControl)
pt | CMEnabledChanged (TWinControl)
pt | CMEnter (TWinControl)
pt | CMExit (TWinControl)
pt | CMHintShow (TControl)
pt | CMHitTest (TControl)
pt | CMMouseEnter (TControl)
pt | CMMouseLeave (TControl)
pt | CMParentBiDiModeChanged (TControl)
pt | CMParentColorChanged (TControl)
pt | CMParentColorChanged (TCustomPanel)
pt | CMParentDoubleBufferedChanged (TWinControl)
pt | CMParentFontChanged (TControl)
pt | CMParentShowHintChanged (TControl)
pt | CMShowHintChanged (TWinControl)
pt | CMShowingChanged (TWinControl)
pt | CMSysFontChanged (TControl)
pt | CMTextChanged (TControl)
pt | CMVisibleChanged (TControl)
pt | CMVisibleChanged (TWinControl)
pt | CNChar (TWinControl)
pt | CNKeyDown (TWinControl)
pt | CNKeyUp (TWinControl)
 | CNPreferredSizeChanged (TControl)
pt | CNSysKeyDown (TWinControl)
pt | CNSysKeyUp (TWinControl)
pt | ColorIsStored (TControl)
pt | ConstrainedResize (TControl)
 | ContainsControl (TWinControl)
 | ControlAtPos (TWinControl)
pt | ControlKeyDown (TWinControl)
pt | ControlKeyUp (TWinControl)
pt | ControlsAligned (TWinControl)
 | ControlToScreen (TControl)
 | Create (TObject)
 | Create (TComponent)
 | Create (TLCLComponent)
 | Create (TControl)
 | Create (TWinControl)
 | Create (TCustomControl)
 | Create (TCustomPanel)
 | Create (TCustomControlBar)
 | CreateAccessibleObject (TControl)
pt | CreateBrush (TWinControl)
pt | CreateControlBorderSpacing (TControl)
pt | CreateDockManager (TWinControl)
pt | CreateFloatingDockSite (TControl)
pt | CreateHandle (TWinControl)
pt | CreateParams (TWinControl)
 | CreateParented (TWinControl)
 | CreateParentedControl (TWinControl)
pt | CreateSubClass (TWinControl)
pt | CreateWnd (TWinControl)
pt | CreateWnd (TCustomControlBar)
pt | CustomAlignInsertBefore (TWinControl)
pt | CustomAlignPosition (TWinControl)
pt | DblClick (TControl)
 | DecLCLRefCount (TLCLComponent)
 | DefaultHandler (TObject)
 | DefaultHandler (TWinControl)
 | DefaultHandlerStr (TObject)
 | DefineProperties (TPersistent)
 | DefineProperties (TComponent)
pt | DefineProperties (TControl)
 | Destroy (TObject)
 | Destroy (TPersistent)
 | Destroy (TComponent)
 | Destroy (TLCLComponent)
 | Destroy (TControl)
 | Destroy (TWinControl)
 | Destroy (TCustomControl)
 | Destroy (TCustomControlBar)
 | DestroyComponents (TComponent)
pt | DestroyHandle (TWinControl)
 | Destroying (TComponent)
pt | DestroyWnd (TWinControl)
pt | DestroyWnd (TCustomControl)
pt | DialogChar (TControl)
pt | DialogChar (TWinControl)
 | DisableAlign (TWinControl)
 | DisableAutoSizing (TControl)
 | Dispatch (TObject)
 | DispatchStr (TObject)
pt | DoAddDockClient (TWinControl)
 | DoAdjustClientRectChange (TWinControl)
pt | DoAlignChildControls (TWinControl)
pt | DoAllAutoSize (TControl)
pt | DoAllAutoSize (TWinControl)
pt | DoAutoAdjustLayout (TControl)
pt | DoAutoSize (TControl)
pt | DoAutoSize (TWinControl)
pt | DoBandMove (TCustomControlBar)
pt | DoBandPaint (TCustomControlBar)
pt | DoBorderSpacingChange (TControl)
pt | DoCallKeyEventHandler (TControl)
pt | DoCallMouseWheelEventHandler (TControl)
pt | DoCallNotifyHandler (TControl)
pt | DoChildSizingChange (TWinControl)
 | Dock (TControl)
 | DockDrop (TWinControl)
 | Docked (TControl)
pt | DockOver (TWinControl)
pt | DockTrackNoTarget (TControl)
pt | DoConstraintsChange (TControl)
pt | DoConstraintsChange (TWinControl)
pt | DoContextPopup (TControl)
pt | DoDock (TControl)
pt | DoDockClientMsg (TWinControl)
pt | DoDockOver (TWinControl)
pt | DoDragMsg (TControl)
pt | DoDragMsg (TWinControl)
pt | DoEndDock (TControl)
pt | DoEndDrag (TControl)
pt | DoEnter (TWinControl)
pt | DoExit (TWinControl)
pt | DoFixDesignFontPPI (TControl)
pt | DoFlipChildren (TWinControl)
pt | DoFloatMsg (TControl)
pt | DoFloatMsg (TWinControl)
pt | DoGetDockCaption (TWinControl)
pt | DoKeyDownBeforeInterface (TWinControl)
pt | DoKeyPress (TWinControl)
pt | DoKeyUpBeforeInterface (TWinControl)
pt | DoMouseWheel (TControl)
pt | DoMouseWheelDown (TControl)
pt | DoMouseWheelHorz (TControl)
pt | DoMouseWheelLeft (TControl)
pt | DoMouseWheelRight (TControl)
pt | DoMouseWheelUp (TControl)
pt | DoOnChangeBounds (TControl)
pt | DoOnParentHandleDestruction (TControl)
pt | DoOnResize (TControl)
pt | DoOnShowHint (TControl)
pt | DoRemainingKeyDown (TWinControl)
pt | DoRemainingKeyUp (TWinControl)
pt | DoRemoveDockClient (TWinControl)
pt | DoScaleFontPPI (TControl)
pt | DoSendBoundsToInterface (TWinControl)
pt | DoSendShowHideToInterface (TWinControl)
pt | DoSetBounds (TControl)
pt | DoSetBounds (TWinControl)
pt | DoStartDock (TControl)
pt | DoStartDrag (TControl)
pt | DoUnDock (TWinControl)
pt | DoUndockClientMsg (TWinControl)
pt | DoUTF8KeyPress (TWinControl)
pt | DragCanceled (TControl)
pt | DragControl (TCustomControlBar)
 | DragDrop (TControl)
 | Dragging (TControl)
pt | DragOver (TControl)
pt | DragOver (TCustomControlBar)
 | EditingDone (TControl)
 | EnableAlign (TWinControl)
 | EnableAutoSizing (TControl)
pt | EnabledChanged (TControl)
pt | EnabledChanging (TControl)
pt | EndAutoSizing (TControl)
 | EndDrag (TControl)
 | EndUpdate (TCustomControlBar)
 | EndUpdateBounds (TWinControl)
 | Equals (TObject)
 | EraseBackground (TWinControl)
 | ExecuteAction (TComponent)
 | ExecuteCancelAction (TControl)
 | ExecuteDefaultAction (TControl)
 | FieldAddress (TObject)
pt | FinalizeWnd (TWinControl)
 | FindChildControl (TWinControl)
 | FindComponent (TComponent)
pt | FindNextControl (TWinControl)
 | FixDesignFontsPPI (TControl)
pt | FixupTabList (TWinControl)
 | FlipChildren (TWinControl)
 | FlipChildren (TCustomControlBar)
 | Focused (TWinControl)
pt | FontChanged (TControl)
pt | FontChanged (TWinControl)
pt | FontChanged (TCustomControl)
pt | ForeignAnchorSideChanged (TControl)
pt | FormEndUpdated (TControl)
pt | FormEndUpdated (TWinControl)
 | FormIsUpdating (TControl)
 | FPOAttachObserver (TPersistent)
 | FPODetachObserver (TPersistent)
 | FPONotifyObservers (TPersistent)
 | Free (TObject)
 | FreeInstance (TObject)
 | FreeNotification (TComponent)
 | FreeOnRelease (TComponent)
 | GetAccessibleObject (TControl)
pt | GetAction (TControl)
pt | GetActionLinkClass (TControl)
pt | GetAdjustedLogicalClientRect (TWinControl)
 | GetAnchorsDependingOnParent (TControl)
pt | GetBorderStyle (TWinControl)
pt | GetCachedText (TControl)
 | GetCanvasScaleFactor (TControl)
 | GetChildAccessibleObjectAtPos (TControl)
 | GetChildOwner (TComponent)
 | GetChildParent (TComponent)
 | GetChildren (TComponent)
pt | GetChildren (TWinControl)
 | GetChildrenRect (TControl)
 | GetChildrenRect (TWinControl)
pt | GetClientOrigin (TControl)
pt | GetClientOrigin (TWinControl)
pt | GetClientRect (TControl)
pt | GetClientRect (TWinControl)
pt | GetClientScrollOffset (TControl)
 | GetColorResolvingParent (TControl)
 | GetComObject (TComponent)
 | GetComponent (TComponent)
 | GetComponentCount (TComponent)
 | GetComponentIndex (TComponent)
pt | GetControlClassDefaultSize (TControl)
pt | GetControlClassDefaultSize (TCustomPanel)
 | GetControlIndex (TWinControl)
pt | GetControlInfo (TCustomControlBar)
pt | GetControlOrigin (TControl)
pt | GetControlOrigin (TWinControl)
pt | GetCursor (TControl)
 | GetDefaultColor (TControl)
pt | GetDefaultDockCaption (TControl)
pt | GetDefaultDockCaption (TCustomPanel)
 | GetDefaultHeight (TControl)
 | GetDefaultWidth (TControl)
pt | GetDeviceContext (TControl)
pt | GetDeviceContext (TWinControl)
 | GetDockCaption (TWinControl)
pt | GetDockEdge (TControl)
pt | GetDragImages (TControl)
pt | GetEnabled (TControl)
 | GetEnumerator (TComponent)
 | GetEnumeratorControls (TWinControl)
 | GetEnumeratorControlsReverse (TWinControl)
pt | GetFloating (TControl)
pt | GetFloatingDockSiteClass (TControl)
 | GetHashCode (TObject)
 | GetIDsOfNames (TComponent)
 | GetInterface (TObject)
 | GetInterfaceByStr (TObject)
 | GetInterfaceEntry (TObject)
 | GetInterfaceEntryByStr (TObject)
 | GetInterfaceTable (TObject)
 | GetInterfaceWeak (TObject)
pt | GetLogicalClientRect (TControl)
pt | GetMouseCapture (TControl)
pt | GetMouseCapture (TWinControl)
pt | GetMousePosFromMessage (TControl)
 | GetNamePath (TPersistent)
 | GetNamePath (TComponent)
 | GetOwner (TPersistent)
 | GetOwner (TComponent)
pt | GetPalette (TControl)
pt | GetParentBackground (TWinControl)
 | GetParentComponent (TComponent)
 | GetParentComponent (TControl)
pt | GetParentHandle (TWinControl)
pt | GetPopupMenu (TControl)
 | GetPreferredSize (TControl)
pt | GetPreferredSizeClientFrame (TWinControl)
 | GetRGBColorResolvingParent (TControl)
pt | GetScrolledClientRect (TControl)
 | GetSelectedChildAccessibleObject (TControl)
 | GetSidePosition (TControl)
pt | GetSiteInfo (TWinControl)
 | GetTabOrderList (TWinControl)
 | GetTextBuf (TControl)
 | GetTextLen (TControl)
 | GetTextLen (TWinControl)
 | GetTopParent (TControl)
pt | GetTopParentHandle (TWinControl)
 | GetTypeInfo (TComponent)
 | GetTypeInfoCount (TComponent)
pt | GetWSComponentClass (TLCLComponent)
 | HandleAllocated (TWinControl)
 | HandleNeeded (TWinControl)
 | HandleObjectShouldBeVisible (TControl)
 | HasHelp (TControl)
 | HasParent (TComponent)
 | HasParent (TControl)
pt | HeightIsAnchored (TControl)
 | Hide (TControl)
 | HitTest (TCustomControlBar)
 | iicrGetComponent (TComponent)
 | IncLCLRefCount (TLCLComponent)
 | InheritsFrom (TObject)
pt | InitializeBand (TCustomControlBar)
pt | InitializeClass (TCustomControlBar)
pt | InitializeMove (TCustomControlBar)
pt | InitializeWnd (TWinControl)
 | InitiateAction (TControl)
 | InitInstance (TObject)
 | Insert (TComponent)
 | InsertComponent (TComponent)
 | InsertControl (TWinControl)
 | InsertControl (TCustomControlBar)
 | InstanceSize (TObject)
 | IntfGetDropFilesTarget (TWinControl)
 | IntfUTF8KeyPress (TWinControl)
 | Invalidate (TControl)
 | Invalidate (TWinControl)
pt | InvalidateBoundsRealized (TWinControl)
 | InvalidateClientRectCache (TWinControl)
pt | InvalidateControl (TControl)
pt | InvalidatePreferredChildSizes (TWinControl)
 | InvalidatePreferredSize (TControl)
 | Invoke (TComponent)
pt | IsAParentAligning (TControl)
pt | IsBandOverlap (TCustomControlBar)
pt | IsBorderSpacingInnerBorderStored (TControl)
pt | IsCaptionStored (TControl)
pt | IsClientHeightStored (TControl)
pt | IsClientHeightStored (TWinControl)
pt | IsClientWidthStored (TControl)
pt | IsClientWidthStored (TWinControl)
pt | IsControlMouseMsg (TWinControl)
 | IsControlVisible (TControl)
 | IsEnabled (TControl)
 | IsImplementorOf (TComponent)
 | IsParentColor (TControl)
 | IsParentFont (TControl)
 | IsParentOf (TControl)
 | IsProcessingPaintMsg (TControl)
 | IsRightToLeft (TControl)
 | IsVisible (TControl)
pt | KeyDown (TWinControl)
pt | KeyDownAfterInterface (TWinControl)
pt | KeyDownBeforeInterface (TWinControl)
pt | KeyPress (TWinControl)
pt | KeyUp (TWinControl)
pt | KeyUpAfterInterface (TWinControl)
pt | KeyUpBeforeInterface (TWinControl)
pt | LMCaptureChanged (TControl)
 | Loaded (TComponent)
pt | Loaded (TControl)
pt | Loaded (TWinControl)
pt | Loaded (TCustomPanel)
pt | Loaded (TCustomControlBar)
pt | LoadedAll (TControl)
 | Loading (TComponent)
 | LockRealizeBounds (TWinControl)
pt | MainWndProc (TWinControl)
 | ManualDock (TControl)
 | ManualFloat (TControl)
 | MethodAddress (TObject)
 | MethodName (TObject)
pt | MouseDown (TControl)
pt | MouseDown (TCustomControlBar)
pt | MouseEnter (TControl)
pt | MouseLeave (TControl)
pt | MouseMove (TControl)
pt | MouseMove (TCustomControlBar)
 | MouseToBandPos (TCustomControlBar)
pt | MouseUp (TControl)
pt | MouseUp (TCustomControlBar)
pt | MoveBand (TCustomControlBar)
 | newinstance (TObject)
 | NewInstance (TLCLComponent)
pt | NormalizeRows (TCustomControlBar)
 | Notification (TComponent)
pt | Notification (TControl)
 | NotifyControls (TWinControl)
pt | Paint (TCustomControl)
pt | Paint (TCustomPanel)
pt | Paint (TCustomControlBar)
pt | PaintControls (TWinControl)
pt | PaintHandler (TWinControl)
 | PaintTo (TWinControl)
pt | PaintWindow (TWinControl)
pt | PaintWindow (TCustomControl)
 | PaletteCreated (TComponent)
 | ParentDestroyingHandle (TControl)
pt | ParentFontChanged (TControl)
pt | ParentFormHandleInitialized (TControl)
pt | ParentFormHandleInitialized (TWinControl)
 | ParentHandlesAllocated (TControl)
 | ParentHandlesAllocated (TWinControl)
 | ParentToClient (TControl)
 | Perform (TControl)
 | PerformTab (TWinControl)
pt | PictureChanged (TCustomControlBar)
pt | PositionDockRect (TControl)
pt | QuadClick (TControl)
 | QueryInterface (TComponent)
 | ReadLeft (TComponent)
 | ReadState (TComponent)
pt | ReadState (TControl)
 | ReadTop (TComponent)
pt | RealGetText (TControl)
pt | RealGetText (TWinControl)
 | ReAlign (TWinControl)
pt | RealizeBounds (TWinControl)
pt | RealizeBoundsRecursive (TWinControl)
pt | RealSetText (TControl)
pt | RealSetText (TWinControl)
pt | RealSetText (TCustomPanel)
 | ReferenceInterface (TComponent)
 | Refresh (TControl)
pt | ReloadDockedControl (TWinControl)
 | Remove (TComponent)
 | RemoveAllHandlersOfObject (TLCLComponent)
 | RemoveAllHandlersOfObject (TControl)
 | RemoveComponent (TComponent)
 | RemoveControl (TWinControl)
 | RemoveControl (TCustomControlBar)
pt | RemoveFocus (TWinControl)
 | RemoveFreeNotification (TComponent)
pt | RemoveHandler (TControl)
 | RemoveHandlerOnBeforeDestruction (TControl)
 | RemoveHandlerOnChangeBounds (TControl)
 | RemoveHandlerOnEnableChanging (TControl)
 | RemoveHandlerOnKeyDown (TControl)
 | RemoveHandlerOnMouseWheel (TControl)
 | RemoveHandlerOnResize (TControl)
 | RemoveHandlerOnVisibleChanged (TControl)
 | RemoveHandlerOnVisibleChanging (TControl)
 | RemoveNotification (TComponent)
 | Repaint (TControl)
 | Repaint (TWinControl)
 | ReplaceDockedControl (TControl)
pt | RequestAlign (TControl)
pt | Resize (TControl)
pt | Resize (TCustomControlBar)
 | SafeCallException (TObject)
 | SafeCallException (TComponent)
 | Scale96ToFont (TControl)
 | Scale96ToForm (TControl)
 | Scale96ToScreen (TControl)
 | ScaleBy (TWinControl)
pt | ScaleConstraints (TControl)
pt | ScaleControls (TWinControl)
 | ScaleDesignToForm (TControl)
 | ScaleFontsPPI (TControl)
 | ScaleFontTo96 (TControl)
 | ScaleFontToScreen (TControl)
 | ScaleFormTo96 (TControl)
 | ScaleFormToDesign (TControl)
 | ScaleScreenTo96 (TControl)
 | ScaleScreenToFont (TControl)
 | ScreenToClient (TControl)
 | ScreenToControl (TControl)
 | ScrollBy (TWinControl)
 | ScrollBy_WS (TWinControl)
pt | SelectFirst (TWinControl)
 | SelectNext (TWinControl)
pt | SendDialogChar (TWinControl)
pt | SendMoveSizeMessages (TControl)
pt | SendMoveSizeMessages (TWinControl)
 | SendToBack (TControl)
pt | SetAction (TControl)
pt | SetAlign (TControl)
 | SetAncestor (TComponent)
pt | SetAnchors (TControl)
pt | SetAutoSize (TControl)
pt | SetBiDiMode (TControl)
pt | SetBorderStyle (TWinControl)
 | SetBounds (TControl)
 | SetBounds (TWinControl)
 | SetBoundsKeepBase (TControl)
 | SetChildOrder (TComponent)
pt | SetChildZPosition (TWinControl)
pt | SetColor (TControl)
pt | SetColor (TWinControl)
pt | SetColor (TCustomControl)
 | SetComponentIndex (TComponent)
 | SetControlIndex (TWinControl)
pt | SetCursor (TControl)
pt | SetCursor (TCustomControlBar)
 | SetDesigning (TComponent)
 | SetDesignInstance (TComponent)
pt | SetDockManager (TWinControl)
pt | SetDragMode (TControl)
pt | SetEnabled (TControl)
 | SetFocus (TWinControl)
pt | SetHint (TControl)
 | SetInitialBounds (TControl)
 | SetInline (TComponent)
 | SetName (TComponent)
pt | SetName (TControl)
pt | SetParent (TControl)
pt | SetParentBackground (TWinControl)
pt | SetParentBackground (TCustomPanel)
pt | SetParentBiDiMode (TControl)
 | SetParentComponent (TComponent)
pt | SetParentComponent (TControl)
 | SetReference (TComponent)
 | SetShape (TWinControl)
 | SetSubComponent (TComponent)
 | SetTempCursor (TControl)
 | SetTempCursor (TWinControl)
 | SetTextBuf (TControl)
pt | SetVisible (TControl)
pt | SetZOrder (TControl)
pt | ShiftBands (TCustomControlBar)
 | ShouldAutoAdjust (TControl)
 | Show (TControl)
pt | ShowControl (TWinControl)
 | ShowHelp (TControl)
pt | SortVisibleBands (TCustomControlBar)
 | StickControls (TCustomControlBar)
 | StringMessageTable (TObject)
pt | TextChanged (TControl)
 | ToString (TObject)
pt | TripleClick (TControl)
 | UnitName (TObject)
 | UnlockRealizeBounds (TWinControl)
 | Update (TControl)
 | Update (TWinControl)
 | UpdateAction (TComponent)
pt | UpdateAnchorRules (TControl)
 | UpdateBaseBounds (TControl)
pt | UpdateControlState (TWinControl)
 | Updated (TComponent)
 | UpdateDockCaption (TWinControl)
pt | UpdateMouseCursor (TControl)
pt | UpdateParentColorChange (TCustomPanel)
 | UpdateRegistry (TComponent)
 | UpdateRolesForForm (TControl)
pt | UpdateShowing (TWinControl)
 | Updating (TComponent)
 | UseRightToLeftAlignment (TControl)
 | UseRightToLeftReading (TControl)
 | UseRightToLeftScrollBar (TControl)
pt | UTF8KeyPress (TWinControl)
 | ValidateContainer (TComponent)
 | ValidateInsert (TComponent)
 | ValidateRename (TComponent)
pt | VisibleChanged (TControl)
pt | VisibleChanging (TControl)
pt | WidthIsAnchored (TControl)
pt | WMCancelMode (TControl)
pt | WMChar (TWinControl)
pt | WMContextMenu (TControl)
pt | WMContextMenu (TWinControl)
pt | WMDestroy (TWinControl)
pt | WMEnter (TWinControl)
pt | WMEraseBkgnd (TWinControl)
pt | WMExit (TWinControl)
pt | WMKeyDown (TWinControl)
pt | WMKeyUp (TWinControl)
pt | WMKillFocus (TWinControl)
pt | WMLButtonDBLCLK (TControl)
pt | WMLButtonDown (TControl)
pt | WMLButtonQuadCLK (TControl)
pt | WMLButtonTripleCLK (TControl)
pt | WMLButtonUp (TControl)
pt | WMMButtonDBLCLK (TControl)
pt | WMMButtonDown (TControl)
pt | WMMButtonQuadCLK (TControl)
pt | WMMButtonTripleCLK (TControl)
pt | WMMButtonUp (TControl)
pt | WMMouseHWheel (TControl)
pt | WMMouseMove (TControl)
pt | WMMouseWheel (TControl)
pt | WMMove (TControl)
pt | WMMove (TWinControl)
pt | WMNotify (TWinControl)
pt | WMPaint (TWinControl)
pt | WMPaint (TCustomControl)
pt | WMRButtonDBLCLK (TControl)
pt | WMRButtonDown (TControl)
pt | WMRButtonQuadCLK (TControl)
pt | WMRButtonTripleCLK (TControl)
pt | WMRButtonUp (TControl)
pt | WMSetFocus (TWinControl)
pt | WMShowWindow (TWinControl)
pt | WMSize (TControl)
pt | WMSize (TWinControl)
pt | WMSize (TCustomControlBar)
pt | WMSysChar (TWinControl)
pt | WMSysKeyDown (TWinControl)
pt | WMSysKeyUp (TWinControl)
pt | WMWindowPosChanged (TControl)
pt | WMWindowPosChanged (TWinControl)
pt | WMXButtonDBLCLK (TControl)
pt | WMXButtonDown (TControl)
pt | WMXButtonQuadCLK (TControl)
pt | WMXButtonTripleCLK (TControl)
pt | WMXButtonUp (TControl)
pt | WndProc (TControl)
pt | WndProc (TWinControl)
 | WriteLayoutDebugReport (TControl)
 | WriteLayoutDebugReport (TWinControl)
 | WriteLeft (TComponent)
 | WriteState (TComponent)
 | WriteTop (TComponent)
pt | WSRegisterClass (TLCLComponent)
pt | WSRegisterClass (TControl)
pt | WSRegisterClass (TWinControl)
pt | WSRegisterClass (TCustomControl)
pt | WSRegisterClass (TCustomPanel)
pt | WSSetText (TWinControl)
 | _AddRef (TComponent)
 | _Release (TComponent)


TControlBar
pl | ro | OnBandDrag
pl | ro | OnBandInfo
pl | ro | OnBandMove
pl | ro | OnBandPaint
pl | ro | OnCanResize
pl | ro | OnClick
pl | ro | OnConstrainedResize
pl | ro | OnContextPopup
pl | ro | OnDockDrop
pl | ro | OnDockOver
pl | ro | OnDblClick
pl | ro | OnDragDrop
pl | ro | OnDragOver
pl | ro | OnEndDock
pl | ro | OnEndDrag
pl | ro | OnEnter
pl | ro | OnExit
pl | ro | OnGetSiteInfo
pl | ro | OnMouseDown
pl | ro | OnMouseEnter
pl | ro | OnMouseLeave
pl | ro | OnMouseMove
pl | ro | OnMouseUp
pl | ro | OnMouseWheel
pl | ro | OnMouseWheelDown
pl | ro | OnMouseWheelUp
pl | ro | OnPaint
pl | ro | OnResize
pl | ro | OnStartDock
pl | ro | OnStartDrag
pl | ro | OnUnDock
TCustomControlBar
 |  | OnBandDrag
 |  | OnBandInfo
 |  | OnBandMove
 |  | OnBandPaint
 |  | OnCanResize
 |  | OnPaint
TCustomPanel
TCustomControl
 |  | OnPaint
TWinControl
pt |  | OnGetSiteInfo
pt |  | OnGetDockCaption
 |  | OnAlignInsertBefore
 |  | OnAlignPosition
 |  | OnDockDrop
 |  | OnDockOver
 |  | OnEnter
 |  | OnExit
 |  | OnKeyDown
 |  | OnKeyPress
 |  | OnKeyUp
 |  | OnUnDock
 |  | OnUTF8KeyPress
TControl
pt |  | OnConstrainedResize
pt |  | OnContextPopup
pt |  | OnDblClick
pt |  | OnTripleClick
pt |  | OnQuadClick
pt |  | OnDragDrop
pt |  | OnDragOver
pt |  | OnEndDock
pt |  | OnEndDrag
pt |  | OnMouseDown
pt |  | OnMouseMove
pt |  | OnMouseUp
pt |  | OnMouseEnter
pt |  | OnMouseLeave
pt |  | OnMouseWheel
pt |  | OnMouseWheelDown
pt |  | OnMouseWheelUp
pt |  | OnMouseWheelHorz
pt |  | OnMouseWheelLeft
pt |  | OnMouseWheelRight
pt |  | OnStartDock
pt |  | OnStartDrag
pt |  | OnEditingDone
 |  | OnChangeBounds
 |  | OnClick
 |  | OnResize
 |  | OnShowHint
TLCLComponent
TComponent
TPersistent
TObject


pl | ro | OnBandDrag (TControlBar)
 |  | OnBandInfo (TCustomControlBar)
pl | ro | OnBandInfo (TControlBar)
 |  | OnBandMove (TCustomControlBar)
pl | ro | OnBandMove (TControlBar)
 |  | OnBandPaint (TCustomControlBar)
pl | ro | OnBandPaint (TControlBar)
 |  | OnCanResize (TCustomControlBar)
pl | ro | OnCanResize (TControlBar)
 |  | OnChangeBounds (TControl)
 |  | OnClick (TControl)
pl | ro | OnClick (TControlBar)
pt |  | OnConstrainedResize (TControl)
pl | ro | OnConstrainedResize (TControlBar)
pt |  | OnContextPopup (TControl)
pl | ro | OnContextPopup (TControlBar)
pt |  | OnDblClick (TControl)
pl | ro | OnDblClick (TControlBar)
 |  | OnDockDrop (TWinControl)
pl | ro | OnDockDrop (TControlBar)
 |  | OnDockOver (TWinControl)
pl | ro | OnDockOver (TControlBar)
pt |  | OnDragDrop (TControl)
pl | ro | OnDragDrop (TControlBar)
pt |  | OnDragOver (TControl)
pl | ro | OnDragOver (TControlBar)
pt |  | OnEditingDone (TControl)
pt |  | OnEndDock (TControl)
pl | ro | OnEndDock (TControlBar)
pt |  | OnEndDrag (TControl)
pl | ro | OnEndDrag (TControlBar)
 |  | OnEnter (TWinControl)
pl | ro | OnEnter (TControlBar)
 |  | OnExit (TWinControl)
pl | ro | OnExit (TControlBar)
pt |  | OnGetDockCaption (TWinControl)
pt |  | OnGetSiteInfo (TWinControl)
pl | ro | OnGetSiteInfo (TControlBar)
 |  | OnKeyDown (TWinControl)
 |  | OnKeyPress (TWinControl)
 |  | OnKeyUp (TWinControl)
pt |  | OnMouseDown (TControl)
pl | ro | OnMouseDown (TControlBar)
pt |  | OnMouseEnter (TControl)
pl | ro | OnMouseEnter (TControlBar)
pt |  | OnMouseLeave (TControl)
pl | ro | OnMouseLeave (TControlBar)
pt |  | OnMouseMove (TControl)
pl | ro | OnMouseMove (TControlBar)
pt |  | OnMouseUp (TControl)
pl | ro | OnMouseUp (TControlBar)
pt |  | OnMouseWheel (TControl)
pl | ro | OnMouseWheel (TControlBar)
pt |  | OnMouseWheelDown (TControl)
pl | ro | OnMouseWheelDown (TControlBar)
pt |  | OnMouseWheelHorz (TControl)
pt |  | OnMouseWheelLeft (TControl)
pt |  | OnMouseWheelRight (TControl)
pt |  | OnMouseWheelUp (TControl)
pl | ro | OnMouseWheelUp (TControlBar)
 |  | OnPaint (TCustomControl)
 |  | OnPaint (TCustomControlBar)
pl | ro | OnPaint (TControlBar)
pt |  | OnQuadClick (TControl)
 |  | OnResize (TControl)
pl | ro | OnResize (TControlBar)
 |  | OnShowHint (TControl)
pt |  | OnStartDock (TControl)
pl | ro | OnStartDock (TControlBar)
pt |  | OnStartDrag (TControl)
pl | ro | OnStartDrag (TControlBar)
pt |  | OnTripleClick (TControl)
 |  | OnUnDock (TWinControl)
pl | ro | OnUnDock (TControlBar)
 |  | OnUTF8KeyPress (TWinControl)


TControlBar.Align

Declaration

Source position: extctrls.pp line 1608

published property TControlBar.Align : TAlign;


TControlBar.Anchors

Declaration

Source position: extctrls.pp line 1609

published property TControlBar.Anchors : TAnchors;


TControlBar.AutoDock

Declaration

Source position: extctrls.pp line 1610

published property TControlBar.AutoDock : Boolean;


TControlBar.AutoDrag

Declaration

Source position: extctrls.pp line 1611

published property TControlBar.AutoDrag : Boolean;


TControlBar.AutoSize

Declaration

Source position: extctrls.pp line 1612

published property TControlBar.AutoSize : Boolean;


TControlBar.BevelInner

Declaration

Source position: extctrls.pp line 1613

published property TControlBar.BevelInner : TPanelBevel
  default bvRaised;


TControlBar.BevelOuter

Declaration

Source position: extctrls.pp line 1614

published property TControlBar.BevelOuter : TPanelBevel
  default bvLowered;


TControlBar.BevelWidth

Declaration

Source position: extctrls.pp line 1615

published property TControlBar.BevelWidth : TBevelWidth;


TControlBar.BiDiMode

Declaration

Source position: extctrls.pp line 1616

published property TControlBar.BiDiMode : TBiDiMode;


TControlBar.BorderWidth

Declaration

Source position: extctrls.pp line 1617

published property TControlBar.BorderWidth : TBorderWidth;


TControlBar.Canvas

Declaration

Source position: extctrls.pp line 1606

public property TControlBar.Canvas : TCanvas;


TControlBar.Color

Declaration

Source position: extctrls.pp line 1618

published property TControlBar.Color : TColor;


TControlBar.Constraints

Declaration

Source position: extctrls.pp line 1619

published property TControlBar.Constraints : TSizeConstraints;


TControlBar.DockSite

Declaration

Source position: extctrls.pp line 1620

published property TControlBar.DockSite : Boolean;


TControlBar.DoubleBuffered

Declaration

Source position: extctrls.pp line 1621

published property TControlBar.DoubleBuffered : Boolean;


TControlBar.DragCursor

Declaration

Source position: extctrls.pp line 1622

published property TControlBar.DragCursor : TCursor;


TControlBar.DragKind

Declaration

Source position: extctrls.pp line 1623

published property TControlBar.DragKind : TDragKind;


TControlBar.DragMode

Declaration

Source position: extctrls.pp line 1624

published property TControlBar.DragMode : TDragMode;


TControlBar.DrawingStyle

Declaration

Source position: extctrls.pp line 1625

published property TControlBar.DrawingStyle : TBandDrawingStyle;


TControlBar.Enabled

Declaration

Source position: extctrls.pp line 1626

published property TControlBar.Enabled : Boolean;


TControlBar.GradientDirection

Declaration

Source position: extctrls.pp line 1627

published property TControlBar.GradientDirection : TGradientDirection;


TControlBar.GradientEndColor

Declaration

Source position: extctrls.pp line 1628

published property TControlBar.GradientEndColor : TColor;


TControlBar.GradientStartColor

Declaration

Source position: extctrls.pp line 1629

published property TControlBar.GradientStartColor : TColor;


TControlBar.OnBandDrag

Declaration

Source position: extctrls.pp line 1642

published property TControlBar.OnBandDrag : TBandDragEvent;


TControlBar.OnBandInfo

Declaration

Source position: extctrls.pp line 1643

published property TControlBar.OnBandInfo : TBandInfoEvent;


TControlBar.OnBandMove

Declaration

Source position: extctrls.pp line 1644

published property TControlBar.OnBandMove : TBandMoveEvent;


TControlBar.OnBandPaint

Declaration

Source position: extctrls.pp line 1645

published property TControlBar.OnBandPaint : TBandPaintEvent;


TControlBar.OnCanResize

Declaration

Source position: extctrls.pp line 1646

published property TControlBar.OnCanResize : TCanResizeEvent;


TControlBar.OnClick

Declaration

Source position: extctrls.pp line 1647

published property TControlBar.OnClick : TNotifyEvent;


TControlBar.OnConstrainedResize

Declaration

Source position: extctrls.pp line 1648

published property TControlBar.OnConstrainedResize : TConstrainedResizeEvent;


TControlBar.OnContextPopup

Declaration

Source position: extctrls.pp line 1649

published property TControlBar.OnContextPopup : TContextPopupEvent;


TControlBar.OnDblClick

Declaration

Source position: extctrls.pp line 1652

published property TControlBar.OnDblClick : TNotifyEvent;


TControlBar.OnDockDrop

Declaration

Source position: extctrls.pp line 1650

published property TControlBar.OnDockDrop : TDockDropEvent;


TControlBar.OnDockOver

Declaration

Source position: extctrls.pp line 1651

published property TControlBar.OnDockOver : TDockOverEvent;


TControlBar.OnDragDrop

Declaration

Source position: extctrls.pp line 1653

published property TControlBar.OnDragDrop : TDragDropEvent;


TControlBar.OnDragOver

Declaration

Source position: extctrls.pp line 1654

published property TControlBar.OnDragOver : TDragOverEvent;


TControlBar.OnEndDock

Declaration

Source position: extctrls.pp line 1655

published property TControlBar.OnEndDock : TEndDragEvent;


TControlBar.OnEndDrag

Declaration

Source position: extctrls.pp line 1656

published property TControlBar.OnEndDrag : TEndDragEvent;


TControlBar.OnEnter

Declaration

Source position: extctrls.pp line 1657

published property TControlBar.OnEnter : TNotifyEvent;


TControlBar.OnExit

Declaration

Source position: extctrls.pp line 1658

published property TControlBar.OnExit : TNotifyEvent;


TControlBar.OnGetSiteInfo

Declaration

Source position: extctrls.pp line 1659

published property TControlBar.OnGetSiteInfo : TGetSiteInfoEvent;


TControlBar.OnMouseDown

Declaration

Source position: extctrls.pp line 1660

published property TControlBar.OnMouseDown : TMouseEvent;


TControlBar.OnMouseEnter

Declaration

Source position: extctrls.pp line 1661

published property TControlBar.OnMouseEnter : TNotifyEvent;


TControlBar.OnMouseLeave

Declaration

Source position: extctrls.pp line 1662

published property TControlBar.OnMouseLeave : TNotifyEvent;


TControlBar.OnMouseMove

Declaration

Source position: extctrls.pp line 1663

published property TControlBar.OnMouseMove : TMouseMoveEvent;


TControlBar.OnMouseUp

Declaration

Source position: extctrls.pp line 1664

published property TControlBar.OnMouseUp : TMouseEvent;


TControlBar.OnMouseWheel

Declaration

Source position: extctrls.pp line 1665

published property TControlBar.OnMouseWheel : TMouseWheelEvent;


TControlBar.OnMouseWheelDown

Declaration

Source position: extctrls.pp line 1666

published property TControlBar.OnMouseWheelDown : TMouseWheelUpDownEvent;


TControlBar.OnMouseWheelUp

Declaration

Source position: extctrls.pp line 1667

published property TControlBar.OnMouseWheelUp : TMouseWheelUpDownEvent;


TControlBar.OnPaint

Declaration

Source position: extctrls.pp line 1668

published property TControlBar.OnPaint : TNotifyEvent;


TControlBar.OnResize

Declaration

Source position: extctrls.pp line 1669

published property TControlBar.OnResize : TNotifyEvent;


TControlBar.OnStartDock

Declaration

Source position: extctrls.pp line 1670

published property TControlBar.OnStartDock : TStartDockEvent;


TControlBar.OnStartDrag

Declaration

Source position: extctrls.pp line 1671

published property TControlBar.OnStartDrag : TStartDragEvent;


TControlBar.OnUnDock

Declaration

Source position: extctrls.pp line 1672

published property TControlBar.OnUnDock : TUnDockEvent;


TControlBar.ParentColor

Declaration

Source position: extctrls.pp line 1630

published property TControlBar.ParentColor : Boolean;


TControlBar.ParentDoubleBuffered

Declaration

Source position: extctrls.pp line 1631

published property TControlBar.ParentDoubleBuffered : Boolean;


TControlBar.ParentFont

Declaration

Source position: extctrls.pp line 1632

published property TControlBar.ParentFont : Boolean;


TControlBar.ParentShowHint

Declaration

Source position: extctrls.pp line 1633

published property TControlBar.ParentShowHint : Boolean;


TControlBar.Picture

Declaration

Source position: extctrls.pp line 1634

published property TControlBar.Picture : TPicture;


TControlBar.PopupMenu

Declaration

Source position: extctrls.pp line 1635

published property TControlBar.PopupMenu : TPopupMenu;


TControlBar.RowSize

Declaration

Source position: extctrls.pp line 1636

published property TControlBar.RowSize : TRowSize;


TControlBar.RowSnap

Declaration

Source position: extctrls.pp line 1637

published property TControlBar.RowSnap : Boolean;


TControlBar.ShowHint

Declaration

Source position: extctrls.pp line 1638

published property TControlBar.ShowHint : Boolean;


TControlBar.TabOrder

Declaration

Source position: extctrls.pp line 1639

published property TControlBar.TabOrder : TTabOrder;


TControlBar.TabStop

Declaration

Source position: extctrls.pp line 1640

published property TControlBar.TabStop : Boolean;


TControlBar.Visible

Declaration

Source position: extctrls.pp line 1641

published property TControlBar.Visible : Boolean;


TCtrlBand

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Declaration

Source position: extctrls.pp line 1445

type TCtrlBand = class

public

  property BandRect: TRect; [rw]

  property Bottom: Integer; [r]

  property Control: TControl; [rw]

  property ControlHeight: Integer; [rw]

  property ControlLeft: Integer; [rw]

  property ControlTop: Integer; [rw]

  property ControlWidth: Integer; [rw]

  property ControlVisible: Boolean; [rw]

  property Height: Integer; [rw]

  property InitLeft: Integer; [rw]

  property InitTop: Integer; [rw]

  property Left: Integer; [rw]

  property Right: Integer; [rw]

  property Top: Integer; [rw]

  property Visible: Boolean; [rw]

  property Width: Integer; [rw]

end;

Inheritance

TCtrlBand
|

TObject


TCtrlBand
 |  | BandRect
 | ro | Bottom
 |  | Control
 |  | ControlHeight
 |  | ControlLeft
 |  | ControlTop
 |  | ControlWidth
 |  | ControlVisible
 |  | Height
 |  | InitLeft
 |  | InitTop
 |  | Left
 |  | Right
 |  | Top
 |  | Visible
 |  | Width


ro | Bottom (TCtrlBand)
 | Control (TCtrlBand)
 | ControlHeight (TCtrlBand)
 | ControlLeft (TCtrlBand)
 | ControlTop (TCtrlBand)
 | ControlVisible (TCtrlBand)
 | ControlWidth (TCtrlBand)
 | Height (TCtrlBand)
 | InitLeft (TCtrlBand)
 | InitTop (TCtrlBand)
 | Left (TCtrlBand)
 | Right (TCtrlBand)
 | Top (TCtrlBand)
 | Visible (TCtrlBand)
 | Width (TCtrlBand)


TCtrlBand


TCtrlBand.BandRect

Declaration

Source position: extctrls.pp line 1466

public property TCtrlBand.BandRect : TRect
  read GetBandRect
  write SetBandRect;


TCtrlBand.Bottom

Declaration

Source position: extctrls.pp line 1467

public property TCtrlBand.Bottom : Integer
  read GetBottom;


TCtrlBand.Control

Declaration

Source position: extctrls.pp line 1468

public property TCtrlBand.Control : TControl
  read FControl
  write FControl;


TCtrlBand.ControlHeight

Declaration

Source position: extctrls.pp line 1469

public property TCtrlBand.ControlHeight : Integer
  read FControlHeight
  write FControlHeight;


TCtrlBand.ControlLeft

Declaration

Source position: extctrls.pp line 1470

public property TCtrlBand.ControlLeft : Integer
  read FControlLeft
  write FControlLeft;


TCtrlBand.ControlTop

Declaration

Source position: extctrls.pp line 1471

public property TCtrlBand.ControlTop : Integer
  read FControlTop
  write FControlTop;


TCtrlBand.ControlVisible

Declaration

Source position: extctrls.pp line 1473

public property TCtrlBand.ControlVisible : Boolean
  read FControlVisible
  write FControlVisible;


TCtrlBand.ControlWidth

Declaration

Source position: extctrls.pp line 1472

public property TCtrlBand.ControlWidth : Integer
  read FControlWidth
  write FControlWidth;


TCtrlBand.Height

Declaration

Source position: extctrls.pp line 1474

public property TCtrlBand.Height : Integer
  read FHeight
  write FHeight;


TCtrlBand.InitLeft

Declaration

Source position: extctrls.pp line 1475

public property TCtrlBand.InitLeft : Integer
  read FInitLeft
  write FInitLeft;


TCtrlBand.InitTop

Declaration

Source position: extctrls.pp line 1476

public property TCtrlBand.InitTop : Integer
  read FInitTop
  write FInitTop;


TCtrlBand.Left

Declaration

Source position: extctrls.pp line 1477

public property TCtrlBand.Left : Integer
  read FLeft
  write FLeft;


TCtrlBand.Right

Declaration

Source position: extctrls.pp line 1478

public property TCtrlBand.Right : Integer
  read GetRight
  write SetRight;


TCtrlBand.Top

Declaration

Source position: extctrls.pp line 1479

public property TCtrlBand.Top : Integer
  read FTop
  write FTop;


TCtrlBand.Visible

Declaration

Source position: extctrls.pp line 1480

public property TCtrlBand.Visible : Boolean
  read FVisible
  write FVisible;


TCtrlBand.Width

Declaration

Source position: extctrls.pp line 1481

public property TCtrlBand.Width : Integer
  read FWidth
  write FWidth;


TCtrlBands

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Declaration

Source position: extctrls.pp line 1486

type TCtrlBands = class()

public

  function GetIndex();

end;

Inheritance

TCtrlBands
|

?

TObject


TCtrlBands


TCtrlBands

GetIndex


TCtrlBands.GetIndex

Declaration

Source position: extctrls.pp line 1488

public function TCtrlBands.GetIndex(

  AControl: TControl

):Integer;


TCustomCheckGroup

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

TCustomCheckGroup: The base type for TCheckGroup

Declaration

Source position: extctrls.pp line 797

type TCustomCheckGroup = class(TCustomGroupBox)
protected
class procedure WSRegisterClass; override; | Registers this component class with the current WidgetSet.
procedure UpdateInternalObjectList;
procedure UpdateAll;
procedure SetItems(); | SetItems - specify the strings that form the Items of the group
procedure SetColumns(); | SetColumns - specifies the nuber of coulmns in which the Items are arranged
procedure DefineProperties(); override; | DefineProperties - overrides the method inherited from TComponent, defines the top, left properties
procedure ReadData(); | Reads data from a stream
procedure WriteData(); | Writes Data to a stream
procedure Loaded; override; |
procedure DoOnResize; override; | Invokes the OnResize notification handler.
public
constructor Create(); override; | Create - constructor for TCustomCheckGroup: calls inherited Create, then sets styles, creates lists, initialises sizing and layout properties
destructor Destroy; override; | Destroy - destructor for TCustomCheckGroup: frees items and buttons, then calls inherited Destroy
procedure FlipChildren(); override;
function Rows; | Rows - the number of rows in which the Items (check boxes) are arranged
property AutoFill: Boolean; [rw] | AutoFill - whether Check Boxes should be automatically filled in (checked)
property Items: TStrings; [rw] | Items - a string list for the captions of the check boxes
property Checked []: Boolean; [rw] | Whether an individual entry in the list is Checked
property CheckEnabled []: Boolean; [rw] | CheckEnabled - whether a given (indexed) entry in the list is allowed to be checked
property Columns: Integer; [rw] | Columns - the number of columns in which the Items (check boxes) are to be arranges
property ColumnLayout: TColumnLayout; [rw] | ColumnLayout - HorizontalThenVertical or vice versa
property OnItemClick: TCheckGroupClicked; [rw] | OnItemClick - event handler for mouse click on one of the Items in the Check Group
end;

Inheritance

TCustomCheckGroup | TCustomCheckGroup: The base type for TCheckGroup
|
TCustomGroupBox | The base class for TGroupBox, TRadioGroup and TCheckGroup.
|
TWinControl | The base class for controls which can contain other (child) controls.
|
TControl | The base class for visible controls.
|
TLCLComponent | The base class for LCL components associated with widgets.
|
TComponent,IUnknown,IInterfaceComponentReference
|
TPersistent,IFPObserved
|
TObject

Description

TCustomCheckGroup: The base type for TCheckGroup

This class defines Items, where the captions for individual check boxes are stored, Rows and Columns for arranging the check boxes, and ColumnLayout to determine whether the data are arranged down the columns first, or across the rows first.

See also

TCustomGroupBox

The base class for TGroupBox, TRadioGroup and TCheckGroup.


TCustomCheckGroup
 |  | AutoFill
 |  | Items
 |  | Checked
 |  | CheckEnabled
 |  | Columns
 |  | ColumnLayout
TCustomGroupBox
TWinControl
pt |  | WindowHandle
pt |  | BorderStyle
pt |  | ParentBackground
 |  | BorderWidth
 | ro | BoundsLockCount
 | ro | Brush
 | ro | CachedClientHeight
 | ro | CachedClientWidth
 |  | ChildSizing
 | ro | ControlCount
 | ro | Controls
 |  | DefWndProc
 | ro | DockClientCount
 | ro | DockClients
 |  | DockManager
 |  | DockSite
 |  | DoubleBuffered
 |  | Handle
 | ro | IsFlipped
 | ro | IsResizing
 |  | TabOrder
 |  | TabStop
 |  | ParentDoubleBuffered
 |  | ParentWindow
 | ro | Showing
 |  | UseDockManager
 |  | DesignerDeleting
 | ro | VisibleDockClientCount
TControl
pt | ro | AutoSizing
pt | ro | AutoSizingAll
pt | ro | AutoSizingLockCount
pt |  | ActionLink
pt |  | DesktopFont
pt |  | DragCursor
pt |  | DragKind
pt |  | DragMode
pt |  | MouseCapture
pt |  | ParentColor
pt |  | ParentFont
pt |  | ParentShowHint
pt |  | SessionProperties
pt |  | Text
 | ro | AnchoredControls
 | ro | BaseBounds
 | ro | ReadBounds
 | ro | BaseParentClientSize
 |  | AccessibleDescription
 |  | AccessibleValue
 |  | AccessibleRole
 |  | Action
 |  | Align
 |  | Anchors
 | ro | AnchorSide
 |  | AutoSize
 |  | BorderSpacing
 |  | BoundsRect
 |  | BoundsRectForNewParent
 |  | Caption
 |  | CaptureMouseButtons
 |  | ClientHeight
 | ro | ClientOrigin
 | ro | ClientRect
 |  | ClientWidth
 |  | Color
 |  | Constraints
 | ro | ControlOrigin
 |  | ControlState
 |  | ControlStyle
 |  | Enabled
 |  | Font
 |  | IsControl
 | ro | MouseEntered
 | ro | MouseInClient
 |  | Parent
 |  | PopupMenu
 |  | ShowHint
 |  | Visible
 |  | WindowProc
 |  | DockOrientation
 | ro | Floating
 |  | FloatingDockSiteClass
 |  | HostDockSite
 |  | LRDockWidth
 |  | TBDockHeight
 |  | UndockHeight
 |  | UndockWidth
 |  | BiDiMode
 |  | ParentBiDiMode
pl |  | AnchorSideLeft
pl |  | AnchorSideTop
pl |  | AnchorSideRight
pl |  | AnchorSideBottom
pl |  | Cursor
pl |  | Left
pl |  | Height
pl |  | Hint
pl |  | Top
pl |  | Width
pl |  | HelpType
pl |  | HelpKeyword
pl |  | HelpContext
TLCLComponent
 | ro | LCLRefCount
 | ro | WidgetSetClass
TComponent
 | ro | ComObject
 | ro | Components
 | ro | ComponentCount
 |  | ComponentIndex
 | ro | ComponentState
 | ro | ComponentStyle
 |  | DesignInfo
 | ro | Owner
 |  | VCLComObject
 |  | Name
 |  | Tag
TPersistent
TObject


 |  | AccessibleDescription (TControl)
 |  | AccessibleRole (TControl)
 |  | AccessibleValue (TControl)
 |  | Action (TControl)
pt |  | ActionLink (TControl)
 |  | Align (TControl)
 | ro | AnchoredControls (TControl)
 |  | Anchors (TControl)
 | ro | AnchorSide (TControl)
pl |  | AnchorSideBottom (TControl)
pl |  | AnchorSideLeft (TControl)
pl |  | AnchorSideRight (TControl)
pl |  | AnchorSideTop (TControl)
 |  | AutoFill (TCustomCheckGroup)
 |  | AutoSize (TControl)
pt | ro | AutoSizing (TControl)
pt | ro | AutoSizingAll (TControl)
pt | ro | AutoSizingLockCount (TControl)
 | ro | BaseBounds (TControl)
 | ro | BaseParentClientSize (TControl)
 |  | BiDiMode (TControl)
 |  | BorderSpacing (TControl)
pt |  | BorderStyle (TWinControl)
 |  | BorderWidth (TWinControl)
 | ro | BoundsLockCount (TWinControl)
 |  | BoundsRect (TControl)
 |  | BoundsRectForNewParent (TControl)
 | ro | Brush (TWinControl)
 | ro | CachedClientHeight (TWinControl)
 | ro | CachedClientWidth (TWinControl)
 |  | Caption (TControl)
 |  | CaptureMouseButtons (TControl)
 |  | Checked (TCustomCheckGroup)
 |  | CheckEnabled (TCustomCheckGroup)
 |  | ChildSizing (TWinControl)
 |  | ClientHeight (TControl)
 | ro | ClientOrigin (TControl)
 | ro | ClientRect (TControl)
 |  | ClientWidth (TControl)
 |  | Color (TControl)
 |  | ColumnLayout (TCustomCheckGroup)
 |  | Columns (TCustomCheckGroup)
 | ro | ComObject (TComponent)
 | ro | ComponentCount (TComponent)
 |  | ComponentIndex (TComponent)
 | ro | Components (TComponent)
 | ro | ComponentState (TComponent)
 | ro | ComponentStyle (TComponent)
 |  | Constraints (TControl)
 | ro | ControlCount (TWinControl)
 | ro | ControlOrigin (TControl)
 | ro | Controls (TWinControl)
 |  | ControlState (TControl)
 |  | ControlStyle (TControl)
pl |  | Cursor (TControl)
 |  | DefWndProc (TWinControl)
 |  | DesignerDeleting (TWinControl)
 |  | DesignInfo (TComponent)
pt |  | DesktopFont (TControl)
 | ro | DockClientCount (TWinControl)
 | ro | DockClients (TWinControl)
 |  | DockManager (TWinControl)
 |  | DockOrientation (TControl)
 |  | DockSite (TWinControl)
 |  | DoubleBuffered (TWinControl)
pt |  | DragCursor (TControl)
pt |  | DragKind (TControl)
pt |  | DragMode (TControl)
 |  | Enabled (TControl)
 | ro | Floating (TControl)
 |  | FloatingDockSiteClass (TControl)
 |  | Font (TControl)
 |  | Handle (TWinControl)
pl |  | Height (TControl)
pl |  | HelpContext (TControl)
pl |  | HelpKeyword (TControl)
pl |  | HelpType (TControl)
pl |  | Hint (TControl)
 |  | HostDockSite (TControl)
 |  | IsControl (TControl)
 | ro | IsFlipped (TWinControl)
 | ro | IsResizing (TWinControl)
 |  | Items (TCustomCheckGroup)
 | ro | LCLRefCount (TLCLComponent)
pl |  | Left (TControl)
 |  | LRDockWidth (TControl)
pt |  | MouseCapture (TControl)
 | ro | MouseEntered (TControl)
 | ro | MouseInClient (TControl)
 |  | Name (TComponent)
 | ro | Owner (TComponent)
 |  | Parent (TControl)
pt |  | ParentBackground (TWinControl)
 |  | ParentBiDiMode (TControl)
pt |  | ParentColor (TControl)
 |  | ParentDoubleBuffered (TWinControl)
pt |  | ParentFont (TControl)
pt |  | ParentShowHint (TControl)
 |  | ParentWindow (TWinControl)
 |  | PopupMenu (TControl)
 | ro | ReadBounds (TControl)
pt |  | SessionProperties (TControl)
 |  | ShowHint (TControl)
 | ro | Showing (TWinControl)
 |  | TabOrder (TWinControl)
 |  | TabStop (TWinControl)
 |  | Tag (TComponent)
 |  | TBDockHeight (TControl)
pt |  | Text (TControl)
pl |  | Top (TControl)
 |  | UndockHeight (TControl)
 |  | UndockWidth (TControl)
 |  | UseDockManager (TWinControl)
 |  | VCLComObject (TComponent)
 |  | Visible (TControl)
 | ro | VisibleDockClientCount (TWinControl)
 | ro | WidgetSetClass (TLCLComponent)
pl |  | Width (TControl)
pt |  | WindowHandle (TWinControl)
 |  | WindowProc (TControl)


TCustomCheckGroup
pt | WSRegisterClass
pt | UpdateInternalObjectList
pt | UpdateAll
pt | SetItems
pt | SetColumns
pt | DefineProperties
pt | ReadData
pt | WriteData
pt | Loaded
pt | DoOnResize
 | Create
 | Destroy
 | FlipChildren
 | Rows
TCustomGroupBox
pt | WSRegisterClass
pt | GetControlClassDefaultSize
pt | CreateParams
 | Create
TWinControl
pt | WSRegisterClass
pt | AdjustClientRect
pt | GetAdjustedLogicalClientRect
pt | AlignControls
pt | CustomAlignInsertBefore
pt | CustomAlignPosition
pt | DoAlignChildControls
pt | DoChildSizingChange
pt | InvalidatePreferredChildSizes
pt | CanTab
pt | IsClientHeightStored
pt | IsClientWidthStored
pt | DoSendShowHideToInterface
pt | ControlsAligned
pt | DoSendBoundsToInterface
pt | RealizeBounds
pt | RealizeBoundsRecursive
pt | InvalidateBoundsRealized
pt | CreateSubClass
pt | DoConstraintsChange
pt | DoSetBounds
pt | DoAutoSize
pt | DoAllAutoSize
pt | AllAutoSized
pt | CalculatePreferredSize
pt | GetPreferredSizeClientFrame
pt | GetChildren
pt | ChildClassAllowed
pt | PaintControls
pt | PaintHandler
pt | PaintWindow
pt | CreateBrush
pt | ScaleControls
pt | ChangeScale
pt | CMBiDiModeChanged
pt | CMBorderChanged
pt | CMDoubleBufferedChanged
pt | CMEnabledChanged
pt | CMParentDoubleBufferedChanged
pt | CMShowingChanged
pt | CMShowHintChanged
pt | CMVisibleChanged
pt | CMEnter
pt | CMExit
pt | WMContextMenu
pt | WMEraseBkgnd
pt | WMNotify
pt | WMSetFocus
pt | WMKillFocus
pt | WMShowWindow
pt | WMEnter
pt | WMExit
pt | WMKeyDown
pt | WMSysKeyDown
pt | WMKeyUp
pt | WMSysKeyUp
pt | WMChar
pt | WMSysChar
pt | WMPaint
pt | WMDestroy
pt | WMMove
pt | WMSize
pt | WMWindowPosChanged
pt | CNKeyDown
pt | CNSysKeyDown
pt | CNKeyUp
pt | CNSysKeyUp
pt | CNChar
pt | DoDragMsg
pt | DoDockClientMsg
pt | DoUndockClientMsg
pt | DoAddDockClient
pt | DockOver
pt | DoDockOver
pt | DoRemoveDockClient
pt | DoUnDock
pt | GetSiteInfo
pt | GetParentHandle
pt | GetTopParentHandle
pt | ReloadDockedControl
pt | CreateDockManager
pt | SetDockManager
pt | DoFloatMsg
pt | DoGetDockCaption
pt | DoEnter
pt | DoExit
pt | DoKeyDownBeforeInterface
pt | DoRemainingKeyDown
pt | DoRemainingKeyUp
pt | DoKeyPress
pt | DoUTF8KeyPress
pt | DoKeyUpBeforeInterface
pt | ChildKey
pt | SendDialogChar
pt | DialogChar
pt | ControlKeyDown
pt | ControlKeyUp
pt | KeyDown
pt | KeyDownBeforeInterface
pt | KeyDownAfterInterface
pt | KeyPress
pt | KeyUp
pt | KeyUpBeforeInterface
pt | KeyUpAfterInterface
pt | UTF8KeyPress
pt | FindNextControl
pt | SelectFirst
pt | RealGetText
pt | GetBorderStyle
pt | GetClientOrigin
pt | GetClientRect
pt | GetControlOrigin
pt | GetDeviceContext
pt | GetParentBackground
pt | IsControlMouseMsg
pt | CreateHandle
pt | CreateParams
pt | CreateWnd
pt | DestroyHandle
pt | DestroyWnd
pt | DoFlipChildren
pt | FinalizeWnd
pt | FixupTabList
pt | FontChanged
pt | InitializeWnd
pt | Loaded
pt | FormEndUpdated
pt | MainWndProc
pt | ParentFormHandleInitialized
pt | ChildHandlesCreated
pt | GetMouseCapture
pt | RealSetText
pt | RemoveFocus
pt | SendMoveSizeMessages
pt | SetBorderStyle
pt | SetColor
pt | SetChildZPosition
pt | SetParentBackground
pt | ShowControl
pt | UpdateControlState
pt | UpdateShowing
pt | WndProc
pt | WSSetText
 | AutoSizePhases
 | AutoSizeDelayed
 | AutoSizeDelayedReport
 | AutoSizeDelayedHandle
 | BeginUpdateBounds
 | EndUpdateBounds
 | LockRealizeBounds
 | UnlockRealizeBounds
 | ControlAtPos
 | ContainsControl
 | DoAdjustClientRectChange
 | InvalidateClientRectCache
 | ClientRectNeedsInterfaceUpdate
 | SetBounds
 | GetChildrenRect
 | DisableAlign
 | EnableAlign
 | ReAlign
 | ScrollBy_WS
 | ScrollBy
 | WriteLayoutDebugReport
 | AutoAdjustLayout
 | Create
 | CreateParented
 | CreateParentedControl
 | Destroy
 | DockDrop
 | CanFocus
 | CanSetFocus
 | GetControlIndex
 | SetControlIndex
 | Focused
 | PerformTab
 | FindChildControl
 | SelectNext
 | SetTempCursor
 | BroadCast
 | NotifyControls
 | DefaultHandler
 | GetTextLen
 | Invalidate
 | AddControl
 | InsertControl
 | RemoveControl
 | GetEnumeratorControls
 | GetEnumeratorControlsReverse
 | Repaint
 | Update
 | SetFocus
 | FlipChildren
 | ScaleBy
 | GetDockCaption
 | UpdateDockCaption
 | GetTabOrderList
 | HandleAllocated
 | ParentHandlesAllocated
 | HandleNeeded
 | BrushCreated
 | EraseBackground
 | IntfUTF8KeyPress
 | IntfGetDropFilesTarget
 | PaintTo
 | SetShape
TControl
pt | WSRegisterClass
pt | GetCursor
pt | SetCursor
pt | SetVisible
pt | DoOnParentHandleDestruction
pt | DoAutoSize
pt | DoAllAutoSize
pt | BeginAutoSizing
pt | EndAutoSizing
pt | AnchorSideChanged
pt | ForeignAnchorSideChanged
pt | SetAlign
pt | SetAnchors
pt | SetAutoSize
pt | BoundsChanged
pt | CreateControlBorderSpacing
pt | DoConstraintsChange
pt | DoBorderSpacingChange
pt | IsBorderSpacingInnerBorderStored
pt | IsCaptionStored
pt | SendMoveSizeMessages
pt | ConstrainedResize
pt | CalculatePreferredSize
pt | DoOnResize
pt | DoOnChangeBounds
pt | CheckOnChangeBounds
pt | Resize
pt | RequestAlign
pt | UpdateAnchorRules
pt | ChangeBounds
pt | DoSetBounds
pt | ScaleConstraints
pt | ChangeScale
pt | CanAutoSize
pt | SetBiDiMode
pt | SetParentBiDiMode
pt | IsAParentAligning
pt | GetClientOrigin
pt | GetClientRect
pt | GetLogicalClientRect
pt | GetScrolledClientRect
pt | GetClientScrollOffset
pt | GetControlOrigin
pt | IsClientHeightStored
pt | IsClientWidthStored
pt | WidthIsAnchored
pt | HeightIsAnchored
pt | WMCancelMode
pt | WMContextMenu
pt | WMLButtonDown
pt | WMRButtonDown
pt | WMMButtonDown
pt | WMXButtonDown
pt | WMLButtonDBLCLK
pt | WMRButtonDBLCLK
pt | WMMButtonDBLCLK
pt | WMXButtonDBLCLK
pt | WMLButtonTripleCLK
pt | WMRButtonTripleCLK
pt | WMMButtonTripleCLK
pt | WMXButtonTripleCLK
pt | WMLButtonQuadCLK
pt | WMRButtonQuadCLK
pt | WMMButtonQuadCLK
pt | WMXButtonQuadCLK
pt | WMMouseMove
pt | WMLButtonUp
pt | WMRButtonUp
pt | WMMButtonUp
pt | WMXButtonUp
pt | WMMouseWheel
pt | WMMouseHWheel
pt | WMMove
pt | WMSize
pt | WMWindowPosChanged
pt | CMChanged
pt | LMCaptureChanged
pt | CMBiDiModeChanged
pt | CMSysFontChanged
pt | CMEnabledChanged
pt | CMHitTest
pt | CMMouseEnter
pt | CMMouseLeave
pt | CMHintShow
pt | CMParentBiDiModeChanged
pt | CMParentColorChanged
pt | CMParentFontChanged
pt | CMParentShowHintChanged
pt | CMVisibleChanged
pt | CMTextChanged
pt | CMCursorChanged
pt | CalculateDockSizes
pt | CreateFloatingDockSite
pt | GetDockEdge
pt | GetDragImages
pt | GetFloating
pt | GetFloatingDockSiteClass
pt | BeforeDragStart
pt | BeginAutoDrag
pt | DoFloatMsg
pt | DockTrackNoTarget
pt | DoDock
pt | DoDragMsg
pt | DoEndDock
pt | DoEndDrag
pt | DoStartDock
pt | DoStartDrag
pt | DragCanceled
pt | DragOver
pt | PositionDockRect
pt | SetDragMode
pt | GetDefaultDockCaption
pt | Click
pt | DblClick
pt | TripleClick
pt | QuadClick
pt | GetMousePosFromMessage
pt | MouseDown
pt | MouseMove
pt | MouseUp
pt | MouseEnter
pt | MouseLeave
pt | DialogChar
pt | UpdateMouseCursor
pt | Changed
pt | GetPalette
pt | ChildClassAllowed
pt | ReadState
pt | Loaded
pt | LoadedAll
pt | DefineProperties
pt | AssignTo
pt | FormEndUpdated
pt | InvalidateControl
pt | FontChanged
pt | ParentFontChanged
pt | GetAction
pt | RealGetText
pt | RealSetText
pt | TextChanged
pt | GetCachedText
pt | SetAction
pt | SetColor
pt | SetEnabled
pt | SetHint
pt | SetName
pt | SetParent
pt | SetParentComponent
pt | WndProc
pt | ParentFormHandleInitialized
pt | GetMouseCapture
pt | CaptureChanged
pt | Notification
pt | CanTab
pt | GetDeviceContext
pt | GetEnabled
pt | GetPopupMenu
pt | DoOnShowHint
pt | DoMouseWheel
pt | DoMouseWheelDown
pt | DoMouseWheelUp
pt | DoMouseWheelHorz
pt | DoMouseWheelLeft
pt | DoMouseWheelRight
pt | VisibleChanging
pt | VisibleChanged
pt | EnabledChanging
pt | EnabledChanged
pt | AddHandler
pt | RemoveHandler
pt | DoCallNotifyHandler
pt | DoCallKeyEventHandler
pt | DoCallMouseWheelEventHandler
pt | DoContextPopup
pt | SetZOrder
pt | GetControlClassDefaultSize
pt | ColorIsStored
pt | DoAutoAdjustLayout
pt | DoFixDesignFontPPI
pt | DoScaleFontPPI
pt | GetActionLinkClass
pt | ActionChange
 | DragDrop
 | Dock
 | ManualDock
 | ManualFloat
 | ReplaceDockedControl
 | Docked
 | Dragging
 | GetAccessibleObject
 | CreateAccessibleObject
 | GetSelectedChildAccessibleObject
 | GetChildAccessibleObjectAtPos
 | ScaleDesignToForm
 | ScaleFormToDesign
 | Scale96ToForm
 | ScaleFormTo96
 | Scale96ToFont
 | ScaleFontTo96
 | ScaleScreenToFont
 | ScaleFontToScreen
 | Scale96ToScreen
 | ScaleScreenTo96
 | AdjustSize
 | AutoSizePhases
 | AutoSizeDelayed
 | AutoSizeDelayedReport
 | AutoSizeDelayedHandle
 | AnchorToNeighbour
 | AnchorParallel
 | AnchorHorizontalCenterTo
 | AnchorVerticalCenterTo
 | AnchorToCompanion
 | AnchorSame
 | AnchorAsAlign
 | AnchorClient
 | AnchoredControlCount
 | SetBounds
 | SetInitialBounds
 | SetBoundsKeepBase
 | GetPreferredSize
 | GetCanvasScaleFactor
 | GetDefaultWidth
 | GetDefaultHeight
 | GetDefaultColor
 | GetColorResolvingParent
 | GetRGBColorResolvingParent
 | GetSidePosition
 | CNPreferredSizeChanged
 | InvalidatePreferredSize
 | GetAnchorsDependingOnParent
 | DisableAutoSizing
 | EnableAutoSizing
 | UpdateBaseBounds
 | WriteLayoutDebugReport
 | AutoAdjustLayout
 | ShouldAutoAdjust
 | FixDesignFontsPPI
 | ScaleFontsPPI
 | Create
 | Destroy
 | BeforeDestruction
 | EditingDone
 | ExecuteDefaultAction
 | ExecuteCancelAction
 | BeginDrag
 | EndDrag
 | BringToFront
 | HasParent
 | GetParentComponent
 | IsParentOf
 | GetTopParent
 | IsVisible
 | IsControlVisible
 | IsEnabled
 | IsParentColor
 | IsParentFont
 | FormIsUpdating
 | IsProcessingPaintMsg
 | Hide
 | Refresh
 | Repaint
 | Invalidate
 | CheckChildClassAllowed
 | CheckNewParent
 | SendToBack
 | SetTempCursor
 | UpdateRolesForForm
 | ActiveDefaultControlChanged
 | GetTextBuf
 | GetTextLen
 | SetTextBuf
 | Perform
 | ScreenToClient
 | ClientToScreen
 | ScreenToControl
 | ControlToScreen
 | ClientToParent
 | ParentToClient
 | GetChildrenRect
 | Show
 | Update
 | HandleObjectShouldBeVisible
 | ParentDestroyingHandle
 | ParentHandlesAllocated
 | InitiateAction
 | ShowHelp
 | HasHelp
 | RemoveAllHandlersOfObject
 | AddHandlerOnResize
 | RemoveHandlerOnResize
 | AddHandlerOnChangeBounds
 | RemoveHandlerOnChangeBounds
 | AddHandlerOnVisibleChanging
 | RemoveHandlerOnVisibleChanging
 | AddHandlerOnVisibleChanged
 | RemoveHandlerOnVisibleChanged
 | AddHandlerOnEnabledChanged
 | RemoveHandlerOnEnableChanging
 | AddHandlerOnKeyDown
 | RemoveHandlerOnKeyDown
 | AddHandlerOnBeforeDestruction
 | RemoveHandlerOnBeforeDestruction
 | AddHandlerOnMouseWheel
 | RemoveHandlerOnMouseWheel
 | UseRightToLeftAlignment
 | UseRightToLeftReading
 | UseRightToLeftScrollBar
 | IsRightToLeft
TLCLComponent
pt | WSRegisterClass
pt | GetWSComponentClass
 | Create
 | Destroy
 | NewInstance
 | RemoveAllHandlersOfObject
 | IncLCLRefCount
 | DecLCLRefCount
TComponent
 | GetComObject
 | GetComponent
 | GetComponentCount
 | GetComponentIndex
 | Insert
 | ReadLeft
 | ReadTop
 | Remove
 | RemoveNotification
 | SetComponentIndex
 | SetReference
 | WriteLeft
 | WriteTop
 | ChangeName
 | DefineProperties
 | GetChildren
 | GetChildOwner
 | GetChildParent
 | GetOwner
 | Loaded
 | Loading
 | Notification
 | PaletteCreated
 | ReadState
 | SetAncestor
 | SetDesigning
 | SetDesignInstance
 | SetInline
 | SetName
 | SetChildOrder
 | SetParentComponent
 | Updating
 | Updated
 | UpdateRegistry
 | ValidateRename
 | ValidateContainer
 | ValidateInsert
 | QueryInterface
 | _AddRef
 | _Release
 | iicrGetComponent
 | GetTypeInfoCount
 | GetTypeInfo
 | GetIDsOfNames
 | Invoke
 | WriteState
 | Create
 | Destroy
 | BeforeDestruction
 | DestroyComponents
 | Destroying
 | ExecuteAction
 | FindComponent
 | FreeNotification
 | RemoveFreeNotification
 | FreeOnRelease
 | GetEnumerator
 | GetNamePath
 | GetParentComponent
 | HasParent
 | InsertComponent
 | RemoveComponent
 | SafeCallException
 | SetSubComponent
 | UpdateAction
 | IsImplementorOf
 | ReferenceInterface
TPersistent
 | AssignError
 | AssignTo
 | DefineProperties
 | GetOwner
 | Destroy
 | Assign
 | FPOAttachObserver
 | FPODetachObserver
 | FPONotifyObservers
 | GetNamePath
TObject
 | Create
 | Destroy
 | newinstance
 | FreeInstance
 | SafeCallException
 | DefaultHandler
 | Free
 | InitInstance
 | CleanupInstance
 | ClassType
 | ClassInfo
 | ClassName
 | ClassNameIs
 | ClassParent
 | InstanceSize
 | InheritsFrom
 | StringMessageTable
 | MethodAddress
 | MethodName
 | FieldAddress
 | AfterConstruction
 | BeforeDestruction
 | DefaultHandlerStr
 | Dispatch
 | DispatchStr
 | GetInterface
 | GetInterfaceByStr
 | GetInterfaceWeak
 | GetInterfaceEntry
 | GetInterfaceEntryByStr
 | GetInterfaceTable
 | UnitName
 | Equals
 | GetHashCode
 | ToString


TCustomCheckGroup
 | OnItemClick
TCustomGroupBox
TWinControl
pt | OnGetSiteInfo
pt | OnGetDockCaption
 | OnAlignInsertBefore
 | OnAlignPosition
 | OnDockDrop
 | OnDockOver
 | OnEnter
 | OnExit
 | OnKeyDown
 | OnKeyPress
 | OnKeyUp
 | OnUnDock
 | OnUTF8KeyPress
TControl
pt | OnConstrainedResize
pt | OnContextPopup
pt | OnDblClick
pt | OnTripleClick
pt | OnQuadClick
pt | OnDragDrop
pt | OnDragOver
pt | OnEndDock
pt | OnEndDrag
pt | OnMouseDown
pt | OnMouseMove
pt | OnMouseUp
pt | OnMouseEnter
pt | OnMouseLeave
pt | OnMouseWheel
pt | OnMouseWheelDown
pt | OnMouseWheelUp
pt | OnMouseWheelHorz
pt | OnMouseWheelLeft
pt | OnMouseWheelRight
pt | OnStartDock
pt | OnStartDrag
pt | OnEditingDone
 | OnChangeBounds
 | OnClick
 | OnResize
 | OnShowHint
TLCLComponent
TComponent
TPersistent
TObject


 | OnAlignInsertBefore (TWinControl)
 | OnAlignPosition (TWinControl)
 | OnChangeBounds (TControl)
 | OnClick (TControl)
pt | OnConstrainedResize (TControl)
pt | OnContextPopup (TControl)
pt | OnDblClick (TControl)
 | OnDockDrop (TWinControl)
 | OnDockOver (TWinControl)
pt | OnDragDrop (TControl)
pt | OnDragOver (TControl)
pt | OnEditingDone (TControl)
pt | OnEndDock (TControl)
pt | OnEndDrag (TControl)
 | OnEnter (TWinControl)
 | OnExit (TWinControl)
pt | OnGetDockCaption (TWinControl)
pt | OnGetSiteInfo (TWinControl)
 | OnItemClick (TCustomCheckGroup)
 | OnKeyDown (TWinControl)
 | OnKeyPress (TWinControl)
 | OnKeyUp (TWinControl)
pt | OnMouseDown (TControl)
pt | OnMouseEnter (TControl)
pt | OnMouseLeave (TControl)
pt | OnMouseMove (TControl)
pt | OnMouseUp (TControl)
pt | OnMouseWheel (TControl)
pt | OnMouseWheelDown (TControl)
pt | OnMouseWheelHorz (TControl)
pt | OnMouseWheelLeft (TControl)
pt | OnMouseWheelRight (TControl)
pt | OnMouseWheelUp (TControl)
pt | OnQuadClick (TControl)
 | OnResize (TControl)
 | OnShowHint (TControl)
pt | OnStartDock (TControl)
pt | OnStartDrag (TControl)
pt | OnTripleClick (TControl)
 | OnUnDock (TWinControl)
 | OnUTF8KeyPress (TWinControl)


TCustomCheckGroup.AutoFill

AutoFill - whether Check Boxes should be automatically filled in (checked)

Declaration

Source position: extctrls.pp line 839

public property TCustomCheckGroup.AutoFill : Boolean
  read FAutoFill
  write SetAutoFill;


TCustomCheckGroup.Checked

Whether an individual entry in the list is Checked

Declaration

Source position: extctrls.pp line 841

public property TCustomCheckGroup.Checked[Index: Integer] : Boolean
  read GetChecked
  write SetChecked;


TCustomCheckGroup.CheckEnabled

CheckEnabled - whether a given (indexed) entry in the list is allowed to be checked

Declaration

Source position: extctrls.pp line 842

public property TCustomCheckGroup.CheckEnabled[Index: Integer] : Boolean
  read GetCheckEnabled
  write SetCheckEnabled;


TCustomCheckGroup.ColumnLayout

ColumnLayout - HorizontalThenVertical or vice versa

Declaration

Source position: extctrls.pp line 844

public property TCustomCheckGroup.ColumnLayout : TColumnLayout
  read FColumnLayout
  write SetColumnLayout
  default clHorizontalThenVertical;


TCustomCheckGroup.Columns

Columns - the number of columns in which the Items (check boxes) are to be arranges

Declaration

Source position: extctrls.pp line 843

public property TCustomCheckGroup.Columns : Integer
  read FColumns
  write SetColumns
  default 1;


TCustomCheckGroup.Create

Create - constructor for TCustomCheckGroup: calls inherited Create, then sets styles, creates lists, initialises sizing and layout properties

Declaration

Source position: extctrls.pp line 834

public constructor TCustomCheckGroup.Create(

  TheOwner: TComponent

); override;

See also

TCustomGroupBox.Create


TCustomCheckGroup.DefineProperties

DefineProperties - overrides the method inherited from TComponent, defines the top, left properties

Declaration

Source position: extctrls.pp line 828

protected procedure TCustomCheckGroup.DefineProperties(

  Filer: TFiler

); override;

See also

TComponent.DefineProperties


TCustomCheckGroup.Destroy

Destroy - destructor for TCustomCheckGroup: frees items and buttons, then calls inherited Destroy

Declaration

Source position: extctrls.pp line 835

public destructor TCustomCheckGroup.Destroy; override;

See also

TWinControl.Destroy


TCustomCheckGroup.FlipChildren

Declaration

Source position: extctrls.pp line 836

public procedure TCustomCheckGroup.FlipChildren(

  AllLevels: Boolean

); override;


TCustomCheckGroup.Items

Items - a string list for the captions of the check boxes

Declaration

Source position: extctrls.pp line 840

public property TCustomCheckGroup.Items : TStrings
  read FItems
  write SetItems;


TCustomCheckGroup.OnItemClick

OnItemClick - event handler for mouse click on one of the Items in the Check Group

Declaration

Source position: extctrls.pp line 845

public property TCustomCheckGroup.OnItemClick : TCheckGroupClicked
  read FOnItemClick
  write FOnItemClick;


TCustomCheckGroup.ReadData

Reads data from a stream

Declaration

Source position: extctrls.pp line 829

protected procedure TCustomCheckGroup.ReadData(

  Stream: TStream

);


TCustomCheckGroup.Rows

Rows - the number of rows in which the Items (check boxes) are arranged

Declaration

Source position: extctrls.pp line 837

public function TCustomCheckGroup.Rows: Integer;

Function result

The number of rows holding items


TCustomCheckGroup.SetColumns

SetColumns - specifies the nuber of coulmns in which the Items are arranged

Declaration

Source position: extctrls.pp line 827

protected procedure TCustomCheckGroup.SetColumns(

  Value: Integer

);


TCustomCheckGroup.SetItems

SetItems - specify the strings that form the Items of the group

Declaration

Source position: extctrls.pp line 826

protected procedure TCustomCheckGroup.SetItems(

  Value: TStrings

);


TCustomCheckGroup.UpdateAll

Declaration

Source position: extctrls.pp line 825

protected procedure TCustomCheckGroup.UpdateAll;


TCustomCheckGroup.UpdateInternalObjectList

Declaration

Source position: extctrls.pp line 824

protected procedure TCustomCheckGroup.UpdateInternalObjectList;


TCustomCheckGroup.WriteData

Writes Data to a stream

Declaration

Source position: extctrls.pp line 830

protected procedure TCustomCheckGroup.WriteData(

  Stream: TStream

);


TCustomControlBar

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Declaration

Source position: extctrls.pp line 1493

type TCustomControlBar = class(TCustomPanel)

protected

Const

  cBandBorderH = cBandBorderH; = 4

  cBandBorderV = cBandBorderV; = 2

  cGrabWidth = cGrabWidth; = 3

  cFullGrabber: SmallInt;

  FBands: TCtrlBands;

  FBandMove: TBandMove;

  FCursorLock: Boolean;

  FDefCursor: TCursor;

  FHoveredBand: TCtrlBand;

  FInitDrag: TPoint;

  FInnerBevelWidth: SmallInt;

  FLockResize: Boolean;

  FPrevWidth: Integer;

  FVisiBands: ;

  FVisiBandsEx: ;

  procedure AlignControlToBand();

  procedure AlignControlsToBands;

  function CalcBandHeight();

  function CalcBandHeightSnapped();

  function CalcInnerBevelWidth;

  function CalcLowestBandBottomPx;

  procedure CalculatePreferredSize(); override;

  procedure ChangeCursor();

  procedure CheckBandsSizeAndVisibility;

  procedure CMBiDiModeChanged(); message;

  procedure CMBorderChanged(); message;

  procedure CreateWnd; override;

  procedure DoBandMove(); virtual;

  procedure DoBandPaint(); virtual;

  function DragControl(); virtual;

  procedure DragOver(); override;

  procedure GetControlInfo(); virtual;

  class constructor InitializeClass;

  procedure InitializeBand();

  procedure InitializeMove();

  procedure Loaded; override;

  function IsBandOverlap();

  procedure MouseDown(); override;

  procedure MouseMove(); override;

  procedure MouseUp(); override;

  procedure MoveBand();

  procedure NormalizeRows;

  procedure Paint; override;

  procedure PictureChanged();

  procedure Resize; override;

  procedure SetCursor(); override;

  procedure ShiftBands();

  procedure SortVisibleBands;

  procedure WMSize(); message;

public

  FUpdateCount: SmallInt;

  constructor Create(); override;

  destructor Destroy; override;

  procedure BeginUpdate;

  procedure EndUpdate;

  procedure FlipChildren(); override;

  function HitTest();

  procedure InsertControl(); override;

  function MouseToBandPos();

  procedure RemoveControl(); override;

  procedure StickControls; virtual;

  property AutoDock: Boolean; [rw]

  property AutoDrag: Boolean; [rw]

  property AutoSize: Boolean;

  property DockSite: Boolean;

  property DrawingStyle: TBandDrawingStyle; [rw]

  property GradientDirection: TGradientDirection; [rw]

  property GradientStartColor: TColor; [rw]

  property GradientEndColor: TColor; [rw]

  property Picture: TPicture; [rw]

  property RowSize: TRowSize; [rw]

  property RowSnap: Boolean; [rw]

  property OnBandDrag: TBandDragEvent; [rw]

  property OnBandInfo: TBandInfoEvent; [rw]

  property OnBandMove: TBandMoveEvent; [rw]

  property OnBandPaint: TBandPaintEvent; [rw]

  property OnCanResize: TCanResizeEvent; [rw]

  property OnPaint: TNotifyEvent; [rw]

end;

Inheritance

TCustomControlBar
|
TCustomPanel | The base class for a general container which can hold other objects. It has a customizable border and a central text.
|
TCustomControl | The base class for windowed controls which paint themselves.
|
TWinControl | The base class for controls which can contain other (child) controls.
|
TControl | The base class for visible controls.
|
TLCLComponent | The base class for LCL components associated with widgets.
|
TComponent,IUnknown,IInterfaceComponentReference
|
TPersistent,IFPObserved
|
TObject


TCustomControlBar
 |  | AutoDock
 |  | AutoDrag
 | ro | AutoSize
 | ro | DockSite
 |  | DrawingStyle
 |  | GradientDirection
 |  | GradientStartColor
 |  | GradientEndColor
 |  | Picture
 |  | RowSize
 |  | RowSnap
TCustomPanel
pt |  | WordWrap
 | ro | Align
 |  | Alignment
 |  | BevelColor
 |  | BevelInner
 |  | BevelOuter
 |  | BevelWidth
 | ro | Color
 |  | FullRepaint
 | ro | ParentBackground
 | ro | ParentColor
 | ro | TabStop
TCustomControl
 |  | Canvas
 | ro | BorderStyle
TWinControl
pt |  | WindowHandle
pt |  | BorderStyle
pt |  | ParentBackground
 |  | BorderWidth
 | ro | BoundsLockCount
 | ro | Brush
 | ro | CachedClientHeight
 | ro | CachedClientWidth
 |  | ChildSizing
 | ro | ControlCount
 | ro | Controls
 |  | DefWndProc
 | ro | DockClientCount
 | ro | DockClients
 |  | DockManager
 |  | DockSite
 |  | DoubleBuffered
 |  | Handle
 | ro | IsFlipped
 | ro | IsResizing
 |  | TabOrder
 |  | TabStop
 |  | ParentDoubleBuffered
 |  | ParentWindow
 | ro | Showing
 |  | UseDockManager
 |  | DesignerDeleting
 | ro | VisibleDockClientCount
TControl
pt | ro | AutoSizing
pt | ro | AutoSizingAll
pt | ro | AutoSizingLockCount
pt |  | ActionLink
pt |  | DesktopFont
pt |  | DragCursor
pt |  | DragKind
pt |  | DragMode
pt |  | MouseCapture
pt |  | ParentColor
pt |  | ParentFont
pt |  | ParentShowHint
pt |  | SessionProperties
pt |  | Text
 | ro | AnchoredControls
 | ro | BaseBounds
 | ro | ReadBounds
 | ro | BaseParentClientSize
 |  | AccessibleDescription
 |  | AccessibleValue
 |  | AccessibleRole
 |  | Action
 |  | Align
 |  | Anchors
 | ro | AnchorSide
 |  | AutoSize
 |  | BorderSpacing
 |  | BoundsRect
 |  | BoundsRectForNewParent
 |  | Caption
 |  | CaptureMouseButtons
 |  | ClientHeight
 | ro | ClientOrigin
 | ro | ClientRect
 |  | ClientWidth
 |  | Color
 |  | Constraints
 | ro | ControlOrigin
 |  | ControlState
 |  | ControlStyle
 |  | Enabled
 |  | Font
 |  | IsControl
 | ro | MouseEntered
 | ro | MouseInClient
 |  | Parent
 |  | PopupMenu
 |  | ShowHint
 |  | Visible
 |  | WindowProc
 |  | DockOrientation
 | ro | Floating
 |  | FloatingDockSiteClass
 |  | HostDockSite
 |  | LRDockWidth
 |  | TBDockHeight
 |  | UndockHeight
 |  | UndockWidth
 |  | BiDiMode
 |  | ParentBiDiMode
pl |  | AnchorSideLeft
pl |  | AnchorSideTop
pl |  | AnchorSideRight
pl |  | AnchorSideBottom
pl |  | Cursor
pl |  | Left
pl |  | Height
pl |  | Hint
pl |  | Top
pl |  | Width
pl |  | HelpType
pl |  | HelpKeyword
pl |  | HelpContext
TLCLComponent
 | ro | LCLRefCount
 | ro | WidgetSetClass
TComponent
 | ro | ComObject
 | ro | Components
 | ro | ComponentCount
 |  | ComponentIndex
 | ro | ComponentState
 | ro | ComponentStyle
 |  | DesignInfo
 | ro | Owner
 |  | VCLComObject
 |  | Name
 |  | Tag
TPersistent
TObject


 |  | AccessibleDescription (TControl)
 |  | AccessibleRole (TControl)
 |  | AccessibleValue (TControl)
 |  | Action (TControl)
pt |  | ActionLink (TControl)
 |  | Align (TControl)
 | ro | Align (TCustomPanel)
 |  | Alignment (TCustomPanel)
 | ro | AnchoredControls (TControl)
 |  | Anchors (TControl)
 | ro | AnchorSide (TControl)
pl |  | AnchorSideBottom (TControl)
pl |  | AnchorSideLeft (TControl)
pl |  | AnchorSideRight (TControl)
pl |  | AnchorSideTop (TControl)
 |  | AutoDock (TCustomControlBar)
 |  | AutoDrag (TCustomControlBar)
 |  | AutoSize (TControl)
 | ro | AutoSize (TCustomControlBar)
pt | ro | AutoSizing (TControl)
pt | ro | AutoSizingAll (TControl)
pt | ro | AutoSizingLockCount (TControl)
 | ro | BaseBounds (TControl)
 | ro | BaseParentClientSize (TControl)
 |  | BevelColor (TCustomPanel)
 |  | BevelInner (TCustomPanel)
 |  | BevelOuter (TCustomPanel)
 |  | BevelWidth (TCustomPanel)
 |  | BiDiMode (TControl)
 |  | BorderSpacing (TControl)
pt |  | BorderStyle (TWinControl)
 | ro | BorderStyle (TCustomControl)
 |  | BorderWidth (TWinControl)
 | ro | BoundsLockCount (TWinControl)
 |  | BoundsRect (TControl)
 |  | BoundsRectForNewParent (TControl)
 | ro | Brush (TWinControl)
 | ro | CachedClientHeight (TWinControl)
 | ro | CachedClientWidth (TWinControl)
 |  | Canvas (TCustomControl)
 |  | Caption (TControl)
 |  | CaptureMouseButtons (TControl)
 |  | ChildSizing (TWinControl)
 |  | ClientHeight (TControl)
 | ro | ClientOrigin (TControl)
 | ro | ClientRect (TControl)
 |  | ClientWidth (TControl)
 |  | Color (TControl)
 | ro | Color (TCustomPanel)
 | ro | ComObject (TComponent)
 | ro | ComponentCount (TComponent)
 |  | ComponentIndex (TComponent)
 | ro | Components (TComponent)
 | ro | ComponentState (TComponent)
 | ro | ComponentStyle (TComponent)
 |  | Constraints (TControl)
 | ro | ControlCount (TWinControl)
 | ro | ControlOrigin (TControl)
 | ro | Controls (TWinControl)
 |  | ControlState (TControl)
 |  | ControlStyle (TControl)
pl |  | Cursor (TControl)
 |  | DefWndProc (TWinControl)
 |  | DesignerDeleting (TWinControl)
 |  | DesignInfo (TComponent)
pt |  | DesktopFont (TControl)
 | ro | DockClientCount (TWinControl)
 | ro | DockClients (TWinControl)
 |  | DockManager (TWinControl)
 |  | DockOrientation (TControl)
 |  | DockSite (TWinControl)
 | ro | DockSite (TCustomControlBar)
 |  | DoubleBuffered (TWinControl)
pt |  | DragCursor (TControl)
pt |  | DragKind (TControl)
pt |  | DragMode (TControl)
 |  | DrawingStyle (TCustomControlBar)
 |  | Enabled (TControl)
 | ro | Floating (TControl)
 |  | FloatingDockSiteClass (TControl)
 |  | Font (TControl)
 |  | FullRepaint (TCustomPanel)
 |  | GradientDirection (TCustomControlBar)
 |  | GradientEndColor (TCustomControlBar)
 |  | GradientStartColor (TCustomControlBar)
 |  | Handle (TWinControl)
pl |  | Height (TControl)
pl |  | HelpContext (TControl)
pl |  | HelpKeyword (TControl)
pl |  | HelpType (TControl)
pl |  | Hint (TControl)
 |  | HostDockSite (TControl)
 |  | IsControl (TControl)
 | ro | IsFlipped (TWinControl)
 | ro | IsResizing (TWinControl)
 | ro | LCLRefCount (TLCLComponent)
pl |  | Left (TControl)
 |  | LRDockWidth (TControl)
pt |  | MouseCapture (TControl)
 | ro | MouseEntered (TControl)
 | ro | MouseInClient (TControl)
 |  | Name (TComponent)
 | ro | Owner (TComponent)
 |  | Parent (TControl)
pt |  | ParentBackground (TWinControl)
 | ro | ParentBackground (TCustomPanel)
 |  | ParentBiDiMode (TControl)
pt |  | ParentColor (TControl)
 | ro | ParentColor (TCustomPanel)
 |  | ParentDoubleBuffered (TWinControl)
pt |  | ParentFont (TControl)
pt |  | ParentShowHint (TControl)
 |  | ParentWindow (TWinControl)
 |  | Picture (TCustomControlBar)
 |  | PopupMenu (TControl)
 | ro | ReadBounds (TControl)
 |  | RowSize (TCustomControlBar)
 |  | RowSnap (TCustomControlBar)
pt |  | SessionProperties (TControl)
 |  | ShowHint (TControl)
 | ro | Showing (TWinControl)
 |  | TabOrder (TWinControl)
 |  | TabStop (TWinControl)
 | ro | TabStop (TCustomPanel)
 |  | Tag (TComponent)
 |  | TBDockHeight (TControl)
pt |  | Text (TControl)
pl |  | Top (TControl)
 |  | UndockHeight (TControl)
 |  | UndockWidth (TControl)
 |  | UseDockManager (TWinControl)
 |  | VCLComObject (TComponent)
 |  | Visible (TControl)
 | ro | VisibleDockClientCount (TWinControl)
 | ro | WidgetSetClass (TLCLComponent)
pl |  | Width (TControl)
pt |  | WindowHandle (TWinControl)
 |  | WindowProc (TControl)
pt |  | WordWrap (TCustomPanel)


TCustomControlBar
pt | AlignControlToBand
pt | AlignControlsToBands
pt | CalcBandHeight
pt | CalcBandHeightSnapped
pt | CalcInnerBevelWidth
pt | CalcLowestBandBottomPx
pt | CalculatePreferredSize
pt | ChangeCursor
pt | CheckBandsSizeAndVisibility
pt | CMBiDiModeChanged
pt | CMBorderChanged
pt | CreateWnd
pt | DoBandMove
pt | DoBandPaint
pt | DragControl
pt | DragOver
pt | GetControlInfo
pt | InitializeClass
pt | InitializeBand
pt | InitializeMove
pt | Loaded
pt | IsBandOverlap
pt | MouseDown
pt | MouseMove
pt | MouseUp
pt | MoveBand
pt | NormalizeRows
pt | Paint
pt | PictureChanged
pt | Resize
pt | SetCursor
pt | ShiftBands
pt | SortVisibleBands
pt | WMSize
 | Create
 | Destroy
 | BeginUpdate
 | EndUpdate
 | FlipChildren
 | HitTest
 | InsertControl
 | MouseToBandPos
 | RemoveControl
 | StickControls
TCustomPanel
pt | WSRegisterClass
pt | AdjustClientRect
pt | GetControlClassDefaultSize
pt | CMParentColorChanged
pt | GetDefaultDockCaption
pt | Loaded
pt | RealSetText
pt | Paint
pt | SetParentBackground
pt | UpdateParentColorChange
 | Create
TCustomControl
pt | WSRegisterClass
pt | WMPaint
pt | DestroyWnd
pt | PaintWindow
pt | FontChanged
pt | SetColor
pt | Paint
 | Create
 | Destroy
TWinControl
pt | WSRegisterClass
pt | AdjustClientRect
pt | GetAdjustedLogicalClientRect
pt | AlignControls
pt | CustomAlignInsertBefore
pt | CustomAlignPosition
pt | DoAlignChildControls
pt | DoChildSizingChange
pt | InvalidatePreferredChildSizes
pt | CanTab
pt | IsClientHeightStored
pt | IsClientWidthStored
pt | DoSendShowHideToInterface
pt | ControlsAligned
pt | DoSendBoundsToInterface
pt | RealizeBounds
pt | RealizeBoundsRecursive
pt | InvalidateBoundsRealized
pt | CreateSubClass
pt | DoConstraintsChange
pt | DoSetBounds
pt | DoAutoSize
pt | DoAllAutoSize
pt | AllAutoSized
pt | CalculatePreferredSize
pt | GetPreferredSizeClientFrame
pt | GetChildren
pt | ChildClassAllowed
pt | PaintControls
pt | PaintHandler
pt | PaintWindow
pt | CreateBrush
pt | ScaleControls
pt | ChangeScale
pt | CMBiDiModeChanged
pt | CMBorderChanged
pt | CMDoubleBufferedChanged
pt | CMEnabledChanged
pt | CMParentDoubleBufferedChanged
pt | CMShowingChanged
pt | CMShowHintChanged
pt | CMVisibleChanged
pt | CMEnter
pt | CMExit
pt | WMContextMenu
pt | WMEraseBkgnd
pt | WMNotify
pt | WMSetFocus
pt | WMKillFocus
pt | WMShowWindow
pt | WMEnter
pt | WMExit
pt | WMKeyDown
pt | WMSysKeyDown
pt | WMKeyUp
pt | WMSysKeyUp
pt | WMChar
pt | WMSysChar
pt | WMPaint
pt | WMDestroy
pt | WMMove
pt | WMSize
pt | WMWindowPosChanged
pt | CNKeyDown
pt | CNSysKeyDown
pt | CNKeyUp
pt | CNSysKeyUp
pt | CNChar
pt | DoDragMsg
pt | DoDockClientMsg
pt | DoUndockClientMsg
pt | DoAddDockClient
pt | DockOver
pt | DoDockOver
pt | DoRemoveDockClient
pt | DoUnDock
pt | GetSiteInfo
pt | GetParentHandle
pt | GetTopParentHandle
pt | ReloadDockedControl
pt | CreateDockManager
pt | SetDockManager
pt | DoFloatMsg
pt | DoGetDockCaption
pt | DoEnter
pt | DoExit
pt | DoKeyDownBeforeInterface
pt | DoRemainingKeyDown
pt | DoRemainingKeyUp
pt | DoKeyPress
pt | DoUTF8KeyPress
pt | DoKeyUpBeforeInterface
pt | ChildKey
pt | SendDialogChar
pt | DialogChar
pt | ControlKeyDown
pt | ControlKeyUp
pt | KeyDown
pt | KeyDownBeforeInterface
pt | KeyDownAfterInterface
pt | KeyPress
pt | KeyUp
pt | KeyUpBeforeInterface
pt | KeyUpAfterInterface
pt | UTF8KeyPress
pt | FindNextControl
pt | SelectFirst
pt | RealGetText
pt | GetBorderStyle
pt | GetClientOrigin
pt | GetClientRect
pt | GetControlOrigin
pt | GetDeviceContext
pt | GetParentBackground
pt | IsControlMouseMsg
pt | CreateHandle
pt | CreateParams
pt | CreateWnd
pt | DestroyHandle
pt | DestroyWnd
pt | DoFlipChildren
pt | FinalizeWnd
pt | FixupTabList
pt | FontChanged
pt | InitializeWnd
pt | Loaded
pt | FormEndUpdated
pt | MainWndProc
pt | ParentFormHandleInitialized
pt | ChildHandlesCreated
pt | GetMouseCapture
pt | RealSetText
pt | RemoveFocus
pt | SendMoveSizeMessages
pt | SetBorderStyle
pt | SetColor
pt | SetChildZPosition
pt | SetParentBackground
pt | ShowControl
pt | UpdateControlState
pt | UpdateShowing
pt | WndProc
pt | WSSetText
 | AutoSizePhases
 | AutoSizeDelayed
 | AutoSizeDelayedReport
 | AutoSizeDelayedHandle
 | BeginUpdateBounds
 | EndUpdateBounds
 | LockRealizeBounds
 | UnlockRealizeBounds
 | ControlAtPos
 | ContainsControl
 | DoAdjustClientRectChange
 | InvalidateClientRectCache
 | ClientRectNeedsInterfaceUpdate
 | SetBounds
 | GetChildrenRect
 | DisableAlign
 | EnableAlign
 | ReAlign
 | ScrollBy_WS
 | ScrollBy
 | WriteLayoutDebugReport
 | AutoAdjustLayout
 | Create
 | CreateParented
 | CreateParentedControl
 | Destroy
 | DockDrop
 | CanFocus
 | CanSetFocus
 | GetControlIndex
 | SetControlIndex
 | Focused
 | PerformTab
 | FindChildControl
 | SelectNext
 | SetTempCursor
 | BroadCast
 | NotifyControls
 | DefaultHandler
 | GetTextLen
 | Invalidate
 | AddControl
 | InsertControl
 | RemoveControl
 | GetEnumeratorControls
 | GetEnumeratorControlsReverse
 | Repaint
 | Update
 | SetFocus
 | FlipChildren
 | ScaleBy
 | GetDockCaption
 | UpdateDockCaption
 | GetTabOrderList
 | HandleAllocated
 | ParentHandlesAllocated
 | HandleNeeded
 | BrushCreated
 | EraseBackground
 | IntfUTF8KeyPress
 | IntfGetDropFilesTarget
 | PaintTo
 | SetShape
TControl
pt | WSRegisterClass
pt | GetCursor
pt | SetCursor
pt | SetVisible
pt | DoOnParentHandleDestruction
pt | DoAutoSize
pt | DoAllAutoSize
pt | BeginAutoSizing
pt | EndAutoSizing
pt | AnchorSideChanged
pt | ForeignAnchorSideChanged
pt | SetAlign
pt | SetAnchors
pt | SetAutoSize
pt | BoundsChanged
pt | CreateControlBorderSpacing
pt | DoConstraintsChange
pt | DoBorderSpacingChange
pt | IsBorderSpacingInnerBorderStored
pt | IsCaptionStored
pt | SendMoveSizeMessages
pt | ConstrainedResize
pt | CalculatePreferredSize
pt | DoOnResize
pt | DoOnChangeBounds
pt | CheckOnChangeBounds
pt | Resize
pt | RequestAlign
pt | UpdateAnchorRules
pt | ChangeBounds
pt | DoSetBounds
pt | ScaleConstraints
pt | ChangeScale
pt | CanAutoSize
pt | SetBiDiMode
pt | SetParentBiDiMode
pt | IsAParentAligning
pt | GetClientOrigin
pt | GetClientRect
pt | GetLogicalClientRect
pt | GetScrolledClientRect
pt | GetClientScrollOffset
pt | GetControlOrigin
pt | IsClientHeightStored
pt | IsClientWidthStored
pt | WidthIsAnchored
pt | HeightIsAnchored
pt | WMCancelMode
pt | WMContextMenu
pt | WMLButtonDown
pt | WMRButtonDown
pt | WMMButtonDown
pt | WMXButtonDown
pt | WMLButtonDBLCLK
pt | WMRButtonDBLCLK
pt | WMMButtonDBLCLK
pt | WMXButtonDBLCLK
pt | WMLButtonTripleCLK
pt | WMRButtonTripleCLK
pt | WMMButtonTripleCLK
pt | WMXButtonTripleCLK
pt | WMLButtonQuadCLK
pt | WMRButtonQuadCLK
pt | WMMButtonQuadCLK
pt | WMXButtonQuadCLK
pt | WMMouseMove
pt | WMLButtonUp
pt | WMRButtonUp
pt | WMMButtonUp
pt | WMXButtonUp
pt | WMMouseWheel
pt | WMMouseHWheel
pt | WMMove
pt | WMSize
pt | WMWindowPosChanged
pt | CMChanged
pt | LMCaptureChanged
pt | CMBiDiModeChanged
pt | CMSysFontChanged
pt | CMEnabledChanged
pt | CMHitTest
pt | CMMouseEnter
pt | CMMouseLeave
pt | CMHintShow
pt | CMParentBiDiModeChanged
pt | CMParentColorChanged
pt | CMParentFontChanged
pt | CMParentShowHintChanged
pt | CMVisibleChanged
pt | CMTextChanged
pt | CMCursorChanged
pt | CalculateDockSizes
pt | CreateFloatingDockSite
pt | GetDockEdge
pt | GetDragImages
pt | GetFloating
pt | GetFloatingDockSiteClass
pt | BeforeDragStart
pt | BeginAutoDrag
pt | DoFloatMsg
pt | DockTrackNoTarget
pt | DoDock
pt | DoDragMsg
pt | DoEndDock
pt | DoEndDrag
pt | DoStartDock
pt | DoStartDrag
pt | DragCanceled
pt | DragOver
pt | PositionDockRect
pt | SetDragMode
pt | GetDefaultDockCaption
pt | Click
pt | DblClick
pt | TripleClick
pt | QuadClick
pt | GetMousePosFromMessage
pt | MouseDown
pt | MouseMove
pt | MouseUp
pt | MouseEnter
pt | MouseLeave
pt | DialogChar
pt | UpdateMouseCursor
pt | Changed
pt | GetPalette
pt | ChildClassAllowed
pt | ReadState
pt | Loaded
pt | LoadedAll
pt | DefineProperties
pt | AssignTo
pt | FormEndUpdated
pt | InvalidateControl
pt | FontChanged
pt | ParentFontChanged
pt | GetAction
pt | RealGetText
pt | RealSetText
pt | TextChanged
pt | GetCachedText
pt | SetAction
pt | SetColor
pt | SetEnabled
pt | SetHint
pt | SetName
pt | SetParent
pt | SetParentComponent
pt | WndProc
pt | ParentFormHandleInitialized
pt | GetMouseCapture
pt | CaptureChanged
pt | Notification
pt | CanTab
pt | GetDeviceContext
pt | GetEnabled
pt | GetPopupMenu
pt | DoOnShowHint
pt | DoMouseWheel
pt | DoMouseWheelDown
pt | DoMouseWheelUp
pt | DoMouseWheelHorz
pt | DoMouseWheelLeft
pt | DoMouseWheelRight
pt | VisibleChanging
pt | VisibleChanged
pt | EnabledChanging
pt | EnabledChanged
pt | AddHandler
pt | RemoveHandler
pt | DoCallNotifyHandler
pt | DoCallKeyEventHandler
pt | DoCallMouseWheelEventHandler
pt | DoContextPopup
pt | SetZOrder
pt | GetControlClassDefaultSize
pt | ColorIsStored
pt | DoAutoAdjustLayout
pt | DoFixDesignFontPPI
pt | DoScaleFontPPI
pt | GetActionLinkClass
pt | ActionChange
 | DragDrop
 | Dock
 | ManualDock
 | ManualFloat
 | ReplaceDockedControl
 | Docked
 | Dragging
 | GetAccessibleObject
 | CreateAccessibleObject
 | GetSelectedChildAccessibleObject
 | GetChildAccessibleObjectAtPos
 | ScaleDesignToForm
 | ScaleFormToDesign
 | Scale96ToForm
 | ScaleFormTo96
 | Scale96ToFont
 | ScaleFontTo96
 | ScaleScreenToFont
 | ScaleFontToScreen
 | Scale96ToScreen
 | ScaleScreenTo96
 | AdjustSize
 | AutoSizePhases
 | AutoSizeDelayed
 | AutoSizeDelayedReport
 | AutoSizeDelayedHandle
 | AnchorToNeighbour
 | AnchorParallel
 | AnchorHorizontalCenterTo
 | AnchorVerticalCenterTo
 | AnchorToCompanion
 | AnchorSame
 | AnchorAsAlign
 | AnchorClient
 | AnchoredControlCount
 | SetBounds
 | SetInitialBounds
 | SetBoundsKeepBase
 | GetPreferredSize
 | GetCanvasScaleFactor
 | GetDefaultWidth
 | GetDefaultHeight
 | GetDefaultColor
 | GetColorResolvingParent
 | GetRGBColorResolvingParent
 | GetSidePosition
 | CNPreferredSizeChanged
 | InvalidatePreferredSize
 | GetAnchorsDependingOnParent
 | DisableAutoSizing
 | EnableAutoSizing
 | UpdateBaseBounds
 | WriteLayoutDebugReport
 | AutoAdjustLayout
 | ShouldAutoAdjust
 | FixDesignFontsPPI
 | ScaleFontsPPI
 | Create
 | Destroy
 | BeforeDestruction
 | EditingDone
 | ExecuteDefaultAction
 | ExecuteCancelAction
 | BeginDrag
 | EndDrag
 | BringToFront
 | HasParent
 | GetParentComponent
 | IsParentOf
 | GetTopParent
 | IsVisible
 | IsControlVisible
 | IsEnabled
 | IsParentColor
 | IsParentFont
 | FormIsUpdating
 | IsProcessingPaintMsg
 | Hide
 | Refresh
 | Repaint
 | Invalidate
 | CheckChildClassAllowed
 | CheckNewParent
 | SendToBack
 | SetTempCursor
 | UpdateRolesForForm
 | ActiveDefaultControlChanged
 | GetTextBuf
 | GetTextLen
 | SetTextBuf
 | Perform
 | ScreenToClient
 | ClientToScreen
 | ScreenToControl
 | ControlToScreen
 | ClientToParent
 | ParentToClient
 | GetChildrenRect
 | Show
 | Update
 | HandleObjectShouldBeVisible
 | ParentDestroyingHandle
 | ParentHandlesAllocated
 | InitiateAction
 | ShowHelp
 | HasHelp
 | RemoveAllHandlersOfObject
 | AddHandlerOnResize
 | RemoveHandlerOnResize
 | AddHandlerOnChangeBounds
 | RemoveHandlerOnChangeBounds
 | AddHandlerOnVisibleChanging
 | RemoveHandlerOnVisibleChanging
 | AddHandlerOnVisibleChanged
 | RemoveHandlerOnVisibleChanged
 | AddHandlerOnEnabledChanged
 | RemoveHandlerOnEnableChanging
 | AddHandlerOnKeyDown
 | RemoveHandlerOnKeyDown
 | AddHandlerOnBeforeDestruction
 | RemoveHandlerOnBeforeDestruction
 | AddHandlerOnMouseWheel
 | RemoveHandlerOnMouseWheel
 | UseRightToLeftAlignment
 | UseRightToLeftReading
 | UseRightToLeftScrollBar
 | IsRightToLeft
TLCLComponent
pt | WSRegisterClass
pt | GetWSComponentClass
 | Create
 | Destroy
 | NewInstance
 | RemoveAllHandlersOfObject
 | IncLCLRefCount
 | DecLCLRefCount
TComponent
 | GetComObject
 | GetComponent
 | GetComponentCount
 | GetComponentIndex
 | Insert
 | ReadLeft
 | ReadTop
 | Remove
 | RemoveNotification
 | SetComponentIndex
 | SetReference
 | WriteLeft
 | WriteTop
 | ChangeName
 | DefineProperties
 | GetChildren
 | GetChildOwner
 | GetChildParent
 | GetOwner
 | Loaded
 | Loading
 | Notification
 | PaletteCreated
 | ReadState
 | SetAncestor
 | SetDesigning
 | SetDesignInstance
 | SetInline
 | SetName
 | SetChildOrder
 | SetParentComponent
 | Updating
 | Updated
 | UpdateRegistry
 | ValidateRename
 | ValidateContainer
 | ValidateInsert
 | QueryInterface
 | _AddRef
 | _Release
 | iicrGetComponent
 | GetTypeInfoCount
 | GetTypeInfo
 | GetIDsOfNames
 | Invoke
 | WriteState
 | Create
 | Destroy
 | BeforeDestruction
 | DestroyComponents
 | Destroying
 | ExecuteAction
 | FindComponent
 | FreeNotification
 | RemoveFreeNotification
 | FreeOnRelease
 | GetEnumerator
 | GetNamePath
 | GetParentComponent
 | HasParent
 | InsertComponent
 | RemoveComponent
 | SafeCallException
 | SetSubComponent
 | UpdateAction
 | IsImplementorOf
 | ReferenceInterface
TPersistent
 | AssignError
 | AssignTo
 | DefineProperties
 | GetOwner
 | Destroy
 | Assign
 | FPOAttachObserver
 | FPODetachObserver
 | FPONotifyObservers
 | GetNamePath
TObject
 | Create
 | Destroy
 | newinstance
 | FreeInstance
 | SafeCallException
 | DefaultHandler
 | Free
 | InitInstance
 | CleanupInstance
 | ClassType
 | ClassInfo
 | ClassName
 | ClassNameIs
 | ClassParent
 | InstanceSize
 | InheritsFrom
 | StringMessageTable
 | MethodAddress
 | MethodName
 | FieldAddress
 | AfterConstruction
 | BeforeDestruction
 | DefaultHandlerStr
 | Dispatch
 | DispatchStr
 | GetInterface
 | GetInterfaceByStr
 | GetInterfaceWeak
 | GetInterfaceEntry
 | GetInterfaceEntryByStr
 | GetInterfaceTable
 | UnitName
 | Equals
 | GetHashCode
 | ToString


TCustomControlBar
 | OnBandDrag
 | OnBandInfo
 | OnBandMove
 | OnBandPaint
 | OnCanResize
 | OnPaint
TCustomPanel
TCustomControl
 | OnPaint
TWinControl
pt | OnGetSiteInfo
pt | OnGetDockCaption
 | OnAlignInsertBefore
 | OnAlignPosition
 | OnDockDrop
 | OnDockOver
 | OnEnter
 | OnExit
 | OnKeyDown
 | OnKeyPress
 | OnKeyUp
 | OnUnDock
 | OnUTF8KeyPress
TControl
pt | OnConstrainedResize
pt | OnContextPopup
pt | OnDblClick
pt | OnTripleClick
pt | OnQuadClick
pt | OnDragDrop
pt | OnDragOver
pt | OnEndDock
pt | OnEndDrag
pt | OnMouseDown
pt | OnMouseMove
pt | OnMouseUp
pt | OnMouseEnter
pt | OnMouseLeave
pt | OnMouseWheel
pt | OnMouseWheelDown
pt | OnMouseWheelUp
pt | OnMouseWheelHorz
pt | OnMouseWheelLeft
pt | OnMouseWheelRight
pt | OnStartDock
pt | OnStartDrag
pt | OnEditingDone
 | OnChangeBounds
 | OnClick
 | OnResize
 | OnShowHint
TLCLComponent
TComponent
TPersistent
TObject


 | OnAlignInsertBefore (TWinControl)
 | OnAlignPosition (TWinControl)
 | OnBandDrag (TCustomControlBar)
 | OnBandInfo (TCustomControlBar)
 | OnBandMove (TCustomControlBar)
 | OnBandPaint (TCustomControlBar)
 | OnCanResize (TCustomControlBar)
 | OnChangeBounds (TControl)
 | OnClick (TControl)
pt | OnConstrainedResize (TControl)
pt | OnContextPopup (TControl)
pt | OnDblClick (TControl)
 | OnDockDrop (TWinControl)
 | OnDockOver (TWinControl)
pt | OnDragDrop (TControl)
pt | OnDragOver (TControl)
pt | OnEditingDone (TControl)
pt | OnEndDock (TControl)
pt | OnEndDrag (TControl)
 | OnEnter (TWinControl)
 | OnExit (TWinControl)
pt | OnGetDockCaption (TWinControl)
pt | OnGetSiteInfo (TWinControl)
 | OnKeyDown (TWinControl)
 | OnKeyPress (TWinControl)
 | OnKeyUp (TWinControl)
pt | OnMouseDown (TControl)
pt | OnMouseEnter (TControl)
pt | OnMouseLeave (TControl)
pt | OnMouseMove (TControl)
pt | OnMouseUp (TControl)
pt | OnMouseWheel (TControl)
pt | OnMouseWheelDown (TControl)
pt | OnMouseWheelHorz (TControl)
pt | OnMouseWheelLeft (TControl)
pt | OnMouseWheelRight (TControl)
pt | OnMouseWheelUp (TControl)
 | OnPaint (TCustomControl)
 | OnPaint (TCustomControlBar)
pt | OnQuadClick (TControl)
 | OnResize (TControl)
 | OnShowHint (TControl)
pt | OnStartDock (TControl)
pt | OnStartDrag (TControl)
pt | OnTripleClick (TControl)
 | OnUnDock (TWinControl)
 | OnUTF8KeyPress (TWinControl)


TCustomControlBar.AlignControlsToBands

Declaration

Source position: extctrls.pp line 1535

protected procedure TCustomControlBar.AlignControlsToBands;


TCustomControlBar.AlignControlToBand

Declaration

Source position: extctrls.pp line 1534

protected procedure TCustomControlBar.AlignControlToBand(

  ABand: TCtrlBand;

  ARightToLeft: Boolean

);


TCustomControlBar.AutoDock

Declaration

Source position: extctrls.pp line 1585

public property TCustomControlBar.AutoDock : Boolean
  read FAutoDock
  write FAutoDock
  default True;


TCustomControlBar.AutoDrag

Declaration

Source position: extctrls.pp line 1586

public property TCustomControlBar.AutoDrag : Boolean
  read FAutoDrag
  write FAutoDrag
  default True;


TCustomControlBar.AutoSize

Declaration

Source position: extctrls.pp line 1587

public property TCustomControlBar.AutoSize : Boolean;


TCustomControlBar.BeginUpdate

Declaration

Source position: extctrls.pp line 1577

public procedure TCustomControlBar.BeginUpdate;


TCustomControlBar.CalcBandHeight

Declaration

Source position: extctrls.pp line 1536

protected function TCustomControlBar.CalcBandHeight(

  AControl: TControl

):Integer;


TCustomControlBar.CalcBandHeightSnapped

Declaration

Source position: extctrls.pp line 1537

protected function TCustomControlBar.CalcBandHeightSnapped(

  AControl: TControl

):Integer;


TCustomControlBar.CalcInnerBevelWidth

Declaration

Source position: extctrls.pp line 1538

protected function TCustomControlBar.CalcInnerBevelWidth: Integer;


TCustomControlBar.CalcLowestBandBottomPx

Declaration

Source position: extctrls.pp line 1539

protected function TCustomControlBar.CalcLowestBandBottomPx: Integer;


TCustomControlBar.CalculatePreferredSize

Declaration

Source position: extctrls.pp line 1540

protected procedure TCustomControlBar.CalculatePreferredSize(

  var PreferredWidth: Integer;

  var PreferredHeight: Integer;

  WithThemeSpace: Boolean

); override;


TCustomControlBar.cBandBorderH

Declaration

Source position: extctrls.pp line 1517

protected const TCustomControlBar.cBandBorderH: SmallInt = 4;


TCustomControlBar.cBandBorderV

Declaration

Source position: extctrls.pp line 1518

protected const TCustomControlBar.cBandBorderV: SmallInt = 2;


TCustomControlBar.cFullGrabber

Declaration

Source position: extctrls.pp line 1521

protected TCustomControlBar.cFullGrabber : SmallInt;


TCustomControlBar.cGrabWidth

Declaration

Source position: extctrls.pp line 1519

protected const TCustomControlBar.cGrabWidth: SmallInt = 3;


TCustomControlBar.ChangeCursor

Declaration

Source position: extctrls.pp line 1542

protected procedure TCustomControlBar.ChangeCursor(

  ACursor: TCursorDesign

);


TCustomControlBar.CheckBandsSizeAndVisibility

Declaration

Source position: extctrls.pp line 1543

protected procedure TCustomControlBar.CheckBandsSizeAndVisibility;


TCustomControlBar.CMBiDiModeChanged

Declaration

Source position: extctrls.pp line 1544

protected procedure TCustomControlBar.CMBiDiModeChanged(

  var Message: TLMessage

); message;


TCustomControlBar.CMBorderChanged

Declaration

Source position: extctrls.pp line 1545

protected procedure TCustomControlBar.CMBorderChanged(

  var Message: TLMessage

); message;


TCustomControlBar.CreateWnd

Declaration

Source position: extctrls.pp line 1546

protected procedure TCustomControlBar.CreateWnd; override;


TCustomControlBar.Destroy

Declaration

Source position: extctrls.pp line 1576

public destructor TCustomControlBar.Destroy; override;


TCustomControlBar.DoBandMove

Declaration

Source position: extctrls.pp line 1547

protected procedure TCustomControlBar.DoBandMove(

  AControl: TControl;

  var ARect: TRect

); virtual;


TCustomControlBar.DoBandPaint

Declaration

Source position: extctrls.pp line 1548

protected procedure TCustomControlBar.DoBandPaint(

  AControl: TControl;

  ACanvas: TCanvas;

  var ARect: TRect;

  var AOptions: TBandPaintOptions

); virtual;


TCustomControlBar.DockSite

Declaration

Source position: extctrls.pp line 1588

public property TCustomControlBar.DockSite : Boolean
  default True;


TCustomControlBar.DragControl

Declaration

Source position: extctrls.pp line 1550

protected function TCustomControlBar.DragControl(

  AControl: TControl;

  X: Integer;

  Y: Integer;

  KeepCapture: Boolean = False

):Boolean; virtual;


TCustomControlBar.DragOver

Declaration

Source position: extctrls.pp line 1552

protected procedure TCustomControlBar.DragOver(

  Source: TObject;

  X: Integer;

  Y: Integer;

  State: TDragState;

  var Accept: Boolean

); override;


TCustomControlBar.DrawingStyle

Declaration

Source position: extctrls.pp line 1589

public property TCustomControlBar.DrawingStyle : TBandDrawingStyle
  read FDrawingStyle
  write SetDrawingStyle
  default dsNormal;


TCustomControlBar.EndUpdate

Declaration

Source position: extctrls.pp line 1578

public procedure TCustomControlBar.EndUpdate;


TCustomControlBar.FBandMove

Declaration

Source position: extctrls.pp line 1524

protected TCustomControlBar.FBandMove : TBandMove;


TCustomControlBar.FBands

Declaration

Source position: extctrls.pp line 1523

protected TCustomControlBar.FBands : TCtrlBands;


TCustomControlBar.FCursorLock

Declaration

Source position: extctrls.pp line 1525

protected TCustomControlBar.FCursorLock : Boolean;


TCustomControlBar.FDefCursor

Declaration

Source position: extctrls.pp line 1526

protected TCustomControlBar.FDefCursor : TCursor;


TCustomControlBar.FHoveredBand

Declaration

Source position: extctrls.pp line 1527

protected TCustomControlBar.FHoveredBand : TCtrlBand;


TCustomControlBar.FInitDrag

Declaration

Source position: extctrls.pp line 1528

protected TCustomControlBar.FInitDrag : TPoint;


TCustomControlBar.FInnerBevelWidth

Declaration

Source position: extctrls.pp line 1529

protected TCustomControlBar.FInnerBevelWidth : SmallInt;


TCustomControlBar.FlipChildren

Declaration

Source position: extctrls.pp line 1579

public procedure TCustomControlBar.FlipChildren(

  AllLevels: Boolean

); override;


TCustomControlBar.FLockResize

Declaration

Source position: extctrls.pp line 1530

protected TCustomControlBar.FLockResize : Boolean;


TCustomControlBar.FPrevWidth

Declaration

Source position: extctrls.pp line 1531

protected TCustomControlBar.FPrevWidth : Integer;


TCustomControlBar.FUpdateCount

Declaration

Source position: extctrls.pp line 1574

public TCustomControlBar.FUpdateCount : SmallInt;


TCustomControlBar.FVisiBands

Declaration

Source position: extctrls.pp line 1532

protected TCustomControlBar.FVisiBands : array of TCtrlBand;


TCustomControlBar.FVisiBandsEx

Declaration

Source position: extctrls.pp line 1533

protected TCustomControlBar.FVisiBandsEx : array of TCtrlBand;


TCustomControlBar.GetControlInfo

Declaration

Source position: extctrls.pp line 1554

protected procedure TCustomControlBar.GetControlInfo(

  AControl: TControl;

  var Insets: TRect;

  var PreferredSize: Integer;

  var RowCount: Integer

); virtual;


TCustomControlBar.GradientDirection

Declaration

Source position: extctrls.pp line 1590

public property TCustomControlBar.GradientDirection : TGradientDirection
  read FGradientDirection
  write SetGradientDirection
  default gdVertical;


TCustomControlBar.GradientEndColor

Declaration

Source position: extctrls.pp line 1592

public property TCustomControlBar.GradientEndColor : TColor
  read FGradientEndColor
  write SetGradientEndColor
  default clDefault;


TCustomControlBar.GradientStartColor

Declaration

Source position: extctrls.pp line 1591

public property TCustomControlBar.GradientStartColor : TColor
  read FGradientStartColor
  write SetGradientStartColor
  default clDefault;


TCustomControlBar.HitTest

Declaration

Source position: extctrls.pp line 1580

public function TCustomControlBar.HitTest(

  X: Integer;

  Y: Integer

):TControl;


TCustomControlBar.InitializeBand

Declaration

Source position: extctrls.pp line 1557

protected procedure TCustomControlBar.InitializeBand(

  ABand: TCtrlBand;

  AKeepPos: Boolean

);


TCustomControlBar.InitializeClass

Declaration

Source position: extctrls.pp line 1556

protected class constructor TCustomControlBar.InitializeClass;


TCustomControlBar.InitializeMove

Declaration

Source position: extctrls.pp line 1558

protected procedure TCustomControlBar.InitializeMove(

  AMovingBand: TCtrlBand

);


TCustomControlBar.InsertControl

Declaration

Source position: extctrls.pp line 1581

public procedure TCustomControlBar.InsertControl(

  AControl: TControl;

  Index: Integer

); override;


TCustomControlBar.IsBandOverlap

Declaration

Source position: extctrls.pp line 1560

protected function TCustomControlBar.IsBandOverlap(

  ARect: TRect;

  BRect: TRect

):Boolean;


TCustomControlBar.MouseDown

Declaration

Source position: extctrls.pp line 1561

protected procedure TCustomControlBar.MouseDown(

  Button: TMouseButton;

  Shift: TShiftState;

  X: Integer;

  Y: Integer

); override;


TCustomControlBar.MouseMove

Declaration

Source position: extctrls.pp line 1562

protected procedure TCustomControlBar.MouseMove(

  Shift: TShiftState;

  X: Integer;

  Y: Integer

); override;


TCustomControlBar.MouseToBandPos

Declaration

Source position: extctrls.pp line 1582

public function TCustomControlBar.MouseToBandPos(

  X: Integer;

  Y: Integer;

  out AGrabber: Boolean

):TCtrlBand;


TCustomControlBar.MouseUp

Declaration

Source position: extctrls.pp line 1563

protected procedure TCustomControlBar.MouseUp(

  Button: TMouseButton;

  Shift: TShiftState;

  X: Integer;

  Y: Integer

); override;


TCustomControlBar.MoveBand

Declaration

Source position: extctrls.pp line 1564

protected procedure TCustomControlBar.MoveBand(

  AMoveBand: TCtrlBand;

  X: Integer;

  Y: Integer;

  ByMouse: Boolean

);


TCustomControlBar.NormalizeRows

Declaration

Source position: extctrls.pp line 1565

protected procedure TCustomControlBar.NormalizeRows;


TCustomControlBar.OnBandDrag

Declaration

Source position: extctrls.pp line 1596

public property TCustomControlBar.OnBandDrag : TBandDragEvent
  read FOnBandDrag
  write FOnBandDrag;


TCustomControlBar.OnBandInfo

Declaration

Source position: extctrls.pp line 1597

public property TCustomControlBar.OnBandInfo : TBandInfoEvent
  read FOnBandInfo
  write FOnBandInfo;


TCustomControlBar.OnBandMove

Declaration

Source position: extctrls.pp line 1598

public property TCustomControlBar.OnBandMove : TBandMoveEvent
  read FOnBandMove
  write FOnBandMove;


TCustomControlBar.OnBandPaint

Declaration

Source position: extctrls.pp line 1599

public property TCustomControlBar.OnBandPaint : TBandPaintEvent
  read FOnBandPaint
  write FOnBandPaint;


TCustomControlBar.OnCanResize

Declaration

Source position: extctrls.pp line 1600

public property TCustomControlBar.OnCanResize : TCanResizeEvent
  read FOnCanResize
  write FOnCanResize;


TCustomControlBar.OnPaint

Declaration

Source position: extctrls.pp line 1601

public property TCustomControlBar.OnPaint : TNotifyEvent
  read FOnPaint
  write FOnPaint;


TCustomControlBar.Picture

Declaration

Source position: extctrls.pp line 1593

public property TCustomControlBar.Picture : TPicture
  read FPicture
  write SetPicture;


TCustomControlBar.PictureChanged

Declaration

Source position: extctrls.pp line 1567

protected procedure TCustomControlBar.PictureChanged(

  Sender: TObject

);


TCustomControlBar.RemoveControl

Declaration

Source position: extctrls.pp line 1583

public procedure TCustomControlBar.RemoveControl(

  AControl: TControl

); override;


TCustomControlBar.Resize

Declaration

Source position: extctrls.pp line 1568

protected procedure TCustomControlBar.Resize; override;


TCustomControlBar.RowSize

Declaration

Source position: extctrls.pp line 1594

public property TCustomControlBar.RowSize : TRowSize
  read FRowSize
  write SetRowSize
  default 26;


TCustomControlBar.RowSnap

Declaration

Source position: extctrls.pp line 1595

public property TCustomControlBar.RowSnap : Boolean
  read FRowSnap
  write FRowSnap
  default True;


TCustomControlBar.SetCursor

Declaration

Source position: extctrls.pp line 1569

protected procedure TCustomControlBar.SetCursor(

  Value: TCursor

); override;


TCustomControlBar.ShiftBands

Declaration

Source position: extctrls.pp line 1570

protected procedure TCustomControlBar.ShiftBands(

  AFrom: Integer;

  ATo: Integer;

  AShift: Integer;

  ALimit: Integer

);


TCustomControlBar.SortVisibleBands

Declaration

Source position: extctrls.pp line 1571

protected procedure TCustomControlBar.SortVisibleBands;


TCustomControlBar.StickControls

Declaration

Source position: extctrls.pp line 1584

public procedure TCustomControlBar.StickControls; virtual;


TCustomControlBar.WMSize

Declaration

Source position: extctrls.pp line 1572

protected procedure TCustomControlBar.WMSize(

  var Message: TLMSize

); message;


TCustomFlowPanel

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

The base class for TFlowPanel

Declaration

Source position: extctrls.pp line 1231

type TCustomFlowPanel = class(TCustomPanel)
protected
procedure CMControlChange(); message;
procedure AlignControls(); override;
procedure CalculatePreferredSize(); override;
public
constructor Create(); override;
destructor Destroy; override;
function GetControlIndex();
procedure SetControlIndex();
property AutoWrap: Boolean; [rw] | Determine if controls in TCustomFlowPanel are wrapped.
property ControlList: TFlowPanelControlList; [rw] | Use ControlList to set extra options of flow panel controls.
property FlowStyle: TFlowStyle; [rw] | Use FlowStyle to determine the flow direction of the flow panel layout.
property FlowLayout: TTextLayout; [rw] | Use FlowLayout to set the layout (alignment) for the non-flow coordinate. Default: tlTop
end;

Inheritance

TCustomFlowPanel | The base class for TFlowPanel
|
TCustomPanel | The base class for a general container which can hold other objects. It has a customizable border and a central text.
|
TCustomControl | The base class for windowed controls which paint themselves.
|
TWinControl | The base class for controls which can contain other (child) controls.
|
TControl | The base class for visible controls.
|
TLCLComponent | The base class for LCL components associated with widgets.
|
TComponent,IUnknown,IInterfaceComponentReference
|
TPersistent,IFPObserved
|
TObject


TCustomFlowPanel
 |  | AutoWrap
 |  | ControlList
 |  | FlowStyle
 |  | FlowLayout
TCustomPanel
pt |  | WordWrap
 | ro | Align
 |  | Alignment
 |  | BevelColor
 |  | BevelInner
 |  | BevelOuter
 |  | BevelWidth
 | ro | Color
 |  | FullRepaint
 | ro | ParentBackground
 | ro | ParentColor
 | ro | TabStop
TCustomControl
 |  | Canvas
 | ro | BorderStyle
TWinControl
pt |  | WindowHandle
pt |  | BorderStyle
pt |  | ParentBackground
 |  | BorderWidth
 | ro | BoundsLockCount
 | ro | Brush
 | ro | CachedClientHeight
 | ro | CachedClientWidth
 |  | ChildSizing
 | ro | ControlCount
 | ro | Controls
 |  | DefWndProc
 | ro | DockClientCount
 | ro | DockClients
 |  | DockManager
 |  | DockSite
 |  | DoubleBuffered
 |  | Handle
 | ro | IsFlipped
 | ro | IsResizing
 |  | TabOrder
 |  | TabStop
 |  | ParentDoubleBuffered
 |  | ParentWindow
 | ro | Showing
 |  | UseDockManager
 |  | DesignerDeleting
 | ro | VisibleDockClientCount
TControl
pt | ro | AutoSizing
pt | ro | AutoSizingAll
pt | ro | AutoSizingLockCount
pt |  | ActionLink
pt |  | DesktopFont
pt |  | DragCursor
pt |  | DragKind
pt |  | DragMode
pt |  | MouseCapture
pt |  | ParentColor
pt |  | ParentFont
pt |  | ParentShowHint
pt |  | SessionProperties
pt |  | Text
 | ro | AnchoredControls
 | ro | BaseBounds
 | ro | ReadBounds
 | ro | BaseParentClientSize
 |  | AccessibleDescription
 |  | AccessibleValue
 |  | AccessibleRole
 |  | Action
 |  | Align
 |  | Anchors
 | ro | AnchorSide
 |  | AutoSize
 |  | BorderSpacing
 |  | BoundsRect
 |  | BoundsRectForNewParent
 |  | Caption
 |  | CaptureMouseButtons
 |  | ClientHeight
 | ro | ClientOrigin
 | ro | ClientRect
 |  | ClientWidth
 |  | Color
 |  | Constraints
 | ro | ControlOrigin
 |  | ControlState
 |  | ControlStyle
 |  | Enabled
 |  | Font
 |  | IsControl
 | ro | MouseEntered
 | ro | MouseInClient
 |  | Parent
 |  | PopupMenu
 |  | ShowHint
 |  | Visible
 |  | WindowProc
 |  | DockOrientation
 | ro | Floating
 |  | FloatingDockSiteClass
 |  | HostDockSite
 |  | LRDockWidth
 |  | TBDockHeight
 |  | UndockHeight
 |  | UndockWidth
 |  | BiDiMode
 |  | ParentBiDiMode
pl |  | AnchorSideLeft
pl |  | AnchorSideTop
pl |  | AnchorSideRight
pl |  | AnchorSideBottom
pl |  | Cursor
pl |  | Left
pl |  | Height
pl |  | Hint
pl |  | Top
pl |  | Width
pl |  | HelpType
pl |  | HelpKeyword
pl |  | HelpContext
TLCLComponent
 | ro | LCLRefCount
 | ro | WidgetSetClass
TComponent
 | ro | ComObject
 | ro | Components
 | ro | ComponentCount
 |  | ComponentIndex
 | ro | ComponentState
 | ro | ComponentStyle
 |  | DesignInfo
 | ro | Owner
 |  | VCLComObject
 |  | Name
 |  | Tag
TPersistent
TObject


 |  | AccessibleDescription (TControl)
 |  | AccessibleRole (TControl)
 |  | AccessibleValue (TControl)
 |  | Action (TControl)
pt |  | ActionLink (TControl)
 |  | Align (TControl)
 | ro | Align (TCustomPanel)
 |  | Alignment (TCustomPanel)
 | ro | AnchoredControls (TControl)
 |  | Anchors (TControl)
 | ro | AnchorSide (TControl)
pl |  | AnchorSideBottom (TControl)
pl |  | AnchorSideLeft (TControl)
pl |  | AnchorSideRight (TControl)
pl |  | AnchorSideTop (TControl)
 |  | AutoSize (TControl)
pt | ro | AutoSizing (TControl)
pt | ro | AutoSizingAll (TControl)
pt | ro | AutoSizingLockCount (TControl)
 |  | AutoWrap (TCustomFlowPanel)
 | ro | BaseBounds (TControl)
 | ro | BaseParentClientSize (TControl)
 |  | BevelColor (TCustomPanel)
 |  | BevelInner (TCustomPanel)
 |  | BevelOuter (TCustomPanel)
 |  | BevelWidth (TCustomPanel)
 |  | BiDiMode (TControl)
 |  | BorderSpacing (TControl)
pt |  | BorderStyle (TWinControl)
 | ro | BorderStyle (TCustomControl)
 |  | BorderWidth (TWinControl)
 | ro | BoundsLockCount (TWinControl)
 |  | BoundsRect (TControl)
 |  | BoundsRectForNewParent (TControl)
 | ro | Brush (TWinControl)
 | ro | CachedClientHeight (TWinControl)
 | ro | CachedClientWidth (TWinControl)
 |  | Canvas (TCustomControl)
 |  | Caption (TControl)
 |  | CaptureMouseButtons (TControl)
 |  | ChildSizing (TWinControl)
 |  | ClientHeight (TControl)
 | ro | ClientOrigin (TControl)
 | ro | ClientRect (TControl)
 |  | ClientWidth (TControl)
 |  | Color (TControl)
 | ro | Color (TCustomPanel)
 | ro | ComObject (TComponent)
 | ro | ComponentCount (TComponent)
 |  | ComponentIndex (TComponent)
 | ro | Components (TComponent)
 | ro | ComponentState (TComponent)
 | ro | ComponentStyle (TComponent)
 |  | Constraints (TControl)
 | ro | ControlCount (TWinControl)
 |  | ControlList (TCustomFlowPanel)
 | ro | ControlOrigin (TControl)
 | ro | Controls (TWinControl)
 |  | ControlState (TControl)
 |  | ControlStyle (TControl)
pl |  | Cursor (TControl)
 |  | DefWndProc (TWinControl)
 |  | DesignerDeleting (TWinControl)
 |  | DesignInfo (TComponent)
pt |  | DesktopFont (TControl)
 | ro | DockClientCount (TWinControl)
 | ro | DockClients (TWinControl)
 |  | DockManager (TWinControl)
 |  | DockOrientation (TControl)
 |  | DockSite (TWinControl)
 |  | DoubleBuffered (TWinControl)
pt |  | DragCursor (TControl)
pt |  | DragKind (TControl)
pt |  | DragMode (TControl)
 |  | Enabled (TControl)
 | ro | Floating (TControl)
 |  | FloatingDockSiteClass (TControl)
 |  | FlowLayout (TCustomFlowPanel)
 |  | FlowStyle (TCustomFlowPanel)
 |  | Font (TControl)
 |  | FullRepaint (TCustomPanel)
 |  | Handle (TWinControl)
pl |  | Height (TControl)
pl |  | HelpContext (TControl)
pl |  | HelpKeyword (TControl)
pl |  | HelpType (TControl)
pl |  | Hint (TControl)
 |  | HostDockSite (TControl)
 |  | IsControl (TControl)
 | ro | IsFlipped (TWinControl)
 | ro | IsResizing (TWinControl)
 | ro | LCLRefCount (TLCLComponent)
pl |  | Left (TControl)
 |  | LRDockWidth (TControl)
pt |  | MouseCapture (TControl)
 | ro | MouseEntered (TControl)
 | ro | MouseInClient (TControl)
 |  | Name (TComponent)
 | ro | Owner (TComponent)
 |  | Parent (TControl)
pt |  | ParentBackground (TWinControl)
 | ro | ParentBackground (TCustomPanel)
 |  | ParentBiDiMode (TControl)
pt |  | ParentColor (TControl)
 | ro | ParentColor (TCustomPanel)
 |  | ParentDoubleBuffered (TWinControl)
pt |  | ParentFont (TControl)
pt |  | ParentShowHint (TControl)
 |  | ParentWindow (TWinControl)
 |  | PopupMenu (TControl)
 | ro | ReadBounds (TControl)
pt |  | SessionProperties (TControl)
 |  | ShowHint (TControl)
 | ro | Showing (TWinControl)
 |  | TabOrder (TWinControl)
 |  | TabStop (TWinControl)
 | ro | TabStop (TCustomPanel)
 |  | Tag (TComponent)
 |  | TBDockHeight (TControl)
pt |  | Text (TControl)
pl |  | Top (TControl)
 |  | UndockHeight (TControl)
 |  | UndockWidth (TControl)
 |  | UseDockManager (TWinControl)
 |  | VCLComObject (TComponent)
 |  | Visible (TControl)
 | ro | VisibleDockClientCount (TWinControl)
 | ro | WidgetSetClass (TLCLComponent)
pl |  | Width (TControl)
pt |  | WindowHandle (TWinControl)
 |  | WindowProc (TControl)
pt |  | WordWrap (TCustomPanel)


TCustomFlowPanel
pt | CMControlChange
pt | AlignControls
pt | CalculatePreferredSize
 | Create
 | Destroy
 | GetControlIndex
 | SetControlIndex
TCustomPanel
pt | WSRegisterClass
pt | AdjustClientRect
pt | GetControlClassDefaultSize
pt | CMParentColorChanged
pt | GetDefaultDockCaption
pt | Loaded
pt | RealSetText
pt | Paint
pt | SetParentBackground
pt | UpdateParentColorChange
 | Create
TCustomControl
pt | WSRegisterClass
pt | WMPaint
pt | DestroyWnd
pt | PaintWindow
pt | FontChanged
pt | SetColor
pt | Paint
 | Create
 | Destroy
TWinControl
pt | WSRegisterClass
pt | AdjustClientRect
pt | GetAdjustedLogicalClientRect
pt | AlignControls
pt | CustomAlignInsertBefore
pt | CustomAlignPosition
pt | DoAlignChildControls
pt | DoChildSizingChange
pt | InvalidatePreferredChildSizes
pt | CanTab
pt | IsClientHeightStored
pt | IsClientWidthStored
pt | DoSendShowHideToInterface
pt | ControlsAligned
pt | DoSendBoundsToInterface
pt | RealizeBounds
pt | RealizeBoundsRecursive
pt | InvalidateBoundsRealized
pt | CreateSubClass
pt | DoConstraintsChange
pt | DoSetBounds
pt | DoAutoSize
pt | DoAllAutoSize
pt | AllAutoSized
pt | CalculatePreferredSize
pt | GetPreferredSizeClientFrame
pt | GetChildren
pt | ChildClassAllowed
pt | PaintControls
pt | PaintHandler
pt | PaintWindow
pt | CreateBrush
pt | ScaleControls
pt | ChangeScale
pt | CMBiDiModeChanged
pt | CMBorderChanged
pt | CMDoubleBufferedChanged
pt | CMEnabledChanged
pt | CMParentDoubleBufferedChanged
pt | CMShowingChanged
pt | CMShowHintChanged
pt | CMVisibleChanged
pt | CMEnter
pt | CMExit
pt | WMContextMenu
pt | WMEraseBkgnd
pt | WMNotify
pt | WMSetFocus
pt | WMKillFocus
pt | WMShowWindow
pt | WMEnter
pt | WMExit
pt | WMKeyDown
pt | WMSysKeyDown
pt | WMKeyUp
pt | WMSysKeyUp
pt | WMChar
pt | WMSysChar
pt | WMPaint
pt | WMDestroy
pt | WMMove
pt | WMSize
pt | WMWindowPosChanged
pt | CNKeyDown
pt | CNSysKeyDown
pt | CNKeyUp
pt | CNSysKeyUp
pt | CNChar
pt | DoDragMsg
pt | DoDockClientMsg
pt | DoUndockClientMsg
pt | DoAddDockClient
pt | DockOver
pt | DoDockOver
pt | DoRemoveDockClient
pt | DoUnDock
pt | GetSiteInfo
pt | GetParentHandle
pt | GetTopParentHandle
pt | ReloadDockedControl
pt | CreateDockManager
pt | SetDockManager
pt | DoFloatMsg
pt | DoGetDockCaption
pt | DoEnter
pt | DoExit
pt | DoKeyDownBeforeInterface
pt | DoRemainingKeyDown
pt | DoRemainingKeyUp
pt | DoKeyPress
pt | DoUTF8KeyPress
pt | DoKeyUpBeforeInterface
pt | ChildKey
pt | SendDialogChar
pt | DialogChar
pt | ControlKeyDown
pt | ControlKeyUp
pt | KeyDown
pt | KeyDownBeforeInterface
pt | KeyDownAfterInterface
pt | KeyPress
pt | KeyUp
pt | KeyUpBeforeInterface
pt | KeyUpAfterInterface
pt | UTF8KeyPress
pt | FindNextControl
pt | SelectFirst
pt | RealGetText
pt | GetBorderStyle
pt | GetClientOrigin
pt | GetClientRect
pt | GetControlOrigin
pt | GetDeviceContext
pt | GetParentBackground
pt | IsControlMouseMsg
pt | CreateHandle
pt | CreateParams
pt | CreateWnd
pt | DestroyHandle
pt | DestroyWnd
pt | DoFlipChildren
pt | FinalizeWnd
pt | FixupTabList
pt | FontChanged
pt | InitializeWnd
pt | Loaded
pt | FormEndUpdated
pt | MainWndProc
pt | ParentFormHandleInitialized
pt | ChildHandlesCreated
pt | GetMouseCapture
pt | RealSetText
pt | RemoveFocus
pt | SendMoveSizeMessages
pt | SetBorderStyle
pt | SetColor
pt | SetChildZPosition
pt | SetParentBackground
pt | ShowControl
pt | UpdateControlState
pt | UpdateShowing
pt | WndProc
pt | WSSetText
 | AutoSizePhases
 | AutoSizeDelayed
 | AutoSizeDelayedReport
 | AutoSizeDelayedHandle
 | BeginUpdateBounds
 | EndUpdateBounds
 | LockRealizeBounds
 | UnlockRealizeBounds
 | ControlAtPos
 | ContainsControl
 | DoAdjustClientRectChange
 | InvalidateClientRectCache
 | ClientRectNeedsInterfaceUpdate
 | SetBounds
 | GetChildrenRect
 | DisableAlign
 | EnableAlign
 | ReAlign
 | ScrollBy_WS
 | ScrollBy
 | WriteLayoutDebugReport
 | AutoAdjustLayout
 | Create
 | CreateParented
 | CreateParentedControl
 | Destroy
 | DockDrop
 | CanFocus
 | CanSetFocus
 | GetControlIndex
 | SetControlIndex
 | Focused
 | PerformTab
 | FindChildControl
 | SelectNext
 | SetTempCursor
 | BroadCast
 | NotifyControls
 | DefaultHandler
 | GetTextLen
 | Invalidate
 | AddControl
 | InsertControl
 | RemoveControl
 | GetEnumeratorControls
 | GetEnumeratorControlsReverse
 | Repaint
 | Update
 | SetFocus
 | FlipChildren
 | ScaleBy
 | GetDockCaption
 | UpdateDockCaption
 | GetTabOrderList
 | HandleAllocated
 | ParentHandlesAllocated
 | HandleNeeded
 | BrushCreated
 | EraseBackground
 | IntfUTF8KeyPress
 | IntfGetDropFilesTarget
 | PaintTo
 | SetShape
TControl
pt | WSRegisterClass
pt | GetCursor
pt | SetCursor
pt | SetVisible
pt | DoOnParentHandleDestruction
pt | DoAutoSize
pt | DoAllAutoSize
pt | BeginAutoSizing
pt | EndAutoSizing
pt | AnchorSideChanged
pt | ForeignAnchorSideChanged
pt | SetAlign
pt | SetAnchors
pt | SetAutoSize
pt | BoundsChanged
pt | CreateControlBorderSpacing
pt | DoConstraintsChange
pt | DoBorderSpacingChange
pt | IsBorderSpacingInnerBorderStored
pt | IsCaptionStored
pt | SendMoveSizeMessages
pt | ConstrainedResize
pt | CalculatePreferredSize
pt | DoOnResize
pt | DoOnChangeBounds
pt | CheckOnChangeBounds
pt | Resize
pt | RequestAlign
pt | UpdateAnchorRules
pt | ChangeBounds
pt | DoSetBounds
pt | ScaleConstraints
pt | ChangeScale
pt | CanAutoSize
pt | SetBiDiMode
pt | SetParentBiDiMode
pt | IsAParentAligning
pt | GetClientOrigin
pt | GetClientRect
pt | GetLogicalClientRect
pt | GetScrolledClientRect
pt | GetClientScrollOffset
pt | GetControlOrigin
pt | IsClientHeightStored
pt | IsClientWidthStored
pt | WidthIsAnchored
pt | HeightIsAnchored
pt | WMCancelMode
pt | WMContextMenu
pt | WMLButtonDown
pt | WMRButtonDown
pt | WMMButtonDown
pt | WMXButtonDown
pt | WMLButtonDBLCLK
pt | WMRButtonDBLCLK
pt | WMMButtonDBLCLK
pt | WMXButtonDBLCLK
pt | WMLButtonTripleCLK
pt | WMRButtonTripleCLK
pt | WMMButtonTripleCLK
pt | WMXButtonTripleCLK
pt | WMLButtonQuadCLK
pt | WMRButtonQuadCLK
pt | WMMButtonQuadCLK
pt | WMXButtonQuadCLK
pt | WMMouseMove
pt | WMLButtonUp
pt | WMRButtonUp
pt | WMMButtonUp
pt | WMXButtonUp
pt | WMMouseWheel
pt | WMMouseHWheel
pt | WMMove
pt | WMSize
pt | WMWindowPosChanged
pt | CMChanged
pt | LMCaptureChanged
pt | CMBiDiModeChanged
pt | CMSysFontChanged
pt | CMEnabledChanged
pt | CMHitTest
pt | CMMouseEnter
pt | CMMouseLeave
pt | CMHintShow
pt | CMParentBiDiModeChanged
pt | CMParentColorChanged
pt | CMParentFontChanged
pt | CMParentShowHintChanged
pt | CMVisibleChanged
pt | CMTextChanged
pt | CMCursorChanged
pt | CalculateDockSizes
pt | CreateFloatingDockSite
pt | GetDockEdge
pt | GetDragImages
pt | GetFloating
pt | GetFloatingDockSiteClass
pt | BeforeDragStart
pt | BeginAutoDrag
pt | DoFloatMsg
pt | DockTrackNoTarget
pt | DoDock
pt | DoDragMsg
pt | DoEndDock
pt | DoEndDrag
pt | DoStartDock
pt | DoStartDrag
pt | DragCanceled
pt | DragOver
pt | PositionDockRect
pt | SetDragMode
pt | GetDefaultDockCaption
pt | Click
pt | DblClick
pt | TripleClick
pt | QuadClick
pt | GetMousePosFromMessage
pt | MouseDown
pt | MouseMove
pt | MouseUp
pt | MouseEnter
pt | MouseLeave
pt | DialogChar
pt | UpdateMouseCursor
pt | Changed
pt | GetPalette
pt | ChildClassAllowed
pt | ReadState
pt | Loaded
pt | LoadedAll
pt | DefineProperties
pt | AssignTo
pt | FormEndUpdated
pt | InvalidateControl
pt | FontChanged
pt | ParentFontChanged
pt | GetAction
pt | RealGetText
pt | RealSetText
pt | TextChanged
pt | GetCachedText
pt | SetAction
pt | SetColor
pt | SetEnabled
pt | SetHint
pt | SetName
pt | SetParent
pt | SetParentComponent
pt | WndProc
pt | ParentFormHandleInitialized
pt | GetMouseCapture
pt | CaptureChanged
pt | Notification
pt | CanTab
pt | GetDeviceContext
pt | GetEnabled
pt | GetPopupMenu
pt | DoOnShowHint
pt | DoMouseWheel
pt | DoMouseWheelDown
pt | DoMouseWheelUp
pt | DoMouseWheelHorz
pt | DoMouseWheelLeft
pt | DoMouseWheelRight
pt | VisibleChanging
pt | VisibleChanged
pt | EnabledChanging
pt | EnabledChanged
pt | AddHandler
pt | RemoveHandler
pt | DoCallNotifyHandler
pt | DoCallKeyEventHandler
pt | DoCallMouseWheelEventHandler
pt | DoContextPopup
pt | SetZOrder
pt | GetControlClassDefaultSize
pt | ColorIsStored
pt | DoAutoAdjustLayout
pt | DoFixDesignFontPPI
pt | DoScaleFontPPI
pt | GetActionLinkClass
pt | ActionChange
 | DragDrop
 | Dock
 | ManualDock
 | ManualFloat
 | ReplaceDockedControl
 | Docked
 | Dragging
 | GetAccessibleObject
 | CreateAccessibleObject
 | GetSelectedChildAccessibleObject
 | GetChildAccessibleObjectAtPos
 | ScaleDesignToForm
 | ScaleFormToDesign
 | Scale96ToForm
 | ScaleFormTo96
 | Scale96ToFont
 | ScaleFontTo96
 | ScaleScreenToFont
 | ScaleFontToScreen
 | Scale96ToScreen
 | ScaleScreenTo96
 | AdjustSize
 | AutoSizePhases
 | AutoSizeDelayed
 | AutoSizeDelayedReport
 | AutoSizeDelayedHandle
 | AnchorToNeighbour
 | AnchorParallel
 | AnchorHorizontalCenterTo
 | AnchorVerticalCenterTo
 | AnchorToCompanion
 | AnchorSame
 | AnchorAsAlign
 | AnchorClient
 | AnchoredControlCount
 | SetBounds
 | SetInitialBounds
 | SetBoundsKeepBase
 | GetPreferredSize
 | GetCanvasScaleFactor
 | GetDefaultWidth
 | GetDefaultHeight
 | GetDefaultColor
 | GetColorResolvingParent
 | GetRGBColorResolvingParent
 | GetSidePosition
 | CNPreferredSizeChanged
 | InvalidatePreferredSize
 | GetAnchorsDependingOnParent
 | DisableAutoSizing
 | EnableAutoSizing
 | UpdateBaseBounds
 | WriteLayoutDebugReport
 | AutoAdjustLayout
 | ShouldAutoAdjust
 | FixDesignFontsPPI
 | ScaleFontsPPI
 | Create
 | Destroy
 | BeforeDestruction
 | EditingDone
 | ExecuteDefaultAction
 | ExecuteCancelAction
 | BeginDrag
 | EndDrag
 | BringToFront
 | HasParent
 | GetParentComponent
 | IsParentOf
 | GetTopParent
 | IsVisible
 | IsControlVisible
 | IsEnabled
 | IsParentColor
 | IsParentFont
 | FormIsUpdating
 | IsProcessingPaintMsg
 | Hide
 | Refresh
 | Repaint
 | Invalidate
 | CheckChildClassAllowed
 | CheckNewParent
 | SendToBack
 | SetTempCursor
 | UpdateRolesForForm
 | ActiveDefaultControlChanged
 | GetTextBuf
 | GetTextLen
 | SetTextBuf
 | Perform
 | ScreenToClient
 | ClientToScreen
 | ScreenToControl
 | ControlToScreen
 | ClientToParent
 | ParentToClient
 | GetChildrenRect
 | Show
 | Update
 | HandleObjectShouldBeVisible
 | ParentDestroyingHandle
 | ParentHandlesAllocated
 | InitiateAction
 | ShowHelp
 | HasHelp
 | RemoveAllHandlersOfObject
 | AddHandlerOnResize
 | RemoveHandlerOnResize
 | AddHandlerOnChangeBounds
 | RemoveHandlerOnChangeBounds
 | AddHandlerOnVisibleChanging
 | RemoveHandlerOnVisibleChanging
 | AddHandlerOnVisibleChanged
 | RemoveHandlerOnVisibleChanged
 | AddHandlerOnEnabledChanged
 | RemoveHandlerOnEnableChanging
 | AddHandlerOnKeyDown
 | RemoveHandlerOnKeyDown
 | AddHandlerOnBeforeDestruction
 | RemoveHandlerOnBeforeDestruction
 | AddHandlerOnMouseWheel
 | RemoveHandlerOnMouseWheel
 | UseRightToLeftAlignment
 | UseRightToLeftReading
 | UseRightToLeftScrollBar
 | IsRightToLeft
TLCLComponent
pt | WSRegisterClass
pt | GetWSComponentClass
 | Create
 | Destroy
 | NewInstance
 | RemoveAllHandlersOfObject
 | IncLCLRefCount
 | DecLCLRefCount
TComponent
 | GetComObject
 | GetComponent
 | GetComponentCount
 | GetComponentIndex
 | Insert
 | ReadLeft
 | ReadTop
 | Remove
 | RemoveNotification
 | SetComponentIndex
 | SetReference
 | WriteLeft
 | WriteTop
 | ChangeName
 | DefineProperties
 | GetChildren
 | GetChildOwner
 | GetChildParent
 | GetOwner
 | Loaded
 | Loading
 | Notification
 | PaletteCreated
 | ReadState
 | SetAncestor
 | SetDesigning
 | SetDesignInstance
 | SetInline
 | SetName
 | SetChildOrder
 | SetParentComponent
 | Updating
 | Updated
 | UpdateRegistry
 | ValidateRename
 | ValidateContainer
 | ValidateInsert
 | QueryInterface
 | _AddRef
 | _Release
 | iicrGetComponent
 | GetTypeInfoCount
 | GetTypeInfo
 | GetIDsOfNames
 | Invoke
 | WriteState
 | Create
 | Destroy
 | BeforeDestruction
 | DestroyComponents
 | Destroying
 | ExecuteAction
 | FindComponent
 | FreeNotification
 | RemoveFreeNotification
 | FreeOnRelease
 | GetEnumerator
 | GetNamePath
 | GetParentComponent
 | HasParent
 | InsertComponent
 | RemoveComponent
 | SafeCallException
 | SetSubComponent
 | UpdateAction
 | IsImplementorOf
 | ReferenceInterface
TPersistent
 | AssignError
 | AssignTo
 | DefineProperties
 | GetOwner
 | Destroy
 | Assign
 | FPOAttachObserver
 | FPODetachObserver
 | FPONotifyObservers
 | GetNamePath
TObject
 | Create
 | Destroy
 | newinstance
 | FreeInstance
 | SafeCallException
 | DefaultHandler
 | Free
 | InitInstance
 | CleanupInstance
 | ClassType
 | ClassInfo
 | ClassName
 | ClassNameIs
 | ClassParent
 | InstanceSize
 | InheritsFrom
 | StringMessageTable
 | MethodAddress
 | MethodName
 | FieldAddress
 | AfterConstruction
 | BeforeDestruction
 | DefaultHandlerStr
 | Dispatch
 | DispatchStr
 | GetInterface
 | GetInterfaceByStr
 | GetInterfaceWeak
 | GetInterfaceEntry
 | GetInterfaceEntryByStr
 | GetInterfaceTable
 | UnitName
 | Equals
 | GetHashCode
 | ToString


pt | ActionChange (TControl)
 | ActiveDefaultControlChanged (TControl)
 | AddControl (TWinControl)
pt | AddHandler (TControl)
 | AddHandlerOnBeforeDestruction (TControl)
 | AddHandlerOnChangeBounds (TControl)
 | AddHandlerOnEnabledChanged (TControl)
 | AddHandlerOnKeyDown (TControl)
 | AddHandlerOnMouseWheel (TControl)
 | AddHandlerOnResize (TControl)
 | AddHandlerOnVisibleChanged (TControl)
 | AddHandlerOnVisibleChanging (TControl)
pt | AdjustClientRect (TWinControl)
pt | AdjustClientRect (TCustomPanel)
 | AdjustSize (TControl)
 | AfterConstruction (TObject)
pt | AlignControls (TWinControl)
pt | AlignControls (TCustomFlowPanel)
pt | AllAutoSized (TWinControl)
 | AnchorAsAlign (TControl)
 | AnchorClient (TControl)
 | AnchoredControlCount (TControl)
 | AnchorHorizontalCenterTo (TControl)
 | AnchorParallel (TControl)
 | AnchorSame (TControl)
pt | AnchorSideChanged (TControl)
 | AnchorToCompanion (TControl)
 | AnchorToNeighbour (TControl)
 | AnchorVerticalCenterTo (TControl)
 | Assign (TPersistent)
 | AssignError (TPersistent)
 | AssignTo (TPersistent)
pt | AssignTo (TControl)
 | AutoAdjustLayout (TControl)
 | AutoAdjustLayout (TWinControl)
 | AutoSizeDelayed (TControl)
 | AutoSizeDelayed (TWinControl)
 | AutoSizeDelayedHandle (TControl)
 | AutoSizeDelayedHandle (TWinControl)
 | AutoSizeDelayedReport (TControl)
 | AutoSizeDelayedReport (TWinControl)
 | AutoSizePhases (TControl)
 | AutoSizePhases (TWinControl)
 | BeforeDestruction (TObject)
 | BeforeDestruction (TComponent)
 | BeforeDestruction (TControl)
pt | BeforeDragStart (TControl)
pt | BeginAutoDrag (TControl)
pt | BeginAutoSizing (TControl)
 | BeginDrag (TControl)
 | BeginUpdateBounds (TWinControl)
pt | BoundsChanged (TControl)
 | BringToFront (TControl)
 | BroadCast (TWinControl)
 | BrushCreated (TWinControl)
pt | CalculateDockSizes (TControl)
pt | CalculatePreferredSize (TControl)
pt | CalculatePreferredSize (TWinControl)
pt | CalculatePreferredSize (TCustomFlowPanel)
pt | CanAutoSize (TControl)
 | CanFocus (TWinControl)
 | CanSetFocus (TWinControl)
pt | CanTab (TControl)
pt | CanTab (TWinControl)
pt | CaptureChanged (TControl)
pt | ChangeBounds (TControl)
pt | Changed (TControl)
 | ChangeName (TComponent)
pt | ChangeScale (TControl)
pt | ChangeScale (TWinControl)
 | CheckChildClassAllowed (TControl)
 | CheckNewParent (TControl)
pt | CheckOnChangeBounds (TControl)
pt | ChildClassAllowed (TControl)
pt | ChildClassAllowed (TWinControl)
pt | ChildHandlesCreated (TWinControl)
pt | ChildKey (TWinControl)
 | ClassInfo (TObject)
 | ClassName (TObject)
 | ClassNameIs (TObject)
 | ClassParent (TObject)
 | ClassType (TObject)
 | CleanupInstance (TObject)
pt | Click (TControl)
 | ClientRectNeedsInterfaceUpdate (TWinControl)
 | ClientToParent (TControl)
 | ClientToScreen (TControl)
pt | CMBiDiModeChanged (TControl)
pt | CMBiDiModeChanged (TWinControl)
pt | CMBorderChanged (TWinControl)
pt | CMChanged (TControl)
pt | CMControlChange (TCustomFlowPanel)
pt | CMCursorChanged (TControl)
pt | CMDoubleBufferedChanged (TWinControl)
pt | CMEnabledChanged (TControl)
pt | CMEnabledChanged (TWinControl)
pt | CMEnter (TWinControl)
pt | CMExit (TWinControl)
pt | CMHintShow (TControl)
pt | CMHitTest (TControl)
pt | CMMouseEnter (TControl)
pt | CMMouseLeave (TControl)
pt | CMParentBiDiModeChanged (TControl)
pt | CMParentColorChanged (TControl)
pt | CMParentColorChanged (TCustomPanel)
pt | CMParentDoubleBufferedChanged (TWinControl)
pt | CMParentFontChanged (TControl)
pt | CMParentShowHintChanged (TControl)
pt | CMShowHintChanged (TWinControl)
pt | CMShowingChanged (TWinControl)
pt | CMSysFontChanged (TControl)
pt | CMTextChanged (TControl)
pt | CMVisibleChanged (TControl)
pt | CMVisibleChanged (TWinControl)
pt | CNChar (TWinControl)
pt | CNKeyDown (TWinControl)
pt | CNKeyUp (TWinControl)
 | CNPreferredSizeChanged (TControl)
pt | CNSysKeyDown (TWinControl)
pt | CNSysKeyUp (TWinControl)
pt | ColorIsStored (TControl)
pt | ConstrainedResize (TControl)
 | ContainsControl (TWinControl)
 | ControlAtPos (TWinControl)
pt | ControlKeyDown (TWinControl)
pt | ControlKeyUp (TWinControl)
pt | ControlsAligned (TWinControl)
 | ControlToScreen (TControl)
 | Create (TObject)
 | Create (TComponent)
 | Create (TLCLComponent)
 | Create (TControl)
 | Create (TWinControl)
 | Create (TCustomControl)
 | Create (TCustomPanel)
 | Create (TCustomFlowPanel)
 | CreateAccessibleObject (TControl)
pt | CreateBrush (TWinControl)
pt | CreateControlBorderSpacing (TControl)
pt | CreateDockManager (TWinControl)
pt | CreateFloatingDockSite (TControl)
pt | CreateHandle (TWinControl)
pt | CreateParams (TWinControl)
 | CreateParented (TWinControl)
 | CreateParentedControl (TWinControl)
pt | CreateSubClass (TWinControl)
pt | CreateWnd (TWinControl)
pt | CustomAlignInsertBefore (TWinControl)
pt | CustomAlignPosition (TWinControl)
pt | DblClick (TControl)
 | DecLCLRefCount (TLCLComponent)
 | DefaultHandler (TObject)
 | DefaultHandler (TWinControl)
 | DefaultHandlerStr (TObject)
 | DefineProperties (TPersistent)
 | DefineProperties (TComponent)
pt | DefineProperties (TControl)
 | Destroy (TObject)
 | Destroy (TPersistent)
 | Destroy (TComponent)
 | Destroy (TLCLComponent)
 | Destroy (TControl)
 | Destroy (TWinControl)
 | Destroy (TCustomControl)
 | Destroy (TCustomFlowPanel)
 | DestroyComponents (TComponent)
pt | DestroyHandle (TWinControl)
 | Destroying (TComponent)
pt | DestroyWnd (TWinControl)
pt | DestroyWnd (TCustomControl)
pt | DialogChar (TControl)
pt | DialogChar (TWinControl)
 | DisableAlign (TWinControl)
 | DisableAutoSizing (TControl)
 | Dispatch (TObject)
 | DispatchStr (TObject)
pt | DoAddDockClient (TWinControl)
 | DoAdjustClientRectChange (TWinControl)
pt | DoAlignChildControls (TWinControl)
pt | DoAllAutoSize (TControl)
pt | DoAllAutoSize (TWinControl)
pt | DoAutoAdjustLayout (TControl)
pt | DoAutoSize (TControl)
pt | DoAutoSize (TWinControl)
pt | DoBorderSpacingChange (TControl)
pt | DoCallKeyEventHandler (TControl)
pt | DoCallMouseWheelEventHandler (TControl)
pt | DoCallNotifyHandler (TControl)
pt | DoChildSizingChange (TWinControl)
 | Dock (TControl)
 | DockDrop (TWinControl)
 | Docked (TControl)
pt | DockOver (TWinControl)
pt | DockTrackNoTarget (TControl)
pt | DoConstraintsChange (TControl)
pt | DoConstraintsChange (TWinControl)
pt | DoContextPopup (TControl)
pt | DoDock (TControl)
pt | DoDockClientMsg (TWinControl)
pt | DoDockOver (TWinControl)
pt | DoDragMsg (TControl)
pt | DoDragMsg (TWinControl)
pt | DoEndDock (TControl)
pt | DoEndDrag (TControl)
pt | DoEnter (TWinControl)
pt | DoExit (TWinControl)
pt | DoFixDesignFontPPI (TControl)
pt | DoFlipChildren (TWinControl)
pt | DoFloatMsg (TControl)
pt | DoFloatMsg (TWinControl)
pt | DoGetDockCaption (TWinControl)
pt | DoKeyDownBeforeInterface (TWinControl)
pt | DoKeyPress (TWinControl)
pt | DoKeyUpBeforeInterface (TWinControl)
pt | DoMouseWheel (TControl)
pt | DoMouseWheelDown (TControl)
pt | DoMouseWheelHorz (TControl)
pt | DoMouseWheelLeft (TControl)
pt | DoMouseWheelRight (TControl)
pt | DoMouseWheelUp (TControl)
pt | DoOnChangeBounds (TControl)
pt | DoOnParentHandleDestruction (TControl)
pt | DoOnResize (TControl)
pt | DoOnShowHint (TControl)
pt | DoRemainingKeyDown (TWinControl)
pt | DoRemainingKeyUp (TWinControl)
pt | DoRemoveDockClient (TWinControl)
pt | DoScaleFontPPI (TControl)
pt | DoSendBoundsToInterface (TWinControl)
pt | DoSendShowHideToInterface (TWinControl)
pt | DoSetBounds (TControl)
pt | DoSetBounds (TWinControl)
pt | DoStartDock (TControl)
pt | DoStartDrag (TControl)
pt | DoUnDock (TWinControl)
pt | DoUndockClientMsg (TWinControl)
pt | DoUTF8KeyPress (TWinControl)
pt | DragCanceled (TControl)
 | DragDrop (TControl)
 | Dragging (TControl)
pt | DragOver (TControl)
 | EditingDone (TControl)
 | EnableAlign (TWinControl)
 | EnableAutoSizing (TControl)
pt | EnabledChanged (TControl)
pt | EnabledChanging (TControl)
pt | EndAutoSizing (TControl)
 | EndDrag (TControl)
 | EndUpdateBounds (TWinControl)
 | Equals (TObject)
 | EraseBackground (TWinControl)
 | ExecuteAction (TComponent)
 | ExecuteCancelAction (TControl)
 | ExecuteDefaultAction (TControl)
 | FieldAddress (TObject)
pt | FinalizeWnd (TWinControl)
 | FindChildControl (TWinControl)
 | FindComponent (TComponent)
pt | FindNextControl (TWinControl)
 | FixDesignFontsPPI (TControl)
pt | FixupTabList (TWinControl)
 | FlipChildren (TWinControl)
 | Focused (TWinControl)
pt | FontChanged (TControl)
pt | FontChanged (TWinControl)
pt | FontChanged (TCustomControl)
pt | ForeignAnchorSideChanged (TControl)
pt | FormEndUpdated (TControl)
pt | FormEndUpdated (TWinControl)
 | FormIsUpdating (TControl)
 | FPOAttachObserver (TPersistent)
 | FPODetachObserver (TPersistent)
 | FPONotifyObservers (TPersistent)
 | Free (TObject)
 | FreeInstance (TObject)
 | FreeNotification (TComponent)
 | FreeOnRelease (TComponent)
 | GetAccessibleObject (TControl)
pt | GetAction (TControl)
pt | GetActionLinkClass (TControl)
pt | GetAdjustedLogicalClientRect (TWinControl)
 | GetAnchorsDependingOnParent (TControl)
pt | GetBorderStyle (TWinControl)
pt | GetCachedText (TControl)
 | GetCanvasScaleFactor (TControl)
 | GetChildAccessibleObjectAtPos (TControl)
 | GetChildOwner (TComponent)
 | GetChildParent (TComponent)
 | GetChildren (TComponent)
pt | GetChildren (TWinControl)
 | GetChildrenRect (TControl)
 | GetChildrenRect (TWinControl)
pt | GetClientOrigin (TControl)
pt | GetClientOrigin (TWinControl)
pt | GetClientRect (TControl)
pt | GetClientRect (TWinControl)
pt | GetClientScrollOffset (TControl)
 | GetColorResolvingParent (TControl)
 | GetComObject (TComponent)
 | GetComponent (TComponent)
 | GetComponentCount (TComponent)
 | GetComponentIndex (TComponent)
pt | GetControlClassDefaultSize (TControl)
pt | GetControlClassDefaultSize (TCustomPanel)
 | GetControlIndex (TWinControl)
 | GetControlIndex (TCustomFlowPanel)
pt | GetControlOrigin (TControl)
pt | GetControlOrigin (TWinControl)
pt | GetCursor (TControl)
 | GetDefaultColor (TControl)
pt | GetDefaultDockCaption (TControl)
pt | GetDefaultDockCaption (TCustomPanel)
 | GetDefaultHeight (TControl)
 | GetDefaultWidth (TControl)
pt | GetDeviceContext (TControl)
pt | GetDeviceContext (TWinControl)
 | GetDockCaption (TWinControl)
pt | GetDockEdge (TControl)
pt | GetDragImages (TControl)
pt | GetEnabled (TControl)
 | GetEnumerator (TComponent)
 | GetEnumeratorControls (TWinControl)
 | GetEnumeratorControlsReverse (TWinControl)
pt | GetFloating (TControl)
pt | GetFloatingDockSiteClass (TControl)
 | GetHashCode (TObject)
 | GetIDsOfNames (TComponent)
 | GetInterface (TObject)
 | GetInterfaceByStr (TObject)
 | GetInterfaceEntry (TObject)
 | GetInterfaceEntryByStr (TObject)
 | GetInterfaceTable (TObject)
 | GetInterfaceWeak (TObject)
pt | GetLogicalClientRect (TControl)
pt | GetMouseCapture (TControl)
pt | GetMouseCapture (TWinControl)
pt | GetMousePosFromMessage (TControl)
 | GetNamePath (TPersistent)
 | GetNamePath (TComponent)
 | GetOwner (TPersistent)
 | GetOwner (TComponent)
pt | GetPalette (TControl)
pt | GetParentBackground (TWinControl)
 | GetParentComponent (TComponent)
 | GetParentComponent (TControl)
pt | GetParentHandle (TWinControl)
pt | GetPopupMenu (TControl)
 | GetPreferredSize (TControl)
pt | GetPreferredSizeClientFrame (TWinControl)
 | GetRGBColorResolvingParent (TControl)
pt | GetScrolledClientRect (TControl)
 | GetSelectedChildAccessibleObject (TControl)
 | GetSidePosition (TControl)
pt | GetSiteInfo (TWinControl)
 | GetTabOrderList (TWinControl)
 | GetTextBuf (TControl)
 | GetTextLen (TControl)
 | GetTextLen (TWinControl)
 | GetTopParent (TControl)
pt | GetTopParentHandle (TWinControl)
 | GetTypeInfo (TComponent)
 | GetTypeInfoCount (TComponent)
pt | GetWSComponentClass (TLCLComponent)
 | HandleAllocated (TWinControl)
 | HandleNeeded (TWinControl)
 | HandleObjectShouldBeVisible (TControl)
 | HasHelp (TControl)
 | HasParent (TComponent)
 | HasParent (TControl)
pt | HeightIsAnchored (TControl)
 | Hide (TControl)
 | iicrGetComponent (TComponent)
 | IncLCLRefCount (TLCLComponent)
 | InheritsFrom (TObject)
pt | InitializeWnd (TWinControl)
 | InitiateAction (TControl)
 | InitInstance (TObject)
 | Insert (TComponent)
 | InsertComponent (TComponent)
 | InsertControl (TWinControl)
 | InstanceSize (TObject)
 | IntfGetDropFilesTarget (TWinControl)
 | IntfUTF8KeyPress (TWinControl)
 | Invalidate (TControl)
 | Invalidate (TWinControl)
pt | InvalidateBoundsRealized (TWinControl)
 | InvalidateClientRectCache (TWinControl)
pt | InvalidateControl (TControl)
pt | InvalidatePreferredChildSizes (TWinControl)
 | InvalidatePreferredSize (TControl)
 | Invoke (TComponent)
pt | IsAParentAligning (TControl)
pt | IsBorderSpacingInnerBorderStored (TControl)
pt | IsCaptionStored (TControl)
pt | IsClientHeightStored (TControl)
pt | IsClientHeightStored (TWinControl)
pt | IsClientWidthStored (TControl)
pt | IsClientWidthStored (TWinControl)
pt | IsControlMouseMsg (TWinControl)
 | IsControlVisible (TControl)
 | IsEnabled (TControl)
 | IsImplementorOf (TComponent)
 | IsParentColor (TControl)
 | IsParentFont (TControl)
 | IsParentOf (TControl)
 | IsProcessingPaintMsg (TControl)
 | IsRightToLeft (TControl)
 | IsVisible (TControl)
pt | KeyDown (TWinControl)
pt | KeyDownAfterInterface (TWinControl)
pt | KeyDownBeforeInterface (TWinControl)
pt | KeyPress (TWinControl)
pt | KeyUp (TWinControl)
pt | KeyUpAfterInterface (TWinControl)
pt | KeyUpBeforeInterface (TWinControl)
pt | LMCaptureChanged (TControl)
 | Loaded (TComponent)
pt | Loaded (TControl)
pt | Loaded (TWinControl)
pt | Loaded (TCustomPanel)
pt | LoadedAll (TControl)
 | Loading (TComponent)
 | LockRealizeBounds (TWinControl)
pt | MainWndProc (TWinControl)
 | ManualDock (TControl)
 | ManualFloat (TControl)
 | MethodAddress (TObject)
 | MethodName (TObject)
pt | MouseDown (TControl)
pt | MouseEnter (TControl)
pt | MouseLeave (TControl)
pt | MouseMove (TControl)
pt | MouseUp (TControl)
 | newinstance (TObject)
 | NewInstance (TLCLComponent)
 | Notification (TComponent)
pt | Notification (TControl)
 | NotifyControls (TWinControl)
pt | Paint (TCustomControl)
pt | Paint (TCustomPanel)
pt | PaintControls (TWinControl)
pt | PaintHandler (TWinControl)
 | PaintTo (TWinControl)
pt | PaintWindow (TWinControl)
pt | PaintWindow (TCustomControl)
 | PaletteCreated (TComponent)
 | ParentDestroyingHandle (TControl)
pt | ParentFontChanged (TControl)
pt | ParentFormHandleInitialized (TControl)
pt | ParentFormHandleInitialized (TWinControl)
 | ParentHandlesAllocated (TControl)
 | ParentHandlesAllocated (TWinControl)
 | ParentToClient (TControl)
 | Perform (TControl)
 | PerformTab (TWinControl)
pt | PositionDockRect (TControl)
pt | QuadClick (TControl)
 | QueryInterface (TComponent)
 | ReadLeft (TComponent)
 | ReadState (TComponent)
pt | ReadState (TControl)
 | ReadTop (TComponent)
pt | RealGetText (TControl)
pt | RealGetText (TWinControl)
 | ReAlign (TWinControl)
pt | RealizeBounds (TWinControl)
pt | RealizeBoundsRecursive (TWinControl)
pt | RealSetText (TControl)
pt | RealSetText (TWinControl)
pt | RealSetText (TCustomPanel)
 | ReferenceInterface (TComponent)
 | Refresh (TControl)
pt | ReloadDockedControl (TWinControl)
 | Remove (TComponent)
 | RemoveAllHandlersOfObject (TLCLComponent)
 | RemoveAllHandlersOfObject (TControl)
 | RemoveComponent (TComponent)
 | RemoveControl (TWinControl)
pt | RemoveFocus (TWinControl)
 | RemoveFreeNotification (TComponent)
pt | RemoveHandler (TControl)
 | RemoveHandlerOnBeforeDestruction (TControl)
 | RemoveHandlerOnChangeBounds (TControl)
 | RemoveHandlerOnEnableChanging (TControl)
 | RemoveHandlerOnKeyDown (TControl)
 | RemoveHandlerOnMouseWheel (TControl)
 | RemoveHandlerOnResize (TControl)
 | RemoveHandlerOnVisibleChanged (TControl)
 | RemoveHandlerOnVisibleChanging (TControl)
 | RemoveNotification (TComponent)
 | Repaint (TControl)
 | Repaint (TWinControl)
 | ReplaceDockedControl (TControl)
pt | RequestAlign (TControl)
pt | Resize (TControl)
 | SafeCallException (TObject)
 | SafeCallException (TComponent)
 | Scale96ToFont (TControl)
 | Scale96ToForm (TControl)
 | Scale96ToScreen (TControl)
 | ScaleBy (TWinControl)
pt | ScaleConstraints (TControl)
pt | ScaleControls (TWinControl)
 | ScaleDesignToForm (TControl)
 | ScaleFontsPPI (TControl)
 | ScaleFontTo96 (TControl)
 | ScaleFontToScreen (TControl)
 | ScaleFormTo96 (TControl)
 | ScaleFormToDesign (TControl)
 | ScaleScreenTo96 (TControl)
 | ScaleScreenToFont (TControl)
 | ScreenToClient (TControl)
 | ScreenToControl (TControl)
 | ScrollBy (TWinControl)
 | ScrollBy_WS (TWinControl)
pt | SelectFirst (TWinControl)
 | SelectNext (TWinControl)
pt | SendDialogChar (TWinControl)
pt | SendMoveSizeMessages (TControl)
pt | SendMoveSizeMessages (TWinControl)
 | SendToBack (TControl)
pt | SetAction (TControl)
pt | SetAlign (TControl)
 | SetAncestor (TComponent)
pt | SetAnchors (TControl)
pt | SetAutoSize (TControl)
pt | SetBiDiMode (TControl)
pt | SetBorderStyle (TWinControl)
 | SetBounds (TControl)
 | SetBounds (TWinControl)
 | SetBoundsKeepBase (TControl)
 | SetChildOrder (TComponent)
pt | SetChildZPosition (TWinControl)
pt | SetColor (TControl)
pt | SetColor (TWinControl)
pt | SetColor (TCustomControl)
 | SetComponentIndex (TComponent)
 | SetControlIndex (TWinControl)
 | SetControlIndex (TCustomFlowPanel)
pt | SetCursor (TControl)
 | SetDesigning (TComponent)
 | SetDesignInstance (TComponent)
pt | SetDockManager (TWinControl)
pt | SetDragMode (TControl)
pt | SetEnabled (TControl)
 | SetFocus (TWinControl)
pt | SetHint (TControl)
 | SetInitialBounds (TControl)
 | SetInline (TComponent)
 | SetName (TComponent)
pt | SetName (TControl)
pt | SetParent (TControl)
pt | SetParentBackground (TWinControl)
pt | SetParentBackground (TCustomPanel)
pt | SetParentBiDiMode (TControl)
 | SetParentComponent (TComponent)
pt | SetParentComponent (TControl)
 | SetReference (TComponent)
 | SetShape (TWinControl)
 | SetSubComponent (TComponent)
 | SetTempCursor (TControl)
 | SetTempCursor (TWinControl)
 | SetTextBuf (TControl)
pt | SetVisible (TControl)
pt | SetZOrder (TControl)
 | ShouldAutoAdjust (TControl)
 | Show (TControl)
pt | ShowControl (TWinControl)
 | ShowHelp (TControl)
 | StringMessageTable (TObject)
pt | TextChanged (TControl)
 | ToString (TObject)
pt | TripleClick (TControl)
 | UnitName (TObject)
 | UnlockRealizeBounds (TWinControl)
 | Update (TControl)
 | Update (TWinControl)
 | UpdateAction (TComponent)
pt | UpdateAnchorRules (TControl)
 | UpdateBaseBounds (TControl)
pt | UpdateControlState (TWinControl)
 | Updated (TComponent)
 | UpdateDockCaption (TWinControl)
pt | UpdateMouseCursor (TControl)
pt | UpdateParentColorChange (TCustomPanel)
 | UpdateRegistry (TComponent)
 | UpdateRolesForForm (TControl)
pt | UpdateShowing (TWinControl)
 | Updating (TComponent)
 | UseRightToLeftAlignment (TControl)
 | UseRightToLeftReading (TControl)
 | UseRightToLeftScrollBar (TControl)
pt | UTF8KeyPress (TWinControl)
 | ValidateContainer (TComponent)
 | ValidateInsert (TComponent)
 | ValidateRename (TComponent)
pt | VisibleChanged (TControl)
pt | VisibleChanging (TControl)
pt | WidthIsAnchored (TControl)
pt | WMCancelMode (TControl)
pt | WMChar (TWinControl)
pt | WMContextMenu (TControl)
pt | WMContextMenu (TWinControl)
pt | WMDestroy (TWinControl)
pt | WMEnter (TWinControl)
pt | WMEraseBkgnd (TWinControl)
pt | WMExit (TWinControl)
pt | WMKeyDown (TWinControl)
pt | WMKeyUp (TWinControl)
pt | WMKillFocus (TWinControl)
pt | WMLButtonDBLCLK (TControl)
pt | WMLButtonDown (TControl)
pt | WMLButtonQuadCLK (TControl)
pt | WMLButtonTripleCLK (TControl)
pt | WMLButtonUp (TControl)
pt | WMMButtonDBLCLK (TControl)
pt | WMMButtonDown (TControl)
pt | WMMButtonQuadCLK (TControl)
pt | WMMButtonTripleCLK (TControl)
pt | WMMButtonUp (TControl)
pt | WMMouseHWheel (TControl)
pt | WMMouseMove (TControl)
pt | WMMouseWheel (TControl)
pt | WMMove (TControl)
pt | WMMove (TWinControl)
pt | WMNotify (TWinControl)
pt | WMPaint (TWinControl)
pt | WMPaint (TCustomControl)
pt | WMRButtonDBLCLK (TControl)
pt | WMRButtonDown (TControl)
pt | WMRButtonQuadCLK (TControl)
pt | WMRButtonTripleCLK (TControl)
pt | WMRButtonUp (TControl)
pt | WMSetFocus (TWinControl)
pt | WMShowWindow (TWinControl)
pt | WMSize (TControl)
pt | WMSize (TWinControl)
pt | WMSysChar (TWinControl)
pt | WMSysKeyDown (TWinControl)
pt | WMSysKeyUp (TWinControl)
pt | WMWindowPosChanged (TControl)
pt | WMWindowPosChanged (TWinControl)
pt | WMXButtonDBLCLK (TControl)
pt | WMXButtonDown (TControl)
pt | WMXButtonQuadCLK (TControl)
pt | WMXButtonTripleCLK (TControl)
pt | WMXButtonUp (TControl)
pt | WndProc (TControl)
pt | WndProc (TWinControl)
 | WriteLayoutDebugReport (TControl)
 | WriteLayoutDebugReport (TWinControl)
 | WriteLeft (TComponent)
 | WriteState (TComponent)
 | WriteTop (TComponent)
pt | WSRegisterClass (TLCLComponent)
pt | WSRegisterClass (TControl)
pt | WSRegisterClass (TWinControl)
pt | WSRegisterClass (TCustomControl)
pt | WSRegisterClass (TCustomPanel)
pt | WSSetText (TWinControl)
 | _AddRef (TComponent)
 | _Release (TComponent)


TCustomFlowPanel
TCustomPanel
TCustomControl
 | OnPaint
TWinControl
pt | OnGetSiteInfo
pt | OnGetDockCaption
 | OnAlignInsertBefore
 | OnAlignPosition
 | OnDockDrop
 | OnDockOver
 | OnEnter
 | OnExit
 | OnKeyDown
 | OnKeyPress
 | OnKeyUp
 | OnUnDock
 | OnUTF8KeyPress
TControl
pt | OnConstrainedResize
pt | OnContextPopup
pt | OnDblClick
pt | OnTripleClick
pt | OnQuadClick
pt | OnDragDrop
pt | OnDragOver
pt | OnEndDock
pt | OnEndDrag
pt | OnMouseDown
pt | OnMouseMove
pt | OnMouseUp
pt | OnMouseEnter
pt | OnMouseLeave
pt | OnMouseWheel
pt | OnMouseWheelDown
pt | OnMouseWheelUp
pt | OnMouseWheelHorz
pt | OnMouseWheelLeft
pt | OnMouseWheelRight
pt | OnStartDock
pt | OnStartDrag
pt | OnEditingDone
 | OnChangeBounds
 | OnClick
 | OnResize
 | OnShowHint
TLCLComponent
TComponent
TPersistent
TObject


TCustomFlowPanel.AlignControls

Declaration

Source position: extctrls.pp line 1244

protected procedure TCustomFlowPanel.AlignControls(

  AControl: TControl;

  var RemainingClientRect: TRect

); override;


TCustomFlowPanel.AutoWrap

Determine if controls in TCustomFlowPanel are wrapped.

Declaration

Source position: extctrls.pp line 1255

public property TCustomFlowPanel.AutoWrap : Boolean
  read FAutoWrap
  write SetAutoWrap;


TCustomFlowPanel.CalculatePreferredSize

Declaration

Source position: extctrls.pp line 1245

protected procedure TCustomFlowPanel.CalculatePreferredSize(

  var PreferredWidth: Integer;

  var PreferredHeight: Integer;

  WithThemeSpace: Boolean

); override;


TCustomFlowPanel.CMControlChange

Declaration

Source position: extctrls.pp line 1242

protected procedure TCustomFlowPanel.CMControlChange(

  var Message: TCMControlChange

); message;


TCustomFlowPanel.ControlList

Use ControlList to set extra options of flow panel controls.

Declaration

Source position: extctrls.pp line 1256

public property TCustomFlowPanel.ControlList : TFlowPanelControlList
  read FControlList
  write SetControlList;


TCustomFlowPanel.Destroy

Declaration

Source position: extctrls.pp line 1250

public destructor TCustomFlowPanel.Destroy; override;


TCustomFlowPanel.FlowLayout

Use FlowLayout to set the layout (alignment) for the non-flow coordinate. Default: tlTop

Declaration

Source position: extctrls.pp line 1258

public property TCustomFlowPanel.FlowLayout : TTextLayout
  read FFlowLayout
  write SetFlowLayout;

Description

In case of horizontal/vertical flow style: tlTop: top/left alignment in row/column tlCenter: center tlBottom: bottom/right


TCustomFlowPanel.FlowStyle

Use FlowStyle to determine the flow direction of the flow panel layout.

Declaration

Source position: extctrls.pp line 1257

public property TCustomFlowPanel.FlowStyle : TFlowStyle
  read FFlowStyle
  write SetFlowStyle;


TCustomFlowPanel.GetControlIndex

Declaration

Source position: extctrls.pp line 1252

public function TCustomFlowPanel.GetControlIndex(

  AControl: TControl

):Integer;


TCustomFlowPanel.SetControlIndex

Declaration

Source position: extctrls.pp line 1253

public procedure TCustomFlowPanel.SetControlIndex(

  AControl: TControl;

  Index: Integer

);


TCustomIdleTimer

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

TCustomIdleTimer - base class for TIdleTimer

Declaration

Source position: extctrls.pp line 222

type TCustomIdleTimer = class(TCustomTimer)
protected
procedure SetAutoEnabled(); virtual; | SetAutoEnabled puts the supplied boolean value into the AutoEnabled property and updates handlers
procedure DoOnIdle(); virtual; | DoOnIdle - action to be taken if the timer is idle
procedure DoOnIdleEnd(); virtual; | DoOnIdleEnd -action to be taken at the end of an idle period
procedure DoOnUserInput(); virtual; | DoOnUserInput - action to be taken when user input is detected
procedure Loaded; override; | Loaded - calls inherited method and updates Handlers
public
constructor Create(); override; | Create - constructor for TCustomIdleTimer: calls inherited Create and initialises some local event variables
destructor Destroy; override; | Destroy - destructor for TCustomIdleTimer: calls inherited Destroy after setting the AutoEnabled property False
property AutoEnabled: Boolean; [rw] | AutoEnabled - if True, Timer is automatically enabled
property AutoStartEvent: TIdleTimerAutoEvent; [rw] | AutoStartEvent - the event that triggers autostart (either idle time-out or user input)
property AutoEndEvent: TIdleTimerAutoEvent; [rw] | AutoEndEvent - the event that stops the timer by setting Enabled to false
property FireOnIdle: Boolean; [rw] | FireOnIdle - boolean property determining whether the timer should fire when idle
end;

Inheritance

TCustomIdleTimer | TCustomIdleTimer - base class for TIdleTimer
|
TCustomTimer | TCustomTimer - base class for TTimer
|
TComponent,IUnknown,IInterfaceComponentReference
|
TPersistent,IFPObserved
|
TObject


TCustomIdleTimer
 |  | AutoEnabled
 |  | AutoStartEvent
 |  | AutoEndEvent
 |  | FireOnIdle
TCustomTimer
 |  | Enabled
 |  | Interval
TComponent
 | ro | ComObject
 | ro | Components
 | ro | ComponentCount
 |  | ComponentIndex
 | ro | ComponentState
 | ro | ComponentStyle
 |  | DesignInfo
 | ro | Owner
 |  | VCLComObject
 |  | Name
 |  | Tag
TPersistent
TObject


ro | ComObject (TComponent)
ro | ComponentCount (TComponent)
 | ComponentIndex (TComponent)
ro | Components (TComponent)
ro | ComponentState (TComponent)
ro | ComponentStyle (TComponent)
 | DesignInfo (TComponent)
 | Enabled (TCustomTimer)
 | FireOnIdle (TCustomIdleTimer)
 | Interval (TCustomTimer)
 | Name (TComponent)
ro | Owner (TComponent)
 | Tag (TComponent)
 | VCLComObject (TComponent)


TCustomIdleTimer
pt | SetAutoEnabled
pt | DoOnIdle
pt | DoOnIdleEnd
pt | DoOnUserInput
pt | Loaded
 | Create
 | Destroy
TCustomTimer
pt | SetEnabled
pt | SetInterval
pt | SetOnTimer
pt | DoOnTimer
pt | UpdateTimer
pt | KillTimer
pt | Loaded
 | Create
 | Destroy
TComponent
 | GetComObject
 | GetComponent
 | GetComponentCount
 | GetComponentIndex
 | Insert
 | ReadLeft
 | ReadTop
 | Remove
 | RemoveNotification
 | SetComponentIndex
 | SetReference
 | WriteLeft
 | WriteTop
 | ChangeName
 | DefineProperties
 | GetChildren
 | GetChildOwner
 | GetChildParent
 | GetOwner
 | Loaded
 | Loading
 | Notification
 | PaletteCreated
 | ReadState
 | SetAncestor
 | SetDesigning
 | SetDesignInstance
 | SetInline
 | SetName
 | SetChildOrder
 | SetParentComponent
 | Updating
 | Updated
 | UpdateRegistry
 | ValidateRename
 | ValidateContainer
 | ValidateInsert
 | QueryInterface
 | _AddRef
 | _Release
 | iicrGetComponent
 | GetTypeInfoCount
 | GetTypeInfo
 | GetIDsOfNames
 | Invoke
 | WriteState
 | Create
 | Destroy
 | BeforeDestruction
 | DestroyComponents
 | Destroying
 | ExecuteAction
 | FindComponent
 | FreeNotification
 | RemoveFreeNotification
 | FreeOnRelease
 | GetEnumerator
 | GetNamePath
 | GetParentComponent
 | HasParent
 | InsertComponent
 | RemoveComponent
 | SafeCallException
 | SetSubComponent
 | UpdateAction
 | IsImplementorOf
 | ReferenceInterface
TPersistent
 | AssignError
 | AssignTo
 | DefineProperties
 | GetOwner
 | Destroy
 | Assign
 | FPOAttachObserver
 | FPODetachObserver
 | FPONotifyObservers
 | GetNamePath
TObject
 | Create
 | Destroy
 | newinstance
 | FreeInstance
 | SafeCallException
 | DefaultHandler
 | Free
 | InitInstance
 | CleanupInstance
 | ClassType
 | ClassInfo
 | ClassName
 | ClassNameIs
 | ClassParent
 | InstanceSize
 | InheritsFrom
 | StringMessageTable
 | MethodAddress
 | MethodName
 | FieldAddress
 | AfterConstruction
 | BeforeDestruction
 | DefaultHandlerStr
 | Dispatch
 | DispatchStr
 | GetInterface
 | GetInterfaceByStr
 | GetInterfaceWeak
 | GetInterfaceEntry
 | GetInterfaceEntryByStr
 | GetInterfaceTable
 | UnitName
 | Equals
 | GetHashCode
 | ToString


 | AssignError (TPersistent)
 | AssignTo (TPersistent)
 | BeforeDestruction (TObject)
 | BeforeDestruction (TComponent)
 | ChangeName (TComponent)
 | ClassInfo (TObject)
 | ClassName (TObject)
 | ClassNameIs (TObject)
 | ClassParent (TObject)
 | ClassType (TObject)
 | CleanupInstance (TObject)
 | Create (TObject)
 | Create (TComponent)
 | Create (TCustomTimer)
 | Create (TCustomIdleTimer)
 | DefaultHandler (TObject)
 | DefaultHandlerStr (TObject)
 | DefineProperties (TPersistent)
 | DefineProperties (TComponent)
 | Destroy (TObject)
 | Destroy (TPersistent)
 | Destroy (TComponent)
 | Destroy (TCustomTimer)
 | Destroy (TCustomIdleTimer)
 | DestroyComponents (TComponent)
 | Destroying (TComponent)
 | Dispatch (TObject)
 | DispatchStr (TObject)
pt | DoOnIdle (TCustomIdleTimer)
pt | DoOnIdleEnd (TCustomIdleTimer)
pt | DoOnTimer (TCustomTimer)
pt | DoOnUserInput (TCustomIdleTimer)
 | Equals (TObject)
 | ExecuteAction (TComponent)
 | FieldAddress (TObject)
 | FindComponent (TComponent)
 | FPOAttachObserver (TPersistent)
 | FPODetachObserver (TPersistent)
 | FPONotifyObservers (TPersistent)
 | Free (TObject)
 | FreeInstance (TObject)
 | FreeNotification (TComponent)
 | FreeOnRelease (TComponent)
 | GetChildOwner (TComponent)
 | GetChildParent (TComponent)
 | GetChildren (TComponent)
 | GetComObject (TComponent)
 | GetComponent (TComponent)
 | GetComponentCount (TComponent)
 | GetComponentIndex (TComponent)
 | GetEnumerator (TComponent)
 | GetHashCode (TObject)
 | GetIDsOfNames (TComponent)
 | GetInterface (TObject)
 | GetInterfaceByStr (TObject)
 | GetInterfaceEntry (TObject)
 | GetInterfaceEntryByStr (TObject)
 | GetInterfaceTable (TObject)
 | GetInterfaceWeak (TObject)
 | GetNamePath (TPersistent)
 | GetNamePath (TComponent)
 | GetOwner (TPersistent)
 | GetOwner (TComponent)
 | GetParentComponent (TComponent)
 | GetTypeInfo (TComponent)
 | GetTypeInfoCount (TComponent)
 | HasParent (TComponent)
 | iicrGetComponent (TComponent)
 | InheritsFrom (TObject)
 | InitInstance (TObject)
 | Insert (TComponent)
 | InsertComponent (TComponent)
 | InstanceSize (TObject)
 | Invoke (TComponent)
 | IsImplementorOf (TComponent)
pt | KillTimer (TCustomTimer)
 | Loaded (TComponent)
pt | Loaded (TCustomTimer)
pt | Loaded (TCustomIdleTimer)
 | Loading (TComponent)
 | MethodAddress (TObject)
 | MethodName (TObject)
 | newinstance (TObject)
 | Notification (TComponent)
 | PaletteCreated (TComponent)
 | QueryInterface (TComponent)
 | ReadLeft (TComponent)
 | ReadState (TComponent)
 | ReadTop (TComponent)
 | ReferenceInterface (TComponent)
 | Remove (TComponent)
 | RemoveComponent (TComponent)
 | RemoveFreeNotification (TComponent)
 | RemoveNotification (TComponent)
 | SafeCallException (TObject)
 | SafeCallException (TComponent)
 | SetAncestor (TComponent)
pt | SetAutoEnabled (TCustomIdleTimer)
 | SetChildOrder (TComponent)
 | SetComponentIndex (TComponent)
 | SetDesigning (TComponent)
 | SetDesignInstance (TComponent)
pt | SetEnabled (TCustomTimer)
 | SetInline (TComponent)
pt | SetInterval (TCustomTimer)
 | SetName (TComponent)
pt | SetOnTimer (TCustomTimer)
 | SetParentComponent (TComponent)
 | SetReference (TComponent)
 | SetSubComponent (TComponent)
 | StringMessageTable (TObject)
 | ToString (TObject)
 | UnitName (TObject)
 | UpdateAction (TComponent)
 | Updated (TComponent)
 | UpdateRegistry (TComponent)
pt | UpdateTimer (TCustomTimer)
 | Updating (TComponent)
 | ValidateContainer (TComponent)
 | ValidateInsert (TComponent)
 | ValidateRename (TComponent)
 | WriteLeft (TComponent)
 | WriteState (TComponent)
 | WriteTop (TComponent)
 | _AddRef (TComponent)
 | _Release (TComponent)


TCustomIdleTimer
TCustomTimer
 | OnTimer
 | OnStartTimer
 | OnStopTimer
TComponent
TPersistent
TObject


TCustomIdleTimer.AutoEnabled

AutoEnabled - if True, Timer is automatically enabled

Declaration

Source position: extctrls.pp line 240

public property TCustomIdleTimer.AutoEnabled : Boolean
  read FAutoEnabled
  write SetAutoEnabled
  default False;


TCustomIdleTimer.AutoEndEvent

AutoEndEvent - the event that stops the timer by setting Enabled to false

Declaration

Source position: extctrls.pp line 244

public property TCustomIdleTimer.AutoEndEvent : TIdleTimerAutoEvent
  read FAutoEndEvent
  write FAutoEndEvent
  default itaOnUserInput;

Description

AutoEndEvent defines, when Enabled is automatically set to false. This is one of the following events:
  • on application becomes idle
  • on application stops being idle (e.g. user input or some timer fired)
  • user input, e.g. key press, mouse move


TCustomIdleTimer.AutoStartEvent

AutoStartEvent - the event that triggers autostart (either idle time-out or user input)

Declaration

Source position: extctrls.pp line 242

public property TCustomIdleTimer.AutoStartEvent : TIdleTimerAutoEvent
  read FAutoStartEvent
  write FAutoStartEvent
  default itaOnIdle;

Description

AutoStartEvent defines, when Enabled is automatically set to true. This is one of the following events:
  • on application becomes idle
  • on application stops being idle (e.g. user input or some timer fired)
  • user input, e.g. key press, mouse move


TCustomIdleTimer.Create

Create - constructor for TCustomIdleTimer: calls inherited Create and initialises some local event variables

Declaration

Source position: extctrls.pp line 237

public constructor TCustomIdleTimer.Create(

  TheOwner: TComponent

); override;


TCustomIdleTimer.Destroy

Destroy - destructor for TCustomIdleTimer: calls inherited Destroy after setting the AutoEnabled property False

Declaration

Source position: extctrls.pp line 238

public destructor TCustomIdleTimer.Destroy; override;


TCustomIdleTimer.DoOnIdle

DoOnIdle - action to be taken if the timer is idle

Declaration

Source position: extctrls.pp line 232

protected procedure TCustomIdleTimer.DoOnIdle(

  Sender: TObject;

  var Done: Boolean

); virtual;


TCustomIdleTimer.DoOnIdleEnd

DoOnIdleEnd -action to be taken at the end of an idle period

Declaration

Source position: extctrls.pp line 233

protected procedure TCustomIdleTimer.DoOnIdleEnd(

  Sender: TObject

); virtual;


TCustomIdleTimer.DoOnUserInput

DoOnUserInput - action to be taken when user input is detected

Declaration

Source position: extctrls.pp line 234

protected procedure TCustomIdleTimer.DoOnUserInput(

  Sender: TObject;

  Msg: Cardinal

); virtual;


TCustomIdleTimer.FireOnIdle

FireOnIdle - boolean property determining whether the timer should fire when idle

Declaration

Source position: extctrls.pp line 246

public property TCustomIdleTimer.FireOnIdle : Boolean
  read FFireOnIdle
  write FFireOnIdle
  default False;


TCustomIdleTimer.Loaded

Loaded - calls inherited method and updates Handlers

Declaration

Source position: extctrls.pp line 235

protected procedure TCustomIdleTimer.Loaded; override;

See also

TComponent.Loaded


TCustomIdleTimer.SetAutoEnabled

SetAutoEnabled puts the supplied boolean value into the AutoEnabled property and updates handlers

Declaration

Source position: extctrls.pp line 231

protected procedure TCustomIdleTimer.SetAutoEnabled(

  const AValue: Boolean

); virtual;


TCustomImage

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

TCustomImage - the base type for TImage

Declaration

Source position: extctrls.pp line 502

type TCustomImage = class(TGraphicControl)
protected
class procedure WSRegisterClass; override; | Registers this component class with the current WidgetSet.
procedure PictureChanged(); virtual; | PictureChanged - software emulaton of the OnPictureChanged event
procedure CalculatePreferredSize(); override; | Override this method to return the preferred height and width.
class function GetControlClassDefaultSize; override; | Returns the default size for this class of controls (when added to a form).
procedure Paint; override; | Override this method with your own painting code.
public
constructor Create(); override; | Create - constructor for TCustomImage: calls inherited Create then sets default style, bounds and local variables: creates space for the picture
destructor Destroy; override; | Destroy - destructor for TCustomImage: frees picture then calls inherited Destroy
property Canvas: TCanvas; [r] | A clipped window into the parent Canvas.
function DestRect; virtual; | DestRect - returns the location of the destination rectangle
procedure Invalidate; override;
property AntialiasingMode: TAntialiasingMode; [rw]
property Align: TAlign; | Specifies the placement of the control inside its Parent.
property AutoSize: Boolean; | Allows to automatically adjust the size of the control, according to its content.
property Center: Boolean; [rw] | Should image be centered?
property KeepOriginXWhenClipped: Boolean; [rw]
property KeepOriginYWhenClipped: Boolean; [rw]
property Constraints: TSizeConstraints; | The minimal and maximal Width and Height of this control.
property Picture: TPicture; [rw] | Picture - the actual image for display
property Visible: Boolean; | Allows to show or hide the control, and all of its children.
property OnClick: TNotifyEvent; | Notification handler for mouse clicks.
property OnMouseDown: TMouseEvent; | Event handler for mouse button going down.
property OnMouseEnter: TNotifyEvent;
property OnMouseLeave: TNotifyEvent;
property OnMouseMove: TMouseMoveEvent; | Event handler for mouse movement within the control.
property OnMouseUp: TMouseEvent; | Event handler for mouse button going up.
property OnMouseWheel: TMouseWheelEvent;
property OnMouseWheelDown: TMouseWheelUpDownEvent;
property OnMouseWheelUp: TMouseWheelUpDownEvent;
property Stretch: Boolean; [rw] | True if picture is to be stretched
property StretchOutEnabled: Boolean; [rw]
property StretchInEnabled: Boolean; [rw]
property Transparent: Boolean; [rw] | True if you can see through the image
property Proportional: Boolean; [rw] | True if image is proportional
property OnPictureChanged: TNotifyEvent; [rw] | OnPictureChanged - event handler for a change in the picture
property OnPaintBackground: TImagePaintBackgroundEvent; [rw]
end;

Inheritance

TCustomImage | TCustomImage - the base type for TImage
|
TGraphicControl | TGraphicControl is the base class for all lightweight controls.
|
TControl | The base class for visible controls.
|
TLCLComponent | The base class for LCL components associated with widgets.
|
TComponent,IUnknown,IInterfaceComponentReference
|
TPersistent,IFPObserved
|
TObject

Description

TCustomImage : The base type for TImage . This is a control of the class TGraphicControl , designed to be lightweight and fast

See also

TGraphicControl

TGraphicControl is the base class for all lightweight controls.


TCustomImage
 | ro | Canvas
 |  | AntialiasingMode
 | ro | Align
 | ro | AutoSize
 |  | Center
 |  | KeepOriginXWhenClipped
 |  | KeepOriginYWhenClipped
 | ro | Constraints
 |  | Picture
 | ro | Visible
 |  | Stretch
 |  | StretchOutEnabled
 |  | StretchInEnabled
 |  | Transparent
 |  | Proportional
TGraphicControl
 | ro | Canvas
TControl
pt | ro | AutoSizing
pt | ro | AutoSizingAll
pt | ro | AutoSizingLockCount
pt |  | ActionLink
pt |  | DesktopFont
pt |  | DragCursor
pt |  | DragKind
pt |  | DragMode
pt |  | MouseCapture
pt |  | ParentColor
pt |  | ParentFont
pt |  | ParentShowHint
pt |  | SessionProperties
pt |  | Text
 | ro | AnchoredControls
 | ro | BaseBounds
 | ro | ReadBounds
 | ro | BaseParentClientSize
 |  | AccessibleDescription
 |  | AccessibleValue
 |  | AccessibleRole
 |  | Action
 |  | Align
 |  | Anchors
 | ro | AnchorSide
 |  | AutoSize
 |  | BorderSpacing
 |  | BoundsRect
 |  | BoundsRectForNewParent
 |  | Caption
 |  | CaptureMouseButtons
 |  | ClientHeight
 | ro | ClientOrigin
 | ro | ClientRect
 |  | ClientWidth
 |  | Color
 |  | Constraints
 | ro | ControlOrigin
 |  | ControlState
 |  | ControlStyle
 |  | Enabled
 |  | Font
 |  | IsControl
 | ro | MouseEntered
 | ro | MouseInClient
 |  | Parent
 |  | PopupMenu
 |  | ShowHint
 |  | Visible
 |  | WindowProc
 |  | DockOrientation
 | ro | Floating
 |  | FloatingDockSiteClass
 |  | HostDockSite
 |  | LRDockWidth
 |  | TBDockHeight
 |  | UndockHeight
 |  | UndockWidth
 |  | BiDiMode
 |  | ParentBiDiMode
pl |  | AnchorSideLeft
pl |  | AnchorSideTop
pl |  | AnchorSideRight
pl |  | AnchorSideBottom
pl |  | Cursor
pl |  | Left
pl |  | Height
pl |  | Hint
pl |  | Top
pl |  | Width
pl |  | HelpType
pl |  | HelpKeyword
pl |  | HelpContext
TLCLComponent
 | ro | LCLRefCount
 | ro | WidgetSetClass
TComponent
 | ro | ComObject
 | ro | Components
 | ro | ComponentCount
 |  | ComponentIndex
 | ro | ComponentState
 | ro | ComponentStyle
 |  | DesignInfo
 | ro | Owner
 |  | VCLComObject
 |  | Name
 |  | Tag
TPersistent
TObject


 |  | AccessibleDescription (TControl)
 |  | AccessibleRole (TControl)
 |  | AccessibleValue (TControl)
 |  | Action (TControl)
pt |  | ActionLink (TControl)
 |  | Align (TControl)
 | ro | Align (TCustomImage)
 | ro | AnchoredControls (TControl)
 |  | Anchors (TControl)
 | ro | AnchorSide (TControl)
pl |  | AnchorSideBottom (TControl)
pl |  | AnchorSideLeft (TControl)
pl |  | AnchorSideRight (TControl)
pl |  | AnchorSideTop (TControl)
 |  | AntialiasingMode (TCustomImage)
 |  | AutoSize (TControl)
 | ro | AutoSize (TCustomImage)
pt | ro | AutoSizing (TControl)
pt | ro | AutoSizingAll (TControl)
pt | ro | AutoSizingLockCount (TControl)
 | ro | BaseBounds (TControl)
 | ro | BaseParentClientSize (TControl)
 |  | BiDiMode (TControl)
 |  | BorderSpacing (TControl)
 |  | BoundsRect (TControl)
 |  | BoundsRectForNewParent (TControl)
 | ro | Canvas (TGraphicControl)
 | ro | Canvas (TCustomImage)
 |  | Caption (TControl)
 |  | CaptureMouseButtons (TControl)
 |  | Center (TCustomImage)
 |  | ClientHeight (TControl)
 | ro | ClientOrigin (TControl)
 | ro | ClientRect (TControl)
 |  | ClientWidth (TControl)
 |  | Color (TControl)
 | ro | ComObject (TComponent)
 | ro | ComponentCount (TComponent)
 |  | ComponentIndex (TComponent)
 | ro | Components (TComponent)
 | ro | ComponentState (TComponent)
 | ro | ComponentStyle (TComponent)
 |  | Constraints (TControl)
 | ro | Constraints (TCustomImage)
 | ro | ControlOrigin (TControl)
 |  | ControlState (TControl)
 |  | ControlStyle (TControl)
pl |  | Cursor (TControl)
 |  | DesignInfo (TComponent)
pt |  | DesktopFont (TControl)
 |  | DockOrientation (TControl)
pt |  | DragCursor (TControl)
pt |  | DragKind (TControl)
pt |  | DragMode (TControl)
 |  | Enabled (TControl)
 | ro | Floating (TControl)
 |  | FloatingDockSiteClass (TControl)
 |  | Font (TControl)
pl |  | Height (TControl)
pl |  | HelpContext (TControl)
pl |  | HelpKeyword (TControl)
pl |  | HelpType (TControl)
pl |  | Hint (TControl)
 |  | HostDockSite (TControl)
 |  | IsControl (TControl)
 |  | KeepOriginXWhenClipped (TCustomImage)
 |  | KeepOriginYWhenClipped (TCustomImage)
 | ro | LCLRefCount (TLCLComponent)
pl |  | Left (TControl)
 |  | LRDockWidth (TControl)
pt |  | MouseCapture (TControl)
 | ro | MouseEntered (TControl)
 | ro | MouseInClient (TControl)
 |  | Name (TComponent)
 | ro | Owner (TComponent)
 |  | Parent (TControl)
 |  | ParentBiDiMode (TControl)
pt |  | ParentColor (TControl)
pt |  | ParentFont (TControl)
pt |  | ParentShowHint (TControl)
 |  | Picture (TCustomImage)
 |  | PopupMenu (TControl)
 |  | Proportional (TCustomImage)
 | ro | ReadBounds (TControl)
pt |  | SessionProperties (TControl)
 |  | ShowHint (TControl)
 |  | Stretch (TCustomImage)
 |  | StretchInEnabled (TCustomImage)
 |  | StretchOutEnabled (TCustomImage)
 |  | Tag (TComponent)
 |  | TBDockHeight (TControl)
pt |  | Text (TControl)
pl |  | Top (TControl)
 |  | Transparent (TCustomImage)
 |  | UndockHeight (TControl)
 |  | UndockWidth (TControl)
 |  | VCLComObject (TComponent)
 |  | Visible (TControl)
 | ro | Visible (TCustomImage)
 | ro | WidgetSetClass (TLCLComponent)
pl |  | Width (TControl)
 |  | WindowProc (TControl)


TCustomImage
pt | WSRegisterClass
pt | PictureChanged
pt | CalculatePreferredSize
pt | GetControlClassDefaultSize
pt | Paint
 | Create
 | Destroy
 | DestRect
 | Invalidate
TGraphicControl
pt | WSRegisterClass
pt | FontChanged
pt | Paint
pt | DoOnChangeBounds
pt | DoOnParentHandleDestruction
pt | CMCursorChanged
 | Create
 | Destroy
TControl
pt | WSRegisterClass
pt | GetCursor
pt | SetCursor
pt | SetVisible
pt | DoOnParentHandleDestruction
pt | DoAutoSize
pt | DoAllAutoSize
pt | BeginAutoSizing
pt | EndAutoSizing
pt | AnchorSideChanged
pt | ForeignAnchorSideChanged
pt | SetAlign
pt | SetAnchors
pt | SetAutoSize
pt | BoundsChanged
pt | CreateControlBorderSpacing
pt | DoConstraintsChange
pt | DoBorderSpacingChange
pt | IsBorderSpacingInnerBorderStored
pt | IsCaptionStored
pt | SendMoveSizeMessages
pt | ConstrainedResize
pt | CalculatePreferredSize
pt | DoOnResize
pt | DoOnChangeBounds
pt | CheckOnChangeBounds
pt | Resize
pt | RequestAlign
pt | UpdateAnchorRules
pt | ChangeBounds
pt | DoSetBounds
pt | ScaleConstraints
pt | ChangeScale
pt | CanAutoSize
pt | SetBiDiMode
pt | SetParentBiDiMode
pt | IsAParentAligning
pt | GetClientOrigin
pt | GetClientRect
pt | GetLogicalClientRect
pt | GetScrolledClientRect
pt | GetClientScrollOffset
pt | GetControlOrigin
pt | IsClientHeightStored
pt | IsClientWidthStored
pt | WidthIsAnchored
pt | HeightIsAnchored
pt | WMCancelMode
pt | WMContextMenu
pt | WMLButtonDown
pt | WMRButtonDown
pt | WMMButtonDown
pt | WMXButtonDown
pt | WMLButtonDBLCLK
pt | WMRButtonDBLCLK
pt | WMMButtonDBLCLK
pt | WMXButtonDBLCLK
pt | WMLButtonTripleCLK
pt | WMRButtonTripleCLK
pt | WMMButtonTripleCLK
pt | WMXButtonTripleCLK
pt | WMLButtonQuadCLK
pt | WMRButtonQuadCLK
pt | WMMButtonQuadCLK
pt | WMXButtonQuadCLK
pt | WMMouseMove
pt | WMLButtonUp
pt | WMRButtonUp
pt | WMMButtonUp
pt | WMXButtonUp
pt | WMMouseWheel
pt | WMMouseHWheel
pt | WMMove
pt | WMSize
pt | WMWindowPosChanged
pt | CMChanged
pt | LMCaptureChanged
pt | CMBiDiModeChanged
pt | CMSysFontChanged
pt | CMEnabledChanged
pt | CMHitTest
pt | CMMouseEnter
pt | CMMouseLeave
pt | CMHintShow
pt | CMParentBiDiModeChanged
pt | CMParentColorChanged
pt | CMParentFontChanged
pt | CMParentShowHintChanged
pt | CMVisibleChanged
pt | CMTextChanged
pt | CMCursorChanged
pt | CalculateDockSizes
pt | CreateFloatingDockSite
pt | GetDockEdge
pt | GetDragImages
pt | GetFloating
pt | GetFloatingDockSiteClass
pt | BeforeDragStart
pt | BeginAutoDrag
pt | DoFloatMsg
pt | DockTrackNoTarget
pt | DoDock
pt | DoDragMsg
pt | DoEndDock
pt | DoEndDrag
pt | DoStartDock
pt | DoStartDrag
pt | DragCanceled
pt | DragOver
pt | PositionDockRect
pt | SetDragMode
pt | GetDefaultDockCaption
pt | Click
pt | DblClick
pt | TripleClick
pt | QuadClick
pt | GetMousePosFromMessage
pt | MouseDown
pt | MouseMove
pt | MouseUp
pt | MouseEnter
pt | MouseLeave
pt | DialogChar
pt | UpdateMouseCursor
pt | Changed
pt | GetPalette
pt | ChildClassAllowed
pt | ReadState
pt | Loaded
pt | LoadedAll
pt | DefineProperties
pt | AssignTo
pt | FormEndUpdated
pt | InvalidateControl
pt | FontChanged
pt | ParentFontChanged
pt | GetAction
pt | RealGetText
pt | RealSetText
pt | TextChanged
pt | GetCachedText
pt | SetAction
pt | SetColor
pt | SetEnabled
pt | SetHint
pt | SetName
pt | SetParent
pt | SetParentComponent
pt | WndProc
pt | ParentFormHandleInitialized
pt | GetMouseCapture
pt | CaptureChanged
pt | Notification
pt | CanTab
pt | GetDeviceContext
pt | GetEnabled
pt | GetPopupMenu
pt | DoOnShowHint
pt | DoMouseWheel
pt | DoMouseWheelDown
pt | DoMouseWheelUp
pt | DoMouseWheelHorz
pt | DoMouseWheelLeft
pt | DoMouseWheelRight
pt | VisibleChanging
pt | VisibleChanged
pt | EnabledChanging
pt | EnabledChanged
pt | AddHandler
pt | RemoveHandler
pt | DoCallNotifyHandler
pt | DoCallKeyEventHandler
pt | DoCallMouseWheelEventHandler
pt | DoContextPopup
pt | SetZOrder
pt | GetControlClassDefaultSize
pt | ColorIsStored
pt | DoAutoAdjustLayout
pt | DoFixDesignFontPPI
pt | DoScaleFontPPI
pt | GetActionLinkClass
pt | ActionChange
 | DragDrop
 | Dock
 | ManualDock
 | ManualFloat
 | ReplaceDockedControl
 | Docked
 | Dragging
 | GetAccessibleObject
 | CreateAccessibleObject
 | GetSelectedChildAccessibleObject
 | GetChildAccessibleObjectAtPos
 | ScaleDesignToForm
 | ScaleFormToDesign
 | Scale96ToForm
 | ScaleFormTo96
 | Scale96ToFont
 | ScaleFontTo96
 | ScaleScreenToFont
 | ScaleFontToScreen
 | Scale96ToScreen
 | ScaleScreenTo96
 | AdjustSize
 | AutoSizePhases
 | AutoSizeDelayed
 | AutoSizeDelayedReport
 | AutoSizeDelayedHandle
 | AnchorToNeighbour
 | AnchorParallel
 | AnchorHorizontalCenterTo
 | AnchorVerticalCenterTo
 | AnchorToCompanion
 | AnchorSame
 | AnchorAsAlign
 | AnchorClient
 | AnchoredControlCount
 | SetBounds
 | SetInitialBounds
 | SetBoundsKeepBase
 | GetPreferredSize
 | GetCanvasScaleFactor
 | GetDefaultWidth
 | GetDefaultHeight
 | GetDefaultColor
 | GetColorResolvingParent
 | GetRGBColorResolvingParent
 | GetSidePosition
 | CNPreferredSizeChanged
 | InvalidatePreferredSize
 | GetAnchorsDependingOnParent
 | DisableAutoSizing
 | EnableAutoSizing
 | UpdateBaseBounds
 | WriteLayoutDebugReport
 | AutoAdjustLayout
 | ShouldAutoAdjust
 | FixDesignFontsPPI
 | ScaleFontsPPI
 | Create
 | Destroy
 | BeforeDestruction
 | EditingDone
 | ExecuteDefaultAction
 | ExecuteCancelAction
 | BeginDrag
 | EndDrag
 | BringToFront
 | HasParent
 | GetParentComponent
 | IsParentOf
 | GetTopParent
 | IsVisible
 | IsControlVisible
 | IsEnabled
 | IsParentColor
 | IsParentFont
 | FormIsUpdating
 | IsProcessingPaintMsg
 | Hide
 | Refresh
 | Repaint
 | Invalidate
 | CheckChildClassAllowed
 | CheckNewParent
 | SendToBack
 | SetTempCursor
 | UpdateRolesForForm
 | ActiveDefaultControlChanged
 | GetTextBuf
 | GetTextLen
 | SetTextBuf
 | Perform
 | ScreenToClient
 | ClientToScreen
 | ScreenToControl
 | ControlToScreen
 | ClientToParent
 | ParentToClient
 | GetChildrenRect
 | Show
 | Update
 | HandleObjectShouldBeVisible
 | ParentDestroyingHandle
 | ParentHandlesAllocated
 | InitiateAction
 | ShowHelp
 | HasHelp
 | RemoveAllHandlersOfObject
 | AddHandlerOnResize
 | RemoveHandlerOnResize
 | AddHandlerOnChangeBounds
 | RemoveHandlerOnChangeBounds
 | AddHandlerOnVisibleChanging
 | RemoveHandlerOnVisibleChanging
 | AddHandlerOnVisibleChanged
 | RemoveHandlerOnVisibleChanged
 | AddHandlerOnEnabledChanged
 | RemoveHandlerOnEnableChanging
 | AddHandlerOnKeyDown
 | RemoveHandlerOnKeyDown
 | AddHandlerOnBeforeDestruction
 | RemoveHandlerOnBeforeDestruction
 | AddHandlerOnMouseWheel
 | RemoveHandlerOnMouseWheel
 | UseRightToLeftAlignment
 | UseRightToLeftReading
 | UseRightToLeftScrollBar
 | IsRightToLeft
TLCLComponent
pt | WSRegisterClass
pt | GetWSComponentClass
 | Create
 | Destroy
 | NewInstance
 | RemoveAllHandlersOfObject
 | IncLCLRefCount
 | DecLCLRefCount
TComponent
 | GetComObject
 | GetComponent
 | GetComponentCount
 | GetComponentIndex
 | Insert
 | ReadLeft
 | ReadTop
 | Remove
 | RemoveNotification
 | SetComponentIndex
 | SetReference
 | WriteLeft
 | WriteTop
 | ChangeName
 | DefineProperties
 | GetChildren
 | GetChildOwner
 | GetChildParent
 | GetOwner
 | Loaded
 | Loading
 | Notification
 | PaletteCreated
 | ReadState
 | SetAncestor
 | SetDesigning
 | SetDesignInstance
 | SetInline
 | SetName
 | SetChildOrder
 | SetParentComponent
 | Updating
 | Updated
 | UpdateRegistry
 | ValidateRename
 | ValidateContainer
 | ValidateInsert
 | QueryInterface
 | _AddRef
 | _Release
 | iicrGetComponent
 | GetTypeInfoCount
 | GetTypeInfo
 | GetIDsOfNames
 | Invoke
 | WriteState
 | Create
 | Destroy
 | BeforeDestruction
 | DestroyComponents
 | Destroying
 | ExecuteAction
 | FindComponent
 | FreeNotification
 | RemoveFreeNotification
 | FreeOnRelease
 | GetEnumerator
 | GetNamePath
 | GetParentComponent
 | HasParent
 | InsertComponent
 | RemoveComponent
 | SafeCallException
 | SetSubComponent
 | UpdateAction
 | IsImplementorOf
 | ReferenceInterface
TPersistent
 | AssignError
 | AssignTo
 | DefineProperties
 | GetOwner
 | Destroy
 | Assign
 | FPOAttachObserver
 | FPODetachObserver
 | FPONotifyObservers
 | GetNamePath
TObject
 | Create
 | Destroy
 | newinstance
 | FreeInstance
 | SafeCallException
 | DefaultHandler
 | Free
 | InitInstance
 | CleanupInstance
 | ClassType
 | ClassInfo
 | ClassName
 | ClassNameIs
 | ClassParent
 | InstanceSize
 | InheritsFrom
 | StringMessageTable
 | MethodAddress
 | MethodName
 | FieldAddress
 | AfterConstruction
 | BeforeDestruction
 | DefaultHandlerStr
 | Dispatch
 | DispatchStr
 | GetInterface
 | GetInterfaceByStr
 | GetInterfaceWeak
 | GetInterfaceEntry
 | GetInterfaceEntryByStr
 | GetInterfaceTable
 | UnitName
 | Equals
 | GetHashCode
 | ToString


pt | ActionChange (TControl)
 | ActiveDefaultControlChanged (TControl)
pt | AddHandler (TControl)
 | AddHandlerOnBeforeDestruction (TControl)
 | AddHandlerOnChangeBounds (TControl)
 | AddHandlerOnEnabledChanged (TControl)
 | AddHandlerOnKeyDown (TControl)
 | AddHandlerOnMouseWheel (TControl)
 | AddHandlerOnResize (TControl)
 | AddHandlerOnVisibleChanged (TControl)
 | AddHandlerOnVisibleChanging (TControl)
 | AdjustSize (TControl)
 | AfterConstruction (TObject)
 | AnchorAsAlign (TControl)
 | AnchorClient (TControl)
 | AnchoredControlCount (TControl)
 | AnchorHorizontalCenterTo (TControl)
 | AnchorParallel (TControl)
 | AnchorSame (TControl)
pt | AnchorSideChanged (TControl)
 | AnchorToCompanion (TControl)
 | AnchorToNeighbour (TControl)
 | AnchorVerticalCenterTo (TControl)
 | Assign (TPersistent)
 | AssignError (TPersistent)
 | AssignTo (TPersistent)
pt | AssignTo (TControl)
 | AutoAdjustLayout (TControl)
 | AutoSizeDelayed (TControl)
 | AutoSizeDelayedHandle (TControl)
 | AutoSizeDelayedReport (TControl)
 | AutoSizePhases (TControl)
 | BeforeDestruction (TObject)
 | BeforeDestruction (TComponent)
 | BeforeDestruction (TControl)
pt | BeforeDragStart (TControl)
pt | BeginAutoDrag (TControl)
pt | BeginAutoSizing (TControl)
 | BeginDrag (TControl)
pt | BoundsChanged (TControl)
 | BringToFront (TControl)
pt | CalculateDockSizes (TControl)
pt | CalculatePreferredSize (TControl)
pt | CalculatePreferredSize (TCustomImage)
pt | CanAutoSize (TControl)
pt | CanTab (TControl)
pt | CaptureChanged (TControl)
pt | ChangeBounds (TControl)
pt | Changed (TControl)
 | ChangeName (TComponent)
pt | ChangeScale (TControl)
 | CheckChildClassAllowed (TControl)
 | CheckNewParent (TControl)
pt | CheckOnChangeBounds (TControl)
pt | ChildClassAllowed (TControl)
 | ClassInfo (TObject)
 | ClassName (TObject)
 | ClassNameIs (TObject)
 | ClassParent (TObject)
 | ClassType (TObject)
 | CleanupInstance (TObject)
pt | Click (TControl)
 | ClientToParent (TControl)
 | ClientToScreen (TControl)
pt | CMBiDiModeChanged (TControl)
pt | CMChanged (TControl)
pt | CMCursorChanged (TControl)
pt | CMCursorChanged (TGraphicControl)
pt | CMEnabledChanged (TControl)
pt | CMHintShow (TControl)
pt | CMHitTest (TControl)
pt | CMMouseEnter (TControl)
pt | CMMouseLeave (TControl)
pt | CMParentBiDiModeChanged (TControl)
pt | CMParentColorChanged (TControl)
pt | CMParentFontChanged (TControl)
pt | CMParentShowHintChanged (TControl)
pt | CMSysFontChanged (TControl)
pt | CMTextChanged (TControl)
pt | CMVisibleChanged (TControl)
 | CNPreferredSizeChanged (TControl)
pt | ColorIsStored (TControl)
pt | ConstrainedResize (TControl)
 | ControlToScreen (TControl)
 | Create (TObject)
 | Create (TComponent)
 | Create (TLCLComponent)
 | Create (TControl)
 | Create (TGraphicControl)
 | Create (TCustomImage)
 | CreateAccessibleObject (TControl)
pt | CreateControlBorderSpacing (TControl)
pt | CreateFloatingDockSite (TControl)
pt | DblClick (TControl)
 | DecLCLRefCount (TLCLComponent)
 | DefaultHandler (TObject)
 | DefaultHandlerStr (TObject)
 | DefineProperties (TPersistent)
 | DefineProperties (TComponent)
pt | DefineProperties (TControl)
 | DestRect (TCustomImage)
 | Destroy (TObject)
 | Destroy (TPersistent)
 | Destroy (TComponent)
 | Destroy (TLCLComponent)
 | Destroy (TControl)
 | Destroy (TGraphicControl)
 | Destroy (TCustomImage)
 | DestroyComponents (TComponent)
 | Destroying (TComponent)
pt | DialogChar (TControl)
 | DisableAutoSizing (TControl)
 | Dispatch (TObject)
 | DispatchStr (TObject)
pt | DoAllAutoSize (TControl)
pt | DoAutoAdjustLayout (TControl)
pt | DoAutoSize (TControl)
pt | DoBorderSpacingChange (TControl)
pt | DoCallKeyEventHandler (TControl)
pt | DoCallMouseWheelEventHandler (TControl)
pt | DoCallNotifyHandler (TControl)
 | Dock (TControl)
 | Docked (TControl)
pt | DockTrackNoTarget (TControl)
pt | DoConstraintsChange (TControl)
pt | DoContextPopup (TControl)
pt | DoDock (TControl)
pt | DoDragMsg (TControl)
pt | DoEndDock (TControl)
pt | DoEndDrag (TControl)
pt | DoFixDesignFontPPI (TControl)
pt | DoFloatMsg (TControl)
pt | DoMouseWheel (TControl)
pt | DoMouseWheelDown (TControl)
pt | DoMouseWheelHorz (TControl)
pt | DoMouseWheelLeft (TControl)
pt | DoMouseWheelRight (TControl)
pt | DoMouseWheelUp (TControl)
pt | DoOnChangeBounds (TControl)
pt | DoOnChangeBounds (TGraphicControl)
pt | DoOnParentHandleDestruction (TControl)
pt | DoOnParentHandleDestruction (TGraphicControl)
pt | DoOnResize (TControl)
pt | DoOnShowHint (TControl)
pt | DoScaleFontPPI (TControl)
pt | DoSetBounds (TControl)
pt | DoStartDock (TControl)
pt | DoStartDrag (TControl)
pt | DragCanceled (TControl)
 | DragDrop (TControl)
 | Dragging (TControl)
pt | DragOver (TControl)
 | EditingDone (TControl)
 | EnableAutoSizing (TControl)
pt | EnabledChanged (TControl)
pt | EnabledChanging (TControl)
pt | EndAutoSizing (TControl)
 | EndDrag (TControl)
 | Equals (TObject)
 | ExecuteAction (TComponent)
 | ExecuteCancelAction (TControl)
 | ExecuteDefaultAction (TControl)
 | FieldAddress (TObject)
 | FindComponent (TComponent)
 | FixDesignFontsPPI (TControl)
pt | FontChanged (TControl)
pt | FontChanged (TGraphicControl)
pt | ForeignAnchorSideChanged (TControl)
pt | FormEndUpdated (TControl)
 | FormIsUpdating (TControl)
 | FPOAttachObserver (TPersistent)
 | FPODetachObserver (TPersistent)
 | FPONotifyObservers (TPersistent)
 | Free (TObject)
 | FreeInstance (TObject)
 | FreeNotification (TComponent)
 | FreeOnRelease (TComponent)
 | GetAccessibleObject (TControl)
pt | GetAction (TControl)
pt | GetActionLinkClass (TControl)
 | GetAnchorsDependingOnParent (TControl)
pt | GetCachedText (TControl)
 | GetCanvasScaleFactor (TControl)
 | GetChildAccessibleObjectAtPos (TControl)
 | GetChildOwner (TComponent)
 | GetChildParent (TComponent)
 | GetChildren (TComponent)
 | GetChildrenRect (TControl)
pt | GetClientOrigin (TControl)
pt | GetClientRect (TControl)
pt | GetClientScrollOffset (TControl)
 | GetColorResolvingParent (TControl)
 | GetComObject (TComponent)
 | GetComponent (TComponent)
 | GetComponentCount (TComponent)
 | GetComponentIndex (TComponent)
pt | GetControlClassDefaultSize (TControl)
pt | GetControlClassDefaultSize (TCustomImage)
pt | GetControlOrigin (TControl)
pt | GetCursor (TControl)
 | GetDefaultColor (TControl)
pt | GetDefaultDockCaption (TControl)
 | GetDefaultHeight (TControl)
 | GetDefaultWidth (TControl)
pt | GetDeviceContext (TControl)
pt | GetDockEdge (TControl)
pt | GetDragImages (TControl)
pt | GetEnabled (TControl)
 | GetEnumerator (TComponent)
pt | GetFloating (TControl)
pt | GetFloatingDockSiteClass (TControl)
 | GetHashCode (TObject)
 | GetIDsOfNames (TComponent)
 | GetInterface (TObject)
 | GetInterfaceByStr (TObject)
 | GetInterfaceEntry (TObject)
 | GetInterfaceEntryByStr (TObject)
 | GetInterfaceTable (TObject)
 | GetInterfaceWeak (TObject)
pt | GetLogicalClientRect (TControl)
pt | GetMouseCapture (TControl)
pt | GetMousePosFromMessage (TControl)
 | GetNamePath (TPersistent)
 | GetNamePath (TComponent)
 | GetOwner (TPersistent)
 | GetOwner (TComponent)
pt | GetPalette (TControl)
 | GetParentComponent (TComponent)
 | GetParentComponent (TControl)
pt | GetPopupMenu (TControl)
 | GetPreferredSize (TControl)
 | GetRGBColorResolvingParent (TControl)
pt | GetScrolledClientRect (TControl)
 | GetSelectedChildAccessibleObject (TControl)
 | GetSidePosition (TControl)
 | GetTextBuf (TControl)
 | GetTextLen (TControl)
 | GetTopParent (TControl)
 | GetTypeInfo (TComponent)
 | GetTypeInfoCount (TComponent)
pt | GetWSComponentClass (TLCLComponent)
 | HandleObjectShouldBeVisible (TControl)
 | HasHelp (TControl)
 | HasParent (TComponent)
 | HasParent (TControl)
pt | HeightIsAnchored (TControl)
 | Hide (TControl)
 | iicrGetComponent (TComponent)
 | IncLCLRefCount (TLCLComponent)
 | InheritsFrom (TObject)
 | InitiateAction (TControl)
 | InitInstance (TObject)
 | Insert (TComponent)
 | InsertComponent (TComponent)
 | InstanceSize (TObject)
 | Invalidate (TControl)
 | Invalidate (TCustomImage)
pt | InvalidateControl (TControl)
 | InvalidatePreferredSize (TControl)
 | Invoke (TComponent)
pt | IsAParentAligning (TControl)
pt | IsBorderSpacingInnerBorderStored (TControl)
pt | IsCaptionStored (TControl)
pt | IsClientHeightStored (TControl)
pt | IsClientWidthStored (TControl)
 | IsControlVisible (TControl)
 | IsEnabled (TControl)
 | IsImplementorOf (TComponent)
 | IsParentColor (TControl)
 | IsParentFont (TControl)
 | IsParentOf (TControl)
 | IsProcessingPaintMsg (TControl)
 | IsRightToLeft (TControl)
 | IsVisible (TControl)
pt | LMCaptureChanged (TControl)
 | Loaded (TComponent)
pt | Loaded (TControl)
pt | LoadedAll (TControl)
 | Loading (TComponent)
 | ManualDock (TControl)
 | ManualFloat (TControl)
 | MethodAddress (TObject)
 | MethodName (TObject)
pt | MouseDown (TControl)
pt | MouseEnter (TControl)
pt | MouseLeave (TControl)
pt | MouseMove (TControl)
pt | MouseUp (TControl)
 | newinstance (TObject)
 | NewInstance (TLCLComponent)
 | Notification (TComponent)
pt | Notification (TControl)
pt | Paint (TGraphicControl)
pt | Paint (TCustomImage)
 | PaletteCreated (TComponent)
 | ParentDestroyingHandle (TControl)
pt | ParentFontChanged (TControl)
pt | ParentFormHandleInitialized (TControl)
 | ParentHandlesAllocated (TControl)
 | ParentToClient (TControl)
 | Perform (TControl)
pt | PictureChanged (TCustomImage)
pt | PositionDockRect (TControl)
pt | QuadClick (TControl)
 | QueryInterface (TComponent)
 | ReadLeft (TComponent)
 | ReadState (TComponent)
pt | ReadState (TControl)
 | ReadTop (TComponent)
pt | RealGetText (TControl)
pt | RealSetText (TControl)
 | ReferenceInterface (TComponent)
 | Refresh (TControl)
 | Remove (TComponent)
 | RemoveAllHandlersOfObject (TLCLComponent)
 | RemoveAllHandlersOfObject (TControl)
 | RemoveComponent (TComponent)
 | RemoveFreeNotification (TComponent)
pt | RemoveHandler (TControl)
 | RemoveHandlerOnBeforeDestruction (TControl)
 | RemoveHandlerOnChangeBounds (TControl)
 | RemoveHandlerOnEnableChanging (TControl)
 | RemoveHandlerOnKeyDown (TControl)
 | RemoveHandlerOnMouseWheel (TControl)
 | RemoveHandlerOnResize (TControl)
 | RemoveHandlerOnVisibleChanged (TControl)
 | RemoveHandlerOnVisibleChanging (TControl)
 | RemoveNotification (TComponent)
 | Repaint (TControl)
 | ReplaceDockedControl (TControl)
pt | RequestAlign (TControl)
pt | Resize (TControl)
 | SafeCallException (TObject)
 | SafeCallException (TComponent)
 | Scale96ToFont (TControl)
 | Scale96ToForm (TControl)
 | Scale96ToScreen (TControl)
pt | ScaleConstraints (TControl)
 | ScaleDesignToForm (TControl)
 | ScaleFontsPPI (TControl)
 | ScaleFontTo96 (TControl)
 | ScaleFontToScreen (TControl)
 | ScaleFormTo96 (TControl)
 | ScaleFormToDesign (TControl)
 | ScaleScreenTo96 (TControl)
 | ScaleScreenToFont (TControl)
 | ScreenToClient (TControl)
 | ScreenToControl (TControl)
pt | SendMoveSizeMessages (TControl)
 | SendToBack (TControl)
pt | SetAction (TControl)
pt | SetAlign (TControl)
 | SetAncestor (TComponent)
pt | SetAnchors (TControl)
pt | SetAutoSize (TControl)
pt | SetBiDiMode (TControl)
 | SetBounds (TControl)
 | SetBoundsKeepBase (TControl)
 | SetChildOrder (TComponent)
pt | SetColor (TControl)
 | SetComponentIndex (TComponent)
pt | SetCursor (TControl)
 | SetDesigning (TComponent)
 | SetDesignInstance (TComponent)
pt | SetDragMode (TControl)
pt | SetEnabled (TControl)
pt | SetHint (TControl)
 | SetInitialBounds (TControl)
 | SetInline (TComponent)
 | SetName (TComponent)
pt | SetName (TControl)
pt | SetParent (TControl)
pt | SetParentBiDiMode (TControl)
 | SetParentComponent (TComponent)
pt | SetParentComponent (TControl)
 | SetReference (TComponent)
 | SetSubComponent (TComponent)
 | SetTempCursor (TControl)
 | SetTextBuf (TControl)
pt | SetVisible (TControl)
pt | SetZOrder (TControl)
 | ShouldAutoAdjust (TControl)
 | Show (TControl)
 | ShowHelp (TControl)
 | StringMessageTable (TObject)
pt | TextChanged (TControl)
 | ToString (TObject)
pt | TripleClick (TControl)
 | UnitName (TObject)
 | Update (TControl)
 | UpdateAction (TComponent)
pt | UpdateAnchorRules (TControl)
 | UpdateBaseBounds (TControl)
 | Updated (TComponent)
pt | UpdateMouseCursor (TControl)
 | UpdateRegistry (TComponent)
 | UpdateRolesForForm (TControl)
 | Updating (TComponent)
 | UseRightToLeftAlignment (TControl)
 | UseRightToLeftReading (TControl)
 | UseRightToLeftScrollBar (TControl)
 | ValidateContainer (TComponent)
 | ValidateInsert (TComponent)
 | ValidateRename (TComponent)
pt | VisibleChanged (TControl)
pt | VisibleChanging (TControl)
pt | WidthIsAnchored (TControl)
pt | WMCancelMode (TControl)
pt | WMContextMenu (TControl)
pt | WMLButtonDBLCLK (TControl)
pt | WMLButtonDown (TControl)
pt | WMLButtonQuadCLK (TControl)
pt | WMLButtonTripleCLK (TControl)
pt | WMLButtonUp (TControl)
pt | WMMButtonDBLCLK (TControl)
pt | WMMButtonDown (TControl)
pt | WMMButtonQuadCLK (TControl)
pt | WMMButtonTripleCLK (TControl)
pt | WMMButtonUp (TControl)
pt | WMMouseHWheel (TControl)
pt | WMMouseMove (TControl)
pt | WMMouseWheel (TControl)
pt | WMMove (TControl)
pt | WMRButtonDBLCLK (TControl)
pt | WMRButtonDown (TControl)
pt | WMRButtonQuadCLK (TControl)
pt | WMRButtonTripleCLK (TControl)
pt | WMRButtonUp (TControl)
pt | WMSize (TControl)
pt | WMWindowPosChanged (TControl)
pt | WMXButtonDBLCLK (TControl)
pt | WMXButtonDown (TControl)
pt | WMXButtonQuadCLK (TControl)
pt | WMXButtonTripleCLK (TControl)
pt | WMXButtonUp (TControl)
pt | WndProc (TControl)
 | WriteLayoutDebugReport (TControl)
 | WriteLeft (TComponent)
 | WriteState (TComponent)
 | WriteTop (TComponent)
pt | WSRegisterClass (TLCLComponent)
pt | WSRegisterClass (TControl)
pt | WSRegisterClass (TGraphicControl)
pt | WSRegisterClass (TCustomImage)
 | _AddRef (TComponent)
 | _Release (TComponent)


TCustomImage
 | ro | OnClick
 | ro | OnMouseDown
 | ro | OnMouseEnter
 | ro | OnMouseLeave
 | ro | OnMouseMove
 | ro | OnMouseUp
 | ro | OnMouseWheel
 | ro | OnMouseWheelDown
 | ro | OnMouseWheelUp
 |  | OnPictureChanged
 |  | OnPaintBackground
TGraphicControl
pt |  | OnPaint
TControl
pt |  | OnConstrainedResize
pt |  | OnContextPopup
pt |  | OnDblClick
pt |  | OnTripleClick
pt |  | OnQuadClick
pt |  | OnDragDrop
pt |  | OnDragOver
pt |  | OnEndDock
pt |  | OnEndDrag
pt |  | OnMouseDown
pt |  | OnMouseMove
pt |  | OnMouseUp
pt |  | OnMouseEnter
pt |  | OnMouseLeave
pt |  | OnMouseWheel
pt |  | OnMouseWheelDown
pt |  | OnMouseWheelUp
pt |  | OnMouseWheelHorz
pt |  | OnMouseWheelLeft
pt |  | OnMouseWheelRight
pt |  | OnStartDock
pt |  | OnStartDrag
pt |  | OnEditingDone
 |  | OnChangeBounds
 |  | OnClick
 |  | OnResize
 |  | OnShowHint
TLCLComponent
TComponent
TPersistent
TObject


 | ro | OnClick (TCustomImage)
pt |  | OnConstrainedResize (TControl)
pt |  | OnContextPopup (TControl)
pt |  | OnDblClick (TControl)
pt |  | OnDragDrop (TControl)
pt |  | OnDragOver (TControl)
pt |  | OnEditingDone (TControl)
pt |  | OnEndDock (TControl)
pt |  | OnEndDrag (TControl)
pt |  | OnMouseDown (TControl)
 | ro | OnMouseDown (TCustomImage)
pt |  | OnMouseEnter (TControl)
 | ro | OnMouseEnter (TCustomImage)
pt |  | OnMouseLeave (TControl)
 | ro | OnMouseLeave (TCustomImage)
pt |  | OnMouseMove (TControl)
 | ro | OnMouseMove (TCustomImage)
pt |  | OnMouseUp (TControl)
 | ro | OnMouseUp (TCustomImage)
pt |  | OnMouseWheel (TControl)
 | ro | OnMouseWheel (TCustomImage)
pt |  | OnMouseWheelDown (TControl)
 | ro | OnMouseWheelDown (TCustomImage)
pt |  | OnMouseWheelHorz (TControl)
pt |  | OnMouseWheelLeft (TControl)
pt |  | OnMouseWheelRight (TControl)
pt |  | OnMouseWheelUp (TControl)
 | ro | OnMouseWheelUp (TCustomImage)
pt |  | OnPaint (TGraphicControl)
 |  | OnPaintBackground (TCustomImage)
 |  | OnPictureChanged (TCustomImage)
pt |  | OnQuadClick (TControl)
 |  | OnResize (TControl)
 |  | OnShowHint (TControl)
pt |  | OnStartDock (TControl)
pt |  | OnStartDrag (TControl)
pt |  | OnTripleClick (TControl)


TCustomImage.AntialiasingMode

Declaration

Source position: extctrls.pp line 544

public property TCustomImage.AntialiasingMode : TAntialiasingMode
  read FAntialiasingMode
  write SetAntialiasingMode
  default amDontCare;


TCustomImage.Center

Should image be centered?

Declaration

Source position: extctrls.pp line 547

public property TCustomImage.Center : Boolean
  read FCenter
  write SetCenter
  default False;

Description

Boolean property - True if image is to be centered


TCustomImage.Create

Create - constructor for TCustomImage: calls inherited Create then sets default style, bounds and local variables: creates space for the picture

Declaration

Source position: extctrls.pp line 538

public constructor TCustomImage.Create(

  AOwner: TComponent

); override;

See also

TGraphicControl.Create


TCustomImage.DestRect

DestRect - returns the location of the destination rectangle

Declaration

Source position: extctrls.pp line 541

public function TCustomImage.DestRect: TRect; virtual;


TCustomImage.Destroy

Destroy - destructor for TCustomImage: frees picture then calls inherited Destroy

Declaration

Source position: extctrls.pp line 539

public destructor TCustomImage.Destroy; override;

See also

TGraphicControl.Destroy


TCustomImage.Invalidate

Declaration

Source position: extctrls.pp line 542

public procedure TCustomImage.Invalidate; override;


TCustomImage.KeepOriginXWhenClipped

Declaration

Source position: extctrls.pp line 548

public property TCustomImage.KeepOriginXWhenClipped : Boolean
  read FKeepOriginXWhenClipped
  write SetKeepOriginX
  default False;


TCustomImage.KeepOriginYWhenClipped

Declaration

Source position: extctrls.pp line 549

public property TCustomImage.KeepOriginYWhenClipped : Boolean
  read FKeepOriginYWhenClipped
  write SetKeepOriginY
  default False;


TCustomImage.OnMouseEnter

Declaration

Source position: extctrls.pp line 555

public property TCustomImage.OnMouseEnter : TNotifyEvent;


TCustomImage.OnMouseLeave

Declaration

Source position: extctrls.pp line 556

public property TCustomImage.OnMouseLeave : TNotifyEvent;


TCustomImage.OnMouseWheel

Declaration

Source position: extctrls.pp line 559

public property TCustomImage.OnMouseWheel : TMouseWheelEvent;


TCustomImage.OnMouseWheelDown

Declaration

Source position: extctrls.pp line 560

public property TCustomImage.OnMouseWheelDown : TMouseWheelUpDownEvent;


TCustomImage.OnMouseWheelUp

Declaration

Source position: extctrls.pp line 561

public property TCustomImage.OnMouseWheelUp : TMouseWheelUpDownEvent;


TCustomImage.OnPaintBackground

Declaration

Source position: extctrls.pp line 568

public property TCustomImage.OnPaintBackground : TImagePaintBackgroundEvent
  read FOnPaintBackground
  write FOnPaintBackground;


TCustomImage.OnPictureChanged

OnPictureChanged - event handler for a change in the picture

Declaration

Source position: extctrls.pp line 567

public property TCustomImage.OnPictureChanged : TNotifyEvent
  read FOnPictureChanged
  write FOnPictureChanged;


TCustomImage.Picture

Picture - the actual image for display

Declaration

Source position: extctrls.pp line 551

public property TCustomImage.Picture : TPicture
  read FPicture
  write SetPicture;


TCustomImage.PictureChanged

PictureChanged - software emulaton of the OnPictureChanged event

Declaration

Source position: extctrls.pp line 531

protected procedure TCustomImage.PictureChanged(

  Sender: TObject

); virtual;


TCustomImage.Proportional

True if image is proportional

Declaration

Source position: extctrls.pp line 566

public property TCustomImage.Proportional : Boolean
  read FProportional
  write SetProportional
  default False;


TCustomImage.Stretch

True if picture is to be stretched

Declaration

Source position: extctrls.pp line 562

public property TCustomImage.Stretch : Boolean
  read FStretch
  write SetStretch
  default False;


TCustomImage.StretchInEnabled

Declaration

Source position: extctrls.pp line 564

public property TCustomImage.StretchInEnabled : Boolean
  read FStretchInEnabled
  write SetStretchInEnabled
  default True;


TCustomImage.StretchOutEnabled

Declaration

Source position: extctrls.pp line 563

public property TCustomImage.StretchOutEnabled : Boolean
  read FStretchOutEnabled
  write SetStretchOutEnabled
  default True;


TCustomImage.Transparent

True if you can see through the image

Declaration

Source position: extctrls.pp line 565

public property TCustomImage.Transparent : Boolean
  read FTransparent
  write SetTransparent
  default False;


TCustomLabeledEdit

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Custom Labelled Edit

Declaration

Source position: extctrls.pp line 959

type TCustomLabeledEdit = class(TCustomEdit)
protected
class procedure WSRegisterClass; override; | Registers this component class with the current WidgetSet.
procedure SetParent(); override;
procedure SetName(); override;
procedure Loaded; override;
procedure DoPositionLabel; virtual; | DoPositionLabel - perform the code for positioning the label
procedure Notification(); override; |
procedure CMBiDiModeChanged(); message;
procedure CMVisibleChanged(); message; | Handler for changed Visible message. Handles Focus, forces UpdateControlState.
procedure CMEnabledChanged(); message; | Handler for changed Enabled message. Notifies the widgetset.
procedure CreateInternalLabel; virtual; | CreateInternalLabel - method for internally creating label
public
constructor Create(); override; | Create - constructor for TCustomLabeledEdit: calls inherited Create then sets initial position and label spacing
property EditLabel: TBoundLabel; [r] | EditLabel - the label attached to the edit box
property LabelPosition: TLabelPosition; [rw] | LabelPosition - whether above, below, to the left or to the right of the Edit box
property LabelSpacing: Integer; [rw] | LabelSpacing - the distance between the Label and the Edit box
end;

Inheritance

TCustomLabeledEdit | Custom Labelled Edit
|
TCustomEdit | The base class for controls presenting editable text.
|
TWinControl | The base class for controls which can contain other (child) controls.
|
TControl | The base class for visible controls.
|
TLCLComponent | The base class for LCL components associated with widgets.
|
TComponent,IUnknown,IInterfaceComponentReference
|
TPersistent,IFPObserved
|
TObject

Description

TCustomLabeledEdit : The base type for LabeledEdit.

Note particularly the EditLabel property (see TBoundLabel), which contains the label attached to the Edit control.

See also

TCustomEdit | The base class for controls presenting editable text.
TCustomLabel | The base class for TLabel.


TCustomLabeledEdit
 | ro | EditLabel
 |  | LabelPosition
 |  | LabelSpacing
TCustomEdit
pt |  | AutoSelect
pt |  | AutoSelected
pt | ro | ParentColor
 |  | Alignment
 | ro | AutoSize
 | ro | BorderStyle
 | ro | CanUndo
 |  | CaretPos
 |  | CharCase
 |  | EchoMode
 |  | HideSelection
 |  | MaxLength
 |  | Modified
 |  | NumbersOnly
 |  | PasswordChar
 | ro | PopupMenu
 |  | ReadOnly
 |  | SelLength
 |  | SelStart
 |  | SelText
 | ro | TabOrder
 | ro | TabStop
 | ro | Text
 |  | TextHint
TWinControl
pt |  | WindowHandle
pt |  | BorderStyle
pt |  | ParentBackground
 |  | BorderWidth
 | ro | BoundsLockCount
 | ro | Brush
 | ro | CachedClientHeight
 | ro | CachedClientWidth
 |  | ChildSizing
 | ro | ControlCount
 | ro | Controls
 |  | DefWndProc
 | ro | DockClientCount
 | ro | DockClients
 |  | DockManager
 |  | DockSite
 |  | DoubleBuffered
 |  | Handle
 | ro | IsFlipped
 | ro | IsResizing
 |  | TabOrder
 |  | TabStop
 |  | ParentDoubleBuffered
 |  | ParentWindow
 | ro | Showing
 |  | UseDockManager
 |  | DesignerDeleting
 | ro | VisibleDockClientCount
TControl
pt | ro | AutoSizing
pt | ro | AutoSizingAll
pt | ro | AutoSizingLockCount
pt |  | ActionLink
pt |  | DesktopFont
pt |  | DragCursor
pt |  | DragKind
pt |  | DragMode
pt |  | MouseCapture
pt |  | ParentColor
pt |  | ParentFont
pt |  | ParentShowHint
pt |  | SessionProperties
pt |  | Text
 | ro | AnchoredControls
 | ro | BaseBounds
 | ro | ReadBounds
 | ro | BaseParentClientSize
 |  | AccessibleDescription
 |  | AccessibleValue
 |  | AccessibleRole
 |  | Action
 |  | Align
 |  | Anchors
 | ro | AnchorSide
 |  | AutoSize
 |  | BorderSpacing
 |  | BoundsRect
 |  | BoundsRectForNewParent
 |  | Caption
 |  | CaptureMouseButtons
 |  | ClientHeight
 | ro | ClientOrigin
 | ro | ClientRect
 |  | ClientWidth
 |  | Color
 |  | Constraints
 | ro | ControlOrigin
 |  | ControlState
 |  | ControlStyle
 |  | Enabled
 |  | Font
 |  | IsControl
 | ro | MouseEntered
 | ro | MouseInClient
 |  | Parent
 |  | PopupMenu
 |  | ShowHint
 |  | Visible
 |  | WindowProc
 |  | DockOrientation
 | ro | Floating
 |  | FloatingDockSiteClass
 |  | HostDockSite
 |  | LRDockWidth
 |  | TBDockHeight
 |  | UndockHeight
 |  | UndockWidth
 |  | BiDiMode
 |  | ParentBiDiMode
pl |  | AnchorSideLeft
pl |  | AnchorSideTop
pl |  | AnchorSideRight
pl |  | AnchorSideBottom
pl |  | Cursor
pl |  | Left
pl |  | Height
pl |  | Hint
pl |  | Top
pl |  | Width
pl |  | HelpType
pl |  | HelpKeyword
pl |  | HelpContext
TLCLComponent
 | ro | LCLRefCount
 | ro | WidgetSetClass
TComponent
 | ro | ComObject
 | ro | Components
 | ro | ComponentCount
 |  | ComponentIndex
 | ro | ComponentState
 | ro | ComponentStyle
 |  | DesignInfo
 | ro | Owner
 |  | VCLComObject
 |  | Name
 |  | Tag
TPersistent
TObject


 |  | AccessibleDescription (TControl)
 |  | AccessibleRole (TControl)
 |  | AccessibleValue (TControl)
 |  | Action (TControl)
pt |  | ActionLink (TControl)
 |  | Align (TControl)
 |  | Alignment (TCustomEdit)
 | ro | AnchoredControls (TControl)
 |  | Anchors (TControl)
 | ro | AnchorSide (TControl)
pl |  | AnchorSideBottom (TControl)
pl |  | AnchorSideLeft (TControl)
pl |  | AnchorSideRight (TControl)
pl |  | AnchorSideTop (TControl)
pt |  | AutoSelect (TCustomEdit)
pt |  | AutoSelected (TCustomEdit)
 |  | AutoSize (TControl)
 | ro | AutoSize (TCustomEdit)
pt | ro | AutoSizing (TControl)
pt | ro | AutoSizingAll (TControl)
pt | ro | AutoSizingLockCount (TControl)
 | ro | BaseBounds (TControl)
 | ro | BaseParentClientSize (TControl)
 |  | BiDiMode (TControl)
 |  | BorderSpacing (TControl)
pt |  | BorderStyle (TWinControl)
 | ro | BorderStyle (TCustomEdit)
 |  | BorderWidth (TWinControl)
 | ro | BoundsLockCount (TWinControl)
 |  | BoundsRect (TControl)
 |  | BoundsRectForNewParent (TControl)
 | ro | Brush (TWinControl)
 | ro | CachedClientHeight (TWinControl)
 | ro | CachedClientWidth (TWinControl)
 | ro | CanUndo (TCustomEdit)
 |  | Caption (TControl)
 |  | CaptureMouseButtons (TControl)
 |  | CaretPos (TCustomEdit)
 |  | CharCase (TCustomEdit)
 |  | ChildSizing (TWinControl)
 |  | ClientHeight (TControl)
 | ro | ClientOrigin (TControl)
 | ro | ClientRect (TControl)
 |  | ClientWidth (TControl)
 |  | Color (TControl)
 | ro | ComObject (TComponent)
 | ro | ComponentCount (TComponent)
 |  | ComponentIndex (TComponent)
 | ro | Components (TComponent)
 | ro | ComponentState (TComponent)
 | ro | ComponentStyle (TComponent)
 |  | Constraints (TControl)
 | ro | ControlCount (TWinControl)
 | ro | ControlOrigin (TControl)
 | ro | Controls (TWinControl)
 |  | ControlState (TControl)
 |  | ControlStyle (TControl)
pl |  | Cursor (TControl)
 |  | DefWndProc (TWinControl)
 |  | DesignerDeleting (TWinControl)
 |  | DesignInfo (TComponent)
pt |  | DesktopFont (TControl)
 | ro | DockClientCount (TWinControl)
 | ro | DockClients (TWinControl)
 |  | DockManager (TWinControl)
 |  | DockOrientation (TControl)
 |  | DockSite (TWinControl)
 |  | DoubleBuffered (TWinControl)
pt |  | DragCursor (TControl)
pt |  | DragKind (TControl)
pt |  | DragMode (TControl)
 |  | EchoMode (TCustomEdit)
 | ro | EditLabel (TCustomLabeledEdit)
 |  | Enabled (TControl)
 | ro | Floating (TControl)
 |  | FloatingDockSiteClass (TControl)
 |  | Font (TControl)
 |  | Handle (TWinControl)
pl |  | Height (TControl)
pl |  | HelpContext (TControl)
pl |  | HelpKeyword (TControl)
pl |  | HelpType (TControl)
 |  | HideSelection (TCustomEdit)
pl |  | Hint (TControl)
 |  | HostDockSite (TControl)
 |  | IsControl (TControl)
 | ro | IsFlipped (TWinControl)
 | ro | IsResizing (TWinControl)
 |  | LabelPosition (TCustomLabeledEdit)
 |  | LabelSpacing (TCustomLabeledEdit)
 | ro | LCLRefCount (TLCLComponent)
pl |  | Left (TControl)
 |  | LRDockWidth (TControl)
 |  | MaxLength (TCustomEdit)
 |  | Modified (TCustomEdit)
pt |  | MouseCapture (TControl)
 | ro | MouseEntered (TControl)
 | ro | MouseInClient (TControl)
 |  | Name (TComponent)
 |  | NumbersOnly (TCustomEdit)
 | ro | Owner (TComponent)
 |  | Parent (TControl)
pt |  | ParentBackground (TWinControl)
 |  | ParentBiDiMode (TControl)
pt |  | ParentColor (TControl)
pt | ro | ParentColor (TCustomEdit)
 |  | ParentDoubleBuffered (TWinControl)
pt |  | ParentFont (TControl)
pt |  | ParentShowHint (TControl)
 |  | ParentWindow (TWinControl)
 |  | PasswordChar (TCustomEdit)
 |  | PopupMenu (TControl)
 | ro | PopupMenu (TCustomEdit)
 | ro | ReadBounds (TControl)
 |  | ReadOnly (TCustomEdit)
 |  | SelLength (TCustomEdit)
 |  | SelStart (TCustomEdit)
 |  | SelText (TCustomEdit)
pt |  | SessionProperties (TControl)
 |  | ShowHint (TControl)
 | ro | Showing (TWinControl)
 |  | TabOrder (TWinControl)
 | ro | TabOrder (TCustomEdit)
 |  | TabStop (TWinControl)
 | ro | TabStop (TCustomEdit)
 |  | Tag (TComponent)
 |  | TBDockHeight (TControl)
pt |  | Text (TControl)
 | ro | Text (TCustomEdit)
 |  | TextHint (TCustomEdit)
pl |  | Top (TControl)
 |  | UndockHeight (TControl)
 |  | UndockWidth (TControl)
 |  | UseDockManager (TWinControl)
 |  | VCLComObject (TComponent)
 |  | Visible (TControl)
 | ro | VisibleDockClientCount (TWinControl)
 | ro | WidgetSetClass (TLCLComponent)
pl |  | Width (TControl)
pt |  | WindowHandle (TWinControl)
 |  | WindowProc (TControl)


TCustomLabeledEdit
pt | WSRegisterClass
pt | SetParent
pt | SetName
pt | Loaded
pt | DoPositionLabel
pt | Notification
pt | CMBiDiModeChanged
pt | CMVisibleChanged
pt | CMEnabledChanged
pt | CreateInternalLabel
 | Create
TCustomEdit
pt | WSRegisterClass
pt | CanShowEmulatedTextHint
pt | CreateEmulatedTextHintFont
pt | CalculatePreferredSize
pt | CreateParams
pt | InitializeWnd
pt | TextChanged
pt | FontChanged
pt | Change
pt | DoEnter
pt | DoExit
pt | EditingDone
pt | GetCaretPos
pt | GetNumbersOnly
pt | GetReadOnly
pt | GetSelLength
pt | GetSelStart
pt | GetSelText
pt | GetTextHint
pt | SetCaretPos
pt | SetEchoMode
pt | SetNumbersOnly
pt | SetReadOnly
pt | SetSelLength
pt | SetSelStart
pt | SetSelText
pt | SetTextHint
pt | ChildClassAllowed
pt | GetControlClassDefaultSize
pt | MouseUp
pt | RealSetText
pt | RealGetText
pt | KeyUpAfterInterface
pt | WMChar
pt | CMWantSpecialKey
pt | WndProc
pt | ShouldAutoAdjust
pt | WMSetFocus
pt | WMKillFocus
 | Create
 | Destroy
 | Clear
 | SelectAll
 | ClearSelection
 | CopyToClipboard
 | CutToClipboard
 | PasteFromClipboard
 | Undo
 | RemoveAllHandlersOfObject
 | AddHandlerOnChange
 | RemoveHandlerOnChange
TWinControl
pt | WSRegisterClass
pt | AdjustClientRect
pt | GetAdjustedLogicalClientRect
pt | AlignControls
pt | CustomAlignInsertBefore
pt | CustomAlignPosition
pt | DoAlignChildControls
pt | DoChildSizingChange
pt | InvalidatePreferredChildSizes
pt | CanTab
pt | IsClientHeightStored
pt | IsClientWidthStored
pt | DoSendShowHideToInterface
pt | ControlsAligned
pt | DoSendBoundsToInterface
pt | RealizeBounds
pt | RealizeBoundsRecursive
pt | InvalidateBoundsRealized
pt | CreateSubClass
pt | DoConstraintsChange
pt | DoSetBounds
pt | DoAutoSize
pt | DoAllAutoSize
pt | AllAutoSized
pt | CalculatePreferredSize
pt | GetPreferredSizeClientFrame
pt | GetChildren
pt | ChildClassAllowed
pt | PaintControls
pt | PaintHandler
pt | PaintWindow
pt | CreateBrush
pt | ScaleControls
pt | ChangeScale
pt | CMBiDiModeChanged
pt | CMBorderChanged
pt | CMDoubleBufferedChanged
pt | CMEnabledChanged
pt | CMParentDoubleBufferedChanged
pt | CMShowingChanged
pt | CMShowHintChanged
pt | CMVisibleChanged
pt | CMEnter
pt | CMExit
pt | WMContextMenu
pt | WMEraseBkgnd
pt | WMNotify
pt | WMSetFocus
pt | WMKillFocus
pt | WMShowWindow
pt | WMEnter
pt | WMExit
pt | WMKeyDown
pt | WMSysKeyDown
pt | WMKeyUp
pt | WMSysKeyUp
pt | WMChar
pt | WMSysChar
pt | WMPaint
pt | WMDestroy
pt | WMMove
pt | WMSize
pt | WMWindowPosChanged
pt | CNKeyDown
pt | CNSysKeyDown
pt | CNKeyUp
pt | CNSysKeyUp
pt | CNChar
pt | DoDragMsg
pt | DoDockClientMsg
pt | DoUndockClientMsg
pt | DoAddDockClient
pt | DockOver
pt | DoDockOver
pt | DoRemoveDockClient
pt | DoUnDock
pt | GetSiteInfo
pt | GetParentHandle
pt | GetTopParentHandle
pt | ReloadDockedControl
pt | CreateDockManager
pt | SetDockManager
pt | DoFloatMsg
pt | DoGetDockCaption
pt | DoEnter
pt | DoExit
pt | DoKeyDownBeforeInterface
pt | DoRemainingKeyDown
pt | DoRemainingKeyUp
pt | DoKeyPress
pt | DoUTF8KeyPress
pt | DoKeyUpBeforeInterface
pt | ChildKey
pt | SendDialogChar
pt | DialogChar
pt | ControlKeyDown
pt | ControlKeyUp
pt | KeyDown
pt | KeyDownBeforeInterface
pt | KeyDownAfterInterface
pt | KeyPress
pt | KeyUp
pt | KeyUpBeforeInterface
pt | KeyUpAfterInterface
pt | UTF8KeyPress
pt | FindNextControl
pt | SelectFirst
pt | RealGetText
pt | GetBorderStyle
pt | GetClientOrigin
pt | GetClientRect
pt | GetControlOrigin
pt | GetDeviceContext
pt | GetParentBackground
pt | IsControlMouseMsg
pt | CreateHandle
pt | CreateParams
pt | CreateWnd
pt | DestroyHandle
pt | DestroyWnd
pt | DoFlipChildren
pt | FinalizeWnd
pt | FixupTabList
pt | FontChanged
pt | InitializeWnd
pt | Loaded
pt | FormEndUpdated
pt | MainWndProc
pt | ParentFormHandleInitialized
pt | ChildHandlesCreated
pt | GetMouseCapture
pt | RealSetText
pt | RemoveFocus
pt | SendMoveSizeMessages
pt | SetBorderStyle
pt | SetColor
pt | SetChildZPosition
pt | SetParentBackground
pt | ShowControl
pt | UpdateControlState
pt | UpdateShowing
pt | WndProc
pt | WSSetText
 | AutoSizePhases
 | AutoSizeDelayed
 | AutoSizeDelayedReport
 | AutoSizeDelayedHandle
 | BeginUpdateBounds
 | EndUpdateBounds
 | LockRealizeBounds
 | UnlockRealizeBounds
 | ControlAtPos
 | ContainsControl
 | DoAdjustClientRectChange
 | InvalidateClientRectCache
 | ClientRectNeedsInterfaceUpdate
 | SetBounds
 | GetChildrenRect
 | DisableAlign
 | EnableAlign
 | ReAlign
 | ScrollBy_WS
 | ScrollBy
 | WriteLayoutDebugReport
 | AutoAdjustLayout
 | Create
 | CreateParented
 | CreateParentedControl
 | Destroy
 | DockDrop
 | CanFocus
 | CanSetFocus
 | GetControlIndex
 | SetControlIndex
 | Focused
 | PerformTab
 | FindChildControl
 | SelectNext
 | SetTempCursor
 | BroadCast
 | NotifyControls
 | DefaultHandler
 | GetTextLen
 | Invalidate
 | AddControl
 | InsertControl
 | RemoveControl
 | GetEnumeratorControls
 | GetEnumeratorControlsReverse
 | Repaint
 | Update
 | SetFocus
 | FlipChildren
 | ScaleBy
 | GetDockCaption
 | UpdateDockCaption
 | GetTabOrderList
 | HandleAllocated
 | ParentHandlesAllocated
 | HandleNeeded
 | BrushCreated
 | EraseBackground
 | IntfUTF8KeyPress
 | IntfGetDropFilesTarget
 | PaintTo
 | SetShape
TControl
pt | WSRegisterClass
pt | GetCursor
pt | SetCursor
pt | SetVisible
pt | DoOnParentHandleDestruction
pt | DoAutoSize
pt | DoAllAutoSize
pt | BeginAutoSizing
pt | EndAutoSizing
pt | AnchorSideChanged
pt | ForeignAnchorSideChanged
pt | SetAlign
pt | SetAnchors
pt | SetAutoSize
pt | BoundsChanged
pt | CreateControlBorderSpacing
pt | DoConstraintsChange
pt | DoBorderSpacingChange
pt | IsBorderSpacingInnerBorderStored
pt | IsCaptionStored
pt | SendMoveSizeMessages
pt | ConstrainedResize
pt | CalculatePreferredSize
pt | DoOnResize
pt | DoOnChangeBounds
pt | CheckOnChangeBounds
pt | Resize
pt | RequestAlign
pt | UpdateAnchorRules
pt | ChangeBounds
pt | DoSetBounds
pt | ScaleConstraints
pt | ChangeScale
pt | CanAutoSize
pt | SetBiDiMode
pt | SetParentBiDiMode
pt | IsAParentAligning
pt | GetClientOrigin
pt | GetClientRect
pt | GetLogicalClientRect
pt | GetScrolledClientRect
pt | GetClientScrollOffset
pt | GetControlOrigin
pt | IsClientHeightStored
pt | IsClientWidthStored
pt | WidthIsAnchored
pt | HeightIsAnchored
pt | WMCancelMode
pt | WMContextMenu
pt | WMLButtonDown
pt | WMRButtonDown
pt | WMMButtonDown
pt | WMXButtonDown
pt | WMLButtonDBLCLK
pt | WMRButtonDBLCLK
pt | WMMButtonDBLCLK
pt | WMXButtonDBLCLK
pt | WMLButtonTripleCLK
pt | WMRButtonTripleCLK
pt | WMMButtonTripleCLK
pt | WMXButtonTripleCLK
pt | WMLButtonQuadCLK
pt | WMRButtonQuadCLK
pt | WMMButtonQuadCLK
pt | WMXButtonQuadCLK
pt | WMMouseMove
pt | WMLButtonUp
pt | WMRButtonUp
pt | WMMButtonUp
pt | WMXButtonUp
pt | WMMouseWheel
pt | WMMouseHWheel
pt | WMMove
pt | WMSize
pt | WMWindowPosChanged
pt | CMChanged
pt | LMCaptureChanged
pt | CMBiDiModeChanged
pt | CMSysFontChanged
pt | CMEnabledChanged
pt | CMHitTest
pt | CMMouseEnter
pt | CMMouseLeave
pt | CMHintShow
pt | CMParentBiDiModeChanged
pt | CMParentColorChanged
pt | CMParentFontChanged
pt | CMParentShowHintChanged
pt | CMVisibleChanged
pt | CMTextChanged
pt | CMCursorChanged
pt | CalculateDockSizes
pt | CreateFloatingDockSite
pt | GetDockEdge
pt | GetDragImages
pt | GetFloating
pt | GetFloatingDockSiteClass
pt | BeforeDragStart
pt | BeginAutoDrag
pt | DoFloatMsg
pt | DockTrackNoTarget
pt | DoDock
pt | DoDragMsg
pt | DoEndDock
pt | DoEndDrag
pt | DoStartDock
pt | DoStartDrag
pt | DragCanceled
pt | DragOver
pt | PositionDockRect
pt | SetDragMode
pt | GetDefaultDockCaption
pt | Click
pt | DblClick
pt | TripleClick
pt | QuadClick
pt | GetMousePosFromMessage
pt | MouseDown
pt | MouseMove
pt | MouseUp
pt | MouseEnter
pt | MouseLeave
pt | DialogChar
pt | UpdateMouseCursor
pt | Changed
pt | GetPalette
pt | ChildClassAllowed
pt | ReadState
pt | Loaded
pt | LoadedAll
pt | DefineProperties
pt | AssignTo
pt | FormEndUpdated
pt | InvalidateControl
pt | FontChanged
pt | ParentFontChanged
pt | GetAction
pt | RealGetText
pt | RealSetText
pt | TextChanged
pt | GetCachedText
pt | SetAction
pt | SetColor
pt | SetEnabled
pt | SetHint
pt | SetName
pt | SetParent
pt | SetParentComponent
pt | WndProc
pt | ParentFormHandleInitialized
pt | GetMouseCapture
pt | CaptureChanged
pt | Notification
pt | CanTab
pt | GetDeviceContext
pt | GetEnabled
pt | GetPopupMenu
pt | DoOnShowHint
pt | DoMouseWheel
pt | DoMouseWheelDown
pt | DoMouseWheelUp
pt | DoMouseWheelHorz
pt | DoMouseWheelLeft
pt | DoMouseWheelRight
pt | VisibleChanging
pt | VisibleChanged
pt | EnabledChanging
pt | EnabledChanged
pt | AddHandler
pt | RemoveHandler
pt | DoCallNotifyHandler
pt | DoCallKeyEventHandler
pt | DoCallMouseWheelEventHandler
pt | DoContextPopup
pt | SetZOrder
pt | GetControlClassDefaultSize
pt | ColorIsStored
pt | DoAutoAdjustLayout
pt | DoFixDesignFontPPI
pt | DoScaleFontPPI
pt | GetActionLinkClass
pt | ActionChange
 | DragDrop
 | Dock
 | ManualDock
 | ManualFloat
 | ReplaceDockedControl
 | Docked
 | Dragging
 | GetAccessibleObject
 | CreateAccessibleObject
 | GetSelectedChildAccessibleObject
 | GetChildAccessibleObjectAtPos
 | ScaleDesignToForm
 | ScaleFormToDesign
 | Scale96ToForm
 | ScaleFormTo96
 | Scale96ToFont
 | ScaleFontTo96
 | ScaleScreenToFont
 | ScaleFontToScreen
 | Scale96ToScreen
 | ScaleScreenTo96
 | AdjustSize
 | AutoSizePhases
 | AutoSizeDelayed
 | AutoSizeDelayedReport
 | AutoSizeDelayedHandle
 | AnchorToNeighbour
 | AnchorParallel
 | AnchorHorizontalCenterTo
 | AnchorVerticalCenterTo
 | AnchorToCompanion
 | AnchorSame
 | AnchorAsAlign
 | AnchorClient
 | AnchoredControlCount
 | SetBounds
 | SetInitialBounds
 | SetBoundsKeepBase
 | GetPreferredSize
 | GetCanvasScaleFactor
 | GetDefaultWidth
 | GetDefaultHeight
 | GetDefaultColor
 | GetColorResolvingParent
 | GetRGBColorResolvingParent
 | GetSidePosition
 | CNPreferredSizeChanged
 | InvalidatePreferredSize
 | GetAnchorsDependingOnParent
 | DisableAutoSizing
 | EnableAutoSizing
 | UpdateBaseBounds
 | WriteLayoutDebugReport
 | AutoAdjustLayout
 | ShouldAutoAdjust
 | FixDesignFontsPPI
 | ScaleFontsPPI
 | Create
 | Destroy
 | BeforeDestruction
 | EditingDone
 | ExecuteDefaultAction
 | ExecuteCancelAction
 | BeginDrag
 | EndDrag
 | BringToFront
 | HasParent
 | GetParentComponent
 | IsParentOf
 | GetTopParent
 | IsVisible
 | IsControlVisible
 | IsEnabled
 | IsParentColor
 | IsParentFont
 | FormIsUpdating
 | IsProcessingPaintMsg
 | Hide
 | Refresh
 | Repaint
 | Invalidate
 | CheckChildClassAllowed
 | CheckNewParent
 | SendToBack
 | SetTempCursor
 | UpdateRolesForForm
 | ActiveDefaultControlChanged
 | GetTextBuf
 | GetTextLen
 | SetTextBuf
 | Perform
 | ScreenToClient
 | ClientToScreen
 | ScreenToControl
 | ControlToScreen
 | ClientToParent
 | ParentToClient
 | GetChildrenRect
 | Show
 | Update
 | HandleObjectShouldBeVisible
 | ParentDestroyingHandle
 | ParentHandlesAllocated
 | InitiateAction
 | ShowHelp
 | HasHelp
 | RemoveAllHandlersOfObject
 | AddHandlerOnResize
 | RemoveHandlerOnResize
 | AddHandlerOnChangeBounds
 | RemoveHandlerOnChangeBounds
 | AddHandlerOnVisibleChanging
 | RemoveHandlerOnVisibleChanging
 | AddHandlerOnVisibleChanged
 | RemoveHandlerOnVisibleChanged
 | AddHandlerOnEnabledChanged
 | RemoveHandlerOnEnableChanging
 | AddHandlerOnKeyDown
 | RemoveHandlerOnKeyDown
 | AddHandlerOnBeforeDestruction
 | RemoveHandlerOnBeforeDestruction
 | AddHandlerOnMouseWheel
 | RemoveHandlerOnMouseWheel
 | UseRightToLeftAlignment
 | UseRightToLeftReading
 | UseRightToLeftScrollBar
 | IsRightToLeft
TLCLComponent
pt | WSRegisterClass
pt | GetWSComponentClass
 | Create
 | Destroy
 | NewInstance
 | RemoveAllHandlersOfObject
 | IncLCLRefCount
 | DecLCLRefCount
TComponent
 | GetComObject
 | GetComponent
 | GetComponentCount
 | GetComponentIndex
 | Insert
 | ReadLeft
 | ReadTop
 | Remove
 | RemoveNotification
 | SetComponentIndex
 | SetReference
 | WriteLeft
 | WriteTop
 | ChangeName
 | DefineProperties
 | GetChildren
 | GetChildOwner
 | GetChildParent
 | GetOwner
 | Loaded
 | Loading
 | Notification
 | PaletteCreated
 | ReadState
 | SetAncestor
 | SetDesigning
 | SetDesignInstance
 | SetInline
 | SetName
 | SetChildOrder
 | SetParentComponent
 | Updating
 | Updated
 | UpdateRegistry
 | ValidateRename
 | ValidateContainer
 | ValidateInsert
 | QueryInterface
 | _AddRef
 | _Release
 | iicrGetComponent
 | GetTypeInfoCount
 | GetTypeInfo
 | GetIDsOfNames
 | Invoke
 | WriteState
 | Create
 | Destroy
 | BeforeDestruction
 | DestroyComponents
 | Destroying
 | ExecuteAction
 | FindComponent
 | FreeNotification
 | RemoveFreeNotification
 | FreeOnRelease
 | GetEnumerator
 | GetNamePath
 | GetParentComponent
 | HasParent
 | InsertComponent
 | RemoveComponent
 | SafeCallException
 | SetSubComponent
 | UpdateAction
 | IsImplementorOf
 | ReferenceInterface
TPersistent
 | AssignError
 | AssignTo
 | DefineProperties
 | GetOwner
 | Destroy
 | Assign
 | FPOAttachObserver
 | FPODetachObserver
 | FPONotifyObservers
 | GetNamePath
TObject
 | Create
 | Destroy
 | newinstance
 | FreeInstance
 | SafeCallException
 | DefaultHandler
 | Free
 | InitInstance
 | CleanupInstance
 | ClassType
 | ClassInfo
 | ClassName
 | ClassNameIs
 | ClassParent
 | InstanceSize
 | InheritsFrom
 | StringMessageTable
 | MethodAddress
 | MethodName
 | FieldAddress
 | AfterConstruction
 | BeforeDestruction
 | DefaultHandlerStr
 | Dispatch
 | DispatchStr
 | GetInterface
 | GetInterfaceByStr
 | GetInterfaceWeak
 | GetInterfaceEntry
 | GetInterfaceEntryByStr
 | GetInterfaceTable
 | UnitName
 | Equals
 | GetHashCode
 | ToString


pt | ActionChange (TControl)
 | ActiveDefaultControlChanged (TControl)
 | AddControl (TWinControl)
pt | AddHandler (TControl)
 | AddHandlerOnBeforeDestruction (TControl)
 | AddHandlerOnChange (TCustomEdit)
 | AddHandlerOnChangeBounds (TControl)
 | AddHandlerOnEnabledChanged (TControl)
 | AddHandlerOnKeyDown (TControl)
 | AddHandlerOnMouseWheel (TControl)
 | AddHandlerOnResize (TControl)
 | AddHandlerOnVisibleChanged (TControl)
 | AddHandlerOnVisibleChanging (TControl)
pt | AdjustClientRect (TWinControl)
 | AdjustSize (TControl)
 | AfterConstruction (TObject)
pt | AlignControls (TWinControl)
pt | AllAutoSized (TWinControl)
 | AnchorAsAlign (TControl)
 | AnchorClient (TControl)
 | AnchoredControlCount (TControl)
 | AnchorHorizontalCenterTo (TControl)
 | AnchorParallel (TControl)
 | AnchorSame (TControl)
pt | AnchorSideChanged (TControl)
 | AnchorToCompanion (TControl)
 | AnchorToNeighbour (TControl)
 | AnchorVerticalCenterTo (TControl)
 | Assign (TPersistent)
 | AssignError (TPersistent)
 | AssignTo (TPersistent)
pt | AssignTo (TControl)
 | AutoAdjustLayout (TControl)
 | AutoAdjustLayout (TWinControl)
 | AutoSizeDelayed (TControl)
 | AutoSizeDelayed (TWinControl)
 | AutoSizeDelayedHandle (TControl)
 | AutoSizeDelayedHandle (TWinControl)
 | AutoSizeDelayedReport (TControl)
 | AutoSizeDelayedReport (TWinControl)
 | AutoSizePhases (TControl)
 | AutoSizePhases (TWinControl)
 | BeforeDestruction (TObject)
 | BeforeDestruction (TComponent)
 | BeforeDestruction (TControl)
pt | BeforeDragStart (TControl)
pt | BeginAutoDrag (TControl)
pt | BeginAutoSizing (TControl)
 | BeginDrag (TControl)
 | BeginUpdateBounds (TWinControl)
pt | BoundsChanged (TControl)
 | BringToFront (TControl)
 | BroadCast (TWinControl)
 | BrushCreated (TWinControl)
pt | CalculateDockSizes (TControl)
pt | CalculatePreferredSize (TControl)
pt | CalculatePreferredSize (TWinControl)
pt | CalculatePreferredSize (TCustomEdit)
pt | CanAutoSize (TControl)
 | CanFocus (TWinControl)
 | CanSetFocus (TWinControl)
pt | CanShowEmulatedTextHint (TCustomEdit)
pt | CanTab (TControl)
pt | CanTab (TWinControl)
pt | CaptureChanged (TControl)
pt | Change (TCustomEdit)
pt | ChangeBounds (TControl)
pt | Changed (TControl)
 | ChangeName (TComponent)
pt | ChangeScale (TControl)
pt | ChangeScale (TWinControl)
 | CheckChildClassAllowed (TControl)
 | CheckNewParent (TControl)
pt | CheckOnChangeBounds (TControl)
pt | ChildClassAllowed (TControl)
pt | ChildClassAllowed (TWinControl)
pt | ChildClassAllowed (TCustomEdit)
pt | ChildHandlesCreated (TWinControl)
pt | ChildKey (TWinControl)
 | ClassInfo (TObject)
 | ClassName (TObject)
 | ClassNameIs (TObject)
 | ClassParent (TObject)
 | ClassType (TObject)
 | CleanupInstance (TObject)
 | Clear (TCustomEdit)
 | ClearSelection (TCustomEdit)
pt | Click (TControl)
 | ClientRectNeedsInterfaceUpdate (TWinControl)
 | ClientToParent (TControl)
 | ClientToScreen (TControl)
pt | CMBiDiModeChanged (TControl)
pt | CMBiDiModeChanged (TWinControl)
pt | CMBiDiModeChanged (TCustomLabeledEdit)
pt | CMBorderChanged (TWinControl)
pt | CMChanged (TControl)
pt | CMCursorChanged (TControl)
pt | CMDoubleBufferedChanged (TWinControl)
pt | CMEnabledChanged (TControl)
pt | CMEnabledChanged (TWinControl)
pt | CMEnabledChanged (TCustomLabeledEdit)
pt | CMEnter (TWinControl)
pt | CMExit (TWinControl)
pt | CMHintShow (TControl)
pt | CMHitTest (TControl)
pt | CMMouseEnter (TControl)
pt | CMMouseLeave (TControl)
pt | CMParentBiDiModeChanged (TControl)
pt | CMParentColorChanged (TControl)
pt | CMParentDoubleBufferedChanged (TWinControl)
pt | CMParentFontChanged (TControl)
pt | CMParentShowHintChanged (TControl)
pt | CMShowHintChanged (TWinControl)
pt | CMShowingChanged (TWinControl)
pt | CMSysFontChanged (TControl)
pt | CMTextChanged (TControl)
pt | CMVisibleChanged (TControl)
pt | CMVisibleChanged (TWinControl)
pt | CMVisibleChanged (TCustomLabeledEdit)
pt | CMWantSpecialKey (TCustomEdit)
pt | CNChar (TWinControl)
pt | CNKeyDown (TWinControl)
pt | CNKeyUp (TWinControl)
 | CNPreferredSizeChanged (TControl)
pt | CNSysKeyDown (TWinControl)
pt | CNSysKeyUp (TWinControl)
pt | ColorIsStored (TControl)
pt | ConstrainedResize (TControl)
 | ContainsControl (TWinControl)
 | ControlAtPos (TWinControl)
pt | ControlKeyDown (TWinControl)
pt | ControlKeyUp (TWinControl)
pt | ControlsAligned (TWinControl)
 | ControlToScreen (TControl)
 | CopyToClipboard (TCustomEdit)
 | Create (TObject)
 | Create (TComponent)
 | Create (TLCLComponent)
 | Create (TControl)
 | Create (TWinControl)
 | Create (TCustomEdit)
 | Create (TCustomLabeledEdit)
 | CreateAccessibleObject (TControl)
pt | CreateBrush (TWinControl)
pt | CreateControlBorderSpacing (TControl)
pt | CreateDockManager (TWinControl)
pt | CreateEmulatedTextHintFont (TCustomEdit)
pt | CreateFloatingDockSite (TControl)
pt | CreateHandle (TWinControl)
pt | CreateInternalLabel (TCustomLabeledEdit)
pt | CreateParams (TWinControl)
pt | CreateParams (TCustomEdit)
 | CreateParented (TWinControl)
 | CreateParentedControl (TWinControl)
pt | CreateSubClass (TWinControl)
pt | CreateWnd (TWinControl)
pt | CustomAlignInsertBefore (TWinControl)
pt | CustomAlignPosition (TWinControl)
 | CutToClipboard (TCustomEdit)
pt | DblClick (TControl)
 | DecLCLRefCount (TLCLComponent)
 | DefaultHandler (TObject)
 | DefaultHandler (TWinControl)
 | DefaultHandlerStr (TObject)
 | DefineProperties (TPersistent)
 | DefineProperties (TComponent)
pt | DefineProperties (TControl)
 | Destroy (TObject)
 | Destroy (TPersistent)
 | Destroy (TComponent)
 | Destroy (TLCLComponent)
 | Destroy (TControl)
 | Destroy (TWinControl)
 | Destroy (TCustomEdit)
 | DestroyComponents (TComponent)
pt | DestroyHandle (TWinControl)
 | Destroying (TComponent)
pt | DestroyWnd (TWinControl)
pt | DialogChar (TControl)
pt | DialogChar (TWinControl)
 | DisableAlign (TWinControl)
 | DisableAutoSizing (TControl)
 | Dispatch (TObject)
 | DispatchStr (TObject)
pt | DoAddDockClient (TWinControl)
 | DoAdjustClientRectChange (TWinControl)
pt | DoAlignChildControls (TWinControl)
pt | DoAllAutoSize (TControl)
pt | DoAllAutoSize (TWinControl)
pt | DoAutoAdjustLayout (TControl)
pt | DoAutoSize (TControl)
pt | DoAutoSize (TWinControl)
pt | DoBorderSpacingChange (TControl)
pt | DoCallKeyEventHandler (TControl)
pt | DoCallMouseWheelEventHandler (TControl)
pt | DoCallNotifyHandler (TControl)
pt | DoChildSizingChange (TWinControl)
 | Dock (TControl)
 | DockDrop (TWinControl)
 | Docked (TControl)
pt | DockOver (TWinControl)
pt | DockTrackNoTarget (TControl)
pt | DoConstraintsChange (TControl)
pt | DoConstraintsChange (TWinControl)
pt | DoContextPopup (TControl)
pt | DoDock (TControl)
pt | DoDockClientMsg (TWinControl)
pt | DoDockOver (TWinControl)
pt | DoDragMsg (TControl)
pt | DoDragMsg (TWinControl)
pt | DoEndDock (TControl)
pt | DoEndDrag (TControl)
pt | DoEnter (TWinControl)
pt | DoEnter (TCustomEdit)
pt | DoExit (TWinControl)
pt | DoExit (TCustomEdit)
pt | DoFixDesignFontPPI (TControl)
pt | DoFlipChildren (TWinControl)
pt | DoFloatMsg (TControl)
pt | DoFloatMsg (TWinControl)
pt | DoGetDockCaption (TWinControl)
pt | DoKeyDownBeforeInterface (TWinControl)
pt | DoKeyPress (TWinControl)
pt | DoKeyUpBeforeInterface (TWinControl)
pt | DoMouseWheel (TControl)
pt | DoMouseWheelDown (TControl)
pt | DoMouseWheelHorz (TControl)
pt | DoMouseWheelLeft (TControl)
pt | DoMouseWheelRight (TControl)
pt | DoMouseWheelUp (TControl)
pt | DoOnChangeBounds (TControl)
pt | DoOnParentHandleDestruction (TControl)
pt | DoOnResize (TControl)
pt | DoOnShowHint (TControl)
pt | DoPositionLabel (TCustomLabeledEdit)
pt | DoRemainingKeyDown (TWinControl)
pt | DoRemainingKeyUp (TWinControl)
pt | DoRemoveDockClient (TWinControl)
pt | DoScaleFontPPI (TControl)
pt | DoSendBoundsToInterface (TWinControl)
pt | DoSendShowHideToInterface (TWinControl)
pt | DoSetBounds (TControl)
pt | DoSetBounds (TWinControl)
pt | DoStartDock (TControl)
pt | DoStartDrag (TControl)
pt | DoUnDock (TWinControl)
pt | DoUndockClientMsg (TWinControl)
pt | DoUTF8KeyPress (TWinControl)
pt | DragCanceled (TControl)
 | DragDrop (TControl)
 | Dragging (TControl)
pt | DragOver (TControl)
 | EditingDone (TControl)
pt | EditingDone (TCustomEdit)
 | EnableAlign (TWinControl)
 | EnableAutoSizing (TControl)
pt | EnabledChanged (TControl)
pt | EnabledChanging (TControl)
pt | EndAutoSizing (TControl)
 | EndDrag (TControl)
 | EndUpdateBounds (TWinControl)
 | Equals (TObject)
 | EraseBackground (TWinControl)
 | ExecuteAction (TComponent)
 | ExecuteCancelAction (TControl)
 | ExecuteDefaultAction (TControl)
 | FieldAddress (TObject)
pt | FinalizeWnd (TWinControl)
 | FindChildControl (TWinControl)
 | FindComponent (TComponent)
pt | FindNextControl (TWinControl)
 | FixDesignFontsPPI (TControl)
pt | FixupTabList (TWinControl)
 | FlipChildren (TWinControl)
 | Focused (TWinControl)
pt | FontChanged (TControl)
pt | FontChanged (TWinControl)
pt | FontChanged (TCustomEdit)
pt | ForeignAnchorSideChanged (TControl)
pt | FormEndUpdated (TControl)
pt | FormEndUpdated (TWinControl)
 | FormIsUpdating (TControl)
 | FPOAttachObserver (TPersistent)
 | FPODetachObserver (TPersistent)
 | FPONotifyObservers (TPersistent)
 | Free (TObject)
 | FreeInstance (TObject)
 | FreeNotification (TComponent)
 | FreeOnRelease (TComponent)
 | GetAccessibleObject (TControl)
pt | GetAction (TControl)
pt | GetActionLinkClass (TControl)
pt | GetAdjustedLogicalClientRect (TWinControl)
 | GetAnchorsDependingOnParent (TControl)
pt | GetBorderStyle (TWinControl)
pt | GetCachedText (TControl)
 | GetCanvasScaleFactor (TControl)
pt | GetCaretPos (TCustomEdit)
 | GetChildAccessibleObjectAtPos (TControl)
 | GetChildOwner (TComponent)
 | GetChildParent (TComponent)
 | GetChildren (TComponent)
pt | GetChildren (TWinControl)
 | GetChildrenRect (TControl)
 | GetChildrenRect (TWinControl)
pt | GetClientOrigin (TControl)
pt | GetClientOrigin (TWinControl)
pt | GetClientRect (TControl)
pt | GetClientRect (TWinControl)
pt | GetClientScrollOffset (TControl)
 | GetColorResolvingParent (TControl)
 | GetComObject (TComponent)
 | GetComponent (TComponent)
 | GetComponentCount (TComponent)
 | GetComponentIndex (TComponent)
pt | GetControlClassDefaultSize (TControl)
pt | GetControlClassDefaultSize (TCustomEdit)
 | GetControlIndex (TWinControl)
pt | GetControlOrigin (TControl)
pt | GetControlOrigin (TWinControl)
pt | GetCursor (TControl)
 | GetDefaultColor (TControl)
pt | GetDefaultDockCaption (TControl)
 | GetDefaultHeight (TControl)
 | GetDefaultWidth (TControl)
pt | GetDeviceContext (TControl)
pt | GetDeviceContext (TWinControl)
 | GetDockCaption (TWinControl)
pt | GetDockEdge (TControl)
pt | GetDragImages (TControl)
pt | GetEnabled (TControl)
 | GetEnumerator (TComponent)
 | GetEnumeratorControls (TWinControl)
 | GetEnumeratorControlsReverse (TWinControl)
pt | GetFloating (TControl)
pt | GetFloatingDockSiteClass (TControl)
 | GetHashCode (TObject)
 | GetIDsOfNames (TComponent)
 | GetInterface (TObject)
 | GetInterfaceByStr (TObject)
 | GetInterfaceEntry (TObject)
 | GetInterfaceEntryByStr (TObject)
 | GetInterfaceTable (TObject)
 | GetInterfaceWeak (TObject)
pt | GetLogicalClientRect (TControl)
pt | GetMouseCapture (TControl)
pt | GetMouseCapture (TWinControl)
pt | GetMousePosFromMessage (TControl)
 | GetNamePath (TPersistent)
 | GetNamePath (TComponent)
pt | GetNumbersOnly (TCustomEdit)
 | GetOwner (TPersistent)
 | GetOwner (TComponent)
pt | GetPalette (TControl)
pt | GetParentBackground (TWinControl)
 | GetParentComponent (TComponent)
 | GetParentComponent (TControl)
pt | GetParentHandle (TWinControl)
pt | GetPopupMenu (TControl)
 | GetPreferredSize (TControl)
pt | GetPreferredSizeClientFrame (TWinControl)
pt | GetReadOnly (TCustomEdit)
 | GetRGBColorResolvingParent (TControl)
pt | GetScrolledClientRect (TControl)
 | GetSelectedChildAccessibleObject (TControl)
pt | GetSelLength (TCustomEdit)
pt | GetSelStart (TCustomEdit)
pt | GetSelText (TCustomEdit)
 | GetSidePosition (TControl)
pt | GetSiteInfo (TWinControl)
 | GetTabOrderList (TWinControl)
 | GetTextBuf (TControl)
pt | GetTextHint (TCustomEdit)
 | GetTextLen (TControl)
 | GetTextLen (TWinControl)
 | GetTopParent (TControl)
pt | GetTopParentHandle (TWinControl)
 | GetTypeInfo (TComponent)
 | GetTypeInfoCount (TComponent)
pt | GetWSComponentClass (TLCLComponent)
 | HandleAllocated (TWinControl)
 | HandleNeeded (TWinControl)
 | HandleObjectShouldBeVisible (TControl)
 | HasHelp (TControl)
 | HasParent (TComponent)
 | HasParent (TControl)
pt | HeightIsAnchored (TControl)
 | Hide (TControl)
 | iicrGetComponent (TComponent)
 | IncLCLRefCount (TLCLComponent)
 | InheritsFrom (TObject)
pt | InitializeWnd (TWinControl)
pt | InitializeWnd (TCustomEdit)
 | InitiateAction (TControl)
 | InitInstance (TObject)
 | Insert (TComponent)
 | InsertComponent (TComponent)
 | InsertControl (TWinControl)
 | InstanceSize (TObject)
 | IntfGetDropFilesTarget (TWinControl)
 | IntfUTF8KeyPress (TWinControl)
 | Invalidate (TControl)
 | Invalidate (TWinControl)
pt | InvalidateBoundsRealized (TWinControl)
 | InvalidateClientRectCache (TWinControl)
pt | InvalidateControl (TControl)
pt | InvalidatePreferredChildSizes (TWinControl)
 | InvalidatePreferredSize (TControl)
 | Invoke (TComponent)
pt | IsAParentAligning (TControl)
pt | IsBorderSpacingInnerBorderStored (TControl)
pt | IsCaptionStored (TControl)
pt | IsClientHeightStored (TControl)
pt | IsClientHeightStored (TWinControl)
pt | IsClientWidthStored (TControl)
pt | IsClientWidthStored (TWinControl)
pt | IsControlMouseMsg (TWinControl)
 | IsControlVisible (TControl)
 | IsEnabled (TControl)
 | IsImplementorOf (TComponent)
 | IsParentColor (TControl)
 | IsParentFont (TControl)
 | IsParentOf (TControl)
 | IsProcessingPaintMsg (TControl)
 | IsRightToLeft (TControl)
 | IsVisible (TControl)
pt | KeyDown (TWinControl)
pt | KeyDownAfterInterface (TWinControl)
pt | KeyDownBeforeInterface (TWinControl)
pt | KeyPress (TWinControl)
pt | KeyUp (TWinControl)
pt | KeyUpAfterInterface (TWinControl)
pt | KeyUpAfterInterface (TCustomEdit)
pt | KeyUpBeforeInterface (TWinControl)
pt | LMCaptureChanged (TControl)
 | Loaded (TComponent)
pt | Loaded (TControl)
pt | Loaded (TWinControl)
pt | Loaded (TCustomLabeledEdit)
pt | LoadedAll (TControl)
 | Loading (TComponent)
 | LockRealizeBounds (TWinControl)
pt | MainWndProc (TWinControl)
 | ManualDock (TControl)
 | ManualFloat (TControl)
 | MethodAddress (TObject)
 | MethodName (TObject)
pt | MouseDown (TControl)
pt | MouseEnter (TControl)
pt | MouseLeave (TControl)
pt | MouseMove (TControl)
pt | MouseUp (TControl)
pt | MouseUp (TCustomEdit)
 | newinstance (TObject)
 | NewInstance (TLCLComponent)
 | Notification (TComponent)
pt | Notification (TControl)
pt | Notification (TCustomLabeledEdit)
 | NotifyControls (TWinControl)
pt | PaintControls (TWinControl)
pt | PaintHandler (TWinControl)
 | PaintTo (TWinControl)
pt | PaintWindow (TWinControl)
 | PaletteCreated (TComponent)
 | ParentDestroyingHandle (TControl)
pt | ParentFontChanged (TControl)
pt | ParentFormHandleInitialized (TControl)
pt | ParentFormHandleInitialized (TWinControl)
 | ParentHandlesAllocated (TControl)
 | ParentHandlesAllocated (TWinControl)
 | ParentToClient (TControl)
 | PasteFromClipboard (TCustomEdit)
 | Perform (TControl)
 | PerformTab (TWinControl)
pt | PositionDockRect (TControl)
pt | QuadClick (TControl)
 | QueryInterface (TComponent)
 | ReadLeft (TComponent)
 | ReadState (TComponent)
pt | ReadState (TControl)
 | ReadTop (TComponent)
pt | RealGetText (TControl)
pt | RealGetText (TWinControl)
pt | RealGetText (TCustomEdit)
 | ReAlign (TWinControl)
pt | RealizeBounds (TWinControl)
pt | RealizeBoundsRecursive (TWinControl)
pt | RealSetText (TControl)
pt | RealSetText (TWinControl)
pt | RealSetText (TCustomEdit)
 | ReferenceInterface (TComponent)
 | Refresh (TControl)
pt | ReloadDockedControl (TWinControl)
 | Remove (TComponent)
 | RemoveAllHandlersOfObject (TLCLComponent)
 | RemoveAllHandlersOfObject (TControl)
 | RemoveAllHandlersOfObject (TCustomEdit)
 | RemoveComponent (TComponent)
 | RemoveControl (TWinControl)
pt | RemoveFocus (TWinControl)
 | RemoveFreeNotification (TComponent)
pt | RemoveHandler (TControl)
 | RemoveHandlerOnBeforeDestruction (TControl)
 | RemoveHandlerOnChange (TCustomEdit)
 | RemoveHandlerOnChangeBounds (TControl)
 | RemoveHandlerOnEnableChanging (TControl)
 | RemoveHandlerOnKeyDown (TControl)
 | RemoveHandlerOnMouseWheel (TControl)
 | RemoveHandlerOnResize (TControl)
 | RemoveHandlerOnVisibleChanged (TControl)
 | RemoveHandlerOnVisibleChanging (TControl)
 | RemoveNotification (TComponent)
 | Repaint (TControl)
 | Repaint (TWinControl)
 | ReplaceDockedControl (TControl)
pt | RequestAlign (TControl)
pt | Resize (TControl)
 | SafeCallException (TObject)
 | SafeCallException (TComponent)
 | Scale96ToFont (TControl)
 | Scale96ToForm (TControl)
 | Scale96ToScreen (TControl)
 | ScaleBy (TWinControl)
pt | ScaleConstraints (TControl)
pt | ScaleControls (TWinControl)
 | ScaleDesignToForm (TControl)
 | ScaleFontsPPI (TControl)
 | ScaleFontTo96 (TControl)
 | ScaleFontToScreen (TControl)
 | ScaleFormTo96 (TControl)
 | ScaleFormToDesign (TControl)
 | ScaleScreenTo96 (TControl)
 | ScaleScreenToFont (TControl)
 | ScreenToClient (TControl)
 | ScreenToControl (TControl)
 | ScrollBy (TWinControl)
 | ScrollBy_WS (TWinControl)
 | SelectAll (TCustomEdit)
pt | SelectFirst (TWinControl)
 | SelectNext (TWinControl)
pt | SendDialogChar (TWinControl)
pt | SendMoveSizeMessages (TControl)
pt | SendMoveSizeMessages (TWinControl)
 | SendToBack (TControl)
pt | SetAction (TControl)
pt | SetAlign (TControl)
 | SetAncestor (TComponent)
pt | SetAnchors (TControl)
pt | SetAutoSize (TControl)
pt | SetBiDiMode (TControl)
pt | SetBorderStyle (TWinControl)
 | SetBounds (TControl)
 | SetBounds (TWinControl)
 | SetBoundsKeepBase (TControl)
pt | SetCaretPos (TCustomEdit)
 | SetChildOrder (TComponent)
pt | SetChildZPosition (TWinControl)
pt | SetColor (TControl)
pt | SetColor (TWinControl)
 | SetComponentIndex (TComponent)
 | SetControlIndex (TWinControl)
pt | SetCursor (TControl)
 | SetDesigning (TComponent)
 | SetDesignInstance (TComponent)
pt | SetDockManager (TWinControl)
pt | SetDragMode (TControl)
pt | SetEchoMode (TCustomEdit)
pt | SetEnabled (TControl)
 | SetFocus (TWinControl)
pt | SetHint (TControl)
 | SetInitialBounds (TControl)
 | SetInline (TComponent)
 | SetName (TComponent)
pt | SetName (TControl)
pt | SetName (TCustomLabeledEdit)
pt | SetNumbersOnly (TCustomEdit)
pt | SetParent (TControl)
pt | SetParent (TCustomLabeledEdit)
pt | SetParentBackground (TWinControl)
pt | SetParentBiDiMode (TControl)
 | SetParentComponent (TComponent)
pt | SetParentComponent (TControl)
pt | SetReadOnly (TCustomEdit)
 | SetReference (TComponent)
pt | SetSelLength (TCustomEdit)
pt | SetSelStart (TCustomEdit)
pt | SetSelText (TCustomEdit)
 | SetShape (TWinControl)
 | SetSubComponent (TComponent)
 | SetTempCursor (TControl)
 | SetTempCursor (TWinControl)
 | SetTextBuf (TControl)
pt | SetTextHint (TCustomEdit)
pt | SetVisible (TControl)
pt | SetZOrder (TControl)
 | ShouldAutoAdjust (TControl)
pt | ShouldAutoAdjust (TCustomEdit)
 | Show (TControl)
pt | ShowControl (TWinControl)
 | ShowHelp (TControl)
 | StringMessageTable (TObject)
pt | TextChanged (TControl)
pt | TextChanged (TCustomEdit)
 | ToString (TObject)
pt | TripleClick (TControl)
 | Undo (TCustomEdit)
 | UnitName (TObject)
 | UnlockRealizeBounds (TWinControl)
 | Update (TControl)
 | Update (TWinControl)
 | UpdateAction (TComponent)
pt | UpdateAnchorRules (TControl)
 | UpdateBaseBounds (TControl)
pt | UpdateControlState (TWinControl)
 | Updated (TComponent)
 | UpdateDockCaption (TWinControl)
pt | UpdateMouseCursor (TControl)
 | UpdateRegistry (TComponent)
 | UpdateRolesForForm (TControl)
pt | UpdateShowing (TWinControl)
 | Updating (TComponent)
 | UseRightToLeftAlignment (TControl)
 | UseRightToLeftReading (TControl)
 | UseRightToLeftScrollBar (TControl)
pt | UTF8KeyPress (TWinControl)
 | ValidateContainer (TComponent)
 | ValidateInsert (TComponent)
 | ValidateRename (TComponent)
pt | VisibleChanged (TControl)
pt | VisibleChanging (TControl)
pt | WidthIsAnchored (TControl)
pt | WMCancelMode (TControl)
pt | WMChar (TWinControl)
pt | WMChar (TCustomEdit)
pt | WMContextMenu (TControl)
pt | WMContextMenu (TWinControl)
pt | WMDestroy (TWinControl)
pt | WMEnter (TWinControl)
pt | WMEraseBkgnd (TWinControl)
pt | WMExit (TWinControl)
pt | WMKeyDown (TWinControl)
pt | WMKeyUp (TWinControl)
pt | WMKillFocus (TWinControl)
pt | WMKillFocus (TCustomEdit)
pt | WMLButtonDBLCLK (TControl)
pt | WMLButtonDown (TControl)
pt | WMLButtonQuadCLK (TControl)
pt | WMLButtonTripleCLK (TControl)
pt | WMLButtonUp (TControl)
pt | WMMButtonDBLCLK (TControl)
pt | WMMButtonDown (TControl)
pt | WMMButtonQuadCLK (TControl)
pt | WMMButtonTripleCLK (TControl)
pt | WMMButtonUp (TControl)
pt | WMMouseHWheel (TControl)
pt | WMMouseMove (TControl)
pt | WMMouseWheel (TControl)
pt | WMMove (TControl)
pt | WMMove (TWinControl)
pt | WMNotify (TWinControl)
pt | WMPaint (TWinControl)
pt | WMRButtonDBLCLK (TControl)
pt | WMRButtonDown (TControl)
pt | WMRButtonQuadCLK (TControl)
pt | WMRButtonTripleCLK (TControl)
pt | WMRButtonUp (TControl)
pt | WMSetFocus (TWinControl)
pt | WMSetFocus (TCustomEdit)
pt | WMShowWindow (TWinControl)
pt | WMSize (TControl)
pt | WMSize (TWinControl)
pt | WMSysChar (TWinControl)
pt | WMSysKeyDown (TWinControl)
pt | WMSysKeyUp (TWinControl)
pt | WMWindowPosChanged (TControl)
pt | WMWindowPosChanged (TWinControl)
pt | WMXButtonDBLCLK (TControl)
pt | WMXButtonDown (TControl)
pt | WMXButtonQuadCLK (TControl)
pt | WMXButtonTripleCLK (TControl)
pt | WMXButtonUp (TControl)
pt | WndProc (TControl)
pt | WndProc (TWinControl)
pt | WndProc (TCustomEdit)
 | WriteLayoutDebugReport (TControl)
 | WriteLayoutDebugReport (TWinControl)
 | WriteLeft (TComponent)
 | WriteState (TComponent)
 | WriteTop (TComponent)
pt | WSRegisterClass (TLCLComponent)
pt | WSRegisterClass (TControl)
pt | WSRegisterClass (TWinControl)
pt | WSRegisterClass (TCustomEdit)
pt | WSRegisterClass (TCustomLabeledEdit)
pt | WSSetText (TWinControl)
 | _AddRef (TComponent)
 | _Release (TComponent)


TCustomLabeledEdit
TCustomEdit
 | OnChange
TWinControl
pt | OnGetSiteInfo
pt | OnGetDockCaption
 | OnAlignInsertBefore
 | OnAlignPosition
 | OnDockDrop
 | OnDockOver
 | OnEnter
 | OnExit
 | OnKeyDown
 | OnKeyPress
 | OnKeyUp
 | OnUnDock
 | OnUTF8KeyPress
TControl
pt | OnConstrainedResize
pt | OnContextPopup
pt | OnDblClick
pt | OnTripleClick
pt | OnQuadClick
pt | OnDragDrop
pt | OnDragOver
pt | OnEndDock
pt | OnEndDrag
pt | OnMouseDown
pt | OnMouseMove
pt | OnMouseUp
pt | OnMouseEnter
pt | OnMouseLeave
pt | OnMouseWheel
pt | OnMouseWheelDown
pt | OnMouseWheelUp
pt | OnMouseWheelHorz
pt | OnMouseWheelLeft
pt | OnMouseWheelRight
pt | OnStartDock
pt | OnStartDrag
pt | OnEditingDone
 | OnChangeBounds
 | OnClick
 | OnResize
 | OnShowHint
TLCLComponent
TComponent
TPersistent
TObject


TCustomLabeledEdit.CMBiDiModeChanged

Declaration

Source position: extctrls.pp line 973

protected procedure TCustomLabeledEdit.CMBiDiModeChanged(

  var Msg: TLMessage

); message;


TCustomLabeledEdit.Create

Create - constructor for TCustomLabeledEdit: calls inherited Create then sets initial position and label spacing

Declaration

Source position: extctrls.pp line 978

public constructor TCustomLabeledEdit.Create(

  TheOwner: TComponent

); override;

See also

TCustomEdit.Create

TBoundLabel.Create

Create - constructor for TBoundLabel: calls inherited Create, makes itself a SubComponent to the Owner, and sets its caption to the owner name


TCustomLabeledEdit.CreateInternalLabel

CreateInternalLabel - method for internally creating label

Declaration

Source position: extctrls.pp line 976

protected procedure TCustomLabeledEdit.CreateInternalLabel; virtual;


TCustomLabeledEdit.DoPositionLabel

DoPositionLabel - perform the code for positioning the label

Declaration

Source position: extctrls.pp line 971

protected procedure TCustomLabeledEdit.DoPositionLabel; virtual;


TCustomLabeledEdit.EditLabel

EditLabel - the label attached to the edit box

Declaration

Source position: extctrls.pp line 979

public property TCustomLabeledEdit.EditLabel : TBoundLabel
  read FEditLabel;


TCustomLabeledEdit.LabelPosition

LabelPosition - whether above, below, to the left or to the right of the Edit box

Declaration

Source position: extctrls.pp line 980

public property TCustomLabeledEdit.LabelPosition : TLabelPosition
  read FLabelPosition
  write SetLabelPosition
  default lpAbove;


TCustomLabeledEdit.LabelSpacing

LabelSpacing - the distance between the Label and the Edit box

Declaration

Source position: extctrls.pp line 982

public property TCustomLabeledEdit.LabelSpacing : Integer
  read FLabelSpacing
  write SetLabelSpacing
  default 3;


TCustomLabeledEdit.Loaded

Declaration

Source position: extctrls.pp line 970

protected procedure TCustomLabeledEdit.Loaded; override;


TCustomPanel

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

The base class for a general container which can hold other objects. It has a customizable border and a central text.

Declaration

Source position: extctrls.pp line 1055

type TCustomPanel = class(TCustomControl)
protected
class procedure WSRegisterClass; override; | Registers this component class with the current WidgetSet.
procedure AdjustClientRect(); override; | Override this method when the ClientRect of a control differs from the default value.
class function GetControlClassDefaultSize; override; | Returns the default size for this class of controls (when added to a form).
procedure CMParentColorChanged(); message; | Message handler for changed parent Color.
function GetDefaultDockCaption; override; | Returns the string for the dock caption, by default the control's Name.
procedure Loaded; override; |
procedure RealSetText(); override; | Sets the Caption property.
procedure Paint; override; | Override this method in your derived class with your own paint handler.
procedure SetParentBackground(); override;
procedure UpdateParentColorChange; | UpdateParentColorChange - update any pending changes in parent colour
property WordWrap: Boolean; [rw]
public
constructor Create(); override; | Create - constructor for TCustomPanel: calls inherited Create then sets initial style, bevel, colour, alignment and bounds
property Align: TAlign; | Specifies the placement of the control inside its Parent.
property Alignment: TAlignment; [rw] | Alignment - whether text is left or right justified, or centered
property BevelColor: TColor; [rw]
property BevelInner: TPanelBevel; [rw] | BevelInner - determines the nature of the Inner Bevel of the panel (whether raised, lowered etc)
property BevelOuter: TPanelBevel; [rw] | BevelOuter - determines the nature of the Outer Bevel of the panel (whether raised, lowered etc)
property BevelWidth: TBevelWidth; [rw] | BevelWidth - the Width of the panel's bevel in pixels
property Color: TColor; | The background color of the control.
property FullRepaint: Boolean; [rw] | FullRepaint - if True, the panel needs to be fully repainted after each change
property ParentBackground: Boolean;
property ParentColor: Boolean; | If true, the Color of the control will be the same as the one from the Parent. Default is true.
property TabStop: Boolean; | Allows the user to navigate to this control, by pressing the Tab key.
end;

Inheritance

TCustomPanel | The base class for a general container which can hold other objects. It has a customizable border and a central text.
|
TCustomControl | The base class for windowed controls which paint themselves.
|
TWinControl | The base class for controls which can contain other (child) controls.
|
TControl | The base class for visible controls.
|
TLCLComponent | The base class for LCL components associated with widgets.
|
TComponent,IUnknown,IInterfaceComponentReference
|
TPersistent,IFPObserved
|
TObject

Description

TCustomPanel: The base type for TPanel

A Panel is a defined rectangular area of the form into which other components can be placed to group them functionally and geographically.

TCustomPanel defines the positioning and bevelling properties of any descendent classes, and provides methods for painting and writing text to the panel.


TCustomPanel
pt |  | WordWrap
 | ro | Align
 |  | Alignment
 |  | BevelColor
 |  | BevelInner
 |  | BevelOuter
 |  | BevelWidth
 | ro | Color
 |  | FullRepaint
 | ro | ParentBackground
 | ro | ParentColor
 | ro | TabStop
TCustomControl
 |  | Canvas
 | ro | BorderStyle
TWinControl
pt |  | WindowHandle
pt |  | BorderStyle
pt |  | ParentBackground
 |  | BorderWidth
 | ro | BoundsLockCount
 | ro | Brush
 | ro | CachedClientHeight
 | ro | CachedClientWidth
 |  | ChildSizing
 | ro | ControlCount
 | ro | Controls
 |  | DefWndProc
 | ro | DockClientCount
 | ro | DockClients
 |  | DockManager
 |  | DockSite
 |  | DoubleBuffered
 |  | Handle
 | ro | IsFlipped
 | ro | IsResizing
 |  | TabOrder
 |  | TabStop
 |  | ParentDoubleBuffered
 |  | ParentWindow
 | ro | Showing
 |  | UseDockManager
 |  | DesignerDeleting
 | ro | VisibleDockClientCount
TControl
pt | ro | AutoSizing
pt | ro | AutoSizingAll
pt | ro | AutoSizingLockCount
pt |  | ActionLink
pt |  | DesktopFont
pt |  | DragCursor
pt |  | DragKind
pt |  | DragMode
pt |  | MouseCapture
pt |  | ParentColor
pt |  | ParentFont
pt |  | ParentShowHint
pt |  | SessionProperties
pt |  | Text
 | ro | AnchoredControls
 | ro | BaseBounds
 | ro | ReadBounds
 | ro | BaseParentClientSize
 |  | AccessibleDescription
 |  | AccessibleValue
 |  | AccessibleRole
 |  | Action
 |  | Align
 |  | Anchors
 | ro | AnchorSide
 |  | AutoSize
 |  | BorderSpacing
 |  | BoundsRect
 |  | BoundsRectForNewParent
 |  | Caption
 |  | CaptureMouseButtons
 |  | ClientHeight
 | ro | ClientOrigin
 | ro | ClientRect
 |  | ClientWidth
 |  | Color
 |  | Constraints
 | ro | ControlOrigin
 |  | ControlState
 |  | ControlStyle
 |  | Enabled
 |  | Font
 |  | IsControl
 | ro | MouseEntered
 | ro | MouseInClient
 |  | Parent
 |  | PopupMenu
 |  | ShowHint
 |  | Visible
 |  | WindowProc
 |  | DockOrientation
 | ro | Floating
 |  | FloatingDockSiteClass
 |  | HostDockSite
 |  | LRDockWidth
 |  | TBDockHeight
 |  | UndockHeight
 |  | UndockWidth
 |  | BiDiMode
 |  | ParentBiDiMode
pl |  | AnchorSideLeft
pl |  | AnchorSideTop
pl |  | AnchorSideRight
pl |  | AnchorSideBottom
pl |  | Cursor
pl |  | Left
pl |  | Height
pl |  | Hint
pl |  | Top
pl |  | Width
pl |  | HelpType
pl |  | HelpKeyword
pl |  | HelpContext
TLCLComponent
 | ro | LCLRefCount
 | ro | WidgetSetClass
TComponent
 | ro | ComObject
 | ro | Components
 | ro | ComponentCount
 |  | ComponentIndex
 | ro | ComponentState
 | ro | ComponentStyle
 |  | DesignInfo
 | ro | Owner
 |  | VCLComObject
 |  | Name
 |  | Tag
TPersistent
TObject


 |  | AccessibleDescription (TControl)
 |  | AccessibleRole (TControl)
 |  | AccessibleValue (TControl)
 |  | Action (TControl)
pt |  | ActionLink (TControl)
 |  | Align (TControl)
 | ro | Align (TCustomPanel)
 |  | Alignment (TCustomPanel)
 | ro | AnchoredControls (TControl)
 |  | Anchors (TControl)
 | ro | AnchorSide (TControl)
pl |  | AnchorSideBottom (TControl)
pl |  | AnchorSideLeft (TControl)
pl |  | AnchorSideRight (TControl)
pl |  | AnchorSideTop (TControl)
 |  | AutoSize (TControl)
pt | ro | AutoSizing (TControl)
pt | ro | AutoSizingAll (TControl)
pt | ro | AutoSizingLockCount (TControl)
 | ro | BaseBounds (TControl)
 | ro | BaseParentClientSize (TControl)
 |  | BevelColor (TCustomPanel)
 |  | BevelInner (TCustomPanel)
 |  | BevelOuter (TCustomPanel)
 |  | BevelWidth (TCustomPanel)
 |  | BiDiMode (TControl)
 |  | BorderSpacing (TControl)
pt |  | BorderStyle (TWinControl)
 | ro | BorderStyle (TCustomControl)
 |  | BorderWidth (TWinControl)
 | ro | BoundsLockCount (TWinControl)
 |  | BoundsRect (TControl)
 |  | BoundsRectForNewParent (TControl)
 | ro | Brush (TWinControl)
 | ro | CachedClientHeight (TWinControl)
 | ro | CachedClientWidth (TWinControl)
 |  | Canvas (TCustomControl)
 |  | Caption (TControl)
 |  | CaptureMouseButtons (TControl)
 |  | ChildSizing (TWinControl)
 |  | ClientHeight (TControl)
 | ro | ClientOrigin (TControl)
 | ro | ClientRect (TControl)
 |  | ClientWidth (TControl)
 |  | Color (TControl)
 | ro | Color (TCustomPanel)
 | ro | ComObject (TComponent)
 | ro | ComponentCount (TComponent)
 |  | ComponentIndex (TComponent)
 | ro | Components (TComponent)
 | ro | ComponentState (TComponent)
 | ro | ComponentStyle (TComponent)
 |  | Constraints (TControl)
 | ro | ControlCount (TWinControl)
 | ro | ControlOrigin (TControl)
 | ro | Controls (TWinControl)
 |  | ControlState (TControl)
 |  | ControlStyle (TControl)
pl |  | Cursor (TControl)
 |  | DefWndProc (TWinControl)
 |  | DesignerDeleting (TWinControl)
 |  | DesignInfo (TComponent)
pt |  | DesktopFont (TControl)
 | ro | DockClientCount (TWinControl)
 | ro | DockClients (TWinControl)
 |  | DockManager (TWinControl)
 |  | DockOrientation (TControl)
 |  | DockSite (TWinControl)
 |  | DoubleBuffered (TWinControl)
pt |  | DragCursor (TControl)
pt |  | DragKind (TControl)
pt |  | DragMode (TControl)
 |  | Enabled (TControl)
 | ro | Floating (TControl)
 |  | FloatingDockSiteClass (TControl)
 |  | Font (TControl)
 |  | FullRepaint (TCustomPanel)
 |  | Handle (TWinControl)
pl |  | Height (TControl)
pl |  | HelpContext (TControl)
pl |  | HelpKeyword (TControl)
pl |  | HelpType (TControl)
pl |  | Hint (TControl)
 |  | HostDockSite (TControl)
 |  | IsControl (TControl)
 | ro | IsFlipped (TWinControl)
 | ro | IsResizing (TWinControl)
 | ro | LCLRefCount (TLCLComponent)
pl |  | Left (TControl)
 |  | LRDockWidth (TControl)
pt |  | MouseCapture (TControl)
 | ro | MouseEntered (TControl)
 | ro | MouseInClient (TControl)
 |  | Name (TComponent)
 | ro | Owner (TComponent)
 |  | Parent (TControl)
pt |  | ParentBackground (TWinControl)
 | ro | ParentBackground (TCustomPanel)
 |  | ParentBiDiMode (TControl)
pt |  | ParentColor (TControl)
 | ro | ParentColor (TCustomPanel)
 |  | ParentDoubleBuffered (TWinControl)
pt |  | ParentFont (TControl)
pt |  | ParentShowHint (TControl)
 |  | ParentWindow (TWinControl)
 |  | PopupMenu (TControl)
 | ro | ReadBounds (TControl)
pt |  | SessionProperties (TControl)
 |  | ShowHint (TControl)
 | ro | Showing (TWinControl)
 |  | TabOrder (TWinControl)
 |  | TabStop (TWinControl)
 | ro | TabStop (TCustomPanel)
 |  | Tag (TComponent)
 |  | TBDockHeight (TControl)
pt |  | Text (TControl)
pl |  | Top (TControl)
 |  | UndockHeight (TControl)
 |  | UndockWidth (TControl)
 |  | UseDockManager (TWinControl)
 |  | VCLComObject (TComponent)
 |  | Visible (TControl)
 | ro | VisibleDockClientCount (TWinControl)
 | ro | WidgetSetClass (TLCLComponent)
pl |  | Width (TControl)
pt |  | WindowHandle (TWinControl)
 |  | WindowProc (TControl)
pt |  | WordWrap (TCustomPanel)


TCustomPanel
pt | WSRegisterClass
pt | AdjustClientRect
pt | GetControlClassDefaultSize
pt | CMParentColorChanged
pt | GetDefaultDockCaption
pt | Loaded
pt | RealSetText
pt | Paint
pt | SetParentBackground
pt | UpdateParentColorChange
 | Create
TCustomControl
pt | WSRegisterClass
pt | WMPaint
pt | DestroyWnd
pt | PaintWindow
pt | FontChanged
pt | SetColor
pt | Paint
 | Create
 | Destroy
TWinControl
pt | WSRegisterClass
pt | AdjustClientRect
pt | GetAdjustedLogicalClientRect
pt | AlignControls
pt | CustomAlignInsertBefore
pt | CustomAlignPosition
pt | DoAlignChildControls
pt | DoChildSizingChange
pt | InvalidatePreferredChildSizes
pt | CanTab
pt | IsClientHeightStored
pt | IsClientWidthStored
pt | DoSendShowHideToInterface
pt | ControlsAligned
pt | DoSendBoundsToInterface
pt | RealizeBounds
pt | RealizeBoundsRecursive
pt | InvalidateBoundsRealized
pt | CreateSubClass
pt | DoConstraintsChange
pt | DoSetBounds
pt | DoAutoSize
pt | DoAllAutoSize
pt | AllAutoSized
pt | CalculatePreferredSize
pt | GetPreferredSizeClientFrame
pt | GetChildren
pt | ChildClassAllowed
pt | PaintControls
pt | PaintHandler
pt | PaintWindow
pt | CreateBrush
pt | ScaleControls
pt | ChangeScale
pt | CMBiDiModeChanged
pt | CMBorderChanged
pt | CMDoubleBufferedChanged
pt | CMEnabledChanged
pt | CMParentDoubleBufferedChanged
pt | CMShowingChanged
pt | CMShowHintChanged
pt | CMVisibleChanged
pt | CMEnter
pt | CMExit
pt | WMContextMenu
pt | WMEraseBkgnd
pt | WMNotify
pt | WMSetFocus
pt | WMKillFocus
pt | WMShowWindow
pt | WMEnter
pt | WMExit
pt | WMKeyDown
pt | WMSysKeyDown
pt | WMKeyUp
pt | WMSysKeyUp
pt | WMChar
pt | WMSysChar
pt | WMPaint
pt | WMDestroy
pt | WMMove
pt | WMSize
pt | WMWindowPosChanged
pt | CNKeyDown
pt | CNSysKeyDown
pt | CNKeyUp
pt | CNSysKeyUp
pt | CNChar
pt | DoDragMsg
pt | DoDockClientMsg
pt | DoUndockClientMsg
pt | DoAddDockClient
pt | DockOver
pt | DoDockOver
pt | DoRemoveDockClient
pt | DoUnDock
pt | GetSiteInfo
pt | GetParentHandle
pt | GetTopParentHandle
pt | ReloadDockedControl
pt | CreateDockManager
pt | SetDockManager
pt | DoFloatMsg
pt | DoGetDockCaption
pt | DoEnter
pt | DoExit
pt | DoKeyDownBeforeInterface
pt | DoRemainingKeyDown
pt | DoRemainingKeyUp
pt | DoKeyPress
pt | DoUTF8KeyPress
pt | DoKeyUpBeforeInterface
pt | ChildKey
pt | SendDialogChar
pt | DialogChar
pt | ControlKeyDown
pt | ControlKeyUp
pt | KeyDown
pt | KeyDownBeforeInterface
pt | KeyDownAfterInterface
pt | KeyPress
pt | KeyUp
pt | KeyUpBeforeInterface
pt | KeyUpAfterInterface
pt | UTF8KeyPress
pt | FindNextControl
pt | SelectFirst
pt | RealGetText
pt | GetBorderStyle
pt | GetClientOrigin
pt | GetClientRect
pt | GetControlOrigin
pt | GetDeviceContext
pt | GetParentBackground
pt | IsControlMouseMsg
pt | CreateHandle
pt | CreateParams
pt | CreateWnd
pt | DestroyHandle
pt | DestroyWnd
pt | DoFlipChildren
pt | FinalizeWnd
pt | FixupTabList
pt | FontChanged
pt | InitializeWnd
pt | Loaded
pt | FormEndUpdated
pt | MainWndProc
pt | ParentFormHandleInitialized
pt | ChildHandlesCreated
pt | GetMouseCapture
pt | RealSetText
pt | RemoveFocus
pt | SendMoveSizeMessages
pt | SetBorderStyle
pt | SetColor
pt | SetChildZPosition
pt | SetParentBackground
pt | ShowControl
pt | UpdateControlState
pt | UpdateShowing
pt | WndProc
pt | WSSetText
 | AutoSizePhases
 | AutoSizeDelayed
 | AutoSizeDelayedReport
 | AutoSizeDelayedHandle
 | BeginUpdateBounds
 | EndUpdateBounds
 | LockRealizeBounds
 | UnlockRealizeBounds
 | ControlAtPos
 | ContainsControl
 | DoAdjustClientRectChange
 | InvalidateClientRectCache
 | ClientRectNeedsInterfaceUpdate
 | SetBounds
 | GetChildrenRect
 | DisableAlign
 | EnableAlign
 | ReAlign
 | ScrollBy_WS
 | ScrollBy
 | WriteLayoutDebugReport
 | AutoAdjustLayout
 | Create
 | CreateParented
 | CreateParentedControl
 | Destroy
 | DockDrop
 | CanFocus
 | CanSetFocus
 | GetControlIndex
 | SetControlIndex
 | Focused
 | PerformTab
 | FindChildControl
 | SelectNext
 | SetTempCursor
 | BroadCast
 | NotifyControls
 | DefaultHandler
 | GetTextLen
 | Invalidate
 | AddControl
 | InsertControl
 | RemoveControl
 | GetEnumeratorControls
 | GetEnumeratorControlsReverse
 | Repaint
 | Update
 | SetFocus
 | FlipChildren
 | ScaleBy
 | GetDockCaption
 | UpdateDockCaption
 | GetTabOrderList
 | HandleAllocated
 | ParentHandlesAllocated
 | HandleNeeded
 | BrushCreated
 | EraseBackground
 | IntfUTF8KeyPress
 | IntfGetDropFilesTarget
 | PaintTo
 | SetShape
TControl
pt | WSRegisterClass
pt | GetCursor
pt | SetCursor
pt | SetVisible
pt | DoOnParentHandleDestruction
pt | DoAutoSize
pt | DoAllAutoSize
pt | BeginAutoSizing
pt | EndAutoSizing
pt | AnchorSideChanged
pt | ForeignAnchorSideChanged
pt | SetAlign
pt | SetAnchors
pt | SetAutoSize
pt | BoundsChanged
pt | CreateControlBorderSpacing
pt | DoConstraintsChange
pt | DoBorderSpacingChange
pt | IsBorderSpacingInnerBorderStored
pt | IsCaptionStored
pt | SendMoveSizeMessages
pt | ConstrainedResize
pt | CalculatePreferredSize
pt | DoOnResize
pt | DoOnChangeBounds
pt | CheckOnChangeBounds
pt | Resize
pt | RequestAlign
pt | UpdateAnchorRules
pt | ChangeBounds
pt | DoSetBounds
pt | ScaleConstraints
pt | ChangeScale
pt | CanAutoSize
pt | SetBiDiMode
pt | SetParentBiDiMode
pt | IsAParentAligning
pt | GetClientOrigin
pt | GetClientRect
pt | GetLogicalClientRect
pt | GetScrolledClientRect
pt | GetClientScrollOffset
pt | GetControlOrigin
pt | IsClientHeightStored
pt | IsClientWidthStored
pt | WidthIsAnchored
pt | HeightIsAnchored
pt | WMCancelMode
pt | WMContextMenu
pt | WMLButtonDown
pt | WMRButtonDown
pt | WMMButtonDown
pt | WMXButtonDown
pt | WMLButtonDBLCLK
pt | WMRButtonDBLCLK
pt | WMMButtonDBLCLK
pt | WMXButtonDBLCLK
pt | WMLButtonTripleCLK
pt | WMRButtonTripleCLK
pt | WMMButtonTripleCLK
pt | WMXButtonTripleCLK
pt | WMLButtonQuadCLK
pt | WMRButtonQuadCLK
pt | WMMButtonQuadCLK
pt | WMXButtonQuadCLK
pt | WMMouseMove
pt | WMLButtonUp
pt | WMRButtonUp
pt | WMMButtonUp
pt | WMXButtonUp
pt | WMMouseWheel
pt | WMMouseHWheel
pt | WMMove
pt | WMSize
pt | WMWindowPosChanged
pt | CMChanged
pt | LMCaptureChanged
pt | CMBiDiModeChanged
pt | CMSysFontChanged
pt | CMEnabledChanged
pt | CMHitTest
pt | CMMouseEnter
pt | CMMouseLeave
pt | CMHintShow
pt | CMParentBiDiModeChanged
pt | CMParentColorChanged
pt | CMParentFontChanged
pt | CMParentShowHintChanged
pt | CMVisibleChanged
pt | CMTextChanged
pt | CMCursorChanged
pt | CalculateDockSizes
pt | CreateFloatingDockSite
pt | GetDockEdge
pt | GetDragImages
pt | GetFloating
pt | GetFloatingDockSiteClass
pt | BeforeDragStart
pt | BeginAutoDrag
pt | DoFloatMsg
pt | DockTrackNoTarget
pt | DoDock
pt | DoDragMsg
pt | DoEndDock
pt | DoEndDrag
pt | DoStartDock
pt | DoStartDrag
pt | DragCanceled
pt | DragOver
pt | PositionDockRect
pt | SetDragMode
pt | GetDefaultDockCaption
pt | Click
pt | DblClick
pt | TripleClick
pt | QuadClick
pt | GetMousePosFromMessage
pt | MouseDown
pt | MouseMove
pt | MouseUp
pt | MouseEnter
pt | MouseLeave
pt | DialogChar
pt | UpdateMouseCursor
pt | Changed
pt | GetPalette
pt | ChildClassAllowed
pt | ReadState
pt | Loaded
pt | LoadedAll
pt | DefineProperties
pt | AssignTo
pt | FormEndUpdated
pt | InvalidateControl
pt | FontChanged
pt | ParentFontChanged
pt | GetAction
pt | RealGetText
pt | RealSetText
pt | TextChanged
pt | GetCachedText
pt | SetAction
pt | SetColor
pt | SetEnabled
pt | SetHint
pt | SetName
pt | SetParent
pt | SetParentComponent
pt | WndProc
pt | ParentFormHandleInitialized
pt | GetMouseCapture
pt | CaptureChanged
pt | Notification
pt | CanTab
pt | GetDeviceContext
pt | GetEnabled
pt | GetPopupMenu
pt | DoOnShowHint
pt | DoMouseWheel
pt | DoMouseWheelDown
pt | DoMouseWheelUp
pt | DoMouseWheelHorz
pt | DoMouseWheelLeft
pt | DoMouseWheelRight
pt | VisibleChanging
pt | VisibleChanged
pt | EnabledChanging
pt | EnabledChanged
pt | AddHandler
pt | RemoveHandler
pt | DoCallNotifyHandler
pt | DoCallKeyEventHandler
pt | DoCallMouseWheelEventHandler
pt | DoContextPopup
pt | SetZOrder
pt | GetControlClassDefaultSize
pt | ColorIsStored
pt | DoAutoAdjustLayout
pt | DoFixDesignFontPPI
pt | DoScaleFontPPI
pt | GetActionLinkClass
pt | ActionChange
 | DragDrop
 | Dock
 | ManualDock
 | ManualFloat
 | ReplaceDockedControl
 | Docked
 | Dragging
 | GetAccessibleObject
 | CreateAccessibleObject
 | GetSelectedChildAccessibleObject
 | GetChildAccessibleObjectAtPos
 | ScaleDesignToForm
 | ScaleFormToDesign
 | Scale96ToForm
 | ScaleFormTo96
 | Scale96ToFont
 | ScaleFontTo96
 | ScaleScreenToFont
 | ScaleFontToScreen
 | Scale96ToScreen
 | ScaleScreenTo96
 | AdjustSize
 | AutoSizePhases
 | AutoSizeDelayed
 | AutoSizeDelayedReport
 | AutoSizeDelayedHandle
 | AnchorToNeighbour
 | AnchorParallel
 | AnchorHorizontalCenterTo
 | AnchorVerticalCenterTo
 | AnchorToCompanion
 | AnchorSame
 | AnchorAsAlign
 | AnchorClient
 | AnchoredControlCount
 | SetBounds
 | SetInitialBounds
 | SetBoundsKeepBase
 | GetPreferredSize
 | GetCanvasScaleFactor
 | GetDefaultWidth
 | GetDefaultHeight
 | GetDefaultColor
 | GetColorResolvingParent
 | GetRGBColorResolvingParent
 | GetSidePosition
 | CNPreferredSizeChanged
 | InvalidatePreferredSize
 | GetAnchorsDependingOnParent
 | DisableAutoSizing
 | EnableAutoSizing
 | UpdateBaseBounds
 | WriteLayoutDebugReport
 | AutoAdjustLayout
 | ShouldAutoAdjust
 | FixDesignFontsPPI
 | ScaleFontsPPI
 | Create
 | Destroy
 | BeforeDestruction
 | EditingDone
 | ExecuteDefaultAction
 | ExecuteCancelAction
 | BeginDrag
 | EndDrag
 | BringToFront
 | HasParent
 | GetParentComponent
 | IsParentOf
 | GetTopParent
 | IsVisible
 | IsControlVisible
 | IsEnabled
 | IsParentColor
 | IsParentFont
 | FormIsUpdating
 | IsProcessingPaintMsg
 | Hide
 | Refresh
 | Repaint
 | Invalidate
 | CheckChildClassAllowed
 | CheckNewParent
 | SendToBack
 | SetTempCursor
 | UpdateRolesForForm
 | ActiveDefaultControlChanged
 | GetTextBuf
 | GetTextLen
 | SetTextBuf
 | Perform
 | ScreenToClient
 | ClientToScreen
 | ScreenToControl
 | ControlToScreen
 | ClientToParent
 | ParentToClient
 | GetChildrenRect
 | Show
 | Update
 | HandleObjectShouldBeVisible
 | ParentDestroyingHandle
 | ParentHandlesAllocated
 | InitiateAction
 | ShowHelp
 | HasHelp
 | RemoveAllHandlersOfObject
 | AddHandlerOnResize
 | RemoveHandlerOnResize
 | AddHandlerOnChangeBounds
 | RemoveHandlerOnChangeBounds
 | AddHandlerOnVisibleChanging
 | RemoveHandlerOnVisibleChanging
 | AddHandlerOnVisibleChanged
 | RemoveHandlerOnVisibleChanged
 | AddHandlerOnEnabledChanged
 | RemoveHandlerOnEnableChanging
 | AddHandlerOnKeyDown
 | RemoveHandlerOnKeyDown
 | AddHandlerOnBeforeDestruction
 | RemoveHandlerOnBeforeDestruction
 | AddHandlerOnMouseWheel
 | RemoveHandlerOnMouseWheel
 | UseRightToLeftAlignment
 | UseRightToLeftReading
 | UseRightToLeftScrollBar
 | IsRightToLeft
TLCLComponent
pt | WSRegisterClass
pt | GetWSComponentClass
 | Create
 | Destroy
 | NewInstance
 | RemoveAllHandlersOfObject
 | IncLCLRefCount
 | DecLCLRefCount
TComponent
 | GetComObject
 | GetComponent
 | GetComponentCount
 | GetComponentIndex
 | Insert
 | ReadLeft
 | ReadTop
 | Remove
 | RemoveNotification
 | SetComponentIndex
 | SetReference
 | WriteLeft
 | WriteTop
 | ChangeName
 | DefineProperties
 | GetChildren
 | GetChildOwner
 | GetChildParent
 | GetOwner
 | Loaded
 | Loading
 | Notification
 | PaletteCreated
 | ReadState
 | SetAncestor
 | SetDesigning
 | SetDesignInstance
 | SetInline
 | SetName
 | SetChildOrder
 | SetParentComponent
 | Updating
 | Updated
 | UpdateRegistry
 | ValidateRename
 | ValidateContainer
 | ValidateInsert
 | QueryInterface
 | _AddRef
 | _Release
 | iicrGetComponent
 | GetTypeInfoCount
 | GetTypeInfo
 | GetIDsOfNames
 | Invoke
 | WriteState
 | Create
 | Destroy
 | BeforeDestruction
 | DestroyComponents
 | Destroying
 | ExecuteAction
 | FindComponent
 | FreeNotification
 | RemoveFreeNotification
 | FreeOnRelease
 | GetEnumerator
 | GetNamePath
 | GetParentComponent
 | HasParent
 | InsertComponent
 | RemoveComponent
 | SafeCallException
 | SetSubComponent
 | UpdateAction
 | IsImplementorOf
 | ReferenceInterface
TPersistent
 | AssignError
 | AssignTo
 | DefineProperties
 | GetOwner
 | Destroy
 | Assign
 | FPOAttachObserver
 | FPODetachObserver
 | FPONotifyObservers
 | GetNamePath
TObject
 | Create
 | Destroy
 | newinstance
 | FreeInstance
 | SafeCallException
 | DefaultHandler
 | Free
 | InitInstance
 | CleanupInstance
 | ClassType
 | ClassInfo
 | ClassName
 | ClassNameIs
 | ClassParent
 | InstanceSize
 | InheritsFrom
 | StringMessageTable
 | MethodAddress
 | MethodName
 | FieldAddress
 | AfterConstruction
 | BeforeDestruction
 | DefaultHandlerStr
 | Dispatch
 | DispatchStr
 | GetInterface
 | GetInterfaceByStr
 | GetInterfaceWeak
 | GetInterfaceEntry
 | GetInterfaceEntryByStr
 | GetInterfaceTable
 | UnitName
 | Equals
 | GetHashCode
 | ToString


pt | ActionChange (TControl)
 | ActiveDefaultControlChanged (TControl)
 | AddControl (TWinControl)
pt | AddHandler (TControl)
 | AddHandlerOnBeforeDestruction (TControl)
 | AddHandlerOnChangeBounds (TControl)
 | AddHandlerOnEnabledChanged (TControl)
 | AddHandlerOnKeyDown (TControl)
 | AddHandlerOnMouseWheel (TControl)
 | AddHandlerOnResize (TControl)
 | AddHandlerOnVisibleChanged (TControl)
 | AddHandlerOnVisibleChanging (TControl)
pt | AdjustClientRect (TWinControl)
pt | AdjustClientRect (TCustomPanel)
 | AdjustSize (TControl)
 | AfterConstruction (TObject)
pt | AlignControls (TWinControl)
pt | AllAutoSized (TWinControl)
 | AnchorAsAlign (TControl)
 | AnchorClient (TControl)
 | AnchoredControlCount (TControl)
 | AnchorHorizontalCenterTo (TControl)
 | AnchorParallel (TControl)
 | AnchorSame (TControl)
pt | AnchorSideChanged (TControl)
 | AnchorToCompanion (TControl)
 | AnchorToNeighbour (TControl)
 | AnchorVerticalCenterTo (TControl)
 | Assign (TPersistent)
 | AssignError (TPersistent)
 | AssignTo (TPersistent)
pt | AssignTo (TControl)
 | AutoAdjustLayout (TControl)
 | AutoAdjustLayout (TWinControl)
 | AutoSizeDelayed (TControl)
 | AutoSizeDelayed (TWinControl)
 | AutoSizeDelayedHandle (TControl)
 | AutoSizeDelayedHandle (TWinControl)
 | AutoSizeDelayedReport (TControl)
 | AutoSizeDelayedReport (TWinControl)
 | AutoSizePhases (TControl)
 | AutoSizePhases (TWinControl)
 | BeforeDestruction (TObject)
 | BeforeDestruction (TComponent)
 | BeforeDestruction (TControl)
pt | BeforeDragStart (TControl)
pt | BeginAutoDrag (TControl)
pt | BeginAutoSizing (TControl)
 | BeginDrag (TControl)
 | BeginUpdateBounds (TWinControl)
pt | BoundsChanged (TControl)
 | BringToFront (TControl)
 | BroadCast (TWinControl)
 | BrushCreated (TWinControl)
pt | CalculateDockSizes (TControl)
pt | CalculatePreferredSize (TControl)
pt | CalculatePreferredSize (TWinControl)
pt | CanAutoSize (TControl)
 | CanFocus (TWinControl)
 | CanSetFocus (TWinControl)
pt | CanTab (TControl)
pt | CanTab (TWinControl)
pt | CaptureChanged (TControl)
pt | ChangeBounds (TControl)
pt | Changed (TControl)
 | ChangeName (TComponent)
pt | ChangeScale (TControl)
pt | ChangeScale (TWinControl)
 | CheckChildClassAllowed (TControl)
 | CheckNewParent (TControl)
pt | CheckOnChangeBounds (TControl)
pt | ChildClassAllowed (TControl)
pt | ChildClassAllowed (TWinControl)
pt | ChildHandlesCreated (TWinControl)
pt | ChildKey (TWinControl)
 | ClassInfo (TObject)
 | ClassName (TObject)
 | ClassNameIs (TObject)
 | ClassParent (TObject)
 | ClassType (TObject)
 | CleanupInstance (TObject)
pt | Click (TControl)
 | ClientRectNeedsInterfaceUpdate (TWinControl)
 | ClientToParent (TControl)
 | ClientToScreen (TControl)
pt | CMBiDiModeChanged (TControl)
pt | CMBiDiModeChanged (TWinControl)
pt | CMBorderChanged (TWinControl)
pt | CMChanged (TControl)
pt | CMCursorChanged (TControl)
pt | CMDoubleBufferedChanged (TWinControl)
pt | CMEnabledChanged (TControl)
pt | CMEnabledChanged (TWinControl)
pt | CMEnter (TWinControl)
pt | CMExit (TWinControl)
pt | CMHintShow (TControl)
pt | CMHitTest (TControl)
pt | CMMouseEnter (TControl)
pt | CMMouseLeave (TControl)
pt | CMParentBiDiModeChanged (TControl)
pt | CMParentColorChanged (TControl)
pt | CMParentColorChanged (TCustomPanel)
pt | CMParentDoubleBufferedChanged (TWinControl)
pt | CMParentFontChanged (TControl)
pt | CMParentShowHintChanged (TControl)
pt | CMShowHintChanged (TWinControl)
pt | CMShowingChanged (TWinControl)
pt | CMSysFontChanged (TControl)
pt | CMTextChanged (TControl)
pt | CMVisibleChanged (TControl)
pt | CMVisibleChanged (TWinControl)
pt | CNChar (TWinControl)
pt | CNKeyDown (TWinControl)
pt | CNKeyUp (TWinControl)
 | CNPreferredSizeChanged (TControl)
pt | CNSysKeyDown (TWinControl)
pt | CNSysKeyUp (TWinControl)
pt | ColorIsStored (TControl)
pt | ConstrainedResize (TControl)
 | ContainsControl (TWinControl)
 | ControlAtPos (TWinControl)
pt | ControlKeyDown (TWinControl)
pt | ControlKeyUp (TWinControl)
pt | ControlsAligned (TWinControl)
 | ControlToScreen (TControl)
 | Create (TObject)
 | Create (TComponent)
 | Create (TLCLComponent)
 | Create (TControl)
 | Create (TWinControl)
 | Create (TCustomControl)
 | Create (TCustomPanel)
 | CreateAccessibleObject (TControl)
pt | CreateBrush (TWinControl)
pt | CreateControlBorderSpacing (TControl)
pt | CreateDockManager (TWinControl)
pt | CreateFloatingDockSite (TControl)
pt | CreateHandle (TWinControl)
pt | CreateParams (TWinControl)
 | CreateParented (TWinControl)
 | CreateParentedControl (TWinControl)
pt | CreateSubClass (TWinControl)
pt | CreateWnd (TWinControl)
pt | CustomAlignInsertBefore (TWinControl)
pt | CustomAlignPosition (TWinControl)
pt | DblClick (TControl)
 | DecLCLRefCount (TLCLComponent)
 | DefaultHandler (TObject)
 | DefaultHandler (TWinControl)
 | DefaultHandlerStr (TObject)
 | DefineProperties (TPersistent)
 | DefineProperties (TComponent)
pt | DefineProperties (TControl)
 | Destroy (TObject)
 | Destroy (TPersistent)
 | Destroy (TComponent)
 | Destroy (TLCLComponent)
 | Destroy (TControl)
 | Destroy (TWinControl)
 | Destroy (TCustomControl)
 | DestroyComponents (TComponent)
pt | DestroyHandle (TWinControl)
 | Destroying (TComponent)
pt | DestroyWnd (TWinControl)
pt | DestroyWnd (TCustomControl)
pt | DialogChar (TControl)
pt | DialogChar (TWinControl)
 | DisableAlign (TWinControl)
 | DisableAutoSizing (TControl)
 | Dispatch (TObject)
 | DispatchStr (TObject)
pt | DoAddDockClient (TWinControl)
 | DoAdjustClientRectChange (TWinControl)
pt | DoAlignChildControls (TWinControl)
pt | DoAllAutoSize (TControl)
pt | DoAllAutoSize (TWinControl)
pt | DoAutoAdjustLayout (TControl)
pt | DoAutoSize (TControl)
pt | DoAutoSize (TWinControl)
pt | DoBorderSpacingChange (TControl)
pt | DoCallKeyEventHandler (TControl)
pt | DoCallMouseWheelEventHandler (TControl)
pt | DoCallNotifyHandler (TControl)
pt | DoChildSizingChange (TWinControl)
 | Dock (TControl)
 | DockDrop (TWinControl)
 | Docked (TControl)
pt | DockOver (TWinControl)
pt | DockTrackNoTarget (TControl)
pt | DoConstraintsChange (TControl)
pt | DoConstraintsChange (TWinControl)
pt | DoContextPopup (TControl)
pt | DoDock (TControl)
pt | DoDockClientMsg (TWinControl)
pt | DoDockOver (TWinControl)
pt | DoDragMsg (TControl)
pt | DoDragMsg (TWinControl)
pt | DoEndDock (TControl)
pt | DoEndDrag (TControl)
pt | DoEnter (TWinControl)
pt | DoExit (TWinControl)
pt | DoFixDesignFontPPI (TControl)
pt | DoFlipChildren (TWinControl)
pt | DoFloatMsg (TControl)
pt | DoFloatMsg (TWinControl)
pt | DoGetDockCaption (TWinControl)
pt | DoKeyDownBeforeInterface (TWinControl)
pt | DoKeyPress (TWinControl)
pt | DoKeyUpBeforeInterface (TWinControl)
pt | DoMouseWheel (TControl)
pt | DoMouseWheelDown (TControl)
pt | DoMouseWheelHorz (TControl)
pt | DoMouseWheelLeft (TControl)
pt | DoMouseWheelRight (TControl)
pt | DoMouseWheelUp (TControl)
pt | DoOnChangeBounds (TControl)
pt | DoOnParentHandleDestruction (TControl)
pt | DoOnResize (TControl)
pt | DoOnShowHint (TControl)
pt | DoRemainingKeyDown (TWinControl)
pt | DoRemainingKeyUp (TWinControl)
pt | DoRemoveDockClient (TWinControl)
pt | DoScaleFontPPI (TControl)
pt | DoSendBoundsToInterface (TWinControl)
pt | DoSendShowHideToInterface (TWinControl)
pt | DoSetBounds (TControl)
pt | DoSetBounds (TWinControl)
pt | DoStartDock (TControl)
pt | DoStartDrag (TControl)
pt | DoUnDock (TWinControl)
pt | DoUndockClientMsg (TWinControl)
pt | DoUTF8KeyPress (TWinControl)
pt | DragCanceled (TControl)
 | DragDrop (TControl)
 | Dragging (TControl)
pt | DragOver (TControl)
 | EditingDone (TControl)
 | EnableAlign (TWinControl)
 | EnableAutoSizing (TControl)
pt | EnabledChanged (TControl)
pt | EnabledChanging (TControl)
pt | EndAutoSizing (TControl)
 | EndDrag (TControl)
 | EndUpdateBounds (TWinControl)
 | Equals (TObject)
 | EraseBackground (TWinControl)
 | ExecuteAction (TComponent)
 | ExecuteCancelAction (TControl)
 | ExecuteDefaultAction (TControl)
 | FieldAddress (TObject)
pt | FinalizeWnd (TWinControl)
 | FindChildControl (TWinControl)
 | FindComponent (TComponent)
pt | FindNextControl (TWinControl)
 | FixDesignFontsPPI (TControl)
pt | FixupTabList (TWinControl)
 | FlipChildren (TWinControl)
 | Focused (TWinControl)
pt | FontChanged (TControl)
pt | FontChanged (TWinControl)
pt | FontChanged (TCustomControl)
pt | ForeignAnchorSideChanged (TControl)
pt | FormEndUpdated (TControl)
pt | FormEndUpdated (TWinControl)
 | FormIsUpdating (TControl)
 | FPOAttachObserver (TPersistent)
 | FPODetachObserver (TPersistent)
 | FPONotifyObservers (TPersistent)
 | Free (TObject)
 | FreeInstance (TObject)
 | FreeNotification (TComponent)
 | FreeOnRelease (TComponent)
 | GetAccessibleObject (TControl)
pt | GetAction (TControl)
pt | GetActionLinkClass (TControl)
pt | GetAdjustedLogicalClientRect (TWinControl)
 | GetAnchorsDependingOnParent (TControl)
pt | GetBorderStyle (TWinControl)
pt | GetCachedText (TControl)
 | GetCanvasScaleFactor (TControl)
 | GetChildAccessibleObjectAtPos (TControl)
 | GetChildOwner (TComponent)
 | GetChildParent (TComponent)
 | GetChildren (TComponent)
pt | GetChildren (TWinControl)
 | GetChildrenRect (TControl)
 | GetChildrenRect (TWinControl)
pt | GetClientOrigin (TControl)
pt | GetClientOrigin (TWinControl)
pt | GetClientRect (TControl)
pt | GetClientRect (TWinControl)
pt | GetClientScrollOffset (TControl)
 | GetColorResolvingParent (TControl)
 | GetComObject (TComponent)
 | GetComponent (TComponent)
 | GetComponentCount (TComponent)
 | GetComponentIndex (TComponent)
pt | GetControlClassDefaultSize (TControl)
pt | GetControlClassDefaultSize (TCustomPanel)
 | GetControlIndex (TWinControl)
pt | GetControlOrigin (TControl)
pt | GetControlOrigin (TWinControl)
pt | GetCursor (TControl)
 | GetDefaultColor (TControl)
pt | GetDefaultDockCaption (TControl)
pt | GetDefaultDockCaption (TCustomPanel)
 | GetDefaultHeight (TControl)
 | GetDefaultWidth (TControl)
pt | GetDeviceContext (TControl)
pt | GetDeviceContext (TWinControl)
 | GetDockCaption (TWinControl)
pt | GetDockEdge (TControl)
pt | GetDragImages (TControl)
pt | GetEnabled (TControl)
 | GetEnumerator (TComponent)
 | GetEnumeratorControls (TWinControl)
 | GetEnumeratorControlsReverse (TWinControl)
pt | GetFloating (TControl)
pt | GetFloatingDockSiteClass (TControl)
 | GetHashCode (TObject)
 | GetIDsOfNames (TComponent)
 | GetInterface (TObject)
 | GetInterfaceByStr (TObject)
 | GetInterfaceEntry (TObject)
 | GetInterfaceEntryByStr (TObject)
 | GetInterfaceTable (TObject)
 | GetInterfaceWeak (TObject)
pt | GetLogicalClientRect (TControl)
pt | GetMouseCapture (TControl)
pt | GetMouseCapture (TWinControl)
pt | GetMousePosFromMessage (TControl)
 | GetNamePath (TPersistent)
 | GetNamePath (TComponent)
 | GetOwner (TPersistent)
 | GetOwner (TComponent)
pt | GetPalette (TControl)
pt | GetParentBackground (TWinControl)
 | GetParentComponent (TComponent)
 | GetParentComponent (TControl)
pt | GetParentHandle (TWinControl)
pt | GetPopupMenu (TControl)
 | GetPreferredSize (TControl)
pt | GetPreferredSizeClientFrame (TWinControl)
 | GetRGBColorResolvingParent (TControl)
pt | GetScrolledClientRect (TControl)
 | GetSelectedChildAccessibleObject (TControl)
 | GetSidePosition (TControl)
pt | GetSiteInfo (TWinControl)
 | GetTabOrderList (TWinControl)
 | GetTextBuf (TControl)
 | GetTextLen (TControl)
 | GetTextLen (TWinControl)
 | GetTopParent (TControl)
pt | GetTopParentHandle (TWinControl)
 | GetTypeInfo (TComponent)
 | GetTypeInfoCount (TComponent)
pt | GetWSComponentClass (TLCLComponent)
 | HandleAllocated (TWinControl)
 | HandleNeeded (TWinControl)
 | HandleObjectShouldBeVisible (TControl)
 | HasHelp (TControl)
 | HasParent (TComponent)
 | HasParent (TControl)
pt | HeightIsAnchored (TControl)
 | Hide (TControl)
 | iicrGetComponent (TComponent)
 | IncLCLRefCount (TLCLComponent)
 | InheritsFrom (TObject)
pt | InitializeWnd (TWinControl)
 | InitiateAction (TControl)
 | InitInstance (TObject)
 | Insert (TComponent)
 | InsertComponent (TComponent)
 | InsertControl (TWinControl)
 | InstanceSize (TObject)
 | IntfGetDropFilesTarget (TWinControl)
 | IntfUTF8KeyPress (TWinControl)
 | Invalidate (TControl)
 | Invalidate (TWinControl)
pt | InvalidateBoundsRealized (TWinControl)
 | InvalidateClientRectCache (TWinControl)
pt | InvalidateControl (TControl)
pt | InvalidatePreferredChildSizes (TWinControl)
 | InvalidatePreferredSize (TControl)
 | Invoke (TComponent)
pt | IsAParentAligning (TControl)
pt | IsBorderSpacingInnerBorderStored (TControl)
pt | IsCaptionStored (TControl)
pt | IsClientHeightStored (TControl)
pt | IsClientHeightStored (TWinControl)
pt | IsClientWidthStored (TControl)
pt | IsClientWidthStored (TWinControl)
pt | IsControlMouseMsg (TWinControl)
 | IsControlVisible (TControl)
 | IsEnabled (TControl)
 | IsImplementorOf (TComponent)
 | IsParentColor (TControl)
 | IsParentFont (TControl)
 | IsParentOf (TControl)
 | IsProcessingPaintMsg (TControl)
 | IsRightToLeft (TControl)
 | IsVisible (TControl)
pt | KeyDown (TWinControl)
pt | KeyDownAfterInterface (TWinControl)
pt | KeyDownBeforeInterface (TWinControl)
pt | KeyPress (TWinControl)
pt | KeyUp (TWinControl)
pt | KeyUpAfterInterface (TWinControl)
pt | KeyUpBeforeInterface (TWinControl)
pt | LMCaptureChanged (TControl)
 | Loaded (TComponent)
pt | Loaded (TControl)
pt | Loaded (TWinControl)
pt | Loaded (TCustomPanel)
pt | LoadedAll (TControl)
 | Loading (TComponent)
 | LockRealizeBounds (TWinControl)
pt | MainWndProc (TWinControl)
 | ManualDock (TControl)
 | ManualFloat (TControl)
 | MethodAddress (TObject)
 | MethodName (TObject)
pt | MouseDown (TControl)
pt | MouseEnter (TControl)
pt | MouseLeave (TControl)
pt | MouseMove (TControl)
pt | MouseUp (TControl)
 | newinstance (TObject)
 | NewInstance (TLCLComponent)
 | Notification (TComponent)
pt | Notification (TControl)
 | NotifyControls (TWinControl)
pt | Paint (TCustomControl)
pt | Paint (TCustomPanel)
pt | PaintControls (TWinControl)
pt | PaintHandler (TWinControl)
 | PaintTo (TWinControl)
pt | PaintWindow (TWinControl)
pt | PaintWindow (TCustomControl)
 | PaletteCreated (TComponent)
 | ParentDestroyingHandle (TControl)
pt | ParentFontChanged (TControl)
pt | ParentFormHandleInitialized (TControl)
pt | ParentFormHandleInitialized (TWinControl)
 | ParentHandlesAllocated (TControl)
 | ParentHandlesAllocated (TWinControl)
 | ParentToClient (TControl)
 | Perform (TControl)
 | PerformTab (TWinControl)
pt | PositionDockRect (TControl)
pt | QuadClick (TControl)
 | QueryInterface (TComponent)
 | ReadLeft (TComponent)
 | ReadState (TComponent)
pt | ReadState (TControl)
 | ReadTop (TComponent)
pt | RealGetText (TControl)
pt | RealGetText (TWinControl)
 | ReAlign (TWinControl)
pt | RealizeBounds (TWinControl)
pt | RealizeBoundsRecursive (TWinControl)
pt | RealSetText (TControl)
pt | RealSetText (TWinControl)
pt | RealSetText (TCustomPanel)
 | ReferenceInterface (TComponent)
 | Refresh (TControl)
pt | ReloadDockedControl (TWinControl)
 | Remove (TComponent)
 | RemoveAllHandlersOfObject (TLCLComponent)
 | RemoveAllHandlersOfObject (TControl)
 | RemoveComponent (TComponent)
 | RemoveControl (TWinControl)
pt | RemoveFocus (TWinControl)
 | RemoveFreeNotification (TComponent)
pt | RemoveHandler (TControl)
 | RemoveHandlerOnBeforeDestruction (TControl)
 | RemoveHandlerOnChangeBounds (TControl)
 | RemoveHandlerOnEnableChanging (TControl)
 | RemoveHandlerOnKeyDown (TControl)
 | RemoveHandlerOnMouseWheel (TControl)
 | RemoveHandlerOnResize (TControl)
 | RemoveHandlerOnVisibleChanged (TControl)
 | RemoveHandlerOnVisibleChanging (TControl)
 | RemoveNotification (TComponent)
 | Repaint (TControl)
 | Repaint (TWinControl)
 | ReplaceDockedControl (TControl)
pt | RequestAlign (TControl)
pt | Resize (TControl)
 | SafeCallException (TObject)
 | SafeCallException (TComponent)
 | Scale96ToFont (TControl)
 | Scale96ToForm (TControl)
 | Scale96ToScreen (TControl)
 | ScaleBy (TWinControl)
pt | ScaleConstraints (TControl)
pt | ScaleControls (TWinControl)
 | ScaleDesignToForm (TControl)
 | ScaleFontsPPI (TControl)
 | ScaleFontTo96 (TControl)
 | ScaleFontToScreen (TControl)
 | ScaleFormTo96 (TControl)
 | ScaleFormToDesign (TControl)
 | ScaleScreenTo96 (TControl)
 | ScaleScreenToFont (TControl)
 | ScreenToClient (TControl)
 | ScreenToControl (TControl)
 | ScrollBy (TWinControl)
 | ScrollBy_WS (TWinControl)
pt | SelectFirst (TWinControl)
 | SelectNext (TWinControl)
pt | SendDialogChar (TWinControl)
pt | SendMoveSizeMessages (TControl)
pt | SendMoveSizeMessages (TWinControl)
 | SendToBack (TControl)
pt | SetAction (TControl)
pt | SetAlign (TControl)
 | SetAncestor (TComponent)
pt | SetAnchors (TControl)
pt | SetAutoSize (TControl)
pt | SetBiDiMode (TControl)
pt | SetBorderStyle (TWinControl)
 | SetBounds (TControl)
 | SetBounds (TWinControl)
 | SetBoundsKeepBase (TControl)
 | SetChildOrder (TComponent)
pt | SetChildZPosition (TWinControl)
pt | SetColor (TControl)
pt | SetColor (TWinControl)
pt | SetColor (TCustomControl)
 | SetComponentIndex (TComponent)
 | SetControlIndex (TWinControl)
pt | SetCursor (TControl)
 | SetDesigning (TComponent)
 | SetDesignInstance (TComponent)
pt | SetDockManager (TWinControl)
pt | SetDragMode (TControl)
pt | SetEnabled (TControl)
 | SetFocus (TWinControl)
pt | SetHint (TControl)
 | SetInitialBounds (TControl)
 | SetInline (TComponent)
 | SetName (TComponent)
pt | SetName (TControl)
pt | SetParent (TControl)
pt | SetParentBackground (TWinControl)
pt | SetParentBackground (TCustomPanel)
pt | SetParentBiDiMode (TControl)
 | SetParentComponent (TComponent)
pt | SetParentComponent (TControl)
 | SetReference (TComponent)
 | SetShape (TWinControl)
 | SetSubComponent (TComponent)
 | SetTempCursor (TControl)
 | SetTempCursor (TWinControl)
 | SetTextBuf (TControl)
pt | SetVisible (TControl)
pt | SetZOrder (TControl)
 | ShouldAutoAdjust (TControl)
 | Show (TControl)
pt | ShowControl (TWinControl)
 | ShowHelp (TControl)
 | StringMessageTable (TObject)
pt | TextChanged (TControl)
 | ToString (TObject)
pt | TripleClick (TControl)
 | UnitName (TObject)
 | UnlockRealizeBounds (TWinControl)
 | Update (TControl)
 | Update (TWinControl)
 | UpdateAction (TComponent)
pt | UpdateAnchorRules (TControl)
 | UpdateBaseBounds (TControl)
pt | UpdateControlState (TWinControl)
 | Updated (TComponent)
 | UpdateDockCaption (TWinControl)
pt | UpdateMouseCursor (TControl)
pt | UpdateParentColorChange (TCustomPanel)
 | UpdateRegistry (TComponent)
 | UpdateRolesForForm (TControl)
pt | UpdateShowing (TWinControl)
 | Updating (TComponent)
 | UseRightToLeftAlignment (TControl)
 | UseRightToLeftReading (TControl)
 | UseRightToLeftScrollBar (TControl)
pt | UTF8KeyPress (TWinControl)
 | ValidateContainer (TComponent)
 | ValidateInsert (TComponent)
 | ValidateRename (TComponent)
pt | VisibleChanged (TControl)
pt | VisibleChanging (TControl)
pt | WidthIsAnchored (TControl)
pt | WMCancelMode (TControl)
pt | WMChar (TWinControl)
pt | WMContextMenu (TControl)
pt | WMContextMenu (TWinControl)
pt | WMDestroy (TWinControl)
pt | WMEnter (TWinControl)
pt | WMEraseBkgnd (TWinControl)
pt | WMExit (TWinControl)
pt | WMKeyDown (TWinControl)
pt | WMKeyUp (TWinControl)
pt | WMKillFocus (TWinControl)
pt | WMLButtonDBLCLK (TControl)
pt | WMLButtonDown (TControl)
pt | WMLButtonQuadCLK (TControl)
pt | WMLButtonTripleCLK (TControl)
pt | WMLButtonUp (TControl)
pt | WMMButtonDBLCLK (TControl)
pt | WMMButtonDown (TControl)
pt | WMMButtonQuadCLK (TControl)
pt | WMMButtonTripleCLK (TControl)
pt | WMMButtonUp (TControl)
pt | WMMouseHWheel (TControl)
pt | WMMouseMove (TControl)
pt | WMMouseWheel (TControl)
pt | WMMove (TControl)
pt | WMMove (TWinControl)
pt | WMNotify (TWinControl)
pt | WMPaint (TWinControl)
pt | WMPaint (TCustomControl)
pt | WMRButtonDBLCLK (TControl)
pt | WMRButtonDown (TControl)
pt | WMRButtonQuadCLK (TControl)
pt | WMRButtonTripleCLK (TControl)
pt | WMRButtonUp (TControl)
pt | WMSetFocus (TWinControl)
pt | WMShowWindow (TWinControl)
pt | WMSize (TControl)
pt | WMSize (TWinControl)
pt | WMSysChar (TWinControl)
pt | WMSysKeyDown (TWinControl)
pt | WMSysKeyUp (TWinControl)
pt | WMWindowPosChanged (TControl)
pt | WMWindowPosChanged (TWinControl)
pt | WMXButtonDBLCLK (TControl)
pt | WMXButtonDown (TControl)
pt | WMXButtonQuadCLK (TControl)
pt | WMXButtonTripleCLK (TControl)
pt | WMXButtonUp (TControl)
pt | WndProc (TControl)
pt | WndProc (TWinControl)
 | WriteLayoutDebugReport (TControl)
 | WriteLayoutDebugReport (TWinControl)
 | WriteLeft (TComponent)
 | WriteState (TComponent)
 | WriteTop (TComponent)
pt | WSRegisterClass (TLCLComponent)
pt | WSRegisterClass (TControl)
pt | WSRegisterClass (TWinControl)
pt | WSRegisterClass (TCustomControl)
pt | WSRegisterClass (TCustomPanel)
pt | WSSetText (TWinControl)
 | _AddRef (TComponent)
 | _Release (TComponent)


TCustomPanel
TCustomControl
 | OnPaint
TWinControl
pt | OnGetSiteInfo
pt | OnGetDockCaption
 | OnAlignInsertBefore
 | OnAlignPosition
 | OnDockDrop
 | OnDockOver
 | OnEnter
 | OnExit
 | OnKeyDown
 | OnKeyPress
 | OnKeyUp
 | OnUnDock
 | OnUTF8KeyPress
TControl
pt | OnConstrainedResize
pt | OnContextPopup
pt | OnDblClick
pt | OnTripleClick
pt | OnQuadClick
pt | OnDragDrop
pt | OnDragOver
pt | OnEndDock
pt | OnEndDrag
pt | OnMouseDown
pt | OnMouseMove
pt | OnMouseUp
pt | OnMouseEnter
pt | OnMouseLeave
pt | OnMouseWheel
pt | OnMouseWheelDown
pt | OnMouseWheelUp
pt | OnMouseWheelHorz
pt | OnMouseWheelLeft
pt | OnMouseWheelRight
pt | OnStartDock
pt | OnStartDrag
pt | OnEditingDone
 | OnChangeBounds
 | OnClick
 | OnResize
 | OnShowHint
TLCLComponent
TComponent
TPersistent
TObject


TCustomPanel.Alignment

Alignment - whether text is left or right justified, or centered

Declaration

Source position: extctrls.pp line 1085

public property TCustomPanel.Alignment : TAlignment
  read FAlignment
  write SetAlignment
  default taCenter;


TCustomPanel.BevelColor

Declaration

Source position: extctrls.pp line 1086

public property TCustomPanel.BevelColor : TColor
  read FBevelColor
  write SetBevelColor
  default clDefault;


TCustomPanel.BevelInner

BevelInner - determines the nature of the Inner Bevel of the panel (whether raised, lowered etc)

Declaration

Source position: extctrls.pp line 1087

public property TCustomPanel.BevelInner : TPanelBevel
  read FBevelInner
  write SetBevelInner
  default bvNone;


TCustomPanel.BevelOuter

BevelOuter - determines the nature of the Outer Bevel of the panel (whether raised, lowered etc)

Declaration

Source position: extctrls.pp line 1088

public property TCustomPanel.BevelOuter : TPanelBevel
  read FBevelOuter
  write SetBevelOuter
  default bvRaised;


TCustomPanel.BevelWidth

BevelWidth - the Width of the panel's bevel in pixels

Declaration

Source position: extctrls.pp line 1089

public property TCustomPanel.BevelWidth : TBevelWidth
  read FBevelWidth
  write SetBevelWidth
  default 1;


TCustomPanel.Create

Create - constructor for TCustomPanel: calls inherited Create then sets initial style, bevel, colour, alignment and bounds

Declaration

Source position: extctrls.pp line 1083

public constructor TCustomPanel.Create(

  TheOwner: TComponent

); override;

See also

TCustomControl.Create


TCustomPanel.FullRepaint

FullRepaint - if True, the panel needs to be fully repainted after each change

Declaration

Source position: extctrls.pp line 1091

public property TCustomPanel.FullRepaint : Boolean
  read FFullRepaint
  write FFullRepaint
  default True;


TCustomPanel.ParentBackground

Declaration

Source position: extctrls.pp line 1092

public property TCustomPanel.ParentBackground : Boolean
  default True;


TCustomPanel.SetParentBackground

Declaration

Source position: extctrls.pp line 1079

protected procedure TCustomPanel.SetParentBackground(

  const AParentBackground: Boolean

); override;


TCustomPanel.UpdateParentColorChange

UpdateParentColorChange - update any pending changes in parent colour

Declaration

Source position: extctrls.pp line 1080

protected procedure TCustomPanel.UpdateParentColorChange;


TCustomPanel.WordWrap

Declaration

Source position: extctrls.pp line 1081

protected property TCustomPanel.WordWrap : Boolean
  read FWordwrap
  write SetWordwrap
  default False;


TCustomRadioGroup

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

TCustomRadioGroup: the base type for TRadioGroup

Declaration

Source position: extctrls.pp line 673

type TCustomRadioGroup = class(TCustomGroupBox)
protected
class procedure WSRegisterClass; override; | Registers this component class with the current WidgetSet.
procedure UpdateInternalObjectList;
procedure UpdateAll;
procedure InitializeWnd; override; | Copies cached control properties to the just created widget.
procedure UpdateRadioButtonStates; virtual; | UpdateRadioButtonStates including implementing any pending changes
procedure ReadState(); override; |
procedure SetItems(); | SetItems - specifies the strings that form the Items of the group
procedure SetColumns(); | SetColumns - specifies the number of columns for displaying the items
procedure SetItemIndex(); | SetItemIndex - specifies an index for an item
function GetItemIndex; | GetItemIndex - returns an index for an item
procedure CheckItemIndexChanged; virtual; | CheckItemIndexChanged - find out if the index for an item has changes
public
constructor Create(); override; | Create - constructor for TCustomRadioGroup: calls inherited Create, then sets list of buttons, and initialises layout and sizing properties
destructor Destroy; override; | Destroy - destructor for TCustomRadioGroup: frees items and buttons, then calls inherited Destroy
function CanModify; virtual; | CanModify - if True, modification of the RadioGroup is permitted
procedure FlipChildren(); override;
function Rows; | Rows - the number of rows in which Items (radio boxes) are held
property AutoFill: Boolean; [rw] | AutoFill - whether responses to Items should automatically be filled in
property ItemIndex: Integer; [rw] | The Index value in the list of Items (a stringlist with the names of the selections for radio buttons)
property Items: TStrings; [rw] | Items - a string list containing the captions for the radio boxes
property Columns: Integer; [rw] | Columns - the number of columns in which the Items (radio buttons) are to be arranges
property ColumnLayout: TColumnLayout; [rw] | ColumnLayout - HorizontalThenVertical or vice versa
property OnClick: TNotifyEvent; [rw] | Event called when the selected item changes
property OnSelectionChanged: TNotifyEvent; [rw] | Event called when the selected item changes
end;

Inheritance

TCustomRadioGroup | TCustomRadioGroup: the base type for TRadioGroup
|
TCustomGroupBox | The base class for TGroupBox, TRadioGroup and TCheckGroup.
|
TWinControl | The base class for controls which can contain other (child) controls.
|
TControl | The base class for visible controls.
|
TLCLComponent | The base class for LCL components associated with widgets.
|
TComponent,IUnknown,IInterfaceComponentReference
|
TPersistent,IFPObserved
|
TObject

Description

A group of related but mutually exclusive radio buttons, selectable by the user.

This class defines Items, where the captions of the individual radio boxes are stored, Rows and Columns for arranging the radio boxes, and ColumnLayout to determine whether the data are arranged down the columns first, or across the rows first.


TCustomRadioGroup
 |  | AutoFill
 |  | ItemIndex
 |  | Items
 |  | Columns
 |  | ColumnLayout
TCustomGroupBox
TWinControl
pt |  | WindowHandle
pt |  | BorderStyle
pt |  | ParentBackground
 |  | BorderWidth
 | ro | BoundsLockCount
 | ro | Brush
 | ro | CachedClientHeight
 | ro | CachedClientWidth
 |  | ChildSizing
 | ro | ControlCount
 | ro | Controls
 |  | DefWndProc
 | ro | DockClientCount
 | ro | DockClients
 |  | DockManager
 |  | DockSite
 |  | DoubleBuffered
 |  | Handle
 | ro | IsFlipped
 | ro | IsResizing
 |  | TabOrder
 |  | TabStop
 |  | ParentDoubleBuffered
 |  | ParentWindow
 | ro | Showing
 |  | UseDockManager
 |  | DesignerDeleting
 | ro | VisibleDockClientCount
TControl
pt | ro | AutoSizing
pt | ro | AutoSizingAll
pt | ro | AutoSizingLockCount
pt |  | ActionLink
pt |  | DesktopFont
pt |  | DragCursor
pt |  | DragKind
pt |  | DragMode
pt |  | MouseCapture
pt |  | ParentColor
pt |  | ParentFont
pt |  | ParentShowHint
pt |  | SessionProperties
pt |  | Text
 | ro | AnchoredControls
 | ro | BaseBounds
 | ro | ReadBounds
 | ro | BaseParentClientSize
 |  | AccessibleDescription
 |  | AccessibleValue
 |  | AccessibleRole
 |  | Action
 |  | Align
 |  | Anchors
 | ro | AnchorSide
 |  | AutoSize
 |  | BorderSpacing
 |  | BoundsRect
 |  | BoundsRectForNewParent
 |  | Caption
 |  | CaptureMouseButtons
 |  | ClientHeight
 | ro | ClientOrigin
 | ro | ClientRect
 |  | ClientWidth
 |  | Color
 |  | Constraints
 | ro | ControlOrigin
 |  | ControlState
 |  | ControlStyle
 |  | Enabled
 |  | Font
 |  | IsControl
 | ro | MouseEntered
 | ro | MouseInClient
 |  | Parent
 |  | PopupMenu
 |  | ShowHint
 |  | Visible
 |  | WindowProc
 |  | DockOrientation
 | ro | Floating
 |  | FloatingDockSiteClass
 |  | HostDockSite
 |  | LRDockWidth
 |  | TBDockHeight
 |  | UndockHeight
 |  | UndockWidth
 |  | BiDiMode
 |  | ParentBiDiMode
pl |  | AnchorSideLeft
pl |  | AnchorSideTop
pl |  | AnchorSideRight
pl |  | AnchorSideBottom
pl |  | Cursor
pl |  | Left
pl |  | Height
pl |  | Hint
pl |  | Top
pl |  | Width
pl |  | HelpType
pl |  | HelpKeyword
pl |  | HelpContext
TLCLComponent
 | ro | LCLRefCount
 | ro | WidgetSetClass
TComponent
 | ro | ComObject
 | ro | Components
 | ro | ComponentCount
 |  | ComponentIndex
 | ro | ComponentState
 | ro | ComponentStyle
 |  | DesignInfo
 | ro | Owner
 |  | VCLComObject
 |  | Name
 |  | Tag
TPersistent
TObject


 |  | AccessibleDescription (TControl)
 |  | AccessibleRole (TControl)
 |  | AccessibleValue (TControl)
 |  | Action (TControl)
pt |  | ActionLink (TControl)
 |  | Align (TControl)
 | ro | AnchoredControls (TControl)
 |  | Anchors (TControl)
 | ro | AnchorSide (TControl)
pl |  | AnchorSideBottom (TControl)
pl |  | AnchorSideLeft (TControl)
pl |  | AnchorSideRight (TControl)
pl |  | AnchorSideTop (TControl)
 |  | AutoFill (TCustomRadioGroup)
 |  | AutoSize (TControl)
pt | ro | AutoSizing (TControl)
pt | ro | AutoSizingAll (TControl)
pt | ro | AutoSizingLockCount (TControl)
 | ro | BaseBounds (TControl)
 | ro | BaseParentClientSize (TControl)
 |  | BiDiMode (TControl)
 |  | BorderSpacing (TControl)
pt |  | BorderStyle (TWinControl)
 |  | BorderWidth (TWinControl)
 | ro | BoundsLockCount (TWinControl)
 |  | BoundsRect (TControl)
 |  | BoundsRectForNewParent (TControl)
 | ro | Brush (TWinControl)
 | ro | CachedClientHeight (TWinControl)
 | ro | CachedClientWidth (TWinControl)
 |  | Caption (TControl)
 |  | CaptureMouseButtons (TControl)
 |  | ChildSizing (TWinControl)
 |  | ClientHeight (TControl)
 | ro | ClientOrigin (TControl)
 | ro | ClientRect (TControl)
 |  | ClientWidth (TControl)
 |  | Color (TControl)
 |  | ColumnLayout (TCustomRadioGroup)
 |  | Columns (TCustomRadioGroup)
 | ro | ComObject (TComponent)
 | ro | ComponentCount (TComponent)
 |  | ComponentIndex (TComponent)
 | ro | Components (TComponent)
 | ro | ComponentState (TComponent)
 | ro | ComponentStyle (TComponent)
 |  | Constraints (TControl)
 | ro | ControlCount (TWinControl)
 | ro | ControlOrigin (TControl)
 | ro | Controls (TWinControl)
 |  | ControlState (TControl)
 |  | ControlStyle (TControl)
pl |  | Cursor (TControl)
 |  | DefWndProc (TWinControl)
 |  | DesignerDeleting (TWinControl)
 |  | DesignInfo (TComponent)
pt |  | DesktopFont (TControl)
 | ro | DockClientCount (TWinControl)
 | ro | DockClients (TWinControl)
 |  | DockManager (TWinControl)
 |  | DockOrientation (TControl)
 |  | DockSite (TWinControl)
 |  | DoubleBuffered (TWinControl)
pt |  | DragCursor (TControl)
pt |  | DragKind (TControl)
pt |  | DragMode (TControl)
 |  | Enabled (TControl)
 | ro | Floating (TControl)
 |  | FloatingDockSiteClass (TControl)
 |  | Font (TControl)
 |  | Handle (TWinControl)
pl |  | Height (TControl)
pl |  | HelpContext (TControl)
pl |  | HelpKeyword (TControl)
pl |  | HelpType (TControl)
pl |  | Hint (TControl)
 |  | HostDockSite (TControl)
 |  | IsControl (TControl)
 | ro | IsFlipped (TWinControl)
 | ro | IsResizing (TWinControl)
 |  | ItemIndex (TCustomRadioGroup)
 |  | Items (TCustomRadioGroup)
 | ro | LCLRefCount (TLCLComponent)
pl |  | Left (TControl)
 |  | LRDockWidth (TControl)
pt |  | MouseCapture (TControl)
 | ro | MouseEntered (TControl)
 | ro | MouseInClient (TControl)
 |  | Name (TComponent)
 | ro | Owner (TComponent)
 |  | Parent (TControl)
pt |  | ParentBackground (TWinControl)
 |  | ParentBiDiMode (TControl)
pt |  | ParentColor (TControl)
 |  | ParentDoubleBuffered (TWinControl)
pt |  | ParentFont (TControl)
pt |  | ParentShowHint (TControl)
 |  | ParentWindow (TWinControl)
 |  | PopupMenu (TControl)
 | ro | ReadBounds (TControl)
pt |  | SessionProperties (TControl)
 |  | ShowHint (TControl)
 | ro | Showing (TWinControl)
 |  | TabOrder (TWinControl)
 |  | TabStop (TWinControl)
 |  | Tag (TComponent)
 |  | TBDockHeight (TControl)
pt |  | Text (TControl)
pl |  | Top (TControl)
 |  | UndockHeight (TControl)
 |  | UndockWidth (TControl)
 |  | UseDockManager (TWinControl)
 |  | VCLComObject (TComponent)
 |  | Visible (TControl)
 | ro | VisibleDockClientCount (TWinControl)
 | ro | WidgetSetClass (TLCLComponent)
pl |  | Width (TControl)
pt |  | WindowHandle (TWinControl)
 |  | WindowProc (TControl)


TCustomRadioGroup
pt | WSRegisterClass
pt | UpdateInternalObjectList
pt | UpdateAll
pt | InitializeWnd
pt | UpdateRadioButtonStates
pt | ReadState
pt | SetItems
pt | SetColumns
pt | SetItemIndex
pt | GetItemIndex
pt | CheckItemIndexChanged
 | Create
 | Destroy
 | CanModify
 | FlipChildren
 | Rows
TCustomGroupBox
pt | WSRegisterClass
pt | GetControlClassDefaultSize
pt | CreateParams
 | Create
TWinControl
pt | WSRegisterClass
pt | AdjustClientRect
pt | GetAdjustedLogicalClientRect
pt | AlignControls
pt | CustomAlignInsertBefore
pt | CustomAlignPosition
pt | DoAlignChildControls
pt | DoChildSizingChange
pt | InvalidatePreferredChildSizes
pt | CanTab
pt | IsClientHeightStored
pt | IsClientWidthStored
pt | DoSendShowHideToInterface
pt | ControlsAligned
pt | DoSendBoundsToInterface
pt | RealizeBounds
pt | RealizeBoundsRecursive
pt | InvalidateBoundsRealized
pt | CreateSubClass
pt | DoConstraintsChange
pt | DoSetBounds
pt | DoAutoSize
pt | DoAllAutoSize
pt | AllAutoSized
pt | CalculatePreferredSize
pt | GetPreferredSizeClientFrame
pt | GetChildren
pt | ChildClassAllowed
pt | PaintControls
pt | PaintHandler
pt | PaintWindow
pt | CreateBrush
pt | ScaleControls
pt | ChangeScale
pt | CMBiDiModeChanged
pt | CMBorderChanged
pt | CMDoubleBufferedChanged
pt | CMEnabledChanged
pt | CMParentDoubleBufferedChanged
pt | CMShowingChanged
pt | CMShowHintChanged
pt | CMVisibleChanged
pt | CMEnter
pt | CMExit
pt | WMContextMenu
pt | WMEraseBkgnd
pt | WMNotify
pt | WMSetFocus
pt | WMKillFocus
pt | WMShowWindow
pt | WMEnter
pt | WMExit
pt | WMKeyDown
pt | WMSysKeyDown
pt | WMKeyUp
pt | WMSysKeyUp
pt | WMChar
pt | WMSysChar
pt | WMPaint
pt | WMDestroy
pt | WMMove
pt | WMSize
pt | WMWindowPosChanged
pt | CNKeyDown
pt | CNSysKeyDown
pt | CNKeyUp
pt | CNSysKeyUp
pt | CNChar
pt | DoDragMsg
pt | DoDockClientMsg
pt | DoUndockClientMsg
pt | DoAddDockClient
pt | DockOver
pt | DoDockOver
pt | DoRemoveDockClient
pt | DoUnDock
pt | GetSiteInfo
pt | GetParentHandle
pt | GetTopParentHandle
pt | ReloadDockedControl
pt | CreateDockManager
pt | SetDockManager
pt | DoFloatMsg
pt | DoGetDockCaption
pt | DoEnter
pt | DoExit
pt | DoKeyDownBeforeInterface
pt | DoRemainingKeyDown
pt | DoRemainingKeyUp
pt | DoKeyPress
pt | DoUTF8KeyPress
pt | DoKeyUpBeforeInterface
pt | ChildKey
pt | SendDialogChar
pt | DialogChar
pt | ControlKeyDown
pt | ControlKeyUp
pt | KeyDown
pt | KeyDownBeforeInterface
pt | KeyDownAfterInterface
pt | KeyPress
pt | KeyUp
pt | KeyUpBeforeInterface
pt | KeyUpAfterInterface
pt | UTF8KeyPress
pt | FindNextControl
pt | SelectFirst
pt | RealGetText
pt | GetBorderStyle
pt | GetClientOrigin
pt | GetClientRect
pt | GetControlOrigin
pt | GetDeviceContext
pt | GetParentBackground
pt | IsControlMouseMsg
pt | CreateHandle
pt | CreateParams
pt | CreateWnd
pt | DestroyHandle
pt | DestroyWnd
pt | DoFlipChildren
pt | FinalizeWnd
pt | FixupTabList
pt | FontChanged
pt | InitializeWnd
pt | Loaded
pt | FormEndUpdated
pt | MainWndProc
pt | ParentFormHandleInitialized
pt | ChildHandlesCreated
pt | GetMouseCapture
pt | RealSetText
pt | RemoveFocus
pt | SendMoveSizeMessages
pt | SetBorderStyle
pt | SetColor
pt | SetChildZPosition
pt | SetParentBackground
pt | ShowControl
pt | UpdateControlState
pt | UpdateShowing
pt | WndProc
pt | WSSetText
 | AutoSizePhases
 | AutoSizeDelayed
 | AutoSizeDelayedReport
 | AutoSizeDelayedHandle
 | BeginUpdateBounds
 | EndUpdateBounds
 | LockRealizeBounds
 | UnlockRealizeBounds
 | ControlAtPos
 | ContainsControl
 | DoAdjustClientRectChange
 | InvalidateClientRectCache
 | ClientRectNeedsInterfaceUpdate
 | SetBounds
 | GetChildrenRect
 | DisableAlign
 | EnableAlign
 | ReAlign
 | ScrollBy_WS
 | ScrollBy
 | WriteLayoutDebugReport
 | AutoAdjustLayout
 | Create
 | CreateParented
 | CreateParentedControl
 | Destroy
 | DockDrop
 | CanFocus
 | CanSetFocus
 | GetControlIndex
 | SetControlIndex
 | Focused
 | PerformTab
 | FindChildControl
 | SelectNext
 | SetTempCursor
 | BroadCast
 | NotifyControls
 | DefaultHandler
 | GetTextLen
 | Invalidate
 | AddControl
 | InsertControl
 | RemoveControl
 | GetEnumeratorControls
 | GetEnumeratorControlsReverse
 | Repaint
 | Update
 | SetFocus
 | FlipChildren
 | ScaleBy
 | GetDockCaption
 | UpdateDockCaption
 | GetTabOrderList
 | HandleAllocated
 | ParentHandlesAllocated
 | HandleNeeded
 | BrushCreated
 | EraseBackground
 | IntfUTF8KeyPress
 | IntfGetDropFilesTarget
 | PaintTo
 | SetShape
TControl
pt | WSRegisterClass
pt | GetCursor
pt | SetCursor
pt | SetVisible
pt | DoOnParentHandleDestruction
pt | DoAutoSize
pt | DoAllAutoSize
pt | BeginAutoSizing
pt | EndAutoSizing
pt | AnchorSideChanged
pt | ForeignAnchorSideChanged
pt | SetAlign
pt | SetAnchors
pt | SetAutoSize
pt | BoundsChanged
pt | CreateControlBorderSpacing
pt | DoConstraintsChange
pt | DoBorderSpacingChange
pt | IsBorderSpacingInnerBorderStored
pt | IsCaptionStored
pt | SendMoveSizeMessages
pt | ConstrainedResize
pt | CalculatePreferredSize
pt | DoOnResize
pt | DoOnChangeBounds
pt | CheckOnChangeBounds
pt | Resize
pt | RequestAlign
pt | UpdateAnchorRules
pt | ChangeBounds
pt | DoSetBounds
pt | ScaleConstraints
pt | ChangeScale
pt | CanAutoSize
pt | SetBiDiMode
pt | SetParentBiDiMode
pt | IsAParentAligning
pt | GetClientOrigin
pt | GetClientRect
pt | GetLogicalClientRect
pt | GetScrolledClientRect
pt | GetClientScrollOffset
pt | GetControlOrigin
pt | IsClientHeightStored
pt | IsClientWidthStored
pt | WidthIsAnchored
pt | HeightIsAnchored
pt | WMCancelMode
pt | WMContextMenu
pt | WMLButtonDown
pt | WMRButtonDown
pt | WMMButtonDown
pt | WMXButtonDown
pt | WMLButtonDBLCLK
pt | WMRButtonDBLCLK
pt | WMMButtonDBLCLK
pt | WMXButtonDBLCLK
pt | WMLButtonTripleCLK
pt | WMRButtonTripleCLK
pt | WMMButtonTripleCLK
pt | WMXButtonTripleCLK
pt | WMLButtonQuadCLK
pt | WMRButtonQuadCLK
pt | WMMButtonQuadCLK
pt | WMXButtonQuadCLK
pt | WMMouseMove
pt | WMLButtonUp
pt | WMRButtonUp
pt | WMMButtonUp
pt | WMXButtonUp
pt | WMMouseWheel
pt | WMMouseHWheel
pt | WMMove
pt | WMSize
pt | WMWindowPosChanged
pt | CMChanged
pt | LMCaptureChanged
pt | CMBiDiModeChanged
pt | CMSysFontChanged
pt | CMEnabledChanged
pt | CMHitTest
pt | CMMouseEnter
pt | CMMouseLeave
pt | CMHintShow
pt | CMParentBiDiModeChanged
pt | CMParentColorChanged
pt | CMParentFontChanged
pt | CMParentShowHintChanged
pt | CMVisibleChanged
pt | CMTextChanged
pt | CMCursorChanged
pt | CalculateDockSizes
pt | CreateFloatingDockSite
pt | GetDockEdge
pt | GetDragImages
pt | GetFloating
pt | GetFloatingDockSiteClass
pt | BeforeDragStart
pt | BeginAutoDrag
pt | DoFloatMsg
pt | DockTrackNoTarget
pt | DoDock
pt | DoDragMsg
pt | DoEndDock
pt | DoEndDrag
pt | DoStartDock
pt | DoStartDrag
pt | DragCanceled
pt | DragOver
pt | PositionDockRect
pt | SetDragMode
pt | GetDefaultDockCaption
pt | Click
pt | DblClick
pt | TripleClick
pt | QuadClick
pt | GetMousePosFromMessage
pt | MouseDown
pt | MouseMove
pt | MouseUp
pt | MouseEnter
pt | MouseLeave
pt | DialogChar
pt | UpdateMouseCursor
pt | Changed
pt | GetPalette
pt | ChildClassAllowed
pt | ReadState
pt | Loaded
pt | LoadedAll
pt | DefineProperties
pt | AssignTo
pt | FormEndUpdated
pt | InvalidateControl
pt | FontChanged
pt | ParentFontChanged
pt | GetAction
pt | RealGetText
pt | RealSetText
pt | TextChanged
pt | GetCachedText
pt | SetAction
pt | SetColor
pt | SetEnabled
pt | SetHint
pt | SetName
pt | SetParent
pt | SetParentComponent
pt | WndProc
pt | ParentFormHandleInitialized
pt | GetMouseCapture
pt | CaptureChanged
pt | Notification
pt | CanTab
pt | GetDeviceContext
pt | GetEnabled
pt | GetPopupMenu
pt | DoOnShowHint
pt | DoMouseWheel
pt | DoMouseWheelDown
pt | DoMouseWheelUp
pt | DoMouseWheelHorz
pt | DoMouseWheelLeft
pt | DoMouseWheelRight
pt | VisibleChanging
pt | VisibleChanged
pt | EnabledChanging
pt | EnabledChanged
pt | AddHandler
pt | RemoveHandler
pt | DoCallNotifyHandler
pt | DoCallKeyEventHandler
pt | DoCallMouseWheelEventHandler
pt | DoContextPopup
pt | SetZOrder
pt | GetControlClassDefaultSize
pt | ColorIsStored
pt | DoAutoAdjustLayout
pt | DoFixDesignFontPPI
pt | DoScaleFontPPI
pt | GetActionLinkClass
pt | ActionChange
 | DragDrop
 | Dock
 | ManualDock
 | ManualFloat
 | ReplaceDockedControl
 | Docked
 | Dragging
 | GetAccessibleObject
 | CreateAccessibleObject
 | GetSelectedChildAccessibleObject
 | GetChildAccessibleObjectAtPos
 | ScaleDesignToForm
 | ScaleFormToDesign
 | Scale96ToForm
 | ScaleFormTo96
 | Scale96ToFont
 | ScaleFontTo96
 | ScaleScreenToFont
 | ScaleFontToScreen
 | Scale96ToScreen
 | ScaleScreenTo96
 | AdjustSize
 | AutoSizePhases
 | AutoSizeDelayed
 | AutoSizeDelayedReport
 | AutoSizeDelayedHandle
 | AnchorToNeighbour
 | AnchorParallel
 | AnchorHorizontalCenterTo
 | AnchorVerticalCenterTo
 | AnchorToCompanion
 | AnchorSame
 | AnchorAsAlign
 | AnchorClient
 | AnchoredControlCount
 | SetBounds
 | SetInitialBounds
 | SetBoundsKeepBase
 | GetPreferredSize
 | GetCanvasScaleFactor
 | GetDefaultWidth
 | GetDefaultHeight
 | GetDefaultColor
 | GetColorResolvingParent
 | GetRGBColorResolvingParent
 | GetSidePosition
 | CNPreferredSizeChanged
 | InvalidatePreferredSize
 | GetAnchorsDependingOnParent
 | DisableAutoSizing
 | EnableAutoSizing
 | UpdateBaseBounds
 | WriteLayoutDebugReport
 | AutoAdjustLayout
 | ShouldAutoAdjust
 | FixDesignFontsPPI
 | ScaleFontsPPI
 | Create
 | Destroy
 | BeforeDestruction
 | EditingDone
 | ExecuteDefaultAction
 | ExecuteCancelAction
 | BeginDrag
 | EndDrag
 | BringToFront
 | HasParent
 | GetParentComponent
 | IsParentOf
 | GetTopParent
 | IsVisible
 | IsControlVisible
 | IsEnabled
 | IsParentColor
 | IsParentFont
 | FormIsUpdating
 | IsProcessingPaintMsg
 | Hide
 | Refresh
 | Repaint
 | Invalidate
 | CheckChildClassAllowed
 | CheckNewParent
 | SendToBack
 | SetTempCursor
 | UpdateRolesForForm
 | ActiveDefaultControlChanged
 | GetTextBuf
 | GetTextLen
 | SetTextBuf
 | Perform
 | ScreenToClient
 | ClientToScreen
 | ScreenToControl
 | ControlToScreen
 | ClientToParent
 | ParentToClient
 | GetChildrenRect
 | Show
 | Update
 | HandleObjectShouldBeVisible
 | ParentDestroyingHandle
 | ParentHandlesAllocated
 | InitiateAction
 | ShowHelp
 | HasHelp
 | RemoveAllHandlersOfObject
 | AddHandlerOnResize
 | RemoveHandlerOnResize
 | AddHandlerOnChangeBounds
 | RemoveHandlerOnChangeBounds
 | AddHandlerOnVisibleChanging
 | RemoveHandlerOnVisibleChanging
 | AddHandlerOnVisibleChanged
 | RemoveHandlerOnVisibleChanged
 | AddHandlerOnEnabledChanged
 | RemoveHandlerOnEnableChanging
 | AddHandlerOnKeyDown
 | RemoveHandlerOnKeyDown
 | AddHandlerOnBeforeDestruction
 | RemoveHandlerOnBeforeDestruction
 | AddHandlerOnMouseWheel
 | RemoveHandlerOnMouseWheel
 | UseRightToLeftAlignment
 | UseRightToLeftReading
 | UseRightToLeftScrollBar
 | IsRightToLeft
TLCLComponent
pt | WSRegisterClass
pt | GetWSComponentClass
 | Create
 | Destroy
 | NewInstance
 | RemoveAllHandlersOfObject
 | IncLCLRefCount
 | DecLCLRefCount
TComponent
 | GetComObject
 | GetComponent
 | GetComponentCount
 | GetComponentIndex
 | Insert
 | ReadLeft
 | ReadTop
 | Remove
 | RemoveNotification
 | SetComponentIndex
 | SetReference
 | WriteLeft
 | WriteTop
 | ChangeName
 | DefineProperties
 | GetChildren
 | GetChildOwner
 | GetChildParent
 | GetOwner
 | Loaded
 | Loading
 | Notification
 | PaletteCreated
 | ReadState
 | SetAncestor
 | SetDesigning
 | SetDesignInstance
 | SetInline
 | SetName
 | SetChildOrder
 | SetParentComponent
 | Updating
 | Updated
 | UpdateRegistry
 | ValidateRename
 | ValidateContainer
 | ValidateInsert
 | QueryInterface
 | _AddRef
 | _Release
 | iicrGetComponent
 | GetTypeInfoCount
 | GetTypeInfo
 | GetIDsOfNames
 | Invoke
 | WriteState
 | Create
 | Destroy
 | BeforeDestruction
 | DestroyComponents
 | Destroying
 | ExecuteAction
 | FindComponent
 | FreeNotification
 | RemoveFreeNotification
 | FreeOnRelease
 | GetEnumerator
 | GetNamePath
 | GetParentComponent
 | HasParent
 | InsertComponent
 | RemoveComponent
 | SafeCallException
 | SetSubComponent
 | UpdateAction
 | IsImplementorOf
 | ReferenceInterface
TPersistent
 | AssignError
 | AssignTo
 | DefineProperties
 | GetOwner
 | Destroy
 | Assign
 | FPOAttachObserver
 | FPODetachObserver
 | FPONotifyObservers
 | GetNamePath
TObject
 | Create
 | Destroy
 | newinstance
 | FreeInstance
 | SafeCallException
 | DefaultHandler
 | Free
 | InitInstance
 | CleanupInstance
 | ClassType
 | ClassInfo
 | ClassName
 | ClassNameIs
 | ClassParent
 | InstanceSize
 | InheritsFrom
 | StringMessageTable
 | MethodAddress
 | MethodName
 | FieldAddress
 | AfterConstruction
 | BeforeDestruction
 | DefaultHandlerStr
 | Dispatch
 | DispatchStr
 | GetInterface
 | GetInterfaceByStr
 | GetInterfaceWeak
 | GetInterfaceEntry
 | GetInterfaceEntryByStr
 | GetInterfaceTable
 | UnitName
 | Equals
 | GetHashCode
 | ToString


pt | ActionChange (TControl)
 | ActiveDefaultControlChanged (TControl)
 | AddControl (TWinControl)
pt | AddHandler (TControl)
 | AddHandlerOnBeforeDestruction (TControl)
 | AddHandlerOnChangeBounds (TControl)
 | AddHandlerOnEnabledChanged (TControl)
 | AddHandlerOnKeyDown (TControl)
 | AddHandlerOnMouseWheel (TControl)
 | AddHandlerOnResize (TControl)
 | AddHandlerOnVisibleChanged (TControl)
 | AddHandlerOnVisibleChanging (TControl)
pt | AdjustClientRect (TWinControl)
 | AdjustSize (TControl)
 | AfterConstruction (TObject)
pt | AlignControls (TWinControl)
pt | AllAutoSized (TWinControl)
 | AnchorAsAlign (TControl)
 | AnchorClient (TControl)
 | AnchoredControlCount (TControl)
 | AnchorHorizontalCenterTo (TControl)
 | AnchorParallel (TControl)
 | AnchorSame (TControl)
pt | AnchorSideChanged (TControl)
 | AnchorToCompanion (TControl)
 | AnchorToNeighbour (TControl)
 | AnchorVerticalCenterTo (TControl)
 | Assign (TPersistent)
 | AssignError (TPersistent)
 | AssignTo (TPersistent)
pt | AssignTo (TControl)
 | AutoAdjustLayout (TControl)
 | AutoAdjustLayout (TWinControl)
 | AutoSizeDelayed (TControl)
 | AutoSizeDelayed (TWinControl)
 | AutoSizeDelayedHandle (TControl)
 | AutoSizeDelayedHandle (TWinControl)
 | AutoSizeDelayedReport (TControl)
 | AutoSizeDelayedReport (TWinControl)
 | AutoSizePhases (TControl)
 | AutoSizePhases (TWinControl)
 | BeforeDestruction (TObject)
 | BeforeDestruction (TComponent)
 | BeforeDestruction (TControl)
pt | BeforeDragStart (TControl)
pt | BeginAutoDrag (TControl)
pt | BeginAutoSizing (TControl)
 | BeginDrag (TControl)
 | BeginUpdateBounds (TWinControl)
pt | BoundsChanged (TControl)
 | BringToFront (TControl)
 | BroadCast (TWinControl)
 | BrushCreated (TWinControl)
pt | CalculateDockSizes (TControl)
pt | CalculatePreferredSize (TControl)
pt | CalculatePreferredSize (TWinControl)
pt | CanAutoSize (TControl)
 | CanFocus (TWinControl)
 | CanModify (TCustomRadioGroup)
 | CanSetFocus (TWinControl)
pt | CanTab (TControl)
pt | CanTab (TWinControl)
pt | CaptureChanged (TControl)
pt | ChangeBounds (TControl)
pt | Changed (TControl)
 | ChangeName (TComponent)
pt | ChangeScale (TControl)
pt | ChangeScale (TWinControl)
 | CheckChildClassAllowed (TControl)
pt | CheckItemIndexChanged (TCustomRadioGroup)
 | CheckNewParent (TControl)
pt | CheckOnChangeBounds (TControl)
pt | ChildClassAllowed (TControl)
pt | ChildClassAllowed (TWinControl)
pt | ChildHandlesCreated (TWinControl)
pt | ChildKey (TWinControl)
 | ClassInfo (TObject)
 | ClassName (TObject)
 | ClassNameIs (TObject)
 | ClassParent (TObject)
 | ClassType (TObject)
 | CleanupInstance (TObject)
pt | Click (TControl)
 | ClientRectNeedsInterfaceUpdate (TWinControl)
 | ClientToParent (TControl)
 | ClientToScreen (TControl)
pt | CMBiDiModeChanged (TControl)
pt | CMBiDiModeChanged (TWinControl)
pt | CMBorderChanged (TWinControl)
pt | CMChanged (TControl)
pt | CMCursorChanged (TControl)
pt | CMDoubleBufferedChanged (TWinControl)
pt | CMEnabledChanged (TControl)
pt | CMEnabledChanged (TWinControl)
pt | CMEnter (TWinControl)
pt | CMExit (TWinControl)
pt | CMHintShow (TControl)
pt | CMHitTest (TControl)
pt | CMMouseEnter (TControl)
pt | CMMouseLeave (TControl)
pt | CMParentBiDiModeChanged (TControl)
pt | CMParentColorChanged (TControl)
pt | CMParentDoubleBufferedChanged (TWinControl)
pt | CMParentFontChanged (TControl)
pt | CMParentShowHintChanged (TControl)
pt | CMShowHintChanged (TWinControl)
pt | CMShowingChanged (TWinControl)
pt | CMSysFontChanged (TControl)
pt | CMTextChanged (TControl)
pt | CMVisibleChanged (TControl)
pt | CMVisibleChanged (TWinControl)
pt | CNChar (TWinControl)
pt | CNKeyDown (TWinControl)
pt | CNKeyUp (TWinControl)
 | CNPreferredSizeChanged (TControl)
pt | CNSysKeyDown (TWinControl)
pt | CNSysKeyUp (TWinControl)
pt | ColorIsStored (TControl)
pt | ConstrainedResize (TControl)
 | ContainsControl (TWinControl)
 | ControlAtPos (TWinControl)
pt | ControlKeyDown (TWinControl)
pt | ControlKeyUp (TWinControl)
pt | ControlsAligned (TWinControl)
 | ControlToScreen (TControl)
 | Create (TObject)
 | Create (TComponent)
 | Create (TLCLComponent)
 | Create (TControl)
 | Create (TWinControl)
 | Create (TCustomGroupBox)
 | Create (TCustomRadioGroup)
 | CreateAccessibleObject (TControl)
pt | CreateBrush (TWinControl)
pt | CreateControlBorderSpacing (TControl)
pt | CreateDockManager (TWinControl)
pt | CreateFloatingDockSite (TControl)
pt | CreateHandle (TWinControl)
pt | CreateParams (TWinControl)
pt | CreateParams (TCustomGroupBox)
 | CreateParented (TWinControl)
 | CreateParentedControl (TWinControl)
pt | CreateSubClass (TWinControl)
pt | CreateWnd (TWinControl)
pt | CustomAlignInsertBefore (TWinControl)
pt | CustomAlignPosition (TWinControl)
pt | DblClick (TControl)
 | DecLCLRefCount (TLCLComponent)
 | DefaultHandler (TObject)
 | DefaultHandler (TWinControl)
 | DefaultHandlerStr (TObject)
 | DefineProperties (TPersistent)
 | DefineProperties (TComponent)
pt | DefineProperties (TControl)
 | Destroy (TObject)
 | Destroy (TPersistent)
 | Destroy (TComponent)
 | Destroy (TLCLComponent)
 | Destroy (TControl)
 | Destroy (TWinControl)
 | Destroy (TCustomRadioGroup)
 | DestroyComponents (TComponent)
pt | DestroyHandle (TWinControl)
 | Destroying (TComponent)
pt | DestroyWnd (TWinControl)
pt | DialogChar (TControl)
pt | DialogChar (TWinControl)
 | DisableAlign (TWinControl)
 | DisableAutoSizing (TControl)
 | Dispatch (TObject)
 | DispatchStr (TObject)
pt | DoAddDockClient (TWinControl)
 | DoAdjustClientRectChange (TWinControl)
pt | DoAlignChildControls (TWinControl)
pt | DoAllAutoSize (TControl)
pt | DoAllAutoSize (TWinControl)
pt | DoAutoAdjustLayout (TControl)
pt | DoAutoSize (TControl)
pt | DoAutoSize (TWinControl)
pt | DoBorderSpacingChange (TControl)
pt | DoCallKeyEventHandler (TControl)
pt | DoCallMouseWheelEventHandler (TControl)
pt | DoCallNotifyHandler (TControl)
pt | DoChildSizingChange (TWinControl)
 | Dock (TControl)
 | DockDrop (TWinControl)
 | Docked (TControl)
pt | DockOver (TWinControl)
pt | DockTrackNoTarget (TControl)
pt | DoConstraintsChange (TControl)
pt | DoConstraintsChange (TWinControl)
pt | DoContextPopup (TControl)
pt | DoDock (TControl)
pt | DoDockClientMsg (TWinControl)
pt | DoDockOver (TWinControl)
pt | DoDragMsg (TControl)
pt | DoDragMsg (TWinControl)
pt | DoEndDock (TControl)
pt | DoEndDrag (TControl)
pt | DoEnter (TWinControl)
pt | DoExit (TWinControl)
pt | DoFixDesignFontPPI (TControl)
pt | DoFlipChildren (TWinControl)
pt | DoFloatMsg (TControl)
pt | DoFloatMsg (TWinControl)
pt | DoGetDockCaption (TWinControl)
pt | DoKeyDownBeforeInterface (TWinControl)
pt | DoKeyPress (TWinControl)
pt | DoKeyUpBeforeInterface (TWinControl)
pt | DoMouseWheel (TControl)
pt | DoMouseWheelDown (TControl)
pt | DoMouseWheelHorz (TControl)
pt | DoMouseWheelLeft (TControl)
pt | DoMouseWheelRight (TControl)
pt | DoMouseWheelUp (TControl)
pt | DoOnChangeBounds (TControl)
pt | DoOnParentHandleDestruction (TControl)
pt | DoOnResize (TControl)
pt | DoOnShowHint (TControl)
pt | DoRemainingKeyDown (TWinControl)
pt | DoRemainingKeyUp (TWinControl)
pt | DoRemoveDockClient (TWinControl)
pt | DoScaleFontPPI (TControl)
pt | DoSendBoundsToInterface (TWinControl)
pt | DoSendShowHideToInterface (TWinControl)
pt | DoSetBounds (TControl)
pt | DoSetBounds (TWinControl)
pt | DoStartDock (TControl)
pt | DoStartDrag (TControl)
pt | DoUnDock (TWinControl)
pt | DoUndockClientMsg (TWinControl)
pt | DoUTF8KeyPress (TWinControl)
pt | DragCanceled (TControl)
 | DragDrop (TControl)
 | Dragging (TControl)
pt | DragOver (TControl)
 | EditingDone (TControl)
 | EnableAlign (TWinControl)
 | EnableAutoSizing (TControl)
pt | EnabledChanged (TControl)
pt | EnabledChanging (TControl)
pt | EndAutoSizing (TControl)
 | EndDrag (TControl)
 | EndUpdateBounds (TWinControl)
 | Equals (TObject)
 | EraseBackground (TWinControl)
 | ExecuteAction (TComponent)
 | ExecuteCancelAction (TControl)
 | ExecuteDefaultAction (TControl)
 | FieldAddress (TObject)
pt | FinalizeWnd (TWinControl)
 | FindChildControl (TWinControl)
 | FindComponent (TComponent)
pt | FindNextControl (TWinControl)
 | FixDesignFontsPPI (TControl)
pt | FixupTabList (TWinControl)
 | FlipChildren (TWinControl)
 | FlipChildren (TCustomRadioGroup)
 | Focused (TWinControl)
pt | FontChanged (TControl)
pt | FontChanged (TWinControl)
pt | ForeignAnchorSideChanged (TControl)
pt | FormEndUpdated (TControl)
pt | FormEndUpdated (TWinControl)
 | FormIsUpdating (TControl)
 | FPOAttachObserver (TPersistent)
 | FPODetachObserver (TPersistent)
 | FPONotifyObservers (TPersistent)
 | Free (TObject)
 | FreeInstance (TObject)
 | FreeNotification (TComponent)
 | FreeOnRelease (TComponent)
 | GetAccessibleObject (TControl)
pt | GetAction (TControl)
pt | GetActionLinkClass (TControl)
pt | GetAdjustedLogicalClientRect (TWinControl)
 | GetAnchorsDependingOnParent (TControl)
pt | GetBorderStyle (TWinControl)
pt | GetCachedText (TControl)
 | GetCanvasScaleFactor (TControl)
 | GetChildAccessibleObjectAtPos (TControl)
 | GetChildOwner (TComponent)
 | GetChildParent (TComponent)
 | GetChildren (TComponent)
pt | GetChildren (TWinControl)
 | GetChildrenRect (TControl)
 | GetChildrenRect (TWinControl)
pt | GetClientOrigin (TControl)
pt | GetClientOrigin (TWinControl)
pt | GetClientRect (TControl)
pt | GetClientRect (TWinControl)
pt | GetClientScrollOffset (TControl)
 | GetColorResolvingParent (TControl)
 | GetComObject (TComponent)
 | GetComponent (TComponent)
 | GetComponentCount (TComponent)
 | GetComponentIndex (TComponent)
pt | GetControlClassDefaultSize (TControl)
pt | GetControlClassDefaultSize (TCustomGroupBox)
 | GetControlIndex (TWinControl)
pt | GetControlOrigin (TControl)
pt | GetControlOrigin (TWinControl)
pt | GetCursor (TControl)
 | GetDefaultColor (TControl)
pt | GetDefaultDockCaption (TControl)
 | GetDefaultHeight (TControl)
 | GetDefaultWidth (TControl)
pt | GetDeviceContext (TControl)
pt | GetDeviceContext (TWinControl)
 | GetDockCaption (TWinControl)
pt | GetDockEdge (TControl)
pt | GetDragImages (TControl)
pt | GetEnabled (TControl)
 | GetEnumerator (TComponent)
 | GetEnumeratorControls (TWinControl)
 | GetEnumeratorControlsReverse (TWinControl)
pt | GetFloating (TControl)
pt | GetFloatingDockSiteClass (TControl)
 | GetHashCode (TObject)
 | GetIDsOfNames (TComponent)
 | GetInterface (TObject)
 | GetInterfaceByStr (TObject)
 | GetInterfaceEntry (TObject)
 | GetInterfaceEntryByStr (TObject)
 | GetInterfaceTable (TObject)
 | GetInterfaceWeak (TObject)
pt | GetItemIndex (TCustomRadioGroup)
pt | GetLogicalClientRect (TControl)
pt | GetMouseCapture (TControl)
pt | GetMouseCapture (TWinControl)
pt | GetMousePosFromMessage (TControl)
 | GetNamePath (TPersistent)
 | GetNamePath (TComponent)
 | GetOwner (TPersistent)
 | GetOwner (TComponent)
pt | GetPalette (TControl)
pt | GetParentBackground (TWinControl)
 | GetParentComponent (TComponent)
 | GetParentComponent (TControl)
pt | GetParentHandle (TWinControl)
pt | GetPopupMenu (TControl)
 | GetPreferredSize (TControl)
pt | GetPreferredSizeClientFrame (TWinControl)
 | GetRGBColorResolvingParent (TControl)
pt | GetScrolledClientRect (TControl)
 | GetSelectedChildAccessibleObject (TControl)
 | GetSidePosition (TControl)
pt | GetSiteInfo (TWinControl)
 | GetTabOrderList (TWinControl)
 | GetTextBuf (TControl)
 | GetTextLen (TControl)
 | GetTextLen (TWinControl)
 | GetTopParent (TControl)
pt | GetTopParentHandle (TWinControl)
 | GetTypeInfo (TComponent)
 | GetTypeInfoCount (TComponent)
pt | GetWSComponentClass (TLCLComponent)
 | HandleAllocated (TWinControl)
 | HandleNeeded (TWinControl)
 | HandleObjectShouldBeVisible (TControl)
 | HasHelp (TControl)
 | HasParent (TComponent)
 | HasParent (TControl)
pt | HeightIsAnchored (TControl)
 | Hide (TControl)
 | iicrGetComponent (TComponent)
 | IncLCLRefCount (TLCLComponent)
 | InheritsFrom (TObject)
pt | InitializeWnd (TWinControl)
pt | InitializeWnd (TCustomRadioGroup)
 | InitiateAction (TControl)
 | InitInstance (TObject)
 | Insert (TComponent)
 | InsertComponent (TComponent)
 | InsertControl (TWinControl)
 | InstanceSize (TObject)
 | IntfGetDropFilesTarget (TWinControl)
 | IntfUTF8KeyPress (TWinControl)
 | Invalidate (TControl)
 | Invalidate (TWinControl)
pt | InvalidateBoundsRealized (TWinControl)
 | InvalidateClientRectCache (TWinControl)
pt | InvalidateControl (TControl)
pt | InvalidatePreferredChildSizes (TWinControl)
 | InvalidatePreferredSize (TControl)
 | Invoke (TComponent)
pt | IsAParentAligning (TControl)
pt | IsBorderSpacingInnerBorderStored (TControl)
pt | IsCaptionStored (TControl)
pt | IsClientHeightStored (TControl)
pt | IsClientHeightStored (TWinControl)
pt | IsClientWidthStored (TControl)
pt | IsClientWidthStored (TWinControl)
pt | IsControlMouseMsg (TWinControl)
 | IsControlVisible (TControl)
 | IsEnabled (TControl)
 | IsImplementorOf (TComponent)
 | IsParentColor (TControl)
 | IsParentFont (TControl)
 | IsParentOf (TControl)
 | IsProcessingPaintMsg (TControl)
 | IsRightToLeft (TControl)
 | IsVisible (TControl)
pt | KeyDown (TWinControl)
pt | KeyDownAfterInterface (TWinControl)
pt | KeyDownBeforeInterface (TWinControl)
pt | KeyPress (TWinControl)
pt | KeyUp (TWinControl)
pt | KeyUpAfterInterface (TWinControl)
pt | KeyUpBeforeInterface (TWinControl)
pt | LMCaptureChanged (TControl)
 | Loaded (TComponent)
pt | Loaded (TControl)
pt | Loaded (TWinControl)
pt | LoadedAll (TControl)
 | Loading (TComponent)
 | LockRealizeBounds (TWinControl)
pt | MainWndProc (TWinControl)
 | ManualDock (TControl)
 | ManualFloat (TControl)
 | MethodAddress (TObject)
 | MethodName (TObject)
pt | MouseDown (TControl)
pt | MouseEnter (TControl)
pt | MouseLeave (TControl)
pt | MouseMove (TControl)
pt | MouseUp (TControl)
 | newinstance (TObject)
 | NewInstance (TLCLComponent)
 | Notification (TComponent)
pt | Notification (TControl)
 | NotifyControls (TWinControl)
pt | PaintControls (TWinControl)
pt | PaintHandler (TWinControl)
 | PaintTo (TWinControl)
pt | PaintWindow (TWinControl)
 | PaletteCreated (TComponent)
 | ParentDestroyingHandle (TControl)
pt | ParentFontChanged (TControl)
pt | ParentFormHandleInitialized (TControl)
pt | ParentFormHandleInitialized (TWinControl)
 | ParentHandlesAllocated (TControl)
 | ParentHandlesAllocated (TWinControl)
 | ParentToClient (TControl)
 | Perform (TControl)
 | PerformTab (TWinControl)
pt | PositionDockRect (TControl)
pt | QuadClick (TControl)
 | QueryInterface (TComponent)
 | ReadLeft (TComponent)
 | ReadState (TComponent)
pt | ReadState (TControl)
pt | ReadState (TCustomRadioGroup)
 | ReadTop (TComponent)
pt | RealGetText (TControl)
pt | RealGetText (TWinControl)
 | ReAlign (TWinControl)
pt | RealizeBounds (TWinControl)
pt | RealizeBoundsRecursive (TWinControl)
pt | RealSetText (TControl)
pt | RealSetText (TWinControl)
 | ReferenceInterface (TComponent)
 | Refresh (TControl)
pt | ReloadDockedControl (TWinControl)
 | Remove (TComponent)
 | RemoveAllHandlersOfObject (TLCLComponent)
 | RemoveAllHandlersOfObject (TControl)
 | RemoveComponent (TComponent)
 | RemoveControl (TWinControl)
pt | RemoveFocus (TWinControl)
 | RemoveFreeNotification (TComponent)
pt | RemoveHandler (TControl)
 | RemoveHandlerOnBeforeDestruction (TControl)
 | RemoveHandlerOnChangeBounds (TControl)
 | RemoveHandlerOnEnableChanging (TControl)
 | RemoveHandlerOnKeyDown (TControl)
 | RemoveHandlerOnMouseWheel (TControl)
 | RemoveHandlerOnResize (TControl)
 | RemoveHandlerOnVisibleChanged (TControl)
 | RemoveHandlerOnVisibleChanging (TControl)
 | RemoveNotification (TComponent)
 | Repaint (TControl)
 | Repaint (TWinControl)
 | ReplaceDockedControl (TControl)
pt | RequestAlign (TControl)
pt | Resize (TControl)
 | Rows (TCustomRadioGroup)
 | SafeCallException (TObject)
 | SafeCallException (TComponent)
 | Scale96ToFont (TControl)
 | Scale96ToForm (TControl)
 | Scale96ToScreen (TControl)
 | ScaleBy (TWinControl)
pt | ScaleConstraints (TControl)
pt | ScaleControls (TWinControl)
 | ScaleDesignToForm (TControl)
 | ScaleFontsPPI (TControl)
 | ScaleFontTo96 (TControl)
 | ScaleFontToScreen (TControl)
 | ScaleFormTo96 (TControl)
 | ScaleFormToDesign (TControl)
 | ScaleScreenTo96 (TControl)
 | ScaleScreenToFont (TControl)
 | ScreenToClient (TControl)
 | ScreenToControl (TControl)
 | ScrollBy (TWinControl)
 | ScrollBy_WS (TWinControl)
pt | SelectFirst (TWinControl)
 | SelectNext (TWinControl)
pt | SendDialogChar (TWinControl)
pt | SendMoveSizeMessages (TControl)
pt | SendMoveSizeMessages (TWinControl)
 | SendToBack (TControl)
pt | SetAction (TControl)
pt | SetAlign (TControl)
 | SetAncestor (TComponent)
pt | SetAnchors (TControl)
pt | SetAutoSize (TControl)
pt | SetBiDiMode (TControl)
pt | SetBorderStyle (TWinControl)
 | SetBounds (TControl)
 | SetBounds (TWinControl)
 | SetBoundsKeepBase (TControl)
 | SetChildOrder (TComponent)
pt | SetChildZPosition (TWinControl)
pt | SetColor (TControl)
pt | SetColor (TWinControl)
pt | SetColumns (TCustomRadioGroup)
 | SetComponentIndex (TComponent)
 | SetControlIndex (TWinControl)
pt | SetCursor (TControl)
 | SetDesigning (TComponent)
 | SetDesignInstance (TComponent)
pt | SetDockManager (TWinControl)
pt | SetDragMode (TControl)
pt | SetEnabled (TControl)
 | SetFocus (TWinControl)
pt | SetHint (TControl)
 | SetInitialBounds (TControl)
 | SetInline (TComponent)
pt | SetItemIndex (TCustomRadioGroup)
pt | SetItems (TCustomRadioGroup)
 | SetName (TComponent)
pt | SetName (TControl)
pt | SetParent (TControl)
pt | SetParentBackground (TWinControl)
pt | SetParentBiDiMode (TControl)
 | SetParentComponent (TComponent)
pt | SetParentComponent (TControl)
 | SetReference (TComponent)
 | SetShape (TWinControl)
 | SetSubComponent (TComponent)
 | SetTempCursor (TControl)
 | SetTempCursor (TWinControl)
 | SetTextBuf (TControl)
pt | SetVisible (TControl)
pt | SetZOrder (TControl)
 | ShouldAutoAdjust (TControl)
 | Show (TControl)
pt | ShowControl (TWinControl)
 | ShowHelp (TControl)
 | StringMessageTable (TObject)
pt | TextChanged (TControl)
 | ToString (TObject)
pt | TripleClick (TControl)
 | UnitName (TObject)
 | UnlockRealizeBounds (TWinControl)
 | Update (TControl)
 | Update (TWinControl)
 | UpdateAction (TComponent)
pt | UpdateAll (TCustomRadioGroup)
pt | UpdateAnchorRules (TControl)
 | UpdateBaseBounds (TControl)
pt | UpdateControlState (TWinControl)
 | Updated (TComponent)
 | UpdateDockCaption (TWinControl)
pt | UpdateInternalObjectList (TCustomRadioGroup)
pt | UpdateMouseCursor (TControl)
pt | UpdateRadioButtonStates (TCustomRadioGroup)
 | UpdateRegistry (TComponent)
 | UpdateRolesForForm (TControl)
pt | UpdateShowing (TWinControl)
 | Updating (TComponent)
 | UseRightToLeftAlignment (TControl)
 | UseRightToLeftReading (TControl)
 | UseRightToLeftScrollBar (TControl)
pt | UTF8KeyPress (TWinControl)
 | ValidateContainer (TComponent)
 | ValidateInsert (TComponent)
 | ValidateRename (TComponent)
pt | VisibleChanged (TControl)
pt | VisibleChanging (TControl)
pt | WidthIsAnchored (TControl)
pt | WMCancelMode (TControl)
pt | WMChar (TWinControl)
pt | WMContextMenu (TControl)
pt | WMContextMenu (TWinControl)
pt | WMDestroy (TWinControl)
pt | WMEnter (TWinControl)
pt | WMEraseBkgnd (TWinControl)
pt | WMExit (TWinControl)
pt | WMKeyDown (TWinControl)
pt | WMKeyUp (TWinControl)
pt | WMKillFocus (TWinControl)
pt | WMLButtonDBLCLK (TControl)
pt | WMLButtonDown (TControl)
pt | WMLButtonQuadCLK (TControl)
pt | WMLButtonTripleCLK (TControl)
pt | WMLButtonUp (TControl)
pt | WMMButtonDBLCLK (TControl)
pt | WMMButtonDown (TControl)
pt | WMMButtonQuadCLK (TControl)
pt | WMMButtonTripleCLK (TControl)
pt | WMMButtonUp (TControl)
pt | WMMouseHWheel (TControl)
pt | WMMouseMove (TControl)
pt | WMMouseWheel (TControl)
pt | WMMove (TControl)
pt | WMMove (TWinControl)
pt | WMNotify (TWinControl)
pt | WMPaint (TWinControl)
pt | WMRButtonDBLCLK (TControl)
pt | WMRButtonDown (TControl)
pt | WMRButtonQuadCLK (TControl)
pt | WMRButtonTripleCLK (TControl)
pt | WMRButtonUp (TControl)
pt | WMSetFocus (TWinControl)
pt | WMShowWindow (TWinControl)
pt | WMSize (TControl)
pt | WMSize (TWinControl)
pt | WMSysChar (TWinControl)
pt | WMSysKeyDown (TWinControl)
pt | WMSysKeyUp (TWinControl)
pt | WMWindowPosChanged (TControl)
pt | WMWindowPosChanged (TWinControl)
pt | WMXButtonDBLCLK (TControl)
pt | WMXButtonDown (TControl)
pt | WMXButtonQuadCLK (TControl)
pt | WMXButtonTripleCLK (TControl)
pt | WMXButtonUp (TControl)
pt | WndProc (TControl)
pt | WndProc (TWinControl)
 | WriteLayoutDebugReport (TControl)
 | WriteLayoutDebugReport (TWinControl)
 | WriteLeft (TComponent)
 | WriteState (TComponent)
 | WriteTop (TComponent)
pt | WSRegisterClass (TLCLComponent)
pt | WSRegisterClass (TControl)
pt | WSRegisterClass (TWinControl)
pt | WSRegisterClass (TCustomGroupBox)
pt | WSRegisterClass (TCustomRadioGroup)
pt | WSSetText (TWinControl)
 | _AddRef (TComponent)
 | _Release (TComponent)


TCustomRadioGroup
 | OnClick
 | OnSelectionChanged
TCustomGroupBox
TWinControl
pt | OnGetSiteInfo
pt | OnGetDockCaption
 | OnAlignInsertBefore
 | OnAlignPosition
 | OnDockDrop
 | OnDockOver
 | OnEnter
 | OnExit
 | OnKeyDown
 | OnKeyPress
 | OnKeyUp
 | OnUnDock
 | OnUTF8KeyPress
TControl
pt | OnConstrainedResize
pt | OnContextPopup
pt | OnDblClick
pt | OnTripleClick
pt | OnQuadClick
pt | OnDragDrop
pt | OnDragOver
pt | OnEndDock
pt | OnEndDrag
pt | OnMouseDown
pt | OnMouseMove
pt | OnMouseUp
pt | OnMouseEnter
pt | OnMouseLeave
pt | OnMouseWheel
pt | OnMouseWheelDown
pt | OnMouseWheelUp
pt | OnMouseWheelHorz
pt | OnMouseWheelLeft
pt | OnMouseWheelRight
pt | OnStartDock
pt | OnStartDrag
pt | OnEditingDone
 | OnChangeBounds
 | OnClick
 | OnResize
 | OnShowHint
TLCLComponent
TComponent
TPersistent
TObject


 | OnAlignInsertBefore (TWinControl)
 | OnAlignPosition (TWinControl)
 | OnChangeBounds (TControl)
 | OnClick (TControl)
 | OnClick (TCustomRadioGroup)
pt | OnConstrainedResize (TControl)
pt | OnContextPopup (TControl)
pt | OnDblClick (TControl)
 | OnDockDrop (TWinControl)
 | OnDockOver (TWinControl)
pt | OnDragDrop (TControl)
pt | OnDragOver (TControl)
pt | OnEditingDone (TControl)
pt | OnEndDock (TControl)
pt | OnEndDrag (TControl)
 | OnEnter (TWinControl)
 | OnExit (TWinControl)
pt | OnGetDockCaption (TWinControl)
pt | OnGetSiteInfo (TWinControl)
 | OnKeyDown (TWinControl)
 | OnKeyPress (TWinControl)
 | OnKeyUp (TWinControl)
pt | OnMouseDown (TControl)
pt | OnMouseEnter (TControl)
pt | OnMouseLeave (TControl)
pt | OnMouseMove (TControl)
pt | OnMouseUp (TControl)
pt | OnMouseWheel (TControl)
pt | OnMouseWheelDown (TControl)
pt | OnMouseWheelHorz (TControl)
pt | OnMouseWheelLeft (TControl)
pt | OnMouseWheelRight (TControl)
pt | OnMouseWheelUp (TControl)
pt | OnQuadClick (TControl)
 | OnResize (TControl)
 | OnSelectionChanged (TCustomRadioGroup)
 | OnShowHint (TControl)
pt | OnStartDock (TControl)
pt | OnStartDrag (TControl)
pt | OnTripleClick (TControl)
 | OnUnDock (TWinControl)
 | OnUTF8KeyPress (TWinControl)


TCustomRadioGroup.AutoFill

AutoFill - whether responses to Items should automatically be filled in

Declaration

Source position: extctrls.pp line 722

public property TCustomRadioGroup.AutoFill : Boolean
  read FAutoFill
  write SetAutoFill;


TCustomRadioGroup.CanModify

CanModify - if True, modification of the RadioGroup is permitted

Declaration

Source position: extctrls.pp line 718

public function TCustomRadioGroup.CanModify: Boolean; virtual;


TCustomRadioGroup.CheckItemIndexChanged

CheckItemIndexChanged - find out if the index for an item has changes

Declaration

Source position: extctrls.pp line 714

protected procedure TCustomRadioGroup.CheckItemIndexChanged; virtual;


TCustomRadioGroup.ColumnLayout

ColumnLayout - HorizontalThenVertical or vice versa

Declaration

Source position: extctrls.pp line 726

public property TCustomRadioGroup.ColumnLayout : TColumnLayout
  read FColumnLayout
  write SetColumnLayout
  default clHorizontalThenVertical;


TCustomRadioGroup.Columns

Columns - the number of columns in which the Items (radio buttons) are to be arranges

Declaration

Source position: extctrls.pp line 725

public property TCustomRadioGroup.Columns : Integer
  read FColumns
  write SetColumns
  default 1;


TCustomRadioGroup.Create

Create - constructor for TCustomRadioGroup: calls inherited Create, then sets list of buttons, and initialises layout and sizing properties

Declaration

Source position: extctrls.pp line 716

public constructor TCustomRadioGroup.Create(

  TheOwner: TComponent

); override;

See also

TCustomGroupBox.Create


TCustomRadioGroup.Destroy

Destroy - destructor for TCustomRadioGroup: frees items and buttons, then calls inherited Destroy

Declaration

Source position: extctrls.pp line 717

public destructor TCustomRadioGroup.Destroy; override;

See also

TWinControl.Destroy


TCustomRadioGroup.FlipChildren

Declaration

Source position: extctrls.pp line 719

public procedure TCustomRadioGroup.FlipChildren(

  AllLevels: Boolean

); override;


TCustomRadioGroup.GetItemIndex

GetItemIndex - returns an index for an item

Declaration

Source position: extctrls.pp line 713

protected function TCustomRadioGroup.GetItemIndex: Integer;


TCustomRadioGroup.Items

Items - a string list containing the captions for the radio boxes

Declaration

Source position: extctrls.pp line 724

public property TCustomRadioGroup.Items : TStrings
  read FItems
  write SetItems;


TCustomRadioGroup.OnClick

Event called when the selected item changes

Declaration

Source position: extctrls.pp line 727

public property TCustomRadioGroup.OnClick : TNotifyEvent
  read FOnClick
  write FOnClick;

Description

TCustomRadioGroup.OnClick is different from the usual event TControl.OnClick. Instead of occuring on a mouse click on the control, this event is occurs when the currently selected item changes. It will not occur if a click does not make the selection change, will not occur upon clicking a already selected item and will occur if one changes the selection via the keyboard. It also occurs when the item is changed programmatically. This is done for Delphi compatibility.

Note that Lazarus also offers another event for the same task with a better name: see TCustomRadioGroup.OnSelectionChanged for more details.

See also

#LCL.Controls.TControl.OnClick | Notification handler for mouse clicks.
TCustomRadioGroup.OnSelectionChanged | Event called when the selected item changes


TCustomRadioGroup.OnSelectionChanged

Event called when the selected item changes

Declaration

Source position: extctrls.pp line 728

public property TCustomRadioGroup.OnSelectionChanged : TNotifyEvent
  read FOnSelectionChanged
  write FOnSelectionChanged;

Description

This event was introduced in Lazarus 0.9.31 and it is called when the selected item is changed. It is triggered when this is done by the user via, for example the mouse or keyboard, and is also triggered when the selected item is changed programatically.

See also

TCustomRadioGroup.OnClick

Event called when the selected item changes


TCustomRadioGroup.Rows

Rows - the number of rows in which Items (radio boxes) are held

Declaration

Source position: extctrls.pp line 720

public function TCustomRadioGroup.Rows: Integer;

Function result

Number of rows


TCustomRadioGroup.SetColumns

SetColumns - specifies the number of columns for displaying the items

Declaration

Source position: extctrls.pp line 711

protected procedure TCustomRadioGroup.SetColumns(

  Value: Integer

);


TCustomRadioGroup.SetItemIndex

SetItemIndex - specifies an index for an item

Declaration

Source position: extctrls.pp line 712

protected procedure TCustomRadioGroup.SetItemIndex(

  Value: Integer

);


TCustomRadioGroup.SetItems

SetItems - specifies the strings that form the Items of the group

Declaration

Source position: extctrls.pp line 710

protected procedure TCustomRadioGroup.SetItems(

  Value: TStrings

);


TCustomRadioGroup.UpdateAll

Declaration

Source position: extctrls.pp line 706

protected procedure TCustomRadioGroup.UpdateAll;


TCustomRadioGroup.UpdateInternalObjectList

Declaration

Source position: extctrls.pp line 705

protected procedure TCustomRadioGroup.UpdateInternalObjectList;


TCustomRadioGroup.UpdateRadioButtonStates

UpdateRadioButtonStates including implementing any pending changes

Declaration

Source position: extctrls.pp line 708

protected procedure TCustomRadioGroup.UpdateRadioButtonStates; virtual;


TCustomSplitter

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

TCustomSplitter : the base type for TSplitter

Declaration

Source position: extctrls.pp line 345

type TCustomSplitter = class(TCustomControl)
protected
procedure CMEnabledChanged(); message;
class procedure WSRegisterClass; override; | Registers this component class with the current WidgetSet.
function AdaptAnchors();
function CheckNewSize(); virtual; | CheckNewSize - ensure new size is appropriate: returns True if sucessful
function CheckOffset(); virtual;
function FindAlignControl; | FindAlignControl - returns the main alignment control
function FindAlignOtherControl; | FindAlignOtherControl - returns another alignment control (the splitter may have to align two controls)
procedure MouseDown(); override; | Handler for MouseDown events.
procedure MouseEnter; override; | Invokes the OnMouseEnter handler.
procedure MouseLeave; override; |
procedure MouseMove(); override; | Handler for MouseMove events.
procedure MouseUp(); override; | Invokes the OnMouseUp handler.
procedure Paint; override; | Override this method in your derived class with your own paint handler.
procedure SetAlign(); override;
procedure SetAnchors(); override;
procedure SetResizeAnchor(); virtual; |
procedure SetResizeControl(); virtual; |
procedure StartSplitterMove(); | StartSplitterMove - method for starting movement of the splitter, given the mouse position MouseXY
procedure StopSplitterMove();
procedure UpdateCursor; virtual;
public
constructor Create(); override; | Create - constructor for TCustomSplitter: calls inherited Create then sets initial alignment, size and style
procedure AnchorSplitter(); | AnchorSplitter - anchor the splitter to Acontrol using the specified Kind of anchor
property ResizeControl: TControl; [rw] | ResizeControl - the control that is to be re-sized with the splitter
function GetOtherResizeControl; | GetOtherResizeControl - find out which other control is to be re-sized
procedure MoveSplitter(); virtual; | MoveSplitter - by an amount specified by Offset
procedure SetSplitterPosition(); | SetSplitterPosition - to specified NewPosition
function GetSplitterPosition; | GetSplitterPosition - returns the current position of the splitter
property Align: TAlign; | Specifies the placement of the control inside its Parent.
property AutoSnap: Boolean; [rw] | AutoSnap - automatically snaps to a grid point or grid line in the Form designer
property Beveled: Boolean; [rw] | Whether the edges of the splitter bar are bevelled
property Cursor: TCursor; | The shape of the mouse pointer, when the mouse is over this control.
property MinSize: Integer; [rw] | Minimum size for splitter - default 30 pixels
property OnCanOffset: TCanOffsetEvent; [rw]
property OnCanResize: TCanResizeEvent; [rw] | Event handler for receiving permission to resize
property OnMoved: TNotifyEvent; [rw] | Event handler for occasion when splitter has moved
property ResizeAnchor: TAnchorKind; [rw] | ResizeAnchor - the kind of anchor to be used for resizing
property ResizeStyle: TResizeStyle; [rw] | Style for resizing - as a line, a pattern, full update, or none
end;

Inheritance

TCustomSplitter | TCustomSplitter : the base type for TSplitter
|
TCustomControl | The base class for windowed controls which paint themselves.
|
TWinControl | The base class for controls which can contain other (child) controls.
|
TControl | The base class for visible controls.
|
TLCLComponent | The base class for LCL components associated with widgets.
|
TComponent,IUnknown,IInterfaceComponentReference
|
TPersistent,IFPObserved
|
TObject

Description

TCustomSplitter: the base type for TSplitter

A Splitter is a vertical or horizontal bar that can be placed on a panel or form, to separate sub-panels functionally and allow re-sizing of the constituent sub-panels

This class defines many of the basic properties for the children classes, such as positioning, sizing and alignment

{ TCustomSplitter is a control for interactively resizing another control.
    It is a vertical or horizontal bar anchored to a side of a control.
    You can either set the Align property to alLeft (alRight,alTop,alBottom),
    then it will become a vertical bar, aligned to the left and when the user
    moves it with the mouse, the control to the left with the same Align=alLeft
    will be resized.
    The second more flexible possibility is to set the properties Align=alNone,
    AnchorSides and ResizeAnchor.
    }


TCustomSplitter
 |  | ResizeControl
 | ro | Align
 |  | AutoSnap
 |  | Beveled
 | ro | Cursor
 |  | MinSize
 |  | ResizeAnchor
 |  | ResizeStyle
TCustomControl
 |  | Canvas
 | ro | BorderStyle
TWinControl
pt |  | WindowHandle
pt |  | BorderStyle
pt |  | ParentBackground
 |  | BorderWidth
 | ro | BoundsLockCount
 | ro | Brush
 | ro | CachedClientHeight
 | ro | CachedClientWidth
 |  | ChildSizing
 | ro | ControlCount
 | ro | Controls
 |  | DefWndProc
 | ro | DockClientCount
 | ro | DockClients
 |  | DockManager
 |  | DockSite
 |  | DoubleBuffered
 |  | Handle
 | ro | IsFlipped
 | ro | IsResizing
 |  | TabOrder
 |  | TabStop
 |  | ParentDoubleBuffered
 |  | ParentWindow
 | ro | Showing
 |  | UseDockManager
 |  | DesignerDeleting
 | ro | VisibleDockClientCount
TControl
pt | ro | AutoSizing
pt | ro | AutoSizingAll
pt | ro | AutoSizingLockCount
pt |  | ActionLink
pt |  | DesktopFont
pt |  | DragCursor
pt |  | DragKind
pt |  | DragMode
pt |  | MouseCapture
pt |  | ParentColor
pt |  | ParentFont
pt |  | ParentShowHint
pt |  | SessionProperties
pt |  | Text
 | ro | AnchoredControls
 | ro | BaseBounds
 | ro | ReadBounds
 | ro | BaseParentClientSize
 |  | AccessibleDescription
 |  | AccessibleValue
 |  | AccessibleRole
 |  | Action
 |  | Align
 |  | Anchors
 | ro | AnchorSide
 |  | AutoSize
 |  | BorderSpacing
 |  | BoundsRect
 |  | BoundsRectForNewParent
 |  | Caption
 |  | CaptureMouseButtons
 |  | ClientHeight
 | ro | ClientOrigin
 | ro | ClientRect
 |  | ClientWidth
 |  | Color
 |  | Constraints
 | ro | ControlOrigin
 |  | ControlState
 |  | ControlStyle
 |  | Enabled
 |  | Font
 |  | IsControl
 | ro | MouseEntered
 | ro | MouseInClient
 |  | Parent
 |  | PopupMenu
 |  | ShowHint
 |  | Visible
 |  | WindowProc
 |  | DockOrientation
 | ro | Floating
 |  | FloatingDockSiteClass
 |  | HostDockSite
 |  | LRDockWidth
 |  | TBDockHeight
 |  | UndockHeight
 |  | UndockWidth
 |  | BiDiMode
 |  | ParentBiDiMode
pl |  | AnchorSideLeft
pl |  | AnchorSideTop
pl |  | AnchorSideRight
pl |  | AnchorSideBottom
pl |  | Cursor
pl |  | Left
pl |  | Height
pl |  | Hint
pl |  | Top
pl |  | Width
pl |  | HelpType
pl |  | HelpKeyword
pl |  | HelpContext
TLCLComponent
 | ro | LCLRefCount
 | ro | WidgetSetClass
TComponent
 | ro | ComObject
 | ro | Components
 | ro | ComponentCount
 |  | ComponentIndex
 | ro | ComponentState
 | ro | ComponentStyle
 |  | DesignInfo
 | ro | Owner
 |  | VCLComObject
 |  | Name
 |  | Tag
TPersistent
TObject


 |  | AccessibleDescription (TControl)
 |  | AccessibleRole (TControl)
 |  | AccessibleValue (TControl)
 |  | Action (TControl)
pt |  | ActionLink (TControl)
 |  | Align (TControl)
 | ro | Align (TCustomSplitter)
 | ro | AnchoredControls (TControl)
 |  | Anchors (TControl)
 | ro | AnchorSide (TControl)
pl |  | AnchorSideBottom (TControl)
pl |  | AnchorSideLeft (TControl)
pl |  | AnchorSideRight (TControl)
pl |  | AnchorSideTop (TControl)
 |  | AutoSize (TControl)
pt | ro | AutoSizing (TControl)
pt | ro | AutoSizingAll (TControl)
pt | ro | AutoSizingLockCount (TControl)
 |  | AutoSnap (TCustomSplitter)
 | ro | BaseBounds (TControl)
 | ro | BaseParentClientSize (TControl)
 |  | Beveled (TCustomSplitter)
 |  | BiDiMode (TControl)
 |  | BorderSpacing (TControl)
pt |  | BorderStyle (TWinControl)
 | ro | BorderStyle (TCustomControl)
 |  | BorderWidth (TWinControl)
 | ro | BoundsLockCount (TWinControl)
 |  | BoundsRect (TControl)
 |  | BoundsRectForNewParent (TControl)
 | ro | Brush (TWinControl)
 | ro | CachedClientHeight (TWinControl)
 | ro | CachedClientWidth (TWinControl)
 |  | Canvas (TCustomControl)
 |  | Caption (TControl)
 |  | CaptureMouseButtons (TControl)
 |  | ChildSizing (TWinControl)
 |  | ClientHeight (TControl)
 | ro | ClientOrigin (TControl)
 | ro | ClientRect (TControl)
 |  | ClientWidth (TControl)
 |  | Color (TControl)
 | ro | ComObject (TComponent)
 | ro | ComponentCount (TComponent)
 |  | ComponentIndex (TComponent)
 | ro | Components (TComponent)
 | ro | ComponentState (TComponent)
 | ro | ComponentStyle (TComponent)
 |  | Constraints (TControl)
 | ro | ControlCount (TWinControl)
 | ro | ControlOrigin (TControl)
 | ro | Controls (TWinControl)
 |  | ControlState (TControl)
 |  | ControlStyle (TControl)
pl |  | Cursor (TControl)
 | ro | Cursor (TCustomSplitter)
 |  | DefWndProc (TWinControl)
 |  | DesignerDeleting (TWinControl)
 |  | DesignInfo (TComponent)
pt |  | DesktopFont (TControl)
 | ro | DockClientCount (TWinControl)
 | ro | DockClients (TWinControl)
 |  | DockManager (TWinControl)
 |  | DockOrientation (TControl)
 |  | DockSite (TWinControl)
 |  | DoubleBuffered (TWinControl)
pt |  | DragCursor (TControl)
pt |  | DragKind (TControl)
pt |  | DragMode (TControl)
 |  | Enabled (TControl)
 | ro | Floating (TControl)
 |  | FloatingDockSiteClass (TControl)
 |  | Font (TControl)
 |  | Handle (TWinControl)
pl |  | Height (TControl)
pl |  | HelpContext (TControl)
pl |  | HelpKeyword (TControl)
pl |  | HelpType (TControl)
pl |  | Hint (TControl)
 |  | HostDockSite (TControl)
 |  | IsControl (TControl)
 | ro | IsFlipped (TWinControl)
 | ro | IsResizing (TWinControl)
 | ro | LCLRefCount (TLCLComponent)
pl |  | Left (TControl)
 |  | LRDockWidth (TControl)
 |  | MinSize (TCustomSplitter)
pt |  | MouseCapture (TControl)
 | ro | MouseEntered (TControl)
 | ro | MouseInClient (TControl)
 |  | Name (TComponent)
 | ro | Owner (TComponent)
 |  | Parent (TControl)
pt |  | ParentBackground (TWinControl)
 |  | ParentBiDiMode (TControl)
pt |  | ParentColor (TControl)
 |  | ParentDoubleBuffered (TWinControl)
pt |  | ParentFont (TControl)
pt |  | ParentShowHint (TControl)
 |  | ParentWindow (TWinControl)
 |  | PopupMenu (TControl)
 | ro | ReadBounds (TControl)
 |  | ResizeAnchor (TCustomSplitter)
 |  | ResizeControl (TCustomSplitter)
 |  | ResizeStyle (TCustomSplitter)
pt |  | SessionProperties (TControl)
 |  | ShowHint (TControl)
 | ro | Showing (TWinControl)
 |  | TabOrder (TWinControl)
 |  | TabStop (TWinControl)
 |  | Tag (TComponent)
 |  | TBDockHeight (TControl)
pt |  | Text (TControl)
pl |  | Top (TControl)
 |  | UndockHeight (TControl)
 |  | UndockWidth (TControl)
 |  | UseDockManager (TWinControl)
 |  | VCLComObject (TComponent)
 |  | Visible (TControl)
 | ro | VisibleDockClientCount (TWinControl)
 | ro | WidgetSetClass (TLCLComponent)
pl |  | Width (TControl)
pt |  | WindowHandle (TWinControl)
 |  | WindowProc (TControl)


TCustomSplitter
pt | CMEnabledChanged
pt | WSRegisterClass
pt | AdaptAnchors
pt | CheckNewSize
pt | CheckOffset
pt | FindAlignControl
pt | FindAlignOtherControl
pt | MouseDown
pt | MouseEnter
pt | MouseLeave
pt | MouseMove
pt | MouseUp
pt | Paint
pt | SetAlign
pt | SetAnchors
pt | SetResizeAnchor
pt | SetResizeControl
pt | StartSplitterMove
pt | StopSplitterMove
pt | UpdateCursor
 | Create
 | AnchorSplitter
 | GetOtherResizeControl
 | MoveSplitter
 | SetSplitterPosition
 | GetSplitterPosition
TCustomControl
pt | WSRegisterClass
pt | WMPaint
pt | DestroyWnd
pt | PaintWindow
pt | FontChanged
pt | SetColor
pt | Paint
 | Create
 | Destroy
TWinControl
pt | WSRegisterClass
pt | AdjustClientRect
pt | GetAdjustedLogicalClientRect
pt | AlignControls
pt | CustomAlignInsertBefore
pt | CustomAlignPosition
pt | DoAlignChildControls
pt | DoChildSizingChange
pt | InvalidatePreferredChildSizes
pt | CanTab
pt | IsClientHeightStored
pt | IsClientWidthStored
pt | DoSendShowHideToInterface
pt | ControlsAligned
pt | DoSendBoundsToInterface
pt | RealizeBounds
pt | RealizeBoundsRecursive
pt | InvalidateBoundsRealized
pt | CreateSubClass
pt | DoConstraintsChange
pt | DoSetBounds
pt | DoAutoSize
pt | DoAllAutoSize
pt | AllAutoSized
pt | CalculatePreferredSize
pt | GetPreferredSizeClientFrame
pt | GetChildren
pt | ChildClassAllowed
pt | PaintControls
pt | PaintHandler
pt | PaintWindow
pt | CreateBrush
pt | ScaleControls
pt | ChangeScale
pt | CMBiDiModeChanged
pt | CMBorderChanged
pt | CMDoubleBufferedChanged
pt | CMEnabledChanged
pt | CMParentDoubleBufferedChanged
pt | CMShowingChanged
pt | CMShowHintChanged
pt | CMVisibleChanged
pt | CMEnter
pt | CMExit
pt | WMContextMenu
pt | WMEraseBkgnd
pt | WMNotify
pt | WMSetFocus
pt | WMKillFocus
pt | WMShowWindow
pt | WMEnter
pt | WMExit
pt | WMKeyDown
pt | WMSysKeyDown
pt | WMKeyUp
pt | WMSysKeyUp
pt | WMChar
pt | WMSysChar
pt | WMPaint
pt | WMDestroy
pt | WMMove
pt | WMSize
pt | WMWindowPosChanged
pt | CNKeyDown
pt | CNSysKeyDown
pt | CNKeyUp
pt | CNSysKeyUp
pt | CNChar
pt | DoDragMsg
pt | DoDockClientMsg
pt | DoUndockClientMsg
pt | DoAddDockClient
pt | DockOver
pt | DoDockOver
pt | DoRemoveDockClient
pt | DoUnDock
pt | GetSiteInfo
pt | GetParentHandle
pt | GetTopParentHandle
pt | ReloadDockedControl
pt | CreateDockManager
pt | SetDockManager
pt | DoFloatMsg
pt | DoGetDockCaption
pt | DoEnter
pt | DoExit
pt | DoKeyDownBeforeInterface
pt | DoRemainingKeyDown
pt | DoRemainingKeyUp
pt | DoKeyPress
pt | DoUTF8KeyPress
pt | DoKeyUpBeforeInterface
pt | ChildKey
pt | SendDialogChar
pt | DialogChar
pt | ControlKeyDown
pt | ControlKeyUp
pt | KeyDown
pt | KeyDownBeforeInterface
pt | KeyDownAfterInterface
pt | KeyPress
pt | KeyUp
pt | KeyUpBeforeInterface
pt | KeyUpAfterInterface
pt | UTF8KeyPress
pt | FindNextControl
pt | SelectFirst
pt | RealGetText
pt | GetBorderStyle
pt | GetClientOrigin
pt | GetClientRect
pt | GetControlOrigin
pt | GetDeviceContext
pt | GetParentBackground
pt | IsControlMouseMsg
pt | CreateHandle
pt | CreateParams
pt | CreateWnd
pt | DestroyHandle
pt | DestroyWnd
pt | DoFlipChildren
pt | FinalizeWnd
pt | FixupTabList
pt | FontChanged
pt | InitializeWnd
pt | Loaded
pt | FormEndUpdated
pt | MainWndProc
pt | ParentFormHandleInitialized
pt | ChildHandlesCreated
pt | GetMouseCapture
pt | RealSetText
pt | RemoveFocus
pt | SendMoveSizeMessages
pt | SetBorderStyle
pt | SetColor
pt | SetChildZPosition
pt | SetParentBackground
pt | ShowControl
pt | UpdateControlState
pt | UpdateShowing
pt | WndProc
pt | WSSetText
 | AutoSizePhases
 | AutoSizeDelayed
 | AutoSizeDelayedReport
 | AutoSizeDelayedHandle
 | BeginUpdateBounds
 | EndUpdateBounds
 | LockRealizeBounds
 | UnlockRealizeBounds
 | ControlAtPos
 | ContainsControl
 | DoAdjustClientRectChange
 | InvalidateClientRectCache
 | ClientRectNeedsInterfaceUpdate
 | SetBounds
 | GetChildrenRect
 | DisableAlign
 | EnableAlign
 | ReAlign
 | ScrollBy_WS
 | ScrollBy
 | WriteLayoutDebugReport
 | AutoAdjustLayout
 | Create
 | CreateParented
 | CreateParentedControl
 | Destroy
 | DockDrop
 | CanFocus
 | CanSetFocus
 | GetControlIndex
 | SetControlIndex
 | Focused
 | PerformTab
 | FindChildControl
 | SelectNext
 | SetTempCursor
 | BroadCast
 | NotifyControls
 | DefaultHandler
 | GetTextLen
 | Invalidate
 | AddControl
 | InsertControl
 | RemoveControl
 | GetEnumeratorControls
 | GetEnumeratorControlsReverse
 | Repaint
 | Update
 | SetFocus
 | FlipChildren
 | ScaleBy
 | GetDockCaption
 | UpdateDockCaption
 | GetTabOrderList
 | HandleAllocated
 | ParentHandlesAllocated
 | HandleNeeded
 | BrushCreated
 | EraseBackground
 | IntfUTF8KeyPress
 | IntfGetDropFilesTarget
 | PaintTo
 | SetShape
TControl
pt | WSRegisterClass
pt | GetCursor
pt | SetCursor
pt | SetVisible
pt | DoOnParentHandleDestruction
pt | DoAutoSize
pt | DoAllAutoSize
pt | BeginAutoSizing
pt | EndAutoSizing
pt | AnchorSideChanged
pt | ForeignAnchorSideChanged
pt | SetAlign
pt | SetAnchors
pt | SetAutoSize
pt | BoundsChanged
pt | CreateControlBorderSpacing
pt | DoConstraintsChange
pt | DoBorderSpacingChange
pt | IsBorderSpacingInnerBorderStored
pt | IsCaptionStored
pt | SendMoveSizeMessages
pt | ConstrainedResize
pt | CalculatePreferredSize
pt | DoOnResize
pt | DoOnChangeBounds
pt | CheckOnChangeBounds
pt | Resize
pt | RequestAlign
pt | UpdateAnchorRules
pt | ChangeBounds
pt | DoSetBounds
pt | ScaleConstraints
pt | ChangeScale
pt | CanAutoSize
pt | SetBiDiMode
pt | SetParentBiDiMode
pt | IsAParentAligning
pt | GetClientOrigin
pt | GetClientRect
pt | GetLogicalClientRect
pt | GetScrolledClientRect
pt | GetClientScrollOffset
pt | GetControlOrigin
pt | IsClientHeightStored
pt | IsClientWidthStored
pt | WidthIsAnchored
pt | HeightIsAnchored
pt | WMCancelMode
pt | WMContextMenu
pt | WMLButtonDown
pt | WMRButtonDown
pt | WMMButtonDown
pt | WMXButtonDown
pt | WMLButtonDBLCLK
pt | WMRButtonDBLCLK
pt | WMMButtonDBLCLK
pt | WMXButtonDBLCLK
pt | WMLButtonTripleCLK
pt | WMRButtonTripleCLK
pt | WMMButtonTripleCLK
pt | WMXButtonTripleCLK
pt | WMLButtonQuadCLK
pt | WMRButtonQuadCLK
pt | WMMButtonQuadCLK
pt | WMXButtonQuadCLK
pt | WMMouseMove
pt | WMLButtonUp
pt | WMRButtonUp
pt | WMMButtonUp
pt | WMXButtonUp
pt | WMMouseWheel
pt | WMMouseHWheel
pt | WMMove
pt | WMSize
pt | WMWindowPosChanged
pt | CMChanged
pt | LMCaptureChanged
pt | CMBiDiModeChanged
pt | CMSysFontChanged
pt | CMEnabledChanged
pt | CMHitTest
pt | CMMouseEnter
pt | CMMouseLeave
pt | CMHintShow
pt | CMParentBiDiModeChanged
pt | CMParentColorChanged
pt | CMParentFontChanged
pt | CMParentShowHintChanged
pt | CMVisibleChanged
pt | CMTextChanged
pt | CMCursorChanged
pt | CalculateDockSizes
pt | CreateFloatingDockSite
pt | GetDockEdge
pt | GetDragImages
pt | GetFloating
pt | GetFloatingDockSiteClass
pt | BeforeDragStart
pt | BeginAutoDrag
pt | DoFloatMsg
pt | DockTrackNoTarget
pt | DoDock
pt | DoDragMsg
pt | DoEndDock
pt | DoEndDrag
pt | DoStartDock
pt | DoStartDrag
pt | DragCanceled
pt | DragOver
pt | PositionDockRect
pt | SetDragMode
pt | GetDefaultDockCaption
pt | Click
pt | DblClick
pt | TripleClick
pt | QuadClick
pt | GetMousePosFromMessage
pt | MouseDown
pt | MouseMove
pt | MouseUp
pt | MouseEnter
pt | MouseLeave
pt | DialogChar
pt | UpdateMouseCursor
pt | Changed
pt | GetPalette
pt | ChildClassAllowed
pt | ReadState
pt | Loaded
pt | LoadedAll
pt | DefineProperties
pt | AssignTo
pt | FormEndUpdated
pt | InvalidateControl
pt | FontChanged
pt | ParentFontChanged
pt | GetAction
pt | RealGetText
pt | RealSetText
pt | TextChanged
pt | GetCachedText
pt | SetAction
pt | SetColor
pt | SetEnabled
pt | SetHint
pt | SetName
pt | SetParent
pt | SetParentComponent
pt | WndProc
pt | ParentFormHandleInitialized
pt | GetMouseCapture
pt | CaptureChanged
pt | Notification
pt | CanTab
pt | GetDeviceContext
pt | GetEnabled
pt | GetPopupMenu
pt | DoOnShowHint
pt | DoMouseWheel
pt | DoMouseWheelDown
pt | DoMouseWheelUp
pt | DoMouseWheelHorz
pt | DoMouseWheelLeft
pt | DoMouseWheelRight
pt | VisibleChanging
pt | VisibleChanged
pt | EnabledChanging
pt | EnabledChanged
pt | AddHandler
pt | RemoveHandler
pt | DoCallNotifyHandler
pt | DoCallKeyEventHandler
pt | DoCallMouseWheelEventHandler
pt | DoContextPopup
pt | SetZOrder
pt | GetControlClassDefaultSize
pt | ColorIsStored
pt | DoAutoAdjustLayout
pt | DoFixDesignFontPPI
pt | DoScaleFontPPI
pt | GetActionLinkClass
pt | ActionChange
 | DragDrop
 | Dock
 | ManualDock
 | ManualFloat
 | ReplaceDockedControl
 | Docked
 | Dragging
 | GetAccessibleObject
 | CreateAccessibleObject
 | GetSelectedChildAccessibleObject
 | GetChildAccessibleObjectAtPos
 | ScaleDesignToForm
 | ScaleFormToDesign
 | Scale96ToForm
 | ScaleFormTo96
 | Scale96ToFont
 | ScaleFontTo96
 | ScaleScreenToFont
 | ScaleFontToScreen
 | Scale96ToScreen
 | ScaleScreenTo96
 | AdjustSize
 | AutoSizePhases
 | AutoSizeDelayed
 | AutoSizeDelayedReport
 | AutoSizeDelayedHandle
 | AnchorToNeighbour
 | AnchorParallel
 | AnchorHorizontalCenterTo
 | AnchorVerticalCenterTo
 | AnchorToCompanion
 | AnchorSame
 | AnchorAsAlign
 | AnchorClient
 | AnchoredControlCount
 | SetBounds
 | SetInitialBounds
 | SetBoundsKeepBase
 | GetPreferredSize
 | GetCanvasScaleFactor
 | GetDefaultWidth
 | GetDefaultHeight
 | GetDefaultColor
 | GetColorResolvingParent
 | GetRGBColorResolvingParent
 | GetSidePosition
 | CNPreferredSizeChanged
 | InvalidatePreferredSize
 | GetAnchorsDependingOnParent
 | DisableAutoSizing
 | EnableAutoSizing
 | UpdateBaseBounds
 | WriteLayoutDebugReport
 | AutoAdjustLayout
 | ShouldAutoAdjust
 | FixDesignFontsPPI
 | ScaleFontsPPI
 | Create
 | Destroy
 | BeforeDestruction
 | EditingDone
 | ExecuteDefaultAction
 | ExecuteCancelAction
 | BeginDrag
 | EndDrag
 | BringToFront
 | HasParent
 | GetParentComponent
 | IsParentOf
 | GetTopParent
 | IsVisible
 | IsControlVisible
 | IsEnabled
 | IsParentColor
 | IsParentFont
 | FormIsUpdating
 | IsProcessingPaintMsg
 | Hide
 | Refresh
 | Repaint
 | Invalidate
 | CheckChildClassAllowed
 | CheckNewParent
 | SendToBack
 | SetTempCursor
 | UpdateRolesForForm
 | ActiveDefaultControlChanged
 | GetTextBuf
 | GetTextLen
 | SetTextBuf
 | Perform
 | ScreenToClient
 | ClientToScreen
 | ScreenToControl
 | ControlToScreen
 | ClientToParent
 | ParentToClient
 | GetChildrenRect
 | Show
 | Update
 | HandleObjectShouldBeVisible
 | ParentDestroyingHandle
 | ParentHandlesAllocated
 | InitiateAction
 | ShowHelp
 | HasHelp
 | RemoveAllHandlersOfObject
 | AddHandlerOnResize
 | RemoveHandlerOnResize
 | AddHandlerOnChangeBounds
 | RemoveHandlerOnChangeBounds
 | AddHandlerOnVisibleChanging
 | RemoveHandlerOnVisibleChanging
 | AddHandlerOnVisibleChanged
 | RemoveHandlerOnVisibleChanged
 | AddHandlerOnEnabledChanged
 | RemoveHandlerOnEnableChanging
 | AddHandlerOnKeyDown
 | RemoveHandlerOnKeyDown
 | AddHandlerOnBeforeDestruction
 | RemoveHandlerOnBeforeDestruction
 | AddHandlerOnMouseWheel
 | RemoveHandlerOnMouseWheel
 | UseRightToLeftAlignment
 | UseRightToLeftReading
 | UseRightToLeftScrollBar
 | IsRightToLeft
TLCLComponent
pt | WSRegisterClass
pt | GetWSComponentClass
 | Create
 | Destroy
 | NewInstance
 | RemoveAllHandlersOfObject
 | IncLCLRefCount
 | DecLCLRefCount
TComponent
 | GetComObject
 | GetComponent
 | GetComponentCount
 | GetComponentIndex
 | Insert
 | ReadLeft
 | ReadTop
 | Remove
 | RemoveNotification
 | SetComponentIndex
 | SetReference
 | WriteLeft
 | WriteTop
 | ChangeName
 | DefineProperties
 | GetChildren
 | GetChildOwner
 | GetChildParent
 | GetOwner
 | Loaded
 | Loading
 | Notification
 | PaletteCreated
 | ReadState
 | SetAncestor
 | SetDesigning
 | SetDesignInstance
 | SetInline
 | SetName
 | SetChildOrder
 | SetParentComponent
 | Updating
 | Updated
 | UpdateRegistry
 | ValidateRename
 | ValidateContainer
 | ValidateInsert
 | QueryInterface
 | _AddRef
 | _Release
 | iicrGetComponent
 | GetTypeInfoCount
 | GetTypeInfo
 | GetIDsOfNames
 | Invoke
 | WriteState
 | Create
 | Destroy
 | BeforeDestruction
 | DestroyComponents
 | Destroying
 | ExecuteAction
 | FindComponent
 | FreeNotification
 | RemoveFreeNotification
 | FreeOnRelease
 | GetEnumerator
 | GetNamePath
 | GetParentComponent
 | HasParent
 | InsertComponent
 | RemoveComponent
 | SafeCallException
 | SetSubComponent
 | UpdateAction
 | IsImplementorOf
 | ReferenceInterface
TPersistent
 | AssignError
 | AssignTo
 | DefineProperties
 | GetOwner
 | Destroy
 | Assign
 | FPOAttachObserver
 | FPODetachObserver
 | FPONotifyObservers
 | GetNamePath
TObject
 | Create
 | Destroy
 | newinstance
 | FreeInstance
 | SafeCallException
 | DefaultHandler
 | Free
 | InitInstance
 | CleanupInstance
 | ClassType
 | ClassInfo
 | ClassName
 | ClassNameIs
 | ClassParent
 | InstanceSize
 | InheritsFrom
 | StringMessageTable
 | MethodAddress
 | MethodName
 | FieldAddress
 | AfterConstruction
 | BeforeDestruction
 | DefaultHandlerStr
 | Dispatch
 | DispatchStr
 | GetInterface
 | GetInterfaceByStr
 | GetInterfaceWeak
 | GetInterfaceEntry
 | GetInterfaceEntryByStr
 | GetInterfaceTable
 | UnitName
 | Equals
 | GetHashCode
 | ToString


pt | ActionChange (TControl)
 | ActiveDefaultControlChanged (TControl)
pt | AdaptAnchors (TCustomSplitter)
 | AddControl (TWinControl)
pt | AddHandler (TControl)
 | AddHandlerOnBeforeDestruction (TControl)
 | AddHandlerOnChangeBounds (TControl)
 | AddHandlerOnEnabledChanged (TControl)
 | AddHandlerOnKeyDown (TControl)
 | AddHandlerOnMouseWheel (TControl)
 | AddHandlerOnResize (TControl)
 | AddHandlerOnVisibleChanged (TControl)
 | AddHandlerOnVisibleChanging (TControl)
pt | AdjustClientRect (TWinControl)
 | AdjustSize (TControl)
 | AfterConstruction (TObject)
pt | AlignControls (TWinControl)
pt | AllAutoSized (TWinControl)
 | AnchorAsAlign (TControl)
 | AnchorClient (TControl)
 | AnchoredControlCount (TControl)
 | AnchorHorizontalCenterTo (TControl)
 | AnchorParallel (TControl)
 | AnchorSame (TControl)
pt | AnchorSideChanged (TControl)
 | AnchorSplitter (TCustomSplitter)
 | AnchorToCompanion (TControl)
 | AnchorToNeighbour (TControl)
 | AnchorVerticalCenterTo (TControl)
 | Assign (TPersistent)
 | AssignError (TPersistent)
 | AssignTo (TPersistent)
pt | AssignTo (TControl)
 | AutoAdjustLayout (TControl)
 | AutoAdjustLayout (TWinControl)
 | AutoSizeDelayed (TControl)
 | AutoSizeDelayed (TWinControl)
 | AutoSizeDelayedHandle (TControl)
 | AutoSizeDelayedHandle (TWinControl)
 | AutoSizeDelayedReport (TControl)
 | AutoSizeDelayedReport (TWinControl)
 | AutoSizePhases (TControl)
 | AutoSizePhases (TWinControl)
 | BeforeDestruction (TObject)
 | BeforeDestruction (TComponent)
 | BeforeDestruction (TControl)
pt | BeforeDragStart (TControl)
pt | BeginAutoDrag (TControl)
pt | BeginAutoSizing (TControl)
 | BeginDrag (TControl)
 | BeginUpdateBounds (TWinControl)
pt | BoundsChanged (TControl)
 | BringToFront (TControl)
 | BroadCast (TWinControl)
 | BrushCreated (TWinControl)
pt | CalculateDockSizes (TControl)
pt | CalculatePreferredSize (TControl)
pt | CalculatePreferredSize (TWinControl)
pt | CanAutoSize (TControl)
 | CanFocus (TWinControl)
 | CanSetFocus (TWinControl)
pt | CanTab (TControl)
pt | CanTab (TWinControl)
pt | CaptureChanged (TControl)
pt | ChangeBounds (TControl)
pt | Changed (TControl)
 | ChangeName (TComponent)
pt | ChangeScale (TControl)
pt | ChangeScale (TWinControl)
 | CheckChildClassAllowed (TControl)
 | CheckNewParent (TControl)
pt | CheckNewSize (TCustomSplitter)
pt | CheckOffset (TCustomSplitter)
pt | CheckOnChangeBounds (TControl)
pt | ChildClassAllowed (TControl)
pt | ChildClassAllowed (TWinControl)
pt | ChildHandlesCreated (TWinControl)
pt | ChildKey (TWinControl)
 | ClassInfo (TObject)
 | ClassName (TObject)
 | ClassNameIs (TObject)
 | ClassParent (TObject)
 | ClassType (TObject)
 | CleanupInstance (TObject)
pt | Click (TControl)
 | ClientRectNeedsInterfaceUpdate (TWinControl)
 | ClientToParent (TControl)
 | ClientToScreen (TControl)
pt | CMBiDiModeChanged (TControl)
pt | CMBiDiModeChanged (TWinControl)
pt | CMBorderChanged (TWinControl)
pt | CMChanged (TControl)
pt | CMCursorChanged (TControl)
pt | CMDoubleBufferedChanged (TWinControl)
pt | CMEnabledChanged (TControl)
pt | CMEnabledChanged (TWinControl)
pt | CMEnabledChanged (TCustomSplitter)
pt | CMEnter (TWinControl)
pt | CMExit (TWinControl)
pt | CMHintShow (TControl)
pt | CMHitTest (TControl)
pt | CMMouseEnter (TControl)
pt | CMMouseLeave (TControl)
pt | CMParentBiDiModeChanged (TControl)
pt | CMParentColorChanged (TControl)
pt | CMParentDoubleBufferedChanged (TWinControl)
pt | CMParentFontChanged (TControl)
pt | CMParentShowHintChanged (TControl)
pt | CMShowHintChanged (TWinControl)
pt | CMShowingChanged (TWinControl)
pt | CMSysFontChanged (TControl)
pt | CMTextChanged (TControl)
pt | CMVisibleChanged (TControl)
pt | CMVisibleChanged (TWinControl)
pt | CNChar (TWinControl)
pt | CNKeyDown (TWinControl)
pt | CNKeyUp (TWinControl)
 | CNPreferredSizeChanged (TControl)
pt | CNSysKeyDown (TWinControl)
pt | CNSysKeyUp (TWinControl)
pt | ColorIsStored (TControl)
pt | ConstrainedResize (TControl)
 | ContainsControl (TWinControl)
 | ControlAtPos (TWinControl)
pt | ControlKeyDown (TWinControl)
pt | ControlKeyUp (TWinControl)
pt | ControlsAligned (TWinControl)
 | ControlToScreen (TControl)
 | Create (TObject)
 | Create (TComponent)
 | Create (TLCLComponent)
 | Create (TControl)
 | Create (TWinControl)
 | Create (TCustomControl)
 | Create (TCustomSplitter)
 | CreateAccessibleObject (TControl)
pt | CreateBrush (TWinControl)
pt | CreateControlBorderSpacing (TControl)
pt | CreateDockManager (TWinControl)
pt | CreateFloatingDockSite (TControl)
pt | CreateHandle (TWinControl)
pt | CreateParams (TWinControl)
 | CreateParented (TWinControl)
 | CreateParentedControl (TWinControl)
pt | CreateSubClass (TWinControl)
pt | CreateWnd (TWinControl)
pt | CustomAlignInsertBefore (TWinControl)
pt | CustomAlignPosition (TWinControl)
pt | DblClick (TControl)
 | DecLCLRefCount (TLCLComponent)
 | DefaultHandler (TObject)
 | DefaultHandler (TWinControl)
 | DefaultHandlerStr (TObject)
 | DefineProperties (TPersistent)
 | DefineProperties (TComponent)
pt | DefineProperties (TControl)
 | Destroy (TObject)
 | Destroy (TPersistent)
 | Destroy (TComponent)
 | Destroy (TLCLComponent)
 | Destroy (TControl)
 | Destroy (TWinControl)
 | Destroy (TCustomControl)
 | DestroyComponents (TComponent)
pt | DestroyHandle (TWinControl)
 | Destroying (TComponent)
pt | DestroyWnd (TWinControl)
pt | DestroyWnd (TCustomControl)
pt | DialogChar (TControl)
pt | DialogChar (TWinControl)
 | DisableAlign (TWinControl)
 | DisableAutoSizing (TControl)
 | Dispatch (TObject)
 | DispatchStr (TObject)
pt | DoAddDockClient (TWinControl)
 | DoAdjustClientRectChange (TWinControl)
pt | DoAlignChildControls (TWinControl)
pt | DoAllAutoSize (TControl)
pt | DoAllAutoSize (TWinControl)
pt | DoAutoAdjustLayout (TControl)
pt | DoAutoSize (TControl)
pt | DoAutoSize (TWinControl)
pt | DoBorderSpacingChange (TControl)
pt | DoCallKeyEventHandler (TControl)
pt | DoCallMouseWheelEventHandler (TControl)
pt | DoCallNotifyHandler (TControl)
pt | DoChildSizingChange (TWinControl)
 | Dock (TControl)
 | DockDrop (TWinControl)
 | Docked (TControl)
pt | DockOver (TWinControl)
pt | DockTrackNoTarget (TControl)
pt | DoConstraintsChange (TControl)
pt | DoConstraintsChange (TWinControl)
pt | DoContextPopup (TControl)
pt | DoDock (TControl)
pt | DoDockClientMsg (TWinControl)
pt | DoDockOver (TWinControl)
pt | DoDragMsg (TControl)
pt | DoDragMsg (TWinControl)
pt | DoEndDock (TControl)
pt | DoEndDrag (TControl)
pt | DoEnter (TWinControl)
pt | DoExit (TWinControl)
pt | DoFixDesignFontPPI (TControl)
pt | DoFlipChildren (TWinControl)
pt | DoFloatMsg (TControl)
pt | DoFloatMsg (TWinControl)
pt | DoGetDockCaption (TWinControl)
pt | DoKeyDownBeforeInterface (TWinControl)
pt | DoKeyPress (TWinControl)
pt | DoKeyUpBeforeInterface (TWinControl)
pt | DoMouseWheel (TControl)
pt | DoMouseWheelDown (TControl)
pt | DoMouseWheelHorz (TControl)
pt | DoMouseWheelLeft (TControl)
pt | DoMouseWheelRight (TControl)
pt | DoMouseWheelUp (TControl)
pt | DoOnChangeBounds (TControl)
pt | DoOnParentHandleDestruction (TControl)
pt | DoOnResize (TControl)
pt | DoOnShowHint (TControl)
pt | DoRemainingKeyDown (TWinControl)
pt | DoRemainingKeyUp (TWinControl)
pt | DoRemoveDockClient (TWinControl)
pt | DoScaleFontPPI (TControl)
pt | DoSendBoundsToInterface (TWinControl)
pt | DoSendShowHideToInterface (TWinControl)
pt | DoSetBounds (TControl)
pt | DoSetBounds (TWinControl)
pt | DoStartDock (TControl)
pt | DoStartDrag (TControl)
pt | DoUnDock (TWinControl)
pt | DoUndockClientMsg (TWinControl)
pt | DoUTF8KeyPress (TWinControl)
pt | DragCanceled (TControl)
 | DragDrop (TControl)
 | Dragging (TControl)
pt | DragOver (TControl)
 | EditingDone (TControl)
 | EnableAlign (TWinControl)
 | EnableAutoSizing (TControl)
pt | EnabledChanged (TControl)
pt | EnabledChanging (TControl)
pt | EndAutoSizing (TControl)
 | EndDrag (TControl)
 | EndUpdateBounds (TWinControl)
 | Equals (TObject)
 | EraseBackground (TWinControl)
 | ExecuteAction (TComponent)
 | ExecuteCancelAction (TControl)
 | ExecuteDefaultAction (TControl)
 | FieldAddress (TObject)
pt | FinalizeWnd (TWinControl)
pt | FindAlignControl (TCustomSplitter)
pt | FindAlignOtherControl (TCustomSplitter)
 | FindChildControl (TWinControl)
 | FindComponent (TComponent)
pt | FindNextControl (TWinControl)
 | FixDesignFontsPPI (TControl)
pt | FixupTabList (TWinControl)
 | FlipChildren (TWinControl)
 | Focused (TWinControl)
pt | FontChanged (TControl)
pt | FontChanged (TWinControl)
pt | FontChanged (TCustomControl)
pt | ForeignAnchorSideChanged (TControl)
pt | FormEndUpdated (TControl)
pt | FormEndUpdated (TWinControl)
 | FormIsUpdating (TControl)
 | FPOAttachObserver (TPersistent)
 | FPODetachObserver (TPersistent)
 | FPONotifyObservers (TPersistent)
 | Free (TObject)
 | FreeInstance (TObject)
 | FreeNotification (TComponent)
 | FreeOnRelease (TComponent)
 | GetAccessibleObject (TControl)
pt | GetAction (TControl)
pt | GetActionLinkClass (TControl)
pt | GetAdjustedLogicalClientRect (TWinControl)
 | GetAnchorsDependingOnParent (TControl)
pt | GetBorderStyle (TWinControl)
pt | GetCachedText (TControl)
 | GetCanvasScaleFactor (TControl)
 | GetChildAccessibleObjectAtPos (TControl)
 | GetChildOwner (TComponent)
 | GetChildParent (TComponent)
 | GetChildren (TComponent)
pt | GetChildren (TWinControl)
 | GetChildrenRect (TControl)
 | GetChildrenRect (TWinControl)
pt | GetClientOrigin (TControl)
pt | GetClientOrigin (TWinControl)
pt | GetClientRect (TControl)
pt | GetClientRect (TWinControl)
pt | GetClientScrollOffset (TControl)
 | GetColorResolvingParent (TControl)
 | GetComObject (TComponent)
 | GetComponent (TComponent)
 | GetComponentCount (TComponent)
 | GetComponentIndex (TComponent)
pt | GetControlClassDefaultSize (TControl)
 | GetControlIndex (TWinControl)
pt | GetControlOrigin (TControl)
pt | GetControlOrigin (TWinControl)
pt | GetCursor (TControl)
 | GetDefaultColor (TControl)
pt | GetDefaultDockCaption (TControl)
 | GetDefaultHeight (TControl)
 | GetDefaultWidth (TControl)
pt | GetDeviceContext (TControl)
pt | GetDeviceContext (TWinControl)
 | GetDockCaption (TWinControl)
pt | GetDockEdge (TControl)
pt | GetDragImages (TControl)
pt | GetEnabled (TControl)
 | GetEnumerator (TComponent)
 | GetEnumeratorControls (TWinControl)
 | GetEnumeratorControlsReverse (TWinControl)
pt | GetFloating (TControl)
pt | GetFloatingDockSiteClass (TControl)
 | GetHashCode (TObject)
 | GetIDsOfNames (TComponent)
 | GetInterface (TObject)
 | GetInterfaceByStr (TObject)
 | GetInterfaceEntry (TObject)
 | GetInterfaceEntryByStr (TObject)
 | GetInterfaceTable (TObject)
 | GetInterfaceWeak (TObject)
pt | GetLogicalClientRect (TControl)
pt | GetMouseCapture (TControl)
pt | GetMouseCapture (TWinControl)
pt | GetMousePosFromMessage (TControl)
 | GetNamePath (TPersistent)
 | GetNamePath (TComponent)
 | GetOtherResizeControl (TCustomSplitter)
 | GetOwner (TPersistent)
 | GetOwner (TComponent)
pt | GetPalette (TControl)
pt | GetParentBackground (TWinControl)
 | GetParentComponent (TComponent)
 | GetParentComponent (TControl)
pt | GetParentHandle (TWinControl)
pt | GetPopupMenu (TControl)
 | GetPreferredSize (TControl)
pt | GetPreferredSizeClientFrame (TWinControl)
 | GetRGBColorResolvingParent (TControl)
pt | GetScrolledClientRect (TControl)
 | GetSelectedChildAccessibleObject (TControl)
 | GetSidePosition (TControl)
pt | GetSiteInfo (TWinControl)
 | GetSplitterPosition (TCustomSplitter)
 | GetTabOrderList (TWinControl)
 | GetTextBuf (TControl)
 | GetTextLen (TControl)
 | GetTextLen (TWinControl)
 | GetTopParent (TControl)
pt | GetTopParentHandle (TWinControl)
 | GetTypeInfo (TComponent)
 | GetTypeInfoCount (TComponent)
pt | GetWSComponentClass (TLCLComponent)
 | HandleAllocated (TWinControl)
 | HandleNeeded (TWinControl)
 | HandleObjectShouldBeVisible (TControl)
 | HasHelp (TControl)
 | HasParent (TComponent)
 | HasParent (TControl)
pt | HeightIsAnchored (TControl)
 | Hide (TControl)
 | iicrGetComponent (TComponent)
 | IncLCLRefCount (TLCLComponent)
 | InheritsFrom (TObject)
pt | InitializeWnd (TWinControl)
 | InitiateAction (TControl)
 | InitInstance (TObject)
 | Insert (TComponent)
 | InsertComponent (TComponent)
 | InsertControl (TWinControl)
 | InstanceSize (TObject)
 | IntfGetDropFilesTarget (TWinControl)
 | IntfUTF8KeyPress (TWinControl)
 | Invalidate (TControl)
 | Invalidate (TWinControl)
pt | InvalidateBoundsRealized (TWinControl)
 | InvalidateClientRectCache (TWinControl)
pt | InvalidateControl (TControl)
pt | InvalidatePreferredChildSizes (TWinControl)
 | InvalidatePreferredSize (TControl)
 | Invoke (TComponent)
pt | IsAParentAligning (TControl)
pt | IsBorderSpacingInnerBorderStored (TControl)
pt | IsCaptionStored (TControl)
pt | IsClientHeightStored (TControl)
pt | IsClientHeightStored (TWinControl)
pt | IsClientWidthStored (TControl)
pt | IsClientWidthStored (TWinControl)
pt | IsControlMouseMsg (TWinControl)
 | IsControlVisible (TControl)
 | IsEnabled (TControl)
 | IsImplementorOf (TComponent)
 | IsParentColor (TControl)
 | IsParentFont (TControl)
 | IsParentOf (TControl)
 | IsProcessingPaintMsg (TControl)
 | IsRightToLeft (TControl)
 | IsVisible (TControl)
pt | KeyDown (TWinControl)
pt | KeyDownAfterInterface (TWinControl)
pt | KeyDownBeforeInterface (TWinControl)
pt | KeyPress (TWinControl)
pt | KeyUp (TWinControl)
pt | KeyUpAfterInterface (TWinControl)
pt | KeyUpBeforeInterface (TWinControl)
pt | LMCaptureChanged (TControl)
 | Loaded (TComponent)
pt | Loaded (TControl)
pt | Loaded (TWinControl)
pt | LoadedAll (TControl)
 | Loading (TComponent)
 | LockRealizeBounds (TWinControl)
pt | MainWndProc (TWinControl)
 | ManualDock (TControl)
 | ManualFloat (TControl)
 | MethodAddress (TObject)
 | MethodName (TObject)
pt | MouseDown (TControl)
pt | MouseDown (TCustomSplitter)
pt | MouseEnter (TControl)
pt | MouseEnter (TCustomSplitter)
pt | MouseLeave (TControl)
pt | MouseLeave (TCustomSplitter)
pt | MouseMove (TControl)
pt | MouseMove (TCustomSplitter)
pt | MouseUp (TControl)
pt | MouseUp (TCustomSplitter)
 | MoveSplitter (TCustomSplitter)
 | newinstance (TObject)
 | NewInstance (TLCLComponent)
 | Notification (TComponent)
pt | Notification (TControl)
 | NotifyControls (TWinControl)
pt | Paint (TCustomControl)
pt | Paint (TCustomSplitter)
pt | PaintControls (TWinControl)
pt | PaintHandler (TWinControl)
 | PaintTo (TWinControl)
pt | PaintWindow (TWinControl)
pt | PaintWindow (TCustomControl)
 | PaletteCreated (TComponent)
 | ParentDestroyingHandle (TControl)
pt | ParentFontChanged (TControl)
pt | ParentFormHandleInitialized (TControl)
pt | ParentFormHandleInitialized (TWinControl)
 | ParentHandlesAllocated (TControl)
 | ParentHandlesAllocated (TWinControl)
 | ParentToClient (TControl)
 | Perform (TControl)
 | PerformTab (TWinControl)
pt | PositionDockRect (TControl)
pt | QuadClick (TControl)
 | QueryInterface (TComponent)
 | ReadLeft (TComponent)
 | ReadState (TComponent)
pt | ReadState (TControl)
 | ReadTop (TComponent)
pt | RealGetText (TControl)
pt | RealGetText (TWinControl)
 | ReAlign (TWinControl)
pt | RealizeBounds (TWinControl)
pt | RealizeBoundsRecursive (TWinControl)
pt | RealSetText (TControl)
pt | RealSetText (TWinControl)
 | ReferenceInterface (TComponent)
 | Refresh (TControl)
pt | ReloadDockedControl (TWinControl)
 | Remove (TComponent)
 | RemoveAllHandlersOfObject (TLCLComponent)
 | RemoveAllHandlersOfObject (TControl)
 | RemoveComponent (TComponent)
 | RemoveControl (TWinControl)
pt | RemoveFocus (TWinControl)
 | RemoveFreeNotification (TComponent)
pt | RemoveHandler (TControl)
 | RemoveHandlerOnBeforeDestruction (TControl)
 | RemoveHandlerOnChangeBounds (TControl)
 | RemoveHandlerOnEnableChanging (TControl)
 | RemoveHandlerOnKeyDown (TControl)
 | RemoveHandlerOnMouseWheel (TControl)
 | RemoveHandlerOnResize (TControl)
 | RemoveHandlerOnVisibleChanged (TControl)
 | RemoveHandlerOnVisibleChanging (TControl)
 | RemoveNotification (TComponent)
 | Repaint (TControl)
 | Repaint (TWinControl)
 | ReplaceDockedControl (TControl)
pt | RequestAlign (TControl)
pt | Resize (TControl)
 | SafeCallException (TObject)
 | SafeCallException (TComponent)
 | Scale96ToFont (TControl)
 | Scale96ToForm (TControl)
 | Scale96ToScreen (TControl)
 | ScaleBy (TWinControl)
pt | ScaleConstraints (TControl)
pt | ScaleControls (TWinControl)
 | ScaleDesignToForm (TControl)
 | ScaleFontsPPI (TControl)
 | ScaleFontTo96 (TControl)
 | ScaleFontToScreen (TControl)
 | ScaleFormTo96 (TControl)
 | ScaleFormToDesign (TControl)
 | ScaleScreenTo96 (TControl)
 | ScaleScreenToFont (TControl)
 | ScreenToClient (TControl)
 | ScreenToControl (TControl)
 | ScrollBy (TWinControl)
 | ScrollBy_WS (TWinControl)
pt | SelectFirst (TWinControl)
 | SelectNext (TWinControl)
pt | SendDialogChar (TWinControl)
pt | SendMoveSizeMessages (TControl)
pt | SendMoveSizeMessages (TWinControl)
 | SendToBack (TControl)
pt | SetAction (TControl)
pt | SetAlign (TControl)
pt | SetAlign (TCustomSplitter)
 | SetAncestor (TComponent)
pt | SetAnchors (TControl)
pt | SetAnchors (TCustomSplitter)
pt | SetAutoSize (TControl)
pt | SetBiDiMode (TControl)
pt | SetBorderStyle (TWinControl)
 | SetBounds (TControl)
 | SetBounds (TWinControl)
 | SetBoundsKeepBase (TControl)
 | SetChildOrder (TComponent)
pt | SetChildZPosition (TWinControl)
pt | SetColor (TControl)
pt | SetColor (TWinControl)
pt | SetColor (TCustomControl)
 | SetComponentIndex (TComponent)
 | SetControlIndex (TWinControl)
pt | SetCursor (TControl)
 | SetDesigning (TComponent)
 | SetDesignInstance (TComponent)
pt | SetDockManager (TWinControl)
pt | SetDragMode (TControl)
pt | SetEnabled (TControl)
 | SetFocus (TWinControl)
pt | SetHint (TControl)
 | SetInitialBounds (TControl)
 | SetInline (TComponent)
 | SetName (TComponent)
pt | SetName (TControl)
pt | SetParent (TControl)
pt | SetParentBackground (TWinControl)
pt | SetParentBiDiMode (TControl)
 | SetParentComponent (TComponent)
pt | SetParentComponent (TControl)
 | SetReference (TComponent)
pt | SetResizeAnchor (TCustomSplitter)
pt | SetResizeControl (TCustomSplitter)
 | SetShape (TWinControl)
 | SetSplitterPosition (TCustomSplitter)
 | SetSubComponent (TComponent)
 | SetTempCursor (TControl)
 | SetTempCursor (TWinControl)
 | SetTextBuf (TControl)
pt | SetVisible (TControl)
pt | SetZOrder (TControl)
 | ShouldAutoAdjust (TControl)
 | Show (TControl)
pt | ShowControl (TWinControl)
 | ShowHelp (TControl)
pt | StartSplitterMove (TCustomSplitter)
pt | StopSplitterMove (TCustomSplitter)
 | StringMessageTable (TObject)
pt | TextChanged (TControl)
 | ToString (TObject)
pt | TripleClick (TControl)
 | UnitName (TObject)
 | UnlockRealizeBounds (TWinControl)
 | Update (TControl)
 | Update (TWinControl)
 | UpdateAction (TComponent)
pt | UpdateAnchorRules (TControl)
 | UpdateBaseBounds (TControl)
pt | UpdateControlState (TWinControl)
pt | UpdateCursor (TCustomSplitter)
 | Updated (TComponent)
 | UpdateDockCaption (TWinControl)
pt | UpdateMouseCursor (TControl)
 | UpdateRegistry (TComponent)
 | UpdateRolesForForm (TControl)
pt | UpdateShowing (TWinControl)
 | Updating (TComponent)
 | UseRightToLeftAlignment (TControl)
 | UseRightToLeftReading (TControl)
 | UseRightToLeftScrollBar (TControl)
pt | UTF8KeyPress (TWinControl)
 | ValidateContainer (TComponent)
 | ValidateInsert (TComponent)
 | ValidateRename (TComponent)
pt | VisibleChanged (TControl)
pt | VisibleChanging (TControl)
pt | WidthIsAnchored (TControl)
pt | WMCancelMode (TControl)
pt | WMChar (TWinControl)
pt | WMContextMenu (TControl)
pt | WMContextMenu (TWinControl)
pt | WMDestroy (TWinControl)
pt | WMEnter (TWinControl)
pt | WMEraseBkgnd (TWinControl)
pt | WMExit (TWinControl)
pt | WMKeyDown (TWinControl)
pt | WMKeyUp (TWinControl)
pt | WMKillFocus (TWinControl)
pt | WMLButtonDBLCLK (TControl)
pt | WMLButtonDown (TControl)
pt | WMLButtonQuadCLK (TControl)
pt | WMLButtonTripleCLK (TControl)
pt | WMLButtonUp (TControl)
pt | WMMButtonDBLCLK (TControl)
pt | WMMButtonDown (TControl)
pt | WMMButtonQuadCLK (TControl)
pt | WMMButtonTripleCLK (TControl)
pt | WMMButtonUp (TControl)
pt | WMMouseHWheel (TControl)
pt | WMMouseMove (TControl)
pt | WMMouseWheel (TControl)
pt | WMMove (TControl)
pt | WMMove (TWinControl)
pt | WMNotify (TWinControl)
pt | WMPaint (TWinControl)
pt | WMPaint (TCustomControl)
pt | WMRButtonDBLCLK (TControl)
pt | WMRButtonDown (TControl)
pt | WMRButtonQuadCLK (TControl)
pt | WMRButtonTripleCLK (TControl)
pt | WMRButtonUp (TControl)
pt | WMSetFocus (TWinControl)
pt | WMShowWindow (TWinControl)
pt | WMSize (TControl)
pt | WMSize (TWinControl)
pt | WMSysChar (TWinControl)
pt | WMSysKeyDown (TWinControl)
pt | WMSysKeyUp (TWinControl)
pt | WMWindowPosChanged (TControl)
pt | WMWindowPosChanged (TWinControl)
pt | WMXButtonDBLCLK (TControl)
pt | WMXButtonDown (TControl)
pt | WMXButtonQuadCLK (TControl)
pt | WMXButtonTripleCLK (TControl)
pt | WMXButtonUp (TControl)
pt | WndProc (TControl)
pt | WndProc (TWinControl)
 | WriteLayoutDebugReport (TControl)
 | WriteLayoutDebugReport (TWinControl)
 | WriteLeft (TComponent)
 | WriteState (TComponent)
 | WriteTop (TComponent)
pt | WSRegisterClass (TLCLComponent)
pt | WSRegisterClass (TControl)
pt | WSRegisterClass (TWinControl)
pt | WSRegisterClass (TCustomControl)
pt | WSRegisterClass (TCustomSplitter)
pt | WSSetText (TWinControl)
 | _AddRef (TComponent)
 | _Release (TComponent)


TCustomSplitter
 | OnCanOffset
 | OnCanResize
 | OnMoved
TCustomControl
 | OnPaint
TWinControl
pt | OnGetSiteInfo
pt | OnGetDockCaption
 | OnAlignInsertBefore
 | OnAlignPosition
 | OnDockDrop
 | OnDockOver
 | OnEnter
 | OnExit
 | OnKeyDown
 | OnKeyPress
 | OnKeyUp
 | OnUnDock
 | OnUTF8KeyPress
TControl
pt | OnConstrainedResize
pt | OnContextPopup
pt | OnDblClick
pt | OnTripleClick
pt | OnQuadClick
pt | OnDragDrop
pt | OnDragOver
pt | OnEndDock
pt | OnEndDrag
pt | OnMouseDown
pt | OnMouseMove
pt | OnMouseUp
pt | OnMouseEnter
pt | OnMouseLeave
pt | OnMouseWheel
pt | OnMouseWheelDown
pt | OnMouseWheelUp
pt | OnMouseWheelHorz
pt | OnMouseWheelLeft
pt | OnMouseWheelRight
pt | OnStartDock
pt | OnStartDrag
pt | OnEditingDone
 | OnChangeBounds
 | OnClick
 | OnResize
 | OnShowHint
TLCLComponent
TComponent
TPersistent
TObject


 | OnAlignInsertBefore (TWinControl)
 | OnAlignPosition (TWinControl)
 | OnCanOffset (TCustomSplitter)
 | OnCanResize (TCustomSplitter)
 | OnChangeBounds (TControl)
 | OnClick (TControl)
pt | OnConstrainedResize (TControl)
pt | OnContextPopup (TControl)
pt | OnDblClick (TControl)
 | OnDockDrop (TWinControl)
 | OnDockOver (TWinControl)
pt | OnDragDrop (TControl)
pt | OnDragOver (TControl)
pt | OnEditingDone (TControl)
pt | OnEndDock (TControl)
pt | OnEndDrag (TControl)
 | OnEnter (TWinControl)
 | OnExit (TWinControl)
pt | OnGetDockCaption (TWinControl)
pt | OnGetSiteInfo (TWinControl)
 | OnKeyDown (TWinControl)
 | OnKeyPress (TWinControl)
 | OnKeyUp (TWinControl)
pt | OnMouseDown (TControl)
pt | OnMouseEnter (TControl)
pt | OnMouseLeave (TControl)
pt | OnMouseMove (TControl)
pt | OnMouseUp (TControl)
pt | OnMouseWheel (TControl)
pt | OnMouseWheelDown (TControl)
pt | OnMouseWheelHorz (TControl)
pt | OnMouseWheelLeft (TControl)
pt | OnMouseWheelRight (TControl)
pt | OnMouseWheelUp (TControl)
 | OnMoved (TCustomSplitter)
 | OnPaint (TCustomControl)
pt | OnQuadClick (TControl)
 | OnResize (TControl)
 | OnShowHint (TControl)
pt | OnStartDock (TControl)
pt | OnStartDrag (TControl)
pt | OnTripleClick (TControl)
 | OnUnDock (TWinControl)
 | OnUTF8KeyPress (TWinControl)


TCustomSplitter.AdaptAnchors

Declaration

Source position: extctrls.pp line 367

protected function TCustomSplitter.AdaptAnchors(

  const a: TAnchors

):TAnchors;


TCustomSplitter.AnchorSplitter

AnchorSplitter - anchor the splitter to Acontrol using the specified Kind of anchor

Declaration

Source position: extctrls.pp line 390

public procedure TCustomSplitter.AnchorSplitter(

  Kind: TAnchorKind;

  AControl: TControl

);


TCustomSplitter.AutoSnap

AutoSnap - automatically snaps to a grid point or grid line in the Form designer

Declaration

Source position: extctrls.pp line 398

public property TCustomSplitter.AutoSnap : Boolean
  read FAutoSnap
  write FAutoSnap
  default True;

Description

Boolean property, true if snapping to grid positions


TCustomSplitter.Beveled

Whether the edges of the splitter bar are bevelled

Declaration

Source position: extctrls.pp line 399

public property TCustomSplitter.Beveled : Boolean
  read FBeveled
  write SetBeveled
  default False;


TCustomSplitter.CheckNewSize

CheckNewSize - ensure new size is appropriate: returns True if sucessful

Declaration

Source position: extctrls.pp line 368

protected function TCustomSplitter.CheckNewSize(

  var NewSize: Integer

):Boolean; virtual;


TCustomSplitter.CheckOffset

Declaration

Source position: extctrls.pp line 369

protected function TCustomSplitter.CheckOffset(

  var NewOffset: Integer

):Boolean; virtual;


TCustomSplitter.CMEnabledChanged

Declaration

Source position: extctrls.pp line 364

protected procedure TCustomSplitter.CMEnabledChanged(

  var Message: TLMessage

); message;


TCustomSplitter.Create

Create - constructor for TCustomSplitter: calls inherited Create then sets initial alignment, size and style

Declaration

Source position: extctrls.pp line 389

public constructor TCustomSplitter.Create(

  TheOwner: TComponent

); override;

See also

TCustomControl.Create


TCustomSplitter.FindAlignControl

FindAlignControl - returns the main alignment control

Declaration

Source position: extctrls.pp line 371

protected function TCustomSplitter.FindAlignControl: TControl;


TCustomSplitter.FindAlignOtherControl

FindAlignOtherControl - returns another alignment control (the splitter may have to align two controls)

Declaration

Source position: extctrls.pp line 372

protected function TCustomSplitter.FindAlignOtherControl: TControl;


TCustomSplitter.GetOtherResizeControl

GetOtherResizeControl - find out which other control is to be re-sized

Declaration

Source position: extctrls.pp line 392

public function TCustomSplitter.GetOtherResizeControl: TControl;


TCustomSplitter.GetSplitterPosition

GetSplitterPosition - returns the current position of the splitter

Declaration

Source position: extctrls.pp line 395

public function TCustomSplitter.GetSplitterPosition: Integer;


TCustomSplitter.MinSize

Minimum size for splitter - default 30 pixels

Declaration

Source position: extctrls.pp line 401

public property TCustomSplitter.MinSize : Integer
  read FMinSize
  write SetMinSize
  default 30;


TCustomSplitter.MouseLeave

Declaration

Source position: extctrls.pp line 376

protected procedure TCustomSplitter.MouseLeave; override;


TCustomSplitter.MoveSplitter

MoveSplitter - by an amount specified by Offset

Declaration

Source position: extctrls.pp line 393

public procedure TCustomSplitter.MoveSplitter(

  Offset: Integer

); virtual;


TCustomSplitter.OnCanOffset

Declaration

Source position: extctrls.pp line 402

public property TCustomSplitter.OnCanOffset : TCanOffsetEvent
  read FOnCanOffset
  write FOnCanOffset;


TCustomSplitter.OnCanResize

Event handler for receiving permission to resize

Declaration

Source position: extctrls.pp line 403

public property TCustomSplitter.OnCanResize : TCanResizeEvent
  read FOnCanResize
  write FOnCanResize;


TCustomSplitter.OnMoved

Event handler for occasion when splitter has moved

Declaration

Source position: extctrls.pp line 404

public property TCustomSplitter.OnMoved : TNotifyEvent
  read FOnMoved
  write FOnMoved;


TCustomSplitter.ResizeAnchor

ResizeAnchor - the kind of anchor to be used for resizing

Declaration

Source position: extctrls.pp line 405

public property TCustomSplitter.ResizeAnchor : TAnchorKind
  read FResizeAnchor
  write SetResizeAnchor
  default akLeft;

Description

akLeft for a vertical splitter, akTop for a horizontal splitter.


TCustomSplitter.ResizeControl

ResizeControl - the control that is to be re-sized with the splitter

Declaration

Source position: extctrls.pp line 391

public property TCustomSplitter.ResizeControl : TControl
  read GetResizeControl
  write SetResizeControl;


TCustomSplitter.ResizeStyle

Style for resizing - as a line, a pattern, full update, or none

Declaration

Source position: extctrls.pp line 406

public property TCustomSplitter.ResizeStyle : TResizeStyle
  read FResizeStyle
  write FResizeStyle
  default rsUpdate;


TCustomSplitter.SetResizeAnchor

Declaration

Source position: extctrls.pp line 383

protected procedure TCustomSplitter.SetResizeAnchor(

  const AValue: TAnchorKind

); virtual;


TCustomSplitter.SetResizeControl

Declaration

Source position: extctrls.pp line 384

protected procedure TCustomSplitter.SetResizeControl(

  const AValue: TControl

); virtual;


TCustomSplitter.SetSplitterPosition

SetSplitterPosition - to specified NewPosition

Declaration

Source position: extctrls.pp line 394

public procedure TCustomSplitter.SetSplitterPosition(

  NewPosition: Integer

);


TCustomSplitter.StartSplitterMove

StartSplitterMove - method for starting movement of the splitter, given the mouse position MouseXY

Declaration

Source position: extctrls.pp line 385

protected procedure TCustomSplitter.StartSplitterMove(

  const MouseXY: TPoint

);


TCustomSplitter.StopSplitterMove

Declaration

Source position: extctrls.pp line 386

protected procedure TCustomSplitter.StopSplitterMove(

  const MouseXY: TPoint

);


TCustomSplitter.UpdateCursor

Declaration

Source position: extctrls.pp line 387

protected procedure TCustomSplitter.UpdateCursor; virtual;


TCustomTrayIcon

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

TCustomTrayIcon - the base class for TTrayIcon, a multiplatform System Tray component.

Declaration

Source position: extctrls.pp line 1330

type TCustomTrayIcon = class(TLCLComponent)
protected
class procedure WSRegisterClass; override; | Registers this component class with the current WidgetSet.
procedure Notification(); override;
procedure Loaded; override;
public
Handle: HWND; | Operating system Handle for the Tray Icon
constructor Create(); override; | Create - constructor for TCustomTrayIcon: performs inherited Create then creates icon, timer and initialises balloon timeout
destructor Destroy; override; | Destroy - destructor for TCustomTrayIcon: frees icon and timer then calls inherited Destroy
function Hide; | Hide - Removes the icon from the System Tray
function Show; | Show - Shows the icon on the System Tray
procedure InternalUpdate; | InternalUpdate - updates any pending changes
procedure ShowBalloonHint; | ShowBalloonHint displays a smal balloon-like window near the tray icon. It can be used to send notifications about the status of an action, or notify of a received message or any other event which doesn't require an imediate response. The Ballon window disappears after BallonHintTimeout milliseconds or when the user clicks it or it's close button.
function GetPosition; | Find the position of the Tray Icon and thus a position suitable to display the hinting BalloonHint. Under Windows an approximate location is detected.
property Animate: Boolean; [rw]
property AnimateInterval: Cardinal; [rw]
property BalloonFlags: TBalloonFlags; [rw] | the set of kinds of balloon flag that can be displayed (may be None, Info, Warning or Error)
property BalloonHint: string; [rw] | The text to be shown in the hinting balloon
property BalloonTimeout: Integer; [rw] | The period after which the hinting balloon disappears
property BalloonTitle: string; [rw] | The title to be shown on the hinting balloon
property Canvas: TCanvas; [r] | The canvas of the Tray Icon
property PopUpMenu: TPopupMenu; [rw] | PopUpMenu - a popup menu which is displayed when right mouse button is clicked over icon - separate from hint balloon
property Icon: TIcon; [rw] | The Icon or picture that is to be displayed
property Icons: TCustomImageList; [rw]
property Hint: string; [rw] | A simple hint that is shown when the mouse hovers over the icon.
property ShowIcon: Boolean; [rw] | Determines if Icon should be painted to the System Tray. This can be set to false if one wishes to instead paint to the Canvas of the Tray Icon.
property Visible: Boolean; [rw] | It is set to true when the icon is shown and remains true until Hide is called. Setting Visible has the same effect as calling Hide or Show.
property OnClick: TNotifyEvent; [rw] | Event Handler for Mouse Click on Tray Icon
property OnDblClick: TNotifyEvent; [rw] | Event handler for mouse double-click
property OnMouseDown: TMouseEvent; [rw] | Event handler if mouse button is pressed down
property OnMouseUp: TMouseEvent; [rw] | Event handler if mouse button is up
property OnMouseMove: TMouseMoveEvent; [rw] | Event handler for mouse movement
property OnPaint: TNotifyEvent; [rw] | Use this to implement custom drawing to the icon. Draw using the canvas property of the icon. Note: Does not work on win32.
end;

Inheritance

TCustomTrayIcon | TCustomTrayIcon - the base class for TTrayIcon, a multiplatform System Tray component.
|
TLCLComponent | The base class for LCL components associated with widgets.
|
TComponent,IUnknown,IInterfaceComponentReference
|
TPersistent,IFPObserved
|
TObject


TCustomTrayIcon
 |  | Animate
 |  | AnimateInterval
 |  | BalloonFlags
 |  | BalloonHint
 |  | BalloonTimeout
 |  | BalloonTitle
 | ro | Canvas
 |  | PopUpMenu
 |  | Icon
 |  | Icons
 |  | Hint
 |  | ShowIcon
 |  | Visible
TLCLComponent
 | ro | LCLRefCount
 | ro | WidgetSetClass
TComponent
 | ro | ComObject
 | ro | Components
 | ro | ComponentCount
 |  | ComponentIndex
 | ro | ComponentState
 | ro | ComponentStyle
 |  | DesignInfo
 | ro | Owner
 |  | VCLComObject
 |  | Name
 |  | Tag
TPersistent
TObject


 | Animate (TCustomTrayIcon)
 | AnimateInterval (TCustomTrayIcon)
 | BalloonFlags (TCustomTrayIcon)
 | BalloonHint (TCustomTrayIcon)
 | BalloonTimeout (TCustomTrayIcon)
 | BalloonTitle (TCustomTrayIcon)
ro | Canvas (TCustomTrayIcon)
ro | ComObject (TComponent)
ro | ComponentCount (TComponent)
 | ComponentIndex (TComponent)
ro | Components (TComponent)
ro | ComponentState (TComponent)
ro | ComponentStyle (TComponent)
 | DesignInfo (TComponent)
 | Hint (TCustomTrayIcon)
 | Icon (TCustomTrayIcon)
 | Icons (TCustomTrayIcon)
ro | LCLRefCount (TLCLComponent)
 | Name (TComponent)
ro | Owner (TComponent)
 | PopUpMenu (TCustomTrayIcon)
 | ShowIcon (TCustomTrayIcon)
 | Tag (TComponent)
 | VCLComObject (TComponent)
 | Visible (TCustomTrayIcon)
ro | WidgetSetClass (TLCLComponent)


TCustomTrayIcon
pt | WSRegisterClass
pt | Notification
pt | Loaded
 | Create
 | Destroy
 | Hide
 | Show
 | InternalUpdate
 | ShowBalloonHint
 | GetPosition
TLCLComponent
pt | WSRegisterClass
pt | GetWSComponentClass
 | Create
 | Destroy
 | NewInstance
 | RemoveAllHandlersOfObject
 | IncLCLRefCount
 | DecLCLRefCount
TComponent
 | GetComObject
 | GetComponent
 | GetComponentCount
 | GetComponentIndex
 | Insert
 | ReadLeft
 | ReadTop
 | Remove
 | RemoveNotification
 | SetComponentIndex
 | SetReference
 | WriteLeft
 | WriteTop
 | ChangeName
 | DefineProperties
 | GetChildren
 | GetChildOwner
 | GetChildParent
 | GetOwner
 | Loaded
 | Loading
 | Notification
 | PaletteCreated
 | ReadState
 | SetAncestor
 | SetDesigning
 | SetDesignInstance
 | SetInline
 | SetName
 | SetChildOrder
 | SetParentComponent
 | Updating
 | Updated
 | UpdateRegistry
 | ValidateRename
 | ValidateContainer
 | ValidateInsert
 | QueryInterface
 | _AddRef
 | _Release
 | iicrGetComponent
 | GetTypeInfoCount
 | GetTypeInfo
 | GetIDsOfNames
 | Invoke
 | WriteState
 | Create
 | Destroy
 | BeforeDestruction
 | DestroyComponents
 | Destroying
 | ExecuteAction
 | FindComponent
 | FreeNotification
 | RemoveFreeNotification
 | FreeOnRelease
 | GetEnumerator
 | GetNamePath
 | GetParentComponent
 | HasParent
 | InsertComponent
 | RemoveComponent
 | SafeCallException
 | SetSubComponent
 | UpdateAction
 | IsImplementorOf
 | ReferenceInterface
TPersistent
 | AssignError
 | AssignTo
 | DefineProperties
 | GetOwner
 | Destroy
 | Assign
 | FPOAttachObserver
 | FPODetachObserver
 | FPONotifyObservers
 | GetNamePath
TObject
 | Create
 | Destroy
 | newinstance
 | FreeInstance
 | SafeCallException
 | DefaultHandler
 | Free
 | InitInstance
 | CleanupInstance
 | ClassType
 | ClassInfo
 | ClassName
 | ClassNameIs
 | ClassParent
 | InstanceSize
 | InheritsFrom
 | StringMessageTable
 | MethodAddress
 | MethodName
 | FieldAddress
 | AfterConstruction
 | BeforeDestruction
 | DefaultHandlerStr
 | Dispatch
 | DispatchStr
 | GetInterface
 | GetInterfaceByStr
 | GetInterfaceWeak
 | GetInterfaceEntry
 | GetInterfaceEntryByStr
 | GetInterfaceTable
 | UnitName
 | Equals
 | GetHashCode
 | ToString


 | AssignError (TPersistent)
 | AssignTo (TPersistent)
 | BeforeDestruction (TObject)
 | BeforeDestruction (TComponent)
 | ChangeName (TComponent)
 | ClassInfo (TObject)
 | ClassName (TObject)
 | ClassNameIs (TObject)
 | ClassParent (TObject)
 | ClassType (TObject)
 | CleanupInstance (TObject)
 | Create (TObject)
 | Create (TComponent)
 | Create (TLCLComponent)
 | Create (TCustomTrayIcon)
 | DecLCLRefCount (TLCLComponent)
 | DefaultHandler (TObject)
 | DefaultHandlerStr (TObject)
 | DefineProperties (TPersistent)
 | DefineProperties (TComponent)
 | Destroy (TObject)
 | Destroy (TPersistent)
 | Destroy (TComponent)
 | Destroy (TLCLComponent)
 | Destroy (TCustomTrayIcon)
 | DestroyComponents (TComponent)
 | Destroying (TComponent)
 | Dispatch (TObject)
 | DispatchStr (TObject)
 | Equals (TObject)
 | ExecuteAction (TComponent)
 | FieldAddress (TObject)
 | FindComponent (TComponent)
 | FPOAttachObserver (TPersistent)
 | FPODetachObserver (TPersistent)
 | FPONotifyObservers (TPersistent)
 | Free (TObject)
 | FreeInstance (TObject)
 | FreeNotification (TComponent)
 | FreeOnRelease (TComponent)
 | GetChildOwner (TComponent)
 | GetChildParent (TComponent)
 | GetChildren (TComponent)
 | GetComObject (TComponent)
 | GetComponent (TComponent)
 | GetComponentCount (TComponent)
 | GetComponentIndex (TComponent)
 | GetEnumerator (TComponent)
 | GetHashCode (TObject)
 | GetIDsOfNames (TComponent)
 | GetInterface (TObject)
 | GetInterfaceByStr (TObject)
 | GetInterfaceEntry (TObject)
 | GetInterfaceEntryByStr (TObject)
 | GetInterfaceTable (TObject)
 | GetInterfaceWeak (TObject)
 | GetNamePath (TPersistent)
 | GetNamePath (TComponent)
 | GetOwner (TPersistent)
 | GetOwner (TComponent)
 | GetParentComponent (TComponent)
 | GetPosition (TCustomTrayIcon)
 | GetTypeInfo (TComponent)
 | GetTypeInfoCount (TComponent)
pt | GetWSComponentClass (TLCLComponent)
 | HasParent (TComponent)
 | Hide (TCustomTrayIcon)
 | iicrGetComponent (TComponent)
 | IncLCLRefCount (TLCLComponent)
 | InheritsFrom (TObject)
 | InitInstance (TObject)
 | Insert (TComponent)
 | InsertComponent (TComponent)
 | InstanceSize (TObject)
 | InternalUpdate (TCustomTrayIcon)
 | Invoke (TComponent)
 | IsImplementorOf (TComponent)
 | Loaded (TComponent)
pt | Loaded (TCustomTrayIcon)
 | Loading (TComponent)
 | MethodAddress (TObject)
 | MethodName (TObject)
 | newinstance (TObject)
 | NewInstance (TLCLComponent)
 | Notification (TComponent)
pt | Notification (TCustomTrayIcon)
 | PaletteCreated (TComponent)
 | QueryInterface (TComponent)
 | ReadLeft (TComponent)
 | ReadState (TComponent)
 | ReadTop (TComponent)
 | ReferenceInterface (TComponent)
 | Remove (TComponent)
 | RemoveAllHandlersOfObject (TLCLComponent)
 | RemoveComponent (TComponent)
 | RemoveFreeNotification (TComponent)
 | RemoveNotification (TComponent)
 | SafeCallException (TObject)
 | SafeCallException (TComponent)
 | SetAncestor (TComponent)
 | SetChildOrder (TComponent)
 | SetComponentIndex (TComponent)
 | SetDesigning (TComponent)
 | SetDesignInstance (TComponent)
 | SetInline (TComponent)
 | SetName (TComponent)
 | SetParentComponent (TComponent)
 | SetReference (TComponent)
 | SetSubComponent (TComponent)
 | Show (TCustomTrayIcon)
 | ShowBalloonHint (TCustomTrayIcon)
 | StringMessageTable (TObject)
 | ToString (TObject)
 | UnitName (TObject)
 | UpdateAction (TComponent)
 | Updated (TComponent)
 | UpdateRegistry (TComponent)
 | Updating (TComponent)
 | ValidateContainer (TComponent)
 | ValidateInsert (TComponent)
 | ValidateRename (TComponent)
 | WriteLeft (TComponent)
 | WriteState (TComponent)
 | WriteTop (TComponent)
pt | WSRegisterClass (TLCLComponent)
pt | WSRegisterClass (TCustomTrayIcon)
 | _AddRef (TComponent)
 | _Release (TComponent)


TCustomTrayIcon
 | OnClick
 | OnDblClick
 | OnMouseDown
 | OnMouseUp
 | OnMouseMove
 | OnPaint
TLCLComponent
TComponent
TPersistent
TObject


OnClick (TCustomTrayIcon)

OnDblClick (TCustomTrayIcon)

OnMouseDown (TCustomTrayIcon)

OnMouseMove (TCustomTrayIcon)

OnMouseUp (TCustomTrayIcon)

OnPaint (TCustomTrayIcon)


TCustomTrayIcon.Animate

Declaration

Source position: extctrls.pp line 1378

public property TCustomTrayIcon.Animate : Boolean
  read FAnimate
  write SetAnimate
  default False;


TCustomTrayIcon.AnimateInterval

Declaration

Source position: extctrls.pp line 1379

public property TCustomTrayIcon.AnimateInterval : Cardinal
  read GetAnimateInterval
  write SetAnimateInterval
  default 1000;


TCustomTrayIcon.BalloonFlags

the set of kinds of balloon flag that can be displayed (may be None, Info, Warning or Error)

Declaration

Source position: extctrls.pp line 1380

public property TCustomTrayIcon.BalloonFlags : TBalloonFlags
  read FBalloonFlags
  write FBalloonFlags
  default bfNone;


TCustomTrayIcon.BalloonHint

The text to be shown in the hinting balloon

Declaration

Source position: extctrls.pp line 1381

public property TCustomTrayIcon.BalloonHint : string
  read FBalloonHint
  write FBalloonHint;


TCustomTrayIcon.BalloonTimeout

The period after which the hinting balloon disappears

Declaration

Source position: extctrls.pp line 1382

public property TCustomTrayIcon.BalloonTimeout : Integer
  read FBalloonTimeout
  write FBalloonTimeout
  default 3000;


TCustomTrayIcon.BalloonTitle

The title to be shown on the hinting balloon

Declaration

Source position: extctrls.pp line 1383

public property TCustomTrayIcon.BalloonTitle : string
  read FBalloonTitle
  write FBalloonTitle;


TCustomTrayIcon.Canvas

The canvas of the Tray Icon

Declaration

Source position: extctrls.pp line 1384

public property TCustomTrayIcon.Canvas : TCanvas
  read GetCanvas;


TCustomTrayIcon.Create

Create - constructor for TCustomTrayIcon: performs inherited Create then creates icon, timer and initialises balloon timeout

Declaration

Source position: extctrls.pp line 1370

public constructor TCustomTrayIcon.Create(

  TheOwner: TComponent

); override;

Description

Create creates a new instance of a TCustomTrayIcon class. If AOwner is not Nil, the new component attempts to insert itself in the list of owned components of the owner.

See also

TComponent.Create


TCustomTrayIcon.Destroy

Destroy - destructor for TCustomTrayIcon: frees icon and timer then calls inherited Destroy

Declaration

Source position: extctrls.pp line 1371

public destructor TCustomTrayIcon.Destroy; override;

Description

Destroy sends a opRemove notification to all components in the free-notification list. After that, all owned components are destroyed by calling DestroyComponents (and hence removed from the list of owned components). When this is done, the component removes itself from its owner's child component list. After that, the parent's destroy method is called.

See also

TComponent.Destroy


TCustomTrayIcon.GetPosition

Find the position of the Tray Icon and thus a position suitable to display the hinting BalloonHint. Under Windows an approximate location is detected.

Declaration

Source position: extctrls.pp line 1376

public function TCustomTrayIcon.GetPosition: TPoint;


TCustomTrayIcon.Handle

Operating system Handle for the Tray Icon

Declaration

Source position: extctrls.pp line 1369

public TCustomTrayIcon.Handle : HWND;


TCustomTrayIcon.Hide

Hide - Removes the icon from the System Tray

Declaration

Source position: extctrls.pp line 1372

public function TCustomTrayIcon.Hide: Boolean;


TCustomTrayIcon.Hint

A simple hint that is shown when the mouse hovers over the icon.

Declaration

Source position: extctrls.pp line 1388

public property TCustomTrayIcon.Hint : string
  read FHint
  write SetHint;


TCustomTrayIcon.Icon

The Icon or picture that is to be displayed

Declaration

Source position: extctrls.pp line 1386

public property TCustomTrayIcon.Icon : TIcon
  read FIcon
  write SetIcon;


TCustomTrayIcon.Icons

Declaration

Source position: extctrls.pp line 1387

public property TCustomTrayIcon.Icons : TCustomImageList
  read FIcons
  write SetIcons;


TCustomTrayIcon.InternalUpdate

InternalUpdate - updates any pending changes

Declaration

Source position: extctrls.pp line 1374

public procedure TCustomTrayIcon.InternalUpdate;

Description

The behavior of this method depends on the widgetset and it was added to provide an way to update items which either cannot be updated automatically upon change or would be too inneficient to be updated on each change. One example of this is the tray icon menu under LCL-Carbon. It is not automatically updated when changes are done to it's associated LCL TPopUpMenu, but changes are updated when InternalUpdate is called. This happens because the tray icon menus are Cocoa menus which don't match the Carbon menus from LCL-Carbon. Similar things happen in various other widgetsets, so InternalUpdate can be expected to update the menu and/or icon of the tray icon, if this is necessary. If such an update is not required, for example because it is automatically updated on each change, then InternalUpdate will simply do nothing, so it is always a safe function to call, regardless of the widgetset.


TCustomTrayIcon.Loaded

Declaration

Source position: extctrls.pp line 1367

protected procedure TCustomTrayIcon.Loaded; override;


TCustomTrayIcon.Notification

Declaration

Source position: extctrls.pp line 1366

protected procedure TCustomTrayIcon.Notification(

  AComponent: TComponent;

  Operation: TOperation

); override;


TCustomTrayIcon.OnClick

Event Handler for Mouse Click on Tray Icon

Declaration

Source position: extctrls.pp line 1392

public property TCustomTrayIcon.OnClick : TNotifyEvent
  read FOnClick
  write FOnClick;


TCustomTrayIcon.OnDblClick

Event handler for mouse double-click

Declaration

Source position: extctrls.pp line 1393

public property TCustomTrayIcon.OnDblClick : TNotifyEvent
  read FOnDblClick
  write FOnDblClick;


TCustomTrayIcon.OnMouseDown

Event handler if mouse button is pressed down

Declaration

Source position: extctrls.pp line 1394

public property TCustomTrayIcon.OnMouseDown : TMouseEvent
  read FOnMouseDown
  write FOnMouseDown;


TCustomTrayIcon.OnMouseMove

Event handler for mouse movement

Declaration

Source position: extctrls.pp line 1396

public property TCustomTrayIcon.OnMouseMove : TMouseMoveEvent
  read FOnMouseMove
  write FOnMouseMove;


TCustomTrayIcon.OnMouseUp

Event handler if mouse button is up

Declaration

Source position: extctrls.pp line 1395

public property TCustomTrayIcon.OnMouseUp : TMouseEvent
  read FOnMouseUp
  write FOnMouseUp;


TCustomTrayIcon.OnPaint

Use this to implement custom drawing to the icon. Draw using the canvas property of the icon. Note: Does not work on win32.

Declaration

Source position: extctrls.pp line 1397

public property TCustomTrayIcon.OnPaint : TNotifyEvent
  read FOnPaint
  write FOnPaint;


TCustomTrayIcon.PopUpMenu

PopUpMenu - a popup menu which is displayed when right mouse button is clicked over icon - separate from hint balloon

Declaration

Source position: extctrls.pp line 1385

public property TCustomTrayIcon.PopUpMenu : TPopupMenu
  read FPopUpMenu
  write SetPopUpMenu;


TCustomTrayIcon.Show

Show - Shows the icon on the System Tray

Declaration

Source position: extctrls.pp line 1373

public function TCustomTrayIcon.Show: Boolean;


TCustomTrayIcon.ShowBalloonHint

ShowBalloonHint displays a smal balloon-like window near the tray icon. It can be used to send notifications about the status of an action, or notify of a received message or any other event which doesn't require an imediate response. The Ballon window disappears after BallonHintTimeout milliseconds or when the user clicks it or it's close button.

Declaration

Source position: extctrls.pp line 1375

public procedure TCustomTrayIcon.ShowBalloonHint;


TCustomTrayIcon.ShowIcon

Determines if Icon should be painted to the System Tray. This can be set to false if one wishes to instead paint to the Canvas of the Tray Icon.

Declaration

Source position: extctrls.pp line 1389

public property TCustomTrayIcon.ShowIcon : Boolean
  read FShowIcon
  write FShowIcon
  default True;


TCustomTrayIcon.Visible

It is set to true when the icon is shown and remains true until Hide is called. Setting Visible has the same effect as calling Hide or Show.

Declaration

Source position: extctrls.pp line 1390

public property TCustomTrayIcon.Visible : Boolean
  read FVisible
  write SetVisible
  default False;


TFlowPanel

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Container with flow layout of controls placed in it.

Declaration

Source position: extctrls.pp line 1261

type TFlowPanel = class(TCustomFlowPanel)

published

  property Align: TAlign;

  property Alignment: TAlignment;

  property Anchors: TAnchors;

  property AutoSize: Boolean;

  property AutoWrap: Boolean;

  property BevelInner: TPanelBevel;

  property BevelOuter: TPanelBevel;

  property BevelWidth: TBevelWidth;

  property BiDiMode: TBiDiMode;

  property BorderWidth: TBorderWidth;

  property BorderSpacing: TControlBorderSpacing;

  property BorderStyle: TBorderStyle;

  property Caption: TCaption;

  property Color: TColor;

  property Constraints: TSizeConstraints;

  property ControlList: TFlowPanelControlList;

  property UseDockManager: Boolean;

  property DockSite: Boolean;

  property DoubleBuffered: Boolean;

  property DragCursor: TCursor;

  property DragKind: TDragKind;

  property DragMode: TDragMode;

  property Enabled: Boolean;

  property FlowLayout: TTextLayout;

  property FlowStyle: TFlowStyle;

  property FullRepaint: Boolean;

  property Font: TFont;

  property ParentBiDiMode: Boolean;

  property ParentColor: Boolean;

  property ParentDoubleBuffered: Boolean;

  property ParentFont: Boolean;

  property ParentShowHint: Boolean;

  property PopupMenu: TPopupMenu;

  property ShowHint: Boolean;

  property TabOrder: TTabOrder;

  property TabStop: Boolean;

  property Visible: Boolean;

  property OnAlignInsertBefore: TAlignInsertBeforeEvent;

  property OnAlignPosition: TAlignPositionEvent;

  property OnClick: TNotifyEvent;

  property OnConstrainedResize: TConstrainedResizeEvent;

  property OnContextPopup: TContextPopupEvent;

  property OnDockDrop: TDockDropEvent;

  property OnDockOver: TDockOverEvent;

  property OnDblClick: TNotifyEvent;

  property OnDragDrop: TDragDropEvent;

  property OnDragOver: TDragOverEvent;

  property OnEndDock: TEndDragEvent;

  property OnEndDrag: TEndDragEvent;

  property OnEnter: TNotifyEvent;

  property OnExit: TNotifyEvent;

  property OnGetSiteInfo: TGetSiteInfoEvent;

  property OnMouseDown: TMouseEvent;

  property OnMouseEnter: TNotifyEvent;

  property OnMouseLeave: TNotifyEvent;

  property OnMouseMove: TMouseMoveEvent;

  property OnMouseUp: TMouseEvent;

  property OnResize: TNotifyEvent;

  property OnStartDock: TStartDockEvent;

  property OnStartDrag: TStartDragEvent;

  property OnUnDock: TUnDockEvent;

end;

Inheritance

TFlowPanel | Container with flow layout of controls placed in it.
|
TCustomFlowPanel | The base class for TFlowPanel
|
TCustomPanel | The base class for a general container which can hold other objects. It has a customizable border and a central text.
|
TCustomControl | The base class for windowed controls which paint themselves.
|
TWinControl | The base class for controls which can contain other (child) controls.
|
TControl | The base class for visible controls.
|
TLCLComponent | The base class for LCL components associated with widgets.
|
TComponent,IUnknown,IInterfaceComponentReference
|
TPersistent,IFPObserved
|
TObject

Description

Use TFloatPanel if you need a container with float layout. The Anchors and Align properties of child controls are ignored.

The floating direction is determined with FlowStyle property.


TFlowPanel
pl | ro | Align
pl | ro | Alignment
pl | ro | Anchors
pl | ro | AutoSize
pl | ro | AutoWrap
pl | ro | BevelInner
pl | ro | BevelOuter
pl | ro | BevelWidth
pl | ro | BiDiMode
pl | ro | BorderWidth
pl | ro | BorderSpacing
pl | ro | BorderStyle
pl | ro | Caption
pl | ro | Color
pl | ro | Constraints
pl | ro | ControlList
pl | ro | UseDockManager
pl | ro | DockSite
pl | ro | DoubleBuffered
pl | ro | DragCursor
pl | ro | DragKind
pl | ro | DragMode
pl | ro | Enabled
pl | ro | FlowLayout
pl | ro | FlowStyle
pl | ro | FullRepaint
pl | ro | Font
pl | ro | ParentBiDiMode
pl | ro | ParentColor
pl | ro | ParentDoubleBuffered
pl | ro | ParentFont
pl | ro | ParentShowHint
pl | ro | PopupMenu
pl | ro | ShowHint
pl | ro | TabOrder
pl | ro | TabStop
pl | ro | Visible
TCustomFlowPanel
 |  | AutoWrap
 |  | ControlList
 |  | FlowStyle
 |  | FlowLayout
TCustomPanel
pt |  | WordWrap
 | ro | Align
 |  | Alignment
 |  | BevelColor
 |  | BevelInner
 |  | BevelOuter
 |  | BevelWidth
 | ro | Color
 |  | FullRepaint
 | ro | ParentBackground
 | ro | ParentColor
 | ro | TabStop
TCustomControl
 |  | Canvas
 | ro | BorderStyle
TWinControl
pt |  | WindowHandle
pt |  | BorderStyle
pt |  | ParentBackground
 |  | BorderWidth
 | ro | BoundsLockCount
 | ro | Brush
 | ro | CachedClientHeight
 | ro | CachedClientWidth
 |  | ChildSizing
 | ro | ControlCount
 | ro | Controls
 |  | DefWndProc
 | ro | DockClientCount
 | ro | DockClients
 |  | DockManager
 |  | DockSite
 |  | DoubleBuffered
 |  | Handle
 | ro | IsFlipped
 | ro | IsResizing
 |  | TabOrder
 |  | TabStop
 |  | ParentDoubleBuffered
 |  | ParentWindow
 | ro | Showing
 |  | UseDockManager
 |  | DesignerDeleting
 | ro | VisibleDockClientCount
TControl
pt | ro | AutoSizing
pt | ro | AutoSizingAll
pt | ro | AutoSizingLockCount
pt |  | ActionLink
pt |  | DesktopFont
pt |  | DragCursor
pt |  | DragKind
pt |  | DragMode
pt |  | MouseCapture
pt |  | ParentColor
pt |  | ParentFont
pt |  | ParentShowHint
pt |  | SessionProperties
pt |  | Text
 | ro | AnchoredControls
 | ro | BaseBounds
 | ro | ReadBounds
 | ro | BaseParentClientSize
 |  | AccessibleDescription
 |  | AccessibleValue
 |  | AccessibleRole
 |  | Action
 |  | Align
 |  | Anchors
 | ro | AnchorSide
 |  | AutoSize
 |  | BorderSpacing
 |  | BoundsRect
 |  | BoundsRectForNewParent
 |  | Caption
 |  | CaptureMouseButtons
 |  | ClientHeight
 | ro | ClientOrigin
 | ro | ClientRect
 |  | ClientWidth
 |  | Color
 |  | Constraints
 | ro | ControlOrigin
 |  | ControlState
 |  | ControlStyle
 |  | Enabled
 |  | Font
 |  | IsControl
 | ro | MouseEntered
 | ro | MouseInClient
 |  | Parent
 |  | PopupMenu
 |  | ShowHint
 |  | Visible
 |  | WindowProc
 |  | DockOrientation
 | ro | Floating
 |  | FloatingDockSiteClass
 |  | HostDockSite
 |  | LRDockWidth
 |  | TBDockHeight
 |  | UndockHeight
 |  | UndockWidth
 |  | BiDiMode
 |  | ParentBiDiMode
pl |  | AnchorSideLeft
pl |  | AnchorSideTop
pl |  | AnchorSideRight
pl |  | AnchorSideBottom
pl |  | Cursor
pl |  | Left
pl |  | Height
pl |  | Hint
pl |  | Top
pl |  | Width
pl |  | HelpType
pl |  | HelpKeyword
pl |  | HelpContext
TLCLComponent
 | ro | LCLRefCount
 | ro | WidgetSetClass
TComponent
 | ro | ComObject
 | ro | Components
 | ro | ComponentCount
 |  | ComponentIndex
 | ro | ComponentState
 | ro | ComponentStyle
 |  | DesignInfo
 | ro | Owner
 |  | VCLComObject
 |  | Name
 |  | Tag
TPersistent
TObject


 |  | AccessibleDescription (TControl)
 |  | AccessibleRole (TControl)
 |  | AccessibleValue (TControl)
 |  | Action (TControl)
pt |  | ActionLink (TControl)
 |  | Align (TControl)
 | ro | Align (TCustomPanel)
pl | ro | Align (TFlowPanel)
 |  | Alignment (TCustomPanel)
pl | ro | Alignment (TFlowPanel)
 | ro | AnchoredControls (TControl)
 |  | Anchors (TControl)
pl | ro | Anchors (TFlowPanel)
 | ro | AnchorSide (TControl)
pl |  | AnchorSideBottom (TControl)
pl |  | AnchorSideLeft (TControl)
pl |  | AnchorSideRight (TControl)
pl |  | AnchorSideTop (TControl)
 |  | AutoSize (TControl)
pl | ro | AutoSize (TFlowPanel)
pt | ro | AutoSizing (TControl)
pt | ro | AutoSizingAll (TControl)
pt | ro | AutoSizingLockCount (TControl)
 |  | AutoWrap (TCustomFlowPanel)
pl | ro | AutoWrap (TFlowPanel)
 | ro | BaseBounds (TControl)
 | ro | BaseParentClientSize (TControl)
 |  | BevelColor (TCustomPanel)
 |  | BevelInner (TCustomPanel)
pl | ro | BevelInner (TFlowPanel)
 |  | BevelOuter (TCustomPanel)
pl | ro | BevelOuter (TFlowPanel)
 |  | BevelWidth (TCustomPanel)
pl | ro | BevelWidth (TFlowPanel)
 |  | BiDiMode (TControl)
pl | ro | BiDiMode (TFlowPanel)
 |  | BorderSpacing (TControl)
pl | ro | BorderSpacing (TFlowPanel)
pt |  | BorderStyle (TWinControl)
 | ro | BorderStyle (TCustomControl)
pl | ro | BorderStyle (TFlowPanel)
 |  | BorderWidth (TWinControl)
pl | ro | BorderWidth (TFlowPanel)
 | ro | BoundsLockCount (TWinControl)
 |  | BoundsRect (TControl)
 |  | BoundsRectForNewParent (TControl)
 | ro | Brush (TWinControl)
 | ro | CachedClientHeight (TWinControl)
 | ro | CachedClientWidth (TWinControl)
 |  | Canvas (TCustomControl)
 |  | Caption (TControl)
pl | ro | Caption (TFlowPanel)
 |  | CaptureMouseButtons (TControl)
 |  | ChildSizing (TWinControl)
 |  | ClientHeight (TControl)
 | ro | ClientOrigin (TControl)
 | ro | ClientRect (TControl)
 |  | ClientWidth (TControl)
 |  | Color (TControl)
 | ro | Color (TCustomPanel)
pl | ro | Color (TFlowPanel)
 | ro | ComObject (TComponent)
 | ro | ComponentCount (TComponent)
 |  | ComponentIndex (TComponent)
 | ro | Components (TComponent)
 | ro | ComponentState (TComponent)
 | ro | ComponentStyle (TComponent)
 |  | Constraints (TControl)
pl | ro | Constraints (TFlowPanel)
 | ro | ControlCount (TWinControl)
 |  | ControlList (TCustomFlowPanel)
pl | ro | ControlList (TFlowPanel)
 | ro | ControlOrigin (TControl)
 | ro | Controls (TWinControl)
 |  | ControlState (TControl)
 |  | ControlStyle (TControl)
pl |  | Cursor (TControl)
 |  | DefWndProc (TWinControl)
 |  | DesignerDeleting (TWinControl)
 |  | DesignInfo (TComponent)
pt |  | DesktopFont (TControl)
 | ro | DockClientCount (TWinControl)
 | ro | DockClients (TWinControl)
 |  | DockManager (TWinControl)
 |  | DockOrientation (TControl)
 |  | DockSite (TWinControl)
pl | ro | DockSite (TFlowPanel)
 |  | DoubleBuffered (TWinControl)
pl | ro | DoubleBuffered (TFlowPanel)
pt |  | DragCursor (TControl)
pl | ro | DragCursor (TFlowPanel)
pt |  | DragKind (TControl)
pl | ro | DragKind (TFlowPanel)
pt |  | DragMode (TControl)
pl | ro | DragMode (TFlowPanel)
 |  | Enabled (TControl)
pl | ro | Enabled (TFlowPanel)
 | ro | Floating (TControl)
 |  | FloatingDockSiteClass (TControl)
 |  | FlowLayout (TCustomFlowPanel)
pl | ro | FlowLayout (TFlowPanel)
 |  | FlowStyle (TCustomFlowPanel)
pl | ro | FlowStyle (TFlowPanel)
 |  | Font (TControl)
pl | ro | Font (TFlowPanel)
 |  | FullRepaint (TCustomPanel)
pl | ro | FullRepaint (TFlowPanel)
 |  | Handle (TWinControl)
pl |  | Height (TControl)
pl |  | HelpContext (TControl)
pl |  | HelpKeyword (TControl)
pl |  | HelpType (TControl)
pl |  | Hint (TControl)
 |  | HostDockSite (TControl)
 |  | IsControl (TControl)
 | ro | IsFlipped (TWinControl)
 | ro | IsResizing (TWinControl)
 | ro | LCLRefCount (TLCLComponent)
pl |  | Left (TControl)
 |  | LRDockWidth (TControl)
pt |  | MouseCapture (TControl)
 | ro | MouseEntered (TControl)
 | ro | MouseInClient (TControl)
 |  | Name (TComponent)
 | ro | Owner (TComponent)
 |  | Parent (TControl)
pt |  | ParentBackground (TWinControl)
 | ro | ParentBackground (TCustomPanel)
 |  | ParentBiDiMode (TControl)
pl | ro | ParentBiDiMode (TFlowPanel)
pt |  | ParentColor (TControl)
 | ro | ParentColor (TCustomPanel)
pl | ro | ParentColor (TFlowPanel)
 |  | ParentDoubleBuffered (TWinControl)
pl | ro | ParentDoubleBuffered (TFlowPanel)
pt |  | ParentFont (TControl)
pl | ro | ParentFont (TFlowPanel)
pt |  | ParentShowHint (TControl)
pl | ro | ParentShowHint (TFlowPanel)
 |  | ParentWindow (TWinControl)
 |  | PopupMenu (TControl)
pl | ro | PopupMenu (TFlowPanel)
 | ro | ReadBounds (TControl)
pt |  | SessionProperties (TControl)
 |  | ShowHint (TControl)
pl | ro | ShowHint (TFlowPanel)
 | ro | Showing (TWinControl)
 |  | TabOrder (TWinControl)
pl | ro | TabOrder (TFlowPanel)
 |  | TabStop (TWinControl)
 | ro | TabStop (TCustomPanel)
pl | ro | TabStop (TFlowPanel)
 |  | Tag (TComponent)
 |  | TBDockHeight (TControl)
pt |  | Text (TControl)
pl |  | Top (TControl)
 |  | UndockHeight (TControl)
 |  | UndockWidth (TControl)
 |  | UseDockManager (TWinControl)
pl | ro | UseDockManager (TFlowPanel)
 |  | VCLComObject (TComponent)
 |  | Visible (TControl)
pl | ro | Visible (TFlowPanel)
 | ro | VisibleDockClientCount (TWinControl)
 | ro | WidgetSetClass (TLCLComponent)
pl |  | Width (TControl)
pt |  | WindowHandle (TWinControl)
 |  | WindowProc (TControl)
pt |  | WordWrap (TCustomPanel)


TFlowPanel
TCustomFlowPanel
pt | CMControlChange
pt | AlignControls
pt | CalculatePreferredSize
 | Create
 | Destroy
 | GetControlIndex
 | SetControlIndex
TCustomPanel
pt | WSRegisterClass
pt | AdjustClientRect
pt | GetControlClassDefaultSize
pt | CMParentColorChanged
pt | GetDefaultDockCaption
pt | Loaded
pt | RealSetText
pt | Paint
pt | SetParentBackground
pt | UpdateParentColorChange
 | Create
TCustomControl
pt | WSRegisterClass
pt | WMPaint
pt | DestroyWnd
pt | PaintWindow
pt | FontChanged
pt | SetColor
pt | Paint
 | Create
 | Destroy
TWinControl
pt | WSRegisterClass
pt | AdjustClientRect
pt | GetAdjustedLogicalClientRect
pt | AlignControls
pt | CustomAlignInsertBefore
pt | CustomAlignPosition
pt | DoAlignChildControls
pt | DoChildSizingChange
pt | InvalidatePreferredChildSizes
pt | CanTab
pt | IsClientHeightStored
pt | IsClientWidthStored
pt | DoSendShowHideToInterface
pt | ControlsAligned
pt | DoSendBoundsToInterface
pt | RealizeBounds
pt | RealizeBoundsRecursive
pt | InvalidateBoundsRealized
pt | CreateSubClass
pt | DoConstraintsChange
pt | DoSetBounds
pt | DoAutoSize
pt | DoAllAutoSize
pt | AllAutoSized
pt | CalculatePreferredSize
pt | GetPreferredSizeClientFrame
pt | GetChildren
pt | ChildClassAllowed
pt | PaintControls
pt | PaintHandler
pt | PaintWindow
pt | CreateBrush
pt | ScaleControls
pt | ChangeScale
pt | CMBiDiModeChanged
pt | CMBorderChanged
pt | CMDoubleBufferedChanged
pt | CMEnabledChanged
pt | CMParentDoubleBufferedChanged
pt | CMShowingChanged
pt | CMShowHintChanged
pt | CMVisibleChanged
pt | CMEnter
pt | CMExit
pt | WMContextMenu
pt | WMEraseBkgnd
pt | WMNotify
pt | WMSetFocus
pt | WMKillFocus
pt | WMShowWindow
pt | WMEnter
pt | WMExit
pt | WMKeyDown
pt | WMSysKeyDown
pt | WMKeyUp
pt | WMSysKeyUp
pt | WMChar
pt | WMSysChar
pt | WMPaint
pt | WMDestroy
pt | WMMove
pt | WMSize
pt | WMWindowPosChanged
pt | CNKeyDown
pt | CNSysKeyDown
pt | CNKeyUp
pt | CNSysKeyUp
pt | CNChar
pt | DoDragMsg
pt | DoDockClientMsg
pt | DoUndockClientMsg
pt | DoAddDockClient
pt | DockOver
pt | DoDockOver
pt | DoRemoveDockClient
pt | DoUnDock
pt | GetSiteInfo
pt | GetParentHandle
pt | GetTopParentHandle
pt | ReloadDockedControl
pt | CreateDockManager
pt | SetDockManager
pt | DoFloatMsg
pt | DoGetDockCaption
pt | DoEnter
pt | DoExit
pt | DoKeyDownBeforeInterface
pt | DoRemainingKeyDown
pt | DoRemainingKeyUp
pt | DoKeyPress
pt | DoUTF8KeyPress
pt | DoKeyUpBeforeInterface
pt | ChildKey
pt | SendDialogChar
pt | DialogChar
pt | ControlKeyDown
pt | ControlKeyUp
pt | KeyDown
pt | KeyDownBeforeInterface
pt | KeyDownAfterInterface
pt | KeyPress
pt | KeyUp
pt | KeyUpBeforeInterface
pt | KeyUpAfterInterface
pt | UTF8KeyPress
pt | FindNextControl
pt | SelectFirst
pt | RealGetText
pt | GetBorderStyle
pt | GetClientOrigin
pt | GetClientRect
pt | GetControlOrigin
pt | GetDeviceContext
pt | GetParentBackground
pt | IsControlMouseMsg
pt | CreateHandle
pt | CreateParams
pt | CreateWnd
pt | DestroyHandle
pt | DestroyWnd
pt | DoFlipChildren
pt | FinalizeWnd
pt | FixupTabList
pt | FontChanged
pt | InitializeWnd
pt | Loaded
pt | FormEndUpdated
pt | MainWndProc
pt | ParentFormHandleInitialized
pt | ChildHandlesCreated
pt | GetMouseCapture
pt | RealSetText
pt | RemoveFocus
pt | SendMoveSizeMessages
pt | SetBorderStyle
pt | SetColor
pt | SetChildZPosition
pt | SetParentBackground
pt | ShowControl
pt | UpdateControlState
pt | UpdateShowing
pt | WndProc
pt | WSSetText
 | AutoSizePhases
 | AutoSizeDelayed
 | AutoSizeDelayedReport
 | AutoSizeDelayedHandle
 | BeginUpdateBounds
 | EndUpdateBounds
 | LockRealizeBounds
 | UnlockRealizeBounds
 | ControlAtPos
 | ContainsControl
 | DoAdjustClientRectChange
 | InvalidateClientRectCache
 | ClientRectNeedsInterfaceUpdate
 | SetBounds
 | GetChildrenRect
 | DisableAlign
 | EnableAlign
 | ReAlign
 | ScrollBy_WS
 | ScrollBy
 | WriteLayoutDebugReport
 | AutoAdjustLayout
 | Create
 | CreateParented
 | CreateParentedControl
 | Destroy
 | DockDrop
 | CanFocus
 | CanSetFocus
 | GetControlIndex
 | SetControlIndex
 | Focused
 | PerformTab
 | FindChildControl
 | SelectNext
 | SetTempCursor
 | BroadCast
 | NotifyControls
 | DefaultHandler
 | GetTextLen
 | Invalidate
 | AddControl
 | InsertControl
 | RemoveControl
 | GetEnumeratorControls
 | GetEnumeratorControlsReverse
 | Repaint
 | Update
 | SetFocus
 | FlipChildren
 | ScaleBy
 | GetDockCaption
 | UpdateDockCaption
 | GetTabOrderList
 | HandleAllocated
 | ParentHandlesAllocated
 | HandleNeeded
 | BrushCreated
 | EraseBackground
 | IntfUTF8KeyPress
 | IntfGetDropFilesTarget
 | PaintTo
 | SetShape
TControl
pt | WSRegisterClass
pt | GetCursor
pt | SetCursor
pt | SetVisible
pt | DoOnParentHandleDestruction
pt | DoAutoSize
pt | DoAllAutoSize
pt | BeginAutoSizing
pt | EndAutoSizing
pt | AnchorSideChanged
pt | ForeignAnchorSideChanged
pt | SetAlign
pt | SetAnchors
pt | SetAutoSize
pt | BoundsChanged
pt | CreateControlBorderSpacing
pt | DoConstraintsChange
pt | DoBorderSpacingChange
pt | IsBorderSpacingInnerBorderStored
pt | IsCaptionStored
pt | SendMoveSizeMessages
pt | ConstrainedResize
pt | CalculatePreferredSize
pt | DoOnResize
pt | DoOnChangeBounds
pt | CheckOnChangeBounds
pt | Resize
pt | RequestAlign
pt | UpdateAnchorRules
pt | ChangeBounds
pt | DoSetBounds
pt | ScaleConstraints
pt | ChangeScale
pt | CanAutoSize
pt | SetBiDiMode
pt | SetParentBiDiMode
pt | IsAParentAligning
pt | GetClientOrigin
pt | GetClientRect
pt | GetLogicalClientRect
pt | GetScrolledClientRect
pt | GetClientScrollOffset
pt | GetControlOrigin
pt | IsClientHeightStored
pt | IsClientWidthStored
pt | WidthIsAnchored
pt | HeightIsAnchored
pt | WMCancelMode
pt | WMContextMenu
pt | WMLButtonDown
pt | WMRButtonDown
pt | WMMButtonDown
pt | WMXButtonDown
pt | WMLButtonDBLCLK
pt | WMRButtonDBLCLK
pt | WMMButtonDBLCLK
pt | WMXButtonDBLCLK
pt | WMLButtonTripleCLK
pt | WMRButtonTripleCLK
pt | WMMButtonTripleCLK
pt | WMXButtonTripleCLK
pt | WMLButtonQuadCLK
pt | WMRButtonQuadCLK
pt | WMMButtonQuadCLK
pt | WMXButtonQuadCLK
pt | WMMouseMove
pt | WMLButtonUp
pt | WMRButtonUp
pt | WMMButtonUp
pt | WMXButtonUp
pt | WMMouseWheel
pt | WMMouseHWheel
pt | WMMove
pt | WMSize
pt | WMWindowPosChanged
pt | CMChanged
pt | LMCaptureChanged
pt | CMBiDiModeChanged
pt | CMSysFontChanged
pt | CMEnabledChanged
pt | CMHitTest
pt | CMMouseEnter
pt | CMMouseLeave
pt | CMHintShow
pt | CMParentBiDiModeChanged
pt | CMParentColorChanged
pt | CMParentFontChanged
pt | CMParentShowHintChanged
pt | CMVisibleChanged
pt | CMTextChanged
pt | CMCursorChanged
pt | CalculateDockSizes
pt | CreateFloatingDockSite
pt | GetDockEdge
pt | GetDragImages
pt | GetFloating
pt | GetFloatingDockSiteClass
pt | BeforeDragStart
pt | BeginAutoDrag
pt | DoFloatMsg
pt | DockTrackNoTarget
pt | DoDock
pt | DoDragMsg
pt | DoEndDock
pt | DoEndDrag
pt | DoStartDock
pt | DoStartDrag
pt | DragCanceled
pt | DragOver
pt | PositionDockRect
pt | SetDragMode
pt | GetDefaultDockCaption
pt | Click
pt | DblClick
pt | TripleClick
pt | QuadClick
pt | GetMousePosFromMessage
pt | MouseDown
pt | MouseMove
pt | MouseUp
pt | MouseEnter
pt | MouseLeave
pt | DialogChar
pt | UpdateMouseCursor
pt | Changed
pt | GetPalette
pt | ChildClassAllowed
pt | ReadState
pt | Loaded
pt | LoadedAll
pt | DefineProperties
pt | AssignTo
pt | FormEndUpdated
pt | InvalidateControl
pt | FontChanged
pt | ParentFontChanged
pt | GetAction
pt | RealGetText
pt | RealSetText
pt | TextChanged
pt | GetCachedText
pt | SetAction
pt | SetColor
pt | SetEnabled
pt | SetHint
pt | SetName
pt | SetParent
pt | SetParentComponent
pt | WndProc
pt | ParentFormHandleInitialized
pt | GetMouseCapture
pt | CaptureChanged
pt | Notification
pt | CanTab
pt | GetDeviceContext
pt | GetEnabled
pt | GetPopupMenu
pt | DoOnShowHint
pt | DoMouseWheel
pt | DoMouseWheelDown
pt | DoMouseWheelUp
pt | DoMouseWheelHorz
pt | DoMouseWheelLeft
pt | DoMouseWheelRight
pt | VisibleChanging
pt | VisibleChanged
pt | EnabledChanging
pt | EnabledChanged
pt | AddHandler
pt | RemoveHandler
pt | DoCallNotifyHandler
pt | DoCallKeyEventHandler
pt | DoCallMouseWheelEventHandler
pt | DoContextPopup
pt | SetZOrder
pt | GetControlClassDefaultSize
pt | ColorIsStored
pt | DoAutoAdjustLayout
pt | DoFixDesignFontPPI
pt | DoScaleFontPPI
pt | GetActionLinkClass
pt | ActionChange
 | DragDrop
 | Dock
 | ManualDock
 | ManualFloat
 | ReplaceDockedControl
 | Docked
 | Dragging
 | GetAccessibleObject
 | CreateAccessibleObject
 | GetSelectedChildAccessibleObject
 | GetChildAccessibleObjectAtPos
 | ScaleDesignToForm
 | ScaleFormToDesign
 | Scale96ToForm
 | ScaleFormTo96
 | Scale96ToFont
 | ScaleFontTo96
 | ScaleScreenToFont
 | ScaleFontToScreen
 | Scale96ToScreen
 | ScaleScreenTo96
 | AdjustSize
 | AutoSizePhases
 | AutoSizeDelayed
 | AutoSizeDelayedReport
 | AutoSizeDelayedHandle
 | AnchorToNeighbour
 | AnchorParallel
 | AnchorHorizontalCenterTo
 | AnchorVerticalCenterTo
 | AnchorToCompanion
 | AnchorSame
 | AnchorAsAlign
 | AnchorClient
 | AnchoredControlCount
 | SetBounds
 | SetInitialBounds
 | SetBoundsKeepBase
 | GetPreferredSize
 | GetCanvasScaleFactor
 | GetDefaultWidth
 | GetDefaultHeight
 | GetDefaultColor
 | GetColorResolvingParent
 | GetRGBColorResolvingParent
 | GetSidePosition
 | CNPreferredSizeChanged
 | InvalidatePreferredSize
 | GetAnchorsDependingOnParent
 | DisableAutoSizing
 | EnableAutoSizing
 | UpdateBaseBounds
 | WriteLayoutDebugReport
 | AutoAdjustLayout
 | ShouldAutoAdjust
 | FixDesignFontsPPI
 | ScaleFontsPPI
 | Create
 | Destroy
 | BeforeDestruction
 | EditingDone
 | ExecuteDefaultAction
 | ExecuteCancelAction
 | BeginDrag
 | EndDrag
 | BringToFront
 | HasParent
 | GetParentComponent
 | IsParentOf
 | GetTopParent
 | IsVisible
 | IsControlVisible
 | IsEnabled
 | IsParentColor
 | IsParentFont
 | FormIsUpdating
 | IsProcessingPaintMsg
 | Hide
 | Refresh
 | Repaint
 | Invalidate
 | CheckChildClassAllowed
 | CheckNewParent
 | SendToBack
 | SetTempCursor
 | UpdateRolesForForm
 | ActiveDefaultControlChanged
 | GetTextBuf
 | GetTextLen
 | SetTextBuf
 | Perform
 | ScreenToClient
 | ClientToScreen
 | ScreenToControl
 | ControlToScreen
 | ClientToParent
 | ParentToClient
 | GetChildrenRect
 | Show
 | Update
 | HandleObjectShouldBeVisible
 | ParentDestroyingHandle
 | ParentHandlesAllocated
 | InitiateAction
 | ShowHelp
 | HasHelp
 | RemoveAllHandlersOfObject
 | AddHandlerOnResize
 | RemoveHandlerOnResize
 | AddHandlerOnChangeBounds
 | RemoveHandlerOnChangeBounds
 | AddHandlerOnVisibleChanging
 | RemoveHandlerOnVisibleChanging
 | AddHandlerOnVisibleChanged
 | RemoveHandlerOnVisibleChanged
 | AddHandlerOnEnabledChanged
 | RemoveHandlerOnEnableChanging
 | AddHandlerOnKeyDown
 | RemoveHandlerOnKeyDown
 | AddHandlerOnBeforeDestruction
 | RemoveHandlerOnBeforeDestruction
 | AddHandlerOnMouseWheel
 | RemoveHandlerOnMouseWheel
 | UseRightToLeftAlignment
 | UseRightToLeftReading
 | UseRightToLeftScrollBar
 | IsRightToLeft
TLCLComponent
pt | WSRegisterClass
pt | GetWSComponentClass
 | Create
 | Destroy
 | NewInstance
 | RemoveAllHandlersOfObject
 | IncLCLRefCount
 | DecLCLRefCount
TComponent
 | GetComObject
 | GetComponent
 | GetComponentCount
 | GetComponentIndex
 | Insert
 | ReadLeft
 | ReadTop
 | Remove
 | RemoveNotification
 | SetComponentIndex
 | SetReference
 | WriteLeft
 | WriteTop
 | ChangeName
 | DefineProperties
 | GetChildren
 | GetChildOwner
 | GetChildParent
 | GetOwner
 | Loaded
 | Loading
 | Notification
 | PaletteCreated
 | ReadState
 | SetAncestor
 | SetDesigning
 | SetDesignInstance
 | SetInline
 | SetName
 | SetChildOrder
 | SetParentComponent
 | Updating
 | Updated
 | UpdateRegistry
 | ValidateRename
 | ValidateContainer
 | ValidateInsert
 | QueryInterface
 | _AddRef
 | _Release
 | iicrGetComponent
 | GetTypeInfoCount
 | GetTypeInfo
 | GetIDsOfNames
 | Invoke
 | WriteState
 | Create
 | Destroy
 | BeforeDestruction
 | DestroyComponents
 | Destroying
 | ExecuteAction
 | FindComponent
 | FreeNotification
 | RemoveFreeNotification
 | FreeOnRelease
 | GetEnumerator
 | GetNamePath
 | GetParentComponent
 | HasParent
 | InsertComponent
 | RemoveComponent
 | SafeCallException
 | SetSubComponent
 | UpdateAction
 | IsImplementorOf
 | ReferenceInterface
TPersistent
 | AssignError
 | AssignTo
 | DefineProperties
 | GetOwner
 | Destroy
 | Assign
 | FPOAttachObserver
 | FPODetachObserver
 | FPONotifyObservers
 | GetNamePath
TObject
 | Create
 | Destroy
 | newinstance
 | FreeInstance
 | SafeCallException
 | DefaultHandler
 | Free
 | InitInstance
 | CleanupInstance
 | ClassType
 | ClassInfo
 | ClassName
 | ClassNameIs
 | ClassParent
 | InstanceSize
 | InheritsFrom
 | StringMessageTable
 | MethodAddress
 | MethodName
 | FieldAddress
 | AfterConstruction
 | BeforeDestruction
 | DefaultHandlerStr
 | Dispatch
 | DispatchStr
 | GetInterface
 | GetInterfaceByStr
 | GetInterfaceWeak
 | GetInterfaceEntry
 | GetInterfaceEntryByStr
 | GetInterfaceTable
 | UnitName
 | Equals
 | GetHashCode
 | ToString


TFlowPanel
pl | ro | OnAlignInsertBefore
pl | ro | OnAlignPosition
pl | ro | OnClick
pl | ro | OnConstrainedResize
pl | ro | OnContextPopup
pl | ro | OnDockDrop
pl | ro | OnDockOver
pl | ro | OnDblClick
pl | ro | OnDragDrop
pl | ro | OnDragOver
pl | ro | OnEndDock
pl | ro | OnEndDrag
pl | ro | OnEnter
pl | ro | OnExit
pl | ro | OnGetSiteInfo
pl | ro | OnMouseDown
pl | ro | OnMouseEnter
pl | ro | OnMouseLeave
pl | ro | OnMouseMove
pl | ro | OnMouseUp
pl | ro | OnResize
pl | ro | OnStartDock
pl | ro | OnStartDrag
pl | ro | OnUnDock
TCustomFlowPanel
TCustomPanel
TCustomControl
 |  | OnPaint
TWinControl
pt |  | OnGetSiteInfo
pt |  | OnGetDockCaption
 |  | OnAlignInsertBefore
 |  | OnAlignPosition
 |  | OnDockDrop
 |  | OnDockOver
 |  | OnEnter
 |  | OnExit
 |  | OnKeyDown
 |  | OnKeyPress
 |  | OnKeyUp
 |  | OnUnDock
 |  | OnUTF8KeyPress
TControl
pt |  | OnConstrainedResize
pt |  | OnContextPopup
pt |  | OnDblClick
pt |  | OnTripleClick
pt |  | OnQuadClick
pt |  | OnDragDrop
pt |  | OnDragOver
pt |  | OnEndDock
pt |  | OnEndDrag
pt |  | OnMouseDown
pt |  | OnMouseMove
pt |  | OnMouseUp
pt |  | OnMouseEnter
pt |  | OnMouseLeave
pt |  | OnMouseWheel
pt |  | OnMouseWheelDown
pt |  | OnMouseWheelUp
pt |  | OnMouseWheelHorz
pt |  | OnMouseWheelLeft
pt |  | OnMouseWheelRight
pt |  | OnStartDock
pt |  | OnStartDrag
pt |  | OnEditingDone
 |  | OnChangeBounds
 |  | OnClick
 |  | OnResize
 |  | OnShowHint
TLCLComponent
TComponent
TPersistent
TObject


pl | ro | OnAlignInsertBefore (TFlowPanel)
 |  | OnAlignPosition (TWinControl)
pl | ro | OnAlignPosition (TFlowPanel)
 |  | OnChangeBounds (TControl)
 |  | OnClick (TControl)
pl | ro | OnClick (TFlowPanel)
pt |  | OnConstrainedResize (TControl)
pl | ro | OnConstrainedResize (TFlowPanel)
pt |  | OnContextPopup (TControl)
pl | ro | OnContextPopup (TFlowPanel)
pt |  | OnDblClick (TControl)
pl | ro | OnDblClick (TFlowPanel)
 |  | OnDockDrop (TWinControl)
pl | ro | OnDockDrop (TFlowPanel)
 |  | OnDockOver (TWinControl)
pl | ro | OnDockOver (TFlowPanel)
pt |  | OnDragDrop (TControl)
pl | ro | OnDragDrop (TFlowPanel)
pt |  | OnDragOver (TControl)
pl | ro | OnDragOver (TFlowPanel)
pt |  | OnEditingDone (TControl)
pt |  | OnEndDock (TControl)
pl | ro | OnEndDock (TFlowPanel)
pt |  | OnEndDrag (TControl)
pl | ro | OnEndDrag (TFlowPanel)
 |  | OnEnter (TWinControl)
pl | ro | OnEnter (TFlowPanel)
 |  | OnExit (TWinControl)
pl | ro | OnExit (TFlowPanel)
pt |  | OnGetDockCaption (TWinControl)
pt |  | OnGetSiteInfo (TWinControl)
pl | ro | OnGetSiteInfo (TFlowPanel)
 |  | OnKeyDown (TWinControl)
 |  | OnKeyPress (TWinControl)
 |  | OnKeyUp (TWinControl)
pt |  | OnMouseDown (TControl)
pl | ro | OnMouseDown (TFlowPanel)
pt |  | OnMouseEnter (TControl)
pl | ro | OnMouseEnter (TFlowPanel)
pt |  | OnMouseLeave (TControl)
pl | ro | OnMouseLeave (TFlowPanel)
pt |  | OnMouseMove (TControl)
pl | ro | OnMouseMove (TFlowPanel)
pt |  | OnMouseUp (TControl)
pl | ro | OnMouseUp (TFlowPanel)
pt |  | OnMouseWheel (TControl)
pt |  | OnMouseWheelDown (TControl)
pt |  | OnMouseWheelHorz (TControl)
pt |  | OnMouseWheelLeft (TControl)
pt |  | OnMouseWheelRight (TControl)
pt |  | OnMouseWheelUp (TControl)
 |  | OnPaint (TCustomControl)
pt |  | OnQuadClick (TControl)
 |  | OnResize (TControl)
pl | ro | OnResize (TFlowPanel)
 |  | OnShowHint (TControl)
pt |  | OnStartDock (TControl)
pl | ro | OnStartDock (TFlowPanel)
pt |  | OnStartDrag (TControl)
pl | ro | OnStartDrag (TFlowPanel)
pt |  | OnTripleClick (TControl)
 |  | OnUnDock (TWinControl)
pl | ro | OnUnDock (TFlowPanel)
 |  | OnUTF8KeyPress (TWinControl)


TFlowPanel.Align

Declaration

Source position: extctrls.pp line 1263

published property TFlowPanel.Align : TAlign;


TFlowPanel.Alignment

Declaration

Source position: extctrls.pp line 1264

published property TFlowPanel.Alignment : TAlignment;


TFlowPanel.Anchors

Declaration

Source position: extctrls.pp line 1265

published property TFlowPanel.Anchors : TAnchors;


TFlowPanel.AutoSize

Declaration

Source position: extctrls.pp line 1266

published property TFlowPanel.AutoSize : Boolean;


TFlowPanel.BevelInner

Declaration

Source position: extctrls.pp line 1268

published property TFlowPanel.BevelInner : TPanelBevel;


TFlowPanel.BevelOuter

Declaration

Source position: extctrls.pp line 1269

published property TFlowPanel.BevelOuter : TPanelBevel;


TFlowPanel.BevelWidth

Declaration

Source position: extctrls.pp line 1270

published property TFlowPanel.BevelWidth : TBevelWidth;


TFlowPanel.BiDiMode

Declaration

Source position: extctrls.pp line 1271

published property TFlowPanel.BiDiMode : TBiDiMode;


TFlowPanel.BorderSpacing

Declaration

Source position: extctrls.pp line 1273

published property TFlowPanel.BorderSpacing : TControlBorderSpacing;


TFlowPanel.BorderStyle

Declaration

Source position: extctrls.pp line 1274

published property TFlowPanel.BorderStyle : TBorderStyle;


TFlowPanel.BorderWidth

Declaration

Source position: extctrls.pp line 1272

published property TFlowPanel.BorderWidth : TBorderWidth;


TFlowPanel.Caption

Declaration

Source position: extctrls.pp line 1275

published property TFlowPanel.Caption : TCaption;


TFlowPanel.Color

Declaration

Source position: extctrls.pp line 1276

published property TFlowPanel.Color : TColor;


TFlowPanel.Constraints

Declaration

Source position: extctrls.pp line 1277

published property TFlowPanel.Constraints : TSizeConstraints;


TFlowPanel.DockSite

Declaration

Source position: extctrls.pp line 1280

published property TFlowPanel.DockSite : Boolean;


TFlowPanel.DoubleBuffered

Declaration

Source position: extctrls.pp line 1281

published property TFlowPanel.DoubleBuffered : Boolean;


TFlowPanel.DragCursor

Declaration

Source position: extctrls.pp line 1282

published property TFlowPanel.DragCursor : TCursor;


TFlowPanel.DragKind

Declaration

Source position: extctrls.pp line 1283

published property TFlowPanel.DragKind : TDragKind;


TFlowPanel.DragMode

Declaration

Source position: extctrls.pp line 1284

published property TFlowPanel.DragMode : TDragMode;


TFlowPanel.Enabled

Declaration

Source position: extctrls.pp line 1285

published property TFlowPanel.Enabled : Boolean;


TFlowPanel.Font

Declaration

Source position: extctrls.pp line 1289

published property TFlowPanel.Font : TFont;


TFlowPanel.FullRepaint

Declaration

Source position: extctrls.pp line 1288

published property TFlowPanel.FullRepaint : Boolean;


TFlowPanel.OnAlignInsertBefore

Declaration

Source position: extctrls.pp line 1300

published property TFlowPanel.OnAlignInsertBefore : TAlignInsertBeforeEvent;


TFlowPanel.OnAlignPosition

Declaration

Source position: extctrls.pp line 1301

published property TFlowPanel.OnAlignPosition : TAlignPositionEvent;


TFlowPanel.OnClick

Declaration

Source position: extctrls.pp line 1302

published property TFlowPanel.OnClick : TNotifyEvent;


TFlowPanel.OnConstrainedResize

Declaration

Source position: extctrls.pp line 1303

published property TFlowPanel.OnConstrainedResize : TConstrainedResizeEvent;


TFlowPanel.OnContextPopup

Declaration

Source position: extctrls.pp line 1304

published property TFlowPanel.OnContextPopup : TContextPopupEvent;


TFlowPanel.OnDblClick

Declaration

Source position: extctrls.pp line 1307

published property TFlowPanel.OnDblClick : TNotifyEvent;


TFlowPanel.OnDockDrop

Declaration

Source position: extctrls.pp line 1305

published property TFlowPanel.OnDockDrop : TDockDropEvent;


TFlowPanel.OnDockOver

Declaration

Source position: extctrls.pp line 1306

published property TFlowPanel.OnDockOver : TDockOverEvent;


TFlowPanel.OnDragDrop

Declaration

Source position: extctrls.pp line 1308

published property TFlowPanel.OnDragDrop : TDragDropEvent;


TFlowPanel.OnDragOver

Declaration

Source position: extctrls.pp line 1309

published property TFlowPanel.OnDragOver : TDragOverEvent;


TFlowPanel.OnEndDock

Declaration

Source position: extctrls.pp line 1310

published property TFlowPanel.OnEndDock : TEndDragEvent;


TFlowPanel.OnEndDrag

Declaration

Source position: extctrls.pp line 1311

published property TFlowPanel.OnEndDrag : TEndDragEvent;


TFlowPanel.OnEnter

Declaration

Source position: extctrls.pp line 1312

published property TFlowPanel.OnEnter : TNotifyEvent;


TFlowPanel.OnExit

Declaration

Source position: extctrls.pp line 1313

published property TFlowPanel.OnExit : TNotifyEvent;


TFlowPanel.OnGetSiteInfo

Declaration

Source position: extctrls.pp line 1314

published property TFlowPanel.OnGetSiteInfo : TGetSiteInfoEvent;


TFlowPanel.OnMouseDown

Declaration

Source position: extctrls.pp line 1315

published property TFlowPanel.OnMouseDown : TMouseEvent;


TFlowPanel.OnMouseEnter

Declaration

Source position: extctrls.pp line 1316

published property TFlowPanel.OnMouseEnter : TNotifyEvent;


TFlowPanel.OnMouseLeave

Declaration

Source position: extctrls.pp line 1317

published property TFlowPanel.OnMouseLeave : TNotifyEvent;


TFlowPanel.OnMouseMove

Declaration

Source position: extctrls.pp line 1318

published property TFlowPanel.OnMouseMove : TMouseMoveEvent;


TFlowPanel.OnMouseUp

Declaration

Source position: extctrls.pp line 1319

published property TFlowPanel.OnMouseUp : TMouseEvent;


TFlowPanel.OnResize

Declaration

Source position: extctrls.pp line 1320

published property TFlowPanel.OnResize : TNotifyEvent;


TFlowPanel.OnStartDock

Declaration

Source position: extctrls.pp line 1321

published property TFlowPanel.OnStartDock : TStartDockEvent;


TFlowPanel.OnStartDrag

Declaration

Source position: extctrls.pp line 1322

published property TFlowPanel.OnStartDrag : TStartDragEvent;


TFlowPanel.OnUnDock

Declaration

Source position: extctrls.pp line 1323

published property TFlowPanel.OnUnDock : TUnDockEvent;


TFlowPanel.ParentBiDiMode

Declaration

Source position: extctrls.pp line 1290

published property TFlowPanel.ParentBiDiMode : Boolean;


TFlowPanel.ParentColor

Declaration

Source position: extctrls.pp line 1291

published property TFlowPanel.ParentColor : Boolean;


TFlowPanel.ParentDoubleBuffered

Declaration

Source position: extctrls.pp line 1292

published property TFlowPanel.ParentDoubleBuffered : Boolean;


TFlowPanel.ParentFont

Declaration

Source position: extctrls.pp line 1293

published property TFlowPanel.ParentFont : Boolean;


TFlowPanel.ParentShowHint

Declaration

Source position: extctrls.pp line 1294

published property TFlowPanel.ParentShowHint : Boolean;


TFlowPanel.PopupMenu

Declaration

Source position: extctrls.pp line 1295

published property TFlowPanel.PopupMenu : TPopupMenu;


TFlowPanel.ShowHint

Declaration

Source position: extctrls.pp line 1296

published property TFlowPanel.ShowHint : Boolean;


TFlowPanel.TabOrder

Declaration

Source position: extctrls.pp line 1297

published property TFlowPanel.TabOrder : TTabOrder;


TFlowPanel.TabStop

Declaration

Source position: extctrls.pp line 1298

published property TFlowPanel.TabStop : Boolean;


TFlowPanel.UseDockManager

Declaration

Source position: extctrls.pp line 1279

published property TFlowPanel.UseDockManager : Boolean
  default True;


TFlowPanel.Visible

Declaration

Source position: extctrls.pp line 1299

published property TFlowPanel.Visible : Boolean;


TFlowPanelControl

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Declaration

Source position: extctrls.pp line 1188

type TFlowPanelControl = class(TCollectionItem, IObjInspInterface)
protected
function GetDisplayName; override;
procedure SetIndex(); override;
procedure AssignTo(); override;
function FPCollection;
function FPOwner;
public
function AllowAdd;
function AllowDelete;
published
property Control: TControl; [rw] | The associated control to the flow panel control item.
property WrapAfter: TWrapAfter; [rw] | Determines the wrap policy after this control.
property Index;
end;

Inheritance

TFlowPanelControl,IObjInspInterface
|

TCollectionItem
|

TPersistent,IFPObserved
|

TObject


TFlowPanelControl
pl |  | Control
pl |  | WrapAfter
pl | ro | Index
TCollectionItem
 | ro | UpdateCount
 |  | Collection
 | ro | ID
 |  | Index
 |  | DisplayName
TPersistent
TObject


pl |  | Control (TFlowPanelControl)
 |  | DisplayName (TCollectionItem)
 | ro | ID (TCollectionItem)
 |  | Index (TCollectionItem)
pl | ro | Index (TFlowPanelControl)
 | ro | UpdateCount (TCollectionItem)
pl |  | WrapAfter (TFlowPanelControl)


TFlowPanelControl
pt | GetDisplayName
pt | SetIndex
pt | AssignTo
pt | FPCollection
pt | FPOwner
 | AllowAdd
 | AllowDelete
TCollectionItem
 | GetIndex
 | SetCollection
 | Changed
 | GetOwner
 | GetDisplayName
 | SetIndex
 | SetDisplayName
 | Create
 | Destroy
 | GetNamePath
TPersistent
 | AssignError
 | AssignTo
 | DefineProperties
 | GetOwner
 | Destroy
 | Assign
 | FPOAttachObserver
 | FPODetachObserver
 | FPONotifyObservers
 | GetNamePath
TObject
 | Create
 | Destroy
 | newinstance
 | FreeInstance
 | SafeCallException
 | DefaultHandler
 | Free
 | InitInstance
 | CleanupInstance
 | ClassType
 | ClassInfo
 | ClassName
 | ClassNameIs
 | ClassParent
 | InstanceSize
 | InheritsFrom
 | StringMessageTable
 | MethodAddress
 | MethodName
 | FieldAddress
 | AfterConstruction
 | BeforeDestruction
 | DefaultHandlerStr
 | Dispatch
 | DispatchStr
 | GetInterface
 | GetInterfaceByStr
 | GetInterfaceWeak
 | GetInterfaceEntry
 | GetInterfaceEntryByStr
 | GetInterfaceTable
 | UnitName
 | Equals
 | GetHashCode
 | ToString


 | AfterConstruction (TObject)
 | AllowAdd (TFlowPanelControl)
 | AllowDelete (TFlowPanelControl)
 | Assign (TPersistent)
 | AssignError (TPersistent)
 | AssignTo (TPersistent)
pt | AssignTo (TFlowPanelControl)
 | BeforeDestruction (TObject)
 | Changed (TCollectionItem)
 | ClassInfo (TObject)
 | ClassName (TObject)
 | ClassNameIs (TObject)
 | ClassParent (TObject)
 | ClassType (TObject)
 | CleanupInstance (TObject)
 | Create (TObject)
 | Create (TCollectionItem)
 | DefaultHandler (TObject)
 | DefaultHandlerStr (TObject)
 | DefineProperties (TPersistent)
 | Destroy (TObject)
 | Destroy (TPersistent)
 | Destroy (TCollectionItem)
 | Dispatch (TObject)
 | DispatchStr (TObject)
 | Equals (TObject)
 | FieldAddress (TObject)
pt | FPCollection (TFlowPanelControl)
 | FPOAttachObserver (TPersistent)
 | FPODetachObserver (TPersistent)
 | FPONotifyObservers (TPersistent)
pt | FPOwner (TFlowPanelControl)
 | Free (TObject)
 | FreeInstance (TObject)
 | GetDisplayName (TCollectionItem)
pt | GetDisplayName (TFlowPanelControl)
 | GetHashCode (TObject)
 | GetIndex (TCollectionItem)
 | GetInterface (TObject)
 | GetInterfaceByStr (TObject)
 | GetInterfaceEntry (TObject)
 | GetInterfaceEntryByStr (TObject)
 | GetInterfaceTable (TObject)
 | GetInterfaceWeak (TObject)
 | GetNamePath (TPersistent)
 | GetNamePath (TCollectionItem)
 | GetOwner (TPersistent)
 | GetOwner (TCollectionItem)
 | InheritsFrom (TObject)
 | InitInstance (TObject)
 | InstanceSize (TObject)
 | MethodAddress (TObject)
 | MethodName (TObject)
 | newinstance (TObject)
 | SafeCallException (TObject)
 | SetCollection (TCollectionItem)
 | SetDisplayName (TCollectionItem)
 | SetIndex (TCollectionItem)
pt | SetIndex (TFlowPanelControl)
 | StringMessageTable (TObject)
 | ToString (TObject)
 | UnitName (TObject)


TFlowPanelControl

TCollectionItem

TPersistent

TObject


TFlowPanelControl.AllowAdd

Declaration

Source position: extctrls.pp line 1202

public function TFlowPanelControl.AllowAdd: Boolean;


TFlowPanelControl.AllowDelete

Declaration

Source position: extctrls.pp line 1203

public function TFlowPanelControl.AllowDelete: Boolean;


TFlowPanelControl.AssignTo

Declaration

Source position: extctrls.pp line 1197

protected procedure TFlowPanelControl.AssignTo(

  Dest: TPersistent

); override;


TFlowPanelControl.Control

The associated control to the flow panel control item.

Declaration

Source position: extctrls.pp line 1205

published property TFlowPanelControl.Control : TControl
  read FControl
  write SetControl;

Description

Don't set the Control property manually. It is used iternally by the designer.


TFlowPanelControl.FPCollection

Declaration

Source position: extctrls.pp line 1198

protected function TFlowPanelControl.FPCollection: TFlowPanelControlList;


TFlowPanelControl.FPOwner

Declaration

Source position: extctrls.pp line 1199

protected function TFlowPanelControl.FPOwner: TCustomFlowPanel;


TFlowPanelControl.GetDisplayName

Declaration

Source position: extctrls.pp line 1195

protected function TFlowPanelControl.GetDisplayName: string; override;


TFlowPanelControl.Index

Declaration

Source position: extctrls.pp line 1207

published property TFlowPanelControl.Index;


TFlowPanelControl.SetIndex

Declaration

Source position: extctrls.pp line 1196

protected procedure TFlowPanelControl.SetIndex(

  Value: Integer

); override;


TFlowPanelControl.WrapAfter

Determines the wrap policy after this control.

Declaration

Source position: extctrls.pp line 1206

published property TFlowPanelControl.WrapAfter : TWrapAfter
  read FWrapAfter
  write SetWrapAfter;

Description

Valid only if TFlowPanel.AutoWrap = True.


TFlowPanelControlList

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Declaration

Source position: extctrls.pp line 1210

type TFlowPanelControlList = class(TOwnedCollection, IObjInspInterface)

protected

  function FPOwner;

  function Add;

  procedure AddControl();

  procedure RemoveControl();

public

  constructor Create();

  function IndexOf();

  property Items []: TFlowPanelControl; default; [rw]

  function AllowAdd;

  function AllowDelete;

end;

Inheritance

TFlowPanelControlList,IObjInspInterface
|

TOwnedCollection
|

TCollection
|

TPersistent,IFPObserved
|

TObject


TFlowPanelControlList
 |  | Items
TOwnedCollection
TCollection
 |  | PropName
 | ro | UpdateCount
 | ro | Count
 | ro | ItemClass
 |  | Items
TPersistent
TObject


ro | Count (TCollection)
ro | ItemClass (TCollection)
 | Items (TCollection)
 | Items (TFlowPanelControlList)
 | PropName (TCollection)
ro | UpdateCount (TCollection)


TFlowPanelControlList
pt | FPOwner
pt | Add
pt | AddControl
pt | RemoveControl
 | Create
 | IndexOf
 | AllowAdd
 | AllowDelete
TOwnedCollection
 | GetOwner
 | Create
TCollection
 | GetCount
 | GetPropName
 | InsertItem
 | RemoveItem
 | DoClear
 | GetAttrCount
 | GetAttr
 | GetItemAttr
 | Changed
 | GetItem
 | SetItem
 | SetItemName
 | SetPropName
 | Update
 | Notify
 | Create
 | Destroy
 | Owner
 | Add
 | Assign
 | BeginUpdate
 | Clear
 | EndUpdate
 | Delete
 | GetEnumerator
 | GetNamePath
 | Insert
 | FindItemID
 | Exchange
 | Sort
TPersistent
 | AssignError
 | AssignTo
 | DefineProperties
 | GetOwner
 | Destroy
 | Assign
 | FPOAttachObserver
 | FPODetachObserver
 | FPONotifyObservers
 | GetNamePath
TObject
 | Create
 | Destroy
 | newinstance
 | FreeInstance
 | SafeCallException
 | DefaultHandler
 | Free
 | InitInstance
 | CleanupInstance
 | ClassType
 | ClassInfo
 | ClassName
 | ClassNameIs
 | ClassParent
 | InstanceSize
 | InheritsFrom
 | StringMessageTable
 | MethodAddress
 | MethodName
 | FieldAddress
 | AfterConstruction
 | BeforeDestruction
 | DefaultHandlerStr
 | Dispatch
 | DispatchStr
 | GetInterface
 | GetInterfaceByStr
 | GetInterfaceWeak
 | GetInterfaceEntry
 | GetInterfaceEntryByStr
 | GetInterfaceTable
 | UnitName
 | Equals
 | GetHashCode
 | ToString


pt | Add (TFlowPanelControlList)
pt | AddControl (TFlowPanelControlList)
 | AfterConstruction (TObject)
 | AllowAdd (TFlowPanelControlList)
 | AllowDelete (TFlowPanelControlList)
 | Assign (TPersistent)
 | Assign (TCollection)
 | AssignError (TPersistent)
 | AssignTo (TPersistent)
 | BeforeDestruction (TObject)
 | BeginUpdate (TCollection)
 | Changed (TCollection)
 | ClassInfo (TObject)
 | ClassName (TObject)
 | ClassNameIs (TObject)
 | ClassParent (TObject)
 | ClassType (TObject)
 | CleanupInstance (TObject)
 | Clear (TCollection)
 | Create (TObject)
 | Create (TCollection)
 | Create (TOwnedCollection)
 | Create (TFlowPanelControlList)
 | DefaultHandler (TObject)
 | DefaultHandlerStr (TObject)
 | DefineProperties (TPersistent)
 | Delete (TCollection)
 | Destroy (TObject)
 | Destroy (TPersistent)
 | Destroy (TCollection)
 | Dispatch (TObject)
 | DispatchStr (TObject)
 | DoClear (TCollection)
 | EndUpdate (TCollection)
 | Equals (TObject)
 | Exchange (TCollection)
 | FieldAddress (TObject)
 | FindItemID (TCollection)
 | FPOAttachObserver (TPersistent)
 | FPODetachObserver (TPersistent)
 | FPONotifyObservers (TPersistent)
pt | FPOwner (TFlowPanelControlList)
 | Free (TObject)
 | FreeInstance (TObject)
 | GetAttr (TCollection)
 | GetAttrCount (TCollection)
 | GetCount (TCollection)
 | GetEnumerator (TCollection)
 | GetHashCode (TObject)
 | GetInterface (TObject)
 | GetInterfaceByStr (TObject)
 | GetInterfaceEntry (TObject)
 | GetInterfaceEntryByStr (TObject)
 | GetInterfaceTable (TObject)
 | GetInterfaceWeak (TObject)
 | GetItem (TCollection)
 | GetItemAttr (TCollection)
 | GetNamePath (TPersistent)
 | GetNamePath (TCollection)
 | GetOwner (TPersistent)
 | GetOwner (TOwnedCollection)
 | GetPropName (TCollection)
 | IndexOf (TFlowPanelControlList)
 | InheritsFrom (TObject)
 | InitInstance (TObject)
 | Insert (TCollection)
 | InsertItem (TCollection)
 | InstanceSize (TObject)
 | MethodAddress (TObject)
 | MethodName (TObject)
 | newinstance (TObject)
 | Notify (TCollection)
 | Owner (TCollection)
pt | RemoveControl (TFlowPanelControlList)
 | RemoveItem (TCollection)
 | SafeCallException (TObject)
 | SetItem (TCollection)
 | SetItemName (TCollection)
 | SetPropName (TCollection)
 | Sort (TCollection)
 | StringMessageTable (TObject)
 | ToString (TObject)
 | UnitName (TObject)
 | Update (TCollection)


TFlowPanelControlList

TOwnedCollection

TCollection

TPersistent

TObject


TFlowPanelControlList.Add

Declaration

Source position: extctrls.pp line 1217

protected function TFlowPanelControlList.Add: TFlowPanelControl;


TFlowPanelControlList.AddControl

Declaration

Source position: extctrls.pp line 1218

protected procedure TFlowPanelControlList.AddControl(

  AControl: TControl;

  AIndex: Integer = - 1

);


TFlowPanelControlList.AllowAdd

Declaration

Source position: extctrls.pp line 1227

public function TFlowPanelControlList.AllowAdd: Boolean;


TFlowPanelControlList.AllowDelete

Declaration

Source position: extctrls.pp line 1228

public function TFlowPanelControlList.AllowDelete: Boolean;


TFlowPanelControlList.Create

Declaration

Source position: extctrls.pp line 1221

public constructor TFlowPanelControlList.Create(

  AOwner: TPersistent

);


TFlowPanelControlList.FPOwner

Declaration

Source position: extctrls.pp line 1215

protected function TFlowPanelControlList.FPOwner: TCustomFlowPanel;


TFlowPanelControlList.IndexOf

Declaration

Source position: extctrls.pp line 1223

public function TFlowPanelControlList.IndexOf(

  AControl: TControl

):Integer;


TFlowPanelControlList.Items

Declaration

Source position: extctrls.pp line 1224

public property TFlowPanelControlList.Items[Index: Integer] : TFlowPanelControl
  read GetItem
  write SetItem;
  default;


TFlowPanelControlList.RemoveControl

Declaration

Source position: extctrls.pp line 1219

protected procedure TFlowPanelControlList.RemoveControl(

  AControl: TControl

);


TIdleTimer

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

TIdleTimer : A timer to measure idle time between processes

Declaration

Source position: extctrls.pp line 249

type TIdleTimer = class(TCustomIdleTimer)
published
property AutoEnabled: Boolean; | AutoEnabled - if True, Timer is automatically enabled
property AutoStartEvent: TIdleTimerAutoEvent; | AutoStartEvent - the event that triggers autostart (either idle time-out or user input)
property AutoEndEvent: TIdleTimerAutoEvent; | AutoEndEvent - the event that stops the timer by setting Enabled to false
property Enabled: Boolean; | Enabled - if True, timer is ready to start
property Interval: Cardinal; | The Interval (in milliseconds) for which the timer is to run
property OnTimer: TNotifyEvent; | OnTimer - event handler for timer interval complete (expired)
property OnStartTimer: TNotifyEvent; | OnStartTimer - event handler for starting the timer running
property OnStopTimer: TNotifyEvent; | OnStopTimer - event handler for stopping the timer
end;

Inheritance

TIdleTimer | TIdleTimer : A timer to measure idle time between processes
|
TCustomIdleTimer | TCustomIdleTimer - base class for TIdleTimer
|
TCustomTimer | TCustomTimer - base class for TTimer
|
TComponent,IUnknown,IInterfaceComponentReference
|
TPersistent,IFPObserved
|
TObject

Description

TIdleTimer: A timer to measure idle time between processes

Inherits most of its properties from TCustomTimer


TIdleTimer
pl | ro | AutoEnabled
pl | ro | AutoStartEvent
pl | ro | AutoEndEvent
pl | ro | Enabled
pl | ro | Interval
TCustomIdleTimer
 |  | AutoEnabled
 |  | AutoStartEvent
 |  | AutoEndEvent
 |  | FireOnIdle
TCustomTimer
 |  | Enabled
 |  | Interval
TComponent
 | ro | ComObject
 | ro | Components
 | ro | ComponentCount
 |  | ComponentIndex
 | ro | ComponentState
 | ro | ComponentStyle
 |  | DesignInfo
 | ro | Owner
 |  | VCLComObject
 |  | Name
 |  | Tag
TPersistent
TObject


pl | ro | AutoEnabled (TIdleTimer)
 |  | AutoEndEvent (TCustomIdleTimer)
pl | ro | AutoEndEvent (TIdleTimer)
 |  | AutoStartEvent (TCustomIdleTimer)
pl | ro | AutoStartEvent (TIdleTimer)
 | ro | ComObject (TComponent)
 | ro | ComponentCount (TComponent)
 |  | ComponentIndex (TComponent)
 | ro | Components (TComponent)
 | ro | ComponentState (TComponent)
 | ro | ComponentStyle (TComponent)
 |  | DesignInfo (TComponent)
 |  | Enabled (TCustomTimer)
pl | ro | Enabled (TIdleTimer)
 |  | FireOnIdle (TCustomIdleTimer)
 |  | Interval (TCustomTimer)
pl | ro | Interval (TIdleTimer)
 |  | Name (TComponent)
 | ro | Owner (TComponent)
 |  | Tag (TComponent)
 |  | VCLComObject (TComponent)


TIdleTimer
TCustomIdleTimer
pt | SetAutoEnabled
pt | DoOnIdle
pt | DoOnIdleEnd
pt | DoOnUserInput
pt | Loaded
 | Create
 | Destroy
TCustomTimer
pt | SetEnabled
pt | SetInterval
pt | SetOnTimer
pt | DoOnTimer
pt | UpdateTimer
pt | KillTimer
pt | Loaded
 | Create
 | Destroy
TComponent
 | GetComObject
 | GetComponent
 | GetComponentCount
 | GetComponentIndex
 | Insert
 | ReadLeft
 | ReadTop
 | Remove
 | RemoveNotification
 | SetComponentIndex
 | SetReference
 | WriteLeft
 | WriteTop
 | ChangeName
 | DefineProperties
 | GetChildren
 | GetChildOwner
 | GetChildParent
 | GetOwner
 | Loaded
 | Loading
 | Notification
 | PaletteCreated
 | ReadState
 | SetAncestor
 | SetDesigning
 | SetDesignInstance
 | SetInline
 | SetName
 | SetChildOrder
 | SetParentComponent
 | Updating
 | Updated
 | UpdateRegistry
 | ValidateRename
 | ValidateContainer
 | ValidateInsert
 | QueryInterface
 | _AddRef
 | _Release
 | iicrGetComponent
 | GetTypeInfoCount
 | GetTypeInfo
 | GetIDsOfNames
 | Invoke
 | WriteState
 | Create
 | Destroy
 | BeforeDestruction
 | DestroyComponents
 | Destroying
 | ExecuteAction
 | FindComponent
 | FreeNotification
 | RemoveFreeNotification
 | FreeOnRelease
 | GetEnumerator
 | GetNamePath
 | GetParentComponent
 | HasParent
 | InsertComponent
 | RemoveComponent
 | SafeCallException
 | SetSubComponent
 | UpdateAction
 | IsImplementorOf
 | ReferenceInterface
TPersistent
 | AssignError
 | AssignTo
 | DefineProperties
 | GetOwner
 | Destroy
 | Assign
 | FPOAttachObserver
 | FPODetachObserver
 | FPONotifyObservers
 | GetNamePath
TObject
 | Create
 | Destroy
 | newinstance
 | FreeInstance
 | SafeCallException
 | DefaultHandler
 | Free
 | InitInstance
 | CleanupInstance
 | ClassType
 | ClassInfo
 | ClassName
 | ClassNameIs
 | ClassParent
 | InstanceSize
 | InheritsFrom
 | StringMessageTable
 | MethodAddress
 | MethodName
 | FieldAddress
 | AfterConstruction
 | BeforeDestruction
 | DefaultHandlerStr
 | Dispatch
 | DispatchStr
 | GetInterface
 | GetInterfaceByStr
 | GetInterfaceWeak
 | GetInterfaceEntry
 | GetInterfaceEntryByStr
 | GetInterfaceTable
 | UnitName
 | Equals
 | GetHashCode
 | ToString


TIdleTimer
pl | ro | OnTimer
pl | ro | OnStartTimer
pl | ro | OnStopTimer
TCustomIdleTimer
TCustomTimer
 |  | OnTimer
 |  | OnStartTimer
 |  | OnStopTimer
TComponent
TPersistent
TObject


pl | ro | OnStartTimer (TIdleTimer)
 |  | OnStopTimer (TCustomTimer)
pl | ro | OnStopTimer (TIdleTimer)
 |  | OnTimer (TCustomTimer)
pl | ro | OnTimer (TIdleTimer)


TIdleTimerAutoEvent

TIdleTimerAutoEvent - enumerated class containing events relevant to a timer

Declaration

Source position: extctrls.pp line 213

type TIdleTimerAutoEvent = (

  itaOnIdle,

  itaOnIdleEnd,

  itaOnUserInput

);

Description

TIdleTimerAutoEvent - enumerated class containing events relevant to a timer

itaOnIdle,
    itaOnIdleEnd,
    itaOnUserInput


TIdleTimerAutoEvents

TIdleTimerAutoEvents - set of TIdleTimerAutoEvent

Declaration

Source position: extctrls.pp line 218

type TIdleTimerAutoEvents = set of (

  itaOnIdle,

  itaOnIdleEnd,

  itaOnUserInput

);


TImage

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

TImage - a graphic image placed on the form; usually loaded from a picture file.

Declaration

Source position: extctrls.pp line 574

type TImage = class(TCustomImage)
published
property AntialiasingMode: TAntialiasingMode;
property Align: TAlign; | Specifies the placement of the control inside its Parent.
property Anchors: TAnchors; | The set of anchor definitions for this control.
property AutoSize: Boolean; | Allows to automatically adjust the size of the control, according to its content.
property BorderSpacing: TControlBorderSpacing; | Determines the inner and outer border spacing for this control.
property Center: Boolean; | Should image be centered?
property KeepOriginXWhenClipped: Boolean;
property KeepOriginYWhenClipped: Boolean;
property Constraints: TSizeConstraints; | The minimal and maximal Width and Height of this control.
property DragCursor: TCursor; | The cursor shape shown while the control is dragged.
property DragMode: TDragMode; | Allows the user to drag the control.
property Enabled: Boolean; | Determines whether the control reacts on mouse or keyboard input.
property OnChangeBounds: TNotifyEvent; | Event handler for a change of the Bounds of the control.
property OnClick: TNotifyEvent; | Notification handler for mouse clicks.
property OnDblClick: TNotifyEvent; | Event Handler for double mouse clicks.
property OnDragDrop: TDragDropEvent; | This handler determines the action on an drop onto this control, in a drag-drop operation.
property OnDragOver: TDragOverEvent; | Event handler for a control being dragged over this control.
property OnEndDrag: TEndDragEvent; | Notification handler for the end of a dragging operation.
property OnMouseDown: TMouseEvent; | Event handler for mouse button going down.
property OnMouseEnter: TNotifyEvent; | Event handler for mouse entering the area of the control.
property OnMouseLeave: TNotifyEvent; | Event handler for mouse leaving the area of the control.
property OnMouseMove: TMouseMoveEvent; | Event handler for mouse movement within the control.
property OnMouseUp: TMouseEvent; | Event handler for mouse button going up.
property OnMouseWheel: TMouseWheelEvent; | Event handler for mouse wheel turned.
property OnMouseWheelDown: TMouseWheelUpDownEvent; | Notification handler for downward movement of mouse wheel.
property OnMouseWheelUp: TMouseWheelUpDownEvent; | Notification handler for upward movement of mouse wheel.
property OnMouseWheelHorz: TMouseWheelEvent;
property OnMouseWheelLeft: TMouseWheelUpDownEvent;
property OnMouseWheelRight: TMouseWheelUpDownEvent;
property OnPaint: TNotifyEvent; | Supply your own OnPaint handler for painting the control.
property OnPictureChanged: TNotifyEvent; | OnPictureChanged - event handler for a change in the picture
property OnPaintBackground: TImagePaintBackgroundEvent;
property OnResize: TNotifyEvent; | Notification handler for a resize of the control.
property OnStartDrag: TStartDragEvent; | Event handler for the start of a dragging operation.
property ParentShowHint: Boolean; | If true, the value of ShowHint for the control will be the same as the one from the Parent. Default is true.
property Picture: TPicture; | Picture - the actual image for display
property PopupMenu: TPopupMenu; | A context-sensitive menu that pops up when the right mouse button is clicked over this control
property Proportional: Boolean; | True if image is proportional
property ShowHint: Boolean; | Enables the Hint display.
property Stretch: Boolean; | True if picture is to be stretched
property StretchOutEnabled: Boolean;
property StretchInEnabled: Boolean;
property Transparent: Boolean; | True if you can see through the image
property Visible: Boolean; | Allows to show or hide the control, and all of its children.
end;

Inheritance

TImage | TImage - a graphic image placed on the form; usually loaded from a picture file.
|
TCustomImage | TCustomImage - the base type for TImage
|
TGraphicControl | TGraphicControl is the base class for all lightweight controls.
|
TControl | The base class for visible controls.
|
TLCLComponent | The base class for LCL components associated with widgets.
|
TComponent,IUnknown,IInterfaceComponentReference
|
TPersistent,IFPObserved
|
TObject

Description

TImage : a graphic image placed on the form; usually loaded from a picture file.

The actual image is found in Picture or Canvas

Inherits most of its properties from its ancestors, TCustomImage, TGraphicControl and TControl

See also

HowToUseStdCtrls

How to use StdCtrls, ComCtrls or ExtCtrls


TImage
pl | ro | AntialiasingMode
pl | ro | Align
pl | ro | Anchors
pl | ro | AutoSize
pl | ro | BorderSpacing
pl | ro | Center
pl | ro | KeepOriginXWhenClipped
pl | ro | KeepOriginYWhenClipped
pl | ro | Constraints
pl | ro | DragCursor
pl | ro | DragMode
pl | ro | Enabled
pl | ro | ParentShowHint
pl | ro | Picture
pl | ro | PopupMenu
pl | ro | Proportional
pl | ro | ShowHint
pl | ro | Stretch
pl | ro | StretchOutEnabled
pl | ro | StretchInEnabled
pl | ro | Transparent
pl | ro | Visible
TCustomImage
 | ro | Canvas
 |  | AntialiasingMode
 | ro | Align
 | ro | AutoSize
 |  | Center
 |  | KeepOriginXWhenClipped
 |  | KeepOriginYWhenClipped
 | ro | Constraints
 |  | Picture
 | ro | Visible
 |  | Stretch
 |  | StretchOutEnabled
 |  | StretchInEnabled
 |  | Transparent
 |  | Proportional
TGraphicControl
 | ro | Canvas
TControl
pt | ro | AutoSizing
pt | ro | AutoSizingAll
pt | ro | AutoSizingLockCount
pt |  | ActionLink
pt |  | DesktopFont
pt |  | DragCursor
pt |  | DragKind
pt |  | DragMode
pt |  | MouseCapture
pt |  | ParentColor
pt |  | ParentFont
pt |  | ParentShowHint
pt |  | SessionProperties
pt |  | Text
 | ro | AnchoredControls
 | ro | BaseBounds
 | ro | ReadBounds
 | ro | BaseParentClientSize
 |  | AccessibleDescription
 |  | AccessibleValue
 |  | AccessibleRole
 |  | Action
 |  | Align
 |  | Anchors
 | ro | AnchorSide
 |  | AutoSize
 |  | BorderSpacing
 |  | BoundsRect
 |  | BoundsRectForNewParent
 |  | Caption
 |  | CaptureMouseButtons
 |  | ClientHeight
 | ro | ClientOrigin
 | ro | ClientRect
 |  | ClientWidth
 |  | Color
 |  | Constraints
 | ro | ControlOrigin
 |  | ControlState
 |  | ControlStyle
 |  | Enabled
 |  | Font
 |  | IsControl
 | ro | MouseEntered
 | ro | MouseInClient
 |  | Parent
 |  | PopupMenu
 |  | ShowHint
 |  | Visible
 |  | WindowProc
 |  | DockOrientation
 | ro | Floating
 |  | FloatingDockSiteClass
 |  | HostDockSite
 |  | LRDockWidth
 |  | TBDockHeight
 |  | UndockHeight
 |  | UndockWidth
 |  | BiDiMode
 |  | ParentBiDiMode
pl |  | AnchorSideLeft
pl |  | AnchorSideTop
pl |  | AnchorSideRight
pl |  | AnchorSideBottom
pl |  | Cursor
pl |  | Left
pl |  | Height
pl |  | Hint
pl |  | Top
pl |  | Width
pl |  | HelpType
pl |  | HelpKeyword
pl |  | HelpContext
TLCLComponent
 | ro | LCLRefCount
 | ro | WidgetSetClass
TComponent
 | ro | ComObject
 | ro | Components
 | ro | ComponentCount
 |  | ComponentIndex
 | ro | ComponentState
 | ro | ComponentStyle
 |  | DesignInfo
 | ro | Owner
 |  | VCLComObject
 |  | Name
 |  | Tag
TPersistent
TObject


 |  | AccessibleDescription (TControl)
 |  | AccessibleRole (TControl)
 |  | AccessibleValue (TControl)
 |  | Action (TControl)
pt |  | ActionLink (TControl)
 |  | Align (TControl)
 | ro | Align (TCustomImage)
pl | ro | Align (TImage)
 | ro | AnchoredControls (TControl)
 |  | Anchors (TControl)
pl | ro | Anchors (TImage)
 | ro | AnchorSide (TControl)
pl |  | AnchorSideBottom (TControl)
pl |  | AnchorSideLeft (TControl)
pl |  | AnchorSideRight (TControl)
pl |  | AnchorSideTop (TControl)
 |  | AntialiasingMode (TCustomImage)
pl | ro | AntialiasingMode (TImage)
 |  | AutoSize (TControl)
 | ro | AutoSize (TCustomImage)
pl | ro | AutoSize (TImage)
pt | ro | AutoSizing (TControl)
pt | ro | AutoSizingAll (TControl)
pt | ro | AutoSizingLockCount (TControl)
 | ro | BaseBounds (TControl)
 | ro | BaseParentClientSize (TControl)
 |  | BiDiMode (TControl)
 |  | BorderSpacing (TControl)
pl | ro | BorderSpacing (TImage)
 |  | BoundsRect (TControl)
 |  | BoundsRectForNewParent (TControl)
 | ro | Canvas (TGraphicControl)
 | ro | Canvas (TCustomImage)
 |  | Caption (TControl)
 |  | CaptureMouseButtons (TControl)
 |  | Center (TCustomImage)
pl | ro | Center (TImage)
 |  | ClientHeight (TControl)
 | ro | ClientOrigin (TControl)
 | ro | ClientRect (TControl)
 |  | ClientWidth (TControl)
 |  | Color (TControl)
 | ro | ComObject (TComponent)
 | ro | ComponentCount (TComponent)
 |  | ComponentIndex (TComponent)
 | ro | Components (TComponent)
 | ro | ComponentState (TComponent)
 | ro | ComponentStyle (TComponent)
 |  | Constraints (TControl)
 | ro | Constraints (TCustomImage)
pl | ro | Constraints (TImage)
 | ro | ControlOrigin (TControl)
 |  | ControlState (TControl)
 |  | ControlStyle (TControl)
pl |  | Cursor (TControl)
 |  | DesignInfo (TComponent)
pt |  | DesktopFont (TControl)
 |  | DockOrientation (TControl)
pt |  | DragCursor (TControl)
pl | ro | DragCursor (TImage)
pt |  | DragKind (TControl)
pt |  | DragMode (TControl)
pl | ro | DragMode (TImage)
 |  | Enabled (TControl)
pl | ro | Enabled (TImage)
 | ro | Floating (TControl)
 |  | FloatingDockSiteClass (TControl)
 |  | Font (TControl)
pl |  | Height (TControl)
pl |  | HelpContext (TControl)
pl |  | HelpKeyword (TControl)
pl |  | HelpType (TControl)
pl |  | Hint (TControl)
 |  | HostDockSite (TControl)
 |  | IsControl (TControl)
 |  | KeepOriginXWhenClipped (TCustomImage)
pl | ro | KeepOriginXWhenClipped (TImage)
 |  | KeepOriginYWhenClipped (TCustomImage)
pl | ro | KeepOriginYWhenClipped (TImage)
 | ro | LCLRefCount (TLCLComponent)
pl |  | Left (TControl)
 |  | LRDockWidth (TControl)
pt |  | MouseCapture (TControl)
 | ro | MouseEntered (TControl)
 | ro | MouseInClient (TControl)
 |  | Name (TComponent)
 | ro | Owner (TComponent)
 |  | Parent (TControl)
 |  | ParentBiDiMode (TControl)
pt |  | ParentColor (TControl)
pt |  | ParentFont (TControl)
pt |  | ParentShowHint (TControl)
pl | ro | ParentShowHint (TImage)
 |  | Picture (TCustomImage)
pl | ro | Picture (TImage)
 |  | PopupMenu (TControl)
pl | ro | PopupMenu (TImage)
 |  | Proportional (TCustomImage)
pl | ro | Proportional (TImage)
 | ro | ReadBounds (TControl)
pt |  | SessionProperties (TControl)
 |  | ShowHint (TControl)
pl | ro | ShowHint (TImage)
 |  | Stretch (TCustomImage)
pl | ro | Stretch (TImage)
 |  | StretchInEnabled (TCustomImage)
pl | ro | StretchInEnabled (TImage)
 |  | StretchOutEnabled (TCustomImage)
pl | ro | StretchOutEnabled (TImage)
 |  | Tag (TComponent)
 |  | TBDockHeight (TControl)
pt |  | Text (TControl)
pl |  | Top (TControl)
 |  | Transparent (TCustomImage)
pl | ro | Transparent (TImage)
 |  | UndockHeight (TControl)
 |  | UndockWidth (TControl)
 |  | VCLComObject (TComponent)
 |  | Visible (TControl)
 | ro | Visible (TCustomImage)
pl | ro | Visible (TImage)
 | ro | WidgetSetClass (TLCLComponent)
pl |  | Width (TControl)
 |  | WindowProc (TControl)


TImage
TCustomImage
pt | WSRegisterClass
pt | PictureChanged
pt | CalculatePreferredSize
pt | GetControlClassDefaultSize
pt | Paint
 | Create
 | Destroy
 | DestRect
 | Invalidate
TGraphicControl
pt | WSRegisterClass
pt | FontChanged
pt | Paint
pt | DoOnChangeBounds
pt | DoOnParentHandleDestruction
pt | CMCursorChanged
 | Create
 | Destroy
TControl
pt | WSRegisterClass
pt | GetCursor
pt | SetCursor
pt | SetVisible
pt | DoOnParentHandleDestruction
pt | DoAutoSize
pt | DoAllAutoSize
pt | BeginAutoSizing
pt | EndAutoSizing
pt | AnchorSideChanged
pt | ForeignAnchorSideChanged
pt | SetAlign
pt | SetAnchors
pt | SetAutoSize
pt | BoundsChanged
pt | CreateControlBorderSpacing
pt | DoConstraintsChange
pt | DoBorderSpacingChange
pt | IsBorderSpacingInnerBorderStored
pt | IsCaptionStored
pt | SendMoveSizeMessages
pt | ConstrainedResize
pt | CalculatePreferredSize
pt | DoOnResize
pt | DoOnChangeBounds
pt | CheckOnChangeBounds
pt | Resize
pt | RequestAlign
pt | UpdateAnchorRules
pt | ChangeBounds
pt | DoSetBounds
pt | ScaleConstraints
pt | ChangeScale
pt | CanAutoSize
pt | SetBiDiMode
pt | SetParentBiDiMode
pt | IsAParentAligning
pt | GetClientOrigin
pt | GetClientRect
pt | GetLogicalClientRect
pt | GetScrolledClientRect
pt | GetClientScrollOffset
pt | GetControlOrigin
pt | IsClientHeightStored
pt | IsClientWidthStored
pt | WidthIsAnchored
pt | HeightIsAnchored
pt | WMCancelMode
pt | WMContextMenu
pt | WMLButtonDown
pt | WMRButtonDown
pt | WMMButtonDown
pt | WMXButtonDown
pt | WMLButtonDBLCLK
pt | WMRButtonDBLCLK
pt | WMMButtonDBLCLK
pt | WMXButtonDBLCLK
pt | WMLButtonTripleCLK
pt | WMRButtonTripleCLK
pt | WMMButtonTripleCLK
pt | WMXButtonTripleCLK
pt | WMLButtonQuadCLK
pt | WMRButtonQuadCLK
pt | WMMButtonQuadCLK
pt | WMXButtonQuadCLK
pt | WMMouseMove
pt | WMLButtonUp
pt | WMRButtonUp
pt | WMMButtonUp
pt | WMXButtonUp
pt | WMMouseWheel
pt | WMMouseHWheel
pt | WMMove
pt | WMSize
pt | WMWindowPosChanged
pt | CMChanged
pt | LMCaptureChanged
pt | CMBiDiModeChanged
pt | CMSysFontChanged
pt | CMEnabledChanged
pt | CMHitTest
pt | CMMouseEnter
pt | CMMouseLeave
pt | CMHintShow
pt | CMParentBiDiModeChanged
pt | CMParentColorChanged
pt | CMParentFontChanged
pt | CMParentShowHintChanged
pt | CMVisibleChanged
pt | CMTextChanged
pt | CMCursorChanged
pt | CalculateDockSizes
pt | CreateFloatingDockSite
pt | GetDockEdge
pt | GetDragImages
pt | GetFloating
pt | GetFloatingDockSiteClass
pt | BeforeDragStart
pt | BeginAutoDrag
pt | DoFloatMsg
pt | DockTrackNoTarget
pt | DoDock
pt | DoDragMsg
pt | DoEndDock
pt | DoEndDrag
pt | DoStartDock
pt | DoStartDrag
pt | DragCanceled
pt | DragOver
pt | PositionDockRect
pt | SetDragMode
pt | GetDefaultDockCaption
pt | Click
pt | DblClick
pt | TripleClick
pt | QuadClick
pt | GetMousePosFromMessage
pt | MouseDown
pt | MouseMove
pt | MouseUp
pt | MouseEnter
pt | MouseLeave
pt | DialogChar
pt | UpdateMouseCursor
pt | Changed
pt | GetPalette
pt | ChildClassAllowed
pt | ReadState
pt | Loaded
pt | LoadedAll
pt | DefineProperties
pt | AssignTo
pt | FormEndUpdated
pt | InvalidateControl
pt | FontChanged
pt | ParentFontChanged
pt | GetAction
pt | RealGetText
pt | RealSetText
pt | TextChanged
pt | GetCachedText
pt | SetAction
pt | SetColor
pt | SetEnabled
pt | SetHint
pt | SetName
pt | SetParent
pt | SetParentComponent
pt | WndProc
pt | ParentFormHandleInitialized
pt | GetMouseCapture
pt | CaptureChanged
pt | Notification
pt | CanTab
pt | GetDeviceContext
pt | GetEnabled
pt | GetPopupMenu
pt | DoOnShowHint
pt | DoMouseWheel
pt | DoMouseWheelDown
pt | DoMouseWheelUp
pt | DoMouseWheelHorz
pt | DoMouseWheelLeft
pt | DoMouseWheelRight
pt | VisibleChanging
pt | VisibleChanged
pt | EnabledChanging
pt | EnabledChanged
pt | AddHandler
pt | RemoveHandler
pt | DoCallNotifyHandler
pt | DoCallKeyEventHandler
pt | DoCallMouseWheelEventHandler
pt | DoContextPopup
pt | SetZOrder
pt | GetControlClassDefaultSize
pt | ColorIsStored
pt | DoAutoAdjustLayout
pt | DoFixDesignFontPPI
pt | DoScaleFontPPI
pt | GetActionLinkClass
pt | ActionChange
 | DragDrop
 | Dock
 | ManualDock
 | ManualFloat
 | ReplaceDockedControl
 | Docked
 | Dragging
 | GetAccessibleObject
 | CreateAccessibleObject
 | GetSelectedChildAccessibleObject
 | GetChildAccessibleObjectAtPos
 | ScaleDesignToForm
 | ScaleFormToDesign
 | Scale96ToForm
 | ScaleFormTo96
 | Scale96ToFont
 | ScaleFontTo96
 | ScaleScreenToFont
 | ScaleFontToScreen
 | Scale96ToScreen
 | ScaleScreenTo96
 | AdjustSize
 | AutoSizePhases
 | AutoSizeDelayed
 | AutoSizeDelayedReport
 | AutoSizeDelayedHandle
 | AnchorToNeighbour
 | AnchorParallel
 | AnchorHorizontalCenterTo
 | AnchorVerticalCenterTo
 | AnchorToCompanion
 | AnchorSame
 | AnchorAsAlign
 | AnchorClient
 | AnchoredControlCount
 | SetBounds
 | SetInitialBounds
 | SetBoundsKeepBase
 | GetPreferredSize
 | GetCanvasScaleFactor
 | GetDefaultWidth
 | GetDefaultHeight
 | GetDefaultColor
 | GetColorResolvingParent
 | GetRGBColorResolvingParent
 | GetSidePosition
 | CNPreferredSizeChanged
 | InvalidatePreferredSize
 | GetAnchorsDependingOnParent
 | DisableAutoSizing
 | EnableAutoSizing
 | UpdateBaseBounds
 | WriteLayoutDebugReport
 | AutoAdjustLayout
 | ShouldAutoAdjust
 | FixDesignFontsPPI
 | ScaleFontsPPI
 | Create
 | Destroy
 | BeforeDestruction
 | EditingDone
 | ExecuteDefaultAction
 | ExecuteCancelAction
 | BeginDrag
 | EndDrag
 | BringToFront
 | HasParent
 | GetParentComponent
 | IsParentOf
 | GetTopParent
 | IsVisible
 | IsControlVisible
 | IsEnabled
 | IsParentColor
 | IsParentFont
 | FormIsUpdating
 | IsProcessingPaintMsg
 | Hide
 | Refresh
 | Repaint
 | Invalidate
 | CheckChildClassAllowed
 | CheckNewParent
 | SendToBack
 | SetTempCursor
 | UpdateRolesForForm
 | ActiveDefaultControlChanged
 | GetTextBuf
 | GetTextLen
 | SetTextBuf
 | Perform
 | ScreenToClient
 | ClientToScreen
 | ScreenToControl
 | ControlToScreen
 | ClientToParent
 | ParentToClient
 | GetChildrenRect
 | Show
 | Update
 | HandleObjectShouldBeVisible
 | ParentDestroyingHandle
 | ParentHandlesAllocated
 | InitiateAction
 | ShowHelp
 | HasHelp
 | RemoveAllHandlersOfObject
 | AddHandlerOnResize
 | RemoveHandlerOnResize
 | AddHandlerOnChangeBounds
 | RemoveHandlerOnChangeBounds
 | AddHandlerOnVisibleChanging
 | RemoveHandlerOnVisibleChanging
 | AddHandlerOnVisibleChanged
 | RemoveHandlerOnVisibleChanged
 | AddHandlerOnEnabledChanged
 | RemoveHandlerOnEnableChanging
 | AddHandlerOnKeyDown
 | RemoveHandlerOnKeyDown
 | AddHandlerOnBeforeDestruction
 | RemoveHandlerOnBeforeDestruction
 | AddHandlerOnMouseWheel
 | RemoveHandlerOnMouseWheel
 | UseRightToLeftAlignment
 | UseRightToLeftReading
 | UseRightToLeftScrollBar
 | IsRightToLeft
TLCLComponent
pt | WSRegisterClass
pt | GetWSComponentClass
 | Create
 | Destroy
 | NewInstance
 | RemoveAllHandlersOfObject
 | IncLCLRefCount
 | DecLCLRefCount
TComponent
 | GetComObject
 | GetComponent
 | GetComponentCount
 | GetComponentIndex
 | Insert
 | ReadLeft
 | ReadTop
 | Remove
 | RemoveNotification
 | SetComponentIndex
 | SetReference
 | WriteLeft
 | WriteTop
 | ChangeName
 | DefineProperties
 | GetChildren
 | GetChildOwner
 | GetChildParent
 | GetOwner
 | Loaded
 | Loading
 | Notification
 | PaletteCreated
 | ReadState
 | SetAncestor
 | SetDesigning
 | SetDesignInstance
 | SetInline
 | SetName
 | SetChildOrder
 | SetParentComponent
 | Updating
 | Updated
 | UpdateRegistry
 | ValidateRename
 | ValidateContainer
 | ValidateInsert
 | QueryInterface
 | _AddRef
 | _Release
 | iicrGetComponent
 | GetTypeInfoCount
 | GetTypeInfo
 | GetIDsOfNames
 | Invoke
 | WriteState
 | Create
 | Destroy
 | BeforeDestruction
 | DestroyComponents
 | Destroying
 | ExecuteAction
 | FindComponent
 | FreeNotification
 | RemoveFreeNotification
 | FreeOnRelease
 | GetEnumerator
 | GetNamePath
 | GetParentComponent
 | HasParent
 | InsertComponent
 | RemoveComponent
 | SafeCallException
 | SetSubComponent
 | UpdateAction
 | IsImplementorOf
 | ReferenceInterface
TPersistent
 | AssignError
 | AssignTo
 | DefineProperties
 | GetOwner
 | Destroy
 | Assign
 | FPOAttachObserver
 | FPODetachObserver
 | FPONotifyObservers
 | GetNamePath
TObject
 | Create
 | Destroy
 | newinstance
 | FreeInstance
 | SafeCallException
 | DefaultHandler
 | Free
 | InitInstance
 | CleanupInstance
 | ClassType
 | ClassInfo
 | ClassName
 | ClassNameIs
 | ClassParent
 | InstanceSize
 | InheritsFrom
 | StringMessageTable
 | MethodAddress
 | MethodName
 | FieldAddress
 | AfterConstruction
 | BeforeDestruction
 | DefaultHandlerStr
 | Dispatch
 | DispatchStr
 | GetInterface
 | GetInterfaceByStr
 | GetInterfaceWeak
 | GetInterfaceEntry
 | GetInterfaceEntryByStr
 | GetInterfaceTable
 | UnitName
 | Equals
 | GetHashCode
 | ToString


TImage
pl | ro | OnChangeBounds
pl | ro | OnClick
pl | ro | OnDblClick
pl | ro | OnDragDrop
pl | ro | OnDragOver
pl | ro | OnEndDrag
pl | ro | OnMouseDown
pl | ro | OnMouseEnter
pl | ro | OnMouseLeave
pl | ro | OnMouseMove
pl | ro | OnMouseUp
pl | ro | OnMouseWheel
pl | ro | OnMouseWheelDown
pl | ro | OnMouseWheelUp
pl | ro | OnMouseWheelHorz
pl | ro | OnMouseWheelLeft
pl | ro | OnMouseWheelRight
pl | ro | OnPaint
pl | ro | OnPictureChanged
pl | ro | OnPaintBackground
pl | ro | OnResize
pl | ro | OnStartDrag
TCustomImage
 | ro | OnClick
 | ro | OnMouseDown
 | ro | OnMouseEnter
 | ro | OnMouseLeave
 | ro | OnMouseMove
 | ro | OnMouseUp
 | ro | OnMouseWheel
 | ro | OnMouseWheelDown
 | ro | OnMouseWheelUp
 |  | OnPictureChanged
 |  | OnPaintBackground
TGraphicControl
pt |  | OnPaint
TControl
pt |  | OnConstrainedResize
pt |  | OnContextPopup
pt |  | OnDblClick
pt |  | OnTripleClick
pt |  | OnQuadClick
pt |  | OnDragDrop
pt |  | OnDragOver
pt |  | OnEndDock
pt |  | OnEndDrag
pt |  | OnMouseDown
pt |  | OnMouseMove
pt |  | OnMouseUp
pt |  | OnMouseEnter
pt |  | OnMouseLeave
pt |  | OnMouseWheel
pt |  | OnMouseWheelDown
pt |  | OnMouseWheelUp
pt |  | OnMouseWheelHorz
pt |  | OnMouseWheelLeft
pt |  | OnMouseWheelRight
pt |  | OnStartDock
pt |  | OnStartDrag
pt |  | OnEditingDone
 |  | OnChangeBounds
 |  | OnClick
 |  | OnResize
 |  | OnShowHint
TLCLComponent
TComponent
TPersistent
TObject


pl | ro | OnChangeBounds (TImage)
 |  | OnClick (TControl)
 | ro | OnClick (TCustomImage)
pl | ro | OnClick (TImage)
pt |  | OnConstrainedResize (TControl)
pt |  | OnContextPopup (TControl)
pt |  | OnDblClick (TControl)
pl | ro | OnDblClick (TImage)
pt |  | OnDragDrop (TControl)
pl | ro | OnDragDrop (TImage)
pt |  | OnDragOver (TControl)
pl | ro | OnDragOver (TImage)
pt |  | OnEditingDone (TControl)
pt |  | OnEndDock (TControl)
pt |  | OnEndDrag (TControl)
pl | ro | OnEndDrag (TImage)
pt |  | OnMouseDown (TControl)
 | ro | OnMouseDown (TCustomImage)
pl | ro | OnMouseDown (TImage)
pt |  | OnMouseEnter (TControl)
 | ro | OnMouseEnter (TCustomImage)
pl | ro | OnMouseEnter (TImage)
pt |  | OnMouseLeave (TControl)
 | ro | OnMouseLeave (TCustomImage)
pl | ro | OnMouseLeave (TImage)
pt |  | OnMouseMove (TControl)
 | ro | OnMouseMove (TCustomImage)
pl | ro | OnMouseMove (TImage)
pt |  | OnMouseUp (TControl)
 | ro | OnMouseUp (TCustomImage)
pl | ro | OnMouseUp (TImage)
pt |  | OnMouseWheel (TControl)
 | ro | OnMouseWheel (TCustomImage)
pl | ro | OnMouseWheel (TImage)
pt |  | OnMouseWheelDown (TControl)
 | ro | OnMouseWheelDown (TCustomImage)
pl | ro | OnMouseWheelDown (TImage)
pt |  | OnMouseWheelHorz (TControl)
pl | ro | OnMouseWheelHorz (TImage)
pt |  | OnMouseWheelLeft (TControl)
pl | ro | OnMouseWheelLeft (TImage)
pt |  | OnMouseWheelRight (TControl)
pl | ro | OnMouseWheelRight (TImage)
pt |  | OnMouseWheelUp (TControl)
 | ro | OnMouseWheelUp (TCustomImage)
pl | ro | OnMouseWheelUp (TImage)
pt |  | OnPaint (TGraphicControl)
pl | ro | OnPaint (TImage)
 |  | OnPaintBackground (TCustomImage)
pl | ro | OnPaintBackground (TImage)
 |  | OnPictureChanged (TCustomImage)
pl | ro | OnPictureChanged (TImage)
pt |  | OnQuadClick (TControl)
 |  | OnResize (TControl)
pl | ro | OnResize (TImage)
 |  | OnShowHint (TControl)
pt |  | OnStartDock (TControl)
pt |  | OnStartDrag (TControl)
pl | ro | OnStartDrag (TImage)
pt |  | OnTripleClick (TControl)


TImage.AntialiasingMode

Declaration

Source position: extctrls.pp line 576

published property TImage.AntialiasingMode : TAntialiasingMode;


TImage.KeepOriginXWhenClipped

Declaration

Source position: extctrls.pp line 582

published property TImage.KeepOriginXWhenClipped : Boolean;


TImage.KeepOriginYWhenClipped

Declaration

Source position: extctrls.pp line 583

published property TImage.KeepOriginYWhenClipped : Boolean;


TImage.OnMouseWheelHorz

Declaration

Source position: extctrls.pp line 602

published property TImage.OnMouseWheelHorz : TMouseWheelEvent;


TImage.OnMouseWheelLeft

Declaration

Source position: extctrls.pp line 603

published property TImage.OnMouseWheelLeft : TMouseWheelUpDownEvent;


TImage.OnMouseWheelRight

Declaration

Source position: extctrls.pp line 604

published property TImage.OnMouseWheelRight : TMouseWheelUpDownEvent;


TImage.OnPaintBackground

Declaration

Source position: extctrls.pp line 607

published property TImage.OnPaintBackground : TImagePaintBackgroundEvent;


TImage.StretchInEnabled

Declaration

Source position: extctrls.pp line 617

published property TImage.StretchInEnabled : Boolean;


TImage.StretchOutEnabled

Declaration

Source position: extctrls.pp line 616

published property TImage.StretchOutEnabled : Boolean;


TImagePaintBackgroundEvent

Declaration

Source position: extctrls.pp line 44

type TImagePaintBackgroundEvent = procedure(

  ASender: TObject;

  ACanvas: TCanvas;

  ARect: TRect

) of object;


TLabeledEdit

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Labelled Edit: An Edit Box with a permanently attached Label

Declaration

Source position: extctrls.pp line 989

type TLabeledEdit = class(TCustomLabeledEdit)
published
property Alignment: TAlignment;
property Anchors: TAnchors; | The set of anchor definitions for this control.
property AutoSelect: Boolean; | If True, the edit control will select all its text when it receives focus or when the Enter key is pressed.
property AutoSize: Boolean; | Allows to automatically adjust the size of the control, according to its content.
property BidiMode: TBiDiMode;
property BorderSpacing: TControlBorderSpacing; | Determines the inner and outer border spacing for this control.
property BorderStyle: TBorderStyle;
property CharCase: TEditCharCase; | Allows to force the text into all upper or lower case.
property Color: TColor; | The background color of the control.
property Constraints: TSizeConstraints; | The minimal and maximal Width and Height of this control.
property DoubleBuffered: Boolean;
property DragCursor: TCursor; | The cursor shape shown while the control is dragged.
property DragMode: TDragMode; | Allows the user to drag the control.
property EchoMode: TEchoMode; | Allows to modify the text display, useful for entering passwords.
property EditLabel: TBoundLabel; | EditLabel - the label attached to the edit box
property Enabled: Boolean; | Determines whether the control reacts on mouse or keyboard input.
property Font: TFont;
property LabelPosition: TLabelPosition; | LabelPosition - whether above, below, to the left or to the right of the Edit box
property LabelSpacing: Integer; | LabelSpacing - the distance between the Label and the Edit box
property MaxLength: Integer; | The maximum length of the text; zero for unlimited.
property ParentBidiMode: Boolean;
property ParentColor: Boolean; | If true, the Color of the control will be the same as the one from the Parent. Default is true.
property ParentDoubleBuffered: Boolean;
property ParentFont: Boolean; | If true, the Font of the control will be the same as the one from the Parent. Default is true.
property ParentShowHint: Boolean; | If true, the value of ShowHint for the control will be the same as the one from the Parent. Default is true.
property PasswordChar: Char; | Allows to obfuscate the displayed text, showing all characters as PasswordChar.
property PopupMenu: TPopupMenu;
property ReadOnly: Boolean; | Prevents the user from changing the text.
property ShowHint: Boolean; | Enables the Hint display.
property TabOrder: TTabOrder;
property TabStop: Boolean;
property Text: TCaption; | The text in the edit box.
property TextHint: TTranslateString;
property Visible: Boolean; | Allows to show or hide the control, and all of its children.
property OnChange: TNotifyEvent; | Event handler for any change in text.
property OnClick: TNotifyEvent; | Notification handler for mouse clicks.
property OnDblClick: TNotifyEvent; | Event Handler for double mouse clicks.
property OnDragDrop: TDragDropEvent; | This handler determines the action on an drop onto this control, in a drag-drop operation.
property OnDragOver: TDragOverEvent; | Event handler for a control being dragged over this control.
property OnEditingDone: TNotifyEvent;
property OnEndDrag: TEndDragEvent; | Notification handler for the end of a dragging operation.
property OnEnter: TNotifyEvent; | Handler for control receiving the focus.
property OnExit: TNotifyEvent; | Handler for control loosing the focus. This is a good place for checking the finished user input.
property OnKeyDown: TKeyEvent; | Handler for keyboard key pressed.
property OnKeyPress: TKeyPressEvent; | Handler for a character entered by the user.
property OnKeyUp: TKeyEvent; | Handler for keyboard key released.
property OnMouseDown: TMouseEvent; | Event handler for mouse button going down.
property OnMouseEnter: TNotifyEvent;
property OnMouseLeave: TNotifyEvent;
property OnMouseMove: TMouseMoveEvent; | Event handler for mouse movement within the control.
property OnMouseUp: TMouseEvent; | Event handler for mouse button going up.
property OnMouseWheel: TMouseWheelEvent;
property OnMouseWheelDown: TMouseWheelUpDownEvent;
property OnMouseWheelUp: TMouseWheelUpDownEvent;
property OnStartDrag: TStartDragEvent; | Event handler for the start of a dragging operation.
property OnUTF8KeyPress: TUTF8KeyPressEvent; | Handler for a character entered by the user.
end;

Inheritance

TLabeledEdit | Labelled Edit: An Edit Box with a permanently attached Label
|
TCustomLabeledEdit | Custom Labelled Edit
|
TCustomEdit | The base class for controls presenting editable text.
|
TWinControl | The base class for controls which can contain other (child) controls.
|
TControl | The base class for visible controls.
|
TLCLComponent | The base class for LCL components associated with widgets.
|
TComponent,IUnknown,IInterfaceComponentReference
|
TPersistent,IFPObserved
|
TObject

Description

TLabeledEdit : An Edit Box with a permanently attached Label

Saves time and effort over placing separate Label and Edit Box on Form. The properties are described in the parent component, TCustomLabeledEdit from which most of the properties are inherited

See also

TCustomEdit | The base class for controls presenting editable text.
TBoundLabel | TBoundLabel: A label bound to another object, for example in TLabeledEdit


TLabeledEdit
pl | ro | Alignment
pl | ro | Anchors
pl | ro | AutoSelect
pl | ro | AutoSize
pl | ro | BidiMode
pl | ro | BorderSpacing
pl | ro | BorderStyle
pl | ro | CharCase
pl | ro | Color
pl | ro | Constraints
pl | ro | DoubleBuffered
pl | ro | DragCursor
pl | ro | DragMode
pl | ro | EchoMode
pl | ro | EditLabel
pl | ro | Enabled
pl | ro | Font
pl | ro | LabelPosition
pl | ro | LabelSpacing
pl | ro | MaxLength
pl | ro | ParentBidiMode
pl | ro | ParentColor
pl | ro | ParentDoubleBuffered
pl | ro | ParentFont
pl | ro | ParentShowHint
pl | ro | PasswordChar
pl | ro | PopupMenu
pl | ro | ReadOnly
pl | ro | ShowHint
pl | ro | TabOrder
pl | ro | TabStop
pl | ro | Text
pl | ro | TextHint
pl | ro | Visible
TCustomLabeledEdit
 | ro | EditLabel
 |  | LabelPosition
 |  | LabelSpacing
TCustomEdit
pt |  | AutoSelect
pt |  | AutoSelected
pt | ro | ParentColor
 |  | Alignment
 | ro | AutoSize
 | ro | BorderStyle
 | ro | CanUndo
 |  | CaretPos
 |  | CharCase
 |  | EchoMode
 |  | HideSelection
 |  | MaxLength
 |  | Modified
 |  | NumbersOnly
 |  | PasswordChar
 | ro | PopupMenu
 |  | ReadOnly
 |  | SelLength
 |  | SelStart
 |  | SelText
 | ro | TabOrder
 | ro | TabStop
 | ro | Text
 |  | TextHint
TWinControl
pt |  | WindowHandle
pt |  | BorderStyle
pt |  | ParentBackground
 |  | BorderWidth
 | ro | BoundsLockCount
 | ro | Brush
 | ro | CachedClientHeight
 | ro | CachedClientWidth
 |  | ChildSizing
 | ro | ControlCount
 | ro | Controls
 |  | DefWndProc
 | ro | DockClientCount
 | ro | DockClients
 |  | DockManager
 |  | DockSite
 |  | DoubleBuffered
 |  | Handle
 | ro | IsFlipped
 | ro | IsResizing
 |  | TabOrder
 |  | TabStop
 |  | ParentDoubleBuffered
 |  | ParentWindow
 | ro | Showing
 |  | UseDockManager
 |  | DesignerDeleting
 | ro | VisibleDockClientCount
TControl
pt | ro | AutoSizing
pt | ro | AutoSizingAll
pt | ro | AutoSizingLockCount
pt |  | ActionLink
pt |  | DesktopFont
pt |  | DragCursor
pt |  | DragKind
pt |  | DragMode
pt |  | MouseCapture
pt |  | ParentColor
pt |  | ParentFont
pt |  | ParentShowHint
pt |  | SessionProperties
pt |  | Text
 | ro | AnchoredControls
 | ro | BaseBounds
 | ro | ReadBounds
 | ro | BaseParentClientSize
 |  | AccessibleDescription
 |  | AccessibleValue
 |  | AccessibleRole
 |  | Action
 |  | Align
 |  | Anchors
 | ro | AnchorSide
 |  | AutoSize
 |  | BorderSpacing
 |  | BoundsRect
 |  | BoundsRectForNewParent
 |  | Caption
 |  | CaptureMouseButtons
 |  | ClientHeight
 | ro | ClientOrigin
 | ro | ClientRect
 |  | ClientWidth
 |  | Color
 |  | Constraints
 | ro | ControlOrigin
 |  | ControlState
 |  | ControlStyle
 |  | Enabled
 |  | Font
 |  | IsControl
 | ro | MouseEntered
 | ro | MouseInClient
 |  | Parent
 |  | PopupMenu
 |  | ShowHint
 |  | Visible
 |  | WindowProc
 |  | DockOrientation
 | ro | Floating
 |  | FloatingDockSiteClass
 |  | HostDockSite
 |  | LRDockWidth
 |  | TBDockHeight
 |  | UndockHeight
 |  | UndockWidth
 |  | BiDiMode
 |  | ParentBiDiMode
pl |  | AnchorSideLeft
pl |  | AnchorSideTop
pl |  | AnchorSideRight
pl |  | AnchorSideBottom
pl |  | Cursor
pl |  | Left
pl |  | Height
pl |  | Hint
pl |  | Top
pl |  | Width
pl |  | HelpType
pl |  | HelpKeyword
pl |  | HelpContext
TLCLComponent
 | ro | LCLRefCount
 | ro | WidgetSetClass
TComponent
 | ro | ComObject
 | ro | Components
 | ro | ComponentCount
 |  | ComponentIndex
 | ro | ComponentState
 | ro | ComponentStyle
 |  | DesignInfo
 | ro | Owner
 |  | VCLComObject
 |  | Name
 |  | Tag
TPersistent
TObject


 |  | AccessibleDescription (TControl)
 |  | AccessibleRole (TControl)
 |  | AccessibleValue (TControl)
 |  | Action (TControl)
pt |  | ActionLink (TControl)
 |  | Align (TControl)
 |  | Alignment (TCustomEdit)
pl | ro | Alignment (TLabeledEdit)
 | ro | AnchoredControls (TControl)
 |  | Anchors (TControl)
pl | ro | Anchors (TLabeledEdit)
 | ro | AnchorSide (TControl)
pl |  | AnchorSideBottom (TControl)
pl |  | AnchorSideLeft (TControl)
pl |  | AnchorSideRight (TControl)
pl |  | AnchorSideTop (TControl)
pt |  | AutoSelect (TCustomEdit)
pl | ro | AutoSelect (TLabeledEdit)
pt |  | AutoSelected (TCustomEdit)
 |  | AutoSize (TControl)
 | ro | AutoSize (TCustomEdit)
pl | ro | AutoSize (TLabeledEdit)
pt | ro | AutoSizing (TControl)
pt | ro | AutoSizingAll (TControl)
pt | ro | AutoSizingLockCount (TControl)
 | ro | BaseBounds (TControl)
 | ro | BaseParentClientSize (TControl)
 |  | BiDiMode (TControl)
pl | ro | BidiMode (TLabeledEdit)
 |  | BorderSpacing (TControl)
pl | ro | BorderSpacing (TLabeledEdit)
pt |  | BorderStyle (TWinControl)
 | ro | BorderStyle (TCustomEdit)
pl | ro | BorderStyle (TLabeledEdit)
 |  | BorderWidth (TWinControl)
 | ro | BoundsLockCount (TWinControl)
 |  | BoundsRect (TControl)
 |  | BoundsRectForNewParent (TControl)
 | ro | Brush (TWinControl)
 | ro | CachedClientHeight (TWinControl)
 | ro | CachedClientWidth (TWinControl)
 | ro | CanUndo (TCustomEdit)
 |  | Caption (TControl)
 |  | CaptureMouseButtons (TControl)
 |  | CaretPos (TCustomEdit)
 |  | CharCase (TCustomEdit)
pl | ro | CharCase (TLabeledEdit)
 |  | ChildSizing (TWinControl)
 |  | ClientHeight (TControl)
 | ro | ClientOrigin (TControl)
 | ro | ClientRect (TControl)
 |  | ClientWidth (TControl)
 |  | Color (TControl)
pl | ro | Color (TLabeledEdit)
 | ro | ComObject (TComponent)
 | ro | ComponentCount (TComponent)
 |  | ComponentIndex (TComponent)
 | ro | Components (TComponent)
 | ro | ComponentState (TComponent)
 | ro | ComponentStyle (TComponent)
 |  | Constraints (TControl)
pl | ro | Constraints (TLabeledEdit)
 | ro | ControlCount (TWinControl)
 | ro | ControlOrigin (TControl)
 | ro | Controls (TWinControl)
 |  | ControlState (TControl)
 |  | ControlStyle (TControl)
pl |  | Cursor (TControl)
 |  | DefWndProc (TWinControl)
 |  | DesignerDeleting (TWinControl)
 |  | DesignInfo (TComponent)
pt |  | DesktopFont (TControl)
 | ro | DockClientCount (TWinControl)
 | ro | DockClients (TWinControl)
 |  | DockManager (TWinControl)
 |  | DockOrientation (TControl)
 |  | DockSite (TWinControl)
 |  | DoubleBuffered (TWinControl)
pl | ro | DoubleBuffered (TLabeledEdit)
pt |  | DragCursor (TControl)
pl | ro | DragCursor (TLabeledEdit)
pt |  | DragKind (TControl)
pt |  | DragMode (TControl)
pl | ro | DragMode (TLabeledEdit)
 |  | EchoMode (TCustomEdit)
pl | ro | EchoMode (TLabeledEdit)
 | ro | EditLabel (TCustomLabeledEdit)
pl | ro | EditLabel (TLabeledEdit)
 |  | Enabled (TControl)
pl | ro | Enabled (TLabeledEdit)
 | ro | Floating (TControl)
 |  | FloatingDockSiteClass (TControl)
 |  | Font (TControl)
pl | ro | Font (TLabeledEdit)
 |  | Handle (TWinControl)
pl |  | Height (TControl)
pl |  | HelpContext (TControl)
pl |  | HelpKeyword (TControl)
pl |  | HelpType (TControl)
 |  | HideSelection (TCustomEdit)
pl |  | Hint (TControl)
 |  | HostDockSite (TControl)
 |  | IsControl (TControl)
 | ro | IsFlipped (TWinControl)
 | ro | IsResizing (TWinControl)
 |  | LabelPosition (TCustomLabeledEdit)
pl | ro | LabelPosition (TLabeledEdit)
 |  | LabelSpacing (TCustomLabeledEdit)
pl | ro | LabelSpacing (TLabeledEdit)
 | ro | LCLRefCount (TLCLComponent)
pl |  | Left (TControl)
 |  | LRDockWidth (TControl)
 |  | MaxLength (TCustomEdit)
pl | ro | MaxLength (TLabeledEdit)
 |  | Modified (TCustomEdit)
pt |  | MouseCapture (TControl)
 | ro | MouseEntered (TControl)
 | ro | MouseInClient (TControl)
 |  | Name (TComponent)
 |  | NumbersOnly (TCustomEdit)
 | ro | Owner (TComponent)
 |  | Parent (TControl)
pt |  | ParentBackground (TWinControl)
 |  | ParentBiDiMode (TControl)
pl | ro | ParentBidiMode (TLabeledEdit)
pt |  | ParentColor (TControl)
pt | ro | ParentColor (TCustomEdit)
pl | ro | ParentColor (TLabeledEdit)
 |  | ParentDoubleBuffered (TWinControl)
pl | ro | ParentDoubleBuffered (TLabeledEdit)
pt |  | ParentFont (TControl)
pl | ro | ParentFont (TLabeledEdit)
pt |  | ParentShowHint (TControl)
pl | ro | ParentShowHint (TLabeledEdit)
 |  | ParentWindow (TWinControl)
 |  | PasswordChar (TCustomEdit)
pl | ro | PasswordChar (TLabeledEdit)
 |  | PopupMenu (TControl)
 | ro | PopupMenu (TCustomEdit)
pl | ro | PopupMenu (TLabeledEdit)
 | ro | ReadBounds (TControl)
 |  | ReadOnly (TCustomEdit)
pl | ro | ReadOnly (TLabeledEdit)
 |  | SelLength (TCustomEdit)
 |  | SelStart (TCustomEdit)
 |  | SelText (TCustomEdit)
pt |  | SessionProperties (TControl)
 |  | ShowHint (TControl)
pl | ro | ShowHint (TLabeledEdit)
 | ro | Showing (TWinControl)
 |  | TabOrder (TWinControl)
 | ro | TabOrder (TCustomEdit)
pl | ro | TabOrder (TLabeledEdit)
 |  | TabStop (TWinControl)
 | ro | TabStop (TCustomEdit)
pl | ro | TabStop (TLabeledEdit)
 |  | Tag (TComponent)
 |  | TBDockHeight (TControl)
pt |  | Text (TControl)
 | ro | Text (TCustomEdit)
pl | ro | Text (TLabeledEdit)
 |  | TextHint (TCustomEdit)
pl | ro | TextHint (TLabeledEdit)
pl |  | Top (TControl)
 |  | UndockHeight (TControl)
 |  | UndockWidth (TControl)
 |  | UseDockManager (TWinControl)
 |  | VCLComObject (TComponent)
 |  | Visible (TControl)
pl | ro | Visible (TLabeledEdit)
 | ro | VisibleDockClientCount (TWinControl)
 | ro | WidgetSetClass (TLCLComponent)
pl |  | Width (TControl)
pt |  | WindowHandle (TWinControl)
 |  | WindowProc (TControl)


TLabeledEdit
TCustomLabeledEdit
pt | WSRegisterClass
pt | SetParent
pt | SetName
pt | Loaded
pt | DoPositionLabel
pt | Notification
pt | CMBiDiModeChanged
pt | CMVisibleChanged
pt | CMEnabledChanged
pt | CreateInternalLabel
 | Create
TCustomEdit
pt | WSRegisterClass
pt | CanShowEmulatedTextHint
pt | CreateEmulatedTextHintFont
pt | CalculatePreferredSize
pt | CreateParams
pt | InitializeWnd
pt | TextChanged
pt | FontChanged
pt | Change
pt | DoEnter
pt | DoExit
pt | EditingDone
pt | GetCaretPos
pt | GetNumbersOnly
pt | GetReadOnly
pt | GetSelLength
pt | GetSelStart
pt | GetSelText
pt | GetTextHint
pt | SetCaretPos
pt | SetEchoMode
pt | SetNumbersOnly
pt | SetReadOnly
pt | SetSelLength
pt | SetSelStart
pt | SetSelText
pt | SetTextHint
pt | ChildClassAllowed
pt | GetControlClassDefaultSize
pt | MouseUp
pt | RealSetText
pt | RealGetText
pt | KeyUpAfterInterface
pt | WMChar
pt | CMWantSpecialKey
pt | WndProc
pt | ShouldAutoAdjust
pt | WMSetFocus
pt | WMKillFocus
 | Create
 | Destroy
 | Clear
 | SelectAll
 | ClearSelection
 | CopyToClipboard
 | CutToClipboard
 | PasteFromClipboard
 | Undo
 | RemoveAllHandlersOfObject
 | AddHandlerOnChange
 | RemoveHandlerOnChange
TWinControl
pt | WSRegisterClass
pt | AdjustClientRect
pt | GetAdjustedLogicalClientRect
pt | AlignControls
pt | CustomAlignInsertBefore
pt | CustomAlignPosition
pt | DoAlignChildControls
pt | DoChildSizingChange
pt | InvalidatePreferredChildSizes
pt | CanTab
pt | IsClientHeightStored
pt | IsClientWidthStored
pt | DoSendShowHideToInterface
pt | ControlsAligned
pt | DoSendBoundsToInterface
pt | RealizeBounds
pt | RealizeBoundsRecursive
pt | InvalidateBoundsRealized
pt | CreateSubClass
pt | DoConstraintsChange
pt | DoSetBounds
pt | DoAutoSize
pt | DoAllAutoSize
pt | AllAutoSized
pt | CalculatePreferredSize
pt | GetPreferredSizeClientFrame
pt | GetChildren
pt | ChildClassAllowed
pt | PaintControls
pt | PaintHandler
pt | PaintWindow
pt | CreateBrush
pt | ScaleControls
pt | ChangeScale
pt | CMBiDiModeChanged
pt | CMBorderChanged
pt | CMDoubleBufferedChanged
pt | CMEnabledChanged
pt | CMParentDoubleBufferedChanged
pt | CMShowingChanged
pt | CMShowHintChanged
pt | CMVisibleChanged
pt | CMEnter
pt | CMExit
pt | WMContextMenu
pt | WMEraseBkgnd
pt | WMNotify
pt | WMSetFocus
pt | WMKillFocus
pt | WMShowWindow
pt | WMEnter
pt | WMExit
pt | WMKeyDown
pt | WMSysKeyDown
pt | WMKeyUp
pt | WMSysKeyUp
pt | WMChar
pt | WMSysChar
pt | WMPaint
pt | WMDestroy
pt | WMMove
pt | WMSize
pt | WMWindowPosChanged
pt | CNKeyDown
pt | CNSysKeyDown
pt | CNKeyUp
pt | CNSysKeyUp
pt | CNChar
pt | DoDragMsg
pt | DoDockClientMsg
pt | DoUndockClientMsg
pt | DoAddDockClient
pt | DockOver
pt | DoDockOver
pt | DoRemoveDockClient
pt | DoUnDock
pt | GetSiteInfo
pt | GetParentHandle
pt | GetTopParentHandle
pt | ReloadDockedControl
pt | CreateDockManager
pt | SetDockManager
pt | DoFloatMsg
pt | DoGetDockCaption
pt | DoEnter
pt | DoExit
pt | DoKeyDownBeforeInterface
pt | DoRemainingKeyDown
pt | DoRemainingKeyUp
pt | DoKeyPress
pt | DoUTF8KeyPress
pt | DoKeyUpBeforeInterface
pt | ChildKey
pt | SendDialogChar
pt | DialogChar
pt | ControlKeyDown
pt | ControlKeyUp
pt | KeyDown
pt | KeyDownBeforeInterface
pt | KeyDownAfterInterface
pt | KeyPress
pt | KeyUp
pt | KeyUpBeforeInterface
pt | KeyUpAfterInterface
pt | UTF8KeyPress
pt | FindNextControl
pt | SelectFirst
pt | RealGetText
pt | GetBorderStyle
pt | GetClientOrigin
pt | GetClientRect
pt | GetControlOrigin
pt | GetDeviceContext
pt | GetParentBackground
pt | IsControlMouseMsg
pt | CreateHandle
pt | CreateParams
pt | CreateWnd
pt | DestroyHandle
pt | DestroyWnd
pt | DoFlipChildren
pt | FinalizeWnd
pt | FixupTabList
pt | FontChanged
pt | InitializeWnd
pt | Loaded
pt | FormEndUpdated
pt | MainWndProc
pt | ParentFormHandleInitialized
pt | ChildHandlesCreated
pt | GetMouseCapture
pt | RealSetText
pt | RemoveFocus
pt | SendMoveSizeMessages
pt | SetBorderStyle
pt | SetColor
pt | SetChildZPosition
pt | SetParentBackground
pt | ShowControl
pt | UpdateControlState
pt | UpdateShowing
pt | WndProc
pt | WSSetText
 | AutoSizePhases
 | AutoSizeDelayed
 | AutoSizeDelayedReport
 | AutoSizeDelayedHandle
 | BeginUpdateBounds
 | EndUpdateBounds
 | LockRealizeBounds
 | UnlockRealizeBounds
 | ControlAtPos
 | ContainsControl
 | DoAdjustClientRectChange
 | InvalidateClientRectCache
 | ClientRectNeedsInterfaceUpdate
 | SetBounds
 | GetChildrenRect
 | DisableAlign
 | EnableAlign
 | ReAlign
 | ScrollBy_WS
 | ScrollBy
 | WriteLayoutDebugReport
 | AutoAdjustLayout
 | Create
 | CreateParented
 | CreateParentedControl
 | Destroy
 | DockDrop
 | CanFocus
 | CanSetFocus
 | GetControlIndex
 | SetControlIndex
 | Focused
 | PerformTab
 | FindChildControl
 | SelectNext
 | SetTempCursor
 | BroadCast
 | NotifyControls
 | DefaultHandler
 | GetTextLen
 | Invalidate
 | AddControl
 | InsertControl
 | RemoveControl
 | GetEnumeratorControls
 | GetEnumeratorControlsReverse
 | Repaint
 | Update
 | SetFocus
 | FlipChildren
 | ScaleBy
 | GetDockCaption
 | UpdateDockCaption
 | GetTabOrderList
 | HandleAllocated
 | ParentHandlesAllocated
 | HandleNeeded
 | BrushCreated
 | EraseBackground
 | IntfUTF8KeyPress
 | IntfGetDropFilesTarget
 | PaintTo
 | SetShape
TControl
pt | WSRegisterClass
pt | GetCursor
pt | SetCursor
pt | SetVisible
pt | DoOnParentHandleDestruction
pt | DoAutoSize
pt | DoAllAutoSize
pt | BeginAutoSizing
pt | EndAutoSizing
pt | AnchorSideChanged
pt | ForeignAnchorSideChanged
pt | SetAlign
pt | SetAnchors
pt | SetAutoSize
pt | BoundsChanged
pt | CreateControlBorderSpacing
pt | DoConstraintsChange
pt | DoBorderSpacingChange
pt | IsBorderSpacingInnerBorderStored
pt | IsCaptionStored
pt | SendMoveSizeMessages
pt | ConstrainedResize
pt | CalculatePreferredSize
pt | DoOnResize
pt | DoOnChangeBounds
pt | CheckOnChangeBounds
pt | Resize
pt | RequestAlign
pt | UpdateAnchorRules
pt | ChangeBounds
pt | DoSetBounds
pt | ScaleConstraints
pt | ChangeScale
pt | CanAutoSize
pt | SetBiDiMode
pt | SetParentBiDiMode
pt | IsAParentAligning
pt | GetClientOrigin
pt | GetClientRect
pt | GetLogicalClientRect
pt | GetScrolledClientRect
pt | GetClientScrollOffset
pt | GetControlOrigin
pt | IsClientHeightStored
pt | IsClientWidthStored
pt | WidthIsAnchored
pt | HeightIsAnchored
pt | WMCancelMode
pt | WMContextMenu
pt | WMLButtonDown
pt | WMRButtonDown
pt | WMMButtonDown
pt | WMXButtonDown
pt | WMLButtonDBLCLK
pt | WMRButtonDBLCLK
pt | WMMButtonDBLCLK
pt | WMXButtonDBLCLK
pt | WMLButtonTripleCLK
pt | WMRButtonTripleCLK
pt | WMMButtonTripleCLK
pt | WMXButtonTripleCLK
pt | WMLButtonQuadCLK
pt | WMRButtonQuadCLK
pt | WMMButtonQuadCLK
pt | WMXButtonQuadCLK
pt | WMMouseMove
pt | WMLButtonUp
pt | WMRButtonUp
pt | WMMButtonUp
pt | WMXButtonUp
pt | WMMouseWheel
pt | WMMouseHWheel
pt | WMMove
pt | WMSize
pt | WMWindowPosChanged
pt | CMChanged
pt | LMCaptureChanged
pt | CMBiDiModeChanged
pt | CMSysFontChanged
pt | CMEnabledChanged
pt | CMHitTest
pt | CMMouseEnter
pt | CMMouseLeave
pt | CMHintShow
pt | CMParentBiDiModeChanged
pt | CMParentColorChanged
pt | CMParentFontChanged
pt | CMParentShowHintChanged
pt | CMVisibleChanged
pt | CMTextChanged
pt | CMCursorChanged
pt | CalculateDockSizes
pt | CreateFloatingDockSite
pt | GetDockEdge
pt | GetDragImages
pt | GetFloating
pt | GetFloatingDockSiteClass
pt | BeforeDragStart
pt | BeginAutoDrag
pt | DoFloatMsg
pt | DockTrackNoTarget
pt | DoDock
pt | DoDragMsg
pt | DoEndDock
pt | DoEndDrag
pt | DoStartDock
pt | DoStartDrag
pt | DragCanceled
pt | DragOver
pt | PositionDockRect
pt | SetDragMode
pt | GetDefaultDockCaption
pt | Click
pt | DblClick
pt | TripleClick
pt | QuadClick
pt | GetMousePosFromMessage
pt | MouseDown
pt | MouseMove
pt | MouseUp
pt | MouseEnter
pt | MouseLeave
pt | DialogChar
pt | UpdateMouseCursor
pt | Changed
pt | GetPalette
pt | ChildClassAllowed
pt | ReadState
pt | Loaded
pt | LoadedAll
pt | DefineProperties
pt | AssignTo
pt | FormEndUpdated
pt | InvalidateControl
pt | FontChanged
pt | ParentFontChanged
pt | GetAction
pt | RealGetText
pt | RealSetText
pt | TextChanged
pt | GetCachedText
pt | SetAction
pt | SetColor
pt | SetEnabled
pt | SetHint
pt | SetName
pt | SetParent
pt | SetParentComponent
pt | WndProc
pt | ParentFormHandleInitialized
pt | GetMouseCapture
pt | CaptureChanged
pt | Notification
pt | CanTab
pt | GetDeviceContext
pt | GetEnabled
pt | GetPopupMenu
pt | DoOnShowHint
pt | DoMouseWheel
pt | DoMouseWheelDown
pt | DoMouseWheelUp
pt | DoMouseWheelHorz
pt | DoMouseWheelLeft
pt | DoMouseWheelRight
pt | VisibleChanging
pt | VisibleChanged
pt | EnabledChanging
pt | EnabledChanged
pt | AddHandler
pt | RemoveHandler
pt | DoCallNotifyHandler
pt | DoCallKeyEventHandler
pt | DoCallMouseWheelEventHandler
pt | DoContextPopup
pt | SetZOrder
pt | GetControlClassDefaultSize
pt | ColorIsStored
pt | DoAutoAdjustLayout
pt | DoFixDesignFontPPI
pt | DoScaleFontPPI
pt | GetActionLinkClass
pt | ActionChange
 | DragDrop
 | Dock
 | ManualDock
 | ManualFloat
 | ReplaceDockedControl
 | Docked
 | Dragging
 | GetAccessibleObject
 | CreateAccessibleObject
 | GetSelectedChildAccessibleObject
 | GetChildAccessibleObjectAtPos
 | ScaleDesignToForm
 | ScaleFormToDesign
 | Scale96ToForm
 | ScaleFormTo96
 | Scale96ToFont
 | ScaleFontTo96
 | ScaleScreenToFont
 | ScaleFontToScreen
 | Scale96ToScreen
 | ScaleScreenTo96
 | AdjustSize
 | AutoSizePhases
 | AutoSizeDelayed
 | AutoSizeDelayedReport
 | AutoSizeDelayedHandle
 | AnchorToNeighbour
 | AnchorParallel
 | AnchorHorizontalCenterTo
 | AnchorVerticalCenterTo
 | AnchorToCompanion
 | AnchorSame
 | AnchorAsAlign
 | AnchorClient
 | AnchoredControlCount
 | SetBounds
 | SetInitialBounds
 | SetBoundsKeepBase
 | GetPreferredSize
 | GetCanvasScaleFactor
 | GetDefaultWidth
 | GetDefaultHeight
 | GetDefaultColor
 | GetColorResolvingParent
 | GetRGBColorResolvingParent
 | GetSidePosition
 | CNPreferredSizeChanged
 | InvalidatePreferredSize
 | GetAnchorsDependingOnParent
 | DisableAutoSizing
 | EnableAutoSizing
 | UpdateBaseBounds
 | WriteLayoutDebugReport
 | AutoAdjustLayout
 | ShouldAutoAdjust
 | FixDesignFontsPPI
 | ScaleFontsPPI
 | Create
 | Destroy
 | BeforeDestruction
 | EditingDone
 | ExecuteDefaultAction
 | ExecuteCancelAction
 | BeginDrag
 | EndDrag
 | BringToFront
 | HasParent
 | GetParentComponent
 | IsParentOf
 | GetTopParent
 | IsVisible
 | IsControlVisible
 | IsEnabled
 | IsParentColor
 | IsParentFont
 | FormIsUpdating
 | IsProcessingPaintMsg
 | Hide
 | Refresh
 | Repaint
 | Invalidate
 | CheckChildClassAllowed
 | CheckNewParent
 | SendToBack
 | SetTempCursor
 | UpdateRolesForForm
 | ActiveDefaultControlChanged
 | GetTextBuf
 | GetTextLen
 | SetTextBuf
 | Perform
 | ScreenToClient
 | ClientToScreen
 | ScreenToControl
 | ControlToScreen
 | ClientToParent
 | ParentToClient
 | GetChildrenRect
 | Show
 | Update
 | HandleObjectShouldBeVisible
 | ParentDestroyingHandle
 | ParentHandlesAllocated
 | InitiateAction
 | ShowHelp
 | HasHelp
 | RemoveAllHandlersOfObject
 | AddHandlerOnResize
 | RemoveHandlerOnResize
 | AddHandlerOnChangeBounds
 | RemoveHandlerOnChangeBounds
 | AddHandlerOnVisibleChanging
 | RemoveHandlerOnVisibleChanging
 | AddHandlerOnVisibleChanged
 | RemoveHandlerOnVisibleChanged
 | AddHandlerOnEnabledChanged
 | RemoveHandlerOnEnableChanging
 | AddHandlerOnKeyDown
 | RemoveHandlerOnKeyDown
 | AddHandlerOnBeforeDestruction
 | RemoveHandlerOnBeforeDestruction
 | AddHandlerOnMouseWheel
 | RemoveHandlerOnMouseWheel
 | UseRightToLeftAlignment
 | UseRightToLeftReading
 | UseRightToLeftScrollBar
 | IsRightToLeft
TLCLComponent
pt | WSRegisterClass
pt | GetWSComponentClass
 | Create
 | Destroy
 | NewInstance
 | RemoveAllHandlersOfObject
 | IncLCLRefCount
 | DecLCLRefCount
TComponent
 | GetComObject
 | GetComponent
 | GetComponentCount
 | GetComponentIndex
 | Insert
 | ReadLeft
 | ReadTop
 | Remove
 | RemoveNotification
 | SetComponentIndex
 | SetReference
 | WriteLeft
 | WriteTop
 | ChangeName
 | DefineProperties
 | GetChildren
 | GetChildOwner
 | GetChildParent
 | GetOwner
 | Loaded
 | Loading
 | Notification
 | PaletteCreated
 | ReadState
 | SetAncestor
 | SetDesigning
 | SetDesignInstance
 | SetInline
 | SetName
 | SetChildOrder
 | SetParentComponent
 | Updating
 | Updated
 | UpdateRegistry
 | ValidateRename
 | ValidateContainer
 | ValidateInsert
 | QueryInterface
 | _AddRef
 | _Release
 | iicrGetComponent
 | GetTypeInfoCount
 | GetTypeInfo
 | GetIDsOfNames
 | Invoke
 | WriteState
 | Create
 | Destroy
 | BeforeDestruction
 | DestroyComponents
 | Destroying
 | ExecuteAction
 | FindComponent
 | FreeNotification
 | RemoveFreeNotification
 | FreeOnRelease
 | GetEnumerator
 | GetNamePath
 | GetParentComponent
 | HasParent
 | InsertComponent
 | RemoveComponent
 | SafeCallException
 | SetSubComponent
 | UpdateAction
 | IsImplementorOf
 | ReferenceInterface
TPersistent
 | AssignError
 | AssignTo
 | DefineProperties
 | GetOwner
 | Destroy
 | Assign
 | FPOAttachObserver
 | FPODetachObserver
 | FPONotifyObservers
 | GetNamePath
TObject
 | Create
 | Destroy
 | newinstance
 | FreeInstance
 | SafeCallException
 | DefaultHandler
 | Free
 | InitInstance
 | CleanupInstance
 | ClassType
 | ClassInfo
 | ClassName
 | ClassNameIs
 | ClassParent
 | InstanceSize
 | InheritsFrom
 | StringMessageTable
 | MethodAddress
 | MethodName
 | FieldAddress
 | AfterConstruction
 | BeforeDestruction
 | DefaultHandlerStr
 | Dispatch
 | DispatchStr
 | GetInterface
 | GetInterfaceByStr
 | GetInterfaceWeak
 | GetInterfaceEntry
 | GetInterfaceEntryByStr
 | GetInterfaceTable
 | UnitName
 | Equals
 | GetHashCode
 | ToString


TLabeledEdit
pl | ro | OnChange
pl | ro | OnClick
pl | ro | OnDblClick
pl | ro | OnDragDrop
pl | ro | OnDragOver
pl | ro | OnEditingDone
pl | ro | OnEndDrag
pl | ro | OnEnter
pl | ro | OnExit
pl | ro | OnKeyDown
pl | ro | OnKeyPress
pl | ro | OnKeyUp
pl | ro | OnMouseDown
pl | ro | OnMouseEnter
pl | ro | OnMouseLeave
pl | ro | OnMouseMove
pl | ro | OnMouseUp
pl | ro | OnMouseWheel
pl | ro | OnMouseWheelDown
pl | ro | OnMouseWheelUp
pl | ro | OnStartDrag
pl | ro | OnUTF8KeyPress
TCustomLabeledEdit
TCustomEdit
 |  | OnChange
TWinControl
pt |  | OnGetSiteInfo
pt |  | OnGetDockCaption
 |  | OnAlignInsertBefore
 |  | OnAlignPosition
 |  | OnDockDrop
 |  | OnDockOver
 |  | OnEnter
 |  | OnExit
 |  | OnKeyDown
 |  | OnKeyPress
 |  | OnKeyUp
 |  | OnUnDock
 |  | OnUTF8KeyPress
TControl
pt |  | OnConstrainedResize
pt |  | OnContextPopup
pt |  | OnDblClick
pt |  | OnTripleClick
pt |  | OnQuadClick
pt |  | OnDragDrop
pt |  | OnDragOver
pt |  | OnEndDock
pt |  | OnEndDrag
pt |  | OnMouseDown
pt |  | OnMouseMove
pt |  | OnMouseUp
pt |  | OnMouseEnter
pt |  | OnMouseLeave
pt |  | OnMouseWheel
pt |  | OnMouseWheelDown
pt |  | OnMouseWheelUp
pt |  | OnMouseWheelHorz
pt |  | OnMouseWheelLeft
pt |  | OnMouseWheelRight
pt |  | OnStartDock
pt |  | OnStartDrag
pt |  | OnEditingDone
 |  | OnChangeBounds
 |  | OnClick
 |  | OnResize
 |  | OnShowHint
TLCLComponent
TComponent
TPersistent
TObject


pl | ro | OnChange (TLabeledEdit)
 |  | OnChangeBounds (TControl)
 |  | OnClick (TControl)
pl | ro | OnClick (TLabeledEdit)
pt |  | OnConstrainedResize (TControl)
pt |  | OnContextPopup (TControl)
pt |  | OnDblClick (TControl)
pl | ro | OnDblClick (TLabeledEdit)
 |  | OnDockDrop (TWinControl)
 |  | OnDockOver (TWinControl)
pt |  | OnDragDrop (TControl)
pl | ro | OnDragDrop (TLabeledEdit)
pt |  | OnDragOver (TControl)
pl | ro | OnDragOver (TLabeledEdit)
pt |  | OnEditingDone (TControl)
pl | ro | OnEditingDone (TLabeledEdit)
pt |  | OnEndDock (TControl)
pt |  | OnEndDrag (TControl)
pl | ro | OnEndDrag (TLabeledEdit)
 |  | OnEnter (TWinControl)
pl | ro | OnEnter (TLabeledEdit)
 |  | OnExit (TWinControl)
pl | ro | OnExit (TLabeledEdit)
pt |  | OnGetDockCaption (TWinControl)
pt |  | OnGetSiteInfo (TWinControl)
 |  | OnKeyDown (TWinControl)
pl | ro | OnKeyDown (TLabeledEdit)
 |  | OnKeyPress (TWinControl)
pl | ro | OnKeyPress (TLabeledEdit)
 |  | OnKeyUp (TWinControl)
pl | ro | OnKeyUp (TLabeledEdit)
pt |  | OnMouseDown (TControl)
pl | ro | OnMouseDown (TLabeledEdit)
pt |  | OnMouseEnter (TControl)
pl | ro | OnMouseEnter (TLabeledEdit)
pt |  | OnMouseLeave (TControl)
pl | ro | OnMouseLeave (TLabeledEdit)
pt |  | OnMouseMove (TControl)
pl | ro | OnMouseMove (TLabeledEdit)
pt |  | OnMouseUp (TControl)
pl | ro | OnMouseUp (TLabeledEdit)
pt |  | OnMouseWheel (TControl)
pl | ro | OnMouseWheel (TLabeledEdit)
pt |  | OnMouseWheelDown (TControl)
pl | ro | OnMouseWheelDown (TLabeledEdit)
pt |  | OnMouseWheelHorz (TControl)
pt |  | OnMouseWheelLeft (TControl)
pt |  | OnMouseWheelRight (TControl)
pt |  | OnMouseWheelUp (TControl)
pl | ro | OnMouseWheelUp (TLabeledEdit)
pt |  | OnQuadClick (TControl)
 |  | OnResize (TControl)
 |  | OnShowHint (TControl)
pt |  | OnStartDock (TControl)
pt |  | OnStartDrag (TControl)
pl | ro | OnStartDrag (TLabeledEdit)
pt |  | OnTripleClick (TControl)
 |  | OnUnDock (TWinControl)
 |  | OnUTF8KeyPress (TWinControl)
pl | ro | OnUTF8KeyPress (TLabeledEdit)


TLabeledEdit.Alignment

Declaration

Source position: extctrls.pp line 991

published property TLabeledEdit.Alignment : TAlignment;


TLabeledEdit.BidiMode

Declaration

Source position: extctrls.pp line 995

published property TLabeledEdit.BidiMode : TBiDiMode;


TLabeledEdit.BorderStyle

Declaration

Source position: extctrls.pp line 997

published property TLabeledEdit.BorderStyle : TBorderStyle;


TLabeledEdit.DoubleBuffered

Declaration

Source position: extctrls.pp line 1001

published property TLabeledEdit.DoubleBuffered : Boolean;


TLabeledEdit.Font

Declaration

Source position: extctrls.pp line 1007

published property TLabeledEdit.Font : TFont;


TLabeledEdit.OnEditingDone

Declaration

Source position: extctrls.pp line 1030

published property TLabeledEdit.OnEditingDone : TNotifyEvent;


TLabeledEdit.OnMouseEnter

Declaration

Source position: extctrls.pp line 1038

published property TLabeledEdit.OnMouseEnter : TNotifyEvent;


TLabeledEdit.OnMouseLeave

Declaration

Source position: extctrls.pp line 1039

published property TLabeledEdit.OnMouseLeave : TNotifyEvent;


TLabeledEdit.OnMouseWheel

Declaration

Source position: extctrls.pp line 1042

published property TLabeledEdit.OnMouseWheel : TMouseWheelEvent;


TLabeledEdit.OnMouseWheelDown

Declaration

Source position: extctrls.pp line 1043

published property TLabeledEdit.OnMouseWheelDown : TMouseWheelUpDownEvent;


TLabeledEdit.OnMouseWheelUp

Declaration

Source position: extctrls.pp line 1044

published property TLabeledEdit.OnMouseWheelUp : TMouseWheelUpDownEvent;


TLabeledEdit.ParentBidiMode

Declaration

Source position: extctrls.pp line 1011

published property TLabeledEdit.ParentBidiMode : Boolean;


TLabeledEdit.ParentDoubleBuffered

Declaration

Source position: extctrls.pp line 1013

published property TLabeledEdit.ParentDoubleBuffered : Boolean;


TLabeledEdit.TextHint

Declaration

Source position: extctrls.pp line 1023

published property TLabeledEdit.TextHint : TTranslateString;


TNotebook

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

TNotebook is a container for a series of pages placed together

Declaration

Source position: extctrls.pp line 118

type TNotebook = class(TCustomControl)
public
constructor Create(); override; |
destructor Destroy; override;
procedure ShowControl(); override;
function IndexOf();
property ActivePage: string; [r] |
property ActivePageComponent: TPage; [r] |
property Page []: TPage; [r] |
property PageCount: Integer; [r]
published
property PageIndex: Integer; [rw] |
property Pages: TStrings; [rws] |
property Align: TAlign; | Specifies the placement of the control inside its Parent.
property AutoSize: Boolean;
property Anchors: TAnchors; | The set of anchor definitions for this control.
property BiDiMode: TBiDiMode;
property BorderSpacing: TControlBorderSpacing; | Determines the inner and outer border spacing for this control.
property Color: TColor;
property Constraints: TSizeConstraints; | The minimal and maximal Width and Height of this control.
property DragCursor: TCursor; | The cursor shape shown while the control is dragged.
property DragMode: TDragMode; | Allows the user to drag the control.
property Enabled: Boolean; | Determines whether the control reacts on mouse or keyboard input.
property OnChangeBounds: TNotifyEvent; | Event handler for a change of the Bounds of the control.
property OnContextPopup: TContextPopupEvent; | Invoked when a context-sensitive pop-up menu is requested.
property OnDragDrop: TDragDropEvent; | This handler determines the action on an drop onto this control, in a drag-drop operation.
property OnDragOver: TDragOverEvent; | Event handler for a control being dragged over this control.
property OnEndDrag: TEndDragEvent; | Notification handler for the end of a dragging operation.
property OnEnter: TNotifyEvent; | Handler for control receiving the focus.
property OnExit: TNotifyEvent; | Handler for control loosing the focus. This is a good place for checking the finished user input.
property OnMouseDown: TMouseEvent; | Event handler for mouse button going down.
property OnMouseEnter: TNotifyEvent;
property OnMouseLeave: TNotifyEvent;
property OnMouseMove: TMouseMoveEvent; |
property OnMouseUp: TMouseEvent; | Event handler for mouse button going up.
property OnMouseWheel: TMouseWheelEvent;
property OnMouseWheelDown: TMouseWheelUpDownEvent;
property OnMouseWheelUp: TMouseWheelUpDownEvent;
property OnResize: TNotifyEvent; | Notification handler for a resize of the control.
property OnStartDrag: TStartDragEvent; | Event handler for the start of a dragging operation.
property ParentBiDiMode: Boolean;
property PopupMenu: TPopupMenu; | A context-sensitive menu that pops up when the right mouse button is clicked over this control
property TabOrder: TTabOrder; | Determines the sequence of controls, reachable when the user presses the Tab key.
property TabStop: Boolean; |
end;

Inheritance

TNotebook | TNotebook is a container for a series of pages placed together
|
TCustomControl | The base class for windowed controls which paint themselves.
|
TWinControl | The base class for controls which can contain other (child) controls.
|
TControl | The base class for visible controls.
|
TLCLComponent | The base class for LCL components associated with widgets.
|
TComponent,IUnknown,IInterfaceComponentReference
|
TPersistent,IFPObserved
|
TObject

Description

TNotebook is a control which can hold a series of pages placed together. Only one page is shown at a time and this control is completely custom drawn, which means that it is available and looks the same in any widgetset which supports TCustomControl. The pages are containers which can hold controls. This control never has tabs. If you are looking for a control with tabs and pages, please see TPageControl instead.

To use a Notebook, select its icon from the 'Additional' tab of the Component Palette and place it on the Form. Adjust its size, position, alignment and anchoring as required, by moving the object on the Form or by using the Object Inspector.

Pages are added to the NoteBook by selecting the control and right-clicking with the mouse to get a pop-up menu whose first item is 'Add Page'. Pages already in the NoteBook can be edited by selecting the appropriate ActivePage in the Object Inspector and modifying its properties or adding additional components to that Page.

See also

#lcl.StdCtrls.HowToUseStdCtrls | How to use StdCtrls, ComCtrls or ExtCtrls
#lcl.ExtCtrls.TPage | TPage: One of the pages in a tabbed Notebook
#lcl.ExtCtrls.Multi-PageControls | Multi-PageControls - controls that offer a selection of alternative pages for display


TNotebook
 | ro | ActivePage
 | ro | ActivePageComponent
 | ro | Page
 | ro | PageCount
pl |  | PageIndex
pl |  | Pages
pl | ro | Align
pl | ro | AutoSize
pl | ro | Anchors
pl | ro | BiDiMode
pl | ro | BorderSpacing
pl | ro | Color
pl | ro | Constraints
pl | ro | DragCursor
pl | ro | DragMode
pl | ro | Enabled
pl | ro | ParentBiDiMode
pl | ro | PopupMenu
pl | ro | TabOrder
pl | ro | TabStop
TCustomControl
 |  | Canvas
 | ro | BorderStyle
TWinControl
pt |  | WindowHandle
pt |  | BorderStyle
pt |  | ParentBackground
 |  | BorderWidth
 | ro | BoundsLockCount
 | ro | Brush
 | ro | CachedClientHeight
 | ro | CachedClientWidth
 |  | ChildSizing
 | ro | ControlCount
 | ro | Controls
 |  | DefWndProc
 | ro | DockClientCount
 | ro | DockClients
 |  | DockManager
 |  | DockSite
 |  | DoubleBuffered
 |  | Handle
 | ro | IsFlipped
 | ro | IsResizing
 |  | TabOrder
 |  | TabStop
 |  | ParentDoubleBuffered
 |  | ParentWindow
 | ro | Showing
 |  | UseDockManager
 |  | DesignerDeleting
 | ro | VisibleDockClientCount
TControl
pt | ro | AutoSizing
pt | ro | AutoSizingAll
pt | ro | AutoSizingLockCount
pt |  | ActionLink
pt |  | DesktopFont
pt |  | DragCursor
pt |  | DragKind
pt |  | DragMode
pt |  | MouseCapture
pt |  | ParentColor
pt |  | ParentFont
pt |  | ParentShowHint
pt |  | SessionProperties
pt |  | Text
 | ro | AnchoredControls
 | ro | BaseBounds
 | ro | ReadBounds
 | ro | BaseParentClientSize
 |  | AccessibleDescription
 |  | AccessibleValue
 |  | AccessibleRole
 |  | Action
 |  | Align
 |  | Anchors
 | ro | AnchorSide
 |  | AutoSize
 |  | BorderSpacing
 |  | BoundsRect
 |  | BoundsRectForNewParent
 |  | Caption
 |  | CaptureMouseButtons
 |  | ClientHeight
 | ro | ClientOrigin
 | ro | ClientRect
 |  | ClientWidth
 |  | Color
 |  | Constraints
 | ro | ControlOrigin
 |  | ControlState
 |  | ControlStyle
 |  | Enabled
 |  | Font
 |  | IsControl
 | ro | MouseEntered
 | ro | MouseInClient
 |  | Parent
 |  | PopupMenu
 |  | ShowHint
 |  | Visible
 |  | WindowProc
 |  | DockOrientation
 | ro | Floating
 |  | FloatingDockSiteClass
 |  | HostDockSite
 |  | LRDockWidth
 |  | TBDockHeight
 |  | UndockHeight
 |  | UndockWidth
 |  | BiDiMode
 |  | ParentBiDiMode
pl |  | AnchorSideLeft
pl |  | AnchorSideTop
pl |  | AnchorSideRight
pl |  | AnchorSideBottom
pl |  | Cursor
pl |  | Left
pl |  | Height
pl |  | Hint
pl |  | Top
pl |  | Width
pl |  | HelpType
pl |  | HelpKeyword
pl |  | HelpContext
TLCLComponent
 | ro | LCLRefCount
 | ro | WidgetSetClass
TComponent
 | ro | ComObject
 | ro | Components
 | ro | ComponentCount
 |  | ComponentIndex
 | ro | ComponentState
 | ro | ComponentStyle
 |  | DesignInfo
 | ro | Owner
 |  | VCLComObject
 |  | Name
 |  | Tag
TPersistent
TObject


 |  | AccessibleDescription (TControl)
 |  | AccessibleRole (TControl)
 |  | AccessibleValue (TControl)
 |  | Action (TControl)
pt |  | ActionLink (TControl)
 | ro | ActivePage (TNotebook)
 | ro | ActivePageComponent (TNotebook)
 |  | Align (TControl)
pl | ro | Align (TNotebook)
 | ro | AnchoredControls (TControl)
 |  | Anchors (TControl)
pl | ro | Anchors (TNotebook)
 | ro | AnchorSide (TControl)
pl |  | AnchorSideBottom (TControl)
pl |  | AnchorSideLeft (TControl)
pl |  | AnchorSideRight (TControl)
pl |  | AnchorSideTop (TControl)
 |  | AutoSize (TControl)
pl | ro | AutoSize (TNotebook)
pt | ro | AutoSizing (TControl)
pt | ro | AutoSizingAll (TControl)
pt | ro | AutoSizingLockCount (TControl)
 | ro | BaseBounds (TControl)
 | ro | BaseParentClientSize (TControl)
 |  | BiDiMode (TControl)
pl | ro | BiDiMode (TNotebook)
 |  | BorderSpacing (TControl)
pl | ro | BorderSpacing (TNotebook)
pt |  | BorderStyle (TWinControl)
 | ro | BorderStyle (TCustomControl)
 |  | BorderWidth (TWinControl)
 | ro | BoundsLockCount (TWinControl)
 |  | BoundsRect (TControl)
 |  | BoundsRectForNewParent (TControl)
 | ro | Brush (TWinControl)
 | ro | CachedClientHeight (TWinControl)
 | ro | CachedClientWidth (TWinControl)
 |  | Canvas (TCustomControl)
 |  | Caption (TControl)
 |  | CaptureMouseButtons (TControl)
 |  | ChildSizing (TWinControl)
 |  | ClientHeight (TControl)
 | ro | ClientOrigin (TControl)
 | ro | ClientRect (TControl)
 |  | ClientWidth (TControl)
 |  | Color (TControl)
pl | ro | Color (TNotebook)
 | ro | ComObject (TComponent)
 | ro | ComponentCount (TComponent)
 |  | ComponentIndex (TComponent)
 | ro | Components (TComponent)
 | ro | ComponentState (TComponent)
 | ro | ComponentStyle (TComponent)
 |  | Constraints (TControl)
pl | ro | Constraints (TNotebook)
 | ro | ControlCount (TWinControl)
 | ro | ControlOrigin (TControl)
 | ro | Controls (TWinControl)
 |  | ControlState (TControl)
 |  | ControlStyle (TControl)
pl |  | Cursor (TControl)
 |  | DefWndProc (TWinControl)
 |  | DesignerDeleting (TWinControl)
 |  | DesignInfo (TComponent)
pt |  | DesktopFont (TControl)
 | ro | DockClientCount (TWinControl)
 | ro | DockClients (TWinControl)
 |  | DockManager (TWinControl)
 |  | DockOrientation (TControl)
 |  | DockSite (TWinControl)
 |  | DoubleBuffered (TWinControl)
pt |  | DragCursor (TControl)
pl | ro | DragCursor (TNotebook)
pt |  | DragKind (TControl)
pt |  | DragMode (TControl)
pl | ro | DragMode (TNotebook)
 |  | Enabled (TControl)
pl | ro | Enabled (TNotebook)
 | ro | Floating (TControl)
 |  | FloatingDockSiteClass (TControl)
 |  | Font (TControl)
 |  | Handle (TWinControl)
pl |  | Height (TControl)
pl |  | HelpContext (TControl)
pl |  | HelpKeyword (TControl)
pl |  | HelpType (TControl)
pl |  | Hint (TControl)
 |  | HostDockSite (TControl)
 |  | IsControl (TControl)
 | ro | IsFlipped (TWinControl)
 | ro | IsResizing (TWinControl)
 | ro | LCLRefCount (TLCLComponent)
pl |  | Left (TControl)
 |  | LRDockWidth (TControl)
pt |  | MouseCapture (TControl)
 | ro | MouseEntered (TControl)
 | ro | MouseInClient (TControl)
 |  | Name (TComponent)
 | ro | Owner (TComponent)
 | ro | Page (TNotebook)
 | ro | PageCount (TNotebook)
pl |  | PageIndex (TNotebook)
pl |  | Pages (TNotebook)
 |  | Parent (TControl)
pt |  | ParentBackground (TWinControl)
 |  | ParentBiDiMode (TControl)
pl | ro | ParentBiDiMode (TNotebook)
pt |  | ParentColor (TControl)
 |  | ParentDoubleBuffered (TWinControl)
pt |  | ParentFont (TControl)
pt |  | ParentShowHint (TControl)
 |  | ParentWindow (TWinControl)
 |  | PopupMenu (TControl)
pl | ro | PopupMenu (TNotebook)
 | ro | ReadBounds (TControl)
pt |  | SessionProperties (TControl)
 |  | ShowHint (TControl)
 | ro | Showing (TWinControl)
 |  | TabOrder (TWinControl)
pl | ro | TabOrder (TNotebook)
 |  | TabStop (TWinControl)
pl | ro | TabStop (TNotebook)
 |  | Tag (TComponent)
 |  | TBDockHeight (TControl)
pt |  | Text (TControl)
pl |  | Top (TControl)
 |  | UndockHeight (TControl)
 |  | UndockWidth (TControl)
 |  | UseDockManager (TWinControl)
 |  | VCLComObject (TComponent)
 |  | Visible (TControl)
 | ro | VisibleDockClientCount (TWinControl)
 | ro | WidgetSetClass (TLCLComponent)
pl |  | Width (TControl)
pt |  | WindowHandle (TWinControl)
 |  | WindowProc (TControl)


TNotebook
 | Create
 | Destroy
 | ShowControl
 | IndexOf
TCustomControl
pt | WSRegisterClass
pt | WMPaint
pt | DestroyWnd
pt | PaintWindow
pt | FontChanged
pt | SetColor
pt | Paint
 | Create
 | Destroy
TWinControl
pt | WSRegisterClass
pt | AdjustClientRect
pt | GetAdjustedLogicalClientRect
pt | AlignControls
pt | CustomAlignInsertBefore
pt | CustomAlignPosition
pt | DoAlignChildControls
pt | DoChildSizingChange
pt | InvalidatePreferredChildSizes
pt | CanTab
pt | IsClientHeightStored
pt | IsClientWidthStored
pt | DoSendShowHideToInterface
pt | ControlsAligned
pt | DoSendBoundsToInterface
pt | RealizeBounds
pt | RealizeBoundsRecursive
pt | InvalidateBoundsRealized
pt | CreateSubClass
pt | DoConstraintsChange
pt | DoSetBounds
pt | DoAutoSize
pt | DoAllAutoSize
pt | AllAutoSized
pt | CalculatePreferredSize
pt | GetPreferredSizeClientFrame
pt | GetChildren
pt | ChildClassAllowed
pt | PaintControls
pt | PaintHandler
pt | PaintWindow
pt | CreateBrush
pt | ScaleControls
pt | ChangeScale
pt | CMBiDiModeChanged
pt | CMBorderChanged
pt | CMDoubleBufferedChanged
pt | CMEnabledChanged
pt | CMParentDoubleBufferedChanged
pt | CMShowingChanged
pt | CMShowHintChanged
pt | CMVisibleChanged
pt | CMEnter
pt | CMExit
pt | WMContextMenu
pt | WMEraseBkgnd
pt | WMNotify
pt | WMSetFocus
pt | WMKillFocus
pt | WMShowWindow
pt | WMEnter
pt | WMExit
pt | WMKeyDown
pt | WMSysKeyDown
pt | WMKeyUp
pt | WMSysKeyUp
pt | WMChar
pt | WMSysChar
pt | WMPaint
pt | WMDestroy
pt | WMMove
pt | WMSize
pt | WMWindowPosChanged
pt | CNKeyDown
pt | CNSysKeyDown
pt | CNKeyUp
pt | CNSysKeyUp
pt | CNChar
pt | DoDragMsg
pt | DoDockClientMsg
pt | DoUndockClientMsg
pt | DoAddDockClient
pt | DockOver
pt | DoDockOver
pt | DoRemoveDockClient
pt | DoUnDock
pt | GetSiteInfo
pt | GetParentHandle
pt | GetTopParentHandle
pt | ReloadDockedControl
pt | CreateDockManager
pt | SetDockManager
pt | DoFloatMsg
pt | DoGetDockCaption
pt | DoEnter
pt | DoExit
pt | DoKeyDownBeforeInterface
pt | DoRemainingKeyDown
pt | DoRemainingKeyUp
pt | DoKeyPress
pt | DoUTF8KeyPress
pt | DoKeyUpBeforeInterface
pt | ChildKey
pt | SendDialogChar
pt | DialogChar
pt | ControlKeyDown
pt | ControlKeyUp
pt | KeyDown
pt | KeyDownBeforeInterface
pt | KeyDownAfterInterface
pt | KeyPress
pt | KeyUp
pt | KeyUpBeforeInterface
pt | KeyUpAfterInterface
pt | UTF8KeyPress
pt | FindNextControl
pt | SelectFirst
pt | RealGetText
pt | GetBorderStyle
pt | GetClientOrigin
pt | GetClientRect
pt | GetControlOrigin
pt | GetDeviceContext
pt | GetParentBackground
pt | IsControlMouseMsg
pt | CreateHandle
pt | CreateParams
pt | CreateWnd
pt | DestroyHandle
pt | DestroyWnd
pt | DoFlipChildren
pt | FinalizeWnd
pt | FixupTabList
pt | FontChanged
pt | InitializeWnd
pt | Loaded
pt | FormEndUpdated
pt | MainWndProc
pt | ParentFormHandleInitialized
pt | ChildHandlesCreated
pt | GetMouseCapture
pt | RealSetText
pt | RemoveFocus
pt | SendMoveSizeMessages
pt | SetBorderStyle
pt | SetColor
pt | SetChildZPosition
pt | SetParentBackground
pt | ShowControl
pt | UpdateControlState
pt | UpdateShowing
pt | WndProc
pt | WSSetText
 | AutoSizePhases
 | AutoSizeDelayed
 | AutoSizeDelayedReport
 | AutoSizeDelayedHandle
 | BeginUpdateBounds
 | EndUpdateBounds
 | LockRealizeBounds
 | UnlockRealizeBounds
 | ControlAtPos
 | ContainsControl
 | DoAdjustClientRectChange
 | InvalidateClientRectCache
 | ClientRectNeedsInterfaceUpdate
 | SetBounds
 | GetChildrenRect
 | DisableAlign
 | EnableAlign
 | ReAlign
 | ScrollBy_WS
 | ScrollBy
 | WriteLayoutDebugReport
 | AutoAdjustLayout
 | Create
 | CreateParented
 | CreateParentedControl
 | Destroy
 | DockDrop
 | CanFocus
 | CanSetFocus
 | GetControlIndex
 | SetControlIndex
 | Focused
 | PerformTab
 | FindChildControl
 | SelectNext
 | SetTempCursor
 | BroadCast
 | NotifyControls
 | DefaultHandler
 | GetTextLen
 | Invalidate
 | AddControl
 | InsertControl
 | RemoveControl
 | GetEnumeratorControls
 | GetEnumeratorControlsReverse
 | Repaint
 | Update
 | SetFocus
 | FlipChildren
 | ScaleBy
 | GetDockCaption
 | UpdateDockCaption
 | GetTabOrderList
 | HandleAllocated
 | ParentHandlesAllocated
 | HandleNeeded
 | BrushCreated
 | EraseBackground
 | IntfUTF8KeyPress
 | IntfGetDropFilesTarget
 | PaintTo
 | SetShape
TControl
pt | WSRegisterClass
pt | GetCursor
pt | SetCursor
pt | SetVisible
pt | DoOnParentHandleDestruction
pt | DoAutoSize
pt | DoAllAutoSize
pt | BeginAutoSizing
pt | EndAutoSizing
pt | AnchorSideChanged
pt | ForeignAnchorSideChanged
pt | SetAlign
pt | SetAnchors
pt | SetAutoSize
pt | BoundsChanged
pt | CreateControlBorderSpacing
pt | DoConstraintsChange
pt | DoBorderSpacingChange
pt | IsBorderSpacingInnerBorderStored
pt | IsCaptionStored
pt | SendMoveSizeMessages
pt | ConstrainedResize
pt | CalculatePreferredSize
pt | DoOnResize
pt | DoOnChangeBounds
pt | CheckOnChangeBounds
pt | Resize
pt | RequestAlign
pt | UpdateAnchorRules
pt | ChangeBounds
pt | DoSetBounds
pt | ScaleConstraints
pt | ChangeScale
pt | CanAutoSize
pt | SetBiDiMode
pt | SetParentBiDiMode
pt | IsAParentAligning
pt | GetClientOrigin
pt | GetClientRect
pt | GetLogicalClientRect
pt | GetScrolledClientRect
pt | GetClientScrollOffset
pt | GetControlOrigin
pt | IsClientHeightStored
pt | IsClientWidthStored
pt | WidthIsAnchored
pt | HeightIsAnchored
pt | WMCancelMode
pt | WMContextMenu
pt | WMLButtonDown
pt | WMRButtonDown
pt | WMMButtonDown
pt | WMXButtonDown
pt | WMLButtonDBLCLK
pt | WMRButtonDBLCLK
pt | WMMButtonDBLCLK
pt | WMXButtonDBLCLK
pt | WMLButtonTripleCLK
pt | WMRButtonTripleCLK
pt | WMMButtonTripleCLK
pt | WMXButtonTripleCLK
pt | WMLButtonQuadCLK
pt | WMRButtonQuadCLK
pt | WMMButtonQuadCLK
pt | WMXButtonQuadCLK
pt | WMMouseMove
pt | WMLButtonUp
pt | WMRButtonUp
pt | WMMButtonUp
pt | WMXButtonUp
pt | WMMouseWheel
pt | WMMouseHWheel
pt | WMMove
pt | WMSize
pt | WMWindowPosChanged
pt | CMChanged
pt | LMCaptureChanged
pt | CMBiDiModeChanged
pt | CMSysFontChanged
pt | CMEnabledChanged
pt | CMHitTest
pt | CMMouseEnter
pt | CMMouseLeave
pt | CMHintShow
pt | CMParentBiDiModeChanged
pt | CMParentColorChanged
pt | CMParentFontChanged
pt | CMParentShowHintChanged
pt | CMVisibleChanged
pt | CMTextChanged
pt | CMCursorChanged
pt | CalculateDockSizes
pt | CreateFloatingDockSite
pt | GetDockEdge
pt | GetDragImages
pt | GetFloating
pt | GetFloatingDockSiteClass
pt | BeforeDragStart
pt | BeginAutoDrag
pt | DoFloatMsg
pt | DockTrackNoTarget
pt | DoDock
pt | DoDragMsg
pt | DoEndDock
pt | DoEndDrag
pt | DoStartDock
pt | DoStartDrag
pt | DragCanceled
pt | DragOver
pt | PositionDockRect
pt | SetDragMode
pt | GetDefaultDockCaption
pt | Click
pt | DblClick
pt | TripleClick
pt | QuadClick
pt | GetMousePosFromMessage
pt | MouseDown
pt | MouseMove
pt | MouseUp
pt | MouseEnter
pt | MouseLeave
pt | DialogChar
pt | UpdateMouseCursor
pt | Changed
pt | GetPalette
pt | ChildClassAllowed
pt | ReadState
pt | Loaded
pt | LoadedAll
pt | DefineProperties
pt | AssignTo
pt | FormEndUpdated
pt | InvalidateControl
pt | FontChanged
pt | ParentFontChanged
pt | GetAction
pt | RealGetText
pt | RealSetText
pt | TextChanged
pt | GetCachedText
pt | SetAction
pt | SetColor
pt | SetEnabled
pt | SetHint
pt | SetName
pt | SetParent
pt | SetParentComponent
pt | WndProc
pt | ParentFormHandleInitialized
pt | GetMouseCapture
pt | CaptureChanged
pt | Notification
pt | CanTab
pt | GetDeviceContext
pt | GetEnabled
pt | GetPopupMenu
pt | DoOnShowHint
pt | DoMouseWheel
pt | DoMouseWheelDown
pt | DoMouseWheelUp
pt | DoMouseWheelHorz
pt | DoMouseWheelLeft
pt | DoMouseWheelRight
pt | VisibleChanging
pt | VisibleChanged
pt | EnabledChanging
pt | EnabledChanged
pt | AddHandler
pt | RemoveHandler
pt | DoCallNotifyHandler
pt | DoCallKeyEventHandler
pt | DoCallMouseWheelEventHandler
pt | DoContextPopup
pt | SetZOrder
pt | GetControlClassDefaultSize
pt | ColorIsStored
pt | DoAutoAdjustLayout
pt | DoFixDesignFontPPI
pt | DoScaleFontPPI
pt | GetActionLinkClass
pt | ActionChange
 | DragDrop
 | Dock
 | ManualDock
 | ManualFloat
 | ReplaceDockedControl
 | Docked
 | Dragging
 | GetAccessibleObject
 | CreateAccessibleObject
 | GetSelectedChildAccessibleObject
 | GetChildAccessibleObjectAtPos
 | ScaleDesignToForm
 | ScaleFormToDesign
 | Scale96ToForm
 | ScaleFormTo96
 | Scale96ToFont
 | ScaleFontTo96
 | ScaleScreenToFont
 | ScaleFontToScreen
 | Scale96ToScreen
 | ScaleScreenTo96
 | AdjustSize
 | AutoSizePhases
 | AutoSizeDelayed
 | AutoSizeDelayedReport
 | AutoSizeDelayedHandle
 | AnchorToNeighbour
 | AnchorParallel
 | AnchorHorizontalCenterTo
 | AnchorVerticalCenterTo
 | AnchorToCompanion
 | AnchorSame
 | AnchorAsAlign
 | AnchorClient
 | AnchoredControlCount
 | SetBounds
 | SetInitialBounds
 | SetBoundsKeepBase
 | GetPreferredSize
 | GetCanvasScaleFactor
 | GetDefaultWidth
 | GetDefaultHeight
 | GetDefaultColor
 | GetColorResolvingParent
 | GetRGBColorResolvingParent
 | GetSidePosition
 | CNPreferredSizeChanged
 | InvalidatePreferredSize
 | GetAnchorsDependingOnParent
 | DisableAutoSizing
 | EnableAutoSizing
 | UpdateBaseBounds
 | WriteLayoutDebugReport
 | AutoAdjustLayout
 | ShouldAutoAdjust
 | FixDesignFontsPPI
 | ScaleFontsPPI
 | Create
 | Destroy
 | BeforeDestruction
 | EditingDone
 | ExecuteDefaultAction
 | ExecuteCancelAction
 | BeginDrag
 | EndDrag
 | BringToFront
 | HasParent
 | GetParentComponent
 | IsParentOf
 | GetTopParent
 | IsVisible
 | IsControlVisible
 | IsEnabled
 | IsParentColor
 | IsParentFont
 | FormIsUpdating
 | IsProcessingPaintMsg
 | Hide
 | Refresh
 | Repaint
 | Invalidate
 | CheckChildClassAllowed
 | CheckNewParent
 | SendToBack
 | SetTempCursor
 | UpdateRolesForForm
 | ActiveDefaultControlChanged
 | GetTextBuf
 | GetTextLen
 | SetTextBuf
 | Perform
 | ScreenToClient
 | ClientToScreen
 | ScreenToControl
 | ControlToScreen
 | ClientToParent
 | ParentToClient
 | GetChildrenRect
 | Show
 | Update
 | HandleObjectShouldBeVisible
 | ParentDestroyingHandle
 | ParentHandlesAllocated
 | InitiateAction
 | ShowHelp
 | HasHelp
 | RemoveAllHandlersOfObject
 | AddHandlerOnResize
 | RemoveHandlerOnResize
 | AddHandlerOnChangeBounds
 | RemoveHandlerOnChangeBounds
 | AddHandlerOnVisibleChanging
 | RemoveHandlerOnVisibleChanging
 | AddHandlerOnVisibleChanged
 | RemoveHandlerOnVisibleChanged
 | AddHandlerOnEnabledChanged
 | RemoveHandlerOnEnableChanging
 | AddHandlerOnKeyDown
 | RemoveHandlerOnKeyDown
 | AddHandlerOnBeforeDestruction
 | RemoveHandlerOnBeforeDestruction
 | AddHandlerOnMouseWheel
 | RemoveHandlerOnMouseWheel
 | UseRightToLeftAlignment
 | UseRightToLeftReading
 | UseRightToLeftScrollBar
 | IsRightToLeft
TLCLComponent
pt | WSRegisterClass
pt | GetWSComponentClass
 | Create
 | Destroy
 | NewInstance
 | RemoveAllHandlersOfObject
 | IncLCLRefCount
 | DecLCLRefCount
TComponent
 | GetComObject
 | GetComponent
 | GetComponentCount
 | GetComponentIndex
 | Insert
 | ReadLeft
 | ReadTop
 | Remove
 | RemoveNotification
 | SetComponentIndex
 | SetReference
 | WriteLeft
 | WriteTop
 | ChangeName
 | DefineProperties
 | GetChildren
 | GetChildOwner
 | GetChildParent
 | GetOwner
 | Loaded
 | Loading
 | Notification
 | PaletteCreated
 | ReadState
 | SetAncestor
 | SetDesigning
 | SetDesignInstance
 | SetInline
 | SetName
 | SetChildOrder
 | SetParentComponent
 | Updating
 | Updated
 | UpdateRegistry
 | ValidateRename
 | ValidateContainer
 | ValidateInsert
 | QueryInterface
 | _AddRef
 | _Release
 | iicrGetComponent
 | GetTypeInfoCount
 | GetTypeInfo
 | GetIDsOfNames
 | Invoke
 | WriteState
 | Create
 | Destroy
 | BeforeDestruction
 | DestroyComponents
 | Destroying
 | ExecuteAction
 | FindComponent
 | FreeNotification
 | RemoveFreeNotification
 | FreeOnRelease
 | GetEnumerator
 | GetNamePath
 | GetParentComponent
 | HasParent
 | InsertComponent
 | RemoveComponent
 | SafeCallException
 | SetSubComponent
 | UpdateAction
 | IsImplementorOf
 | ReferenceInterface
TPersistent
 | AssignError
 | AssignTo
 | DefineProperties
 | GetOwner
 | Destroy
 | Assign
 | FPOAttachObserver
 | FPODetachObserver
 | FPONotifyObservers
 | GetNamePath
TObject
 | Create
 | Destroy
 | newinstance
 | FreeInstance
 | SafeCallException
 | DefaultHandler
 | Free
 | InitInstance
 | CleanupInstance
 | ClassType
 | ClassInfo
 | ClassName
 | ClassNameIs
 | ClassParent
 | InstanceSize
 | InheritsFrom
 | StringMessageTable
 | MethodAddress
 | MethodName
 | FieldAddress
 | AfterConstruction
 | BeforeDestruction
 | DefaultHandlerStr
 | Dispatch
 | DispatchStr
 | GetInterface
 | GetInterfaceByStr
 | GetInterfaceWeak
 | GetInterfaceEntry
 | GetInterfaceEntryByStr
 | GetInterfaceTable
 | UnitName
 | Equals
 | GetHashCode
 | ToString


pt | ActionChange (TControl)
 | ActiveDefaultControlChanged (TControl)
 | AddControl (TWinControl)
pt | AddHandler (TControl)
 | AddHandlerOnBeforeDestruction (TControl)
 | AddHandlerOnChangeBounds (TControl)
 | AddHandlerOnEnabledChanged (TControl)
 | AddHandlerOnKeyDown (TControl)
 | AddHandlerOnMouseWheel (TControl)
 | AddHandlerOnResize (TControl)
 | AddHandlerOnVisibleChanged (TControl)
 | AddHandlerOnVisibleChanging (TControl)
pt | AdjustClientRect (TWinControl)
 | AdjustSize (TControl)
 | AfterConstruction (TObject)
pt | AlignControls (TWinControl)
pt | AllAutoSized (TWinControl)
 | AnchorAsAlign (TControl)
 | AnchorClient (TControl)
 | AnchoredControlCount (TControl)
 | AnchorHorizontalCenterTo (TControl)
 | AnchorParallel (TControl)
 | AnchorSame (TControl)
pt | AnchorSideChanged (TControl)
 | AnchorToCompanion (TControl)
 | AnchorToNeighbour (TControl)
 | AnchorVerticalCenterTo (TControl)
 | Assign (TPersistent)
 | AssignError (TPersistent)
 | AssignTo (TPersistent)
pt | AssignTo (TControl)
 | AutoAdjustLayout (TControl)
 | AutoAdjustLayout (TWinControl)
 | AutoSizeDelayed (TControl)
 | AutoSizeDelayed (TWinControl)
 | AutoSizeDelayedHandle (TControl)
 | AutoSizeDelayedHandle (TWinControl)
 | AutoSizeDelayedReport (TControl)
 | AutoSizeDelayedReport (TWinControl)
 | AutoSizePhases (TControl)
 | AutoSizePhases (TWinControl)
 | BeforeDestruction (TObject)
 | BeforeDestruction (TComponent)
 | BeforeDestruction (TControl)
pt | BeforeDragStart (TControl)
pt | BeginAutoDrag (TControl)
pt | BeginAutoSizing (TControl)
 | BeginDrag (TControl)
 | BeginUpdateBounds (TWinControl)
pt | BoundsChanged (TControl)
 | BringToFront (TControl)
 | BroadCast (TWinControl)
 | BrushCreated (TWinControl)
pt | CalculateDockSizes (TControl)
pt | CalculatePreferredSize (TControl)
pt | CalculatePreferredSize (TWinControl)
pt | CanAutoSize (TControl)
 | CanFocus (TWinControl)
 | CanSetFocus (TWinControl)
pt | CanTab (TControl)
pt | CanTab (TWinControl)
pt | CaptureChanged (TControl)
pt | ChangeBounds (TControl)
pt | Changed (TControl)
 | ChangeName (TComponent)
pt | ChangeScale (TControl)
pt | ChangeScale (TWinControl)
 | CheckChildClassAllowed (TControl)
 | CheckNewParent (TControl)
pt | CheckOnChangeBounds (TControl)
pt | ChildClassAllowed (TControl)
pt | ChildClassAllowed (TWinControl)
pt | ChildHandlesCreated (TWinControl)
pt | ChildKey (TWinControl)
 | ClassInfo (TObject)
 | ClassName (TObject)
 | ClassNameIs (TObject)
 | ClassParent (TObject)
 | ClassType (TObject)
 | CleanupInstance (TObject)
pt | Click (TControl)
 | ClientRectNeedsInterfaceUpdate (TWinControl)
 | ClientToParent (TControl)
 | ClientToScreen (TControl)
pt | CMBiDiModeChanged (TControl)
pt | CMBiDiModeChanged (TWinControl)
pt | CMBorderChanged (TWinControl)
pt | CMChanged (TControl)
pt | CMCursorChanged (TControl)
pt | CMDoubleBufferedChanged (TWinControl)
pt | CMEnabledChanged (TControl)
pt | CMEnabledChanged (TWinControl)
pt | CMEnter (TWinControl)
pt | CMExit (TWinControl)
pt | CMHintShow (TControl)
pt | CMHitTest (TControl)
pt | CMMouseEnter (TControl)
pt | CMMouseLeave (TControl)
pt | CMParentBiDiModeChanged (TControl)
pt | CMParentColorChanged (TControl)
pt | CMParentDoubleBufferedChanged (TWinControl)
pt | CMParentFontChanged (TControl)
pt | CMParentShowHintChanged (TControl)
pt | CMShowHintChanged (TWinControl)
pt | CMShowingChanged (TWinControl)
pt | CMSysFontChanged (TControl)
pt | CMTextChanged (TControl)
pt | CMVisibleChanged (TControl)
pt | CMVisibleChanged (TWinControl)
pt | CNChar (TWinControl)
pt | CNKeyDown (TWinControl)
pt | CNKeyUp (TWinControl)
 | CNPreferredSizeChanged (TControl)
pt | CNSysKeyDown (TWinControl)
pt | CNSysKeyUp (TWinControl)
pt | ColorIsStored (TControl)
pt | ConstrainedResize (TControl)
 | ContainsControl (TWinControl)
 | ControlAtPos (TWinControl)
pt | ControlKeyDown (TWinControl)
pt | ControlKeyUp (TWinControl)
pt | ControlsAligned (TWinControl)
 | ControlToScreen (TControl)
 | Create (TObject)
 | Create (TComponent)
 | Create (TLCLComponent)
 | Create (TControl)
 | Create (TWinControl)
 | Create (TCustomControl)
 | Create (TNotebook)
 | CreateAccessibleObject (TControl)
pt | CreateBrush (TWinControl)
pt | CreateControlBorderSpacing (TControl)
pt | CreateDockManager (TWinControl)
pt | CreateFloatingDockSite (TControl)
pt | CreateHandle (TWinControl)
pt | CreateParams (TWinControl)
 | CreateParented (TWinControl)
 | CreateParentedControl (TWinControl)
pt | CreateSubClass (TWinControl)
pt | CreateWnd (TWinControl)
pt | CustomAlignInsertBefore (TWinControl)
pt | CustomAlignPosition (TWinControl)
pt | DblClick (TControl)
 | DecLCLRefCount (TLCLComponent)
 | DefaultHandler (TObject)
 | DefaultHandler (TWinControl)
 | DefaultHandlerStr (TObject)
 | DefineProperties (TPersistent)
 | DefineProperties (TComponent)
pt | DefineProperties (TControl)
 | Destroy (TObject)
 | Destroy (TPersistent)
 | Destroy (TComponent)
 | Destroy (TLCLComponent)
 | Destroy (TControl)
 | Destroy (TWinControl)
 | Destroy (TCustomControl)
 | Destroy (TNotebook)
 | DestroyComponents (TComponent)
pt | DestroyHandle (TWinControl)
 | Destroying (TComponent)
pt | DestroyWnd (TWinControl)
pt | DestroyWnd (TCustomControl)
pt | DialogChar (TControl)
pt | DialogChar (TWinControl)
 | DisableAlign (TWinControl)
 | DisableAutoSizing (TControl)
 | Dispatch (TObject)
 | DispatchStr (TObject)
pt | DoAddDockClient (TWinControl)
 | DoAdjustClientRectChange (TWinControl)
pt | DoAlignChildControls (TWinControl)
pt | DoAllAutoSize (TControl)
pt | DoAllAutoSize (TWinControl)
pt | DoAutoAdjustLayout (TControl)
pt | DoAutoSize (TControl)
pt | DoAutoSize (TWinControl)
pt | DoBorderSpacingChange (TControl)
pt | DoCallKeyEventHandler (TControl)
pt | DoCallMouseWheelEventHandler (TControl)
pt | DoCallNotifyHandler (TControl)
pt | DoChildSizingChange (TWinControl)
 | Dock (TControl)
 | DockDrop (TWinControl)
 | Docked (TControl)
pt | DockOver (TWinControl)
pt | DockTrackNoTarget (TControl)
pt | DoConstraintsChange (TControl)
pt | DoConstraintsChange (TWinControl)
pt | DoContextPopup (TControl)
pt | DoDock (TControl)
pt | DoDockClientMsg (TWinControl)
pt | DoDockOver (TWinControl)
pt | DoDragMsg (TControl)
pt | DoDragMsg (TWinControl)
pt | DoEndDock (TControl)
pt | DoEndDrag (TControl)
pt | DoEnter (TWinControl)
pt | DoExit (TWinControl)
pt | DoFixDesignFontPPI (TControl)
pt | DoFlipChildren (TWinControl)
pt | DoFloatMsg (TControl)
pt | DoFloatMsg (TWinControl)
pt | DoGetDockCaption (TWinControl)
pt | DoKeyDownBeforeInterface (TWinControl)
pt | DoKeyPress (TWinControl)
pt | DoKeyUpBeforeInterface (TWinControl)
pt | DoMouseWheel (TControl)
pt | DoMouseWheelDown (TControl)
pt | DoMouseWheelHorz (TControl)
pt | DoMouseWheelLeft (TControl)
pt | DoMouseWheelRight (TControl)
pt | DoMouseWheelUp (TControl)
pt | DoOnChangeBounds (TControl)
pt | DoOnParentHandleDestruction (TControl)
pt | DoOnResize (TControl)
pt | DoOnShowHint (TControl)
pt | DoRemainingKeyDown (TWinControl)
pt | DoRemainingKeyUp (TWinControl)
pt | DoRemoveDockClient (TWinControl)
pt | DoScaleFontPPI (TControl)
pt | DoSendBoundsToInterface (TWinControl)
pt | DoSendShowHideToInterface (TWinControl)
pt | DoSetBounds (TControl)
pt | DoSetBounds (TWinControl)
pt | DoStartDock (TControl)
pt | DoStartDrag (TControl)
pt | DoUnDock (TWinControl)
pt | DoUndockClientMsg (TWinControl)
pt | DoUTF8KeyPress (TWinControl)
pt | DragCanceled (TControl)
 | DragDrop (TControl)
 | Dragging (TControl)
pt | DragOver (TControl)
 | EditingDone (TControl)
 | EnableAlign (TWinControl)
 | EnableAutoSizing (TControl)
pt | EnabledChanged (TControl)
pt | EnabledChanging (TControl)
pt | EndAutoSizing (TControl)
 | EndDrag (TControl)
 | EndUpdateBounds (TWinControl)
 | Equals (TObject)
 | EraseBackground (TWinControl)
 | ExecuteAction (TComponent)
 | ExecuteCancelAction (TControl)
 | ExecuteDefaultAction (TControl)
 | FieldAddress (TObject)
pt | FinalizeWnd (TWinControl)
 | FindChildControl (TWinControl)
 | FindComponent (TComponent)
pt | FindNextControl (TWinControl)
 | FixDesignFontsPPI (TControl)
pt | FixupTabList (TWinControl)
 | FlipChildren (TWinControl)
 | Focused (TWinControl)
pt | FontChanged (TControl)
pt | FontChanged (TWinControl)
pt | FontChanged (TCustomControl)
pt | ForeignAnchorSideChanged (TControl)
pt | FormEndUpdated (TControl)
pt | FormEndUpdated (TWinControl)
 | FormIsUpdating (TControl)
 | FPOAttachObserver (TPersistent)
 | FPODetachObserver (TPersistent)
 | FPONotifyObservers (TPersistent)
 | Free (TObject)
 | FreeInstance (TObject)
 | FreeNotification (TComponent)
 | FreeOnRelease (TComponent)
 | GetAccessibleObject (TControl)
pt | GetAction (TControl)
pt | GetActionLinkClass (TControl)
pt | GetAdjustedLogicalClientRect (TWinControl)
 | GetAnchorsDependingOnParent (TControl)
pt | GetBorderStyle (TWinControl)
pt | GetCachedText (TControl)
 | GetCanvasScaleFactor (TControl)
 | GetChildAccessibleObjectAtPos (TControl)
 | GetChildOwner (TComponent)
 | GetChildParent (TComponent)
 | GetChildren (TComponent)
pt | GetChildren (TWinControl)
 | GetChildrenRect (TControl)
 | GetChildrenRect (TWinControl)
pt | GetClientOrigin (TControl)
pt | GetClientOrigin (TWinControl)
pt | GetClientRect (TControl)
pt | GetClientRect (TWinControl)
pt | GetClientScrollOffset (TControl)
 | GetColorResolvingParent (TControl)
 | GetComObject (TComponent)
 | GetComponent (TComponent)
 | GetComponentCount (TComponent)
 | GetComponentIndex (TComponent)
pt | GetControlClassDefaultSize (TControl)
 | GetControlIndex (TWinControl)
pt | GetControlOrigin (TControl)
pt | GetControlOrigin (TWinControl)
pt | GetCursor (TControl)
 | GetDefaultColor (TControl)
pt | GetDefaultDockCaption (TControl)
 | GetDefaultHeight (TControl)
 | GetDefaultWidth (TControl)
pt | GetDeviceContext (TControl)
pt | GetDeviceContext (TWinControl)
 | GetDockCaption (TWinControl)
pt | GetDockEdge (TControl)
pt | GetDragImages (TControl)
pt | GetEnabled (TControl)
 | GetEnumerator (TComponent)
 | GetEnumeratorControls (TWinControl)
 | GetEnumeratorControlsReverse (TWinControl)
pt | GetFloating (TControl)
pt | GetFloatingDockSiteClass (TControl)
 | GetHashCode (TObject)
 | GetIDsOfNames (TComponent)
 | GetInterface (TObject)
 | GetInterfaceByStr (TObject)
 | GetInterfaceEntry (TObject)
 | GetInterfaceEntryByStr (TObject)
 | GetInterfaceTable (TObject)
 | GetInterfaceWeak (TObject)
pt | GetLogicalClientRect (TControl)
pt | GetMouseCapture (TControl)
pt | GetMouseCapture (TWinControl)
pt | GetMousePosFromMessage (TControl)
 | GetNamePath (TPersistent)
 | GetNamePath (TComponent)
 | GetOwner (TPersistent)
 | GetOwner (TComponent)
pt | GetPalette (TControl)
pt | GetParentBackground (TWinControl)
 | GetParentComponent (TComponent)
 | GetParentComponent (TControl)
pt | GetParentHandle (TWinControl)
pt | GetPopupMenu (TControl)
 | GetPreferredSize (TControl)
pt | GetPreferredSizeClientFrame (TWinControl)
 | GetRGBColorResolvingParent (TControl)
pt | GetScrolledClientRect (TControl)
 | GetSelectedChildAccessibleObject (TControl)
 | GetSidePosition (TControl)
pt | GetSiteInfo (TWinControl)
 | GetTabOrderList (TWinControl)
 | GetTextBuf (TControl)
 | GetTextLen (TControl)
 | GetTextLen (TWinControl)
 | GetTopParent (TControl)
pt | GetTopParentHandle (TWinControl)
 | GetTypeInfo (TComponent)
 | GetTypeInfoCount (TComponent)
pt | GetWSComponentClass (TLCLComponent)
 | HandleAllocated (TWinControl)
 | HandleNeeded (TWinControl)
 | HandleObjectShouldBeVisible (TControl)
 | HasHelp (TControl)
 | HasParent (TComponent)
 | HasParent (TControl)
pt | HeightIsAnchored (TControl)
 | Hide (TControl)
 | iicrGetComponent (TComponent)
 | IncLCLRefCount (TLCLComponent)
 | IndexOf (TNotebook)
 | InheritsFrom (TObject)
pt | InitializeWnd (TWinControl)
 | InitiateAction (TControl)
 | InitInstance (TObject)
 | Insert (TComponent)
 | InsertComponent (TComponent)
 | InsertControl (TWinControl)
 | InstanceSize (TObject)
 | IntfGetDropFilesTarget (TWinControl)
 | IntfUTF8KeyPress (TWinControl)
 | Invalidate (TControl)
 | Invalidate (TWinControl)
pt | InvalidateBoundsRealized (TWinControl)
 | InvalidateClientRectCache (TWinControl)
pt | InvalidateControl (TControl)
pt | InvalidatePreferredChildSizes (TWinControl)
 | InvalidatePreferredSize (TControl)
 | Invoke (TComponent)
pt | IsAParentAligning (TControl)
pt | IsBorderSpacingInnerBorderStored (TControl)
pt | IsCaptionStored (TControl)
pt | IsClientHeightStored (TControl)
pt | IsClientHeightStored (TWinControl)
pt | IsClientWidthStored (TControl)
pt | IsClientWidthStored (TWinControl)
pt | IsControlMouseMsg (TWinControl)
 | IsControlVisible (TControl)
 | IsEnabled (TControl)
 | IsImplementorOf (TComponent)
 | IsParentColor (TControl)
 | IsParentFont (TControl)
 | IsParentOf (TControl)
 | IsProcessingPaintMsg (TControl)
 | IsRightToLeft (TControl)
 | IsVisible (TControl)
pt | KeyDown (TWinControl)
pt | KeyDownAfterInterface (TWinControl)
pt | KeyDownBeforeInterface (TWinControl)
pt | KeyPress (TWinControl)
pt | KeyUp (TWinControl)
pt | KeyUpAfterInterface (TWinControl)
pt | KeyUpBeforeInterface (TWinControl)
pt | LMCaptureChanged (TControl)
 | Loaded (TComponent)
pt | Loaded (TControl)
pt | Loaded (TWinControl)
pt | LoadedAll (TControl)
 | Loading (TComponent)
 | LockRealizeBounds (TWinControl)
pt | MainWndProc (TWinControl)
 | ManualDock (TControl)
 | ManualFloat (TControl)
 | MethodAddress (TObject)
 | MethodName (TObject)
pt | MouseDown (TControl)
pt | MouseEnter (TControl)
pt | MouseLeave (TControl)
pt | MouseMove (TControl)
pt | MouseUp (TControl)
 | newinstance (TObject)
 | NewInstance (TLCLComponent)
 | Notification (TComponent)
pt | Notification (TControl)
 | NotifyControls (TWinControl)
pt | Paint (TCustomControl)
pt | PaintControls (TWinControl)
pt | PaintHandler (TWinControl)
 | PaintTo (TWinControl)
pt | PaintWindow (TWinControl)
pt | PaintWindow (TCustomControl)
 | PaletteCreated (TComponent)
 | ParentDestroyingHandle (TControl)
pt | ParentFontChanged (TControl)
pt | ParentFormHandleInitialized (TControl)
pt | ParentFormHandleInitialized (TWinControl)
 | ParentHandlesAllocated (TControl)
 | ParentHandlesAllocated (TWinControl)
 | ParentToClient (TControl)
 | Perform (TControl)
 | PerformTab (TWinControl)
pt | PositionDockRect (TControl)
pt | QuadClick (TControl)
 | QueryInterface (TComponent)
 | ReadLeft (TComponent)
 | ReadState (TComponent)
pt | ReadState (TControl)
 | ReadTop (TComponent)
pt | RealGetText (TControl)
pt | RealGetText (TWinControl)
 | ReAlign (TWinControl)
pt | RealizeBounds (TWinControl)
pt | RealizeBoundsRecursive (TWinControl)
pt | RealSetText (TControl)
pt | RealSetText (TWinControl)
 | ReferenceInterface (TComponent)
 | Refresh (TControl)
pt | ReloadDockedControl (TWinControl)
 | Remove (TComponent)
 | RemoveAllHandlersOfObject (TLCLComponent)
 | RemoveAllHandlersOfObject (TControl)
 | RemoveComponent (TComponent)
 | RemoveControl (TWinControl)
pt | RemoveFocus (TWinControl)
 | RemoveFreeNotification (TComponent)
pt | RemoveHandler (TControl)
 | RemoveHandlerOnBeforeDestruction (TControl)
 | RemoveHandlerOnChangeBounds (TControl)
 | RemoveHandlerOnEnableChanging (TControl)
 | RemoveHandlerOnKeyDown (TControl)
 | RemoveHandlerOnMouseWheel (TControl)
 | RemoveHandlerOnResize (TControl)
 | RemoveHandlerOnVisibleChanged (TControl)
 | RemoveHandlerOnVisibleChanging (TControl)
 | RemoveNotification (TComponent)
 | Repaint (TControl)
 | Repaint (TWinControl)
 | ReplaceDockedControl (TControl)
pt | RequestAlign (TControl)
pt | Resize (TControl)
 | SafeCallException (TObject)
 | SafeCallException (TComponent)
 | Scale96ToFont (TControl)
 | Scale96ToForm (TControl)
 | Scale96ToScreen (TControl)
 | ScaleBy (TWinControl)
pt | ScaleConstraints (TControl)
pt | ScaleControls (TWinControl)
 | ScaleDesignToForm (TControl)
 | ScaleFontsPPI (TControl)
 | ScaleFontTo96 (TControl)
 | ScaleFontToScreen (TControl)
 | ScaleFormTo96 (TControl)
 | ScaleFormToDesign (TControl)
 | ScaleScreenTo96 (TControl)
 | ScaleScreenToFont (TControl)
 | ScreenToClient (TControl)
 | ScreenToControl (TControl)
 | ScrollBy (TWinControl)
 | ScrollBy_WS (TWinControl)
pt | SelectFirst (TWinControl)
 | SelectNext (TWinControl)
pt | SendDialogChar (TWinControl)
pt | SendMoveSizeMessages (TControl)
pt | SendMoveSizeMessages (TWinControl)
 | SendToBack (TControl)
pt | SetAction (TControl)
pt | SetAlign (TControl)
 | SetAncestor (TComponent)
pt | SetAnchors (TControl)
pt | SetAutoSize (TControl)
pt | SetBiDiMode (TControl)
pt | SetBorderStyle (TWinControl)
 | SetBounds (TControl)
 | SetBounds (TWinControl)
 | SetBoundsKeepBase (TControl)
 | SetChildOrder (TComponent)
pt | SetChildZPosition (TWinControl)
pt | SetColor (TControl)
pt | SetColor (TWinControl)
pt | SetColor (TCustomControl)
 | SetComponentIndex (TComponent)
 | SetControlIndex (TWinControl)
pt | SetCursor (TControl)
 | SetDesigning (TComponent)
 | SetDesignInstance (TComponent)
pt | SetDockManager (TWinControl)
pt | SetDragMode (TControl)
pt | SetEnabled (TControl)
 | SetFocus (TWinControl)
pt | SetHint (TControl)
 | SetInitialBounds (TControl)
 | SetInline (TComponent)
 | SetName (TComponent)
pt | SetName (TControl)
pt | SetParent (TControl)
pt | SetParentBackground (TWinControl)
pt | SetParentBiDiMode (TControl)
 | SetParentComponent (TComponent)
pt | SetParentComponent (TControl)
 | SetReference (TComponent)
 | SetShape (TWinControl)
 | SetSubComponent (TComponent)
 | SetTempCursor (TControl)
 | SetTempCursor (TWinControl)
 | SetTextBuf (TControl)
pt | SetVisible (TControl)
pt | SetZOrder (TControl)
 | ShouldAutoAdjust (TControl)
 | Show (TControl)
pt | ShowControl (TWinControl)
 | ShowControl (TNotebook)
 | ShowHelp (TControl)
 | StringMessageTable (TObject)
pt | TextChanged (TControl)
 | ToString (TObject)
pt | TripleClick (TControl)
 | UnitName (TObject)
 | UnlockRealizeBounds (TWinControl)
 | Update (TControl)
 | Update (TWinControl)
 | UpdateAction (TComponent)
pt | UpdateAnchorRules (TControl)
 | UpdateBaseBounds (TControl)
pt | UpdateControlState (TWinControl)
 | Updated (TComponent)
 | UpdateDockCaption (TWinControl)
pt | UpdateMouseCursor (TControl)
 | UpdateRegistry (TComponent)
 | UpdateRolesForForm (TControl)
pt | UpdateShowing (TWinControl)
 | Updating (TComponent)
 | UseRightToLeftAlignment (TControl)
 | UseRightToLeftReading (TControl)
 | UseRightToLeftScrollBar (TControl)
pt | UTF8KeyPress (TWinControl)
 | ValidateContainer (TComponent)
 | ValidateInsert (TComponent)
 | ValidateRename (TComponent)
pt | VisibleChanged (TControl)
pt | VisibleChanging (TControl)
pt | WidthIsAnchored (TControl)
pt | WMCancelMode (TControl)
pt | WMChar (TWinControl)
pt | WMContextMenu (TControl)
pt | WMContextMenu (TWinControl)
pt | WMDestroy (TWinControl)
pt | WMEnter (TWinControl)
pt | WMEraseBkgnd (TWinControl)
pt | WMExit (TWinControl)
pt | WMKeyDown (TWinControl)
pt | WMKeyUp (TWinControl)
pt | WMKillFocus (TWinControl)
pt | WMLButtonDBLCLK (TControl)
pt | WMLButtonDown (TControl)
pt | WMLButtonQuadCLK (TControl)
pt | WMLButtonTripleCLK (TControl)
pt | WMLButtonUp (TControl)
pt | WMMButtonDBLCLK (TControl)
pt | WMMButtonDown (TControl)
pt | WMMButtonQuadCLK (TControl)
pt | WMMButtonTripleCLK (TControl)
pt | WMMButtonUp (TControl)
pt | WMMouseHWheel (TControl)
pt | WMMouseMove (TControl)
pt | WMMouseWheel (TControl)
pt | WMMove (TControl)
pt | WMMove (TWinControl)
pt | WMNotify (TWinControl)
pt | WMPaint (TWinControl)
pt | WMPaint (TCustomControl)
pt | WMRButtonDBLCLK (TControl)
pt | WMRButtonDown (TControl)
pt | WMRButtonQuadCLK (TControl)
pt | WMRButtonTripleCLK (TControl)
pt | WMRButtonUp (TControl)
pt | WMSetFocus (TWinControl)
pt | WMShowWindow (TWinControl)
pt | WMSize (TControl)
pt | WMSize (TWinControl)
pt | WMSysChar (TWinControl)
pt | WMSysKeyDown (TWinControl)
pt | WMSysKeyUp (TWinControl)
pt | WMWindowPosChanged (TControl)
pt | WMWindowPosChanged (TWinControl)
pt | WMXButtonDBLCLK (TControl)
pt | WMXButtonDown (TControl)
pt | WMXButtonQuadCLK (TControl)
pt | WMXButtonTripleCLK (TControl)
pt | WMXButtonUp (TControl)
pt | WndProc (TControl)
pt | WndProc (TWinControl)
 | WriteLayoutDebugReport (TControl)
 | WriteLayoutDebugReport (TWinControl)
 | WriteLeft (TComponent)
 | WriteState (TComponent)
 | WriteTop (TComponent)
pt | WSRegisterClass (TLCLComponent)
pt | WSRegisterClass (TControl)
pt | WSRegisterClass (TWinControl)
pt | WSRegisterClass (TCustomControl)
pt | WSSetText (TWinControl)
 | _AddRef (TComponent)
 | _Release (TComponent)


TNotebook
pl | ro | OnChangeBounds
pl | ro | OnContextPopup
pl | ro | OnDragDrop
pl | ro | OnDragOver
pl | ro | OnEndDrag
pl | ro | OnEnter
pl | ro | OnExit
pl | ro | OnMouseDown
pl | ro | OnMouseEnter
pl | ro | OnMouseLeave
pl | ro | OnMouseMove
pl | ro | OnMouseUp
pl | ro | OnMouseWheel
pl | ro | OnMouseWheelDown
pl | ro | OnMouseWheelUp
pl | ro | OnResize
pl | ro | OnStartDrag
TCustomControl
 |  | OnPaint
TWinControl
pt |  | OnGetSiteInfo
pt |  | OnGetDockCaption
 |  | OnAlignInsertBefore
 |  | OnAlignPosition
 |  | OnDockDrop
 |  | OnDockOver
 |  | OnEnter
 |  | OnExit
 |  | OnKeyDown
 |  | OnKeyPress
 |  | OnKeyUp
 |  | OnUnDock
 |  | OnUTF8KeyPress
TControl
pt |  | OnConstrainedResize
pt |  | OnContextPopup
pt |  | OnDblClick
pt |  | OnTripleClick
pt |  | OnQuadClick
pt |  | OnDragDrop
pt |  | OnDragOver
pt |  | OnEndDock
pt |  | OnEndDrag
pt |  | OnMouseDown
pt |  | OnMouseMove
pt |  | OnMouseUp
pt |  | OnMouseEnter
pt |  | OnMouseLeave
pt |  | OnMouseWheel
pt |  | OnMouseWheelDown
pt |  | OnMouseWheelUp
pt |  | OnMouseWheelHorz
pt |  | OnMouseWheelLeft
pt |  | OnMouseWheelRight
pt |  | OnStartDock
pt |  | OnStartDrag
pt |  | OnEditingDone
 |  | OnChangeBounds
 |  | OnClick
 |  | OnResize
 |  | OnShowHint
TLCLComponent
TComponent
TPersistent
TObject


pl | ro | OnChangeBounds (TNotebook)
 |  | OnClick (TControl)
pt |  | OnConstrainedResize (TControl)
pt |  | OnContextPopup (TControl)
pl | ro | OnContextPopup (TNotebook)
pt |  | OnDblClick (TControl)
 |  | OnDockDrop (TWinControl)
 |  | OnDockOver (TWinControl)
pt |  | OnDragDrop (TControl)
pl | ro | OnDragDrop (TNotebook)
pt |  | OnDragOver (TControl)
pl | ro | OnDragOver (TNotebook)
pt |  | OnEditingDone (TControl)
pt |  | OnEndDock (TControl)
pt |  | OnEndDrag (TControl)
pl | ro | OnEndDrag (TNotebook)
 |  | OnEnter (TWinControl)
pl | ro | OnEnter (TNotebook)
 |  | OnExit (TWinControl)
pl | ro | OnExit (TNotebook)
pt |  | OnGetDockCaption (TWinControl)
pt |  | OnGetSiteInfo (TWinControl)
 |  | OnKeyDown (TWinControl)
 |  | OnKeyPress (TWinControl)
 |  | OnKeyUp (TWinControl)
pt |  | OnMouseDown (TControl)
pl | ro | OnMouseDown (TNotebook)
pt |  | OnMouseEnter (TControl)
pl | ro | OnMouseEnter (TNotebook)
pt |  | OnMouseLeave (TControl)
pl | ro | OnMouseLeave (TNotebook)
pt |  | OnMouseMove (TControl)
pl | ro | OnMouseMove (TNotebook)
pt |  | OnMouseUp (TControl)
pl | ro | OnMouseUp (TNotebook)
pt |  | OnMouseWheel (TControl)
pl | ro | OnMouseWheel (TNotebook)
pt |  | OnMouseWheelDown (TControl)
pl | ro | OnMouseWheelDown (TNotebook)
pt |  | OnMouseWheelHorz (TControl)
pt |  | OnMouseWheelLeft (TControl)
pt |  | OnMouseWheelRight (TControl)
pt |  | OnMouseWheelUp (TControl)
pl | ro | OnMouseWheelUp (TNotebook)
 |  | OnPaint (TCustomControl)
pt |  | OnQuadClick (TControl)
 |  | OnResize (TControl)
pl | ro | OnResize (TNotebook)
 |  | OnShowHint (TControl)
pt |  | OnStartDock (TControl)
pt |  | OnStartDrag (TControl)
pl | ro | OnStartDrag (TNotebook)
pt |  | OnTripleClick (TControl)
 |  | OnUnDock (TWinControl)
 |  | OnUTF8KeyPress (TWinControl)


TNotebook.ActivePage

Declaration

Source position: extctrls.pp line 143

public property TNotebook.ActivePage : string
  read GetActivePage;


TNotebook.ActivePageComponent

Declaration

Source position: extctrls.pp line 144

public property TNotebook.ActivePageComponent : TPage
  read GetActivePageComponent;


TNotebook.AutoSize

Declaration

Source position: extctrls.pp line 154

published property TNotebook.AutoSize : Boolean;


TNotebook.BiDiMode

Declaration

Source position: extctrls.pp line 156

published property TNotebook.BiDiMode : TBiDiMode;


TNotebook.Color

Declaration

Source position: extctrls.pp line 158

published property TNotebook.Color : TColor;


TNotebook.Create

Declaration

Source position: extctrls.pp line 134

public constructor TNotebook.Create(

  TheOwner: TComponent

); override;


TNotebook.IndexOf

Declaration

Source position: extctrls.pp line 141

public function TNotebook.IndexOf(

  APage: TPage

):Integer;


TNotebook.OnMouseEnter

Declaration

Source position: extctrls.pp line 173

published property TNotebook.OnMouseEnter : TNotifyEvent;


TNotebook.OnMouseLeave

Declaration

Source position: extctrls.pp line 174

published property TNotebook.OnMouseLeave : TNotifyEvent;


TNotebook.OnMouseMove

Declaration

Source position: extctrls.pp line 175

published property TNotebook.OnMouseMove : TMouseMoveEvent;


TNotebook.OnMouseWheel

Declaration

Source position: extctrls.pp line 177

published property TNotebook.OnMouseWheel : TMouseWheelEvent;


TNotebook.OnMouseWheelDown

Declaration

Source position: extctrls.pp line 178

published property TNotebook.OnMouseWheelDown : TMouseWheelUpDownEvent;


TNotebook.OnMouseWheelUp

Declaration

Source position: extctrls.pp line 179

published property TNotebook.OnMouseWheelUp : TMouseWheelUpDownEvent;


TNotebook.Page

Declaration

Source position: extctrls.pp line 145

public property TNotebook.Page[Index: Integer] : TPage
  read GetPage;


TNotebook.PageCount

Declaration

Source position: extctrls.pp line 146

public property TNotebook.PageCount : Integer
  read GetPageCount;


TNotebook.PageIndex

Declaration

Source position: extctrls.pp line 150

published property TNotebook.PageIndex : Integer
  read GetPageIndex
  write SetPageIndex
  default - 1;


TNotebook.Pages

Declaration

Source position: extctrls.pp line 151

published property TNotebook.Pages : TStrings
  read FPages
  write SetPages
  stored False;


TNotebook.ParentBiDiMode

Declaration

Source position: extctrls.pp line 184

published property TNotebook.ParentBiDiMode : Boolean;


TNotebook.ShowControl

Declaration

Source position: extctrls.pp line 136

public procedure TNotebook.ShowControl(

  AControl: TControl

); override;


TPage

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

TPage: One of the pages in a tabbed Notebook

Declaration

Source position: extctrls.pp line 46

type TPage = class(TCustomControl)
protected
procedure SetParent(); override;
public
constructor Create(); override;
destructor Destroy; override;
property PageIndex: Integer; [r] | PageIndex - integer index value for this page in the notebook
published
property OnBeforeShow: TBeforeShowPageEvent; [rw]
property BiDiMode: TBiDiMode;
property ChildSizing: TControlChildSizing; | Parameters for child control arrangement and spacing.
property Color: TColor;
property Left: Integer; [s] | The client coordinate of the left edge of the control.
property Top: Integer; [s] | The client coordinate of the top edge of the control.
property Width: Integer; [s] | The horizontal extent of the control.
property Height: Integer; [s] | The vertical size of the control.
property OnContextPopup: TContextPopupEvent; | Invoked when a context-sensitive pop-up menu is requested.
property OnEnter: TNotifyEvent; | Handler for control receiving the focus.
property OnExit: TNotifyEvent; | Handler for control loosing the focus. This is a good place for checking the finished user input.
property OnMouseDown: TMouseEvent; | Event handler for mouse button going down.
property OnMouseEnter: TNotifyEvent;
property OnMouseLeave: TNotifyEvent;
property OnMouseMove: TMouseMoveEvent; | Event handler for mouse movement within the control.
property OnMouseUp: TMouseEvent; | Event handler for mouse button going up.
property OnMouseWheel: TMouseWheelEvent;
property OnMouseWheelDown: TMouseWheelUpDownEvent;
property OnMouseWheelUp: TMouseWheelUpDownEvent;
property OnResize: TNotifyEvent; | Notification handler for a resize of the control.
property ParentBiDiMode: Boolean;
property ParentShowHint: Boolean; | If true, the value of ShowHint for the control will be the same as the one from the Parent. Default is true.
property PopupMenu: TPopupMenu; | A context-sensitive menu that pops up when the right mouse button is clicked over this control
property TabOrder: TTabOrder; [s] | Determines the sequence of controls, reachable when the user presses the Tab key.
property TabStop: Boolean;
property Visible: Boolean; [s] | Allows to show or hide the control, and all of its children.
end;

Inheritance

TPage | TPage: One of the pages in a tabbed Notebook
|
TCustomControl | The base class for windowed controls which paint themselves.
|
TWinControl | The base class for controls which can contain other (child) controls.
|
TControl | The base class for visible controls.
|
TLCLComponent | The base class for LCL components associated with widgets.
|
TComponent,IUnknown,IInterfaceComponentReference
|
TPersistent,IFPObserved
|
TObject

Description

TPage: One of the pages in a tabbed Notebook

Inherits most of its properties from TCustomPage

See also

HowToUseStdCtrls | How to use StdCtrls, ComCtrls or ExtCtrls
Multi-PageControls | Multi-PageControls - controls that offer a selection of alternative pages for display


TPage
 | ro | PageIndex
pl | ro | BiDiMode
pl | ro | ChildSizing
pl | ro | Color
pl | ro | Left
pl | ro | Top
pl | ro | Width
pl | ro | Height
pl | ro | ParentBiDiMode
pl | ro | ParentShowHint
pl | ro | PopupMenu
pl | ro | TabOrder
pl | ro | TabStop
pl | ro | Visible
TCustomControl
 |  | Canvas
 | ro | BorderStyle
TWinControl
pt |  | WindowHandle
pt |  | BorderStyle
pt |  | ParentBackground
 |  | BorderWidth
 | ro | BoundsLockCount
 | ro | Brush
 | ro | CachedClientHeight
 | ro | CachedClientWidth
 |  | ChildSizing
 | ro | ControlCount
 | ro | Controls
 |  | DefWndProc
 | ro | DockClientCount
 | ro | DockClients
 |  | DockManager
 |  | DockSite
 |  | DoubleBuffered
 |  | Handle
 | ro | IsFlipped
 | ro | IsResizing
 |  | TabOrder
 |  | TabStop
 |  | ParentDoubleBuffered
 |  | ParentWindow
 | ro | Showing
 |  | UseDockManager
 |  | DesignerDeleting
 | ro | VisibleDockClientCount
TControl
pt | ro | AutoSizing
pt | ro | AutoSizingAll
pt | ro | AutoSizingLockCount
pt |  | ActionLink
pt |  | DesktopFont
pt |  | DragCursor
pt |  | DragKind
pt |  | DragMode
pt |  | MouseCapture
pt |  | ParentColor
pt |  | ParentFont
pt |  | ParentShowHint
pt |  | SessionProperties
pt |  | Text
 | ro | AnchoredControls
 | ro | BaseBounds
 | ro | ReadBounds
 | ro | BaseParentClientSize
 |  | AccessibleDescription
 |  | AccessibleValue
 |  | AccessibleRole
 |  | Action
 |  | Align
 |  | Anchors
 | ro | AnchorSide
 |  | AutoSize
 |  | BorderSpacing
 |  | BoundsRect
 |  | BoundsRectForNewParent
 |  | Caption
 |  | CaptureMouseButtons
 |  | ClientHeight
 | ro | ClientOrigin
 | ro | ClientRect
 |  | ClientWidth
 |  | Color
 |  | Constraints
 | ro | ControlOrigin
 |  | ControlState
 |  | ControlStyle
 |  | Enabled
 |  | Font
 |  | IsControl
 | ro | MouseEntered
 | ro | MouseInClient
 |  | Parent
 |  | PopupMenu
 |  | ShowHint
 |  | Visible
 |  | WindowProc
 |  | DockOrientation
 | ro | Floating
 |  | FloatingDockSiteClass
 |  | HostDockSite
 |  | LRDockWidth
 |  | TBDockHeight
 |  | UndockHeight
 |  | UndockWidth
 |  | BiDiMode
 |  | ParentBiDiMode
pl |  | AnchorSideLeft
pl |  | AnchorSideTop
pl |  | AnchorSideRight
pl |  | AnchorSideBottom
pl |  | Cursor
pl |  | Left
pl |  | Height
pl |  | Hint
pl |  | Top
pl |  | Width
pl |  | HelpType
pl |  | HelpKeyword
pl |  | HelpContext
TLCLComponent
 | ro | LCLRefCount
 | ro | WidgetSetClass
TComponent
 | ro | ComObject
 | ro | Components
 | ro | ComponentCount
 |  | ComponentIndex
 | ro | ComponentState
 | ro | ComponentStyle
 |  | DesignInfo
 | ro | Owner
 |  | VCLComObject
 |  | Name
 |  | Tag
TPersistent
TObject


 |  | AccessibleDescription (TControl)
 |  | AccessibleRole (TControl)
 |  | AccessibleValue (TControl)
 |  | Action (TControl)
pt |  | ActionLink (TControl)
 |  | Align (TControl)
 | ro | AnchoredControls (TControl)
 |  | Anchors (TControl)
 | ro | AnchorSide (TControl)
pl |  | AnchorSideBottom (TControl)
pl |  | AnchorSideLeft (TControl)
pl |  | AnchorSideRight (TControl)
pl |  | AnchorSideTop (TControl)
 |  | AutoSize (TControl)
pt | ro | AutoSizing (TControl)
pt | ro | AutoSizingAll (TControl)
pt | ro | AutoSizingLockCount (TControl)
 | ro | BaseBounds (TControl)
 | ro | BaseParentClientSize (TControl)
 |  | BiDiMode (TControl)
pl | ro | BiDiMode (TPage)
 |  | BorderSpacing (TControl)
pt |  | BorderStyle (TWinControl)
 | ro | BorderStyle (TCustomControl)
 |  | BorderWidth (TWinControl)
 | ro | BoundsLockCount (TWinControl)
 |  | BoundsRect (TControl)
 |  | BoundsRectForNewParent (TControl)
 | ro | Brush (TWinControl)
 | ro | CachedClientHeight (TWinControl)
 | ro | CachedClientWidth (TWinControl)
 |  | Canvas (TCustomControl)
 |  | Caption (TControl)
 |  | CaptureMouseButtons (TControl)
 |  | ChildSizing (TWinControl)
pl | ro | ChildSizing (TPage)
 |  | ClientHeight (TControl)
 | ro | ClientOrigin (TControl)
 | ro | ClientRect (TControl)
 |  | ClientWidth (TControl)
 |  | Color (TControl)
pl | ro | Color (TPage)
 | ro | ComObject (TComponent)
 | ro | ComponentCount (TComponent)
 |  | ComponentIndex (TComponent)
 | ro | Components (TComponent)
 | ro | ComponentState (TComponent)
 | ro | ComponentStyle (TComponent)
 |  | Constraints (TControl)
 | ro | ControlCount (TWinControl)
 | ro | ControlOrigin (TControl)
 | ro | Controls (TWinControl)
 |  | ControlState (TControl)
 |  | ControlStyle (TControl)
pl |  | Cursor (TControl)
 |  | DefWndProc (TWinControl)
 |  | DesignerDeleting (TWinControl)
 |  | DesignInfo (TComponent)
pt |  | DesktopFont (TControl)
 | ro | DockClientCount (TWinControl)
 | ro | DockClients (TWinControl)
 |  | DockManager (TWinControl)
 |  | DockOrientation (TControl)
 |  | DockSite (TWinControl)
 |  | DoubleBuffered (TWinControl)
pt |  | DragCursor (TControl)
pt |  | DragKind (TControl)
pt |  | DragMode (TControl)
 |  | Enabled (TControl)
 | ro | Floating (TControl)
 |  | FloatingDockSiteClass (TControl)
 |  | Font (TControl)
 |  | Handle (TWinControl)
pl |  | Height (TControl)
pl | ro | Height (TPage)
pl |  | HelpContext (TControl)
pl |  | HelpKeyword (TControl)
pl |  | HelpType (TControl)
pl |  | Hint (TControl)
 |  | HostDockSite (TControl)
 |  | IsControl (TControl)
 | ro | IsFlipped (TWinControl)
 | ro | IsResizing (TWinControl)
 | ro | LCLRefCount (TLCLComponent)
pl |  | Left (TControl)
pl | ro | Left (TPage)
 |  | LRDockWidth (TControl)
pt |  | MouseCapture (TControl)
 | ro | MouseEntered (TControl)
 | ro | MouseInClient (TControl)
 |  | Name (TComponent)
 | ro | Owner (TComponent)
 | ro | PageIndex (TPage)
 |  | Parent (TControl)
pt |  | ParentBackground (TWinControl)
 |  | ParentBiDiMode (TControl)
pl | ro | ParentBiDiMode (TPage)
pt |  | ParentColor (TControl)
 |  | ParentDoubleBuffered (TWinControl)
pt |  | ParentFont (TControl)
pt |  | ParentShowHint (TControl)
pl | ro | ParentShowHint (TPage)
 |  | ParentWindow (TWinControl)
 |  | PopupMenu (TControl)
pl | ro | PopupMenu (TPage)
 | ro | ReadBounds (TControl)
pt |  | SessionProperties (TControl)
 |  | ShowHint (TControl)
 | ro | Showing (TWinControl)
 |  | TabOrder (TWinControl)
pl | ro | TabOrder (TPage)
 |  | TabStop (TWinControl)
pl | ro | TabStop (TPage)
 |  | Tag (TComponent)
 |  | TBDockHeight (TControl)
pt |  | Text (TControl)
pl |  | Top (TControl)
pl | ro | Top (TPage)
 |  | UndockHeight (TControl)
 |  | UndockWidth (TControl)
 |  | UseDockManager (TWinControl)
 |  | VCLComObject (TComponent)
 |  | Visible (TControl)
pl | ro | Visible (TPage)
 | ro | VisibleDockClientCount (TWinControl)
 | ro | WidgetSetClass (TLCLComponent)
pl |  | Width (TControl)
pl | ro | Width (TPage)
pt |  | WindowHandle (TWinControl)
 |  | WindowProc (TControl)


TPage
pt | SetParent
 | Create
 | Destroy
TCustomControl
pt | WSRegisterClass
pt | WMPaint
pt | DestroyWnd
pt | PaintWindow
pt | FontChanged
pt | SetColor
pt | Paint
 | Create
 | Destroy
TWinControl
pt | WSRegisterClass
pt | AdjustClientRect
pt | GetAdjustedLogicalClientRect
pt | AlignControls
pt | CustomAlignInsertBefore
pt | CustomAlignPosition
pt | DoAlignChildControls
pt | DoChildSizingChange
pt | InvalidatePreferredChildSizes
pt | CanTab
pt | IsClientHeightStored
pt | IsClientWidthStored
pt | DoSendShowHideToInterface
pt | ControlsAligned
pt | DoSendBoundsToInterface
pt | RealizeBounds
pt | RealizeBoundsRecursive
pt | InvalidateBoundsRealized
pt | CreateSubClass
pt | DoConstraintsChange
pt | DoSetBounds
pt | DoAutoSize
pt | DoAllAutoSize
pt | AllAutoSized
pt | CalculatePreferredSize
pt | GetPreferredSizeClientFrame
pt | GetChildren
pt | ChildClassAllowed
pt | PaintControls
pt | PaintHandler
pt | PaintWindow
pt | CreateBrush
pt | ScaleControls
pt | ChangeScale
pt | CMBiDiModeChanged
pt | CMBorderChanged
pt | CMDoubleBufferedChanged
pt | CMEnabledChanged
pt | CMParentDoubleBufferedChanged
pt | CMShowingChanged
pt | CMShowHintChanged
pt | CMVisibleChanged
pt | CMEnter
pt | CMExit
pt | WMContextMenu
pt | WMEraseBkgnd
pt | WMNotify
pt | WMSetFocus
pt | WMKillFocus
pt | WMShowWindow
pt | WMEnter
pt | WMExit
pt | WMKeyDown
pt | WMSysKeyDown
pt | WMKeyUp
pt | WMSysKeyUp
pt | WMChar
pt | WMSysChar
pt | WMPaint
pt | WMDestroy
pt | WMMove
pt | WMSize
pt | WMWindowPosChanged
pt | CNKeyDown
pt | CNSysKeyDown
pt | CNKeyUp
pt | CNSysKeyUp
pt | CNChar
pt | DoDragMsg
pt | DoDockClientMsg
pt | DoUndockClientMsg
pt | DoAddDockClient
pt | DockOver
pt | DoDockOver
pt | DoRemoveDockClient
pt | DoUnDock
pt | GetSiteInfo
pt | GetParentHandle
pt | GetTopParentHandle
pt | ReloadDockedControl
pt | CreateDockManager
pt | SetDockManager
pt | DoFloatMsg
pt | DoGetDockCaption
pt | DoEnter
pt | DoExit
pt | DoKeyDownBeforeInterface
pt | DoRemainingKeyDown
pt | DoRemainingKeyUp
pt | DoKeyPress
pt | DoUTF8KeyPress
pt | DoKeyUpBeforeInterface
pt | ChildKey
pt | SendDialogChar
pt | DialogChar
pt | ControlKeyDown
pt | ControlKeyUp
pt | KeyDown
pt | KeyDownBeforeInterface
pt | KeyDownAfterInterface
pt | KeyPress
pt | KeyUp
pt | KeyUpBeforeInterface
pt | KeyUpAfterInterface
pt | UTF8KeyPress
pt | FindNextControl
pt | SelectFirst
pt | RealGetText
pt | GetBorderStyle
pt | GetClientOrigin
pt | GetClientRect
pt | GetControlOrigin
pt | GetDeviceContext
pt | GetParentBackground
pt | IsControlMouseMsg
pt | CreateHandle
pt | CreateParams
pt | CreateWnd
pt | DestroyHandle
pt | DestroyWnd
pt | DoFlipChildren
pt | FinalizeWnd
pt | FixupTabList
pt | FontChanged
pt | InitializeWnd
pt | Loaded
pt | FormEndUpdated
pt | MainWndProc
pt | ParentFormHandleInitialized
pt | ChildHandlesCreated
pt | GetMouseCapture
pt | RealSetText
pt | RemoveFocus
pt | SendMoveSizeMessages
pt | SetBorderStyle
pt | SetColor
pt | SetChildZPosition
pt | SetParentBackground
pt | ShowControl
pt | UpdateControlState
pt | UpdateShowing
pt | WndProc
pt | WSSetText
 | AutoSizePhases
 | AutoSizeDelayed
 | AutoSizeDelayedReport
 | AutoSizeDelayedHandle
 | BeginUpdateBounds
 | EndUpdateBounds
 | LockRealizeBounds
 | UnlockRealizeBounds
 | ControlAtPos
 | ContainsControl
 | DoAdjustClientRectChange
 | InvalidateClientRectCache
 | ClientRectNeedsInterfaceUpdate
 | SetBounds
 | GetChildrenRect
 | DisableAlign
 | EnableAlign
 | ReAlign
 | ScrollBy_WS
 | ScrollBy
 | WriteLayoutDebugReport
 | AutoAdjustLayout
 | Create
 | CreateParented
 | CreateParentedControl
 | Destroy
 | DockDrop
 | CanFocus
 | CanSetFocus
 | GetControlIndex
 | SetControlIndex
 | Focused
 | PerformTab
 | FindChildControl
 | SelectNext
 | SetTempCursor
 | BroadCast
 | NotifyControls
 | DefaultHandler
 | GetTextLen
 | Invalidate
 | AddControl
 | InsertControl
 | RemoveControl
 | GetEnumeratorControls
 | GetEnumeratorControlsReverse
 | Repaint
 | Update
 | SetFocus
 | FlipChildren
 | ScaleBy
 | GetDockCaption
 | UpdateDockCaption
 | GetTabOrderList
 | HandleAllocated
 | ParentHandlesAllocated
 | HandleNeeded
 | BrushCreated
 | EraseBackground
 | IntfUTF8KeyPress
 | IntfGetDropFilesTarget
 | PaintTo
 | SetShape
TControl
pt | WSRegisterClass
pt | GetCursor
pt | SetCursor
pt | SetVisible
pt | DoOnParentHandleDestruction
pt | DoAutoSize
pt | DoAllAutoSize
pt | BeginAutoSizing
pt | EndAutoSizing
pt | AnchorSideChanged
pt | ForeignAnchorSideChanged
pt | SetAlign
pt | SetAnchors
pt | SetAutoSize
pt | BoundsChanged
pt | CreateControlBorderSpacing
pt | DoConstraintsChange
pt | DoBorderSpacingChange
pt | IsBorderSpacingInnerBorderStored
pt | IsCaptionStored
pt | SendMoveSizeMessages
pt | ConstrainedResize
pt | CalculatePreferredSize
pt | DoOnResize
pt | DoOnChangeBounds
pt | CheckOnChangeBounds
pt | Resize
pt | RequestAlign
pt | UpdateAnchorRules
pt | ChangeBounds
pt | DoSetBounds
pt | ScaleConstraints
pt | ChangeScale
pt | CanAutoSize
pt | SetBiDiMode
pt | SetParentBiDiMode
pt | IsAParentAligning
pt | GetClientOrigin
pt | GetClientRect
pt | GetLogicalClientRect
pt | GetScrolledClientRect
pt | GetClientScrollOffset
pt | GetControlOrigin
pt | IsClientHeightStored
pt | IsClientWidthStored
pt | WidthIsAnchored
pt | HeightIsAnchored
pt | WMCancelMode
pt | WMContextMenu
pt | WMLButtonDown
pt | WMRButtonDown
pt | WMMButtonDown
pt | WMXButtonDown
pt | WMLButtonDBLCLK
pt | WMRButtonDBLCLK
pt | WMMButtonDBLCLK
pt | WMXButtonDBLCLK
pt | WMLButtonTripleCLK
pt | WMRButtonTripleCLK
pt | WMMButtonTripleCLK
pt | WMXButtonTripleCLK
pt | WMLButtonQuadCLK
pt | WMRButtonQuadCLK
pt | WMMButtonQuadCLK
pt | WMXButtonQuadCLK
pt | WMMouseMove
pt | WMLButtonUp
pt | WMRButtonUp
pt | WMMButtonUp
pt | WMXButtonUp
pt | WMMouseWheel
pt | WMMouseHWheel
pt | WMMove
pt | WMSize
pt | WMWindowPosChanged
pt | CMChanged
pt | LMCaptureChanged
pt | CMBiDiModeChanged
pt | CMSysFontChanged
pt | CMEnabledChanged
pt | CMHitTest
pt | CMMouseEnter
pt | CMMouseLeave
pt | CMHintShow
pt | CMParentBiDiModeChanged
pt | CMParentColorChanged
pt | CMParentFontChanged
pt | CMParentShowHintChanged
pt | CMVisibleChanged
pt | CMTextChanged
pt | CMCursorChanged
pt | CalculateDockSizes
pt | CreateFloatingDockSite
pt | GetDockEdge
pt | GetDragImages
pt | GetFloating
pt | GetFloatingDockSiteClass
pt | BeforeDragStart
pt | BeginAutoDrag
pt | DoFloatMsg
pt | DockTrackNoTarget
pt | DoDock
pt | DoDragMsg
pt | DoEndDock
pt | DoEndDrag
pt | DoStartDock
pt | DoStartDrag
pt | DragCanceled
pt | DragOver
pt | PositionDockRect
pt | SetDragMode
pt | GetDefaultDockCaption
pt | Click
pt | DblClick
pt | TripleClick
pt | QuadClick
pt | GetMousePosFromMessage
pt | MouseDown
pt | MouseMove
pt | MouseUp
pt | MouseEnter
pt | MouseLeave
pt | DialogChar
pt | UpdateMouseCursor
pt | Changed
pt | GetPalette
pt | ChildClassAllowed
pt | ReadState
pt | Loaded
pt | LoadedAll
pt | DefineProperties
pt | AssignTo
pt | FormEndUpdated
pt | InvalidateControl
pt | FontChanged
pt | ParentFontChanged
pt | GetAction
pt | RealGetText
pt | RealSetText
pt | TextChanged
pt | GetCachedText
pt | SetAction
pt | SetColor
pt | SetEnabled
pt | SetHint
pt | SetName
pt | SetParent
pt | SetParentComponent
pt | WndProc
pt | ParentFormHandleInitialized
pt | GetMouseCapture
pt | CaptureChanged
pt | Notification
pt | CanTab
pt | GetDeviceContext
pt | GetEnabled
pt | GetPopupMenu
pt | DoOnShowHint
pt | DoMouseWheel
pt | DoMouseWheelDown
pt | DoMouseWheelUp
pt | DoMouseWheelHorz
pt | DoMouseWheelLeft
pt | DoMouseWheelRight
pt | VisibleChanging
pt | VisibleChanged
pt | EnabledChanging
pt | EnabledChanged
pt | AddHandler
pt | RemoveHandler
pt | DoCallNotifyHandler
pt | DoCallKeyEventHandler
pt | DoCallMouseWheelEventHandler
pt | DoContextPopup
pt | SetZOrder
pt | GetControlClassDefaultSize
pt | ColorIsStored
pt | DoAutoAdjustLayout
pt | DoFixDesignFontPPI
pt | DoScaleFontPPI
pt | GetActionLinkClass
pt | ActionChange
 | DragDrop
 | Dock
 | ManualDock
 | ManualFloat
 | ReplaceDockedControl
 | Docked
 | Dragging
 | GetAccessibleObject
 | CreateAccessibleObject
 | GetSelectedChildAccessibleObject
 | GetChildAccessibleObjectAtPos
 | ScaleDesignToForm
 | ScaleFormToDesign
 | Scale96ToForm
 | ScaleFormTo96
 | Scale96ToFont
 | ScaleFontTo96
 | ScaleScreenToFont
 | ScaleFontToScreen
 | Scale96ToScreen
 | ScaleScreenTo96
 | AdjustSize
 | AutoSizePhases
 | AutoSizeDelayed
 | AutoSizeDelayedReport
 | AutoSizeDelayedHandle
 | AnchorToNeighbour
 | AnchorParallel
 | AnchorHorizontalCenterTo
 | AnchorVerticalCenterTo
 | AnchorToCompanion
 | AnchorSame
 | AnchorAsAlign
 | AnchorClient
 | AnchoredControlCount
 | SetBounds
 | SetInitialBounds
 | SetBoundsKeepBase
 | GetPreferredSize
 | GetCanvasScaleFactor
 | GetDefaultWidth
 | GetDefaultHeight
 | GetDefaultColor
 | GetColorResolvingParent
 | GetRGBColorResolvingParent
 | GetSidePosition
 | CNPreferredSizeChanged
 | InvalidatePreferredSize
 | GetAnchorsDependingOnParent
 | DisableAutoSizing
 | EnableAutoSizing
 | UpdateBaseBounds
 | WriteLayoutDebugReport
 | AutoAdjustLayout
 | ShouldAutoAdjust
 | FixDesignFontsPPI
 | ScaleFontsPPI
 | Create
 | Destroy
 | BeforeDestruction
 | EditingDone
 | ExecuteDefaultAction
 | ExecuteCancelAction
 | BeginDrag
 | EndDrag
 | BringToFront
 | HasParent
 | GetParentComponent
 | IsParentOf
 | GetTopParent
 | IsVisible
 | IsControlVisible
 | IsEnabled
 | IsParentColor
 | IsParentFont
 | FormIsUpdating
 | IsProcessingPaintMsg
 | Hide
 | Refresh
 | Repaint
 | Invalidate
 | CheckChildClassAllowed
 | CheckNewParent
 | SendToBack
 | SetTempCursor
 | UpdateRolesForForm
 | ActiveDefaultControlChanged
 | GetTextBuf
 | GetTextLen
 | SetTextBuf
 | Perform
 | ScreenToClient
 | ClientToScreen
 | ScreenToControl
 | ControlToScreen
 | ClientToParent
 | ParentToClient
 | GetChildrenRect
 | Show
 | Update
 | HandleObjectShouldBeVisible
 | ParentDestroyingHandle
 | ParentHandlesAllocated
 | InitiateAction
 | ShowHelp
 | HasHelp
 | RemoveAllHandlersOfObject
 | AddHandlerOnResize
 | RemoveHandlerOnResize
 | AddHandlerOnChangeBounds
 | RemoveHandlerOnChangeBounds
 | AddHandlerOnVisibleChanging
 | RemoveHandlerOnVisibleChanging
 | AddHandlerOnVisibleChanged
 | RemoveHandlerOnVisibleChanged
 | AddHandlerOnEnabledChanged
 | RemoveHandlerOnEnableChanging
 | AddHandlerOnKeyDown
 | RemoveHandlerOnKeyDown
 | AddHandlerOnBeforeDestruction
 | RemoveHandlerOnBeforeDestruction
 | AddHandlerOnMouseWheel
 | RemoveHandlerOnMouseWheel
 | UseRightToLeftAlignment
 | UseRightToLeftReading
 | UseRightToLeftScrollBar
 | IsRightToLeft
TLCLComponent
pt | WSRegisterClass
pt | GetWSComponentClass
 | Create
 | Destroy
 | NewInstance
 | RemoveAllHandlersOfObject
 | IncLCLRefCount
 | DecLCLRefCount
TComponent
 | GetComObject
 | GetComponent
 | GetComponentCount
 | GetComponentIndex
 | Insert
 | ReadLeft
 | ReadTop
 | Remove
 | RemoveNotification
 | SetComponentIndex
 | SetReference
 | WriteLeft
 | WriteTop
 | ChangeName
 | DefineProperties
 | GetChildren
 | GetChildOwner
 | GetChildParent
 | GetOwner
 | Loaded
 | Loading
 | Notification
 | PaletteCreated
 | ReadState
 | SetAncestor
 | SetDesigning
 | SetDesignInstance
 | SetInline
 | SetName
 | SetChildOrder
 | SetParentComponent
 | Updating
 | Updated
 | UpdateRegistry
 | ValidateRename
 | ValidateContainer
 | ValidateInsert
 | QueryInterface
 | _AddRef
 | _Release
 | iicrGetComponent
 | GetTypeInfoCount
 | GetTypeInfo
 | GetIDsOfNames
 | Invoke
 | WriteState
 | Create
 | Destroy
 | BeforeDestruction
 | DestroyComponents
 | Destroying
 | ExecuteAction
 | FindComponent
 | FreeNotification
 | RemoveFreeNotification
 | FreeOnRelease
 | GetEnumerator
 | GetNamePath
 | GetParentComponent
 | HasParent
 | InsertComponent
 | RemoveComponent
 | SafeCallException
 | SetSubComponent
 | UpdateAction
 | IsImplementorOf
 | ReferenceInterface
TPersistent
 | AssignError
 | AssignTo
 | DefineProperties
 | GetOwner
 | Destroy
 | Assign
 | FPOAttachObserver
 | FPODetachObserver
 | FPONotifyObservers
 | GetNamePath
TObject
 | Create
 | Destroy
 | newinstance
 | FreeInstance
 | SafeCallException
 | DefaultHandler
 | Free
 | InitInstance
 | CleanupInstance
 | ClassType
 | ClassInfo
 | ClassName
 | ClassNameIs
 | ClassParent
 | InstanceSize
 | InheritsFrom
 | StringMessageTable
 | MethodAddress
 | MethodName
 | FieldAddress
 | AfterConstruction
 | BeforeDestruction
 | DefaultHandlerStr
 | Dispatch
 | DispatchStr
 | GetInterface
 | GetInterfaceByStr
 | GetInterfaceWeak
 | GetInterfaceEntry
 | GetInterfaceEntryByStr
 | GetInterfaceTable
 | UnitName
 | Equals
 | GetHashCode
 | ToString


pt | ActionChange (TControl)
 | ActiveDefaultControlChanged (TControl)
 | AddControl (TWinControl)
pt | AddHandler (TControl)
 | AddHandlerOnBeforeDestruction (TControl)
 | AddHandlerOnChangeBounds (TControl)
 | AddHandlerOnEnabledChanged (TControl)
 | AddHandlerOnKeyDown (TControl)
 | AddHandlerOnMouseWheel (TControl)
 | AddHandlerOnResize (TControl)
 | AddHandlerOnVisibleChanged (TControl)
 | AddHandlerOnVisibleChanging (TControl)
pt | AdjustClientRect (TWinControl)
 | AdjustSize (TControl)
 | AfterConstruction (TObject)
pt | AlignControls (TWinControl)
pt | AllAutoSized (TWinControl)
 | AnchorAsAlign (TControl)
 | AnchorClient (TControl)
 | AnchoredControlCount (TControl)
 | AnchorHorizontalCenterTo (TControl)
 | AnchorParallel (TControl)
 | AnchorSame (TControl)
pt | AnchorSideChanged (TControl)
 | AnchorToCompanion (TControl)
 | AnchorToNeighbour (TControl)
 | AnchorVerticalCenterTo (TControl)
 | Assign (TPersistent)
 | AssignError (TPersistent)
 | AssignTo (TPersistent)
pt | AssignTo (TControl)
 | AutoAdjustLayout (TControl)
 | AutoAdjustLayout (TWinControl)
 | AutoSizeDelayed (TControl)
 | AutoSizeDelayed (TWinControl)
 | AutoSizeDelayedHandle (TControl)
 | AutoSizeDelayedHandle (TWinControl)
 | AutoSizeDelayedReport (TControl)
 | AutoSizeDelayedReport (TWinControl)
 | AutoSizePhases (TControl)
 | AutoSizePhases (TWinControl)
 | BeforeDestruction (TObject)
 | BeforeDestruction (TComponent)
 | BeforeDestruction (TControl)
pt | BeforeDragStart (TControl)
pt | BeginAutoDrag (TControl)
pt | BeginAutoSizing (TControl)
 | BeginDrag (TControl)
 | BeginUpdateBounds (TWinControl)
pt | BoundsChanged (TControl)
 | BringToFront (TControl)
 | BroadCast (TWinControl)
 | BrushCreated (TWinControl)
pt | CalculateDockSizes (TControl)
pt | CalculatePreferredSize (TControl)
pt | CalculatePreferredSize (TWinControl)
pt | CanAutoSize (TControl)
 | CanFocus (TWinControl)
 | CanSetFocus (TWinControl)
pt | CanTab (TControl)
pt | CanTab (TWinControl)
pt | CaptureChanged (TControl)
pt | ChangeBounds (TControl)
pt | Changed (TControl)
 | ChangeName (TComponent)
pt | ChangeScale (TControl)
pt | ChangeScale (TWinControl)
 | CheckChildClassAllowed (TControl)
 | CheckNewParent (TControl)
pt | CheckOnChangeBounds (TControl)
pt | ChildClassAllowed (TControl)
pt | ChildClassAllowed (TWinControl)
pt | ChildHandlesCreated (TWinControl)
pt | ChildKey (TWinControl)
 | ClassInfo (TObject)
 | ClassName (TObject)
 | ClassNameIs (TObject)
 | ClassParent (TObject)
 | ClassType (TObject)
 | CleanupInstance (TObject)
pt | Click (TControl)
 | ClientRectNeedsInterfaceUpdate (TWinControl)
 | ClientToParent (TControl)
 | ClientToScreen (TControl)
pt | CMBiDiModeChanged (TControl)
pt | CMBiDiModeChanged (TWinControl)
pt | CMBorderChanged (TWinControl)
pt | CMChanged (TControl)
pt | CMCursorChanged (TControl)
pt | CMDoubleBufferedChanged (TWinControl)
pt | CMEnabledChanged (TControl)
pt | CMEnabledChanged (TWinControl)
pt | CMEnter (TWinControl)
pt | CMExit (TWinControl)
pt | CMHintShow (TControl)
pt | CMHitTest (TControl)
pt | CMMouseEnter (TControl)
pt | CMMouseLeave (TControl)
pt | CMParentBiDiModeChanged (TControl)
pt | CMParentColorChanged (TControl)
pt | CMParentDoubleBufferedChanged (TWinControl)
pt | CMParentFontChanged (TControl)
pt | CMParentShowHintChanged (TControl)
pt | CMShowHintChanged (TWinControl)
pt | CMShowingChanged (TWinControl)
pt | CMSysFontChanged (TControl)
pt | CMTextChanged (TControl)
pt | CMVisibleChanged (TControl)
pt | CMVisibleChanged (TWinControl)
pt | CNChar (TWinControl)
pt | CNKeyDown (TWinControl)
pt | CNKeyUp (TWinControl)
 | CNPreferredSizeChanged (TControl)
pt | CNSysKeyDown (TWinControl)
pt | CNSysKeyUp (TWinControl)
pt | ColorIsStored (TControl)
pt | ConstrainedResize (TControl)
 | ContainsControl (TWinControl)
 | ControlAtPos (TWinControl)
pt | ControlKeyDown (TWinControl)
pt | ControlKeyUp (TWinControl)
pt | ControlsAligned (TWinControl)
 | ControlToScreen (TControl)
 | Create (TObject)
 | Create (TComponent)
 | Create (TLCLComponent)
 | Create (TControl)
 | Create (TWinControl)
 | Create (TCustomControl)
 | Create (TPage)
 | CreateAccessibleObject (TControl)
pt | CreateBrush (TWinControl)
pt | CreateControlBorderSpacing (TControl)
pt | CreateDockManager (TWinControl)
pt | CreateFloatingDockSite (TControl)
pt | CreateHandle (TWinControl)
pt | CreateParams (TWinControl)
 | CreateParented (TWinControl)
 | CreateParentedControl (TWinControl)
pt | CreateSubClass (TWinControl)
pt | CreateWnd (TWinControl)
pt | CustomAlignInsertBefore (TWinControl)
pt | CustomAlignPosition (TWinControl)
pt | DblClick (TControl)
 | DecLCLRefCount (TLCLComponent)
 | DefaultHandler (TObject)
 | DefaultHandler (TWinControl)
 | DefaultHandlerStr (TObject)
 | DefineProperties (TPersistent)
 | DefineProperties (TComponent)
pt | DefineProperties (TControl)
 | Destroy (TObject)
 | Destroy (TPersistent)
 | Destroy (TComponent)
 | Destroy (TLCLComponent)
 | Destroy (TControl)
 | Destroy (TWinControl)
 | Destroy (TCustomControl)
 | Destroy (TPage)
 | DestroyComponents (TComponent)
pt | DestroyHandle (TWinControl)
 | Destroying (TComponent)
pt | DestroyWnd (TWinControl)
pt | DestroyWnd (TCustomControl)
pt | DialogChar (TControl)
pt | DialogChar (TWinControl)
 | DisableAlign (TWinControl)
 | DisableAutoSizing (TControl)
 | Dispatch (TObject)
 | DispatchStr (TObject)
pt | DoAddDockClient (TWinControl)
 | DoAdjustClientRectChange (TWinControl)
pt | DoAlignChildControls (TWinControl)
pt | DoAllAutoSize (TControl)
pt | DoAllAutoSize (TWinControl)
pt | DoAutoAdjustLayout (TControl)
pt | DoAutoSize (TControl)
pt | DoAutoSize (TWinControl)
pt | DoBorderSpacingChange (TControl)
pt | DoCallKeyEventHandler (TControl)
pt | DoCallMouseWheelEventHandler (TControl)
pt | DoCallNotifyHandler (TControl)
pt | DoChildSizingChange (TWinControl)
 | Dock (TControl)
 | DockDrop (TWinControl)
 | Docked (TControl)
pt | DockOver (TWinControl)
pt | DockTrackNoTarget (TControl)
pt | DoConstraintsChange (TControl)
pt | DoConstraintsChange (TWinControl)
pt | DoContextPopup (TControl)
pt | DoDock (TControl)
pt | DoDockClientMsg (TWinControl)
pt | DoDockOver (TWinControl)
pt | DoDragMsg (TControl)
pt | DoDragMsg (TWinControl)
pt | DoEndDock (TControl)
pt | DoEndDrag (TControl)
pt | DoEnter (TWinControl)
pt | DoExit (TWinControl)
pt | DoFixDesignFontPPI (TControl)
pt | DoFlipChildren (TWinControl)
pt | DoFloatMsg (TControl)
pt | DoFloatMsg (TWinControl)
pt | DoGetDockCaption (TWinControl)
pt | DoKeyDownBeforeInterface (TWinControl)
pt | DoKeyPress (TWinControl)
pt | DoKeyUpBeforeInterface (TWinControl)
pt | DoMouseWheel (TControl)
pt | DoMouseWheelDown (TControl)
pt | DoMouseWheelHorz (TControl)
pt | DoMouseWheelLeft (TControl)
pt | DoMouseWheelRight (TControl)
pt | DoMouseWheelUp (TControl)
pt | DoOnChangeBounds (TControl)
pt | DoOnParentHandleDestruction (TControl)
pt | DoOnResize (TControl)
pt | DoOnShowHint (TControl)
pt | DoRemainingKeyDown (TWinControl)
pt | DoRemainingKeyUp (TWinControl)
pt | DoRemoveDockClient (TWinControl)
pt | DoScaleFontPPI (TControl)
pt | DoSendBoundsToInterface (TWinControl)
pt | DoSendShowHideToInterface (TWinControl)
pt | DoSetBounds (TControl)
pt | DoSetBounds (TWinControl)
pt | DoStartDock (TControl)
pt | DoStartDrag (TControl)
pt | DoUnDock (TWinControl)
pt | DoUndockClientMsg (TWinControl)
pt | DoUTF8KeyPress (TWinControl)
pt | DragCanceled (TControl)
 | DragDrop (TControl)
 | Dragging (TControl)
pt | DragOver (TControl)
 | EditingDone (TControl)
 | EnableAlign (TWinControl)
 | EnableAutoSizing (TControl)
pt | EnabledChanged (TControl)
pt | EnabledChanging (TControl)
pt | EndAutoSizing (TControl)
 | EndDrag (TControl)
 | EndUpdateBounds (TWinControl)
 | Equals (TObject)
 | EraseBackground (TWinControl)
 | ExecuteAction (TComponent)
 | ExecuteCancelAction (TControl)
 | ExecuteDefaultAction (TControl)
 | FieldAddress (TObject)
pt | FinalizeWnd (TWinControl)
 | FindChildControl (TWinControl)
 | FindComponent (TComponent)
pt | FindNextControl (TWinControl)
 | FixDesignFontsPPI (TControl)
pt | FixupTabList (TWinControl)
 | FlipChildren (TWinControl)
 | Focused (TWinControl)
pt | FontChanged (TControl)
pt | FontChanged (TWinControl)
pt | FontChanged (TCustomControl)
pt | ForeignAnchorSideChanged (TControl)
pt | FormEndUpdated (TControl)
pt | FormEndUpdated (TWinControl)
 | FormIsUpdating (TControl)
 | FPOAttachObserver (TPersistent)
 | FPODetachObserver (TPersistent)
 | FPONotifyObservers (TPersistent)
 | Free (TObject)
 | FreeInstance (TObject)
 | FreeNotification (TComponent)
 | FreeOnRelease (TComponent)
 | GetAccessibleObject (TControl)
pt | GetAction (TControl)
pt | GetActionLinkClass (TControl)
pt | GetAdjustedLogicalClientRect (TWinControl)
 | GetAnchorsDependingOnParent (TControl)
pt | GetBorderStyle (TWinControl)
pt | GetCachedText (TControl)
 | GetCanvasScaleFactor (TControl)
 | GetChildAccessibleObjectAtPos (TControl)
 | GetChildOwner (TComponent)
 | GetChildParent (TComponent)
 | GetChildren (TComponent)
pt | GetChildren (TWinControl)
 | GetChildrenRect (TControl)
 | GetChildrenRect (TWinControl)
pt | GetClientOrigin (TControl)
pt | GetClientOrigin (TWinControl)
pt | GetClientRect (TControl)
pt | GetClientRect (TWinControl)
pt | GetClientScrollOffset (TControl)
 | GetColorResolvingParent (TControl)
 | GetComObject (TComponent)
 | GetComponent (TComponent)
 | GetComponentCount (TComponent)
 | GetComponentIndex (TComponent)
pt | GetControlClassDefaultSize (TControl)
 | GetControlIndex (TWinControl)
pt | GetControlOrigin (TControl)
pt | GetControlOrigin (TWinControl)
pt | GetCursor (TControl)
 | GetDefaultColor (TControl)
pt | GetDefaultDockCaption (TControl)
 | GetDefaultHeight (TControl)
 | GetDefaultWidth (TControl)
pt | GetDeviceContext (TControl)
pt | GetDeviceContext (TWinControl)
 | GetDockCaption (TWinControl)
pt | GetDockEdge (TControl)
pt | GetDragImages (TControl)
pt | GetEnabled (TControl)
 | GetEnumerator (TComponent)
 | GetEnumeratorControls (TWinControl)
 | GetEnumeratorControlsReverse (TWinControl)
pt | GetFloating (TControl)
pt | GetFloatingDockSiteClass (TControl)
 | GetHashCode (TObject)
 | GetIDsOfNames (TComponent)
 | GetInterface (TObject)
 | GetInterfaceByStr (TObject)
 | GetInterfaceEntry (TObject)
 | GetInterfaceEntryByStr (TObject)
 | GetInterfaceTable (TObject)
 | GetInterfaceWeak (TObject)
pt | GetLogicalClientRect (TControl)
pt | GetMouseCapture (TControl)
pt | GetMouseCapture (TWinControl)
pt | GetMousePosFromMessage (TControl)
 | GetNamePath (TPersistent)
 | GetNamePath (TComponent)
 | GetOwner (TPersistent)
 | GetOwner (TComponent)
pt | GetPalette (TControl)
pt | GetParentBackground (TWinControl)
 | GetParentComponent (TComponent)
 | GetParentComponent (TControl)
pt | GetParentHandle (TWinControl)
pt | GetPopupMenu (TControl)
 | GetPreferredSize (TControl)
pt | GetPreferredSizeClientFrame (TWinControl)
 | GetRGBColorResolvingParent (TControl)
pt | GetScrolledClientRect (TControl)
 | GetSelectedChildAccessibleObject (TControl)
 | GetSidePosition (TControl)
pt | GetSiteInfo (TWinControl)
 | GetTabOrderList (TWinControl)
 | GetTextBuf (TControl)
 | GetTextLen (TControl)
 | GetTextLen (TWinControl)
 | GetTopParent (TControl)
pt | GetTopParentHandle (TWinControl)
 | GetTypeInfo (TComponent)
 | GetTypeInfoCount (TComponent)
pt | GetWSComponentClass (TLCLComponent)
 | HandleAllocated (TWinControl)
 | HandleNeeded (TWinControl)
 | HandleObjectShouldBeVisible (TControl)
 | HasHelp (TControl)
 | HasParent (TComponent)
 | HasParent (TControl)
pt | HeightIsAnchored (TControl)
 | Hide (TControl)
 | iicrGetComponent (TComponent)
 | IncLCLRefCount (TLCLComponent)
 | InheritsFrom (TObject)
pt | InitializeWnd (TWinControl)
 | InitiateAction (TControl)
 | InitInstance (TObject)
 | Insert (TComponent)
 | InsertComponent (TComponent)
 | InsertControl (TWinControl)
 | InstanceSize (TObject)
 | IntfGetDropFilesTarget (TWinControl)
 | IntfUTF8KeyPress (TWinControl)
 | Invalidate (TControl)
 | Invalidate (TWinControl)
pt | InvalidateBoundsRealized (TWinControl)
 | InvalidateClientRectCache (TWinControl)
pt | InvalidateControl (TControl)
pt | InvalidatePreferredChildSizes (TWinControl)
 | InvalidatePreferredSize (TControl)
 | Invoke (TComponent)
pt | IsAParentAligning (TControl)
pt | IsBorderSpacingInnerBorderStored (TControl)
pt | IsCaptionStored (TControl)
pt | IsClientHeightStored (TControl)
pt | IsClientHeightStored (TWinControl)
pt | IsClientWidthStored (TControl)
pt | IsClientWidthStored (TWinControl)
pt | IsControlMouseMsg (TWinControl)
 | IsControlVisible (TControl)
 | IsEnabled (TControl)
 | IsImplementorOf (TComponent)
 | IsParentColor (TControl)
 | IsParentFont (TControl)
 | IsParentOf (TControl)
 | IsProcessingPaintMsg (TControl)
 | IsRightToLeft (TControl)
 | IsVisible (TControl)
pt | KeyDown (TWinControl)
pt | KeyDownAfterInterface (TWinControl)
pt | KeyDownBeforeInterface (TWinControl)
pt | KeyPress (TWinControl)
pt | KeyUp (TWinControl)
pt | KeyUpAfterInterface (TWinControl)
pt | KeyUpBeforeInterface (TWinControl)
pt | LMCaptureChanged (TControl)
 | Loaded (TComponent)
pt | Loaded (TControl)
pt | Loaded (TWinControl)
pt | LoadedAll (TControl)
 | Loading (TComponent)
 | LockRealizeBounds (TWinControl)
pt | MainWndProc (TWinControl)
 | ManualDock (TControl)
 | ManualFloat (TControl)
 | MethodAddress (TObject)
 | MethodName (TObject)
pt | MouseDown (TControl)
pt | MouseEnter (TControl)
pt | MouseLeave (TControl)
pt | MouseMove (TControl)
pt | MouseUp (TControl)
 | newinstance (TObject)
 | NewInstance (TLCLComponent)
 | Notification (TComponent)
pt | Notification (TControl)
 | NotifyControls (TWinControl)
pt | Paint (TCustomControl)
pt | PaintControls (TWinControl)
pt | PaintHandler (TWinControl)
 | PaintTo (TWinControl)
pt | PaintWindow (TWinControl)
pt | PaintWindow (TCustomControl)
 | PaletteCreated (TComponent)
 | ParentDestroyingHandle (TControl)
pt | ParentFontChanged (TControl)
pt | ParentFormHandleInitialized (TControl)
pt | ParentFormHandleInitialized (TWinControl)
 | ParentHandlesAllocated (TControl)
 | ParentHandlesAllocated (TWinControl)
 | ParentToClient (TControl)
 | Perform (TControl)
 | PerformTab (TWinControl)
pt | PositionDockRect (TControl)
pt | QuadClick (TControl)
 | QueryInterface (TComponent)
 | ReadLeft (TComponent)
 | ReadState (TComponent)
pt | ReadState (TControl)
 | ReadTop (TComponent)
pt | RealGetText (TControl)
pt | RealGetText (TWinControl)
 | ReAlign (TWinControl)
pt | RealizeBounds (TWinControl)
pt | RealizeBoundsRecursive (TWinControl)
pt | RealSetText (TControl)
pt | RealSetText (TWinControl)
 | ReferenceInterface (TComponent)
 | Refresh (TControl)
pt | ReloadDockedControl (TWinControl)
 | Remove (TComponent)
 | RemoveAllHandlersOfObject (TLCLComponent)
 | RemoveAllHandlersOfObject (TControl)
 | RemoveComponent (TComponent)
 | RemoveControl (TWinControl)
pt | RemoveFocus (TWinControl)
 | RemoveFreeNotification (TComponent)
pt | RemoveHandler (TControl)
 | RemoveHandlerOnBeforeDestruction (TControl)
 | RemoveHandlerOnChangeBounds (TControl)
 | RemoveHandlerOnEnableChanging (TControl)
 | RemoveHandlerOnKeyDown (TControl)
 | RemoveHandlerOnMouseWheel (TControl)
 | RemoveHandlerOnResize (TControl)
 | RemoveHandlerOnVisibleChanged (TControl)
 | RemoveHandlerOnVisibleChanging (TControl)
 | RemoveNotification (TComponent)
 | Repaint (TControl)
 | Repaint (TWinControl)
 | ReplaceDockedControl (TControl)
pt | RequestAlign (TControl)
pt | Resize (TControl)
 | SafeCallException (TObject)
 | SafeCallException (TComponent)
 | Scale96ToFont (TControl)
 | Scale96ToForm (TControl)
 | Scale96ToScreen (TControl)
 | ScaleBy (TWinControl)
pt | ScaleConstraints (TControl)
pt | ScaleControls (TWinControl)
 | ScaleDesignToForm (TControl)
 | ScaleFontsPPI (TControl)
 | ScaleFontTo96 (TControl)
 | ScaleFontToScreen (TControl)
 | ScaleFormTo96 (TControl)
 | ScaleFormToDesign (TControl)
 | ScaleScreenTo96 (TControl)
 | ScaleScreenToFont (TControl)
 | ScreenToClient (TControl)
 | ScreenToControl (TControl)
 | ScrollBy (TWinControl)
 | ScrollBy_WS (TWinControl)
pt | SelectFirst (TWinControl)
 | SelectNext (TWinControl)
pt | SendDialogChar (TWinControl)
pt | SendMoveSizeMessages (TControl)
pt | SendMoveSizeMessages (TWinControl)
 | SendToBack (TControl)
pt | SetAction (TControl)
pt | SetAlign (TControl)
 | SetAncestor (TComponent)
pt | SetAnchors (TControl)
pt | SetAutoSize (TControl)
pt | SetBiDiMode (TControl)
pt | SetBorderStyle (TWinControl)
 | SetBounds (TControl)
 | SetBounds (TWinControl)
 | SetBoundsKeepBase (TControl)
 | SetChildOrder (TComponent)
pt | SetChildZPosition (TWinControl)
pt | SetColor (TControl)
pt | SetColor (TWinControl)
pt | SetColor (TCustomControl)
 | SetComponentIndex (TComponent)
 | SetControlIndex (TWinControl)
pt | SetCursor (TControl)
 | SetDesigning (TComponent)
 | SetDesignInstance (TComponent)
pt | SetDockManager (TWinControl)
pt | SetDragMode (TControl)
pt | SetEnabled (TControl)
 | SetFocus (TWinControl)
pt | SetHint (TControl)
 | SetInitialBounds (TControl)
 | SetInline (TComponent)
 | SetName (TComponent)
pt | SetName (TControl)
pt | SetParent (TControl)
pt | SetParent (TPage)
pt | SetParentBackground (TWinControl)
pt | SetParentBiDiMode (TControl)
 | SetParentComponent (TComponent)
pt | SetParentComponent (TControl)
 | SetReference (TComponent)
 | SetShape (TWinControl)
 | SetSubComponent (TComponent)
 | SetTempCursor (TControl)
 | SetTempCursor (TWinControl)
 | SetTextBuf (TControl)
pt | SetVisible (TControl)
pt | SetZOrder (TControl)
 | ShouldAutoAdjust (TControl)
 | Show (TControl)
pt | ShowControl (TWinControl)
 | ShowHelp (TControl)
 | StringMessageTable (TObject)
pt | TextChanged (TControl)
 | ToString (TObject)
pt | TripleClick (TControl)
 | UnitName (TObject)
 | UnlockRealizeBounds (TWinControl)
 | Update (TControl)
 | Update (TWinControl)
 | UpdateAction (TComponent)
pt | UpdateAnchorRules (TControl)
 | UpdateBaseBounds (TControl)
pt | UpdateControlState (TWinControl)
 | Updated (TComponent)
 | UpdateDockCaption (TWinControl)
pt | UpdateMouseCursor (TControl)
 | UpdateRegistry (TComponent)
 | UpdateRolesForForm (TControl)
pt | UpdateShowing (TWinControl)
 | Updating (TComponent)
 | UseRightToLeftAlignment (TControl)
 | UseRightToLeftReading (TControl)
 | UseRightToLeftScrollBar (TControl)
pt | UTF8KeyPress (TWinControl)
 | ValidateContainer (TComponent)
 | ValidateInsert (TComponent)
 | ValidateRename (TComponent)
pt | VisibleChanged (TControl)
pt | VisibleChanging (TControl)
pt | WidthIsAnchored (TControl)
pt | WMCancelMode (TControl)
pt | WMChar (TWinControl)
pt | WMContextMenu (TControl)
pt | WMContextMenu (TWinControl)
pt | WMDestroy (TWinControl)
pt | WMEnter (TWinControl)
pt | WMEraseBkgnd (TWinControl)
pt | WMExit (TWinControl)
pt | WMKeyDown (TWinControl)
pt | WMKeyUp (TWinControl)
pt | WMKillFocus (TWinControl)
pt | WMLButtonDBLCLK (TControl)
pt | WMLButtonDown (TControl)
pt | WMLButtonQuadCLK (TControl)
pt | WMLButtonTripleCLK (TControl)
pt | WMLButtonUp (TControl)
pt | WMMButtonDBLCLK (TControl)
pt | WMMButtonDown (TControl)
pt | WMMButtonQuadCLK (TControl)
pt | WMMButtonTripleCLK (TControl)
pt | WMMButtonUp (TControl)
pt | WMMouseHWheel (TControl)
pt | WMMouseMove (TControl)
pt | WMMouseWheel (TControl)
pt | WMMove (TControl)
pt | WMMove (TWinControl)
pt | WMNotify (TWinControl)
pt | WMPaint (TWinControl)
pt | WMPaint (TCustomControl)
pt | WMRButtonDBLCLK (TControl)
pt | WMRButtonDown (TControl)
pt | WMRButtonQuadCLK (TControl)
pt | WMRButtonTripleCLK (TControl)
pt | WMRButtonUp (TControl)
pt | WMSetFocus (TWinControl)
pt | WMShowWindow (TWinControl)
pt | WMSize (TControl)
pt | WMSize (TWinControl)
pt | WMSysChar (TWinControl)
pt | WMSysKeyDown (TWinControl)
pt | WMSysKeyUp (TWinControl)
pt | WMWindowPosChanged (TControl)
pt | WMWindowPosChanged (TWinControl)
pt | WMXButtonDBLCLK (TControl)
pt | WMXButtonDown (TControl)
pt | WMXButtonQuadCLK (TControl)
pt | WMXButtonTripleCLK (TControl)
pt | WMXButtonUp (TControl)
pt | WndProc (TControl)
pt | WndProc (TWinControl)
 | WriteLayoutDebugReport (TControl)
 | WriteLayoutDebugReport (TWinControl)
 | WriteLeft (TComponent)
 | WriteState (TComponent)
 | WriteTop (TComponent)
pt | WSRegisterClass (TLCLComponent)
pt | WSRegisterClass (TControl)
pt | WSRegisterClass (TWinControl)
pt | WSRegisterClass (TCustomControl)
pt | WSSetText (TWinControl)
 | _AddRef (TComponent)
 | _Release (TComponent)


TPage
pl |  | OnBeforeShow
pl | ro | OnContextPopup
pl | ro | OnEnter
pl | ro | OnExit
pl | ro | OnMouseDown
pl | ro | OnMouseEnter
pl | ro | OnMouseLeave
pl | ro | OnMouseMove
pl | ro | OnMouseUp
pl | ro | OnMouseWheel
pl | ro | OnMouseWheelDown
pl | ro | OnMouseWheelUp
pl | ro | OnResize
TCustomControl
 |  | OnPaint
TWinControl
pt |  | OnGetSiteInfo
pt |  | OnGetDockCaption
 |  | OnAlignInsertBefore
 |  | OnAlignPosition
 |  | OnDockDrop
 |  | OnDockOver
 |  | OnEnter
 |  | OnExit
 |  | OnKeyDown
 |  | OnKeyPress
 |  | OnKeyUp
 |  | OnUnDock
 |  | OnUTF8KeyPress
TControl
pt |  | OnConstrainedResize
pt |  | OnContextPopup
pt |  | OnDblClick
pt |  | OnTripleClick
pt |  | OnQuadClick
pt |  | OnDragDrop
pt |  | OnDragOver
pt |  | OnEndDock
pt |  | OnEndDrag
pt |  | OnMouseDown
pt |  | OnMouseMove
pt |  | OnMouseUp
pt |  | OnMouseEnter
pt |  | OnMouseLeave
pt |  | OnMouseWheel
pt |  | OnMouseWheelDown
pt |  | OnMouseWheelUp
pt |  | OnMouseWheelHorz
pt |  | OnMouseWheelLeft
pt |  | OnMouseWheelRight
pt |  | OnStartDock
pt |  | OnStartDrag
pt |  | OnEditingDone
 |  | OnChangeBounds
 |  | OnClick
 |  | OnResize
 |  | OnShowHint
TLCLComponent
TComponent
TPersistent
TObject


pl |  | OnBeforeShow (TPage)
 |  | OnChangeBounds (TControl)
 |  | OnClick (TControl)
pt |  | OnConstrainedResize (TControl)
pt |  | OnContextPopup (TControl)
pl | ro | OnContextPopup (TPage)
pt |  | OnDblClick (TControl)
 |  | OnDockDrop (TWinControl)
 |  | OnDockOver (TWinControl)
pt |  | OnDragDrop (TControl)
pt |  | OnDragOver (TControl)
pt |  | OnEditingDone (TControl)
pt |  | OnEndDock (TControl)
pt |  | OnEndDrag (TControl)
 |  | OnEnter (TWinControl)
pl | ro | OnEnter (TPage)
 |  | OnExit (TWinControl)
pl | ro | OnExit (TPage)
pt |  | OnGetDockCaption (TWinControl)
pt |  | OnGetSiteInfo (TWinControl)
 |  | OnKeyDown (TWinControl)
 |  | OnKeyPress (TWinControl)
 |  | OnKeyUp (TWinControl)
pt |  | OnMouseDown (TControl)
pl | ro | OnMouseDown (TPage)
pt |  | OnMouseEnter (TControl)
pl | ro | OnMouseEnter (TPage)
pt |  | OnMouseLeave (TControl)
pl | ro | OnMouseLeave (TPage)
pt |  | OnMouseMove (TControl)
pl | ro | OnMouseMove (TPage)
pt |  | OnMouseUp (TControl)
pl | ro | OnMouseUp (TPage)
pt |  | OnMouseWheel (TControl)
pl | ro | OnMouseWheel (TPage)
pt |  | OnMouseWheelDown (TControl)
pl | ro | OnMouseWheelDown (TPage)
pt |  | OnMouseWheelHorz (TControl)
pt |  | OnMouseWheelLeft (TControl)
pt |  | OnMouseWheelRight (TControl)
pt |  | OnMouseWheelUp (TControl)
pl | ro | OnMouseWheelUp (TPage)
 |  | OnPaint (TCustomControl)
pt |  | OnQuadClick (TControl)
 |  | OnResize (TControl)
pl | ro | OnResize (TPage)
 |  | OnShowHint (TControl)
pt |  | OnStartDock (TControl)
pt |  | OnStartDrag (TControl)
pt |  | OnTripleClick (TControl)
 |  | OnUnDock (TWinControl)
 |  | OnUTF8KeyPress (TWinControl)


TPage.BiDiMode

Declaration

Source position: extctrls.pp line 63

published property TPage.BiDiMode : TBiDiMode;


TPage.Color

Declaration

Source position: extctrls.pp line 65

published property TPage.Color : TColor;


TPage.OnBeforeShow

Declaration

Source position: extctrls.pp line 61

published property TPage.OnBeforeShow : TBeforeShowPageEvent
  read FOnBeforeShow
  write FOnBeforeShow;


TPage.OnMouseEnter

Declaration

Source position: extctrls.pp line 74

published property TPage.OnMouseEnter : TNotifyEvent;


TPage.OnMouseLeave

Declaration

Source position: extctrls.pp line 75

published property TPage.OnMouseLeave : TNotifyEvent;


TPage.OnMouseWheel

Declaration

Source position: extctrls.pp line 78

published property TPage.OnMouseWheel : TMouseWheelEvent;


TPage.OnMouseWheelDown

Declaration

Source position: extctrls.pp line 79

published property TPage.OnMouseWheelDown : TMouseWheelUpDownEvent;


TPage.OnMouseWheelUp

Declaration

Source position: extctrls.pp line 80

published property TPage.OnMouseWheelUp : TMouseWheelUpDownEvent;


TPage.ParentBiDiMode

Declaration

Source position: extctrls.pp line 82

published property TPage.ParentBiDiMode : Boolean;


TPage.SetParent

Declaration

Source position: extctrls.pp line 51

protected procedure TPage.SetParent(

  AParent: TWinControl

); override;


TPage.TabStop

Declaration

Source position: extctrls.pp line 86

published property TPage.TabStop : Boolean;


TPaintBox

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

TPaintBox: a painted rectangular box with defined size and color

Declaration

Source position: extctrls.pp line 449

type TPaintBox = class(TGraphicControl)
protected
class procedure WSRegisterClass; override; | Registers this component class with the current WidgetSet.
procedure Paint; override; | Override this method with your own painting code.
class function GetControlClassDefaultSize; override; | Returns the default size for this class of controls (when added to a form).
public
constructor Create(); override; | Create - constructor for TPaintBox: calls inherited Create then sets initial bounds and style
property Canvas: TCanvas; | A clipped window into the parent Canvas.
published
property Align: TAlign; | Specifies the placement of the control inside its Parent.
property Anchors: TAnchors; | The set of anchor definitions for this control.
property BorderSpacing: TControlBorderSpacing; | Determines the inner and outer border spacing for this control.
property Color: TColor; | The background color of the control.
property Constraints: TSizeConstraints; | The minimal and maximal Width and Height of this control.
property DragCursor: TCursor; | The cursor shape shown while the control is dragged.
property DragMode: TDragMode; | Allows the user to drag the control.
property Enabled: Boolean; | Determines whether the control reacts on mouse or keyboard input.
property Font: TFont; | The font to be used for text display in this control.
property Hint: TTranslateString; | The text to show in the Hint window for this control.
property ParentColor: Boolean; | If true, the Color of the control will be the same as the one from the Parent. Default is true.
property ParentFont: Boolean; | If true, the Font of the control will be the same as the one from the Parent. Default is true.
property ParentShowHint: Boolean; | If true, the value of ShowHint for the control will be the same as the one from the Parent. Default is true.
property PopupMenu: TPopupMenu; | A context-sensitive menu that pops up when the right mouse button is clicked over this control
property ShowHint: Boolean; | Enables the Hint display.
property Visible: Boolean; | Allows to show or hide the control, and all of its children.
property OnChangeBounds: TNotifyEvent; | Event handler for a change of the Bounds of the control.
property OnClick: TNotifyEvent; | Notification handler for mouse clicks.
property OnDblClick: TNotifyEvent; | Event Handler for double mouse clicks.
property OnDragDrop: TDragDropEvent; | This handler determines the action on an drop onto this control, in a drag-drop operation.
property OnDragOver: TDragOverEvent; | Event handler for a control being dragged over this control.
property OnEndDrag: TEndDragEvent; | Notification handler for the end of a dragging operation.
property OnMouseDown: TMouseEvent; | Event handler for mouse button going down.
property OnMouseEnter: TNotifyEvent; | Event handler for mouse entering the area of the control.
property OnMouseLeave: TNotifyEvent; | Event handler for mouse leaving the area of the control.
property OnMouseMove: TMouseMoveEvent; | Event handler for mouse movement within the control.
property OnMouseUp: TMouseEvent; | Event handler for mouse button going up.
property OnMouseWheel: TMouseWheelEvent; | Event handler for mouse wheel turned.
property OnMouseWheelDown: TMouseWheelUpDownEvent; | Notification handler for downward movement of mouse wheel.
property OnMouseWheelUp: TMouseWheelUpDownEvent; | Notification handler for upward movement of mouse wheel.
property OnMouseWheelHorz: TMouseWheelEvent;
property OnMouseWheelLeft: TMouseWheelUpDownEvent;
property OnMouseWheelRight: TMouseWheelUpDownEvent;
property OnPaint: TNotifyEvent; | Supply your own OnPaint handler for painting the control.
property OnResize: TNotifyEvent; | Notification handler for a resize of the control.
property OnStartDrag: TStartDragEvent; | Event handler for the start of a dragging operation.
end;

Inheritance

TPaintBox | TPaintBox: a painted rectangular box with defined size and color
|
TGraphicControl | TGraphicControl is the base class for all lightweight controls.
|
TControl | The base class for visible controls.
|
TLCLComponent | The base class for LCL components associated with widgets.
|
TComponent,IUnknown,IInterfaceComponentReference
|
TPersistent,IFPObserved
|
TObject

Description

TPaintBox: a painted rectangular box with defined size and colour

See also

HowToUseStdCtrls

How to use StdCtrls, ComCtrls or ExtCtrls


TPaintBox
 | ro | Canvas
pl | ro | Align
pl | ro | Anchors
pl | ro | BorderSpacing
pl | ro | Color
pl | ro | Constraints
pl | ro | DragCursor
pl | ro | DragMode
pl | ro | Enabled
pl | ro | Font
pl | ro | Hint
pl | ro | ParentColor
pl | ro | ParentFont
pl | ro | ParentShowHint
pl | ro | PopupMenu
pl | ro | ShowHint
pl | ro | Visible
TGraphicControl
 | ro | Canvas
TControl
pt | ro | AutoSizing
pt | ro | AutoSizingAll
pt | ro | AutoSizingLockCount
pt |  | ActionLink
pt |  | DesktopFont
pt |  | DragCursor
pt |  | DragKind
pt |  | DragMode
pt |  | MouseCapture
pt |  | ParentColor
pt |  | ParentFont
pt |  | ParentShowHint
pt |  | SessionProperties
pt |  | Text
 | ro | AnchoredControls
 | ro | BaseBounds
 | ro | ReadBounds
 | ro | BaseParentClientSize
 |  | AccessibleDescription
 |  | AccessibleValue
 |  | AccessibleRole
 |  | Action
 |  | Align
 |  | Anchors
 | ro | AnchorSide
 |  | AutoSize
 |  | BorderSpacing
 |  | BoundsRect
 |  | BoundsRectForNewParent
 |  | Caption
 |  | CaptureMouseButtons
 |  | ClientHeight
 | ro | ClientOrigin
 | ro | ClientRect
 |  | ClientWidth
 |  | Color
 |  | Constraints
 | ro | ControlOrigin
 |  | ControlState
 |  | ControlStyle
 |  | Enabled
 |  | Font
 |  | IsControl
 | ro | MouseEntered
 | ro | MouseInClient
 |  | Parent
 |  | PopupMenu
 |  | ShowHint
 |  | Visible
 |  | WindowProc
 |  | DockOrientation
 | ro | Floating
 |  | FloatingDockSiteClass
 |  | HostDockSite
 |  | LRDockWidth
 |  | TBDockHeight
 |  | UndockHeight
 |  | UndockWidth
 |  | BiDiMode
 |  | ParentBiDiMode
pl |  | AnchorSideLeft
pl |  | AnchorSideTop
pl |  | AnchorSideRight
pl |  | AnchorSideBottom
pl |  | Cursor
pl |  | Left
pl |  | Height
pl |  | Hint
pl |  | Top
pl |  | Width
pl |  | HelpType
pl |  | HelpKeyword
pl |  | HelpContext
TLCLComponent
 | ro | LCLRefCount
 | ro | WidgetSetClass
TComponent
 | ro | ComObject
 | ro | Components
 | ro | ComponentCount
 |  | ComponentIndex
 | ro | ComponentState
 | ro | ComponentStyle
 |  | DesignInfo
 | ro | Owner
 |  | VCLComObject
 |  | Name
 |  | Tag
TPersistent
TObject


 |  | AccessibleDescription (TControl)
 |  | AccessibleRole (TControl)
 |  | AccessibleValue (TControl)
 |  | Action (TControl)
pt |  | ActionLink (TControl)
 |  | Align (TControl)
pl | ro | Align (TPaintBox)
 | ro | AnchoredControls (TControl)
 |  | Anchors (TControl)
pl | ro | Anchors (TPaintBox)
 | ro | AnchorSide (TControl)
pl |  | AnchorSideBottom (TControl)
pl |  | AnchorSideLeft (TControl)
pl |  | AnchorSideRight (TControl)
pl |  | AnchorSideTop (TControl)
 |  | AutoSize (TControl)
pt | ro | AutoSizing (TControl)
pt | ro | AutoSizingAll (TControl)
pt | ro | AutoSizingLockCount (TControl)
 | ro | BaseBounds (TControl)
 | ro | BaseParentClientSize (TControl)
 |  | BiDiMode (TControl)
 |  | BorderSpacing (TControl)
pl | ro | BorderSpacing (TPaintBox)
 |  | BoundsRect (TControl)
 |  | BoundsRectForNewParent (TControl)
 | ro | Canvas (TGraphicControl)
 | ro | Canvas (TPaintBox)
 |  | Caption (TControl)
 |  | CaptureMouseButtons (TControl)
 |  | ClientHeight (TControl)
 | ro | ClientOrigin (TControl)
 | ro | ClientRect (TControl)
 |  | ClientWidth (TControl)
 |  | Color (TControl)
pl | ro | Color (TPaintBox)
 | ro | ComObject (TComponent)
 | ro | ComponentCount (TComponent)
 |  | ComponentIndex (TComponent)
 | ro | Components (TComponent)
 | ro | ComponentState (TComponent)
 | ro | ComponentStyle (TComponent)
 |  | Constraints (TControl)
pl | ro | Constraints (TPaintBox)
 | ro | ControlOrigin (TControl)
 |  | ControlState (TControl)
 |  | ControlStyle (TControl)
pl |  | Cursor (TControl)
 |  | DesignInfo (TComponent)
pt |  | DesktopFont (TControl)
 |  | DockOrientation (TControl)
pt |  | DragCursor (TControl)
pl | ro | DragCursor (TPaintBox)
pt |  | DragKind (TControl)
pt |  | DragMode (TControl)
pl | ro | DragMode (TPaintBox)
 |  | Enabled (TControl)
pl | ro | Enabled (TPaintBox)
 | ro | Floating (TControl)
 |  | FloatingDockSiteClass (TControl)
 |  | Font (TControl)
pl | ro | Font (TPaintBox)
pl |  | Height (TControl)
pl |  | HelpContext (TControl)
pl |  | HelpKeyword (TControl)
pl |  | HelpType (TControl)
pl |  | Hint (TControl)
pl | ro | Hint (TPaintBox)
 |  | HostDockSite (TControl)
 |  | IsControl (TControl)
 | ro | LCLRefCount (TLCLComponent)
pl |  | Left (TControl)
 |  | LRDockWidth (TControl)
pt |  | MouseCapture (TControl)
 | ro | MouseEntered (TControl)
 | ro | MouseInClient (TControl)
 |  | Name (TComponent)
 | ro | Owner (TComponent)
 |  | Parent (TControl)
 |  | ParentBiDiMode (TControl)
pt |  | ParentColor (TControl)
pl | ro | ParentColor (TPaintBox)
pt |  | ParentFont (TControl)
pl | ro | ParentFont (TPaintBox)
pt |  | ParentShowHint (TControl)
pl | ro | ParentShowHint (TPaintBox)
 |  | PopupMenu (TControl)
pl | ro | PopupMenu (TPaintBox)
 | ro | ReadBounds (TControl)
pt |  | SessionProperties (TControl)
 |  | ShowHint (TControl)
pl | ro | ShowHint (TPaintBox)
 |  | Tag (TComponent)
 |  | TBDockHeight (TControl)
pt |  | Text (TControl)
pl |  | Top (TControl)
 |  | UndockHeight (TControl)
 |  | UndockWidth (TControl)
 |  | VCLComObject (TComponent)
 |  | Visible (TControl)
pl | ro | Visible (TPaintBox)
 | ro | WidgetSetClass (TLCLComponent)
pl |  | Width (TControl)
 |  | WindowProc (TControl)


TPaintBox
pt | WSRegisterClass
pt | Paint
pt | GetControlClassDefaultSize
 | Create
TGraphicControl
pt | WSRegisterClass
pt | FontChanged
pt | Paint
pt | DoOnChangeBounds
pt | DoOnParentHandleDestruction
pt | CMCursorChanged
 | Create
 | Destroy
TControl
pt | WSRegisterClass
pt | GetCursor
pt | SetCursor
pt | SetVisible
pt | DoOnParentHandleDestruction
pt | DoAutoSize
pt | DoAllAutoSize
pt | BeginAutoSizing
pt | EndAutoSizing
pt | AnchorSideChanged
pt | ForeignAnchorSideChanged
pt | SetAlign
pt | SetAnchors
pt | SetAutoSize
pt | BoundsChanged
pt | CreateControlBorderSpacing
pt | DoConstraintsChange
pt | DoBorderSpacingChange
pt | IsBorderSpacingInnerBorderStored
pt | IsCaptionStored
pt | SendMoveSizeMessages
pt | ConstrainedResize
pt | CalculatePreferredSize
pt | DoOnResize
pt | DoOnChangeBounds
pt | CheckOnChangeBounds
pt | Resize
pt | RequestAlign
pt | UpdateAnchorRules
pt | ChangeBounds
pt | DoSetBounds
pt | ScaleConstraints
pt | ChangeScale
pt | CanAutoSize
pt | SetBiDiMode
pt | SetParentBiDiMode
pt | IsAParentAligning
pt | GetClientOrigin
pt | GetClientRect
pt | GetLogicalClientRect
pt | GetScrolledClientRect
pt | GetClientScrollOffset
pt | GetControlOrigin
pt | IsClientHeightStored
pt | IsClientWidthStored
pt | WidthIsAnchored
pt | HeightIsAnchored
pt | WMCancelMode
pt | WMContextMenu
pt | WMLButtonDown
pt | WMRButtonDown
pt | WMMButtonDown
pt | WMXButtonDown
pt | WMLButtonDBLCLK
pt | WMRButtonDBLCLK
pt | WMMButtonDBLCLK
pt | WMXButtonDBLCLK
pt | WMLButtonTripleCLK
pt | WMRButtonTripleCLK
pt | WMMButtonTripleCLK
pt | WMXButtonTripleCLK
pt | WMLButtonQuadCLK
pt | WMRButtonQuadCLK
pt | WMMButtonQuadCLK
pt | WMXButtonQuadCLK
pt | WMMouseMove
pt | WMLButtonUp
pt | WMRButtonUp
pt | WMMButtonUp
pt | WMXButtonUp
pt | WMMouseWheel
pt | WMMouseHWheel
pt | WMMove
pt | WMSize
pt | WMWindowPosChanged
pt | CMChanged
pt | LMCaptureChanged
pt | CMBiDiModeChanged
pt | CMSysFontChanged
pt | CMEnabledChanged
pt | CMHitTest
pt | CMMouseEnter
pt | CMMouseLeave
pt | CMHintShow
pt | CMParentBiDiModeChanged
pt | CMParentColorChanged
pt | CMParentFontChanged
pt | CMParentShowHintChanged
pt | CMVisibleChanged
pt | CMTextChanged
pt | CMCursorChanged
pt | CalculateDockSizes
pt | CreateFloatingDockSite
pt | GetDockEdge
pt | GetDragImages
pt | GetFloating
pt | GetFloatingDockSiteClass
pt | BeforeDragStart
pt | BeginAutoDrag
pt | DoFloatMsg
pt | DockTrackNoTarget
pt | DoDock
pt | DoDragMsg
pt | DoEndDock
pt | DoEndDrag
pt | DoStartDock
pt | DoStartDrag
pt | DragCanceled
pt | DragOver
pt | PositionDockRect
pt | SetDragMode
pt | GetDefaultDockCaption
pt | Click
pt | DblClick
pt | TripleClick
pt | QuadClick
pt | GetMousePosFromMessage
pt | MouseDown
pt | MouseMove
pt | MouseUp
pt | MouseEnter
pt | MouseLeave
pt | DialogChar
pt | UpdateMouseCursor
pt | Changed
pt | GetPalette
pt | ChildClassAllowed
pt | ReadState
pt | Loaded
pt | LoadedAll
pt | DefineProperties
pt | AssignTo
pt | FormEndUpdated
pt | InvalidateControl
pt | FontChanged
pt | ParentFontChanged
pt | GetAction
pt | RealGetText
pt | RealSetText
pt | TextChanged
pt | GetCachedText
pt | SetAction
pt | SetColor
pt | SetEnabled
pt | SetHint
pt | SetName
pt | SetParent
pt | SetParentComponent
pt | WndProc
pt | ParentFormHandleInitialized
pt | GetMouseCapture
pt | CaptureChanged
pt | Notification
pt | CanTab
pt | GetDeviceContext
pt | GetEnabled
pt | GetPopupMenu
pt | DoOnShowHint
pt | DoMouseWheel
pt | DoMouseWheelDown
pt | DoMouseWheelUp
pt | DoMouseWheelHorz
pt | DoMouseWheelLeft
pt | DoMouseWheelRight
pt | VisibleChanging
pt | VisibleChanged
pt | EnabledChanging
pt | EnabledChanged
pt | AddHandler
pt | RemoveHandler
pt | DoCallNotifyHandler
pt | DoCallKeyEventHandler
pt | DoCallMouseWheelEventHandler
pt | DoContextPopup
pt | SetZOrder
pt | GetControlClassDefaultSize
pt | ColorIsStored
pt | DoAutoAdjustLayout
pt | DoFixDesignFontPPI
pt | DoScaleFontPPI
pt | GetActionLinkClass
pt | ActionChange
 | DragDrop
 | Dock
 | ManualDock
 | ManualFloat
 | ReplaceDockedControl
 | Docked
 | Dragging
 | GetAccessibleObject
 | CreateAccessibleObject
 | GetSelectedChildAccessibleObject
 | GetChildAccessibleObjectAtPos
 | ScaleDesignToForm
 | ScaleFormToDesign
 | Scale96ToForm
 | ScaleFormTo96
 | Scale96ToFont
 | ScaleFontTo96
 | ScaleScreenToFont
 | ScaleFontToScreen
 | Scale96ToScreen
 | ScaleScreenTo96
 | AdjustSize
 | AutoSizePhases
 | AutoSizeDelayed
 | AutoSizeDelayedReport
 | AutoSizeDelayedHandle
 | AnchorToNeighbour
 | AnchorParallel
 | AnchorHorizontalCenterTo
 | AnchorVerticalCenterTo
 | AnchorToCompanion
 | AnchorSame
 | AnchorAsAlign
 | AnchorClient
 | AnchoredControlCount
 | SetBounds
 | SetInitialBounds
 | SetBoundsKeepBase
 | GetPreferredSize
 | GetCanvasScaleFactor
 | GetDefaultWidth
 | GetDefaultHeight
 | GetDefaultColor
 | GetColorResolvingParent
 | GetRGBColorResolvingParent
 | GetSidePosition
 | CNPreferredSizeChanged
 | InvalidatePreferredSize
 | GetAnchorsDependingOnParent
 | DisableAutoSizing
 | EnableAutoSizing
 | UpdateBaseBounds
 | WriteLayoutDebugReport
 | AutoAdjustLayout
 | ShouldAutoAdjust
 | FixDesignFontsPPI
 | ScaleFontsPPI
 | Create
 | Destroy
 | BeforeDestruction
 | EditingDone
 | ExecuteDefaultAction
 | ExecuteCancelAction
 | BeginDrag
 | EndDrag
 | BringToFront
 | HasParent
 | GetParentComponent
 | IsParentOf
 | GetTopParent
 | IsVisible
 | IsControlVisible
 | IsEnabled
 | IsParentColor
 | IsParentFont
 | FormIsUpdating
 | IsProcessingPaintMsg
 | Hide
 | Refresh
 | Repaint
 | Invalidate
 | CheckChildClassAllowed
 | CheckNewParent
 | SendToBack
 | SetTempCursor
 | UpdateRolesForForm
 | ActiveDefaultControlChanged
 | GetTextBuf
 | GetTextLen
 | SetTextBuf
 | Perform
 | ScreenToClient
 | ClientToScreen
 | ScreenToControl
 | ControlToScreen
 | ClientToParent
 | ParentToClient
 | GetChildrenRect
 | Show
 | Update
 | HandleObjectShouldBeVisible
 | ParentDestroyingHandle
 | ParentHandlesAllocated
 | InitiateAction
 | ShowHelp
 | HasHelp
 | RemoveAllHandlersOfObject
 | AddHandlerOnResize
 | RemoveHandlerOnResize
 | AddHandlerOnChangeBounds
 | RemoveHandlerOnChangeBounds
 | AddHandlerOnVisibleChanging
 | RemoveHandlerOnVisibleChanging
 | AddHandlerOnVisibleChanged
 | RemoveHandlerOnVisibleChanged
 | AddHandlerOnEnabledChanged
 | RemoveHandlerOnEnableChanging
 | AddHandlerOnKeyDown
 | RemoveHandlerOnKeyDown
 | AddHandlerOnBeforeDestruction
 | RemoveHandlerOnBeforeDestruction
 | AddHandlerOnMouseWheel
 | RemoveHandlerOnMouseWheel
 | UseRightToLeftAlignment
 | UseRightToLeftReading
 | UseRightToLeftScrollBar
 | IsRightToLeft
TLCLComponent
pt | WSRegisterClass
pt | GetWSComponentClass
 | Create
 | Destroy
 | NewInstance
 | RemoveAllHandlersOfObject
 | IncLCLRefCount
 | DecLCLRefCount
TComponent
 | GetComObject
 | GetComponent
 | GetComponentCount
 | GetComponentIndex
 | Insert
 | ReadLeft
 | ReadTop
 | Remove
 | RemoveNotification
 | SetComponentIndex
 | SetReference
 | WriteLeft
 | WriteTop
 | ChangeName
 | DefineProperties
 | GetChildren
 | GetChildOwner
 | GetChildParent
 | GetOwner
 | Loaded
 | Loading
 | Notification
 | PaletteCreated
 | ReadState
 | SetAncestor
 | SetDesigning
 | SetDesignInstance
 | SetInline
 | SetName
 | SetChildOrder
 | SetParentComponent
 | Updating
 | Updated
 | UpdateRegistry
 | ValidateRename
 | ValidateContainer
 | ValidateInsert
 | QueryInterface
 | _AddRef
 | _Release
 | iicrGetComponent
 | GetTypeInfoCount
 | GetTypeInfo
 | GetIDsOfNames
 | Invoke
 | WriteState
 | Create
 | Destroy
 | BeforeDestruction
 | DestroyComponents
 | Destroying
 | ExecuteAction
 | FindComponent
 | FreeNotification
 | RemoveFreeNotification
 | FreeOnRelease
 | GetEnumerator
 | GetNamePath
 | GetParentComponent
 | HasParent
 | InsertComponent
 | RemoveComponent
 | SafeCallException
 | SetSubComponent
 | UpdateAction
 | IsImplementorOf
 | ReferenceInterface
TPersistent
 | AssignError
 | AssignTo
 | DefineProperties
 | GetOwner
 | Destroy
 | Assign
 | FPOAttachObserver
 | FPODetachObserver
 | FPONotifyObservers
 | GetNamePath
TObject
 | Create
 | Destroy
 | newinstance
 | FreeInstance
 | SafeCallException
 | DefaultHandler
 | Free
 | InitInstance
 | CleanupInstance
 | ClassType
 | ClassInfo
 | ClassName
 | ClassNameIs
 | ClassParent
 | InstanceSize
 | InheritsFrom
 | StringMessageTable
 | MethodAddress
 | MethodName
 | FieldAddress
 | AfterConstruction
 | BeforeDestruction
 | DefaultHandlerStr
 | Dispatch
 | DispatchStr
 | GetInterface
 | GetInterfaceByStr
 | GetInterfaceWeak
 | GetInterfaceEntry
 | GetInterfaceEntryByStr
 | GetInterfaceTable
 | UnitName
 | Equals
 | GetHashCode
 | ToString


pt | ActionChange (TControl)
 | ActiveDefaultControlChanged (TControl)
pt | AddHandler (TControl)
 | AddHandlerOnBeforeDestruction (TControl)
 | AddHandlerOnChangeBounds (TControl)
 | AddHandlerOnEnabledChanged (TControl)
 | AddHandlerOnKeyDown (TControl)
 | AddHandlerOnMouseWheel (TControl)
 | AddHandlerOnResize (TControl)
 | AddHandlerOnVisibleChanged (TControl)
 | AddHandlerOnVisibleChanging (TControl)
 | AdjustSize (TControl)
 | AfterConstruction (TObject)
 | AnchorAsAlign (TControl)
 | AnchorClient (TControl)
 | AnchoredControlCount (TControl)
 | AnchorHorizontalCenterTo (TControl)
 | AnchorParallel (TControl)
 | AnchorSame (TControl)
pt | AnchorSideChanged (TControl)
 | AnchorToCompanion (TControl)
 | AnchorToNeighbour (TControl)
 | AnchorVerticalCenterTo (TControl)
 | Assign (TPersistent)
 | AssignError (TPersistent)
 | AssignTo (TPersistent)
pt | AssignTo (TControl)
 | AutoAdjustLayout (TControl)
 | AutoSizeDelayed (TControl)
 | AutoSizeDelayedHandle (TControl)
 | AutoSizeDelayedReport (TControl)
 | AutoSizePhases (TControl)
 | BeforeDestruction (TObject)
 | BeforeDestruction (TComponent)
 | BeforeDestruction (TControl)
pt | BeforeDragStart (TControl)
pt | BeginAutoDrag (TControl)
pt | BeginAutoSizing (TControl)
 | BeginDrag (TControl)
pt | BoundsChanged (TControl)
 | BringToFront (TControl)
pt | CalculateDockSizes (TControl)
pt | CalculatePreferredSize (TControl)
pt | CanAutoSize (TControl)
pt | CanTab (TControl)
pt | CaptureChanged (TControl)
pt | ChangeBounds (TControl)
pt | Changed (TControl)
 | ChangeName (TComponent)
pt | ChangeScale (TControl)
 | CheckChildClassAllowed (TControl)
 | CheckNewParent (TControl)
pt | CheckOnChangeBounds (TControl)
pt | ChildClassAllowed (TControl)
 | ClassInfo (TObject)
 | ClassName (TObject)
 | ClassNameIs (TObject)
 | ClassParent (TObject)
 | ClassType (TObject)
 | CleanupInstance (TObject)
pt | Click (TControl)
 | ClientToParent (TControl)
 | ClientToScreen (TControl)
pt | CMBiDiModeChanged (TControl)
pt | CMChanged (TControl)
pt | CMCursorChanged (TControl)
pt | CMCursorChanged (TGraphicControl)
pt | CMEnabledChanged (TControl)
pt | CMHintShow (TControl)
pt | CMHitTest (TControl)
pt | CMMouseEnter (TControl)
pt | CMMouseLeave (TControl)
pt | CMParentBiDiModeChanged (TControl)
pt | CMParentColorChanged (TControl)
pt | CMParentFontChanged (TControl)
pt | CMParentShowHintChanged (TControl)
pt | CMSysFontChanged (TControl)
pt | CMTextChanged (TControl)
pt | CMVisibleChanged (TControl)
 | CNPreferredSizeChanged (TControl)
pt | ColorIsStored (TControl)
pt | ConstrainedResize (TControl)
 | ControlToScreen (TControl)
 | Create (TObject)
 | Create (TComponent)
 | Create (TLCLComponent)
 | Create (TControl)
 | Create (TGraphicControl)
 | Create (TPaintBox)
 | CreateAccessibleObject (TControl)
pt | CreateControlBorderSpacing (TControl)
pt | CreateFloatingDockSite (TControl)
pt | DblClick (TControl)
 | DecLCLRefCount (TLCLComponent)
 | DefaultHandler (TObject)
 | DefaultHandlerStr (TObject)
 | DefineProperties (TPersistent)
 | DefineProperties (TComponent)
pt | DefineProperties (TControl)
 | Destroy (TObject)
 | Destroy (TPersistent)
 | Destroy (TComponent)
 | Destroy (TLCLComponent)
 | Destroy (TControl)
 | Destroy (TGraphicControl)
 | DestroyComponents (TComponent)
 | Destroying (TComponent)
pt | DialogChar (TControl)
 | DisableAutoSizing (TControl)
 | Dispatch (TObject)
 | DispatchStr (TObject)
pt | DoAllAutoSize (TControl)
pt | DoAutoAdjustLayout (TControl)
pt | DoAutoSize (TControl)
pt | DoBorderSpacingChange (TControl)
pt | DoCallKeyEventHandler (TControl)
pt | DoCallMouseWheelEventHandler (TControl)
pt | DoCallNotifyHandler (TControl)
 | Dock (TControl)
 | Docked (TControl)
pt | DockTrackNoTarget (TControl)
pt | DoConstraintsChange (TControl)
pt | DoContextPopup (TControl)
pt | DoDock (TControl)
pt | DoDragMsg (TControl)
pt | DoEndDock (TControl)
pt | DoEndDrag (TControl)
pt | DoFixDesignFontPPI (TControl)
pt | DoFloatMsg (TControl)
pt | DoMouseWheel (TControl)
pt | DoMouseWheelDown (TControl)
pt | DoMouseWheelHorz (TControl)
pt | DoMouseWheelLeft (TControl)
pt | DoMouseWheelRight (TControl)
pt | DoMouseWheelUp (TControl)
pt | DoOnChangeBounds (TControl)
pt | DoOnChangeBounds (TGraphicControl)
pt | DoOnParentHandleDestruction (TControl)
pt | DoOnParentHandleDestruction (TGraphicControl)
pt | DoOnResize (TControl)
pt | DoOnShowHint (TControl)
pt | DoScaleFontPPI (TControl)
pt | DoSetBounds (TControl)
pt | DoStartDock (TControl)
pt | DoStartDrag (TControl)
pt | DragCanceled (TControl)
 | DragDrop (TControl)
 | Dragging (TControl)
pt | DragOver (TControl)
 | EditingDone (TControl)
 | EnableAutoSizing (TControl)
pt | EnabledChanged (TControl)
pt | EnabledChanging (TControl)
pt | EndAutoSizing (TControl)
 | EndDrag (TControl)
 | Equals (TObject)
 | ExecuteAction (TComponent)
 | ExecuteCancelAction (TControl)
 | ExecuteDefaultAction (TControl)
 | FieldAddress (TObject)
 | FindComponent (TComponent)
 | FixDesignFontsPPI (TControl)
pt | FontChanged (TControl)
pt | FontChanged (TGraphicControl)
pt | ForeignAnchorSideChanged (TControl)
pt | FormEndUpdated (TControl)
 | FormIsUpdating (TControl)
 | FPOAttachObserver (TPersistent)
 | FPODetachObserver (TPersistent)
 | FPONotifyObservers (TPersistent)
 | Free (TObject)
 | FreeInstance (TObject)
 | FreeNotification (TComponent)
 | FreeOnRelease (TComponent)
 | GetAccessibleObject (TControl)
pt | GetAction (TControl)
pt | GetActionLinkClass (TControl)
 | GetAnchorsDependingOnParent (TControl)
pt | GetCachedText (TControl)
 | GetCanvasScaleFactor (TControl)
 | GetChildAccessibleObjectAtPos (TControl)
 | GetChildOwner (TComponent)
 | GetChildParent (TComponent)
 | GetChildren (TComponent)
 | GetChildrenRect (TControl)
pt | GetClientOrigin (TControl)
pt | GetClientRect (TControl)
pt | GetClientScrollOffset (TControl)
 | GetColorResolvingParent (TControl)
 | GetComObject (TComponent)
 | GetComponent (TComponent)
 | GetComponentCount (TComponent)
 | GetComponentIndex (TComponent)
pt | GetControlClassDefaultSize (TControl)
pt | GetControlClassDefaultSize (TPaintBox)
pt | GetControlOrigin (TControl)
pt | GetCursor (TControl)
 | GetDefaultColor (TControl)
pt | GetDefaultDockCaption (TControl)
 | GetDefaultHeight (TControl)
 | GetDefaultWidth (TControl)
pt | GetDeviceContext (TControl)
pt | GetDockEdge (TControl)
pt | GetDragImages (TControl)
pt | GetEnabled (TControl)
 | GetEnumerator (TComponent)
pt | GetFloating (TControl)
pt | GetFloatingDockSiteClass (TControl)
 | GetHashCode (TObject)
 | GetIDsOfNames (TComponent)
 | GetInterface (TObject)
 | GetInterfaceByStr (TObject)
 | GetInterfaceEntry (TObject)
 | GetInterfaceEntryByStr (TObject)
 | GetInterfaceTable (TObject)
 | GetInterfaceWeak (TObject)
pt | GetLogicalClientRect (TControl)
pt | GetMouseCapture (TControl)
pt | GetMousePosFromMessage (TControl)
 | GetNamePath (TPersistent)
 | GetNamePath (TComponent)
 | GetOwner (TPersistent)
 | GetOwner (TComponent)
pt | GetPalette (TControl)
 | GetParentComponent (TComponent)
 | GetParentComponent (TControl)
pt | GetPopupMenu (TControl)
 | GetPreferredSize (TControl)
 | GetRGBColorResolvingParent (TControl)
pt | GetScrolledClientRect (TControl)
 | GetSelectedChildAccessibleObject (TControl)
 | GetSidePosition (TControl)
 | GetTextBuf (TControl)
 | GetTextLen (TControl)
 | GetTopParent (TControl)
 | GetTypeInfo (TComponent)
 | GetTypeInfoCount (TComponent)
pt | GetWSComponentClass (TLCLComponent)
 | HandleObjectShouldBeVisible (TControl)
 | HasHelp (TControl)
 | HasParent (TComponent)
 | HasParent (TControl)
pt | HeightIsAnchored (TControl)
 | Hide (TControl)
 | iicrGetComponent (TComponent)
 | IncLCLRefCount (TLCLComponent)
 | InheritsFrom (TObject)
 | InitiateAction (TControl)
 | InitInstance (TObject)
 | Insert (TComponent)
 | InsertComponent (TComponent)
 | InstanceSize (TObject)
 | Invalidate (TControl)
pt | InvalidateControl (TControl)
 | InvalidatePreferredSize (TControl)
 | Invoke (TComponent)
pt | IsAParentAligning (TControl)
pt | IsBorderSpacingInnerBorderStored (TControl)
pt | IsCaptionStored (TControl)
pt | IsClientHeightStored (TControl)
pt | IsClientWidthStored (TControl)
 | IsControlVisible (TControl)
 | IsEnabled (TControl)
 | IsImplementorOf (TComponent)
 | IsParentColor (TControl)
 | IsParentFont (TControl)
 | IsParentOf (TControl)
 | IsProcessingPaintMsg (TControl)
 | IsRightToLeft (TControl)
 | IsVisible (TControl)
pt | LMCaptureChanged (TControl)
 | Loaded (TComponent)
pt | Loaded (TControl)
pt | LoadedAll (TControl)
 | Loading (TComponent)
 | ManualDock (TControl)
 | ManualFloat (TControl)
 | MethodAddress (TObject)
 | MethodName (TObject)
pt | MouseDown (TControl)
pt | MouseEnter (TControl)
pt | MouseLeave (TControl)
pt | MouseMove (TControl)
pt | MouseUp (TControl)
 | newinstance (TObject)
 | NewInstance (TLCLComponent)
 | Notification (TComponent)
pt | Notification (TControl)
pt | Paint (TGraphicControl)
pt | Paint (TPaintBox)
 | PaletteCreated (TComponent)
 | ParentDestroyingHandle (TControl)
pt | ParentFontChanged (TControl)
pt | ParentFormHandleInitialized (TControl)
 | ParentHandlesAllocated (TControl)
 | ParentToClient (TControl)
 | Perform (TControl)
pt | PositionDockRect (TControl)
pt | QuadClick (TControl)
 | QueryInterface (TComponent)
 | ReadLeft (TComponent)
 | ReadState (TComponent)
pt | ReadState (TControl)
 | ReadTop (TComponent)
pt | RealGetText (TControl)
pt | RealSetText (TControl)
 | ReferenceInterface (TComponent)
 | Refresh (TControl)
 | Remove (TComponent)
 | RemoveAllHandlersOfObject (TLCLComponent)
 | RemoveAllHandlersOfObject (TControl)
 | RemoveComponent (TComponent)
 | RemoveFreeNotification (TComponent)
pt | RemoveHandler (TControl)
 | RemoveHandlerOnBeforeDestruction (TControl)
 | RemoveHandlerOnChangeBounds (TControl)
 | RemoveHandlerOnEnableChanging (TControl)
 | RemoveHandlerOnKeyDown (TControl)
 | RemoveHandlerOnMouseWheel (TControl)
 | RemoveHandlerOnResize (TControl)
 | RemoveHandlerOnVisibleChanged (TControl)
 | RemoveHandlerOnVisibleChanging (TControl)
 | RemoveNotification (TComponent)
 | Repaint (TControl)
 | ReplaceDockedControl (TControl)
pt | RequestAlign (TControl)
pt | Resize (TControl)
 | SafeCallException (TObject)
 | SafeCallException (TComponent)
 | Scale96ToFont (TControl)
 | Scale96ToForm (TControl)
 | Scale96ToScreen (TControl)
pt | ScaleConstraints (TControl)
 | ScaleDesignToForm (TControl)
 | ScaleFontsPPI (TControl)
 | ScaleFontTo96 (TControl)
 | ScaleFontToScreen (TControl)
 | ScaleFormTo96 (TControl)
 | ScaleFormToDesign (TControl)
 | ScaleScreenTo96 (TControl)
 | ScaleScreenToFont (TControl)
 | ScreenToClient (TControl)
 | ScreenToControl (TControl)
pt | SendMoveSizeMessages (TControl)
 | SendToBack (TControl)
pt | SetAction (TControl)
pt | SetAlign (TControl)
 | SetAncestor (TComponent)
pt | SetAnchors (TControl)
pt | SetAutoSize (TControl)
pt | SetBiDiMode (TControl)
 | SetBounds (TControl)
 | SetBoundsKeepBase (TControl)
 | SetChildOrder (TComponent)
pt | SetColor (TControl)
 | SetComponentIndex (TComponent)
pt | SetCursor (TControl)
 | SetDesigning (TComponent)
 | SetDesignInstance (TComponent)
pt | SetDragMode (TControl)
pt | SetEnabled (TControl)
pt | SetHint (TControl)
 | SetInitialBounds (TControl)
 | SetInline (TComponent)
 | SetName (TComponent)
pt | SetName (TControl)
pt | SetParent (TControl)
pt | SetParentBiDiMode (TControl)
 | SetParentComponent (TComponent)
pt | SetParentComponent (TControl)
 | SetReference (TComponent)
 | SetSubComponent (TComponent)
 | SetTempCursor (TControl)
 | SetTextBuf (TControl)
pt | SetVisible (TControl)
pt | SetZOrder (TControl)
 | ShouldAutoAdjust (TControl)
 | Show (TControl)
 | ShowHelp (TControl)
 | StringMessageTable (TObject)
pt | TextChanged (TControl)
 | ToString (TObject)
pt | TripleClick (TControl)
 | UnitName (TObject)
 | Update (TControl)
 | UpdateAction (TComponent)
pt | UpdateAnchorRules (TControl)
 | UpdateBaseBounds (TControl)
 | Updated (TComponent)
pt | UpdateMouseCursor (TControl)
 | UpdateRegistry (TComponent)
 | UpdateRolesForForm (TControl)
 | Updating (TComponent)
 | UseRightToLeftAlignment (TControl)
 | UseRightToLeftReading (TControl)
 | UseRightToLeftScrollBar (TControl)
 | ValidateContainer (TComponent)
 | ValidateInsert (TComponent)
 | ValidateRename (TComponent)
pt | VisibleChanged (TControl)
pt | VisibleChanging (TControl)
pt | WidthIsAnchored (TControl)
pt | WMCancelMode (TControl)
pt | WMContextMenu (TControl)
pt | WMLButtonDBLCLK (TControl)
pt | WMLButtonDown (TControl)
pt | WMLButtonQuadCLK (TControl)
pt | WMLButtonTripleCLK (TControl)
pt | WMLButtonUp (TControl)
pt | WMMButtonDBLCLK (TControl)
pt | WMMButtonDown (TControl)
pt | WMMButtonQuadCLK (TControl)
pt | WMMButtonTripleCLK (TControl)
pt | WMMButtonUp (TControl)
pt | WMMouseHWheel (TControl)
pt | WMMouseMove (TControl)
pt | WMMouseWheel (TControl)
pt | WMMove (TControl)
pt | WMRButtonDBLCLK (TControl)
pt | WMRButtonDown (TControl)
pt | WMRButtonQuadCLK (TControl)
pt | WMRButtonTripleCLK (TControl)
pt | WMRButtonUp (TControl)
pt | WMSize (TControl)
pt | WMWindowPosChanged (TControl)
pt | WMXButtonDBLCLK (TControl)
pt | WMXButtonDown (TControl)
pt | WMXButtonQuadCLK (TControl)
pt | WMXButtonTripleCLK (TControl)
pt | WMXButtonUp (TControl)
pt | WndProc (TControl)
 | WriteLayoutDebugReport (TControl)
 | WriteLeft (TComponent)
 | WriteState (TComponent)
 | WriteTop (TComponent)
pt | WSRegisterClass (TLCLComponent)
pt | WSRegisterClass (TControl)
pt | WSRegisterClass (TGraphicControl)
pt | WSRegisterClass (TPaintBox)
 | _AddRef (TComponent)
 | _Release (TComponent)


TPaintBox
pl | ro | OnChangeBounds
pl | ro | OnClick
pl | ro | OnDblClick
pl | ro | OnDragDrop
pl | ro | OnDragOver
pl | ro | OnEndDrag
pl | ro | OnMouseDown
pl | ro | OnMouseEnter
pl | ro | OnMouseLeave
pl | ro | OnMouseMove
pl | ro | OnMouseUp
pl | ro | OnMouseWheel
pl | ro | OnMouseWheelDown
pl | ro | OnMouseWheelUp
pl | ro | OnMouseWheelHorz
pl | ro | OnMouseWheelLeft
pl | ro | OnMouseWheelRight
pl | ro | OnPaint
pl | ro | OnResize
pl | ro | OnStartDrag
TGraphicControl
pt |  | OnPaint
TControl
pt |  | OnConstrainedResize
pt |  | OnContextPopup
pt |  | OnDblClick
pt |  | OnTripleClick
pt |  | OnQuadClick
pt |  | OnDragDrop
pt |  | OnDragOver
pt |  | OnEndDock
pt |  | OnEndDrag
pt |  | OnMouseDown
pt |  | OnMouseMove
pt |  | OnMouseUp
pt |  | OnMouseEnter
pt |  | OnMouseLeave
pt |  | OnMouseWheel
pt |  | OnMouseWheelDown
pt |  | OnMouseWheelUp
pt |  | OnMouseWheelHorz
pt |  | OnMouseWheelLeft
pt |  | OnMouseWheelRight
pt |  | OnStartDock
pt |  | OnStartDrag
pt |  | OnEditingDone
 |  | OnChangeBounds
 |  | OnClick
 |  | OnResize
 |  | OnShowHint
TLCLComponent
TComponent
TPersistent
TObject


pl | ro | OnChangeBounds (TPaintBox)
 |  | OnClick (TControl)
pl | ro | OnClick (TPaintBox)
pt |  | OnConstrainedResize (TControl)
pt |  | OnContextPopup (TControl)
pt |  | OnDblClick (TControl)
pl | ro | OnDblClick (TPaintBox)
pt |  | OnDragDrop (TControl)
pl | ro | OnDragDrop (TPaintBox)
pt |  | OnDragOver (TControl)
pl | ro | OnDragOver (TPaintBox)
pt |  | OnEditingDone (TControl)
pt |  | OnEndDock (TControl)
pt |  | OnEndDrag (TControl)
pl | ro | OnEndDrag (TPaintBox)
pt |  | OnMouseDown (TControl)
pl | ro | OnMouseDown (TPaintBox)
pt |  | OnMouseEnter (TControl)
pl | ro | OnMouseEnter (TPaintBox)
pt |  | OnMouseLeave (TControl)
pl | ro | OnMouseLeave (TPaintBox)
pt |  | OnMouseMove (TControl)
pl | ro | OnMouseMove (TPaintBox)
pt |  | OnMouseUp (TControl)
pl | ro | OnMouseUp (TPaintBox)
pt |  | OnMouseWheel (TControl)
pl | ro | OnMouseWheel (TPaintBox)
pt |  | OnMouseWheelDown (TControl)
pl | ro | OnMouseWheelDown (TPaintBox)
pt |  | OnMouseWheelHorz (TControl)
pl | ro | OnMouseWheelHorz (TPaintBox)
pt |  | OnMouseWheelLeft (TControl)
pl | ro | OnMouseWheelLeft (TPaintBox)
pt |  | OnMouseWheelRight (TControl)
pl | ro | OnMouseWheelRight (TPaintBox)
pt |  | OnMouseWheelUp (TControl)
pl | ro | OnMouseWheelUp (TPaintBox)
pt |  | OnPaint (TGraphicControl)
pl | ro | OnPaint (TPaintBox)
pt |  | OnQuadClick (TControl)
 |  | OnResize (TControl)
pl | ro | OnResize (TPaintBox)
 |  | OnShowHint (TControl)
pt |  | OnStartDock (TControl)
pt |  | OnStartDrag (TControl)
pl | ro | OnStartDrag (TPaintBox)
pt |  | OnTripleClick (TControl)


TPaintBox.Create

Create - constructor for TPaintBox: calls inherited Create then sets initial bounds and style

Declaration

Source position: extctrls.pp line 455

public constructor TPaintBox.Create(

  AOwner: TComponent

); override;

See also

TGraphicControl.Create


TPaintBox.OnMouseWheelHorz

Declaration

Source position: extctrls.pp line 490

published property TPaintBox.OnMouseWheelHorz : TMouseWheelEvent;


TPaintBox.OnMouseWheelLeft

Declaration

Source position: extctrls.pp line 491

published property TPaintBox.OnMouseWheelLeft : TMouseWheelUpDownEvent;


TPaintBox.OnMouseWheelRight

Declaration

Source position: extctrls.pp line 492

published property TPaintBox.OnMouseWheelRight : TMouseWheelUpDownEvent;


TPanel

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

The main class for a general container which can hold other objects. It has a customizable border and a central text.

Declaration

Source position: extctrls.pp line 1100

type TPanel = class(TCustomPanel)
published
property Align: TAlign; | Specifies the placement of the control inside its Parent.
property Alignment: TAlignment; | Alignment - whether text is left or right justified, or centered
property Anchors: TAnchors; | The set of anchor definitions for this control.
property AutoSize: Boolean; | Allows to automatically adjust the size of the control, according to its content.
property BorderSpacing: TControlBorderSpacing; | Determines the inner and outer border spacing for this control.
property BevelColor: TColor;
property BevelInner: TPanelBevel; | BevelInner - determines the nature of the Inner Bevel of the panel (whether raised, lowered etc)
property BevelOuter: TPanelBevel; | BevelOuter - determines the nature of the Outer Bevel of the panel (whether raised, lowered etc)
property BevelWidth: TBevelWidth; | BevelWidth - the Width of the panel's bevel in pixels
property BidiMode: TBiDiMode;
property BorderWidth: TBorderWidth; | Width of the Border around the control; default is zero.
property BorderStyle: TBorderStyle; | Allows to show a border (line) around the control,
property Caption: TCaption; |
property ChildSizing: TControlChildSizing; |
property ClientHeight: Integer; | The height of the client area of the control.
property ClientWidth: Integer; | The width of the client area of the control.
property Color: TColor; | The background color of the control.
property Constraints: TSizeConstraints; | The minimal and maximal Width and Height of this control.
property DockSite: Boolean; | Allows to drag-dock other controls into this control.
property DoubleBuffered: Boolean;
property DragCursor: TCursor; | The cursor shape shown while the control is dragged.
property DragKind: TDragKind; | The operation when the control is dragged - Drag or Dock.
property DragMode: TDragMode; | Allows the user to drag the control.
property Enabled: Boolean; | Determines whether the control reacts on mouse or keyboard input.
property Font: TFont; | The font to be used for text display in this control.
property FullRepaint: Boolean; | FullRepaint - if True, the panel needs to be fully repainted after each change
property ParentBackground: Boolean;
property ParentBidiMode: Boolean;
property ParentColor: Boolean; | If true, the Color of the control will be the same as the one from the Parent. Default is true.
property ParentDoubleBuffered: Boolean;
property ParentFont: Boolean; | If true, the Font of the control will be the same as the one from the Parent. Default is true.
property ParentShowHint: Boolean; | If true, the value of ShowHint for the control will be the same as the one from the Parent. Default is true.
property PopupMenu: TPopupMenu; | A context-sensitive menu that pops up when the right mouse button is clicked over this control
property ShowHint: Boolean; | Enables the Hint display.
property TabOrder: TTabOrder; | Determines the sequence of controls, reachable when the user presses the Tab key.
property TabStop: Boolean; | Allows the user to navigate to this control, by pressing the Tab key.
property UseDockManager: Boolean; | Determines whether a DockManager is used for this DockSite.
property Visible: Boolean; | Allows to show or hide the control, and all of its children.
property Wordwrap: Boolean;
property OnClick: TNotifyEvent; | Notification handler for mouse clicks.
property OnContextPopup: TContextPopupEvent;
property OnDockDrop: TDockDropEvent; | Notification handler for the drop of a control to be docked.
property OnDockOver: TDockOverEvent; | Event handler for moves of a control over this docksite. Determines acceptance or rejection of an possible drop.
property OnDblClick: TNotifyEvent; | Event Handler for double mouse clicks.
property OnDragDrop: TDragDropEvent; | This handler determines the action on an drop onto this control, in a drag-drop operation.
property OnDragOver: TDragOverEvent; | Event handler for a control being dragged over this control.
property OnEndDock: TEndDragEvent; | Notification handler for the end of a docking operation.
property OnEndDrag: TEndDragEvent; | Notification handler for the end of a dragging operation.
property OnEnter: TNotifyEvent; | Handler for control receiving the focus.
property OnExit: TNotifyEvent; | Handler for control loosing the focus. This is a good place for checking the finished user input.
property OnGetSiteInfo: TGetSiteInfoEvent; | Provides information about the DockSite.
property OnGetDockCaption: TGetDockCaptionEvent; | This handler can provide a special DockCaption, different from the Caption default.
property OnMouseDown: TMouseEvent; | Event handler for mouse button going down.
property OnMouseEnter: TNotifyEvent;
property OnMouseLeave: TNotifyEvent;
property OnMouseMove: TMouseMoveEvent; | Event handler for mouse movement within the control.
property OnMouseUp: TMouseEvent; | Event handler for mouse button going up.
property OnMouseWheel: TMouseWheelEvent;
property OnMouseWheelDown: TMouseWheelUpDownEvent;
property OnMouseWheelUp: TMouseWheelUpDownEvent;
property OnMouseWheelHorz: TMouseWheelEvent;
property OnMouseWheelLeft: TMouseWheelUpDownEvent;
property OnMouseWheelRight: TMouseWheelUpDownEvent;
property OnPaint: TNotifyEvent;
property OnResize: TNotifyEvent; | Notification handler for a resize of the control.
property OnStartDock: TStartDockEvent; | Event handler for the start of a docking operation.
property OnStartDrag: TStartDragEvent; | Event handler for the start of a dragging operation.
property OnUnDock: TUnDockEvent; | Event handler for control being undocked from this DockSite.
end;

Inheritance

TPanel | The main class for a general container which can hold other objects. It has a customizable border and a central text.
|
TCustomPanel | The base class for a general container which can hold other objects. It has a customizable border and a central text.
|
TCustomControl | The base class for windowed controls which paint themselves.
|
TWinControl | The base class for controls which can contain other (child) controls.
|
TControl | The base class for visible controls.
|
TLCLComponent | The base class for LCL components associated with widgets.
|
TComponent,IUnknown,IInterfaceComponentReference
|
TPersistent,IFPObserved
|
TObject

Description

A Panel is a defined rectangular area of the form into which other components can be placed to group them functionally and geographically.


TPanel
pl | ro | Align
pl | ro | Alignment
pl | ro | Anchors
pl | ro | AutoSize
pl | ro | BorderSpacing
pl | ro | BevelColor
pl | ro | BevelInner
pl | ro | BevelOuter
pl | ro | BevelWidth
pl | ro | BidiMode
pl | ro | BorderWidth
pl | ro | BorderStyle
pl | ro | Caption
pl | ro | ChildSizing
pl | ro | ClientHeight
pl | ro | ClientWidth
pl | ro | Color
pl | ro | Constraints
pl | ro | DockSite
pl | ro | DoubleBuffered
pl | ro | DragCursor
pl | ro | DragKind
pl | ro | DragMode
pl | ro | Enabled
pl | ro | Font
pl | ro | FullRepaint
pl | ro | ParentBackground
pl | ro | ParentBidiMode
pl | ro | ParentColor
pl | ro | ParentDoubleBuffered
pl | ro | ParentFont
pl | ro | ParentShowHint
pl | ro | PopupMenu
pl | ro | ShowHint
pl | ro | TabOrder
pl | ro | TabStop
pl | ro | UseDockManager
pl | ro | Visible
pl | ro | Wordwrap
TCustomPanel
pt |  | WordWrap
 | ro | Align
 |  | Alignment
 |  | BevelColor
 |  | BevelInner
 |  | BevelOuter
 |  | BevelWidth
 | ro | Color
 |  | FullRepaint
 | ro | ParentBackground
 | ro | ParentColor
 | ro | TabStop
TCustomControl
 |  | Canvas
 | ro | BorderStyle
TWinControl
pt |  | WindowHandle
pt |  | BorderStyle
pt |  | ParentBackground
 |  | BorderWidth
 | ro | BoundsLockCount
 | ro | Brush
 | ro | CachedClientHeight
 | ro | CachedClientWidth
 |  | ChildSizing
 | ro | ControlCount
 | ro | Controls
 |  | DefWndProc
 | ro | DockClientCount
 | ro | DockClients
 |  | DockManager
 |  | DockSite
 |  | DoubleBuffered
 |  | Handle
 | ro | IsFlipped
 | ro | IsResizing
 |  | TabOrder
 |  | TabStop
 |  | ParentDoubleBuffered
 |  | ParentWindow
 | ro | Showing
 |  | UseDockManager
 |  | DesignerDeleting
 | ro | VisibleDockClientCount
TControl
pt | ro | AutoSizing
pt | ro | AutoSizingAll
pt | ro | AutoSizingLockCount
pt |  | ActionLink
pt |  | DesktopFont
pt |  | DragCursor
pt |  | DragKind
pt |  | DragMode
pt |  | MouseCapture
pt |  | ParentColor
pt |  | ParentFont
pt |  | ParentShowHint
pt |  | SessionProperties
pt |  | Text
 | ro | AnchoredControls
 | ro | BaseBounds
 | ro | ReadBounds
 | ro | BaseParentClientSize
 |  | AccessibleDescription
 |  | AccessibleValue
 |  | AccessibleRole
 |  | Action
 |  | Align
 |  | Anchors
 | ro | AnchorSide
 |  | AutoSize
 |  | BorderSpacing
 |  | BoundsRect
 |  | BoundsRectForNewParent
 |  | Caption
 |  | CaptureMouseButtons
 |  | ClientHeight
 | ro | ClientOrigin
 | ro | ClientRect
 |  | ClientWidth
 |  | Color
 |  | Constraints
 | ro | ControlOrigin
 |  | ControlState
 |  | ControlStyle
 |  | Enabled
 |  | Font
 |  | IsControl
 | ro | MouseEntered
 | ro | MouseInClient
 |  | Parent
 |  | PopupMenu
 |  | ShowHint
 |  | Visible
 |  | WindowProc
 |  | DockOrientation
 | ro | Floating
 |  | FloatingDockSiteClass
 |  | HostDockSite
 |  | LRDockWidth
 |  | TBDockHeight
 |  | UndockHeight
 |  | UndockWidth
 |  | BiDiMode
 |  | ParentBiDiMode
pl |  | AnchorSideLeft
pl |  | AnchorSideTop
pl |  | AnchorSideRight
pl |  | AnchorSideBottom
pl |  | Cursor
pl |  | Left
pl |  | Height
pl |  | Hint
pl |  | Top
pl |  | Width
pl |  | HelpType
pl |  | HelpKeyword
pl |  | HelpContext
TLCLComponent
 | ro | LCLRefCount
 | ro | WidgetSetClass
TComponent
 | ro | ComObject
 | ro | Components
 | ro | ComponentCount
 |  | ComponentIndex
 | ro | ComponentState
 | ro | ComponentStyle
 |  | DesignInfo
 | ro | Owner
 |  | VCLComObject
 |  | Name
 |  | Tag
TPersistent
TObject


 |  | AccessibleDescription (TControl)
 |  | AccessibleRole (TControl)
 |  | AccessibleValue (TControl)
 |  | Action (TControl)
pt |  | ActionLink (TControl)
 |  | Align (TControl)
 | ro | Align (TCustomPanel)
pl | ro | Align (TPanel)
 |  | Alignment (TCustomPanel)
pl | ro | Alignment (TPanel)
 | ro | AnchoredControls (TControl)
 |  | Anchors (TControl)
pl | ro | Anchors (TPanel)
 | ro | AnchorSide (TControl)
pl |  | AnchorSideBottom (TControl)
pl |  | AnchorSideLeft (TControl)
pl |  | AnchorSideRight (TControl)
pl |  | AnchorSideTop (TControl)
 |  | AutoSize (TControl)
pl | ro | AutoSize (TPanel)
pt | ro | AutoSizing (TControl)
pt | ro | AutoSizingAll (TControl)
pt | ro | AutoSizingLockCount (TControl)
 | ro | BaseBounds (TControl)
 | ro | BaseParentClientSize (TControl)
 |  | BevelColor (TCustomPanel)
pl | ro | BevelColor (TPanel)
 |  | BevelInner (TCustomPanel)
pl | ro | BevelInner (TPanel)
 |  | BevelOuter (TCustomPanel)
pl | ro | BevelOuter (TPanel)
 |  | BevelWidth (TCustomPanel)
pl | ro | BevelWidth (TPanel)
 |  | BiDiMode (TControl)
pl | ro | BidiMode (TPanel)
 |  | BorderSpacing (TControl)
pl | ro | BorderSpacing (TPanel)
pt |  | BorderStyle (TWinControl)
 | ro | BorderStyle (TCustomControl)
pl | ro | BorderStyle (TPanel)
 |  | BorderWidth (TWinControl)
pl | ro | BorderWidth (TPanel)
 | ro | BoundsLockCount (TWinControl)
 |  | BoundsRect (TControl)
 |  | BoundsRectForNewParent (TControl)
 | ro | Brush (TWinControl)
 | ro | CachedClientHeight (TWinControl)
 | ro | CachedClientWidth (TWinControl)
 |  | Canvas (TCustomControl)
 |  | Caption (TControl)
pl | ro | Caption (TPanel)
 |  | CaptureMouseButtons (TControl)
 |  | ChildSizing (TWinControl)
pl | ro | ChildSizing (TPanel)
 |  | ClientHeight (TControl)
pl | ro | ClientHeight (TPanel)
 | ro | ClientOrigin (TControl)
 | ro | ClientRect (TControl)
 |  | ClientWidth (TControl)
pl | ro | ClientWidth (TPanel)
 |  | Color (TControl)
 | ro | Color (TCustomPanel)
pl | ro | Color (TPanel)
 | ro | ComObject (TComponent)
 | ro | ComponentCount (TComponent)
 |  | ComponentIndex (TComponent)
 | ro | Components (TComponent)
 | ro | ComponentState (TComponent)
 | ro | ComponentStyle (TComponent)
 |  | Constraints (TControl)
pl | ro | Constraints (TPanel)
 | ro | ControlCount (TWinControl)
 | ro | ControlOrigin (TControl)
 | ro | Controls (TWinControl)
 |  | ControlState (TControl)
 |  | ControlStyle (TControl)
pl |  | Cursor (TControl)
 |  | DefWndProc (TWinControl)
 |  | DesignerDeleting (TWinControl)
 |  | DesignInfo (TComponent)
pt |  | DesktopFont (TControl)
 | ro | DockClientCount (TWinControl)
 | ro | DockClients (TWinControl)
 |  | DockManager (TWinControl)
 |  | DockOrientation (TControl)
 |  | DockSite (TWinControl)
pl | ro | DockSite (TPanel)
 |  | DoubleBuffered (TWinControl)
pl | ro | DoubleBuffered (TPanel)
pt |  | DragCursor (TControl)
pl | ro | DragCursor (TPanel)
pt |  | DragKind (TControl)
pl | ro | DragKind (TPanel)
pt |  | DragMode (TControl)
pl | ro | DragMode (TPanel)
 |  | Enabled (TControl)
pl | ro | Enabled (TPanel)
 | ro | Floating (TControl)
 |  | FloatingDockSiteClass (TControl)
 |  | Font (TControl)
pl | ro | Font (TPanel)
 |  | FullRepaint (TCustomPanel)
pl | ro | FullRepaint (TPanel)
 |  | Handle (TWinControl)
pl |  | Height (TControl)
pl |  | HelpContext (TControl)
pl |  | HelpKeyword (TControl)
pl |  | HelpType (TControl)
pl |  | Hint (TControl)
 |  | HostDockSite (TControl)
 |  | IsControl (TControl)
 | ro | IsFlipped (TWinControl)
 | ro | IsResizing (TWinControl)
 | ro | LCLRefCount (TLCLComponent)
pl |  | Left (TControl)
 |  | LRDockWidth (TControl)
pt |  | MouseCapture (TControl)
 | ro | MouseEntered (TControl)
 | ro | MouseInClient (TControl)
 |  | Name (TComponent)
 | ro | Owner (TComponent)
 |  | Parent (TControl)
pt |  | ParentBackground (TWinControl)
 | ro | ParentBackground (TCustomPanel)
pl | ro | ParentBackground (TPanel)
 |  | ParentBiDiMode (TControl)
pl | ro | ParentBidiMode (TPanel)
pt |  | ParentColor (TControl)
 | ro | ParentColor (TCustomPanel)
pl | ro | ParentColor (TPanel)
 |  | ParentDoubleBuffered (TWinControl)
pl | ro | ParentDoubleBuffered (TPanel)
pt |  | ParentFont (TControl)
pl | ro | ParentFont (TPanel)
pt |  | ParentShowHint (TControl)
pl | ro | ParentShowHint (TPanel)
 |  | ParentWindow (TWinControl)
 |  | PopupMenu (TControl)
pl | ro | PopupMenu (TPanel)
 | ro | ReadBounds (TControl)
pt |  | SessionProperties (TControl)
 |  | ShowHint (TControl)
pl | ro | ShowHint (TPanel)
 | ro | Showing (TWinControl)
 |  | TabOrder (TWinControl)
pl | ro | TabOrder (TPanel)
 |  | TabStop (TWinControl)
 | ro | TabStop (TCustomPanel)
pl | ro | TabStop (TPanel)
 |  | Tag (TComponent)
 |  | TBDockHeight (TControl)
pt |  | Text (TControl)
pl |  | Top (TControl)
 |  | UndockHeight (TControl)
 |  | UndockWidth (TControl)
 |  | UseDockManager (TWinControl)
pl | ro | UseDockManager (TPanel)
 |  | VCLComObject (TComponent)
 |  | Visible (TControl)
pl | ro | Visible (TPanel)
 | ro | VisibleDockClientCount (TWinControl)
 | ro | WidgetSetClass (TLCLComponent)
pl |  | Width (TControl)
pt |  | WindowHandle (TWinControl)
 |  | WindowProc (TControl)
pt |  | WordWrap (TCustomPanel)
pl | ro | Wordwrap (TPanel)


TPanel
TCustomPanel
pt | WSRegisterClass
pt | AdjustClientRect
pt | GetControlClassDefaultSize
pt | CMParentColorChanged
pt | GetDefaultDockCaption
pt | Loaded
pt | RealSetText
pt | Paint
pt | SetParentBackground
pt | UpdateParentColorChange
 | Create
TCustomControl
pt | WSRegisterClass
pt | WMPaint
pt | DestroyWnd
pt | PaintWindow
pt | FontChanged
pt | SetColor
pt | Paint
 | Create
 | Destroy
TWinControl
pt | WSRegisterClass
pt | AdjustClientRect
pt | GetAdjustedLogicalClientRect
pt | AlignControls
pt | CustomAlignInsertBefore
pt | CustomAlignPosition
pt | DoAlignChildControls
pt | DoChildSizingChange
pt | InvalidatePreferredChildSizes
pt | CanTab
pt | IsClientHeightStored
pt | IsClientWidthStored
pt | DoSendShowHideToInterface
pt | ControlsAligned
pt | DoSendBoundsToInterface
pt | RealizeBounds
pt | RealizeBoundsRecursive
pt | InvalidateBoundsRealized
pt | CreateSubClass
pt | DoConstraintsChange
pt | DoSetBounds
pt | DoAutoSize
pt | DoAllAutoSize
pt | AllAutoSized
pt | CalculatePreferredSize
pt | GetPreferredSizeClientFrame
pt | GetChildren
pt | ChildClassAllowed
pt | PaintControls
pt | PaintHandler
pt | PaintWindow
pt | CreateBrush
pt | ScaleControls
pt | ChangeScale
pt | CMBiDiModeChanged
pt | CMBorderChanged
pt | CMDoubleBufferedChanged
pt | CMEnabledChanged
pt | CMParentDoubleBufferedChanged
pt | CMShowingChanged
pt | CMShowHintChanged
pt | CMVisibleChanged
pt | CMEnter
pt | CMExit
pt | WMContextMenu
pt | WMEraseBkgnd
pt | WMNotify
pt | WMSetFocus
pt | WMKillFocus
pt | WMShowWindow
pt | WMEnter
pt | WMExit
pt | WMKeyDown
pt | WMSysKeyDown
pt | WMKeyUp
pt | WMSysKeyUp
pt | WMChar
pt | WMSysChar
pt | WMPaint
pt | WMDestroy
pt | WMMove
pt | WMSize
pt | WMWindowPosChanged
pt | CNKeyDown
pt | CNSysKeyDown
pt | CNKeyUp
pt | CNSysKeyUp
pt | CNChar
pt | DoDragMsg
pt | DoDockClientMsg
pt | DoUndockClientMsg
pt | DoAddDockClient
pt | DockOver
pt | DoDockOver
pt | DoRemoveDockClient
pt | DoUnDock
pt | GetSiteInfo
pt | GetParentHandle
pt | GetTopParentHandle
pt | ReloadDockedControl
pt | CreateDockManager
pt | SetDockManager
pt | DoFloatMsg
pt | DoGetDockCaption
pt | DoEnter
pt | DoExit
pt | DoKeyDownBeforeInterface
pt | DoRemainingKeyDown
pt | DoRemainingKeyUp
pt | DoKeyPress
pt | DoUTF8KeyPress
pt | DoKeyUpBeforeInterface
pt | ChildKey
pt | SendDialogChar
pt | DialogChar
pt | ControlKeyDown
pt | ControlKeyUp
pt | KeyDown
pt | KeyDownBeforeInterface
pt | KeyDownAfterInterface
pt | KeyPress
pt | KeyUp
pt | KeyUpBeforeInterface
pt | KeyUpAfterInterface
pt | UTF8KeyPress
pt | FindNextControl
pt | SelectFirst
pt | RealGetText
pt | GetBorderStyle
pt | GetClientOrigin
pt | GetClientRect
pt | GetControlOrigin
pt | GetDeviceContext
pt | GetParentBackground
pt | IsControlMouseMsg
pt | CreateHandle
pt | CreateParams
pt | CreateWnd
pt | DestroyHandle
pt | DestroyWnd
pt | DoFlipChildren
pt | FinalizeWnd
pt | FixupTabList
pt | FontChanged
pt | InitializeWnd
pt | Loaded
pt | FormEndUpdated
pt | MainWndProc
pt | ParentFormHandleInitialized
pt | ChildHandlesCreated
pt | GetMouseCapture
pt | RealSetText
pt | RemoveFocus
pt | SendMoveSizeMessages
pt | SetBorderStyle
pt | SetColor
pt | SetChildZPosition
pt | SetParentBackground
pt | ShowControl
pt | UpdateControlState
pt | UpdateShowing
pt | WndProc
pt | WSSetText
 | AutoSizePhases
 | AutoSizeDelayed
 | AutoSizeDelayedReport
 | AutoSizeDelayedHandle
 | BeginUpdateBounds
 | EndUpdateBounds
 | LockRealizeBounds
 | UnlockRealizeBounds
 | ControlAtPos
 | ContainsControl
 | DoAdjustClientRectChange
 | InvalidateClientRectCache
 | ClientRectNeedsInterfaceUpdate
 | SetBounds
 | GetChildrenRect
 | DisableAlign
 | EnableAlign
 | ReAlign
 | ScrollBy_WS
 | ScrollBy
 | WriteLayoutDebugReport
 | AutoAdjustLayout
 | Create
 | CreateParented
 | CreateParentedControl
 | Destroy
 | DockDrop
 | CanFocus
 | CanSetFocus
 | GetControlIndex
 | SetControlIndex
 | Focused
 | PerformTab
 | FindChildControl
 | SelectNext
 | SetTempCursor
 | BroadCast
 | NotifyControls
 | DefaultHandler
 | GetTextLen
 | Invalidate
 | AddControl
 | InsertControl
 | RemoveControl
 | GetEnumeratorControls
 | GetEnumeratorControlsReverse
 | Repaint
 | Update
 | SetFocus
 | FlipChildren
 | ScaleBy
 | GetDockCaption
 | UpdateDockCaption
 | GetTabOrderList
 | HandleAllocated
 | ParentHandlesAllocated
 | HandleNeeded
 | BrushCreated
 | EraseBackground
 | IntfUTF8KeyPress
 | IntfGetDropFilesTarget
 | PaintTo
 | SetShape
TControl
pt | WSRegisterClass
pt | GetCursor
pt | SetCursor
pt | SetVisible
pt | DoOnParentHandleDestruction
pt | DoAutoSize
pt | DoAllAutoSize
pt | BeginAutoSizing
pt | EndAutoSizing
pt | AnchorSideChanged
pt | ForeignAnchorSideChanged
pt | SetAlign
pt | SetAnchors
pt | SetAutoSize
pt | BoundsChanged
pt | CreateControlBorderSpacing
pt | DoConstraintsChange
pt | DoBorderSpacingChange
pt | IsBorderSpacingInnerBorderStored
pt | IsCaptionStored
pt | SendMoveSizeMessages
pt | ConstrainedResize
pt | CalculatePreferredSize
pt | DoOnResize
pt | DoOnChangeBounds
pt | CheckOnChangeBounds
pt | Resize
pt | RequestAlign
pt | UpdateAnchorRules
pt | ChangeBounds
pt | DoSetBounds
pt | ScaleConstraints
pt | ChangeScale
pt | CanAutoSize
pt | SetBiDiMode
pt | SetParentBiDiMode
pt | IsAParentAligning
pt | GetClientOrigin
pt | GetClientRect
pt | GetLogicalClientRect
pt | GetScrolledClientRect
pt | GetClientScrollOffset
pt | GetControlOrigin
pt | IsClientHeightStored
pt | IsClientWidthStored
pt | WidthIsAnchored
pt | HeightIsAnchored
pt | WMCancelMode
pt | WMContextMenu
pt | WMLButtonDown
pt | WMRButtonDown
pt | WMMButtonDown
pt | WMXButtonDown
pt | WMLButtonDBLCLK
pt | WMRButtonDBLCLK
pt | WMMButtonDBLCLK
pt | WMXButtonDBLCLK
pt | WMLButtonTripleCLK
pt | WMRButtonTripleCLK
pt | WMMButtonTripleCLK
pt | WMXButtonTripleCLK
pt | WMLButtonQuadCLK
pt | WMRButtonQuadCLK
pt | WMMButtonQuadCLK
pt | WMXButtonQuadCLK
pt | WMMouseMove
pt | WMLButtonUp
pt | WMRButtonUp
pt | WMMButtonUp
pt | WMXButtonUp
pt | WMMouseWheel
pt | WMMouseHWheel
pt | WMMove
pt | WMSize
pt | WMWindowPosChanged
pt | CMChanged
pt | LMCaptureChanged
pt | CMBiDiModeChanged
pt | CMSysFontChanged
pt | CMEnabledChanged
pt | CMHitTest
pt | CMMouseEnter
pt | CMMouseLeave
pt | CMHintShow
pt | CMParentBiDiModeChanged
pt | CMParentColorChanged
pt | CMParentFontChanged
pt | CMParentShowHintChanged
pt | CMVisibleChanged
pt | CMTextChanged
pt | CMCursorChanged
pt | CalculateDockSizes
pt | CreateFloatingDockSite
pt | GetDockEdge
pt | GetDragImages
pt | GetFloating
pt | GetFloatingDockSiteClass
pt | BeforeDragStart
pt | BeginAutoDrag
pt | DoFloatMsg
pt | DockTrackNoTarget
pt | DoDock
pt | DoDragMsg
pt | DoEndDock
pt | DoEndDrag
pt | DoStartDock
pt | DoStartDrag
pt | DragCanceled
pt | DragOver
pt | PositionDockRect
pt | SetDragMode
pt | GetDefaultDockCaption
pt | Click
pt | DblClick
pt | TripleClick
pt | QuadClick
pt | GetMousePosFromMessage
pt | MouseDown
pt | MouseMove
pt | MouseUp
pt | MouseEnter
pt | MouseLeave
pt | DialogChar
pt | UpdateMouseCursor
pt | Changed
pt | GetPalette
pt | ChildClassAllowed
pt | ReadState
pt | Loaded
pt | LoadedAll
pt | DefineProperties
pt | AssignTo
pt | FormEndUpdated
pt | InvalidateControl
pt | FontChanged
pt | ParentFontChanged
pt | GetAction
pt | RealGetText
pt | RealSetText
pt | TextChanged
pt | GetCachedText
pt | SetAction
pt | SetColor
pt | SetEnabled
pt | SetHint
pt | SetName
pt | SetParent
pt | SetParentComponent
pt | WndProc
pt | ParentFormHandleInitialized
pt | GetMouseCapture
pt | CaptureChanged
pt | Notification
pt | CanTab
pt | GetDeviceContext
pt | GetEnabled
pt | GetPopupMenu
pt | DoOnShowHint
pt | DoMouseWheel
pt | DoMouseWheelDown
pt | DoMouseWheelUp
pt | DoMouseWheelHorz
pt | DoMouseWheelLeft
pt | DoMouseWheelRight
pt | VisibleChanging
pt | VisibleChanged
pt | EnabledChanging
pt | EnabledChanged
pt | AddHandler
pt | RemoveHandler
pt | DoCallNotifyHandler
pt | DoCallKeyEventHandler
pt | DoCallMouseWheelEventHandler
pt | DoContextPopup
pt | SetZOrder
pt | GetControlClassDefaultSize
pt | ColorIsStored
pt | DoAutoAdjustLayout
pt | DoFixDesignFontPPI
pt | DoScaleFontPPI
pt | GetActionLinkClass
pt | ActionChange
 | DragDrop
 | Dock
 | ManualDock
 | ManualFloat
 | ReplaceDockedControl
 | Docked
 | Dragging
 | GetAccessibleObject
 | CreateAccessibleObject
 | GetSelectedChildAccessibleObject
 | GetChildAccessibleObjectAtPos
 | ScaleDesignToForm
 | ScaleFormToDesign
 | Scale96ToForm
 | ScaleFormTo96
 | Scale96ToFont
 | ScaleFontTo96
 | ScaleScreenToFont
 | ScaleFontToScreen
 | Scale96ToScreen
 | ScaleScreenTo96
 | AdjustSize
 | AutoSizePhases
 | AutoSizeDelayed
 | AutoSizeDelayedReport
 | AutoSizeDelayedHandle
 | AnchorToNeighbour
 | AnchorParallel
 | AnchorHorizontalCenterTo
 | AnchorVerticalCenterTo
 | AnchorToCompanion
 | AnchorSame
 | AnchorAsAlign
 | AnchorClient
 | AnchoredControlCount
 | SetBounds
 | SetInitialBounds
 | SetBoundsKeepBase
 | GetPreferredSize
 | GetCanvasScaleFactor
 | GetDefaultWidth
 | GetDefaultHeight
 | GetDefaultColor
 | GetColorResolvingParent
 | GetRGBColorResolvingParent
 | GetSidePosition
 | CNPreferredSizeChanged
 | InvalidatePreferredSize
 | GetAnchorsDependingOnParent
 | DisableAutoSizing
 | EnableAutoSizing
 | UpdateBaseBounds
 | WriteLayoutDebugReport
 | AutoAdjustLayout
 | ShouldAutoAdjust
 | FixDesignFontsPPI
 | ScaleFontsPPI
 | Create
 | Destroy
 | BeforeDestruction
 | EditingDone
 | ExecuteDefaultAction
 | ExecuteCancelAction
 | BeginDrag
 | EndDrag
 | BringToFront
 | HasParent
 | GetParentComponent
 | IsParentOf
 | GetTopParent
 | IsVisible
 | IsControlVisible
 | IsEnabled
 | IsParentColor
 | IsParentFont
 | FormIsUpdating
 | IsProcessingPaintMsg
 | Hide
 | Refresh
 | Repaint
 | Invalidate
 | CheckChildClassAllowed
 | CheckNewParent
 | SendToBack
 | SetTempCursor
 | UpdateRolesForForm
 | ActiveDefaultControlChanged
 | GetTextBuf
 | GetTextLen
 | SetTextBuf
 | Perform
 | ScreenToClient
 | ClientToScreen
 | ScreenToControl
 | ControlToScreen
 | ClientToParent
 | ParentToClient
 | GetChildrenRect
 | Show
 | Update
 | HandleObjectShouldBeVisible
 | ParentDestroyingHandle
 | ParentHandlesAllocated
 | InitiateAction
 | ShowHelp
 | HasHelp
 | RemoveAllHandlersOfObject
 | AddHandlerOnResize
 | RemoveHandlerOnResize
 | AddHandlerOnChangeBounds
 | RemoveHandlerOnChangeBounds
 | AddHandlerOnVisibleChanging
 | RemoveHandlerOnVisibleChanging
 | AddHandlerOnVisibleChanged
 | RemoveHandlerOnVisibleChanged
 | AddHandlerOnEnabledChanged
 | RemoveHandlerOnEnableChanging
 | AddHandlerOnKeyDown
 | RemoveHandlerOnKeyDown
 | AddHandlerOnBeforeDestruction
 | RemoveHandlerOnBeforeDestruction
 | AddHandlerOnMouseWheel
 | RemoveHandlerOnMouseWheel
 | UseRightToLeftAlignment
 | UseRightToLeftReading
 | UseRightToLeftScrollBar
 | IsRightToLeft
TLCLComponent
pt | WSRegisterClass
pt | GetWSComponentClass
 | Create
 | Destroy
 | NewInstance
 | RemoveAllHandlersOfObject
 | IncLCLRefCount
 | DecLCLRefCount
TComponent
 | GetComObject
 | GetComponent
 | GetComponentCount
 | GetComponentIndex
 | Insert
 | ReadLeft
 | ReadTop
 | Remove
 | RemoveNotification
 | SetComponentIndex
 | SetReference
 | WriteLeft
 | WriteTop
 | ChangeName
 | DefineProperties
 | GetChildren
 | GetChildOwner
 | GetChildParent
 | GetOwner
 | Loaded
 | Loading
 | Notification
 | PaletteCreated
 | ReadState
 | SetAncestor
 | SetDesigning
 | SetDesignInstance
 | SetInline
 | SetName
 | SetChildOrder
 | SetParentComponent
 | Updating
 | Updated
 | UpdateRegistry
 | ValidateRename
 | ValidateContainer
 | ValidateInsert
 | QueryInterface
 | _AddRef
 | _Release
 | iicrGetComponent
 | GetTypeInfoCount
 | GetTypeInfo
 | GetIDsOfNames
 | Invoke
 | WriteState
 | Create
 | Destroy
 | BeforeDestruction
 | DestroyComponents
 | Destroying
 | ExecuteAction
 | FindComponent
 | FreeNotification
 | RemoveFreeNotification
 | FreeOnRelease
 | GetEnumerator
 | GetNamePath
 | GetParentComponent
 | HasParent
 | InsertComponent
 | RemoveComponent
 | SafeCallException
 | SetSubComponent
 | UpdateAction
 | IsImplementorOf
 | ReferenceInterface
TPersistent
 | AssignError
 | AssignTo
 | DefineProperties
 | GetOwner
 | Destroy
 | Assign
 | FPOAttachObserver
 | FPODetachObserver
 | FPONotifyObservers
 | GetNamePath
TObject
 | Create
 | Destroy
 | newinstance
 | FreeInstance
 | SafeCallException
 | DefaultHandler
 | Free
 | InitInstance
 | CleanupInstance
 | ClassType
 | ClassInfo
 | ClassName
 | ClassNameIs
 | ClassParent
 | InstanceSize
 | InheritsFrom
 | StringMessageTable
 | MethodAddress
 | MethodName
 | FieldAddress
 | AfterConstruction
 | BeforeDestruction
 | DefaultHandlerStr
 | Dispatch
 | DispatchStr
 | GetInterface
 | GetInterfaceByStr
 | GetInterfaceWeak
 | GetInterfaceEntry
 | GetInterfaceEntryByStr
 | GetInterfaceTable
 | UnitName
 | Equals
 | GetHashCode
 | ToString


TPanel
pl | ro | OnClick
pl | ro | OnContextPopup
pl | ro | OnDockDrop
pl | ro | OnDockOver
pl | ro | OnDblClick
pl | ro | OnDragDrop
pl | ro | OnDragOver
pl | ro | OnEndDock
pl | ro | OnEndDrag
pl | ro | OnEnter
pl | ro | OnExit
pl | ro | OnGetSiteInfo
pl | ro | OnGetDockCaption
pl | ro | OnMouseDown
pl | ro | OnMouseEnter
pl | ro | OnMouseLeave
pl | ro | OnMouseMove
pl | ro | OnMouseUp
pl | ro | OnMouseWheel
pl | ro | OnMouseWheelDown
pl | ro | OnMouseWheelUp
pl | ro | OnMouseWheelHorz
pl | ro | OnMouseWheelLeft
pl | ro | OnMouseWheelRight
pl | ro | OnPaint
pl | ro | OnResize
pl | ro | OnStartDock
pl | ro | OnStartDrag
pl | ro | OnUnDock
TCustomPanel
TCustomControl
 |  | OnPaint
TWinControl
pt |  | OnGetSiteInfo
pt |  | OnGetDockCaption
 |  | OnAlignInsertBefore
 |  | OnAlignPosition
 |  | OnDockDrop
 |  | OnDockOver
 |  | OnEnter
 |  | OnExit
 |  | OnKeyDown
 |  | OnKeyPress
 |  | OnKeyUp
 |  | OnUnDock
 |  | OnUTF8KeyPress
TControl
pt |  | OnConstrainedResize
pt |  | OnContextPopup
pt |  | OnDblClick
pt |  | OnTripleClick
pt |  | OnQuadClick
pt |  | OnDragDrop
pt |  | OnDragOver
pt |  | OnEndDock
pt |  | OnEndDrag
pt |  | OnMouseDown
pt |  | OnMouseMove
pt |  | OnMouseUp
pt |  | OnMouseEnter
pt |  | OnMouseLeave
pt |  | OnMouseWheel
pt |  | OnMouseWheelDown
pt |  | OnMouseWheelUp
pt |  | OnMouseWheelHorz
pt |  | OnMouseWheelLeft
pt |  | OnMouseWheelRight
pt |  | OnStartDock
pt |  | OnStartDrag
pt |  | OnEditingDone
 |  | OnChangeBounds
 |  | OnClick
 |  | OnResize
 |  | OnShowHint
TLCLComponent
TComponent
TPersistent
TObject


 |  | OnAlignInsertBefore (TWinControl)
 |  | OnAlignPosition (TWinControl)
 |  | OnChangeBounds (TControl)
 |  | OnClick (TControl)
pl | ro | OnClick (TPanel)
pt |  | OnConstrainedResize (TControl)
pt |  | OnContextPopup (TControl)
pl | ro | OnContextPopup (TPanel)
pt |  | OnDblClick (TControl)
pl | ro | OnDblClick (TPanel)
 |  | OnDockDrop (TWinControl)
pl | ro | OnDockDrop (TPanel)
 |  | OnDockOver (TWinControl)
pl | ro | OnDockOver (TPanel)
pt |  | OnDragDrop (TControl)
pl | ro | OnDragDrop (TPanel)
pt |  | OnDragOver (TControl)
pl | ro | OnDragOver (TPanel)
pt |  | OnEditingDone (TControl)
pt |  | OnEndDock (TControl)
pl | ro | OnEndDock (TPanel)
pt |  | OnEndDrag (TControl)
pl | ro | OnEndDrag (TPanel)
 |  | OnEnter (TWinControl)
pl | ro | OnEnter (TPanel)
 |  | OnExit (TWinControl)
pl | ro | OnExit (TPanel)
pt |  | OnGetDockCaption (TWinControl)
pl | ro | OnGetDockCaption (TPanel)
pt |  | OnGetSiteInfo (TWinControl)
pl | ro | OnGetSiteInfo (TPanel)
 |  | OnKeyDown (TWinControl)
 |  | OnKeyPress (TWinControl)
 |  | OnKeyUp (TWinControl)
pt |  | OnMouseDown (TControl)
pl | ro | OnMouseDown (TPanel)
pt |  | OnMouseEnter (TControl)
pl | ro | OnMouseEnter (TPanel)
pt |  | OnMouseLeave (TControl)
pl | ro | OnMouseLeave (TPanel)
pt |  | OnMouseMove (TControl)
pl | ro | OnMouseMove (TPanel)
pt |  | OnMouseUp (TControl)
pl | ro | OnMouseUp (TPanel)
pt |  | OnMouseWheel (TControl)
pl | ro | OnMouseWheel (TPanel)
pt |  | OnMouseWheelDown (TControl)
pl | ro | OnMouseWheelDown (TPanel)
pt |  | OnMouseWheelHorz (TControl)
pl | ro | OnMouseWheelHorz (TPanel)
pt |  | OnMouseWheelLeft (TControl)
pl | ro | OnMouseWheelLeft (TPanel)
pt |  | OnMouseWheelRight (TControl)
pl | ro | OnMouseWheelRight (TPanel)
pt |  | OnMouseWheelUp (TControl)
pl | ro | OnMouseWheelUp (TPanel)
 |  | OnPaint (TCustomControl)
pl | ro | OnPaint (TPanel)
pt |  | OnQuadClick (TControl)
 |  | OnResize (TControl)
pl | ro | OnResize (TPanel)
 |  | OnShowHint (TControl)
pt |  | OnStartDock (TControl)
pl | ro | OnStartDock (TPanel)
pt |  | OnStartDrag (TControl)
pl | ro | OnStartDrag (TPanel)
pt |  | OnTripleClick (TControl)
 |  | OnUnDock (TWinControl)
pl | ro | OnUnDock (TPanel)
 |  | OnUTF8KeyPress (TWinControl)


TPanel.BevelColor

Declaration

Source position: extctrls.pp line 1107

published property TPanel.BevelColor : TColor;


TPanel.BidiMode

Declaration

Source position: extctrls.pp line 1111

published property TPanel.BidiMode : TBiDiMode;


TPanel.Caption

Declaration

Source position: extctrls.pp line 1114

published property TPanel.Caption : TCaption;


TPanel.DoubleBuffered

Declaration

Source position: extctrls.pp line 1121

published property TPanel.DoubleBuffered : Boolean;


TPanel.OnContextPopup

Declaration

Source position: extctrls.pp line 1142

published property TPanel.OnContextPopup : TContextPopupEvent;


TPanel.OnMouseEnter

Declaration

Source position: extctrls.pp line 1155

published property TPanel.OnMouseEnter : TNotifyEvent;


TPanel.OnMouseLeave

Declaration

Source position: extctrls.pp line 1156

published property TPanel.OnMouseLeave : TNotifyEvent;


TPanel.OnMouseWheel

Declaration

Source position: extctrls.pp line 1159

published property TPanel.OnMouseWheel : TMouseWheelEvent;


TPanel.OnMouseWheelDown

Declaration

Source position: extctrls.pp line 1160

published property TPanel.OnMouseWheelDown : TMouseWheelUpDownEvent;


TPanel.OnMouseWheelHorz

Declaration

Source position: extctrls.pp line 1162

published property TPanel.OnMouseWheelHorz : TMouseWheelEvent;


TPanel.OnMouseWheelLeft

Declaration

Source position: extctrls.pp line 1163

published property TPanel.OnMouseWheelLeft : TMouseWheelUpDownEvent;


TPanel.OnMouseWheelRight

Declaration

Source position: extctrls.pp line 1164

published property TPanel.OnMouseWheelRight : TMouseWheelUpDownEvent;


TPanel.OnMouseWheelUp

Declaration

Source position: extctrls.pp line 1161

published property TPanel.OnMouseWheelUp : TMouseWheelUpDownEvent;


TPanel.OnPaint

Declaration

Source position: extctrls.pp line 1165

published property TPanel.OnPaint : TNotifyEvent;


TPanel.ParentBackground

Declaration

Source position: extctrls.pp line 1128

published property TPanel.ParentBackground : Boolean;


TPanel.ParentBidiMode

Declaration

Source position: extctrls.pp line 1129

published property TPanel.ParentBidiMode : Boolean;


TPanel.ParentDoubleBuffered

Declaration

Source position: extctrls.pp line 1131

published property TPanel.ParentDoubleBuffered : Boolean;


TPanel.Wordwrap

Declaration

Source position: extctrls.pp line 1140

published property TPanel.Wordwrap : Boolean;


TPanelBevel

Declaration

Source position: extctrls.pp line 1052

type TPanelBevel = TBevelCut;


TRadioGroup

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

TRadioGroup : A group of related but mutually exclusive radio buttons, requiring the user to select one af a set of alternatives

Declaration

Source position: extctrls.pp line 734

type TRadioGroup = class(TCustomRadioGroup)
published
property Align: TAlign; | Specifies the placement of the control inside its Parent.
property Anchors: TAnchors; | The set of anchor definitions for this control.
property AutoFill: Boolean; | AutoFill - whether responses to Items should automatically be filled in
property AutoSize: Boolean; | Allows to automatically adjust the size of the control, according to its content.
property BidiMode: TBiDiMode;
property BorderSpacing: TControlBorderSpacing; | Determines the inner and outer border spacing for this control.
property Caption: TCaption; | Caption - the text string appearing above the whole RadioGroup box
property ChildSizing: TControlChildSizing; | Parameters for child control arrangement and spacing.
property ClientHeight: Integer; | The height of the client area of the control.
property ClientWidth: Integer; | The width of the client area of the control.
property Color: TColor; | The background color of the control.
property ColumnLayout: TColumnLayout; | ColumnLayout - HorizontalThenVertical or vice versa
property Columns: Integer; | Columns - the number of columns in which the Items (radio buttons) are to be arranges
property Constraints: TSizeConstraints; | The minimal and maximal Width and Height of this control.
property DoubleBuffered: Boolean;
property DragCursor: TCursor; | The cursor shape shown while the control is dragged.
property DragMode: TDragMode; | Allows the user to drag the control.
property Enabled: Boolean; | Determines whether the control reacts on mouse or keyboard input.
property Font: TFont; | The font to be used for text display in this control.
property ItemIndex: Integer; | The Index value in the list of Items (a stringlist with the names of the selections for radio buttons)
property Items: TStrings; | Items - a string list containing the captions for the radio boxes
property OnChangeBounds: TNotifyEvent; | Event handler for a change of the Bounds of the control.
property OnClick: TNotifyEvent; | Event called when the selected item changes
property OnDblClick: TNotifyEvent; | Event Handler for double mouse clicks.
property OnDragDrop: TDragDropEvent; | This handler determines the action on an drop onto this control, in a drag-drop operation.
property OnDragOver: TDragOverEvent; | Event handler for a control being dragged over this control.
property OnEndDrag: TEndDragEvent; | Notification handler for the end of a dragging operation.
property OnEnter: TNotifyEvent; | Handler for control receiving the focus.
property OnExit: TNotifyEvent; | Handler for control loosing the focus. This is a good place for checking the finished user input.
property OnKeyDown: TKeyEvent; | Handler for keyboard key pressed.
property OnKeyPress: TKeyPressEvent; | Handler for a character entered by the user.
property OnKeyUp: TKeyEvent; | Handler for keyboard key released.
property OnMouseDown: TMouseEvent; | Event handler for mouse button going down.
property OnMouseEnter: TNotifyEvent;
property OnMouseLeave: TNotifyEvent;
property OnMouseMove: TMouseMoveEvent; | Event handler for mouse movement within the control.
property OnMouseUp: TMouseEvent; | Event handler for mouse button going up.
property OnMouseWheel: TMouseWheelEvent;
property OnMouseWheelDown: TMouseWheelUpDownEvent;
property OnMouseWheelUp: TMouseWheelUpDownEvent;
property OnResize: TNotifyEvent; | Notification handler for a resize of the control.
property OnSelectionChanged: TNotifyEvent; | Event called when the selected item changes
property OnStartDrag: TStartDragEvent; | Event handler for the start of a dragging operation.
property OnUTF8KeyPress: TUTF8KeyPressEvent; | Handler for a character entered by the user.
property ParentBidiMode: Boolean;
property ParentFont: Boolean; | If true, the Font of the control will be the same as the one from the Parent. Default is true.
property ParentColor: Boolean; |
property ParentDoubleBuffered: Boolean;
property ParentShowHint: Boolean; | If true, the value of ShowHint for the control will be the same as the one from the Parent. Default is true.
property PopupMenu: TPopupMenu; | A context-sensitive menu that pops up when the right mouse button is clicked over this control
property ShowHint: Boolean; | Enables the Hint display.
property TabOrder: TTabOrder; | Determines the sequence of controls, reachable when the user presses the Tab key.
property TabStop: Boolean; | Allows the user to navigate to this control, by pressing the Tab key.
property Visible: Boolean; | Allows to show or hide the control, and all of its children.
end;

Inheritance

TRadioGroup | TRadioGroup : A group of related but mutually exclusive radio buttons, requiring the user to select one af a set of alternatives
|
TCustomRadioGroup | TCustomRadioGroup: the base type for TRadioGroup
|
TCustomGroupBox | The base class for TGroupBox, TRadioGroup and TCheckGroup.
|
TWinControl | The base class for controls which can contain other (child) controls.
|
TControl | The base class for visible controls.
|
TLCLComponent | The base class for LCL components associated with widgets.
|
TComponent,IUnknown,IInterfaceComponentReference
|
TPersistent,IFPObserved
|
TObject

Description

TRadioGroup: A group of related but mutually exclusive radio buttons, requiring the user to select one af a set of alternatives. As one button becomes selected, the remaining buttons in the group become automatically deselected.

To Use this control, place it in the required position on the form, then in the Object Inspector select Items and click on the ellipsis (...) to open the string editor. Type in the captions to accompany each check box, then close the string editor and you will see a series of Radio Boxes with their captions displayed beside them. (Note - unlike TCheckGroup, there is no special RadioGroup editor)

Inherits properties from TCustomRadioGroup and TCustomGroupBox

TRadioGroup behaves differently from a group of TRadioButton controls placed arbitrarily around a form.

In the case of TRadioButton, the mutual exclusivity is a feature that applies to any RadioButton anywhere in the Form, and the RadioButtons can be rearranged in any order or placed anywhere within the containing Form, while in TRadioGroup the exclusivity applies only to buttons within the Group, which are ordered strictly according to their ItemIndex within the Items stringlist.

TRadioButton is an entity in itself, with a number of additional properties, whereas the buttons within TRadioGroup are not separate entities, but rather are simply entries in a list of strings, each of which is associated with the on-screen image of a RadioButton.

The example shows the difference between the use of TRadioButton and TRadioGroup

See also

HowToUseStdCtrls | How to use StdCtrls, ComCtrls or ExtCtrls
TRadioButton | A selection button that works with other Radio Buttons in a mutually exclusive way - if one button is selected, none of the others in the group can be selected.

Example

{Using TRadioGroup with three entries in Items:
Index 0: Red
Index 1: Amber
Index 2: Green}

procedure TTrivialForm1.RadioGroup1Click(Sender: TObject);
begin
  case RadioGroup1.ItemIndex of
  0:   Shape1.brush.color := clRed;
  1:   Shape1.brush.color := clYellow;
  2:   Shape1.brush.color := clGreen
  end
end;

{Using three separate RadioButtons}

procedure TForm1.RadioButton1Click(Sender: TObject);
begin
  Shape1.brush.color := clRed
end;

procedure TForm1.RadioButton2Click(Sender: TObject);
begin
  Shape1.brush.color := clYellow
end;

procedure TForm1.RadioButton3Click(Sender: TObject);
begin
  Shape1.brush.color := clGreen
end;


TRadioGroup
pl | ro | Align
pl | ro | Anchors
pl | ro | AutoFill
pl | ro | AutoSize
pl | ro | BidiMode
pl | ro | BorderSpacing
pl | ro | Caption
pl | ro | ChildSizing
pl | ro | ClientHeight
pl | ro | ClientWidth
pl | ro | Color
pl | ro | ColumnLayout
pl | ro | Columns
pl | ro | Constraints
pl | ro | DoubleBuffered
pl | ro | DragCursor
pl | ro | DragMode
pl | ro | Enabled
pl | ro | Font
pl | ro | ItemIndex
pl | ro | Items
pl | ro | ParentBidiMode
pl | ro | ParentFont
pl | ro | ParentColor
pl | ro | ParentDoubleBuffered
pl | ro | ParentShowHint
pl | ro | PopupMenu
pl | ro | ShowHint
pl | ro | TabOrder
pl | ro | TabStop
pl | ro | Visible
TCustomRadioGroup
 |  | AutoFill
 |  | ItemIndex
 |  | Items
 |  | Columns
 |  | ColumnLayout
TCustomGroupBox
TWinControl
pt |  | WindowHandle
pt |  | BorderStyle
pt |  | ParentBackground
 |  | BorderWidth
 | ro | BoundsLockCount
 | ro | Brush
 | ro | CachedClientHeight
 | ro | CachedClientWidth
 |  | ChildSizing
 | ro | ControlCount
 | ro | Controls
 |  | DefWndProc
 | ro | DockClientCount
 | ro | DockClients
 |  | DockManager
 |  | DockSite
 |  | DoubleBuffered
 |  | Handle
 | ro | IsFlipped
 | ro | IsResizing
 |  | TabOrder
 |  | TabStop
 |  | ParentDoubleBuffered
 |  | ParentWindow
 | ro | Showing
 |  | UseDockManager
 |  | DesignerDeleting
 | ro | VisibleDockClientCount
TControl
pt | ro | AutoSizing
pt | ro | AutoSizingAll
pt | ro | AutoSizingLockCount
pt |  | ActionLink
pt |  | DesktopFont
pt |  | DragCursor
pt |  | DragKind
pt |  | DragMode
pt |  | MouseCapture
pt |  | ParentColor
pt |  | ParentFont
pt |  | ParentShowHint
pt |  | SessionProperties
pt |  | Text
 | ro | AnchoredControls
 | ro | BaseBounds
 | ro | ReadBounds
 | ro | BaseParentClientSize
 |  | AccessibleDescription
 |  | AccessibleValue
 |  | AccessibleRole
 |  | Action
 |  | Align
 |  | Anchors
 | ro | AnchorSide
 |  | AutoSize
 |  | BorderSpacing
 |  | BoundsRect
 |  | BoundsRectForNewParent
 |  | Caption
 |  | CaptureMouseButtons
 |  | ClientHeight
 | ro | ClientOrigin
 | ro | ClientRect
 |  | ClientWidth
 |  | Color
 |  | Constraints
 | ro | ControlOrigin
 |  | ControlState
 |  | ControlStyle
 |  | Enabled
 |  | Font
 |  | IsControl
 | ro | MouseEntered
 | ro | MouseInClient
 |  | Parent
 |  | PopupMenu
 |  | ShowHint
 |  | Visible
 |  | WindowProc
 |  | DockOrientation
 | ro | Floating
 |  | FloatingDockSiteClass
 |  | HostDockSite
 |  | LRDockWidth
 |  | TBDockHeight
 |  | UndockHeight
 |  | UndockWidth
 |  | BiDiMode
 |  | ParentBiDiMode
pl |  | AnchorSideLeft
pl |  | AnchorSideTop
pl |  | AnchorSideRight
pl |  | AnchorSideBottom
pl |  | Cursor
pl |  | Left
pl |  | Height
pl |  | Hint
pl |  | Top
pl |  | Width
pl |  | HelpType
pl |  | HelpKeyword
pl |  | HelpContext
TLCLComponent
 | ro | LCLRefCount
 | ro | WidgetSetClass
TComponent
 | ro | ComObject
 | ro | Components
 | ro | ComponentCount
 |  | ComponentIndex
 | ro | ComponentState
 | ro | ComponentStyle
 |  | DesignInfo
 | ro | Owner
 |  | VCLComObject
 |  | Name
 |  | Tag
TPersistent
TObject


 |  | AccessibleDescription (TControl)
 |  | AccessibleRole (TControl)
 |  | AccessibleValue (TControl)
 |  | Action (TControl)
pt |  | ActionLink (TControl)
 |  | Align (TControl)
pl | ro | Align (TRadioGroup)
 | ro | AnchoredControls (TControl)
 |  | Anchors (TControl)
pl | ro | Anchors (TRadioGroup)
 | ro | AnchorSide (TControl)
pl |  | AnchorSideBottom (TControl)
pl |  | AnchorSideLeft (TControl)
pl |  | AnchorSideRight (TControl)
pl |  | AnchorSideTop (TControl)
 |  | AutoFill (TCustomRadioGroup)
pl | ro | AutoFill (TRadioGroup)
 |  | AutoSize (TControl)
pl | ro | AutoSize (TRadioGroup)
pt | ro | AutoSizing (TControl)
pt | ro | AutoSizingAll (TControl)
pt | ro | AutoSizingLockCount (TControl)
 | ro | BaseBounds (TControl)
 | ro | BaseParentClientSize (TControl)
 |  | BiDiMode (TControl)
pl | ro | BidiMode (TRadioGroup)
 |  | BorderSpacing (TControl)
pl | ro | BorderSpacing (TRadioGroup)
pt |  | BorderStyle (TWinControl)
 |  | BorderWidth (TWinControl)
 | ro | BoundsLockCount (TWinControl)
 |  | BoundsRect (TControl)
 |  | BoundsRectForNewParent (TControl)
 | ro | Brush (TWinControl)
 | ro | CachedClientHeight (TWinControl)
 | ro | CachedClientWidth (TWinControl)
 |  | Caption (TControl)
pl | ro | Caption (TRadioGroup)
 |  | CaptureMouseButtons (TControl)
 |  | ChildSizing (TWinControl)
pl | ro | ChildSizing (TRadioGroup)
 |  | ClientHeight (TControl)
pl | ro | ClientHeight (TRadioGroup)
 | ro | ClientOrigin (TControl)
 | ro | ClientRect (TControl)
 |  | ClientWidth (TControl)
pl | ro | ClientWidth (TRadioGroup)
 |  | Color (TControl)
pl | ro | Color (TRadioGroup)
 |  | ColumnLayout (TCustomRadioGroup)
pl | ro | ColumnLayout (TRadioGroup)
 |  | Columns (TCustomRadioGroup)
pl | ro | Columns (TRadioGroup)
 | ro | ComObject (TComponent)
 | ro | ComponentCount (TComponent)
 |  | ComponentIndex (TComponent)
 | ro | Components (TComponent)
 | ro | ComponentState (TComponent)
 | ro | ComponentStyle (TComponent)
 |  | Constraints (TControl)
pl | ro | Constraints (TRadioGroup)
 | ro | ControlCount (TWinControl)
 | ro | ControlOrigin (TControl)
 | ro | Controls (TWinControl)
 |  | ControlState (TControl)
 |  | ControlStyle (TControl)
pl |  | Cursor (TControl)
 |  | DefWndProc (TWinControl)
 |  | DesignerDeleting (TWinControl)
 |  | DesignInfo (TComponent)
pt |  | DesktopFont (TControl)
 | ro | DockClientCount (TWinControl)
 | ro | DockClients (TWinControl)
 |  | DockManager (TWinControl)
 |  | DockOrientation (TControl)
 |  | DockSite (TWinControl)
 |  | DoubleBuffered (TWinControl)
pl | ro | DoubleBuffered (TRadioGroup)
pt |  | DragCursor (TControl)
pl | ro | DragCursor (TRadioGroup)
pt |  | DragKind (TControl)
pt |  | DragMode (TControl)
pl | ro | DragMode (TRadioGroup)
 |  | Enabled (TControl)
pl | ro | Enabled (TRadioGroup)
 | ro | Floating (TControl)
 |  | FloatingDockSiteClass (TControl)
 |  | Font (TControl)
pl | ro | Font (TRadioGroup)
 |  | Handle (TWinControl)
pl |  | Height (TControl)
pl |  | HelpContext (TControl)
pl |  | HelpKeyword (TControl)
pl |  | HelpType (TControl)
pl |  | Hint (TControl)
 |  | HostDockSite (TControl)
 |  | IsControl (TControl)
 | ro | IsFlipped (TWinControl)
 | ro | IsResizing (TWinControl)
 |  | ItemIndex (TCustomRadioGroup)
pl | ro | ItemIndex (TRadioGroup)
 |  | Items (TCustomRadioGroup)
pl | ro | Items (TRadioGroup)
 | ro | LCLRefCount (TLCLComponent)
pl |  | Left (TControl)
 |  | LRDockWidth (TControl)
pt |  | MouseCapture (TControl)
 | ro | MouseEntered (TControl)
 | ro | MouseInClient (TControl)
 |  | Name (TComponent)
 | ro | Owner (TComponent)
 |  | Parent (TControl)
pt |  | ParentBackground (TWinControl)
 |  | ParentBiDiMode (TControl)
pl | ro | ParentBidiMode (TRadioGroup)
pt |  | ParentColor (TControl)
pl | ro | ParentColor (TRadioGroup)
 |  | ParentDoubleBuffered (TWinControl)
pl | ro | ParentDoubleBuffered (TRadioGroup)
pt |  | ParentFont (TControl)
pl | ro | ParentFont (TRadioGroup)
pt |  | ParentShowHint (TControl)
pl | ro | ParentShowHint (TRadioGroup)
 |  | ParentWindow (TWinControl)
 |  | PopupMenu (TControl)
pl | ro | PopupMenu (TRadioGroup)
 | ro | ReadBounds (TControl)
pt |  | SessionProperties (TControl)
 |  | ShowHint (TControl)
pl | ro | ShowHint (TRadioGroup)
 | ro | Showing (TWinControl)
 |  | TabOrder (TWinControl)
pl | ro | TabOrder (TRadioGroup)
 |  | TabStop (TWinControl)
pl | ro | TabStop (TRadioGroup)
 |  | Tag (TComponent)
 |  | TBDockHeight (TControl)
pt |  | Text (TControl)
pl |  | Top (TControl)
 |  | UndockHeight (TControl)
 |  | UndockWidth (TControl)
 |  | UseDockManager (TWinControl)
 |  | VCLComObject (TComponent)
 |  | Visible (TControl)
pl | ro | Visible (TRadioGroup)
 | ro | VisibleDockClientCount (TWinControl)
 | ro | WidgetSetClass (TLCLComponent)
pl |  | Width (TControl)
pt |  | WindowHandle (TWinControl)
 |  | WindowProc (TControl)


TRadioGroup
TCustomRadioGroup
pt | WSRegisterClass
pt | UpdateInternalObjectList
pt | UpdateAll
pt | InitializeWnd
pt | UpdateRadioButtonStates
pt | ReadState
pt | SetItems
pt | SetColumns
pt | SetItemIndex
pt | GetItemIndex
pt | CheckItemIndexChanged
 | Create
 | Destroy
 | CanModify
 | FlipChildren
 | Rows
TCustomGroupBox
pt | WSRegisterClass
pt | GetControlClassDefaultSize
pt | CreateParams
 | Create
TWinControl
pt | WSRegisterClass
pt | AdjustClientRect
pt | GetAdjustedLogicalClientRect
pt | AlignControls
pt | CustomAlignInsertBefore
pt | CustomAlignPosition
pt | DoAlignChildControls
pt | DoChildSizingChange
pt | InvalidatePreferredChildSizes
pt | CanTab
pt | IsClientHeightStored
pt | IsClientWidthStored
pt | DoSendShowHideToInterface
pt | ControlsAligned
pt | DoSendBoundsToInterface
pt | RealizeBounds
pt | RealizeBoundsRecursive
pt | InvalidateBoundsRealized
pt | CreateSubClass
pt | DoConstraintsChange
pt | DoSetBounds
pt | DoAutoSize
pt | DoAllAutoSize
pt | AllAutoSized
pt | CalculatePreferredSize
pt | GetPreferredSizeClientFrame
pt | GetChildren
pt | ChildClassAllowed
pt | PaintControls
pt | PaintHandler
pt | PaintWindow
pt | CreateBrush
pt | ScaleControls
pt | ChangeScale
pt | CMBiDiModeChanged
pt | CMBorderChanged
pt | CMDoubleBufferedChanged
pt | CMEnabledChanged
pt | CMParentDoubleBufferedChanged
pt | CMShowingChanged
pt | CMShowHintChanged
pt | CMVisibleChanged
pt | CMEnter
pt | CMExit
pt | WMContextMenu
pt | WMEraseBkgnd
pt | WMNotify
pt | WMSetFocus
pt | WMKillFocus
pt | WMShowWindow
pt | WMEnter
pt | WMExit
pt | WMKeyDown
pt | WMSysKeyDown
pt | WMKeyUp
pt | WMSysKeyUp
pt | WMChar
pt | WMSysChar
pt | WMPaint
pt | WMDestroy
pt | WMMove
pt | WMSize
pt | WMWindowPosChanged
pt | CNKeyDown
pt | CNSysKeyDown
pt | CNKeyUp
pt | CNSysKeyUp
pt | CNChar
pt | DoDragMsg
pt | DoDockClientMsg
pt | DoUndockClientMsg
pt | DoAddDockClient
pt | DockOver
pt | DoDockOver
pt | DoRemoveDockClient
pt | DoUnDock
pt | GetSiteInfo
pt | GetParentHandle
pt | GetTopParentHandle
pt | ReloadDockedControl
pt | CreateDockManager
pt | SetDockManager
pt | DoFloatMsg
pt | DoGetDockCaption
pt | DoEnter
pt | DoExit
pt | DoKeyDownBeforeInterface
pt | DoRemainingKeyDown
pt | DoRemainingKeyUp
pt | DoKeyPress
pt | DoUTF8KeyPress
pt | DoKeyUpBeforeInterface
pt | ChildKey
pt | SendDialogChar
pt | DialogChar
pt | ControlKeyDown
pt | ControlKeyUp
pt | KeyDown
pt | KeyDownBeforeInterface
pt | KeyDownAfterInterface
pt | KeyPress
pt | KeyUp
pt | KeyUpBeforeInterface
pt | KeyUpAfterInterface
pt | UTF8KeyPress
pt | FindNextControl
pt | SelectFirst
pt | RealGetText
pt | GetBorderStyle
pt | GetClientOrigin
pt | GetClientRect
pt | GetControlOrigin
pt | GetDeviceContext
pt | GetParentBackground
pt | IsControlMouseMsg
pt | CreateHandle
pt | CreateParams
pt | CreateWnd
pt | DestroyHandle
pt | DestroyWnd
pt | DoFlipChildren
pt | FinalizeWnd
pt | FixupTabList
pt | FontChanged
pt | InitializeWnd
pt | Loaded
pt | FormEndUpdated
pt | MainWndProc
pt | ParentFormHandleInitialized
pt | ChildHandlesCreated
pt | GetMouseCapture
pt | RealSetText
pt | RemoveFocus
pt | SendMoveSizeMessages
pt | SetBorderStyle
pt | SetColor
pt | SetChildZPosition
pt | SetParentBackground
pt | ShowControl
pt | UpdateControlState
pt | UpdateShowing
pt | WndProc
pt | WSSetText
 | AutoSizePhases
 | AutoSizeDelayed
 | AutoSizeDelayedReport
 | AutoSizeDelayedHandle
 | BeginUpdateBounds
 | EndUpdateBounds
 | LockRealizeBounds
 | UnlockRealizeBounds
 | ControlAtPos
 | ContainsControl
 | DoAdjustClientRectChange
 | InvalidateClientRectCache
 | ClientRectNeedsInterfaceUpdate
 | SetBounds
 | GetChildrenRect
 | DisableAlign
 | EnableAlign
 | ReAlign
 | ScrollBy_WS
 | ScrollBy
 | WriteLayoutDebugReport
 | AutoAdjustLayout
 | Create
 | CreateParented
 | CreateParentedControl
 | Destroy
 | DockDrop
 | CanFocus
 | CanSetFocus
 | GetControlIndex
 | SetControlIndex
 | Focused
 | PerformTab
 | FindChildControl
 | SelectNext
 | SetTempCursor
 | BroadCast
 | NotifyControls
 | DefaultHandler
 | GetTextLen
 | Invalidate
 | AddControl
 | InsertControl
 | RemoveControl
 | GetEnumeratorControls
 | GetEnumeratorControlsReverse
 | Repaint
 | Update
 | SetFocus
 | FlipChildren
 | ScaleBy
 | GetDockCaption
 | UpdateDockCaption
 | GetTabOrderList
 | HandleAllocated
 | ParentHandlesAllocated
 | HandleNeeded
 | BrushCreated
 | EraseBackground
 | IntfUTF8KeyPress
 | IntfGetDropFilesTarget
 | PaintTo
 | SetShape
TControl
pt | WSRegisterClass
pt | GetCursor
pt | SetCursor
pt | SetVisible
pt | DoOnParentHandleDestruction
pt | DoAutoSize
pt | DoAllAutoSize
pt | BeginAutoSizing
pt | EndAutoSizing
pt | AnchorSideChanged
pt | ForeignAnchorSideChanged
pt | SetAlign
pt | SetAnchors
pt | SetAutoSize
pt | BoundsChanged
pt | CreateControlBorderSpacing
pt | DoConstraintsChange
pt | DoBorderSpacingChange
pt | IsBorderSpacingInnerBorderStored
pt | IsCaptionStored
pt | SendMoveSizeMessages
pt | ConstrainedResize
pt | CalculatePreferredSize
pt | DoOnResize
pt | DoOnChangeBounds
pt | CheckOnChangeBounds
pt | Resize
pt | RequestAlign
pt | UpdateAnchorRules
pt | ChangeBounds
pt | DoSetBounds
pt | ScaleConstraints
pt | ChangeScale
pt | CanAutoSize
pt | SetBiDiMode
pt | SetParentBiDiMode
pt | IsAParentAligning
pt | GetClientOrigin
pt | GetClientRect
pt | GetLogicalClientRect
pt | GetScrolledClientRect
pt | GetClientScrollOffset
pt | GetControlOrigin
pt | IsClientHeightStored
pt | IsClientWidthStored
pt | WidthIsAnchored
pt | HeightIsAnchored
pt | WMCancelMode
pt | WMContextMenu
pt | WMLButtonDown
pt | WMRButtonDown
pt | WMMButtonDown
pt | WMXButtonDown
pt | WMLButtonDBLCLK
pt | WMRButtonDBLCLK
pt | WMMButtonDBLCLK
pt | WMXButtonDBLCLK
pt | WMLButtonTripleCLK
pt | WMRButtonTripleCLK
pt | WMMButtonTripleCLK
pt | WMXButtonTripleCLK
pt | WMLButtonQuadCLK
pt | WMRButtonQuadCLK
pt | WMMButtonQuadCLK
pt | WMXButtonQuadCLK
pt | WMMouseMove
pt | WMLButtonUp
pt | WMRButtonUp
pt | WMMButtonUp
pt | WMXButtonUp
pt | WMMouseWheel
pt | WMMouseHWheel
pt | WMMove
pt | WMSize
pt | WMWindowPosChanged
pt | CMChanged
pt | LMCaptureChanged
pt | CMBiDiModeChanged
pt | CMSysFontChanged
pt | CMEnabledChanged
pt | CMHitTest
pt | CMMouseEnter
pt | CMMouseLeave
pt | CMHintShow
pt | CMParentBiDiModeChanged
pt | CMParentColorChanged
pt | CMParentFontChanged
pt | CMParentShowHintChanged
pt | CMVisibleChanged
pt | CMTextChanged
pt | CMCursorChanged
pt | CalculateDockSizes
pt | CreateFloatingDockSite
pt | GetDockEdge
pt | GetDragImages
pt | GetFloating
pt | GetFloatingDockSiteClass
pt | BeforeDragStart
pt | BeginAutoDrag
pt | DoFloatMsg
pt | DockTrackNoTarget
pt | DoDock
pt | DoDragMsg
pt | DoEndDock
pt | DoEndDrag
pt | DoStartDock
pt | DoStartDrag
pt | DragCanceled
pt | DragOver
pt | PositionDockRect
pt | SetDragMode
pt | GetDefaultDockCaption
pt | Click
pt | DblClick
pt | TripleClick
pt | QuadClick
pt | GetMousePosFromMessage
pt | MouseDown
pt | MouseMove
pt | MouseUp
pt | MouseEnter
pt | MouseLeave
pt | DialogChar
pt | UpdateMouseCursor
pt | Changed
pt | GetPalette
pt | ChildClassAllowed
pt | ReadState
pt | Loaded
pt | LoadedAll
pt | DefineProperties
pt | AssignTo
pt | FormEndUpdated
pt | InvalidateControl
pt | FontChanged
pt | ParentFontChanged
pt | GetAction
pt | RealGetText
pt | RealSetText
pt | TextChanged
pt | GetCachedText
pt | SetAction
pt | SetColor
pt | SetEnabled
pt | SetHint
pt | SetName
pt | SetParent
pt | SetParentComponent
pt | WndProc
pt | ParentFormHandleInitialized
pt | GetMouseCapture
pt | CaptureChanged
pt | Notification
pt | CanTab
pt | GetDeviceContext
pt | GetEnabled
pt | GetPopupMenu
pt | DoOnShowHint
pt | DoMouseWheel
pt | DoMouseWheelDown
pt | DoMouseWheelUp
pt | DoMouseWheelHorz
pt | DoMouseWheelLeft
pt | DoMouseWheelRight
pt | VisibleChanging
pt | VisibleChanged
pt | EnabledChanging
pt | EnabledChanged
pt | AddHandler
pt | RemoveHandler
pt | DoCallNotifyHandler
pt | DoCallKeyEventHandler
pt | DoCallMouseWheelEventHandler
pt | DoContextPopup
pt | SetZOrder
pt | GetControlClassDefaultSize
pt | ColorIsStored
pt | DoAutoAdjustLayout
pt | DoFixDesignFontPPI
pt | DoScaleFontPPI
pt | GetActionLinkClass
pt | ActionChange
 | DragDrop
 | Dock
 | ManualDock
 | ManualFloat
 | ReplaceDockedControl
 | Docked
 | Dragging
 | GetAccessibleObject
 | CreateAccessibleObject
 | GetSelectedChildAccessibleObject
 | GetChildAccessibleObjectAtPos
 | ScaleDesignToForm
 | ScaleFormToDesign
 | Scale96ToForm
 | ScaleFormTo96
 | Scale96ToFont
 | ScaleFontTo96
 | ScaleScreenToFont
 | ScaleFontToScreen
 | Scale96ToScreen
 | ScaleScreenTo96
 | AdjustSize
 | AutoSizePhases
 | AutoSizeDelayed
 | AutoSizeDelayedReport
 | AutoSizeDelayedHandle
 | AnchorToNeighbour
 | AnchorParallel
 | AnchorHorizontalCenterTo
 | AnchorVerticalCenterTo
 | AnchorToCompanion
 | AnchorSame
 | AnchorAsAlign
 | AnchorClient
 | AnchoredControlCount
 | SetBounds
 | SetInitialBounds
 | SetBoundsKeepBase
 | GetPreferredSize
 | GetCanvasScaleFactor
 | GetDefaultWidth
 | GetDefaultHeight
 | GetDefaultColor
 | GetColorResolvingParent
 | GetRGBColorResolvingParent
 | GetSidePosition
 | CNPreferredSizeChanged
 | InvalidatePreferredSize
 | GetAnchorsDependingOnParent
 | DisableAutoSizing
 | EnableAutoSizing
 | UpdateBaseBounds
 | WriteLayoutDebugReport
 | AutoAdjustLayout
 | ShouldAutoAdjust
 | FixDesignFontsPPI
 | ScaleFontsPPI
 | Create
 | Destroy
 | BeforeDestruction
 | EditingDone
 | ExecuteDefaultAction
 | ExecuteCancelAction
 | BeginDrag
 | EndDrag
 | BringToFront
 | HasParent
 | GetParentComponent
 | IsParentOf
 | GetTopParent
 | IsVisible
 | IsControlVisible
 | IsEnabled
 | IsParentColor
 | IsParentFont
 | FormIsUpdating
 | IsProcessingPaintMsg
 | Hide
 | Refresh
 | Repaint
 | Invalidate
 | CheckChildClassAllowed
 | CheckNewParent
 | SendToBack
 | SetTempCursor
 | UpdateRolesForForm
 | ActiveDefaultControlChanged
 | GetTextBuf
 | GetTextLen
 | SetTextBuf
 | Perform
 | ScreenToClient
 | ClientToScreen
 | ScreenToControl
 | ControlToScreen
 | ClientToParent
 | ParentToClient
 | GetChildrenRect
 | Show
 | Update
 | HandleObjectShouldBeVisible
 | ParentDestroyingHandle
 | ParentHandlesAllocated
 | InitiateAction
 | ShowHelp
 | HasHelp
 | RemoveAllHandlersOfObject
 | AddHandlerOnResize
 | RemoveHandlerOnResize
 | AddHandlerOnChangeBounds
 | RemoveHandlerOnChangeBounds
 | AddHandlerOnVisibleChanging
 | RemoveHandlerOnVisibleChanging
 | AddHandlerOnVisibleChanged
 | RemoveHandlerOnVisibleChanged
 | AddHandlerOnEnabledChanged
 | RemoveHandlerOnEnableChanging
 | AddHandlerOnKeyDown
 | RemoveHandlerOnKeyDown
 | AddHandlerOnBeforeDestruction
 | RemoveHandlerOnBeforeDestruction
 | AddHandlerOnMouseWheel
 | RemoveHandlerOnMouseWheel
 | UseRightToLeftAlignment
 | UseRightToLeftReading
 | UseRightToLeftScrollBar
 | IsRightToLeft
TLCLComponent
pt | WSRegisterClass
pt | GetWSComponentClass
 | Create
 | Destroy
 | NewInstance
 | RemoveAllHandlersOfObject
 | IncLCLRefCount
 | DecLCLRefCount
TComponent
 | GetComObject
 | GetComponent
 | GetComponentCount
 | GetComponentIndex
 | Insert
 | ReadLeft
 | ReadTop
 | Remove
 | RemoveNotification
 | SetComponentIndex
 | SetReference
 | WriteLeft
 | WriteTop
 | ChangeName
 | DefineProperties
 | GetChildren
 | GetChildOwner
 | GetChildParent
 | GetOwner
 | Loaded
 | Loading
 | Notification
 | PaletteCreated
 | ReadState
 | SetAncestor
 | SetDesigning
 | SetDesignInstance
 | SetInline
 | SetName
 | SetChildOrder
 | SetParentComponent
 | Updating
 | Updated
 | UpdateRegistry
 | ValidateRename
 | ValidateContainer
 | ValidateInsert
 | QueryInterface
 | _AddRef
 | _Release
 | iicrGetComponent
 | GetTypeInfoCount
 | GetTypeInfo
 | GetIDsOfNames
 | Invoke
 | WriteState
 | Create
 | Destroy
 | BeforeDestruction
 | DestroyComponents
 | Destroying
 | ExecuteAction
 | FindComponent
 | FreeNotification
 | RemoveFreeNotification
 | FreeOnRelease
 | GetEnumerator
 | GetNamePath
 | GetParentComponent
 | HasParent
 | InsertComponent
 | RemoveComponent
 | SafeCallException
 | SetSubComponent
 | UpdateAction
 | IsImplementorOf
 | ReferenceInterface
TPersistent
 | AssignError
 | AssignTo
 | DefineProperties
 | GetOwner
 | Destroy
 | Assign
 | FPOAttachObserver
 | FPODetachObserver
 | FPONotifyObservers
 | GetNamePath
TObject
 | Create
 | Destroy
 | newinstance
 | FreeInstance
 | SafeCallException
 | DefaultHandler
 | Free
 | InitInstance
 | CleanupInstance
 | ClassType
 | ClassInfo
 | ClassName
 | ClassNameIs
 | ClassParent
 | InstanceSize
 | InheritsFrom
 | StringMessageTable
 | MethodAddress
 | MethodName
 | FieldAddress
 | AfterConstruction
 | BeforeDestruction
 | DefaultHandlerStr
 | Dispatch
 | DispatchStr
 | GetInterface
 | GetInterfaceByStr
 | GetInterfaceWeak
 | GetInterfaceEntry
 | GetInterfaceEntryByStr
 | GetInterfaceTable
 | UnitName
 | Equals
 | GetHashCode
 | ToString


TRadioGroup
pl | ro | OnChangeBounds
pl | ro | OnClick
pl | ro | OnDblClick
pl | ro | OnDragDrop
pl | ro | OnDragOver
pl | ro | OnEndDrag
pl | ro | OnEnter
pl | ro | OnExit
pl | ro | OnKeyDown
pl | ro | OnKeyPress
pl | ro | OnKeyUp
pl | ro | OnMouseDown
pl | ro | OnMouseEnter
pl | ro | OnMouseLeave
pl | ro | OnMouseMove
pl | ro | OnMouseUp
pl | ro | OnMouseWheel
pl | ro | OnMouseWheelDown
pl | ro | OnMouseWheelUp
pl | ro | OnResize
pl | ro | OnSelectionChanged
pl | ro | OnStartDrag
pl | ro | OnUTF8KeyPress
TCustomRadioGroup
 |  | OnClick
 |  | OnSelectionChanged
TCustomGroupBox
TWinControl
pt |  | OnGetSiteInfo
pt |  | OnGetDockCaption
 |  | OnAlignInsertBefore
 |  | OnAlignPosition
 |  | OnDockDrop
 |  | OnDockOver
 |  | OnEnter
 |  | OnExit
 |  | OnKeyDown
 |  | OnKeyPress
 |  | OnKeyUp
 |  | OnUnDock
 |  | OnUTF8KeyPress
TControl
pt |  | OnConstrainedResize
pt |  | OnContextPopup
pt |  | OnDblClick
pt |  | OnTripleClick
pt |  | OnQuadClick
pt |  | OnDragDrop
pt |  | OnDragOver
pt |  | OnEndDock
pt |  | OnEndDrag
pt |  | OnMouseDown
pt |  | OnMouseMove
pt |  | OnMouseUp
pt |  | OnMouseEnter
pt |  | OnMouseLeave
pt |  | OnMouseWheel
pt |  | OnMouseWheelDown
pt |  | OnMouseWheelUp
pt |  | OnMouseWheelHorz
pt |  | OnMouseWheelLeft
pt |  | OnMouseWheelRight
pt |  | OnStartDock
pt |  | OnStartDrag
pt |  | OnEditingDone
 |  | OnChangeBounds
 |  | OnClick
 |  | OnResize
 |  | OnShowHint
TLCLComponent
TComponent
TPersistent
TObject


pl | ro | OnChangeBounds (TRadioGroup)
 |  | OnClick (TControl)
 |  | OnClick (TCustomRadioGroup)
pl | ro | OnClick (TRadioGroup)
pt |  | OnConstrainedResize (TControl)
pt |  | OnContextPopup (TControl)
pt |  | OnDblClick (TControl)
pl | ro | OnDblClick (TRadioGroup)
 |  | OnDockDrop (TWinControl)
 |  | OnDockOver (TWinControl)
pt |  | OnDragDrop (TControl)
pl | ro | OnDragDrop (TRadioGroup)
pt |  | OnDragOver (TControl)
pl | ro | OnDragOver (TRadioGroup)
pt |  | OnEditingDone (TControl)
pt |  | OnEndDock (TControl)
pt |  | OnEndDrag (TControl)
pl | ro | OnEndDrag (TRadioGroup)
 |  | OnEnter (TWinControl)
pl | ro | OnEnter (TRadioGroup)
 |  | OnExit (TWinControl)
pl | ro | OnExit (TRadioGroup)
pt |  | OnGetDockCaption (TWinControl)
pt |  | OnGetSiteInfo (TWinControl)
 |  | OnKeyDown (TWinControl)
pl | ro | OnKeyDown (TRadioGroup)
 |  | OnKeyPress (TWinControl)
pl | ro | OnKeyPress (TRadioGroup)
 |  | OnKeyUp (TWinControl)
pl | ro | OnKeyUp (TRadioGroup)
pt |  | OnMouseDown (TControl)
pl | ro | OnMouseDown (TRadioGroup)
pt |  | OnMouseEnter (TControl)
pl | ro | OnMouseEnter (TRadioGroup)
pt |  | OnMouseLeave (TControl)
pl | ro | OnMouseLeave (TRadioGroup)
pt |  | OnMouseMove (TControl)
pl | ro | OnMouseMove (TRadioGroup)
pt |  | OnMouseUp (TControl)
pl | ro | OnMouseUp (TRadioGroup)
pt |  | OnMouseWheel (TControl)
pl | ro | OnMouseWheel (TRadioGroup)
pt |  | OnMouseWheelDown (TControl)
pl | ro | OnMouseWheelDown (TRadioGroup)
pt |  | OnMouseWheelHorz (TControl)
pt |  | OnMouseWheelLeft (TControl)
pt |  | OnMouseWheelRight (TControl)
pt |  | OnMouseWheelUp (TControl)
pl | ro | OnMouseWheelUp (TRadioGroup)
pt |  | OnQuadClick (TControl)
 |  | OnResize (TControl)
pl | ro | OnResize (TRadioGroup)
 |  | OnSelectionChanged (TCustomRadioGroup)
pl | ro | OnSelectionChanged (TRadioGroup)
 |  | OnShowHint (TControl)
pt |  | OnStartDock (TControl)
pt |  | OnStartDrag (TControl)
pl | ro | OnStartDrag (TRadioGroup)
pt |  | OnTripleClick (TControl)
 |  | OnUnDock (TWinControl)
 |  | OnUTF8KeyPress (TWinControl)
pl | ro | OnUTF8KeyPress (TRadioGroup)


TRadioGroup.BidiMode

Declaration

Source position: extctrls.pp line 740

published property TRadioGroup.BidiMode : TBiDiMode;


TRadioGroup.Caption

Caption - the text string appearing above the whole RadioGroup box

Declaration

Source position: extctrls.pp line 742

published property TRadioGroup.Caption : TCaption;


TRadioGroup.DoubleBuffered

Declaration

Source position: extctrls.pp line 750

published property TRadioGroup.DoubleBuffered : Boolean;


TRadioGroup.OnMouseEnter

Declaration

Source position: extctrls.pp line 769

published property TRadioGroup.OnMouseEnter : TNotifyEvent;


TRadioGroup.OnMouseLeave

Declaration

Source position: extctrls.pp line 770

published property TRadioGroup.OnMouseLeave : TNotifyEvent;


TRadioGroup.OnMouseWheel

Declaration

Source position: extctrls.pp line 773

published property TRadioGroup.OnMouseWheel : TMouseWheelEvent;


TRadioGroup.OnMouseWheelDown

Declaration

Source position: extctrls.pp line 774

published property TRadioGroup.OnMouseWheelDown : TMouseWheelUpDownEvent;


TRadioGroup.OnMouseWheelUp

Declaration

Source position: extctrls.pp line 775

published property TRadioGroup.OnMouseWheelUp : TMouseWheelUpDownEvent;


TRadioGroup.ParentBidiMode

Declaration

Source position: extctrls.pp line 780

published property TRadioGroup.ParentBidiMode : Boolean;


TRadioGroup.ParentColor

Declaration

Source position: extctrls.pp line 782

published property TRadioGroup.ParentColor : Boolean;


TRadioGroup.ParentDoubleBuffered

Declaration

Source position: extctrls.pp line 783

published property TRadioGroup.ParentDoubleBuffered : Boolean;


TShape

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

TShape - An arbitrary graphic geometrical shape placed on the Form. It may be one of a series of standard shapes defined by TShapeType

Declaration

Source position: extctrls.pp line 268

type TShape = class(TGraphicControl)
protected
class procedure WSRegisterClass; override; | Registers this component class with the current WidgetSet.
class function GetControlClassDefaultSize; override; | Returns the default size for this class of controls (when added to a form).
public
constructor Create(); override; | Create - constructor for TShape: calls inherited Create, sets default styles and bounds, creates pen and brush
destructor Destroy; override; | Destroy - destructor for TShape: frees pen and brush, then calls inherited Destroy
procedure Paint; override; | Override this method with your own painting code.
procedure StyleChanged(); | StyleChanged - method for handling change of style by Sender
published
property Align: TAlign; | Specifies the placement of the control inside its Parent.
property Anchors: TAnchors; | The set of anchor definitions for this control.
property BorderSpacing: TControlBorderSpacing; | Determines the inner and outer border spacing for this control.
property Brush: TBrush; [rw] | The Brush to be used for colouring this shape
property Constraints: TSizeConstraints; | The minimal and maximal Width and Height of this control.
property DragCursor: TCursor; | The cursor shape shown while the control is dragged.
property DragKind: TDragKind; | The operation when the control is dragged - Drag or Dock.
property DragMode: TDragMode; | Allows the user to drag the control.
property Enabled: Boolean; | Determines whether the control reacts on mouse or keyboard input.
property ParentShowHint: Boolean; | If true, the value of ShowHint for the control will be the same as the one from the Parent. Default is true.
property Pen: TPen; [rw] | The Pen to be used for drawing this shape
property OnChangeBounds: TNotifyEvent; | Event handler for a change of the Bounds of the control.
property OnDragDrop: TDragDropEvent; | This handler determines the action on an drop onto this control, in a drag-drop operation.
property OnDragOver: TDragOverEvent; | Event handler for a control being dragged over this control.
property OnEndDock: TEndDragEvent; | Notification handler for the end of a docking operation.
property OnEndDrag: TEndDragEvent; | Notification handler for the end of a dragging operation.
property OnMouseDown: TMouseEvent; | Event handler for mouse button going down.
property OnMouseEnter: TNotifyEvent;
property OnMouseLeave: TNotifyEvent;
property OnMouseMove: TMouseMoveEvent; | Event handler for mouse movement within the control.
property OnMouseUp: TMouseEvent; | Event handler for mouse button going up.
property OnMouseWheel: TMouseWheelEvent;
property OnMouseWheelDown: TMouseWheelUpDownEvent;
property OnMouseWheelUp: TMouseWheelUpDownEvent;
property OnMouseWheelHorz: TMouseWheelEvent;
property OnMouseWheelLeft: TMouseWheelUpDownEvent;
property OnMouseWheelRight: TMouseWheelUpDownEvent;
property OnPaint: TNotifyEvent; | Supply your own OnPaint handler for painting the control.
property OnResize: TNotifyEvent; | Notification handler for a resize of the control.
property OnStartDock: TStartDockEvent; | Event handler for the start of a docking operation.
property OnStartDrag: TStartDragEvent; | Event handler for the start of a dragging operation.
property Shape: TShapeType; [rw] | Which Shape? (Rectangle, Square, RoundRect, RoundSquare, Ellipse, Circle, SquaredDiamond, Diamond)
property ShowHint: Boolean; | Enables the Hint display.
property Visible: Boolean; | Allows to show or hide the control, and all of its children.
end;

Inheritance

TShape | TShape - An arbitrary graphic geometrical shape placed on the Form. It may be one of a series of standard shapes defined by TShapeType
|
TGraphicControl | TGraphicControl is the base class for all lightweight controls.
|
TControl | The base class for visible controls.
|
TLCLComponent | The base class for LCL components associated with widgets.
|
TComponent,IUnknown,IInterfaceComponentReference
|
TPersistent,IFPObserved
|
TObject

Description

TShape: An arbitrary graphic geometrical shape placed on the Form. It may be one of a series of standard shapes defined by TShapeType (stRectangle, stSquare, stRoundRect, stRoundSquare, stEllipse, stCircle, stSquaredDiamond, stDiamond).

It can be displayed using the Paint method and the Brush and Pen tools.


TShape
pl | ro | Align
pl | ro | Anchors
pl | ro | BorderSpacing
pl |  | Brush
pl | ro | Constraints
pl | ro | DragCursor
pl | ro | DragKind
pl | ro | DragMode
pl | ro | Enabled
pl | ro | ParentShowHint
pl |  | Pen
pl |  | Shape
pl | ro | ShowHint
pl | ro | Visible
TGraphicControl
 | ro | Canvas
TControl
pt | ro | AutoSizing
pt | ro | AutoSizingAll
pt | ro | AutoSizingLockCount
pt |  | ActionLink
pt |  | DesktopFont
pt |  | DragCursor
pt |  | DragKind
pt |  | DragMode
pt |  | MouseCapture
pt |  | ParentColor
pt |  | ParentFont
pt |  | ParentShowHint
pt |  | SessionProperties
pt |  | Text
 | ro | AnchoredControls
 | ro | BaseBounds
 | ro | ReadBounds
 | ro | BaseParentClientSize
 |  | AccessibleDescription
 |  | AccessibleValue
 |  | AccessibleRole
 |  | Action
 |  | Align
 |  | Anchors
 | ro | AnchorSide
 |  | AutoSize
 |  | BorderSpacing
 |  | BoundsRect
 |  | BoundsRectForNewParent
 |  | Caption
 |  | CaptureMouseButtons
 |  | ClientHeight
 | ro | ClientOrigin
 | ro | ClientRect
 |  | ClientWidth
 |  | Color
 |  | Constraints
 | ro | ControlOrigin
 |  | ControlState
 |  | ControlStyle
 |  | Enabled
 |  | Font
 |  | IsControl
 | ro | MouseEntered
 | ro | MouseInClient
 |  | Parent
 |  | PopupMenu
 |  | ShowHint
 |  | Visible
 |  | WindowProc
 |  | DockOrientation
 | ro | Floating
 |  | FloatingDockSiteClass
 |  | HostDockSite
 |  | LRDockWidth
 |  | TBDockHeight
 |  | UndockHeight
 |  | UndockWidth
 |  | BiDiMode
 |  | ParentBiDiMode
pl |  | AnchorSideLeft
pl |  | AnchorSideTop
pl |  | AnchorSideRight
pl |  | AnchorSideBottom
pl |  | Cursor
pl |  | Left
pl |  | Height
pl |  | Hint
pl |  | Top
pl |  | Width
pl |  | HelpType
pl |  | HelpKeyword
pl |  | HelpContext
TLCLComponent
 | ro | LCLRefCount
 | ro | WidgetSetClass
TComponent
 | ro | ComObject
 | ro | Components
 | ro | ComponentCount
 |  | ComponentIndex
 | ro | ComponentState
 | ro | ComponentStyle
 |  | DesignInfo
 | ro | Owner
 |  | VCLComObject
 |  | Name
 |  | Tag
TPersistent
TObject


 |  | AccessibleDescription (TControl)
 |  | AccessibleRole (TControl)
 |  | AccessibleValue (TControl)
 |  | Action (TControl)
pt |  | ActionLink (TControl)
 |  | Align (TControl)
pl | ro | Align (TShape)
 | ro | AnchoredControls (TControl)
 |  | Anchors (TControl)
pl | ro | Anchors (TShape)
 | ro | AnchorSide (TControl)
pl |  | AnchorSideBottom (TControl)
pl |  | AnchorSideLeft (TControl)
pl |  | AnchorSideRight (TControl)
pl |  | AnchorSideTop (TControl)
 |  | AutoSize (TControl)
pt | ro | AutoSizing (TControl)
pt | ro | AutoSizingAll (TControl)
pt | ro | AutoSizingLockCount (TControl)
 | ro | BaseBounds (TControl)
 | ro | BaseParentClientSize (TControl)
 |  | BiDiMode (TControl)
 |  | BorderSpacing (TControl)
pl | ro | BorderSpacing (TShape)
 |  | BoundsRect (TControl)
 |  | BoundsRectForNewParent (TControl)
pl |  | Brush (TShape)
 | ro | Canvas (TGraphicControl)
 |  | Caption (TControl)
 |  | CaptureMouseButtons (TControl)
 |  | ClientHeight (TControl)
 | ro | ClientOrigin (TControl)
 | ro | ClientRect (TControl)
 |  | ClientWidth (TControl)
 |  | Color (TControl)
 | ro | ComObject (TComponent)
 | ro | ComponentCount (TComponent)
 |  | ComponentIndex (TComponent)
 | ro | Components (TComponent)
 | ro | ComponentState (TComponent)
 | ro | ComponentStyle (TComponent)
 |  | Constraints (TControl)
pl | ro | Constraints (TShape)
 | ro | ControlOrigin (TControl)
 |  | ControlState (TControl)
 |  | ControlStyle (TControl)
pl |  | Cursor (TControl)
 |  | DesignInfo (TComponent)
pt |  | DesktopFont (TControl)
 |  | DockOrientation (TControl)
pt |  | DragCursor (TControl)
pl | ro | DragCursor (TShape)
pt |  | DragKind (TControl)
pl | ro | DragKind (TShape)
pt |  | DragMode (TControl)
pl | ro | DragMode (TShape)
 |  | Enabled (TControl)
pl | ro | Enabled (TShape)
 | ro | Floating (TControl)
 |  | FloatingDockSiteClass (TControl)
 |  | Font (TControl)
pl |  | Height (TControl)
pl |  | HelpContext (TControl)
pl |  | HelpKeyword (TControl)
pl |  | HelpType (TControl)
pl |  | Hint (TControl)
 |  | HostDockSite (TControl)
 |  | IsControl (TControl)
 | ro | LCLRefCount (TLCLComponent)
pl |  | Left (TControl)
 |  | LRDockWidth (TControl)
pt |  | MouseCapture (TControl)
 | ro | MouseEntered (TControl)
 | ro | MouseInClient (TControl)
 |  | Name (TComponent)
 | ro | Owner (TComponent)
 |  | Parent (TControl)
 |  | ParentBiDiMode (TControl)
pt |  | ParentColor (TControl)
pt |  | ParentFont (TControl)
pt |  | ParentShowHint (TControl)
pl | ro | ParentShowHint (TShape)
pl |  | Pen (TShape)
 |  | PopupMenu (TControl)
 | ro | ReadBounds (TControl)
pt |  | SessionProperties (TControl)
pl |  | Shape (TShape)
 |  | ShowHint (TControl)
pl | ro | ShowHint (TShape)
 |  | Tag (TComponent)
 |  | TBDockHeight (TControl)
pt |  | Text (TControl)
pl |  | Top (TControl)
 |  | UndockHeight (TControl)
 |  | UndockWidth (TControl)
 |  | VCLComObject (TComponent)
 |  | Visible (TControl)
pl | ro | Visible (TShape)
 | ro | WidgetSetClass (TLCLComponent)
pl |  | Width (TControl)
 |  | WindowProc (TControl)


TShape
pt | WSRegisterClass
pt | GetControlClassDefaultSize
 | Create
 | Destroy
 | Paint
 | StyleChanged
TGraphicControl
pt | WSRegisterClass
pt | FontChanged
pt | Paint
pt | DoOnChangeBounds
pt | DoOnParentHandleDestruction
pt | CMCursorChanged
 | Create
 | Destroy
TControl
pt | WSRegisterClass
pt | GetCursor
pt | SetCursor
pt | SetVisible
pt | DoOnParentHandleDestruction
pt | DoAutoSize
pt | DoAllAutoSize
pt | BeginAutoSizing
pt | EndAutoSizing
pt | AnchorSideChanged
pt | ForeignAnchorSideChanged
pt | SetAlign
pt | SetAnchors
pt | SetAutoSize
pt | BoundsChanged
pt | CreateControlBorderSpacing
pt | DoConstraintsChange
pt | DoBorderSpacingChange
pt | IsBorderSpacingInnerBorderStored
pt | IsCaptionStored
pt | SendMoveSizeMessages
pt | ConstrainedResize
pt | CalculatePreferredSize
pt | DoOnResize
pt | DoOnChangeBounds
pt | CheckOnChangeBounds
pt | Resize
pt | RequestAlign
pt | UpdateAnchorRules
pt | ChangeBounds
pt | DoSetBounds
pt | ScaleConstraints
pt | ChangeScale
pt | CanAutoSize
pt | SetBiDiMode
pt | SetParentBiDiMode
pt | IsAParentAligning
pt | GetClientOrigin
pt | GetClientRect
pt | GetLogicalClientRect
pt | GetScrolledClientRect
pt | GetClientScrollOffset
pt | GetControlOrigin
pt | IsClientHeightStored
pt | IsClientWidthStored
pt | WidthIsAnchored
pt | HeightIsAnchored
pt | WMCancelMode
pt | WMContextMenu
pt | WMLButtonDown
pt | WMRButtonDown
pt | WMMButtonDown
pt | WMXButtonDown
pt | WMLButtonDBLCLK
pt | WMRButtonDBLCLK
pt | WMMButtonDBLCLK
pt | WMXButtonDBLCLK
pt | WMLButtonTripleCLK
pt | WMRButtonTripleCLK
pt | WMMButtonTripleCLK
pt | WMXButtonTripleCLK
pt | WMLButtonQuadCLK
pt | WMRButtonQuadCLK
pt | WMMButtonQuadCLK
pt | WMXButtonQuadCLK
pt | WMMouseMove
pt | WMLButtonUp
pt | WMRButtonUp
pt | WMMButtonUp
pt | WMXButtonUp
pt | WMMouseWheel
pt | WMMouseHWheel
pt | WMMove
pt | WMSize
pt | WMWindowPosChanged
pt | CMChanged
pt | LMCaptureChanged
pt | CMBiDiModeChanged
pt | CMSysFontChanged
pt | CMEnabledChanged
pt | CMHitTest
pt | CMMouseEnter
pt | CMMouseLeave
pt | CMHintShow
pt | CMParentBiDiModeChanged
pt | CMParentColorChanged
pt | CMParentFontChanged
pt | CMParentShowHintChanged
pt | CMVisibleChanged
pt | CMTextChanged
pt | CMCursorChanged
pt | CalculateDockSizes
pt | CreateFloatingDockSite
pt | GetDockEdge
pt | GetDragImages
pt | GetFloating
pt | GetFloatingDockSiteClass
pt | BeforeDragStart
pt | BeginAutoDrag
pt | DoFloatMsg
pt | DockTrackNoTarget
pt | DoDock
pt | DoDragMsg
pt | DoEndDock
pt | DoEndDrag
pt | DoStartDock
pt | DoStartDrag
pt | DragCanceled
pt | DragOver
pt | PositionDockRect
pt | SetDragMode
pt | GetDefaultDockCaption
pt | Click
pt | DblClick
pt | TripleClick
pt | QuadClick
pt | GetMousePosFromMessage
pt | MouseDown
pt | MouseMove
pt | MouseUp
pt | MouseEnter
pt | MouseLeave
pt | DialogChar
pt | UpdateMouseCursor
pt | Changed
pt | GetPalette
pt | ChildClassAllowed
pt | ReadState
pt | Loaded
pt | LoadedAll
pt | DefineProperties
pt | AssignTo
pt | FormEndUpdated
pt | InvalidateControl
pt | FontChanged
pt | ParentFontChanged
pt | GetAction
pt | RealGetText
pt | RealSetText
pt | TextChanged
pt | GetCachedText
pt | SetAction
pt | SetColor
pt | SetEnabled
pt | SetHint
pt | SetName
pt | SetParent
pt | SetParentComponent
pt | WndProc
pt | ParentFormHandleInitialized
pt | GetMouseCapture
pt | CaptureChanged
pt | Notification
pt | CanTab
pt | GetDeviceContext
pt | GetEnabled
pt | GetPopupMenu
pt | DoOnShowHint
pt | DoMouseWheel
pt | DoMouseWheelDown
pt | DoMouseWheelUp
pt | DoMouseWheelHorz
pt | DoMouseWheelLeft
pt | DoMouseWheelRight
pt | VisibleChanging
pt | VisibleChanged
pt | EnabledChanging
pt | EnabledChanged
pt | AddHandler
pt | RemoveHandler
pt | DoCallNotifyHandler
pt | DoCallKeyEventHandler
pt | DoCallMouseWheelEventHandler
pt | DoContextPopup
pt | SetZOrder
pt | GetControlClassDefaultSize
pt | ColorIsStored
pt | DoAutoAdjustLayout
pt | DoFixDesignFontPPI
pt | DoScaleFontPPI
pt | GetActionLinkClass
pt | ActionChange
 | DragDrop
 | Dock
 | ManualDock
 | ManualFloat
 | ReplaceDockedControl
 | Docked
 | Dragging
 | GetAccessibleObject
 | CreateAccessibleObject
 | GetSelectedChildAccessibleObject
 | GetChildAccessibleObjectAtPos
 | ScaleDesignToForm
 | ScaleFormToDesign
 | Scale96ToForm
 | ScaleFormTo96
 | Scale96ToFont
 | ScaleFontTo96
 | ScaleScreenToFont
 | ScaleFontToScreen
 | Scale96ToScreen
 | ScaleScreenTo96
 | AdjustSize
 | AutoSizePhases
 | AutoSizeDelayed
 | AutoSizeDelayedReport
 | AutoSizeDelayedHandle
 | AnchorToNeighbour
 | AnchorParallel
 | AnchorHorizontalCenterTo
 | AnchorVerticalCenterTo
 | AnchorToCompanion
 | AnchorSame
 | AnchorAsAlign
 | AnchorClient
 | AnchoredControlCount
 | SetBounds
 | SetInitialBounds
 | SetBoundsKeepBase
 | GetPreferredSize
 | GetCanvasScaleFactor
 | GetDefaultWidth
 | GetDefaultHeight
 | GetDefaultColor
 | GetColorResolvingParent
 | GetRGBColorResolvingParent
 | GetSidePosition
 | CNPreferredSizeChanged
 | InvalidatePreferredSize
 | GetAnchorsDependingOnParent
 | DisableAutoSizing
 | EnableAutoSizing
 | UpdateBaseBounds
 | WriteLayoutDebugReport
 | AutoAdjustLayout
 | ShouldAutoAdjust
 | FixDesignFontsPPI
 | ScaleFontsPPI
 | Create
 | Destroy
 | BeforeDestruction
 | EditingDone
 | ExecuteDefaultAction
 | ExecuteCancelAction
 | BeginDrag
 | EndDrag
 | BringToFront
 | HasParent
 | GetParentComponent
 | IsParentOf
 | GetTopParent
 | IsVisible
 | IsControlVisible
 | IsEnabled
 | IsParentColor
 | IsParentFont
 | FormIsUpdating
 | IsProcessingPaintMsg
 | Hide
 | Refresh
 | Repaint
 | Invalidate
 | CheckChildClassAllowed
 | CheckNewParent
 | SendToBack
 | SetTempCursor
 | UpdateRolesForForm
 | ActiveDefaultControlChanged
 | GetTextBuf
 | GetTextLen
 | SetTextBuf
 | Perform
 | ScreenToClient
 | ClientToScreen
 | ScreenToControl
 | ControlToScreen
 | ClientToParent
 | ParentToClient
 | GetChildrenRect
 | Show
 | Update
 | HandleObjectShouldBeVisible
 | ParentDestroyingHandle
 | ParentHandlesAllocated
 | InitiateAction
 | ShowHelp
 | HasHelp
 | RemoveAllHandlersOfObject
 | AddHandlerOnResize
 | RemoveHandlerOnResize
 | AddHandlerOnChangeBounds
 | RemoveHandlerOnChangeBounds
 | AddHandlerOnVisibleChanging
 | RemoveHandlerOnVisibleChanging
 | AddHandlerOnVisibleChanged
 | RemoveHandlerOnVisibleChanged
 | AddHandlerOnEnabledChanged
 | RemoveHandlerOnEnableChanging
 | AddHandlerOnKeyDown
 | RemoveHandlerOnKeyDown
 | AddHandlerOnBeforeDestruction
 | RemoveHandlerOnBeforeDestruction
 | AddHandlerOnMouseWheel
 | RemoveHandlerOnMouseWheel
 | UseRightToLeftAlignment
 | UseRightToLeftReading
 | UseRightToLeftScrollBar
 | IsRightToLeft
TLCLComponent
pt | WSRegisterClass
pt | GetWSComponentClass
 | Create
 | Destroy
 | NewInstance
 | RemoveAllHandlersOfObject
 | IncLCLRefCount
 | DecLCLRefCount
TComponent
 | GetComObject
 | GetComponent
 | GetComponentCount
 | GetComponentIndex
 | Insert
 | ReadLeft
 | ReadTop
 | Remove
 | RemoveNotification
 | SetComponentIndex
 | SetReference
 | WriteLeft
 | WriteTop
 | ChangeName
 | DefineProperties
 | GetChildren
 | GetChildOwner
 | GetChildParent
 | GetOwner
 | Loaded
 | Loading
 | Notification
 | PaletteCreated
 | ReadState
 | SetAncestor
 | SetDesigning
 | SetDesignInstance
 | SetInline
 | SetName
 | SetChildOrder
 | SetParentComponent
 | Updating
 | Updated
 | UpdateRegistry
 | ValidateRename
 | ValidateContainer
 | ValidateInsert
 | QueryInterface
 | _AddRef
 | _Release
 | iicrGetComponent
 | GetTypeInfoCount
 | GetTypeInfo
 | GetIDsOfNames
 | Invoke
 | WriteState
 | Create
 | Destroy
 | BeforeDestruction
 | DestroyComponents
 | Destroying
 | ExecuteAction
 | FindComponent
 | FreeNotification
 | RemoveFreeNotification
 | FreeOnRelease
 | GetEnumerator
 | GetNamePath
 | GetParentComponent
 | HasParent
 | InsertComponent
 | RemoveComponent
 | SafeCallException
 | SetSubComponent
 | UpdateAction
 | IsImplementorOf
 | ReferenceInterface
TPersistent
 | AssignError
 | AssignTo
 | DefineProperties
 | GetOwner
 | Destroy
 | Assign
 | FPOAttachObserver
 | FPODetachObserver
 | FPONotifyObservers
 | GetNamePath
TObject
 | Create
 | Destroy
 | newinstance
 | FreeInstance
 | SafeCallException
 | DefaultHandler
 | Free
 | InitInstance
 | CleanupInstance
 | ClassType
 | ClassInfo
 | ClassName
 | ClassNameIs
 | ClassParent
 | InstanceSize
 | InheritsFrom
 | StringMessageTable
 | MethodAddress
 | MethodName
 | FieldAddress
 | AfterConstruction
 | BeforeDestruction
 | DefaultHandlerStr
 | Dispatch
 | DispatchStr
 | GetInterface
 | GetInterfaceByStr
 | GetInterfaceWeak
 | GetInterfaceEntry
 | GetInterfaceEntryByStr
 | GetInterfaceTable
 | UnitName
 | Equals
 | GetHashCode
 | ToString


pt | ActionChange (TControl)
 | ActiveDefaultControlChanged (TControl)
pt | AddHandler (TControl)
 | AddHandlerOnBeforeDestruction (TControl)
 | AddHandlerOnChangeBounds (TControl)
 | AddHandlerOnEnabledChanged (TControl)
 | AddHandlerOnKeyDown (TControl)
 | AddHandlerOnMouseWheel (TControl)
 | AddHandlerOnResize (TControl)
 | AddHandlerOnVisibleChanged (TControl)
 | AddHandlerOnVisibleChanging (TControl)
 | AdjustSize (TControl)
 | AfterConstruction (TObject)
 | AnchorAsAlign (TControl)
 | AnchorClient (TControl)
 | AnchoredControlCount (TControl)
 | AnchorHorizontalCenterTo (TControl)
 | AnchorParallel (TControl)
 | AnchorSame (TControl)
pt | AnchorSideChanged (TControl)
 | AnchorToCompanion (TControl)
 | AnchorToNeighbour (TControl)
 | AnchorVerticalCenterTo (TControl)
 | Assign (TPersistent)
 | AssignError (TPersistent)
 | AssignTo (TPersistent)
pt | AssignTo (TControl)
 | AutoAdjustLayout (TControl)
 | AutoSizeDelayed (TControl)
 | AutoSizeDelayedHandle (TControl)
 | AutoSizeDelayedReport (TControl)
 | AutoSizePhases (TControl)
 | BeforeDestruction (TObject)
 | BeforeDestruction (TComponent)
 | BeforeDestruction (TControl)
pt | BeforeDragStart (TControl)
pt | BeginAutoDrag (TControl)
pt | BeginAutoSizing (TControl)
 | BeginDrag (TControl)
pt | BoundsChanged (TControl)
 | BringToFront (TControl)
pt | CalculateDockSizes (TControl)
pt | CalculatePreferredSize (TControl)
pt | CanAutoSize (TControl)
pt | CanTab (TControl)
pt | CaptureChanged (TControl)
pt | ChangeBounds (TControl)
pt | Changed (TControl)
 | ChangeName (TComponent)
pt | ChangeScale (TControl)
 | CheckChildClassAllowed (TControl)
 | CheckNewParent (TControl)
pt | CheckOnChangeBounds (TControl)
pt | ChildClassAllowed (TControl)
 | ClassInfo (TObject)
 | ClassName (TObject)
 | ClassNameIs (TObject)
 | ClassParent (TObject)
 | ClassType (TObject)
 | CleanupInstance (TObject)
pt | Click (TControl)
 | ClientToParent (TControl)
 | ClientToScreen (TControl)
pt | CMBiDiModeChanged (TControl)
pt | CMChanged (TControl)
pt | CMCursorChanged (TControl)
pt | CMCursorChanged (TGraphicControl)
pt | CMEnabledChanged (TControl)
pt | CMHintShow (TControl)
pt | CMHitTest (TControl)
pt | CMMouseEnter (TControl)
pt | CMMouseLeave (TControl)
pt | CMParentBiDiModeChanged (TControl)
pt | CMParentColorChanged (TControl)
pt | CMParentFontChanged (TControl)
pt | CMParentShowHintChanged (TControl)
pt | CMSysFontChanged (TControl)
pt | CMTextChanged (TControl)
pt | CMVisibleChanged (TControl)
 | CNPreferredSizeChanged (TControl)
pt | ColorIsStored (TControl)
pt | ConstrainedResize (TControl)
 | ControlToScreen (TControl)
 | Create (TObject)
 | Create (TComponent)
 | Create (TLCLComponent)
 | Create (TControl)
 | Create (TGraphicControl)
 | Create (TShape)
 | CreateAccessibleObject (TControl)
pt | CreateControlBorderSpacing (TControl)
pt | CreateFloatingDockSite (TControl)
pt | DblClick (TControl)
 | DecLCLRefCount (TLCLComponent)
 | DefaultHandler (TObject)
 | DefaultHandlerStr (TObject)
 | DefineProperties (TPersistent)
 | DefineProperties (TComponent)
pt | DefineProperties (TControl)
 | Destroy (TObject)
 | Destroy (TPersistent)
 | Destroy (TComponent)
 | Destroy (TLCLComponent)
 | Destroy (TControl)
 | Destroy (TGraphicControl)
 | Destroy (TShape)
 | DestroyComponents (TComponent)
 | Destroying (TComponent)
pt | DialogChar (TControl)
 | DisableAutoSizing (TControl)
 | Dispatch (TObject)
 | DispatchStr (TObject)
pt | DoAllAutoSize (TControl)
pt | DoAutoAdjustLayout (TControl)
pt | DoAutoSize (TControl)
pt | DoBorderSpacingChange (TControl)
pt | DoCallKeyEventHandler (TControl)
pt | DoCallMouseWheelEventHandler (TControl)
pt | DoCallNotifyHandler (TControl)
 | Dock (TControl)
 | Docked (TControl)
pt | DockTrackNoTarget (TControl)
pt | DoConstraintsChange (TControl)
pt | DoContextPopup (TControl)
pt | DoDock (TControl)
pt | DoDragMsg (TControl)
pt | DoEndDock (TControl)
pt | DoEndDrag (TControl)
pt | DoFixDesignFontPPI (TControl)
pt | DoFloatMsg (TControl)
pt | DoMouseWheel (TControl)
pt | DoMouseWheelDown (TControl)
pt | DoMouseWheelHorz (TControl)
pt | DoMouseWheelLeft (TControl)
pt | DoMouseWheelRight (TControl)
pt | DoMouseWheelUp (TControl)
pt | DoOnChangeBounds (TControl)
pt | DoOnChangeBounds (TGraphicControl)
pt | DoOnParentHandleDestruction (TControl)
pt | DoOnParentHandleDestruction (TGraphicControl)
pt | DoOnResize (TControl)
pt | DoOnShowHint (TControl)
pt | DoScaleFontPPI (TControl)
pt | DoSetBounds (TControl)
pt | DoStartDock (TControl)
pt | DoStartDrag (TControl)
pt | DragCanceled (TControl)
 | DragDrop (TControl)
 | Dragging (TControl)
pt | DragOver (TControl)
 | EditingDone (TControl)
 | EnableAutoSizing (TControl)
pt | EnabledChanged (TControl)
pt | EnabledChanging (TControl)
pt | EndAutoSizing (TControl)
 | EndDrag (TControl)
 | Equals (TObject)
 | ExecuteAction (TComponent)
 | ExecuteCancelAction (TControl)
 | ExecuteDefaultAction (TControl)
 | FieldAddress (TObject)
 | FindComponent (TComponent)
 | FixDesignFontsPPI (TControl)
pt | FontChanged (TControl)
pt | FontChanged (TGraphicControl)
pt | ForeignAnchorSideChanged (TControl)
pt | FormEndUpdated (TControl)
 | FormIsUpdating (TControl)
 | FPOAttachObserver (TPersistent)
 | FPODetachObserver (TPersistent)
 | FPONotifyObservers (TPersistent)
 | Free (TObject)
 | FreeInstance (TObject)
 | FreeNotification (TComponent)
 | FreeOnRelease (TComponent)
 | GetAccessibleObject (TControl)
pt | GetAction (TControl)
pt | GetActionLinkClass (TControl)
 | GetAnchorsDependingOnParent (TControl)
pt | GetCachedText (TControl)
 | GetCanvasScaleFactor (TControl)
 | GetChildAccessibleObjectAtPos (TControl)
 | GetChildOwner (TComponent)
 | GetChildParent (TComponent)
 | GetChildren (TComponent)
 | GetChildrenRect (TControl)
pt | GetClientOrigin (TControl)
pt | GetClientRect (TControl)
pt | GetClientScrollOffset (TControl)
 | GetColorResolvingParent (TControl)
 | GetComObject (TComponent)
 | GetComponent (TComponent)
 | GetComponentCount (TComponent)
 | GetComponentIndex (TComponent)
pt | GetControlClassDefaultSize (TControl)
pt | GetControlClassDefaultSize (TShape)
pt | GetControlOrigin (TControl)
pt | GetCursor (TControl)
 | GetDefaultColor (TControl)
pt | GetDefaultDockCaption (TControl)
 | GetDefaultHeight (TControl)
 | GetDefaultWidth (TControl)
pt | GetDeviceContext (TControl)
pt | GetDockEdge (TControl)
pt | GetDragImages (TControl)
pt | GetEnabled (TControl)
 | GetEnumerator (TComponent)
pt | GetFloating (TControl)
pt | GetFloatingDockSiteClass (TControl)
 | GetHashCode (TObject)
 | GetIDsOfNames (TComponent)
 | GetInterface (TObject)
 | GetInterfaceByStr (TObject)
 | GetInterfaceEntry (TObject)
 | GetInterfaceEntryByStr (TObject)
 | GetInterfaceTable (TObject)
 | GetInterfaceWeak (TObject)
pt | GetLogicalClientRect (TControl)
pt | GetMouseCapture (TControl)
pt | GetMousePosFromMessage (TControl)
 | GetNamePath (TPersistent)
 | GetNamePath (TComponent)
 | GetOwner (TPersistent)
 | GetOwner (TComponent)
pt | GetPalette (TControl)
 | GetParentComponent (TComponent)
 | GetParentComponent (TControl)
pt | GetPopupMenu (TControl)
 | GetPreferredSize (TControl)
 | GetRGBColorResolvingParent (TControl)
pt | GetScrolledClientRect (TControl)
 | GetSelectedChildAccessibleObject (TControl)
 | GetSidePosition (TControl)
 | GetTextBuf (TControl)
 | GetTextLen (TControl)
 | GetTopParent (TControl)
 | GetTypeInfo (TComponent)
 | GetTypeInfoCount (TComponent)
pt | GetWSComponentClass (TLCLComponent)
 | HandleObjectShouldBeVisible (TControl)
 | HasHelp (TControl)
 | HasParent (TComponent)
 | HasParent (TControl)
pt | HeightIsAnchored (TControl)
 | Hide (TControl)
 | iicrGetComponent (TComponent)
 | IncLCLRefCount (TLCLComponent)
 | InheritsFrom (TObject)
 | InitiateAction (TControl)
 | InitInstance (TObject)
 | Insert (TComponent)
 | InsertComponent (TComponent)
 | InstanceSize (TObject)
 | Invalidate (TControl)
pt | InvalidateControl (TControl)
 | InvalidatePreferredSize (TControl)
 | Invoke (TComponent)
pt | IsAParentAligning (TControl)
pt | IsBorderSpacingInnerBorderStored (TControl)
pt | IsCaptionStored (TControl)
pt | IsClientHeightStored (TControl)
pt | IsClientWidthStored (TControl)
 | IsControlVisible (TControl)
 | IsEnabled (TControl)
 | IsImplementorOf (TComponent)
 | IsParentColor (TControl)
 | IsParentFont (TControl)
 | IsParentOf (TControl)
 | IsProcessingPaintMsg (TControl)
 | IsRightToLeft (TControl)
 | IsVisible (TControl)
pt | LMCaptureChanged (TControl)
 | Loaded (TComponent)
pt | Loaded (TControl)
pt | LoadedAll (TControl)
 | Loading (TComponent)
 | ManualDock (TControl)
 | ManualFloat (TControl)
 | MethodAddress (TObject)
 | MethodName (TObject)
pt | MouseDown (TControl)
pt | MouseEnter (TControl)
pt | MouseLeave (TControl)
pt | MouseMove (TControl)
pt | MouseUp (TControl)
 | newinstance (TObject)
 | NewInstance (TLCLComponent)
 | Notification (TComponent)
pt | Notification (TControl)
pt | Paint (TGraphicControl)
 | Paint (TShape)
 | PaletteCreated (TComponent)
 | ParentDestroyingHandle (TControl)
pt | ParentFontChanged (TControl)
pt | ParentFormHandleInitialized (TControl)
 | ParentHandlesAllocated (TControl)
 | ParentToClient (TControl)
 | Perform (TControl)
pt | PositionDockRect (TControl)
pt | QuadClick (TControl)
 | QueryInterface (TComponent)
 | ReadLeft (TComponent)
 | ReadState (TComponent)
pt | ReadState (TControl)
 | ReadTop (TComponent)
pt | RealGetText (TControl)
pt | RealSetText (TControl)
 | ReferenceInterface (TComponent)
 | Refresh (TControl)
 | Remove (TComponent)
 | RemoveAllHandlersOfObject (TLCLComponent)
 | RemoveAllHandlersOfObject (TControl)
 | RemoveComponent (TComponent)
 | RemoveFreeNotification (TComponent)
pt | RemoveHandler (TControl)
 | RemoveHandlerOnBeforeDestruction (TControl)
 | RemoveHandlerOnChangeBounds (TControl)
 | RemoveHandlerOnEnableChanging (TControl)
 | RemoveHandlerOnKeyDown (TControl)
 | RemoveHandlerOnMouseWheel (TControl)
 | RemoveHandlerOnResize (TControl)
 | RemoveHandlerOnVisibleChanged (TControl)
 | RemoveHandlerOnVisibleChanging (TControl)
 | RemoveNotification (TComponent)
 | Repaint (TControl)
 | ReplaceDockedControl (TControl)
pt | RequestAlign (TControl)
pt | Resize (TControl)
 | SafeCallException (TObject)
 | SafeCallException (TComponent)
 | Scale96ToFont (TControl)
 | Scale96ToForm (TControl)
 | Scale96ToScreen (TControl)
pt | ScaleConstraints (TControl)
 | ScaleDesignToForm (TControl)
 | ScaleFontsPPI (TControl)
 | ScaleFontTo96 (TControl)
 | ScaleFontToScreen (TControl)
 | ScaleFormTo96 (TControl)
 | ScaleFormToDesign (TControl)
 | ScaleScreenTo96 (TControl)
 | ScaleScreenToFont (TControl)
 | ScreenToClient (TControl)
 | ScreenToControl (TControl)
pt | SendMoveSizeMessages (TControl)
 | SendToBack (TControl)
pt | SetAction (TControl)
pt | SetAlign (TControl)
 | SetAncestor (TComponent)
pt | SetAnchors (TControl)
pt | SetAutoSize (TControl)
pt | SetBiDiMode (TControl)
 | SetBounds (TControl)
 | SetBoundsKeepBase (TControl)
 | SetChildOrder (TComponent)
pt | SetColor (TControl)
 | SetComponentIndex (TComponent)
pt | SetCursor (TControl)
 | SetDesigning (TComponent)
 | SetDesignInstance (TComponent)
pt | SetDragMode (TControl)
pt | SetEnabled (TControl)
pt | SetHint (TControl)
 | SetInitialBounds (TControl)
 | SetInline (TComponent)
 | SetName (TComponent)
pt | SetName (TControl)
pt | SetParent (TControl)
pt | SetParentBiDiMode (TControl)
 | SetParentComponent (TComponent)
pt | SetParentComponent (TControl)
 | SetReference (TComponent)
 | SetSubComponent (TComponent)
 | SetTempCursor (TControl)
 | SetTextBuf (TControl)
pt | SetVisible (TControl)
pt | SetZOrder (TControl)
 | ShouldAutoAdjust (TControl)
 | Show (TControl)
 | ShowHelp (TControl)
 | StringMessageTable (TObject)
 | StyleChanged (TShape)
pt | TextChanged (TControl)
 | ToString (TObject)
pt | TripleClick (TControl)
 | UnitName (TObject)
 | Update (TControl)
 | UpdateAction (TComponent)
pt | UpdateAnchorRules (TControl)
 | UpdateBaseBounds (TControl)
 | Updated (TComponent)
pt | UpdateMouseCursor (TControl)
 | UpdateRegistry (TComponent)
 | UpdateRolesForForm (TControl)
 | Updating (TComponent)
 | UseRightToLeftAlignment (TControl)
 | UseRightToLeftReading (TControl)
 | UseRightToLeftScrollBar (TControl)
 | ValidateContainer (TComponent)
 | ValidateInsert (TComponent)
 | ValidateRename (TComponent)
pt | VisibleChanged (TControl)
pt | VisibleChanging (TControl)
pt | WidthIsAnchored (TControl)
pt | WMCancelMode (TControl)
pt | WMContextMenu (TControl)
pt | WMLButtonDBLCLK (TControl)
pt | WMLButtonDown (TControl)
pt | WMLButtonQuadCLK (TControl)
pt | WMLButtonTripleCLK (TControl)
pt | WMLButtonUp (TControl)
pt | WMMButtonDBLCLK (TControl)
pt | WMMButtonDown (TControl)
pt | WMMButtonQuadCLK (TControl)
pt | WMMButtonTripleCLK (TControl)
pt | WMMButtonUp (TControl)
pt | WMMouseHWheel (TControl)
pt | WMMouseMove (TControl)
pt | WMMouseWheel (TControl)
pt | WMMove (TControl)
pt | WMRButtonDBLCLK (TControl)
pt | WMRButtonDown (TControl)
pt | WMRButtonQuadCLK (TControl)
pt | WMRButtonTripleCLK (TControl)
pt | WMRButtonUp (TControl)
pt | WMSize (TControl)
pt | WMWindowPosChanged (TControl)
pt | WMXButtonDBLCLK (TControl)
pt | WMXButtonDown (TControl)
pt | WMXButtonQuadCLK (TControl)
pt | WMXButtonTripleCLK (TControl)
pt | WMXButtonUp (TControl)
pt | WndProc (TControl)
 | WriteLayoutDebugReport (TControl)
 | WriteLeft (TComponent)
 | WriteState (TComponent)
 | WriteTop (TComponent)
pt | WSRegisterClass (TLCLComponent)
pt | WSRegisterClass (TControl)
pt | WSRegisterClass (TGraphicControl)
pt | WSRegisterClass (TShape)
 | _AddRef (TComponent)
 | _Release (TComponent)


TShape
pl | ro | OnChangeBounds
pl | ro | OnDragDrop
pl | ro | OnDragOver
pl | ro | OnEndDock
pl | ro | OnEndDrag
pl | ro | OnMouseDown
pl | ro | OnMouseEnter
pl | ro | OnMouseLeave
pl | ro | OnMouseMove
pl | ro | OnMouseUp
pl | ro | OnMouseWheel
pl | ro | OnMouseWheelDown
pl | ro | OnMouseWheelUp
pl | ro | OnMouseWheelHorz
pl | ro | OnMouseWheelLeft
pl | ro | OnMouseWheelRight
pl | ro | OnPaint
pl | ro | OnResize
pl | ro | OnStartDock
pl | ro | OnStartDrag
TGraphicControl
pt |  | OnPaint
TControl
pt |  | OnConstrainedResize
pt |  | OnContextPopup
pt |  | OnDblClick
pt |  | OnTripleClick
pt |  | OnQuadClick
pt |  | OnDragDrop
pt |  | OnDragOver
pt |  | OnEndDock
pt |  | OnEndDrag
pt |  | OnMouseDown
pt |  | OnMouseMove
pt |  | OnMouseUp
pt |  | OnMouseEnter
pt |  | OnMouseLeave
pt |  | OnMouseWheel
pt |  | OnMouseWheelDown
pt |  | OnMouseWheelUp
pt |  | OnMouseWheelHorz
pt |  | OnMouseWheelLeft
pt |  | OnMouseWheelRight
pt |  | OnStartDock
pt |  | OnStartDrag
pt |  | OnEditingDone
 |  | OnChangeBounds
 |  | OnClick
 |  | OnResize
 |  | OnShowHint
TLCLComponent
TComponent
TPersistent
TObject


pl | ro | OnChangeBounds (TShape)
 |  | OnClick (TControl)
pt |  | OnConstrainedResize (TControl)
pt |  | OnContextPopup (TControl)
pt |  | OnDblClick (TControl)
pt |  | OnDragDrop (TControl)
pl | ro | OnDragDrop (TShape)
pt |  | OnDragOver (TControl)
pl | ro | OnDragOver (TShape)
pt |  | OnEditingDone (TControl)
pt |  | OnEndDock (TControl)
pl | ro | OnEndDock (TShape)
pt |  | OnEndDrag (TControl)
pl | ro | OnEndDrag (TShape)
pt |  | OnMouseDown (TControl)
pl | ro | OnMouseDown (TShape)
pt |  | OnMouseEnter (TControl)
pl | ro | OnMouseEnter (TShape)
pt |  | OnMouseLeave (TControl)
pl | ro | OnMouseLeave (TShape)
pt |  | OnMouseMove (TControl)
pl | ro | OnMouseMove (TShape)
pt |  | OnMouseUp (TControl)
pl | ro | OnMouseUp (TShape)
pt |  | OnMouseWheel (TControl)
pl | ro | OnMouseWheel (TShape)
pt |  | OnMouseWheelDown (TControl)
pl | ro | OnMouseWheelDown (TShape)
pt |  | OnMouseWheelHorz (TControl)
pl | ro | OnMouseWheelHorz (TShape)
pt |  | OnMouseWheelLeft (TControl)
pl | ro | OnMouseWheelLeft (TShape)
pt |  | OnMouseWheelRight (TControl)
pl | ro | OnMouseWheelRight (TShape)
pt |  | OnMouseWheelUp (TControl)
pl | ro | OnMouseWheelUp (TShape)
pt |  | OnPaint (TGraphicControl)
pl | ro | OnPaint (TShape)
pt |  | OnQuadClick (TControl)
 |  | OnResize (TControl)
pl | ro | OnResize (TShape)
 |  | OnShowHint (TControl)
pt |  | OnStartDock (TControl)
pl | ro | OnStartDock (TShape)
pt |  | OnStartDrag (TControl)
pl | ro | OnStartDrag (TShape)
pt |  | OnTripleClick (TControl)


TShape.Brush

The Brush to be used for colouring this shape

Declaration

Source position: extctrls.pp line 289

published property TShape.Brush : TBrush
  read FBrush
  write SetBrush;


TShape.Create

Create - constructor for TShape: calls inherited Create, sets default styles and bounds, creates pen and brush

Declaration

Source position: extctrls.pp line 281

public constructor TShape.Create(

  TheOwner: TComponent

); override;

See also

TGraphicControl.Create


TShape.Destroy

Destroy - destructor for TShape: frees pen and brush, then calls inherited Destroy

Declaration

Source position: extctrls.pp line 282

public destructor TShape.Destroy; override;

See also

TGraphicControl.Destroy


TShape.OnMouseEnter

Declaration

Source position: extctrls.pp line 303

published property TShape.OnMouseEnter : TNotifyEvent;


TShape.OnMouseLeave

Declaration

Source position: extctrls.pp line 304

published property TShape.OnMouseLeave : TNotifyEvent;


TShape.OnMouseWheel

Declaration

Source position: extctrls.pp line 307

published property TShape.OnMouseWheel : TMouseWheelEvent;


TShape.OnMouseWheelDown

Declaration

Source position: extctrls.pp line 308

published property TShape.OnMouseWheelDown : TMouseWheelUpDownEvent;


TShape.OnMouseWheelHorz

Declaration

Source position: extctrls.pp line 310

published property TShape.OnMouseWheelHorz : TMouseWheelEvent;


TShape.OnMouseWheelLeft

Declaration

Source position: extctrls.pp line 311

published property TShape.OnMouseWheelLeft : TMouseWheelUpDownEvent;


TShape.OnMouseWheelRight

Declaration

Source position: extctrls.pp line 312

published property TShape.OnMouseWheelRight : TMouseWheelUpDownEvent;


TShape.OnMouseWheelUp

Declaration

Source position: extctrls.pp line 309

published property TShape.OnMouseWheelUp : TMouseWheelUpDownEvent;


TShape.Pen

The Pen to be used for drawing this shape

Declaration

Source position: extctrls.pp line 296

published property TShape.Pen : TPen
  read FPen
  write SetPen;


TShape.Shape

Which Shape? (Rectangle, Square, RoundRect, RoundSquare, Ellipse, Circle, SquaredDiamond, Diamond)

Declaration

Source position: extctrls.pp line 317

published property TShape.Shape : TShapeType
  read FShape
  write SetShape
  default stRectangle;

Description

Which Shape?

stRectangle,

stSquare,

stRoundRect,

stRoundSquare,

stEllipse,

stCircle,

stSquaredDiamond,

stDiamond


TShape.StyleChanged

StyleChanged - method for handling change of style by Sender

Declaration

Source position: extctrls.pp line 284

public procedure TShape.StyleChanged(

  Sender: TObject

);


TShapeType

TShapeType - enumerated type containing several standard geometric shapes

Declaration

Source position: extctrls.pp line 263

type TShapeType = (

  stRectangle,

  stSquare,

  stRoundRect,

  stRoundSquare,

  stEllipse,

  stCircle,

  stSquaredDiamond,

  stDiamond,

  stTriangle,

  stTriangleLeft,

  stTriangleRight,

  stTriangleDown,

  stStar,

  stStarDown

);

Description

TShapeType - enumerated type containing several standard geometric shapes:

stRectangle
  stSquare
  stRoundRect
  stRoundSquare
  stEllipse
  stCircle
  stSquaredDiamond
  stDiamond


TSplitter

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

TSplitter : A vertical or horizontal bar placed on a panel or form, to separate sub-panels functionally

Declaration

Source position: extctrls.pp line 412

type TSplitter = class(TCustomSplitter)
published
property Align: TAlign; | Specifies the placement of the control inside its Parent.
property Anchors: TAnchors; | The set of anchor definitions for this control.
property AutoSnap: Boolean; | AutoSnap - automatically snaps to a grid point or grid line in the Form designer
property Beveled: Boolean; | Whether the edges of the splitter bar are bevelled
property Color: TColor; | The background color of the control.
property Constraints: TSizeConstraints; | The minimal and maximal Width and Height of this control.
property Cursor: TCursor; | The shape of the mouse pointer, when the mouse is over this control.
property DoubleBuffered: Boolean;
property Height: Integer; | The vertical size of the control.
property MinSize: Integer; | Minimum size for splitter - default 30 pixels
property OnCanOffset: TCanOffsetEvent;
property OnCanResize: TCanResizeEvent; | Event handler for receiving permission to resize
property OnChangeBounds: TNotifyEvent; | Event handler for a change of the Bounds of the control.
property OnMoved: TNotifyEvent; | Event handler for occasion when splitter has moved
property OnMouseWheel: TMouseWheelEvent;
property OnMouseWheelDown: TMouseWheelUpDownEvent;
property OnMouseWheelUp: TMouseWheelUpDownEvent;
property OnMouseWheelHorz: TMouseWheelEvent;
property OnMouseWheelLeft: TMouseWheelUpDownEvent;
property OnMouseWheelRight: TMouseWheelUpDownEvent;
property OnPaint: TNotifyEvent;
property ParentColor: Boolean; | If true, the Color of the control will be the same as the one from the Parent. Default is true.
property ParentDoubleBuffered: Boolean;
property ParentShowHint: Boolean; | If true, the value of ShowHint for the control will be the same as the one from the Parent. Default is true.
property PopupMenu: TPopupMenu; | A context-sensitive menu that pops up when the right mouse button is clicked over this control
property ResizeAnchor: TAnchorKind; | ResizeAnchor - the kind of anchor to be used for resizing
property ResizeStyle: TResizeStyle; | Style for resizing - as a line, a pattern, full update, or none
property ShowHint: Boolean; | Enables the Hint display.
property Visible: Boolean; | Allows to show or hide the control, and all of its children.
property Width: Integer; | The horizontal extent of the control.
end;

Inheritance

TSplitter | TSplitter : A vertical or horizontal bar placed on a panel or form, to separate sub-panels functionally
|
TCustomSplitter | TCustomSplitter : the base type for TSplitter
|
TCustomControl | The base class for windowed controls which paint themselves.
|
TWinControl | The base class for controls which can contain other (child) controls.
|
TControl | The base class for visible controls.
|
TLCLComponent | The base class for LCL components associated with widgets.
|
TComponent,IUnknown,IInterfaceComponentReference
|
TPersistent,IFPObserved
|
TObject

Description

TSplitter: A vertical or horizontal bar that can be placed on a panel or form, to separate sub-panels functionally and allow re-sizing of the constituent sub-panels

The splitter extends for the full height (if vertical) or full width (if horizontal) of the parent control (form or panel) and is anchored to the edges; its position along the length or height of the parent is determined by the programmer or user by moving the whole control with the mouse, and its size can be adjusted using the sizing bars and with the ResizeAnchor property

See also

HowToUseStdCtrls

How to use StdCtrls, ComCtrls or ExtCtrls


TSplitter
pl | ro | Align
pl | ro | Anchors
pl | ro | AutoSnap
pl | ro | Beveled
pl | ro | Color
pl | ro | Constraints
pl | ro | Cursor
pl | ro | DoubleBuffered
pl | ro | Height
pl | ro | MinSize
pl | ro | ParentColor
pl | ro | ParentDoubleBuffered
pl | ro | ParentShowHint
pl | ro | PopupMenu
pl | ro | ResizeAnchor
pl | ro | ResizeStyle
pl | ro | ShowHint
pl | ro | Visible
pl | ro | Width
TCustomSplitter
 |  | ResizeControl
 | ro | Align
 |  | AutoSnap
 |  | Beveled
 | ro | Cursor
 |  | MinSize
 |  | ResizeAnchor
 |  | ResizeStyle
TCustomControl
 |  | Canvas
 | ro | BorderStyle
TWinControl
pt |  | WindowHandle
pt |  | BorderStyle
pt |  | ParentBackground
 |  | BorderWidth
 | ro | BoundsLockCount
 | ro | Brush
 | ro | CachedClientHeight
 | ro | CachedClientWidth
 |  | ChildSizing
 | ro | ControlCount
 | ro | Controls
 |  | DefWndProc
 | ro | DockClientCount
 | ro | DockClients
 |  | DockManager
 |  | DockSite
 |  | DoubleBuffered
 |  | Handle
 | ro | IsFlipped
 | ro | IsResizing
 |  | TabOrder
 |  | TabStop
 |  | ParentDoubleBuffered
 |  | ParentWindow
 | ro | Showing
 |  | UseDockManager
 |  | DesignerDeleting
 | ro | VisibleDockClientCount
TControl
pt | ro | AutoSizing
pt | ro | AutoSizingAll
pt | ro | AutoSizingLockCount
pt |  | ActionLink
pt |  | DesktopFont
pt |  | DragCursor
pt |  | DragKind
pt |  | DragMode
pt |  | MouseCapture
pt |  | ParentColor
pt |  | ParentFont
pt |  | ParentShowHint
pt |  | SessionProperties
pt |  | Text
 | ro | AnchoredControls
 | ro | BaseBounds
 | ro | ReadBounds
 | ro | BaseParentClientSize
 |  | AccessibleDescription
 |  | AccessibleValue
 |  | AccessibleRole
 |  | Action
 |  | Align
 |  | Anchors
 | ro | AnchorSide
 |  | AutoSize
 |  | BorderSpacing
 |  | BoundsRect
 |  | BoundsRectForNewParent
 |  | Caption
 |  | CaptureMouseButtons
 |  | ClientHeight
 | ro | ClientOrigin
 | ro | ClientRect
 |  | ClientWidth
 |  | Color
 |  | Constraints
 | ro | ControlOrigin
 |  | ControlState
 |  | ControlStyle
 |  | Enabled
 |  | Font
 |  | IsControl
 | ro | MouseEntered
 | ro | MouseInClient
 |  | Parent
 |  | PopupMenu
 |  | ShowHint
 |  | Visible
 |  | WindowProc
 |  | DockOrientation
 | ro | Floating
 |  | FloatingDockSiteClass
 |  | HostDockSite
 |  | LRDockWidth
 |  | TBDockHeight
 |  | UndockHeight
 |  | UndockWidth
 |  | BiDiMode
 |  | ParentBiDiMode
pl |  | AnchorSideLeft
pl |  | AnchorSideTop
pl |  | AnchorSideRight
pl |  | AnchorSideBottom
pl |  | Cursor
pl |  | Left
pl |  | Height
pl |  | Hint
pl |  | Top
pl |  | Width
pl |  | HelpType
pl |  | HelpKeyword
pl |  | HelpContext
TLCLComponent
 | ro | LCLRefCount
 | ro | WidgetSetClass
TComponent
 | ro | ComObject
 | ro | Components
 | ro | ComponentCount
 |  | ComponentIndex
 | ro | ComponentState
 | ro | ComponentStyle
 |  | DesignInfo
 | ro | Owner
 |  | VCLComObject
 |  | Name
 |  | Tag
TPersistent
TObject


 |  | AccessibleDescription (TControl)
 |  | AccessibleRole (TControl)
 |  | AccessibleValue (TControl)
 |  | Action (TControl)
pt |  | ActionLink (TControl)
 |  | Align (TControl)
 | ro | Align (TCustomSplitter)
pl | ro | Align (TSplitter)
 | ro | AnchoredControls (TControl)
 |  | Anchors (TControl)
pl | ro | Anchors (TSplitter)
 | ro | AnchorSide (TControl)
pl |  | AnchorSideBottom (TControl)
pl |  | AnchorSideLeft (TControl)
pl |  | AnchorSideRight (TControl)
pl |  | AnchorSideTop (TControl)
 |  | AutoSize (TControl)
pt | ro | AutoSizing (TControl)
pt | ro | AutoSizingAll (TControl)
pt | ro | AutoSizingLockCount (TControl)
 |  | AutoSnap (TCustomSplitter)
pl | ro | AutoSnap (TSplitter)
 | ro | BaseBounds (TControl)
 | ro | BaseParentClientSize (TControl)
 |  | Beveled (TCustomSplitter)
pl | ro | Beveled (TSplitter)
 |  | BiDiMode (TControl)
 |  | BorderSpacing (TControl)
pt |  | BorderStyle (TWinControl)
 | ro | BorderStyle (TCustomControl)
 |  | BorderWidth (TWinControl)
 | ro | BoundsLockCount (TWinControl)
 |  | BoundsRect (TControl)
 |  | BoundsRectForNewParent (TControl)
 | ro | Brush (TWinControl)
 | ro | CachedClientHeight (TWinControl)
 | ro | CachedClientWidth (TWinControl)
 |  | Canvas (TCustomControl)
 |  | Caption (TControl)
 |  | CaptureMouseButtons (TControl)
 |  | ChildSizing (TWinControl)
 |  | ClientHeight (TControl)
 | ro | ClientOrigin (TControl)
 | ro | ClientRect (TControl)
 |  | ClientWidth (TControl)
 |  | Color (TControl)
pl | ro | Color (TSplitter)
 | ro | ComObject (TComponent)
 | ro | ComponentCount (TComponent)
 |  | ComponentIndex (TComponent)
 | ro | Components (TComponent)
 | ro | ComponentState (TComponent)
 | ro | ComponentStyle (TComponent)
 |  | Constraints (TControl)
pl | ro | Constraints (TSplitter)
 | ro | ControlCount (TWinControl)
 | ro | ControlOrigin (TControl)
 | ro | Controls (TWinControl)
 |  | ControlState (TControl)
 |  | ControlStyle (TControl)
pl |  | Cursor (TControl)
 | ro | Cursor (TCustomSplitter)
pl | ro | Cursor (TSplitter)
 |  | DefWndProc (TWinControl)
 |  | DesignerDeleting (TWinControl)
 |  | DesignInfo (TComponent)
pt |  | DesktopFont (TControl)
 | ro | DockClientCount (TWinControl)
 | ro | DockClients (TWinControl)
 |  | DockManager (TWinControl)
 |  | DockOrientation (TControl)
 |  | DockSite (TWinControl)
 |  | DoubleBuffered (TWinControl)
pl | ro | DoubleBuffered (TSplitter)
pt |  | DragCursor (TControl)
pt |  | DragKind (TControl)
pt |  | DragMode (TControl)
 |  | Enabled (TControl)
 | ro | Floating (TControl)
 |  | FloatingDockSiteClass (TControl)
 |  | Font (TControl)
 |  | Handle (TWinControl)
pl |  | Height (TControl)
pl | ro | Height (TSplitter)
pl |  | HelpContext (TControl)
pl |  | HelpKeyword (TControl)
pl |  | HelpType (TControl)
pl |  | Hint (TControl)
 |  | HostDockSite (TControl)
 |  | IsControl (TControl)
 | ro | IsFlipped (TWinControl)
 | ro | IsResizing (TWinControl)
 | ro | LCLRefCount (TLCLComponent)
pl |  | Left (TControl)
 |  | LRDockWidth (TControl)
 |  | MinSize (TCustomSplitter)
pl | ro | MinSize (TSplitter)
pt |  | MouseCapture (TControl)
 | ro | MouseEntered (TControl)
 | ro | MouseInClient (TControl)
 |  | Name (TComponent)
 | ro | Owner (TComponent)
 |  | Parent (TControl)
pt |  | ParentBackground (TWinControl)
 |  | ParentBiDiMode (TControl)
pt |  | ParentColor (TControl)
pl | ro | ParentColor (TSplitter)
 |  | ParentDoubleBuffered (TWinControl)
pl | ro | ParentDoubleBuffered (TSplitter)
pt |  | ParentFont (TControl)
pt |  | ParentShowHint (TControl)
pl | ro | ParentShowHint (TSplitter)
 |  | ParentWindow (TWinControl)
 |  | PopupMenu (TControl)
pl | ro | PopupMenu (TSplitter)
 | ro | ReadBounds (TControl)
 |  | ResizeAnchor (TCustomSplitter)
pl | ro | ResizeAnchor (TSplitter)
 |  | ResizeControl (TCustomSplitter)
 |  | ResizeStyle (TCustomSplitter)
pl | ro | ResizeStyle (TSplitter)
pt |  | SessionProperties (TControl)
 |  | ShowHint (TControl)
pl | ro | ShowHint (TSplitter)
 | ro | Showing (TWinControl)
 |  | TabOrder (TWinControl)
 |  | TabStop (TWinControl)
 |  | Tag (TComponent)
 |  | TBDockHeight (TControl)
pt |  | Text (TControl)
pl |  | Top (TControl)
 |  | UndockHeight (TControl)
 |  | UndockWidth (TControl)
 |  | UseDockManager (TWinControl)
 |  | VCLComObject (TComponent)
 |  | Visible (TControl)
pl | ro | Visible (TSplitter)
 | ro | VisibleDockClientCount (TWinControl)
 | ro | WidgetSetClass (TLCLComponent)
pl |  | Width (TControl)
pl | ro | Width (TSplitter)
pt |  | WindowHandle (TWinControl)
 |  | WindowProc (TControl)


TSplitter
TCustomSplitter
pt | CMEnabledChanged
pt | WSRegisterClass
pt | AdaptAnchors
pt | CheckNewSize
pt | CheckOffset
pt | FindAlignControl
pt | FindAlignOtherControl
pt | MouseDown
pt | MouseEnter
pt | MouseLeave
pt | MouseMove
pt | MouseUp
pt | Paint
pt | SetAlign
pt | SetAnchors
pt | SetResizeAnchor
pt | SetResizeControl
pt | StartSplitterMove
pt | StopSplitterMove
pt | UpdateCursor
 | Create
 | AnchorSplitter
 | GetOtherResizeControl
 | MoveSplitter
 | SetSplitterPosition
 | GetSplitterPosition
TCustomControl
pt | WSRegisterClass
pt | WMPaint
pt | DestroyWnd
pt | PaintWindow
pt | FontChanged
pt | SetColor
pt | Paint
 | Create
 | Destroy
TWinControl
pt | WSRegisterClass
pt | AdjustClientRect
pt | GetAdjustedLogicalClientRect
pt | AlignControls
pt | CustomAlignInsertBefore
pt | CustomAlignPosition
pt | DoAlignChildControls
pt | DoChildSizingChange
pt | InvalidatePreferredChildSizes
pt | CanTab
pt | IsClientHeightStored
pt | IsClientWidthStored
pt | DoSendShowHideToInterface
pt | ControlsAligned
pt | DoSendBoundsToInterface
pt | RealizeBounds
pt | RealizeBoundsRecursive
pt | InvalidateBoundsRealized
pt | CreateSubClass
pt | DoConstraintsChange
pt | DoSetBounds
pt | DoAutoSize
pt | DoAllAutoSize
pt | AllAutoSized
pt | CalculatePreferredSize
pt | GetPreferredSizeClientFrame
pt | GetChildren
pt | ChildClassAllowed
pt | PaintControls
pt | PaintHandler
pt | PaintWindow
pt | CreateBrush
pt | ScaleControls
pt | ChangeScale
pt | CMBiDiModeChanged
pt | CMBorderChanged
pt | CMDoubleBufferedChanged
pt | CMEnabledChanged
pt | CMParentDoubleBufferedChanged
pt | CMShowingChanged
pt | CMShowHintChanged
pt | CMVisibleChanged
pt | CMEnter
pt | CMExit
pt | WMContextMenu
pt | WMEraseBkgnd
pt | WMNotify
pt | WMSetFocus
pt | WMKillFocus
pt | WMShowWindow
pt | WMEnter
pt | WMExit
pt | WMKeyDown
pt | WMSysKeyDown
pt | WMKeyUp
pt | WMSysKeyUp
pt | WMChar
pt | WMSysChar
pt | WMPaint
pt | WMDestroy
pt | WMMove
pt | WMSize
pt | WMWindowPosChanged
pt | CNKeyDown
pt | CNSysKeyDown
pt | CNKeyUp
pt | CNSysKeyUp
pt | CNChar
pt | DoDragMsg
pt | DoDockClientMsg
pt | DoUndockClientMsg
pt | DoAddDockClient
pt | DockOver
pt | DoDockOver
pt | DoRemoveDockClient
pt | DoUnDock
pt | GetSiteInfo
pt | GetParentHandle
pt | GetTopParentHandle
pt | ReloadDockedControl
pt | CreateDockManager
pt | SetDockManager
pt | DoFloatMsg
pt | DoGetDockCaption
pt | DoEnter
pt | DoExit
pt | DoKeyDownBeforeInterface
pt | DoRemainingKeyDown
pt | DoRemainingKeyUp
pt | DoKeyPress
pt | DoUTF8KeyPress
pt | DoKeyUpBeforeInterface
pt | ChildKey
pt | SendDialogChar
pt | DialogChar
pt | ControlKeyDown
pt | ControlKeyUp
pt | KeyDown
pt | KeyDownBeforeInterface
pt | KeyDownAfterInterface
pt | KeyPress
pt | KeyUp
pt | KeyUpBeforeInterface
pt | KeyUpAfterInterface
pt | UTF8KeyPress
pt | FindNextControl
pt | SelectFirst
pt | RealGetText
pt | GetBorderStyle
pt | GetClientOrigin
pt | GetClientRect
pt | GetControlOrigin
pt | GetDeviceContext
pt | GetParentBackground
pt | IsControlMouseMsg
pt | CreateHandle
pt | CreateParams
pt | CreateWnd
pt | DestroyHandle
pt | DestroyWnd
pt | DoFlipChildren
pt | FinalizeWnd
pt | FixupTabList
pt | FontChanged
pt | InitializeWnd
pt | Loaded
pt | FormEndUpdated
pt | MainWndProc
pt | ParentFormHandleInitialized
pt | ChildHandlesCreated
pt | GetMouseCapture
pt | RealSetText
pt | RemoveFocus
pt | SendMoveSizeMessages
pt | SetBorderStyle
pt | SetColor
pt | SetChildZPosition
pt | SetParentBackground
pt | ShowControl
pt | UpdateControlState
pt | UpdateShowing
pt | WndProc
pt | WSSetText
 | AutoSizePhases
 | AutoSizeDelayed
 | AutoSizeDelayedReport
 | AutoSizeDelayedHandle
 | BeginUpdateBounds
 | EndUpdateBounds
 | LockRealizeBounds
 | UnlockRealizeBounds
 | ControlAtPos
 | ContainsControl
 | DoAdjustClientRectChange
 | InvalidateClientRectCache
 | ClientRectNeedsInterfaceUpdate
 | SetBounds
 | GetChildrenRect
 | DisableAlign
 | EnableAlign
 | ReAlign
 | ScrollBy_WS
 | ScrollBy
 | WriteLayoutDebugReport
 | AutoAdjustLayout
 | Create
 | CreateParented
 | CreateParentedControl
 | Destroy
 | DockDrop
 | CanFocus
 | CanSetFocus
 | GetControlIndex
 | SetControlIndex
 | Focused
 | PerformTab
 | FindChildControl
 | SelectNext
 | SetTempCursor
 | BroadCast
 | NotifyControls
 | DefaultHandler
 | GetTextLen
 | Invalidate
 | AddControl
 | InsertControl
 | RemoveControl
 | GetEnumeratorControls
 | GetEnumeratorControlsReverse
 | Repaint
 | Update
 | SetFocus
 | FlipChildren
 | ScaleBy
 | GetDockCaption
 | UpdateDockCaption
 | GetTabOrderList
 | HandleAllocated
 | ParentHandlesAllocated
 | HandleNeeded
 | BrushCreated
 | EraseBackground
 | IntfUTF8KeyPress
 | IntfGetDropFilesTarget
 | PaintTo
 | SetShape
TControl
pt | WSRegisterClass
pt | GetCursor
pt | SetCursor
pt | SetVisible
pt | DoOnParentHandleDestruction
pt | DoAutoSize
pt | DoAllAutoSize
pt | BeginAutoSizing
pt | EndAutoSizing
pt | AnchorSideChanged
pt | ForeignAnchorSideChanged
pt | SetAlign
pt | SetAnchors
pt | SetAutoSize
pt | BoundsChanged
pt | CreateControlBorderSpacing
pt | DoConstraintsChange
pt | DoBorderSpacingChange
pt | IsBorderSpacingInnerBorderStored
pt | IsCaptionStored
pt | SendMoveSizeMessages
pt | ConstrainedResize
pt | CalculatePreferredSize
pt | DoOnResize
pt | DoOnChangeBounds
pt | CheckOnChangeBounds
pt | Resize
pt | RequestAlign
pt | UpdateAnchorRules
pt | ChangeBounds
pt | DoSetBounds
pt | ScaleConstraints
pt | ChangeScale
pt | CanAutoSize
pt | SetBiDiMode
pt | SetParentBiDiMode
pt | IsAParentAligning
pt | GetClientOrigin
pt | GetClientRect
pt | GetLogicalClientRect
pt | GetScrolledClientRect
pt | GetClientScrollOffset
pt | GetControlOrigin
pt | IsClientHeightStored
pt | IsClientWidthStored
pt | WidthIsAnchored
pt | HeightIsAnchored
pt | WMCancelMode
pt | WMContextMenu
pt | WMLButtonDown
pt | WMRButtonDown
pt | WMMButtonDown
pt | WMXButtonDown
pt | WMLButtonDBLCLK
pt | WMRButtonDBLCLK
pt | WMMButtonDBLCLK
pt | WMXButtonDBLCLK
pt | WMLButtonTripleCLK
pt | WMRButtonTripleCLK
pt | WMMButtonTripleCLK
pt | WMXButtonTripleCLK
pt | WMLButtonQuadCLK
pt | WMRButtonQuadCLK
pt | WMMButtonQuadCLK
pt | WMXButtonQuadCLK
pt | WMMouseMove
pt | WMLButtonUp
pt | WMRButtonUp
pt | WMMButtonUp
pt | WMXButtonUp
pt | WMMouseWheel
pt | WMMouseHWheel
pt | WMMove
pt | WMSize
pt | WMWindowPosChanged
pt | CMChanged
pt | LMCaptureChanged
pt | CMBiDiModeChanged
pt | CMSysFontChanged
pt | CMEnabledChanged
pt | CMHitTest
pt | CMMouseEnter
pt | CMMouseLeave
pt | CMHintShow
pt | CMParentBiDiModeChanged
pt | CMParentColorChanged
pt | CMParentFontChanged
pt | CMParentShowHintChanged
pt | CMVisibleChanged
pt | CMTextChanged
pt | CMCursorChanged
pt | CalculateDockSizes
pt | CreateFloatingDockSite
pt | GetDockEdge
pt | GetDragImages
pt | GetFloating
pt | GetFloatingDockSiteClass
pt | BeforeDragStart
pt | BeginAutoDrag
pt | DoFloatMsg
pt | DockTrackNoTarget
pt | DoDock
pt | DoDragMsg
pt | DoEndDock
pt | DoEndDrag
pt | DoStartDock
pt | DoStartDrag
pt | DragCanceled
pt | DragOver
pt | PositionDockRect
pt | SetDragMode
pt | GetDefaultDockCaption
pt | Click
pt | DblClick
pt | TripleClick
pt | QuadClick
pt | GetMousePosFromMessage
pt | MouseDown
pt | MouseMove
pt | MouseUp
pt | MouseEnter
pt | MouseLeave
pt | DialogChar
pt | UpdateMouseCursor
pt | Changed
pt | GetPalette
pt | ChildClassAllowed
pt | ReadState
pt | Loaded
pt | LoadedAll
pt | DefineProperties
pt | AssignTo
pt | FormEndUpdated
pt | InvalidateControl
pt | FontChanged
pt | ParentFontChanged
pt | GetAction
pt | RealGetText
pt | RealSetText
pt | TextChanged
pt | GetCachedText
pt | SetAction
pt | SetColor
pt | SetEnabled
pt | SetHint
pt | SetName
pt | SetParent
pt | SetParentComponent
pt | WndProc
pt | ParentFormHandleInitialized
pt | GetMouseCapture
pt | CaptureChanged
pt | Notification
pt | CanTab
pt | GetDeviceContext
pt | GetEnabled
pt | GetPopupMenu
pt | DoOnShowHint
pt | DoMouseWheel
pt | DoMouseWheelDown
pt | DoMouseWheelUp
pt | DoMouseWheelHorz
pt | DoMouseWheelLeft
pt | DoMouseWheelRight
pt | VisibleChanging
pt | VisibleChanged
pt | EnabledChanging
pt | EnabledChanged
pt | AddHandler
pt | RemoveHandler
pt | DoCallNotifyHandler
pt | DoCallKeyEventHandler
pt | DoCallMouseWheelEventHandler
pt | DoContextPopup
pt | SetZOrder
pt | GetControlClassDefaultSize
pt | ColorIsStored
pt | DoAutoAdjustLayout
pt | DoFixDesignFontPPI
pt | DoScaleFontPPI
pt | GetActionLinkClass
pt | ActionChange
 | DragDrop
 | Dock
 | ManualDock
 | ManualFloat
 | ReplaceDockedControl
 | Docked
 | Dragging
 | GetAccessibleObject
 | CreateAccessibleObject
 | GetSelectedChildAccessibleObject
 | GetChildAccessibleObjectAtPos
 | ScaleDesignToForm
 | ScaleFormToDesign
 | Scale96ToForm
 | ScaleFormTo96
 | Scale96ToFont
 | ScaleFontTo96
 | ScaleScreenToFont
 | ScaleFontToScreen
 | Scale96ToScreen
 | ScaleScreenTo96
 | AdjustSize
 | AutoSizePhases
 | AutoSizeDelayed
 | AutoSizeDelayedReport
 | AutoSizeDelayedHandle
 | AnchorToNeighbour
 | AnchorParallel
 | AnchorHorizontalCenterTo
 | AnchorVerticalCenterTo
 | AnchorToCompanion
 | AnchorSame
 | AnchorAsAlign
 | AnchorClient
 | AnchoredControlCount
 | SetBounds
 | SetInitialBounds
 | SetBoundsKeepBase
 | GetPreferredSize
 | GetCanvasScaleFactor
 | GetDefaultWidth
 | GetDefaultHeight
 | GetDefaultColor
 | GetColorResolvingParent
 | GetRGBColorResolvingParent
 | GetSidePosition
 | CNPreferredSizeChanged
 | InvalidatePreferredSize
 | GetAnchorsDependingOnParent
 | DisableAutoSizing
 | EnableAutoSizing
 | UpdateBaseBounds
 | WriteLayoutDebugReport
 | AutoAdjustLayout
 | ShouldAutoAdjust
 | FixDesignFontsPPI
 | ScaleFontsPPI
 | Create
 | Destroy
 | BeforeDestruction
 | EditingDone
 | ExecuteDefaultAction
 | ExecuteCancelAction
 | BeginDrag
 | EndDrag
 | BringToFront
 | HasParent
 | GetParentComponent
 | IsParentOf
 | GetTopParent
 | IsVisible
 | IsControlVisible
 | IsEnabled
 | IsParentColor
 | IsParentFont
 | FormIsUpdating
 | IsProcessingPaintMsg
 | Hide
 | Refresh
 | Repaint
 | Invalidate
 | CheckChildClassAllowed
 | CheckNewParent
 | SendToBack
 | SetTempCursor
 | UpdateRolesForForm
 | ActiveDefaultControlChanged
 | GetTextBuf
 | GetTextLen
 | SetTextBuf
 | Perform
 | ScreenToClient
 | ClientToScreen
 | ScreenToControl
 | ControlToScreen
 | ClientToParent
 | ParentToClient
 | GetChildrenRect
 | Show
 | Update
 | HandleObjectShouldBeVisible
 | ParentDestroyingHandle
 | ParentHandlesAllocated
 | InitiateAction
 | ShowHelp
 | HasHelp
 | RemoveAllHandlersOfObject
 | AddHandlerOnResize
 | RemoveHandlerOnResize
 | AddHandlerOnChangeBounds
 | RemoveHandlerOnChangeBounds
 | AddHandlerOnVisibleChanging
 | RemoveHandlerOnVisibleChanging
 | AddHandlerOnVisibleChanged
 | RemoveHandlerOnVisibleChanged
 | AddHandlerOnEnabledChanged
 | RemoveHandlerOnEnableChanging
 | AddHandlerOnKeyDown
 | RemoveHandlerOnKeyDown
 | AddHandlerOnBeforeDestruction
 | RemoveHandlerOnBeforeDestruction
 | AddHandlerOnMouseWheel
 | RemoveHandlerOnMouseWheel
 | UseRightToLeftAlignment
 | UseRightToLeftReading
 | UseRightToLeftScrollBar
 | IsRightToLeft
TLCLComponent
pt | WSRegisterClass
pt | GetWSComponentClass
 | Create
 | Destroy
 | NewInstance
 | RemoveAllHandlersOfObject
 | IncLCLRefCount
 | DecLCLRefCount
TComponent
 | GetComObject
 | GetComponent
 | GetComponentCount
 | GetComponentIndex
 | Insert
 | ReadLeft
 | ReadTop
 | Remove
 | RemoveNotification
 | SetComponentIndex
 | SetReference
 | WriteLeft
 | WriteTop
 | ChangeName
 | DefineProperties
 | GetChildren
 | GetChildOwner
 | GetChildParent
 | GetOwner
 | Loaded
 | Loading
 | Notification
 | PaletteCreated
 | ReadState
 | SetAncestor
 | SetDesigning
 | SetDesignInstance
 | SetInline
 | SetName
 | SetChildOrder
 | SetParentComponent
 | Updating
 | Updated
 | UpdateRegistry
 | ValidateRename
 | ValidateContainer
 | ValidateInsert
 | QueryInterface
 | _AddRef
 | _Release
 | iicrGetComponent
 | GetTypeInfoCount
 | GetTypeInfo
 | GetIDsOfNames
 | Invoke
 | WriteState
 | Create
 | Destroy
 | BeforeDestruction
 | DestroyComponents
 | Destroying
 | ExecuteAction
 | FindComponent
 | FreeNotification
 | RemoveFreeNotification
 | FreeOnRelease
 | GetEnumerator
 | GetNamePath
 | GetParentComponent
 | HasParent
 | InsertComponent
 | RemoveComponent
 | SafeCallException
 | SetSubComponent
 | UpdateAction
 | IsImplementorOf
 | ReferenceInterface
TPersistent
 | AssignError
 | AssignTo
 | DefineProperties
 | GetOwner
 | Destroy
 | Assign
 | FPOAttachObserver
 | FPODetachObserver
 | FPONotifyObservers
 | GetNamePath
TObject
 | Create
 | Destroy
 | newinstance
 | FreeInstance
 | SafeCallException
 | DefaultHandler
 | Free
 | InitInstance
 | CleanupInstance
 | ClassType
 | ClassInfo
 | ClassName
 | ClassNameIs
 | ClassParent
 | InstanceSize
 | InheritsFrom
 | StringMessageTable
 | MethodAddress
 | MethodName
 | FieldAddress
 | AfterConstruction
 | BeforeDestruction
 | DefaultHandlerStr
 | Dispatch
 | DispatchStr
 | GetInterface
 | GetInterfaceByStr
 | GetInterfaceWeak
 | GetInterfaceEntry
 | GetInterfaceEntryByStr
 | GetInterfaceTable
 | UnitName
 | Equals
 | GetHashCode
 | ToString


TSplitter
pl | ro | OnCanOffset
pl | ro | OnCanResize
pl | ro | OnChangeBounds
pl | ro | OnMoved
pl | ro | OnMouseWheel
pl | ro | OnMouseWheelDown
pl | ro | OnMouseWheelUp
pl | ro | OnMouseWheelHorz
pl | ro | OnMouseWheelLeft
pl | ro | OnMouseWheelRight
pl | ro | OnPaint
TCustomSplitter
 |  | OnCanOffset
 |  | OnCanResize
 |  | OnMoved
TCustomControl
 |  | OnPaint
TWinControl
pt |  | OnGetSiteInfo
pt |  | OnGetDockCaption
 |  | OnAlignInsertBefore
 |  | OnAlignPosition
 |  | OnDockDrop
 |  | OnDockOver
 |  | OnEnter
 |  | OnExit
 |  | OnKeyDown
 |  | OnKeyPress
 |  | OnKeyUp
 |  | OnUnDock
 |  | OnUTF8KeyPress
TControl
pt |  | OnConstrainedResize
pt |  | OnContextPopup
pt |  | OnDblClick
pt |  | OnTripleClick
pt |  | OnQuadClick
pt |  | OnDragDrop
pt |  | OnDragOver
pt |  | OnEndDock
pt |  | OnEndDrag
pt |  | OnMouseDown
pt |  | OnMouseMove
pt |  | OnMouseUp
pt |  | OnMouseEnter
pt |  | OnMouseLeave
pt |  | OnMouseWheel
pt |  | OnMouseWheelDown
pt |  | OnMouseWheelUp
pt |  | OnMouseWheelHorz
pt |  | OnMouseWheelLeft
pt |  | OnMouseWheelRight
pt |  | OnStartDock
pt |  | OnStartDrag
pt |  | OnEditingDone
 |  | OnChangeBounds
 |  | OnClick
 |  | OnResize
 |  | OnShowHint
TLCLComponent
TComponent
TPersistent
TObject


pl | ro | OnCanOffset (TSplitter)
 |  | OnCanResize (TCustomSplitter)
pl | ro | OnCanResize (TSplitter)
 |  | OnChangeBounds (TControl)
pl | ro | OnChangeBounds (TSplitter)
 |  | OnClick (TControl)
pt |  | OnConstrainedResize (TControl)
pt |  | OnContextPopup (TControl)
pt |  | OnDblClick (TControl)
 |  | OnDockDrop (TWinControl)
 |  | OnDockOver (TWinControl)
pt |  | OnDragDrop (TControl)
pt |  | OnDragOver (TControl)
pt |  | OnEditingDone (TControl)
pt |  | OnEndDock (TControl)
pt |  | OnEndDrag (TControl)
 |  | OnEnter (TWinControl)
 |  | OnExit (TWinControl)
pt |  | OnGetDockCaption (TWinControl)
pt |  | OnGetSiteInfo (TWinControl)
 |  | OnKeyDown (TWinControl)
 |  | OnKeyPress (TWinControl)
 |  | OnKeyUp (TWinControl)
pt |  | OnMouseDown (TControl)
pt |  | OnMouseEnter (TControl)
pt |  | OnMouseLeave (TControl)
pt |  | OnMouseMove (TControl)
pt |  | OnMouseUp (TControl)
pt |  | OnMouseWheel (TControl)
pl | ro | OnMouseWheel (TSplitter)
pt |  | OnMouseWheelDown (TControl)
pl | ro | OnMouseWheelDown (TSplitter)
pt |  | OnMouseWheelHorz (TControl)
pl | ro | OnMouseWheelHorz (TSplitter)
pt |  | OnMouseWheelLeft (TControl)
pl | ro | OnMouseWheelLeft (TSplitter)
pt |  | OnMouseWheelRight (TControl)
pl | ro | OnMouseWheelRight (TSplitter)
pt |  | OnMouseWheelUp (TControl)
pl | ro | OnMouseWheelUp (TSplitter)
 |  | OnMoved (TCustomSplitter)
pl | ro | OnMoved (TSplitter)
 |  | OnPaint (TCustomControl)
pl | ro | OnPaint (TSplitter)
pt |  | OnQuadClick (TControl)
 |  | OnResize (TControl)
 |  | OnShowHint (TControl)
pt |  | OnStartDock (TControl)
pt |  | OnStartDrag (TControl)
pt |  | OnTripleClick (TControl)
 |  | OnUnDock (TWinControl)
 |  | OnUTF8KeyPress (TWinControl)


TSplitter.DoubleBuffered

Declaration

Source position: extctrls.pp line 421

published property TSplitter.DoubleBuffered : Boolean;


TSplitter.OnCanOffset

Declaration

Source position: extctrls.pp line 424

published property TSplitter.OnCanOffset : TCanOffsetEvent;


TSplitter.OnMouseWheel

Declaration

Source position: extctrls.pp line 428

published property TSplitter.OnMouseWheel : TMouseWheelEvent;


TSplitter.OnMouseWheelDown

Declaration

Source position: extctrls.pp line 429

published property TSplitter.OnMouseWheelDown : TMouseWheelUpDownEvent;


TSplitter.OnMouseWheelHorz

Declaration

Source position: extctrls.pp line 431

published property TSplitter.OnMouseWheelHorz : TMouseWheelEvent;


TSplitter.OnMouseWheelLeft

Declaration

Source position: extctrls.pp line 432

published property TSplitter.OnMouseWheelLeft : TMouseWheelUpDownEvent;


TSplitter.OnMouseWheelRight

Declaration

Source position: extctrls.pp line 433

published property TSplitter.OnMouseWheelRight : TMouseWheelUpDownEvent;


TSplitter.OnMouseWheelUp

Declaration

Source position: extctrls.pp line 430

published property TSplitter.OnMouseWheelUp : TMouseWheelUpDownEvent;


TSplitter.OnPaint

Declaration

Source position: extctrls.pp line 434

published property TSplitter.OnPaint : TNotifyEvent;


TSplitter.ParentDoubleBuffered

Declaration

Source position: extctrls.pp line 436

published property TSplitter.ParentDoubleBuffered : Boolean;


TTimer

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

TTimer: An elapsed timer useful in many applications

Declaration

Source position: extctrls.pp line 192

type TTimer = class(TCustomTimer)
published
property Enabled: Boolean; | Enabled - if True, timer is ready to start
property Interval: Cardinal; | The Interval (in milliseconds) for which the timer is to run
property OnTimer: TNotifyEvent; | OnTimer - event handler for timer interval complete (expired)
property OnStartTimer: TNotifyEvent; | OnStartTimer - event handler for starting the timer running
property OnStopTimer: TNotifyEvent; | OnStopTimer - event handler for stopping the timer
end;

Inheritance

TTimer | TTimer: An elapsed timer useful in many applications
|
TCustomTimer | TCustomTimer - base class for TTimer
|
TComponent,IUnknown,IInterfaceComponentReference
|
TPersistent,IFPObserved
|
TObject

Description

TTimer: An elapsed timer useful in many applications

Inherits most of its properties from TCustomTimer


TTimer
pl | ro | Enabled
pl | ro | Interval
TCustomTimer
 |  | Enabled
 |  | Interval
TComponent
 | ro | ComObject
 | ro | Components
 | ro | ComponentCount
 |  | ComponentIndex
 | ro | ComponentState
 | ro | ComponentStyle
 |  | DesignInfo
 | ro | Owner
 |  | VCLComObject
 |  | Name
 |  | Tag
TPersistent
TObject


 | ro | ComObject (TComponent)
 | ro | ComponentCount (TComponent)
 |  | ComponentIndex (TComponent)
 | ro | Components (TComponent)
 | ro | ComponentState (TComponent)
 | ro | ComponentStyle (TComponent)
 |  | DesignInfo (TComponent)
 |  | Enabled (TCustomTimer)
pl | ro | Enabled (TTimer)
 |  | Interval (TCustomTimer)
pl | ro | Interval (TTimer)
 |  | Name (TComponent)
 | ro | Owner (TComponent)
 |  | Tag (TComponent)
 |  | VCLComObject (TComponent)


TTimer
TCustomTimer
pt | SetEnabled
pt | SetInterval
pt | SetOnTimer
pt | DoOnTimer
pt | UpdateTimer
pt | KillTimer
pt | Loaded
 | Create
 | Destroy
TComponent
 | GetComObject
 | GetComponent
 | GetComponentCount
 | GetComponentIndex
 | Insert
 | ReadLeft
 | ReadTop
 | Remove
 | RemoveNotification
 | SetComponentIndex
 | SetReference
 | WriteLeft
 | WriteTop
 | ChangeName
 | DefineProperties
 | GetChildren
 | GetChildOwner
 | GetChildParent
 | GetOwner
 | Loaded
 | Loading
 | Notification
 | PaletteCreated
 | ReadState
 | SetAncestor
 | SetDesigning
 | SetDesignInstance
 | SetInline
 | SetName
 | SetChildOrder
 | SetParentComponent
 | Updating
 | Updated
 | UpdateRegistry
 | ValidateRename
 | ValidateContainer
 | ValidateInsert
 | QueryInterface
 | _AddRef
 | _Release
 | iicrGetComponent
 | GetTypeInfoCount
 | GetTypeInfo
 | GetIDsOfNames
 | Invoke
 | WriteState
 | Create
 | Destroy
 | BeforeDestruction
 | DestroyComponents
 | Destroying
 | ExecuteAction
 | FindComponent
 | FreeNotification
 | RemoveFreeNotification
 | FreeOnRelease
 | GetEnumerator
 | GetNamePath
 | GetParentComponent
 | HasParent
 | InsertComponent
 | RemoveComponent
 | SafeCallException
 | SetSubComponent
 | UpdateAction
 | IsImplementorOf
 | ReferenceInterface
TPersistent
 | AssignError
 | AssignTo
 | DefineProperties
 | GetOwner
 | Destroy
 | Assign
 | FPOAttachObserver
 | FPODetachObserver
 | FPONotifyObservers
 | GetNamePath
TObject
 | Create
 | Destroy
 | newinstance
 | FreeInstance
 | SafeCallException
 | DefaultHandler
 | Free
 | InitInstance
 | CleanupInstance
 | ClassType
 | ClassInfo
 | ClassName
 | ClassNameIs
 | ClassParent
 | InstanceSize
 | InheritsFrom
 | StringMessageTable
 | MethodAddress
 | MethodName
 | FieldAddress
 | AfterConstruction
 | BeforeDestruction
 | DefaultHandlerStr
 | Dispatch
 | DispatchStr
 | GetInterface
 | GetInterfaceByStr
 | GetInterfaceWeak
 | GetInterfaceEntry
 | GetInterfaceEntryByStr
 | GetInterfaceTable
 | UnitName
 | Equals
 | GetHashCode
 | ToString


TTimer
pl | ro | OnTimer
pl | ro | OnStartTimer
pl | ro | OnStopTimer
TCustomTimer
 |  | OnTimer
 |  | OnStartTimer
 |  | OnStopTimer
TComponent
TPersistent
TObject


pl | ro | OnStartTimer (TTimer)
 |  | OnStopTimer (TCustomTimer)
pl | ro | OnStopTimer (TTimer)
 |  | OnTimer (TCustomTimer)
pl | ro | OnTimer (TTimer)


TTrayIcon

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

TTrayIcon is a multiplatform System Tray component. It adds an icon to the tray and signifies an application that is inactive but ready to be activated. Under Windows the System tray is usually located on the bottom-right corner of the screen, but it may be elsewhere. On other operating systems this position varies.

Declaration

Source position: extctrls.pp line 1402

type TTrayIcon = class(TCustomTrayIcon)
published
property BalloonFlags: TBalloonFlags; | the set of kinds of balloon flag that can be displayed (may be None, Info, Warning or Error)
property BalloonHint: string; | The text to be shown in the hinting balloon
property BalloonTimeout: Integer; | The period after which the hinting balloon disappears
property BalloonTitle: string; | The title to be shown on the hinting balloon
property PopUpMenu: TPopupMenu; | PopUpMenu - a popup menu which is displayed when right mouse button is clicked over icon - separate from hint balloon
property Icon: TIcon; | The Icon or picture that is to be displayed
property Hint: string; | A simple hint that is shown when the mouse hovers over the icon.
property Visible: Boolean; | It is set to true when the icon is shown and remains true until Hide is called. Setting Visible has the same effect as calling Hide or Show.
property OnClick: TNotifyEvent; | Event Handler for Mouse Click on Tray Icon
property OnDblClick: TNotifyEvent; | Event handler for mouse double-click
property OnMouseDown: TMouseEvent; | Event handler if mouse button is pressed down
property OnMouseMove: TMouseMoveEvent; | Event handler for mouse movement
property OnMouseUp: TMouseEvent; | Event handler if mouse button is up
property OnPaint: TNotifyEvent; | Use this to implement custom drawing to the icon. Draw using the canvas property of the icon. Note: Does not work on win32.
end;

Inheritance

TTrayIcon | TTrayIcon is a multiplatform System Tray component. It adds an icon to the tray and signifies an application that is inactive but ready to be activated. Under Windows the System tray is usually located on the bottom-right corner of the screen, but it may be elsewhere. On other operating systems this position varies.
|
TCustomTrayIcon | TCustomTrayIcon - the base class for TTrayIcon, a multiplatform System Tray component.
|
TLCLComponent | The base class for LCL components associated with widgets.
|
TComponent,IUnknown,IInterfaceComponentReference
|
TPersistent,IFPObserved
|
TObject


TTrayIcon
pl | ro | BalloonFlags
pl | ro | BalloonHint
pl | ro | BalloonTimeout
pl | ro | BalloonTitle
pl | ro | PopUpMenu
pl | ro | Icon
pl | ro | Hint
pl | ro | Visible
TCustomTrayIcon
 |  | Animate
 |  | AnimateInterval
 |  | BalloonFlags
 |  | BalloonHint
 |  | BalloonTimeout
 |  | BalloonTitle
 | ro | Canvas
 |  | PopUpMenu
 |  | Icon
 |  | Icons
 |  | Hint
 |  | ShowIcon
 |  | Visible
TLCLComponent
 | ro | LCLRefCount
 | ro | WidgetSetClass
TComponent
 | ro | ComObject
 | ro | Components
 | ro | ComponentCount
 |  | ComponentIndex
 | ro | ComponentState
 | ro | ComponentStyle
 |  | DesignInfo
 | ro | Owner
 |  | VCLComObject
 |  | Name
 |  | Tag
TPersistent
TObject


pl | ro | BalloonFlags (TTrayIcon)
 |  | BalloonHint (TCustomTrayIcon)
pl | ro | BalloonHint (TTrayIcon)
 |  | BalloonTimeout (TCustomTrayIcon)
pl | ro | BalloonTimeout (TTrayIcon)
 |  | BalloonTitle (TCustomTrayIcon)
pl | ro | BalloonTitle (TTrayIcon)
 | ro | Canvas (TCustomTrayIcon)
 | ro | ComObject (TComponent)
 | ro | ComponentCount (TComponent)
 |  | ComponentIndex (TComponent)
 | ro | Components (TComponent)
 | ro | ComponentState (TComponent)
 | ro | ComponentStyle (TComponent)
 |  | DesignInfo (TComponent)
 |  | Hint (TCustomTrayIcon)
pl | ro | Hint (TTrayIcon)
 |  | Icon (TCustomTrayIcon)
pl | ro | Icon (TTrayIcon)
 |  | Icons (TCustomTrayIcon)
 | ro | LCLRefCount (TLCLComponent)
 |  | Name (TComponent)
 | ro | Owner (TComponent)
 |  | PopUpMenu (TCustomTrayIcon)
pl | ro | PopUpMenu (TTrayIcon)
 |  | ShowIcon (TCustomTrayIcon)
 |  | Tag (TComponent)
 |  | VCLComObject (TComponent)
 |  | Visible (TCustomTrayIcon)
pl | ro | Visible (TTrayIcon)
 | ro | WidgetSetClass (TLCLComponent)


TTrayIcon
TCustomTrayIcon
pt | WSRegisterClass
pt | Notification
pt | Loaded
 | Create
 | Destroy
 | Hide
 | Show
 | InternalUpdate
 | ShowBalloonHint
 | GetPosition
TLCLComponent
pt | WSRegisterClass
pt | GetWSComponentClass
 | Create
 | Destroy
 | NewInstance
 | RemoveAllHandlersOfObject
 | IncLCLRefCount
 | DecLCLRefCount
TComponent
 | GetComObject
 | GetComponent
 | GetComponentCount
 | GetComponentIndex
 | Insert
 | ReadLeft
 | ReadTop
 | Remove
 | RemoveNotification
 | SetComponentIndex
 | SetReference
 | WriteLeft
 | WriteTop
 | ChangeName
 | DefineProperties
 | GetChildren
 | GetChildOwner
 | GetChildParent
 | GetOwner
 | Loaded
 | Loading
 | Notification
 | PaletteCreated
 | ReadState
 | SetAncestor
 | SetDesigning
 | SetDesignInstance
 | SetInline
 | SetName
 | SetChildOrder
 | SetParentComponent
 | Updating
 | Updated
 | UpdateRegistry
 | ValidateRename
 | ValidateContainer
 | ValidateInsert
 | QueryInterface
 | _AddRef
 | _Release
 | iicrGetComponent
 | GetTypeInfoCount
 | GetTypeInfo
 | GetIDsOfNames
 | Invoke
 | WriteState
 | Create
 | Destroy
 | BeforeDestruction
 | DestroyComponents
 | Destroying
 | ExecuteAction
 | FindComponent
 | FreeNotification
 | RemoveFreeNotification
 | FreeOnRelease
 | GetEnumerator
 | GetNamePath
 | GetParentComponent
 | HasParent
 | InsertComponent
 | RemoveComponent
 | SafeCallException
 | SetSubComponent
 | UpdateAction
 | IsImplementorOf
 | ReferenceInterface
TPersistent
 | AssignError
 | AssignTo
 | DefineProperties
 | GetOwner
 | Destroy
 | Assign
 | FPOAttachObserver
 | FPODetachObserver
 | FPONotifyObservers
 | GetNamePath
TObject
 | Create
 | Destroy
 | newinstance
 | FreeInstance
 | SafeCallException
 | DefaultHandler
 | Free
 | InitInstance
 | CleanupInstance
 | ClassType
 | ClassInfo
 | ClassName
 | ClassNameIs
 | ClassParent
 | InstanceSize
 | InheritsFrom
 | StringMessageTable
 | MethodAddress
 | MethodName
 | FieldAddress
 | AfterConstruction
 | BeforeDestruction
 | DefaultHandlerStr
 | Dispatch
 | DispatchStr
 | GetInterface
 | GetInterfaceByStr
 | GetInterfaceWeak
 | GetInterfaceEntry
 | GetInterfaceEntryByStr
 | GetInterfaceTable
 | UnitName
 | Equals
 | GetHashCode
 | ToString


TTrayIcon
pl | ro | OnClick
pl | ro | OnDblClick
pl | ro | OnMouseDown
pl | ro | OnMouseMove
pl | ro | OnMouseUp
pl | ro | OnPaint
TCustomTrayIcon
 |  | OnClick
 |  | OnDblClick
 |  | OnMouseDown
 |  | OnMouseUp
 |  | OnMouseMove
 |  | OnPaint
TLCLComponent
TComponent
TPersistent
TObject


pl | ro | OnClick (TTrayIcon)
 |  | OnDblClick (TCustomTrayIcon)
pl | ro | OnDblClick (TTrayIcon)
 |  | OnMouseDown (TCustomTrayIcon)
pl | ro | OnMouseDown (TTrayIcon)
 |  | OnMouseMove (TCustomTrayIcon)
pl | ro | OnMouseMove (TTrayIcon)
 |  | OnMouseUp (TCustomTrayIcon)
pl | ro | OnMouseUp (TTrayIcon)
 |  | OnPaint (TCustomTrayIcon)
pl | ro | OnPaint (TTrayIcon)


TUNBPages

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Declaration

Source position: extctrls.pp line 94

type TUNBPages = class(TStrings)

protected

  function Get(); override;

  function GetCount; override;

  function GetObject(); override;

  procedure Put(); override;

public

  constructor Create();

  destructor Destroy; override;

  function Add(); override;

  function AddObject(); override;

  procedure Clear; override;

  procedure Delete(); override;

  function IndexOfObject(); override;

  procedure Insert(); override;

end;

Inheritance

TUNBPages
|

TStrings
|

TPersistent,IFPObserved
|

TObject


TUNBPages
TStrings
 | ro | UpdateCount
 |  | TextLineBreakStyle
 |  | Delimiter
 |  | DelimitedText
 |  | LineBreak
 |  | StrictDelimiter
 |  | QuoteChar
 |  | NameValueSeparator
 |  | ValueFromIndex
 |  | Capacity
 |  | CommaText
 | ro | Count
 | ro | Names
 |  | Objects
 |  | Values
 |  | Strings
 |  | Text
 |  | StringsAdapter
 |  | SkipLastLineBreak
TPersistent
TObject


TUNBPages
pt | Get
pt | GetCount
pt | GetObject
pt | Put
 | Create
 | Destroy
 | Add
 | AddObject
 | Clear
 | Delete
 | IndexOfObject
 | Insert
TStrings
 | GetCommaText
 | GetName
 | GetValue
 | GetLBS
 | SetLBS
 | ReadData
 | SetCommaText
 | SetStringsAdapter
 | SetValue
 | SetDelimiter
 | SetQuoteChar
 | SetNameValueSeparator
 | WriteData
 | DoSetTextStr
 | GetDelimiter
 | GetNameValueSeparator
 | GetQuoteChar
 | GetLineBreak
 | SetLineBreak
 | GetSkipLastLineBreak
 | SetSkipLastLineBreak
 | DefineProperties
 | Error
 | Get
 | GetCapacity
 | GetCount
 | GetObject
 | GetTextStr
 | Put
 | PutObject
 | SetCapacity
 | SetTextStr
 | SetUpdateState
 | DoCompareText
 | GetDelimitedText
 | SetDelimitedText
 | GetValueFromIndex
 | SetValueFromIndex
 | CheckSpecialChars
 | GetNextLine
 | GetNextLinebreak
 | Destroy
 | Add
 | AddObject
 | Append
 | AddStrings
 | AddText
 | Assign
 | BeginUpdate
 | Clear
 | Delete
 | EndUpdate
 | Equals
 | Exchange
 | GetEnumerator
 | GetText
 | IndexOf
 | IndexOfName
 | IndexOfObject
 | Insert
 | InsertObject
 | LoadFromFile
 | LoadFromStream
 | Move
 | SaveToFile
 | SaveToStream
 | SetText
 | GetNameValue
 | ExtractName
TPersistent
 | AssignError
 | AssignTo
 | DefineProperties
 | GetOwner
 | Destroy
 | Assign
 | FPOAttachObserver
 | FPODetachObserver
 | FPONotifyObservers
 | GetNamePath
TObject
 | Create
 | Destroy
 | newinstance
 | FreeInstance
 | SafeCallException
 | DefaultHandler
 | Free
 | InitInstance
 | CleanupInstance
 | ClassType
 | ClassInfo
 | ClassName
 | ClassNameIs
 | ClassParent
 | InstanceSize
 | InheritsFrom
 | StringMessageTable
 | MethodAddress
 | MethodName
 | FieldAddress
 | AfterConstruction
 | BeforeDestruction
 | DefaultHandlerStr
 | Dispatch
 | DispatchStr
 | GetInterface
 | GetInterfaceByStr
 | GetInterfaceWeak
 | GetInterfaceEntry
 | GetInterfaceEntryByStr
 | GetInterfaceTable
 | UnitName
 | Equals
 | GetHashCode
 | ToString


 | Add (TStrings)
 | Add (TUNBPages)
 | AddObject (TStrings)
 | AddObject (TUNBPages)
 | AddStrings (TStrings)
 | AddText (TStrings)
 | AfterConstruction (TObject)
 | Append (TStrings)
 | Assign (TPersistent)
 | Assign (TStrings)
 | AssignError (TPersistent)
 | AssignTo (TPersistent)
 | BeforeDestruction (TObject)
 | BeginUpdate (TStrings)
 | CheckSpecialChars (TStrings)
 | ClassInfo (TObject)
 | ClassName (TObject)
 | ClassNameIs (TObject)
 | ClassParent (TObject)
 | ClassType (TObject)
 | CleanupInstance (TObject)
 | Clear (TStrings)
 | Clear (TUNBPages)
 | Create (TObject)
 | Create (TUNBPages)
 | DefaultHandler (TObject)
 | DefaultHandlerStr (TObject)
 | DefineProperties (TPersistent)
 | DefineProperties (TStrings)
 | Delete (TStrings)
 | Delete (TUNBPages)
 | Destroy (TObject)
 | Destroy (TPersistent)
 | Destroy (TStrings)
 | Destroy (TUNBPages)
 | Dispatch (TObject)
 | DispatchStr (TObject)
 | DoCompareText (TStrings)
 | DoSetTextStr (TStrings)
 | EndUpdate (TStrings)
 | Equals (TObject)
 | Equals (TStrings)
 | Error (TStrings)
 | Exchange (TStrings)
 | ExtractName (TStrings)
 | FieldAddress (TObject)
 | FPOAttachObserver (TPersistent)
 | FPODetachObserver (TPersistent)
 | FPONotifyObservers (TPersistent)
 | Free (TObject)
 | FreeInstance (TObject)
 | Get (TStrings)
pt | Get (TUNBPages)
 | GetCapacity (TStrings)
 | GetCommaText (TStrings)
 | GetCount (TStrings)
pt | GetCount (TUNBPages)
 | GetDelimitedText (TStrings)
 | GetDelimiter (TStrings)
 | GetEnumerator (TStrings)
 | GetHashCode (TObject)
 | GetInterface (TObject)
 | GetInterfaceByStr (TObject)
 | GetInterfaceEntry (TObject)
 | GetInterfaceEntryByStr (TObject)
 | GetInterfaceTable (TObject)
 | GetInterfaceWeak (TObject)
 | GetLBS (TStrings)
 | GetLineBreak (TStrings)
 | GetName (TStrings)
 | GetNamePath (TPersistent)
 | GetNameValue (TStrings)
 | GetNameValueSeparator (TStrings)
 | GetNextLine (TStrings)
 | GetNextLinebreak (TStrings)
 | GetObject (TStrings)
pt | GetObject (TUNBPages)
 | GetOwner (TPersistent)
 | GetQuoteChar (TStrings)
 | GetSkipLastLineBreak (TStrings)
 | GetText (TStrings)
 | GetTextStr (TStrings)
 | GetValue (TStrings)
 | GetValueFromIndex (TStrings)
 | IndexOf (TStrings)
 | IndexOfName (TStrings)
 | IndexOfObject (TStrings)
 | IndexOfObject (TUNBPages)
 | InheritsFrom (TObject)
 | InitInstance (TObject)
 | Insert (TStrings)
 | Insert (TUNBPages)
 | InsertObject (TStrings)
 | InstanceSize (TObject)
 | LoadFromFile (TStrings)
 | LoadFromStream (TStrings)
 | MethodAddress (TObject)
 | MethodName (TObject)
 | Move (TStrings)
 | newinstance (TObject)
 | Put (TStrings)
pt | Put (TUNBPages)
 | PutObject (TStrings)
 | ReadData (TStrings)
 | SafeCallException (TObject)
 | SaveToFile (TStrings)
 | SaveToStream (TStrings)
 | SetCapacity (TStrings)
 | SetCommaText (TStrings)
 | SetDelimitedText (TStrings)
 | SetDelimiter (TStrings)
 | SetLBS (TStrings)
 | SetLineBreak (TStrings)
 | SetNameValueSeparator (TStrings)
 | SetQuoteChar (TStrings)
 | SetSkipLastLineBreak (TStrings)
 | SetStringsAdapter (TStrings)
 | SetText (TStrings)
 | SetTextStr (TStrings)
 | SetUpdateState (TStrings)
 | SetValue (TStrings)
 | SetValueFromIndex (TStrings)
 | StringMessageTable (TObject)
 | ToString (TObject)
 | UnitName (TObject)
 | WriteData (TStrings)


TUNBPages

TStrings

TPersistent

TObject


TUNBPages.Add

Declaration

Source position: extctrls.pp line 107

public function TUNBPages.Add(

  const S: string

):Integer; override;


TUNBPages.AddObject

Declaration

Source position: extctrls.pp line 108

public function TUNBPages.AddObject(

  const S: string;

  AObject: TObject

):Integer; override;


TUNBPages.Clear

Declaration

Source position: extctrls.pp line 109

public procedure TUNBPages.Clear; override;


TUNBPages.Create

Declaration

Source position: extctrls.pp line 105

public constructor TUNBPages.Create(

  theNotebook: TNotebook

);


TUNBPages.Delete

Declaration

Source position: extctrls.pp line 110

public procedure TUNBPages.Delete(

  Index: Integer

); override;


TUNBPages.Destroy

Declaration

Source position: extctrls.pp line 106

public destructor TUNBPages.Destroy; override;


TUNBPages.Get

Declaration

Source position: extctrls.pp line 100

protected function TUNBPages.Get(

  Index: Integer

):string; override;


TUNBPages.GetCount

Declaration

Source position: extctrls.pp line 101

protected function TUNBPages.GetCount: Integer; override;


TUNBPages.GetObject

Declaration

Source position: extctrls.pp line 102

protected function TUNBPages.GetObject(

  Index: Integer

):TObject; override;


TUNBPages.IndexOfObject

Declaration

Source position: extctrls.pp line 111

public function TUNBPages.IndexOfObject(

  AObject: TObject

):Integer; override;


TUNBPages.Insert

Declaration

Source position: extctrls.pp line 112

public procedure TUNBPages.Insert(

  Index: Integer;

  const S: string

); override;


TUNBPages.Put

Declaration

Source position: extctrls.pp line 103

protected procedure TUNBPages.Put(

  Index: Integer;

  const S: string

); override;


TCalculatorDialog

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

TCalculatorDialog - a small calculator window that pops up, allowing the user to perform simple calculations and return the value to the calling Component

Declaration

Source position: extdlgs.pas line 128

type TCalculatorDialog = class(TExtCommonDialog)
protected
class procedure WSRegisterClass; override; | Registers this component class with the current WidgetSet.
procedure OnDialogClose();
procedure OnDialogShow();
procedure OnDialogCloseQuery();
procedure Change; virtual; | Change - software emulator for the OnChange event
procedure CalcKey(); virtual; | CalcKey - software emulator for the OnCalcKey event
function DefaultTitle; override;
procedure DisplayChange; virtual; | DisplayChange - software emulator for the OnDisplayChange event
public
constructor Create(); override; |
destructor Destroy; override; |
function Execute; override; | A public method causing the dialog box to appear, offer the relevant choices to the user and act upon the choice
property CalcDisplay: Double; [r] | CalcDisplay - the current numerical value in the main calculator display
property Memory: Double; [r] | Memory - the value stored in the calculator's memory
published
property BeepOnError: Boolean; [rw] | BeepOnError - if True, beeps when there is an entry error or other calculator error
property CalculatorLayout: TCalculatorLayout; [rw] | CalculatorLayout - whether simple or normal
property Precision: Byte; [rw] | Precision - the level of precision to be used in calculations; default is set by DefCalcPrecision
property Title: TTranslateString; | The Title or Caption to be shown at the top of the dialog box
property Value: Double; [rw] | Value - the numerical value (result) returned by the calculator
property OnCalcKey: TKeyPressEvent; [rw] | OnCalcKey - event handler for a key press in the calculator
property OnChange: TNotifyEvent; [rw] | OnChange - event handler for any change in the calculator
property OnDisplayChange: TNotifyEvent; [rw] | OnDisplayChange - event handler for any change in the calculator display
property DialogScale: Integer; [rw]
property ColorBtnDigits: TColor; [rw]
property ColorBtnMemory: TColor; [rw]
property ColorBtnOk: TColor; [rw]
property ColorBtnCancel: TColor; [rw]
property ColorBtnClear: TColor; [rw]
property ColorBtnOthers: TColor; [rw]
property ColorDisplayText: TColor; [rw]
property ColorDisplayBack: TColor; [rw]
end;

Inheritance

TCalculatorDialog | TCalculatorDialog - a small calculator window that pops up, allowing the user to perform simple calculations and return the value to the calling Component
|
TExtCommonDialog
|
TCommonDialog | TCommonDialog : the base type from which other dialogs are derived
|
TLCLComponent | The base class for LCL components associated with widgets.
|
TComponent,IUnknown,IInterfaceComponentReference
|
TPersistent,IFPObserved
|
TObject


TCalculatorDialog
 | ro | CalcDisplay
 | ro | Memory
pl |  | BeepOnError
pl |  | CalculatorLayout
pl |  | Precision
pl | ro | Title
pl |  | Value
pl |  | DialogScale
pl |  | ColorBtnDigits
pl |  | ColorBtnMemory
pl |  | ColorBtnOk
pl |  | ColorBtnCancel
pl |  | ColorBtnClear
pl |  | ColorBtnOthers
pl |  | ColorDisplayText
pl |  | ColorDisplayBack
TExtCommonDialog
pt |  | DlgForm
 |  | Left
 |  | Top
pl |  | DialogPosition
TCommonDialog
pt |  | AttachTo
 |  | Handle
 |  | UserChoice
 |  | Width
 |  | Height
pl |  | HelpContext
pl |  | Title
TLCLComponent
 | ro | LCLRefCount
 | ro | WidgetSetClass
TComponent
 | ro | ComObject
 | ro | Components
 | ro | ComponentCount
 |  | ComponentIndex
 | ro | ComponentState
 | ro | ComponentStyle
 |  | DesignInfo
 | ro | Owner
 |  | VCLComObject
 |  | Name
 |  | Tag
TPersistent
TObject


pt |  | AttachTo (TCommonDialog)
pl |  | BeepOnError (TCalculatorDialog)
 | ro | CalcDisplay (TCalculatorDialog)
pl |  | CalculatorLayout (TCalculatorDialog)
pl |  | ColorBtnCancel (TCalculatorDialog)
pl |  | ColorBtnClear (TCalculatorDialog)
pl |  | ColorBtnDigits (TCalculatorDialog)
pl |  | ColorBtnMemory (TCalculatorDialog)
pl |  | ColorBtnOk (TCalculatorDialog)
pl |  | ColorBtnOthers (TCalculatorDialog)
pl |  | ColorDisplayBack (TCalculatorDialog)
pl |  | ColorDisplayText (TCalculatorDialog)
 | ro | ComObject (TComponent)
 | ro | ComponentCount (TComponent)
 |  | ComponentIndex (TComponent)
 | ro | Components (TComponent)
 | ro | ComponentState (TComponent)
 | ro | ComponentStyle (TComponent)
 |  | DesignInfo (TComponent)
pl |  | DialogPosition (TExtCommonDialog)
pl |  | DialogScale (TCalculatorDialog)
pt |  | DlgForm (TExtCommonDialog)
 |  | Handle (TCommonDialog)
 |  | Height (TCommonDialog)
pl |  | HelpContext (TCommonDialog)
 | ro | LCLRefCount (TLCLComponent)
 |  | Left (TExtCommonDialog)
 | ro | Memory (TCalculatorDialog)
 |  | Name (TComponent)
 | ro | Owner (TComponent)
pl |  | Precision (TCalculatorDialog)
 |  | Tag (TComponent)
pl |  | Title (TCommonDialog)
pl | ro | Title (TCalculatorDialog)
 |  | Top (TExtCommonDialog)
 |  | UserChoice (TCommonDialog)
pl |  | Value (TCalculatorDialog)
 |  | VCLComObject (TComponent)
 | ro | WidgetSetClass (TLCLComponent)
 |  | Width (TCommonDialog)


TCalculatorDialog
pt | WSRegisterClass
pt | OnDialogClose
pt | OnDialogShow
pt | OnDialogCloseQuery
pt | Change
pt | CalcKey
pt | DefaultTitle
pt | DisplayChange
 | Create
 | Destroy
 | Execute
TExtCommonDialog
pt | GetLeft
pt | GetHeight
pt | GetTop
pt | GetWidth
pt | SetLeft
pt | SetTop
 | Create
 | Destroy
TCommonDialog
pt | WSRegisterClass
pt | DoExecute
pt | DefaultTitle
pt | GetHeight
pt | GetWidth
pt | SetHeight
pt | SetWidth
pt | ResetShowCloseFlags
 | Create
 | Execute
 | Close
 | DoShow
 | DoCanClose
 | DoClose
 | HandleAllocated
TLCLComponent
pt | WSRegisterClass
pt | GetWSComponentClass
 | Create
 | Destroy
 | NewInstance
 | RemoveAllHandlersOfObject
 | IncLCLRefCount
 | DecLCLRefCount
TComponent
 | GetComObject
 | GetComponent
 | GetComponentCount
 | GetComponentIndex
 | Insert
 | ReadLeft
 | ReadTop
 | Remove
 | RemoveNotification
 | SetComponentIndex
 | SetReference
 | WriteLeft
 | WriteTop
 | ChangeName
 | DefineProperties
 | GetChildren
 | GetChildOwner
 | GetChildParent
 | GetOwner
 | Loaded
 | Loading
 | Notification
 | PaletteCreated
 | ReadState
 | SetAncestor
 | SetDesigning
 | SetDesignInstance
 | SetInline
 | SetName
 | SetChildOrder
 | SetParentComponent
 | Updating
 | Updated
 | UpdateRegistry
 | ValidateRename
 | ValidateContainer
 | ValidateInsert
 | QueryInterface
 | _AddRef
 | _Release
 | iicrGetComponent
 | GetTypeInfoCount
 | GetTypeInfo
 | GetIDsOfNames
 | Invoke
 | WriteState
 | Create
 | Destroy
 | BeforeDestruction
 | DestroyComponents
 | Destroying
 | ExecuteAction
 | FindComponent
 | FreeNotification
 | RemoveFreeNotification
 | FreeOnRelease
 | GetEnumerator
 | GetNamePath
 | GetParentComponent
 | HasParent
 | InsertComponent
 | RemoveComponent
 | SafeCallException
 | SetSubComponent
 | UpdateAction
 | IsImplementorOf
 | ReferenceInterface
TPersistent
 | AssignError
 | AssignTo
 | DefineProperties
 | GetOwner
 | Destroy
 | Assign
 | FPOAttachObserver
 | FPODetachObserver
 | FPONotifyObservers
 | GetNamePath
TObject
 | Create
 | Destroy
 | newinstance
 | FreeInstance
 | SafeCallException
 | DefaultHandler
 | Free
 | InitInstance
 | CleanupInstance
 | ClassType
 | ClassInfo
 | ClassName
 | ClassNameIs
 | ClassParent
 | InstanceSize
 | InheritsFrom
 | StringMessageTable
 | MethodAddress
 | MethodName
 | FieldAddress
 | AfterConstruction
 | BeforeDestruction
 | DefaultHandlerStr
 | Dispatch
 | DispatchStr
 | GetInterface
 | GetInterfaceByStr
 | GetInterfaceWeak
 | GetInterfaceEntry
 | GetInterfaceEntryByStr
 | GetInterfaceTable
 | UnitName
 | Equals
 | GetHashCode
 | ToString


 | AssignError (TPersistent)
 | AssignTo (TPersistent)
 | BeforeDestruction (TObject)
 | BeforeDestruction (TComponent)
pt | CalcKey (TCalculatorDialog)
pt | Change (TCalculatorDialog)
 | ChangeName (TComponent)
 | ClassInfo (TObject)
 | ClassName (TObject)
 | ClassNameIs (TObject)
 | ClassParent (TObject)
 | ClassType (TObject)
 | CleanupInstance (TObject)
 | Close (TCommonDialog)
 | Create (TObject)
 | Create (TComponent)
 | Create (TLCLComponent)
 | Create (TCommonDialog)
 | Create (TExtCommonDialog)
 | Create (TCalculatorDialog)
 | DecLCLRefCount (TLCLComponent)
 | DefaultHandler (TObject)
 | DefaultHandlerStr (TObject)
pt | DefaultTitle (TCommonDialog)
pt | DefaultTitle (TCalculatorDialog)
 | DefineProperties (TPersistent)
 | DefineProperties (TComponent)
 | Destroy (TObject)
 | Destroy (TPersistent)
 | Destroy (TComponent)
 | Destroy (TLCLComponent)
 | Destroy (TExtCommonDialog)
 | Destroy (TCalculatorDialog)
 | DestroyComponents (TComponent)
 | Destroying (TComponent)
 | Dispatch (TObject)
 | DispatchStr (TObject)
pt | DisplayChange (TCalculatorDialog)
 | DoCanClose (TCommonDialog)
 | DoClose (TCommonDialog)
pt | DoExecute (TCommonDialog)
 | DoShow (TCommonDialog)
 | Equals (TObject)
 | Execute (TCommonDialog)
 | Execute (TCalculatorDialog)
 | ExecuteAction (TComponent)
 | FieldAddress (TObject)
 | FindComponent (TComponent)
 | FPOAttachObserver (TPersistent)
 | FPODetachObserver (TPersistent)
 | FPONotifyObservers (TPersistent)
 | Free (TObject)
 | FreeInstance (TObject)
 | FreeNotification (TComponent)
 | FreeOnRelease (TComponent)
 | GetChildOwner (TComponent)
 | GetChildParent (TComponent)
 | GetChildren (TComponent)
 | GetComObject (TComponent)
 | GetComponent (TComponent)
 | GetComponentCount (TComponent)
 | GetComponentIndex (TComponent)
 | GetEnumerator (TComponent)
 | GetHashCode (TObject)
pt | GetHeight (TCommonDialog)
pt | GetHeight (TExtCommonDialog)
 | GetIDsOfNames (TComponent)
 | GetInterface (TObject)
 | GetInterfaceByStr (TObject)
 | GetInterfaceEntry (TObject)
 | GetInterfaceEntryByStr (TObject)
 | GetInterfaceTable (TObject)
 | GetInterfaceWeak (TObject)
pt | GetLeft (TExtCommonDialog)
 | GetNamePath (TPersistent)
 | GetNamePath (TComponent)
 | GetOwner (TPersistent)
 | GetOwner (TComponent)
 | GetParentComponent (TComponent)
pt | GetTop (TExtCommonDialog)
 | GetTypeInfo (TComponent)
 | GetTypeInfoCount (TComponent)
pt | GetWidth (TCommonDialog)
pt | GetWidth (TExtCommonDialog)
pt | GetWSComponentClass (TLCLComponent)
 | HandleAllocated (TCommonDialog)
 | HasParent (TComponent)
 | iicrGetComponent (TComponent)
 | IncLCLRefCount (TLCLComponent)
 | InheritsFrom (TObject)
 | InitInstance (TObject)
 | Insert (TComponent)
 | InsertComponent (TComponent)
 | InstanceSize (TObject)
 | Invoke (TComponent)
 | IsImplementorOf (TComponent)
 | Loaded (TComponent)
 | Loading (TComponent)
 | MethodAddress (TObject)
 | MethodName (TObject)
 | newinstance (TObject)
 | NewInstance (TLCLComponent)
 | Notification (TComponent)
pt | OnDialogClose (TCalculatorDialog)
pt | OnDialogCloseQuery (TCalculatorDialog)
pt | OnDialogShow (TCalculatorDialog)
 | PaletteCreated (TComponent)
 | QueryInterface (TComponent)
 | ReadLeft (TComponent)
 | ReadState (TComponent)
 | ReadTop (TComponent)
 | ReferenceInterface (TComponent)
 | Remove (TComponent)
 | RemoveAllHandlersOfObject (TLCLComponent)
 | RemoveComponent (TComponent)
 | RemoveFreeNotification (TComponent)
 | RemoveNotification (TComponent)
pt | ResetShowCloseFlags (TCommonDialog)
 | SafeCallException (TObject)
 | SafeCallException (TComponent)
 | SetAncestor (TComponent)
 | SetChildOrder (TComponent)
 | SetComponentIndex (TComponent)
 | SetDesigning (TComponent)
 | SetDesignInstance (TComponent)
pt | SetHeight (TCommonDialog)
 | SetInline (TComponent)
pt | SetLeft (TExtCommonDialog)
 | SetName (TComponent)
 | SetParentComponent (TComponent)
 | SetReference (TComponent)
 | SetSubComponent (TComponent)
pt | SetTop (TExtCommonDialog)
pt | SetWidth (TCommonDialog)
 | StringMessageTable (TObject)
 | ToString (TObject)
 | UnitName (TObject)
 | UpdateAction (TComponent)
 | Updated (TComponent)
 | UpdateRegistry (TComponent)
 | Updating (TComponent)
 | ValidateContainer (TComponent)
 | ValidateInsert (TComponent)
 | ValidateRename (TComponent)
 | WriteLeft (TComponent)
 | WriteState (TComponent)
 | WriteTop (TComponent)
pt | WSRegisterClass (TLCLComponent)
pt | WSRegisterClass (TCommonDialog)
pt | WSRegisterClass (TCalculatorDialog)
 | _AddRef (TComponent)
 | _Release (TComponent)


TCalculatorDialog
pl | OnCalcKey
pl | OnChange
pl | OnDisplayChange
TExtCommonDialog
TCommonDialog
pt | OnDialogResult
pl | OnClose
pl | OnCanClose
pl | OnShow
TLCLComponent
TComponent
TPersistent
TObject


pl | OnCalcKey (TCalculatorDialog)
pl | OnCanClose (TCommonDialog)
pl | OnChange (TCalculatorDialog)
pl | OnClose (TCommonDialog)
pt | OnDialogResult (TCommonDialog)
pl | OnDisplayChange (TCalculatorDialog)
pl | OnShow (TCommonDialog)


TCalculatorDialog.BeepOnError

BeepOnError - if True, beeps when there is an entry error or other calculator error

Declaration

Source position: extdlgs.pas line 165

published property TCalculatorDialog.BeepOnError : Boolean
  read FBeepOnError
  write FBeepOnError
  default True;


TCalculatorDialog.CalcDisplay

CalcDisplay - the current numerical value in the main calculator display

Declaration

Source position: extdlgs.pas line 162

public property TCalculatorDialog.CalcDisplay : Double
  read GetDisplay;


TCalculatorDialog.CalcKey

CalcKey - software emulator for the OnCalcKey event

Declaration

Source position: extdlgs.pas line 155

protected procedure TCalculatorDialog.CalcKey(

  var Key: Char

); virtual;


TCalculatorDialog.CalculatorLayout

CalculatorLayout - whether simple or normal

Declaration

Source position: extdlgs.pas line 166

published property TCalculatorDialog.CalculatorLayout : TCalculatorLayout
  read FLayout
  write FLayout
  default clNormal;


TCalculatorDialog.Change

Change - software emulator for the OnChange event

Declaration

Source position: extdlgs.pas line 154

protected procedure TCalculatorDialog.Change; virtual;


TCalculatorDialog.ColorBtnCancel

Declaration

Source position: extdlgs.pas line 177

published property TCalculatorDialog.ColorBtnCancel : TColor
  read FColorBtnCancel
  write FColorBtnCancel;


TCalculatorDialog.ColorBtnClear

Declaration

Source position: extdlgs.pas line 178

published property TCalculatorDialog.ColorBtnClear : TColor
  read FColorBtnClear
  write FColorBtnClear;


TCalculatorDialog.ColorBtnDigits

Declaration

Source position: extdlgs.pas line 174

published property TCalculatorDialog.ColorBtnDigits : TColor
  read FColorBtnDigits
  write FColorBtnDigits;


TCalculatorDialog.ColorBtnMemory

Declaration

Source position: extdlgs.pas line 175

published property TCalculatorDialog.ColorBtnMemory : TColor
  read FColorBtnMemory
  write FColorBtnMemory;


TCalculatorDialog.ColorBtnOk

Declaration

Source position: extdlgs.pas line 176

published property TCalculatorDialog.ColorBtnOk : TColor
  read FColorBtnOk
  write FColorBtnOk;


TCalculatorDialog.ColorBtnOthers

Declaration

Source position: extdlgs.pas line 179

published property TCalculatorDialog.ColorBtnOthers : TColor
  read FColorBtnOthers
  write FColorBtnOthers;


TCalculatorDialog.ColorDisplayBack

Declaration

Source position: extdlgs.pas line 181

published property TCalculatorDialog.ColorDisplayBack : TColor
  read FColorDisplayBack
  write FColorDisplayBack;


TCalculatorDialog.ColorDisplayText

Declaration

Source position: extdlgs.pas line 180

published property TCalculatorDialog.ColorDisplayText : TColor
  read FColorDisplayText
  write FColorDisplayText;


TCalculatorDialog.DefaultTitle

Declaration

Source position: extdlgs.pas line 156

protected function TCalculatorDialog.DefaultTitle: string; override;


TCalculatorDialog.DialogScale

Declaration

Source position: extdlgs.pas line 173

published property TCalculatorDialog.DialogScale : Integer
  read FDialogScale
  write SetDialogScale
  default 100;


TCalculatorDialog.DisplayChange

DisplayChange - software emulator for the OnDisplayChange event

Declaration

Source position: extdlgs.pas line 157

protected procedure TCalculatorDialog.DisplayChange; virtual;


TCalculatorDialog.Memory

Memory - the value stored in the calculator's memory

Declaration

Source position: extdlgs.pas line 163

public property TCalculatorDialog.Memory : Double
  read FMemory;


TCalculatorDialog.OnCalcKey

OnCalcKey - event handler for a key press in the calculator

Declaration

Source position: extdlgs.pas line 170

published property TCalculatorDialog.OnCalcKey : TKeyPressEvent
  read FOnCalcKey
  write FOnCalcKey;


TCalculatorDialog.OnChange

OnChange - event handler for any change in the calculator

Declaration

Source position: extdlgs.pas line 171

published property TCalculatorDialog.OnChange : TNotifyEvent
  read FOnChange
  write FOnChange;


TCalculatorDialog.OnDialogClose

Declaration

Source position: extdlgs.pas line 151

protected procedure TCalculatorDialog.OnDialogClose(

  Sender: TObject;

  var CloseAction: TCloseAction

);


TCalculatorDialog.OnDialogCloseQuery

Declaration

Source position: extdlgs.pas line 153

protected procedure TCalculatorDialog.OnDialogCloseQuery(

  Sender: TObject;

  var CanClose: Boolean

);


TCalculatorDialog.OnDialogShow

Declaration

Source position: extdlgs.pas line 152

protected procedure TCalculatorDialog.OnDialogShow(

  Sender: TObject

);


TCalculatorDialog.OnDisplayChange

OnDisplayChange - event handler for any change in the calculator display

Declaration

Source position: extdlgs.pas line 172

published property TCalculatorDialog.OnDisplayChange : TNotifyEvent
  read FOnDisplayChange
  write FOnDisplayChange;


TCalculatorDialog.Precision

Precision - the level of precision to be used in calculations; default is set by DefCalcPrecision

Declaration

Source position: extdlgs.pas line 167

published property TCalculatorDialog.Precision : Byte
  read FPrecision
  write FPrecision
  default CalcDefPrecision;


TCalculatorDialog.Value

Value - the numerical value (result) returned by the calculator

Declaration

Source position: extdlgs.pas line 169

published property TCalculatorDialog.Value : Double
  read FValue
  write FValue;


TCalendarDialog

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

TCalendarDialog - a popup calendar dialog that allows a date to be selected and returned to the main program

Declaration

Source position: extdlgs.pas line 186

type TCalendarDialog = class(TExtCommonDialog)
protected
class procedure WSRegisterClass; override; | Registers this component class with the current WidgetSet.
procedure GetNewDate(); | GetNewDate - programmatic simulation of OnClick event, which transfers the selected dae to the calling program
procedure CalendarDblClick(); | CalendarDblClick - method for handling doubleclick on the calendar
function DefaultTitle; override;
public
constructor Create(); override; |
function Execute; override; | A public method causing the dialog box to appear, offer the relevant choices to the user and act upon the choice
property Left: Integer; [rw]
property Top: Integer; [rw]
published
property Date: TDateTime; [rw] | The selected Date, for return to the main program
property DisplaySettings: TDisplaySettings; [rw] | DisplaySettings - the user-selected settings determining the appearance of the display
property OnDayChanged: TNotifyEvent; [rw] | OnDayChanged - event handler when a different day is selected
property OnMonthChanged: TNotifyEvent; [rw] | OnMonthChanged - event handler when a different month is selected
property OnYearChanged: TNotifyEvent; [rw] | OnYearChanged - event handler when a different year is selected
property OnChange: TNotifyEvent; [rw]
property OKCaption: TCaption; [rw] | OKCaption - caption for the OK button
property CancelCaption: TCaption; [rw] | CancelCaption - caption for the Cancel button
end;

Inheritance

TCalendarDialog | TCalendarDialog - a popup calendar dialog that allows a date to be selected and returned to the main program
|
TExtCommonDialog
|
TCommonDialog | TCommonDialog : the base type from which other dialogs are derived
|
TLCLComponent | The base class for LCL components associated with widgets.
|
TComponent,IUnknown,IInterfaceComponentReference
|
TPersistent,IFPObserved
|
TObject


TCalendarDialog
 |  | Left
 |  | Top
pl |  | Date
pl |  | DisplaySettings
pl |  | OKCaption
pl |  | CancelCaption
TExtCommonDialog
pt |  | DlgForm
 |  | Left
 |  | Top
pl |  | DialogPosition
TCommonDialog
pt |  | AttachTo
 |  | Handle
 |  | UserChoice
 |  | Width
 |  | Height
pl |  | HelpContext
pl |  | Title
TLCLComponent
 | ro | LCLRefCount
 | ro | WidgetSetClass
TComponent
 | ro | ComObject
 | ro | Components
 | ro | ComponentCount
 |  | ComponentIndex
 | ro | ComponentState
 | ro | ComponentStyle
 |  | DesignInfo
 | ro | Owner
 |  | VCLComObject
 |  | Name
 |  | Tag
TPersistent
TObject


pt |  | AttachTo (TCommonDialog)
pl |  | CancelCaption (TCalendarDialog)
 | ro | ComObject (TComponent)
 | ro | ComponentCount (TComponent)
 |  | ComponentIndex (TComponent)
 | ro | Components (TComponent)
 | ro | ComponentState (TComponent)
 | ro | ComponentStyle (TComponent)
pl |  | Date (TCalendarDialog)
 |  | DesignInfo (TComponent)
pl |  | DialogPosition (TExtCommonDialog)
pl |  | DisplaySettings (TCalendarDialog)
pt |  | DlgForm (TExtCommonDialog)
 |  | Handle (TCommonDialog)
 |  | Height (TCommonDialog)
pl |  | HelpContext (TCommonDialog)
 | ro | LCLRefCount (TLCLComponent)
 |  | Left (TExtCommonDialog)
 |  | Left (TCalendarDialog)
 |  | Name (TComponent)
pl |  | OKCaption (TCalendarDialog)
 | ro | Owner (TComponent)
 |  | Tag (TComponent)
pl |  | Title (TCommonDialog)
 |  | Top (TExtCommonDialog)
 |  | Top (TCalendarDialog)
 |  | UserChoice (TCommonDialog)
 |  | VCLComObject (TComponent)
 | ro | WidgetSetClass (TLCLComponent)
 |  | Width (TCommonDialog)


TCalendarDialog
pt | WSRegisterClass
pt | GetNewDate
pt | CalendarDblClick
pt | DefaultTitle
 | Create
 | Execute
TExtCommonDialog
pt | GetLeft
pt | GetHeight
pt | GetTop
pt | GetWidth
pt | SetLeft
pt | SetTop
 | Create
 | Destroy
TCommonDialog
pt | WSRegisterClass
pt | DoExecute
pt | DefaultTitle
pt | GetHeight
pt | GetWidth
pt | SetHeight
pt | SetWidth
pt | ResetShowCloseFlags
 | Create
 | Execute
 | Close
 | DoShow
 | DoCanClose
 | DoClose
 | HandleAllocated
TLCLComponent
pt | WSRegisterClass
pt | GetWSComponentClass
 | Create
 | Destroy
 | NewInstance
 | RemoveAllHandlersOfObject
 | IncLCLRefCount
 | DecLCLRefCount
TComponent
 | GetComObject
 | GetComponent
 | GetComponentCount
 | GetComponentIndex
 | Insert
 | ReadLeft
 | ReadTop
 | Remove
 | RemoveNotification
 | SetComponentIndex
 | SetReference
 | WriteLeft
 | WriteTop
 | ChangeName
 | DefineProperties
 | GetChildren
 | GetChildOwner
 | GetChildParent
 | GetOwner
 | Loaded
 | Loading
 | Notification
 | PaletteCreated
 | ReadState
 | SetAncestor
 | SetDesigning
 | SetDesignInstance
 | SetInline
 | SetName
 | SetChildOrder
 | SetParentComponent
 | Updating
 | Updated
 | UpdateRegistry
 | ValidateRename
 | ValidateContainer
 | ValidateInsert
 | QueryInterface
 | _AddRef
 | _Release
 | iicrGetComponent
 | GetTypeInfoCount
 | GetTypeInfo
 | GetIDsOfNames
 | Invoke
 | WriteState
 | Create
 | Destroy
 | BeforeDestruction
 | DestroyComponents
 | Destroying
 | ExecuteAction
 | FindComponent
 | FreeNotification
 | RemoveFreeNotification
 | FreeOnRelease
 | GetEnumerator
 | GetNamePath
 | GetParentComponent
 | HasParent
 | InsertComponent
 | RemoveComponent
 | SafeCallException
 | SetSubComponent
 | UpdateAction
 | IsImplementorOf
 | ReferenceInterface
TPersistent
 | AssignError
 | AssignTo
 | DefineProperties
 | GetOwner
 | Destroy
 | Assign
 | FPOAttachObserver
 | FPODetachObserver
 | FPONotifyObservers
 | GetNamePath
TObject
 | Create
 | Destroy
 | newinstance
 | FreeInstance
 | SafeCallException
 | DefaultHandler
 | Free
 | InitInstance
 | CleanupInstance
 | ClassType
 | ClassInfo
 | ClassName
 | ClassNameIs
 | ClassParent
 | InstanceSize
 | InheritsFrom
 | StringMessageTable
 | MethodAddress
 | MethodName
 | FieldAddress
 | AfterConstruction
 | BeforeDestruction
 | DefaultHandlerStr
 | Dispatch
 | DispatchStr
 | GetInterface
 | GetInterfaceByStr
 | GetInterfaceWeak
 | GetInterfaceEntry
 | GetInterfaceEntryByStr
 | GetInterfaceTable
 | UnitName
 | Equals
 | GetHashCode
 | ToString


 | AssignError (TPersistent)
 | AssignTo (TPersistent)
 | BeforeDestruction (TObject)
 | BeforeDestruction (TComponent)
pt | CalendarDblClick (TCalendarDialog)
 | ChangeName (TComponent)
 | ClassInfo (TObject)
 | ClassName (TObject)
 | ClassNameIs (TObject)
 | ClassParent (TObject)
 | ClassType (TObject)
 | CleanupInstance (TObject)
 | Close (TCommonDialog)
 | Create (TObject)
 | Create (TComponent)
 | Create (TLCLComponent)
 | Create (TCommonDialog)
 | Create (TExtCommonDialog)
 | Create (TCalendarDialog)
 | DecLCLRefCount (TLCLComponent)
 | DefaultHandler (TObject)
 | DefaultHandlerStr (TObject)
pt | DefaultTitle (TCommonDialog)
pt | DefaultTitle (TCalendarDialog)
 | DefineProperties (TPersistent)
 | DefineProperties (TComponent)
 | Destroy (TObject)
 | Destroy (TPersistent)
 | Destroy (TComponent)
 | Destroy (TLCLComponent)
 | Destroy (TExtCommonDialog)
 | DestroyComponents (TComponent)
 | Destroying (TComponent)
 | Dispatch (TObject)
 | DispatchStr (TObject)
 | DoCanClose (TCommonDialog)
 | DoClose (TCommonDialog)
pt | DoExecute (TCommonDialog)
 | DoShow (TCommonDialog)
 | Equals (TObject)
 | Execute (TCommonDialog)
 | Execute (TCalendarDialog)
 | ExecuteAction (TComponent)
 | FieldAddress (TObject)
 | FindComponent (TComponent)
 | FPOAttachObserver (TPersistent)
 | FPODetachObserver (TPersistent)
 | FPONotifyObservers (TPersistent)
 | Free (TObject)
 | FreeInstance (TObject)
 | FreeNotification (TComponent)
 | FreeOnRelease (TComponent)
 | GetChildOwner (TComponent)
 | GetChildParent (TComponent)
 | GetChildren (TComponent)
 | GetComObject (TComponent)
 | GetComponent (TComponent)
 | GetComponentCount (TComponent)
 | GetComponentIndex (TComponent)
 | GetEnumerator (TComponent)
 | GetHashCode (TObject)
pt | GetHeight (TCommonDialog)
pt | GetHeight (TExtCommonDialog)
 | GetIDsOfNames (TComponent)
 | GetInterface (TObject)
 | GetInterfaceByStr (TObject)
 | GetInterfaceEntry (TObject)
 | GetInterfaceEntryByStr (TObject)
 | GetInterfaceTable (TObject)
 | GetInterfaceWeak (TObject)
pt | GetLeft (TExtCommonDialog)
 | GetNamePath (TPersistent)
 | GetNamePath (TComponent)
pt | GetNewDate (TCalendarDialog)
 | GetOwner (TPersistent)
 | GetOwner (TComponent)
 | GetParentComponent (TComponent)
pt | GetTop (TExtCommonDialog)
 | GetTypeInfo (TComponent)
 | GetTypeInfoCount (TComponent)
pt | GetWidth (TCommonDialog)
pt | GetWidth (TExtCommonDialog)
pt | GetWSComponentClass (TLCLComponent)
 | HandleAllocated (TCommonDialog)
 | HasParent (TComponent)
 | iicrGetComponent (TComponent)
 | IncLCLRefCount (TLCLComponent)
 | InheritsFrom (TObject)
 | InitInstance (TObject)
 | Insert (TComponent)
 | InsertComponent (TComponent)
 | InstanceSize (TObject)
 | Invoke (TComponent)
 | IsImplementorOf (TComponent)
 | Loaded (TComponent)
 | Loading (TComponent)
 | MethodAddress (TObject)
 | MethodName (TObject)
 | newinstance (TObject)
 | NewInstance (TLCLComponent)
 | Notification (TComponent)
 | PaletteCreated (TComponent)
 | QueryInterface (TComponent)
 | ReadLeft (TComponent)
 | ReadState (TComponent)
 | ReadTop (TComponent)
 | ReferenceInterface (TComponent)
 | Remove (TComponent)
 | RemoveAllHandlersOfObject (TLCLComponent)
 | RemoveComponent (TComponent)
 | RemoveFreeNotification (TComponent)
 | RemoveNotification (TComponent)
pt | ResetShowCloseFlags (TCommonDialog)
 | SafeCallException (TObject)
 | SafeCallException (TComponent)
 | SetAncestor (TComponent)
 | SetChildOrder (TComponent)
 | SetComponentIndex (TComponent)
 | SetDesigning (TComponent)
 | SetDesignInstance (TComponent)
pt | SetHeight (TCommonDialog)
 | SetInline (TComponent)
pt | SetLeft (TExtCommonDialog)
 | SetName (TComponent)
 | SetParentComponent (TComponent)
 | SetReference (TComponent)
 | SetSubComponent (TComponent)
pt | SetTop (TExtCommonDialog)
pt | SetWidth (TCommonDialog)
 | StringMessageTable (TObject)
 | ToString (TObject)
 | UnitName (TObject)
 | UpdateAction (TComponent)
 | Updated (TComponent)
 | UpdateRegistry (TComponent)
 | Updating (TComponent)
 | ValidateContainer (TComponent)
 | ValidateInsert (TComponent)
 | ValidateRename (TComponent)
 | WriteLeft (TComponent)
 | WriteState (TComponent)
 | WriteTop (TComponent)
pt | WSRegisterClass (TLCLComponent)
pt | WSRegisterClass (TCommonDialog)
pt | WSRegisterClass (TCalendarDialog)
 | _AddRef (TComponent)
 | _Release (TComponent)


TCalendarDialog
pl | OnDayChanged
pl | OnMonthChanged
pl | OnYearChanged
pl | OnChange
TExtCommonDialog
TCommonDialog
pt | OnDialogResult
pl | OnClose
pl | OnCanClose
pl | OnShow
TLCLComponent
TComponent
TPersistent
TObject


pl | OnCanClose (TCommonDialog)
pl | OnChange (TCalendarDialog)
pl | OnClose (TCommonDialog)
pl | OnDayChanged (TCalendarDialog)
pt | OnDialogResult (TCommonDialog)
pl | OnMonthChanged (TCalendarDialog)
pl | OnShow (TCommonDialog)
pl | OnYearChanged (TCalendarDialog)


TCalendarDialog.CalendarDblClick

CalendarDblClick - method for handling doubleclick on the calendar

Declaration

Source position: extdlgs.pas line 207

protected procedure TCalendarDialog.CalendarDblClick(

  Sender: TObject

);


TCalendarDialog.CancelCaption

CancelCaption - caption for the Cancel button

Declaration

Source position: extdlgs.pas line 222

published property TCalendarDialog.CancelCaption : TCaption
  read FCancelCaption
  write FCancelCaption;


TCalendarDialog.Date

The selected Date, for return to the main program

Declaration

Source position: extdlgs.pas line 215

published property TCalendarDialog.Date : TDateTime
  read FDate
  write FDate;

Description

The selected Date, for return to the main program

This is NOT the standad RTL Date function


TCalendarDialog.DefaultTitle

Declaration

Source position: extdlgs.pas line 208

protected function TCalendarDialog.DefaultTitle: string; override;


TCalendarDialog.DisplaySettings

DisplaySettings - the user-selected settings determining the appearance of the display

Declaration

Source position: extdlgs.pas line 216

published property TCalendarDialog.DisplaySettings : TDisplaySettings
  read FDisplaySettings
  write FDisplaySettings
  default DefaultDisplaySettings;

Description

DisplaySettings - the user-selected settings determining the appearance of the display

Possible values are: ShowHeadings,ShowDayNames, NoMonthChange, ShowWeekNumbers, StartMonday

This is a set which may contain zero or more settings


TCalendarDialog.GetNewDate

GetNewDate - programmatic simulation of OnClick event, which transfers the selected dae to the calling program

Declaration

Source position: extdlgs.pas line 206

protected procedure TCalendarDialog.GetNewDate(

  Sender: TObject

);


TCalendarDialog.Left

Declaration

Source position: extdlgs.pas line 212

public property TCalendarDialog.Left : Integer
  read GetLeft
  write SetLeft;


TCalendarDialog.OKCaption

OKCaption - caption for the OK button

Declaration

Source position: extdlgs.pas line 221

published property TCalendarDialog.OKCaption : TCaption
  read FOKCaption
  write FOKCaption;


TCalendarDialog.OnChange

Declaration

Source position: extdlgs.pas line 220

published property TCalendarDialog.OnChange : TNotifyEvent
  read FOnChange
  write FOnChange;


TCalendarDialog.OnDayChanged

OnDayChanged - event handler when a different day is selected

Declaration

Source position: extdlgs.pas line 217

published property TCalendarDialog.OnDayChanged : TNotifyEvent
  read FDayChanged
  write FDayChanged;


TCalendarDialog.OnMonthChanged

OnMonthChanged - event handler when a different month is selected

Declaration

Source position: extdlgs.pas line 218

published property TCalendarDialog.OnMonthChanged : TNotifyEvent
  read FMonthChanged
  write FMonthChanged;


TCalendarDialog.OnYearChanged

OnYearChanged - event handler when a different year is selected

Declaration

Source position: extdlgs.pas line 219

published property TCalendarDialog.OnYearChanged : TNotifyEvent
  read FYearChanged
  write FYearChanged;


TCalendarDialog.Top

Declaration

Source position: extdlgs.pas line 213

public property TCalendarDialog.Top : Integer
  read GetTop
  write SetTop;


TExtCommonDialog

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Declaration

Source position: extdlgs.pas line 103

type TExtCommonDialog = class(TCommonDialog)

protected

  function GetLeft; virtual;

  function GetHeight; override;

  function GetTop; virtual;

  function GetWidth; override;

  procedure SetLeft(); virtual;

  procedure SetTop(); virtual;

  property DlgForm: TCustomForm; [rw]

public

  constructor Create(); override;

  destructor Destroy; override;

  property Left: Integer; [rw]

  property Top: Integer; [rw]

published

  property DialogPosition: TPosition; [rw]

end;

Inheritance

TExtCommonDialog
|
TCommonDialog | TCommonDialog : the base type from which other dialogs are derived
|
TLCLComponent | The base class for LCL components associated with widgets.
|
TComponent,IUnknown,IInterfaceComponentReference
|
TPersistent,IFPObserved
|
TObject


TExtCommonDialog
pt |  | DlgForm
 |  | Left
 |  | Top
pl |  | DialogPosition
TCommonDialog
pt |  | AttachTo
 |  | Handle
 |  | UserChoice
 |  | Width
 |  | Height
pl |  | HelpContext
pl |  | Title
TLCLComponent
 | ro | LCLRefCount
 | ro | WidgetSetClass
TComponent
 | ro | ComObject
 | ro | Components
 | ro | ComponentCount
 |  | ComponentIndex
 | ro | ComponentState
 | ro | ComponentStyle
 |  | DesignInfo
 | ro | Owner
 |  | VCLComObject
 |  | Name
 |  | Tag
TPersistent
TObject


pt |  | AttachTo (TCommonDialog)
 | ro | ComObject (TComponent)
 | ro | ComponentCount (TComponent)
 |  | ComponentIndex (TComponent)
 | ro | Components (TComponent)
 | ro | ComponentState (TComponent)
 | ro | ComponentStyle (TComponent)
 |  | DesignInfo (TComponent)
pl |  | DialogPosition (TExtCommonDialog)
pt |  | DlgForm (TExtCommonDialog)
 |  | Handle (TCommonDialog)
 |  | Height (TCommonDialog)
pl |  | HelpContext (TCommonDialog)
 | ro | LCLRefCount (TLCLComponent)
 |  | Left (TExtCommonDialog)
 |  | Name (TComponent)
 | ro | Owner (TComponent)
 |  | Tag (TComponent)
pl |  | Title (TCommonDialog)
 |  | Top (TExtCommonDialog)
 |  | UserChoice (TCommonDialog)
 |  | VCLComObject (TComponent)
 | ro | WidgetSetClass (TLCLComponent)
 |  | Width (TCommonDialog)


TExtCommonDialog
pt | GetLeft
pt | GetHeight
pt | GetTop
pt | GetWidth
pt | SetLeft
pt | SetTop
 | Create
 | Destroy
TCommonDialog
pt | WSRegisterClass
pt | DoExecute
pt | DefaultTitle
pt | GetHeight
pt | GetWidth
pt | SetHeight
pt | SetWidth
pt | ResetShowCloseFlags
 | Create
 | Execute
 | Close
 | DoShow
 | DoCanClose
 | DoClose
 | HandleAllocated
TLCLComponent
pt | WSRegisterClass
pt | GetWSComponentClass
 | Create
 | Destroy
 | NewInstance
 | RemoveAllHandlersOfObject
 | IncLCLRefCount
 | DecLCLRefCount
TComponent
 | GetComObject
 | GetComponent
 | GetComponentCount
 | GetComponentIndex
 | Insert
 | ReadLeft
 | ReadTop
 | Remove
 | RemoveNotification
 | SetComponentIndex
 | SetReference
 | WriteLeft
 | WriteTop
 | ChangeName
 | DefineProperties
 | GetChildren
 | GetChildOwner
 | GetChildParent
 | GetOwner
 | Loaded
 | Loading
 | Notification
 | PaletteCreated
 | ReadState
 | SetAncestor
 | SetDesigning
 | SetDesignInstance
 | SetInline
 | SetName
 | SetChildOrder
 | SetParentComponent
 | Updating
 | Updated
 | UpdateRegistry
 | ValidateRename
 | ValidateContainer
 | ValidateInsert
 | QueryInterface
 | _AddRef
 | _Release
 | iicrGetComponent
 | GetTypeInfoCount
 | GetTypeInfo
 | GetIDsOfNames
 | Invoke
 | WriteState
 | Create
 | Destroy
 | BeforeDestruction
 | DestroyComponents
 | Destroying
 | ExecuteAction
 | FindComponent
 | FreeNotification
 | RemoveFreeNotification
 | FreeOnRelease
 | GetEnumerator
 | GetNamePath
 | GetParentComponent
 | HasParent
 | InsertComponent
 | RemoveComponent
 | SafeCallException
 | SetSubComponent
 | UpdateAction
 | IsImplementorOf
 | ReferenceInterface
TPersistent
 | AssignError
 | AssignTo
 | DefineProperties
 | GetOwner
 | Destroy
 | Assign
 | FPOAttachObserver
 | FPODetachObserver
 | FPONotifyObservers
 | GetNamePath
TObject
 | Create
 | Destroy
 | newinstance
 | FreeInstance
 | SafeCallException
 | DefaultHandler
 | Free
 | InitInstance
 | CleanupInstance
 | ClassType
 | ClassInfo
 | ClassName
 | ClassNameIs
 | ClassParent
 | InstanceSize
 | InheritsFrom
 | StringMessageTable
 | MethodAddress
 | MethodName
 | FieldAddress
 | AfterConstruction
 | BeforeDestruction
 | DefaultHandlerStr
 | Dispatch
 | DispatchStr
 | GetInterface
 | GetInterfaceByStr
 | GetInterfaceWeak
 | GetInterfaceEntry
 | GetInterfaceEntryByStr
 | GetInterfaceTable
 | UnitName
 | Equals
 | GetHashCode
 | ToString


 | AssignError (TPersistent)
 | AssignTo (TPersistent)
 | BeforeDestruction (TObject)
 | BeforeDestruction (TComponent)
 | ChangeName (TComponent)
 | ClassInfo (TObject)
 | ClassName (TObject)
 | ClassNameIs (TObject)
 | ClassParent (TObject)
 | ClassType (TObject)
 | CleanupInstance (TObject)
 | Close (TCommonDialog)
 | Create (TObject)
 | Create (TComponent)
 | Create (TLCLComponent)
 | Create (TCommonDialog)
 | Create (TExtCommonDialog)
 | DecLCLRefCount (TLCLComponent)
 | DefaultHandler (TObject)
 | DefaultHandlerStr (TObject)
pt | DefaultTitle (TCommonDialog)
 | DefineProperties (TPersistent)
 | DefineProperties (TComponent)
 | Destroy (TObject)
 | Destroy (TPersistent)
 | Destroy (TComponent)
 | Destroy (TLCLComponent)
 | Destroy (TExtCommonDialog)
 | DestroyComponents (TComponent)
 | Destroying (TComponent)
 | Dispatch (TObject)
 | DispatchStr (TObject)
 | DoCanClose (TCommonDialog)
 | DoClose (TCommonDialog)
pt | DoExecute (TCommonDialog)
 | DoShow (TCommonDialog)
 | Equals (TObject)
 | Execute (TCommonDialog)
 | ExecuteAction (TComponent)
 | FieldAddress (TObject)
 | FindComponent (TComponent)
 | FPOAttachObserver (TPersistent)
 | FPODetachObserver (TPersistent)
 | FPONotifyObservers (TPersistent)
 | Free (TObject)
 | FreeInstance (TObject)
 | FreeNotification (TComponent)
 | FreeOnRelease (TComponent)
 | GetChildOwner (TComponent)
 | GetChildParent (TComponent)
 | GetChildren (TComponent)
 | GetComObject (TComponent)
 | GetComponent (TComponent)
 | GetComponentCount (TComponent)
 | GetComponentIndex (TComponent)
 | GetEnumerator (TComponent)
 | GetHashCode (TObject)
pt | GetHeight (TCommonDialog)
pt | GetHeight (TExtCommonDialog)
 | GetIDsOfNames (TComponent)
 | GetInterface (TObject)
 | GetInterfaceByStr (TObject)
 | GetInterfaceEntry (TObject)
 | GetInterfaceEntryByStr (TObject)
 | GetInterfaceTable (TObject)
 | GetInterfaceWeak (TObject)
pt | GetLeft (TExtCommonDialog)
 | GetNamePath (TPersistent)
 | GetNamePath (TComponent)
 | GetOwner (TPersistent)
 | GetOwner (TComponent)
 | GetParentComponent (TComponent)
pt | GetTop (TExtCommonDialog)
 | GetTypeInfo (TComponent)
 | GetTypeInfoCount (TComponent)
pt | GetWidth (TCommonDialog)
pt | GetWidth (TExtCommonDialog)
pt | GetWSComponentClass (TLCLComponent)
 | HandleAllocated (TCommonDialog)
 | HasParent (TComponent)
 | iicrGetComponent (TComponent)
 | IncLCLRefCount (TLCLComponent)
 | InheritsFrom (TObject)
 | InitInstance (TObject)
 | Insert (TComponent)
 | InsertComponent (TComponent)
 | InstanceSize (TObject)
 | Invoke (TComponent)
 | IsImplementorOf (TComponent)
 | Loaded (TComponent)
 | Loading (TComponent)
 | MethodAddress (TObject)
 | MethodName (TObject)
 | newinstance (TObject)
 | NewInstance (TLCLComponent)
 | Notification (TComponent)
 | PaletteCreated (TComponent)
 | QueryInterface (TComponent)
 | ReadLeft (TComponent)
 | ReadState (TComponent)
 | ReadTop (TComponent)
 | ReferenceInterface (TComponent)
 | Remove (TComponent)
 | RemoveAllHandlersOfObject (TLCLComponent)
 | RemoveComponent (TComponent)
 | RemoveFreeNotification (TComponent)
 | RemoveNotification (TComponent)
pt | ResetShowCloseFlags (TCommonDialog)
 | SafeCallException (TObject)
 | SafeCallException (TComponent)
 | SetAncestor (TComponent)
 | SetChildOrder (TComponent)
 | SetComponentIndex (TComponent)
 | SetDesigning (TComponent)
 | SetDesignInstance (TComponent)
pt | SetHeight (TCommonDialog)
 | SetInline (TComponent)
pt | SetLeft (TExtCommonDialog)
 | SetName (TComponent)
 | SetParentComponent (TComponent)
 | SetReference (TComponent)
 | SetSubComponent (TComponent)
pt | SetTop (TExtCommonDialog)
pt | SetWidth (TCommonDialog)
 | StringMessageTable (TObject)
 | ToString (TObject)
 | UnitName (TObject)
 | UpdateAction (TComponent)
 | Updated (TComponent)
 | UpdateRegistry (TComponent)
 | Updating (TComponent)
 | ValidateContainer (TComponent)
 | ValidateInsert (TComponent)
 | ValidateRename (TComponent)
 | WriteLeft (TComponent)
 | WriteState (TComponent)
 | WriteTop (TComponent)
pt | WSRegisterClass (TLCLComponent)
pt | WSRegisterClass (TCommonDialog)
 | _AddRef (TComponent)
 | _Release (TComponent)


TExtCommonDialog
TCommonDialog
pt | OnDialogResult
pl | OnClose
pl | OnCanClose
pl | OnShow
TLCLComponent
TComponent
TPersistent
TObject


TExtCommonDialog.Destroy

Declaration

Source position: extdlgs.pas line 119

public destructor TExtCommonDialog.Destroy; override;


TExtCommonDialog.DialogPosition

Declaration

Source position: extdlgs.pas line 123

published property TExtCommonDialog.DialogPosition : TPosition
  read FDialogPosition
  write FDialogPosition
  default poMainFormCenter;


TExtCommonDialog.DlgForm

Declaration

Source position: extdlgs.pas line 116

protected property TExtCommonDialog.DlgForm : TCustomForm
  read FDlgForm
  write FDlgForm;


TExtCommonDialog.GetHeight

Declaration

Source position: extdlgs.pas line 111

protected function TExtCommonDialog.GetHeight: Integer; override;


TExtCommonDialog.GetLeft

Declaration

Source position: extdlgs.pas line 110

protected function TExtCommonDialog.GetLeft: Integer; virtual;


TExtCommonDialog.GetTop

Declaration

Source position: extdlgs.pas line 112

protected function TExtCommonDialog.GetTop: Integer; virtual;


TExtCommonDialog.GetWidth

Declaration

Source position: extdlgs.pas line 113

protected function TExtCommonDialog.GetWidth: Integer; override;


TExtCommonDialog.Left

Declaration

Source position: extdlgs.pas line 120

public property TExtCommonDialog.Left : Integer
  read GetLeft
  write SetLeft;


TExtCommonDialog.SetLeft

Declaration

Source position: extdlgs.pas line 114

protected procedure TExtCommonDialog.SetLeft(

  AValue: Integer

); virtual;


TExtCommonDialog.SetTop

Declaration

Source position: extdlgs.pas line 115

protected procedure TExtCommonDialog.SetTop(

  AValue: Integer

); virtual;


TExtCommonDialog.Top

Declaration

Source position: extdlgs.pas line 121

public property TExtCommonDialog.Top : Integer
  read GetTop
  write SetTop;


TOpenPictureDialog

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

TOpenPictureDialog - a preview dialog that shows a preview of a picture before opening the file

Declaration

Source position: extdlgs.pas line 65

type TOpenPictureDialog = class(TPreviewFileDialog)
protected
class procedure WSRegisterClass; override; | Registers this component class with the current WidgetSet.
function IsFilterStored; virtual; | IsFilterStored - returns True if a filter is stored
property ImageCtrl: TImage; [r] | ImageCtrl - the Image used as a control
property PictureGroupBox: TGroupBox; [r] | PictureGroupBox - a groupbox related to a single picture
procedure InitPreviewControl; override; | InitPreviewControl - initialises the windowed control that uses this dialog
procedure ClearPreview; virtual; | ClearPreview - clears the preview area
procedure UpdatePreview; virtual; | UpdatePreview - updates the preview image, implementing any pending changes
public
constructor Create(); override; |
procedure DoClose; override; | DoClose - software emulation of the OnClose event
procedure DoSelectionChange; override; | DoSelectionChange - execute the code for a change in selection
procedure DoShow; override; | DoShow - the procedure that actually takes care of showing the dialog box
function GetFilterExt; | GetFilterExt - returns the extention for filtering filenames
property DefaultFilter: string; [r] | DefaultFilter - the default filename filter
published
property Filter: string; [s] | A string which contains possible filename filters (eg .doc, .xmp, .pas etc).
end;

Inheritance

TOpenPictureDialog | TOpenPictureDialog - a preview dialog that shows a preview of a picture before opening the file
|
TPreviewFileDialog | TPreviewFileDialog - a dialog that allows the file contents to be inspected before opening the file
|
TOpenDialog | TOpenDialog : open a file in the current directory, selected by File Dialog.
|
TFileDialog | TFileDialog : allows selection of a file from the current directory.
|
TCommonDialog | TCommonDialog : the base type from which other dialogs are derived
|
TLCLComponent | The base class for LCL components associated with widgets.
|
TComponent,IUnknown,IInterfaceComponentReference
|
TPersistent,IFPObserved
|
TObject


TOpenPictureDialog
pt | ro | ImageCtrl
pt | ro | PictureGroupBox
 | ro | DefaultFilter
pl | ro | Filter
TPreviewFileDialog
 | ro | PreviewFileControl
TOpenDialog
pl |  | Options
TFileDialog
 | ro | Files
 |  | HistoryList
pl | ro | Title
pl |  | DefaultExt
pl |  | FileName
pl |  | Filter
pl |  | FilterIndex
pl |  | InitialDir
TCommonDialog
pt |  | AttachTo
 |  | Handle
 |  | UserChoice
 |  | Width
 |  | Height
pl |  | HelpContext
pl |  | Title
TLCLComponent
 | ro | LCLRefCount
 | ro | WidgetSetClass
TComponent
 | ro | ComObject
 | ro | Components
 | ro | ComponentCount
 |  | ComponentIndex
 | ro | ComponentState
 | ro | ComponentStyle
 |  | DesignInfo
 | ro | Owner
 |  | VCLComObject
 |  | Name
 |  | Tag
TPersistent
TObject


pt |  | AttachTo (TCommonDialog)
 | ro | ComObject (TComponent)
 | ro | ComponentCount (TComponent)
 |  | ComponentIndex (TComponent)
 | ro | Components (TComponent)
 | ro | ComponentState (TComponent)
 | ro | ComponentStyle (TComponent)
pl |  | DefaultExt (TFileDialog)
 | ro | DefaultFilter (TOpenPictureDialog)
 |  | DesignInfo (TComponent)
pl |  | FileName (TFileDialog)
 | ro | Files (TFileDialog)
pl |  | Filter (TFileDialog)
pl | ro | Filter (TOpenPictureDialog)
pl |  | FilterIndex (TFileDialog)
 |  | Handle (TCommonDialog)
 |  | Height (TCommonDialog)
pl |  | HelpContext (TCommonDialog)
 |  | HistoryList (TFileDialog)
pt | ro | ImageCtrl (TOpenPictureDialog)
pl |  | InitialDir (TFileDialog)
 | ro | LCLRefCount (TLCLComponent)
 |  | Name (TComponent)
pl |  | Options (TOpenDialog)
 | ro | Owner (TComponent)
pt | ro | PictureGroupBox (TOpenPictureDialog)
 | ro | PreviewFileControl (TPreviewFileDialog)
 |  | Tag (TComponent)
pl |  | Title (TCommonDialog)
pl | ro | Title (TFileDialog)
 |  | UserChoice (TCommonDialog)
 |  | VCLComObject (TComponent)
 | ro | WidgetSetClass (TLCLComponent)
 |  | Width (TCommonDialog)


TOpenPictureDialog
pt | WSRegisterClass
pt | IsFilterStored
pt | InitPreviewControl
pt | ClearPreview
pt | UpdatePreview
 | Create
 | DoClose
 | DoSelectionChange
 | DoShow
 | GetFilterExt
TPreviewFileDialog
pt | WSRegisterClass
pt | CreatePreviewControl
pt | InitPreviewControl
pt | DoExecute
 | Create
TOpenDialog
pt | WSRegisterClass
pt | ResolveLinks
pt | DereferenceLinks
pt | CheckFile
pt | CheckFileMustExist
pt | CheckAllFiles
pt | DoExecute
pt | DefaultTitle
 | Create
 | DoCanClose
 | DoFolderChange
 | DoSelectionChange
 | IntfSetOption
TFileDialog
pt | WSRegisterClass
pt | GetFilterIndex
pt | SetFileName
pt | SetFilter
pt | SetHistoryList
 | Create
 | Destroy
 | DoCanClose
 | DoTypeChange
 | IntfFileTypeChanged
 | FindMaskInFilter
 | ExtractAllFilterMasks
TCommonDialog
pt | WSRegisterClass
pt | DoExecute
pt | DefaultTitle
pt | GetHeight
pt | GetWidth
pt | SetHeight
pt | SetWidth
pt | ResetShowCloseFlags
 | Create
 | Execute
 | Close
 | DoShow
 | DoCanClose
 | DoClose
 | HandleAllocated
TLCLComponent
pt | WSRegisterClass
pt | GetWSComponentClass
 | Create
 | Destroy
 | NewInstance
 | RemoveAllHandlersOfObject
 | IncLCLRefCount
 | DecLCLRefCount
TComponent
 | GetComObject
 | GetComponent
 | GetComponentCount
 | GetComponentIndex
 | Insert
 | ReadLeft
 | ReadTop
 | Remove
 | RemoveNotification
 | SetComponentIndex
 | SetReference
 | WriteLeft
 | WriteTop
 | ChangeName
 | DefineProperties
 | GetChildren
 | GetChildOwner
 | GetChildParent
 | GetOwner
 | Loaded
 | Loading
 | Notification
 | PaletteCreated
 | ReadState
 | SetAncestor
 | SetDesigning
 | SetDesignInstance
 | SetInline
 | SetName
 | SetChildOrder
 | SetParentComponent
 | Updating
 | Updated
 | UpdateRegistry
 | ValidateRename
 | ValidateContainer
 | ValidateInsert
 | QueryInterface
 | _AddRef
 | _Release
 | iicrGetComponent
 | GetTypeInfoCount
 | GetTypeInfo
 | GetIDsOfNames
 | Invoke
 | WriteState
 | Create
 | Destroy
 | BeforeDestruction
 | DestroyComponents
 | Destroying
 | ExecuteAction
 | FindComponent
 | FreeNotification
 | RemoveFreeNotification
 | FreeOnRelease
 | GetEnumerator
 | GetNamePath
 | GetParentComponent
 | HasParent
 | InsertComponent
 | RemoveComponent
 | SafeCallException
 | SetSubComponent
 | UpdateAction
 | IsImplementorOf
 | ReferenceInterface
TPersistent
 | AssignError
 | AssignTo
 | DefineProperties
 | GetOwner
 | Destroy
 | Assign
 | FPOAttachObserver
 | FPODetachObserver
 | FPONotifyObservers
 | GetNamePath
TObject
 | Create
 | Destroy
 | newinstance
 | FreeInstance
 | SafeCallException
 | DefaultHandler
 | Free
 | InitInstance
 | CleanupInstance
 | ClassType
 | ClassInfo
 | ClassName
 | ClassNameIs
 | ClassParent
 | InstanceSize
 | InheritsFrom
 | StringMessageTable
 | MethodAddress
 | MethodName
 | FieldAddress
 | AfterConstruction
 | BeforeDestruction
 | DefaultHandlerStr
 | Dispatch
 | DispatchStr
 | GetInterface
 | GetInterfaceByStr
 | GetInterfaceWeak
 | GetInterfaceEntry
 | GetInterfaceEntryByStr
 | GetInterfaceTable
 | UnitName
 | Equals
 | GetHashCode
 | ToString


 | AssignError (TPersistent)
 | AssignTo (TPersistent)
 | BeforeDestruction (TObject)
 | BeforeDestruction (TComponent)
 | ChangeName (TComponent)
pt | CheckAllFiles (TOpenDialog)
pt | CheckFile (TOpenDialog)
pt | CheckFileMustExist (TOpenDialog)
 | ClassInfo (TObject)
 | ClassName (TObject)
 | ClassNameIs (TObject)
 | ClassParent (TObject)
 | ClassType (TObject)
 | CleanupInstance (TObject)
pt | ClearPreview (TOpenPictureDialog)
 | Close (TCommonDialog)
 | Create (TObject)
 | Create (TComponent)
 | Create (TLCLComponent)
 | Create (TCommonDialog)
 | Create (TFileDialog)
 | Create (TOpenDialog)
 | Create (TPreviewFileDialog)
 | Create (TOpenPictureDialog)
pt | CreatePreviewControl (TPreviewFileDialog)
 | DecLCLRefCount (TLCLComponent)
 | DefaultHandler (TObject)
 | DefaultHandlerStr (TObject)
pt | DefaultTitle (TCommonDialog)
pt | DefaultTitle (TOpenDialog)
 | DefineProperties (TPersistent)
 | DefineProperties (TComponent)
pt | DereferenceLinks (TOpenDialog)
 | Destroy (TObject)
 | Destroy (TPersistent)
 | Destroy (TComponent)
 | Destroy (TLCLComponent)
 | Destroy (TFileDialog)
 | DestroyComponents (TComponent)
 | Destroying (TComponent)
 | Dispatch (TObject)
 | DispatchStr (TObject)
 | DoCanClose (TCommonDialog)
 | DoCanClose (TFileDialog)
 | DoCanClose (TOpenDialog)
 | DoClose (TCommonDialog)
 | DoClose (TOpenPictureDialog)
pt | DoExecute (TCommonDialog)
pt | DoExecute (TOpenDialog)
pt | DoExecute (TPreviewFileDialog)
 | DoFolderChange (TOpenDialog)
 | DoSelectionChange (TOpenDialog)
 | DoSelectionChange (TOpenPictureDialog)
 | DoShow (TCommonDialog)
 | DoShow (TOpenPictureDialog)
 | DoTypeChange (TFileDialog)
 | Equals (TObject)
 | Execute (TCommonDialog)
 | ExecuteAction (TComponent)
 | ExtractAllFilterMasks (TFileDialog)
 | FieldAddress (TObject)
 | FindComponent (TComponent)
 | FindMaskInFilter (TFileDialog)
 | FPOAttachObserver (TPersistent)
 | FPODetachObserver (TPersistent)
 | FPONotifyObservers (TPersistent)
 | Free (TObject)
 | FreeInstance (TObject)
 | FreeNotification (TComponent)
 | FreeOnRelease (TComponent)
 | GetChildOwner (TComponent)
 | GetChildParent (TComponent)
 | GetChildren (TComponent)
 | GetComObject (TComponent)
 | GetComponent (TComponent)
 | GetComponentCount (TComponent)
 | GetComponentIndex (TComponent)
 | GetEnumerator (TComponent)
 | GetFilterExt (TOpenPictureDialog)
pt | GetFilterIndex (TFileDialog)
 | GetHashCode (TObject)
pt | GetHeight (TCommonDialog)
 | GetIDsOfNames (TComponent)
 | GetInterface (TObject)
 | GetInterfaceByStr (TObject)
 | GetInterfaceEntry (TObject)
 | GetInterfaceEntryByStr (TObject)
 | GetInterfaceTable (TObject)
 | GetInterfaceWeak (TObject)
 | GetNamePath (TPersistent)
 | GetNamePath (TComponent)
 | GetOwner (TPersistent)
 | GetOwner (TComponent)
 | GetParentComponent (TComponent)
 | GetTypeInfo (TComponent)
 | GetTypeInfoCount (TComponent)
pt | GetWidth (TCommonDialog)
pt | GetWSComponentClass (TLCLComponent)
 | HandleAllocated (TCommonDialog)
 | HasParent (TComponent)
 | iicrGetComponent (TComponent)
 | IncLCLRefCount (TLCLComponent)
 | InheritsFrom (TObject)
 | InitInstance (TObject)
pt | InitPreviewControl (TPreviewFileDialog)
pt | InitPreviewControl (TOpenPictureDialog)
 | Insert (TComponent)
 | InsertComponent (TComponent)
 | InstanceSize (TObject)
 | IntfFileTypeChanged (TFileDialog)
 | IntfSetOption (TOpenDialog)
 | Invoke (TComponent)
pt | IsFilterStored (TOpenPictureDialog)
 | IsImplementorOf (TComponent)
 | Loaded (TComponent)
 | Loading (TComponent)
 | MethodAddress (TObject)
 | MethodName (TObject)
 | newinstance (TObject)
 | NewInstance (TLCLComponent)
 | Notification (TComponent)
 | PaletteCreated (TComponent)
 | QueryInterface (TComponent)
 | ReadLeft (TComponent)
 | ReadState (TComponent)
 | ReadTop (TComponent)
 | ReferenceInterface (TComponent)
 | Remove (TComponent)
 | RemoveAllHandlersOfObject (TLCLComponent)
 | RemoveComponent (TComponent)
 | RemoveFreeNotification (TComponent)
 | RemoveNotification (TComponent)
pt | ResetShowCloseFlags (TCommonDialog)
pt | ResolveLinks (TOpenDialog)
 | SafeCallException (TObject)
 | SafeCallException (TComponent)
 | SetAncestor (TComponent)
 | SetChildOrder (TComponent)
 | SetComponentIndex (TComponent)
 | SetDesigning (TComponent)
 | SetDesignInstance (TComponent)
pt | SetFileName (TFileDialog)
pt | SetFilter (TFileDialog)
pt | SetHeight (TCommonDialog)
pt | SetHistoryList (TFileDialog)
 | SetInline (TComponent)
 | SetName (TComponent)
 | SetParentComponent (TComponent)
 | SetReference (TComponent)
 | SetSubComponent (TComponent)
pt | SetWidth (TCommonDialog)
 | StringMessageTable (TObject)
 | ToString (TObject)
 | UnitName (TObject)
 | UpdateAction (TComponent)
 | Updated (TComponent)
pt | UpdatePreview (TOpenPictureDialog)
 | UpdateRegistry (TComponent)
 | Updating (TComponent)
 | ValidateContainer (TComponent)
 | ValidateInsert (TComponent)
 | ValidateRename (TComponent)
 | WriteLeft (TComponent)
 | WriteState (TComponent)
 | WriteTop (TComponent)
pt | WSRegisterClass (TLCLComponent)
pt | WSRegisterClass (TCommonDialog)
pt | WSRegisterClass (TFileDialog)
pt | WSRegisterClass (TOpenDialog)
pt | WSRegisterClass (TPreviewFileDialog)
pt | WSRegisterClass (TOpenPictureDialog)
 | _AddRef (TComponent)
 | _Release (TComponent)


TOpenPictureDialog
TPreviewFileDialog
TOpenDialog
pl | OnFolderChange
pl | OnSelectionChange
TFileDialog
pl | OnHelpClicked
pl | OnTypeChange
TCommonDialog
pt | OnDialogResult
pl | OnClose
pl | OnCanClose
pl | OnShow
TLCLComponent
TComponent
TPersistent
TObject


TOpenPictureDialog.ClearPreview

ClearPreview - clears the preview area

Declaration

Source position: extdlgs.pas line 77

protected procedure TOpenPictureDialog.ClearPreview; virtual;


TOpenPictureDialog.DefaultFilter

DefaultFilter - the default filename filter

Declaration

Source position: extdlgs.pas line 85

public property TOpenPictureDialog.DefaultFilter : string
  read FDefaultFilter;


TOpenPictureDialog.GetFilterExt

GetFilterExt - returns the extention for filtering filenames

Declaration

Source position: extdlgs.pas line 84

public function TOpenPictureDialog.GetFilterExt: string;


TOpenPictureDialog.ImageCtrl

ImageCtrl - the Image used as a control

Declaration

Source position: extdlgs.pas line 74

protected property TOpenPictureDialog.ImageCtrl : TImage
  read FImageCtrl;


TOpenPictureDialog.IsFilterStored

IsFilterStored - returns True if a filter is stored

Declaration

Source position: extdlgs.pas line 73

protected function TOpenPictureDialog.IsFilterStored: Boolean; virtual;


TOpenPictureDialog.PictureGroupBox

PictureGroupBox - a groupbox related to a single picture

Declaration

Source position: extdlgs.pas line 75

protected property TOpenPictureDialog.PictureGroupBox : TGroupBox
  read FPictureGroupBox;


TOpenPictureDialog.UpdatePreview

UpdatePreview - updates the preview image, implementing any pending changes

Declaration

Source position: extdlgs.pas line 78

protected procedure TOpenPictureDialog.UpdatePreview; virtual;


TPreviewFileControl

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

TPreviewFileControl - a windowed control allowing the contents of a file to be previewed before opening

Declaration

Source position: extdlgs.pas line 34

type TPreviewFileControl = class(TWinControl)
protected
class procedure WSRegisterClass; override; | Registers this component class with the current WidgetSet.
class function GetControlClassDefaultSize; override; | Returns the default size for this class of controls (when added to a form).
procedure SetPreviewFileDialog(); | SetPreviewFileDialog - specify the PreviewFile Dialog to be used
procedure CreateParams(); override; | Initializes the window creation parameter record with the settings of the control.
public
constructor Create(); override; |
property PreviewFileDialog: TPreviewFileDialog; [rw] | The PreviewFileDialog that is used for this control
end;

Inheritance

TPreviewFileControl | TPreviewFileControl - a windowed control allowing the contents of a file to be previewed before opening
|
TWinControl | The base class for controls which can contain other (child) controls.
|
TControl | The base class for visible controls.
|
TLCLComponent | The base class for LCL components associated with widgets.
|
TComponent,IUnknown,IInterfaceComponentReference
|
TPersistent,IFPObserved
|
TObject


TPreviewFileControl
 |  | PreviewFileDialog
TWinControl
pt |  | WindowHandle
pt |  | BorderStyle
pt |  | ParentBackground
 |  | BorderWidth
 | ro | BoundsLockCount
 | ro | Brush
 | ro | CachedClientHeight
 | ro | CachedClientWidth
 |  | ChildSizing
 | ro | ControlCount
 | ro | Controls
 |  | DefWndProc
 | ro | DockClientCount
 | ro | DockClients
 |  | DockManager
 |  | DockSite
 |  | DoubleBuffered
 |  | Handle
 | ro | IsFlipped
 | ro | IsResizing
 |  | TabOrder
 |  | TabStop
 |  | ParentDoubleBuffered
 |  | ParentWindow
 | ro | Showing
 |  | UseDockManager
 |  | DesignerDeleting
 | ro | VisibleDockClientCount
TControl
pt | ro | AutoSizing
pt | ro | AutoSizingAll
pt | ro | AutoSizingLockCount
pt |  | ActionLink
pt |  | DesktopFont
pt |  | DragCursor
pt |  | DragKind
pt |  | DragMode
pt |  | MouseCapture
pt |  | ParentColor
pt |  | ParentFont
pt |  | ParentShowHint
pt |  | SessionProperties
pt |  | Text
 | ro | AnchoredControls
 | ro | BaseBounds
 | ro | ReadBounds
 | ro | BaseParentClientSize
 |  | AccessibleDescription
 |  | AccessibleValue
 |  | AccessibleRole
 |  | Action
 |  | Align
 |  | Anchors
 | ro | AnchorSide
 |  | AutoSize
 |  | BorderSpacing
 |  | BoundsRect
 |  | BoundsRectForNewParent
 |  | Caption
 |  | CaptureMouseButtons
 |  | ClientHeight
 | ro | ClientOrigin
 | ro | ClientRect
 |  | ClientWidth
 |  | Color
 |  | Constraints
 | ro | ControlOrigin
 |  | ControlState
 |  | ControlStyle
 |  | Enabled
 |  | Font
 |  | IsControl
 | ro | MouseEntered
 | ro | MouseInClient
 |  | Parent
 |  | PopupMenu
 |  | ShowHint
 |  | Visible
 |  | WindowProc
 |  | DockOrientation
 | ro | Floating
 |  | FloatingDockSiteClass
 |  | HostDockSite
 |  | LRDockWidth
 |  | TBDockHeight
 |  | UndockHeight
 |  | UndockWidth
 |  | BiDiMode
 |  | ParentBiDiMode
pl |  | AnchorSideLeft
pl |  | AnchorSideTop
pl |  | AnchorSideRight
pl |  | AnchorSideBottom
pl |  | Cursor
pl |  | Left
pl |  | Height
pl |  | Hint
pl |  | Top
pl |  | Width
pl |  | HelpType
pl |  | HelpKeyword
pl |  | HelpContext
TLCLComponent
 | ro | LCLRefCount
 | ro | WidgetSetClass
TComponent
 | ro | ComObject
 | ro | Components
 | ro | ComponentCount
 |  | ComponentIndex
 | ro | ComponentState
 | ro | ComponentStyle
 |  | DesignInfo
 | ro | Owner
 |  | VCLComObject
 |  | Name
 |  | Tag
TPersistent
TObject


 |  | AccessibleDescription (TControl)
 |  | AccessibleRole (TControl)
 |  | AccessibleValue (TControl)
 |  | Action (TControl)
pt |  | ActionLink (TControl)
 |  | Align (TControl)
 | ro | AnchoredControls (TControl)
 |  | Anchors (TControl)
 | ro | AnchorSide (TControl)
pl |  | AnchorSideBottom (TControl)
pl |  | AnchorSideLeft (TControl)
pl |  | AnchorSideRight (TControl)
pl |  | AnchorSideTop (TControl)
 |  | AutoSize (TControl)
pt | ro | AutoSizing (TControl)
pt | ro | AutoSizingAll (TControl)
pt | ro | AutoSizingLockCount (TControl)
 | ro | BaseBounds (TControl)
 | ro | BaseParentClientSize (TControl)
 |  | BiDiMode (TControl)
 |  | BorderSpacing (TControl)
pt |  | BorderStyle (TWinControl)
 |  | BorderWidth (TWinControl)
 | ro | BoundsLockCount (TWinControl)
 |  | BoundsRect (TControl)
 |  | BoundsRectForNewParent (TControl)
 | ro | Brush (TWinControl)
 | ro | CachedClientHeight (TWinControl)
 | ro | CachedClientWidth (TWinControl)
 |  | Caption (TControl)
 |  | CaptureMouseButtons (TControl)
 |  | ChildSizing (TWinControl)
 |  | ClientHeight (TControl)
 | ro | ClientOrigin (TControl)
 | ro | ClientRect (TControl)
 |  | ClientWidth (TControl)
 |  | Color (TControl)
 | ro | ComObject (TComponent)
 | ro | ComponentCount (TComponent)
 |  | ComponentIndex (TComponent)
 | ro | Components (TComponent)
 | ro | ComponentState (TComponent)
 | ro | ComponentStyle (TComponent)
 |  | Constraints (TControl)
 | ro | ControlCount (TWinControl)
 | ro | ControlOrigin (TControl)
 | ro | Controls (TWinControl)
 |  | ControlState (TControl)
 |  | ControlStyle (TControl)
pl |  | Cursor (TControl)
 |  | DefWndProc (TWinControl)
 |  | DesignerDeleting (TWinControl)
 |  | DesignInfo (TComponent)
pt |  | DesktopFont (TControl)
 | ro | DockClientCount (TWinControl)
 | ro | DockClients (TWinControl)
 |  | DockManager (TWinControl)
 |  | DockOrientation (TControl)
 |  | DockSite (TWinControl)
 |  | DoubleBuffered (TWinControl)
pt |  | DragCursor (TControl)
pt |  | DragKind (TControl)
pt |  | DragMode (TControl)
 |  | Enabled (TControl)
 | ro | Floating (TControl)
 |  | FloatingDockSiteClass (TControl)
 |  | Font (TControl)
 |  | Handle (TWinControl)
pl |  | Height (TControl)
pl |  | HelpContext (TControl)
pl |  | HelpKeyword (TControl)
pl |  | HelpType (TControl)
pl |  | Hint (TControl)
 |  | HostDockSite (TControl)
 |  | IsControl (TControl)
 | ro | IsFlipped (TWinControl)
 | ro | IsResizing (TWinControl)
 | ro | LCLRefCount (TLCLComponent)
pl |  | Left (TControl)
 |  | LRDockWidth (TControl)
pt |  | MouseCapture (TControl)
 | ro | MouseEntered (TControl)
 | ro | MouseInClient (TControl)
 |  | Name (TComponent)
 | ro | Owner (TComponent)
 |  | Parent (TControl)
pt |  | ParentBackground (TWinControl)
 |  | ParentBiDiMode (TControl)
pt |  | ParentColor (TControl)
 |  | ParentDoubleBuffered (TWinControl)
pt |  | ParentFont (TControl)
pt |  | ParentShowHint (TControl)
 |  | ParentWindow (TWinControl)
 |  | PopupMenu (TControl)
 |  | PreviewFileDialog (TPreviewFileControl)
 | ro | ReadBounds (TControl)
pt |  | SessionProperties (TControl)
 |  | ShowHint (TControl)
 | ro | Showing (TWinControl)
 |  | TabOrder (TWinControl)
 |  | TabStop (TWinControl)
 |  | Tag (TComponent)
 |  | TBDockHeight (TControl)
pt |  | Text (TControl)
pl |  | Top (TControl)
 |  | UndockHeight (TControl)
 |  | UndockWidth (TControl)
 |  | UseDockManager (TWinControl)
 |  | VCLComObject (TComponent)
 |  | Visible (TControl)
 | ro | VisibleDockClientCount (TWinControl)
 | ro | WidgetSetClass (TLCLComponent)
pl |  | Width (TControl)
pt |  | WindowHandle (TWinControl)
 |  | WindowProc (TControl)


TPreviewFileControl
pt | WSRegisterClass
pt | GetControlClassDefaultSize
pt | SetPreviewFileDialog
pt | CreateParams
 | Create
TWinControl
pt | WSRegisterClass
pt | AdjustClientRect
pt | GetAdjustedLogicalClientRect
pt | AlignControls
pt | CustomAlignInsertBefore
pt | CustomAlignPosition
pt | DoAlignChildControls
pt | DoChildSizingChange
pt | InvalidatePreferredChildSizes
pt | CanTab
pt | IsClientHeightStored
pt | IsClientWidthStored
pt | DoSendShowHideToInterface
pt | ControlsAligned
pt | DoSendBoundsToInterface
pt | RealizeBounds
pt | RealizeBoundsRecursive
pt | InvalidateBoundsRealized
pt | CreateSubClass
pt | DoConstraintsChange
pt | DoSetBounds
pt | DoAutoSize
pt | DoAllAutoSize
pt | AllAutoSized
pt | CalculatePreferredSize
pt | GetPreferredSizeClientFrame
pt | GetChildren
pt | ChildClassAllowed
pt | PaintControls
pt | PaintHandler
pt | PaintWindow
pt | CreateBrush
pt | ScaleControls
pt | ChangeScale
pt | CMBiDiModeChanged
pt | CMBorderChanged
pt | CMDoubleBufferedChanged
pt | CMEnabledChanged
pt | CMParentDoubleBufferedChanged
pt | CMShowingChanged
pt | CMShowHintChanged
pt | CMVisibleChanged
pt | CMEnter
pt | CMExit
pt | WMContextMenu
pt | WMEraseBkgnd
pt | WMNotify
pt | WMSetFocus
pt | WMKillFocus
pt | WMShowWindow
pt | WMEnter
pt | WMExit
pt | WMKeyDown
pt | WMSysKeyDown
pt | WMKeyUp
pt | WMSysKeyUp
pt | WMChar
pt | WMSysChar
pt | WMPaint
pt | WMDestroy
pt | WMMove
pt | WMSize
pt | WMWindowPosChanged
pt | CNKeyDown
pt | CNSysKeyDown
pt | CNKeyUp
pt | CNSysKeyUp
pt | CNChar
pt | DoDragMsg
pt | DoDockClientMsg
pt | DoUndockClientMsg
pt | DoAddDockClient
pt | DockOver
pt | DoDockOver
pt | DoRemoveDockClient
pt | DoUnDock
pt | GetSiteInfo
pt | GetParentHandle
pt | GetTopParentHandle
pt | ReloadDockedControl
pt | CreateDockManager
pt | SetDockManager
pt | DoFloatMsg
pt | DoGetDockCaption
pt | DoEnter
pt | DoExit
pt | DoKeyDownBeforeInterface
pt | DoRemainingKeyDown
pt | DoRemainingKeyUp
pt | DoKeyPress
pt | DoUTF8KeyPress
pt | DoKeyUpBeforeInterface
pt | ChildKey
pt | SendDialogChar
pt | DialogChar
pt | ControlKeyDown
pt | ControlKeyUp
pt | KeyDown
pt | KeyDownBeforeInterface
pt | KeyDownAfterInterface
pt | KeyPress
pt | KeyUp
pt | KeyUpBeforeInterface
pt | KeyUpAfterInterface
pt | UTF8KeyPress
pt | FindNextControl
pt | SelectFirst
pt | RealGetText
pt | GetBorderStyle
pt | GetClientOrigin
pt | GetClientRect
pt | GetControlOrigin
pt | GetDeviceContext
pt | GetParentBackground
pt | IsControlMouseMsg
pt | CreateHandle
pt | CreateParams
pt | CreateWnd
pt | DestroyHandle
pt | DestroyWnd
pt | DoFlipChildren
pt | FinalizeWnd
pt | FixupTabList
pt | FontChanged
pt | InitializeWnd
pt | Loaded
pt | FormEndUpdated
pt | MainWndProc
pt | ParentFormHandleInitialized
pt | ChildHandlesCreated
pt | GetMouseCapture
pt | RealSetText
pt | RemoveFocus
pt | SendMoveSizeMessages
pt | SetBorderStyle
pt | SetColor
pt | SetChildZPosition
pt | SetParentBackground
pt | ShowControl
pt | UpdateControlState
pt | UpdateShowing
pt | WndProc
pt | WSSetText
 | AutoSizePhases
 | AutoSizeDelayed
 | AutoSizeDelayedReport
 | AutoSizeDelayedHandle
 | BeginUpdateBounds
 | EndUpdateBounds
 | LockRealizeBounds
 | UnlockRealizeBounds
 | ControlAtPos
 | ContainsControl
 | DoAdjustClientRectChange
 | InvalidateClientRectCache
 | ClientRectNeedsInterfaceUpdate
 | SetBounds
 | GetChildrenRect
 | DisableAlign
 | EnableAlign
 | ReAlign
 | ScrollBy_WS
 | ScrollBy
 | WriteLayoutDebugReport
 | AutoAdjustLayout
 | Create
 | CreateParented
 | CreateParentedControl
 | Destroy
 | DockDrop
 | CanFocus
 | CanSetFocus
 | GetControlIndex
 | SetControlIndex
 | Focused
 | PerformTab
 | FindChildControl
 | SelectNext
 | SetTempCursor
 | BroadCast
 | NotifyControls
 | DefaultHandler
 | GetTextLen
 | Invalidate
 | AddControl
 | InsertControl
 | RemoveControl
 | GetEnumeratorControls
 | GetEnumeratorControlsReverse
 | Repaint
 | Update
 | SetFocus
 | FlipChildren
 | ScaleBy
 | GetDockCaption
 | UpdateDockCaption
 | GetTabOrderList
 | HandleAllocated
 | ParentHandlesAllocated
 | HandleNeeded
 | BrushCreated
 | EraseBackground
 | IntfUTF8KeyPress
 | IntfGetDropFilesTarget
 | PaintTo
 | SetShape
TControl
pt | WSRegisterClass
pt | GetCursor
pt | SetCursor
pt | SetVisible
pt | DoOnParentHandleDestruction
pt | DoAutoSize
pt | DoAllAutoSize
pt | BeginAutoSizing
pt | EndAutoSizing
pt | AnchorSideChanged
pt | ForeignAnchorSideChanged
pt | SetAlign
pt | SetAnchors
pt | SetAutoSize
pt | BoundsChanged
pt | CreateControlBorderSpacing
pt | DoConstraintsChange
pt | DoBorderSpacingChange
pt | IsBorderSpacingInnerBorderStored
pt | IsCaptionStored
pt | SendMoveSizeMessages
pt | ConstrainedResize
pt | CalculatePreferredSize
pt | DoOnResize
pt | DoOnChangeBounds
pt | CheckOnChangeBounds
pt | Resize
pt | RequestAlign
pt | UpdateAnchorRules
pt | ChangeBounds
pt | DoSetBounds
pt | ScaleConstraints
pt | ChangeScale
pt | CanAutoSize
pt | SetBiDiMode
pt | SetParentBiDiMode
pt | IsAParentAligning
pt | GetClientOrigin
pt | GetClientRect
pt | GetLogicalClientRect
pt | GetScrolledClientRect
pt | GetClientScrollOffset
pt | GetControlOrigin
pt | IsClientHeightStored
pt | IsClientWidthStored
pt | WidthIsAnchored
pt | HeightIsAnchored
pt | WMCancelMode
pt | WMContextMenu
pt | WMLButtonDown
pt | WMRButtonDown
pt | WMMButtonDown
pt | WMXButtonDown
pt | WMLButtonDBLCLK
pt | WMRButtonDBLCLK
pt | WMMButtonDBLCLK
pt | WMXButtonDBLCLK
pt | WMLButtonTripleCLK
pt | WMRButtonTripleCLK
pt | WMMButtonTripleCLK
pt | WMXButtonTripleCLK
pt | WMLButtonQuadCLK
pt | WMRButtonQuadCLK
pt | WMMButtonQuadCLK
pt | WMXButtonQuadCLK
pt | WMMouseMove
pt | WMLButtonUp
pt | WMRButtonUp
pt | WMMButtonUp
pt | WMXButtonUp
pt | WMMouseWheel
pt | WMMouseHWheel
pt | WMMove
pt | WMSize
pt | WMWindowPosChanged
pt | CMChanged
pt | LMCaptureChanged
pt | CMBiDiModeChanged
pt | CMSysFontChanged
pt | CMEnabledChanged
pt | CMHitTest
pt | CMMouseEnter
pt | CMMouseLeave
pt | CMHintShow
pt | CMParentBiDiModeChanged
pt | CMParentColorChanged
pt | CMParentFontChanged
pt | CMParentShowHintChanged
pt | CMVisibleChanged
pt | CMTextChanged
pt | CMCursorChanged
pt | CalculateDockSizes
pt | CreateFloatingDockSite
pt | GetDockEdge
pt | GetDragImages
pt | GetFloating
pt | GetFloatingDockSiteClass
pt | BeforeDragStart
pt | BeginAutoDrag
pt | DoFloatMsg
pt | DockTrackNoTarget
pt | DoDock
pt | DoDragMsg
pt | DoEndDock
pt | DoEndDrag
pt | DoStartDock
pt | DoStartDrag
pt | DragCanceled
pt | DragOver
pt | PositionDockRect
pt | SetDragMode
pt | GetDefaultDockCaption
pt | Click
pt | DblClick
pt | TripleClick
pt | QuadClick
pt | GetMousePosFromMessage
pt | MouseDown
pt | MouseMove
pt | MouseUp
pt | MouseEnter
pt | MouseLeave
pt | DialogChar
pt | UpdateMouseCursor
pt | Changed
pt | GetPalette
pt | ChildClassAllowed
pt | ReadState
pt | Loaded
pt | LoadedAll
pt | DefineProperties
pt | AssignTo
pt | FormEndUpdated
pt | InvalidateControl
pt | FontChanged
pt | ParentFontChanged
pt | GetAction
pt | RealGetText
pt | RealSetText
pt | TextChanged
pt | GetCachedText
pt | SetAction
pt | SetColor
pt | SetEnabled
pt | SetHint
pt | SetName
pt | SetParent
pt | SetParentComponent
pt | WndProc
pt | ParentFormHandleInitialized
pt | GetMouseCapture
pt | CaptureChanged
pt | Notification
pt | CanTab
pt | GetDeviceContext
pt | GetEnabled
pt | GetPopupMenu
pt | DoOnShowHint
pt | DoMouseWheel
pt | DoMouseWheelDown
pt | DoMouseWheelUp
pt | DoMouseWheelHorz
pt | DoMouseWheelLeft
pt | DoMouseWheelRight
pt | VisibleChanging
pt | VisibleChanged
pt | EnabledChanging
pt | EnabledChanged
pt | AddHandler
pt | RemoveHandler
pt | DoCallNotifyHandler
pt | DoCallKeyEventHandler
pt | DoCallMouseWheelEventHandler
pt | DoContextPopup
pt | SetZOrder
pt | GetControlClassDefaultSize
pt | ColorIsStored
pt | DoAutoAdjustLayout
pt | DoFixDesignFontPPI
pt | DoScaleFontPPI
pt | GetActionLinkClass
pt | ActionChange
 | DragDrop
 | Dock
 | ManualDock
 | ManualFloat
 | ReplaceDockedControl
 | Docked
 | Dragging
 | GetAccessibleObject
 | CreateAccessibleObject
 | GetSelectedChildAccessibleObject
 | GetChildAccessibleObjectAtPos
 | ScaleDesignToForm
 | ScaleFormToDesign
 | Scale96ToForm
 | ScaleFormTo96
 | Scale96ToFont
 | ScaleFontTo96
 | ScaleScreenToFont
 | ScaleFontToScreen
 | Scale96ToScreen
 | ScaleScreenTo96
 | AdjustSize
 | AutoSizePhases
 | AutoSizeDelayed
 | AutoSizeDelayedReport
 | AutoSizeDelayedHandle
 | AnchorToNeighbour
 | AnchorParallel
 | AnchorHorizontalCenterTo
 | AnchorVerticalCenterTo
 | AnchorToCompanion
 | AnchorSame
 | AnchorAsAlign
 | AnchorClient
 | AnchoredControlCount
 | SetBounds
 | SetInitialBounds
 | SetBoundsKeepBase
 | GetPreferredSize
 | GetCanvasScaleFactor
 | GetDefaultWidth
 | GetDefaultHeight
 | GetDefaultColor
 | GetColorResolvingParent
 | GetRGBColorResolvingParent
 | GetSidePosition
 | CNPreferredSizeChanged
 | InvalidatePreferredSize
 | GetAnchorsDependingOnParent
 | DisableAutoSizing
 | EnableAutoSizing
 | UpdateBaseBounds
 | WriteLayoutDebugReport
 | AutoAdjustLayout
 | ShouldAutoAdjust
 | FixDesignFontsPPI
 | ScaleFontsPPI
 | Create
 | Destroy
 | BeforeDestruction
 | EditingDone
 | ExecuteDefaultAction
 | ExecuteCancelAction
 | BeginDrag
 | EndDrag
 | BringToFront
 | HasParent
 | GetParentComponent
 | IsParentOf
 | GetTopParent
 | IsVisible
 | IsControlVisible
 | IsEnabled
 | IsParentColor
 | IsParentFont
 | FormIsUpdating
 | IsProcessingPaintMsg
 | Hide
 | Refresh
 | Repaint
 | Invalidate
 | CheckChildClassAllowed
 | CheckNewParent
 | SendToBack
 | SetTempCursor
 | UpdateRolesForForm
 | ActiveDefaultControlChanged
 | GetTextBuf
 | GetTextLen
 | SetTextBuf
 | Perform
 | ScreenToClient
 | ClientToScreen
 | ScreenToControl
 | ControlToScreen
 | ClientToParent
 | ParentToClient
 | GetChildrenRect
 | Show
 | Update
 | HandleObjectShouldBeVisible
 | ParentDestroyingHandle
 | ParentHandlesAllocated
 | InitiateAction
 | ShowHelp
 | HasHelp
 | RemoveAllHandlersOfObject
 | AddHandlerOnResize
 | RemoveHandlerOnResize
 | AddHandlerOnChangeBounds
 | RemoveHandlerOnChangeBounds
 | AddHandlerOnVisibleChanging
 | RemoveHandlerOnVisibleChanging
 | AddHandlerOnVisibleChanged
 | RemoveHandlerOnVisibleChanged
 | AddHandlerOnEnabledChanged
 | RemoveHandlerOnEnableChanging
 | AddHandlerOnKeyDown
 | RemoveHandlerOnKeyDown
 | AddHandlerOnBeforeDestruction
 | RemoveHandlerOnBeforeDestruction
 | AddHandlerOnMouseWheel
 | RemoveHandlerOnMouseWheel
 | UseRightToLeftAlignment
 | UseRightToLeftReading
 | UseRightToLeftScrollBar
 | IsRightToLeft
TLCLComponent
pt | WSRegisterClass
pt | GetWSComponentClass
 | Create
 | Destroy
 | NewInstance
 | RemoveAllHandlersOfObject
 | IncLCLRefCount
 | DecLCLRefCount
TComponent
 | GetComObject
 | GetComponent
 | GetComponentCount
 | GetComponentIndex
 | Insert
 | ReadLeft
 | ReadTop
 | Remove
 | RemoveNotification
 | SetComponentIndex
 | SetReference
 | WriteLeft
 | WriteTop
 | ChangeName
 | DefineProperties
 | GetChildren
 | GetChildOwner
 | GetChildParent
 | GetOwner
 | Loaded
 | Loading
 | Notification
 | PaletteCreated
 | ReadState
 | SetAncestor
 | SetDesigning
 | SetDesignInstance
 | SetInline
 | SetName
 | SetChildOrder
 | SetParentComponent
 | Updating
 | Updated
 | UpdateRegistry
 | ValidateRename
 | ValidateContainer
 | ValidateInsert
 | QueryInterface
 | _AddRef
 | _Release
 | iicrGetComponent
 | GetTypeInfoCount
 | GetTypeInfo
 | GetIDsOfNames
 | Invoke
 | WriteState
 | Create
 | Destroy
 | BeforeDestruction
 | DestroyComponents
 | Destroying
 | ExecuteAction
 | FindComponent
 | FreeNotification
 | RemoveFreeNotification
 | FreeOnRelease
 | GetEnumerator
 | GetNamePath
 | GetParentComponent
 | HasParent
 | InsertComponent
 | RemoveComponent
 | SafeCallException
 | SetSubComponent
 | UpdateAction
 | IsImplementorOf
 | ReferenceInterface
TPersistent
 | AssignError
 | AssignTo
 | DefineProperties
 | GetOwner
 | Destroy
 | Assign
 | FPOAttachObserver
 | FPODetachObserver
 | FPONotifyObservers
 | GetNamePath
TObject
 | Create
 | Destroy
 | newinstance
 | FreeInstance
 | SafeCallException
 | DefaultHandler
 | Free
 | InitInstance
 | CleanupInstance
 | ClassType
 | ClassInfo
 | ClassName
 | ClassNameIs
 | ClassParent
 | InstanceSize
 | InheritsFrom
 | StringMessageTable
 | MethodAddress
 | MethodName
 | FieldAddress
 | AfterConstruction
 | BeforeDestruction
 | DefaultHandlerStr
 | Dispatch
 | DispatchStr
 | GetInterface
 | GetInterfaceByStr
 | GetInterfaceWeak
 | GetInterfaceEntry
 | GetInterfaceEntryByStr
 | GetInterfaceTable
 | UnitName
 | Equals
 | GetHashCode
 | ToString


pt | ActionChange (TControl)
 | ActiveDefaultControlChanged (TControl)
 | AddControl (TWinControl)
pt | AddHandler (TControl)
 | AddHandlerOnBeforeDestruction (TControl)
 | AddHandlerOnChangeBounds (TControl)
 | AddHandlerOnEnabledChanged (TControl)
 | AddHandlerOnKeyDown (TControl)
 | AddHandlerOnMouseWheel (TControl)
 | AddHandlerOnResize (TControl)
 | AddHandlerOnVisibleChanged (TControl)
 | AddHandlerOnVisibleChanging (TControl)
pt | AdjustClientRect (TWinControl)
 | AdjustSize (TControl)
 | AfterConstruction (TObject)
pt | AlignControls (TWinControl)
pt | AllAutoSized (TWinControl)
 | AnchorAsAlign (TControl)
 | AnchorClient (TControl)
 | AnchoredControlCount (TControl)
 | AnchorHorizontalCenterTo (TControl)
 | AnchorParallel (TControl)
 | AnchorSame (TControl)
pt | AnchorSideChanged (TControl)
 | AnchorToCompanion (TControl)
 | AnchorToNeighbour (TControl)
 | AnchorVerticalCenterTo (TControl)
 | Assign (TPersistent)
 | AssignError (TPersistent)
 | AssignTo (TPersistent)
pt | AssignTo (TControl)
 | AutoAdjustLayout (TControl)
 | AutoAdjustLayout (TWinControl)
 | AutoSizeDelayed (TControl)
 | AutoSizeDelayed (TWinControl)
 | AutoSizeDelayedHandle (TControl)
 | AutoSizeDelayedHandle (TWinControl)
 | AutoSizeDelayedReport (TControl)
 | AutoSizeDelayedReport (TWinControl)
 | AutoSizePhases (TControl)
 | AutoSizePhases (TWinControl)
 | BeforeDestruction (TObject)
 | BeforeDestruction (TComponent)
 | BeforeDestruction (TControl)
pt | BeforeDragStart (TControl)
pt | BeginAutoDrag (TControl)
pt | BeginAutoSizing (TControl)
 | BeginDrag (TControl)
 | BeginUpdateBounds (TWinControl)
pt | BoundsChanged (TControl)
 | BringToFront (TControl)
 | BroadCast (TWinControl)
 | BrushCreated (TWinControl)
pt | CalculateDockSizes (TControl)
pt | CalculatePreferredSize (TControl)
pt | CalculatePreferredSize (TWinControl)
pt | CanAutoSize (TControl)
 | CanFocus (TWinControl)
 | CanSetFocus (TWinControl)
pt | CanTab (TControl)
pt | CanTab (TWinControl)
pt | CaptureChanged (TControl)
pt | ChangeBounds (TControl)
pt | Changed (TControl)
 | ChangeName (TComponent)
pt | ChangeScale (TControl)
pt | ChangeScale (TWinControl)
 | CheckChildClassAllowed (TControl)
 | CheckNewParent (TControl)
pt | CheckOnChangeBounds (TControl)
pt | ChildClassAllowed (TControl)
pt | ChildClassAllowed (TWinControl)
pt | ChildHandlesCreated (TWinControl)
pt | ChildKey (TWinControl)
 | ClassInfo (TObject)
 | ClassName (TObject)
 | ClassNameIs (TObject)
 | ClassParent (TObject)
 | ClassType (TObject)
 | CleanupInstance (TObject)
pt | Click (TControl)
 | ClientRectNeedsInterfaceUpdate (TWinControl)
 | ClientToParent (TControl)
 | ClientToScreen (TControl)
pt | CMBiDiModeChanged (TControl)
pt | CMBiDiModeChanged (TWinControl)
pt | CMBorderChanged (TWinControl)
pt | CMChanged (TControl)
pt | CMCursorChanged (TControl)
pt | CMDoubleBufferedChanged (TWinControl)
pt | CMEnabledChanged (TControl)
pt | CMEnabledChanged (TWinControl)
pt | CMEnter (TWinControl)
pt | CMExit (TWinControl)
pt | CMHintShow (TControl)
pt | CMHitTest (TControl)
pt | CMMouseEnter (TControl)
pt | CMMouseLeave (TControl)
pt | CMParentBiDiModeChanged (TControl)
pt | CMParentColorChanged (TControl)
pt | CMParentDoubleBufferedChanged (TWinControl)
pt | CMParentFontChanged (TControl)
pt | CMParentShowHintChanged (TControl)
pt | CMShowHintChanged (TWinControl)
pt | CMShowingChanged (TWinControl)
pt | CMSysFontChanged (TControl)
pt | CMTextChanged (TControl)
pt | CMVisibleChanged (TControl)
pt | CMVisibleChanged (TWinControl)
pt | CNChar (TWinControl)
pt | CNKeyDown (TWinControl)
pt | CNKeyUp (TWinControl)
 | CNPreferredSizeChanged (TControl)
pt | CNSysKeyDown (TWinControl)
pt | CNSysKeyUp (TWinControl)
pt | ColorIsStored (TControl)
pt | ConstrainedResize (TControl)
 | ContainsControl (TWinControl)
 | ControlAtPos (TWinControl)
pt | ControlKeyDown (TWinControl)
pt | ControlKeyUp (TWinControl)
pt | ControlsAligned (TWinControl)
 | ControlToScreen (TControl)
 | Create (TObject)
 | Create (TComponent)
 | Create (TLCLComponent)
 | Create (TControl)
 | Create (TWinControl)
 | Create (TPreviewFileControl)
 | CreateAccessibleObject (TControl)
pt | CreateBrush (TWinControl)
pt | CreateControlBorderSpacing (TControl)
pt | CreateDockManager (TWinControl)
pt | CreateFloatingDockSite (TControl)
pt | CreateHandle (TWinControl)
pt | CreateParams (TWinControl)
pt | CreateParams (TPreviewFileControl)
 | CreateParented (TWinControl)
 | CreateParentedControl (TWinControl)
pt | CreateSubClass (TWinControl)
pt | CreateWnd (TWinControl)
pt | CustomAlignInsertBefore (TWinControl)
pt | CustomAlignPosition (TWinControl)
pt | DblClick (TControl)
 | DecLCLRefCount (TLCLComponent)
 | DefaultHandler (TObject)
 | DefaultHandler (TWinControl)
 | DefaultHandlerStr (TObject)
 | DefineProperties (TPersistent)
 | DefineProperties (TComponent)
pt | DefineProperties (TControl)
 | Destroy (TObject)
 | Destroy (TPersistent)
 | Destroy (TComponent)
 | Destroy (TLCLComponent)
 | Destroy (TControl)
 | Destroy (TWinControl)
 | DestroyComponents (TComponent)
pt | DestroyHandle (TWinControl)
 | Destroying (TComponent)
pt | DestroyWnd (TWinControl)
pt | DialogChar (TControl)
pt | DialogChar (TWinControl)
 | DisableAlign (TWinControl)
 | DisableAutoSizing (TControl)
 | Dispatch (TObject)
 | DispatchStr (TObject)
pt | DoAddDockClient (TWinControl)
 | DoAdjustClientRectChange (TWinControl)
pt | DoAlignChildControls (TWinControl)
pt | DoAllAutoSize (TControl)
pt | DoAllAutoSize (TWinControl)
pt | DoAutoAdjustLayout (TControl)
pt | DoAutoSize (TControl)
pt | DoAutoSize (TWinControl)
pt | DoBorderSpacingChange (TControl)
pt | DoCallKeyEventHandler (TControl)
pt | DoCallMouseWheelEventHandler (TControl)
pt | DoCallNotifyHandler (TControl)
pt | DoChildSizingChange (TWinControl)
 | Dock (TControl)
 | DockDrop (TWinControl)
 | Docked (TControl)
pt | DockOver (TWinControl)
pt | DockTrackNoTarget (TControl)
pt | DoConstraintsChange (TControl)
pt | DoConstraintsChange (TWinControl)
pt | DoContextPopup (TControl)
pt | DoDock (TControl)
pt | DoDockClientMsg (TWinControl)
pt | DoDockOver (TWinControl)
pt | DoDragMsg (TControl)
pt | DoDragMsg (TWinControl)
pt | DoEndDock (TControl)
pt | DoEndDrag (TControl)
pt | DoEnter (TWinControl)
pt | DoExit (TWinControl)
pt | DoFixDesignFontPPI (TControl)
pt | DoFlipChildren (TWinControl)
pt | DoFloatMsg (TControl)
pt | DoFloatMsg (TWinControl)
pt | DoGetDockCaption (TWinControl)
pt | DoKeyDownBeforeInterface (TWinControl)
pt | DoKeyPress (TWinControl)
pt | DoKeyUpBeforeInterface (TWinControl)
pt | DoMouseWheel (TControl)
pt | DoMouseWheelDown (TControl)
pt | DoMouseWheelHorz (TControl)
pt | DoMouseWheelLeft (TControl)
pt | DoMouseWheelRight (TControl)
pt | DoMouseWheelUp (TControl)
pt | DoOnChangeBounds (TControl)
pt | DoOnParentHandleDestruction (TControl)
pt | DoOnResize (TControl)
pt | DoOnShowHint (TControl)
pt | DoRemainingKeyDown (TWinControl)
pt | DoRemainingKeyUp (TWinControl)
pt | DoRemoveDockClient (TWinControl)
pt | DoScaleFontPPI (TControl)
pt | DoSendBoundsToInterface (TWinControl)
pt | DoSendShowHideToInterface (TWinControl)
pt | DoSetBounds (TControl)
pt | DoSetBounds (TWinControl)
pt | DoStartDock (TControl)
pt | DoStartDrag (TControl)
pt | DoUnDock (TWinControl)
pt | DoUndockClientMsg (TWinControl)
pt | DoUTF8KeyPress (TWinControl)
pt | DragCanceled (TControl)
 | DragDrop (TControl)
 | Dragging (TControl)
pt | DragOver (TControl)
 | EditingDone (TControl)
 | EnableAlign (TWinControl)
 | EnableAutoSizing (TControl)
pt | EnabledChanged (TControl)
pt | EnabledChanging (TControl)
pt | EndAutoSizing (TControl)
 | EndDrag (TControl)
 | EndUpdateBounds (TWinControl)
 | Equals (TObject)
 | EraseBackground (TWinControl)
 | ExecuteAction (TComponent)
 | ExecuteCancelAction (TControl)
 | ExecuteDefaultAction (TControl)
 | FieldAddress (TObject)
pt | FinalizeWnd (TWinControl)
 | FindChildControl (TWinControl)
 | FindComponent (TComponent)
pt | FindNextControl (TWinControl)
 | FixDesignFontsPPI (TControl)
pt | FixupTabList (TWinControl)
 | FlipChildren (TWinControl)
 | Focused (TWinControl)
pt | FontChanged (TControl)
pt | FontChanged (TWinControl)
pt | ForeignAnchorSideChanged (TControl)
pt | FormEndUpdated (TControl)
pt | FormEndUpdated (TWinControl)
 | FormIsUpdating (TControl)
 | FPOAttachObserver (TPersistent)
 | FPODetachObserver (TPersistent)
 | FPONotifyObservers (TPersistent)
 | Free (TObject)
 | FreeInstance (TObject)
 | FreeNotification (TComponent)
 | FreeOnRelease (TComponent)
 | GetAccessibleObject (TControl)
pt | GetAction (TControl)
pt | GetActionLinkClass (TControl)
pt | GetAdjustedLogicalClientRect (TWinControl)
 | GetAnchorsDependingOnParent (TControl)
pt | GetBorderStyle (TWinControl)
pt | GetCachedText (TControl)
 | GetCanvasScaleFactor (TControl)
 | GetChildAccessibleObjectAtPos (TControl)
 | GetChildOwner (TComponent)
 | GetChildParent (TComponent)
 | GetChildren (TComponent)
pt | GetChildren (TWinControl)
 | GetChildrenRect (TControl)
 | GetChildrenRect (TWinControl)
pt | GetClientOrigin (TControl)
pt | GetClientOrigin (TWinControl)
pt | GetClientRect (TControl)
pt | GetClientRect (TWinControl)
pt | GetClientScrollOffset (TControl)
 | GetColorResolvingParent (TControl)
 | GetComObject (TComponent)
 | GetComponent (TComponent)
 | GetComponentCount (TComponent)
 | GetComponentIndex (TComponent)
pt | GetControlClassDefaultSize (TControl)
pt | GetControlClassDefaultSize (TPreviewFileControl)
 | GetControlIndex (TWinControl)
pt | GetControlOrigin (TControl)
pt | GetControlOrigin (TWinControl)
pt | GetCursor (TControl)
 | GetDefaultColor (TControl)
pt | GetDefaultDockCaption (TControl)
 | GetDefaultHeight (TControl)
 | GetDefaultWidth (TControl)
pt | GetDeviceContext (TControl)
pt | GetDeviceContext (TWinControl)
 | GetDockCaption (TWinControl)
pt | GetDockEdge (TControl)
pt | GetDragImages (TControl)
pt | GetEnabled (TControl)
 | GetEnumerator (TComponent)
 | GetEnumeratorControls (TWinControl)
 | GetEnumeratorControlsReverse (TWinControl)
pt | GetFloating (TControl)
pt | GetFloatingDockSiteClass (TControl)
 | GetHashCode (TObject)
 | GetIDsOfNames (TComponent)
 | GetInterface (TObject)
 | GetInterfaceByStr (TObject)
 | GetInterfaceEntry (TObject)
 | GetInterfaceEntryByStr (TObject)
 | GetInterfaceTable (TObject)
 | GetInterfaceWeak (TObject)
pt | GetLogicalClientRect (TControl)
pt | GetMouseCapture (TControl)
pt | GetMouseCapture (TWinControl)
pt | GetMousePosFromMessage (TControl)
 | GetNamePath (TPersistent)
 | GetNamePath (TComponent)
 | GetOwner (TPersistent)
 | GetOwner (TComponent)
pt | GetPalette (TControl)
pt | GetParentBackground (TWinControl)
 | GetParentComponent (TComponent)
 | GetParentComponent (TControl)
pt | GetParentHandle (TWinControl)
pt | GetPopupMenu (TControl)
 | GetPreferredSize (TControl)
pt | GetPreferredSizeClientFrame (TWinControl)
 | GetRGBColorResolvingParent (TControl)
pt | GetScrolledClientRect (TControl)
 | GetSelectedChildAccessibleObject (TControl)
 | GetSidePosition (TControl)
pt | GetSiteInfo (TWinControl)
 | GetTabOrderList (TWinControl)
 | GetTextBuf (TControl)
 | GetTextLen (TControl)
 | GetTextLen (TWinControl)
 | GetTopParent (TControl)
pt | GetTopParentHandle (TWinControl)
 | GetTypeInfo (TComponent)
 | GetTypeInfoCount (TComponent)
pt | GetWSComponentClass (TLCLComponent)
 | HandleAllocated (TWinControl)
 | HandleNeeded (TWinControl)
 | HandleObjectShouldBeVisible (TControl)
 | HasHelp (TControl)
 | HasParent (TComponent)
 | HasParent (TControl)
pt | HeightIsAnchored (TControl)
 | Hide (TControl)
 | iicrGetComponent (TComponent)
 | IncLCLRefCount (TLCLComponent)
 | InheritsFrom (TObject)
pt | InitializeWnd (TWinControl)
 | InitiateAction (TControl)
 | InitInstance (TObject)
 | Insert (TComponent)
 | InsertComponent (TComponent)
 | InsertControl (TWinControl)
 | InstanceSize (TObject)
 | IntfGetDropFilesTarget (TWinControl)
 | IntfUTF8KeyPress (TWinControl)
 | Invalidate (TControl)
 | Invalidate (TWinControl)
pt | InvalidateBoundsRealized (TWinControl)
 | InvalidateClientRectCache (TWinControl)
pt | InvalidateControl (TControl)
pt | InvalidatePreferredChildSizes (TWinControl)
 | InvalidatePreferredSize (TControl)
 | Invoke (TComponent)
pt | IsAParentAligning (TControl)
pt | IsBorderSpacingInnerBorderStored (TControl)
pt | IsCaptionStored (TControl)
pt | IsClientHeightStored (TControl)
pt | IsClientHeightStored (TWinControl)
pt | IsClientWidthStored (TControl)
pt | IsClientWidthStored (TWinControl)
pt | IsControlMouseMsg (TWinControl)
 | IsControlVisible (TControl)
 | IsEnabled (TControl)
 | IsImplementorOf (TComponent)
 | IsParentColor (TControl)
 | IsParentFont (TControl)
 | IsParentOf (TControl)
 | IsProcessingPaintMsg (TControl)
 | IsRightToLeft (TControl)
 | IsVisible (TControl)
pt | KeyDown (TWinControl)
pt | KeyDownAfterInterface (TWinControl)
pt | KeyDownBeforeInterface (TWinControl)
pt | KeyPress (TWinControl)
pt | KeyUp (TWinControl)
pt | KeyUpAfterInterface (TWinControl)
pt | KeyUpBeforeInterface (TWinControl)
pt | LMCaptureChanged (TControl)
 | Loaded (TComponent)
pt | Loaded (TControl)
pt | Loaded (TWinControl)
pt | LoadedAll (TControl)
 | Loading (TComponent)
 | LockRealizeBounds (TWinControl)
pt | MainWndProc (TWinControl)
 | ManualDock (TControl)
 | ManualFloat (TControl)
 | MethodAddress (TObject)
 | MethodName (TObject)
pt | MouseDown (TControl)
pt | MouseEnter (TControl)
pt | MouseLeave (TControl)
pt | MouseMove (TControl)
pt | MouseUp (TControl)
 | newinstance (TObject)
 | NewInstance (TLCLComponent)
 | Notification (TComponent)
pt | Notification (TControl)
 | NotifyControls (TWinControl)
pt | PaintControls (TWinControl)
pt | PaintHandler (TWinControl)
 | PaintTo (TWinControl)
pt | PaintWindow (TWinControl)
 | PaletteCreated (TComponent)
 | ParentDestroyingHandle (TControl)
pt | ParentFontChanged (TControl)
pt | ParentFormHandleInitialized (TControl)
pt | ParentFormHandleInitialized (TWinControl)
 | ParentHandlesAllocated (TControl)
 | ParentHandlesAllocated (TWinControl)
 | ParentToClient (TControl)
 | Perform (TControl)
 | PerformTab (TWinControl)
pt | PositionDockRect (TControl)
pt | QuadClick (TControl)
 | QueryInterface (TComponent)
 | ReadLeft (TComponent)
 | ReadState (TComponent)
pt | ReadState (TControl)
 | ReadTop (TComponent)
pt | RealGetText (TControl)
pt | RealGetText (TWinControl)
 | ReAlign (TWinControl)
pt | RealizeBounds (TWinControl)
pt | RealizeBoundsRecursive (TWinControl)
pt | RealSetText (TControl)
pt | RealSetText (TWinControl)
 | ReferenceInterface (TComponent)
 | Refresh (TControl)
pt | ReloadDockedControl (TWinControl)
 | Remove (TComponent)
 | RemoveAllHandlersOfObject (TLCLComponent)
 | RemoveAllHandlersOfObject (TControl)
 | RemoveComponent (TComponent)
 | RemoveControl (TWinControl)
pt | RemoveFocus (TWinControl)
 | RemoveFreeNotification (TComponent)
pt | RemoveHandler (TControl)
 | RemoveHandlerOnBeforeDestruction (TControl)
 | RemoveHandlerOnChangeBounds (TControl)
 | RemoveHandlerOnEnableChanging (TControl)
 | RemoveHandlerOnKeyDown (TControl)
 | RemoveHandlerOnMouseWheel (TControl)
 | RemoveHandlerOnResize (TControl)
 | RemoveHandlerOnVisibleChanged (TControl)
 | RemoveHandlerOnVisibleChanging (TControl)
 | RemoveNotification (TComponent)
 | Repaint (TControl)
 | Repaint (TWinControl)
 | ReplaceDockedControl (TControl)
pt | RequestAlign (TControl)
pt | Resize (TControl)
 | SafeCallException (TObject)
 | SafeCallException (TComponent)
 | Scale96ToFont (TControl)
 | Scale96ToForm (TControl)
 | Scale96ToScreen (TControl)
 | ScaleBy (TWinControl)
pt | ScaleConstraints (TControl)
pt | ScaleControls (TWinControl)
 | ScaleDesignToForm (TControl)
 | ScaleFontsPPI (TControl)
 | ScaleFontTo96 (TControl)
 | ScaleFontToScreen (TControl)
 | ScaleFormTo96 (TControl)
 | ScaleFormToDesign (TControl)
 | ScaleScreenTo96 (TControl)
 | ScaleScreenToFont (TControl)
 | ScreenToClient (TControl)
 | ScreenToControl (TControl)
 | ScrollBy (TWinControl)
 | ScrollBy_WS (TWinControl)
pt | SelectFirst (TWinControl)
 | SelectNext (TWinControl)
pt | SendDialogChar (TWinControl)
pt | SendMoveSizeMessages (TControl)
pt | SendMoveSizeMessages (TWinControl)
 | SendToBack (TControl)
pt | SetAction (TControl)
pt | SetAlign (TControl)
 | SetAncestor (TComponent)
pt | SetAnchors (TControl)
pt | SetAutoSize (TControl)
pt | SetBiDiMode (TControl)
pt | SetBorderStyle (TWinControl)
 | SetBounds (TControl)
 | SetBounds (TWinControl)
 | SetBoundsKeepBase (TControl)
 | SetChildOrder (TComponent)
pt | SetChildZPosition (TWinControl)
pt | SetColor (TControl)
pt | SetColor (TWinControl)
 | SetComponentIndex (TComponent)
 | SetControlIndex (TWinControl)
pt | SetCursor (TControl)
 | SetDesigning (TComponent)
 | SetDesignInstance (TComponent)
pt | SetDockManager (TWinControl)
pt | SetDragMode (TControl)
pt | SetEnabled (TControl)
 | SetFocus (TWinControl)
pt | SetHint (TControl)
 | SetInitialBounds (TControl)
 | SetInline (TComponent)
 | SetName (TComponent)
pt | SetName (TControl)
pt | SetParent (TControl)
pt | SetParentBackground (TWinControl)
pt | SetParentBiDiMode (TControl)
 | SetParentComponent (TComponent)
pt | SetParentComponent (TControl)
pt | SetPreviewFileDialog (TPreviewFileControl)
 | SetReference (TComponent)
 | SetShape (TWinControl)
 | SetSubComponent (TComponent)
 | SetTempCursor (TControl)
 | SetTempCursor (TWinControl)
 | SetTextBuf (TControl)
pt | SetVisible (TControl)
pt | SetZOrder (TControl)
 | ShouldAutoAdjust (TControl)
 | Show (TControl)
pt | ShowControl (TWinControl)
 | ShowHelp (TControl)
 | StringMessageTable (TObject)
pt | TextChanged (TControl)
 | ToString (TObject)
pt | TripleClick (TControl)
 | UnitName (TObject)
 | UnlockRealizeBounds (TWinControl)
 | Update (TControl)
 | Update (TWinControl)
 | UpdateAction (TComponent)
pt | UpdateAnchorRules (TControl)
 | UpdateBaseBounds (TControl)
pt | UpdateControlState (TWinControl)
 | Updated (TComponent)
 | UpdateDockCaption (TWinControl)
pt | UpdateMouseCursor (TControl)
 | UpdateRegistry (TComponent)
 | UpdateRolesForForm (TControl)
pt | UpdateShowing (TWinControl)
 | Updating (TComponent)
 | UseRightToLeftAlignment (TControl)
 | UseRightToLeftReading (TControl)
 | UseRightToLeftScrollBar (TControl)
pt | UTF8KeyPress (TWinControl)
 | ValidateContainer (TComponent)
 | ValidateInsert (TComponent)
 | ValidateRename (TComponent)
pt | VisibleChanged (TControl)
pt | VisibleChanging (TControl)
pt | WidthIsAnchored (TControl)
pt | WMCancelMode (TControl)
pt | WMChar (TWinControl)
pt | WMContextMenu (TControl)
pt | WMContextMenu (TWinControl)
pt | WMDestroy (TWinControl)
pt | WMEnter (TWinControl)
pt | WMEraseBkgnd (TWinControl)
pt | WMExit (TWinControl)
pt | WMKeyDown (TWinControl)
pt | WMKeyUp (TWinControl)
pt | WMKillFocus (TWinControl)
pt | WMLButtonDBLCLK (TControl)
pt | WMLButtonDown (TControl)
pt | WMLButtonQuadCLK (TControl)
pt | WMLButtonTripleCLK (TControl)
pt | WMLButtonUp (TControl)
pt | WMMButtonDBLCLK (TControl)
pt | WMMButtonDown (TControl)
pt | WMMButtonQuadCLK (TControl)
pt | WMMButtonTripleCLK (TControl)
pt | WMMButtonUp (TControl)
pt | WMMouseHWheel (TControl)
pt | WMMouseMove (TControl)
pt | WMMouseWheel (TControl)
pt | WMMove (TControl)
pt | WMMove (TWinControl)
pt | WMNotify (TWinControl)
pt | WMPaint (TWinControl)
pt | WMRButtonDBLCLK (TControl)
pt | WMRButtonDown (TControl)
pt | WMRButtonQuadCLK (TControl)
pt | WMRButtonTripleCLK (TControl)
pt | WMRButtonUp (TControl)
pt | WMSetFocus (TWinControl)
pt | WMShowWindow (TWinControl)
pt | WMSize (TControl)
pt | WMSize (TWinControl)
pt | WMSysChar (TWinControl)
pt | WMSysKeyDown (TWinControl)
pt | WMSysKeyUp (TWinControl)
pt | WMWindowPosChanged (TControl)
pt | WMWindowPosChanged (TWinControl)
pt | WMXButtonDBLCLK (TControl)
pt | WMXButtonDown (TControl)
pt | WMXButtonQuadCLK (TControl)
pt | WMXButtonTripleCLK (TControl)
pt | WMXButtonUp (TControl)
pt | WndProc (TControl)
pt | WndProc (TWinControl)
 | WriteLayoutDebugReport (TControl)
 | WriteLayoutDebugReport (TWinControl)
 | WriteLeft (TComponent)
 | WriteState (TComponent)
 | WriteTop (TComponent)
pt | WSRegisterClass (TLCLComponent)
pt | WSRegisterClass (TControl)
pt | WSRegisterClass (TWinControl)
pt | WSRegisterClass (TPreviewFileControl)
pt | WSSetText (TWinControl)
 | _AddRef (TComponent)
 | _Release (TComponent)


TPreviewFileControl
TWinControl
pt | OnGetSiteInfo
pt | OnGetDockCaption
 | OnAlignInsertBefore
 | OnAlignPosition
 | OnDockDrop
 | OnDockOver
 | OnEnter
 | OnExit
 | OnKeyDown
 | OnKeyPress
 | OnKeyUp
 | OnUnDock
 | OnUTF8KeyPress
TControl
pt | OnConstrainedResize
pt | OnContextPopup
pt | OnDblClick
pt | OnTripleClick
pt | OnQuadClick
pt | OnDragDrop
pt | OnDragOver
pt | OnEndDock
pt | OnEndDrag
pt | OnMouseDown
pt | OnMouseMove
pt | OnMouseUp
pt | OnMouseEnter
pt | OnMouseLeave
pt | OnMouseWheel
pt | OnMouseWheelDown
pt | OnMouseWheelUp
pt | OnMouseWheelHorz
pt | OnMouseWheelLeft
pt | OnMouseWheelRight
pt | OnStartDock
pt | OnStartDrag
pt | OnEditingDone
 | OnChangeBounds
 | OnClick
 | OnResize
 | OnShowHint
TLCLComponent
TComponent
TPersistent
TObject


TPreviewFileControl.PreviewFileDialog

The PreviewFileDialog that is used for this control

Declaration

Source position: extdlgs.pas line 44

public property TPreviewFileControl.PreviewFileDialog : TPreviewFileDialog
  read FPreviewFileDialog
  write SetPreviewFileDialog;


TPreviewFileControl.SetPreviewFileDialog

SetPreviewFileDialog - specify the PreviewFile Dialog to be used

Declaration

Source position: extdlgs.pas line 40

protected procedure TPreviewFileControl.SetPreviewFileDialog(

  const AValue: TPreviewFileDialog

);


TPreviewFileDialog

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

TPreviewFileDialog - a dialog that allows the file contents to be inspected before opening the file

Declaration

Source position: extdlgs.pas line 50

type TPreviewFileDialog = class(TOpenDialog)
protected
class procedure WSRegisterClass; override; | Registers this component class with the current WidgetSet.
procedure CreatePreviewControl; virtual; | CreatePreviewControl - create an instance of the windowed control that uses this dialog
procedure InitPreviewControl; virtual; | InitPreviewControl - initialises the windowed control that uses this dialog
function DoExecute; override;
public
constructor Create(); override; |
property PreviewFileControl: TPreviewFileControl; [r] | PreviewFileControl - the windowed control that uses this dialog
end;

Inheritance

TPreviewFileDialog | TPreviewFileDialog - a dialog that allows the file contents to be inspected before opening the file
|
TOpenDialog | TOpenDialog : open a file in the current directory, selected by File Dialog.
|
TFileDialog | TFileDialog : allows selection of a file from the current directory.
|
TCommonDialog | TCommonDialog : the base type from which other dialogs are derived
|
TLCLComponent | The base class for LCL components associated with widgets.
|
TComponent,IUnknown,IInterfaceComponentReference
|
TPersistent,IFPObserved
|
TObject


TPreviewFileDialog
 | ro | PreviewFileControl
TOpenDialog
pl |  | Options
TFileDialog
 | ro | Files
 |  | HistoryList
pl | ro | Title
pl |  | DefaultExt
pl |  | FileName
pl |  | Filter
pl |  | FilterIndex
pl |  | InitialDir
TCommonDialog
pt |  | AttachTo
 |  | Handle
 |  | UserChoice
 |  | Width
 |  | Height
pl |  | HelpContext
pl |  | Title
TLCLComponent
 | ro | LCLRefCount
 | ro | WidgetSetClass
TComponent
 | ro | ComObject
 | ro | Components
 | ro | ComponentCount
 |  | ComponentIndex
 | ro | ComponentState
 | ro | ComponentStyle
 |  | DesignInfo
 | ro | Owner
 |  | VCLComObject
 |  | Name
 |  | Tag
TPersistent
TObject


pt |  | AttachTo (TCommonDialog)
 | ro | ComObject (TComponent)
 | ro | ComponentCount (TComponent)
 |  | ComponentIndex (TComponent)
 | ro | Components (TComponent)
 | ro | ComponentState (TComponent)
 | ro | ComponentStyle (TComponent)
pl |  | DefaultExt (TFileDialog)
 |  | DesignInfo (TComponent)
pl |  | FileName (TFileDialog)
 | ro | Files (TFileDialog)
pl |  | Filter (TFileDialog)
pl |  | FilterIndex (TFileDialog)
 |  | Handle (TCommonDialog)
 |  | Height (TCommonDialog)
pl |  | HelpContext (TCommonDialog)
 |  | HistoryList (TFileDialog)
pl |  | InitialDir (TFileDialog)
 | ro | LCLRefCount (TLCLComponent)
 |  | Name (TComponent)
pl |  | Options (TOpenDialog)
 | ro | Owner (TComponent)
 | ro | PreviewFileControl (TPreviewFileDialog)
 |  | Tag (TComponent)
pl |  | Title (TCommonDialog)
pl | ro | Title (TFileDialog)
 |  | UserChoice (TCommonDialog)
 |  | VCLComObject (TComponent)
 | ro | WidgetSetClass (TLCLComponent)
 |  | Width (TCommonDialog)


TPreviewFileDialog
pt | WSRegisterClass
pt | CreatePreviewControl
pt | InitPreviewControl
pt | DoExecute
 | Create
TOpenDialog
pt | WSRegisterClass
pt | ResolveLinks
pt | DereferenceLinks
pt | CheckFile
pt | CheckFileMustExist
pt | CheckAllFiles
pt | DoExecute
pt | DefaultTitle
 | Create
 | DoCanClose
 | DoFolderChange
 | DoSelectionChange
 | IntfSetOption
TFileDialog
pt | WSRegisterClass
pt | GetFilterIndex
pt | SetFileName
pt | SetFilter
pt | SetHistoryList
 | Create
 | Destroy
 | DoCanClose
 | DoTypeChange
 | IntfFileTypeChanged
 | FindMaskInFilter
 | ExtractAllFilterMasks
TCommonDialog
pt | WSRegisterClass
pt | DoExecute
pt | DefaultTitle
pt | GetHeight
pt | GetWidth
pt | SetHeight
pt | SetWidth
pt | ResetShowCloseFlags
 | Create
 | Execute
 | Close
 | DoShow
 | DoCanClose
 | DoClose
 | HandleAllocated
TLCLComponent
pt | WSRegisterClass
pt | GetWSComponentClass
 | Create
 | Destroy
 | NewInstance
 | RemoveAllHandlersOfObject
 | IncLCLRefCount
 | DecLCLRefCount
TComponent
 | GetComObject
 | GetComponent
 | GetComponentCount
 | GetComponentIndex
 | Insert
 | ReadLeft
 | ReadTop
 | Remove
 | RemoveNotification
 | SetComponentIndex
 | SetReference
 | WriteLeft
 | WriteTop
 | ChangeName
 | DefineProperties
 | GetChildren
 | GetChildOwner
 | GetChildParent
 | GetOwner
 | Loaded
 | Loading
 | Notification
 | PaletteCreated
 | ReadState
 | SetAncestor
 | SetDesigning
 | SetDesignInstance
 | SetInline
 | SetName
 | SetChildOrder
 | SetParentComponent
 | Updating
 | Updated
 | UpdateRegistry
 | ValidateRename
 | ValidateContainer
 | ValidateInsert
 | QueryInterface
 | _AddRef
 | _Release
 | iicrGetComponent
 | GetTypeInfoCount
 | GetTypeInfo
 | GetIDsOfNames
 | Invoke
 | WriteState
 | Create
 | Destroy
 | BeforeDestruction
 | DestroyComponents
 | Destroying
 | ExecuteAction
 | FindComponent
 | FreeNotification
 | RemoveFreeNotification
 | FreeOnRelease
 | GetEnumerator
 | GetNamePath
 | GetParentComponent
 | HasParent
 | InsertComponent
 | RemoveComponent
 | SafeCallException
 | SetSubComponent
 | UpdateAction
 | IsImplementorOf
 | ReferenceInterface
TPersistent
 | AssignError
 | AssignTo
 | DefineProperties
 | GetOwner
 | Destroy
 | Assign
 | FPOAttachObserver
 | FPODetachObserver
 | FPONotifyObservers
 | GetNamePath
TObject
 | Create
 | Destroy
 | newinstance
 | FreeInstance
 | SafeCallException
 | DefaultHandler
 | Free
 | InitInstance
 | CleanupInstance
 | ClassType
 | ClassInfo
 | ClassName
 | ClassNameIs
 | ClassParent
 | InstanceSize
 | InheritsFrom
 | StringMessageTable
 | MethodAddress
 | MethodName
 | FieldAddress
 | AfterConstruction
 | BeforeDestruction
 | DefaultHandlerStr
 | Dispatch
 | DispatchStr
 | GetInterface
 | GetInterfaceByStr
 | GetInterfaceWeak
 | GetInterfaceEntry
 | GetInterfaceEntryByStr
 | GetInterfaceTable
 | UnitName
 | Equals
 | GetHashCode
 | ToString


 | AssignError (TPersistent)
 | AssignTo (TPersistent)
 | BeforeDestruction (TObject)
 | BeforeDestruction (TComponent)
 | ChangeName (TComponent)
pt | CheckAllFiles (TOpenDialog)
pt | CheckFile (TOpenDialog)
pt | CheckFileMustExist (TOpenDialog)
 | ClassInfo (TObject)
 | ClassName (TObject)
 | ClassNameIs (TObject)
 | ClassParent (TObject)
 | ClassType (TObject)
 | CleanupInstance (TObject)
 | Close (TCommonDialog)
 | Create (TObject)
 | Create (TComponent)
 | Create (TLCLComponent)
 | Create (TCommonDialog)
 | Create (TFileDialog)
 | Create (TOpenDialog)
 | Create (TPreviewFileDialog)
pt | CreatePreviewControl (TPreviewFileDialog)
 | DecLCLRefCount (TLCLComponent)
 | DefaultHandler (TObject)
 | DefaultHandlerStr (TObject)
pt | DefaultTitle (TCommonDialog)
pt | DefaultTitle (TOpenDialog)
 | DefineProperties (TPersistent)
 | DefineProperties (TComponent)
pt | DereferenceLinks (TOpenDialog)
 | Destroy (TObject)
 | Destroy (TPersistent)
 | Destroy (TComponent)
 | Destroy (TLCLComponent)
 | Destroy (TFileDialog)
 | DestroyComponents (TComponent)
 | Destroying (TComponent)
 | Dispatch (TObject)
 | DispatchStr (TObject)
 | DoCanClose (TCommonDialog)
 | DoCanClose (TFileDialog)
 | DoCanClose (TOpenDialog)
 | DoClose (TCommonDialog)
pt | DoExecute (TCommonDialog)
pt | DoExecute (TOpenDialog)
pt | DoExecute (TPreviewFileDialog)
 | DoFolderChange (TOpenDialog)
 | DoSelectionChange (TOpenDialog)
 | DoShow (TCommonDialog)
 | DoTypeChange (TFileDialog)
 | Equals (TObject)
 | Execute (TCommonDialog)
 | ExecuteAction (TComponent)
 | ExtractAllFilterMasks (TFileDialog)
 | FieldAddress (TObject)
 | FindComponent (TComponent)
 | FindMaskInFilter (TFileDialog)
 | FPOAttachObserver (TPersistent)
 | FPODetachObserver (TPersistent)
 | FPONotifyObservers (TPersistent)
 | Free (TObject)
 | FreeInstance (TObject)
 | FreeNotification (TComponent)
 | FreeOnRelease (TComponent)
 | GetChildOwner (TComponent)
 | GetChildParent (TComponent)
 | GetChildren (TComponent)
 | GetComObject (TComponent)
 | GetComponent (TComponent)
 | GetComponentCount (TComponent)
 | GetComponentIndex (TComponent)
 | GetEnumerator (TComponent)
pt | GetFilterIndex (TFileDialog)
 | GetHashCode (TObject)
pt | GetHeight (TCommonDialog)
 | GetIDsOfNames (TComponent)
 | GetInterface (TObject)
 | GetInterfaceByStr (TObject)
 | GetInterfaceEntry (TObject)
 | GetInterfaceEntryByStr (TObject)
 | GetInterfaceTable (TObject)
 | GetInterfaceWeak (TObject)
 | GetNamePath (TPersistent)
 | GetNamePath (TComponent)
 | GetOwner (TPersistent)
 | GetOwner (TComponent)
 | GetParentComponent (TComponent)
 | GetTypeInfo (TComponent)
 | GetTypeInfoCount (TComponent)
pt | GetWidth (TCommonDialog)
pt | GetWSComponentClass (TLCLComponent)
 | HandleAllocated (TCommonDialog)
 | HasParent (TComponent)
 | iicrGetComponent (TComponent)
 | IncLCLRefCount (TLCLComponent)
 | InheritsFrom (TObject)
 | InitInstance (TObject)
pt | InitPreviewControl (TPreviewFileDialog)
 | Insert (TComponent)
 | InsertComponent (TComponent)
 | InstanceSize (TObject)
 | IntfFileTypeChanged (TFileDialog)
 | IntfSetOption (TOpenDialog)
 | Invoke (TComponent)
 | IsImplementorOf (TComponent)
 | Loaded (TComponent)
 | Loading (TComponent)
 | MethodAddress (TObject)
 | MethodName (TObject)
 | newinstance (TObject)
 | NewInstance (TLCLComponent)
 | Notification (TComponent)
 | PaletteCreated (TComponent)
 | QueryInterface (TComponent)
 | ReadLeft (TComponent)
 | ReadState (TComponent)
 | ReadTop (TComponent)
 | ReferenceInterface (TComponent)
 | Remove (TComponent)
 | RemoveAllHandlersOfObject (TLCLComponent)
 | RemoveComponent (TComponent)
 | RemoveFreeNotification (TComponent)
 | RemoveNotification (TComponent)
pt | ResetShowCloseFlags (TCommonDialog)
pt | ResolveLinks (TOpenDialog)
 | SafeCallException (TObject)
 | SafeCallException (TComponent)
 | SetAncestor (TComponent)
 | SetChildOrder (TComponent)
 | SetComponentIndex (TComponent)
 | SetDesigning (TComponent)
 | SetDesignInstance (TComponent)
pt | SetFileName (TFileDialog)
pt | SetFilter (TFileDialog)
pt | SetHeight (TCommonDialog)
pt | SetHistoryList (TFileDialog)
 | SetInline (TComponent)
 | SetName (TComponent)
 | SetParentComponent (TComponent)
 | SetReference (TComponent)
 | SetSubComponent (TComponent)
pt | SetWidth (TCommonDialog)
 | StringMessageTable (TObject)
 | ToString (TObject)
 | UnitName (TObject)
 | UpdateAction (TComponent)
 | Updated (TComponent)
 | UpdateRegistry (TComponent)
 | Updating (TComponent)
 | ValidateContainer (TComponent)
 | ValidateInsert (TComponent)
 | ValidateRename (TComponent)
 | WriteLeft (TComponent)
 | WriteState (TComponent)
 | WriteTop (TComponent)
pt | WSRegisterClass (TLCLComponent)
pt | WSRegisterClass (TCommonDialog)
pt | WSRegisterClass (TFileDialog)
pt | WSRegisterClass (TOpenDialog)
pt | WSRegisterClass (TPreviewFileDialog)
 | _AddRef (TComponent)
 | _Release (TComponent)


TPreviewFileDialog
TOpenDialog
pl | OnFolderChange
pl | OnSelectionChange
TFileDialog
pl | OnHelpClicked
pl | OnTypeChange
TCommonDialog
pt | OnDialogResult
pl | OnClose
pl | OnCanClose
pl | OnShow
TLCLComponent
TComponent
TPersistent
TObject


TPreviewFileDialog.CreatePreviewControl

CreatePreviewControl - create an instance of the windowed control that uses this dialog

Declaration

Source position: extdlgs.pas line 55

protected procedure TPreviewFileDialog.CreatePreviewControl; virtual;


TPreviewFileDialog.InitPreviewControl

InitPreviewControl - initialises the windowed control that uses this dialog

Declaration

Source position: extdlgs.pas line 56

protected procedure TPreviewFileDialog.InitPreviewControl; virtual;


TPreviewFileDialog.PreviewFileControl

PreviewFileControl - the windowed control that uses this dialog

Declaration

Source position: extdlgs.pas line 60

public property TPreviewFileDialog.PreviewFileControl : TPreviewFileControl
  read FPreviewFileControl;


TSavePictureDialog

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

TSavePictureDialog - a dialog for saving the picture in the current buffer to a file

Declaration

Source position: extdlgs.pas line 92

type TSavePictureDialog = class(TOpenPictureDialog)
protected
class procedure WSRegisterClass; override; | Registers this component class with the current WidgetSet.
function DefaultTitle; override;
public
constructor Create(); override; |
end;

Inheritance

TSavePictureDialog | TSavePictureDialog - a dialog for saving the picture in the current buffer to a file
|
TOpenPictureDialog | TOpenPictureDialog - a preview dialog that shows a preview of a picture before opening the file
|
TPreviewFileDialog | TPreviewFileDialog - a dialog that allows the file contents to be inspected before opening the file
|
TOpenDialog | TOpenDialog : open a file in the current directory, selected by File Dialog.
|
TFileDialog | TFileDialog : allows selection of a file from the current directory.
|
TCommonDialog | TCommonDialog : the base type from which other dialogs are derived
|
TLCLComponent | The base class for LCL components associated with widgets.
|
TComponent,IUnknown,IInterfaceComponentReference
|
TPersistent,IFPObserved
|
TObject


TSavePictureDialog
TOpenPictureDialog
pt | ro | ImageCtrl
pt | ro | PictureGroupBox
 | ro | DefaultFilter
pl | ro | Filter
TPreviewFileDialog
 | ro | PreviewFileControl
TOpenDialog
pl |  | Options
TFileDialog
 | ro | Files
 |  | HistoryList
pl | ro | Title
pl |  | DefaultExt
pl |  | FileName
pl |  | Filter
pl |  | FilterIndex
pl |  | InitialDir
TCommonDialog
pt |  | AttachTo
 |  | Handle
 |  | UserChoice
 |  | Width
 |  | Height
pl |  | HelpContext
pl |  | Title
TLCLComponent
 | ro | LCLRefCount
 | ro | WidgetSetClass
TComponent
 | ro | ComObject
 | ro | Components
 | ro | ComponentCount
 |  | ComponentIndex
 | ro | ComponentState
 | ro | ComponentStyle
 |  | DesignInfo
 | ro | Owner
 |  | VCLComObject
 |  | Name
 |  | Tag
TPersistent
TObject


TSavePictureDialog
pt | WSRegisterClass
pt | DefaultTitle
 | Create
TOpenPictureDialog
pt | WSRegisterClass
pt | IsFilterStored
pt | InitPreviewControl
pt | ClearPreview
pt | UpdatePreview
 | Create
 | DoClose
 | DoSelectionChange
 | DoShow
 | GetFilterExt
TPreviewFileDialog
pt | WSRegisterClass
pt | CreatePreviewControl
pt | InitPreviewControl
pt | DoExecute
 | Create
TOpenDialog
pt | WSRegisterClass
pt | ResolveLinks
pt | DereferenceLinks
pt | CheckFile
pt | CheckFileMustExist
pt | CheckAllFiles
pt | DoExecute
pt | DefaultTitle
 | Create
 | DoCanClose
 | DoFolderChange
 | DoSelectionChange
 | IntfSetOption
TFileDialog
pt | WSRegisterClass
pt | GetFilterIndex
pt | SetFileName
pt | SetFilter
pt | SetHistoryList
 | Create
 | Destroy
 | DoCanClose
 | DoTypeChange
 | IntfFileTypeChanged
 | FindMaskInFilter
 | ExtractAllFilterMasks
TCommonDialog
pt | WSRegisterClass
pt | DoExecute
pt | DefaultTitle
pt | GetHeight
pt | GetWidth
pt | SetHeight
pt | SetWidth
pt | ResetShowCloseFlags
 | Create
 | Execute
 | Close
 | DoShow
 | DoCanClose
 | DoClose
 | HandleAllocated
TLCLComponent
pt | WSRegisterClass
pt | GetWSComponentClass
 | Create
 | Destroy
 | NewInstance
 | RemoveAllHandlersOfObject
 | IncLCLRefCount
 | DecLCLRefCount
TComponent
 | GetComObject
 | GetComponent
 | GetComponentCount
 | GetComponentIndex
 | Insert
 | ReadLeft
 | ReadTop
 | Remove
 | RemoveNotification
 | SetComponentIndex
 | SetReference
 | WriteLeft
 | WriteTop
 | ChangeName
 | DefineProperties
 | GetChildren
 | GetChildOwner
 | GetChildParent
 | GetOwner
 | Loaded
 | Loading
 | Notification
 | PaletteCreated
 | ReadState
 | SetAncestor
 | SetDesigning
 | SetDesignInstance
 | SetInline
 | SetName
 | SetChildOrder
 | SetParentComponent
 | Updating
 | Updated
 | UpdateRegistry
 | ValidateRename
 | ValidateContainer
 | ValidateInsert
 | QueryInterface
 | _AddRef
 | _Release
 | iicrGetComponent
 | GetTypeInfoCount
 | GetTypeInfo
 | GetIDsOfNames
 | Invoke
 | WriteState
 | Create
 | Destroy
 | BeforeDestruction
 | DestroyComponents
 | Destroying
 | ExecuteAction
 | FindComponent
 | FreeNotification
 | RemoveFreeNotification
 | FreeOnRelease
 | GetEnumerator
 | GetNamePath
 | GetParentComponent
 | HasParent
 | InsertComponent
 | RemoveComponent
 | SafeCallException
 | SetSubComponent
 | UpdateAction
 | IsImplementorOf
 | ReferenceInterface
TPersistent
 | AssignError
 | AssignTo
 | DefineProperties
 | GetOwner
 | Destroy
 | Assign
 | FPOAttachObserver
 | FPODetachObserver
 | FPONotifyObservers
 | GetNamePath
TObject
 | Create
 | Destroy
 | newinstance
 | FreeInstance
 | SafeCallException
 | DefaultHandler
 | Free
 | InitInstance
 | CleanupInstance
 | ClassType
 | ClassInfo
 | ClassName
 | ClassNameIs
 | ClassParent
 | InstanceSize
 | InheritsFrom
 | StringMessageTable
 | MethodAddress
 | MethodName
 | FieldAddress
 | AfterConstruction
 | BeforeDestruction
 | DefaultHandlerStr
 | Dispatch
 | DispatchStr
 | GetInterface
 | GetInterfaceByStr
 | GetInterfaceWeak
 | GetInterfaceEntry
 | GetInterfaceEntryByStr
 | GetInterfaceTable
 | UnitName
 | Equals
 | GetHashCode
 | ToString


 | AssignError (TPersistent)
 | AssignTo (TPersistent)
 | BeforeDestruction (TObject)
 | BeforeDestruction (TComponent)
 | ChangeName (TComponent)
pt | CheckAllFiles (TOpenDialog)
pt | CheckFile (TOpenDialog)
pt | CheckFileMustExist (TOpenDialog)
 | ClassInfo (TObject)
 | ClassName (TObject)
 | ClassNameIs (TObject)
 | ClassParent (TObject)
 | ClassType (TObject)
 | CleanupInstance (TObject)
pt | ClearPreview (TOpenPictureDialog)
 | Close (TCommonDialog)
 | Create (TObject)
 | Create (TComponent)
 | Create (TLCLComponent)
 | Create (TCommonDialog)
 | Create (TFileDialog)
 | Create (TOpenDialog)
 | Create (TPreviewFileDialog)
 | Create (TOpenPictureDialog)
 | Create (TSavePictureDialog)
pt | CreatePreviewControl (TPreviewFileDialog)
 | DecLCLRefCount (TLCLComponent)
 | DefaultHandler (TObject)
 | DefaultHandlerStr (TObject)
pt | DefaultTitle (TCommonDialog)
pt | DefaultTitle (TOpenDialog)
pt | DefaultTitle (TSavePictureDialog)
 | DefineProperties (TPersistent)
 | DefineProperties (TComponent)
pt | DereferenceLinks (TOpenDialog)
 | Destroy (TObject)
 | Destroy (TPersistent)
 | Destroy (TComponent)
 | Destroy (TLCLComponent)
 | Destroy (TFileDialog)
 | DestroyComponents (TComponent)
 | Destroying (TComponent)
 | Dispatch (TObject)
 | DispatchStr (TObject)
 | DoCanClose (TCommonDialog)
 | DoCanClose (TFileDialog)
 | DoCanClose (TOpenDialog)
 | DoClose (TCommonDialog)
 | DoClose (TOpenPictureDialog)
pt | DoExecute (TCommonDialog)
pt | DoExecute (TOpenDialog)
pt | DoExecute (TPreviewFileDialog)
 | DoFolderChange (TOpenDialog)
 | DoSelectionChange (TOpenDialog)
 | DoSelectionChange (TOpenPictureDialog)
 | DoShow (TCommonDialog)
 | DoShow (TOpenPictureDialog)
 | DoTypeChange (TFileDialog)
 | Equals (TObject)
 | Execute (TCommonDialog)
 | ExecuteAction (TComponent)
 | ExtractAllFilterMasks (TFileDialog)
 | FieldAddress (TObject)
 | FindComponent (TComponent)
 | FindMaskInFilter (TFileDialog)
 | FPOAttachObserver (TPersistent)
 | FPODetachObserver (TPersistent)
 | FPONotifyObservers (TPersistent)
 | Free (TObject)
 | FreeInstance (TObject)
 | FreeNotification (TComponent)
 | FreeOnRelease (TComponent)
 | GetChildOwner (TComponent)
 | GetChildParent (TComponent)
 | GetChildren (TComponent)
 | GetComObject (TComponent)
 | GetComponent (TComponent)
 | GetComponentCount (TComponent)
 | GetComponentIndex (TComponent)
 | GetEnumerator (TComponent)
 | GetFilterExt (TOpenPictureDialog)
pt | GetFilterIndex (TFileDialog)
 | GetHashCode (TObject)
pt | GetHeight (TCommonDialog)
 | GetIDsOfNames (TComponent)
 | GetInterface (TObject)
 | GetInterfaceByStr (TObject)
 | GetInterfaceEntry (TObject)
 | GetInterfaceEntryByStr (TObject)
 | GetInterfaceTable (TObject)
 | GetInterfaceWeak (TObject)
 | GetNamePath (TPersistent)
 | GetNamePath (TComponent)
 | GetOwner (TPersistent)
 | GetOwner (TComponent)
 | GetParentComponent (TComponent)
 | GetTypeInfo (TComponent)
 | GetTypeInfoCount (TComponent)
pt | GetWidth (TCommonDialog)
pt | GetWSComponentClass (TLCLComponent)
 | HandleAllocated (TCommonDialog)
 | HasParent (TComponent)
 | iicrGetComponent (TComponent)
 | IncLCLRefCount (TLCLComponent)
 | InheritsFrom (TObject)
 | InitInstance (TObject)
pt | InitPreviewControl (TPreviewFileDialog)
pt | InitPreviewControl (TOpenPictureDialog)
 | Insert (TComponent)
 | InsertComponent (TComponent)
 | InstanceSize (TObject)
 | IntfFileTypeChanged (TFileDialog)
 | IntfSetOption (TOpenDialog)
 | Invoke (TComponent)
pt | IsFilterStored (TOpenPictureDialog)
 | IsImplementorOf (TComponent)
 | Loaded (TComponent)
 | Loading (TComponent)
 | MethodAddress (TObject)
 | MethodName (TObject)
 | newinstance (TObject)
 | NewInstance (TLCLComponent)
 | Notification (TComponent)
 | PaletteCreated (TComponent)
 | QueryInterface (TComponent)
 | ReadLeft (TComponent)
 | ReadState (TComponent)
 | ReadTop (TComponent)
 | ReferenceInterface (TComponent)
 | Remove (TComponent)
 | RemoveAllHandlersOfObject (TLCLComponent)
 | RemoveComponent (TComponent)
 | RemoveFreeNotification (TComponent)
 | RemoveNotification (TComponent)
pt | ResetShowCloseFlags (TCommonDialog)
pt | ResolveLinks (TOpenDialog)
 | SafeCallException (TObject)
 | SafeCallException (TComponent)
 | SetAncestor (TComponent)
 | SetChildOrder (TComponent)
 | SetComponentIndex (TComponent)
 | SetDesigning (TComponent)
 | SetDesignInstance (TComponent)
pt | SetFileName (TFileDialog)
pt | SetFilter (TFileDialog)
pt | SetHeight (TCommonDialog)
pt | SetHistoryList (TFileDialog)
 | SetInline (TComponent)
 | SetName (TComponent)
 | SetParentComponent (TComponent)
 | SetReference (TComponent)
 | SetSubComponent (TComponent)
pt | SetWidth (TCommonDialog)
 | StringMessageTable (TObject)
 | ToString (TObject)
 | UnitName (TObject)
 | UpdateAction (TComponent)
 | Updated (TComponent)
pt | UpdatePreview (TOpenPictureDialog)
 | UpdateRegistry (TComponent)
 | Updating (TComponent)
 | ValidateContainer (TComponent)
 | ValidateInsert (TComponent)
 | ValidateRename (TComponent)
 | WriteLeft (TComponent)
 | WriteState (TComponent)
 | WriteTop (TComponent)
pt | WSRegisterClass (TLCLComponent)
pt | WSRegisterClass (TCommonDialog)
pt | WSRegisterClass (TFileDialog)
pt | WSRegisterClass (TOpenDialog)
pt | WSRegisterClass (TPreviewFileDialog)
pt | WSRegisterClass (TOpenPictureDialog)
pt | WSRegisterClass (TSavePictureDialog)
 | _AddRef (TComponent)
 | _Release (TComponent)


TSavePictureDialog
TOpenPictureDialog
TPreviewFileDialog
TOpenDialog
pl | OnFolderChange
pl | OnSelectionChange
TFileDialog
pl | OnHelpClicked
pl | OnTypeChange
TCommonDialog
pt | OnDialogResult
pl | OnClose
pl | OnCanClose
pl | OnShow
TLCLComponent
TComponent
TPersistent
TObject


TSavePictureDialog.DefaultTitle

Declaration

Source position: extdlgs.pas line 95

protected function TSavePictureDialog.DefaultTitle: string; override;


TCustomFileListBox

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

TCustomFileListBox : base type for TFileListBox - a tool for listing files for selection

Declaration

Source position: filectrl.pp line 44

type TCustomFileListBox = class(TCustomListBox)
protected
procedure DoChangeFile; virtual; | DoChangeFile - method to change a file selection: calls the OnChange event handler
procedure Loaded; override; |
function IndexOfFile(); | IndexOfFile - number of the selected file in the list of files
procedure KeyUp(); override; | Invokes the OnKeyUp handler.
public
constructor Create(); override; |
destructor Destroy; override; |
procedure Click; override; | Invokes the OnClick and ActionLink.Execute handlers.
procedure UpdateFileList; virtual; | UpdateFileList - brings the list of files up to date, taking into account any changes
property Drive: Char; [rw] | The Drive on which the file is located (applies to Windows systems)
property Directory: string; [rw] | The Directory or Folder in which the file is located
property FileName: string; [rw] | FileName - the name of the selected file
property FileType: TFileType; [rw] | FileType - the type or attributes of the selected file
property Mask: string; [rws] | Specifies which files will be shown
property OnChange: TNotifyEvent; [rw] | OnChange - event handler for a change in the file list or the selection
property Sorted: Boolean; | Determines whether the list entries are sorted.
end;

Inheritance

TCustomFileListBox | TCustomFileListBox : base type for TFileListBox - a tool for listing files for selection
|
TCustomListBox | The base class for TListBox.
|
TWinControl | The base class for controls which can contain other (child) controls.
|
TControl | The base class for visible controls.
|
TLCLComponent | The base class for LCL components associated with widgets.
|
TComponent,IUnknown,IInterfaceComponentReference
|
TPersistent,IFPObserved
|
TObject


TCustomFileListBox
 |  | Drive
 |  | Directory
 |  | FileName
 |  | FileType
 |  | Mask
 | ro | Sorted
TCustomListBox
 | ro | Align
 | ro | Anchors
 | ro | BorderStyle
 | ro | Canvas
 |  | ClickOnSelChange
 |  | Columns
 | ro | Constraints
 | ro | Count
 |  | ExtendedSelect
 | ro | Font
 |  | IntegralHeight
 |  | ItemHeight
 |  | ItemIndex
 |  | Items
 |  | MultiSelect
 |  | Options
 | ro | ParentColor
 | ro | ParentFont
 | ro | ParentShowHint
 | ro | PopupMenu
 |  | ScrollWidth
 | ro | SelCount
 |  | Selected
 | ro | ShowHint
 |  | Sorted
 |  | Style
 | ro | TabOrder
 | ro | TabStop
 |  | TopIndex
 | ro | Visible
TWinControl
pt |  | WindowHandle
pt |  | BorderStyle
pt |  | ParentBackground
 |  | BorderWidth
 | ro | BoundsLockCount
 | ro | Brush
 | ro | CachedClientHeight
 | ro | CachedClientWidth
 |  | ChildSizing
 | ro | ControlCount
 | ro | Controls
 |  | DefWndProc
 | ro | DockClientCount
 | ro | DockClients
 |  | DockManager
 |  | DockSite
 |  | DoubleBuffered
 |  | Handle
 | ro | IsFlipped
 | ro | IsResizing
 |  | TabOrder
 |  | TabStop
 |  | ParentDoubleBuffered
 |  | ParentWindow
 | ro | Showing
 |  | UseDockManager
 |  | DesignerDeleting
 | ro | VisibleDockClientCount
TControl
pt | ro | AutoSizing
pt | ro | AutoSizingAll
pt | ro | AutoSizingLockCount
pt |  | ActionLink
pt |  | DesktopFont
pt |  | DragCursor
pt |  | DragKind
pt |  | DragMode
pt |  | MouseCapture
pt |  | ParentColor
pt |  | ParentFont
pt |  | ParentShowHint
pt |  | SessionProperties
pt |  | Text
 | ro | AnchoredControls
 | ro | BaseBounds
 | ro | ReadBounds
 | ro | BaseParentClientSize
 |  | AccessibleDescription
 |  | AccessibleValue
 |  | AccessibleRole
 |  | Action
 |  | Align
 |  | Anchors
 | ro | AnchorSide
 |  | AutoSize
 |  | BorderSpacing
 |  | BoundsRect
 |  | BoundsRectForNewParent
 |  | Caption
 |  | CaptureMouseButtons
 |  | ClientHeight
 | ro | ClientOrigin
 | ro | ClientRect
 |  | ClientWidth
 |  | Color
 |  | Constraints
 | ro | ControlOrigin
 |  | ControlState
 |  | ControlStyle
 |  | Enabled
 |  | Font
 |  | IsControl
 | ro | MouseEntered
 | ro | MouseInClient
 |  | Parent
 |  | PopupMenu
 |  | ShowHint
 |  | Visible
 |  | WindowProc
 |  | DockOrientation
 | ro | Floating
 |  | FloatingDockSiteClass
 |  | HostDockSite
 |  | LRDockWidth
 |  | TBDockHeight
 |  | UndockHeight
 |  | UndockWidth
 |  | BiDiMode
 |  | ParentBiDiMode
pl |  | AnchorSideLeft
pl |  | AnchorSideTop
pl |  | AnchorSideRight
pl |  | AnchorSideBottom
pl |  | Cursor
pl |  | Left
pl |  | Height
pl |  | Hint
pl |  | Top
pl |  | Width
pl |  | HelpType
pl |  | HelpKeyword
pl |  | HelpContext
TLCLComponent
 | ro | LCLRefCount
 | ro | WidgetSetClass
TComponent
 | ro | ComObject
 | ro | Components
 | ro | ComponentCount
 |  | ComponentIndex
 | ro | ComponentState
 | ro | ComponentStyle
 |  | DesignInfo
 | ro | Owner
 |  | VCLComObject
 |  | Name
 |  | Tag
TPersistent
TObject


 |  | AccessibleDescription (TControl)
 |  | AccessibleRole (TControl)
 |  | AccessibleValue (TControl)
 |  | Action (TControl)
pt |  | ActionLink (TControl)
 |  | Align (TControl)
 | ro | Align (TCustomListBox)
 | ro | AnchoredControls (TControl)
 |  | Anchors (TControl)
 | ro | Anchors (TCustomListBox)
 | ro | AnchorSide (TControl)
pl |  | AnchorSideBottom (TControl)
pl |  | AnchorSideLeft (TControl)
pl |  | AnchorSideRight (TControl)
pl |  | AnchorSideTop (TControl)
 |  | AutoSize (TControl)
pt | ro | AutoSizing (TControl)
pt | ro | AutoSizingAll (TControl)
pt | ro | AutoSizingLockCount (TControl)
 | ro | BaseBounds (TControl)
 | ro | BaseParentClientSize (TControl)
 |  | BiDiMode (TControl)
 |  | BorderSpacing (TControl)
pt |  | BorderStyle (TWinControl)
 | ro | BorderStyle (TCustomListBox)
 |  | BorderWidth (TWinControl)
 | ro | BoundsLockCount (TWinControl)
 |  | BoundsRect (TControl)
 |  | BoundsRectForNewParent (TControl)
 | ro | Brush (TWinControl)
 | ro | CachedClientHeight (TWinControl)
 | ro | CachedClientWidth (TWinControl)
 | ro | Canvas (TCustomListBox)
 |  | Caption (TControl)
 |  | CaptureMouseButtons (TControl)
 |  | ChildSizing (TWinControl)
 |  | ClickOnSelChange (TCustomListBox)
 |  | ClientHeight (TControl)
 | ro | ClientOrigin (TControl)
 | ro | ClientRect (TControl)
 |  | ClientWidth (TControl)
 |  | Color (TControl)
 |  | Columns (TCustomListBox)
 | ro | ComObject (TComponent)
 | ro | ComponentCount (TComponent)
 |  | ComponentIndex (TComponent)
 | ro | Components (TComponent)
 | ro | ComponentState (TComponent)
 | ro | ComponentStyle (TComponent)
 |  | Constraints (TControl)
 | ro | Constraints (TCustomListBox)
 | ro | ControlCount (TWinControl)
 | ro | ControlOrigin (TControl)
 | ro | Controls (TWinControl)
 |  | ControlState (TControl)
 |  | ControlStyle (TControl)
 | ro | Count (TCustomListBox)
pl |  | Cursor (TControl)
 |  | DefWndProc (TWinControl)
 |  | DesignerDeleting (TWinControl)
 |  | DesignInfo (TComponent)
pt |  | DesktopFont (TControl)
 |  | Directory (TCustomFileListBox)
 | ro | DockClientCount (TWinControl)
 | ro | DockClients (TWinControl)
 |  | DockManager (TWinControl)
 |  | DockOrientation (TControl)
 |  | DockSite (TWinControl)
 |  | DoubleBuffered (TWinControl)
pt |  | DragCursor (TControl)
pt |  | DragKind (TControl)
pt |  | DragMode (TControl)
 |  | Drive (TCustomFileListBox)
 |  | Enabled (TControl)
 |  | ExtendedSelect (TCustomListBox)
 |  | FileName (TCustomFileListBox)
 |  | FileType (TCustomFileListBox)
 | ro | Floating (TControl)
 |  | FloatingDockSiteClass (TControl)
 |  | Font (TControl)
 | ro | Font (TCustomListBox)
 |  | Handle (TWinControl)
pl |  | Height (TControl)
pl |  | HelpContext (TControl)
pl |  | HelpKeyword (TControl)
pl |  | HelpType (TControl)
pl |  | Hint (TControl)
 |  | HostDockSite (TControl)
 |  | IntegralHeight (TCustomListBox)
 |  | IsControl (TControl)
 | ro | IsFlipped (TWinControl)
 | ro | IsResizing (TWinControl)
 |  | ItemHeight (TCustomListBox)
 |  | ItemIndex (TCustomListBox)
 |  | Items (TCustomListBox)
 | ro | LCLRefCount (TLCLComponent)
pl |  | Left (TControl)
 |  | LRDockWidth (TControl)
 |  | Mask (TCustomFileListBox)
pt |  | MouseCapture (TControl)
 | ro | MouseEntered (TControl)
 | ro | MouseInClient (TControl)
 |  | MultiSelect (TCustomListBox)
 |  | Name (TComponent)
 |  | Options (TCustomListBox)
 | ro | Owner (TComponent)
 |  | Parent (TControl)
pt |  | ParentBackground (TWinControl)
 |  | ParentBiDiMode (TControl)
pt |  | ParentColor (TControl)
 | ro | ParentColor (TCustomListBox)
 |  | ParentDoubleBuffered (TWinControl)
pt |  | ParentFont (TControl)
 | ro | ParentFont (TCustomListBox)
pt |  | ParentShowHint (TControl)
 | ro | ParentShowHint (TCustomListBox)
 |  | ParentWindow (TWinControl)
 |  | PopupMenu (TControl)
 | ro | PopupMenu (TCustomListBox)
 | ro | ReadBounds (TControl)
 |  | ScrollWidth (TCustomListBox)
 | ro | SelCount (TCustomListBox)
 |  | Selected (TCustomListBox)
pt |  | SessionProperties (TControl)
 |  | ShowHint (TControl)
 | ro | ShowHint (TCustomListBox)
 | ro | Showing (TWinControl)
 |  | Sorted (TCustomListBox)
 | ro | Sorted (TCustomFileListBox)
 |  | Style (TCustomListBox)
 |  | TabOrder (TWinControl)
 | ro | TabOrder (TCustomListBox)
 |  | TabStop (TWinControl)
 | ro | TabStop (TCustomListBox)
 |  | Tag (TComponent)
 |  | TBDockHeight (TControl)
pt |  | Text (TControl)
pl |  | Top (TControl)
 |  | TopIndex (TCustomListBox)
 |  | UndockHeight (TControl)
 |  | UndockWidth (TControl)
 |  | UseDockManager (TWinControl)
 |  | VCLComObject (TComponent)
 |  | Visible (TControl)
 | ro | Visible (TCustomListBox)
 | ro | VisibleDockClientCount (TWinControl)
 | ro | WidgetSetClass (TLCLComponent)
pl |  | Width (TControl)
pt |  | WindowHandle (TWinControl)
 |  | WindowProc (TControl)


TCustomFileListBox
pt | DoChangeFile
pt | Loaded
pt | IndexOfFile
pt | KeyUp
 | Create
 | Destroy
 | Click
 | UpdateFileList
TCustomListBox
pt | WSRegisterClass
pt | AssignItemDataToCache
pt | AssignCacheToItemData
pt | BeforeDragStart
pt | BeginAutoDrag
pt | CalculateStandardItemHeight
pt | CreateParams
pt | InitializeWnd
pt | DestroyWnd
pt | FinalizeWnd
pt | GetControlClassDefaultSize
pt | CheckIndex
pt | GetItemHeight
pt | GetItemIndex
pt | GetSelCount
pt | GetSelected
pt | GetCachedDataSize
pt | GetCachedData
pt | SetExtendedSelect
pt | SetItemIndex
pt | SetItems
pt | SetItemHeight
pt | SetMultiSelect
pt | SetSelected
pt | SetSorted
pt | SetStyle
pt | DrawItem
pt | DoAutoAdjustLayout
pt | DoSelectionChange
pt | SendItemIndex
pt | WMGetDlgCode
 | Create
 | Destroy
 | AddItem
 | Click
 | Clear
 | ClearSelection
 | GetIndexAtXY
 | GetIndexAtY
 | GetSelectedText
 | ItemAtPos
 | ItemRect
 | ItemVisible
 | ItemFullyVisible
 | LockSelectionChange
 | MakeCurrentVisible
 | MeasureItem
 | SelectAll
 | DeleteSelected
 | UnlockSelectionChange
TWinControl
pt | WSRegisterClass
pt | AdjustClientRect
pt | GetAdjustedLogicalClientRect
pt | AlignControls
pt | CustomAlignInsertBefore
pt | CustomAlignPosition
pt | DoAlignChildControls
pt | DoChildSizingChange
pt | InvalidatePreferredChildSizes
pt | CanTab
pt | IsClientHeightStored
pt | IsClientWidthStored
pt | DoSendShowHideToInterface
pt | ControlsAligned
pt | DoSendBoundsToInterface
pt | RealizeBounds
pt | RealizeBoundsRecursive
pt | InvalidateBoundsRealized
pt | CreateSubClass
pt | DoConstraintsChange
pt | DoSetBounds
pt | DoAutoSize
pt | DoAllAutoSize
pt | AllAutoSized
pt | CalculatePreferredSize
pt | GetPreferredSizeClientFrame
pt | GetChildren
pt | ChildClassAllowed
pt | PaintControls
pt | PaintHandler
pt | PaintWindow
pt | CreateBrush
pt | ScaleControls
pt | ChangeScale
pt | CMBiDiModeChanged
pt | CMBorderChanged
pt | CMDoubleBufferedChanged
pt | CMEnabledChanged
pt | CMParentDoubleBufferedChanged
pt | CMShowingChanged
pt | CMShowHintChanged
pt | CMVisibleChanged
pt | CMEnter
pt | CMExit
pt | WMContextMenu
pt | WMEraseBkgnd
pt | WMNotify
pt | WMSetFocus
pt | WMKillFocus
pt | WMShowWindow
pt | WMEnter
pt | WMExit
pt | WMKeyDown
pt | WMSysKeyDown
pt | WMKeyUp
pt | WMSysKeyUp
pt | WMChar
pt | WMSysChar
pt | WMPaint
pt | WMDestroy
pt | WMMove
pt | WMSize
pt | WMWindowPosChanged
pt | CNKeyDown
pt | CNSysKeyDown
pt | CNKeyUp
pt | CNSysKeyUp
pt | CNChar
pt | DoDragMsg
pt | DoDockClientMsg
pt | DoUndockClientMsg
pt | DoAddDockClient
pt | DockOver
pt | DoDockOver
pt | DoRemoveDockClient
pt | DoUnDock
pt | GetSiteInfo
pt | GetParentHandle
pt | GetTopParentHandle
pt | ReloadDockedControl
pt | CreateDockManager
pt | SetDockManager
pt | DoFloatMsg
pt | DoGetDockCaption
pt | DoEnter
pt | DoExit
pt | DoKeyDownBeforeInterface
pt | DoRemainingKeyDown
pt | DoRemainingKeyUp
pt | DoKeyPress
pt | DoUTF8KeyPress
pt | DoKeyUpBeforeInterface
pt | ChildKey
pt | SendDialogChar
pt | DialogChar
pt | ControlKeyDown
pt | ControlKeyUp
pt | KeyDown
pt | KeyDownBeforeInterface
pt | KeyDownAfterInterface
pt | KeyPress
pt | KeyUp
pt | KeyUpBeforeInterface
pt | KeyUpAfterInterface
pt | UTF8KeyPress
pt | FindNextControl
pt | SelectFirst
pt | RealGetText
pt | GetBorderStyle
pt | GetClientOrigin
pt | GetClientRect
pt | GetControlOrigin
pt | GetDeviceContext
pt | GetParentBackground
pt | IsControlMouseMsg
pt | CreateHandle
pt | CreateParams
pt | CreateWnd
pt | DestroyHandle
pt | DestroyWnd
pt | DoFlipChildren
pt | FinalizeWnd
pt | FixupTabList
pt | FontChanged
pt | InitializeWnd
pt | Loaded
pt | FormEndUpdated
pt | MainWndProc
pt | ParentFormHandleInitialized
pt | ChildHandlesCreated
pt | GetMouseCapture
pt | RealSetText
pt | RemoveFocus
pt | SendMoveSizeMessages
pt | SetBorderStyle
pt | SetColor
pt | SetChildZPosition
pt | SetParentBackground
pt | ShowControl
pt | UpdateControlState
pt | UpdateShowing
pt | WndProc
pt | WSSetText
 | AutoSizePhases
 | AutoSizeDelayed
 | AutoSizeDelayedReport
 | AutoSizeDelayedHandle
 | BeginUpdateBounds
 | EndUpdateBounds
 | LockRealizeBounds
 | UnlockRealizeBounds
 | ControlAtPos
 | ContainsControl
 | DoAdjustClientRectChange
 | InvalidateClientRectCache
 | ClientRectNeedsInterfaceUpdate
 | SetBounds
 | GetChildrenRect
 | DisableAlign
 | EnableAlign
 | ReAlign
 | ScrollBy_WS
 | ScrollBy
 | WriteLayoutDebugReport
 | AutoAdjustLayout
 | Create
 | CreateParented
 | CreateParentedControl
 | Destroy
 | DockDrop
 | CanFocus
 | CanSetFocus
 | GetControlIndex
 | SetControlIndex
 | Focused
 | PerformTab
 | FindChildControl
 | SelectNext
 | SetTempCursor
 | BroadCast
 | NotifyControls
 | DefaultHandler
 | GetTextLen
 | Invalidate
 | AddControl
 | InsertControl
 | RemoveControl
 | GetEnumeratorControls
 | GetEnumeratorControlsReverse
 | Repaint
 | Update
 | SetFocus
 | FlipChildren
 | ScaleBy
 | GetDockCaption
 | UpdateDockCaption
 | GetTabOrderList
 | HandleAllocated
 | ParentHandlesAllocated
 | HandleNeeded
 | BrushCreated
 | EraseBackground
 | IntfUTF8KeyPress
 | IntfGetDropFilesTarget
 | PaintTo
 | SetShape
TControl
pt | WSRegisterClass
pt | GetCursor
pt | SetCursor
pt | SetVisible
pt | DoOnParentHandleDestruction
pt | DoAutoSize
pt | DoAllAutoSize
pt | BeginAutoSizing
pt | EndAutoSizing
pt | AnchorSideChanged
pt | ForeignAnchorSideChanged
pt | SetAlign
pt | SetAnchors
pt | SetAutoSize
pt | BoundsChanged
pt | CreateControlBorderSpacing
pt | DoConstraintsChange
pt | DoBorderSpacingChange
pt | IsBorderSpacingInnerBorderStored
pt | IsCaptionStored
pt | SendMoveSizeMessages
pt | ConstrainedResize
pt | CalculatePreferredSize
pt | DoOnResize
pt | DoOnChangeBounds
pt | CheckOnChangeBounds
pt | Resize
pt | RequestAlign
pt | UpdateAnchorRules
pt | ChangeBounds
pt | DoSetBounds
pt | ScaleConstraints
pt | ChangeScale
pt | CanAutoSize
pt | SetBiDiMode
pt | SetParentBiDiMode
pt | IsAParentAligning
pt | GetClientOrigin
pt | GetClientRect
pt | GetLogicalClientRect
pt | GetScrolledClientRect
pt | GetClientScrollOffset
pt | GetControlOrigin
pt | IsClientHeightStored
pt | IsClientWidthStored
pt | WidthIsAnchored
pt | HeightIsAnchored
pt | WMCancelMode
pt | WMContextMenu
pt | WMLButtonDown
pt | WMRButtonDown
pt | WMMButtonDown
pt | WMXButtonDown
pt | WMLButtonDBLCLK
pt | WMRButtonDBLCLK
pt | WMMButtonDBLCLK
pt | WMXButtonDBLCLK
pt | WMLButtonTripleCLK
pt | WMRButtonTripleCLK
pt | WMMButtonTripleCLK
pt | WMXButtonTripleCLK
pt | WMLButtonQuadCLK
pt | WMRButtonQuadCLK
pt | WMMButtonQuadCLK
pt | WMXButtonQuadCLK
pt | WMMouseMove
pt | WMLButtonUp
pt | WMRButtonUp
pt | WMMButtonUp
pt | WMXButtonUp
pt | WMMouseWheel
pt | WMMouseHWheel
pt | WMMove
pt | WMSize
pt | WMWindowPosChanged
pt | CMChanged
pt | LMCaptureChanged
pt | CMBiDiModeChanged
pt | CMSysFontChanged
pt | CMEnabledChanged
pt | CMHitTest
pt | CMMouseEnter
pt | CMMouseLeave
pt | CMHintShow
pt | CMParentBiDiModeChanged
pt | CMParentColorChanged
pt | CMParentFontChanged
pt | CMParentShowHintChanged
pt | CMVisibleChanged
pt | CMTextChanged
pt | CMCursorChanged
pt | CalculateDockSizes
pt | CreateFloatingDockSite
pt | GetDockEdge
pt | GetDragImages
pt | GetFloating
pt | GetFloatingDockSiteClass
pt | BeforeDragStart
pt | BeginAutoDrag
pt | DoFloatMsg
pt | DockTrackNoTarget
pt | DoDock
pt | DoDragMsg
pt | DoEndDock
pt | DoEndDrag
pt | DoStartDock
pt | DoStartDrag
pt | DragCanceled
pt | DragOver
pt | PositionDockRect
pt | SetDragMode
pt | GetDefaultDockCaption
pt | Click
pt | DblClick
pt | TripleClick
pt | QuadClick
pt | GetMousePosFromMessage
pt | MouseDown
pt | MouseMove
pt | MouseUp
pt | MouseEnter
pt | MouseLeave
pt | DialogChar
pt | UpdateMouseCursor
pt | Changed
pt | GetPalette
pt | ChildClassAllowed
pt | ReadState
pt | Loaded
pt | LoadedAll
pt | DefineProperties
pt | AssignTo
pt | FormEndUpdated
pt | InvalidateControl
pt | FontChanged
pt | ParentFontChanged
pt | GetAction
pt | RealGetText
pt | RealSetText
pt | TextChanged
pt | GetCachedText
pt | SetAction
pt | SetColor
pt | SetEnabled
pt | SetHint
pt | SetName
pt | SetParent
pt | SetParentComponent
pt | WndProc
pt | ParentFormHandleInitialized
pt | GetMouseCapture
pt | CaptureChanged
pt | Notification
pt | CanTab
pt | GetDeviceContext
pt | GetEnabled
pt | GetPopupMenu
pt | DoOnShowHint
pt | DoMouseWheel
pt | DoMouseWheelDown
pt | DoMouseWheelUp
pt | DoMouseWheelHorz
pt | DoMouseWheelLeft
pt | DoMouseWheelRight
pt | VisibleChanging
pt | VisibleChanged
pt | EnabledChanging
pt | EnabledChanged
pt | AddHandler
pt | RemoveHandler
pt | DoCallNotifyHandler
pt | DoCallKeyEventHandler
pt | DoCallMouseWheelEventHandler
pt | DoContextPopup
pt | SetZOrder
pt | GetControlClassDefaultSize
pt | ColorIsStored
pt | DoAutoAdjustLayout
pt | DoFixDesignFontPPI
pt | DoScaleFontPPI
pt | GetActionLinkClass
pt | ActionChange
 | DragDrop
 | Dock
 | ManualDock
 | ManualFloat
 | ReplaceDockedControl
 | Docked
 | Dragging
 | GetAccessibleObject
 | CreateAccessibleObject
 | GetSelectedChildAccessibleObject
 | GetChildAccessibleObjectAtPos
 | ScaleDesignToForm
 | ScaleFormToDesign
 | Scale96ToForm
 | ScaleFormTo96
 | Scale96ToFont
 | ScaleFontTo96
 | ScaleScreenToFont
 | ScaleFontToScreen
 | Scale96ToScreen
 | ScaleScreenTo96
 | AdjustSize
 | AutoSizePhases
 | AutoSizeDelayed
 | AutoSizeDelayedReport
 | AutoSizeDelayedHandle
 | AnchorToNeighbour
 | AnchorParallel
 | AnchorHorizontalCenterTo
 | AnchorVerticalCenterTo
 | AnchorToCompanion
 | AnchorSame
 | AnchorAsAlign
 | AnchorClient
 | AnchoredControlCount
 | SetBounds
 | SetInitialBounds
 | SetBoundsKeepBase
 | GetPreferredSize
 | GetCanvasScaleFactor
 | GetDefaultWidth
 | GetDefaultHeight
 | GetDefaultColor
 | GetColorResolvingParent
 | GetRGBColorResolvingParent
 | GetSidePosition
 | CNPreferredSizeChanged
 | InvalidatePreferredSize
 | GetAnchorsDependingOnParent
 | DisableAutoSizing
 | EnableAutoSizing
 | UpdateBaseBounds
 | WriteLayoutDebugReport
 | AutoAdjustLayout
 | ShouldAutoAdjust
 | FixDesignFontsPPI
 | ScaleFontsPPI
 | Create
 | Destroy
 | BeforeDestruction
 | EditingDone
 | ExecuteDefaultAction
 | ExecuteCancelAction
 | BeginDrag
 | EndDrag
 | BringToFront
 | HasParent
 | GetParentComponent
 | IsParentOf
 | GetTopParent
 | IsVisible
 | IsControlVisible
 | IsEnabled
 | IsParentColor
 | IsParentFont
 | FormIsUpdating
 | IsProcessingPaintMsg
 | Hide
 | Refresh
 | Repaint
 | Invalidate
 | CheckChildClassAllowed
 | CheckNewParent
 | SendToBack
 | SetTempCursor
 | UpdateRolesForForm
 | ActiveDefaultControlChanged
 | GetTextBuf
 | GetTextLen
 | SetTextBuf
 | Perform
 | ScreenToClient
 | ClientToScreen
 | ScreenToControl
 | ControlToScreen
 | ClientToParent
 | ParentToClient
 | GetChildrenRect
 | Show
 | Update
 | HandleObjectShouldBeVisible
 | ParentDestroyingHandle
 | ParentHandlesAllocated
 | InitiateAction
 | ShowHelp
 | HasHelp
 | RemoveAllHandlersOfObject
 | AddHandlerOnResize
 | RemoveHandlerOnResize
 | AddHandlerOnChangeBounds
 | RemoveHandlerOnChangeBounds
 | AddHandlerOnVisibleChanging
 | RemoveHandlerOnVisibleChanging
 | AddHandlerOnVisibleChanged
 | RemoveHandlerOnVisibleChanged
 | AddHandlerOnEnabledChanged
 | RemoveHandlerOnEnableChanging
 | AddHandlerOnKeyDown
 | RemoveHandlerOnKeyDown
 | AddHandlerOnBeforeDestruction
 | RemoveHandlerOnBeforeDestruction
 | AddHandlerOnMouseWheel
 | RemoveHandlerOnMouseWheel
 | UseRightToLeftAlignment
 | UseRightToLeftReading
 | UseRightToLeftScrollBar
 | IsRightToLeft
TLCLComponent
pt | WSRegisterClass
pt | GetWSComponentClass
 | Create
 | Destroy
 | NewInstance
 | RemoveAllHandlersOfObject
 | IncLCLRefCount
 | DecLCLRefCount
TComponent
 | GetComObject
 | GetComponent
 | GetComponentCount
 | GetComponentIndex
 | Insert
 | ReadLeft
 | ReadTop
 | Remove
 | RemoveNotification
 | SetComponentIndex
 | SetReference
 | WriteLeft
 | WriteTop
 | ChangeName
 | DefineProperties
 | GetChildren
 | GetChildOwner
 | GetChildParent
 | GetOwner
 | Loaded
 | Loading
 | Notification
 | PaletteCreated
 | ReadState
 | SetAncestor
 | SetDesigning
 | SetDesignInstance
 | SetInline
 | SetName
 | SetChildOrder
 | SetParentComponent
 | Updating
 | Updated
 | UpdateRegistry
 | ValidateRename
 | ValidateContainer
 | ValidateInsert
 | QueryInterface
 | _AddRef
 | _Release
 | iicrGetComponent
 | GetTypeInfoCount
 | GetTypeInfo
 | GetIDsOfNames
 | Invoke
 | WriteState
 | Create
 | Destroy
 | BeforeDestruction
 | DestroyComponents
 | Destroying
 | ExecuteAction
 | FindComponent
 | FreeNotification
 | RemoveFreeNotification
 | FreeOnRelease
 | GetEnumerator
 | GetNamePath
 | GetParentComponent
 | HasParent
 | InsertComponent
 | RemoveComponent
 | SafeCallException
 | SetSubComponent
 | UpdateAction
 | IsImplementorOf
 | ReferenceInterface
TPersistent
 | AssignError
 | AssignTo
 | DefineProperties
 | GetOwner
 | Destroy
 | Assign
 | FPOAttachObserver
 | FPODetachObserver
 | FPONotifyObservers
 | GetNamePath
TObject
 | Create
 | Destroy
 | newinstance
 | FreeInstance
 | SafeCallException
 | DefaultHandler
 | Free
 | InitInstance
 | CleanupInstance
 | ClassType
 | ClassInfo
 | ClassName
 | ClassNameIs
 | ClassParent
 | InstanceSize
 | InheritsFrom
 | StringMessageTable
 | MethodAddress
 | MethodName
 | FieldAddress
 | AfterConstruction
 | BeforeDestruction
 | DefaultHandlerStr
 | Dispatch
 | DispatchStr
 | GetInterface
 | GetInterfaceByStr
 | GetInterfaceWeak
 | GetInterfaceEntry
 | GetInterfaceEntryByStr
 | GetInterfaceTable
 | UnitName
 | Equals
 | GetHashCode
 | ToString


pt | ActionChange (TControl)
 | ActiveDefaultControlChanged (TControl)
 | AddControl (TWinControl)
pt | AddHandler (TControl)
 | AddHandlerOnBeforeDestruction (TControl)
 | AddHandlerOnChangeBounds (TControl)
 | AddHandlerOnEnabledChanged (TControl)
 | AddHandlerOnKeyDown (TControl)
 | AddHandlerOnMouseWheel (TControl)
 | AddHandlerOnResize (TControl)
 | AddHandlerOnVisibleChanged (TControl)
 | AddHandlerOnVisibleChanging (TControl)
 | AddItem (TCustomListBox)
pt | AdjustClientRect (TWinControl)
 | AdjustSize (TControl)
 | AfterConstruction (TObject)
pt | AlignControls (TWinControl)
pt | AllAutoSized (TWinControl)
 | AnchorAsAlign (TControl)
 | AnchorClient (TControl)
 | AnchoredControlCount (TControl)
 | AnchorHorizontalCenterTo (TControl)
 | AnchorParallel (TControl)
 | AnchorSame (TControl)
pt | AnchorSideChanged (TControl)
 | AnchorToCompanion (TControl)
 | AnchorToNeighbour (TControl)
 | AnchorVerticalCenterTo (TControl)
 | Assign (TPersistent)
pt | AssignCacheToItemData (TCustomListBox)
 | AssignError (TPersistent)
pt | AssignItemDataToCache (TCustomListBox)
 | AssignTo (TPersistent)
pt | AssignTo (TControl)
 | AutoAdjustLayout (TControl)
 | AutoAdjustLayout (TWinControl)
 | AutoSizeDelayed (TControl)
 | AutoSizeDelayed (TWinControl)
 | AutoSizeDelayedHandle (TControl)
 | AutoSizeDelayedHandle (TWinControl)
 | AutoSizeDelayedReport (TControl)
 | AutoSizeDelayedReport (TWinControl)
 | AutoSizePhases (TControl)
 | AutoSizePhases (TWinControl)
 | BeforeDestruction (TObject)
 | BeforeDestruction (TComponent)
 | BeforeDestruction (TControl)
pt | BeforeDragStart (TControl)
pt | BeforeDragStart (TCustomListBox)
pt | BeginAutoDrag (TControl)
pt | BeginAutoDrag (TCustomListBox)
pt | BeginAutoSizing (TControl)
 | BeginDrag (TControl)
 | BeginUpdateBounds (TWinControl)
pt | BoundsChanged (TControl)
 | BringToFront (TControl)
 | BroadCast (TWinControl)
 | BrushCreated (TWinControl)
pt | CalculateDockSizes (TControl)
pt | CalculatePreferredSize (TControl)
pt | CalculatePreferredSize (TWinControl)
pt | CalculateStandardItemHeight (TCustomListBox)
pt | CanAutoSize (TControl)
 | CanFocus (TWinControl)
 | CanSetFocus (TWinControl)
pt | CanTab (TControl)
pt | CanTab (TWinControl)
pt | CaptureChanged (TControl)
pt | ChangeBounds (TControl)
pt | Changed (TControl)
 | ChangeName (TComponent)
pt | ChangeScale (TControl)
pt | ChangeScale (TWinControl)
 | CheckChildClassAllowed (TControl)
pt | CheckIndex (TCustomListBox)
 | CheckNewParent (TControl)
pt | CheckOnChangeBounds (TControl)
pt | ChildClassAllowed (TControl)
pt | ChildClassAllowed (TWinControl)
pt | ChildHandlesCreated (TWinControl)
pt | ChildKey (TWinControl)
 | ClassInfo (TObject)
 | ClassName (TObject)
 | ClassNameIs (TObject)
 | ClassParent (TObject)
 | ClassType (TObject)
 | CleanupInstance (TObject)
 | Clear (TCustomListBox)
 | ClearSelection (TCustomListBox)
pt | Click (TControl)
 | Click (TCustomListBox)
 | Click (TCustomFileListBox)
 | ClientRectNeedsInterfaceUpdate (TWinControl)
 | ClientToParent (TControl)
 | ClientToScreen (TControl)
pt | CMBiDiModeChanged (TControl)
pt | CMBiDiModeChanged (TWinControl)
pt | CMBorderChanged (TWinControl)
pt | CMChanged (TControl)
pt | CMCursorChanged (TControl)
pt | CMDoubleBufferedChanged (TWinControl)
pt | CMEnabledChanged (TControl)
pt | CMEnabledChanged (TWinControl)
pt | CMEnter (TWinControl)
pt | CMExit (TWinControl)
pt | CMHintShow (TControl)
pt | CMHitTest (TControl)
pt | CMMouseEnter (TControl)
pt | CMMouseLeave (TControl)
pt | CMParentBiDiModeChanged (TControl)
pt | CMParentColorChanged (TControl)
pt | CMParentDoubleBufferedChanged (TWinControl)
pt | CMParentFontChanged (TControl)
pt | CMParentShowHintChanged (TControl)
pt | CMShowHintChanged (TWinControl)
pt | CMShowingChanged (TWinControl)
pt | CMSysFontChanged (TControl)
pt | CMTextChanged (TControl)
pt | CMVisibleChanged (TControl)
pt | CMVisibleChanged (TWinControl)
pt | CNChar (TWinControl)
pt | CNKeyDown (TWinControl)
pt | CNKeyUp (TWinControl)
 | CNPreferredSizeChanged (TControl)
pt | CNSysKeyDown (TWinControl)
pt | CNSysKeyUp (TWinControl)
pt | ColorIsStored (TControl)
pt | ConstrainedResize (TControl)
 | ContainsControl (TWinControl)
 | ControlAtPos (TWinControl)
pt | ControlKeyDown (TWinControl)
pt | ControlKeyUp (TWinControl)
pt | ControlsAligned (TWinControl)
 | ControlToScreen (TControl)
 | Create (TObject)
 | Create (TComponent)
 | Create (TLCLComponent)
 | Create (TControl)
 | Create (TWinControl)
 | Create (TCustomListBox)
 | Create (TCustomFileListBox)
 | CreateAccessibleObject (TControl)
pt | CreateBrush (TWinControl)
pt | CreateControlBorderSpacing (TControl)
pt | CreateDockManager (TWinControl)
pt | CreateFloatingDockSite (TControl)
pt | CreateHandle (TWinControl)
pt | CreateParams (TWinControl)
pt | CreateParams (TCustomListBox)
 | CreateParented (TWinControl)
 | CreateParentedControl (TWinControl)
pt | CreateSubClass (TWinControl)
pt | CreateWnd (TWinControl)
pt | CustomAlignInsertBefore (TWinControl)
pt | CustomAlignPosition (TWinControl)
pt | DblClick (TControl)
 | DecLCLRefCount (TLCLComponent)
 | DefaultHandler (TObject)
 | DefaultHandler (TWinControl)
 | DefaultHandlerStr (TObject)
 | DefineProperties (TPersistent)
 | DefineProperties (TComponent)
pt | DefineProperties (TControl)
 | DeleteSelected (TCustomListBox)
 | Destroy (TObject)
 | Destroy (TPersistent)
 | Destroy (TComponent)
 | Destroy (TLCLComponent)
 | Destroy (TControl)
 | Destroy (TWinControl)
 | Destroy (TCustomListBox)
 | Destroy (TCustomFileListBox)
 | DestroyComponents (TComponent)
pt | DestroyHandle (TWinControl)
 | Destroying (TComponent)
pt | DestroyWnd (TWinControl)
pt | DestroyWnd (TCustomListBox)
pt | DialogChar (TControl)
pt | DialogChar (TWinControl)
 | DisableAlign (TWinControl)
 | DisableAutoSizing (TControl)
 | Dispatch (TObject)
 | DispatchStr (TObject)
pt | DoAddDockClient (TWinControl)
 | DoAdjustClientRectChange (TWinControl)
pt | DoAlignChildControls (TWinControl)
pt | DoAllAutoSize (TControl)
pt | DoAllAutoSize (TWinControl)
pt | DoAutoAdjustLayout (TControl)
pt | DoAutoAdjustLayout (TCustomListBox)
pt | DoAutoSize (TControl)
pt | DoAutoSize (TWinControl)
pt | DoBorderSpacingChange (TControl)
pt | DoCallKeyEventHandler (TControl)
pt | DoCallMouseWheelEventHandler (TControl)
pt | DoCallNotifyHandler (TControl)
pt | DoChangeFile (TCustomFileListBox)
pt | DoChildSizingChange (TWinControl)
 | Dock (TControl)
 | DockDrop (TWinControl)
 | Docked (TControl)
pt | DockOver (TWinControl)
pt | DockTrackNoTarget (TControl)
pt | DoConstraintsChange (TControl)
pt | DoConstraintsChange (TWinControl)
pt | DoContextPopup (TControl)
pt | DoDock (TControl)
pt | DoDockClientMsg (TWinControl)
pt | DoDockOver (TWinControl)
pt | DoDragMsg (TControl)
pt | DoDragMsg (TWinControl)
pt | DoEndDock (TControl)
pt | DoEndDrag (TControl)
pt | DoEnter (TWinControl)
pt | DoExit (TWinControl)
pt | DoFixDesignFontPPI (TControl)
pt | DoFlipChildren (TWinControl)
pt | DoFloatMsg (TControl)
pt | DoFloatMsg (TWinControl)
pt | DoGetDockCaption (TWinControl)
pt | DoKeyDownBeforeInterface (TWinControl)
pt | DoKeyPress (TWinControl)
pt | DoKeyUpBeforeInterface (TWinControl)
pt | DoMouseWheel (TControl)
pt | DoMouseWheelDown (TControl)
pt | DoMouseWheelHorz (TControl)
pt | DoMouseWheelLeft (TControl)
pt | DoMouseWheelRight (TControl)
pt | DoMouseWheelUp (TControl)
pt | DoOnChangeBounds (TControl)
pt | DoOnParentHandleDestruction (TControl)
pt | DoOnResize (TControl)
pt | DoOnShowHint (TControl)
pt | DoRemainingKeyDown (TWinControl)
pt | DoRemainingKeyUp (TWinControl)
pt | DoRemoveDockClient (TWinControl)
pt | DoScaleFontPPI (TControl)
pt | DoSelectionChange (TCustomListBox)
pt | DoSendBoundsToInterface (TWinControl)
pt | DoSendShowHideToInterface (TWinControl)
pt | DoSetBounds (TControl)
pt | DoSetBounds (TWinControl)
pt | DoStartDock (TControl)
pt | DoStartDrag (TControl)
pt | DoUnDock (TWinControl)
pt | DoUndockClientMsg (TWinControl)
pt | DoUTF8KeyPress (TWinControl)
pt | DragCanceled (TControl)
 | DragDrop (TControl)
 | Dragging (TControl)
pt | DragOver (TControl)
pt | DrawItem (TCustomListBox)
 | EditingDone (TControl)
 | EnableAlign (TWinControl)
 | EnableAutoSizing (TControl)
pt | EnabledChanged (TControl)
pt | EnabledChanging (TControl)
pt | EndAutoSizing (TControl)
 | EndDrag (TControl)
 | EndUpdateBounds (TWinControl)
 | Equals (TObject)
 | EraseBackground (TWinControl)
 | ExecuteAction (TComponent)
 | ExecuteCancelAction (TControl)
 | ExecuteDefaultAction (TControl)
 | FieldAddress (TObject)
pt | FinalizeWnd (TWinControl)
pt | FinalizeWnd (TCustomListBox)
 | FindChildControl (TWinControl)
 | FindComponent (TComponent)
pt | FindNextControl (TWinControl)
 | FixDesignFontsPPI (TControl)
pt | FixupTabList (TWinControl)
 | FlipChildren (TWinControl)
 | Focused (TWinControl)
pt | FontChanged (TControl)
pt | FontChanged (TWinControl)
pt | ForeignAnchorSideChanged (TControl)
pt | FormEndUpdated (TControl)
pt | FormEndUpdated (TWinControl)
 | FormIsUpdating (TControl)
 | FPOAttachObserver (TPersistent)
 | FPODetachObserver (TPersistent)
 | FPONotifyObservers (TPersistent)
 | Free (TObject)
 | FreeInstance (TObject)
 | FreeNotification (TComponent)
 | FreeOnRelease (TComponent)
 | GetAccessibleObject (TControl)
pt | GetAction (TControl)
pt | GetActionLinkClass (TControl)
pt | GetAdjustedLogicalClientRect (TWinControl)
 | GetAnchorsDependingOnParent (TControl)
pt | GetBorderStyle (TWinControl)
pt | GetCachedData (TCustomListBox)
pt | GetCachedDataSize (TCustomListBox)
pt | GetCachedText (TControl)
 | GetCanvasScaleFactor (TControl)
 | GetChildAccessibleObjectAtPos (TControl)
 | GetChildOwner (TComponent)
 | GetChildParent (TComponent)
 | GetChildren (TComponent)
pt | GetChildren (TWinControl)
 | GetChildrenRect (TControl)
 | GetChildrenRect (TWinControl)
pt | GetClientOrigin (TControl)
pt | GetClientOrigin (TWinControl)
pt | GetClientRect (TControl)
pt | GetClientRect (TWinControl)
pt | GetClientScrollOffset (TControl)
 | GetColorResolvingParent (TControl)
 | GetComObject (TComponent)
 | GetComponent (TComponent)
 | GetComponentCount (TComponent)
 | GetComponentIndex (TComponent)
pt | GetControlClassDefaultSize (TControl)
pt | GetControlClassDefaultSize (TCustomListBox)
 | GetControlIndex (TWinControl)
pt | GetControlOrigin (TControl)
pt | GetControlOrigin (TWinControl)
pt | GetCursor (TControl)
 | GetDefaultColor (TControl)
pt | GetDefaultDockCaption (TControl)
 | GetDefaultHeight (TControl)
 | GetDefaultWidth (TControl)
pt | GetDeviceContext (TControl)
pt | GetDeviceContext (TWinControl)
 | GetDockCaption (TWinControl)
pt | GetDockEdge (TControl)
pt | GetDragImages (TControl)
pt | GetEnabled (TControl)
 | GetEnumerator (TComponent)
 | GetEnumeratorControls (TWinControl)
 | GetEnumeratorControlsReverse (TWinControl)
pt | GetFloating (TControl)
pt | GetFloatingDockSiteClass (TControl)
 | GetHashCode (TObject)
 | GetIDsOfNames (TComponent)
 | GetIndexAtXY (TCustomListBox)
 | GetIndexAtY (TCustomListBox)
 | GetInterface (TObject)
 | GetInterfaceByStr (TObject)
 | GetInterfaceEntry (TObject)
 | GetInterfaceEntryByStr (TObject)
 | GetInterfaceTable (TObject)
 | GetInterfaceWeak (TObject)
pt | GetItemHeight (TCustomListBox)
pt | GetItemIndex (TCustomListBox)
pt | GetLogicalClientRect (TControl)
pt | GetMouseCapture (TControl)
pt | GetMouseCapture (TWinControl)
pt | GetMousePosFromMessage (TControl)
 | GetNamePath (TPersistent)
 | GetNamePath (TComponent)
 | GetOwner (TPersistent)
 | GetOwner (TComponent)
pt | GetPalette (TControl)
pt | GetParentBackground (TWinControl)
 | GetParentComponent (TComponent)
 | GetParentComponent (TControl)
pt | GetParentHandle (TWinControl)
pt | GetPopupMenu (TControl)
 | GetPreferredSize (TControl)
pt | GetPreferredSizeClientFrame (TWinControl)
 | GetRGBColorResolvingParent (TControl)
pt | GetScrolledClientRect (TControl)
pt | GetSelCount (TCustomListBox)
pt | GetSelected (TCustomListBox)
 | GetSelectedChildAccessibleObject (TControl)
 | GetSelectedText (TCustomListBox)
 | GetSidePosition (TControl)
pt | GetSiteInfo (TWinControl)
 | GetTabOrderList (TWinControl)
 | GetTextBuf (TControl)
 | GetTextLen (TControl)
 | GetTextLen (TWinControl)
 | GetTopParent (TControl)
pt | GetTopParentHandle (TWinControl)
 | GetTypeInfo (TComponent)
 | GetTypeInfoCount (TComponent)
pt | GetWSComponentClass (TLCLComponent)
 | HandleAllocated (TWinControl)
 | HandleNeeded (TWinControl)
 | HandleObjectShouldBeVisible (TControl)
 | HasHelp (TControl)
 | HasParent (TComponent)
 | HasParent (TControl)
pt | HeightIsAnchored (TControl)
 | Hide (TControl)
 | iicrGetComponent (TComponent)
 | IncLCLRefCount (TLCLComponent)
pt | IndexOfFile (TCustomFileListBox)
 | InheritsFrom (TObject)
pt | InitializeWnd (TWinControl)
pt | InitializeWnd (TCustomListBox)
 | InitiateAction (TControl)
 | InitInstance (TObject)
 | Insert (TComponent)
 | InsertComponent (TComponent)
 | InsertControl (TWinControl)
 | InstanceSize (TObject)
 | IntfGetDropFilesTarget (TWinControl)
 | IntfUTF8KeyPress (TWinControl)
 | Invalidate (TControl)
 | Invalidate (TWinControl)
pt | InvalidateBoundsRealized (TWinControl)
 | InvalidateClientRectCache (TWinControl)
pt | InvalidateControl (TControl)
pt | InvalidatePreferredChildSizes (TWinControl)
 | InvalidatePreferredSize (TControl)
 | Invoke (TComponent)
pt | IsAParentAligning (TControl)
pt | IsBorderSpacingInnerBorderStored (TControl)
pt | IsCaptionStored (TControl)
pt | IsClientHeightStored (TControl)
pt | IsClientHeightStored (TWinControl)
pt | IsClientWidthStored (TControl)
pt | IsClientWidthStored (TWinControl)
pt | IsControlMouseMsg (TWinControl)
 | IsControlVisible (TControl)
 | IsEnabled (TControl)
 | IsImplementorOf (TComponent)
 | IsParentColor (TControl)
 | IsParentFont (TControl)
 | IsParentOf (TControl)
 | IsProcessingPaintMsg (TControl)
 | IsRightToLeft (TControl)
 | IsVisible (TControl)
 | ItemAtPos (TCustomListBox)
 | ItemFullyVisible (TCustomListBox)
 | ItemRect (TCustomListBox)
 | ItemVisible (TCustomListBox)
pt | KeyDown (TWinControl)
pt | KeyDownAfterInterface (TWinControl)
pt | KeyDownBeforeInterface (TWinControl)
pt | KeyPress (TWinControl)
pt | KeyUp (TWinControl)
pt | KeyUp (TCustomFileListBox)
pt | KeyUpAfterInterface (TWinControl)
pt | KeyUpBeforeInterface (TWinControl)
pt | LMCaptureChanged (TControl)
 | Loaded (TComponent)
pt | Loaded (TControl)
pt | Loaded (TWinControl)
pt | Loaded (TCustomFileListBox)
pt | LoadedAll (TControl)
 | Loading (TComponent)
 | LockRealizeBounds (TWinControl)
 | LockSelectionChange (TCustomListBox)
pt | MainWndProc (TWinControl)
 | MakeCurrentVisible (TCustomListBox)
 | ManualDock (TControl)
 | ManualFloat (TControl)
 | MeasureItem (TCustomListBox)
 | MethodAddress (TObject)
 | MethodName (TObject)
pt | MouseDown (TControl)
pt | MouseEnter (TControl)
pt | MouseLeave (TControl)
pt | MouseMove (TControl)
pt | MouseUp (TControl)
 | newinstance (TObject)
 | NewInstance (TLCLComponent)
 | Notification (TComponent)
pt | Notification (TControl)
 | NotifyControls (TWinControl)
pt | PaintControls (TWinControl)
pt | PaintHandler (TWinControl)
 | PaintTo (TWinControl)
pt | PaintWindow (TWinControl)
 | PaletteCreated (TComponent)
 | ParentDestroyingHandle (TControl)
pt | ParentFontChanged (TControl)
pt | ParentFormHandleInitialized (TControl)
pt | ParentFormHandleInitialized (TWinControl)
 | ParentHandlesAllocated (TControl)
 | ParentHandlesAllocated (TWinControl)
 | ParentToClient (TControl)
 | Perform (TControl)
 | PerformTab (TWinControl)
pt | PositionDockRect (TControl)
pt | QuadClick (TControl)
 | QueryInterface (TComponent)
 | ReadLeft (TComponent)
 | ReadState (TComponent)
pt | ReadState (TControl)
 | ReadTop (TComponent)
pt | RealGetText (TControl)
pt | RealGetText (TWinControl)
 | ReAlign (TWinControl)
pt | RealizeBounds (TWinControl)
pt | RealizeBoundsRecursive (TWinControl)
pt | RealSetText (TControl)
pt | RealSetText (TWinControl)
 | ReferenceInterface (TComponent)
 | Refresh (TControl)
pt | ReloadDockedControl (TWinControl)
 | Remove (TComponent)
 | RemoveAllHandlersOfObject (TLCLComponent)
 | RemoveAllHandlersOfObject (TControl)
 | RemoveComponent (TComponent)
 | RemoveControl (TWinControl)
pt | RemoveFocus (TWinControl)
 | RemoveFreeNotification (TComponent)
pt | RemoveHandler (TControl)
 | RemoveHandlerOnBeforeDestruction (TControl)
 | RemoveHandlerOnChangeBounds (TControl)
 | RemoveHandlerOnEnableChanging (TControl)
 | RemoveHandlerOnKeyDown (TControl)
 | RemoveHandlerOnMouseWheel (TControl)
 | RemoveHandlerOnResize (TControl)
 | RemoveHandlerOnVisibleChanged (TControl)
 | RemoveHandlerOnVisibleChanging (TControl)
 | RemoveNotification (TComponent)
 | Repaint (TControl)
 | Repaint (TWinControl)
 | ReplaceDockedControl (TControl)
pt | RequestAlign (TControl)
pt | Resize (TControl)
 | SafeCallException (TObject)
 | SafeCallException (TComponent)
 | Scale96ToFont (TControl)
 | Scale96ToForm (TControl)
 | Scale96ToScreen (TControl)
 | ScaleBy (TWinControl)
pt | ScaleConstraints (TControl)
pt | ScaleControls (TWinControl)
 | ScaleDesignToForm (TControl)
 | ScaleFontsPPI (TControl)
 | ScaleFontTo96 (TControl)
 | ScaleFontToScreen (TControl)
 | ScaleFormTo96 (TControl)
 | ScaleFormToDesign (TControl)
 | ScaleScreenTo96 (TControl)
 | ScaleScreenToFont (TControl)
 | ScreenToClient (TControl)
 | ScreenToControl (TControl)
 | ScrollBy (TWinControl)
 | ScrollBy_WS (TWinControl)
 | SelectAll (TCustomListBox)
pt | SelectFirst (TWinControl)
 | SelectNext (TWinControl)
pt | SendDialogChar (TWinControl)
pt | SendItemIndex (TCustomListBox)
pt | SendMoveSizeMessages (TControl)
pt | SendMoveSizeMessages (TWinControl)
 | SendToBack (TControl)
pt | SetAction (TControl)
pt | SetAlign (TControl)
 | SetAncestor (TComponent)
pt | SetAnchors (TControl)
pt | SetAutoSize (TControl)
pt | SetBiDiMode (TControl)
pt | SetBorderStyle (TWinControl)
 | SetBounds (TControl)
 | SetBounds (TWinControl)
 | SetBoundsKeepBase (TControl)
 | SetChildOrder (TComponent)
pt | SetChildZPosition (TWinControl)
pt | SetColor (TControl)
pt | SetColor (TWinControl)
 | SetComponentIndex (TComponent)
 | SetControlIndex (TWinControl)
pt | SetCursor (TControl)
 | SetDesigning (TComponent)
 | SetDesignInstance (TComponent)
pt | SetDockManager (TWinControl)
pt | SetDragMode (TControl)
pt | SetEnabled (TControl)
pt | SetExtendedSelect (TCustomListBox)
 | SetFocus (TWinControl)
pt | SetHint (TControl)
 | SetInitialBounds (TControl)
 | SetInline (TComponent)
pt | SetItemHeight (TCustomListBox)
pt | SetItemIndex (TCustomListBox)
pt | SetItems (TCustomListBox)
pt | SetMultiSelect (TCustomListBox)
 | SetName (TComponent)
pt | SetName (TControl)
pt | SetParent (TControl)
pt | SetParentBackground (TWinControl)
pt | SetParentBiDiMode (TControl)
 | SetParentComponent (TComponent)
pt | SetParentComponent (TControl)
 | SetReference (TComponent)
pt | SetSelected (TCustomListBox)
 | SetShape (TWinControl)
pt | SetSorted (TCustomListBox)
pt | SetStyle (TCustomListBox)
 | SetSubComponent (TComponent)
 | SetTempCursor (TControl)
 | SetTempCursor (TWinControl)
 | SetTextBuf (TControl)
pt | SetVisible (TControl)
pt | SetZOrder (TControl)
 | ShouldAutoAdjust (TControl)
 | Show (TControl)
pt | ShowControl (TWinControl)
 | ShowHelp (TControl)
 | StringMessageTable (TObject)
pt | TextChanged (TControl)
 | ToString (TObject)
pt | TripleClick (TControl)
 | UnitName (TObject)
 | UnlockRealizeBounds (TWinControl)
 | UnlockSelectionChange (TCustomListBox)
 | Update (TControl)
 | Update (TWinControl)
 | UpdateAction (TComponent)
pt | UpdateAnchorRules (TControl)
 | UpdateBaseBounds (TControl)
pt | UpdateControlState (TWinControl)
 | Updated (TComponent)
 | UpdateDockCaption (TWinControl)
 | UpdateFileList (TCustomFileListBox)
pt | UpdateMouseCursor (TControl)
 | UpdateRegistry (TComponent)
 | UpdateRolesForForm (TControl)
pt | UpdateShowing (TWinControl)
 | Updating (TComponent)
 | UseRightToLeftAlignment (TControl)
 | UseRightToLeftReading (TControl)
 | UseRightToLeftScrollBar (TControl)
pt | UTF8KeyPress (TWinControl)
 | ValidateContainer (TComponent)
 | ValidateInsert (TComponent)
 | ValidateRename (TComponent)
pt | VisibleChanged (TControl)
pt | VisibleChanging (TControl)
pt | WidthIsAnchored (TControl)
pt | WMCancelMode (TControl)
pt | WMChar (TWinControl)
pt | WMContextMenu (TControl)
pt | WMContextMenu (TWinControl)
pt | WMDestroy (TWinControl)
pt | WMEnter (TWinControl)
pt | WMEraseBkgnd (TWinControl)
pt | WMExit (TWinControl)
pt | WMGetDlgCode (TCustomListBox)
pt | WMKeyDown (TWinControl)
pt | WMKeyUp (TWinControl)
pt | WMKillFocus (TWinControl)
pt | WMLButtonDBLCLK (TControl)
pt | WMLButtonDown (TControl)
pt | WMLButtonQuadCLK (TControl)
pt | WMLButtonTripleCLK (TControl)
pt | WMLButtonUp (TControl)
pt | WMMButtonDBLCLK (TControl)
pt | WMMButtonDown (TControl)
pt | WMMButtonQuadCLK (TControl)
pt | WMMButtonTripleCLK (TControl)
pt | WMMButtonUp (TControl)
pt | WMMouseHWheel (TControl)
pt | WMMouseMove (TControl)
pt | WMMouseWheel (TControl)
pt | WMMove (TControl)
pt | WMMove (TWinControl)
pt | WMNotify (TWinControl)
pt | WMPaint (TWinControl)
pt | WMRButtonDBLCLK (TControl)
pt | WMRButtonDown (TControl)
pt | WMRButtonQuadCLK (TControl)
pt | WMRButtonTripleCLK (TControl)
pt | WMRButtonUp (TControl)
pt | WMSetFocus (TWinControl)
pt | WMShowWindow (TWinControl)
pt | WMSize (TControl)
pt | WMSize (TWinControl)
pt | WMSysChar (TWinControl)
pt | WMSysKeyDown (TWinControl)
pt | WMSysKeyUp (TWinControl)
pt | WMWindowPosChanged (TControl)
pt | WMWindowPosChanged (TWinControl)
pt | WMXButtonDBLCLK (TControl)
pt | WMXButtonDown (TControl)
pt | WMXButtonQuadCLK (TControl)
pt | WMXButtonTripleCLK (TControl)
pt | WMXButtonUp (TControl)
pt | WndProc (TControl)
pt | WndProc (TWinControl)
 | WriteLayoutDebugReport (TControl)
 | WriteLayoutDebugReport (TWinControl)
 | WriteLeft (TComponent)
 | WriteState (TComponent)
 | WriteTop (TComponent)
pt | WSRegisterClass (TLCLComponent)
pt | WSRegisterClass (TControl)
pt | WSRegisterClass (TWinControl)
pt | WSRegisterClass (TCustomListBox)
pt | WSSetText (TWinControl)
 | _AddRef (TComponent)
 | _Release (TComponent)


TCustomFileListBox
 |  | OnChange
TCustomListBox
 | ro | OnChangeBounds
 | ro | OnClick
 | ro | OnDblClick
 |  | OnDrawItem
 | ro | OnEnter
 | ro | OnExit
 | ro | OnKeyDown
 | ro | OnKeyPress
 | ro | OnKeyUp
 |  | OnMeasureItem
 | ro | OnMouseDown
 | ro | OnMouseEnter
 | ro | OnMouseLeave
 | ro | OnMouseMove
 | ro | OnMouseUp
 | ro | OnMouseWheel
 | ro | OnMouseWheelDown
 | ro | OnMouseWheelUp
 | ro | OnResize
 |  | OnSelectionChange
 | ro | OnUTF8KeyPress
TWinControl
pt |  | OnGetSiteInfo
pt |  | OnGetDockCaption
 |  | OnAlignInsertBefore
 |  | OnAlignPosition
 |  | OnDockDrop
 |  | OnDockOver
 |  | OnEnter
 |  | OnExit
 |  | OnKeyDown
 |  | OnKeyPress
 |  | OnKeyUp
 |  | OnUnDock
 |  | OnUTF8KeyPress
TControl
pt |  | OnConstrainedResize
pt |  | OnContextPopup
pt |  | OnDblClick
pt |  | OnTripleClick
pt |  | OnQuadClick
pt |  | OnDragDrop
pt |  | OnDragOver
pt |  | OnEndDock
pt |  | OnEndDrag
pt |  | OnMouseDown
pt |  | OnMouseMove
pt |  | OnMouseUp
pt |  | OnMouseEnter
pt |  | OnMouseLeave
pt |  | OnMouseWheel
pt |  | OnMouseWheelDown
pt |  | OnMouseWheelUp
pt |  | OnMouseWheelHorz
pt |  | OnMouseWheelLeft
pt |  | OnMouseWheelRight
pt |  | OnStartDock
pt |  | OnStartDrag
pt |  | OnEditingDone
 |  | OnChangeBounds
 |  | OnClick
 |  | OnResize
 |  | OnShowHint
TLCLComponent
TComponent
TPersistent
TObject


 |  | OnAlignInsertBefore (TWinControl)
 |  | OnAlignPosition (TWinControl)
 |  | OnChange (TCustomFileListBox)
 |  | OnChangeBounds (TControl)
 | ro | OnChangeBounds (TCustomListBox)
 |  | OnClick (TControl)
 | ro | OnClick (TCustomListBox)
pt |  | OnConstrainedResize (TControl)
pt |  | OnContextPopup (TControl)
pt |  | OnDblClick (TControl)
 | ro | OnDblClick (TCustomListBox)
 |  | OnDockDrop (TWinControl)
 |  | OnDockOver (TWinControl)
pt |  | OnDragDrop (TControl)
pt |  | OnDragOver (TControl)
 |  | OnDrawItem (TCustomListBox)
pt |  | OnEditingDone (TControl)
pt |  | OnEndDock (TControl)
pt |  | OnEndDrag (TControl)
 |  | OnEnter (TWinControl)
 | ro | OnEnter (TCustomListBox)
 |  | OnExit (TWinControl)
 | ro | OnExit (TCustomListBox)
pt |  | OnGetDockCaption (TWinControl)
pt |  | OnGetSiteInfo (TWinControl)
 |  | OnKeyDown (TWinControl)
 | ro | OnKeyDown (TCustomListBox)
 |  | OnKeyPress (TWinControl)
 | ro | OnKeyPress (TCustomListBox)
 |  | OnKeyUp (TWinControl)
 | ro | OnKeyUp (TCustomListBox)
 |  | OnMeasureItem (TCustomListBox)
pt |  | OnMouseDown (TControl)
 | ro | OnMouseDown (TCustomListBox)
pt |  | OnMouseEnter (TControl)
 | ro | OnMouseEnter (TCustomListBox)
pt |  | OnMouseLeave (TControl)
 | ro | OnMouseLeave (TCustomListBox)
pt |  | OnMouseMove (TControl)
 | ro | OnMouseMove (TCustomListBox)
pt |  | OnMouseUp (TControl)
 | ro | OnMouseUp (TCustomListBox)
pt |  | OnMouseWheel (TControl)
 | ro | OnMouseWheel (TCustomListBox)
pt |  | OnMouseWheelDown (TControl)
 | ro | OnMouseWheelDown (TCustomListBox)
pt |  | OnMouseWheelHorz (TControl)
pt |  | OnMouseWheelLeft (TControl)
pt |  | OnMouseWheelRight (TControl)
pt |  | OnMouseWheelUp (TControl)
 | ro | OnMouseWheelUp (TCustomListBox)
pt |  | OnQuadClick (TControl)
 |  | OnResize (TControl)
 | ro | OnResize (TCustomListBox)
 |  | OnSelectionChange (TCustomListBox)
 |  | OnShowHint (TControl)
pt |  | OnStartDock (TControl)
pt |  | OnStartDrag (TControl)
pt |  | OnTripleClick (TControl)
 |  | OnUnDock (TWinControl)
 |  | OnUTF8KeyPress (TWinControl)
 | ro | OnUTF8KeyPress (TCustomListBox)


TCustomFileListBox.Directory

The Directory or Folder in which the file is located

Declaration

Source position: filectrl.pp line 72

public property TCustomFileListBox.Directory : string
  read FDirectory
  write SetDirectory;


TCustomFileListBox.DoChangeFile

DoChangeFile - method to change a file selection: calls the OnChange event handler

Declaration

Source position: filectrl.pp line 61

protected procedure TCustomFileListBox.DoChangeFile; virtual;


TCustomFileListBox.Drive

The Drive on which the file is located (applies to Windows systems)

Declaration

Source position: filectrl.pp line 71

public property TCustomFileListBox.Drive : Char
  read FDrive
  write SetDrive
  default ' ';


TCustomFileListBox.FileName

FileName - the name of the selected file

Declaration

Source position: filectrl.pp line 73

public property TCustomFileListBox.FileName : string
  read FFileName
  write SetFileName;


TCustomFileListBox.FileType

FileType - the type or attributes of the selected file

Declaration

Source position: filectrl.pp line 74

public property TCustomFileListBox.FileType : TFileType
  read FFileType
  write SetFileType
  default [ftNormal];


TCustomFileListBox.IndexOfFile

IndexOfFile - number of the selected file in the list of files

Declaration

Source position: filectrl.pp line 63

protected function TCustomFileListBox.IndexOfFile(

  const AFilename: string

):Integer;


TCustomFileListBox.Mask

Specifies which files will be shown

Declaration

Source position: filectrl.pp line 75

public property TCustomFileListBox.Mask : string
  read FMask
  write SetMask
  stored MaskIsStored;

Description

This property should be filled with a list of masks separated by semi-colons. For example: "*.pdf;*.svg" will show all files with the extensions pdf and svg. The default value for this property is "*" which for this control will be consider the generic mask meaning any file. Do not use the Windows specific mask "*.*" to attempt to show all files, which is the behavior from Delphi. In the LCL version of the control this will require the file name to have a point.

Allowed wildcarss are "*" which means zero or more characters and "?" which means exactly 1 character of any kind. Other characters represent themselves with one important detail: The file matching algorithm is case insensitive. So if you set "*.PDF" in the mask, then "PostScript.pdf" will also be shown, even in Linux in a case-sensitive file system.

This property has exactly the same rules and behavior as TFilterComboBox.Mask.

See also

TCustomFilterComboBox.Mask


TCustomFileListBox.OnChange

OnChange - event handler for a change in the file list or the selection

Declaration

Source position: filectrl.pp line 76

public property TCustomFileListBox.OnChange : TNotifyEvent
  read FOnChange
  write FOnChange;


TCustomFileListBox.UpdateFileList

UpdateFileList - brings the list of files up to date, taking into account any changes

Declaration

Source position: filectrl.pp line 69

public procedure TCustomFileListBox.UpdateFileList; virtual;


TCustomFilterComboBox

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

A combobox to select filename filters

Declaration

Source position: filectrl.pp line 144

type TCustomFilterComboBox = class(TCustomComboBox)
protected
procedure Select; override; |
procedure Notification(); override;
public
constructor Create(); override; |
destructor Destroy; override; |
class procedure ConvertFilterToStrings(); |
property Mask: string; [r] |
property ShellListView: TShellListView; [rw] | Allows to concect this control to a TShellListView
end;

Inheritance

TCustomFilterComboBox | A combobox to select filename filters
|
TCustomComboBox | The base class for ComboBox components.
|
TWinControl | The base class for controls which can contain other (child) controls.
|
TControl | The base class for visible controls.
|
TLCLComponent | The base class for LCL components associated with widgets.
|
TComponent,IUnknown,IInterfaceComponentReference
|
TPersistent,IFPObserved
|
TObject


TCustomFilterComboBox
 | ro | Mask
 |  | ShellListView
TCustomComboBox
pt |  | ItemHeight
pt |  | ItemWidth
pt |  | MaxLength
pt | ro | ParentColor
pt |  | Sorted
 |  | CharCase
 |  | DroppedDown
 |  | DroppingDown
 |  | AutoComplete
 |  | AutoCompleteText
 |  | AutoDropDown
 |  | AutoSelect
 |  | AutoSelected
 | ro | AutoSize
 |  | ArrowKeysTraverseList
 | ro | Canvas
 |  | DropDownCount
 |  | Items
 |  | ItemIndex
 |  | ReadOnly
 |  | SelLength
 |  | SelStart
 |  | SelText
 |  | Style
 | ro | TabStop
 | ro | Text
TWinControl
pt |  | WindowHandle
pt |  | BorderStyle
pt |  | ParentBackground
 |  | BorderWidth
 | ro | BoundsLockCount
 | ro | Brush
 | ro | CachedClientHeight
 | ro | CachedClientWidth
 |  | ChildSizing
 | ro | ControlCount
 | ro | Controls
 |  | DefWndProc
 | ro | DockClientCount
 | ro | DockClients
 |  | DockManager
 |  | DockSite
 |  | DoubleBuffered
 |  | Handle
 | ro | IsFlipped
 | ro | IsResizing
 |  | TabOrder
 |  | TabStop
 |  | ParentDoubleBuffered
 |  | ParentWindow
 | ro | Showing
 |  | UseDockManager
 |  | DesignerDeleting
 | ro | VisibleDockClientCount
TControl
pt | ro | AutoSizing
pt | ro | AutoSizingAll
pt | ro | AutoSizingLockCount
pt |  | ActionLink
pt |  | DesktopFont
pt |  | DragCursor
pt |  | DragKind
pt |  | DragMode
pt |  | MouseCapture
pt |  | ParentColor
pt |  | ParentFont
pt |  | ParentShowHint
pt |  | SessionProperties
pt |  | Text
 | ro | AnchoredControls
 | ro | BaseBounds
 | ro | ReadBounds
 | ro | BaseParentClientSize
 |  | AccessibleDescription
 |  | AccessibleValue
 |  | AccessibleRole
 |  | Action
 |  | Align
 |  | Anchors
 | ro | AnchorSide
 |  | AutoSize
 |  | BorderSpacing
 |  | BoundsRect
 |  | BoundsRectForNewParent
 |  | Caption
 |  | CaptureMouseButtons
 |  | ClientHeight
 | ro | ClientOrigin
 | ro | ClientRect
 |  | ClientWidth
 |  | Color
 |  | Constraints
 | ro | ControlOrigin
 |  | ControlState
 |  | ControlStyle
 |  | Enabled
 |  | Font
 |  | IsControl
 | ro | MouseEntered
 | ro | MouseInClient
 |  | Parent
 |  | PopupMenu
 |  | ShowHint
 |  | Visible
 |  | WindowProc
 |  | DockOrientation
 | ro | Floating
 |  | FloatingDockSiteClass
 |  | HostDockSite
 |  | LRDockWidth
 |  | TBDockHeight
 |  | UndockHeight
 |  | UndockWidth
 |  | BiDiMode
 |  | ParentBiDiMode
pl |  | AnchorSideLeft
pl |  | AnchorSideTop
pl |  | AnchorSideRight
pl |  | AnchorSideBottom
pl |  | Cursor
pl |  | Left
pl |  | Height
pl |  | Hint
pl |  | Top
pl |  | Width
pl |  | HelpType
pl |  | HelpKeyword
pl |  | HelpContext
TLCLComponent
 | ro | LCLRefCount
 | ro | WidgetSetClass
TComponent
 | ro | ComObject
 | ro | Components
 | ro | ComponentCount
 |  | ComponentIndex
 | ro | ComponentState
 | ro | ComponentStyle
 |  | DesignInfo
 | ro | Owner
 |  | VCLComObject
 |  | Name
 |  | Tag
TPersistent
TObject


 |  | AccessibleDescription (TControl)
 |  | AccessibleRole (TControl)
 |  | AccessibleValue (TControl)
 |  | Action (TControl)
pt |  | ActionLink (TControl)
 |  | Align (TControl)
 | ro | AnchoredControls (TControl)
 |  | Anchors (TControl)
 | ro | AnchorSide (TControl)
pl |  | AnchorSideBottom (TControl)
pl |  | AnchorSideLeft (TControl)
pl |  | AnchorSideRight (TControl)
pl |  | AnchorSideTop (TControl)
 |  | ArrowKeysTraverseList (TCustomComboBox)
 |  | AutoComplete (TCustomComboBox)
 |  | AutoCompleteText (TCustomComboBox)
 |  | AutoDropDown (TCustomComboBox)
 |  | AutoSelect (TCustomComboBox)
 |  | AutoSelected (TCustomComboBox)
 |  | AutoSize (TControl)
 | ro | AutoSize (TCustomComboBox)
pt | ro | AutoSizing (TControl)
pt | ro | AutoSizingAll (TControl)
pt | ro | AutoSizingLockCount (TControl)
 | ro | BaseBounds (TControl)
 | ro | BaseParentClientSize (TControl)
 |  | BiDiMode (TControl)
 |  | BorderSpacing (TControl)
pt |  | BorderStyle (TWinControl)
 |  | BorderWidth (TWinControl)
 | ro | BoundsLockCount (TWinControl)
 |  | BoundsRect (TControl)
 |  | BoundsRectForNewParent (TControl)
 | ro | Brush (TWinControl)
 | ro | CachedClientHeight (TWinControl)
 | ro | CachedClientWidth (TWinControl)
 | ro | Canvas (TCustomComboBox)
 |  | Caption (TControl)
 |  | CaptureMouseButtons (TControl)
 |  | CharCase (TCustomComboBox)
 |  | ChildSizing (TWinControl)
 |  | ClientHeight (TControl)
 | ro | ClientOrigin (TControl)
 | ro | ClientRect (TControl)
 |  | ClientWidth (TControl)
 |  | Color (TControl)
 | ro | ComObject (TComponent)
 | ro | ComponentCount (TComponent)
 |  | ComponentIndex (TComponent)
 | ro | Components (TComponent)
 | ro | ComponentState (TComponent)
 | ro | ComponentStyle (TComponent)
 |  | Constraints (TControl)
 | ro | ControlCount (TWinControl)
 | ro | ControlOrigin (TControl)
 | ro | Controls (TWinControl)
 |  | ControlState (TControl)
 |  | ControlStyle (TControl)
pl |  | Cursor (TControl)
 |  | DefWndProc (TWinControl)
 |  | DesignerDeleting (TWinControl)
 |  | DesignInfo (TComponent)
pt |  | DesktopFont (TControl)
 | ro | DockClientCount (TWinControl)
 | ro | DockClients (TWinControl)
 |  | DockManager (TWinControl)
 |  | DockOrientation (TControl)
 |  | DockSite (TWinControl)
 |  | DoubleBuffered (TWinControl)
pt |  | DragCursor (TControl)
pt |  | DragKind (TControl)
pt |  | DragMode (TControl)
 |  | DropDownCount (TCustomComboBox)
 |  | DroppedDown (TCustomComboBox)
 |  | DroppingDown (TCustomComboBox)
 |  | Enabled (TControl)
 | ro | Floating (TControl)
 |  | FloatingDockSiteClass (TControl)
 |  | Font (TControl)
 |  | Handle (TWinControl)
pl |  | Height (TControl)
pl |  | HelpContext (TControl)
pl |  | HelpKeyword (TControl)
pl |  | HelpType (TControl)
pl |  | Hint (TControl)
 |  | HostDockSite (TControl)
 |  | IsControl (TControl)
 | ro | IsFlipped (TWinControl)
 | ro | IsResizing (TWinControl)
pt |  | ItemHeight (TCustomComboBox)
 |  | ItemIndex (TCustomComboBox)
 |  | Items (TCustomComboBox)
pt |  | ItemWidth (TCustomComboBox)
 | ro | LCLRefCount (TLCLComponent)
pl |  | Left (TControl)
 |  | LRDockWidth (TControl)
 | ro | Mask (TCustomFilterComboBox)
pt |  | MaxLength (TCustomComboBox)
pt |  | MouseCapture (TControl)
 | ro | MouseEntered (TControl)
 | ro | MouseInClient (TControl)
 |  | Name (TComponent)
 | ro | Owner (TComponent)
 |  | Parent (TControl)
pt |  | ParentBackground (TWinControl)
 |  | ParentBiDiMode (TControl)
pt |  | ParentColor (TControl)
pt | ro | ParentColor (TCustomComboBox)
 |  | ParentDoubleBuffered (TWinControl)
pt |  | ParentFont (TControl)
pt |  | ParentShowHint (TControl)
 |  | ParentWindow (TWinControl)
 |  | PopupMenu (TControl)
 | ro | ReadBounds (TControl)
 |  | ReadOnly (TCustomComboBox)
 |  | SelLength (TCustomComboBox)
 |  | SelStart (TCustomComboBox)
 |  | SelText (TCustomComboBox)
pt |  | SessionProperties (TControl)
 |  | ShellListView (TCustomFilterComboBox)
 |  | ShowHint (TControl)
 | ro | Showing (TWinControl)
pt |  | Sorted (TCustomComboBox)
 |  | Style (TCustomComboBox)
 |  | TabOrder (TWinControl)
 |  | TabStop (TWinControl)
 | ro | TabStop (TCustomComboBox)
 |  | Tag (TComponent)
 |  | TBDockHeight (TControl)
pt |  | Text (TControl)
 | ro | Text (TCustomComboBox)
pl |  | Top (TControl)
 |  | UndockHeight (TControl)
 |  | UndockWidth (TControl)
 |  | UseDockManager (TWinControl)
 |  | VCLComObject (TComponent)
 |  | Visible (TControl)
 | ro | VisibleDockClientCount (TWinControl)
 | ro | WidgetSetClass (TLCLComponent)
pl |  | Width (TControl)
pt |  | WindowHandle (TWinControl)
 |  | WindowProc (TControl)


TCustomFilterComboBox
pt | Select
pt | Notification
 | Create
 | Destroy
 | ConvertFilterToStrings
TCustomComboBox
pt | WSRegisterClass
pt | CreateParams
pt | InitializeWnd
pt | DestroyWnd
pt | DoEnter
pt | DoExit
pt | DrawItem
pt | KeyUpAfterInterface
pt | MeasureItem
pt | GetControlClassDefaultSize
pt | LMChanged
pt | CMWantSpecialKey
pt | Change
pt | Select
pt | DropDown
pt | GetItems
pt | SetItems
pt | CloseUp
pt | AdjustDropDown
pt | DoAutoAdjustLayout
pt | GetItemCount
pt | GetItemHeight
pt | GetSelLength
pt | GetSelStart
pt | GetSelText
pt | GetItemIndex
pt | GetMaxLength
pt | SetDropDownCount
pt | SetDroppedDown
pt | SetItemHeight
pt | SetItemIndex
pt | SetMaxLength
pt | SetSelLength
pt | SetSelStart
pt | SetSelText
pt | SetSorted
pt | SetStyle
pt | RealSetText
pt | KeyDown
pt | KeyUp
pt | UTF8KeyPress
pt | MouseUp
pt | SelectItem
pt | ShouldAutoAdjust
 | Create
 | Destroy
 | IntfGetItems
 | AddItem
 | AddHistoryItem
 | Clear
 | ClearSelection
 | SelectAll
TWinControl
pt | WSRegisterClass
pt | AdjustClientRect
pt | GetAdjustedLogicalClientRect
pt | AlignControls
pt | CustomAlignInsertBefore
pt | CustomAlignPosition
pt | DoAlignChildControls
pt | DoChildSizingChange
pt | InvalidatePreferredChildSizes
pt | CanTab
pt | IsClientHeightStored
pt | IsClientWidthStored
pt | DoSendShowHideToInterface
pt | ControlsAligned
pt | DoSendBoundsToInterface
pt | RealizeBounds
pt | RealizeBoundsRecursive
pt | InvalidateBoundsRealized
pt | CreateSubClass
pt | DoConstraintsChange
pt | DoSetBounds
pt | DoAutoSize
pt | DoAllAutoSize
pt | AllAutoSized
pt | CalculatePreferredSize
pt | GetPreferredSizeClientFrame
pt | GetChildren
pt | ChildClassAllowed
pt | PaintControls
pt | PaintHandler
pt | PaintWindow
pt | CreateBrush
pt | ScaleControls
pt | ChangeScale
pt | CMBiDiModeChanged
pt | CMBorderChanged
pt | CMDoubleBufferedChanged
pt | CMEnabledChanged
pt | CMParentDoubleBufferedChanged
pt | CMShowingChanged
pt | CMShowHintChanged
pt | CMVisibleChanged
pt | CMEnter
pt | CMExit
pt | WMContextMenu
pt | WMEraseBkgnd
pt | WMNotify
pt | WMSetFocus
pt | WMKillFocus
pt | WMShowWindow
pt | WMEnter
pt | WMExit
pt | WMKeyDown
pt | WMSysKeyDown
pt | WMKeyUp
pt | WMSysKeyUp
pt | WMChar
pt | WMSysChar
pt | WMPaint
pt | WMDestroy
pt | WMMove
pt | WMSize
pt | WMWindowPosChanged
pt | CNKeyDown
pt | CNSysKeyDown
pt | CNKeyUp
pt | CNSysKeyUp
pt | CNChar
pt | DoDragMsg
pt | DoDockClientMsg
pt | DoUndockClientMsg
pt | DoAddDockClient
pt | DockOver
pt | DoDockOver
pt | DoRemoveDockClient
pt | DoUnDock
pt | GetSiteInfo
pt | GetParentHandle
pt | GetTopParentHandle
pt | ReloadDockedControl
pt | CreateDockManager
pt | SetDockManager
pt | DoFloatMsg
pt | DoGetDockCaption
pt | DoEnter
pt | DoExit
pt | DoKeyDownBeforeInterface
pt | DoRemainingKeyDown
pt | DoRemainingKeyUp
pt | DoKeyPress
pt | DoUTF8KeyPress
pt | DoKeyUpBeforeInterface
pt | ChildKey
pt | SendDialogChar
pt | DialogChar
pt | ControlKeyDown
pt | ControlKeyUp
pt | KeyDown
pt | KeyDownBeforeInterface
pt | KeyDownAfterInterface
pt | KeyPress
pt | KeyUp
pt | KeyUpBeforeInterface
pt | KeyUpAfterInterface
pt | UTF8KeyPress
pt | FindNextControl
pt | SelectFirst
pt | RealGetText
pt | GetBorderStyle
pt | GetClientOrigin
pt | GetClientRect
pt | GetControlOrigin
pt | GetDeviceContext
pt | GetParentBackground
pt | IsControlMouseMsg
pt | CreateHandle
pt | CreateParams
pt | CreateWnd
pt | DestroyHandle
pt | DestroyWnd
pt | DoFlipChildren
pt | FinalizeWnd
pt | FixupTabList
pt | FontChanged
pt | InitializeWnd
pt | Loaded
pt | FormEndUpdated
pt | MainWndProc
pt | ParentFormHandleInitialized
pt | ChildHandlesCreated
pt | GetMouseCapture
pt | RealSetText
pt | RemoveFocus
pt | SendMoveSizeMessages
pt | SetBorderStyle
pt | SetColor
pt | SetChildZPosition
pt | SetParentBackground
pt | ShowControl
pt | UpdateControlState
pt | UpdateShowing
pt | WndProc
pt | WSSetText
 | AutoSizePhases
 | AutoSizeDelayed
 | AutoSizeDelayedReport
 | AutoSizeDelayedHandle
 | BeginUpdateBounds
 | EndUpdateBounds
 | LockRealizeBounds
 | UnlockRealizeBounds
 | ControlAtPos
 | ContainsControl
 | DoAdjustClientRectChange
 | InvalidateClientRectCache
 | ClientRectNeedsInterfaceUpdate
 | SetBounds
 | GetChildrenRect
 | DisableAlign
 | EnableAlign
 | ReAlign
 | ScrollBy_WS
 | ScrollBy
 | WriteLayoutDebugReport
 | AutoAdjustLayout
 | Create
 | CreateParented
 | CreateParentedControl
 | Destroy
 | DockDrop
 | CanFocus
 | CanSetFocus
 | GetControlIndex
 | SetControlIndex
 | Focused
 | PerformTab
 | FindChildControl
 | SelectNext
 | SetTempCursor
 | BroadCast
 | NotifyControls
 | DefaultHandler
 | GetTextLen
 | Invalidate
 | AddControl
 | InsertControl
 | RemoveControl
 | GetEnumeratorControls
 | GetEnumeratorControlsReverse
 | Repaint
 | Update
 | SetFocus
 | FlipChildren
 | ScaleBy
 | GetDockCaption
 | UpdateDockCaption
 | GetTabOrderList
 | HandleAllocated
 | ParentHandlesAllocated
 | HandleNeeded
 | BrushCreated
 | EraseBackground
 | IntfUTF8KeyPress
 | IntfGetDropFilesTarget
 | PaintTo
 | SetShape
TControl
pt | WSRegisterClass
pt | GetCursor
pt | SetCursor
pt | SetVisible
pt | DoOnParentHandleDestruction
pt | DoAutoSize
pt | DoAllAutoSize
pt | BeginAutoSizing
pt | EndAutoSizing
pt | AnchorSideChanged
pt | ForeignAnchorSideChanged
pt | SetAlign
pt | SetAnchors
pt | SetAutoSize
pt | BoundsChanged
pt | CreateControlBorderSpacing
pt | DoConstraintsChange
pt | DoBorderSpacingChange
pt | IsBorderSpacingInnerBorderStored
pt | IsCaptionStored
pt | SendMoveSizeMessages
pt | ConstrainedResize
pt | CalculatePreferredSize
pt | DoOnResize
pt | DoOnChangeBounds
pt | CheckOnChangeBounds
pt | Resize
pt | RequestAlign
pt | UpdateAnchorRules
pt | ChangeBounds
pt | DoSetBounds
pt | ScaleConstraints
pt | ChangeScale
pt | CanAutoSize
pt | SetBiDiMode
pt | SetParentBiDiMode
pt | IsAParentAligning
pt | GetClientOrigin
pt | GetClientRect
pt | GetLogicalClientRect
pt | GetScrolledClientRect
pt | GetClientScrollOffset
pt | GetControlOrigin
pt | IsClientHeightStored
pt | IsClientWidthStored
pt | WidthIsAnchored
pt | HeightIsAnchored
pt | WMCancelMode
pt | WMContextMenu
pt | WMLButtonDown
pt | WMRButtonDown
pt | WMMButtonDown
pt | WMXButtonDown
pt | WMLButtonDBLCLK
pt | WMRButtonDBLCLK
pt | WMMButtonDBLCLK
pt | WMXButtonDBLCLK
pt | WMLButtonTripleCLK
pt | WMRButtonTripleCLK
pt | WMMButtonTripleCLK
pt | WMXButtonTripleCLK
pt | WMLButtonQuadCLK
pt | WMRButtonQuadCLK
pt | WMMButtonQuadCLK
pt | WMXButtonQuadCLK
pt | WMMouseMove
pt | WMLButtonUp
pt | WMRButtonUp
pt | WMMButtonUp
pt | WMXButtonUp
pt | WMMouseWheel
pt | WMMouseHWheel
pt | WMMove
pt | WMSize
pt | WMWindowPosChanged
pt | CMChanged
pt | LMCaptureChanged
pt | CMBiDiModeChanged
pt | CMSysFontChanged
pt | CMEnabledChanged
pt | CMHitTest
pt | CMMouseEnter
pt | CMMouseLeave
pt | CMHintShow
pt | CMParentBiDiModeChanged
pt | CMParentColorChanged
pt | CMParentFontChanged
pt | CMParentShowHintChanged
pt | CMVisibleChanged
pt | CMTextChanged
pt | CMCursorChanged
pt | CalculateDockSizes
pt | CreateFloatingDockSite
pt | GetDockEdge
pt | GetDragImages
pt | GetFloating
pt | GetFloatingDockSiteClass
pt | BeforeDragStart
pt | BeginAutoDrag
pt | DoFloatMsg
pt | DockTrackNoTarget
pt | DoDock
pt | DoDragMsg
pt | DoEndDock
pt | DoEndDrag
pt | DoStartDock
pt | DoStartDrag
pt | DragCanceled
pt | DragOver
pt | PositionDockRect
pt | SetDragMode
pt | GetDefaultDockCaption
pt | Click
pt | DblClick
pt | TripleClick
pt | QuadClick
pt | GetMousePosFromMessage
pt | MouseDown
pt | MouseMove
pt | MouseUp
pt | MouseEnter
pt | MouseLeave
pt | DialogChar
pt | UpdateMouseCursor
pt | Changed
pt | GetPalette
pt | ChildClassAllowed
pt | ReadState
pt | Loaded
pt | LoadedAll
pt | DefineProperties
pt | AssignTo
pt | FormEndUpdated
pt | InvalidateControl
pt | FontChanged
pt | ParentFontChanged
pt | GetAction
pt | RealGetText
pt | RealSetText
pt | TextChanged
pt | GetCachedText
pt | SetAction
pt | SetColor
pt | SetEnabled
pt | SetHint
pt | SetName
pt | SetParent
pt | SetParentComponent
pt | WndProc
pt | ParentFormHandleInitialized
pt | GetMouseCapture
pt | CaptureChanged
pt | Notification
pt | CanTab
pt | GetDeviceContext
pt | GetEnabled
pt | GetPopupMenu
pt | DoOnShowHint
pt | DoMouseWheel
pt | DoMouseWheelDown
pt | DoMouseWheelUp
pt | DoMouseWheelHorz
pt | DoMouseWheelLeft
pt | DoMouseWheelRight
pt | VisibleChanging
pt | VisibleChanged
pt | EnabledChanging
pt | EnabledChanged
pt | AddHandler
pt | RemoveHandler
pt | DoCallNotifyHandler
pt | DoCallKeyEventHandler
pt | DoCallMouseWheelEventHandler
pt | DoContextPopup
pt | SetZOrder
pt | GetControlClassDefaultSize
pt | ColorIsStored
pt | DoAutoAdjustLayout
pt | DoFixDesignFontPPI
pt | DoScaleFontPPI
pt | GetActionLinkClass
pt | ActionChange
 | DragDrop
 | Dock
 | ManualDock
 | ManualFloat
 | ReplaceDockedControl
 | Docked
 | Dragging
 | GetAccessibleObject
 | CreateAccessibleObject
 | GetSelectedChildAccessibleObject
 | GetChildAccessibleObjectAtPos
 | ScaleDesignToForm
 | ScaleFormToDesign
 | Scale96ToForm
 | ScaleFormTo96
 | Scale96ToFont
 | ScaleFontTo96
 | ScaleScreenToFont
 | ScaleFontToScreen
 | Scale96ToScreen
 | ScaleScreenTo96
 | AdjustSize
 | AutoSizePhases
 | AutoSizeDelayed
 | AutoSizeDelayedReport
 | AutoSizeDelayedHandle
 | AnchorToNeighbour
 | AnchorParallel
 | AnchorHorizontalCenterTo
 | AnchorVerticalCenterTo
 | AnchorToCompanion
 | AnchorSame
 | AnchorAsAlign
 | AnchorClient
 | AnchoredControlCount
 | SetBounds
 | SetInitialBounds
 | SetBoundsKeepBase
 | GetPreferredSize
 | GetCanvasScaleFactor
 | GetDefaultWidth
 | GetDefaultHeight
 | GetDefaultColor
 | GetColorResolvingParent
 | GetRGBColorResolvingParent
 | GetSidePosition
 | CNPreferredSizeChanged
 | InvalidatePreferredSize
 | GetAnchorsDependingOnParent
 | DisableAutoSizing
 | EnableAutoSizing
 | UpdateBaseBounds
 | WriteLayoutDebugReport
 | AutoAdjustLayout
 | ShouldAutoAdjust
 | FixDesignFontsPPI
 | ScaleFontsPPI
 | Create
 | Destroy
 | BeforeDestruction
 | EditingDone
 | ExecuteDefaultAction
 | ExecuteCancelAction
 | BeginDrag
 | EndDrag
 | BringToFront
 | HasParent
 | GetParentComponent
 | IsParentOf
 | GetTopParent
 | IsVisible
 | IsControlVisible
 | IsEnabled
 | IsParentColor
 | IsParentFont
 | FormIsUpdating
 | IsProcessingPaintMsg
 | Hide
 | Refresh
 | Repaint
 | Invalidate
 | CheckChildClassAllowed
 | CheckNewParent
 | SendToBack
 | SetTempCursor
 | UpdateRolesForForm
 | ActiveDefaultControlChanged
 | GetTextBuf
 | GetTextLen
 | SetTextBuf
 | Perform
 | ScreenToClient
 | ClientToScreen
 | ScreenToControl
 | ControlToScreen
 | ClientToParent
 | ParentToClient
 | GetChildrenRect
 | Show
 | Update
 | HandleObjectShouldBeVisible
 | ParentDestroyingHandle
 | ParentHandlesAllocated
 | InitiateAction
 | ShowHelp
 | HasHelp
 | RemoveAllHandlersOfObject
 | AddHandlerOnResize
 | RemoveHandlerOnResize
 | AddHandlerOnChangeBounds
 | RemoveHandlerOnChangeBounds
 | AddHandlerOnVisibleChanging
 | RemoveHandlerOnVisibleChanging
 | AddHandlerOnVisibleChanged
 | RemoveHandlerOnVisibleChanged
 | AddHandlerOnEnabledChanged
 | RemoveHandlerOnEnableChanging
 | AddHandlerOnKeyDown
 | RemoveHandlerOnKeyDown
 | AddHandlerOnBeforeDestruction
 | RemoveHandlerOnBeforeDestruction
 | AddHandlerOnMouseWheel
 | RemoveHandlerOnMouseWheel
 | UseRightToLeftAlignment
 | UseRightToLeftReading
 | UseRightToLeftScrollBar
 | IsRightToLeft
TLCLComponent
pt | WSRegisterClass
pt | GetWSComponentClass
 | Create
 | Destroy
 | NewInstance
 | RemoveAllHandlersOfObject
 | IncLCLRefCount
 | DecLCLRefCount
TComponent
 | GetComObject
 | GetComponent
 | GetComponentCount
 | GetComponentIndex
 | Insert
 | ReadLeft
 | ReadTop
 | Remove
 | RemoveNotification
 | SetComponentIndex
 | SetReference
 | WriteLeft
 | WriteTop
 | ChangeName
 | DefineProperties
 | GetChildren
 | GetChildOwner
 | GetChildParent
 | GetOwner
 | Loaded
 | Loading
 | Notification
 | PaletteCreated
 | ReadState
 | SetAncestor
 | SetDesigning
 | SetDesignInstance
 | SetInline
 | SetName
 | SetChildOrder
 | SetParentComponent
 | Updating
 | Updated
 | UpdateRegistry
 | ValidateRename
 | ValidateContainer
 | ValidateInsert
 | QueryInterface
 | _AddRef
 | _Release
 | iicrGetComponent
 | GetTypeInfoCount
 | GetTypeInfo
 | GetIDsOfNames
 | Invoke
 | WriteState
 | Create
 | Destroy
 | BeforeDestruction
 | DestroyComponents
 | Destroying
 | ExecuteAction
 | FindComponent
 | FreeNotification
 | RemoveFreeNotification
 | FreeOnRelease
 | GetEnumerator
 | GetNamePath
 | GetParentComponent
 | HasParent
 | InsertComponent
 | RemoveComponent
 | SafeCallException
 | SetSubComponent
 | UpdateAction
 | IsImplementorOf
 | ReferenceInterface
TPersistent
 | AssignError
 | AssignTo
 | DefineProperties
 | GetOwner
 | Destroy
 | Assign
 | FPOAttachObserver
 | FPODetachObserver
 | FPONotifyObservers
 | GetNamePath
TObject
 | Create
 | Destroy
 | newinstance
 | FreeInstance
 | SafeCallException
 | DefaultHandler
 | Free
 | InitInstance
 | CleanupInstance
 | ClassType
 | ClassInfo
 | ClassName
 | ClassNameIs
 | ClassParent
 | InstanceSize
 | InheritsFrom
 | StringMessageTable
 | MethodAddress
 | MethodName
 | FieldAddress
 | AfterConstruction
 | BeforeDestruction
 | DefaultHandlerStr
 | Dispatch
 | DispatchStr
 | GetInterface
 | GetInterfaceByStr
 | GetInterfaceWeak
 | GetInterfaceEntry
 | GetInterfaceEntryByStr
 | GetInterfaceTable
 | UnitName
 | Equals
 | GetHashCode
 | ToString


pt | ActionChange (TControl)
 | ActiveDefaultControlChanged (TControl)
 | AddControl (TWinControl)
pt | AddHandler (TControl)
 | AddHandlerOnBeforeDestruction (TControl)
 | AddHandlerOnChangeBounds (TControl)
 | AddHandlerOnEnabledChanged (TControl)
 | AddHandlerOnKeyDown (TControl)
 | AddHandlerOnMouseWheel (TControl)
 | AddHandlerOnResize (TControl)
 | AddHandlerOnVisibleChanged (TControl)
 | AddHandlerOnVisibleChanging (TControl)
 | AddHistoryItem (TCustomComboBox)
 | AddItem (TCustomComboBox)
pt | AdjustClientRect (TWinControl)
pt | AdjustDropDown (TCustomComboBox)
 | AdjustSize (TControl)
 | AfterConstruction (TObject)
pt | AlignControls (TWinControl)
pt | AllAutoSized (TWinControl)
 | AnchorAsAlign (TControl)
 | AnchorClient (TControl)
 | AnchoredControlCount (TControl)
 | AnchorHorizontalCenterTo (TControl)
 | AnchorParallel (TControl)
 | AnchorSame (TControl)
pt | AnchorSideChanged (TControl)
 | AnchorToCompanion (TControl)
 | AnchorToNeighbour (TControl)
 | AnchorVerticalCenterTo (TControl)
 | Assign (TPersistent)
 | AssignError (TPersistent)
 | AssignTo (TPersistent)
pt | AssignTo (TControl)
 | AutoAdjustLayout (TControl)
 | AutoAdjustLayout (TWinControl)
 | AutoSizeDelayed (TControl)
 | AutoSizeDelayed (TWinControl)
 | AutoSizeDelayedHandle (TControl)
 | AutoSizeDelayedHandle (TWinControl)
 | AutoSizeDelayedReport (TControl)
 | AutoSizeDelayedReport (TWinControl)
 | AutoSizePhases (TControl)
 | AutoSizePhases (TWinControl)
 | BeforeDestruction (TObject)
 | BeforeDestruction (TComponent)
 | BeforeDestruction (TControl)
pt | BeforeDragStart (TControl)
pt | BeginAutoDrag (TControl)
pt | BeginAutoSizing (TControl)
 | BeginDrag (TControl)
 | BeginUpdateBounds (TWinControl)
pt | BoundsChanged (TControl)
 | BringToFront (TControl)
 | BroadCast (TWinControl)
 | BrushCreated (TWinControl)
pt | CalculateDockSizes (TControl)
pt | CalculatePreferredSize (TControl)
pt | CalculatePreferredSize (TWinControl)
pt | CanAutoSize (TControl)
 | CanFocus (TWinControl)
 | CanSetFocus (TWinControl)
pt | CanTab (TControl)
pt | CanTab (TWinControl)
pt | CaptureChanged (TControl)
pt | Change (TCustomComboBox)
pt | ChangeBounds (TControl)
pt | Changed (TControl)
 | ChangeName (TComponent)
pt | ChangeScale (TControl)
pt | ChangeScale (TWinControl)
 | CheckChildClassAllowed (TControl)
 | CheckNewParent (TControl)
pt | CheckOnChangeBounds (TControl)
pt | ChildClassAllowed (TControl)
pt | ChildClassAllowed (TWinControl)
pt | ChildHandlesCreated (TWinControl)
pt | ChildKey (TWinControl)
 | ClassInfo (TObject)
 | ClassName (TObject)
 | ClassNameIs (TObject)
 | ClassParent (TObject)
 | ClassType (TObject)
 | CleanupInstance (TObject)
 | Clear (TCustomComboBox)
 | ClearSelection (TCustomComboBox)
pt | Click (TControl)
 | ClientRectNeedsInterfaceUpdate (TWinControl)
 | ClientToParent (TControl)
 | ClientToScreen (TControl)
pt | CloseUp (TCustomComboBox)
pt | CMBiDiModeChanged (TControl)
pt | CMBiDiModeChanged (TWinControl)
pt | CMBorderChanged (TWinControl)
pt | CMChanged (TControl)
pt | CMCursorChanged (TControl)
pt | CMDoubleBufferedChanged (TWinControl)
pt | CMEnabledChanged (TControl)
pt | CMEnabledChanged (TWinControl)
pt | CMEnter (TWinControl)
pt | CMExit (TWinControl)
pt | CMHintShow (TControl)
pt | CMHitTest (TControl)
pt | CMMouseEnter (TControl)
pt | CMMouseLeave (TControl)
pt | CMParentBiDiModeChanged (TControl)
pt | CMParentColorChanged (TControl)
pt | CMParentDoubleBufferedChanged (TWinControl)
pt | CMParentFontChanged (TControl)
pt | CMParentShowHintChanged (TControl)
pt | CMShowHintChanged (TWinControl)
pt | CMShowingChanged (TWinControl)
pt | CMSysFontChanged (TControl)
pt | CMTextChanged (TControl)
pt | CMVisibleChanged (TControl)
pt | CMVisibleChanged (TWinControl)
pt | CMWantSpecialKey (TCustomComboBox)
pt | CNChar (TWinControl)
pt | CNKeyDown (TWinControl)
pt | CNKeyUp (TWinControl)
 | CNPreferredSizeChanged (TControl)
pt | CNSysKeyDown (TWinControl)
pt | CNSysKeyUp (TWinControl)
pt | ColorIsStored (TControl)
pt | ConstrainedResize (TControl)
 | ContainsControl (TWinControl)
 | ControlAtPos (TWinControl)
pt | ControlKeyDown (TWinControl)
pt | ControlKeyUp (TWinControl)
pt | ControlsAligned (TWinControl)
 | ControlToScreen (TControl)
 | ConvertFilterToStrings (TCustomFilterComboBox)
 | Create (TObject)
 | Create (TComponent)
 | Create (TLCLComponent)
 | Create (TControl)
 | Create (TWinControl)
 | Create (TCustomComboBox)
 | Create (TCustomFilterComboBox)
 | CreateAccessibleObject (TControl)
pt | CreateBrush (TWinControl)
pt | CreateControlBorderSpacing (TControl)
pt | CreateDockManager (TWinControl)
pt | CreateFloatingDockSite (TControl)
pt | CreateHandle (TWinControl)
pt | CreateParams (TWinControl)
pt | CreateParams (TCustomComboBox)
 | CreateParented (TWinControl)
 | CreateParentedControl (TWinControl)
pt | CreateSubClass (TWinControl)
pt | CreateWnd (TWinControl)
pt | CustomAlignInsertBefore (TWinControl)
pt | CustomAlignPosition (TWinControl)
pt | DblClick (TControl)
 | DecLCLRefCount (TLCLComponent)
 | DefaultHandler (TObject)
 | DefaultHandler (TWinControl)
 | DefaultHandlerStr (TObject)
 | DefineProperties (TPersistent)
 | DefineProperties (TComponent)
pt | DefineProperties (TControl)
 | Destroy (TObject)
 | Destroy (TPersistent)
 | Destroy (TComponent)
 | Destroy (TLCLComponent)
 | Destroy (TControl)
 | Destroy (TWinControl)
 | Destroy (TCustomComboBox)
 | Destroy (TCustomFilterComboBox)
 | DestroyComponents (TComponent)
pt | DestroyHandle (TWinControl)
 | Destroying (TComponent)
pt | DestroyWnd (TWinControl)
pt | DestroyWnd (TCustomComboBox)
pt | DialogChar (TControl)
pt | DialogChar (TWinControl)
 | DisableAlign (TWinControl)
 | DisableAutoSizing (TControl)
 | Dispatch (TObject)
 | DispatchStr (TObject)
pt | DoAddDockClient (TWinControl)
 | DoAdjustClientRectChange (TWinControl)
pt | DoAlignChildControls (TWinControl)
pt | DoAllAutoSize (TControl)
pt | DoAllAutoSize (TWinControl)
pt | DoAutoAdjustLayout (TControl)
pt | DoAutoAdjustLayout (TCustomComboBox)
pt | DoAutoSize (TControl)
pt | DoAutoSize (TWinControl)
pt | DoBorderSpacingChange (TControl)
pt | DoCallKeyEventHandler (TControl)
pt | DoCallMouseWheelEventHandler (TControl)
pt | DoCallNotifyHandler (TControl)
pt | DoChildSizingChange (TWinControl)
 | Dock (TControl)
 | DockDrop (TWinControl)
 | Docked (TControl)
pt | DockOver (TWinControl)
pt | DockTrackNoTarget (TControl)
pt | DoConstraintsChange (TControl)
pt | DoConstraintsChange (TWinControl)
pt | DoContextPopup (TControl)
pt | DoDock (TControl)
pt | DoDockClientMsg (TWinControl)
pt | DoDockOver (TWinControl)
pt | DoDragMsg (TControl)
pt | DoDragMsg (TWinControl)
pt | DoEndDock (TControl)
pt | DoEndDrag (TControl)
pt | DoEnter (TWinControl)
pt | DoEnter (TCustomComboBox)
pt | DoExit (TWinControl)
pt | DoExit (TCustomComboBox)
pt | DoFixDesignFontPPI (TControl)
pt | DoFlipChildren (TWinControl)
pt | DoFloatMsg (TControl)
pt | DoFloatMsg (TWinControl)
pt | DoGetDockCaption (TWinControl)
pt | DoKeyDownBeforeInterface (TWinControl)
pt | DoKeyPress (TWinControl)
pt | DoKeyUpBeforeInterface (TWinControl)
pt | DoMouseWheel (TControl)
pt | DoMouseWheelDown (TControl)
pt | DoMouseWheelHorz (TControl)
pt | DoMouseWheelLeft (TControl)
pt | DoMouseWheelRight (TControl)
pt | DoMouseWheelUp (TControl)
pt | DoOnChangeBounds (TControl)
pt | DoOnParentHandleDestruction (TControl)
pt | DoOnResize (TControl)
pt | DoOnShowHint (TControl)
pt | DoRemainingKeyDown (TWinControl)
pt | DoRemainingKeyUp (TWinControl)
pt | DoRemoveDockClient (TWinControl)
pt | DoScaleFontPPI (TControl)
pt | DoSendBoundsToInterface (TWinControl)
pt | DoSendShowHideToInterface (TWinControl)
pt | DoSetBounds (TControl)
pt | DoSetBounds (TWinControl)
pt | DoStartDock (TControl)
pt | DoStartDrag (TControl)
pt | DoUnDock (TWinControl)
pt | DoUndockClientMsg (TWinControl)
pt | DoUTF8KeyPress (TWinControl)
pt | DragCanceled (TControl)
 | DragDrop (TControl)
 | Dragging (TControl)
pt | DragOver (TControl)
pt | DrawItem (TCustomComboBox)
pt | DropDown (TCustomComboBox)
 | EditingDone (TControl)
 | EnableAlign (TWinControl)
 | EnableAutoSizing (TControl)
pt | EnabledChanged (TControl)
pt | EnabledChanging (TControl)
pt | EndAutoSizing (TControl)
 | EndDrag (TControl)
 | EndUpdateBounds (TWinControl)
 | Equals (TObject)
 | EraseBackground (TWinControl)
 | ExecuteAction (TComponent)
 | ExecuteCancelAction (TControl)
 | ExecuteDefaultAction (TControl)
 | FieldAddress (TObject)
pt | FinalizeWnd (TWinControl)
 | FindChildControl (TWinControl)
 | FindComponent (TComponent)
pt | FindNextControl (TWinControl)
 | FixDesignFontsPPI (TControl)
pt | FixupTabList (TWinControl)
 | FlipChildren (TWinControl)
 | Focused (TWinControl)
pt | FontChanged (TControl)
pt | FontChanged (TWinControl)
pt | ForeignAnchorSideChanged (TControl)
pt | FormEndUpdated (TControl)
pt | FormEndUpdated (TWinControl)
 | FormIsUpdating (TControl)
 | FPOAttachObserver (TPersistent)
 | FPODetachObserver (TPersistent)
 | FPONotifyObservers (TPersistent)
 | Free (TObject)
 | FreeInstance (TObject)
 | FreeNotification (TComponent)
 | FreeOnRelease (TComponent)
 | GetAccessibleObject (TControl)
pt | GetAction (TControl)
pt | GetActionLinkClass (TControl)
pt | GetAdjustedLogicalClientRect (TWinControl)
 | GetAnchorsDependingOnParent (TControl)
pt | GetBorderStyle (TWinControl)
pt | GetCachedText (TControl)
 | GetCanvasScaleFactor (TControl)
 | GetChildAccessibleObjectAtPos (TControl)
 | GetChildOwner (TComponent)
 | GetChildParent (TComponent)
 | GetChildren (TComponent)
pt | GetChildren (TWinControl)
 | GetChildrenRect (TControl)
 | GetChildrenRect (TWinControl)
pt | GetClientOrigin (TControl)
pt | GetClientOrigin (TWinControl)
pt | GetClientRect (TControl)
pt | GetClientRect (TWinControl)
pt | GetClientScrollOffset (TControl)
 | GetColorResolvingParent (TControl)
 | GetComObject (TComponent)
 | GetComponent (TComponent)
 | GetComponentCount (TComponent)
 | GetComponentIndex (TComponent)
pt | GetControlClassDefaultSize (TControl)
pt | GetControlClassDefaultSize (TCustomComboBox)
 | GetControlIndex (TWinControl)
pt | GetControlOrigin (TControl)
pt | GetControlOrigin (TWinControl)
pt | GetCursor (TControl)
 | GetDefaultColor (TControl)
pt | GetDefaultDockCaption (TControl)
 | GetDefaultHeight (TControl)
 | GetDefaultWidth (TControl)
pt | GetDeviceContext (TControl)
pt | GetDeviceContext (TWinControl)
 | GetDockCaption (TWinControl)
pt | GetDockEdge (TControl)
pt | GetDragImages (TControl)
pt | GetEnabled (TControl)
 | GetEnumerator (TComponent)
 | GetEnumeratorControls (TWinControl)
 | GetEnumeratorControlsReverse (TWinControl)
pt | GetFloating (TControl)
pt | GetFloatingDockSiteClass (TControl)
 | GetHashCode (TObject)
 | GetIDsOfNames (TComponent)
 | GetInterface (TObject)
 | GetInterfaceByStr (TObject)
 | GetInterfaceEntry (TObject)
 | GetInterfaceEntryByStr (TObject)
 | GetInterfaceTable (TObject)
 | GetInterfaceWeak (TObject)
pt | GetItemCount (TCustomComboBox)
pt | GetItemHeight (TCustomComboBox)
pt | GetItemIndex (TCustomComboBox)
pt | GetItems (TCustomComboBox)
pt | GetLogicalClientRect (TControl)
pt | GetMaxLength (TCustomComboBox)
pt | GetMouseCapture (TControl)
pt | GetMouseCapture (TWinControl)
pt | GetMousePosFromMessage (TControl)
 | GetNamePath (TPersistent)
 | GetNamePath (TComponent)
 | GetOwner (TPersistent)
 | GetOwner (TComponent)
pt | GetPalette (TControl)
pt | GetParentBackground (TWinControl)
 | GetParentComponent (TComponent)
 | GetParentComponent (TControl)
pt | GetParentHandle (TWinControl)
pt | GetPopupMenu (TControl)
 | GetPreferredSize (TControl)
pt | GetPreferredSizeClientFrame (TWinControl)
 | GetRGBColorResolvingParent (TControl)
pt | GetScrolledClientRect (TControl)
 | GetSelectedChildAccessibleObject (TControl)
pt | GetSelLength (TCustomComboBox)
pt | GetSelStart (TCustomComboBox)
pt | GetSelText (TCustomComboBox)
 | GetSidePosition (TControl)
pt | GetSiteInfo (TWinControl)
 | GetTabOrderList (TWinControl)
 | GetTextBuf (TControl)
 | GetTextLen (TControl)
 | GetTextLen (TWinControl)
 | GetTopParent (TControl)
pt | GetTopParentHandle (TWinControl)
 | GetTypeInfo (TComponent)
 | GetTypeInfoCount (TComponent)
pt | GetWSComponentClass (TLCLComponent)
 | HandleAllocated (TWinControl)
 | HandleNeeded (TWinControl)
 | HandleObjectShouldBeVisible (TControl)
 | HasHelp (TControl)
 | HasParent (TComponent)
 | HasParent (TControl)
pt | HeightIsAnchored (TControl)
 | Hide (TControl)
 | iicrGetComponent (TComponent)
 | IncLCLRefCount (TLCLComponent)
 | InheritsFrom (TObject)
pt | InitializeWnd (TWinControl)
pt | InitializeWnd (TCustomComboBox)
 | InitiateAction (TControl)
 | InitInstance (TObject)
 | Insert (TComponent)
 | InsertComponent (TComponent)
 | InsertControl (TWinControl)
 | InstanceSize (TObject)
 | IntfGetDropFilesTarget (TWinControl)
 | IntfGetItems (TCustomComboBox)
 | IntfUTF8KeyPress (TWinControl)
 | Invalidate (TControl)
 | Invalidate (TWinControl)
pt | InvalidateBoundsRealized (TWinControl)
 | InvalidateClientRectCache (TWinControl)
pt | InvalidateControl (TControl)
pt | InvalidatePreferredChildSizes (TWinControl)
 | InvalidatePreferredSize (TControl)
 | Invoke (TComponent)
pt | IsAParentAligning (TControl)
pt | IsBorderSpacingInnerBorderStored (TControl)
pt | IsCaptionStored (TControl)
pt | IsClientHeightStored (TControl)
pt | IsClientHeightStored (TWinControl)
pt | IsClientWidthStored (TControl)
pt | IsClientWidthStored (TWinControl)
pt | IsControlMouseMsg (TWinControl)
 | IsControlVisible (TControl)
 | IsEnabled (TControl)
 | IsImplementorOf (TComponent)
 | IsParentColor (TControl)
 | IsParentFont (TControl)
 | IsParentOf (TControl)
 | IsProcessingPaintMsg (TControl)
 | IsRightToLeft (TControl)
 | IsVisible (TControl)
pt | KeyDown (TWinControl)
pt | KeyDown (TCustomComboBox)
pt | KeyDownAfterInterface (TWinControl)
pt | KeyDownBeforeInterface (TWinControl)
pt | KeyPress (TWinControl)
pt | KeyUp (TWinControl)
pt | KeyUp (TCustomComboBox)
pt | KeyUpAfterInterface (TWinControl)
pt | KeyUpAfterInterface (TCustomComboBox)
pt | KeyUpBeforeInterface (TWinControl)
pt | LMCaptureChanged (TControl)
pt | LMChanged (TCustomComboBox)
 | Loaded (TComponent)
pt | Loaded (TControl)
pt | Loaded (TWinControl)
pt | LoadedAll (TControl)
 | Loading (TComponent)
 | LockRealizeBounds (TWinControl)
pt | MainWndProc (TWinControl)
 | ManualDock (TControl)
 | ManualFloat (TControl)
pt | MeasureItem (TCustomComboBox)
 | MethodAddress (TObject)
 | MethodName (TObject)
pt | MouseDown (TControl)
pt | MouseEnter (TControl)
pt | MouseLeave (TControl)
pt | MouseMove (TControl)
pt | MouseUp (TControl)
pt | MouseUp (TCustomComboBox)
 | newinstance (TObject)
 | NewInstance (TLCLComponent)
 | Notification (TComponent)
pt | Notification (TControl)
pt | Notification (TCustomFilterComboBox)
 | NotifyControls (TWinControl)
pt | PaintControls (TWinControl)
pt | PaintHandler (TWinControl)
 | PaintTo (TWinControl)
pt | PaintWindow (TWinControl)
 | PaletteCreated (TComponent)
 | ParentDestroyingHandle (TControl)
pt | ParentFontChanged (TControl)
pt | ParentFormHandleInitialized (TControl)
pt | ParentFormHandleInitialized (TWinControl)
 | ParentHandlesAllocated (TControl)
 | ParentHandlesAllocated (TWinControl)
 | ParentToClient (TControl)
 | Perform (TControl)
 | PerformTab (TWinControl)
pt | PositionDockRect (TControl)
pt | QuadClick (TControl)
 | QueryInterface (TComponent)
 | ReadLeft (TComponent)
 | ReadState (TComponent)
pt | ReadState (TControl)
 | ReadTop (TComponent)
pt | RealGetText (TControl)
pt | RealGetText (TWinControl)
 | ReAlign (TWinControl)
pt | RealizeBounds (TWinControl)
pt | RealizeBoundsRecursive (TWinControl)
pt | RealSetText (TControl)
pt | RealSetText (TWinControl)
pt | RealSetText (TCustomComboBox)
 | ReferenceInterface (TComponent)
 | Refresh (TControl)
pt | ReloadDockedControl (TWinControl)
 | Remove (TComponent)
 | RemoveAllHandlersOfObject (TLCLComponent)
 | RemoveAllHandlersOfObject (TControl)
 | RemoveComponent (TComponent)
 | RemoveControl (TWinControl)
pt | RemoveFocus (TWinControl)
 | RemoveFreeNotification (TComponent)
pt | RemoveHandler (TControl)
 | RemoveHandlerOnBeforeDestruction (TControl)
 | RemoveHandlerOnChangeBounds (TControl)
 | RemoveHandlerOnEnableChanging (TControl)
 | RemoveHandlerOnKeyDown (TControl)
 | RemoveHandlerOnMouseWheel (TControl)
 | RemoveHandlerOnResize (TControl)
 | RemoveHandlerOnVisibleChanged (TControl)
 | RemoveHandlerOnVisibleChanging (TControl)
 | RemoveNotification (TComponent)
 | Repaint (TControl)
 | Repaint (TWinControl)
 | ReplaceDockedControl (TControl)
pt | RequestAlign (TControl)
pt | Resize (TControl)
 | SafeCallException (TObject)
 | SafeCallException (TComponent)
 | Scale96ToFont (TControl)
 | Scale96ToForm (TControl)
 | Scale96ToScreen (TControl)
 | ScaleBy (TWinControl)
pt | ScaleConstraints (TControl)
pt | ScaleControls (TWinControl)
 | ScaleDesignToForm (TControl)
 | ScaleFontsPPI (TControl)
 | ScaleFontTo96 (TControl)
 | ScaleFontToScreen (TControl)
 | ScaleFormTo96 (TControl)
 | ScaleFormToDesign (TControl)
 | ScaleScreenTo96 (TControl)
 | ScaleScreenToFont (TControl)
 | ScreenToClient (TControl)
 | ScreenToControl (TControl)
 | ScrollBy (TWinControl)
 | ScrollBy_WS (TWinControl)
pt | Select (TCustomComboBox)
pt | Select (TCustomFilterComboBox)
 | SelectAll (TCustomComboBox)
pt | SelectFirst (TWinControl)
pt | SelectItem (TCustomComboBox)
 | SelectNext (TWinControl)
pt | SendDialogChar (TWinControl)
pt | SendMoveSizeMessages (TControl)
pt | SendMoveSizeMessages (TWinControl)
 | SendToBack (TControl)
pt | SetAction (TControl)
pt | SetAlign (TControl)
 | SetAncestor (TComponent)
pt | SetAnchors (TControl)
pt | SetAutoSize (TControl)
pt | SetBiDiMode (TControl)
pt | SetBorderStyle (TWinControl)
 | SetBounds (TControl)
 | SetBounds (TWinControl)
 | SetBoundsKeepBase (TControl)
 | SetChildOrder (TComponent)
pt | SetChildZPosition (TWinControl)
pt | SetColor (TControl)
pt | SetColor (TWinControl)
 | SetComponentIndex (TComponent)
 | SetControlIndex (TWinControl)
pt | SetCursor (TControl)
 | SetDesigning (TComponent)
 | SetDesignInstance (TComponent)
pt | SetDockManager (TWinControl)
pt | SetDragMode (TControl)
pt | SetDropDownCount (TCustomComboBox)
pt | SetDroppedDown (TCustomComboBox)
pt | SetEnabled (TControl)
 | SetFocus (TWinControl)
pt | SetHint (TControl)
 | SetInitialBounds (TControl)
 | SetInline (TComponent)
pt | SetItemHeight (TCustomComboBox)
pt | SetItemIndex (TCustomComboBox)
pt | SetItems (TCustomComboBox)
pt | SetMaxLength (TCustomComboBox)
 | SetName (TComponent)
pt | SetName (TControl)
pt | SetParent (TControl)
pt | SetParentBackground (TWinControl)
pt | SetParentBiDiMode (TControl)
 | SetParentComponent (TComponent)
pt | SetParentComponent (TControl)
 | SetReference (TComponent)
pt | SetSelLength (TCustomComboBox)
pt | SetSelStart (TCustomComboBox)
pt | SetSelText (TCustomComboBox)
 | SetShape (TWinControl)
pt | SetSorted (TCustomComboBox)
pt | SetStyle (TCustomComboBox)
 | SetSubComponent (TComponent)
 | SetTempCursor (TControl)
 | SetTempCursor (TWinControl)
 | SetTextBuf (TControl)
pt | SetVisible (TControl)
pt | SetZOrder (TControl)
 | ShouldAutoAdjust (TControl)
pt | ShouldAutoAdjust (TCustomComboBox)
 | Show (TControl)
pt | ShowControl (TWinControl)
 | ShowHelp (TControl)
 | StringMessageTable (TObject)
pt | TextChanged (TControl)
 | ToString (TObject)
pt | TripleClick (TControl)
 | UnitName (TObject)
 | UnlockRealizeBounds (TWinControl)
 | Update (TControl)
 | Update (TWinControl)
 | UpdateAction (TComponent)
pt | UpdateAnchorRules (TControl)
 | UpdateBaseBounds (TControl)
pt | UpdateControlState (TWinControl)
 | Updated (TComponent)
 | UpdateDockCaption (TWinControl)
pt | UpdateMouseCursor (TControl)
 | UpdateRegistry (TComponent)
 | UpdateRolesForForm (TControl)
pt | UpdateShowing (TWinControl)
 | Updating (TComponent)
 | UseRightToLeftAlignment (TControl)
 | UseRightToLeftReading (TControl)
 | UseRightToLeftScrollBar (TControl)
pt | UTF8KeyPress (TWinControl)
pt | UTF8KeyPress (TCustomComboBox)
 | ValidateContainer (TComponent)
 | ValidateInsert (TComponent)
 | ValidateRename (TComponent)
pt | VisibleChanged (TControl)
pt | VisibleChanging (TControl)
pt | WidthIsAnchored (TControl)
pt | WMCancelMode (TControl)
pt | WMChar (TWinControl)
pt | WMContextMenu (TControl)
pt | WMContextMenu (TWinControl)
pt | WMDestroy (TWinControl)
pt | WMEnter (TWinControl)
pt | WMEraseBkgnd (TWinControl)
pt | WMExit (TWinControl)
pt | WMKeyDown (TWinControl)
pt | WMKeyUp (TWinControl)
pt | WMKillFocus (TWinControl)
pt | WMLButtonDBLCLK (TControl)
pt | WMLButtonDown (TControl)
pt | WMLButtonQuadCLK (TControl)
pt | WMLButtonTripleCLK (TControl)
pt | WMLButtonUp (TControl)
pt | WMMButtonDBLCLK (TControl)
pt | WMMButtonDown (TControl)
pt | WMMButtonQuadCLK (TControl)
pt | WMMButtonTripleCLK (TControl)
pt | WMMButtonUp (TControl)
pt | WMMouseHWheel (TControl)
pt | WMMouseMove (TControl)
pt | WMMouseWheel (TControl)
pt | WMMove (TControl)
pt | WMMove (TWinControl)
pt | WMNotify (TWinControl)
pt | WMPaint (TWinControl)
pt | WMRButtonDBLCLK (TControl)
pt | WMRButtonDown (TControl)
pt | WMRButtonQuadCLK (TControl)
pt | WMRButtonTripleCLK (TControl)
pt | WMRButtonUp (TControl)
pt | WMSetFocus (TWinControl)
pt | WMShowWindow (TWinControl)
pt | WMSize (TControl)
pt | WMSize (TWinControl)
pt | WMSysChar (TWinControl)
pt | WMSysKeyDown (TWinControl)
pt | WMSysKeyUp (TWinControl)
pt | WMWindowPosChanged (TControl)
pt | WMWindowPosChanged (TWinControl)
pt | WMXButtonDBLCLK (TControl)
pt | WMXButtonDown (TControl)
pt | WMXButtonQuadCLK (TControl)
pt | WMXButtonTripleCLK (TControl)
pt | WMXButtonUp (TControl)
pt | WndProc (TControl)
pt | WndProc (TWinControl)
 | WriteLayoutDebugReport (TControl)
 | WriteLayoutDebugReport (TWinControl)
 | WriteLeft (TComponent)
 | WriteState (TComponent)
 | WriteTop (TComponent)
pt | WSRegisterClass (TLCLComponent)
pt | WSRegisterClass (TControl)
pt | WSRegisterClass (TWinControl)
pt | WSRegisterClass (TCustomComboBox)
pt | WSSetText (TWinControl)
 | _AddRef (TComponent)
 | _Release (TComponent)


TCustomFilterComboBox
TCustomComboBox
pt | OnChange
pt | OnCloseUp
pt | OnDrawItem
pt | OnDropDown
pt | OnGetItems
pt | OnMeasureItem
pt | OnSelect
TWinControl
pt | OnGetSiteInfo
pt | OnGetDockCaption
 | OnAlignInsertBefore
 | OnAlignPosition
 | OnDockDrop
 | OnDockOver
 | OnEnter
 | OnExit
 | OnKeyDown
 | OnKeyPress
 | OnKeyUp
 | OnUnDock
 | OnUTF8KeyPress
TControl
pt | OnConstrainedResize
pt | OnContextPopup
pt | OnDblClick
pt | OnTripleClick
pt | OnQuadClick
pt | OnDragDrop
pt | OnDragOver
pt | OnEndDock
pt | OnEndDrag
pt | OnMouseDown
pt | OnMouseMove
pt | OnMouseUp
pt | OnMouseEnter
pt | OnMouseLeave
pt | OnMouseWheel
pt | OnMouseWheelDown
pt | OnMouseWheelUp
pt | OnMouseWheelHorz
pt | OnMouseWheelLeft
pt | OnMouseWheelRight
pt | OnStartDock
pt | OnStartDrag
pt | OnEditingDone
 | OnChangeBounds
 | OnClick
 | OnResize
 | OnShowHint
TLCLComponent
TComponent
TPersistent
TObject


TCustomFilterComboBox.ConvertFilterToStrings

Declaration

Source position: filectrl.pp line 160

public class procedure TCustomFilterComboBox.ConvertFilterToStrings(

  AFilter: string;

  AStrings: TStrings;

  AClearStrings: Boolean;

  AAddDescription: Boolean;

  AAddFilter: Boolean

);


TCustomFilterComboBox.Create

Declaration

Source position: filectrl.pp line 157

public constructor TCustomFilterComboBox.Create(

  TheOwner: TComponent

); override;


TCustomFilterComboBox.Destroy

Declaration

Source position: filectrl.pp line 158

public destructor TCustomFilterComboBox.Destroy; override;


TCustomFilterComboBox.Mask

Declaration

Source position: filectrl.pp line 163

public property TCustomFilterComboBox.Mask : string
  read GetMask;


TCustomFilterComboBox.Notification

Declaration

Source position: filectrl.pp line 153

protected procedure TCustomFilterComboBox.Notification(

  AComponent: TComponent;

  Operation: TOperation

); override;


TCustomFilterComboBox.Select

Declaration

Source position: filectrl.pp line 152

protected procedure TCustomFilterComboBox.Select; override;


TCustomFilterComboBox.ShellListView

Allows to concect this control to a TShellListView

Declaration

Source position: filectrl.pp line 164

public property TCustomFilterComboBox.ShellListView : TShellListView
  read FShellListView
  write SetShellListView;

Description

The files shown in the TShellListView will be filtered by the filter selected in this control


TFileListBox

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

TFileListBox - a tool for listing files for selection

Declaration

Source position: filectrl.pp line 83

type TFileListBox = class(TCustomFileListBox)
published
property Align: TAlign; | Specifies the placement of the control inside its Parent.
property Anchors: TAnchors; | The set of anchor definitions for this control.
property BiDiMode: TBiDiMode; | Customization (of text controls) in bidirectional reading environments.
property BorderSpacing: TControlBorderSpacing; | Determines the inner and outer border spacing for this control.
property BorderStyle: TBorderStyle; | Allows to show a border (line) around the control,
property Color: TColor;
property Constraints: TSizeConstraints; | The minimal and maximal Width and Height of this control.
property Directory: string; | The Directory or Folder in which the file is located
property DragCursor: TCursor; | The cursor shape shown while the control is dragged.
property DragMode: TDragMode; | Allows the user to drag the control.
property Enabled: Boolean;
property ExtendedSelect: Boolean; | True when a contiguous range of items can be selected by a SHIFT-click. Default True.
property FileType: TFileType; | FileType - the type or attributes of the selected file
property Font: TFont; | The font to be used for text display in this control.
property IntegralHeight: Boolean; | Not implemented: shrink the Height of the widget, so that it only shows fully visible rows.
property ItemHeight: Integer; | The default height of all items.
property Mask: string; | Specifies which files will be shown
property MultiSelect: Boolean; | Allows to select more than one Item from the list, using CTRL-click.
property OnChange: TNotifyEvent; | OnChange - event handler for a change in the file list or the selection
property OnChangeBounds: TNotifyEvent; | Event handler for a change of the Bounds of the control.
property OnClick: TNotifyEvent; | Notification handler for mouse clicks.
property OnDblClick: TNotifyEvent; | Event Handler for double mouse clicks.
property OnDragDrop: TDragDropEvent; | This handler determines the action on an drop onto this control, in a drag-drop operation.
property OnDragOver: TDragOverEvent; | Event handler for a control being dragged over this control.
property OnDrawItem: TDrawItemEvent;
property OnEndDrag: TEndDragEvent; | Notification handler for the end of a dragging operation.
property OnEnter: TNotifyEvent; | Handler for control receiving the focus.
property OnExit: TNotifyEvent; | Handler for control loosing the focus. This is a good place for checking the finished user input.
property OnKeyPress: TKeyPressEvent; | Handler for a character entered by the user.
property OnKeyDown: TKeyEvent; | Handler for keyboard key pressed.
property OnKeyUp: TKeyEvent; | Handler for keyboard key released.
property OnMouseDown: TMouseEvent; | Event handler for mouse button going down.
property OnMouseEnter: TNotifyEvent;
property OnMouseLeave: TNotifyEvent;
property OnMouseMove: TMouseMoveEvent; | Event handler for mouse movement within the control.
property OnMouseUp: TMouseEvent; | Event handler for mouse button going up.
property OnMouseWheel: TMouseWheelEvent; | Event handler for mouse wheel turned.
property OnMouseWheelDown: TMouseWheelUpDownEvent; | Notification handler for downward movement of mouse wheel.
property OnMouseWheelUp: TMouseWheelUpDownEvent; | Notification handler for upward movement of mouse wheel.
property OnResize: TNotifyEvent; | Notification handler for a resize of the control.
property OnSelectionChange: TSelectionChangeEvent; | Handler invoked when an item is selected.
property OnStartDrag: TStartDragEvent; | Event handler for the start of a dragging operation.
property OnUTF8KeyPress: TUTF8KeyPressEvent; | Handler for a character entered by the user.
property ParentBiDiMode: Boolean; | Allows to use the BiDiMode settings of Parent. Default is true.
property ParentColor: Boolean;
property ParentShowHint: Boolean; | If true, the value of ShowHint for the control will be the same as the one from the Parent. Default is true.
property ParentFont: Boolean; | If true, the Font of the control will be the same as the one from the Parent. Default is true.
property PopupMenu: TPopupMenu; | A context-sensitive menu that pops up when the right mouse button is clicked over this control
property ShowHint: Boolean; | Enables the Hint display.
property Sorted: Boolean; | Determines whether the list entries are sorted.
property Style: TListBoxStyle; | Appearance of the ListBox - normal, owner-draw fixed, or owner-draw variable.
property TabOrder: TTabOrder; | Determines the sequence of controls, reachable when the user presses the Tab key.
property TabStop: Boolean; | Allows the user to navigate to this control, by pressing the Tab key.
property TopIndex: Integer; | Index of the first visible (topmost) item.
property Visible: Boolean; | Allows to show or hide the control, and all of its children.
end;

Inheritance

TFileListBox | TFileListBox - a tool for listing files for selection
|
TCustomFileListBox | TCustomFileListBox : base type for TFileListBox - a tool for listing files for selection
|
TCustomListBox | The base class for TListBox.
|
TWinControl | The base class for controls which can contain other (child) controls.
|
TControl | The base class for visible controls.
|
TLCLComponent | The base class for LCL components associated with widgets.
|
TComponent,IUnknown,IInterfaceComponentReference
|
TPersistent,IFPObserved
|
TObject


TFileListBox
pl | ro | Align
pl | ro | Anchors
pl | ro | BiDiMode
pl | ro | BorderSpacing
pl | ro | BorderStyle
pl | ro | Color
pl | ro | Constraints
pl | ro | Directory
pl | ro | DragCursor
pl | ro | DragMode
pl | ro | Enabled
pl | ro | ExtendedSelect
pl | ro | FileType
pl | ro | Font
pl | ro | IntegralHeight
pl | ro | ItemHeight
pl | ro | Mask
pl | ro | MultiSelect
pl | ro | ParentBiDiMode
pl | ro | ParentColor
pl | ro | ParentShowHint
pl | ro | ParentFont
pl | ro | PopupMenu
pl | ro | ShowHint
pl | ro | Sorted
pl | ro | Style
pl | ro | TabOrder
pl | ro | TabStop
pl | ro | TopIndex
pl | ro | Visible
TCustomFileListBox
 |  | Drive
 |  | Directory
 |  | FileName
 |  | FileType
 |  | Mask
 | ro | Sorted
TCustomListBox
 | ro | Align
 | ro | Anchors
 | ro | BorderStyle
 | ro | Canvas
 |  | ClickOnSelChange
 |  | Columns
 | ro | Constraints
 | ro | Count
 |  | ExtendedSelect
 | ro | Font
 |  | IntegralHeight
 |  | ItemHeight
 |  | ItemIndex
 |  | Items
 |  | MultiSelect
 |  | Options
 | ro | ParentColor
 | ro | ParentFont
 | ro | ParentShowHint
 | ro | PopupMenu
 |  | ScrollWidth
 | ro | SelCount
 |  | Selected
 | ro | ShowHint
 |  | Sorted
 |  | Style
 | ro | TabOrder
 | ro | TabStop
 |  | TopIndex
 | ro | Visible
TWinControl
pt |  | WindowHandle
pt |  | BorderStyle
pt |  | ParentBackground
 |  | BorderWidth
 | ro | BoundsLockCount
 | ro | Brush
 | ro | CachedClientHeight
 | ro | CachedClientWidth
 |  | ChildSizing
 | ro | ControlCount
 | ro | Controls
 |  | DefWndProc
 | ro | DockClientCount
 | ro | DockClients
 |  | DockManager
 |  | DockSite
 |  | DoubleBuffered
 |  | Handle
 | ro | IsFlipped
 | ro | IsResizing
 |  | TabOrder
 |  | TabStop
 |  | ParentDoubleBuffered
 |  | ParentWindow
 | ro | Showing
 |  | UseDockManager
 |  | DesignerDeleting
 | ro | VisibleDockClientCount
TControl
pt | ro | AutoSizing
pt | ro | AutoSizingAll
pt | ro | AutoSizingLockCount
pt |  | ActionLink
pt |  | DesktopFont
pt |  | DragCursor
pt |  | DragKind
pt |  | DragMode
pt |  | MouseCapture
pt |  | ParentColor
pt |  | ParentFont
pt |  | ParentShowHint
pt |  | SessionProperties
pt |  | Text
 | ro | AnchoredControls
 | ro | BaseBounds
 | ro | ReadBounds
 | ro | BaseParentClientSize
 |  | AccessibleDescription
 |  | AccessibleValue
 |  | AccessibleRole
 |  | Action
 |  | Align
 |  | Anchors
 | ro | AnchorSide
 |  | AutoSize
 |  | BorderSpacing
 |  | BoundsRect
 |  | BoundsRectForNewParent
 |  | Caption
 |  | CaptureMouseButtons
 |  | ClientHeight
 | ro | ClientOrigin
 | ro | ClientRect
 |  | ClientWidth
 |  | Color
 |  | Constraints
 | ro | ControlOrigin
 |  | ControlState
 |  | ControlStyle
 |  | Enabled
 |  | Font
 |  | IsControl
 | ro | MouseEntered
 | ro | MouseInClient
 |  | Parent
 |  | PopupMenu
 |  | ShowHint
 |  | Visible
 |  | WindowProc
 |  | DockOrientation
 | ro | Floating
 |  | FloatingDockSiteClass
 |  | HostDockSite
 |  | LRDockWidth
 |  | TBDockHeight
 |  | UndockHeight
 |  | UndockWidth
 |  | BiDiMode
 |  | ParentBiDiMode
pl |  | AnchorSideLeft
pl |  | AnchorSideTop
pl |  | AnchorSideRight
pl |  | AnchorSideBottom
pl |  | Cursor
pl |  | Left
pl |  | Height
pl |  | Hint
pl |  | Top
pl |  | Width
pl |  | HelpType
pl |  | HelpKeyword
pl |  | HelpContext
TLCLComponent
 | ro | LCLRefCount
 | ro | WidgetSetClass
TComponent
 | ro | ComObject
 | ro | Components
 | ro | ComponentCount
 |  | ComponentIndex
 | ro | ComponentState
 | ro | ComponentStyle
 |  | DesignInfo
 | ro | Owner
 |  | VCLComObject
 |  | Name
 |  | Tag
TPersistent
TObject


 |  | AccessibleDescription (TControl)
 |  | AccessibleRole (TControl)
 |  | AccessibleValue (TControl)
 |  | Action (TControl)
pt |  | ActionLink (TControl)
 |  | Align (TControl)
 | ro | Align (TCustomListBox)
pl | ro | Align (TFileListBox)
 | ro | AnchoredControls (TControl)
 |  | Anchors (TControl)
 | ro | Anchors (TCustomListBox)
pl | ro | Anchors (TFileListBox)
 | ro | AnchorSide (TControl)
pl |  | AnchorSideBottom (TControl)
pl |  | AnchorSideLeft (TControl)
pl |  | AnchorSideRight (TControl)
pl |  | AnchorSideTop (TControl)
 |  | AutoSize (TControl)
pt | ro | AutoSizing (TControl)
pt | ro | AutoSizingAll (TControl)
pt | ro | AutoSizingLockCount (TControl)
 | ro | BaseBounds (TControl)
 | ro | BaseParentClientSize (TControl)
 |  | BiDiMode (TControl)
pl | ro | BiDiMode (TFileListBox)
 |  | BorderSpacing (TControl)
pl | ro | BorderSpacing (TFileListBox)
pt |  | BorderStyle (TWinControl)
 | ro | BorderStyle (TCustomListBox)
pl | ro | BorderStyle (TFileListBox)
 |  | BorderWidth (TWinControl)
 | ro | BoundsLockCount (TWinControl)
 |  | BoundsRect (TControl)
 |  | BoundsRectForNewParent (TControl)
 | ro | Brush (TWinControl)
 | ro | CachedClientHeight (TWinControl)
 | ro | CachedClientWidth (TWinControl)
 | ro | Canvas (TCustomListBox)
 |  | Caption (TControl)
 |  | CaptureMouseButtons (TControl)
 |  | ChildSizing (TWinControl)
 |  | ClickOnSelChange (TCustomListBox)
 |  | ClientHeight (TControl)
 | ro | ClientOrigin (TControl)
 | ro | ClientRect (TControl)
 |  | ClientWidth (TControl)
 |  | Color (TControl)
pl | ro | Color (TFileListBox)
 |  | Columns (TCustomListBox)
 | ro | ComObject (TComponent)
 | ro | ComponentCount (TComponent)
 |  | ComponentIndex (TComponent)
 | ro | Components (TComponent)
 | ro | ComponentState (TComponent)
 | ro | ComponentStyle (TComponent)
 |  | Constraints (TControl)
 | ro | Constraints (TCustomListBox)
pl | ro | Constraints (TFileListBox)
 | ro | ControlCount (TWinControl)
 | ro | ControlOrigin (TControl)
 | ro | Controls (TWinControl)
 |  | ControlState (TControl)
 |  | ControlStyle (TControl)
 | ro | Count (TCustomListBox)
pl |  | Cursor (TControl)
 |  | DefWndProc (TWinControl)
 |  | DesignerDeleting (TWinControl)
 |  | DesignInfo (TComponent)
pt |  | DesktopFont (TControl)
 |  | Directory (TCustomFileListBox)
pl | ro | Directory (TFileListBox)
 | ro | DockClientCount (TWinControl)
 | ro | DockClients (TWinControl)
 |  | DockManager (TWinControl)
 |  | DockOrientation (TControl)
 |  | DockSite (TWinControl)
 |  | DoubleBuffered (TWinControl)
pt |  | DragCursor (TControl)
pl | ro | DragCursor (TFileListBox)
pt |  | DragKind (TControl)
pt |  | DragMode (TControl)
pl | ro | DragMode (TFileListBox)
 |  | Drive (TCustomFileListBox)
 |  | Enabled (TControl)
pl | ro | Enabled (TFileListBox)
 |  | ExtendedSelect (TCustomListBox)
pl | ro | ExtendedSelect (TFileListBox)
 |  | FileName (TCustomFileListBox)
 |  | FileType (TCustomFileListBox)
pl | ro | FileType (TFileListBox)
 | ro | Floating (TControl)
 |  | FloatingDockSiteClass (TControl)
 |  | Font (TControl)
 | ro | Font (TCustomListBox)
pl | ro | Font (TFileListBox)
 |  | Handle (TWinControl)
pl |  | Height (TControl)
pl |  | HelpContext (TControl)
pl |  | HelpKeyword (TControl)
pl |  | HelpType (TControl)
pl |  | Hint (TControl)
 |  | HostDockSite (TControl)
 |  | IntegralHeight (TCustomListBox)
pl | ro | IntegralHeight (TFileListBox)
 |  | IsControl (TControl)
 | ro | IsFlipped (TWinControl)
 | ro | IsResizing (TWinControl)
 |  | ItemHeight (TCustomListBox)
pl | ro | ItemHeight (TFileListBox)
 |  | ItemIndex (TCustomListBox)
 |  | Items (TCustomListBox)
 | ro | LCLRefCount (TLCLComponent)
pl |  | Left (TControl)
 |  | LRDockWidth (TControl)
 |  | Mask (TCustomFileListBox)
pl | ro | Mask (TFileListBox)
pt |  | MouseCapture (TControl)
 | ro | MouseEntered (TControl)
 | ro | MouseInClient (TControl)
 |  | MultiSelect (TCustomListBox)
pl | ro | MultiSelect (TFileListBox)
 |  | Name (TComponent)
 |  | Options (TCustomListBox)
 | ro | Owner (TComponent)
 |  | Parent (TControl)
pt |  | ParentBackground (TWinControl)
 |  | ParentBiDiMode (TControl)
pl | ro | ParentBiDiMode (TFileListBox)
pt |  | ParentColor (TControl)
 | ro | ParentColor (TCustomListBox)
pl | ro | ParentColor (TFileListBox)
 |  | ParentDoubleBuffered (TWinControl)
pt |  | ParentFont (TControl)
 | ro | ParentFont (TCustomListBox)
pl | ro | ParentFont (TFileListBox)
pt |  | ParentShowHint (TControl)
 | ro | ParentShowHint (TCustomListBox)
pl | ro | ParentShowHint (TFileListBox)
 |  | ParentWindow (TWinControl)
 |  | PopupMenu (TControl)
 | ro | PopupMenu (TCustomListBox)
pl | ro | PopupMenu (TFileListBox)
 | ro | ReadBounds (TControl)
 |  | ScrollWidth (TCustomListBox)
 | ro | SelCount (TCustomListBox)
 |  | Selected (TCustomListBox)
pt |  | SessionProperties (TControl)
 |  | ShowHint (TControl)
 | ro | ShowHint (TCustomListBox)
pl | ro | ShowHint (TFileListBox)
 | ro | Showing (TWinControl)
 |  | Sorted (TCustomListBox)
 | ro | Sorted (TCustomFileListBox)
pl | ro | Sorted (TFileListBox)
 |  | Style (TCustomListBox)
pl | ro | Style (TFileListBox)
 |  | TabOrder (TWinControl)
 | ro | TabOrder (TCustomListBox)
pl | ro | TabOrder (TFileListBox)
 |  | TabStop (TWinControl)
 | ro | TabStop (TCustomListBox)
pl | ro | TabStop (TFileListBox)
 |  | Tag (TComponent)
 |  | TBDockHeight (TControl)
pt |  | Text (TControl)
pl |  | Top (TControl)
 |  | TopIndex (TCustomListBox)
pl | ro | TopIndex (TFileListBox)
 |  | UndockHeight (TControl)
 |  | UndockWidth (TControl)
 |  | UseDockManager (TWinControl)
 |  | VCLComObject (TComponent)
 |  | Visible (TControl)
 | ro | Visible (TCustomListBox)
pl | ro | Visible (TFileListBox)
 | ro | VisibleDockClientCount (TWinControl)
 | ro | WidgetSetClass (TLCLComponent)
pl |  | Width (TControl)
pt |  | WindowHandle (TWinControl)
 |  | WindowProc (TControl)


TFileListBox
TCustomFileListBox
pt | DoChangeFile
pt | Loaded
pt | IndexOfFile
pt | KeyUp
 | Create
 | Destroy
 | Click
 | UpdateFileList
TCustomListBox
pt | WSRegisterClass
pt | AssignItemDataToCache
pt | AssignCacheToItemData
pt | BeforeDragStart
pt | BeginAutoDrag
pt | CalculateStandardItemHeight
pt | CreateParams
pt | InitializeWnd
pt | DestroyWnd
pt | FinalizeWnd
pt | GetControlClassDefaultSize
pt | CheckIndex
pt | GetItemHeight
pt | GetItemIndex
pt | GetSelCount
pt | GetSelected
pt | GetCachedDataSize
pt | GetCachedData
pt | SetExtendedSelect
pt | SetItemIndex
pt | SetItems
pt | SetItemHeight
pt | SetMultiSelect
pt | SetSelected
pt | SetSorted
pt | SetStyle
pt | DrawItem
pt | DoAutoAdjustLayout
pt | DoSelectionChange
pt | SendItemIndex
pt | WMGetDlgCode
 | Create
 | Destroy
 | AddItem
 | Click
 | Clear
 | ClearSelection
 | GetIndexAtXY
 | GetIndexAtY
 | GetSelectedText
 | ItemAtPos
 | ItemRect
 | ItemVisible
 | ItemFullyVisible
 | LockSelectionChange
 | MakeCurrentVisible
 | MeasureItem
 | SelectAll
 | DeleteSelected
 | UnlockSelectionChange
TWinControl
pt | WSRegisterClass
pt | AdjustClientRect
pt | GetAdjustedLogicalClientRect
pt | AlignControls
pt | CustomAlignInsertBefore
pt | CustomAlignPosition
pt | DoAlignChildControls
pt | DoChildSizingChange
pt | InvalidatePreferredChildSizes
pt | CanTab
pt | IsClientHeightStored
pt | IsClientWidthStored
pt | DoSendShowHideToInterface
pt | ControlsAligned
pt | DoSendBoundsToInterface
pt | RealizeBounds
pt | RealizeBoundsRecursive
pt | InvalidateBoundsRealized
pt | CreateSubClass
pt | DoConstraintsChange
pt | DoSetBounds
pt | DoAutoSize
pt | DoAllAutoSize
pt | AllAutoSized
pt | CalculatePreferredSize
pt | GetPreferredSizeClientFrame
pt | GetChildren
pt | ChildClassAllowed
pt | PaintControls
pt | PaintHandler
pt | PaintWindow
pt | CreateBrush
pt | ScaleControls
pt | ChangeScale
pt | CMBiDiModeChanged
pt | CMBorderChanged
pt | CMDoubleBufferedChanged
pt | CMEnabledChanged
pt | CMParentDoubleBufferedChanged
pt | CMShowingChanged
pt | CMShowHintChanged
pt | CMVisibleChanged
pt | CMEnter
pt | CMExit
pt | WMContextMenu
pt | WMEraseBkgnd
pt | WMNotify
pt | WMSetFocus
pt | WMKillFocus
pt | WMShowWindow
pt | WMEnter
pt | WMExit
pt | WMKeyDown
pt | WMSysKeyDown
pt | WMKeyUp
pt | WMSysKeyUp
pt | WMChar
pt | WMSysChar
pt | WMPaint
pt | WMDestroy
pt | WMMove
pt | WMSize
pt | WMWindowPosChanged
pt | CNKeyDown
pt | CNSysKeyDown
pt | CNKeyUp
pt | CNSysKeyUp
pt | CNChar
pt | DoDragMsg
pt | DoDockClientMsg
pt | DoUndockClientMsg
pt | DoAddDockClient
pt | DockOver
pt | DoDockOver
pt | DoRemoveDockClient
pt | DoUnDock
pt | GetSiteInfo
pt | GetParentHandle
pt | GetTopParentHandle
pt | ReloadDockedControl
pt | CreateDockManager
pt | SetDockManager
pt | DoFloatMsg
pt | DoGetDockCaption
pt | DoEnter
pt | DoExit
pt | DoKeyDownBeforeInterface
pt | DoRemainingKeyDown
pt | DoRemainingKeyUp
pt | DoKeyPress
pt | DoUTF8KeyPress
pt | DoKeyUpBeforeInterface
pt | ChildKey
pt | SendDialogChar
pt | DialogChar
pt | ControlKeyDown
pt | ControlKeyUp
pt | KeyDown
pt | KeyDownBeforeInterface
pt | KeyDownAfterInterface
pt | KeyPress
pt | KeyUp
pt | KeyUpBeforeInterface
pt | KeyUpAfterInterface
pt | UTF8KeyPress
pt | FindNextControl
pt | SelectFirst
pt | RealGetText
pt | GetBorderStyle
pt | GetClientOrigin
pt | GetClientRect
pt | GetControlOrigin
pt | GetDeviceContext
pt | GetParentBackground
pt | IsControlMouseMsg
pt | CreateHandle
pt | CreateParams
pt | CreateWnd
pt | DestroyHandle
pt | DestroyWnd
pt | DoFlipChildren
pt | FinalizeWnd
pt | FixupTabList
pt | FontChanged
pt | InitializeWnd
pt | Loaded
pt | FormEndUpdated
pt | MainWndProc
pt | ParentFormHandleInitialized
pt | ChildHandlesCreated
pt | GetMouseCapture
pt | RealSetText
pt | RemoveFocus
pt | SendMoveSizeMessages
pt | SetBorderStyle
pt | SetColor
pt | SetChildZPosition
pt | SetParentBackground
pt | ShowControl
pt | UpdateControlState
pt | UpdateShowing
pt | WndProc
pt | WSSetText
 | AutoSizePhases
 | AutoSizeDelayed
 | AutoSizeDelayedReport
 | AutoSizeDelayedHandle
 | BeginUpdateBounds
 | EndUpdateBounds
 | LockRealizeBounds
 | UnlockRealizeBounds
 | ControlAtPos
 | ContainsControl
 | DoAdjustClientRectChange
 | InvalidateClientRectCache
 | ClientRectNeedsInterfaceUpdate
 | SetBounds
 | GetChildrenRect
 | DisableAlign
 | EnableAlign
 | ReAlign
 | ScrollBy_WS
 | ScrollBy
 | WriteLayoutDebugReport
 | AutoAdjustLayout
 | Create
 | CreateParented
 | CreateParentedControl
 | Destroy
 | DockDrop
 | CanFocus
 | CanSetFocus
 | GetControlIndex
 | SetControlIndex
 | Focused
 | PerformTab
 | FindChildControl
 | SelectNext
 | SetTempCursor
 | BroadCast
 | NotifyControls
 | DefaultHandler
 | GetTextLen
 | Invalidate
 | AddControl
 | InsertControl
 | RemoveControl
 | GetEnumeratorControls
 | GetEnumeratorControlsReverse
 | Repaint
 | Update
 | SetFocus
 | FlipChildren
 | ScaleBy
 | GetDockCaption
 | UpdateDockCaption
 | GetTabOrderList
 | HandleAllocated
 | ParentHandlesAllocated
 | HandleNeeded
 | BrushCreated
 | EraseBackground
 | IntfUTF8KeyPress
 | IntfGetDropFilesTarget
 | PaintTo
 | SetShape
TControl
pt | WSRegisterClass
pt | GetCursor
pt | SetCursor
pt | SetVisible
pt | DoOnParentHandleDestruction
pt | DoAutoSize
pt | DoAllAutoSize
pt | BeginAutoSizing
pt | EndAutoSizing
pt | AnchorSideChanged
pt | ForeignAnchorSideChanged
pt | SetAlign
pt | SetAnchors
pt | SetAutoSize
pt | BoundsChanged
pt | CreateControlBorderSpacing
pt | DoConstraintsChange
pt | DoBorderSpacingChange
pt | IsBorderSpacingInnerBorderStored
pt | IsCaptionStored
pt | SendMoveSizeMessages
pt | ConstrainedResize
pt | CalculatePreferredSize
pt | DoOnResize
pt | DoOnChangeBounds
pt | CheckOnChangeBounds
pt | Resize
pt | RequestAlign
pt | UpdateAnchorRules
pt | ChangeBounds
pt | DoSetBounds
pt | ScaleConstraints
pt | ChangeScale
pt | CanAutoSize
pt | SetBiDiMode
pt | SetParentBiDiMode
pt | IsAParentAligning
pt | GetClientOrigin
pt | GetClientRect
pt | GetLogicalClientRect
pt | GetScrolledClientRect
pt | GetClientScrollOffset
pt | GetControlOrigin
pt | IsClientHeightStored
pt | IsClientWidthStored
pt | WidthIsAnchored
pt | HeightIsAnchored
pt | WMCancelMode
pt | WMContextMenu
pt | WMLButtonDown
pt | WMRButtonDown
pt | WMMButtonDown
pt | WMXButtonDown
pt | WMLButtonDBLCLK
pt | WMRButtonDBLCLK
pt | WMMButtonDBLCLK
pt | WMXButtonDBLCLK
pt | WMLButtonTripleCLK
pt | WMRButtonTripleCLK
pt | WMMButtonTripleCLK
pt | WMXButtonTripleCLK
pt | WMLButtonQuadCLK
pt | WMRButtonQuadCLK
pt | WMMButtonQuadCLK
pt | WMXButtonQuadCLK
pt | WMMouseMove
pt | WMLButtonUp
pt | WMRButtonUp
pt | WMMButtonUp
pt | WMXButtonUp
pt | WMMouseWheel
pt | WMMouseHWheel
pt | WMMove
pt | WMSize
pt | WMWindowPosChanged
pt | CMChanged
pt | LMCaptureChanged
pt | CMBiDiModeChanged
pt | CMSysFontChanged
pt | CMEnabledChanged
pt | CMHitTest
pt | CMMouseEnter
pt | CMMouseLeave
pt | CMHintShow
pt | CMParentBiDiModeChanged
pt | CMParentColorChanged
pt | CMParentFontChanged
pt | CMParentShowHintChanged
pt | CMVisibleChanged
pt | CMTextChanged
pt | CMCursorChanged
pt | CalculateDockSizes
pt | CreateFloatingDockSite
pt | GetDockEdge
pt | GetDragImages
pt | GetFloating
pt | GetFloatingDockSiteClass
pt | BeforeDragStart
pt | BeginAutoDrag
pt | DoFloatMsg
pt | DockTrackNoTarget
pt | DoDock
pt | DoDragMsg
pt | DoEndDock
pt | DoEndDrag
pt | DoStartDock
pt | DoStartDrag
pt | DragCanceled
pt | DragOver
pt | PositionDockRect
pt | SetDragMode
pt | GetDefaultDockCaption
pt | Click
pt | DblClick
pt | TripleClick
pt | QuadClick
pt | GetMousePosFromMessage
pt | MouseDown
pt | MouseMove
pt | MouseUp
pt | MouseEnter
pt | MouseLeave
pt | DialogChar
pt | UpdateMouseCursor
pt | Changed
pt | GetPalette
pt | ChildClassAllowed
pt | ReadState
pt | Loaded
pt | LoadedAll
pt | DefineProperties
pt | AssignTo
pt | FormEndUpdated
pt | InvalidateControl
pt | FontChanged
pt | ParentFontChanged
pt | GetAction
pt | RealGetText
pt | RealSetText
pt | TextChanged
pt | GetCachedText
pt | SetAction
pt | SetColor
pt | SetEnabled
pt | SetHint
pt | SetName
pt | SetParent
pt | SetParentComponent
pt | WndProc
pt | ParentFormHandleInitialized
pt | GetMouseCapture
pt | CaptureChanged
pt | Notification
pt | CanTab
pt | GetDeviceContext
pt | GetEnabled
pt | GetPopupMenu
pt | DoOnShowHint
pt | DoMouseWheel
pt | DoMouseWheelDown
pt | DoMouseWheelUp
pt | DoMouseWheelHorz
pt | DoMouseWheelLeft
pt | DoMouseWheelRight
pt | VisibleChanging
pt | VisibleChanged
pt | EnabledChanging
pt | EnabledChanged
pt | AddHandler
pt | RemoveHandler
pt | DoCallNotifyHandler
pt | DoCallKeyEventHandler
pt | DoCallMouseWheelEventHandler
pt | DoContextPopup
pt | SetZOrder
pt | GetControlClassDefaultSize
pt | ColorIsStored
pt | DoAutoAdjustLayout
pt | DoFixDesignFontPPI
pt | DoScaleFontPPI
pt | GetActionLinkClass
pt | ActionChange
 | DragDrop
 | Dock
 | ManualDock
 | ManualFloat
 | ReplaceDockedControl
 | Docked
 | Dragging
 | GetAccessibleObject
 | CreateAccessibleObject
 | GetSelectedChildAccessibleObject
 | GetChildAccessibleObjectAtPos
 | ScaleDesignToForm
 | ScaleFormToDesign
 | Scale96ToForm
 | ScaleFormTo96
 | Scale96ToFont
 | ScaleFontTo96
 | ScaleScreenToFont
 | ScaleFontToScreen
 | Scale96ToScreen
 | ScaleScreenTo96
 | AdjustSize
 | AutoSizePhases
 | AutoSizeDelayed
 | AutoSizeDelayedReport
 | AutoSizeDelayedHandle
 | AnchorToNeighbour
 | AnchorParallel
 | AnchorHorizontalCenterTo
 | AnchorVerticalCenterTo
 | AnchorToCompanion
 | AnchorSame
 | AnchorAsAlign
 | AnchorClient
 | AnchoredControlCount
 | SetBounds
 | SetInitialBounds
 | SetBoundsKeepBase
 | GetPreferredSize
 | GetCanvasScaleFactor
 | GetDefaultWidth
 | GetDefaultHeight
 | GetDefaultColor
 | GetColorResolvingParent
 | GetRGBColorResolvingParent
 | GetSidePosition
 | CNPreferredSizeChanged
 | InvalidatePreferredSize
 | GetAnchorsDependingOnParent
 | DisableAutoSizing
 | EnableAutoSizing
 | UpdateBaseBounds
 | WriteLayoutDebugReport
 | AutoAdjustLayout
 | ShouldAutoAdjust
 | FixDesignFontsPPI
 | ScaleFontsPPI
 | Create
 | Destroy
 | BeforeDestruction
 | EditingDone
 | ExecuteDefaultAction
 | ExecuteCancelAction
 | BeginDrag
 | EndDrag
 | BringToFront
 | HasParent
 | GetParentComponent
 | IsParentOf
 | GetTopParent
 | IsVisible
 | IsControlVisible
 | IsEnabled
 | IsParentColor
 | IsParentFont
 | FormIsUpdating
 | IsProcessingPaintMsg
 | Hide
 | Refresh
 | Repaint
 | Invalidate
 | CheckChildClassAllowed
 | CheckNewParent
 | SendToBack
 | SetTempCursor
 | UpdateRolesForForm
 | ActiveDefaultControlChanged
 | GetTextBuf
 | GetTextLen
 | SetTextBuf
 | Perform
 | ScreenToClient
 | ClientToScreen
 | ScreenToControl
 | ControlToScreen
 | ClientToParent
 | ParentToClient
 | GetChildrenRect
 | Show
 | Update
 | HandleObjectShouldBeVisible
 | ParentDestroyingHandle
 | ParentHandlesAllocated
 | InitiateAction
 | ShowHelp
 | HasHelp
 | RemoveAllHandlersOfObject
 | AddHandlerOnResize
 | RemoveHandlerOnResize
 | AddHandlerOnChangeBounds
 | RemoveHandlerOnChangeBounds
 | AddHandlerOnVisibleChanging
 | RemoveHandlerOnVisibleChanging
 | AddHandlerOnVisibleChanged
 | RemoveHandlerOnVisibleChanged
 | AddHandlerOnEnabledChanged
 | RemoveHandlerOnEnableChanging
 | AddHandlerOnKeyDown
 | RemoveHandlerOnKeyDown
 | AddHandlerOnBeforeDestruction
 | RemoveHandlerOnBeforeDestruction
 | AddHandlerOnMouseWheel
 | RemoveHandlerOnMouseWheel
 | UseRightToLeftAlignment
 | UseRightToLeftReading
 | UseRightToLeftScrollBar
 | IsRightToLeft
TLCLComponent
pt | WSRegisterClass
pt | GetWSComponentClass
 | Create
 | Destroy
 | NewInstance
 | RemoveAllHandlersOfObject
 | IncLCLRefCount
 | DecLCLRefCount
TComponent
 | GetComObject
 | GetComponent
 | GetComponentCount
 | GetComponentIndex
 | Insert
 | ReadLeft
 | ReadTop
 | Remove
 | RemoveNotification
 | SetComponentIndex
 | SetReference
 | WriteLeft
 | WriteTop
 | ChangeName
 | DefineProperties
 | GetChildren
 | GetChildOwner
 | GetChildParent
 | GetOwner
 | Loaded
 | Loading
 | Notification
 | PaletteCreated
 | ReadState
 | SetAncestor
 | SetDesigning
 | SetDesignInstance
 | SetInline
 | SetName
 | SetChildOrder
 | SetParentComponent
 | Updating
 | Updated
 | UpdateRegistry
 | ValidateRename
 | ValidateContainer
 | ValidateInsert
 | QueryInterface
 | _AddRef
 | _Release
 | iicrGetComponent
 | GetTypeInfoCount
 | GetTypeInfo
 | GetIDsOfNames
 | Invoke
 | WriteState
 | Create
 | Destroy
 | BeforeDestruction
 | DestroyComponents
 | Destroying
 | ExecuteAction
 | FindComponent
 | FreeNotification
 | RemoveFreeNotification
 | FreeOnRelease
 | GetEnumerator
 | GetNamePath
 | GetParentComponent
 | HasParent
 | InsertComponent
 | RemoveComponent
 | SafeCallException
 | SetSubComponent
 | UpdateAction
 | IsImplementorOf
 | ReferenceInterface
TPersistent
 | AssignError
 | AssignTo
 | DefineProperties
 | GetOwner
 | Destroy
 | Assign
 | FPOAttachObserver
 | FPODetachObserver
 | FPONotifyObservers
 | GetNamePath
TObject
 | Create
 | Destroy
 | newinstance
 | FreeInstance
 | SafeCallException
 | DefaultHandler
 | Free
 | InitInstance
 | CleanupInstance
 | ClassType
 | ClassInfo
 | ClassName
 | ClassNameIs
 | ClassParent
 | InstanceSize
 | InheritsFrom
 | StringMessageTable
 | MethodAddress
 | MethodName
 | FieldAddress
 | AfterConstruction
 | BeforeDestruction
 | DefaultHandlerStr
 | Dispatch
 | DispatchStr
 | GetInterface
 | GetInterfaceByStr
 | GetInterfaceWeak
 | GetInterfaceEntry
 | GetInterfaceEntryByStr
 | GetInterfaceTable
 | UnitName
 | Equals
 | GetHashCode
 | ToString


TFileListBox
pl | ro | OnChange
pl | ro | OnChangeBounds
pl | ro | OnClick
pl | ro | OnDblClick
pl | ro | OnDragDrop
pl | ro | OnDragOver
pl | ro | OnDrawItem
pl | ro | OnEndDrag
pl | ro | OnEnter
pl | ro | OnExit
pl | ro | OnKeyPress
pl | ro | OnKeyDown
pl | ro | OnKeyUp
pl | ro | OnMouseDown
pl | ro | OnMouseEnter
pl | ro | OnMouseLeave
pl | ro | OnMouseMove
pl | ro | OnMouseUp
pl | ro | OnMouseWheel
pl | ro | OnMouseWheelDown
pl | ro | OnMouseWheelUp
pl | ro | OnResize
pl | ro | OnSelectionChange
pl | ro | OnStartDrag
pl | ro | OnUTF8KeyPress
TCustomFileListBox
 |  | OnChange
TCustomListBox
 | ro | OnChangeBounds
 | ro | OnClick
 | ro | OnDblClick
 |  | OnDrawItem
 | ro | OnEnter
 | ro | OnExit
 | ro | OnKeyDown
 | ro | OnKeyPress
 | ro | OnKeyUp
 |  | OnMeasureItem
 | ro | OnMouseDown
 | ro | OnMouseEnter
 | ro | OnMouseLeave
 | ro | OnMouseMove
 | ro | OnMouseUp
 | ro | OnMouseWheel
 | ro | OnMouseWheelDown
 | ro | OnMouseWheelUp
 | ro | OnResize
 |  | OnSelectionChange
 | ro | OnUTF8KeyPress
TWinControl
pt |  | OnGetSiteInfo
pt |  | OnGetDockCaption
 |  | OnAlignInsertBefore
 |  | OnAlignPosition
 |  | OnDockDrop
 |  | OnDockOver
 |  | OnEnter
 |  | OnExit
 |  | OnKeyDown
 |  | OnKeyPress
 |  | OnKeyUp
 |  | OnUnDock
 |  | OnUTF8KeyPress
TControl
pt |  | OnConstrainedResize
pt |  | OnContextPopup
pt |  | OnDblClick
pt |  | OnTripleClick
pt |  | OnQuadClick
pt |  | OnDragDrop
pt |  | OnDragOver
pt |  | OnEndDock
pt |  | OnEndDrag
pt |  | OnMouseDown
pt |  | OnMouseMove
pt |  | OnMouseUp
pt |  | OnMouseEnter
pt |  | OnMouseLeave
pt |  | OnMouseWheel
pt |  | OnMouseWheelDown
pt |  | OnMouseWheelUp
pt |  | OnMouseWheelHorz
pt |  | OnMouseWheelLeft
pt |  | OnMouseWheelRight
pt |  | OnStartDock
pt |  | OnStartDrag
pt |  | OnEditingDone
 |  | OnChangeBounds
 |  | OnClick
 |  | OnResize
 |  | OnShowHint
TLCLComponent
TComponent
TPersistent
TObject


pl | ro | OnChange (TFileListBox)
 |  | OnChangeBounds (TControl)
 | ro | OnChangeBounds (TCustomListBox)
pl | ro | OnChangeBounds (TFileListBox)
 |  | OnClick (TControl)
 | ro | OnClick (TCustomListBox)
pl | ro | OnClick (TFileListBox)
pt |  | OnConstrainedResize (TControl)
pt |  | OnContextPopup (TControl)
pt |  | OnDblClick (TControl)
 | ro | OnDblClick (TCustomListBox)
pl | ro | OnDblClick (TFileListBox)
 |  | OnDockDrop (TWinControl)
 |  | OnDockOver (TWinControl)
pt |  | OnDragDrop (TControl)
pl | ro | OnDragDrop (TFileListBox)
pt |  | OnDragOver (TControl)
pl | ro | OnDragOver (TFileListBox)
 |  | OnDrawItem (TCustomListBox)
pl | ro | OnDrawItem (TFileListBox)
pt |  | OnEditingDone (TControl)
pt |  | OnEndDock (TControl)
pt |  | OnEndDrag (TControl)
pl | ro | OnEndDrag (TFileListBox)
 |  | OnEnter (TWinControl)
 | ro | OnEnter (TCustomListBox)
pl | ro | OnEnter (TFileListBox)
 |  | OnExit (TWinControl)
 | ro | OnExit (TCustomListBox)
pl | ro | OnExit (TFileListBox)
pt |  | OnGetDockCaption (TWinControl)
pt |  | OnGetSiteInfo (TWinControl)
 |  | OnKeyDown (TWinControl)
 | ro | OnKeyDown (TCustomListBox)
pl | ro | OnKeyDown (TFileListBox)
 |  | OnKeyPress (TWinControl)
 | ro | OnKeyPress (TCustomListBox)
pl | ro | OnKeyPress (TFileListBox)
 |  | OnKeyUp (TWinControl)
 | ro | OnKeyUp (TCustomListBox)
pl | ro | OnKeyUp (TFileListBox)
 |  | OnMeasureItem (TCustomListBox)
pt |  | OnMouseDown (TControl)
 | ro | OnMouseDown (TCustomListBox)
pl | ro | OnMouseDown (TFileListBox)
pt |  | OnMouseEnter (TControl)
 | ro | OnMouseEnter (TCustomListBox)
pl | ro | OnMouseEnter (TFileListBox)
pt |  | OnMouseLeave (TControl)
 | ro | OnMouseLeave (TCustomListBox)
pl | ro | OnMouseLeave (TFileListBox)
pt |  | OnMouseMove (TControl)
 | ro | OnMouseMove (TCustomListBox)
pl | ro | OnMouseMove (TFileListBox)
pt |  | OnMouseUp (TControl)
 | ro | OnMouseUp (TCustomListBox)
pl | ro | OnMouseUp (TFileListBox)
pt |  | OnMouseWheel (TControl)
 | ro | OnMouseWheel (TCustomListBox)
pl | ro | OnMouseWheel (TFileListBox)
pt |  | OnMouseWheelDown (TControl)
 | ro | OnMouseWheelDown (TCustomListBox)
pl | ro | OnMouseWheelDown (TFileListBox)
pt |  | OnMouseWheelHorz (TControl)
pt |  | OnMouseWheelLeft (TControl)
pt |  | OnMouseWheelRight (TControl)
pt |  | OnMouseWheelUp (TControl)
 | ro | OnMouseWheelUp (TCustomListBox)
pl | ro | OnMouseWheelUp (TFileListBox)
pt |  | OnQuadClick (TControl)
 |  | OnResize (TControl)
 | ro | OnResize (TCustomListBox)
pl | ro | OnResize (TFileListBox)
 |  | OnSelectionChange (TCustomListBox)
pl | ro | OnSelectionChange (TFileListBox)
 |  | OnShowHint (TControl)
pt |  | OnStartDock (TControl)
pt |  | OnStartDrag (TControl)
pl | ro | OnStartDrag (TFileListBox)
pt |  | OnTripleClick (TControl)
 |  | OnUnDock (TWinControl)
 |  | OnUTF8KeyPress (TWinControl)
 | ro | OnUTF8KeyPress (TCustomListBox)
pl | ro | OnUTF8KeyPress (TFileListBox)


TFileListBox.Color

Declaration

Source position: filectrl.pp line 90

published property TFileListBox.Color : TColor;


TFileListBox.Enabled

Declaration

Source position: filectrl.pp line 95

published property TFileListBox.Enabled : Boolean;


TFileListBox.OnDrawItem

Declaration

Source position: filectrl.pp line 109

published property TFileListBox.OnDrawItem : TDrawItemEvent;


TFileListBox.OnMouseEnter

Declaration

Source position: filectrl.pp line 117

published property TFileListBox.OnMouseEnter : TNotifyEvent;


TFileListBox.OnMouseLeave

Declaration

Source position: filectrl.pp line 118

published property TFileListBox.OnMouseLeave : TNotifyEvent;


TFileListBox.ParentColor

Declaration

Source position: filectrl.pp line 129

published property TFileListBox.ParentColor : Boolean;


TFilterComboBox

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

A combobox to select filename filters

Declaration

Source position: filectrl.pp line 167

type TFilterComboBox = class(TCustomFilterComboBox)
published
property Align: TAlign; | Specifies the placement of the control inside its Parent.
property Anchors: TAnchors; | The set of anchor definitions for this control.
property AutoComplete: Boolean; | Allows to select items from partial input, of the begin of the item text.
property AutoDropDown: Boolean; | Makes the drop-down list appear as soon as the user starts entering text.
property AutoSize: Boolean; | Allows to automatically adjust the size of the control, according to its content.
property BidiMode: TBiDiMode; | Customization (of text controls) in bidirectional reading environments.
property BorderSpacing: TControlBorderSpacing; | Determines the inner and outer border spacing for this control.
property Color: TColor; | The background color of the control.
property Constraints: TSizeConstraints; | The minimal and maximal Width and Height of this control.
property DragCursor: TCursor; | The cursor shape shown while the control is dragged.
property DragKind: TDragKind; | The operation when the control is dragged - Drag or Dock.
property DragMode: TDragMode; | Allows the user to drag the control.
property Enabled: Boolean; | Determines whether the control reacts on mouse or keyboard input.
property Filter: string; [rw]
property Font: TFont; | The font to be used for text display in this control.
property ItemIndex: Integer; | The index of the currently selected item, -1 if none is selected.
property ParentBidiMode: Boolean; | Allows to use the BiDiMode settings of Parent. Default is true.
property ParentColor: Boolean; | If true, the Color of the control will be the same as the one from the Parent. Default is true.
property ParentFont: Boolean; | If true, the Font of the control will be the same as the one from the Parent. Default is true.
property ParentShowHint: Boolean; | If true, the value of ShowHint for the control will be the same as the one from the Parent. Default is true.
property PopupMenu: TPopupMenu; | A context-sensitive menu that pops up when the right mouse button is clicked over this control
property ShellListView: TShellListView; | Allows to concect this control to a TShellListView
property ShowHint: Boolean; | Enables the Hint display.
property TabOrder: TTabOrder; | Determines the sequence of controls, reachable when the user presses the Tab key.
property TabStop: Boolean; | Allows the user to navigate to this control, by pressing the Tab key.
property Visible: Boolean; | Allows to show or hide the control, and all of its children.
property OnChange: TNotifyEvent; | Event handler for user changed text in the edit box.
property OnClick: TNotifyEvent; | Notification handler for mouse clicks.
property OnCloseUp: TNotifyEvent; | Handler invoked when the drop-down list closes.
property OnContextPopup: TContextPopupEvent; | Invoked when a context-sensitive pop-up menu is requested.
property OnDblClick: TNotifyEvent; | Event Handler for double mouse clicks.
property OnDragDrop: TDragDropEvent; | This handler determines the action on an drop onto this control, in a drag-drop operation.
property OnDragOver: TDragOverEvent; | Event handler for a control being dragged over this control.
property OnEndDrag: TEndDragEvent; | Notification handler for the end of a dragging operation.
property OnDropDown: TNotifyEvent; | Handler invoked when the list has dropped down.
property OnEnter: TNotifyEvent; | Handler for control receiving the focus.
property OnExit: TNotifyEvent; | Handler for control loosing the focus. This is a good place for checking the finished user input.
property OnKeyDown: TKeyEvent; | Handler for keyboard key pressed.
property OnKeyPress: TKeyPressEvent; | Handler for a character entered by the user.
property OnKeyUp: TKeyEvent; | Handler for keyboard key released.
property OnMouseDown: TMouseEvent; | Event handler for mouse button going down.
property OnMouseEnter: TNotifyEvent;
property OnMouseLeave: TNotifyEvent;
property OnMouseMove: TMouseMoveEvent; | Event handler for mouse movement within the control.
property OnMouseUp: TMouseEvent; | Event handler for mouse button going up.
property OnMouseWheel: TMouseWheelEvent;
property OnMouseWheelDown: TMouseWheelUpDownEvent;
property OnMouseWheelUp: TMouseWheelUpDownEvent;
property OnStartDrag: TStartDragEvent; | Event handler for the start of a dragging operation.
property OnSelect: TNotifyEvent; |
property OnUTF8KeyPress: TUTF8KeyPressEvent; | Handler for a character entered by the user.
end;

Inheritance

TFilterComboBox | A combobox to select filename filters
|
TCustomFilterComboBox | A combobox to select filename filters
|
TCustomComboBox | The base class for ComboBox components.
|
TWinControl | The base class for controls which can contain other (child) controls.
|
TControl | The base class for visible controls.
|
TLCLComponent | The base class for LCL components associated with widgets.
|
TComponent,IUnknown,IInterfaceComponentReference
|
TPersistent,IFPObserved
|
TObject


TFilterComboBox
pl | ro | Align
pl | ro | Anchors
pl | ro | AutoComplete
pl | ro | AutoDropDown
pl | ro | AutoSize
pl | ro | BidiMode
pl | ro | BorderSpacing
pl | ro | Color
pl | ro | Constraints
pl | ro | DragCursor
pl | ro | DragKind
pl | ro | DragMode
pl | ro | Enabled
pl |  | Filter
pl | ro | Font
pl | ro | ItemIndex
pl | ro | ParentBidiMode
pl | ro | ParentColor
pl | ro | ParentFont
pl | ro | ParentShowHint
pl | ro | PopupMenu
pl | ro | ShellListView
pl | ro | ShowHint
pl | ro | TabOrder
pl | ro | TabStop
pl | ro | Visible
TCustomFilterComboBox
 | ro | Mask
 |  | ShellListView
TCustomComboBox
pt |  | ItemHeight
pt |  | ItemWidth
pt |  | MaxLength
pt | ro | ParentColor
pt |  | Sorted
 |  | CharCase
 |  | DroppedDown
 |  | DroppingDown
 |  | AutoComplete
 |  | AutoCompleteText
 |  | AutoDropDown
 |  | AutoSelect
 |  | AutoSelected
 | ro | AutoSize
 |  | ArrowKeysTraverseList
 | ro | Canvas
 |  | DropDownCount
 |  | Items
 |  | ItemIndex
 |  | ReadOnly
 |  | SelLength
 |  | SelStart
 |  | SelText
 |  | Style
 | ro | TabStop
 | ro | Text
TWinControl
pt |  | WindowHandle
pt |  | BorderStyle
pt |  | ParentBackground
 |  | BorderWidth
 | ro | BoundsLockCount
 | ro | Brush
 | ro | CachedClientHeight
 | ro | CachedClientWidth
 |  | ChildSizing
 | ro | ControlCount
 | ro | Controls
 |  | DefWndProc
 | ro | DockClientCount
 | ro | DockClients
 |  | DockManager
 |  | DockSite
 |  | DoubleBuffered
 |  | Handle
 | ro | IsFlipped
 | ro | IsResizing
 |  | TabOrder
 |  | TabStop
 |  | ParentDoubleBuffered
 |  | ParentWindow
 | ro | Showing
 |  | UseDockManager
 |  | DesignerDeleting
 | ro | VisibleDockClientCount
TControl
pt | ro | AutoSizing
pt | ro | AutoSizingAll
pt | ro | AutoSizingLockCount
pt |  | ActionLink
pt |  | DesktopFont
pt |  | DragCursor
pt |  | DragKind
pt |  | DragMode
pt |  | MouseCapture
pt |  | ParentColor
pt |  | ParentFont
pt |  | ParentShowHint
pt |  | SessionProperties
pt |  | Text
 | ro | AnchoredControls
 | ro | BaseBounds
 | ro | ReadBounds
 | ro | BaseParentClientSize
 |  | AccessibleDescription
 |  | AccessibleValue
 |  | AccessibleRole
 |  | Action
 |  | Align
 |  | Anchors
 | ro | AnchorSide
 |  | AutoSize
 |  | BorderSpacing
 |  | BoundsRect
 |  | BoundsRectForNewParent
 |  | Caption
 |  | CaptureMouseButtons
 |  | ClientHeight
 | ro | ClientOrigin
 | ro | ClientRect
 |  | ClientWidth
 |  | Color
 |  | Constraints
 | ro | ControlOrigin
 |  | ControlState
 |  | ControlStyle
 |  | Enabled
 |  | Font
 |  | IsControl
 | ro | MouseEntered
 | ro | MouseInClient
 |  | Parent
 |  | PopupMenu
 |  | ShowHint
 |  | Visible
 |  | WindowProc
 |  | DockOrientation
 | ro | Floating
 |  | FloatingDockSiteClass
 |  | HostDockSite
 |  | LRDockWidth
 |  | TBDockHeight
 |  | UndockHeight
 |  | UndockWidth
 |  | BiDiMode
 |  | ParentBiDiMode
pl |  | AnchorSideLeft
pl |  | AnchorSideTop
pl |  | AnchorSideRight
pl |  | AnchorSideBottom
pl |  | Cursor
pl |  | Left
pl |  | Height
pl |  | Hint
pl |  | Top
pl |  | Width
pl |  | HelpType
pl |  | HelpKeyword
pl |  | HelpContext
TLCLComponent
 | ro | LCLRefCount
 | ro | WidgetSetClass
TComponent
 | ro | ComObject
 | ro | Components
 | ro | ComponentCount
 |  | ComponentIndex
 | ro | ComponentState
 | ro | ComponentStyle
 |  | DesignInfo
 | ro | Owner
 |  | VCLComObject
 |  | Name
 |  | Tag
TPersistent
TObject


 |  | AccessibleDescription (TControl)
 |  | AccessibleRole (TControl)
 |  | AccessibleValue (TControl)
 |  | Action (TControl)
pt |  | ActionLink (TControl)
 |  | Align (TControl)
pl | ro | Align (TFilterComboBox)
 | ro | AnchoredControls (TControl)
 |  | Anchors (TControl)
pl | ro | Anchors (TFilterComboBox)
 | ro | AnchorSide (TControl)
pl |  | AnchorSideBottom (TControl)
pl |  | AnchorSideLeft (TControl)
pl |  | AnchorSideRight (TControl)
pl |  | AnchorSideTop (TControl)
 |  | ArrowKeysTraverseList (TCustomComboBox)
 |  | AutoComplete (TCustomComboBox)
pl | ro | AutoComplete (TFilterComboBox)
 |  | AutoCompleteText (TCustomComboBox)
 |  | AutoDropDown (TCustomComboBox)
pl | ro | AutoDropDown (TFilterComboBox)
 |  | AutoSelect (TCustomComboBox)
 |  | AutoSelected (TCustomComboBox)
 |  | AutoSize (TControl)
 | ro | AutoSize (TCustomComboBox)
pl | ro | AutoSize (TFilterComboBox)
pt | ro | AutoSizing (TControl)
pt | ro | AutoSizingAll (TControl)
pt | ro | AutoSizingLockCount (TControl)
 | ro | BaseBounds (TControl)
 | ro | BaseParentClientSize (TControl)
 |  | BiDiMode (TControl)
pl | ro | BidiMode (TFilterComboBox)
 |  | BorderSpacing (TControl)
pl | ro | BorderSpacing (TFilterComboBox)
pt |  | BorderStyle (TWinControl)
 |  | BorderWidth (TWinControl)
 | ro | BoundsLockCount (TWinControl)
 |  | BoundsRect (TControl)
 |  | BoundsRectForNewParent (TControl)
 | ro | Brush (TWinControl)
 | ro | CachedClientHeight (TWinControl)
 | ro | CachedClientWidth (TWinControl)
 | ro | Canvas (TCustomComboBox)
 |  | Caption (TControl)
 |  | CaptureMouseButtons (TControl)
 |  | CharCase (TCustomComboBox)
 |  | ChildSizing (TWinControl)
 |  | ClientHeight (TControl)
 | ro | ClientOrigin (TControl)
 | ro | ClientRect (TControl)
 |  | ClientWidth (TControl)
 |  | Color (TControl)
pl | ro | Color (TFilterComboBox)
 | ro | ComObject (TComponent)
 | ro | ComponentCount (TComponent)
 |  | ComponentIndex (TComponent)
 | ro | Components (TComponent)
 | ro | ComponentState (TComponent)
 | ro | ComponentStyle (TComponent)
 |  | Constraints (TControl)
pl | ro | Constraints (TFilterComboBox)
 | ro | ControlCount (TWinControl)
 | ro | ControlOrigin (TControl)
 | ro | Controls (TWinControl)
 |  | ControlState (TControl)
 |  | ControlStyle (TControl)
pl |  | Cursor (TControl)
 |  | DefWndProc (TWinControl)
 |  | DesignerDeleting (TWinControl)
 |  | DesignInfo (TComponent)
pt |  | DesktopFont (TControl)
 | ro | DockClientCount (TWinControl)
 | ro | DockClients (TWinControl)
 |  | DockManager (TWinControl)
 |  | DockOrientation (TControl)
 |  | DockSite (TWinControl)
 |  | DoubleBuffered (TWinControl)
pt |  | DragCursor (TControl)
pl | ro | DragCursor (TFilterComboBox)
pt |  | DragKind (TControl)
pl | ro | DragKind (TFilterComboBox)
pt |  | DragMode (TControl)
pl | ro | DragMode (TFilterComboBox)
 |  | DropDownCount (TCustomComboBox)
 |  | DroppedDown (TCustomComboBox)
 |  | DroppingDown (TCustomComboBox)
 |  | Enabled (TControl)
pl | ro | Enabled (TFilterComboBox)
pl |  | Filter (TFilterComboBox)
 | ro | Floating (TControl)
 |  | FloatingDockSiteClass (TControl)
 |  | Font (TControl)
pl | ro | Font (TFilterComboBox)
 |  | Handle (TWinControl)
pl |  | Height (TControl)
pl |  | HelpContext (TControl)
pl |  | HelpKeyword (TControl)
pl |  | HelpType (TControl)
pl |  | Hint (TControl)
 |  | HostDockSite (TControl)
 |  | IsControl (TControl)
 | ro | IsFlipped (TWinControl)
 | ro | IsResizing (TWinControl)
pt |  | ItemHeight (TCustomComboBox)
 |  | ItemIndex (TCustomComboBox)
pl | ro | ItemIndex (TFilterComboBox)
 |  | Items (TCustomComboBox)
pt |  | ItemWidth (TCustomComboBox)
 | ro | LCLRefCount (TLCLComponent)
pl |  | Left (TControl)
 |  | LRDockWidth (TControl)
 | ro | Mask (TCustomFilterComboBox)
pt |  | MaxLength (TCustomComboBox)
pt |  | MouseCapture (TControl)
 | ro | MouseEntered (TControl)
 | ro | MouseInClient (TControl)
 |  | Name (TComponent)
 | ro | Owner (TComponent)
 |  | Parent (TControl)
pt |  | ParentBackground (TWinControl)
 |  | ParentBiDiMode (TControl)
pl | ro | ParentBidiMode (TFilterComboBox)
pt |  | ParentColor (TControl)
pt | ro | ParentColor (TCustomComboBox)
pl | ro | ParentColor (TFilterComboBox)
 |  | ParentDoubleBuffered (TWinControl)
pt |  | ParentFont (TControl)
pl | ro | ParentFont (TFilterComboBox)
pt |  | ParentShowHint (TControl)
pl | ro | ParentShowHint (TFilterComboBox)
 |  | ParentWindow (TWinControl)
 |  | PopupMenu (TControl)
pl | ro | PopupMenu (TFilterComboBox)
 | ro | ReadBounds (TControl)
 |  | ReadOnly (TCustomComboBox)
 |  | SelLength (TCustomComboBox)
 |  | SelStart (TCustomComboBox)
 |  | SelText (TCustomComboBox)
pt |  | SessionProperties (TControl)
 |  | ShellListView (TCustomFilterComboBox)
pl | ro | ShellListView (TFilterComboBox)
 |  | ShowHint (TControl)
pl | ro | ShowHint (TFilterComboBox)
 | ro | Showing (TWinControl)
pt |  | Sorted (TCustomComboBox)
 |  | Style (TCustomComboBox)
 |  | TabOrder (TWinControl)
pl | ro | TabOrder (TFilterComboBox)
 |  | TabStop (TWinControl)
 | ro | TabStop (TCustomComboBox)
pl | ro | TabStop (TFilterComboBox)
 |  | Tag (TComponent)
 |  | TBDockHeight (TControl)
pt |  | Text (TControl)
 | ro | Text (TCustomComboBox)
pl |  | Top (TControl)
 |  | UndockHeight (TControl)
 |  | UndockWidth (TControl)
 |  | UseDockManager (TWinControl)
 |  | VCLComObject (TComponent)
 |  | Visible (TControl)
pl | ro | Visible (TFilterComboBox)
 | ro | VisibleDockClientCount (TWinControl)
 | ro | WidgetSetClass (TLCLComponent)
pl |  | Width (TControl)
pt |  | WindowHandle (TWinControl)
 |  | WindowProc (TControl)


TFilterComboBox
TCustomFilterComboBox
pt | Select
pt | Notification
 | Create
 | Destroy
 | ConvertFilterToStrings
TCustomComboBox
pt | WSRegisterClass
pt | CreateParams
pt | InitializeWnd
pt | DestroyWnd
pt | DoEnter
pt | DoExit
pt | DrawItem
pt | KeyUpAfterInterface
pt | MeasureItem
pt | GetControlClassDefaultSize
pt | LMChanged
pt | CMWantSpecialKey
pt | Change
pt | Select
pt | DropDown
pt | GetItems
pt | SetItems
pt | CloseUp
pt | AdjustDropDown
pt | DoAutoAdjustLayout
pt | GetItemCount
pt | GetItemHeight
pt | GetSelLength
pt | GetSelStart
pt | GetSelText
pt | GetItemIndex
pt | GetMaxLength
pt | SetDropDownCount
pt | SetDroppedDown
pt | SetItemHeight
pt | SetItemIndex
pt | SetMaxLength
pt | SetSelLength
pt | SetSelStart
pt | SetSelText
pt | SetSorted
pt | SetStyle
pt | RealSetText
pt | KeyDown
pt | KeyUp
pt | UTF8KeyPress
pt | MouseUp
pt | SelectItem
pt | ShouldAutoAdjust
 | Create
 | Destroy
 | IntfGetItems
 | AddItem
 | AddHistoryItem
 | Clear
 | ClearSelection
 | SelectAll
TWinControl
pt | WSRegisterClass
pt | AdjustClientRect
pt | GetAdjustedLogicalClientRect
pt | AlignControls
pt | CustomAlignInsertBefore
pt | CustomAlignPosition
pt | DoAlignChildControls
pt | DoChildSizingChange
pt | InvalidatePreferredChildSizes
pt | CanTab
pt | IsClientHeightStored
pt | IsClientWidthStored
pt | DoSendShowHideToInterface
pt | ControlsAligned
pt | DoSendBoundsToInterface
pt | RealizeBounds
pt | RealizeBoundsRecursive
pt | InvalidateBoundsRealized
pt | CreateSubClass
pt | DoConstraintsChange
pt | DoSetBounds
pt | DoAutoSize
pt | DoAllAutoSize
pt | AllAutoSized
pt | CalculatePreferredSize
pt | GetPreferredSizeClientFrame
pt | GetChildren
pt | ChildClassAllowed
pt | PaintControls
pt | PaintHandler
pt | PaintWindow
pt | CreateBrush
pt | ScaleControls
pt | ChangeScale
pt | CMBiDiModeChanged
pt | CMBorderChanged
pt | CMDoubleBufferedChanged
pt | CMEnabledChanged
pt | CMParentDoubleBufferedChanged
pt | CMShowingChanged
pt | CMShowHintChanged
pt | CMVisibleChanged
pt | CMEnter
pt | CMExit
pt | WMContextMenu
pt | WMEraseBkgnd
pt | WMNotify
pt | WMSetFocus
pt | WMKillFocus
pt | WMShowWindow
pt | WMEnter
pt | WMExit
pt | WMKeyDown
pt | WMSysKeyDown
pt | WMKeyUp
pt | WMSysKeyUp
pt | WMChar
pt | WMSysChar
pt | WMPaint
pt | WMDestroy
pt | WMMove
pt | WMSize
pt | WMWindowPosChanged
pt | CNKeyDown
pt | CNSysKeyDown
pt | CNKeyUp
pt | CNSysKeyUp
pt | CNChar
pt | DoDragMsg
pt | DoDockClientMsg
pt | DoUndockClientMsg
pt | DoAddDockClient
pt | DockOver
pt | DoDockOver
pt | DoRemoveDockClient
pt | DoUnDock
pt | GetSiteInfo
pt | GetParentHandle
pt | GetTopParentHandle
pt | ReloadDockedControl
pt | CreateDockManager
pt | SetDockManager
pt | DoFloatMsg
pt | DoGetDockCaption
pt | DoEnter
pt | DoExit
pt | DoKeyDownBeforeInterface
pt | DoRemainingKeyDown
pt | DoRemainingKeyUp
pt | DoKeyPress
pt | DoUTF8KeyPress
pt | DoKeyUpBeforeInterface
pt | ChildKey
pt | SendDialogChar
pt | DialogChar
pt | ControlKeyDown
pt | ControlKeyUp
pt | KeyDown
pt | KeyDownBeforeInterface
pt | KeyDownAfterInterface
pt | KeyPress
pt | KeyUp
pt | KeyUpBeforeInterface
pt | KeyUpAfterInterface
pt | UTF8KeyPress
pt | FindNextControl
pt | SelectFirst
pt | RealGetText
pt | GetBorderStyle
pt | GetClientOrigin
pt | GetClientRect
pt | GetControlOrigin
pt | GetDeviceContext
pt | GetParentBackground
pt | IsControlMouseMsg
pt | CreateHandle
pt | CreateParams
pt | CreateWnd
pt | DestroyHandle
pt | DestroyWnd
pt | DoFlipChildren
pt | FinalizeWnd
pt | FixupTabList
pt | FontChanged
pt | InitializeWnd
pt | Loaded
pt | FormEndUpdated
pt | MainWndProc
pt | ParentFormHandleInitialized
pt | ChildHandlesCreated
pt | GetMouseCapture
pt | RealSetText
pt | RemoveFocus
pt | SendMoveSizeMessages
pt | SetBorderStyle
pt | SetColor
pt | SetChildZPosition
pt | SetParentBackground
pt | ShowControl
pt | UpdateControlState
pt | UpdateShowing
pt | WndProc
pt | WSSetText
 | AutoSizePhases
 | AutoSizeDelayed
 | AutoSizeDelayedReport
 | AutoSizeDelayedHandle
 | BeginUpdateBounds
 | EndUpdateBounds
 | LockRealizeBounds
 | UnlockRealizeBounds
 | ControlAtPos
 | ContainsControl
 | DoAdjustClientRectChange
 | InvalidateClientRectCache
 | ClientRectNeedsInterfaceUpdate
 | SetBounds
 | GetChildrenRect
 | DisableAlign
 | EnableAlign
 | ReAlign
 | ScrollBy_WS
 | ScrollBy
 | WriteLayoutDebugReport
 | AutoAdjustLayout
 | Create
 | CreateParented
 | CreateParentedControl
 | Destroy
 | DockDrop
 | CanFocus
 | CanSetFocus
 | GetControlIndex
 | SetControlIndex
 | Focused
 | PerformTab
 | FindChildControl
 | SelectNext
 | SetTempCursor
 | BroadCast
 | NotifyControls
 | DefaultHandler
 | GetTextLen
 | Invalidate
 | AddControl
 | InsertControl
 | RemoveControl
 | GetEnumeratorControls
 | GetEnumeratorControlsReverse
 | Repaint
 | Update
 | SetFocus
 | FlipChildren
 | ScaleBy
 | GetDockCaption
 | UpdateDockCaption
 | GetTabOrderList
 | HandleAllocated
 | ParentHandlesAllocated
 | HandleNeeded
 | BrushCreated
 | EraseBackground
 | IntfUTF8KeyPress
 | IntfGetDropFilesTarget
 | PaintTo
 | SetShape
TControl
pt | WSRegisterClass
pt | GetCursor
pt | SetCursor
pt | SetVisible
pt | DoOnParentHandleDestruction
pt | DoAutoSize
pt | DoAllAutoSize
pt | BeginAutoSizing
pt | EndAutoSizing
pt | AnchorSideChanged
pt | ForeignAnchorSideChanged
pt | SetAlign
pt | SetAnchors
pt | SetAutoSize
pt | BoundsChanged
pt | CreateControlBorderSpacing
pt | DoConstraintsChange
pt | DoBorderSpacingChange
pt | IsBorderSpacingInnerBorderStored
pt | IsCaptionStored
pt | SendMoveSizeMessages
pt | ConstrainedResize
pt | CalculatePreferredSize
pt | DoOnResize
pt | DoOnChangeBounds
pt | CheckOnChangeBounds
pt | Resize
pt | RequestAlign
pt | UpdateAnchorRules
pt | ChangeBounds
pt | DoSetBounds
pt | ScaleConstraints
pt | ChangeScale
pt | CanAutoSize
pt | SetBiDiMode
pt | SetParentBiDiMode
pt | IsAParentAligning
pt | GetClientOrigin
pt | GetClientRect
pt | GetLogicalClientRect
pt | GetScrolledClientRect
pt | GetClientScrollOffset
pt | GetControlOrigin
pt | IsClientHeightStored
pt | IsClientWidthStored
pt | WidthIsAnchored
pt | HeightIsAnchored
pt | WMCancelMode
pt | WMContextMenu
pt | WMLButtonDown
pt | WMRButtonDown
pt | WMMButtonDown
pt | WMXButtonDown
pt | WMLButtonDBLCLK
pt | WMRButtonDBLCLK
pt | WMMButtonDBLCLK
pt | WMXButtonDBLCLK
pt | WMLButtonTripleCLK
pt | WMRButtonTripleCLK
pt | WMMButtonTripleCLK
pt | WMXButtonTripleCLK
pt | WMLButtonQuadCLK
pt | WMRButtonQuadCLK
pt | WMMButtonQuadCLK
pt | WMXButtonQuadCLK
pt | WMMouseMove
pt | WMLButtonUp
pt | WMRButtonUp
pt | WMMButtonUp
pt | WMXButtonUp
pt | WMMouseWheel
pt | WMMouseHWheel
pt | WMMove
pt | WMSize
pt | WMWindowPosChanged
pt | CMChanged
pt | LMCaptureChanged
pt | CMBiDiModeChanged
pt | CMSysFontChanged
pt | CMEnabledChanged
pt | CMHitTest
pt | CMMouseEnter
pt | CMMouseLeave
pt | CMHintShow
pt | CMParentBiDiModeChanged
pt | CMParentColorChanged
pt | CMParentFontChanged
pt | CMParentShowHintChanged
pt | CMVisibleChanged
pt | CMTextChanged
pt | CMCursorChanged
pt | CalculateDockSizes
pt | CreateFloatingDockSite
pt | GetDockEdge
pt | GetDragImages
pt | GetFloating
pt | GetFloatingDockSiteClass
pt | BeforeDragStart
pt | BeginAutoDrag
pt | DoFloatMsg
pt | DockTrackNoTarget
pt | DoDock
pt | DoDragMsg
pt | DoEndDock
pt | DoEndDrag
pt | DoStartDock
pt | DoStartDrag
pt | DragCanceled
pt | DragOver
pt | PositionDockRect
pt | SetDragMode
pt | GetDefaultDockCaption
pt | Click
pt | DblClick
pt | TripleClick
pt | QuadClick
pt | GetMousePosFromMessage
pt | MouseDown
pt | MouseMove
pt | MouseUp
pt | MouseEnter
pt | MouseLeave
pt | DialogChar
pt | UpdateMouseCursor
pt | Changed
pt | GetPalette
pt | ChildClassAllowed
pt | ReadState
pt | Loaded
pt | LoadedAll
pt | DefineProperties
pt | AssignTo
pt | FormEndUpdated
pt | InvalidateControl
pt | FontChanged
pt | ParentFontChanged
pt | GetAction
pt | RealGetText
pt | RealSetText
pt | TextChanged
pt | GetCachedText
pt | SetAction
pt | SetColor
pt | SetEnabled
pt | SetHint
pt | SetName
pt | SetParent
pt | SetParentComponent
pt | WndProc
pt | ParentFormHandleInitialized
pt | GetMouseCapture
pt | CaptureChanged
pt | Notification
pt | CanTab
pt | GetDeviceContext
pt | GetEnabled
pt | GetPopupMenu
pt | DoOnShowHint
pt | DoMouseWheel
pt | DoMouseWheelDown
pt | DoMouseWheelUp
pt | DoMouseWheelHorz
pt | DoMouseWheelLeft
pt | DoMouseWheelRight
pt | VisibleChanging
pt | VisibleChanged
pt | EnabledChanging
pt | EnabledChanged
pt | AddHandler
pt | RemoveHandler
pt | DoCallNotifyHandler
pt | DoCallKeyEventHandler
pt | DoCallMouseWheelEventHandler
pt | DoContextPopup
pt | SetZOrder
pt | GetControlClassDefaultSize
pt | ColorIsStored
pt | DoAutoAdjustLayout
pt | DoFixDesignFontPPI
pt | DoScaleFontPPI
pt | GetActionLinkClass
pt | ActionChange
 | DragDrop
 | Dock
 | ManualDock
 | ManualFloat
 | ReplaceDockedControl
 | Docked
 | Dragging
 | GetAccessibleObject
 | CreateAccessibleObject
 | GetSelectedChildAccessibleObject
 | GetChildAccessibleObjectAtPos
 | ScaleDesignToForm
 | ScaleFormToDesign
 | Scale96ToForm
 | ScaleFormTo96
 | Scale96ToFont
 | ScaleFontTo96
 | ScaleScreenToFont
 | ScaleFontToScreen
 | Scale96ToScreen
 | ScaleScreenTo96
 | AdjustSize
 | AutoSizePhases
 | AutoSizeDelayed
 | AutoSizeDelayedReport
 | AutoSizeDelayedHandle
 | AnchorToNeighbour
 | AnchorParallel
 | AnchorHorizontalCenterTo
 | AnchorVerticalCenterTo
 | AnchorToCompanion
 | AnchorSame
 | AnchorAsAlign
 | AnchorClient
 | AnchoredControlCount
 | SetBounds
 | SetInitialBounds
 | SetBoundsKeepBase
 | GetPreferredSize
 | GetCanvasScaleFactor
 | GetDefaultWidth
 | GetDefaultHeight
 | GetDefaultColor
 | GetColorResolvingParent
 | GetRGBColorResolvingParent
 | GetSidePosition
 | CNPreferredSizeChanged
 | InvalidatePreferredSize
 | GetAnchorsDependingOnParent
 | DisableAutoSizing
 | EnableAutoSizing
 | UpdateBaseBounds
 | WriteLayoutDebugReport
 | AutoAdjustLayout
 | ShouldAutoAdjust
 | FixDesignFontsPPI
 | ScaleFontsPPI
 | Create
 | Destroy
 | BeforeDestruction
 | EditingDone
 | ExecuteDefaultAction
 | ExecuteCancelAction
 | BeginDrag
 | EndDrag
 | BringToFront
 | HasParent
 | GetParentComponent
 | IsParentOf
 | GetTopParent
 | IsVisible
 | IsControlVisible
 | IsEnabled
 | IsParentColor
 | IsParentFont
 | FormIsUpdating
 | IsProcessingPaintMsg
 | Hide
 | Refresh
 | Repaint
 | Invalidate
 | CheckChildClassAllowed
 | CheckNewParent
 | SendToBack
 | SetTempCursor
 | UpdateRolesForForm
 | ActiveDefaultControlChanged
 | GetTextBuf
 | GetTextLen
 | SetTextBuf
 | Perform
 | ScreenToClient
 | ClientToScreen
 | ScreenToControl
 | ControlToScreen
 | ClientToParent
 | ParentToClient
 | GetChildrenRect
 | Show
 | Update
 | HandleObjectShouldBeVisible
 | ParentDestroyingHandle
 | ParentHandlesAllocated
 | InitiateAction
 | ShowHelp
 | HasHelp
 | RemoveAllHandlersOfObject
 | AddHandlerOnResize
 | RemoveHandlerOnResize
 | AddHandlerOnChangeBounds
 | RemoveHandlerOnChangeBounds
 | AddHandlerOnVisibleChanging
 | RemoveHandlerOnVisibleChanging
 | AddHandlerOnVisibleChanged
 | RemoveHandlerOnVisibleChanged
 | AddHandlerOnEnabledChanged
 | RemoveHandlerOnEnableChanging
 | AddHandlerOnKeyDown
 | RemoveHandlerOnKeyDown
 | AddHandlerOnBeforeDestruction
 | RemoveHandlerOnBeforeDestruction
 | AddHandlerOnMouseWheel
 | RemoveHandlerOnMouseWheel
 | UseRightToLeftAlignment
 | UseRightToLeftReading
 | UseRightToLeftScrollBar
 | IsRightToLeft
TLCLComponent
pt | WSRegisterClass
pt | GetWSComponentClass
 | Create
 | Destroy
 | NewInstance
 | RemoveAllHandlersOfObject
 | IncLCLRefCount
 | DecLCLRefCount
TComponent
 | GetComObject
 | GetComponent
 | GetComponentCount
 | GetComponentIndex
 | Insert
 | ReadLeft
 | ReadTop
 | Remove
 | RemoveNotification
 | SetComponentIndex
 | SetReference
 | WriteLeft
 | WriteTop
 | ChangeName
 | DefineProperties
 | GetChildren
 | GetChildOwner
 | GetChildParent
 | GetOwner
 | Loaded
 | Loading
 | Notification
 | PaletteCreated
 | ReadState
 | SetAncestor
 | SetDesigning
 | SetDesignInstance
 | SetInline
 | SetName
 | SetChildOrder
 | SetParentComponent
 | Updating
 | Updated
 | UpdateRegistry
 | ValidateRename
 | ValidateContainer
 | ValidateInsert
 | QueryInterface
 | _AddRef
 | _Release
 | iicrGetComponent
 | GetTypeInfoCount
 | GetTypeInfo
 | GetIDsOfNames
 | Invoke
 | WriteState
 | Create
 | Destroy
 | BeforeDestruction
 | DestroyComponents
 | Destroying
 | ExecuteAction
 | FindComponent
 | FreeNotification
 | RemoveFreeNotification
 | FreeOnRelease
 | GetEnumerator
 | GetNamePath
 | GetParentComponent
 | HasParent
 | InsertComponent
 | RemoveComponent
 | SafeCallException
 | SetSubComponent
 | UpdateAction
 | IsImplementorOf
 | ReferenceInterface
TPersistent
 | AssignError
 | AssignTo
 | DefineProperties
 | GetOwner
 | Destroy
 | Assign
 | FPOAttachObserver
 | FPODetachObserver
 | FPONotifyObservers
 | GetNamePath
TObject
 | Create
 | Destroy
 | newinstance
 | FreeInstance
 | SafeCallException
 | DefaultHandler
 | Free
 | InitInstance
 | CleanupInstance
 | ClassType
 | ClassInfo
 | ClassName
 | ClassNameIs
 | ClassParent
 | InstanceSize
 | InheritsFrom
 | StringMessageTable
 | MethodAddress
 | MethodName
 | FieldAddress
 | AfterConstruction
 | BeforeDestruction
 | DefaultHandlerStr
 | Dispatch
 | DispatchStr
 | GetInterface
 | GetInterfaceByStr
 | GetInterfaceWeak
 | GetInterfaceEntry
 | GetInterfaceEntryByStr
 | GetInterfaceTable
 | UnitName
 | Equals
 | GetHashCode
 | ToString


TFilterComboBox
pl | ro | OnChange
pl | ro | OnClick
pl | ro | OnCloseUp
pl | ro | OnContextPopup
pl | ro | OnDblClick
pl | ro | OnDragDrop
pl | ro | OnDragOver
pl | ro | OnEndDrag
pl | ro | OnDropDown
pl | ro | OnEnter
pl | ro | OnExit
pl | ro | OnKeyDown
pl | ro | OnKeyPress
pl | ro | OnKeyUp
pl | ro | OnMouseDown
pl | ro | OnMouseEnter
pl | ro | OnMouseLeave
pl | ro | OnMouseMove
pl | ro | OnMouseUp
pl | ro | OnMouseWheel
pl | ro | OnMouseWheelDown
pl | ro | OnMouseWheelUp
pl | ro | OnStartDrag
pl | ro | OnSelect
pl | ro | OnUTF8KeyPress
TCustomFilterComboBox
TCustomComboBox
pt |  | OnChange
pt |  | OnCloseUp
pt |  | OnDrawItem
pt |  | OnDropDown
pt |  | OnGetItems
pt |  | OnMeasureItem
pt |  | OnSelect
TWinControl
pt |  | OnGetSiteInfo
pt |  | OnGetDockCaption
 |  | OnAlignInsertBefore
 |  | OnAlignPosition
 |  | OnDockDrop
 |  | OnDockOver
 |  | OnEnter
 |  | OnExit
 |  | OnKeyDown
 |  | OnKeyPress
 |  | OnKeyUp
 |  | OnUnDock
 |  | OnUTF8KeyPress
TControl
pt |  | OnConstrainedResize
pt |  | OnContextPopup
pt |  | OnDblClick
pt |  | OnTripleClick
pt |  | OnQuadClick
pt |  | OnDragDrop
pt |  | OnDragOver
pt |  | OnEndDock
pt |  | OnEndDrag
pt |  | OnMouseDown
pt |  | OnMouseMove
pt |  | OnMouseUp
pt |  | OnMouseEnter
pt |  | OnMouseLeave
pt |  | OnMouseWheel
pt |  | OnMouseWheelDown
pt |  | OnMouseWheelUp
pt |  | OnMouseWheelHorz
pt |  | OnMouseWheelLeft
pt |  | OnMouseWheelRight
pt |  | OnStartDock
pt |  | OnStartDrag
pt |  | OnEditingDone
 |  | OnChangeBounds
 |  | OnClick
 |  | OnResize
 |  | OnShowHint
TLCLComponent
TComponent
TPersistent
TObject


pt |  | OnChange (TCustomComboBox)
pl | ro | OnChange (TFilterComboBox)
 |  | OnChangeBounds (TControl)
 |  | OnClick (TControl)
pl | ro | OnClick (TFilterComboBox)
pt |  | OnCloseUp (TCustomComboBox)
pl | ro | OnCloseUp (TFilterComboBox)
pt |  | OnConstrainedResize (TControl)
pt |  | OnContextPopup (TControl)
pl | ro | OnContextPopup (TFilterComboBox)
pt |  | OnDblClick (TControl)
pl | ro | OnDblClick (TFilterComboBox)
 |  | OnDockDrop (TWinControl)
 |  | OnDockOver (TWinControl)
pt |  | OnDragDrop (TControl)
pl | ro | OnDragDrop (TFilterComboBox)
pt |  | OnDragOver (TControl)
pl | ro | OnDragOver (TFilterComboBox)
pt |  | OnDrawItem (TCustomComboBox)
pt |  | OnDropDown (TCustomComboBox)
pl | ro | OnDropDown (TFilterComboBox)
pt |  | OnEditingDone (TControl)
pt |  | OnEndDock (TControl)
pt |  | OnEndDrag (TControl)
pl | ro | OnEndDrag (TFilterComboBox)
 |  | OnEnter (TWinControl)
pl | ro | OnEnter (TFilterComboBox)
 |  | OnExit (TWinControl)
pl | ro | OnExit (TFilterComboBox)
pt |  | OnGetDockCaption (TWinControl)
pt |  | OnGetItems (TCustomComboBox)
pt |  | OnGetSiteInfo (TWinControl)
 |  | OnKeyDown (TWinControl)
pl | ro | OnKeyDown (TFilterComboBox)
 |  | OnKeyPress (TWinControl)
pl | ro | OnKeyPress (TFilterComboBox)
 |  | OnKeyUp (TWinControl)
pl | ro | OnKeyUp (TFilterComboBox)
pt |  | OnMeasureItem (TCustomComboBox)
pt |  | OnMouseDown (TControl)
pl | ro | OnMouseDown (TFilterComboBox)
pt |  | OnMouseEnter (TControl)
pl | ro | OnMouseEnter (TFilterComboBox)
pt |  | OnMouseLeave (TControl)
pl | ro | OnMouseLeave (TFilterComboBox)
pt |  | OnMouseMove (TControl)
pl | ro | OnMouseMove (TFilterComboBox)
pt |  | OnMouseUp (TControl)
pl | ro | OnMouseUp (TFilterComboBox)
pt |  | OnMouseWheel (TControl)
pl | ro | OnMouseWheel (TFilterComboBox)
pt |  | OnMouseWheelDown (TControl)
pl | ro | OnMouseWheelDown (TFilterComboBox)
pt |  | OnMouseWheelHorz (TControl)
pt |  | OnMouseWheelLeft (TControl)
pt |  | OnMouseWheelRight (TControl)
pt |  | OnMouseWheelUp (TControl)
pl | ro | OnMouseWheelUp (TFilterComboBox)
pt |  | OnQuadClick (TControl)
 |  | OnResize (TControl)
pt |  | OnSelect (TCustomComboBox)
pl | ro | OnSelect (TFilterComboBox)
 |  | OnShowHint (TControl)
pt |  | OnStartDock (TControl)
pt |  | OnStartDrag (TControl)
pl | ro | OnStartDrag (TFilterComboBox)
pt |  | OnTripleClick (TControl)
 |  | OnUnDock (TWinControl)
 |  | OnUTF8KeyPress (TWinControl)
pl | ro | OnUTF8KeyPress (TFilterComboBox)


TFilterComboBox.OnMouseEnter

Declaration

Source position: filectrl.pp line 213

published property TFilterComboBox.OnMouseEnter : TNotifyEvent;


TFilterComboBox.OnMouseLeave

Declaration

Source position: filectrl.pp line 214

published property TFilterComboBox.OnMouseLeave : TNotifyEvent;


TFilterComboBox.OnMouseWheel

Declaration

Source position: filectrl.pp line 217

published property TFilterComboBox.OnMouseWheel : TMouseWheelEvent;


TFilterComboBox.OnMouseWheelDown

Declaration

Source position: filectrl.pp line 218

published property TFilterComboBox.OnMouseWheelDown : TMouseWheelUpDownEvent;


TFilterComboBox.OnMouseWheelUp

Declaration

Source position: filectrl.pp line 219

published property TFilterComboBox.OnMouseWheelUp : TMouseWheelUpDownEvent;


TFilterComboBox.OnSelect

Declaration

Source position: filectrl.pp line 221

published property TFilterComboBox.OnSelect : TNotifyEvent;


EScrollBar

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Class for exception in TControlScrollBar.

Declaration

Source position: forms.pp line 85

type EScrollBar = class(Exception) end;

Inheritance

EScrollBar

Class for exception in TControlScrollBar.

|

Exception
|

TObject


EScrollBar
Exception
 | HelpContext
 | Message
TObject


EScrollBar
Exception
 | Create
 | CreateFmt
 | CreateRes
 | CreateResFmt
 | CreateHelp
 | CreateFmtHelp
 | CreateResHelp
 | CreateResFmtHelp
 | ToString
TObject
 | Create
 | Destroy
 | newinstance
 | FreeInstance
 | SafeCallException
 | DefaultHandler
 | Free
 | InitInstance
 | CleanupInstance
 | ClassType
 | ClassInfo
 | ClassName
 | ClassNameIs
 | ClassParent
 | InstanceSize
 | InheritsFrom
 | StringMessageTable
 | MethodAddress
 | MethodName
 | FieldAddress
 | AfterConstruction
 | BeforeDestruction
 | DefaultHandlerStr
 | Dispatch
 | DispatchStr
 | GetInterface
 | GetInterfaceByStr
 | GetInterfaceWeak
 | GetInterfaceEntry
 | GetInterfaceEntryByStr
 | GetInterfaceTable
 | UnitName
 | Equals
 | GetHashCode
 | ToString


EScrollBar

Exception

TObject


TApplication

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Application management and configuration for a GUI application.

Declaration

Source position: forms.pp line 1336

type TApplication = class(TCustomApplication)
protected
function GetConsoleApplication; override; | Here: returns False, because this is a GUI application.
procedure NotifyIdleHandler(); | Notifies all Idle handlers.
procedure NotifyIdleEndHandler; | Notifies all Idle End handlers, when a new message arrived.
procedure NotifyActivateHandler; | Notifies all Activation handlers.
procedure NotifyDeactivateHandler; | Notifies all Deactivation handlers.
procedure NotifyCustomForms(); | Notifies all CustomForms of Msg arrived.
function IsHintMsg(); | Nop, exists for Delphi compatibility only.
function DoOnHelp(); virtual; | OnHelp message handler. Tries OnHelp handlers of the active form, Application OnHelp and application Help handlers.
procedure DoOnMouseMove; virtual; | OnMouseMove message handler, updates the Hint.
procedure ShowHintWindow(); | Shows or hides the Hint window.
procedure OnHintTimer(); | Event handler for timing the duration of hints.
procedure SetTitle(); override;
procedure StartHintTimer(); | Starts the timer for display of a hint message.
procedure UpdateVisible; | Asks the widgetset to update the TaskBar entries.
procedure DoIdleActions; | Updates all Actions, hides splash screens.
procedure MenuPopupHandler(); | Hides the Hint window.
procedure ProcessAsyncCallQueue; | Calls all methods queued by QueueAsyncCall.
procedure FreeComponent();
procedure ReleaseComponents; | Destroys all components marked for release.
procedure DoBeforeFinalization; | Destroys all components.
function GetParams(); override; | Returns the indexed commandline argument.
public
constructor Create(); override;
destructor Destroy; override;
procedure ActivateHint(); |
function GetControlAtMouse; | Finds the control under the mouse.
procedure ControlDestroyed(); | Clears all references to the destroyed control.
function BigIconHandle; | The Handle of the large application Icon.
function SmallIconHandle; | The Handle of the small application Icon.
procedure BringToFront; | Asks the widgetset to bring the application's form(s) to the front
procedure CreateForm(); | Creates a Form or component, owned by Application.
procedure UpdateMainForm(); | When MainForm is Nil, this form becomes the application MainForm.
procedure QueueAsyncCall(); | Inserts an asynchronous call into the queue.
procedure RemoveAsyncCalls(); | Removes all calls added via QueueAsyncCall.
procedure ReleaseComponent(); | Safe destruction of a component, can be requested by the component itself.
function ExecuteAction(); override; | Invokes the OnActionExecute handler.
function UpdateAction(); override; | Invokes the OnActionUpdate handler.
procedure HandleException(); override; | HandleException method for handling an exception; attempts to maintain program execution if possible, otherwise exits gracefully
procedure HandleMessage; | Handles all messages, then enters Idle state.
function HelpCommand(); | Show help
function HelpContext(); | Show context sensitive help.
function HelpKeyword(); | Show help for a keyword.
procedure ShowHelpForObject(); | When Sender is a TControl, invoke its ShowHelp method.
procedure RemoveStayOnTop(); | Remove StayOnTop from all forms. Builds a form list for use in RestoreStayOnTop.
procedure RestoreStayOnTop(); | Restores StayOnTop for all forms changed by RemoveStayOnTop.
function IsWaiting; | True if the application is awaiting an event
procedure CancelHint; | Called when the Hint time has expired, to stop showing the Hint.
procedure HideHint; | Hides the Hint window.
procedure HintMouseMessage(); | Called when the the mouse is over a control with a Hint
procedure Initialize; override; | Initializes the widgetset (and more).
function MessageBox(); | Display an message dialog with several response buttons.
procedure Minimize; | Asks the widgetset to minimize the application.
procedure ModalStarted; | Called when a form is shown modally.
procedure ModalFinished; | Called when a modal form is closed.
procedure Restore; | Restores the previously minimized application.
procedure Notification(); override; | Invokes the notification handlers.
procedure ProcessMessages; | Call this method during lengthy operations, to keep the GUI responsive.
procedure Idle(); | Invoked when the application enters the idle state.
procedure Run; | MainForm is loaded and control is passed to the event loop.
procedure ShowException(); override; | Shows the exception message and asks the user to abort or continue.
procedure Terminate; override; | The application is terminated and the component engine is shutdown.
procedure DisableIdleHandler; | Blocks Idle handling. Can be called moreoften, every call must be followed by EnableIdleHandler.
procedure EnableIdleHandler; | Resume Idle handling.
procedure NotifyUserInputHandler(); | Notifies all user input handlers
procedure NotifyKeyDownBeforeHandler(); | Notifies all ahtKeyDownBefore handlers.
procedure NotifyKeyDownHandler(); | Notifies all ahtKeyDownAfter handlers, eventually reacts on F1 (Help).
procedure ControlKeyDown(); | Handles KeyDown events in a Control, e.g. handles navigation keys.
procedure ControlKeyUp(); | Handles KeyUp events in a Control, e.g. handles Enter and Esc keys.
procedure AddOnIdleHandler(); | Adds an application Idle handler.
procedure RemoveOnIdleHandler(); | Removes an application Idle handler.
procedure AddOnIdleEndHandler(); | Adds an application IdleEnd handler.
procedure RemoveOnIdleEndHandler(); | Removes an application IdleEnd handler.
procedure AddOnUserInputHandler(); | Adds an application user input handler.
procedure RemoveOnUserInputHandler(); | Removes an application user input handler.
procedure AddOnKeyDownBeforeHandler(); | Adds an application key down before interface handler.
procedure RemoveOnKeyDownBeforeHandler(); | Removes an application key down before interface handler.
procedure AddOnKeyDownHandler(); | Adds an application key down after interface handler.
procedure RemoveOnKeyDownHandler(); | Removes an application key down after interface handler.
procedure AddOnActivateHandler(); | Adds an application activation handler.
procedure RemoveOnActivateHandler(); | Removes an application activation handler.
procedure AddOnDeactivateHandler(); | Adds an application deactivation handler.
procedure RemoveOnDeactivateHandler(); | Removes an application deactivation handler.
procedure AddOnExceptionHandler(); | Adds an application exception handler.
procedure RemoveOnExceptionHandler(); | Removes an application exception handler.
procedure AddOnEndSessionHandler(); | Adds an application logoff handler.
procedure RemoveOnEndSessionHandler(); | Removes an application logoff handler.
procedure AddOnQueryEndSessionHandler(); | Adds an application logoff query handler.
procedure RemoveOnQueryEndSessionHandler(); | Removes an application logoff query handler.
procedure AddOnMinimizeHandler(); | Adds an application minimizing handler.
procedure RemoveOnMinimizeHandler(); | Removes an application minimizing handler.
procedure AddOnModalBeginHandler(); | Adds an application becoming modal handler.
procedure RemoveOnModalBeginHandler(); | Removes an application becoming modal handler.
procedure AddOnModalEndHandler(); | Adds an application exiting modal state handler.
procedure RemoveOnModalEndHandler(); | Removes an application exiting modal state handler.
procedure AddOnRestoreHandler(); | Adds an application exiting minimized state handler.
procedure RemoveOnRestoreHandler(); | Removes an application exiting minimized state handler.
procedure AddOnDropFilesHandler(); | Adds an application dropped files handler.
procedure RemoveOnDropFilesHandler(); | Removes an application dropped files handler.
procedure AddOnHelpHandler(); | Adds an application Help handler.
procedure RemoveOnHelpHandler(); | Removes an application Help handler.
procedure AddOnHintHandler(); | Adds an application Hint handler.
procedure RemoveOnHintHandler(); | Removes an application Hint handler.
procedure AddOnShowHintHandler(); | Adds an application Hint show handler.
procedure RemoveOnShowHintHandler(); | Removes an application Hint show handler.
procedure AddOnGetMainFormHandleHandler(); | Adds an application MainForm Handle handler.
procedure RemoveOnGetMainFormHandleHandler(); | Removes an application MainForm Handle handler.
procedure RemoveAllHandlersOfObject(); virtual; | Removes all handlers implemented in the given object.
procedure DoBeforeMouseMessage(); | Things to be done before a mouse message is processed.
function IsShortcut(); | Asks all shortcut handlers to handle the key.
procedure IntfQueryEndSession(); | Called by the interface to confirm the end of a session.
procedure IntfEndSession; | Called by the interface when the session ends.
procedure IntfAppActivate(); | Called by the interface on application activation
procedure IntfAppDeactivate(); | Called by the interface on application deactivation
procedure IntfAppMinimize; | Called by the interface when the application is minimized.
procedure IntfAppRestore; | Called by the interface when the application is restored.
procedure IntfDropFiles(); | Called by the interface when files have been dropped.
procedure IntfSettingsChange;
procedure IntfThemeOptionChange(); | Called by the interface when a theme option has changed.
function IsRightToLeft;
function IsRTLLang(); | Checks the given language name for right-to-left reading.
function Direction(); | Checks the given language name for right-to-left reading.
procedure DoArrowKey(); | Uses arrow keys for navigation, if enabled.
procedure DoTabKey(); | Uses the Tab key for navigation, if enabled.
procedure DoEscapeKey(); | Interprets Esc as Cancel action, if applicable.
procedure DoReturnKey(); | Interprets Enter as the default action, if applicable.
property Active: Boolean; [r] | True if the application has the focus.
property ApplicationType: TApplicationType; [rw] | The type of the application (ie the sort of device for which it is intended).
property BidiMode: TBiDiMode; [rw] | The bidirectional mode to use.
property CaptureExceptions: Boolean; [rw] | Enables exception handling by Application.
property DoubleBuffered: TApplicationDoubleBuffered; [rw] platform ;
property ExtendedKeysSupport: Boolean; [rw]
property ExceptionDialog: TApplicationExceptionDlg; [rw]
property FindGlobalComponentEnabled: Boolean; [rw] | Enables searching for global components by name.
property Flags: TApplicationFlags; [rw] | Application state flags.
property Handle: THandle; [rw] platform ;
property Hint: string; [rw] | The current Hint text.
property HintColor: TColor; [rw] | The color of Hint windows.
property HintHidePause: Integer; [rw] | How long a Hint stays visible, after an mouse move.
property HintHidePausePerChar: Integer; [rw] | How much a keystroke extends the time a Hint stays visible (added to HintHidePause).
property HintPause: Integer; [rw] | The delay before a Hint is shown.
property HintShortCuts: Boolean; [rw] | Enables the display of keyboard shortcuts (e.g. on menu entries).
property HintShortPause: Integer; [rw] | The pause before a different Hint is displayed.
property Icon: TIcon; [rw] | The icon associated with this application.
property LayoutAdjustmentPolicy: TLayoutAdjustmentPolicy; [rw]
property Navigation: TApplicationNavigationOptions; [rw] | Allows to switch between controls by pressing keys.
property MainForm: TForm; [r] | The application terminates when this form is closed.
property MainFormHandle: HWND; [r] | The Handle of the MainForm
property MainFormOnTaskBar: Boolean; [rw] platform ; |
property ModalLevel: Integer; [r] | The number of modal forms shown.
property MoveFormFocusToChildren: Boolean; [rw]
property MouseControl: TControl; [r] | The control currently under the mouse.
property TaskBarBehavior: TTaskBarBehavior; [rw] | How forms are represented in the TaskBar.
property UpdateFormatSettings: Boolean; [rw] platform ;
property OnActionExecute: TActionEvent; [rw] | Default handler for unhandled Actions
property OnActionUpdate: TActionEvent; [rw] | Default handler for unhandled Action updates
property OnActivate: TNotifyEvent; [rw] | Event handler for activation of the application.
property OnDeactivate: TNotifyEvent; [rw] | Event handler for deactivation of the application.
property OnGetMainFormHandle: TGetHandleEvent; [rw] |
property OnIdle: TIdleEvent; [rw] | Event handler for application entering Idle state.
property OnIdleEnd: TNotifyEvent; [rw] | Event handler for application leaving Idle state.
property OnEndSession: TNotifyEvent; [rw] | Event handler for ending a session of the application
property OnQueryEndSession: TQueryEndSessionEvent; [rw] | This event handler can deny to end the session.
property OnMinimize: TNotifyEvent; [rw] | Event handler for application minimized.
property OnMessageDialogFinished: TModalDialogFinished; [rw]
property OnModalBegin: TNotifyEvent; [rw] | Event handler for a modal form opened (application entering modal mode).
property OnModalEnd: TNotifyEvent; [rw] | Event handler for all modal forms closed (application exiting modal mode).
property OnRestore: TNotifyEvent; [rw] | Event handler for application restored (from minimized/maximized state).
property OnDropFiles: TDropFilesEvent; [rw] | The default handler for dropped files
property OnHelp: THelpEvent; [rw] | Event handler when help is requested.
property OnHint: TNotifyEvent; [rw] | Event handler when a hint is requested.
property OnShortcut: TShortCutEvent; [rw] | This event handler can interpret keystrokes as shortcuts, before the normal target handles the key.
property OnShowHint: TShowHintEvent; [rw] | Event handler for showing an Hint.
property OnUserInput: TOnUserInputEvent; [rw] |
property OnDestroy: TNotifyEvent; [rw] |
property OnCircularException: TExceptionEvent; [rw] | Handler invoked when there is an exception circle before killing the app with Halt
property ShowButtonGlyphs: TApplicationShowGlyphs; [rw] | Allows to override the platform default for glyphs on buttons.
property ShowMenuGlyphs: TApplicationShowGlyphs; [rw] | Sets the default policy for showing or hiding glyph images in menus
property ShowHint: Boolean; [rw] | Enables Hint display
property ShowMainForm: Boolean; [rw] | Allows to show or hide the main form, on application start. Default TRUE.
property Title: string; [rw]
property Scaled: Boolean; [rw]
end;

Inheritance

TApplication

Application management and configuration for a GUI application.

|

TCustomApplication
|

TComponent,IUnknown,IInterfaceComponentReference
|

TPersistent,IFPObserved
|

TObject

Description

Provides a message loop, hooks for application event handlers, and more.

Includes the useful function MessageBox, a simple dialog intended for displaying error messages, but also usable as an alternative to the various Message Dialogs.

Other project types have a different Application class

See also

TScreen

Provides information about the display and related objects.


TApplication
 | ro | Active
 |  | ApplicationType
 |  | BidiMode
 |  | CaptureExceptions
 |  | DoubleBuffered
 |  | ExtendedKeysSupport
 |  | ExceptionDialog
 |  | FindGlobalComponentEnabled
 |  | Flags
 |  | Handle
 |  | Hint
 |  | HintColor
 |  | HintHidePause
 |  | HintHidePausePerChar
 |  | HintPause
 |  | HintShortCuts
 |  | HintShortPause
 |  | Icon
 |  | LayoutAdjustmentPolicy
 |  | Navigation
 | ro | MainForm
 | ro | MainFormHandle
 |  | MainFormOnTaskBar
 | ro | ModalLevel
 |  | MoveFormFocusToChildren
 | ro | MouseControl
 |  | TaskBarBehavior
 |  | UpdateFormatSettings
 |  | ShowButtonGlyphs
 |  | ShowMenuGlyphs
 |  | ShowHint
 |  | ShowMainForm
 |  | Title
 |  | Scaled
TCustomApplication
 | ro | ExeName
 |  | HelpFile
 | ro | Terminated
 |  | Title
 | ro | ConsoleApplication
 | ro | Location
 | ro | Params
 | ro | ParamCount
 | ro | EnvironmentVariable
 |  | OptionChar
 |  | CaseSensitiveOptions
 |  | StopOnException
 |  | ExceptionExitCode
 |  | EventLogFilter
 | ro | SingleInstance
 |  | SingleInstanceClass
 |  | SingleInstanceEnabled
TComponent
 | ro | ComObject
 | ro | Components
 | ro | ComponentCount
 |  | ComponentIndex
 | ro | ComponentState
 | ro | ComponentStyle
 |  | DesignInfo
 | ro | Owner
 |  | VCLComObject
 |  | Name
 |  | Tag
TPersistent
TObject


ro | Active (TApplication)
 | ApplicationType (TApplication)
 | BidiMode (TApplication)
 | CaptureExceptions (TApplication)
 | CaseSensitiveOptions (TCustomApplication)
ro | ComObject (TComponent)
ro | ComponentCount (TComponent)
 | ComponentIndex (TComponent)
ro | Components (TComponent)
ro | ComponentState (TComponent)
ro | ComponentStyle (TComponent)
ro | ConsoleApplication (TCustomApplication)
 | DesignInfo (TComponent)
 | DoubleBuffered (TApplication)
ro | EnvironmentVariable (TCustomApplication)
 | EventLogFilter (TCustomApplication)
 | ExceptionDialog (TApplication)
 | ExceptionExitCode (TCustomApplication)
ro | ExeName (TCustomApplication)
 | ExtendedKeysSupport (TApplication)
 | FindGlobalComponentEnabled (TApplication)
 | Flags (TApplication)
 | Handle (TApplication)
 | HelpFile (TCustomApplication)
 | Hint (TApplication)
 | HintColor (TApplication)
 | HintHidePause (TApplication)
 | HintHidePausePerChar (TApplication)
 | HintPause (TApplication)
 | HintShortCuts (TApplication)
 | HintShortPause (TApplication)
 | Icon (TApplication)
 | LayoutAdjustmentPolicy (TApplication)
ro | Location (TCustomApplication)
ro | MainForm (TApplication)
ro | MainFormHandle (TApplication)
 | MainFormOnTaskBar (TApplication)
ro | ModalLevel (TApplication)
ro | MouseControl (TApplication)
 | MoveFormFocusToChildren (TApplication)
 | Name (TComponent)
 | Navigation (TApplication)
 | OptionChar (TCustomApplication)
ro | Owner (TComponent)
ro | ParamCount (TCustomApplication)
ro | Params (TCustomApplication)
 | Scaled (TApplication)
 | ShowButtonGlyphs (TApplication)
 | ShowHint (TApplication)
 | ShowMainForm (TApplication)
 | ShowMenuGlyphs (TApplication)
ro | SingleInstance (TCustomApplication)
 | SingleInstanceClass (TCustomApplication)
 | SingleInstanceEnabled (TCustomApplication)
 | StopOnException (TCustomApplication)
 | Tag (TComponent)
 | TaskBarBehavior (TApplication)
ro | Terminated (TCustomApplication)
 | Title (TCustomApplication)
 | Title (TApplication)
 | UpdateFormatSettings (TApplication)
 | VCLComObject (TComponent)


TApplication
pt | GetConsoleApplication
pt | NotifyIdleHandler
pt | NotifyIdleEndHandler
pt | NotifyActivateHandler
pt | NotifyDeactivateHandler
pt | NotifyCustomForms
pt | IsHintMsg
pt | DoOnHelp
pt | DoOnMouseMove
pt | ShowHintWindow
pt | OnHintTimer
pt | SetTitle
pt | StartHintTimer
pt | UpdateVisible
pt | DoIdleActions
pt | MenuPopupHandler
pt | ProcessAsyncCallQueue
pt | FreeComponent
pt | ReleaseComponents
pt | DoBeforeFinalization
pt | GetParams
 | Create
 | Destroy
 | ActivateHint
 | GetControlAtMouse
 | ControlDestroyed
 | BigIconHandle
 | SmallIconHandle
 | BringToFront
 | CreateForm
 | UpdateMainForm
 | QueueAsyncCall
 | RemoveAsyncCalls
 | ReleaseComponent
 | ExecuteAction
 | UpdateAction
 | HandleException
 | HandleMessage
 | HelpCommand
 | HelpContext
 | HelpKeyword
 | ShowHelpForObject
 | RemoveStayOnTop
 | RestoreStayOnTop
 | IsWaiting
 | CancelHint
 | HideHint
 | HintMouseMessage
 | Initialize
 | MessageBox
 | Minimize
 | ModalStarted
 | ModalFinished
 | Restore
 | Notification
 | ProcessMessages
 | Idle
 | Run
 | ShowException
 | Terminate
 | DisableIdleHandler
 | EnableIdleHandler
 | NotifyUserInputHandler
 | NotifyKeyDownBeforeHandler
 | NotifyKeyDownHandler
 | ControlKeyDown
 | ControlKeyUp
 | AddOnIdleHandler
 | RemoveOnIdleHandler
 | AddOnIdleEndHandler
 | RemoveOnIdleEndHandler
 | AddOnUserInputHandler
 | RemoveOnUserInputHandler
 | AddOnKeyDownBeforeHandler
 | RemoveOnKeyDownBeforeHandler
 | AddOnKeyDownHandler
 | RemoveOnKeyDownHandler
 | AddOnActivateHandler
 | RemoveOnActivateHandler
 | AddOnDeactivateHandler
 | RemoveOnDeactivateHandler
 | AddOnExceptionHandler
 | RemoveOnExceptionHandler
 | AddOnEndSessionHandler
 | RemoveOnEndSessionHandler
 | AddOnQueryEndSessionHandler
 | RemoveOnQueryEndSessionHandler
 | AddOnMinimizeHandler
 | RemoveOnMinimizeHandler
 | AddOnModalBeginHandler
 | RemoveOnModalBeginHandler
 | AddOnModalEndHandler
 | RemoveOnModalEndHandler
 | AddOnRestoreHandler
 | RemoveOnRestoreHandler
 | AddOnDropFilesHandler
 | RemoveOnDropFilesHandler
 | AddOnHelpHandler
 | RemoveOnHelpHandler
 | AddOnHintHandler
 | RemoveOnHintHandler
 | AddOnShowHintHandler
 | RemoveOnShowHintHandler
 | AddOnGetMainFormHandleHandler
 | RemoveOnGetMainFormHandleHandler
 | RemoveAllHandlersOfObject
 | DoBeforeMouseMessage
 | IsShortcut
 | IntfQueryEndSession
 | IntfEndSession
 | IntfAppActivate
 | IntfAppDeactivate
 | IntfAppMinimize
 | IntfAppRestore
 | IntfDropFiles
 | IntfSettingsChange
 | IntfThemeOptionChange
 | IsRightToLeft
 | IsRTLLang
 | Direction
 | DoArrowKey
 | DoTabKey
 | DoEscapeKey
 | DoReturnKey
TCustomApplication
 | GetEnvironmentVar
 | GetExeName
 | GetLocation
 | GetSingleInstance
 | SetSingleInstanceClass
 | GetTitle
 | GetOptionAtIndex
 | SetTitle
 | GetConsoleApplication
 | DoRun
 | GetParams
 | GetParamCount
 | DoLog
 | Create
 | Destroy
 | HandleException
 | Initialize
 | Run
 | ShowException
 | Terminate
 | FindOptionIndex
 | GetOptionValue
 | GetOptionValues
 | HasOption
 | CheckOptions
 | GetNonOptions
 | GetEnvironmentList
 | Log
TComponent
 | GetComObject
 | GetComponent
 | GetComponentCount
 | GetComponentIndex
 | Insert
 | ReadLeft
 | ReadTop
 | Remove
 | RemoveNotification
 | SetComponentIndex
 | SetReference
 | WriteLeft
 | WriteTop
 | ChangeName
 | DefineProperties
 | GetChildren
 | GetChildOwner
 | GetChildParent
 | GetOwner
 | Loaded
 | Loading
 | Notification
 | PaletteCreated
 | ReadState
 | SetAncestor
 | SetDesigning
 | SetDesignInstance
 | SetInline
 | SetName
 | SetChildOrder
 | SetParentComponent
 | Updating
 | Updated
 | UpdateRegistry
 | ValidateRename
 | ValidateContainer
 | ValidateInsert
 | QueryInterface
 | _AddRef
 | _Release
 | iicrGetComponent
 | GetTypeInfoCount
 | GetTypeInfo
 | GetIDsOfNames
 | Invoke
 | WriteState
 | Create
 | Destroy
 | BeforeDestruction
 | DestroyComponents
 | Destroying
 | ExecuteAction
 | FindComponent
 | FreeNotification
 | RemoveFreeNotification
 | FreeOnRelease
 | GetEnumerator
 | GetNamePath
 | GetParentComponent
 | HasParent
 | InsertComponent
 | RemoveComponent
 | SafeCallException
 | SetSubComponent
 | UpdateAction
 | IsImplementorOf
 | ReferenceInterface
TPersistent
 | AssignError
 | AssignTo
 | DefineProperties
 | GetOwner
 | Destroy
 | Assign
 | FPOAttachObserver
 | FPODetachObserver
 | FPONotifyObservers
 | GetNamePath
TObject
 | Create
 | Destroy
 | newinstance
 | FreeInstance
 | SafeCallException
 | DefaultHandler
 | Free
 | InitInstance
 | CleanupInstance
 | ClassType
 | ClassInfo
 | ClassName
 | ClassNameIs
 | ClassParent
 | InstanceSize
 | InheritsFrom
 | StringMessageTable
 | MethodAddress
 | MethodName
 | FieldAddress
 | AfterConstruction
 | BeforeDestruction
 | DefaultHandlerStr
 | Dispatch
 | DispatchStr
 | GetInterface
 | GetInterfaceByStr
 | GetInterfaceWeak
 | GetInterfaceEntry
 | GetInterfaceEntryByStr
 | GetInterfaceTable
 | UnitName
 | Equals
 | GetHashCode
 | ToString


 | ActivateHint (TApplication)
 | AddOnActivateHandler (TApplication)
 | AddOnDeactivateHandler (TApplication)
 | AddOnDropFilesHandler (TApplication)
 | AddOnEndSessionHandler (TApplication)
 | AddOnExceptionHandler (TApplication)
 | AddOnGetMainFormHandleHandler (TApplication)
 | AddOnHelpHandler (TApplication)
 | AddOnHintHandler (TApplication)
 | AddOnIdleEndHandler (TApplication)
 | AddOnIdleHandler (TApplication)
 | AddOnKeyDownBeforeHandler (TApplication)
 | AddOnKeyDownHandler (TApplication)
 | AddOnMinimizeHandler (TApplication)
 | AddOnModalBeginHandler (TApplication)
 | AddOnModalEndHandler (TApplication)
 | AddOnQueryEndSessionHandler (TApplication)
 | AddOnRestoreHandler (TApplication)
 | AddOnShowHintHandler (TApplication)
 | AddOnUserInputHandler (TApplication)
 | AfterConstruction (TObject)
 | Assign (TPersistent)
 | AssignError (TPersistent)
 | AssignTo (TPersistent)
 | BeforeDestruction (TObject)
 | BeforeDestruction (TComponent)
 | BigIconHandle (TApplication)
 | BringToFront (TApplication)
 | CancelHint (TApplication)
 | ChangeName (TComponent)
 | CheckOptions (TCustomApplication)
 | ClassInfo (TObject)
 | ClassName (TObject)
 | ClassNameIs (TObject)
 | ClassParent (TObject)
 | ClassType (TObject)
 | CleanupInstance (TObject)
 | ControlDestroyed (TApplication)
 | ControlKeyDown (TApplication)
 | ControlKeyUp (TApplication)
 | Create (TObject)
 | Create (TComponent)
 | Create (TCustomApplication)
 | Create (TApplication)
 | CreateForm (TApplication)
 | DefaultHandler (TObject)
 | DefaultHandlerStr (TObject)
 | DefineProperties (TPersistent)
 | DefineProperties (TComponent)
 | Destroy (TObject)
 | Destroy (TPersistent)
 | Destroy (TComponent)
 | Destroy (TCustomApplication)
 | Destroy (TApplication)
 | DestroyComponents (TComponent)
 | Destroying (TComponent)
 | Direction (TApplication)
 | DisableIdleHandler (TApplication)
 | Dispatch (TObject)
 | DispatchStr (TObject)
 | DoArrowKey (TApplication)
pt | DoBeforeFinalization (TApplication)
 | DoBeforeMouseMessage (TApplication)
 | DoEscapeKey (TApplication)
pt | DoIdleActions (TApplication)
 | DoLog (TCustomApplication)
pt | DoOnHelp (TApplication)
pt | DoOnMouseMove (TApplication)
 | DoReturnKey (TApplication)
 | DoRun (TCustomApplication)
 | DoTabKey (TApplication)
 | EnableIdleHandler (TApplication)
 | Equals (TObject)
 | ExecuteAction (TComponent)
 | ExecuteAction (TApplication)
 | FieldAddress (TObject)
 | FindComponent (TComponent)
 | FindOptionIndex (TCustomApplication)
 | FPOAttachObserver (TPersistent)
 | FPODetachObserver (TPersistent)
 | FPONotifyObservers (TPersistent)
 | Free (TObject)
pt | FreeComponent (TApplication)
 | FreeInstance (TObject)
 | FreeNotification (TComponent)
 | FreeOnRelease (TComponent)
 | GetChildOwner (TComponent)
 | GetChildParent (TComponent)
 | GetChildren (TComponent)
 | GetComObject (TComponent)
 | GetComponent (TComponent)
 | GetComponentCount (TComponent)
 | GetComponentIndex (TComponent)
 | GetConsoleApplication (TCustomApplication)
pt | GetConsoleApplication (TApplication)
 | GetControlAtMouse (TApplication)
 | GetEnumerator (TComponent)
 | GetEnvironmentList (TCustomApplication)
 | GetEnvironmentVar (TCustomApplication)
 | GetExeName (TCustomApplication)
 | GetHashCode (TObject)
 | GetIDsOfNames (TComponent)
 | GetInterface (TObject)
 | GetInterfaceByStr (TObject)
 | GetInterfaceEntry (TObject)
 | GetInterfaceEntryByStr (TObject)
 | GetInterfaceTable (TObject)
 | GetInterfaceWeak (TObject)
 | GetLocation (TCustomApplication)
 | GetNamePath (TPersistent)
 | GetNamePath (TComponent)
 | GetNonOptions (TCustomApplication)
 | GetOptionAtIndex (TCustomApplication)
 | GetOptionValue (TCustomApplication)
 | GetOptionValues (TCustomApplication)
 | GetOwner (TPersistent)
 | GetOwner (TComponent)
 | GetParamCount (TCustomApplication)
 | GetParams (TCustomApplication)
pt | GetParams (TApplication)
 | GetParentComponent (TComponent)
 | GetSingleInstance (TCustomApplication)
 | GetTitle (TCustomApplication)
 | GetTypeInfo (TComponent)
 | GetTypeInfoCount (TComponent)
 | HandleException (TCustomApplication)
 | HandleException (TApplication)
 | HandleMessage (TApplication)
 | HasOption (TCustomApplication)
 | HasParent (TComponent)
 | HelpCommand (TApplication)
 | HelpContext (TApplication)
 | HelpKeyword (TApplication)
 | HideHint (TApplication)
 | HintMouseMessage (TApplication)
 | Idle (TApplication)
 | iicrGetComponent (TComponent)
 | InheritsFrom (TObject)
 | Initialize (TCustomApplication)
 | Initialize (TApplication)
 | InitInstance (TObject)
 | Insert (TComponent)
 | InsertComponent (TComponent)
 | InstanceSize (TObject)
 | IntfAppActivate (TApplication)
 | IntfAppDeactivate (TApplication)
 | IntfAppMinimize (TApplication)
 | IntfAppRestore (TApplication)
 | IntfDropFiles (TApplication)
 | IntfEndSession (TApplication)
 | IntfQueryEndSession (TApplication)
 | IntfSettingsChange (TApplication)
 | IntfThemeOptionChange (TApplication)
 | Invoke (TComponent)
pt | IsHintMsg (TApplication)
 | IsImplementorOf (TComponent)
 | IsRightToLeft (TApplication)
 | IsRTLLang (TApplication)
 | IsShortcut (TApplication)
 | IsWaiting (TApplication)
 | Loaded (TComponent)
 | Loading (TComponent)
 | Log (TCustomApplication)
pt | MenuPopupHandler (TApplication)
 | MessageBox (TApplication)
 | MethodAddress (TObject)
 | MethodName (TObject)
 | Minimize (TApplication)
 | ModalFinished (TApplication)
 | ModalStarted (TApplication)
 | newinstance (TObject)
 | Notification (TComponent)
 | Notification (TApplication)
pt | NotifyActivateHandler (TApplication)
pt | NotifyCustomForms (TApplication)
pt | NotifyDeactivateHandler (TApplication)
pt | NotifyIdleEndHandler (TApplication)
pt | NotifyIdleHandler (TApplication)
 | NotifyKeyDownBeforeHandler (TApplication)
 | NotifyKeyDownHandler (TApplication)
 | NotifyUserInputHandler (TApplication)
pt | OnHintTimer (TApplication)
 | PaletteCreated (TComponent)
pt | ProcessAsyncCallQueue (TApplication)
 | ProcessMessages (TApplication)
 | QueryInterface (TComponent)
 | QueueAsyncCall (TApplication)
 | ReadLeft (TComponent)
 | ReadState (TComponent)
 | ReadTop (TComponent)
 | ReferenceInterface (TComponent)
 | ReleaseComponent (TApplication)
pt | ReleaseComponents (TApplication)
 | Remove (TComponent)
 | RemoveAllHandlersOfObject (TApplication)
 | RemoveAsyncCalls (TApplication)
 | RemoveComponent (TComponent)
 | RemoveFreeNotification (TComponent)
 | RemoveNotification (TComponent)
 | RemoveOnActivateHandler (TApplication)
 | RemoveOnDeactivateHandler (TApplication)
 | RemoveOnDropFilesHandler (TApplication)
 | RemoveOnEndSessionHandler (TApplication)
 | RemoveOnExceptionHandler (TApplication)
 | RemoveOnGetMainFormHandleHandler (TApplication)
 | RemoveOnHelpHandler (TApplication)
 | RemoveOnHintHandler (TApplication)
 | RemoveOnIdleEndHandler (TApplication)
 | RemoveOnIdleHandler (TApplication)
 | RemoveOnKeyDownBeforeHandler (TApplication)
 | RemoveOnKeyDownHandler (TApplication)
 | RemoveOnMinimizeHandler (TApplication)
 | RemoveOnModalBeginHandler (TApplication)
 | RemoveOnModalEndHandler (TApplication)
 | RemoveOnQueryEndSessionHandler (TApplication)
 | RemoveOnRestoreHandler (TApplication)
 | RemoveOnShowHintHandler (TApplication)
 | RemoveOnUserInputHandler (TApplication)
 | RemoveStayOnTop (TApplication)
 | Restore (TApplication)
 | RestoreStayOnTop (TApplication)
 | Run (TCustomApplication)
 | Run (TApplication)
 | SafeCallException (TObject)
 | SafeCallException (TComponent)
 | SetAncestor (TComponent)
 | SetChildOrder (TComponent)
 | SetComponentIndex (TComponent)
 | SetDesigning (TComponent)
 | SetDesignInstance (TComponent)
 | SetInline (TComponent)
 | SetName (TComponent)
 | SetParentComponent (TComponent)
 | SetReference (TComponent)
 | SetSingleInstanceClass (TCustomApplication)
 | SetSubComponent (TComponent)
 | SetTitle (TCustomApplication)
pt | SetTitle (TApplication)
 | ShowException (TCustomApplication)
 | ShowException (TApplication)
 | ShowHelpForObject (TApplication)
pt | ShowHintWindow (TApplication)
 | SmallIconHandle (TApplication)
pt | StartHintTimer (TApplication)
 | StringMessageTable (TObject)
 | Terminate (TCustomApplication)
 | Terminate (TApplication)
 | ToString (TObject)
 | UnitName (TObject)
 | UpdateAction (TComponent)
 | UpdateAction (TApplication)
 | Updated (TComponent)
 | UpdateMainForm (TApplication)
 | UpdateRegistry (TComponent)
pt | UpdateVisible (TApplication)
 | Updating (TComponent)
 | ValidateContainer (TComponent)
 | ValidateInsert (TComponent)
 | ValidateRename (TComponent)
 | WriteLeft (TComponent)
 | WriteState (TComponent)
 | WriteTop (TComponent)
 | _AddRef (TComponent)
 | _Release (TComponent)


TApplication
 | OnActionExecute
 | OnActionUpdate
 | OnActivate
 | OnDeactivate
 | OnGetMainFormHandle
 | OnIdle
 | OnIdleEnd
 | OnEndSession
 | OnQueryEndSession
 | OnMinimize
 | OnMessageDialogFinished
 | OnModalBegin
 | OnModalEnd
 | OnRestore
 | OnDropFiles
 | OnHelp
 | OnHint
 | OnShortcut
 | OnShowHint
 | OnUserInput
 | OnDestroy
 | OnCircularException
TCustomApplication
 | OnException
TComponent
TPersistent
TObject


OnActionExecute (TApplication)

OnActionUpdate (TApplication)

OnActivate (TApplication)

OnCircularException (TApplication)

OnDeactivate (TApplication)

OnDestroy (TApplication)

OnDropFiles (TApplication)

OnEndSession (TApplication)

OnException (TCustomApplication)

OnGetMainFormHandle (TApplication)

OnHelp (TApplication)

OnHint (TApplication)

OnIdle (TApplication)

OnIdleEnd (TApplication)

OnMessageDialogFinished (TApplication)

OnMinimize (TApplication)

OnModalBegin (TApplication)

OnModalEnd (TApplication)

OnQueryEndSession (TApplication)

OnRestore (TApplication)

OnShortcut (TApplication)

OnShowHint (TApplication)

OnUserInput (TApplication)


TApplication.ActivateHint

Declaration

Source position: forms.pp line 1474

public procedure TApplication.ActivateHint(

  CursorPos: TPoint;

  CheckHintControlChange: Boolean = False

);


TApplication.Active

True if the application has the focus.

Declaration

Source position: forms.pp line 1584

public property TApplication.Active : Boolean
  read GetActive;


TApplication.AddOnActivateHandler

Adds an application activation handler.

Declaration

Source position: forms.pp line 1532

public procedure TApplication.AddOnActivateHandler(

  Handler: TNotifyEvent;

  AsFirst: Boolean = True

);

See also

TApplicationHandlerType.ahtActivate

Handler invoked on application activated


TApplication.AddOnDeactivateHandler

Adds an application deactivation handler.

Declaration

Source position: forms.pp line 1534

public procedure TApplication.AddOnDeactivateHandler(

  Handler: TNotifyEvent;

  AsFirst: Boolean = True

);

See also

TApplicationHandlerType.ahtDeactivate

Handler invoked on application deactivated


TApplication.AddOnDropFilesHandler

Adds an application dropped files handler.

Declaration

Source position: forms.pp line 1550

public procedure TApplication.AddOnDropFilesHandler(

  Handler: TDropFilesEvent;

  AsFirst: Boolean = True

);

See also

TApplicationHandlerType.ahtDropFiles

Handler invoked on files dropped


TApplication.AddOnEndSessionHandler

Adds an application logoff handler.

Declaration

Source position: forms.pp line 1538

public procedure TApplication.AddOnEndSessionHandler(

  Handler: TNotifyEvent;

  AsFirst: Boolean = True

);

See also

TApplicationHandlerType.ahtEndSession

Handler invoked on session end


TApplication.AddOnExceptionHandler

Adds an application exception handler.

Declaration

Source position: forms.pp line 1536

public procedure TApplication.AddOnExceptionHandler(

  Handler: TExceptionEvent;

  AsFirst: Boolean = True

);

See also

TApplicationHandlerType.ahtException

Handler invoked on handled exception.


TApplication.AddOnGetMainFormHandleHandler

Adds an application MainForm Handle handler.

Declaration

Source position: forms.pp line 1558

public procedure TApplication.AddOnGetMainFormHandleHandler(

  Handler: TGetHandleEvent;

  AsFirst: Boolean = True

);

See also

TApplicationHandlerType.ahtGetMainFormHandle

Handler providing the Handle of the main form


TApplication.AddOnHelpHandler

Adds an application Help handler.

Declaration

Source position: forms.pp line 1552

public procedure TApplication.AddOnHelpHandler(

  Handler: THelpEvent;

  AsFirst: Boolean = True

);

See also

TApplicationHandlerType.ahtHelp

Handler invoked on F1 key (help request)


TApplication.AddOnHintHandler

Adds an application Hint handler.

Declaration

Source position: forms.pp line 1554

public procedure TApplication.AddOnHintHandler(

  Handler: TNotifyEvent;

  AsFirst: Boolean = True

);

See also

TApplicationHandlerType.ahtHint

Handler invoked on Hint request


TApplication.AddOnIdleEndHandler

Adds an application IdleEnd handler.

Declaration

Source position: forms.pp line 1522

public procedure TApplication.AddOnIdleEndHandler(

  Handler: TNotifyEvent;

  AsFirst: Boolean = True

);

See also

TApplicationHandlerType.ahtIdleEnd

Application becoming busy


TApplication.AddOnIdleHandler

Adds an application Idle handler.

Declaration

Source position: forms.pp line 1520

public procedure TApplication.AddOnIdleHandler(

  Handler: TIdleEvent;

  AsFirst: Boolean = True

);

See also

TApplicationHandlerType.ahtIdle

Application becoming idle


TApplication.AddOnKeyDownBeforeHandler

Adds an application key down before interface handler.

Declaration

Source position: forms.pp line 1527

public procedure TApplication.AddOnKeyDownBeforeHandler(

  Handler: TKeyEvent;

  AsFirst: Boolean = True

);

See also

TApplicationHandlerType.ahtKeyDownBefore

Handler for KeyDown events, invoked before interface and LCL handlers


TApplication.AddOnKeyDownHandler

Adds an application key down after interface handler.

Declaration

Source position: forms.pp line 1530

public procedure TApplication.AddOnKeyDownHandler(

  Handler: TKeyEvent;

  AsFirst: Boolean = True

);

See also

TApplicationHandlerType.ahtKeyDownAfter

Default handler for KeyDown events, invoked after interface and LCL handlers


TApplication.AddOnMinimizeHandler

Adds an application minimizing handler.

Declaration

Source position: forms.pp line 1542

public procedure TApplication.AddOnMinimizeHandler(

  Handler: TNotifyEvent;

  AsFirst: Boolean = True

);

See also

TApplicationHandlerType.ahtMinimize

Handler invoked when the application is minimized.


TApplication.AddOnModalBeginHandler

Adds an application becoming modal handler.

Declaration

Source position: forms.pp line 1544

public procedure TApplication.AddOnModalBeginHandler(

  Handler: TNotifyEvent;

  AsFirst: Boolean = True

);

See also

TApplicationHandlerType.ahtModalBegin

Handler invoked when a form is shown modally.


TApplication.AddOnModalEndHandler

Adds an application exiting modal state handler.

Declaration

Source position: forms.pp line 1546

public procedure TApplication.AddOnModalEndHandler(

  Handler: TNotifyEvent;

  AsFirst: Boolean = True

);

See also

TApplicationHandlerType.ahtModalEnd

Handler invoked when the last modal form is closed.


TApplication.AddOnQueryEndSessionHandler

Adds an application logoff query handler.

Declaration

Source position: forms.pp line 1540

public procedure TApplication.AddOnQueryEndSessionHandler(

  Handler: TQueryEndSessionEvent;

  AsFirst: Boolean = True

);

See also

TApplicationHandlerType.ahtQueryEndSession

Handler invoked before session ends


TApplication.AddOnRestoreHandler

Adds an application exiting minimized state handler.

Declaration

Source position: forms.pp line 1548

public procedure TApplication.AddOnRestoreHandler(

  Handler: TNotifyEvent;

  AsFirst: Boolean = True

);

See also

TApplicationHandlerType.ahtRestore

Handler invoked on application restored (from minimized state).


TApplication.AddOnShowHintHandler

Adds an application Hint show handler.

Declaration

Source position: forms.pp line 1556

public procedure TApplication.AddOnShowHintHandler(

  Handler: TShowHintEvent;

  AsFirst: Boolean = True

);

See also

TApplicationHandlerType.ahtShowHint

Handler invoked on Hint becoming visible


TApplication.AddOnUserInputHandler

Adds an application user input handler.

Declaration

Source position: forms.pp line 1524

public procedure TApplication.AddOnUserInputHandler(

  Handler: TOnUserInputEvent;

  AsFirst: Boolean = True

);

See also

TApplicationHandlerType.ahtUserInput

Handler invoked on user input


TApplication.ApplicationType

The type of the application (ie the sort of device for which it is intended).

Declaration

Source position: forms.pp line 1585

public property TApplication.ApplicationType : TApplicationType
  read FApplicationType
  write FApplicationType;

Description

The type of the application:

Default, Desktop, Handheld, PDA, Smartphone


TApplication.BidiMode

The bidirectional mode to use.

Declaration

Source position: forms.pp line 1586

public property TApplication.BidiMode : TBiDiMode
  read FBidiMode
  write SetBidiMode;


TApplication.BigIconHandle

The Handle of the large application Icon.

Declaration

Source position: forms.pp line 1477

public function TApplication.BigIconHandle: HICON;

See also

TApplication.Icon

The icon associated with this application.


TApplication.BringToFront

Asks the widgetset to bring the application's form(s) to the front

Declaration

Source position: forms.pp line 1479

public procedure TApplication.BringToFront;


TApplication.CancelHint

Called when the Hint time has expired, to stop showing the Hint.

Declaration

Source position: forms.pp line 1496

public procedure TApplication.CancelHint;


TApplication.CaptureExceptions

Enables exception handling by Application.

Declaration

Source position: forms.pp line 1587

public property TApplication.CaptureExceptions : Boolean
  read FCaptureExceptions
  write SetCaptureExceptions;


TApplication.ControlDestroyed

Clears all references to the destroyed control.

Declaration

Source position: forms.pp line 1476

public procedure TApplication.ControlDestroyed(

  AControl: TControl

);


TApplication.ControlKeyDown

Handles KeyDown events in a Control, e.g. handles navigation keys.

Declaration

Source position: forms.pp line 1518

public procedure TApplication.ControlKeyDown(

  Sender: TObject;

  var Key: Word;

  Shift: TShiftState

);


TApplication.ControlKeyUp

Handles KeyUp events in a Control, e.g. handles Enter and Esc keys.

Declaration

Source position: forms.pp line 1519

public procedure TApplication.ControlKeyUp(

  Sender: TObject;

  var Key: Word;

  Shift: TShiftState

);


TApplication.CreateForm

Creates a Form or component, owned by Application.

Declaration

Source position: forms.pp line 1480

public procedure TApplication.CreateForm(

  InstanceClass: TComponentClass;

  out Reference

);

Arguments

InstanceClass | The component class.
Reference | The variable receiving the new component reference.

Description

Note: The name is confusing and only kept for Delphi compatibility. It can actually create any kind of component.

Creates a Component instance of the given class, sets the pointer to the component variable.

If it is a form it will be added to the application's forms list.

A splash form is shown immediately.


TApplication.Destroy

Declaration

Source position: forms.pp line 1473

public destructor TApplication.Destroy; override;


TApplication.Direction

Checks the given language name for right-to-left reading.

Declaration

Source position: forms.pp line 1575

public function TApplication.Direction(

  ALang: string

):TBiDiMode;


TApplication.DisableIdleHandler

Blocks Idle handling. Can be called moreoften, every call must be followed by EnableIdleHandler.

Declaration

Source position: forms.pp line 1511

public procedure TApplication.DisableIdleHandler;

See also

TApplication.EnableIdleHandler

Resume Idle handling.


TApplication.DoArrowKey

Uses arrow keys for navigation, if enabled.

Declaration

Source position: forms.pp line 1578

public procedure TApplication.DoArrowKey(

  AControl: TWinControl;

  var Key: Word;

  Shift: TShiftState

);

Arguments

AControl | The control receiving the key.
Key | The virtual key; becomes VK_UNKNOWN when handled.
Shift | The active modifier keys.


TApplication.DoBeforeFinalization

Destroys all components.

Declaration

Source position: forms.pp line 1469

protected procedure TApplication.DoBeforeFinalization;


TApplication.DoBeforeMouseMessage

Things to be done before a mouse message is processed.

Declaration

Source position: forms.pp line 1561

public procedure TApplication.DoBeforeMouseMessage(

  CurMouseControl: TControl

);


TApplication.DoEscapeKey

Interprets Esc as Cancel action, if applicable.

Declaration

Source position: forms.pp line 1581

public procedure TApplication.DoEscapeKey(

  AControl: TWinControl;

  var Key: Word;

  Shift: TShiftState

);

Arguments

AControl | The control receiving the key.
Key | The virtual key; becomes VK_UNKNOWN when handled.
Shift | The active modifier keys.


TApplication.DoIdleActions

Updates all Actions, hides splash screens.

Declaration

Source position: forms.pp line 1464

protected procedure TApplication.DoIdleActions;


TApplication.DoOnHelp

OnHelp message handler. Tries OnHelp handlers of the active form, Application OnHelp and application Help handlers.

Declaration

Source position: forms.pp line 1457

protected function TApplication.DoOnHelp(

  Command: Word;

  Data: PtrInt;

  var CallHelp: Boolean

):Boolean; virtual;

Function result

True when the message was handled.

See also

TApplication.OnHelp | Event handler when help is requested.
TApplicationHandlerType.ahtHelp | Handler invoked on F1 key (help request)


TApplication.DoOnMouseMove

OnMouseMove message handler, updates the Hint.

Declaration

Source position: forms.pp line 1458

protected procedure TApplication.DoOnMouseMove; virtual;


TApplication.DoReturnKey

Interprets Enter as the default action, if applicable.

Declaration

Source position: forms.pp line 1582

public procedure TApplication.DoReturnKey(

  AControl: TWinControl;

  var Key: Word;

  Shift: TShiftState

);

Arguments

AControl | The control receiving the key.
Key | The virtual key; becomes VK_UNKNOWN when handled.
Shift | The active modifier keys.


TApplication.DoTabKey

Uses the Tab key for navigation, if enabled.

Declaration

Source position: forms.pp line 1579

public procedure TApplication.DoTabKey(

  AControl: TWinControl;

  var Key: Word;

  Shift: TShiftState

);

Arguments

AControl | The control receiving the key.
Key | The virtual key; becomes VK_UNKNOWN when handled.


TApplication.DoubleBuffered

[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] Reference for unit 'Forms' (#lcl)

TApplication.DoubleBuffered (platform)

Declaration

Source position: forms.pp line 1589

public property TApplication.DoubleBuffered : TApplicationDoubleBuffered
  read FDoubleBuffered
  write FDoubleBuffered
  default adbDefault;


TApplication.EnableIdleHandler

Resume Idle handling.

Declaration

Source position: forms.pp line 1512

public procedure TApplication.EnableIdleHandler;

Errors

GDB exception when not previously disabled.

See also

TApplication.DisableIdleHandler

Blocks Idle handling. Can be called moreoften, every call must be followed by EnableIdleHandler.


TApplication.ExceptionDialog

Declaration

Source position: forms.pp line 1591

public property TApplication.ExceptionDialog : TApplicationExceptionDlg
  read FExceptionDialog
  write FExceptionDialog;


TApplication.ExecuteAction

Invokes the OnActionExecute handler.

Declaration

Source position: forms.pp line 1485

public function TApplication.ExecuteAction(

  ExeAction: TBasicAction

):Boolean; override;

Arguments

ExeAction

The Action to execute.

Function result

True when the Action was handled.

See also

TComponent.ExecuteAction


TApplication.ExtendedKeysSupport

Declaration

Source position: forms.pp line 1590

public property TApplication.ExtendedKeysSupport : Boolean
  read FExtendedKeysSupport
  write FExtendedKeysSupport;


TApplication.FindGlobalComponentEnabled

Enables searching for global components by name.

Declaration

Source position: forms.pp line 1592

public property TApplication.FindGlobalComponentEnabled : Boolean
  read FFindGlobalComponentEnabled
  write FFindGlobalComponentEnabled;


TApplication.Flags

Application state flags.

Declaration

Source position: forms.pp line 1594

public property TApplication.Flags : TApplicationFlags
  read FFlags
  write SetFlags;


TApplication.GetConsoleApplication

Here: returns False, because this is a GUI application.

Declaration

Source position: forms.pp line 1450

protected function TApplication.GetConsoleApplication: Boolean; override;

Function result

False for a GUI application.


TApplication.GetControlAtMouse

Finds the control under the mouse.

Declaration

Source position: forms.pp line 1475

public function TApplication.GetControlAtMouse: TControl;

Function result

The control, Nil if no control found.

Description

Updates the LastMouse... info.


TApplication.GetParams

Returns the indexed commandline argument.

Declaration

Source position: forms.pp line 1470

protected function TApplication.GetParams(

  Index: Integer

):string; override;


TApplication.Handle

[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] Reference for unit 'Forms' (#lcl)

TApplication.Handle (platform)

Declaration

Source position: forms.pp line 1596

public property TApplication.Handle : THandle
  read GetHandle
  write SetHandle;


TApplication.HandleException

HandleException method for handling an exception; attempts to maintain program execution if possible, otherwise exits gracefully

Declaration

Source position: forms.pp line 1487

public procedure TApplication.HandleException(

  Sender: TObject

); override;

Description

Individual exception handler methods should be supplied by the application programmer, to override place-holder entries declared in ancestor classes.
This method checks whether the application is required to halt if an exception occurs, or invokes the appropriate handler.
It also writes details of the exception to the appropriate place for debugging.

See also

TCustomApplication.HandleException


TApplication.HandleMessage

Handles all messages, then enters Idle state.

Declaration

Source position: forms.pp line 1488

public procedure TApplication.HandleMessage;


TApplication.HelpCommand

Show help

Declaration

Source position: forms.pp line 1489

public function TApplication.HelpCommand(

  Command: Word;

  Data: PtrInt

):Boolean;

Description

Currently relies on OnHelp handlers, CallHelp is not implemented.


TApplication.HelpContext

Show context sensitive help.

Declaration

Source position: forms.pp line 1490

public function TApplication.HelpContext(

  Context: THelpContext

):Boolean;

Function result

Request handled


TApplication.HelpKeyword

Show help for a keyword.

Declaration

Source position: forms.pp line 1491

public function TApplication.HelpKeyword(

  const Keyword: string

):Boolean;


TApplication.HideHint

Hides the Hint window.

Declaration

Source position: forms.pp line 1497

public procedure TApplication.HideHint;


TApplication.Hint

The current Hint text.

Declaration

Source position: forms.pp line 1597

public property TApplication.Hint : string
  read FHint
  write SetHint;

Description

A hint is a small pop-up mesage that appears briefly while the mouse hovers over a control.

It usually displays useful information about how to use an object or what data should be entered, etc

Several properties allow to customize the delay before a Hint is shown, after an mouse move, and how long it will stay visible.

See also

TApplication.HintPause | The delay before a Hint is shown.
TApplication.HintHidePause | How long a Hint stays visible, after an mouse move.
TApplication.HintHidePausePerChar | How much a keystroke extends the time a Hint stays visible (added to HintHidePause).


TApplication.HintColor

The color of Hint windows.

Declaration

Source position: forms.pp line 1598

public property TApplication.HintColor : TColor
  read FHintColor
  write SetHintColor;

See also

TApplication.Hint

The current Hint text.


TApplication.HintHidePause

How long a Hint stays visible, after an mouse move.

Declaration

Source position: forms.pp line 1599

public property TApplication.HintHidePause : Integer
  read FHintHidePause
  write FHintHidePause;

See also

TApplication.Hint

The current Hint text.


TApplication.HintHidePausePerChar

How much a keystroke extends the time a Hint stays visible (added to HintHidePause).

Declaration

Source position: forms.pp line 1600

public property TApplication.HintHidePausePerChar : Integer
  read FHintHidePausePerChar
  write FHintHidePausePerChar;

See also

TApplication.HintHidePause | How long a Hint stays visible, after an mouse move.
TApplication.Hint | The current Hint text.


TApplication.HintMouseMessage

Called when the the mouse is over a control with a Hint

Declaration

Source position: forms.pp line 1498

public procedure TApplication.HintMouseMessage(

  Control: TControl;

  var AMessage: TLMessage

);

Description

Does nothing


TApplication.HintPause

The delay before a Hint is shown.

Declaration

Source position: forms.pp line 1601

public property TApplication.HintPause : Integer
  read FHintPause
  write FHintPause;

See also

TApplication.Hint

The current Hint text.


TApplication.HintShortCuts

Enables the display of keyboard shortcuts (e.g. on menu entries).

Declaration

Source position: forms.pp line 1602

public property TApplication.HintShortCuts : Boolean
  read FHintShortCuts
  write FHintShortCuts;

See also

TApplication.Hint

The current Hint text.


TApplication.HintShortPause

The pause before a different Hint is displayed.

Declaration

Source position: forms.pp line 1603

public property TApplication.HintShortPause : Integer
  read FHintShortPause
  write FHintShortPause;

See also

TApplication.Hint

The current Hint text.


TApplication.Icon

The icon associated with this application.

Declaration

Source position: forms.pp line 1604

public property TApplication.Icon : TIcon
  read FIcon
  write SetIcon;


TApplication.Idle

Invoked when the application enters the idle state.

Declaration

Source position: forms.pp line 1507

public procedure TApplication.Idle(

  Wait: Boolean

);

Arguments

Wait

Wait for next message?


TApplication.Initialize

Initializes the widgetset (and more).

Declaration

Source position: forms.pp line 1499

public procedure TApplication.Initialize; override;

See also

TCustomApplication.Initialize


TApplication.IntfAppActivate

Called by the interface on application activation

Declaration

Source position: forms.pp line 1565

public procedure TApplication.IntfAppActivate(

  const Async: Boolean = False

);

Description

Notifies all activation handlers.

See also

TApplication.OnActivate | Event handler for activation of the application.
TApplicationHandlerType.ahtActivate | Handler invoked on application activated


TApplication.IntfAppDeactivate

Called by the interface on application deactivation

Declaration

Source position: forms.pp line 1566

public procedure TApplication.IntfAppDeactivate(

  const Async: Boolean = False

);

See also

TApplication.OnDeactivate | Event handler for deactivation of the application.
TApplicationHandlerType.ahtDeactivate | Handler invoked on application deactivated


TApplication.IntfAppMinimize

Called by the interface when the application is minimized.

Declaration

Source position: forms.pp line 1567

public procedure TApplication.IntfAppMinimize;

See also

TApplication.OnMinimize | Event handler for application minimized.
TApplicationHandlerType.ahtMinimize | Handler invoked when the application is minimized.


TApplication.IntfAppRestore

Called by the interface when the application is restored.

Declaration

Source position: forms.pp line 1568

public procedure TApplication.IntfAppRestore;

See also

TApplication.OnRestore | Event handler for application restored (from minimized/maximized state).
TApplicationHandlerType.ahtRestore | Handler invoked on application restored (from minimized state).


TApplication.IntfDropFiles

Called by the interface when files have been dropped.

Declaration

Source position: forms.pp line 1569

public procedure TApplication.IntfDropFiles(

  const FileNames: array of string

);

See also

TApplication.OnDropFiles | The default handler for dropped files
TApplicationHandlerType.ahtDropFiles | Handler invoked on files dropped


TApplication.IntfEndSession

Called by the interface when the session ends.

Declaration

Source position: forms.pp line 1564

public procedure TApplication.IntfEndSession;

Description

Notifies all OnEndSession handlers.

See also

TApplication.OnEndSession | Event handler for ending a session of the application
TApplicationHandlerType.ahtEndSession | Handler invoked on session end


TApplication.IntfQueryEndSession

Called by the interface to confirm the end of a session.

Declaration

Source position: forms.pp line 1563

public procedure TApplication.IntfQueryEndSession(

  var Cancel: Boolean

);

Description

Asks all QueryEndSession handlers to confirm termination of the application.

See also

TApplication.OnQueryEndSession | This event handler can deny to end the session.
TApplicationHandlerType.ahtQueryEndSession | Handler invoked before session ends


TApplication.IntfSettingsChange

Declaration

Source position: forms.pp line 1570

public procedure TApplication.IntfSettingsChange;


TApplication.IntfThemeOptionChange

Called by the interface when a theme option has changed.

Declaration

Source position: forms.pp line 1571

public procedure TApplication.IntfThemeOptionChange(

  AThemeServices: TThemeServices;

  AOption: TThemeOption

);


TApplication.IsHintMsg

Nop, exists for Delphi compatibility only.

Declaration

Source position: forms.pp line 1456

protected function TApplication.IsHintMsg(

  var Msg: TMsg

):Boolean;

Function result

Always False.


TApplication.IsRightToLeft

Declaration

Source position: forms.pp line 1573

public function TApplication.IsRightToLeft: Boolean;


TApplication.IsRTLLang

Checks the given language name for right-to-left reading.

Declaration

Source position: forms.pp line 1574

public function TApplication.IsRTLLang(

  ALang: string

):Boolean;


TApplication.IsShortcut

Asks all shortcut handlers to handle the key.

Declaration

Source position: forms.pp line 1562

public function TApplication.IsShortcut(

  var Message: TLMKey

):Boolean;

Function result

True when the shortcut was handled.


TApplication.IsWaiting

True if the application is awaiting an event

Declaration

Source position: forms.pp line 1495

public function TApplication.IsWaiting: Boolean;

Function result

True if the application is in AppWaiting state.


TApplication.LayoutAdjustmentPolicy

Declaration

Source position: forms.pp line 1605

public property TApplication.LayoutAdjustmentPolicy : TLayoutAdjustmentPolicy
  read FLayoutAdjustmentPolicy
  write FLayoutAdjustmentPolicy;


TApplication.MainForm

The application terminates when this form is closed.

Declaration

Source position: forms.pp line 1607

public property TApplication.MainForm : TForm
  read FMainForm;

Description

This property is set when the first form is created via Application.CreateForm and it is not FormStyle=fsSplash.


TApplication.MainFormHandle

The Handle of the MainForm

Declaration

Source position: forms.pp line 1608

public property TApplication.MainFormHandle : HWND
  read GetMainFormHandle;

See also

TApplication.OnGetMainFormHandle |
TApplicationHandlerType.ahtGetMainFormHandle | Handler providing the Handle of the main form


TApplication.MainFormOnTaskBar

[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] Reference for unit 'Forms' (#lcl)

TApplication.MainFormOnTaskBar (platform)

Declaration

Source position: forms.pp line 1609

public property TApplication.MainFormOnTaskBar : Boolean
  read FMainFormOnTaskBar
  write SetMainFormOnTaskBar;


TApplication.MenuPopupHandler

Hides the Hint window.

Declaration

Source position: forms.pp line 1465

protected procedure TApplication.MenuPopupHandler(

  Sender: TObject

);


TApplication.MessageBox

Display an message dialog with several response buttons.

Declaration

Source position: forms.pp line 1500

public function TApplication.MessageBox(

  Text: PChar;

  Caption: PChar;

  Flags: LongInt = MB_OK

):Integer;

Arguments

Text | The text in the MessageBox.
Caption | The Caption of the MessageBox.
Flags | The icon and buttons appearing in the box.

Function result

Can be one of the following values:
IDOK
IDCANCEL
IDABORT
IDRETRY
IDIGNORE
IDYES
IDNO
IDCLOSE
IDHELP

Description

The function is used internally to display messages during the handling of Exceptions, but is also available to application programmers as an alternative to some of the message dialogs found in Dialogs.

The function returns an integer value corresponding to the button that was pressed; its value can be determined by reference to the constants [IDOK..IDHELP].

See also

MessageDlg

Message Dialog

Example

 Uses Forms, Dialogs, LCLType;

 Procedure DisplayMessageBox;
   var reply, boxstyle: integer;
   begin
     with application do begin
       boxstyle :=  MB_ICONQUESTION + MB_YESNO;
       reply :=  MessageBox ('Press either button', 'MessageBoxDemo', boxstyle);
       if reply = IDYES then MessageBox ('Yes       ', 'Reply',MB_ICONINFORMATION)
       else MessageBox ('No         ', 'Reply', MB_ICONHAND)
   end;


TApplication.Minimize

Asks the widgetset to minimize the application.

Declaration

Source position: forms.pp line 1501

public procedure TApplication.Minimize;


TApplication.ModalFinished

Called when a modal form is closed.

Declaration

Source position: forms.pp line 1503

public procedure TApplication.ModalFinished;

Description

Invokes all OnModalEnd handlers when exiting Modal state.

See also

TApplication.ModalStarted

Called when a form is shown modally.


TApplication.ModalLevel

The number of modal forms shown.

Declaration

Source position: forms.pp line 1610

public property TApplication.ModalLevel : Integer
  read FModalLevel;

Description

Tracks modal forms showing another form modally.


TApplication.ModalStarted

Called when a form is shown modally.

Declaration

Source position: forms.pp line 1502

public procedure TApplication.ModalStarted;

Description

Invokes all OnModalBegin handlers when entering Modal state.

See also

TApplication.ModalFinished

Called when a modal form is closed.


TApplication.MouseControl

The control currently under the mouse.

Declaration

Source position: forms.pp line 1612

public property TApplication.MouseControl : TControl
  read FMouseControl;

Description

Used to detect mouse entering and leaving a control.


TApplication.MoveFormFocusToChildren

Declaration

Source position: forms.pp line 1611

public property TApplication.MoveFormFocusToChildren : Boolean
  read FMoveFormFocusToChildren
  write FMoveFormFocusToChildren
  default True;


TApplication.Navigation

Allows to switch between controls by pressing keys.

Declaration

Source position: forms.pp line 1606

public property TApplication.Navigation : TApplicationNavigationOptions
  read FNavigation
  write SetNavigation;

Description

These keys can be enabled for navigation:

  • The Tab key moves the Focus to the next (or previous) control in TabOrder.
  • The Enter key triggers the default action.
  • The Escape key triggers the Cancel action.
  • The F1 key brings up context sensitive help.
  • The Arrow keys move the focus.

See also

TApplicationNavigationOptions


TApplication.Notification

Invokes the notification handlers.

Declaration

Source position: forms.pp line 1505

public procedure TApplication.Notification(

  AComponent: TComponent;

  Operation: TOperation

); override;

Description

Special handling, here: Clears the reference to a removed component, terminates the application when the MainForm is removed.

See also

TComponent.Notification


TApplication.NotifyActivateHandler

Notifies all Activation handlers.

Declaration

Source position: forms.pp line 1453

protected procedure TApplication.NotifyActivateHandler;

See also

TApplication.OnActivate | Event handler for activation of the application.
TApplicationHandlerType.ahtActivate | Handler invoked on application activated


TApplication.NotifyCustomForms

Notifies all CustomForms of Msg arrived.

Declaration

Source position: forms.pp line 1455

protected procedure TApplication.NotifyCustomForms(

  Msg: Word

);

Arguments

Msg

The message to process.


TApplication.NotifyDeactivateHandler

Notifies all Deactivation handlers.

Declaration

Source position: forms.pp line 1454

protected procedure TApplication.NotifyDeactivateHandler;

See also

TApplication.OnDeactivate | Event handler for deactivation of the application.
TApplicationHandlerType.ahtDeactivate | Handler invoked on application deactivated


TApplication.NotifyIdleEndHandler

Notifies all Idle End handlers, when a new message arrived.

Declaration

Source position: forms.pp line 1452

protected procedure TApplication.NotifyIdleEndHandler;

See also

TApplication.OnIdleEnd | Event handler for application leaving Idle state.
TApplicationHandlerType.ahtIdleEnd | Application becoming busy


TApplication.NotifyIdleHandler

Notifies all Idle handlers.

Declaration

Source position: forms.pp line 1451

protected procedure TApplication.NotifyIdleHandler(

  var Done: Boolean

);

Arguments

Done

True when all handlers are done, meaning: wait for next message.

See also

TApplication.OnIdle | Event handler for application entering Idle state.
TApplicationHandlerType.ahtIdle | Application becoming idle


TApplication.NotifyKeyDownBeforeHandler

Notifies all ahtKeyDownBefore handlers.

Declaration

Source position: forms.pp line 1514

public procedure TApplication.NotifyKeyDownBeforeHandler(

  Sender: TObject;

  var Key: Word;

  Shift: TShiftState

);

See also

TApplicationHandlerType.ahtKeyDownBefore

Handler for KeyDown events, invoked before interface and LCL handlers


TApplication.NotifyKeyDownHandler

Notifies all ahtKeyDownAfter handlers, eventually reacts on F1 (Help).

Declaration

Source position: forms.pp line 1516

public procedure TApplication.NotifyKeyDownHandler(

  Sender: TObject;

  var Key: Word;

  Shift: TShiftState

);

See also

TApplicationHandlerType.ahtKeyDownAfter

Default handler for KeyDown events, invoked after interface and LCL handlers


TApplication.NotifyUserInputHandler

Notifies all user input handlers

Declaration

Source position: forms.pp line 1513

public procedure TApplication.NotifyUserInputHandler(

  Sender: TObject;

  Msg: Cardinal

);

See also

TApplicationHandlerType.ahtUserInput

Handler invoked on user input


TApplication.OnActionExecute

Default handler for unhandled Actions

Declaration

Source position: forms.pp line 1615

public property TApplication.OnActionExecute : TActionEvent
  read FOnActionExecute
  write FOnActionExecute;


TApplication.OnActionUpdate

Default handler for unhandled Action updates

Declaration

Source position: forms.pp line 1616

public property TApplication.OnActionUpdate : TActionEvent
  read FOnActionUpdate
  write FOnActionUpdate;


TApplication.OnActivate

Event handler for activation of the application.

Declaration

Source position: forms.pp line 1617

public property TApplication.OnActivate : TNotifyEvent
  read FOnActivate
  write FOnActivate;

See also

TApplicationHandlerType.ahtActivate

Handler invoked on application activated


TApplication.OnCircularException

Handler invoked when there is an exception circle before killing the app with Halt

Declaration

Source position: forms.pp line 1636

public property TApplication.OnCircularException : TExceptionEvent
  read FOnCircularException
  write FOnCircularException;


TApplication.OnDeactivate

Event handler for deactivation of the application.

Declaration

Source position: forms.pp line 1618

public property TApplication.OnDeactivate : TNotifyEvent
  read FOnDeactivate
  write FOnDeactivate;

See also

TApplicationHandlerType.ahtDeactivate

Handler invoked on application deactivated


TApplication.OnDestroy

Declaration

Source position: forms.pp line 1635

public property TApplication.OnDestroy : TNotifyEvent
  read FOnDestroy
  write FOnDestroy;


TApplication.OnDropFiles

The default handler for dropped files

Declaration

Source position: forms.pp line 1629

public property TApplication.OnDropFiles : TDropFilesEvent
  read FOnDropFiles
  write FOnDropFiles;

See also

TCustomForm.OnDropFiles | Handler called when files have been dropped.
TCustomForm.AllowDropFiles | Specifies whether files can be dropped onto this form.


TApplication.OnEndSession

Event handler for ending a session of the application

Declaration

Source position: forms.pp line 1622

public property TApplication.OnEndSession : TNotifyEvent
  read FOnEndSession
  write FOnEndSession;

See also

TApplicationHandlerType.ahtEndSession

Handler invoked on session end


TApplication.OnGetMainFormHandle

Declaration

Source position: forms.pp line 1619

public property TApplication.OnGetMainFormHandle : TGetHandleEvent
  read FOnGetMainFormHandle
  write FOnGetMainFormHandle;

See also

TApplicationHandlerType.ahtGetMainFormHandle

Handler providing the Handle of the main form


TApplication.OnHelp

Event handler when help is requested.

Declaration

Source position: forms.pp line 1630

public property TApplication.OnHelp : THelpEvent
  read FOnHelp
  write FOnHelp;

See also

TApplicationHandlerType.ahtHelp

Handler invoked on F1 key (help request)


TApplication.OnHint

Event handler when a hint is requested.

Declaration

Source position: forms.pp line 1631

public property TApplication.OnHint : TNotifyEvent
  read FOnHint
  write FOnHint;

See also

TApplicationHandlerType.ahtHint

Handler invoked on Hint request


TApplication.OnHintTimer

Event handler for timing the duration of hints.

Declaration

Source position: forms.pp line 1460

protected procedure TApplication.OnHintTimer(

  Sender: TObject

);


TApplication.OnIdle

Event handler for application entering Idle state.

Declaration

Source position: forms.pp line 1620

public property TApplication.OnIdle : TIdleEvent
  read FOnIdle
  write FOnIdle;

See also

TApplicationHandlerType.ahtIdle

Application becoming idle


TApplication.OnIdleEnd

Event handler for application leaving Idle state.

Declaration

Source position: forms.pp line 1621

public property TApplication.OnIdleEnd : TNotifyEvent
  read FOnIdleEnd
  write FOnIdleEnd;

See also

TApplicationHandlerType.ahtIdleEnd

Application becoming busy


TApplication.OnMessageDialogFinished

Declaration

Source position: forms.pp line 1625

public property TApplication.OnMessageDialogFinished : TModalDialogFinished
  read FOnMessageDialogFinished
  write FOnMessageDialogFinished;


TApplication.OnMinimize

Event handler for application minimized.

Declaration

Source position: forms.pp line 1624

public property TApplication.OnMinimize : TNotifyEvent
  read FOnMinimize
  write FOnMinimize;


TApplication.OnModalBegin

Event handler for a modal form opened (application entering modal mode).

Declaration

Source position: forms.pp line 1626

public property TApplication.OnModalBegin : TNotifyEvent
  read FOnModalBegin
  write FOnModalBegin;

See also

TApplicationHandlerType.ahtModalBegin

Handler invoked when a form is shown modally.


TApplication.OnModalEnd

Event handler for all modal forms closed (application exiting modal mode).

Declaration

Source position: forms.pp line 1627

public property TApplication.OnModalEnd : TNotifyEvent
  read FOnModalEnd
  write FOnModalEnd;

See also

TApplicationHandlerType.ahtModalEnd

Handler invoked when the last modal form is closed.


TApplication.OnQueryEndSession

This event handler can deny to end the session.

Declaration

Source position: forms.pp line 1623

public property TApplication.OnQueryEndSession : TQueryEndSessionEvent
  read FOnQueryEndSession
  write FOnQueryEndSession;

See also

TApplicationHandlerType.ahtQueryEndSession

Handler invoked before session ends


TApplication.OnRestore

Event handler for application restored (from minimized/maximized state).

Declaration

Source position: forms.pp line 1628

public property TApplication.OnRestore : TNotifyEvent
  read FOnRestore
  write FOnRestore;


TApplication.OnShortcut

This event handler can interpret keystrokes as shortcuts, before the normal target handles the key.

Declaration

Source position: forms.pp line 1632

public property TApplication.OnShortcut : TShortCutEvent
  read FOnShortcut
  write FOnShortcut;

See also

TApplicationHandlerType.ahtKeyDownBefore

Handler for KeyDown events, invoked before interface and LCL handlers


TApplication.OnShowHint

Event handler for showing an Hint.

Declaration

Source position: forms.pp line 1633

public property TApplication.OnShowHint : TShowHintEvent
  read FOnShowHint
  write FOnShowHint;

See also

TApplicationHandlerType.ahtShowHint

Handler invoked on Hint becoming visible


TApplication.OnUserInput

Declaration

Source position: forms.pp line 1634

public property TApplication.OnUserInput : TOnUserInputEvent
  read FOnUserInput
  write FOnUserInput;

See also

TApplicationHandlerType.ahtUserInput

Handler invoked on user input


TApplication.ProcessAsyncCallQueue

Calls all methods queued by QueueAsyncCall.

Declaration

Source position: forms.pp line 1466

protected procedure TApplication.ProcessAsyncCallQueue;


TApplication.ProcessMessages

Call this method during lengthy operations, to keep the GUI responsive.

Declaration

Source position: forms.pp line 1506

public procedure TApplication.ProcessMessages;

Description

Processes all waiting messages, then the queued asynchronous callbacks.


TApplication.QueueAsyncCall

Inserts an asynchronous call into the queue.

Declaration

Source position: forms.pp line 1482

public procedure TApplication.QueueAsyncCall(

  const AMethod: TDataEvent;

  Data: PtrInt

);

Arguments

AMethod | The method to call asynchronously.
Data | The argument passed to the method.

Description

This is thread safe.

Errors

Exceptions on various inconsistencies of the queue.

Example

unit TestQueueAsyncCall;

{$mode objfpc}{$H+}

interface

uses
  Classes, SysUtils, LResources, Forms, Controls, Graphics, Dialogs, Buttons,
  StdCtrls;

type

  { TQueueAsyncCallForm }

  TQueueAsyncCallForm = class(TForm)
    CallButton: TButton;
    LogListBox: TListBox;
    procedure CallButtonClick(Sender: TObject);
  private
    { private declarations }
    FCounter: PtrInt;
    procedure Async(Data: PtrInt);
  public
    { public declarations }
  end;

var
  QueueAsyncCallForm: TQueueAsyncCallForm;

implementation

{ TQueueAsyncCallForm }

procedure TQueueAsyncCallForm.CallButtonClick(Sender: TObject);
begin
  LogListBox.Items.Add('Click 1');
  FCounter := FCounter+1;
  Application.QueueAsyncCall(@Async,FCounter);
  LogListBox.Items.Add('Click 2');
end;

procedure TQueueAsyncCallForm.Async(Data: PtrInt);
begin
   LogListBox.Items.Add('Async '+ IntToStr(Data));
end;

{$R *.lfm}

end.


TApplication.ReleaseComponent

Safe destruction of a component, can be requested by the component itself.

Declaration

Source position: forms.pp line 1484

public procedure TApplication.ReleaseComponent(

  AComponent: TComponent

);

Arguments

AComponent

The component to destroy.

Description

Unless the application is shutting down, all requests are queued. Queued requests are processed when the application is not currently processing a message.


TApplication.ReleaseComponents

Destroys all components marked for release.

Declaration

Source position: forms.pp line 1468

protected procedure TApplication.ReleaseComponents;


TApplication.RemoveAllHandlersOfObject

Removes all handlers implemented in the given object.

Declaration

Source position: forms.pp line 1560

public procedure TApplication.RemoveAllHandlersOfObject(

  AnObject: TObject

); virtual;


TApplication.RemoveAsyncCalls

Removes all calls added via QueueAsyncCall.

Declaration

Source position: forms.pp line 1483

public procedure TApplication.RemoveAsyncCalls(

  const AnObject: TObject

);

Description

This is thread safe.

Errors

Exceptions on various inconsistencies of the queue.


TApplication.RemoveOnActivateHandler

Removes an application activation handler.

Declaration

Source position: forms.pp line 1533

public procedure TApplication.RemoveOnActivateHandler(

  Handler: TNotifyEvent

);

See also

TApplicationHandlerType.ahtActivate

Handler invoked on application activated


TApplication.RemoveOnDeactivateHandler

Removes an application deactivation handler.

Declaration

Source position: forms.pp line 1535

public procedure TApplication.RemoveOnDeactivateHandler(

  Handler: TNotifyEvent

);

See also

TApplicationHandlerType.ahtDeactivate

Handler invoked on application deactivated


TApplication.RemoveOnDropFilesHandler

Removes an application dropped files handler.

Declaration

Source position: forms.pp line 1551

public procedure TApplication.RemoveOnDropFilesHandler(

  Handler: TDropFilesEvent

);

See also

TApplicationHandlerType.ahtDropFiles

Handler invoked on files dropped


TApplication.RemoveOnEndSessionHandler

Removes an application logoff handler.

Declaration

Source position: forms.pp line 1539

public procedure TApplication.RemoveOnEndSessionHandler(

  Handler: TNotifyEvent

);

See also

TApplicationHandlerType.ahtEndSession

Handler invoked on session end


TApplication.RemoveOnExceptionHandler

Removes an application exception handler.

Declaration

Source position: forms.pp line 1537

public procedure TApplication.RemoveOnExceptionHandler(

  Handler: TExceptionEvent

);

See also

TApplicationHandlerType.ahtException

Handler invoked on handled exception.


TApplication.RemoveOnGetMainFormHandleHandler

Removes an application MainForm Handle handler.

Declaration

Source position: forms.pp line 1559

public procedure TApplication.RemoveOnGetMainFormHandleHandler(

  Handler: TGetHandleEvent

);

See also

TApplicationHandlerType.ahtGetMainFormHandle

Handler providing the Handle of the main form


TApplication.RemoveOnHelpHandler

Removes an application Help handler.

Declaration

Source position: forms.pp line 1553

public procedure TApplication.RemoveOnHelpHandler(

  Handler: THelpEvent

);

See also

TApplicationHandlerType.ahtHelp

Handler invoked on F1 key (help request)


TApplication.RemoveOnHintHandler

Removes an application Hint handler.

Declaration

Source position: forms.pp line 1555

public procedure TApplication.RemoveOnHintHandler(

  Handler: TNotifyEvent

);

See also

TApplicationHandlerType.ahtHint

Handler invoked on Hint request


TApplication.RemoveOnIdleEndHandler

Removes an application IdleEnd handler.

Declaration

Source position: forms.pp line 1523

public procedure TApplication.RemoveOnIdleEndHandler(

  Handler: TNotifyEvent

);

See also

TApplicationHandlerType.ahtIdleEnd

Application becoming busy


TApplication.RemoveOnIdleHandler

Removes an application Idle handler.

Declaration

Source position: forms.pp line 1521

public procedure TApplication.RemoveOnIdleHandler(

  Handler: TIdleEvent

);

See also

TApplicationHandlerType.ahtIdle

Application becoming idle


TApplication.RemoveOnKeyDownBeforeHandler

Removes an application key down before interface handler.

Declaration

Source position: forms.pp line 1529

public procedure TApplication.RemoveOnKeyDownBeforeHandler(

  Handler: TKeyEvent

);

See also

TApplicationHandlerType.ahtKeyDownBefore

Handler for KeyDown events, invoked before interface and LCL handlers


TApplication.RemoveOnKeyDownHandler

Removes an application key down after interface handler.

Declaration

Source position: forms.pp line 1531

public procedure TApplication.RemoveOnKeyDownHandler(

  Handler: TKeyEvent

);

See also

TApplicationHandlerType.ahtKeyDownAfter

Default handler for KeyDown events, invoked after interface and LCL handlers


TApplication.RemoveOnMinimizeHandler

Removes an application minimizing handler.

Declaration

Source position: forms.pp line 1543

public procedure TApplication.RemoveOnMinimizeHandler(

  Handler: TNotifyEvent

);

See also

TApplicationHandlerType.ahtMinimize

Handler invoked when the application is minimized.


TApplication.RemoveOnModalBeginHandler

Removes an application becoming modal handler.

Declaration

Source position: forms.pp line 1545

public procedure TApplication.RemoveOnModalBeginHandler(

  Handler: TNotifyEvent

);

See also

TApplicationHandlerType.ahtModalBegin

Handler invoked when a form is shown modally.


TApplication.RemoveOnModalEndHandler

Removes an application exiting modal state handler.

Declaration

Source position: forms.pp line 1547

public procedure TApplication.RemoveOnModalEndHandler(

  Handler: TNotifyEvent

);

See also

TApplicationHandlerType.ahtModalEnd

Handler invoked when the last modal form is closed.


TApplication.RemoveOnQueryEndSessionHandler

Removes an application logoff query handler.

Declaration

Source position: forms.pp line 1541

public procedure TApplication.RemoveOnQueryEndSessionHandler(

  Handler: TQueryEndSessionEvent

);

See also

TApplicationHandlerType.ahtQueryEndSession

Handler invoked before session ends


TApplication.RemoveOnRestoreHandler

Removes an application exiting minimized state handler.

Declaration

Source position: forms.pp line 1549

public procedure TApplication.RemoveOnRestoreHandler(

  Handler: TNotifyEvent

);

See also

TApplicationHandlerType.ahtRestore

Handler invoked on application restored (from minimized state).


TApplication.RemoveOnShowHintHandler

Removes an application Hint show handler.

Declaration

Source position: forms.pp line 1557

public procedure TApplication.RemoveOnShowHintHandler(

  Handler: TShowHintEvent

);

See also

TApplicationHandlerType.ahtShowHint

Handler invoked on Hint becoming visible


TApplication.RemoveOnUserInputHandler

Removes an application user input handler.

Declaration

Source position: forms.pp line 1526

public procedure TApplication.RemoveOnUserInputHandler(

  Handler: TOnUserInputEvent

);

See also

TApplicationHandlerType.ahtUserInput

Handler invoked on user input


TApplication.RemoveStayOnTop

Remove StayOnTop from all forms. Builds a form list for use in RestoreStayOnTop.

Declaration

Source position: forms.pp line 1493

public procedure TApplication.RemoveStayOnTop(

  const ASystemTopAlso: Boolean = False

);

See also

TApplication.RestoreStayOnTop

Restores StayOnTop for all forms changed by RemoveStayOnTop.


TApplication.Restore

Restores the previously minimized application.

Declaration

Source position: forms.pp line 1504

public procedure TApplication.Restore;

See also

TApplication.Minimize

Asks the widgetset to minimize the application.


TApplication.RestoreStayOnTop

Restores StayOnTop for all forms changed by RemoveStayOnTop.

Declaration

Source position: forms.pp line 1494

public procedure TApplication.RestoreStayOnTop(

  const ASystemTopAlso: Boolean = False

);

See also

TApplication.RemoveStayOnTop

Remove StayOnTop from all forms. Builds a form list for use in RestoreStayOnTop.


TApplication.Scaled

Declaration

Source position: forms.pp line 1642

public property TApplication.Scaled : Boolean
  read FScaled
  write FScaled;


TApplication.ShowButtonGlyphs

Allows to override the platform default for glyphs on buttons.

Declaration

Source position: forms.pp line 1637

public property TApplication.ShowButtonGlyphs : TApplicationShowGlyphs
  read FShowButtonGlyphs
  write SetShowButtonGlyphs
  default sbgAlways;

Description

Some platforms show glyphs on all buttons, others don't.


TApplication.ShowHelpForObject

When Sender is a TControl, invoke its ShowHelp method.

Declaration

Source position: forms.pp line 1492

public procedure TApplication.ShowHelpForObject(

  Sender: TObject

);

Arguments

Sender

Should be a TControl, else nothing will happen.


TApplication.ShowHint

Enables Hint display

Declaration

Source position: forms.pp line 1639

public property TApplication.ShowHint : Boolean
  read FShowHint
  write SetShowHint;


TApplication.ShowHintWindow

Shows or hides the Hint window.

Declaration

Source position: forms.pp line 1459

protected procedure TApplication.ShowHintWindow(

  const Info: THintInfoAtMouse

);

Arguments

Info

Is updated with the Hint related information.


TApplication.ShowMainForm

Allows to show or hide the main form, on application start. Default TRUE.

Declaration

Source position: forms.pp line 1640

public property TApplication.ShowMainForm : Boolean
  read FShowMainForm
  write FShowMainForm
  default True;


TApplication.ShowMenuGlyphs

Sets the default policy for showing or hiding glyph images in menus

Declaration

Source position: forms.pp line 1638

public property TApplication.ShowMenuGlyphs : TApplicationShowGlyphs
  read FShowMenuGlyphs
  write SetShowMenuGlyphs
  default sbgAlways;

See also

#LCL.Menus.TGlyphShowMode

TGlyphShowMode indicates if the glyph image of a menu or button should shown or not and in which circunstances


TApplication.SmallIconHandle

The Handle of the small application Icon.

Declaration

Source position: forms.pp line 1478

public function TApplication.SmallIconHandle: HICON;

See also

TApplication.Icon

The icon associated with this application.


TApplication.StartHintTimer

Starts the timer for display of a hint message.

Declaration

Source position: forms.pp line 1462

protected procedure TApplication.StartHintTimer(

  Interval: Integer;

  TimerType: TAppHintTimerType

);

See also

TApplication.Hint

The current Hint text.


TApplication.TaskBarBehavior

How forms are represented in the TaskBar.

Declaration

Source position: forms.pp line 1613

public property TApplication.TaskBarBehavior : TTaskBarBehavior
  read FTaskBarBehavior
  write SetTaskBarBehavior;


TApplication.UpdateAction

Invokes the OnActionUpdate handler.

Declaration

Source position: forms.pp line 1486

public function TApplication.UpdateAction(

  TheAction: TBasicAction

):Boolean; override;

See also

TComponent.UpdateAction


TApplication.UpdateFormatSettings

[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] Reference for unit 'Forms' (#lcl)

TApplication.UpdateFormatSettings (platform)

Declaration

Source position: forms.pp line 1614

public property TApplication.UpdateFormatSettings : Boolean
  read FUpdateFormatSettings
  write FUpdateFormatSettings;


TApplication.UpdateMainForm

When MainForm is Nil, this form becomes the application MainForm.

Declaration

Source position: forms.pp line 1481

public procedure TApplication.UpdateMainForm(

  AForm: TForm

);

Arguments

AForm

The form that may become the MainForm.


TApplication.UpdateVisible

Asks the widgetset to update the TaskBar entries.

Declaration

Source position: forms.pp line 1463

protected procedure TApplication.UpdateVisible;


TApplicationDoubleBuffered

Declaration

Source position: forms.pp line 1329

type TApplicationDoubleBuffered = (

  adbDefault,

  adbFalse,

  adbTrue

);


TApplicationExceptionDlg

Declaration

Source position: forms.pp line 1311

type TApplicationExceptionDlg = (

  aedOkCancelDialog,

  aedOkMessageBox

);


TApplicationFlag

Application state flags.

Declaration

Source position: forms.pp line 1240

type TApplicationFlag = (
AppWaiting, | In Idle state
AppIdleEndSent, | IdleEnd handlers have been notified
AppNoExceptionMessages, | Suppress further exceptions
AppActive, | Application has the focus.
AppDestroying, | Shutting down
AppDoNotCallAsyncQueue, | Skip asynchronous callbacks between handling messages
AppInitialized | Application has been initialized.
);


TApplicationFlags

Declaration

Source position: forms.pp line 1249

type TApplicationFlags = set of (
AppWaiting, | In Idle state
AppIdleEndSent, | IdleEnd handlers have been notified
AppNoExceptionMessages, | Suppress further exceptions
AppActive, | Application has the focus.
AppDestroying, | Shutting down
AppDoNotCallAsyncQueue, | Skip asynchronous callbacks between handling messages
AppInitialized | Application has been initialized.
);


TApplicationHandlerType

Types of Application notification handlers.

Declaration

Source position: forms.pp line 1260

type TApplicationHandlerType = (
ahtIdle, | Application becoming idle
ahtIdleEnd, | Application becoming busy
ahtKeyDownBefore, | Handler for KeyDown events, invoked before interface and LCL handlers
ahtKeyDownAfter, | Default handler for KeyDown events, invoked after interface and LCL handlers
ahtActivate, | Handler invoked on application activated
ahtDeactivate, | Handler invoked on application deactivated
ahtUserInput, | Handler invoked on user input
ahtException, | Handler invoked on handled exception.
ahtEndSession, | Handler invoked on session end
ahtQueryEndSession, | Handler invoked before session ends
ahtMinimize, | Handler invoked when the application is minimized.
ahtModalBegin, | Handler invoked when a form is shown modally.
ahtModalEnd, | Handler invoked when the last modal form is closed.
ahtRestore, | Handler invoked on application restored (from minimized state).
ahtDropFiles, | Handler invoked on files dropped
ahtHelp, | Handler invoked on F1 key (help request)
ahtHint, | Handler invoked on Hint request
ahtShowHint, | Handler invoked on Hint becoming visible
ahtGetMainFormHandle | Handler providing the Handle of the main form
);


TApplicationNavigationOption

Which keys can be used for the navigation within a form

Declaration

Source position: forms.pp line 1251

type TApplicationNavigationOption = (
anoTabToSelectNext, | The Tab key moves the Focus to the next (or previous) control in TabOrder.
anoReturnForDefaultControl, | The Enter key triggers the default action.
anoEscapeForCancelControl, | The Escape key triggers the Cancel action.
anoF1ForHelp, | The F1 key brings up context sensitive help.
anoArrowToSelectNextInParent | The Arrow keys move the focus.
);


TApplicationNavigationOptions

Declaration

Source position: forms.pp line 1258

type TApplicationNavigationOptions = set of (
anoTabToSelectNext, | The Tab key moves the Focus to the next (or previous) control in TabOrder.
anoReturnForDefaultControl, | The Enter key triggers the default action.
anoEscapeForCancelControl, | The Escape key triggers the Cancel action.
anoF1ForHelp, | The F1 key brings up context sensitive help.
anoArrowToSelectNextInParent | The Arrow keys move the focus.
);


TApplicationProperties

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

A component that simplifies access to the properties of the current application.

Declaration

Source position: forms.pp line 1657

type TApplicationProperties = class(TLCLComponent)

protected

  procedure SetCaptureExceptions();

  procedure SetHelpFile();

  procedure SetHint();

  procedure SetHintColor();

  procedure SetHintHidePause();

  procedure SetHintPause();

  procedure SetHintShortCuts();

  procedure SetHintShortPause();

  procedure SetShowButtonGlyphs();

  procedure SetShowMenuGlyphs();

  procedure SetShowHint();

  procedure SetShowMainForm();

  procedure SetTitle();

  procedure SetOnActivate();

  procedure SetOnDeactivate();

  procedure SetOnException();

  procedure SetOnGetMainFormHandle();

  procedure SetOnIdle();

  procedure SetOnIdleEnd();

  procedure SetOnEndSession();

  procedure SetOnQueryEndSession();

  procedure SetOnMinimize();

  procedure SetOnModalBegin();

  procedure SetOnModalEnd();

  procedure SetOnRestore();

  procedure SetOnDropFiles();

  procedure SetOnHelp();

  procedure SetOnHint();

  procedure SetOnShowHint();

  procedure SetOnUserInput();

public

  constructor Create(); override;

Create - constructor for TApplicationProperties: calls inherited Create, then sets some defaults if new application is being designed, or loads local values from existing application

  destructor Destroy; override;

published

  property CaptureExceptions: Boolean; [rw]

  property ExceptionDialog: TApplicationExceptionDlg; [rw]

  property HelpFile: string; [rw]

  property Hint: string; [rw]

  property HintColor: TColor; [rw]

  property HintHidePause: Integer; [rw]

  property HintPause: Integer; [rw]

  property HintShortCuts: Boolean; [rw]

  property HintShortPause: Integer; [rw]

  property ShowButtonGlyphs: TApplicationShowGlyphs; [rw]

  property ShowMenuGlyphs: TApplicationShowGlyphs; [rw]

  property ShowHint: Boolean; [rw]

  property ShowMainForm: Boolean; [rw]

  property Title: string; [rw]

  property OnActivate: TNotifyEvent; [rw]

  property OnDeactivate: TNotifyEvent; [rw]

  property OnException: TExceptionEvent; [rw]

  property OnGetMainFormHandle: TGetHandleEvent; [rw]

  property OnIdle: TIdleEvent; [rw]

  property OnIdleEnd: TNotifyEvent; [rw]

  property OnEndSession: TNotifyEvent; [rw]

  property OnQueryEndSession: TQueryEndSessionEvent; [rw]

  property OnMinimize: TNotifyEvent; [rw]

  property OnModalBegin: TNotifyEvent; [rw]

  property OnModalEnd: TNotifyEvent; [rw]

  property OnRestore: TNotifyEvent; [rw]

  property OnDropFiles: TDropFilesEvent; [rw]

  property OnHelp: THelpEvent; [rw]

  property OnHint: TNotifyEvent; [rw]

  property OnShowHint: TShowHintEvent; [rw]

  property OnUserInput: TOnUserInputEvent; [rw]

end;

Inheritance

TApplicationProperties | A component that simplifies access to the properties of the current application.
|
TLCLComponent | The base class for LCL components associated with widgets.
|
TComponent,IUnknown,IInterfaceComponentReference
|
TPersistent,IFPObserved
|
TObject

Description

TApplication Properties can be set as a local default set of properties to be used for any new instance of TApplication


TApplicationProperties
pl |  | CaptureExceptions
pl |  | ExceptionDialog
pl |  | HelpFile
pl |  | Hint
pl |  | HintColor
pl |  | HintHidePause
pl |  | HintPause
pl |  | HintShortCuts
pl |  | HintShortPause
pl |  | ShowButtonGlyphs
pl |  | ShowMenuGlyphs
pl |  | ShowHint
pl |  | ShowMainForm
pl |  | Title
TLCLComponent
 | ro | LCLRefCount
 | ro | WidgetSetClass
TComponent
 | ro | ComObject
 | ro | Components
 | ro | ComponentCount
 |  | ComponentIndex
 | ro | ComponentState
 | ro | ComponentStyle
 |  | DesignInfo
 | ro | Owner
 |  | VCLComObject
 |  | Name
 |  | Tag
TPersistent
TObject


pl |  | CaptureExceptions (TApplicationProperties)
 | ro | ComObject (TComponent)
 | ro | ComponentCount (TComponent)
 |  | ComponentIndex (TComponent)
 | ro | Components (TComponent)
 | ro | ComponentState (TComponent)
 | ro | ComponentStyle (TComponent)
 |  | DesignInfo (TComponent)
pl |  | ExceptionDialog (TApplicationProperties)
pl |  | HelpFile (TApplicationProperties)
pl |  | Hint (TApplicationProperties)
pl |  | HintColor (TApplicationProperties)
pl |  | HintHidePause (TApplicationProperties)
pl |  | HintPause (TApplicationProperties)
pl |  | HintShortCuts (TApplicationProperties)
pl |  | HintShortPause (TApplicationProperties)
 | ro | LCLRefCount (TLCLComponent)
 |  | Name (TComponent)
 | ro | Owner (TComponent)
pl |  | ShowButtonGlyphs (TApplicationProperties)
pl |  | ShowHint (TApplicationProperties)
pl |  | ShowMainForm (TApplicationProperties)
pl |  | ShowMenuGlyphs (TApplicationProperties)
 |  | Tag (TComponent)
pl |  | Title (TApplicationProperties)
 |  | VCLComObject (TComponent)
 | ro | WidgetSetClass (TLCLComponent)


TApplicationProperties
pt | SetCaptureExceptions
pt | SetHelpFile
pt | SetHint
pt | SetHintColor
pt | SetHintHidePause
pt | SetHintPause
pt | SetHintShortCuts
pt | SetHintShortPause
pt | SetShowButtonGlyphs
pt | SetShowMenuGlyphs
pt | SetShowHint
pt | SetShowMainForm
pt | SetTitle
pt | SetOnActivate
pt | SetOnDeactivate
pt | SetOnException
pt | SetOnGetMainFormHandle
pt | SetOnIdle
pt | SetOnIdleEnd
pt | SetOnEndSession
pt | SetOnQueryEndSession
pt | SetOnMinimize
pt | SetOnModalBegin
pt | SetOnModalEnd
pt | SetOnRestore
pt | SetOnDropFiles
pt | SetOnHelp
pt | SetOnHint
pt | SetOnShowHint
pt | SetOnUserInput
 | Create
 | Destroy
TLCLComponent
pt | WSRegisterClass
pt | GetWSComponentClass
 | Create
 | Destroy
 | NewInstance
 | RemoveAllHandlersOfObject
 | IncLCLRefCount
 | DecLCLRefCount
TComponent
 | GetComObject
 | GetComponent
 | GetComponentCount
 | GetComponentIndex
 | Insert
 | ReadLeft
 | ReadTop
 | Remove
 | RemoveNotification
 | SetComponentIndex
 | SetReference
 | WriteLeft
 | WriteTop
 | ChangeName
 | DefineProperties
 | GetChildren
 | GetChildOwner
 | GetChildParent
 | GetOwner
 | Loaded
 | Loading
 | Notification
 | PaletteCreated
 | ReadState
 | SetAncestor
 | SetDesigning
 | SetDesignInstance
 | SetInline
 | SetName
 | SetChildOrder
 | SetParentComponent
 | Updating
 | Updated
 | UpdateRegistry
 | ValidateRename
 | ValidateContainer
 | ValidateInsert
 | QueryInterface
 | _AddRef
 | _Release
 | iicrGetComponent
 | GetTypeInfoCount
 | GetTypeInfo
 | GetIDsOfNames
 | Invoke
 | WriteState
 | Create
 | Destroy
 | BeforeDestruction
 | DestroyComponents
 | Destroying
 | ExecuteAction
 | FindComponent
 | FreeNotification
 | RemoveFreeNotification
 | FreeOnRelease
 | GetEnumerator
 | GetNamePath
 | GetParentComponent
 | HasParent
 | InsertComponent
 | RemoveComponent
 | SafeCallException
 | SetSubComponent
 | UpdateAction
 | IsImplementorOf
 | ReferenceInterface
TPersistent
 | AssignError
 | AssignTo
 | DefineProperties
 | GetOwner
 | Destroy
 | Assign
 | FPOAttachObserver
 | FPODetachObserver
 | FPONotifyObservers
 | GetNamePath
TObject
 | Create
 | Destroy
 | newinstance
 | FreeInstance
 | SafeCallException
 | DefaultHandler
 | Free
 | InitInstance
 | CleanupInstance
 | ClassType
 | ClassInfo
 | ClassName
 | ClassNameIs
 | ClassParent
 | InstanceSize
 | InheritsFrom
 | StringMessageTable
 | MethodAddress
 | MethodName
 | FieldAddress
 | AfterConstruction
 | BeforeDestruction
 | DefaultHandlerStr
 | Dispatch
 | DispatchStr
 | GetInterface
 | GetInterfaceByStr
 | GetInterfaceWeak
 | GetInterfaceEntry
 | GetInterfaceEntryByStr
 | GetInterfaceTable
 | UnitName
 | Equals
 | GetHashCode
 | ToString


 | AssignError (TPersistent)
 | AssignTo (TPersistent)
 | BeforeDestruction (TObject)
 | BeforeDestruction (TComponent)
 | ChangeName (TComponent)
 | ClassInfo (TObject)
 | ClassName (TObject)
 | ClassNameIs (TObject)
 | ClassParent (TObject)
 | ClassType (TObject)
 | CleanupInstance (TObject)
 | Create (TObject)
 | Create (TComponent)
 | Create (TLCLComponent)
 | Create (TApplicationProperties)
 | DecLCLRefCount (TLCLComponent)
 | DefaultHandler (TObject)
 | DefaultHandlerStr (TObject)
 | DefineProperties (TPersistent)
 | DefineProperties (TComponent)
 | Destroy (TObject)
 | Destroy (TPersistent)
 | Destroy (TComponent)
 | Destroy (TLCLComponent)
 | Destroy (TApplicationProperties)
 | DestroyComponents (TComponent)
 | Destroying (TComponent)
 | Dispatch (TObject)
 | DispatchStr (TObject)
 | Equals (TObject)
 | ExecuteAction (TComponent)
 | FieldAddress (TObject)
 | FindComponent (TComponent)
 | FPOAttachObserver (TPersistent)
 | FPODetachObserver (TPersistent)
 | FPONotifyObservers (TPersistent)
 | Free (TObject)
 | FreeInstance (TObject)
 | FreeNotification (TComponent)
 | FreeOnRelease (TComponent)
 | GetChildOwner (TComponent)
 | GetChildParent (TComponent)
 | GetChildren (TComponent)
 | GetComObject (TComponent)
 | GetComponent (TComponent)
 | GetComponentCount (TComponent)
 | GetComponentIndex (TComponent)
 | GetEnumerator (TComponent)
 | GetHashCode (TObject)
 | GetIDsOfNames (TComponent)
 | GetInterface (TObject)
 | GetInterfaceByStr (TObject)
 | GetInterfaceEntry (TObject)
 | GetInterfaceEntryByStr (TObject)
 | GetInterfaceTable (TObject)
 | GetInterfaceWeak (TObject)
 | GetNamePath (TPersistent)
 | GetNamePath (TComponent)
 | GetOwner (TPersistent)
 | GetOwner (TComponent)
 | GetParentComponent (TComponent)
 | GetTypeInfo (TComponent)
 | GetTypeInfoCount (TComponent)
pt | GetWSComponentClass (TLCLComponent)
 | HasParent (TComponent)
 | iicrGetComponent (TComponent)
 | IncLCLRefCount (TLCLComponent)
 | InheritsFrom (TObject)
 | InitInstance (TObject)
 | Insert (TComponent)
 | InsertComponent (TComponent)
 | InstanceSize (TObject)
 | Invoke (TComponent)
 | IsImplementorOf (TComponent)
 | Loaded (TComponent)
 | Loading (TComponent)
 | MethodAddress (TObject)
 | MethodName (TObject)
 | newinstance (TObject)
 | NewInstance (TLCLComponent)
 | Notification (TComponent)
 | PaletteCreated (TComponent)
 | QueryInterface (TComponent)
 | ReadLeft (TComponent)
 | ReadState (TComponent)
 | ReadTop (TComponent)
 | ReferenceInterface (TComponent)
 | Remove (TComponent)
 | RemoveAllHandlersOfObject (TLCLComponent)
 | RemoveComponent (TComponent)
 | RemoveFreeNotification (TComponent)
 | RemoveNotification (TComponent)
 | SafeCallException (TObject)
 | SafeCallException (TComponent)
 | SetAncestor (TComponent)
pt | SetCaptureExceptions (TApplicationProperties)
 | SetChildOrder (TComponent)
 | SetComponentIndex (TComponent)
 | SetDesigning (TComponent)
 | SetDesignInstance (TComponent)
pt | SetHelpFile (TApplicationProperties)
pt | SetHint (TApplicationProperties)
pt | SetHintColor (TApplicationProperties)
pt | SetHintHidePause (TApplicationProperties)
pt | SetHintPause (TApplicationProperties)
pt | SetHintShortCuts (TApplicationProperties)
pt | SetHintShortPause (TApplicationProperties)
 | SetInline (TComponent)
 | SetName (TComponent)
pt | SetOnActivate (TApplicationProperties)
pt | SetOnDeactivate (TApplicationProperties)
pt | SetOnDropFiles (TApplicationProperties)
pt | SetOnEndSession (TApplicationProperties)
pt | SetOnException (TApplicationProperties)
pt | SetOnGetMainFormHandle (TApplicationProperties)
pt | SetOnHelp (TApplicationProperties)
pt | SetOnHint (TApplicationProperties)
pt | SetOnIdle (TApplicationProperties)
pt | SetOnIdleEnd (TApplicationProperties)
pt | SetOnMinimize (TApplicationProperties)
pt | SetOnModalBegin (TApplicationProperties)
pt | SetOnModalEnd (TApplicationProperties)
pt | SetOnQueryEndSession (TApplicationProperties)
pt | SetOnRestore (TApplicationProperties)
pt | SetOnShowHint (TApplicationProperties)
pt | SetOnUserInput (TApplicationProperties)
 | SetParentComponent (TComponent)
 | SetReference (TComponent)
pt | SetShowButtonGlyphs (TApplicationProperties)
pt | SetShowHint (TApplicationProperties)
pt | SetShowMainForm (TApplicationProperties)
pt | SetShowMenuGlyphs (TApplicationProperties)
 | SetSubComponent (TComponent)
pt | SetTitle (TApplicationProperties)
 | StringMessageTable (TObject)
 | ToString (TObject)
 | UnitName (TObject)
 | UpdateAction (TComponent)
 | Updated (TComponent)
 | UpdateRegistry (TComponent)
 | Updating (TComponent)
 | ValidateContainer (TComponent)
 | ValidateInsert (TComponent)
 | ValidateRename (TComponent)
 | WriteLeft (TComponent)
 | WriteState (TComponent)
 | WriteTop (TComponent)
pt | WSRegisterClass (TLCLComponent)
 | _AddRef (TComponent)
 | _Release (TComponent)


TApplicationProperties
pl | OnActivate
pl | OnDeactivate
pl | OnException
pl | OnGetMainFormHandle
pl | OnIdle
pl | OnIdleEnd
pl | OnEndSession
pl | OnQueryEndSession
pl | OnMinimize
pl | OnModalBegin
pl | OnModalEnd
pl | OnRestore
pl | OnDropFiles
pl | OnHelp
pl | OnHint
pl | OnShowHint
pl | OnUserInput
TLCLComponent
TComponent
TPersistent
TObject


pl | OnActivate (TApplicationProperties)
pl | OnDeactivate (TApplicationProperties)
pl | OnDropFiles (TApplicationProperties)
pl | OnEndSession (TApplicationProperties)
pl | OnException (TApplicationProperties)
pl | OnGetMainFormHandle (TApplicationProperties)
pl | OnHelp (TApplicationProperties)
pl | OnHint (TApplicationProperties)
pl | OnIdle (TApplicationProperties)
pl | OnIdleEnd (TApplicationProperties)
pl | OnMinimize (TApplicationProperties)
pl | OnModalBegin (TApplicationProperties)
pl | OnModalEnd (TApplicationProperties)
pl | OnQueryEndSession (TApplicationProperties)
pl | OnRestore (TApplicationProperties)
pl | OnShowHint (TApplicationProperties)
pl | OnUserInput (TApplicationProperties)


TApplicationProperties.Create

Create - constructor for TApplicationProperties: calls inherited Create, then sets some defaults if new application is being designed, or loads local values from existing application

Declaration

Source position: forms.pp line 1725

public constructor TApplicationProperties.Create(

  AOwner: TComponent

); override;

See also

TComponent.Create

TLCLComponent.Create


TApplicationProperties.Destroy

Declaration

Source position: forms.pp line 1726

public destructor TApplicationProperties.Destroy; override;


TApplicationProperties.ExceptionDialog

Declaration

Source position: forms.pp line 1730

published property TApplicationProperties.ExceptionDialog : TApplicationExceptionDlg
  read FExceptionDialogType
  write SetExceptionDialog
  default aedOkCancelDialog;


TApplicationProperties.OnActivate

Declaration

Source position: forms.pp line 1745

published property TApplicationProperties.OnActivate : TNotifyEvent
  read FOnActivate
  write SetOnActivate;


TApplicationProperties.OnDeactivate

Declaration

Source position: forms.pp line 1746

published property TApplicationProperties.OnDeactivate : TNotifyEvent
  read FOnDeactivate
  write SetOnDeactivate;


TApplicationProperties.SetOnActivate

Declaration

Source position: forms.pp line 1707

protected procedure TApplicationProperties.SetOnActivate(

  AValue: TNotifyEvent

);


TApplicationProperties.SetOnDeactivate

Declaration

Source position: forms.pp line 1708

protected procedure TApplicationProperties.SetOnDeactivate(

  AValue: TNotifyEvent

);


TControlScrollBar

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Type of a scrollbar in a #lcl.Forms.TScrollingWinControl.

Declaration

Source position: forms.pp line 87

type TControlScrollBar = class(TPersistent)
protected
FControl: TWinControl; | The associated TScrollingWinControl.
FPosition: Integer;
function ControlHandle; virtual; | The Handle of the associated TScrollingWinControl.
function GetAutoScroll; virtual; | The AutoScroll state of the associated TScrollingWinControl.
function GetIncrement; virtual;
function GetPage; virtual;
function GetPosition; virtual;
function GetRange; virtual;
function GetSize; virtual;
function GetSmooth; virtual;
function HandleAllocated; virtual; | True when the associated TScrollingWinControl has a handle allocated.
function IsRangeStored; virtual;
procedure ControlUpdateScrollBars; virtual; | Notifies the associated Control of changes.
procedure InternalSetRange(); virtual; | Checks and propagates the new range to the Control.
procedure ScrollHandler(); | Handler for the ScrollBar (movement) messages.
procedure SetIncrement(); virtual;
procedure SetPage(); virtual;
procedure SetPosition();
procedure SetRange(); virtual;
procedure SetSmooth(); virtual;
procedure SetTracking();
procedure SetVisible(); virtual;
procedure UpdateScrollBar; virtual; | updates the scroll bar (position, etc)
procedure InvalidateScrollInfo; | render scroll information non-valid
function GetHorzScrollBar; virtual; | Get the horizontal scrollbar of Control.
function GetVertScrollBar; virtual; | Get the vertical scrollbar of Control.
function ScrollBarShouldBeVisible; virtual; | Determines whether a scrollbar is required.
public
constructor Create(); | Creates a scrollbar object for AControl.
procedure Assign(); override; | If Source is a TControlScrollBar, copies properties to itself, else performs inherited Assign.
function IsScrollBarVisible; virtual; | Determines the current widget state.
function ScrollPos; virtual; | The scroll Position, zero if not Visible.
property Kind: TScrollBarKind; [r] | The orientation: horizontal or vertical.
function GetOtherScrollBar; | Get the ScrollBar of the opposite direction (horz/vert).
property Size: Integer; [rs] | The adjustable size of the scroll bar.
function ControlSize;
function ClientSize; | The currently remaining extent of the Parent Control, depending on ScrollBar visibility.
function ClientSizeWithBar; | The remaining extent of the Parent Control, when the ScrollBar is visible.
function ClientSizeWithoutBar; | The remaining extent of the Parent Control, when the ScrollBar is not visible.
published
property Increment: TScrollBarInc; [rw] | The small Position increment, applicable to the scrollbar arrows.
property Page: TScrollBarInc; [rw] | The slider size, Position increment applicable to the scrollbar area beneath the slider.
property Smooth: Boolean; [rw] | Enables smooth scrolling, with automatic adjustment of Increment and Page.
property Position: Integer; [rw] | Position of the slider, 0..Range-Page.
property Range: Integer; [rws] | The virtual size of the Parent Control.
property Tracking: Boolean; [rw] | Gives feedback while the slider is dragged.
property Visible: Boolean; [rw] | Definitely hides the scrollbar when False (default True).
end;

Inheritance

TControlScrollBar

Type of a scrollbar in a #lcl.Forms.TScrollingWinControl.

|

TPersistent,IFPObserved
|

TObject

Description

Scrollable controls supply their own integrated scrollbars, one for horizontal and one for vertical scrolling. This class allows access to (one of) these integrated scrollbars.

A scrollable control has both a physical (visible) client size, and a logical (virtual) client size.

The Range property reflects the total virtual client size, in pixels.

The Page property corresponds to physical (visible) client size, in pixels, excluding the scrollbars. It also determines the size of the slider, relative to the total Range.

The Position property reflects the virtual origin of the visible client area, equivalent to the top coordinate of the slider. The Position can be changed by the user or by code.

Scrollbars usually appear only when Range is higher than Page, i.e. when not the entire content can be shown at the same time. See the ScrollBar property of the scrolling control for details.

See also

TScrollingWinControl | Class of a windowed control with incorporated scroll bars.
TScrollBox | A windowed control with scroll bars.
TCustomForm | The base type for TForm.


TControlScrollBar
 | ro | Kind
 | ro | Size
pl |  | Increment
pl |  | Page
pl |  | Smooth
pl |  | Position
pl |  | Range
pl |  | Tracking
pl |  | Visible
TPersistent
TObject


pl |  | Increment (TControlScrollBar)
 | ro | Kind (TControlScrollBar)
pl |  | Page (TControlScrollBar)
pl |  | Position (TControlScrollBar)
pl |  | Range (TControlScrollBar)
 | ro | Size (TControlScrollBar)
pl |  | Smooth (TControlScrollBar)
pl |  | Tracking (TControlScrollBar)
pl |  | Visible (TControlScrollBar)


TControlScrollBar
pt | ControlHandle
pt | GetAutoScroll
pt | GetIncrement
pt | GetPage
pt | GetPosition
pt | GetRange
pt | GetSize
pt | GetSmooth
pt | HandleAllocated
pt | IsRangeStored
pt | ControlUpdateScrollBars
pt | InternalSetRange
pt | ScrollHandler
pt | SetIncrement
pt | SetPage
pt | SetPosition
pt | SetRange
pt | SetSmooth
pt | SetTracking
pt | SetVisible
pt | UpdateScrollBar
pt | InvalidateScrollInfo
pt | GetHorzScrollBar
pt | GetVertScrollBar
pt | ScrollBarShouldBeVisible
 | Create
 | Assign
 | IsScrollBarVisible
 | ScrollPos
 | GetOtherScrollBar
 | ControlSize
 | ClientSize
 | ClientSizeWithBar
 | ClientSizeWithoutBar
TPersistent
 | AssignError
 | AssignTo
 | DefineProperties
 | GetOwner
 | Destroy
 | Assign
 | FPOAttachObserver
 | FPODetachObserver
 | FPONotifyObservers
 | GetNamePath
TObject
 | Create
 | Destroy
 | newinstance
 | FreeInstance
 | SafeCallException
 | DefaultHandler
 | Free
 | InitInstance
 | CleanupInstance
 | ClassType
 | ClassInfo
 | ClassName
 | ClassNameIs
 | ClassParent
 | InstanceSize
 | InheritsFrom
 | StringMessageTable
 | MethodAddress
 | MethodName
 | FieldAddress
 | AfterConstruction
 | BeforeDestruction
 | DefaultHandlerStr
 | Dispatch
 | DispatchStr
 | GetInterface
 | GetInterfaceByStr
 | GetInterfaceWeak
 | GetInterfaceEntry
 | GetInterfaceEntryByStr
 | GetInterfaceTable
 | UnitName
 | Equals
 | GetHashCode
 | ToString


 | AssignError (TPersistent)
 | AssignTo (TPersistent)
 | BeforeDestruction (TObject)
 | ClassInfo (TObject)
 | ClassName (TObject)
 | ClassNameIs (TObject)
 | ClassParent (TObject)
 | ClassType (TObject)
 | CleanupInstance (TObject)
 | ClientSize (TControlScrollBar)
 | ClientSizeWithBar (TControlScrollBar)
 | ClientSizeWithoutBar (TControlScrollBar)
pt | ControlHandle (TControlScrollBar)
 | ControlSize (TControlScrollBar)
pt | ControlUpdateScrollBars (TControlScrollBar)
 | Create (TObject)
 | Create (TControlScrollBar)
 | DefaultHandler (TObject)
 | DefaultHandlerStr (TObject)
 | DefineProperties (TPersistent)
 | Destroy (TObject)
 | Destroy (TPersistent)
 | Dispatch (TObject)
 | DispatchStr (TObject)
 | Equals (TObject)
 | FieldAddress (TObject)
 | FPOAttachObserver (TPersistent)
 | FPODetachObserver (TPersistent)
 | FPONotifyObservers (TPersistent)
 | Free (TObject)
 | FreeInstance (TObject)
pt | GetAutoScroll (TControlScrollBar)
 | GetHashCode (TObject)
pt | GetHorzScrollBar (TControlScrollBar)
pt | GetIncrement (TControlScrollBar)
 | GetInterface (TObject)
 | GetInterfaceByStr (TObject)
 | GetInterfaceEntry (TObject)
 | GetInterfaceEntryByStr (TObject)
 | GetInterfaceTable (TObject)
 | GetInterfaceWeak (TObject)
 | GetNamePath (TPersistent)
 | GetOtherScrollBar (TControlScrollBar)
 | GetOwner (TPersistent)
pt | GetPage (TControlScrollBar)
pt | GetPosition (TControlScrollBar)
pt | GetRange (TControlScrollBar)
pt | GetSize (TControlScrollBar)
pt | GetSmooth (TControlScrollBar)
pt | GetVertScrollBar (TControlScrollBar)
pt | HandleAllocated (TControlScrollBar)
 | InheritsFrom (TObject)
 | InitInstance (TObject)
 | InstanceSize (TObject)
pt | InternalSetRange (TControlScrollBar)
pt | InvalidateScrollInfo (TControlScrollBar)
pt | IsRangeStored (TControlScrollBar)
 | IsScrollBarVisible (TControlScrollBar)
 | MethodAddress (TObject)
 | MethodName (TObject)
 | newinstance (TObject)
 | SafeCallException (TObject)
pt | ScrollBarShouldBeVisible (TControlScrollBar)
pt | ScrollHandler (TControlScrollBar)
 | ScrollPos (TControlScrollBar)
pt | SetIncrement (TControlScrollBar)
pt | SetPage (TControlScrollBar)
pt | SetPosition (TControlScrollBar)
pt | SetRange (TControlScrollBar)
pt | SetSmooth (TControlScrollBar)
pt | SetTracking (TControlScrollBar)
pt | SetVisible (TControlScrollBar)
 | StringMessageTable (TObject)
 | ToString (TObject)
 | UnitName (TObject)
pt | UpdateScrollBar (TControlScrollBar)


TControlScrollBar

TPersistent

TObject


TControlScrollBar.Assign

If Source is a TControlScrollBar, copies properties to itself, else performs inherited Assign.

Declaration

Source position: forms.pp line 133

public procedure TControlScrollBar.Assign(

  Source: TPersistent

); override;

Description

Assigns the contents of the source object to the current object; in particular finds the increment, position, range and whether smooth scrolling is to be feature and whether the scroll bar is visible

See also

#rtl.Classes.TPersistent.Assign


TControlScrollBar.ClientSize

The currently remaining extent of the Parent Control, depending on ScrollBar visibility.

Declaration

Source position: forms.pp line 140

public function TControlScrollBar.ClientSize: Integer;

Function result

for vertical scrollbar the clientwidth

Description

return for vertical scrollbar the clientwidth


TControlScrollBar.ClientSizeWithBar

The remaining extent of the Parent Control, when the ScrollBar is visible.

Declaration

Source position: forms.pp line 141

public function TControlScrollBar.ClientSizeWithBar: Integer;

Function result

for vertical scrollbar the clientwidth with the bar, even if Visible=false

Description

return for vertical scrollbar the clientwidth with the bar, even if Visible=false


TControlScrollBar.ClientSizeWithoutBar

The remaining extent of the Parent Control, when the ScrollBar is not visible.

Declaration

Source position: forms.pp line 142

public function TControlScrollBar.ClientSizeWithoutBar: Integer;

Function result

for vertical scrollbar the clientwidth without the bar, even if Visible=true

Description

return for vertical scrollbar the clientwidth without the bar, even if Visible=true


TControlScrollBar.ControlHandle

The Handle of the associated TScrollingWinControl.

Declaration

Source position: forms.pp line 102

protected function TControlScrollBar.ControlHandle: HWND; virtual;


TControlScrollBar.ControlSize

Declaration

Source position: forms.pp line 139

public function TControlScrollBar.ControlSize: Integer;


TControlScrollBar.ControlUpdateScrollBars

Notifies the associated Control of changes.

Declaration

Source position: forms.pp line 112

protected procedure TControlScrollBar.ControlUpdateScrollBars; virtual;

See also

TScrollingWinControl.UpdateScrollBars

Initializes or updates the ScrollBars.


TControlScrollBar.Create

Creates a scrollbar object for AControl.

Declaration

Source position: forms.pp line 132

public constructor TControlScrollBar.Create(

  AControl: TWinControl;

  AKind: TScrollBarKind

);

Arguments

AControl | The windowed control in which the scroll bar is found.
AKind | The scrollbar orientation.

See also

TObject.Create


TControlScrollBar.FControl

The associated TScrollingWinControl.

Declaration

Source position: forms.pp line 100

protected TControlScrollBar.FControl : TWinControl;


TControlScrollBar.GetAutoScroll

The AutoScroll state of the associated TScrollingWinControl.

Declaration

Source position: forms.pp line 103

protected function TControlScrollBar.GetAutoScroll: Boolean; virtual;


TControlScrollBar.GetHorzScrollBar

Get the horizontal scrollbar of Control.

Declaration

Source position: forms.pp line 127

protected function TControlScrollBar.GetHorzScrollBar: TControlScrollBar; virtual;


TControlScrollBar.GetOtherScrollBar

Get the ScrollBar of the opposite direction (horz/vert).

Declaration

Source position: forms.pp line 137

public function TControlScrollBar.GetOtherScrollBar: TControlScrollBar;


TControlScrollBar.GetVertScrollBar

Get the vertical scrollbar of Control.

Declaration

Source position: forms.pp line 128

protected function TControlScrollBar.GetVertScrollBar: TControlScrollBar; virtual;


TControlScrollBar.HandleAllocated

True when the associated TScrollingWinControl has a handle allocated.

Declaration

Source position: forms.pp line 110

protected function TControlScrollBar.HandleAllocated: Boolean; virtual;


TControlScrollBar.Increment

The small Position increment, applicable to the scrollbar arrows.

Declaration

Source position: forms.pp line 144

published property TControlScrollBar.Increment : TScrollBarInc
  read GetIncrement
  write SetIncrement
  default 8;

Description

The amount by which the Position moves if the triangle at either end of the bar is selected.
Default is 8 (pixels).


TControlScrollBar.InternalSetRange

Checks and propagates the new range to the Control.

Declaration

Source position: forms.pp line 113

protected procedure TControlScrollBar.InternalSetRange(

  const AValue: Integer

); virtual;

See also

TControlScrollBar.ControlUpdateScrollBars | Notifies the associated Control of changes.
TScrollingWinControl.UpdateScrollBars | Initializes or updates the ScrollBars.


TControlScrollBar.InvalidateScrollInfo

render scroll information non-valid

Declaration

Source position: forms.pp line 123

protected procedure TControlScrollBar.InvalidateScrollInfo;


TControlScrollBar.IsScrollBarVisible

Determines the current widget state.

Declaration

Source position: forms.pp line 134

public function TControlScrollBar.IsScrollBarVisible: Boolean; virtual;

Function result

True if scrollbar is visible.


TControlScrollBar.Kind

The orientation: horizontal or vertical.

Declaration

Source position: forms.pp line 136

public property TControlScrollBar.Kind : TScrollBarKind
  read FKind;


TControlScrollBar.Page

The slider size, Position increment applicable to the scrollbar area beneath the slider.

Declaration

Source position: forms.pp line 145

published property TControlScrollBar.Page : TScrollBarInc
  read GetPage
  write SetPage
  default 80;

Description

The amount by which the scroll indicator moves if the cursor selects the scroll bar above, below or on either side of the scroll indicator.
Default is 80 (pixels).


TControlScrollBar.Position

Position of the slider, 0..Range-Page.

Declaration

Source position: forms.pp line 147

published property TControlScrollBar.Position : Integer
  read GetPosition
  write SetPosition
  default 0;

Description

The Position reflects the top coordinate of the slider, which is Range-Page when the slider is at the bottom of the bar.


TControlScrollBar.Range

The virtual size of the Parent Control.

Declaration

Source position: forms.pp line 148

published property TControlScrollBar.Range : Integer
  read GetRange
  write SetRange
  stored IsRangeStored
  default 0;


TControlScrollBar.ScrollBarShouldBeVisible

Determines whether a scrollbar is required.

Declaration

Source position: forms.pp line 130

protected function TControlScrollBar.ScrollBarShouldBeVisible: Boolean; virtual;

Function result

True when Visible and Range higher than Page.


TControlScrollBar.ScrollHandler

Handler for the ScrollBar (movement) messages.

Declaration

Source position: forms.pp line 114

protected procedure TControlScrollBar.ScrollHandler(

  var Message: TLMScroll

);


TControlScrollBar.ScrollPos

The scroll Position, zero if not Visible.

Declaration

Source position: forms.pp line 135

public function TControlScrollBar.ScrollPos: Integer; virtual;

Function result

The scroll Position, zero if not Visible.


TControlScrollBar.Size

The adjustable size of the scroll bar.

Declaration

Source position: forms.pp line 138

public property TControlScrollBar.Size : Integer
  read GetSize
  stored False;

Description

The length of the bar is the Width (or Height) of the Parent Control, the Size is the other (free) coordinate.


TControlScrollBar.Smooth

Enables smooth scrolling, with automatic adjustment of Increment and Page.

Declaration

Source position: forms.pp line 146

published property TControlScrollBar.Smooth : Boolean
  read GetSmooth
  write SetSmooth
  default False;

Description

Smooth scrolling uses an Increment of 10% and a Page size of 90% of the visible client area

See also

TControlScrollBar.Increment | The small Position increment, applicable to the scrollbar arrows.
TControlScrollBar.Page | The slider size, Position increment applicable to the scrollbar area beneath the slider.


TControlScrollBar.Tracking

Gives feedback while the slider is dragged.

Declaration

Source position: forms.pp line 149

published property TControlScrollBar.Tracking : Boolean
  read FTracking
  write SetTracking
  default False;

Description

When it takes an significant amount of time, to repaint the parent control at a new position, Tracking should be False to prevent flicker; then the control is updated only when the slider is released.


TControlScrollBar.UpdateScrollBar

updates the scroll bar (position, etc)

Declaration

Source position: forms.pp line 122

protected procedure TControlScrollBar.UpdateScrollBar; virtual;


TControlScrollBar.Visible

Definitely hides the scrollbar when False (default True).

Declaration

Source position: forms.pp line 150

published property TControlScrollBar.Visible : Boolean
  read FVisible
  write SetVisible
  default True;

Description

The scrollbar widget is visible only if (Visible=True) and (Range>Page).

Set Visible to False to disallow the user to scroll the content, while the content still can be scrolled by code.

Use IsScrollBarVisible to get the current visible state of the widget.

See also

TControlScrollBar.IsScrollBarVisible

Determines the current widget state.


TCustomDesignControl

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Declaration

Source position: forms.pp line 265

type TCustomDesignControl = class(TScrollingWinControl)

protected

  procedure SetScaled(); virtual;

  procedure DoAutoAdjustLayout(); override;

  procedure Loaded; override;

public

  constructor Create(); override;

  procedure AutoAdjustLayout(); override;

  property DesignTimePPI: Integer; [rw]

  property PixelsPerInch: Integer; [rws]

  property Scaled: Boolean; [rw]

end;

Inheritance

TCustomDesignControl
|
TScrollingWinControl | Class of a windowed control with incorporated scroll bars.
|
TCustomControl | The base class for windowed controls which paint themselves.
|
TWinControl | The base class for controls which can contain other (child) controls.
|
TControl | The base class for visible controls.
|
TLCLComponent | The base class for LCL components associated with widgets.
|
TComponent,IUnknown,IInterfaceComponentReference
|
TPersistent,IFPObserved
|
TObject


TCustomDesignControl
 |  | DesignTimePPI
 |  | PixelsPerInch
 |  | Scaled
TScrollingWinControl
pt |  | AutoScroll
pl |  | HorzScrollBar
pl |  | VertScrollBar
TCustomControl
 |  | Canvas
 | ro | BorderStyle
TWinControl
pt |  | WindowHandle
pt |  | BorderStyle
pt |  | ParentBackground
 |  | BorderWidth
 | ro | BoundsLockCount
 | ro | Brush
 | ro | CachedClientHeight
 | ro | CachedClientWidth
 |  | ChildSizing
 | ro | ControlCount
 | ro | Controls
 |  | DefWndProc
 | ro | DockClientCount
 | ro | DockClients
 |  | DockManager
 |  | DockSite
 |  | DoubleBuffered
 |  | Handle
 | ro | IsFlipped
 | ro | IsResizing
 |  | TabOrder
 |  | TabStop
 |  | ParentDoubleBuffered
 |  | ParentWindow
 | ro | Showing
 |  | UseDockManager
 |  | DesignerDeleting
 | ro | VisibleDockClientCount
TControl
pt | ro | AutoSizing
pt | ro | AutoSizingAll
pt | ro | AutoSizingLockCount
pt |  | ActionLink
pt |  | DesktopFont
pt |  | DragCursor
pt |  | DragKind
pt |  | DragMode
pt |  | MouseCapture
pt |  | ParentColor
pt |  | ParentFont
pt |  | ParentShowHint
pt |  | SessionProperties
pt |  | Text
 | ro | AnchoredControls
 | ro | BaseBounds
 | ro | ReadBounds
 | ro | BaseParentClientSize
 |  | AccessibleDescription
 |  | AccessibleValue
 |  | AccessibleRole
 |  | Action
 |  | Align
 |  | Anchors
 | ro | AnchorSide
 |  | AutoSize
 |  | BorderSpacing
 |  | BoundsRect
 |  | BoundsRectForNewParent
 |  | Caption
 |  | CaptureMouseButtons
 |  | ClientHeight
 | ro | ClientOrigin
 | ro | ClientRect
 |  | ClientWidth
 |  | Color
 |  | Constraints
 | ro | ControlOrigin
 |  | ControlState
 |  | ControlStyle
 |  | Enabled
 |  | Font
 |  | IsControl
 | ro | MouseEntered
 | ro | MouseInClient
 |  | Parent
 |  | PopupMenu
 |  | ShowHint
 |  | Visible
 |  | WindowProc
 |  | DockOrientation
 | ro | Floating
 |  | FloatingDockSiteClass
 |  | HostDockSite
 |  | LRDockWidth
 |  | TBDockHeight
 |  | UndockHeight
 |  | UndockWidth
 |  | BiDiMode
 |  | ParentBiDiMode
pl |  | AnchorSideLeft
pl |  | AnchorSideTop
pl |  | AnchorSideRight
pl |  | AnchorSideBottom
pl |  | Cursor
pl |  | Left
pl |  | Height
pl |  | Hint
pl |  | Top
pl |  | Width
pl |  | HelpType
pl |  | HelpKeyword
pl |  | HelpContext
TLCLComponent
 | ro | LCLRefCount
 | ro | WidgetSetClass
TComponent
 | ro | ComObject
 | ro | Components
 | ro | ComponentCount
 |  | ComponentIndex
 | ro | ComponentState
 | ro | ComponentStyle
 |  | DesignInfo
 | ro | Owner
 |  | VCLComObject
 |  | Name
 |  | Tag
TPersistent
TObject


 |  | AccessibleDescription (TControl)
 |  | AccessibleRole (TControl)
 |  | AccessibleValue (TControl)
 |  | Action (TControl)
pt |  | ActionLink (TControl)
 |  | Align (TControl)
 | ro | AnchoredControls (TControl)
 |  | Anchors (TControl)
 | ro | AnchorSide (TControl)
pl |  | AnchorSideBottom (TControl)
pl |  | AnchorSideLeft (TControl)
pl |  | AnchorSideRight (TControl)
pl |  | AnchorSideTop (TControl)
pt |  | AutoScroll (TScrollingWinControl)
 |  | AutoSize (TControl)
pt | ro | AutoSizing (TControl)
pt | ro | AutoSizingAll (TControl)
pt | ro | AutoSizingLockCount (TControl)
 | ro | BaseBounds (TControl)
 | ro | BaseParentClientSize (TControl)
 |  | BiDiMode (TControl)
 |  | BorderSpacing (TControl)
pt |  | BorderStyle (TWinControl)
 | ro | BorderStyle (TCustomControl)
 |  | BorderWidth (TWinControl)
 | ro | BoundsLockCount (TWinControl)
 |  | BoundsRect (TControl)
 |  | BoundsRectForNewParent (TControl)
 | ro | Brush (TWinControl)
 | ro | CachedClientHeight (TWinControl)
 | ro | CachedClientWidth (TWinControl)
 |  | Canvas (TCustomControl)
 |  | Caption (TControl)
 |  | CaptureMouseButtons (TControl)
 |  | ChildSizing (TWinControl)
 |  | ClientHeight (TControl)
 | ro | ClientOrigin (TControl)
 | ro | ClientRect (TControl)
 |  | ClientWidth (TControl)
 |  | Color (TControl)
 | ro | ComObject (TComponent)
 | ro | ComponentCount (TComponent)
 |  | ComponentIndex (TComponent)
 | ro | Components (TComponent)
 | ro | ComponentState (TComponent)
 | ro | ComponentStyle (TComponent)
 |  | Constraints (TControl)
 | ro | ControlCount (TWinControl)
 | ro | ControlOrigin (TControl)
 | ro | Controls (TWinControl)
 |  | ControlState (TControl)
 |  | ControlStyle (TControl)
pl |  | Cursor (TControl)
 |  | DefWndProc (TWinControl)
 |  | DesignerDeleting (TWinControl)
 |  | DesignInfo (TComponent)
 |  | DesignTimePPI (TCustomDesignControl)
pt |  | DesktopFont (TControl)
 | ro | DockClientCount (TWinControl)
 | ro | DockClients (TWinControl)
 |  | DockManager (TWinControl)
 |  | DockOrientation (TControl)
 |  | DockSite (TWinControl)
 |  | DoubleBuffered (TWinControl)
pt |  | DragCursor (TControl)
pt |  | DragKind (TControl)
pt |  | DragMode (TControl)
 |  | Enabled (TControl)
 | ro | Floating (TControl)
 |  | FloatingDockSiteClass (TControl)
 |  | Font (TControl)
 |  | Handle (TWinControl)
pl |  | Height (TControl)
pl |  | HelpContext (TControl)
pl |  | HelpKeyword (TControl)
pl |  | HelpType (TControl)
pl |  | Hint (TControl)
pl |  | HorzScrollBar (TScrollingWinControl)
 |  | HostDockSite (TControl)
 |  | IsControl (TControl)
 | ro | IsFlipped (TWinControl)
 | ro | IsResizing (TWinControl)
 | ro | LCLRefCount (TLCLComponent)
pl |  | Left (TControl)
 |  | LRDockWidth (TControl)
pt |  | MouseCapture (TControl)
 | ro | MouseEntered (TControl)
 | ro | MouseInClient (TControl)
 |  | Name (TComponent)
 | ro | Owner (TComponent)
 |  | Parent (TControl)
pt |  | ParentBackground (TWinControl)
 |  | ParentBiDiMode (TControl)
pt |  | ParentColor (TControl)
 |  | ParentDoubleBuffered (TWinControl)
pt |  | ParentFont (TControl)
pt |  | ParentShowHint (TControl)
 |  | ParentWindow (TWinControl)
 |  | PixelsPerInch (TCustomDesignControl)
 |  | PopupMenu (TControl)
 | ro | ReadBounds (TControl)
 |  | Scaled (TCustomDesignControl)
pt |  | SessionProperties (TControl)
 |  | ShowHint (TControl)
 | ro | Showing (TWinControl)
 |  | TabOrder (TWinControl)
 |  | TabStop (TWinControl)
 |  | Tag (TComponent)
 |  | TBDockHeight (TControl)
pt |  | Text (TControl)
pl |  | Top (TControl)
 |  | UndockHeight (TControl)
 |  | UndockWidth (TControl)
 |  | UseDockManager (TWinControl)
 |  | VCLComObject (TComponent)
pl |  | VertScrollBar (TScrollingWinControl)
 |  | Visible (TControl)
 | ro | VisibleDockClientCount (TWinControl)
 | ro | WidgetSetClass (TLCLComponent)
pl |  | Width (TControl)
pt |  | WindowHandle (TWinControl)
 |  | WindowProc (TControl)


TCustomDesignControl
pt | SetScaled
pt | DoAutoAdjustLayout
pt | Loaded
 | Create
 | AutoAdjustLayout
TScrollingWinControl
pt | WSRegisterClass
pt | AlignControls
pt | AutoScrollEnabled
pt | CalculateAutoRanges
pt | CreateWnd
pt | GetClientScrollOffset
pt | GetLogicalClientRect
pt | DoOnResize
pt | GetPreferredSizeClientFrame
pt | WMSize
pt | WMHScroll
pt | WMVScroll
pt | ComputeScrollbars
pt | SetAutoScroll
pt | Loaded
pt | Resizing
pt | SetAutoSize
 | Create
 | Destroy
 | ScreenToClient
 | ClientToScreen
 | UpdateScrollbars
 | GetControlClassDefaultSize
 | ScrollBy
 | ScrollInView
TCustomControl
pt | WSRegisterClass
pt | WMPaint
pt | DestroyWnd
pt | PaintWindow
pt | FontChanged
pt | SetColor
pt | Paint
 | Create
 | Destroy
TWinControl
pt | WSRegisterClass
pt | AdjustClientRect
pt | GetAdjustedLogicalClientRect
pt | AlignControls
pt | CustomAlignInsertBefore
pt | CustomAlignPosition
pt | DoAlignChildControls
pt | DoChildSizingChange
pt | InvalidatePreferredChildSizes
pt | CanTab
pt | IsClientHeightStored
pt | IsClientWidthStored
pt | DoSendShowHideToInterface
pt | ControlsAligned
pt | DoSendBoundsToInterface
pt | RealizeBounds
pt | RealizeBoundsRecursive
pt | InvalidateBoundsRealized
pt | CreateSubClass
pt | DoConstraintsChange
pt | DoSetBounds
pt | DoAutoSize
pt | DoAllAutoSize
pt | AllAutoSized
pt | CalculatePreferredSize
pt | GetPreferredSizeClientFrame
pt | GetChildren
pt | ChildClassAllowed
pt | PaintControls
pt | PaintHandler
pt | PaintWindow
pt | CreateBrush
pt | ScaleControls
pt | ChangeScale
pt | CMBiDiModeChanged
pt | CMBorderChanged
pt | CMDoubleBufferedChanged
pt | CMEnabledChanged
pt | CMParentDoubleBufferedChanged
pt | CMShowingChanged
pt | CMShowHintChanged
pt | CMVisibleChanged
pt | CMEnter
pt | CMExit
pt | WMContextMenu
pt | WMEraseBkgnd
pt | WMNotify
pt | WMSetFocus
pt | WMKillFocus
pt | WMShowWindow
pt | WMEnter
pt | WMExit
pt | WMKeyDown
pt | WMSysKeyDown
pt | WMKeyUp
pt | WMSysKeyUp
pt | WMChar
pt | WMSysChar
pt | WMPaint
pt | WMDestroy
pt | WMMove
pt | WMSize
pt | WMWindowPosChanged
pt | CNKeyDown
pt | CNSysKeyDown
pt | CNKeyUp
pt | CNSysKeyUp
pt | CNChar
pt | DoDragMsg
pt | DoDockClientMsg
pt | DoUndockClientMsg
pt | DoAddDockClient
pt | DockOver
pt | DoDockOver
pt | DoRemoveDockClient
pt | DoUnDock
pt | GetSiteInfo
pt | GetParentHandle
pt | GetTopParentHandle
pt | ReloadDockedControl
pt | CreateDockManager
pt | SetDockManager
pt | DoFloatMsg
pt | DoGetDockCaption
pt | DoEnter
pt | DoExit
pt | DoKeyDownBeforeInterface
pt | DoRemainingKeyDown
pt | DoRemainingKeyUp
pt | DoKeyPress
pt | DoUTF8KeyPress
pt | DoKeyUpBeforeInterface
pt | ChildKey
pt | SendDialogChar
pt | DialogChar
pt | ControlKeyDown
pt | ControlKeyUp
pt | KeyDown
pt | KeyDownBeforeInterface
pt | KeyDownAfterInterface
pt | KeyPress
pt | KeyUp
pt | KeyUpBeforeInterface
pt | KeyUpAfterInterface
pt | UTF8KeyPress
pt | FindNextControl
pt | SelectFirst
pt | RealGetText
pt | GetBorderStyle
pt | GetClientOrigin
pt | GetClientRect
pt | GetControlOrigin
pt | GetDeviceContext
pt | GetParentBackground
pt | IsControlMouseMsg
pt | CreateHandle
pt | CreateParams
pt | CreateWnd
pt | DestroyHandle
pt | DestroyWnd
pt | DoFlipChildren
pt | FinalizeWnd
pt | FixupTabList
pt | FontChanged
pt | InitializeWnd
pt | Loaded
pt | FormEndUpdated
pt | MainWndProc
pt | ParentFormHandleInitialized
pt | ChildHandlesCreated
pt | GetMouseCapture
pt | RealSetText
pt | RemoveFocus
pt | SendMoveSizeMessages
pt | SetBorderStyle
pt | SetColor
pt | SetChildZPosition
pt | SetParentBackground
pt | ShowControl
pt | UpdateControlState
pt | UpdateShowing
pt | WndProc
pt | WSSetText
 | AutoSizePhases
 | AutoSizeDelayed
 | AutoSizeDelayedReport
 | AutoSizeDelayedHandle
 | BeginUpdateBounds
 | EndUpdateBounds
 | LockRealizeBounds
 | UnlockRealizeBounds
 | ControlAtPos
 | ContainsControl
 | DoAdjustClientRectChange
 | InvalidateClientRectCache
 | ClientRectNeedsInterfaceUpdate
 | SetBounds
 | GetChildrenRect
 | DisableAlign
 | EnableAlign
 | ReAlign
 | ScrollBy_WS
 | ScrollBy
 | WriteLayoutDebugReport
 | AutoAdjustLayout
 | Create
 | CreateParented
 | CreateParentedControl
 | Destroy
 | DockDrop
 | CanFocus
 | CanSetFocus
 | GetControlIndex
 | SetControlIndex
 | Focused
 | PerformTab
 | FindChildControl
 | SelectNext
 | SetTempCursor
 | BroadCast
 | NotifyControls
 | DefaultHandler
 | GetTextLen
 | Invalidate
 | AddControl
 | InsertControl
 | RemoveControl
 | GetEnumeratorControls
 | GetEnumeratorControlsReverse
 | Repaint
 | Update
 | SetFocus
 | FlipChildren
 | ScaleBy
 | GetDockCaption
 | UpdateDockCaption
 | GetTabOrderList
 | HandleAllocated
 | ParentHandlesAllocated
 | HandleNeeded
 | BrushCreated
 | EraseBackground
 | IntfUTF8KeyPress
 | IntfGetDropFilesTarget
 | PaintTo
 | SetShape
TControl
pt | WSRegisterClass
pt | GetCursor
pt | SetCursor
pt | SetVisible
pt | DoOnParentHandleDestruction
pt | DoAutoSize
pt | DoAllAutoSize
pt | BeginAutoSizing
pt | EndAutoSizing
pt | AnchorSideChanged
pt | ForeignAnchorSideChanged
pt | SetAlign
pt | SetAnchors
pt | SetAutoSize
pt | BoundsChanged
pt | CreateControlBorderSpacing
pt | DoConstraintsChange
pt | DoBorderSpacingChange
pt | IsBorderSpacingInnerBorderStored
pt | IsCaptionStored
pt | SendMoveSizeMessages
pt | ConstrainedResize
pt | CalculatePreferredSize
pt | DoOnResize
pt | DoOnChangeBounds
pt | CheckOnChangeBounds
pt | Resize
pt | RequestAlign
pt | UpdateAnchorRules
pt | ChangeBounds
pt | DoSetBounds
pt | ScaleConstraints
pt | ChangeScale
pt | CanAutoSize
pt | SetBiDiMode
pt | SetParentBiDiMode
pt | IsAParentAligning
pt | GetClientOrigin
pt | GetClientRect
pt | GetLogicalClientRect
pt | GetScrolledClientRect
pt | GetClientScrollOffset
pt | GetControlOrigin
pt | IsClientHeightStored
pt | IsClientWidthStored
pt | WidthIsAnchored
pt | HeightIsAnchored
pt | WMCancelMode
pt | WMContextMenu
pt | WMLButtonDown
pt | WMRButtonDown
pt | WMMButtonDown
pt | WMXButtonDown
pt | WMLButtonDBLCLK
pt | WMRButtonDBLCLK
pt | WMMButtonDBLCLK
pt | WMXButtonDBLCLK
pt | WMLButtonTripleCLK
pt | WMRButtonTripleCLK
pt | WMMButtonTripleCLK
pt | WMXButtonTripleCLK
pt | WMLButtonQuadCLK
pt | WMRButtonQuadCLK
pt | WMMButtonQuadCLK
pt | WMXButtonQuadCLK
pt | WMMouseMove
pt | WMLButtonUp
pt | WMRButtonUp
pt | WMMButtonUp
pt | WMXButtonUp
pt | WMMouseWheel
pt | WMMouseHWheel
pt | WMMove
pt | WMSize
pt | WMWindowPosChanged
pt | CMChanged
pt | LMCaptureChanged
pt | CMBiDiModeChanged
pt | CMSysFontChanged
pt | CMEnabledChanged
pt | CMHitTest
pt | CMMouseEnter
pt | CMMouseLeave
pt | CMHintShow
pt | CMParentBiDiModeChanged
pt | CMParentColorChanged
pt | CMParentFontChanged
pt | CMParentShowHintChanged
pt | CMVisibleChanged
pt | CMTextChanged
pt | CMCursorChanged
pt | CalculateDockSizes
pt | CreateFloatingDockSite
pt | GetDockEdge
pt | GetDragImages
pt | GetFloating
pt | GetFloatingDockSiteClass
pt | BeforeDragStart
pt | BeginAutoDrag
pt | DoFloatMsg
pt | DockTrackNoTarget
pt | DoDock
pt | DoDragMsg
pt | DoEndDock
pt | DoEndDrag
pt | DoStartDock
pt | DoStartDrag
pt | DragCanceled
pt | DragOver
pt | PositionDockRect
pt | SetDragMode
pt | GetDefaultDockCaption
pt | Click
pt | DblClick
pt | TripleClick
pt | QuadClick
pt | GetMousePosFromMessage
pt | MouseDown
pt | MouseMove
pt | MouseUp
pt | MouseEnter
pt | MouseLeave
pt | DialogChar
pt | UpdateMouseCursor
pt | Changed
pt | GetPalette
pt | ChildClassAllowed
pt | ReadState
pt | Loaded
pt | LoadedAll
pt | DefineProperties
pt | AssignTo
pt | FormEndUpdated
pt | InvalidateControl
pt | FontChanged
pt | ParentFontChanged
pt | GetAction
pt | RealGetText
pt | RealSetText
pt | TextChanged
pt | GetCachedText
pt | SetAction
pt | SetColor
pt | SetEnabled
pt | SetHint
pt | SetName
pt | SetParent
pt | SetParentComponent
pt | WndProc
pt | ParentFormHandleInitialized
pt | GetMouseCapture
pt | CaptureChanged
pt | Notification
pt | CanTab
pt | GetDeviceContext
pt | GetEnabled
pt | GetPopupMenu
pt | DoOnShowHint
pt | DoMouseWheel
pt | DoMouseWheelDown
pt | DoMouseWheelUp
pt | DoMouseWheelHorz
pt | DoMouseWheelLeft
pt | DoMouseWheelRight
pt | VisibleChanging
pt | VisibleChanged
pt | EnabledChanging
pt | EnabledChanged
pt | AddHandler
pt | RemoveHandler
pt | DoCallNotifyHandler
pt | DoCallKeyEventHandler
pt | DoCallMouseWheelEventHandler
pt | DoContextPopup
pt | SetZOrder
pt | GetControlClassDefaultSize
pt | ColorIsStored
pt | DoAutoAdjustLayout
pt | DoFixDesignFontPPI
pt | DoScaleFontPPI
pt | GetActionLinkClass
pt | ActionChange
 | DragDrop
 | Dock
 | ManualDock
 | ManualFloat
 | ReplaceDockedControl
 | Docked
 | Dragging
 | GetAccessibleObject
 | CreateAccessibleObject
 | GetSelectedChildAccessibleObject
 | GetChildAccessibleObjectAtPos
 | ScaleDesignToForm
 | ScaleFormToDesign
 | Scale96ToForm
 | ScaleFormTo96
 | Scale96ToFont
 | ScaleFontTo96
 | ScaleScreenToFont
 | ScaleFontToScreen
 | Scale96ToScreen
 | ScaleScreenTo96
 | AdjustSize
 | AutoSizePhases
 | AutoSizeDelayed
 | AutoSizeDelayedReport
 | AutoSizeDelayedHandle
 | AnchorToNeighbour
 | AnchorParallel
 | AnchorHorizontalCenterTo
 | AnchorVerticalCenterTo
 | AnchorToCompanion
 | AnchorSame
 | AnchorAsAlign
 | AnchorClient
 | AnchoredControlCount
 | SetBounds
 | SetInitialBounds
 | SetBoundsKeepBase
 | GetPreferredSize
 | GetCanvasScaleFactor
 | GetDefaultWidth
 | GetDefaultHeight
 | GetDefaultColor
 | GetColorResolvingParent
 | GetRGBColorResolvingParent
 | GetSidePosition
 | CNPreferredSizeChanged
 | InvalidatePreferredSize
 | GetAnchorsDependingOnParent
 | DisableAutoSizing
 | EnableAutoSizing
 | UpdateBaseBounds
 | WriteLayoutDebugReport
 | AutoAdjustLayout
 | ShouldAutoAdjust
 | FixDesignFontsPPI
 | ScaleFontsPPI
 | Create
 | Destroy
 | BeforeDestruction
 | EditingDone
 | ExecuteDefaultAction
 | ExecuteCancelAction
 | BeginDrag
 | EndDrag
 | BringToFront
 | HasParent
 | GetParentComponent
 | IsParentOf
 | GetTopParent
 | IsVisible
 | IsControlVisible
 | IsEnabled
 | IsParentColor
 | IsParentFont
 | FormIsUpdating
 | IsProcessingPaintMsg
 | Hide
 | Refresh
 | Repaint
 | Invalidate
 | CheckChildClassAllowed
 | CheckNewParent
 | SendToBack
 | SetTempCursor
 | UpdateRolesForForm
 | ActiveDefaultControlChanged
 | GetTextBuf
 | GetTextLen
 | SetTextBuf
 | Perform
 | ScreenToClient
 | ClientToScreen
 | ScreenToControl
 | ControlToScreen
 | ClientToParent
 | ParentToClient
 | GetChildrenRect
 | Show
 | Update
 | HandleObjectShouldBeVisible
 | ParentDestroyingHandle
 | ParentHandlesAllocated
 | InitiateAction
 | ShowHelp
 | HasHelp
 | RemoveAllHandlersOfObject
 | AddHandlerOnResize
 | RemoveHandlerOnResize
 | AddHandlerOnChangeBounds
 | RemoveHandlerOnChangeBounds
 | AddHandlerOnVisibleChanging
 | RemoveHandlerOnVisibleChanging
 | AddHandlerOnVisibleChanged
 | RemoveHandlerOnVisibleChanged
 | AddHandlerOnEnabledChanged
 | RemoveHandlerOnEnableChanging
 | AddHandlerOnKeyDown
 | RemoveHandlerOnKeyDown
 | AddHandlerOnBeforeDestruction
 | RemoveHandlerOnBeforeDestruction
 | AddHandlerOnMouseWheel
 | RemoveHandlerOnMouseWheel
 | UseRightToLeftAlignment
 | UseRightToLeftReading
 | UseRightToLeftScrollBar
 | IsRightToLeft
TLCLComponent
pt | WSRegisterClass
pt | GetWSComponentClass
 | Create
 | Destroy
 | NewInstance
 | RemoveAllHandlersOfObject
 | IncLCLRefCount
 | DecLCLRefCount
TComponent
 | GetComObject
 | GetComponent
 | GetComponentCount
 | GetComponentIndex
 | Insert
 | ReadLeft
 | ReadTop
 | Remove
 | RemoveNotification
 | SetComponentIndex
 | SetReference
 | WriteLeft
 | WriteTop
 | ChangeName
 | DefineProperties
 | GetChildren
 | GetChildOwner
 | GetChildParent
 | GetOwner
 | Loaded
 | Loading
 | Notification
 | PaletteCreated
 | ReadState
 | SetAncestor
 | SetDesigning
 | SetDesignInstance
 | SetInline
 | SetName
 | SetChildOrder
 | SetParentComponent
 | Updating
 | Updated
 | UpdateRegistry
 | ValidateRename
 | ValidateContainer
 | ValidateInsert
 | QueryInterface
 | _AddRef
 | _Release
 | iicrGetComponent
 | GetTypeInfoCount
 | GetTypeInfo
 | GetIDsOfNames
 | Invoke
 | WriteState
 | Create
 | Destroy
 | BeforeDestruction
 | DestroyComponents
 | Destroying
 | ExecuteAction
 | FindComponent
 | FreeNotification
 | RemoveFreeNotification
 | FreeOnRelease
 | GetEnumerator
 | GetNamePath
 | GetParentComponent
 | HasParent
 | InsertComponent
 | RemoveComponent
 | SafeCallException
 | SetSubComponent
 | UpdateAction
 | IsImplementorOf
 | ReferenceInterface
TPersistent
 | AssignError
 | AssignTo
 | DefineProperties
 | GetOwner
 | Destroy
 | Assign
 | FPOAttachObserver
 | FPODetachObserver
 | FPONotifyObservers
 | GetNamePath
TObject
 | Create
 | Destroy
 | newinstance
 | FreeInstance
 | SafeCallException
 | DefaultHandler
 | Free
 | InitInstance
 | CleanupInstance
 | ClassType
 | ClassInfo
 | ClassName
 | ClassNameIs
 | ClassParent
 | InstanceSize
 | InheritsFrom
 | StringMessageTable
 | MethodAddress
 | MethodName
 | FieldAddress
 | AfterConstruction
 | BeforeDestruction
 | DefaultHandlerStr
 | Dispatch
 | DispatchStr
 | GetInterface
 | GetInterfaceByStr
 | GetInterfaceWeak
 | GetInterfaceEntry
 | GetInterfaceEntryByStr
 | GetInterfaceTable
 | UnitName
 | Equals
 | GetHashCode
 | ToString


pt | ActionChange (TControl)
 | ActiveDefaultControlChanged (TControl)
 | AddControl (TWinControl)
pt | AddHandler (TControl)
 | AddHandlerOnBeforeDestruction (TControl)
 | AddHandlerOnChangeBounds (TControl)
 | AddHandlerOnEnabledChanged (TControl)
 | AddHandlerOnKeyDown (TControl)
 | AddHandlerOnMouseWheel (TControl)
 | AddHandlerOnResize (TControl)
 | AddHandlerOnVisibleChanged (TControl)
 | AddHandlerOnVisibleChanging (TControl)
pt | AdjustClientRect (TWinControl)
 | AdjustSize (TControl)
 | AfterConstruction (TObject)
pt | AlignControls (TWinControl)
pt | AlignControls (TScrollingWinControl)
pt | AllAutoSized (TWinControl)
 | AnchorAsAlign (TControl)
 | AnchorClient (TControl)
 | AnchoredControlCount (TControl)
 | AnchorHorizontalCenterTo (TControl)
 | AnchorParallel (TControl)
 | AnchorSame (TControl)
pt | AnchorSideChanged (TControl)
 | AnchorToCompanion (TControl)
 | AnchorToNeighbour (TControl)
 | AnchorVerticalCenterTo (TControl)
 | Assign (TPersistent)
 | AssignError (TPersistent)
 | AssignTo (TPersistent)
pt | AssignTo (TControl)
 | AutoAdjustLayout (TControl)
 | AutoAdjustLayout (TWinControl)
 | AutoAdjustLayout (TCustomDesignControl)
pt | AutoScrollEnabled (TScrollingWinControl)
 | AutoSizeDelayed (TControl)
 | AutoSizeDelayed (TWinControl)
 | AutoSizeDelayedHandle (TControl)
 | AutoSizeDelayedHandle (TWinControl)
 | AutoSizeDelayedReport (TControl)
 | AutoSizeDelayedReport (TWinControl)
 | AutoSizePhases (TControl)
 | AutoSizePhases (TWinControl)
 | BeforeDestruction (TObject)
 | BeforeDestruction (TComponent)
 | BeforeDestruction (TControl)
pt | BeforeDragStart (TControl)
pt | BeginAutoDrag (TControl)
pt | BeginAutoSizing (TControl)
 | BeginDrag (TControl)
 | BeginUpdateBounds (TWinControl)
pt | BoundsChanged (TControl)
 | BringToFront (TControl)
 | BroadCast (TWinControl)
 | BrushCreated (TWinControl)
pt | CalculateAutoRanges (TScrollingWinControl)
pt | CalculateDockSizes (TControl)
pt | CalculatePreferredSize (TControl)
pt | CalculatePreferredSize (TWinControl)
pt | CanAutoSize (TControl)
 | CanFocus (TWinControl)
 | CanSetFocus (TWinControl)
pt | CanTab (TControl)
pt | CanTab (TWinControl)
pt | CaptureChanged (TControl)
pt | ChangeBounds (TControl)
pt | Changed (TControl)
 | ChangeName (TComponent)
pt | ChangeScale (TControl)
pt | ChangeScale (TWinControl)
 | CheckChildClassAllowed (TControl)
 | CheckNewParent (TControl)
pt | CheckOnChangeBounds (TControl)
pt | ChildClassAllowed (TControl)
pt | ChildClassAllowed (TWinControl)
pt | ChildHandlesCreated (TWinControl)
pt | ChildKey (TWinControl)
 | ClassInfo (TObject)
 | ClassName (TObject)
 | ClassNameIs (TObject)
 | ClassParent (TObject)
 | ClassType (TObject)
 | CleanupInstance (TObject)
pt | Click (TControl)
 | ClientRectNeedsInterfaceUpdate (TWinControl)
 | ClientToParent (TControl)
 | ClientToScreen (TControl)
 | ClientToScreen (TScrollingWinControl)
pt | CMBiDiModeChanged (TControl)
pt | CMBiDiModeChanged (TWinControl)
pt | CMBorderChanged (TWinControl)
pt | CMChanged (TControl)
pt | CMCursorChanged (TControl)
pt | CMDoubleBufferedChanged (TWinControl)
pt | CMEnabledChanged (TControl)
pt | CMEnabledChanged (TWinControl)
pt | CMEnter (TWinControl)
pt | CMExit (TWinControl)
pt | CMHintShow (TControl)
pt | CMHitTest (TControl)
pt | CMMouseEnter (TControl)
pt | CMMouseLeave (TControl)
pt | CMParentBiDiModeChanged (TControl)
pt | CMParentColorChanged (TControl)
pt | CMParentDoubleBufferedChanged (TWinControl)
pt | CMParentFontChanged (TControl)
pt | CMParentShowHintChanged (TControl)
pt | CMShowHintChanged (TWinControl)
pt | CMShowingChanged (TWinControl)
pt | CMSysFontChanged (TControl)
pt | CMTextChanged (TControl)
pt | CMVisibleChanged (TControl)
pt | CMVisibleChanged (TWinControl)
pt | CNChar (TWinControl)
pt | CNKeyDown (TWinControl)
pt | CNKeyUp (TWinControl)
 | CNPreferredSizeChanged (TControl)
pt | CNSysKeyDown (TWinControl)
pt | CNSysKeyUp (TWinControl)
pt | ColorIsStored (TControl)
pt | ComputeScrollbars (TScrollingWinControl)
pt | ConstrainedResize (TControl)
 | ContainsControl (TWinControl)
 | ControlAtPos (TWinControl)
pt | ControlKeyDown (TWinControl)
pt | ControlKeyUp (TWinControl)
pt | ControlsAligned (TWinControl)
 | ControlToScreen (TControl)
 | Create (TObject)
 | Create (TComponent)
 | Create (TLCLComponent)
 | Create (TControl)
 | Create (TWinControl)
 | Create (TCustomControl)
 | Create (TScrollingWinControl)
 | Create (TCustomDesignControl)
 | CreateAccessibleObject (TControl)
pt | CreateBrush (TWinControl)
pt | CreateControlBorderSpacing (TControl)
pt | CreateDockManager (TWinControl)
pt | CreateFloatingDockSite (TControl)
pt | CreateHandle (TWinControl)
pt | CreateParams (TWinControl)
 | CreateParented (TWinControl)
 | CreateParentedControl (TWinControl)
pt | CreateSubClass (TWinControl)
pt | CreateWnd (TWinControl)
pt | CreateWnd (TScrollingWinControl)
pt | CustomAlignInsertBefore (TWinControl)
pt | CustomAlignPosition (TWinControl)
pt | DblClick (TControl)
 | DecLCLRefCount (TLCLComponent)
 | DefaultHandler (TObject)
 | DefaultHandler (TWinControl)
 | DefaultHandlerStr (TObject)
 | DefineProperties (TPersistent)
 | DefineProperties (TComponent)
pt | DefineProperties (TControl)
 | Destroy (TObject)
 | Destroy (TPersistent)
 | Destroy (TComponent)
 | Destroy (TLCLComponent)
 | Destroy (TControl)
 | Destroy (TWinControl)
 | Destroy (TCustomControl)
 | Destroy (TScrollingWinControl)
 | DestroyComponents (TComponent)
pt | DestroyHandle (TWinControl)
 | Destroying (TComponent)
pt | DestroyWnd (TWinControl)
pt | DestroyWnd (TCustomControl)
pt | DialogChar (TControl)
pt | DialogChar (TWinControl)
 | DisableAlign (TWinControl)
 | DisableAutoSizing (TControl)
 | Dispatch (TObject)
 | DispatchStr (TObject)
pt | DoAddDockClient (TWinControl)
 | DoAdjustClientRectChange (TWinControl)
pt | DoAlignChildControls (TWinControl)
pt | DoAllAutoSize (TControl)
pt | DoAllAutoSize (TWinControl)
pt | DoAutoAdjustLayout (TControl)
pt | DoAutoAdjustLayout (TCustomDesignControl)
pt | DoAutoSize (TControl)
pt | DoAutoSize (TWinControl)
pt | DoBorderSpacingChange (TControl)
pt | DoCallKeyEventHandler (TControl)
pt | DoCallMouseWheelEventHandler (TControl)
pt | DoCallNotifyHandler (TControl)
pt | DoChildSizingChange (TWinControl)
 | Dock (TControl)
 | DockDrop (TWinControl)
 | Docked (TControl)
pt | DockOver (TWinControl)
pt | DockTrackNoTarget (TControl)
pt | DoConstraintsChange (TControl)
pt | DoConstraintsChange (TWinControl)
pt | DoContextPopup (TControl)
pt | DoDock (TControl)
pt | DoDockClientMsg (TWinControl)
pt | DoDockOver (TWinControl)
pt | DoDragMsg (TControl)
pt | DoDragMsg (TWinControl)
pt | DoEndDock (TControl)
pt | DoEndDrag (TControl)
pt | DoEnter (TWinControl)
pt | DoExit (TWinControl)
pt | DoFixDesignFontPPI (TControl)
pt | DoFlipChildren (TWinControl)
pt | DoFloatMsg (TControl)
pt | DoFloatMsg (TWinControl)
pt | DoGetDockCaption (TWinControl)
pt | DoKeyDownBeforeInterface (TWinControl)
pt | DoKeyPress (TWinControl)
pt | DoKeyUpBeforeInterface (TWinControl)
pt | DoMouseWheel (TControl)
pt | DoMouseWheelDown (TControl)
pt | DoMouseWheelHorz (TControl)
pt | DoMouseWheelLeft (TControl)
pt | DoMouseWheelRight (TControl)
pt | DoMouseWheelUp (TControl)
pt | DoOnChangeBounds (TControl)
pt | DoOnParentHandleDestruction (TControl)
pt | DoOnResize (TControl)
pt | DoOnResize (TScrollingWinControl)
pt | DoOnShowHint (TControl)
pt | DoRemainingKeyDown (TWinControl)
pt | DoRemainingKeyUp (TWinControl)
pt | DoRemoveDockClient (TWinControl)
pt | DoScaleFontPPI (TControl)
pt | DoSendBoundsToInterface (TWinControl)
pt | DoSendShowHideToInterface (TWinControl)
pt | DoSetBounds (TControl)
pt | DoSetBounds (TWinControl)
pt | DoStartDock (TControl)
pt | DoStartDrag (TControl)
pt | DoUnDock (TWinControl)
pt | DoUndockClientMsg (TWinControl)
pt | DoUTF8KeyPress (TWinControl)
pt | DragCanceled (TControl)
 | DragDrop (TControl)
 | Dragging (TControl)
pt | DragOver (TControl)
 | EditingDone (TControl)
 | EnableAlign (TWinControl)
 | EnableAutoSizing (TControl)
pt | EnabledChanged (TControl)
pt | EnabledChanging (TControl)
pt | EndAutoSizing (TControl)
 | EndDrag (TControl)
 | EndUpdateBounds (TWinControl)
 | Equals (TObject)
 | EraseBackground (TWinControl)
 | ExecuteAction (TComponent)
 | ExecuteCancelAction (TControl)
 | ExecuteDefaultAction (TControl)
 | FieldAddress (TObject)
pt | FinalizeWnd (TWinControl)
 | FindChildControl (TWinControl)
 | FindComponent (TComponent)
pt | FindNextControl (TWinControl)
 | FixDesignFontsPPI (TControl)
pt | FixupTabList (TWinControl)
 | FlipChildren (TWinControl)
 | Focused (TWinControl)
pt | FontChanged (TControl)
pt | FontChanged (TWinControl)
pt | FontChanged (TCustomControl)
pt | ForeignAnchorSideChanged (TControl)
pt | FormEndUpdated (TControl)
pt | FormEndUpdated (TWinControl)
 | FormIsUpdating (TControl)
 | FPOAttachObserver (TPersistent)
 | FPODetachObserver (TPersistent)
 | FPONotifyObservers (TPersistent)
 | Free (TObject)
 | FreeInstance (TObject)
 | FreeNotification (TComponent)
 | FreeOnRelease (TComponent)
 | GetAccessibleObject (TControl)
pt | GetAction (TControl)
pt | GetActionLinkClass (TControl)
pt | GetAdjustedLogicalClientRect (TWinControl)
 | GetAnchorsDependingOnParent (TControl)
pt | GetBorderStyle (TWinControl)
pt | GetCachedText (TControl)
 | GetCanvasScaleFactor (TControl)
 | GetChildAccessibleObjectAtPos (TControl)
 | GetChildOwner (TComponent)
 | GetChildParent (TComponent)
 | GetChildren (TComponent)
pt | GetChildren (TWinControl)
 | GetChildrenRect (TControl)
 | GetChildrenRect (TWinControl)
pt | GetClientOrigin (TControl)
pt | GetClientOrigin (TWinControl)
pt | GetClientRect (TControl)
pt | GetClientRect (TWinControl)
pt | GetClientScrollOffset (TControl)
pt | GetClientScrollOffset (TScrollingWinControl)
 | GetColorResolvingParent (TControl)
 | GetComObject (TComponent)
 | GetComponent (TComponent)
 | GetComponentCount (TComponent)
 | GetComponentIndex (TComponent)
pt | GetControlClassDefaultSize (TControl)
 | GetControlClassDefaultSize (TScrollingWinControl)
 | GetControlIndex (TWinControl)
pt | GetControlOrigin (TControl)
pt | GetControlOrigin (TWinControl)
pt | GetCursor (TControl)
 | GetDefaultColor (TControl)
pt | GetDefaultDockCaption (TControl)
 | GetDefaultHeight (TControl)
 | GetDefaultWidth (TControl)
pt | GetDeviceContext (TControl)
pt | GetDeviceContext (TWinControl)
 | GetDockCaption (TWinControl)
pt | GetDockEdge (TControl)
pt | GetDragImages (TControl)
pt | GetEnabled (TControl)
 | GetEnumerator (TComponent)
 | GetEnumeratorControls (TWinControl)
 | GetEnumeratorControlsReverse (TWinControl)
pt | GetFloating (TControl)
pt | GetFloatingDockSiteClass (TControl)
 | GetHashCode (TObject)
 | GetIDsOfNames (TComponent)
 | GetInterface (TObject)
 | GetInterfaceByStr (TObject)
 | GetInterfaceEntry (TObject)
 | GetInterfaceEntryByStr (TObject)
 | GetInterfaceTable (TObject)
 | GetInterfaceWeak (TObject)
pt | GetLogicalClientRect (TControl)
pt | GetLogicalClientRect (TScrollingWinControl)
pt | GetMouseCapture (TControl)
pt | GetMouseCapture (TWinControl)
pt | GetMousePosFromMessage (TControl)
 | GetNamePath (TPersistent)
 | GetNamePath (TComponent)
 | GetOwner (TPersistent)
 | GetOwner (TComponent)
pt | GetPalette (TControl)
pt | GetParentBackground (TWinControl)
 | GetParentComponent (TComponent)
 | GetParentComponent (TControl)
pt | GetParentHandle (TWinControl)
pt | GetPopupMenu (TControl)
 | GetPreferredSize (TControl)
pt | GetPreferredSizeClientFrame (TWinControl)
pt | GetPreferredSizeClientFrame (TScrollingWinControl)
 | GetRGBColorResolvingParent (TControl)
pt | GetScrolledClientRect (TControl)
 | GetSelectedChildAccessibleObject (TControl)
 | GetSidePosition (TControl)
pt | GetSiteInfo (TWinControl)
 | GetTabOrderList (TWinControl)
 | GetTextBuf (TControl)
 | GetTextLen (TControl)
 | GetTextLen (TWinControl)
 | GetTopParent (TControl)
pt | GetTopParentHandle (TWinControl)
 | GetTypeInfo (TComponent)
 | GetTypeInfoCount (TComponent)
pt | GetWSComponentClass (TLCLComponent)
 | HandleAllocated (TWinControl)
 | HandleNeeded (TWinControl)
 | HandleObjectShouldBeVisible (TControl)
 | HasHelp (TControl)
 | HasParent (TComponent)
 | HasParent (TControl)
pt | HeightIsAnchored (TControl)
 | Hide (TControl)
 | iicrGetComponent (TComponent)
 | IncLCLRefCount (TLCLComponent)
 | InheritsFrom (TObject)
pt | InitializeWnd (TWinControl)
 | InitiateAction (TControl)
 | InitInstance (TObject)
 | Insert (TComponent)
 | InsertComponent (TComponent)
 | InsertControl (TWinControl)
 | InstanceSize (TObject)
 | IntfGetDropFilesTarget (TWinControl)
 | IntfUTF8KeyPress (TWinControl)
 | Invalidate (TControl)
 | Invalidate (TWinControl)
pt | InvalidateBoundsRealized (TWinControl)
 | InvalidateClientRectCache (TWinControl)
pt | InvalidateControl (TControl)
pt | InvalidatePreferredChildSizes (TWinControl)
 | InvalidatePreferredSize (TControl)
 | Invoke (TComponent)
pt | IsAParentAligning (TControl)
pt | IsBorderSpacingInnerBorderStored (TControl)
pt | IsCaptionStored (TControl)
pt | IsClientHeightStored (TControl)
pt | IsClientHeightStored (TWinControl)
pt | IsClientWidthStored (TControl)
pt | IsClientWidthStored (TWinControl)
pt | IsControlMouseMsg (TWinControl)
 | IsControlVisible (TControl)
 | IsEnabled (TControl)
 | IsImplementorOf (TComponent)
 | IsParentColor (TControl)
 | IsParentFont (TControl)
 | IsParentOf (TControl)
 | IsProcessingPaintMsg (TControl)
 | IsRightToLeft (TControl)
 | IsVisible (TControl)
pt | KeyDown (TWinControl)
pt | KeyDownAfterInterface (TWinControl)
pt | KeyDownBeforeInterface (TWinControl)
pt | KeyPress (TWinControl)
pt | KeyUp (TWinControl)
pt | KeyUpAfterInterface (TWinControl)
pt | KeyUpBeforeInterface (TWinControl)
pt | LMCaptureChanged (TControl)
 | Loaded (TComponent)
pt | Loaded (TControl)
pt | Loaded (TWinControl)
pt | Loaded (TScrollingWinControl)
pt | Loaded (TCustomDesignControl)
pt | LoadedAll (TControl)
 | Loading (TComponent)
 | LockRealizeBounds (TWinControl)
pt | MainWndProc (TWinControl)
 | ManualDock (TControl)
 | ManualFloat (TControl)
 | MethodAddress (TObject)
 | MethodName (TObject)
pt | MouseDown (TControl)
pt | MouseEnter (TControl)
pt | MouseLeave (TControl)
pt | MouseMove (TControl)
pt | MouseUp (TControl)
 | newinstance (TObject)
 | NewInstance (TLCLComponent)
 | Notification (TComponent)
pt | Notification (TControl)
 | NotifyControls (TWinControl)
pt | Paint (TCustomControl)
pt | PaintControls (TWinControl)
pt | PaintHandler (TWinControl)
 | PaintTo (TWinControl)
pt | PaintWindow (TWinControl)
pt | PaintWindow (TCustomControl)
 | PaletteCreated (TComponent)
 | ParentDestroyingHandle (TControl)
pt | ParentFontChanged (TControl)
pt | ParentFormHandleInitialized (TControl)
pt | ParentFormHandleInitialized (TWinControl)
 | ParentHandlesAllocated (TControl)
 | ParentHandlesAllocated (TWinControl)
 | ParentToClient (TControl)
 | Perform (TControl)
 | PerformTab (TWinControl)
pt | PositionDockRect (TControl)
pt | QuadClick (TControl)
 | QueryInterface (TComponent)
 | ReadLeft (TComponent)
 | ReadState (TComponent)
pt | ReadState (TControl)
 | ReadTop (TComponent)
pt | RealGetText (TControl)
pt | RealGetText (TWinControl)
 | ReAlign (TWinControl)
pt | RealizeBounds (TWinControl)
pt | RealizeBoundsRecursive (TWinControl)
pt | RealSetText (TControl)
pt | RealSetText (TWinControl)
 | ReferenceInterface (TComponent)
 | Refresh (TControl)
pt | ReloadDockedControl (TWinControl)
 | Remove (TComponent)
 | RemoveAllHandlersOfObject (TLCLComponent)
 | RemoveAllHandlersOfObject (TControl)
 | RemoveComponent (TComponent)
 | RemoveControl (TWinControl)
pt | RemoveFocus (TWinControl)
 | RemoveFreeNotification (TComponent)
pt | RemoveHandler (TControl)
 | RemoveHandlerOnBeforeDestruction (TControl)
 | RemoveHandlerOnChangeBounds (TControl)
 | RemoveHandlerOnEnableChanging (TControl)
 | RemoveHandlerOnKeyDown (TControl)
 | RemoveHandlerOnMouseWheel (TControl)
 | RemoveHandlerOnResize (TControl)
 | RemoveHandlerOnVisibleChanged (TControl)
 | RemoveHandlerOnVisibleChanging (TControl)
 | RemoveNotification (TComponent)
 | Repaint (TControl)
 | Repaint (TWinControl)
 | ReplaceDockedControl (TControl)
pt | RequestAlign (TControl)
pt | Resize (TControl)
pt | Resizing (TScrollingWinControl)
 | SafeCallException (TObject)
 | SafeCallException (TComponent)
 | Scale96ToFont (TControl)
 | Scale96ToForm (TControl)
 | Scale96ToScreen (TControl)
 | ScaleBy (TWinControl)
pt | ScaleConstraints (TControl)
pt | ScaleControls (TWinControl)
 | ScaleDesignToForm (TControl)
 | ScaleFontsPPI (TControl)
 | ScaleFontTo96 (TControl)
 | ScaleFontToScreen (TControl)
 | ScaleFormTo96 (TControl)
 | ScaleFormToDesign (TControl)
 | ScaleScreenTo96 (TControl)
 | ScaleScreenToFont (TControl)
 | ScreenToClient (TControl)
 | ScreenToClient (TScrollingWinControl)
 | ScreenToControl (TControl)
 | ScrollBy (TWinControl)
 | ScrollBy (TScrollingWinControl)
 | ScrollBy_WS (TWinControl)
 | ScrollInView (TScrollingWinControl)
pt | SelectFirst (TWinControl)
 | SelectNext (TWinControl)
pt | SendDialogChar (TWinControl)
pt | SendMoveSizeMessages (TControl)
pt | SendMoveSizeMessages (TWinControl)
 | SendToBack (TControl)
pt | SetAction (TControl)
pt | SetAlign (TControl)
 | SetAncestor (TComponent)
pt | SetAnchors (TControl)
pt | SetAutoScroll (TScrollingWinControl)
pt | SetAutoSize (TControl)
pt | SetAutoSize (TScrollingWinControl)
pt | SetBiDiMode (TControl)
pt | SetBorderStyle (TWinControl)
 | SetBounds (TControl)
 | SetBounds (TWinControl)
 | SetBoundsKeepBase (TControl)
 | SetChildOrder (TComponent)
pt | SetChildZPosition (TWinControl)
pt | SetColor (TControl)
pt | SetColor (TWinControl)
pt | SetColor (TCustomControl)
 | SetComponentIndex (TComponent)
 | SetControlIndex (TWinControl)
pt | SetCursor (TControl)
 | SetDesigning (TComponent)
 | SetDesignInstance (TComponent)
pt | SetDockManager (TWinControl)
pt | SetDragMode (TControl)
pt | SetEnabled (TControl)
 | SetFocus (TWinControl)
pt | SetHint (TControl)
 | SetInitialBounds (TControl)
 | SetInline (TComponent)
 | SetName (TComponent)
pt | SetName (TControl)
pt | SetParent (TControl)
pt | SetParentBackground (TWinControl)
pt | SetParentBiDiMode (TControl)
 | SetParentComponent (TComponent)
pt | SetParentComponent (TControl)
 | SetReference (TComponent)
pt | SetScaled (TCustomDesignControl)
 | SetShape (TWinControl)
 | SetSubComponent (TComponent)
 | SetTempCursor (TControl)
 | SetTempCursor (TWinControl)
 | SetTextBuf (TControl)
pt | SetVisible (TControl)
pt | SetZOrder (TControl)
 | ShouldAutoAdjust (TControl)
 | Show (TControl)
pt | ShowControl (TWinControl)
 | ShowHelp (TControl)
 | StringMessageTable (TObject)
pt | TextChanged (TControl)
 | ToString (TObject)
pt | TripleClick (TControl)
 | UnitName (TObject)
 | UnlockRealizeBounds (TWinControl)
 | Update (TControl)
 | Update (TWinControl)
 | UpdateAction (TComponent)
pt | UpdateAnchorRules (TControl)
 | UpdateBaseBounds (TControl)
pt | UpdateControlState (TWinControl)
 | Updated (TComponent)
 | UpdateDockCaption (TWinControl)
pt | UpdateMouseCursor (TControl)
 | UpdateRegistry (TComponent)
 | UpdateRolesForForm (TControl)
 | UpdateScrollbars (TScrollingWinControl)
pt | UpdateShowing (TWinControl)
 | Updating (TComponent)
 | UseRightToLeftAlignment (TControl)
 | UseRightToLeftReading (TControl)
 | UseRightToLeftScrollBar (TControl)
pt | UTF8KeyPress (TWinControl)
 | ValidateContainer (TComponent)
 | ValidateInsert (TComponent)
 | ValidateRename (TComponent)
pt | VisibleChanged (TControl)
pt | VisibleChanging (TControl)
pt | WidthIsAnchored (TControl)
pt | WMCancelMode (TControl)
pt | WMChar (TWinControl)
pt | WMContextMenu (TControl)
pt | WMContextMenu (TWinControl)
pt | WMDestroy (TWinControl)
pt | WMEnter (TWinControl)
pt | WMEraseBkgnd (TWinControl)
pt | WMExit (TWinControl)
pt | WMHScroll (TScrollingWinControl)
pt | WMKeyDown (TWinControl)
pt | WMKeyUp (TWinControl)
pt | WMKillFocus (TWinControl)
pt | WMLButtonDBLCLK (TControl)
pt | WMLButtonDown (TControl)
pt | WMLButtonQuadCLK (TControl)
pt | WMLButtonTripleCLK (TControl)
pt | WMLButtonUp (TControl)
pt | WMMButtonDBLCLK (TControl)
pt | WMMButtonDown (TControl)
pt | WMMButtonQuadCLK (TControl)
pt | WMMButtonTripleCLK (TControl)
pt | WMMButtonUp (TControl)
pt | WMMouseHWheel (TControl)
pt | WMMouseMove (TControl)
pt | WMMouseWheel (TControl)
pt | WMMove (TControl)
pt | WMMove (TWinControl)
pt | WMNotify (TWinControl)
pt | WMPaint (TWinControl)
pt | WMPaint (TCustomControl)
pt | WMRButtonDBLCLK (TControl)
pt | WMRButtonDown (TControl)
pt | WMRButtonQuadCLK (TControl)
pt | WMRButtonTripleCLK (TControl)
pt | WMRButtonUp (TControl)
pt | WMSetFocus (TWinControl)
pt | WMShowWindow (TWinControl)
pt | WMSize (TControl)
pt | WMSize (TWinControl)
pt | WMSize (TScrollingWinControl)
pt | WMSysChar (TWinControl)
pt | WMSysKeyDown (TWinControl)
pt | WMSysKeyUp (TWinControl)
pt | WMVScroll (TScrollingWinControl)
pt | WMWindowPosChanged (TControl)
pt | WMWindowPosChanged (TWinControl)
pt | WMXButtonDBLCLK (TControl)
pt | WMXButtonDown (TControl)
pt | WMXButtonQuadCLK (TControl)
pt | WMXButtonTripleCLK (TControl)
pt | WMXButtonUp (TControl)
pt | WndProc (TControl)
pt | WndProc (TWinControl)
 | WriteLayoutDebugReport (TControl)
 | WriteLayoutDebugReport (TWinControl)
 | WriteLeft (TComponent)
 | WriteState (TComponent)
 | WriteTop (TComponent)
pt | WSRegisterClass (TLCLComponent)
pt | WSRegisterClass (TControl)
pt | WSRegisterClass (TWinControl)
pt | WSRegisterClass (TCustomControl)
pt | WSRegisterClass (TScrollingWinControl)
pt | WSSetText (TWinControl)
 | _AddRef (TComponent)
 | _Release (TComponent)


TCustomDesignControl
TScrollingWinControl
TCustomControl
 | OnPaint
TWinControl
pt | OnGetSiteInfo
pt | OnGetDockCaption
 | OnAlignInsertBefore
 | OnAlignPosition
 | OnDockDrop
 | OnDockOver
 | OnEnter
 | OnExit
 | OnKeyDown
 | OnKeyPress
 | OnKeyUp
 | OnUnDock
 | OnUTF8KeyPress
TControl
pt | OnConstrainedResize
pt | OnContextPopup
pt | OnDblClick
pt | OnTripleClick
pt | OnQuadClick
pt | OnDragDrop
pt | OnDragOver
pt | OnEndDock
pt | OnEndDrag
pt | OnMouseDown
pt | OnMouseMove
pt | OnMouseUp
pt | OnMouseEnter
pt | OnMouseLeave
pt | OnMouseWheel
pt | OnMouseWheelDown
pt | OnMouseWheelUp
pt | OnMouseWheelHorz
pt | OnMouseWheelLeft
pt | OnMouseWheelRight
pt | OnStartDock
pt | OnStartDrag
pt | OnEditingDone
 | OnChangeBounds
 | OnClick
 | OnResize
 | OnShowHint
TLCLComponent
TComponent
TPersistent
TObject


TCustomDesignControl.AutoAdjustLayout

Declaration

Source position: forms.pp line 281

public procedure TCustomDesignControl.AutoAdjustLayout(

  AMode: TLayoutAdjustmentPolicy;

  const AFromPPI: Integer;

  const AToPPI: Integer;

  const AOldFormWidth: Integer;

  const ANewFormWidth: Integer

); override;


TCustomDesignControl.DesignTimePPI

Declaration

Source position: forms.pp line 284

public property TCustomDesignControl.DesignTimePPI : Integer
  read FDesignTimePPI
  write SetDesignTimePPI
  default 96;


TCustomDesignControl.DoAutoAdjustLayout

Declaration

Source position: forms.pp line 275

protected procedure TCustomDesignControl.DoAutoAdjustLayout(

  const AMode: TLayoutAdjustmentPolicy;

  const AXProportion: Double;

  const AYProportion: Double

); override;


TCustomDesignControl.PixelsPerInch

Declaration

Source position: forms.pp line 285

public property TCustomDesignControl.PixelsPerInch : Integer
  read FPixelsPerInch
  write FPixelsPerInch
  stored False;


TCustomDesignControl.Scaled

Declaration

Source position: forms.pp line 286

public property TCustomDesignControl.Scaled : Boolean
  read FScaled
  write SetScaled
  default True;


TCustomDesignControl.SetScaled

Declaration

Source position: forms.pp line 273

protected procedure TCustomDesignControl.SetScaled(

  const AScaled: Boolean

); virtual;


TCustomDockForm

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

A floating DockSite, usable to make TControls float.

Declaration

Source position: forms.pp line 871

type TCustomDockForm = class(TCustomForm)
protected
procedure DoAddDockClient(); override; | Adjust the Parent of a newly docked Client.
procedure DoRemoveDockClient(); override; | Override this method to take special actions on removal of an docked client.
procedure GetSiteInfo(); override; | Return information about this dock site (InfluenceRect).
procedure Loaded; override; | Also renews ActiveControl and Visible.
public
constructor Create(); override;
property AutoScroll: Boolean; | Allows to show ScrollBars only if needed (when True).
property BorderStyle: TFormBorderStyle; | The border style affects the title bar, border and resize behaviour of the form.
property FormStyle: TFormStyle; | Determines the style of the form.
published
property PixelsPerInch: Integer; | The logical scaling of the form
end;

Inheritance

TCustomDockForm | A floating DockSite, usable to make TControls float.
|
TCustomForm | The base type for TForm.
|
TCustomDesignControl
|
TScrollingWinControl | Class of a windowed control with incorporated scroll bars.
|
TCustomControl | The base class for windowed controls which paint themselves.
|
TWinControl | The base class for controls which can contain other (child) controls.
|
TControl | The base class for visible controls.
|
TLCLComponent | The base class for LCL components associated with widgets.
|
TComponent,IUnknown,IInterfaceComponentReference
|
TPersistent,IFPObserved
|
TObject


TCustomDockForm
 | ro | AutoScroll
 | ro | BorderStyle
 | ro | FormStyle
pl | ro | PixelsPerInch
TCustomForm
pt | ro | ClientHandle
 | ro | Active
 |  | ActiveControl
 |  | ActiveDefaultControl
 |  | AllowDropFiles
 |  | AlphaBlend
 |  | AlphaBlendValue
 | ro | AutoScroll
 |  | BorderIcons
 |  | BorderStyle
 |  | CancelControl
 | ro | Caption
 | ro | Color
 |  | DefaultControl
 |  | DefaultMonitor
 |  | Designer
 | ro | EffectiveShowInTaskBar
 | ro | FormState
 |  | FormStyle
 |  | HelpFile
 |  | Icon
 |  | KeyPreview
 | ro | MDIChildren
 |  | Menu
 |  | ModalResult
 | ro | Monitor
 | ro | LastActiveControl
 |  | PopupMode
 |  | PopupParent
 | ro | ParentFont
 |  | Position
 | ro | RestoredLeft
 | ro | RestoredTop
 | ro | RestoredWidth
 | ro | RestoredHeight
 |  | ShowInTaskBar
 | ro | Visible
 |  | WindowState
TCustomDesignControl
 |  | DesignTimePPI
 |  | PixelsPerInch
 |  | Scaled
TScrollingWinControl
pt |  | AutoScroll
pl |  | HorzScrollBar
pl |  | VertScrollBar
TCustomControl
 |  | Canvas
 | ro | BorderStyle
TWinControl
pt |  | WindowHandle
pt |  | BorderStyle
pt |  | ParentBackground
 |  | BorderWidth
 | ro | BoundsLockCount
 | ro | Brush
 | ro | CachedClientHeight
 | ro | CachedClientWidth
 |  | ChildSizing
 | ro | ControlCount
 | ro | Controls
 |  | DefWndProc
 | ro | DockClientCount
 | ro | DockClients
 |  | DockManager
 |  | DockSite
 |  | DoubleBuffered
 |  | Handle
 | ro | IsFlipped
 | ro | IsResizing
 |  | TabOrder
 |  | TabStop
 |  | ParentDoubleBuffered
 |  | ParentWindow
 | ro | Showing
 |  | UseDockManager
 |  | DesignerDeleting
 | ro | VisibleDockClientCount
TControl
pt | ro | AutoSizing
pt | ro | AutoSizingAll
pt | ro | AutoSizingLockCount
pt |  | ActionLink
pt |  | DesktopFont
pt |  | DragCursor
pt |  | DragKind
pt |  | DragMode
pt |  | MouseCapture
pt |  | ParentColor
pt |  | ParentFont
pt |  | ParentShowHint
pt |  | SessionProperties
pt |  | Text
 | ro | AnchoredControls
 | ro | BaseBounds
 | ro | ReadBounds
 | ro | BaseParentClientSize
 |  | AccessibleDescription
 |  | AccessibleValue
 |  | AccessibleRole
 |  | Action
 |  | Align
 |  | Anchors
 | ro | AnchorSide
 |  | AutoSize
 |  | BorderSpacing
 |  | BoundsRect
 |  | BoundsRectForNewParent
 |  | Caption
 |  | CaptureMouseButtons
 |  | ClientHeight
 | ro | ClientOrigin
 | ro | ClientRect
 |  | ClientWidth
 |  | Color
 |  | Constraints
 | ro | ControlOrigin
 |  | ControlState
 |  | ControlStyle
 |  | Enabled
 |  | Font
 |  | IsControl
 | ro | MouseEntered
 | ro | MouseInClient
 |  | Parent
 |  | PopupMenu
 |  | ShowHint
 |  | Visible
 |  | WindowProc
 |  | DockOrientation
 | ro | Floating
 |  | FloatingDockSiteClass
 |  | HostDockSite
 |  | LRDockWidth
 |  | TBDockHeight
 |  | UndockHeight
 |  | UndockWidth
 |  | BiDiMode
 |  | ParentBiDiMode
pl |  | AnchorSideLeft
pl |  | AnchorSideTop
pl |  | AnchorSideRight
pl |  | AnchorSideBottom
pl |  | Cursor
pl |  | Left
pl |  | Height
pl |  | Hint
pl |  | Top
pl |  | Width
pl |  | HelpType
pl |  | HelpKeyword
pl |  | HelpContext
TLCLComponent
 | ro | LCLRefCount
 | ro | WidgetSetClass
TComponent
 | ro | ComObject
 | ro | Components
 | ro | ComponentCount
 |  | ComponentIndex
 | ro | ComponentState
 | ro | ComponentStyle
 |  | DesignInfo
 | ro | Owner
 |  | VCLComObject
 |  | Name
 |  | Tag
TPersistent
TObject


 |  | AccessibleDescription (TControl)
 |  | AccessibleRole (TControl)
 |  | AccessibleValue (TControl)
 |  | Action (TControl)
pt |  | ActionLink (TControl)
 | ro | Active (TCustomForm)
 |  | ActiveControl (TCustomForm)
 |  | ActiveDefaultControl (TCustomForm)
 |  | Align (TControl)
 |  | AllowDropFiles (TCustomForm)
 |  | AlphaBlend (TCustomForm)
 |  | AlphaBlendValue (TCustomForm)
 | ro | AnchoredControls (TControl)
 |  | Anchors (TControl)
 | ro | AnchorSide (TControl)
pl |  | AnchorSideBottom (TControl)
pl |  | AnchorSideLeft (TControl)
pl |  | AnchorSideRight (TControl)
pl |  | AnchorSideTop (TControl)
pt |  | AutoScroll (TScrollingWinControl)
 | ro | AutoScroll (TCustomForm)
 | ro | AutoScroll (TCustomDockForm)
 |  | AutoSize (TControl)
pt | ro | AutoSizing (TControl)
pt | ro | AutoSizingAll (TControl)
pt | ro | AutoSizingLockCount (TControl)
 | ro | BaseBounds (TControl)
 | ro | BaseParentClientSize (TControl)
 |  | BiDiMode (TControl)
 |  | BorderIcons (TCustomForm)
 |  | BorderSpacing (TControl)
pt |  | BorderStyle (TWinControl)
 | ro | BorderStyle (TCustomControl)
 |  | BorderStyle (TCustomForm)
 | ro | BorderStyle (TCustomDockForm)
 |  | BorderWidth (TWinControl)
 | ro | BoundsLockCount (TWinControl)
 |  | BoundsRect (TControl)
 |  | BoundsRectForNewParent (TControl)
 | ro | Brush (TWinControl)
 | ro | CachedClientHeight (TWinControl)
 | ro | CachedClientWidth (TWinControl)
 |  | CancelControl (TCustomForm)
 |  | Canvas (TCustomControl)
 |  | Caption (TControl)
 | ro | Caption (TCustomForm)
 |  | CaptureMouseButtons (TControl)
 |  | ChildSizing (TWinControl)
pt | ro | ClientHandle (TCustomForm)
 |  | ClientHeight (TControl)
 | ro | ClientOrigin (TControl)
 | ro | ClientRect (TControl)
 |  | ClientWidth (TControl)
 |  | Color (TControl)
 | ro | Color (TCustomForm)
 | ro | ComObject (TComponent)
 | ro | ComponentCount (TComponent)
 |  | ComponentIndex (TComponent)
 | ro | Components (TComponent)
 | ro | ComponentState (TComponent)
 | ro | ComponentStyle (TComponent)
 |  | Constraints (TControl)
 | ro | ControlCount (TWinControl)
 | ro | ControlOrigin (TControl)
 | ro | Controls (TWinControl)
 |  | ControlState (TControl)
 |  | ControlStyle (TControl)
pl |  | Cursor (TControl)
 |  | DefaultControl (TCustomForm)
 |  | DefaultMonitor (TCustomForm)
 |  | DefWndProc (TWinControl)
 |  | Designer (TCustomForm)
 |  | DesignerDeleting (TWinControl)
 |  | DesignInfo (TComponent)
 |  | DesignTimePPI (TCustomDesignControl)
pt |  | DesktopFont (TControl)
 | ro | DockClientCount (TWinControl)
 | ro | DockClients (TWinControl)
 |  | DockManager (TWinControl)
 |  | DockOrientation (TControl)
 |  | DockSite (TWinControl)
 |  | DoubleBuffered (TWinControl)
pt |  | DragCursor (TControl)
pt |  | DragKind (TControl)
pt |  | DragMode (TControl)
 | ro | EffectiveShowInTaskBar (TCustomForm)
 |  | Enabled (TControl)
 | ro | Floating (TControl)
 |  | FloatingDockSiteClass (TControl)
 |  | Font (TControl)
 | ro | FormState (TCustomForm)
 |  | FormStyle (TCustomForm)
 | ro | FormStyle (TCustomDockForm)
 |  | Handle (TWinControl)
pl |  | Height (TControl)
pl |  | HelpContext (TControl)
 |  | HelpFile (TCustomForm)
pl |  | HelpKeyword (TControl)
pl |  | HelpType (TControl)
pl |  | Hint (TControl)
pl |  | HorzScrollBar (TScrollingWinControl)
 |  | HostDockSite (TControl)
 |  | Icon (TCustomForm)
 |  | IsControl (TControl)
 | ro | IsFlipped (TWinControl)
 | ro | IsResizing (TWinControl)
 |  | KeyPreview (TCustomForm)
 | ro | LastActiveControl (TCustomForm)
 | ro | LCLRefCount (TLCLComponent)
pl |  | Left (TControl)
 |  | LRDockWidth (TControl)
 | ro | MDIChildren (TCustomForm)
 |  | Menu (TCustomForm)
 |  | ModalResult (TCustomForm)
 | ro | Monitor (TCustomForm)
pt |  | MouseCapture (TControl)
 | ro | MouseEntered (TControl)
 | ro | MouseInClient (TControl)
 |  | Name (TComponent)
 | ro | Owner (TComponent)
 |  | Parent (TControl)
pt |  | ParentBackground (TWinControl)
 |  | ParentBiDiMode (TControl)
pt |  | ParentColor (TControl)
 |  | ParentDoubleBuffered (TWinControl)
pt |  | ParentFont (TControl)
 | ro | ParentFont (TCustomForm)
pt |  | ParentShowHint (TControl)
 |  | ParentWindow (TWinControl)
 |  | PixelsPerInch (TCustomDesignControl)
pl | ro | PixelsPerInch (TCustomDockForm)
 |  | PopupMenu (TControl)
 |  | PopupMode (TCustomForm)
 |  | PopupParent (TCustomForm)
 |  | Position (TCustomForm)
 | ro | ReadBounds (TControl)
 | ro | RestoredHeight (TCustomForm)
 | ro | RestoredLeft (TCustomForm)
 | ro | RestoredTop (TCustomForm)
 | ro | RestoredWidth (TCustomForm)
 |  | Scaled (TCustomDesignControl)
pt |  | SessionProperties (TControl)
 |  | ShowHint (TControl)
 | ro | Showing (TWinControl)
 |  | ShowInTaskBar (TCustomForm)
 |  | TabOrder (TWinControl)
 |  | TabStop (TWinControl)
 |  | Tag (TComponent)
 |  | TBDockHeight (TControl)
pt |  | Text (TControl)
pl |  | Top (TControl)
 |  | UndockHeight (TControl)
 |  | UndockWidth (TControl)
 |  | UseDockManager (TWinControl)
 |  | VCLComObject (TComponent)
pl |  | VertScrollBar (TScrollingWinControl)
 |  | Visible (TControl)
 | ro | Visible (TCustomForm)
 | ro | VisibleDockClientCount (TWinControl)
 | ro | WidgetSetClass (TLCLComponent)
pl |  | Width (TControl)
pt |  | WindowHandle (TWinControl)
 |  | WindowProc (TControl)
 |  | WindowState (TCustomForm)


TCustomDockForm
pt | DoAddDockClient
pt | DoRemoveDockClient
pt | GetSiteInfo
pt | Loaded
 | Create
TCustomForm
pt | WMActivate
pt | WMCloseQuery
pt | WMHelp
pt | WMMove
pt | WMShowWindow
pt | WMSize
pt | WMWindowPosChanged
pt | CMBiDiModeChanged
pt | CMParentBiDiModeChanged
pt | CMAppShowBtnGlyphChanged
pt | CMAppShowMenuGlyphChanged
pt | CMIconChanged
pt | CMRelease
pt | CMActivate
pt | CMDeactivate
pt | CMShowingChanged
pt | WMDPIChanged
pt | WSRegisterClass
pt | DoShowWindow
pt | Activate
pt | ActiveChanged
pt | AdjustClientRect
pt | BeginFormUpdate
pt | ColorIsStored
pt | CreateParams
pt | CreateWnd
pt | Deactivate
pt | DoClose
pt | DoCreate
pt | DoDestroy
pt | DoHide
pt | DoShow
pt | EndFormUpdate
pt | HandleCreateException
pt | HandleDestroyException
pt | HandleShowHideException
pt | InitializeWnd
pt | Loaded
pt | ChildHandlesCreated
pt | Notification
pt | PaintWindow
pt | RequestAlign
pt | Resizing
pt | CalculatePreferredSize
pt | SetZOrder
pt | SetParent
pt | MoveToDefaultPosition
pt | UpdateShowing
pt | SetVisible
pt | AllAutoSized
pt | DoFirstShow
pt | UpdateWindowState
pt | VisibleChanging
pt | VisibleChanged
pt | WndProc
pt | VisibleIsStored
pt | DoSendBoundsToInterface
pt | DoAutoSize
pt | SetAutoSize
pt | SetAutoScroll
pt | SetScaled
pt | DoAddActionList
pt | DoRemoveActionList
pt | ProcessResource
pt | BeginAutoDrag
pt | DoDock
pt | GetFloating
pt | GetDefaultDockCaption
pt | CMActionExecute
pt | CMActionUpdate
pt | DoExecuteAction
pt | DoUpdateAction
pt | UpdateActions
 | Create
 | CreateNew
 | Destroy
 | AfterConstruction
 | BeforeDestruction
 | GetControlClassDefaultSize
 | BigIconHandle
 | Close
 | CloseQuery
 | DefocusControl
 | DestroyWnd
 | EnsureVisible
 | FocusControl
 | FormIsUpdating
 | GetFormImage
 | GetRolesForControl
 | GetRealPopupParent
 | Hide
 | IntfDropFiles
 | IntfHelp
 | IsShortcut
 | MakeFullyVisible
 | AutoSizeDelayedHandle
 | GetPreferredSize
 | Release
 | CanFocus
 | SetFocus
 | SetFocusedControl
 | SetRestoredBounds
 | Show
 | ShowModal
 | ShowOnTop
 | SmallIconHandle
 | GetChildren
 | WantChildKey
 | RemoveAllHandlersOfObject
 | AddHandlerFirstShow
 | RemoveHandlerFirstShow
 | AddHandlerClose
 | RemoveHandlerClose
 | AddHandlerCreate
 | RemoveHandlerCreate
 | ActiveMDIChild
 | GetMDIChildren
 | MDIChildCount
 | AutoScale
 | Dock
 | UpdateDockCaption
TCustomDesignControl
pt | SetScaled
pt | DoAutoAdjustLayout
pt | Loaded
 | Create
 | AutoAdjustLayout
TScrollingWinControl
pt | WSRegisterClass
pt | AlignControls
pt | AutoScrollEnabled
pt | CalculateAutoRanges
pt | CreateWnd
pt | GetClientScrollOffset
pt | GetLogicalClientRect
pt | DoOnResize
pt | GetPreferredSizeClientFrame
pt | WMSize
pt | WMHScroll
pt | WMVScroll
pt | ComputeScrollbars
pt | SetAutoScroll
pt | Loaded
pt | Resizing
pt | SetAutoSize
 | Create
 | Destroy
 | ScreenToClient
 | ClientToScreen
 | UpdateScrollbars
 | GetControlClassDefaultSize
 | ScrollBy
 | ScrollInView
TCustomControl
pt | WSRegisterClass
pt | WMPaint
pt | DestroyWnd
pt | PaintWindow
pt | FontChanged
pt | SetColor
pt | Paint
 | Create
 | Destroy
TWinControl
pt | WSRegisterClass
pt | AdjustClientRect
pt | GetAdjustedLogicalClientRect
pt | AlignControls
pt | CustomAlignInsertBefore
pt | CustomAlignPosition
pt | DoAlignChildControls
pt | DoChildSizingChange
pt | InvalidatePreferredChildSizes
pt | CanTab
pt | IsClientHeightStored
pt | IsClientWidthStored
pt | DoSendShowHideToInterface
pt | ControlsAligned
pt | DoSendBoundsToInterface
pt | RealizeBounds
pt | RealizeBoundsRecursive
pt | InvalidateBoundsRealized
pt | CreateSubClass
pt | DoConstraintsChange
pt | DoSetBounds
pt | DoAutoSize
pt | DoAllAutoSize
pt | AllAutoSized
pt | CalculatePreferredSize
pt | GetPreferredSizeClientFrame
pt | GetChildren
pt | ChildClassAllowed
pt | PaintControls
pt | PaintHandler
pt | PaintWindow
pt | CreateBrush
pt | ScaleControls
pt | ChangeScale
pt | CMBiDiModeChanged
pt | CMBorderChanged
pt | CMDoubleBufferedChanged
pt | CMEnabledChanged
pt | CMParentDoubleBufferedChanged
pt | CMShowingChanged
pt | CMShowHintChanged
pt | CMVisibleChanged
pt | CMEnter
pt | CMExit
pt | WMContextMenu
pt | WMEraseBkgnd
pt | WMNotify
pt | WMSetFocus
pt | WMKillFocus
pt | WMShowWindow
pt | WMEnter
pt | WMExit
pt | WMKeyDown
pt | WMSysKeyDown
pt | WMKeyUp
pt | WMSysKeyUp
pt | WMChar
pt | WMSysChar
pt | WMPaint
pt | WMDestroy
pt | WMMove
pt | WMSize
pt | WMWindowPosChanged
pt | CNKeyDown
pt | CNSysKeyDown
pt | CNKeyUp
pt | CNSysKeyUp
pt | CNChar
pt | DoDragMsg
pt | DoDockClientMsg
pt | DoUndockClientMsg
pt | DoAddDockClient
pt | DockOver
pt | DoDockOver
pt | DoRemoveDockClient
pt | DoUnDock
pt | GetSiteInfo
pt | GetParentHandle
pt | GetTopParentHandle
pt | ReloadDockedControl
pt | CreateDockManager
pt | SetDockManager
pt | DoFloatMsg
pt | DoGetDockCaption
pt | DoEnter
pt | DoExit
pt | DoKeyDownBeforeInterface
pt | DoRemainingKeyDown
pt | DoRemainingKeyUp
pt | DoKeyPress
pt | DoUTF8KeyPress
pt | DoKeyUpBeforeInterface
pt | ChildKey
pt | SendDialogChar
pt | DialogChar
pt | ControlKeyDown
pt | ControlKeyUp
pt | KeyDown
pt | KeyDownBeforeInterface
pt | KeyDownAfterInterface
pt | KeyPress
pt | KeyUp
pt | KeyUpBeforeInterface
pt | KeyUpAfterInterface
pt | UTF8KeyPress
pt | FindNextControl
pt | SelectFirst
pt | RealGetText
pt | GetBorderStyle
pt | GetClientOrigin
pt | GetClientRect
pt | GetControlOrigin
pt | GetDeviceContext
pt | GetParentBackground
pt | IsControlMouseMsg
pt | CreateHandle
pt | CreateParams
pt | CreateWnd
pt | DestroyHandle
pt | DestroyWnd
pt | DoFlipChildren
pt | FinalizeWnd
pt | FixupTabList
pt | FontChanged
pt | InitializeWnd
pt | Loaded
pt | FormEndUpdated
pt | MainWndProc
pt | ParentFormHandleInitialized
pt | ChildHandlesCreated
pt | GetMouseCapture
pt | RealSetText
pt | RemoveFocus
pt | SendMoveSizeMessages
pt | SetBorderStyle
pt | SetColor
pt | SetChildZPosition
pt | SetParentBackground
pt | ShowControl
pt | UpdateControlState
pt | UpdateShowing
pt | WndProc
pt | WSSetText
 | AutoSizePhases
 | AutoSizeDelayed
 | AutoSizeDelayedReport
 | AutoSizeDelayedHandle
 | BeginUpdateBounds
 | EndUpdateBounds
 | LockRealizeBounds
 | UnlockRealizeBounds
 | ControlAtPos
 | ContainsControl
 | DoAdjustClientRectChange
 | InvalidateClientRectCache
 | ClientRectNeedsInterfaceUpdate
 | SetBounds
 | GetChildrenRect
 | DisableAlign
 | EnableAlign
 | ReAlign
 | ScrollBy_WS
 | ScrollBy
 | WriteLayoutDebugReport
 | AutoAdjustLayout
 | Create
 | CreateParented
 | CreateParentedControl
 | Destroy
 | DockDrop
 | CanFocus
 | CanSetFocus
 | GetControlIndex
 | SetControlIndex
 | Focused
 | PerformTab
 | FindChildControl
 | SelectNext
 | SetTempCursor
 | BroadCast
 | NotifyControls
 | DefaultHandler
 | GetTextLen
 | Invalidate
 | AddControl
 | InsertControl
 | RemoveControl
 | GetEnumeratorControls
 | GetEnumeratorControlsReverse
 | Repaint
 | Update
 | SetFocus
 | FlipChildren
 | ScaleBy
 | GetDockCaption
 | UpdateDockCaption
 | GetTabOrderList
 | HandleAllocated
 | ParentHandlesAllocated
 | HandleNeeded
 | BrushCreated
 | EraseBackground
 | IntfUTF8KeyPress
 | IntfGetDropFilesTarget
 | PaintTo
 | SetShape
TControl
pt | WSRegisterClass
pt | GetCursor
pt | SetCursor
pt | SetVisible
pt | DoOnParentHandleDestruction
pt | DoAutoSize
pt | DoAllAutoSize
pt | BeginAutoSizing
pt | EndAutoSizing
pt | AnchorSideChanged
pt | ForeignAnchorSideChanged
pt | SetAlign
pt | SetAnchors
pt | SetAutoSize
pt | BoundsChanged
pt | CreateControlBorderSpacing
pt | DoConstraintsChange
pt | DoBorderSpacingChange
pt | IsBorderSpacingInnerBorderStored
pt | IsCaptionStored
pt | SendMoveSizeMessages
pt | ConstrainedResize
pt | CalculatePreferredSize
pt | DoOnResize
pt | DoOnChangeBounds
pt | CheckOnChangeBounds
pt | Resize
pt | RequestAlign
pt | UpdateAnchorRules
pt | ChangeBounds
pt | DoSetBounds
pt | ScaleConstraints
pt | ChangeScale
pt | CanAutoSize
pt | SetBiDiMode
pt | SetParentBiDiMode
pt | IsAParentAligning
pt | GetClientOrigin
pt | GetClientRect
pt | GetLogicalClientRect
pt | GetScrolledClientRect
pt | GetClientScrollOffset
pt | GetControlOrigin
pt | IsClientHeightStored
pt | IsClientWidthStored
pt | WidthIsAnchored
pt | HeightIsAnchored
pt | WMCancelMode
pt | WMContextMenu
pt | WMLButtonDown
pt | WMRButtonDown
pt | WMMButtonDown
pt | WMXButtonDown
pt | WMLButtonDBLCLK
pt | WMRButtonDBLCLK
pt | WMMButtonDBLCLK
pt | WMXButtonDBLCLK
pt | WMLButtonTripleCLK
pt | WMRButtonTripleCLK
pt | WMMButtonTripleCLK
pt | WMXButtonTripleCLK
pt | WMLButtonQuadCLK
pt | WMRButtonQuadCLK
pt | WMMButtonQuadCLK
pt | WMXButtonQuadCLK
pt | WMMouseMove
pt | WMLButtonUp
pt | WMRButtonUp
pt | WMMButtonUp
pt | WMXButtonUp
pt | WMMouseWheel
pt | WMMouseHWheel
pt | WMMove
pt | WMSize
pt | WMWindowPosChanged
pt | CMChanged
pt | LMCaptureChanged
pt | CMBiDiModeChanged
pt | CMSysFontChanged
pt | CMEnabledChanged
pt | CMHitTest
pt | CMMouseEnter
pt | CMMouseLeave
pt | CMHintShow
pt | CMParentBiDiModeChanged
pt | CMParentColorChanged
pt | CMParentFontChanged
pt | CMParentShowHintChanged
pt | CMVisibleChanged
pt | CMTextChanged
pt | CMCursorChanged
pt | CalculateDockSizes
pt | CreateFloatingDockSite
pt | GetDockEdge
pt | GetDragImages
pt | GetFloating
pt | GetFloatingDockSiteClass
pt | BeforeDragStart
pt | BeginAutoDrag
pt | DoFloatMsg
pt | DockTrackNoTarget
pt | DoDock
pt | DoDragMsg
pt | DoEndDock
pt | DoEndDrag
pt | DoStartDock
pt | DoStartDrag
pt | DragCanceled
pt | DragOver
pt | PositionDockRect
pt | SetDragMode
pt | GetDefaultDockCaption
pt | Click
pt | DblClick
pt | TripleClick
pt | QuadClick
pt | GetMousePosFromMessage
pt | MouseDown
pt | MouseMove
pt | MouseUp
pt | MouseEnter
pt | MouseLeave
pt | DialogChar
pt | UpdateMouseCursor
pt | Changed
pt | GetPalette
pt | ChildClassAllowed
pt | ReadState
pt | Loaded
pt | LoadedAll
pt | DefineProperties
pt | AssignTo
pt | FormEndUpdated
pt | InvalidateControl
pt | FontChanged
pt | ParentFontChanged
pt | GetAction
pt | RealGetText
pt | RealSetText
pt | TextChanged
pt | GetCachedText
pt | SetAction
pt | SetColor
pt | SetEnabled
pt | SetHint
pt | SetName
pt | SetParent
pt | SetParentComponent
pt | WndProc
pt | ParentFormHandleInitialized
pt | GetMouseCapture
pt | CaptureChanged
pt | Notification
pt | CanTab
pt | GetDeviceContext
pt | GetEnabled
pt | GetPopupMenu
pt | DoOnShowHint
pt | DoMouseWheel
pt | DoMouseWheelDown
pt | DoMouseWheelUp
pt | DoMouseWheelHorz
pt | DoMouseWheelLeft
pt | DoMouseWheelRight
pt | VisibleChanging
pt | VisibleChanged
pt | EnabledChanging
pt | EnabledChanged
pt | AddHandler
pt | RemoveHandler
pt | DoCallNotifyHandler
pt | DoCallKeyEventHandler
pt | DoCallMouseWheelEventHandler
pt | DoContextPopup
pt | SetZOrder
pt | GetControlClassDefaultSize
pt | ColorIsStored
pt | DoAutoAdjustLayout
pt | DoFixDesignFontPPI
pt | DoScaleFontPPI
pt | GetActionLinkClass
pt | ActionChange
 | DragDrop
 | Dock
 | ManualDock
 | ManualFloat
 | ReplaceDockedControl
 | Docked
 | Dragging
 | GetAccessibleObject
 | CreateAccessibleObject
 | GetSelectedChildAccessibleObject
 | GetChildAccessibleObjectAtPos
 | ScaleDesignToForm
 | ScaleFormToDesign
 | Scale96ToForm
 | ScaleFormTo96
 | Scale96ToFont
 | ScaleFontTo96
 | ScaleScreenToFont
 | ScaleFontToScreen
 | Scale96ToScreen
 | ScaleScreenTo96
 | AdjustSize
 | AutoSizePhases
 | AutoSizeDelayed
 | AutoSizeDelayedReport
 | AutoSizeDelayedHandle
 | AnchorToNeighbour
 | AnchorParallel
 | AnchorHorizontalCenterTo
 | AnchorVerticalCenterTo
 | AnchorToCompanion
 | AnchorSame
 | AnchorAsAlign
 | AnchorClient
 | AnchoredControlCount
 | SetBounds
 | SetInitialBounds
 | SetBoundsKeepBase
 | GetPreferredSize
 | GetCanvasScaleFactor
 | GetDefaultWidth
 | GetDefaultHeight
 | GetDefaultColor
 | GetColorResolvingParent
 | GetRGBColorResolvingParent
 | GetSidePosition
 | CNPreferredSizeChanged
 | InvalidatePreferredSize
 | GetAnchorsDependingOnParent
 | DisableAutoSizing
 | EnableAutoSizing
 | UpdateBaseBounds
 | WriteLayoutDebugReport
 | AutoAdjustLayout
 | ShouldAutoAdjust
 | FixDesignFontsPPI
 | ScaleFontsPPI
 | Create
 | Destroy
 | BeforeDestruction
 | EditingDone
 | ExecuteDefaultAction
 | ExecuteCancelAction
 | BeginDrag
 | EndDrag
 | BringToFront
 | HasParent
 | GetParentComponent
 | IsParentOf
 | GetTopParent
 | IsVisible
 | IsControlVisible
 | IsEnabled
 | IsParentColor
 | IsParentFont
 | FormIsUpdating
 | IsProcessingPaintMsg
 | Hide
 | Refresh
 | Repaint
 | Invalidate
 | CheckChildClassAllowed
 | CheckNewParent
 | SendToBack
 | SetTempCursor
 | UpdateRolesForForm
 | ActiveDefaultControlChanged
 | GetTextBuf
 | GetTextLen
 | SetTextBuf
 | Perform
 | ScreenToClient
 | ClientToScreen
 | ScreenToControl
 | ControlToScreen
 | ClientToParent
 | ParentToClient
 | GetChildrenRect
 | Show
 | Update
 | HandleObjectShouldBeVisible
 | ParentDestroyingHandle
 | ParentHandlesAllocated
 | InitiateAction
 | ShowHelp
 | HasHelp
 | RemoveAllHandlersOfObject
 | AddHandlerOnResize
 | RemoveHandlerOnResize
 | AddHandlerOnChangeBounds
 | RemoveHandlerOnChangeBounds
 | AddHandlerOnVisibleChanging
 | RemoveHandlerOnVisibleChanging
 | AddHandlerOnVisibleChanged
 | RemoveHandlerOnVisibleChanged
 | AddHandlerOnEnabledChanged
 | RemoveHandlerOnEnableChanging
 | AddHandlerOnKeyDown
 | RemoveHandlerOnKeyDown
 | AddHandlerOnBeforeDestruction
 | RemoveHandlerOnBeforeDestruction
 | AddHandlerOnMouseWheel
 | RemoveHandlerOnMouseWheel
 | UseRightToLeftAlignment
 | UseRightToLeftReading
 | UseRightToLeftScrollBar
 | IsRightToLeft
TLCLComponent
pt | WSRegisterClass
pt | GetWSComponentClass
 | Create
 | Destroy
 | NewInstance
 | RemoveAllHandlersOfObject
 | IncLCLRefCount
 | DecLCLRefCount
TComponent
 | GetComObject
 | GetComponent
 | GetComponentCount
 | GetComponentIndex
 | Insert
 | ReadLeft
 | ReadTop
 | Remove
 | RemoveNotification
 | SetComponentIndex
 | SetReference
 | WriteLeft
 | WriteTop
 | ChangeName
 | DefineProperties
 | GetChildren
 | GetChildOwner
 | GetChildParent
 | GetOwner
 | Loaded
 | Loading
 | Notification
 | PaletteCreated
 | ReadState
 | SetAncestor
 | SetDesigning
 | SetDesignInstance
 | SetInline
 | SetName
 | SetChildOrder
 | SetParentComponent
 | Updating
 | Updated
 | UpdateRegistry
 | ValidateRename
 | ValidateContainer
 | ValidateInsert
 | QueryInterface
 | _AddRef
 | _Release
 | iicrGetComponent
 | GetTypeInfoCount
 | GetTypeInfo
 | GetIDsOfNames
 | Invoke
 | WriteState
 | Create
 | Destroy
 | BeforeDestruction
 | DestroyComponents
 | Destroying
 | ExecuteAction
 | FindComponent
 | FreeNotification
 | RemoveFreeNotification
 | FreeOnRelease
 | GetEnumerator
 | GetNamePath
 | GetParentComponent
 | HasParent
 | InsertComponent
 | RemoveComponent
 | SafeCallException
 | SetSubComponent
 | UpdateAction
 | IsImplementorOf
 | ReferenceInterface
TPersistent
 | AssignError
 | AssignTo
 | DefineProperties
 | GetOwner
 | Destroy
 | Assign
 | FPOAttachObserver
 | FPODetachObserver
 | FPONotifyObservers
 | GetNamePath
TObject
 | Create
 | Destroy
 | newinstance
 | FreeInstance
 | SafeCallException
 | DefaultHandler
 | Free
 | InitInstance
 | CleanupInstance
 | ClassType
 | ClassInfo
 | ClassName
 | ClassNameIs
 | ClassParent
 | InstanceSize
 | InheritsFrom
 | StringMessageTable
 | MethodAddress
 | MethodName
 | FieldAddress
 | AfterConstruction
 | BeforeDestruction
 | DefaultHandlerStr
 | Dispatch
 | DispatchStr
 | GetInterface
 | GetInterfaceByStr
 | GetInterfaceWeak
 | GetInterfaceEntry
 | GetInterfaceEntryByStr
 | GetInterfaceTable
 | UnitName
 | Equals
 | GetHashCode
 | ToString


pt | ActionChange (TControl)
pt | Activate (TCustomForm)
pt | ActiveChanged (TCustomForm)
 | ActiveDefaultControlChanged (TControl)
 | ActiveMDIChild (TCustomForm)
 | AddControl (TWinControl)
pt | AddHandler (TControl)
 | AddHandlerClose (TCustomForm)
 | AddHandlerCreate (TCustomForm)
 | AddHandlerFirstShow (TCustomForm)
 | AddHandlerOnBeforeDestruction (TControl)
 | AddHandlerOnChangeBounds (TControl)
 | AddHandlerOnEnabledChanged (TControl)
 | AddHandlerOnKeyDown (TControl)
 | AddHandlerOnMouseWheel (TControl)
 | AddHandlerOnResize (TControl)
 | AddHandlerOnVisibleChanged (TControl)
 | AddHandlerOnVisibleChanging (TControl)
pt | AdjustClientRect (TWinControl)
pt | AdjustClientRect (TCustomForm)
 | AdjustSize (TControl)
 | AfterConstruction (TObject)
 | AfterConstruction (TCustomForm)
pt | AlignControls (TWinControl)
pt | AlignControls (TScrollingWinControl)
pt | AllAutoSized (TWinControl)
pt | AllAutoSized (TCustomForm)
 | AnchorAsAlign (TControl)
 | AnchorClient (TControl)
 | AnchoredControlCount (TControl)
 | AnchorHorizontalCenterTo (TControl)
 | AnchorParallel (TControl)
 | AnchorSame (TControl)
pt | AnchorSideChanged (TControl)
 | AnchorToCompanion (TControl)
 | AnchorToNeighbour (TControl)
 | AnchorVerticalCenterTo (TControl)
 | Assign (TPersistent)
 | AssignError (TPersistent)
 | AssignTo (TPersistent)
pt | AssignTo (TControl)
 | AutoAdjustLayout (TControl)
 | AutoAdjustLayout (TWinControl)
 | AutoAdjustLayout (TCustomDesignControl)
 | AutoScale (TCustomForm)
pt | AutoScrollEnabled (TScrollingWinControl)
 | AutoSizeDelayed (TControl)
 | AutoSizeDelayed (TWinControl)
 | AutoSizeDelayedHandle (TControl)
 | AutoSizeDelayedHandle (TWinControl)
 | AutoSizeDelayedHandle (TCustomForm)
 | AutoSizeDelayedReport (TControl)
 | AutoSizeDelayedReport (TWinControl)
 | AutoSizePhases (TControl)
 | AutoSizePhases (TWinControl)
 | BeforeDestruction (TObject)
 | BeforeDestruction (TComponent)
 | BeforeDestruction (TControl)
 | BeforeDestruction (TCustomForm)
pt | BeforeDragStart (TControl)
pt | BeginAutoDrag (TControl)
pt | BeginAutoDrag (TCustomForm)
pt | BeginAutoSizing (TControl)
 | BeginDrag (TControl)
pt | BeginFormUpdate (TCustomForm)
 | BeginUpdateBounds (TWinControl)
 | BigIconHandle (TCustomForm)
pt | BoundsChanged (TControl)
 | BringToFront (TControl)
 | BroadCast (TWinControl)
 | BrushCreated (TWinControl)
pt | CalculateAutoRanges (TScrollingWinControl)
pt | CalculateDockSizes (TControl)
pt | CalculatePreferredSize (TControl)
pt | CalculatePreferredSize (TWinControl)
pt | CalculatePreferredSize (TCustomForm)
pt | CanAutoSize (TControl)
 | CanFocus (TWinControl)
 | CanFocus (TCustomForm)
 | CanSetFocus (TWinControl)
pt | CanTab (TControl)
pt | CanTab (TWinControl)
pt | CaptureChanged (TControl)
pt | ChangeBounds (TControl)
pt | Changed (TControl)
 | ChangeName (TComponent)
pt | ChangeScale (TControl)
pt | ChangeScale (TWinControl)
 | CheckChildClassAllowed (TControl)
 | CheckNewParent (TControl)
pt | CheckOnChangeBounds (TControl)
pt | ChildClassAllowed (TControl)
pt | ChildClassAllowed (TWinControl)
pt | ChildHandlesCreated (TWinControl)
pt | ChildHandlesCreated (TCustomForm)
pt | ChildKey (TWinControl)
 | ClassInfo (TObject)
 | ClassName (TObject)
 | ClassNameIs (TObject)
 | ClassParent (TObject)
 | ClassType (TObject)
 | CleanupInstance (TObject)
pt | Click (TControl)
 | ClientRectNeedsInterfaceUpdate (TWinControl)
 | ClientToParent (TControl)
 | ClientToScreen (TControl)
 | ClientToScreen (TScrollingWinControl)
 | Close (TCustomForm)
 | CloseQuery (TCustomForm)
pt | CMActionExecute (TCustomForm)
pt | CMActionUpdate (TCustomForm)
pt | CMActivate (TCustomForm)
pt | CMAppShowBtnGlyphChanged (TCustomForm)
pt | CMAppShowMenuGlyphChanged (TCustomForm)
pt | CMBiDiModeChanged (TControl)
pt | CMBiDiModeChanged (TWinControl)
pt | CMBiDiModeChanged (TCustomForm)
pt | CMBorderChanged (TWinControl)
pt | CMChanged (TControl)
pt | CMCursorChanged (TControl)
pt | CMDeactivate (TCustomForm)
pt | CMDoubleBufferedChanged (TWinControl)
pt | CMEnabledChanged (TControl)
pt | CMEnabledChanged (TWinControl)
pt | CMEnter (TWinControl)
pt | CMExit (TWinControl)
pt | CMHintShow (TControl)
pt | CMHitTest (TControl)
pt | CMIconChanged (TCustomForm)
pt | CMMouseEnter (TControl)
pt | CMMouseLeave (TControl)
pt | CMParentBiDiModeChanged (TControl)
pt | CMParentBiDiModeChanged (TCustomForm)
pt | CMParentColorChanged (TControl)
pt | CMParentDoubleBufferedChanged (TWinControl)
pt | CMParentFontChanged (TControl)
pt | CMParentShowHintChanged (TControl)
pt | CMRelease (TCustomForm)
pt | CMShowHintChanged (TWinControl)
pt | CMShowingChanged (TWinControl)
pt | CMShowingChanged (TCustomForm)
pt | CMSysFontChanged (TControl)
pt | CMTextChanged (TControl)
pt | CMVisibleChanged (TControl)
pt | CMVisibleChanged (TWinControl)
pt | CNChar (TWinControl)
pt | CNKeyDown (TWinControl)
pt | CNKeyUp (TWinControl)
 | CNPreferredSizeChanged (TControl)
pt | CNSysKeyDown (TWinControl)
pt | CNSysKeyUp (TWinControl)
pt | ColorIsStored (TControl)
pt | ColorIsStored (TCustomForm)
pt | ComputeScrollbars (TScrollingWinControl)
pt | ConstrainedResize (TControl)
 | ContainsControl (TWinControl)
 | ControlAtPos (TWinControl)
pt | ControlKeyDown (TWinControl)
pt | ControlKeyUp (TWinControl)
pt | ControlsAligned (TWinControl)
 | ControlToScreen (TControl)
 | Create (TObject)
 | Create (TComponent)
 | Create (TLCLComponent)
 | Create (TControl)
 | Create (TWinControl)
 | Create (TCustomControl)
 | Create (TScrollingWinControl)
 | Create (TCustomDesignControl)
 | Create (TCustomForm)
 | Create (TCustomDockForm)
 | CreateAccessibleObject (TControl)
pt | CreateBrush (TWinControl)
pt | CreateControlBorderSpacing (TControl)
pt | CreateDockManager (TWinControl)
pt | CreateFloatingDockSite (TControl)
pt | CreateHandle (TWinControl)
 | CreateNew (TCustomForm)
pt | CreateParams (TWinControl)
pt | CreateParams (TCustomForm)
 | CreateParented (TWinControl)
 | CreateParentedControl (TWinControl)
pt | CreateSubClass (TWinControl)
pt | CreateWnd (TWinControl)
pt | CreateWnd (TScrollingWinControl)
pt | CreateWnd (TCustomForm)
pt | CustomAlignInsertBefore (TWinControl)
pt | CustomAlignPosition (TWinControl)
pt | DblClick (TControl)
pt | Deactivate (TCustomForm)
 | DecLCLRefCount (TLCLComponent)
 | DefaultHandler (TObject)
 | DefaultHandler (TWinControl)
 | DefaultHandlerStr (TObject)
 | DefineProperties (TPersistent)
 | DefineProperties (TComponent)
pt | DefineProperties (TControl)
 | DefocusControl (TCustomForm)
 | Destroy (TObject)
 | Destroy (TPersistent)
 | Destroy (TComponent)
 | Destroy (TLCLComponent)
 | Destroy (TControl)
 | Destroy (TWinControl)
 | Destroy (TCustomControl)
 | Destroy (TScrollingWinControl)
 | Destroy (TCustomForm)
 | DestroyComponents (TComponent)
pt | DestroyHandle (TWinControl)
 | Destroying (TComponent)
pt | DestroyWnd (TWinControl)
pt | DestroyWnd (TCustomControl)
 | DestroyWnd (TCustomForm)
pt | DialogChar (TControl)
pt | DialogChar (TWinControl)
 | DisableAlign (TWinControl)
 | DisableAutoSizing (TControl)
 | Dispatch (TObject)
 | DispatchStr (TObject)
pt | DoAddActionList (TCustomForm)
pt | DoAddDockClient (TWinControl)
pt | DoAddDockClient (TCustomDockForm)
 | DoAdjustClientRectChange (TWinControl)
pt | DoAlignChildControls (TWinControl)
pt | DoAllAutoSize (TControl)
pt | DoAllAutoSize (TWinControl)
pt | DoAutoAdjustLayout (TControl)
pt | DoAutoAdjustLayout (TCustomDesignControl)
pt | DoAutoSize (TControl)
pt | DoAutoSize (TWinControl)
pt | DoAutoSize (TCustomForm)
pt | DoBorderSpacingChange (TControl)
pt | DoCallKeyEventHandler (TControl)
pt | DoCallMouseWheelEventHandler (TControl)
pt | DoCallNotifyHandler (TControl)
pt | DoChildSizingChange (TWinControl)
 | Dock (TControl)
 | Dock (TCustomForm)
 | DockDrop (TWinControl)
 | Docked (TControl)
pt | DockOver (TWinControl)
pt | DockTrackNoTarget (TControl)
pt | DoClose (TCustomForm)
pt | DoConstraintsChange (TControl)
pt | DoConstraintsChange (TWinControl)
pt | DoContextPopup (TControl)
pt | DoCreate (TCustomForm)
pt | DoDestroy (TCustomForm)
pt | DoDock (TControl)
pt | DoDock (TCustomForm)
pt | DoDockClientMsg (TWinControl)
pt | DoDockOver (TWinControl)
pt | DoDragMsg (TControl)
pt | DoDragMsg (TWinControl)
pt | DoEndDock (TControl)
pt | DoEndDrag (TControl)
pt | DoEnter (TWinControl)
pt | DoExecuteAction (TCustomForm)
pt | DoExit (TWinControl)
pt | DoFirstShow (TCustomForm)
pt | DoFixDesignFontPPI (TControl)
pt | DoFlipChildren (TWinControl)
pt | DoFloatMsg (TControl)
pt | DoFloatMsg (TWinControl)
pt | DoGetDockCaption (TWinControl)
pt | DoHide (TCustomForm)
pt | DoKeyDownBeforeInterface (TWinControl)
pt | DoKeyPress (TWinControl)
pt | DoKeyUpBeforeInterface (TWinControl)
pt | DoMouseWheel (TControl)
pt | DoMouseWheelDown (TControl)
pt | DoMouseWheelHorz (TControl)
pt | DoMouseWheelLeft (TControl)
pt | DoMouseWheelRight (TControl)
pt | DoMouseWheelUp (TControl)
pt | DoOnChangeBounds (TControl)
pt | DoOnParentHandleDestruction (TControl)
pt | DoOnResize (TControl)
pt | DoOnResize (TScrollingWinControl)
pt | DoOnShowHint (TControl)
pt | DoRemainingKeyDown (TWinControl)
pt | DoRemainingKeyUp (TWinControl)
pt | DoRemoveActionList (TCustomForm)
pt | DoRemoveDockClient (TWinControl)
pt | DoRemoveDockClient (TCustomDockForm)
pt | DoScaleFontPPI (TControl)
pt | DoSendBoundsToInterface (TWinControl)
pt | DoSendBoundsToInterface (TCustomForm)
pt | DoSendShowHideToInterface (TWinControl)
pt | DoSetBounds (TControl)
pt | DoSetBounds (TWinControl)
pt | DoShow (TCustomForm)
pt | DoShowWindow (TCustomForm)
pt | DoStartDock (TControl)
pt | DoStartDrag (TControl)
pt | DoUnDock (TWinControl)
pt | DoUndockClientMsg (TWinControl)
pt | DoUpdateAction (TCustomForm)
pt | DoUTF8KeyPress (TWinControl)
pt | DragCanceled (TControl)
 | DragDrop (TControl)
 | Dragging (TControl)
pt | DragOver (TControl)
 | EditingDone (TControl)
 | EnableAlign (TWinControl)
 | EnableAutoSizing (TControl)
pt | EnabledChanged (TControl)
pt | EnabledChanging (TControl)
pt | EndAutoSizing (TControl)
 | EndDrag (TControl)
pt | EndFormUpdate (TCustomForm)
 | EndUpdateBounds (TWinControl)
 | EnsureVisible (TCustomForm)
 | Equals (TObject)
 | EraseBackground (TWinControl)
 | ExecuteAction (TComponent)
 | ExecuteCancelAction (TControl)
 | ExecuteDefaultAction (TControl)
 | FieldAddress (TObject)
pt | FinalizeWnd (TWinControl)
 | FindChildControl (TWinControl)
 | FindComponent (TComponent)
pt | FindNextControl (TWinControl)
 | FixDesignFontsPPI (TControl)
pt | FixupTabList (TWinControl)
 | FlipChildren (TWinControl)
 | FocusControl (TCustomForm)
 | Focused (TWinControl)
pt | FontChanged (TControl)
pt | FontChanged (TWinControl)
pt | FontChanged (TCustomControl)
pt | ForeignAnchorSideChanged (TControl)
pt | FormEndUpdated (TControl)
pt | FormEndUpdated (TWinControl)
 | FormIsUpdating (TControl)
 | FormIsUpdating (TCustomForm)
 | FPOAttachObserver (TPersistent)
 | FPODetachObserver (TPersistent)
 | FPONotifyObservers (TPersistent)
 | Free (TObject)
 | FreeInstance (TObject)
 | FreeNotification (TComponent)
 | FreeOnRelease (TComponent)
 | GetAccessibleObject (TControl)
pt | GetAction (TControl)
pt | GetActionLinkClass (TControl)
pt | GetAdjustedLogicalClientRect (TWinControl)
 | GetAnchorsDependingOnParent (TControl)
pt | GetBorderStyle (TWinControl)
pt | GetCachedText (TControl)
 | GetCanvasScaleFactor (TControl)
 | GetChildAccessibleObjectAtPos (TControl)
 | GetChildOwner (TComponent)
 | GetChildParent (TComponent)
 | GetChildren (TComponent)
pt | GetChildren (TWinControl)
 | GetChildren (TCustomForm)
 | GetChildrenRect (TControl)
 | GetChildrenRect (TWinControl)
pt | GetClientOrigin (TControl)
pt | GetClientOrigin (TWinControl)
pt | GetClientRect (TControl)
pt | GetClientRect (TWinControl)
pt | GetClientScrollOffset (TControl)
pt | GetClientScrollOffset (TScrollingWinControl)
 | GetColorResolvingParent (TControl)
 | GetComObject (TComponent)
 | GetComponent (TComponent)
 | GetComponentCount (TComponent)
 | GetComponentIndex (TComponent)
pt | GetControlClassDefaultSize (TControl)
 | GetControlClassDefaultSize (TScrollingWinControl)
 | GetControlClassDefaultSize (TCustomForm)
 | GetControlIndex (TWinControl)
pt | GetControlOrigin (TControl)
pt | GetControlOrigin (TWinControl)
pt | GetCursor (TControl)
 | GetDefaultColor (TControl)
pt | GetDefaultDockCaption (TControl)
pt | GetDefaultDockCaption (TCustomForm)
 | GetDefaultHeight (TControl)
 | GetDefaultWidth (TControl)
pt | GetDeviceContext (TControl)
pt | GetDeviceContext (TWinControl)
 | GetDockCaption (TWinControl)
pt | GetDockEdge (TControl)
pt | GetDragImages (TControl)
pt | GetEnabled (TControl)
 | GetEnumerator (TComponent)
 | GetEnumeratorControls (TWinControl)
 | GetEnumeratorControlsReverse (TWinControl)
pt | GetFloating (TControl)
pt | GetFloating (TCustomForm)
pt | GetFloatingDockSiteClass (TControl)
 | GetFormImage (TCustomForm)
 | GetHashCode (TObject)
 | GetIDsOfNames (TComponent)
 | GetInterface (TObject)
 | GetInterfaceByStr (TObject)
 | GetInterfaceEntry (TObject)
 | GetInterfaceEntryByStr (TObject)
 | GetInterfaceTable (TObject)
 | GetInterfaceWeak (TObject)
pt | GetLogicalClientRect (TControl)
pt | GetLogicalClientRect (TScrollingWinControl)
 | GetMDIChildren (TCustomForm)
pt | GetMouseCapture (TControl)
pt | GetMouseCapture (TWinControl)
pt | GetMousePosFromMessage (TControl)
 | GetNamePath (TPersistent)
 | GetNamePath (TComponent)
 | GetOwner (TPersistent)
 | GetOwner (TComponent)
pt | GetPalette (TControl)
pt | GetParentBackground (TWinControl)
 | GetParentComponent (TComponent)
 | GetParentComponent (TControl)
pt | GetParentHandle (TWinControl)
pt | GetPopupMenu (TControl)
 | GetPreferredSize (TControl)
 | GetPreferredSize (TCustomForm)
pt | GetPreferredSizeClientFrame (TWinControl)
pt | GetPreferredSizeClientFrame (TScrollingWinControl)
 | GetRealPopupParent (TCustomForm)
 | GetRGBColorResolvingParent (TControl)
 | GetRolesForControl (TCustomForm)
pt | GetScrolledClientRect (TControl)
 | GetSelectedChildAccessibleObject (TControl)
 | GetSidePosition (TControl)
pt | GetSiteInfo (TWinControl)
pt | GetSiteInfo (TCustomDockForm)
 | GetTabOrderList (TWinControl)
 | GetTextBuf (TControl)
 | GetTextLen (TControl)
 | GetTextLen (TWinControl)
 | GetTopParent (TControl)
pt | GetTopParentHandle (TWinControl)
 | GetTypeInfo (TComponent)
 | GetTypeInfoCount (TComponent)
pt | GetWSComponentClass (TLCLComponent)
 | HandleAllocated (TWinControl)
pt | HandleCreateException (TCustomForm)
pt | HandleDestroyException (TCustomForm)
 | HandleNeeded (TWinControl)
 | HandleObjectShouldBeVisible (TControl)
pt | HandleShowHideException (TCustomForm)
 | HasHelp (TControl)
 | HasParent (TComponent)
 | HasParent (TControl)
pt | HeightIsAnchored (TControl)
 | Hide (TControl)
 | Hide (TCustomForm)
 | iicrGetComponent (TComponent)
 | IncLCLRefCount (TLCLComponent)
 | InheritsFrom (TObject)
pt | InitializeWnd (TWinControl)
pt | InitializeWnd (TCustomForm)
 | InitiateAction (TControl)
 | InitInstance (TObject)
 | Insert (TComponent)
 | InsertComponent (TComponent)
 | InsertControl (TWinControl)
 | InstanceSize (TObject)
 | IntfDropFiles (TCustomForm)
 | IntfGetDropFilesTarget (TWinControl)
 | IntfHelp (TCustomForm)
 | IntfUTF8KeyPress (TWinControl)
 | Invalidate (TControl)
 | Invalidate (TWinControl)
pt | InvalidateBoundsRealized (TWinControl)
 | InvalidateClientRectCache (TWinControl)
pt | InvalidateControl (TControl)
pt | InvalidatePreferredChildSizes (TWinControl)
 | InvalidatePreferredSize (TControl)
 | Invoke (TComponent)
pt | IsAParentAligning (TControl)
pt | IsBorderSpacingInnerBorderStored (TControl)
pt | IsCaptionStored (TControl)
pt | IsClientHeightStored (TControl)
pt | IsClientHeightStored (TWinControl)
pt | IsClientWidthStored (TControl)
pt | IsClientWidthStored (TWinControl)
pt | IsControlMouseMsg (TWinControl)
 | IsControlVisible (TControl)
 | IsEnabled (TControl)
 | IsImplementorOf (TComponent)
 | IsParentColor (TControl)
 | IsParentFont (TControl)
 | IsParentOf (TControl)
 | IsProcessingPaintMsg (TControl)
 | IsRightToLeft (TControl)
 | IsShortcut (TCustomForm)
 | IsVisible (TControl)
pt | KeyDown (TWinControl)
pt | KeyDownAfterInterface (TWinControl)
pt | KeyDownBeforeInterface (TWinControl)
pt | KeyPress (TWinControl)
pt | KeyUp (TWinControl)
pt | KeyUpAfterInterface (TWinControl)
pt | KeyUpBeforeInterface (TWinControl)
pt | LMCaptureChanged (TControl)
 | Loaded (TComponent)
pt | Loaded (TControl)
pt | Loaded (TWinControl)
pt | Loaded (TScrollingWinControl)
pt | Loaded (TCustomDesignControl)
pt | Loaded (TCustomForm)
pt | Loaded (TCustomDockForm)
pt | LoadedAll (TControl)
 | Loading (TComponent)
 | LockRealizeBounds (TWinControl)
pt | MainWndProc (TWinControl)
 | MakeFullyVisible (TCustomForm)
 | ManualDock (TControl)
 | ManualFloat (TControl)
 | MDIChildCount (TCustomForm)
 | MethodAddress (TObject)
 | MethodName (TObject)
pt | MouseDown (TControl)
pt | MouseEnter (TControl)
pt | MouseLeave (TControl)
pt | MouseMove (TControl)
pt | MouseUp (TControl)
pt | MoveToDefaultPosition (TCustomForm)
 | newinstance (TObject)
 | NewInstance (TLCLComponent)
 | Notification (TComponent)
pt | Notification (TControl)
pt | Notification (TCustomForm)
 | NotifyControls (TWinControl)
pt | Paint (TCustomControl)
pt | PaintControls (TWinControl)
pt | PaintHandler (TWinControl)
 | PaintTo (TWinControl)
pt | PaintWindow (TWinControl)
pt | PaintWindow (TCustomControl)
pt | PaintWindow (TCustomForm)
 | PaletteCreated (TComponent)
 | ParentDestroyingHandle (TControl)
pt | ParentFontChanged (TControl)
pt | ParentFormHandleInitialized (TControl)
pt | ParentFormHandleInitialized (TWinControl)
 | ParentHandlesAllocated (TControl)
 | ParentHandlesAllocated (TWinControl)
 | ParentToClient (TControl)
 | Perform (TControl)
 | PerformTab (TWinControl)
pt | PositionDockRect (TControl)
pt | ProcessResource (TCustomForm)
pt | QuadClick (TControl)
 | QueryInterface (TComponent)
 | ReadLeft (TComponent)
 | ReadState (TComponent)
pt | ReadState (TControl)
 | ReadTop (TComponent)
pt | RealGetText (TControl)
pt | RealGetText (TWinControl)
 | ReAlign (TWinControl)
pt | RealizeBounds (TWinControl)
pt | RealizeBoundsRecursive (TWinControl)
pt | RealSetText (TControl)
pt | RealSetText (TWinControl)
 | ReferenceInterface (TComponent)
 | Refresh (TControl)
 | Release (TCustomForm)
pt | ReloadDockedControl (TWinControl)
 | Remove (TComponent)
 | RemoveAllHandlersOfObject (TLCLComponent)
 | RemoveAllHandlersOfObject (TControl)
 | RemoveAllHandlersOfObject (TCustomForm)
 | RemoveComponent (TComponent)
 | RemoveControl (TWinControl)
pt | RemoveFocus (TWinControl)
 | RemoveFreeNotification (TComponent)
pt | RemoveHandler (TControl)
 | RemoveHandlerClose (TCustomForm)
 | RemoveHandlerCreate (TCustomForm)
 | RemoveHandlerFirstShow (TCustomForm)
 | RemoveHandlerOnBeforeDestruction (TControl)
 | RemoveHandlerOnChangeBounds (TControl)
 | RemoveHandlerOnEnableChanging (TControl)
 | RemoveHandlerOnKeyDown (TControl)
 | RemoveHandlerOnMouseWheel (TControl)
 | RemoveHandlerOnResize (TControl)
 | RemoveHandlerOnVisibleChanged (TControl)
 | RemoveHandlerOnVisibleChanging (TControl)
 | RemoveNotification (TComponent)
 | Repaint (TControl)
 | Repaint (TWinControl)
 | ReplaceDockedControl (TControl)
pt | RequestAlign (TControl)
pt | RequestAlign (TCustomForm)
pt | Resize (TControl)
pt | Resizing (TScrollingWinControl)
pt | Resizing (TCustomForm)
 | SafeCallException (TObject)
 | SafeCallException (TComponent)
 | Scale96ToFont (TControl)
 | Scale96ToForm (TControl)
 | Scale96ToScreen (TControl)
 | ScaleBy (TWinControl)
pt | ScaleConstraints (TControl)
pt | ScaleControls (TWinControl)
 | ScaleDesignToForm (TControl)
 | ScaleFontsPPI (TControl)
 | ScaleFontTo96 (TControl)
 | ScaleFontToScreen (TControl)
 | ScaleFormTo96 (TControl)
 | ScaleFormToDesign (TControl)
 | ScaleScreenTo96 (TControl)
 | ScaleScreenToFont (TControl)
 | ScreenToClient (TControl)
 | ScreenToClient (TScrollingWinControl)
 | ScreenToControl (TControl)
 | ScrollBy (TWinControl)
 | ScrollBy (TScrollingWinControl)
 | ScrollBy_WS (TWinControl)
 | ScrollInView (TScrollingWinControl)
pt | SelectFirst (TWinControl)
 | SelectNext (TWinControl)
pt | SendDialogChar (TWinControl)
pt | SendMoveSizeMessages (TControl)
pt | SendMoveSizeMessages (TWinControl)
 | SendToBack (TControl)
pt | SetAction (TControl)
pt | SetAlign (TControl)
 | SetAncestor (TComponent)
pt | SetAnchors (TControl)
pt | SetAutoScroll (TScrollingWinControl)
pt | SetAutoScroll (TCustomForm)
pt | SetAutoSize (TControl)
pt | SetAutoSize (TScrollingWinControl)
pt | SetAutoSize (TCustomForm)
pt | SetBiDiMode (TControl)
pt | SetBorderStyle (TWinControl)
 | SetBounds (TControl)
 | SetBounds (TWinControl)
 | SetBoundsKeepBase (TControl)
 | SetChildOrder (TComponent)
pt | SetChildZPosition (TWinControl)
pt | SetColor (TControl)
pt | SetColor (TWinControl)
pt | SetColor (TCustomControl)
 | SetComponentIndex (TComponent)
 | SetControlIndex (TWinControl)
pt | SetCursor (TControl)
 | SetDesigning (TComponent)
 | SetDesignInstance (TComponent)
pt | SetDockManager (TWinControl)
pt | SetDragMode (TControl)
pt | SetEnabled (TControl)
 | SetFocus (TWinControl)
 | SetFocus (TCustomForm)
 | SetFocusedControl (TCustomForm)
pt | SetHint (TControl)
 | SetInitialBounds (TControl)
 | SetInline (TComponent)
 | SetName (TComponent)
pt | SetName (TControl)
pt | SetParent (TControl)
pt | SetParent (TCustomForm)
pt | SetParentBackground (TWinControl)
pt | SetParentBiDiMode (TControl)
 | SetParentComponent (TComponent)
pt | SetParentComponent (TControl)
 | SetReference (TComponent)
 | SetRestoredBounds (TCustomForm)
pt | SetScaled (TCustomDesignControl)
pt | SetScaled (TCustomForm)
 | SetShape (TWinControl)
 | SetSubComponent (TComponent)
 | SetTempCursor (TControl)
 | SetTempCursor (TWinControl)
 | SetTextBuf (TControl)
pt | SetVisible (TControl)
pt | SetVisible (TCustomForm)
pt | SetZOrder (TControl)
pt | SetZOrder (TCustomForm)
 | ShouldAutoAdjust (TControl)
 | Show (TControl)
 | Show (TCustomForm)
pt | ShowControl (TWinControl)
 | ShowHelp (TControl)
 | ShowModal (TCustomForm)
 | ShowOnTop (TCustomForm)
 | SmallIconHandle (TCustomForm)
 | StringMessageTable (TObject)
pt | TextChanged (TControl)
 | ToString (TObject)
pt | TripleClick (TControl)
 | UnitName (TObject)
 | UnlockRealizeBounds (TWinControl)
 | Update (TControl)
 | Update (TWinControl)
 | UpdateAction (TComponent)
pt | UpdateActions (TCustomForm)
pt | UpdateAnchorRules (TControl)
 | UpdateBaseBounds (TControl)
pt | UpdateControlState (TWinControl)
 | Updated (TComponent)
 | UpdateDockCaption (TWinControl)
 | UpdateDockCaption (TCustomForm)
pt | UpdateMouseCursor (TControl)
 | UpdateRegistry (TComponent)
 | UpdateRolesForForm (TControl)
 | UpdateScrollbars (TScrollingWinControl)
pt | UpdateShowing (TWinControl)
pt | UpdateShowing (TCustomForm)
pt | UpdateWindowState (TCustomForm)
 | Updating (TComponent)
 | UseRightToLeftAlignment (TControl)
 | UseRightToLeftReading (TControl)
 | UseRightToLeftScrollBar (TControl)
pt | UTF8KeyPress (TWinControl)
 | ValidateContainer (TComponent)
 | ValidateInsert (TComponent)
 | ValidateRename (TComponent)
pt | VisibleChanged (TControl)
pt | VisibleChanged (TCustomForm)
pt | VisibleChanging (TControl)
pt | VisibleChanging (TCustomForm)
pt | VisibleIsStored (TCustomForm)
 | WantChildKey (TCustomForm)
pt | WidthIsAnchored (TControl)
pt | WMActivate (TCustomForm)
pt | WMCancelMode (TControl)
pt | WMChar (TWinControl)
pt | WMCloseQuery (TCustomForm)
pt | WMContextMenu (TControl)
pt | WMContextMenu (TWinControl)
pt | WMDestroy (TWinControl)
pt | WMDPIChanged (TCustomForm)
pt | WMEnter (TWinControl)
pt | WMEraseBkgnd (TWinControl)
pt | WMExit (TWinControl)
pt | WMHelp (TCustomForm)
pt | WMHScroll (TScrollingWinControl)
pt | WMKeyDown (TWinControl)
pt | WMKeyUp (TWinControl)
pt | WMKillFocus (TWinControl)
pt | WMLButtonDBLCLK (TControl)
pt | WMLButtonDown (TControl)
pt | WMLButtonQuadCLK (TControl)
pt | WMLButtonTripleCLK (TControl)
pt | WMLButtonUp (TControl)
pt | WMMButtonDBLCLK (TControl)
pt | WMMButtonDown (TControl)
pt | WMMButtonQuadCLK (TControl)
pt | WMMButtonTripleCLK (TControl)
pt | WMMButtonUp (TControl)
pt | WMMouseHWheel (TControl)
pt | WMMouseMove (TControl)
pt | WMMouseWheel (TControl)
pt | WMMove (TControl)
pt | WMMove (TWinControl)
pt | WMMove (TCustomForm)
pt | WMNotify (TWinControl)
pt | WMPaint (TWinControl)
pt | WMPaint (TCustomControl)
pt | WMRButtonDBLCLK (TControl)
pt | WMRButtonDown (TControl)
pt | WMRButtonQuadCLK (TControl)
pt | WMRButtonTripleCLK (TControl)
pt | WMRButtonUp (TControl)
pt | WMSetFocus (TWinControl)
pt | WMShowWindow (TWinControl)
pt | WMShowWindow (TCustomForm)
pt | WMSize (TControl)
pt | WMSize (TWinControl)
pt | WMSize (TScrollingWinControl)
pt | WMSize (TCustomForm)
pt | WMSysChar (TWinControl)
pt | WMSysKeyDown (TWinControl)
pt | WMSysKeyUp (TWinControl)
pt | WMVScroll (TScrollingWinControl)
pt | WMWindowPosChanged (TControl)
pt | WMWindowPosChanged (TWinControl)
pt | WMWindowPosChanged (TCustomForm)
pt | WMXButtonDBLCLK (TControl)
pt | WMXButtonDown (TControl)
pt | WMXButtonQuadCLK (TControl)
pt | WMXButtonTripleCLK (TControl)
pt | WMXButtonUp (TControl)
pt | WndProc (TControl)
pt | WndProc (TWinControl)
pt | WndProc (TCustomForm)
 | WriteLayoutDebugReport (TControl)
 | WriteLayoutDebugReport (TWinControl)
 | WriteLeft (TComponent)
 | WriteState (TComponent)
 | WriteTop (TComponent)
pt | WSRegisterClass (TLCLComponent)
pt | WSRegisterClass (TControl)
pt | WSRegisterClass (TWinControl)
pt | WSRegisterClass (TCustomControl)
pt | WSRegisterClass (TScrollingWinControl)
pt | WSRegisterClass (TCustomForm)
pt | WSSetText (TWinControl)
 | _AddRef (TComponent)
 | _Release (TComponent)


TCustomDockForm
TCustomForm
 |  | OnActivate
 |  | OnClose
 |  | OnCloseQuery
 |  | OnCreate
 |  | OnDeactivate
 |  | OnDestroy
 |  | OnDropFiles
 |  | OnHelp
 |  | OnHide
 | ro | OnResize
 |  | OnShortcut
 |  | OnShow
 |  | OnShowModalFinished
 |  | OnWindowStateChange
TCustomDesignControl
TScrollingWinControl
TCustomControl
 |  | OnPaint
TWinControl
pt |  | OnGetSiteInfo
pt |  | OnGetDockCaption
 |  | OnAlignInsertBefore
 |  | OnAlignPosition
 |  | OnDockDrop
 |  | OnDockOver
 |  | OnEnter
 |  | OnExit
 |  | OnKeyDown
 |  | OnKeyPress
 |  | OnKeyUp
 |  | OnUnDock
 |  | OnUTF8KeyPress
TControl
pt |  | OnConstrainedResize
pt |  | OnContextPopup
pt |  | OnDblClick
pt |  | OnTripleClick
pt |  | OnQuadClick
pt |  | OnDragDrop
pt |  | OnDragOver
pt |  | OnEndDock
pt |  | OnEndDrag
pt |  | OnMouseDown
pt |  | OnMouseMove
pt |  | OnMouseUp
pt |  | OnMouseEnter
pt |  | OnMouseLeave
pt |  | OnMouseWheel
pt |  | OnMouseWheelDown
pt |  | OnMouseWheelUp
pt |  | OnMouseWheelHorz
pt |  | OnMouseWheelLeft
pt |  | OnMouseWheelRight
pt |  | OnStartDock
pt |  | OnStartDrag
pt |  | OnEditingDone
 |  | OnChangeBounds
 |  | OnClick
 |  | OnResize
 |  | OnShowHint
TLCLComponent
TComponent
TPersistent
TObject


 |  | OnActivate (TCustomForm)
 |  | OnAlignInsertBefore (TWinControl)
 |  | OnAlignPosition (TWinControl)
 |  | OnChangeBounds (TControl)
 |  | OnClick (TControl)
 |  | OnClose (TCustomForm)
 |  | OnCloseQuery (TCustomForm)
pt |  | OnConstrainedResize (TControl)
pt |  | OnContextPopup (TControl)
 |  | OnCreate (TCustomForm)
pt |  | OnDblClick (TControl)
 |  | OnDeactivate (TCustomForm)
 |  | OnDestroy (TCustomForm)
 |  | OnDockDrop (TWinControl)
 |  | OnDockOver (TWinControl)
pt |  | OnDragDrop (TControl)
pt |  | OnDragOver (TControl)
 |  | OnDropFiles (TCustomForm)
pt |  | OnEditingDone (TControl)
pt |  | OnEndDock (TControl)
pt |  | OnEndDrag (TControl)
 |  | OnEnter (TWinControl)
 |  | OnExit (TWinControl)
pt |  | OnGetDockCaption (TWinControl)
pt |  | OnGetSiteInfo (TWinControl)
 |  | OnHelp (TCustomForm)
 |  | OnHide (TCustomForm)
 |  | OnKeyDown (TWinControl)
 |  | OnKeyPress (TWinControl)
 |  | OnKeyUp (TWinControl)
pt |  | OnMouseDown (TControl)
pt |  | OnMouseEnter (TControl)
pt |  | OnMouseLeave (TControl)
pt |  | OnMouseMove (TControl)
pt |  | OnMouseUp (TControl)
pt |  | OnMouseWheel (TControl)
pt |  | OnMouseWheelDown (TControl)
pt |  | OnMouseWheelHorz (TControl)
pt |  | OnMouseWheelLeft (TControl)
pt |  | OnMouseWheelRight (TControl)
pt |  | OnMouseWheelUp (TControl)
 |  | OnPaint (TCustomControl)
pt |  | OnQuadClick (TControl)
 |  | OnResize (TControl)
 | ro | OnResize (TCustomForm)
 |  | OnShortcut (TCustomForm)
 |  | OnShow (TCustomForm)
 |  | OnShowHint (TControl)
 |  | OnShowModalFinished (TCustomForm)
pt |  | OnStartDock (TControl)
pt |  | OnStartDrag (TControl)
pt |  | OnTripleClick (TControl)
 |  | OnUnDock (TWinControl)
 |  | OnUTF8KeyPress (TWinControl)
 |  | OnWindowStateChange (TCustomForm)


TCustomForm

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

The base type for TForm.

Declaration

Source position: forms.pp line 445

type TCustomForm = class(TCustomDesignControl)
protected
procedure WMActivate(); message; |
procedure WMCloseQuery(); message; |
procedure WMHelp(); message; |
procedure WMMove(); message;
procedure WMShowWindow(); message; |
procedure WMSize(); message; |
procedure WMWindowPosChanged(); message; |
procedure CMBiDiModeChanged(); message; |
procedure CMParentBiDiModeChanged(); message; |
procedure CMAppShowBtnGlyphChanged(); message; |
procedure CMAppShowMenuGlyphChanged(); message; |
procedure CMIconChanged(); message; |
procedure CMRelease(); message; |
procedure CMActivate(); message; |
procedure CMDeactivate(); message; |
procedure CMShowingChanged(); message; |
procedure WMDPIChanged(); message;
FActionLists: TList; | FActionLists - local variable holding lists of actions asociated with the Form
FFormBorderStyle: TFormBorderStyle;
FFormState: TFormState;
class procedure WSRegisterClass; override; | Registers this component class with the current WidgetSet.
procedure DoShowWindow; virtual; | When no control is Active, sets the Focus to the first control in TabOrder.
procedure Activate; virtual; | Notifies the OnActivate handler.
procedure ActiveChanged; virtual; | Does nothing.
procedure AdjustClientRect(); override; | Excludes borders from the given rectangle.
procedure BeginFormUpdate; | Locks form updates (AutoSize), until EndFormUpdate.
function ColorIsStored; override; | The background color of the control.
procedure CreateParams(); override; | Initializes the window creation parameter record with the settings of the control.
procedure CreateWnd; override; | Creates the interface object (widget) and assigns it to Handle.
procedure Deactivate; virtual; | Called when the form looses the focus. Notifies the OnDeactivate handler.
procedure DoClose(); virtual; | Notifies the form close handlers.
procedure DoCreate; virtual; | Notifies the form create handlers.
procedure DoDestroy; virtual; | Notifies the OnDestroy handler.
procedure DoHide; virtual; | Notifies the OnHide handler.
procedure DoShow; virtual; | Notifies the OnShow handler.
procedure EndFormUpdate; | Unlocks form updates, in sync with BeginFormUpdate.
function HandleCreateException; virtual; | Placeholder for exception handlers in derived classes.
function HandleDestroyException; virtual; | Placeholder for exception handlers in derived classes.
function HandleShowHideException; virtual; | Placeholder for exception handlers in derived classes.
procedure InitializeWnd; override; | Initializes the widget, also for AlphaBlend and AllowDropFiles.
procedure Loaded; override; | Also renews ActiveControl and Visible.
procedure ChildHandlesCreated; override; | Called after all child control handles are created. When this is a top level form (Parent=Nil) also invokes ParentFormHandleInitialized.
procedure Notification(); override;
procedure PaintWindow(); override; | The Paint handler plug-in, intercepting paint requests.
procedure RequestAlign; override; | Smart calling of Parent.AlignControls (very indirectly).
procedure Resizing(); override;
procedure CalculatePreferredSize(); override; | Override this method to return the preferred height and width.
procedure SetZOrder(); override; | Here: Moves a top-level form in front or back of all forms.
procedure SetParent(); override; | The control within which the control is shown.
procedure MoveToDefaultPosition; virtual; | Moves the form to the initial Position.
procedure UpdateShowing; override; | Called when the widget's visibility (Showing) changed. Updates (and realizes?) all properties affecting the visual representation.
procedure SetVisible(); override;
procedure AllAutoSized; override; | Called by DoAllAutoSize after all bounds are computed.
procedure DoFirstShow; virtual; | Notifies the FirstShow handlers.
procedure UpdateWindowState; |
procedure VisibleChanging; override; | Notifies all VisibleChanging handlers.
procedure VisibleChanged; override; | Notifies all VisibleChanged handlers.
procedure WndProc(); override; | The general message handler for this control.
function VisibleIsStored;
procedure DoSendBoundsToInterface; override; | Sends the control's new bounds to the widget.
procedure DoAutoSize; override; | For internal use only - call AdjustSize instead!
procedure SetAutoSize(); override; | Allows to automatically adjust the size of the control, according to its content.
procedure SetAutoScroll(); override;
procedure SetScaled(); override;
procedure DoAddActionList(); | Adds another ActionList.
procedure DoRemoveActionList(); | Removes an ActionList.
procedure ProcessResource; virtual;
procedure BeginAutoDrag; override; | Checked BeginDrag.
procedure DoDock(); override; | Internal method, called by Dock. Adjusts the control's position and extent for the new docksite.
function GetFloating; override; | Guess whether the control is floating.
function GetDefaultDockCaption; override; | Here: returns the Caption.
procedure CMActionExecute(); message; | Handler for ActionExecute messages.
procedure CMActionUpdate(); message; | Handler for ActionUpdate messages.
function DoExecuteAction(); | Asks all applicable components to execute an action.
function DoUpdateAction(); | Tries all applicable components to update an action.
procedure UpdateActions; virtual; | Asks all components to initiate their actions
property ClientHandle: HWND; [r] | The Handle of the MDIForm client (container for mdi children).
public
constructor Create(); override;
constructor CreateNew(); virtual; | Creates a form without a resource.
destructor Destroy; override;
procedure AfterConstruction; override;
procedure BeforeDestruction; override;
class function GetControlClassDefaultSize; override; | Returns the default size for this class of controls (when added to a form).
function BigIconHandle; | The Handle of the big form icon.
procedure Close; | Close the form.
function CloseQuery; virtual; | Asks the OnCloseQuery handler whether the form can close.
procedure DefocusControl(); | Updates ActiveControl if it is to be defocused.
procedure DestroyWnd; override; | Destroys the interface object (widget).
procedure EnsureVisible(); | Ensure that this form is fully visible, optionally brings it in front of all forms.
procedure FocusControl(); | Focus the control. If needed bring form to front.
function FormIsUpdating; override; | True if the form is being updated
function GetFormImage; | Makes a Bitmap image from the Form.
function GetRolesForControl(); | The role(s) of the control in a modal form (default or cancel button).
function GetRealPopupParent;
procedure Hide; | Hides this control, by setting Visible to False.
procedure IntfDropFiles(); | Invokes the OnDropFiles handler of the form. This function is called by the interface.
procedure IntfHelp(); | Show help for control or menu item. This function is called by the interface.
function IsShortcut(); virtual; | Asks all applicable components to interpret an keystroke as an shortcut. True, the specified Key and Message are active as a shortcut
procedure MakeFullyVisible(); | Extends or shrinks the form to a monitor.
function AutoSizeDelayedHandle; override; | Returns true if AutoSize should be skipped / delayed because of a missing handle.
procedure GetPreferredSize(); override; | Returns default/preferred height and width, for use in autosizing.
procedure Release; | Marks the form for destruction.
function CanFocus; override; | True when the form can receive the focus.
procedure SetFocus; override;
function SetFocusedControl(); virtual; | Handles focus switch to a control (enter/exit messages).
procedure SetRestoredBounds(); | Sets the bounds defining the restored control.
procedure Show; | Makes the control visible, by setting Visible to True.
function ShowModal; virtual; | Show this form as a modal Dialog.
procedure ShowOnTop; | Shows this form in front of all other forms.
function SmallIconHandle; | Returns (eventually creates) the Handle of the small Form or Application Icon.
procedure GetChildren(); override; | Invokes Proc for all Controls and also for all Components with no Parent.
function WantChildKey(); virtual; |
procedure RemoveAllHandlersOfObject(); override; | Override this method to remove all references to notification handlers in AnObject.
procedure AddHandlerFirstShow(); | Adds an handler for the first Show of the form.
procedure RemoveHandlerFirstShow(); | Removes an handler for the first Show of the form.
procedure AddHandlerClose(); | Adds an handler for form Close.
procedure RemoveHandlerClose(); | Removes an handler for form Close.
procedure AddHandlerCreate(); | Adds an handler for form Create.
procedure RemoveHandlerCreate(); | Removes an handler for form Create.
function ActiveMDIChild; virtual; | Returns the currently active MDI child form.
function GetMDIChildren(); virtual;
function MDIChildCount; virtual;
procedure AutoScale;
procedure Dock(); override; | Moves the control into a new docksite.
procedure UpdateDockCaption(); override; | Updates the Caption to reflect the names of the docked clients.
property Active: Boolean; [r] | Is true when the form has the focus.
property ActiveControl: TWinControl; [rw] | Specifies the active control on the form.
property ActiveDefaultControl: TControl; [rw] | Specifies the Default control on the Form.
property AllowDropFiles: Boolean; [rw] | Specifies whether files can be dropped onto this form.
property AlphaBlend: Boolean; [rw] | Allows for a translucent form.
property AlphaBlendValue: Byte; [rw] | How translucent the form is (0=transparent, 255=opaque).
property AutoScroll: Boolean; [s] |
property BorderIcons: TBorderIcons; [rw] | Specifies which icons appear in the title bar of the form.
property BorderStyle: TFormBorderStyle; [rw] | The border style affects the title bar, border and resize behaviour of the form.
property CancelControl: TControl; [rw] | The control associated with the Cancel action.
property Caption: TCaption; [s] | The text describing the control to the user.
property Color: TColor; | The background color of the control.
property DefaultControl: TControl; [rw] | The control associated with the default action for this form.
property DefaultMonitor: TDefaultMonitor; [rw] | The monitor on which the form will appear.
property Designer: TIDesigner; [rw] | The designer object when the form is in design state.
property EffectiveShowInTaskBar: TShowInTaskbar; [r]
property FormState: TFormState; [r] | Various state flags.
property FormStyle: TFormStyle; [rw] | Determines the style of the form.
property HelpFile: string; [rw] | The name of the help file for this form.
property Icon: TIcon; [rws] | The Icon associated with this Form (in minimized state).
property KeyPreview: Boolean; [rw] | Allows the form to intercept keystrokes in child controls.
property MDIChildren []: TCustomForm; [r] | Indexed access to MDI child forms, when this is an MDI form.
property Menu: TMainMenu; [rw] | The main menu for this form.
property ModalResult: TModalResult; [rw] | Specifies the return value of a modal form (dialog).
property Monitor: TMonitor; [r] | The Monitor on which the form is shown.
property LastActiveControl: TWinControl; [r]
property PopupMode: TPopupMode; [rw] | Defines where popup menus are shown
property PopupParent: TCustomForm; [rw] |
property OnActivate: TNotifyEvent; [rw] | Handler called when the form receives focus.
property OnClose: TCloseEvent; [rws] | Handler called when the form is closed. It determines what happens to the form (destroy, hide...).
property OnCloseQuery: TCloseQueryEvent; [rws] | Handler called before the form is closed. It can reject an close request.
property OnCreate: TNotifyEvent; [rw] | Handler called when the form has been created.
property OnDeactivate: TNotifyEvent; [rw] | Handler called when the form is deactivated (lost focus).
property OnDestroy: TNotifyEvent; [rw] | Handler called when the form is destroyed.
property OnDropFiles: TDropFilesEvent; [rw] | Handler called when files have been dropped.
property OnHelp: THelpEvent; [rw] | Handler called when Help is requested.
property OnHide: TNotifyEvent; [rw] | Handler called when the form is being hidden.
property OnResize: TNotifyEvent; [s] | Notification handler for a resize of the control.
property OnShortcut: TShortCutEvent; [rw] | Handler called when a key is pressed, before further handling of the key.
property OnShow: TNotifyEvent; [rw] | Handler called when the form becomes visible.
property OnShowModalFinished: TModalDialogFinished; [rw]
property OnWindowStateChange: TNotifyEvent; [rw] | Handler called when the form is minimized, maximized or restored.
property ParentFont: Boolean; | If true, the Font of the control will be the same as the one from the Parent. Default is true.
property Position: TPosition; [rw] | The initial placement of the form.
property RestoredLeft: Integer; [r] | The position of the left edge of the form when it is restored (ie changes from minimised or maximised).
property RestoredTop: Integer; [r] | The position of the top edge of the form when it is restored (ie changes from minimised or maximised).
property RestoredWidth: Integer; [r] | The width of the form when it is restored (ie changes from minimised or maximised).
property RestoredHeight: Integer; [r] | The height of the form when it is restored (ie changes from minimised or maximised).
property ShowInTaskBar: TShowInTaskbar; [rw] | How the form is represented in the system Task Bar.
property Visible: Boolean; [s] | Allows to show or hide the control, and all of its children.
property WindowState: TWindowState; [rw] | Whether the form is currently minimized, maximized or normal (restored).
end;

Inheritance

TCustomForm | The base type for TForm.
|
TCustomDesignControl
|
TScrollingWinControl | Class of a windowed control with incorporated scroll bars.
|
TCustomControl | The base class for windowed controls which paint themselves.
|
TWinControl | The base class for controls which can contain other (child) controls.
|
TControl | The base class for visible controls.
|
TLCLComponent | The base class for LCL components associated with widgets.
|
TComponent,IUnknown,IInterfaceComponentReference
|
TPersistent,IFPObserved
|
TObject


TCustomForm
pt | ro | ClientHandle
 | ro | Active
 |  | ActiveControl
 |  | ActiveDefaultControl
 |  | AllowDropFiles
 |  | AlphaBlend
 |  | AlphaBlendValue
 | ro | AutoScroll
 |  | BorderIcons
 |  | BorderStyle
 |  | CancelControl
 | ro | Caption
 | ro | Color
 |  | DefaultControl
 |  | DefaultMonitor
 |  | Designer
 | ro | EffectiveShowInTaskBar
 | ro | FormState
 |  | FormStyle
 |  | HelpFile
 |  | Icon
 |  | KeyPreview
 | ro | MDIChildren
 |  | Menu
 |  | ModalResult
 | ro | Monitor
 | ro | LastActiveControl
 |  | PopupMode
 |  | PopupParent
 | ro | ParentFont
 |  | Position
 | ro | RestoredLeft
 | ro | RestoredTop
 | ro | RestoredWidth
 | ro | RestoredHeight
 |  | ShowInTaskBar
 | ro | Visible
 |  | WindowState
TCustomDesignControl
 |  | DesignTimePPI
 |  | PixelsPerInch
 |  | Scaled
TScrollingWinControl
pt |  | AutoScroll
pl |  | HorzScrollBar
pl |  | VertScrollBar
TCustomControl
 |  | Canvas
 | ro | BorderStyle
TWinControl
pt |  | WindowHandle
pt |  | BorderStyle
pt |  | ParentBackground
 |  | BorderWidth
 | ro | BoundsLockCount
 | ro | Brush
 | ro | CachedClientHeight
 | ro | CachedClientWidth
 |  | ChildSizing
 | ro | ControlCount
 | ro | Controls
 |  | DefWndProc
 | ro | DockClientCount
 | ro | DockClients
 |  | DockManager
 |  | DockSite
 |  | DoubleBuffered
 |  | Handle
 | ro | IsFlipped
 | ro | IsResizing
 |  | TabOrder
 |  | TabStop
 |  | ParentDoubleBuffered
 |  | ParentWindow
 | ro | Showing
 |  | UseDockManager
 |  | DesignerDeleting
 | ro | VisibleDockClientCount
TControl
pt | ro | AutoSizing
pt | ro | AutoSizingAll
pt | ro | AutoSizingLockCount
pt |  | ActionLink
pt |  | DesktopFont
pt |  | DragCursor
pt |  | DragKind
pt |  | DragMode
pt |  | MouseCapture
pt |  | ParentColor
pt |  | ParentFont
pt |  | ParentShowHint
pt |  | SessionProperties
pt |  | Text
 | ro | AnchoredControls
 | ro | BaseBounds
 | ro | ReadBounds
 | ro | BaseParentClientSize
 |  | AccessibleDescription
 |  | AccessibleValue
 |  | AccessibleRole
 |  | Action
 |  | Align
 |  | Anchors
 | ro | AnchorSide
 |  | AutoSize
 |  | BorderSpacing
 |  | BoundsRect
 |  | BoundsRectForNewParent
 |  | Caption
 |  | CaptureMouseButtons
 |  | ClientHeight
 | ro | ClientOrigin
 | ro | ClientRect
 |  | ClientWidth
 |  | Color
 |  | Constraints
 | ro | ControlOrigin
 |  | ControlState
 |  | ControlStyle
 |  | Enabled
 |  | Font
 |  | IsControl
 | ro | MouseEntered
 | ro | MouseInClient
 |  | Parent
 |  | PopupMenu
 |  | ShowHint
 |  | Visible
 |  | WindowProc
 |  | DockOrientation
 | ro | Floating
 |  | FloatingDockSiteClass
 |  | HostDockSite
 |  | LRDockWidth
 |  | TBDockHeight
 |  | UndockHeight
 |  | UndockWidth
 |  | BiDiMode
 |  | ParentBiDiMode
pl |  | AnchorSideLeft
pl |  | AnchorSideTop
pl |  | AnchorSideRight
pl |  | AnchorSideBottom
pl |  | Cursor
pl |  | Left
pl |  | Height
pl |  | Hint
pl |  | Top
pl |  | Width
pl |  | HelpType
pl |  | HelpKeyword
pl |  | HelpContext
TLCLComponent
 | ro | LCLRefCount
 | ro | WidgetSetClass
TComponent
 | ro | ComObject
 | ro | Components
 | ro | ComponentCount
 |  | ComponentIndex
 | ro | ComponentState
 | ro | ComponentStyle
 |  | DesignInfo
 | ro | Owner
 |  | VCLComObject
 |  | Name
 |  | Tag
TPersistent
TObject


 |  | AccessibleDescription (TControl)
 |  | AccessibleRole (TControl)
 |  | AccessibleValue (TControl)
 |  | Action (TControl)
pt |  | ActionLink (TControl)
 | ro | Active (TCustomForm)
 |  | ActiveControl (TCustomForm)
 |  | ActiveDefaultControl (TCustomForm)
 |  | Align (TControl)
 |  | AllowDropFiles (TCustomForm)
 |  | AlphaBlend (TCustomForm)
 |  | AlphaBlendValue (TCustomForm)
 | ro | AnchoredControls (TControl)
 |  | Anchors (TControl)
 | ro | AnchorSide (TControl)
pl |  | AnchorSideBottom (TControl)
pl |  | AnchorSideLeft (TControl)
pl |  | AnchorSideRight (TControl)
pl |  | AnchorSideTop (TControl)
pt |  | AutoScroll (TScrollingWinControl)
 | ro | AutoScroll (TCustomForm)
 |  | AutoSize (TControl)
pt | ro | AutoSizing (TControl)
pt | ro | AutoSizingAll (TControl)
pt | ro | AutoSizingLockCount (TControl)
 | ro | BaseBounds (TControl)
 | ro | BaseParentClientSize (TControl)
 |  | BiDiMode (TControl)
 |  | BorderIcons (TCustomForm)
 |  | BorderSpacing (TControl)
pt |  | BorderStyle (TWinControl)
 | ro | BorderStyle (TCustomControl)
 |  | BorderStyle (TCustomForm)
 |  | BorderWidth (TWinControl)
 | ro | BoundsLockCount (TWinControl)
 |  | BoundsRect (TControl)
 |  | BoundsRectForNewParent (TControl)
 | ro | Brush (TWinControl)
 | ro | CachedClientHeight (TWinControl)
 | ro | CachedClientWidth (TWinControl)
 |  | CancelControl (TCustomForm)
 |  | Canvas (TCustomControl)
 |  | Caption (TControl)
 | ro | Caption (TCustomForm)
 |  | CaptureMouseButtons (TControl)
 |  | ChildSizing (TWinControl)
pt | ro | ClientHandle (TCustomForm)
 |  | ClientHeight (TControl)
 | ro | ClientOrigin (TControl)
 | ro | ClientRect (TControl)
 |  | ClientWidth (TControl)
 |  | Color (TControl)
 | ro | Color (TCustomForm)
 | ro | ComObject (TComponent)
 | ro | ComponentCount (TComponent)
 |  | ComponentIndex (TComponent)
 | ro | Components (TComponent)
 | ro | ComponentState (TComponent)
 | ro | ComponentStyle (TComponent)
 |  | Constraints (TControl)
 | ro | ControlCount (TWinControl)
 | ro | ControlOrigin (TControl)
 | ro | Controls (TWinControl)
 |  | ControlState (TControl)
 |  | ControlStyle (TControl)
pl |  | Cursor (TControl)
 |  | DefaultControl (TCustomForm)
 |  | DefaultMonitor (TCustomForm)
 |  | DefWndProc (TWinControl)
 |  | Designer (TCustomForm)
 |  | DesignerDeleting (TWinControl)
 |  | DesignInfo (TComponent)
 |  | DesignTimePPI (TCustomDesignControl)
pt |  | DesktopFont (TControl)
 | ro | DockClientCount (TWinControl)
 | ro | DockClients (TWinControl)
 |  | DockManager (TWinControl)
 |  | DockOrientation (TControl)
 |  | DockSite (TWinControl)
 |  | DoubleBuffered (TWinControl)
pt |  | DragCursor (TControl)
pt |  | DragKind (TControl)
pt |  | DragMode (TControl)
 | ro | EffectiveShowInTaskBar (TCustomForm)
 |  | Enabled (TControl)
 | ro | Floating (TControl)
 |  | FloatingDockSiteClass (TControl)
 |  | Font (TControl)
 | ro | FormState (TCustomForm)
 |  | FormStyle (TCustomForm)
 |  | Handle (TWinControl)
pl |  | Height (TControl)
pl |  | HelpContext (TControl)
 |  | HelpFile (TCustomForm)
pl |  | HelpKeyword (TControl)
pl |  | HelpType (TControl)
pl |  | Hint (TControl)
pl |  | HorzScrollBar (TScrollingWinControl)
 |  | HostDockSite (TControl)
 |  | Icon (TCustomForm)
 |  | IsControl (TControl)
 | ro | IsFlipped (TWinControl)
 | ro | IsResizing (TWinControl)
 |  | KeyPreview (TCustomForm)
 | ro | LastActiveControl (TCustomForm)
 | ro | LCLRefCount (TLCLComponent)
pl |  | Left (TControl)
 |  | LRDockWidth (TControl)
 | ro | MDIChildren (TCustomForm)
 |  | Menu (TCustomForm)
 |  | ModalResult (TCustomForm)
 | ro | Monitor (TCustomForm)
pt |  | MouseCapture (TControl)
 | ro | MouseEntered (TControl)
 | ro | MouseInClient (TControl)
 |  | Name (TComponent)
 | ro | Owner (TComponent)
 |  | Parent (TControl)
pt |  | ParentBackground (TWinControl)
 |  | ParentBiDiMode (TControl)
pt |  | ParentColor (TControl)
 |  | ParentDoubleBuffered (TWinControl)
pt |  | ParentFont (TControl)
 | ro | ParentFont (TCustomForm)
pt |  | ParentShowHint (TControl)
 |  | ParentWindow (TWinControl)
 |  | PixelsPerInch (TCustomDesignControl)
 |  | PopupMenu (TControl)
 |  | PopupMode (TCustomForm)
 |  | PopupParent (TCustomForm)
 |  | Position (TCustomForm)
 | ro | ReadBounds (TControl)
 | ro | RestoredHeight (TCustomForm)
 | ro | RestoredLeft (TCustomForm)
 | ro | RestoredTop (TCustomForm)
 | ro | RestoredWidth (TCustomForm)
 |  | Scaled (TCustomDesignControl)
pt |  | SessionProperties (TControl)
 |  | ShowHint (TControl)
 | ro | Showing (TWinControl)
 |  | ShowInTaskBar (TCustomForm)
 |  | TabOrder (TWinControl)
 |  | TabStop (TWinControl)
 |  | Tag (TComponent)
 |  | TBDockHeight (TControl)
pt |  | Text (TControl)
pl |  | Top (TControl)
 |  | UndockHeight (TControl)
 |  | UndockWidth (TControl)
 |  | UseDockManager (TWinControl)
 |  | VCLComObject (TComponent)
pl |  | VertScrollBar (TScrollingWinControl)
 |  | Visible (TControl)
 | ro | Visible (TCustomForm)
 | ro | VisibleDockClientCount (TWinControl)
 | ro | WidgetSetClass (TLCLComponent)
pl |  | Width (TControl)
pt |  | WindowHandle (TWinControl)
 |  | WindowProc (TControl)
 |  | WindowState (TCustomForm)


TCustomForm
pt | WMActivate
pt | WMCloseQuery
pt | WMHelp
pt | WMMove
pt | WMShowWindow
pt | WMSize
pt | WMWindowPosChanged
pt | CMBiDiModeChanged
pt | CMParentBiDiModeChanged
pt | CMAppShowBtnGlyphChanged
pt | CMAppShowMenuGlyphChanged
pt | CMIconChanged
pt | CMRelease
pt | CMActivate
pt | CMDeactivate
pt | CMShowingChanged
pt | WMDPIChanged
pt | WSRegisterClass
pt | DoShowWindow
pt | Activate
pt | ActiveChanged
pt | AdjustClientRect
pt | BeginFormUpdate
pt | ColorIsStored
pt | CreateParams
pt | CreateWnd
pt | Deactivate
pt | DoClose
pt | DoCreate
pt | DoDestroy
pt | DoHide
pt | DoShow
pt | EndFormUpdate
pt | HandleCreateException
pt | HandleDestroyException
pt | HandleShowHideException
pt | InitializeWnd
pt | Loaded
pt | ChildHandlesCreated
pt | Notification
pt | PaintWindow
pt | RequestAlign
pt | Resizing
pt | CalculatePreferredSize
pt | SetZOrder
pt | SetParent
pt | MoveToDefaultPosition
pt | UpdateShowing
pt | SetVisible
pt | AllAutoSized
pt | DoFirstShow
pt | UpdateWindowState
pt | VisibleChanging
pt | VisibleChanged
pt | WndProc
pt | VisibleIsStored
pt | DoSendBoundsToInterface
pt | DoAutoSize
pt | SetAutoSize
pt | SetAutoScroll
pt | SetScaled
pt | DoAddActionList
pt | DoRemoveActionList
pt | ProcessResource
pt | BeginAutoDrag
pt | DoDock
pt | GetFloating
pt | GetDefaultDockCaption
pt | CMActionExecute
pt | CMActionUpdate
pt | DoExecuteAction
pt | DoUpdateAction
pt | UpdateActions
 | Create
 | CreateNew
 | Destroy
 | AfterConstruction
 | BeforeDestruction
 | GetControlClassDefaultSize
 | BigIconHandle
 | Close
 | CloseQuery
 | DefocusControl
 | DestroyWnd
 | EnsureVisible
 | FocusControl
 | FormIsUpdating
 | GetFormImage
 | GetRolesForControl
 | GetRealPopupParent
 | Hide
 | IntfDropFiles
 | IntfHelp
 | IsShortcut
 | MakeFullyVisible
 | AutoSizeDelayedHandle
 | GetPreferredSize
 | Release
 | CanFocus
 | SetFocus
 | SetFocusedControl
 | SetRestoredBounds
 | Show
 | ShowModal
 | ShowOnTop
 | SmallIconHandle
 | GetChildren
 | WantChildKey
 | RemoveAllHandlersOfObject
 | AddHandlerFirstShow
 | RemoveHandlerFirstShow
 | AddHandlerClose
 | RemoveHandlerClose
 | AddHandlerCreate
 | RemoveHandlerCreate
 | ActiveMDIChild
 | GetMDIChildren
 | MDIChildCount
 | AutoScale
 | Dock
 | UpdateDockCaption
TCustomDesignControl
pt | SetScaled
pt | DoAutoAdjustLayout
pt | Loaded
 | Create
 | AutoAdjustLayout
TScrollingWinControl
pt | WSRegisterClass
pt | AlignControls
pt | AutoScrollEnabled
pt | CalculateAutoRanges
pt | CreateWnd
pt | GetClientScrollOffset
pt | GetLogicalClientRect
pt | DoOnResize
pt | GetPreferredSizeClientFrame
pt | WMSize
pt | WMHScroll
pt | WMVScroll
pt | ComputeScrollbars
pt | SetAutoScroll
pt | Loaded
pt | Resizing
pt | SetAutoSize
 | Create
 | Destroy
 | ScreenToClient
 | ClientToScreen
 | UpdateScrollbars
 | GetControlClassDefaultSize
 | ScrollBy
 | ScrollInView
TCustomControl
pt | WSRegisterClass
pt | WMPaint
pt | DestroyWnd
pt | PaintWindow
pt | FontChanged
pt | SetColor
pt | Paint
 | Create
 | Destroy
TWinControl
pt | WSRegisterClass
pt | AdjustClientRect
pt | GetAdjustedLogicalClientRect
pt | AlignControls
pt | CustomAlignInsertBefore
pt | CustomAlignPosition
pt | DoAlignChildControls
pt | DoChildSizingChange
pt | InvalidatePreferredChildSizes
pt | CanTab
pt | IsClientHeightStored
pt | IsClientWidthStored
pt | DoSendShowHideToInterface
pt | ControlsAligned
pt | DoSendBoundsToInterface
pt | RealizeBounds
pt | RealizeBoundsRecursive
pt | InvalidateBoundsRealized
pt | CreateSubClass
pt | DoConstraintsChange
pt | DoSetBounds
pt | DoAutoSize
pt | DoAllAutoSize
pt | AllAutoSized
pt | CalculatePreferredSize
pt | GetPreferredSizeClientFrame
pt | GetChildren
pt | ChildClassAllowed
pt | PaintControls
pt | PaintHandler
pt | PaintWindow
pt | CreateBrush
pt | ScaleControls
pt | ChangeScale
pt | CMBiDiModeChanged
pt | CMBorderChanged
pt | CMDoubleBufferedChanged
pt | CMEnabledChanged
pt | CMParentDoubleBufferedChanged
pt | CMShowingChanged
pt | CMShowHintChanged
pt | CMVisibleChanged
pt | CMEnter
pt | CMExit
pt | WMContextMenu
pt | WMEraseBkgnd
pt | WMNotify
pt | WMSetFocus
pt | WMKillFocus
pt | WMShowWindow
pt | WMEnter
pt | WMExit
pt | WMKeyDown
pt | WMSysKeyDown
pt | WMKeyUp
pt | WMSysKeyUp
pt | WMChar
pt | WMSysChar
pt | WMPaint
pt | WMDestroy
pt | WMMove
pt | WMSize
pt | WMWindowPosChanged
pt | CNKeyDown
pt | CNSysKeyDown
pt | CNKeyUp
pt | CNSysKeyUp
pt | CNChar
pt | DoDragMsg
pt | DoDockClientMsg
pt | DoUndockClientMsg
pt | DoAddDockClient
pt | DockOver
pt | DoDockOver
pt | DoRemoveDockClient
pt | DoUnDock
pt | GetSiteInfo
pt | GetParentHandle
pt | GetTopParentHandle
pt | ReloadDockedControl
pt | CreateDockManager
pt | SetDockManager
pt | DoFloatMsg
pt | DoGetDockCaption
pt | DoEnter
pt | DoExit
pt | DoKeyDownBeforeInterface
pt | DoRemainingKeyDown
pt | DoRemainingKeyUp
pt | DoKeyPress
pt | DoUTF8KeyPress
pt | DoKeyUpBeforeInterface
pt | ChildKey
pt | SendDialogChar
pt | DialogChar
pt | ControlKeyDown
pt | ControlKeyUp
pt | KeyDown
pt | KeyDownBeforeInterface
pt | KeyDownAfterInterface
pt | KeyPress
pt | KeyUp
pt | KeyUpBeforeInterface
pt | KeyUpAfterInterface
pt | UTF8KeyPress
pt | FindNextControl
pt | SelectFirst
pt | RealGetText
pt | GetBorderStyle
pt | GetClientOrigin
pt | GetClientRect
pt | GetControlOrigin
pt | GetDeviceContext
pt | GetParentBackground
pt | IsControlMouseMsg
pt | CreateHandle
pt | CreateParams
pt | CreateWnd
pt | DestroyHandle
pt | DestroyWnd
pt | DoFlipChildren
pt | FinalizeWnd
pt | FixupTabList
pt | FontChanged
pt | InitializeWnd
pt | Loaded
pt | FormEndUpdated
pt | MainWndProc
pt | ParentFormHandleInitialized
pt | ChildHandlesCreated
pt | GetMouseCapture
pt | RealSetText
pt | RemoveFocus
pt | SendMoveSizeMessages
pt | SetBorderStyle
pt | SetColor
pt | SetChildZPosition
pt | SetParentBackground
pt | ShowControl
pt | UpdateControlState
pt | UpdateShowing
pt | WndProc
pt | WSSetText
 | AutoSizePhases
 | AutoSizeDelayed
 | AutoSizeDelayedReport
 | AutoSizeDelayedHandle
 | BeginUpdateBounds
 | EndUpdateBounds
 | LockRealizeBounds
 | UnlockRealizeBounds
 | ControlAtPos
 | ContainsControl
 | DoAdjustClientRectChange
 | InvalidateClientRectCache
 | ClientRectNeedsInterfaceUpdate
 | SetBounds
 | GetChildrenRect
 | DisableAlign
 | EnableAlign
 | ReAlign
 | ScrollBy_WS
 | ScrollBy
 | WriteLayoutDebugReport
 | AutoAdjustLayout
 | Create
 | CreateParented
 | CreateParentedControl
 | Destroy
 | DockDrop
 | CanFocus
 | CanSetFocus
 | GetControlIndex
 | SetControlIndex
 | Focused
 | PerformTab
 | FindChildControl
 | SelectNext
 | SetTempCursor
 | BroadCast
 | NotifyControls
 | DefaultHandler
 | GetTextLen
 | Invalidate
 | AddControl
 | InsertControl
 | RemoveControl
 | GetEnumeratorControls
 | GetEnumeratorControlsReverse
 | Repaint
 | Update
 | SetFocus
 | FlipChildren
 | ScaleBy
 | GetDockCaption
 | UpdateDockCaption
 | GetTabOrderList
 | HandleAllocated
 | ParentHandlesAllocated
 | HandleNeeded
 | BrushCreated
 | EraseBackground
 | IntfUTF8KeyPress
 | IntfGetDropFilesTarget
 | PaintTo
 | SetShape
TControl
pt | WSRegisterClass
pt | GetCursor
pt | SetCursor
pt | SetVisible
pt | DoOnParentHandleDestruction
pt | DoAutoSize
pt | DoAllAutoSize
pt | BeginAutoSizing
pt | EndAutoSizing
pt | AnchorSideChanged
pt | ForeignAnchorSideChanged
pt | SetAlign
pt | SetAnchors
pt | SetAutoSize
pt | BoundsChanged
pt | CreateControlBorderSpacing
pt | DoConstraintsChange
pt | DoBorderSpacingChange
pt | IsBorderSpacingInnerBorderStored
pt | IsCaptionStored
pt | SendMoveSizeMessages
pt | ConstrainedResize
pt | CalculatePreferredSize
pt | DoOnResize
pt | DoOnChangeBounds
pt | CheckOnChangeBounds
pt | Resize
pt | RequestAlign
pt | UpdateAnchorRules
pt | ChangeBounds
pt | DoSetBounds
pt | ScaleConstraints
pt | ChangeScale
pt | CanAutoSize
pt | SetBiDiMode
pt | SetParentBiDiMode
pt | IsAParentAligning
pt | GetClientOrigin
pt | GetClientRect
pt | GetLogicalClientRect
pt | GetScrolledClientRect
pt | GetClientScrollOffset
pt | GetControlOrigin
pt | IsClientHeightStored
pt | IsClientWidthStored
pt | WidthIsAnchored
pt | HeightIsAnchored
pt | WMCancelMode
pt | WMContextMenu
pt | WMLButtonDown
pt | WMRButtonDown
pt | WMMButtonDown
pt | WMXButtonDown
pt | WMLButtonDBLCLK
pt | WMRButtonDBLCLK
pt | WMMButtonDBLCLK
pt | WMXButtonDBLCLK
pt | WMLButtonTripleCLK
pt | WMRButtonTripleCLK
pt | WMMButtonTripleCLK
pt | WMXButtonTripleCLK
pt | WMLButtonQuadCLK
pt | WMRButtonQuadCLK
pt | WMMButtonQuadCLK
pt | WMXButtonQuadCLK
pt | WMMouseMove
pt | WMLButtonUp
pt | WMRButtonUp
pt | WMMButtonUp
pt | WMXButtonUp
pt | WMMouseWheel
pt | WMMouseHWheel
pt | WMMove
pt | WMSize
pt | WMWindowPosChanged
pt | CMChanged
pt | LMCaptureChanged
pt | CMBiDiModeChanged
pt | CMSysFontChanged
pt | CMEnabledChanged
pt | CMHitTest
pt | CMMouseEnter
pt | CMMouseLeave
pt | CMHintShow
pt | CMParentBiDiModeChanged
pt | CMParentColorChanged
pt | CMParentFontChanged
pt | CMParentShowHintChanged
pt | CMVisibleChanged
pt | CMTextChanged
pt | CMCursorChanged
pt | CalculateDockSizes
pt | CreateFloatingDockSite
pt | GetDockEdge
pt | GetDragImages
pt | GetFloating
pt | GetFloatingDockSiteClass
pt | BeforeDragStart
pt | BeginAutoDrag
pt | DoFloatMsg
pt | DockTrackNoTarget
pt | DoDock
pt | DoDragMsg
pt | DoEndDock
pt | DoEndDrag
pt | DoStartDock
pt | DoStartDrag
pt | DragCanceled
pt | DragOver
pt | PositionDockRect
pt | SetDragMode
pt | GetDefaultDockCaption
pt | Click
pt | DblClick
pt | TripleClick
pt | QuadClick
pt | GetMousePosFromMessage
pt | MouseDown
pt | MouseMove
pt | MouseUp
pt | MouseEnter
pt | MouseLeave
pt | DialogChar
pt | UpdateMouseCursor
pt | Changed
pt | GetPalette
pt | ChildClassAllowed
pt | ReadState
pt | Loaded
pt | LoadedAll
pt | DefineProperties
pt | AssignTo
pt | FormEndUpdated
pt | InvalidateControl
pt | FontChanged
pt | ParentFontChanged
pt | GetAction
pt | RealGetText
pt | RealSetText
pt | TextChanged
pt | GetCachedText
pt | SetAction
pt | SetColor
pt | SetEnabled
pt | SetHint
pt | SetName
pt | SetParent
pt | SetParentComponent
pt | WndProc
pt | ParentFormHandleInitialized
pt | GetMouseCapture
pt | CaptureChanged
pt | Notification
pt | CanTab
pt | GetDeviceContext
pt | GetEnabled
pt | GetPopupMenu
pt | DoOnShowHint
pt | DoMouseWheel
pt | DoMouseWheelDown
pt | DoMouseWheelUp
pt | DoMouseWheelHorz
pt | DoMouseWheelLeft
pt | DoMouseWheelRight
pt | VisibleChanging
pt | VisibleChanged
pt | EnabledChanging
pt | EnabledChanged
pt | AddHandler
pt | RemoveHandler
pt | DoCallNotifyHandler
pt | DoCallKeyEventHandler
pt | DoCallMouseWheelEventHandler
pt | DoContextPopup
pt | SetZOrder
pt | GetControlClassDefaultSize
pt | ColorIsStored
pt | DoAutoAdjustLayout
pt | DoFixDesignFontPPI
pt | DoScaleFontPPI
pt | GetActionLinkClass
pt | ActionChange
 | DragDrop
 | Dock
 | ManualDock
 | ManualFloat
 | ReplaceDockedControl
 | Docked
 | Dragging
 | GetAccessibleObject
 | CreateAccessibleObject
 | GetSelectedChildAccessibleObject
 | GetChildAccessibleObjectAtPos
 | ScaleDesignToForm
 | ScaleFormToDesign
 | Scale96ToForm
 | ScaleFormTo96
 | Scale96ToFont
 | ScaleFontTo96
 | ScaleScreenToFont
 | ScaleFontToScreen
 | Scale96ToScreen
 | ScaleScreenTo96
 | AdjustSize
 | AutoSizePhases
 | AutoSizeDelayed
 | AutoSizeDelayedReport
 | AutoSizeDelayedHandle
 | AnchorToNeighbour
 | AnchorParallel
 | AnchorHorizontalCenterTo
 | AnchorVerticalCenterTo
 | AnchorToCompanion
 | AnchorSame
 | AnchorAsAlign
 | AnchorClient
 | AnchoredControlCount
 | SetBounds
 | SetInitialBounds
 | SetBoundsKeepBase
 | GetPreferredSize
 | GetCanvasScaleFactor
 | GetDefaultWidth
 | GetDefaultHeight
 | GetDefaultColor
 | GetColorResolvingParent
 | GetRGBColorResolvingParent
 | GetSidePosition
 | CNPreferredSizeChanged
 | InvalidatePreferredSize
 | GetAnchorsDependingOnParent
 | DisableAutoSizing
 | EnableAutoSizing
 | UpdateBaseBounds
 | WriteLayoutDebugReport
 | AutoAdjustLayout
 | ShouldAutoAdjust
 | FixDesignFontsPPI
 | ScaleFontsPPI
 | Create
 | Destroy
 | BeforeDestruction
 | EditingDone
 | ExecuteDefaultAction
 | ExecuteCancelAction
 | BeginDrag
 | EndDrag
 | BringToFront
 | HasParent
 | GetParentComponent
 | IsParentOf
 | GetTopParent
 | IsVisible
 | IsControlVisible
 | IsEnabled
 | IsParentColor
 | IsParentFont
 | FormIsUpdating
 | IsProcessingPaintMsg
 | Hide
 | Refresh
 | Repaint
 | Invalidate
 | CheckChildClassAllowed
 | CheckNewParent
 | SendToBack
 | SetTempCursor
 | UpdateRolesForForm
 | ActiveDefaultControlChanged
 | GetTextBuf
 | GetTextLen
 | SetTextBuf
 | Perform
 | ScreenToClient
 | ClientToScreen
 | ScreenToControl
 | ControlToScreen
 | ClientToParent
 | ParentToClient
 | GetChildrenRect
 | Show
 | Update
 | HandleObjectShouldBeVisible
 | ParentDestroyingHandle
 | ParentHandlesAllocated
 | InitiateAction
 | ShowHelp
 | HasHelp
 | RemoveAllHandlersOfObject
 | AddHandlerOnResize
 | RemoveHandlerOnResize
 | AddHandlerOnChangeBounds
 | RemoveHandlerOnChangeBounds
 | AddHandlerOnVisibleChanging
 | RemoveHandlerOnVisibleChanging
 | AddHandlerOnVisibleChanged
 | RemoveHandlerOnVisibleChanged
 | AddHandlerOnEnabledChanged
 | RemoveHandlerOnEnableChanging
 | AddHandlerOnKeyDown
 | RemoveHandlerOnKeyDown
 | AddHandlerOnBeforeDestruction
 | RemoveHandlerOnBeforeDestruction
 | AddHandlerOnMouseWheel
 | RemoveHandlerOnMouseWheel
 | UseRightToLeftAlignment
 | UseRightToLeftReading
 | UseRightToLeftScrollBar
 | IsRightToLeft
TLCLComponent
pt | WSRegisterClass
pt | GetWSComponentClass
 | Create
 | Destroy
 | NewInstance
 | RemoveAllHandlersOfObject
 | IncLCLRefCount
 | DecLCLRefCount
TComponent
 | GetComObject
 | GetComponent
 | GetComponentCount
 | GetComponentIndex
 | Insert
 | ReadLeft
 | ReadTop
 | Remove
 | RemoveNotification
 | SetComponentIndex
 | SetReference
 | WriteLeft
 | WriteTop
 | ChangeName
 | DefineProperties
 | GetChildren
 | GetChildOwner
 | GetChildParent
 | GetOwner
 | Loaded
 | Loading
 | Notification
 | PaletteCreated
 | ReadState
 | SetAncestor
 | SetDesigning
 | SetDesignInstance
 | SetInline
 | SetName
 | SetChildOrder
 | SetParentComponent
 | Updating
 | Updated
 | UpdateRegistry
 | ValidateRename
 | ValidateContainer
 | ValidateInsert
 | QueryInterface
 | _AddRef
 | _Release
 | iicrGetComponent
 | GetTypeInfoCount
 | GetTypeInfo
 | GetIDsOfNames
 | Invoke
 | WriteState
 | Create
 | Destroy
 | BeforeDestruction
 | DestroyComponents
 | Destroying
 | ExecuteAction
 | FindComponent
 | FreeNotification
 | RemoveFreeNotification
 | FreeOnRelease
 | GetEnumerator
 | GetNamePath
 | GetParentComponent
 | HasParent
 | InsertComponent
 | RemoveComponent
 | SafeCallException
 | SetSubComponent
 | UpdateAction
 | IsImplementorOf
 | ReferenceInterface
TPersistent
 | AssignError
 | AssignTo
 | DefineProperties
 | GetOwner
 | Destroy
 | Assign
 | FPOAttachObserver
 | FPODetachObserver
 | FPONotifyObservers
 | GetNamePath
TObject
 | Create
 | Destroy
 | newinstance
 | FreeInstance
 | SafeCallException
 | DefaultHandler
 | Free
 | InitInstance
 | CleanupInstance
 | ClassType
 | ClassInfo
 | ClassName
 | ClassNameIs
 | ClassParent
 | InstanceSize
 | InheritsFrom
 | StringMessageTable
 | MethodAddress
 | MethodName
 | FieldAddress
 | AfterConstruction
 | BeforeDestruction
 | DefaultHandlerStr
 | Dispatch
 | DispatchStr
 | GetInterface
 | GetInterfaceByStr
 | GetInterfaceWeak
 | GetInterfaceEntry
 | GetInterfaceEntryByStr
 | GetInterfaceTable
 | UnitName
 | Equals
 | GetHashCode
 | ToString


pt | ActionChange (TControl)
pt | Activate (TCustomForm)
pt | ActiveChanged (TCustomForm)
 | ActiveDefaultControlChanged (TControl)
 | ActiveMDIChild (TCustomForm)
 | AddControl (TWinControl)
pt | AddHandler (TControl)
 | AddHandlerClose (TCustomForm)
 | AddHandlerCreate (TCustomForm)
 | AddHandlerFirstShow (TCustomForm)
 | AddHandlerOnBeforeDestruction (TControl)
 | AddHandlerOnChangeBounds (TControl)
 | AddHandlerOnEnabledChanged (TControl)
 | AddHandlerOnKeyDown (TControl)
 | AddHandlerOnMouseWheel (TControl)
 | AddHandlerOnResize (TControl)
 | AddHandlerOnVisibleChanged (TControl)
 | AddHandlerOnVisibleChanging (TControl)
pt | AdjustClientRect (TWinControl)
pt | AdjustClientRect (TCustomForm)
 | AdjustSize (TControl)
 | AfterConstruction (TObject)
 | AfterConstruction (TCustomForm)
pt | AlignControls (TWinControl)
pt | AlignControls (TScrollingWinControl)
pt | AllAutoSized (TWinControl)
pt | AllAutoSized (TCustomForm)
 | AnchorAsAlign (TControl)
 | AnchorClient (TControl)
 | AnchoredControlCount (TControl)
 | AnchorHorizontalCenterTo (TControl)
 | AnchorParallel (TControl)
 | AnchorSame (TControl)
pt | AnchorSideChanged (TControl)
 | AnchorToCompanion (TControl)
 | AnchorToNeighbour (TControl)
 | AnchorVerticalCenterTo (TControl)
 | Assign (TPersistent)
 | AssignError (TPersistent)
 | AssignTo (TPersistent)
pt | AssignTo (TControl)
 | AutoAdjustLayout (TControl)
 | AutoAdjustLayout (TWinControl)
 | AutoAdjustLayout (TCustomDesignControl)
 | AutoScale (TCustomForm)
pt | AutoScrollEnabled (TScrollingWinControl)
 | AutoSizeDelayed (TControl)
 | AutoSizeDelayed (TWinControl)
 | AutoSizeDelayedHandle (TControl)
 | AutoSizeDelayedHandle (TWinControl)
 | AutoSizeDelayedHandle (TCustomForm)
 | AutoSizeDelayedReport (TControl)
 | AutoSizeDelayedReport (TWinControl)
 | AutoSizePhases (TControl)
 | AutoSizePhases (TWinControl)
 | BeforeDestruction (TObject)
 | BeforeDestruction (TComponent)
 | BeforeDestruction (TControl)
 | BeforeDestruction (TCustomForm)
pt | BeforeDragStart (TControl)
pt | BeginAutoDrag (TControl)
pt | BeginAutoDrag (TCustomForm)
pt | BeginAutoSizing (TControl)
 | BeginDrag (TControl)
pt | BeginFormUpdate (TCustomForm)
 | BeginUpdateBounds (TWinControl)
 | BigIconHandle (TCustomForm)
pt | BoundsChanged (TControl)
 | BringToFront (TControl)
 | BroadCast (TWinControl)
 | BrushCreated (TWinControl)
pt | CalculateAutoRanges (TScrollingWinControl)
pt | CalculateDockSizes (TControl)
pt | CalculatePreferredSize (TControl)
pt | CalculatePreferredSize (TWinControl)
pt | CalculatePreferredSize (TCustomForm)
pt | CanAutoSize (TControl)
 | CanFocus (TWinControl)
 | CanFocus (TCustomForm)
 | CanSetFocus (TWinControl)
pt | CanTab (TControl)
pt | CanTab (TWinControl)
pt | CaptureChanged (TControl)
pt | ChangeBounds (TControl)
pt | Changed (TControl)
 | ChangeName (TComponent)
pt | ChangeScale (TControl)
pt | ChangeScale (TWinControl)
 | CheckChildClassAllowed (TControl)
 | CheckNewParent (TControl)
pt | CheckOnChangeBounds (TControl)
pt | ChildClassAllowed (TControl)
pt | ChildClassAllowed (TWinControl)
pt | ChildHandlesCreated (TWinControl)
pt | ChildHandlesCreated (TCustomForm)
pt | ChildKey (TWinControl)
 | ClassInfo (TObject)
 | ClassName (TObject)
 | ClassNameIs (TObject)
 | ClassParent (TObject)
 | ClassType (TObject)
 | CleanupInstance (TObject)
pt | Click (TControl)
 | ClientRectNeedsInterfaceUpdate (TWinControl)
 | ClientToParent (TControl)
 | ClientToScreen (TControl)
 | ClientToScreen (TScrollingWinControl)
 | Close (TCustomForm)
 | CloseQuery (TCustomForm)
pt | CMActionExecute (TCustomForm)
pt | CMActionUpdate (TCustomForm)
pt | CMActivate (TCustomForm)
pt | CMAppShowBtnGlyphChanged (TCustomForm)
pt | CMAppShowMenuGlyphChanged (TCustomForm)
pt | CMBiDiModeChanged (TControl)
pt | CMBiDiModeChanged (TWinControl)
pt | CMBiDiModeChanged (TCustomForm)
pt | CMBorderChanged (TWinControl)
pt | CMChanged (TControl)
pt | CMCursorChanged (TControl)
pt | CMDeactivate (TCustomForm)
pt | CMDoubleBufferedChanged (TWinControl)
pt | CMEnabledChanged (TControl)
pt | CMEnabledChanged (TWinControl)
pt | CMEnter (TWinControl)
pt | CMExit (TWinControl)
pt | CMHintShow (TControl)
pt | CMHitTest (TControl)
pt | CMIconChanged (TCustomForm)
pt | CMMouseEnter (TControl)
pt | CMMouseLeave (TControl)
pt | CMParentBiDiModeChanged (TControl)
pt | CMParentBiDiModeChanged (TCustomForm)
pt | CMParentColorChanged (TControl)
pt | CMParentDoubleBufferedChanged (TWinControl)
pt | CMParentFontChanged (TControl)
pt | CMParentShowHintChanged (TControl)
pt | CMRelease (TCustomForm)
pt | CMShowHintChanged (TWinControl)
pt | CMShowingChanged (TWinControl)
pt | CMShowingChanged (TCustomForm)
pt | CMSysFontChanged (TControl)
pt | CMTextChanged (TControl)
pt | CMVisibleChanged (TControl)
pt | CMVisibleChanged (TWinControl)
pt | CNChar (TWinControl)
pt | CNKeyDown (TWinControl)
pt | CNKeyUp (TWinControl)
 | CNPreferredSizeChanged (TControl)
pt | CNSysKeyDown (TWinControl)
pt | CNSysKeyUp (TWinControl)
pt | ColorIsStored (TControl)
pt | ColorIsStored (TCustomForm)
pt | ComputeScrollbars (TScrollingWinControl)
pt | ConstrainedResize (TControl)
 | ContainsControl (TWinControl)
 | ControlAtPos (TWinControl)
pt | ControlKeyDown (TWinControl)
pt | ControlKeyUp (TWinControl)
pt | ControlsAligned (TWinControl)
 | ControlToScreen (TControl)
 | Create (TObject)
 | Create (TComponent)
 | Create (TLCLComponent)
 | Create (TControl)
 | Create (TWinControl)
 | Create (TCustomControl)
 | Create (TScrollingWinControl)
 | Create (TCustomDesignControl)
 | Create (TCustomForm)
 | CreateAccessibleObject (TControl)
pt | CreateBrush (TWinControl)
pt | CreateControlBorderSpacing (TControl)
pt | CreateDockManager (TWinControl)
pt | CreateFloatingDockSite (TControl)
pt | CreateHandle (TWinControl)
 | CreateNew (TCustomForm)
pt | CreateParams (TWinControl)
pt | CreateParams (TCustomForm)
 | CreateParented (TWinControl)
 | CreateParentedControl (TWinControl)
pt | CreateSubClass (TWinControl)
pt | CreateWnd (TWinControl)
pt | CreateWnd (TScrollingWinControl)
pt | CreateWnd (TCustomForm)
pt | CustomAlignInsertBefore (TWinControl)
pt | CustomAlignPosition (TWinControl)
pt | DblClick (TControl)
pt | Deactivate (TCustomForm)
 | DecLCLRefCount (TLCLComponent)
 | DefaultHandler (TObject)
 | DefaultHandler (TWinControl)
 | DefaultHandlerStr (TObject)
 | DefineProperties (TPersistent)
 | DefineProperties (TComponent)
pt | DefineProperties (TControl)
 | DefocusControl (TCustomForm)
 | Destroy (TObject)
 | Destroy (TPersistent)
 | Destroy (TComponent)
 | Destroy (TLCLComponent)
 | Destroy (TControl)
 | Destroy (TWinControl)
 | Destroy (TCustomControl)
 | Destroy (TScrollingWinControl)
 | Destroy (TCustomForm)
 | DestroyComponents (TComponent)
pt | DestroyHandle (TWinControl)
 | Destroying (TComponent)
pt | DestroyWnd (TWinControl)
pt | DestroyWnd (TCustomControl)
 | DestroyWnd (TCustomForm)
pt | DialogChar (TControl)
pt | DialogChar (TWinControl)
 | DisableAlign (TWinControl)
 | DisableAutoSizing (TControl)
 | Dispatch (TObject)
 | DispatchStr (TObject)
pt | DoAddActionList (TCustomForm)
pt | DoAddDockClient (TWinControl)
 | DoAdjustClientRectChange (TWinControl)
pt | DoAlignChildControls (TWinControl)
pt | DoAllAutoSize (TControl)
pt | DoAllAutoSize (TWinControl)
pt | DoAutoAdjustLayout (TControl)
pt | DoAutoAdjustLayout (TCustomDesignControl)
pt | DoAutoSize (TControl)
pt | DoAutoSize (TWinControl)
pt | DoAutoSize (TCustomForm)
pt | DoBorderSpacingChange (TControl)
pt | DoCallKeyEventHandler (TControl)
pt | DoCallMouseWheelEventHandler (TControl)
pt | DoCallNotifyHandler (TControl)
pt | DoChildSizingChange (TWinControl)
 | Dock (TControl)
 | Dock (TCustomForm)
 | DockDrop (TWinControl)
 | Docked (TControl)
pt | DockOver (TWinControl)
pt | DockTrackNoTarget (TControl)
pt | DoClose (TCustomForm)
pt | DoConstraintsChange (TControl)
pt | DoConstraintsChange (TWinControl)
pt | DoContextPopup (TControl)
pt | DoCreate (TCustomForm)
pt | DoDestroy (TCustomForm)
pt | DoDock (TControl)
pt | DoDock (TCustomForm)
pt | DoDockClientMsg (TWinControl)
pt | DoDockOver (TWinControl)
pt | DoDragMsg (TControl)
pt | DoDragMsg (TWinControl)
pt | DoEndDock (TControl)
pt | DoEndDrag (TControl)
pt | DoEnter (TWinControl)
pt | DoExecuteAction (TCustomForm)
pt | DoExit (TWinControl)
pt | DoFirstShow (TCustomForm)
pt | DoFixDesignFontPPI (TControl)
pt | DoFlipChildren (TWinControl)
pt | DoFloatMsg (TControl)
pt | DoFloatMsg (TWinControl)
pt | DoGetDockCaption (TWinControl)
pt | DoHide (TCustomForm)
pt | DoKeyDownBeforeInterface (TWinControl)
pt | DoKeyPress (TWinControl)
pt | DoKeyUpBeforeInterface (TWinControl)
pt | DoMouseWheel (TControl)
pt | DoMouseWheelDown (TControl)
pt | DoMouseWheelHorz (TControl)
pt | DoMouseWheelLeft (TControl)
pt | DoMouseWheelRight (TControl)
pt | DoMouseWheelUp (TControl)
pt | DoOnChangeBounds (TControl)
pt | DoOnParentHandleDestruction (TControl)
pt | DoOnResize (TControl)
pt | DoOnResize (TScrollingWinControl)
pt | DoOnShowHint (TControl)
pt | DoRemainingKeyDown (TWinControl)
pt | DoRemainingKeyUp (TWinControl)
pt | DoRemoveActionList (TCustomForm)
pt | DoRemoveDockClient (TWinControl)
pt | DoScaleFontPPI (TControl)
pt | DoSendBoundsToInterface (TWinControl)
pt | DoSendBoundsToInterface (TCustomForm)
pt | DoSendShowHideToInterface (TWinControl)
pt | DoSetBounds (TControl)
pt | DoSetBounds (TWinControl)
pt | DoShow (TCustomForm)
pt | DoShowWindow (TCustomForm)
pt | DoStartDock (TControl)
pt | DoStartDrag (TControl)
pt | DoUnDock (TWinControl)
pt | DoUndockClientMsg (TWinControl)
pt | DoUpdateAction (TCustomForm)
pt | DoUTF8KeyPress (TWinControl)
pt | DragCanceled (TControl)
 | DragDrop (TControl)
 | Dragging (TControl)
pt | DragOver (TControl)
 | EditingDone (TControl)
 | EnableAlign (TWinControl)
 | EnableAutoSizing (TControl)
pt | EnabledChanged (TControl)
pt | EnabledChanging (TControl)
pt | EndAutoSizing (TControl)
 | EndDrag (TControl)
pt | EndFormUpdate (TCustomForm)
 | EndUpdateBounds (TWinControl)
 | EnsureVisible (TCustomForm)
 | Equals (TObject)
 | EraseBackground (TWinControl)
 | ExecuteAction (TComponent)
 | ExecuteCancelAction (TControl)
 | ExecuteDefaultAction (TControl)
 | FieldAddress (TObject)
pt | FinalizeWnd (TWinControl)
 | FindChildControl (TWinControl)
 | FindComponent (TComponent)
pt | FindNextControl (TWinControl)
 | FixDesignFontsPPI (TControl)
pt | FixupTabList (TWinControl)
 | FlipChildren (TWinControl)
 | FocusControl (TCustomForm)
 | Focused (TWinControl)
pt | FontChanged (TControl)
pt | FontChanged (TWinControl)
pt | FontChanged (TCustomControl)
pt | ForeignAnchorSideChanged (TControl)
pt | FormEndUpdated (TControl)
pt | FormEndUpdated (TWinControl)
 | FormIsUpdating (TControl)
 | FormIsUpdating (TCustomForm)
 | FPOAttachObserver (TPersistent)
 | FPODetachObserver (TPersistent)
 | FPONotifyObservers (TPersistent)
 | Free (TObject)
 | FreeInstance (TObject)
 | FreeNotification (TComponent)
 | FreeOnRelease (TComponent)
 | GetAccessibleObject (TControl)
pt | GetAction (TControl)
pt | GetActionLinkClass (TControl)
pt | GetAdjustedLogicalClientRect (TWinControl)
 | GetAnchorsDependingOnParent (TControl)
pt | GetBorderStyle (TWinControl)
pt | GetCachedText (TControl)
 | GetCanvasScaleFactor (TControl)
 | GetChildAccessibleObjectAtPos (TControl)
 | GetChildOwner (TComponent)
 | GetChildParent (TComponent)
 | GetChildren (TComponent)
pt | GetChildren (TWinControl)
 | GetChildren (TCustomForm)
 | GetChildrenRect (TControl)
 | GetChildrenRect (TWinControl)
pt | GetClientOrigin (TControl)
pt | GetClientOrigin (TWinControl)
pt | GetClientRect (TControl)
pt | GetClientRect (TWinControl)
pt | GetClientScrollOffset (TControl)
pt | GetClientScrollOffset (TScrollingWinControl)
 | GetColorResolvingParent (TControl)
 | GetComObject (TComponent)
 | GetComponent (TComponent)
 | GetComponentCount (TComponent)
 | GetComponentIndex (TComponent)
pt | GetControlClassDefaultSize (TControl)
 | GetControlClassDefaultSize (TScrollingWinControl)
 | GetControlClassDefaultSize (TCustomForm)
 | GetControlIndex (TWinControl)
pt | GetControlOrigin (TControl)
pt | GetControlOrigin (TWinControl)
pt | GetCursor (TControl)
 | GetDefaultColor (TControl)
pt | GetDefaultDockCaption (TControl)
pt | GetDefaultDockCaption (TCustomForm)
 | GetDefaultHeight (TControl)
 | GetDefaultWidth (TControl)
pt | GetDeviceContext (TControl)
pt | GetDeviceContext (TWinControl)
 | GetDockCaption (TWinControl)
pt | GetDockEdge (TControl)
pt | GetDragImages (TControl)
pt | GetEnabled (TControl)
 | GetEnumerator (TComponent)
 | GetEnumeratorControls (TWinControl)
 | GetEnumeratorControlsReverse (TWinControl)
pt | GetFloating (TControl)
pt | GetFloating (TCustomForm)
pt | GetFloatingDockSiteClass (TControl)
 | GetFormImage (TCustomForm)
 | GetHashCode (TObject)
 | GetIDsOfNames (TComponent)
 | GetInterface (TObject)
 | GetInterfaceByStr (TObject)
 | GetInterfaceEntry (TObject)
 | GetInterfaceEntryByStr (TObject)
 | GetInterfaceTable (TObject)
 | GetInterfaceWeak (TObject)
pt | GetLogicalClientRect (TControl)
pt | GetLogicalClientRect (TScrollingWinControl)
 | GetMDIChildren (TCustomForm)
pt | GetMouseCapture (TControl)
pt | GetMouseCapture (TWinControl)
pt | GetMousePosFromMessage (TControl)
 | GetNamePath (TPersistent)
 | GetNamePath (TComponent)
 | GetOwner (TPersistent)
 | GetOwner (TComponent)
pt | GetPalette (TControl)
pt | GetParentBackground (TWinControl)
 | GetParentComponent (TComponent)
 | GetParentComponent (TControl)
pt | GetParentHandle (TWinControl)
pt | GetPopupMenu (TControl)
 | GetPreferredSize (TControl)
 | GetPreferredSize (TCustomForm)
pt | GetPreferredSizeClientFrame (TWinControl)
pt | GetPreferredSizeClientFrame (TScrollingWinControl)
 | GetRealPopupParent (TCustomForm)
 | GetRGBColorResolvingParent (TControl)
 | GetRolesForControl (TCustomForm)
pt | GetScrolledClientRect (TControl)
 | GetSelectedChildAccessibleObject (TControl)
 | GetSidePosition (TControl)
pt | GetSiteInfo (TWinControl)
 | GetTabOrderList (TWinControl)
 | GetTextBuf (TControl)
 | GetTextLen (TControl)
 | GetTextLen (TWinControl)
 | GetTopParent (TControl)
pt | GetTopParentHandle (TWinControl)
 | GetTypeInfo (TComponent)
 | GetTypeInfoCount (TComponent)
pt | GetWSComponentClass (TLCLComponent)
 | HandleAllocated (TWinControl)
pt | HandleCreateException (TCustomForm)
pt | HandleDestroyException (TCustomForm)
 | HandleNeeded (TWinControl)
 | HandleObjectShouldBeVisible (TControl)
pt | HandleShowHideException (TCustomForm)
 | HasHelp (TControl)
 | HasParent (TComponent)
 | HasParent (TControl)
pt | HeightIsAnchored (TControl)
 | Hide (TControl)
 | Hide (TCustomForm)
 | iicrGetComponent (TComponent)
 | IncLCLRefCount (TLCLComponent)
 | InheritsFrom (TObject)
pt | InitializeWnd (TWinControl)
pt | InitializeWnd (TCustomForm)
 | InitiateAction (TControl)
 | InitInstance (TObject)
 | Insert (TComponent)
 | InsertComponent (TComponent)
 | InsertControl (TWinControl)
 | InstanceSize (TObject)
 | IntfDropFiles (TCustomForm)
 | IntfGetDropFilesTarget (TWinControl)
 | IntfHelp (TCustomForm)
 | IntfUTF8KeyPress (TWinControl)
 | Invalidate (TControl)
 | Invalidate (TWinControl)
pt | InvalidateBoundsRealized (TWinControl)
 | InvalidateClientRectCache (TWinControl)
pt | InvalidateControl (TControl)
pt | InvalidatePreferredChildSizes (TWinControl)
 | InvalidatePreferredSize (TControl)
 | Invoke (TComponent)
pt | IsAParentAligning (TControl)
pt | IsBorderSpacingInnerBorderStored (TControl)
pt | IsCaptionStored (TControl)
pt | IsClientHeightStored (TControl)
pt | IsClientHeightStored (TWinControl)
pt | IsClientWidthStored (TControl)
pt | IsClientWidthStored (TWinControl)
pt | IsControlMouseMsg (TWinControl)
 | IsControlVisible (TControl)
 | IsEnabled (TControl)
 | IsImplementorOf (TComponent)
 | IsParentColor (TControl)
 | IsParentFont (TControl)
 | IsParentOf (TControl)
 | IsProcessingPaintMsg (TControl)
 | IsRightToLeft (TControl)
 | IsShortcut (TCustomForm)
 | IsVisible (TControl)
pt | KeyDown (TWinControl)
pt | KeyDownAfterInterface (TWinControl)
pt | KeyDownBeforeInterface (TWinControl)
pt | KeyPress (TWinControl)
pt | KeyUp (TWinControl)
pt | KeyUpAfterInterface (TWinControl)
pt | KeyUpBeforeInterface (TWinControl)
pt | LMCaptureChanged (TControl)
 | Loaded (TComponent)
pt | Loaded (TControl)
pt | Loaded (TWinControl)
pt | Loaded (TScrollingWinControl)
pt | Loaded (TCustomDesignControl)
pt | Loaded (TCustomForm)
pt | LoadedAll (TControl)
 | Loading (TComponent)
 | LockRealizeBounds (TWinControl)
pt | MainWndProc (TWinControl)
 | MakeFullyVisible (TCustomForm)
 | ManualDock (TControl)
 | ManualFloat (TControl)
 | MDIChildCount (TCustomForm)
 | MethodAddress (TObject)
 | MethodName (TObject)
pt | MouseDown (TControl)
pt | MouseEnter (TControl)
pt | MouseLeave (TControl)
pt | MouseMove (TControl)
pt | MouseUp (TControl)
pt | MoveToDefaultPosition (TCustomForm)
 | newinstance (TObject)
 | NewInstance (TLCLComponent)
 | Notification (TComponent)
pt | Notification (TControl)
pt | Notification (TCustomForm)
 | NotifyControls (TWinControl)
pt | Paint (TCustomControl)
pt | PaintControls (TWinControl)
pt | PaintHandler (TWinControl)
 | PaintTo (TWinControl)
pt | PaintWindow (TWinControl)
pt | PaintWindow (TCustomControl)
pt | PaintWindow (TCustomForm)
 | PaletteCreated (TComponent)
 | ParentDestroyingHandle (TControl)
pt | ParentFontChanged (TControl)
pt | ParentFormHandleInitialized (TControl)
pt | ParentFormHandleInitialized (TWinControl)
 | ParentHandlesAllocated (TControl)
 | ParentHandlesAllocated (TWinControl)
 | ParentToClient (TControl)
 | Perform (TControl)
 | PerformTab (TWinControl)
pt | PositionDockRect (TControl)
pt | ProcessResource (TCustomForm)
pt | QuadClick (TControl)
 | QueryInterface (TComponent)
 | ReadLeft (TComponent)
 | ReadState (TComponent)
pt | ReadState (TControl)
 | ReadTop (TComponent)
pt | RealGetText (TControl)
pt | RealGetText (TWinControl)
 | ReAlign (TWinControl)
pt | RealizeBounds (TWinControl)
pt | RealizeBoundsRecursive (TWinControl)
pt | RealSetText (TControl)
pt | RealSetText (TWinControl)
 | ReferenceInterface (TComponent)
 | Refresh (TControl)
 | Release (TCustomForm)
pt | ReloadDockedControl (TWinControl)
 | Remove (TComponent)
 | RemoveAllHandlersOfObject (TLCLComponent)
 | RemoveAllHandlersOfObject (TControl)
 | RemoveAllHandlersOfObject (TCustomForm)
 | RemoveComponent (TComponent)
 | RemoveControl (TWinControl)
pt | RemoveFocus (TWinControl)
 | RemoveFreeNotification (TComponent)
pt | RemoveHandler (TControl)
 | RemoveHandlerClose (TCustomForm)
 | RemoveHandlerCreate (TCustomForm)
 | RemoveHandlerFirstShow (TCustomForm)
 | RemoveHandlerOnBeforeDestruction (TControl)
 | RemoveHandlerOnChangeBounds (TControl)
 | RemoveHandlerOnEnableChanging (TControl)
 | RemoveHandlerOnKeyDown (TControl)
 | RemoveHandlerOnMouseWheel (TControl)
 | RemoveHandlerOnResize (TControl)
 | RemoveHandlerOnVisibleChanged (TControl)
 | RemoveHandlerOnVisibleChanging (TControl)
 | RemoveNotification (TComponent)
 | Repaint (TControl)
 | Repaint (TWinControl)
 | ReplaceDockedControl (TControl)
pt | RequestAlign (TControl)
pt | RequestAlign (TCustomForm)
pt | Resize (TControl)
pt | Resizing (TScrollingWinControl)
pt | Resizing (TCustomForm)
 | SafeCallException (TObject)
 | SafeCallException (TComponent)
 | Scale96ToFont (TControl)
 | Scale96ToForm (TControl)
 | Scale96ToScreen (TControl)
 | ScaleBy (TWinControl)
pt | ScaleConstraints (TControl)
pt | ScaleControls (TWinControl)
 | ScaleDesignToForm (TControl)
 | ScaleFontsPPI (TControl)
 | ScaleFontTo96 (TControl)
 | ScaleFontToScreen (TControl)
 | ScaleFormTo96 (TControl)
 | ScaleFormToDesign (TControl)
 | ScaleScreenTo96 (TControl)
 | ScaleScreenToFont (TControl)
 | ScreenToClient (TControl)
 | ScreenToClient (TScrollingWinControl)
 | ScreenToControl (TControl)
 | ScrollBy (TWinControl)
 | ScrollBy (TScrollingWinControl)
 | ScrollBy_WS (TWinControl)
 | ScrollInView (TScrollingWinControl)
pt | SelectFirst (TWinControl)
 | SelectNext (TWinControl)
pt | SendDialogChar (TWinControl)
pt | SendMoveSizeMessages (TControl)
pt | SendMoveSizeMessages (TWinControl)
 | SendToBack (TControl)
pt | SetAction (TControl)
pt | SetAlign (TControl)
 | SetAncestor (TComponent)
pt | SetAnchors (TControl)
pt | SetAutoScroll (TScrollingWinControl)
pt | SetAutoScroll (TCustomForm)
pt | SetAutoSize (TControl)
pt | SetAutoSize (TScrollingWinControl)
pt | SetAutoSize (TCustomForm)
pt | SetBiDiMode (TControl)
pt | SetBorderStyle (TWinControl)
 | SetBounds (TControl)
 | SetBounds (TWinControl)
 | SetBoundsKeepBase (TControl)
 | SetChildOrder (TComponent)
pt | SetChildZPosition (TWinControl)
pt | SetColor (TControl)
pt | SetColor (TWinControl)
pt | SetColor (TCustomControl)
 | SetComponentIndex (TComponent)
 | SetControlIndex (TWinControl)
pt | SetCursor (TControl)
 | SetDesigning (TComponent)
 | SetDesignInstance (TComponent)
pt | SetDockManager (TWinControl)
pt | SetDragMode (TControl)
pt | SetEnabled (TControl)
 | SetFocus (TWinControl)
 | SetFocus (TCustomForm)
 | SetFocusedControl (TCustomForm)
pt | SetHint (TControl)
 | SetInitialBounds (TControl)
 | SetInline (TComponent)
 | SetName (TComponent)
pt | SetName (TControl)
pt | SetParent (TControl)
pt | SetParent (TCustomForm)
pt | SetParentBackground (TWinControl)
pt | SetParentBiDiMode (TControl)
 | SetParentComponent (TComponent)
pt | SetParentComponent (TControl)
 | SetReference (TComponent)
 | SetRestoredBounds (TCustomForm)
pt | SetScaled (TCustomDesignControl)
pt | SetScaled (TCustomForm)
 | SetShape (TWinControl)
 | SetSubComponent (TComponent)
 | SetTempCursor (TControl)
 | SetTempCursor (TWinControl)
 | SetTextBuf (TControl)
pt | SetVisible (TControl)
pt | SetVisible (TCustomForm)
pt | SetZOrder (TControl)
pt | SetZOrder (TCustomForm)
 | ShouldAutoAdjust (TControl)
 | Show (TControl)
 | Show (TCustomForm)
pt | ShowControl (TWinControl)
 | ShowHelp (TControl)
 | ShowModal (TCustomForm)
 | ShowOnTop (TCustomForm)
 | SmallIconHandle (TCustomForm)
 | StringMessageTable (TObject)
pt | TextChanged (TControl)
 | ToString (TObject)
pt | TripleClick (TControl)
 | UnitName (TObject)
 | UnlockRealizeBounds (TWinControl)
 | Update (TControl)
 | Update (TWinControl)
 | UpdateAction (TComponent)
pt | UpdateActions (TCustomForm)
pt | UpdateAnchorRules (TControl)
 | UpdateBaseBounds (TControl)
pt | UpdateControlState (TWinControl)
 | Updated (TComponent)
 | UpdateDockCaption (TWinControl)
 | UpdateDockCaption (TCustomForm)
pt | UpdateMouseCursor (TControl)
 | UpdateRegistry (TComponent)
 | UpdateRolesForForm (TControl)
 | UpdateScrollbars (TScrollingWinControl)
pt | UpdateShowing (TWinControl)
pt | UpdateShowing (TCustomForm)
pt | UpdateWindowState (TCustomForm)
 | Updating (TComponent)
 | UseRightToLeftAlignment (TControl)
 | UseRightToLeftReading (TControl)
 | UseRightToLeftScrollBar (TControl)
pt | UTF8KeyPress (TWinControl)
 | ValidateContainer (TComponent)
 | ValidateInsert (TComponent)
 | ValidateRename (TComponent)
pt | VisibleChanged (TControl)
pt | VisibleChanged (TCustomForm)
pt | VisibleChanging (TControl)
pt | VisibleChanging (TCustomForm)
pt | VisibleIsStored (TCustomForm)
 | WantChildKey (TCustomForm)
pt | WidthIsAnchored (TControl)
pt | WMActivate (TCustomForm)
pt | WMCancelMode (TControl)
pt | WMChar (TWinControl)
pt | WMCloseQuery (TCustomForm)
pt | WMContextMenu (TControl)
pt | WMContextMenu (TWinControl)
pt | WMDestroy (TWinControl)
pt | WMDPIChanged (TCustomForm)
pt | WMEnter (TWinControl)
pt | WMEraseBkgnd (TWinControl)
pt | WMExit (TWinControl)
pt | WMHelp (TCustomForm)
pt | WMHScroll (TScrollingWinControl)
pt | WMKeyDown (TWinControl)
pt | WMKeyUp (TWinControl)
pt | WMKillFocus (TWinControl)
pt | WMLButtonDBLCLK (TControl)
pt | WMLButtonDown (TControl)
pt | WMLButtonQuadCLK (TControl)
pt | WMLButtonTripleCLK (TControl)
pt | WMLButtonUp (TControl)
pt | WMMButtonDBLCLK (TControl)
pt | WMMButtonDown (TControl)
pt | WMMButtonQuadCLK (TControl)
pt | WMMButtonTripleCLK (TControl)
pt | WMMButtonUp (TControl)
pt | WMMouseHWheel (TControl)
pt | WMMouseMove (TControl)
pt | WMMouseWheel (TControl)
pt | WMMove (TControl)
pt | WMMove (TWinControl)
pt | WMMove (TCustomForm)
pt | WMNotify (TWinControl)
pt | WMPaint (TWinControl)
pt | WMPaint (TCustomControl)
pt | WMRButtonDBLCLK (TControl)
pt | WMRButtonDown (TControl)
pt | WMRButtonQuadCLK (TControl)
pt | WMRButtonTripleCLK (TControl)
pt | WMRButtonUp (TControl)
pt | WMSetFocus (TWinControl)
pt | WMShowWindow (TWinControl)
pt | WMShowWindow (TCustomForm)
pt | WMSize (TControl)
pt | WMSize (TWinControl)
pt | WMSize (TScrollingWinControl)
pt | WMSize (TCustomForm)
pt | WMSysChar (TWinControl)
pt | WMSysKeyDown (TWinControl)
pt | WMSysKeyUp (TWinControl)
pt | WMVScroll (TScrollingWinControl)
pt | WMWindowPosChanged (TControl)
pt | WMWindowPosChanged (TWinControl)
pt | WMWindowPosChanged (TCustomForm)
pt | WMXButtonDBLCLK (TControl)
pt | WMXButtonDown (TControl)
pt | WMXButtonQuadCLK (TControl)
pt | WMXButtonTripleCLK (TControl)
pt | WMXButtonUp (TControl)
pt | WndProc (TControl)
pt | WndProc (TWinControl)
pt | WndProc (TCustomForm)
 | WriteLayoutDebugReport (TControl)
 | WriteLayoutDebugReport (TWinControl)
 | WriteLeft (TComponent)
 | WriteState (TComponent)
 | WriteTop (TComponent)
pt | WSRegisterClass (TLCLComponent)
pt | WSRegisterClass (TControl)
pt | WSRegisterClass (TWinControl)
pt | WSRegisterClass (TCustomControl)
pt | WSRegisterClass (TScrollingWinControl)
pt | WSRegisterClass (TCustomForm)
pt | WSSetText (TWinControl)
 | _AddRef (TComponent)
 | _Release (TComponent)


TCustomForm
 |  | OnActivate
 |  | OnClose
 |  | OnCloseQuery
 |  | OnCreate
 |  | OnDeactivate
 |  | OnDestroy
 |  | OnDropFiles
 |  | OnHelp
 |  | OnHide
 | ro | OnResize
 |  | OnShortcut
 |  | OnShow
 |  | OnShowModalFinished
 |  | OnWindowStateChange
TCustomDesignControl
TScrollingWinControl
TCustomControl
 |  | OnPaint
TWinControl
pt |  | OnGetSiteInfo
pt |  | OnGetDockCaption
 |  | OnAlignInsertBefore
 |  | OnAlignPosition
 |  | OnDockDrop
 |  | OnDockOver
 |  | OnEnter
 |  | OnExit
 |  | OnKeyDown
 |  | OnKeyPress
 |  | OnKeyUp
 |  | OnUnDock
 |  | OnUTF8KeyPress
TControl
pt |  | OnConstrainedResize
pt |  | OnContextPopup
pt |  | OnDblClick
pt |  | OnTripleClick
pt |  | OnQuadClick
pt |  | OnDragDrop
pt |  | OnDragOver
pt |  | OnEndDock
pt |  | OnEndDrag
pt |  | OnMouseDown
pt |  | OnMouseMove
pt |  | OnMouseUp
pt |  | OnMouseEnter
pt |  | OnMouseLeave
pt |  | OnMouseWheel
pt |  | OnMouseWheelDown
pt |  | OnMouseWheelUp
pt |  | OnMouseWheelHorz
pt |  | OnMouseWheelLeft
pt |  | OnMouseWheelRight
pt |  | OnStartDock
pt |  | OnStartDrag
pt |  | OnEditingDone
 |  | OnChangeBounds
 |  | OnClick
 |  | OnResize
 |  | OnShowHint
TLCLComponent
TComponent
TPersistent
TObject


TCustomForm.Activate

Notifies the OnActivate handler.

Declaration

Source position: forms.pp line 555

protected procedure TCustomForm.Activate; virtual;


TCustomForm.Active

Is true when the form has the focus.

Declaration

Source position: forms.pp line 683

public property TCustomForm.Active : Boolean
  read FActive;

Description

Use active to check if the form has the focus


TCustomForm.ActiveChanged

Does nothing.

Declaration

Source position: forms.pp line 556

protected procedure TCustomForm.ActiveChanged; virtual;


TCustomForm.ActiveControl

Specifies the active control on the form.

Declaration

Source position: forms.pp line 684

public property TCustomForm.ActiveControl : TWinControl
  read FActiveControl
  write SetActiveControl;

Description

Use this to get or set the active control on this form.


TCustomForm.ActiveDefaultControl

Specifies the Default control on the Form.

Declaration

Source position: forms.pp line 685

public property TCustomForm.ActiveDefaultControl : TControl
  read FActiveDefaultControl
  write SetActiveDefaultControl;

Description

The Default control reacts on the Enter key pressed.


TCustomForm.ActiveMDIChild

Returns the currently active MDI child form.

Declaration

Source position: forms.pp line 673

public function TCustomForm.ActiveMDIChild: TCustomForm; virtual;

Function result

Nil if the form is neither an MDI host nor child.

Description

Valid result is returned only when FormStyle = fsMDIForm or fsMDIChild, otherwise Result is nil.


TCustomForm.AddHandlerClose

Adds an handler for form Close.

Declaration

Source position: forms.pp line 667

public procedure TCustomForm.AddHandlerClose(

  OnCloseHandler: TCloseEvent;

  AsFirst: Boolean = False

);


TCustomForm.AddHandlerCreate

Adds an handler for form Create.

Declaration

Source position: forms.pp line 669

public procedure TCustomForm.AddHandlerCreate(

  OnCreateHandler: TNotifyEvent;

  AsFirst: Boolean = False

);


TCustomForm.AddHandlerFirstShow

Adds an handler for the first Show of the form.

Declaration

Source position: forms.pp line 664

public procedure TCustomForm.AddHandlerFirstShow(

  OnFirstShowHandler: TNotifyEvent;

  AsFirst: Boolean = False

);


TCustomForm.AdjustClientRect

Excludes borders from the given rectangle.

Declaration

Source position: forms.pp line 557

protected procedure TCustomForm.AdjustClientRect(

  var Rect: TRect

); override;

See also

TWinControl.AdjustClientRect

Override this method when the ClientRect of a control differs from the default value.


TCustomForm.AfterConstruction

Declaration

Source position: forms.pp line 623

public procedure TCustomForm.AfterConstruction; override;


TCustomForm.AllowDropFiles

Specifies whether files can be dropped onto this form.

Declaration

Source position: forms.pp line 686

public property TCustomForm.AllowDropFiles : Boolean
  read FAllowDropFiles
  write SetAllowDropFiles
  default False;

Description

Allows this form to receive OnDropFiles event, when files are dropped on form via drag-and-drop operation.

See also

TCustomForm.OnDropFiles

Handler called when files have been dropped.


TCustomForm.AlphaBlend

Allows for a translucent form.

Declaration

Source position: forms.pp line 687

public property TCustomForm.AlphaBlend : Boolean
  read FAlphaBlend
  write SetAlphaBlend;

See also

TCustomForm.AlphaBlendValue

How translucent the form is (0=transparent, 255=opaque).


TCustomForm.AlphaBlendValue

How translucent the form is (0=transparent, 255=opaque).

Declaration

Source position: forms.pp line 688

public property TCustomForm.AlphaBlendValue : Byte
  read FAlphaBlendValue
  write SetAlphaBlendValue;

See also

TCustomForm.AlphaBlend

Allows for a translucent form.


TCustomForm.AutoScale

Declaration

Source position: forms.pp line 677

public procedure TCustomForm.AutoScale;


TCustomForm.AutoScroll

Declaration

Source position: forms.pp line 689

public property TCustomForm.AutoScroll : Boolean
  stored IsAutoScrollStored;


TCustomForm.AutoSizeDelayedHandle

Returns true if AutoSize should be skipped / delayed because of a missing handle.

Declaration

Source position: forms.pp line 644

public function TCustomForm.AutoSizeDelayedHandle: Boolean; override;


TCustomForm.BeforeDestruction

Declaration

Source position: forms.pp line 624

public procedure TCustomForm.BeforeDestruction; override;


TCustomForm.BeginAutoDrag

Checked BeginDrag.

Declaration

Source position: forms.pp line 603

protected procedure TCustomForm.BeginAutoDrag; override;

Description

allow form dragging only if it is docked into a site without DockManager


TCustomForm.BeginFormUpdate

Locks form updates (AutoSize), until EndFormUpdate.

Declaration

Source position: forms.pp line 558

protected procedure TCustomForm.BeginFormUpdate;

Description

Nested calls are allowed (pairs of Begin/EndFormUpdate).


TCustomForm.BigIconHandle

The Handle of the big form icon.

Declaration

Source position: forms.pp line 628

public function TCustomForm.BigIconHandle: HICON;


TCustomForm.BorderIcons

Specifies which icons appear in the title bar of the form.

Declaration

Source position: forms.pp line 690

public property TCustomForm.BorderIcons : TBorderIcons
  read FBorderIcons
  write SetBorderIcons
  default [biSystemMenu, biMinimize, biMaximize];

Description

The icons can represent a system menu, minimize/restore/maximize and close buttons, and an What's this button.

See also

TBorderIcon

Visual elements in window title bars - depending on window manager support.


TCustomForm.BorderStyle

The border style affects the title bar, border and resize behaviour of the form.

Declaration

Source position: forms.pp line 692

public property TCustomForm.BorderStyle : TFormBorderStyle
  read FFormBorderStyle
  write SetFormBorderStyle
  default bsSizeable;

Description

Use borderstyle to get or set the appearance of the form's border.

By default it is a sizeable window, but it could, for example, be a dialog form or a tool window, or could be non-sizeable

This property is slightly different (has a different base type) from the TCustomControl.BorderStyle When the form is put into another control the window borders depend on the widgetset. There are no borders under gtk.

See also

#lcl.Controls.TFormBorderStyle | Style of a form's border.
#lcl.Controls.TBorderStyle | Possible types of borders (with or without border).
#lcl.Controls.TCustomControl.BorderStyle | Allows to show a border (line) around the control,


TCustomForm.CancelControl

The control associated with the Cancel action.

Declaration

Source position: forms.pp line 694

public property TCustomForm.CancelControl : TControl
  read FCancelControl
  write SetCancelControl;

Description

Determines the control associated with the Cancel action (exit from the modal form without changing anything).

This is usually a button with the caption 'Cancel', but might be an 'Exit' button or anything else the application programmer decides.

This control is selected either by explicitly clicking with the mouse, or by hitting the 'Esc' key.

See also

TCustomForm.DefaultControl

The control associated with the default action for this form.


TCustomForm.CanFocus

True when the form can receive the focus.

Declaration

Source position: forms.pp line 649

public function TCustomForm.CanFocus: Boolean; override;


TCustomForm.ChildHandlesCreated

Called after all child control handles are created. When this is a top level form (Parent=Nil) also invokes ParentFormHandleInitialized.

Declaration

Source position: forms.pp line 574

protected procedure TCustomForm.ChildHandlesCreated; override;

See also

TWinControl.ChildHandlesCreated

Called after all child handles have been created. Resets wcfCreatingChildHandles.


TCustomForm.ClientHandle

The Handle of the MDIForm client (container for mdi children).

Declaration

Source position: forms.pp line 618

protected property TCustomForm.ClientHandle : HWND
  read GetClientHandle;


TCustomForm.Close

Close the form.

Declaration

Source position: forms.pp line 629

public procedure TCustomForm.Close;

Description

Close does not necessarily destroy the form. Modal forms only are hidden.

When the MainForm is closed, the application terminates.

An OnCloseQuery handler can deny to close the form.

See also

TCustomForm.CloseQuery

Asks the OnCloseQuery handler whether the form can close.


TCustomForm.CloseQuery

Asks the OnCloseQuery handler whether the form can close.

Declaration

Source position: forms.pp line 630

public function TCustomForm.CloseQuery: Boolean; virtual;

See also

TCustomForm.OnCloseQuery

Handler called before the form is closed. It can reject an close request.


TCustomForm.CMActionExecute

Handler for ActionExecute messages.

Declaration

Source position: forms.pp line 609

protected procedure TCustomForm.CMActionExecute(

  var Message: TLMessage

); message;


TCustomForm.CMActionUpdate

Handler for ActionUpdate messages.

Declaration

Source position: forms.pp line 610

protected procedure TCustomForm.CMActionUpdate(

  var Message: TLMessage

); message;


TCustomForm.CMActivate

Declaration

Source position: forms.pp line 545

protected procedure TCustomForm.CMActivate(

  var Message: TLMessage

); message;


TCustomForm.CMAppShowBtnGlyphChanged

Declaration

Source position: forms.pp line 541

protected procedure TCustomForm.CMAppShowBtnGlyphChanged(

  var Message: TLMessage

); message;


TCustomForm.CMAppShowMenuGlyphChanged

Declaration

Source position: forms.pp line 542

protected procedure TCustomForm.CMAppShowMenuGlyphChanged(

  var Message: TLMessage

); message;


TCustomForm.CMBiDiModeChanged

Declaration

Source position: forms.pp line 539

protected procedure TCustomForm.CMBiDiModeChanged(

  var Message: TLMessage

); message;


TCustomForm.CMDeactivate

Declaration

Source position: forms.pp line 546

protected procedure TCustomForm.CMDeactivate(

  var Message: TLMessage

); message;


TCustomForm.CMIconChanged

Declaration

Source position: forms.pp line 543

protected procedure TCustomForm.CMIconChanged(

  var Message: TLMessage

); message;


TCustomForm.CMParentBiDiModeChanged

Declaration

Source position: forms.pp line 540

protected procedure TCustomForm.CMParentBiDiModeChanged(

  var Message: TLMessage

); message;


TCustomForm.CMRelease

Declaration

Source position: forms.pp line 544

protected procedure TCustomForm.CMRelease(

  var Message: TLMessage

); message;


TCustomForm.CMShowingChanged

Declaration

Source position: forms.pp line 547

protected procedure TCustomForm.CMShowingChanged(

  var Message: TLMessage

); message;


TCustomForm.CreateNew

Creates a form without a resource.

Declaration

Source position: forms.pp line 621

public constructor TCustomForm.CreateNew(

  AOwner: TComponent;

  Num: Integer = 0

); virtual;

Arguments

Num

Here: ignored


TCustomForm.Deactivate

Called when the form looses the focus. Notifies the OnDeactivate handler.

Declaration

Source position: forms.pp line 562

protected procedure TCustomForm.Deactivate; virtual;


TCustomForm.DefaultControl

The control associated with the default action for this form.

Declaration

Source position: forms.pp line 697

public property TCustomForm.DefaultControl : TControl
  read FDefaultControl
  write SetDefaultControl;

Description

This is typically a button such as 'Accept' which is highlighted in some way on-screen to indicate that this is the default action, and is selected either by hitting 'Return' or 'Enter' or by selecting that control with the mouse.


TCustomForm.DefaultMonitor

The monitor on which the form will appear.

Declaration

Source position: forms.pp line 698

public property TCustomForm.DefaultMonitor : TDefaultMonitor
  read FDefaultMonitor
  write FDefaultMonitor
  default dmActiveForm;

Description

Possible values:
  • dmDesktop - no attempt to choose specific monitor.
  • dmPrimary - on the primary monitor.
  • dmMainForm - on the same monitor as the main form. If there is no main form then use dmPrimary behavior.
  • dmActiveForm - on the same monitor as the currently active form. If there is no active form use dmMainForm behavior.


TCustomForm.DefocusControl

Updates ActiveControl if it is to be defocused.

Declaration

Source position: forms.pp line 631

public procedure TCustomForm.DefocusControl(

  Control: TWinControl;

  Removing: Boolean

);

Arguments

Control | The control that looses the focus.
Removing | True when the control is removed.


TCustomForm.Designer

The designer object when the form is in design state.

Declaration

Source position: forms.pp line 700

public property TCustomForm.Designer : TIDesigner
  read FDesigner
  write FDesigner;


TCustomForm.Destroy

Declaration

Source position: forms.pp line 622

public destructor TCustomForm.Destroy; override;


TCustomForm.DoAddActionList

Adds another ActionList.

Declaration

Source position: forms.pp line 598

protected procedure TCustomForm.DoAddActionList(

  List: TCustomActionList

);

See also

TCustomForm.RemoveActionList


TCustomForm.DoClose

Notifies the form close handlers.

Declaration

Source position: forms.pp line 563

protected procedure TCustomForm.DoClose(

  var CloseAction: TCloseAction

); virtual;

See also

TFormHandlerType.fhtClose | Notified on form Close.
TCustomForm.OnClose | Handler called when the form is closed. It determines what happens to the form (destroy, hide...).


TCustomForm.DoCreate

Notifies the form create handlers.

Declaration

Source position: forms.pp line 564

protected procedure TCustomForm.DoCreate; virtual;

See also

TFormHandlerType.fhtCreate | Notified after form Create.
TCustomForm.OnCreate | Handler called when the form has been created.


TCustomForm.DoDestroy

Notifies the OnDestroy handler.

Declaration

Source position: forms.pp line 565

protected procedure TCustomForm.DoDestroy; virtual;

See also

TCustomForm.OnDestroy

Handler called when the form is destroyed.


TCustomForm.DoExecuteAction

Asks all applicable components to execute an action.

Declaration

Source position: forms.pp line 611

protected function TCustomForm.DoExecuteAction(

  ExeAction: TBasicAction

):Boolean;

Arguments

ExeAction

Action to execute.

Function result

True when the action was handled.

Description

First the ActiveControl and the Form itself are asked to execute the action. Then all child components are tried. The search stops as soon as the action is handled.


TCustomForm.DoFirstShow

Notifies the FirstShow handlers.

Declaration

Source position: forms.pp line 587

protected procedure TCustomForm.DoFirstShow; virtual;

See also

TFormHandlerType.fhtFirstShow

Notified on first form Show.


TCustomForm.DoHide

Notifies the OnHide handler.

Declaration

Source position: forms.pp line 566

protected procedure TCustomForm.DoHide; virtual;


TCustomForm.DoRemoveActionList

Removes an ActionList.

Declaration

Source position: forms.pp line 599

protected procedure TCustomForm.DoRemoveActionList(

  List: TCustomActionList

);

See also

TCustomForm.AddActionList


TCustomForm.DoShow

Notifies the OnShow handler.

Declaration

Source position: forms.pp line 567

protected procedure TCustomForm.DoShow; virtual;


TCustomForm.DoShowWindow

When no control is Active, sets the Focus to the first control in TabOrder.

Declaration

Source position: forms.pp line 554

protected procedure TCustomForm.DoShowWindow; virtual;


TCustomForm.DoUpdateAction

Tries all applicable components to update an action.

Declaration

Source position: forms.pp line 612

protected function TCustomForm.DoUpdateAction(

  TheAction: TBasicAction

):Boolean;

Function result

True when the action was updated.

See also

DoExecuteAction

Asks all applicable components to execute an action.


TCustomForm.EffectiveShowInTaskBar

Declaration

Source position: forms.pp line 701

public property TCustomForm.EffectiveShowInTaskBar : TShowInTaskbar
  read GetEffectiveShowInTaskBar;


TCustomForm.EndFormUpdate

Unlocks form updates, in sync with BeginFormUpdate.

Declaration

Source position: forms.pp line 568

protected procedure TCustomForm.EndFormUpdate;

Description

When the update counter reaches zero, FormEndUpdated is invoked to realize the pending changes.

See also

TCustomForm.BeginFormUpdate

Locks form updates (AutoSize), until EndFormUpdate.

TCustomForm.FormEndUpdated


TCustomForm.EnsureVisible

Ensure that this form is fully visible, optionally brings it in front of all forms.

Declaration

Source position: forms.pp line 633

public procedure TCustomForm.EnsureVisible(

  AMoveToTop: Boolean = True

);

Arguments

AMoveToTop

Bring the form to front if True.


TCustomForm.FActionLists

FActionLists - local variable holding lists of actions asociated with the Form

Declaration

Source position: forms.pp line 550

protected TCustomForm.FActionLists : TList;


TCustomForm.FocusControl

Focus the control. If needed bring form to front.

Declaration

Source position: forms.pp line 634

public procedure TCustomForm.FocusControl(

  WinControl: TWinControl

);

Arguments

WinControl

The control receiving the focus.

Errors

If the control or one of its parents is not visible or disabled an exception will be raised (in SetFocus).


TCustomForm.FormState

Various state flags.

Declaration

Source position: forms.pp line 702

public property TCustomForm.FormState : TFormState
  read FFormState;

See also

TFormState

The set of form state flags.


TCustomForm.FormStyle

Determines the style of the form.

Declaration

Source position: forms.pp line 703

public property TCustomForm.FormStyle : TFormStyle
  read FFormStyle
  write SetFormStyle
  default fsNormal;

Description

Possible values:
  • fsNormal - usual style.
  • fsStayOnTop - form is positioned above all application's forms, except those which have fsStayOnTop style.
  • fsSystemStayOnTop - form is positioned above all OS windows, except other OS top-level windows.
  • fsSplash - form is border-less.
  • fsMDIForm - MDI parent form.
  • fsMDIChild - MDI child form.

See also

#lcl.Controls.TFormStyle

Defines special form behaviour.


TCustomForm.GetChildren

Invokes Proc for all Controls and also for all Components with no Parent.

Declaration

Source position: forms.pp line 658

public procedure TCustomForm.GetChildren(

  Proc: TGetChildProc;

  Root: TComponent

); override;

Arguments

Proc | The callback method.
Root | Components are enumerated only if Root=Self.

See also

TComponent.GetChildren

TWinControl.GetChildren

Calls Proc with every child control, owned by Root.


TCustomForm.GetDefaultDockCaption

Here: returns the Caption.

Declaration

Source position: forms.pp line 606

protected function TCustomForm.GetDefaultDockCaption: string; override;


TCustomForm.GetFormImage

Makes a Bitmap image from the Form.

Declaration

Source position: forms.pp line 636

public function TCustomForm.GetFormImage: TBitmap;


TCustomForm.GetRealPopupParent

Declaration

Source position: forms.pp line 638

public function TCustomForm.GetRealPopupParent: TCustomForm;


TCustomForm.GetRolesForControl

The role(s) of the control in a modal form (default or cancel button).

Declaration

Source position: forms.pp line 637

public function TCustomForm.GetRolesForControl(

  AControl: TControl

):TControlRolesForForm;


TCustomForm.HandleCreateException

Placeholder for exception handlers in derived classes.

Declaration

Source position: forms.pp line 569

protected function TCustomForm.HandleCreateException: Boolean; virtual;

Function result

True when the exception was handled.

Description

By default the Application exception handler is invoked.

See also

TApplication.HandleException | HandleException method for handling an exception; attempts to maintain program execution if possible, otherwise exits gracefully
TApplication.CaptureExceptions | Enables exception handling by Application.


TCustomForm.HandleDestroyException

Placeholder for exception handlers in derived classes.

Declaration

Source position: forms.pp line 570

protected function TCustomForm.HandleDestroyException: Boolean; virtual;

Function result

True when the exception was handled.

Description

By default the Application exception handler is invoked.

See also

TApplication.HandleException | HandleException method for handling an exception; attempts to maintain program execution if possible, otherwise exits gracefully
TApplication.CaptureExceptions | Enables exception handling by Application.


TCustomForm.HandleShowHideException

Placeholder for exception handlers in derived classes.

Declaration

Source position: forms.pp line 571

protected function TCustomForm.HandleShowHideException: Boolean; virtual;

Function result

True when the exception was handled.

Description

By default the Application exception handler is invoked.

See also

TApplication.HandleException | HandleException method for handling an exception; attempts to maintain program execution if possible, otherwise exits gracefully
TApplication.CaptureExceptions | Enables exception handling by Application.


TCustomForm.HelpFile

The name of the help file for this form.

Declaration

Source position: forms.pp line 705

public property TCustomForm.HelpFile : string
  read FHelpFile
  write FHelpFile;


TCustomForm.Icon

The Icon associated with this Form (in minimized state).

Declaration

Source position: forms.pp line 706

public property TCustomForm.Icon : TIcon
  read FIcon
  write SetIcon
  stored IsIconStored;

See also

TCustomForm.BigIconHandle | The Handle of the big form icon.
TCustomForm.SmallIconHandle | Returns (eventually creates) the Handle of the small Form or Application Icon.


TCustomForm.IntfDropFiles

Invokes the OnDropFiles handler of the form. This function is called by the interface.

Declaration

Source position: forms.pp line 640

public procedure TCustomForm.IntfDropFiles(

  const FileNames: array of string

);

Description

The drop files event will be invoked when the user drops one or multiple dragged files on one of application's forms. First this event should be fired for target form (or main form if drop target is unknown), then for the application.


TCustomForm.IntfHelp

Show help for control or menu item. This function is called by the interface.

Declaration

Source position: forms.pp line 641

public procedure TCustomForm.IntfHelp(

  AComponent: TComponent

);

See also

#lcl.Controls.TControl.ShowHelp

Show the Help associated with this control.


TCustomForm.IsShortcut

Asks all applicable components to interpret an keystroke as an shortcut. True, the specified Key and Message are active as a shortcut

Declaration

Source position: forms.pp line 642

public function TCustomForm.IsShortcut(

  var Message: TLMKey

):Boolean; virtual;

Function result

True when the specified Key was handled as a shortcut.


TCustomForm.KeyPreview

Allows the form to intercept keystrokes in child controls.

Declaration

Source position: forms.pp line 707

public property TCustomForm.KeyPreview : Boolean
  read FKeyPreview
  write FKeyPreview
  default False;


TCustomForm.LastActiveControl

Declaration

Source position: forms.pp line 712

public property TCustomForm.LastActiveControl : TWinControl
  read FLastActiveControl;


TCustomForm.Loaded

Also renews ActiveControl and Visible.

Declaration

Source position: forms.pp line 573

protected procedure TCustomForm.Loaded; override;

See also

TComponent.Loaded

TScrollingWinControl.Loaded

Also initializes the scroll bars.


TCustomForm.MakeFullyVisible

Extends or shrinks the form to a monitor.

Declaration

Source position: forms.pp line 643

public procedure TCustomForm.MakeFullyVisible(

  AMonitor: TMonitor = Nil;

  UseWorkarea: Boolean = False

);

Arguments

AMonitor | The monitor to use, Nil means the designed monitor.
UseWorkarea | If True then extend to the WorkArea of the monitor, else clip the form to the monitor bounds.


TCustomForm.MDIChildren

Indexed access to MDI child forms, when this is an MDI form.

Declaration

Source position: forms.pp line 708

public property TCustomForm.MDIChildren[I: Integer] : TCustomForm
  read GetMDIChildren;

See also

TCustomForm.FormStyle

Determines the style of the form.


TCustomForm.Menu

The main menu for this form.

Declaration

Source position: forms.pp line 709

public property TCustomForm.Menu : TMainMenu
  read FMenu
  write SetMenu;

Description

Drop a TMainMenu on the form to store it here and to show it on the form.

See also

#lcl.Menus.TMainMenu

TMainMenu - the Main Menu that appears at the top of most windows


TCustomForm.ModalResult

Specifies the return value of a modal form (dialog).

Declaration

Source position: forms.pp line 710

public property TCustomForm.ModalResult : TModalResult
  read FModalResult
  write SetModalResult;

See also

TModalResult

Dummy type for the values that can be returned as a modal result.


TCustomForm.Monitor

The Monitor on which the form is shown.

Declaration

Source position: forms.pp line 711

public property TCustomForm.Monitor : TMonitor
  read GetMonitor;


TCustomForm.OnActivate

Handler called when the form receives focus.

Declaration

Source position: forms.pp line 716

public property TCustomForm.OnActivate : TNotifyEvent
  read FOnActivate
  write FOnActivate;

Description

This handler is called when the form receives focus for the first time at application start up and then subsequently each time focus is changed from another window of the same application to this window.

For focus changes between different applications the Application.OnActivate handler is called instead.

See also

TApplication.OnActivate

Event handler for activation of the application.


TCustomForm.OnClose

Handler called when the form is closed. It determines what happens to the form (destroy, hide...).

Declaration

Source position: forms.pp line 717

public property TCustomForm.OnClose : TCloseEvent
  read FOnClose
  write FOnClose
  stored IsForm;


TCustomForm.OnCloseQuery

Handler called before the form is closed. It can reject an close request.

Declaration

Source position: forms.pp line 718

public property TCustomForm.OnCloseQuery : TCloseQueryEvent
  read FOnCloseQuery
  write FOnCloseQuery
  stored IsForm;

Description

An OnCloseQuery handler can check for unsaved information, ask the user whether it's okay to save or discard changes, or simply reject the close request.


TCustomForm.OnCreate

Handler called when the form has been created.

Declaration

Source position: forms.pp line 720

public property TCustomForm.OnCreate : TNotifyEvent
  read FOnCreate
  write FOnCreate;


TCustomForm.OnDeactivate

Handler called when the form is deactivated (lost focus).

Declaration

Source position: forms.pp line 721

public property TCustomForm.OnDeactivate : TNotifyEvent
  read FOnDeactivate
  write FOnDeactivate;

See also

TApplication.OnDeactivate

Event handler for deactivation of the application.


TCustomForm.OnDestroy

Handler called when the form is destroyed.

Declaration

Source position: forms.pp line 722

public property TCustomForm.OnDestroy : TNotifyEvent
  read FOnDestroy
  write FOnDestroy;


TCustomForm.OnDropFiles

Handler called when files have been dropped.

Declaration

Source position: forms.pp line 723

public property TCustomForm.OnDropFiles : TDropFilesEvent
  read FOnDropFiles
  write FOnDropFiles;

Description

You enable this feature by setting AllowDropFiles property.

See also

TCustomForm.AllowDropFiles

Specifies whether files can be dropped onto this form.


TCustomForm.OnHelp

Handler called when Help is requested.

Declaration

Source position: forms.pp line 724

public property TCustomForm.OnHelp : THelpEvent
  read FOnHelp
  write FOnHelp;


TCustomForm.OnHide

Handler called when the form is being hidden.

Declaration

Source position: forms.pp line 725

public property TCustomForm.OnHide : TNotifyEvent
  read FOnHide
  write FOnHide;


TCustomForm.OnShortcut

Handler called when a key is pressed, before further handling of the key.

Declaration

Source position: forms.pp line 727

public property TCustomForm.OnShortcut : TShortCutEvent
  read FOnShortcut
  write FOnShortcut;

Description

The handler can interpret the key as an shortcut and act accordingly.


TCustomForm.OnShow

Handler called when the form becomes visible.

Declaration

Source position: forms.pp line 728

public property TCustomForm.OnShow : TNotifyEvent
  read FOnShow
  write FOnShow;


TCustomForm.OnShowModalFinished

Declaration

Source position: forms.pp line 729

public property TCustomForm.OnShowModalFinished : TModalDialogFinished
  read FOnShowModalFinished
  write FOnShowModalFinished;


TCustomForm.OnWindowStateChange

Handler called when the form is minimized, maximized or restored.

Declaration

Source position: forms.pp line 730

public property TCustomForm.OnWindowStateChange : TNotifyEvent
  read FOnWindowStateChange
  write FOnWindowStateChange;


TCustomForm.PopupMode

Defines where popup menus are shown

Declaration

Source position: forms.pp line 713

public property TCustomForm.PopupMode : TPopupMode
  read FPopupMode
  write SetPopupMode
  default pmNone;

See also

TCustomForm.PopupParent |
TPopupMode | Defines the parent handling for forms and dialogs.


TCustomForm.PopupParent

Declaration

Source position: forms.pp line 714

public property TCustomForm.PopupParent : TCustomForm
  read FPopupParent
  write SetPopupParent;

See also

TCustomForm.PopupMode

Defines where popup menus are shown


TCustomForm.Position

The initial placement of the form.

Declaration

Source position: forms.pp line 733

public property TCustomForm.Position : TPosition
  read FPosition
  write SetPosition
  default poDesigned;

Description

By default it is in the position that it was placed in the Form Designer

See also

TPosition | Represents the Position and Size of a Form on Screen.
TCustomForm.DefaultMonitor | The monitor on which the form will appear.


TCustomForm.ProcessResource

Declaration

Source position: forms.pp line 600

protected procedure TCustomForm.ProcessResource; virtual;


TCustomForm.Release

Marks the form for destruction.

Declaration

Source position: forms.pp line 648

public procedure TCustomForm.Release;


TCustomForm.RemoveHandlerClose

Removes an handler for form Close.

Declaration

Source position: forms.pp line 668

public procedure TCustomForm.RemoveHandlerClose(

  OnCloseHandler: TCloseEvent

);


TCustomForm.RemoveHandlerCreate

Removes an handler for form Create.

Declaration

Source position: forms.pp line 670

public procedure TCustomForm.RemoveHandlerCreate(

  OnCreateHandler: TNotifyEvent

);


TCustomForm.RemoveHandlerFirstShow

Removes an handler for the first Show of the form.

Declaration

Source position: forms.pp line 666

public procedure TCustomForm.RemoveHandlerFirstShow(

  OnFirstShowHandler: TNotifyEvent

);


TCustomForm.Resizing

Declaration

Source position: forms.pp line 578

protected procedure TCustomForm.Resizing(

  State: TWindowState

); override;


TCustomForm.RestoredHeight

The height of the form when it is restored (ie changes from minimised or maximised).

Declaration

Source position: forms.pp line 737

public property TCustomForm.RestoredHeight : Integer
  read FRestoredHeight;


TCustomForm.RestoredLeft

The position of the left edge of the form when it is restored (ie changes from minimised or maximised).

Declaration

Source position: forms.pp line 734

public property TCustomForm.RestoredLeft : Integer
  read FRestoredLeft;


TCustomForm.RestoredTop

The position of the top edge of the form when it is restored (ie changes from minimised or maximised).

Declaration

Source position: forms.pp line 735

public property TCustomForm.RestoredTop : Integer
  read FRestoredTop;


TCustomForm.RestoredWidth

The width of the form when it is restored (ie changes from minimised or maximised).

Declaration

Source position: forms.pp line 736

public property TCustomForm.RestoredWidth : Integer
  read FRestoredWidth;


TCustomForm.SetFocusedControl

Handles focus switch to a control (enter/exit messages).

Declaration

Source position: forms.pp line 651

public function TCustomForm.SetFocusedControl(

  Control: TWinControl

):Boolean; virtual;

Arguments

Control

The control that received the focus

Function result

False when no switching allowed


TCustomForm.SetRestoredBounds

Sets the bounds defining the restored control.

Declaration

Source position: forms.pp line 652

public procedure TCustomForm.SetRestoredBounds(

  ALeft: Integer;

  ATop: Integer;

  AWidth: Integer;

  AHeight: Integer

);

Description

Temporarily goes to normal (restored) window state, if required.


TCustomForm.SetScaled

Declaration

Source position: forms.pp line 597

protected procedure TCustomForm.SetScaled(

  const AScaled: Boolean

); override;


TCustomForm.SetZOrder

Here: Moves a top-level form in front or back of all forms.

Declaration

Source position: forms.pp line 581

protected procedure TCustomForm.SetZOrder(

  Topmost: Boolean

); override;

Arguments

Topmost

True for BringToFront.


TCustomForm.ShowInTaskBar

How the form is represented in the system Task Bar.

Declaration

Source position: forms.pp line 738

public property TCustomForm.ShowInTaskBar : TShowInTaskbar
  read FShowInTaskbar
  write SetShowInTaskBar
  default stDefault;


TCustomForm.ShowModal

Show this form as a modal Dialog.

Declaration

Source position: forms.pp line 655

public function TCustomForm.ShowModal: Integer; virtual;

Function result

The modal result of the dialog.

Description

Shows the form in modal state and waits til it is closed by the user or by the program. Modal state means that neither the user nor the program can switch to forms, that were already visible before ShowModal. The form must have Visible=false when calling ShowModal. The call doesn't return until the form is closed. The application switches to modal state until then. ShowModal creates its own event loop calling ProcessMessages.

Errors

EInvalidOperation if the form cannot be shown modally.


TCustomForm.ShowOnTop

Shows this form in front of all other forms.

Declaration

Source position: forms.pp line 656

public procedure TCustomForm.ShowOnTop;


TCustomForm.SmallIconHandle

Returns (eventually creates) the Handle of the small Form or Application Icon.

Declaration

Source position: forms.pp line 657

public function TCustomForm.SmallIconHandle: HICON;

See also

TCustomForm.Icon

The Icon associated with this Form (in minimized state).


TCustomForm.UpdateActions

Asks all components to initiate their actions

Declaration

Source position: forms.pp line 613

protected procedure TCustomForm.UpdateActions; virtual;


TCustomForm.UpdateShowing

Called when the widget's visibility (Showing) changed. Updates (and realizes?) all properties affecting the visual representation.

Declaration

Source position: forms.pp line 584

protected procedure TCustomForm.UpdateShowing; override;

See also

TWinControl.UpdateShowing

When the widget should be visible and has not yet been created, it's created along with all children.


TCustomForm.UpdateWindowState

Declaration

Source position: forms.pp line 588

protected procedure TCustomForm.UpdateWindowState;


TCustomForm.VisibleChanged

Notifies all VisibleChanged handlers.

Declaration

Source position: forms.pp line 590

protected procedure TCustomForm.VisibleChanged; override;

See also

TScreenNotification.snFormVisibleChanged

The visibility of a form changed.


TCustomForm.VisibleChanging

Notifies all VisibleChanging handlers.

Declaration

Source position: forms.pp line 589

protected procedure TCustomForm.VisibleChanging; override;


TCustomForm.WantChildKey

Declaration

Source position: forms.pp line 659

public function TCustomForm.WantChildKey(

  Child: TControl;

  var Message: TLMessage

):Boolean; virtual;

Function result

Here: always False.


TCustomForm.WindowState

Whether the form is currently minimized, maximized or normal (restored).

Declaration

Source position: forms.pp line 741

public property TCustomForm.WindowState : TWindowState
  read FWindowState
  write SetWindowState
  default wsNormal;

Description

Default is 'normal' (ie not minimized nor maximized)

See also

TWindowState

Represents the actual State of the window on the screen.


TCustomForm.WMActivate

Declaration

Source position: forms.pp line 532

protected procedure TCustomForm.WMActivate(

  var Message: TLMActivate

); message;


TCustomForm.WMCloseQuery

Declaration

Source position: forms.pp line 533

protected procedure TCustomForm.WMCloseQuery(

  var message: TLMessage

); message;


TCustomForm.WMDPIChanged

Declaration

Source position: forms.pp line 548

protected procedure TCustomForm.WMDPIChanged(

  var Msg: TLMessage

); message;


TCustomForm.WMHelp

Declaration

Source position: forms.pp line 534

protected procedure TCustomForm.WMHelp(

  var Message: TLMHelp

); message;


TCustomForm.WMMove

Declaration

Source position: forms.pp line 535

protected procedure TCustomForm.WMMove(

  var Message: TLMMove

); message;


TCustomForm.WMShowWindow

Declaration

Source position: forms.pp line 536

protected procedure TCustomForm.WMShowWindow(

  var message: TLMShowWindow

); message;


TCustomForm.WMSize

Declaration

Source position: forms.pp line 537

protected procedure TCustomForm.WMSize(

  var message: TLMSize

); message;


TCustomForm.WMWindowPosChanged

Declaration

Source position: forms.pp line 538

protected procedure TCustomForm.WMWindowPosChanged(

  var Message: TLMWindowPosChanged

); message;


TCustomFormClass

Declaration

Source position: forms.pp line 745

type TCustomFormClass = class of TCustomForm;


TCustomFrame

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

The base type for TFrame.

Declaration

Source position: forms.pp line 292

type TCustomFrame = class(TCustomDesignControl)
protected
class procedure WSRegisterClass; override; | Registers this component class with the current WidgetSet.
procedure Notification(); override; | Also handles add/remove of ActionLists.
procedure SetParent(); override; | Also updates the ActionLists.
procedure DefineProperties(); override;
procedure CalculatePreferredSize(); override; | Override this method to return the preferred height and width.
public
constructor Create(); override;
procedure GetChildren(); override; | Invokes Proc for all Controls and also for all Components with no Parent.
class function GetControlClassDefaultSize; override; | Returns the default size for this class of controls (when added to a form).
end;

Inheritance

TCustomFrame | The base type for TFrame.
|
TCustomDesignControl
|
TScrollingWinControl | Class of a windowed control with incorporated scroll bars.
|
TCustomControl | The base class for windowed controls which paint themselves.
|
TWinControl | The base class for controls which can contain other (child) controls.
|
TControl | The base class for visible controls.
|
TLCLComponent | The base class for LCL components associated with widgets.
|
TComponent,IUnknown,IInterfaceComponentReference
|
TPersistent,IFPObserved
|
TObject

Description

Frames can be designed like Forms and used like custom controls, without much coding or installation in the IDE.


TCustomFrame
TCustomDesignControl
 |  | DesignTimePPI
 |  | PixelsPerInch
 |  | Scaled
TScrollingWinControl
pt |  | AutoScroll
pl |  | HorzScrollBar
pl |  | VertScrollBar
TCustomControl
 |  | Canvas
 | ro | BorderStyle
TWinControl
pt |  | WindowHandle
pt |  | BorderStyle
pt |  | ParentBackground
 |  | BorderWidth
 | ro | BoundsLockCount
 | ro | Brush
 | ro | CachedClientHeight
 | ro | CachedClientWidth
 |  | ChildSizing
 | ro | ControlCount
 | ro | Controls
 |  | DefWndProc
 | ro | DockClientCount
 | ro | DockClients
 |  | DockManager
 |  | DockSite
 |  | DoubleBuffered
 |  | Handle
 | ro | IsFlipped
 | ro | IsResizing
 |  | TabOrder
 |  | TabStop
 |  | ParentDoubleBuffered
 |  | ParentWindow
 | ro | Showing
 |  | UseDockManager
 |  | DesignerDeleting
 | ro | VisibleDockClientCount
TControl
pt | ro | AutoSizing
pt | ro | AutoSizingAll
pt | ro | AutoSizingLockCount
pt |  | ActionLink
pt |  | DesktopFont
pt |  | DragCursor
pt |  | DragKind
pt |  | DragMode
pt |  | MouseCapture
pt |  | ParentColor
pt |  | ParentFont
pt |  | ParentShowHint
pt |  | SessionProperties
pt |  | Text
 | ro | AnchoredControls
 | ro | BaseBounds
 | ro | ReadBounds
 | ro | BaseParentClientSize
 |  | AccessibleDescription
 |  | AccessibleValue
 |  | AccessibleRole
 |  | Action
 |  | Align
 |  | Anchors
 | ro | AnchorSide
 |  | AutoSize
 |  | BorderSpacing
 |  | BoundsRect
 |  | BoundsRectForNewParent
 |  | Caption
 |  | CaptureMouseButtons
 |  | ClientHeight
 | ro | ClientOrigin
 | ro | ClientRect
 |  | ClientWidth
 |  | Color
 |  | Constraints
 | ro | ControlOrigin
 |  | ControlState
 |  | ControlStyle
 |  | Enabled
 |  | Font
 |  | IsControl
 | ro | MouseEntered
 | ro | MouseInClient
 |  | Parent
 |  | PopupMenu
 |  | ShowHint
 |  | Visible
 |  | WindowProc
 |  | DockOrientation
 | ro | Floating
 |  | FloatingDockSiteClass
 |  | HostDockSite
 |  | LRDockWidth
 |  | TBDockHeight
 |  | UndockHeight
 |  | UndockWidth
 |  | BiDiMode
 |  | ParentBiDiMode
pl |  | AnchorSideLeft
pl |  | AnchorSideTop
pl |  | AnchorSideRight
pl |  | AnchorSideBottom
pl |  | Cursor
pl |  | Left
pl |  | Height
pl |  | Hint
pl |  | Top
pl |  | Width
pl |  | HelpType
pl |  | HelpKeyword
pl |  | HelpContext
TLCLComponent
 | ro | LCLRefCount
 | ro | WidgetSetClass
TComponent
 | ro | ComObject
 | ro | Components
 | ro | ComponentCount
 |  | ComponentIndex
 | ro | ComponentState
 | ro | ComponentStyle
 |  | DesignInfo
 | ro | Owner
 |  | VCLComObject
 |  | Name
 |  | Tag
TPersistent
TObject


TCustomFrame
pt | WSRegisterClass
pt | Notification
pt | SetParent
pt | DefineProperties
pt | CalculatePreferredSize
 | Create
 | GetChildren
 | GetControlClassDefaultSize
TCustomDesignControl
pt | SetScaled
pt | DoAutoAdjustLayout
pt | Loaded
 | Create
 | AutoAdjustLayout
TScrollingWinControl
pt | WSRegisterClass
pt | AlignControls
pt | AutoScrollEnabled
pt | CalculateAutoRanges
pt | CreateWnd
pt | GetClientScrollOffset
pt | GetLogicalClientRect
pt | DoOnResize
pt | GetPreferredSizeClientFrame
pt | WMSize
pt | WMHScroll
pt | WMVScroll
pt | ComputeScrollbars
pt | SetAutoScroll
pt | Loaded
pt | Resizing
pt | SetAutoSize
 | Create
 | Destroy
 | ScreenToClient
 | ClientToScreen
 | UpdateScrollbars
 | GetControlClassDefaultSize
 | ScrollBy
 | ScrollInView
TCustomControl
pt | WSRegisterClass
pt | WMPaint
pt | DestroyWnd
pt | PaintWindow
pt | FontChanged
pt | SetColor
pt | Paint
 | Create
 | Destroy
TWinControl
pt | WSRegisterClass
pt | AdjustClientRect
pt | GetAdjustedLogicalClientRect
pt | AlignControls
pt | CustomAlignInsertBefore
pt | CustomAlignPosition
pt | DoAlignChildControls
pt | DoChildSizingChange
pt | InvalidatePreferredChildSizes
pt | CanTab
pt | IsClientHeightStored
pt | IsClientWidthStored
pt | DoSendShowHideToInterface
pt | ControlsAligned
pt | DoSendBoundsToInterface
pt | RealizeBounds
pt | RealizeBoundsRecursive
pt | InvalidateBoundsRealized
pt | CreateSubClass
pt | DoConstraintsChange
pt | DoSetBounds
pt | DoAutoSize
pt | DoAllAutoSize
pt | AllAutoSized
pt | CalculatePreferredSize
pt | GetPreferredSizeClientFrame
pt | GetChildren
pt | ChildClassAllowed
pt | PaintControls
pt | PaintHandler
pt | PaintWindow
pt | CreateBrush
pt | ScaleControls
pt | ChangeScale
pt | CMBiDiModeChanged
pt | CMBorderChanged
pt | CMDoubleBufferedChanged
pt | CMEnabledChanged
pt | CMParentDoubleBufferedChanged
pt | CMShowingChanged
pt | CMShowHintChanged
pt | CMVisibleChanged
pt | CMEnter
pt | CMExit
pt | WMContextMenu
pt | WMEraseBkgnd
pt | WMNotify
pt | WMSetFocus
pt | WMKillFocus
pt | WMShowWindow
pt | WMEnter
pt | WMExit
pt | WMKeyDown
pt | WMSysKeyDown
pt | WMKeyUp
pt | WMSysKeyUp
pt | WMChar
pt | WMSysChar
pt | WMPaint
pt | WMDestroy
pt | WMMove
pt | WMSize
pt | WMWindowPosChanged
pt | CNKeyDown
pt | CNSysKeyDown
pt | CNKeyUp
pt | CNSysKeyUp
pt | CNChar
pt | DoDragMsg
pt | DoDockClientMsg
pt | DoUndockClientMsg
pt | DoAddDockClient
pt | DockOver
pt | DoDockOver
pt | DoRemoveDockClient
pt | DoUnDock
pt | GetSiteInfo
pt | GetParentHandle
pt | GetTopParentHandle
pt | ReloadDockedControl
pt | CreateDockManager
pt | SetDockManager
pt | DoFloatMsg
pt | DoGetDockCaption
pt | DoEnter
pt | DoExit
pt | DoKeyDownBeforeInterface
pt | DoRemainingKeyDown
pt | DoRemainingKeyUp
pt | DoKeyPress
pt | DoUTF8KeyPress
pt | DoKeyUpBeforeInterface
pt | ChildKey
pt | SendDialogChar
pt | DialogChar
pt | ControlKeyDown
pt | ControlKeyUp
pt | KeyDown
pt | KeyDownBeforeInterface
pt | KeyDownAfterInterface
pt | KeyPress
pt | KeyUp
pt | KeyUpBeforeInterface
pt | KeyUpAfterInterface
pt | UTF8KeyPress
pt | FindNextControl
pt | SelectFirst
pt | RealGetText
pt | GetBorderStyle
pt | GetClientOrigin
pt | GetClientRect
pt | GetControlOrigin
pt | GetDeviceContext
pt | GetParentBackground
pt | IsControlMouseMsg
pt | CreateHandle
pt | CreateParams
pt | CreateWnd
pt | DestroyHandle
pt | DestroyWnd
pt | DoFlipChildren
pt | FinalizeWnd
pt | FixupTabList
pt | FontChanged
pt | InitializeWnd
pt | Loaded
pt | FormEndUpdated
pt | MainWndProc
pt | ParentFormHandleInitialized
pt | ChildHandlesCreated
pt | GetMouseCapture
pt | RealSetText
pt | RemoveFocus
pt | SendMoveSizeMessages
pt | SetBorderStyle
pt | SetColor
pt | SetChildZPosition
pt | SetParentBackground
pt | ShowControl
pt | UpdateControlState
pt | UpdateShowing
pt | WndProc
pt | WSSetText
 | AutoSizePhases
 | AutoSizeDelayed
 | AutoSizeDelayedReport
 | AutoSizeDelayedHandle
 | BeginUpdateBounds
 | EndUpdateBounds
 | LockRealizeBounds
 | UnlockRealizeBounds
 | ControlAtPos
 | ContainsControl
 | DoAdjustClientRectChange
 | InvalidateClientRectCache
 | ClientRectNeedsInterfaceUpdate
 | SetBounds
 | GetChildrenRect
 | DisableAlign
 | EnableAlign
 | ReAlign
 | ScrollBy_WS
 | ScrollBy
 | WriteLayoutDebugReport
 | AutoAdjustLayout
 | Create
 | CreateParented
 | CreateParentedControl
 | Destroy
 | DockDrop
 | CanFocus
 | CanSetFocus
 | GetControlIndex
 | SetControlIndex
 | Focused
 | PerformTab
 | FindChildControl
 | SelectNext
 | SetTempCursor
 | BroadCast
 | NotifyControls
 | DefaultHandler
 | GetTextLen
 | Invalidate
 | AddControl
 | InsertControl
 | RemoveControl
 | GetEnumeratorControls
 | GetEnumeratorControlsReverse
 | Repaint
 | Update
 | SetFocus
 | FlipChildren
 | ScaleBy
 | GetDockCaption
 | UpdateDockCaption
 | GetTabOrderList
 | HandleAllocated
 | ParentHandlesAllocated
 | HandleNeeded
 | BrushCreated
 | EraseBackground
 | IntfUTF8KeyPress
 | IntfGetDropFilesTarget
 | PaintTo
 | SetShape
TControl
pt | WSRegisterClass
pt | GetCursor
pt | SetCursor
pt | SetVisible
pt | DoOnParentHandleDestruction
pt | DoAutoSize
pt | DoAllAutoSize
pt | BeginAutoSizing
pt | EndAutoSizing
pt | AnchorSideChanged
pt | ForeignAnchorSideChanged
pt | SetAlign
pt | SetAnchors
pt | SetAutoSize
pt | BoundsChanged
pt | CreateControlBorderSpacing
pt | DoConstraintsChange
pt | DoBorderSpacingChange
pt | IsBorderSpacingInnerBorderStored
pt | IsCaptionStored
pt | SendMoveSizeMessages
pt | ConstrainedResize
pt | CalculatePreferredSize
pt | DoOnResize
pt | DoOnChangeBounds
pt | CheckOnChangeBounds
pt | Resize
pt | RequestAlign
pt | UpdateAnchorRules
pt | ChangeBounds
pt | DoSetBounds
pt | ScaleConstraints
pt | ChangeScale
pt | CanAutoSize
pt | SetBiDiMode
pt | SetParentBiDiMode
pt | IsAParentAligning
pt | GetClientOrigin
pt | GetClientRect
pt | GetLogicalClientRect
pt | GetScrolledClientRect
pt | GetClientScrollOffset
pt | GetControlOrigin
pt | IsClientHeightStored
pt | IsClientWidthStored
pt | WidthIsAnchored
pt | HeightIsAnchored
pt | WMCancelMode
pt | WMContextMenu
pt | WMLButtonDown
pt | WMRButtonDown
pt | WMMButtonDown
pt | WMXButtonDown
pt | WMLButtonDBLCLK
pt | WMRButtonDBLCLK
pt | WMMButtonDBLCLK
pt | WMXButtonDBLCLK
pt | WMLButtonTripleCLK
pt | WMRButtonTripleCLK
pt | WMMButtonTripleCLK
pt | WMXButtonTripleCLK
pt | WMLButtonQuadCLK
pt | WMRButtonQuadCLK
pt | WMMButtonQuadCLK
pt | WMXButtonQuadCLK
pt | WMMouseMove
pt | WMLButtonUp
pt | WMRButtonUp
pt | WMMButtonUp
pt | WMXButtonUp
pt | WMMouseWheel
pt | WMMouseHWheel
pt | WMMove
pt | WMSize
pt | WMWindowPosChanged
pt | CMChanged
pt | LMCaptureChanged
pt | CMBiDiModeChanged
pt | CMSysFontChanged
pt | CMEnabledChanged
pt | CMHitTest
pt | CMMouseEnter
pt | CMMouseLeave
pt | CMHintShow
pt | CMParentBiDiModeChanged
pt | CMParentColorChanged
pt | CMParentFontChanged
pt | CMParentShowHintChanged
pt | CMVisibleChanged
pt | CMTextChanged
pt | CMCursorChanged
pt | CalculateDockSizes
pt | CreateFloatingDockSite
pt | GetDockEdge
pt | GetDragImages
pt | GetFloating
pt | GetFloatingDockSiteClass
pt | BeforeDragStart
pt | BeginAutoDrag
pt | DoFloatMsg
pt | DockTrackNoTarget
pt | DoDock
pt | DoDragMsg
pt | DoEndDock
pt | DoEndDrag
pt | DoStartDock
pt | DoStartDrag
pt | DragCanceled
pt | DragOver
pt | PositionDockRect
pt | SetDragMode
pt | GetDefaultDockCaption
pt | Click
pt | DblClick
pt | TripleClick
pt | QuadClick
pt | GetMousePosFromMessage
pt | MouseDown
pt | MouseMove
pt | MouseUp
pt | MouseEnter
pt | MouseLeave
pt | DialogChar
pt | UpdateMouseCursor
pt | Changed
pt | GetPalette
pt | ChildClassAllowed
pt | ReadState
pt | Loaded
pt | LoadedAll
pt | DefineProperties
pt | AssignTo
pt | FormEndUpdated
pt | InvalidateControl
pt | FontChanged
pt | ParentFontChanged
pt | GetAction
pt | RealGetText
pt | RealSetText
pt | TextChanged
pt | GetCachedText
pt | SetAction
pt | SetColor
pt | SetEnabled
pt | SetHint
pt | SetName
pt | SetParent
pt | SetParentComponent
pt | WndProc
pt | ParentFormHandleInitialized
pt | GetMouseCapture
pt | CaptureChanged
pt | Notification
pt | CanTab
pt | GetDeviceContext
pt | GetEnabled
pt | GetPopupMenu
pt | DoOnShowHint
pt | DoMouseWheel
pt | DoMouseWheelDown
pt | DoMouseWheelUp
pt | DoMouseWheelHorz
pt | DoMouseWheelLeft
pt | DoMouseWheelRight
pt | VisibleChanging
pt | VisibleChanged
pt | EnabledChanging
pt | EnabledChanged
pt | AddHandler
pt | RemoveHandler
pt | DoCallNotifyHandler
pt | DoCallKeyEventHandler
pt | DoCallMouseWheelEventHandler
pt | DoContextPopup
pt | SetZOrder
pt | GetControlClassDefaultSize
pt | ColorIsStored
pt | DoAutoAdjustLayout
pt | DoFixDesignFontPPI
pt | DoScaleFontPPI
pt | GetActionLinkClass
pt | ActionChange
 | DragDrop
 | Dock
 | ManualDock
 | ManualFloat
 | ReplaceDockedControl
 | Docked
 | Dragging
 | GetAccessibleObject
 | CreateAccessibleObject
 | GetSelectedChildAccessibleObject
 | GetChildAccessibleObjectAtPos
 | ScaleDesignToForm
 | ScaleFormToDesign
 | Scale96ToForm
 | ScaleFormTo96
 | Scale96ToFont
 | ScaleFontTo96
 | ScaleScreenToFont
 | ScaleFontToScreen
 | Scale96ToScreen
 | ScaleScreenTo96
 | AdjustSize
 | AutoSizePhases
 | AutoSizeDelayed
 | AutoSizeDelayedReport
 | AutoSizeDelayedHandle
 | AnchorToNeighbour
 | AnchorParallel
 | AnchorHorizontalCenterTo
 | AnchorVerticalCenterTo
 | AnchorToCompanion
 | AnchorSame
 | AnchorAsAlign
 | AnchorClient
 | AnchoredControlCount
 | SetBounds
 | SetInitialBounds
 | SetBoundsKeepBase
 | GetPreferredSize
 | GetCanvasScaleFactor
 | GetDefaultWidth
 | GetDefaultHeight
 | GetDefaultColor
 | GetColorResolvingParent
 | GetRGBColorResolvingParent
 | GetSidePosition
 | CNPreferredSizeChanged
 | InvalidatePreferredSize
 | GetAnchorsDependingOnParent
 | DisableAutoSizing
 | EnableAutoSizing
 | UpdateBaseBounds
 | WriteLayoutDebugReport
 | AutoAdjustLayout
 | ShouldAutoAdjust
 | FixDesignFontsPPI
 | ScaleFontsPPI
 | Create
 | Destroy
 | BeforeDestruction
 | EditingDone
 | ExecuteDefaultAction
 | ExecuteCancelAction
 | BeginDrag
 | EndDrag
 | BringToFront
 | HasParent
 | GetParentComponent
 | IsParentOf
 | GetTopParent
 | IsVisible
 | IsControlVisible
 | IsEnabled
 | IsParentColor
 | IsParentFont
 | FormIsUpdating
 | IsProcessingPaintMsg
 | Hide
 | Refresh
 | Repaint
 | Invalidate
 | CheckChildClassAllowed
 | CheckNewParent
 | SendToBack
 | SetTempCursor
 | UpdateRolesForForm
 | ActiveDefaultControlChanged
 | GetTextBuf
 | GetTextLen
 | SetTextBuf
 | Perform
 | ScreenToClient
 | ClientToScreen
 | ScreenToControl
 | ControlToScreen
 | ClientToParent
 | ParentToClient
 | GetChildrenRect
 | Show
 | Update
 | HandleObjectShouldBeVisible
 | ParentDestroyingHandle
 | ParentHandlesAllocated
 | InitiateAction
 | ShowHelp
 | HasHelp
 | RemoveAllHandlersOfObject
 | AddHandlerOnResize
 | RemoveHandlerOnResize
 | AddHandlerOnChangeBounds
 | RemoveHandlerOnChangeBounds
 | AddHandlerOnVisibleChanging
 | RemoveHandlerOnVisibleChanging
 | AddHandlerOnVisibleChanged
 | RemoveHandlerOnVisibleChanged
 | AddHandlerOnEnabledChanged
 | RemoveHandlerOnEnableChanging
 | AddHandlerOnKeyDown
 | RemoveHandlerOnKeyDown
 | AddHandlerOnBeforeDestruction
 | RemoveHandlerOnBeforeDestruction
 | AddHandlerOnMouseWheel
 | RemoveHandlerOnMouseWheel
 | UseRightToLeftAlignment
 | UseRightToLeftReading
 | UseRightToLeftScrollBar
 | IsRightToLeft
TLCLComponent
pt | WSRegisterClass
pt | GetWSComponentClass
 | Create
 | Destroy
 | NewInstance
 | RemoveAllHandlersOfObject
 | IncLCLRefCount
 | DecLCLRefCount
TComponent
 | GetComObject
 | GetComponent
 | GetComponentCount
 | GetComponentIndex
 | Insert
 | ReadLeft
 | ReadTop
 | Remove
 | RemoveNotification
 | SetComponentIndex
 | SetReference
 | WriteLeft
 | WriteTop
 | ChangeName
 | DefineProperties
 | GetChildren
 | GetChildOwner
 | GetChildParent
 | GetOwner
 | Loaded
 | Loading
 | Notification
 | PaletteCreated
 | ReadState
 | SetAncestor
 | SetDesigning
 | SetDesignInstance
 | SetInline
 | SetName
 | SetChildOrder
 | SetParentComponent
 | Updating
 | Updated
 | UpdateRegistry
 | ValidateRename
 | ValidateContainer
 | ValidateInsert
 | QueryInterface
 | _AddRef
 | _Release
 | iicrGetComponent
 | GetTypeInfoCount
 | GetTypeInfo
 | GetIDsOfNames
 | Invoke
 | WriteState
 | Create
 | Destroy
 | BeforeDestruction
 | DestroyComponents
 | Destroying
 | ExecuteAction
 | FindComponent
 | FreeNotification
 | RemoveFreeNotification
 | FreeOnRelease
 | GetEnumerator
 | GetNamePath
 | GetParentComponent
 | HasParent
 | InsertComponent
 | RemoveComponent
 | SafeCallException
 | SetSubComponent
 | UpdateAction
 | IsImplementorOf
 | ReferenceInterface
TPersistent
 | AssignError
 | AssignTo
 | DefineProperties
 | GetOwner
 | Destroy
 | Assign
 | FPOAttachObserver
 | FPODetachObserver
 | FPONotifyObservers
 | GetNamePath
TObject
 | Create
 | Destroy
 | newinstance
 | FreeInstance
 | SafeCallException
 | DefaultHandler
 | Free
 | InitInstance
 | CleanupInstance
 | ClassType
 | ClassInfo
 | ClassName
 | ClassNameIs
 | ClassParent
 | InstanceSize
 | InheritsFrom
 | StringMessageTable
 | MethodAddress
 | MethodName
 | FieldAddress
 | AfterConstruction
 | BeforeDestruction
 | DefaultHandlerStr
 | Dispatch
 | DispatchStr
 | GetInterface
 | GetInterfaceByStr
 | GetInterfaceWeak
 | GetInterfaceEntry
 | GetInterfaceEntryByStr
 | GetInterfaceTable
 | UnitName
 | Equals
 | GetHashCode
 | ToString


pt | ActionChange (TControl)
 | ActiveDefaultControlChanged (TControl)
 | AddControl (TWinControl)
pt | AddHandler (TControl)
 | AddHandlerOnBeforeDestruction (TControl)
 | AddHandlerOnChangeBounds (TControl)
 | AddHandlerOnEnabledChanged (TControl)
 | AddHandlerOnKeyDown (TControl)
 | AddHandlerOnMouseWheel (TControl)
 | AddHandlerOnResize (TControl)
 | AddHandlerOnVisibleChanged (TControl)
 | AddHandlerOnVisibleChanging (TControl)
pt | AdjustClientRect (TWinControl)
 | AdjustSize (TControl)
 | AfterConstruction (TObject)
pt | AlignControls (TWinControl)
pt | AlignControls (TScrollingWinControl)
pt | AllAutoSized (TWinControl)
 | AnchorAsAlign (TControl)
 | AnchorClient (TControl)
 | AnchoredControlCount (TControl)
 | AnchorHorizontalCenterTo (TControl)
 | AnchorParallel (TControl)
 | AnchorSame (TControl)
pt | AnchorSideChanged (TControl)
 | AnchorToCompanion (TControl)
 | AnchorToNeighbour (TControl)
 | AnchorVerticalCenterTo (TControl)
 | Assign (TPersistent)
 | AssignError (TPersistent)
 | AssignTo (TPersistent)
pt | AssignTo (TControl)
 | AutoAdjustLayout (TControl)
 | AutoAdjustLayout (TWinControl)
 | AutoAdjustLayout (TCustomDesignControl)
pt | AutoScrollEnabled (TScrollingWinControl)
 | AutoSizeDelayed (TControl)
 | AutoSizeDelayed (TWinControl)
 | AutoSizeDelayedHandle (TControl)
 | AutoSizeDelayedHandle (TWinControl)
 | AutoSizeDelayedReport (TControl)
 | AutoSizeDelayedReport (TWinControl)
 | AutoSizePhases (TControl)
 | AutoSizePhases (TWinControl)
 | BeforeDestruction (TObject)
 | BeforeDestruction (TComponent)
 | BeforeDestruction (TControl)
pt | BeforeDragStart (TControl)
pt | BeginAutoDrag (TControl)
pt | BeginAutoSizing (TControl)
 | BeginDrag (TControl)
 | BeginUpdateBounds (TWinControl)
pt | BoundsChanged (TControl)
 | BringToFront (TControl)
 | BroadCast (TWinControl)
 | BrushCreated (TWinControl)
pt | CalculateAutoRanges (TScrollingWinControl)
pt | CalculateDockSizes (TControl)
pt | CalculatePreferredSize (TControl)
pt | CalculatePreferredSize (TWinControl)
pt | CalculatePreferredSize (TCustomFrame)
pt | CanAutoSize (TControl)
 | CanFocus (TWinControl)
 | CanSetFocus (TWinControl)
pt | CanTab (TControl)
pt | CanTab (TWinControl)
pt | CaptureChanged (TControl)
pt | ChangeBounds (TControl)
pt | Changed (TControl)
 | ChangeName (TComponent)
pt | ChangeScale (TControl)
pt | ChangeScale (TWinControl)
 | CheckChildClassAllowed (TControl)
 | CheckNewParent (TControl)
pt | CheckOnChangeBounds (TControl)
pt | ChildClassAllowed (TControl)
pt | ChildClassAllowed (TWinControl)
pt | ChildHandlesCreated (TWinControl)
pt | ChildKey (TWinControl)
 | ClassInfo (TObject)
 | ClassName (TObject)
 | ClassNameIs (TObject)
 | ClassParent (TObject)
 | ClassType (TObject)
 | CleanupInstance (TObject)
pt | Click (TControl)
 | ClientRectNeedsInterfaceUpdate (TWinControl)
 | ClientToParent (TControl)
 | ClientToScreen (TControl)
 | ClientToScreen (TScrollingWinControl)
pt | CMBiDiModeChanged (TControl)
pt | CMBiDiModeChanged (TWinControl)
pt | CMBorderChanged (TWinControl)
pt | CMChanged (TControl)
pt | CMCursorChanged (TControl)
pt | CMDoubleBufferedChanged (TWinControl)
pt | CMEnabledChanged (TControl)
pt | CMEnabledChanged (TWinControl)
pt | CMEnter (TWinControl)
pt | CMExit (TWinControl)
pt | CMHintShow (TControl)
pt | CMHitTest (TControl)
pt | CMMouseEnter (TControl)
pt | CMMouseLeave (TControl)
pt | CMParentBiDiModeChanged (TControl)
pt | CMParentColorChanged (TControl)
pt | CMParentDoubleBufferedChanged (TWinControl)
pt | CMParentFontChanged (TControl)
pt | CMParentShowHintChanged (TControl)
pt | CMShowHintChanged (TWinControl)
pt | CMShowingChanged (TWinControl)
pt | CMSysFontChanged (TControl)
pt | CMTextChanged (TControl)
pt | CMVisibleChanged (TControl)
pt | CMVisibleChanged (TWinControl)
pt | CNChar (TWinControl)
pt | CNKeyDown (TWinControl)
pt | CNKeyUp (TWinControl)
 | CNPreferredSizeChanged (TControl)
pt | CNSysKeyDown (TWinControl)
pt | CNSysKeyUp (TWinControl)
pt | ColorIsStored (TControl)
pt | ComputeScrollbars (TScrollingWinControl)
pt | ConstrainedResize (TControl)
 | ContainsControl (TWinControl)
 | ControlAtPos (TWinControl)
pt | ControlKeyDown (TWinControl)
pt | ControlKeyUp (TWinControl)
pt | ControlsAligned (TWinControl)
 | ControlToScreen (TControl)
 | Create (TObject)
 | Create (TComponent)
 | Create (TLCLComponent)
 | Create (TControl)
 | Create (TWinControl)
 | Create (TCustomControl)
 | Create (TScrollingWinControl)
 | Create (TCustomDesignControl)
 | Create (TCustomFrame)
 | CreateAccessibleObject (TControl)
pt | CreateBrush (TWinControl)
pt | CreateControlBorderSpacing (TControl)
pt | CreateDockManager (TWinControl)
pt | CreateFloatingDockSite (TControl)
pt | CreateHandle (TWinControl)
pt | CreateParams (TWinControl)
 | CreateParented (TWinControl)
 | CreateParentedControl (TWinControl)
pt | CreateSubClass (TWinControl)
pt | CreateWnd (TWinControl)
pt | CreateWnd (TScrollingWinControl)
pt | CustomAlignInsertBefore (TWinControl)
pt | CustomAlignPosition (TWinControl)
pt | DblClick (TControl)
 | DecLCLRefCount (TLCLComponent)
 | DefaultHandler (TObject)
 | DefaultHandler (TWinControl)
 | DefaultHandlerStr (TObject)
 | DefineProperties (TPersistent)
 | DefineProperties (TComponent)
pt | DefineProperties (TControl)
pt | DefineProperties (TCustomFrame)
 | Destroy (TObject)
 | Destroy (TPersistent)
 | Destroy (TComponent)
 | Destroy (TLCLComponent)
 | Destroy (TControl)
 | Destroy (TWinControl)
 | Destroy (TCustomControl)
 | Destroy (TScrollingWinControl)
 | DestroyComponents (TComponent)
pt | DestroyHandle (TWinControl)
 | Destroying (TComponent)
pt | DestroyWnd (TWinControl)
pt | DestroyWnd (TCustomControl)
pt | DialogChar (TControl)
pt | DialogChar (TWinControl)
 | DisableAlign (TWinControl)
 | DisableAutoSizing (TControl)
 | Dispatch (TObject)
 | DispatchStr (TObject)
pt | DoAddDockClient (TWinControl)
 | DoAdjustClientRectChange (TWinControl)
pt | DoAlignChildControls (TWinControl)
pt | DoAllAutoSize (TControl)
pt | DoAllAutoSize (TWinControl)
pt | DoAutoAdjustLayout (TControl)
pt | DoAutoAdjustLayout (TCustomDesignControl)
pt | DoAutoSize (TControl)
pt | DoAutoSize (TWinControl)
pt | DoBorderSpacingChange (TControl)
pt | DoCallKeyEventHandler (TControl)
pt | DoCallMouseWheelEventHandler (TControl)
pt | DoCallNotifyHandler (TControl)
pt | DoChildSizingChange (TWinControl)
 | Dock (TControl)
 | DockDrop (TWinControl)
 | Docked (TControl)
pt | DockOver (TWinControl)
pt | DockTrackNoTarget (TControl)
pt | DoConstraintsChange (TControl)
pt | DoConstraintsChange (TWinControl)
pt | DoContextPopup (TControl)
pt | DoDock (TControl)
pt | DoDockClientMsg (TWinControl)
pt | DoDockOver (TWinControl)
pt | DoDragMsg (TControl)
pt | DoDragMsg (TWinControl)
pt | DoEndDock (TControl)
pt | DoEndDrag (TControl)
pt | DoEnter (TWinControl)
pt | DoExit (TWinControl)
pt | DoFixDesignFontPPI (TControl)
pt | DoFlipChildren (TWinControl)
pt | DoFloatMsg (TControl)
pt | DoFloatMsg (TWinControl)
pt | DoGetDockCaption (TWinControl)
pt | DoKeyDownBeforeInterface (TWinControl)
pt | DoKeyPress (TWinControl)
pt | DoKeyUpBeforeInterface (TWinControl)
pt | DoMouseWheel (TControl)
pt | DoMouseWheelDown (TControl)
pt | DoMouseWheelHorz (TControl)
pt | DoMouseWheelLeft (TControl)
pt | DoMouseWheelRight (TControl)
pt | DoMouseWheelUp (TControl)
pt | DoOnChangeBounds (TControl)
pt | DoOnParentHandleDestruction (TControl)
pt | DoOnResize (TControl)
pt | DoOnResize (TScrollingWinControl)
pt | DoOnShowHint (TControl)
pt | DoRemainingKeyDown (TWinControl)
pt | DoRemainingKeyUp (TWinControl)
pt | DoRemoveDockClient (TWinControl)
pt | DoScaleFontPPI (TControl)
pt | DoSendBoundsToInterface (TWinControl)
pt | DoSendShowHideToInterface (TWinControl)
pt | DoSetBounds (TControl)
pt | DoSetBounds (TWinControl)
pt | DoStartDock (TControl)
pt | DoStartDrag (TControl)
pt | DoUnDock (TWinControl)
pt | DoUndockClientMsg (TWinControl)
pt | DoUTF8KeyPress (TWinControl)
pt | DragCanceled (TControl)
 | DragDrop (TControl)
 | Dragging (TControl)
pt | DragOver (TControl)
 | EditingDone (TControl)
 | EnableAlign (TWinControl)
 | EnableAutoSizing (TControl)
pt | EnabledChanged (TControl)
pt | EnabledChanging (TControl)
pt | EndAutoSizing (TControl)
 | EndDrag (TControl)
 | EndUpdateBounds (TWinControl)
 | Equals (TObject)
 | EraseBackground (TWinControl)
 | ExecuteAction (TComponent)
 | ExecuteCancelAction (TControl)
 | ExecuteDefaultAction (TControl)
 | FieldAddress (TObject)
pt | FinalizeWnd (TWinControl)
 | FindChildControl (TWinControl)
 | FindComponent (TComponent)
pt | FindNextControl (TWinControl)
 | FixDesignFontsPPI (TControl)
pt | FixupTabList (TWinControl)
 | FlipChildren (TWinControl)
 | Focused (TWinControl)
pt | FontChanged (TControl)
pt | FontChanged (TWinControl)
pt | FontChanged (TCustomControl)
pt | ForeignAnchorSideChanged (TControl)
pt | FormEndUpdated (TControl)
pt | FormEndUpdated (TWinControl)
 | FormIsUpdating (TControl)
 | FPOAttachObserver (TPersistent)
 | FPODetachObserver (TPersistent)
 | FPONotifyObservers (TPersistent)
 | Free (TObject)
 | FreeInstance (TObject)
 | FreeNotification (TComponent)
 | FreeOnRelease (TComponent)
 | GetAccessibleObject (TControl)
pt | GetAction (TControl)
pt | GetActionLinkClass (TControl)
pt | GetAdjustedLogicalClientRect (TWinControl)
 | GetAnchorsDependingOnParent (TControl)
pt | GetBorderStyle (TWinControl)
pt | GetCachedText (TControl)
 | GetCanvasScaleFactor (TControl)
 | GetChildAccessibleObjectAtPos (TControl)
 | GetChildOwner (TComponent)
 | GetChildParent (TComponent)
 | GetChildren (TComponent)
pt | GetChildren (TWinControl)
 | GetChildren (TCustomFrame)
 | GetChildrenRect (TControl)
 | GetChildrenRect (TWinControl)
pt | GetClientOrigin (TControl)
pt | GetClientOrigin (TWinControl)
pt | GetClientRect (TControl)
pt | GetClientRect (TWinControl)
pt | GetClientScrollOffset (TControl)
pt | GetClientScrollOffset (TScrollingWinControl)
 | GetColorResolvingParent (TControl)
 | GetComObject (TComponent)
 | GetComponent (TComponent)
 | GetComponentCount (TComponent)
 | GetComponentIndex (TComponent)
pt | GetControlClassDefaultSize (TControl)
 | GetControlClassDefaultSize (TScrollingWinControl)
 | GetControlClassDefaultSize (TCustomFrame)
 | GetControlIndex (TWinControl)
pt | GetControlOrigin (TControl)
pt | GetControlOrigin (TWinControl)
pt | GetCursor (TControl)
 | GetDefaultColor (TControl)
pt | GetDefaultDockCaption (TControl)
 | GetDefaultHeight (TControl)
 | GetDefaultWidth (TControl)
pt | GetDeviceContext (TControl)
pt | GetDeviceContext (TWinControl)
 | GetDockCaption (TWinControl)
pt | GetDockEdge (TControl)
pt | GetDragImages (TControl)
pt | GetEnabled (TControl)
 | GetEnumerator (TComponent)
 | GetEnumeratorControls (TWinControl)
 | GetEnumeratorControlsReverse (TWinControl)
pt | GetFloating (TControl)
pt | GetFloatingDockSiteClass (TControl)
 | GetHashCode (TObject)
 | GetIDsOfNames (TComponent)
 | GetInterface (TObject)
 | GetInterfaceByStr (TObject)
 | GetInterfaceEntry (TObject)
 | GetInterfaceEntryByStr (TObject)
 | GetInterfaceTable (TObject)
 | GetInterfaceWeak (TObject)
pt | GetLogicalClientRect (TControl)
pt | GetLogicalClientRect (TScrollingWinControl)
pt | GetMouseCapture (TControl)
pt | GetMouseCapture (TWinControl)
pt | GetMousePosFromMessage (TControl)
 | GetNamePath (TPersistent)
 | GetNamePath (TComponent)
 | GetOwner (TPersistent)
 | GetOwner (TComponent)
pt | GetPalette (TControl)
pt | GetParentBackground (TWinControl)
 | GetParentComponent (TComponent)
 | GetParentComponent (TControl)
pt | GetParentHandle (TWinControl)
pt | GetPopupMenu (TControl)
 | GetPreferredSize (TControl)
pt | GetPreferredSizeClientFrame (TWinControl)
pt | GetPreferredSizeClientFrame (TScrollingWinControl)
 | GetRGBColorResolvingParent (TControl)
pt | GetScrolledClientRect (TControl)
 | GetSelectedChildAccessibleObject (TControl)
 | GetSidePosition (TControl)
pt | GetSiteInfo (TWinControl)
 | GetTabOrderList (TWinControl)
 | GetTextBuf (TControl)
 | GetTextLen (TControl)
 | GetTextLen (TWinControl)
 | GetTopParent (TControl)
pt | GetTopParentHandle (TWinControl)
 | GetTypeInfo (TComponent)
 | GetTypeInfoCount (TComponent)
pt | GetWSComponentClass (TLCLComponent)
 | HandleAllocated (TWinControl)
 | HandleNeeded (TWinControl)
 | HandleObjectShouldBeVisible (TControl)
 | HasHelp (TControl)
 | HasParent (TComponent)
 | HasParent (TControl)
pt | HeightIsAnchored (TControl)
 | Hide (TControl)
 | iicrGetComponent (TComponent)
 | IncLCLRefCount (TLCLComponent)
 | InheritsFrom (TObject)
pt | InitializeWnd (TWinControl)
 | InitiateAction (TControl)
 | InitInstance (TObject)
 | Insert (TComponent)
 | InsertComponent (TComponent)
 | InsertControl (TWinControl)
 | InstanceSize (TObject)
 | IntfGetDropFilesTarget (TWinControl)
 | IntfUTF8KeyPress (TWinControl)
 | Invalidate (TControl)
 | Invalidate (TWinControl)
pt | InvalidateBoundsRealized (TWinControl)
 | InvalidateClientRectCache (TWinControl)
pt | InvalidateControl (TControl)
pt | InvalidatePreferredChildSizes (TWinControl)
 | InvalidatePreferredSize (TControl)
 | Invoke (TComponent)
pt | IsAParentAligning (TControl)
pt | IsBorderSpacingInnerBorderStored (TControl)
pt | IsCaptionStored (TControl)
pt | IsClientHeightStored (TControl)
pt | IsClientHeightStored (TWinControl)
pt | IsClientWidthStored (TControl)
pt | IsClientWidthStored (TWinControl)
pt | IsControlMouseMsg (TWinControl)
 | IsControlVisible (TControl)
 | IsEnabled (TControl)
 | IsImplementorOf (TComponent)
 | IsParentColor (TControl)
 | IsParentFont (TControl)
 | IsParentOf (TControl)
 | IsProcessingPaintMsg (TControl)
 | IsRightToLeft (TControl)
 | IsVisible (TControl)
pt | KeyDown (TWinControl)
pt | KeyDownAfterInterface (TWinControl)
pt | KeyDownBeforeInterface (TWinControl)
pt | KeyPress (TWinControl)
pt | KeyUp (TWinControl)
pt | KeyUpAfterInterface (TWinControl)
pt | KeyUpBeforeInterface (TWinControl)
pt | LMCaptureChanged (TControl)
 | Loaded (TComponent)
pt | Loaded (TControl)
pt | Loaded (TWinControl)
pt | Loaded (TScrollingWinControl)
pt | Loaded (TCustomDesignControl)
pt | LoadedAll (TControl)
 | Loading (TComponent)
 | LockRealizeBounds (TWinControl)
pt | MainWndProc (TWinControl)
 | ManualDock (TControl)
 | ManualFloat (TControl)
 | MethodAddress (TObject)
 | MethodName (TObject)
pt | MouseDown (TControl)
pt | MouseEnter (TControl)
pt | MouseLeave (TControl)
pt | MouseMove (TControl)
pt | MouseUp (TControl)
 | newinstance (TObject)
 | NewInstance (TLCLComponent)
 | Notification (TComponent)
pt | Notification (TControl)
pt | Notification (TCustomFrame)
 | NotifyControls (TWinControl)
pt | Paint (TCustomControl)
pt | PaintControls (TWinControl)
pt | PaintHandler (TWinControl)
 | PaintTo (TWinControl)
pt | PaintWindow (TWinControl)
pt | PaintWindow (TCustomControl)
 | PaletteCreated (TComponent)
 | ParentDestroyingHandle (TControl)
pt | ParentFontChanged (TControl)
pt | ParentFormHandleInitialized (TControl)
pt | ParentFormHandleInitialized (TWinControl)
 | ParentHandlesAllocated (TControl)
 | ParentHandlesAllocated (TWinControl)
 | ParentToClient (TControl)
 | Perform (TControl)
 | PerformTab (TWinControl)
pt | PositionDockRect (TControl)
pt | QuadClick (TControl)
 | QueryInterface (TComponent)
 | ReadLeft (TComponent)
 | ReadState (TComponent)
pt | ReadState (TControl)
 | ReadTop (TComponent)
pt | RealGetText (TControl)
pt | RealGetText (TWinControl)
 | ReAlign (TWinControl)
pt | RealizeBounds (TWinControl)
pt | RealizeBoundsRecursive (TWinControl)
pt | RealSetText (TControl)
pt | RealSetText (TWinControl)
 | ReferenceInterface (TComponent)
 | Refresh (TControl)
pt | ReloadDockedControl (TWinControl)
 | Remove (TComponent)
 | RemoveAllHandlersOfObject (TLCLComponent)
 | RemoveAllHandlersOfObject (TControl)
 | RemoveComponent (TComponent)
 | RemoveControl (TWinControl)
pt | RemoveFocus (TWinControl)
 | RemoveFreeNotification (TComponent)
pt | RemoveHandler (TControl)
 | RemoveHandlerOnBeforeDestruction (TControl)
 | RemoveHandlerOnChangeBounds (TControl)
 | RemoveHandlerOnEnableChanging (TControl)
 | RemoveHandlerOnKeyDown (TControl)
 | RemoveHandlerOnMouseWheel (TControl)
 | RemoveHandlerOnResize (TControl)
 | RemoveHandlerOnVisibleChanged (TControl)
 | RemoveHandlerOnVisibleChanging (TControl)
 | RemoveNotification (TComponent)
 | Repaint (TControl)
 | Repaint (TWinControl)
 | ReplaceDockedControl (TControl)
pt | RequestAlign (TControl)
pt | Resize (TControl)
pt | Resizing (TScrollingWinControl)
 | SafeCallException (TObject)
 | SafeCallException (TComponent)
 | Scale96ToFont (TControl)
 | Scale96ToForm (TControl)
 | Scale96ToScreen (TControl)
 | ScaleBy (TWinControl)
pt | ScaleConstraints (TControl)
pt | ScaleControls (TWinControl)
 | ScaleDesignToForm (TControl)
 | ScaleFontsPPI (TControl)
 | ScaleFontTo96 (TControl)
 | ScaleFontToScreen (TControl)
 | ScaleFormTo96 (TControl)
 | ScaleFormToDesign (TControl)
 | ScaleScreenTo96 (TControl)
 | ScaleScreenToFont (TControl)
 | ScreenToClient (TControl)
 | ScreenToClient (TScrollingWinControl)
 | ScreenToControl (TControl)
 | ScrollBy (TWinControl)
 | ScrollBy (TScrollingWinControl)
 | ScrollBy_WS (TWinControl)
 | ScrollInView (TScrollingWinControl)
pt | SelectFirst (TWinControl)
 | SelectNext (TWinControl)
pt | SendDialogChar (TWinControl)
pt | SendMoveSizeMessages (TControl)
pt | SendMoveSizeMessages (TWinControl)
 | SendToBack (TControl)
pt | SetAction (TControl)
pt | SetAlign (TControl)
 | SetAncestor (TComponent)
pt | SetAnchors (TControl)
pt | SetAutoScroll (TScrollingWinControl)
pt | SetAutoSize (TControl)
pt | SetAutoSize (TScrollingWinControl)
pt | SetBiDiMode (TControl)
pt | SetBorderStyle (TWinControl)
 | SetBounds (TControl)
 | SetBounds (TWinControl)
 | SetBoundsKeepBase (TControl)
 | SetChildOrder (TComponent)
pt | SetChildZPosition (TWinControl)
pt | SetColor (TControl)
pt | SetColor (TWinControl)
pt | SetColor (TCustomControl)
 | SetComponentIndex (TComponent)
 | SetControlIndex (TWinControl)
pt | SetCursor (TControl)
 | SetDesigning (TComponent)
 | SetDesignInstance (TComponent)
pt | SetDockManager (TWinControl)
pt | SetDragMode (TControl)
pt | SetEnabled (TControl)
 | SetFocus (TWinControl)
pt | SetHint (TControl)
 | SetInitialBounds (TControl)
 | SetInline (TComponent)
 | SetName (TComponent)
pt | SetName (TControl)
pt | SetParent (TControl)
pt | SetParent (TCustomFrame)
pt | SetParentBackground (TWinControl)
pt | SetParentBiDiMode (TControl)
 | SetParentComponent (TComponent)
pt | SetParentComponent (TControl)
 | SetReference (TComponent)
pt | SetScaled (TCustomDesignControl)
 | SetShape (TWinControl)
 | SetSubComponent (TComponent)
 | SetTempCursor (TControl)
 | SetTempCursor (TWinControl)
 | SetTextBuf (TControl)
pt | SetVisible (TControl)
pt | SetZOrder (TControl)
 | ShouldAutoAdjust (TControl)
 | Show (TControl)
pt | ShowControl (TWinControl)
 | ShowHelp (TControl)
 | StringMessageTable (TObject)
pt | TextChanged (TControl)
 | ToString (TObject)
pt | TripleClick (TControl)
 | UnitName (TObject)
 | UnlockRealizeBounds (TWinControl)
 | Update (TControl)
 | Update (TWinControl)
 | UpdateAction (TComponent)
pt | UpdateAnchorRules (TControl)
 | UpdateBaseBounds (TControl)
pt | UpdateControlState (TWinControl)
 | Updated (TComponent)
 | UpdateDockCaption (TWinControl)
pt | UpdateMouseCursor (TControl)
 | UpdateRegistry (TComponent)
 | UpdateRolesForForm (TControl)
 | UpdateScrollbars (TScrollingWinControl)
pt | UpdateShowing (TWinControl)
 | Updating (TComponent)
 | UseRightToLeftAlignment (TControl)
 | UseRightToLeftReading (TControl)
 | UseRightToLeftScrollBar (TControl)
pt | UTF8KeyPress (TWinControl)
 | ValidateContainer (TComponent)
 | ValidateInsert (TComponent)
 | ValidateRename (TComponent)
pt | VisibleChanged (TControl)
pt | VisibleChanging (TControl)
pt | WidthIsAnchored (TControl)
pt | WMCancelMode (TControl)
pt | WMChar (TWinControl)
pt | WMContextMenu (TControl)
pt | WMContextMenu (TWinControl)
pt | WMDestroy (TWinControl)
pt | WMEnter (TWinControl)
pt | WMEraseBkgnd (TWinControl)
pt | WMExit (TWinControl)
pt | WMHScroll (TScrollingWinControl)
pt | WMKeyDown (TWinControl)
pt | WMKeyUp (TWinControl)
pt | WMKillFocus (TWinControl)
pt | WMLButtonDBLCLK (TControl)
pt | WMLButtonDown (TControl)
pt | WMLButtonQuadCLK (TControl)
pt | WMLButtonTripleCLK (TControl)
pt | WMLButtonUp (TControl)
pt | WMMButtonDBLCLK (TControl)
pt | WMMButtonDown (TControl)
pt | WMMButtonQuadCLK (TControl)
pt | WMMButtonTripleCLK (TControl)
pt | WMMButtonUp (TControl)
pt | WMMouseHWheel (TControl)
pt | WMMouseMove (TControl)
pt | WMMouseWheel (TControl)
pt | WMMove (TControl)
pt | WMMove (TWinControl)
pt | WMNotify (TWinControl)
pt | WMPaint (TWinControl)
pt | WMPaint (TCustomControl)
pt | WMRButtonDBLCLK (TControl)
pt | WMRButtonDown (TControl)
pt | WMRButtonQuadCLK (TControl)
pt | WMRButtonTripleCLK (TControl)
pt | WMRButtonUp (TControl)
pt | WMSetFocus (TWinControl)
pt | WMShowWindow (TWinControl)
pt | WMSize (TControl)
pt | WMSize (TWinControl)
pt | WMSize (TScrollingWinControl)
pt | WMSysChar (TWinControl)
pt | WMSysKeyDown (TWinControl)
pt | WMSysKeyUp (TWinControl)
pt | WMVScroll (TScrollingWinControl)
pt | WMWindowPosChanged (TControl)
pt | WMWindowPosChanged (TWinControl)
pt | WMXButtonDBLCLK (TControl)
pt | WMXButtonDown (TControl)
pt | WMXButtonQuadCLK (TControl)
pt | WMXButtonTripleCLK (TControl)
pt | WMXButtonUp (TControl)
pt | WndProc (TControl)
pt | WndProc (TWinControl)
 | WriteLayoutDebugReport (TControl)
 | WriteLayoutDebugReport (TWinControl)
 | WriteLeft (TComponent)
 | WriteState (TComponent)
 | WriteTop (TComponent)
pt | WSRegisterClass (TLCLComponent)
pt | WSRegisterClass (TControl)
pt | WSRegisterClass (TWinControl)
pt | WSRegisterClass (TCustomControl)
pt | WSRegisterClass (TScrollingWinControl)
pt | WSRegisterClass (TCustomFrame)
pt | WSSetText (TWinControl)
 | _AddRef (TComponent)
 | _Release (TComponent)


TCustomFrame
TCustomDesignControl
TScrollingWinControl
TCustomControl
 | OnPaint
TWinControl
pt | OnGetSiteInfo
pt | OnGetDockCaption
 | OnAlignInsertBefore
 | OnAlignPosition
 | OnDockDrop
 | OnDockOver
 | OnEnter
 | OnExit
 | OnKeyDown
 | OnKeyPress
 | OnKeyUp
 | OnUnDock
 | OnUTF8KeyPress
TControl
pt | OnConstrainedResize
pt | OnContextPopup
pt | OnDblClick
pt | OnTripleClick
pt | OnQuadClick
pt | OnDragDrop
pt | OnDragOver
pt | OnEndDock
pt | OnEndDrag
pt | OnMouseDown
pt | OnMouseMove
pt | OnMouseUp
pt | OnMouseEnter
pt | OnMouseLeave
pt | OnMouseWheel
pt | OnMouseWheelDown
pt | OnMouseWheelUp
pt | OnMouseWheelHorz
pt | OnMouseWheelLeft
pt | OnMouseWheelRight
pt | OnStartDock
pt | OnStartDrag
pt | OnEditingDone
 | OnChangeBounds
 | OnClick
 | OnResize
 | OnShowHint
TLCLComponent
TComponent
TPersistent
TObject


TCustomFrame.GetChildren

Invokes Proc for all Controls and also for all Components with no Parent.

Declaration

Source position: forms.pp line 310

public procedure TCustomFrame.GetChildren(

  Proc: TGetChildProc;

  Root: TComponent

); override;

Arguments

Proc | The callback method.
Root | Components are enumerated only if Root=Self.

See also

TComponent.GetChildren

TWinControl.GetChildren

Calls Proc with every child control, owned by Root.


TCustomFrame.Notification

Also handles add/remove of ActionLists.

Declaration

Source position: forms.pp line 302

protected procedure TCustomFrame.Notification(

  AComponent: TComponent;

  Operation: TOperation

); override;

See also

TComponent.Notification

TControl.Notification

Notification handler for insertion or deletion of components.


TCustomFrame.SetParent

Also updates the ActionLists.

Declaration

Source position: forms.pp line 304

protected procedure TCustomFrame.SetParent(

  AParent: TWinControl

); override;

See also

TControl.SetParent


TCustomFrameClass

Declaration

Source position: forms.pp line 314

type TCustomFrameClass = class of TCustomFrame;


TCustomHintAction

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Action taken when a new value is assigned to #lcl.Forms.TApplication.Hint, and no OnHint handler is available.

Declaration

Source position: forms.pp line 74

type TCustomHintAction = class(TCustomAction)

published

  property Hint: TTranslateString;

Hint - a pop-up message that appears when the mouse hovers over an object

end;

Inheritance

TCustomHintAction | Action taken when a new value is assigned to #lcl.Forms.TApplication.Hint, and no OnHint handler is available.
|
TCustomAction | TCustomAction is the ancestor class for TAction
|
TContainedAction | TContainedAction - parent class for TCustomAction; defines some properties especially relationships with parents
|
TBasicAction
|
TComponent,IUnknown,IInterfaceComponentReference
|
TPersistent,IFPObserved
|
TObject


TCustomHintAction
pl | ro | Hint
TCustomAction
pt |  | SavedEnabledState
 |  | AutoCheck
 |  | Caption
 |  | Checked
 |  | DisableIfNoHandler
 |  | Enabled
 |  | GroupIndex
 |  | HelpContext
 |  | HelpKeyword
 |  | HelpType
 |  | Hint
 |  | ImageIndex
 |  | SecondaryShortCuts
 |  | ShortCut
 |  | Visible
TContainedAction
 |  | ActionList
 |  | Index
pl |  | Category
TBasicAction
 |  | ActionComponent
TComponent
 | ro | ComObject
 | ro | Components
 | ro | ComponentCount
 |  | ComponentIndex
 | ro | ComponentState
 | ro | ComponentStyle
 |  | DesignInfo
 | ro | Owner
 |  | VCLComObject
 |  | Name
 |  | Tag
TPersistent
TObject


 |  | ActionComponent (TBasicAction)
 |  | ActionList (TContainedAction)
 |  | AutoCheck (TCustomAction)
 |  | Caption (TCustomAction)
pl |  | Category (TContainedAction)
 |  | Checked (TCustomAction)
 | ro | ComObject (TComponent)
 | ro | ComponentCount (TComponent)
 |  | ComponentIndex (TComponent)
 | ro | Components (TComponent)
 | ro | ComponentState (TComponent)
 | ro | ComponentStyle (TComponent)
 |  | DesignInfo (TComponent)
 |  | DisableIfNoHandler (TCustomAction)
 |  | Enabled (TCustomAction)
 |  | GroupIndex (TCustomAction)
 |  | HelpContext (TCustomAction)
 |  | HelpKeyword (TCustomAction)
 |  | HelpType (TCustomAction)
 |  | Hint (TCustomAction)
pl | ro | Hint (TCustomHintAction)
 |  | ImageIndex (TCustomAction)
 |  | Index (TContainedAction)
 |  | Name (TComponent)
 | ro | Owner (TComponent)
pt |  | SavedEnabledState (TCustomAction)
 |  | SecondaryShortCuts (TCustomAction)
 |  | ShortCut (TCustomAction)
 |  | Tag (TComponent)
 |  | VCLComObject (TComponent)
 |  | Visible (TCustomAction)


TCustomHintAction
TCustomAction
pt | AssignTo
pt | SetName
pt | HandleShortCut
 | Create
 | Destroy
 | DoHint
 | Execute
TContainedAction
pt | ReadState
pt | SetParentComponent
 | Destroy
 | Execute
 | GetParentComponent
 | HasParent
 | Update
TBasicAction
 | Change
 | SetOnExecute
 | Create
 | Destroy
 | HandlesTarget
 | UpdateTarget
 | ExecuteTarget
 | Execute
 | RegisterChanges
 | UnRegisterChanges
 | Update
TComponent
 | GetComObject
 | GetComponent
 | GetComponentCount
 | GetComponentIndex
 | Insert
 | ReadLeft
 | ReadTop
 | Remove
 | RemoveNotification
 | SetComponentIndex
 | SetReference
 | WriteLeft
 | WriteTop
 | ChangeName
 | DefineProperties
 | GetChildren
 | GetChildOwner
 | GetChildParent
 | GetOwner
 | Loaded
 | Loading
 | Notification
 | PaletteCreated
 | ReadState
 | SetAncestor
 | SetDesigning
 | SetDesignInstance
 | SetInline
 | SetName
 | SetChildOrder
 | SetParentComponent
 | Updating
 | Updated
 | UpdateRegistry
 | ValidateRename
 | ValidateContainer
 | ValidateInsert
 | QueryInterface
 | _AddRef
 | _Release
 | iicrGetComponent
 | GetTypeInfoCount
 | GetTypeInfo
 | GetIDsOfNames
 | Invoke
 | WriteState
 | Create
 | Destroy
 | BeforeDestruction
 | DestroyComponents
 | Destroying
 | ExecuteAction
 | FindComponent
 | FreeNotification
 | RemoveFreeNotification
 | FreeOnRelease
 | GetEnumerator
 | GetNamePath
 | GetParentComponent
 | HasParent
 | InsertComponent
 | RemoveComponent
 | SafeCallException
 | SetSubComponent
 | UpdateAction
 | IsImplementorOf
 | ReferenceInterface
TPersistent
 | AssignError
 | AssignTo
 | DefineProperties
 | GetOwner
 | Destroy
 | Assign
 | FPOAttachObserver
 | FPODetachObserver
 | FPONotifyObservers
 | GetNamePath
TObject
 | Create
 | Destroy
 | newinstance
 | FreeInstance
 | SafeCallException
 | DefaultHandler
 | Free
 | InitInstance
 | CleanupInstance
 | ClassType
 | ClassInfo
 | ClassName
 | ClassNameIs
 | ClassParent
 | InstanceSize
 | InheritsFrom
 | StringMessageTable
 | MethodAddress
 | MethodName
 | FieldAddress
 | AfterConstruction
 | BeforeDestruction
 | DefaultHandlerStr
 | Dispatch
 | DispatchStr
 | GetInterface
 | GetInterfaceByStr
 | GetInterfaceWeak
 | GetInterfaceEntry
 | GetInterfaceEntryByStr
 | GetInterfaceTable
 | UnitName
 | Equals
 | GetHashCode
 | ToString


TCustomHintAction
TCustomAction
 | OnHint
TContainedAction
TBasicAction
 | OnChange
 | OnExecute
 | OnUpdate
TComponent
TPersistent
TObject


TForm

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Declaration

Source position: forms.pp line 750

type TForm = class(TCustomForm)
protected
procedure CreateWnd; override; | Creates the interface object (widget) and assigns it to Handle.
procedure Loaded; override; | Also renews ActiveControl and Visible.
public
constructor Create(); override;
procedure Cascade; | Arranges MDI child forms so they overlap.
procedure Next; | Activates the next child MDI form (fsMDIChild) in the form sequence.
procedure Previous; | Activates the previous MDI child form in the form sequence.
procedure Tile; | Arranges MDI child forms side by side.
property ClientHandle: HWND;
property DockManager: TDockManager; | The docking layout manager for this control.
published
property Action: TBasicAction; | The Action associated with this control.
property ActiveControl: TWinControl;
property Align: TAlign; | Specifies the placement of the control inside its Parent.
property AllowDropFiles: Boolean;
property AlphaBlend: Boolean;
property AlphaBlendValue: Byte;
property Anchors: TAnchors; | The set of anchor definitions for this control.
property AutoScroll: Boolean;
property AutoSize: Boolean; | Allows to automatically adjust the size of the control, according to its content.
property BiDiMode: TBiDiMode; | Customization (of text controls) in bidirectional reading environments.
property BorderIcons: TBorderIcons;
property BorderStyle: TFormBorderStyle;
property BorderWidth: TBorderWidth; | Width of the Border around the control; default is zero.
property Caption: TCaption; | The text describing the control to the user.
property ChildSizing: TControlChildSizing; | Parameters for child control arrangement and spacing.
property ClientHeight: Integer; | The height of the client area of the control.
property ClientWidth: Integer; | The width of the client area of the control.
property Color: TColor; | The background color of the control.
property Constraints: TSizeConstraints; | The minimal and maximal Width and Height of this control.
property DefaultMonitor: TDefaultMonitor;
property DesignTimePPI: Integer;
property DockSite: Boolean; | Allows to drag-dock other controls into this control.
property DoubleBuffered: Boolean;
property DragKind: TDragKind; | The operation when the control is dragged - Drag or Dock.
property DragMode: TDragMode; | Allows the user to drag the control.
property Enabled: Boolean; | Determines whether the control reacts on mouse or keyboard input.
property Font: TFont; | The font to be used for text display in this control.
property FormStyle: TFormStyle;
property HelpFile: string;
property Icon: TIcon;
property KeyPreview: Boolean;
property Menu: TMainMenu;
property OnActivate: TNotifyEvent;
property OnChangeBounds: TNotifyEvent; | Event handler for a change of the Bounds of the control.
property OnClick: TNotifyEvent; | Notification handler for mouse clicks.
property OnClose: TCloseEvent;
property OnCloseQuery: TCloseQueryEvent;
property OnConstrainedResize: TConstrainedResizeEvent;
property OnContextPopup: TContextPopupEvent;
property OnCreate: TNotifyEvent;
property OnDblClick: TNotifyEvent; | Event Handler for double mouse clicks.
property OnDeactivate: TNotifyEvent;
property OnDestroy: TNotifyEvent;
property OnDockDrop: TDockDropEvent; | Notification handler for the drop of a control to be docked.
property OnDockOver: TDockOverEvent; | Event handler for moves of a control over this docksite. Determines acceptance or rejection of an possible drop.
property OnDragDrop: TDragDropEvent; | This handler determines the action on an drop onto this control, in a drag-drop operation.
property OnDragOver: TDragOverEvent; | Event handler for a control being dragged over this control.
property OnDropFiles: TDropFilesEvent;
property OnEndDock: TEndDragEvent; | Notification handler for the end of a docking operation.
property OnGetSiteInfo: TGetSiteInfoEvent; | Provides information about the DockSite.
property OnHelp: THelpEvent;
property OnHide: TNotifyEvent;
property OnKeyDown: TKeyEvent; | Handler for keyboard key pressed.
property OnKeyPress: TKeyPressEvent; | Handler for a character entered by the user.
property OnKeyUp: TKeyEvent; | Handler for keyboard key released.
property OnMouseDown: TMouseEvent; | Event handler for mouse button going down.
property OnMouseEnter: TNotifyEvent; | Event handler for mouse entering the area of the control.
property OnMouseLeave: TNotifyEvent; | Event handler for mouse leaving the area of the control.
property OnMouseMove: TMouseMoveEvent; | Event handler for mouse movement within the control.
property OnMouseUp: TMouseEvent; | Event handler for mouse button going up.
property OnMouseWheel: TMouseWheelEvent; | Event handler for mouse wheel turned.
property OnMouseWheelDown: TMouseWheelUpDownEvent; | Notification handler for downward movement of mouse wheel.
property OnMouseWheelUp: TMouseWheelUpDownEvent; | Notification handler for upward movement of mouse wheel.
property OnMouseWheelHorz: TMouseWheelEvent;
property OnMouseWheelLeft: TMouseWheelUpDownEvent;
property OnMouseWheelRight: TMouseWheelUpDownEvent;
property OnPaint: TNotifyEvent; | Supply your own OnPaint handler for painting the control.
property OnResize: TNotifyEvent; | Notification handler for a resize of the control.
property OnShortCut: TShortCutEvent;
property OnShow: TNotifyEvent;
property OnShowHint: TControlShowHintEvent; | Event Handler when a hint shall be shown.
property OnStartDock: TStartDockEvent; | Event handler for the start of a docking operation.
property OnUnDock: TUnDockEvent; | Event handler for control being undocked from this DockSite.
property OnUTF8KeyPress: TUTF8KeyPressEvent; | Handler for a character entered by the user.
property OnWindowStateChange: TNotifyEvent;
property ParentBiDiMode: Boolean; | Allows to use the BiDiMode settings of Parent. Default is true.
property ParentDoubleBuffered: Boolean;
property ParentFont: Boolean; | If true, the Font of the control will be the same as the one from the Parent. Default is true.
property PixelsPerInch: Integer;
property PopupMenu: TPopupMenu; | A context-sensitive menu that pops up when the right mouse button is clicked over this control
property PopupMode: TPopupMode;
property PopupParent: TCustomForm;
property Position: TPosition;
property SessionProperties: string; | The stored (saved) properties of the current session, expressed as a string
property ShowHint: Boolean; | Enables the Hint display.
property ShowInTaskBar: TShowInTaskbar;
property UseDockManager: Boolean; | Determines whether a DockManager is used for this DockSite.
property LCLVersion: string; [rws] | The version of the LCL as string. Used to distinguish form streams of different versions.
property Scaled: Boolean;
property Visible: Boolean; | Allows to show or hide the control, and all of its children.
property WindowState: TWindowState;
end;

Inheritance

TForm
|
TCustomForm | The base type for TForm.
|
TCustomDesignControl
|
TScrollingWinControl | Class of a windowed control with incorporated scroll bars.
|
TCustomControl | The base class for windowed controls which paint themselves.
|
TWinControl | The base class for controls which can contain other (child) controls.
|
TControl | The base class for visible controls.
|
TLCLComponent | The base class for LCL components associated with widgets.
|
TComponent,IUnknown,IInterfaceComponentReference
|
TPersistent,IFPObserved
|
TObject


TForm
 | ro | ClientHandle
 | ro | DockManager
pl | ro | Action
pl | ro | ActiveControl
pl | ro | Align
pl | ro | AllowDropFiles
pl | ro | AlphaBlend
pl | ro | AlphaBlendValue
pl | ro | Anchors
pl | ro | AutoScroll
pl | ro | AutoSize
pl | ro | BiDiMode
pl | ro | BorderIcons
pl | ro | BorderStyle
pl | ro | BorderWidth
pl | ro | Caption
pl | ro | ChildSizing
pl | ro | ClientHeight
pl | ro | ClientWidth
pl | ro | Color
pl | ro | Constraints
pl | ro | DefaultMonitor
pl | ro | DesignTimePPI
pl | ro | DockSite
pl | ro | DoubleBuffered
pl | ro | DragKind
pl | ro | DragMode
pl | ro | Enabled
pl | ro | Font
pl | ro | FormStyle
pl | ro | HelpFile
pl | ro | Icon
pl | ro | KeyPreview
pl | ro | Menu
pl | ro | ParentBiDiMode
pl | ro | ParentDoubleBuffered
pl | ro | ParentFont
pl | ro | PixelsPerInch
pl | ro | PopupMenu
pl | ro | PopupMode
pl | ro | PopupParent
pl | ro | Position
pl | ro | SessionProperties
pl | ro | ShowHint
pl | ro | ShowInTaskBar
pl | ro | UseDockManager
pl |  | LCLVersion
pl | ro | Scaled
pl | ro | Visible
pl | ro | WindowState
TCustomForm
pt | ro | ClientHandle
 | ro | Active
 |  | ActiveControl
 |  | ActiveDefaultControl
 |  | AllowDropFiles
 |  | AlphaBlend
 |  | AlphaBlendValue
 | ro | AutoScroll
 |  | BorderIcons
 |  | BorderStyle
 |  | CancelControl
 | ro | Caption
 | ro | Color
 |  | DefaultControl
 |  | DefaultMonitor
 |  | Designer
 | ro | EffectiveShowInTaskBar
 | ro | FormState
 |  | FormStyle
 |  | HelpFile
 |  | Icon
 |  | KeyPreview
 | ro | MDIChildren
 |  | Menu
 |  | ModalResult
 | ro | Monitor
 | ro | LastActiveControl
 |  | PopupMode
 |  | PopupParent
 | ro | ParentFont
 |  | Position
 | ro | RestoredLeft
 | ro | RestoredTop
 | ro | RestoredWidth
 | ro | RestoredHeight
 |  | ShowInTaskBar
 | ro | Visible
 |  | WindowState
TCustomDesignControl
 |  | DesignTimePPI
 |  | PixelsPerInch
 |  | Scaled
TScrollingWinControl
pt |  | AutoScroll
pl |  | HorzScrollBar
pl |  | VertScrollBar
TCustomControl
 |  | Canvas
 | ro | BorderStyle
TWinControl
pt |  | WindowHandle
pt |  | BorderStyle
pt |  | ParentBackground
 |  | BorderWidth
 | ro | BoundsLockCount
 | ro | Brush
 | ro | CachedClientHeight
 | ro | CachedClientWidth
 |  | ChildSizing
 | ro | ControlCount
 | ro | Controls
 |  | DefWndProc
 | ro | DockClientCount
 | ro | DockClients
 |  | DockManager
 |  | DockSite
 |  | DoubleBuffered
 |  | Handle
 | ro | IsFlipped
 | ro | IsResizing
 |  | TabOrder
 |  | TabStop
 |  | ParentDoubleBuffered
 |  | ParentWindow
 | ro | Showing
 |  | UseDockManager
 |  | DesignerDeleting
 | ro | VisibleDockClientCount
TControl
pt | ro | AutoSizing
pt | ro | AutoSizingAll
pt | ro | AutoSizingLockCount
pt |  | ActionLink
pt |  | DesktopFont
pt |  | DragCursor
pt |  | DragKind
pt |  | DragMode
pt |  | MouseCapture
pt |  | ParentColor
pt |  | ParentFont
pt |  | ParentShowHint
pt |  | SessionProperties
pt |  | Text
 | ro | AnchoredControls
 | ro | BaseBounds
 | ro | ReadBounds
 | ro | BaseParentClientSize
 |  | AccessibleDescription
 |  | AccessibleValue
 |  | AccessibleRole
 |  | Action
 |  | Align
 |  | Anchors
 | ro | AnchorSide
 |  | AutoSize
 |  | BorderSpacing
 |  | BoundsRect
 |  | BoundsRectForNewParent
 |  | Caption
 |  | CaptureMouseButtons
 |  | ClientHeight
 | ro | ClientOrigin
 | ro | ClientRect
 |  | ClientWidth
 |  | Color
 |  | Constraints
 | ro | ControlOrigin
 |  | ControlState
 |  | ControlStyle
 |  | Enabled
 |  | Font
 |  | IsControl
 | ro | MouseEntered
 | ro | MouseInClient
 |  | Parent
 |  | PopupMenu
 |  | ShowHint
 |  | Visible
 |  | WindowProc
 |  | DockOrientation
 | ro | Floating
 |  | FloatingDockSiteClass
 |  | HostDockSite
 |  | LRDockWidth
 |  | TBDockHeight
 |  | UndockHeight
 |  | UndockWidth
 |  | BiDiMode
 |  | ParentBiDiMode
pl |  | AnchorSideLeft
pl |  | AnchorSideTop
pl |  | AnchorSideRight
pl |  | AnchorSideBottom
pl |  | Cursor
pl |  | Left
pl |  | Height
pl |  | Hint
pl |  | Top
pl |  | Width
pl |  | HelpType
pl |  | HelpKeyword
pl |  | HelpContext
TLCLComponent
 | ro | LCLRefCount
 | ro | WidgetSetClass
TComponent
 | ro | ComObject
 | ro | Components
 | ro | ComponentCount
 |  | ComponentIndex
 | ro | ComponentState
 | ro | ComponentStyle
 |  | DesignInfo
 | ro | Owner
 |  | VCLComObject
 |  | Name
 |  | Tag
TPersistent
TObject


TForm
pt | CreateWnd
pt | Loaded
 | Create
 | Cascade
 | Next
 | Previous
 | Tile
TCustomForm
pt | WMActivate
pt | WMCloseQuery
pt | WMHelp
pt | WMMove
pt | WMShowWindow
pt | WMSize
pt | WMWindowPosChanged
pt | CMBiDiModeChanged
pt | CMParentBiDiModeChanged
pt | CMAppShowBtnGlyphChanged
pt | CMAppShowMenuGlyphChanged
pt | CMIconChanged
pt | CMRelease
pt | CMActivate
pt | CMDeactivate
pt | CMShowingChanged
pt | WMDPIChanged
pt | WSRegisterClass
pt | DoShowWindow
pt | Activate
pt | ActiveChanged
pt | AdjustClientRect
pt | BeginFormUpdate
pt | ColorIsStored
pt | CreateParams
pt | CreateWnd
pt | Deactivate
pt | DoClose
pt | DoCreate
pt | DoDestroy
pt | DoHide
pt | DoShow
pt | EndFormUpdate
pt | HandleCreateException
pt | HandleDestroyException
pt | HandleShowHideException
pt | InitializeWnd
pt | Loaded
pt | ChildHandlesCreated
pt | Notification
pt | PaintWindow
pt | RequestAlign
pt | Resizing
pt | CalculatePreferredSize
pt | SetZOrder
pt | SetParent
pt | MoveToDefaultPosition
pt | UpdateShowing
pt | SetVisible
pt | AllAutoSized
pt | DoFirstShow
pt | UpdateWindowState
pt | VisibleChanging
pt | VisibleChanged
pt | WndProc
pt | VisibleIsStored
pt | DoSendBoundsToInterface
pt | DoAutoSize
pt | SetAutoSize
pt | SetAutoScroll
pt | SetScaled
pt | DoAddActionList
pt | DoRemoveActionList
pt | ProcessResource
pt | BeginAutoDrag
pt | DoDock
pt | GetFloating
pt | GetDefaultDockCaption
pt | CMActionExecute
pt | CMActionUpdate
pt | DoExecuteAction
pt | DoUpdateAction
pt | UpdateActions
 | Create
 | CreateNew
 | Destroy
 | AfterConstruction
 | BeforeDestruction
 | GetControlClassDefaultSize
 | BigIconHandle
 | Close
 | CloseQuery
 | DefocusControl
 | DestroyWnd
 | EnsureVisible
 | FocusControl
 | FormIsUpdating
 | GetFormImage
 | GetRolesForControl
 | GetRealPopupParent
 | Hide
 | IntfDropFiles
 | IntfHelp
 | IsShortcut
 | MakeFullyVisible
 | AutoSizeDelayedHandle
 | GetPreferredSize
 | Release
 | CanFocus
 | SetFocus
 | SetFocusedControl
 | SetRestoredBounds
 | Show
 | ShowModal
 | ShowOnTop
 | SmallIconHandle
 | GetChildren
 | WantChildKey
 | RemoveAllHandlersOfObject
 | AddHandlerFirstShow
 | RemoveHandlerFirstShow
 | AddHandlerClose
 | RemoveHandlerClose
 | AddHandlerCreate
 | RemoveHandlerCreate
 | ActiveMDIChild
 | GetMDIChildren
 | MDIChildCount
 | AutoScale
 | Dock
 | UpdateDockCaption
TCustomDesignControl
pt | SetScaled
pt | DoAutoAdjustLayout
pt | Loaded
 | Create
 | AutoAdjustLayout
TScrollingWinControl
pt | WSRegisterClass
pt | AlignControls
pt | AutoScrollEnabled
pt | CalculateAutoRanges
pt | CreateWnd
pt | GetClientScrollOffset
pt | GetLogicalClientRect
pt | DoOnResize
pt | GetPreferredSizeClientFrame
pt | WMSize
pt | WMHScroll
pt | WMVScroll
pt | ComputeScrollbars
pt | SetAutoScroll
pt | Loaded
pt | Resizing
pt | SetAutoSize
 | Create
 | Destroy
 | ScreenToClient
 | ClientToScreen
 | UpdateScrollbars
 | GetControlClassDefaultSize
 | ScrollBy
 | ScrollInView
TCustomControl
pt | WSRegisterClass
pt | WMPaint
pt | DestroyWnd
pt | PaintWindow
pt | FontChanged
pt | SetColor
pt | Paint
 | Create
 | Destroy
TWinControl
pt | WSRegisterClass
pt | AdjustClientRect
pt | GetAdjustedLogicalClientRect
pt | AlignControls
pt | CustomAlignInsertBefore
pt | CustomAlignPosition
pt | DoAlignChildControls
pt | DoChildSizingChange
pt | InvalidatePreferredChildSizes
pt | CanTab
pt | IsClientHeightStored
pt | IsClientWidthStored
pt | DoSendShowHideToInterface
pt | ControlsAligned
pt | DoSendBoundsToInterface
pt | RealizeBounds
pt | RealizeBoundsRecursive
pt | InvalidateBoundsRealized
pt | CreateSubClass
pt | DoConstraintsChange
pt | DoSetBounds
pt | DoAutoSize
pt | DoAllAutoSize
pt | AllAutoSized
pt | CalculatePreferredSize
pt | GetPreferredSizeClientFrame
pt | GetChildren
pt | ChildClassAllowed
pt | PaintControls
pt | PaintHandler
pt | PaintWindow
pt | CreateBrush
pt | ScaleControls
pt | ChangeScale
pt | CMBiDiModeChanged
pt | CMBorderChanged
pt | CMDoubleBufferedChanged
pt | CMEnabledChanged
pt | CMParentDoubleBufferedChanged
pt | CMShowingChanged
pt | CMShowHintChanged
pt | CMVisibleChanged
pt | CMEnter
pt | CMExit
pt | WMContextMenu
pt | WMEraseBkgnd
pt | WMNotify
pt | WMSetFocus
pt | WMKillFocus
pt | WMShowWindow
pt | WMEnter
pt | WMExit
pt | WMKeyDown
pt | WMSysKeyDown
pt | WMKeyUp
pt | WMSysKeyUp
pt | WMChar
pt | WMSysChar
pt | WMPaint
pt | WMDestroy
pt | WMMove
pt | WMSize
pt | WMWindowPosChanged
pt | CNKeyDown
pt | CNSysKeyDown
pt | CNKeyUp
pt | CNSysKeyUp
pt | CNChar
pt | DoDragMsg
pt | DoDockClientMsg
pt | DoUndockClientMsg
pt | DoAddDockClient
pt | DockOver
pt | DoDockOver
pt | DoRemoveDockClient
pt | DoUnDock
pt | GetSiteInfo
pt | GetParentHandle
pt | GetTopParentHandle
pt | ReloadDockedControl
pt | CreateDockManager
pt | SetDockManager
pt | DoFloatMsg
pt | DoGetDockCaption
pt | DoEnter
pt | DoExit
pt | DoKeyDownBeforeInterface
pt | DoRemainingKeyDown
pt | DoRemainingKeyUp
pt | DoKeyPress
pt | DoUTF8KeyPress
pt | DoKeyUpBeforeInterface
pt | ChildKey
pt | SendDialogChar
pt | DialogChar
pt | ControlKeyDown
pt | ControlKeyUp
pt | KeyDown
pt | KeyDownBeforeInterface
pt | KeyDownAfterInterface
pt | KeyPress
pt | KeyUp
pt | KeyUpBeforeInterface
pt | KeyUpAfterInterface
pt | UTF8KeyPress
pt | FindNextControl
pt | SelectFirst
pt | RealGetText
pt | GetBorderStyle
pt | GetClientOrigin
pt | GetClientRect
pt | GetControlOrigin
pt | GetDeviceContext
pt | GetParentBackground
pt | IsControlMouseMsg
pt | CreateHandle
pt | CreateParams
pt | CreateWnd
pt | DestroyHandle
pt | DestroyWnd
pt | DoFlipChildren
pt | FinalizeWnd
pt | FixupTabList
pt | FontChanged
pt | InitializeWnd
pt | Loaded
pt | FormEndUpdated
pt | MainWndProc
pt | ParentFormHandleInitialized
pt | ChildHandlesCreated
pt | GetMouseCapture
pt | RealSetText
pt | RemoveFocus
pt | SendMoveSizeMessages
pt | SetBorderStyle
pt | SetColor
pt | SetChildZPosition
pt | SetParentBackground
pt | ShowControl
pt | UpdateControlState
pt | UpdateShowing
pt | WndProc
pt | WSSetText
 | AutoSizePhases
 | AutoSizeDelayed
 | AutoSizeDelayedReport
 | AutoSizeDelayedHandle
 | BeginUpdateBounds
 | EndUpdateBounds
 | LockRealizeBounds
 | UnlockRealizeBounds
 | ControlAtPos
 | ContainsControl
 | DoAdjustClientRectChange
 | InvalidateClientRectCache
 | ClientRectNeedsInterfaceUpdate
 | SetBounds
 | GetChildrenRect
 | DisableAlign
 | EnableAlign
 | ReAlign
 | ScrollBy_WS
 | ScrollBy
 | WriteLayoutDebugReport
 | AutoAdjustLayout
 | Create
 | CreateParented
 | CreateParentedControl
 | Destroy
 | DockDrop
 | CanFocus
 | CanSetFocus
 | GetControlIndex
 | SetControlIndex
 | Focused
 | PerformTab
 | FindChildControl
 | SelectNext
 | SetTempCursor
 | BroadCast
 | NotifyControls
 | DefaultHandler
 | GetTextLen
 | Invalidate
 | AddControl
 | InsertControl
 | RemoveControl
 | GetEnumeratorControls
 | GetEnumeratorControlsReverse
 | Repaint
 | Update
 | SetFocus
 | FlipChildren
 | ScaleBy
 | GetDockCaption
 | UpdateDockCaption
 | GetTabOrderList
 | HandleAllocated
 | ParentHandlesAllocated
 | HandleNeeded
 | BrushCreated
 | EraseBackground
 | IntfUTF8KeyPress
 | IntfGetDropFilesTarget
 | PaintTo
 | SetShape
TControl
pt | WSRegisterClass
pt | GetCursor
pt | SetCursor
pt | SetVisible
pt | DoOnParentHandleDestruction
pt | DoAutoSize
pt | DoAllAutoSize
pt | BeginAutoSizing
pt | EndAutoSizing
pt | AnchorSideChanged
pt | ForeignAnchorSideChanged
pt | SetAlign
pt | SetAnchors
pt | SetAutoSize
pt | BoundsChanged
pt | CreateControlBorderSpacing
pt | DoConstraintsChange
pt | DoBorderSpacingChange
pt | IsBorderSpacingInnerBorderStored
pt | IsCaptionStored
pt | SendMoveSizeMessages
pt | ConstrainedResize
pt | CalculatePreferredSize
pt | DoOnResize
pt | DoOnChangeBounds
pt | CheckOnChangeBounds
pt | Resize
pt | RequestAlign
pt | UpdateAnchorRules
pt | ChangeBounds
pt | DoSetBounds
pt | ScaleConstraints
pt | ChangeScale
pt | CanAutoSize
pt | SetBiDiMode
pt | SetParentBiDiMode
pt | IsAParentAligning
pt | GetClientOrigin
pt | GetClientRect
pt | GetLogicalClientRect
pt | GetScrolledClientRect
pt | GetClientScrollOffset
pt | GetControlOrigin
pt | IsClientHeightStored
pt | IsClientWidthStored
pt | WidthIsAnchored
pt | HeightIsAnchored
pt | WMCancelMode
pt | WMContextMenu
pt | WMLButtonDown
pt | WMRButtonDown
pt | WMMButtonDown
pt | WMXButtonDown
pt | WMLButtonDBLCLK
pt | WMRButtonDBLCLK
pt | WMMButtonDBLCLK
pt | WMXButtonDBLCLK
pt | WMLButtonTripleCLK
pt | WMRButtonTripleCLK
pt | WMMButtonTripleCLK
pt | WMXButtonTripleCLK
pt | WMLButtonQuadCLK
pt | WMRButtonQuadCLK
pt | WMMButtonQuadCLK
pt | WMXButtonQuadCLK
pt | WMMouseMove
pt | WMLButtonUp
pt | WMRButtonUp
pt | WMMButtonUp
pt | WMXButtonUp
pt | WMMouseWheel
pt | WMMouseHWheel
pt | WMMove
pt | WMSize
pt | WMWindowPosChanged
pt | CMChanged
pt | LMCaptureChanged
pt | CMBiDiModeChanged
pt | CMSysFontChanged
pt | CMEnabledChanged
pt | CMHitTest
pt | CMMouseEnter
pt | CMMouseLeave
pt | CMHintShow
pt | CMParentBiDiModeChanged
pt | CMParentColorChanged
pt | CMParentFontChanged
pt | CMParentShowHintChanged
pt | CMVisibleChanged
pt | CMTextChanged
pt | CMCursorChanged
pt | CalculateDockSizes
pt | CreateFloatingDockSite
pt | GetDockEdge
pt | GetDragImages
pt | GetFloating
pt | GetFloatingDockSiteClass
pt | BeforeDragStart
pt | BeginAutoDrag
pt | DoFloatMsg
pt | DockTrackNoTarget
pt | DoDock
pt | DoDragMsg
pt | DoEndDock
pt | DoEndDrag
pt | DoStartDock
pt | DoStartDrag
pt | DragCanceled
pt | DragOver
pt | PositionDockRect
pt | SetDragMode
pt | GetDefaultDockCaption
pt | Click
pt | DblClick
pt | TripleClick
pt | QuadClick
pt | GetMousePosFromMessage
pt | MouseDown
pt | MouseMove
pt | MouseUp
pt | MouseEnter
pt | MouseLeave
pt | DialogChar
pt | UpdateMouseCursor
pt | Changed
pt | GetPalette
pt | ChildClassAllowed
pt | ReadState
pt | Loaded
pt | LoadedAll
pt | DefineProperties
pt | AssignTo
pt | FormEndUpdated
pt | InvalidateControl
pt | FontChanged
pt | ParentFontChanged
pt | GetAction
pt | RealGetText
pt | RealSetText
pt | TextChanged
pt | GetCachedText
pt | SetAction
pt | SetColor
pt | SetEnabled
pt | SetHint
pt | SetName
pt | SetParent
pt | SetParentComponent
pt | WndProc
pt | ParentFormHandleInitialized
pt | GetMouseCapture
pt | CaptureChanged
pt | Notification
pt | CanTab
pt | GetDeviceContext
pt | GetEnabled
pt | GetPopupMenu
pt | DoOnShowHint
pt | DoMouseWheel
pt | DoMouseWheelDown
pt | DoMouseWheelUp
pt | DoMouseWheelHorz
pt | DoMouseWheelLeft
pt | DoMouseWheelRight
pt | VisibleChanging
pt | VisibleChanged
pt | EnabledChanging
pt | EnabledChanged
pt | AddHandler
pt | RemoveHandler
pt | DoCallNotifyHandler
pt | DoCallKeyEventHandler
pt | DoCallMouseWheelEventHandler
pt | DoContextPopup
pt | SetZOrder
pt | GetControlClassDefaultSize
pt | ColorIsStored
pt | DoAutoAdjustLayout
pt | DoFixDesignFontPPI
pt | DoScaleFontPPI
pt | GetActionLinkClass
pt | ActionChange
 | DragDrop
 | Dock
 | ManualDock
 | ManualFloat
 | ReplaceDockedControl
 | Docked
 | Dragging
 | GetAccessibleObject
 | CreateAccessibleObject
 | GetSelectedChildAccessibleObject
 | GetChildAccessibleObjectAtPos
 | ScaleDesignToForm
 | ScaleFormToDesign
 | Scale96ToForm
 | ScaleFormTo96
 | Scale96ToFont
 | ScaleFontTo96
 | ScaleScreenToFont
 | ScaleFontToScreen
 | Scale96ToScreen
 | ScaleScreenTo96
 | AdjustSize
 | AutoSizePhases
 | AutoSizeDelayed
 | AutoSizeDelayedReport
 | AutoSizeDelayedHandle
 | AnchorToNeighbour
 | AnchorParallel
 | AnchorHorizontalCenterTo
 | AnchorVerticalCenterTo
 | AnchorToCompanion
 | AnchorSame
 | AnchorAsAlign
 | AnchorClient
 | AnchoredControlCount
 | SetBounds
 | SetInitialBounds
 | SetBoundsKeepBase
 | GetPreferredSize
 | GetCanvasScaleFactor
 | GetDefaultWidth
 | GetDefaultHeight
 | GetDefaultColor
 | GetColorResolvingParent
 | GetRGBColorResolvingParent
 | GetSidePosition
 | CNPreferredSizeChanged
 | InvalidatePreferredSize
 | GetAnchorsDependingOnParent
 | DisableAutoSizing
 | EnableAutoSizing
 | UpdateBaseBounds
 | WriteLayoutDebugReport
 | AutoAdjustLayout
 | ShouldAutoAdjust
 | FixDesignFontsPPI
 | ScaleFontsPPI
 | Create
 | Destroy
 | BeforeDestruction
 | EditingDone
 | ExecuteDefaultAction
 | ExecuteCancelAction
 | BeginDrag
 | EndDrag
 | BringToFront
 | HasParent
 | GetParentComponent
 | IsParentOf
 | GetTopParent
 | IsVisible
 | IsControlVisible
 | IsEnabled
 | IsParentColor
 | IsParentFont
 | FormIsUpdating
 | IsProcessingPaintMsg
 | Hide
 | Refresh
 | Repaint
 | Invalidate
 | CheckChildClassAllowed
 | CheckNewParent
 | SendToBack
 | SetTempCursor
 | UpdateRolesForForm
 | ActiveDefaultControlChanged
 | GetTextBuf
 | GetTextLen
 | SetTextBuf
 | Perform
 | ScreenToClient
 | ClientToScreen
 | ScreenToControl
 | ControlToScreen
 | ClientToParent
 | ParentToClient
 | GetChildrenRect
 | Show
 | Update
 | HandleObjectShouldBeVisible
 | ParentDestroyingHandle
 | ParentHandlesAllocated
 | InitiateAction
 | ShowHelp
 | HasHelp
 | RemoveAllHandlersOfObject
 | AddHandlerOnResize
 | RemoveHandlerOnResize
 | AddHandlerOnChangeBounds
 | RemoveHandlerOnChangeBounds
 | AddHandlerOnVisibleChanging
 | RemoveHandlerOnVisibleChanging
 | AddHandlerOnVisibleChanged
 | RemoveHandlerOnVisibleChanged
 | AddHandlerOnEnabledChanged
 | RemoveHandlerOnEnableChanging
 | AddHandlerOnKeyDown
 | RemoveHandlerOnKeyDown
 | AddHandlerOnBeforeDestruction
 | RemoveHandlerOnBeforeDestruction
 | AddHandlerOnMouseWheel
 | RemoveHandlerOnMouseWheel
 | UseRightToLeftAlignment
 | UseRightToLeftReading
 | UseRightToLeftScrollBar
 | IsRightToLeft
TLCLComponent
pt | WSRegisterClass
pt | GetWSComponentClass
 | Create
 | Destroy
 | NewInstance
 | RemoveAllHandlersOfObject
 | IncLCLRefCount
 | DecLCLRefCount
TComponent
 | GetComObject
 | GetComponent
 | GetComponentCount
 | GetComponentIndex
 | Insert
 | ReadLeft
 | ReadTop
 | Remove
 | RemoveNotification
 | SetComponentIndex
 | SetReference
 | WriteLeft
 | WriteTop
 | ChangeName
 | DefineProperties
 | GetChildren
 | GetChildOwner
 | GetChildParent
 | GetOwner
 | Loaded
 | Loading
 | Notification
 | PaletteCreated
 | ReadState
 | SetAncestor
 | SetDesigning
 | SetDesignInstance
 | SetInline
 | SetName
 | SetChildOrder
 | SetParentComponent
 | Updating
 | Updated
 | UpdateRegistry
 | ValidateRename
 | ValidateContainer
 | ValidateInsert
 | QueryInterface
 | _AddRef
 | _Release
 | iicrGetComponent
 | GetTypeInfoCount
 | GetTypeInfo
 | GetIDsOfNames
 | Invoke
 | WriteState
 | Create
 | Destroy
 | BeforeDestruction
 | DestroyComponents
 | Destroying
 | ExecuteAction
 | FindComponent
 | FreeNotification
 | RemoveFreeNotification
 | FreeOnRelease
 | GetEnumerator
 | GetNamePath
 | GetParentComponent
 | HasParent
 | InsertComponent
 | RemoveComponent
 | SafeCallException
 | SetSubComponent
 | UpdateAction
 | IsImplementorOf
 | ReferenceInterface
TPersistent
 | AssignError
 | AssignTo
 | DefineProperties
 | GetOwner
 | Destroy
 | Assign
 | FPOAttachObserver
 | FPODetachObserver
 | FPONotifyObservers
 | GetNamePath
TObject
 | Create
 | Destroy
 | newinstance
 | FreeInstance
 | SafeCallException
 | DefaultHandler
 | Free
 | InitInstance
 | CleanupInstance
 | ClassType
 | ClassInfo
 | ClassName
 | ClassNameIs
 | ClassParent
 | InstanceSize
 | InheritsFrom
 | StringMessageTable
 | MethodAddress
 | MethodName
 | FieldAddress
 | AfterConstruction
 | BeforeDestruction
 | DefaultHandlerStr
 | Dispatch
 | DispatchStr
 | GetInterface
 | GetInterfaceByStr
 | GetInterfaceWeak
 | GetInterfaceEntry
 | GetInterfaceEntryByStr
 | GetInterfaceTable
 | UnitName
 | Equals
 | GetHashCode
 | ToString


pt | ActionChange (TControl)
pt | Activate (TCustomForm)
pt | ActiveChanged (TCustomForm)
 | ActiveDefaultControlChanged (TControl)
 | ActiveMDIChild (TCustomForm)
 | AddControl (TWinControl)
pt | AddHandler (TControl)
 | AddHandlerClose (TCustomForm)
 | AddHandlerCreate (TCustomForm)
 | AddHandlerFirstShow (TCustomForm)
 | AddHandlerOnBeforeDestruction (TControl)
 | AddHandlerOnChangeBounds (TControl)
 | AddHandlerOnEnabledChanged (TControl)
 | AddHandlerOnKeyDown (TControl)
 | AddHandlerOnMouseWheel (TControl)
 | AddHandlerOnResize (TControl)
 | AddHandlerOnVisibleChanged (TControl)
 | AddHandlerOnVisibleChanging (TControl)
pt | AdjustClientRect (TWinControl)
pt | AdjustClientRect (TCustomForm)
 | AdjustSize (TControl)
 | AfterConstruction (TObject)
 | AfterConstruction (TCustomForm)
pt | AlignControls (TWinControl)
pt | AlignControls (TScrollingWinControl)
pt | AllAutoSized (TWinControl)
pt | AllAutoSized (TCustomForm)
 | AnchorAsAlign (TControl)
 | AnchorClient (TControl)
 | AnchoredControlCount (TControl)
 | AnchorHorizontalCenterTo (TControl)
 | AnchorParallel (TControl)
 | AnchorSame (TControl)
pt | AnchorSideChanged (TControl)
 | AnchorToCompanion (TControl)
 | AnchorToNeighbour (TControl)
 | AnchorVerticalCenterTo (TControl)
 | Assign (TPersistent)
 | AssignError (TPersistent)
 | AssignTo (TPersistent)
pt | AssignTo (TControl)
 | AutoAdjustLayout (TControl)
 | AutoAdjustLayout (TWinControl)
 | AutoAdjustLayout (TCustomDesignControl)
 | AutoScale (TCustomForm)
pt | AutoScrollEnabled (TScrollingWinControl)
 | AutoSizeDelayed (TControl)
 | AutoSizeDelayed (TWinControl)
 | AutoSizeDelayedHandle (TControl)
 | AutoSizeDelayedHandle (TWinControl)
 | AutoSizeDelayedHandle (TCustomForm)
 | AutoSizeDelayedReport (TControl)
 | AutoSizeDelayedReport (TWinControl)
 | AutoSizePhases (TControl)
 | AutoSizePhases (TWinControl)
 | BeforeDestruction (TObject)
 | BeforeDestruction (TComponent)
 | BeforeDestruction (TControl)
 | BeforeDestruction (TCustomForm)
pt | BeforeDragStart (TControl)
pt | BeginAutoDrag (TControl)
pt | BeginAutoDrag (TCustomForm)
pt | BeginAutoSizing (TControl)
 | BeginDrag (TControl)
pt | BeginFormUpdate (TCustomForm)
 | BeginUpdateBounds (TWinControl)
 | BigIconHandle (TCustomForm)
pt | BoundsChanged (TControl)
 | BringToFront (TControl)
 | BroadCast (TWinControl)
 | BrushCreated (TWinControl)
pt | CalculateAutoRanges (TScrollingWinControl)
pt | CalculateDockSizes (TControl)
pt | CalculatePreferredSize (TControl)
pt | CalculatePreferredSize (TWinControl)
pt | CalculatePreferredSize (TCustomForm)
pt | CanAutoSize (TControl)
 | CanFocus (TWinControl)
 | CanFocus (TCustomForm)
 | CanSetFocus (TWinControl)
pt | CanTab (TControl)
pt | CanTab (TWinControl)
pt | CaptureChanged (TControl)
 | Cascade (TForm)
pt | ChangeBounds (TControl)
pt | Changed (TControl)
 | ChangeName (TComponent)
pt | ChangeScale (TControl)
pt | ChangeScale (TWinControl)
 | CheckChildClassAllowed (TControl)
 | CheckNewParent (TControl)
pt | CheckOnChangeBounds (TControl)
pt | ChildClassAllowed (TControl)
pt | ChildClassAllowed (TWinControl)
pt | ChildHandlesCreated (TWinControl)
pt | ChildHandlesCreated (TCustomForm)
pt | ChildKey (TWinControl)
 | ClassInfo (TObject)
 | ClassName (TObject)
 | ClassNameIs (TObject)
 | ClassParent (TObject)
 | ClassType (TObject)
 | CleanupInstance (TObject)
pt | Click (TControl)
 | ClientRectNeedsInterfaceUpdate (TWinControl)
 | ClientToParent (TControl)
 | ClientToScreen (TControl)
 | ClientToScreen (TScrollingWinControl)
 | Close (TCustomForm)
 | CloseQuery (TCustomForm)
pt | CMActionExecute (TCustomForm)
pt | CMActionUpdate (TCustomForm)
pt | CMActivate (TCustomForm)
pt | CMAppShowBtnGlyphChanged (TCustomForm)
pt | CMAppShowMenuGlyphChanged (TCustomForm)
pt | CMBiDiModeChanged (TControl)
pt | CMBiDiModeChanged (TWinControl)
pt | CMBiDiModeChanged (TCustomForm)
pt | CMBorderChanged (TWinControl)
pt | CMChanged (TControl)
pt | CMCursorChanged (TControl)
pt | CMDeactivate (TCustomForm)
pt | CMDoubleBufferedChanged (TWinControl)
pt | CMEnabledChanged (TControl)
pt | CMEnabledChanged (TWinControl)
pt | CMEnter (TWinControl)
pt | CMExit (TWinControl)
pt | CMHintShow (TControl)
pt | CMHitTest (TControl)
pt | CMIconChanged (TCustomForm)
pt | CMMouseEnter (TControl)
pt | CMMouseLeave (TControl)
pt | CMParentBiDiModeChanged (TControl)
pt | CMParentBiDiModeChanged (TCustomForm)
pt | CMParentColorChanged (TControl)
pt | CMParentDoubleBufferedChanged (TWinControl)
pt | CMParentFontChanged (TControl)
pt | CMParentShowHintChanged (TControl)
pt | CMRelease (TCustomForm)
pt | CMShowHintChanged (TWinControl)
pt | CMShowingChanged (TWinControl)
pt | CMShowingChanged (TCustomForm)
pt | CMSysFontChanged (TControl)
pt | CMTextChanged (TControl)
pt | CMVisibleChanged (TControl)
pt | CMVisibleChanged (TWinControl)
pt | CNChar (TWinControl)
pt | CNKeyDown (TWinControl)
pt | CNKeyUp (TWinControl)
 | CNPreferredSizeChanged (TControl)
pt | CNSysKeyDown (TWinControl)
pt | CNSysKeyUp (TWinControl)
pt | ColorIsStored (TControl)
pt | ColorIsStored (TCustomForm)
pt | ComputeScrollbars (TScrollingWinControl)
pt | ConstrainedResize (TControl)
 | ContainsControl (TWinControl)
 | ControlAtPos (TWinControl)
pt | ControlKeyDown (TWinControl)
pt | ControlKeyUp (TWinControl)
pt | ControlsAligned (TWinControl)
 | ControlToScreen (TControl)
 | Create (TObject)
 | Create (TComponent)
 | Create (TLCLComponent)
 | Create (TControl)
 | Create (TWinControl)
 | Create (TCustomControl)
 | Create (TScrollingWinControl)
 | Create (TCustomDesignControl)
 | Create (TCustomForm)
 | Create (TForm)
 | CreateAccessibleObject (TControl)
pt | CreateBrush (TWinControl)
pt | CreateControlBorderSpacing (TControl)
pt | CreateDockManager (TWinControl)
pt | CreateFloatingDockSite (TControl)
pt | CreateHandle (TWinControl)
 | CreateNew (TCustomForm)
pt | CreateParams (TWinControl)
pt | CreateParams (TCustomForm)
 | CreateParented (TWinControl)
 | CreateParentedControl (TWinControl)
pt | CreateSubClass (TWinControl)
pt | CreateWnd (TWinControl)
pt | CreateWnd (TScrollingWinControl)
pt | CreateWnd (TCustomForm)
pt | CreateWnd (TForm)
pt | CustomAlignInsertBefore (TWinControl)
pt | CustomAlignPosition (TWinControl)
pt | DblClick (TControl)
pt | Deactivate (TCustomForm)
 | DecLCLRefCount (TLCLComponent)
 | DefaultHandler (TObject)
 | DefaultHandler (TWinControl)
 | DefaultHandlerStr (TObject)
 | DefineProperties (TPersistent)
 | DefineProperties (TComponent)
pt | DefineProperties (TControl)
 | DefocusControl (TCustomForm)
 | Destroy (TObject)
 | Destroy (TPersistent)
 | Destroy (TComponent)
 | Destroy (TLCLComponent)
 | Destroy (TControl)
 | Destroy (TWinControl)
 | Destroy (TCustomControl)
 | Destroy (TScrollingWinControl)
 | Destroy (TCustomForm)
 | DestroyComponents (TComponent)
pt | DestroyHandle (TWinControl)
 | Destroying (TComponent)
pt | DestroyWnd (TWinControl)
pt | DestroyWnd (TCustomControl)
 | DestroyWnd (TCustomForm)
pt | DialogChar (TControl)
pt | DialogChar (TWinControl)
 | DisableAlign (TWinControl)
 | DisableAutoSizing (TControl)
 | Dispatch (TObject)
 | DispatchStr (TObject)
pt | DoAddActionList (TCustomForm)
pt | DoAddDockClient (TWinControl)
 | DoAdjustClientRectChange (TWinControl)
pt | DoAlignChildControls (TWinControl)
pt | DoAllAutoSize (TControl)
pt | DoAllAutoSize (TWinControl)
pt | DoAutoAdjustLayout (TControl)
pt | DoAutoAdjustLayout (TCustomDesignControl)
pt | DoAutoSize (TControl)
pt | DoAutoSize (TWinControl)
pt | DoAutoSize (TCustomForm)
pt | DoBorderSpacingChange (TControl)
pt | DoCallKeyEventHandler (TControl)
pt | DoCallMouseWheelEventHandler (TControl)
pt | DoCallNotifyHandler (TControl)
pt | DoChildSizingChange (TWinControl)
 | Dock (TControl)
 | Dock (TCustomForm)
 | DockDrop (TWinControl)
 | Docked (TControl)
pt | DockOver (TWinControl)
pt | DockTrackNoTarget (TControl)
pt | DoClose (TCustomForm)
pt | DoConstraintsChange (TControl)
pt | DoConstraintsChange (TWinControl)
pt | DoContextPopup (TControl)
pt | DoCreate (TCustomForm)
pt | DoDestroy (TCustomForm)
pt | DoDock (TControl)
pt | DoDock (TCustomForm)
pt | DoDockClientMsg (TWinControl)
pt | DoDockOver (TWinControl)
pt | DoDragMsg (TControl)
pt | DoDragMsg (TWinControl)
pt | DoEndDock (TControl)
pt | DoEndDrag (TControl)
pt | DoEnter (TWinControl)
pt | DoExecuteAction (TCustomForm)
pt | DoExit (TWinControl)
pt | DoFirstShow (TCustomForm)
pt | DoFixDesignFontPPI (TControl)
pt | DoFlipChildren (TWinControl)
pt | DoFloatMsg (TControl)
pt | DoFloatMsg (TWinControl)
pt | DoGetDockCaption (TWinControl)
pt | DoHide (TCustomForm)
pt | DoKeyDownBeforeInterface (TWinControl)
pt | DoKeyPress (TWinControl)
pt | DoKeyUpBeforeInterface (TWinControl)
pt | DoMouseWheel (TControl)
pt | DoMouseWheelDown (TControl)
pt | DoMouseWheelHorz (TControl)
pt | DoMouseWheelLeft (TControl)
pt | DoMouseWheelRight (TControl)
pt | DoMouseWheelUp (TControl)
pt | DoOnChangeBounds (TControl)
pt | DoOnParentHandleDestruction (TControl)
pt | DoOnResize (TControl)
pt | DoOnResize (TScrollingWinControl)
pt | DoOnShowHint (TControl)
pt | DoRemainingKeyDown (TWinControl)
pt | DoRemainingKeyUp (TWinControl)
pt | DoRemoveActionList (TCustomForm)
pt | DoRemoveDockClient (TWinControl)
pt | DoScaleFontPPI (TControl)
pt | DoSendBoundsToInterface (TWinControl)
pt | DoSendBoundsToInterface (TCustomForm)
pt | DoSendShowHideToInterface (TWinControl)
pt | DoSetBounds (TControl)
pt | DoSetBounds (TWinControl)
pt | DoShow (TCustomForm)
pt | DoShowWindow (TCustomForm)
pt | DoStartDock (TControl)
pt | DoStartDrag (TControl)
pt | DoUnDock (TWinControl)
pt | DoUndockClientMsg (TWinControl)
pt | DoUpdateAction (TCustomForm)
pt | DoUTF8KeyPress (TWinControl)
pt | DragCanceled (TControl)
 | DragDrop (TControl)
 | Dragging (TControl)
pt | DragOver (TControl)
 | EditingDone (TControl)
 | EnableAlign (TWinControl)
 | EnableAutoSizing (TControl)
pt | EnabledChanged (TControl)
pt | EnabledChanging (TControl)
pt | EndAutoSizing (TControl)
 | EndDrag (TControl)
pt | EndFormUpdate (TCustomForm)
 | EndUpdateBounds (TWinControl)
 | EnsureVisible (TCustomForm)
 | Equals (TObject)
 | EraseBackground (TWinControl)
 | ExecuteAction (TComponent)
 | ExecuteCancelAction (TControl)
 | ExecuteDefaultAction (TControl)
 | FieldAddress (TObject)
pt | FinalizeWnd (TWinControl)
 | FindChildControl (TWinControl)
 | FindComponent (TComponent)
pt | FindNextControl (TWinControl)
 | FixDesignFontsPPI (TControl)
pt | FixupTabList (TWinControl)
 | FlipChildren (TWinControl)
 | FocusControl (TCustomForm)
 | Focused (TWinControl)
pt | FontChanged (TControl)
pt | FontChanged (TWinControl)
pt | FontChanged (TCustomControl)
pt | ForeignAnchorSideChanged (TControl)
pt | FormEndUpdated (TControl)
pt | FormEndUpdated (TWinControl)
 | FormIsUpdating (TControl)
 | FormIsUpdating (TCustomForm)
 | FPOAttachObserver (TPersistent)
 | FPODetachObserver (TPersistent)
 | FPONotifyObservers (TPersistent)
 | Free (TObject)
 | FreeInstance (TObject)
 | FreeNotification (TComponent)
 | FreeOnRelease (TComponent)
 | GetAccessibleObject (TControl)
pt | GetAction (TControl)
pt | GetActionLinkClass (TControl)
pt | GetAdjustedLogicalClientRect (TWinControl)
 | GetAnchorsDependingOnParent (TControl)
pt | GetBorderStyle (TWinControl)
pt | GetCachedText (TControl)
 | GetCanvasScaleFactor (TControl)
 | GetChildAccessibleObjectAtPos (TControl)
 | GetChildOwner (TComponent)
 | GetChildParent (TComponent)
 | GetChildren (TComponent)
pt | GetChildren (TWinControl)
 | GetChildren (TCustomForm)
 | GetChildrenRect (TControl)
 | GetChildrenRect (TWinControl)
pt | GetClientOrigin (TControl)
pt | GetClientOrigin (TWinControl)
pt | GetClientRect (TControl)
pt | GetClientRect (TWinControl)
pt | GetClientScrollOffset (TControl)
pt | GetClientScrollOffset (TScrollingWinControl)
 | GetColorResolvingParent (TControl)
 | GetComObject (TComponent)
 | GetComponent (TComponent)
 | GetComponentCount (TComponent)
 | GetComponentIndex (TComponent)
pt | GetControlClassDefaultSize (TControl)
 | GetControlClassDefaultSize (TScrollingWinControl)
 | GetControlClassDefaultSize (TCustomForm)
 | GetControlIndex (TWinControl)
pt | GetControlOrigin (TControl)
pt | GetControlOrigin (TWinControl)
pt | GetCursor (TControl)
 | GetDefaultColor (TControl)
pt | GetDefaultDockCaption (TControl)
pt | GetDefaultDockCaption (TCustomForm)
 | GetDefaultHeight (TControl)
 | GetDefaultWidth (TControl)
pt | GetDeviceContext (TControl)
pt | GetDeviceContext (TWinControl)
 | GetDockCaption (TWinControl)
pt | GetDockEdge (TControl)
pt | GetDragImages (TControl)
pt | GetEnabled (TControl)
 | GetEnumerator (TComponent)
 | GetEnumeratorControls (TWinControl)
 | GetEnumeratorControlsReverse (TWinControl)
pt | GetFloating (TControl)
pt | GetFloating (TCustomForm)
pt | GetFloatingDockSiteClass (TControl)
 | GetFormImage (TCustomForm)
 | GetHashCode (TObject)
 | GetIDsOfNames (TComponent)
 | GetInterface (TObject)
 | GetInterfaceByStr (TObject)
 | GetInterfaceEntry (TObject)
 | GetInterfaceEntryByStr (TObject)
 | GetInterfaceTable (TObject)
 | GetInterfaceWeak (TObject)
pt | GetLogicalClientRect (TControl)
pt | GetLogicalClientRect (TScrollingWinControl)
 | GetMDIChildren (TCustomForm)
pt | GetMouseCapture (TControl)
pt | GetMouseCapture (TWinControl)
pt | GetMousePosFromMessage (TControl)
 | GetNamePath (TPersistent)
 | GetNamePath (TComponent)
 | GetOwner (TPersistent)
 | GetOwner (TComponent)
pt | GetPalette (TControl)
pt | GetParentBackground (TWinControl)
 | GetParentComponent (TComponent)
 | GetParentComponent (TControl)
pt | GetParentHandle (TWinControl)
pt | GetPopupMenu (TControl)
 | GetPreferredSize (TControl)
 | GetPreferredSize (TCustomForm)
pt | GetPreferredSizeClientFrame (TWinControl)
pt | GetPreferredSizeClientFrame (TScrollingWinControl)
 | GetRealPopupParent (TCustomForm)
 | GetRGBColorResolvingParent (TControl)
 | GetRolesForControl (TCustomForm)
pt | GetScrolledClientRect (TControl)
 | GetSelectedChildAccessibleObject (TControl)
 | GetSidePosition (TControl)
pt | GetSiteInfo (TWinControl)
 | GetTabOrderList (TWinControl)
 | GetTextBuf (TControl)
 | GetTextLen (TControl)
 | GetTextLen (TWinControl)
 | GetTopParent (TControl)
pt | GetTopParentHandle (TWinControl)
 | GetTypeInfo (TComponent)
 | GetTypeInfoCount (TComponent)
pt | GetWSComponentClass (TLCLComponent)
 | HandleAllocated (TWinControl)
pt | HandleCreateException (TCustomForm)
pt | HandleDestroyException (TCustomForm)
 | HandleNeeded (TWinControl)
 | HandleObjectShouldBeVisible (TControl)
pt | HandleShowHideException (TCustomForm)
 | HasHelp (TControl)
 | HasParent (TComponent)
 | HasParent (TControl)
pt | HeightIsAnchored (TControl)
 | Hide (TControl)
 | Hide (TCustomForm)
 | iicrGetComponent (TComponent)
 | IncLCLRefCount (TLCLComponent)
 | InheritsFrom (TObject)
pt | InitializeWnd (TWinControl)
pt | InitializeWnd (TCustomForm)
 | InitiateAction (TControl)
 | InitInstance (TObject)
 | Insert (TComponent)
 | InsertComponent (TComponent)
 | InsertControl (TWinControl)
 | InstanceSize (TObject)
 | IntfDropFiles (TCustomForm)
 | IntfGetDropFilesTarget (TWinControl)
 | IntfHelp (TCustomForm)
 | IntfUTF8KeyPress (TWinControl)
 | Invalidate (TControl)
 | Invalidate (TWinControl)
pt | InvalidateBoundsRealized (TWinControl)
 | InvalidateClientRectCache (TWinControl)
pt | InvalidateControl (TControl)
pt | InvalidatePreferredChildSizes (TWinControl)
 | InvalidatePreferredSize (TControl)
 | Invoke (TComponent)
pt | IsAParentAligning (TControl)
pt | IsBorderSpacingInnerBorderStored (TControl)
pt | IsCaptionStored (TControl)
pt | IsClientHeightStored (TControl)
pt | IsClientHeightStored (TWinControl)
pt | IsClientWidthStored (TControl)
pt | IsClientWidthStored (TWinControl)
pt | IsControlMouseMsg (TWinControl)
 | IsControlVisible (TControl)
 | IsEnabled (TControl)
 | IsImplementorOf (TComponent)
 | IsParentColor (TControl)
 | IsParentFont (TControl)
 | IsParentOf (TControl)
 | IsProcessingPaintMsg (TControl)
 | IsRightToLeft (TControl)
 | IsShortcut (TCustomForm)
 | IsVisible (TControl)
pt | KeyDown (TWinControl)
pt | KeyDownAfterInterface (TWinControl)
pt | KeyDownBeforeInterface (TWinControl)
pt | KeyPress (TWinControl)
pt | KeyUp (TWinControl)
pt | KeyUpAfterInterface (TWinControl)
pt | KeyUpBeforeInterface (TWinControl)
pt | LMCaptureChanged (TControl)
 | Loaded (TComponent)
pt | Loaded (TControl)
pt | Loaded (TWinControl)
pt | Loaded (TScrollingWinControl)
pt | Loaded (TCustomDesignControl)
pt | Loaded (TCustomForm)
pt | Loaded (TForm)
pt | LoadedAll (TControl)
 | Loading (TComponent)
 | LockRealizeBounds (TWinControl)
pt | MainWndProc (TWinControl)
 | MakeFullyVisible (TCustomForm)
 | ManualDock (TControl)
 | ManualFloat (TControl)
 | MDIChildCount (TCustomForm)
 | MethodAddress (TObject)
 | MethodName (TObject)
pt | MouseDown (TControl)
pt | MouseEnter (TControl)
pt | MouseLeave (TControl)
pt | MouseMove (TControl)
pt | MouseUp (TControl)
pt | MoveToDefaultPosition (TCustomForm)
 | newinstance (TObject)
 | NewInstance (TLCLComponent)
 | Next (TForm)
 | Notification (TComponent)
pt | Notification (TControl)
pt | Notification (TCustomForm)
 | NotifyControls (TWinControl)
pt | Paint (TCustomControl)
pt | PaintControls (TWinControl)
pt | PaintHandler (TWinControl)
 | PaintTo (TWinControl)
pt | PaintWindow (TWinControl)
pt | PaintWindow (TCustomControl)
pt | PaintWindow (TCustomForm)
 | PaletteCreated (TComponent)
 | ParentDestroyingHandle (TControl)
pt | ParentFontChanged (TControl)
pt | ParentFormHandleInitialized (TControl)
pt | ParentFormHandleInitialized (TWinControl)
 | ParentHandlesAllocated (TControl)
 | ParentHandlesAllocated (TWinControl)
 | ParentToClient (TControl)
 | Perform (TControl)
 | PerformTab (TWinControl)
pt | PositionDockRect (TControl)
 | Previous (TForm)
pt | ProcessResource (TCustomForm)
pt | QuadClick (TControl)
 | QueryInterface (TComponent)
 | ReadLeft (TComponent)
 | ReadState (TComponent)
pt | ReadState (TControl)
 | ReadTop (TComponent)
pt | RealGetText (TControl)
pt | RealGetText (TWinControl)
 | ReAlign (TWinControl)
pt | RealizeBounds (TWinControl)
pt | RealizeBoundsRecursive (TWinControl)
pt | RealSetText (TControl)
pt | RealSetText (TWinControl)
 | ReferenceInterface (TComponent)
 | Refresh (TControl)
 | Release (TCustomForm)
pt | ReloadDockedControl (TWinControl)
 | Remove (TComponent)
 | RemoveAllHandlersOfObject (TLCLComponent)
 | RemoveAllHandlersOfObject (TControl)
 | RemoveAllHandlersOfObject (TCustomForm)
 | RemoveComponent (TComponent)
 | RemoveControl (TWinControl)
pt | RemoveFocus (TWinControl)
 | RemoveFreeNotification (TComponent)
pt | RemoveHandler (TControl)
 | RemoveHandlerClose (TCustomForm)
 | RemoveHandlerCreate (TCustomForm)
 | RemoveHandlerFirstShow (TCustomForm)
 | RemoveHandlerOnBeforeDestruction (TControl)
 | RemoveHandlerOnChangeBounds (TControl)
 | RemoveHandlerOnEnableChanging (TControl)
 | RemoveHandlerOnKeyDown (TControl)
 | RemoveHandlerOnMouseWheel (TControl)
 | RemoveHandlerOnResize (TControl)
 | RemoveHandlerOnVisibleChanged (TControl)
 | RemoveHandlerOnVisibleChanging (TControl)
 | RemoveNotification (TComponent)
 | Repaint (TControl)
 | Repaint (TWinControl)
 | ReplaceDockedControl (TControl)
pt | RequestAlign (TControl)
pt | RequestAlign (TCustomForm)
pt | Resize (TControl)
pt | Resizing (TScrollingWinControl)
pt | Resizing (TCustomForm)
 | SafeCallException (TObject)
 | SafeCallException (TComponent)
 | Scale96ToFont (TControl)
 | Scale96ToForm (TControl)
 | Scale96ToScreen (TControl)
 | ScaleBy (TWinControl)
pt | ScaleConstraints (TControl)
pt | ScaleControls (TWinControl)
 | ScaleDesignToForm (TControl)
 | ScaleFontsPPI (TControl)
 | ScaleFontTo96 (TControl)
 | ScaleFontToScreen (TControl)
 | ScaleFormTo96 (TControl)
 | ScaleFormToDesign (TControl)
 | ScaleScreenTo96 (TControl)
 | ScaleScreenToFont (TControl)
 | ScreenToClient (TControl)
 | ScreenToClient (TScrollingWinControl)
 | ScreenToControl (TControl)
 | ScrollBy (TWinControl)
 | ScrollBy (TScrollingWinControl)
 | ScrollBy_WS (TWinControl)
 | ScrollInView (TScrollingWinControl)
pt | SelectFirst (TWinControl)
 | SelectNext (TWinControl)
pt | SendDialogChar (TWinControl)
pt | SendMoveSizeMessages (TControl)
pt | SendMoveSizeMessages (TWinControl)
 | SendToBack (TControl)
pt | SetAction (TControl)
pt | SetAlign (TControl)
 | SetAncestor (TComponent)
pt | SetAnchors (TControl)
pt | SetAutoScroll (TScrollingWinControl)
pt | SetAutoScroll (TCustomForm)
pt | SetAutoSize (TControl)
pt | SetAutoSize (TScrollingWinControl)
pt | SetAutoSize (TCustomForm)
pt | SetBiDiMode (TControl)
pt | SetBorderStyle (TWinControl)
 | SetBounds (TControl)
 | SetBounds (TWinControl)
 | SetBoundsKeepBase (TControl)
 | SetChildOrder (TComponent)
pt | SetChildZPosition (TWinControl)
pt | SetColor (TControl)
pt | SetColor (TWinControl)
pt | SetColor (TCustomControl)
 | SetComponentIndex (TComponent)
 | SetControlIndex (TWinControl)
pt | SetCursor (TControl)
 | SetDesigning (TComponent)
 | SetDesignInstance (TComponent)
pt | SetDockManager (TWinControl)
pt | SetDragMode (TControl)
pt | SetEnabled (TControl)
 | SetFocus (TWinControl)
 | SetFocus (TCustomForm)
 | SetFocusedControl (TCustomForm)
pt | SetHint (TControl)
 | SetInitialBounds (TControl)
 | SetInline (TComponent)
 | SetName (TComponent)
pt | SetName (TControl)
pt | SetParent (TControl)
pt | SetParent (TCustomForm)
pt | SetParentBackground (TWinControl)
pt | SetParentBiDiMode (TControl)
 | SetParentComponent (TComponent)
pt | SetParentComponent (TControl)
 | SetReference (TComponent)
 | SetRestoredBounds (TCustomForm)
pt | SetScaled (TCustomDesignControl)
pt | SetScaled (TCustomForm)
 | SetShape (TWinControl)
 | SetSubComponent (TComponent)
 | SetTempCursor (TControl)
 | SetTempCursor (TWinControl)
 | SetTextBuf (TControl)
pt | SetVisible (TControl)
pt | SetVisible (TCustomForm)
pt | SetZOrder (TControl)
pt | SetZOrder (TCustomForm)
 | ShouldAutoAdjust (TControl)
 | Show (TControl)
 | Show (TCustomForm)
pt | ShowControl (TWinControl)
 | ShowHelp (TControl)
 | ShowModal (TCustomForm)
 | ShowOnTop (TCustomForm)
 | SmallIconHandle (TCustomForm)
 | StringMessageTable (TObject)
pt | TextChanged (TControl)
 | Tile (TForm)
 | ToString (TObject)
pt | TripleClick (TControl)
 | UnitName (TObject)
 | UnlockRealizeBounds (TWinControl)
 | Update (TControl)
 | Update (TWinControl)
 | UpdateAction (TComponent)
pt | UpdateActions (TCustomForm)
pt | UpdateAnchorRules (TControl)
 | UpdateBaseBounds (TControl)
pt | UpdateControlState (TWinControl)
 | Updated (TComponent)
 | UpdateDockCaption (TWinControl)
 | UpdateDockCaption (TCustomForm)
pt | UpdateMouseCursor (TControl)
 | UpdateRegistry (TComponent)
 | UpdateRolesForForm (TControl)
 | UpdateScrollbars (TScrollingWinControl)
pt | UpdateShowing (TWinControl)
pt | UpdateShowing (TCustomForm)
pt | UpdateWindowState (TCustomForm)
 | Updating (TComponent)
 | UseRightToLeftAlignment (TControl)
 | UseRightToLeftReading (TControl)
 | UseRightToLeftScrollBar (TControl)
pt | UTF8KeyPress (TWinControl)
 | ValidateContainer (TComponent)
 | ValidateInsert (TComponent)
 | ValidateRename (TComponent)
pt | VisibleChanged (TControl)
pt | VisibleChanged (TCustomForm)
pt | VisibleChanging (TControl)
pt | VisibleChanging (TCustomForm)
pt | VisibleIsStored (TCustomForm)
 | WantChildKey (TCustomForm)
pt | WidthIsAnchored (TControl)
pt | WMActivate (TCustomForm)
pt | WMCancelMode (TControl)
pt | WMChar (TWinControl)
pt | WMCloseQuery (TCustomForm)
pt | WMContextMenu (TControl)
pt | WMContextMenu (TWinControl)
pt | WMDestroy (TWinControl)
pt | WMDPIChanged (TCustomForm)
pt | WMEnter (TWinControl)
pt | WMEraseBkgnd (TWinControl)
pt | WMExit (TWinControl)
pt | WMHelp (TCustomForm)
pt | WMHScroll (TScrollingWinControl)
pt | WMKeyDown (TWinControl)
pt | WMKeyUp (TWinControl)
pt | WMKillFocus (TWinControl)
pt | WMLButtonDBLCLK (TControl)
pt | WMLButtonDown (TControl)
pt | WMLButtonQuadCLK (TControl)
pt | WMLButtonTripleCLK (TControl)
pt | WMLButtonUp (TControl)
pt | WMMButtonDBLCLK (TControl)
pt | WMMButtonDown (TControl)
pt | WMMButtonQuadCLK (TControl)
pt | WMMButtonTripleCLK (TControl)
pt | WMMButtonUp (TControl)
pt | WMMouseHWheel (TControl)
pt | WMMouseMove (TControl)
pt | WMMouseWheel (TControl)
pt | WMMove (TControl)
pt | WMMove (TWinControl)
pt | WMMove (TCustomForm)
pt | WMNotify (TWinControl)
pt | WMPaint (TWinControl)
pt | WMPaint (TCustomControl)
pt | WMRButtonDBLCLK (TControl)
pt | WMRButtonDown (TControl)
pt | WMRButtonQuadCLK (TControl)
pt | WMRButtonTripleCLK (TControl)
pt | WMRButtonUp (TControl)
pt | WMSetFocus (TWinControl)
pt | WMShowWindow (TWinControl)
pt | WMShowWindow (TCustomForm)
pt | WMSize (TControl)
pt | WMSize (TWinControl)
pt | WMSize (TScrollingWinControl)
pt | WMSize (TCustomForm)
pt | WMSysChar (TWinControl)
pt | WMSysKeyDown (TWinControl)
pt | WMSysKeyUp (TWinControl)
pt | WMVScroll (TScrollingWinControl)
pt | WMWindowPosChanged (TControl)
pt | WMWindowPosChanged (TWinControl)
pt | WMWindowPosChanged (TCustomForm)
pt | WMXButtonDBLCLK (TControl)
pt | WMXButtonDown (TControl)
pt | WMXButtonQuadCLK (TControl)
pt | WMXButtonTripleCLK (TControl)
pt | WMXButtonUp (TControl)
pt | WndProc (TControl)
pt | WndProc (TWinControl)
pt | WndProc (TCustomForm)
 | WriteLayoutDebugReport (TControl)
 | WriteLayoutDebugReport (TWinControl)
 | WriteLeft (TComponent)
 | WriteState (TComponent)
 | WriteTop (TComponent)
pt | WSRegisterClass (TLCLComponent)
pt | WSRegisterClass (TControl)
pt | WSRegisterClass (TWinControl)
pt | WSRegisterClass (TCustomControl)
pt | WSRegisterClass (TScrollingWinControl)
pt | WSRegisterClass (TCustomForm)
pt | WSSetText (TWinControl)
 | _AddRef (TComponent)
 | _Release (TComponent)


TForm
pl | ro | OnActivate
pl | ro | OnChangeBounds
pl | ro | OnClick
pl | ro | OnClose
pl | ro | OnCloseQuery
pl | ro | OnConstrainedResize
pl | ro | OnContextPopup
pl | ro | OnCreate
pl | ro | OnDblClick
pl | ro | OnDeactivate
pl | ro | OnDestroy
pl | ro | OnDockDrop
pl | ro | OnDockOver
pl | ro | OnDragDrop
pl | ro | OnDragOver
pl | ro | OnDropFiles
pl | ro | OnEndDock
pl | ro | OnGetSiteInfo
pl | ro | OnHelp
pl | ro | OnHide
pl | ro | OnKeyDown
pl | ro | OnKeyPress
pl | ro | OnKeyUp
pl | ro | OnMouseDown
pl | ro | OnMouseEnter
pl | ro | OnMouseLeave
pl | ro | OnMouseMove
pl | ro | OnMouseUp
pl | ro | OnMouseWheel
pl | ro | OnMouseWheelDown
pl | ro | OnMouseWheelUp
pl | ro | OnMouseWheelHorz
pl | ro | OnMouseWheelLeft
pl | ro | OnMouseWheelRight
pl | ro | OnPaint
pl | ro | OnResize
pl | ro | OnShortCut
pl | ro | OnShow
pl | ro | OnShowHint
pl | ro | OnStartDock
pl | ro | OnUnDock
pl | ro | OnUTF8KeyPress
pl | ro | OnWindowStateChange
TCustomForm
 |  | OnActivate
 |  | OnClose
 |  | OnCloseQuery
 |  | OnCreate
 |  | OnDeactivate
 |  | OnDestroy
 |  | OnDropFiles
 |  | OnHelp
 |  | OnHide
 | ro | OnResize
 |  | OnShortcut
 |  | OnShow
 |  | OnShowModalFinished
 |  | OnWindowStateChange
TCustomDesignControl
TScrollingWinControl
TCustomControl
 |  | OnPaint
TWinControl
pt |  | OnGetSiteInfo
pt |  | OnGetDockCaption
 |  | OnAlignInsertBefore
 |  | OnAlignPosition
 |  | OnDockDrop
 |  | OnDockOver
 |  | OnEnter
 |  | OnExit
 |  | OnKeyDown
 |  | OnKeyPress
 |  | OnKeyUp
 |  | OnUnDock
 |  | OnUTF8KeyPress
TControl
pt |  | OnConstrainedResize
pt |  | OnContextPopup
pt |  | OnDblClick
pt |  | OnTripleClick
pt |  | OnQuadClick
pt |  | OnDragDrop
pt |  | OnDragOver
pt |  | OnEndDock
pt |  | OnEndDrag
pt |  | OnMouseDown
pt |  | OnMouseMove
pt |  | OnMouseUp
pt |  | OnMouseEnter
pt |  | OnMouseLeave
pt |  | OnMouseWheel
pt |  | OnMouseWheelDown
pt |  | OnMouseWheelUp
pt |  | OnMouseWheelHorz
pt |  | OnMouseWheelLeft
pt |  | OnMouseWheelRight
pt |  | OnStartDock
pt |  | OnStartDrag
pt |  | OnEditingDone
 |  | OnChangeBounds
 |  | OnClick
 |  | OnResize
 |  | OnShowHint
TLCLComponent
TComponent
TPersistent
TObject


TForm.Cascade

Arranges MDI child forms so they overlap.

Declaration

Source position: forms.pp line 761

public procedure TForm.Cascade;


TForm.DesignTimePPI

Declaration

Source position: forms.pp line 793

published property TForm.DesignTimePPI : Integer;


TForm.DoubleBuffered

Declaration

Source position: forms.pp line 795

published property TForm.DoubleBuffered : Boolean;


TForm.LCLVersion

The version of the LCL as string. Used to distinguish form streams of different versions.

Declaration

Source position: forms.pp line 860

published property TForm.LCLVersion : string
  read FLCLVersion
  write FLCLVersion
  stored LCLVersionIsStored;


TForm.Next

Activates the next child MDI form (fsMDIChild) in the form sequence.

Declaration

Source position: forms.pp line 763

public procedure TForm.Next;


TForm.OnConstrainedResize

Declaration

Source position: forms.pp line 810

published property TForm.OnConstrainedResize : TConstrainedResizeEvent;


TForm.OnMouseWheelHorz

Declaration

Source position: forms.pp line 836

published property TForm.OnMouseWheelHorz : TMouseWheelEvent;


TForm.OnMouseWheelLeft

Declaration

Source position: forms.pp line 837

published property TForm.OnMouseWheelLeft : TMouseWheelUpDownEvent;


TForm.OnMouseWheelRight

Declaration

Source position: forms.pp line 838

published property TForm.OnMouseWheelRight : TMouseWheelUpDownEvent;


TForm.ParentDoubleBuffered

Declaration

Source position: forms.pp line 849

published property TForm.ParentDoubleBuffered : Boolean;


TForm.Previous

Activates the previous MDI child form in the form sequence.

Declaration

Source position: forms.pp line 765

public procedure TForm.Previous;


TForm.Scaled

Declaration

Source position: forms.pp line 861

published property TForm.Scaled : Boolean;


TForm.Tile

Arranges MDI child forms side by side.

Declaration

Source position: forms.pp line 767

public procedure TForm.Tile;


TFormClass

Class of TForm

Declaration

Source position: forms.pp line 866

type TFormClass = class of TForm;


TFormHandlerType

TForm Notification handler types.

Declaration

Source position: forms.pp line 419

type TFormHandlerType = (
fhtFirstShow, | Notified on first form Show.
fhtClose, | Notified on form Close.
fhtCreate | Notified after form Create.
);


TFormPropertyStorage

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

TFormPropertyStorage - class for storage of a Form's properties

Declaration

Source position: forms.pp line 1794

type TFormPropertyStorage = class(TControlPropertyStorage)

public

  constructor Create(); override;

  destructor Destroy; override;

end;

Inheritance

TFormPropertyStorage | TFormPropertyStorage - class for storage of a Form's properties
|
TControlPropertyStorage |
|
TCustomPropertyStorage | Provides abstract means to Save/Restore properties.
|
TComponent,IUnknown,IInterfaceComponentReference
|
TPersistent,IFPObserved
|
TObject


TFormPropertyStorage
TControlPropertyStorage
TCustomPropertyStorage
 |  | StoredValue
 | ro | Root
 |  | Active
 |  | StoredValues
TComponent
 | ro | ComObject
 | ro | Components
 | ro | ComponentCount
 |  | ComponentIndex
 | ro | ComponentState
 | ro | ComponentStyle
 |  | DesignInfo
 | ro | Owner
 |  | VCLComObject
 |  | Name
 |  | Tag
TPersistent
TObject


TFormPropertyStorage
 | Create
 | Destroy
TControlPropertyStorage
pt | GetPropertyList
TCustomPropertyStorage
pt | GetRoot
pt | RootSection
pt | SaveProperties
pt | RestoreProperties
pt | GetPropertyList
pt | FinishPropertyList
pt | DoReadInteger
pt | DoReadString
pt | DoWriteString
pt | DoWriteInteger
pt | DoEraseSections
 | Create
 | Destroy
 | Save
 | Restore
 | StorageNeeded
 | FreeStorage
 | ReadBoolean
 | ReadString
 | ReadInteger
 | ReadRect
 | ReadStrings
 | WriteString
 | WriteInteger
 | WriteBoolean
 | WriteRect
 | WriteStrings
 | EraseSections
TComponent
 | GetComObject
 | GetComponent
 | GetComponentCount
 | GetComponentIndex
 | Insert
 | ReadLeft
 | ReadTop
 | Remove
 | RemoveNotification
 | SetComponentIndex
 | SetReference
 | WriteLeft
 | WriteTop
 | ChangeName
 | DefineProperties
 | GetChildren
 | GetChildOwner
 | GetChildParent
 | GetOwner
 | Loaded
 | Loading
 | Notification
 | PaletteCreated
 | ReadState
 | SetAncestor
 | SetDesigning
 | SetDesignInstance
 | SetInline
 | SetName
 | SetChildOrder
 | SetParentComponent
 | Updating
 | Updated
 | UpdateRegistry
 | ValidateRename
 | ValidateContainer
 | ValidateInsert
 | QueryInterface
 | _AddRef
 | _Release
 | iicrGetComponent
 | GetTypeInfoCount
 | GetTypeInfo
 | GetIDsOfNames
 | Invoke
 | WriteState
 | Create
 | Destroy
 | BeforeDestruction
 | DestroyComponents
 | Destroying
 | ExecuteAction
 | FindComponent
 | FreeNotification
 | RemoveFreeNotification
 | FreeOnRelease
 | GetEnumerator
 | GetNamePath
 | GetParentComponent
 | HasParent
 | InsertComponent
 | RemoveComponent
 | SafeCallException
 | SetSubComponent
 | UpdateAction
 | IsImplementorOf
 | ReferenceInterface
TPersistent
 | AssignError
 | AssignTo
 | DefineProperties
 | GetOwner
 | Destroy
 | Assign
 | FPOAttachObserver
 | FPODetachObserver
 | FPONotifyObservers
 | GetNamePath
TObject
 | Create
 | Destroy
 | newinstance
 | FreeInstance
 | SafeCallException
 | DefaultHandler
 | Free
 | InitInstance
 | CleanupInstance
 | ClassType
 | ClassInfo
 | ClassName
 | ClassNameIs
 | ClassParent
 | InstanceSize
 | InheritsFrom
 | StringMessageTable
 | MethodAddress
 | MethodName
 | FieldAddress
 | AfterConstruction
 | BeforeDestruction
 | DefaultHandlerStr
 | Dispatch
 | DispatchStr
 | GetInterface
 | GetInterfaceByStr
 | GetInterfaceWeak
 | GetInterfaceEntry
 | GetInterfaceEntryByStr
 | GetInterfaceTable
 | UnitName
 | Equals
 | GetHashCode
 | ToString


 | AssignError (TPersistent)
 | AssignTo (TPersistent)
 | BeforeDestruction (TObject)
 | BeforeDestruction (TComponent)
 | ChangeName (TComponent)
 | ClassInfo (TObject)
 | ClassName (TObject)
 | ClassNameIs (TObject)
 | ClassParent (TObject)
 | ClassType (TObject)
 | CleanupInstance (TObject)
 | Create (TObject)
 | Create (TComponent)
 | Create (TCustomPropertyStorage)
 | Create (TFormPropertyStorage)
 | DefaultHandler (TObject)
 | DefaultHandlerStr (TObject)
 | DefineProperties (TPersistent)
 | DefineProperties (TComponent)
 | Destroy (TObject)
 | Destroy (TPersistent)
 | Destroy (TComponent)
 | Destroy (TCustomPropertyStorage)
 | Destroy (TFormPropertyStorage)
 | DestroyComponents (TComponent)
 | Destroying (TComponent)
 | Dispatch (TObject)
 | DispatchStr (TObject)
pt | DoEraseSections (TCustomPropertyStorage)
pt | DoReadInteger (TCustomPropertyStorage)
pt | DoReadString (TCustomPropertyStorage)
pt | DoWriteInteger (TCustomPropertyStorage)
pt | DoWriteString (TCustomPropertyStorage)
 | Equals (TObject)
 | EraseSections (TCustomPropertyStorage)
 | ExecuteAction (TComponent)
 | FieldAddress (TObject)
 | FindComponent (TComponent)
pt | FinishPropertyList (TCustomPropertyStorage)
 | FPOAttachObserver (TPersistent)
 | FPODetachObserver (TPersistent)
 | FPONotifyObservers (TPersistent)
 | Free (TObject)
 | FreeInstance (TObject)
 | FreeNotification (TComponent)
 | FreeOnRelease (TComponent)
 | FreeStorage (TCustomPropertyStorage)
 | GetChildOwner (TComponent)
 | GetChildParent (TComponent)
 | GetChildren (TComponent)
 | GetComObject (TComponent)
 | GetComponent (TComponent)
 | GetComponentCount (TComponent)
 | GetComponentIndex (TComponent)
 | GetEnumerator (TComponent)
 | GetHashCode (TObject)
 | GetIDsOfNames (TComponent)
 | GetInterface (TObject)
 | GetInterfaceByStr (TObject)
 | GetInterfaceEntry (TObject)
 | GetInterfaceEntryByStr (TObject)
 | GetInterfaceTable (TObject)
 | GetInterfaceWeak (TObject)
 | GetNamePath (TPersistent)
 | GetNamePath (TComponent)
 | GetOwner (TPersistent)
 | GetOwner (TComponent)
 | GetParentComponent (TComponent)
pt | GetPropertyList (TCustomPropertyStorage)
pt | GetPropertyList (TControlPropertyStorage)
pt | GetRoot (TCustomPropertyStorage)
 | GetTypeInfo (TComponent)
 | GetTypeInfoCount (TComponent)
 | HasParent (TComponent)
 | iicrGetComponent (TComponent)
 | InheritsFrom (TObject)
 | InitInstance (TObject)
 | Insert (TComponent)
 | InsertComponent (TComponent)
 | InstanceSize (TObject)
 | Invoke (TComponent)
 | IsImplementorOf (TComponent)
 | Loaded (TComponent)
 | Loading (TComponent)
 | MethodAddress (TObject)
 | MethodName (TObject)
 | newinstance (TObject)
 | Notification (TComponent)
 | PaletteCreated (TComponent)
 | QueryInterface (TComponent)
 | ReadBoolean (TCustomPropertyStorage)
 | ReadInteger (TCustomPropertyStorage)
 | ReadLeft (TComponent)
 | ReadRect (TCustomPropertyStorage)
 | ReadState (TComponent)
 | ReadString (TCustomPropertyStorage)
 | ReadStrings (TCustomPropertyStorage)
 | ReadTop (TComponent)
 | ReferenceInterface (TComponent)
 | Remove (TComponent)
 | RemoveComponent (TComponent)
 | RemoveFreeNotification (TComponent)
 | RemoveNotification (TComponent)
 | Restore (TCustomPropertyStorage)
pt | RestoreProperties (TCustomPropertyStorage)
pt | RootSection (TCustomPropertyStorage)
 | SafeCallException (TObject)
 | SafeCallException (TComponent)
 | Save (TCustomPropertyStorage)
pt | SaveProperties (TCustomPropertyStorage)
 | SetAncestor (TComponent)
 | SetChildOrder (TComponent)
 | SetComponentIndex (TComponent)
 | SetDesigning (TComponent)
 | SetDesignInstance (TComponent)
 | SetInline (TComponent)
 | SetName (TComponent)
 | SetParentComponent (TComponent)
 | SetReference (TComponent)
 | SetSubComponent (TComponent)
 | StorageNeeded (TCustomPropertyStorage)
 | StringMessageTable (TObject)
 | ToString (TObject)
 | UnitName (TObject)
 | UpdateAction (TComponent)
 | Updated (TComponent)
 | UpdateRegistry (TComponent)
 | Updating (TComponent)
 | ValidateContainer (TComponent)
 | ValidateInsert (TComponent)
 | ValidateRename (TComponent)
 | WriteBoolean (TCustomPropertyStorage)
 | WriteInteger (TCustomPropertyStorage)
 | WriteLeft (TComponent)
 | WriteRect (TCustomPropertyStorage)
 | WriteState (TComponent)
 | WriteString (TCustomPropertyStorage)
 | WriteStrings (TCustomPropertyStorage)
 | WriteTop (TComponent)
 | _AddRef (TComponent)
 | _Release (TComponent)


TFormPropertyStorage
TControlPropertyStorage
TCustomPropertyStorage
 | OnSavingProperties
 | OnSaveProperties
 | OnRestoringProperties
 | OnRestoreProperties
 | OnSaveException
TComponent
TPersistent
TObject


TFrame

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Frames can be designed like Forms and used like custom controls, without much coding or installation in the IDE.

Declaration

Source position: forms.pp line 319

type TFrame = class(TCustomFrame)
public
constructor Create(); override;
published
property Align: TAlign; | Specifies the placement of the control inside its Parent.
property Anchors: TAnchors; | The set of anchor definitions for this control.
property AutoScroll: Boolean; | Allows to show ScrollBars only if needed (when True).
property AutoSize: Boolean; | Allows to automatically adjust the size of the control, according to its content.
property BiDiMode: TBiDiMode; | Customization (of text controls) in bidirectional reading environments.
property BorderSpacing: TControlBorderSpacing; | Determines the inner and outer border spacing for this control.
property ChildSizing: TControlChildSizing; | Parameters for child control arrangement and spacing.
property ClientHeight: Integer; | The height of the client area of the control.
property ClientWidth: Integer; | The width of the client area of the control.
property Color: TColor; | The background color of the control.
property Constraints: TSizeConstraints; | The minimal and maximal Width and Height of this control.
property DesignTimePPI: Integer;
property DockSite: Boolean; | Allows to drag-dock other controls into this control.
property DragCursor: TCursor; | The cursor shape shown while the control is dragged.
property DragKind: TDragKind; | The operation when the control is dragged - Drag or Dock.
property DragMode: TDragMode; | Allows the user to drag the control.
property Enabled: Boolean; | Determines whether the control reacts on mouse or keyboard input.
property Font: TFont; | The font to be used for text display in this control.
property LCLVersion: string; [rws] | LCL version string
property OnClick: TNotifyEvent; | Notification handler for mouse clicks.
property OnConstrainedResize: TConstrainedResizeEvent; | This handler can supply specific Constraints (size limits), when the control is resized.
property OnContextPopup: TContextPopupEvent; | Invoked when a context-sensitive pop-up menu is requested.
property OnDblClick: TNotifyEvent; | Event Handler for double mouse clicks.
property OnDockDrop: TDockDropEvent; | Notification handler for the drop of a control to be docked.
property OnDockOver: TDockOverEvent; | Event handler for moves of a control over this docksite. Determines acceptance or rejection of an possible drop.
property OnDragDrop: TDragDropEvent; | This handler determines the action on an drop onto this control, in a drag-drop operation.
property OnDragOver: TDragOverEvent; | Event handler for a control being dragged over this control.
property OnEndDock: TEndDragEvent; | Notification handler for the end of a docking operation.
property OnEndDrag: TEndDragEvent; | Notification handler for the end of a dragging operation.
property OnEnter: TNotifyEvent; | Handler for control receiving the focus.
property OnExit: TNotifyEvent; | Handler for control loosing the focus. This is a good place for checking the finished user input.
property OnGetSiteInfo: TGetSiteInfoEvent; | Provides information about the DockSite.
property OnMouseDown: TMouseEvent; | Event handler for mouse button going down.
property OnMouseEnter: TNotifyEvent; | Event handler for mouse entering the area of the control.
property OnMouseLeave: TNotifyEvent; | Event handler for mouse leaving the area of the control.
property OnMouseMove: TMouseMoveEvent; | Event handler for mouse movement within the control.
property OnMouseUp: TMouseEvent; | Event handler for mouse button going up.
property OnMouseWheel: TMouseWheelEvent; | Event handler for mouse wheel turned.
property OnMouseWheelDown: TMouseWheelUpDownEvent; | Notification handler for downward movement of mouse wheel.
property OnMouseWheelUp: TMouseWheelUpDownEvent; | Notification handler for upward movement of mouse wheel.
property OnMouseWheelHorz: TMouseWheelEvent;
property OnMouseWheelLeft: TMouseWheelUpDownEvent;
property OnMouseWheelRight: TMouseWheelUpDownEvent;
property OnResize: TNotifyEvent; | Notification handler for a resize of the control.
property OnStartDock: TStartDockEvent; | Event handler for the start of a docking operation.
property OnStartDrag: TStartDragEvent; | Event handler for the start of a dragging operation.
property OnUnDock: TUnDockEvent; | Event handler for control being undocked from this DockSite.
property ParentBiDiMode: Boolean; | Allows to use the BiDiMode settings of Parent. Default is true.
property ParentColor: Boolean; | If true, the Color of the control will be the same as the one from the Parent. Default is true.
property ParentFont: Boolean; | If true, the Font of the control will be the same as the one from the Parent. Default is true.
property ParentShowHint: Boolean; | If true, the value of ShowHint for the control will be the same as the one from the Parent. Default is true.
property PopupMenu: TPopupMenu; | A context-sensitive menu that pops up when the right mouse button is clicked over this control
property Scaled: Boolean;
property ShowHint: Boolean; | Enables the Hint display.
property TabOrder: TTabOrder; | Determines the sequence of controls, reachable when the user presses the Tab key.
property TabStop: Boolean; | Allows the user to navigate to this control, by pressing the Tab key.
property Visible: Boolean; | Allows to show or hide the control, and all of its children.
end;

Inheritance

TFrame | Frames can be designed like Forms and used like custom controls, without much coding or installation in the IDE.
|
TCustomFrame | The base type for TFrame.
|
TCustomDesignControl
|
TScrollingWinControl | Class of a windowed control with incorporated scroll bars.
|
TCustomControl | The base class for windowed controls which paint themselves.
|
TWinControl | The base class for controls which can contain other (child) controls.
|
TControl | The base class for visible controls.
|
TLCLComponent | The base class for LCL components associated with widgets.
|
TComponent,IUnknown,IInterfaceComponentReference
|
TPersistent,IFPObserved
|
TObject


TFrame
pl | ro | Align
pl | ro | Anchors
pl | ro | AutoScroll
pl | ro | AutoSize
pl | ro | BiDiMode
pl | ro | BorderSpacing
pl | ro | ChildSizing
pl | ro | ClientHeight
pl | ro | ClientWidth
pl | ro | Color
pl | ro | Constraints
pl | ro | DesignTimePPI
pl | ro | DockSite
pl | ro | DragCursor
pl | ro | DragKind
pl | ro | DragMode
pl | ro | Enabled
pl | ro | Font
pl |  | LCLVersion
pl | ro | ParentBiDiMode
pl | ro | ParentColor
pl | ro | ParentFont
pl | ro | ParentShowHint
pl | ro | PopupMenu
pl | ro | Scaled
pl | ro | ShowHint
pl | ro | TabOrder
pl | ro | TabStop
pl | ro | Visible
TCustomFrame
TCustomDesignControl
 |  | DesignTimePPI
 |  | PixelsPerInch
 |  | Scaled
TScrollingWinControl
pt |  | AutoScroll
pl |  | HorzScrollBar
pl |  | VertScrollBar
TCustomControl
 |  | Canvas
 | ro | BorderStyle
TWinControl
pt |  | WindowHandle
pt |  | BorderStyle
pt |  | ParentBackground
 |  | BorderWidth
 | ro | BoundsLockCount
 | ro | Brush
 | ro | CachedClientHeight
 | ro | CachedClientWidth
 |  | ChildSizing
 | ro | ControlCount
 | ro | Controls
 |  | DefWndProc
 | ro | DockClientCount
 | ro | DockClients
 |  | DockManager
 |  | DockSite
 |  | DoubleBuffered
 |  | Handle
 | ro | IsFlipped
 | ro | IsResizing
 |  | TabOrder
 |  | TabStop
 |  | ParentDoubleBuffered
 |  | ParentWindow
 | ro | Showing
 |  | UseDockManager
 |  | DesignerDeleting
 | ro | VisibleDockClientCount
TControl
pt | ro | AutoSizing
pt | ro | AutoSizingAll
pt | ro | AutoSizingLockCount
pt |  | ActionLink
pt |  | DesktopFont
pt |  | DragCursor
pt |  | DragKind
pt |  | DragMode
pt |  | MouseCapture
pt |  | ParentColor
pt |  | ParentFont
pt |  | ParentShowHint
pt |  | SessionProperties
pt |  | Text
 | ro | AnchoredControls
 | ro | BaseBounds
 | ro | ReadBounds
 | ro | BaseParentClientSize
 |  | AccessibleDescription
 |  | AccessibleValue
 |  | AccessibleRole
 |  | Action
 |  | Align
 |  | Anchors
 | ro | AnchorSide
 |  | AutoSize
 |  | BorderSpacing
 |  | BoundsRect
 |  | BoundsRectForNewParent
 |  | Caption
 |  | CaptureMouseButtons
 |  | ClientHeight
 | ro | ClientOrigin
 | ro | ClientRect
 |  | ClientWidth
 |  | Color
 |  | Constraints
 | ro | ControlOrigin
 |  | ControlState
 |  | ControlStyle
 |  | Enabled
 |  | Font
 |  | IsControl
 | ro | MouseEntered
 | ro | MouseInClient
 |  | Parent
 |  | PopupMenu
 |  | ShowHint
 |  | Visible
 |  | WindowProc
 |  | DockOrientation
 | ro | Floating
 |  | FloatingDockSiteClass
 |  | HostDockSite
 |  | LRDockWidth
 |  | TBDockHeight
 |  | UndockHeight
 |  | UndockWidth
 |  | BiDiMode
 |  | ParentBiDiMode
pl |  | AnchorSideLeft
pl |  | AnchorSideTop
pl |  | AnchorSideRight
pl |  | AnchorSideBottom
pl |  | Cursor
pl |  | Left
pl |  | Height
pl |  | Hint
pl |  | Top
pl |  | Width
pl |  | HelpType
pl |  | HelpKeyword
pl |  | HelpContext
TLCLComponent
 | ro | LCLRefCount
 | ro | WidgetSetClass
TComponent
 | ro | ComObject
 | ro | Components
 | ro | ComponentCount
 |  | ComponentIndex
 | ro | ComponentState
 | ro | ComponentStyle
 |  | DesignInfo
 | ro | Owner
 |  | VCLComObject
 |  | Name
 |  | Tag
TPersistent
TObject


 |  | AccessibleDescription (TControl)
 |  | AccessibleRole (TControl)
 |  | AccessibleValue (TControl)
 |  | Action (TControl)
pt |  | ActionLink (TControl)
 |  | Align (TControl)
pl | ro | Align (TFrame)
 | ro | AnchoredControls (TControl)
 |  | Anchors (TControl)
pl | ro | Anchors (TFrame)
 | ro | AnchorSide (TControl)
pl |  | AnchorSideBottom (TControl)
pl |  | AnchorSideLeft (TControl)
pl |  | AnchorSideRight (TControl)
pl |  | AnchorSideTop (TControl)
pt |  | AutoScroll (TScrollingWinControl)
pl | ro | AutoScroll (TFrame)
 |  | AutoSize (TControl)
pl | ro | AutoSize (TFrame)
pt | ro | AutoSizing (TControl)
pt | ro | AutoSizingAll (TControl)
pt | ro | AutoSizingLockCount (TControl)
 | ro | BaseBounds (TControl)
 | ro | BaseParentClientSize (TControl)
 |  | BiDiMode (TControl)
pl | ro | BiDiMode (TFrame)
 |  | BorderSpacing (TControl)
pl | ro | BorderSpacing (TFrame)
pt |  | BorderStyle (TWinControl)
 | ro | BorderStyle (TCustomControl)
 |  | BorderWidth (TWinControl)
 | ro | BoundsLockCount (TWinControl)
 |  | BoundsRect (TControl)
 |  | BoundsRectForNewParent (TControl)
 | ro | Brush (TWinControl)
 | ro | CachedClientHeight (TWinControl)
 | ro | CachedClientWidth (TWinControl)
 |  | Canvas (TCustomControl)
 |  | Caption (TControl)
 |  | CaptureMouseButtons (TControl)
 |  | ChildSizing (TWinControl)
pl | ro | ChildSizing (TFrame)
 |  | ClientHeight (TControl)
pl | ro | ClientHeight (TFrame)
 | ro | ClientOrigin (TControl)
 | ro | ClientRect (TControl)
 |  | ClientWidth (TControl)
pl | ro | ClientWidth (TFrame)
 |  | Color (TControl)
pl | ro | Color (TFrame)
 | ro | ComObject (TComponent)
 | ro | ComponentCount (TComponent)
 |  | ComponentIndex (TComponent)
 | ro | Components (TComponent)
 | ro | ComponentState (TComponent)
 | ro | ComponentStyle (TComponent)
 |  | Constraints (TControl)
pl | ro | Constraints (TFrame)
 | ro | ControlCount (TWinControl)
 | ro | ControlOrigin (TControl)
 | ro | Controls (TWinControl)
 |  | ControlState (TControl)
 |  | ControlStyle (TControl)
pl |  | Cursor (TControl)
 |  | DefWndProc (TWinControl)
 |  | DesignerDeleting (TWinControl)
 |  | DesignInfo (TComponent)
 |  | DesignTimePPI (TCustomDesignControl)
pl | ro | DesignTimePPI (TFrame)
pt |  | DesktopFont (TControl)
 | ro | DockClientCount (TWinControl)
 | ro | DockClients (TWinControl)
 |  | DockManager (TWinControl)
 |  | DockOrientation (TControl)
 |  | DockSite (TWinControl)
pl | ro | DockSite (TFrame)
 |  | DoubleBuffered (TWinControl)
pt |  | DragCursor (TControl)
pl | ro | DragCursor (TFrame)
pt |  | DragKind (TControl)
pl | ro | DragKind (TFrame)
pt |  | DragMode (TControl)
pl | ro | DragMode (TFrame)
 |  | Enabled (TControl)
pl | ro | Enabled (TFrame)
 | ro | Floating (TControl)
 |  | FloatingDockSiteClass (TControl)
 |  | Font (TControl)
pl | ro | Font (TFrame)
 |  | Handle (TWinControl)
pl |  | Height (TControl)
pl |  | HelpContext (TControl)
pl |  | HelpKeyword (TControl)
pl |  | HelpType (TControl)
pl |  | Hint (TControl)
pl |  | HorzScrollBar (TScrollingWinControl)
 |  | HostDockSite (TControl)
 |  | IsControl (TControl)
 | ro | IsFlipped (TWinControl)
 | ro | IsResizing (TWinControl)
 | ro | LCLRefCount (TLCLComponent)
pl |  | LCLVersion (TFrame)
pl |  | Left (TControl)
 |  | LRDockWidth (TControl)
pt |  | MouseCapture (TControl)
 | ro | MouseEntered (TControl)
 | ro | MouseInClient (TControl)
 |  | Name (TComponent)
 | ro | Owner (TComponent)
 |  | Parent (TControl)
pt |  | ParentBackground (TWinControl)
 |  | ParentBiDiMode (TControl)
pl | ro | ParentBiDiMode (TFrame)
pt |  | ParentColor (TControl)
pl | ro | ParentColor (TFrame)
 |  | ParentDoubleBuffered (TWinControl)
pt |  | ParentFont (TControl)
pl | ro | ParentFont (TFrame)
pt |  | ParentShowHint (TControl)
pl | ro | ParentShowHint (TFrame)
 |  | ParentWindow (TWinControl)
 |  | PixelsPerInch (TCustomDesignControl)
 |  | PopupMenu (TControl)
pl | ro | PopupMenu (TFrame)
 | ro | ReadBounds (TControl)
 |  | Scaled (TCustomDesignControl)
pl | ro | Scaled (TFrame)
pt |  | SessionProperties (TControl)
 |  | ShowHint (TControl)
pl | ro | ShowHint (TFrame)
 | ro | Showing (TWinControl)
 |  | TabOrder (TWinControl)
pl | ro | TabOrder (TFrame)
 |  | TabStop (TWinControl)
pl | ro | TabStop (TFrame)
 |  | Tag (TComponent)
 |  | TBDockHeight (TControl)
pt |  | Text (TControl)
pl |  | Top (TControl)
 |  | UndockHeight (TControl)
 |  | UndockWidth (TControl)
 |  | UseDockManager (TWinControl)
 |  | VCLComObject (TComponent)
pl |  | VertScrollBar (TScrollingWinControl)
 |  | Visible (TControl)
pl | ro | Visible (TFrame)
 | ro | VisibleDockClientCount (TWinControl)
 | ro | WidgetSetClass (TLCLComponent)
pl |  | Width (TControl)
pt |  | WindowHandle (TWinControl)
 |  | WindowProc (TControl)


TFrame
 | Create
TCustomFrame
pt | WSRegisterClass
pt | Notification
pt | SetParent
pt | DefineProperties
pt | CalculatePreferredSize
 | Create
 | GetChildren
 | GetControlClassDefaultSize
TCustomDesignControl
pt | SetScaled
pt | DoAutoAdjustLayout
pt | Loaded
 | Create
 | AutoAdjustLayout
TScrollingWinControl
pt | WSRegisterClass
pt | AlignControls
pt | AutoScrollEnabled
pt | CalculateAutoRanges
pt | CreateWnd
pt | GetClientScrollOffset
pt | GetLogicalClientRect
pt | DoOnResize
pt | GetPreferredSizeClientFrame
pt | WMSize
pt | WMHScroll
pt | WMVScroll
pt | ComputeScrollbars
pt | SetAutoScroll
pt | Loaded
pt | Resizing
pt | SetAutoSize
 | Create
 | Destroy
 | ScreenToClient
 | ClientToScreen
 | UpdateScrollbars
 | GetControlClassDefaultSize
 | ScrollBy
 | ScrollInView
TCustomControl
pt | WSRegisterClass
pt | WMPaint
pt | DestroyWnd
pt | PaintWindow
pt | FontChanged
pt | SetColor
pt | Paint
 | Create
 | Destroy
TWinControl
pt | WSRegisterClass
pt | AdjustClientRect
pt | GetAdjustedLogicalClientRect
pt | AlignControls
pt | CustomAlignInsertBefore
pt | CustomAlignPosition
pt | DoAlignChildControls
pt | DoChildSizingChange
pt | InvalidatePreferredChildSizes
pt | CanTab
pt | IsClientHeightStored
pt | IsClientWidthStored
pt | DoSendShowHideToInterface
pt | ControlsAligned
pt | DoSendBoundsToInterface
pt | RealizeBounds
pt | RealizeBoundsRecursive
pt | InvalidateBoundsRealized
pt | CreateSubClass
pt | DoConstraintsChange
pt | DoSetBounds
pt | DoAutoSize
pt | DoAllAutoSize
pt | AllAutoSized
pt | CalculatePreferredSize
pt | GetPreferredSizeClientFrame
pt | GetChildren
pt | ChildClassAllowed
pt | PaintControls
pt | PaintHandler
pt | PaintWindow
pt | CreateBrush
pt | ScaleControls
pt | ChangeScale
pt | CMBiDiModeChanged
pt | CMBorderChanged
pt | CMDoubleBufferedChanged
pt | CMEnabledChanged
pt | CMParentDoubleBufferedChanged
pt | CMShowingChanged
pt | CMShowHintChanged
pt | CMVisibleChanged
pt | CMEnter
pt | CMExit
pt | WMContextMenu
pt | WMEraseBkgnd
pt | WMNotify
pt | WMSetFocus
pt | WMKillFocus
pt | WMShowWindow
pt | WMEnter
pt | WMExit
pt | WMKeyDown
pt | WMSysKeyDown
pt | WMKeyUp
pt | WMSysKeyUp
pt | WMChar
pt | WMSysChar
pt | WMPaint
pt | WMDestroy
pt | WMMove
pt | WMSize
pt | WMWindowPosChanged
pt | CNKeyDown
pt | CNSysKeyDown
pt | CNKeyUp
pt | CNSysKeyUp
pt | CNChar
pt | DoDragMsg
pt | DoDockClientMsg
pt | DoUndockClientMsg
pt | DoAddDockClient
pt | DockOver
pt | DoDockOver
pt | DoRemoveDockClient
pt | DoUnDock
pt | GetSiteInfo
pt | GetParentHandle
pt | GetTopParentHandle
pt | ReloadDockedControl
pt | CreateDockManager
pt | SetDockManager
pt | DoFloatMsg
pt | DoGetDockCaption
pt | DoEnter
pt | DoExit
pt | DoKeyDownBeforeInterface
pt | DoRemainingKeyDown
pt | DoRemainingKeyUp
pt | DoKeyPress
pt | DoUTF8KeyPress
pt | DoKeyUpBeforeInterface
pt | ChildKey
pt | SendDialogChar
pt | DialogChar
pt | ControlKeyDown
pt | ControlKeyUp
pt | KeyDown
pt | KeyDownBeforeInterface
pt | KeyDownAfterInterface
pt | KeyPress
pt | KeyUp
pt | KeyUpBeforeInterface
pt | KeyUpAfterInterface
pt | UTF8KeyPress
pt | FindNextControl
pt | SelectFirst
pt | RealGetText
pt | GetBorderStyle
pt | GetClientOrigin
pt | GetClientRect
pt | GetControlOrigin
pt | GetDeviceContext
pt | GetParentBackground
pt | IsControlMouseMsg
pt | CreateHandle
pt | CreateParams
pt | CreateWnd
pt | DestroyHandle
pt | DestroyWnd
pt | DoFlipChildren
pt | FinalizeWnd
pt | FixupTabList
pt | FontChanged
pt | InitializeWnd
pt | Loaded
pt | FormEndUpdated
pt | MainWndProc
pt | ParentFormHandleInitialized
pt | ChildHandlesCreated
pt | GetMouseCapture
pt | RealSetText
pt | RemoveFocus
pt | SendMoveSizeMessages
pt | SetBorderStyle
pt | SetColor
pt | SetChildZPosition
pt | SetParentBackground
pt | ShowControl
pt | UpdateControlState
pt | UpdateShowing
pt | WndProc
pt | WSSetText
 | AutoSizePhases
 | AutoSizeDelayed
 | AutoSizeDelayedReport
 | AutoSizeDelayedHandle
 | BeginUpdateBounds
 | EndUpdateBounds
 | LockRealizeBounds
 | UnlockRealizeBounds
 | ControlAtPos
 | ContainsControl
 | DoAdjustClientRectChange
 | InvalidateClientRectCache
 | ClientRectNeedsInterfaceUpdate
 | SetBounds
 | GetChildrenRect
 | DisableAlign
 | EnableAlign
 | ReAlign
 | ScrollBy_WS
 | ScrollBy
 | WriteLayoutDebugReport
 | AutoAdjustLayout
 | Create
 | CreateParented
 | CreateParentedControl
 | Destroy
 | DockDrop
 | CanFocus
 | CanSetFocus
 | GetControlIndex
 | SetControlIndex
 | Focused
 | PerformTab
 | FindChildControl
 | SelectNext
 | SetTempCursor
 | BroadCast
 | NotifyControls
 | DefaultHandler
 | GetTextLen
 | Invalidate
 | AddControl
 | InsertControl
 | RemoveControl
 | GetEnumeratorControls
 | GetEnumeratorControlsReverse
 | Repaint
 | Update
 | SetFocus
 | FlipChildren
 | ScaleBy
 | GetDockCaption
 | UpdateDockCaption
 | GetTabOrderList
 | HandleAllocated
 | ParentHandlesAllocated
 | HandleNeeded
 | BrushCreated
 | EraseBackground
 | IntfUTF8KeyPress
 | IntfGetDropFilesTarget
 | PaintTo
 | SetShape
TControl
pt | WSRegisterClass
pt | GetCursor
pt | SetCursor
pt | SetVisible
pt | DoOnParentHandleDestruction
pt | DoAutoSize
pt | DoAllAutoSize
pt | BeginAutoSizing
pt | EndAutoSizing
pt | AnchorSideChanged
pt | ForeignAnchorSideChanged
pt | SetAlign
pt | SetAnchors
pt | SetAutoSize
pt | BoundsChanged
pt | CreateControlBorderSpacing
pt | DoConstraintsChange
pt | DoBorderSpacingChange
pt | IsBorderSpacingInnerBorderStored
pt | IsCaptionStored
pt | SendMoveSizeMessages
pt | ConstrainedResize
pt | CalculatePreferredSize
pt | DoOnResize
pt | DoOnChangeBounds
pt | CheckOnChangeBounds
pt | Resize
pt | RequestAlign
pt | UpdateAnchorRules
pt | ChangeBounds
pt | DoSetBounds
pt | ScaleConstraints
pt | ChangeScale
pt | CanAutoSize
pt | SetBiDiMode
pt | SetParentBiDiMode
pt | IsAParentAligning
pt | GetClientOrigin
pt | GetClientRect
pt | GetLogicalClientRect
pt | GetScrolledClientRect
pt | GetClientScrollOffset
pt | GetControlOrigin
pt | IsClientHeightStored
pt | IsClientWidthStored
pt | WidthIsAnchored
pt | HeightIsAnchored
pt | WMCancelMode
pt | WMContextMenu
pt | WMLButtonDown
pt | WMRButtonDown
pt | WMMButtonDown
pt | WMXButtonDown
pt | WMLButtonDBLCLK
pt | WMRButtonDBLCLK
pt | WMMButtonDBLCLK
pt | WMXButtonDBLCLK
pt | WMLButtonTripleCLK
pt | WMRButtonTripleCLK
pt | WMMButtonTripleCLK
pt | WMXButtonTripleCLK
pt | WMLButtonQuadCLK
pt | WMRButtonQuadCLK
pt | WMMButtonQuadCLK
pt | WMXButtonQuadCLK
pt | WMMouseMove
pt | WMLButtonUp
pt | WMRButtonUp
pt | WMMButtonUp
pt | WMXButtonUp
pt | WMMouseWheel
pt | WMMouseHWheel
pt | WMMove
pt | WMSize
pt | WMWindowPosChanged
pt | CMChanged
pt | LMCaptureChanged
pt | CMBiDiModeChanged
pt | CMSysFontChanged
pt | CMEnabledChanged
pt | CMHitTest
pt | CMMouseEnter
pt | CMMouseLeave
pt | CMHintShow
pt | CMParentBiDiModeChanged
pt | CMParentColorChanged
pt | CMParentFontChanged
pt | CMParentShowHintChanged
pt | CMVisibleChanged
pt | CMTextChanged
pt | CMCursorChanged
pt | CalculateDockSizes
pt | CreateFloatingDockSite
pt | GetDockEdge
pt | GetDragImages
pt | GetFloating
pt | GetFloatingDockSiteClass
pt | BeforeDragStart
pt | BeginAutoDrag
pt | DoFloatMsg
pt | DockTrackNoTarget
pt | DoDock
pt | DoDragMsg
pt | DoEndDock
pt | DoEndDrag
pt | DoStartDock
pt | DoStartDrag
pt | DragCanceled
pt | DragOver
pt | PositionDockRect
pt | SetDragMode
pt | GetDefaultDockCaption
pt | Click
pt | DblClick
pt | TripleClick
pt | QuadClick
pt | GetMousePosFromMessage
pt | MouseDown
pt | MouseMove
pt | MouseUp
pt | MouseEnter
pt | MouseLeave
pt | DialogChar
pt | UpdateMouseCursor
pt | Changed
pt | GetPalette
pt | ChildClassAllowed
pt | ReadState
pt | Loaded
pt | LoadedAll
pt | DefineProperties
pt | AssignTo
pt | FormEndUpdated
pt | InvalidateControl
pt | FontChanged
pt | ParentFontChanged
pt | GetAction
pt | RealGetText
pt | RealSetText
pt | TextChanged
pt | GetCachedText
pt | SetAction
pt | SetColor
pt | SetEnabled
pt | SetHint
pt | SetName
pt | SetParent
pt | SetParentComponent
pt | WndProc
pt | ParentFormHandleInitialized
pt | GetMouseCapture
pt | CaptureChanged
pt | Notification
pt | CanTab
pt | GetDeviceContext
pt | GetEnabled
pt | GetPopupMenu
pt | DoOnShowHint
pt | DoMouseWheel
pt | DoMouseWheelDown
pt | DoMouseWheelUp
pt | DoMouseWheelHorz
pt | DoMouseWheelLeft
pt | DoMouseWheelRight
pt | VisibleChanging
pt | VisibleChanged
pt | EnabledChanging
pt | EnabledChanged
pt | AddHandler
pt | RemoveHandler
pt | DoCallNotifyHandler
pt | DoCallKeyEventHandler
pt | DoCallMouseWheelEventHandler
pt | DoContextPopup
pt | SetZOrder
pt | GetControlClassDefaultSize
pt | ColorIsStored
pt | DoAutoAdjustLayout
pt | DoFixDesignFontPPI
pt | DoScaleFontPPI
pt | GetActionLinkClass
pt | ActionChange
 | DragDrop
 | Dock
 | ManualDock
 | ManualFloat
 | ReplaceDockedControl
 | Docked
 | Dragging
 | GetAccessibleObject
 | CreateAccessibleObject
 | GetSelectedChildAccessibleObject
 | GetChildAccessibleObjectAtPos
 | ScaleDesignToForm
 | ScaleFormToDesign
 | Scale96ToForm
 | ScaleFormTo96
 | Scale96ToFont
 | ScaleFontTo96
 | ScaleScreenToFont
 | ScaleFontToScreen
 | Scale96ToScreen
 | ScaleScreenTo96
 | AdjustSize
 | AutoSizePhases
 | AutoSizeDelayed
 | AutoSizeDelayedReport
 | AutoSizeDelayedHandle
 | AnchorToNeighbour
 | AnchorParallel
 | AnchorHorizontalCenterTo
 | AnchorVerticalCenterTo
 | AnchorToCompanion
 | AnchorSame
 | AnchorAsAlign
 | AnchorClient
 | AnchoredControlCount
 | SetBounds
 | SetInitialBounds
 | SetBoundsKeepBase
 | GetPreferredSize
 | GetCanvasScaleFactor
 | GetDefaultWidth
 | GetDefaultHeight
 | GetDefaultColor
 | GetColorResolvingParent
 | GetRGBColorResolvingParent
 | GetSidePosition
 | CNPreferredSizeChanged
 | InvalidatePreferredSize
 | GetAnchorsDependingOnParent
 | DisableAutoSizing
 | EnableAutoSizing
 | UpdateBaseBounds
 | WriteLayoutDebugReport
 | AutoAdjustLayout
 | ShouldAutoAdjust
 | FixDesignFontsPPI
 | ScaleFontsPPI
 | Create
 | Destroy
 | BeforeDestruction
 | EditingDone
 | ExecuteDefaultAction
 | ExecuteCancelAction
 | BeginDrag
 | EndDrag
 | BringToFront
 | HasParent
 | GetParentComponent
 | IsParentOf
 | GetTopParent
 | IsVisible
 | IsControlVisible
 | IsEnabled
 | IsParentColor
 | IsParentFont
 | FormIsUpdating
 | IsProcessingPaintMsg
 | Hide
 | Refresh
 | Repaint
 | Invalidate
 | CheckChildClassAllowed
 | CheckNewParent
 | SendToBack
 | SetTempCursor
 | UpdateRolesForForm
 | ActiveDefaultControlChanged
 | GetTextBuf
 | GetTextLen
 | SetTextBuf
 | Perform
 | ScreenToClient
 | ClientToScreen
 | ScreenToControl
 | ControlToScreen
 | ClientToParent
 | ParentToClient
 | GetChildrenRect
 | Show
 | Update
 | HandleObjectShouldBeVisible
 | ParentDestroyingHandle
 | ParentHandlesAllocated
 | InitiateAction
 | ShowHelp
 | HasHelp
 | RemoveAllHandlersOfObject
 | AddHandlerOnResize
 | RemoveHandlerOnResize
 | AddHandlerOnChangeBounds
 | RemoveHandlerOnChangeBounds
 | AddHandlerOnVisibleChanging
 | RemoveHandlerOnVisibleChanging
 | AddHandlerOnVisibleChanged
 | RemoveHandlerOnVisibleChanged
 | AddHandlerOnEnabledChanged
 | RemoveHandlerOnEnableChanging
 | AddHandlerOnKeyDown
 | RemoveHandlerOnKeyDown
 | AddHandlerOnBeforeDestruction
 | RemoveHandlerOnBeforeDestruction
 | AddHandlerOnMouseWheel
 | RemoveHandlerOnMouseWheel
 | UseRightToLeftAlignment
 | UseRightToLeftReading
 | UseRightToLeftScrollBar
 | IsRightToLeft
TLCLComponent
pt | WSRegisterClass
pt | GetWSComponentClass
 | Create
 | Destroy
 | NewInstance
 | RemoveAllHandlersOfObject
 | IncLCLRefCount
 | DecLCLRefCount
TComponent
 | GetComObject
 | GetComponent
 | GetComponentCount
 | GetComponentIndex
 | Insert
 | ReadLeft
 | ReadTop
 | Remove
 | RemoveNotification
 | SetComponentIndex
 | SetReference
 | WriteLeft
 | WriteTop
 | ChangeName
 | DefineProperties
 | GetChildren
 | GetChildOwner
 | GetChildParent
 | GetOwner
 | Loaded
 | Loading
 | Notification
 | PaletteCreated
 | ReadState
 | SetAncestor
 | SetDesigning
 | SetDesignInstance
 | SetInline
 | SetName
 | SetChildOrder
 | SetParentComponent
 | Updating
 | Updated
 | UpdateRegistry
 | ValidateRename
 | ValidateContainer
 | ValidateInsert
 | QueryInterface
 | _AddRef
 | _Release
 | iicrGetComponent
 | GetTypeInfoCount
 | GetTypeInfo
 | GetIDsOfNames
 | Invoke
 | WriteState
 | Create
 | Destroy
 | BeforeDestruction
 | DestroyComponents
 | Destroying
 | ExecuteAction
 | FindComponent
 | FreeNotification
 | RemoveFreeNotification
 | FreeOnRelease
 | GetEnumerator
 | GetNamePath
 | GetParentComponent
 | HasParent
 | InsertComponent
 | RemoveComponent
 | SafeCallException
 | SetSubComponent
 | UpdateAction
 | IsImplementorOf
 | ReferenceInterface
TPersistent
 | AssignError
 | AssignTo
 | DefineProperties
 | GetOwner
 | Destroy
 | Assign
 | FPOAttachObserver
 | FPODetachObserver
 | FPONotifyObservers
 | GetNamePath
TObject
 | Create
 | Destroy
 | newinstance
 | FreeInstance
 | SafeCallException
 | DefaultHandler
 | Free
 | InitInstance
 | CleanupInstance
 | ClassType
 | ClassInfo
 | ClassName
 | ClassNameIs
 | ClassParent
 | InstanceSize
 | InheritsFrom
 | StringMessageTable
 | MethodAddress
 | MethodName
 | FieldAddress
 | AfterConstruction
 | BeforeDestruction
 | DefaultHandlerStr
 | Dispatch
 | DispatchStr
 | GetInterface
 | GetInterfaceByStr
 | GetInterfaceWeak
 | GetInterfaceEntry
 | GetInterfaceEntryByStr
 | GetInterfaceTable
 | UnitName
 | Equals
 | GetHashCode
 | ToString


pt | ActionChange (TControl)
 | ActiveDefaultControlChanged (TControl)
 | AddControl (TWinControl)
pt | AddHandler (TControl)
 | AddHandlerOnBeforeDestruction (TControl)
 | AddHandlerOnChangeBounds (TControl)
 | AddHandlerOnEnabledChanged (TControl)
 | AddHandlerOnKeyDown (TControl)
 | AddHandlerOnMouseWheel (TControl)
 | AddHandlerOnResize (TControl)
 | AddHandlerOnVisibleChanged (TControl)
 | AddHandlerOnVisibleChanging (TControl)
pt | AdjustClientRect (TWinControl)
 | AdjustSize (TControl)
 | AfterConstruction (TObject)
pt | AlignControls (TWinControl)
pt | AlignControls (TScrollingWinControl)
pt | AllAutoSized (TWinControl)
 | AnchorAsAlign (TControl)
 | AnchorClient (TControl)
 | AnchoredControlCount (TControl)
 | AnchorHorizontalCenterTo (TControl)
 | AnchorParallel (TControl)
 | AnchorSame (TControl)
pt | AnchorSideChanged (TControl)
 | AnchorToCompanion (TControl)
 | AnchorToNeighbour (TControl)
 | AnchorVerticalCenterTo (TControl)
 | Assign (TPersistent)
 | AssignError (TPersistent)
 | AssignTo (TPersistent)
pt | AssignTo (TControl)
 | AutoAdjustLayout (TControl)
 | AutoAdjustLayout (TWinControl)
 | AutoAdjustLayout (TCustomDesignControl)
pt | AutoScrollEnabled (TScrollingWinControl)
 | AutoSizeDelayed (TControl)
 | AutoSizeDelayed (TWinControl)
 | AutoSizeDelayedHandle (TControl)
 | AutoSizeDelayedHandle (TWinControl)
 | AutoSizeDelayedReport (TControl)
 | AutoSizeDelayedReport (TWinControl)
 | AutoSizePhases (TControl)
 | AutoSizePhases (TWinControl)
 | BeforeDestruction (TObject)
 | BeforeDestruction (TComponent)
 | BeforeDestruction (TControl)
pt | BeforeDragStart (TControl)
pt | BeginAutoDrag (TControl)
pt | BeginAutoSizing (TControl)
 | BeginDrag (TControl)
 | BeginUpdateBounds (TWinControl)
pt | BoundsChanged (TControl)
 | BringToFront (TControl)
 | BroadCast (TWinControl)
 | BrushCreated (TWinControl)
pt | CalculateAutoRanges (TScrollingWinControl)
pt | CalculateDockSizes (TControl)
pt | CalculatePreferredSize (TControl)
pt | CalculatePreferredSize (TWinControl)
pt | CalculatePreferredSize (TCustomFrame)
pt | CanAutoSize (TControl)
 | CanFocus (TWinControl)
 | CanSetFocus (TWinControl)
pt | CanTab (TControl)
pt | CanTab (TWinControl)
pt | CaptureChanged (TControl)
pt | ChangeBounds (TControl)
pt | Changed (TControl)
 | ChangeName (TComponent)
pt | ChangeScale (TControl)
pt | ChangeScale (TWinControl)
 | CheckChildClassAllowed (TControl)
 | CheckNewParent (TControl)
pt | CheckOnChangeBounds (TControl)
pt | ChildClassAllowed (TControl)
pt | ChildClassAllowed (TWinControl)
pt | ChildHandlesCreated (TWinControl)
pt | ChildKey (TWinControl)
 | ClassInfo (TObject)
 | ClassName (TObject)
 | ClassNameIs (TObject)
 | ClassParent (TObject)
 | ClassType (TObject)
 | CleanupInstance (TObject)
pt | Click (TControl)
 | ClientRectNeedsInterfaceUpdate (TWinControl)
 | ClientToParent (TControl)
 | ClientToScreen (TControl)
 | ClientToScreen (TScrollingWinControl)
pt | CMBiDiModeChanged (TControl)
pt | CMBiDiModeChanged (TWinControl)
pt | CMBorderChanged (TWinControl)
pt | CMChanged (TControl)
pt | CMCursorChanged (TControl)
pt | CMDoubleBufferedChanged (TWinControl)
pt | CMEnabledChanged (TControl)
pt | CMEnabledChanged (TWinControl)
pt | CMEnter (TWinControl)
pt | CMExit (TWinControl)
pt | CMHintShow (TControl)
pt | CMHitTest (TControl)
pt | CMMouseEnter (TControl)
pt | CMMouseLeave (TControl)
pt | CMParentBiDiModeChanged (TControl)
pt | CMParentColorChanged (TControl)
pt | CMParentDoubleBufferedChanged (TWinControl)
pt | CMParentFontChanged (TControl)
pt | CMParentShowHintChanged (TControl)
pt | CMShowHintChanged (TWinControl)
pt | CMShowingChanged (TWinControl)
pt | CMSysFontChanged (TControl)
pt | CMTextChanged (TControl)
pt | CMVisibleChanged (TControl)
pt | CMVisibleChanged (TWinControl)
pt | CNChar (TWinControl)
pt | CNKeyDown (TWinControl)
pt | CNKeyUp (TWinControl)
 | CNPreferredSizeChanged (TControl)
pt | CNSysKeyDown (TWinControl)
pt | CNSysKeyUp (TWinControl)
pt | ColorIsStored (TControl)
pt | ComputeScrollbars (TScrollingWinControl)
pt | ConstrainedResize (TControl)
 | ContainsControl (TWinControl)
 | ControlAtPos (TWinControl)
pt | ControlKeyDown (TWinControl)
pt | ControlKeyUp (TWinControl)
pt | ControlsAligned (TWinControl)
 | ControlToScreen (TControl)
 | Create (TObject)
 | Create (TComponent)
 | Create (TLCLComponent)
 | Create (TControl)
 | Create (TWinControl)
 | Create (TCustomControl)
 | Create (TScrollingWinControl)
 | Create (TCustomDesignControl)
 | Create (TCustomFrame)
 | Create (TFrame)
 | CreateAccessibleObject (TControl)
pt | CreateBrush (TWinControl)
pt | CreateControlBorderSpacing (TControl)
pt | CreateDockManager (TWinControl)
pt | CreateFloatingDockSite (TControl)
pt | CreateHandle (TWinControl)
pt | CreateParams (TWinControl)
 | CreateParented (TWinControl)
 | CreateParentedControl (TWinControl)
pt | CreateSubClass (TWinControl)
pt | CreateWnd (TWinControl)
pt | CreateWnd (TScrollingWinControl)
pt | CustomAlignInsertBefore (TWinControl)
pt | CustomAlignPosition (TWinControl)
pt | DblClick (TControl)
 | DecLCLRefCount (TLCLComponent)
 | DefaultHandler (TObject)
 | DefaultHandler (TWinControl)
 | DefaultHandlerStr (TObject)
 | DefineProperties (TPersistent)
 | DefineProperties (TComponent)
pt | DefineProperties (TControl)
pt | DefineProperties (TCustomFrame)
 | Destroy (TObject)
 | Destroy (TPersistent)
 | Destroy (TComponent)
 | Destroy (TLCLComponent)
 | Destroy (TControl)
 | Destroy (TWinControl)
 | Destroy (TCustomControl)
 | Destroy (TScrollingWinControl)
 | DestroyComponents (TComponent)
pt | DestroyHandle (TWinControl)
 | Destroying (TComponent)
pt | DestroyWnd (TWinControl)
pt | DestroyWnd (TCustomControl)
pt | DialogChar (TControl)
pt | DialogChar (TWinControl)
 | DisableAlign (TWinControl)
 | DisableAutoSizing (TControl)
 | Dispatch (TObject)
 | DispatchStr (TObject)
pt | DoAddDockClient (TWinControl)
 | DoAdjustClientRectChange (TWinControl)
pt | DoAlignChildControls (TWinControl)
pt | DoAllAutoSize (TControl)
pt | DoAllAutoSize (TWinControl)
pt | DoAutoAdjustLayout (TControl)
pt | DoAutoAdjustLayout (TCustomDesignControl)
pt | DoAutoSize (TControl)
pt | DoAutoSize (TWinControl)
pt | DoBorderSpacingChange (TControl)
pt | DoCallKeyEventHandler (TControl)
pt | DoCallMouseWheelEventHandler (TControl)
pt | DoCallNotifyHandler (TControl)
pt | DoChildSizingChange (TWinControl)
 | Dock (TControl)
 | DockDrop (TWinControl)
 | Docked (TControl)
pt | DockOver (TWinControl)
pt | DockTrackNoTarget (TControl)
pt | DoConstraintsChange (TControl)
pt | DoConstraintsChange (TWinControl)
pt | DoContextPopup (TControl)
pt | DoDock (TControl)
pt | DoDockClientMsg (TWinControl)
pt | DoDockOver (TWinControl)
pt | DoDragMsg (TControl)
pt | DoDragMsg (TWinControl)
pt | DoEndDock (TControl)
pt | DoEndDrag (TControl)
pt | DoEnter (TWinControl)
pt | DoExit (TWinControl)
pt | DoFixDesignFontPPI (TControl)
pt | DoFlipChildren (TWinControl)
pt | DoFloatMsg (TControl)
pt | DoFloatMsg (TWinControl)
pt | DoGetDockCaption (TWinControl)
pt | DoKeyDownBeforeInterface (TWinControl)
pt | DoKeyPress (TWinControl)
pt | DoKeyUpBeforeInterface (TWinControl)
pt | DoMouseWheel (TControl)
pt | DoMouseWheelDown (TControl)
pt | DoMouseWheelHorz (TControl)
pt | DoMouseWheelLeft (TControl)
pt | DoMouseWheelRight (TControl)
pt | DoMouseWheelUp (TControl)
pt | DoOnChangeBounds (TControl)
pt | DoOnParentHandleDestruction (TControl)
pt | DoOnResize (TControl)
pt | DoOnResize (TScrollingWinControl)
pt | DoOnShowHint (TControl)
pt | DoRemainingKeyDown (TWinControl)
pt | DoRemainingKeyUp (TWinControl)
pt | DoRemoveDockClient (TWinControl)
pt | DoScaleFontPPI (TControl)
pt | DoSendBoundsToInterface (TWinControl)
pt | DoSendShowHideToInterface (TWinControl)
pt | DoSetBounds (TControl)
pt | DoSetBounds (TWinControl)
pt | DoStartDock (TControl)
pt | DoStartDrag (TControl)
pt | DoUnDock (TWinControl)
pt | DoUndockClientMsg (TWinControl)
pt | DoUTF8KeyPress (TWinControl)
pt | DragCanceled (TControl)
 | DragDrop (TControl)
 | Dragging (TControl)
pt | DragOver (TControl)
 | EditingDone (TControl)
 | EnableAlign (TWinControl)
 | EnableAutoSizing (TControl)
pt | EnabledChanged (TControl)
pt | EnabledChanging (TControl)
pt | EndAutoSizing (TControl)
 | EndDrag (TControl)
 | EndUpdateBounds (TWinControl)
 | Equals (TObject)
 | EraseBackground (TWinControl)
 | ExecuteAction (TComponent)
 | ExecuteCancelAction (TControl)
 | ExecuteDefaultAction (TControl)
 | FieldAddress (TObject)
pt | FinalizeWnd (TWinControl)
 | FindChildControl (TWinControl)
 | FindComponent (TComponent)
pt | FindNextControl (TWinControl)
 | FixDesignFontsPPI (TControl)
pt | FixupTabList (TWinControl)
 | FlipChildren (TWinControl)
 | Focused (TWinControl)
pt | FontChanged (TControl)
pt | FontChanged (TWinControl)
pt | FontChanged (TCustomControl)
pt | ForeignAnchorSideChanged (TControl)
pt | FormEndUpdated (TControl)
pt | FormEndUpdated (TWinControl)
 | FormIsUpdating (TControl)
 | FPOAttachObserver (TPersistent)
 | FPODetachObserver (TPersistent)
 | FPONotifyObservers (TPersistent)
 | Free (TObject)
 | FreeInstance (TObject)
 | FreeNotification (TComponent)
 | FreeOnRelease (TComponent)
 | GetAccessibleObject (TControl)
pt | GetAction (TControl)
pt | GetActionLinkClass (TControl)
pt | GetAdjustedLogicalClientRect (TWinControl)
 | GetAnchorsDependingOnParent (TControl)
pt | GetBorderStyle (TWinControl)
pt | GetCachedText (TControl)
 | GetCanvasScaleFactor (TControl)
 | GetChildAccessibleObjectAtPos (TControl)
 | GetChildOwner (TComponent)
 | GetChildParent (TComponent)
 | GetChildren (TComponent)
pt | GetChildren (TWinControl)
 | GetChildren (TCustomFrame)
 | GetChildrenRect (TControl)
 | GetChildrenRect (TWinControl)
pt | GetClientOrigin (TControl)
pt | GetClientOrigin (TWinControl)
pt | GetClientRect (TControl)
pt | GetClientRect (TWinControl)
pt | GetClientScrollOffset (TControl)
pt | GetClientScrollOffset (TScrollingWinControl)
 | GetColorResolvingParent (TControl)
 | GetComObject (TComponent)
 | GetComponent (TComponent)
 | GetComponentCount (TComponent)
 | GetComponentIndex (TComponent)
pt | GetControlClassDefaultSize (TControl)
 | GetControlClassDefaultSize (TScrollingWinControl)
 | GetControlClassDefaultSize (TCustomFrame)
 | GetControlIndex (TWinControl)
pt | GetControlOrigin (TControl)
pt | GetControlOrigin (TWinControl)
pt | GetCursor (TControl)
 | GetDefaultColor (TControl)
pt | GetDefaultDockCaption (TControl)
 | GetDefaultHeight (TControl)
 | GetDefaultWidth (TControl)
pt | GetDeviceContext (TControl)
pt | GetDeviceContext (TWinControl)
 | GetDockCaption (TWinControl)
pt | GetDockEdge (TControl)
pt | GetDragImages (TControl)
pt | GetEnabled (TControl)
 | GetEnumerator (TComponent)
 | GetEnumeratorControls (TWinControl)
 | GetEnumeratorControlsReverse (TWinControl)
pt | GetFloating (TControl)
pt | GetFloatingDockSiteClass (TControl)
 | GetHashCode (TObject)
 | GetIDsOfNames (TComponent)
 | GetInterface (TObject)
 | GetInterfaceByStr (TObject)
 | GetInterfaceEntry (TObject)
 | GetInterfaceEntryByStr (TObject)
 | GetInterfaceTable (TObject)
 | GetInterfaceWeak (TObject)
pt | GetLogicalClientRect (TControl)
pt | GetLogicalClientRect (TScrollingWinControl)
pt | GetMouseCapture (TControl)
pt | GetMouseCapture (TWinControl)
pt | GetMousePosFromMessage (TControl)
 | GetNamePath (TPersistent)
 | GetNamePath (TComponent)
 | GetOwner (TPersistent)
 | GetOwner (TComponent)
pt | GetPalette (TControl)
pt | GetParentBackground (TWinControl)
 | GetParentComponent (TComponent)
 | GetParentComponent (TControl)
pt | GetParentHandle (TWinControl)
pt | GetPopupMenu (TControl)
 | GetPreferredSize (TControl)
pt | GetPreferredSizeClientFrame (TWinControl)
pt | GetPreferredSizeClientFrame (TScrollingWinControl)
 | GetRGBColorResolvingParent (TControl)
pt | GetScrolledClientRect (TControl)
 | GetSelectedChildAccessibleObject (TControl)
 | GetSidePosition (TControl)
pt | GetSiteInfo (TWinControl)
 | GetTabOrderList (TWinControl)
 | GetTextBuf (TControl)
 | GetTextLen (TControl)
 | GetTextLen (TWinControl)
 | GetTopParent (TControl)
pt | GetTopParentHandle (TWinControl)
 | GetTypeInfo (TComponent)
 | GetTypeInfoCount (TComponent)
pt | GetWSComponentClass (TLCLComponent)
 | HandleAllocated (TWinControl)
 | HandleNeeded (TWinControl)
 | HandleObjectShouldBeVisible (TControl)
 | HasHelp (TControl)
 | HasParent (TComponent)
 | HasParent (TControl)
pt | HeightIsAnchored (TControl)
 | Hide (TControl)
 | iicrGetComponent (TComponent)
 | IncLCLRefCount (TLCLComponent)
 | InheritsFrom (TObject)
pt | InitializeWnd (TWinControl)
 | InitiateAction (TControl)
 | InitInstance (TObject)
 | Insert (TComponent)
 | InsertComponent (TComponent)
 | InsertControl (TWinControl)
 | InstanceSize (TObject)
 | IntfGetDropFilesTarget (TWinControl)
 | IntfUTF8KeyPress (TWinControl)
 | Invalidate (TControl)
 | Invalidate (TWinControl)
pt | InvalidateBoundsRealized (TWinControl)
 | InvalidateClientRectCache (TWinControl)
pt | InvalidateControl (TControl)
pt | InvalidatePreferredChildSizes (TWinControl)
 | InvalidatePreferredSize (TControl)
 | Invoke (TComponent)
pt | IsAParentAligning (TControl)
pt | IsBorderSpacingInnerBorderStored (TControl)
pt | IsCaptionStored (TControl)
pt | IsClientHeightStored (TControl)
pt | IsClientHeightStored (TWinControl)
pt | IsClientWidthStored (TControl)
pt | IsClientWidthStored (TWinControl)
pt | IsControlMouseMsg (TWinControl)
 | IsControlVisible (TControl)
 | IsEnabled (TControl)
 | IsImplementorOf (TComponent)
 | IsParentColor (TControl)
 | IsParentFont (TControl)
 | IsParentOf (TControl)
 | IsProcessingPaintMsg (TControl)
 | IsRightToLeft (TControl)
 | IsVisible (TControl)
pt | KeyDown (TWinControl)
pt | KeyDownAfterInterface (TWinControl)
pt | KeyDownBeforeInterface (TWinControl)
pt | KeyPress (TWinControl)
pt | KeyUp (TWinControl)
pt | KeyUpAfterInterface (TWinControl)
pt | KeyUpBeforeInterface (TWinControl)
pt | LMCaptureChanged (TControl)
 | Loaded (TComponent)
pt | Loaded (TControl)
pt | Loaded (TWinControl)
pt | Loaded (TScrollingWinControl)
pt | Loaded (TCustomDesignControl)
pt | LoadedAll (TControl)
 | Loading (TComponent)
 | LockRealizeBounds (TWinControl)
pt | MainWndProc (TWinControl)
 | ManualDock (TControl)
 | ManualFloat (TControl)
 | MethodAddress (TObject)
 | MethodName (TObject)
pt | MouseDown (TControl)
pt | MouseEnter (TControl)
pt | MouseLeave (TControl)
pt | MouseMove (TControl)
pt | MouseUp (TControl)
 | newinstance (TObject)
 | NewInstance (TLCLComponent)
 | Notification (TComponent)
pt | Notification (TControl)
pt | Notification (TCustomFrame)
 | NotifyControls (TWinControl)
pt | Paint (TCustomControl)
pt | PaintControls (TWinControl)
pt | PaintHandler (TWinControl)
 | PaintTo (TWinControl)
pt | PaintWindow (TWinControl)
pt | PaintWindow (TCustomControl)
 | PaletteCreated (TComponent)
 | ParentDestroyingHandle (TControl)
pt | ParentFontChanged (TControl)
pt | ParentFormHandleInitialized (TControl)
pt | ParentFormHandleInitialized (TWinControl)
 | ParentHandlesAllocated (TControl)
 | ParentHandlesAllocated (TWinControl)
 | ParentToClient (TControl)
 | Perform (TControl)
 | PerformTab (TWinControl)
pt | PositionDockRect (TControl)
pt | QuadClick (TControl)
 | QueryInterface (TComponent)
 | ReadLeft (TComponent)
 | ReadState (TComponent)
pt | ReadState (TControl)
 | ReadTop (TComponent)
pt | RealGetText (TControl)
pt | RealGetText (TWinControl)
 | ReAlign (TWinControl)
pt | RealizeBounds (TWinControl)
pt | RealizeBoundsRecursive (TWinControl)
pt | RealSetText (TControl)
pt | RealSetText (TWinControl)
 | ReferenceInterface (TComponent)
 | Refresh (TControl)
pt | ReloadDockedControl (TWinControl)
 | Remove (TComponent)
 | RemoveAllHandlersOfObject (TLCLComponent)
 | RemoveAllHandlersOfObject (TControl)
 | RemoveComponent (TComponent)
 | RemoveControl (TWinControl)
pt | RemoveFocus (TWinControl)
 | RemoveFreeNotification (TComponent)
pt | RemoveHandler (TControl)
 | RemoveHandlerOnBeforeDestruction (TControl)
 | RemoveHandlerOnChangeBounds (TControl)
 | RemoveHandlerOnEnableChanging (TControl)
 | RemoveHandlerOnKeyDown (TControl)
 | RemoveHandlerOnMouseWheel (TControl)
 | RemoveHandlerOnResize (TControl)
 | RemoveHandlerOnVisibleChanged (TControl)
 | RemoveHandlerOnVisibleChanging (TControl)
 | RemoveNotification (TComponent)
 | Repaint (TControl)
 | Repaint (TWinControl)
 | ReplaceDockedControl (TControl)
pt | RequestAlign (TControl)
pt | Resize (TControl)
pt | Resizing (TScrollingWinControl)
 | SafeCallException (TObject)
 | SafeCallException (TComponent)
 | Scale96ToFont (TControl)
 | Scale96ToForm (TControl)
 | Scale96ToScreen (TControl)
 | ScaleBy (TWinControl)
pt | ScaleConstraints (TControl)
pt | ScaleControls (TWinControl)
 | ScaleDesignToForm (TControl)
 | ScaleFontsPPI (TControl)
 | ScaleFontTo96 (TControl)
 | ScaleFontToScreen (TControl)
 | ScaleFormTo96 (TControl)
 | ScaleFormToDesign (TControl)
 | ScaleScreenTo96 (TControl)
 | ScaleScreenToFont (TControl)
 | ScreenToClient (TControl)
 | ScreenToClient (TScrollingWinControl)
 | ScreenToControl (TControl)
 | ScrollBy (TWinControl)
 | ScrollBy (TScrollingWinControl)
 | ScrollBy_WS (TWinControl)
 | ScrollInView (TScrollingWinControl)
pt | SelectFirst (TWinControl)
 | SelectNext (TWinControl)
pt | SendDialogChar (TWinControl)
pt | SendMoveSizeMessages (TControl)
pt | SendMoveSizeMessages (TWinControl)
 | SendToBack (TControl)
pt | SetAction (TControl)
pt | SetAlign (TControl)
 | SetAncestor (TComponent)
pt | SetAnchors (TControl)
pt | SetAutoScroll (TScrollingWinControl)
pt | SetAutoSize (TControl)
pt | SetAutoSize (TScrollingWinControl)
pt | SetBiDiMode (TControl)
pt | SetBorderStyle (TWinControl)
 | SetBounds (TControl)
 | SetBounds (TWinControl)
 | SetBoundsKeepBase (TControl)
 | SetChildOrder (TComponent)
pt | SetChildZPosition (TWinControl)
pt | SetColor (TControl)
pt | SetColor (TWinControl)
pt | SetColor (TCustomControl)
 | SetComponentIndex (TComponent)
 | SetControlIndex (TWinControl)
pt | SetCursor (TControl)
 | SetDesigning (TComponent)
 | SetDesignInstance (TComponent)
pt | SetDockManager (TWinControl)
pt | SetDragMode (TControl)
pt | SetEnabled (TControl)
 | SetFocus (TWinControl)
pt | SetHint (TControl)
 | SetInitialBounds (TControl)
 | SetInline (TComponent)
 | SetName (TComponent)
pt | SetName (TControl)
pt | SetParent (TControl)
pt | SetParent (TCustomFrame)
pt | SetParentBackground (TWinControl)
pt | SetParentBiDiMode (TControl)
 | SetParentComponent (TComponent)
pt | SetParentComponent (TControl)
 | SetReference (TComponent)
pt | SetScaled (TCustomDesignControl)
 | SetShape (TWinControl)
 | SetSubComponent (TComponent)
 | SetTempCursor (TControl)
 | SetTempCursor (TWinControl)
 | SetTextBuf (TControl)
pt | SetVisible (TControl)
pt | SetZOrder (TControl)
 | ShouldAutoAdjust (TControl)
 | Show (TControl)
pt | ShowControl (TWinControl)
 | ShowHelp (TControl)
 | StringMessageTable (TObject)
pt | TextChanged (TControl)
 | ToString (TObject)
pt | TripleClick (TControl)
 | UnitName (TObject)
 | UnlockRealizeBounds (TWinControl)
 | Update (TControl)
 | Update (TWinControl)
 | UpdateAction (TComponent)
pt | UpdateAnchorRules (TControl)
 | UpdateBaseBounds (TControl)
pt | UpdateControlState (TWinControl)
 | Updated (TComponent)
 | UpdateDockCaption (TWinControl)
pt | UpdateMouseCursor (TControl)
 | UpdateRegistry (TComponent)
 | UpdateRolesForForm (TControl)
 | UpdateScrollbars (TScrollingWinControl)
pt | UpdateShowing (TWinControl)
 | Updating (TComponent)
 | UseRightToLeftAlignment (TControl)
 | UseRightToLeftReading (TControl)
 | UseRightToLeftScrollBar (TControl)
pt | UTF8KeyPress (TWinControl)
 | ValidateContainer (TComponent)
 | ValidateInsert (TComponent)
 | ValidateRename (TComponent)
pt | VisibleChanged (TControl)
pt | VisibleChanging (TControl)
pt | WidthIsAnchored (TControl)
pt | WMCancelMode (TControl)
pt | WMChar (TWinControl)
pt | WMContextMenu (TControl)
pt | WMContextMenu (TWinControl)
pt | WMDestroy (TWinControl)
pt | WMEnter (TWinControl)
pt | WMEraseBkgnd (TWinControl)
pt | WMExit (TWinControl)
pt | WMHScroll (TScrollingWinControl)
pt | WMKeyDown (TWinControl)
pt | WMKeyUp (TWinControl)
pt | WMKillFocus (TWinControl)
pt | WMLButtonDBLCLK (TControl)
pt | WMLButtonDown (TControl)
pt | WMLButtonQuadCLK (TControl)
pt | WMLButtonTripleCLK (TControl)
pt | WMLButtonUp (TControl)
pt | WMMButtonDBLCLK (TControl)
pt | WMMButtonDown (TControl)
pt | WMMButtonQuadCLK (TControl)
pt | WMMButtonTripleCLK (TControl)
pt | WMMButtonUp (TControl)
pt | WMMouseHWheel (TControl)
pt | WMMouseMove (TControl)
pt | WMMouseWheel (TControl)
pt | WMMove (TControl)
pt | WMMove (TWinControl)
pt | WMNotify (TWinControl)
pt | WMPaint (TWinControl)
pt | WMPaint (TCustomControl)
pt | WMRButtonDBLCLK (TControl)
pt | WMRButtonDown (TControl)
pt | WMRButtonQuadCLK (TControl)
pt | WMRButtonTripleCLK (TControl)
pt | WMRButtonUp (TControl)
pt | WMSetFocus (TWinControl)
pt | WMShowWindow (TWinControl)
pt | WMSize (TControl)
pt | WMSize (TWinControl)
pt | WMSize (TScrollingWinControl)
pt | WMSysChar (TWinControl)
pt | WMSysKeyDown (TWinControl)
pt | WMSysKeyUp (TWinControl)
pt | WMVScroll (TScrollingWinControl)
pt | WMWindowPosChanged (TControl)
pt | WMWindowPosChanged (TWinControl)
pt | WMXButtonDBLCLK (TControl)
pt | WMXButtonDown (TControl)
pt | WMXButtonQuadCLK (TControl)
pt | WMXButtonTripleCLK (TControl)
pt | WMXButtonUp (TControl)
pt | WndProc (TControl)
pt | WndProc (TWinControl)
 | WriteLayoutDebugReport (TControl)
 | WriteLayoutDebugReport (TWinControl)
 | WriteLeft (TComponent)
 | WriteState (TComponent)
 | WriteTop (TComponent)
pt | WSRegisterClass (TLCLComponent)
pt | WSRegisterClass (TControl)
pt | WSRegisterClass (TWinControl)
pt | WSRegisterClass (TCustomControl)
pt | WSRegisterClass (TScrollingWinControl)
pt | WSRegisterClass (TCustomFrame)
pt | WSSetText (TWinControl)
 | _AddRef (TComponent)
 | _Release (TComponent)


TFrame
pl | ro | OnClick
pl | ro | OnConstrainedResize
pl | ro | OnContextPopup
pl | ro | OnDblClick
pl | ro | OnDockDrop
pl | ro | OnDockOver
pl | ro | OnDragDrop
pl | ro | OnDragOver
pl | ro | OnEndDock
pl | ro | OnEndDrag
pl | ro | OnEnter
pl | ro | OnExit
pl | ro | OnGetSiteInfo
pl | ro | OnMouseDown
pl | ro | OnMouseEnter
pl | ro | OnMouseLeave
pl | ro | OnMouseMove
pl | ro | OnMouseUp
pl | ro | OnMouseWheel
pl | ro | OnMouseWheelDown
pl | ro | OnMouseWheelUp
pl | ro | OnMouseWheelHorz
pl | ro | OnMouseWheelLeft
pl | ro | OnMouseWheelRight
pl | ro | OnResize
pl | ro | OnStartDock
pl | ro | OnStartDrag
pl | ro | OnUnDock
TCustomFrame
TCustomDesignControl
TScrollingWinControl
TCustomControl
 |  | OnPaint
TWinControl
pt |  | OnGetSiteInfo
pt |  | OnGetDockCaption
 |  | OnAlignInsertBefore
 |  | OnAlignPosition
 |  | OnDockDrop
 |  | OnDockOver
 |  | OnEnter
 |  | OnExit
 |  | OnKeyDown
 |  | OnKeyPress
 |  | OnKeyUp
 |  | OnUnDock
 |  | OnUTF8KeyPress
TControl
pt |  | OnConstrainedResize
pt |  | OnContextPopup
pt |  | OnDblClick
pt |  | OnTripleClick
pt |  | OnQuadClick
pt |  | OnDragDrop
pt |  | OnDragOver
pt |  | OnEndDock
pt |  | OnEndDrag
pt |  | OnMouseDown
pt |  | OnMouseMove
pt |  | OnMouseUp
pt |  | OnMouseEnter
pt |  | OnMouseLeave
pt |  | OnMouseWheel
pt |  | OnMouseWheelDown
pt |  | OnMouseWheelUp
pt |  | OnMouseWheelHorz
pt |  | OnMouseWheelLeft
pt |  | OnMouseWheelRight
pt |  | OnStartDock
pt |  | OnStartDrag
pt |  | OnEditingDone
 |  | OnChangeBounds
 |  | OnClick
 |  | OnResize
 |  | OnShowHint
TLCLComponent
TComponent
TPersistent
TObject


 |  | OnAlignInsertBefore (TWinControl)
 |  | OnAlignPosition (TWinControl)
 |  | OnChangeBounds (TControl)
 |  | OnClick (TControl)
pl | ro | OnClick (TFrame)
pt |  | OnConstrainedResize (TControl)
pl | ro | OnConstrainedResize (TFrame)
pt |  | OnContextPopup (TControl)
pl | ro | OnContextPopup (TFrame)
pt |  | OnDblClick (TControl)
pl | ro | OnDblClick (TFrame)
 |  | OnDockDrop (TWinControl)
pl | ro | OnDockDrop (TFrame)
 |  | OnDockOver (TWinControl)
pl | ro | OnDockOver (TFrame)
pt |  | OnDragDrop (TControl)
pl | ro | OnDragDrop (TFrame)
pt |  | OnDragOver (TControl)
pl | ro | OnDragOver (TFrame)
pt |  | OnEditingDone (TControl)
pt |  | OnEndDock (TControl)
pl | ro | OnEndDock (TFrame)
pt |  | OnEndDrag (TControl)
pl | ro | OnEndDrag (TFrame)
 |  | OnEnter (TWinControl)
pl | ro | OnEnter (TFrame)
 |  | OnExit (TWinControl)
pl | ro | OnExit (TFrame)
pt |  | OnGetDockCaption (TWinControl)
pt |  | OnGetSiteInfo (TWinControl)
pl | ro | OnGetSiteInfo (TFrame)
 |  | OnKeyDown (TWinControl)
 |  | OnKeyPress (TWinControl)
 |  | OnKeyUp (TWinControl)
pt |  | OnMouseDown (TControl)
pl | ro | OnMouseDown (TFrame)
pt |  | OnMouseEnter (TControl)
pl | ro | OnMouseEnter (TFrame)
pt |  | OnMouseLeave (TControl)
pl | ro | OnMouseLeave (TFrame)
pt |  | OnMouseMove (TControl)
pl | ro | OnMouseMove (TFrame)
pt |  | OnMouseUp (TControl)
pl | ro | OnMouseUp (TFrame)
pt |  | OnMouseWheel (TControl)
pl | ro | OnMouseWheel (TFrame)
pt |  | OnMouseWheelDown (TControl)
pl | ro | OnMouseWheelDown (TFrame)
pt |  | OnMouseWheelHorz (TControl)
pl | ro | OnMouseWheelHorz (TFrame)
pt |  | OnMouseWheelLeft (TControl)
pl | ro | OnMouseWheelLeft (TFrame)
pt |  | OnMouseWheelRight (TControl)
pl | ro | OnMouseWheelRight (TFrame)
pt |  | OnMouseWheelUp (TControl)
pl | ro | OnMouseWheelUp (TFrame)
 |  | OnPaint (TCustomControl)
pt |  | OnQuadClick (TControl)
 |  | OnResize (TControl)
pl | ro | OnResize (TFrame)
 |  | OnShowHint (TControl)
pt |  | OnStartDock (TControl)
pl | ro | OnStartDock (TFrame)
pt |  | OnStartDrag (TControl)
pl | ro | OnStartDrag (TFrame)
pt |  | OnTripleClick (TControl)
 |  | OnUnDock (TWinControl)
pl | ro | OnUnDock (TFrame)
 |  | OnUTF8KeyPress (TWinControl)


TFrame.DesignTimePPI

Declaration

Source position: forms.pp line 337

published property TFrame.DesignTimePPI : Integer;


TFrame.OnMouseWheelHorz

Declaration

Source position: forms.pp line 366

published property TFrame.OnMouseWheelHorz : TMouseWheelEvent;


TFrame.OnMouseWheelLeft

Declaration

Source position: forms.pp line 367

published property TFrame.OnMouseWheelLeft : TMouseWheelUpDownEvent;


TFrame.OnMouseWheelRight

Declaration

Source position: forms.pp line 368

published property TFrame.OnMouseWheelRight : TMouseWheelUpDownEvent;


TFrame.Scaled

Declaration

Source position: forms.pp line 378

published property TFrame.Scaled : Boolean;


THintWindow

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

The popup box containing helpful information that appears when the mouse pointer hovers over an object.

Declaration

Source position: forms.pp line 890

type THintWindow = class(TCustomForm)
protected
class procedure WSRegisterClass; override; | Registers this component class with the current WidgetSet.
procedure WMNCHitTest(); message; | Treats the whole window as transparent.
procedure ActivateSub;
procedure DoShowWindow; override; | When no control is Active, sets the Focus to the first control in TabOrder.
procedure UpdateRegion; |
procedure SetColor(); override;
function UseBGThemes;
function UseFGThemes;
procedure Paint; override; | Override this method in your derived class with your own paint handler.
class function SysHintFont;
public
destructor Destroy();
constructor Create(); override;
procedure ActivateHint(); | Shows the hint.
procedure ActivateWithBounds();
procedure ActivateHintData(); virtual; | Extended version of ActivateHint. Override this method to make use of the additional data.
function CalcHintRect(); virtual; | Determines the rectangle required for the hint display, based on the maximum text/window width.
function OffsetHintRect();
procedure InitializeWnd; override;
function IsHintMsg(); virtual;
procedure ReleaseHandle; | Destroys the widget.
procedure SetBounds(); override;
class function GetControlClassDefaultSize; override; | Returns the default size for this class of controls (when added to a form).
property OnMouseDown: TMouseEvent;
property OnMouseUp: TMouseEvent;
property OnMouseMove: TMouseMoveEvent;
property OnMouseLeave: TNotifyEvent;
property Alignment: TAlignment; [rw] | The intended text alignment.
property HintRect: TRect; [rw]
property HintRectAdjust: TRect; [rw]
property HintData: Pointer; [rw]
property AutoHide: Boolean; [rw] | Does the hint disappear (get hidden) after a while?
property BiDiMode: TBiDiMode; | Customization (of text controls) in bidirectional reading environments.
property HideInterval: Integer; [rw] | The time after which the displayed hint disappears.
end;

Inheritance

THintWindow | The popup box containing helpful information that appears when the mouse pointer hovers over an object.
|
TCustomForm | The base type for TForm.
|
TCustomDesignControl
|
TScrollingWinControl | Class of a windowed control with incorporated scroll bars.
|
TCustomControl | The base class for windowed controls which paint themselves.
|
TWinControl | The base class for controls which can contain other (child) controls.
|
TControl | The base class for visible controls.
|
TLCLComponent | The base class for LCL components associated with widgets.
|
TComponent,IUnknown,IInterfaceComponentReference
|
TPersistent,IFPObserved
|
TObject

Description

Usage:

HintWindow := THintWindow.Create(nil);
   Rect := HintWindow.CalcHintRect(0,'This is the hint',nil);
   HintWindow.ActivateHint(Rect,'This is the hint');


THintWindow
 |  | Alignment
 |  | HintRect
 |  | HintRectAdjust
 |  | HintData
 |  | AutoHide
 | ro | BiDiMode
 |  | HideInterval
TCustomForm
pt | ro | ClientHandle
 | ro | Active
 |  | ActiveControl
 |  | ActiveDefaultControl
 |  | AllowDropFiles
 |  | AlphaBlend
 |  | AlphaBlendValue
 | ro | AutoScroll
 |  | BorderIcons
 |  | BorderStyle
 |  | CancelControl
 | ro | Caption
 | ro | Color
 |  | DefaultControl
 |  | DefaultMonitor
 |  | Designer
 | ro | EffectiveShowInTaskBar
 | ro | FormState
 |  | FormStyle
 |  | HelpFile
 |  | Icon
 |  | KeyPreview
 | ro | MDIChildren
 |  | Menu
 |  | ModalResult
 | ro | Monitor
 | ro | LastActiveControl
 |  | PopupMode
 |  | PopupParent
 | ro | ParentFont
 |  | Position
 | ro | RestoredLeft
 | ro | RestoredTop
 | ro | RestoredWidth
 | ro | RestoredHeight
 |  | ShowInTaskBar
 | ro | Visible
 |  | WindowState
TCustomDesignControl
 |  | DesignTimePPI
 |  | PixelsPerInch
 |  | Scaled
TScrollingWinControl
pt |  | AutoScroll
pl |  | HorzScrollBar
pl |  | VertScrollBar
TCustomControl
 |  | Canvas
 | ro | BorderStyle
TWinControl
pt |  | WindowHandle
pt |  | BorderStyle
pt |  | ParentBackground
 |  | BorderWidth
 | ro | BoundsLockCount
 | ro | Brush
 | ro | CachedClientHeight
 | ro | CachedClientWidth
 |  | ChildSizing
 | ro | ControlCount
 | ro | Controls
 |  | DefWndProc
 | ro | DockClientCount
 | ro | DockClients
 |  | DockManager
 |  | DockSite
 |  | DoubleBuffered
 |  | Handle
 | ro | IsFlipped
 | ro | IsResizing
 |  | TabOrder
 |  | TabStop
 |  | ParentDoubleBuffered
 |  | ParentWindow
 | ro | Showing
 |  | UseDockManager
 |  | DesignerDeleting
 | ro | VisibleDockClientCount
TControl
pt | ro | AutoSizing
pt | ro | AutoSizingAll
pt | ro | AutoSizingLockCount
pt |  | ActionLink
pt |  | DesktopFont
pt |  | DragCursor
pt |  | DragKind
pt |  | DragMode
pt |  | MouseCapture
pt |  | ParentColor
pt |  | ParentFont
pt |  | ParentShowHint
pt |  | SessionProperties
pt |  | Text
 | ro | AnchoredControls
 | ro | BaseBounds
 | ro | ReadBounds
 | ro | BaseParentClientSize
 |  | AccessibleDescription
 |  | AccessibleValue
 |  | AccessibleRole
 |  | Action
 |  | Align
 |  | Anchors
 | ro | AnchorSide
 |  | AutoSize
 |  | BorderSpacing
 |  | BoundsRect
 |  | BoundsRectForNewParent
 |  | Caption
 |  | CaptureMouseButtons
 |  | ClientHeight
 | ro | ClientOrigin
 | ro | ClientRect
 |  | ClientWidth
 |  | Color
 |  | Constraints
 | ro | ControlOrigin
 |  | ControlState
 |  | ControlStyle
 |  | Enabled
 |  | Font
 |  | IsControl
 | ro | MouseEntered
 | ro | MouseInClient
 |  | Parent
 |  | PopupMenu
 |  | ShowHint
 |  | Visible
 |  | WindowProc
 |  | DockOrientation
 | ro | Floating
 |  | FloatingDockSiteClass
 |  | HostDockSite
 |  | LRDockWidth
 |  | TBDockHeight
 |  | UndockHeight
 |  | UndockWidth
 |  | BiDiMode
 |  | ParentBiDiMode
pl |  | AnchorSideLeft
pl |  | AnchorSideTop
pl |  | AnchorSideRight
pl |  | AnchorSideBottom
pl |  | Cursor
pl |  | Left
pl |  | Height
pl |  | Hint
pl |  | Top
pl |  | Width
pl |  | HelpType
pl |  | HelpKeyword
pl |  | HelpContext
TLCLComponent
 | ro | LCLRefCount
 | ro | WidgetSetClass
TComponent
 | ro | ComObject
 | ro | Components
 | ro | ComponentCount
 |  | ComponentIndex
 | ro | ComponentState
 | ro | ComponentStyle
 |  | DesignInfo
 | ro | Owner
 |  | VCLComObject
 |  | Name
 |  | Tag
TPersistent
TObject


 |  | AccessibleDescription (TControl)
 |  | AccessibleRole (TControl)
 |  | AccessibleValue (TControl)
 |  | Action (TControl)
pt |  | ActionLink (TControl)
 | ro | Active (TCustomForm)
 |  | ActiveControl (TCustomForm)
 |  | ActiveDefaultControl (TCustomForm)
 |  | Align (TControl)
 |  | Alignment (THintWindow)
 |  | AllowDropFiles (TCustomForm)
 |  | AlphaBlend (TCustomForm)
 |  | AlphaBlendValue (TCustomForm)
 | ro | AnchoredControls (TControl)
 |  | Anchors (TControl)
 | ro | AnchorSide (TControl)
pl |  | AnchorSideBottom (TControl)
pl |  | AnchorSideLeft (TControl)
pl |  | AnchorSideRight (TControl)
pl |  | AnchorSideTop (TControl)
 |  | AutoHide (THintWindow)
pt |  | AutoScroll (TScrollingWinControl)
 | ro | AutoScroll (TCustomForm)
 |  | AutoSize (TControl)
pt | ro | AutoSizing (TControl)
pt | ro | AutoSizingAll (TControl)
pt | ro | AutoSizingLockCount (TControl)
 | ro | BaseBounds (TControl)
 | ro | BaseParentClientSize (TControl)
 |  | BiDiMode (TControl)
 | ro | BiDiMode (THintWindow)
 |  | BorderIcons (TCustomForm)
 |  | BorderSpacing (TControl)
pt |  | BorderStyle (TWinControl)
 | ro | BorderStyle (TCustomControl)
 |  | BorderStyle (TCustomForm)
 |  | BorderWidth (TWinControl)
 | ro | BoundsLockCount (TWinControl)
 |  | BoundsRect (TControl)
 |  | BoundsRectForNewParent (TControl)
 | ro | Brush (TWinControl)
 | ro | CachedClientHeight (TWinControl)
 | ro | CachedClientWidth (TWinControl)
 |  | CancelControl (TCustomForm)
 |  | Canvas (TCustomControl)
 |  | Caption (TControl)
 | ro | Caption (TCustomForm)
 |  | CaptureMouseButtons (TControl)
 |  | ChildSizing (TWinControl)
pt | ro | ClientHandle (TCustomForm)
 |  | ClientHeight (TControl)
 | ro | ClientOrigin (TControl)
 | ro | ClientRect (TControl)
 |  | ClientWidth (TControl)
 |  | Color (TControl)
 | ro | Color (TCustomForm)
 | ro | ComObject (TComponent)
 | ro | ComponentCount (TComponent)
 |  | ComponentIndex (TComponent)
 | ro | Components (TComponent)
 | ro | ComponentState (TComponent)
 | ro | ComponentStyle (TComponent)
 |  | Constraints (TControl)
 | ro | ControlCount (TWinControl)
 | ro | ControlOrigin (TControl)
 | ro | Controls (TWinControl)
 |  | ControlState (TControl)
 |  | ControlStyle (TControl)
pl |  | Cursor (TControl)
 |  | DefaultControl (TCustomForm)
 |  | DefaultMonitor (TCustomForm)
 |  | DefWndProc (TWinControl)
 |  | Designer (TCustomForm)
 |  | DesignerDeleting (TWinControl)
 |  | DesignInfo (TComponent)
 |  | DesignTimePPI (TCustomDesignControl)
pt |  | DesktopFont (TControl)
 | ro | DockClientCount (TWinControl)
 | ro | DockClients (TWinControl)
 |  | DockManager (TWinControl)
 |  | DockOrientation (TControl)
 |  | DockSite (TWinControl)
 |  | DoubleBuffered (TWinControl)
pt |  | DragCursor (TControl)
pt |  | DragKind (TControl)
pt |  | DragMode (TControl)
 | ro | EffectiveShowInTaskBar (TCustomForm)
 |  | Enabled (TControl)
 | ro | Floating (TControl)
 |  | FloatingDockSiteClass (TControl)
 |  | Font (TControl)
 | ro | FormState (TCustomForm)
 |  | FormStyle (TCustomForm)
 |  | Handle (TWinControl)
pl |  | Height (TControl)
pl |  | HelpContext (TControl)
 |  | HelpFile (TCustomForm)
pl |  | HelpKeyword (TControl)
pl |  | HelpType (TControl)
 |  | HideInterval (THintWindow)
pl |  | Hint (TControl)
 |  | HintData (THintWindow)
 |  | HintRect (THintWindow)
 |  | HintRectAdjust (THintWindow)
pl |  | HorzScrollBar (TScrollingWinControl)
 |  | HostDockSite (TControl)
 |  | Icon (TCustomForm)
 |  | IsControl (TControl)
 | ro | IsFlipped (TWinControl)
 | ro | IsResizing (TWinControl)
 |  | KeyPreview (TCustomForm)
 | ro | LastActiveControl (TCustomForm)
 | ro | LCLRefCount (TLCLComponent)
pl |  | Left (TControl)
 |  | LRDockWidth (TControl)
 | ro | MDIChildren (TCustomForm)
 |  | Menu (TCustomForm)
 |  | ModalResult (TCustomForm)
 | ro | Monitor (TCustomForm)
pt |  | MouseCapture (TControl)
 | ro | MouseEntered (TControl)
 | ro | MouseInClient (TControl)
 |  | Name (TComponent)
 | ro | Owner (TComponent)
 |  | Parent (TControl)
pt |  | ParentBackground (TWinControl)
 |  | ParentBiDiMode (TControl)
pt |  | ParentColor (TControl)
 |  | ParentDoubleBuffered (TWinControl)
pt |  | ParentFont (TControl)
 | ro | ParentFont (TCustomForm)
pt |  | ParentShowHint (TControl)
 |  | ParentWindow (TWinControl)
 |  | PixelsPerInch (TCustomDesignControl)
 |  | PopupMenu (TControl)
 |  | PopupMode (TCustomForm)
 |  | PopupParent (TCustomForm)
 |  | Position (TCustomForm)
 | ro | ReadBounds (TControl)
 | ro | RestoredHeight (TCustomForm)
 | ro | RestoredLeft (TCustomForm)
 | ro | RestoredTop (TCustomForm)
 | ro | RestoredWidth (TCustomForm)
 |  | Scaled (TCustomDesignControl)
pt |  | SessionProperties (TControl)
 |  | ShowHint (TControl)
 | ro | Showing (TWinControl)
 |  | ShowInTaskBar (TCustomForm)
 |  | TabOrder (TWinControl)
 |  | TabStop (TWinControl)
 |  | Tag (TComponent)
 |  | TBDockHeight (TControl)
pt |  | Text (TControl)
pl |  | Top (TControl)
 |  | UndockHeight (TControl)
 |  | UndockWidth (TControl)
 |  | UseDockManager (TWinControl)
 |  | VCLComObject (TComponent)
pl |  | VertScrollBar (TScrollingWinControl)
 |  | Visible (TControl)
 | ro | Visible (TCustomForm)
 | ro | VisibleDockClientCount (TWinControl)
 | ro | WidgetSetClass (TLCLComponent)
pl |  | Width (TControl)
pt |  | WindowHandle (TWinControl)
 |  | WindowProc (TControl)
 |  | WindowState (TCustomForm)


THintWindow
pt | WSRegisterClass
pt | WMNCHitTest
pt | ActivateSub
pt | DoShowWindow
pt | UpdateRegion
pt | SetColor
pt | UseBGThemes
pt | UseFGThemes
pt | Paint
pt | SysHintFont
 | Destroy
 | Create
 | ActivateHint
 | ActivateWithBounds
 | ActivateHintData
 | CalcHintRect
 | OffsetHintRect
 | InitializeWnd
 | IsHintMsg
 | ReleaseHandle
 | SetBounds
 | GetControlClassDefaultSize
TCustomForm
pt | WMActivate
pt | WMCloseQuery
pt | WMHelp
pt | WMMove
pt | WMShowWindow
pt | WMSize
pt | WMWindowPosChanged
pt | CMBiDiModeChanged
pt | CMParentBiDiModeChanged
pt | CMAppShowBtnGlyphChanged
pt | CMAppShowMenuGlyphChanged
pt | CMIconChanged
pt | CMRelease
pt | CMActivate
pt | CMDeactivate
pt | CMShowingChanged
pt | WMDPIChanged
pt | WSRegisterClass
pt | DoShowWindow
pt | Activate
pt | ActiveChanged
pt | AdjustClientRect
pt | BeginFormUpdate
pt | ColorIsStored
pt | CreateParams
pt | CreateWnd
pt | Deactivate
pt | DoClose
pt | DoCreate
pt | DoDestroy
pt | DoHide
pt | DoShow
pt | EndFormUpdate
pt | HandleCreateException
pt | HandleDestroyException
pt | HandleShowHideException
pt | InitializeWnd
pt | Loaded
pt | ChildHandlesCreated
pt | Notification
pt | PaintWindow
pt | RequestAlign
pt | Resizing
pt | CalculatePreferredSize
pt | SetZOrder
pt | SetParent
pt | MoveToDefaultPosition
pt | UpdateShowing
pt | SetVisible
pt | AllAutoSized
pt | DoFirstShow
pt | UpdateWindowState
pt | VisibleChanging
pt | VisibleChanged
pt | WndProc
pt | VisibleIsStored
pt | DoSendBoundsToInterface
pt | DoAutoSize
pt | SetAutoSize
pt | SetAutoScroll
pt | SetScaled
pt | DoAddActionList
pt | DoRemoveActionList
pt | ProcessResource
pt | BeginAutoDrag
pt | DoDock
pt | GetFloating
pt | GetDefaultDockCaption
pt | CMActionExecute
pt | CMActionUpdate
pt | DoExecuteAction
pt | DoUpdateAction
pt | UpdateActions
 | Create
 | CreateNew
 | Destroy
 | AfterConstruction
 | BeforeDestruction
 | GetControlClassDefaultSize
 | BigIconHandle
 | Close
 | CloseQuery
 | DefocusControl
 | DestroyWnd
 | EnsureVisible
 | FocusControl
 | FormIsUpdating
 | GetFormImage
 | GetRolesForControl
 | GetRealPopupParent
 | Hide
 | IntfDropFiles
 | IntfHelp
 | IsShortcut
 | MakeFullyVisible
 | AutoSizeDelayedHandle
 | GetPreferredSize
 | Release
 | CanFocus
 | SetFocus
 | SetFocusedControl
 | SetRestoredBounds
 | Show
 | ShowModal
 | ShowOnTop
 | SmallIconHandle
 | GetChildren
 | WantChildKey
 | RemoveAllHandlersOfObject
 | AddHandlerFirstShow
 | RemoveHandlerFirstShow
 | AddHandlerClose
 | RemoveHandlerClose
 | AddHandlerCreate
 | RemoveHandlerCreate
 | ActiveMDIChild
 | GetMDIChildren
 | MDIChildCount
 | AutoScale
 | Dock
 | UpdateDockCaption
TCustomDesignControl
pt | SetScaled
pt | DoAutoAdjustLayout
pt | Loaded
 | Create
 | AutoAdjustLayout
TScrollingWinControl
pt | WSRegisterClass
pt | AlignControls
pt | AutoScrollEnabled
pt | CalculateAutoRanges
pt | CreateWnd
pt | GetClientScrollOffset
pt | GetLogicalClientRect
pt | DoOnResize
pt | GetPreferredSizeClientFrame
pt | WMSize
pt | WMHScroll
pt | WMVScroll
pt | ComputeScrollbars
pt | SetAutoScroll
pt | Loaded
pt | Resizing
pt | SetAutoSize
 | Create
 | Destroy
 | ScreenToClient
 | ClientToScreen
 | UpdateScrollbars
 | GetControlClassDefaultSize
 | ScrollBy
 | ScrollInView
TCustomControl
pt | WSRegisterClass
pt | WMPaint
pt | DestroyWnd
pt | PaintWindow
pt | FontChanged
pt | SetColor
pt | Paint
 | Create
 | Destroy
TWinControl
pt | WSRegisterClass
pt | AdjustClientRect
pt | GetAdjustedLogicalClientRect
pt | AlignControls
pt | CustomAlignInsertBefore
pt | CustomAlignPosition
pt | DoAlignChildControls
pt | DoChildSizingChange
pt | InvalidatePreferredChildSizes
pt | CanTab
pt | IsClientHeightStored
pt | IsClientWidthStored
pt | DoSendShowHideToInterface
pt | ControlsAligned
pt | DoSendBoundsToInterface
pt | RealizeBounds
pt | RealizeBoundsRecursive
pt | InvalidateBoundsRealized
pt | CreateSubClass
pt | DoConstraintsChange
pt | DoSetBounds
pt | DoAutoSize
pt | DoAllAutoSize
pt | AllAutoSized
pt | CalculatePreferredSize
pt | GetPreferredSizeClientFrame
pt | GetChildren
pt | ChildClassAllowed
pt | PaintControls
pt | PaintHandler
pt | PaintWindow
pt | CreateBrush
pt | ScaleControls
pt | ChangeScale
pt | CMBiDiModeChanged
pt | CMBorderChanged
pt | CMDoubleBufferedChanged
pt | CMEnabledChanged
pt | CMParentDoubleBufferedChanged
pt | CMShowingChanged
pt | CMShowHintChanged
pt | CMVisibleChanged
pt | CMEnter
pt | CMExit
pt | WMContextMenu
pt | WMEraseBkgnd
pt | WMNotify
pt | WMSetFocus
pt | WMKillFocus
pt | WMShowWindow
pt | WMEnter
pt | WMExit
pt | WMKeyDown
pt | WMSysKeyDown
pt | WMKeyUp
pt | WMSysKeyUp
pt | WMChar
pt | WMSysChar
pt | WMPaint
pt | WMDestroy
pt | WMMove
pt | WMSize
pt | WMWindowPosChanged
pt | CNKeyDown
pt | CNSysKeyDown
pt | CNKeyUp
pt | CNSysKeyUp
pt | CNChar
pt | DoDragMsg
pt | DoDockClientMsg
pt | DoUndockClientMsg
pt | DoAddDockClient
pt | DockOver
pt | DoDockOver
pt | DoRemoveDockClient
pt | DoUnDock
pt | GetSiteInfo
pt | GetParentHandle
pt | GetTopParentHandle
pt | ReloadDockedControl
pt | CreateDockManager
pt | SetDockManager
pt | DoFloatMsg
pt | DoGetDockCaption
pt | DoEnter
pt | DoExit
pt | DoKeyDownBeforeInterface
pt | DoRemainingKeyDown
pt | DoRemainingKeyUp
pt | DoKeyPress
pt | DoUTF8KeyPress
pt | DoKeyUpBeforeInterface
pt | ChildKey
pt | SendDialogChar
pt | DialogChar
pt | ControlKeyDown
pt | ControlKeyUp
pt | KeyDown
pt | KeyDownBeforeInterface
pt | KeyDownAfterInterface
pt | KeyPress
pt | KeyUp
pt | KeyUpBeforeInterface
pt | KeyUpAfterInterface
pt | UTF8KeyPress
pt | FindNextControl
pt | SelectFirst
pt | RealGetText
pt | GetBorderStyle
pt | GetClientOrigin
pt | GetClientRect
pt | GetControlOrigin
pt | GetDeviceContext
pt | GetParentBackground
pt | IsControlMouseMsg
pt | CreateHandle
pt | CreateParams
pt | CreateWnd
pt | DestroyHandle
pt | DestroyWnd
pt | DoFlipChildren
pt | FinalizeWnd
pt | FixupTabList
pt | FontChanged
pt | InitializeWnd
pt | Loaded
pt | FormEndUpdated
pt | MainWndProc
pt | ParentFormHandleInitialized
pt | ChildHandlesCreated
pt | GetMouseCapture
pt | RealSetText
pt | RemoveFocus
pt | SendMoveSizeMessages
pt | SetBorderStyle
pt | SetColor
pt | SetChildZPosition
pt | SetParentBackground
pt | ShowControl
pt | UpdateControlState
pt | UpdateShowing
pt | WndProc
pt | WSSetText
 | AutoSizePhases
 | AutoSizeDelayed
 | AutoSizeDelayedReport
 | AutoSizeDelayedHandle
 | BeginUpdateBounds
 | EndUpdateBounds
 | LockRealizeBounds
 | UnlockRealizeBounds
 | ControlAtPos
 | ContainsControl
 | DoAdjustClientRectChange
 | InvalidateClientRectCache
 | ClientRectNeedsInterfaceUpdate
 | SetBounds
 | GetChildrenRect
 | DisableAlign
 | EnableAlign
 | ReAlign
 | ScrollBy_WS
 | ScrollBy
 | WriteLayoutDebugReport
 | AutoAdjustLayout
 | Create
 | CreateParented
 | CreateParentedControl
 | Destroy
 | DockDrop
 | CanFocus
 | CanSetFocus
 | GetControlIndex
 | SetControlIndex
 | Focused
 | PerformTab
 | FindChildControl
 | SelectNext
 | SetTempCursor
 | BroadCast
 | NotifyControls
 | DefaultHandler
 | GetTextLen
 | Invalidate
 | AddControl
 | InsertControl
 | RemoveControl
 | GetEnumeratorControls
 | GetEnumeratorControlsReverse
 | Repaint
 | Update
 | SetFocus
 | FlipChildren
 | ScaleBy
 | GetDockCaption
 | UpdateDockCaption
 | GetTabOrderList
 | HandleAllocated
 | ParentHandlesAllocated
 | HandleNeeded
 | BrushCreated
 | EraseBackground
 | IntfUTF8KeyPress
 | IntfGetDropFilesTarget
 | PaintTo
 | SetShape
TControl
pt | WSRegisterClass
pt | GetCursor
pt | SetCursor
pt | SetVisible
pt | DoOnParentHandleDestruction
pt | DoAutoSize
pt | DoAllAutoSize
pt | BeginAutoSizing
pt | EndAutoSizing
pt | AnchorSideChanged
pt | ForeignAnchorSideChanged
pt | SetAlign
pt | SetAnchors
pt | SetAutoSize
pt | BoundsChanged
pt | CreateControlBorderSpacing
pt | DoConstraintsChange
pt | DoBorderSpacingChange
pt | IsBorderSpacingInnerBorderStored
pt | IsCaptionStored
pt | SendMoveSizeMessages
pt | ConstrainedResize
pt | CalculatePreferredSize
pt | DoOnResize
pt | DoOnChangeBounds
pt | CheckOnChangeBounds
pt | Resize
pt | RequestAlign
pt | UpdateAnchorRules
pt | ChangeBounds
pt | DoSetBounds
pt | ScaleConstraints
pt | ChangeScale
pt | CanAutoSize
pt | SetBiDiMode
pt | SetParentBiDiMode
pt | IsAParentAligning
pt | GetClientOrigin
pt | GetClientRect
pt | GetLogicalClientRect
pt | GetScrolledClientRect
pt | GetClientScrollOffset
pt | GetControlOrigin
pt | IsClientHeightStored
pt | IsClientWidthStored
pt | WidthIsAnchored
pt | HeightIsAnchored
pt | WMCancelMode
pt | WMContextMenu
pt | WMLButtonDown
pt | WMRButtonDown
pt | WMMButtonDown
pt | WMXButtonDown
pt | WMLButtonDBLCLK
pt | WMRButtonDBLCLK
pt | WMMButtonDBLCLK
pt | WMXButtonDBLCLK
pt | WMLButtonTripleCLK
pt | WMRButtonTripleCLK
pt | WMMButtonTripleCLK
pt | WMXButtonTripleCLK
pt | WMLButtonQuadCLK
pt | WMRButtonQuadCLK
pt | WMMButtonQuadCLK
pt | WMXButtonQuadCLK
pt | WMMouseMove
pt | WMLButtonUp
pt | WMRButtonUp
pt | WMMButtonUp
pt | WMXButtonUp
pt | WMMouseWheel
pt | WMMouseHWheel
pt | WMMove
pt | WMSize
pt | WMWindowPosChanged
pt | CMChanged
pt | LMCaptureChanged
pt | CMBiDiModeChanged
pt | CMSysFontChanged
pt | CMEnabledChanged
pt | CMHitTest
pt | CMMouseEnter
pt | CMMouseLeave
pt | CMHintShow
pt | CMParentBiDiModeChanged
pt | CMParentColorChanged
pt | CMParentFontChanged
pt | CMParentShowHintChanged
pt | CMVisibleChanged
pt | CMTextChanged
pt | CMCursorChanged
pt | CalculateDockSizes
pt | CreateFloatingDockSite
pt | GetDockEdge
pt | GetDragImages
pt | GetFloating
pt | GetFloatingDockSiteClass
pt | BeforeDragStart
pt | BeginAutoDrag
pt | DoFloatMsg
pt | DockTrackNoTarget
pt | DoDock
pt | DoDragMsg
pt | DoEndDock
pt | DoEndDrag
pt | DoStartDock
pt | DoStartDrag
pt | DragCanceled
pt | DragOver
pt | PositionDockRect
pt | SetDragMode
pt | GetDefaultDockCaption
pt | Click
pt | DblClick
pt | TripleClick
pt | QuadClick
pt | GetMousePosFromMessage
pt | MouseDown
pt | MouseMove
pt | MouseUp
pt | MouseEnter
pt | MouseLeave
pt | DialogChar
pt | UpdateMouseCursor
pt | Changed
pt | GetPalette
pt | ChildClassAllowed
pt | ReadState
pt | Loaded
pt | LoadedAll
pt | DefineProperties
pt | AssignTo
pt | FormEndUpdated
pt | InvalidateControl
pt | FontChanged
pt | ParentFontChanged
pt | GetAction
pt | RealGetText
pt | RealSetText
pt | TextChanged
pt | GetCachedText
pt | SetAction
pt | SetColor
pt | SetEnabled
pt | SetHint
pt | SetName
pt | SetParent
pt | SetParentComponent
pt | WndProc
pt | ParentFormHandleInitialized
pt | GetMouseCapture
pt | CaptureChanged
pt | Notification
pt | CanTab
pt | GetDeviceContext
pt | GetEnabled
pt | GetPopupMenu
pt | DoOnShowHint
pt | DoMouseWheel
pt | DoMouseWheelDown
pt | DoMouseWheelUp
pt | DoMouseWheelHorz
pt | DoMouseWheelLeft
pt | DoMouseWheelRight
pt | VisibleChanging
pt | VisibleChanged
pt | EnabledChanging
pt | EnabledChanged
pt | AddHandler
pt | RemoveHandler
pt | DoCallNotifyHandler
pt | DoCallKeyEventHandler
pt | DoCallMouseWheelEventHandler
pt | DoContextPopup
pt | SetZOrder
pt | GetControlClassDefaultSize
pt | ColorIsStored
pt | DoAutoAdjustLayout
pt | DoFixDesignFontPPI
pt | DoScaleFontPPI
pt | GetActionLinkClass
pt | ActionChange
 | DragDrop
 | Dock
 | ManualDock
 | ManualFloat
 | ReplaceDockedControl
 | Docked
 | Dragging
 | GetAccessibleObject
 | CreateAccessibleObject
 | GetSelectedChildAccessibleObject
 | GetChildAccessibleObjectAtPos
 | ScaleDesignToForm
 | ScaleFormToDesign
 | Scale96ToForm
 | ScaleFormTo96
 | Scale96ToFont
 | ScaleFontTo96
 | ScaleScreenToFont
 | ScaleFontToScreen
 | Scale96ToScreen
 | ScaleScreenTo96
 | AdjustSize
 | AutoSizePhases
 | AutoSizeDelayed
 | AutoSizeDelayedReport
 | AutoSizeDelayedHandle
 | AnchorToNeighbour
 | AnchorParallel
 | AnchorHorizontalCenterTo
 | AnchorVerticalCenterTo
 | AnchorToCompanion
 | AnchorSame
 | AnchorAsAlign
 | AnchorClient
 | AnchoredControlCount
 | SetBounds
 | SetInitialBounds
 | SetBoundsKeepBase
 | GetPreferredSize
 | GetCanvasScaleFactor
 | GetDefaultWidth
 | GetDefaultHeight
 | GetDefaultColor
 | GetColorResolvingParent
 | GetRGBColorResolvingParent
 | GetSidePosition
 | CNPreferredSizeChanged
 | InvalidatePreferredSize
 | GetAnchorsDependingOnParent
 | DisableAutoSizing
 | EnableAutoSizing
 | UpdateBaseBounds
 | WriteLayoutDebugReport
 | AutoAdjustLayout
 | ShouldAutoAdjust
 | FixDesignFontsPPI
 | ScaleFontsPPI
 | Create
 | Destroy
 | BeforeDestruction
 | EditingDone
 | ExecuteDefaultAction
 | ExecuteCancelAction
 | BeginDrag
 | EndDrag
 | BringToFront
 | HasParent
 | GetParentComponent
 | IsParentOf
 | GetTopParent
 | IsVisible
 | IsControlVisible
 | IsEnabled
 | IsParentColor
 | IsParentFont
 | FormIsUpdating
 | IsProcessingPaintMsg
 | Hide
 | Refresh
 | Repaint
 | Invalidate
 | CheckChildClassAllowed
 | CheckNewParent
 | SendToBack
 | SetTempCursor
 | UpdateRolesForForm
 | ActiveDefaultControlChanged
 | GetTextBuf
 | GetTextLen
 | SetTextBuf
 | Perform
 | ScreenToClient
 | ClientToScreen
 | ScreenToControl
 | ControlToScreen
 | ClientToParent
 | ParentToClient
 | GetChildrenRect
 | Show
 | Update
 | HandleObjectShouldBeVisible
 | ParentDestroyingHandle
 | ParentHandlesAllocated
 | InitiateAction
 | ShowHelp
 | HasHelp
 | RemoveAllHandlersOfObject
 | AddHandlerOnResize
 | RemoveHandlerOnResize
 | AddHandlerOnChangeBounds
 | RemoveHandlerOnChangeBounds
 | AddHandlerOnVisibleChanging
 | RemoveHandlerOnVisibleChanging
 | AddHandlerOnVisibleChanged
 | RemoveHandlerOnVisibleChanged
 | AddHandlerOnEnabledChanged
 | RemoveHandlerOnEnableChanging
 | AddHandlerOnKeyDown
 | RemoveHandlerOnKeyDown
 | AddHandlerOnBeforeDestruction
 | RemoveHandlerOnBeforeDestruction
 | AddHandlerOnMouseWheel
 | RemoveHandlerOnMouseWheel
 | UseRightToLeftAlignment
 | UseRightToLeftReading
 | UseRightToLeftScrollBar
 | IsRightToLeft
TLCLComponent
pt | WSRegisterClass
pt | GetWSComponentClass
 | Create
 | Destroy
 | NewInstance
 | RemoveAllHandlersOfObject
 | IncLCLRefCount
 | DecLCLRefCount
TComponent
 | GetComObject
 | GetComponent
 | GetComponentCount
 | GetComponentIndex
 | Insert
 | ReadLeft
 | ReadTop
 | Remove
 | RemoveNotification
 | SetComponentIndex
 | SetReference
 | WriteLeft
 | WriteTop
 | ChangeName
 | DefineProperties
 | GetChildren
 | GetChildOwner
 | GetChildParent
 | GetOwner
 | Loaded
 | Loading
 | Notification
 | PaletteCreated
 | ReadState
 | SetAncestor
 | SetDesigning
 | SetDesignInstance
 | SetInline
 | SetName
 | SetChildOrder
 | SetParentComponent
 | Updating
 | Updated
 | UpdateRegistry
 | ValidateRename
 | ValidateContainer
 | ValidateInsert
 | QueryInterface
 | _AddRef
 | _Release
 | iicrGetComponent
 | GetTypeInfoCount
 | GetTypeInfo
 | GetIDsOfNames
 | Invoke
 | WriteState
 | Create
 | Destroy
 | BeforeDestruction
 | DestroyComponents
 | Destroying
 | ExecuteAction
 | FindComponent
 | FreeNotification
 | RemoveFreeNotification
 | FreeOnRelease
 | GetEnumerator
 | GetNamePath
 | GetParentComponent
 | HasParent
 | InsertComponent
 | RemoveComponent
 | SafeCallException
 | SetSubComponent
 | UpdateAction
 | IsImplementorOf
 | ReferenceInterface
TPersistent
 | AssignError
 | AssignTo
 | DefineProperties
 | GetOwner
 | Destroy
 | Assign
 | FPOAttachObserver
 | FPODetachObserver
 | FPONotifyObservers
 | GetNamePath
TObject
 | Create
 | Destroy
 | newinstance
 | FreeInstance
 | SafeCallException
 | DefaultHandler
 | Free
 | InitInstance
 | CleanupInstance
 | ClassType
 | ClassInfo
 | ClassName
 | ClassNameIs
 | ClassParent
 | InstanceSize
 | InheritsFrom
 | StringMessageTable
 | MethodAddress
 | MethodName
 | FieldAddress
 | AfterConstruction
 | BeforeDestruction
 | DefaultHandlerStr
 | Dispatch
 | DispatchStr
 | GetInterface
 | GetInterfaceByStr
 | GetInterfaceWeak
 | GetInterfaceEntry
 | GetInterfaceEntryByStr
 | GetInterfaceTable
 | UnitName
 | Equals
 | GetHashCode
 | ToString


pt | ActionChange (TControl)
pt | Activate (TCustomForm)
 | ActivateHint (THintWindow)
 | ActivateHintData (THintWindow)
pt | ActivateSub (THintWindow)
 | ActivateWithBounds (THintWindow)
pt | ActiveChanged (TCustomForm)
 | ActiveDefaultControlChanged (TControl)
 | ActiveMDIChild (TCustomForm)
 | AddControl (TWinControl)
pt | AddHandler (TControl)
 | AddHandlerClose (TCustomForm)
 | AddHandlerCreate (TCustomForm)
 | AddHandlerFirstShow (TCustomForm)
 | AddHandlerOnBeforeDestruction (TControl)
 | AddHandlerOnChangeBounds (TControl)
 | AddHandlerOnEnabledChanged (TControl)
 | AddHandlerOnKeyDown (TControl)
 | AddHandlerOnMouseWheel (TControl)
 | AddHandlerOnResize (TControl)
 | AddHandlerOnVisibleChanged (TControl)
 | AddHandlerOnVisibleChanging (TControl)
pt | AdjustClientRect (TWinControl)
pt | AdjustClientRect (TCustomForm)
 | AdjustSize (TControl)
 | AfterConstruction (TObject)
 | AfterConstruction (TCustomForm)
pt | AlignControls (TWinControl)
pt | AlignControls (TScrollingWinControl)
pt | AllAutoSized (TWinControl)
pt | AllAutoSized (TCustomForm)
 | AnchorAsAlign (TControl)
 | AnchorClient (TControl)
 | AnchoredControlCount (TControl)
 | AnchorHorizontalCenterTo (TControl)
 | AnchorParallel (TControl)
 | AnchorSame (TControl)
pt | AnchorSideChanged (TControl)
 | AnchorToCompanion (TControl)
 | AnchorToNeighbour (TControl)
 | AnchorVerticalCenterTo (TControl)
 | Assign (TPersistent)
 | AssignError (TPersistent)
 | AssignTo (TPersistent)
pt | AssignTo (TControl)
 | AutoAdjustLayout (TControl)
 | AutoAdjustLayout (TWinControl)
 | AutoAdjustLayout (TCustomDesignControl)
 | AutoScale (TCustomForm)
pt | AutoScrollEnabled (TScrollingWinControl)
 | AutoSizeDelayed (TControl)
 | AutoSizeDelayed (TWinControl)
 | AutoSizeDelayedHandle (TControl)
 | AutoSizeDelayedHandle (TWinControl)
 | AutoSizeDelayedHandle (TCustomForm)
 | AutoSizeDelayedReport (TControl)
 | AutoSizeDelayedReport (TWinControl)
 | AutoSizePhases (TControl)
 | AutoSizePhases (TWinControl)
 | BeforeDestruction (TObject)
 | BeforeDestruction (TComponent)
 | BeforeDestruction (TControl)
 | BeforeDestruction (TCustomForm)
pt | BeforeDragStart (TControl)
pt | BeginAutoDrag (TControl)
pt | BeginAutoDrag (TCustomForm)
pt | BeginAutoSizing (TControl)
 | BeginDrag (TControl)
pt | BeginFormUpdate (TCustomForm)
 | BeginUpdateBounds (TWinControl)
 | BigIconHandle (TCustomForm)
pt | BoundsChanged (TControl)
 | BringToFront (TControl)
 | BroadCast (TWinControl)
 | BrushCreated (TWinControl)
 | CalcHintRect (THintWindow)
pt | CalculateAutoRanges (TScrollingWinControl)
pt | CalculateDockSizes (TControl)
pt | CalculatePreferredSize (TControl)
pt | CalculatePreferredSize (TWinControl)
pt | CalculatePreferredSize (TCustomForm)
pt | CanAutoSize (TControl)
 | CanFocus (TWinControl)
 | CanFocus (TCustomForm)
 | CanSetFocus (TWinControl)
pt | CanTab (TControl)
pt | CanTab (TWinControl)
pt | CaptureChanged (TControl)
pt | ChangeBounds (TControl)
pt | Changed (TControl)
 | ChangeName (TComponent)
pt | ChangeScale (TControl)
pt | ChangeScale (TWinControl)
 | CheckChildClassAllowed (TControl)
 | CheckNewParent (TControl)
pt | CheckOnChangeBounds (TControl)
pt | ChildClassAllowed (TControl)
pt | ChildClassAllowed (TWinControl)
pt | ChildHandlesCreated (TWinControl)
pt | ChildHandlesCreated (TCustomForm)
pt | ChildKey (TWinControl)
 | ClassInfo (TObject)
 | ClassName (TObject)
 | ClassNameIs (TObject)
 | ClassParent (TObject)
 | ClassType (TObject)
 | CleanupInstance (TObject)
pt | Click (TControl)
 | ClientRectNeedsInterfaceUpdate (TWinControl)
 | ClientToParent (TControl)
 | ClientToScreen (TControl)
 | ClientToScreen (TScrollingWinControl)
 | Close (TCustomForm)
 | CloseQuery (TCustomForm)
pt | CMActionExecute (TCustomForm)
pt | CMActionUpdate (TCustomForm)
pt | CMActivate (TCustomForm)
pt | CMAppShowBtnGlyphChanged (TCustomForm)
pt | CMAppShowMenuGlyphChanged (TCustomForm)
pt | CMBiDiModeChanged (TControl)
pt | CMBiDiModeChanged (TWinControl)
pt | CMBiDiModeChanged (TCustomForm)
pt | CMBorderChanged (TWinControl)
pt | CMChanged (TControl)
pt | CMCursorChanged (TControl)
pt | CMDeactivate (TCustomForm)
pt | CMDoubleBufferedChanged (TWinControl)
pt | CMEnabledChanged (TControl)
pt | CMEnabledChanged (TWinControl)
pt | CMEnter (TWinControl)
pt | CMExit (TWinControl)
pt | CMHintShow (TControl)
pt | CMHitTest (TControl)
pt | CMIconChanged (TCustomForm)
pt | CMMouseEnter (TControl)
pt | CMMouseLeave (TControl)
pt | CMParentBiDiModeChanged (TControl)
pt | CMParentBiDiModeChanged (TCustomForm)
pt | CMParentColorChanged (TControl)
pt | CMParentDoubleBufferedChanged (TWinControl)
pt | CMParentFontChanged (TControl)
pt | CMParentShowHintChanged (TControl)
pt | CMRelease (TCustomForm)
pt | CMShowHintChanged (TWinControl)
pt | CMShowingChanged (TWinControl)
pt | CMShowingChanged (TCustomForm)
pt | CMSysFontChanged (TControl)
pt | CMTextChanged (TControl)
pt | CMVisibleChanged (TControl)
pt | CMVisibleChanged (TWinControl)
pt | CNChar (TWinControl)
pt | CNKeyDown (TWinControl)
pt | CNKeyUp (TWinControl)
 | CNPreferredSizeChanged (TControl)
pt | CNSysKeyDown (TWinControl)
pt | CNSysKeyUp (TWinControl)
pt | ColorIsStored (TControl)
pt | ColorIsStored (TCustomForm)
pt | ComputeScrollbars (TScrollingWinControl)
pt | ConstrainedResize (TControl)
 | ContainsControl (TWinControl)
 | ControlAtPos (TWinControl)
pt | ControlKeyDown (TWinControl)
pt | ControlKeyUp (TWinControl)
pt | ControlsAligned (TWinControl)
 | ControlToScreen (TControl)
 | Create (TObject)
 | Create (TComponent)
 | Create (TLCLComponent)
 | Create (TControl)
 | Create (TWinControl)
 | Create (TCustomControl)
 | Create (TScrollingWinControl)
 | Create (TCustomDesignControl)
 | Create (TCustomForm)
 | Create (THintWindow)
 | CreateAccessibleObject (TControl)
pt | CreateBrush (TWinControl)
pt | CreateControlBorderSpacing (TControl)
pt | CreateDockManager (TWinControl)
pt | CreateFloatingDockSite (TControl)
pt | CreateHandle (TWinControl)
 | CreateNew (TCustomForm)
pt | CreateParams (TWinControl)
pt | CreateParams (TCustomForm)
 | CreateParented (TWinControl)
 | CreateParentedControl (TWinControl)
pt | CreateSubClass (TWinControl)
pt | CreateWnd (TWinControl)
pt | CreateWnd (TScrollingWinControl)
pt | CreateWnd (TCustomForm)
pt | CustomAlignInsertBefore (TWinControl)
pt | CustomAlignPosition (TWinControl)
pt | DblClick (TControl)
pt | Deactivate (TCustomForm)
 | DecLCLRefCount (TLCLComponent)
 | DefaultHandler (TObject)
 | DefaultHandler (TWinControl)
 | DefaultHandlerStr (TObject)
 | DefineProperties (TPersistent)
 | DefineProperties (TComponent)
pt | DefineProperties (TControl)
 | DefocusControl (TCustomForm)
 | Destroy (TObject)
 | Destroy (TPersistent)
 | Destroy (TComponent)
 | Destroy (TLCLComponent)
 | Destroy (TControl)
 | Destroy (TWinControl)
 | Destroy (TCustomControl)
 | Destroy (TScrollingWinControl)
 | Destroy (TCustomForm)
 | Destroy (THintWindow)
 | DestroyComponents (TComponent)
pt | DestroyHandle (TWinControl)
 | Destroying (TComponent)
pt | DestroyWnd (TWinControl)
pt | DestroyWnd (TCustomControl)
 | DestroyWnd (TCustomForm)
pt | DialogChar (TControl)
pt | DialogChar (TWinControl)
 | DisableAlign (TWinControl)
 | DisableAutoSizing (TControl)
 | Dispatch (TObject)
 | DispatchStr (TObject)
pt | DoAddActionList (TCustomForm)
pt | DoAddDockClient (TWinControl)
 | DoAdjustClientRectChange (TWinControl)
pt | DoAlignChildControls (TWinControl)
pt | DoAllAutoSize (TControl)
pt | DoAllAutoSize (TWinControl)
pt | DoAutoAdjustLayout (TControl)
pt | DoAutoAdjustLayout (TCustomDesignControl)
pt | DoAutoSize (TControl)
pt | DoAutoSize (TWinControl)
pt | DoAutoSize (TCustomForm)
pt | DoBorderSpacingChange (TControl)
pt | DoCallKeyEventHandler (TControl)
pt | DoCallMouseWheelEventHandler (TControl)
pt | DoCallNotifyHandler (TControl)
pt | DoChildSizingChange (TWinControl)
 | Dock (TControl)
 | Dock (TCustomForm)
 | DockDrop (TWinControl)
 | Docked (TControl)
pt | DockOver (TWinControl)
pt | DockTrackNoTarget (TControl)
pt | DoClose (TCustomForm)
pt | DoConstraintsChange (TControl)
pt | DoConstraintsChange (TWinControl)
pt | DoContextPopup (TControl)
pt | DoCreate (TCustomForm)
pt | DoDestroy (TCustomForm)
pt | DoDock (TControl)
pt | DoDock (TCustomForm)
pt | DoDockClientMsg (TWinControl)
pt | DoDockOver (TWinControl)
pt | DoDragMsg (TControl)
pt | DoDragMsg (TWinControl)
pt | DoEndDock (TControl)
pt | DoEndDrag (TControl)
pt | DoEnter (TWinControl)
pt | DoExecuteAction (TCustomForm)
pt | DoExit (TWinControl)
pt | DoFirstShow (TCustomForm)
pt | DoFixDesignFontPPI (TControl)
pt | DoFlipChildren (TWinControl)
pt | DoFloatMsg (TControl)
pt | DoFloatMsg (TWinControl)
pt | DoGetDockCaption (TWinControl)
pt | DoHide (TCustomForm)
pt | DoKeyDownBeforeInterface (TWinControl)
pt | DoKeyPress (TWinControl)
pt | DoKeyUpBeforeInterface (TWinControl)
pt | DoMouseWheel (TControl)
pt | DoMouseWheelDown (TControl)
pt | DoMouseWheelHorz (TControl)
pt | DoMouseWheelLeft (TControl)
pt | DoMouseWheelRight (TControl)
pt | DoMouseWheelUp (TControl)
pt | DoOnChangeBounds (TControl)
pt | DoOnParentHandleDestruction (TControl)
pt | DoOnResize (TControl)
pt | DoOnResize (TScrollingWinControl)
pt | DoOnShowHint (TControl)
pt | DoRemainingKeyDown (TWinControl)
pt | DoRemainingKeyUp (TWinControl)
pt | DoRemoveActionList (TCustomForm)
pt | DoRemoveDockClient (TWinControl)
pt | DoScaleFontPPI (TControl)
pt | DoSendBoundsToInterface (TWinControl)
pt | DoSendBoundsToInterface (TCustomForm)
pt | DoSendShowHideToInterface (TWinControl)
pt | DoSetBounds (TControl)
pt | DoSetBounds (TWinControl)
pt | DoShow (TCustomForm)
pt | DoShowWindow (TCustomForm)
pt | DoShowWindow (THintWindow)
pt | DoStartDock (TControl)
pt | DoStartDrag (TControl)
pt | DoUnDock (TWinControl)
pt | DoUndockClientMsg (TWinControl)
pt | DoUpdateAction (TCustomForm)
pt | DoUTF8KeyPress (TWinControl)
pt | DragCanceled (TControl)
 | DragDrop (TControl)
 | Dragging (TControl)
pt | DragOver (TControl)
 | EditingDone (TControl)
 | EnableAlign (TWinControl)
 | EnableAutoSizing (TControl)
pt | EnabledChanged (TControl)
pt | EnabledChanging (TControl)
pt | EndAutoSizing (TControl)
 | EndDrag (TControl)
pt | EndFormUpdate (TCustomForm)
 | EndUpdateBounds (TWinControl)
 | EnsureVisible (TCustomForm)
 | Equals (TObject)
 | EraseBackground (TWinControl)
 | ExecuteAction (TComponent)
 | ExecuteCancelAction (TControl)
 | ExecuteDefaultAction (TControl)
 | FieldAddress (TObject)
pt | FinalizeWnd (TWinControl)
 | FindChildControl (TWinControl)
 | FindComponent (TComponent)
pt | FindNextControl (TWinControl)
 | FixDesignFontsPPI (TControl)
pt | FixupTabList (TWinControl)
 | FlipChildren (TWinControl)
 | FocusControl (TCustomForm)
 | Focused (TWinControl)
pt | FontChanged (TControl)
pt | FontChanged (TWinControl)
pt | FontChanged (TCustomControl)
pt | ForeignAnchorSideChanged (TControl)
pt | FormEndUpdated (TControl)
pt | FormEndUpdated (TWinControl)
 | FormIsUpdating (TControl)
 | FormIsUpdating (TCustomForm)
 | FPOAttachObserver (TPersistent)
 | FPODetachObserver (TPersistent)
 | FPONotifyObservers (TPersistent)
 | Free (TObject)
 | FreeInstance (TObject)
 | FreeNotification (TComponent)
 | FreeOnRelease (TComponent)
 | GetAccessibleObject (TControl)
pt | GetAction (TControl)
pt | GetActionLinkClass (TControl)
pt | GetAdjustedLogicalClientRect (TWinControl)
 | GetAnchorsDependingOnParent (TControl)
pt | GetBorderStyle (TWinControl)
pt | GetCachedText (TControl)
 | GetCanvasScaleFactor (TControl)
 | GetChildAccessibleObjectAtPos (TControl)
 | GetChildOwner (TComponent)
 | GetChildParent (TComponent)
 | GetChildren (TComponent)
pt | GetChildren (TWinControl)
 | GetChildren (TCustomForm)
 | GetChildrenRect (TControl)
 | GetChildrenRect (TWinControl)
pt | GetClientOrigin (TControl)
pt | GetClientOrigin (TWinControl)
pt | GetClientRect (TControl)
pt | GetClientRect (TWinControl)
pt | GetClientScrollOffset (TControl)
pt | GetClientScrollOffset (TScrollingWinControl)
 | GetColorResolvingParent (TControl)
 | GetComObject (TComponent)
 | GetComponent (TComponent)
 | GetComponentCount (TComponent)
 | GetComponentIndex (TComponent)
pt | GetControlClassDefaultSize (TControl)
 | GetControlClassDefaultSize (TScrollingWinControl)
 | GetControlClassDefaultSize (TCustomForm)
 | GetControlClassDefaultSize (THintWindow)
 | GetControlIndex (TWinControl)
pt | GetControlOrigin (TControl)
pt | GetControlOrigin (TWinControl)
pt | GetCursor (TControl)
 | GetDefaultColor (TControl)
pt | GetDefaultDockCaption (TControl)
pt | GetDefaultDockCaption (TCustomForm)
 | GetDefaultHeight (TControl)
 | GetDefaultWidth (TControl)
pt | GetDeviceContext (TControl)
pt | GetDeviceContext (TWinControl)
 | GetDockCaption (TWinControl)
pt | GetDockEdge (TControl)
pt | GetDragImages (TControl)
pt | GetEnabled (TControl)
 | GetEnumerator (TComponent)
 | GetEnumeratorControls (TWinControl)
 | GetEnumeratorControlsReverse (TWinControl)
pt | GetFloating (TControl)
pt | GetFloating (TCustomForm)
pt | GetFloatingDockSiteClass (TControl)
 | GetFormImage (TCustomForm)
 | GetHashCode (TObject)
 | GetIDsOfNames (TComponent)
 | GetInterface (TObject)
 | GetInterfaceByStr (TObject)
 | GetInterfaceEntry (TObject)
 | GetInterfaceEntryByStr (TObject)
 | GetInterfaceTable (TObject)
 | GetInterfaceWeak (TObject)
pt | GetLogicalClientRect (TControl)
pt | GetLogicalClientRect (TScrollingWinControl)
 | GetMDIChildren (TCustomForm)
pt | GetMouseCapture (TControl)
pt | GetMouseCapture (TWinControl)
pt | GetMousePosFromMessage (TControl)
 | GetNamePath (TPersistent)
 | GetNamePath (TComponent)
 | GetOwner (TPersistent)
 | GetOwner (TComponent)
pt | GetPalette (TControl)
pt | GetParentBackground (TWinControl)
 | GetParentComponent (TComponent)
 | GetParentComponent (TControl)
pt | GetParentHandle (TWinControl)
pt | GetPopupMenu (TControl)
 | GetPreferredSize (TControl)
 | GetPreferredSize (TCustomForm)
pt | GetPreferredSizeClientFrame (TWinControl)
pt | GetPreferredSizeClientFrame (TScrollingWinControl)
 | GetRealPopupParent (TCustomForm)
 | GetRGBColorResolvingParent (TControl)
 | GetRolesForControl (TCustomForm)
pt | GetScrolledClientRect (TControl)
 | GetSelectedChildAccessibleObject (TControl)
 | GetSidePosition (TControl)
pt | GetSiteInfo (TWinControl)
 | GetTabOrderList (TWinControl)
 | GetTextBuf (TControl)
 | GetTextLen (TControl)
 | GetTextLen (TWinControl)
 | GetTopParent (TControl)
pt | GetTopParentHandle (TWinControl)
 | GetTypeInfo (TComponent)
 | GetTypeInfoCount (TComponent)
pt | GetWSComponentClass (TLCLComponent)
 | HandleAllocated (TWinControl)
pt | HandleCreateException (TCustomForm)
pt | HandleDestroyException (TCustomForm)
 | HandleNeeded (TWinControl)
 | HandleObjectShouldBeVisible (TControl)
pt | HandleShowHideException (TCustomForm)
 | HasHelp (TControl)
 | HasParent (TComponent)
 | HasParent (TControl)
pt | HeightIsAnchored (TControl)
 | Hide (TControl)
 | Hide (TCustomForm)
 | iicrGetComponent (TComponent)
 | IncLCLRefCount (TLCLComponent)
 | InheritsFrom (TObject)
pt | InitializeWnd (TWinControl)
pt | InitializeWnd (TCustomForm)
 | InitializeWnd (THintWindow)
 | InitiateAction (TControl)
 | InitInstance (TObject)
 | Insert (TComponent)
 | InsertComponent (TComponent)
 | InsertControl (TWinControl)
 | InstanceSize (TObject)
 | IntfDropFiles (TCustomForm)
 | IntfGetDropFilesTarget (TWinControl)
 | IntfHelp (TCustomForm)
 | IntfUTF8KeyPress (TWinControl)
 | Invalidate (TControl)
 | Invalidate (TWinControl)
pt | InvalidateBoundsRealized (TWinControl)
 | InvalidateClientRectCache (TWinControl)
pt | InvalidateControl (TControl)
pt | InvalidatePreferredChildSizes (TWinControl)
 | InvalidatePreferredSize (TControl)
 | Invoke (TComponent)
pt | IsAParentAligning (TControl)
pt | IsBorderSpacingInnerBorderStored (TControl)
pt | IsCaptionStored (TControl)
pt | IsClientHeightStored (TControl)
pt | IsClientHeightStored (TWinControl)
pt | IsClientWidthStored (TControl)
pt | IsClientWidthStored (TWinControl)
pt | IsControlMouseMsg (TWinControl)
 | IsControlVisible (TControl)
 | IsEnabled (TControl)
 | IsHintMsg (THintWindow)
 | IsImplementorOf (TComponent)
 | IsParentColor (TControl)
 | IsParentFont (TControl)
 | IsParentOf (TControl)
 | IsProcessingPaintMsg (TControl)
 | IsRightToLeft (TControl)
 | IsShortcut (TCustomForm)
 | IsVisible (TControl)
pt | KeyDown (TWinControl)
pt | KeyDownAfterInterface (TWinControl)
pt | KeyDownBeforeInterface (TWinControl)
pt | KeyPress (TWinControl)
pt | KeyUp (TWinControl)
pt | KeyUpAfterInterface (TWinControl)
pt | KeyUpBeforeInterface (TWinControl)
pt | LMCaptureChanged (TControl)
 | Loaded (TComponent)
pt | Loaded (TControl)
pt | Loaded (TWinControl)
pt | Loaded (TScrollingWinControl)
pt | Loaded (TCustomDesignControl)
pt | Loaded (TCustomForm)
pt | LoadedAll (TControl)
 | Loading (TComponent)
 | LockRealizeBounds (TWinControl)
pt | MainWndProc (TWinControl)
 | MakeFullyVisible (TCustomForm)
 | ManualDock (TControl)
 | ManualFloat (TControl)
 | MDIChildCount (TCustomForm)
 | MethodAddress (TObject)
 | MethodName (TObject)
pt | MouseDown (TControl)
pt | MouseEnter (TControl)
pt | MouseLeave (TControl)
pt | MouseMove (TControl)
pt | MouseUp (TControl)
pt | MoveToDefaultPosition (TCustomForm)
 | newinstance (TObject)
 | NewInstance (TLCLComponent)
 | Notification (TComponent)
pt | Notification (TControl)
pt | Notification (TCustomForm)
 | NotifyControls (TWinControl)
 | OffsetHintRect (THintWindow)
pt | Paint (TCustomControl)
pt | Paint (THintWindow)
pt | PaintControls (TWinControl)
pt | PaintHandler (TWinControl)
 | PaintTo (TWinControl)
pt | PaintWindow (TWinControl)
pt | PaintWindow (TCustomControl)
pt | PaintWindow (TCustomForm)
 | PaletteCreated (TComponent)
 | ParentDestroyingHandle (TControl)
pt | ParentFontChanged (TControl)
pt | ParentFormHandleInitialized (TControl)
pt | ParentFormHandleInitialized (TWinControl)
 | ParentHandlesAllocated (TControl)
 | ParentHandlesAllocated (TWinControl)
 | ParentToClient (TControl)
 | Perform (TControl)
 | PerformTab (TWinControl)
pt | PositionDockRect (TControl)
pt | ProcessResource (TCustomForm)
pt | QuadClick (TControl)
 | QueryInterface (TComponent)
 | ReadLeft (TComponent)
 | ReadState (TComponent)
pt | ReadState (TControl)
 | ReadTop (TComponent)
pt | RealGetText (TControl)
pt | RealGetText (TWinControl)
 | ReAlign (TWinControl)
pt | RealizeBounds (TWinControl)
pt | RealizeBoundsRecursive (TWinControl)
pt | RealSetText (TControl)
pt | RealSetText (TWinControl)
 | ReferenceInterface (TComponent)
 | Refresh (TControl)
 | Release (TCustomForm)
 | ReleaseHandle (THintWindow)
pt | ReloadDockedControl (TWinControl)
 | Remove (TComponent)
 | RemoveAllHandlersOfObject (TLCLComponent)
 | RemoveAllHandlersOfObject (TControl)
 | RemoveAllHandlersOfObject (TCustomForm)
 | RemoveComponent (TComponent)
 | RemoveControl (TWinControl)
pt | RemoveFocus (TWinControl)
 | RemoveFreeNotification (TComponent)
pt | RemoveHandler (TControl)
 | RemoveHandlerClose (TCustomForm)
 | RemoveHandlerCreate (TCustomForm)
 | RemoveHandlerFirstShow (TCustomForm)
 | RemoveHandlerOnBeforeDestruction (TControl)
 | RemoveHandlerOnChangeBounds (TControl)
 | RemoveHandlerOnEnableChanging (TControl)
 | RemoveHandlerOnKeyDown (TControl)
 | RemoveHandlerOnMouseWheel (TControl)
 | RemoveHandlerOnResize (TControl)
 | RemoveHandlerOnVisibleChanged (TControl)
 | RemoveHandlerOnVisibleChanging (TControl)
 | RemoveNotification (TComponent)
 | Repaint (TControl)
 | Repaint (TWinControl)
 | ReplaceDockedControl (TControl)
pt | RequestAlign (TControl)
pt | RequestAlign (TCustomForm)
pt | Resize (TControl)
pt | Resizing (TScrollingWinControl)
pt | Resizing (TCustomForm)
 | SafeCallException (TObject)
 | SafeCallException (TComponent)
 | Scale96ToFont (TControl)
 | Scale96ToForm (TControl)
 | Scale96ToScreen (TControl)
 | ScaleBy (TWinControl)
pt | ScaleConstraints (TControl)
pt | ScaleControls (TWinControl)
 | ScaleDesignToForm (TControl)
 | ScaleFontsPPI (TControl)
 | ScaleFontTo96 (TControl)
 | ScaleFontToScreen (TControl)
 | ScaleFormTo96 (TControl)
 | ScaleFormToDesign (TControl)
 | ScaleScreenTo96 (TControl)
 | ScaleScreenToFont (TControl)
 | ScreenToClient (TControl)
 | ScreenToClient (TScrollingWinControl)
 | ScreenToControl (TControl)
 | ScrollBy (TWinControl)
 | ScrollBy (TScrollingWinControl)
 | ScrollBy_WS (TWinControl)
 | ScrollInView (TScrollingWinControl)
pt | SelectFirst (TWinControl)
 | SelectNext (TWinControl)
pt | SendDialogChar (TWinControl)
pt | SendMoveSizeMessages (TControl)
pt | SendMoveSizeMessages (TWinControl)
 | SendToBack (TControl)
pt | SetAction (TControl)
pt | SetAlign (TControl)
 | SetAncestor (TComponent)
pt | SetAnchors (TControl)
pt | SetAutoScroll (TScrollingWinControl)
pt | SetAutoScroll (TCustomForm)
pt | SetAutoSize (TControl)
pt | SetAutoSize (TScrollingWinControl)
pt | SetAutoSize (TCustomForm)
pt | SetBiDiMode (TControl)
pt | SetBorderStyle (TWinControl)
 | SetBounds (TControl)
 | SetBounds (TWinControl)
 | SetBounds (THintWindow)
 | SetBoundsKeepBase (TControl)
 | SetChildOrder (TComponent)
pt | SetChildZPosition (TWinControl)
pt | SetColor (TControl)
pt | SetColor (TWinControl)
pt | SetColor (TCustomControl)
pt | SetColor (THintWindow)
 | SetComponentIndex (TComponent)
 | SetControlIndex (TWinControl)
pt | SetCursor (TControl)
 | SetDesigning (TComponent)
 | SetDesignInstance (TComponent)
pt | SetDockManager (TWinControl)
pt | SetDragMode (TControl)
pt | SetEnabled (TControl)
 | SetFocus (TWinControl)
 | SetFocus (TCustomForm)
 | SetFocusedControl (TCustomForm)
pt | SetHint (TControl)
 | SetInitialBounds (TControl)
 | SetInline (TComponent)
 | SetName (TComponent)
pt | SetName (TControl)
pt | SetParent (TControl)
pt | SetParent (TCustomForm)
pt | SetParentBackground (TWinControl)
pt | SetParentBiDiMode (TControl)
 | SetParentComponent (TComponent)
pt | SetParentComponent (TControl)
 | SetReference (TComponent)
 | SetRestoredBounds (TCustomForm)
pt | SetScaled (TCustomDesignControl)
pt | SetScaled (TCustomForm)
 | SetShape (TWinControl)
 | SetSubComponent (TComponent)
 | SetTempCursor (TControl)
 | SetTempCursor (TWinControl)
 | SetTextBuf (TControl)
pt | SetVisible (TControl)
pt | SetVisible (TCustomForm)
pt | SetZOrder (TControl)
pt | SetZOrder (TCustomForm)
 | ShouldAutoAdjust (TControl)
 | Show (TControl)
 | Show (TCustomForm)
pt | ShowControl (TWinControl)
 | ShowHelp (TControl)
 | ShowModal (TCustomForm)
 | ShowOnTop (TCustomForm)
 | SmallIconHandle (TCustomForm)
 | StringMessageTable (TObject)
pt | SysHintFont (THintWindow)
pt | TextChanged (TControl)
 | ToString (TObject)
pt | TripleClick (TControl)
 | UnitName (TObject)
 | UnlockRealizeBounds (TWinControl)
 | Update (TControl)
 | Update (TWinControl)
 | UpdateAction (TComponent)
pt | UpdateActions (TCustomForm)
pt | UpdateAnchorRules (TControl)
 | UpdateBaseBounds (TControl)
pt | UpdateControlState (TWinControl)
 | Updated (TComponent)
 | UpdateDockCaption (TWinControl)
 | UpdateDockCaption (TCustomForm)
pt | UpdateMouseCursor (TControl)
pt | UpdateRegion (THintWindow)
 | UpdateRegistry (TComponent)
 | UpdateRolesForForm (TControl)
 | UpdateScrollbars (TScrollingWinControl)
pt | UpdateShowing (TWinControl)
pt | UpdateShowing (TCustomForm)
pt | UpdateWindowState (TCustomForm)
 | Updating (TComponent)
pt | UseBGThemes (THintWindow)
pt | UseFGThemes (THintWindow)
 | UseRightToLeftAlignment (TControl)
 | UseRightToLeftReading (TControl)
 | UseRightToLeftScrollBar (TControl)
pt | UTF8KeyPress (TWinControl)
 | ValidateContainer (TComponent)
 | ValidateInsert (TComponent)
 | ValidateRename (TComponent)
pt | VisibleChanged (TControl)
pt | VisibleChanged (TCustomForm)
pt | VisibleChanging (TControl)
pt | VisibleChanging (TCustomForm)
pt | VisibleIsStored (TCustomForm)
 | WantChildKey (TCustomForm)
pt | WidthIsAnchored (TControl)
pt | WMActivate (TCustomForm)
pt | WMCancelMode (TControl)
pt | WMChar (TWinControl)
pt | WMCloseQuery (TCustomForm)
pt | WMContextMenu (TControl)
pt | WMContextMenu (TWinControl)
pt | WMDestroy (TWinControl)
pt | WMDPIChanged (TCustomForm)
pt | WMEnter (TWinControl)
pt | WMEraseBkgnd (TWinControl)
pt | WMExit (TWinControl)
pt | WMHelp (TCustomForm)
pt | WMHScroll (TScrollingWinControl)
pt | WMKeyDown (TWinControl)
pt | WMKeyUp (TWinControl)
pt | WMKillFocus (TWinControl)
pt | WMLButtonDBLCLK (TControl)
pt | WMLButtonDown (TControl)
pt | WMLButtonQuadCLK (TControl)
pt | WMLButtonTripleCLK (TControl)
pt | WMLButtonUp (TControl)
pt | WMMButtonDBLCLK (TControl)
pt | WMMButtonDown (TControl)
pt | WMMButtonQuadCLK (TControl)
pt | WMMButtonTripleCLK (TControl)
pt | WMMButtonUp (TControl)
pt | WMMouseHWheel (TControl)
pt | WMMouseMove (TControl)
pt | WMMouseWheel (TControl)
pt | WMMove (TControl)
pt | WMMove (TWinControl)
pt | WMMove (TCustomForm)
pt | WMNCHitTest (THintWindow)
pt | WMNotify (TWinControl)
pt | WMPaint (TWinControl)
pt | WMPaint (TCustomControl)
pt | WMRButtonDBLCLK (TControl)
pt | WMRButtonDown (TControl)
pt | WMRButtonQuadCLK (TControl)
pt | WMRButtonTripleCLK (TControl)
pt | WMRButtonUp (TControl)
pt | WMSetFocus (TWinControl)
pt | WMShowWindow (TWinControl)
pt | WMShowWindow (TCustomForm)
pt | WMSize (TControl)
pt | WMSize (TWinControl)
pt | WMSize (TScrollingWinControl)
pt | WMSize (TCustomForm)
pt | WMSysChar (TWinControl)
pt | WMSysKeyDown (TWinControl)
pt | WMSysKeyUp (TWinControl)
pt | WMVScroll (TScrollingWinControl)
pt | WMWindowPosChanged (TControl)
pt | WMWindowPosChanged (TWinControl)
pt | WMWindowPosChanged (TCustomForm)
pt | WMXButtonDBLCLK (TControl)
pt | WMXButtonDown (TControl)
pt | WMXButtonQuadCLK (TControl)
pt | WMXButtonTripleCLK (TControl)
pt | WMXButtonUp (TControl)
pt | WndProc (TControl)
pt | WndProc (TWinControl)
pt | WndProc (TCustomForm)
 | WriteLayoutDebugReport (TControl)
 | WriteLayoutDebugReport (TWinControl)
 | WriteLeft (TComponent)
 | WriteState (TComponent)
 | WriteTop (TComponent)
pt | WSRegisterClass (TLCLComponent)
pt | WSRegisterClass (TControl)
pt | WSRegisterClass (TWinControl)
pt | WSRegisterClass (TCustomControl)
pt | WSRegisterClass (TScrollingWinControl)
pt | WSRegisterClass (TCustomForm)
pt | WSRegisterClass (THintWindow)
pt | WSSetText (TWinControl)
 | _AddRef (TComponent)
 | _Release (TComponent)


THintWindow
 | ro | OnMouseDown
 | ro | OnMouseUp
 | ro | OnMouseMove
 | ro | OnMouseLeave
TCustomForm
 |  | OnActivate
 |  | OnClose
 |  | OnCloseQuery
 |  | OnCreate
 |  | OnDeactivate
 |  | OnDestroy
 |  | OnDropFiles
 |  | OnHelp
 |  | OnHide
 | ro | OnResize
 |  | OnShortcut
 |  | OnShow
 |  | OnShowModalFinished
 |  | OnWindowStateChange
TCustomDesignControl
TScrollingWinControl
TCustomControl
 |  | OnPaint
TWinControl
pt |  | OnGetSiteInfo
pt |  | OnGetDockCaption
 |  | OnAlignInsertBefore
 |  | OnAlignPosition
 |  | OnDockDrop
 |  | OnDockOver
 |  | OnEnter
 |  | OnExit
 |  | OnKeyDown
 |  | OnKeyPress
 |  | OnKeyUp
 |  | OnUnDock
 |  | OnUTF8KeyPress
TControl
pt |  | OnConstrainedResize
pt |  | OnContextPopup
pt |  | OnDblClick
pt |  | OnTripleClick
pt |  | OnQuadClick
pt |  | OnDragDrop
pt |  | OnDragOver
pt |  | OnEndDock
pt |  | OnEndDrag
pt |  | OnMouseDown
pt |  | OnMouseMove
pt |  | OnMouseUp
pt |  | OnMouseEnter
pt |  | OnMouseLeave
pt |  | OnMouseWheel
pt |  | OnMouseWheelDown
pt |  | OnMouseWheelUp
pt |  | OnMouseWheelHorz
pt |  | OnMouseWheelLeft
pt |  | OnMouseWheelRight
pt |  | OnStartDock
pt |  | OnStartDrag
pt |  | OnEditingDone
 |  | OnChangeBounds
 |  | OnClick
 |  | OnResize
 |  | OnShowHint
TLCLComponent
TComponent
TPersistent
TObject


 |  | OnActivate (TCustomForm)
 |  | OnAlignInsertBefore (TWinControl)
 |  | OnAlignPosition (TWinControl)
 |  | OnChangeBounds (TControl)
 |  | OnClick (TControl)
 |  | OnClose (TCustomForm)
 |  | OnCloseQuery (TCustomForm)
pt |  | OnConstrainedResize (TControl)
pt |  | OnContextPopup (TControl)
 |  | OnCreate (TCustomForm)
pt |  | OnDblClick (TControl)
 |  | OnDeactivate (TCustomForm)
 |  | OnDestroy (TCustomForm)
 |  | OnDockDrop (TWinControl)
 |  | OnDockOver (TWinControl)
pt |  | OnDragDrop (TControl)
pt |  | OnDragOver (TControl)
 |  | OnDropFiles (TCustomForm)
pt |  | OnEditingDone (TControl)
pt |  | OnEndDock (TControl)
pt |  | OnEndDrag (TControl)
 |  | OnEnter (TWinControl)
 |  | OnExit (TWinControl)
pt |  | OnGetDockCaption (TWinControl)
pt |  | OnGetSiteInfo (TWinControl)
 |  | OnHelp (TCustomForm)
 |  | OnHide (TCustomForm)
 |  | OnKeyDown (TWinControl)
 |  | OnKeyPress (TWinControl)
 |  | OnKeyUp (TWinControl)
pt |  | OnMouseDown (TControl)
 | ro | OnMouseDown (THintWindow)
pt |  | OnMouseEnter (TControl)
pt |  | OnMouseLeave (TControl)
 | ro | OnMouseLeave (THintWindow)
pt |  | OnMouseMove (TControl)
 | ro | OnMouseMove (THintWindow)
pt |  | OnMouseUp (TControl)
 | ro | OnMouseUp (THintWindow)
pt |  | OnMouseWheel (TControl)
pt |  | OnMouseWheelDown (TControl)
pt |  | OnMouseWheelHorz (TControl)
pt |  | OnMouseWheelLeft (TControl)
pt |  | OnMouseWheelRight (TControl)
pt |  | OnMouseWheelUp (TControl)
 |  | OnPaint (TCustomControl)
pt |  | OnQuadClick (TControl)
 |  | OnResize (TControl)
 | ro | OnResize (TCustomForm)
 |  | OnShortcut (TCustomForm)
 |  | OnShow (TCustomForm)
 |  | OnShowHint (TControl)
 |  | OnShowModalFinished (TCustomForm)
pt |  | OnStartDock (TControl)
pt |  | OnStartDrag (TControl)
pt |  | OnTripleClick (TControl)
 |  | OnUnDock (TWinControl)
 |  | OnUTF8KeyPress (TWinControl)
 |  | OnWindowStateChange (TCustomForm)


THintWindow.ActivateHint

Shows the hint.

Declaration

Source position: forms.pp line 926

public procedure THintWindow.ActivateHint(

  const AHint: string

);

procedure THintWindow.ActivateHint(

  ARect: TRect;

  const AHint: string

); virtual;

See also

THintWindow.CalcHintRect

Determines the rectangle required for the hint display, based on the maximum text/window width.


THintWindow.ActivateHintData

Extended version of ActivateHint. Override this method to make use of the additional data.

Declaration

Source position: forms.pp line 929

public procedure THintWindow.ActivateHintData(

  ARect: TRect;

  const AHint: string;

  AData: pointer

); virtual;

See also

THintWindow.ActivateHint

Shows the hint.


THintWindow.ActivateSub

Declaration

Source position: forms.pp line 910

protected procedure THintWindow.ActivateSub;


THintWindow.ActivateWithBounds

Declaration

Source position: forms.pp line 928

public procedure THintWindow.ActivateWithBounds(

  ARect: TRect;

  const AHint: string

);


THintWindow.Alignment

The intended text alignment.

Declaration

Source position: forms.pp line 945

public property THintWindow.Alignment : TAlignment
  read FAlignment
  write FAlignment;

Description

See DrawText


THintWindow.AutoHide

Does the hint disappear (get hidden) after a while?

Declaration

Source position: forms.pp line 949

public property THintWindow.AutoHide : Boolean
  read FAutoHide
  write SetAutoHide;

Description

If AutoHide is TRUE, the hint disappears afer an interval specified by HideInterval.


THintWindow.CalcHintRect

Determines the rectangle required for the hint display, based on the maximum text/window width.

Declaration

Source position: forms.pp line 931

public function THintWindow.CalcHintRect(

  MaxWidth: Integer;

  const AHint: string;

  AData: pointer

):TRect; virtual;

Arguments

MaxWidth

Greater zero, else the full monitor width is used.


THintWindow.Destroy

Declaration

Source position: forms.pp line 922

public destructor THintWindow.Destroy;

destructor THintWindow.Destroy; override;


THintWindow.HideInterval

The time after which the displayed hint disappears.

Declaration

Source position: forms.pp line 951

public property THintWindow.HideInterval : Integer
  read FHideInterval
  write SetHideInterval;

See also

THintWindow.AutoHide

Does the hint disappear (get hidden) after a while?


THintWindow.HintData

Declaration

Source position: forms.pp line 948

public property THintWindow.HintData : Pointer
  read FHintData
  write FHintData;


THintWindow.HintRect

Declaration

Source position: forms.pp line 946

public property THintWindow.HintRect : TRect
  read FHintRect
  write FHintRect;


THintWindow.HintRectAdjust

Declaration

Source position: forms.pp line 947

public property THintWindow.HintRectAdjust : TRect
  read FHintRect
  write SetHintRectAdjust;


THintWindow.IsHintMsg

Declaration

Source position: forms.pp line 936

public function THintWindow.IsHintMsg(

  Msg: TMsg

):Boolean; virtual;


THintWindow.OffsetHintRect

Declaration

Source position: forms.pp line 933

public function THintWindow.OffsetHintRect(

  AOffset: TPoint;

  dy: Integer = 15;

  KeepWidth: Boolean = True;

  KeepHeight: Boolean = True

):Boolean;


THintWindow.OnMouseDown

Declaration

Source position: forms.pp line 941

public property THintWindow.OnMouseDown : TMouseEvent;


THintWindow.OnMouseLeave

Declaration

Source position: forms.pp line 944

public property THintWindow.OnMouseLeave : TNotifyEvent;


THintWindow.OnMouseMove

Declaration

Source position: forms.pp line 943

public property THintWindow.OnMouseMove : TMouseMoveEvent;


THintWindow.OnMouseUp

Declaration

Source position: forms.pp line 942

public property THintWindow.OnMouseUp : TMouseEvent;


THintWindow.ReleaseHandle

Destroys the widget.

Declaration

Source position: forms.pp line 937

public procedure THintWindow.ReleaseHandle;

See also

#LCL.Controls.TWinControl.DestroyHandle

Destroys this and all child widgets.


THintWindow.SetColor

Declaration

Source position: forms.pp line 913

protected procedure THintWindow.SetColor(

  Value: TColor

); override;


THintWindow.SysHintFont

Declaration

Source position: forms.pp line 920

protected class function THintWindow.SysHintFont: TFont;


THintWindow.UpdateRegion

Declaration

Source position: forms.pp line 912

protected procedure THintWindow.UpdateRegion;


THintWindow.UseBGThemes

Declaration

Source position: forms.pp line 914

protected function THintWindow.UseBGThemes: Boolean;


THintWindow.UseFGThemes

Declaration

Source position: forms.pp line 915

protected function THintWindow.UseFGThemes: Boolean;


THintWindow.WMNCHitTest

Treats the whole window as transparent.

Declaration

Source position: forms.pp line 909

protected procedure THintWindow.WMNCHitTest(

  var Message: TLMessage

); message;


THintWindowClass

Class of THintWindow.

Declaration

Source position: forms.pp line 954

type THintWindowClass = class of THintWindow;


THintWindowRendered

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Declaration

Source position: forms.pp line 958

type THintWindowRendered = class(THintWindow)

public

  constructor Create(); override;

  destructor Destroy; override;

  procedure ActivateRendered;

end;

Inheritance

THintWindowRendered
|
THintWindow | The popup box containing helpful information that appears when the mouse pointer hovers over an object.
|
TCustomForm | The base type for TForm.
|
TCustomDesignControl
|
TScrollingWinControl | Class of a windowed control with incorporated scroll bars.
|
TCustomControl | The base class for windowed controls which paint themselves.
|
TWinControl | The base class for controls which can contain other (child) controls.
|
TControl | The base class for visible controls.
|
TLCLComponent | The base class for LCL components associated with widgets.
|
TComponent,IUnknown,IInterfaceComponentReference
|
TPersistent,IFPObserved
|
TObject


THintWindowRendered
THintWindow
 |  | Alignment
 |  | HintRect
 |  | HintRectAdjust
 |  | HintData
 |  | AutoHide
 | ro | BiDiMode
 |  | HideInterval
TCustomForm
pt | ro | ClientHandle
 | ro | Active
 |  | ActiveControl
 |  | ActiveDefaultControl
 |  | AllowDropFiles
 |  | AlphaBlend
 |  | AlphaBlendValue
 | ro | AutoScroll
 |  | BorderIcons
 |  | BorderStyle
 |  | CancelControl
 | ro | Caption
 | ro | Color
 |  | DefaultControl
 |  | DefaultMonitor
 |  | Designer
 | ro | EffectiveShowInTaskBar
 | ro | FormState
 |  | FormStyle
 |  | HelpFile
 |  | Icon
 |  | KeyPreview
 | ro | MDIChildren
 |  | Menu
 |  | ModalResult
 | ro | Monitor
 | ro | LastActiveControl
 |  | PopupMode
 |  | PopupParent
 | ro | ParentFont
 |  | Position
 | ro | RestoredLeft
 | ro | RestoredTop
 | ro | RestoredWidth
 | ro | RestoredHeight
 |  | ShowInTaskBar
 | ro | Visible
 |  | WindowState
TCustomDesignControl
 |  | DesignTimePPI
 |  | PixelsPerInch
 |  | Scaled
TScrollingWinControl
pt |  | AutoScroll
pl |  | HorzScrollBar
pl |  | VertScrollBar
TCustomControl
 |  | Canvas
 | ro | BorderStyle
TWinControl
pt |  | WindowHandle
pt |  | BorderStyle
pt |  | ParentBackground
 |  | BorderWidth
 | ro | BoundsLockCount
 | ro | Brush
 | ro | CachedClientHeight
 | ro | CachedClientWidth
 |  | ChildSizing
 | ro | ControlCount
 | ro | Controls
 |  | DefWndProc
 | ro | DockClientCount
 | ro | DockClients
 |  | DockManager
 |  | DockSite
 |  | DoubleBuffered
 |  | Handle
 | ro | IsFlipped
 | ro | IsResizing
 |  | TabOrder
 |  | TabStop
 |  | ParentDoubleBuffered
 |  | ParentWindow
 | ro | Showing
 |  | UseDockManager
 |  | DesignerDeleting
 | ro | VisibleDockClientCount
TControl
pt | ro | AutoSizing
pt | ro | AutoSizingAll
pt | ro | AutoSizingLockCount
pt |  | ActionLink
pt |  | DesktopFont
pt |  | DragCursor
pt |  | DragKind
pt |  | DragMode
pt |  | MouseCapture
pt |  | ParentColor
pt |  | ParentFont
pt |  | ParentShowHint
pt |  | SessionProperties
pt |  | Text
 | ro | AnchoredControls
 | ro | BaseBounds
 | ro | ReadBounds
 | ro | BaseParentClientSize
 |  | AccessibleDescription
 |  | AccessibleValue
 |  | AccessibleRole
 |  | Action
 |  | Align
 |  | Anchors
 | ro | AnchorSide
 |  | AutoSize
 |  | BorderSpacing
 |  | BoundsRect
 |  | BoundsRectForNewParent
 |  | Caption
 |  | CaptureMouseButtons
 |  | ClientHeight
 | ro | ClientOrigin
 | ro | ClientRect
 |  | ClientWidth
 |  | Color
 |  | Constraints
 | ro | ControlOrigin
 |  | ControlState
 |  | ControlStyle
 |  | Enabled
 |  | Font
 |  | IsControl
 | ro | MouseEntered
 | ro | MouseInClient
 |  | Parent
 |  | PopupMenu
 |  | ShowHint
 |  | Visible
 |  | WindowProc
 |  | DockOrientation
 | ro | Floating
 |  | FloatingDockSiteClass
 |  | HostDockSite
 |  | LRDockWidth
 |  | TBDockHeight
 |  | UndockHeight
 |  | UndockWidth
 |  | BiDiMode
 |  | ParentBiDiMode
pl |  | AnchorSideLeft
pl |  | AnchorSideTop
pl |  | AnchorSideRight
pl |  | AnchorSideBottom
pl |  | Cursor
pl |  | Left
pl |  | Height
pl |  | Hint
pl |  | Top
pl |  | Width
pl |  | HelpType
pl |  | HelpKeyword
pl |  | HelpContext
TLCLComponent
 | ro | LCLRefCount
 | ro | WidgetSetClass
TComponent
 | ro | ComObject
 | ro | Components
 | ro | ComponentCount
 |  | ComponentIndex
 | ro | ComponentState
 | ro | ComponentStyle
 |  | DesignInfo
 | ro | Owner
 |  | VCLComObject
 |  | Name
 |  | Tag
TPersistent
TObject


THintWindowRendered
 | Create
 | Destroy
 | ActivateRendered
THintWindow
pt | WSRegisterClass
pt | WMNCHitTest
pt | ActivateSub
pt | DoShowWindow
pt | UpdateRegion
pt | SetColor
pt | UseBGThemes
pt | UseFGThemes
pt | Paint
pt | SysHintFont
 | Destroy
 | Create
 | ActivateHint
 | ActivateWithBounds
 | ActivateHintData
 | CalcHintRect
 | OffsetHintRect
 | InitializeWnd
 | IsHintMsg
 | ReleaseHandle
 | SetBounds
 | GetControlClassDefaultSize
TCustomForm
pt | WMActivate
pt | WMCloseQuery
pt | WMHelp
pt | WMMove
pt | WMShowWindow
pt | WMSize
pt | WMWindowPosChanged
pt | CMBiDiModeChanged
pt | CMParentBiDiModeChanged
pt | CMAppShowBtnGlyphChanged
pt | CMAppShowMenuGlyphChanged
pt | CMIconChanged
pt | CMRelease
pt | CMActivate
pt | CMDeactivate
pt | CMShowingChanged
pt | WMDPIChanged
pt | WSRegisterClass
pt | DoShowWindow
pt | Activate
pt | ActiveChanged
pt | AdjustClientRect
pt | BeginFormUpdate
pt | ColorIsStored
pt | CreateParams
pt | CreateWnd
pt | Deactivate
pt | DoClose
pt | DoCreate
pt | DoDestroy
pt | DoHide
pt | DoShow
pt | EndFormUpdate
pt | HandleCreateException
pt | HandleDestroyException
pt | HandleShowHideException
pt | InitializeWnd
pt | Loaded
pt | ChildHandlesCreated
pt | Notification
pt | PaintWindow
pt | RequestAlign
pt | Resizing
pt | CalculatePreferredSize
pt | SetZOrder
pt | SetParent
pt | MoveToDefaultPosition
pt | UpdateShowing
pt | SetVisible
pt | AllAutoSized
pt | DoFirstShow
pt | UpdateWindowState
pt | VisibleChanging
pt | VisibleChanged
pt | WndProc
pt | VisibleIsStored
pt | DoSendBoundsToInterface
pt | DoAutoSize
pt | SetAutoSize
pt | SetAutoScroll
pt | SetScaled
pt | DoAddActionList
pt | DoRemoveActionList
pt | ProcessResource
pt | BeginAutoDrag
pt | DoDock
pt | GetFloating
pt | GetDefaultDockCaption
pt | CMActionExecute
pt | CMActionUpdate
pt | DoExecuteAction
pt | DoUpdateAction
pt | UpdateActions
 | Create
 | CreateNew
 | Destroy
 | AfterConstruction
 | BeforeDestruction
 | GetControlClassDefaultSize
 | BigIconHandle
 | Close
 | CloseQuery
 | DefocusControl
 | DestroyWnd
 | EnsureVisible
 | FocusControl
 | FormIsUpdating
 | GetFormImage
 | GetRolesForControl
 | GetRealPopupParent
 | Hide
 | IntfDropFiles
 | IntfHelp
 | IsShortcut
 | MakeFullyVisible
 | AutoSizeDelayedHandle
 | GetPreferredSize
 | Release
 | CanFocus
 | SetFocus
 | SetFocusedControl
 | SetRestoredBounds
 | Show
 | ShowModal
 | ShowOnTop
 | SmallIconHandle
 | GetChildren
 | WantChildKey
 | RemoveAllHandlersOfObject
 | AddHandlerFirstShow
 | RemoveHandlerFirstShow
 | AddHandlerClose
 | RemoveHandlerClose
 | AddHandlerCreate
 | RemoveHandlerCreate
 | ActiveMDIChild
 | GetMDIChildren
 | MDIChildCount
 | AutoScale
 | Dock
 | UpdateDockCaption
TCustomDesignControl
pt | SetScaled
pt | DoAutoAdjustLayout
pt | Loaded
 | Create
 | AutoAdjustLayout
TScrollingWinControl
pt | WSRegisterClass
pt | AlignControls
pt | AutoScrollEnabled
pt | CalculateAutoRanges
pt | CreateWnd
pt | GetClientScrollOffset
pt | GetLogicalClientRect
pt | DoOnResize
pt | GetPreferredSizeClientFrame
pt | WMSize
pt | WMHScroll
pt | WMVScroll
pt | ComputeScrollbars
pt | SetAutoScroll
pt | Loaded
pt | Resizing
pt | SetAutoSize
 | Create
 | Destroy
 | ScreenToClient
 | ClientToScreen
 | UpdateScrollbars
 | GetControlClassDefaultSize
 | ScrollBy
 | ScrollInView
TCustomControl
pt | WSRegisterClass
pt | WMPaint
pt | DestroyWnd
pt | PaintWindow
pt | FontChanged
pt | SetColor
pt | Paint
 | Create
 | Destroy
TWinControl
pt | WSRegisterClass
pt | AdjustClientRect
pt | GetAdjustedLogicalClientRect
pt | AlignControls
pt | CustomAlignInsertBefore
pt | CustomAlignPosition
pt | DoAlignChildControls
pt | DoChildSizingChange
pt | InvalidatePreferredChildSizes
pt | CanTab
pt | IsClientHeightStored
pt | IsClientWidthStored
pt | DoSendShowHideToInterface
pt | ControlsAligned
pt | DoSendBoundsToInterface
pt | RealizeBounds
pt | RealizeBoundsRecursive
pt | InvalidateBoundsRealized
pt | CreateSubClass
pt | DoConstraintsChange
pt | DoSetBounds
pt | DoAutoSize
pt | DoAllAutoSize
pt | AllAutoSized
pt | CalculatePreferredSize
pt | GetPreferredSizeClientFrame
pt | GetChildren
pt | ChildClassAllowed
pt | PaintControls
pt | PaintHandler
pt | PaintWindow
pt | CreateBrush
pt | ScaleControls
pt | ChangeScale
pt | CMBiDiModeChanged
pt | CMBorderChanged
pt | CMDoubleBufferedChanged
pt | CMEnabledChanged
pt | CMParentDoubleBufferedChanged
pt | CMShowingChanged
pt | CMShowHintChanged
pt | CMVisibleChanged
pt | CMEnter
pt | CMExit
pt | WMContextMenu
pt | WMEraseBkgnd
pt | WMNotify
pt | WMSetFocus
pt | WMKillFocus
pt | WMShowWindow
pt | WMEnter
pt | WMExit
pt | WMKeyDown
pt | WMSysKeyDown
pt | WMKeyUp
pt | WMSysKeyUp
pt | WMChar
pt | WMSysChar
pt | WMPaint
pt | WMDestroy
pt | WMMove
pt | WMSize
pt | WMWindowPosChanged
pt | CNKeyDown
pt | CNSysKeyDown
pt | CNKeyUp
pt | CNSysKeyUp
pt | CNChar
pt | DoDragMsg
pt | DoDockClientMsg
pt | DoUndockClientMsg
pt | DoAddDockClient
pt | DockOver
pt | DoDockOver
pt | DoRemoveDockClient
pt | DoUnDock
pt | GetSiteInfo
pt | GetParentHandle
pt | GetTopParentHandle
pt | ReloadDockedControl
pt | CreateDockManager
pt | SetDockManager
pt | DoFloatMsg
pt | DoGetDockCaption
pt | DoEnter
pt | DoExit
pt | DoKeyDownBeforeInterface
pt | DoRemainingKeyDown
pt | DoRemainingKeyUp
pt | DoKeyPress
pt | DoUTF8KeyPress
pt | DoKeyUpBeforeInterface
pt | ChildKey
pt | SendDialogChar
pt | DialogChar
pt | ControlKeyDown
pt | ControlKeyUp
pt | KeyDown
pt | KeyDownBeforeInterface
pt | KeyDownAfterInterface
pt | KeyPress
pt | KeyUp
pt | KeyUpBeforeInterface
pt | KeyUpAfterInterface
pt | UTF8KeyPress
pt | FindNextControl
pt | SelectFirst
pt | RealGetText
pt | GetBorderStyle
pt | GetClientOrigin
pt | GetClientRect
pt | GetControlOrigin
pt | GetDeviceContext
pt | GetParentBackground
pt | IsControlMouseMsg
pt | CreateHandle
pt | CreateParams
pt | CreateWnd
pt | DestroyHandle
pt | DestroyWnd
pt | DoFlipChildren
pt | FinalizeWnd
pt | FixupTabList
pt | FontChanged
pt | InitializeWnd
pt | Loaded
pt | FormEndUpdated
pt | MainWndProc
pt | ParentFormHandleInitialized
pt | ChildHandlesCreated
pt | GetMouseCapture
pt | RealSetText
pt | RemoveFocus
pt | SendMoveSizeMessages
pt | SetBorderStyle
pt | SetColor
pt | SetChildZPosition
pt | SetParentBackground
pt | ShowControl
pt | UpdateControlState
pt | UpdateShowing
pt | WndProc
pt | WSSetText
 | AutoSizePhases
 | AutoSizeDelayed
 | AutoSizeDelayedReport
 | AutoSizeDelayedHandle
 | BeginUpdateBounds
 | EndUpdateBounds
 | LockRealizeBounds
 | UnlockRealizeBounds
 | ControlAtPos
 | ContainsControl
 | DoAdjustClientRectChange
 | InvalidateClientRectCache
 | ClientRectNeedsInterfaceUpdate
 | SetBounds
 | GetChildrenRect
 | DisableAlign
 | EnableAlign
 | ReAlign
 | ScrollBy_WS
 | ScrollBy
 | WriteLayoutDebugReport
 | AutoAdjustLayout
 | Create
 | CreateParented
 | CreateParentedControl
 | Destroy
 | DockDrop
 | CanFocus
 | CanSetFocus
 | GetControlIndex
 | SetControlIndex
 | Focused
 | PerformTab
 | FindChildControl
 | SelectNext
 | SetTempCursor
 | BroadCast
 | NotifyControls
 | DefaultHandler
 | GetTextLen
 | Invalidate
 | AddControl
 | InsertControl
 | RemoveControl
 | GetEnumeratorControls
 | GetEnumeratorControlsReverse
 | Repaint
 | Update
 | SetFocus
 | FlipChildren
 | ScaleBy
 | GetDockCaption
 | UpdateDockCaption
 | GetTabOrderList
 | HandleAllocated
 | ParentHandlesAllocated
 | HandleNeeded
 | BrushCreated
 | EraseBackground
 | IntfUTF8KeyPress
 | IntfGetDropFilesTarget
 | PaintTo
 | SetShape
TControl
pt | WSRegisterClass
pt | GetCursor
pt | SetCursor
pt | SetVisible
pt | DoOnParentHandleDestruction
pt | DoAutoSize
pt | DoAllAutoSize
pt | BeginAutoSizing
pt | EndAutoSizing
pt | AnchorSideChanged
pt | ForeignAnchorSideChanged
pt | SetAlign
pt | SetAnchors
pt | SetAutoSize
pt | BoundsChanged
pt | CreateControlBorderSpacing
pt | DoConstraintsChange
pt | DoBorderSpacingChange
pt | IsBorderSpacingInnerBorderStored
pt | IsCaptionStored
pt | SendMoveSizeMessages
pt | ConstrainedResize
pt | CalculatePreferredSize
pt | DoOnResize
pt | DoOnChangeBounds
pt | CheckOnChangeBounds
pt | Resize
pt | RequestAlign
pt | UpdateAnchorRules
pt | ChangeBounds
pt | DoSetBounds
pt | ScaleConstraints
pt | ChangeScale
pt | CanAutoSize
pt | SetBiDiMode
pt | SetParentBiDiMode
pt | IsAParentAligning
pt | GetClientOrigin
pt | GetClientRect
pt | GetLogicalClientRect
pt | GetScrolledClientRect
pt | GetClientScrollOffset
pt | GetControlOrigin
pt | IsClientHeightStored
pt | IsClientWidthStored
pt | WidthIsAnchored
pt | HeightIsAnchored
pt | WMCancelMode
pt | WMContextMenu
pt | WMLButtonDown
pt | WMRButtonDown
pt | WMMButtonDown
pt | WMXButtonDown
pt | WMLButtonDBLCLK
pt | WMRButtonDBLCLK
pt | WMMButtonDBLCLK
pt | WMXButtonDBLCLK
pt | WMLButtonTripleCLK
pt | WMRButtonTripleCLK
pt | WMMButtonTripleCLK
pt | WMXButtonTripleCLK
pt | WMLButtonQuadCLK
pt | WMRButtonQuadCLK
pt | WMMButtonQuadCLK
pt | WMXButtonQuadCLK
pt | WMMouseMove
pt | WMLButtonUp
pt | WMRButtonUp
pt | WMMButtonUp
pt | WMXButtonUp
pt | WMMouseWheel
pt | WMMouseHWheel
pt | WMMove
pt | WMSize
pt | WMWindowPosChanged
pt | CMChanged
pt | LMCaptureChanged
pt | CMBiDiModeChanged
pt | CMSysFontChanged
pt | CMEnabledChanged
pt | CMHitTest
pt | CMMouseEnter
pt | CMMouseLeave
pt | CMHintShow
pt | CMParentBiDiModeChanged
pt | CMParentColorChanged
pt | CMParentFontChanged
pt | CMParentShowHintChanged
pt | CMVisibleChanged
pt | CMTextChanged
pt | CMCursorChanged
pt | CalculateDockSizes
pt | CreateFloatingDockSite
pt | GetDockEdge
pt | GetDragImages
pt | GetFloating
pt | GetFloatingDockSiteClass
pt | BeforeDragStart
pt | BeginAutoDrag
pt | DoFloatMsg
pt | DockTrackNoTarget
pt | DoDock
pt | DoDragMsg
pt | DoEndDock
pt | DoEndDrag
pt | DoStartDock
pt | DoStartDrag
pt | DragCanceled
pt | DragOver
pt | PositionDockRect
pt | SetDragMode
pt | GetDefaultDockCaption
pt | Click
pt | DblClick
pt | TripleClick
pt | QuadClick
pt | GetMousePosFromMessage
pt | MouseDown
pt | MouseMove
pt | MouseUp
pt | MouseEnter
pt | MouseLeave
pt | DialogChar
pt | UpdateMouseCursor
pt | Changed
pt | GetPalette
pt | ChildClassAllowed
pt | ReadState
pt | Loaded
pt | LoadedAll
pt | DefineProperties
pt | AssignTo
pt | FormEndUpdated
pt | InvalidateControl
pt | FontChanged
pt | ParentFontChanged
pt | GetAction
pt | RealGetText
pt | RealSetText
pt | TextChanged
pt | GetCachedText
pt | SetAction
pt | SetColor
pt | SetEnabled
pt | SetHint
pt | SetName
pt | SetParent
pt | SetParentComponent
pt | WndProc
pt | ParentFormHandleInitialized
pt | GetMouseCapture
pt | CaptureChanged
pt | Notification
pt | CanTab
pt | GetDeviceContext
pt | GetEnabled
pt | GetPopupMenu
pt | DoOnShowHint
pt | DoMouseWheel
pt | DoMouseWheelDown
pt | DoMouseWheelUp
pt | DoMouseWheelHorz
pt | DoMouseWheelLeft
pt | DoMouseWheelRight
pt | VisibleChanging
pt | VisibleChanged
pt | EnabledChanging
pt | EnabledChanged
pt | AddHandler
pt | RemoveHandler
pt | DoCallNotifyHandler
pt | DoCallKeyEventHandler
pt | DoCallMouseWheelEventHandler
pt | DoContextPopup
pt | SetZOrder
pt | GetControlClassDefaultSize
pt | ColorIsStored
pt | DoAutoAdjustLayout
pt | DoFixDesignFontPPI
pt | DoScaleFontPPI
pt | GetActionLinkClass
pt | ActionChange
 | DragDrop
 | Dock
 | ManualDock
 | ManualFloat
 | ReplaceDockedControl
 | Docked
 | Dragging
 | GetAccessibleObject
 | CreateAccessibleObject
 | GetSelectedChildAccessibleObject
 | GetChildAccessibleObjectAtPos
 | ScaleDesignToForm
 | ScaleFormToDesign
 | Scale96ToForm
 | ScaleFormTo96
 | Scale96ToFont
 | ScaleFontTo96
 | ScaleScreenToFont
 | ScaleFontToScreen
 | Scale96ToScreen
 | ScaleScreenTo96
 | AdjustSize
 | AutoSizePhases
 | AutoSizeDelayed
 | AutoSizeDelayedReport
 | AutoSizeDelayedHandle
 | AnchorToNeighbour
 | AnchorParallel
 | AnchorHorizontalCenterTo
 | AnchorVerticalCenterTo
 | AnchorToCompanion
 | AnchorSame
 | AnchorAsAlign
 | AnchorClient
 | AnchoredControlCount
 | SetBounds
 | SetInitialBounds
 | SetBoundsKeepBase
 | GetPreferredSize
 | GetCanvasScaleFactor
 | GetDefaultWidth
 | GetDefaultHeight
 | GetDefaultColor
 | GetColorResolvingParent
 | GetRGBColorResolvingParent
 | GetSidePosition
 | CNPreferredSizeChanged
 | InvalidatePreferredSize
 | GetAnchorsDependingOnParent
 | DisableAutoSizing
 | EnableAutoSizing
 | UpdateBaseBounds
 | WriteLayoutDebugReport
 | AutoAdjustLayout
 | ShouldAutoAdjust
 | FixDesignFontsPPI
 | ScaleFontsPPI
 | Create
 | Destroy
 | BeforeDestruction
 | EditingDone
 | ExecuteDefaultAction
 | ExecuteCancelAction
 | BeginDrag
 | EndDrag
 | BringToFront
 | HasParent
 | GetParentComponent
 | IsParentOf
 | GetTopParent
 | IsVisible
 | IsControlVisible
 | IsEnabled
 | IsParentColor
 | IsParentFont
 | FormIsUpdating
 | IsProcessingPaintMsg
 | Hide
 | Refresh
 | Repaint
 | Invalidate
 | CheckChildClassAllowed
 | CheckNewParent
 | SendToBack
 | SetTempCursor
 | UpdateRolesForForm
 | ActiveDefaultControlChanged
 | GetTextBuf
 | GetTextLen
 | SetTextBuf
 | Perform
 | ScreenToClient
 | ClientToScreen
 | ScreenToControl
 | ControlToScreen
 | ClientToParent
 | ParentToClient
 | GetChildrenRect
 | Show
 | Update
 | HandleObjectShouldBeVisible
 | ParentDestroyingHandle
 | ParentHandlesAllocated
 | InitiateAction
 | ShowHelp
 | HasHelp
 | RemoveAllHandlersOfObject
 | AddHandlerOnResize
 | RemoveHandlerOnResize
 | AddHandlerOnChangeBounds
 | RemoveHandlerOnChangeBounds
 | AddHandlerOnVisibleChanging
 | RemoveHandlerOnVisibleChanging
 | AddHandlerOnVisibleChanged
 | RemoveHandlerOnVisibleChanged
 | AddHandlerOnEnabledChanged
 | RemoveHandlerOnEnableChanging
 | AddHandlerOnKeyDown
 | RemoveHandlerOnKeyDown
 | AddHandlerOnBeforeDestruction
 | RemoveHandlerOnBeforeDestruction
 | AddHandlerOnMouseWheel
 | RemoveHandlerOnMouseWheel
 | UseRightToLeftAlignment
 | UseRightToLeftReading
 | UseRightToLeftScrollBar
 | IsRightToLeft
TLCLComponent
pt | WSRegisterClass
pt | GetWSComponentClass
 | Create
 | Destroy
 | NewInstance
 | RemoveAllHandlersOfObject
 | IncLCLRefCount
 | DecLCLRefCount
TComponent
 | GetComObject
 | GetComponent
 | GetComponentCount
 | GetComponentIndex
 | Insert
 | ReadLeft
 | ReadTop
 | Remove
 | RemoveNotification
 | SetComponentIndex
 | SetReference
 | WriteLeft
 | WriteTop
 | ChangeName
 | DefineProperties
 | GetChildren
 | GetChildOwner
 | GetChildParent
 | GetOwner
 | Loaded
 | Loading
 | Notification
 | PaletteCreated
 | ReadState
 | SetAncestor
 | SetDesigning
 | SetDesignInstance
 | SetInline
 | SetName
 | SetChildOrder
 | SetParentComponent
 | Updating
 | Updated
 | UpdateRegistry
 | ValidateRename
 | ValidateContainer
 | ValidateInsert
 | QueryInterface
 | _AddRef
 | _Release
 | iicrGetComponent
 | GetTypeInfoCount
 | GetTypeInfo
 | GetIDsOfNames
 | Invoke
 | WriteState
 | Create
 | Destroy
 | BeforeDestruction
 | DestroyComponents
 | Destroying
 | ExecuteAction
 | FindComponent
 | FreeNotification
 | RemoveFreeNotification
 | FreeOnRelease
 | GetEnumerator
 | GetNamePath
 | GetParentComponent
 | HasParent
 | InsertComponent
 | RemoveComponent
 | SafeCallException
 | SetSubComponent
 | UpdateAction
 | IsImplementorOf
 | ReferenceInterface
TPersistent
 | AssignError
 | AssignTo
 | DefineProperties
 | GetOwner
 | Destroy
 | Assign
 | FPOAttachObserver
 | FPODetachObserver
 | FPONotifyObservers
 | GetNamePath
TObject
 | Create
 | Destroy
 | newinstance
 | FreeInstance
 | SafeCallException
 | DefaultHandler
 | Free
 | InitInstance
 | CleanupInstance
 | ClassType
 | ClassInfo
 | ClassName
 | ClassNameIs
 | ClassParent
 | InstanceSize
 | InheritsFrom
 | StringMessageTable
 | MethodAddress
 | MethodName
 | FieldAddress
 | AfterConstruction
 | BeforeDestruction
 | DefaultHandlerStr
 | Dispatch
 | DispatchStr
 | GetInterface
 | GetInterfaceByStr
 | GetInterfaceWeak
 | GetInterfaceEntry
 | GetInterfaceEntryByStr
 | GetInterfaceTable
 | UnitName
 | Equals
 | GetHashCode
 | ToString


pt | ActionChange (TControl)
pt | Activate (TCustomForm)
 | ActivateHint (THintWindow)
 | ActivateHintData (THintWindow)
 | ActivateRendered (THintWindowRendered)
pt | ActivateSub (THintWindow)
 | ActivateWithBounds (THintWindow)
pt | ActiveChanged (TCustomForm)
 | ActiveDefaultControlChanged (TControl)
 | ActiveMDIChild (TCustomForm)
 | AddControl (TWinControl)
pt | AddHandler (TControl)
 | AddHandlerClose (TCustomForm)
 | AddHandlerCreate (TCustomForm)
 | AddHandlerFirstShow (TCustomForm)
 | AddHandlerOnBeforeDestruction (TControl)
 | AddHandlerOnChangeBounds (TControl)
 | AddHandlerOnEnabledChanged (TControl)
 | AddHandlerOnKeyDown (TControl)
 | AddHandlerOnMouseWheel (TControl)
 | AddHandlerOnResize (TControl)
 | AddHandlerOnVisibleChanged (TControl)
 | AddHandlerOnVisibleChanging (TControl)
pt | AdjustClientRect (TWinControl)
pt | AdjustClientRect (TCustomForm)
 | AdjustSize (TControl)
 | AfterConstruction (TObject)
 | AfterConstruction (TCustomForm)
pt | AlignControls (TWinControl)
pt | AlignControls (TScrollingWinControl)
pt | AllAutoSized (TWinControl)
pt | AllAutoSized (TCustomForm)
 | AnchorAsAlign (TControl)
 | AnchorClient (TControl)
 | AnchoredControlCount (TControl)
 | AnchorHorizontalCenterTo (TControl)
 | AnchorParallel (TControl)
 | AnchorSame (TControl)
pt | AnchorSideChanged (TControl)
 | AnchorToCompanion (TControl)
 | AnchorToNeighbour (TControl)
 | AnchorVerticalCenterTo (TControl)
 | Assign (TPersistent)
 | AssignError (TPersistent)
 | AssignTo (TPersistent)
pt | AssignTo (TControl)
 | AutoAdjustLayout (TControl)
 | AutoAdjustLayout (TWinControl)
 | AutoAdjustLayout (TCustomDesignControl)
 | AutoScale (TCustomForm)
pt | AutoScrollEnabled (TScrollingWinControl)
 | AutoSizeDelayed (TControl)
 | AutoSizeDelayed (TWinControl)
 | AutoSizeDelayedHandle (TControl)
 | AutoSizeDelayedHandle (TWinControl)
 | AutoSizeDelayedHandle (TCustomForm)
 | AutoSizeDelayedReport (TControl)
 | AutoSizeDelayedReport (TWinControl)
 | AutoSizePhases (TControl)
 | AutoSizePhases (TWinControl)
 | BeforeDestruction (TObject)
 | BeforeDestruction (TComponent)
 | BeforeDestruction (TControl)
 | BeforeDestruction (TCustomForm)
pt | BeforeDragStart (TControl)
pt | BeginAutoDrag (TControl)
pt | BeginAutoDrag (TCustomForm)
pt | BeginAutoSizing (TControl)
 | BeginDrag (TControl)
pt | BeginFormUpdate (TCustomForm)
 | BeginUpdateBounds (TWinControl)
 | BigIconHandle (TCustomForm)
pt | BoundsChanged (TControl)
 | BringToFront (TControl)
 | BroadCast (TWinControl)
 | BrushCreated (TWinControl)
 | CalcHintRect (THintWindow)
pt | CalculateAutoRanges (TScrollingWinControl)
pt | CalculateDockSizes (TControl)
pt | CalculatePreferredSize (TControl)
pt | CalculatePreferredSize (TWinControl)
pt | CalculatePreferredSize (TCustomForm)
pt | CanAutoSize (TControl)
 | CanFocus (TWinControl)
 | CanFocus (TCustomForm)
 | CanSetFocus (TWinControl)
pt | CanTab (TControl)
pt | CanTab (TWinControl)
pt | CaptureChanged (TControl)
pt | ChangeBounds (TControl)
pt | Changed (TControl)
 | ChangeName (TComponent)
pt | ChangeScale (TControl)
pt | ChangeScale (TWinControl)
 | CheckChildClassAllowed (TControl)
 | CheckNewParent (TControl)
pt | CheckOnChangeBounds (TControl)
pt | ChildClassAllowed (TControl)
pt | ChildClassAllowed (TWinControl)
pt | ChildHandlesCreated (TWinControl)
pt | ChildHandlesCreated (TCustomForm)
pt | ChildKey (TWinControl)
 | ClassInfo (TObject)
 | ClassName (TObject)
 | ClassNameIs (TObject)
 | ClassParent (TObject)
 | ClassType (TObject)
 | CleanupInstance (TObject)
pt | Click (TControl)
 | ClientRectNeedsInterfaceUpdate (TWinControl)
 | ClientToParent (TControl)
 | ClientToScreen (TControl)
 | ClientToScreen (TScrollingWinControl)
 | Close (TCustomForm)
 | CloseQuery (TCustomForm)
pt | CMActionExecute (TCustomForm)
pt | CMActionUpdate (TCustomForm)
pt | CMActivate (TCustomForm)
pt | CMAppShowBtnGlyphChanged (TCustomForm)
pt | CMAppShowMenuGlyphChanged (TCustomForm)
pt | CMBiDiModeChanged (TControl)
pt | CMBiDiModeChanged (TWinControl)
pt | CMBiDiModeChanged (TCustomForm)
pt | CMBorderChanged (TWinControl)
pt | CMChanged (TControl)
pt | CMCursorChanged (TControl)
pt | CMDeactivate (TCustomForm)
pt | CMDoubleBufferedChanged (TWinControl)
pt | CMEnabledChanged (TControl)
pt | CMEnabledChanged (TWinControl)
pt | CMEnter (TWinControl)
pt | CMExit (TWinControl)
pt | CMHintShow (TControl)
pt | CMHitTest (TControl)
pt | CMIconChanged (TCustomForm)
pt | CMMouseEnter (TControl)
pt | CMMouseLeave (TControl)
pt | CMParentBiDiModeChanged (TControl)
pt | CMParentBiDiModeChanged (TCustomForm)
pt | CMParentColorChanged (TControl)
pt | CMParentDoubleBufferedChanged (TWinControl)
pt | CMParentFontChanged (TControl)
pt | CMParentShowHintChanged (TControl)
pt | CMRelease (TCustomForm)
pt | CMShowHintChanged (TWinControl)
pt | CMShowingChanged (TWinControl)
pt | CMShowingChanged (TCustomForm)
pt | CMSysFontChanged (TControl)
pt | CMTextChanged (TControl)
pt | CMVisibleChanged (TControl)
pt | CMVisibleChanged (TWinControl)
pt | CNChar (TWinControl)
pt | CNKeyDown (TWinControl)
pt | CNKeyUp (TWinControl)
 | CNPreferredSizeChanged (TControl)
pt | CNSysKeyDown (TWinControl)
pt | CNSysKeyUp (TWinControl)
pt | ColorIsStored (TControl)
pt | ColorIsStored (TCustomForm)
pt | ComputeScrollbars (TScrollingWinControl)
pt | ConstrainedResize (TControl)
 | ContainsControl (TWinControl)
 | ControlAtPos (TWinControl)
pt | ControlKeyDown (TWinControl)
pt | ControlKeyUp (TWinControl)
pt | ControlsAligned (TWinControl)
 | ControlToScreen (TControl)
 | Create (TObject)
 | Create (TComponent)
 | Create (TLCLComponent)
 | Create (TControl)
 | Create (TWinControl)
 | Create (TCustomControl)
 | Create (TScrollingWinControl)
 | Create (TCustomDesignControl)
 | Create (TCustomForm)
 | Create (THintWindow)
 | Create (THintWindowRendered)
 | CreateAccessibleObject (TControl)
pt | CreateBrush (TWinControl)
pt | CreateControlBorderSpacing (TControl)
pt | CreateDockManager (TWinControl)
pt | CreateFloatingDockSite (TControl)
pt | CreateHandle (TWinControl)
 | CreateNew (TCustomForm)
pt | CreateParams (TWinControl)
pt | CreateParams (TCustomForm)
 | CreateParented (TWinControl)
 | CreateParentedControl (TWinControl)
pt | CreateSubClass (TWinControl)
pt | CreateWnd (TWinControl)
pt | CreateWnd (TScrollingWinControl)
pt | CreateWnd (TCustomForm)
pt | CustomAlignInsertBefore (TWinControl)
pt | CustomAlignPosition (TWinControl)
pt | DblClick (TControl)
pt | Deactivate (TCustomForm)
 | DecLCLRefCount (TLCLComponent)
 | DefaultHandler (TObject)
 | DefaultHandler (TWinControl)
 | DefaultHandlerStr (TObject)
 | DefineProperties (TPersistent)
 | DefineProperties (TComponent)
pt | DefineProperties (TControl)
 | DefocusControl (TCustomForm)
 | Destroy (TObject)
 | Destroy (TPersistent)
 | Destroy (TComponent)
 | Destroy (TLCLComponent)
 | Destroy (TControl)
 | Destroy (TWinControl)
 | Destroy (TCustomControl)
 | Destroy (TScrollingWinControl)
 | Destroy (TCustomForm)
 | Destroy (THintWindow)
 | Destroy (THintWindowRendered)
 | DestroyComponents (TComponent)
pt | DestroyHandle (TWinControl)
 | Destroying (TComponent)
pt | DestroyWnd (TWinControl)
pt | DestroyWnd (TCustomControl)
 | DestroyWnd (TCustomForm)
pt | DialogChar (TControl)
pt | DialogChar (TWinControl)
 | DisableAlign (TWinControl)
 | DisableAutoSizing (TControl)
 | Dispatch (TObject)
 | DispatchStr (TObject)
pt | DoAddActionList (TCustomForm)
pt | DoAddDockClient (TWinControl)
 | DoAdjustClientRectChange (TWinControl)
pt | DoAlignChildControls (TWinControl)
pt | DoAllAutoSize (TControl)
pt | DoAllAutoSize (TWinControl)
pt | DoAutoAdjustLayout (TControl)
pt | DoAutoAdjustLayout (TCustomDesignControl)
pt | DoAutoSize (TControl)
pt | DoAutoSize (TWinControl)
pt | DoAutoSize (TCustomForm)
pt | DoBorderSpacingChange (TControl)
pt | DoCallKeyEventHandler (TControl)
pt | DoCallMouseWheelEventHandler (TControl)
pt | DoCallNotifyHandler (TControl)
pt | DoChildSizingChange (TWinControl)
 | Dock (TControl)
 | Dock (TCustomForm)
 | DockDrop (TWinControl)
 | Docked (TControl)
pt | DockOver (TWinControl)
pt | DockTrackNoTarget (TControl)
pt | DoClose (TCustomForm)
pt | DoConstraintsChange (TControl)
pt | DoConstraintsChange (TWinControl)
pt | DoContextPopup (TControl)
pt | DoCreate (TCustomForm)
pt | DoDestroy (TCustomForm)
pt | DoDock (TControl)
pt | DoDock (TCustomForm)
pt | DoDockClientMsg (TWinControl)
pt | DoDockOver (TWinControl)
pt | DoDragMsg (TControl)
pt | DoDragMsg (TWinControl)
pt | DoEndDock (TControl)
pt | DoEndDrag (TControl)
pt | DoEnter (TWinControl)
pt | DoExecuteAction (TCustomForm)
pt | DoExit (TWinControl)
pt | DoFirstShow (TCustomForm)
pt | DoFixDesignFontPPI (TControl)
pt | DoFlipChildren (TWinControl)
pt | DoFloatMsg (TControl)
pt | DoFloatMsg (TWinControl)
pt | DoGetDockCaption (TWinControl)
pt | DoHide (TCustomForm)
pt | DoKeyDownBeforeInterface (TWinControl)
pt | DoKeyPress (TWinControl)
pt | DoKeyUpBeforeInterface (TWinControl)
pt | DoMouseWheel (TControl)
pt | DoMouseWheelDown (TControl)
pt | DoMouseWheelHorz (TControl)
pt | DoMouseWheelLeft (TControl)
pt | DoMouseWheelRight (TControl)
pt | DoMouseWheelUp (TControl)
pt | DoOnChangeBounds (TControl)
pt | DoOnParentHandleDestruction (TControl)
pt | DoOnResize (TControl)
pt | DoOnResize (TScrollingWinControl)
pt | DoOnShowHint (TControl)
pt | DoRemainingKeyDown (TWinControl)
pt | DoRemainingKeyUp (TWinControl)
pt | DoRemoveActionList (TCustomForm)
pt | DoRemoveDockClient (TWinControl)
pt | DoScaleFontPPI (TControl)
pt | DoSendBoundsToInterface (TWinControl)
pt | DoSendBoundsToInterface (TCustomForm)
pt | DoSendShowHideToInterface (TWinControl)
pt | DoSetBounds (TControl)
pt | DoSetBounds (TWinControl)
pt | DoShow (TCustomForm)
pt | DoShowWindow (TCustomForm)
pt | DoShowWindow (THintWindow)
pt | DoStartDock (TControl)
pt | DoStartDrag (TControl)
pt | DoUnDock (TWinControl)
pt | DoUndockClientMsg (TWinControl)
pt | DoUpdateAction (TCustomForm)
pt | DoUTF8KeyPress (TWinControl)
pt | DragCanceled (TControl)
 | DragDrop (TControl)
 | Dragging (TControl)
pt | DragOver (TControl)
 | EditingDone (TControl)
 | EnableAlign (TWinControl)
 | EnableAutoSizing (TControl)
pt | EnabledChanged (TControl)
pt | EnabledChanging (TControl)
pt | EndAutoSizing (TControl)
 | EndDrag (TControl)
pt | EndFormUpdate (TCustomForm)
 | EndUpdateBounds (TWinControl)
 | EnsureVisible (TCustomForm)
 | Equals (TObject)
 | EraseBackground (TWinControl)
 | ExecuteAction (TComponent)
 | ExecuteCancelAction (TControl)
 | ExecuteDefaultAction (TControl)
 | FieldAddress (TObject)
pt | FinalizeWnd (TWinControl)
 | FindChildControl (TWinControl)
 | FindComponent (TComponent)
pt | FindNextControl (TWinControl)
 | FixDesignFontsPPI (TControl)
pt | FixupTabList (TWinControl)
 | FlipChildren (TWinControl)
 | FocusControl (TCustomForm)
 | Focused (TWinControl)
pt | FontChanged (TControl)
pt | FontChanged (TWinControl)
pt | FontChanged (TCustomControl)
pt | ForeignAnchorSideChanged (TControl)
pt | FormEndUpdated (TControl)
pt | FormEndUpdated (TWinControl)
 | FormIsUpdating (TControl)
 | FormIsUpdating (TCustomForm)
 | FPOAttachObserver (TPersistent)
 | FPODetachObserver (TPersistent)
 | FPONotifyObservers (TPersistent)
 | Free (TObject)
 | FreeInstance (TObject)
 | FreeNotification (TComponent)
 | FreeOnRelease (TComponent)
 | GetAccessibleObject (TControl)
pt | GetAction (TControl)
pt | GetActionLinkClass (TControl)
pt | GetAdjustedLogicalClientRect (TWinControl)
 | GetAnchorsDependingOnParent (TControl)
pt | GetBorderStyle (TWinControl)
pt | GetCachedText (TControl)
 | GetCanvasScaleFactor (TControl)
 | GetChildAccessibleObjectAtPos (TControl)
 | GetChildOwner (TComponent)
 | GetChildParent (TComponent)
 | GetChildren (TComponent)
pt | GetChildren (TWinControl)
 | GetChildren (TCustomForm)
 | GetChildrenRect (TControl)
 | GetChildrenRect (TWinControl)
pt | GetClientOrigin (TControl)
pt | GetClientOrigin (TWinControl)
pt | GetClientRect (TControl)
pt | GetClientRect (TWinControl)
pt | GetClientScrollOffset (TControl)
pt | GetClientScrollOffset (TScrollingWinControl)
 | GetColorResolvingParent (TControl)
 | GetComObject (TComponent)
 | GetComponent (TComponent)
 | GetComponentCount (TComponent)
 | GetComponentIndex (TComponent)
pt | GetControlClassDefaultSize (TControl)
 | GetControlClassDefaultSize (TScrollingWinControl)
 | GetControlClassDefaultSize (TCustomForm)
 | GetControlClassDefaultSize (THintWindow)
 | GetControlIndex (TWinControl)
pt | GetControlOrigin (TControl)
pt | GetControlOrigin (TWinControl)
pt | GetCursor (TControl)
 | GetDefaultColor (TControl)
pt | GetDefaultDockCaption (TControl)
pt | GetDefaultDockCaption (TCustomForm)
 | GetDefaultHeight (TControl)
 | GetDefaultWidth (TControl)
pt | GetDeviceContext (TControl)
pt | GetDeviceContext (TWinControl)
 | GetDockCaption (TWinControl)
pt | GetDockEdge (TControl)
pt | GetDragImages (TControl)
pt | GetEnabled (TControl)
 | GetEnumerator (TComponent)
 | GetEnumeratorControls (TWinControl)
 | GetEnumeratorControlsReverse (TWinControl)
pt | GetFloating (TControl)
pt | GetFloating (TCustomForm)
pt | GetFloatingDockSiteClass (TControl)
 | GetFormImage (TCustomForm)
 | GetHashCode (TObject)
 | GetIDsOfNames (TComponent)
 | GetInterface (TObject)
 | GetInterfaceByStr (TObject)
 | GetInterfaceEntry (TObject)
 | GetInterfaceEntryByStr (TObject)
 | GetInterfaceTable (TObject)
 | GetInterfaceWeak (TObject)
pt | GetLogicalClientRect (TControl)
pt | GetLogicalClientRect (TScrollingWinControl)
 | GetMDIChildren (TCustomForm)
pt | GetMouseCapture (TControl)
pt | GetMouseCapture (TWinControl)
pt | GetMousePosFromMessage (TControl)
 | GetNamePath (TPersistent)
 | GetNamePath (TComponent)
 | GetOwner (TPersistent)
 | GetOwner (TComponent)
pt | GetPalette (TControl)
pt | GetParentBackground (TWinControl)
 | GetParentComponent (TComponent)
 | GetParentComponent (TControl)
pt | GetParentHandle (TWinControl)
pt | GetPopupMenu (TControl)
 | GetPreferredSize (TControl)
 | GetPreferredSize (TCustomForm)
pt | GetPreferredSizeClientFrame (TWinControl)
pt | GetPreferredSizeClientFrame (TScrollingWinControl)
 | GetRealPopupParent (TCustomForm)
 | GetRGBColorResolvingParent (TControl)
 | GetRolesForControl (TCustomForm)
pt | GetScrolledClientRect (TControl)
 | GetSelectedChildAccessibleObject (TControl)
 | GetSidePosition (TControl)
pt | GetSiteInfo (TWinControl)
 | GetTabOrderList (TWinControl)
 | GetTextBuf (TControl)
 | GetTextLen (TControl)
 | GetTextLen (TWinControl)
 | GetTopParent (TControl)
pt | GetTopParentHandle (TWinControl)
 | GetTypeInfo (TComponent)
 | GetTypeInfoCount (TComponent)
pt | GetWSComponentClass (TLCLComponent)
 | HandleAllocated (TWinControl)
pt | HandleCreateException (TCustomForm)
pt | HandleDestroyException (TCustomForm)
 | HandleNeeded (TWinControl)
 | HandleObjectShouldBeVisible (TControl)
pt | HandleShowHideException (TCustomForm)
 | HasHelp (TControl)
 | HasParent (TComponent)
 | HasParent (TControl)
pt | HeightIsAnchored (TControl)
 | Hide (TControl)
 | Hide (TCustomForm)
 | iicrGetComponent (TComponent)
 | IncLCLRefCount (TLCLComponent)
 | InheritsFrom (TObject)
pt | InitializeWnd (TWinControl)
pt | InitializeWnd (TCustomForm)
 | InitializeWnd (THintWindow)
 | InitiateAction (TControl)
 | InitInstance (TObject)
 | Insert (TComponent)
 | InsertComponent (TComponent)
 | InsertControl (TWinControl)
 | InstanceSize (TObject)
 | IntfDropFiles (TCustomForm)
 | IntfGetDropFilesTarget (TWinControl)
 | IntfHelp (TCustomForm)
 | IntfUTF8KeyPress (TWinControl)
 | Invalidate (TControl)
 | Invalidate (TWinControl)
pt | InvalidateBoundsRealized (TWinControl)
 | InvalidateClientRectCache (TWinControl)
pt | InvalidateControl (TControl)
pt | InvalidatePreferredChildSizes (TWinControl)
 | InvalidatePreferredSize (TControl)
 | Invoke (TComponent)
pt | IsAParentAligning (TControl)
pt | IsBorderSpacingInnerBorderStored (TControl)
pt | IsCaptionStored (TControl)
pt | IsClientHeightStored (TControl)
pt | IsClientHeightStored (TWinControl)
pt | IsClientWidthStored (TControl)
pt | IsClientWidthStored (TWinControl)
pt | IsControlMouseMsg (TWinControl)
 | IsControlVisible (TControl)
 | IsEnabled (TControl)
 | IsHintMsg (THintWindow)
 | IsImplementorOf (TComponent)
 | IsParentColor (TControl)
 | IsParentFont (TControl)
 | IsParentOf (TControl)
 | IsProcessingPaintMsg (TControl)
 | IsRightToLeft (TControl)
 | IsShortcut (TCustomForm)
 | IsVisible (TControl)
pt | KeyDown (TWinControl)
pt | KeyDownAfterInterface (TWinControl)
pt | KeyDownBeforeInterface (TWinControl)
pt | KeyPress (TWinControl)
pt | KeyUp (TWinControl)
pt | KeyUpAfterInterface (TWinControl)
pt | KeyUpBeforeInterface (TWinControl)
pt | LMCaptureChanged (TControl)
 | Loaded (TComponent)
pt | Loaded (TControl)
pt | Loaded (TWinControl)
pt | Loaded (TScrollingWinControl)
pt | Loaded (TCustomDesignControl)
pt | Loaded (TCustomForm)
pt | LoadedAll (TControl)
 | Loading (TComponent)
 | LockRealizeBounds (TWinControl)
pt | MainWndProc (TWinControl)
 | MakeFullyVisible (TCustomForm)
 | ManualDock (TControl)
 | ManualFloat (TControl)
 | MDIChildCount (TCustomForm)
 | MethodAddress (TObject)
 | MethodName (TObject)
pt | MouseDown (TControl)
pt | MouseEnter (TControl)
pt | MouseLeave (TControl)
pt | MouseMove (TControl)
pt | MouseUp (TControl)
pt | MoveToDefaultPosition (TCustomForm)
 | newinstance (TObject)
 | NewInstance (TLCLComponent)
 | Notification (TComponent)
pt | Notification (TControl)
pt | Notification (TCustomForm)
 | NotifyControls (TWinControl)
 | OffsetHintRect (THintWindow)
pt | Paint (TCustomControl)
pt | Paint (THintWindow)
pt | PaintControls (TWinControl)
pt | PaintHandler (TWinControl)
 | PaintTo (TWinControl)
pt | PaintWindow (TWinControl)
pt | PaintWindow (TCustomControl)
pt | PaintWindow (TCustomForm)
 | PaletteCreated (TComponent)
 | ParentDestroyingHandle (TControl)
pt | ParentFontChanged (TControl)
pt | ParentFormHandleInitialized (TControl)
pt | ParentFormHandleInitialized (TWinControl)
 | ParentHandlesAllocated (TControl)
 | ParentHandlesAllocated (TWinControl)
 | ParentToClient (TControl)
 | Perform (TControl)
 | PerformTab (TWinControl)
pt | PositionDockRect (TControl)
pt | ProcessResource (TCustomForm)
pt | QuadClick (TControl)
 | QueryInterface (TComponent)
 | ReadLeft (TComponent)
 | ReadState (TComponent)
pt | ReadState (TControl)
 | ReadTop (TComponent)
pt | RealGetText (TControl)
pt | RealGetText (TWinControl)
 | ReAlign (TWinControl)
pt | RealizeBounds (TWinControl)
pt | RealizeBoundsRecursive (TWinControl)
pt | RealSetText (TControl)
pt | RealSetText (TWinControl)
 | ReferenceInterface (TComponent)
 | Refresh (TControl)
 | Release (TCustomForm)
 | ReleaseHandle (THintWindow)
pt | ReloadDockedControl (TWinControl)
 | Remove (TComponent)
 | RemoveAllHandlersOfObject (TLCLComponent)
 | RemoveAllHandlersOfObject (TControl)
 | RemoveAllHandlersOfObject (TCustomForm)
 | RemoveComponent (TComponent)
 | RemoveControl (TWinControl)
pt | RemoveFocus (TWinControl)
 | RemoveFreeNotification (TComponent)
pt | RemoveHandler (TControl)
 | RemoveHandlerClose (TCustomForm)
 | RemoveHandlerCreate (TCustomForm)
 | RemoveHandlerFirstShow (TCustomForm)
 | RemoveHandlerOnBeforeDestruction (TControl)
 | RemoveHandlerOnChangeBounds (TControl)
 | RemoveHandlerOnEnableChanging (TControl)
 | RemoveHandlerOnKeyDown (TControl)
 | RemoveHandlerOnMouseWheel (TControl)
 | RemoveHandlerOnResize (TControl)
 | RemoveHandlerOnVisibleChanged (TControl)
 | RemoveHandlerOnVisibleChanging (TControl)
 | RemoveNotification (TComponent)
 | Repaint (TControl)
 | Repaint (TWinControl)
 | ReplaceDockedControl (TControl)
pt | RequestAlign (TControl)
pt | RequestAlign (TCustomForm)
pt | Resize (TControl)
pt | Resizing (TScrollingWinControl)
pt | Resizing (TCustomForm)
 | SafeCallException (TObject)
 | SafeCallException (TComponent)
 | Scale96ToFont (TControl)
 | Scale96ToForm (TControl)
 | Scale96ToScreen (TControl)
 | ScaleBy (TWinControl)
pt | ScaleConstraints (TControl)
pt | ScaleControls (TWinControl)
 | ScaleDesignToForm (TControl)
 | ScaleFontsPPI (TControl)
 | ScaleFontTo96 (TControl)
 | ScaleFontToScreen (TControl)
 | ScaleFormTo96 (TControl)
 | ScaleFormToDesign (TControl)
 | ScaleScreenTo96 (TControl)
 | ScaleScreenToFont (TControl)
 | ScreenToClient (TControl)
 | ScreenToClient (TScrollingWinControl)
 | ScreenToControl (TControl)
 | ScrollBy (TWinControl)
 | ScrollBy (TScrollingWinControl)
 | ScrollBy_WS (TWinControl)
 | ScrollInView (TScrollingWinControl)
pt | SelectFirst (TWinControl)
 | SelectNext (TWinControl)
pt | SendDialogChar (TWinControl)
pt | SendMoveSizeMessages (TControl)
pt | SendMoveSizeMessages (TWinControl)
 | SendToBack (TControl)
pt | SetAction (TControl)
pt | SetAlign (TControl)
 | SetAncestor (TComponent)
pt | SetAnchors (TControl)
pt | SetAutoScroll (TScrollingWinControl)
pt | SetAutoScroll (TCustomForm)
pt | SetAutoSize (TControl)
pt | SetAutoSize (TScrollingWinControl)
pt | SetAutoSize (TCustomForm)
pt | SetBiDiMode (TControl)
pt | SetBorderStyle (TWinControl)
 | SetBounds (TControl)
 | SetBounds (TWinControl)
 | SetBounds (THintWindow)
 | SetBoundsKeepBase (TControl)
 | SetChildOrder (TComponent)
pt | SetChildZPosition (TWinControl)
pt | SetColor (TControl)
pt | SetColor (TWinControl)
pt | SetColor (TCustomControl)
pt | SetColor (THintWindow)
 | SetComponentIndex (TComponent)
 | SetControlIndex (TWinControl)
pt | SetCursor (TControl)
 | SetDesigning (TComponent)
 | SetDesignInstance (TComponent)
pt | SetDockManager (TWinControl)
pt | SetDragMode (TControl)
pt | SetEnabled (TControl)
 | SetFocus (TWinControl)
 | SetFocus (TCustomForm)
 | SetFocusedControl (TCustomForm)
pt | SetHint (TControl)
 | SetInitialBounds (TControl)
 | SetInline (TComponent)
 | SetName (TComponent)
pt | SetName (TControl)
pt | SetParent (TControl)
pt | SetParent (TCustomForm)
pt | SetParentBackground (TWinControl)
pt | SetParentBiDiMode (TControl)
 | SetParentComponent (TComponent)
pt | SetParentComponent (TControl)
 | SetReference (TComponent)
 | SetRestoredBounds (TCustomForm)
pt | SetScaled (TCustomDesignControl)
pt | SetScaled (TCustomForm)
 | SetShape (TWinControl)
 | SetSubComponent (TComponent)
 | SetTempCursor (TControl)
 | SetTempCursor (TWinControl)
 | SetTextBuf (TControl)
pt | SetVisible (TControl)
pt | SetVisible (TCustomForm)
pt | SetZOrder (TControl)
pt | SetZOrder (TCustomForm)
 | ShouldAutoAdjust (TControl)
 | Show (TControl)
 | Show (TCustomForm)
pt | ShowControl (TWinControl)
 | ShowHelp (TControl)
 | ShowModal (TCustomForm)
 | ShowOnTop (TCustomForm)
 | SmallIconHandle (TCustomForm)
 | StringMessageTable (TObject)
pt | SysHintFont (THintWindow)
pt | TextChanged (TControl)
 | ToString (TObject)
pt | TripleClick (TControl)
 | UnitName (TObject)
 | UnlockRealizeBounds (TWinControl)
 | Update (TControl)
 | Update (TWinControl)
 | UpdateAction (TComponent)
pt | UpdateActions (TCustomForm)
pt | UpdateAnchorRules (TControl)
 | UpdateBaseBounds (TControl)
pt | UpdateControlState (TWinControl)
 | Updated (TComponent)
 | UpdateDockCaption (TWinControl)
 | UpdateDockCaption (TCustomForm)
pt | UpdateMouseCursor (TControl)
pt | UpdateRegion (THintWindow)
 | UpdateRegistry (TComponent)
 | UpdateRolesForForm (TControl)
 | UpdateScrollbars (TScrollingWinControl)
pt | UpdateShowing (TWinControl)
pt | UpdateShowing (TCustomForm)
pt | UpdateWindowState (TCustomForm)
 | Updating (TComponent)
pt | UseBGThemes (THintWindow)
pt | UseFGThemes (THintWindow)
 | UseRightToLeftAlignment (TControl)
 | UseRightToLeftReading (TControl)
 | UseRightToLeftScrollBar (TControl)
pt | UTF8KeyPress (TWinControl)
 | ValidateContainer (TComponent)
 | ValidateInsert (TComponent)
 | ValidateRename (TComponent)
pt | VisibleChanged (TControl)
pt | VisibleChanged (TCustomForm)
pt | VisibleChanging (TControl)
pt | VisibleChanging (TCustomForm)
pt | VisibleIsStored (TCustomForm)
 | WantChildKey (TCustomForm)
pt | WidthIsAnchored (TControl)
pt | WMActivate (TCustomForm)
pt | WMCancelMode (TControl)
pt | WMChar (TWinControl)
pt | WMCloseQuery (TCustomForm)
pt | WMContextMenu (TControl)
pt | WMContextMenu (TWinControl)
pt | WMDestroy (TWinControl)
pt | WMDPIChanged (TCustomForm)
pt | WMEnter (TWinControl)
pt | WMEraseBkgnd (TWinControl)
pt | WMExit (TWinControl)
pt | WMHelp (TCustomForm)
pt | WMHScroll (TScrollingWinControl)
pt | WMKeyDown (TWinControl)
pt | WMKeyUp (TWinControl)
pt | WMKillFocus (TWinControl)
pt | WMLButtonDBLCLK (TControl)
pt | WMLButtonDown (TControl)
pt | WMLButtonQuadCLK (TControl)
pt | WMLButtonTripleCLK (TControl)
pt | WMLButtonUp (TControl)
pt | WMMButtonDBLCLK (TControl)
pt | WMMButtonDown (TControl)
pt | WMMButtonQuadCLK (TControl)
pt | WMMButtonTripleCLK (TControl)
pt | WMMButtonUp (TControl)
pt | WMMouseHWheel (TControl)
pt | WMMouseMove (TControl)
pt | WMMouseWheel (TControl)
pt | WMMove (TControl)
pt | WMMove (TWinControl)
pt | WMMove (TCustomForm)
pt | WMNCHitTest (THintWindow)
pt | WMNotify (TWinControl)
pt | WMPaint (TWinControl)
pt | WMPaint (TCustomControl)
pt | WMRButtonDBLCLK (TControl)
pt | WMRButtonDown (TControl)
pt | WMRButtonQuadCLK (TControl)
pt | WMRButtonTripleCLK (TControl)
pt | WMRButtonUp (TControl)
pt | WMSetFocus (TWinControl)
pt | WMShowWindow (TWinControl)
pt | WMShowWindow (TCustomForm)
pt | WMSize (TControl)
pt | WMSize (TWinControl)
pt | WMSize (TScrollingWinControl)
pt | WMSize (TCustomForm)
pt | WMSysChar (TWinControl)
pt | WMSysKeyDown (TWinControl)
pt | WMSysKeyUp (TWinControl)
pt | WMVScroll (TScrollingWinControl)
pt | WMWindowPosChanged (TControl)
pt | WMWindowPosChanged (TWinControl)
pt | WMWindowPosChanged (TCustomForm)
pt | WMXButtonDBLCLK (TControl)
pt | WMXButtonDown (TControl)
pt | WMXButtonQuadCLK (TControl)
pt | WMXButtonTripleCLK (TControl)
pt | WMXButtonUp (TControl)
pt | WndProc (TControl)
pt | WndProc (TWinControl)
pt | WndProc (TCustomForm)
 | WriteLayoutDebugReport (TControl)
 | WriteLayoutDebugReport (TWinControl)
 | WriteLeft (TComponent)
 | WriteState (TComponent)
 | WriteTop (TComponent)
pt | WSRegisterClass (TLCLComponent)
pt | WSRegisterClass (TControl)
pt | WSRegisterClass (TWinControl)
pt | WSRegisterClass (TCustomControl)
pt | WSRegisterClass (TScrollingWinControl)
pt | WSRegisterClass (TCustomForm)
pt | WSRegisterClass (THintWindow)
pt | WSSetText (TWinControl)
 | _AddRef (TComponent)
 | _Release (TComponent)


THintWindowRendered
THintWindow
 | ro | OnMouseDown
 | ro | OnMouseUp
 | ro | OnMouseMove
 | ro | OnMouseLeave
TCustomForm
 |  | OnActivate
 |  | OnClose
 |  | OnCloseQuery
 |  | OnCreate
 |  | OnDeactivate
 |  | OnDestroy
 |  | OnDropFiles
 |  | OnHelp
 |  | OnHide
 | ro | OnResize
 |  | OnShortcut
 |  | OnShow
 |  | OnShowModalFinished
 |  | OnWindowStateChange
TCustomDesignControl
TScrollingWinControl
TCustomControl
 |  | OnPaint
TWinControl
pt |  | OnGetSiteInfo
pt |  | OnGetDockCaption
 |  | OnAlignInsertBefore
 |  | OnAlignPosition
 |  | OnDockDrop
 |  | OnDockOver
 |  | OnEnter
 |  | OnExit
 |  | OnKeyDown
 |  | OnKeyPress
 |  | OnKeyUp
 |  | OnUnDock
 |  | OnUTF8KeyPress
TControl
pt |  | OnConstrainedResize
pt |  | OnContextPopup
pt |  | OnDblClick
pt |  | OnTripleClick
pt |  | OnQuadClick
pt |  | OnDragDrop
pt |  | OnDragOver
pt |  | OnEndDock
pt |  | OnEndDrag
pt |  | OnMouseDown
pt |  | OnMouseMove
pt |  | OnMouseUp
pt |  | OnMouseEnter
pt |  | OnMouseLeave
pt |  | OnMouseWheel
pt |  | OnMouseWheelDown
pt |  | OnMouseWheelUp
pt |  | OnMouseWheelHorz
pt |  | OnMouseWheelLeft
pt |  | OnMouseWheelRight
pt |  | OnStartDock
pt |  | OnStartDrag
pt |  | OnEditingDone
 |  | OnChangeBounds
 |  | OnClick
 |  | OnResize
 |  | OnShowHint
TLCLComponent
TComponent
TPersistent
TObject


THintWindowRendered.ActivateRendered

Declaration

Source position: forms.pp line 964

public procedure THintWindowRendered.ActivateRendered;


TIDesigner

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

The abstract base class for visual Form Designers

Declaration

Source position: forms.pp line 1767

type TIDesigner = class(TObject)
protected
FLookupRoot: TComponent;
FDefaultFormBoundsValid: Boolean;
public
function IsDesignMsg(); virtual; abstract; | IsDesignMsg - receives a message from Sender, and returns True if it is a design message
procedure UTF8KeyPress(); virtual; abstract;
procedure Modified; virtual; abstract; | Method when design is Modified
procedure Notification(); virtual; abstract; | Notification that the supplied Operation has been applied to the specified Component
procedure PaintGrid; virtual; abstract; | PaintGrid - method for painting the grid in the designer
procedure ValidateRename(); virtual; abstract; | ValidateRename - method to validate the Rename process
function GetShiftState; virtual; abstract; | GetShiftState - returns the value of the shift state (whether shifted, Cntl key, Alt key etc)
procedure SelectOnlyThisComponent(); virtual; abstract; | SelectOnlyThisComponent - method to select only the currrent component in the designer
function UniqueName(); virtual; abstract; | UniqueName - returns a Unique name for the designer, using the BaseName as a starting point
procedure PrepareFreeDesigner(); virtual; abstract;
property LookupRoot: TComponent; [r]
property DefaultFormBoundsValid: Boolean; [rw]
end;

Inheritance

TIDesigner

The abstract base class for visual Form Designers
|

TObject

Description

The whole description looks like guesswork :-(
It should become more informative.


TIDesigner
 | ro | LookupRoot
 |  | DefaultFormBoundsValid
TObject


ro | LookupRoot (TIDesigner)


TIDesigner
 | IsDesignMsg
 | UTF8KeyPress
 | Modified
 | Notification
 | PaintGrid
 | ValidateRename
 | GetShiftState
 | SelectOnlyThisComponent
 | UniqueName
 | PrepareFreeDesigner
TObject
 | Create
 | Destroy
 | newinstance
 | FreeInstance
 | SafeCallException
 | DefaultHandler
 | Free
 | InitInstance
 | CleanupInstance
 | ClassType
 | ClassInfo
 | ClassName
 | ClassNameIs
 | ClassParent
 | InstanceSize
 | InheritsFrom
 | StringMessageTable
 | MethodAddress
 | MethodName
 | FieldAddress
 | AfterConstruction
 | BeforeDestruction
 | DefaultHandlerStr
 | Dispatch
 | DispatchStr
 | GetInterface
 | GetInterfaceByStr
 | GetInterfaceWeak
 | GetInterfaceEntry
 | GetInterfaceEntryByStr
 | GetInterfaceTable
 | UnitName
 | Equals
 | GetHashCode
 | ToString


AfterConstruction (TObject)

BeforeDestruction (TObject)

ClassInfo (TObject)

ClassName (TObject)

ClassNameIs (TObject)

ClassParent (TObject)

ClassType (TObject)

CleanupInstance (TObject)

Create (TObject)

DefaultHandler (TObject)

DefaultHandlerStr (TObject)

Destroy (TObject)

Dispatch (TObject)

DispatchStr (TObject)

Equals (TObject)

FieldAddress (TObject)

Free (TObject)

FreeInstance (TObject)

GetHashCode (TObject)

GetInterface (TObject)

GetInterfaceByStr (TObject)

GetInterfaceEntry (TObject)

GetInterfaceEntryByStr (TObject)

GetInterfaceTable (TObject)

GetInterfaceWeak (TObject)

GetShiftState (TIDesigner)

InheritsFrom (TObject)

InitInstance (TObject)

InstanceSize (TObject)

IsDesignMsg (TIDesigner)

MethodAddress (TObject)

MethodName (TObject)

Modified (TIDesigner)

newinstance (TObject)

Notification (TIDesigner)

PaintGrid (TIDesigner)

PrepareFreeDesigner (TIDesigner)

SafeCallException (TObject)

SelectOnlyThisComponent (TIDesigner)

StringMessageTable (TObject)

ToString (TObject)

UniqueName (TIDesigner)

UnitName (TObject)

UTF8KeyPress (TIDesigner)

ValidateRename (TIDesigner)


TIDesigner

TObject


TIDesigner.DefaultFormBoundsValid

Declaration

Source position: forms.pp line 1787

public property TIDesigner.DefaultFormBoundsValid : Boolean
  read FDefaultFormBoundsValid
  write FDefaultFormBoundsValid;


TIDesigner.FDefaultFormBoundsValid

Declaration

Source position: forms.pp line 1770

protected TIDesigner.FDefaultFormBoundsValid : Boolean;


TIDesigner.FLookupRoot

Declaration

Source position: forms.pp line 1769

protected TIDesigner.FLookupRoot : TComponent;


TIDesigner.GetShiftState

GetShiftState - returns the value of the shift state (whether shifted, Cntl key, Alt key etc)

Declaration

Source position: forms.pp line 1781

public function TIDesigner.GetShiftState: TShiftState; virtual; abstract;


TIDesigner.IsDesignMsg

IsDesignMsg - receives a message from Sender, and returns True if it is a design message

Declaration

Source position: forms.pp line 1772

public function TIDesigner.IsDesignMsg(

  Sender: TControl;

  var Message: TLMessage

):Boolean; virtual; abstract;


TIDesigner.LookupRoot

Declaration

Source position: forms.pp line 1786

public property TIDesigner.LookupRoot : TComponent
  read FLookupRoot;


TIDesigner.Modified

Method when design is Modified

Declaration

Source position: forms.pp line 1775

public procedure TIDesigner.Modified; virtual; abstract;


TIDesigner.Notification

Notification that the supplied Operation has been applied to the specified Component

Declaration

Source position: forms.pp line 1776

public procedure TIDesigner.Notification(

  AComponent: TComponent;

  Operation: TOperation

); virtual; abstract;


TIDesigner.PaintGrid

PaintGrid - method for painting the grid in the designer

Declaration

Source position: forms.pp line 1778

public procedure TIDesigner.PaintGrid; virtual; abstract;


TIDesigner.PrepareFreeDesigner

Declaration

Source position: forms.pp line 1784

public procedure TIDesigner.PrepareFreeDesigner(

  AFreeComponent: Boolean

); virtual; abstract;


TIDesigner.SelectOnlyThisComponent

SelectOnlyThisComponent - method to select only the currrent component in the designer

Declaration

Source position: forms.pp line 1782

public procedure TIDesigner.SelectOnlyThisComponent(

  AComponent: TComponent

); virtual; abstract;


TIDesigner.UniqueName

UniqueName - returns a Unique name for the designer, using the BaseName as a starting point

Declaration

Source position: forms.pp line 1783

public function TIDesigner.UniqueName(

  const BaseName: string

):string; virtual; abstract;


TIDesigner.UTF8KeyPress

Declaration

Source position: forms.pp line 1774

public procedure TIDesigner.UTF8KeyPress(

  var UTF8Key: TUTF8Char

); virtual; abstract;


TIDesigner.ValidateRename

ValidateRename - method to validate the Rename process

Declaration

Source position: forms.pp line 1779

public procedure TIDesigner.ValidateRename(

  AComponent: TComponent;

  const CurName: string;

  const NewName: string

); virtual; abstract;


TMonitor

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Information about an phyiscal monitor.

Declaration

Source position: forms.pp line 969

type TMonitor = class(TObject)
public
property Handle: HMONITOR; [r] | Identifies this monitor to the system.
property MonitorNum: Integer; [r] | Index of the monitor in the TScreen.Monitors list.
property Left: Integer; [r] | The leftmost screen coordinate of the display.
property Height: Integer; [r] | The height of the display.
property Top: Integer; [r] | The topmost screen coordinate of the display.
property Width: Integer; [r] | The width of the display.
property BoundsRect: TRect; [r] | The logical dimensions of the monitor, within the desktop.
property WorkareaRect: TRect; [r] | The usable display area, excluding a taskbar etc.
property Primary: Boolean; [r] | True if this is the primary monitor of the system.
property PixelsPerInch: Integer; [r]
end;

Inheritance

TMonitor

Information about an phyiscal monitor.
|

TObject

Description

All informations are retrieved dynamically from the OS, so that all changes are taken into account.


TMonitor
 | ro | Handle
 | ro | MonitorNum
 | ro | Left
 | ro | Height
 | ro | Top
 | ro | Width
 | ro | BoundsRect
 | ro | WorkareaRect
 | ro | Primary
 | ro | PixelsPerInch
TObject


ro | BoundsRect (TMonitor)
ro | Handle (TMonitor)
ro | Height (TMonitor)
ro | Left (TMonitor)
ro | MonitorNum (TMonitor)
ro | PixelsPerInch (TMonitor)
ro | Primary (TMonitor)
ro | Top (TMonitor)
ro | Width (TMonitor)
ro | WorkareaRect (TMonitor)


TMonitor
TObject
 | Create
 | Destroy
 | newinstance
 | FreeInstance
 | SafeCallException
 | DefaultHandler
 | Free
 | InitInstance
 | CleanupInstance
 | ClassType
 | ClassInfo
 | ClassName
 | ClassNameIs
 | ClassParent
 | InstanceSize
 | InheritsFrom
 | StringMessageTable
 | MethodAddress
 | MethodName
 | FieldAddress
 | AfterConstruction
 | BeforeDestruction
 | DefaultHandlerStr
 | Dispatch
 | DispatchStr
 | GetInterface
 | GetInterfaceByStr
 | GetInterfaceWeak
 | GetInterfaceEntry
 | GetInterfaceEntryByStr
 | GetInterfaceTable
 | UnitName
 | Equals
 | GetHashCode
 | ToString


AfterConstruction (TObject)

BeforeDestruction (TObject)

ClassInfo (TObject)

ClassName (TObject)

ClassNameIs (TObject)

ClassParent (TObject)

ClassType (TObject)

CleanupInstance (TObject)

Create (TObject)

DefaultHandler (TObject)

DefaultHandlerStr (TObject)

Destroy (TObject)

Dispatch (TObject)

DispatchStr (TObject)

Equals (TObject)

FieldAddress (TObject)

Free (TObject)

FreeInstance (TObject)

GetHashCode (TObject)

GetInterface (TObject)

GetInterfaceByStr (TObject)

GetInterfaceEntry (TObject)

GetInterfaceEntryByStr (TObject)

GetInterfaceTable (TObject)

GetInterfaceWeak (TObject)

InheritsFrom (TObject)

InitInstance (TObject)

InstanceSize (TObject)

MethodAddress (TObject)

MethodName (TObject)

newinstance (TObject)

SafeCallException (TObject)

StringMessageTable (TObject)

ToString (TObject)

UnitName (TObject)


TMonitor

TObject


TMonitor.BoundsRect

The logical dimensions of the monitor, within the desktop.

Declaration

Source position: forms.pp line 989

public property TMonitor.BoundsRect : TRect
  read GetBoundsRect;


TMonitor.Handle

Identifies this monitor to the system.

Declaration

Source position: forms.pp line 983

public property TMonitor.Handle : HMONITOR
  read FHandle;


TMonitor.Height

The height of the display.

Declaration

Source position: forms.pp line 986

public property TMonitor.Height : Integer
  read GetHeight;


TMonitor.Left

The leftmost screen coordinate of the display.

Declaration

Source position: forms.pp line 985

public property TMonitor.Left : Integer
  read GetLeft;


TMonitor.MonitorNum

Index of the monitor in the TScreen.Monitors list.

Declaration

Source position: forms.pp line 984

public property TMonitor.MonitorNum : Integer
  read FMonitorNum;


TMonitor.PixelsPerInch

Declaration

Source position: forms.pp line 992

public property TMonitor.PixelsPerInch : Integer
  read GetPixelsPerInch;


TMonitor.Primary

True if this is the primary monitor of the system.

Declaration

Source position: forms.pp line 991

public property TMonitor.Primary : Boolean
  read GetPrimary;


TMonitor.Top

The topmost screen coordinate of the display.

Declaration

Source position: forms.pp line 987

public property TMonitor.Top : Integer
  read GetTop;


TMonitor.Width

The width of the display.

Declaration

Source position: forms.pp line 988

public property TMonitor.Width : Integer
  read GetWidth;


TMonitor.WorkareaRect

The usable display area, excluding a taskbar etc.

Declaration

Source position: forms.pp line 990

public property TMonitor.WorkareaRect : TRect
  read GetWorkareaRect;


TMonitorDefaultTo

The monitor to choose when screen coordinates are out of the screen bounds.

Declaration

Source position: forms.pp line 1028

type TMonitorDefaultTo = (
mdNearest, | Default to the nearest monitor.
mdNull, | Default to Nil (no suggested monitor).
mdPrimary | Default to the primary monitor.
);


TMonitorList

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

A list of all available monitors.

Declaration

Source position: forms.pp line 997

type TMonitorList = class(TList)
protected
procedure Notify(); override; | List notification handler, destroys the Monitor object on removal from the list.
public
property Items []: TMonitor; default; [rw] | The indexed list of all Monitors.
end;

Inheritance

TMonitorList

A list of all available monitors.
|

TList,IFPObserved
|

TObject


TMonitorList
 |  | Items
TList
 |  | Capacity
 |  | Count
 |  | Items
 | ro | List
TObject


 | Capacity (TList)
 | Count (TList)
 | Items (TList)
 | Items (TMonitorList)
ro | List (TList)


TMonitorList
pt | Notify
TList
 | CopyMove
 | MergeMove
 | DoCopy
 | DoSrcUnique
 | DoAnd
 | DoDestUnique
 | DoOr
 | DoXOr
 | Get
 | Grow
 | Put
 | Notify
 | SetCapacity
 | GetCapacity
 | SetCount
 | GetCount
 | GetList
 | Create
 | Destroy
 | FPOAttachObserver
 | FPODetachObserver
 | FPONotifyObservers
 | AddList
 | Add
 | Clear
 | Delete
 | Error
 | Exchange
 | Expand
 | Extract
 | First
 | GetEnumerator
 | IndexOf
 | Insert
 | Last
 | Move
 | Assign
 | Remove
 | Pack
 | Sort
TObject
 | Create
 | Destroy
 | newinstance
 | FreeInstance
 | SafeCallException
 | DefaultHandler
 | Free
 | InitInstance
 | CleanupInstance
 | ClassType
 | ClassInfo
 | ClassName
 | ClassNameIs
 | ClassParent
 | InstanceSize
 | InheritsFrom
 | StringMessageTable
 | MethodAddress
 | MethodName
 | FieldAddress
 | AfterConstruction
 | BeforeDestruction
 | DefaultHandlerStr
 | Dispatch
 | DispatchStr
 | GetInterface
 | GetInterfaceByStr
 | GetInterfaceWeak
 | GetInterfaceEntry
 | GetInterfaceEntryByStr
 | GetInterfaceTable
 | UnitName
 | Equals
 | GetHashCode
 | ToString


 | Add (TList)
 | AddList (TList)
 | AfterConstruction (TObject)
 | Assign (TList)
 | BeforeDestruction (TObject)
 | ClassInfo (TObject)
 | ClassName (TObject)
 | ClassNameIs (TObject)
 | ClassParent (TObject)
 | ClassType (TObject)
 | CleanupInstance (TObject)
 | Clear (TList)
 | CopyMove (TList)
 | Create (TObject)
 | Create (TList)
 | DefaultHandler (TObject)
 | DefaultHandlerStr (TObject)
 | Delete (TList)
 | Destroy (TObject)
 | Destroy (TList)
 | Dispatch (TObject)
 | DispatchStr (TObject)
 | DoAnd (TList)
 | DoCopy (TList)
 | DoDestUnique (TList)
 | DoOr (TList)
 | DoSrcUnique (TList)
 | DoXOr (TList)
 | Equals (TObject)
 | Error (TList)
 | Exchange (TList)
 | Expand (TList)
 | Extract (TList)
 | FieldAddress (TObject)
 | First (TList)
 | FPOAttachObserver (TList)
 | FPODetachObserver (TList)
 | FPONotifyObservers (TList)
 | Free (TObject)
 | FreeInstance (TObject)
 | Get (TList)
 | GetCapacity (TList)
 | GetCount (TList)
 | GetEnumerator (TList)
 | GetHashCode (TObject)
 | GetInterface (TObject)
 | GetInterfaceByStr (TObject)
 | GetInterfaceEntry (TObject)
 | GetInterfaceEntryByStr (TObject)
 | GetInterfaceTable (TObject)
 | GetInterfaceWeak (TObject)
 | GetList (TList)
 | Grow (TList)
 | IndexOf (TList)
 | InheritsFrom (TObject)
 | InitInstance (TObject)
 | Insert (TList)
 | InstanceSize (TObject)
 | Last (TList)
 | MergeMove (TList)
 | MethodAddress (TObject)
 | MethodName (TObject)
 | Move (TList)
 | newinstance (TObject)
 | Notify (TList)
pt | Notify (TMonitorList)
 | Pack (TList)
 | Put (TList)
 | Remove (TList)
 | SafeCallException (TObject)
 | SetCapacity (TList)
 | SetCount (TList)
 | Sort (TList)
 | StringMessageTable (TObject)
 | ToString (TObject)
 | UnitName (TObject)


TMonitorList

TList

TObject


TMonitorList.Items

The indexed list of all Monitors.

Declaration

Source position: forms.pp line 1004

public property TMonitorList.Items[AIndex: Integer] : TMonitor
  read GetItem
  write SetItem;
  default;


TMonitorList.Notify

List notification handler, destroys the Monitor object on removal from the list.

Declaration

Source position: forms.pp line 1002

protected procedure TMonitorList.Notify(

  Ptr: Pointer;

  Action: TListNotification

); override;

Arguments

Ptr | The monitor object.
Action | The list operation.


TScreen

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Provides information about the display and related objects.

Declaration

Source position: forms.pp line 1032

type TScreen = class(TLCLComponent)
protected
function GetHintFont; virtual;
function GetIconFont; virtual;
function GetMenuFont; virtual;
function GetSystemFont; virtual;
public
constructor Create(); override;
destructor Destroy; override;
function CustomFormIndex(); | Returns the CustomForms[] Index of the form.
function FormIndex(); | Returns the Forms[] Index of the form.
function CustomFormZIndex(); | The index of the form in the Z dimension (Front to Back).
procedure MoveFormToFocusFront(); | Moves the form to the front of all form lists.
procedure MoveFormToZFront(); | Moves the form to the front of the Z-order list (notification only).
function GetCurrentModalForm; | Returns the topmost Modal form (ie a form that is awaiting a user response).
function GetCurrentModalFormZIndex; | Returns the index of the tompost modal form in CustomFormsZOrdered[].
function CustomFormBelongsToActiveGroup(); | Checks whether the form is visible and either modal or not blocked by another modal form.
function FindNonDesignerForm(); | Finds the named form, excluding designer forms.
function FindForm(); | Finds a form by its name.
function FindNonDesignerDataModule(); | Finds the named DataModule, excluding designer modules.
function FindDataModule(); | Finds the named DataModule.
procedure UpdateMonitors; | Builds the list of available monitors.
procedure UpdateScreen; | Updates the TScreen.PixelsPerInch property.
procedure RemoveAllHandlersOfObject(); override; | Override this method to remove all references to notification handlers in AnObject.
procedure AddHandlerFormAdded(); | Adds an notification handler.
procedure RemoveHandlerFormAdded(); | Removes an notification handler.
procedure AddHandlerRemoveForm(); | Adds an notification handler.
procedure RemoveHandlerRemoveForm(); | Removes an notification handler.
procedure AddHandlerActiveControlChanged(); | Adds an notification handler.
procedure RemoveHandlerActiveControlChanged(); | Removes an notification handler.
procedure AddHandlerActiveFormChanged(); | Adds an notification handler.
procedure RemoveHandlerActiveFormChanged(); | Removes an notification handler.
procedure AddHandlerFormVisibleChanged(); | Adds an notification handler.
procedure RemoveHandlerFormVisibleChanged(); | Removes an notification handler.
function DisableForms(); | Disable all forms except SkipForm.
procedure EnableForms(); | Use this method to restore all previously disabled forms.
function MonitorFromPoint(); | Find the monitor containing the given screen coordinates.
function MonitorFromRect(); | Find the monitor containing (most of) the given screen coordinates.
function MonitorFromWindow(); | Find the monitor containing (most of) the given window.
property ActiveControl: TWinControl; [r] | The control which has the Focus.
property ActiveCustomForm: TCustomForm; [r] | The custom form which has the Focus.
property ActiveForm: TForm; [r] | The form which has the Focus.
property Cursor: TCursor; [rw] | The current mouse cursor shape.
property Cursors []: HCURSOR; [rw] | The indexed list of available cursor shapes.
property CustomFormCount: Integer; [r] | The number of Custom Forms.
property CustomForms []: TCustomForm; [r] | The indexed list of Custom Forms.
property CustomFormZOrderCount: Integer; [r] | CustomFormZOrderCount - the number of forms arranged in Z-plane order (ie Front to Back)
property CustomFormsZOrdered []: TCustomForm; [r] | The list of Custom Forms, indexed by Z-order (zero is topmost).
property DesktopLeft: Integer; [r] | The leftmost coordinate of the desktop.
property DesktopTop: Integer; [r] | The topmost coordinate of the desktop.
property DesktopHeight: Integer; [r] | The total vertical size of the desktop.
property DesktopWidth: Integer; [r] | The total horizontal size of the display.
property DesktopRect: TRect; [r] | The total extent of the desktop, spanning all monitors.
property FocusedForm: TCustomForm; [r] | The form that holds Focus
property FormCount: Integer; [r] | The number of existing Forms.
property Forms []: TForm; [r] | The indexed list of all Forms, in Z-order.
property DataModuleCount: Integer; [r] | The number of existing data modules.
property DataModules []: TDataModule; [r] | The indexed list of Data Modules.
property HintFont: TFont; [rw] | The font used to display Hints.
property IconFont: TFont; [rw] | The Icon font, used with desktop icons.
property MenuFont: TFont; [rw] | The font used in menus.
property SystemFont: TFont; [rw] |
property Fonts: TStrings; [r] | The names of the available (installed) fonts.
property Height: Integer; [r] | The height of the primary monitor.
property MonitorCount: Integer; [r] | The number of available Monitors.
property Monitors []: TMonitor; [r] | The indexed list of available monitors.
property PixelsPerInch: Integer; [r] | The number of screen pixels for an virtual inch (DPI), in vertical direction.
property PrimaryMonitor: TMonitor; [r] | The primary monitor typically shows the taskbar.
property Width: Integer; [r] | The width of the primary monitor.
property WorkAreaRect: TRect; [r] | The usable display area on the primary monitor, excluding e.g. the taskbar.
property WorkAreaHeight: Integer; [r] | The usable height of the primary monitor.
property WorkAreaLeft: Integer; [r] | The usable left coordinate on the primary monitor.
property WorkAreaTop: Integer; [r] | The usable top coordinate on the primary monitor.
property WorkAreaWidth: Integer; [r] | The usable width of the primary monitor.
property OnActiveControlChange: TNotifyEvent; [rw] | Handler for a Focus changed notification.
property OnActiveFormChange: TNotifyEvent; [rw] | Handler for a Focus changed notification.
end;

Inheritance

TScreen | Provides information about the display and related objects.
|
TLCLComponent | The base class for LCL components associated with widgets.
|
TComponent,IUnknown,IInterfaceComponentReference
|
TPersistent,IFPObserved
|
TObject

Description

The virtual screen (desktop) can include multiple physical Monitors.

Screen objects are Cursors, Fonts and Forms. For Delphi compatibility also (invisible) DataModules are listed.

The currently active Form, Control and Cursor also are tracked.

See also

TScreen.Cursors | The indexed list of available cursor shapes.
TScreen.DataModules | The indexed list of Data Modules.
TScreen.DesktopRect | The total extent of the desktop, spanning all monitors.
TScreen.Fonts | The names of the available (installed) fonts.
TScreen.Forms | The indexed list of all Forms, in Z-order.
TScreen.Monitors | The indexed list of available monitors.
TScreen.WorkareaRect | The usable display area on the primary monitor, excluding e.g. the taskbar.


TScreen
 | ro | ActiveControl
 | ro | ActiveCustomForm
 | ro | ActiveForm
 |  | Cursor
 |  | Cursors
 | ro | CustomFormCount
 | ro | CustomForms
 | ro | CustomFormZOrderCount
 | ro | CustomFormsZOrdered
 | ro | DesktopLeft
 | ro | DesktopTop
 | ro | DesktopHeight
 | ro | DesktopWidth
 | ro | DesktopRect
 | ro | FocusedForm
 | ro | FormCount
 | ro | Forms
 | ro | DataModuleCount
 | ro | DataModules
 |  | HintFont
 |  | IconFont
 |  | MenuFont
 |  | SystemFont
 | ro | Fonts
 | ro | Height
 | ro | MonitorCount
 | ro | Monitors
 | ro | PixelsPerInch
 | ro | PrimaryMonitor
 | ro | Width
 | ro | WorkAreaRect
 | ro | WorkAreaHeight
 | ro | WorkAreaLeft
 | ro | WorkAreaTop
 | ro | WorkAreaWidth
TLCLComponent
 | ro | LCLRefCount
 | ro | WidgetSetClass
TComponent
 | ro | ComObject
 | ro | Components
 | ro | ComponentCount
 |  | ComponentIndex
 | ro | ComponentState
 | ro | ComponentStyle
 |  | DesignInfo
 | ro | Owner
 |  | VCLComObject
 |  | Name
 |  | Tag
TPersistent
TObject


ro | ActiveControl (TScreen)
ro | ActiveCustomForm (TScreen)
ro | ActiveForm (TScreen)
ro | ComObject (TComponent)
ro | ComponentCount (TComponent)
 | ComponentIndex (TComponent)
ro | Components (TComponent)
ro | ComponentState (TComponent)
ro | ComponentStyle (TComponent)
 | Cursor (TScreen)
 | Cursors (TScreen)
ro | CustomFormCount (TScreen)
ro | CustomForms (TScreen)
ro | CustomFormsZOrdered (TScreen)
ro | CustomFormZOrderCount (TScreen)
ro | DataModuleCount (TScreen)
ro | DataModules (TScreen)
 | DesignInfo (TComponent)
ro | DesktopHeight (TScreen)
ro | DesktopLeft (TScreen)
ro | DesktopRect (TScreen)
ro | DesktopTop (TScreen)
ro | DesktopWidth (TScreen)
ro | FocusedForm (TScreen)
ro | Fonts (TScreen)
ro | FormCount (TScreen)
ro | Forms (TScreen)
ro | Height (TScreen)
 | HintFont (TScreen)
 | IconFont (TScreen)
ro | LCLRefCount (TLCLComponent)
 | MenuFont (TScreen)
ro | MonitorCount (TScreen)
ro | Monitors (TScreen)
 | Name (TComponent)
ro | Owner (TComponent)
ro | PixelsPerInch (TScreen)
ro | PrimaryMonitor (TScreen)
 | SystemFont (TScreen)
 | Tag (TComponent)
 | VCLComObject (TComponent)
ro | WidgetSetClass (TLCLComponent)
ro | Width (TScreen)
ro | WorkAreaHeight (TScreen)
ro | WorkAreaLeft (TScreen)
ro | WorkAreaRect (TScreen)
ro | WorkAreaTop (TScreen)
ro | WorkAreaWidth (TScreen)


TScreen
pt | GetHintFont
pt | GetIconFont
pt | GetMenuFont
pt | GetSystemFont
 | Create
 | Destroy
 | CustomFormIndex
 | FormIndex
 | CustomFormZIndex
 | MoveFormToFocusFront
 | MoveFormToZFront
 | GetCurrentModalForm
 | GetCurrentModalFormZIndex
 | CustomFormBelongsToActiveGroup
 | FindNonDesignerForm
 | FindForm
 | FindNonDesignerDataModule
 | FindDataModule
 | UpdateMonitors
 | UpdateScreen
 | RemoveAllHandlersOfObject
 | AddHandlerFormAdded
 | RemoveHandlerFormAdded
 | AddHandlerRemoveForm
 | RemoveHandlerRemoveForm
 | AddHandlerActiveControlChanged
 | RemoveHandlerActiveControlChanged
 | AddHandlerActiveFormChanged
 | RemoveHandlerActiveFormChanged
 | AddHandlerFormVisibleChanged
 | RemoveHandlerFormVisibleChanged
 | DisableForms
 | EnableForms
 | MonitorFromPoint
 | MonitorFromRect
 | MonitorFromWindow
TLCLComponent
pt | WSRegisterClass
pt | GetWSComponentClass
 | Create
 | Destroy
 | NewInstance
 | RemoveAllHandlersOfObject
 | IncLCLRefCount
 | DecLCLRefCount
TComponent
 | GetComObject
 | GetComponent
 | GetComponentCount
 | GetComponentIndex
 | Insert
 | ReadLeft
 | ReadTop
 | Remove
 | RemoveNotification
 | SetComponentIndex
 | SetReference
 | WriteLeft
 | WriteTop
 | ChangeName
 | DefineProperties
 | GetChildren
 | GetChildOwner
 | GetChildParent
 | GetOwner
 | Loaded
 | Loading
 | Notification
 | PaletteCreated
 | ReadState
 | SetAncestor
 | SetDesigning
 | SetDesignInstance
 | SetInline
 | SetName
 | SetChildOrder
 | SetParentComponent
 | Updating
 | Updated
 | UpdateRegistry
 | ValidateRename
 | ValidateContainer
 | ValidateInsert
 | QueryInterface
 | _AddRef
 | _Release
 | iicrGetComponent
 | GetTypeInfoCount
 | GetTypeInfo
 | GetIDsOfNames
 | Invoke
 | WriteState
 | Create
 | Destroy
 | BeforeDestruction
 | DestroyComponents
 | Destroying
 | ExecuteAction
 | FindComponent
 | FreeNotification
 | RemoveFreeNotification
 | FreeOnRelease
 | GetEnumerator
 | GetNamePath
 | GetParentComponent
 | HasParent
 | InsertComponent
 | RemoveComponent
 | SafeCallException
 | SetSubComponent
 | UpdateAction
 | IsImplementorOf
 | ReferenceInterface
TPersistent
 | AssignError
 | AssignTo
 | DefineProperties
 | GetOwner
 | Destroy
 | Assign
 | FPOAttachObserver
 | FPODetachObserver
 | FPONotifyObservers
 | GetNamePath
TObject
 | Create
 | Destroy
 | newinstance
 | FreeInstance
 | SafeCallException
 | DefaultHandler
 | Free
 | InitInstance
 | CleanupInstance
 | ClassType
 | ClassInfo
 | ClassName
 | ClassNameIs
 | ClassParent
 | InstanceSize
 | InheritsFrom
 | StringMessageTable
 | MethodAddress
 | MethodName
 | FieldAddress
 | AfterConstruction
 | BeforeDestruction
 | DefaultHandlerStr
 | Dispatch
 | DispatchStr
 | GetInterface
 | GetInterfaceByStr
 | GetInterfaceWeak
 | GetInterfaceEntry
 | GetInterfaceEntryByStr
 | GetInterfaceTable
 | UnitName
 | Equals
 | GetHashCode
 | ToString


 | AddHandlerActiveControlChanged (TScreen)
 | AddHandlerActiveFormChanged (TScreen)
 | AddHandlerFormAdded (TScreen)
 | AddHandlerFormVisibleChanged (TScreen)
 | AddHandlerRemoveForm (TScreen)
 | AfterConstruction (TObject)
 | Assign (TPersistent)
 | AssignError (TPersistent)
 | AssignTo (TPersistent)
 | BeforeDestruction (TObject)
 | BeforeDestruction (TComponent)
 | ChangeName (TComponent)
 | ClassInfo (TObject)
 | ClassName (TObject)
 | ClassNameIs (TObject)
 | ClassParent (TObject)
 | ClassType (TObject)
 | CleanupInstance (TObject)
 | Create (TObject)
 | Create (TComponent)
 | Create (TLCLComponent)
 | Create (TScreen)
 | CustomFormBelongsToActiveGroup (TScreen)
 | CustomFormIndex (TScreen)
 | CustomFormZIndex (TScreen)
 | DecLCLRefCount (TLCLComponent)
 | DefaultHandler (TObject)
 | DefaultHandlerStr (TObject)
 | DefineProperties (TPersistent)
 | DefineProperties (TComponent)
 | Destroy (TObject)
 | Destroy (TPersistent)
 | Destroy (TComponent)
 | Destroy (TLCLComponent)
 | Destroy (TScreen)
 | DestroyComponents (TComponent)
 | Destroying (TComponent)
 | DisableForms (TScreen)
 | Dispatch (TObject)
 | DispatchStr (TObject)
 | EnableForms (TScreen)
 | Equals (TObject)
 | ExecuteAction (TComponent)
 | FieldAddress (TObject)
 | FindComponent (TComponent)
 | FindDataModule (TScreen)
 | FindForm (TScreen)
 | FindNonDesignerDataModule (TScreen)
 | FindNonDesignerForm (TScreen)
 | FormIndex (TScreen)
 | FPOAttachObserver (TPersistent)
 | FPODetachObserver (TPersistent)
 | FPONotifyObservers (TPersistent)
 | Free (TObject)
 | FreeInstance (TObject)
 | FreeNotification (TComponent)
 | FreeOnRelease (TComponent)
 | GetChildOwner (TComponent)
 | GetChildParent (TComponent)
 | GetChildren (TComponent)
 | GetComObject (TComponent)
 | GetComponent (TComponent)
 | GetComponentCount (TComponent)
 | GetComponentIndex (TComponent)
 | GetCurrentModalForm (TScreen)
 | GetCurrentModalFormZIndex (TScreen)
 | GetEnumerator (TComponent)
 | GetHashCode (TObject)
pt | GetHintFont (TScreen)
pt | GetIconFont (TScreen)
 | GetIDsOfNames (TComponent)
 | GetInterface (TObject)
 | GetInterfaceByStr (TObject)
 | GetInterfaceEntry (TObject)
 | GetInterfaceEntryByStr (TObject)
 | GetInterfaceTable (TObject)
 | GetInterfaceWeak (TObject)
pt | GetMenuFont (TScreen)
 | GetNamePath (TPersistent)
 | GetNamePath (TComponent)
 | GetOwner (TPersistent)
 | GetOwner (TComponent)
 | GetParentComponent (TComponent)
pt | GetSystemFont (TScreen)
 | GetTypeInfo (TComponent)
 | GetTypeInfoCount (TComponent)
pt | GetWSComponentClass (TLCLComponent)
 | HasParent (TComponent)
 | iicrGetComponent (TComponent)
 | IncLCLRefCount (TLCLComponent)
 | InheritsFrom (TObject)
 | InitInstance (TObject)
 | Insert (TComponent)
 | InsertComponent (TComponent)
 | InstanceSize (TObject)
 | Invoke (TComponent)
 | IsImplementorOf (TComponent)
 | Loaded (TComponent)
 | Loading (TComponent)
 | MethodAddress (TObject)
 | MethodName (TObject)
 | MonitorFromPoint (TScreen)
 | MonitorFromRect (TScreen)
 | MonitorFromWindow (TScreen)
 | MoveFormToFocusFront (TScreen)
 | MoveFormToZFront (TScreen)
 | newinstance (TObject)
 | NewInstance (TLCLComponent)
 | Notification (TComponent)
 | PaletteCreated (TComponent)
 | QueryInterface (TComponent)
 | ReadLeft (TComponent)
 | ReadState (TComponent)
 | ReadTop (TComponent)
 | ReferenceInterface (TComponent)
 | Remove (TComponent)
 | RemoveAllHandlersOfObject (TLCLComponent)
 | RemoveAllHandlersOfObject (TScreen)
 | RemoveComponent (TComponent)
 | RemoveFreeNotification (TComponent)
 | RemoveHandlerActiveControlChanged (TScreen)
 | RemoveHandlerActiveFormChanged (TScreen)
 | RemoveHandlerFormAdded (TScreen)
 | RemoveHandlerFormVisibleChanged (TScreen)
 | RemoveHandlerRemoveForm (TScreen)
 | RemoveNotification (TComponent)
 | SafeCallException (TObject)
 | SafeCallException (TComponent)
 | SetAncestor (TComponent)
 | SetChildOrder (TComponent)
 | SetComponentIndex (TComponent)
 | SetDesigning (TComponent)
 | SetDesignInstance (TComponent)
 | SetInline (TComponent)
 | SetName (TComponent)
 | SetParentComponent (TComponent)
 | SetReference (TComponent)
 | SetSubComponent (TComponent)
 | StringMessageTable (TObject)
 | ToString (TObject)
 | UnitName (TObject)
 | UpdateAction (TComponent)
 | Updated (TComponent)
 | UpdateMonitors (TScreen)
 | UpdateRegistry (TComponent)
 | UpdateScreen (TScreen)
 | Updating (TComponent)
 | ValidateContainer (TComponent)
 | ValidateInsert (TComponent)
 | ValidateRename (TComponent)
 | WriteLeft (TComponent)
 | WriteState (TComponent)
 | WriteTop (TComponent)
pt | WSRegisterClass (TLCLComponent)
 | _AddRef (TComponent)
 | _Release (TComponent)


TScreen
 | OnActiveControlChange
 | OnActiveFormChange
TLCLComponent
TComponent
TPersistent
TObject


TScreen.ActiveControl

The control which has the Focus.

Declaration

Source position: forms.pp line 1158

public property TScreen.ActiveControl : TWinControl
  read FActiveControl;

See also

TScreen.ActiveForm | The form which has the Focus.
TScreen.ActiveCustomForm | The custom form which has the Focus.


TScreen.ActiveCustomForm

The custom form which has the Focus.

Declaration

Source position: forms.pp line 1159

public property TScreen.ActiveCustomForm : TCustomForm
  read FActiveCustomForm;

See also

TScreen.ActiveForm | The form which has the Focus.
TScreen.ActiveControl | The control which has the Focus.


TScreen.ActiveForm

The form which has the Focus.

Declaration

Source position: forms.pp line 1160

public property TScreen.ActiveForm : TForm
  read FActiveForm;

See also

TScreen.ActiveControl | The control which has the Focus.
TScreen.ActiveCustomForm | The custom form which has the Focus.


TScreen.AddHandlerActiveControlChanged

Adds an notification handler.

Declaration

Source position: forms.pp line 1137

public procedure TScreen.AddHandlerActiveControlChanged(

  OnActiveControlChanged: TScreenControlEvent;

  AsFirst: Boolean = False

);


TScreen.AddHandlerActiveFormChanged

Adds an notification handler.

Declaration

Source position: forms.pp line 1142

public procedure TScreen.AddHandlerActiveFormChanged(

  OnActiveFormChanged: TScreenFormEvent;

  AsFirst: Boolean = False

);


TScreen.AddHandlerFormAdded

Adds an notification handler.

Declaration

Source position: forms.pp line 1131

public procedure TScreen.AddHandlerFormAdded(

  OnFormAdded: TScreenFormEvent;

  AsFirst: Boolean = False

);


TScreen.AddHandlerFormVisibleChanged

Adds an notification handler.

Declaration

Source position: forms.pp line 1145

public procedure TScreen.AddHandlerFormVisibleChanged(

  OnFormVisibleChanged: TScreenFormEvent;

  AsFirst: Boolean = False

);


TScreen.AddHandlerRemoveForm

Adds an notification handler.

Declaration

Source position: forms.pp line 1134

public procedure TScreen.AddHandlerRemoveForm(

  OnRemoveForm: TScreenFormEvent;

  AsFirst: Boolean = False

);


TScreen.Cursor

The current mouse cursor shape.

Declaration

Source position: forms.pp line 1161

public property TScreen.Cursor : TCursor
  read FCursor
  write SetCursor;

Description

Use one of the predefined cursor styles, e.g. crHourGlass.

See also

Controls.crDefault

Indicates that the default cursor from the system should be utilized


TScreen.Cursors

The indexed list of available cursor shapes.

Declaration

Source position: forms.pp line 1162

public property TScreen.Cursors[Index: Integer] : HCURSOR
  read GetCursors
  write SetCursors;


TScreen.CustomFormBelongsToActiveGroup

Checks whether the form is visible and either modal or not blocked by another modal form.

Declaration

Source position: forms.pp line 1122

public function TScreen.CustomFormBelongsToActiveGroup(

  AForm: TCustomForm

):Boolean;


TScreen.CustomFormCount

The number of Custom Forms.

Declaration

Source position: forms.pp line 1163

public property TScreen.CustomFormCount : Integer
  read GetCustomFormCount;

See also

TScreen.CustomForms

The indexed list of Custom Forms.


TScreen.CustomForms

The indexed list of Custom Forms.

Declaration

Source position: forms.pp line 1164

public property TScreen.CustomForms[Index: Integer] : TCustomForm
  read GetCustomForms;

See also

TScreen.CustomFormCount

The number of Custom Forms.


TScreen.CustomFormsZOrdered

The list of Custom Forms, indexed by Z-order (zero is topmost).

Declaration

Source position: forms.pp line 1166

public property TScreen.CustomFormsZOrdered[Index: Integer] : TCustomForm
  read GetCustomFormsZOrdered;

See also

TScreen.CustomFormZOrderCount

CustomFormZOrderCount - the number of forms arranged in Z-plane order (ie Front to Back)


TScreen.CustomFormZIndex

The index of the form in the Z dimension (Front to Back).

Declaration

Source position: forms.pp line 1117

public function TScreen.CustomFormZIndex(

  AForm: TCustomForm

):Integer;

Description

The index reflects the activation order of the forms, with the currently active form at index zero.


TScreen.CustomFormZOrderCount

CustomFormZOrderCount - the number of forms arranged in Z-plane order (ie Front to Back)

Declaration

Source position: forms.pp line 1165

public property TScreen.CustomFormZOrderCount : Integer
  read GetCustomFormZOrderCount;

See also

TScreen.CustomFormsZOrdered

The list of Custom Forms, indexed by Z-order (zero is topmost).


TScreen.DataModuleCount

The number of existing data modules.

Declaration

Source position: forms.pp line 1178

public property TScreen.DataModuleCount : Integer
  read GetDataModuleCount;

See also

TScreen.DataModules

The indexed list of Data Modules.


TScreen.DataModules

The indexed list of Data Modules.

Declaration

Source position: forms.pp line 1179

public property TScreen.DataModules[Index: Integer] : TDataModule
  read GetDataModules;

See also

TScreen.DataModuleCount

The number of existing data modules.


TScreen.DesktopRect

The total extent of the desktop, spanning all monitors.

Declaration

Source position: forms.pp line 1173

public property TScreen.DesktopRect : TRect
  read GetDesktopRect;


TScreen.Destroy

Declaration

Source position: forms.pp line 1114

public destructor TScreen.Destroy; override;


TScreen.DisableForms

Disable all forms except SkipForm.

Declaration

Source position: forms.pp line 1149

public function TScreen.DisableForms(

  SkipForm: TCustomForm;

  DisabledList: TList = Nil

):TList;

Arguments

SkipForm | Don't disable this form (ignored if Nil).
DisabledList | The list to update. If Nil, a new list is created and returned.

Function result

The list containing all disabled forms.

Description

Used to show modal forms or dialogs.

The enabled state is determined from the widget, not from LCL properties.

If DisabledList is Nil, a new list is created. Then all disabled forms are added to that list.

When the modal form returns, call EnableForms to restore all forms.

See also

TScreen.EnableForms

Use this method to restore all previously disabled forms.


TScreen.EnableForms

Use this method to restore all previously disabled forms.

Declaration

Source position: forms.pp line 1150

public procedure TScreen.EnableForms(

  var AFormList: TList

);

Arguments

AFormList

The list containing the forms to enable. The list is destroyed on exit.

See also

TScreen.DisableForms

Disable all forms except SkipForm.


TScreen.FindDataModule

Finds the named DataModule.

Declaration

Source position: forms.pp line 1126

public function TScreen.FindDataModule(

  const DataModuleName: string

):TDataModule;

See also

TScreen.FindNonDesignerDataModule

Finds the named DataModule, excluding designer modules.


TScreen.FindForm

Finds a form by its name.

Declaration

Source position: forms.pp line 1124

public function TScreen.FindForm(

  const FormName: string

):TCustomForm;

See also

TScreen.FindNonDesignerForm

Finds the named form, excluding designer forms.


TScreen.FindNonDesignerDataModule

Finds the named DataModule, excluding designer modules.

Declaration

Source position: forms.pp line 1125

public function TScreen.FindNonDesignerDataModule(

  const DataModuleName: string

):TDataModule;

See also

TScreen.FindDataModule

Finds the named DataModule.


TScreen.FindNonDesignerForm

Finds the named form, excluding designer forms.

Declaration

Source position: forms.pp line 1123

public function TScreen.FindNonDesignerForm(

  const FormName: string

):TCustomForm;

See also

TScreen.FindForm

Finds a form by its name.


TScreen.FocusedForm

The form that holds Focus

Declaration

Source position: forms.pp line 1175

public property TScreen.FocusedForm : TCustomForm
  read FFocusedForm;

See also

TScreen.ActiveForm | The form which has the Focus.
TScreen.ActiveCustomForm | The custom form which has the Focus.


TScreen.Fonts

The names of the available (installed) fonts.

Declaration

Source position: forms.pp line 1185

public property TScreen.Fonts : TStrings
  read GetFonts;


TScreen.FormIndex

Returns the Forms[] Index of the form.

Declaration

Source position: forms.pp line 1116

public function TScreen.FormIndex(

  AForm: TForm

):Integer;

Arguments

AForm

The Form to which the Index refers.

Function result

The form Index, -1 if not found.


TScreen.Forms

The indexed list of all Forms, in Z-order.

Declaration

Source position: forms.pp line 1177

public property TScreen.Forms[Index: Integer] : TForm
  read GetForms;

See also

TScreen.FormCount | The number of existing Forms.
TScreen.CustomForms | The indexed list of Custom Forms.


TScreen.GetCurrentModalForm

Returns the topmost Modal form (ie a form that is awaiting a user response).

Declaration

Source position: forms.pp line 1120

public function TScreen.GetCurrentModalForm: TCustomForm;

Function result

The modal form, or Nil if none is active.


TScreen.GetCurrentModalFormZIndex

Returns the index of the tompost modal form in CustomFormsZOrdered[].

Declaration

Source position: forms.pp line 1121

public function TScreen.GetCurrentModalFormZIndex: Integer;

Function result

The index, or -1 if no modal form is active.


TScreen.Height

The height of the primary monitor.

Declaration

Source position: forms.pp line 1187

public property TScreen.Height : Integer
  read Getheight;

See also

TScreen.PrimaryMonitor

The primary monitor typically shows the taskbar.


TScreen.HintFont

The font used to display Hints.

Declaration

Source position: forms.pp line 1181

public property TScreen.HintFont : TFont
  read GetHintFont
  write SetHintFont;


TScreen.IconFont

The Icon font, used with desktop icons.

Declaration

Source position: forms.pp line 1182

public property TScreen.IconFont : TFont
  read GetIconFont
  write SetIconFont;


TScreen.MenuFont

The font used in menus.

Declaration

Source position: forms.pp line 1183

public property TScreen.MenuFont : TFont
  read GetMenuFont
  write SetMenuFont;


TScreen.MonitorFromPoint

Find the monitor containing the given screen coordinates.

Declaration

Source position: forms.pp line 1151

public function TScreen.MonitorFromPoint(

  const Point: TPoint;

  MonitorDefault: TMonitorDefaultTo = mdNearest

):TMonitor;

Arguments

Point | The screen coordinates to find.
MonitorDefault | What to return when no monitor was found.

Function result

The monitor found.

See also

TScreen.MonitorFromRect

Find the monitor containing (most of) the given screen coordinates.


TScreen.MonitorFromRect

Find the monitor containing (most of) the given screen coordinates.

Declaration

Source position: forms.pp line 1153

public function TScreen.MonitorFromRect(

  const Rect: TRect;

  MonitorDefault: TMonitorDefaultTo = mdNearest

):TMonitor;

Arguments

Rect | The screen coordinates to find.
MonitorDefault | What to return when no monitor was found.

Function result

The monitor found.

See also

TScreen.MonitorFromPoint

Find the monitor containing the given screen coordinates.


TScreen.MonitorFromWindow

Find the monitor containing (most of) the given window.

Declaration

Source position: forms.pp line 1155

public function TScreen.MonitorFromWindow(

  const Handle: THandle;

  MonitorDefault: TMonitorDefaultTo = mdNearest

):TMonitor;

Arguments

Handle | The window handle to use.
MonitorDefault | What to return when no monitor was found.

Function result

The monitor found.


TScreen.Monitors

The indexed list of available monitors.

Declaration

Source position: forms.pp line 1189

public property TScreen.Monitors[Index: Integer] : TMonitor
  read GetMonitor;

See also

TScreen.MonitorCount

The number of available Monitors.


TScreen.MoveFormToFocusFront

Moves the form to the front of all form lists.

Declaration

Source position: forms.pp line 1118

public procedure TScreen.MoveFormToFocusFront(

  ACustomForm: TCustomForm

);

Errors

GDB exception when the form is (being) destroyed, or the application is shutting down.


TScreen.MoveFormToZFront

Moves the form to the front of the Z-order list (notification only).

Declaration

Source position: forms.pp line 1119

public procedure TScreen.MoveFormToZFront(

  ACustomForm: TCustomForm

);

Errors

GDB exception when the form is (being) destroyed, or the application is shutting down.

See also

TScreen.MoveFormToFocusFront

Moves the form to the front of all form lists.


TScreen.OnActiveControlChange

Handler for a Focus changed notification.

Declaration

Source position: forms.pp line 1198

public property TScreen.OnActiveControlChange : TNotifyEvent
  read FOnActiveControlChange
  write FOnActiveControlChange;

See also

TScreen.AddHandlerActiveControlChanged

Adds an notification handler.


TScreen.OnActiveFormChange

Handler for a Focus changed notification.

Declaration

Source position: forms.pp line 1200

public property TScreen.OnActiveFormChange : TNotifyEvent
  read FOnActiveFormChange
  write FOnActiveFormChange;

See also

TScreen.AddHandlerActiveFormChanged

Adds an notification handler.


TScreen.PixelsPerInch

The number of screen pixels for an virtual inch (DPI), in vertical direction.

Declaration

Source position: forms.pp line 1190

public property TScreen.PixelsPerInch : Integer
  read FPixelsPerInch;

Description

The display uses virtual inches, which typically are bigger than physical inches. This requires that text appears bigger on an screen than e.g. on an printer.


TScreen.PrimaryMonitor

The primary monitor typically shows the taskbar.

Declaration

Source position: forms.pp line 1191

public property TScreen.PrimaryMonitor : TMonitor
  read GetPrimaryMonitor;

See also

TScreen.WorkareaRect

The usable display area on the primary monitor, excluding e.g. the taskbar.


TScreen.RemoveHandlerActiveControlChanged

Removes an notification handler.

Declaration

Source position: forms.pp line 1140

public procedure TScreen.RemoveHandlerActiveControlChanged(

  OnActiveControlChanged: TScreenControlEvent

);


TScreen.RemoveHandlerActiveFormChanged

Removes an notification handler.

Declaration

Source position: forms.pp line 1144

public procedure TScreen.RemoveHandlerActiveFormChanged(

  OnActiveFormChanged: TScreenFormEvent

);


TScreen.RemoveHandlerFormAdded

Removes an notification handler.

Declaration

Source position: forms.pp line 1133

public procedure TScreen.RemoveHandlerFormAdded(

  OnFormAdded: TScreenFormEvent

);


TScreen.RemoveHandlerFormVisibleChanged

Removes an notification handler.

Declaration

Source position: forms.pp line 1147

public procedure TScreen.RemoveHandlerFormVisibleChanged(

  OnFormVisibleChanged: TScreenFormEvent

);


TScreen.RemoveHandlerRemoveForm

Removes an notification handler.

Declaration

Source position: forms.pp line 1136

public procedure TScreen.RemoveHandlerRemoveForm(

  OnRemoveForm: TScreenFormEvent

);


TScreen.SystemFont

Declaration

Source position: forms.pp line 1184

public property TScreen.SystemFont : TFont
  read GetSystemFont
  write SetSystemFont;


TScreen.UpdateMonitors

Builds the list of available monitors.

Declaration

Source position: forms.pp line 1127

public procedure TScreen.UpdateMonitors;


TScreen.UpdateScreen

Updates the TScreen.PixelsPerInch property.

Declaration

Source position: forms.pp line 1128

public procedure TScreen.UpdateScreen;


TScreen.Width

The width of the primary monitor.

Declaration

Source position: forms.pp line 1192

public property TScreen.Width : Integer
  read GetWidth;


TScreen.WorkAreaRect

The usable display area on the primary monitor, excluding e.g. the taskbar.

Declaration

Source position: forms.pp line 1193

public property TScreen.WorkAreaRect : TRect
  read GetWorkAreaRect;

See also

TScreen.DesktopRect

The total extent of the desktop, spanning all monitors.


TScreenControlEvent

Type of an screen notification handler, for control related events.

Declaration

Source position: forms.pp line 1017

type TScreenControlEvent = procedure(

  Sender: TObject;

  LastControl: TControl

) of object;

Arguments

Sender | The Screen
LastControl | The new active control.

See also

TScreenNotification | Screen notification events and handler types.
TScreenFormEvent | Type of an screen notification handler, for form related events.


TScreenFormEvent

Type of an screen notification handler, for form related events.

Declaration

Source position: forms.pp line 1016

type TScreenFormEvent = procedure(

  Sender: TObject;

  Form: TCustomForm

) of object;

Arguments

Sender | The Screen
Form | The affected form.

See also

TScreenNotification | Screen notification events and handler types.
TScreenControlEvent | Type of an screen notification handler, for control related events.


TScreenNotification

Screen notification events and handler types.

Declaration

Source position: forms.pp line 1020

type TScreenNotification = (
snFormAdded, | A form was added.
snRemoveForm, | A form was removed.
snActiveControlChanged, | The focus moved to another control.
snActiveFormChanged, | The focus moved to another form.
snFormVisibleChanged | The visibility of a form changed.
);

See also

TScreenFormEvent | Type of an screen notification handler, for form related events.
TScreenControlEvent | Type of an screen notification handler, for control related events.


TScrollBox

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

A windowed control with scroll bars.

Declaration

Source position: forms.pp line 199

type TScrollBox = class(TScrollingWinControl)
protected
class procedure WSRegisterClass; override; | Registers this component class with the current WidgetSet.
public
constructor Create(); override;
published
property Align: TAlign; | Specifies the placement of the control inside its Parent.
property Anchors: TAnchors; | The set of anchor definitions for this control.
property AutoSize: Boolean; | Allows to automatically adjust the size of the control, according to its content.
property AutoScroll: Boolean; | Allows to show ScrollBars only if needed (when True).
property BorderSpacing: TControlBorderSpacing; | Determines the inner and outer border spacing for this control.
property BiDiMode: TBiDiMode; | Customization (of text controls) in bidirectional reading environments.
property BorderStyle: TBorderStyle; | Allows to show a border (line) around the control,
property ChildSizing: TControlChildSizing; | Parameters for child control arrangement and spacing.
property ClientHeight: Integer; | The height of the client area of the control.
property ClientWidth: Integer; | The width of the client area of the control.
property Constraints: TSizeConstraints; | The minimal and maximal Width and Height of this control.
property DockSite: Boolean; | Allows to drag-dock other controls into this control.
property DragCursor: TCursor; | The cursor shape shown while the control is dragged.
property DragKind: TDragKind; | The operation when the control is dragged - Drag or Dock.
property DragMode: TDragMode; | Allows the user to drag the control.
property Enabled: Boolean; | Determines whether the control reacts on mouse or keyboard input.
property Color: TColor; | The background color of the control.
property Font: TFont; | The font to be used for text display in this control.
property ParentBackground: Boolean;
property ParentBiDiMode: Boolean; | Allows to use the BiDiMode settings of Parent. Default is true.
property ParentColor: Boolean; | If true, the Color of the control will be the same as the one from the Parent. Default is true.
property ParentFont: Boolean; | If true, the Font of the control will be the same as the one from the Parent. Default is true.
property ParentShowHint: Boolean; | If true, the value of ShowHint for the control will be the same as the one from the Parent. Default is true.
property PopupMenu: TPopupMenu; | A context-sensitive menu that pops up when the right mouse button is clicked over this control
property ShowHint: Boolean; | Enables the Hint display.
property TabOrder: TTabOrder; | Determines the sequence of controls, reachable when the user presses the Tab key.
property TabStop: Boolean; | Allows the user to navigate to this control, by pressing the Tab key.
property Visible: Boolean; | Allows to show or hide the control, and all of its children.
property OnClick: TNotifyEvent; | Notification handler for mouse clicks.
property OnConstrainedResize: TConstrainedResizeEvent; | This handler can supply specific Constraints (size limits), when the control is resized.
property OnDblClick: TNotifyEvent; | Event Handler for double mouse clicks.
property OnDockDrop: TDockDropEvent; | Notification handler for the drop of a control to be docked.
property OnDockOver: TDockOverEvent; | Event handler for moves of a control over this docksite. Determines acceptance or rejection of an possible drop.
property OnDragDrop: TDragDropEvent; | This handler determines the action on an drop onto this control, in a drag-drop operation.
property OnDragOver: TDragOverEvent; | Event handler for a control being dragged over this control.
property OnEndDock: TEndDragEvent; | Notification handler for the end of a docking operation.
property OnEndDrag: TEndDragEvent; | Notification handler for the end of a dragging operation.
property OnEnter: TNotifyEvent; | Handler for control receiving the focus.
property OnExit: TNotifyEvent; | Handler for control loosing the focus. This is a good place for checking the finished user input.
property OnGetSiteInfo: TGetSiteInfoEvent; | Provides information about the DockSite.
property OnMouseDown: TMouseEvent; | Event handler for mouse button going down.
property OnMouseEnter: TNotifyEvent; | Event handler for mouse entering the area of the control.
property OnMouseLeave: TNotifyEvent; | Event handler for mouse leaving the area of the control.
property OnMouseMove: TMouseMoveEvent; | Event handler for mouse movement within the control.
property OnMouseUp: TMouseEvent; | Event handler for mouse button going up.
property OnMouseWheel: TMouseWheelEvent; | Event handler for mouse wheel turned.
property OnMouseWheelDown: TMouseWheelUpDownEvent; | Notification handler for downward movement of mouse wheel.
property OnMouseWheelUp: TMouseWheelUpDownEvent; | Notification handler for upward movement of mouse wheel.
property OnMouseWheelHorz: TMouseWheelEvent;
property OnMouseWheelLeft: TMouseWheelUpDownEvent;
property OnMouseWheelRight: TMouseWheelUpDownEvent;
property OnResize: TNotifyEvent; | Notification handler for a resize of the control.
property OnStartDock: TStartDockEvent; | Event handler for the start of a docking operation.
property OnStartDrag: TStartDragEvent; | Event handler for the start of a dragging operation.
property OnUnDock: TUnDockEvent; | Event handler for control being undocked from this DockSite.
property OnPaint: TNotifyEvent; | Supply your own OnPaint handler for painting the control.
end;

Inheritance

TScrollBox | A windowed control with scroll bars.
|
TScrollingWinControl | Class of a windowed control with incorporated scroll bars.
|
TCustomControl | The base class for windowed controls which paint themselves.
|
TWinControl | The base class for controls which can contain other (child) controls.
|
TControl | The base class for visible controls.
|
TLCLComponent | The base class for LCL components associated with widgets.
|
TComponent,IUnknown,IInterfaceComponentReference
|
TPersistent,IFPObserved
|
TObject


TScrollBox
pl | ro | Align
pl | ro | Anchors
pl | ro | AutoSize
pl | ro | AutoScroll
pl | ro | BorderSpacing
pl | ro | BiDiMode
pl | ro | BorderStyle
pl | ro | ChildSizing
pl | ro | ClientHeight
pl | ro | ClientWidth
pl | ro | Constraints
pl | ro | DockSite
pl | ro | DragCursor
pl | ro | DragKind
pl | ro | DragMode
pl | ro | Enabled
pl | ro | Color
pl | ro | Font
pl | ro | ParentBackground
pl | ro | ParentBiDiMode
pl | ro | ParentColor
pl | ro | ParentFont
pl | ro | ParentShowHint
pl | ro | PopupMenu
pl | ro | ShowHint
pl | ro | TabOrder
pl | ro | TabStop
pl | ro | Visible
TScrollingWinControl
pt |  | AutoScroll
pl |  | HorzScrollBar
pl |  | VertScrollBar
TCustomControl
 |  | Canvas
 | ro | BorderStyle
TWinControl
pt |  | WindowHandle
pt |  | BorderStyle
pt |  | ParentBackground
 |  | BorderWidth
 | ro | BoundsLockCount
 | ro | Brush
 | ro | CachedClientHeight
 | ro | CachedClientWidth
 |  | ChildSizing
 | ro | ControlCount
 | ro | Controls
 |  | DefWndProc
 | ro | DockClientCount
 | ro | DockClients
 |  | DockManager
 |  | DockSite
 |  | DoubleBuffered
 |  | Handle
 | ro | IsFlipped
 | ro | IsResizing
 |  | TabOrder
 |  | TabStop
 |  | ParentDoubleBuffered
 |  | ParentWindow
 | ro | Showing
 |  | UseDockManager
 |  | DesignerDeleting
 | ro | VisibleDockClientCount
TControl
pt | ro | AutoSizing
pt | ro | AutoSizingAll
pt | ro | AutoSizingLockCount
pt |  | ActionLink
pt |  | DesktopFont
pt |  | DragCursor
pt |  | DragKind
pt |  | DragMode
pt |  | MouseCapture
pt |  | ParentColor
pt |  | ParentFont
pt |  | ParentShowHint
pt |  | SessionProperties
pt |  | Text
 | ro | AnchoredControls
 | ro | BaseBounds
 | ro | ReadBounds
 | ro | BaseParentClientSize
 |  | AccessibleDescription
 |  | AccessibleValue
 |  | AccessibleRole
 |  | Action
 |  | Align
 |  | Anchors
 | ro | AnchorSide
 |  | AutoSize
 |  | BorderSpacing
 |  | BoundsRect
 |  | BoundsRectForNewParent
 |  | Caption
 |  | CaptureMouseButtons
 |  | ClientHeight
 | ro | ClientOrigin
 | ro | ClientRect
 |  | ClientWidth
 |  | Color
 |  | Constraints
 | ro | ControlOrigin
 |  | ControlState
 |  | ControlStyle
 |  | Enabled
 |  | Font
 |  | IsControl
 | ro | MouseEntered
 | ro | MouseInClient
 |  | Parent
 |  | PopupMenu
 |  | ShowHint
 |  | Visible
 |  | WindowProc
 |  | DockOrientation
 | ro | Floating
 |  | FloatingDockSiteClass
 |  | HostDockSite
 |  | LRDockWidth
 |  | TBDockHeight
 |  | UndockHeight
 |  | UndockWidth
 |  | BiDiMode
 |  | ParentBiDiMode
pl |  | AnchorSideLeft
pl |  | AnchorSideTop
pl |  | AnchorSideRight
pl |  | AnchorSideBottom
pl |  | Cursor
pl |  | Left
pl |  | Height
pl |  | Hint
pl |  | Top
pl |  | Width
pl |  | HelpType
pl |  | HelpKeyword
pl |  | HelpContext
TLCLComponent
 | ro | LCLRefCount
 | ro | WidgetSetClass
TComponent
 | ro | ComObject
 | ro | Components
 | ro | ComponentCount
 |  | ComponentIndex
 | ro | ComponentState
 | ro | ComponentStyle
 |  | DesignInfo
 | ro | Owner
 |  | VCLComObject
 |  | Name
 |  | Tag
TPersistent
TObject


 |  | AccessibleDescription (TControl)
 |  | AccessibleRole (TControl)
 |  | AccessibleValue (TControl)
 |  | Action (TControl)
pt |  | ActionLink (TControl)
 |  | Align (TControl)
pl | ro | Align (TScrollBox)
 | ro | AnchoredControls (TControl)
 |  | Anchors (TControl)
pl | ro | Anchors (TScrollBox)
 | ro | AnchorSide (TControl)
pl |  | AnchorSideBottom (TControl)
pl |  | AnchorSideLeft (TControl)
pl |  | AnchorSideRight (TControl)
pl |  | AnchorSideTop (TControl)
pt |  | AutoScroll (TScrollingWinControl)
pl | ro | AutoScroll (TScrollBox)
 |  | AutoSize (TControl)
pl | ro | AutoSize (TScrollBox)
pt | ro | AutoSizing (TControl)
pt | ro | AutoSizingAll (TControl)
pt | ro | AutoSizingLockCount (TControl)
 | ro | BaseBounds (TControl)
 | ro | BaseParentClientSize (TControl)
 |  | BiDiMode (TControl)
pl | ro | BiDiMode (TScrollBox)
 |  | BorderSpacing (TControl)
pl | ro | BorderSpacing (TScrollBox)
pt |  | BorderStyle (TWinControl)
 | ro | BorderStyle (TCustomControl)
pl | ro | BorderStyle (TScrollBox)
 |  | BorderWidth (TWinControl)
 | ro | BoundsLockCount (TWinControl)
 |  | BoundsRect (TControl)
 |  | BoundsRectForNewParent (TControl)
 | ro | Brush (TWinControl)
 | ro | CachedClientHeight (TWinControl)
 | ro | CachedClientWidth (TWinControl)
 |  | Canvas (TCustomControl)
 |  | Caption (TControl)
 |  | CaptureMouseButtons (TControl)
 |  | ChildSizing (TWinControl)
pl | ro | ChildSizing (TScrollBox)
 |  | ClientHeight (TControl)
pl | ro | ClientHeight (TScrollBox)
 | ro | ClientOrigin (TControl)
 | ro | ClientRect (TControl)
 |  | ClientWidth (TControl)
pl | ro | ClientWidth (TScrollBox)
 |  | Color (TControl)
pl | ro | Color (TScrollBox)
 | ro | ComObject (TComponent)
 | ro | ComponentCount (TComponent)
 |  | ComponentIndex (TComponent)
 | ro | Components (TComponent)
 | ro | ComponentState (TComponent)
 | ro | ComponentStyle (TComponent)
 |  | Constraints (TControl)
pl | ro | Constraints (TScrollBox)
 | ro | ControlCount (TWinControl)
 | ro | ControlOrigin (TControl)
 | ro | Controls (TWinControl)
 |  | ControlState (TControl)
 |  | ControlStyle (TControl)
pl |  | Cursor (TControl)
 |  | DefWndProc (TWinControl)
 |  | DesignerDeleting (TWinControl)
 |  | DesignInfo (TComponent)
pt |  | DesktopFont (TControl)
 | ro | DockClientCount (TWinControl)
 | ro | DockClients (TWinControl)
 |  | DockManager (TWinControl)
 |  | DockOrientation (TControl)
 |  | DockSite (TWinControl)
pl | ro | DockSite (TScrollBox)
 |  | DoubleBuffered (TWinControl)
pt |  | DragCursor (TControl)
pl | ro | DragCursor (TScrollBox)
pt |  | DragKind (TControl)
pl | ro | DragKind (TScrollBox)
pt |  | DragMode (TControl)
pl | ro | DragMode (TScrollBox)
 |  | Enabled (TControl)
pl | ro | Enabled (TScrollBox)
 | ro | Floating (TControl)
 |  | FloatingDockSiteClass (TControl)
 |  | Font (TControl)
pl | ro | Font (TScrollBox)
 |  | Handle (TWinControl)
pl |  | Height (TControl)
pl |  | HelpContext (TControl)
pl |  | HelpKeyword (TControl)
pl |  | HelpType (TControl)
pl |  | Hint (TControl)
pl |  | HorzScrollBar (TScrollingWinControl)
 |  | HostDockSite (TControl)
 |  | IsControl (TControl)
 | ro | IsFlipped (TWinControl)
 | ro | IsResizing (TWinControl)
 | ro | LCLRefCount (TLCLComponent)
pl |  | Left (TControl)
 |  | LRDockWidth (TControl)
pt |  | MouseCapture (TControl)
 | ro | MouseEntered (TControl)
 | ro | MouseInClient (TControl)
 |  | Name (TComponent)
 | ro | Owner (TComponent)
 |  | Parent (TControl)
pt |  | ParentBackground (TWinControl)
pl | ro | ParentBackground (TScrollBox)
 |  | ParentBiDiMode (TControl)
pl | ro | ParentBiDiMode (TScrollBox)
pt |  | ParentColor (TControl)
pl | ro | ParentColor (TScrollBox)
 |  | ParentDoubleBuffered (TWinControl)
pt |  | ParentFont (TControl)
pl | ro | ParentFont (TScrollBox)
pt |  | ParentShowHint (TControl)
pl | ro | ParentShowHint (TScrollBox)
 |  | ParentWindow (TWinControl)
 |  | PopupMenu (TControl)
pl | ro | PopupMenu (TScrollBox)
 | ro | ReadBounds (TControl)
pt |  | SessionProperties (TControl)
 |  | ShowHint (TControl)
pl | ro | ShowHint (TScrollBox)
 | ro | Showing (TWinControl)
 |  | TabOrder (TWinControl)
pl | ro | TabOrder (TScrollBox)
 |  | TabStop (TWinControl)
pl | ro | TabStop (TScrollBox)
 |  | Tag (TComponent)
 |  | TBDockHeight (TControl)
pt |  | Text (TControl)
pl |  | Top (TControl)
 |  | UndockHeight (TControl)
 |  | UndockWidth (TControl)
 |  | UseDockManager (TWinControl)
 |  | VCLComObject (TComponent)
pl |  | VertScrollBar (TScrollingWinControl)
 |  | Visible (TControl)
pl | ro | Visible (TScrollBox)
 | ro | VisibleDockClientCount (TWinControl)
 | ro | WidgetSetClass (TLCLComponent)
pl |  | Width (TControl)
pt |  | WindowHandle (TWinControl)
 |  | WindowProc (TControl)


TScrollBox
pt | WSRegisterClass
 | Create
TScrollingWinControl
pt | WSRegisterClass
pt | AlignControls
pt | AutoScrollEnabled
pt | CalculateAutoRanges
pt | CreateWnd
pt | GetClientScrollOffset
pt | GetLogicalClientRect
pt | DoOnResize
pt | GetPreferredSizeClientFrame
pt | WMSize
pt | WMHScroll
pt | WMVScroll
pt | ComputeScrollbars
pt | SetAutoScroll
pt | Loaded
pt | Resizing
pt | SetAutoSize
 | Create
 | Destroy
 | ScreenToClient
 | ClientToScreen
 | UpdateScrollbars
 | GetControlClassDefaultSize
 | ScrollBy
 | ScrollInView
TCustomControl
pt | WSRegisterClass
pt | WMPaint
pt | DestroyWnd
pt | PaintWindow
pt | FontChanged
pt | SetColor
pt | Paint
 | Create
 | Destroy
TWinControl
pt | WSRegisterClass
pt | AdjustClientRect
pt | GetAdjustedLogicalClientRect
pt | AlignControls
pt | CustomAlignInsertBefore
pt | CustomAlignPosition
pt | DoAlignChildControls
pt | DoChildSizingChange
pt | InvalidatePreferredChildSizes
pt | CanTab
pt | IsClientHeightStored
pt | IsClientWidthStored
pt | DoSendShowHideToInterface
pt | ControlsAligned
pt | DoSendBoundsToInterface
pt | RealizeBounds
pt | RealizeBoundsRecursive
pt | InvalidateBoundsRealized
pt | CreateSubClass
pt | DoConstraintsChange
pt | DoSetBounds
pt | DoAutoSize
pt | DoAllAutoSize
pt | AllAutoSized
pt | CalculatePreferredSize
pt | GetPreferredSizeClientFrame
pt | GetChildren
pt | ChildClassAllowed
pt | PaintControls
pt | PaintHandler
pt | PaintWindow
pt | CreateBrush
pt | ScaleControls
pt | ChangeScale
pt | CMBiDiModeChanged
pt | CMBorderChanged
pt | CMDoubleBufferedChanged
pt | CMEnabledChanged
pt | CMParentDoubleBufferedChanged
pt | CMShowingChanged
pt | CMShowHintChanged
pt | CMVisibleChanged
pt | CMEnter
pt | CMExit
pt | WMContextMenu
pt | WMEraseBkgnd
pt | WMNotify
pt | WMSetFocus
pt | WMKillFocus
pt | WMShowWindow
pt | WMEnter
pt | WMExit
pt | WMKeyDown
pt | WMSysKeyDown
pt | WMKeyUp
pt | WMSysKeyUp
pt | WMChar
pt | WMSysChar
pt | WMPaint
pt | WMDestroy
pt | WMMove
pt | WMSize
pt | WMWindowPosChanged
pt | CNKeyDown
pt | CNSysKeyDown
pt | CNKeyUp
pt | CNSysKeyUp
pt | CNChar
pt | DoDragMsg
pt | DoDockClientMsg
pt | DoUndockClientMsg
pt | DoAddDockClient
pt | DockOver
pt | DoDockOver
pt | DoRemoveDockClient
pt | DoUnDock
pt | GetSiteInfo
pt | GetParentHandle
pt | GetTopParentHandle
pt | ReloadDockedControl
pt | CreateDockManager
pt | SetDockManager
pt | DoFloatMsg
pt | DoGetDockCaption
pt | DoEnter
pt | DoExit
pt | DoKeyDownBeforeInterface
pt | DoRemainingKeyDown
pt | DoRemainingKeyUp
pt | DoKeyPress
pt | DoUTF8KeyPress
pt | DoKeyUpBeforeInterface
pt | ChildKey
pt | SendDialogChar
pt | DialogChar
pt | ControlKeyDown
pt | ControlKeyUp
pt | KeyDown
pt | KeyDownBeforeInterface
pt | KeyDownAfterInterface
pt | KeyPress
pt | KeyUp
pt | KeyUpBeforeInterface
pt | KeyUpAfterInterface
pt | UTF8KeyPress
pt | FindNextControl
pt | SelectFirst
pt | RealGetText
pt | GetBorderStyle
pt | GetClientOrigin
pt | GetClientRect
pt | GetControlOrigin
pt | GetDeviceContext
pt | GetParentBackground
pt | IsControlMouseMsg
pt | CreateHandle
pt | CreateParams
pt | CreateWnd
pt | DestroyHandle
pt | DestroyWnd
pt | DoFlipChildren
pt | FinalizeWnd
pt | FixupTabList
pt | FontChanged
pt | InitializeWnd
pt | Loaded
pt | FormEndUpdated
pt | MainWndProc
pt | ParentFormHandleInitialized
pt | ChildHandlesCreated
pt | GetMouseCapture
pt | RealSetText
pt | RemoveFocus
pt | SendMoveSizeMessages
pt | SetBorderStyle
pt | SetColor
pt | SetChildZPosition
pt | SetParentBackground
pt | ShowControl
pt | UpdateControlState
pt | UpdateShowing
pt | WndProc
pt | WSSetText
 | AutoSizePhases
 | AutoSizeDelayed
 | AutoSizeDelayedReport
 | AutoSizeDelayedHandle
 | BeginUpdateBounds
 | EndUpdateBounds
 | LockRealizeBounds
 | UnlockRealizeBounds
 | ControlAtPos
 | ContainsControl
 | DoAdjustClientRectChange
 | InvalidateClientRectCache
 | ClientRectNeedsInterfaceUpdate
 | SetBounds
 | GetChildrenRect
 | DisableAlign
 | EnableAlign
 | ReAlign
 | ScrollBy_WS
 | ScrollBy
 | WriteLayoutDebugReport
 | AutoAdjustLayout
 | Create
 | CreateParented
 | CreateParentedControl
 | Destroy
 | DockDrop
 | CanFocus
 | CanSetFocus
 | GetControlIndex
 | SetControlIndex
 | Focused
 | PerformTab
 | FindChildControl
 | SelectNext
 | SetTempCursor
 | BroadCast
 | NotifyControls
 | DefaultHandler
 | GetTextLen
 | Invalidate
 | AddControl
 | InsertControl
 | RemoveControl
 | GetEnumeratorControls
 | GetEnumeratorControlsReverse
 | Repaint
 | Update
 | SetFocus
 | FlipChildren
 | ScaleBy
 | GetDockCaption
 | UpdateDockCaption
 | GetTabOrderList
 | HandleAllocated
 | ParentHandlesAllocated
 | HandleNeeded
 | BrushCreated
 | EraseBackground
 | IntfUTF8KeyPress
 | IntfGetDropFilesTarget
 | PaintTo
 | SetShape
TControl
pt | WSRegisterClass
pt | GetCursor
pt | SetCursor
pt | SetVisible
pt | DoOnParentHandleDestruction
pt | DoAutoSize
pt | DoAllAutoSize
pt | BeginAutoSizing
pt | EndAutoSizing
pt | AnchorSideChanged
pt | ForeignAnchorSideChanged
pt | SetAlign
pt | SetAnchors
pt | SetAutoSize
pt | BoundsChanged
pt | CreateControlBorderSpacing
pt | DoConstraintsChange
pt | DoBorderSpacingChange
pt | IsBorderSpacingInnerBorderStored
pt | IsCaptionStored
pt | SendMoveSizeMessages
pt | ConstrainedResize
pt | CalculatePreferredSize
pt | DoOnResize
pt | DoOnChangeBounds
pt | CheckOnChangeBounds
pt | Resize
pt | RequestAlign
pt | UpdateAnchorRules
pt | ChangeBounds
pt | DoSetBounds
pt | ScaleConstraints
pt | ChangeScale
pt | CanAutoSize
pt | SetBiDiMode
pt | SetParentBiDiMode
pt | IsAParentAligning
pt | GetClientOrigin
pt | GetClientRect
pt | GetLogicalClientRect
pt | GetScrolledClientRect
pt | GetClientScrollOffset
pt | GetControlOrigin
pt | IsClientHeightStored
pt | IsClientWidthStored
pt | WidthIsAnchored
pt | HeightIsAnchored
pt | WMCancelMode
pt | WMContextMenu
pt | WMLButtonDown
pt | WMRButtonDown
pt | WMMButtonDown
pt | WMXButtonDown
pt | WMLButtonDBLCLK
pt | WMRButtonDBLCLK
pt | WMMButtonDBLCLK
pt | WMXButtonDBLCLK
pt | WMLButtonTripleCLK
pt | WMRButtonTripleCLK
pt | WMMButtonTripleCLK
pt | WMXButtonTripleCLK
pt | WMLButtonQuadCLK
pt | WMRButtonQuadCLK
pt | WMMButtonQuadCLK
pt | WMXButtonQuadCLK
pt | WMMouseMove
pt | WMLButtonUp
pt | WMRButtonUp
pt | WMMButtonUp
pt | WMXButtonUp
pt | WMMouseWheel
pt | WMMouseHWheel
pt | WMMove
pt | WMSize
pt | WMWindowPosChanged
pt | CMChanged
pt | LMCaptureChanged
pt | CMBiDiModeChanged
pt | CMSysFontChanged
pt | CMEnabledChanged
pt | CMHitTest
pt | CMMouseEnter
pt | CMMouseLeave
pt | CMHintShow
pt | CMParentBiDiModeChanged
pt | CMParentColorChanged
pt | CMParentFontChanged
pt | CMParentShowHintChanged
pt | CMVisibleChanged
pt | CMTextChanged
pt | CMCursorChanged
pt | CalculateDockSizes
pt | CreateFloatingDockSite
pt | GetDockEdge
pt | GetDragImages
pt | GetFloating
pt | GetFloatingDockSiteClass
pt | BeforeDragStart
pt | BeginAutoDrag
pt | DoFloatMsg
pt | DockTrackNoTarget
pt | DoDock
pt | DoDragMsg
pt | DoEndDock
pt | DoEndDrag
pt | DoStartDock
pt | DoStartDrag
pt | DragCanceled
pt | DragOver
pt | PositionDockRect
pt | SetDragMode
pt | GetDefaultDockCaption
pt | Click
pt | DblClick
pt | TripleClick
pt | QuadClick
pt | GetMousePosFromMessage
pt | MouseDown
pt | MouseMove
pt | MouseUp
pt | MouseEnter
pt | MouseLeave
pt | DialogChar
pt | UpdateMouseCursor
pt | Changed
pt | GetPalette
pt | ChildClassAllowed
pt | ReadState
pt | Loaded
pt | LoadedAll
pt | DefineProperties
pt | AssignTo
pt | FormEndUpdated
pt | InvalidateControl
pt | FontChanged
pt | ParentFontChanged
pt | GetAction
pt | RealGetText
pt | RealSetText
pt | TextChanged
pt | GetCachedText
pt | SetAction
pt | SetColor
pt | SetEnabled
pt | SetHint
pt | SetName
pt | SetParent
pt | SetParentComponent
pt | WndProc
pt | ParentFormHandleInitialized
pt | GetMouseCapture
pt | CaptureChanged
pt | Notification
pt | CanTab
pt | GetDeviceContext
pt | GetEnabled
pt | GetPopupMenu
pt | DoOnShowHint
pt | DoMouseWheel
pt | DoMouseWheelDown
pt | DoMouseWheelUp
pt | DoMouseWheelHorz
pt | DoMouseWheelLeft
pt | DoMouseWheelRight
pt | VisibleChanging
pt | VisibleChanged
pt | EnabledChanging
pt | EnabledChanged
pt | AddHandler
pt | RemoveHandler
pt | DoCallNotifyHandler
pt | DoCallKeyEventHandler
pt | DoCallMouseWheelEventHandler
pt | DoContextPopup
pt | SetZOrder
pt | GetControlClassDefaultSize
pt | ColorIsStored
pt | DoAutoAdjustLayout
pt | DoFixDesignFontPPI
pt | DoScaleFontPPI
pt | GetActionLinkClass
pt | ActionChange
 | DragDrop
 | Dock
 | ManualDock
 | ManualFloat
 | ReplaceDockedControl
 | Docked
 | Dragging
 | GetAccessibleObject
 | CreateAccessibleObject
 | GetSelectedChildAccessibleObject
 | GetChildAccessibleObjectAtPos
 | ScaleDesignToForm
 | ScaleFormToDesign
 | Scale96ToForm
 | ScaleFormTo96
 | Scale96ToFont
 | ScaleFontTo96
 | ScaleScreenToFont
 | ScaleFontToScreen
 | Scale96ToScreen
 | ScaleScreenTo96
 | AdjustSize
 | AutoSizePhases
 | AutoSizeDelayed
 | AutoSizeDelayedReport
 | AutoSizeDelayedHandle
 | AnchorToNeighbour
 | AnchorParallel
 | AnchorHorizontalCenterTo
 | AnchorVerticalCenterTo
 | AnchorToCompanion
 | AnchorSame
 | AnchorAsAlign
 | AnchorClient
 | AnchoredControlCount
 | SetBounds
 | SetInitialBounds
 | SetBoundsKeepBase
 | GetPreferredSize
 | GetCanvasScaleFactor
 | GetDefaultWidth
 | GetDefaultHeight
 | GetDefaultColor
 | GetColorResolvingParent
 | GetRGBColorResolvingParent
 | GetSidePosition
 | CNPreferredSizeChanged
 | InvalidatePreferredSize
 | GetAnchorsDependingOnParent
 | DisableAutoSizing
 | EnableAutoSizing
 | UpdateBaseBounds
 | WriteLayoutDebugReport
 | AutoAdjustLayout
 | ShouldAutoAdjust
 | FixDesignFontsPPI
 | ScaleFontsPPI
 | Create
 | Destroy
 | BeforeDestruction
 | EditingDone
 | ExecuteDefaultAction
 | ExecuteCancelAction
 | BeginDrag
 | EndDrag
 | BringToFront
 | HasParent
 | GetParentComponent
 | IsParentOf
 | GetTopParent
 | IsVisible
 | IsControlVisible
 | IsEnabled
 | IsParentColor
 | IsParentFont
 | FormIsUpdating
 | IsProcessingPaintMsg
 | Hide
 | Refresh
 | Repaint
 | Invalidate
 | CheckChildClassAllowed
 | CheckNewParent
 | SendToBack
 | SetTempCursor
 | UpdateRolesForForm
 | ActiveDefaultControlChanged
 | GetTextBuf
 | GetTextLen
 | SetTextBuf
 | Perform
 | ScreenToClient
 | ClientToScreen
 | ScreenToControl
 | ControlToScreen
 | ClientToParent
 | ParentToClient
 | GetChildrenRect
 | Show
 | Update
 | HandleObjectShouldBeVisible
 | ParentDestroyingHandle
 | ParentHandlesAllocated
 | InitiateAction
 | ShowHelp
 | HasHelp
 | RemoveAllHandlersOfObject
 | AddHandlerOnResize
 | RemoveHandlerOnResize
 | AddHandlerOnChangeBounds
 | RemoveHandlerOnChangeBounds
 | AddHandlerOnVisibleChanging
 | RemoveHandlerOnVisibleChanging
 | AddHandlerOnVisibleChanged
 | RemoveHandlerOnVisibleChanged
 | AddHandlerOnEnabledChanged
 | RemoveHandlerOnEnableChanging
 | AddHandlerOnKeyDown
 | RemoveHandlerOnKeyDown
 | AddHandlerOnBeforeDestruction
 | RemoveHandlerOnBeforeDestruction
 | AddHandlerOnMouseWheel
 | RemoveHandlerOnMouseWheel
 | UseRightToLeftAlignment
 | UseRightToLeftReading
 | UseRightToLeftScrollBar
 | IsRightToLeft
TLCLComponent
pt | WSRegisterClass
pt | GetWSComponentClass
 | Create
 | Destroy
 | NewInstance
 | RemoveAllHandlersOfObject
 | IncLCLRefCount
 | DecLCLRefCount
TComponent
 | GetComObject
 | GetComponent
 | GetComponentCount
 | GetComponentIndex
 | Insert
 | ReadLeft
 | ReadTop
 | Remove
 | RemoveNotification
 | SetComponentIndex
 | SetReference
 | WriteLeft
 | WriteTop
 | ChangeName
 | DefineProperties
 | GetChildren
 | GetChildOwner
 | GetChildParent
 | GetOwner
 | Loaded
 | Loading
 | Notification
 | PaletteCreated
 | ReadState
 | SetAncestor
 | SetDesigning
 | SetDesignInstance
 | SetInline
 | SetName
 | SetChildOrder
 | SetParentComponent
 | Updating
 | Updated
 | UpdateRegistry
 | ValidateRename
 | ValidateContainer
 | ValidateInsert
 | QueryInterface
 | _AddRef
 | _Release
 | iicrGetComponent
 | GetTypeInfoCount
 | GetTypeInfo
 | GetIDsOfNames
 | Invoke
 | WriteState
 | Create
 | Destroy
 | BeforeDestruction
 | DestroyComponents
 | Destroying
 | ExecuteAction
 | FindComponent
 | FreeNotification
 | RemoveFreeNotification
 | FreeOnRelease
 | GetEnumerator
 | GetNamePath
 | GetParentComponent
 | HasParent
 | InsertComponent
 | RemoveComponent
 | SafeCallException
 | SetSubComponent
 | UpdateAction
 | IsImplementorOf
 | ReferenceInterface
TPersistent
 | AssignError
 | AssignTo
 | DefineProperties
 | GetOwner
 | Destroy
 | Assign
 | FPOAttachObserver
 | FPODetachObserver
 | FPONotifyObservers
 | GetNamePath
TObject
 | Create
 | Destroy
 | newinstance
 | FreeInstance
 | SafeCallException
 | DefaultHandler
 | Free
 | InitInstance
 | CleanupInstance
 | ClassType
 | ClassInfo
 | ClassName
 | ClassNameIs
 | ClassParent
 | InstanceSize
 | InheritsFrom
 | StringMessageTable
 | MethodAddress
 | MethodName
 | FieldAddress
 | AfterConstruction
 | BeforeDestruction
 | DefaultHandlerStr
 | Dispatch
 | DispatchStr
 | GetInterface
 | GetInterfaceByStr
 | GetInterfaceWeak
 | GetInterfaceEntry
 | GetInterfaceEntryByStr
 | GetInterfaceTable
 | UnitName
 | Equals
 | GetHashCode
 | ToString


pt | ActionChange (TControl)
 | ActiveDefaultControlChanged (TControl)
 | AddControl (TWinControl)
pt | AddHandler (TControl)
 | AddHandlerOnBeforeDestruction (TControl)
 | AddHandlerOnChangeBounds (TControl)
 | AddHandlerOnEnabledChanged (TControl)
 | AddHandlerOnKeyDown (TControl)
 | AddHandlerOnMouseWheel (TControl)
 | AddHandlerOnResize (TControl)
 | AddHandlerOnVisibleChanged (TControl)
 | AddHandlerOnVisibleChanging (TControl)
pt | AdjustClientRect (TWinControl)
 | AdjustSize (TControl)
 | AfterConstruction (TObject)
pt | AlignControls (TWinControl)
pt | AlignControls (TScrollingWinControl)
pt | AllAutoSized (TWinControl)
 | AnchorAsAlign (TControl)
 | AnchorClient (TControl)
 | AnchoredControlCount (TControl)
 | AnchorHorizontalCenterTo (TControl)
 | AnchorParallel (TControl)
 | AnchorSame (TControl)
pt | AnchorSideChanged (TControl)
 | AnchorToCompanion (TControl)
 | AnchorToNeighbour (TControl)
 | AnchorVerticalCenterTo (TControl)
 | Assign (TPersistent)
 | AssignError (TPersistent)
 | AssignTo (TPersistent)
pt | AssignTo (TControl)
 | AutoAdjustLayout (TControl)
 | AutoAdjustLayout (TWinControl)
pt | AutoScrollEnabled (TScrollingWinControl)
 | AutoSizeDelayed (TControl)
 | AutoSizeDelayed (TWinControl)
 | AutoSizeDelayedHandle (TControl)
 | AutoSizeDelayedHandle (TWinControl)
 | AutoSizeDelayedReport (TControl)
 | AutoSizeDelayedReport (TWinControl)
 | AutoSizePhases (TControl)
 | AutoSizePhases (TWinControl)
 | BeforeDestruction (TObject)
 | BeforeDestruction (TComponent)
 | BeforeDestruction (TControl)
pt | BeforeDragStart (TControl)
pt | BeginAutoDrag (TControl)
pt | BeginAutoSizing (TControl)
 | BeginDrag (TControl)
 | BeginUpdateBounds (TWinControl)
pt | BoundsChanged (TControl)
 | BringToFront (TControl)
 | BroadCast (TWinControl)
 | BrushCreated (TWinControl)
pt | CalculateAutoRanges (TScrollingWinControl)
pt | CalculateDockSizes (TControl)
pt | CalculatePreferredSize (TControl)
pt | CalculatePreferredSize (TWinControl)
pt | CanAutoSize (TControl)
 | CanFocus (TWinControl)
 | CanSetFocus (TWinControl)
pt | CanTab (TControl)
pt | CanTab (TWinControl)
pt | CaptureChanged (TControl)
pt | ChangeBounds (TControl)
pt | Changed (TControl)
 | ChangeName (TComponent)
pt | ChangeScale (TControl)
pt | ChangeScale (TWinControl)
 | CheckChildClassAllowed (TControl)
 | CheckNewParent (TControl)
pt | CheckOnChangeBounds (TControl)
pt | ChildClassAllowed (TControl)
pt | ChildClassAllowed (TWinControl)
pt | ChildHandlesCreated (TWinControl)
pt | ChildKey (TWinControl)
 | ClassInfo (TObject)
 | ClassName (TObject)
 | ClassNameIs (TObject)
 | ClassParent (TObject)
 | ClassType (TObject)
 | CleanupInstance (TObject)
pt | Click (TControl)
 | ClientRectNeedsInterfaceUpdate (TWinControl)
 | ClientToParent (TControl)
 | ClientToScreen (TControl)
 | ClientToScreen (TScrollingWinControl)
pt | CMBiDiModeChanged (TControl)
pt | CMBiDiModeChanged (TWinControl)
pt | CMBorderChanged (TWinControl)
pt | CMChanged (TControl)
pt | CMCursorChanged (TControl)
pt | CMDoubleBufferedChanged (TWinControl)
pt | CMEnabledChanged (TControl)
pt | CMEnabledChanged (TWinControl)
pt | CMEnter (TWinControl)
pt | CMExit (TWinControl)
pt | CMHintShow (TControl)
pt | CMHitTest (TControl)
pt | CMMouseEnter (TControl)
pt | CMMouseLeave (TControl)
pt | CMParentBiDiModeChanged (TControl)
pt | CMParentColorChanged (TControl)
pt | CMParentDoubleBufferedChanged (TWinControl)
pt | CMParentFontChanged (TControl)
pt | CMParentShowHintChanged (TControl)
pt | CMShowHintChanged (TWinControl)
pt | CMShowingChanged (TWinControl)
pt | CMSysFontChanged (TControl)
pt | CMTextChanged (TControl)
pt | CMVisibleChanged (TControl)
pt | CMVisibleChanged (TWinControl)
pt | CNChar (TWinControl)
pt | CNKeyDown (TWinControl)
pt | CNKeyUp (TWinControl)
 | CNPreferredSizeChanged (TControl)
pt | CNSysKeyDown (TWinControl)
pt | CNSysKeyUp (TWinControl)
pt | ColorIsStored (TControl)
pt | ComputeScrollbars (TScrollingWinControl)
pt | ConstrainedResize (TControl)
 | ContainsControl (TWinControl)
 | ControlAtPos (TWinControl)
pt | ControlKeyDown (TWinControl)
pt | ControlKeyUp (TWinControl)
pt | ControlsAligned (TWinControl)
 | ControlToScreen (TControl)
 | Create (TObject)
 | Create (TComponent)
 | Create (TLCLComponent)
 | Create (TControl)
 | Create (TWinControl)
 | Create (TCustomControl)
 | Create (TScrollingWinControl)
 | Create (TScrollBox)
 | CreateAccessibleObject (TControl)
pt | CreateBrush (TWinControl)
pt | CreateControlBorderSpacing (TControl)
pt | CreateDockManager (TWinControl)
pt | CreateFloatingDockSite (TControl)
pt | CreateHandle (TWinControl)
pt | CreateParams (TWinControl)
 | CreateParented (TWinControl)
 | CreateParentedControl (TWinControl)
pt | CreateSubClass (TWinControl)
pt | CreateWnd (TWinControl)
pt | CreateWnd (TScrollingWinControl)
pt | CustomAlignInsertBefore (TWinControl)
pt | CustomAlignPosition (TWinControl)
pt | DblClick (TControl)
 | DecLCLRefCount (TLCLComponent)
 | DefaultHandler (TObject)
 | DefaultHandler (TWinControl)
 | DefaultHandlerStr (TObject)
 | DefineProperties (TPersistent)
 | DefineProperties (TComponent)
pt | DefineProperties (TControl)
 | Destroy (TObject)
 | Destroy (TPersistent)
 | Destroy (TComponent)
 | Destroy (TLCLComponent)
 | Destroy (TControl)
 | Destroy (TWinControl)
 | Destroy (TCustomControl)
 | Destroy (TScrollingWinControl)
 | DestroyComponents (TComponent)
pt | DestroyHandle (TWinControl)
 | Destroying (TComponent)
pt | DestroyWnd (TWinControl)
pt | DestroyWnd (TCustomControl)
pt | DialogChar (TControl)
pt | DialogChar (TWinControl)
 | DisableAlign (TWinControl)
 | DisableAutoSizing (TControl)
 | Dispatch (TObject)
 | DispatchStr (TObject)
pt | DoAddDockClient (TWinControl)
 | DoAdjustClientRectChange (TWinControl)
pt | DoAlignChildControls (TWinControl)
pt | DoAllAutoSize (TControl)
pt | DoAllAutoSize (TWinControl)
pt | DoAutoAdjustLayout (TControl)
pt | DoAutoSize (TControl)
pt | DoAutoSize (TWinControl)
pt | DoBorderSpacingChange (TControl)
pt | DoCallKeyEventHandler (TControl)
pt | DoCallMouseWheelEventHandler (TControl)
pt | DoCallNotifyHandler (TControl)
pt | DoChildSizingChange (TWinControl)
 | Dock (TControl)
 | DockDrop (TWinControl)
 | Docked (TControl)
pt | DockOver (TWinControl)
pt | DockTrackNoTarget (TControl)
pt | DoConstraintsChange (TControl)
pt | DoConstraintsChange (TWinControl)
pt | DoContextPopup (TControl)
pt | DoDock (TControl)
pt | DoDockClientMsg (TWinControl)
pt | DoDockOver (TWinControl)
pt | DoDragMsg (TControl)
pt | DoDragMsg (TWinControl)
pt | DoEndDock (TControl)
pt | DoEndDrag (TControl)
pt | DoEnter (TWinControl)
pt | DoExit (TWinControl)
pt | DoFixDesignFontPPI (TControl)
pt | DoFlipChildren (TWinControl)
pt | DoFloatMsg (TControl)
pt | DoFloatMsg (TWinControl)
pt | DoGetDockCaption (TWinControl)
pt | DoKeyDownBeforeInterface (TWinControl)
pt | DoKeyPress (TWinControl)
pt | DoKeyUpBeforeInterface (TWinControl)
pt | DoMouseWheel (TControl)
pt | DoMouseWheelDown (TControl)
pt | DoMouseWheelHorz (TControl)
pt | DoMouseWheelLeft (TControl)
pt | DoMouseWheelRight (TControl)
pt | DoMouseWheelUp (TControl)
pt | DoOnChangeBounds (TControl)
pt | DoOnParentHandleDestruction (TControl)
pt | DoOnResize (TControl)
pt | DoOnResize (TScrollingWinControl)
pt | DoOnShowHint (TControl)
pt | DoRemainingKeyDown (TWinControl)
pt | DoRemainingKeyUp (TWinControl)
pt | DoRemoveDockClient (TWinControl)
pt | DoScaleFontPPI (TControl)
pt | DoSendBoundsToInterface (TWinControl)
pt | DoSendShowHideToInterface (TWinControl)
pt | DoSetBounds (TControl)
pt | DoSetBounds (TWinControl)
pt | DoStartDock (TControl)
pt | DoStartDrag (TControl)
pt | DoUnDock (TWinControl)
pt | DoUndockClientMsg (TWinControl)
pt | DoUTF8KeyPress (TWinControl)
pt | DragCanceled (TControl)
 | DragDrop (TControl)
 | Dragging (TControl)
pt | DragOver (TControl)
 | EditingDone (TControl)
 | EnableAlign (TWinControl)
 | EnableAutoSizing (TControl)
pt | EnabledChanged (TControl)
pt | EnabledChanging (TControl)
pt | EndAutoSizing (TControl)
 | EndDrag (TControl)
 | EndUpdateBounds (TWinControl)
 | Equals (TObject)
 | EraseBackground (TWinControl)
 | ExecuteAction (TComponent)
 | ExecuteCancelAction (TControl)
 | ExecuteDefaultAction (TControl)
 | FieldAddress (TObject)
pt | FinalizeWnd (TWinControl)
 | FindChildControl (TWinControl)
 | FindComponent (TComponent)
pt | FindNextControl (TWinControl)
 | FixDesignFontsPPI (TControl)
pt | FixupTabList (TWinControl)
 | FlipChildren (TWinControl)
 | Focused (TWinControl)
pt | FontChanged (TControl)
pt | FontChanged (TWinControl)
pt | FontChanged (TCustomControl)
pt | ForeignAnchorSideChanged (TControl)
pt | FormEndUpdated (TControl)
pt | FormEndUpdated (TWinControl)
 | FormIsUpdating (TControl)
 | FPOAttachObserver (TPersistent)
 | FPODetachObserver (TPersistent)
 | FPONotifyObservers (TPersistent)
 | Free (TObject)
 | FreeInstance (TObject)
 | FreeNotification (TComponent)
 | FreeOnRelease (TComponent)
 | GetAccessibleObject (TControl)
pt | GetAction (TControl)
pt | GetActionLinkClass (TControl)
pt | GetAdjustedLogicalClientRect (TWinControl)
 | GetAnchorsDependingOnParent (TControl)
pt | GetBorderStyle (TWinControl)
pt | GetCachedText (TControl)
 | GetCanvasScaleFactor (TControl)
 | GetChildAccessibleObjectAtPos (TControl)
 | GetChildOwner (TComponent)
 | GetChildParent (TComponent)
 | GetChildren (TComponent)
pt | GetChildren (TWinControl)
 | GetChildrenRect (TControl)
 | GetChildrenRect (TWinControl)
pt | GetClientOrigin (TControl)
pt | GetClientOrigin (TWinControl)
pt | GetClientRect (TControl)
pt | GetClientRect (TWinControl)
pt | GetClientScrollOffset (TControl)
pt | GetClientScrollOffset (TScrollingWinControl)
 | GetColorResolvingParent (TControl)
 | GetComObject (TComponent)
 | GetComponent (TComponent)
 | GetComponentCount (TComponent)
 | GetComponentIndex (TComponent)
pt | GetControlClassDefaultSize (TControl)
 | GetControlClassDefaultSize (TScrollingWinControl)
 | GetControlIndex (TWinControl)
pt | GetControlOrigin (TControl)
pt | GetControlOrigin (TWinControl)
pt | GetCursor (TControl)
 | GetDefaultColor (TControl)
pt | GetDefaultDockCaption (TControl)
 | GetDefaultHeight (TControl)
 | GetDefaultWidth (TControl)
pt | GetDeviceContext (TControl)
pt | GetDeviceContext (TWinControl)
 | GetDockCaption (TWinControl)
pt | GetDockEdge (TControl)
pt | GetDragImages (TControl)
pt | GetEnabled (TControl)
 | GetEnumerator (TComponent)
 | GetEnumeratorControls (TWinControl)
 | GetEnumeratorControlsReverse (TWinControl)
pt | GetFloating (TControl)
pt | GetFloatingDockSiteClass (TControl)
 | GetHashCode (TObject)
 | GetIDsOfNames (TComponent)
 | GetInterface (TObject)
 | GetInterfaceByStr (TObject)
 | GetInterfaceEntry (TObject)
 | GetInterfaceEntryByStr (TObject)
 | GetInterfaceTable (TObject)
 | GetInterfaceWeak (TObject)
pt | GetLogicalClientRect (TControl)
pt | GetLogicalClientRect (TScrollingWinControl)
pt | GetMouseCapture (TControl)
pt | GetMouseCapture (TWinControl)
pt | GetMousePosFromMessage (TControl)
 | GetNamePath (TPersistent)
 | GetNamePath (TComponent)
 | GetOwner (TPersistent)
 | GetOwner (TComponent)
pt | GetPalette (TControl)
pt | GetParentBackground (TWinControl)
 | GetParentComponent (TComponent)
 | GetParentComponent (TControl)
pt | GetParentHandle (TWinControl)
pt | GetPopupMenu (TControl)
 | GetPreferredSize (TControl)
pt | GetPreferredSizeClientFrame (TWinControl)
pt | GetPreferredSizeClientFrame (TScrollingWinControl)
 | GetRGBColorResolvingParent (TControl)
pt | GetScrolledClientRect (TControl)
 | GetSelectedChildAccessibleObject (TControl)
 | GetSidePosition (TControl)
pt | GetSiteInfo (TWinControl)
 | GetTabOrderList (TWinControl)
 | GetTextBuf (TControl)
 | GetTextLen (TControl)
 | GetTextLen (TWinControl)
 | GetTopParent (TControl)
pt | GetTopParentHandle (TWinControl)
 | GetTypeInfo (TComponent)
 | GetTypeInfoCount (TComponent)
pt | GetWSComponentClass (TLCLComponent)
 | HandleAllocated (TWinControl)
 | HandleNeeded (TWinControl)
 | HandleObjectShouldBeVisible (TControl)
 | HasHelp (TControl)
 | HasParent (TComponent)
 | HasParent (TControl)
pt | HeightIsAnchored (TControl)
 | Hide (TControl)
 | iicrGetComponent (TComponent)
 | IncLCLRefCount (TLCLComponent)
 | InheritsFrom (TObject)
pt | InitializeWnd (TWinControl)
 | InitiateAction (TControl)
 | InitInstance (TObject)
 | Insert (TComponent)
 | InsertComponent (TComponent)
 | InsertControl (TWinControl)
 | InstanceSize (TObject)
 | IntfGetDropFilesTarget (TWinControl)
 | IntfUTF8KeyPress (TWinControl)
 | Invalidate (TControl)
 | Invalidate (TWinControl)
pt | InvalidateBoundsRealized (TWinControl)
 | InvalidateClientRectCache (TWinControl)
pt | InvalidateControl (TControl)
pt | InvalidatePreferredChildSizes (TWinControl)
 | InvalidatePreferredSize (TControl)
 | Invoke (TComponent)
pt | IsAParentAligning (TControl)
pt | IsBorderSpacingInnerBorderStored (TControl)
pt | IsCaptionStored (TControl)
pt | IsClientHeightStored (TControl)
pt | IsClientHeightStored (TWinControl)
pt | IsClientWidthStored (TControl)
pt | IsClientWidthStored (TWinControl)
pt | IsControlMouseMsg (TWinControl)
 | IsControlVisible (TControl)
 | IsEnabled (TControl)
 | IsImplementorOf (TComponent)
 | IsParentColor (TControl)
 | IsParentFont (TControl)
 | IsParentOf (TControl)
 | IsProcessingPaintMsg (TControl)
 | IsRightToLeft (TControl)
 | IsVisible (TControl)
pt | KeyDown (TWinControl)
pt | KeyDownAfterInterface (TWinControl)
pt | KeyDownBeforeInterface (TWinControl)
pt | KeyPress (TWinControl)
pt | KeyUp (TWinControl)
pt | KeyUpAfterInterface (TWinControl)
pt | KeyUpBeforeInterface (TWinControl)
pt | LMCaptureChanged (TControl)
 | Loaded (TComponent)
pt | Loaded (TControl)
pt | Loaded (TWinControl)
pt | Loaded (TScrollingWinControl)
pt | LoadedAll (TControl)
 | Loading (TComponent)
 | LockRealizeBounds (TWinControl)
pt | MainWndProc (TWinControl)
 | ManualDock (TControl)
 | ManualFloat (TControl)
 | MethodAddress (TObject)
 | MethodName (TObject)
pt | MouseDown (TControl)
pt | MouseEnter (TControl)
pt | MouseLeave (TControl)
pt | MouseMove (TControl)
pt | MouseUp (TControl)
 | newinstance (TObject)
 | NewInstance (TLCLComponent)
 | Notification (TComponent)
pt | Notification (TControl)
 | NotifyControls (TWinControl)
pt | Paint (TCustomControl)
pt | PaintControls (TWinControl)
pt | PaintHandler (TWinControl)
 | PaintTo (TWinControl)
pt | PaintWindow (TWinControl)
pt | PaintWindow (TCustomControl)
 | PaletteCreated (TComponent)
 | ParentDestroyingHandle (TControl)
pt | ParentFontChanged (TControl)
pt | ParentFormHandleInitialized (TControl)
pt | ParentFormHandleInitialized (TWinControl)
 | ParentHandlesAllocated (TControl)
 | ParentHandlesAllocated (TWinControl)
 | ParentToClient (TControl)
 | Perform (TControl)
 | PerformTab (TWinControl)
pt | PositionDockRect (TControl)
pt | QuadClick (TControl)
 | QueryInterface (TComponent)
 | ReadLeft (TComponent)
 | ReadState (TComponent)
pt | ReadState (TControl)
 | ReadTop (TComponent)
pt | RealGetText (TControl)
pt | RealGetText (TWinControl)
 | ReAlign (TWinControl)
pt | RealizeBounds (TWinControl)
pt | RealizeBoundsRecursive (TWinControl)
pt | RealSetText (TControl)
pt | RealSetText (TWinControl)
 | ReferenceInterface (TComponent)
 | Refresh (TControl)
pt | ReloadDockedControl (TWinControl)
 | Remove (TComponent)
 | RemoveAllHandlersOfObject (TLCLComponent)
 | RemoveAllHandlersOfObject (TControl)
 | RemoveComponent (TComponent)
 | RemoveControl (TWinControl)
pt | RemoveFocus (TWinControl)
 | RemoveFreeNotification (TComponent)
pt | RemoveHandler (TControl)
 | RemoveHandlerOnBeforeDestruction (TControl)
 | RemoveHandlerOnChangeBounds (TControl)
 | RemoveHandlerOnEnableChanging (TControl)
 | RemoveHandlerOnKeyDown (TControl)
 | RemoveHandlerOnMouseWheel (TControl)
 | RemoveHandlerOnResize (TControl)
 | RemoveHandlerOnVisibleChanged (TControl)
 | RemoveHandlerOnVisibleChanging (TControl)
 | RemoveNotification (TComponent)
 | Repaint (TControl)
 | Repaint (TWinControl)
 | ReplaceDockedControl (TControl)
pt | RequestAlign (TControl)
pt | Resize (TControl)
pt | Resizing (TScrollingWinControl)
 | SafeCallException (TObject)
 | SafeCallException (TComponent)
 | Scale96ToFont (TControl)
 | Scale96ToForm (TControl)
 | Scale96ToScreen (TControl)
 | ScaleBy (TWinControl)
pt | ScaleConstraints (TControl)
pt | ScaleControls (TWinControl)
 | ScaleDesignToForm (TControl)
 | ScaleFontsPPI (TControl)
 | ScaleFontTo96 (TControl)
 | ScaleFontToScreen (TControl)
 | ScaleFormTo96 (TControl)
 | ScaleFormToDesign (TControl)
 | ScaleScreenTo96 (TControl)
 | ScaleScreenToFont (TControl)
 | ScreenToClient (TControl)
 | ScreenToClient (TScrollingWinControl)
 | ScreenToControl (TControl)
 | ScrollBy (TWinControl)
 | ScrollBy (TScrollingWinControl)
 | ScrollBy_WS (TWinControl)
 | ScrollInView (TScrollingWinControl)
pt | SelectFirst (TWinControl)
 | SelectNext (TWinControl)
pt | SendDialogChar (TWinControl)
pt | SendMoveSizeMessages (TControl)
pt | SendMoveSizeMessages (TWinControl)
 | SendToBack (TControl)
pt | SetAction (TControl)
pt | SetAlign (TControl)
 | SetAncestor (TComponent)
pt | SetAnchors (TControl)
pt | SetAutoScroll (TScrollingWinControl)
pt | SetAutoSize (TControl)
pt | SetAutoSize (TScrollingWinControl)
pt | SetBiDiMode (TControl)
pt | SetBorderStyle (TWinControl)
 | SetBounds (TControl)
 | SetBounds (TWinControl)
 | SetBoundsKeepBase (TControl)
 | SetChildOrder (TComponent)
pt | SetChildZPosition (TWinControl)
pt | SetColor (TControl)
pt | SetColor (TWinControl)
pt | SetColor (TCustomControl)
 | SetComponentIndex (TComponent)
 | SetControlIndex (TWinControl)
pt | SetCursor (TControl)
 | SetDesigning (TComponent)
 | SetDesignInstance (TComponent)
pt | SetDockManager (TWinControl)
pt | SetDragMode (TControl)
pt | SetEnabled (TControl)
 | SetFocus (TWinControl)
pt | SetHint (TControl)
 | SetInitialBounds (TControl)
 | SetInline (TComponent)
 | SetName (TComponent)
pt | SetName (TControl)
pt | SetParent (TControl)
pt | SetParentBackground (TWinControl)
pt | SetParentBiDiMode (TControl)
 | SetParentComponent (TComponent)
pt | SetParentComponent (TControl)
 | SetReference (TComponent)
 | SetShape (TWinControl)
 | SetSubComponent (TComponent)
 | SetTempCursor (TControl)
 | SetTempCursor (TWinControl)
 | SetTextBuf (TControl)
pt | SetVisible (TControl)
pt | SetZOrder (TControl)
 | ShouldAutoAdjust (TControl)
 | Show (TControl)
pt | ShowControl (TWinControl)
 | ShowHelp (TControl)
 | StringMessageTable (TObject)
pt | TextChanged (TControl)
 | ToString (TObject)
pt | TripleClick (TControl)
 | UnitName (TObject)
 | UnlockRealizeBounds (TWinControl)
 | Update (TControl)
 | Update (TWinControl)
 | UpdateAction (TComponent)
pt | UpdateAnchorRules (TControl)
 | UpdateBaseBounds (TControl)
pt | UpdateControlState (TWinControl)
 | Updated (TComponent)
 | UpdateDockCaption (TWinControl)
pt | UpdateMouseCursor (TControl)
 | UpdateRegistry (TComponent)
 | UpdateRolesForForm (TControl)
 | UpdateScrollbars (TScrollingWinControl)
pt | UpdateShowing (TWinControl)
 | Updating (TComponent)
 | UseRightToLeftAlignment (TControl)
 | UseRightToLeftReading (TControl)
 | UseRightToLeftScrollBar (TControl)
pt | UTF8KeyPress (TWinControl)
 | ValidateContainer (TComponent)
 | ValidateInsert (TComponent)
 | ValidateRename (TComponent)
pt | VisibleChanged (TControl)
pt | VisibleChanging (TControl)
pt | WidthIsAnchored (TControl)
pt | WMCancelMode (TControl)
pt | WMChar (TWinControl)
pt | WMContextMenu (TControl)
pt | WMContextMenu (TWinControl)
pt | WMDestroy (TWinControl)
pt | WMEnter (TWinControl)
pt | WMEraseBkgnd (TWinControl)
pt | WMExit (TWinControl)
pt | WMHScroll (TScrollingWinControl)
pt | WMKeyDown (TWinControl)
pt | WMKeyUp (TWinControl)
pt | WMKillFocus (TWinControl)
pt | WMLButtonDBLCLK (TControl)
pt | WMLButtonDown (TControl)
pt | WMLButtonQuadCLK (TControl)
pt | WMLButtonTripleCLK (TControl)
pt | WMLButtonUp (TControl)
pt | WMMButtonDBLCLK (TControl)
pt | WMMButtonDown (TControl)
pt | WMMButtonQuadCLK (TControl)
pt | WMMButtonTripleCLK (TControl)
pt | WMMButtonUp (TControl)
pt | WMMouseHWheel (TControl)
pt | WMMouseMove (TControl)
pt | WMMouseWheel (TControl)
pt | WMMove (TControl)
pt | WMMove (TWinControl)
pt | WMNotify (TWinControl)
pt | WMPaint (TWinControl)
pt | WMPaint (TCustomControl)
pt | WMRButtonDBLCLK (TControl)
pt | WMRButtonDown (TControl)
pt | WMRButtonQuadCLK (TControl)
pt | WMRButtonTripleCLK (TControl)
pt | WMRButtonUp (TControl)
pt | WMSetFocus (TWinControl)
pt | WMShowWindow (TWinControl)
pt | WMSize (TControl)
pt | WMSize (TWinControl)
pt | WMSize (TScrollingWinControl)
pt | WMSysChar (TWinControl)
pt | WMSysKeyDown (TWinControl)
pt | WMSysKeyUp (TWinControl)
pt | WMVScroll (TScrollingWinControl)
pt | WMWindowPosChanged (TControl)
pt | WMWindowPosChanged (TWinControl)
pt | WMXButtonDBLCLK (TControl)
pt | WMXButtonDown (TControl)
pt | WMXButtonQuadCLK (TControl)
pt | WMXButtonTripleCLK (TControl)
pt | WMXButtonUp (TControl)
pt | WndProc (TControl)
pt | WndProc (TWinControl)
 | WriteLayoutDebugReport (TControl)
 | WriteLayoutDebugReport (TWinControl)
 | WriteLeft (TComponent)
 | WriteState (TComponent)
 | WriteTop (TComponent)
pt | WSRegisterClass (TLCLComponent)
pt | WSRegisterClass (TControl)
pt | WSRegisterClass (TWinControl)
pt | WSRegisterClass (TCustomControl)
pt | WSRegisterClass (TScrollingWinControl)
pt | WSRegisterClass (TScrollBox)
pt | WSSetText (TWinControl)
 | _AddRef (TComponent)
 | _Release (TComponent)


TScrollBox
pl | ro | OnClick
pl | ro | OnConstrainedResize
pl | ro | OnDblClick
pl | ro | OnDockDrop
pl | ro | OnDockOver
pl | ro | OnDragDrop
pl | ro | OnDragOver
pl | ro | OnEndDock
pl | ro | OnEndDrag
pl | ro | OnEnter
pl | ro | OnExit
pl | ro | OnGetSiteInfo
pl | ro | OnMouseDown
pl | ro | OnMouseEnter
pl | ro | OnMouseLeave
pl | ro | OnMouseMove
pl | ro | OnMouseUp
pl | ro | OnMouseWheel
pl | ro | OnMouseWheelDown
pl | ro | OnMouseWheelUp
pl | ro | OnMouseWheelHorz
pl | ro | OnMouseWheelLeft
pl | ro | OnMouseWheelRight
pl | ro | OnResize
pl | ro | OnStartDock
pl | ro | OnStartDrag
pl | ro | OnUnDock
pl | ro | OnPaint
TScrollingWinControl
TCustomControl
 |  | OnPaint
TWinControl
pt |  | OnGetSiteInfo
pt |  | OnGetDockCaption
 |  | OnAlignInsertBefore
 |  | OnAlignPosition
 |  | OnDockDrop
 |  | OnDockOver
 |  | OnEnter
 |  | OnExit
 |  | OnKeyDown
 |  | OnKeyPress
 |  | OnKeyUp
 |  | OnUnDock
 |  | OnUTF8KeyPress
TControl
pt |  | OnConstrainedResize
pt |  | OnContextPopup
pt |  | OnDblClick
pt |  | OnTripleClick
pt |  | OnQuadClick
pt |  | OnDragDrop
pt |  | OnDragOver
pt |  | OnEndDock
pt |  | OnEndDrag
pt |  | OnMouseDown
pt |  | OnMouseMove
pt |  | OnMouseUp
pt |  | OnMouseEnter
pt |  | OnMouseLeave
pt |  | OnMouseWheel
pt |  | OnMouseWheelDown
pt |  | OnMouseWheelUp
pt |  | OnMouseWheelHorz
pt |  | OnMouseWheelLeft
pt |  | OnMouseWheelRight
pt |  | OnStartDock
pt |  | OnStartDrag
pt |  | OnEditingDone
 |  | OnChangeBounds
 |  | OnClick
 |  | OnResize
 |  | OnShowHint
TLCLComponent
TComponent
TPersistent
TObject


 |  | OnAlignInsertBefore (TWinControl)
 |  | OnAlignPosition (TWinControl)
 |  | OnChangeBounds (TControl)
 |  | OnClick (TControl)
pl | ro | OnClick (TScrollBox)
pt |  | OnConstrainedResize (TControl)
pl | ro | OnConstrainedResize (TScrollBox)
pt |  | OnContextPopup (TControl)
pt |  | OnDblClick (TControl)
pl | ro | OnDblClick (TScrollBox)
 |  | OnDockDrop (TWinControl)
pl | ro | OnDockDrop (TScrollBox)
 |  | OnDockOver (TWinControl)
pl | ro | OnDockOver (TScrollBox)
pt |  | OnDragDrop (TControl)
pl | ro | OnDragDrop (TScrollBox)
pt |  | OnDragOver (TControl)
pl | ro | OnDragOver (TScrollBox)
pt |  | OnEditingDone (TControl)
pt |  | OnEndDock (TControl)
pl | ro | OnEndDock (TScrollBox)
pt |  | OnEndDrag (TControl)
pl | ro | OnEndDrag (TScrollBox)
 |  | OnEnter (TWinControl)
pl | ro | OnEnter (TScrollBox)
 |  | OnExit (TWinControl)
pl | ro | OnExit (TScrollBox)
pt |  | OnGetDockCaption (TWinControl)
pt |  | OnGetSiteInfo (TWinControl)
pl | ro | OnGetSiteInfo (TScrollBox)
 |  | OnKeyDown (TWinControl)
 |  | OnKeyPress (TWinControl)
 |  | OnKeyUp (TWinControl)
pt |  | OnMouseDown (TControl)
pl | ro | OnMouseDown (TScrollBox)
pt |  | OnMouseEnter (TControl)
pl | ro | OnMouseEnter (TScrollBox)
pt |  | OnMouseLeave (TControl)
pl | ro | OnMouseLeave (TScrollBox)
pt |  | OnMouseMove (TControl)
pl | ro | OnMouseMove (TScrollBox)
pt |  | OnMouseUp (TControl)
pl | ro | OnMouseUp (TScrollBox)
pt |  | OnMouseWheel (TControl)
pl | ro | OnMouseWheel (TScrollBox)
pt |  | OnMouseWheelDown (TControl)
pl | ro | OnMouseWheelDown (TScrollBox)
pt |  | OnMouseWheelHorz (TControl)
pl | ro | OnMouseWheelHorz (TScrollBox)
pt |  | OnMouseWheelLeft (TControl)
pl | ro | OnMouseWheelLeft (TScrollBox)
pt |  | OnMouseWheelRight (TControl)
pl | ro | OnMouseWheelRight (TScrollBox)
pt |  | OnMouseWheelUp (TControl)
pl | ro | OnMouseWheelUp (TScrollBox)
 |  | OnPaint (TCustomControl)
pl | ro | OnPaint (TScrollBox)
pt |  | OnQuadClick (TControl)
 |  | OnResize (TControl)
pl | ro | OnResize (TScrollBox)
 |  | OnShowHint (TControl)
pt |  | OnStartDock (TControl)
pl | ro | OnStartDock (TScrollBox)
pt |  | OnStartDrag (TControl)
pl | ro | OnStartDrag (TScrollBox)
pt |  | OnTripleClick (TControl)
 |  | OnUnDock (TWinControl)
pl | ro | OnUnDock (TScrollBox)
 |  | OnUTF8KeyPress (TWinControl)


TScrollBox.OnMouseWheelHorz

Declaration

Source position: forms.pp line 255

published property TScrollBox.OnMouseWheelHorz : TMouseWheelEvent;


TScrollBox.OnMouseWheelLeft

Declaration

Source position: forms.pp line 256

published property TScrollBox.OnMouseWheelLeft : TMouseWheelUpDownEvent;


TScrollBox.OnMouseWheelRight

Declaration

Source position: forms.pp line 257

published property TScrollBox.OnMouseWheelRight : TMouseWheelUpDownEvent;


TScrollBox.ParentBackground

Declaration

Source position: forms.pp line 224

published property TScrollBox.ParentBackground : Boolean
  default False;


TScrollingWinControl

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Class of a windowed control with incorporated scroll bars.

Declaration

Source position: forms.pp line 155

type TScrollingWinControl = class(TCustomControl)
protected
class procedure WSRegisterClass; override; | Registers this component class with the current WidgetSet.
procedure AlignControls(); override; | Aligns all child controls.
function AutoScrollEnabled; virtual;
procedure CalculateAutoRanges; virtual;
procedure CreateWnd; override; | Creates the interface object (widget) and assigns it to Handle.
function GetClientScrollOffset; override; | The virtual origin of the physical client area.
function GetLogicalClientRect; override; | Logical client area, can be bigger than the visible client area.
procedure DoOnResize; override; | Invokes the OnResize notification handler.
procedure GetPreferredSizeClientFrame(); override;
procedure WMSize(); message;
procedure WMHScroll(); message; | Delegates scroll messages to the horizontal ScrollBar.
procedure WMVScroll(); message; | Delegates scroll messages to the vertical ScrollBar.
procedure ComputeScrollbars; virtual; | Updates Page, AutoRange, IsScrollBarVisible, returns True on changes.
procedure SetAutoScroll(); virtual;
procedure Loaded; override; | Also initializes the scroll bars.
procedure Resizing(); virtual;
property AutoScroll: Boolean; [rw] | Allows to show ScrollBars only if needed (when True).
procedure SetAutoSize(); override; | Allows to automatically adjust the size of the control, according to its content.
public
constructor Create(); override;
destructor Destroy; override;
function ScreenToClient(); override;
function ClientToScreen(); override;
procedure UpdateScrollbars; | Initializes or updates the ScrollBars.
class function GetControlClassDefaultSize; override; | Returns the default size for this class of controls (when added to a form).
procedure ScrollBy(); override; | Tells the widget to scroll the client area relative.
procedure ScrollInView();
published
property HorzScrollBar: TControlScrollBar; [rw] | The horizontal scroll bar (LCL control).
property VertScrollBar: TControlScrollBar; [rw] | The vertical scroll bar (LCL control).
end;

Inheritance

TScrollingWinControl | Class of a windowed control with incorporated scroll bars.
|
TCustomControl | The base class for windowed controls which paint themselves.
|
TWinControl | The base class for controls which can contain other (child) controls.
|
TControl | The base class for visible controls.
|
TLCLComponent | The base class for LCL components associated with widgets.
|
TComponent,IUnknown,IInterfaceComponentReference
|
TPersistent,IFPObserved
|
TObject

Description

This class introduces a logical (virtual) client area, part of which is visible in the physical (visible) client area. ScrollBars allow the user to scroll through the logical client area.

See also

TControlScrollBar | Type of a scrollbar in a #lcl.Forms.TScrollingWinControl.
TForm
TScrollBox | A windowed control with scroll bars.


TScrollingWinControl
pt |  | AutoScroll
pl |  | HorzScrollBar
pl |  | VertScrollBar
TCustomControl
 |  | Canvas
 | ro | BorderStyle
TWinControl
pt |  | WindowHandle
pt |  | BorderStyle
pt |  | ParentBackground
 |  | BorderWidth
 | ro | BoundsLockCount
 | ro | Brush
 | ro | CachedClientHeight
 | ro | CachedClientWidth
 |  | ChildSizing
 | ro | ControlCount
 | ro | Controls
 |  | DefWndProc
 | ro | DockClientCount
 | ro | DockClients
 |  | DockManager
 |  | DockSite
 |  | DoubleBuffered
 |  | Handle
 | ro | IsFlipped
 | ro | IsResizing
 |  | TabOrder
 |  | TabStop
 |  | ParentDoubleBuffered
 |  | ParentWindow
 | ro | Showing
 |  | UseDockManager
 |  | DesignerDeleting
 | ro | VisibleDockClientCount
TControl
pt | ro | AutoSizing
pt | ro | AutoSizingAll
pt | ro | AutoSizingLockCount
pt |  | ActionLink
pt |  | DesktopFont
pt |  | DragCursor
pt |  | DragKind
pt |  | DragMode
pt |  | MouseCapture
pt |  | ParentColor
pt |  | ParentFont
pt |  | ParentShowHint
pt |  | SessionProperties
pt |  | Text
 | ro | AnchoredControls
 | ro | BaseBounds
 | ro | ReadBounds
 | ro | BaseParentClientSize
 |  | AccessibleDescription
 |  | AccessibleValue
 |  | AccessibleRole
 |  | Action
 |  | Align
 |  | Anchors
 | ro | AnchorSide
 |  | AutoSize
 |  | BorderSpacing
 |  | BoundsRect
 |  | BoundsRectForNewParent
 |  | Caption
 |  | CaptureMouseButtons
 |  | ClientHeight
 | ro | ClientOrigin
 | ro | ClientRect
 |  | ClientWidth
 |  | Color
 |  | Constraints
 | ro | ControlOrigin
 |  | ControlState
 |  | ControlStyle
 |  | Enabled
 |  | Font
 |  | IsControl
 | ro | MouseEntered
 | ro | MouseInClient
 |  | Parent
 |  | PopupMenu
 |  | ShowHint
 |  | Visible
 |  | WindowProc
 |  | DockOrientation
 | ro | Floating
 |  | FloatingDockSiteClass
 |  | HostDockSite
 |  | LRDockWidth
 |  | TBDockHeight
 |  | UndockHeight
 |  | UndockWidth
 |  | BiDiMode
 |  | ParentBiDiMode
pl |  | AnchorSideLeft
pl |  | AnchorSideTop
pl |  | AnchorSideRight
pl |  | AnchorSideBottom
pl |  | Cursor
pl |  | Left
pl |  | Height
pl |  | Hint
pl |  | Top
pl |  | Width
pl |  | HelpType
pl |  | HelpKeyword
pl |  | HelpContext
TLCLComponent
 | ro | LCLRefCount
 | ro | WidgetSetClass
TComponent
 | ro | ComObject
 | ro | Components
 | ro | ComponentCount
 |  | ComponentIndex
 | ro | ComponentState
 | ro | ComponentStyle
 |  | DesignInfo
 | ro | Owner
 |  | VCLComObject
 |  | Name
 |  | Tag
TPersistent
TObject


 |  | AccessibleDescription (TControl)
 |  | AccessibleRole (TControl)
 |  | AccessibleValue (TControl)
 |  | Action (TControl)
pt |  | ActionLink (TControl)
 |  | Align (TControl)
 | ro | AnchoredControls (TControl)
 |  | Anchors (TControl)
 | ro | AnchorSide (TControl)
pl |  | AnchorSideBottom (TControl)
pl |  | AnchorSideLeft (TControl)
pl |  | AnchorSideRight (TControl)
pl |  | AnchorSideTop (TControl)
pt |  | AutoScroll (TScrollingWinControl)
 |  | AutoSize (TControl)
pt | ro | AutoSizing (TControl)
pt | ro | AutoSizingAll (TControl)
pt | ro | AutoSizingLockCount (TControl)
 | ro | BaseBounds (TControl)
 | ro | BaseParentClientSize (TControl)
 |  | BiDiMode (TControl)
 |  | BorderSpacing (TControl)
pt |  | BorderStyle (TWinControl)
 | ro | BorderStyle (TCustomControl)
 |  | BorderWidth (TWinControl)
 | ro | BoundsLockCount (TWinControl)
 |  | BoundsRect (TControl)
 |  | BoundsRectForNewParent (TControl)
 | ro | Brush (TWinControl)
 | ro | CachedClientHeight (TWinControl)
 | ro | CachedClientWidth (TWinControl)
 |  | Canvas (TCustomControl)
 |  | Caption (TControl)
 |  | CaptureMouseButtons (TControl)
 |  | ChildSizing (TWinControl)
 |  | ClientHeight (TControl)
 | ro | ClientOrigin (TControl)
 | ro | ClientRect (TControl)
 |  | ClientWidth (TControl)
 |  | Color (TControl)
 | ro | ComObject (TComponent)
 | ro | ComponentCount (TComponent)
 |  | ComponentIndex (TComponent)
 | ro | Components (TComponent)
 | ro | ComponentState (TComponent)
 | ro | ComponentStyle (TComponent)
 |  | Constraints (TControl)
 | ro | ControlCount (TWinControl)
 | ro | ControlOrigin (TControl)
 | ro | Controls (TWinControl)
 |  | ControlState (TControl)
 |  | ControlStyle (TControl)
pl |  | Cursor (TControl)
 |  | DefWndProc (TWinControl)
 |  | DesignerDeleting (TWinControl)
 |  | DesignInfo (TComponent)
pt |  | DesktopFont (TControl)
 | ro | DockClientCount (TWinControl)
 | ro | DockClients (TWinControl)
 |  | DockManager (TWinControl)
 |  | DockOrientation (TControl)
 |  | DockSite (TWinControl)
 |  | DoubleBuffered (TWinControl)
pt |  | DragCursor (TControl)
pt |  | DragKind (TControl)
pt |  | DragMode (TControl)
 |  | Enabled (TControl)
 | ro | Floating (TControl)
 |  | FloatingDockSiteClass (TControl)
 |  | Font (TControl)
 |  | Handle (TWinControl)
pl |  | Height (TControl)
pl |  | HelpContext (TControl)
pl |  | HelpKeyword (TControl)
pl |  | HelpType (TControl)
pl |  | Hint (TControl)
pl |  | HorzScrollBar (TScrollingWinControl)
 |  | HostDockSite (TControl)
 |  | IsControl (TControl)
 | ro | IsFlipped (TWinControl)
 | ro | IsResizing (TWinControl)
 | ro | LCLRefCount (TLCLComponent)
pl |  | Left (TControl)
 |  | LRDockWidth (TControl)
pt |  | MouseCapture (TControl)
 | ro | MouseEntered (TControl)
 | ro | MouseInClient (TControl)
 |  | Name (TComponent)
 | ro | Owner (TComponent)
 |  | Parent (TControl)
pt |  | ParentBackground (TWinControl)
 |  | ParentBiDiMode (TControl)
pt |  | ParentColor (TControl)
 |  | ParentDoubleBuffered (TWinControl)
pt |  | ParentFont (TControl)
pt |  | ParentShowHint (TControl)
 |  | ParentWindow (TWinControl)
 |  | PopupMenu (TControl)
 | ro | ReadBounds (TControl)
pt |  | SessionProperties (TControl)
 |  | ShowHint (TControl)
 | ro | Showing (TWinControl)
 |  | TabOrder (TWinControl)
 |  | TabStop (TWinControl)
 |  | Tag (TComponent)
 |  | TBDockHeight (TControl)
pt |  | Text (TControl)
pl |  | Top (TControl)
 |  | UndockHeight (TControl)
 |  | UndockWidth (TControl)
 |  | UseDockManager (TWinControl)
 |  | VCLComObject (TComponent)
pl |  | VertScrollBar (TScrollingWinControl)
 |  | Visible (TControl)
 | ro | VisibleDockClientCount (TWinControl)
 | ro | WidgetSetClass (TLCLComponent)
pl |  | Width (TControl)
pt |  | WindowHandle (TWinControl)
 |  | WindowProc (TControl)


TScrollingWinControl
pt | WSRegisterClass
pt | AlignControls
pt | AutoScrollEnabled
pt | CalculateAutoRanges
pt | CreateWnd
pt | GetClientScrollOffset
pt | GetLogicalClientRect
pt | DoOnResize
pt | GetPreferredSizeClientFrame
pt | WMSize
pt | WMHScroll
pt | WMVScroll
pt | ComputeScrollbars
pt | SetAutoScroll
pt | Loaded
pt | Resizing
pt | SetAutoSize
 | Create
 | Destroy
 | ScreenToClient
 | ClientToScreen
 | UpdateScrollbars
 | GetControlClassDefaultSize
 | ScrollBy
 | ScrollInView
TCustomControl
pt | WSRegisterClass
pt | WMPaint
pt | DestroyWnd
pt | PaintWindow
pt | FontChanged
pt | SetColor
pt | Paint
 | Create
 | Destroy
TWinControl
pt | WSRegisterClass
pt | AdjustClientRect
pt | GetAdjustedLogicalClientRect
pt | AlignControls
pt | CustomAlignInsertBefore
pt | CustomAlignPosition
pt | DoAlignChildControls
pt | DoChildSizingChange
pt | InvalidatePreferredChildSizes
pt | CanTab
pt | IsClientHeightStored
pt | IsClientWidthStored
pt | DoSendShowHideToInterface
pt | ControlsAligned
pt | DoSendBoundsToInterface
pt | RealizeBounds
pt | RealizeBoundsRecursive
pt | InvalidateBoundsRealized
pt | CreateSubClass
pt | DoConstraintsChange
pt | DoSetBounds
pt | DoAutoSize
pt | DoAllAutoSize
pt | AllAutoSized
pt | CalculatePreferredSize
pt | GetPreferredSizeClientFrame
pt | GetChildren
pt | ChildClassAllowed
pt | PaintControls
pt | PaintHandler
pt | PaintWindow
pt | CreateBrush
pt | ScaleControls
pt | ChangeScale
pt | CMBiDiModeChanged
pt | CMBorderChanged
pt | CMDoubleBufferedChanged
pt | CMEnabledChanged
pt | CMParentDoubleBufferedChanged
pt | CMShowingChanged
pt | CMShowHintChanged
pt | CMVisibleChanged
pt | CMEnter
pt | CMExit
pt | WMContextMenu
pt | WMEraseBkgnd
pt | WMNotify
pt | WMSetFocus
pt | WMKillFocus
pt | WMShowWindow
pt | WMEnter
pt | WMExit
pt | WMKeyDown
pt | WMSysKeyDown
pt | WMKeyUp
pt | WMSysKeyUp
pt | WMChar
pt | WMSysChar
pt | WMPaint
pt | WMDestroy
pt | WMMove
pt | WMSize
pt | WMWindowPosChanged
pt | CNKeyDown
pt | CNSysKeyDown
pt | CNKeyUp
pt | CNSysKeyUp
pt | CNChar
pt | DoDragMsg
pt | DoDockClientMsg
pt | DoUndockClientMsg
pt | DoAddDockClient
pt | DockOver
pt | DoDockOver
pt | DoRemoveDockClient
pt | DoUnDock
pt | GetSiteInfo
pt | GetParentHandle
pt | GetTopParentHandle
pt | ReloadDockedControl
pt | CreateDockManager
pt | SetDockManager
pt | DoFloatMsg
pt | DoGetDockCaption
pt | DoEnter
pt | DoExit
pt | DoKeyDownBeforeInterface
pt | DoRemainingKeyDown
pt | DoRemainingKeyUp
pt | DoKeyPress
pt | DoUTF8KeyPress
pt | DoKeyUpBeforeInterface
pt | ChildKey
pt | SendDialogChar
pt | DialogChar
pt | ControlKeyDown
pt | ControlKeyUp
pt | KeyDown
pt | KeyDownBeforeInterface
pt | KeyDownAfterInterface
pt | KeyPress
pt | KeyUp
pt | KeyUpBeforeInterface
pt | KeyUpAfterInterface
pt | UTF8KeyPress
pt | FindNextControl
pt | SelectFirst
pt | RealGetText
pt | GetBorderStyle
pt | GetClientOrigin
pt | GetClientRect
pt | GetControlOrigin
pt | GetDeviceContext
pt | GetParentBackground
pt | IsControlMouseMsg
pt | CreateHandle
pt | CreateParams
pt | CreateWnd
pt | DestroyHandle
pt | DestroyWnd
pt | DoFlipChildren
pt | FinalizeWnd
pt | FixupTabList
pt | FontChanged
pt | InitializeWnd
pt | Loaded
pt | FormEndUpdated
pt | MainWndProc
pt | ParentFormHandleInitialized
pt | ChildHandlesCreated
pt | GetMouseCapture
pt | RealSetText
pt | RemoveFocus
pt | SendMoveSizeMessages
pt | SetBorderStyle
pt | SetColor
pt | SetChildZPosition
pt | SetParentBackground
pt | ShowControl
pt | UpdateControlState
pt | UpdateShowing
pt | WndProc
pt | WSSetText
 | AutoSizePhases
 | AutoSizeDelayed
 | AutoSizeDelayedReport
 | AutoSizeDelayedHandle
 | BeginUpdateBounds
 | EndUpdateBounds
 | LockRealizeBounds
 | UnlockRealizeBounds
 | ControlAtPos
 | ContainsControl
 | DoAdjustClientRectChange
 | InvalidateClientRectCache
 | ClientRectNeedsInterfaceUpdate
 | SetBounds
 | GetChildrenRect
 | DisableAlign
 | EnableAlign
 | ReAlign
 | ScrollBy_WS
 | ScrollBy
 | WriteLayoutDebugReport
 | AutoAdjustLayout
 | Create
 | CreateParented
 | CreateParentedControl
 | Destroy
 | DockDrop
 | CanFocus
 | CanSetFocus
 | GetControlIndex
 | SetControlIndex
 | Focused
 | PerformTab
 | FindChildControl
 | SelectNext
 | SetTempCursor
 | BroadCast
 | NotifyControls
 | DefaultHandler
 | GetTextLen
 | Invalidate
 | AddControl
 | InsertControl
 | RemoveControl
 | GetEnumeratorControls
 | GetEnumeratorControlsReverse
 | Repaint
 | Update
 | SetFocus
 | FlipChildren
 | ScaleBy
 | GetDockCaption
 | UpdateDockCaption
 | GetTabOrderList
 | HandleAllocated
 | ParentHandlesAllocated
 | HandleNeeded
 | BrushCreated
 | EraseBackground
 | IntfUTF8KeyPress
 | IntfGetDropFilesTarget
 | PaintTo
 | SetShape
TControl
pt | WSRegisterClass
pt | GetCursor
pt | SetCursor
pt | SetVisible
pt | DoOnParentHandleDestruction
pt | DoAutoSize
pt | DoAllAutoSize
pt | BeginAutoSizing
pt | EndAutoSizing
pt | AnchorSideChanged
pt | ForeignAnchorSideChanged
pt | SetAlign
pt | SetAnchors
pt | SetAutoSize
pt | BoundsChanged
pt | CreateControlBorderSpacing
pt | DoConstraintsChange
pt | DoBorderSpacingChange
pt | IsBorderSpacingInnerBorderStored
pt | IsCaptionStored
pt | SendMoveSizeMessages
pt | ConstrainedResize
pt | CalculatePreferredSize
pt | DoOnResize
pt | DoOnChangeBounds
pt | CheckOnChangeBounds
pt | Resize
pt | RequestAlign
pt | UpdateAnchorRules
pt | ChangeBounds
pt | DoSetBounds
pt | ScaleConstraints
pt | ChangeScale
pt | CanAutoSize
pt | SetBiDiMode
pt | SetParentBiDiMode
pt | IsAParentAligning
pt | GetClientOrigin
pt | GetClientRect
pt | GetLogicalClientRect
pt | GetScrolledClientRect
pt | GetClientScrollOffset
pt | GetControlOrigin
pt | IsClientHeightStored
pt | IsClientWidthStored
pt | WidthIsAnchored
pt | HeightIsAnchored
pt | WMCancelMode
pt | WMContextMenu
pt | WMLButtonDown
pt | WMRButtonDown
pt | WMMButtonDown
pt | WMXButtonDown
pt | WMLButtonDBLCLK
pt | WMRButtonDBLCLK
pt | WMMButtonDBLCLK
pt | WMXButtonDBLCLK
pt | WMLButtonTripleCLK
pt | WMRButtonTripleCLK
pt | WMMButtonTripleCLK
pt | WMXButtonTripleCLK
pt | WMLButtonQuadCLK
pt | WMRButtonQuadCLK
pt | WMMButtonQuadCLK
pt | WMXButtonQuadCLK
pt | WMMouseMove
pt | WMLButtonUp
pt | WMRButtonUp
pt | WMMButtonUp
pt | WMXButtonUp
pt | WMMouseWheel
pt | WMMouseHWheel
pt | WMMove
pt | WMSize
pt | WMWindowPosChanged
pt | CMChanged
pt | LMCaptureChanged
pt | CMBiDiModeChanged
pt | CMSysFontChanged
pt | CMEnabledChanged
pt | CMHitTest
pt | CMMouseEnter
pt | CMMouseLeave
pt | CMHintShow
pt | CMParentBiDiModeChanged
pt | CMParentColorChanged
pt | CMParentFontChanged
pt | CMParentShowHintChanged
pt | CMVisibleChanged
pt | CMTextChanged
pt | CMCursorChanged
pt | CalculateDockSizes
pt | CreateFloatingDockSite
pt | GetDockEdge
pt | GetDragImages
pt | GetFloating
pt | GetFloatingDockSiteClass
pt | BeforeDragStart
pt | BeginAutoDrag
pt | DoFloatMsg
pt | DockTrackNoTarget
pt | DoDock
pt | DoDragMsg
pt | DoEndDock
pt | DoEndDrag
pt | DoStartDock
pt | DoStartDrag
pt | DragCanceled
pt | DragOver
pt | PositionDockRect
pt | SetDragMode
pt | GetDefaultDockCaption
pt | Click
pt | DblClick
pt | TripleClick
pt | QuadClick
pt | GetMousePosFromMessage
pt | MouseDown
pt | MouseMove
pt | MouseUp
pt | MouseEnter
pt | MouseLeave
pt | DialogChar
pt | UpdateMouseCursor
pt | Changed
pt | GetPalette
pt | ChildClassAllowed
pt | ReadState
pt | Loaded
pt | LoadedAll
pt | DefineProperties
pt | AssignTo
pt | FormEndUpdated
pt | InvalidateControl
pt | FontChanged
pt | ParentFontChanged
pt | GetAction
pt | RealGetText
pt | RealSetText
pt | TextChanged
pt | GetCachedText
pt | SetAction
pt | SetColor
pt | SetEnabled
pt | SetHint
pt | SetName
pt | SetParent
pt | SetParentComponent
pt | WndProc
pt | ParentFormHandleInitialized
pt | GetMouseCapture
pt | CaptureChanged
pt | Notification
pt | CanTab
pt | GetDeviceContext
pt | GetEnabled
pt | GetPopupMenu
pt | DoOnShowHint
pt | DoMouseWheel
pt | DoMouseWheelDown
pt | DoMouseWheelUp
pt | DoMouseWheelHorz
pt | DoMouseWheelLeft
pt | DoMouseWheelRight
pt | VisibleChanging
pt | VisibleChanged
pt | EnabledChanging
pt | EnabledChanged
pt | AddHandler
pt | RemoveHandler
pt | DoCallNotifyHandler
pt | DoCallKeyEventHandler
pt | DoCallMouseWheelEventHandler
pt | DoContextPopup
pt | SetZOrder
pt | GetControlClassDefaultSize
pt | ColorIsStored
pt | DoAutoAdjustLayout
pt | DoFixDesignFontPPI
pt | DoScaleFontPPI
pt | GetActionLinkClass
pt | ActionChange
 | DragDrop
 | Dock
 | ManualDock
 | ManualFloat
 | ReplaceDockedControl
 | Docked
 | Dragging
 | GetAccessibleObject
 | CreateAccessibleObject
 | GetSelectedChildAccessibleObject
 | GetChildAccessibleObjectAtPos
 | ScaleDesignToForm
 | ScaleFormToDesign
 | Scale96ToForm
 | ScaleFormTo96
 | Scale96ToFont
 | ScaleFontTo96
 | ScaleScreenToFont
 | ScaleFontToScreen
 | Scale96ToScreen
 | ScaleScreenTo96
 | AdjustSize
 | AutoSizePhases
 | AutoSizeDelayed
 | AutoSizeDelayedReport
 | AutoSizeDelayedHandle
 | AnchorToNeighbour
 | AnchorParallel
 | AnchorHorizontalCenterTo
 | AnchorVerticalCenterTo
 | AnchorToCompanion
 | AnchorSame
 | AnchorAsAlign
 | AnchorClient
 | AnchoredControlCount
 | SetBounds
 | SetInitialBounds
 | SetBoundsKeepBase
 | GetPreferredSize
 | GetCanvasScaleFactor
 | GetDefaultWidth
 | GetDefaultHeight
 | GetDefaultColor
 | GetColorResolvingParent
 | GetRGBColorResolvingParent
 | GetSidePosition
 | CNPreferredSizeChanged
 | InvalidatePreferredSize
 | GetAnchorsDependingOnParent
 | DisableAutoSizing
 | EnableAutoSizing
 | UpdateBaseBounds
 | WriteLayoutDebugReport
 | AutoAdjustLayout
 | ShouldAutoAdjust
 | FixDesignFontsPPI
 | ScaleFontsPPI
 | Create
 | Destroy
 | BeforeDestruction
 | EditingDone
 | ExecuteDefaultAction
 | ExecuteCancelAction
 | BeginDrag
 | EndDrag
 | BringToFront
 | HasParent
 | GetParentComponent
 | IsParentOf
 | GetTopParent
 | IsVisible
 | IsControlVisible
 | IsEnabled
 | IsParentColor
 | IsParentFont
 | FormIsUpdating
 | IsProcessingPaintMsg
 | Hide
 | Refresh
 | Repaint
 | Invalidate
 | CheckChildClassAllowed
 | CheckNewParent
 | SendToBack
 | SetTempCursor
 | UpdateRolesForForm
 | ActiveDefaultControlChanged
 | GetTextBuf
 | GetTextLen
 | SetTextBuf
 | Perform
 | ScreenToClient
 | ClientToScreen
 | ScreenToControl
 | ControlToScreen
 | ClientToParent
 | ParentToClient
 | GetChildrenRect
 | Show
 | Update
 | HandleObjectShouldBeVisible
 | ParentDestroyingHandle
 | ParentHandlesAllocated
 | InitiateAction
 | ShowHelp
 | HasHelp
 | RemoveAllHandlersOfObject
 | AddHandlerOnResize
 | RemoveHandlerOnResize
 | AddHandlerOnChangeBounds
 | RemoveHandlerOnChangeBounds
 | AddHandlerOnVisibleChanging
 | RemoveHandlerOnVisibleChanging
 | AddHandlerOnVisibleChanged
 | RemoveHandlerOnVisibleChanged
 | AddHandlerOnEnabledChanged
 | RemoveHandlerOnEnableChanging
 | AddHandlerOnKeyDown
 | RemoveHandlerOnKeyDown
 | AddHandlerOnBeforeDestruction
 | RemoveHandlerOnBeforeDestruction
 | AddHandlerOnMouseWheel
 | RemoveHandlerOnMouseWheel
 | UseRightToLeftAlignment
 | UseRightToLeftReading
 | UseRightToLeftScrollBar
 | IsRightToLeft
TLCLComponent
pt | WSRegisterClass
pt | GetWSComponentClass
 | Create
 | Destroy
 | NewInstance
 | RemoveAllHandlersOfObject
 | IncLCLRefCount
 | DecLCLRefCount
TComponent
 | GetComObject
 | GetComponent
 | GetComponentCount
 | GetComponentIndex
 | Insert
 | ReadLeft
 | ReadTop
 | Remove
 | RemoveNotification
 | SetComponentIndex
 | SetReference
 | WriteLeft
 | WriteTop
 | ChangeName
 | DefineProperties
 | GetChildren
 | GetChildOwner
 | GetChildParent
 | GetOwner
 | Loaded
 | Loading
 | Notification
 | PaletteCreated
 | ReadState
 | SetAncestor
 | SetDesigning
 | SetDesignInstance
 | SetInline
 | SetName
 | SetChildOrder
 | SetParentComponent
 | Updating
 | Updated
 | UpdateRegistry
 | ValidateRename
 | ValidateContainer
 | ValidateInsert
 | QueryInterface
 | _AddRef
 | _Release
 | iicrGetComponent
 | GetTypeInfoCount
 | GetTypeInfo
 | GetIDsOfNames
 | Invoke
 | WriteState
 | Create
 | Destroy
 | BeforeDestruction
 | DestroyComponents
 | Destroying
 | ExecuteAction
 | FindComponent
 | FreeNotification
 | RemoveFreeNotification
 | FreeOnRelease
 | GetEnumerator
 | GetNamePath
 | GetParentComponent
 | HasParent
 | InsertComponent
 | RemoveComponent
 | SafeCallException
 | SetSubComponent
 | UpdateAction
 | IsImplementorOf
 | ReferenceInterface
TPersistent
 | AssignError
 | AssignTo
 | DefineProperties
 | GetOwner
 | Destroy
 | Assign
 | FPOAttachObserver
 | FPODetachObserver
 | FPONotifyObservers
 | GetNamePath
TObject
 | Create
 | Destroy
 | newinstance
 | FreeInstance
 | SafeCallException
 | DefaultHandler
 | Free
 | InitInstance
 | CleanupInstance
 | ClassType
 | ClassInfo
 | ClassName
 | ClassNameIs
 | ClassParent
 | InstanceSize
 | InheritsFrom
 | StringMessageTable
 | MethodAddress
 | MethodName
 | FieldAddress
 | AfterConstruction
 | BeforeDestruction
 | DefaultHandlerStr
 | Dispatch
 | DispatchStr
 | GetInterface
 | GetInterfaceByStr
 | GetInterfaceWeak
 | GetInterfaceEntry
 | GetInterfaceEntryByStr
 | GetInterfaceTable
 | UnitName
 | Equals
 | GetHashCode
 | ToString


pt | ActionChange (TControl)
 | ActiveDefaultControlChanged (TControl)
 | AddControl (TWinControl)
pt | AddHandler (TControl)
 | AddHandlerOnBeforeDestruction (TControl)
 | AddHandlerOnChangeBounds (TControl)
 | AddHandlerOnEnabledChanged (TControl)
 | AddHandlerOnKeyDown (TControl)
 | AddHandlerOnMouseWheel (TControl)
 | AddHandlerOnResize (TControl)
 | AddHandlerOnVisibleChanged (TControl)
 | AddHandlerOnVisibleChanging (TControl)
pt | AdjustClientRect (TWinControl)
 | AdjustSize (TControl)
 | AfterConstruction (TObject)
pt | AlignControls (TWinControl)
pt | AlignControls (TScrollingWinControl)
pt | AllAutoSized (TWinControl)
 | AnchorAsAlign (TControl)
 | AnchorClient (TControl)
 | AnchoredControlCount (TControl)
 | AnchorHorizontalCenterTo (TControl)
 | AnchorParallel (TControl)
 | AnchorSame (TControl)
pt | AnchorSideChanged (TControl)
 | AnchorToCompanion (TControl)
 | AnchorToNeighbour (TControl)
 | AnchorVerticalCenterTo (TControl)
 | Assign (TPersistent)
 | AssignError (TPersistent)
 | AssignTo (TPersistent)
pt | AssignTo (TControl)
 | AutoAdjustLayout (TControl)
 | AutoAdjustLayout (TWinControl)
pt | AutoScrollEnabled (TScrollingWinControl)
 | AutoSizeDelayed (TControl)
 | AutoSizeDelayed (TWinControl)
 | AutoSizeDelayedHandle (TControl)
 | AutoSizeDelayedHandle (TWinControl)
 | AutoSizeDelayedReport (TControl)
 | AutoSizeDelayedReport (TWinControl)
 | AutoSizePhases (TControl)
 | AutoSizePhases (TWinControl)
 | BeforeDestruction (TObject)
 | BeforeDestruction (TComponent)
 | BeforeDestruction (TControl)
pt | BeforeDragStart (TControl)
pt | BeginAutoDrag (TControl)
pt | BeginAutoSizing (TControl)
 | BeginDrag (TControl)
 | BeginUpdateBounds (TWinControl)
pt | BoundsChanged (TControl)
 | BringToFront (TControl)
 | BroadCast (TWinControl)
 | BrushCreated (TWinControl)
pt | CalculateAutoRanges (TScrollingWinControl)
pt | CalculateDockSizes (TControl)
pt | CalculatePreferredSize (TControl)
pt | CalculatePreferredSize (TWinControl)
pt | CanAutoSize (TControl)
 | CanFocus (TWinControl)
 | CanSetFocus (TWinControl)
pt | CanTab (TControl)
pt | CanTab (TWinControl)
pt | CaptureChanged (TControl)
pt | ChangeBounds (TControl)
pt | Changed (TControl)
 | ChangeName (TComponent)
pt | ChangeScale (TControl)
pt | ChangeScale (TWinControl)
 | CheckChildClassAllowed (TControl)
 | CheckNewParent (TControl)
pt | CheckOnChangeBounds (TControl)
pt | ChildClassAllowed (TControl)
pt | ChildClassAllowed (TWinControl)
pt | ChildHandlesCreated (TWinControl)
pt | ChildKey (TWinControl)
 | ClassInfo (TObject)
 | ClassName (TObject)
 | ClassNameIs (TObject)
 | ClassParent (TObject)
 | ClassType (TObject)
 | CleanupInstance (TObject)
pt | Click (TControl)
 | ClientRectNeedsInterfaceUpdate (TWinControl)
 | ClientToParent (TControl)
 | ClientToScreen (TControl)
 | ClientToScreen (TScrollingWinControl)
pt | CMBiDiModeChanged (TControl)
pt | CMBiDiModeChanged (TWinControl)
pt | CMBorderChanged (TWinControl)
pt | CMChanged (TControl)
pt | CMCursorChanged (TControl)
pt | CMDoubleBufferedChanged (TWinControl)
pt | CMEnabledChanged (TControl)
pt | CMEnabledChanged (TWinControl)
pt | CMEnter (TWinControl)
pt | CMExit (TWinControl)
pt | CMHintShow (TControl)
pt | CMHitTest (TControl)
pt | CMMouseEnter (TControl)
pt | CMMouseLeave (TControl)
pt | CMParentBiDiModeChanged (TControl)
pt | CMParentColorChanged (TControl)
pt | CMParentDoubleBufferedChanged (TWinControl)
pt | CMParentFontChanged (TControl)
pt | CMParentShowHintChanged (TControl)
pt | CMShowHintChanged (TWinControl)
pt | CMShowingChanged (TWinControl)
pt | CMSysFontChanged (TControl)
pt | CMTextChanged (TControl)
pt | CMVisibleChanged (TControl)
pt | CMVisibleChanged (TWinControl)
pt | CNChar (TWinControl)
pt | CNKeyDown (TWinControl)
pt | CNKeyUp (TWinControl)
 | CNPreferredSizeChanged (TControl)
pt | CNSysKeyDown (TWinControl)
pt | CNSysKeyUp (TWinControl)
pt | ColorIsStored (TControl)
pt | ComputeScrollbars (TScrollingWinControl)
pt | ConstrainedResize (TControl)
 | ContainsControl (TWinControl)
 | ControlAtPos (TWinControl)
pt | ControlKeyDown (TWinControl)
pt | ControlKeyUp (TWinControl)
pt | ControlsAligned (TWinControl)
 | ControlToScreen (TControl)
 | Create (TObject)
 | Create (TComponent)
 | Create (TLCLComponent)
 | Create (TControl)
 | Create (TWinControl)
 | Create (TCustomControl)
 | Create (TScrollingWinControl)
 | CreateAccessibleObject (TControl)
pt | CreateBrush (TWinControl)
pt | CreateControlBorderSpacing (TControl)
pt | CreateDockManager (TWinControl)
pt | CreateFloatingDockSite (TControl)
pt | CreateHandle (TWinControl)
pt | CreateParams (TWinControl)
 | CreateParented (TWinControl)
 | CreateParentedControl (TWinControl)
pt | CreateSubClass (TWinControl)
pt | CreateWnd (TWinControl)
pt | CreateWnd (TScrollingWinControl)
pt | CustomAlignInsertBefore (TWinControl)
pt | CustomAlignPosition (TWinControl)
pt | DblClick (TControl)
 | DecLCLRefCount (TLCLComponent)
 | DefaultHandler (TObject)
 | DefaultHandler (TWinControl)
 | DefaultHandlerStr (TObject)
 | DefineProperties (TPersistent)
 | DefineProperties (TComponent)
pt | DefineProperties (TControl)
 | Destroy (TObject)
 | Destroy (TPersistent)
 | Destroy (TComponent)
 | Destroy (TLCLComponent)
 | Destroy (TControl)
 | Destroy (TWinControl)
 | Destroy (TCustomControl)
 | Destroy (TScrollingWinControl)
 | DestroyComponents (TComponent)
pt | DestroyHandle (TWinControl)
 | Destroying (TComponent)
pt | DestroyWnd (TWinControl)
pt | DestroyWnd (TCustomControl)
pt | DialogChar (TControl)
pt | DialogChar (TWinControl)
 | DisableAlign (TWinControl)
 | DisableAutoSizing (TControl)
 | Dispatch (TObject)
 | DispatchStr (TObject)
pt | DoAddDockClient (TWinControl)
 | DoAdjustClientRectChange (TWinControl)
pt | DoAlignChildControls (TWinControl)
pt | DoAllAutoSize (TControl)
pt | DoAllAutoSize (TWinControl)
pt | DoAutoAdjustLayout (TControl)
pt | DoAutoSize (TControl)
pt | DoAutoSize (TWinControl)
pt | DoBorderSpacingChange (TControl)
pt | DoCallKeyEventHandler (TControl)
pt | DoCallMouseWheelEventHandler (TControl)
pt | DoCallNotifyHandler (TControl)
pt | DoChildSizingChange (TWinControl)
 | Dock (TControl)
 | DockDrop (TWinControl)
 | Docked (TControl)
pt | DockOver (TWinControl)
pt | DockTrackNoTarget (TControl)
pt | DoConstraintsChange (TControl)
pt | DoConstraintsChange (TWinControl)
pt | DoContextPopup (TControl)
pt | DoDock (TControl)
pt | DoDockClientMsg (TWinControl)
pt | DoDockOver (TWinControl)
pt | DoDragMsg (TControl)
pt | DoDragMsg (TWinControl)
pt | DoEndDock (TControl)
pt | DoEndDrag (TControl)
pt | DoEnter (TWinControl)
pt | DoExit (TWinControl)
pt | DoFixDesignFontPPI (TControl)
pt | DoFlipChildren (TWinControl)
pt | DoFloatMsg (TControl)
pt | DoFloatMsg (TWinControl)
pt | DoGetDockCaption (TWinControl)
pt | DoKeyDownBeforeInterface (TWinControl)
pt | DoKeyPress (TWinControl)
pt | DoKeyUpBeforeInterface (TWinControl)
pt | DoMouseWheel (TControl)
pt | DoMouseWheelDown (TControl)
pt | DoMouseWheelHorz (TControl)
pt | DoMouseWheelLeft (TControl)
pt | DoMouseWheelRight (TControl)
pt | DoMouseWheelUp (TControl)
pt | DoOnChangeBounds (TControl)
pt | DoOnParentHandleDestruction (TControl)
pt | DoOnResize (TControl)
pt | DoOnResize (TScrollingWinControl)
pt | DoOnShowHint (TControl)
pt | DoRemainingKeyDown (TWinControl)
pt | DoRemainingKeyUp (TWinControl)
pt | DoRemoveDockClient (TWinControl)
pt | DoScaleFontPPI (TControl)
pt | DoSendBoundsToInterface (TWinControl)
pt | DoSendShowHideToInterface (TWinControl)
pt | DoSetBounds (TControl)
pt | DoSetBounds (TWinControl)
pt | DoStartDock (TControl)
pt | DoStartDrag (TControl)
pt | DoUnDock (TWinControl)
pt | DoUndockClientMsg (TWinControl)
pt | DoUTF8KeyPress (TWinControl)
pt | DragCanceled (TControl)
 | DragDrop (TControl)
 | Dragging (TControl)
pt | DragOver (TControl)
 | EditingDone (TControl)
 | EnableAlign (TWinControl)
 | EnableAutoSizing (TControl)
pt | EnabledChanged (TControl)
pt | EnabledChanging (TControl)
pt | EndAutoSizing (TControl)
 | EndDrag (TControl)
 | EndUpdateBounds (TWinControl)
 | Equals (TObject)
 | EraseBackground (TWinControl)
 | ExecuteAction (TComponent)
 | ExecuteCancelAction (TControl)
 | ExecuteDefaultAction (TControl)
 | FieldAddress (TObject)
pt | FinalizeWnd (TWinControl)
 | FindChildControl (TWinControl)
 | FindComponent (TComponent)
pt | FindNextControl (TWinControl)
 | FixDesignFontsPPI (TControl)
pt | FixupTabList (TWinControl)
 | FlipChildren (TWinControl)
 | Focused (TWinControl)
pt | FontChanged (TControl)
pt | FontChanged (TWinControl)
pt | FontChanged (TCustomControl)
pt | ForeignAnchorSideChanged (TControl)
pt | FormEndUpdated (TControl)
pt | FormEndUpdated (TWinControl)
 | FormIsUpdating (TControl)
 | FPOAttachObserver (TPersistent)
 | FPODetachObserver (TPersistent)
 | FPONotifyObservers (TPersistent)
 | Free (TObject)
 | FreeInstance (TObject)
 | FreeNotification (TComponent)
 | FreeOnRelease (TComponent)
 | GetAccessibleObject (TControl)
pt | GetAction (TControl)
pt | GetActionLinkClass (TControl)
pt | GetAdjustedLogicalClientRect (TWinControl)
 | GetAnchorsDependingOnParent (TControl)
pt | GetBorderStyle (TWinControl)
pt | GetCachedText (TControl)
 | GetCanvasScaleFactor (TControl)
 | GetChildAccessibleObjectAtPos (TControl)
 | GetChildOwner (TComponent)
 | GetChildParent (TComponent)
 | GetChildren (TComponent)
pt | GetChildren (TWinControl)
 | GetChildrenRect (TControl)
 | GetChildrenRect (TWinControl)
pt | GetClientOrigin (TControl)
pt | GetClientOrigin (TWinControl)
pt | GetClientRect (TControl)
pt | GetClientRect (TWinControl)
pt | GetClientScrollOffset (TControl)
pt | GetClientScrollOffset (TScrollingWinControl)
 | GetColorResolvingParent (TControl)
 | GetComObject (TComponent)
 | GetComponent (TComponent)
 | GetComponentCount (TComponent)
 | GetComponentIndex (TComponent)
pt | GetControlClassDefaultSize (TControl)
 | GetControlClassDefaultSize (TScrollingWinControl)
 | GetControlIndex (TWinControl)
pt | GetControlOrigin (TControl)
pt | GetControlOrigin (TWinControl)
pt | GetCursor (TControl)
 | GetDefaultColor (TControl)
pt | GetDefaultDockCaption (TControl)
 | GetDefaultHeight (TControl)
 | GetDefaultWidth (TControl)
pt | GetDeviceContext (TControl)
pt | GetDeviceContext (TWinControl)
 | GetDockCaption (TWinControl)
pt | GetDockEdge (TControl)
pt | GetDragImages (TControl)
pt | GetEnabled (TControl)
 | GetEnumerator (TComponent)
 | GetEnumeratorControls (TWinControl)
 | GetEnumeratorControlsReverse (TWinControl)
pt | GetFloating (TControl)
pt | GetFloatingDockSiteClass (TControl)
 | GetHashCode (TObject)
 | GetIDsOfNames (TComponent)
 | GetInterface (TObject)
 | GetInterfaceByStr (TObject)
 | GetInterfaceEntry (TObject)
 | GetInterfaceEntryByStr (TObject)
 | GetInterfaceTable (TObject)
 | GetInterfaceWeak (TObject)
pt | GetLogicalClientRect (TControl)
pt | GetLogicalClientRect (TScrollingWinControl)
pt | GetMouseCapture (TControl)
pt | GetMouseCapture (TWinControl)
pt | GetMousePosFromMessage (TControl)
 | GetNamePath (TPersistent)
 | GetNamePath (TComponent)
 | GetOwner (TPersistent)
 | GetOwner (TComponent)
pt | GetPalette (TControl)
pt | GetParentBackground (TWinControl)
 | GetParentComponent (TComponent)
 | GetParentComponent (TControl)
pt | GetParentHandle (TWinControl)
pt | GetPopupMenu (TControl)
 | GetPreferredSize (TControl)
pt | GetPreferredSizeClientFrame (TWinControl)
pt | GetPreferredSizeClientFrame (TScrollingWinControl)
 | GetRGBColorResolvingParent (TControl)
pt | GetScrolledClientRect (TControl)
 | GetSelectedChildAccessibleObject (TControl)
 | GetSidePosition (TControl)
pt | GetSiteInfo (TWinControl)
 | GetTabOrderList (TWinControl)
 | GetTextBuf (TControl)
 | GetTextLen (TControl)
 | GetTextLen (TWinControl)
 | GetTopParent (TControl)
pt | GetTopParentHandle (TWinControl)
 | GetTypeInfo (TComponent)
 | GetTypeInfoCount (TComponent)
pt | GetWSComponentClass (TLCLComponent)
 | HandleAllocated (TWinControl)
 | HandleNeeded (TWinControl)
 | HandleObjectShouldBeVisible (TControl)
 | HasHelp (TControl)
 | HasParent (TComponent)
 | HasParent (TControl)
pt | HeightIsAnchored (TControl)
 | Hide (TControl)
 | iicrGetComponent (TComponent)
 | IncLCLRefCount (TLCLComponent)
 | InheritsFrom (TObject)
pt | InitializeWnd (TWinControl)
 | InitiateAction (TControl)
 | InitInstance (TObject)
 | Insert (TComponent)
 | InsertComponent (TComponent)
 | InsertControl (TWinControl)
 | InstanceSize (TObject)
 | IntfGetDropFilesTarget (TWinControl)
 | IntfUTF8KeyPress (TWinControl)
 | Invalidate (TControl)
 | Invalidate (TWinControl)
pt | InvalidateBoundsRealized (TWinControl)
 | InvalidateClientRectCache (TWinControl)
pt | InvalidateControl (TControl)
pt | InvalidatePreferredChildSizes (TWinControl)
 | InvalidatePreferredSize (TControl)
 | Invoke (TComponent)
pt | IsAParentAligning (TControl)
pt | IsBorderSpacingInnerBorderStored (TControl)
pt | IsCaptionStored (TControl)
pt | IsClientHeightStored (TControl)
pt | IsClientHeightStored (TWinControl)
pt | IsClientWidthStored (TControl)
pt | IsClientWidthStored (TWinControl)
pt | IsControlMouseMsg (TWinControl)
 | IsControlVisible (TControl)
 | IsEnabled (TControl)
 | IsImplementorOf (TComponent)
 | IsParentColor (TControl)
 | IsParentFont (TControl)
 | IsParentOf (TControl)
 | IsProcessingPaintMsg (TControl)
 | IsRightToLeft (TControl)
 | IsVisible (TControl)
pt | KeyDown (TWinControl)
pt | KeyDownAfterInterface (TWinControl)
pt | KeyDownBeforeInterface (TWinControl)
pt | KeyPress (TWinControl)
pt | KeyUp (TWinControl)
pt | KeyUpAfterInterface (TWinControl)
pt | KeyUpBeforeInterface (TWinControl)
pt | LMCaptureChanged (TControl)
 | Loaded (TComponent)
pt | Loaded (TControl)
pt | Loaded (TWinControl)
pt | Loaded (TScrollingWinControl)
pt | LoadedAll (TControl)
 | Loading (TComponent)
 | LockRealizeBounds (TWinControl)
pt | MainWndProc (TWinControl)
 | ManualDock (TControl)
 | ManualFloat (TControl)
 | MethodAddress (TObject)
 | MethodName (TObject)
pt | MouseDown (TControl)
pt | MouseEnter (TControl)
pt | MouseLeave (TControl)
pt | MouseMove (TControl)
pt | MouseUp (TControl)
 | newinstance (TObject)
 | NewInstance (TLCLComponent)
 | Notification (TComponent)
pt | Notification (TControl)
 | NotifyControls (TWinControl)
pt | Paint (TCustomControl)
pt | PaintControls (TWinControl)
pt | PaintHandler (TWinControl)
 | PaintTo (TWinControl)
pt | PaintWindow (TWinControl)
pt | PaintWindow (TCustomControl)
 | PaletteCreated (TComponent)
 | ParentDestroyingHandle (TControl)
pt | ParentFontChanged (TControl)
pt | ParentFormHandleInitialized (TControl)
pt | ParentFormHandleInitialized (TWinControl)
 | ParentHandlesAllocated (TControl)
 | ParentHandlesAllocated (TWinControl)
 | ParentToClient (TControl)
 | Perform (TControl)
 | PerformTab (TWinControl)
pt | PositionDockRect (TControl)
pt | QuadClick (TControl)
 | QueryInterface (TComponent)
 | ReadLeft (TComponent)
 | ReadState (TComponent)
pt | ReadState (TControl)
 | ReadTop (TComponent)
pt | RealGetText (TControl)
pt | RealGetText (TWinControl)
 | ReAlign (TWinControl)
pt | RealizeBounds (TWinControl)
pt | RealizeBoundsRecursive (TWinControl)
pt | RealSetText (TControl)
pt | RealSetText (TWinControl)
 | ReferenceInterface (TComponent)
 | Refresh (TControl)
pt | ReloadDockedControl (TWinControl)
 | Remove (TComponent)
 | RemoveAllHandlersOfObject (TLCLComponent)
 | RemoveAllHandlersOfObject (TControl)
 | RemoveComponent (TComponent)
 | RemoveControl (TWinControl)
pt | RemoveFocus (TWinControl)
 | RemoveFreeNotification (TComponent)
pt | RemoveHandler (TControl)
 | RemoveHandlerOnBeforeDestruction (TControl)
 | RemoveHandlerOnChangeBounds (TControl)
 | RemoveHandlerOnEnableChanging (TControl)
 | RemoveHandlerOnKeyDown (TControl)
 | RemoveHandlerOnMouseWheel (TControl)
 | RemoveHandlerOnResize (TControl)
 | RemoveHandlerOnVisibleChanged (TControl)
 | RemoveHandlerOnVisibleChanging (TControl)
 | RemoveNotification (TComponent)
 | Repaint (TControl)
 | Repaint (TWinControl)
 | ReplaceDockedControl (TControl)
pt | RequestAlign (TControl)
pt | Resize (TControl)
pt | Resizing (TScrollingWinControl)
 | SafeCallException (TObject)
 | SafeCallException (TComponent)
 | Scale96ToFont (TControl)
 | Scale96ToForm (TControl)
 | Scale96ToScreen (TControl)
 | ScaleBy (TWinControl)
pt | ScaleConstraints (TControl)
pt | ScaleControls (TWinControl)
 | ScaleDesignToForm (TControl)
 | ScaleFontsPPI (TControl)
 | ScaleFontTo96 (TControl)
 | ScaleFontToScreen (TControl)
 | ScaleFormTo96 (TControl)
 | ScaleFormToDesign (TControl)
 | ScaleScreenTo96 (TControl)
 | ScaleScreenToFont (TControl)
 | ScreenToClient (TControl)
 | ScreenToClient (TScrollingWinControl)
 | ScreenToControl (TControl)
 | ScrollBy (TWinControl)
 | ScrollBy (TScrollingWinControl)
 | ScrollBy_WS (TWinControl)
 | ScrollInView (TScrollingWinControl)
pt | SelectFirst (TWinControl)
 | SelectNext (TWinControl)
pt | SendDialogChar (TWinControl)
pt | SendMoveSizeMessages (TControl)
pt | SendMoveSizeMessages (TWinControl)
 | SendToBack (TControl)
pt | SetAction (TControl)
pt | SetAlign (TControl)
 | SetAncestor (TComponent)
pt | SetAnchors (TControl)
pt | SetAutoScroll (TScrollingWinControl)
pt | SetAutoSize (TControl)
pt | SetAutoSize (TScrollingWinControl)
pt | SetBiDiMode (TControl)
pt | SetBorderStyle (TWinControl)
 | SetBounds (TControl)
 | SetBounds (TWinControl)
 | SetBoundsKeepBase (TControl)
 | SetChildOrder (TComponent)
pt | SetChildZPosition (TWinControl)
pt | SetColor (TControl)
pt | SetColor (TWinControl)
pt | SetColor (TCustomControl)
 | SetComponentIndex (TComponent)
 | SetControlIndex (TWinControl)
pt | SetCursor (TControl)
 | SetDesigning (TComponent)
 | SetDesignInstance (TComponent)
pt | SetDockManager (TWinControl)
pt | SetDragMode (TControl)
pt | SetEnabled (TControl)
 | SetFocus (TWinControl)
pt | SetHint (TControl)
 | SetInitialBounds (TControl)
 | SetInline (TComponent)
 | SetName (TComponent)
pt | SetName (TControl)
pt | SetParent (TControl)
pt | SetParentBackground (TWinControl)
pt | SetParentBiDiMode (TControl)
 | SetParentComponent (TComponent)
pt | SetParentComponent (TControl)
 | SetReference (TComponent)
 | SetShape (TWinControl)
 | SetSubComponent (TComponent)
 | SetTempCursor (TControl)
 | SetTempCursor (TWinControl)
 | SetTextBuf (TControl)
pt | SetVisible (TControl)
pt | SetZOrder (TControl)
 | ShouldAutoAdjust (TControl)
 | Show (TControl)
pt | ShowControl (TWinControl)
 | ShowHelp (TControl)
 | StringMessageTable (TObject)
pt | TextChanged (TControl)
 | ToString (TObject)
pt | TripleClick (TControl)
 | UnitName (TObject)
 | UnlockRealizeBounds (TWinControl)
 | Update (TControl)
 | Update (TWinControl)
 | UpdateAction (TComponent)
pt | UpdateAnchorRules (TControl)
 | UpdateBaseBounds (TControl)
pt | UpdateControlState (TWinControl)
 | Updated (TComponent)
 | UpdateDockCaption (TWinControl)
pt | UpdateMouseCursor (TControl)
 | UpdateRegistry (TComponent)
 | UpdateRolesForForm (TControl)
 | UpdateScrollbars (TScrollingWinControl)
pt | UpdateShowing (TWinControl)
 | Updating (TComponent)
 | UseRightToLeftAlignment (TControl)
 | UseRightToLeftReading (TControl)
 | UseRightToLeftScrollBar (TControl)
pt | UTF8KeyPress (TWinControl)
 | ValidateContainer (TComponent)
 | ValidateInsert (TComponent)
 | ValidateRename (TComponent)
pt | VisibleChanged (TControl)
pt | VisibleChanging (TControl)
pt | WidthIsAnchored (TControl)
pt | WMCancelMode (TControl)
pt | WMChar (TWinControl)
pt | WMContextMenu (TControl)
pt | WMContextMenu (TWinControl)
pt | WMDestroy (TWinControl)
pt | WMEnter (TWinControl)
pt | WMEraseBkgnd (TWinControl)
pt | WMExit (TWinControl)
pt | WMHScroll (TScrollingWinControl)
pt | WMKeyDown (TWinControl)
pt | WMKeyUp (TWinControl)
pt | WMKillFocus (TWinControl)
pt | WMLButtonDBLCLK (TControl)
pt | WMLButtonDown (TControl)
pt | WMLButtonQuadCLK (TControl)
pt | WMLButtonTripleCLK (TControl)
pt | WMLButtonUp (TControl)
pt | WMMButtonDBLCLK (TControl)
pt | WMMButtonDown (TControl)
pt | WMMButtonQuadCLK (TControl)
pt | WMMButtonTripleCLK (TControl)
pt | WMMButtonUp (TControl)
pt | WMMouseHWheel (TControl)
pt | WMMouseMove (TControl)
pt | WMMouseWheel (TControl)
pt | WMMove (TControl)
pt | WMMove (TWinControl)
pt | WMNotify (TWinControl)
pt | WMPaint (TWinControl)
pt | WMPaint (TCustomControl)
pt | WMRButtonDBLCLK (TControl)
pt | WMRButtonDown (TControl)
pt | WMRButtonQuadCLK (TControl)
pt | WMRButtonTripleCLK (TControl)
pt | WMRButtonUp (TControl)
pt | WMSetFocus (TWinControl)
pt | WMShowWindow (TWinControl)
pt | WMSize (TControl)
pt | WMSize (TWinControl)
pt | WMSize (TScrollingWinControl)
pt | WMSysChar (TWinControl)
pt | WMSysKeyDown (TWinControl)
pt | WMSysKeyUp (TWinControl)
pt | WMVScroll (TScrollingWinControl)
pt | WMWindowPosChanged (TControl)
pt | WMWindowPosChanged (TWinControl)
pt | WMXButtonDBLCLK (TControl)
pt | WMXButtonDown (TControl)
pt | WMXButtonQuadCLK (TControl)
pt | WMXButtonTripleCLK (TControl)
pt | WMXButtonUp (TControl)
pt | WndProc (TControl)
pt | WndProc (TWinControl)
 | WriteLayoutDebugReport (TControl)
 | WriteLayoutDebugReport (TWinControl)
 | WriteLeft (TComponent)
 | WriteState (TComponent)
 | WriteTop (TComponent)
pt | WSRegisterClass (TLCLComponent)
pt | WSRegisterClass (TControl)
pt | WSRegisterClass (TWinControl)
pt | WSRegisterClass (TCustomControl)
pt | WSRegisterClass (TScrollingWinControl)
pt | WSSetText (TWinControl)
 | _AddRef (TComponent)
 | _Release (TComponent)


TScrollingWinControl
TCustomControl
 | OnPaint
TWinControl
pt | OnGetSiteInfo
pt | OnGetDockCaption
 | OnAlignInsertBefore
 | OnAlignPosition
 | OnDockDrop
 | OnDockOver
 | OnEnter
 | OnExit
 | OnKeyDown
 | OnKeyPress
 | OnKeyUp
 | OnUnDock
 | OnUTF8KeyPress
TControl
pt | OnConstrainedResize
pt | OnContextPopup
pt | OnDblClick
pt | OnTripleClick
pt | OnQuadClick
pt | OnDragDrop
pt | OnDragOver
pt | OnEndDock
pt | OnEndDrag
pt | OnMouseDown
pt | OnMouseMove
pt | OnMouseUp
pt | OnMouseEnter
pt | OnMouseLeave
pt | OnMouseWheel
pt | OnMouseWheelDown
pt | OnMouseWheelUp
pt | OnMouseWheelHorz
pt | OnMouseWheelLeft
pt | OnMouseWheelRight
pt | OnStartDock
pt | OnStartDrag
pt | OnEditingDone
 | OnChangeBounds
 | OnClick
 | OnResize
 | OnShowHint
TLCLComponent
TComponent
TPersistent
TObject


TScrollingWinControl.AutoScroll

Allows to show ScrollBars only if needed (when True).

Declaration

Source position: forms.pp line 180

protected property TScrollingWinControl.AutoScroll : Boolean
  read FAutoScroll
  write SetAutoScroll
  default False;


TScrollingWinControl.AutoScrollEnabled

Declaration

Source position: forms.pp line 166

protected function TScrollingWinControl.AutoScrollEnabled: Boolean; virtual;


TScrollingWinControl.CalculateAutoRanges

Declaration

Source position: forms.pp line 167

protected procedure TScrollingWinControl.CalculateAutoRanges; virtual;


TScrollingWinControl.ClientToScreen

Declaration

Source position: forms.pp line 186

public function TScrollingWinControl.ClientToScreen(

  const APoint: TPoint

):TPoint; override;


TScrollingWinControl.ComputeScrollbars

Updates Page, AutoRange, IsScrollBarVisible, returns True on changes.

Declaration

Source position: forms.pp line 176

protected procedure TScrollingWinControl.ComputeScrollbars; virtual;


TScrollingWinControl.Destroy

Declaration

Source position: forms.pp line 184

public destructor TScrollingWinControl.Destroy; override;


TScrollingWinControl.GetClientScrollOffset

The virtual origin of the physical client area.

Declaration

Source position: forms.pp line 169

protected function TScrollingWinControl.GetClientScrollOffset: TPoint; override;

Function result

The ScrollBar Positions, or (0,0) if no scrollbars in use.

See also

TControl.GetClientScrollOffset

Returns the offset of the scrolled client area (in a scrolling TWinControl).


TScrollingWinControl.GetPreferredSizeClientFrame

Declaration

Source position: forms.pp line 172

protected procedure TScrollingWinControl.GetPreferredSizeClientFrame(

  out aWidth: Integer;

  out aHeight: Integer

); override;


TScrollingWinControl.HorzScrollBar

The horizontal scroll bar (LCL control).

Declaration

Source position: forms.pp line 192

published property TScrollingWinControl.HorzScrollBar : TControlScrollBar
  read FHorzScrollBar
  write SetHorzScrollBar;


TScrollingWinControl.Loaded

Also initializes the scroll bars.

Declaration

Source position: forms.pp line 178

protected procedure TScrollingWinControl.Loaded; override;

See also

TWinControl.Loaded

Called when the control has been loaded from a resource, transfers the loaded property values to the widget.


TScrollingWinControl.Resizing

Declaration

Source position: forms.pp line 179

protected procedure TScrollingWinControl.Resizing(

  State: TWindowState

); virtual;


TScrollingWinControl.ScreenToClient

Declaration

Source position: forms.pp line 185

public function TScrollingWinControl.ScreenToClient(

  const APoint: TPoint

):TPoint; override;


TScrollingWinControl.ScrollBy

Tells the widget to scroll the client area relative.

Declaration

Source position: forms.pp line 189

public procedure TScrollingWinControl.ScrollBy(

  DeltaX: Integer;

  DeltaY: Integer

); override;

Description

The still visible part doesn't deserve a repaint (optimization).


TScrollingWinControl.ScrollInView

Declaration

Source position: forms.pp line 190

public procedure TScrollingWinControl.ScrollInView(

  AControl: TControl

);


TScrollingWinControl.UpdateScrollbars

Initializes or updates the ScrollBars.

Declaration

Source position: forms.pp line 187

public procedure TScrollingWinControl.UpdateScrollbars;

Description

Ignores recursive calls.


TScrollingWinControl.VertScrollBar

The vertical scroll bar (LCL control).

Declaration

Source position: forms.pp line 193

published property TScrollingWinControl.VertScrollBar : TControlScrollBar
  read FVertScrollBar
  write SetVertScrollBar;


TScrollingWinControl.WMHScroll

Delegates scroll messages to the horizontal ScrollBar.

Declaration

Source position: forms.pp line 174

protected procedure TScrollingWinControl.WMHScroll(

  var Message: TLMHScroll

); message;


TScrollingWinControl.WMSize

Declaration

Source position: forms.pp line 173

protected procedure TScrollingWinControl.WMSize(

  var Message: TLMSize

); message;


TScrollingWinControl.WMVScroll

Delegates scroll messages to the vertical ScrollBar.

Declaration

Source position: forms.pp line 175

protected procedure TScrollingWinControl.WMVScroll(

  var Message: TLMVScroll

); message;


EGraphicException

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

EGraphicException - exception handler for error in graphics

Declaration

Source position: graphics.pp line 937

type EGraphicException = class(Exception)

Inheritance

EGraphicException

EGraphicException - exception handler for error in graphics
|

Exception
|

TObject


EGraphicException
Exception
 | HelpContext
 | Message
TObject


EGraphicException
Exception
 | Create
 | CreateFmt
 | CreateRes
 | CreateResFmt
 | CreateHelp
 | CreateFmtHelp
 | CreateResHelp
 | CreateResFmtHelp
 | ToString
TObject
 | Create
 | Destroy
 | newinstance
 | FreeInstance
 | SafeCallException
 | DefaultHandler
 | Free
 | InitInstance
 | CleanupInstance
 | ClassType
 | ClassInfo
 | ClassName
 | ClassNameIs
 | ClassParent
 | InstanceSize
 | InheritsFrom
 | StringMessageTable
 | MethodAddress
 | MethodName
 | FieldAddress
 | AfterConstruction
 | BeforeDestruction
 | DefaultHandlerStr
 | Dispatch
 | DispatchStr
 | GetInterface
 | GetInterfaceByStr
 | GetInterfaceWeak
 | GetInterfaceEntry
 | GetInterfaceEntryByStr
 | GetInterfaceTable
 | UnitName
 | Equals
 | GetHashCode
 | ToString


EGraphicException

Exception

TObject


EInvalidGraphic

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

EInvalidGraphic - exception handler for an invalid graphic

Declaration

Source position: graphics.pp line 938

type EInvalidGraphic = class(EGraphicException)

Inheritance

EInvalidGraphic | EInvalidGraphic - exception handler for an invalid graphic
|
EGraphicException | EGraphicException - exception handler for error in graphics
|
Exception
|
TObject


EInvalidGraphic
EGraphicException
Exception
 | HelpContext
 | Message
TObject


EInvalidGraphic
EGraphicException
Exception
 | Create
 | CreateFmt
 | CreateRes
 | CreateResFmt
 | CreateHelp
 | CreateFmtHelp
 | CreateResHelp
 | CreateResFmtHelp
 | ToString
TObject
 | Create
 | Destroy
 | newinstance
 | FreeInstance
 | SafeCallException
 | DefaultHandler
 | Free
 | InitInstance
 | CleanupInstance
 | ClassType
 | ClassInfo
 | ClassName
 | ClassNameIs
 | ClassParent
 | InstanceSize
 | InheritsFrom
 | StringMessageTable
 | MethodAddress
 | MethodName
 | FieldAddress
 | AfterConstruction
 | BeforeDestruction
 | DefaultHandlerStr
 | Dispatch
 | DispatchStr
 | GetInterface
 | GetInterfaceByStr
 | GetInterfaceWeak
 | GetInterfaceEntry
 | GetInterfaceEntryByStr
 | GetInterfaceTable
 | UnitName
 | Equals
 | GetHashCode
 | ToString


EInvalidGraphic

EGraphicException

Exception

TObject


EInvalidGraphicOperation

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

EInvalidGraphicOperation - exception handler for invalid graphic operation

Declaration

Source position: graphics.pp line 939

type EInvalidGraphicOperation = class(EGraphicException)

Inheritance

EInvalidGraphicOperation | EInvalidGraphicOperation - exception handler for invalid graphic operation
|
EGraphicException | EGraphicException - exception handler for error in graphics
|
Exception
|
TObject


EInvalidGraphicOperation
EGraphicException
Exception
 | HelpContext
 | Message
TObject


EInvalidGraphicOperation
EGraphicException
Exception
 | Create
 | CreateFmt
 | CreateRes
 | CreateResFmt
 | CreateHelp
 | CreateFmtHelp
 | CreateResHelp
 | CreateResFmtHelp
 | ToString
TObject
 | Create
 | Destroy
 | newinstance
 | FreeInstance
 | SafeCallException
 | DefaultHandler
 | Free
 | InitInstance
 | CleanupInstance
 | ClassType
 | ClassInfo
 | ClassName
 | ClassNameIs
 | ClassParent
 | InstanceSize
 | InheritsFrom
 | StringMessageTable
 | MethodAddress
 | MethodName
 | FieldAddress
 | AfterConstruction
 | BeforeDestruction
 | DefaultHandlerStr
 | Dispatch
 | DispatchStr
 | GetInterface
 | GetInterfaceByStr
 | GetInterfaceWeak
 | GetInterfaceEntry
 | GetInterfaceEntryByStr
 | GetInterfaceTable
 | UnitName
 | Equals
 | GetHashCode
 | ToString


EInvalidGraphicOperation

EGraphicException

Exception

TObject


TBitmap

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

TBitmap is the data of an image, and can be loaded from a file, stream or resource in .bmp or .xpm format

Declaration

Source position: graphics.pp line 1437

type TBitmap = class(TFPImageBitmap)
protected
procedure InitializeReader(); override; | InitializeReader - starts up the specified reader to read th especified Image
class function GetReaderClass; override; | GetReaderClass - returns the class of reader for acquiring data from a stream
class function GetWriterClass; override; | GetWriterClass - returns the class of writer for storing data to a stream
class function GetSharedImageClass; override; | GetSharedImageClass - returns the class of Shared Raster Image
public
class function GetFileExtensions; override; | GetFileExtensions - returns a list of the file extensions available
function GetResourceType; override; | Finds the type of resource for the bitmap
procedure LoadFromStream(); override; | LoadFromStream - loads data for the image from a specified data stream, optionally supplying its size
end;

Inheritance

TBitmap | TBitmap is the data of an image, and can be loaded from a file, stream or resource in .bmp or .xpm format
|
TFPImageBitmap | A class of Bitmap using the FPImage reader and writer (ie customised for FreePascal)
|
TCustomBitmap | TCustomBitMap - the base class for TBitmap
|
TRasterImage | TRasterImage - base class for a number of graphic controls, including TCustomBitmap and TCustomIcon, which use a raster of dots to display graphic information
|
TGraphic | TGraphic - Base class for dealing with Graphic images
|
TPersistent,IFPObserved
|
TObject

Description

TBitmap is the data of an image. The image can be loaded from a file, stream or resource in .bmp (windows bitmap format) or .xpm (XPixMap format)

The loading routine automatically recognizes the format, so it is also used to load the images from Delphi form streams (e.g. .dfm files) or FreePascal/Lazarus form streams (.lfm)

When the handle is created, it is up to the interface (gtk, win32, ...) to convert it automatically to the best internal format. That is why the Handle is interface dependent.

To access the raw data, see TLazIntfImage

See also

#lcl.IntfGraphics.TLazIntfImage

Represents a graphical image.


TBitmap
TFPImageBitmap
TCustomBitmap
 |  | Handle
 |  | HandleType
 |  | Monochrome
TRasterImage
 | ro | Canvas
 |  | BitmapHandle
 |  | Masked
 |  | MaskHandle
 |  | PixelFormat
 | ro | RawImage
 | ro | ScanLine
 |  | TransparentColor
 |  | TransparentMode
TGraphic
 | ro | Empty
 |  | Height
 |  | Modified
 | ro | MimeType
 |  | Palette
 |  | PaletteModified
 |  | Transparent
 |  | Width
TPersistent
TObject


ro | Canvas (TRasterImage)
ro | Empty (TGraphic)
 | Handle (TCustomBitmap)
 | HandleType (TCustomBitmap)
 | Height (TGraphic)
 | Masked (TRasterImage)
 | MaskHandle (TRasterImage)
ro | MimeType (TGraphic)
 | Modified (TGraphic)
 | Monochrome (TCustomBitmap)
 | Palette (TGraphic)
 | PaletteModified (TGraphic)
 | PixelFormat (TRasterImage)
ro | RawImage (TRasterImage)
ro | ScanLine (TRasterImage)
 | Transparent (TGraphic)
 | TransparentColor (TRasterImage)
 | TransparentMode (TRasterImage)
 | Width (TGraphic)


TBitmap
pt | InitializeReader
pt | GetReaderClass
pt | GetWriterClass
pt | GetSharedImageClass
 | GetFileExtensions
 | GetResourceType
 | LoadFromStream
TFPImageBitmap
pt | GetMimeType
pt | GetReaderClass
pt | GetWriterClass
pt | InitializeReader
pt | InitializeWriter
pt | FinalizeReader
pt | FinalizeWriter
pt | ReadStream
pt | WriteStream
 | GetFileExtensions
 | IsStreamFormatSupported
 | IsFileExtensionSupported
 | LazarusResourceTypeValid
TCustomBitmap
pt | MaskHandleNeeded
pt | PaletteNeeded
pt | CanShareImage
pt | Changed
pt | CreateDefaultBitmapHandle
pt | FreeMaskHandle
pt | GetBitmapHandle
pt | GetMaskHandle
pt | GetPalette
pt | GetPixelFormat
pt | GetRawImagePtr
pt | GetRawImageDescriptionPtr
pt | HandleNeeded
pt | InternalReleaseBitmapHandle
pt | InternalReleaseMaskHandle
pt | InternalReleasePalette
pt | RawimageNeeded
pt | SetHandle
pt | SetPixelFormat
pt | UnshareImage
pt | UpdateHandles
 | Create
 | Destroy
 | Assign
 | Clear
 | FreeImage
 | LazarusResourceTypeValid
 | BitmapHandleAllocated
 | MaskHandleAllocated
 | PaletteAllocated
 | ReleaseHandle
 | SetHandles
 | SetSize
TRasterImage
pt | CanShareImage
pt | Changed
pt | CreateDefaultBitmapHandle
pt | Draw
pt | GetEmpty
pt | GetHandle
pt | GetBitmapHandle
pt | GetMasked
pt | GetMaskHandle
pt | GetMimeType
pt | GetPixelFormat
pt | GetRawImagePtr
pt | GetRawImageDescriptionPtr
pt | GetTransparent
pt | GetSharedImageClass
pt | GetHeight
pt | GetWidth
pt | BitmapHandleNeeded
pt | HandleNeeded
pt | MaskHandleNeeded
pt | PaletteNeeded
pt | InternalReleaseBitmapHandle
pt | InternalReleaseMaskHandle
pt | InternalReleasePalette
pt | SetBitmapHandle
pt | SetMasked
pt | SetMaskHandle
pt | SetTransparent
pt | UnshareImage
pt | UpdateHandles
pt | SaveStreamNeeded
pt | FreeSaveStream
pt | ReadData
pt | ReadStream
pt | SetSize
pt | SetHandle
pt | SetHeight
pt | SetWidth
pt | SetTransparentMode
pt | SetPixelFormat
pt | WriteData
pt | WriteStream
pt | RequestTransparentColor
 | Create
 | Destroy
 | Assign
 | Clear
 | BeginUpdate
 | EndUpdate
 | FreeImage
 | BitmapHandleAllocated
 | MaskHandleAllocated
 | PaletteAllocated
 | LoadFromBitmapHandles
 | LoadFromDevice
 | LoadFromStream
 | LoadFromMimeStream
 | LoadFromRawImage
 | LoadFromIntfImage
 | SaveToStream
 | GetSupportedSourceMimeTypes
 | GetSize
 | Mask
 | SetHandles
 | ReleaseBitmapHandle
 | ReleaseMaskHandle
 | ReleasePalette
 | CreateIntfImage
 | HandleAllocated
TGraphic
pt | Changed
pt | Equals
pt | DefineProperties
pt | Draw
pt | GetEmpty
pt | GetHeight
pt | GetMimeType
pt | GetPalette
pt | GetTransparent
pt | GetWidth
pt | Progress
pt | ReadData
pt | SetHeight
pt | SetPalette
pt | SetTransparent
pt | SetWidth
pt | SetModified
pt | WriteData
 | Assign
 | Create
 | Clear
 | LazarusResourceTypeValid
 | LoadFromFile
 | LoadFromStream
 | LoadFromMimeStream
 | LoadFromLazarusResource
 | LoadFromResourceName
 | LoadFromResourceID
 | LoadFromClipboardFormat
 | LoadFromClipboardFormatID
 | SaveToFile
 | SaveToStream
 | SaveToClipboardFormat
 | SaveToClipboardFormatID
 | GetSupportedSourceMimeTypes
 | GetResourceType
 | GetFileExtensions
 | IsStreamFormatSupported
TPersistent
 | AssignError
 | AssignTo
 | DefineProperties
 | GetOwner
 | Destroy
 | Assign
 | FPOAttachObserver
 | FPODetachObserver
 | FPONotifyObservers
 | GetNamePath
TObject
 | Create
 | Destroy
 | newinstance
 | FreeInstance
 | SafeCallException
 | DefaultHandler
 | Free
 | InitInstance
 | CleanupInstance
 | ClassType
 | ClassInfo
 | ClassName
 | ClassNameIs
 | ClassParent
 | InstanceSize
 | InheritsFrom
 | StringMessageTable
 | MethodAddress
 | MethodName
 | FieldAddress
 | AfterConstruction
 | BeforeDestruction
 | DefaultHandlerStr
 | Dispatch
 | DispatchStr
 | GetInterface
 | GetInterfaceByStr
 | GetInterfaceWeak
 | GetInterfaceEntry
 | GetInterfaceEntryByStr
 | GetInterfaceTable
 | UnitName
 | Equals
 | GetHashCode
 | ToString


 | AfterConstruction (TObject)
 | Assign (TPersistent)
 | Assign (TGraphic)
 | Assign (TRasterImage)
 | Assign (TCustomBitmap)
 | AssignError (TPersistent)
 | AssignTo (TPersistent)
 | BeforeDestruction (TObject)
 | BeginUpdate (TRasterImage)
 | BitmapHandleAllocated (TRasterImage)
 | BitmapHandleAllocated (TCustomBitmap)
pt | BitmapHandleNeeded (TRasterImage)
pt | CanShareImage (TRasterImage)
pt | CanShareImage (TCustomBitmap)
pt | Changed (TGraphic)
pt | Changed (TRasterImage)
pt | Changed (TCustomBitmap)
 | ClassInfo (TObject)
 | ClassName (TObject)
 | ClassNameIs (TObject)
 | ClassParent (TObject)
 | ClassType (TObject)
 | CleanupInstance (TObject)
 | Clear (TGraphic)
 | Clear (TRasterImage)
 | Clear (TCustomBitmap)
 | Create (TObject)
 | Create (TGraphic)
 | Create (TRasterImage)
 | Create (TCustomBitmap)
pt | CreateDefaultBitmapHandle (TRasterImage)
pt | CreateDefaultBitmapHandle (TCustomBitmap)
 | CreateIntfImage (TRasterImage)
 | DefaultHandler (TObject)
 | DefaultHandlerStr (TObject)
 | DefineProperties (TPersistent)
pt | DefineProperties (TGraphic)
 | Destroy (TObject)
 | Destroy (TPersistent)
 | Destroy (TRasterImage)
 | Destroy (TCustomBitmap)
 | Dispatch (TObject)
 | DispatchStr (TObject)
pt | Draw (TGraphic)
pt | Draw (TRasterImage)
 | EndUpdate (TRasterImage)
 | Equals (TObject)
pt | Equals (TGraphic)
 | FieldAddress (TObject)
pt | FinalizeReader (TFPImageBitmap)
pt | FinalizeWriter (TFPImageBitmap)
 | FPOAttachObserver (TPersistent)
 | FPODetachObserver (TPersistent)
 | FPONotifyObservers (TPersistent)
 | Free (TObject)
 | FreeImage (TRasterImage)
 | FreeImage (TCustomBitmap)
 | FreeInstance (TObject)
pt | FreeMaskHandle (TCustomBitmap)
pt | FreeSaveStream (TRasterImage)
pt | GetBitmapHandle (TRasterImage)
pt | GetBitmapHandle (TCustomBitmap)
pt | GetEmpty (TGraphic)
pt | GetEmpty (TRasterImage)
 | GetFileExtensions (TGraphic)
 | GetFileExtensions (TFPImageBitmap)
 | GetFileExtensions (TBitmap)
pt | GetHandle (TRasterImage)
 | GetHashCode (TObject)
pt | GetHeight (TGraphic)
pt | GetHeight (TRasterImage)
 | GetInterface (TObject)
 | GetInterfaceByStr (TObject)
 | GetInterfaceEntry (TObject)
 | GetInterfaceEntryByStr (TObject)
 | GetInterfaceTable (TObject)
 | GetInterfaceWeak (TObject)
pt | GetMasked (TRasterImage)
pt | GetMaskHandle (TRasterImage)
pt | GetMaskHandle (TCustomBitmap)
pt | GetMimeType (TGraphic)
pt | GetMimeType (TRasterImage)
pt | GetMimeType (TFPImageBitmap)
 | GetNamePath (TPersistent)
 | GetOwner (TPersistent)
pt | GetPalette (TGraphic)
pt | GetPalette (TCustomBitmap)
pt | GetPixelFormat (TRasterImage)
pt | GetPixelFormat (TCustomBitmap)
pt | GetRawImageDescriptionPtr (TRasterImage)
pt | GetRawImageDescriptionPtr (TCustomBitmap)
pt | GetRawImagePtr (TRasterImage)
pt | GetRawImagePtr (TCustomBitmap)
pt | GetReaderClass (TFPImageBitmap)
pt | GetReaderClass (TBitmap)
 | GetResourceType (TGraphic)
 | GetResourceType (TBitmap)
pt | GetSharedImageClass (TRasterImage)
pt | GetSharedImageClass (TBitmap)
 | GetSize (TRasterImage)
 | GetSupportedSourceMimeTypes (TGraphic)
 | GetSupportedSourceMimeTypes (TRasterImage)
pt | GetTransparent (TGraphic)
pt | GetTransparent (TRasterImage)
pt | GetWidth (TGraphic)
pt | GetWidth (TRasterImage)
pt | GetWriterClass (TFPImageBitmap)
pt | GetWriterClass (TBitmap)
 | HandleAllocated (TRasterImage)
pt | HandleNeeded (TRasterImage)
pt | HandleNeeded (TCustomBitmap)
 | InheritsFrom (TObject)
pt | InitializeReader (TFPImageBitmap)
pt | InitializeReader (TBitmap)
pt | InitializeWriter (TFPImageBitmap)
 | InitInstance (TObject)
 | InstanceSize (TObject)
pt | InternalReleaseBitmapHandle (TRasterImage)
pt | InternalReleaseBitmapHandle (TCustomBitmap)
pt | InternalReleaseMaskHandle (TRasterImage)
pt | InternalReleaseMaskHandle (TCustomBitmap)
pt | InternalReleasePalette (TRasterImage)
pt | InternalReleasePalette (TCustomBitmap)
 | IsFileExtensionSupported (TFPImageBitmap)
 | IsStreamFormatSupported (TGraphic)
 | IsStreamFormatSupported (TFPImageBitmap)
 | LazarusResourceTypeValid (TGraphic)
 | LazarusResourceTypeValid (TCustomBitmap)
 | LazarusResourceTypeValid (TFPImageBitmap)
 | LoadFromBitmapHandles (TRasterImage)
 | LoadFromClipboardFormat (TGraphic)
 | LoadFromClipboardFormatID (TGraphic)
 | LoadFromDevice (TRasterImage)
 | LoadFromFile (TGraphic)
 | LoadFromIntfImage (TRasterImage)
 | LoadFromLazarusResource (TGraphic)
 | LoadFromMimeStream (TGraphic)
 | LoadFromMimeStream (TRasterImage)
 | LoadFromRawImage (TRasterImage)
 | LoadFromResourceID (TGraphic)
 | LoadFromResourceName (TGraphic)
 | LoadFromStream (TGraphic)
 | LoadFromStream (TRasterImage)
 | LoadFromStream (TBitmap)
 | Mask (TRasterImage)
 | MaskHandleAllocated (TRasterImage)
 | MaskHandleAllocated (TCustomBitmap)
pt | MaskHandleNeeded (TRasterImage)
pt | MaskHandleNeeded (TCustomBitmap)
 | MethodAddress (TObject)
 | MethodName (TObject)
 | newinstance (TObject)
 | PaletteAllocated (TRasterImage)
 | PaletteAllocated (TCustomBitmap)
pt | PaletteNeeded (TRasterImage)
pt | PaletteNeeded (TCustomBitmap)
pt | Progress (TGraphic)
pt | RawimageNeeded (TCustomBitmap)
pt | ReadData (TGraphic)
pt | ReadData (TRasterImage)
pt | ReadStream (TRasterImage)
pt | ReadStream (TFPImageBitmap)
 | ReleaseBitmapHandle (TRasterImage)
 | ReleaseHandle (TCustomBitmap)
 | ReleaseMaskHandle (TRasterImage)
 | ReleasePalette (TRasterImage)
pt | RequestTransparentColor (TRasterImage)
 | SafeCallException (TObject)
pt | SaveStreamNeeded (TRasterImage)
 | SaveToClipboardFormat (TGraphic)
 | SaveToClipboardFormatID (TGraphic)
 | SaveToFile (TGraphic)
 | SaveToStream (TGraphic)
 | SaveToStream (TRasterImage)
pt | SetBitmapHandle (TRasterImage)
pt | SetHandle (TRasterImage)
pt | SetHandle (TCustomBitmap)
 | SetHandles (TRasterImage)
 | SetHandles (TCustomBitmap)
pt | SetHeight (TGraphic)
pt | SetHeight (TRasterImage)
pt | SetMasked (TRasterImage)
pt | SetMaskHandle (TRasterImage)
pt | SetModified (TGraphic)
pt | SetPalette (TGraphic)
pt | SetPixelFormat (TRasterImage)
pt | SetPixelFormat (TCustomBitmap)
pt | SetSize (TRasterImage)
 | SetSize (TCustomBitmap)
pt | SetTransparent (TGraphic)
pt | SetTransparent (TRasterImage)
pt | SetTransparentMode (TRasterImage)
pt | SetWidth (TGraphic)
pt | SetWidth (TRasterImage)
 | StringMessageTable (TObject)
 | ToString (TObject)
 | UnitName (TObject)
pt | UnshareImage (TRasterImage)
pt | UnshareImage (TCustomBitmap)
pt | UpdateHandles (TRasterImage)
pt | UpdateHandles (TCustomBitmap)
pt | WriteData (TGraphic)
pt | WriteData (TRasterImage)
pt | WriteStream (TRasterImage)
pt | WriteStream (TFPImageBitmap)


TBitmap
TFPImageBitmap
TCustomBitmap
TRasterImage
TGraphic
 | OnChange
 | OnProgress
TPersistent
TObject


TBitmap.GetResourceType

Finds the type of resource for the bitmap

Declaration

Source position: graphics.pp line 1445

public function TBitmap.GetResourceType: TResourceType; override;


TBitmapHandleType

Declaration

Source position: graphics.pp line 1178

type TBitmapHandleType = (

  bmDIB,

  bmDDB

);


TBrush

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

The Brush to be used to Paint on the current Canvas

Declaration

Source position: graphics.pp line 686

type TBrush = class(TFPCustomBrush)
protected
procedure DoAllocateResources; override; | DoAllocateResources - calls inherited method then calls GetReference
procedure DoDeAllocateResources; override; | DoDeAllocateResources - frees reference then calls inherited method
procedure DoCopyProps(); override; | DoCopyProps - if the Fromargument is another Brush, frees reference before calling inherited method, then sets the Changed property
procedure SetColor(); | SetColor - specify Colour for the Brush
procedure SetFPColor(); override; |
procedure SetBitmap(); | SetBitmap - specify the Bitmap for the Brush
procedure SetStyle(); override; |
public
procedure Assign(); override; | Assign - if Source is another TBrush, copies settings to itself, else performs inherited Assign
constructor Create; override; | Create - constructor for TBrush: perform inherited Create then initialise some local variables and SetStyle
destructor Destroy; override; | Destroy - destructor for TBrush: free reference then perform inherited Destroy
function EqualsBrush();
property Bitmap: TCustomBitmap; [rw] | The BitMap associated with the current Brush
property Handle: HBRUSH; [rw] deprecated ; | Operating System Handle for this Brush
property Reference: TWSBrushReference; [r] | A Reference made to the current Brush
published
property Color: TColor; [rw] | The Colour of the current Brush
property Style; | Style of the Brush
end;

Inheritance

TBrush

The Brush to be used to Paint on the current Canvas
|

TFPCustomBrush
?

TObject

Description

A Brush is typically used to fill an enclosed area on theCanvas with one particular colour or coloured pattern


TBrush
 |  | Bitmap
 |  | Handle
 | ro | Reference
pl |  | Color
pl | ro | Style


pl |  | Color (TBrush)
 |  | Handle (TBrush)
 | ro | Reference (TBrush)
pl | ro | Style (TBrush)


TBrush
pt | DoAllocateResources
pt | DoDeAllocateResources
pt | DoCopyProps
pt | SetColor
pt | SetFPColor
pt | SetBitmap
pt | SetStyle
 | Assign
 | Create
 | Destroy
 | EqualsBrush


pt | DoAllocateResources (TBrush)
pt | DoCopyProps (TBrush)
pt | DoDeAllocateResources (TBrush)
 | EqualsBrush (TBrush)
pt | SetBitmap (TBrush)
pt | SetColor (TBrush)
pt | SetFPColor (TBrush)
pt | SetStyle (TBrush)


TBrush


TBrush.Assign

Assign - if Source is another TBrush, copies settings to itself, else performs inherited Assign

Declaration

Source position: graphics.pp line 710

public procedure TBrush.Assign(

  Source: TPersistent

); override;

Arguments

Source

Source - another Brush

Description

Method: TBrush.Assign
Params: Source: Another brush
Returns: nothing
Copies the source brush to itself

See also

TPersistent.Assign


TBrush.Bitmap

The BitMap associated with the current Brush

Declaration

Source position: graphics.pp line 714

public property TBrush.Bitmap : TCustomBitmap
  read FBitmap
  write SetBitmap;

Description

Reads or writes a flag to determine the current BitMap


TBrush.Color

The Colour of the current Brush

Declaration

Source position: graphics.pp line 718

published property TBrush.Color : TColor
  read FColor
  write SetColor
  default clWhite;

Description

Reads or writes a flag to determine the Colour. Default is White


TBrush.Create

Create - constructor for TBrush: perform inherited Create then initialise some local variables and SetStyle

Declaration

Source position: graphics.pp line 711

public constructor TBrush.Create; override;

Description

Inherits most of its properties from ancestor Classes

See also

TObject.Create


TBrush.Destroy

Destroy - destructor for TBrush: free reference then perform inherited Destroy

Declaration

Source position: graphics.pp line 712

public destructor TBrush.Destroy; override;

Description

Inherits properties to remove Brush and frees Handle

See also

TPersistent.Destroy


TBrush.DoAllocateResources

DoAllocateResources - calls inherited method then calls GetReference

Declaration

Source position: graphics.pp line 701

protected procedure TBrush.DoAllocateResources; override;

See also

TFPCanvasHelper.DoAllocateResources


TBrush.DoCopyProps

DoCopyProps - if the Fromargument is another Brush, frees reference before calling inherited method, then sets the Changed property

Declaration

Source position: graphics.pp line 703

protected procedure TBrush.DoCopyProps(

  From: TFPCanvasHelper

); override;

See also

TFPCanvasHelper.DoCopyProps


TBrush.DoDeAllocateResources

DoDeAllocateResources - frees reference then calls inherited method

Declaration

Source position: graphics.pp line 702

protected procedure TBrush.DoDeAllocateResources; override;

See also

TFPCanvasHelper.DoDeAllocateResources


TBrush.EqualsBrush

Declaration

Source position: graphics.pp line 713

public function TBrush.EqualsBrush(

  ABrush: TBrush

):Boolean;


TBrush.Handle

[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] Reference for unit 'Graphics' (#lcl)

TBrush.Handle (deprecated)

Operating System Handle for this Brush

Declaration

Source position: graphics.pp line 715

public property TBrush.Handle : HBRUSH
  read GetHandle
  write SetHandle;

Description

Reads or writes flag to determine system Handle


TBrush.Reference

A Reference made to the current Brush

Declaration

Source position: graphics.pp line 716

public property TBrush.Reference : TWSBrushReference
  read GetReference;


TBrush.SetBitmap

SetBitmap - specify the Bitmap for the Brush

Declaration

Source position: graphics.pp line 706

protected procedure TBrush.SetBitmap(

  Value: TCustomBitmap

);


TBrush.SetColor

SetColor - specify Colour for the Brush

Declaration

Source position: graphics.pp line 704

protected procedure TBrush.SetColor(

  const NewColor: TColor;

  const NewFPColor: TFPColor

); virtual;

procedure TBrush.SetColor(

  Value: TColor

);


TBrush.Style

Style of the Brush

Declaration

Source position: graphics.pp line 719

published property TBrush.Style
  default bsSolid;

Description

Enumerated type - default Solid

See also

TBrushStyle

Style of Brush to be used


TBrushHandleCache

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

TBrushHandleCache - resource cache for Brush Handles

Declaration

Source position: graphics.pp line 679

type TBrushHandleCache = class(TBlockResourceCache)
protected
procedure RemoveItem(); override; | RemoveItem from CacheItem list
public
constructor Create; |
end;

Inheritance

TBrushHandleCache | TBrushHandleCache - resource cache for Brush Handles
|
TBlockResourceCache | TBlockResourceCache - a cache for Block resources
|
THandleResourceCache | THandleResourceCache - a Resource Cache for Handles
|
TResourceCache | TResourceCache - a cache (linked list) for storing Resources
|
TObject


TBrushHandleCache
TBlockResourceCache
 | ro | DataSize
THandleResourceCache
TResourceCache
 |  | MaxUnusedItem
 | ro | ResourceCacheItemClass
 | ro | ResourceCacheDescriptorClass


ro | DataSize (TBlockResourceCache)
 | MaxUnusedItem (TResourceCache)
ro | ResourceCacheDescriptorClass (TResourceCache)
ro | ResourceCacheItemClass (TResourceCache)


TBrushHandleCache
pt | RemoveItem
 | Create
TBlockResourceCache
 | Create
 | FindDescriptor
 | AddResource
 | CompareDescriptors
THandleResourceCache
 | FindItem
TResourceCache
pt | RemoveItem
pt | RemoveDescriptor
pt | ItemUsed
pt | ItemUnused
pt | ItemIsUsed
 | Create
 | Clear
 | Destroy
 | CompareItems
 | CompareDescriptors
 | ConsistencyCheck
 | Lock
 | Unlock


 | AddResource (TBlockResourceCache)
 | Clear (TResourceCache)
 | CompareDescriptors (TResourceCache)
 | CompareDescriptors (TBlockResourceCache)
 | CompareItems (TResourceCache)
 | ConsistencyCheck (TResourceCache)
 | Create (TResourceCache)
 | Create (TBlockResourceCache)
 | Create (TBrushHandleCache)
 | Destroy (TResourceCache)
 | FindDescriptor (TBlockResourceCache)
 | FindItem (THandleResourceCache)
pt | ItemIsUsed (TResourceCache)
pt | ItemUnused (TResourceCache)
pt | ItemUsed (TResourceCache)
 | Lock (TResourceCache)
pt | RemoveDescriptor (TResourceCache)
pt | RemoveItem (TResourceCache)
pt | RemoveItem (TBrushHandleCache)
 | Unlock (TResourceCache)


TBrushHandleCache

TBlockResourceCache

ro

OnCompareDescPtrWithDescriptor

THandleResourceCache

TResourceCache


ro

OnCompareDescPtrWithDescriptor (TBlockResourceCache)


TCanvas

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

TCanvas represents a drawing surface which might be attached to a visual control which might be displayed on the screen or to an offscreen bitmap. It contains a number of drawing functions.

Declaration

Source position: graphics.pp line 966

type TCanvas = class(TFPCustomCanvas)
protected
function DoCreateDefaultFont; override; | DoCreateDefaultFont - calls TFont.Create to create a default fomt
function DoCreateDefaultPen; override; | DoCreateDefaultPen - calls TPen.Create to create a default pen
function DoCreateDefaultBrush; override; | DoCreateDefaultBrush - calls TBrush.Create to create a default brush
procedure SetColor(); override; | SetColor converts the specified FPColor to a Color and applies it to the pixels at x, y
function GetColor(); override; | GetColor - finds the Color of the pixels at x, y and returns the value converted to a FPColor
procedure SetHeight(); override; | SetHeight - should never be called for Canvas: raises an exception if it is called
function GetHeight; override; | GetHeight - if a handle has been allocated, returns the height from the device size
procedure SetWidth(); override; | SetWidth - should never be called; raises an exception if it is called
function GetWidth; override; | GetWidth - if a handle has been allocated, returns the width from the device size
procedure SetPenPos(); override; | SetPenPos moves pen to specified position
procedure DoLockCanvas; override; | DoLockCanvas - enters critical locking section then calls inherited method
procedure DoUnlockCanvas; override; | DoUnlockCanvas - leaves the critical locking section then calls inherited method
procedure DoTextOut(); override; | DoTextOut calls TextOut for the specified coordinates and string
procedure DoGetTextSize(); override; | DoGetTextSize calls TextExtent to find width and height of specified text string
function DoGetTextHeight(); override; | DoGetTextHeight calls TextHeight to return the height of the text
function DoGetTextWidth(); override; | DoGetTextWidth calls TextWidth to return the width of the given text string
procedure DoRectangle(); override; | DoRectangle calls Frame to draw a rectangle in the given bounds
procedure DoRectangleFill(); override; | DoRectangleFill calls FillRect to draw a filled rectangle with the given bounds
procedure DoRectangleAndFill(); override; | DoRectangleAndFill - calls Rectangle to draw a rectangle and fill it
procedure DoEllipse(); override; | DoEllipse draws an Arc of 360 degrees within given Bounds, making an ellipse
procedure DoEllipseFill(); override; | DoEllipseFill calls Ellipse
procedure DoEllipseAndFill(); override; | DoEllipseAndFill - calls inherited DoEllipseAndFill
procedure DoPolygon(); override; | DoPolygon calls PolyLine to draw a series of lines through the points
procedure DoPolygonFill(); override; | DoPolygonFill calls Polygon for the suppied points
procedure DoPolygonAndFill(); override; | DoPolygonAndFill calls inherited method
procedure DoPolyline(); override; | DoPolyline calls PolyLine
procedure DoPolyBezier(); override;
procedure DoFloodFill(); override; | DoFloodFill calls FloodFill
procedure DoMoveTo(); override; | DoMoveTo calls MoveTo
procedure DoLineTo(); override; | DoLineTo calls LineTo
procedure DoLine(); override; | DoLine calls Line to draw from x1, y1 to x2, y2
procedure DoCopyRect(); override; | DoCopyRect checks that SrcCanvas is of correct type then copies coordinates and calls CopyRect
procedure DoDraw(); override; | DoDraw checks that Image is of the right type, makes a local copy, creates the necessary handles and bitmaps for drawing
procedure CheckHelper(); override; | CheckHelper - ignored by current class
function GetDefaultColor(); virtual;
function GetClipRect; override; | GetClipRect - if an error is encountered in finding the Clipping Rectangle dimensions, sets some defaults anyway
procedure SetClipRect(); override;
function GetClipping; override; | GetClipping returns True if clipping is being performed
procedure SetClipping(); override; | SetClipping specifies (via boolean argument) whether clipping is to be performed
function GetPixel(); virtual; | GetPixel - retuns the colour of the pixel at the specified location
procedure CreateBrush; virtual; | CreateBrush creates necessary handles, sets up local defaults for style, hatching, background colour
procedure CreateFont; virtual; |
procedure CreateHandle; virtual; | CreateHandle - greates a new Handle for the Canvas
procedure CreatePen; virtual; | CreatePen sets up local handles and defaults for Pen creation, sets initial position of Pen
procedure CreateRegion; virtual; | CreateRegion - creates a rectangular region for the Canvas
procedure DeselectHandles; virtual; | DeselectHandles - remove from group of selected handles
procedure PenChanging(); virtual; | PenChanging - software emulation for call to OnChanging event for Pen
procedure FontChanging(); virtual; | FontChanging - software emulation for call to OnChanging event for Font
procedure BrushChanging(); virtual; | BrushChanging - software emulation for call to OnChanging event for Brush
procedure RegionChanging(); virtual; | RegionChanging - software emulation for call to OnChanging event for Region
procedure RealizeAutoRedraw; virtual; | RealizeAutoRedraw - implement the AutoDraw feature
procedure RealizeAntialiasing; virtual; | RealizeAntialiasing - implement the Anti-aliasing feature
procedure RequiredState(); virtual; | RequiredState - the set of Canvas State required (csHandleValid, csFontValid, csPenvalid, csBrushValid, csRegionValid)
procedure SetHandle(); virtual; | SetHandle - specify a Handle
procedure SetInternalPenPos(); virtual; | SetInternalPenPos - specify position for the Pen
procedure SetPixel(); virtual; | SetPixel - specify a colour for the stated pixel
procedure FreeHandle; virtual; | FreeHandle - release a Handle
public
constructor Create; | Create - constructor for TCanvas: calls inherited Create and sets defaults for many properties and actions
destructor Destroy; override; | Destroy - destructor for TCanvas: frees handles and region, calls inherited Destroy, sets font, pen and brush resources to nil
procedure Lock; virtual; | Lock the canvas, making it unavailble for drawing
function TryLock; | TryLock - examines the Lock state, and performs Lock if necessary
procedure Unlock; virtual; | Unlock or release a previously locked Canvas
procedure Refresh; virtual; | Refresh the drawing of the Canvas
procedure Changing; virtual; | Changing - software emulation of a call to the OnChanging event
procedure Changed; virtual; | Changed - software emulation of a call to the OnChange event
procedure SaveHandleState; virtual; | SaveHandleState - stores the state of the Handle
procedure RestoreHandleState; virtual; | RestoreHandleState - retrieves the saved state of the Handle
procedure Arc(); | Use Arc to draw an elliptically curved line with the current Pen
procedure ArcTo(); virtual;
procedure AngleArc();
procedure BrushCopy(); virtual; |
procedure Chord(); | Chord draws a filled Chord-shape on the canvas
procedure CopyRect(); virtual; | Copies the rectangle found at Source in SrcCanvas to the destination position Dest
procedure Draw(); virtual; | Draw - copies bounds from SrcGraphic, then calls StretchDraw to perform the drawing
procedure DrawFocusRect(); virtual; | DrawFocusRect - draws a focused rectangle at the specified position
procedure StretchDraw(); virtual; | StretchDraw - uses the Draw method of the source graphic ( TGraphic)
procedure Ellipse(); | Ellipse draws a filled circle or ellipse on the canvas
procedure FillRect(); | FillRect - draw a filled rectangle in the specified coordinate space
procedure FloodFill(); virtual; | FloodFill flood-fills an area with the given colour, starting from the specified point; uses the FloodFill method for the current interface or widget set
procedure Frame3d(); | Frame3d - produce a frame with 3-D effect (with bevelled edges etc) in the specified rectangle
procedure Frame(); | Produce a Frame or border around the specified rectangle using a Pen
procedure FrameRect(); | FrameRect - produce a border around the specified rectangle using a Brush
function GetTextMetrics(); virtual;
procedure GradientFill(); | GradientFill - fill the specified rectangle with the specified colours in a gradient with the specified direction
procedure RadialPie(); virtual; | RadialPie uses Pie to draw a filled pie-shaped wedge on the canvas
procedure Pie(); virtual; | Pie draws a filled Pie-shaped wedge on the canvas
procedure PolyBezier(); | Polybezier draws cubic Bezier curves
procedure Polygon(); | Polygon draws a closed, many-sided shape on the canvas, using the value of Pen
procedure Polyline(); | Polyline connects a set of points on the canvas
procedure Rectangle(); | Draws a Rectangle at the specified coordinates
procedure RoundRect(); | RoundRect - draws a rectangle at the specified position, with corners rounded by the factors RX, RY
procedure TextOut(); virtual; | Writes the Text string at the position X, Y on the canvas and leaves the pen at the end of the text; uses the ExtUTF8Out method of the current interface or widget set
procedure TextRect(); | Writes Text string within a specified rectangle, according to predefined Style
function TextExtent(); virtual; | TextExtent - returns the total size of the specified text
function TextHeight(); virtual; | TextHeight - returns the height of the specified text
function TextWidth(); virtual; | TextWidth - returns the width of the specified text
function TextFitInfo();
function HandleAllocated; virtual; | HandleAllocated - returns True if a handle has been allocated
function GetUpdatedHandle(); virtual; | GetUpdatedHandle - returns the value of the updated Handle
property Pixels []: TColor; [rw] | The colour of the Pixels located at the specified position
property Handle: HDC; [rw] | The operating system Handle for this object
property TextStyle: TTextStyle; [rw] | The TextStyle to be used in this Canvas
published
property AntialiasingMode: TAntialiasingMode; [rw] | AntialiasingMode - anti-aliasing on, off or don't care
property AutoRedraw: Boolean; [rw] | AutoRedraw - if True, the Canvas is to be redrawn automatically after each change or update
property Brush: TBrush; [rw] | The Brush to be used for painting this Canvas
property CopyMode: TCopymode; [rw] | The CopyMode to be used (arbitrary number)
property Font: TFont; [rw] | The Font to be used for text in this canvas
property Height: Integer; [r] | The Height of the canvas
property Pen: TPen; [rw] | The Pen to be used for writing in this canvas
property Region: TRegion; [rw] | The Regionwhere the Canvas is located
property Width: Integer; [r] | The Width of the Canvas
property OnChange: TNotifyEvent; [rw] | Event handler for a change in the canvas
property OnChanging: TNotifyEvent; [rw] | Event handler while canvas is changing
end;

Inheritance

TCanvas

TCanvas represents a drawing surface which might be attached to a visual control which might be displayed on the screen or to an offscreen bitmap. It contains a number of drawing functions.
|

TFPCustomCanvas
?

TObject

Description

TCanvas represents a drawing surface which might be attached to a visual control which might be displayed on the screen or to an offscreen bitmap. It contains drawing tools (brush, pen and font) to draw on this surface. This class defines a very large number of drawing methods including methods for pen and colour selection, producing shapes and filling them, setting or clearing individual pixels, and producing graphic text.


TCanvas
 |  | Pixels
 |  | Handle
 |  | TextStyle
pl |  | AntialiasingMode
pl |  | AutoRedraw
pl |  | Brush
pl |  | CopyMode
pl |  | Font
pl | ro | Height
pl |  | Pen
pl |  | Region
pl | ro | Width


pl |  | AntialiasingMode (TCanvas)
pl |  | AutoRedraw (TCanvas)
pl |  | Brush (TCanvas)
pl |  | CopyMode (TCanvas)
pl |  | Font (TCanvas)
 |  | Handle (TCanvas)
pl | ro | Height (TCanvas)
pl |  | Pen (TCanvas)
 |  | Pixels (TCanvas)
pl |  | Region (TCanvas)
 |  | TextStyle (TCanvas)
pl | ro | Width (TCanvas)


TCanvas
pt | DoCreateDefaultFont
pt | DoCreateDefaultPen
pt | DoCreateDefaultBrush
pt | SetColor
pt | GetColor
pt | SetHeight
pt | GetHeight
pt | SetWidth
pt | GetWidth
pt | SetPenPos
pt | DoLockCanvas
pt | DoUnlockCanvas
pt | DoTextOut
pt | DoGetTextSize
pt | DoGetTextHeight
pt | DoGetTextWidth
pt | DoRectangle
pt | DoRectangleFill
pt | DoRectangleAndFill
pt | DoEllipse
pt | DoEllipseFill
pt | DoEllipseAndFill
pt | DoPolygon
pt | DoPolygonFill
pt | DoPolygonAndFill
pt | DoPolyline
pt | DoPolyBezier
pt | DoFloodFill
pt | DoMoveTo
pt | DoLineTo
pt | DoLine
pt | DoCopyRect
pt | DoDraw
pt | CheckHelper
pt | GetDefaultColor
pt | GetClipRect
pt | SetClipRect
pt | GetClipping
pt | SetClipping
pt | GetPixel
pt | CreateBrush
pt | CreateFont
pt | CreateHandle
pt | CreatePen
pt | CreateRegion
pt | DeselectHandles
pt | PenChanging
pt | FontChanging
pt | BrushChanging
pt | RegionChanging
pt | RealizeAutoRedraw
pt | RealizeAntialiasing
pt | RequiredState
pt | SetHandle
pt | SetInternalPenPos
pt | SetPixel
pt | FreeHandle
 | Create
 | Destroy
 | Lock
 | TryLock
 | Unlock
 | Refresh
 | Changing
 | Changed
 | SaveHandleState
 | RestoreHandleState
 | Arc
 | ArcTo
 | AngleArc
 | BrushCopy
 | Chord
 | CopyRect
 | Draw
 | DrawFocusRect
 | StretchDraw
 | Ellipse
 | FillRect
 | FloodFill
 | Frame3D
 | Frame
 | FrameRect
 | GetTextMetrics
 | GradientFill
 | RadialPie
 | Pie
 | PolyBezier
 | Polygon
 | Polyline
 | Rectangle
 | RoundRect
 | TextOut
 | TextRect
 | TextExtent
 | TextHeight
 | TextWidth
 | TextFitInfo
 | HandleAllocated
 | GetUpdatedHandle


pt | BrushChanging (TCanvas)
 | BrushCopy (TCanvas)
 | Changed (TCanvas)
 | Changing (TCanvas)
pt | CheckHelper (TCanvas)
 | Chord (TCanvas)
 | CopyRect (TCanvas)
 | Create (TCanvas)
pt | CreateBrush (TCanvas)
pt | CreateFont (TCanvas)
pt | CreateHandle (TCanvas)
pt | CreatePen (TCanvas)
pt | CreateRegion (TCanvas)
pt | DeselectHandles (TCanvas)
 | Destroy (TCanvas)
pt | DoCopyRect (TCanvas)
pt | DoCreateDefaultBrush (TCanvas)
pt | DoCreateDefaultFont (TCanvas)
pt | DoCreateDefaultPen (TCanvas)
pt | DoDraw (TCanvas)
pt | DoEllipse (TCanvas)
pt | DoEllipseAndFill (TCanvas)
pt | DoEllipseFill (TCanvas)
pt | DoFloodFill (TCanvas)
pt | DoGetTextHeight (TCanvas)
pt | DoGetTextSize (TCanvas)
pt | DoGetTextWidth (TCanvas)
pt | DoLine (TCanvas)
pt | DoLineTo (TCanvas)
pt | DoLockCanvas (TCanvas)
pt | DoMoveTo (TCanvas)
pt | DoPolyBezier (TCanvas)
pt | DoPolygon (TCanvas)
pt | DoPolygonAndFill (TCanvas)
pt | DoPolygonFill (TCanvas)
pt | DoPolyline (TCanvas)
pt | DoRectangle (TCanvas)
pt | DoRectangleAndFill (TCanvas)
pt | DoRectangleFill (TCanvas)
pt | DoTextOut (TCanvas)
pt | DoUnlockCanvas (TCanvas)
 | Draw (TCanvas)
 | DrawFocusRect (TCanvas)
 | Ellipse (TCanvas)
 | FillRect (TCanvas)
 | FloodFill (TCanvas)
pt | FontChanging (TCanvas)
 | Frame (TCanvas)
 | Frame3D (TCanvas)
 | FrameRect (TCanvas)
pt | FreeHandle (TCanvas)
pt | GetClipping (TCanvas)
pt | GetClipRect (TCanvas)
pt | GetColor (TCanvas)
pt | GetDefaultColor (TCanvas)
pt | GetHeight (TCanvas)
pt | GetPixel (TCanvas)
 | GetTextMetrics (TCanvas)
 | GetUpdatedHandle (TCanvas)
pt | GetWidth (TCanvas)
 | GradientFill (TCanvas)
 | HandleAllocated (TCanvas)
 | Lock (TCanvas)
pt | PenChanging (TCanvas)
 | Pie (TCanvas)
 | PolyBezier (TCanvas)
 | Polygon (TCanvas)
 | Polyline (TCanvas)
 | RadialPie (TCanvas)
pt | RealizeAntialiasing (TCanvas)
pt | RealizeAutoRedraw (TCanvas)
 | Rectangle (TCanvas)
 | Refresh (TCanvas)
pt | RegionChanging (TCanvas)
pt | RequiredState (TCanvas)
 | RestoreHandleState (TCanvas)
 | RoundRect (TCanvas)
 | SaveHandleState (TCanvas)
pt | SetClipping (TCanvas)
pt | SetClipRect (TCanvas)
pt | SetColor (TCanvas)
pt | SetHandle (TCanvas)
pt | SetHeight (TCanvas)
pt | SetInternalPenPos (TCanvas)
pt | SetPenPos (TCanvas)
pt | SetPixel (TCanvas)
pt | SetWidth (TCanvas)
 | StretchDraw (TCanvas)
 | TextExtent (TCanvas)
 | TextFitInfo (TCanvas)
 | TextHeight (TCanvas)
 | TextOut (TCanvas)
 | TextRect (TCanvas)
 | TextWidth (TCanvas)
 | TryLock (TCanvas)
 | Unlock (TCanvas)


TCanvas
pl | OnChange
pl | OnChanging


TCanvas.AngleArc

Declaration

Source position: graphics.pp line 1075

public procedure TCanvas.AngleArc(

  X: Integer;

  Y: Integer;

  Radius: LongWord;

  StartAngle: Single;

  SweepAngle: Single

);


TCanvas.AntialiasingMode

AntialiasingMode - anti-aliasing on, off or don't care

Declaration

Source position: graphics.pp line 1143

published property TCanvas.AntialiasingMode : TAntialiasingMode
  read FAntialiasingMode
  write SetAntialiasingMode
  default amDontCare;


TCanvas.Arc

Use Arc to draw an elliptically curved line with the current Pen

Declaration

Source position: graphics.pp line 1072

public procedure TCanvas.Arc(

  ALeft: Integer;

  ATop: Integer;

  ARight: Integer;

  ABottom: Integer;

  Angle16Deg: Integer;

  Angle16DegLength: Integer

); virtual;

procedure TCanvas.Arc(

  ALeft: Integer;

  ATop: Integer;

  ARight: Integer;

  ABottom: Integer;

  SX: Integer;

  SY: Integer;

  EX: Integer;

  EY: Integer

); virtual;

Description

Method: TCanvas.Arc
Params: ALeft, ATop, ARight, ABottom, angle1, angle2
Returns: Nothing

Use Arc to draw an elliptically curved line with the current Pen.
The angles angle1 and angle2 are 1/16th of a degree.
For example, a full circle equals 5760 (16*360).
Positive values of Angle and AngleLength mean counter-clockwise while negative values mean clockwise direction.
Zero degrees is at the 3 o'clock position.


TCanvas.ArcTo

Declaration

Source position: graphics.pp line 1074

public procedure TCanvas.ArcTo(

  ALeft: Integer;

  ATop: Integer;

  ARight: Integer;

  ABottom: Integer;

  SX: Integer;

  SY: Integer;

  EX: Integer;

  EY: Integer

); virtual;


TCanvas.AutoRedraw

AutoRedraw - if True, the Canvas is to be redrawn automatically after each change or update

Declaration

Source position: graphics.pp line 1144

published property TCanvas.AutoRedraw : Boolean
  read FAutoRedraw
  write SetAutoRedraw;


TCanvas.Brush

The Brush to be used for painting this Canvas

Declaration

Source position: graphics.pp line 1145

published property TCanvas.Brush : TBrush
  read FLazBrush
  write SetLazBrush;

See also

TFPCustomCanvas.Brush


TCanvas.BrushChanging

BrushChanging - software emulation for call to OnChanging event for Brush

Declaration

Source position: graphics.pp line 1050

protected procedure TCanvas.BrushChanging(

  ABrush: TObject

); virtual;


TCanvas.BrushCopy

Declaration

Source position: graphics.pp line 1076

public procedure TCanvas.BrushCopy(

  ADestRect: TRect;

  ABitmap: TBitmap;

  ASourceRect: TRect;

  ATransparentColor: TColor

); virtual;


TCanvas.Changed

Changed - software emulation of a call to the OnChange event

Declaration

Source position: graphics.pp line 1067

public procedure TCanvas.Changed; virtual;


TCanvas.Changing

Changing - software emulation of a call to the OnChanging event

Declaration

Source position: graphics.pp line 1066

public procedure TCanvas.Changing; virtual;


TCanvas.CheckHelper

CheckHelper - ignored by current class

Declaration

Source position: graphics.pp line 1034

protected procedure TCanvas.CheckHelper(

  AHelper: TFPCanvasHelper

); override;

Errors

Writes a message to debug output that the call is ignored

See also

TFPCustomCanvas.CheckHelper


TCanvas.Chord

Chord draws a filled Chord-shape on the canvas

Declaration

Source position: graphics.pp line 1078

public procedure TCanvas.Chord(

  x1: Integer;

  y1: Integer;

  x2: Integer;

  y2: Integer;

  Angle16Deg: Integer;

  Angle16DegLength: Integer

); virtual;

procedure TCanvas.Chord(

  x1: Integer;

  y1: Integer;

  x2: Integer;

  y2: Integer;

  SX: Integer;

  SY: Integer;

  EX: Integer;

  EY: Integer

); virtual;

Description

Method: TCanvas.Chord
Params: x1, y1, x2, y2, StartAngle16Deg, EndAngle16Deg
Returns: Nothing

Use Chord to draw a filled Chord-shape on the canvas. The angles angle1 and angle2 are 1/16th of a degree. For example, a full circle equals 5760(16*360).
Positive values of Angle and AngleLength mean counter-clockwise while negative values mean clockwise direction.
Zero degrees is at the 3 o'clock position.


TCanvas.CopyMode

The CopyMode to be used (arbitrary number)

Declaration

Source position: graphics.pp line 1146

published property TCanvas.CopyMode : TCopymode
  read FCopyMode
  write FCopyMode
  default cmSrcCopy;


TCanvas.CopyRect

Copies the rectangle found at Source in SrcCanvas to the destination position Dest

Declaration

Source position: graphics.pp line 1081

public procedure TCanvas.CopyRect(

  const Dest: TRect;

  SrcCanvas: TCanvas;

  const Source: TRect

); virtual;

See also

TFPCustomCanvas.CopyRect


TCanvas.Create

Create - constructor for TCanvas: calls inherited Create and sets defaults for many properties and actions

Declaration

Source position: graphics.pp line 1060

public constructor TCanvas.Create;

Description

Create - constructor for TCanvas: calls inherited Create and sets defaults for many properties and actions

Initialises Font, Pen and Brush, makes event handlers for these, sets up defaults for Alignment, Layout, Clipping and opacity

See also

TFPCustomCanvas.Create


TCanvas.CreateBrush

CreateBrush creates necessary handles, sets up local defaults for style, hatching, background colour

Declaration

Source position: graphics.pp line 1042

protected procedure TCanvas.CreateBrush; virtual;

See also

TFPCustomCanvas.CreateBrush


TCanvas.CreateHandle

CreateHandle - greates a new Handle for the Canvas

Declaration

Source position: graphics.pp line 1044

protected procedure TCanvas.CreateHandle; virtual;


TCanvas.CreatePen

CreatePen sets up local handles and defaults for Pen creation, sets initial position of Pen

Declaration

Source position: graphics.pp line 1045

protected procedure TCanvas.CreatePen; virtual;

See also

TFPCustomCanvas.CreatePen


TCanvas.CreateRegion

CreateRegion - creates a rectangular region for the Canvas

Declaration

Source position: graphics.pp line 1046

protected procedure TCanvas.CreateRegion; virtual;


TCanvas.DeselectHandles

DeselectHandles - remove from group of selected handles

Declaration

Source position: graphics.pp line 1047

protected procedure TCanvas.DeselectHandles; virtual;


TCanvas.Destroy

Destroy - destructor for TCanvas: frees handles and region, calls inherited Destroy, sets font, pen and brush resources to nil

Declaration

Source position: graphics.pp line 1061

public destructor TCanvas.Destroy; override;

Description

TCanvas and makes its resources available

See also

TFPCustomCanvas.Destroy


TCanvas.DoCopyRect

DoCopyRect checks that SrcCanvas is of correct type then copies coordinates and calls CopyRect

Declaration

Source position: graphics.pp line 1031

protected procedure TCanvas.DoCopyRect(

  x: Integer;

  y: Integer;

  SrcCanvas: TFPCustomCanvas;

  const SourceRect: TRect

); override;

Errors

If SrcCanvas is not of type TCanvas then writes a warning to the debug output that copying is not supported

See also

TFPCustomCanvas.DoCopyRect

TCanvas.CopyRect

Copies the rectangle found at Source in SrcCanvas to the destination position Dest


TCanvas.DoCreateDefaultBrush

DoCreateDefaultBrush - calls TBrush.Create to create a default brush

Declaration

Source position: graphics.pp line 1000

protected function TCanvas.DoCreateDefaultBrush: TFPCustomBrush; override;

See also

TFPCustomCanvas.DoCreateDefaultBrush

TBrush.Create

Create - constructor for TBrush: perform inherited Create then initialise some local variables and SetStyle


TCanvas.DoCreateDefaultFont

DoCreateDefaultFont - calls TFont.Create to create a default fomt

Declaration

Source position: graphics.pp line 998

protected function TCanvas.DoCreateDefaultFont: TFPCustomFont; override;

See also

TFPCustomCanvas.DoCreateDefaultFont

TFont.Create

Create - constructor for TFont: Opens a new instance of the class, calling inherited Create and setting some defaults


TCanvas.DoCreateDefaultPen

DoCreateDefaultPen - calls TPen.Create to create a default pen

Declaration

Source position: graphics.pp line 999

protected function TCanvas.DoCreateDefaultPen: TFPCustomPen; override;

See also

TFPCustomCanvas.DoCreateDefaultPen

TPen.Create

Create - constructor for TPen: performs inherited Create then sets some local defaults, style, mode, width and colour


TCanvas.DoDraw

DoDraw checks that Image is of the right type, makes a local copy, creates the necessary handles and bitmaps for drawing

Declaration

Source position: graphics.pp line 1033

protected procedure TCanvas.DoDraw(

  x: Integer;

  y: Integer;

  const Image: TFPCustomImage

); override;

See also

TFPCustomCanvas.DoDraw


TCanvas.DoEllipse

DoEllipse draws an Arc of 360 degrees within given Bounds, making an ellipse

Declaration

Source position: graphics.pp line 1017

protected procedure TCanvas.DoEllipse(

  const Bounds: TRect

); override;

See also

TFPCustomCanvas.DoEllipse

TCanvas.Arc

Use Arc to draw an elliptically curved line with the current Pen


TCanvas.DoEllipseAndFill

DoEllipseAndFill - calls inherited DoEllipseAndFill

Declaration

Source position: graphics.pp line 1019

protected procedure TCanvas.DoEllipseAndFill(

  const Bounds: TRect

); override;

See also

TFPCustomCanvas.DoEllipseAndFill


TCanvas.DoEllipseFill

DoEllipseFill calls Ellipse

Declaration

Source position: graphics.pp line 1018

protected procedure TCanvas.DoEllipseFill(

  const Bounds: TRect

); override;

See also

TFPCustomCanvas.DoEllipseFill

TCanvas.Ellipse

Ellipse draws a filled circle or ellipse on the canvas


TCanvas.DoFloodFill

DoFloodFill calls FloodFill

Declaration

Source position: graphics.pp line 1027

protected procedure TCanvas.DoFloodFill(

  x: Integer;

  y: Integer

); override;

See also

TFPCustomCanvas.DoFloodFill

TCanvas.FloodFill

FloodFill flood-fills an area with the given colour, starting from the specified point; uses the FloodFill method for the current interface or widget set


TCanvas.DoGetTextHeight

DoGetTextHeight calls TextHeight to return the height of the text

Declaration

Source position: graphics.pp line 1012

protected function TCanvas.DoGetTextHeight(

  Text: string

):Integer; override;

See also

TFPCustomCanvas.DoGetTextHeight

TCanvas.TextHeight

TextHeight - returns the height of the specified text


TCanvas.DoGetTextSize

DoGetTextSize calls TextExtent to find width and height of specified text string

Declaration

Source position: graphics.pp line 1011

protected procedure TCanvas.DoGetTextSize(

  Text: string;

  var w: Integer;

  var h: Integer

); override;

See also

TFPCustomCanvas.DoGetTextSize

TCanvas.TextExtent

TextExtent - returns the total size of the specified text


TCanvas.DoGetTextWidth

DoGetTextWidth calls TextWidth to return the width of the given text string

Declaration

Source position: graphics.pp line 1013

protected function TCanvas.DoGetTextWidth(

  Text: string

):Integer; override;

See also

TFPCustomCanvas.DoGetTextWidth

TCanvas.TextWidth

TextWidth - returns the width of the specified text


TCanvas.DoLine

DoLine calls Line to draw from x1, y1 to x2, y2

Declaration

Source position: graphics.pp line 1030

protected procedure TCanvas.DoLine(

  x1: Integer;

  y1: Integer;

  x2: Integer;

  y2: Integer

); override;

See also

TFPCustomCanvas.DoLine


TCanvas.DoLineTo

DoLineTo calls LineTo

Declaration

Source position: graphics.pp line 1029

protected procedure TCanvas.DoLineTo(

  x: Integer;

  y: Integer

); override;

See also

TFPCustomCanvas.DoLineTo


TCanvas.DoLockCanvas

DoLockCanvas - enters critical locking section then calls inherited method

Declaration

Source position: graphics.pp line 1008

protected procedure TCanvas.DoLockCanvas; override;

See also

TFPCustomCanvas.DoLockCanvas


TCanvas.DoMoveTo

DoMoveTo calls MoveTo

Declaration

Source position: graphics.pp line 1028

protected procedure TCanvas.DoMoveTo(

  x: Integer;

  y: Integer

); override;

See also

TFPCustomCanvas.DoMoveTo


TCanvas.DoPolyBezier

Declaration

Source position: graphics.pp line 1024

protected procedure TCanvas.DoPolyBezier(

  Points: PPoint;

  NumPts: Integer;

  Filled: Boolean = False;

  Continuous: Boolean = False

); override;


TCanvas.DoPolygon

DoPolygon calls PolyLine to draw a series of lines through the points

Declaration

Source position: graphics.pp line 1020

protected procedure TCanvas.DoPolygon(

  const Points: array of TPoint

); override;

See also

TFPCustomCanvas.DoPolygon

TCanvas.PolyLine

Polyline connects a set of points on the canvas


TCanvas.DoPolygonAndFill

DoPolygonAndFill calls inherited method

Declaration

Source position: graphics.pp line 1022

protected procedure TCanvas.DoPolygonAndFill(

  const Points: array of TPoint

); override;

See also

TFPCustomCanvas.DoPolygonAndFill


TCanvas.DoPolygonFill

DoPolygonFill calls Polygon for the suppied points

Declaration

Source position: graphics.pp line 1021

protected procedure TCanvas.DoPolygonFill(

  const Points: array of TPoint

); override;

See also

TFPCustomCanvas.DoPolygonFill

TCanvas.Polygon

Polygon draws a closed, many-sided shape on the canvas, using the value of Pen


TCanvas.DoPolyline

DoPolyline calls PolyLine

Declaration

Source position: graphics.pp line 1023

protected procedure TCanvas.DoPolyline(

  const Points: array of TPoint

); override;

See also

TFPCustomCanvas.DoPolyline

TCanvas.PolyLine

Polyline connects a set of points on the canvas


TCanvas.DoRectangle

DoRectangle calls Frame to draw a rectangle in the given bounds

Declaration

Source position: graphics.pp line 1014

protected procedure TCanvas.DoRectangle(

  const Bounds: TRect

); override;

See also

TFPCustomCanvas.DoRectangle

TCanvas.Frame

Produce a Frame or border around the specified rectangle using a Pen


TCanvas.DoRectangleAndFill

DoRectangleAndFill - calls Rectangle to draw a rectangle and fill it

Declaration

Source position: graphics.pp line 1016

protected procedure TCanvas.DoRectangleAndFill(

  const Bounds: TRect

); override;

See also

TFPCustomCanvas.DoRectangleAndFill

TCanvas.Rectangle

Draws a Rectangle at the specified coordinates


TCanvas.DoRectangleFill

DoRectangleFill calls FillRect to draw a filled rectangle with the given bounds

Declaration

Source position: graphics.pp line 1015

protected procedure TCanvas.DoRectangleFill(

  const Bounds: TRect

); override;

See also

TFPCustomCanvas.DoRectangleFill

TCanvas.FillRect

FillRect - draw a filled rectangle in the specified coordinate space


TCanvas.DoTextOut

DoTextOut calls TextOut for the specified coordinates and string

Declaration

Source position: graphics.pp line 1010

protected procedure TCanvas.DoTextOut(

  x: Integer;

  y: Integer;

  Text: string

); override;

See also

TFPCustomCanvas.DoTextOut

TCanvas.TextOut

Writes the Text string at the position X, Y on the canvas and leaves the pen at the end of the text; uses the ExtUTF8Out method of the current interface or widget set


TCanvas.DoUnlockCanvas

DoUnlockCanvas - leaves the critical locking section then calls inherited method

Declaration

Source position: graphics.pp line 1009

protected procedure TCanvas.DoUnlockCanvas; override;

See also

TFPCustomCanvas.DoUnlockCanvas


TCanvas.Draw

Draw - copies bounds from SrcGraphic, then calls StretchDraw to perform the drawing

Declaration

Source position: graphics.pp line 1083

public procedure TCanvas.Draw(

  X: Integer;

  Y: Integer;

  SrcGraphic: TGraphic

); virtual;

See also

TFPCustomCanvas.Draw

TCanvas.StretchDraw

StretchDraw - uses the Draw method of the source graphic ( TGraphic)


TCanvas.DrawFocusRect

DrawFocusRect - draws a focused rectangle at the specified position

Declaration

Source position: graphics.pp line 1084

public procedure TCanvas.DrawFocusRect(

  const ARect: TRect

); virtual;


TCanvas.Ellipse

Ellipse draws a filled circle or ellipse on the canvas

Declaration

Source position: graphics.pp line 1086

public procedure TCanvas.Ellipse(

  const ARect: TRect

);

procedure TCanvas.Ellipse(

  x1: Integer;

  y1: Integer;

  x2: Integer;

  y2: Integer

); virtual;

Description

Method: TCanvas.Ellipse
Params: X1, Y1, X2, Y2
Returns: Nothing

Use Ellipse to draw a filled circle or ellipse on the canvas.

See also

TFPCustomCanvas.Ellipse

LCLIntf.Ellipse

Draws a filled circle or ellipse, bounded by a rectangle.


TCanvas.FillRect

FillRect - draw a filled rectangle in the specified coordinate space

Declaration

Source position: graphics.pp line 1088

public procedure TCanvas.FillRect(

  const ARect: TRect

); virtual;

procedure TCanvas.FillRect(

  X1: Integer;

  Y1: Integer;

  X2: Integer;

  Y2: Integer

);


TCanvas.FloodFill

FloodFill flood-fills an area with the given colour, starting from the specified point; uses the FloodFill method for the current interface or widget set

Declaration

Source position: graphics.pp line 1090

public procedure TCanvas.FloodFill(

  X: Integer;

  Y: Integer;

  FillColor: TColor;

  FillStyle: TFillStyle

); virtual;

See also

TFPCustomCanvas.FloodFill

LCLIntf.FloodFill

Fills an area of the display surface with the current brush.


TCanvas.Font

The Font to be used for text in this canvas

Declaration

Source position: graphics.pp line 1147

published property TCanvas.Font : TFont
  read FLazFont
  write SetLazFont;

See also

TFPCustomCanvas.Font


TCanvas.FontChanging

FontChanging - software emulation for call to OnChanging event for Font

Declaration

Source position: graphics.pp line 1049

protected procedure TCanvas.FontChanging(

  AFont: TObject

); virtual;


TCanvas.Frame

Produce a Frame or border around the specified rectangle using a Pen

Declaration

Source position: graphics.pp line 1096

public procedure TCanvas.Frame(

  const ARect: TRect

); virtual;

procedure TCanvas.Frame(

  X1: Integer;

  Y1: Integer;

  X2: Integer;

  Y2: Integer

);


TCanvas.Frame3D

Frame3d - produce a frame with 3-D effect (with bevelled edges etc) in the specified rectangle

Declaration

Source position: graphics.pp line 1092

public procedure TCanvas.Frame3d(

  var ARect: TRect;

  const FrameWidth: Integer;

  const Style: TGraphicsBevelCut

); virtual;

procedure TCanvas.Frame3D(

  var ARect: TRect;

  TopColor: TColor;

  BottomColor: TColor;

  const FrameWidth: Integer

); overload;

See also

LCLIntf.Frame3d


TCanvas.FrameRect

FrameRect - produce a border around the specified rectangle using a Brush

Declaration

Source position: graphics.pp line 1098

public procedure TCanvas.FrameRect(

  const ARect: TRect

); virtual;

procedure TCanvas.FrameRect(

  X1: Integer;

  Y1: Integer;

  X2: Integer;

  Y2: Integer

);


TCanvas.FreeHandle

FreeHandle - release a Handle

Declaration

Source position: graphics.pp line 1058

protected procedure TCanvas.FreeHandle; virtual;


TCanvas.GetClipping

GetClipping returns True if clipping is being performed

Declaration

Source position: graphics.pp line 1039

protected function TCanvas.GetClipping: Boolean; override;


TCanvas.GetClipRect

GetClipRect - if an error is encountered in finding the Clipping Rectangle dimensions, sets some defaults anyway

Declaration

Source position: graphics.pp line 1037

protected function TCanvas.GetClipRect: TRect; override;

See also

TFPCustomCanvas.GetClipRect


TCanvas.GetColor

GetColor - finds the Color of the pixels at x, y and returns the value converted to a FPColor

Declaration

Source position: graphics.pp line 1002

protected function TCanvas.GetColor(

  x: Integer;

  y: Integer

):TFPColor; override;

See also

TFPCustomCanvas.GetColor


TCanvas.GetDefaultColor

Declaration

Source position: graphics.pp line 1035

protected function TCanvas.GetDefaultColor(

  const ADefaultColorType: TDefaultColorType

):TColor; virtual;


TCanvas.GetHeight

GetHeight - if a handle has been allocated, returns the height from the device size

Declaration

Source position: graphics.pp line 1004

protected function TCanvas.GetHeight: Integer; override;

See also

TFPCustomCanvas.GetHeight


TCanvas.GetPixel

GetPixel - retuns the colour of the pixel at the specified location

Declaration

Source position: graphics.pp line 1041

protected function TCanvas.GetPixel(

  X: Integer;

  Y: Integer

):TColor; virtual;


TCanvas.GetTextMetrics

Declaration

Source position: graphics.pp line 1100

public function TCanvas.GetTextMetrics(

  out TM: TLCLTextMetric

):Boolean; virtual;


TCanvas.GetUpdatedHandle

GetUpdatedHandle - returns the value of the updated Handle

Declaration

Source position: graphics.pp line 1137

public function TCanvas.GetUpdatedHandle(

  ReqState: TCanvasState

):HDC; virtual;


TCanvas.GetWidth

GetWidth - if a handle has been allocated, returns the width from the device size

Declaration

Source position: graphics.pp line 1006

protected function TCanvas.GetWidth: Integer; override;

See also

TFPCustomCanvas.GetWidth


TCanvas.GradientFill

GradientFill - fill the specified rectangle with the specified colours in a gradient with the specified direction

Declaration

Source position: graphics.pp line 1101

public procedure TCanvas.GradientFill(

  ARect: TRect;

  AStart: TColor;

  AStop: TColor;

  ADirection: TGradientDirection

);


TCanvas.Handle

The operating system Handle for this object

Declaration

Source position: graphics.pp line 1140

public property TCanvas.Handle : HDC
  read GetHandle
  write SetHandle;


TCanvas.HandleAllocated

HandleAllocated - returns True if a handle has been allocated

Declaration

Source position: graphics.pp line 1136

public function TCanvas.HandleAllocated: Boolean; virtual;


TCanvas.Height

The Height of the canvas

Declaration

Source position: graphics.pp line 1148

published property TCanvas.Height : Integer
  read GetHeight;

See also

TFPCustomCanvas.Height


TCanvas.Lock

Lock the canvas, making it unavailble for drawing

Declaration

Source position: graphics.pp line 1062

public procedure TCanvas.Lock; virtual;


TCanvas.OnChange

Event handler for a change in the canvas

Declaration

Source position: graphics.pp line 1152

published property TCanvas.OnChange : TNotifyEvent
  read FOnChange
  write FOnChange;


TCanvas.OnChanging

Event handler while canvas is changing

Declaration

Source position: graphics.pp line 1153

published property TCanvas.OnChanging : TNotifyEvent
  read FOnChanging
  write FOnChanging;


TCanvas.Pen

The Pen to be used for writing in this canvas

Declaration

Source position: graphics.pp line 1149

published property TCanvas.Pen : TPen
  read FLazPen
  write SetLazPen;

See also

TFPCustomCanvas.Pen


TCanvas.PenChanging

PenChanging - software emulation for call to OnChanging event for Pen

Declaration

Source position: graphics.pp line 1048

protected procedure TCanvas.PenChanging(

  APen: TObject

); virtual;


TCanvas.Pie

Pie draws a filled Pie-shaped wedge on the canvas

Declaration

Source position: graphics.pp line 1104

public procedure TCanvas.Pie(

  EllipseX1: Integer;

  EllipseY1: Integer;

  EllipseX2: Integer;

  EllipseY2: Integer;

  StartX: Integer;

  StartY: Integer;

  EndX: Integer;

  EndY: Integer

); virtual;

Description

Method: TCanvas.Pie
Params: EllipseX1, EllipseY1, EllipseX2, EllipseY2, StartX, StartY, EndX, EndY
Returns: Nothing

Use Pie to draw a filled Pie-shaped wedge on the canvas. The pie is part of an ellipse between the points EllipseX1, EllipseY1, EllipseX2, EllipseY2. The values StartX, StartY and EndX, EndY represent the starting and ending radial-points between which the Bounding-Arc is drawn.


TCanvas.Pixels

The colour of the Pixels located at the specified position

Declaration

Source position: graphics.pp line 1139

public property TCanvas.Pixels[X: Integer,Y: Integer] : TColor
  read GetPixel
  write SetPixel;


TCanvas.PolyBezier

Polybezier draws cubic Bezier curves

Declaration

Source position: graphics.pp line 1106

public procedure TCanvas.PolyBezier(

  Points: PPoint;

  NumPts: Integer;

  Filled: Boolean = False;

  Continuous: Boolean = False

); virtual;

procedure TCanvas.PolyBezier(

  const Points: array of TPoint;

  Filled: Boolean = False;

  Continuous: Boolean = False

);

Description

Method: TCanvas.PolyBezier
Params: Points, Filled, Continous
Returns: Boolean

Use Polybezier to draw cubic Bezier curves.
The first curve is drawn from the first point to the fourth point with the second and third points being the control points.
If the Continuous flag is TRUE then each subsequent curve requires three more points, using the end-point of the previous Curve as its starting point, the first and second points being used as its control points, and the third point its end-point.

If the continous flag is set to FALSE, then each subsequent Curve requires 4 additional points, which are used exactly as in the first curve.

Any additonal points which do not add up to a full bezier(4 for Continuous, 3 otherwise) are ingored. There must be at least 4 points for an drawing to occur.

If the Filled Flag is set to TRUE then the resulting Poly-Bezier will be drawn as a Polygon.


TCanvas.Polygon

Polygon draws a closed, many-sided shape on the canvas, using the value of Pen

Declaration

Source position: graphics.pp line 1112

public procedure TCanvas.Polygon(

  const Points: array of TPoint;

  Winding: Boolean;

  StartIndex: Integer = 0;

  NumPts: Integer = - 1

);

procedure TCanvas.Polygon(

  Points: PPoint;

  NumPts: Integer;

  Winding: Boolean = False

); virtual;

procedure TCanvas.Polygon(

  const Points: array of TPoint

);

Description

Method: TCanvas.Polygon
Params: Points: array of TPoint; Winding: Boolean = False; StartIndex: Integer = 0; NumPts: Integer = -1
Returns: Nothing

Use Polygon to draw a closed, many-sided shape on the canvas, using the value of Pen . After drawing the complete shape, Polygon fills the shape using the value of Brush .

The Points parameter is an array of points that give the vertices of the polygon.
Winding determines how the polygon is filled. When Winding is True, Polygon fills the shape using the Winding fill algorithm.
When Winding is False, Polygon uses the even-odd (alternative) fill algorithm.
StartIndex gives the index of the first point in the array to use. All points before this are ignored.
NumPts indicates the number of points to use, starting at StartIndex .
If NumPts is -1 (the default), Polygon uses all points from StartIndex to the end of the array.
The first point is always connected to the last point.
To draw a polygon on the canvas, without filling it, use the Polyline method, specifying the first point a second time at the end.

See also

TCanvas.PolyLine

Polyline connects a set of points on the canvas


TCanvas.Polyline

Polyline connects a set of points on the canvas

Declaration

Source position: graphics.pp line 1119

public procedure TCanvas.Polyline(

  const Points: array of TPoint;

  StartIndex: Integer;

  NumPts: Integer = - 1

);

procedure TCanvas.Polyline(

  Points: PPoint;

  NumPts: Integer

); virtual;

procedure TCanvas.Polyline(

  const Points: array of TPoint

);

Description

Method: TCanvas.Polyline
Params: Points: array of TPoint; StartIndex: Integer = 0; NumPts: Integer = -1
Returns: Nothing

Use Polyline to connect a set of points on the Canvas . If you specify only two points, Polyline draws a single line.
The Points parameter is an array of points to be connected.
StartIndex identifies the first point in the array to use.
NumPts indicates the number of points to use. If NumPts is -1 (the default), PolyLine uses all the points from StartIndex to the end of the array.
Calling the MoveTo function with the value of the first point, and then repeatedly calling LineTo with all subsequent points will draw the same image on the canvas. However, unlike LineTo , Polyline does not change the value of PenPos .

See also

TCanvas.MoveTo

TCanvas.LineTo


TCanvas.RadialPie

RadialPie uses Pie to draw a filled pie-shaped wedge on the canvas

Declaration

Source position: graphics.pp line 1102

public procedure TCanvas.RadialPie(

  x1: Integer;

  y1: Integer;

  x2: Integer;

  y2: Integer;

  StartAngle16Deg: Integer;

  Angle16DegLength: Integer

); virtual;

Description

Method: TCanvas.RadialPie
Params: x1, y1, x2, y2, StartAngle16Deg, EndAngle16Deg: Integer
Returns: Nothing

Uses Pie to draw a filled pie-shaped wedge on the canvas.
The angles StartAngle16Deg and EndAngle16Deg are 1/16th of a degree.
For example, a full circle equals 5760 (16*360).
Positive values of Angle and AngleLength mean counter-clockwise while negative values mean clockwise direction.
Zero degrees is at the 3 o'clock position

See also

TCanvas.Pie

Pie draws a filled Pie-shaped wedge on the canvas


TCanvas.RealizeAntialiasing

RealizeAntialiasing - implement the Anti-aliasing feature

Declaration

Source position: graphics.pp line 1053

protected procedure TCanvas.RealizeAntialiasing; virtual;


TCanvas.RealizeAutoRedraw

RealizeAutoRedraw - implement the AutoDraw feature

Declaration

Source position: graphics.pp line 1052

protected procedure TCanvas.RealizeAutoRedraw; virtual;


TCanvas.Rectangle

Draws a Rectangle at the specified coordinates

Declaration

Source position: graphics.pp line 1124

public procedure TCanvas.Rectangle(

  X1: Integer;

  Y1: Integer;

  X2: Integer;

  Y2: Integer

); virtual;

procedure TCanvas.Rectangle(

  const ARect: TRect

);


TCanvas.Refresh

Refresh the drawing of the Canvas

Declaration

Source position: graphics.pp line 1065

public procedure TCanvas.Refresh; virtual;


TCanvas.Region

The Regionwhere the Canvas is located

Declaration

Source position: graphics.pp line 1150

published property TCanvas.Region : TRegion
  read FRegion
  write SetRegion;


TCanvas.RegionChanging

RegionChanging - software emulation for call to OnChanging event for Region

Declaration

Source position: graphics.pp line 1051

protected procedure TCanvas.RegionChanging(

  ARegion: TObject

); virtual;


TCanvas.RequiredState

RequiredState - the set of Canvas State required (csHandleValid, csFontValid, csPenvalid, csBrushValid, csRegionValid)

Declaration

Source position: graphics.pp line 1054

protected procedure TCanvas.RequiredState(

  ReqState: TCanvasState

); virtual;


TCanvas.RestoreHandleState

RestoreHandleState - retrieves the saved state of the Handle

Declaration

Source position: graphics.pp line 1069

public procedure TCanvas.RestoreHandleState; virtual;


TCanvas.RoundRect

RoundRect - draws a rectangle at the specified position, with corners rounded by the factors RX, RY

Declaration

Source position: graphics.pp line 1126

public procedure TCanvas.RoundRect(

  X1: Integer;

  Y1: Integer;

  X2: Integer;

  Y2: Integer;

  RX: Integer;

  RY: Integer

); virtual;

procedure TCanvas.RoundRect(

  const Rect: TRect;

  RX: Integer;

  RY: Integer

);


TCanvas.SaveHandleState

SaveHandleState - stores the state of the Handle

Declaration

Source position: graphics.pp line 1068

public procedure TCanvas.SaveHandleState; virtual;


TCanvas.SetClipping

SetClipping specifies (via boolean argument) whether clipping is to be performed

Declaration

Source position: graphics.pp line 1040

protected procedure TCanvas.SetClipping(

  const AValue: Boolean

); override;


TCanvas.SetClipRect

Declaration

Source position: graphics.pp line 1038

protected procedure TCanvas.SetClipRect(

  const ARect: TRect

); override;


TCanvas.SetColor

SetColor converts the specified FPColor to a Color and applies it to the pixels at x, y

Declaration

Source position: graphics.pp line 1001

protected procedure TCanvas.SetColor(

  x: Integer;

  y: Integer;

  const Value: TFPColor

); override;

See also

TFPCustomCanvas.SetColor


TCanvas.SetHandle

SetHandle - specify a Handle

Declaration

Source position: graphics.pp line 1055

protected procedure TCanvas.SetHandle(

  NewHandle: HDC

); virtual;


TCanvas.SetHeight

SetHeight - should never be called for Canvas: raises an exception if it is called

Declaration

Source position: graphics.pp line 1003

protected procedure TCanvas.SetHeight(

  AValue: Integer

); override;

Errors

If called, raises an exception: 'TCanvas.SetHeight not allowed for LCL canvas'

See also

TFPCustomCanvas.SetHeight


TCanvas.SetInternalPenPos

SetInternalPenPos - specify position for the Pen

Declaration

Source position: graphics.pp line 1056

protected procedure TCanvas.SetInternalPenPos(

  const Value: TPoint

); virtual;


TCanvas.SetPenPos

SetPenPos moves pen to specified position

Declaration

Source position: graphics.pp line 1007

protected procedure TCanvas.SetPenPos(

  const AValue: TPoint

); override;

See also

TFPCustomCanvas.SetPenPos


TCanvas.SetPixel

SetPixel - specify a colour for the stated pixel

Declaration

Source position: graphics.pp line 1057

protected procedure TCanvas.SetPixel(

  X: Integer;

  Y: Integer;

  Value: TColor

); virtual;


TCanvas.SetWidth

SetWidth - should never be called; raises an exception if it is called

Declaration

Source position: graphics.pp line 1005

protected procedure TCanvas.SetWidth(

  AValue: Integer

); override;

Errors

Raises an exception: 'TCanvas.SetWidth not allowed for LCL canvas'

See also

TFPCustomCanvas.SetWidth


TCanvas.StretchDraw

StretchDraw - uses the Draw method of the source graphic ( TGraphic)

Declaration

Source position: graphics.pp line 1085

public procedure TCanvas.StretchDraw(

  const DestRect: TRect;

  SrcGraphic: TGraphic

); virtual;

See also

TFPCustomCanvas.StretchDraw

TGraphic.Draw

Method to Draw the Graphic on the specified Canvas, in the specified Rectangle


TCanvas.TextExtent

TextExtent - returns the total size of the specified text

Declaration

Source position: graphics.pp line 1132

public function TCanvas.TextExtent(

  const Text: string

):TSize; virtual;


TCanvas.TextFitInfo

Declaration

Source position: graphics.pp line 1135

public function TCanvas.TextFitInfo(

  const Text: string;

  MaxWidth: Integer

):Integer;


TCanvas.TextHeight

TextHeight - returns the height of the specified text

Declaration

Source position: graphics.pp line 1133

public function TCanvas.TextHeight(

  const Text: string

):Integer; virtual;


TCanvas.TextOut

Writes the Text string at the position X, Y on the canvas and leaves the pen at the end of the text; uses the ExtUTF8Out method of the current interface or widget set

Declaration

Source position: graphics.pp line 1128

public procedure TCanvas.TextOut(

  X: Integer;

  Y: Integer;

  const Text: string

); virtual;

See also

LCLIntf.ExtUTF8Out

TFPCustomCanvas.TextOut


TCanvas.TextRect

Writes Text string within a specified rectangle, according to predefined Style

Declaration

Source position: graphics.pp line 1129

public procedure TCanvas.TextRect(

  const ARect: TRect;

  X: Integer;

  Y: Integer;

  const Text: string

);

procedure TCanvas.TextRect(

  ARect: TRect;

  X: Integer;

  Y: Integer;

  const Text: string;

  const Style: TTextStyle

); virtual;

Arguments

ARect | Rectangle within which the specified text is drawn
X | Horizontal text start (respected only if TextStyle.Alignment = taLeftJustify)
Y | Vertical position of the top of the text (respected only if TextStyle.Layout = tlTop)
Text | Text to be drawn

Arguments

ARect | Rectangle within which the specified text is drawn
X | Horizontal text start (respected only if TextStyle.Alignment = taLeftJustify)
Y | Vertical position of the top of the text (respected only if TextStyle.Layout = tlTop)
Text | Text to be drawn
Style | Optional parameter which determines whether the text is justified, word-wrapped, clipped, etc. If omitted, the current TextStyle of the canvas is used.

Description

Writes Text string within a specified rectangle, according to predefined Style

The boundaries of the rectangle are specified in ARect

X, Y define the starting point for writing the Text within the rectangle.

TextStyle determines whether the text is justified, centered, word-wrapped, clipped at the rectangle boundaries, etc. If the Style argument is omitted, defaults are assumed.

Note: The exact text position depends on the specified rectangle, the TextStyle of the canvas, and the X, Y coordinates:

  • TextStyle.Alignment = taLeftJustify: Text begins at X
  • TextStyle.Alignment = taCenter: Text center is in the center of the rectangle (horizontally)
  • TextStyle.Alignment = taRightJustify: Text ends at right edge of the rectangle
  • TextStyle.Layout = tlTop: Top of the text is at Y
  • TextStyle.Layout = tlCenter: Text center is in the center of the rectangle (vertically)
  • TextStyle.Layout = tlBottom: Text sits above the the bottom edge of the rectangle


TCanvas.TextStyle

The TextStyle to be used in this Canvas

Declaration

Source position: graphics.pp line 1141

public property TCanvas.TextStyle : TTextStyle
  read FTextStyle
  write FTextStyle;


TCanvas.TextWidth

TextWidth - returns the width of the specified text

Declaration

Source position: graphics.pp line 1134

public function TCanvas.TextWidth(

  const Text: string

):Integer; virtual;


TCanvas.TryLock

TryLock - examines the Lock state, and performs Lock if necessary

Declaration

Source position: graphics.pp line 1063

public function TCanvas.TryLock: Boolean;


TCanvas.Unlock

Unlock or release a previously locked Canvas

Declaration

Source position: graphics.pp line 1064

public procedure TCanvas.Unlock; virtual;


TCanvas.Width

The Width of the Canvas

Declaration

Source position: graphics.pp line 1151

published property TCanvas.Width : Integer
  read GetWidth;

See also

TFPCustomCanvas.Width


TCanvasOrientation

Declaration

Source position: graphics.pp line 204

type TCanvasOrientation = (

  csLefttoRight,

  coRighttoLeft

);


TCanvasState

Declaration

Source position: graphics.pp line 203

type TCanvasState = set of (

  csHandleValid,

  csFontValid,

  csPenvalid,

  csBrushValid,

  csRegionValid

);


TCanvasStates

Declaration

Source position: graphics.pp line 199

type TCanvasStates = (

  csHandleValid,

  csFontValid,

  csPenvalid,

  csBrushValid,

  csRegionValid

);


TCursorImage

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

TCursorImage - an Icon to be used to represent a cursor

Declaration

Source position: graphics.pp line 1725

type TCursorImage = class(TCustomIcon)
protected
procedure HandleNeeded; override; | HandleNeeded - method to signal that a handle is required
class function GetDefaultSize; override; | GetDefaultSize - returns default size for Icon
class function GetStreamSignature; override;
class function GetSharedImageClass; override; | GetSharedImageClass - returns the class of Shared Raster Image
class function GetTypeID; override; | GetTypeID - returns Identifier for type of Icon
public
class function GetFileExtensions; override; | GetFileExtensions - returns a list of the file extensions available
function GetResourceType; override;
procedure LoadFromResourceHandle(); override;
function LazarusResourceTypeValid(); override; | Check that the Resource specified for reading or writing is a valid type - result True if it is
function ReleaseHandle; | ReleaseHandle - free the handle used for the cursor Image
procedure SetCenterHotSpot;
property HotSpot: TPoint; [rw] | HotSpot - the coordinates of the point to which the cursor refers, and which represents the 'active' position on the current form or canvas
property Handle: HCURSOR; [rw] | The Operating System Handle allocated for this cursor
end;

Inheritance

TCursorImage | TCursorImage - an Icon to be used to represent a cursor
|
TCustomIcon | TCustomIcon - base class for TIcon
|
TRasterImage | TRasterImage - base class for a number of graphic controls, including TCustomBitmap and TCustomIcon, which use a raster of dots to display graphic information
|
TGraphic | TGraphic - Base class for dealing with Graphic images
|
TPersistent,IFPObserved
|
TObject


TCursorImage
 |  | HotSpot
 |  | Handle
TCustomIcon
 |  | Current
 | ro | Count
TRasterImage
 | ro | Canvas
 |  | BitmapHandle
 |  | Masked
 |  | MaskHandle
 |  | PixelFormat
 | ro | RawImage
 | ro | ScanLine
 |  | TransparentColor
 |  | TransparentMode
TGraphic
 | ro | Empty
 |  | Height
 |  | Modified
 | ro | MimeType
 |  | Palette
 |  | PaletteModified
 |  | Transparent
 |  | Width
TPersistent
TObject


ro | Canvas (TRasterImage)
ro | Count (TCustomIcon)
 | Current (TCustomIcon)
ro | Empty (TGraphic)
 | Handle (TCursorImage)
 | Height (TGraphic)
 | HotSpot (TCursorImage)
 | Masked (TRasterImage)
 | MaskHandle (TRasterImage)
ro | MimeType (TGraphic)
 | Modified (TGraphic)
 | Palette (TGraphic)
 | PaletteModified (TGraphic)
 | PixelFormat (TRasterImage)
ro | RawImage (TRasterImage)
ro | ScanLine (TRasterImage)
 | Transparent (TGraphic)
 | TransparentColor (TRasterImage)
 | TransparentMode (TRasterImage)
 | Width (TGraphic)


TCursorImage
pt | HandleNeeded
pt | GetDefaultSize
pt | GetStreamSignature
pt | GetSharedImageClass
pt | GetTypeID
 | GetFileExtensions
 | GetResourceType
 | LoadFromResourceHandle
 | LazarusResourceTypeValid
 | ReleaseHandle
 | SetCenterHotSpot
TCustomIcon
pt | MaskHandleNeeded
pt | PaletteNeeded
pt | CanShareImage
pt | CheckRequestedSize
pt | GetIndex
pt | GetBitmapHandle
pt | GetDefaultSize
pt | GetMaskHandle
pt | GetPalette
pt | GetPixelFormat
pt | GetRawImagePtr
pt | GetRawImageDescriptionPtr
pt | GetTransparent
pt | GetSharedImageClass
pt | GetStreamSignature
pt | GetTypeID
pt | HandleNeeded
pt | InternalReleaseBitmapHandle
pt | InternalReleaseMaskHandle
pt | InternalReleasePalette
pt | ReadData
pt | ReadStream
pt | SetMasked
pt | SetPixelFormat
pt | SetTransparent
pt | UnshareImage
pt | UpdateCurrentView
pt | SetHandle
pt | UpdateHandle
pt | UpdateHandles
pt | WriteStream
 | Create
 | Add
 | Assign
 | AssignImage
 | Clear
 | Delete
 | Remove
 | GetDescription
 | SetSize
 | GetFileExtensions
 | LazarusResourceTypeValid
 | LoadFromResourceName
 | LoadFromResourceID
 | LoadFromResourceHandle
 | BitmapHandleAllocated
 | MaskHandleAllocated
 | PaletteAllocated
 | SetHandles
 | Sort
 | GetBestIndexForSize
TRasterImage
pt | CanShareImage
pt | Changed
pt | CreateDefaultBitmapHandle
pt | Draw
pt | GetEmpty
pt | GetHandle
pt | GetBitmapHandle
pt | GetMasked
pt | GetMaskHandle
pt | GetMimeType
pt | GetPixelFormat
pt | GetRawImagePtr
pt | GetRawImageDescriptionPtr
pt | GetTransparent
pt | GetSharedImageClass
pt | GetHeight
pt | GetWidth
pt | BitmapHandleNeeded
pt | HandleNeeded
pt | MaskHandleNeeded
pt | PaletteNeeded
pt | InternalReleaseBitmapHandle
pt | InternalReleaseMaskHandle
pt | InternalReleasePalette
pt | SetBitmapHandle
pt | SetMasked
pt | SetMaskHandle
pt | SetTransparent
pt | UnshareImage
pt | UpdateHandles
pt | SaveStreamNeeded
pt | FreeSaveStream
pt | ReadData
pt | ReadStream
pt | SetSize
pt | SetHandle
pt | SetHeight
pt | SetWidth
pt | SetTransparentMode
pt | SetPixelFormat
pt | WriteData
pt | WriteStream
pt | RequestTransparentColor
 | Create
 | Destroy
 | Assign
 | Clear
 | BeginUpdate
 | EndUpdate
 | FreeImage
 | BitmapHandleAllocated
 | MaskHandleAllocated
 | PaletteAllocated
 | LoadFromBitmapHandles
 | LoadFromDevice
 | LoadFromStream
 | LoadFromMimeStream
 | LoadFromRawImage
 | LoadFromIntfImage
 | SaveToStream
 | GetSupportedSourceMimeTypes
 | GetSize
 | Mask
 | SetHandles
 | ReleaseBitmapHandle
 | ReleaseMaskHandle
 | ReleasePalette
 | CreateIntfImage
 | HandleAllocated
TGraphic
pt | Changed
pt | Equals
pt | DefineProperties
pt | Draw
pt | GetEmpty
pt | GetHeight
pt | GetMimeType
pt | GetPalette
pt | GetTransparent
pt | GetWidth
pt | Progress
pt | ReadData
pt | SetHeight
pt | SetPalette
pt | SetTransparent
pt | SetWidth
pt | SetModified
pt | WriteData
 | Assign
 | Create
 | Clear
 | LazarusResourceTypeValid
 | LoadFromFile
 | LoadFromStream
 | LoadFromMimeStream
 | LoadFromLazarusResource
 | LoadFromResourceName
 | LoadFromResourceID
 | LoadFromClipboardFormat
 | LoadFromClipboardFormatID
 | SaveToFile
 | SaveToStream
 | SaveToClipboardFormat
 | SaveToClipboardFormatID
 | GetSupportedSourceMimeTypes
 | GetResourceType
 | GetFileExtensions
 | IsStreamFormatSupported
TPersistent
 | AssignError
 | AssignTo
 | DefineProperties
 | GetOwner
 | Destroy
 | Assign
 | FPOAttachObserver
 | FPODetachObserver
 | FPONotifyObservers
 | GetNamePath
TObject
 | Create
 | Destroy
 | newinstance
 | FreeInstance
 | SafeCallException
 | DefaultHandler
 | Free
 | InitInstance
 | CleanupInstance
 | ClassType
 | ClassInfo
 | ClassName
 | ClassNameIs
 | ClassParent
 | InstanceSize
 | InheritsFrom
 | StringMessageTable
 | MethodAddress
 | MethodName
 | FieldAddress
 | AfterConstruction
 | BeforeDestruction
 | DefaultHandlerStr
 | Dispatch
 | DispatchStr
 | GetInterface
 | GetInterfaceByStr
 | GetInterfaceWeak
 | GetInterfaceEntry
 | GetInterfaceEntryByStr
 | GetInterfaceTable
 | UnitName
 | Equals
 | GetHashCode
 | ToString


 | Add (TCustomIcon)
 | AfterConstruction (TObject)
 | Assign (TPersistent)
 | Assign (TGraphic)
 | Assign (TRasterImage)
 | Assign (TCustomIcon)
 | AssignError (TPersistent)
 | AssignImage (TCustomIcon)
 | AssignTo (TPersistent)
 | BeforeDestruction (TObject)
 | BeginUpdate (TRasterImage)
 | BitmapHandleAllocated (TRasterImage)
 | BitmapHandleAllocated (TCustomIcon)
pt | BitmapHandleNeeded (TRasterImage)
pt | CanShareImage (TRasterImage)
pt | CanShareImage (TCustomIcon)
pt | Changed (TGraphic)
pt | Changed (TRasterImage)
pt | CheckRequestedSize (TCustomIcon)
 | ClassInfo (TObject)
 | ClassName (TObject)
 | ClassNameIs (TObject)
 | ClassParent (TObject)
 | ClassType (TObject)
 | CleanupInstance (TObject)
 | Clear (TGraphic)
 | Clear (TRasterImage)
 | Clear (TCustomIcon)
 | Create (TObject)
 | Create (TGraphic)
 | Create (TRasterImage)
 | Create (TCustomIcon)
pt | CreateDefaultBitmapHandle (TRasterImage)
 | CreateIntfImage (TRasterImage)
 | DefaultHandler (TObject)
 | DefaultHandlerStr (TObject)
 | DefineProperties (TPersistent)
pt | DefineProperties (TGraphic)
 | Delete (TCustomIcon)
 | Destroy (TObject)
 | Destroy (TPersistent)
 | Destroy (TRasterImage)
 | Dispatch (TObject)
 | DispatchStr (TObject)
pt | Draw (TGraphic)
pt | Draw (TRasterImage)
 | EndUpdate (TRasterImage)
 | Equals (TObject)
pt | Equals (TGraphic)
 | FieldAddress (TObject)
 | FPOAttachObserver (TPersistent)
 | FPODetachObserver (TPersistent)
 | FPONotifyObservers (TPersistent)
 | Free (TObject)
 | FreeImage (TRasterImage)
 | FreeInstance (TObject)
pt | FreeSaveStream (TRasterImage)
 | GetBestIndexForSize (TCustomIcon)
pt | GetBitmapHandle (TRasterImage)
pt | GetBitmapHandle (TCustomIcon)
pt | GetDefaultSize (TCustomIcon)
pt | GetDefaultSize (TCursorImage)
 | GetDescription (TCustomIcon)
pt | GetEmpty (TGraphic)
pt | GetEmpty (TRasterImage)
 | GetFileExtensions (TGraphic)
 | GetFileExtensions (TCustomIcon)
 | GetFileExtensions (TCursorImage)
pt | GetHandle (TRasterImage)
 | GetHashCode (TObject)
pt | GetHeight (TGraphic)
pt | GetHeight (TRasterImage)
pt | GetIndex (TCustomIcon)
 | GetInterface (TObject)
 | GetInterfaceByStr (TObject)
 | GetInterfaceEntry (TObject)
 | GetInterfaceEntryByStr (TObject)
 | GetInterfaceTable (TObject)
 | GetInterfaceWeak (TObject)
pt | GetMasked (TRasterImage)
pt | GetMaskHandle (TRasterImage)
pt | GetMaskHandle (TCustomIcon)
pt | GetMimeType (TGraphic)
pt | GetMimeType (TRasterImage)
 | GetNamePath (TPersistent)
 | GetOwner (TPersistent)
pt | GetPalette (TGraphic)
pt | GetPalette (TCustomIcon)
pt | GetPixelFormat (TRasterImage)
pt | GetPixelFormat (TCustomIcon)
pt | GetRawImageDescriptionPtr (TRasterImage)
pt | GetRawImageDescriptionPtr (TCustomIcon)
pt | GetRawImagePtr (TRasterImage)
pt | GetRawImagePtr (TCustomIcon)
 | GetResourceType (TGraphic)
 | GetResourceType (TCursorImage)
pt | GetSharedImageClass (TRasterImage)
pt | GetSharedImageClass (TCustomIcon)
pt | GetSharedImageClass (TCursorImage)
 | GetSize (TRasterImage)
pt | GetStreamSignature (TCustomIcon)
pt | GetStreamSignature (TCursorImage)
 | GetSupportedSourceMimeTypes (TGraphic)
 | GetSupportedSourceMimeTypes (TRasterImage)
pt | GetTransparent (TGraphic)
pt | GetTransparent (TRasterImage)
pt | GetTransparent (TCustomIcon)
pt | GetTypeID (TCustomIcon)
pt | GetTypeID (TCursorImage)
pt | GetWidth (TGraphic)
pt | GetWidth (TRasterImage)
 | HandleAllocated (TRasterImage)
pt | HandleNeeded (TRasterImage)
pt | HandleNeeded (TCustomIcon)
pt | HandleNeeded (TCursorImage)
 | InheritsFrom (TObject)
 | InitInstance (TObject)
 | InstanceSize (TObject)
pt | InternalReleaseBitmapHandle (TRasterImage)
pt | InternalReleaseBitmapHandle (TCustomIcon)
pt | InternalReleaseMaskHandle (TRasterImage)
pt | InternalReleaseMaskHandle (TCustomIcon)
pt | InternalReleasePalette (TRasterImage)
pt | InternalReleasePalette (TCustomIcon)
 | IsStreamFormatSupported (TGraphic)
 | LazarusResourceTypeValid (TGraphic)
 | LazarusResourceTypeValid (TCustomIcon)
 | LazarusResourceTypeValid (TCursorImage)
 | LoadFromBitmapHandles (TRasterImage)
 | LoadFromClipboardFormat (TGraphic)
 | LoadFromClipboardFormatID (TGraphic)
 | LoadFromDevice (TRasterImage)
 | LoadFromFile (TGraphic)
 | LoadFromIntfImage (TRasterImage)
 | LoadFromLazarusResource (TGraphic)
 | LoadFromMimeStream (TGraphic)
 | LoadFromMimeStream (TRasterImage)
 | LoadFromRawImage (TRasterImage)
 | LoadFromResourceHandle (TCustomIcon)
 | LoadFromResourceHandle (TCursorImage)
 | LoadFromResourceID (TGraphic)
 | LoadFromResourceID (TCustomIcon)
 | LoadFromResourceName (TGraphic)
 | LoadFromResourceName (TCustomIcon)
 | LoadFromStream (TGraphic)
 | LoadFromStream (TRasterImage)
 | Mask (TRasterImage)
 | MaskHandleAllocated (TRasterImage)
 | MaskHandleAllocated (TCustomIcon)
pt | MaskHandleNeeded (TRasterImage)
pt | MaskHandleNeeded (TCustomIcon)
 | MethodAddress (TObject)
 | MethodName (TObject)
 | newinstance (TObject)
 | PaletteAllocated (TRasterImage)
 | PaletteAllocated (TCustomIcon)
pt | PaletteNeeded (TRasterImage)
pt | PaletteNeeded (TCustomIcon)
pt | Progress (TGraphic)
pt | ReadData (TGraphic)
pt | ReadData (TRasterImage)
pt | ReadData (TCustomIcon)
pt | ReadStream (TRasterImage)
pt | ReadStream (TCustomIcon)
 | ReleaseBitmapHandle (TRasterImage)
 | ReleaseHandle (TCursorImage)
 | ReleaseMaskHandle (TRasterImage)
 | ReleasePalette (TRasterImage)
 | Remove (TCustomIcon)
pt | RequestTransparentColor (TRasterImage)
 | SafeCallException (TObject)
pt | SaveStreamNeeded (TRasterImage)
 | SaveToClipboardFormat (TGraphic)
 | SaveToClipboardFormatID (TGraphic)
 | SaveToFile (TGraphic)
 | SaveToStream (TGraphic)
 | SaveToStream (TRasterImage)
pt | SetBitmapHandle (TRasterImage)
 | SetCenterHotSpot (TCursorImage)
pt | SetHandle (TRasterImage)
pt | SetHandle (TCustomIcon)
 | SetHandles (TRasterImage)
 | SetHandles (TCustomIcon)
pt | SetHeight (TGraphic)
pt | SetHeight (TRasterImage)
pt | SetMasked (TRasterImage)
pt | SetMasked (TCustomIcon)
pt | SetMaskHandle (TRasterImage)
pt | SetModified (TGraphic)
pt | SetPalette (TGraphic)
pt | SetPixelFormat (TRasterImage)
pt | SetPixelFormat (TCustomIcon)
pt | SetSize (TRasterImage)
 | SetSize (TCustomIcon)
pt | SetTransparent (TGraphic)
pt | SetTransparent (TRasterImage)
pt | SetTransparent (TCustomIcon)
pt | SetTransparentMode (TRasterImage)
pt | SetWidth (TGraphic)
pt | SetWidth (TRasterImage)
 | Sort (TCustomIcon)
 | StringMessageTable (TObject)
 | ToString (TObject)
 | UnitName (TObject)
pt | UnshareImage (TRasterImage)
pt | UnshareImage (TCustomIcon)
pt | UpdateCurrentView (TCustomIcon)
pt | UpdateHandle (TCustomIcon)
pt | UpdateHandles (TRasterImage)
pt | UpdateHandles (TCustomIcon)
pt | WriteData (TGraphic)
pt | WriteData (TRasterImage)
pt | WriteStream (TRasterImage)
pt | WriteStream (TCustomIcon)


TCursorImage
TCustomIcon
TRasterImage
TGraphic
 | OnChange
 | OnProgress
TPersistent
TObject


TCursorImage.GetResourceType

Declaration

Source position: graphics.pp line 1739

public function TCursorImage.GetResourceType: TResourceType; override;


TCursorImage.GetStreamSignature

Declaration

Source position: graphics.pp line 1734

protected class function TCursorImage.GetStreamSignature: Cardinal; override;


TCursorImage.Handle

The Operating System Handle allocated for this cursor

Declaration

Source position: graphics.pp line 1745

public property TCursorImage.Handle : HCURSOR
  read GetCursorHandle
  write SetCursorHandle;


TCursorImage.HotSpot

HotSpot - the coordinates of the point to which the cursor refers, and which represents the 'active' position on the current form or canvas

Declaration

Source position: graphics.pp line 1744

public property TCursorImage.HotSpot : TPoint
  read GetHotSpot
  write SetHotSpot;


TCursorImage.LoadFromResourceHandle

Declaration

Source position: graphics.pp line 1740

public procedure TCursorImage.LoadFromResourceHandle(

  Instance: THandle;

  ResHandle: TFPResourceHandle

); override;


TCursorImage.ReleaseHandle

ReleaseHandle - free the handle used for the cursor Image

Declaration

Source position: graphics.pp line 1742

public function TCursorImage.ReleaseHandle: HCURSOR;


TCursorImage.SetCenterHotSpot

Declaration

Source position: graphics.pp line 1743

public procedure TCursorImage.SetCenterHotSpot;


TCursorImageImage

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

TCursorImageImage - the image for a cursor, stored as an Icon

Declaration

Source position: graphics.pp line 1716

type TCursorImageImage = class(TIconImage)

public

  constructor Create(); override;

  property HotSpot: TPoint; [rw]

HotSpot - the coordinates of the point to which the cursor refers, and which represents the 'active' position on the current form or canvas

end;

Inheritance

TCursorImageImage | TCursorImageImage - the image for a cursor, stored as an Icon
|
TIconImage | TIconImage - a primitive Icon class with handles for the Bitmap, Mask and Palette
|
TObject


TCursorImageImage
 |  | HotSpot
TIconImage
 | ro | Height
 | ro | Width
 | ro | PixelFormat
 | ro | Handle
 | ro | MaskHandle
 | ro | Palette
 | ro | RawImage


ro | Handle (TIconImage)
ro | Height (TIconImage)
 | HotSpot (TCursorImageImage)
ro | MaskHandle (TIconImage)
ro | Palette (TIconImage)
ro | PixelFormat (TIconImage)
ro | RawImage (TIconImage)
ro | Width (TIconImage)


TCursorImageImage
 | Create
TIconImage
pt | RawImageNeeded
pt | UpdateFromImage
 | Create
 | Destroy
 | ReleaseHandle
 | ReleaseMaskHandle
 | ReleasePalette
 | UpdateHandles


pt | RawImageNeeded (TIconImage)
 | ReleaseHandle (TIconImage)
 | ReleaseMaskHandle (TIconImage)
 | ReleasePalette (TIconImage)
pt | UpdateFromImage (TIconImage)
 | UpdateHandles (TIconImage)


TCursorImageImage

TIconImage


TCursorImageImage.HotSpot

HotSpot - the coordinates of the point to which the cursor refers, and which represents the 'active' position on the current form or canvas

Declaration

Source position: graphics.pp line 1721

public property TCursorImageImage.HotSpot : TPoint
  read FHotSpot
  write FHotSpot;


TCustomBitmap

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

TCustomBitMap - the base class for TBitmap

Declaration

Source position: graphics.pp line 1351

type TCustomBitmap = class(TRasterImage)
protected
procedure MaskHandleNeeded; override; | MaskHandleNeeded - method to signal that a handle is required for the Mask
procedure PaletteNeeded; override; | PaletteNeeded - method to signal that a Palette is required
function CanShareImage(); override; | CanShareImage - returns True if specified class of image can be shared
procedure Changed(); override; | Changed - method to call when properties have changed
function CreateDefaultBitmapHandle(); override; | CreateDefaultBitmapHandle - returns a bitmap handle matching the description ADesc
procedure FreeMaskHandle; | FreeMaskHandle - method to release Mask handle
function GetBitmapHandle; override; | GetBitmapHandle - returns a Birmap Handle for the Image
function GetMaskHandle; override; | GetMaskHandle - returns a bitmap handle for the Mask
function GetPalette; override; | GetPalette - returns a Handle for the Palette
function GetPixelFormat; override; | GetPixelFormat - returns the pixel format for the Image
function GetRawImagePtr; override; | GetRawImagePtr - returns a pointer to the Raw Image
function GetRawImageDescriptionPtr; override; | GetRawImageDescriptionPtr - returns a pointer to a raw image description
procedure HandleNeeded; override; | HandleNeeded - method to signal that a handle is required
function InternalReleaseBitmapHandle; override; | InternalReleaseBitmapHandle - releases Bitmap Handle and returns its value
function InternalReleaseMaskHandle; override; | InternalReleaseMaskHandle - releases Mask Handle and returns its value
function InternalReleasePalette; override; | InternalReleasePalette - releases Palette Handle and returns its value
procedure RawimageNeeded(); | RawimageNeeded - method to signal that a raw image is required; if ADescOnly is True, only a descriptor is required
procedure SetHandle(); override; | SetHandle - specifies Handle for Image
procedure SetPixelFormat(); override; | SetPixelFormat - specifies the format for Pixels in this Image
procedure UnshareImage(); override; | UnshareImage - stops an image from being shared: if CopyContent is True, the Image gets copied
function UpdateHandles(); override; | UpdateHandles - called when handles are created from rawimage (true when handle changed)
public
constructor Create; override; | Create - constructor for TCustomBitmap: performs inherited Create and initialises pixel format
destructor Destroy; override; | Destroy - destructor for TCustomBitmap: frees any Mask handles, then performs inherited Destroy
procedure Assign(); override; | Assign: find out about the Source of the call.
procedure Clear; override; | Clear the resources used by the Graphic, leaving a blank Graphic
procedure FreeImage; override; | Releases all the resources used for the image that is being discarded
function LazarusResourceTypeValid(); override; | Check that the Resource specified for reading or writing is a valid type - result True if it is
function BitmapHandleAllocated; override; | BitmapHandleAllocated - returns True if a handle has been allocated for the Bitmap
function MaskHandleAllocated; override; | MaskHandleAllocated - returns True if a handle has been allocated for the Mask
function PaletteAllocated; override; | PaletteAllocated - returns True if a Palette has been allocated
function ReleaseHandle; | Release the bitmap handle, effectively freeing resources
procedure SetHandles(); override; | SetHandles - allows the user to specify handles
procedure SetSize(); override; | SetSize - allows the user to specify the size of the Bitmap
property Handle: HBITMAP; [rw] | The operating system Handle ssociated with this bitmap
property HandleType: TBitmapHandleType; [rw] | The type of system handle
property Monochrome: Boolean; [rw] | Whether using monochrome display
end;

Inheritance

TCustomBitmap | TCustomBitMap - the base class for TBitmap
|
TRasterImage | TRasterImage - base class for a number of graphic controls, including TCustomBitmap and TCustomIcon, which use a raster of dots to display graphic information
|
TGraphic | TGraphic - Base class for dealing with Graphic images
|
TPersistent,IFPObserved
|
TObject


TCustomBitmap
 |  | Handle
 |  | HandleType
 |  | Monochrome
TRasterImage
 | ro | Canvas
 |  | BitmapHandle
 |  | Masked
 |  | MaskHandle
 |  | PixelFormat
 | ro | RawImage
 | ro | ScanLine
 |  | TransparentColor
 |  | TransparentMode
TGraphic
 | ro | Empty
 |  | Height
 |  | Modified
 | ro | MimeType
 |  | Palette
 |  | PaletteModified
 |  | Transparent
 |  | Width
TPersistent
TObject


TCustomBitmap
pt | MaskHandleNeeded
pt | PaletteNeeded
pt | CanShareImage
pt | Changed
pt | CreateDefaultBitmapHandle
pt | FreeMaskHandle
pt | GetBitmapHandle
pt | GetMaskHandle
pt | GetPalette
pt | GetPixelFormat
pt | GetRawImagePtr
pt | GetRawImageDescriptionPtr
pt | HandleNeeded
pt | InternalReleaseBitmapHandle
pt | InternalReleaseMaskHandle
pt | InternalReleasePalette
pt | RawimageNeeded
pt | SetHandle
pt | SetPixelFormat
pt | UnshareImage
pt | UpdateHandles
 | Create
 | Destroy
 | Assign
 | Clear
 | FreeImage
 | LazarusResourceTypeValid
 | BitmapHandleAllocated
 | MaskHandleAllocated
 | PaletteAllocated
 | ReleaseHandle
 | SetHandles
 | SetSize
TRasterImage
pt | CanShareImage
pt | Changed
pt | CreateDefaultBitmapHandle
pt | Draw
pt | GetEmpty
pt | GetHandle
pt | GetBitmapHandle
pt | GetMasked
pt | GetMaskHandle
pt | GetMimeType
pt | GetPixelFormat
pt | GetRawImagePtr
pt | GetRawImageDescriptionPtr
pt | GetTransparent
pt | GetSharedImageClass
pt | GetHeight
pt | GetWidth
pt | BitmapHandleNeeded
pt | HandleNeeded
pt | MaskHandleNeeded
pt | PaletteNeeded
pt | InternalReleaseBitmapHandle
pt | InternalReleaseMaskHandle
pt | InternalReleasePalette
pt | SetBitmapHandle
pt | SetMasked
pt | SetMaskHandle
pt | SetTransparent
pt | UnshareImage
pt | UpdateHandles
pt | SaveStreamNeeded
pt | FreeSaveStream
pt | ReadData
pt | ReadStream
pt | SetSize
pt | SetHandle
pt | SetHeight
pt | SetWidth
pt | SetTransparentMode
pt | SetPixelFormat
pt | WriteData
pt | WriteStream
pt | RequestTransparentColor
 | Create
 | Destroy
 | Assign
 | Clear
 | BeginUpdate
 | EndUpdate
 | FreeImage
 | BitmapHandleAllocated
 | MaskHandleAllocated
 | PaletteAllocated
 | LoadFromBitmapHandles
 | LoadFromDevice
 | LoadFromStream
 | LoadFromMimeStream
 | LoadFromRawImage
 | LoadFromIntfImage
 | SaveToStream
 | GetSupportedSourceMimeTypes
 | GetSize
 | Mask
 | SetHandles
 | ReleaseBitmapHandle
 | ReleaseMaskHandle
 | ReleasePalette
 | CreateIntfImage
 | HandleAllocated
TGraphic
pt | Changed
pt | Equals
pt | DefineProperties
pt | Draw
pt | GetEmpty
pt | GetHeight
pt | GetMimeType
pt | GetPalette
pt | GetTransparent
pt | GetWidth
pt | Progress
pt | ReadData
pt | SetHeight
pt | SetPalette
pt | SetTransparent
pt | SetWidth
pt | SetModified
pt | WriteData
 | Assign
 | Create
 | Clear
 | LazarusResourceTypeValid
 | LoadFromFile
 | LoadFromStream
 | LoadFromMimeStream
 | LoadFromLazarusResource
 | LoadFromResourceName
 | LoadFromResourceID
 | LoadFromClipboardFormat
 | LoadFromClipboardFormatID
 | SaveToFile
 | SaveToStream
 | SaveToClipboardFormat
 | SaveToClipboardFormatID
 | GetSupportedSourceMimeTypes
 | GetResourceType
 | GetFileExtensions
 | IsStreamFormatSupported
TPersistent
 | AssignError
 | AssignTo
 | DefineProperties
 | GetOwner
 | Destroy
 | Assign
 | FPOAttachObserver
 | FPODetachObserver
 | FPONotifyObservers
 | GetNamePath
TObject
 | Create
 | Destroy
 | newinstance
 | FreeInstance
 | SafeCallException
 | DefaultHandler
 | Free
 | InitInstance
 | CleanupInstance
 | ClassType
 | ClassInfo
 | ClassName
 | ClassNameIs
 | ClassParent
 | InstanceSize
 | InheritsFrom
 | StringMessageTable
 | MethodAddress
 | MethodName
 | FieldAddress
 | AfterConstruction
 | BeforeDestruction
 | DefaultHandlerStr
 | Dispatch
 | DispatchStr
 | GetInterface
 | GetInterfaceByStr
 | GetInterfaceWeak
 | GetInterfaceEntry
 | GetInterfaceEntryByStr
 | GetInterfaceTable
 | UnitName
 | Equals
 | GetHashCode
 | ToString


 | AfterConstruction (TObject)
 | Assign (TPersistent)
 | Assign (TGraphic)
 | Assign (TRasterImage)
 | Assign (TCustomBitmap)
 | AssignError (TPersistent)
 | AssignTo (TPersistent)
 | BeforeDestruction (TObject)
 | BeginUpdate (TRasterImage)
 | BitmapHandleAllocated (TRasterImage)
 | BitmapHandleAllocated (TCustomBitmap)
pt | BitmapHandleNeeded (TRasterImage)
pt | CanShareImage (TRasterImage)
pt | CanShareImage (TCustomBitmap)
pt | Changed (TGraphic)
pt | Changed (TRasterImage)
pt | Changed (TCustomBitmap)
 | ClassInfo (TObject)
 | ClassName (TObject)
 | ClassNameIs (TObject)
 | ClassParent (TObject)
 | ClassType (TObject)
 | CleanupInstance (TObject)
 | Clear (TGraphic)
 | Clear (TRasterImage)
 | Clear (TCustomBitmap)
 | Create (TObject)
 | Create (TGraphic)
 | Create (TRasterImage)
 | Create (TCustomBitmap)
pt | CreateDefaultBitmapHandle (TRasterImage)
pt | CreateDefaultBitmapHandle (TCustomBitmap)
 | CreateIntfImage (TRasterImage)
 | DefaultHandler (TObject)
 | DefaultHandlerStr (TObject)
 | DefineProperties (TPersistent)
pt | DefineProperties (TGraphic)
 | Destroy (TObject)
 | Destroy (TPersistent)
 | Destroy (TRasterImage)
 | Destroy (TCustomBitmap)
 | Dispatch (TObject)
 | DispatchStr (TObject)
pt | Draw (TGraphic)
pt | Draw (TRasterImage)
 | EndUpdate (TRasterImage)
 | Equals (TObject)
pt | Equals (TGraphic)
 | FieldAddress (TObject)
 | FPOAttachObserver (TPersistent)
 | FPODetachObserver (TPersistent)
 | FPONotifyObservers (TPersistent)
 | Free (TObject)
 | FreeImage (TRasterImage)
 | FreeImage (TCustomBitmap)
 | FreeInstance (TObject)
pt | FreeMaskHandle (TCustomBitmap)
pt | FreeSaveStream (TRasterImage)
pt | GetBitmapHandle (TRasterImage)
pt | GetBitmapHandle (TCustomBitmap)
pt | GetEmpty (TGraphic)
pt | GetEmpty (TRasterImage)
 | GetFileExtensions (TGraphic)
pt | GetHandle (TRasterImage)
 | GetHashCode (TObject)
pt | GetHeight (TGraphic)
pt | GetHeight (TRasterImage)
 | GetInterface (TObject)
 | GetInterfaceByStr (TObject)
 | GetInterfaceEntry (TObject)
 | GetInterfaceEntryByStr (TObject)
 | GetInterfaceTable (TObject)
 | GetInterfaceWeak (TObject)
pt | GetMasked (TRasterImage)
pt | GetMaskHandle (TRasterImage)
pt | GetMaskHandle (TCustomBitmap)
pt | GetMimeType (TGraphic)
pt | GetMimeType (TRasterImage)
 | GetNamePath (TPersistent)
 | GetOwner (TPersistent)
pt | GetPalette (TGraphic)
pt | GetPalette (TCustomBitmap)
pt | GetPixelFormat (TRasterImage)
pt | GetPixelFormat (TCustomBitmap)
pt | GetRawImageDescriptionPtr (TRasterImage)
pt | GetRawImageDescriptionPtr (TCustomBitmap)
pt | GetRawImagePtr (TRasterImage)
pt | GetRawImagePtr (TCustomBitmap)
 | GetResourceType (TGraphic)
pt | GetSharedImageClass (TRasterImage)
 | GetSize (TRasterImage)
 | GetSupportedSourceMimeTypes (TGraphic)
 | GetSupportedSourceMimeTypes (TRasterImage)
pt | GetTransparent (TGraphic)
pt | GetTransparent (TRasterImage)
pt | GetWidth (TGraphic)
pt | GetWidth (TRasterImage)
 | HandleAllocated (TRasterImage)
pt | HandleNeeded (TRasterImage)
pt | HandleNeeded (TCustomBitmap)
 | InheritsFrom (TObject)
 | InitInstance (TObject)
 | InstanceSize (TObject)
pt | InternalReleaseBitmapHandle (TRasterImage)
pt | InternalReleaseBitmapHandle (TCustomBitmap)
pt | InternalReleaseMaskHandle (TRasterImage)
pt | InternalReleaseMaskHandle (TCustomBitmap)
pt | InternalReleasePalette (TRasterImage)
pt | InternalReleasePalette (TCustomBitmap)
 | IsStreamFormatSupported (TGraphic)
 | LazarusResourceTypeValid (TGraphic)
 | LazarusResourceTypeValid (TCustomBitmap)
 | LoadFromBitmapHandles (TRasterImage)
 | LoadFromClipboardFormat (TGraphic)
 | LoadFromClipboardFormatID (TGraphic)
 | LoadFromDevice (TRasterImage)
 | LoadFromFile (TGraphic)
 | LoadFromIntfImage (TRasterImage)
 | LoadFromLazarusResource (TGraphic)
 | LoadFromMimeStream (TGraphic)
 | LoadFromMimeStream (TRasterImage)
 | LoadFromRawImage (TRasterImage)
 | LoadFromResourceID (TGraphic)
 | LoadFromResourceName (TGraphic)
 | LoadFromStream (TGraphic)
 | LoadFromStream (TRasterImage)
 | Mask (TRasterImage)
 | MaskHandleAllocated (TRasterImage)
 | MaskHandleAllocated (TCustomBitmap)
pt | MaskHandleNeeded (TRasterImage)
pt | MaskHandleNeeded (TCustomBitmap)
 | MethodAddress (TObject)
 | MethodName (TObject)
 | newinstance (TObject)
 | PaletteAllocated (TRasterImage)
 | PaletteAllocated (TCustomBitmap)
pt | PaletteNeeded (TRasterImage)
pt | PaletteNeeded (TCustomBitmap)
pt | Progress (TGraphic)
pt | RawimageNeeded (TCustomBitmap)
pt | ReadData (TGraphic)
pt | ReadData (TRasterImage)
pt | ReadStream (TRasterImage)
 | ReleaseBitmapHandle (TRasterImage)
 | ReleaseHandle (TCustomBitmap)
 | ReleaseMaskHandle (TRasterImage)
 | ReleasePalette (TRasterImage)
pt | RequestTransparentColor (TRasterImage)
 | SafeCallException (TObject)
pt | SaveStreamNeeded (TRasterImage)
 | SaveToClipboardFormat (TGraphic)
 | SaveToClipboardFormatID (TGraphic)
 | SaveToFile (TGraphic)
 | SaveToStream (TGraphic)
 | SaveToStream (TRasterImage)
pt | SetBitmapHandle (TRasterImage)
pt | SetHandle (TRasterImage)
pt | SetHandle (TCustomBitmap)
 | SetHandles (TRasterImage)
 | SetHandles (TCustomBitmap)
pt | SetHeight (TGraphic)
pt | SetHeight (TRasterImage)
pt | SetMasked (TRasterImage)
pt | SetMaskHandle (TRasterImage)
pt | SetModified (TGraphic)
pt | SetPalette (TGraphic)
pt | SetPixelFormat (TRasterImage)
pt | SetPixelFormat (TCustomBitmap)
pt | SetSize (TRasterImage)
 | SetSize (TCustomBitmap)
pt | SetTransparent (TGraphic)
pt | SetTransparent (TRasterImage)
pt | SetTransparentMode (TRasterImage)
pt | SetWidth (TGraphic)
pt | SetWidth (TRasterImage)
 | StringMessageTable (TObject)
 | ToString (TObject)
 | UnitName (TObject)
pt | UnshareImage (TRasterImage)
pt | UnshareImage (TCustomBitmap)
pt | UpdateHandles (TRasterImage)
pt | UpdateHandles (TCustomBitmap)
pt | WriteData (TGraphic)
pt | WriteData (TRasterImage)
pt | WriteStream (TRasterImage)


TCustomBitmap
TRasterImage
TGraphic
 | OnChange
 | OnProgress
TPersistent
TObject


TCustomBitmap.Assign

Assign: find out about the Source of the call.

Declaration

Source position: graphics.pp line 1387

public procedure TCustomBitmap.Assign(

  Source: TPersistent

); override;

Arguments

Source

The Source control (usually a Bitmap) for the Assign procedure

Description

Assign: find out about the Source of the call.

If the BitMap data are already in use, the data are shared; if not, a new BitMap is produced


TCustomBitmap.Create

Create - constructor for TCustomBitmap: performs inherited Create and initialises pixel format

Declaration

Source position: graphics.pp line 1385

public constructor TCustomBitmap.Create; override;

Description

BitMap constructor. The supplied code can override the definition from ancestor classes

See also

TObject.Create


TCustomBitmap.Destroy

Destroy - destructor for TCustomBitmap: frees any Mask handles, then performs inherited Destroy

Declaration

Source position: graphics.pp line 1386

public destructor TCustomBitmap.Destroy; override;

Description

BitMap destructor. The supplied code can override the method defined for ancestor classes

See also

TPersistent.Destroy


TCustomBitmap.FreeImage

Releases all the resources used for the image that is being discarded

Declaration

Source position: graphics.pp line 1389

public procedure TCustomBitmap.FreeImage; override;


TCustomBitmap.FreeMaskHandle

FreeMaskHandle - method to release Mask handle

Declaration

Source position: graphics.pp line 1368

protected procedure TCustomBitmap.FreeMaskHandle;


TCustomBitmap.Handle

The operating system Handle ssociated with this bitmap

Declaration

Source position: graphics.pp line 1399

public property TCustomBitmap.Handle : HBITMAP
  read GetBitmapHandle
  write SetBitmapHandle;


TCustomBitmap.HandleType

The type of system handle

Declaration

Source position: graphics.pp line 1400

public property TCustomBitmap.HandleType : TBitmapHandleType
  read GetHandleType
  write SetHandleType;


TCustomBitmap.Monochrome

Whether using monochrome display

Declaration

Source position: graphics.pp line 1401

public property TCustomBitmap.Monochrome : Boolean
  read GetMonochrome
  write SetMonochrome;


TCustomBitmap.RawimageNeeded

RawimageNeeded - method to signal that a raw image is required; if ADescOnly is True, only a descriptor is required

Declaration

Source position: graphics.pp line 1379

protected procedure TCustomBitmap.RawimageNeeded(

  ADescOnly: Boolean

);


TCustomBitmap.ReleaseHandle

Release the bitmap handle, effectively freeing resources

Declaration

Source position: graphics.pp line 1394

public function TCustomBitmap.ReleaseHandle: HBITMAP;

Function result

Returns True if handle has been correctly released


TCustomBitmap.SetSize

SetSize - allows the user to specify the size of the Bitmap

Declaration

Source position: graphics.pp line 1397

public procedure TCustomBitmap.SetSize(

  AWidth: Integer;

  AHeight: Integer

); override;

See also

TRasterImage.SetSize

SetSize - specifies height and width of Image


TCustomBitmapClass

Declaration

Source position: graphics.pp line 421

type TCustomBitmapClass = class of TCustomBitmap;


TCustomIcon

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

TCustomIcon - base class for TIcon

Declaration

Source position: graphics.pp line 1580

type TCustomIcon = class(TRasterImage)
protected
FCurrent: Integer; | FCurrent - local variable to hold current sequence number
FRequestedSize: TSize; | FRequestedSize - local variable to hold requested size of Icon
procedure MaskHandleNeeded; override; | MaskHandleNeeded - method to signal that a handle is required for the Mask
procedure PaletteNeeded; override; | PaletteNeeded - method to signal that a Palette is required
function CanShareImage(); override; | CanShareImage - returns True if specified class of image can be shared
procedure CheckRequestedSize; | CheckRequestedSize - method to ensure correct size requested
function GetIndex(); | GetIndex - returns the Index value of the Icon with specified format and size (.icn files can contain several versions of image)
function GetBitmapHandle; override; | GetBitmapHandle - returns a Birmap Handle for the Image
class function GetDefaultSize; virtual; | GetDefaultSize - returns default size for Icon
function GetMaskHandle; override; | GetMaskHandle - returns a bitmap handle for the Mask
function GetPalette; override; | GetPalette - returns a Handle for the Palette
function GetPixelFormat; override; | GetPixelFormat - returns the pixel format for the Image
function GetRawImagePtr; override; | GetRawImagePtr - returns a pointer to the Raw Image
function GetRawImageDescriptionPtr; override; | GetRawImageDescriptionPtr - returns a pointer to a raw image description
function GetTransparent; override; | GetTransparent - returns True if the graphic is transparent
class function GetSharedImageClass; override; | GetSharedImageClass - returns the class of Shared Raster Image
class function GetStreamSignature; virtual;
class function GetTypeID; virtual; | GetTypeID - returns Identifier for type of Icon
procedure HandleNeeded; override; | HandleNeeded - method to signal that a handle is required
function InternalReleaseBitmapHandle; override; | InternalReleaseBitmapHandle - releases Bitmap Handle and returns its value
function InternalReleaseMaskHandle; override; | InternalReleaseMaskHandle - releases Mask Handle and returns its value
function InternalReleasePalette; override; | InternalReleasePalette - releases Palette Handle and returns its value
procedure ReadData(); override; | ReadData - reads data for the Graphic from a stream
procedure ReadStream(); override; | ReadStream - loads imagedata into rawimage, this method shouldn't call changed()
procedure SetMasked(); override; | SetMasked - specifies if the image is to be masked
procedure SetPixelFormat(); override; | SetPixelFormat - specifies the format for Pixels in this Image
procedure SetTransparent(); override;
procedure UnshareImage(); override; | UnshareImage - stops an image from being shared: if CopyContent is True, the Image gets copied
procedure UpdateCurrentView; | UpdateCurrentView - updates the current appearance of the Icon
procedure SetHandle(); override;
function UpdateHandle(); virtual;
function UpdateHandles(); override; | UpdateHandles - called when handles are created from rawimage (true when handle changed)
procedure WriteStream(); override; | WriteStream - specifies which stream to be used for writing
public
constructor Create; override; | Create - constructor for TGraphic: calls inherited Create
procedure Add(); | Add - an Icon formatted as AFormat, with specified Height and Width
procedure Assign(); override; | Assign checks if Source is correct data type, then copies image data
procedure AssignImage(); virtual; | AssignImage - copies information from the source image to the current one
procedure Clear; override; | Clear the Icon and release its resources
procedure Delete(); | Delete the indexed Icon
procedure Remove(); | Remove the Icon specified by AFormat, AHeight and AWidth
procedure GetDescription(); | GetDescription - find the description for the Icon
procedure SetSize(); override; | SetSize - write the size (width, height) of the Icon
class function GetFileExtensions; override; | GetFileExtensions returns valid file extensions, in this case 'ico'
function LazarusResourceTypeValid(); override; | Check that the Resource specified for reading or writing is a valid type - result True if it is
procedure LoadFromResourceName(); override;
procedure LoadFromResourceID(); override;
procedure LoadFromResourceHandle(); virtual;
function BitmapHandleAllocated; override; | BitmapHandleAllocated - returns True if a handle has been allocated for the Bitmap
function MaskHandleAllocated; override; | MaskHandleAllocated - returns True if a handle has been allocated for the Mask
function PaletteAllocated; override; | PaletteAllocated - returns True if a Palette has been allocated
procedure SetHandles(); override; | SetHandles - allows the user to specify handles
procedure Sort;
function GetBestIndexForSize(); | GetBestIndexForSize - returns the best estimate of the index value for size
property Current: Integer; [rw] | Current - the sequence number of the current Icon
property Count: Integer; [r] | Count - the number of references to this Icon
end;

Inheritance

TCustomIcon | TCustomIcon - base class for TIcon
|
TRasterImage | TRasterImage - base class for a number of graphic controls, including TCustomBitmap and TCustomIcon, which use a raster of dots to display graphic information
|
TGraphic | TGraphic - Base class for dealing with Graphic images
|
TPersistent,IFPObserved
|
TObject


TCustomIcon
 |  | Current
 | ro | Count
TRasterImage
 | ro | Canvas
 |  | BitmapHandle
 |  | Masked
 |  | MaskHandle
 |  | PixelFormat
 | ro | RawImage
 | ro | ScanLine
 |  | TransparentColor
 |  | TransparentMode
TGraphic
 | ro | Empty
 |  | Height
 |  | Modified
 | ro | MimeType
 |  | Palette
 |  | PaletteModified
 |  | Transparent
 |  | Width
TPersistent
TObject


ro | Canvas (TRasterImage)
ro | Count (TCustomIcon)
 | Current (TCustomIcon)
ro | Empty (TGraphic)
 | Height (TGraphic)
 | Masked (TRasterImage)
 | MaskHandle (TRasterImage)
ro | MimeType (TGraphic)
 | Modified (TGraphic)
 | Palette (TGraphic)
 | PaletteModified (TGraphic)
 | PixelFormat (TRasterImage)
ro | RawImage (TRasterImage)
ro | ScanLine (TRasterImage)
 | Transparent (TGraphic)
 | TransparentColor (TRasterImage)
 | TransparentMode (TRasterImage)
 | Width (TGraphic)


TCustomIcon
pt | MaskHandleNeeded
pt | PaletteNeeded
pt | CanShareImage
pt | CheckRequestedSize
pt | GetIndex
pt | GetBitmapHandle
pt | GetDefaultSize
pt | GetMaskHandle
pt | GetPalette
pt | GetPixelFormat
pt | GetRawImagePtr
pt | GetRawImageDescriptionPtr
pt | GetTransparent
pt | GetSharedImageClass
pt | GetStreamSignature
pt | GetTypeID
pt | HandleNeeded
pt | InternalReleaseBitmapHandle
pt | InternalReleaseMaskHandle
pt | InternalReleasePalette
pt | ReadData
pt | ReadStream
pt | SetMasked
pt | SetPixelFormat
pt | SetTransparent
pt | UnshareImage
pt | UpdateCurrentView
pt | SetHandle
pt | UpdateHandle
pt | UpdateHandles
pt | WriteStream
 | Create
 | Add
 | Assign
 | AssignImage
 | Clear
 | Delete
 | Remove
 | GetDescription
 | SetSize
 | GetFileExtensions
 | LazarusResourceTypeValid
 | LoadFromResourceName
 | LoadFromResourceID
 | LoadFromResourceHandle
 | BitmapHandleAllocated
 | MaskHandleAllocated
 | PaletteAllocated
 | SetHandles
 | Sort
 | GetBestIndexForSize
TRasterImage
pt | CanShareImage
pt | Changed
pt | CreateDefaultBitmapHandle
pt | Draw
pt | GetEmpty
pt | GetHandle
pt | GetBitmapHandle
pt | GetMasked
pt | GetMaskHandle
pt | GetMimeType
pt | GetPixelFormat
pt | GetRawImagePtr
pt | GetRawImageDescriptionPtr
pt | GetTransparent
pt | GetSharedImageClass
pt | GetHeight
pt | GetWidth
pt | BitmapHandleNeeded
pt | HandleNeeded
pt | MaskHandleNeeded
pt | PaletteNeeded
pt | InternalReleaseBitmapHandle
pt | InternalReleaseMaskHandle
pt | InternalReleasePalette
pt | SetBitmapHandle
pt | SetMasked
pt | SetMaskHandle
pt | SetTransparent
pt | UnshareImage
pt | UpdateHandles
pt | SaveStreamNeeded
pt | FreeSaveStream
pt | ReadData
pt | ReadStream
pt | SetSize
pt | SetHandle
pt | SetHeight
pt | SetWidth
pt | SetTransparentMode
pt | SetPixelFormat
pt | WriteData
pt | WriteStream
pt | RequestTransparentColor
 | Create
 | Destroy
 | Assign
 | Clear
 | BeginUpdate
 | EndUpdate
 | FreeImage
 | BitmapHandleAllocated
 | MaskHandleAllocated
 | PaletteAllocated
 | LoadFromBitmapHandles
 | LoadFromDevice
 | LoadFromStream
 | LoadFromMimeStream
 | LoadFromRawImage
 | LoadFromIntfImage
 | SaveToStream
 | GetSupportedSourceMimeTypes
 | GetSize
 | Mask
 | SetHandles
 | ReleaseBitmapHandle
 | ReleaseMaskHandle
 | ReleasePalette
 | CreateIntfImage
 | HandleAllocated
TGraphic
pt | Changed
pt | Equals
pt | DefineProperties
pt | Draw
pt | GetEmpty
pt | GetHeight
pt | GetMimeType
pt | GetPalette
pt | GetTransparent
pt | GetWidth
pt | Progress
pt | ReadData
pt | SetHeight
pt | SetPalette
pt | SetTransparent
pt | SetWidth
pt | SetModified
pt | WriteData
 | Assign
 | Create
 | Clear
 | LazarusResourceTypeValid
 | LoadFromFile
 | LoadFromStream
 | LoadFromMimeStream
 | LoadFromLazarusResource
 | LoadFromResourceName
 | LoadFromResourceID
 | LoadFromClipboardFormat
 | LoadFromClipboardFormatID
 | SaveToFile
 | SaveToStream
 | SaveToClipboardFormat
 | SaveToClipboardFormatID
 | GetSupportedSourceMimeTypes
 | GetResourceType
 | GetFileExtensions
 | IsStreamFormatSupported
TPersistent
 | AssignError
 | AssignTo
 | DefineProperties
 | GetOwner
 | Destroy
 | Assign
 | FPOAttachObserver
 | FPODetachObserver
 | FPONotifyObservers
 | GetNamePath
TObject
 | Create
 | Destroy
 | newinstance
 | FreeInstance
 | SafeCallException
 | DefaultHandler
 | Free
 | InitInstance
 | CleanupInstance
 | ClassType
 | ClassInfo
 | ClassName
 | ClassNameIs
 | ClassParent
 | InstanceSize
 | InheritsFrom
 | StringMessageTable
 | MethodAddress
 | MethodName
 | FieldAddress
 | AfterConstruction
 | BeforeDestruction
 | DefaultHandlerStr
 | Dispatch
 | DispatchStr
 | GetInterface
 | GetInterfaceByStr
 | GetInterfaceWeak
 | GetInterfaceEntry
 | GetInterfaceEntryByStr
 | GetInterfaceTable
 | UnitName
 | Equals
 | GetHashCode
 | ToString


 | Add (TCustomIcon)
 | AfterConstruction (TObject)
 | Assign (TPersistent)
 | Assign (TGraphic)
 | Assign (TRasterImage)
 | Assign (TCustomIcon)
 | AssignError (TPersistent)
 | AssignImage (TCustomIcon)
 | AssignTo (TPersistent)
 | BeforeDestruction (TObject)
 | BeginUpdate (TRasterImage)
 | BitmapHandleAllocated (TRasterImage)
 | BitmapHandleAllocated (TCustomIcon)
pt | BitmapHandleNeeded (TRasterImage)
pt | CanShareImage (TRasterImage)
pt | CanShareImage (TCustomIcon)
pt | Changed (TGraphic)
pt | Changed (TRasterImage)
pt | CheckRequestedSize (TCustomIcon)
 | ClassInfo (TObject)
 | ClassName (TObject)
 | ClassNameIs (TObject)
 | ClassParent (TObject)
 | ClassType (TObject)
 | CleanupInstance (TObject)
 | Clear (TGraphic)
 | Clear (TRasterImage)
 | Clear (TCustomIcon)
 | Create (TObject)
 | Create (TGraphic)
 | Create (TRasterImage)
 | Create (TCustomIcon)
pt | CreateDefaultBitmapHandle (TRasterImage)
 | CreateIntfImage (TRasterImage)
 | DefaultHandler (TObject)
 | DefaultHandlerStr (TObject)
 | DefineProperties (TPersistent)
pt | DefineProperties (TGraphic)
 | Delete (TCustomIcon)
 | Destroy (TObject)
 | Destroy (TPersistent)
 | Destroy (TRasterImage)
 | Dispatch (TObject)
 | DispatchStr (TObject)
pt | Draw (TGraphic)
pt | Draw (TRasterImage)
 | EndUpdate (TRasterImage)
 | Equals (TObject)
pt | Equals (TGraphic)
 | FieldAddress (TObject)
 | FPOAttachObserver (TPersistent)
 | FPODetachObserver (TPersistent)
 | FPONotifyObservers (TPersistent)
 | Free (TObject)
 | FreeImage (TRasterImage)
 | FreeInstance (TObject)
pt | FreeSaveStream (TRasterImage)
 | GetBestIndexForSize (TCustomIcon)
pt | GetBitmapHandle (TRasterImage)
pt | GetBitmapHandle (TCustomIcon)
pt | GetDefaultSize (TCustomIcon)
 | GetDescription (TCustomIcon)
pt | GetEmpty (TGraphic)
pt | GetEmpty (TRasterImage)
 | GetFileExtensions (TGraphic)
 | GetFileExtensions (TCustomIcon)
pt | GetHandle (TRasterImage)
 | GetHashCode (TObject)
pt | GetHeight (TGraphic)
pt | GetHeight (TRasterImage)
pt | GetIndex (TCustomIcon)
 | GetInterface (TObject)
 | GetInterfaceByStr (TObject)
 | GetInterfaceEntry (TObject)
 | GetInterfaceEntryByStr (TObject)
 | GetInterfaceTable (TObject)
 | GetInterfaceWeak (TObject)
pt | GetMasked (TRasterImage)
pt | GetMaskHandle (TRasterImage)
pt | GetMaskHandle (TCustomIcon)
pt | GetMimeType (TGraphic)
pt | GetMimeType (TRasterImage)
 | GetNamePath (TPersistent)
 | GetOwner (TPersistent)
pt | GetPalette (TGraphic)
pt | GetPalette (TCustomIcon)
pt | GetPixelFormat (TRasterImage)
pt | GetPixelFormat (TCustomIcon)
pt | GetRawImageDescriptionPtr (TRasterImage)
pt | GetRawImageDescriptionPtr (TCustomIcon)
pt | GetRawImagePtr (TRasterImage)
pt | GetRawImagePtr (TCustomIcon)
 | GetResourceType (TGraphic)
pt | GetSharedImageClass (TRasterImage)
pt | GetSharedImageClass (TCustomIcon)
 | GetSize (TRasterImage)
pt | GetStreamSignature (TCustomIcon)
 | GetSupportedSourceMimeTypes (TGraphic)
 | GetSupportedSourceMimeTypes (TRasterImage)
pt | GetTransparent (TGraphic)
pt | GetTransparent (TRasterImage)
pt | GetTransparent (TCustomIcon)
pt | GetTypeID (TCustomIcon)
pt | GetWidth (TGraphic)
pt | GetWidth (TRasterImage)
 | HandleAllocated (TRasterImage)
pt | HandleNeeded (TRasterImage)
pt | HandleNeeded (TCustomIcon)
 | InheritsFrom (TObject)
 | InitInstance (TObject)
 | InstanceSize (TObject)
pt | InternalReleaseBitmapHandle (TRasterImage)
pt | InternalReleaseBitmapHandle (TCustomIcon)
pt | InternalReleaseMaskHandle (TRasterImage)
pt | InternalReleaseMaskHandle (TCustomIcon)
pt | InternalReleasePalette (TRasterImage)
pt | InternalReleasePalette (TCustomIcon)
 | IsStreamFormatSupported (TGraphic)
 | LazarusResourceTypeValid (TGraphic)
 | LazarusResourceTypeValid (TCustomIcon)
 | LoadFromBitmapHandles (TRasterImage)
 | LoadFromClipboardFormat (TGraphic)
 | LoadFromClipboardFormatID (TGraphic)
 | LoadFromDevice (TRasterImage)
 | LoadFromFile (TGraphic)
 | LoadFromIntfImage (TRasterImage)
 | LoadFromLazarusResource (TGraphic)
 | LoadFromMimeStream (TGraphic)
 | LoadFromMimeStream (TRasterImage)
 | LoadFromRawImage (TRasterImage)
 | LoadFromResourceHandle (TCustomIcon)
 | LoadFromResourceID (TGraphic)
 | LoadFromResourceID (TCustomIcon)
 | LoadFromResourceName (TGraphic)
 | LoadFromResourceName (TCustomIcon)
 | LoadFromStream (TGraphic)
 | LoadFromStream (TRasterImage)
 | Mask (TRasterImage)
 | MaskHandleAllocated (TRasterImage)
 | MaskHandleAllocated (TCustomIcon)
pt | MaskHandleNeeded (TRasterImage)
pt | MaskHandleNeeded (TCustomIcon)
 | MethodAddress (TObject)
 | MethodName (TObject)
 | newinstance (TObject)
 | PaletteAllocated (TRasterImage)
 | PaletteAllocated (TCustomIcon)
pt | PaletteNeeded (TRasterImage)
pt | PaletteNeeded (TCustomIcon)
pt | Progress (TGraphic)
pt | ReadData (TGraphic)
pt | ReadData (TRasterImage)
pt | ReadData (TCustomIcon)
pt | ReadStream (TRasterImage)
pt | ReadStream (TCustomIcon)
 | ReleaseBitmapHandle (TRasterImage)
 | ReleaseMaskHandle (TRasterImage)
 | ReleasePalette (TRasterImage)
 | Remove (TCustomIcon)
pt | RequestTransparentColor (TRasterImage)
 | SafeCallException (TObject)
pt | SaveStreamNeeded (TRasterImage)
 | SaveToClipboardFormat (TGraphic)
 | SaveToClipboardFormatID (TGraphic)
 | SaveToFile (TGraphic)
 | SaveToStream (TGraphic)
 | SaveToStream (TRasterImage)
pt | SetBitmapHandle (TRasterImage)
pt | SetHandle (TRasterImage)
pt | SetHandle (TCustomIcon)
 | SetHandles (TRasterImage)
 | SetHandles (TCustomIcon)
pt | SetHeight (TGraphic)
pt | SetHeight (TRasterImage)
pt | SetMasked (TRasterImage)
pt | SetMasked (TCustomIcon)
pt | SetMaskHandle (TRasterImage)
pt | SetModified (TGraphic)
pt | SetPalette (TGraphic)
pt | SetPixelFormat (TRasterImage)
pt | SetPixelFormat (TCustomIcon)
pt | SetSize (TRasterImage)
 | SetSize (TCustomIcon)
pt | SetTransparent (TGraphic)
pt | SetTransparent (TRasterImage)
pt | SetTransparent (TCustomIcon)
pt | SetTransparentMode (TRasterImage)
pt | SetWidth (TGraphic)
pt | SetWidth (TRasterImage)
 | Sort (TCustomIcon)
 | StringMessageTable (TObject)
 | ToString (TObject)
 | UnitName (TObject)
pt | UnshareImage (TRasterImage)
pt | UnshareImage (TCustomIcon)
pt | UpdateCurrentView (TCustomIcon)
pt | UpdateHandle (TCustomIcon)
pt | UpdateHandles (TRasterImage)
pt | UpdateHandles (TCustomIcon)
pt | WriteData (TGraphic)
pt | WriteData (TRasterImage)
pt | WriteStream (TRasterImage)
pt | WriteStream (TCustomIcon)


TCustomIcon
TRasterImage
TGraphic
 | OnChange
 | OnProgress
TPersistent
TObject


TCustomIcon.Add

Add - an Icon formatted as AFormat, with specified Height and Width

Declaration

Source position: graphics.pp line 1621

public procedure TCustomIcon.Add(

  AFormat: TPixelFormat;

  AHeight: Word;

  AWidth: Word

);


TCustomIcon.Assign

Assign checks if Source is correct data type, then copies image data

Declaration

Source position: graphics.pp line 1622

public procedure TCustomIcon.Assign(

  Source: TPersistent

); override;

See also

TPersistent.Assign


TCustomIcon.AssignImage

AssignImage - copies information from the source image to the current one

Declaration

Source position: graphics.pp line 1623

public procedure TCustomIcon.AssignImage(

  ASource: TRasterImage

); virtual;


TCustomIcon.CheckRequestedSize

CheckRequestedSize - method to ensure correct size requested

Declaration

Source position: graphics.pp line 1590

protected procedure TCustomIcon.CheckRequestedSize;


TCustomIcon.Clear

Clear the Icon and release its resources

Declaration

Source position: graphics.pp line 1624

public procedure TCustomIcon.Clear; override;

See also

TGraphic.Clear

Clear the resources used by the Graphic, leaving a blank Graphic


TCustomIcon.Count

Count - the number of references to this Icon

Declaration

Source position: graphics.pp line 1642

public property TCustomIcon.Count : Integer
  read GetCount;


TCustomIcon.Current

Current - the sequence number of the current Icon

Declaration

Source position: graphics.pp line 1641

public property TCustomIcon.Current : Integer
  read FCurrent
  write SetCurrent;


TCustomIcon.Delete

Delete the indexed Icon

Declaration

Source position: graphics.pp line 1625

public procedure TCustomIcon.Delete(

  Aindex: Integer

);


TCustomIcon.FCurrent

FCurrent - local variable to hold current sequence number

Declaration

Source position: graphics.pp line 1585

protected TCustomIcon.FCurrent : Integer;


TCustomIcon.FRequestedSize

FRequestedSize - local variable to hold requested size of Icon

Declaration

Source position: graphics.pp line 1586

protected TCustomIcon.FRequestedSize : TSize;


TCustomIcon.GetBestIndexForSize

GetBestIndexForSize - returns the best estimate of the index value for size

Declaration

Source position: graphics.pp line 1639

public function TCustomIcon.GetBestIndexForSize(

  ASize: TSize

):Integer;


TCustomIcon.GetDefaultSize

GetDefaultSize - returns default size for Icon

Declaration

Source position: graphics.pp line 1593

protected class function TCustomIcon.GetDefaultSize: TSize; virtual;


TCustomIcon.GetDescription

GetDescription - find the description for the Icon

Declaration

Source position: graphics.pp line 1627

public procedure TCustomIcon.GetDescription(

  Aindex: Integer;

  out AFormat: TPixelFormat;

  out AHeight: Word;

  out AWidth: Word

);

Arguments

Aindex | Aindex - the Index value for the Icon
AFormat | AFormat - the Pixel Format for the Icon
AHeight | AHeight - the height of the Icon
AWidth | AWidth - the width of the Icon


TCustomIcon.GetFileExtensions

GetFileExtensions returns valid file extensions, in this case 'ico'

Declaration

Source position: graphics.pp line 1629

public class function TCustomIcon.GetFileExtensions: string; override;

See also

TGraphic.GetFileExtensions

GetFileExtensions - returns a list of the file extensions available


TCustomIcon.GetIndex

GetIndex - returns the Index value of the Icon with specified format and size (.icn files can contain several versions of image)

Declaration

Source position: graphics.pp line 1591

protected function TCustomIcon.GetIndex(

  AFormat: TPixelFormat;

  AHeight: Word;

  AWidth: Word

):Integer;


TCustomIcon.GetStreamSignature

Declaration

Source position: graphics.pp line 1601

protected class function TCustomIcon.GetStreamSignature: Cardinal; virtual;


TCustomIcon.GetTypeID

GetTypeID - returns Identifier for type of Icon

Declaration

Source position: graphics.pp line 1602

protected class function TCustomIcon.GetTypeID: Word; virtual;


TCustomIcon.LoadFromResourceHandle

Declaration

Source position: graphics.pp line 1633

public procedure TCustomIcon.LoadFromResourceHandle(

  Instance: THandle;

  ResHandle: TFPResourceHandle

); virtual;


TCustomIcon.LoadFromResourceID

Declaration

Source position: graphics.pp line 1632

public procedure TCustomIcon.LoadFromResourceID(

  Instance: THandle;

  ResID: PtrInt

); override;


TCustomIcon.LoadFromResourceName

Declaration

Source position: graphics.pp line 1631

public procedure TCustomIcon.LoadFromResourceName(

  Instance: THandle;

  const ResName: string

); override;


TCustomIcon.Remove

Remove the Icon specified by AFormat, AHeight and AWidth

Declaration

Source position: graphics.pp line 1626

public procedure TCustomIcon.Remove(

  AFormat: TPixelFormat;

  AHeight: Word;

  AWidth: Word

);


TCustomIcon.SetSize

SetSize - write the size (width, height) of the Icon

Declaration

Source position: graphics.pp line 1628

public procedure TCustomIcon.SetSize(

  AWidth: Integer;

  AHeight: Integer

); override;

See also

TRasterImage.SetSize

SetSize - specifies height and width of Image


TCustomIcon.Sort

Declaration

Source position: graphics.pp line 1638

public procedure TCustomIcon.Sort;


TCustomIcon.UpdateCurrentView

UpdateCurrentView - updates the current appearance of the Icon

Declaration

Source position: graphics.pp line 1613

protected procedure TCustomIcon.UpdateCurrentView;


TCustomIcon.UpdateHandle

Declaration

Source position: graphics.pp line 1615

protected function TCustomIcon.UpdateHandle(

  AValue: HICON

):Boolean; virtual;


TFont

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

The Font to be used for drawing Text

Declaration

Source position: graphics.pp line 481

type TFont = class(TFPCustomFont)
protected
function GetCharSet; | GetCharSet - returns the Character Set to be used for this Font
function GetHeight; | GetHeight - returns the height of the Font
function GetName; | GetName - returns the name of the Font
function GetOrientation; | GetOrientation - Returns the orientation for the font
function GetPitch; | GetPitch - returns the pitch of the Font
function GetSize; | GetSize - returns the size of the Font
function GetStyle; | GetStyle - returns the style of the Font
procedure Changed; override; | Changed - checks for pending updates (if there are any, returns True) or calls inherited Changed
procedure DoAllocateResources; override; | DoAllocateResources - calls inherited method then calls GetReference
procedure DoCopyProps(); override; | DoCopyProps - calls inherited method; if From argument is another Font, copies specified properties directly
procedure DoDeAllocateResources; override; | DoDeAllocateResources - frees references then calls inherited method
procedure SetCharSet(); | SetCharSet - specify the character set
procedure SetColor(); | SetColor - specify the colour for the font
function GetColor;
procedure SetFlags(); override; | SetFlags - if the passed argument AValue for the Index is the same, returns unchanged; otherwise, calls inherited method and sets style flags as appropriate
procedure SetFPColor(); override; | SetFPColor converts TFPColor to TColor
procedure SetHeight(); | SetHeight - specify the height of the Font
procedure SetName(); override; | SetName - if AValue is a new name, frees the old reference, calls inherited method and sets the Changed property
procedure SetOrientation(); override;
procedure SetPitch(); | SetPitch - specify the pitch for the Font
procedure SetSize(); override; | SetSize - if AValue is a new size, frees the old reference, calls the inherited method, performs the appropriate rounding and sets the Changed property
procedure SetStyle(); | SetStyle - specify which style to use
procedure SetQuality(); | SetQuality - specify the quality
public
constructor Create; override; | Create - constructor for TFont: Opens a new instance of the class, calling inherited Create and setting some defaults
destructor Destroy; override; | Destroy - destructor for TFont: frees reference then performs inherited Destroy
procedure Assign(); | Copies the settings from the given font.
procedure BeginUpdate; | BeginUpdate - start the update process
procedure EndUpdate; | EndUpdate - finish the update process
property FontData: TFontData; [rw] | FontData - the data describing the font
function HandleAllocated; | HandleAllocated - returns True if a handle has been allocated
property Handle: HFONT; [rw] | Operataing system Handle for this Font
function IsDefault; | IsDefault - returns True if this is the default Font
function IsEqual(); virtual; | IsEqual - returns True if this Font is the same as the specified Font
property IsMonoSpace: Boolean; [r] | IsMonoSpace - returns True if this is a MonoSpace Font
procedure SetDefault; | SetDefault - method for setting the default Font
property CanUTF8: Boolean; [r] deprecated ; | CanUTF8 - returns True if Font can be used for UTF8. This property is deprecated and will be removed, don't use it.
property PixelsPerInch: Integer; [rw] | PixelsPerInch - scaling factor for drawing Font
property Reference: TWSFontReference; [r] | Reference - References made to this Font
published
property CharSet: TFontCharSet; [rw] | The Character Set to be used by the currentFont
property Color: TColor; [rw] | Colour of the current Font
property Height: Integer; [rws] | The Height of the current Font
property Name: string; [rws]
property Orientation: Integer; [rw] | The OrientationRotation of the current font in 10th of a degree. Zero is text drawn to the right, upsides. With value 900 (90 degrees) it will be drawn towards the top. With 1800 it will be upside-down and drawn to the left.
property Pitch: TFontPitch; [rw] | Pitch type of the Font
property Quality: TFontQuality; [rw] | Output quality of the Font, such as antialiasing
property Size: Integer; [rws]
property Style: TFontStyles; [rw] | Style of the Font
end;

Inheritance

TFont

The Font to be used for drawing Text
|

TFPCustomFont
?

TObject

Description

Most of the data about the font are dealt with by the protected procedures GetData and SetData which operate on TFontData

Individual properties such as Character Set, colour and size can be accessed in the public area


TFont
 |  | FontData
 |  | Handle
 | ro | IsMonoSpace
 | ro | CanUTF8
 |  | PixelsPerInch
 | ro | Reference
pl |  | CharSet
pl |  | Color
pl |  | Height
pl |  | Name
pl |  | Orientation
pl |  | Pitch
pl |  | Quality
pl |  | Size
pl |  | Style


 | ro | CanUTF8 (TFont)
pl |  | CharSet (TFont)
pl |  | Color (TFont)
 |  | FontData (TFont)
 |  | Handle (TFont)
pl |  | Height (TFont)
 | ro | IsMonoSpace (TFont)
pl |  | Name (TFont)
pl |  | Orientation (TFont)
pl |  | Pitch (TFont)
 |  | PixelsPerInch (TFont)
pl |  | Quality (TFont)
 | ro | Reference (TFont)
pl |  | Size (TFont)
pl |  | Style (TFont)


TFont
pt | GetCharSet
pt | GetHeight
pt | GetName
pt | GetOrientation
pt | GetPitch
pt | GetSize
pt | GetStyle
pt | Changed
pt | DoAllocateResources
pt | DoCopyProps
pt | DoDeAllocateResources
pt | SetCharSet
pt | SetColor
pt | GetColor
pt | SetFlags
pt | SetFPColor
pt | SetHeight
pt | SetName
pt | SetOrientation
pt | SetPitch
pt | SetSize
pt | SetStyle
pt | SetQuality
 | Create
 | Destroy
 | Assign
 | BeginUpdate
 | EndUpdate
 | HandleAllocated
 | IsDefault
 | IsEqual
 | SetDefault


pt | Changed (TFont)
 | Create (TFont)
 | Destroy (TFont)
pt | DoAllocateResources (TFont)
pt | DoCopyProps (TFont)
pt | DoDeAllocateResources (TFont)
 | EndUpdate (TFont)
pt | GetCharSet (TFont)
pt | GetColor (TFont)
pt | GetHeight (TFont)
pt | GetName (TFont)
pt | GetOrientation (TFont)
pt | GetPitch (TFont)
pt | GetSize (TFont)
pt | GetStyle (TFont)
 | HandleAllocated (TFont)
 | IsDefault (TFont)
 | IsEqual (TFont)
pt | SetCharSet (TFont)
pt | SetColor (TFont)
 | SetDefault (TFont)
pt | SetFlags (TFont)
pt | SetFPColor (TFont)
pt | SetHeight (TFont)
pt | SetName (TFont)
pt | SetOrientation (TFont)
pt | SetPitch (TFont)
pt | SetQuality (TFont)
pt | SetSize (TFont)
pt | SetStyle (TFont)


TFont


TFont.Assign

Copies the settings from the given font.

Declaration

Source position: graphics.pp line 539

public procedure TFont.Assign(

  Source: TPersistent

); override;

procedure TFont.Assign(

  const ALogFont: TLogFont

);

Description

Method: TFont.Assign

Source: another font

Returns: nothing

Copies the source settings to itself

See also

#rtl.Classes.TPersistent.Assign


TFont.BeginUpdate

BeginUpdate - start the update process

Declaration

Source position: graphics.pp line 541

public procedure TFont.BeginUpdate;


TFont.CanUTF8

[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] Reference for unit 'Graphics' (#lcl)

TFont.CanUTF8 (deprecated)

CanUTF8 - returns True if Font can be used for UTF8. This property is deprecated and will be removed, don't use it.

Declaration

Source position: graphics.pp line 550

public property TFont.CanUTF8 : Boolean
  read GetCanUTF8;


TFont.Changed

Changed - checks for pending updates (if there are any, returns True) or calls inherited Changed

Declaration

Source position: graphics.pp line 519

protected procedure TFont.Changed; override;

See also

TFPCanvasHelper.Changed


TFont.CharSet

The Character Set to be used by the currentFont

Declaration

Source position: graphics.pp line 554

published property TFont.CharSet : TFontCharSet
  read GetCharSet
  write SetCharSet
  default DEFAULT_CHARSET;


TFont.Color

Colour of the current Font

Declaration

Source position: graphics.pp line 555

published property TFont.Color : TColor
  read FColor
  write SetColor
  default clDefault;

Description

Default is the same as the text used for the rest of the Window


TFont.Create

Create - constructor for TFont: Opens a new instance of the class, calling inherited Create and setting some defaults

Declaration

Source position: graphics.pp line 537

public constructor TFont.Create; override;

Description

Create - constructor for TFont: Opens a new instance of the class , calling inherited Create and sets defaults for character set, colour, size etc

See also

TObject.Create


TFont.Destroy

Destroy - destructor for TFont: frees reference then performs inherited Destroy

Declaration

Source position: graphics.pp line 538

public destructor TFont.Destroy; override;

See also

TPersistent.Destroy


TFont.DoAllocateResources

DoAllocateResources - calls inherited method then calls GetReference

Declaration

Source position: graphics.pp line 520

protected procedure TFont.DoAllocateResources; override;

See also

TFPCanvasHelper.DoAllocateResources


TFont.DoCopyProps

DoCopyProps - calls inherited method; if From argument is another Font, copies specified properties directly

Declaration

Source position: graphics.pp line 521

protected procedure TFont.DoCopyProps(

  From: TFPCanvasHelper

); override;

See also

TFPCanvasHelper.DoCopyProps


TFont.DoDeAllocateResources

DoDeAllocateResources - frees references then calls inherited method

Declaration

Source position: graphics.pp line 522

protected procedure TFont.DoDeAllocateResources; override;

See also

TFPCanvasHelper.DoDeAllocateResources


TFont.EndUpdate

EndUpdate - finish the update process

Declaration

Source position: graphics.pp line 542

public procedure TFont.EndUpdate;


TFont.FontData

FontData - the data describing the font

Declaration

Source position: graphics.pp line 543

public property TFont.FontData : TFontData
  read GetData
  write SetData;


TFont.GetCharSet

GetCharSet - returns the Character Set to be used for this Font

Declaration

Source position: graphics.pp line 512

protected function TFont.GetCharSet: TFontCharSet;


TFont.GetColor

Declaration

Source position: graphics.pp line 526

protected function TFont.GetColor: TColor;


TFont.GetHeight

GetHeight - returns the height of the Font

Declaration

Source position: graphics.pp line 513

protected function TFont.GetHeight: Integer;


TFont.GetName

GetName - returns the name of the Font

Declaration

Source position: graphics.pp line 514

protected function TFont.GetName: string;


TFont.GetOrientation

GetOrientation - Returns the orientation for the font

Declaration

Source position: graphics.pp line 515

protected function TFont.GetOrientation: Integer;


TFont.GetPitch

GetPitch - returns the pitch of the Font

Declaration

Source position: graphics.pp line 516

protected function TFont.GetPitch: TFontPitch;


TFont.GetSize

GetSize - returns the size of the Font

Declaration

Source position: graphics.pp line 517

protected function TFont.GetSize: Integer;


TFont.GetStyle

GetStyle - returns the style of the Font

Declaration

Source position: graphics.pp line 518

protected function TFont.GetStyle: TFontStyles;

Description

Bold, Italic, StrikeOut, Underline


TFont.Handle

Operataing system Handle for this Font

Declaration

Source position: graphics.pp line 545

public property TFont.Handle : HFONT
  read GetHandle
  write SetHandle;

Description

Operataing system Handle for this Font - deprecated


TFont.HandleAllocated

HandleAllocated - returns True if a handle has been allocated

Declaration

Source position: graphics.pp line 544

public function TFont.HandleAllocated: Boolean;


TFont.Height

The Height of the current Font

Declaration

Source position: graphics.pp line 556

published property TFont.Height : Integer
  read GetHeight
  write SetHeight
  stored IsHeightStored;


TFont.IsDefault

IsDefault - returns True if this is the default Font

Declaration

Source position: graphics.pp line 546

public function TFont.IsDefault: Boolean;


TFont.IsEqual

IsEqual - returns True if this Font is the same as the specified Font

Declaration

Source position: graphics.pp line 547

public function TFont.IsEqual(

  AFont: TFont

):Boolean; virtual;


TFont.IsMonoSpace

IsMonoSpace - returns True if this is a MonoSpace Font

Declaration

Source position: graphics.pp line 548

public property TFont.IsMonoSpace : Boolean
  read GetIsMonoSpace;


TFont.Orientation

The OrientationRotation of the current font in 10th of a degree. Zero is text drawn to the right, upsides. With value 900 (90 degrees) it will be drawn towards the top. With 1800 it will be upside-down and drawn to the left.

Declaration

Source position: graphics.pp line 558

published property TFont.Orientation : Integer
  read GetOrientation
  write SetOrientation
  default 0;


TFont.Pitch

Pitch type of the Font

Declaration

Source position: graphics.pp line 559

published property TFont.Pitch : TFontPitch
  read GetPitch
  write SetPitch
  default fpDefault;

Description

Fixed or variable pitch, or Default
Reads or writes a flag to determine pitch type

See also

TFontPitch


TFont.PixelsPerInch

PixelsPerInch - scaling factor for drawing Font

Declaration

Source position: graphics.pp line 551

public property TFont.PixelsPerInch : Integer
  read FPixelsPerInch
  write SetPixelsPerInch;


TFont.Quality

Output quality of the Font, such as antialiasing

Declaration

Source position: graphics.pp line 560

published property TFont.Quality : TFontQuality
  read FQuality
  write SetQuality
  default fqDefault;

See also

TFontQuality

Output font quality, such as antialiasing


TFont.Reference

Reference - References made to this Font

Declaration

Source position: graphics.pp line 552

public property TFont.Reference : TWSFontReference
  read GetReference;


TFont.SetCharSet

SetCharSet - specify the character set

Declaration

Source position: graphics.pp line 523

protected procedure TFont.SetCharSet(

  const AValue: TFontCharSet

);


TFont.SetColor

SetColor - specify the colour for the font

Declaration

Source position: graphics.pp line 524

protected procedure TFont.SetColor(

  const NewColor: TColor;

  const NewFPColor: TFPColor

); virtual;

procedure TFont.SetColor(

  Value: TColor

);


TFont.SetDefault

SetDefault - method for setting the default Font

Declaration

Source position: graphics.pp line 549

public procedure TFont.SetDefault;


TFont.SetFlags

SetFlags - if the passed argument AValue for the Index is the same, returns unchanged; otherwise, calls inherited method and sets style flags as appropriate

Declaration

Source position: graphics.pp line 527

protected procedure TFont.SetFlags(

  Index: Integer;

  AValue: Boolean

); override;

See also

TFPCanvasHelper.SetFlags


TFont.SetFPColor

SetFPColor converts TFPColor to TColor

Declaration

Source position: graphics.pp line 528

protected procedure TFont.SetFPColor(

  const AValue: TFPColor

); override;

See also

TFPCanvasHelper.SetFPColor


TFont.SetHeight

SetHeight - specify the height of the Font

Declaration

Source position: graphics.pp line 529

protected procedure TFont.SetHeight(

  Avalue: Integer

);


TFont.SetName

SetName - if AValue is a new name, frees the old reference, calls inherited method and sets the Changed property

Declaration

Source position: graphics.pp line 530

protected procedure TFont.SetName(

  AValue: string

); override;

See also

TFPCustomFont.SetName


TFont.SetOrientation

Declaration

Source position: graphics.pp line 531

protected procedure TFont.SetOrientation(

  AValue: Integer

); override;


TFont.SetPitch

SetPitch - specify the pitch for the Font

Declaration

Source position: graphics.pp line 532

protected procedure TFont.SetPitch(

  Value: TFontPitch

);


TFont.SetQuality

SetQuality - specify the quality

Declaration

Source position: graphics.pp line 535

protected procedure TFont.SetQuality(

  const AValue: TFontQuality

);

Description

Default, Draft, Proof, NonAntialiased, Antialiased


TFont.SetSize

SetSize - if AValue is a new size, frees the old reference, calls the inherited method, performs the appropriate rounding and sets the Changed property

Declaration

Source position: graphics.pp line 533

protected procedure TFont.SetSize(

  AValue: Integer

); override;

See also

TFPCustomFont.SetSize


TFont.SetStyle

SetStyle - specify which style to use

Declaration

Source position: graphics.pp line 534

protected procedure TFont.SetStyle(

  Value: TFontStyles

);


TFont.Style

Style of the Font

Declaration

Source position: graphics.pp line 562

published property TFont.Style : TFontStyles
  read GetStyle
  write SetStyle
  default [];

Description

Bold, Italic, Strike out, Underline
Property is a set, so may contain zero or more of the above (if set is empty, Normal font is displayed)


TFontCharSet

Declaration

Source position: graphics.pp line 74

type TFontCharSet = 0..255;


TFontData

A record holding Data about the current Font

Declaration

Source position: graphics.pp line 78

type TFontData = record
Handle: HFONT; | The Operating System Handle for the current Font
Height: Integer; | The Height (in pixels) if the current Font
Pitch: TFontPitch; | The Pitch (in points) of the currentFont
Style: TFontStylesbase; | The Style of the Font
CharSet: TFontCharSet; | The Character Set of the current Font (expresed as an integer)
Quality: TFontQuality; | Output Quality of the current Font, such as antialiasing
Name: TFontDataName; | The Name (as a string) of the current Font
Orientation: Integer;
end;


TFontDataName

Declaration

Source position: graphics.pp line 70

type TFontDataName = string;


TFontHandleCache

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

TFontHandleCache - a resource cache for font handles

Declaration

Source position: graphics.pp line 466

type TFontHandleCache = class(TResourceCache)
protected
procedure RemoveItem(); override; | RemoveItem from CacheItem list
public
constructor Create; |
function CompareDescriptors(); override; | CompareDescriptors - returns 0 if descriptors are equal, -1 if Desc1 is less, 1 if Desc1 is greater
function FindFont(); | FindFont - returns the Font specified by its handle as a cache item from the FontHandleCache
function FindFontDesc(); | FindFontDesc - returns the descriptor for the FontHandle using its LogName and its LongFontName
function Add(); | Add the Font specified by its handle, LogFont and LongFontName, and returns a descriptor
end;

Inheritance

TFontHandleCache | TFontHandleCache - a resource cache for font handles
|
TResourceCache | TResourceCache - a cache (linked list) for storing Resources
|
TObject


TFontHandleCache
TResourceCache
 |  | MaxUnusedItem
 | ro | ResourceCacheItemClass
 | ro | ResourceCacheDescriptorClass


ro | ResourceCacheDescriptorClass (TResourceCache)
ro | ResourceCacheItemClass (TResourceCache)


TFontHandleCache
pt | RemoveItem
 | Create
 | CompareDescriptors
 | FindFont
 | FindFontDesc
 | Add
TResourceCache
pt | RemoveItem
pt | RemoveDescriptor
pt | ItemUsed
pt | ItemUnused
pt | ItemIsUsed
 | Create
 | Clear
 | Destroy
 | CompareItems
 | CompareDescriptors
 | ConsistencyCheck
 | Lock
 | Unlock


 | Add (TFontHandleCache)
 | Clear (TResourceCache)
 | CompareDescriptors (TResourceCache)
 | CompareDescriptors (TFontHandleCache)
 | CompareItems (TResourceCache)
 | ConsistencyCheck (TResourceCache)
 | Create (TResourceCache)
 | Create (TFontHandleCache)
 | Destroy (TResourceCache)
 | FindFont (TFontHandleCache)
 | FindFontDesc (TFontHandleCache)
pt | ItemIsUsed (TResourceCache)
pt | ItemUnused (TResourceCache)
pt | ItemUsed (TResourceCache)
 | Lock (TResourceCache)
pt | RemoveDescriptor (TResourceCache)
pt | RemoveItem (TResourceCache)
pt | RemoveItem (TFontHandleCache)
 | Unlock (TResourceCache)


TFontHandleCache

TResourceCache


TFontHandleCache.Add

Add the Font specified by its handle, LogFont and LongFontName, and returns a descriptor

Declaration

Source position: graphics.pp line 475

public function TFontHandleCache.Add(

  TheFont: TLCLHandle;

  const LogFont: TLogFont;

  const LongFontName: string

):TFontHandleCacheDescriptor;


TFontHandleCache.FindFont

FindFont - returns the Font specified by its handle as a cache item from the FontHandleCache

Declaration

Source position: graphics.pp line 472

public function TFontHandleCache.FindFont(

  TheFont: TLCLHandle

):TResourceCacheItem;


TFontHandleCache.FindFontDesc

FindFontDesc - returns the descriptor for the FontHandle using its LogName and its LongFontName

Declaration

Source position: graphics.pp line 473

public function TFontHandleCache.FindFontDesc(

  const LogFont: TLogFont;

  const LongFontName: string

):TFontHandleCacheDescriptor;


TFontHandleCacheDescriptor

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

TFontHandleCacheDescriptor - descriptor for items in Font Handle Cache

Declaration

Source position: graphics.pp line 458

type TFontHandleCacheDescriptor = class(TResourceCacheDescriptor)
public
LogFont: TLogFont; | LogFont - a font used (especially in Windows) for logs
LongFontName: string; | LongFontName - the long name for the Font
end;

Inheritance

TFontHandleCacheDescriptor | TFontHandleCacheDescriptor - descriptor for items in Font Handle Cache
|
TResourceCacheDescriptor | TResourceCacheDescriptor - a class of descriptors for ResourceCache Items
|
TObject


TFontHandleCacheDescriptor

TResourceCacheDescriptor


TFontHandleCacheDescriptor
TResourceCacheDescriptor
 | Create
 | Destroy
 | AddToList
 | RemoveFromList


AddToList (TResourceCacheDescriptor)

Create (TResourceCacheDescriptor)

Destroy (TResourceCacheDescriptor)

RemoveFromList (TResourceCacheDescriptor)


TFontHandleCacheDescriptor.LogFont

LogFont - a font used (especially in Windows) for logs

Declaration

Source position: graphics.pp line 460

public TFontHandleCacheDescriptor.LogFont : TLogFont;


TFontHandleCacheDescriptor.LongFontName

LongFontName - the long name for the Font

Declaration

Source position: graphics.pp line 461

public TFontHandleCacheDescriptor.LongFontName : string;


TFPImageBitmap

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

A class of Bitmap using the FPImage reader and writer (ie customised for FreePascal)

Declaration

Source position: graphics.pp line 1408

type TFPImageBitmap = class(TCustomBitmap)
protected
function GetMimeType; override; | GetMimeType - returns the MIME type of the Graphic
class function GetReaderClass; virtual; abstract; | GetReaderClass - returns the class of reader for acquiring data from a stream
class function GetWriterClass; virtual; abstract; | GetWriterClass - returns the class of writer for storing data to a stream
procedure InitializeReader(); virtual; | InitializeReader - starts up the specified reader to read th especified Image
procedure InitializeWriter(); virtual; | InitializeWriter - starts up the specified writer to store the specified Image
procedure FinalizeReader(); virtual; | FinalizeReader - ends the Image reading process
procedure FinalizeWriter(); virtual; | FinalizeWriter - ends the Image writing process
procedure ReadStream(); override; | Read the data from a Stream
procedure WriteStream(); override; | Write the data to a stream
public
class function GetFileExtensions; override; | GetFileExtensions - returns a list of the file extensions available
class function IsStreamFormatSupported(); override;
class function IsFileExtensionSupported(); | IsFileExtensionSupported - returns True if the given file extension is supported?
function LazarusResourceTypeValid(); override; | Check that the Resource specified for reading or writing is a valid type - result True if it is
end;

Inheritance

TFPImageBitmap | A class of Bitmap using the FPImage reader and writer (ie customised for FreePascal)
|
TCustomBitmap | TCustomBitMap - the base class for TBitmap
|
TRasterImage | TRasterImage - base class for a number of graphic controls, including TCustomBitmap and TCustomIcon, which use a raster of dots to display graphic information
|
TGraphic | TGraphic - Base class for dealing with Graphic images
|
TPersistent,IFPObserved
|
TObject


TFPImageBitmap
TCustomBitmap
 |  | Handle
 |  | HandleType
 |  | Monochrome
TRasterImage
 | ro | Canvas
 |  | BitmapHandle
 |  | Masked
 |  | MaskHandle
 |  | PixelFormat
 | ro | RawImage
 | ro | ScanLine
 |  | TransparentColor
 |  | TransparentMode
TGraphic
 | ro | Empty
 |  | Height
 |  | Modified
 | ro | MimeType
 |  | Palette
 |  | PaletteModified
 |  | Transparent
 |  | Width
TPersistent
TObject


TFPImageBitmap
pt | GetMimeType
pt | GetReaderClass
pt | GetWriterClass
pt | InitializeReader
pt | InitializeWriter
pt | FinalizeReader
pt | FinalizeWriter
pt | ReadStream
pt | WriteStream
 | GetFileExtensions
 | IsStreamFormatSupported
 | IsFileExtensionSupported
 | LazarusResourceTypeValid
TCustomBitmap
pt | MaskHandleNeeded
pt | PaletteNeeded
pt | CanShareImage
pt | Changed
pt | CreateDefaultBitmapHandle
pt | FreeMaskHandle
pt | GetBitmapHandle
pt | GetMaskHandle
pt | GetPalette
pt | GetPixelFormat
pt | GetRawImagePtr
pt | GetRawImageDescriptionPtr
pt | HandleNeeded
pt | InternalReleaseBitmapHandle
pt | InternalReleaseMaskHandle
pt | InternalReleasePalette
pt | RawimageNeeded
pt | SetHandle
pt | SetPixelFormat
pt | UnshareImage
pt | UpdateHandles
 | Create
 | Destroy
 | Assign
 | Clear
 | FreeImage
 | LazarusResourceTypeValid
 | BitmapHandleAllocated
 | MaskHandleAllocated
 | PaletteAllocated
 | ReleaseHandle
 | SetHandles
 | SetSize
TRasterImage
pt | CanShareImage
pt | Changed
pt | CreateDefaultBitmapHandle
pt | Draw
pt | GetEmpty
pt | GetHandle
pt | GetBitmapHandle
pt | GetMasked
pt | GetMaskHandle
pt | GetMimeType
pt | GetPixelFormat
pt | GetRawImagePtr
pt | GetRawImageDescriptionPtr
pt | GetTransparent
pt | GetSharedImageClass
pt | GetHeight
pt | GetWidth
pt | BitmapHandleNeeded
pt | HandleNeeded
pt | MaskHandleNeeded
pt | PaletteNeeded
pt | InternalReleaseBitmapHandle
pt | InternalReleaseMaskHandle
pt | InternalReleasePalette
pt | SetBitmapHandle
pt | SetMasked
pt | SetMaskHandle
pt | SetTransparent
pt | UnshareImage
pt | UpdateHandles
pt | SaveStreamNeeded
pt | FreeSaveStream
pt | ReadData
pt | ReadStream
pt | SetSize
pt | SetHandle
pt | SetHeight
pt | SetWidth
pt | SetTransparentMode
pt | SetPixelFormat
pt | WriteData
pt | WriteStream
pt | RequestTransparentColor
 | Create
 | Destroy
 | Assign
 | Clear
 | BeginUpdate
 | EndUpdate
 | FreeImage
 | BitmapHandleAllocated
 | MaskHandleAllocated
 | PaletteAllocated
 | LoadFromBitmapHandles
 | LoadFromDevice
 | LoadFromStream
 | LoadFromMimeStream
 | LoadFromRawImage
 | LoadFromIntfImage
 | SaveToStream
 | GetSupportedSourceMimeTypes
 | GetSize
 | Mask
 | SetHandles
 | ReleaseBitmapHandle
 | ReleaseMaskHandle
 | ReleasePalette
 | CreateIntfImage
 | HandleAllocated
TGraphic
pt | Changed
pt | Equals
pt | DefineProperties
pt | Draw
pt | GetEmpty
pt | GetHeight
pt | GetMimeType
pt | GetPalette
pt | GetTransparent
pt | GetWidth
pt | Progress
pt | ReadData
pt | SetHeight
pt | SetPalette
pt | SetTransparent
pt | SetWidth
pt | SetModified
pt | WriteData
 | Assign
 | Create
 | Clear
 | LazarusResourceTypeValid
 | LoadFromFile
 | LoadFromStream
 | LoadFromMimeStream
 | LoadFromLazarusResource
 | LoadFromResourceName
 | LoadFromResourceID
 | LoadFromClipboardFormat
 | LoadFromClipboardFormatID
 | SaveToFile
 | SaveToStream
 | SaveToClipboardFormat
 | SaveToClipboardFormatID
 | GetSupportedSourceMimeTypes
 | GetResourceType
 | GetFileExtensions
 | IsStreamFormatSupported
TPersistent
 | AssignError
 | AssignTo
 | DefineProperties
 | GetOwner
 | Destroy
 | Assign
 | FPOAttachObserver
 | FPODetachObserver
 | FPONotifyObservers
 | GetNamePath
TObject
 | Create
 | Destroy
 | newinstance
 | FreeInstance
 | SafeCallException
 | DefaultHandler
 | Free
 | InitInstance
 | CleanupInstance
 | ClassType
 | ClassInfo
 | ClassName
 | ClassNameIs
 | ClassParent
 | InstanceSize
 | InheritsFrom
 | StringMessageTable
 | MethodAddress
 | MethodName
 | FieldAddress
 | AfterConstruction
 | BeforeDestruction
 | DefaultHandlerStr
 | Dispatch
 | DispatchStr
 | GetInterface
 | GetInterfaceByStr
 | GetInterfaceWeak
 | GetInterfaceEntry
 | GetInterfaceEntryByStr
 | GetInterfaceTable
 | UnitName
 | Equals
 | GetHashCode
 | ToString


 | AfterConstruction (TObject)
 | Assign (TPersistent)
 | Assign (TGraphic)
 | Assign (TRasterImage)
 | Assign (TCustomBitmap)
 | AssignError (TPersistent)
 | AssignTo (TPersistent)
 | BeforeDestruction (TObject)
 | BeginUpdate (TRasterImage)
 | BitmapHandleAllocated (TRasterImage)
 | BitmapHandleAllocated (TCustomBitmap)
pt | BitmapHandleNeeded (TRasterImage)
pt | CanShareImage (TRasterImage)
pt | CanShareImage (TCustomBitmap)
pt | Changed (TGraphic)
pt | Changed (TRasterImage)
pt | Changed (TCustomBitmap)
 | ClassInfo (TObject)
 | ClassName (TObject)
 | ClassNameIs (TObject)
 | ClassParent (TObject)
 | ClassType (TObject)
 | CleanupInstance (TObject)
 | Clear (TGraphic)
 | Clear (TRasterImage)
 | Clear (TCustomBitmap)
 | Create (TObject)
 | Create (TGraphic)
 | Create (TRasterImage)
 | Create (TCustomBitmap)
pt | CreateDefaultBitmapHandle (TRasterImage)
pt | CreateDefaultBitmapHandle (TCustomBitmap)
 | CreateIntfImage (TRasterImage)
 | DefaultHandler (TObject)
 | DefaultHandlerStr (TObject)
 | DefineProperties (TPersistent)
pt | DefineProperties (TGraphic)
 | Destroy (TObject)
 | Destroy (TPersistent)
 | Destroy (TRasterImage)
 | Destroy (TCustomBitmap)
 | Dispatch (TObject)
 | DispatchStr (TObject)
pt | Draw (TGraphic)
pt | Draw (TRasterImage)
 | EndUpdate (TRasterImage)
 | Equals (TObject)
pt | Equals (TGraphic)
 | FieldAddress (TObject)
pt | FinalizeReader (TFPImageBitmap)
pt | FinalizeWriter (TFPImageBitmap)
 | FPOAttachObserver (TPersistent)
 | FPODetachObserver (TPersistent)
 | FPONotifyObservers (TPersistent)
 | Free (TObject)
 | FreeImage (TRasterImage)
 | FreeImage (TCustomBitmap)
 | FreeInstance (TObject)
pt | FreeMaskHandle (TCustomBitmap)
pt | FreeSaveStream (TRasterImage)
pt | GetBitmapHandle (TRasterImage)
pt | GetBitmapHandle (TCustomBitmap)
pt | GetEmpty (TGraphic)
pt | GetEmpty (TRasterImage)
 | GetFileExtensions (TGraphic)
 | GetFileExtensions (TFPImageBitmap)
pt | GetHandle (TRasterImage)
 | GetHashCode (TObject)
pt | GetHeight (TGraphic)
pt | GetHeight (TRasterImage)
 | GetInterface (TObject)
 | GetInterfaceByStr (TObject)
 | GetInterfaceEntry (TObject)
 | GetInterfaceEntryByStr (TObject)
 | GetInterfaceTable (TObject)
 | GetInterfaceWeak (TObject)
pt | GetMasked (TRasterImage)
pt | GetMaskHandle (TRasterImage)
pt | GetMaskHandle (TCustomBitmap)
pt | GetMimeType (TGraphic)
pt | GetMimeType (TRasterImage)
pt | GetMimeType (TFPImageBitmap)
 | GetNamePath (TPersistent)
 | GetOwner (TPersistent)
pt | GetPalette (TGraphic)
pt | GetPalette (TCustomBitmap)
pt | GetPixelFormat (TRasterImage)
pt | GetPixelFormat (TCustomBitmap)
pt | GetRawImageDescriptionPtr (TRasterImage)
pt | GetRawImageDescriptionPtr (TCustomBitmap)
pt | GetRawImagePtr (TRasterImage)
pt | GetRawImagePtr (TCustomBitmap)
pt | GetReaderClass (TFPImageBitmap)
 | GetResourceType (TGraphic)
pt | GetSharedImageClass (TRasterImage)
 | GetSize (TRasterImage)
 | GetSupportedSourceMimeTypes (TGraphic)
 | GetSupportedSourceMimeTypes (TRasterImage)
pt | GetTransparent (TGraphic)
pt | GetTransparent (TRasterImage)
pt | GetWidth (TGraphic)
pt | GetWidth (TRasterImage)
pt | GetWriterClass (TFPImageBitmap)
 | HandleAllocated (TRasterImage)
pt | HandleNeeded (TRasterImage)
pt | HandleNeeded (TCustomBitmap)
 | InheritsFrom (TObject)
pt | InitializeReader (TFPImageBitmap)
pt | InitializeWriter (TFPImageBitmap)
 | InitInstance (TObject)
 | InstanceSize (TObject)
pt | InternalReleaseBitmapHandle (TRasterImage)
pt | InternalReleaseBitmapHandle (TCustomBitmap)
pt | InternalReleaseMaskHandle (TRasterImage)
pt | InternalReleaseMaskHandle (TCustomBitmap)
pt | InternalReleasePalette (TRasterImage)
pt | InternalReleasePalette (TCustomBitmap)
 | IsFileExtensionSupported (TFPImageBitmap)
 | IsStreamFormatSupported (TGraphic)
 | IsStreamFormatSupported (TFPImageBitmap)
 | LazarusResourceTypeValid (TGraphic)
 | LazarusResourceTypeValid (TCustomBitmap)
 | LazarusResourceTypeValid (TFPImageBitmap)
 | LoadFromBitmapHandles (TRasterImage)
 | LoadFromClipboardFormat (TGraphic)
 | LoadFromClipboardFormatID (TGraphic)
 | LoadFromDevice (TRasterImage)
 | LoadFromFile (TGraphic)
 | LoadFromIntfImage (TRasterImage)
 | LoadFromLazarusResource (TGraphic)
 | LoadFromMimeStream (TGraphic)
 | LoadFromMimeStream (TRasterImage)
 | LoadFromRawImage (TRasterImage)
 | LoadFromResourceID (TGraphic)
 | LoadFromResourceName (TGraphic)
 | LoadFromStream (TGraphic)
 | LoadFromStream (TRasterImage)
 | Mask (TRasterImage)
 | MaskHandleAllocated (TRasterImage)
 | MaskHandleAllocated (TCustomBitmap)
pt | MaskHandleNeeded (TRasterImage)
pt | MaskHandleNeeded (TCustomBitmap)
 | MethodAddress (TObject)
 | MethodName (TObject)
 | newinstance (TObject)
 | PaletteAllocated (TRasterImage)
 | PaletteAllocated (TCustomBitmap)
pt | PaletteNeeded (TRasterImage)
pt | PaletteNeeded (TCustomBitmap)
pt | Progress (TGraphic)
pt | RawimageNeeded (TCustomBitmap)
pt | ReadData (TGraphic)
pt | ReadData (TRasterImage)
pt | ReadStream (TRasterImage)
pt | ReadStream (TFPImageBitmap)
 | ReleaseBitmapHandle (TRasterImage)
 | ReleaseHandle (TCustomBitmap)
 | ReleaseMaskHandle (TRasterImage)
 | ReleasePalette (TRasterImage)
pt | RequestTransparentColor (TRasterImage)
 | SafeCallException (TObject)
pt | SaveStreamNeeded (TRasterImage)
 | SaveToClipboardFormat (TGraphic)
 | SaveToClipboardFormatID (TGraphic)
 | SaveToFile (TGraphic)
 | SaveToStream (TGraphic)
 | SaveToStream (TRasterImage)
pt | SetBitmapHandle (TRasterImage)
pt | SetHandle (TRasterImage)
pt | SetHandle (TCustomBitmap)
 | SetHandles (TRasterImage)
 | SetHandles (TCustomBitmap)
pt | SetHeight (TGraphic)
pt | SetHeight (TRasterImage)
pt | SetMasked (TRasterImage)
pt | SetMaskHandle (TRasterImage)
pt | SetModified (TGraphic)
pt | SetPalette (TGraphic)
pt | SetPixelFormat (TRasterImage)
pt | SetPixelFormat (TCustomBitmap)
pt | SetSize (TRasterImage)
 | SetSize (TCustomBitmap)
pt | SetTransparent (TGraphic)
pt | SetTransparent (TRasterImage)
pt | SetTransparentMode (TRasterImage)
pt | SetWidth (TGraphic)
pt | SetWidth (TRasterImage)
 | StringMessageTable (TObject)
 | ToString (TObject)
 | UnitName (TObject)
pt | UnshareImage (TRasterImage)
pt | UnshareImage (TCustomBitmap)
pt | UpdateHandles (TRasterImage)
pt | UpdateHandles (TCustomBitmap)
pt | WriteData (TGraphic)
pt | WriteData (TRasterImage)
pt | WriteStream (TRasterImage)
pt | WriteStream (TFPImageBitmap)


TFPImageBitmap
TCustomBitmap
TRasterImage
TGraphic
 | OnChange
 | OnProgress
TPersistent
TObject


TFPImageBitmap.FinalizeReader

FinalizeReader - ends the Image reading process

Declaration

Source position: graphics.pp line 1416

protected procedure TFPImageBitmap.FinalizeReader(

  AReader: TFPCustomImageReader

); virtual;


TFPImageBitmap.FinalizeWriter

FinalizeWriter - ends the Image writing process

Declaration

Source position: graphics.pp line 1417

protected procedure TFPImageBitmap.FinalizeWriter(

  AWriter: TFPCustomImageWriter

); virtual;


TFPImageBitmap.GetReaderClass

GetReaderClass - returns the class of reader for acquiring data from a stream

Declaration

Source position: graphics.pp line 1412

protected class function TFPImageBitmap.GetReaderClass: TFPCustomImageReaderClass; virtual; abstract;


TFPImageBitmap.GetWriterClass

GetWriterClass - returns the class of writer for storing data to a stream

Declaration

Source position: graphics.pp line 1413

protected class function TFPImageBitmap.GetWriterClass: TFPCustomImageWriterClass; virtual; abstract;


TFPImageBitmap.InitializeReader

InitializeReader - starts up the specified reader to read th especified Image

Declaration

Source position: graphics.pp line 1414

protected procedure TFPImageBitmap.InitializeReader(

  AImage: TLazIntfImage;

  AReader: TFPCustomImageReader

); virtual;


TFPImageBitmap.InitializeWriter

InitializeWriter - starts up the specified writer to store the specified Image

Declaration

Source position: graphics.pp line 1415

protected procedure TFPImageBitmap.InitializeWriter(

  AImage: TLazIntfImage;

  AWriter: TFPCustomImageWriter

); virtual;


TFPImageBitmap.IsFileExtensionSupported

IsFileExtensionSupported - returns True if the given file extension is supported?

Declaration

Source position: graphics.pp line 1423

public class function TFPImageBitmap.IsFileExtensionSupported(

  const FileExtension: string

):Boolean;


TFPImageBitmap.IsStreamFormatSupported

Declaration

Source position: graphics.pp line 1422

public class function TFPImageBitmap.IsStreamFormatSupported(

  Stream: TStream

):Boolean; override;


TFPImageBitmap.ReadStream

Read the data from a Stream

Declaration

Source position: graphics.pp line 1418

protected procedure TFPImageBitmap.ReadStream(

  AStream: TMemoryStream;

  ASize: LongInt

); override;

See also

TRasterImage.ReadStream

ReadStream - loads imagedata into rawimage, this method shouldn't call changed()


TFPImageBitmap.WriteStream

Write the data to a stream

Declaration

Source position: graphics.pp line 1419

protected procedure TFPImageBitmap.WriteStream(

  AStream: TMemoryStream

); override;

See also

TRasterImage.WriteStream

WriteStream - specifies which stream to be used for writing


TFPImageBitmapClass

TFPImageBitmapClass - class of TFPImageBitmap

Declaration

Source position: graphics.pp line 1427

type TFPImageBitmapClass = class of TFPImageBitmap;


TGIFImage

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Declaration

Source position: graphics.pp line 1864

type TGIFImage = class(TFPImageBitmap)

protected

  procedure InitializeReader(); override;

  procedure FinalizeReader(); override;

  class function GetReaderClass; override;

  class function GetSharedImageClass; override;

public

  constructor Create; override;

  class function IsStreamFormatSupported(); override;

  class function GetFileExtensions; override;

  property Transparent: Boolean; [r]

  property Interlaced: Boolean; [r]

  property BitsPerPixel: Byte; [r]

end;

Inheritance

TGIFImage
|
TFPImageBitmap | A class of Bitmap using the FPImage reader and writer (ie customised for FreePascal)
|
TCustomBitmap | TCustomBitMap - the base class for TBitmap
|
TRasterImage | TRasterImage - base class for a number of graphic controls, including TCustomBitmap and TCustomIcon, which use a raster of dots to display graphic information
|
TGraphic | TGraphic - Base class for dealing with Graphic images
|
TPersistent,IFPObserved
|
TObject


TGIFImage
 | ro | Transparent
 | ro | Interlaced
 | ro | BitsPerPixel
TFPImageBitmap
TCustomBitmap
 |  | Handle
 |  | HandleType
 |  | Monochrome
TRasterImage
 | ro | Canvas
 |  | BitmapHandle
 |  | Masked
 |  | MaskHandle
 |  | PixelFormat
 | ro | RawImage
 | ro | ScanLine
 |  | TransparentColor
 |  | TransparentMode
TGraphic
 | ro | Empty
 |  | Height
 |  | Modified
 | ro | MimeType
 |  | Palette
 |  | PaletteModified
 |  | Transparent
 |  | Width
TPersistent
TObject


ro | BitsPerPixel (TGIFImage)
ro | Canvas (TRasterImage)
ro | Empty (TGraphic)
 | Handle (TCustomBitmap)
 | HandleType (TCustomBitmap)
 | Height (TGraphic)
ro | Interlaced (TGIFImage)
 | Masked (TRasterImage)
 | MaskHandle (TRasterImage)
ro | MimeType (TGraphic)
 | Modified (TGraphic)
 | Monochrome (TCustomBitmap)
 | Palette (TGraphic)
 | PaletteModified (TGraphic)
 | PixelFormat (TRasterImage)
ro | RawImage (TRasterImage)
ro | ScanLine (TRasterImage)
 | Transparent (TGraphic)
ro | Transparent (TGIFImage)
 | TransparentColor (TRasterImage)
 | TransparentMode (TRasterImage)
 | Width (TGraphic)


TGIFImage
pt | InitializeReader
pt | FinalizeReader
pt | GetReaderClass
pt | GetSharedImageClass
 | Create
 | IsStreamFormatSupported
 | GetFileExtensions
TFPImageBitmap
pt | GetMimeType
pt | GetReaderClass
pt | GetWriterClass
pt | InitializeReader
pt | InitializeWriter
pt | FinalizeReader
pt | FinalizeWriter
pt | ReadStream
pt | WriteStream
 | GetFileExtensions
 | IsStreamFormatSupported
 | IsFileExtensionSupported
 | LazarusResourceTypeValid
TCustomBitmap
pt | MaskHandleNeeded
pt | PaletteNeeded
pt | CanShareImage
pt | Changed
pt | CreateDefaultBitmapHandle
pt | FreeMaskHandle
pt | GetBitmapHandle
pt | GetMaskHandle
pt | GetPalette
pt | GetPixelFormat
pt | GetRawImagePtr
pt | GetRawImageDescriptionPtr
pt | HandleNeeded
pt | InternalReleaseBitmapHandle
pt | InternalReleaseMaskHandle
pt | InternalReleasePalette
pt | RawimageNeeded
pt | SetHandle
pt | SetPixelFormat
pt | UnshareImage
pt | UpdateHandles
 | Create
 | Destroy
 | Assign
 | Clear
 | FreeImage
 | LazarusResourceTypeValid
 | BitmapHandleAllocated
 | MaskHandleAllocated
 | PaletteAllocated
 | ReleaseHandle
 | SetHandles
 | SetSize
TRasterImage
pt | CanShareImage
pt | Changed
pt | CreateDefaultBitmapHandle
pt | Draw
pt | GetEmpty
pt | GetHandle
pt | GetBitmapHandle
pt | GetMasked
pt | GetMaskHandle
pt | GetMimeType
pt | GetPixelFormat
pt | GetRawImagePtr
pt | GetRawImageDescriptionPtr
pt | GetTransparent
pt | GetSharedImageClass
pt | GetHeight
pt | GetWidth
pt | BitmapHandleNeeded
pt | HandleNeeded
pt | MaskHandleNeeded
pt | PaletteNeeded
pt | InternalReleaseBitmapHandle
pt | InternalReleaseMaskHandle
pt | InternalReleasePalette
pt | SetBitmapHandle
pt | SetMasked
pt | SetMaskHandle
pt | SetTransparent
pt | UnshareImage
pt | UpdateHandles
pt | SaveStreamNeeded
pt | FreeSaveStream
pt | ReadData
pt | ReadStream
pt | SetSize
pt | SetHandle
pt | SetHeight
pt | SetWidth
pt | SetTransparentMode
pt | SetPixelFormat
pt | WriteData
pt | WriteStream
pt | RequestTransparentColor
 | Create
 | Destroy
 | Assign
 | Clear
 | BeginUpdate
 | EndUpdate
 | FreeImage
 | BitmapHandleAllocated
 | MaskHandleAllocated
 | PaletteAllocated
 | LoadFromBitmapHandles
 | LoadFromDevice
 | LoadFromStream
 | LoadFromMimeStream
 | LoadFromRawImage
 | LoadFromIntfImage
 | SaveToStream
 | GetSupportedSourceMimeTypes
 | GetSize
 | Mask
 | SetHandles
 | ReleaseBitmapHandle
 | ReleaseMaskHandle
 | ReleasePalette
 | CreateIntfImage
 | HandleAllocated
TGraphic
pt | Changed
pt | Equals
pt | DefineProperties
pt | Draw
pt | GetEmpty
pt | GetHeight
pt | GetMimeType
pt | GetPalette
pt | GetTransparent
pt | GetWidth
pt | Progress
pt | ReadData
pt | SetHeight
pt | SetPalette
pt | SetTransparent
pt | SetWidth
pt | SetModified
pt | WriteData
 | Assign
 | Create
 | Clear
 | LazarusResourceTypeValid
 | LoadFromFile
 | LoadFromStream
 | LoadFromMimeStream
 | LoadFromLazarusResource
 | LoadFromResourceName
 | LoadFromResourceID
 | LoadFromClipboardFormat
 | LoadFromClipboardFormatID
 | SaveToFile
 | SaveToStream
 | SaveToClipboardFormat
 | SaveToClipboardFormatID
 | GetSupportedSourceMimeTypes
 | GetResourceType
 | GetFileExtensions
 | IsStreamFormatSupported
TPersistent
 | AssignError
 | AssignTo
 | DefineProperties
 | GetOwner
 | Destroy
 | Assign
 | FPOAttachObserver
 | FPODetachObserver
 | FPONotifyObservers
 | GetNamePath
TObject
 | Create
 | Destroy
 | newinstance
 | FreeInstance
 | SafeCallException
 | DefaultHandler
 | Free
 | InitInstance
 | CleanupInstance
 | ClassType
 | ClassInfo
 | ClassName
 | ClassNameIs
 | ClassParent
 | InstanceSize
 | InheritsFrom
 | StringMessageTable
 | MethodAddress
 | MethodName
 | FieldAddress
 | AfterConstruction
 | BeforeDestruction
 | DefaultHandlerStr
 | Dispatch
 | DispatchStr
 | GetInterface
 | GetInterfaceByStr
 | GetInterfaceWeak
 | GetInterfaceEntry
 | GetInterfaceEntryByStr
 | GetInterfaceTable
 | UnitName
 | Equals
 | GetHashCode
 | ToString


 | AfterConstruction (TObject)
 | Assign (TPersistent)
 | Assign (TGraphic)
 | Assign (TRasterImage)
 | Assign (TCustomBitmap)
 | AssignError (TPersistent)
 | AssignTo (TPersistent)
 | BeforeDestruction (TObject)
 | BeginUpdate (TRasterImage)
 | BitmapHandleAllocated (TRasterImage)
 | BitmapHandleAllocated (TCustomBitmap)
pt | BitmapHandleNeeded (TRasterImage)
pt | CanShareImage (TRasterImage)
pt | CanShareImage (TCustomBitmap)
pt | Changed (TGraphic)
pt | Changed (TRasterImage)
pt | Changed (TCustomBitmap)
 | ClassInfo (TObject)
 | ClassName (TObject)
 | ClassNameIs (TObject)
 | ClassParent (TObject)
 | ClassType (TObject)
 | CleanupInstance (TObject)
 | Clear (TGraphic)
 | Clear (TRasterImage)
 | Clear (TCustomBitmap)
 | Create (TObject)
 | Create (TGraphic)
 | Create (TRasterImage)
 | Create (TCustomBitmap)
 | Create (TGIFImage)
pt | CreateDefaultBitmapHandle (TRasterImage)
pt | CreateDefaultBitmapHandle (TCustomBitmap)
 | CreateIntfImage (TRasterImage)
 | DefaultHandler (TObject)
 | DefaultHandlerStr (TObject)
 | DefineProperties (TPersistent)
pt | DefineProperties (TGraphic)
 | Destroy (TObject)
 | Destroy (TPersistent)
 | Destroy (TRasterImage)
 | Destroy (TCustomBitmap)
 | Dispatch (TObject)
 | DispatchStr (TObject)
pt | Draw (TGraphic)
pt | Draw (TRasterImage)
 | EndUpdate (TRasterImage)
 | Equals (TObject)
pt | Equals (TGraphic)
 | FieldAddress (TObject)
pt | FinalizeReader (TFPImageBitmap)
pt | FinalizeReader (TGIFImage)
pt | FinalizeWriter (TFPImageBitmap)
 | FPOAttachObserver (TPersistent)
 | FPODetachObserver (TPersistent)
 | FPONotifyObservers (TPersistent)
 | Free (TObject)
 | FreeImage (TRasterImage)
 | FreeImage (TCustomBitmap)
 | FreeInstance (TObject)
pt | FreeMaskHandle (TCustomBitmap)
pt | FreeSaveStream (TRasterImage)
pt | GetBitmapHandle (TRasterImage)
pt | GetBitmapHandle (TCustomBitmap)
pt | GetEmpty (TGraphic)
pt | GetEmpty (TRasterImage)
 | GetFileExtensions (TGraphic)
 | GetFileExtensions (TFPImageBitmap)
 | GetFileExtensions (TGIFImage)
pt | GetHandle (TRasterImage)
 | GetHashCode (TObject)
pt | GetHeight (TGraphic)
pt | GetHeight (TRasterImage)
 | GetInterface (TObject)
 | GetInterfaceByStr (TObject)
 | GetInterfaceEntry (TObject)
 | GetInterfaceEntryByStr (TObject)
 | GetInterfaceTable (TObject)
 | GetInterfaceWeak (TObject)
pt | GetMasked (TRasterImage)
pt | GetMaskHandle (TRasterImage)
pt | GetMaskHandle (TCustomBitmap)
pt | GetMimeType (TGraphic)
pt | GetMimeType (TRasterImage)
pt | GetMimeType (TFPImageBitmap)
 | GetNamePath (TPersistent)
 | GetOwner (TPersistent)
pt | GetPalette (TGraphic)
pt | GetPalette (TCustomBitmap)
pt | GetPixelFormat (TRasterImage)
pt | GetPixelFormat (TCustomBitmap)
pt | GetRawImageDescriptionPtr (TRasterImage)
pt | GetRawImageDescriptionPtr (TCustomBitmap)
pt | GetRawImagePtr (TRasterImage)
pt | GetRawImagePtr (TCustomBitmap)
pt | GetReaderClass (TFPImageBitmap)
pt | GetReaderClass (TGIFImage)
 | GetResourceType (TGraphic)
pt | GetSharedImageClass (TRasterImage)
pt | GetSharedImageClass (TGIFImage)
 | GetSize (TRasterImage)
 | GetSupportedSourceMimeTypes (TGraphic)
 | GetSupportedSourceMimeTypes (TRasterImage)
pt | GetTransparent (TGraphic)
pt | GetTransparent (TRasterImage)
pt | GetWidth (TGraphic)
pt | GetWidth (TRasterImage)
pt | GetWriterClass (TFPImageBitmap)
 | HandleAllocated (TRasterImage)
pt | HandleNeeded (TRasterImage)
pt | HandleNeeded (TCustomBitmap)
 | InheritsFrom (TObject)
pt | InitializeReader (TFPImageBitmap)
pt | InitializeReader (TGIFImage)
pt | InitializeWriter (TFPImageBitmap)
 | InitInstance (TObject)
 | InstanceSize (TObject)
pt | InternalReleaseBitmapHandle (TRasterImage)
pt | InternalReleaseBitmapHandle (TCustomBitmap)
pt | InternalReleaseMaskHandle (TRasterImage)
pt | InternalReleaseMaskHandle (TCustomBitmap)
pt | InternalReleasePalette (TRasterImage)
pt | InternalReleasePalette (TCustomBitmap)
 | IsFileExtensionSupported (TFPImageBitmap)
 | IsStreamFormatSupported (TGraphic)
 | IsStreamFormatSupported (TFPImageBitmap)
 | IsStreamFormatSupported (TGIFImage)
 | LazarusResourceTypeValid (TGraphic)
 | LazarusResourceTypeValid (TCustomBitmap)
 | LazarusResourceTypeValid (TFPImageBitmap)
 | LoadFromBitmapHandles (TRasterImage)
 | LoadFromClipboardFormat (TGraphic)
 | LoadFromClipboardFormatID (TGraphic)
 | LoadFromDevice (TRasterImage)
 | LoadFromFile (TGraphic)
 | LoadFromIntfImage (TRasterImage)
 | LoadFromLazarusResource (TGraphic)
 | LoadFromMimeStream (TGraphic)
 | LoadFromMimeStream (TRasterImage)
 | LoadFromRawImage (TRasterImage)
 | LoadFromResourceID (TGraphic)
 | LoadFromResourceName (TGraphic)
 | LoadFromStream (TGraphic)
 | LoadFromStream (TRasterImage)
 | Mask (TRasterImage)
 | MaskHandleAllocated (TRasterImage)
 | MaskHandleAllocated (TCustomBitmap)
pt | MaskHandleNeeded (TRasterImage)
pt | MaskHandleNeeded (TCustomBitmap)
 | MethodAddress (TObject)
 | MethodName (TObject)
 | newinstance (TObject)
 | PaletteAllocated (TRasterImage)
 | PaletteAllocated (TCustomBitmap)
pt | PaletteNeeded (TRasterImage)
pt | PaletteNeeded (TCustomBitmap)
pt | Progress (TGraphic)
pt | RawimageNeeded (TCustomBitmap)
pt | ReadData (TGraphic)
pt | ReadData (TRasterImage)
pt | ReadStream (TRasterImage)
pt | ReadStream (TFPImageBitmap)
 | ReleaseBitmapHandle (TRasterImage)
 | ReleaseHandle (TCustomBitmap)
 | ReleaseMaskHandle (TRasterImage)
 | ReleasePalette (TRasterImage)
pt | RequestTransparentColor (TRasterImage)
 | SafeCallException (TObject)
pt | SaveStreamNeeded (TRasterImage)
 | SaveToClipboardFormat (TGraphic)
 | SaveToClipboardFormatID (TGraphic)
 | SaveToFile (TGraphic)
 | SaveToStream (TGraphic)
 | SaveToStream (TRasterImage)
pt | SetBitmapHandle (TRasterImage)
pt | SetHandle (TRasterImage)
pt | SetHandle (TCustomBitmap)
 | SetHandles (TRasterImage)
 | SetHandles (TCustomBitmap)
pt | SetHeight (TGraphic)
pt | SetHeight (TRasterImage)
pt | SetMasked (TRasterImage)
pt | SetMaskHandle (TRasterImage)
pt | SetModified (TGraphic)
pt | SetPalette (TGraphic)
pt | SetPixelFormat (TRasterImage)
pt | SetPixelFormat (TCustomBitmap)
pt | SetSize (TRasterImage)
 | SetSize (TCustomBitmap)
pt | SetTransparent (TGraphic)
pt | SetTransparent (TRasterImage)
pt | SetTransparentMode (TRasterImage)
pt | SetWidth (TGraphic)
pt | SetWidth (TRasterImage)
 | StringMessageTable (TObject)
 | ToString (TObject)
 | UnitName (TObject)
pt | UnshareImage (TRasterImage)
pt | UnshareImage (TCustomBitmap)
pt | UpdateHandles (TRasterImage)
pt | UpdateHandles (TCustomBitmap)
pt | WriteData (TGraphic)
pt | WriteData (TRasterImage)
pt | WriteStream (TRasterImage)
pt | WriteStream (TFPImageBitmap)


TGIFImage
TFPImageBitmap
TCustomBitmap
TRasterImage
TGraphic
 | OnChange
 | OnProgress
TPersistent
TObject


TGIFImage.BitsPerPixel

Declaration

Source position: graphics.pp line 1881

public property TGIFImage.BitsPerPixel : Byte
  read FBitsPerPixel;


TGIFImage.Create

Declaration

Source position: graphics.pp line 1875

public constructor TGIFImage.Create; override;


TGIFImage.GetSharedImageClass

Declaration

Source position: graphics.pp line 1873

protected class function TGIFImage.GetSharedImageClass: TSharedRasterImageClass; override;


TGIFImage.Interlaced

Declaration

Source position: graphics.pp line 1880

public property TGIFImage.Interlaced : Boolean
  read FInterlaced;


TGIFImage.IsStreamFormatSupported

Declaration

Source position: graphics.pp line 1876

public class function TGIFImage.IsStreamFormatSupported(

  Stream: TStream

):Boolean; override;


TGIFImage.Transparent

Declaration

Source position: graphics.pp line 1879

public property TGIFImage.Transparent : Boolean
  read FTransparent;


TGraphic

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

TGraphic - Base class for dealing with Graphic images

Declaration

Source position: graphics.pp line 774

type TGraphic = class(TPersistent)
protected
procedure Changed(); virtual; | Changed - software emulation of a call to the OnChange event
function Equals(); virtual; | Equals - returns True if the current Graphic is the same as the specified Graphic
procedure DefineProperties(); override; | DefineProperties finds out whether the object really is a binary (graphic)
procedure Draw(); virtual; abstract; | Method to Draw the Graphic on the specified Canvas, in the specified Rectangle
function GetEmpty; virtual; abstract; | GetEmpty - returns True if the Graphic is empty
function GetHeight; virtual; abstract; | GetHeight - returns the height of the Graphic
function GetMimeType; virtual; | GetMimeType - returns the MIME type of the Graphic
function GetPalette; virtual; | GetPalette - returns a Handle for the Palette
function GetTransparent; virtual; abstract; | GetTransparent - returns True if the graphic is transparent
function GetWidth; virtual; abstract; | GetWidth - returns the width of the Graphic
procedure Progress(); | Monitor the Progress of the drawing
procedure ReadData(); virtual; | ReadData - reads data for the Graphic from a stream
procedure SetHeight(); virtual; abstract; | SetHeight - defines the height for the Graphic
procedure SetPalette(); virtual; | SetPalette - deefines the Palette Handle to be used
procedure SetTransparent(); virtual; abstract; | SetTransparent - defines whether the graphic is to be transparent
procedure SetWidth(); virtual; abstract; | SetWidth - defines the width for the Graphic
procedure SetModified(); | SetModified - defines whether the graphic has been modified
procedure WriteData(); virtual; | WriteData - writes Graphic data to a stream
public
procedure Assign(); override; | Assign - checks if there really is a source to assign (if not, calls Clear), then calls inherited method
constructor Create; virtual; | Create - constructor for TGraphic: calls inherited Create
procedure Clear; virtual; | Clear the resources used by the Graphic, leaving a blank Graphic
function LazarusResourceTypeValid(); virtual; | Check that the Resource specified for reading or writing is a valid type - result True if it is
procedure LoadFromFile(); virtual; | LoadFromFile - Read the graphic from the file system.
procedure LoadFromStream(); virtual; abstract; | LoadFromStream - reads graphic data from a stream (e.g. TBlobStream )
procedure LoadFromMimeStream(); virtual; | LoadFromMimeStream - reads graphic data from a MIME stream
procedure LoadFromLazarusResource(); virtual; | Load the graphic data from a Lazarus Resource (eg a *.lrs file)
procedure LoadFromResourceName(); virtual; | Load the graphic data from a resource identified by the name ResName with the Handle 'Instance'
procedure LoadFromResourceID(); virtual; | Load graphic data from a resource identified by the integer identifier ResID
procedure LoadFromClipboardFormat(); virtual; | LoadFromClipboardFormat - Replace the current image with the contents of the clipboard
procedure LoadFromClipboardFormatID(); virtual; | Load the data from the clipboard using the format type specified by ClipboardType and the format identifier FormatID
procedure SaveToFile(); virtual; | SaveToFile - Writes the graphic to disk in the file provided.
procedure SaveToStream(); virtual; abstract; | SaveToStream - write graphic data to a stream
procedure SaveToClipboardFormat(); virtual; | SaveToClipboardFormats - Converts the image to a clipboard format
procedure SaveToClipboardFormatID(); virtual; | Saves the data to a clipboard of Type ClipboardType using the format FormatID
procedure GetSupportedSourceMimeTypes(); virtual; | Gets a list of the MIME types that are supported
function GetResourceType; virtual; | GetResourceType - returns the type of a resource to be used in the graphic
class function GetFileExtensions; virtual; | GetFileExtensions - returns a list of the file extensions available
class function IsStreamFormatSupported(); virtual;
property Empty: Boolean; [r] | Is this an empty (blank) graphic?
property Height: Integer; [rw] | Height - The native, unstretched, height of the graphic.
property Modified: Boolean; [rw] | Has the graphic been modified?
property MimeType: string; [r] | MimeType - the MIME type of the graphic
property OnChange: TNotifyEvent; [rw] | Event handler for any change in the data
property OnProgress: TProgressEvent; [rw] | Event handler for monitoring progress of the graphic
property Palette: HPALETTE; [rw] | Palette - Color palette of image
property PaletteModified: Boolean; [rw] | Has the palette of colours been modified?
property Transparent: Boolean; [rw] | Transparent - Some parts of the image are not opaque. ie the background can be seen through
property Width: Integer; [rw] | Width - The native, unstretched, width of the graphic.
end;

Inheritance

TGraphic

TGraphic - Base class for dealing with Graphic images
|

TPersistent,IFPObserved
|

TObject

Description

The TGraphic class is an abstract base class for dealing with graphic images such as bitmaps, pixmaps, icons, and other image formats. It does not contain an actual area for displaying the image; this is provided by the descendant classes eg BitMap, Icon etc which have a Canvas element defined
LoadFromFile - Read the graphic from the file system. The old contents of the graphic are lost. If the file is not of the right format, an exception will be generated.
SaveToFile - Writes the graphic to disk in the file provided.
LoadFromStream - Like LoadFromFile except source is a stream (e.g. TBlobStream ).
SaveToStream - stream analogue of SaveToFile .
LoadFromClipboardFormat - Replaces the current image with the data provided. If the TGraphic does not support that format it will generate an exception.
SaveToClipboardFormats - Converts the image to a clipboard format. If the image does not support being translated into a clipboard format it will generate an exception.
Height - The native, unstretched, height of the graphic.
Palette - Color palette of image. Zero if graphic doesn't need/use palettes.
Transparent - Some parts of the image are not opaque, ie the background can be seen through.
Width - The native, unstretched, width of the graphic.
OnChange - Called whenever the graphic changes
PaletteModified - Indicates in OnChange whether color palette has changed. Stays true until whoever is responsible for realizing this new palette (ex: TImage) sets it to False.
OnProgress - Generic progress indicator event. Propagates out to TPicture and TImage OnProgress events.

As many of the methods and properties are virtual and/or abstract, it is the responsibility of the application programmer to supply suitable methods when implementing any descendant classes


TGraphic
 | ro | Empty
 |  | Height
 |  | Modified
 | ro | MimeType
 |  | Palette
 |  | PaletteModified
 |  | Transparent
 |  | Width
TPersistent
TObject


ro | Empty (TGraphic)
 | Height (TGraphic)
ro | MimeType (TGraphic)
 | Modified (TGraphic)
 | Palette (TGraphic)
 | PaletteModified (TGraphic)
 | Transparent (TGraphic)
 | Width (TGraphic)


TGraphic
pt | Changed
pt | Equals
pt | DefineProperties
pt | Draw
pt | GetEmpty
pt | GetHeight
pt | GetMimeType
pt | GetPalette
pt | GetTransparent
pt | GetWidth
pt | Progress
pt | ReadData
pt | SetHeight
pt | SetPalette
pt | SetTransparent
pt | SetWidth
pt | SetModified
pt | WriteData
 | Assign
 | Create
 | Clear
 | LazarusResourceTypeValid
 | LoadFromFile
 | LoadFromStream
 | LoadFromMimeStream
 | LoadFromLazarusResource
 | LoadFromResourceName
 | LoadFromResourceID
 | LoadFromClipboardFormat
 | LoadFromClipboardFormatID
 | SaveToFile
 | SaveToStream
 | SaveToClipboardFormat
 | SaveToClipboardFormatID
 | GetSupportedSourceMimeTypes
 | GetResourceType
 | GetFileExtensions
 | IsStreamFormatSupported
TPersistent
 | AssignError
 | AssignTo
 | DefineProperties
 | GetOwner
 | Destroy
 | Assign
 | FPOAttachObserver
 | FPODetachObserver
 | FPONotifyObservers
 | GetNamePath
TObject
 | Create
 | Destroy
 | newinstance
 | FreeInstance
 | SafeCallException
 | DefaultHandler
 | Free
 | InitInstance
 | CleanupInstance
 | ClassType
 | ClassInfo
 | ClassName
 | ClassNameIs
 | ClassParent
 | InstanceSize
 | InheritsFrom
 | StringMessageTable
 | MethodAddress
 | MethodName
 | FieldAddress
 | AfterConstruction
 | BeforeDestruction
 | DefaultHandlerStr
 | Dispatch
 | DispatchStr
 | GetInterface
 | GetInterfaceByStr
 | GetInterfaceWeak
 | GetInterfaceEntry
 | GetInterfaceEntryByStr
 | GetInterfaceTable
 | UnitName
 | Equals
 | GetHashCode
 | ToString


 | AssignError (TPersistent)
 | AssignTo (TPersistent)
 | BeforeDestruction (TObject)
pt | Changed (TGraphic)
 | ClassInfo (TObject)
 | ClassName (TObject)
 | ClassNameIs (TObject)
 | ClassParent (TObject)
 | ClassType (TObject)
 | CleanupInstance (TObject)
 | Clear (TGraphic)
 | Create (TObject)
 | Create (TGraphic)
 | DefaultHandler (TObject)
 | DefaultHandlerStr (TObject)
 | DefineProperties (TPersistent)
pt | DefineProperties (TGraphic)
 | Destroy (TObject)
 | Destroy (TPersistent)
 | Dispatch (TObject)
 | DispatchStr (TObject)
pt | Draw (TGraphic)
 | Equals (TObject)
pt | Equals (TGraphic)
 | FieldAddress (TObject)
 | FPOAttachObserver (TPersistent)
 | FPODetachObserver (TPersistent)
 | FPONotifyObservers (TPersistent)
 | Free (TObject)
 | FreeInstance (TObject)
pt | GetEmpty (TGraphic)
 | GetFileExtensions (TGraphic)
 | GetHashCode (TObject)
pt | GetHeight (TGraphic)
 | GetInterface (TObject)
 | GetInterfaceByStr (TObject)
 | GetInterfaceEntry (TObject)
 | GetInterfaceEntryByStr (TObject)
 | GetInterfaceTable (TObject)
 | GetInterfaceWeak (TObject)
pt | GetMimeType (TGraphic)
 | GetNamePath (TPersistent)
 | GetOwner (TPersistent)
pt | GetPalette (TGraphic)
 | GetResourceType (TGraphic)
 | GetSupportedSourceMimeTypes (TGraphic)
pt | GetTransparent (TGraphic)
pt | GetWidth (TGraphic)
 | InheritsFrom (TObject)
 | InitInstance (TObject)
 | InstanceSize (TObject)
 | IsStreamFormatSupported (TGraphic)
 | LazarusResourceTypeValid (TGraphic)
 | LoadFromClipboardFormat (TGraphic)
 | LoadFromClipboardFormatID (TGraphic)
 | LoadFromFile (TGraphic)
 | LoadFromLazarusResource (TGraphic)
 | LoadFromMimeStream (TGraphic)
 | LoadFromResourceID (TGraphic)
 | LoadFromResourceName (TGraphic)
 | LoadFromStream (TGraphic)
 | MethodAddress (TObject)
 | MethodName (TObject)
 | newinstance (TObject)
pt | Progress (TGraphic)
pt | ReadData (TGraphic)
 | SafeCallException (TObject)
 | SaveToClipboardFormat (TGraphic)
 | SaveToClipboardFormatID (TGraphic)
 | SaveToFile (TGraphic)
 | SaveToStream (TGraphic)
pt | SetHeight (TGraphic)
pt | SetModified (TGraphic)
pt | SetPalette (TGraphic)
pt | SetTransparent (TGraphic)
pt | SetWidth (TGraphic)
 | StringMessageTable (TObject)
 | ToString (TObject)
 | UnitName (TObject)
pt | WriteData (TGraphic)


TGraphic
 | OnChange
 | OnProgress
TPersistent
TObject


TGraphic.Assign

Assign - checks if there really is a source to assign (if not, calls Clear), then calls inherited method

Declaration

Source position: graphics.pp line 805

public procedure TGraphic.Assign(

  ASource: TPersistent

); override;

See also

TPersistent.Assign


TGraphic.Changed

Changed - software emulation of a call to the OnChange event

Declaration

Source position: graphics.pp line 781

protected procedure TGraphic.Changed(

  Sender: TObject

); virtual;


TGraphic.Clear

Clear the resources used by the Graphic, leaving a blank Graphic

Declaration

Source position: graphics.pp line 807

public procedure TGraphic.Clear; virtual;


TGraphic.Create

Create - constructor for TGraphic: calls inherited Create

Declaration

Source position: graphics.pp line 806

public constructor TGraphic.Create; virtual;

Description

Virtual method, so recommend that a constructor be supplied to override this method in descendant classes

See also

TObject.Create


TGraphic.DefineProperties

DefineProperties finds out whether the object really is a binary (graphic)

Declaration

Source position: graphics.pp line 783

protected procedure TGraphic.DefineProperties(

  Filer: TFiler

); override;

See also

TPersistent.DefineProperties


TGraphic.Draw

Method to Draw the Graphic on the specified Canvas, in the specified Rectangle

Declaration

Source position: graphics.pp line 784

protected procedure TGraphic.Draw(

  ACanvas: TCanvas;

  const Rect: TRect

); virtual; abstract;


TGraphic.Empty

Is this an empty (blank) graphic?

Declaration

Source position: graphics.pp line 831

public property TGraphic.Empty : Boolean
  read GetEmpty;


TGraphic.Equals

Equals - returns True if the current Graphic is the same as the specified Graphic

Declaration

Source position: graphics.pp line 782

protected function TGraphic.Equals(

  Graphic: TGraphic

):Boolean; virtual;


TGraphic.GetEmpty

GetEmpty - returns True if the Graphic is empty

Declaration

Source position: graphics.pp line 785

protected function TGraphic.GetEmpty: Boolean; virtual; abstract;


TGraphic.GetFileExtensions

GetFileExtensions - returns a list of the file extensions available

Declaration

Source position: graphics.pp line 828

public class function TGraphic.GetFileExtensions: string; virtual;


TGraphic.GetHeight

GetHeight - returns the height of the Graphic

Declaration

Source position: graphics.pp line 786

protected function TGraphic.GetHeight: Integer; virtual; abstract;


TGraphic.GetMimeType

GetMimeType - returns the MIME type of the Graphic

Declaration

Source position: graphics.pp line 787

protected function TGraphic.GetMimeType: string; virtual;


TGraphic.GetPalette

GetPalette - returns a Handle for the Palette

Declaration

Source position: graphics.pp line 788

protected function TGraphic.GetPalette: HPALETTE; virtual;


TGraphic.GetResourceType

GetResourceType - returns the type of a resource to be used in the graphic

Declaration

Source position: graphics.pp line 827

public function TGraphic.GetResourceType: TResourceType; virtual;


TGraphic.GetSupportedSourceMimeTypes

Gets a list of the MIME types that are supported

Declaration

Source position: graphics.pp line 826

public procedure TGraphic.GetSupportedSourceMimeTypes(

  List: TStrings

); virtual;


TGraphic.GetTransparent

GetTransparent - returns True if the graphic is transparent

Declaration

Source position: graphics.pp line 789

protected function TGraphic.GetTransparent: Boolean; virtual; abstract;


TGraphic.GetWidth

GetWidth - returns the width of the Graphic

Declaration

Source position: graphics.pp line 790

protected function TGraphic.GetWidth: Integer; virtual; abstract;


TGraphic.Height

Height - The native, unstretched, height of the graphic.

Declaration

Source position: graphics.pp line 832

public property TGraphic.Height : Integer
  read GetHeight
  write SetHeight;


TGraphic.IsStreamFormatSupported

Declaration

Source position: graphics.pp line 829

public class function TGraphic.IsStreamFormatSupported(

  Stream: TStream

):Boolean; virtual;


TGraphic.LazarusResourceTypeValid

Check that the Resource specified for reading or writing is a valid type - result True if it is

Declaration

Source position: graphics.pp line 811

public function TGraphic.LazarusResourceTypeValid(

  const AResourceType: string

):Boolean; virtual;

Arguments

AResourceType

The Resource type which is to be checked


TGraphic.LoadFromClipboardFormat

LoadFromClipboardFormat - Replace the current image with the contents of the clipboard

Declaration

Source position: graphics.pp line 818

public procedure TGraphic.LoadFromClipboardFormat(

  FormatID: TClipboardFormat

); virtual;

Description

LoadFromClipboardFormat - Replaces the current image with the data provided from the clipboard.

Errors

If the TGraphic does not support that format it will generate an exception.


TGraphic.LoadFromClipboardFormatID

Load the data from the clipboard using the format type specified by ClipboardType and the format identifier FormatID

Declaration

Source position: graphics.pp line 819

public procedure TGraphic.LoadFromClipboardFormatID(

  ClipboardType: TClipboardType;

  FormatID: TClipboardFormat

); virtual;


TGraphic.LoadFromFile

LoadFromFile - Read the graphic from the file system.

Declaration

Source position: graphics.pp line 812

public procedure TGraphic.LoadFromFile(

  const Filename: string

); virtual;

Arguments

Filename

The name of the file containing the graphic, held as a string

Description

LoadFromFile - Read the graphic from the file system.
The old contents of the graphic are lost.
If the file is not of the right format, an exception will be generated.

Errors

Incorrect file format generates an exception


TGraphic.LoadFromLazarusResource

Load the graphic data from a Lazarus Resource (eg a *.lrs file)

Declaration

Source position: graphics.pp line 815

public procedure TGraphic.LoadFromLazarusResource(

  const ResName: string

); virtual;


TGraphic.LoadFromMimeStream

LoadFromMimeStream - reads graphic data from a MIME stream

Declaration

Source position: graphics.pp line 814

public procedure TGraphic.LoadFromMimeStream(

  AStream: TStream;

  const AMimeType: string

); virtual;


TGraphic.LoadFromResourceID

Load graphic data from a resource identified by the integer identifier ResID

Declaration

Source position: graphics.pp line 817

public procedure TGraphic.LoadFromResourceID(

  Instance: THandle;

  ResID: PtrInt

); virtual;


TGraphic.LoadFromResourceName

Load the graphic data from a resource identified by the name ResName with the Handle 'Instance'

Declaration

Source position: graphics.pp line 816

public procedure TGraphic.LoadFromResourceName(

  Instance: THandle;

  const ResName: string

); virtual;


TGraphic.LoadFromStream

LoadFromStream - reads graphic data from a stream (e.g. TBlobStream )

Declaration

Source position: graphics.pp line 813

public procedure TGraphic.LoadFromStream(

  Stream: TStream

); virtual; abstract;

Arguments

Stream

Identity of the stream from which the graphic data are to be read

Description

LoadFromStream - Like LoadFromFile except source is a stream (e.g. TBlobStream)


TGraphic.MimeType

MimeType - the MIME type of the graphic

Declaration

Source position: graphics.pp line 834

public property TGraphic.MimeType : string
  read GetMimeType;


TGraphic.Modified

Has the graphic been modified?

Declaration

Source position: graphics.pp line 833

public property TGraphic.Modified : Boolean
  read FModified
  write SetModified;


TGraphic.OnChange

Event handler for any change in the data

Declaration

Source position: graphics.pp line 835

public property TGraphic.OnChange : TNotifyEvent
  read FOnChange
  write FOnChange;


TGraphic.OnProgress

Event handler for monitoring progress of the graphic

Declaration

Source position: graphics.pp line 836

public property TGraphic.OnProgress : TProgressEvent
  read FOnProgress
  write FOnProgress;

See also

Graphics.Progress

Monitoring the progress of drawing a complicated Graphic


TGraphic.Palette

Palette - Color palette of image

Declaration

Source position: graphics.pp line 837

public property TGraphic.Palette : HPALETTE
  read GetPalette
  write SetPalette;

Description

Palette - Color palette of image. Zero if graphic doesn't need/use palettes


TGraphic.PaletteModified

Has the palette of colours been modified?

Declaration

Source position: graphics.pp line 838

public property TGraphic.PaletteModified : Boolean
  read FPaletteModified
  write FPaletteModified;


TGraphic.Progress

Monitor the Progress of the drawing

Declaration

Source position: graphics.pp line 791

protected procedure TGraphic.Progress(

  Sender: TObject;

  Stage: TProgressStage;

  PercentDone: Byte;

  RedrawNow: Boolean;

  const R: TRect;

  const Msg: string;

  var DoContinue: Boolean

); virtual;

procedure TGraphic.Progress(

  Sender: TObject;

  Stage: TProgressStage;

  PercentDone: Byte;

  RedrawNow: Boolean;

  const R: TRect;

  const Msg: string

); virtual;

See also

Graphics.Progress

Monitoring the progress of drawing a complicated Graphic


TGraphic.ReadData

ReadData - reads data for the Graphic from a stream

Declaration

Source position: graphics.pp line 797

protected procedure TGraphic.ReadData(

  Stream: TStream

); virtual;


TGraphic.SaveToClipboardFormat

SaveToClipboardFormats - Converts the image to a clipboard format

Declaration

Source position: graphics.pp line 823

public procedure TGraphic.SaveToClipboardFormat(

  FormatID: TClipboardFormat

); virtual;

Arguments

FormatID

Identity of the clipboard format

Description

SaveToClipboardFormats - Converts the image to a clipboard format

Errors

If the image does not support being translated into a clipboard format it will generate an exception


TGraphic.SaveToClipboardFormatID

Saves the data to a clipboard of Type ClipboardType using the format FormatID

Declaration

Source position: graphics.pp line 824

public procedure TGraphic.SaveToClipboardFormatID(

  ClipboardType: TClipboardType;

  FormatID: TClipboardFormat

); virtual;


TGraphic.SaveToFile

SaveToFile - Writes the graphic to disk in the file provided.

Declaration

Source position: graphics.pp line 821

public procedure TGraphic.SaveToFile(

  const Filename: string

); virtual;

Arguments

Filename

The name of the file to which the graphic will be written

Description

SaveToFile - Writes the graphic to disk in the file whose name is provided.


TGraphic.SaveToStream

SaveToStream - write graphic data to a stream

Declaration

Source position: graphics.pp line 822

public procedure TGraphic.SaveToStream(

  Stream: TStream

); virtual; abstract;

Arguments

Stream

Identity of the stream to which the graphic data are to be written

Description

SaveToStream - write graphic data to a stream


TGraphic.SetHeight

SetHeight - defines the height for the Graphic

Declaration

Source position: graphics.pp line 798

protected procedure TGraphic.SetHeight(

  Value: Integer

); virtual; abstract;


TGraphic.SetModified

SetModified - defines whether the graphic has been modified

Declaration

Source position: graphics.pp line 802

protected procedure TGraphic.SetModified(

  Value: Boolean

);


TGraphic.SetPalette

SetPalette - deefines the Palette Handle to be used

Declaration

Source position: graphics.pp line 799

protected procedure TGraphic.SetPalette(

  Value: HPALETTE

); virtual;


TGraphic.SetTransparent

SetTransparent - defines whether the graphic is to be transparent

Declaration

Source position: graphics.pp line 800

protected procedure TGraphic.SetTransparent(

  Value: Boolean

); virtual; abstract;


TGraphic.SetWidth

SetWidth - defines the width for the Graphic

Declaration

Source position: graphics.pp line 801

protected procedure TGraphic.SetWidth(

  Value: Integer

); virtual; abstract;


TGraphic.Transparent

Transparent - Some parts of the image are not opaque. ie the background can be seen through

Declaration

Source position: graphics.pp line 839

public property TGraphic.Transparent : Boolean
  read GetTransparent
  write SetTransparent;


TGraphic.Width

Width - The native, unstretched, width of the graphic.

Declaration

Source position: graphics.pp line 840

public property TGraphic.Width : Integer
  read GetWidth
  write SetWidth;


TGraphic.WriteData

WriteData - writes Graphic data to a stream

Declaration

Source position: graphics.pp line 803

protected procedure TGraphic.WriteData(

  Stream: TStream

); virtual;


TGraphicClass

TGraphicClass - class of TGraphic

Declaration

Source position: graphics.pp line 843

type TGraphicClass = class of TGraphic;


TGraphicsObject

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

TGraphicsObject - Primitive ancestor class, mainly for Delphi compatibility

Declaration

Source position: graphics.pp line 441

type TGraphicsObject = class(TPersistent)
protected
procedure Changing; virtual; | Changing - software emulation of OnChanging event
procedure Changed; virtual; | Changed - software emulation of OnChange event
procedure Lock; | Lock - method for locking the object, making it unavailable for changes
procedure UnLock; | UnLock - method for releasing locked object
public
property OnChanging: TNotifyEvent; [rw] | OnChanging - event handler for changing object
property OnChange: TNotifyEvent; [rw] | OnChange - event handler for changed object
end;

Inheritance

TGraphicsObject

TGraphicsObject - Primitive ancestor class, mainly for Delphi compatibility
|

TPersistent,IFPObserved
|

TObject

Description

TGraphicsObject - In Delphi VCL this is the ancestor of TFont, TPen and TBrush.
Since FPC 2.0 the LCL uses TFPCanvasHelper as ancestor.


TGraphicsObject

TPersistent

TObject


TGraphicsObject
pt | Changing
pt | Changed
pt | Lock
pt | UnLock
TPersistent
 | AssignError
 | AssignTo
 | DefineProperties
 | GetOwner
 | Destroy
 | Assign
 | FPOAttachObserver
 | FPODetachObserver
 | FPONotifyObservers
 | GetNamePath
TObject
 | Create
 | Destroy
 | newinstance
 | FreeInstance
 | SafeCallException
 | DefaultHandler
 | Free
 | InitInstance
 | CleanupInstance
 | ClassType
 | ClassInfo
 | ClassName
 | ClassNameIs
 | ClassParent
 | InstanceSize
 | InheritsFrom
 | StringMessageTable
 | MethodAddress
 | MethodName
 | FieldAddress
 | AfterConstruction
 | BeforeDestruction
 | DefaultHandlerStr
 | Dispatch
 | DispatchStr
 | GetInterface
 | GetInterfaceByStr
 | GetInterfaceWeak
 | GetInterfaceEntry
 | GetInterfaceEntryByStr
 | GetInterfaceTable
 | UnitName
 | Equals
 | GetHashCode
 | ToString


 | AssignError (TPersistent)
 | AssignTo (TPersistent)
 | BeforeDestruction (TObject)
pt | Changed (TGraphicsObject)
pt | Changing (TGraphicsObject)
 | ClassInfo (TObject)
 | ClassName (TObject)
 | ClassNameIs (TObject)
 | ClassParent (TObject)
 | ClassType (TObject)
 | CleanupInstance (TObject)
 | Create (TObject)
 | DefaultHandler (TObject)
 | DefaultHandlerStr (TObject)
 | DefineProperties (TPersistent)
 | Destroy (TObject)
 | Destroy (TPersistent)
 | Dispatch (TObject)
 | DispatchStr (TObject)
 | Equals (TObject)
 | FieldAddress (TObject)
 | FPOAttachObserver (TPersistent)
 | FPODetachObserver (TPersistent)
 | FPONotifyObservers (TPersistent)
 | Free (TObject)
 | FreeInstance (TObject)
 | GetHashCode (TObject)
 | GetInterface (TObject)
 | GetInterfaceByStr (TObject)
 | GetInterfaceEntry (TObject)
 | GetInterfaceEntryByStr (TObject)
 | GetInterfaceTable (TObject)
 | GetInterfaceWeak (TObject)
 | GetNamePath (TPersistent)
 | GetOwner (TPersistent)
 | InheritsFrom (TObject)
 | InitInstance (TObject)
 | InstanceSize (TObject)
pt | Lock (TGraphicsObject)
 | MethodAddress (TObject)
 | MethodName (TObject)
 | newinstance (TObject)
 | SafeCallException (TObject)
 | StringMessageTable (TObject)
 | ToString (TObject)
 | UnitName (TObject)
pt | UnLock (TGraphicsObject)


TGraphicsObject
 | OnChanging
 | OnChange
TPersistent
TObject


TGraphicsObject.Changed

Changed - software emulation of OnChange event

Declaration

Source position: graphics.pp line 448

protected procedure TGraphicsObject.Changed; virtual;


TGraphicsObject.Changing

Changing - software emulation of OnChanging event

Declaration

Source position: graphics.pp line 447

protected procedure TGraphicsObject.Changing; virtual;


TGraphicsObject.Lock

Lock - method for locking the object, making it unavailable for changes

Declaration

Source position: graphics.pp line 449

protected procedure TGraphicsObject.Lock;


TGraphicsObject.OnChange

OnChange - event handler for changed object

Declaration

Source position: graphics.pp line 453

public property TGraphicsObject.OnChange : TNotifyEvent
  read FOnChange
  write FOnChange;


TGraphicsObject.OnChanging

OnChanging - event handler for changing object

Declaration

Source position: graphics.pp line 452

public property TGraphicsObject.OnChanging : TNotifyEvent
  read FOnChanging
  write FOnChanging;


TGraphicsObject.UnLock

UnLock - method for releasing locked object

Declaration

Source position: graphics.pp line 450

protected procedure TGraphicsObject.UnLock;


TIcnsIcon

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Declaration

Source position: graphics.pp line 1686

type TIcnsIcon = class(TCustomIcon)

protected

  class function GetSharedImageClass; override;

GetSharedImageClass - returns the class of Shared Raster Image

  procedure ReadData(); override;

  procedure ReadStream(); override;

  procedure WriteStream(); override;

public

  constructor Create; override;

  destructor Destroy; override;

  class function GetFileExtensions; override;

  function LazarusResourceTypeValid(); override;

end;

Inheritance

TIcnsIcon
|
TCustomIcon | TCustomIcon - base class for TIcon
|
TRasterImage | TRasterImage - base class for a number of graphic controls, including TCustomBitmap and TCustomIcon, which use a raster of dots to display graphic information
|
TGraphic | TGraphic - Base class for dealing with Graphic images
|
TPersistent,IFPObserved
|
TObject


TIcnsIcon
TCustomIcon
 |  | Current
 | ro | Count
TRasterImage
 | ro | Canvas
 |  | BitmapHandle
 |  | Masked
 |  | MaskHandle
 |  | PixelFormat
 | ro | RawImage
 | ro | ScanLine
 |  | TransparentColor
 |  | TransparentMode
TGraphic
 | ro | Empty
 |  | Height
 |  | Modified
 | ro | MimeType
 |  | Palette
 |  | PaletteModified
 |  | Transparent
 |  | Width
TPersistent
TObject


TIcnsIcon
pt | GetSharedImageClass
pt | ReadData
pt | ReadStream
pt | WriteStream
 | Create
 | Destroy
 | GetFileExtensions
 | LazarusResourceTypeValid
TCustomIcon
pt | MaskHandleNeeded
pt | PaletteNeeded
pt | CanShareImage
pt | CheckRequestedSize
pt | GetIndex
pt | GetBitmapHandle
pt | GetDefaultSize
pt | GetMaskHandle
pt | GetPalette
pt | GetPixelFormat
pt | GetRawImagePtr
pt | GetRawImageDescriptionPtr
pt | GetTransparent
pt | GetSharedImageClass
pt | GetStreamSignature
pt | GetTypeID
pt | HandleNeeded
pt | InternalReleaseBitmapHandle
pt | InternalReleaseMaskHandle
pt | InternalReleasePalette
pt | ReadData
pt | ReadStream
pt | SetMasked
pt | SetPixelFormat
pt | SetTransparent
pt | UnshareImage
pt | UpdateCurrentView
pt | SetHandle
pt | UpdateHandle
pt | UpdateHandles
pt | WriteStream
 | Create
 | Add
 | Assign
 | AssignImage
 | Clear
 | Delete
 | Remove
 | GetDescription
 | SetSize
 | GetFileExtensions
 | LazarusResourceTypeValid
 | LoadFromResourceName
 | LoadFromResourceID
 | LoadFromResourceHandle
 | BitmapHandleAllocated
 | MaskHandleAllocated
 | PaletteAllocated
 | SetHandles
 | Sort
 | GetBestIndexForSize
TRasterImage
pt | CanShareImage
pt | Changed
pt | CreateDefaultBitmapHandle
pt | Draw
pt | GetEmpty
pt | GetHandle
pt | GetBitmapHandle
pt | GetMasked
pt | GetMaskHandle
pt | GetMimeType
pt | GetPixelFormat
pt | GetRawImagePtr
pt | GetRawImageDescriptionPtr
pt | GetTransparent
pt | GetSharedImageClass
pt | GetHeight
pt | GetWidth
pt | BitmapHandleNeeded
pt | HandleNeeded
pt | MaskHandleNeeded
pt | PaletteNeeded
pt | InternalReleaseBitmapHandle
pt | InternalReleaseMaskHandle
pt | InternalReleasePalette
pt | SetBitmapHandle
pt | SetMasked
pt | SetMaskHandle
pt | SetTransparent
pt | UnshareImage
pt | UpdateHandles
pt | SaveStreamNeeded
pt | FreeSaveStream
pt | ReadData
pt | ReadStream
pt | SetSize
pt | SetHandle
pt | SetHeight
pt | SetWidth
pt | SetTransparentMode
pt | SetPixelFormat
pt | WriteData
pt | WriteStream
pt | RequestTransparentColor
 | Create
 | Destroy
 | Assign
 | Clear
 | BeginUpdate
 | EndUpdate
 | FreeImage
 | BitmapHandleAllocated
 | MaskHandleAllocated
 | PaletteAllocated
 | LoadFromBitmapHandles
 | LoadFromDevice
 | LoadFromStream
 | LoadFromMimeStream
 | LoadFromRawImage
 | LoadFromIntfImage
 | SaveToStream
 | GetSupportedSourceMimeTypes
 | GetSize
 | Mask
 | SetHandles
 | ReleaseBitmapHandle
 | ReleaseMaskHandle
 | ReleasePalette
 | CreateIntfImage
 | HandleAllocated
TGraphic
pt | Changed
pt | Equals
pt | DefineProperties
pt | Draw
pt | GetEmpty
pt | GetHeight
pt | GetMimeType
pt | GetPalette
pt | GetTransparent
pt | GetWidth
pt | Progress
pt | ReadData
pt | SetHeight
pt | SetPalette
pt | SetTransparent
pt | SetWidth
pt | SetModified
pt | WriteData
 | Assign
 | Create
 | Clear
 | LazarusResourceTypeValid
 | LoadFromFile
 | LoadFromStream
 | LoadFromMimeStream
 | LoadFromLazarusResource
 | LoadFromResourceName
 | LoadFromResourceID
 | LoadFromClipboardFormat
 | LoadFromClipboardFormatID
 | SaveToFile
 | SaveToStream
 | SaveToClipboardFormat
 | SaveToClipboardFormatID
 | GetSupportedSourceMimeTypes
 | GetResourceType
 | GetFileExtensions
 | IsStreamFormatSupported
TPersistent
 | AssignError
 | AssignTo
 | DefineProperties
 | GetOwner
 | Destroy
 | Assign
 | FPOAttachObserver
 | FPODetachObserver
 | FPONotifyObservers
 | GetNamePath
TObject
 | Create
 | Destroy
 | newinstance
 | FreeInstance
 | SafeCallException
 | DefaultHandler
 | Free
 | InitInstance
 | CleanupInstance
 | ClassType
 | ClassInfo
 | ClassName
 | ClassNameIs
 | ClassParent
 | InstanceSize
 | InheritsFrom
 | StringMessageTable
 | MethodAddress
 | MethodName
 | FieldAddress
 | AfterConstruction
 | BeforeDestruction
 | DefaultHandlerStr
 | Dispatch
 | DispatchStr
 | GetInterface
 | GetInterfaceByStr
 | GetInterfaceWeak
 | GetInterfaceEntry
 | GetInterfaceEntryByStr
 | GetInterfaceTable
 | UnitName
 | Equals
 | GetHashCode
 | ToString


 | Add (TCustomIcon)
 | AfterConstruction (TObject)
 | Assign (TPersistent)
 | Assign (TGraphic)
 | Assign (TRasterImage)
 | Assign (TCustomIcon)
 | AssignError (TPersistent)
 | AssignImage (TCustomIcon)
 | AssignTo (TPersistent)
 | BeforeDestruction (TObject)
 | BeginUpdate (TRasterImage)
 | BitmapHandleAllocated (TRasterImage)
 | BitmapHandleAllocated (TCustomIcon)
pt | BitmapHandleNeeded (TRasterImage)
pt | CanShareImage (TRasterImage)
pt | CanShareImage (TCustomIcon)
pt | Changed (TGraphic)
pt | Changed (TRasterImage)
pt | CheckRequestedSize (TCustomIcon)
 | ClassInfo (TObject)
 | ClassName (TObject)
 | ClassNameIs (TObject)
 | ClassParent (TObject)
 | ClassType (TObject)
 | CleanupInstance (TObject)
 | Clear (TGraphic)
 | Clear (TRasterImage)
 | Clear (TCustomIcon)
 | Create (TObject)
 | Create (TGraphic)
 | Create (TRasterImage)
 | Create (TCustomIcon)
 | Create (TIcnsIcon)
pt | CreateDefaultBitmapHandle (TRasterImage)
 | CreateIntfImage (TRasterImage)
 | DefaultHandler (TObject)
 | DefaultHandlerStr (TObject)
 | DefineProperties (TPersistent)
pt | DefineProperties (TGraphic)
 | Delete (TCustomIcon)
 | Destroy (TObject)
 | Destroy (TPersistent)
 | Destroy (TRasterImage)
 | Destroy (TIcnsIcon)
 | Dispatch (TObject)
 | DispatchStr (TObject)
pt | Draw (TGraphic)
pt | Draw (TRasterImage)
 | EndUpdate (TRasterImage)
 | Equals (TObject)
pt | Equals (TGraphic)
 | FieldAddress (TObject)
 | FPOAttachObserver (TPersistent)
 | FPODetachObserver (TPersistent)
 | FPONotifyObservers (TPersistent)
 | Free (TObject)
 | FreeImage (TRasterImage)
 | FreeInstance (TObject)
pt | FreeSaveStream (TRasterImage)
 | GetBestIndexForSize (TCustomIcon)
pt | GetBitmapHandle (TRasterImage)
pt | GetBitmapHandle (TCustomIcon)
pt | GetDefaultSize (TCustomIcon)
 | GetDescription (TCustomIcon)
pt | GetEmpty (TGraphic)
pt | GetEmpty (TRasterImage)
 | GetFileExtensions (TGraphic)
 | GetFileExtensions (TCustomIcon)
 | GetFileExtensions (TIcnsIcon)
pt | GetHandle (TRasterImage)
 | GetHashCode (TObject)
pt | GetHeight (TGraphic)
pt | GetHeight (TRasterImage)
pt | GetIndex (TCustomIcon)
 | GetInterface (TObject)
 | GetInterfaceByStr (TObject)
 | GetInterfaceEntry (TObject)
 | GetInterfaceEntryByStr (TObject)
 | GetInterfaceTable (TObject)
 | GetInterfaceWeak (TObject)
pt | GetMasked (TRasterImage)
pt | GetMaskHandle (TRasterImage)
pt | GetMaskHandle (TCustomIcon)
pt | GetMimeType (TGraphic)
pt | GetMimeType (TRasterImage)
 | GetNamePath (TPersistent)
 | GetOwner (TPersistent)
pt | GetPalette (TGraphic)
pt | GetPalette (TCustomIcon)
pt | GetPixelFormat (TRasterImage)
pt | GetPixelFormat (TCustomIcon)
pt | GetRawImageDescriptionPtr (TRasterImage)
pt | GetRawImageDescriptionPtr (TCustomIcon)
pt | GetRawImagePtr (TRasterImage)
pt | GetRawImagePtr (TCustomIcon)
 | GetResourceType (TGraphic)
pt | GetSharedImageClass (TRasterImage)
pt | GetSharedImageClass (TCustomIcon)
pt | GetSharedImageClass (TIcnsIcon)
 | GetSize (TRasterImage)
pt | GetStreamSignature (TCustomIcon)
 | GetSupportedSourceMimeTypes (TGraphic)
 | GetSupportedSourceMimeTypes (TRasterImage)
pt | GetTransparent (TGraphic)
pt | GetTransparent (TRasterImage)
pt | GetTransparent (TCustomIcon)
pt | GetTypeID (TCustomIcon)
pt | GetWidth (TGraphic)
pt | GetWidth (TRasterImage)
 | HandleAllocated (TRasterImage)
pt | HandleNeeded (TRasterImage)
pt | HandleNeeded (TCustomIcon)
 | InheritsFrom (TObject)
 | InitInstance (TObject)
 | InstanceSize (TObject)
pt | InternalReleaseBitmapHandle (TRasterImage)
pt | InternalReleaseBitmapHandle (TCustomIcon)
pt | InternalReleaseMaskHandle (TRasterImage)
pt | InternalReleaseMaskHandle (TCustomIcon)
pt | InternalReleasePalette (TRasterImage)
pt | InternalReleasePalette (TCustomIcon)
 | IsStreamFormatSupported (TGraphic)
 | LazarusResourceTypeValid (TGraphic)
 | LazarusResourceTypeValid (TCustomIcon)
 | LazarusResourceTypeValid (TIcnsIcon)
 | LoadFromBitmapHandles (TRasterImage)
 | LoadFromClipboardFormat (TGraphic)
 | LoadFromClipboardFormatID (TGraphic)
 | LoadFromDevice (TRasterImage)
 | LoadFromFile (TGraphic)
 | LoadFromIntfImage (TRasterImage)
 | LoadFromLazarusResource (TGraphic)
 | LoadFromMimeStream (TGraphic)
 | LoadFromMimeStream (TRasterImage)
 | LoadFromRawImage (TRasterImage)
 | LoadFromResourceHandle (TCustomIcon)
 | LoadFromResourceID (TGraphic)
 | LoadFromResourceID (TCustomIcon)
 | LoadFromResourceName (TGraphic)
 | LoadFromResourceName (TCustomIcon)
 | LoadFromStream (TGraphic)
 | LoadFromStream (TRasterImage)
 | Mask (TRasterImage)
 | MaskHandleAllocated (TRasterImage)
 | MaskHandleAllocated (TCustomIcon)
pt | MaskHandleNeeded (TRasterImage)
pt | MaskHandleNeeded (TCustomIcon)
 | MethodAddress (TObject)
 | MethodName (TObject)
 | newinstance (TObject)
 | PaletteAllocated (TRasterImage)
 | PaletteAllocated (TCustomIcon)
pt | PaletteNeeded (TRasterImage)
pt | PaletteNeeded (TCustomIcon)
pt | Progress (TGraphic)
pt | ReadData (TGraphic)
pt | ReadData (TRasterImage)
pt | ReadData (TCustomIcon)
pt | ReadData (TIcnsIcon)
pt | ReadStream (TRasterImage)
pt | ReadStream (TCustomIcon)
pt | ReadStream (TIcnsIcon)
 | ReleaseBitmapHandle (TRasterImage)
 | ReleaseMaskHandle (TRasterImage)
 | ReleasePalette (TRasterImage)
 | Remove (TCustomIcon)
pt | RequestTransparentColor (TRasterImage)
 | SafeCallException (TObject)
pt | SaveStreamNeeded (TRasterImage)
 | SaveToClipboardFormat (TGraphic)
 | SaveToClipboardFormatID (TGraphic)
 | SaveToFile (TGraphic)
 | SaveToStream (TGraphic)
 | SaveToStream (TRasterImage)
pt | SetBitmapHandle (TRasterImage)
pt | SetHandle (TRasterImage)
pt | SetHandle (TCustomIcon)
 | SetHandles (TRasterImage)
 | SetHandles (TCustomIcon)
pt | SetHeight (TGraphic)
pt | SetHeight (TRasterImage)
pt | SetMasked (TRasterImage)
pt | SetMasked (TCustomIcon)
pt | SetMaskHandle (TRasterImage)
pt | SetModified (TGraphic)
pt | SetPalette (TGraphic)
pt | SetPixelFormat (TRasterImage)
pt | SetPixelFormat (TCustomIcon)
pt | SetSize (TRasterImage)
 | SetSize (TCustomIcon)
pt | SetTransparent (TGraphic)
pt | SetTransparent (TRasterImage)
pt | SetTransparent (TCustomIcon)
pt | SetTransparentMode (TRasterImage)
pt | SetWidth (TGraphic)
pt | SetWidth (TRasterImage)
 | Sort (TCustomIcon)
 | StringMessageTable (TObject)
 | ToString (TObject)
 | UnitName (TObject)
pt | UnshareImage (TRasterImage)
pt | UnshareImage (TCustomIcon)
pt | UpdateCurrentView (TCustomIcon)
pt | UpdateHandle (TCustomIcon)
pt | UpdateHandles (TRasterImage)
pt | UpdateHandles (TCustomIcon)
pt | WriteData (TGraphic)
pt | WriteData (TRasterImage)
pt | WriteStream (TRasterImage)
pt | WriteStream (TCustomIcon)
pt | WriteStream (TIcnsIcon)


TIcnsIcon
TCustomIcon
TRasterImage
TGraphic
 | OnChange
 | OnProgress
TPersistent
TObject


TIcnsIcon.Destroy

Declaration

Source position: graphics.pp line 1699

public destructor TIcnsIcon.Destroy; override;


TIcnsList

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Declaration

Source position: graphics.pp line 1670

type TIcnsList = class(TList)

protected

  procedure Notify(); override;

public

  function Add();

  property Items []: PIcnsRec; default; [rw]

end;

Inheritance

TIcnsList
|

TList,IFPObserved
|

TObject


TIcnsList
 |  | Items
TList
 |  | Capacity
 |  | Count
 |  | Items
 | ro | List
TObject


 | Capacity (TList)
 | Count (TList)
 | Items (TList)
 | Items (TIcnsList)
ro | List (TList)


TIcnsList
pt | Notify
 | Add
TList
 | CopyMove
 | MergeMove
 | DoCopy
 | DoSrcUnique
 | DoAnd
 | DoDestUnique
 | DoOr
 | DoXOr
 | Get
 | Grow
 | Put
 | Notify
 | SetCapacity
 | GetCapacity
 | SetCount
 | GetCount
 | GetList
 | Create
 | Destroy
 | FPOAttachObserver
 | FPODetachObserver
 | FPONotifyObservers
 | AddList
 | Add
 | Clear
 | Delete
 | Error
 | Exchange
 | Expand
 | Extract
 | First
 | GetEnumerator
 | IndexOf
 | Insert
 | Last
 | Move
 | Assign
 | Remove
 | Pack
 | Sort
TObject
 | Create
 | Destroy
 | newinstance
 | FreeInstance
 | SafeCallException
 | DefaultHandler
 | Free
 | InitInstance
 | CleanupInstance
 | ClassType
 | ClassInfo
 | ClassName
 | ClassNameIs
 | ClassParent
 | InstanceSize
 | InheritsFrom
 | StringMessageTable
 | MethodAddress
 | MethodName
 | FieldAddress
 | AfterConstruction
 | BeforeDestruction
 | DefaultHandlerStr
 | Dispatch
 | DispatchStr
 | GetInterface
 | GetInterfaceByStr
 | GetInterfaceWeak
 | GetInterfaceEntry
 | GetInterfaceEntryByStr
 | GetInterfaceTable
 | UnitName
 | Equals
 | GetHashCode
 | ToString


 | Add (TList)
 | Add (TIcnsList)
 | AddList (TList)
 | AfterConstruction (TObject)
 | Assign (TList)
 | BeforeDestruction (TObject)
 | ClassInfo (TObject)
 | ClassName (TObject)
 | ClassNameIs (TObject)
 | ClassParent (TObject)
 | ClassType (TObject)
 | CleanupInstance (TObject)
 | Clear (TList)
 | CopyMove (TList)
 | Create (TObject)
 | Create (TList)
 | DefaultHandler (TObject)
 | DefaultHandlerStr (TObject)
 | Delete (TList)
 | Destroy (TObject)
 | Destroy (TList)
 | Dispatch (TObject)
 | DispatchStr (TObject)
 | DoAnd (TList)
 | DoCopy (TList)
 | DoDestUnique (TList)
 | DoOr (TList)
 | DoSrcUnique (TList)
 | DoXOr (TList)
 | Equals (TObject)
 | Error (TList)
 | Exchange (TList)
 | Expand (TList)
 | Extract (TList)
 | FieldAddress (TObject)
 | First (TList)
 | FPOAttachObserver (TList)
 | FPODetachObserver (TList)
 | FPONotifyObservers (TList)
 | Free (TObject)
 | FreeInstance (TObject)
 | Get (TList)
 | GetCapacity (TList)
 | GetCount (TList)
 | GetEnumerator (TList)
 | GetHashCode (TObject)
 | GetInterface (TObject)
 | GetInterfaceByStr (TObject)
 | GetInterfaceEntry (TObject)
 | GetInterfaceEntryByStr (TObject)
 | GetInterfaceTable (TObject)
 | GetInterfaceWeak (TObject)
 | GetList (TList)
 | Grow (TList)
 | IndexOf (TList)
 | InheritsFrom (TObject)
 | InitInstance (TObject)
 | Insert (TList)
 | InstanceSize (TObject)
 | Last (TList)
 | MergeMove (TList)
 | MethodAddress (TObject)
 | MethodName (TObject)
 | Move (TList)
 | newinstance (TObject)
 | Notify (TList)
pt | Notify (TIcnsList)
 | Pack (TList)
 | Put (TList)
 | Remove (TList)
 | SafeCallException (TObject)
 | SetCapacity (TList)
 | SetCount (TList)
 | Sort (TList)
 | StringMessageTable (TObject)
 | ToString (TObject)
 | UnitName (TObject)


TIcnsList

TList

TObject


TIcnsList.Add

Declaration

Source position: graphics.pp line 1677

public function TIcnsList.Add(

  AIconType: TicnsIconType;

  ARawImage: TRawImage

):Integer;


TIcnsList.Items

Declaration

Source position: graphics.pp line 1678

public property TIcnsList.Items[Index: Integer] : PIcnsRec
  read GetItem
  write SetItem;
  default;


TIcnsList.Notify

Declaration

Source position: graphics.pp line 1675

protected procedure TIcnsList.Notify(

  Ptr: Pointer;

  Action: TListNotification

); override;


TIcon

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

TIcon - icons, small images typically associated with applications, controls, etc.

Declaration

Source position: graphics.pp line 1647

type TIcon = class(TCustomIcon)
protected
class function GetStreamSignature; override;
class function GetTypeID; override; | GetTypeID - returns Identifier for type of Icon
procedure HandleNeeded; override; | HandleNeeded - method to signal that a handle is required
public
procedure LoadFromResourceHandle(); override;
function ReleaseHandle; | ReleaseHandle - frees the handle that was iused for the Icon
function GetResourceType; override;
property Handle: HICON; [rw] | The Operating System Handle used for the Icon
end;

Inheritance

TIcon | TIcon - icons, small images typically associated with applications, controls, etc.
|
TCustomIcon | TCustomIcon - base class for TIcon
|
TRasterImage | TRasterImage - base class for a number of graphic controls, including TCustomBitmap and TCustomIcon, which use a raster of dots to display graphic information
|
TGraphic | TGraphic - Base class for dealing with Graphic images
|
TPersistent,IFPObserved
|
TObject

Description

Icons can be loaded from .ICO files, or from Lazarus resources.

An icon resource typically contains several versions of the same image, in multiple resolutions and color depths.

When loading, the largest/most colourful image is loaded as the Bitmap property, and so can be handled as any other bitmap.

Errors

Writing to icon files is not (yet) implemented.


TIcon
 |  | Handle
TCustomIcon
 |  | Current
 | ro | Count
TRasterImage
 | ro | Canvas
 |  | BitmapHandle
 |  | Masked
 |  | MaskHandle
 |  | PixelFormat
 | ro | RawImage
 | ro | ScanLine
 |  | TransparentColor
 |  | TransparentMode
TGraphic
 | ro | Empty
 |  | Height
 |  | Modified
 | ro | MimeType
 |  | Palette
 |  | PaletteModified
 |  | Transparent
 |  | Width
TPersistent
TObject


ro | Canvas (TRasterImage)
ro | Count (TCustomIcon)
 | Current (TCustomIcon)
ro | Empty (TGraphic)
 | Handle (TIcon)
 | Height (TGraphic)
 | Masked (TRasterImage)
 | MaskHandle (TRasterImage)
ro | MimeType (TGraphic)
 | Modified (TGraphic)
 | Palette (TGraphic)
 | PaletteModified (TGraphic)
 | PixelFormat (TRasterImage)
ro | RawImage (TRasterImage)
ro | ScanLine (TRasterImage)
 | Transparent (TGraphic)
 | TransparentColor (TRasterImage)
 | TransparentMode (TRasterImage)
 | Width (TGraphic)


TIcon
pt | GetStreamSignature
pt | GetTypeID
pt | HandleNeeded
 | LoadFromResourceHandle
 | ReleaseHandle
 | GetResourceType
TCustomIcon
pt | MaskHandleNeeded
pt | PaletteNeeded
pt | CanShareImage
pt | CheckRequestedSize
pt | GetIndex
pt | GetBitmapHandle
pt | GetDefaultSize
pt | GetMaskHandle
pt | GetPalette
pt | GetPixelFormat
pt | GetRawImagePtr
pt | GetRawImageDescriptionPtr
pt | GetTransparent
pt | GetSharedImageClass
pt | GetStreamSignature
pt | GetTypeID
pt | HandleNeeded
pt | InternalReleaseBitmapHandle
pt | InternalReleaseMaskHandle
pt | InternalReleasePalette
pt | ReadData
pt | ReadStream
pt | SetMasked
pt | SetPixelFormat
pt | SetTransparent
pt | UnshareImage
pt | UpdateCurrentView
pt | SetHandle
pt | UpdateHandle
pt | UpdateHandles
pt | WriteStream
 | Create
 | Add
 | Assign
 | AssignImage
 | Clear
 | Delete
 | Remove
 | GetDescription
 | SetSize
 | GetFileExtensions
 | LazarusResourceTypeValid
 | LoadFromResourceName
 | LoadFromResourceID
 | LoadFromResourceHandle
 | BitmapHandleAllocated
 | MaskHandleAllocated
 | PaletteAllocated
 | SetHandles
 | Sort
 | GetBestIndexForSize
TRasterImage
pt | CanShareImage
pt | Changed
pt | CreateDefaultBitmapHandle
pt | Draw
pt | GetEmpty
pt | GetHandle
pt | GetBitmapHandle
pt | GetMasked
pt | GetMaskHandle
pt | GetMimeType
pt | GetPixelFormat
pt | GetRawImagePtr
pt | GetRawImageDescriptionPtr
pt | GetTransparent
pt | GetSharedImageClass
pt | GetHeight
pt | GetWidth
pt | BitmapHandleNeeded
pt | HandleNeeded
pt | MaskHandleNeeded
pt | PaletteNeeded
pt | InternalReleaseBitmapHandle
pt | InternalReleaseMaskHandle
pt | InternalReleasePalette
pt | SetBitmapHandle
pt | SetMasked
pt | SetMaskHandle
pt | SetTransparent
pt | UnshareImage
pt | UpdateHandles
pt | SaveStreamNeeded
pt | FreeSaveStream
pt | ReadData
pt | ReadStream
pt | SetSize
pt | SetHandle
pt | SetHeight
pt | SetWidth
pt | SetTransparentMode
pt | SetPixelFormat
pt | WriteData
pt | WriteStream
pt | RequestTransparentColor
 | Create
 | Destroy
 | Assign
 | Clear
 | BeginUpdate
 | EndUpdate
 | FreeImage
 | BitmapHandleAllocated
 | MaskHandleAllocated
 | PaletteAllocated
 | LoadFromBitmapHandles
 | LoadFromDevice
 | LoadFromStream
 | LoadFromMimeStream
 | LoadFromRawImage
 | LoadFromIntfImage
 | SaveToStream
 | GetSupportedSourceMimeTypes
 | GetSize
 | Mask
 | SetHandles
 | ReleaseBitmapHandle
 | ReleaseMaskHandle
 | ReleasePalette
 | CreateIntfImage
 | HandleAllocated
TGraphic
pt | Changed
pt | Equals
pt | DefineProperties
pt | Draw
pt | GetEmpty
pt | GetHeight
pt | GetMimeType
pt | GetPalette
pt | GetTransparent
pt | GetWidth
pt | Progress
pt | ReadData
pt | SetHeight
pt | SetPalette
pt | SetTransparent
pt | SetWidth
pt | SetModified
pt | WriteData
 | Assign
 | Create
 | Clear
 | LazarusResourceTypeValid
 | LoadFromFile
 | LoadFromStream
 | LoadFromMimeStream
 | LoadFromLazarusResource
 | LoadFromResourceName
 | LoadFromResourceID
 | LoadFromClipboardFormat
 | LoadFromClipboardFormatID
 | SaveToFile
 | SaveToStream
 | SaveToClipboardFormat
 | SaveToClipboardFormatID
 | GetSupportedSourceMimeTypes
 | GetResourceType
 | GetFileExtensions
 | IsStreamFormatSupported
TPersistent
 | AssignError
 | AssignTo
 | DefineProperties
 | GetOwner
 | Destroy
 | Assign
 | FPOAttachObserver
 | FPODetachObserver
 | FPONotifyObservers
 | GetNamePath
TObject
 | Create
 | Destroy
 | newinstance
 | FreeInstance
 | SafeCallException
 | DefaultHandler
 | Free
 | InitInstance
 | CleanupInstance
 | ClassType
 | ClassInfo
 | ClassName
 | ClassNameIs
 | ClassParent
 | InstanceSize
 | InheritsFrom
 | StringMessageTable
 | MethodAddress
 | MethodName
 | FieldAddress
 | AfterConstruction
 | BeforeDestruction
 | DefaultHandlerStr
 | Dispatch
 | DispatchStr
 | GetInterface
 | GetInterfaceByStr
 | GetInterfaceWeak
 | GetInterfaceEntry
 | GetInterfaceEntryByStr
 | GetInterfaceTable
 | UnitName
 | Equals
 | GetHashCode
 | ToString


 | Add (TCustomIcon)
 | AfterConstruction (TObject)
 | Assign (TPersistent)
 | Assign (TGraphic)
 | Assign (TRasterImage)
 | Assign (TCustomIcon)
 | AssignError (TPersistent)
 | AssignImage (TCustomIcon)
 | AssignTo (TPersistent)
 | BeforeDestruction (TObject)
 | BeginUpdate (TRasterImage)
 | BitmapHandleAllocated (TRasterImage)
 | BitmapHandleAllocated (TCustomIcon)
pt | BitmapHandleNeeded (TRasterImage)
pt | CanShareImage (TRasterImage)
pt | CanShareImage (TCustomIcon)
pt | Changed (TGraphic)
pt | Changed (TRasterImage)
pt | CheckRequestedSize (TCustomIcon)
 | ClassInfo (TObject)
 | ClassName (TObject)
 | ClassNameIs (TObject)
 | ClassParent (TObject)
 | ClassType (TObject)
 | CleanupInstance (TObject)
 | Clear (TGraphic)
 | Clear (TRasterImage)
 | Clear (TCustomIcon)
 | Create (TObject)
 | Create (TGraphic)
 | Create (TRasterImage)
 | Create (TCustomIcon)
pt | CreateDefaultBitmapHandle (TRasterImage)
 | CreateIntfImage (TRasterImage)
 | DefaultHandler (TObject)
 | DefaultHandlerStr (TObject)
 | DefineProperties (TPersistent)
pt | DefineProperties (TGraphic)
 | Delete (TCustomIcon)
 | Destroy (TObject)
 | Destroy (TPersistent)
 | Destroy (TRasterImage)
 | Dispatch (TObject)
 | DispatchStr (TObject)
pt | Draw (TGraphic)
pt | Draw (TRasterImage)
 | EndUpdate (TRasterImage)
 | Equals (TObject)
pt | Equals (TGraphic)
 | FieldAddress (TObject)
 | FPOAttachObserver (TPersistent)
 | FPODetachObserver (TPersistent)
 | FPONotifyObservers (TPersistent)
 | Free (TObject)
 | FreeImage (TRasterImage)
 | FreeInstance (TObject)
pt | FreeSaveStream (TRasterImage)
 | GetBestIndexForSize (TCustomIcon)
pt | GetBitmapHandle (TRasterImage)
pt | GetBitmapHandle (TCustomIcon)
pt | GetDefaultSize (TCustomIcon)
 | GetDescription (TCustomIcon)
pt | GetEmpty (TGraphic)
pt | GetEmpty (TRasterImage)
 | GetFileExtensions (TGraphic)
 | GetFileExtensions (TCustomIcon)
pt | GetHandle (TRasterImage)
 | GetHashCode (TObject)
pt | GetHeight (TGraphic)
pt | GetHeight (TRasterImage)
pt | GetIndex (TCustomIcon)
 | GetInterface (TObject)
 | GetInterfaceByStr (TObject)
 | GetInterfaceEntry (TObject)
 | GetInterfaceEntryByStr (TObject)
 | GetInterfaceTable (TObject)
 | GetInterfaceWeak (TObject)
pt | GetMasked (TRasterImage)
pt | GetMaskHandle (TRasterImage)
pt | GetMaskHandle (TCustomIcon)
pt | GetMimeType (TGraphic)
pt | GetMimeType (TRasterImage)
 | GetNamePath (TPersistent)
 | GetOwner (TPersistent)
pt | GetPalette (TGraphic)
pt | GetPalette (TCustomIcon)
pt | GetPixelFormat (TRasterImage)
pt | GetPixelFormat (TCustomIcon)
pt | GetRawImageDescriptionPtr (TRasterImage)
pt | GetRawImageDescriptionPtr (TCustomIcon)
pt | GetRawImagePtr (TRasterImage)
pt | GetRawImagePtr (TCustomIcon)
 | GetResourceType (TGraphic)
 | GetResourceType (TIcon)
pt | GetSharedImageClass (TRasterImage)
pt | GetSharedImageClass (TCustomIcon)
 | GetSize (TRasterImage)
pt | GetStreamSignature (TCustomIcon)
pt | GetStreamSignature (TIcon)
 | GetSupportedSourceMimeTypes (TGraphic)
 | GetSupportedSourceMimeTypes (TRasterImage)
pt | GetTransparent (TGraphic)
pt | GetTransparent (TRasterImage)
pt | GetTransparent (TCustomIcon)
pt | GetTypeID (TCustomIcon)
pt | GetTypeID (TIcon)
pt | GetWidth (TGraphic)
pt | GetWidth (TRasterImage)
 | HandleAllocated (TRasterImage)
pt | HandleNeeded (TRasterImage)
pt | HandleNeeded (TCustomIcon)
pt | HandleNeeded (TIcon)
 | InheritsFrom (TObject)
 | InitInstance (TObject)
 | InstanceSize (TObject)
pt | InternalReleaseBitmapHandle (TRasterImage)
pt | InternalReleaseBitmapHandle (TCustomIcon)
pt | InternalReleaseMaskHandle (TRasterImage)
pt | InternalReleaseMaskHandle (TCustomIcon)
pt | InternalReleasePalette (TRasterImage)
pt | InternalReleasePalette (TCustomIcon)
 | IsStreamFormatSupported (TGraphic)
 | LazarusResourceTypeValid (TGraphic)
 | LazarusResourceTypeValid (TCustomIcon)
 | LoadFromBitmapHandles (TRasterImage)
 | LoadFromClipboardFormat (TGraphic)
 | LoadFromClipboardFormatID (TGraphic)
 | LoadFromDevice (TRasterImage)
 | LoadFromFile (TGraphic)
 | LoadFromIntfImage (TRasterImage)
 | LoadFromLazarusResource (TGraphic)
 | LoadFromMimeStream (TGraphic)
 | LoadFromMimeStream (TRasterImage)
 | LoadFromRawImage (TRasterImage)
 | LoadFromResourceHandle (TCustomIcon)
 | LoadFromResourceHandle (TIcon)
 | LoadFromResourceID (TGraphic)
 | LoadFromResourceID (TCustomIcon)
 | LoadFromResourceName (TGraphic)
 | LoadFromResourceName (TCustomIcon)
 | LoadFromStream (TGraphic)
 | LoadFromStream (TRasterImage)
 | Mask (TRasterImage)
 | MaskHandleAllocated (TRasterImage)
 | MaskHandleAllocated (TCustomIcon)
pt | MaskHandleNeeded (TRasterImage)
pt | MaskHandleNeeded (TCustomIcon)
 | MethodAddress (TObject)
 | MethodName (TObject)
 | newinstance (TObject)
 | PaletteAllocated (TRasterImage)
 | PaletteAllocated (TCustomIcon)
pt | PaletteNeeded (TRasterImage)
pt | PaletteNeeded (TCustomIcon)
pt | Progress (TGraphic)
pt | ReadData (TGraphic)
pt | ReadData (TRasterImage)
pt | ReadData (TCustomIcon)
pt | ReadStream (TRasterImage)
pt | ReadStream (TCustomIcon)
 | ReleaseBitmapHandle (TRasterImage)
 | ReleaseHandle (TIcon)
 | ReleaseMaskHandle (TRasterImage)
 | ReleasePalette (TRasterImage)
 | Remove (TCustomIcon)
pt | RequestTransparentColor (TRasterImage)
 | SafeCallException (TObject)
pt | SaveStreamNeeded (TRasterImage)
 | SaveToClipboardFormat (TGraphic)
 | SaveToClipboardFormatID (TGraphic)
 | SaveToFile (TGraphic)
 | SaveToStream (TGraphic)
 | SaveToStream (TRasterImage)
pt | SetBitmapHandle (TRasterImage)
pt | SetHandle (TRasterImage)
pt | SetHandle (TCustomIcon)
 | SetHandles (TRasterImage)
 | SetHandles (TCustomIcon)
pt | SetHeight (TGraphic)
pt | SetHeight (TRasterImage)
pt | SetMasked (TRasterImage)
pt | SetMasked (TCustomIcon)
pt | SetMaskHandle (TRasterImage)
pt | SetModified (TGraphic)
pt | SetPalette (TGraphic)
pt | SetPixelFormat (TRasterImage)
pt | SetPixelFormat (TCustomIcon)
pt | SetSize (TRasterImage)
 | SetSize (TCustomIcon)
pt | SetTransparent (TGraphic)
pt | SetTransparent (TRasterImage)
pt | SetTransparent (TCustomIcon)
pt | SetTransparentMode (TRasterImage)
pt | SetWidth (TGraphic)
pt | SetWidth (TRasterImage)
 | Sort (TCustomIcon)
 | StringMessageTable (TObject)
 | ToString (TObject)
 | UnitName (TObject)
pt | UnshareImage (TRasterImage)
pt | UnshareImage (TCustomIcon)
pt | UpdateCurrentView (TCustomIcon)
pt | UpdateHandle (TCustomIcon)
pt | UpdateHandles (TRasterImage)
pt | UpdateHandles (TCustomIcon)
pt | WriteData (TGraphic)
pt | WriteData (TRasterImage)
pt | WriteStream (TRasterImage)
pt | WriteStream (TCustomIcon)


TIcon
TCustomIcon
TRasterImage
TGraphic
 | OnChange
 | OnProgress
TPersistent
TObject


TIcon.GetResourceType

Declaration

Source position: graphics.pp line 1658

public function TIcon.GetResourceType: TResourceType; override;


TIcon.GetStreamSignature

Declaration

Source position: graphics.pp line 1652

protected class function TIcon.GetStreamSignature: Cardinal; override;


TIcon.Handle

The Operating System Handle used for the Icon

Declaration

Source position: graphics.pp line 1659

public property TIcon.Handle : HICON
  read GetIconHandle
  write SetIconHandle;


TIcon.LoadFromResourceHandle

Declaration

Source position: graphics.pp line 1656

public procedure TIcon.LoadFromResourceHandle(

  Instance: THandle;

  ResHandle: TFPResourceHandle

); override;


TIcon.ReleaseHandle

ReleaseHandle - frees the handle that was iused for the Icon

Declaration

Source position: graphics.pp line 1657

public function TIcon.ReleaseHandle: HICON;


TIconImage

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

TIconImage - a primitive Icon class with handles for the Bitmap, Mask and Palette

Declaration

Source position: graphics.pp line 1533

type TIconImage = class
protected
procedure RawImageNeeded(); | RawImageNeeded - if ADescOnly is True (descriptor only), then we need a Raw Image
procedure UpdateFromImage();
public
constructor Create(); | Create - Specifies a Raw image to be used, then used Inherited Create
destructor Destroy; override; |
function ReleaseHandle; | ReleaseHandle - returns Bitmap handle to Operating system
function ReleaseMaskHandle; | ReleaseMaskHandle - returns mask Bitmap handle to operating system
function ReleasePalette; | ReleasePalette - returns Palette handle to operating system
function UpdateHandles(); | UpdateHandles - returns True when Bitmap and Mask handles have been updated
property Height: Word; [r] | The Height of the Icon
property Width: Word; [r] | The Width of the Icon
property PixelFormat: TPixelFormat; [r] | PixelFormat - the format of the Pixels in the Image
property Handle: HBITMAP; [r] | Handle - for the Bitmap
property MaskHandle: HBITMAP; [r] | MaskHandle - Bitmap handle for the Mask
property Palette: HPALETTE; [r] | Handle for the Palette
property RawImage: TRawImage; [r]
end;

Inheritance

TIconImage

TIconImage - a primitive Icon class with handles for the Bitmap, Mask and Palette
|

TObject


TIconImage
 | ro | Height
 | ro | Width
 | ro | PixelFormat
 | ro | Handle
 | ro | MaskHandle
 | ro | Palette
 | ro | RawImage


ro | Handle (TIconImage)
ro | Height (TIconImage)
ro | MaskHandle (TIconImage)
ro | Palette (TIconImage)
ro | PixelFormat (TIconImage)
ro | RawImage (TIconImage)
ro | Width (TIconImage)


TIconImage
pt | RawImageNeeded
pt | UpdateFromImage
 | Create
 | Destroy
 | ReleaseHandle
 | ReleaseMaskHandle
 | ReleasePalette
 | UpdateHandles


TIconImage


TIconImage.Create

Create - Specifies a Raw image to be used, then used Inherited Create

Declaration

Source position: graphics.pp line 1547

public constructor TIconImage.Create(

  AFormat: TPixelFormat;

  AHeight: Word;

  AWidth: Word

);

constructor TIconImage.Create(

  const AImage: TRawImage

);

constructor TIconImage.Create(

  const AInfo: TIconInfo

); virtual;

See also

TObject.Create


TIconImage.Handle

Handle - for the Bitmap

Declaration

Source position: graphics.pp line 1560

public property TIconImage.Handle : HBITMAP
  read FHandle;


TIconImage.Height

The Height of the Icon

Declaration

Source position: graphics.pp line 1557

public property TIconImage.Height : Word
  read FHeight;


TIconImage.MaskHandle

MaskHandle - Bitmap handle for the Mask

Declaration

Source position: graphics.pp line 1561

public property TIconImage.MaskHandle : HBITMAP
  read FMaskHandle;


TIconImage.Palette

Handle for the Palette

Declaration

Source position: graphics.pp line 1562

public property TIconImage.Palette : HPALETTE
  read GetPalette;


TIconImage.PixelFormat

PixelFormat - the format of the Pixels in the Image

Declaration

Source position: graphics.pp line 1559

public property TIconImage.PixelFormat : TPixelFormat
  read FPixelFormat;


TIconImage.RawImage

Declaration

Source position: graphics.pp line 1563

public property TIconImage.RawImage : TRawImage
  read FImage;


TIconImage.RawImageNeeded

RawImageNeeded - if ADescOnly is True (descriptor only), then we need a Raw Image

Declaration

Source position: graphics.pp line 1544

protected procedure TIconImage.RawImageNeeded(

  ADescOnly: Boolean

);


TIconImage.ReleaseHandle

ReleaseHandle - returns Bitmap handle to Operating system

Declaration

Source position: graphics.pp line 1552

public function TIconImage.ReleaseHandle: HBITMAP;


TIconImage.ReleaseMaskHandle

ReleaseMaskHandle - returns mask Bitmap handle to operating system

Declaration

Source position: graphics.pp line 1553

public function TIconImage.ReleaseMaskHandle: HBITMAP;


TIconImage.ReleasePalette

ReleasePalette - returns Palette handle to operating system

Declaration

Source position: graphics.pp line 1554

public function TIconImage.ReleasePalette: HPALETTE;


TIconImage.UpdateFromImage

Declaration

Source position: graphics.pp line 1545

protected procedure TIconImage.UpdateFromImage(

  const AImage: TRawImage

);


TIconImage.UpdateHandles

UpdateHandles - returns True when Bitmap and Mask handles have been updated

Declaration

Source position: graphics.pp line 1555

public function TIconImage.UpdateHandles(

  ABitmap: HBITMAP;

  AMask: HBITMAP

):Boolean;


TIconImage.Width

The Width of the Icon

Declaration

Source position: graphics.pp line 1558

public property TIconImage.Width : Word
  read FWidth;


TIconImageClass

Declaration

Source position: graphics.pp line 1506

type TIconImageClass = class of TIconImage;


TJPEGImage

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

TJPEGImage - a class for handling images stored in JPEG (compressed) format

Declaration

Source position: graphics.pp line 1760

type TJPEGImage = class(TFPImageBitmap)
protected
procedure InitializeReader(); override; | InitializeReader - starts up the specified reader to read th especified Image
procedure InitializeWriter(); override; | InitializeWriter - starts up the specified writer to store the specified Image
procedure FinalizeReader(); override; | FinalizeReader - ends the Image reading process
class function GetReaderClass; override; | GetReaderClass - returns the class of reader for acquiring data from a stream
class function GetWriterClass; override; | GetWriterClass - returns the class of writer for storing data to a stream
class function GetSharedImageClass; override; | GetSharedImageClass - returns the class of Shared Raster Image
public
constructor Create; override; | Create - constructor for TJPEGImage: performs inherited Create then initialises local variables for performance, quality and encoding
procedure Compress;
class function IsStreamFormatSupported(); override;
class function GetFileExtensions; override; | GetFileExtensions - returns a list of the file extensions available
property CompressionQuality: TJPEGQualityRange; [rw] | Determine the compression quality for this image
property GrayScale: Boolean; [r] | Is this a grayscale image?
property MinHeight: Integer; [rw]
property MinWidth: Integer; [rw]
property ProgressiveEncoding: Boolean; [rw] | Is progressive encoding used for this JPEG?
property Performance: TJPEGPerformance; [rw] | Set for best quality or best speed
property Scale: TJPEGScale; [rw]
property Smoothing: Boolean; [rw]
end;

Inheritance

TJPEGImage | TJPEGImage - a class for handling images stored in JPEG (compressed) format
|
TFPImageBitmap | A class of Bitmap using the FPImage reader and writer (ie customised for FreePascal)
|
TCustomBitmap | TCustomBitMap - the base class for TBitmap
|
TRasterImage | TRasterImage - base class for a number of graphic controls, including TCustomBitmap and TCustomIcon, which use a raster of dots to display graphic information
|
TGraphic | TGraphic - Base class for dealing with Graphic images
|
TPersistent,IFPObserved
|
TObject

Description

JPEG images are very commonly used for storing digital photographs. They can represent detailed colour photos using a high degree of compression, resulting in very efficient storage, though with some loss of quality.

The properties CompressionQuality (an integer between 1 and 100, with 100 representing the best quality) and Performance (an enumerated variable with two states: BestQuality or BestSpeed ie compression) can be used to determine the balance between efficiency of storage and quality of picture.


TJPEGImage
 |  | CompressionQuality
 | ro | GrayScale
 |  | MinHeight
 |  | MinWidth
 |  | ProgressiveEncoding
 |  | Performance
 |  | Scale
 |  | Smoothing
TFPImageBitmap
TCustomBitmap
 |  | Handle
 |  | HandleType
 |  | Monochrome
TRasterImage
 | ro | Canvas
 |  | BitmapHandle
 |  | Masked
 |  | MaskHandle
 |  | PixelFormat
 | ro | RawImage
 | ro | ScanLine
 |  | TransparentColor
 |  | TransparentMode
TGraphic
 | ro | Empty
 |  | Height
 |  | Modified
 | ro | MimeType
 |  | Palette
 |  | PaletteModified
 |  | Transparent
 |  | Width
TPersistent
TObject


ro | Canvas (TRasterImage)
 | CompressionQuality (TJPEGImage)
ro | Empty (TGraphic)
ro | GrayScale (TJPEGImage)
 | Handle (TCustomBitmap)
 | HandleType (TCustomBitmap)
 | Height (TGraphic)
 | Masked (TRasterImage)
 | MaskHandle (TRasterImage)
ro | MimeType (TGraphic)
 | MinHeight (TJPEGImage)
 | MinWidth (TJPEGImage)
 | Modified (TGraphic)
 | Monochrome (TCustomBitmap)
 | Palette (TGraphic)
 | PaletteModified (TGraphic)
 | Performance (TJPEGImage)
 | PixelFormat (TRasterImage)
 | ProgressiveEncoding (TJPEGImage)
ro | RawImage (TRasterImage)
 | Scale (TJPEGImage)
ro | ScanLine (TRasterImage)
 | Smoothing (TJPEGImage)
 | Transparent (TGraphic)
 | TransparentColor (TRasterImage)
 | TransparentMode (TRasterImage)
 | Width (TGraphic)


TJPEGImage
pt | InitializeReader
pt | InitializeWriter
pt | FinalizeReader
pt | GetReaderClass
pt | GetWriterClass
pt | GetSharedImageClass
 | Create
 | Compress
 | IsStreamFormatSupported
 | GetFileExtensions
TFPImageBitmap
pt | GetMimeType
pt | GetReaderClass
pt | GetWriterClass
pt | InitializeReader
pt | InitializeWriter
pt | FinalizeReader
pt | FinalizeWriter
pt | ReadStream
pt | WriteStream
 | GetFileExtensions
 | IsStreamFormatSupported
 | IsFileExtensionSupported
 | LazarusResourceTypeValid
TCustomBitmap
pt | MaskHandleNeeded
pt | PaletteNeeded
pt | CanShareImage
pt | Changed
pt | CreateDefaultBitmapHandle
pt | FreeMaskHandle
pt | GetBitmapHandle
pt | GetMaskHandle
pt | GetPalette
pt | GetPixelFormat
pt | GetRawImagePtr
pt | GetRawImageDescriptionPtr
pt | HandleNeeded
pt | InternalReleaseBitmapHandle
pt | InternalReleaseMaskHandle
pt | InternalReleasePalette
pt | RawimageNeeded
pt | SetHandle
pt | SetPixelFormat
pt | UnshareImage
pt | UpdateHandles
 | Create
 | Destroy
 | Assign
 | Clear
 | FreeImage
 | LazarusResourceTypeValid
 | BitmapHandleAllocated
 | MaskHandleAllocated
 | PaletteAllocated
 | ReleaseHandle
 | SetHandles
 | SetSize
TRasterImage
pt | CanShareImage
pt | Changed
pt | CreateDefaultBitmapHandle
pt | Draw
pt | GetEmpty
pt | GetHandle
pt | GetBitmapHandle
pt | GetMasked
pt | GetMaskHandle
pt | GetMimeType
pt | GetPixelFormat
pt | GetRawImagePtr
pt | GetRawImageDescriptionPtr
pt | GetTransparent
pt | GetSharedImageClass
pt | GetHeight
pt | GetWidth
pt | BitmapHandleNeeded
pt | HandleNeeded
pt | MaskHandleNeeded
pt | PaletteNeeded
pt | InternalReleaseBitmapHandle
pt | InternalReleaseMaskHandle
pt | InternalReleasePalette
pt | SetBitmapHandle
pt | SetMasked
pt | SetMaskHandle
pt | SetTransparent
pt | UnshareImage
pt | UpdateHandles
pt | SaveStreamNeeded
pt | FreeSaveStream
pt | ReadData
pt | ReadStream
pt | SetSize
pt | SetHandle
pt | SetHeight
pt | SetWidth
pt | SetTransparentMode
pt | SetPixelFormat
pt | WriteData
pt | WriteStream
pt | RequestTransparentColor
 | Create
 | Destroy
 | Assign
 | Clear
 | BeginUpdate
 | EndUpdate
 | FreeImage
 | BitmapHandleAllocated
 | MaskHandleAllocated
 | PaletteAllocated
 | LoadFromBitmapHandles
 | LoadFromDevice
 | LoadFromStream
 | LoadFromMimeStream
 | LoadFromRawImage
 | LoadFromIntfImage
 | SaveToStream
 | GetSupportedSourceMimeTypes
 | GetSize
 | Mask
 | SetHandles
 | ReleaseBitmapHandle
 | ReleaseMaskHandle
 | ReleasePalette
 | CreateIntfImage
 | HandleAllocated
TGraphic
pt | Changed
pt | Equals
pt | DefineProperties
pt | Draw
pt | GetEmpty
pt | GetHeight
pt | GetMimeType
pt | GetPalette
pt | GetTransparent
pt | GetWidth
pt | Progress
pt | ReadData
pt | SetHeight
pt | SetPalette
pt | SetTransparent
pt | SetWidth
pt | SetModified
pt | WriteData
 | Assign
 | Create
 | Clear
 | LazarusResourceTypeValid
 | LoadFromFile
 | LoadFromStream
 | LoadFromMimeStream
 | LoadFromLazarusResource
 | LoadFromResourceName
 | LoadFromResourceID
 | LoadFromClipboardFormat
 | LoadFromClipboardFormatID
 | SaveToFile
 | SaveToStream
 | SaveToClipboardFormat
 | SaveToClipboardFormatID
 | GetSupportedSourceMimeTypes
 | GetResourceType
 | GetFileExtensions
 | IsStreamFormatSupported
TPersistent
 | AssignError
 | AssignTo
 | DefineProperties
 | GetOwner
 | Destroy
 | Assign
 | FPOAttachObserver
 | FPODetachObserver
 | FPONotifyObservers
 | GetNamePath
TObject
 | Create
 | Destroy
 | newinstance
 | FreeInstance
 | SafeCallException
 | DefaultHandler
 | Free
 | InitInstance
 | CleanupInstance
 | ClassType
 | ClassInfo
 | ClassName
 | ClassNameIs
 | ClassParent
 | InstanceSize
 | InheritsFrom
 | StringMessageTable
 | MethodAddress
 | MethodName
 | FieldAddress
 | AfterConstruction
 | BeforeDestruction
 | DefaultHandlerStr
 | Dispatch
 | DispatchStr
 | GetInterface
 | GetInterfaceByStr
 | GetInterfaceWeak
 | GetInterfaceEntry
 | GetInterfaceEntryByStr
 | GetInterfaceTable
 | UnitName
 | Equals
 | GetHashCode
 | ToString


 | AfterConstruction (TObject)
 | Assign (TPersistent)
 | Assign (TGraphic)
 | Assign (TRasterImage)
 | Assign (TCustomBitmap)
 | AssignError (TPersistent)
 | AssignTo (TPersistent)
 | BeforeDestruction (TObject)
 | BeginUpdate (TRasterImage)
 | BitmapHandleAllocated (TRasterImage)
 | BitmapHandleAllocated (TCustomBitmap)
pt | BitmapHandleNeeded (TRasterImage)
pt | CanShareImage (TRasterImage)
pt | CanShareImage (TCustomBitmap)
pt | Changed (TGraphic)
pt | Changed (TRasterImage)
pt | Changed (TCustomBitmap)
 | ClassInfo (TObject)
 | ClassName (TObject)
 | ClassNameIs (TObject)
 | ClassParent (TObject)
 | ClassType (TObject)
 | CleanupInstance (TObject)
 | Clear (TGraphic)
 | Clear (TRasterImage)
 | Clear (TCustomBitmap)
 | Compress (TJPEGImage)
 | Create (TObject)
 | Create (TGraphic)
 | Create (TRasterImage)
 | Create (TCustomBitmap)
 | Create (TJPEGImage)
pt | CreateDefaultBitmapHandle (TRasterImage)
pt | CreateDefaultBitmapHandle (TCustomBitmap)
 | CreateIntfImage (TRasterImage)
 | DefaultHandler (TObject)
 | DefaultHandlerStr (TObject)
 | DefineProperties (TPersistent)
pt | DefineProperties (TGraphic)
 | Destroy (TObject)
 | Destroy (TPersistent)
 | Destroy (TRasterImage)
 | Destroy (TCustomBitmap)
 | Dispatch (TObject)
 | DispatchStr (TObject)
pt | Draw (TGraphic)
pt | Draw (TRasterImage)
 | EndUpdate (TRasterImage)
 | Equals (TObject)
pt | Equals (TGraphic)
 | FieldAddress (TObject)
pt | FinalizeReader (TFPImageBitmap)
pt | FinalizeReader (TJPEGImage)
pt | FinalizeWriter (TFPImageBitmap)
 | FPOAttachObserver (TPersistent)
 | FPODetachObserver (TPersistent)
 | FPONotifyObservers (TPersistent)
 | Free (TObject)
 | FreeImage (TRasterImage)
 | FreeImage (TCustomBitmap)
 | FreeInstance (TObject)
pt | FreeMaskHandle (TCustomBitmap)
pt | FreeSaveStream (TRasterImage)
pt | GetBitmapHandle (TRasterImage)
pt | GetBitmapHandle (TCustomBitmap)
pt | GetEmpty (TGraphic)
pt | GetEmpty (TRasterImage)
 | GetFileExtensions (TGraphic)
 | GetFileExtensions (TFPImageBitmap)
 | GetFileExtensions (TJPEGImage)
pt | GetHandle (TRasterImage)
 | GetHashCode (TObject)
pt | GetHeight (TGraphic)
pt | GetHeight (TRasterImage)
 | GetInterface (TObject)
 | GetInterfaceByStr (TObject)
 | GetInterfaceEntry (TObject)
 | GetInterfaceEntryByStr (TObject)
 | GetInterfaceTable (TObject)
 | GetInterfaceWeak (TObject)
pt | GetMasked (TRasterImage)
pt | GetMaskHandle (TRasterImage)
pt | GetMaskHandle (TCustomBitmap)
pt | GetMimeType (TGraphic)
pt | GetMimeType (TRasterImage)
pt | GetMimeType (TFPImageBitmap)
 | GetNamePath (TPersistent)
 | GetOwner (TPersistent)
pt | GetPalette (TGraphic)
pt | GetPalette (TCustomBitmap)
pt | GetPixelFormat (TRasterImage)
pt | GetPixelFormat (TCustomBitmap)
pt | GetRawImageDescriptionPtr (TRasterImage)
pt | GetRawImageDescriptionPtr (TCustomBitmap)
pt | GetRawImagePtr (TRasterImage)
pt | GetRawImagePtr (TCustomBitmap)
pt | GetReaderClass (TFPImageBitmap)
pt | GetReaderClass (TJPEGImage)
 | GetResourceType (TGraphic)
pt | GetSharedImageClass (TRasterImage)
pt | GetSharedImageClass (TJPEGImage)
 | GetSize (TRasterImage)
 | GetSupportedSourceMimeTypes (TGraphic)
 | GetSupportedSourceMimeTypes (TRasterImage)
pt | GetTransparent (TGraphic)
pt | GetTransparent (TRasterImage)
pt | GetWidth (TGraphic)
pt | GetWidth (TRasterImage)
pt | GetWriterClass (TFPImageBitmap)
pt | GetWriterClass (TJPEGImage)
 | HandleAllocated (TRasterImage)
pt | HandleNeeded (TRasterImage)
pt | HandleNeeded (TCustomBitmap)
 | InheritsFrom (TObject)
pt | InitializeReader (TFPImageBitmap)
pt | InitializeReader (TJPEGImage)
pt | InitializeWriter (TFPImageBitmap)
pt | InitializeWriter (TJPEGImage)
 | InitInstance (TObject)
 | InstanceSize (TObject)
pt | InternalReleaseBitmapHandle (TRasterImage)
pt | InternalReleaseBitmapHandle (TCustomBitmap)
pt | InternalReleaseMaskHandle (TRasterImage)
pt | InternalReleaseMaskHandle (TCustomBitmap)
pt | InternalReleasePalette (TRasterImage)
pt | InternalReleasePalette (TCustomBitmap)
 | IsFileExtensionSupported (TFPImageBitmap)
 | IsStreamFormatSupported (TGraphic)
 | IsStreamFormatSupported (TFPImageBitmap)
 | IsStreamFormatSupported (TJPEGImage)
 | LazarusResourceTypeValid (TGraphic)
 | LazarusResourceTypeValid (TCustomBitmap)
 | LazarusResourceTypeValid (TFPImageBitmap)
 | LoadFromBitmapHandles (TRasterImage)
 | LoadFromClipboardFormat (TGraphic)
 | LoadFromClipboardFormatID (TGraphic)
 | LoadFromDevice (TRasterImage)
 | LoadFromFile (TGraphic)
 | LoadFromIntfImage (TRasterImage)
 | LoadFromLazarusResource (TGraphic)
 | LoadFromMimeStream (TGraphic)
 | LoadFromMimeStream (TRasterImage)
 | LoadFromRawImage (TRasterImage)
 | LoadFromResourceID (TGraphic)
 | LoadFromResourceName (TGraphic)
 | LoadFromStream (TGraphic)
 | LoadFromStream (TRasterImage)
 | Mask (TRasterImage)
 | MaskHandleAllocated (TRasterImage)
 | MaskHandleAllocated (TCustomBitmap)
pt | MaskHandleNeeded (TRasterImage)
pt | MaskHandleNeeded (TCustomBitmap)
 | MethodAddress (TObject)
 | MethodName (TObject)
 | newinstance (TObject)
 | PaletteAllocated (TRasterImage)
 | PaletteAllocated (TCustomBitmap)
pt | PaletteNeeded (TRasterImage)
pt | PaletteNeeded (TCustomBitmap)
pt | Progress (TGraphic)
pt | RawimageNeeded (TCustomBitmap)
pt | ReadData (TGraphic)
pt | ReadData (TRasterImage)
pt | ReadStream (TRasterImage)
pt | ReadStream (TFPImageBitmap)
 | ReleaseBitmapHandle (TRasterImage)
 | ReleaseHandle (TCustomBitmap)
 | ReleaseMaskHandle (TRasterImage)
 | ReleasePalette (TRasterImage)
pt | RequestTransparentColor (TRasterImage)
 | SafeCallException (TObject)
pt | SaveStreamNeeded (TRasterImage)
 | SaveToClipboardFormat (TGraphic)
 | SaveToClipboardFormatID (TGraphic)
 | SaveToFile (TGraphic)
 | SaveToStream (TGraphic)
 | SaveToStream (TRasterImage)
pt | SetBitmapHandle (TRasterImage)
pt | SetHandle (TRasterImage)
pt | SetHandle (TCustomBitmap)
 | SetHandles (TRasterImage)
 | SetHandles (TCustomBitmap)
pt | SetHeight (TGraphic)
pt | SetHeight (TRasterImage)
pt | SetMasked (TRasterImage)
pt | SetMaskHandle (TRasterImage)
pt | SetModified (TGraphic)
pt | SetPalette (TGraphic)
pt | SetPixelFormat (TRasterImage)
pt | SetPixelFormat (TCustomBitmap)
pt | SetSize (TRasterImage)
 | SetSize (TCustomBitmap)
pt | SetTransparent (TGraphic)
pt | SetTransparent (TRasterImage)
pt | SetTransparentMode (TRasterImage)
pt | SetWidth (TGraphic)
pt | SetWidth (TRasterImage)
 | StringMessageTable (TObject)
 | ToString (TObject)
 | UnitName (TObject)
pt | UnshareImage (TRasterImage)
pt | UnshareImage (TCustomBitmap)
pt | UpdateHandles (TRasterImage)
pt | UpdateHandles (TCustomBitmap)
pt | WriteData (TGraphic)
pt | WriteData (TRasterImage)
pt | WriteStream (TRasterImage)
pt | WriteStream (TFPImageBitmap)


TJPEGImage
TFPImageBitmap
TCustomBitmap
TRasterImage
TGraphic
 | OnChange
 | OnProgress
TPersistent
TObject


TJPEGImage.Compress

Declaration

Source position: graphics.pp line 1782

public procedure TJPEGImage.Compress;


TJPEGImage.CompressionQuality

Determine the compression quality for this image

Declaration

Source position: graphics.pp line 1786

public property TJPEGImage.CompressionQuality : TJPEGQualityRange
  read FQuality
  write SetCompressionQuality;

Description

Extreme compression can lead to loss of quality at the expense of a small file size

Allowed range is 1..100

100 = best quality, 25 = pretty awful


TJPEGImage.Create

Create - constructor for TJPEGImage: performs inherited Create then initialises local variables for performance, quality and encoding

Declaration

Source position: graphics.pp line 1781

public constructor TJPEGImage.Create; override;

See also

TObject.Create

TCustomBitmap.Create

Create - constructor for TCustomBitmap: performs inherited Create and initialises pixel format


TJPEGImage.GrayScale

Is this a grayscale image?

Declaration

Source position: graphics.pp line 1787

public property TJPEGImage.GrayScale : Boolean
  read FGrayScale;


TJPEGImage.IsStreamFormatSupported

Declaration

Source position: graphics.pp line 1783

public class function TJPEGImage.IsStreamFormatSupported(

  Stream: TStream

):Boolean; override;


TJPEGImage.MinHeight

Declaration

Source position: graphics.pp line 1788

public property TJPEGImage.MinHeight : Integer
  read FMinHeight
  write FMinHeight;


TJPEGImage.MinWidth

Declaration

Source position: graphics.pp line 1789

public property TJPEGImage.MinWidth : Integer
  read FMinWidth
  write FMinWidth;


TJPEGImage.Performance

Set for best quality or best speed

Declaration

Source position: graphics.pp line 1791

public property TJPEGImage.Performance : TJPEGPerformance
  read FPerformance
  write FPerformance;


TJPEGImage.ProgressiveEncoding

Is progressive encoding used for this JPEG?

Declaration

Source position: graphics.pp line 1790

public property TJPEGImage.ProgressiveEncoding : Boolean
  read FProgressiveEncoding
  write SetProgressiveEncoding;


TJPEGImage.Scale

Declaration

Source position: graphics.pp line 1792

public property TJPEGImage.Scale : TJPEGScale
  read FScale
  write FScale;


TJPEGImage.Smoothing

Declaration

Source position: graphics.pp line 1793

public property TJPEGImage.Smoothing : Boolean
  read FSmoothing
  write FSmoothing;


TPen

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

The current Pen for drawing on the current Canvas

Declaration

Source position: graphics.pp line 617

type TPen = class(TFPCustomPen)
protected
procedure DoAllocateResources; override; |
procedure DoDeAllocateResources; override; |
procedure DoCopyProps(); override; |
procedure SetColor(); | SetColor - specifies Colour for the Pen
procedure SetFPColor(); override; |
procedure SetEndCap(); | SetEndCap - specified the type of end cap to be used for the pen, if it is a geometric pen
procedure SetJoinStyle(); | SetJoinStyle - specifies the style to be used by the geometric pen when lines join (at corners etc)
procedure SetMode(); override; |
procedure SetStyle(); override; |
procedure SetWidth(); override; |
public
constructor Create; override; | Create - constructor for TPen: performs inherited Create then sets some local defaults, style, mode, width and colour
destructor Destroy; override; | Destroy - destructor for TPen: frees reference then performs inherited Destroy
procedure Assign(); override; | Assign - copies settings from Source to itself (provided Source is another TPen), then performs inherited Assign
property Handle: HPEN; [rw] deprecated ; | The Operating System Handle for the current Pen
property Reference: TWSPenReference; [r] | A Reference made to this Pen
function GetPattern; | GetPattern - returns the pattern for the pen
procedure SetPattern(); | SetPattern - specifies the pattern for the pen
published
property Color: TColor; [rw] | The Colour of the current Pen
property Cosmetic: Boolean; [rw] | Whether the Pen is Cosmetic, ie non-geometric
property EndCap: TPenEndCap; [rw] | The sort of EndCap used on the Pen
property JoinStyle: TPenJoinStyle; [rw] | JoinStyle - the style of joint where two lines meet or cross
property Mode;
property Style;
property Width;
end;

Inheritance

TPen

The current Pen for drawing on the current Canvas
|

TFPCustomPen
?

TObject


TPen
 |  | Handle
 | ro | Reference
pl |  | Color
pl |  | Cosmetic
pl |  | EndCap
pl |  | JoinStyle
pl | ro | Mode
pl | ro | Style
pl | ro | Width


pl |  | Color (TPen)
pl |  | Cosmetic (TPen)
pl |  | EndCap (TPen)
 |  | Handle (TPen)
pl |  | JoinStyle (TPen)
pl | ro | Mode (TPen)
 | ro | Reference (TPen)
pl | ro | Style (TPen)
pl | ro | Width (TPen)


TPen
pt | DoAllocateResources
pt | DoDeAllocateResources
pt | DoCopyProps
pt | SetColor
pt | SetFPColor
pt | SetEndCap
pt | SetJoinStyle
pt | SetMode
pt | SetStyle
pt | SetWidth
 | Create
 | Destroy
 | Assign
 | GetPattern
 | SetPattern


pt | DoAllocateResources (TPen)
pt | DoCopyProps (TPen)
pt | DoDeAllocateResources (TPen)
 | GetPattern (TPen)
pt | SetColor (TPen)
pt | SetEndCap (TPen)
pt | SetFPColor (TPen)
pt | SetJoinStyle (TPen)
pt | SetMode (TPen)
 | SetPattern (TPen)
pt | SetStyle (TPen)
pt | SetWidth (TPen)


TPen


TPen.Assign

Assign - copies settings from Source to itself (provided Source is another TPen), then performs inherited Assign

Declaration

Source position: graphics.pp line 651

public procedure TPen.Assign(

  Source: TPersistent

); override;

See also

TPersistent.Assign


TPen.Color

The Colour of the current Pen

Declaration

Source position: graphics.pp line 658

published property TPen.Color : TColor
  read FColor
  write SetColor
  default clBlack;

Description

Reads or Writes a flag to determine the colour. Default is black


TPen.Cosmetic

Whether the Pen is Cosmetic, ie non-geometric

Declaration

Source position: graphics.pp line 659

published property TPen.Cosmetic : Boolean
  read FCosmetic
  write SetCosmetic
  default True;

Description

Pens can be Cosmetic and Geomeric. Cosmetic pens are always 1 pixel wide, while geometric pens can have any width. But width of geometric pens are defined in world units and thus depends on transforms (scaling, rotation, shear, reflection) applied to canvas. Operations with cosmetic pens are faster.


TPen.Create

Create - constructor for TPen: performs inherited Create then sets some local defaults, style, mode, width and colour

Declaration

Source position: graphics.pp line 649

public constructor TPen.Create; override;

Description

Most of its properties are inherited from the parent class

See also

TObject.Create


TPen.Destroy

Destroy - destructor for TPen: frees reference then performs inherited Destroy

Declaration

Source position: graphics.pp line 650

public destructor TPen.Destroy; override;

Description

Most of its properties are inherited from the parent class

See also

TPersistent.Destroy


TPen.EndCap

The sort of EndCap used on the Pen

Declaration

Source position: graphics.pp line 663

published property TPen.EndCap : TPenEndCap
  read FEndCap
  write SetEndCap
  default pecRound;

Description

The end cap can be: Round, Square and Flat. When end caps are round - last points are drawn round, when end caps are square - last points are drawn square. When end caps are flat - last points are not drawn at all.


TPen.GetPattern

GetPattern - returns the pattern for the pen

Declaration

Source position: graphics.pp line 655

public function TPen.GetPattern: TPenPattern;


TPen.Handle

[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] Reference for unit 'Graphics' (#lcl)

TPen.Handle (deprecated)

The Operating System Handle for the current Pen

Declaration

Source position: graphics.pp line 652

public property TPen.Handle : HPEN
  read GetHandle
  write SetHandle;

Description

Reads or writes a flag to determine the handle


TPen.JoinStyle

JoinStyle - the style of joint where two lines meet or cross

Declaration

Source position: graphics.pp line 668

published property TPen.JoinStyle : TPenJoinStyle
  read FJoinStyle
  write SetJoinStyle
  default pjsRound;

Description

The join style can be: Round, Bevel and Miter. When style is Round then line joins are round. When style is Bevel then line joins are beveled. When style is Miter then line joins are mitered.


TPen.Reference

A Reference made to this Pen

Declaration

Source position: graphics.pp line 653

public property TPen.Reference : TWSPenReference
  read GetReference;


TPen.SetColor

SetColor - specifies Colour for the Pen

Declaration

Source position: graphics.pp line 640

protected procedure TPen.SetColor(

  const NewColor: TColor;

  const NewFPColor: TFPColor

); virtual;

procedure TPen.SetColor(

  Value: TColor

);


TPen.SetEndCap

SetEndCap - specified the type of end cap to be used for the pen, if it is a geometric pen

Declaration

Source position: graphics.pp line 643

protected procedure TPen.SetEndCap(

  AValue: TPenEndCap

);


TPen.SetJoinStyle

SetJoinStyle - specifies the style to be used by the geometric pen when lines join (at corners etc)

Declaration

Source position: graphics.pp line 644

protected procedure TPen.SetJoinStyle(

  AValue: TPenJoinStyle

);


TPen.SetPattern

SetPattern - specifies the pattern for the pen

Declaration

Source position: graphics.pp line 656

public procedure TPen.SetPattern(

  APattern: TPenPattern

);


TPenEndCap

Declaration

Source position: graphics.pp line 574

type TPenEndCap = (

  pecRound,

  pecSquare,

  pecFlat

);


TPenHandleCache

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

TPenHandleCache - Resource Cache for Pen Handles

Declaration

Source position: graphics.pp line 604

type TPenHandleCache = class(TResourceCache)
protected
procedure RemoveItem(); override; | RemoveItem from CacheItem list
public
constructor Create; |
function CompareDescriptors(); override; | CompareDescriptors - returns 0 if descriptors are equal, -1 if Desc1 is less, 1 if Desc1 is greater
function FindPen(); | FindPen - returns a ResourceCacheItem corresponding to the nominated Handle
function FindPenDesc(); | FindPenDesc - returns a descriptor for the given pen and pattern
function Add(); | Add - returns a cache descriptor corresponding to the pen that has been added to the cache
end;

Inheritance

TPenHandleCache | TPenHandleCache - Resource Cache for Pen Handles
|
TResourceCache | TResourceCache - a cache (linked list) for storing Resources
|
TObject


TPenHandleCache
TResourceCache
 |  | MaxUnusedItem
 | ro | ResourceCacheItemClass
 | ro | ResourceCacheDescriptorClass


TPenHandleCache
pt | RemoveItem
 | Create
 | CompareDescriptors
 | FindPen
 | FindPenDesc
 | Add
TResourceCache
pt | RemoveItem
pt | RemoveDescriptor
pt | ItemUsed
pt | ItemUnused
pt | ItemIsUsed
 | Create
 | Clear
 | Destroy
 | CompareItems
 | CompareDescriptors
 | ConsistencyCheck
 | Lock
 | Unlock


 | Add (TPenHandleCache)
 | Clear (TResourceCache)
 | CompareDescriptors (TResourceCache)
 | CompareDescriptors (TPenHandleCache)
 | CompareItems (TResourceCache)
 | ConsistencyCheck (TResourceCache)
 | Create (TResourceCache)
 | Create (TPenHandleCache)
 | Destroy (TResourceCache)
 | FindPen (TPenHandleCache)
 | FindPenDesc (TPenHandleCache)
pt | ItemIsUsed (TResourceCache)
pt | ItemUnused (TResourceCache)
pt | ItemUsed (TResourceCache)
 | Lock (TResourceCache)
pt | RemoveDescriptor (TResourceCache)
pt | RemoveItem (TResourceCache)
pt | RemoveItem (TPenHandleCache)
 | Unlock (TResourceCache)


TPenHandleCache

TResourceCache


TPenHandleCache.Add

Add - returns a cache descriptor corresponding to the pen that has been added to the cache

Declaration

Source position: graphics.pp line 613

public function TPenHandleCache.Add(

  APen: TLCLHandle;

  const AExtPen: TExtLogPen;

  const APattern: TPenPattern

):TPenHandleCacheDescriptor;


TPenHandleCache.FindPen

FindPen - returns a ResourceCacheItem corresponding to the nominated Handle

Declaration

Source position: graphics.pp line 610

public function TPenHandleCache.FindPen(

  APen: TLCLHandle

):TResourceCacheItem;


TPenHandleCache.FindPenDesc

FindPenDesc - returns a descriptor for the given pen and pattern

Declaration

Source position: graphics.pp line 611

public function TPenHandleCache.FindPenDesc(

  const AExtPen: TExtLogPen;

  const APattern: TPenPattern

):TPenHandleCacheDescriptor;


TPenHandleCacheDescriptor

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

TPenHandleCacheDescriptor - a cache descriptor for Pen Handles

Declaration

Source position: graphics.pp line 596

type TPenHandleCacheDescriptor = class(TResourceCacheDescriptor)
public
ExtPen: TExtLogPen; | ExtPen - an external pen
Pattern: TPenPattern; | The Pattern for this pen
end;

Inheritance

TPenHandleCacheDescriptor | TPenHandleCacheDescriptor - a cache descriptor for Pen Handles
|
TResourceCacheDescriptor | TResourceCacheDescriptor - a class of descriptors for ResourceCache Items
|
TObject


TPenHandleCacheDescriptor

TResourceCacheDescriptor


TPenHandleCacheDescriptor
TResourceCacheDescriptor
 | Create
 | Destroy
 | AddToList
 | RemoveFromList


TPenHandleCacheDescriptor.ExtPen

ExtPen - an external pen

Declaration

Source position: graphics.pp line 598

public TPenHandleCacheDescriptor.ExtPen : TExtLogPen;


TPenHandleCacheDescriptor.Pattern

The Pattern for this pen

Declaration

Source position: graphics.pp line 599

public TPenHandleCacheDescriptor.Pattern : TPenPattern;


TPicture

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

TPicture is a TGraphic container, used in place of a TGraphic if the graphic can be of any TGraphic class.

Declaration

Source position: graphics.pp line 848

type TPicture = class(TPersistent)
protected
procedure AssignTo(); override; | AssignTo if Dest is of correct (Graphic) type, calls Assign for Dest, otherwise calls inherited AssignTo
procedure Changed(); virtual; | Changed - software emulation of a call to the OnChange event
procedure DefineProperties(); override; |
procedure Progress(); virtual; | Monitor progress of drawing process
procedure LoadFromStreamWithClass();
public
constructor Create; | Create - constructor for TPicture: performs inherited Create then loads file and clipboard formats
destructor Destroy; override; | Destroy - destructor for TPicture: frees graphic then performs inherited Destroy
procedure Clear; virtual; | Clear - removes the graphic
procedure LoadFromClipboardFormat(); | LoadFromClipboardFormat - Reads the picture from the handle provided in the given clipboard format
procedure LoadFromClipboardFormatID(); | Reads the picture from a clipboard of type ClipboardType using the format FormatID
procedure LoadFromFile(); | LoadFromFile - Reads a picture from disk
procedure LoadFromResourceName();
procedure LoadFromLazarusResource(); |
procedure LoadFromStream();
procedure LoadFromStreamWithFileExt(); | Loads picture from a named data stream with a specified file extension
procedure SaveToClipboardFormat(); | SaveToClipboardFormats - Allocates a global handle and writes the picture in its native clipboard format
procedure SaveToFile(); | SaveToFile - Writes the picture to disk
procedure SaveToStream();
procedure SaveToStreamWithFileExt();
class function SupportsClipboardFormat(); | SupportsClipboardFormat - Returns true if the given clipboard format is supported by LoadFromClipboardFormat
procedure Assign(); override; | Assign - if the Source is a valid graphic type, copy the relevant details to the current object, otherwise call inherited Assign
class procedure RegisterFileFormat(); | RegisterFileFormat - Register a new TGraphic class for use in LoadFromFile
class procedure RegisterClipboardFormat(); | RegisterClipboardFormat - Registers a new TGraphic class for use in LoadFromClipboardFormat
class procedure UnregisterGraphicClass(); | UnRegisterGraphicClass - Removes all references to the specified TGraphic
class function FindGraphicClassWithFileExt(); | Finds a graphic class with the named file extension Ext, returning an exception if not found
property Bitmap: TBitmap; [rw] | Bitmap - Returns a bitmap
property Icon: TIcon; [rw] | Icon contained within the picture
property Jpeg: TJpegImage; [rw] | Jpeg - returns a JPEG image
property Pixmap: TPixmap; [rw] | Pixmap - Returns a pixmap
property PNG: TPortableNetworkGraphic; [rw] | PNG - Returns a png
property PNM: TPortableAnyMapGraphic; [rw] | PNM - a PortableAnyMapGraphic image
property Graphic: TGraphic; [rw] | Graphic - The TGraphic object contained by the TPicture
property Height: Integer; [r] | Height - The native, unstretched, height of the picture
property Width: Integer; [r] | Width - The native, unstretched, width of the picture
property OnChange: TNotifyEvent; [rw] | OnChange - Event handler for any change in the picture
property OnProgress: TProgressEvent; [rw] | OnProgress - Event handler for monitoring progress in drawing the picture
end;

Inheritance

TPicture

TPicture is a TGraphic container, used in place of a TGraphic if the graphic can be of any TGraphic class.
|

TPersistent,IFPObserved
|

TObject

Description

TPicture is a TGraphic container. It is used in place of a TGraphic if the graphic can be of any TGraphic class.

It is not a direct descendant of TGraphic, so you will not see TGraphic listed in the Inheritance chart, but it contains a property Graphic, of type TGraphic, so can contain all the properties of a TGraphic

Defines many private methods for getting and storing various sorts of images such as bitmaps, pixmaps, icons, PNGs etc

It does not itself contain a defined area for displaying the image, but this is supplied by the descendant classes such as BitMap, PixMap, PNG or Icon, which define a Canvas property.

LoadFromFile and SaveToFile are polymorphic. For example, if the TPicture is holding an Icon, you can LoadFromFile a bitmap file, whereas if the class is TIcon you could only read .ICO files.

  • LoadFromFile - Reads a picture from disk. The TGraphic class created is determined by the file extension of the file. If the file extension is not recognized an exception is generated.
  • SaveToFile - Writes the picture to disk.
  • LoadFromClipboardFormat - ToDo: Reads the picture from the handle provided in the given clipboard format. If the format is not supported, an exception is generated.
  • SaveToClipboardFormats - ToDo: Allocates a global handle and writes the picture in its native clipboard format (CF_BITMAP for bitmaps, CF_METAFILE for metafiles, etc.). Formats will contain the formats written. Returns the number of clipboard items written to the array pointed to by Formats and Datas or would be written if either Formats or Datas are nil.
  • SupportsClipboardFormat - Returns true if the given clipboard format is supported by LoadFromClipboardFormat
  • Assign - Copies the contents of the given TPicture. Used most often in the implementation of TPicture properties.
  • RegisterFileFormat - Register a new TGraphic class for use in LoadFromFile.
  • RegisterClipboardFormat - Registers a new TGraphic class for use in LoadFromClipboardFormat.
  • UnRegisterGraphicClass - Removes all references to the specified TGraphic class and all its descendants from the file format and clipboard format internal lists.
  • Height - The native, unstretched, height of the picture.
  • Width - The native, unstretched, width of the picture.
  • Graphic - The TGraphic object contained by the TPicture
  • Bitmap - Returns a bitmap. If the contents is not already a bitmap, the contents are thrown away and a blank bitmap is returned.
  • Pixmap - Returns a pixmap. If the contents is not already a pixmap, the contents are thrown away and a blank pixmap is returned.
  • PNG - Returns a png. If the contents is not already a png, the contents are thrown away and a blank png ( TPortableNetworkGraphic) is returned.
  • PNM - Returns a pnm. If the contents is not already a pnm, the contents are thrown away and a blank pnm ( TPortableAnyMapGraphic) is returned.
  • Jpeg - Returns a jpeg. If the contents is not already a jpeg, the contents are thrown away and a blank jpeg ( TJPegImage) is returned.


TPicture
 |  | Bitmap
 |  | Icon
 |  | Jpeg
 |  | Pixmap
 |  | PNG
 |  | PNM
 |  | Graphic
 | ro | Height
 | ro | Width
TPersistent
TObject


ro | Height (TPicture)
 | Icon (TPicture)
 | Jpeg (TPicture)
 | Pixmap (TPicture)
 | PNG (TPicture)
 | PNM (TPicture)
ro | Width (TPicture)


TPicture
pt | AssignTo
pt | Changed
pt | DefineProperties
pt | Progress
pt | LoadFromStreamWithClass
 | Create
 | Destroy
 | Clear
 | LoadFromClipboardFormat
 | LoadFromClipboardFormatID
 | LoadFromFile
 | LoadFromResourceName
 | LoadFromLazarusResource
 | LoadFromStream
 | LoadFromStreamWithFileExt
 | SaveToClipboardFormat
 | SaveToFile
 | SaveToStream
 | SaveToStreamWithFileExt
 | SupportsClipboardFormat
 | Assign
 | RegisterFileFormat
 | RegisterClipboardFormat
 | UnregisterGraphicClass
 | FindGraphicClassWithFileExt
TPersistent
 | AssignError
 | AssignTo
 | DefineProperties
 | GetOwner
 | Destroy
 | Assign
 | FPOAttachObserver
 | FPODetachObserver
 | FPONotifyObservers
 | GetNamePath
TObject
 | Create
 | Destroy
 | newinstance
 | FreeInstance
 | SafeCallException
 | DefaultHandler
 | Free
 | InitInstance
 | CleanupInstance
 | ClassType
 | ClassInfo
 | ClassName
 | ClassNameIs
 | ClassParent
 | InstanceSize
 | InheritsFrom
 | StringMessageTable
 | MethodAddress
 | MethodName
 | FieldAddress
 | AfterConstruction
 | BeforeDestruction
 | DefaultHandlerStr
 | Dispatch
 | DispatchStr
 | GetInterface
 | GetInterfaceByStr
 | GetInterfaceWeak
 | GetInterfaceEntry
 | GetInterfaceEntryByStr
 | GetInterfaceTable
 | UnitName
 | Equals
 | GetHashCode
 | ToString


 | AssignError (TPersistent)
 | AssignTo (TPersistent)
pt | AssignTo (TPicture)
 | BeforeDestruction (TObject)
pt | Changed (TPicture)
 | ClassInfo (TObject)
 | ClassName (TObject)
 | ClassNameIs (TObject)
 | ClassParent (TObject)
 | ClassType (TObject)
 | CleanupInstance (TObject)
 | Clear (TPicture)
 | Create (TObject)
 | Create (TPicture)
 | DefaultHandler (TObject)
 | DefaultHandlerStr (TObject)
 | DefineProperties (TPersistent)
pt | DefineProperties (TPicture)
 | Destroy (TObject)
 | Destroy (TPersistent)
 | Destroy (TPicture)
 | Dispatch (TObject)
 | DispatchStr (TObject)
 | Equals (TObject)
 | FieldAddress (TObject)
 | FindGraphicClassWithFileExt (TPicture)
 | FPOAttachObserver (TPersistent)
 | FPODetachObserver (TPersistent)
 | FPONotifyObservers (TPersistent)
 | Free (TObject)
 | FreeInstance (TObject)
 | GetHashCode (TObject)
 | GetInterface (TObject)
 | GetInterfaceByStr (TObject)
 | GetInterfaceEntry (TObject)
 | GetInterfaceEntryByStr (TObject)
 | GetInterfaceTable (TObject)
 | GetInterfaceWeak (TObject)
 | GetNamePath (TPersistent)
 | GetOwner (TPersistent)
 | InheritsFrom (TObject)
 | InitInstance (TObject)
 | InstanceSize (TObject)
 | LoadFromClipboardFormat (TPicture)
 | LoadFromClipboardFormatID (TPicture)
 | LoadFromFile (TPicture)
 | LoadFromLazarusResource (TPicture)
 | LoadFromResourceName (TPicture)
 | LoadFromStream (TPicture)
pt | LoadFromStreamWithClass (TPicture)
 | LoadFromStreamWithFileExt (TPicture)
 | MethodAddress (TObject)
 | MethodName (TObject)
 | newinstance (TObject)
pt | Progress (TPicture)
 | RegisterClipboardFormat (TPicture)
 | RegisterFileFormat (TPicture)
 | SafeCallException (TObject)
 | SaveToClipboardFormat (TPicture)
 | SaveToFile (TPicture)
 | SaveToStream (TPicture)
 | SaveToStreamWithFileExt (TPicture)
 | StringMessageTable (TObject)
 | SupportsClipboardFormat (TPicture)
 | ToString (TObject)
 | UnitName (TObject)
 | UnregisterGraphicClass (TPicture)


TPicture
 | OnChange
 | OnProgress
TPersistent
TObject


TPicture.Assign

Assign - if the Source is a valid graphic type, copy the relevant details to the current object, otherwise call inherited Assign

Declaration

Source position: graphics.pp line 909

public procedure TPicture.Assign(

  Source: TPersistent

); override;

Description

Assign - Copies the contents of the given TPicture. Used most often in the implementation of TPicture properties.

See also

TPersistent.Assign


TPicture.AssignTo

AssignTo if Dest is of correct (Graphic) type, calls Assign for Dest, otherwise calls inherited AssignTo

Declaration

Source position: graphics.pp line 881

protected procedure TPicture.AssignTo(

  Dest: TPersistent

); override;

See also

TPersistent.AssignTo


TPicture.Bitmap

Bitmap - Returns a bitmap

Declaration

Source position: graphics.pp line 918

public property TPicture.Bitmap : TBitmap
  read GetBitmap
  write SetBitmap;

Description

Bitmap - Returns a bitmap. If the contents is not already a bitmap, the contents are thrown away and a blank bitmap is returned


TPicture.Changed

Changed - software emulation of a call to the OnChange event

Declaration

Source position: graphics.pp line 882

protected procedure TPicture.Changed(

  Sender: TObject

); virtual;


TPicture.Clear

Clear - removes the graphic

Declaration

Source position: graphics.pp line 892

public procedure TPicture.Clear; virtual;


TPicture.Create

Create - constructor for TPicture: performs inherited Create then loads file and clipboard formats

Declaration

Source position: graphics.pp line 889

public constructor TPicture.Create;

See also

TObject.Create


TPicture.Destroy

Destroy - destructor for TPicture: frees graphic then performs inherited Destroy

Declaration

Source position: graphics.pp line 890

public destructor TPicture.Destroy; override;

Description

Any destructor method defined here will override destructors defined in ancestor classes

See also

TPersistent.Destroy


TPicture.FindGraphicClassWithFileExt

Finds a graphic class with the named file extension Ext, returning an exception if not found

Declaration

Source position: graphics.pp line 915

public class function TPicture.FindGraphicClassWithFileExt(

  const Ext: string;

  ExceptionOnNotFound: Boolean = True

):TGraphicClass;


TPicture.Graphic

Graphic - The TGraphic object contained by the TPicture

Declaration

Source position: graphics.pp line 928

public property TPicture.Graphic : TGraphic
  read FGraphic
  write SetGraphic;


TPicture.Height

Height - The native, unstretched, height of the picture

Declaration

Source position: graphics.pp line 930

public property TPicture.Height : Integer
  read GetHeight;


TPicture.Icon

Icon contained within the picture

Declaration

Source position: graphics.pp line 919

public property TPicture.Icon : TIcon
  read GetIcon
  write SetIcon;


TPicture.Jpeg

Jpeg - returns a JPEG image

Declaration

Source position: graphics.pp line 921

public property TPicture.Jpeg : TJpegImage
  read GetJpeg
  write SetJpeg;

Description

Jpeg - returns a JPEG image

If the contents is not already a JPEG image, the contents are thrown away and a blank JPEG is returned


TPicture.LoadFromClipboardFormat

LoadFromClipboardFormat - Reads the picture from the handle provided in the given clipboard format

Declaration

Source position: graphics.pp line 894

public procedure TPicture.LoadFromClipboardFormat(

  FormatID: TClipboardFormat

);

Arguments

FormatID

The identifier for the clipboard format

Description

LoadFromClipboardFormat - ToDo: Reads the picture from the handle provided in the given clipboard format.

Errors

If the format is not supported, an exception is generated


TPicture.LoadFromClipboardFormatID

Reads the picture from a clipboard of type ClipboardType using the format FormatID

Declaration

Source position: graphics.pp line 895

public procedure TPicture.LoadFromClipboardFormatID(

  ClipboardType: TClipboardType;

  FormatID: TClipboardFormat

);


TPicture.LoadFromFile

LoadFromFile - Reads a picture from disk

Declaration

Source position: graphics.pp line 896

public procedure TPicture.LoadFromFile(

  const Filename: string

);

Arguments

Filename

The name of the file containing the picture, stored as a string

Description

LoadFromFile - Reads a picture from disk. The TGraphic class created is determined by the file extension of the file.

Errors

If the file extension is not recognized an exception is generated


TPicture.LoadFromLazarusResource

Declaration

Source position: graphics.pp line 899

public procedure TPicture.LoadFromLazarusResource(

  const AName: string

);


TPicture.LoadFromResourceName

Declaration

Source position: graphics.pp line 897

public procedure TPicture.LoadFromResourceName(

  Instance: THandle;

  const ResName: string

);

procedure TPicture.LoadFromResourceName(

  Instance: THandle;

  const ResName: string;

  AClass: TGraphicClass

);


TPicture.LoadFromStream

Declaration

Source position: graphics.pp line 900

public procedure TPicture.LoadFromStream(

  Stream: TStream

);


TPicture.LoadFromStreamWithClass

Declaration

Source position: graphics.pp line 887

protected procedure TPicture.LoadFromStreamWithClass(

  Stream: TStream;

  AClass: TGraphicClass

);


TPicture.LoadFromStreamWithFileExt

Loads picture from a named data stream with a specified file extension

Declaration

Source position: graphics.pp line 901

public procedure TPicture.LoadFromStreamWithFileExt(

  Stream: TStream;

  const FileExt: string

);


TPicture.OnChange

OnChange - Event handler for any change in the picture

Declaration

Source position: graphics.pp line 932

public property TPicture.OnChange : TNotifyEvent
  read FOnChange
  write FOnChange;


TPicture.OnProgress

OnProgress - Event handler for monitoring progress in drawing the picture

Declaration

Source position: graphics.pp line 933

public property TPicture.OnProgress : TProgressEvent
  read FOnProgress
  write FOnProgress;

See also

Graphics.Progress

Monitoring the progress of drawing a complicated Graphic


TPicture.Pixmap

Pixmap - Returns a pixmap

Declaration

Source position: graphics.pp line 923

public property TPicture.Pixmap : TPixmap
  read GetPixmap
  write SetPixmap;

Description

Pixmap - Returns a pixmap. If the contents is not already a pixmap, the contents are thrown away and a blank pixmap is returned


TPicture.PNG

PNG - Returns a png

Declaration

Source position: graphics.pp line 924

public property TPicture.PNG : TPortableNetworkGraphic
  read GetPNG
  write SetPNG;

Description

PNG - Returns a png. If the contents is not already a png, the contents are thrown away and a blank png ( TPortableNetworkGraphic) is returned


TPicture.PNM

PNM - a PortableAnyMapGraphic image

Declaration

Source position: graphics.pp line 926

public property TPicture.PNM : TPortableAnyMapGraphic
  read GetPNM
  write SetPNM;

Description

PNM - a PortableAnyMapGraphic image

Reads a PNM image. If it is not a valid PNM image, the contents are thrown away and a blank PNM is generated


TPicture.Progress

Monitor progress of drawing process

Declaration

Source position: graphics.pp line 884

protected procedure TPicture.Progress(

  Sender: TObject;

  Stage: TProgressStage;

  PercentDone: Byte;

  RedrawNow: Boolean;

  const R: TRect;

  const Msg: string;

  var DoContinue: Boolean

); virtual;

See also

Graphics.Progress

Monitoring the progress of drawing a complicated Graphic


TPicture.RegisterClipboardFormat

RegisterClipboardFormat - Registers a new TGraphic class for use in LoadFromClipboardFormat

Declaration

Source position: graphics.pp line 912

public class procedure TPicture.RegisterClipboardFormat(

  FormatID: TClipboardFormat;

  AGraphicClass: TGraphicClass

);


TPicture.RegisterFileFormat

RegisterFileFormat - Register a new TGraphic class for use in LoadFromFile

Declaration

Source position: graphics.pp line 910

public class procedure TPicture.RegisterFileFormat(

  const AnExtension: string;

  const ADescription: string;

  AGraphicClass: TGraphicClass

);


TPicture.SaveToClipboardFormat

SaveToClipboardFormats - Allocates a global handle and writes the picture in its native clipboard format

Declaration

Source position: graphics.pp line 903

public procedure TPicture.SaveToClipboardFormat(

  FormatID: TClipboardFormat

);

Arguments

FormatID

Identity of the clipboard format

Description

SaveToClipboardFormats - ToDo: Allocates a global handle and writes the picture in its native clipboard format (CF_BITMAP for bitmaps, CF_METAFILE for metafiles, etc.). Formats will contain the formats written. Returns the number of clipboard items written to the array pointed to by Formats and Datas or would be written if either Formats or Datas are nil.


TPicture.SaveToFile

SaveToFile - Writes the picture to disk

Declaration

Source position: graphics.pp line 904

public procedure TPicture.SaveToFile(

  const Filename: string;

  const FileExt: string = ''

);

Arguments

Filename

The name of the file to save the picture, stored as a string


TPicture.SaveToStream

Declaration

Source position: graphics.pp line 905

public procedure TPicture.SaveToStream(

  Stream: TStream

);


TPicture.SaveToStreamWithFileExt

Declaration

Source position: graphics.pp line 906

public procedure TPicture.SaveToStreamWithFileExt(

  Stream: TStream;

  const FileExt: string

);


TPicture.SupportsClipboardFormat

SupportsClipboardFormat - Returns true if the given clipboard format is supported by LoadFromClipboardFormat

Declaration

Source position: graphics.pp line 908

public class function TPicture.SupportsClipboardFormat(

  FormatID: TClipboardFormat

):Boolean;

Arguments

FormatID

Identity of the clipboard format

Function result

Boolean - returns true if format supported


TPicture.UnregisterGraphicClass

UnRegisterGraphicClass - Removes all references to the specified TGraphic

Declaration

Source position: graphics.pp line 914

public class procedure TPicture.UnregisterGraphicClass(

  AClass: TGraphicClass

);

Description

UnRegisterGraphicClass - Removes all references to the specified TGraphic class and all its descendants from the file format and clipboard format internal lists


TPicture.Width

Width - The native, unstretched, width of the picture

Declaration

Source position: graphics.pp line 931

public property TPicture.Width : Integer
  read GetWidth;


TPixmap

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

PixMap - a class derived from TBitMap , with wrapper to deal specifically with PixMaps (ie using 'XPM' format)

Declaration

Source position: graphics.pp line 1457

type TPixmap = class(TFPImageBitmap)
protected
class function GetReaderClass; override; | GetReaderClass - returns the class of reader for acquiring data from a stream
class function GetWriterClass; override; | GetWriterClass - returns the class of writer for storing data to a stream
class function GetSharedImageClass; override; | GetSharedImageClass - returns the class of Shared Raster Image
public
function LazarusResourceTypeValid(); override; | Check that the Resource specified for reading or writing is a valid type - result True if it is
class function GetFileExtensions; override; | GetFileExtensions - returns a list of the file extensions available
end;

Inheritance

TPixmap | PixMap - a class derived from TBitMap , with wrapper to deal specifically with PixMaps (ie using 'XPM' format)
|
TFPImageBitmap | A class of Bitmap using the FPImage reader and writer (ie customised for FreePascal)
|
TCustomBitmap | TCustomBitMap - the base class for TBitmap
|
TRasterImage | TRasterImage - base class for a number of graphic controls, including TCustomBitmap and TCustomIcon, which use a raster of dots to display graphic information
|
TGraphic | TGraphic - Base class for dealing with Graphic images
|
TPersistent,IFPObserved
|
TObject

Description

PixMap - Checks that specified resources (PixMap image, File for storage, Stream for writing) are of correct type and format, organises saving and writing


TPixmap
TFPImageBitmap
TCustomBitmap
 |  | Handle
 |  | HandleType
 |  | Monochrome
TRasterImage
 | ro | Canvas
 |  | BitmapHandle
 |  | Masked
 |  | MaskHandle
 |  | PixelFormat
 | ro | RawImage
 | ro | ScanLine
 |  | TransparentColor
 |  | TransparentMode
TGraphic
 | ro | Empty
 |  | Height
 |  | Modified
 | ro | MimeType
 |  | Palette
 |  | PaletteModified
 |  | Transparent
 |  | Width
TPersistent
TObject


TPixmap
pt | GetReaderClass
pt | GetWriterClass
pt | GetSharedImageClass
 | LazarusResourceTypeValid
 | GetFileExtensions
TFPImageBitmap
pt | GetMimeType
pt | GetReaderClass
pt | GetWriterClass
pt | InitializeReader
pt | InitializeWriter
pt | FinalizeReader
pt | FinalizeWriter
pt | ReadStream
pt | WriteStream
 | GetFileExtensions
 | IsStreamFormatSupported
 | IsFileExtensionSupported
 | LazarusResourceTypeValid
TCustomBitmap
pt | MaskHandleNeeded
pt | PaletteNeeded
pt | CanShareImage
pt | Changed
pt | CreateDefaultBitmapHandle
pt | FreeMaskHandle
pt | GetBitmapHandle
pt | GetMaskHandle
pt | GetPalette
pt | GetPixelFormat
pt | GetRawImagePtr
pt | GetRawImageDescriptionPtr
pt | HandleNeeded
pt | InternalReleaseBitmapHandle
pt | InternalReleaseMaskHandle
pt | InternalReleasePalette
pt | RawimageNeeded
pt | SetHandle
pt | SetPixelFormat
pt | UnshareImage
pt | UpdateHandles
 | Create
 | Destroy
 | Assign
 | Clear
 | FreeImage
 | LazarusResourceTypeValid
 | BitmapHandleAllocated
 | MaskHandleAllocated
 | PaletteAllocated
 | ReleaseHandle
 | SetHandles
 | SetSize
TRasterImage
pt | CanShareImage
pt | Changed
pt | CreateDefaultBitmapHandle
pt | Draw
pt | GetEmpty
pt | GetHandle
pt | GetBitmapHandle
pt | GetMasked
pt | GetMaskHandle
pt | GetMimeType
pt | GetPixelFormat
pt | GetRawImagePtr
pt | GetRawImageDescriptionPtr
pt | GetTransparent
pt | GetSharedImageClass
pt | GetHeight
pt | GetWidth
pt | BitmapHandleNeeded
pt | HandleNeeded
pt | MaskHandleNeeded
pt | PaletteNeeded
pt | InternalReleaseBitmapHandle
pt | InternalReleaseMaskHandle
pt | InternalReleasePalette
pt | SetBitmapHandle
pt | SetMasked
pt | SetMaskHandle
pt | SetTransparent
pt | UnshareImage
pt | UpdateHandles
pt | SaveStreamNeeded
pt | FreeSaveStream
pt | ReadData
pt | ReadStream
pt | SetSize
pt | SetHandle
pt | SetHeight
pt | SetWidth
pt | SetTransparentMode
pt | SetPixelFormat
pt | WriteData
pt | WriteStream
pt | RequestTransparentColor
 | Create
 | Destroy
 | Assign
 | Clear
 | BeginUpdate
 | EndUpdate
 | FreeImage
 | BitmapHandleAllocated
 | MaskHandleAllocated
 | PaletteAllocated
 | LoadFromBitmapHandles
 | LoadFromDevice
 | LoadFromStream
 | LoadFromMimeStream
 | LoadFromRawImage
 | LoadFromIntfImage
 | SaveToStream
 | GetSupportedSourceMimeTypes
 | GetSize
 | Mask
 | SetHandles
 | ReleaseBitmapHandle
 | ReleaseMaskHandle
 | ReleasePalette
 | CreateIntfImage
 | HandleAllocated
TGraphic
pt | Changed
pt | Equals
pt | DefineProperties
pt | Draw
pt | GetEmpty
pt | GetHeight
pt | GetMimeType
pt | GetPalette
pt | GetTransparent
pt | GetWidth
pt | Progress
pt | ReadData
pt | SetHeight
pt | SetPalette
pt | SetTransparent
pt | SetWidth
pt | SetModified
pt | WriteData
 | Assign
 | Create
 | Clear
 | LazarusResourceTypeValid
 | LoadFromFile
 | LoadFromStream
 | LoadFromMimeStream
 | LoadFromLazarusResource
 | LoadFromResourceName
 | LoadFromResourceID
 | LoadFromClipboardFormat
 | LoadFromClipboardFormatID
 | SaveToFile
 | SaveToStream
 | SaveToClipboardFormat
 | SaveToClipboardFormatID
 | GetSupportedSourceMimeTypes
 | GetResourceType
 | GetFileExtensions
 | IsStreamFormatSupported
TPersistent
 | AssignError
 | AssignTo
 | DefineProperties
 | GetOwner
 | Destroy
 | Assign
 | FPOAttachObserver
 | FPODetachObserver
 | FPONotifyObservers
 | GetNamePath
TObject
 | Create
 | Destroy
 | newinstance
 | FreeInstance
 | SafeCallException
 | DefaultHandler
 | Free
 | InitInstance
 | CleanupInstance
 | ClassType
 | ClassInfo
 | ClassName
 | ClassNameIs
 | ClassParent
 | InstanceSize
 | InheritsFrom
 | StringMessageTable
 | MethodAddress
 | MethodName
 | FieldAddress
 | AfterConstruction
 | BeforeDestruction
 | DefaultHandlerStr
 | Dispatch
 | DispatchStr
 | GetInterface
 | GetInterfaceByStr
 | GetInterfaceWeak
 | GetInterfaceEntry
 | GetInterfaceEntryByStr
 | GetInterfaceTable
 | UnitName
 | Equals
 | GetHashCode
 | ToString


 | AfterConstruction (TObject)
 | Assign (TPersistent)
 | Assign (TGraphic)
 | Assign (TRasterImage)
 | Assign (TCustomBitmap)
 | AssignError (TPersistent)
 | AssignTo (TPersistent)
 | BeforeDestruction (TObject)
 | BeginUpdate (TRasterImage)
 | BitmapHandleAllocated (TRasterImage)
 | BitmapHandleAllocated (TCustomBitmap)
pt | BitmapHandleNeeded (TRasterImage)
pt | CanShareImage (TRasterImage)
pt | CanShareImage (TCustomBitmap)
pt | Changed (TGraphic)
pt | Changed (TRasterImage)
pt | Changed (TCustomBitmap)
 | ClassInfo (TObject)
 | ClassName (TObject)
 | ClassNameIs (TObject)
 | ClassParent (TObject)
 | ClassType (TObject)
 | CleanupInstance (TObject)
 | Clear (TGraphic)
 | Clear (TRasterImage)
 | Clear (TCustomBitmap)
 | Create (TObject)
 | Create (TGraphic)
 | Create (TRasterImage)
 | Create (TCustomBitmap)
pt | CreateDefaultBitmapHandle (TRasterImage)
pt | CreateDefaultBitmapHandle (TCustomBitmap)
 | CreateIntfImage (TRasterImage)
 | DefaultHandler (TObject)
 | DefaultHandlerStr (TObject)
 | DefineProperties (TPersistent)
pt | DefineProperties (TGraphic)
 | Destroy (TObject)
 | Destroy (TPersistent)
 | Destroy (TRasterImage)
 | Destroy (TCustomBitmap)
 | Dispatch (TObject)
 | DispatchStr (TObject)
pt | Draw (TGraphic)
pt | Draw (TRasterImage)
 | EndUpdate (TRasterImage)
 | Equals (TObject)
pt | Equals (TGraphic)
 | FieldAddress (TObject)
pt | FinalizeReader (TFPImageBitmap)
pt | FinalizeWriter (TFPImageBitmap)
 | FPOAttachObserver (TPersistent)
 | FPODetachObserver (TPersistent)
 | FPONotifyObservers (TPersistent)
 | Free (TObject)
 | FreeImage (TRasterImage)
 | FreeImage (TCustomBitmap)
 | FreeInstance (TObject)
pt | FreeMaskHandle (TCustomBitmap)
pt | FreeSaveStream (TRasterImage)
pt | GetBitmapHandle (TRasterImage)
pt | GetBitmapHandle (TCustomBitmap)
pt | GetEmpty (TGraphic)
pt | GetEmpty (TRasterImage)
 | GetFileExtensions (TGraphic)
 | GetFileExtensions (TFPImageBitmap)
 | GetFileExtensions (TPixmap)
pt | GetHandle (TRasterImage)
 | GetHashCode (TObject)
pt | GetHeight (TGraphic)
pt | GetHeight (TRasterImage)
 | GetInterface (TObject)
 | GetInterfaceByStr (TObject)
 | GetInterfaceEntry (TObject)
 | GetInterfaceEntryByStr (TObject)
 | GetInterfaceTable (TObject)
 | GetInterfaceWeak (TObject)
pt | GetMasked (TRasterImage)
pt | GetMaskHandle (TRasterImage)
pt | GetMaskHandle (TCustomBitmap)
pt | GetMimeType (TGraphic)
pt | GetMimeType (TRasterImage)
pt | GetMimeType (TFPImageBitmap)
 | GetNamePath (TPersistent)
 | GetOwner (TPersistent)
pt | GetPalette (TGraphic)
pt | GetPalette (TCustomBitmap)
pt | GetPixelFormat (TRasterImage)
pt | GetPixelFormat (TCustomBitmap)
pt | GetRawImageDescriptionPtr (TRasterImage)
pt | GetRawImageDescriptionPtr (TCustomBitmap)
pt | GetRawImagePtr (TRasterImage)
pt | GetRawImagePtr (TCustomBitmap)
pt | GetReaderClass (TFPImageBitmap)
pt | GetReaderClass (TPixmap)
 | GetResourceType (TGraphic)
pt | GetSharedImageClass (TRasterImage)
pt | GetSharedImageClass (TPixmap)
 | GetSize (TRasterImage)
 | GetSupportedSourceMimeTypes (TGraphic)
 | GetSupportedSourceMimeTypes (TRasterImage)
pt | GetTransparent (TGraphic)
pt | GetTransparent (TRasterImage)
pt | GetWidth (TGraphic)
pt | GetWidth (TRasterImage)
pt | GetWriterClass (TFPImageBitmap)
pt | GetWriterClass (TPixmap)
 | HandleAllocated (TRasterImage)
pt | HandleNeeded (TRasterImage)
pt | HandleNeeded (TCustomBitmap)
 | InheritsFrom (TObject)
pt | InitializeReader (TFPImageBitmap)
pt | InitializeWriter (TFPImageBitmap)
 | InitInstance (TObject)
 | InstanceSize (TObject)
pt | InternalReleaseBitmapHandle (TRasterImage)
pt | InternalReleaseBitmapHandle (TCustomBitmap)
pt | InternalReleaseMaskHandle (TRasterImage)
pt | InternalReleaseMaskHandle (TCustomBitmap)
pt | InternalReleasePalette (TRasterImage)
pt | InternalReleasePalette (TCustomBitmap)
 | IsFileExtensionSupported (TFPImageBitmap)
 | IsStreamFormatSupported (TGraphic)
 | IsStreamFormatSupported (TFPImageBitmap)
 | LazarusResourceTypeValid (TGraphic)
 | LazarusResourceTypeValid (TCustomBitmap)
 | LazarusResourceTypeValid (TFPImageBitmap)
 | LazarusResourceTypeValid (TPixmap)
 | LoadFromBitmapHandles (TRasterImage)
 | LoadFromClipboardFormat (TGraphic)
 | LoadFromClipboardFormatID (TGraphic)
 | LoadFromDevice (TRasterImage)
 | LoadFromFile (TGraphic)
 | LoadFromIntfImage (TRasterImage)
 | LoadFromLazarusResource (TGraphic)
 | LoadFromMimeStream (TGraphic)
 | LoadFromMimeStream (TRasterImage)
 | LoadFromRawImage (TRasterImage)
 | LoadFromResourceID (TGraphic)
 | LoadFromResourceName (TGraphic)
 | LoadFromStream (TGraphic)
 | LoadFromStream (TRasterImage)
 | Mask (TRasterImage)
 | MaskHandleAllocated (TRasterImage)
 | MaskHandleAllocated (TCustomBitmap)
pt | MaskHandleNeeded (TRasterImage)
pt | MaskHandleNeeded (TCustomBitmap)
 | MethodAddress (TObject)
 | MethodName (TObject)
 | newinstance (TObject)
 | PaletteAllocated (TRasterImage)
 | PaletteAllocated (TCustomBitmap)
pt | PaletteNeeded (TRasterImage)
pt | PaletteNeeded (TCustomBitmap)
pt | Progress (TGraphic)
pt | RawimageNeeded (TCustomBitmap)
pt | ReadData (TGraphic)
pt | ReadData (TRasterImage)
pt | ReadStream (TRasterImage)
pt | ReadStream (TFPImageBitmap)
 | ReleaseBitmapHandle (TRasterImage)
 | ReleaseHandle (TCustomBitmap)
 | ReleaseMaskHandle (TRasterImage)
 | ReleasePalette (TRasterImage)
pt | RequestTransparentColor (TRasterImage)
 | SafeCallException (TObject)
pt | SaveStreamNeeded (TRasterImage)
 | SaveToClipboardFormat (TGraphic)
 | SaveToClipboardFormatID (TGraphic)
 | SaveToFile (TGraphic)
 | SaveToStream (TGraphic)
 | SaveToStream (TRasterImage)
pt | SetBitmapHandle (TRasterImage)
pt | SetHandle (TRasterImage)
pt | SetHandle (TCustomBitmap)
 | SetHandles (TRasterImage)
 | SetHandles (TCustomBitmap)
pt | SetHeight (TGraphic)
pt | SetHeight (TRasterImage)
pt | SetMasked (TRasterImage)
pt | SetMaskHandle (TRasterImage)
pt | SetModified (TGraphic)
pt | SetPalette (TGraphic)
pt | SetPixelFormat (TRasterImage)
pt | SetPixelFormat (TCustomBitmap)
pt | SetSize (TRasterImage)
 | SetSize (TCustomBitmap)
pt | SetTransparent (TGraphic)
pt | SetTransparent (TRasterImage)
pt | SetTransparentMode (TRasterImage)
pt | SetWidth (TGraphic)
pt | SetWidth (TRasterImage)
 | StringMessageTable (TObject)
 | ToString (TObject)
 | UnitName (TObject)
pt | UnshareImage (TRasterImage)
pt | UnshareImage (TCustomBitmap)
pt | UpdateHandles (TRasterImage)
pt | UpdateHandles (TCustomBitmap)
pt | WriteData (TGraphic)
pt | WriteData (TRasterImage)
pt | WriteStream (TRasterImage)
pt | WriteStream (TFPImageBitmap)


TPixmap
TFPImageBitmap
TCustomBitmap
TRasterImage
TGraphic
 | OnChange
 | OnProgress
TPersistent
TObject


TPortableAnyMapGraphic

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

TPortableAnyMapGraphic - a PAM graphic image

Declaration

Source position: graphics.pp line 1494

type TPortableAnyMapGraphic = class(TFPImageBitmap)
protected
class function GetReaderClass; override; | GetReaderClass - returns the class of reader for acquiring data from a stream
class function GetWriterClass; override; | GetWriterClass - returns the class of writer for storing data to a stream
class function GetSharedImageClass; override; | GetSharedImageClass - returns the class of Shared Raster Image
public
class function IsStreamFormatSupported(); override;
class function GetFileExtensions; override; | GetFileExtensions - returns a list of the file extensions available
end;

Inheritance

TPortableAnyMapGraphic | TPortableAnyMapGraphic - a PAM graphic image
|
TFPImageBitmap | A class of Bitmap using the FPImage reader and writer (ie customised for FreePascal)
|
TCustomBitmap | TCustomBitMap - the base class for TBitmap
|
TRasterImage | TRasterImage - base class for a number of graphic controls, including TCustomBitmap and TCustomIcon, which use a raster of dots to display graphic information
|
TGraphic | TGraphic - Base class for dealing with Graphic images
|
TPersistent,IFPObserved
|
TObject


TPortableAnyMapGraphic
TFPImageBitmap
TCustomBitmap
 |  | Handle
 |  | HandleType
 |  | Monochrome
TRasterImage
 | ro | Canvas
 |  | BitmapHandle
 |  | Masked
 |  | MaskHandle
 |  | PixelFormat
 | ro | RawImage
 | ro | ScanLine
 |  | TransparentColor
 |  | TransparentMode
TGraphic
 | ro | Empty
 |  | Height
 |  | Modified
 | ro | MimeType
 |  | Palette
 |  | PaletteModified
 |  | Transparent
 |  | Width
TPersistent
TObject


TPortableAnyMapGraphic
pt | GetReaderClass
pt | GetWriterClass
pt | GetSharedImageClass
 | IsStreamFormatSupported
 | GetFileExtensions
TFPImageBitmap
pt | GetMimeType
pt | GetReaderClass
pt | GetWriterClass
pt | InitializeReader
pt | InitializeWriter
pt | FinalizeReader
pt | FinalizeWriter
pt | ReadStream
pt | WriteStream
 | GetFileExtensions
 | IsStreamFormatSupported
 | IsFileExtensionSupported
 | LazarusResourceTypeValid
TCustomBitmap
pt | MaskHandleNeeded
pt | PaletteNeeded
pt | CanShareImage
pt | Changed
pt | CreateDefaultBitmapHandle
pt | FreeMaskHandle
pt | GetBitmapHandle
pt | GetMaskHandle
pt | GetPalette
pt | GetPixelFormat
pt | GetRawImagePtr
pt | GetRawImageDescriptionPtr
pt | HandleNeeded
pt | InternalReleaseBitmapHandle
pt | InternalReleaseMaskHandle
pt | InternalReleasePalette
pt | RawimageNeeded
pt | SetHandle
pt | SetPixelFormat
pt | UnshareImage
pt | UpdateHandles
 | Create
 | Destroy
 | Assign
 | Clear
 | FreeImage
 | LazarusResourceTypeValid
 | BitmapHandleAllocated
 | MaskHandleAllocated
 | PaletteAllocated
 | ReleaseHandle
 | SetHandles
 | SetSize
TRasterImage
pt | CanShareImage
pt | Changed
pt | CreateDefaultBitmapHandle
pt | Draw
pt | GetEmpty
pt | GetHandle
pt | GetBitmapHandle
pt | GetMasked
pt | GetMaskHandle
pt | GetMimeType
pt | GetPixelFormat
pt | GetRawImagePtr
pt | GetRawImageDescriptionPtr
pt | GetTransparent
pt | GetSharedImageClass
pt | GetHeight
pt | GetWidth
pt | BitmapHandleNeeded
pt | HandleNeeded
pt | MaskHandleNeeded
pt | PaletteNeeded
pt | InternalReleaseBitmapHandle
pt | InternalReleaseMaskHandle
pt | InternalReleasePalette
pt | SetBitmapHandle
pt | SetMasked
pt | SetMaskHandle
pt | SetTransparent
pt | UnshareImage
pt | UpdateHandles
pt | SaveStreamNeeded
pt | FreeSaveStream
pt | ReadData
pt | ReadStream
pt | SetSize
pt | SetHandle
pt | SetHeight
pt | SetWidth
pt | SetTransparentMode
pt | SetPixelFormat
pt | WriteData
pt | WriteStream
pt | RequestTransparentColor
 | Create
 | Destroy
 | Assign
 | Clear
 | BeginUpdate
 | EndUpdate
 | FreeImage
 | BitmapHandleAllocated
 | MaskHandleAllocated
 | PaletteAllocated
 | LoadFromBitmapHandles
 | LoadFromDevice
 | LoadFromStream
 | LoadFromMimeStream
 | LoadFromRawImage
 | LoadFromIntfImage
 | SaveToStream
 | GetSupportedSourceMimeTypes
 | GetSize
 | Mask
 | SetHandles
 | ReleaseBitmapHandle
 | ReleaseMaskHandle
 | ReleasePalette
 | CreateIntfImage
 | HandleAllocated
TGraphic
pt | Changed
pt | Equals
pt | DefineProperties
pt | Draw
pt | GetEmpty
pt | GetHeight
pt | GetMimeType
pt | GetPalette
pt | GetTransparent
pt | GetWidth
pt | Progress
pt | ReadData
pt | SetHeight
pt | SetPalette
pt | SetTransparent
pt | SetWidth
pt | SetModified
pt | WriteData
 | Assign
 | Create
 | Clear
 | LazarusResourceTypeValid
 | LoadFromFile
 | LoadFromStream
 | LoadFromMimeStream
 | LoadFromLazarusResource
 | LoadFromResourceName
 | LoadFromResourceID
 | LoadFromClipboardFormat
 | LoadFromClipboardFormatID
 | SaveToFile
 | SaveToStream
 | SaveToClipboardFormat
 | SaveToClipboardFormatID
 | GetSupportedSourceMimeTypes
 | GetResourceType
 | GetFileExtensions
 | IsStreamFormatSupported
TPersistent
 | AssignError
 | AssignTo
 | DefineProperties
 | GetOwner
 | Destroy
 | Assign
 | FPOAttachObserver
 | FPODetachObserver
 | FPONotifyObservers
 | GetNamePath
TObject
 | Create
 | Destroy
 | newinstance
 | FreeInstance
 | SafeCallException
 | DefaultHandler
 | Free
 | InitInstance
 | CleanupInstance
 | ClassType
 | ClassInfo
 | ClassName
 | ClassNameIs
 | ClassParent
 | InstanceSize
 | InheritsFrom
 | StringMessageTable
 | MethodAddress
 | MethodName
 | FieldAddress
 | AfterConstruction
 | BeforeDestruction
 | DefaultHandlerStr
 | Dispatch
 | DispatchStr
 | GetInterface
 | GetInterfaceByStr
 | GetInterfaceWeak
 | GetInterfaceEntry
 | GetInterfaceEntryByStr
 | GetInterfaceTable
 | UnitName
 | Equals
 | GetHashCode
 | ToString


 | AfterConstruction (TObject)
 | Assign (TPersistent)
 | Assign (TGraphic)
 | Assign (TRasterImage)
 | Assign (TCustomBitmap)
 | AssignError (TPersistent)
 | AssignTo (TPersistent)
 | BeforeDestruction (TObject)
 | BeginUpdate (TRasterImage)
 | BitmapHandleAllocated (TRasterImage)
 | BitmapHandleAllocated (TCustomBitmap)
pt | BitmapHandleNeeded (TRasterImage)
pt | CanShareImage (TRasterImage)
pt | CanShareImage (TCustomBitmap)
pt | Changed (TGraphic)
pt | Changed (TRasterImage)
pt | Changed (TCustomBitmap)
 | ClassInfo (TObject)
 | ClassName (TObject)
 | ClassNameIs (TObject)
 | ClassParent (TObject)
 | ClassType (TObject)
 | CleanupInstance (TObject)
 | Clear (TGraphic)
 | Clear (TRasterImage)
 | Clear (TCustomBitmap)
 | Create (TObject)
 | Create (TGraphic)
 | Create (TRasterImage)
 | Create (TCustomBitmap)
pt | CreateDefaultBitmapHandle (TRasterImage)
pt | CreateDefaultBitmapHandle (TCustomBitmap)
 | CreateIntfImage (TRasterImage)
 | DefaultHandler (TObject)
 | DefaultHandlerStr (TObject)
 | DefineProperties (TPersistent)
pt | DefineProperties (TGraphic)
 | Destroy (TObject)
 | Destroy (TPersistent)
 | Destroy (TRasterImage)
 | Destroy (TCustomBitmap)
 | Dispatch (TObject)
 | DispatchStr (TObject)
pt | Draw (TGraphic)
pt | Draw (TRasterImage)
 | EndUpdate (TRasterImage)
 | Equals (TObject)
pt | Equals (TGraphic)
 | FieldAddress (TObject)
pt | FinalizeReader (TFPImageBitmap)
pt | FinalizeWriter (TFPImageBitmap)
 | FPOAttachObserver (TPersistent)
 | FPODetachObserver (TPersistent)
 | FPONotifyObservers (TPersistent)
 | Free (TObject)
 | FreeImage (TRasterImage)
 | FreeImage (TCustomBitmap)
 | FreeInstance (TObject)
pt | FreeMaskHandle (TCustomBitmap)
pt | FreeSaveStream (TRasterImage)
pt | GetBitmapHandle (TRasterImage)
pt | GetBitmapHandle (TCustomBitmap)
pt | GetEmpty (TGraphic)
pt | GetEmpty (TRasterImage)
 | GetFileExtensions (TGraphic)
 | GetFileExtensions (TFPImageBitmap)
 | GetFileExtensions (TPortableAnyMapGraphic)
pt | GetHandle (TRasterImage)
 | GetHashCode (TObject)
pt | GetHeight (TGraphic)
pt | GetHeight (TRasterImage)
 | GetInterface (TObject)
 | GetInterfaceByStr (TObject)
 | GetInterfaceEntry (TObject)
 | GetInterfaceEntryByStr (TObject)
 | GetInterfaceTable (TObject)
 | GetInterfaceWeak (TObject)
pt | GetMasked (TRasterImage)
pt | GetMaskHandle (TRasterImage)
pt | GetMaskHandle (TCustomBitmap)
pt | GetMimeType (TGraphic)
pt | GetMimeType (TRasterImage)
pt | GetMimeType (TFPImageBitmap)
 | GetNamePath (TPersistent)
 | GetOwner (TPersistent)
pt | GetPalette (TGraphic)
pt | GetPalette (TCustomBitmap)
pt | GetPixelFormat (TRasterImage)
pt | GetPixelFormat (TCustomBitmap)
pt | GetRawImageDescriptionPtr (TRasterImage)
pt | GetRawImageDescriptionPtr (TCustomBitmap)
pt | GetRawImagePtr (TRasterImage)
pt | GetRawImagePtr (TCustomBitmap)
pt | GetReaderClass (TFPImageBitmap)
pt | GetReaderClass (TPortableAnyMapGraphic)
 | GetResourceType (TGraphic)
pt | GetSharedImageClass (TRasterImage)
pt | GetSharedImageClass (TPortableAnyMapGraphic)
 | GetSize (TRasterImage)
 | GetSupportedSourceMimeTypes (TGraphic)
 | GetSupportedSourceMimeTypes (TRasterImage)
pt | GetTransparent (TGraphic)
pt | GetTransparent (TRasterImage)
pt | GetWidth (TGraphic)
pt | GetWidth (TRasterImage)
pt | GetWriterClass (TFPImageBitmap)
pt | GetWriterClass (TPortableAnyMapGraphic)
 | HandleAllocated (TRasterImage)
pt | HandleNeeded (TRasterImage)
pt | HandleNeeded (TCustomBitmap)
 | InheritsFrom (TObject)
pt | InitializeReader (TFPImageBitmap)
pt | InitializeWriter (TFPImageBitmap)
 | InitInstance (TObject)
 | InstanceSize (TObject)
pt | InternalReleaseBitmapHandle (TRasterImage)
pt | InternalReleaseBitmapHandle (TCustomBitmap)
pt | InternalReleaseMaskHandle (TRasterImage)
pt | InternalReleaseMaskHandle (TCustomBitmap)
pt | InternalReleasePalette (TRasterImage)
pt | InternalReleasePalette (TCustomBitmap)
 | IsFileExtensionSupported (TFPImageBitmap)
 | IsStreamFormatSupported (TGraphic)
 | IsStreamFormatSupported (TFPImageBitmap)
 | IsStreamFormatSupported (TPortableAnyMapGraphic)
 | LazarusResourceTypeValid (TGraphic)
 | LazarusResourceTypeValid (TCustomBitmap)
 | LazarusResourceTypeValid (TFPImageBitmap)
 | LoadFromBitmapHandles (TRasterImage)
 | LoadFromClipboardFormat (TGraphic)
 | LoadFromClipboardFormatID (TGraphic)
 | LoadFromDevice (TRasterImage)
 | LoadFromFile (TGraphic)
 | LoadFromIntfImage (TRasterImage)
 | LoadFromLazarusResource (TGraphic)
 | LoadFromMimeStream (TGraphic)
 | LoadFromMimeStream (TRasterImage)
 | LoadFromRawImage (TRasterImage)
 | LoadFromResourceID (TGraphic)
 | LoadFromResourceName (TGraphic)
 | LoadFromStream (TGraphic)
 | LoadFromStream (TRasterImage)
 | Mask (TRasterImage)
 | MaskHandleAllocated (TRasterImage)
 | MaskHandleAllocated (TCustomBitmap)
pt | MaskHandleNeeded (TRasterImage)
pt | MaskHandleNeeded (TCustomBitmap)
 | MethodAddress (TObject)
 | MethodName (TObject)
 | newinstance (TObject)
 | PaletteAllocated (TRasterImage)
 | PaletteAllocated (TCustomBitmap)
pt | PaletteNeeded (TRasterImage)
pt | PaletteNeeded (TCustomBitmap)
pt | Progress (TGraphic)
pt | RawimageNeeded (TCustomBitmap)
pt | ReadData (TGraphic)
pt | ReadData (TRasterImage)
pt | ReadStream (TRasterImage)
pt | ReadStream (TFPImageBitmap)
 | ReleaseBitmapHandle (TRasterImage)
 | ReleaseHandle (TCustomBitmap)
 | ReleaseMaskHandle (TRasterImage)
 | ReleasePalette (TRasterImage)
pt | RequestTransparentColor (TRasterImage)
 | SafeCallException (TObject)
pt | SaveStreamNeeded (TRasterImage)
 | SaveToClipboardFormat (TGraphic)
 | SaveToClipboardFormatID (TGraphic)
 | SaveToFile (TGraphic)
 | SaveToStream (TGraphic)
 | SaveToStream (TRasterImage)
pt | SetBitmapHandle (TRasterImage)
pt | SetHandle (TRasterImage)
pt | SetHandle (TCustomBitmap)
 | SetHandles (TRasterImage)
 | SetHandles (TCustomBitmap)
pt | SetHeight (TGraphic)
pt | SetHeight (TRasterImage)
pt | SetMasked (TRasterImage)
pt | SetMaskHandle (TRasterImage)
pt | SetModified (TGraphic)
pt | SetPalette (TGraphic)
pt | SetPixelFormat (TRasterImage)
pt | SetPixelFormat (TCustomBitmap)
pt | SetSize (TRasterImage)
 | SetSize (TCustomBitmap)
pt | SetTransparent (TGraphic)
pt | SetTransparent (TRasterImage)
pt | SetTransparentMode (TRasterImage)
pt | SetWidth (TGraphic)
pt | SetWidth (TRasterImage)
 | StringMessageTable (TObject)
 | ToString (TObject)
 | UnitName (TObject)
pt | UnshareImage (TRasterImage)
pt | UnshareImage (TCustomBitmap)
pt | UpdateHandles (TRasterImage)
pt | UpdateHandles (TCustomBitmap)
pt | WriteData (TGraphic)
pt | WriteData (TRasterImage)
pt | WriteStream (TRasterImage)
pt | WriteStream (TFPImageBitmap)


TPortableAnyMapGraphic
TFPImageBitmap
TCustomBitmap
TRasterImage
TGraphic
 | OnChange
 | OnProgress
TPersistent
TObject


TPortableAnyMapGraphic.IsStreamFormatSupported

Declaration

Source position: graphics.pp line 1500

public class function TPortableAnyMapGraphic.IsStreamFormatSupported(

  Stream: TStream

):Boolean; override;


TPortableNetworkGraphic

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

TPortableNetworkGraphic - a PNG image

Declaration

Source position: graphics.pp line 1474

type TPortableNetworkGraphic = class(TFPImageBitmap)
protected
class function GetReaderClass; override; | GetReaderClass - returns the class of reader for acquiring data from a stream
class function GetWriterClass; override; | GetWriterClass - returns the class of writer for storing data to a stream
procedure InitializeWriter(); override; | InitializeWriter - starts up the specified writer to store the specified Image
class function GetSharedImageClass; override; | GetSharedImageClass - returns the class of Shared Raster Image
public
class function IsStreamFormatSupported(); override;
class function GetFileExtensions; override; | GetFileExtensions - returns a list of the file extensions available
end;

Inheritance

TPortableNetworkGraphic | TPortableNetworkGraphic - a PNG image
|
TFPImageBitmap | A class of Bitmap using the FPImage reader and writer (ie customised for FreePascal)
|
TCustomBitmap | TCustomBitMap - the base class for TBitmap
|
TRasterImage | TRasterImage - base class for a number of graphic controls, including TCustomBitmap and TCustomIcon, which use a raster of dots to display graphic information
|
TGraphic | TGraphic - Base class for dealing with Graphic images
|
TPersistent,IFPObserved
|
TObject


TPortableNetworkGraphic
TFPImageBitmap
TCustomBitmap
 |  | Handle
 |  | HandleType
 |  | Monochrome
TRasterImage
 | ro | Canvas
 |  | BitmapHandle
 |  | Masked
 |  | MaskHandle
 |  | PixelFormat
 | ro | RawImage
 | ro | ScanLine
 |  | TransparentColor
 |  | TransparentMode
TGraphic
 | ro | Empty
 |  | Height
 |  | Modified
 | ro | MimeType
 |  | Palette
 |  | PaletteModified
 |  | Transparent
 |  | Width
TPersistent
TObject


TPortableNetworkGraphic
pt | GetReaderClass
pt | GetWriterClass
pt | InitializeWriter
pt | GetSharedImageClass
 | IsStreamFormatSupported
 | GetFileExtensions
TFPImageBitmap
pt | GetMimeType
pt | GetReaderClass
pt | GetWriterClass
pt | InitializeReader
pt | InitializeWriter
pt | FinalizeReader
pt | FinalizeWriter
pt | ReadStream
pt | WriteStream
 | GetFileExtensions
 | IsStreamFormatSupported
 | IsFileExtensionSupported
 | LazarusResourceTypeValid
TCustomBitmap
pt | MaskHandleNeeded
pt | PaletteNeeded
pt | CanShareImage
pt | Changed
pt | CreateDefaultBitmapHandle
pt | FreeMaskHandle
pt | GetBitmapHandle
pt | GetMaskHandle
pt | GetPalette
pt | GetPixelFormat
pt | GetRawImagePtr
pt | GetRawImageDescriptionPtr
pt | HandleNeeded
pt | InternalReleaseBitmapHandle
pt | InternalReleaseMaskHandle
pt | InternalReleasePalette
pt | RawimageNeeded
pt | SetHandle
pt | SetPixelFormat
pt | UnshareImage
pt | UpdateHandles
 | Create
 | Destroy
 | Assign
 | Clear
 | FreeImage
 | LazarusResourceTypeValid
 | BitmapHandleAllocated
 | MaskHandleAllocated
 | PaletteAllocated
 | ReleaseHandle
 | SetHandles
 | SetSize
TRasterImage
pt | CanShareImage
pt | Changed
pt | CreateDefaultBitmapHandle
pt | Draw
pt | GetEmpty
pt | GetHandle
pt | GetBitmapHandle
pt | GetMasked
pt | GetMaskHandle
pt | GetMimeType
pt | GetPixelFormat
pt | GetRawImagePtr
pt | GetRawImageDescriptionPtr
pt | GetTransparent
pt | GetSharedImageClass
pt | GetHeight
pt | GetWidth
pt | BitmapHandleNeeded
pt | HandleNeeded
pt | MaskHandleNeeded
pt | PaletteNeeded
pt | InternalReleaseBitmapHandle
pt | InternalReleaseMaskHandle
pt | InternalReleasePalette
pt | SetBitmapHandle
pt | SetMasked
pt | SetMaskHandle
pt | SetTransparent
pt | UnshareImage
pt | UpdateHandles
pt | SaveStreamNeeded
pt | FreeSaveStream
pt | ReadData
pt | ReadStream
pt | SetSize
pt | SetHandle
pt | SetHeight
pt | SetWidth
pt | SetTransparentMode
pt | SetPixelFormat
pt | WriteData
pt | WriteStream
pt | RequestTransparentColor
 | Create
 | Destroy
 | Assign
 | Clear
 | BeginUpdate
 | EndUpdate
 | FreeImage
 | BitmapHandleAllocated
 | MaskHandleAllocated
 | PaletteAllocated
 | LoadFromBitmapHandles
 | LoadFromDevice
 | LoadFromStream
 | LoadFromMimeStream
 | LoadFromRawImage
 | LoadFromIntfImage
 | SaveToStream
 | GetSupportedSourceMimeTypes
 | GetSize
 | Mask
 | SetHandles
 | ReleaseBitmapHandle
 | ReleaseMaskHandle
 | ReleasePalette
 | CreateIntfImage
 | HandleAllocated
TGraphic
pt | Changed
pt | Equals
pt | DefineProperties
pt | Draw
pt | GetEmpty
pt | GetHeight
pt | GetMimeType
pt | GetPalette
pt | GetTransparent
pt | GetWidth
pt | Progress
pt | ReadData
pt | SetHeight
pt | SetPalette
pt | SetTransparent
pt | SetWidth
pt | SetModified
pt | WriteData
 | Assign
 | Create
 | Clear
 | LazarusResourceTypeValid
 | LoadFromFile
 | LoadFromStream
 | LoadFromMimeStream
 | LoadFromLazarusResource
 | LoadFromResourceName
 | LoadFromResourceID
 | LoadFromClipboardFormat
 | LoadFromClipboardFormatID
 | SaveToFile
 | SaveToStream
 | SaveToClipboardFormat
 | SaveToClipboardFormatID
 | GetSupportedSourceMimeTypes
 | GetResourceType
 | GetFileExtensions
 | IsStreamFormatSupported
TPersistent
 | AssignError
 | AssignTo
 | DefineProperties
 | GetOwner
 | Destroy
 | Assign
 | FPOAttachObserver
 | FPODetachObserver
 | FPONotifyObservers
 | GetNamePath
TObject
 | Create
 | Destroy
 | newinstance
 | FreeInstance
 | SafeCallException
 | DefaultHandler
 | Free
 | InitInstance
 | CleanupInstance
 | ClassType
 | ClassInfo
 | ClassName
 | ClassNameIs
 | ClassParent
 | InstanceSize
 | InheritsFrom
 | StringMessageTable
 | MethodAddress
 | MethodName
 | FieldAddress
 | AfterConstruction
 | BeforeDestruction
 | DefaultHandlerStr
 | Dispatch
 | DispatchStr
 | GetInterface
 | GetInterfaceByStr
 | GetInterfaceWeak
 | GetInterfaceEntry
 | GetInterfaceEntryByStr
 | GetInterfaceTable
 | UnitName
 | Equals
 | GetHashCode
 | ToString


 | AfterConstruction (TObject)
 | Assign (TPersistent)
 | Assign (TGraphic)
 | Assign (TRasterImage)
 | Assign (TCustomBitmap)
 | AssignError (TPersistent)
 | AssignTo (TPersistent)
 | BeforeDestruction (TObject)
 | BeginUpdate (TRasterImage)
 | BitmapHandleAllocated (TRasterImage)
 | BitmapHandleAllocated (TCustomBitmap)
pt | BitmapHandleNeeded (TRasterImage)
pt | CanShareImage (TRasterImage)
pt | CanShareImage (TCustomBitmap)
pt | Changed (TGraphic)
pt | Changed (TRasterImage)
pt | Changed (TCustomBitmap)
 | ClassInfo (TObject)
 | ClassName (TObject)
 | ClassNameIs (TObject)
 | ClassParent (TObject)
 | ClassType (TObject)
 | CleanupInstance (TObject)
 | Clear (TGraphic)
 | Clear (TRasterImage)
 | Clear (TCustomBitmap)
 | Create (TObject)
 | Create (TGraphic)
 | Create (TRasterImage)
 | Create (TCustomBitmap)
pt | CreateDefaultBitmapHandle (TRasterImage)
pt | CreateDefaultBitmapHandle (TCustomBitmap)
 | CreateIntfImage (TRasterImage)
 | DefaultHandler (TObject)
 | DefaultHandlerStr (TObject)
 | DefineProperties (TPersistent)
pt | DefineProperties (TGraphic)
 | Destroy (TObject)
 | Destroy (TPersistent)
 | Destroy (TRasterImage)
 | Destroy (TCustomBitmap)
 | Dispatch (TObject)
 | DispatchStr (TObject)
pt | Draw (TGraphic)
pt | Draw (TRasterImage)
 | EndUpdate (TRasterImage)
 | Equals (TObject)
pt | Equals (TGraphic)
 | FieldAddress (TObject)
pt | FinalizeReader (TFPImageBitmap)
pt | FinalizeWriter (TFPImageBitmap)
 | FPOAttachObserver (TPersistent)
 | FPODetachObserver (TPersistent)
 | FPONotifyObservers (TPersistent)
 | Free (TObject)
 | FreeImage (TRasterImage)
 | FreeImage (TCustomBitmap)
 | FreeInstance (TObject)
pt | FreeMaskHandle (TCustomBitmap)
pt | FreeSaveStream (TRasterImage)
pt | GetBitmapHandle (TRasterImage)
pt | GetBitmapHandle (TCustomBitmap)
pt | GetEmpty (TGraphic)
pt | GetEmpty (TRasterImage)
 | GetFileExtensions (TGraphic)
 | GetFileExtensions (TFPImageBitmap)
 | GetFileExtensions (TPortableNetworkGraphic)
pt | GetHandle (TRasterImage)
 | GetHashCode (TObject)
pt | GetHeight (TGraphic)
pt | GetHeight (TRasterImage)
 | GetInterface (TObject)
 | GetInterfaceByStr (TObject)
 | GetInterfaceEntry (TObject)
 | GetInterfaceEntryByStr (TObject)
 | GetInterfaceTable (TObject)
 | GetInterfaceWeak (TObject)
pt | GetMasked (TRasterImage)
pt | GetMaskHandle (TRasterImage)
pt | GetMaskHandle (TCustomBitmap)
pt | GetMimeType (TGraphic)
pt | GetMimeType (TRasterImage)
pt | GetMimeType (TFPImageBitmap)
 | GetNamePath (TPersistent)
 | GetOwner (TPersistent)
pt | GetPalette (TGraphic)
pt | GetPalette (TCustomBitmap)
pt | GetPixelFormat (TRasterImage)
pt | GetPixelFormat (TCustomBitmap)
pt | GetRawImageDescriptionPtr (TRasterImage)
pt | GetRawImageDescriptionPtr (TCustomBitmap)
pt | GetRawImagePtr (TRasterImage)
pt | GetRawImagePtr (TCustomBitmap)
pt | GetReaderClass (TFPImageBitmap)
pt | GetReaderClass (TPortableNetworkGraphic)
 | GetResourceType (TGraphic)
pt | GetSharedImageClass (TRasterImage)
pt | GetSharedImageClass (TPortableNetworkGraphic)
 | GetSize (TRasterImage)
 | GetSupportedSourceMimeTypes (TGraphic)
 | GetSupportedSourceMimeTypes (TRasterImage)
pt | GetTransparent (TGraphic)
pt | GetTransparent (TRasterImage)
pt | GetWidth (TGraphic)
pt | GetWidth (TRasterImage)
pt | GetWriterClass (TFPImageBitmap)
pt | GetWriterClass (TPortableNetworkGraphic)
 | HandleAllocated (TRasterImage)
pt | HandleNeeded (TRasterImage)
pt | HandleNeeded (TCustomBitmap)
 | InheritsFrom (TObject)
pt | InitializeReader (TFPImageBitmap)
pt | InitializeWriter (TFPImageBitmap)
pt | InitializeWriter (TPortableNetworkGraphic)
 | InitInstance (TObject)
 | InstanceSize (TObject)
pt | InternalReleaseBitmapHandle (TRasterImage)
pt | InternalReleaseBitmapHandle (TCustomBitmap)
pt | InternalReleaseMaskHandle (TRasterImage)
pt | InternalReleaseMaskHandle (TCustomBitmap)
pt | InternalReleasePalette (TRasterImage)
pt | InternalReleasePalette (TCustomBitmap)
 | IsFileExtensionSupported (TFPImageBitmap)
 | IsStreamFormatSupported (TGraphic)
 | IsStreamFormatSupported (TFPImageBitmap)
 | IsStreamFormatSupported (TPortableNetworkGraphic)
 | LazarusResourceTypeValid (TGraphic)
 | LazarusResourceTypeValid (TCustomBitmap)
 | LazarusResourceTypeValid (TFPImageBitmap)
 | LoadFromBitmapHandles (TRasterImage)
 | LoadFromClipboardFormat (TGraphic)
 | LoadFromClipboardFormatID (TGraphic)
 | LoadFromDevice (TRasterImage)
 | LoadFromFile (TGraphic)
 | LoadFromIntfImage (TRasterImage)
 | LoadFromLazarusResource (TGraphic)
 | LoadFromMimeStream (TGraphic)
 | LoadFromMimeStream (TRasterImage)
 | LoadFromRawImage (TRasterImage)
 | LoadFromResourceID (TGraphic)
 | LoadFromResourceName (TGraphic)
 | LoadFromStream (TGraphic)
 | LoadFromStream (TRasterImage)
 | Mask (TRasterImage)
 | MaskHandleAllocated (TRasterImage)
 | MaskHandleAllocated (TCustomBitmap)
pt | MaskHandleNeeded (TRasterImage)
pt | MaskHandleNeeded (TCustomBitmap)
 | MethodAddress (TObject)
 | MethodName (TObject)
 | newinstance (TObject)
 | PaletteAllocated (TRasterImage)
 | PaletteAllocated (TCustomBitmap)
pt | PaletteNeeded (TRasterImage)
pt | PaletteNeeded (TCustomBitmap)
pt | Progress (TGraphic)
pt | RawimageNeeded (TCustomBitmap)
pt | ReadData (TGraphic)
pt | ReadData (TRasterImage)
pt | ReadStream (TRasterImage)
pt | ReadStream (TFPImageBitmap)
 | ReleaseBitmapHandle (TRasterImage)
 | ReleaseHandle (TCustomBitmap)
 | ReleaseMaskHandle (TRasterImage)
 | ReleasePalette (TRasterImage)
pt | RequestTransparentColor (TRasterImage)
 | SafeCallException (TObject)
pt | SaveStreamNeeded (TRasterImage)
 | SaveToClipboardFormat (TGraphic)
 | SaveToClipboardFormatID (TGraphic)
 | SaveToFile (TGraphic)
 | SaveToStream (TGraphic)
 | SaveToStream (TRasterImage)
pt | SetBitmapHandle (TRasterImage)
pt | SetHandle (TRasterImage)
pt | SetHandle (TCustomBitmap)
 | SetHandles (TRasterImage)
 | SetHandles (TCustomBitmap)
pt | SetHeight (TGraphic)
pt | SetHeight (TRasterImage)
pt | SetMasked (TRasterImage)
pt | SetMaskHandle (TRasterImage)
pt | SetModified (TGraphic)
pt | SetPalette (TGraphic)
pt | SetPixelFormat (TRasterImage)
pt | SetPixelFormat (TCustomBitmap)
pt | SetSize (TRasterImage)
 | SetSize (TCustomBitmap)
pt | SetTransparent (TGraphic)
pt | SetTransparent (TRasterImage)
pt | SetTransparentMode (TRasterImage)
pt | SetWidth (TGraphic)
pt | SetWidth (TRasterImage)
 | StringMessageTable (TObject)
 | ToString (TObject)
 | UnitName (TObject)
pt | UnshareImage (TRasterImage)
pt | UnshareImage (TCustomBitmap)
pt | UpdateHandles (TRasterImage)
pt | UpdateHandles (TCustomBitmap)
pt | WriteData (TGraphic)
pt | WriteData (TRasterImage)
pt | WriteStream (TRasterImage)
pt | WriteStream (TFPImageBitmap)


TPortableNetworkGraphic
TFPImageBitmap
TCustomBitmap
TRasterImage
TGraphic
 | OnChange
 | OnProgress
TPersistent
TObject


TPortableNetworkGraphic.IsStreamFormatSupported

Declaration

Source position: graphics.pp line 1481

public class function TPortableNetworkGraphic.IsStreamFormatSupported(

  Stream: TStream

):Boolean; override;


TRasterImage

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

TRasterImage - base class for a number of graphic controls, including TCustomBitmap and TCustomIcon, which use a raster of dots to display graphic information

Declaration

Source position: graphics.pp line 1210

type TRasterImage = class(TGraphic)
protected
FSharedImage: TSharedRasterImage; | FSharedImage - local variable for storing a shared raster image
function CanShareImage(); virtual; | CanShareImage - returns True if specified class of image can be shared
procedure Changed(); override; | Changed - method to call when properties have changed
function CreateDefaultBitmapHandle(); virtual; | CreateDefaultBitmapHandle - returns a bitmap handle matching the description ADesc
procedure Draw(); override; | Method to Draw the Graphic on the specified Canvas, in the specified Rectangle
function GetEmpty; override; | GetEmpty - returns True if the Graphic is empty
function GetHandle; | GetHandle - returns the Handle for the Image
function GetBitmapHandle; virtual; abstract; | GetBitmapHandle - returns a Birmap Handle for the Image
function GetMasked; virtual; | GetMasked - returns True if the Image is Masked
function GetMaskHandle; virtual; abstract; | GetMaskHandle - returns a bitmap handle for the Mask
function GetMimeType; override; | GetMimeType - returns the MIME type of the Graphic
function GetPixelFormat; virtual; abstract; | GetPixelFormat - returns the pixel format for the Image
function GetRawImagePtr; virtual; abstract; | GetRawImagePtr - returns a pointer to the Raw Image
function GetRawImageDescriptionPtr; virtual; abstract; | GetRawImageDescriptionPtr - returns a pointer to a raw image description
function GetTransparent; override; | GetTransparent - returns True if the graphic is transparent
class function GetSharedImageClass; virtual; | GetSharedImageClass - returns the class of Shared Raster Image
function GetHeight; override; | GetHeight - returns the height of the Graphic
function GetWidth; override; | GetWidth - returns the width of the Graphic
procedure BitmapHandleNeeded; virtual; | BitmapHandleNeeded - method to signal that a bitmap handle is requires
procedure HandleNeeded; virtual; abstract; | HandleNeeded - method to signal that a handle is required
procedure MaskHandleNeeded; virtual; abstract; | MaskHandleNeeded - method to signal that a handle is required for the Mask
procedure PaletteNeeded; virtual; abstract; | PaletteNeeded - method to signal that a Palette is required
function InternalReleaseBitmapHandle; virtual; abstract; | InternalReleaseBitmapHandle - releases Bitmap Handle and returns its value
function InternalReleaseMaskHandle; virtual; abstract; | InternalReleaseMaskHandle - releases Mask Handle and returns its value
function InternalReleasePalette; virtual; abstract; | InternalReleasePalette - releases Palette Handle and returns its value
procedure SetBitmapHandle(); | SetBitmapHandle - specifies a handle for Bitmap
procedure SetMasked(); virtual; | SetMasked - specifies if the image is to be masked
procedure SetMaskHandle(); | SetMaskHandle - specifies a Handle for the Mask
procedure SetTransparent(); override; | SetTransparent - defines whether the graphic is to be transparent
procedure UnshareImage(); virtual; abstract; | UnshareImage - stops an image from being shared: if CopyContent is True, the Image gets copied
function UpdateHandles(); virtual; abstract; | UpdateHandles - called when handles are created from rawimage (true when handle changed)
procedure SaveStreamNeeded; | SaveStreamNeeded - method to signal that a stream for saving is required
procedure FreeSaveStream; | FreeSaveStream - method to release a stream previously used for saving
procedure ReadData(); override; | ReadData - reads data for the Graphic from a stream
procedure ReadStream(); virtual; abstract; | ReadStream - loads imagedata into rawimage, this method shouldn't call changed()
procedure SetSize(); virtual; abstract; | SetSize - specifies height and width of Image
procedure SetHandle(); virtual; | SetHandle - specifies Handle for Image
procedure SetHeight(); override; | SetHeight - defines the height for the Graphic
procedure SetWidth(); override; | SetWidth - defines the width for the Graphic
procedure SetTransparentMode(); | SetTransparentMode - specifies which transparent mode to use
procedure SetPixelFormat(); virtual; abstract; | SetPixelFormat - specifies the format for Pixels in this Image
procedure WriteData(); override; | WriteData - writes Graphic data to a stream
procedure WriteStream(); virtual; abstract; | WriteStream - specifies which stream to be used for writing
function RequestTransparentColor; | RequestTransparentColor - returns a color to be used for transparent Images
public
constructor Create; override; | Create - constructor for TGraphic: calls inherited Create
destructor Destroy; override; | Destroy - destructor for TRasterImage: frees canvas, releases image then calls inherited Destroy
procedure Assign(); override; | Assign - copies details from Source according to data type
procedure Clear; override; | Clear the resources used by the Graphic, leaving a blank Graphic
procedure BeginUpdate(); | BeginUpdate - start the update process
procedure EndUpdate(); | EndUpdate - finishes the update process
procedure FreeImage; virtual; | FreeImage - method for freeing or detaching image from the Raster
function BitmapHandleAllocated; virtual; abstract; | BitmapHandleAllocated - returns True if a handle has been allocated for the Bitmap
function MaskHandleAllocated; virtual; abstract; | MaskHandleAllocated - returns True if a handle has been allocated for the Mask
function PaletteAllocated; virtual; abstract; | PaletteAllocated - returns True if a Palette has been allocated
procedure LoadFromBitmapHandles(); | LoadFromBitmapHandles - loads the data from the Bitmap and Mask specified by their handles
procedure LoadFromDevice(); virtual; | LoadFromDevice - loads data from the device specified by its handle DC
procedure LoadFromStream(); | LoadFromStream - loads data for the image from a specified data stream, optionally supplying its size
procedure LoadFromMimeStream(); override; | LoadFromMimeStream - loads data for the image from a specified MIME stream
procedure LoadFromRawImage();
procedure LoadFromIntfImage(); | LoadFromIntfImage - loads image data from an Interface stream
procedure SaveToStream(); override; | SaveToStream - write graphic data to a stream, with many error checks
procedure GetSupportedSourceMimeTypes(); override; | GetSupportedSourceMimeTypes calls inherited method and allows addition of extra types not specified there
procedure GetSize(); | GetSize - finds the size of the Image
procedure Mask(); | The Mask to be used with the Image
procedure SetHandles(); virtual; abstract; | SetHandles - allows the user to specify handles
function ReleaseBitmapHandle; | ReleaseBitmapHandle - releases the handle used by the Bitmap
function ReleaseMaskHandle; | ReleaseMaskHandle - releases the Handle used for the Mask
function ReleasePalette; | ReleasePalette - release the Handle used for the Palettte
function CreateIntfImage; | CreateIntfImage - creates an image on the Interface
property Canvas: TCanvas; [r] | The Canvas on which this raster image is to be painted
function HandleAllocated; | HandleAllocated - if True, an Operating System handle has been allocated
property BitmapHandle: HBITMAP; [rw] | BitmapHandle - the Handle that has been allocated for the Bitmap
property Masked: Boolean; [rw] | Masked - returns True if a Mask is being applied
property MaskHandle: HBITMAP; [rw] | MaskHandle - the handle that has been allocated for the Bitmap Mask
property PixelFormat: TPixelFormat; [rw] | PixelFormat - the format of the Pixels in this Image
property RawImage: TRawImage; [r] | RawImage - allows the user to access the Raw Image: CAUTION!
property ScanLine []: Pointer; [r] platform ;
property TransparentColor: TColor; [rw] | TransparentColor - the colour used in transparent mode
property TransparentMode: TTransparentMode; [rw] | In TransparentMode it is possible to see the underlying objects through the current image
end;

Inheritance

TRasterImage | TRasterImage - base class for a number of graphic controls, including TCustomBitmap and TCustomIcon, which use a raster of dots to display graphic information
|
TGraphic | TGraphic - Base class for dealing with Graphic images
|
TPersistent,IFPObserved
|
TObject


TRasterImage
 | ro | Canvas
 |  | BitmapHandle
 |  | Masked
 |  | MaskHandle
 |  | PixelFormat
 | ro | RawImage
 | ro | ScanLine
 |  | TransparentColor
 |  | TransparentMode
TGraphic
 | ro | Empty
 |  | Height
 |  | Modified
 | ro | MimeType
 |  | Palette
 |  | PaletteModified
 |  | Transparent
 |  | Width
TPersistent
TObject


ro | Canvas (TRasterImage)
ro | Empty (TGraphic)
 | Height (TGraphic)
 | Masked (TRasterImage)
 | MaskHandle (TRasterImage)
ro | MimeType (TGraphic)
 | Modified (TGraphic)
 | Palette (TGraphic)
 | PaletteModified (TGraphic)
 | PixelFormat (TRasterImage)
ro | RawImage (TRasterImage)
ro | ScanLine (TRasterImage)
 | Transparent (TGraphic)
 | TransparentColor (TRasterImage)
 | TransparentMode (TRasterImage)
 | Width (TGraphic)


TRasterImage
pt | CanShareImage
pt | Changed
pt | CreateDefaultBitmapHandle
pt | Draw
pt | GetEmpty
pt | GetHandle
pt | GetBitmapHandle
pt | GetMasked
pt | GetMaskHandle
pt | GetMimeType
pt | GetPixelFormat
pt | GetRawImagePtr
pt | GetRawImageDescriptionPtr
pt | GetTransparent
pt | GetSharedImageClass
pt | GetHeight
pt | GetWidth
pt | BitmapHandleNeeded
pt | HandleNeeded
pt | MaskHandleNeeded
pt | PaletteNeeded
pt | InternalReleaseBitmapHandle
pt | InternalReleaseMaskHandle
pt | InternalReleasePalette
pt | SetBitmapHandle
pt | SetMasked
pt | SetMaskHandle
pt | SetTransparent
pt | UnshareImage
pt | UpdateHandles
pt | SaveStreamNeeded
pt | FreeSaveStream
pt | ReadData
pt | ReadStream
pt | SetSize
pt | SetHandle
pt | SetHeight
pt | SetWidth
pt | SetTransparentMode
pt | SetPixelFormat
pt | WriteData
pt | WriteStream
pt | RequestTransparentColor
 | Create
 | Destroy
 | Assign
 | Clear
 | BeginUpdate
 | EndUpdate
 | FreeImage
 | BitmapHandleAllocated
 | MaskHandleAllocated
 | PaletteAllocated
 | LoadFromBitmapHandles
 | LoadFromDevice
 | LoadFromStream
 | LoadFromMimeStream
 | LoadFromRawImage
 | LoadFromIntfImage
 | SaveToStream
 | GetSupportedSourceMimeTypes
 | GetSize
 | Mask
 | SetHandles
 | ReleaseBitmapHandle
 | ReleaseMaskHandle
 | ReleasePalette
 | CreateIntfImage
 | HandleAllocated
TGraphic
pt | Changed
pt | Equals
pt | DefineProperties
pt | Draw
pt | GetEmpty
pt | GetHeight
pt | GetMimeType
pt | GetPalette
pt | GetTransparent
pt | GetWidth
pt | Progress
pt | ReadData
pt | SetHeight
pt | SetPalette
pt | SetTransparent
pt | SetWidth
pt | SetModified
pt | WriteData
 | Assign
 | Create
 | Clear
 | LazarusResourceTypeValid
 | LoadFromFile
 | LoadFromStream
 | LoadFromMimeStream
 | LoadFromLazarusResource
 | LoadFromResourceName
 | LoadFromResourceID
 | LoadFromClipboardFormat
 | LoadFromClipboardFormatID
 | SaveToFile
 | SaveToStream
 | SaveToClipboardFormat
 | SaveToClipboardFormatID
 | GetSupportedSourceMimeTypes
 | GetResourceType
 | GetFileExtensions
 | IsStreamFormatSupported
TPersistent
 | AssignError
 | AssignTo
 | DefineProperties
 | GetOwner
 | Destroy
 | Assign
 | FPOAttachObserver
 | FPODetachObserver
 | FPONotifyObservers
 | GetNamePath
TObject
 | Create
 | Destroy
 | newinstance
 | FreeInstance
 | SafeCallException
 | DefaultHandler
 | Free
 | InitInstance
 | CleanupInstance
 | ClassType
 | ClassInfo
 | ClassName
 | ClassNameIs
 | ClassParent
 | InstanceSize
 | InheritsFrom
 | StringMessageTable
 | MethodAddress
 | MethodName
 | FieldAddress
 | AfterConstruction
 | BeforeDestruction
 | DefaultHandlerStr
 | Dispatch
 | DispatchStr
 | GetInterface
 | GetInterfaceByStr
 | GetInterfaceWeak
 | GetInterfaceEntry
 | GetInterfaceEntryByStr
 | GetInterfaceTable
 | UnitName
 | Equals
 | GetHashCode
 | ToString


 | AfterConstruction (TObject)
 | Assign (TPersistent)
 | Assign (TGraphic)
 | Assign (TRasterImage)
 | AssignError (TPersistent)
 | AssignTo (TPersistent)
 | BeforeDestruction (TObject)
 | BeginUpdate (TRasterImage)
 | BitmapHandleAllocated (TRasterImage)
pt | BitmapHandleNeeded (TRasterImage)
pt | CanShareImage (TRasterImage)
pt | Changed (TGraphic)
pt | Changed (TRasterImage)
 | ClassInfo (TObject)
 | ClassName (TObject)
 | ClassNameIs (TObject)
 | ClassParent (TObject)
 | ClassType (TObject)
 | CleanupInstance (TObject)
 | Clear (TGraphic)
 | Clear (TRasterImage)
 | Create (TObject)
 | Create (TGraphic)
 | Create (TRasterImage)
pt | CreateDefaultBitmapHandle (TRasterImage)
 | CreateIntfImage (TRasterImage)
 | DefaultHandler (TObject)
 | DefaultHandlerStr (TObject)
 | DefineProperties (TPersistent)
pt | DefineProperties (TGraphic)
 | Destroy (TObject)
 | Destroy (TPersistent)
 | Destroy (TRasterImage)
 | Dispatch (TObject)
 | DispatchStr (TObject)
pt | Draw (TGraphic)
pt | Draw (TRasterImage)
 | EndUpdate (TRasterImage)
 | Equals (TObject)
pt | Equals (TGraphic)
 | FieldAddress (TObject)
 | FPOAttachObserver (TPersistent)
 | FPODetachObserver (TPersistent)
 | FPONotifyObservers (TPersistent)
 | Free (TObject)
 | FreeImage (TRasterImage)
 | FreeInstance (TObject)
pt | FreeSaveStream (TRasterImage)
pt | GetBitmapHandle (TRasterImage)
pt | GetEmpty (TGraphic)
pt | GetEmpty (TRasterImage)
 | GetFileExtensions (TGraphic)
pt | GetHandle (TRasterImage)
 | GetHashCode (TObject)
pt | GetHeight (TGraphic)
pt | GetHeight (TRasterImage)
 | GetInterface (TObject)
 | GetInterfaceByStr (TObject)
 | GetInterfaceEntry (TObject)
 | GetInterfaceEntryByStr (TObject)
 | GetInterfaceTable (TObject)
 | GetInterfaceWeak (TObject)
pt | GetMasked (TRasterImage)
pt | GetMaskHandle (TRasterImage)
pt | GetMimeType (TGraphic)
pt | GetMimeType (TRasterImage)
 | GetNamePath (TPersistent)
 | GetOwner (TPersistent)
pt | GetPalette (TGraphic)
pt | GetPixelFormat (TRasterImage)
pt | GetRawImageDescriptionPtr (TRasterImage)
pt | GetRawImagePtr (TRasterImage)
 | GetResourceType (TGraphic)
pt | GetSharedImageClass (TRasterImage)
 | GetSize (TRasterImage)
 | GetSupportedSourceMimeTypes (TGraphic)
 | GetSupportedSourceMimeTypes (TRasterImage)
pt | GetTransparent (TGraphic)
pt | GetTransparent (TRasterImage)
pt | GetWidth (TGraphic)
pt | GetWidth (TRasterImage)
 | HandleAllocated (TRasterImage)
pt | HandleNeeded (TRasterImage)
 | InheritsFrom (TObject)
 | InitInstance (TObject)
 | InstanceSize (TObject)
pt | InternalReleaseBitmapHandle (TRasterImage)
pt | InternalReleaseMaskHandle (TRasterImage)
pt | InternalReleasePalette (TRasterImage)
 | IsStreamFormatSupported (TGraphic)
 | LazarusResourceTypeValid (TGraphic)
 | LoadFromBitmapHandles (TRasterImage)
 | LoadFromClipboardFormat (TGraphic)
 | LoadFromClipboardFormatID (TGraphic)
 | LoadFromDevice (TRasterImage)
 | LoadFromFile (TGraphic)
 | LoadFromIntfImage (TRasterImage)
 | LoadFromLazarusResource (TGraphic)
 | LoadFromMimeStream (TGraphic)
 | LoadFromMimeStream (TRasterImage)
 | LoadFromRawImage (TRasterImage)
 | LoadFromResourceID (TGraphic)
 | LoadFromResourceName (TGraphic)
 | LoadFromStream (TGraphic)
 | LoadFromStream (TRasterImage)
 | Mask (TRasterImage)
 | MaskHandleAllocated (TRasterImage)
pt | MaskHandleNeeded (TRasterImage)
 | MethodAddress (TObject)
 | MethodName (TObject)
 | newinstance (TObject)
 | PaletteAllocated (TRasterImage)
pt | PaletteNeeded (TRasterImage)
pt | Progress (TGraphic)
pt | ReadData (TGraphic)
pt | ReadData (TRasterImage)
pt | ReadStream (TRasterImage)
 | ReleaseBitmapHandle (TRasterImage)
 | ReleaseMaskHandle (TRasterImage)
 | ReleasePalette (TRasterImage)
pt | RequestTransparentColor (TRasterImage)
 | SafeCallException (TObject)
pt | SaveStreamNeeded (TRasterImage)
 | SaveToClipboardFormat (TGraphic)
 | SaveToClipboardFormatID (TGraphic)
 | SaveToFile (TGraphic)
 | SaveToStream (TGraphic)
 | SaveToStream (TRasterImage)
pt | SetBitmapHandle (TRasterImage)
pt | SetHandle (TRasterImage)
 | SetHandles (TRasterImage)
pt | SetHeight (TGraphic)
pt | SetHeight (TRasterImage)
pt | SetMasked (TRasterImage)
pt | SetMaskHandle (TRasterImage)
pt | SetModified (TGraphic)
pt | SetPalette (TGraphic)
pt | SetPixelFormat (TRasterImage)
pt | SetSize (TRasterImage)
pt | SetTransparent (TGraphic)
pt | SetTransparent (TRasterImage)
pt | SetTransparentMode (TRasterImage)
pt | SetWidth (TGraphic)
pt | SetWidth (TRasterImage)
 | StringMessageTable (TObject)
 | ToString (TObject)
 | UnitName (TObject)
pt | UnshareImage (TRasterImage)
pt | UpdateHandles (TRasterImage)
pt | WriteData (TGraphic)
pt | WriteData (TRasterImage)
pt | WriteStream (TRasterImage)


TRasterImage
TGraphic
 | OnChange
 | OnProgress
TPersistent
TObject


TRasterImage.Assign

Assign - copies details from Source according to data type

Declaration

Source position: graphics.pp line 1276

public procedure TRasterImage.Assign(

  Source: TPersistent

); override;

See also

TGraphic.Assign

Assign - checks if there really is a source to assign (if not, calls Clear), then calls inherited method


TRasterImage.BeginUpdate

BeginUpdate - start the update process

Declaration

Source position: graphics.pp line 1278

public procedure TRasterImage.BeginUpdate(

  ACanvasOnly: Boolean = False

);

Description

BeginUpdate - start the update process; by default the boolean argument ACanvasOnly is False, ie more than just the Canvas is to be updated


TRasterImage.BitmapHandle

BitmapHandle - the Handle that has been allocated for the Bitmap

Declaration

Source position: graphics.pp line 1303

public property TRasterImage.BitmapHandle : HBITMAP
  read GetBitmapHandle
  write SetBitmapHandle;


TRasterImage.BitmapHandleAllocated

BitmapHandleAllocated - returns True if a handle has been allocated for the Bitmap

Declaration

Source position: graphics.pp line 1281

public function TRasterImage.BitmapHandleAllocated: Boolean; virtual; abstract;


TRasterImage.BitmapHandleNeeded

BitmapHandleNeeded - method to signal that a bitmap handle is requires

Declaration

Source position: graphics.pp line 1247

protected procedure TRasterImage.BitmapHandleNeeded; virtual;


TRasterImage.CanShareImage

CanShareImage - returns True if specified class of image can be shared

Declaration

Source position: graphics.pp line 1230

protected function TRasterImage.CanShareImage(

  AClass: TSharedRasterImageClass

):Boolean; virtual;


TRasterImage.Canvas

The Canvas on which this raster image is to be painted

Declaration

Source position: graphics.pp line 1301

public property TRasterImage.Canvas : TCanvas
  read GetCanvas;


TRasterImage.Changed

Changed - method to call when properties have changed

Declaration

Source position: graphics.pp line 1231

protected procedure TRasterImage.Changed(

  Sender: TObject

); override;

See also

TGraphic.Changed

Changed - software emulation of a call to the OnChange event


TRasterImage.CreateDefaultBitmapHandle

CreateDefaultBitmapHandle - returns a bitmap handle matching the description ADesc

Declaration

Source position: graphics.pp line 1232

protected function TRasterImage.CreateDefaultBitmapHandle(

  const ADesc: TRawImageDescription

):HBITMAP; virtual;


TRasterImage.CreateIntfImage

CreateIntfImage - creates an image on the Interface

Declaration

Source position: graphics.pp line 1299

public function TRasterImage.CreateIntfImage: TLazIntfImage;


TRasterImage.Destroy

Destroy - destructor for TRasterImage: frees canvas, releases image then calls inherited Destroy

Declaration

Source position: graphics.pp line 1275

public destructor TRasterImage.Destroy; override;

See also

TPersistent.Destroy


TRasterImage.EndUpdate

EndUpdate - finishes the update process

Declaration

Source position: graphics.pp line 1279

public procedure TRasterImage.EndUpdate(

  AStreamIsValid: Boolean = False

);

Description

EndUpdate - finishes the update process. By default the boolean argument AStreamIsValid is False, ie no stream is valid at the end of the process. be carefull with this, modify only within a begin/endupdate


TRasterImage.FreeImage

FreeImage - method for freeing or detaching image from the Raster

Declaration

Source position: graphics.pp line 1280

public procedure TRasterImage.FreeImage; virtual;


TRasterImage.FreeSaveStream

FreeSaveStream - method to release a stream previously used for saving

Declaration

Source position: graphics.pp line 1261

protected procedure TRasterImage.FreeSaveStream;


TRasterImage.FSharedImage

FSharedImage - local variable for storing a shared raster image

Declaration

Source position: graphics.pp line 1229

protected TRasterImage.FSharedImage : TSharedRasterImage;


TRasterImage.GetBitmapHandle

GetBitmapHandle - returns a Birmap Handle for the Image

Declaration

Source position: graphics.pp line 1236

protected function TRasterImage.GetBitmapHandle: HBITMAP; virtual; abstract;


TRasterImage.GetHandle

GetHandle - returns the Handle for the Image

Declaration

Source position: graphics.pp line 1235

protected function TRasterImage.GetHandle: THandle;


TRasterImage.GetMasked

GetMasked - returns True if the Image is Masked

Declaration

Source position: graphics.pp line 1237

protected function TRasterImage.GetMasked: Boolean; virtual;


TRasterImage.GetMaskHandle

GetMaskHandle - returns a bitmap handle for the Mask

Declaration

Source position: graphics.pp line 1238

protected function TRasterImage.GetMaskHandle: HBITMAP; virtual; abstract;


TRasterImage.GetPixelFormat

GetPixelFormat - returns the pixel format for the Image

Declaration

Source position: graphics.pp line 1240

protected function TRasterImage.GetPixelFormat: TPixelFormat; virtual; abstract;


TRasterImage.GetRawImageDescriptionPtr

GetRawImageDescriptionPtr - returns a pointer to a raw image description

Declaration

Source position: graphics.pp line 1242

protected function TRasterImage.GetRawImageDescriptionPtr: PRawImageDescription; virtual; abstract;


TRasterImage.GetRawImagePtr

GetRawImagePtr - returns a pointer to the Raw Image

Declaration

Source position: graphics.pp line 1241

protected function TRasterImage.GetRawImagePtr: PRawImage; virtual; abstract;


TRasterImage.GetSharedImageClass

GetSharedImageClass - returns the class of Shared Raster Image

Declaration

Source position: graphics.pp line 1244

protected class function TRasterImage.GetSharedImageClass: TSharedRasterImageClass; virtual;


TRasterImage.GetSize

GetSize - finds the size of the Image

Declaration

Source position: graphics.pp line 1293

public procedure TRasterImage.GetSize(

  out AWidth: Integer;

  out AHeight: Integer

);


TRasterImage.GetSupportedSourceMimeTypes

GetSupportedSourceMimeTypes calls inherited method and allows addition of extra types not specified there

Declaration

Source position: graphics.pp line 1292

public procedure TRasterImage.GetSupportedSourceMimeTypes(

  List: TStrings

); override;

See also

TGraphic.GetSupportedSourceMimeTypes

Gets a list of the MIME types that are supported


TRasterImage.HandleAllocated

HandleAllocated - if True, an Operating System handle has been allocated

Declaration

Source position: graphics.pp line 1302

public function TRasterImage.HandleAllocated: Boolean;


TRasterImage.HandleNeeded

HandleNeeded - method to signal that a handle is required

Declaration

Source position: graphics.pp line 1248

protected procedure TRasterImage.HandleNeeded; virtual; abstract;


TRasterImage.InternalReleaseBitmapHandle

InternalReleaseBitmapHandle - releases Bitmap Handle and returns its value

Declaration

Source position: graphics.pp line 1251

protected function TRasterImage.InternalReleaseBitmapHandle: HBITMAP; virtual; abstract;


TRasterImage.InternalReleaseMaskHandle

InternalReleaseMaskHandle - releases Mask Handle and returns its value

Declaration

Source position: graphics.pp line 1252

protected function TRasterImage.InternalReleaseMaskHandle: HBITMAP; virtual; abstract;


TRasterImage.InternalReleasePalette

InternalReleasePalette - releases Palette Handle and returns its value

Declaration

Source position: graphics.pp line 1253

protected function TRasterImage.InternalReleasePalette: HPALETTE; virtual; abstract;


TRasterImage.LoadFromBitmapHandles

LoadFromBitmapHandles - loads the data from the Bitmap and Mask specified by their handles

Declaration

Source position: graphics.pp line 1284

public procedure TRasterImage.LoadFromBitmapHandles(

  ABitmap: HBITMAP;

  AMask: HBITMAP;

  ARect: PRect = Nil

);


TRasterImage.LoadFromDevice

LoadFromDevice - loads data from the device specified by its handle DC

Declaration

Source position: graphics.pp line 1285

public procedure TRasterImage.LoadFromDevice(

  DC: HDC

); virtual;


TRasterImage.LoadFromIntfImage

LoadFromIntfImage - loads image data from an Interface stream

Declaration

Source position: graphics.pp line 1290

public procedure TRasterImage.LoadFromIntfImage(

  IntfImage: TLazIntfImage

);


TRasterImage.LoadFromMimeStream

LoadFromMimeStream - loads data for the image from a specified MIME stream

Declaration

Source position: graphics.pp line 1288

public procedure TRasterImage.LoadFromMimeStream(

  AStream: TStream;

  const AMimeType: string

); override;

See also

TGraphic.LoadFromMimeStream

LoadFromMimeStream - reads graphic data from a MIME stream


TRasterImage.LoadFromRawImage

Declaration

Source position: graphics.pp line 1289

public procedure TRasterImage.LoadFromRawImage(

  const AIMage: TRawImage;

  ADataOwner: Boolean

);


TRasterImage.LoadFromStream

LoadFromStream - loads data for the image from a specified data stream, optionally supplying its size

Declaration

Source position: graphics.pp line 1286

public procedure TRasterImage.LoadFromStream(

  AStream: TStream

); override; overload;

procedure TRasterImage.LoadFromStream(

  AStream: TStream;

  ASize: Cardinal

); virtual; overload;


TRasterImage.Mask

The Mask to be used with the Image

Declaration

Source position: graphics.pp line 1294

public procedure TRasterImage.Mask(

  ATransparentColor: TColor

);


TRasterImage.Masked

Masked - returns True if a Mask is being applied

Declaration

Source position: graphics.pp line 1304

public property TRasterImage.Masked : Boolean
  read GetMasked
  write SetMasked;


TRasterImage.MaskHandle

MaskHandle - the handle that has been allocated for the Bitmap Mask

Declaration

Source position: graphics.pp line 1305

public property TRasterImage.MaskHandle : HBITMAP
  read GetMaskHandle
  write SetMaskHandle;


TRasterImage.MaskHandleAllocated

MaskHandleAllocated - returns True if a handle has been allocated for the Mask

Declaration

Source position: graphics.pp line 1282

public function TRasterImage.MaskHandleAllocated: Boolean; virtual; abstract;


TRasterImage.MaskHandleNeeded

MaskHandleNeeded - method to signal that a handle is required for the Mask

Declaration

Source position: graphics.pp line 1249

protected procedure TRasterImage.MaskHandleNeeded; virtual; abstract;


TRasterImage.PaletteAllocated

PaletteAllocated - returns True if a Palette has been allocated

Declaration

Source position: graphics.pp line 1283

public function TRasterImage.PaletteAllocated: Boolean; virtual; abstract;


TRasterImage.PaletteNeeded

PaletteNeeded - method to signal that a Palette is required

Declaration

Source position: graphics.pp line 1250

protected procedure TRasterImage.PaletteNeeded; virtual; abstract;


TRasterImage.PixelFormat

PixelFormat - the format of the Pixels in this Image

Declaration

Source position: graphics.pp line 1306

public property TRasterImage.PixelFormat : TPixelFormat
  read GetPixelFormat
  write SetPixelFormat
  default pfDevice;


TRasterImage.RawImage

RawImage - allows the user to access the Raw Image: CAUTION!

Declaration

Source position: graphics.pp line 1307

public property TRasterImage.RawImage : TRawImage
  read GetRawImage;

Description

RawImage - allows the user to access the Raw Image: CAUTION! Modify only within a begin/endupdate.


TRasterImage.ReadStream

ReadStream - loads imagedata into rawimage, this method shouldn't call changed()

Declaration

Source position: graphics.pp line 1263

protected procedure TRasterImage.ReadStream(

  AStream: TMemoryStream;

  ASize: LongInt

); virtual; abstract;


TRasterImage.ReleaseBitmapHandle

ReleaseBitmapHandle - releases the handle used by the Bitmap

Declaration

Source position: graphics.pp line 1296

public function TRasterImage.ReleaseBitmapHandle: HBITMAP;


TRasterImage.ReleaseMaskHandle

ReleaseMaskHandle - releases the Handle used for the Mask

Declaration

Source position: graphics.pp line 1297

public function TRasterImage.ReleaseMaskHandle: HBITMAP;


TRasterImage.ReleasePalette

ReleasePalette - release the Handle used for the Palettte

Declaration

Source position: graphics.pp line 1298

public function TRasterImage.ReleasePalette: HPALETTE;


TRasterImage.RequestTransparentColor

RequestTransparentColor - returns a color to be used for transparent Images

Declaration

Source position: graphics.pp line 1272

protected function TRasterImage.RequestTransparentColor: TColor;


TRasterImage.SaveStreamNeeded

SaveStreamNeeded - method to signal that a stream for saving is required

Declaration

Source position: graphics.pp line 1260

protected procedure TRasterImage.SaveStreamNeeded;


TRasterImage.SaveToStream

SaveToStream - write graphic data to a stream, with many error checks

Declaration

Source position: graphics.pp line 1291

public procedure TRasterImage.SaveToStream(

  AStream: TStream

); override;

Description

SaveToStream - write graphic data to a stream

See also

TGraphic.SaveToStream

SaveToStream - write graphic data to a stream


TRasterImage.ScanLine

[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] Reference for unit 'Graphics' (#lcl)

TRasterImage.ScanLine (platform)

Declaration

Source position: graphics.pp line 1308

public property TRasterImage.ScanLine[Row: Integer] : Pointer
  read GetScanLine;


TRasterImage.SetBitmapHandle

SetBitmapHandle - specifies a handle for Bitmap

Declaration

Source position: graphics.pp line 1254

protected procedure TRasterImage.SetBitmapHandle(

  AValue: HBITMAP

);


TRasterImage.SetHandle

SetHandle - specifies Handle for Image

Declaration

Source position: graphics.pp line 1265

protected procedure TRasterImage.SetHandle(

  AValue: THandle

); virtual;


TRasterImage.SetHandles

SetHandles - allows the user to specify handles

Declaration

Source position: graphics.pp line 1295

public procedure TRasterImage.SetHandles(

  ABitmap: HBITMAP;

  AMask: HBITMAP

); virtual; abstract;


TRasterImage.SetMasked

SetMasked - specifies if the image is to be masked

Declaration

Source position: graphics.pp line 1255

protected procedure TRasterImage.SetMasked(

  AValue: Boolean

); virtual;


TRasterImage.SetMaskHandle

SetMaskHandle - specifies a Handle for the Mask

Declaration

Source position: graphics.pp line 1256

protected procedure TRasterImage.SetMaskHandle(

  AValue: HBITMAP

);


TRasterImage.SetPixelFormat

SetPixelFormat - specifies the format for Pixels in this Image

Declaration

Source position: graphics.pp line 1269

protected procedure TRasterImage.SetPixelFormat(

  AValue: TPixelFormat

); virtual; abstract;


TRasterImage.SetSize

SetSize - specifies height and width of Image

Declaration

Source position: graphics.pp line 1264

protected procedure TRasterImage.SetSize(

  AWidth: Integer;

  AHeight: Integer

); virtual; abstract;


TRasterImage.SetTransparentMode

SetTransparentMode - specifies which transparent mode to use

Declaration

Source position: graphics.pp line 1268

protected procedure TRasterImage.SetTransparentMode(

  AValue: TTransparentMode

);


TRasterImage.TransparentColor

TransparentColor - the colour used in transparent mode

Declaration

Source position: graphics.pp line 1309

public property TRasterImage.TransparentColor : TColor
  read GetTransparentColor
  write SetTransparentColor
  default clDefault;


TRasterImage.TransparentMode

In TransparentMode it is possible to see the underlying objects through the current image

Declaration

Source position: graphics.pp line 1311

public property TRasterImage.TransparentMode : TTransparentMode
  read FTransparentMode
  write SetTransparentMode
  default tmAuto;


TRasterImage.UnshareImage

UnshareImage - stops an image from being shared: if CopyContent is True, the Image gets copied

Declaration

Source position: graphics.pp line 1258

protected procedure TRasterImage.UnshareImage(

  CopyContent: Boolean

); virtual; abstract;


TRasterImage.UpdateHandles

UpdateHandles - called when handles are created from rawimage (true when handle changed)

Declaration

Source position: graphics.pp line 1259

protected function TRasterImage.UpdateHandles(

  ABitmap: HBITMAP;

  AMask: HBITMAP

):Boolean; virtual; abstract;


TRasterImage.WriteStream

WriteStream - specifies which stream to be used for writing

Declaration

Source position: graphics.pp line 1271

protected procedure TRasterImage.WriteStream(

  AStream: TMemoryStream

); virtual; abstract;


TRasterImageClass

Declaration

Source position: graphics.pp line 419

type TRasterImageClass = class of TRasterImage;


TRegion

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

A defined Region on the screen, in which text is written

Declaration

Source position: graphics.pp line 737

type TRegion = class(TGraphicsObject)
protected
procedure SetClipRect(); | SetClipRect - specify the rectangle to use for clipping
function GetClipRect; | GetClipRect - returns the coordinates of the clipping rectangle
public
constructor Create; | Create - constructor for TRegion: calls inherited Create and sets FillChar
destructor Destroy; override; | Destroy - destructor for TRegion: frees reference then calls inherited Destroy
procedure Assign(); override; | Assign - if Source is another TRegion, copies the dimensions of the clipping rectangle
procedure AddRectangle();
property ClipRect: TRect; [rw] | ClipRect - The rectangle to be used for clipping text
property Handle: HRGN; [rw] deprecated ; | Operating System Handle for this Region
property Reference: TWSRegionReference; [r] | A Reference to the current Region
end;

Inheritance

TRegion | A defined Region on the screen, in which text is written
|
TGraphicsObject | TGraphicsObject - Primitive ancestor class, mainly for Delphi compatibility
|
TPersistent,IFPObserved
|
TObject


TRegion
 |  | ClipRect
 |  | Handle
 | ro | Reference
TGraphicsObject
TPersistent
TObject


ro | Reference (TRegion)


TRegion
pt | SetClipRect
pt | GetClipRect
 | Create
 | Destroy
 | Assign
 | AddRectangle
TGraphicsObject
pt | Changing
pt | Changed
pt | Lock
pt | UnLock
TPersistent
 | AssignError
 | AssignTo
 | DefineProperties
 | GetOwner
 | Destroy
 | Assign
 | FPOAttachObserver
 | FPODetachObserver
 | FPONotifyObservers
 | GetNamePath
TObject
 | Create
 | Destroy
 | newinstance
 | FreeInstance
 | SafeCallException
 | DefaultHandler
 | Free
 | InitInstance
 | CleanupInstance
 | ClassType
 | ClassInfo
 | ClassName
 | ClassNameIs
 | ClassParent
 | InstanceSize
 | InheritsFrom
 | StringMessageTable
 | MethodAddress
 | MethodName
 | FieldAddress
 | AfterConstruction
 | BeforeDestruction
 | DefaultHandlerStr
 | Dispatch
 | DispatchStr
 | GetInterface
 | GetInterfaceByStr
 | GetInterfaceWeak
 | GetInterfaceEntry
 | GetInterfaceEntryByStr
 | GetInterfaceTable
 | UnitName
 | Equals
 | GetHashCode
 | ToString


 | AddRectangle (TRegion)
 | AfterConstruction (TObject)
 | Assign (TPersistent)
 | Assign (TRegion)
 | AssignError (TPersistent)
 | AssignTo (TPersistent)
 | BeforeDestruction (TObject)
pt | Changed (TGraphicsObject)
pt | Changing (TGraphicsObject)
 | ClassInfo (TObject)
 | ClassName (TObject)
 | ClassNameIs (TObject)
 | ClassParent (TObject)
 | ClassType (TObject)
 | CleanupInstance (TObject)
 | Create (TObject)
 | Create (TRegion)
 | DefaultHandler (TObject)
 | DefaultHandlerStr (TObject)
 | DefineProperties (TPersistent)
 | Destroy (TObject)
 | Destroy (TPersistent)
 | Destroy (TRegion)
 | Dispatch (TObject)
 | DispatchStr (TObject)
 | Equals (TObject)
 | FieldAddress (TObject)
 | FPOAttachObserver (TPersistent)
 | FPODetachObserver (TPersistent)
 | FPONotifyObservers (TPersistent)
 | Free (TObject)
 | FreeInstance (TObject)
pt | GetClipRect (TRegion)
 | GetHashCode (TObject)
 | GetInterface (TObject)
 | GetInterfaceByStr (TObject)
 | GetInterfaceEntry (TObject)
 | GetInterfaceEntryByStr (TObject)
 | GetInterfaceTable (TObject)
 | GetInterfaceWeak (TObject)
 | GetNamePath (TPersistent)
 | GetOwner (TPersistent)
 | InheritsFrom (TObject)
 | InitInstance (TObject)
 | InstanceSize (TObject)
pt | Lock (TGraphicsObject)
 | MethodAddress (TObject)
 | MethodName (TObject)
 | newinstance (TObject)
 | SafeCallException (TObject)
pt | SetClipRect (TRegion)
 | StringMessageTable (TObject)
 | ToString (TObject)
 | UnitName (TObject)
pt | UnLock (TGraphicsObject)


TRegion
TGraphicsObject
 | OnChanging
 | OnChange
TPersistent
TObject


TRegion.AddRectangle

Declaration

Source position: graphics.pp line 761

public procedure TRegion.AddRectangle(

  X1: Integer;

  Y1: Integer;

  X2: Integer;

  Y2: Integer

);


TRegion.Assign

Assign - if Source is another TRegion, copies the dimensions of the clipping rectangle

Declaration

Source position: graphics.pp line 758

public procedure TRegion.Assign(

  Source: TPersistent

); override;

See also

TPersistent.Assign


TRegion.ClipRect

ClipRect - The rectangle to be used for clipping text

Declaration

Source position: graphics.pp line 763

public property TRegion.ClipRect : TRect
  read GetClipRect
  write SetClipRect;


TRegion.Create

Create - constructor for TRegion: calls inherited Create and sets FillChar

Declaration

Source position: graphics.pp line 756

public constructor TRegion.Create;

See also

TObject.Create


TRegion.Destroy

Destroy - destructor for TRegion: frees reference then calls inherited Destroy

Declaration

Source position: graphics.pp line 757

public destructor TRegion.Destroy; override;

See also

TPersistent.Destroy


TRegion.GetClipRect

GetClipRect - returns the coordinates of the clipping rectangle

Declaration

Source position: graphics.pp line 754

protected function TRegion.GetClipRect: TRect;


TRegion.Handle

[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] Reference for unit 'Graphics' (#lcl)

TRegion.Handle (deprecated)

Operating System Handle for this Region

Declaration

Source position: graphics.pp line 764

public property TRegion.Handle : HRGN
  read GetHandle
  write SetHandle;

See also

HRGN

The type of a display Region Handle.

THandle


TRegion.Reference

A Reference to the current Region

Declaration

Source position: graphics.pp line 765

public property TRegion.Reference : TWSRegionReference
  read GetReference;


TRegion.SetClipRect

SetClipRect - specify the rectangle to use for clipping

Declaration

Source position: graphics.pp line 753

protected procedure TRegion.SetClipRect(

  value: TRect

);


TRegionCombineMode

Declaration

Source position: graphics.pp line 722

type TRegionCombineMode = (

  rgnAnd,

  rgnCopy,

  rgnDiff,

  rgnOr,

  rgnXOR

);


TRegionOperation

Declaration

Source position: graphics.pp line 726

type TRegionOperation = record

  ROType: TRegionOperationType;

  Source1: Integer;

  Source2: Integer;

  Dest: Integer;

  CombineMode: TRegionCombineMode;

  Rect: TRect;

end;


TRegionOperations

Declaration

Source position: graphics.pp line 733

type TRegionOperations = array of TRegionOperation;


TRegionOperationType

Declaration

Source position: graphics.pp line 724

type TRegionOperationType = (

  rgnNewRect,

  rgnCombine

);


TSharedBitmap

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

TSharedBitmap - a reference counted Bitmap graphic

Declaration

Source position: graphics.pp line 1432

type TSharedBitmap = class(TSharedCustomBitmap) end;

Inheritance

TSharedBitmap | TSharedBitmap - a reference counted Bitmap graphic
|
TSharedCustomBitmap | TSharedCustomBitmap - a reference counted base class for TSharedBitmap, TSharedPixmap, TSharedJPEGImage, TSharedPortableNetworkGraphic and TSharedPortableAnyMapGraphic
|
TSharedRasterImage | TSharedRasterImage - a reference counted raster image (may be shared between several controls)
|
TSharedImage | TSharedImage - base class for reference counted images
|
TObject


TSharedBitmap
TSharedCustomBitmap
 |  | HandleType
 | ro | Height
 | ro | PixelFormat
 | ro | Width
TSharedRasterImage
 |  | BitmapCanvas
 |  | SaveStream
TSharedImage
pt | ro | RefCount


 | ro | Height (TSharedCustomBitmap)
 | ro | PixelFormat (TSharedCustomBitmap)
pt | ro | RefCount (TSharedImage)
 |  | SaveStream (TSharedRasterImage)
 | ro | Width (TSharedCustomBitmap)


TSharedBitmap
TSharedCustomBitmap
pt | FreeHandle
pt | FreePalette
pt | FreeImage
pt | ReleasePalette
pt | GetPixelFormat
pt | IsEmpty
 | Create
 | Destroy
 | HandleAllocated
 | ImageAllocated
TSharedRasterImage
pt | FreeHandle
pt | ReleaseHandle
pt | IsEmpty
 | Create
 | CreateDefaultHandle
 | Destroy
 | HandleAllocated
TSharedImage
pt | Reference
pt | Release
pt | FreeHandle
 | HandleAllocated


 | Create (TSharedRasterImage)
 | Create (TSharedCustomBitmap)
 | CreateDefaultHandle (TSharedRasterImage)
 | Destroy (TSharedRasterImage)
 | Destroy (TSharedCustomBitmap)
pt | FreeHandle (TSharedImage)
pt | FreeHandle (TSharedRasterImage)
pt | FreeHandle (TSharedCustomBitmap)
pt | FreeImage (TSharedCustomBitmap)
pt | FreePalette (TSharedCustomBitmap)
pt | GetPixelFormat (TSharedCustomBitmap)
 | HandleAllocated (TSharedImage)
 | HandleAllocated (TSharedRasterImage)
 | HandleAllocated (TSharedCustomBitmap)
 | ImageAllocated (TSharedCustomBitmap)
pt | IsEmpty (TSharedRasterImage)
pt | IsEmpty (TSharedCustomBitmap)
pt | Reference (TSharedImage)
pt | Release (TSharedImage)
pt | ReleaseHandle (TSharedRasterImage)
pt | ReleasePalette (TSharedCustomBitmap)


TSharedBitmap

TSharedCustomBitmap

TSharedRasterImage

TSharedImage


TSharedCursorImage

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

TSharedCursorImage - a reference counted shared image to be used for cursors

Declaration

Source position: graphics.pp line 1707

type TSharedCursorImage = class(TSharedIcon)
protected
procedure FreeHandle; override; | Release the handle for this image and free its resources
public
class function GetImagesClass; override; | GetImagesClass - finds which class of icon images is being referenced
end;

Inheritance

TSharedCursorImage | TSharedCursorImage - a reference counted shared image to be used for cursors
|
TSharedIcon | TSharedIcon - a reference counted shared Icon
|
TSharedRasterImage | TSharedRasterImage - a reference counted raster image (may be shared between several controls)
|
TSharedImage | TSharedImage - base class for reference counted images
|
TObject


TSharedCursorImage
TSharedIcon
 | ro | Images
TSharedRasterImage
 |  | BitmapCanvas
 |  | SaveStream
TSharedImage
pt | ro | RefCount


 | ro | Images (TSharedIcon)
pt | ro | RefCount (TSharedImage)
 |  | SaveStream (TSharedRasterImage)


TSharedCursorImage
pt | FreeHandle
 | GetImagesClass
TSharedIcon
pt | FreeHandle
pt | UpdateFromHandle
pt | IsEmpty
pt | GetImage
 | Create
 | Destroy
 | Clear
 | Delete
 | GetIndex
 | GetImagesClass
 | Add
 | Sort
 | Count
TSharedRasterImage
pt | FreeHandle
pt | ReleaseHandle
pt | IsEmpty
 | Create
 | CreateDefaultHandle
 | Destroy
 | HandleAllocated
TSharedImage
pt | Reference
pt | Release
pt | FreeHandle
 | HandleAllocated


 | Add (TSharedIcon)
 | Clear (TSharedIcon)
 | Count (TSharedIcon)
 | Create (TSharedRasterImage)
 | Create (TSharedIcon)
 | CreateDefaultHandle (TSharedRasterImage)
 | Delete (TSharedIcon)
 | Destroy (TSharedRasterImage)
 | Destroy (TSharedIcon)
pt | FreeHandle (TSharedImage)
pt | FreeHandle (TSharedRasterImage)
pt | FreeHandle (TSharedIcon)
pt | FreeHandle (TSharedCursorImage)
pt | GetImage (TSharedIcon)
 | GetImagesClass (TSharedIcon)
 | GetImagesClass (TSharedCursorImage)
 | GetIndex (TSharedIcon)
 | HandleAllocated (TSharedImage)
 | HandleAllocated (TSharedRasterImage)
pt | IsEmpty (TSharedRasterImage)
pt | IsEmpty (TSharedIcon)
pt | Reference (TSharedImage)
pt | Release (TSharedImage)
pt | ReleaseHandle (TSharedRasterImage)
 | Sort (TSharedIcon)
pt | UpdateFromHandle (TSharedIcon)


TSharedCursorImage

TSharedIcon

TSharedRasterImage

TSharedImage


TSharedCustomBitmap

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

TSharedCustomBitmap - a reference counted base class for TSharedBitmap, TSharedPixmap, TSharedJPEGImage, TSharedPortableNetworkGraphic and TSharedPortableAnyMapGraphic

Declaration

Source position: graphics.pp line 1315

type TSharedCustomBitmap = class(TSharedRasterImage)
protected
procedure FreeHandle; override; | FreeHandle frees Palette then calls inherited FreeHandle
procedure FreePalette; | FreePalette - release the Palette
procedure FreeImage; | FreeImage - release the Image from the Bitmap
function ReleasePalette; | ReleasePalette - returns the Handle of the released Palette
function GetPixelFormat; | GetPixelFormat - returns the format for the Pixels in this Bitmap
function IsEmpty; override; | IsEmpty - checks if there is actually an image at the reference, and returns True if there is not
public
constructor Create; override; | Create - constructor for TSharedCustomBitmap: calls inherited Create and initialises the image
destructor Destroy; override; | Destroy - destructor for TSharedCustomBitmap: frees stream, handle and image, then calls inherited Destroy
function HandleAllocated; override; | Has a handle been allocated for this image?
function ImageAllocated; | ImageAllocated - returns True if an image has been allocated
property HandleType: TBitmapHandleType; [rw] | HandleType the type of Bitmap Handle that has been allocated
property Height: Integer; [r] | The Height of the Bitmap
property PixelFormat: TPixelFormat; [r] | PixelFormat - the format for the Pixels in this Bitmap
property Width: Integer; [r] | The Width of the Bitmap
end;

Inheritance

TSharedCustomBitmap | TSharedCustomBitmap - a reference counted base class for TSharedBitmap, TSharedPixmap, TSharedJPEGImage, TSharedPortableNetworkGraphic and TSharedPortableAnyMapGraphic
|
TSharedRasterImage | TSharedRasterImage - a reference counted raster image (may be shared between several controls)
|
TSharedImage | TSharedImage - base class for reference counted images
|
TObject


TSharedCustomBitmap
 |  | HandleType
 | ro | Height
 | ro | PixelFormat
 | ro | Width
TSharedRasterImage
 |  | BitmapCanvas
 |  | SaveStream
TSharedImage
pt | ro | RefCount


TSharedCustomBitmap
pt | FreeHandle
pt | FreePalette
pt | FreeImage
pt | ReleasePalette
pt | GetPixelFormat
pt | IsEmpty
 | Create
 | Destroy
 | HandleAllocated
 | ImageAllocated
TSharedRasterImage
pt | FreeHandle
pt | ReleaseHandle
pt | IsEmpty
 | Create
 | CreateDefaultHandle
 | Destroy
 | HandleAllocated
TSharedImage
pt | Reference
pt | Release
pt | FreeHandle
 | HandleAllocated


TSharedCustomBitmap

TSharedRasterImage

TSharedImage


TSharedCustomBitmap.Create

Create - constructor for TSharedCustomBitmap: calls inherited Create and initialises the image

Declaration

Source position: graphics.pp line 1331

public constructor TSharedCustomBitmap.Create; override;

See also

TObject.Create


TSharedCustomBitmap.Destroy

Destroy - destructor for TSharedCustomBitmap: frees stream, handle and image, then calls inherited Destroy

Declaration

Source position: graphics.pp line 1332

public destructor TSharedCustomBitmap.Destroy; override;

See also

TObject.Destroy


TSharedCustomBitmap.FreeHandle

FreeHandle frees Palette then calls inherited FreeHandle

Declaration

Source position: graphics.pp line 1324

protected procedure TSharedCustomBitmap.FreeHandle; override;

See also

TSharedImage.FreeHandle

Release the handle for this image and free its resources


TSharedCustomBitmap.FreeImage

FreeImage - release the Image from the Bitmap

Declaration

Source position: graphics.pp line 1326

protected procedure TSharedCustomBitmap.FreeImage;


TSharedCustomBitmap.FreePalette

FreePalette - release the Palette

Declaration

Source position: graphics.pp line 1325

protected procedure TSharedCustomBitmap.FreePalette;


TSharedCustomBitmap.GetPixelFormat

GetPixelFormat - returns the format for the Pixels in this Bitmap

Declaration

Source position: graphics.pp line 1328

protected function TSharedCustomBitmap.GetPixelFormat: TPixelFormat;


TSharedCustomBitmap.HandleType

HandleType the type of Bitmap Handle that has been allocated

Declaration

Source position: graphics.pp line 1335

public property TSharedCustomBitmap.HandleType : TBitmapHandleType
  read FHandleType
  write FHandleType;


TSharedCustomBitmap.Height

The Height of the Bitmap

Declaration

Source position: graphics.pp line 1336

public property TSharedCustomBitmap.Height : Integer
  read GetHeight;


TSharedCustomBitmap.ImageAllocated

ImageAllocated - returns True if an image has been allocated

Declaration

Source position: graphics.pp line 1334

public function TSharedCustomBitmap.ImageAllocated: Boolean;


TSharedCustomBitmap.PixelFormat

PixelFormat - the format for the Pixels in this Bitmap

Declaration

Source position: graphics.pp line 1337

public property TSharedCustomBitmap.PixelFormat : TPixelFormat
  read GetPixelFormat;


TSharedCustomBitmap.ReleasePalette

ReleasePalette - returns the Handle of the released Palette

Declaration

Source position: graphics.pp line 1327

protected function TSharedCustomBitmap.ReleasePalette: HPALETTE;


TSharedCustomBitmap.Width

The Width of the Bitmap

Declaration

Source position: graphics.pp line 1338

public property TSharedCustomBitmap.Width : Integer
  read GetWidth;


TSharedGIFImage

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Declaration

Source position: graphics.pp line 1859

type TSharedGIFImage = class(TSharedCustomBitmap) end;

Inheritance

TSharedGIFImage
|
TSharedCustomBitmap | TSharedCustomBitmap - a reference counted base class for TSharedBitmap, TSharedPixmap, TSharedJPEGImage, TSharedPortableNetworkGraphic and TSharedPortableAnyMapGraphic
|
TSharedRasterImage | TSharedRasterImage - a reference counted raster image (may be shared between several controls)
|
TSharedImage | TSharedImage - base class for reference counted images
|
TObject


TSharedGIFImage
TSharedCustomBitmap
 |  | HandleType
 | ro | Height
 | ro | PixelFormat
 | ro | Width
TSharedRasterImage
 |  | BitmapCanvas
 |  | SaveStream
TSharedImage
pt | ro | RefCount


TSharedGIFImage
TSharedCustomBitmap
pt | FreeHandle
pt | FreePalette
pt | FreeImage
pt | ReleasePalette
pt | GetPixelFormat
pt | IsEmpty
 | Create
 | Destroy
 | HandleAllocated
 | ImageAllocated
TSharedRasterImage
pt | FreeHandle
pt | ReleaseHandle
pt | IsEmpty
 | Create
 | CreateDefaultHandle
 | Destroy
 | HandleAllocated
TSharedImage
pt | Reference
pt | Release
pt | FreeHandle
 | HandleAllocated


TSharedGIFImage

TSharedCustomBitmap

TSharedRasterImage

TSharedImage


TSharedIcnsIcon

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Declaration

Source position: graphics.pp line 1681

type TSharedIcnsIcon = class(TSharedIcon) end;

Inheritance

TSharedIcnsIcon
|
TSharedIcon | TSharedIcon - a reference counted shared Icon
|
TSharedRasterImage | TSharedRasterImage - a reference counted raster image (may be shared between several controls)
|
TSharedImage | TSharedImage - base class for reference counted images
|
TObject


TSharedIcnsIcon
TSharedIcon
 | ro | Images
TSharedRasterImage
 |  | BitmapCanvas
 |  | SaveStream
TSharedImage
pt | ro | RefCount


TSharedIcnsIcon
TSharedIcon
pt | FreeHandle
pt | UpdateFromHandle
pt | IsEmpty
pt | GetImage
 | Create
 | Destroy
 | Clear
 | Delete
 | GetIndex
 | GetImagesClass
 | Add
 | Sort
 | Count
TSharedRasterImage
pt | FreeHandle
pt | ReleaseHandle
pt | IsEmpty
 | Create
 | CreateDefaultHandle
 | Destroy
 | HandleAllocated
TSharedImage
pt | Reference
pt | Release
pt | FreeHandle
 | HandleAllocated


 | Add (TSharedIcon)
 | Clear (TSharedIcon)
 | Count (TSharedIcon)
 | Create (TSharedRasterImage)
 | Create (TSharedIcon)
 | CreateDefaultHandle (TSharedRasterImage)
 | Delete (TSharedIcon)
 | Destroy (TSharedRasterImage)
 | Destroy (TSharedIcon)
pt | FreeHandle (TSharedImage)
pt | FreeHandle (TSharedRasterImage)
pt | FreeHandle (TSharedIcon)
pt | GetImage (TSharedIcon)
 | GetImagesClass (TSharedIcon)
 | GetIndex (TSharedIcon)
 | HandleAllocated (TSharedImage)
 | HandleAllocated (TSharedRasterImage)
pt | IsEmpty (TSharedRasterImage)
pt | IsEmpty (TSharedIcon)
pt | Reference (TSharedImage)
pt | Release (TSharedImage)
pt | ReleaseHandle (TSharedRasterImage)
 | Sort (TSharedIcon)
pt | UpdateFromHandle (TSharedIcon)


TSharedIcnsIcon

TSharedIcon

TSharedRasterImage

TSharedImage


TSharedIcon

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

TSharedIcon - a reference counted shared Icon

Declaration

Source position: graphics.pp line 1510

type TSharedIcon = class(TSharedRasterImage)
protected
procedure FreeHandle; override; | Release the handle for this image and free its resources
procedure UpdateFromHandle(); virtual;
function IsEmpty; override; | IsEmpty - checks if there is actually an image at the reference, and returns True if there is not
function GetImage();
public
constructor Create; override; | Create - constructor for TSharedIcon: performs inherited Create then creates a list of images
destructor Destroy; override; | Destroy - destructor for TSharedIcon: frees the list of images and performs inherited Destroy
procedure Clear; | Clear - remove the icon and free its resources
procedure Delete(); | Delete - remove the icon with specified index
function GetIndex(); | GetIndex - returns the Index of an image with specified pixel format, height and width
class function GetImagesClass; virtual; | GetImagesClass - finds which class of icon images is being referenced
procedure Add(); | Add a reference to the shared icon
procedure Sort;
function Count; | Count - returns the number of references to the shared icon
property Images []: TIconImage; [r]
end;

Inheritance

TSharedIcon | TSharedIcon - a reference counted shared Icon
|
TSharedRasterImage | TSharedRasterImage - a reference counted raster image (may be shared between several controls)
|
TSharedImage | TSharedImage - base class for reference counted images
|
TObject


TSharedIcon
 | ro | Images
TSharedRasterImage
 |  | BitmapCanvas
 |  | SaveStream
TSharedImage
pt | ro | RefCount


TSharedIcon
pt | FreeHandle
pt | UpdateFromHandle
pt | IsEmpty
pt | GetImage
 | Create
 | Destroy
 | Clear
 | Delete
 | GetIndex
 | GetImagesClass
 | Add
 | Sort
 | Count
TSharedRasterImage
pt | FreeHandle
pt | ReleaseHandle
pt | IsEmpty
 | Create
 | CreateDefaultHandle
 | Destroy
 | HandleAllocated
TSharedImage
pt | Reference
pt | Release
pt | FreeHandle
 | HandleAllocated


TSharedIcon

TSharedRasterImage

TSharedImage


TSharedIcon.Add

Add a reference to the shared icon

Declaration

Source position: graphics.pp line 1525

public procedure TSharedIcon.Add(

  AIconImage: TIconImage

);


TSharedIcon.Clear

Clear - remove the icon and free its resources

Declaration

Source position: graphics.pp line 1521

public procedure TSharedIcon.Clear;


TSharedIcon.Count

Count - returns the number of references to the shared icon

Declaration

Source position: graphics.pp line 1527

public function TSharedIcon.Count: Integer;


TSharedIcon.Create

Create - constructor for TSharedIcon: performs inherited Create then creates a list of images

Declaration

Source position: graphics.pp line 1519

public constructor TSharedIcon.Create; override;

See also

TObject.Create


TSharedIcon.Delete

Delete - remove the icon with specified index

Declaration

Source position: graphics.pp line 1522

public procedure TSharedIcon.Delete(

  AIndex: Integer

);


TSharedIcon.Destroy

Destroy - destructor for TSharedIcon: frees the list of images and performs inherited Destroy

Declaration

Source position: graphics.pp line 1520

public destructor TSharedIcon.Destroy; override;

See also

TObject.Destroy


TSharedIcon.GetImage

Declaration

Source position: graphics.pp line 1517

protected function TSharedIcon.GetImage(

  const AIndex: Integer

):TIconImage;


TSharedIcon.GetImagesClass

GetImagesClass - finds which class of icon images is being referenced

Declaration

Source position: graphics.pp line 1524

public class function TSharedIcon.GetImagesClass: TIconImageClass; virtual;


TSharedIcon.GetIndex

GetIndex - returns the Index of an image with specified pixel format, height and width

Declaration

Source position: graphics.pp line 1523

public function TSharedIcon.GetIndex(

  AFormat: TPixelFormat;

  AHeight: Word;

  AWidth: Word

):Integer;


TSharedIcon.Images

Declaration

Source position: graphics.pp line 1528

public property TSharedIcon.Images[AIndex: Integer] : TIconImage
  read GetImage;


TSharedIcon.Sort

Declaration

Source position: graphics.pp line 1526

public procedure TSharedIcon.Sort;


TSharedIcon.UpdateFromHandle

Declaration

Source position: graphics.pp line 1515

protected procedure TSharedIcon.UpdateFromHandle(

  NewHandle: THandle

); virtual;


TSharedImage

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

TSharedImage - base class for reference counted images

Declaration

Source position: graphics.pp line 1159

type TSharedImage = class
protected
procedure Reference; | Increase reference count
procedure Release; | Decrease reference count
procedure FreeHandle; virtual; abstract; | Release the handle for this image and free its resources
property RefCount: Integer; [r] | The number of references to this shared image
public
function HandleAllocated; virtual; abstract; | Has a handle been allocated for this image?
end;

Inheritance

TSharedImage

TSharedImage - base class for reference counted images
|

TObject


TSharedImage

pt

ro

RefCount


pt

ro

RefCount (TSharedImage)


TSharedImage
pt | Reference
pt | Release
pt | FreeHandle
 | HandleAllocated


pt | FreeHandle (TSharedImage)
 | HandleAllocated (TSharedImage)
pt | Reference (TSharedImage)
pt | Release (TSharedImage)


TSharedImage


TSharedImage.FreeHandle

Release the handle for this image and free its resources

Declaration

Source position: graphics.pp line 1165

protected procedure TSharedImage.FreeHandle; virtual; abstract;


TSharedImage.HandleAllocated

Has a handle been allocated for this image?

Declaration

Source position: graphics.pp line 1168

public function TSharedImage.HandleAllocated: Boolean; virtual; abstract;


TSharedImage.RefCount

The number of references to this shared image

Declaration

Source position: graphics.pp line 1166

protected property TSharedImage.RefCount : Integer
  read FRefCount;


TSharedImage.Reference

Increase reference count

Declaration

Source position: graphics.pp line 1163

protected procedure TSharedImage.Reference;


TSharedImage.Release

Decrease reference count

Declaration

Source position: graphics.pp line 1164

protected procedure TSharedImage.Release;


TSharedJpegImage

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

TSharedJpegImage - a reference counted shared image of type JPEG

Declaration

Source position: graphics.pp line 1752

type TSharedJpegImage = class(TSharedCustomBitmap) end;

Inheritance

TSharedJpegImage | TSharedJpegImage - a reference counted shared image of type JPEG
|
TSharedCustomBitmap | TSharedCustomBitmap - a reference counted base class for TSharedBitmap, TSharedPixmap, TSharedJPEGImage, TSharedPortableNetworkGraphic and TSharedPortableAnyMapGraphic
|
TSharedRasterImage | TSharedRasterImage - a reference counted raster image (may be shared between several controls)
|
TSharedImage | TSharedImage - base class for reference counted images
|
TObject


TSharedJpegImage
TSharedCustomBitmap
 |  | HandleType
 | ro | Height
 | ro | PixelFormat
 | ro | Width
TSharedRasterImage
 |  | BitmapCanvas
 |  | SaveStream
TSharedImage
pt | ro | RefCount


TSharedJpegImage
TSharedCustomBitmap
pt | FreeHandle
pt | FreePalette
pt | FreeImage
pt | ReleasePalette
pt | GetPixelFormat
pt | IsEmpty
 | Create
 | Destroy
 | HandleAllocated
 | ImageAllocated
TSharedRasterImage
pt | FreeHandle
pt | ReleaseHandle
pt | IsEmpty
 | Create
 | CreateDefaultHandle
 | Destroy
 | HandleAllocated
TSharedImage
pt | Reference
pt | Release
pt | FreeHandle
 | HandleAllocated


TSharedJpegImage

TSharedCustomBitmap

TSharedRasterImage

TSharedImage


TSharedPixmap

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

TSharedPixmap - a reference counted Pixmap graphic

Declaration

Source position: graphics.pp line 1452

type TSharedPixmap = class(TSharedCustomBitmap) end;

Inheritance

TSharedPixmap | TSharedPixmap - a reference counted Pixmap graphic
|
TSharedCustomBitmap | TSharedCustomBitmap - a reference counted base class for TSharedBitmap, TSharedPixmap, TSharedJPEGImage, TSharedPortableNetworkGraphic and TSharedPortableAnyMapGraphic
|
TSharedRasterImage | TSharedRasterImage - a reference counted raster image (may be shared between several controls)
|
TSharedImage | TSharedImage - base class for reference counted images
|
TObject


TSharedPixmap
TSharedCustomBitmap
 |  | HandleType
 | ro | Height
 | ro | PixelFormat
 | ro | Width
TSharedRasterImage
 |  | BitmapCanvas
 |  | SaveStream
TSharedImage
pt | ro | RefCount


TSharedPixmap
TSharedCustomBitmap
pt | FreeHandle
pt | FreePalette
pt | FreeImage
pt | ReleasePalette
pt | GetPixelFormat
pt | IsEmpty
 | Create
 | Destroy
 | HandleAllocated
 | ImageAllocated
TSharedRasterImage
pt | FreeHandle
pt | ReleaseHandle
pt | IsEmpty
 | Create
 | CreateDefaultHandle
 | Destroy
 | HandleAllocated
TSharedImage
pt | Reference
pt | Release
pt | FreeHandle
 | HandleAllocated


TSharedPixmap

TSharedCustomBitmap

TSharedRasterImage

TSharedImage


TSharedPortableAnyMapGraphic

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

TSharedPortableAnyMapGraphic - a reference counted shared PAMG

Declaration

Source position: graphics.pp line 1489

type TSharedPortableAnyMapGraphic = class(TSharedCustomBitmap) end;

Inheritance

TSharedPortableAnyMapGraphic | TSharedPortableAnyMapGraphic - a reference counted shared PAMG
|
TSharedCustomBitmap | TSharedCustomBitmap - a reference counted base class for TSharedBitmap, TSharedPixmap, TSharedJPEGImage, TSharedPortableNetworkGraphic and TSharedPortableAnyMapGraphic
|
TSharedRasterImage | TSharedRasterImage - a reference counted raster image (may be shared between several controls)
|
TSharedImage | TSharedImage - base class for reference counted images
|
TObject


TSharedPortableAnyMapGraphic
TSharedCustomBitmap
 |  | HandleType
 | ro | Height
 | ro | PixelFormat
 | ro | Width
TSharedRasterImage
 |  | BitmapCanvas
 |  | SaveStream
TSharedImage
pt | ro | RefCount


TSharedPortableAnyMapGraphic
TSharedCustomBitmap
pt | FreeHandle
pt | FreePalette
pt | FreeImage
pt | ReleasePalette
pt | GetPixelFormat
pt | IsEmpty
 | Create
 | Destroy
 | HandleAllocated
 | ImageAllocated
TSharedRasterImage
pt | FreeHandle
pt | ReleaseHandle
pt | IsEmpty
 | Create
 | CreateDefaultHandle
 | Destroy
 | HandleAllocated
TSharedImage
pt | Reference
pt | Release
pt | FreeHandle
 | HandleAllocated


TSharedPortableAnyMapGraphic

TSharedCustomBitmap

TSharedRasterImage

TSharedImage


TSharedPortableNetworkGraphic

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

TSharedPortableNetworkGraphic - a reference counted PNG Image

Declaration

Source position: graphics.pp line 1469

type TSharedPortableNetworkGraphic = class(TSharedCustomBitmap) end;

Inheritance

TSharedPortableNetworkGraphic | TSharedPortableNetworkGraphic - a reference counted PNG Image
|
TSharedCustomBitmap | TSharedCustomBitmap - a reference counted base class for TSharedBitmap, TSharedPixmap, TSharedJPEGImage, TSharedPortableNetworkGraphic and TSharedPortableAnyMapGraphic
|
TSharedRasterImage | TSharedRasterImage - a reference counted raster image (may be shared between several controls)
|
TSharedImage | TSharedImage - base class for reference counted images
|
TObject


TSharedPortableNetworkGraphic
TSharedCustomBitmap
 |  | HandleType
 | ro | Height
 | ro | PixelFormat
 | ro | Width
TSharedRasterImage
 |  | BitmapCanvas
 |  | SaveStream
TSharedImage
pt | ro | RefCount


TSharedPortableNetworkGraphic
TSharedCustomBitmap
pt | FreeHandle
pt | FreePalette
pt | FreeImage
pt | ReleasePalette
pt | GetPixelFormat
pt | IsEmpty
 | Create
 | Destroy
 | HandleAllocated
 | ImageAllocated
TSharedRasterImage
pt | FreeHandle
pt | ReleaseHandle
pt | IsEmpty
 | Create
 | CreateDefaultHandle
 | Destroy
 | HandleAllocated
TSharedImage
pt | Reference
pt | Release
pt | FreeHandle
 | HandleAllocated


TSharedPortableNetworkGraphic

TSharedCustomBitmap

TSharedRasterImage

TSharedImage


TSharedRasterImage

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

TSharedRasterImage - a reference counted raster image (may be shared between several controls)

Declaration

Source position: graphics.pp line 1188

type TSharedRasterImage = class(TSharedImage)
protected
procedure FreeHandle; override; | Release the handle for this image and free its resources
function ReleaseHandle; virtual; | ReleaseHandle - returns the identity of the handle that has just been released
function IsEmpty; virtual; | IsEmpty - checks if there is actually an image at the reference, and returns True if there is not
public
constructor Create; virtual; |
procedure CreateDefaultHandle(); virtual; abstract; | CreateDefaultHandle - virtual abstract method for creating a default handle for the shared raster image
destructor Destroy; override; |
function HandleAllocated; override; | Has a handle been allocated for this image?
property BitmapCanvas: TCanvas; [rw] | BitmapCanvas - the canvas to be used for painting this bitmap
property SaveStream: TMemoryStream; [rw] | SaveStream - the memory stream to be used for saving this image
end;

Inheritance

TSharedRasterImage | TSharedRasterImage - a reference counted raster image (may be shared between several controls)
|
TSharedImage | TSharedImage - base class for reference counted images
|
TObject


TSharedRasterImage
 |  | BitmapCanvas
 |  | SaveStream
TSharedImage
pt | ro | RefCount


pt | ro | RefCount (TSharedImage)
 |  | SaveStream (TSharedRasterImage)


TSharedRasterImage
pt | FreeHandle
pt | ReleaseHandle
pt | IsEmpty
 | Create
 | CreateDefaultHandle
 | Destroy
 | HandleAllocated
TSharedImage
pt | Reference
pt | Release
pt | FreeHandle
 | HandleAllocated


pt | FreeHandle (TSharedImage)
pt | FreeHandle (TSharedRasterImage)
 | HandleAllocated (TSharedImage)
 | HandleAllocated (TSharedRasterImage)
pt | IsEmpty (TSharedRasterImage)
pt | Reference (TSharedImage)
pt | Release (TSharedImage)
pt | ReleaseHandle (TSharedRasterImage)


TSharedRasterImage

TSharedImage


TSharedRasterImage.BitmapCanvas

BitmapCanvas - the canvas to be used for painting this bitmap

Declaration

Source position: graphics.pp line 1202

public property TSharedRasterImage.BitmapCanvas : TCanvas
  read FBitmapCanvas
  write FBitmapCanvas;


TSharedRasterImage.CreateDefaultHandle

CreateDefaultHandle - virtual abstract method for creating a default handle for the shared raster image

Declaration

Source position: graphics.pp line 1199

public procedure TSharedRasterImage.CreateDefaultHandle(

  AWidth: Integer;

  AHeight: Integer;

  ABPP: Byte

); virtual; abstract;


TSharedRasterImage.IsEmpty

IsEmpty - checks if there is actually an image at the reference, and returns True if there is not

Declaration

Source position: graphics.pp line 1196

protected function TSharedRasterImage.IsEmpty: Boolean; virtual;


TSharedRasterImage.ReleaseHandle

ReleaseHandle - returns the identity of the handle that has just been released

Declaration

Source position: graphics.pp line 1195

protected function TSharedRasterImage.ReleaseHandle: THandle; virtual;


TSharedRasterImage.SaveStream

SaveStream - the memory stream to be used for saving this image

Declaration

Source position: graphics.pp line 1203

public property TSharedRasterImage.SaveStream : TMemoryStream
  read FSaveStream
  write FSaveStream;


TSharedRasterImageClass

TSharedRasterImageClass - class of TSharedRasterImage

Declaration

Source position: graphics.pp line 1206

type TSharedRasterImageClass = class of TSharedRasterImage;


TSharedTiffImage

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Declaration

Source position: graphics.pp line 1800

type TSharedTiffImage = class(TSharedCustomBitmap) end;

Inheritance

TSharedTiffImage
|
TSharedCustomBitmap | TSharedCustomBitmap - a reference counted base class for TSharedBitmap, TSharedPixmap, TSharedJPEGImage, TSharedPortableNetworkGraphic and TSharedPortableAnyMapGraphic
|
TSharedRasterImage | TSharedRasterImage - a reference counted raster image (may be shared between several controls)
|
TSharedImage | TSharedImage - base class for reference counted images
|
TObject


TSharedTiffImage
TSharedCustomBitmap
 |  | HandleType
 | ro | Height
 | ro | PixelFormat
 | ro | Width
TSharedRasterImage
 |  | BitmapCanvas
 |  | SaveStream
TSharedImage
pt | ro | RefCount


TSharedTiffImage
TSharedCustomBitmap
pt | FreeHandle
pt | FreePalette
pt | FreeImage
pt | ReleasePalette
pt | GetPixelFormat
pt | IsEmpty
 | Create
 | Destroy
 | HandleAllocated
 | ImageAllocated
TSharedRasterImage
pt | FreeHandle
pt | ReleaseHandle
pt | IsEmpty
 | Create
 | CreateDefaultHandle
 | Destroy
 | HandleAllocated
TSharedImage
pt | Reference
pt | Release
pt | FreeHandle
 | HandleAllocated


TSharedTiffImage

TSharedCustomBitmap

TSharedRasterImage

TSharedImage


TTiffImage

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Declaration

Source position: graphics.pp line 1813

type TTiffImage = class(TFPImageBitmap)

protected

  procedure InitializeReader(); override;

  procedure InitializeWriter(); override;

  procedure FinalizeReader(); override;

  class function GetReaderClass; override;

  class function GetWriterClass; override;

  class function GetSharedImageClass; override;

public

  constructor Create; override;

  class function GetFileExtensions; override;

  property Artist: string; [rw]

  property Copyright: string; [rw]

  property DateTime: TDateTime; [rw]

  property DocumentName: string; [rw]

  property HostComputer: string; [rw]

  property ImageDescription: string; [rw]

  property Make: string; [rw]

  property Model: string; [rw]

  property ResolutionUnit: TTiffUnit; [rw]

  property Software: string; [rw]

  property XResolution: TTiffRational; [rw]

  property YResolution: TTiffRational; [rw]

end;

Inheritance

TTiffImage
|
TFPImageBitmap | A class of Bitmap using the FPImage reader and writer (ie customised for FreePascal)
|
TCustomBitmap | TCustomBitMap - the base class for TBitmap
|
TRasterImage | TRasterImage - base class for a number of graphic controls, including TCustomBitmap and TCustomIcon, which use a raster of dots to display graphic information
|
TGraphic | TGraphic - Base class for dealing with Graphic images
|
TPersistent,IFPObserved
|
TObject


TTiffImage
 |  | Artist
 |  | Copyright
 |  | DateTime
 |  | DocumentName
 |  | HostComputer
 |  | ImageDescription
 |  | Make
 |  | Model
 |  | ResolutionUnit
 |  | Software
 |  | XResolution
 |  | YResolution
TFPImageBitmap
TCustomBitmap
 |  | Handle
 |  | HandleType
 |  | Monochrome
TRasterImage
 | ro | Canvas
 |  | BitmapHandle
 |  | Masked
 |  | MaskHandle
 |  | PixelFormat
 | ro | RawImage
 | ro | ScanLine
 |  | TransparentColor
 |  | TransparentMode
TGraphic
 | ro | Empty
 |  | Height
 |  | Modified
 | ro | MimeType
 |  | Palette
 |  | PaletteModified
 |  | Transparent
 |  | Width
TPersistent
TObject


ro | Canvas (TRasterImage)
 | Copyright (TTiffImage)
 | DateTime (TTiffImage)
 | DocumentName (TTiffImage)
ro | Empty (TGraphic)
 | Handle (TCustomBitmap)
 | HandleType (TCustomBitmap)
 | Height (TGraphic)
 | HostComputer (TTiffImage)
 | ImageDescription (TTiffImage)
 | Make (TTiffImage)
 | Masked (TRasterImage)
 | MaskHandle (TRasterImage)
ro | MimeType (TGraphic)
 | Model (TTiffImage)
 | Modified (TGraphic)
 | Monochrome (TCustomBitmap)
 | Palette (TGraphic)
 | PaletteModified (TGraphic)
 | PixelFormat (TRasterImage)
ro | RawImage (TRasterImage)
 | ResolutionUnit (TTiffImage)
ro | ScanLine (TRasterImage)
 | Software (TTiffImage)
 | Transparent (TGraphic)
 | TransparentColor (TRasterImage)
 | TransparentMode (TRasterImage)
 | Width (TGraphic)
 | XResolution (TTiffImage)
 | YResolution (TTiffImage)


TTiffImage
pt | InitializeReader
pt | InitializeWriter
pt | FinalizeReader
pt | GetReaderClass
pt | GetWriterClass
pt | GetSharedImageClass
 | Create
 | GetFileExtensions
TFPImageBitmap
pt | GetMimeType
pt | GetReaderClass
pt | GetWriterClass
pt | InitializeReader
pt | InitializeWriter
pt | FinalizeReader
pt | FinalizeWriter
pt | ReadStream
pt | WriteStream
 | GetFileExtensions
 | IsStreamFormatSupported
 | IsFileExtensionSupported
 | LazarusResourceTypeValid
TCustomBitmap
pt | MaskHandleNeeded
pt | PaletteNeeded
pt | CanShareImage
pt | Changed
pt | CreateDefaultBitmapHandle
pt | FreeMaskHandle
pt | GetBitmapHandle
pt | GetMaskHandle
pt | GetPalette
pt | GetPixelFormat
pt | GetRawImagePtr
pt | GetRawImageDescriptionPtr
pt | HandleNeeded
pt | InternalReleaseBitmapHandle
pt | InternalReleaseMaskHandle
pt | InternalReleasePalette
pt | RawimageNeeded
pt | SetHandle
pt | SetPixelFormat
pt | UnshareImage
pt | UpdateHandles
 | Create
 | Destroy
 | Assign
 | Clear
 | FreeImage
 | LazarusResourceTypeValid
 | BitmapHandleAllocated
 | MaskHandleAllocated
 | PaletteAllocated
 | ReleaseHandle
 | SetHandles
 | SetSize
TRasterImage
pt | CanShareImage
pt | Changed
pt | CreateDefaultBitmapHandle
pt | Draw
pt | GetEmpty
pt | GetHandle
pt | GetBitmapHandle
pt | GetMasked
pt | GetMaskHandle
pt | GetMimeType
pt | GetPixelFormat
pt | GetRawImagePtr
pt | GetRawImageDescriptionPtr
pt | GetTransparent
pt | GetSharedImageClass
pt | GetHeight
pt | GetWidth
pt | BitmapHandleNeeded
pt | HandleNeeded
pt | MaskHandleNeeded
pt | PaletteNeeded
pt | InternalReleaseBitmapHandle
pt | InternalReleaseMaskHandle
pt | InternalReleasePalette
pt | SetBitmapHandle
pt | SetMasked
pt | SetMaskHandle
pt | SetTransparent
pt | UnshareImage
pt | UpdateHandles
pt | SaveStreamNeeded
pt | FreeSaveStream
pt | ReadData
pt | ReadStream
pt | SetSize
pt | SetHandle
pt | SetHeight
pt | SetWidth
pt | SetTransparentMode
pt | SetPixelFormat
pt | WriteData
pt | WriteStream
pt | RequestTransparentColor
 | Create
 | Destroy
 | Assign
 | Clear
 | BeginUpdate
 | EndUpdate
 | FreeImage
 | BitmapHandleAllocated
 | MaskHandleAllocated
 | PaletteAllocated
 | LoadFromBitmapHandles
 | LoadFromDevice
 | LoadFromStream
 | LoadFromMimeStream
 | LoadFromRawImage
 | LoadFromIntfImage
 | SaveToStream
 | GetSupportedSourceMimeTypes
 | GetSize
 | Mask
 | SetHandles
 | ReleaseBitmapHandle
 | ReleaseMaskHandle
 | ReleasePalette
 | CreateIntfImage
 | HandleAllocated
TGraphic
pt | Changed
pt | Equals
pt | DefineProperties
pt | Draw
pt | GetEmpty
pt | GetHeight
pt | GetMimeType
pt | GetPalette
pt | GetTransparent
pt | GetWidth
pt | Progress
pt | ReadData
pt | SetHeight
pt | SetPalette
pt | SetTransparent
pt | SetWidth
pt | SetModified
pt | WriteData
 | Assign
 | Create
 | Clear
 | LazarusResourceTypeValid
 | LoadFromFile
 | LoadFromStream
 | LoadFromMimeStream
 | LoadFromLazarusResource
 | LoadFromResourceName
 | LoadFromResourceID
 | LoadFromClipboardFormat
 | LoadFromClipboardFormatID
 | SaveToFile
 | SaveToStream
 | SaveToClipboardFormat
 | SaveToClipboardFormatID
 | GetSupportedSourceMimeTypes
 | GetResourceType
 | GetFileExtensions
 | IsStreamFormatSupported
TPersistent
 | AssignError
 | AssignTo
 | DefineProperties
 | GetOwner
 | Destroy
 | Assign
 | FPOAttachObserver
 | FPODetachObserver
 | FPONotifyObservers
 | GetNamePath
TObject
 | Create
 | Destroy
 | newinstance
 | FreeInstance
 | SafeCallException
 | DefaultHandler
 | Free
 | InitInstance
 | CleanupInstance
 | ClassType
 | ClassInfo
 | ClassName
 | ClassNameIs
 | ClassParent
 | InstanceSize
 | InheritsFrom
 | StringMessageTable
 | MethodAddress
 | MethodName
 | FieldAddress
 | AfterConstruction
 | BeforeDestruction
 | DefaultHandlerStr
 | Dispatch
 | DispatchStr
 | GetInterface
 | GetInterfaceByStr
 | GetInterfaceWeak
 | GetInterfaceEntry
 | GetInterfaceEntryByStr
 | GetInterfaceTable
 | UnitName
 | Equals
 | GetHashCode
 | ToString


 | AfterConstruction (TObject)
 | Assign (TPersistent)
 | Assign (TGraphic)
 | Assign (TRasterImage)
 | Assign (TCustomBitmap)
 | AssignError (TPersistent)
 | AssignTo (TPersistent)
 | BeforeDestruction (TObject)
 | BeginUpdate (TRasterImage)
 | BitmapHandleAllocated (TRasterImage)
 | BitmapHandleAllocated (TCustomBitmap)
pt | BitmapHandleNeeded (TRasterImage)
pt | CanShareImage (TRasterImage)
pt | CanShareImage (TCustomBitmap)
pt | Changed (TGraphic)
pt | Changed (TRasterImage)
pt | Changed (TCustomBitmap)
 | ClassInfo (TObject)
 | ClassName (TObject)
 | ClassNameIs (TObject)
 | ClassParent (TObject)
 | ClassType (TObject)
 | CleanupInstance (TObject)
 | Clear (TGraphic)
 | Clear (TRasterImage)
 | Clear (TCustomBitmap)
 | Create (TObject)
 | Create (TGraphic)
 | Create (TRasterImage)
 | Create (TCustomBitmap)
 | Create (TTiffImage)
pt | CreateDefaultBitmapHandle (TRasterImage)
pt | CreateDefaultBitmapHandle (TCustomBitmap)
 | CreateIntfImage (TRasterImage)
 | DefaultHandler (TObject)
 | DefaultHandlerStr (TObject)
 | DefineProperties (TPersistent)
pt | DefineProperties (TGraphic)
 | Destroy (TObject)
 | Destroy (TPersistent)
 | Destroy (TRasterImage)
 | Destroy (TCustomBitmap)
 | Dispatch (TObject)
 | DispatchStr (TObject)
pt | Draw (TGraphic)
pt | Draw (TRasterImage)
 | EndUpdate (TRasterImage)
 | Equals (TObject)
pt | Equals (TGraphic)
 | FieldAddress (TObject)
pt | FinalizeReader (TFPImageBitmap)
pt | FinalizeReader (TTiffImage)
pt | FinalizeWriter (TFPImageBitmap)
 | FPOAttachObserver (TPersistent)
 | FPODetachObserver (TPersistent)
 | FPONotifyObservers (TPersistent)
 | Free (TObject)
 | FreeImage (TRasterImage)
 | FreeImage (TCustomBitmap)
 | FreeInstance (TObject)
pt | FreeMaskHandle (TCustomBitmap)
pt | FreeSaveStream (TRasterImage)
pt | GetBitmapHandle (TRasterImage)
pt | GetBitmapHandle (TCustomBitmap)
pt | GetEmpty (TGraphic)
pt | GetEmpty (TRasterImage)
 | GetFileExtensions (TGraphic)
 | GetFileExtensions (TFPImageBitmap)
 | GetFileExtensions (TTiffImage)
pt | GetHandle (TRasterImage)
 | GetHashCode (TObject)
pt | GetHeight (TGraphic)
pt | GetHeight (TRasterImage)
 | GetInterface (TObject)
 | GetInterfaceByStr (TObject)
 | GetInterfaceEntry (TObject)
 | GetInterfaceEntryByStr (TObject)
 | GetInterfaceTable (TObject)
 | GetInterfaceWeak (TObject)
pt | GetMasked (TRasterImage)
pt | GetMaskHandle (TRasterImage)
pt | GetMaskHandle (TCustomBitmap)
pt | GetMimeType (TGraphic)
pt | GetMimeType (TRasterImage)
pt | GetMimeType (TFPImageBitmap)
 | GetNamePath (TPersistent)
 | GetOwner (TPersistent)
pt | GetPalette (TGraphic)
pt | GetPalette (TCustomBitmap)
pt | GetPixelFormat (TRasterImage)
pt | GetPixelFormat (TCustomBitmap)
pt | GetRawImageDescriptionPtr (TRasterImage)
pt | GetRawImageDescriptionPtr (TCustomBitmap)
pt | GetRawImagePtr (TRasterImage)
pt | GetRawImagePtr (TCustomBitmap)
pt | GetReaderClass (TFPImageBitmap)
pt | GetReaderClass (TTiffImage)
 | GetResourceType (TGraphic)
pt | GetSharedImageClass (TRasterImage)
pt | GetSharedImageClass (TTiffImage)
 | GetSize (TRasterImage)
 | GetSupportedSourceMimeTypes (TGraphic)
 | GetSupportedSourceMimeTypes (TRasterImage)
pt | GetTransparent (TGraphic)
pt | GetTransparent (TRasterImage)
pt | GetWidth (TGraphic)
pt | GetWidth (TRasterImage)
pt | GetWriterClass (TFPImageBitmap)
pt | GetWriterClass (TTiffImage)
 | HandleAllocated (TRasterImage)
pt | HandleNeeded (TRasterImage)
pt | HandleNeeded (TCustomBitmap)
 | InheritsFrom (TObject)
pt | InitializeReader (TFPImageBitmap)
pt | InitializeReader (TTiffImage)
pt | InitializeWriter (TFPImageBitmap)
pt | InitializeWriter (TTiffImage)
 | InitInstance (TObject)
 | InstanceSize (TObject)
pt | InternalReleaseBitmapHandle (TRasterImage)
pt | InternalReleaseBitmapHandle (TCustomBitmap)
pt | InternalReleaseMaskHandle (TRasterImage)
pt | InternalReleaseMaskHandle (TCustomBitmap)
pt | InternalReleasePalette (TRasterImage)
pt | InternalReleasePalette (TCustomBitmap)
 | IsFileExtensionSupported (TFPImageBitmap)
 | IsStreamFormatSupported (TGraphic)
 | IsStreamFormatSupported (TFPImageBitmap)
 | LazarusResourceTypeValid (TGraphic)
 | LazarusResourceTypeValid (TCustomBitmap)
 | LazarusResourceTypeValid (TFPImageBitmap)
 | LoadFromBitmapHandles (TRasterImage)
 | LoadFromClipboardFormat (TGraphic)
 | LoadFromClipboardFormatID (TGraphic)
 | LoadFromDevice (TRasterImage)
 | LoadFromFile (TGraphic)
 | LoadFromIntfImage (TRasterImage)
 | LoadFromLazarusResource (TGraphic)
 | LoadFromMimeStream (TGraphic)
 | LoadFromMimeStream (TRasterImage)
 | LoadFromRawImage (TRasterImage)
 | LoadFromResourceID (TGraphic)
 | LoadFromResourceName (TGraphic)
 | LoadFromStream (TGraphic)
 | LoadFromStream (TRasterImage)
 | Mask (TRasterImage)
 | MaskHandleAllocated (TRasterImage)
 | MaskHandleAllocated (TCustomBitmap)
pt | MaskHandleNeeded (TRasterImage)
pt | MaskHandleNeeded (TCustomBitmap)
 | MethodAddress (TObject)
 | MethodName (TObject)
 | newinstance (TObject)
 | PaletteAllocated (TRasterImage)
 | PaletteAllocated (TCustomBitmap)
pt | PaletteNeeded (TRasterImage)
pt | PaletteNeeded (TCustomBitmap)
pt | Progress (TGraphic)
pt | RawimageNeeded (TCustomBitmap)
pt | ReadData (TGraphic)
pt | ReadData (TRasterImage)
pt | ReadStream (TRasterImage)
pt | ReadStream (TFPImageBitmap)
 | ReleaseBitmapHandle (TRasterImage)
 | ReleaseHandle (TCustomBitmap)
 | ReleaseMaskHandle (TRasterImage)
 | ReleasePalette (TRasterImage)
pt | RequestTransparentColor (TRasterImage)
 | SafeCallException (TObject)
pt | SaveStreamNeeded (TRasterImage)
 | SaveToClipboardFormat (TGraphic)
 | SaveToClipboardFormatID (TGraphic)
 | SaveToFile (TGraphic)
 | SaveToStream (TGraphic)
 | SaveToStream (TRasterImage)
pt | SetBitmapHandle (TRasterImage)
pt | SetHandle (TRasterImage)
pt | SetHandle (TCustomBitmap)
 | SetHandles (TRasterImage)
 | SetHandles (TCustomBitmap)
pt | SetHeight (TGraphic)
pt | SetHeight (TRasterImage)
pt | SetMasked (TRasterImage)
pt | SetMaskHandle (TRasterImage)
pt | SetModified (TGraphic)
pt | SetPalette (TGraphic)
pt | SetPixelFormat (TRasterImage)
pt | SetPixelFormat (TCustomBitmap)
pt | SetSize (TRasterImage)
 | SetSize (TCustomBitmap)
pt | SetTransparent (TGraphic)
pt | SetTransparent (TRasterImage)
pt | SetTransparentMode (TRasterImage)
pt | SetWidth (TGraphic)
pt | SetWidth (TRasterImage)
 | StringMessageTable (TObject)
 | ToString (TObject)
 | UnitName (TObject)
pt | UnshareImage (TRasterImage)
pt | UnshareImage (TCustomBitmap)
pt | UpdateHandles (TRasterImage)
pt | UpdateHandles (TCustomBitmap)
pt | WriteData (TGraphic)
pt | WriteData (TRasterImage)
pt | WriteStream (TRasterImage)
pt | WriteStream (TFPImageBitmap)


TTiffImage
TFPImageBitmap
TCustomBitmap
TRasterImage
TGraphic
 | OnChange
 | OnProgress
TPersistent
TObject


TTiffImage.Artist

Declaration

Source position: graphics.pp line 1838

public property TTiffImage.Artist : string
  read FArtist
  write FArtist;


TTiffImage.Copyright

Declaration

Source position: graphics.pp line 1839

public property TTiffImage.Copyright : string
  read FCopyright
  write FCopyright;


TTiffImage.Create

Declaration

Source position: graphics.pp line 1835

public constructor TTiffImage.Create; override;


TTiffImage.DateTime

Declaration

Source position: graphics.pp line 1840

public property TTiffImage.DateTime : TDateTime
  read FDateTime
  write FDateTime;


TTiffImage.DocumentName

Declaration

Source position: graphics.pp line 1841

public property TTiffImage.DocumentName : string
  read FDocumentName
  write FDocumentName;


TTiffImage.GetSharedImageClass

Declaration

Source position: graphics.pp line 1833

protected class function TTiffImage.GetSharedImageClass: TSharedRasterImageClass; override;


TTiffImage.HostComputer

Declaration

Source position: graphics.pp line 1842

public property TTiffImage.HostComputer : string
  read FHostComputer
  write FHostComputer;


TTiffImage.ImageDescription

Declaration

Source position: graphics.pp line 1843

public property TTiffImage.ImageDescription : string
  read FImageDescription
  write FImageDescription;


TTiffImage.Make

Declaration

Source position: graphics.pp line 1847

public property TTiffImage.Make : string
  read FMake
  write FMake;


TTiffImage.Model

Declaration

Source position: graphics.pp line 1848

public property TTiffImage.Model : string
  read FModel
  write FModel;


TTiffImage.ResolutionUnit

Declaration

Source position: graphics.pp line 1849

public property TTiffImage.ResolutionUnit : TTiffUnit
  read FResolutionUnit
  write FResolutionUnit;


TTiffImage.Software

Declaration

Source position: graphics.pp line 1850

public property TTiffImage.Software : string
  read FSoftware
  write FSoftware;


TTiffImage.XResolution

Declaration

Source position: graphics.pp line 1851

public property TTiffImage.XResolution : TTiffRational
  read FXResolution
  write FXResolution;


TTiffImage.YResolution

Declaration

Source position: graphics.pp line 1852

public property TTiffImage.YResolution : TTiffRational
  read FYResolution
  write FYResolution;


EGridException

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

EGridException - exception handler for an error in a Grid class

Declaration

Source position: grids.pas line 81

type EGridException = class(Exception)

Inheritance

EGridException

EGridException - exception handler for an error in a Grid class
|

Exception
|

TObject


EGridException
Exception
 | HelpContext
 | Message
TObject


EGridException
Exception
 | Create
 | CreateFmt
 | CreateRes
 | CreateResFmt
 | CreateHelp
 | CreateFmtHelp
 | CreateResHelp
 | CreateResFmtHelp
 | ToString
TObject
 | Create
 | Destroy
 | newinstance
 | FreeInstance
 | SafeCallException
 | DefaultHandler
 | Free
 | InitInstance
 | CleanupInstance
 | ClassType
 | ClassInfo
 | ClassName
 | ClassNameIs
 | ClassParent
 | InstanceSize
 | InheritsFrom
 | StringMessageTable
 | MethodAddress
 | MethodName
 | FieldAddress
 | AfterConstruction
 | BeforeDestruction
 | DefaultHandlerStr
 | Dispatch
 | DispatchStr
 | GetInterface
 | GetInterfaceByStr
 | GetInterfaceWeak
 | GetInterfaceEntry
 | GetInterfaceEntryByStr
 | GetInterfaceTable
 | UnitName
 | Equals
 | GetHashCode
 | ToString


EGridException

Exception

TObject


TButtonCellEditor

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

TButtonCellEditor - the editor for button cells in a grid

Declaration

Source position: grids.pas line 256

type TButtonCellEditor = class(TButton)
protected
procedure msg_SetGrid(); message; | msg_SetGrid - issues message for specifying grid
procedure msg_SetBounds(); message; | msg_SetBounds - issues message for specifying bounds
procedure msg_SetPos(); message; | msg_SetPos - issues message for specifying position
procedure msg_Ready(); message; | msg_Ready - issues message when ready
procedure msg_GetGrid(); message;
public
property Col: Integer; [r] | Col - the column in which the edited cell resides
property Row: Integer; [r] | Row - the row in which the edited cell resides
end;

Inheritance

TButtonCellEditor | TButtonCellEditor - the editor for button cells in a grid
|
TButton | A push button control.
|
TCustomButton | The base class for clickable buttons (TButton and TBitBtn).
|
TButtonControl | The base class for various button controls.
|
TWinControl | The base class for controls which can contain other (child) controls.
|
TControl | The base class for visible controls.
|
TLCLComponent | The base class for LCL components associated with widgets.
|
TComponent,IUnknown,IInterfaceComponentReference
|
TPersistent,IFPObserved
|
TObject


TButtonCellEditor
 | ro | Col
 | ro | Row
TButton
pl | ro | Action
pl | ro | Align
pl | ro | Anchors
pl | ro | AutoSize
pl | ro | BidiMode
pl | ro | BorderSpacing
pl | ro | Cancel
pl | ro | Caption
pl | ro | Color
pl | ro | Constraints
pl | ro | Default
pl | ro | DoubleBuffered
pl | ro | DragCursor
pl | ro | DragKind
pl | ro | DragMode
pl | ro | Enabled
pl | ro | Font
pl | ro | ParentBidiMode
pl | ro | ModalResult
pl | ro | ParentDoubleBuffered
pl | ro | ParentFont
pl | ro | ParentShowHint
pl | ro | PopupMenu
pl | ro | ShowHint
pl | ro | TabOrder
pl | ro | TabStop
pl | ro | Visible
TCustomButton
pt | ro | ParentColor
 | ro | Active
 |  | Default
 |  | ModalResult
 | ro | ShortCut
 | ro | ShortCutKey2
 |  | Cancel
 | ro | Color
 | ro | TabStop
TButtonControl
pt |  | Checked
pt |  | ClicksDisabled
TWinControl
pt |  | WindowHandle
pt |  | BorderStyle
pt |  | ParentBackground
 |  | BorderWidth
 | ro | BoundsLockCount
 | ro | Brush
 | ro | CachedClientHeight
 | ro | CachedClientWidth
 |  | ChildSizing
 | ro | ControlCount
 | ro | Controls
 |  | DefWndProc
 | ro | DockClientCount
 | ro | DockClients
 |  | DockManager
 |  | DockSite
 |  | DoubleBuffered
 |  | Handle
 | ro | IsFlipped
 | ro | IsResizing
 |  | TabOrder
 |  | TabStop
 |  | ParentDoubleBuffered
 |  | ParentWindow
 | ro | Showing
 |  | UseDockManager
 |  | DesignerDeleting
 | ro | VisibleDockClientCount
TControl
pt | ro | AutoSizing
pt | ro | AutoSizingAll
pt | ro | AutoSizingLockCount
pt |  | ActionLink
pt |  | DesktopFont
pt |  | DragCursor
pt |  | DragKind
pt |  | DragMode
pt |  | MouseCapture
pt |  | ParentColor
pt |  | ParentFont
pt |  | ParentShowHint
pt |  | SessionProperties
pt |  | Text
 | ro | AnchoredControls
 | ro | BaseBounds
 | ro | ReadBounds
 | ro | BaseParentClientSize
 |  | AccessibleDescription
 |  | AccessibleValue
 |  | AccessibleRole
 |  | Action
 |  | Align
 |  | Anchors
 | ro | AnchorSide
 |  | AutoSize
 |  | BorderSpacing
 |  | BoundsRect
 |  | BoundsRectForNewParent
 |  | Caption
 |  | CaptureMouseButtons
 |  | ClientHeight
 | ro | ClientOrigin
 | ro | ClientRect
 |  | ClientWidth
 |  | Color
 |  | Constraints
 | ro | ControlOrigin
 |  | ControlState
 |  | ControlStyle
 |  | Enabled
 |  | Font
 |  | IsControl
 | ro | MouseEntered
 | ro | MouseInClient
 |  | Parent
 |  | PopupMenu
 |  | ShowHint
 |  | Visible
 |  | WindowProc
 |  | DockOrientation
 | ro | Floating
 |  | FloatingDockSiteClass
 |  | HostDockSite
 |  | LRDockWidth
 |  | TBDockHeight
 |  | UndockHeight
 |  | UndockWidth
 |  | BiDiMode
 |  | ParentBiDiMode
pl |  | AnchorSideLeft
pl |  | AnchorSideTop
pl |  | AnchorSideRight
pl |  | AnchorSideBottom
pl |  | Cursor
pl |  | Left
pl |  | Height
pl |  | Hint
pl |  | Top
pl |  | Width
pl |  | HelpType
pl |  | HelpKeyword
pl |  | HelpContext
TLCLComponent
 | ro | LCLRefCount
 | ro | WidgetSetClass
TComponent
 | ro | ComObject
 | ro | Components
 | ro | ComponentCount
 |  | ComponentIndex
 | ro | ComponentState
 | ro | ComponentStyle
 |  | DesignInfo
 | ro | Owner
 |  | VCLComObject
 |  | Name
 |  | Tag
TPersistent
TObject


 |  | AccessibleDescription (TControl)
 |  | AccessibleRole (TControl)
 |  | AccessibleValue (TControl)
 |  | Action (TControl)
pl | ro | Action (TButton)
pt |  | ActionLink (TControl)
 | ro | Active (TCustomButton)
 |  | Align (TControl)
pl | ro | Align (TButton)
 | ro | AnchoredControls (TControl)
 |  | Anchors (TControl)
pl | ro | Anchors (TButton)
 | ro | AnchorSide (TControl)
pl |  | AnchorSideBottom (TControl)
pl |  | AnchorSideLeft (TControl)
pl |  | AnchorSideRight (TControl)
pl |  | AnchorSideTop (TControl)
 |  | AutoSize (TControl)
pl | ro | AutoSize (TButton)
pt | ro | AutoSizing (TControl)
pt | ro | AutoSizingAll (TControl)
pt | ro | AutoSizingLockCount (TControl)
 | ro | BaseBounds (TControl)
 | ro | BaseParentClientSize (TControl)
 |  | BiDiMode (TControl)
pl | ro | BidiMode (TButton)
 |  | BorderSpacing (TControl)
pl | ro | BorderSpacing (TButton)
pt |  | BorderStyle (TWinControl)
 |  | BorderWidth (TWinControl)
 | ro | BoundsLockCount (TWinControl)
 |  | BoundsRect (TControl)
 |  | BoundsRectForNewParent (TControl)
 | ro | Brush (TWinControl)
 | ro | CachedClientHeight (TWinControl)
 | ro | CachedClientWidth (TWinControl)
 |  | Cancel (TCustomButton)
pl | ro | Cancel (TButton)
 |  | Caption (TControl)
pl | ro | Caption (TButton)
 |  | CaptureMouseButtons (TControl)
pt |  | Checked (TButtonControl)
 |  | ChildSizing (TWinControl)
pt |  | ClicksDisabled (TButtonControl)
 |  | ClientHeight (TControl)
 | ro | ClientOrigin (TControl)
 | ro | ClientRect (TControl)
 |  | ClientWidth (TControl)
 | ro | Col (TButtonCellEditor)
 |  | Color (TControl)
 | ro | Color (TCustomButton)
pl | ro | Color (TButton)
 | ro | ComObject (TComponent)
 | ro | ComponentCount (TComponent)
 |  | ComponentIndex (TComponent)
 | ro | Components (TComponent)
 | ro | ComponentState (TComponent)
 | ro | ComponentStyle (TComponent)
 |  | Constraints (TControl)
pl | ro | Constraints (TButton)
 | ro | ControlCount (TWinControl)
 | ro | ControlOrigin (TControl)
 | ro | Controls (TWinControl)
 |  | ControlState (TControl)
 |  | ControlStyle (TControl)
pl |  | Cursor (TControl)
 |  | Default (TCustomButton)
pl | ro | Default (TButton)
 |  | DefWndProc (TWinControl)
 |  | DesignerDeleting (TWinControl)
 |  | DesignInfo (TComponent)
pt |  | DesktopFont (TControl)
 | ro | DockClientCount (TWinControl)
 | ro | DockClients (TWinControl)
 |  | DockManager (TWinControl)
 |  | DockOrientation (TControl)
 |  | DockSite (TWinControl)
 |  | DoubleBuffered (TWinControl)
pl | ro | DoubleBuffered (TButton)
pt |  | DragCursor (TControl)
pl | ro | DragCursor (TButton)
pt |  | DragKind (TControl)
pl | ro | DragKind (TButton)
pt |  | DragMode (TControl)
pl | ro | DragMode (TButton)
 |  | Enabled (TControl)
pl | ro | Enabled (TButton)
 | ro | Floating (TControl)
 |  | FloatingDockSiteClass (TControl)
 |  | Font (TControl)
pl | ro | Font (TButton)
 |  | Handle (TWinControl)
pl |  | Height (TControl)
pl |  | HelpContext (TControl)
pl |  | HelpKeyword (TControl)
pl |  | HelpType (TControl)
pl |  | Hint (TControl)
 |  | HostDockSite (TControl)
 |  | IsControl (TControl)
 | ro | IsFlipped (TWinControl)
 | ro | IsResizing (TWinControl)
 | ro | LCLRefCount (TLCLComponent)
pl |  | Left (TControl)
 |  | LRDockWidth (TControl)
 |  | ModalResult (TCustomButton)
pl | ro | ModalResult (TButton)
pt |  | MouseCapture (TControl)
 | ro | MouseEntered (TControl)
 | ro | MouseInClient (TControl)
 |  | Name (TComponent)
 | ro | Owner (TComponent)
 |  | Parent (TControl)
pt |  | ParentBackground (TWinControl)
 |  | ParentBiDiMode (TControl)
pl | ro | ParentBidiMode (TButton)
pt |  | ParentColor (TControl)
pt | ro | ParentColor (TCustomButton)
 |  | ParentDoubleBuffered (TWinControl)
pl | ro | ParentDoubleBuffered (TButton)
pt |  | ParentFont (TControl)
pl | ro | ParentFont (TButton)
pt |  | ParentShowHint (TControl)
pl | ro | ParentShowHint (TButton)
 |  | ParentWindow (TWinControl)
 |  | PopupMenu (TControl)
pl | ro | PopupMenu (TButton)
 | ro | ReadBounds (TControl)
 | ro | Row (TButtonCellEditor)
pt |  | SessionProperties (TControl)
 | ro | ShortCut (TCustomButton)
 | ro | ShortCutKey2 (TCustomButton)
 |  | ShowHint (TControl)
pl | ro | ShowHint (TButton)
 | ro | Showing (TWinControl)
 |  | TabOrder (TWinControl)
pl | ro | TabOrder (TButton)
 |  | TabStop (TWinControl)
 | ro | TabStop (TCustomButton)
pl | ro | TabStop (TButton)
 |  | Tag (TComponent)
 |  | TBDockHeight (TControl)
pt |  | Text (TControl)
pl |  | Top (TControl)
 |  | UndockHeight (TControl)
 |  | UndockWidth (TControl)
 |  | UseDockManager (TWinControl)
 |  | VCLComObject (TComponent)
 |  | Visible (TControl)
pl | ro | Visible (TButton)
 | ro | VisibleDockClientCount (TWinControl)
 | ro | WidgetSetClass (TLCLComponent)
pl |  | Width (TControl)
pt |  | WindowHandle (TWinControl)
 |  | WindowProc (TControl)


TButtonCellEditor
pt | msg_SetGrid
pt | msg_SetBounds
pt | msg_SetPos
pt | msg_Ready
pt | msg_GetGrid
TButton
TCustomButton
pt | WSRegisterClass
pt | CreateWnd
pt | CreateParams
pt | ControlKeyDown
pt | ControlKeyUp
pt | DialogChar
pt | ChildClassAllowed
pt | GetControlClassDefaultSize
pt | WSSetDefault
pt | WSSetText
pt | TextChanged
pt | Loaded
pt | UpdateDefaultCancel
 | Create
 | Click
 | ExecuteDefaultAction
 | ExecuteCancelAction
 | ActiveDefaultControlChanged
 | UpdateRolesForForm
 | UseRightToLeftAlignment
TButtonControl
pt | WSRegisterClass
pt | GetActionLinkClass
pt | GetChecked
pt | SetChecked
pt | DoOnChange
pt | Click
 | Create
TWinControl
pt | WSRegisterClass
pt | AdjustClientRect
pt | GetAdjustedLogicalClientRect
pt | AlignControls
pt | CustomAlignInsertBefore
pt | CustomAlignPosition
pt | DoAlignChildControls
pt | DoChildSizingChange
pt | InvalidatePreferredChildSizes
pt | CanTab
pt | IsClientHeightStored
pt | IsClientWidthStored
pt | DoSendShowHideToInterface
pt | ControlsAligned
pt | DoSendBoundsToInterface
pt | RealizeBounds
pt | RealizeBoundsRecursive
pt | InvalidateBoundsRealized
pt | CreateSubClass
pt | DoConstraintsChange
pt | DoSetBounds
pt | DoAutoSize
pt | DoAllAutoSize
pt | AllAutoSized
pt | CalculatePreferredSize
pt | GetPreferredSizeClientFrame
pt | GetChildren
pt | ChildClassAllowed
pt | PaintControls
pt | PaintHandler
pt | PaintWindow
pt | CreateBrush
pt | ScaleControls
pt | ChangeScale
pt | CMBiDiModeChanged
pt | CMBorderChanged
pt | CMDoubleBufferedChanged
pt | CMEnabledChanged
pt | CMParentDoubleBufferedChanged
pt | CMShowingChanged
pt | CMShowHintChanged
pt | CMVisibleChanged
pt | CMEnter
pt | CMExit
pt | WMContextMenu
pt | WMEraseBkgnd
pt | WMNotify
pt | WMSetFocus
pt | WMKillFocus
pt | WMShowWindow
pt | WMEnter
pt | WMExit
pt | WMKeyDown
pt | WMSysKeyDown
pt | WMKeyUp
pt | WMSysKeyUp
pt | WMChar
pt | WMSysChar
pt | WMPaint
pt | WMDestroy
pt | WMMove
pt | WMSize
pt | WMWindowPosChanged
pt | CNKeyDown
pt | CNSysKeyDown
pt | CNKeyUp
pt | CNSysKeyUp
pt | CNChar
pt | DoDragMsg
pt | DoDockClientMsg
pt | DoUndockClientMsg
pt | DoAddDockClient
pt | DockOver
pt | DoDockOver
pt | DoRemoveDockClient
pt | DoUnDock
pt | GetSiteInfo
pt | GetParentHandle
pt | GetTopParentHandle
pt | ReloadDockedControl
pt | CreateDockManager
pt | SetDockManager
pt | DoFloatMsg
pt | DoGetDockCaption
pt | DoEnter
pt | DoExit
pt | DoKeyDownBeforeInterface
pt | DoRemainingKeyDown
pt | DoRemainingKeyUp
pt | DoKeyPress
pt | DoUTF8KeyPress
pt | DoKeyUpBeforeInterface
pt | ChildKey
pt | SendDialogChar
pt | DialogChar
pt | ControlKeyDown
pt | ControlKeyUp
pt | KeyDown
pt | KeyDownBeforeInterface
pt | KeyDownAfterInterface
pt | KeyPress
pt | KeyUp
pt | KeyUpBeforeInterface
pt | KeyUpAfterInterface
pt | UTF8KeyPress
pt | FindNextControl
pt | SelectFirst
pt | RealGetText
pt | GetBorderStyle
pt | GetClientOrigin
pt | GetClientRect
pt | GetControlOrigin
pt | GetDeviceContext
pt | GetParentBackground
pt | IsControlMouseMsg
pt | CreateHandle
pt | CreateParams
pt | CreateWnd
pt | DestroyHandle
pt | DestroyWnd
pt | DoFlipChildren
pt | FinalizeWnd
pt | FixupTabList
pt | FontChanged
pt | InitializeWnd
pt | Loaded
pt | FormEndUpdated
pt | MainWndProc
pt | ParentFormHandleInitialized
pt | ChildHandlesCreated
pt | GetMouseCapture
pt | RealSetText
pt | RemoveFocus
pt | SendMoveSizeMessages
pt | SetBorderStyle
pt | SetColor
pt | SetChildZPosition
pt | SetParentBackground
pt | ShowControl
pt | UpdateControlState
pt | UpdateShowing
pt | WndProc
pt | WSSetText
 | AutoSizePhases
 | AutoSizeDelayed
 | AutoSizeDelayedReport
 | AutoSizeDelayedHandle
 | BeginUpdateBounds
 | EndUpdateBounds
 | LockRealizeBounds
 | UnlockRealizeBounds
 | ControlAtPos
 | ContainsControl
 | DoAdjustClientRectChange
 | InvalidateClientRectCache
 | ClientRectNeedsInterfaceUpdate
 | SetBounds
 | GetChildrenRect
 | DisableAlign
 | EnableAlign
 | ReAlign
 | ScrollBy_WS
 | ScrollBy
 | WriteLayoutDebugReport
 | AutoAdjustLayout
 | Create
 | CreateParented
 | CreateParentedControl
 | Destroy
 | DockDrop
 | CanFocus
 | CanSetFocus
 | GetControlIndex
 | SetControlIndex
 | Focused
 | PerformTab
 | FindChildControl
 | SelectNext
 | SetTempCursor
 | BroadCast
 | NotifyControls
 | DefaultHandler
 | GetTextLen
 | Invalidate
 | AddControl
 | InsertControl
 | RemoveControl
 | GetEnumeratorControls
 | GetEnumeratorControlsReverse
 | Repaint
 | Update
 | SetFocus
 | FlipChildren
 | ScaleBy
 | GetDockCaption
 | UpdateDockCaption
 | GetTabOrderList
 | HandleAllocated
 | ParentHandlesAllocated
 | HandleNeeded
 | BrushCreated
 | EraseBackground
 | IntfUTF8KeyPress
 | IntfGetDropFilesTarget
 | PaintTo
 | SetShape
TControl
pt | WSRegisterClass
pt | GetCursor
pt | SetCursor
pt | SetVisible
pt | DoOnParentHandleDestruction
pt | DoAutoSize
pt | DoAllAutoSize
pt | BeginAutoSizing
pt | EndAutoSizing
pt | AnchorSideChanged
pt | ForeignAnchorSideChanged
pt | SetAlign
pt | SetAnchors
pt | SetAutoSize
pt | BoundsChanged
pt | CreateControlBorderSpacing
pt | DoConstraintsChange
pt | DoBorderSpacingChange
pt | IsBorderSpacingInnerBorderStored
pt | IsCaptionStored
pt | SendMoveSizeMessages
pt | ConstrainedResize
pt | CalculatePreferredSize
pt | DoOnResize
pt | DoOnChangeBounds
pt | CheckOnChangeBounds
pt | Resize
pt | RequestAlign
pt | UpdateAnchorRules
pt | ChangeBounds
pt | DoSetBounds
pt | ScaleConstraints
pt | ChangeScale
pt | CanAutoSize
pt | SetBiDiMode
pt | SetParentBiDiMode
pt | IsAParentAligning
pt | GetClientOrigin
pt | GetClientRect
pt | GetLogicalClientRect
pt | GetScrolledClientRect
pt | GetClientScrollOffset
pt | GetControlOrigin
pt | IsClientHeightStored
pt | IsClientWidthStored
pt | WidthIsAnchored
pt | HeightIsAnchored
pt | WMCancelMode
pt | WMContextMenu
pt | WMLButtonDown
pt | WMRButtonDown
pt | WMMButtonDown
pt | WMXButtonDown
pt | WMLButtonDBLCLK
pt | WMRButtonDBLCLK
pt | WMMButtonDBLCLK
pt | WMXButtonDBLCLK
pt | WMLButtonTripleCLK
pt | WMRButtonTripleCLK
pt | WMMButtonTripleCLK
pt | WMXButtonTripleCLK
pt | WMLButtonQuadCLK
pt | WMRButtonQuadCLK
pt | WMMButtonQuadCLK
pt | WMXButtonQuadCLK
pt | WMMouseMove
pt | WMLButtonUp
pt | WMRButtonUp
pt | WMMButtonUp
pt | WMXButtonUp
pt | WMMouseWheel
pt | WMMouseHWheel
pt | WMMove
pt | WMSize
pt | WMWindowPosChanged
pt | CMChanged
pt | LMCaptureChanged
pt | CMBiDiModeChanged
pt | CMSysFontChanged
pt | CMEnabledChanged
pt | CMHitTest
pt | CMMouseEnter
pt | CMMouseLeave
pt | CMHintShow
pt | CMParentBiDiModeChanged
pt | CMParentColorChanged
pt | CMParentFontChanged
pt | CMParentShowHintChanged
pt | CMVisibleChanged
pt | CMTextChanged
pt | CMCursorChanged
pt | CalculateDockSizes
pt | CreateFloatingDockSite
pt | GetDockEdge
pt | GetDragImages
pt | GetFloating
pt | GetFloatingDockSiteClass
pt | BeforeDragStart
pt | BeginAutoDrag
pt | DoFloatMsg
pt | DockTrackNoTarget
pt | DoDock
pt | DoDragMsg
pt | DoEndDock
pt | DoEndDrag
pt | DoStartDock
pt | DoStartDrag
pt | DragCanceled
pt | DragOver
pt | PositionDockRect
pt | SetDragMode
pt | GetDefaultDockCaption
pt | Click
pt | DblClick
pt | TripleClick
pt | QuadClick
pt | GetMousePosFromMessage
pt | MouseDown
pt | MouseMove
pt | MouseUp
pt | MouseEnter
pt | MouseLeave
pt | DialogChar
pt | UpdateMouseCursor
pt | Changed
pt | GetPalette
pt | ChildClassAllowed
pt | ReadState
pt | Loaded
pt | LoadedAll
pt | DefineProperties
pt | AssignTo
pt | FormEndUpdated
pt | InvalidateControl
pt | FontChanged
pt | ParentFontChanged
pt | GetAction
pt | RealGetText
pt | RealSetText
pt | TextChanged
pt | GetCachedText
pt | SetAction
pt | SetColor
pt | SetEnabled
pt | SetHint
pt | SetName
pt | SetParent
pt | SetParentComponent
pt | WndProc
pt | ParentFormHandleInitialized
pt | GetMouseCapture
pt | CaptureChanged
pt | Notification
pt | CanTab
pt | GetDeviceContext
pt | GetEnabled
pt | GetPopupMenu
pt | DoOnShowHint
pt | DoMouseWheel
pt | DoMouseWheelDown
pt | DoMouseWheelUp
pt | DoMouseWheelHorz
pt | DoMouseWheelLeft
pt | DoMouseWheelRight
pt | VisibleChanging
pt | VisibleChanged
pt | EnabledChanging
pt | EnabledChanged
pt | AddHandler
pt | RemoveHandler
pt | DoCallNotifyHandler
pt | DoCallKeyEventHandler
pt | DoCallMouseWheelEventHandler
pt | DoContextPopup
pt | SetZOrder
pt | GetControlClassDefaultSize
pt | ColorIsStored
pt | DoAutoAdjustLayout
pt | DoFixDesignFontPPI
pt | DoScaleFontPPI
pt | GetActionLinkClass
pt | ActionChange
 | DragDrop
 | Dock
 | ManualDock
 | ManualFloat
 | ReplaceDockedControl
 | Docked
 | Dragging
 | GetAccessibleObject
 | CreateAccessibleObject
 | GetSelectedChildAccessibleObject
 | GetChildAccessibleObjectAtPos
 | ScaleDesignToForm
 | ScaleFormToDesign
 | Scale96ToForm
 | ScaleFormTo96
 | Scale96ToFont
 | ScaleFontTo96
 | ScaleScreenToFont
 | ScaleFontToScreen
 | Scale96ToScreen
 | ScaleScreenTo96
 | AdjustSize
 | AutoSizePhases
 | AutoSizeDelayed
 | AutoSizeDelayedReport
 | AutoSizeDelayedHandle
 | AnchorToNeighbour
 | AnchorParallel
 | AnchorHorizontalCenterTo
 | AnchorVerticalCenterTo
 | AnchorToCompanion
 | AnchorSame
 | AnchorAsAlign
 | AnchorClient
 | AnchoredControlCount
 | SetBounds
 | SetInitialBounds
 | SetBoundsKeepBase
 | GetPreferredSize
 | GetCanvasScaleFactor
 | GetDefaultWidth
 | GetDefaultHeight
 | GetDefaultColor
 | GetColorResolvingParent
 | GetRGBColorResolvingParent
 | GetSidePosition
 | CNPreferredSizeChanged
 | InvalidatePreferredSize
 | GetAnchorsDependingOnParent
 | DisableAutoSizing
 | EnableAutoSizing
 | UpdateBaseBounds
 | WriteLayoutDebugReport
 | AutoAdjustLayout
 | ShouldAutoAdjust
 | FixDesignFontsPPI
 | ScaleFontsPPI
 | Create
 | Destroy
 | BeforeDestruction
 | EditingDone
 | ExecuteDefaultAction
 | ExecuteCancelAction
 | BeginDrag
 | EndDrag
 | BringToFront
 | HasParent
 | GetParentComponent
 | IsParentOf
 | GetTopParent
 | IsVisible
 | IsControlVisible
 | IsEnabled
 | IsParentColor
 | IsParentFont
 | FormIsUpdating
 | IsProcessingPaintMsg
 | Hide
 | Refresh
 | Repaint
 | Invalidate
 | CheckChildClassAllowed
 | CheckNewParent
 | SendToBack
 | SetTempCursor
 | UpdateRolesForForm
 | ActiveDefaultControlChanged
 | GetTextBuf
 | GetTextLen
 | SetTextBuf
 | Perform
 | ScreenToClient
 | ClientToScreen
 | ScreenToControl
 | ControlToScreen
 | ClientToParent
 | ParentToClient
 | GetChildrenRect
 | Show
 | Update
 | HandleObjectShouldBeVisible
 | ParentDestroyingHandle
 | ParentHandlesAllocated
 | InitiateAction
 | ShowHelp
 | HasHelp
 | RemoveAllHandlersOfObject
 | AddHandlerOnResize
 | RemoveHandlerOnResize
 | AddHandlerOnChangeBounds
 | RemoveHandlerOnChangeBounds
 | AddHandlerOnVisibleChanging
 | RemoveHandlerOnVisibleChanging
 | AddHandlerOnVisibleChanged
 | RemoveHandlerOnVisibleChanged
 | AddHandlerOnEnabledChanged
 | RemoveHandlerOnEnableChanging
 | AddHandlerOnKeyDown
 | RemoveHandlerOnKeyDown
 | AddHandlerOnBeforeDestruction
 | RemoveHandlerOnBeforeDestruction
 | AddHandlerOnMouseWheel
 | RemoveHandlerOnMouseWheel
 | UseRightToLeftAlignment
 | UseRightToLeftReading
 | UseRightToLeftScrollBar
 | IsRightToLeft
TLCLComponent
pt | WSRegisterClass
pt | GetWSComponentClass
 | Create
 | Destroy
 | NewInstance
 | RemoveAllHandlersOfObject
 | IncLCLRefCount
 | DecLCLRefCount
TComponent
 | GetComObject
 | GetComponent
 | GetComponentCount
 | GetComponentIndex
 | Insert
 | ReadLeft
 | ReadTop
 | Remove
 | RemoveNotification
 | SetComponentIndex
 | SetReference
 | WriteLeft
 | WriteTop
 | ChangeName
 | DefineProperties
 | GetChildren
 | GetChildOwner
 | GetChildParent
 | GetOwner
 | Loaded
 | Loading
 | Notification
 | PaletteCreated
 | ReadState
 | SetAncestor
 | SetDesigning
 | SetDesignInstance
 | SetInline
 | SetName
 | SetChildOrder
 | SetParentComponent
 | Updating
 | Updated
 | UpdateRegistry
 | ValidateRename
 | ValidateContainer
 | ValidateInsert
 | QueryInterface
 | _AddRef
 | _Release
 | iicrGetComponent
 | GetTypeInfoCount
 | GetTypeInfo
 | GetIDsOfNames
 | Invoke
 | WriteState
 | Create
 | Destroy
 | BeforeDestruction
 | DestroyComponents
 | Destroying
 | ExecuteAction
 | FindComponent
 | FreeNotification
 | RemoveFreeNotification
 | FreeOnRelease
 | GetEnumerator
 | GetNamePath
 | GetParentComponent
 | HasParent
 | InsertComponent
 | RemoveComponent
 | SafeCallException
 | SetSubComponent
 | UpdateAction
 | IsImplementorOf
 | ReferenceInterface
TPersistent
 | AssignError
 | AssignTo
 | DefineProperties
 | GetOwner
 | Destroy
 | Assign
 | FPOAttachObserver
 | FPODetachObserver
 | FPONotifyObservers
 | GetNamePath
TObject
 | Create
 | Destroy
 | newinstance
 | FreeInstance
 | SafeCallException
 | DefaultHandler
 | Free
 | InitInstance
 | CleanupInstance
 | ClassType
 | ClassInfo
 | ClassName
 | ClassNameIs
 | ClassParent
 | InstanceSize
 | InheritsFrom
 | StringMessageTable
 | MethodAddress
 | MethodName
 | FieldAddress
 | AfterConstruction
 | BeforeDestruction
 | DefaultHandlerStr
 | Dispatch
 | DispatchStr
 | GetInterface
 | GetInterfaceByStr
 | GetInterfaceWeak
 | GetInterfaceEntry
 | GetInterfaceEntryByStr
 | GetInterfaceTable
 | UnitName
 | Equals
 | GetHashCode
 | ToString


pt | ActionChange (TControl)
 | ActiveDefaultControlChanged (TControl)
 | ActiveDefaultControlChanged (TCustomButton)
 | AddControl (TWinControl)
pt | AddHandler (TControl)
 | AddHandlerOnBeforeDestruction (TControl)
 | AddHandlerOnChangeBounds (TControl)
 | AddHandlerOnEnabledChanged (TControl)
 | AddHandlerOnKeyDown (TControl)
 | AddHandlerOnMouseWheel (TControl)
 | AddHandlerOnResize (TControl)
 | AddHandlerOnVisibleChanged (TControl)
 | AddHandlerOnVisibleChanging (TControl)
pt | AdjustClientRect (TWinControl)
 | AdjustSize (TControl)
 | AfterConstruction (TObject)
pt | AlignControls (TWinControl)
pt | AllAutoSized (TWinControl)
 | AnchorAsAlign (TControl)
 | AnchorClient (TControl)
 | AnchoredControlCount (TControl)
 | AnchorHorizontalCenterTo (TControl)
 | AnchorParallel (TControl)
 | AnchorSame (TControl)
pt | AnchorSideChanged (TControl)
 | AnchorToCompanion (TControl)
 | AnchorToNeighbour (TControl)
 | AnchorVerticalCenterTo (TControl)
 | Assign (TPersistent)
 | AssignError (TPersistent)
 | AssignTo (TPersistent)
pt | AssignTo (TControl)
 | AutoAdjustLayout (TControl)
 | AutoAdjustLayout (TWinControl)
 | AutoSizeDelayed (TControl)
 | AutoSizeDelayed (TWinControl)
 | AutoSizeDelayedHandle (TControl)
 | AutoSizeDelayedHandle (TWinControl)
 | AutoSizeDelayedReport (TControl)
 | AutoSizeDelayedReport (TWinControl)
 | AutoSizePhases (TControl)
 | AutoSizePhases (TWinControl)
 | BeforeDestruction (TObject)
 | BeforeDestruction (TComponent)
 | BeforeDestruction (TControl)
pt | BeforeDragStart (TControl)
pt | BeginAutoDrag (TControl)
pt | BeginAutoSizing (TControl)
 | BeginDrag (TControl)
 | BeginUpdateBounds (TWinControl)
pt | BoundsChanged (TControl)
 | BringToFront (TControl)
 | BroadCast (TWinControl)
 | BrushCreated (TWinControl)
pt | CalculateDockSizes (TControl)
pt | CalculatePreferredSize (TControl)
pt | CalculatePreferredSize (TWinControl)
pt | CanAutoSize (TControl)
 | CanFocus (TWinControl)
 | CanSetFocus (TWinControl)
pt | CanTab (TControl)
pt | CanTab (TWinControl)
pt | CaptureChanged (TControl)
pt | ChangeBounds (TControl)
pt | Changed (TControl)
 | ChangeName (TComponent)
pt | ChangeScale (TControl)
pt | ChangeScale (TWinControl)
 | CheckChildClassAllowed (TControl)
 | CheckNewParent (TControl)
pt | CheckOnChangeBounds (TControl)
pt | ChildClassAllowed (TControl)
pt | ChildClassAllowed (TWinControl)
pt | ChildClassAllowed (TCustomButton)
pt | ChildHandlesCreated (TWinControl)
pt | ChildKey (TWinControl)
 | ClassInfo (TObject)
 | ClassName (TObject)
 | ClassNameIs (TObject)
 | ClassParent (TObject)
 | ClassType (TObject)
 | CleanupInstance (TObject)
pt | Click (TControl)
pt | Click (TButtonControl)
 | Click (TCustomButton)
 | ClientRectNeedsInterfaceUpdate (TWinControl)
 | ClientToParent (TControl)
 | ClientToScreen (TControl)
pt | CMBiDiModeChanged (TControl)
pt | CMBiDiModeChanged (TWinControl)
pt | CMBorderChanged (TWinControl)
pt | CMChanged (TControl)
pt | CMCursorChanged (TControl)
pt | CMDoubleBufferedChanged (TWinControl)
pt | CMEnabledChanged (TControl)
pt | CMEnabledChanged (TWinControl)
pt | CMEnter (TWinControl)
pt | CMExit (TWinControl)
pt | CMHintShow (TControl)
pt | CMHitTest (TControl)
pt | CMMouseEnter (TControl)
pt | CMMouseLeave (TControl)
pt | CMParentBiDiModeChanged (TControl)
pt | CMParentColorChanged (TControl)
pt | CMParentDoubleBufferedChanged (TWinControl)
pt | CMParentFontChanged (TControl)
pt | CMParentShowHintChanged (TControl)
pt | CMShowHintChanged (TWinControl)
pt | CMShowingChanged (TWinControl)
pt | CMSysFontChanged (TControl)
pt | CMTextChanged (TControl)
pt | CMVisibleChanged (TControl)
pt | CMVisibleChanged (TWinControl)
pt | CNChar (TWinControl)
pt | CNKeyDown (TWinControl)
pt | CNKeyUp (TWinControl)
 | CNPreferredSizeChanged (TControl)
pt | CNSysKeyDown (TWinControl)
pt | CNSysKeyUp (TWinControl)
pt | ColorIsStored (TControl)
pt | ConstrainedResize (TControl)
 | ContainsControl (TWinControl)
 | ControlAtPos (TWinControl)
pt | ControlKeyDown (TWinControl)
pt | ControlKeyDown (TCustomButton)
pt | ControlKeyUp (TWinControl)
pt | ControlKeyUp (TCustomButton)
pt | ControlsAligned (TWinControl)
 | ControlToScreen (TControl)
 | Create (TObject)
 | Create (TComponent)
 | Create (TLCLComponent)
 | Create (TControl)
 | Create (TWinControl)
 | Create (TButtonControl)
 | Create (TCustomButton)
 | CreateAccessibleObject (TControl)
pt | CreateBrush (TWinControl)
pt | CreateControlBorderSpacing (TControl)
pt | CreateDockManager (TWinControl)
pt | CreateFloatingDockSite (TControl)
pt | CreateHandle (TWinControl)
pt | CreateParams (TWinControl)
pt | CreateParams (TCustomButton)
 | CreateParented (TWinControl)
 | CreateParentedControl (TWinControl)
pt | CreateSubClass (TWinControl)
pt | CreateWnd (TWinControl)
pt | CreateWnd (TCustomButton)
pt | CustomAlignInsertBefore (TWinControl)
pt | CustomAlignPosition (TWinControl)
pt | DblClick (TControl)
 | DecLCLRefCount (TLCLComponent)
 | DefaultHandler (TObject)
 | DefaultHandler (TWinControl)
 | DefaultHandlerStr (TObject)
 | DefineProperties (TPersistent)
 | DefineProperties (TComponent)
pt | DefineProperties (TControl)
 | Destroy (TObject)
 | Destroy (TPersistent)
 | Destroy (TComponent)
 | Destroy (TLCLComponent)
 | Destroy (TControl)
 | Destroy (TWinControl)
 | DestroyComponents (TComponent)
pt | DestroyHandle (TWinControl)
 | Destroying (TComponent)
pt | DestroyWnd (TWinControl)
pt | DialogChar (TControl)
pt | DialogChar (TWinControl)
pt | DialogChar (TCustomButton)
 | DisableAlign (TWinControl)
 | DisableAutoSizing (TControl)
 | Dispatch (TObject)
 | DispatchStr (TObject)
pt | DoAddDockClient (TWinControl)
 | DoAdjustClientRectChange (TWinControl)
pt | DoAlignChildControls (TWinControl)
pt | DoAllAutoSize (TControl)
pt | DoAllAutoSize (TWinControl)
pt | DoAutoAdjustLayout (TControl)
pt | DoAutoSize (TControl)
pt | DoAutoSize (TWinControl)
pt | DoBorderSpacingChange (TControl)
pt | DoCallKeyEventHandler (TControl)
pt | DoCallMouseWheelEventHandler (TControl)
pt | DoCallNotifyHandler (TControl)
pt | DoChildSizingChange (TWinControl)
 | Dock (TControl)
 | DockDrop (TWinControl)
 | Docked (TControl)
pt | DockOver (TWinControl)
pt | DockTrackNoTarget (TControl)
pt | DoConstraintsChange (TControl)
pt | DoConstraintsChange (TWinControl)
pt | DoContextPopup (TControl)
pt | DoDock (TControl)
pt | DoDockClientMsg (TWinControl)
pt | DoDockOver (TWinControl)
pt | DoDragMsg (TControl)
pt | DoDragMsg (TWinControl)
pt | DoEndDock (TControl)
pt | DoEndDrag (TControl)
pt | DoEnter (TWinControl)
pt | DoExit (TWinControl)
pt | DoFixDesignFontPPI (TControl)
pt | DoFlipChildren (TWinControl)
pt | DoFloatMsg (TControl)
pt | DoFloatMsg (TWinControl)
pt | DoGetDockCaption (TWinControl)
pt | DoKeyDownBeforeInterface (TWinControl)
pt | DoKeyPress (TWinControl)
pt | DoKeyUpBeforeInterface (TWinControl)
pt | DoMouseWheel (TControl)
pt | DoMouseWheelDown (TControl)
pt | DoMouseWheelHorz (TControl)
pt | DoMouseWheelLeft (TControl)
pt | DoMouseWheelRight (TControl)
pt | DoMouseWheelUp (TControl)
pt | DoOnChange (TButtonControl)
pt | DoOnChangeBounds (TControl)
pt | DoOnParentHandleDestruction (TControl)
pt | DoOnResize (TControl)
pt | DoOnShowHint (TControl)
pt | DoRemainingKeyDown (TWinControl)
pt | DoRemainingKeyUp (TWinControl)
pt | DoRemoveDockClient (TWinControl)
pt | DoScaleFontPPI (TControl)
pt | DoSendBoundsToInterface (TWinControl)
pt | DoSendShowHideToInterface (TWinControl)
pt | DoSetBounds (TControl)
pt | DoSetBounds (TWinControl)
pt | DoStartDock (TControl)
pt | DoStartDrag (TControl)
pt | DoUnDock (TWinControl)
pt | DoUndockClientMsg (TWinControl)
pt | DoUTF8KeyPress (TWinControl)
pt | DragCanceled (TControl)
 | DragDrop (TControl)
 | Dragging (TControl)
pt | DragOver (TControl)
 | EditingDone (TControl)
 | EnableAlign (TWinControl)
 | EnableAutoSizing (TControl)
pt | EnabledChanged (TControl)
pt | EnabledChanging (TControl)
pt | EndAutoSizing (TControl)
 | EndDrag (TControl)
 | EndUpdateBounds (TWinControl)
 | Equals (TObject)
 | EraseBackground (TWinControl)
 | ExecuteAction (TComponent)
 | ExecuteCancelAction (TControl)
 | ExecuteCancelAction (TCustomButton)
 | ExecuteDefaultAction (TControl)
 | ExecuteDefaultAction (TCustomButton)
 | FieldAddress (TObject)
pt | FinalizeWnd (TWinControl)
 | FindChildControl (TWinControl)
 | FindComponent (TComponent)
pt | FindNextControl (TWinControl)
 | FixDesignFontsPPI (TControl)
pt | FixupTabList (TWinControl)
 | FlipChildren (TWinControl)
 | Focused (TWinControl)
pt | FontChanged (TControl)
pt | FontChanged (TWinControl)
pt | ForeignAnchorSideChanged (TControl)
pt | FormEndUpdated (TControl)
pt | FormEndUpdated (TWinControl)
 | FormIsUpdating (TControl)
 | FPOAttachObserver (TPersistent)
 | FPODetachObserver (TPersistent)
 | FPONotifyObservers (TPersistent)
 | Free (TObject)
 | FreeInstance (TObject)
 | FreeNotification (TComponent)
 | FreeOnRelease (TComponent)
 | GetAccessibleObject (TControl)
pt | GetAction (TControl)
pt | GetActionLinkClass (TControl)
pt | GetActionLinkClass (TButtonControl)
pt | GetAdjustedLogicalClientRect (TWinControl)
 | GetAnchorsDependingOnParent (TControl)
pt | GetBorderStyle (TWinControl)
pt | GetCachedText (TControl)
 | GetCanvasScaleFactor (TControl)
pt | GetChecked (TButtonControl)
 | GetChildAccessibleObjectAtPos (TControl)
 | GetChildOwner (TComponent)
 | GetChildParent (TComponent)
 | GetChildren (TComponent)
pt | GetChildren (TWinControl)
 | GetChildrenRect (TControl)
 | GetChildrenRect (TWinControl)
pt | GetClientOrigin (TControl)
pt | GetClientOrigin (TWinControl)
pt | GetClientRect (TControl)
pt | GetClientRect (TWinControl)
pt | GetClientScrollOffset (TControl)
 | GetColorResolvingParent (TControl)
 | GetComObject (TComponent)
 | GetComponent (TComponent)
 | GetComponentCount (TComponent)
 | GetComponentIndex (TComponent)
pt | GetControlClassDefaultSize (TControl)
pt | GetControlClassDefaultSize (TCustomButton)
 | GetControlIndex (TWinControl)
pt | GetControlOrigin (TControl)
pt | GetControlOrigin (TWinControl)
pt | GetCursor (TControl)
 | GetDefaultColor (TControl)
pt | GetDefaultDockCaption (TControl)
 | GetDefaultHeight (TControl)
 | GetDefaultWidth (TControl)
pt | GetDeviceContext (TControl)
pt | GetDeviceContext (TWinControl)
 | GetDockCaption (TWinControl)
pt | GetDockEdge (TControl)
pt | GetDragImages (TControl)
pt | GetEnabled (TControl)
 | GetEnumerator (TComponent)
 | GetEnumeratorControls (TWinControl)
 | GetEnumeratorControlsReverse (TWinControl)
pt | GetFloating (TControl)
pt | GetFloatingDockSiteClass (TControl)
 | GetHashCode (TObject)
 | GetIDsOfNames (TComponent)
 | GetInterface (TObject)
 | GetInterfaceByStr (TObject)
 | GetInterfaceEntry (TObject)
 | GetInterfaceEntryByStr (TObject)
 | GetInterfaceTable (TObject)
 | GetInterfaceWeak (TObject)
pt | GetLogicalClientRect (TControl)
pt | GetMouseCapture (TControl)
pt | GetMouseCapture (TWinControl)
pt | GetMousePosFromMessage (TControl)
 | GetNamePath (TPersistent)
 | GetNamePath (TComponent)
 | GetOwner (TPersistent)
 | GetOwner (TComponent)
pt | GetPalette (TControl)
pt | GetParentBackground (TWinControl)
 | GetParentComponent (TComponent)
 | GetParentComponent (TControl)
pt | GetParentHandle (TWinControl)
pt | GetPopupMenu (TControl)
 | GetPreferredSize (TControl)
pt | GetPreferredSizeClientFrame (TWinControl)
 | GetRGBColorResolvingParent (TControl)
pt | GetScrolledClientRect (TControl)
 | GetSelectedChildAccessibleObject (TControl)
 | GetSidePosition (TControl)
pt | GetSiteInfo (TWinControl)
 | GetTabOrderList (TWinControl)
 | GetTextBuf (TControl)
 | GetTextLen (TControl)
 | GetTextLen (TWinControl)
 | GetTopParent (TControl)
pt | GetTopParentHandle (TWinControl)
 | GetTypeInfo (TComponent)
 | GetTypeInfoCount (TComponent)
pt | GetWSComponentClass (TLCLComponent)
 | HandleAllocated (TWinControl)
 | HandleNeeded (TWinControl)
 | HandleObjectShouldBeVisible (TControl)
 | HasHelp (TControl)
 | HasParent (TComponent)
 | HasParent (TControl)
pt | HeightIsAnchored (TControl)
 | Hide (TControl)
 | iicrGetComponent (TComponent)
 | IncLCLRefCount (TLCLComponent)
 | InheritsFrom (TObject)
pt | InitializeWnd (TWinControl)
 | InitiateAction (TControl)
 | InitInstance (TObject)
 | Insert (TComponent)
 | InsertComponent (TComponent)
 | InsertControl (TWinControl)
 | InstanceSize (TObject)
 | IntfGetDropFilesTarget (TWinControl)
 | IntfUTF8KeyPress (TWinControl)
 | Invalidate (TControl)
 | Invalidate (TWinControl)
pt | InvalidateBoundsRealized (TWinControl)
 | InvalidateClientRectCache (TWinControl)
pt | InvalidateControl (TControl)
pt | InvalidatePreferredChildSizes (TWinControl)
 | InvalidatePreferredSize (TControl)
 | Invoke (TComponent)
pt | IsAParentAligning (TControl)
pt | IsBorderSpacingInnerBorderStored (TControl)
pt | IsCaptionStored (TControl)
pt | IsClientHeightStored (TControl)
pt | IsClientHeightStored (TWinControl)
pt | IsClientWidthStored (TControl)
pt | IsClientWidthStored (TWinControl)
pt | IsControlMouseMsg (TWinControl)
 | IsControlVisible (TControl)
 | IsEnabled (TControl)
 | IsImplementorOf (TComponent)
 | IsParentColor (TControl)
 | IsParentFont (TControl)
 | IsParentOf (TControl)
 | IsProcessingPaintMsg (TControl)
 | IsRightToLeft (TControl)
 | IsVisible (TControl)
pt | KeyDown (TWinControl)
pt | KeyDownAfterInterface (TWinControl)
pt | KeyDownBeforeInterface (TWinControl)
pt | KeyPress (TWinControl)
pt | KeyUp (TWinControl)
pt | KeyUpAfterInterface (TWinControl)
pt | KeyUpBeforeInterface (TWinControl)
pt | LMCaptureChanged (TControl)
 | Loaded (TComponent)
pt | Loaded (TControl)
pt | Loaded (TWinControl)
pt | Loaded (TCustomButton)
pt | LoadedAll (TControl)
 | Loading (TComponent)
 | LockRealizeBounds (TWinControl)
pt | MainWndProc (TWinControl)
 | ManualDock (TControl)
 | ManualFloat (TControl)
 | MethodAddress (TObject)
 | MethodName (TObject)
pt | MouseDown (TControl)
pt | MouseEnter (TControl)
pt | MouseLeave (TControl)
pt | MouseMove (TControl)
pt | MouseUp (TControl)
pt | msg_GetGrid (TButtonCellEditor)
pt | msg_Ready (TButtonCellEditor)
pt | msg_SetBounds (TButtonCellEditor)
pt | msg_SetGrid (TButtonCellEditor)
pt | msg_SetPos (TButtonCellEditor)
 | newinstance (TObject)
 | NewInstance (TLCLComponent)
 | Notification (TComponent)
pt | Notification (TControl)
 | NotifyControls (TWinControl)
pt | PaintControls (TWinControl)
pt | PaintHandler (TWinControl)
 | PaintTo (TWinControl)
pt | PaintWindow (TWinControl)
 | PaletteCreated (TComponent)
 | ParentDestroyingHandle (TControl)
pt | ParentFontChanged (TControl)
pt | ParentFormHandleInitialized (TControl)
pt | ParentFormHandleInitialized (TWinControl)
 | ParentHandlesAllocated (TControl)
 | ParentHandlesAllocated (TWinControl)
 | ParentToClient (TControl)
 | Perform (TControl)
 | PerformTab (TWinControl)
pt | PositionDockRect (TControl)
pt | QuadClick (TControl)
 | QueryInterface (TComponent)
 | ReadLeft (TComponent)
 | ReadState (TComponent)
pt | ReadState (TControl)
 | ReadTop (TComponent)
pt | RealGetText (TControl)
pt | RealGetText (TWinControl)
 | ReAlign (TWinControl)
pt | RealizeBounds (TWinControl)
pt | RealizeBoundsRecursive (TWinControl)
pt | RealSetText (TControl)
pt | RealSetText (TWinControl)
 | ReferenceInterface (TComponent)
 | Refresh (TControl)
pt | ReloadDockedControl (TWinControl)
 | Remove (TComponent)
 | RemoveAllHandlersOfObject (TLCLComponent)
 | RemoveAllHandlersOfObject (TControl)
 | RemoveComponent (TComponent)
 | RemoveControl (TWinControl)
pt | RemoveFocus (TWinControl)
 | RemoveFreeNotification (TComponent)
pt | RemoveHandler (TControl)
 | RemoveHandlerOnBeforeDestruction (TControl)
 | RemoveHandlerOnChangeBounds (TControl)
 | RemoveHandlerOnEnableChanging (TControl)
 | RemoveHandlerOnKeyDown (TControl)
 | RemoveHandlerOnMouseWheel (TControl)
 | RemoveHandlerOnResize (TControl)
 | RemoveHandlerOnVisibleChanged (TControl)
 | RemoveHandlerOnVisibleChanging (TControl)
 | RemoveNotification (TComponent)
 | Repaint (TControl)
 | Repaint (TWinControl)
 | ReplaceDockedControl (TControl)
pt | RequestAlign (TControl)
pt | Resize (TControl)
 | SafeCallException (TObject)
 | SafeCallException (TComponent)
 | Scale96ToFont (TControl)
 | Scale96ToForm (TControl)
 | Scale96ToScreen (TControl)
 | ScaleBy (TWinControl)
pt | ScaleConstraints (TControl)
pt | ScaleControls (TWinControl)
 | ScaleDesignToForm (TControl)
 | ScaleFontsPPI (TControl)
 | ScaleFontTo96 (TControl)
 | ScaleFontToScreen (TControl)
 | ScaleFormTo96 (TControl)
 | ScaleFormToDesign (TControl)
 | ScaleScreenTo96 (TControl)
 | ScaleScreenToFont (TControl)
 | ScreenToClient (TControl)
 | ScreenToControl (TControl)
 | ScrollBy (TWinControl)
 | ScrollBy_WS (TWinControl)
pt | SelectFirst (TWinControl)
 | SelectNext (TWinControl)
pt | SendDialogChar (TWinControl)
pt | SendMoveSizeMessages (TControl)
pt | SendMoveSizeMessages (TWinControl)
 | SendToBack (TControl)
pt | SetAction (TControl)
pt | SetAlign (TControl)
 | SetAncestor (TComponent)
pt | SetAnchors (TControl)
pt | SetAutoSize (TControl)
pt | SetBiDiMode (TControl)
pt | SetBorderStyle (TWinControl)
 | SetBounds (TControl)
 | SetBounds (TWinControl)
 | SetBoundsKeepBase (TControl)
pt | SetChecked (TButtonControl)
 | SetChildOrder (TComponent)
pt | SetChildZPosition (TWinControl)
pt | SetColor (TControl)
pt | SetColor (TWinControl)
 | SetComponentIndex (TComponent)
 | SetControlIndex (TWinControl)
pt | SetCursor (TControl)
 | SetDesigning (TComponent)
 | SetDesignInstance (TComponent)
pt | SetDockManager (TWinControl)
pt | SetDragMode (TControl)
pt | SetEnabled (TControl)
 | SetFocus (TWinControl)
pt | SetHint (TControl)
 | SetInitialBounds (TControl)
 | SetInline (TComponent)
 | SetName (TComponent)
pt | SetName (TControl)
pt | SetParent (TControl)
pt | SetParentBackground (TWinControl)
pt | SetParentBiDiMode (TControl)
 | SetParentComponent (TComponent)
pt | SetParentComponent (TControl)
 | SetReference (TComponent)
 | SetShape (TWinControl)
 | SetSubComponent (TComponent)
 | SetTempCursor (TControl)
 | SetTempCursor (TWinControl)
 | SetTextBuf (TControl)
pt | SetVisible (TControl)
pt | SetZOrder (TControl)
 | ShouldAutoAdjust (TControl)
 | Show (TControl)
pt | ShowControl (TWinControl)
 | ShowHelp (TControl)
 | StringMessageTable (TObject)
pt | TextChanged (TControl)
pt | TextChanged (TCustomButton)
 | ToString (TObject)
pt | TripleClick (TControl)
 | UnitName (TObject)
 | UnlockRealizeBounds (TWinControl)
 | Update (TControl)
 | Update (TWinControl)
 | UpdateAction (TComponent)
pt | UpdateAnchorRules (TControl)
 | UpdateBaseBounds (TControl)
pt | UpdateControlState (TWinControl)
 | Updated (TComponent)
pt | UpdateDefaultCancel (TCustomButton)
 | UpdateDockCaption (TWinControl)
pt | UpdateMouseCursor (TControl)
 | UpdateRegistry (TComponent)
 | UpdateRolesForForm (TControl)
 | UpdateRolesForForm (TCustomButton)
pt | UpdateShowing (TWinControl)
 | Updating (TComponent)
 | UseRightToLeftAlignment (TControl)
 | UseRightToLeftAlignment (TCustomButton)
 | UseRightToLeftReading (TControl)
 | UseRightToLeftScrollBar (TControl)
pt | UTF8KeyPress (TWinControl)
 | ValidateContainer (TComponent)
 | ValidateInsert (TComponent)
 | ValidateRename (TComponent)
pt | VisibleChanged (TControl)
pt | VisibleChanging (TControl)
pt | WidthIsAnchored (TControl)
pt | WMCancelMode (TControl)
pt | WMChar (TWinControl)
pt | WMContextMenu (TControl)
pt | WMContextMenu (TWinControl)
pt | WMDestroy (TWinControl)
pt | WMEnter (TWinControl)
pt | WMEraseBkgnd (TWinControl)
pt | WMExit (TWinControl)
pt | WMKeyDown (TWinControl)
pt | WMKeyUp (TWinControl)
pt | WMKillFocus (TWinControl)
pt | WMLButtonDBLCLK (TControl)
pt | WMLButtonDown (TControl)
pt | WMLButtonQuadCLK (TControl)
pt | WMLButtonTripleCLK (TControl)
pt | WMLButtonUp (TControl)
pt | WMMButtonDBLCLK (TControl)
pt | WMMButtonDown (TControl)
pt | WMMButtonQuadCLK (TControl)
pt | WMMButtonTripleCLK (TControl)
pt | WMMButtonUp (TControl)
pt | WMMouseHWheel (TControl)
pt | WMMouseMove (TControl)
pt | WMMouseWheel (TControl)
pt | WMMove (TControl)
pt | WMMove (TWinControl)
pt | WMNotify (TWinControl)
pt | WMPaint (TWinControl)
pt | WMRButtonDBLCLK (TControl)
pt | WMRButtonDown (TControl)
pt | WMRButtonQuadCLK (TControl)
pt | WMRButtonTripleCLK (TControl)
pt | WMRButtonUp (TControl)
pt | WMSetFocus (TWinControl)
pt | WMShowWindow (TWinControl)
pt | WMSize (TControl)
pt | WMSize (TWinControl)
pt | WMSysChar (TWinControl)
pt | WMSysKeyDown (TWinControl)
pt | WMSysKeyUp (TWinControl)
pt | WMWindowPosChanged (TControl)
pt | WMWindowPosChanged (TWinControl)
pt | WMXButtonDBLCLK (TControl)
pt | WMXButtonDown (TControl)
pt | WMXButtonQuadCLK (TControl)
pt | WMXButtonTripleCLK (TControl)
pt | WMXButtonUp (TControl)
pt | WndProc (TControl)
pt | WndProc (TWinControl)
 | WriteLayoutDebugReport (TControl)
 | WriteLayoutDebugReport (TWinControl)
 | WriteLeft (TComponent)
 | WriteState (TComponent)
 | WriteTop (TComponent)
pt | WSRegisterClass (TLCLComponent)
pt | WSRegisterClass (TControl)
pt | WSRegisterClass (TWinControl)
pt | WSRegisterClass (TButtonControl)
pt | WSRegisterClass (TCustomButton)
pt | WSSetDefault (TCustomButton)
pt | WSSetText (TWinControl)
pt | WSSetText (TCustomButton)
 | _AddRef (TComponent)
 | _Release (TComponent)


TButtonCellEditor
TButton
pl | ro | OnChangeBounds
pl | ro | OnClick
pl | ro | OnContextPopup
pl | ro | OnDragDrop
pl | ro | OnDragOver
pl | ro | OnEndDrag
pl | ro | OnEnter
pl | ro | OnExit
pl | ro | OnKeyDown
pl | ro | OnKeyPress
pl | ro | OnKeyUp
pl | ro | OnMouseDown
pl | ro | OnMouseEnter
pl | ro | OnMouseLeave
pl | ro | OnMouseMove
pl | ro | OnMouseUp
pl | ro | OnMouseWheel
pl | ro | OnMouseWheelDown
pl | ro | OnMouseWheelUp
pl | ro | OnResize
pl | ro | OnStartDrag
pl | ro | OnUTF8KeyPress
TCustomButton
TButtonControl
pt |  | OnChange
TWinControl
pt |  | OnGetSiteInfo
pt |  | OnGetDockCaption
 |  | OnAlignInsertBefore
 |  | OnAlignPosition
 |  | OnDockDrop
 |  | OnDockOver
 |  | OnEnter
 |  | OnExit
 |  | OnKeyDown
 |  | OnKeyPress
 |  | OnKeyUp
 |  | OnUnDock
 |  | OnUTF8KeyPress
TControl
pt |  | OnConstrainedResize
pt |  | OnContextPopup
pt |  | OnDblClick
pt |  | OnTripleClick
pt |  | OnQuadClick
pt |  | OnDragDrop
pt |  | OnDragOver
pt |  | OnEndDock
pt |  | OnEndDrag
pt |  | OnMouseDown
pt |  | OnMouseMove
pt |  | OnMouseUp
pt |  | OnMouseEnter
pt |  | OnMouseLeave
pt |  | OnMouseWheel
pt |  | OnMouseWheelDown
pt |  | OnMouseWheelUp
pt |  | OnMouseWheelHorz
pt |  | OnMouseWheelLeft
pt |  | OnMouseWheelRight
pt |  | OnStartDock
pt |  | OnStartDrag
pt |  | OnEditingDone
 |  | OnChangeBounds
 |  | OnClick
 |  | OnResize
 |  | OnShowHint
TLCLComponent
TComponent
TPersistent
TObject


pt |  | OnChange (TButtonControl)
 |  | OnChangeBounds (TControl)
pl | ro | OnChangeBounds (TButton)
 |  | OnClick (TControl)
pl | ro | OnClick (TButton)
pt |  | OnConstrainedResize (TControl)
pt |  | OnContextPopup (TControl)
pl | ro | OnContextPopup (TButton)
pt |  | OnDblClick (TControl)
 |  | OnDockDrop (TWinControl)
 |  | OnDockOver (TWinControl)
pt |  | OnDragDrop (TControl)
pl | ro | OnDragDrop (TButton)
pt |  | OnDragOver (TControl)
pl | ro | OnDragOver (TButton)
pt |  | OnEditingDone (TControl)
pt |  | OnEndDock (TControl)
pt |  | OnEndDrag (TControl)
pl | ro | OnEndDrag (TButton)
 |  | OnEnter (TWinControl)
pl | ro | OnEnter (TButton)
 |  | OnExit (TWinControl)
pl | ro | OnExit (TButton)
pt |  | OnGetDockCaption (TWinControl)
pt |  | OnGetSiteInfo (TWinControl)
 |  | OnKeyDown (TWinControl)
pl | ro | OnKeyDown (TButton)
 |  | OnKeyPress (TWinControl)
pl | ro | OnKeyPress (TButton)
 |  | OnKeyUp (TWinControl)
pl | ro | OnKeyUp (TButton)
pt |  | OnMouseDown (TControl)
pl | ro | OnMouseDown (TButton)
pt |  | OnMouseEnter (TControl)
pl | ro | OnMouseEnter (TButton)
pt |  | OnMouseLeave (TControl)
pl | ro | OnMouseLeave (TButton)
pt |  | OnMouseMove (TControl)
pl | ro | OnMouseMove (TButton)
pt |  | OnMouseUp (TControl)
pl | ro | OnMouseUp (TButton)
pt |  | OnMouseWheel (TControl)
pl | ro | OnMouseWheel (TButton)
pt |  | OnMouseWheelDown (TControl)
pl | ro | OnMouseWheelDown (TButton)
pt |  | OnMouseWheelHorz (TControl)
pt |  | OnMouseWheelLeft (TControl)
pt |  | OnMouseWheelRight (TControl)
pt |  | OnMouseWheelUp (TControl)
pl | ro | OnMouseWheelUp (TButton)
pt |  | OnQuadClick (TControl)
 |  | OnResize (TControl)
pl | ro | OnResize (TButton)
 |  | OnShowHint (TControl)
pt |  | OnStartDock (TControl)
pt |  | OnStartDrag (TControl)
pl | ro | OnStartDrag (TButton)
pt |  | OnTripleClick (TControl)
 |  | OnUnDock (TWinControl)
 |  | OnUTF8KeyPress (TWinControl)
pl | ro | OnUTF8KeyPress (TButton)


TButtonCellEditor.Col

Col - the column in which the edited cell resides

Declaration

Source position: grids.pas line 267

public property TButtonCellEditor.Col : Integer
  read FCol;


TButtonCellEditor.msg_GetGrid

Declaration

Source position: grids.pas line 265

protected procedure TButtonCellEditor.msg_GetGrid(

  var Msg: TGridMessage

); message;


TButtonCellEditor.msg_Ready

msg_Ready - issues message when ready

Declaration

Source position: grids.pas line 264

protected procedure TButtonCellEditor.msg_Ready(

  var Msg: TGridMessage

); message;


TButtonCellEditor.msg_SetBounds

msg_SetBounds - issues message for specifying bounds

Declaration

Source position: grids.pas line 262

protected procedure TButtonCellEditor.msg_SetBounds(

  var Msg: TGridMessage

); message;


TButtonCellEditor.msg_SetGrid

msg_SetGrid - issues message for specifying grid

Declaration

Source position: grids.pas line 261

protected procedure TButtonCellEditor.msg_SetGrid(

  var Msg: TGridMessage

); message;


TButtonCellEditor.msg_SetPos

msg_SetPos - issues message for specifying position

Declaration

Source position: grids.pas line 263

protected procedure TButtonCellEditor.msg_SetPos(

  var Msg: TGridMessage

); message;


TButtonCellEditor.Row

Row - the row in which the edited cell resides

Declaration

Source position: grids.pas line 268

public property TButtonCellEditor.Row : Integer
  read FRow;


TCompositeCellEditor

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

TCompositeCellEditor - a general purpose editor for cells in a grid

Declaration

Source position: grids.pas line 303

type TCompositeCellEditor = class(TWinControl)
protected
function DoUTF8KeyPress(); override;
procedure msg_GetValue(); message; | msg_GetValue - issues a message to find the value
procedure msg_SetGrid(); message; | msg_SetGrid - issues message for specifying grid
procedure msg_SetValue(); message; | msg_SetValue - issues a message to specify the value
procedure msg_SetBounds(); message; | msg_SetBounds - issues message for specifying bounds
procedure msg_SetMask(); message; | msg_SetMask - issues message for specifying mask
procedure msg_SelectAll(); message; | msg_SelectAll - issues message for Selecting All
procedure CMControlChange(); message; | CMControlChange - issues Control Message for a change in a control
procedure msg_SetPos(); message; | msg_SetPos - issues a message to specify the position
procedure msg_GetGrid(); message;
function GetActiveControl;
procedure VisibleChanging; override; | Notifies all OnVisibleChanging handlers.
function SendChar(); | SendChar - transmits the specified character and returns an integer status result
procedure WndProc(); override; | The general message handler for this control.
public
destructor Destroy; override;
procedure AddEditor(); | AddEditor - adds the specified Editor with the given alignment and specified ActiveControl propery
procedure SetFocus; override;
function Focused; override;
property MaxLength: Integer; [rw]
property ActiveControl: TWinControl; [r]
end;

Inheritance

TCompositeCellEditor | TCompositeCellEditor - a general purpose editor for cells in a grid
|
TWinControl | The base class for controls which can contain other (child) controls.
|
TControl | The base class for visible controls.
|
TLCLComponent | The base class for LCL components associated with widgets.
|
TComponent,IUnknown,IInterfaceComponentReference
|
TPersistent,IFPObserved
|
TObject


TCompositeCellEditor
 |  | MaxLength
 | ro | ActiveControl
TWinControl
pt |  | WindowHandle
pt |  | BorderStyle
pt |  | ParentBackground
 |  | BorderWidth
 | ro | BoundsLockCount
 | ro | Brush
 | ro | CachedClientHeight
 | ro | CachedClientWidth
 |  | ChildSizing
 | ro | ControlCount
 | ro | Controls
 |  | DefWndProc
 | ro | DockClientCount
 | ro | DockClients
 |  | DockManager
 |  | DockSite
 |  | DoubleBuffered
 |  | Handle
 | ro | IsFlipped
 | ro | IsResizing
 |  | TabOrder
 |  | TabStop
 |  | ParentDoubleBuffered
 |  | ParentWindow
 | ro | Showing
 |  | UseDockManager
 |  | DesignerDeleting
 | ro | VisibleDockClientCount
TControl
pt | ro | AutoSizing
pt | ro | AutoSizingAll
pt | ro | AutoSizingLockCount
pt |  | ActionLink
pt |  | DesktopFont
pt |  | DragCursor
pt |  | DragKind
pt |  | DragMode
pt |  | MouseCapture
pt |  | ParentColor
pt |  | ParentFont
pt |  | ParentShowHint
pt |  | SessionProperties
pt |  | Text
 | ro | AnchoredControls
 | ro | BaseBounds
 | ro | ReadBounds
 | ro | BaseParentClientSize
 |  | AccessibleDescription
 |  | AccessibleValue
 |  | AccessibleRole
 |  | Action
 |  | Align
 |  | Anchors
 | ro | AnchorSide
 |  | AutoSize
 |  | BorderSpacing
 |  | BoundsRect
 |  | BoundsRectForNewParent
 |  | Caption
 |  | CaptureMouseButtons
 |  | ClientHeight
 | ro | ClientOrigin
 | ro | ClientRect
 |  | ClientWidth
 |  | Color
 |  | Constraints
 | ro | ControlOrigin
 |  | ControlState
 |  | ControlStyle
 |  | Enabled
 |  | Font
 |  | IsControl
 | ro | MouseEntered
 | ro | MouseInClient
 |  | Parent
 |  | PopupMenu
 |  | ShowHint
 |  | Visible
 |  | WindowProc
 |  | DockOrientation
 | ro | Floating
 |  | FloatingDockSiteClass
 |  | HostDockSite
 |  | LRDockWidth
 |  | TBDockHeight
 |  | UndockHeight
 |  | UndockWidth
 |  | BiDiMode
 |  | ParentBiDiMode
pl |  | AnchorSideLeft
pl |  | AnchorSideTop
pl |  | AnchorSideRight
pl |  | AnchorSideBottom
pl |  | Cursor
pl |  | Left
pl |  | Height
pl |  | Hint
pl |  | Top
pl |  | Width
pl |  | HelpType
pl |  | HelpKeyword
pl |  | HelpContext
TLCLComponent
 | ro | LCLRefCount
 | ro | WidgetSetClass
TComponent
 | ro | ComObject
 | ro | Components
 | ro | ComponentCount
 |  | ComponentIndex
 | ro | ComponentState
 | ro | ComponentStyle
 |  | DesignInfo
 | ro | Owner
 |  | VCLComObject
 |  | Name
 |  | Tag
TPersistent
TObject


 |  | AccessibleDescription (TControl)
 |  | AccessibleRole (TControl)
 |  | AccessibleValue (TControl)
 |  | Action (TControl)
pt |  | ActionLink (TControl)
 | ro | ActiveControl (TCompositeCellEditor)
 |  | Align (TControl)
 | ro | AnchoredControls (TControl)
 |  | Anchors (TControl)
 | ro | AnchorSide (TControl)
pl |  | AnchorSideBottom (TControl)
pl |  | AnchorSideLeft (TControl)
pl |  | AnchorSideRight (TControl)
pl |  | AnchorSideTop (TControl)
 |  | AutoSize (TControl)
pt | ro | AutoSizing (TControl)
pt | ro | AutoSizingAll (TControl)
pt | ro | AutoSizingLockCount (TControl)
 | ro | BaseBounds (TControl)
 | ro | BaseParentClientSize (TControl)
 |  | BiDiMode (TControl)
 |  | BorderSpacing (TControl)
pt |  | BorderStyle (TWinControl)
 |  | BorderWidth (TWinControl)
 | ro | BoundsLockCount (TWinControl)
 |  | BoundsRect (TControl)
 |  | BoundsRectForNewParent (TControl)
 | ro | Brush (TWinControl)
 | ro | CachedClientHeight (TWinControl)
 | ro | CachedClientWidth (TWinControl)
 |  | Caption (TControl)
 |  | CaptureMouseButtons (TControl)
 |  | ChildSizing (TWinControl)
 |  | ClientHeight (TControl)
 | ro | ClientOrigin (TControl)
 | ro | ClientRect (TControl)
 |  | ClientWidth (TControl)
 |  | Color (TControl)
 | ro | ComObject (TComponent)
 | ro | ComponentCount (TComponent)
 |  | ComponentIndex (TComponent)
 | ro | Components (TComponent)
 | ro | ComponentState (TComponent)
 | ro | ComponentStyle (TComponent)
 |  | Constraints (TControl)
 | ro | ControlCount (TWinControl)
 | ro | ControlOrigin (TControl)
 | ro | Controls (TWinControl)
 |  | ControlState (TControl)
 |  | ControlStyle (TControl)
pl |  | Cursor (TControl)
 |  | DefWndProc (TWinControl)
 |  | DesignerDeleting (TWinControl)
 |  | DesignInfo (TComponent)
pt |  | DesktopFont (TControl)
 | ro | DockClientCount (TWinControl)
 | ro | DockClients (TWinControl)
 |  | DockManager (TWinControl)
 |  | DockOrientation (TControl)
 |  | DockSite (TWinControl)
 |  | DoubleBuffered (TWinControl)
pt |  | DragCursor (TControl)
pt |  | DragKind (TControl)
pt |  | DragMode (TControl)
 |  | Enabled (TControl)
 | ro | Floating (TControl)
 |  | FloatingDockSiteClass (TControl)
 |  | Font (TControl)
 |  | Handle (TWinControl)
pl |  | Height (TControl)
pl |  | HelpContext (TControl)
pl |  | HelpKeyword (TControl)
pl |  | HelpType (TControl)
pl |  | Hint (TControl)
 |  | HostDockSite (TControl)
 |  | IsControl (TControl)
 | ro | IsFlipped (TWinControl)
 | ro | IsResizing (TWinControl)
 | ro | LCLRefCount (TLCLComponent)
pl |  | Left (TControl)
 |  | LRDockWidth (TControl)
 |  | MaxLength (TCompositeCellEditor)
pt |  | MouseCapture (TControl)
 | ro | MouseEntered (TControl)
 | ro | MouseInClient (TControl)
 |  | Name (TComponent)
 | ro | Owner (TComponent)
 |  | Parent (TControl)
pt |  | ParentBackground (TWinControl)
 |  | ParentBiDiMode (TControl)
pt |  | ParentColor (TControl)
 |  | ParentDoubleBuffered (TWinControl)
pt |  | ParentFont (TControl)
pt |  | ParentShowHint (TControl)
 |  | ParentWindow (TWinControl)
 |  | PopupMenu (TControl)
 | ro | ReadBounds (TControl)
pt |  | SessionProperties (TControl)
 |  | ShowHint (TControl)
 | ro | Showing (TWinControl)
 |  | TabOrder (TWinControl)
 |  | TabStop (TWinControl)
 |  | Tag (TComponent)
 |  | TBDockHeight (TControl)
pt |  | Text (TControl)
pl |  | Top (TControl)
 |  | UndockHeight (TControl)
 |  | UndockWidth (TControl)
 |  | UseDockManager (TWinControl)
 |  | VCLComObject (TComponent)
 |  | Visible (TControl)
 | ro | VisibleDockClientCount (TWinControl)
 | ro | WidgetSetClass (TLCLComponent)
pl |  | Width (TControl)
pt |  | WindowHandle (TWinControl)
 |  | WindowProc (TControl)


TCompositeCellEditor
pt | DoUTF8KeyPress
pt | msg_GetValue
pt | msg_SetGrid
pt | msg_SetValue
pt | msg_SetBounds
pt | msg_SetMask
pt | msg_SelectAll
pt | CMControlChange
pt | msg_SetPos
pt | msg_GetGrid
pt | GetActiveControl
pt | VisibleChanging
pt | SendChar
pt | WndProc
 | Destroy
 | AddEditor
 | SetFocus
 | Focused
TWinControl
pt | WSRegisterClass
pt | AdjustClientRect
pt | GetAdjustedLogicalClientRect
pt | AlignControls
pt | CustomAlignInsertBefore
pt | CustomAlignPosition
pt | DoAlignChildControls
pt | DoChildSizingChange
pt | InvalidatePreferredChildSizes
pt | CanTab
pt | IsClientHeightStored
pt | IsClientWidthStored
pt | DoSendShowHideToInterface
pt | ControlsAligned
pt | DoSendBoundsToInterface
pt | RealizeBounds
pt | RealizeBoundsRecursive
pt | InvalidateBoundsRealized
pt | CreateSubClass
pt | DoConstraintsChange
pt | DoSetBounds
pt | DoAutoSize
pt | DoAllAutoSize
pt | AllAutoSized
pt | CalculatePreferredSize
pt | GetPreferredSizeClientFrame
pt | GetChildren
pt | ChildClassAllowed
pt | PaintControls
pt | PaintHandler
pt | PaintWindow
pt | CreateBrush
pt | ScaleControls
pt | ChangeScale
pt | CMBiDiModeChanged
pt | CMBorderChanged
pt | CMDoubleBufferedChanged
pt | CMEnabledChanged
pt | CMParentDoubleBufferedChanged
pt | CMShowingChanged
pt | CMShowHintChanged
pt | CMVisibleChanged
pt | CMEnter
pt | CMExit
pt | WMContextMenu
pt | WMEraseBkgnd
pt | WMNotify
pt | WMSetFocus
pt | WMKillFocus
pt | WMShowWindow
pt | WMEnter
pt | WMExit
pt | WMKeyDown
pt | WMSysKeyDown
pt | WMKeyUp
pt | WMSysKeyUp
pt | WMChar
pt | WMSysChar
pt | WMPaint
pt | WMDestroy
pt | WMMove
pt | WMSize
pt | WMWindowPosChanged
pt | CNKeyDown
pt | CNSysKeyDown
pt | CNKeyUp
pt | CNSysKeyUp
pt | CNChar
pt | DoDragMsg
pt | DoDockClientMsg
pt | DoUndockClientMsg
pt | DoAddDockClient
pt | DockOver
pt | DoDockOver
pt | DoRemoveDockClient
pt | DoUnDock
pt | GetSiteInfo
pt | GetParentHandle
pt | GetTopParentHandle
pt | ReloadDockedControl
pt | CreateDockManager
pt | SetDockManager
pt | DoFloatMsg
pt | DoGetDockCaption
pt | DoEnter
pt | DoExit
pt | DoKeyDownBeforeInterface
pt | DoRemainingKeyDown
pt | DoRemainingKeyUp
pt | DoKeyPress
pt | DoUTF8KeyPress
pt | DoKeyUpBeforeInterface
pt | ChildKey
pt | SendDialogChar
pt | DialogChar
pt | ControlKeyDown
pt | ControlKeyUp
pt | KeyDown
pt | KeyDownBeforeInterface
pt | KeyDownAfterInterface
pt | KeyPress
pt | KeyUp
pt | KeyUpBeforeInterface
pt | KeyUpAfterInterface
pt | UTF8KeyPress
pt | FindNextControl
pt | SelectFirst
pt | RealGetText
pt | GetBorderStyle
pt | GetClientOrigin
pt | GetClientRect
pt | GetControlOrigin
pt | GetDeviceContext
pt | GetParentBackground
pt | IsControlMouseMsg
pt | CreateHandle
pt | CreateParams
pt | CreateWnd
pt | DestroyHandle
pt | DestroyWnd
pt | DoFlipChildren
pt | FinalizeWnd
pt | FixupTabList
pt | FontChanged
pt | InitializeWnd
pt | Loaded
pt | FormEndUpdated
pt | MainWndProc
pt | ParentFormHandleInitialized
pt | ChildHandlesCreated
pt | GetMouseCapture
pt | RealSetText
pt | RemoveFocus
pt | SendMoveSizeMessages
pt | SetBorderStyle
pt | SetColor
pt | SetChildZPosition
pt | SetParentBackground
pt | ShowControl
pt | UpdateControlState
pt | UpdateShowing
pt | WndProc
pt | WSSetText
 | AutoSizePhases
 | AutoSizeDelayed
 | AutoSizeDelayedReport
 | AutoSizeDelayedHandle
 | BeginUpdateBounds
 | EndUpdateBounds
 | LockRealizeBounds
 | UnlockRealizeBounds
 | ControlAtPos
 | ContainsControl
 | DoAdjustClientRectChange
 | InvalidateClientRectCache
 | ClientRectNeedsInterfaceUpdate
 | SetBounds
 | GetChildrenRect
 | DisableAlign
 | EnableAlign
 | ReAlign
 | ScrollBy_WS
 | ScrollBy
 | WriteLayoutDebugReport
 | AutoAdjustLayout
 | Create
 | CreateParented
 | CreateParentedControl
 | Destroy
 | DockDrop
 | CanFocus
 | CanSetFocus
 | GetControlIndex
 | SetControlIndex
 | Focused
 | PerformTab
 | FindChildControl
 | SelectNext
 | SetTempCursor
 | BroadCast
 | NotifyControls
 | DefaultHandler
 | GetTextLen
 | Invalidate
 | AddControl
 | InsertControl
 | RemoveControl
 | GetEnumeratorControls
 | GetEnumeratorControlsReverse
 | Repaint
 | Update
 | SetFocus
 | FlipChildren
 | ScaleBy
 | GetDockCaption
 | UpdateDockCaption
 | GetTabOrderList
 | HandleAllocated
 | ParentHandlesAllocated
 | HandleNeeded
 | BrushCreated
 | EraseBackground
 | IntfUTF8KeyPress
 | IntfGetDropFilesTarget
 | PaintTo
 | SetShape
TControl
pt | WSRegisterClass
pt | GetCursor
pt | SetCursor
pt | SetVisible
pt | DoOnParentHandleDestruction
pt | DoAutoSize
pt | DoAllAutoSize
pt | BeginAutoSizing
pt | EndAutoSizing
pt | AnchorSideChanged
pt | ForeignAnchorSideChanged
pt | SetAlign
pt | SetAnchors
pt | SetAutoSize
pt | BoundsChanged
pt | CreateControlBorderSpacing
pt | DoConstraintsChange
pt | DoBorderSpacingChange
pt | IsBorderSpacingInnerBorderStored
pt | IsCaptionStored
pt | SendMoveSizeMessages
pt | ConstrainedResize
pt | CalculatePreferredSize
pt | DoOnResize
pt | DoOnChangeBounds
pt | CheckOnChangeBounds
pt | Resize
pt | RequestAlign
pt | UpdateAnchorRules
pt | ChangeBounds
pt | DoSetBounds
pt | ScaleConstraints
pt | ChangeScale
pt | CanAutoSize
pt | SetBiDiMode
pt | SetParentBiDiMode
pt | IsAParentAligning
pt | GetClientOrigin
pt | GetClientRect
pt | GetLogicalClientRect
pt | GetScrolledClientRect
pt | GetClientScrollOffset
pt | GetControlOrigin
pt | IsClientHeightStored
pt | IsClientWidthStored
pt | WidthIsAnchored
pt | HeightIsAnchored
pt | WMCancelMode
pt | WMContextMenu
pt | WMLButtonDown
pt | WMRButtonDown
pt | WMMButtonDown
pt | WMXButtonDown
pt | WMLButtonDBLCLK
pt | WMRButtonDBLCLK
pt | WMMButtonDBLCLK
pt | WMXButtonDBLCLK
pt | WMLButtonTripleCLK
pt | WMRButtonTripleCLK
pt | WMMButtonTripleCLK
pt | WMXButtonTripleCLK
pt | WMLButtonQuadCLK
pt | WMRButtonQuadCLK
pt | WMMButtonQuadCLK
pt | WMXButtonQuadCLK
pt | WMMouseMove
pt | WMLButtonUp
pt | WMRButtonUp
pt | WMMButtonUp
pt | WMXButtonUp
pt | WMMouseWheel
pt | WMMouseHWheel
pt | WMMove
pt | WMSize
pt | WMWindowPosChanged
pt | CMChanged
pt | LMCaptureChanged
pt | CMBiDiModeChanged
pt | CMSysFontChanged
pt | CMEnabledChanged
pt | CMHitTest
pt | CMMouseEnter
pt | CMMouseLeave
pt | CMHintShow
pt | CMParentBiDiModeChanged
pt | CMParentColorChanged
pt | CMParentFontChanged
pt | CMParentShowHintChanged
pt | CMVisibleChanged
pt | CMTextChanged
pt | CMCursorChanged
pt | CalculateDockSizes
pt | CreateFloatingDockSite
pt | GetDockEdge
pt | GetDragImages
pt | GetFloating
pt | GetFloatingDockSiteClass
pt | BeforeDragStart
pt | BeginAutoDrag
pt | DoFloatMsg
pt | DockTrackNoTarget
pt | DoDock
pt | DoDragMsg
pt | DoEndDock
pt | DoEndDrag
pt | DoStartDock
pt | DoStartDrag
pt | DragCanceled
pt | DragOver
pt | PositionDockRect
pt | SetDragMode
pt | GetDefaultDockCaption
pt | Click
pt | DblClick
pt | TripleClick
pt | QuadClick
pt | GetMousePosFromMessage
pt | MouseDown
pt | MouseMove
pt | MouseUp
pt | MouseEnter
pt | MouseLeave
pt | DialogChar
pt | UpdateMouseCursor
pt | Changed
pt | GetPalette
pt | ChildClassAllowed
pt | ReadState
pt | Loaded
pt | LoadedAll
pt | DefineProperties
pt | AssignTo
pt | FormEndUpdated
pt | InvalidateControl
pt | FontChanged
pt | ParentFontChanged
pt | GetAction
pt | RealGetText
pt | RealSetText
pt | TextChanged
pt | GetCachedText
pt | SetAction
pt | SetColor
pt | SetEnabled
pt | SetHint
pt | SetName
pt | SetParent
pt | SetParentComponent
pt | WndProc
pt | ParentFormHandleInitialized
pt | GetMouseCapture
pt | CaptureChanged
pt | Notification
pt | CanTab
pt | GetDeviceContext
pt | GetEnabled
pt | GetPopupMenu
pt | DoOnShowHint
pt | DoMouseWheel
pt | DoMouseWheelDown
pt | DoMouseWheelUp
pt | DoMouseWheelHorz
pt | DoMouseWheelLeft
pt | DoMouseWheelRight
pt | VisibleChanging
pt | VisibleChanged
pt | EnabledChanging
pt | EnabledChanged
pt | AddHandler
pt | RemoveHandler
pt | DoCallNotifyHandler
pt | DoCallKeyEventHandler
pt | DoCallMouseWheelEventHandler
pt | DoContextPopup
pt | SetZOrder
pt | GetControlClassDefaultSize
pt | ColorIsStored
pt | DoAutoAdjustLayout
pt | DoFixDesignFontPPI
pt | DoScaleFontPPI
pt | GetActionLinkClass
pt | ActionChange
 | DragDrop
 | Dock
 | ManualDock
 | ManualFloat
 | ReplaceDockedControl
 | Docked
 | Dragging
 | GetAccessibleObject
 | CreateAccessibleObject
 | GetSelectedChildAccessibleObject
 | GetChildAccessibleObjectAtPos
 | ScaleDesignToForm
 | ScaleFormToDesign
 | Scale96ToForm
 | ScaleFormTo96
 | Scale96ToFont
 | ScaleFontTo96
 | ScaleScreenToFont
 | ScaleFontToScreen
 | Scale96ToScreen
 | ScaleScreenTo96
 | AdjustSize
 | AutoSizePhases
 | AutoSizeDelayed
 | AutoSizeDelayedReport
 | AutoSizeDelayedHandle
 | AnchorToNeighbour
 | AnchorParallel
 | AnchorHorizontalCenterTo
 | AnchorVerticalCenterTo
 | AnchorToCompanion
 | AnchorSame
 | AnchorAsAlign
 | AnchorClient
 | AnchoredControlCount
 | SetBounds
 | SetInitialBounds
 | SetBoundsKeepBase
 | GetPreferredSize
 | GetCanvasScaleFactor
 | GetDefaultWidth
 | GetDefaultHeight
 | GetDefaultColor
 | GetColorResolvingParent
 | GetRGBColorResolvingParent
 | GetSidePosition
 | CNPreferredSizeChanged
 | InvalidatePreferredSize
 | GetAnchorsDependingOnParent
 | DisableAutoSizing
 | EnableAutoSizing
 | UpdateBaseBounds
 | WriteLayoutDebugReport
 | AutoAdjustLayout
 | ShouldAutoAdjust
 | FixDesignFontsPPI
 | ScaleFontsPPI
 | Create
 | Destroy
 | BeforeDestruction
 | EditingDone
 | ExecuteDefaultAction
 | ExecuteCancelAction
 | BeginDrag
 | EndDrag
 | BringToFront
 | HasParent
 | GetParentComponent
 | IsParentOf
 | GetTopParent
 | IsVisible
 | IsControlVisible
 | IsEnabled
 | IsParentColor
 | IsParentFont
 | FormIsUpdating
 | IsProcessingPaintMsg
 | Hide
 | Refresh
 | Repaint
 | Invalidate
 | CheckChildClassAllowed
 | CheckNewParent
 | SendToBack
 | SetTempCursor
 | UpdateRolesForForm
 | ActiveDefaultControlChanged
 | GetTextBuf
 | GetTextLen
 | SetTextBuf
 | Perform
 | ScreenToClient
 | ClientToScreen
 | ScreenToControl
 | ControlToScreen
 | ClientToParent
 | ParentToClient
 | GetChildrenRect
 | Show
 | Update
 | HandleObjectShouldBeVisible
 | ParentDestroyingHandle
 | ParentHandlesAllocated
 | InitiateAction
 | ShowHelp
 | HasHelp
 | RemoveAllHandlersOfObject
 | AddHandlerOnResize
 | RemoveHandlerOnResize
 | AddHandlerOnChangeBounds
 | RemoveHandlerOnChangeBounds
 | AddHandlerOnVisibleChanging
 | RemoveHandlerOnVisibleChanging
 | AddHandlerOnVisibleChanged
 | RemoveHandlerOnVisibleChanged
 | AddHandlerOnEnabledChanged
 | RemoveHandlerOnEnableChanging
 | AddHandlerOnKeyDown
 | RemoveHandlerOnKeyDown
 | AddHandlerOnBeforeDestruction
 | RemoveHandlerOnBeforeDestruction
 | AddHandlerOnMouseWheel
 | RemoveHandlerOnMouseWheel
 | UseRightToLeftAlignment
 | UseRightToLeftReading
 | UseRightToLeftScrollBar
 | IsRightToLeft
TLCLComponent
pt | WSRegisterClass
pt | GetWSComponentClass
 | Create
 | Destroy
 | NewInstance
 | RemoveAllHandlersOfObject
 | IncLCLRefCount
 | DecLCLRefCount
TComponent
 | GetComObject
 | GetComponent
 | GetComponentCount
 | GetComponentIndex
 | Insert
 | ReadLeft
 | ReadTop
 | Remove
 | RemoveNotification
 | SetComponentIndex
 | SetReference
 | WriteLeft
 | WriteTop
 | ChangeName
 | DefineProperties
 | GetChildren
 | GetChildOwner
 | GetChildParent
 | GetOwner
 | Loaded
 | Loading
 | Notification
 | PaletteCreated
 | ReadState
 | SetAncestor
 | SetDesigning
 | SetDesignInstance
 | SetInline
 | SetName
 | SetChildOrder
 | SetParentComponent
 | Updating
 | Updated
 | UpdateRegistry
 | ValidateRename
 | ValidateContainer
 | ValidateInsert
 | QueryInterface
 | _AddRef
 | _Release
 | iicrGetComponent
 | GetTypeInfoCount
 | GetTypeInfo
 | GetIDsOfNames
 | Invoke
 | WriteState
 | Create
 | Destroy
 | BeforeDestruction
 | DestroyComponents
 | Destroying
 | ExecuteAction
 | FindComponent
 | FreeNotification
 | RemoveFreeNotification
 | FreeOnRelease
 | GetEnumerator
 | GetNamePath
 | GetParentComponent
 | HasParent
 | InsertComponent
 | RemoveComponent
 | SafeCallException
 | SetSubComponent
 | UpdateAction
 | IsImplementorOf
 | ReferenceInterface
TPersistent
 | AssignError
 | AssignTo
 | DefineProperties
 | GetOwner
 | Destroy
 | Assign
 | FPOAttachObserver
 | FPODetachObserver
 | FPONotifyObservers
 | GetNamePath
TObject
 | Create
 | Destroy
 | newinstance
 | FreeInstance
 | SafeCallException
 | DefaultHandler
 | Free
 | InitInstance
 | CleanupInstance
 | ClassType
 | ClassInfo
 | ClassName
 | ClassNameIs
 | ClassParent
 | InstanceSize
 | InheritsFrom
 | StringMessageTable
 | MethodAddress
 | MethodName
 | FieldAddress
 | AfterConstruction
 | BeforeDestruction
 | DefaultHandlerStr
 | Dispatch
 | DispatchStr
 | GetInterface
 | GetInterfaceByStr
 | GetInterfaceWeak
 | GetInterfaceEntry
 | GetInterfaceEntryByStr
 | GetInterfaceTable
 | UnitName
 | Equals
 | GetHashCode
 | ToString


pt | ActionChange (TControl)
 | ActiveDefaultControlChanged (TControl)
 | AddControl (TWinControl)
 | AddEditor (TCompositeCellEditor)
pt | AddHandler (TControl)
 | AddHandlerOnBeforeDestruction (TControl)
 | AddHandlerOnChangeBounds (TControl)
 | AddHandlerOnEnabledChanged (TControl)
 | AddHandlerOnKeyDown (TControl)
 | AddHandlerOnMouseWheel (TControl)
 | AddHandlerOnResize (TControl)
 | AddHandlerOnVisibleChanged (TControl)
 | AddHandlerOnVisibleChanging (TControl)
pt | AdjustClientRect (TWinControl)
 | AdjustSize (TControl)
 | AfterConstruction (TObject)
pt | AlignControls (TWinControl)
pt | AllAutoSized (TWinControl)
 | AnchorAsAlign (TControl)
 | AnchorClient (TControl)
 | AnchoredControlCount (TControl)
 | AnchorHorizontalCenterTo (TControl)
 | AnchorParallel (TControl)
 | AnchorSame (TControl)
pt | AnchorSideChanged (TControl)
 | AnchorToCompanion (TControl)
 | AnchorToNeighbour (TControl)
 | AnchorVerticalCenterTo (TControl)
 | Assign (TPersistent)
 | AssignError (TPersistent)
 | AssignTo (TPersistent)
pt | AssignTo (TControl)
 | AutoAdjustLayout (TControl)
 | AutoAdjustLayout (TWinControl)
 | AutoSizeDelayed (TControl)
 | AutoSizeDelayed (TWinControl)
 | AutoSizeDelayedHandle (TControl)
 | AutoSizeDelayedHandle (TWinControl)
 | AutoSizeDelayedReport (TControl)
 | AutoSizeDelayedReport (TWinControl)
 | AutoSizePhases (TControl)
 | AutoSizePhases (TWinControl)
 | BeforeDestruction (TObject)
 | BeforeDestruction (TComponent)
 | BeforeDestruction (TControl)
pt | BeforeDragStart (TControl)
pt | BeginAutoDrag (TControl)
pt | BeginAutoSizing (TControl)
 | BeginDrag (TControl)
 | BeginUpdateBounds (TWinControl)
pt | BoundsChanged (TControl)
 | BringToFront (TControl)
 | BroadCast (TWinControl)
 | BrushCreated (TWinControl)
pt | CalculateDockSizes (TControl)
pt | CalculatePreferredSize (TControl)
pt | CalculatePreferredSize (TWinControl)
pt | CanAutoSize (TControl)
 | CanFocus (TWinControl)
 | CanSetFocus (TWinControl)
pt | CanTab (TControl)
pt | CanTab (TWinControl)
pt | CaptureChanged (TControl)
pt | ChangeBounds (TControl)
pt | Changed (TControl)
 | ChangeName (TComponent)
pt | ChangeScale (TControl)
pt | ChangeScale (TWinControl)
 | CheckChildClassAllowed (TControl)
 | CheckNewParent (TControl)
pt | CheckOnChangeBounds (TControl)
pt | ChildClassAllowed (TControl)
pt | ChildClassAllowed (TWinControl)
pt | ChildHandlesCreated (TWinControl)
pt | ChildKey (TWinControl)
 | ClassInfo (TObject)
 | ClassName (TObject)
 | ClassNameIs (TObject)
 | ClassParent (TObject)
 | ClassType (TObject)
 | CleanupInstance (TObject)
pt | Click (TControl)
 | ClientRectNeedsInterfaceUpdate (TWinControl)
 | ClientToParent (TControl)
 | ClientToScreen (TControl)
pt | CMBiDiModeChanged (TControl)
pt | CMBiDiModeChanged (TWinControl)
pt | CMBorderChanged (TWinControl)
pt | CMChanged (TControl)
pt | CMControlChange (TCompositeCellEditor)
pt | CMCursorChanged (TControl)
pt | CMDoubleBufferedChanged (TWinControl)
pt | CMEnabledChanged (TControl)
pt | CMEnabledChanged (TWinControl)
pt | CMEnter (TWinControl)
pt | CMExit (TWinControl)
pt | CMHintShow (TControl)
pt | CMHitTest (TControl)
pt | CMMouseEnter (TControl)
pt | CMMouseLeave (TControl)
pt | CMParentBiDiModeChanged (TControl)
pt | CMParentColorChanged (TControl)
pt | CMParentDoubleBufferedChanged (TWinControl)
pt | CMParentFontChanged (TControl)
pt | CMParentShowHintChanged (TControl)
pt | CMShowHintChanged (TWinControl)
pt | CMShowingChanged (TWinControl)
pt | CMSysFontChanged (TControl)
pt | CMTextChanged (TControl)
pt | CMVisibleChanged (TControl)
pt | CMVisibleChanged (TWinControl)
pt | CNChar (TWinControl)
pt | CNKeyDown (TWinControl)
pt | CNKeyUp (TWinControl)
 | CNPreferredSizeChanged (TControl)
pt | CNSysKeyDown (TWinControl)
pt | CNSysKeyUp (TWinControl)
pt | ColorIsStored (TControl)
pt | ConstrainedResize (TControl)
 | ContainsControl (TWinControl)
 | ControlAtPos (TWinControl)
pt | ControlKeyDown (TWinControl)
pt | ControlKeyUp (TWinControl)
pt | ControlsAligned (TWinControl)
 | ControlToScreen (TControl)
 | Create (TObject)
 | Create (TComponent)
 | Create (TLCLComponent)
 | Create (TControl)
 | Create (TWinControl)
 | CreateAccessibleObject (TControl)
pt | CreateBrush (TWinControl)
pt | CreateControlBorderSpacing (TControl)
pt | CreateDockManager (TWinControl)
pt | CreateFloatingDockSite (TControl)
pt | CreateHandle (TWinControl)
pt | CreateParams (TWinControl)
 | CreateParented (TWinControl)
 | CreateParentedControl (TWinControl)
pt | CreateSubClass (TWinControl)
pt | CreateWnd (TWinControl)
pt | CustomAlignInsertBefore (TWinControl)
pt | CustomAlignPosition (TWinControl)
pt | DblClick (TControl)
 | DecLCLRefCount (TLCLComponent)
 | DefaultHandler (TObject)
 | DefaultHandler (TWinControl)
 | DefaultHandlerStr (TObject)
 | DefineProperties (TPersistent)
 | DefineProperties (TComponent)
pt | DefineProperties (TControl)
 | Destroy (TObject)
 | Destroy (TPersistent)
 | Destroy (TComponent)
 | Destroy (TLCLComponent)
 | Destroy (TControl)
 | Destroy (TWinControl)
 | Destroy (TCompositeCellEditor)
 | DestroyComponents (TComponent)
pt | DestroyHandle (TWinControl)
 | Destroying (TComponent)
pt | DestroyWnd (TWinControl)
pt | DialogChar (TControl)
pt | DialogChar (TWinControl)
 | DisableAlign (TWinControl)
 | DisableAutoSizing (TControl)
 | Dispatch (TObject)
 | DispatchStr (TObject)
pt | DoAddDockClient (TWinControl)
 | DoAdjustClientRectChange (TWinControl)
pt | DoAlignChildControls (TWinControl)
pt | DoAllAutoSize (TControl)
pt | DoAllAutoSize (TWinControl)
pt | DoAutoAdjustLayout (TControl)
pt | DoAutoSize (TControl)
pt | DoAutoSize (TWinControl)
pt | DoBorderSpacingChange (TControl)
pt | DoCallKeyEventHandler (TControl)
pt | DoCallMouseWheelEventHandler (TControl)
pt | DoCallNotifyHandler (TControl)
pt | DoChildSizingChange (TWinControl)
 | Dock (TControl)
 | DockDrop (TWinControl)
 | Docked (TControl)
pt | DockOver (TWinControl)
pt | DockTrackNoTarget (TControl)
pt | DoConstraintsChange (TControl)
pt | DoConstraintsChange (TWinControl)
pt | DoContextPopup (TControl)
pt | DoDock (TControl)
pt | DoDockClientMsg (TWinControl)
pt | DoDockOver (TWinControl)
pt | DoDragMsg (TControl)
pt | DoDragMsg (TWinControl)
pt | DoEndDock (TControl)
pt | DoEndDrag (TControl)
pt | DoEnter (TWinControl)
pt | DoExit (TWinControl)
pt | DoFixDesignFontPPI (TControl)
pt | DoFlipChildren (TWinControl)
pt | DoFloatMsg (TControl)
pt | DoFloatMsg (TWinControl)
pt | DoGetDockCaption (TWinControl)
pt | DoKeyDownBeforeInterface (TWinControl)
pt | DoKeyPress (TWinControl)
pt | DoKeyUpBeforeInterface (TWinControl)
pt | DoMouseWheel (TControl)
pt | DoMouseWheelDown (TControl)
pt | DoMouseWheelHorz (TControl)
pt | DoMouseWheelLeft (TControl)
pt | DoMouseWheelRight (TControl)
pt | DoMouseWheelUp (TControl)
pt | DoOnChangeBounds (TControl)
pt | DoOnParentHandleDestruction (TControl)
pt | DoOnResize (TControl)
pt | DoOnShowHint (TControl)
pt | DoRemainingKeyDown (TWinControl)
pt | DoRemainingKeyUp (TWinControl)
pt | DoRemoveDockClient (TWinControl)
pt | DoScaleFontPPI (TControl)
pt | DoSendBoundsToInterface (TWinControl)
pt | DoSendShowHideToInterface (TWinControl)
pt | DoSetBounds (TControl)
pt | DoSetBounds (TWinControl)
pt | DoStartDock (TControl)
pt | DoStartDrag (TControl)
pt | DoUnDock (TWinControl)
pt | DoUndockClientMsg (TWinControl)
pt | DoUTF8KeyPress (TWinControl)
pt | DoUTF8KeyPress (TCompositeCellEditor)
pt | DragCanceled (TControl)
 | DragDrop (TControl)
 | Dragging (TControl)
pt | DragOver (TControl)
 | EditingDone (TControl)
 | EnableAlign (TWinControl)
 | EnableAutoSizing (TControl)
pt | EnabledChanged (TControl)
pt | EnabledChanging (TControl)
pt | EndAutoSizing (TControl)
 | EndDrag (TControl)
 | EndUpdateBounds (TWinControl)
 | Equals (TObject)
 | EraseBackground (TWinControl)
 | ExecuteAction (TComponent)
 | ExecuteCancelAction (TControl)
 | ExecuteDefaultAction (TControl)
 | FieldAddress (TObject)
pt | FinalizeWnd (TWinControl)
 | FindChildControl (TWinControl)
 | FindComponent (TComponent)
pt | FindNextControl (TWinControl)
 | FixDesignFontsPPI (TControl)
pt | FixupTabList (TWinControl)
 | FlipChildren (TWinControl)
 | Focused (TWinControl)
 | Focused (TCompositeCellEditor)
pt | FontChanged (TControl)
pt | FontChanged (TWinControl)
pt | ForeignAnchorSideChanged (TControl)
pt | FormEndUpdated (TControl)
pt | FormEndUpdated (TWinControl)
 | FormIsUpdating (TControl)
 | FPOAttachObserver (TPersistent)
 | FPODetachObserver (TPersistent)
 | FPONotifyObservers (TPersistent)
 | Free (TObject)
 | FreeInstance (TObject)
 | FreeNotification (TComponent)
 | FreeOnRelease (TComponent)
 | GetAccessibleObject (TControl)
pt | GetAction (TControl)
pt | GetActionLinkClass (TControl)
pt | GetActiveControl (TCompositeCellEditor)
pt | GetAdjustedLogicalClientRect (TWinControl)
 | GetAnchorsDependingOnParent (TControl)
pt | GetBorderStyle (TWinControl)
pt | GetCachedText (TControl)
 | GetCanvasScaleFactor (TControl)
 | GetChildAccessibleObjectAtPos (TControl)
 | GetChildOwner (TComponent)
 | GetChildParent (TComponent)
 | GetChildren (TComponent)
pt | GetChildren (TWinControl)
 | GetChildrenRect (TControl)
 | GetChildrenRect (TWinControl)
pt | GetClientOrigin (TControl)
pt | GetClientOrigin (TWinControl)
pt | GetClientRect (TControl)
pt | GetClientRect (TWinControl)
pt | GetClientScrollOffset (TControl)
 | GetColorResolvingParent (TControl)
 | GetComObject (TComponent)
 | GetComponent (TComponent)
 | GetComponentCount (TComponent)
 | GetComponentIndex (TComponent)
pt | GetControlClassDefaultSize (TControl)
 | GetControlIndex (TWinControl)
pt | GetControlOrigin (TControl)
pt | GetControlOrigin (TWinControl)
pt | GetCursor (TControl)
 | GetDefaultColor (TControl)
pt | GetDefaultDockCaption (TControl)
 | GetDefaultHeight (TControl)
 | GetDefaultWidth (TControl)
pt | GetDeviceContext (TControl)
pt | GetDeviceContext (TWinControl)
 | GetDockCaption (TWinControl)
pt | GetDockEdge (TControl)
pt | GetDragImages (TControl)
pt | GetEnabled (TControl)
 | GetEnumerator (TComponent)
 | GetEnumeratorControls (TWinControl)
 | GetEnumeratorControlsReverse (TWinControl)
pt | GetFloating (TControl)
pt | GetFloatingDockSiteClass (TControl)
 | GetHashCode (TObject)
 | GetIDsOfNames (TComponent)
 | GetInterface (TObject)
 | GetInterfaceByStr (TObject)
 | GetInterfaceEntry (TObject)
 | GetInterfaceEntryByStr (TObject)
 | GetInterfaceTable (TObject)
 | GetInterfaceWeak (TObject)
pt | GetLogicalClientRect (TControl)
pt | GetMouseCapture (TControl)
pt | GetMouseCapture (TWinControl)
pt | GetMousePosFromMessage (TControl)
 | GetNamePath (TPersistent)
 | GetNamePath (TComponent)
 | GetOwner (TPersistent)
 | GetOwner (TComponent)
pt | GetPalette (TControl)
pt | GetParentBackground (TWinControl)
 | GetParentComponent (TComponent)
 | GetParentComponent (TControl)
pt | GetParentHandle (TWinControl)
pt | GetPopupMenu (TControl)
 | GetPreferredSize (TControl)
pt | GetPreferredSizeClientFrame (TWinControl)
 | GetRGBColorResolvingParent (TControl)
pt | GetScrolledClientRect (TControl)
 | GetSelectedChildAccessibleObject (TControl)
 | GetSidePosition (TControl)
pt | GetSiteInfo (TWinControl)
 | GetTabOrderList (TWinControl)
 | GetTextBuf (TControl)
 | GetTextLen (TControl)
 | GetTextLen (TWinControl)
 | GetTopParent (TControl)
pt | GetTopParentHandle (TWinControl)
 | GetTypeInfo (TComponent)
 | GetTypeInfoCount (TComponent)
pt | GetWSComponentClass (TLCLComponent)
 | HandleAllocated (TWinControl)
 | HandleNeeded (TWinControl)
 | HandleObjectShouldBeVisible (TControl)
 | HasHelp (TControl)
 | HasParent (TComponent)
 | HasParent (TControl)
pt | HeightIsAnchored (TControl)
 | Hide (TControl)
 | iicrGetComponent (TComponent)
 | IncLCLRefCount (TLCLComponent)
 | InheritsFrom (TObject)
pt | InitializeWnd (TWinControl)
 | InitiateAction (TControl)
 | InitInstance (TObject)
 | Insert (TComponent)
 | InsertComponent (TComponent)
 | InsertControl (TWinControl)
 | InstanceSize (TObject)
 | IntfGetDropFilesTarget (TWinControl)
 | IntfUTF8KeyPress (TWinControl)
 | Invalidate (TControl)
 | Invalidate (TWinControl)
pt | InvalidateBoundsRealized (TWinControl)
 | InvalidateClientRectCache (TWinControl)
pt | InvalidateControl (TControl)
pt | InvalidatePreferredChildSizes (TWinControl)
 | InvalidatePreferredSize (TControl)
 | Invoke (TComponent)
pt | IsAParentAligning (TControl)
pt | IsBorderSpacingInnerBorderStored (TControl)
pt | IsCaptionStored (TControl)
pt | IsClientHeightStored (TControl)
pt | IsClientHeightStored (TWinControl)
pt | IsClientWidthStored (TControl)
pt | IsClientWidthStored (TWinControl)
pt | IsControlMouseMsg (TWinControl)
 | IsControlVisible (TControl)
 | IsEnabled (TControl)
 | IsImplementorOf (TComponent)
 | IsParentColor (TControl)
 | IsParentFont (TControl)
 | IsParentOf (TControl)
 | IsProcessingPaintMsg (TControl)
 | IsRightToLeft (TControl)
 | IsVisible (TControl)
pt | KeyDown (TWinControl)
pt | KeyDownAfterInterface (TWinControl)
pt | KeyDownBeforeInterface (TWinControl)
pt | KeyPress (TWinControl)
pt | KeyUp (TWinControl)
pt | KeyUpAfterInterface (TWinControl)
pt | KeyUpBeforeInterface (TWinControl)
pt | LMCaptureChanged (TControl)
 | Loaded (TComponent)
pt | Loaded (TControl)
pt | Loaded (TWinControl)
pt | LoadedAll (TControl)
 | Loading (TComponent)
 | LockRealizeBounds (TWinControl)
pt | MainWndProc (TWinControl)
 | ManualDock (TControl)
 | ManualFloat (TControl)
 | MethodAddress (TObject)
 | MethodName (TObject)
pt | MouseDown (TControl)
pt | MouseEnter (TControl)
pt | MouseLeave (TControl)
pt | MouseMove (TControl)
pt | MouseUp (TControl)
pt | msg_GetGrid (TCompositeCellEditor)
pt | msg_GetValue (TCompositeCellEditor)
pt | msg_SelectAll (TCompositeCellEditor)
pt | msg_SetBounds (TCompositeCellEditor)
pt | msg_SetGrid (TCompositeCellEditor)
pt | msg_SetMask (TCompositeCellEditor)
pt | msg_SetPos (TCompositeCellEditor)
pt | msg_SetValue (TCompositeCellEditor)
 | newinstance (TObject)
 | NewInstance (TLCLComponent)
 | Notification (TComponent)
pt | Notification (TControl)
 | NotifyControls (TWinControl)
pt | PaintControls (TWinControl)
pt | PaintHandler (TWinControl)
 | PaintTo (TWinControl)
pt | PaintWindow (TWinControl)
 | PaletteCreated (TComponent)
 | ParentDestroyingHandle (TControl)
pt | ParentFontChanged (TControl)
pt | ParentFormHandleInitialized (TControl)
pt | ParentFormHandleInitialized (TWinControl)
 | ParentHandlesAllocated (TControl)
 | ParentHandlesAllocated (TWinControl)
 | ParentToClient (TControl)
 | Perform (TControl)
 | PerformTab (TWinControl)
pt | PositionDockRect (TControl)
pt | QuadClick (TControl)
 | QueryInterface (TComponent)
 | ReadLeft (TComponent)
 | ReadState (TComponent)
pt | ReadState (TControl)
 | ReadTop (TComponent)
pt | RealGetText (TControl)
pt | RealGetText (TWinControl)
 | ReAlign (TWinControl)
pt | RealizeBounds (TWinControl)
pt | RealizeBoundsRecursive (TWinControl)
pt | RealSetText (TControl)
pt | RealSetText (TWinControl)
 | ReferenceInterface (TComponent)
 | Refresh (TControl)
pt | ReloadDockedControl (TWinControl)
 | Remove (TComponent)
 | RemoveAllHandlersOfObject (TLCLComponent)
 | RemoveAllHandlersOfObject (TControl)
 | RemoveComponent (TComponent)
 | RemoveControl (TWinControl)
pt | RemoveFocus (TWinControl)
 | RemoveFreeNotification (TComponent)
pt | RemoveHandler (TControl)
 | RemoveHandlerOnBeforeDestruction (TControl)
 | RemoveHandlerOnChangeBounds (TControl)
 | RemoveHandlerOnEnableChanging (TControl)
 | RemoveHandlerOnKeyDown (TControl)
 | RemoveHandlerOnMouseWheel (TControl)
 | RemoveHandlerOnResize (TControl)
 | RemoveHandlerOnVisibleChanged (TControl)
 | RemoveHandlerOnVisibleChanging (TControl)
 | RemoveNotification (TComponent)
 | Repaint (TControl)
 | Repaint (TWinControl)
 | ReplaceDockedControl (TControl)
pt | RequestAlign (TControl)
pt | Resize (TControl)
 | SafeCallException (TObject)
 | SafeCallException (TComponent)
 | Scale96ToFont (TControl)
 | Scale96ToForm (TControl)
 | Scale96ToScreen (TControl)
 | ScaleBy (TWinControl)
pt | ScaleConstraints (TControl)
pt | ScaleControls (TWinControl)
 | ScaleDesignToForm (TControl)
 | ScaleFontsPPI (TControl)
 | ScaleFontTo96 (TControl)
 | ScaleFontToScreen (TControl)
 | ScaleFormTo96 (TControl)
 | ScaleFormToDesign (TControl)
 | ScaleScreenTo96 (TControl)
 | ScaleScreenToFont (TControl)
 | ScreenToClient (TControl)
 | ScreenToControl (TControl)
 | ScrollBy (TWinControl)
 | ScrollBy_WS (TWinControl)
pt | SelectFirst (TWinControl)
 | SelectNext (TWinControl)
pt | SendChar (TCompositeCellEditor)
pt | SendDialogChar (TWinControl)
pt | SendMoveSizeMessages (TControl)
pt | SendMoveSizeMessages (TWinControl)
 | SendToBack (TControl)
pt | SetAction (TControl)
pt | SetAlign (TControl)
 | SetAncestor (TComponent)
pt | SetAnchors (TControl)
pt | SetAutoSize (TControl)
pt | SetBiDiMode (TControl)
pt | SetBorderStyle (TWinControl)
 | SetBounds (TControl)
 | SetBounds (TWinControl)
 | SetBoundsKeepBase (TControl)
 | SetChildOrder (TComponent)
pt | SetChildZPosition (TWinControl)
pt | SetColor (TControl)
pt | SetColor (TWinControl)
 | SetComponentIndex (TComponent)
 | SetControlIndex (TWinControl)
pt | SetCursor (TControl)
 | SetDesigning (TComponent)
 | SetDesignInstance (TComponent)
pt | SetDockManager (TWinControl)
pt | SetDragMode (TControl)
pt | SetEnabled (TControl)
 | SetFocus (TWinControl)
 | SetFocus (TCompositeCellEditor)
pt | SetHint (TControl)
 | SetInitialBounds (TControl)
 | SetInline (TComponent)
 | SetName (TComponent)
pt | SetName (TControl)
pt | SetParent (TControl)
pt | SetParentBackground (TWinControl)
pt | SetParentBiDiMode (TControl)
 | SetParentComponent (TComponent)
pt | SetParentComponent (TControl)
 | SetReference (TComponent)
 | SetShape (TWinControl)
 | SetSubComponent (TComponent)
 | SetTempCursor (TControl)
 | SetTempCursor (TWinControl)
 | SetTextBuf (TControl)
pt | SetVisible (TControl)
pt | SetZOrder (TControl)
 | ShouldAutoAdjust (TControl)
 | Show (TControl)
pt | ShowControl (TWinControl)
 | ShowHelp (TControl)
 | StringMessageTable (TObject)
pt | TextChanged (TControl)
 | ToString (TObject)
pt | TripleClick (TControl)
 | UnitName (TObject)
 | UnlockRealizeBounds (TWinControl)
 | Update (TControl)
 | Update (TWinControl)
 | UpdateAction (TComponent)
pt | UpdateAnchorRules (TControl)
 | UpdateBaseBounds (TControl)
pt | UpdateControlState (TWinControl)
 | Updated (TComponent)
 | UpdateDockCaption (TWinControl)
pt | UpdateMouseCursor (TControl)
 | UpdateRegistry (TComponent)
 | UpdateRolesForForm (TControl)
pt | UpdateShowing (TWinControl)
 | Updating (TComponent)
 | UseRightToLeftAlignment (TControl)
 | UseRightToLeftReading (TControl)
 | UseRightToLeftScrollBar (TControl)
pt | UTF8KeyPress (TWinControl)
 | ValidateContainer (TComponent)
 | ValidateInsert (TComponent)
 | ValidateRename (TComponent)
pt | VisibleChanged (TControl)
pt | VisibleChanging (TControl)
pt | VisibleChanging (TCompositeCellEditor)
pt | WidthIsAnchored (TControl)
pt | WMCancelMode (TControl)
pt | WMChar (TWinControl)
pt | WMContextMenu (TControl)
pt | WMContextMenu (TWinControl)
pt | WMDestroy (TWinControl)
pt | WMEnter (TWinControl)
pt | WMEraseBkgnd (TWinControl)
pt | WMExit (TWinControl)
pt | WMKeyDown (TWinControl)
pt | WMKeyUp (TWinControl)
pt | WMKillFocus (TWinControl)
pt | WMLButtonDBLCLK (TControl)
pt | WMLButtonDown (TControl)
pt | WMLButtonQuadCLK (TControl)
pt | WMLButtonTripleCLK (TControl)
pt | WMLButtonUp (TControl)
pt | WMMButtonDBLCLK (TControl)
pt | WMMButtonDown (TControl)
pt | WMMButtonQuadCLK (TControl)
pt | WMMButtonTripleCLK (TControl)
pt | WMMButtonUp (TControl)
pt | WMMouseHWheel (TControl)
pt | WMMouseMove (TControl)
pt | WMMouseWheel (TControl)
pt | WMMove (TControl)
pt | WMMove (TWinControl)
pt | WMNotify (TWinControl)
pt | WMPaint (TWinControl)
pt | WMRButtonDBLCLK (TControl)
pt | WMRButtonDown (TControl)
pt | WMRButtonQuadCLK (TControl)
pt | WMRButtonTripleCLK (TControl)
pt | WMRButtonUp (TControl)
pt | WMSetFocus (TWinControl)
pt | WMShowWindow (TWinControl)
pt | WMSize (TControl)
pt | WMSize (TWinControl)
pt | WMSysChar (TWinControl)
pt | WMSysKeyDown (TWinControl)
pt | WMSysKeyUp (TWinControl)
pt | WMWindowPosChanged (TControl)
pt | WMWindowPosChanged (TWinControl)
pt | WMXButtonDBLCLK (TControl)
pt | WMXButtonDown (TControl)
pt | WMXButtonQuadCLK (TControl)
pt | WMXButtonTripleCLK (TControl)
pt | WMXButtonUp (TControl)
pt | WndProc (TControl)
pt | WndProc (TWinControl)
pt | WndProc (TCompositeCellEditor)
 | WriteLayoutDebugReport (TControl)
 | WriteLayoutDebugReport (TWinControl)
 | WriteLeft (TComponent)
 | WriteState (TComponent)
 | WriteTop (TComponent)
pt | WSRegisterClass (TLCLComponent)
pt | WSRegisterClass (TControl)
pt | WSRegisterClass (TWinControl)
pt | WSSetText (TWinControl)
 | _AddRef (TComponent)
 | _Release (TComponent)


TCompositeCellEditor
TWinControl
pt | OnGetSiteInfo
pt | OnGetDockCaption
 | OnAlignInsertBefore
 | OnAlignPosition
 | OnDockDrop
 | OnDockOver
 | OnEnter
 | OnExit
 | OnKeyDown
 | OnKeyPress
 | OnKeyUp
 | OnUnDock
 | OnUTF8KeyPress
TControl
pt | OnConstrainedResize
pt | OnContextPopup
pt | OnDblClick
pt | OnTripleClick
pt | OnQuadClick
pt | OnDragDrop
pt | OnDragOver
pt | OnEndDock
pt | OnEndDrag
pt | OnMouseDown
pt | OnMouseMove
pt | OnMouseUp
pt | OnMouseEnter
pt | OnMouseLeave
pt | OnMouseWheel
pt | OnMouseWheelDown
pt | OnMouseWheelUp
pt | OnMouseWheelHorz
pt | OnMouseWheelLeft
pt | OnMouseWheelRight
pt | OnStartDock
pt | OnStartDrag
pt | OnEditingDone
 | OnChangeBounds
 | OnClick
 | OnResize
 | OnShowHint
TLCLComponent
TComponent
TPersistent
TObject


TCompositeCellEditor.ActiveControl

Declaration

Source position: grids.pas line 332

public property TCompositeCellEditor.ActiveControl : TWinControl
  read GetActiveControl;


TCompositeCellEditor.AddEditor

AddEditor - adds the specified Editor with the given alignment and specified ActiveControl propery

Declaration

Source position: grids.pas line 328

public procedure TCompositeCellEditor.AddEditor(

  aEditor: TWinControl;

  aAlign: TAlign;

  ActiveCtrl: Boolean

);


TCompositeCellEditor.CMControlChange

CMControlChange - issues Control Message for a change in a control

Declaration

Source position: grids.pas line 319

protected procedure TCompositeCellEditor.CMControlChange(

  var Message: TLMessage

); message;


TCompositeCellEditor.GetActiveControl

Declaration

Source position: grids.pas line 322

protected function TCompositeCellEditor.GetActiveControl: TWinControl;


TCompositeCellEditor.MaxLength

Declaration

Source position: grids.pas line 331

public property TCompositeCellEditor.MaxLength : Integer
  read GetMaxLength
  write SetMaxLength;


TCompositeCellEditor.msg_GetGrid

Declaration

Source position: grids.pas line 321

protected procedure TCompositeCellEditor.msg_GetGrid(

  var Msg: TGridMessage

); message;


TCompositeCellEditor.msg_GetValue

msg_GetValue - issues a message to find the value

Declaration

Source position: grids.pas line 313

protected procedure TCompositeCellEditor.msg_GetValue(

  var Msg: TGridMessage

); message;


TCompositeCellEditor.msg_SelectAll

msg_SelectAll - issues message for Selecting All

Declaration

Source position: grids.pas line 318

protected procedure TCompositeCellEditor.msg_SelectAll(

  var Msg: TGridMessage

); message;


TCompositeCellEditor.msg_SetBounds

msg_SetBounds - issues message for specifying bounds

Declaration

Source position: grids.pas line 316

protected procedure TCompositeCellEditor.msg_SetBounds(

  var Msg: TGridMessage

); message;


TCompositeCellEditor.msg_SetGrid

msg_SetGrid - issues message for specifying grid

Declaration

Source position: grids.pas line 314

protected procedure TCompositeCellEditor.msg_SetGrid(

  var Msg: TGridMessage

); message;


TCompositeCellEditor.msg_SetMask

msg_SetMask - issues message for specifying mask

Declaration

Source position: grids.pas line 317

protected procedure TCompositeCellEditor.msg_SetMask(

  var Msg: TGridMessage

); message;


TCompositeCellEditor.msg_SetPos

msg_SetPos - issues a message to specify the position

Declaration

Source position: grids.pas line 320

protected procedure TCompositeCellEditor.msg_SetPos(

  var Msg: TGridMessage

); message;


TCompositeCellEditor.msg_SetValue

msg_SetValue - issues a message to specify the value

Declaration

Source position: grids.pas line 315

protected procedure TCompositeCellEditor.msg_SetValue(

  var Msg: TGridMessage

); message;


TCompositeCellEditor.SendChar

SendChar - transmits the specified character and returns an integer status result

Declaration

Source position: grids.pas line 324

protected function TCompositeCellEditor.SendChar(

  AChar: TUTF8Char

):Integer;

Description

0 - failure, 1 - success


TCustomDrawGrid

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

TCustomDrawGrid - Base Class for drawn grids including TDrawGrid and TStringGrid

Declaration

Source position: grids.pas line 1323

type TCustomDrawGrid = class(TCustomGrid)
protected
FGrid: TVirtualGrid; | FGrid - local variable holding a virtual grid on which to work
procedure CellClick(); override;
procedure ColRowDeleted(); override; | ColRowDeleted - method for dealing with deletion of either a column or a row (depending on value of IsCol)
procedure ColRowExchanged(); override; | ColRowExchanged - method for exchanging the current Column or Row (depending on value of IsCol) with the indexed other column or row
procedure ColRowInserted(); override; | ColRowInserted - method for dealing with insertion of a column or row (depending on value of IsCol)
procedure ColRowMoved(); override; | ColRowMoved - the column or row (determined by IsColumn) is moved from one index to another
function CreateVirtualGrid; virtual; | CreateVirtualGrid - returns the created virtual grid
procedure DrawCell(); override; | DrawCell - draws a cell at the given grid location (Col, Row) or in the specified Rectangle
procedure DrawCellAutonumbering(); virtual; | DrawCellAutonumbering - draws a cell using auto numbering
procedure DrawFocusRect(); override; | DrawFocusRect - draws the rectangle currently receiving focus
function GetCells(); override;
procedure GetCheckBoxState(); virtual; | GetCheckBoxState - returns the state of the checkbox at the specified position
function GetEditMask(); override; | GetEditMask - returns the edit mask string for the specified cell
function GetEditText(); override; | GetEditText - returns the Edit text string for the specified cell
procedure GridMouseWheel(); override;
procedure HeaderClick(); override; | HeaderClick - method to deal with a click on the column (if IsColumn is True) or row Header
procedure HeaderSized(); override; | HeaderSized - method to deal with re-sizing of a column (IsColumn True) or row header
procedure HeaderSizing(); override;
procedure KeyDown(); override;
procedure NotifyColRowChange(); | NotifyColRowChange tells the system that a column or row has been changed (determined by IsColumn) and whether this was an Insert
function SelectCell(); override; | Is called if a grid cell is highlighted.
procedure SetColor(); override; | SetColor to specified value
procedure SetCheckboxState(); virtual; | SetCheckboxState - specifies the state of the checkbox in the nominated cell
procedure SetEditText(); override; | SetEditText - specifies the text-string to be placed in the Editor for processing
procedure SizeChanged(); override; | SizeChanged - specifies the old number of columns and rows
procedure ToggleCheckbox; virtual; | ToggleCheckbox - toggles checkbox state between checked and unchecked
property OnGetCheckboxState: TGetCheckboxStateEvent; [rw] | OnGetCheckboxState - event handler for finding checkbox state
property OnSetCheckboxState: TSetCheckboxStateEvent; [rw] | OnSetCheckboxState - event handler for specifying checkbox state
public
constructor Create(); override; | Create - constructor for TCustomDrawGrid: attaches a virtual grid then calls inherited Create
destructor Destroy; override; | Destroy - destructor for TCustomDrawGrid: frees the grid then calls inherited Destroy
procedure DeleteColRow(); | Delete either a column or a row (specified by index), depending on the value of the boolean IsColumn
procedure DeleteCol(); virtual;
procedure DeleteRow(); virtual;
procedure ExchangeColRow(); virtual; | Exchange either a column or a row, specified by index, with the col or row specified by WithIndex; boolean IsColumn determines whether rows or columns are to be exchanged
procedure InsertColRow(); | InsertColRow inserts a column or row (specified by Iscolumn) at the stated index location
procedure MoveColRow(); | Move column or row from FromIndex to ToIndex; boolean IsColumn specifies whether col or row is to be moved
procedure SortColRow(); | Sort column or row specified by index and optionally by FromIndex and ToIndex; IsColumn specifies whether col or row is to be sorted
procedure DefaultDrawCell(); virtual; | Use the default method for drawing a cell specified by aCol, aRow, at location aRect with state aState
property AllowOutboundEvents: Boolean; | AllowOutboundEvents - permits mouse click on an imaginary (out-of-bounds) cell; moves cursor to nearest valid cell
property BorderColor: TColor; | The colour of the border for this control
property Canvas: TCanvas; | The drawing surface for the control, see TCanvas for details.
property Col: Integer; | Current column index.
property ColWidths: Integer; | Column widths for the grid.
property ColRow: TPoint;
property Editor: TWinControl; | The editor to be used for modifying information in the cells of the grid
property EditorBorderStyle: TBorderStyle; | The border style for the editor used in this grid
property EditorMode: Boolean; | Is grid ready to accept edits? (EditorMode True)
property ExtendedColSizing: Boolean; | ExtendedColSizing - the sizing to be used for extended columns
property AltColorStartNormal: Boolean; | AltColorStartNormal - using a second colour to display alternate rows, but starting the first row with the normal colour
property FastEditing: Boolean; | Is the FastEditing method being used?
property FixedGridLineColor: TColor;
property FocusColor: TColor; | The colour to be used for the cell receiving focus
property FocusRectVisible: Boolean; | FocusRectVisible - is the rectangle receiving focus visible?
property GridHeight: Integer; | GridHeight - the height of the grid
property GridLineColor: TColor; | Colour to be used for GridLines
property GridLineStyle: TPenStyle; | Style to be used for GridLines
property GridWidth: Integer; | Width of the whole Grid
property IsCellSelected: Boolean; | IsCellSelected - is the cell specified by aCol, aRow selected?
property LeftCol: Integer; | LeftCol - the left-most column
property Row: Integer; | The current Row (record) within the grid
property RowHeights: Integer; | The row heights for the grid.
property SaveOptions: TSaveOptions; | The set of options for saving information from the grid (design, attributes, content or position)
property SelectedColor: TColor; | Colour to be used for selected cells
property SelectedColumn: TGridColumn; | The column (field) currently selected
property Selection: TGridRect; | The current selection (rows and columns) in the grid
property StrictSort: Boolean; | StrictSort - is strict sorting to be used?
property TopRow: Integer; | The first row (record) in the grid
property UseXORFeatures: Boolean; | UseXORFeatures: When True, the dotted focus rectangle is painted using the XOR raster operation
property Align: TAlign; | Specifies the placement of the control inside its Parent.
property Anchors: TAnchors; | The set of anchor definitions for this control.
property AutoAdvance: TAutoAdvance; | Automatically advance down the grid on successive mouse clicks or presses of the ENTER or TAB key
property AutoFillColumns: Boolean; | Automatically resize columns so they fill all grid's visible area
property BorderSpacing: TControlBorderSpacing; | Determines the inner and outer border spacing for this control.
property BorderStyle: TBorderStyle; | Allows to show a border (line) around the control,
property Color: TColor; | The background color of the control.
property ColCount: Integer; | Number of columns of the grid.
property Columns: TGridColumns; | The properties of the columns in this grid
property Constraints: TSizeConstraints; | The minimal and maximal Width and Height of this control.
property DefaultColWidth: Integer; | Default value for the width of newly created grid columns.
property DefaultDrawing: Boolean; | Is the default drawing method to be used for this grid? Default is TRUE
property DefaultRowHeight: Integer; | Default value for the height of newly created grid rows.
property Enabled: Boolean; | Determines whether the control reacts on mouse or keyboard input.
property FixedColor: TColor; | The color for the fixed cells of the grid.
property FixedCols: Integer; | Number of the fixed columns of the grid (ie the columns containing title or identifier material, that don't get scrolled when the rest of the grid moves).
property FixedHotColor: TColor; | FixedHotColor - the 'Hot' colour for the active (selected, etc) fixed cells of the grid
property FixedRows: Integer; | Number of the fixed rows of the grid (ie the rows containing title or identifier material, that don't get scrolled when the rest of the grid moves).
property Flat: Boolean; | Is the cell to be displayed Flat, ie with no texturing or raised/lowered effect
property Font: TFont; | The font to be used for text display in this control.
property GridLineWidth: Integer; | Width (thickness) of GridLines
property Options: TGridOptions; | The options available for use in this grid
property Options2: TGridOptions2;
property ParentShowHint: Boolean; | If true, the value of ShowHint for the control will be the same as the one from the Parent. Default is true.
property PopupMenu: TPopupMenu; | A context-sensitive menu that pops up when the right mouse button is clicked over this control
property RowCount: Integer; | Number of rows in the grid
property ScrollBars: TScrollStyle; | The ScrollBars to be used with this grid
property ShowHint: Boolean; | Enables the Hint display.
property TabAdvance: TAutoAdvance;
property TabOrder: TTabOrder; | Determines the sequence of controls, reachable when the user presses the Tab key.
property TabStop: Boolean; | Allows the user to navigate to this control, by pressing the Tab key.
property Visible: Boolean; | Allows to show or hide the control, and all of its children.
property VisibleColCount: Integer; | The number of visible columns
property VisibleRowCount: Integer; | The number of visible rows
property OnAfterSelection: TOnSelectEvent;
property OnBeforeSelection: TOnSelectEvent; | OnBeforeSelection - event handler for use before a selection is made
property OnClick: TNotifyEvent; | Notification handler for mouse clicks.
property OnColRowDeleted: TGridOperationEvent; [rw] | Event handler when a grid column or row is deleted
property OnColRowExchanged: TGridOperationEvent; [rw] | Event handler when a grid column or row has its position exchanged with another
property OnColRowInserted: TGridOperationEvent; [rw] | Event handler when a column or row is inserted into the grid
property OnColRowMoved: TGridOperationEvent; [rw] | Event handler when a grid column or row is moved
property OnCompareCells: TOnCompareCells; | Event handler for comparing the contents of cells
property OnContextPopup: TContextPopupEvent; | Invoked when a context-sensitive pop-up menu is requested.
property OnDblClick: TNotifyEvent; | Event Handler for double mouse clicks.
property OnDragDrop: TDragDropEvent; | This handler determines the action on an drop onto this control, in a drag-drop operation.
property OnDragOver: TDragOverEvent; | Event handler for a control being dragged over this control.
property OnDrawCell: TOnDrawCell; | Event handler for drawing a cell
property OnEditButtonClick: TNotifyEvent; deprecated ; | Event handler for when the Edit button is clicked
property OnButtonClick: TOnSelectEvent;
property OnEndDock: TEndDragEvent; | Notification handler for the end of a docking operation.
property OnEndDrag: TEndDragEvent; | Notification handler for the end of a dragging operation.
property OnEnter: TNotifyEvent; | Handler for control receiving the focus.
property OnExit: TNotifyEvent; | Handler for control loosing the focus. This is a good place for checking the finished user input.
property OnGetEditMask: TGetEditEvent; [rw] | Event handler for finding the edit mask while editing a grid cell
property OnGetEditText: TGetEditEvent; [rw] | Event handler for finding the text to be edited in a grid cell
property OnHeaderClick: THdrEvent; [rw] | Event handler when a column or row header is clicked
property OnHeaderSized: THdrEvent; [rw] | Event handler when a column or row header is re-sized
property OnHeaderSizing: THeaderSizingEvent; [rw]
property OnKeyDown: TKeyEvent; | Handler for keyboard key pressed.
property OnKeyPress: TKeyPressEvent; | Handler for a character entered by the user.
property OnKeyUp: TKeyEvent; | Handler for keyboard key released.
property OnMouseDown: TMouseEvent; | Event handler for mouse button going down.
property OnMouseEnter: TNotifyEvent;
property OnMouseLeave: TNotifyEvent;
property OnMouseMove: TMouseMoveEvent; | Event handler for mouse movement within the control.
property OnMouseUp: TMouseEvent; | Event handler for mouse button going up.
property OnMouseWheel: TMouseWheelEvent;
property OnMouseWheelDown: TMouseWheelUpDownEvent; | Notification handler for downward movement of mouse wheel.
property OnMouseWheelUp: TMouseWheelUpDownEvent; | Notification handler for upward movement of mouse wheel.
property OnPickListSelect: TNotifyEvent; | Event handler for selecting an item from a picklist (eg drop-down list in TComboBox)
property OnPrepareCanvas: TOnPrepareCanvasEvent; | Event handler to prepare the Canvas for drawing
property OnSelectEditor: TSelectEditorEvent; | Event handler for selecting an editor
property OnSelection: TOnSelectEvent; | Event handler for when an area of a grid (one or a group of cells) is selected
property OnSelectCell: TOnSelectCellEvent; [rw] | Event handler when a grid cell is selected
property OnSetEditText: TSetEditEvent; [rw] | Event handler for storing the text that has been edited in a cell
property OnStartDock: TStartDockEvent; | Event handler for the start of a docking operation.
property OnStartDrag: TStartDragEvent; | Event handler for the start of a dragging operation.
property OnTopleftChanged: TNotifyEvent; | Event handler when the top left cell is changed (ie the grid has been scrolled so that a different cell occupies top left)
property OnUTF8KeyPress: TUTF8KeyPressEvent; | Handler for a character entered by the user.
property OnValidateEntry: TValidateEntryEvent;
end;

Inheritance

TCustomDrawGrid | TCustomDrawGrid - Base Class for drawn grids including TDrawGrid and TStringGrid
|
TCustomGrid | TCustomGrid - the base class for all grid controls
|
TCustomControl | The base class for windowed controls which paint themselves.
|
TWinControl | The base class for controls which can contain other (child) controls.
|
TControl | The base class for visible controls.
|
TLCLComponent | The base class for LCL components associated with widgets.
|
TComponent,IUnknown,IInterfaceComponentReference
|
TPersistent,IFPObserved
|
TObject

See also

HowToUseGrids

How to use Grids including StringGrids, DrawGrids and DbGrids


TCustomDrawGrid
 | ro | AllowOutboundEvents
 | ro | BorderColor
 | ro | Canvas
 | ro | Col
 | ro | ColWidths
 | ro | ColRow
 | ro | Editor
 | ro | EditorBorderStyle
 | ro | EditorMode
 | ro | ExtendedColSizing
 | ro | AltColorStartNormal
 | ro | FastEditing
 | ro | FixedGridLineColor
 | ro | FocusColor
 | ro | FocusRectVisible
 | ro | GridHeight
 | ro | GridLineColor
 | ro | GridLineStyle
 | ro | GridWidth
 | ro | IsCellSelected
 | ro | LeftCol
 | ro | Row
 | ro | RowHeights
 | ro | SaveOptions
 | ro | SelectedColor
 | ro | SelectedColumn
 | ro | Selection
 | ro | StrictSort
 | ro | TopRow
 | ro | UseXORFeatures
 | ro | Align
 | ro | Anchors
 | ro | AutoAdvance
 | ro | AutoFillColumns
 | ro | BorderSpacing
 | ro | BorderStyle
 | ro | Color
 | ro | ColCount
 | ro | Columns
 | ro | Constraints
 | ro | DefaultColWidth
 | ro | DefaultDrawing
 | ro | DefaultRowHeight
 | ro | Enabled
 | ro | FixedColor
 | ro | FixedCols
 | ro | FixedHotColor
 | ro | FixedRows
 | ro | Flat
 | ro | Font
 | ro | GridLineWidth
 | ro | Options
 | ro | Options2
 | ro | ParentShowHint
 | ro | PopupMenu
 | ro | RowCount
 | ro | ScrollBars
 | ro | ShowHint
 | ro | TabAdvance
 | ro | TabOrder
 | ro | TabStop
 | ro | Visible
 | ro | VisibleColCount
 | ro | VisibleRowCount
TCustomGrid
pt |  | AllowOutboundEvents
pt |  | AlternateColor
pt |  | AutoAdvance
pt |  | AutoEdit
pt |  | AutoFillColumns
pt |  | BorderStyle
pt |  | BorderColor
pt |  | CellHintPriority
pt |  | Col
pt |  | ColCount
pt |  | ColRow
pt |  | ColumnClickSorts
pt |  | Columns
pt |  | ColWidths
pt |  | DefaultColWidth
pt |  | DefaultRowHeight
pt |  | DefaultDrawing
pt |  | DefaultTextStyle
pt |  | DragDx
pt |  | Editor
pt |  | EditorBorderStyle
pt |  | EditorMode
pt |  | EditorKey
pt |  | EditorOptions
pt |  | EditorShowing
pt |  | ExtendedColSizing
pt |  | ExtendedRowSizing
pt |  | ExtendedSelect
pt |  | FastEditing
pt |  | AltColorStartNormal
pt |  | FixedCols
pt |  | FixedRows
pt |  | FixedColor
pt |  | FixedGridLineColor
pt |  | FixedHotColor
pt |  | Flat
pt |  | FocusColor
pt |  | FocusRectVisible
pt | ro | GCache
pt |  | GridFlags
pt | ro | GridHeight
pt |  | GridLineColor
pt |  | GridLineStyle
pt |  | GridLineWidth
pt | ro | GridWidth
pt |  | HeaderHotZones
pt |  | HeaderPushZones
pt |  | ImageIndexSortAsc
pt |  | ImageIndexSortDesc
pt |  | TabAdvance
pt |  | TitleImageList
pt |  | TitleImageListWidth
pt | ro | InplaceEditor
pt | ro | IsCellSelected
pt |  | LeftCol
pt |  | MouseWheelOption
pt |  | Options
pt |  | Options2
pt |  | RangeSelectMode
pt |  | Row
pt |  | RowCount
pt |  | RowHeights
pt |  | SaveOptions
pt |  | SelectActive
pt |  | SelectedColor
pt | ro | SelectedColumn
pt |  | Selection
pt |  | ScrollBars
pt |  | StrictSort
pt |  | TitleFont
pt |  | TitleStyle
pt |  | TopRow
pt |  | UseXORFeatures
pt |  | ValidateOnSetSelection
pt | ro | VisibleColCount
pt | ro | VisibleRowCount
 | ro | SelectedRange
 | ro | SelectedRangeCount
 |  | SortOrder
 | ro | SortColumn
 | ro | TabStop
TCustomControl
 |  | Canvas
 | ro | BorderStyle
TWinControl
pt |  | WindowHandle
pt |  | BorderStyle
pt |  | ParentBackground
 |  | BorderWidth
 | ro | BoundsLockCount
 | ro | Brush
 | ro | CachedClientHeight
 | ro | CachedClientWidth
 |  | ChildSizing
 | ro | ControlCount
 | ro | Controls
 |  | DefWndProc
 | ro | DockClientCount
 | ro | DockClients
 |  | DockManager
 |  | DockSite
 |  | DoubleBuffered
 |  | Handle
 | ro | IsFlipped
 | ro | IsResizing
 |  | TabOrder
 |  | TabStop
 |  | ParentDoubleBuffered
 |  | ParentWindow
 | ro | Showing
 |  | UseDockManager
 |  | DesignerDeleting
 | ro | VisibleDockClientCount
TControl
pt | ro | AutoSizing
pt | ro | AutoSizingAll
pt | ro | AutoSizingLockCount
pt |  | ActionLink
pt |  | DesktopFont
pt |  | DragCursor
pt |  | DragKind
pt |  | DragMode
pt |  | MouseCapture
pt |  | ParentColor
pt |  | ParentFont
pt |  | ParentShowHint
pt |  | SessionProperties
pt |  | Text
 | ro | AnchoredControls
 | ro | BaseBounds
 | ro | ReadBounds
 | ro | BaseParentClientSize
 |  | AccessibleDescription
 |  | AccessibleValue
 |  | AccessibleRole
 |  | Action
 |  | Align
 |  | Anchors
 | ro | AnchorSide
 |  | AutoSize
 |  | BorderSpacing
 |  | BoundsRect
 |  | BoundsRectForNewParent
 |  | Caption
 |  | CaptureMouseButtons
 |  | ClientHeight
 | ro | ClientOrigin
 | ro | ClientRect
 |  | ClientWidth
 |  | Color
 |  | Constraints
 | ro | ControlOrigin
 |  | ControlState
 |  | ControlStyle
 |  | Enabled
 |  | Font
 |  | IsControl
 | ro | MouseEntered
 | ro | MouseInClient
 |  | Parent
 |  | PopupMenu
 |  | ShowHint
 |  | Visible
 |  | WindowProc
 |  | DockOrientation
 | ro | Floating
 |  | FloatingDockSiteClass
 |  | HostDockSite
 |  | LRDockWidth
 |  | TBDockHeight
 |  | UndockHeight
 |  | UndockWidth
 |  | BiDiMode
 |  | ParentBiDiMode
pl |  | AnchorSideLeft
pl |  | AnchorSideTop
pl |  | AnchorSideRight
pl |  | AnchorSideBottom
pl |  | Cursor
pl |  | Left
pl |  | Height
pl |  | Hint
pl |  | Top
pl |  | Width
pl |  | HelpType
pl |  | HelpKeyword
pl |  | HelpContext
TLCLComponent
 | ro | LCLRefCount
 | ro | WidgetSetClass
TComponent
 | ro | ComObject
 | ro | Components
 | ro | ComponentCount
 |  | ComponentIndex
 | ro | ComponentState
 | ro | ComponentStyle
 |  | DesignInfo
 | ro | Owner
 |  | VCLComObject
 |  | Name
 |  | Tag
TPersistent
TObject


 |  | AccessibleDescription (TControl)
 |  | AccessibleRole (TControl)
 |  | AccessibleValue (TControl)
 |  | Action (TControl)
pt |  | ActionLink (TControl)
 |  | Align (TControl)
 | ro | Align (TCustomDrawGrid)
pt |  | AllowOutboundEvents (TCustomGrid)
 | ro | AllowOutboundEvents (TCustomDrawGrid)
pt |  | AltColorStartNormal (TCustomGrid)
 | ro | AltColorStartNormal (TCustomDrawGrid)
pt |  | AlternateColor (TCustomGrid)
 | ro | AnchoredControls (TControl)
 |  | Anchors (TControl)
 | ro | Anchors (TCustomDrawGrid)
 | ro | AnchorSide (TControl)
pl |  | AnchorSideBottom (TControl)
pl |  | AnchorSideLeft (TControl)
pl |  | AnchorSideRight (TControl)
pl |  | AnchorSideTop (TControl)
pt |  | AutoAdvance (TCustomGrid)
 | ro | AutoAdvance (TCustomDrawGrid)
pt |  | AutoEdit (TCustomGrid)
pt |  | AutoFillColumns (TCustomGrid)
 | ro | AutoFillColumns (TCustomDrawGrid)
 |  | AutoSize (TControl)
pt | ro | AutoSizing (TControl)
pt | ro | AutoSizingAll (TControl)
pt | ro | AutoSizingLockCount (TControl)
 | ro | BaseBounds (TControl)
 | ro | BaseParentClientSize (TControl)
 |  | BiDiMode (TControl)
pt |  | BorderColor (TCustomGrid)
 | ro | BorderColor (TCustomDrawGrid)
 |  | BorderSpacing (TControl)
 | ro | BorderSpacing (TCustomDrawGrid)
pt |  | BorderStyle (TWinControl)
 | ro | BorderStyle (TCustomControl)
pt |  | BorderStyle (TCustomGrid)
 | ro | BorderStyle (TCustomDrawGrid)
 |  | BorderWidth (TWinControl)
 | ro | BoundsLockCount (TWinControl)
 |  | BoundsRect (TControl)
 |  | BoundsRectForNewParent (TControl)
 | ro | Brush (TWinControl)
 | ro | CachedClientHeight (TWinControl)
 | ro | CachedClientWidth (TWinControl)
 |  | Canvas (TCustomControl)
 | ro | Canvas (TCustomDrawGrid)
 |  | Caption (TControl)
 |  | CaptureMouseButtons (TControl)
pt |  | CellHintPriority (TCustomGrid)
 |  | ChildSizing (TWinControl)
 |  | ClientHeight (TControl)
 | ro | ClientOrigin (TControl)
 | ro | ClientRect (TControl)
 |  | ClientWidth (TControl)
pt |  | Col (TCustomGrid)
 | ro | Col (TCustomDrawGrid)
pt |  | ColCount (TCustomGrid)
 | ro | ColCount (TCustomDrawGrid)
 |  | Color (TControl)
 | ro | Color (TCustomDrawGrid)
pt |  | ColRow (TCustomGrid)
 | ro | ColRow (TCustomDrawGrid)
pt |  | ColumnClickSorts (TCustomGrid)
pt |  | Columns (TCustomGrid)
 | ro | Columns (TCustomDrawGrid)
pt |  | ColWidths (TCustomGrid)
 | ro | ColWidths (TCustomDrawGrid)
 | ro | ComObject (TComponent)
 | ro | ComponentCount (TComponent)
 |  | ComponentIndex (TComponent)
 | ro | Components (TComponent)
 | ro | ComponentState (TComponent)
 | ro | ComponentStyle (TComponent)
 |  | Constraints (TControl)
 | ro | Constraints (TCustomDrawGrid)
 | ro | ControlCount (TWinControl)
 | ro | ControlOrigin (TControl)
 | ro | Controls (TWinControl)
 |  | ControlState (TControl)
 |  | ControlStyle (TControl)
pl |  | Cursor (TControl)
pt |  | DefaultColWidth (TCustomGrid)
 | ro | DefaultColWidth (TCustomDrawGrid)
pt |  | DefaultDrawing (TCustomGrid)
 | ro | DefaultDrawing (TCustomDrawGrid)
pt |  | DefaultRowHeight (TCustomGrid)
 | ro | DefaultRowHeight (TCustomDrawGrid)
pt |  | DefaultTextStyle (TCustomGrid)
 |  | DefWndProc (TWinControl)
 |  | DesignerDeleting (TWinControl)
 |  | DesignInfo (TComponent)
pt |  | DesktopFont (TControl)
 | ro | DockClientCount (TWinControl)
 | ro | DockClients (TWinControl)
 |  | DockManager (TWinControl)
 |  | DockOrientation (TControl)
 |  | DockSite (TWinControl)
 |  | DoubleBuffered (TWinControl)
pt |  | DragCursor (TControl)
pt |  | DragDx (TCustomGrid)
pt |  | DragKind (TControl)
pt |  | DragMode (TControl)
pt |  | Editor (TCustomGrid)
 | ro | Editor (TCustomDrawGrid)
pt |  | EditorBorderStyle (TCustomGrid)
 | ro | EditorBorderStyle (TCustomDrawGrid)
pt |  | EditorKey (TCustomGrid)
pt |  | EditorMode (TCustomGrid)
 | ro | EditorMode (TCustomDrawGrid)
pt |  | EditorOptions (TCustomGrid)
pt |  | EditorShowing (TCustomGrid)
 |  | Enabled (TControl)
 | ro | Enabled (TCustomDrawGrid)
pt |  | ExtendedColSizing (TCustomGrid)
 | ro | ExtendedColSizing (TCustomDrawGrid)
pt |  | ExtendedRowSizing (TCustomGrid)
pt |  | ExtendedSelect (TCustomGrid)
pt |  | FastEditing (TCustomGrid)
 | ro | FastEditing (TCustomDrawGrid)
pt |  | FixedColor (TCustomGrid)
 | ro | FixedColor (TCustomDrawGrid)
pt |  | FixedCols (TCustomGrid)
 | ro | FixedCols (TCustomDrawGrid)
pt |  | FixedGridLineColor (TCustomGrid)
 | ro | FixedGridLineColor (TCustomDrawGrid)
pt |  | FixedHotColor (TCustomGrid)
 | ro | FixedHotColor (TCustomDrawGrid)
pt |  | FixedRows (TCustomGrid)
 | ro | FixedRows (TCustomDrawGrid)
pt |  | Flat (TCustomGrid)
 | ro | Flat (TCustomDrawGrid)
 | ro | Floating (TControl)
 |  | FloatingDockSiteClass (TControl)
pt |  | FocusColor (TCustomGrid)
 | ro | FocusColor (TCustomDrawGrid)
pt |  | FocusRectVisible (TCustomGrid)
 | ro | FocusRectVisible (TCustomDrawGrid)
 |  | Font (TControl)
 | ro | Font (TCustomDrawGrid)
pt | ro | GCache (TCustomGrid)
pt |  | GridFlags (TCustomGrid)
pt | ro | GridHeight (TCustomGrid)
 | ro | GridHeight (TCustomDrawGrid)
pt |  | GridLineColor (TCustomGrid)
 | ro | GridLineColor (TCustomDrawGrid)
pt |  | GridLineStyle (TCustomGrid)
 | ro | GridLineStyle (TCustomDrawGrid)
pt |  | GridLineWidth (TCustomGrid)
 | ro | GridLineWidth (TCustomDrawGrid)
pt | ro | GridWidth (TCustomGrid)
 | ro | GridWidth (TCustomDrawGrid)
 |  | Handle (TWinControl)
pt |  | HeaderHotZones (TCustomGrid)
pt |  | HeaderPushZones (TCustomGrid)
pl |  | Height (TControl)
pl |  | HelpContext (TControl)
pl |  | HelpKeyword (TControl)
pl |  | HelpType (TControl)
pl |  | Hint (TControl)
 |  | HostDockSite (TControl)
pt |  | ImageIndexSortAsc (TCustomGrid)
pt |  | ImageIndexSortDesc (TCustomGrid)
pt | ro | InplaceEditor (TCustomGrid)
pt | ro | IsCellSelected (TCustomGrid)
 | ro | IsCellSelected (TCustomDrawGrid)
 |  | IsControl (TControl)
 | ro | IsFlipped (TWinControl)
 | ro | IsResizing (TWinControl)
 | ro | LCLRefCount (TLCLComponent)
pl |  | Left (TControl)
pt |  | LeftCol (TCustomGrid)
 | ro | LeftCol (TCustomDrawGrid)
 |  | LRDockWidth (TControl)
pt |  | MouseCapture (TControl)
 | ro | MouseEntered (TControl)
 | ro | MouseInClient (TControl)
pt |  | MouseWheelOption (TCustomGrid)
 |  | Name (TComponent)
pt |  | Options (TCustomGrid)
 | ro | Options (TCustomDrawGrid)
pt |  | Options2 (TCustomGrid)
 | ro | Options2 (TCustomDrawGrid)
 | ro | Owner (TComponent)
 |  | Parent (TControl)
pt |  | ParentBackground (TWinControl)
 |  | ParentBiDiMode (TControl)
pt |  | ParentColor (TControl)
 |  | ParentDoubleBuffered (TWinControl)
pt |  | ParentFont (TControl)
pt |  | ParentShowHint (TControl)
 | ro | ParentShowHint (TCustomDrawGrid)
 |  | ParentWindow (TWinControl)
 |  | PopupMenu (TControl)
 | ro | PopupMenu (TCustomDrawGrid)
pt |  | RangeSelectMode (TCustomGrid)
 | ro | ReadBounds (TControl)
pt |  | Row (TCustomGrid)
 | ro | Row (TCustomDrawGrid)
pt |  | RowCount (TCustomGrid)
 | ro | RowCount (TCustomDrawGrid)
pt |  | RowHeights (TCustomGrid)
 | ro | RowHeights (TCustomDrawGrid)
pt |  | SaveOptions (TCustomGrid)
 | ro | SaveOptions (TCustomDrawGrid)
pt |  | ScrollBars (TCustomGrid)
 | ro | ScrollBars (TCustomDrawGrid)
pt |  | SelectActive (TCustomGrid)
pt |  | SelectedColor (TCustomGrid)
 | ro | SelectedColor (TCustomDrawGrid)
pt | ro | SelectedColumn (TCustomGrid)
 | ro | SelectedColumn (TCustomDrawGrid)
 | ro | SelectedRange (TCustomGrid)
 | ro | SelectedRangeCount (TCustomGrid)
pt |  | Selection (TCustomGrid)
 | ro | Selection (TCustomDrawGrid)
pt |  | SessionProperties (TControl)
 |  | ShowHint (TControl)
 | ro | ShowHint (TCustomDrawGrid)
 | ro | Showing (TWinControl)
 | ro | SortColumn (TCustomGrid)
 |  | SortOrder (TCustomGrid)
pt |  | StrictSort (TCustomGrid)
 | ro | StrictSort (TCustomDrawGrid)
pt |  | TabAdvance (TCustomGrid)
 | ro | TabAdvance (TCustomDrawGrid)
 |  | TabOrder (TWinControl)
 | ro | TabOrder (TCustomDrawGrid)
 |  | TabStop (TWinControl)
 | ro | TabStop (TCustomGrid)
 | ro | TabStop (TCustomDrawGrid)
 |  | Tag (TComponent)
 |  | TBDockHeight (TControl)
pt |  | Text (TControl)
pt |  | TitleFont (TCustomGrid)
pt |  | TitleImageList (TCustomGrid)
pt |  | TitleImageListWidth (TCustomGrid)
pt |  | TitleStyle (TCustomGrid)
pl |  | Top (TControl)
pt |  | TopRow (TCustomGrid)
 | ro | TopRow (TCustomDrawGrid)
 |  | UndockHeight (TControl)
 |  | UndockWidth (TControl)
 |  | UseDockManager (TWinControl)
pt |  | UseXORFeatures (TCustomGrid)
 | ro | UseXORFeatures (TCustomDrawGrid)
pt |  | ValidateOnSetSelection (TCustomGrid)
 |  | VCLComObject (TComponent)
 |  | Visible (TControl)
 | ro | Visible (TCustomDrawGrid)
pt | ro | VisibleColCount (TCustomGrid)
 | ro | VisibleColCount (TCustomDrawGrid)
 | ro | VisibleDockClientCount (TWinControl)
pt | ro | VisibleRowCount (TCustomGrid)
 | ro | VisibleRowCount (TCustomDrawGrid)
 | ro | WidgetSetClass (TLCLComponent)
pl |  | Width (TControl)
pt |  | WindowHandle (TWinControl)
 |  | WindowProc (TControl)


TCustomDrawGrid
pt | CellClick
pt | ColRowDeleted
pt | ColRowExchanged
pt | ColRowInserted
pt | ColRowMoved
pt | CreateVirtualGrid
pt | DrawCell
pt | DrawCellAutonumbering
pt | DrawFocusRect
pt | GetCells
pt | GetCheckBoxState
pt | GetEditMask
pt | GetEditText
pt | GridMouseWheel
pt | HeaderClick
pt | HeaderSized
pt | HeaderSizing
pt | KeyDown
pt | NotifyColRowChange
pt | SelectCell
pt | SetColor
pt | SetCheckboxState
pt | SetEditText
pt | SizeChanged
pt | ToggleCheckbox
 | Create
 | Destroy
 | DeleteColRow
 | DeleteCol
 | DeleteRow
 | ExchangeColRow
 | InsertColRow
 | MoveColRow
 | SortColRow
 | DefaultDrawCell
TCustomGrid
pt | RTLSign
pt | WSRegisterClass
pt | AddSelectedRange
pt | AdjustClientRect
pt | AdjustEditorBounds
pt | AfterMoveSelection
pt | AssignTo
pt | AutoAdjustColumn
pt | BeforeMoveSelection
pt | BeginAutoDrag
pt | BoxRect
pt | CacheMouseDown
pt | CalcAutoSizeColumn
pt | CalcCellExtent
pt | CalcFocusRect
pt | CalcMaxTopLeft
pt | CalcScrollbarsRange
pt | CalculatePreferredSize
pt | CanEditShow
pt | CanGridAcceptKey
pt | CellClick
pt | CellExtent
pt | CheckLimits
pt | CheckLimitsWithError
pt | CMBiDiModeChanged
pt | CMMouseEnter
pt | CMMouseLeave
pt | ColRowDeleted
pt | ColRowExchanged
pt | ColRowInserted
pt | ColRowMoved
pt | ColRowToOffset
pt | ColumnIndexFromGridColumn
pt | ColumnFromGridColumn
pt | ColumnsChanged
pt | ColWidthsChanged
pt | CreateColumns
pt | CheckNewCachedSizes
pt | CreateWnd
pt | CreateParams
pt | Click
pt | DblClick
pt | DefaultColWidthIsStored
pt | DefaultRowHeightIsStored
pt | DefineProperties
pt | DestroyHandle
pt | DialogChar
pt | DoCompareCells
pt | DoCopyToClipboard
pt | DoCutToClipboard
pt | DoEditButtonClick
pt | DoEditorHide
pt | DoEditorShow
pt | DoExit
pt | DoEnter
pt | DoLoadColumn
pt | DoSaveColumn
pt | DoMouseWheel
pt | DoMouseWheelDown
pt | DoMouseWheelUp
pt | DoMouseWheelLeft
pt | DoMouseWheelRight
pt | DoAutoAdjustLayout
pt | DoOnChangeBounds
pt | DoOPDeleteColRow
pt | DoOPExchangeColRow
pt | DoOPInsertColRow
pt | DoOPMoveColRow
pt | DoPasteFromClipboard
pt | DoPrepareCanvas
pt | DoSetBounds
pt | DoUTF8KeyPress
pt | DrawBorder
pt | DrawAllRows
pt | DrawFillRect
pt | DrawCell
pt | DrawCellGrid
pt | DrawTextInCell
pt | DrawThemedCell
pt | DrawCellText
pt | DrawGridCheckboxBitmaps
pt | DrawButtonCell
pt | DrawColRowMoving
pt | DrawColumnText
pt | DrawColumnTitleImage
pt | DrawEdges
pt | DrawFocusRect
pt | DrawRow
pt | EditButtonClicked
pt | EditordoGetValue
pt | EditordoResetValue
pt | EditordoSetValue
pt | EditorCanAcceptKey
pt | EditorIsReadOnly
pt | EditorHide
pt | EditorLocked
pt | EditingAllowed
pt | EditorSelectAll
pt | EditorShow
pt | EditorShowInCell
pt | EditorWidthChanged
pt | FirstGridColumn
pt | FixedGrid
pt | FontChanged
pt | GetAutoFillColumnInfo
pt | GetCellHintText
pt | GetCells
pt | GetColumnAlignment
pt | GetColumnColor
pt | GetColumnFont
pt | GetColumnLayout
pt | GetColumnReadonly
pt | GetColumnTitle
pt | GetColumnWidth
pt | GetDeltaMoveNext
pt | GetDefaultColumnAlignment
pt | GetDefaultColumnWidth
pt | GetDefaultColumnLayout
pt | GetDefaultColumnReadOnly
pt | GetDefaultColumnTitle
pt | GetDefaultEditor
pt | GetDefaultRowHeight
pt | GetGridDrawState
pt | GetImageForCheckBox
pt | GetScrollBarPosition
pt | GetSmoothScroll
pt | GetSBVisibility
pt | GetSBRanges
pt | GetSelectedState
pt | GetEditMask
pt | GetEditText
pt | GetFixedcolor
pt | GetFirstVisibleColumn
pt | GetFirstVisibleRow
pt | GetLastVisibleColumn
pt | GetLastVisibleRow
pt | GetSelectedColor
pt | GetTitleShowPrefix
pt | GetPxTopLeft
pt | GetTruncCellHintText
pt | GridColumnFromColumnIndex
pt | GridMouseWheel
pt | HeaderClick
pt | HeaderSized
pt | HeaderSizing
pt | HideCellHintWindow
pt | InternalSetColCount
pt | InvalidateCell
pt | InvalidateFromCol
pt | InvalidateGrid
pt | InvalidateFocused
pt | GetIsCellTitle
pt | GetIsCellSelected
pt | IsEmptyRow
pt | IsMouseOverCellButton
pt | KeyDown
pt | KeyUp
pt | KeyPress
pt | LoadContent
pt | LoadGridOptions
pt | Loaded
pt | LockEditor
pt | MouseButtonAllowed
pt | MouseDown
pt | MouseMove
pt | MouseUp
pt | MoveExtend
pt | MoveNextAuto
pt | MoveNextSelectable
pt | MoveSelection
pt | OffsetToColRow
pt | Paint
pt | PickListItemSelected
pt | PrepareCanvas
pt | PrepareCellHints
pt | ResetDefaultColWidths
pt | ResetEditor
pt | ResetLastMove
pt | ResetOffset
pt | ResetSizes
pt | ResizeColumn
pt | ResizeRow
pt | RowHeightsChanged
pt | SaveContent
pt | SaveGridOptions
pt | ScrollBarRange
pt | ScrollBarPosition
pt | ScrollBarIsVisible
pt | ScrollBarPage
pt | ScrollBarShow
pt | ScrollBarAutomatic
pt | ScrollBy
pt | SelectEditor
pt | SelectCell
pt | SetCanvasFont
pt | SetColor
pt | SetColRow
pt | SetEditText
pt | SetBorderStyle
pt | SetFixedcolor
pt | SetFixedCols
pt | SetFixedRows
pt | SetRawColWidths
pt | SetSelectedColor
pt | ShowCellHintWindow
pt | SizeChanged
pt | Sort
pt | StartPushCell
pt | TopLeftChanged
pt | TryMoveSelection
pt | UnLockEditor
pt | UnprepareCellHints
pt | UpdateHorzScrollBar
pt | UpdateSelectionRange
pt | UpdateVertScrollbar
pt | UpdateBorderStyle
pt | ValidateEntry
pt | VisualChange
pt | WMSize
pt | WMHScroll
pt | WMVScroll
pt | WMKillFocus
pt | WMSetFocus
pt | WndProc
pt | FlipRect
pt | FlipPoint
pt | FlipX
 | Create
 | Destroy
 | Invalidate
 | EditingDone
 | AdjustInnerCellRect
 | AutoAdjustColumns
 | BeginUpdate
 | CellRect
 | CellToGridZone
 | CheckPosition
 | ClearCols
 | ClearRows
 | Clear
 | ClearSelections
 | EditorByStyle
 | EditorKeyDown
 | EditorKeyPress
 | EditorKeyUp
 | EditorTextChanged
 | EndUpdate
 | EraseBackground
 | Focused
 | HasMultiSelection
 | InvalidateCol
 | InvalidateRange
 | InvalidateRow
 | IsCellVisible
 | IsFixedCellVisible
 | LoadFromFile
 | LoadFromStream
 | MouseCoord
 | MouseToCell
 | MouseToLogcell
 | MouseToGridZone
 | SaveToFile
 | SaveToStream
 | SetFocus
TCustomControl
pt | WSRegisterClass
pt | WMPaint
pt | DestroyWnd
pt | PaintWindow
pt | FontChanged
pt | SetColor
pt | Paint
 | Create
 | Destroy
TWinControl
pt | WSRegisterClass
pt | AdjustClientRect
pt | GetAdjustedLogicalClientRect
pt | AlignControls
pt | CustomAlignInsertBefore
pt | CustomAlignPosition
pt | DoAlignChildControls
pt | DoChildSizingChange
pt | InvalidatePreferredChildSizes
pt | CanTab
pt | IsClientHeightStored
pt | IsClientWidthStored
pt | DoSendShowHideToInterface
pt | ControlsAligned
pt | DoSendBoundsToInterface
pt | RealizeBounds
pt | RealizeBoundsRecursive
pt | InvalidateBoundsRealized
pt | CreateSubClass
pt | DoConstraintsChange
pt | DoSetBounds
pt | DoAutoSize
pt | DoAllAutoSize
pt | AllAutoSized
pt | CalculatePreferredSize
pt | GetPreferredSizeClientFrame
pt | GetChildren
pt | ChildClassAllowed
pt | PaintControls
pt | PaintHandler
pt | PaintWindow
pt | CreateBrush
pt | ScaleControls
pt | ChangeScale
pt | CMBiDiModeChanged
pt | CMBorderChanged
pt | CMDoubleBufferedChanged
pt | CMEnabledChanged
pt | CMParentDoubleBufferedChanged
pt | CMShowingChanged
pt | CMShowHintChanged
pt | CMVisibleChanged
pt | CMEnter
pt | CMExit
pt | WMContextMenu
pt | WMEraseBkgnd
pt | WMNotify
pt | WMSetFocus
pt | WMKillFocus
pt | WMShowWindow
pt | WMEnter
pt | WMExit
pt | WMKeyDown
pt | WMSysKeyDown
pt | WMKeyUp
pt | WMSysKeyUp
pt | WMChar
pt | WMSysChar
pt | WMPaint
pt | WMDestroy
pt | WMMove
pt | WMSize
pt | WMWindowPosChanged
pt | CNKeyDown
pt | CNSysKeyDown
pt | CNKeyUp
pt | CNSysKeyUp
pt | CNChar
pt | DoDragMsg
pt | DoDockClientMsg
pt | DoUndockClientMsg
pt | DoAddDockClient
pt | DockOver
pt | DoDockOver
pt | DoRemoveDockClient
pt | DoUnDock
pt | GetSiteInfo
pt | GetParentHandle
pt | GetTopParentHandle
pt | ReloadDockedControl
pt | CreateDockManager
pt | SetDockManager
pt | DoFloatMsg
pt | DoGetDockCaption
pt | DoEnter
pt | DoExit
pt | DoKeyDownBeforeInterface
pt | DoRemainingKeyDown
pt | DoRemainingKeyUp
pt | DoKeyPress
pt | DoUTF8KeyPress
pt | DoKeyUpBeforeInterface
pt | ChildKey
pt | SendDialogChar
pt | DialogChar
pt | ControlKeyDown
pt | ControlKeyUp
pt | KeyDown
pt | KeyDownBeforeInterface
pt | KeyDownAfterInterface
pt | KeyPress
pt | KeyUp
pt | KeyUpBeforeInterface
pt | KeyUpAfterInterface
pt | UTF8KeyPress
pt | FindNextControl
pt | SelectFirst
pt | RealGetText
pt | GetBorderStyle
pt | GetClientOrigin
pt | GetClientRect
pt | GetControlOrigin
pt | GetDeviceContext
pt | GetParentBackground
pt | IsControlMouseMsg
pt | CreateHandle
pt | CreateParams
pt | CreateWnd
pt | DestroyHandle
pt | DestroyWnd
pt | DoFlipChildren
pt | FinalizeWnd
pt | FixupTabList
pt | FontChanged
pt | InitializeWnd
pt | Loaded
pt | FormEndUpdated
pt | MainWndProc
pt | ParentFormHandleInitialized
pt | ChildHandlesCreated
pt | GetMouseCapture
pt | RealSetText
pt | RemoveFocus
pt | SendMoveSizeMessages
pt | SetBorderStyle
pt | SetColor
pt | SetChildZPosition
pt | SetParentBackground
pt | ShowControl
pt | UpdateControlState
pt | UpdateShowing
pt | WndProc
pt | WSSetText
 | AutoSizePhases
 | AutoSizeDelayed
 | AutoSizeDelayedReport
 | AutoSizeDelayedHandle
 | BeginUpdateBounds
 | EndUpdateBounds
 | LockRealizeBounds
 | UnlockRealizeBounds
 | ControlAtPos
 | ContainsControl
 | DoAdjustClientRectChange
 | InvalidateClientRectCache
 | ClientRectNeedsInterfaceUpdate
 | SetBounds
 | GetChildrenRect
 | DisableAlign
 | EnableAlign
 | ReAlign
 | ScrollBy_WS
 | ScrollBy
 | WriteLayoutDebugReport
 | AutoAdjustLayout
 | Create
 | CreateParented
 | CreateParentedControl
 | Destroy
 | DockDrop
 | CanFocus
 | CanSetFocus
 | GetControlIndex
 | SetControlIndex
 | Focused
 | PerformTab
 | FindChildControl
 | SelectNext
 | SetTempCursor
 | BroadCast
 | NotifyControls
 | DefaultHandler
 | GetTextLen
 | Invalidate
 | AddControl
 | InsertControl
 | RemoveControl
 | GetEnumeratorControls
 | GetEnumeratorControlsReverse
 | Repaint
 | Update
 | SetFocus
 | FlipChildren
 | ScaleBy
 | GetDockCaption
 | UpdateDockCaption
 | GetTabOrderList
 | HandleAllocated
 | ParentHandlesAllocated
 | HandleNeeded
 | BrushCreated
 | EraseBackground
 | IntfUTF8KeyPress
 | IntfGetDropFilesTarget
 | PaintTo
 | SetShape
TControl
pt | WSRegisterClass
pt | GetCursor
pt | SetCursor
pt | SetVisible
pt | DoOnParentHandleDestruction
pt | DoAutoSize
pt | DoAllAutoSize
pt | BeginAutoSizing
pt | EndAutoSizing
pt | AnchorSideChanged
pt | ForeignAnchorSideChanged
pt | SetAlign
pt | SetAnchors
pt | SetAutoSize
pt | BoundsChanged
pt | CreateControlBorderSpacing
pt | DoConstraintsChange
pt | DoBorderSpacingChange
pt | IsBorderSpacingInnerBorderStored
pt | IsCaptionStored
pt | SendMoveSizeMessages
pt | ConstrainedResize
pt | CalculatePreferredSize
pt | DoOnResize
pt | DoOnChangeBounds
pt | CheckOnChangeBounds
pt | Resize
pt | RequestAlign
pt | UpdateAnchorRules
pt | ChangeBounds
pt | DoSetBounds
pt | ScaleConstraints
pt | ChangeScale
pt | CanAutoSize
pt | SetBiDiMode
pt | SetParentBiDiMode
pt | IsAParentAligning
pt | GetClientOrigin
pt | GetClientRect
pt | GetLogicalClientRect
pt | GetScrolledClientRect
pt | GetClientScrollOffset
pt | GetControlOrigin
pt | IsClientHeightStored
pt | IsClientWidthStored
pt | WidthIsAnchored
pt | HeightIsAnchored
pt | WMCancelMode
pt | WMContextMenu
pt | WMLButtonDown
pt | WMRButtonDown
pt | WMMButtonDown
pt | WMXButtonDown
pt | WMLButtonDBLCLK
pt | WMRButtonDBLCLK
pt | WMMButtonDBLCLK
pt | WMXButtonDBLCLK
pt | WMLButtonTripleCLK
pt | WMRButtonTripleCLK
pt | WMMButtonTripleCLK
pt | WMXButtonTripleCLK
pt | WMLButtonQuadCLK
pt | WMRButtonQuadCLK
pt | WMMButtonQuadCLK
pt | WMXButtonQuadCLK
pt | WMMouseMove
pt | WMLButtonUp
pt | WMRButtonUp
pt | WMMButtonUp
pt | WMXButtonUp
pt | WMMouseWheel
pt | WMMouseHWheel
pt | WMMove
pt | WMSize
pt | WMWindowPosChanged
pt | CMChanged
pt | LMCaptureChanged
pt | CMBiDiModeChanged
pt | CMSysFontChanged
pt | CMEnabledChanged
pt | CMHitTest
pt | CMMouseEnter
pt | CMMouseLeave
pt | CMHintShow
pt | CMParentBiDiModeChanged
pt | CMParentColorChanged
pt | CMParentFontChanged
pt | CMParentShowHintChanged
pt | CMVisibleChanged
pt | CMTextChanged
pt | CMCursorChanged
pt | CalculateDockSizes
pt | CreateFloatingDockSite
pt | GetDockEdge
pt | GetDragImages
pt | GetFloating
pt | GetFloatingDockSiteClass
pt | BeforeDragStart
pt | BeginAutoDrag
pt | DoFloatMsg
pt | DockTrackNoTarget
pt | DoDock
pt | DoDragMsg
pt | DoEndDock
pt | DoEndDrag
pt | DoStartDock
pt | DoStartDrag
pt | DragCanceled
pt | DragOver
pt | PositionDockRect
pt | SetDragMode
pt | GetDefaultDockCaption
pt | Click
pt | DblClick
pt | TripleClick
pt | QuadClick
pt | GetMousePosFromMessage
pt | MouseDown
pt | MouseMove
pt | MouseUp
pt | MouseEnter
pt | MouseLeave
pt | DialogChar
pt | UpdateMouseCursor
pt | Changed
pt | GetPalette
pt | ChildClassAllowed
pt | ReadState
pt | Loaded
pt | LoadedAll
pt | DefineProperties
pt | AssignTo
pt | FormEndUpdated
pt | InvalidateControl
pt | FontChanged
pt | ParentFontChanged
pt | GetAction
pt | RealGetText
pt | RealSetText
pt | TextChanged
pt | GetCachedText
pt | SetAction
pt | SetColor
pt | SetEnabled
pt | SetHint
pt | SetName
pt | SetParent
pt | SetParentComponent
pt | WndProc
pt | ParentFormHandleInitialized
pt | GetMouseCapture
pt | CaptureChanged
pt | Notification
pt | CanTab
pt | GetDeviceContext
pt | GetEnabled
pt | GetPopupMenu
pt | DoOnShowHint
pt | DoMouseWheel
pt | DoMouseWheelDown
pt | DoMouseWheelUp
pt | DoMouseWheelHorz
pt | DoMouseWheelLeft
pt | DoMouseWheelRight
pt | VisibleChanging
pt | VisibleChanged
pt | EnabledChanging
pt | EnabledChanged
pt | AddHandler
pt | RemoveHandler
pt | DoCallNotifyHandler
pt | DoCallKeyEventHandler
pt | DoCallMouseWheelEventHandler
pt | DoContextPopup
pt | SetZOrder
pt | GetControlClassDefaultSize
pt | ColorIsStored
pt | DoAutoAdjustLayout
pt | DoFixDesignFontPPI
pt | DoScaleFontPPI
pt | GetActionLinkClass
pt | ActionChange
 | DragDrop
 | Dock
 | ManualDock
 | ManualFloat
 | ReplaceDockedControl
 | Docked
 | Dragging
 | GetAccessibleObject
 | CreateAccessibleObject
 | GetSelectedChildAccessibleObject
 | GetChildAccessibleObjectAtPos
 | ScaleDesignToForm
 | ScaleFormToDesign
 | Scale96ToForm
 | ScaleFormTo96
 | Scale96ToFont
 | ScaleFontTo96
 | ScaleScreenToFont
 | ScaleFontToScreen
 | Scale96ToScreen
 | ScaleScreenTo96
 | AdjustSize
 | AutoSizePhases
 | AutoSizeDelayed
 | AutoSizeDelayedReport
 | AutoSizeDelayedHandle
 | AnchorToNeighbour
 | AnchorParallel
 | AnchorHorizontalCenterTo
 | AnchorVerticalCenterTo
 | AnchorToCompanion
 | AnchorSame
 | AnchorAsAlign
 | AnchorClient
 | AnchoredControlCount
 | SetBounds
 | SetInitialBounds
 | SetBoundsKeepBase
 | GetPreferredSize
 | GetCanvasScaleFactor
 | GetDefaultWidth
 | GetDefaultHeight
 | GetDefaultColor
 | GetColorResolvingParent
 | GetRGBColorResolvingParent
 | GetSidePosition
 | CNPreferredSizeChanged
 | InvalidatePreferredSize
 | GetAnchorsDependingOnParent
 | DisableAutoSizing
 | EnableAutoSizing
 | UpdateBaseBounds
 | WriteLayoutDebugReport
 | AutoAdjustLayout
 | ShouldAutoAdjust
 | FixDesignFontsPPI
 | ScaleFontsPPI
 | Create
 | Destroy
 | BeforeDestruction
 | EditingDone
 | ExecuteDefaultAction
 | ExecuteCancelAction
 | BeginDrag
 | EndDrag
 | BringToFront
 | HasParent
 | GetParentComponent
 | IsParentOf
 | GetTopParent
 | IsVisible
 | IsControlVisible
 | IsEnabled
 | IsParentColor
 | IsParentFont
 | FormIsUpdating
 | IsProcessingPaintMsg
 | Hide
 | Refresh
 | Repaint
 | Invalidate
 | CheckChildClassAllowed
 | CheckNewParent
 | SendToBack
 | SetTempCursor
 | UpdateRolesForForm
 | ActiveDefaultControlChanged
 | GetTextBuf
 | GetTextLen
 | SetTextBuf
 | Perform
 | ScreenToClient
 | ClientToScreen
 | ScreenToControl
 | ControlToScreen
 | ClientToParent
 | ParentToClient
 | GetChildrenRect
 | Show
 | Update
 | HandleObjectShouldBeVisible
 | ParentDestroyingHandle
 | ParentHandlesAllocated
 | InitiateAction
 | ShowHelp
 | HasHelp
 | RemoveAllHandlersOfObject
 | AddHandlerOnResize
 | RemoveHandlerOnResize
 | AddHandlerOnChangeBounds
 | RemoveHandlerOnChangeBounds
 | AddHandlerOnVisibleChanging
 | RemoveHandlerOnVisibleChanging
 | AddHandlerOnVisibleChanged
 | RemoveHandlerOnVisibleChanged
 | AddHandlerOnEnabledChanged
 | RemoveHandlerOnEnableChanging
 | AddHandlerOnKeyDown
 | RemoveHandlerOnKeyDown
 | AddHandlerOnBeforeDestruction
 | RemoveHandlerOnBeforeDestruction
 | AddHandlerOnMouseWheel
 | RemoveHandlerOnMouseWheel
 | UseRightToLeftAlignment
 | UseRightToLeftReading
 | UseRightToLeftScrollBar
 | IsRightToLeft
TLCLComponent
pt | WSRegisterClass
pt | GetWSComponentClass
 | Create
 | Destroy
 | NewInstance
 | RemoveAllHandlersOfObject
 | IncLCLRefCount
 | DecLCLRefCount
TComponent
 | GetComObject
 | GetComponent
 | GetComponentCount
 | GetComponentIndex
 | Insert
 | ReadLeft
 | ReadTop
 | Remove
 | RemoveNotification
 | SetComponentIndex
 | SetReference
 | WriteLeft
 | WriteTop
 | ChangeName
 | DefineProperties
 | GetChildren
 | GetChildOwner
 | GetChildParent
 | GetOwner
 | Loaded
 | Loading
 | Notification
 | PaletteCreated
 | ReadState
 | SetAncestor
 | SetDesigning
 | SetDesignInstance
 | SetInline
 | SetName
 | SetChildOrder
 | SetParentComponent
 | Updating
 | Updated
 | UpdateRegistry
 | ValidateRename
 | ValidateContainer
 | ValidateInsert
 | QueryInterface
 | _AddRef
 | _Release
 | iicrGetComponent
 | GetTypeInfoCount
 | GetTypeInfo
 | GetIDsOfNames
 | Invoke
 | WriteState
 | Create
 | Destroy
 | BeforeDestruction
 | DestroyComponents
 | Destroying
 | ExecuteAction
 | FindComponent
 | FreeNotification
 | RemoveFreeNotification
 | FreeOnRelease
 | GetEnumerator
 | GetNamePath
 | GetParentComponent
 | HasParent
 | InsertComponent
 | RemoveComponent
 | SafeCallException
 | SetSubComponent
 | UpdateAction
 | IsImplementorOf
 | ReferenceInterface
TPersistent
 | AssignError
 | AssignTo
 | DefineProperties
 | GetOwner
 | Destroy
 | Assign
 | FPOAttachObserver
 | FPODetachObserver
 | FPONotifyObservers
 | GetNamePath
TObject
 | Create
 | Destroy
 | newinstance
 | FreeInstance
 | SafeCallException
 | DefaultHandler
 | Free
 | InitInstance
 | CleanupInstance
 | ClassType
 | ClassInfo
 | ClassName
 | ClassNameIs
 | ClassParent
 | InstanceSize
 | InheritsFrom
 | StringMessageTable
 | MethodAddress
 | MethodName
 | FieldAddress
 | AfterConstruction
 | BeforeDestruction
 | DefaultHandlerStr
 | Dispatch
 | DispatchStr
 | GetInterface
 | GetInterfaceByStr
 | GetInterfaceWeak
 | GetInterfaceEntry
 | GetInterfaceEntryByStr
 | GetInterfaceTable
 | UnitName
 | Equals
 | GetHashCode
 | ToString


pt | ActionChange (TControl)
 | ActiveDefaultControlChanged (TControl)
 | AddControl (TWinControl)
pt | AddHandler (TControl)
 | AddHandlerOnBeforeDestruction (TControl)
 | AddHandlerOnChangeBounds (TControl)
 | AddHandlerOnEnabledChanged (TControl)
 | AddHandlerOnKeyDown (TControl)
 | AddHandlerOnMouseWheel (TControl)
 | AddHandlerOnResize (TControl)
 | AddHandlerOnVisibleChanged (TControl)
 | AddHandlerOnVisibleChanging (TControl)
pt | AddSelectedRange (TCustomGrid)
pt | AdjustClientRect (TWinControl)
pt | AdjustClientRect (TCustomGrid)
pt | AdjustEditorBounds (TCustomGrid)
 | AdjustInnerCellRect (TCustomGrid)
 | AdjustSize (TControl)
 | AfterConstruction (TObject)
pt | AfterMoveSelection (TCustomGrid)
pt | AlignControls (TWinControl)
pt | AllAutoSized (TWinControl)
 | AnchorAsAlign (TControl)
 | AnchorClient (TControl)
 | AnchoredControlCount (TControl)
 | AnchorHorizontalCenterTo (TControl)
 | AnchorParallel (TControl)
 | AnchorSame (TControl)
pt | AnchorSideChanged (TControl)
 | AnchorToCompanion (TControl)
 | AnchorToNeighbour (TControl)
 | AnchorVerticalCenterTo (TControl)
 | Assign (TPersistent)
 | AssignError (TPersistent)
 | AssignTo (TPersistent)
pt | AssignTo (TControl)
pt | AssignTo (TCustomGrid)
pt | AutoAdjustColumn (TCustomGrid)
 | AutoAdjustColumns (TCustomGrid)
 | AutoAdjustLayout (TControl)
 | AutoAdjustLayout (TWinControl)
 | AutoSizeDelayed (TControl)
 | AutoSizeDelayed (TWinControl)
 | AutoSizeDelayedHandle (TControl)
 | AutoSizeDelayedHandle (TWinControl)
 | AutoSizeDelayedReport (TControl)
 | AutoSizeDelayedReport (TWinControl)
 | AutoSizePhases (TControl)
 | AutoSizePhases (TWinControl)
 | BeforeDestruction (TObject)
 | BeforeDestruction (TComponent)
 | BeforeDestruction (TControl)
pt | BeforeDragStart (TControl)
pt | BeforeMoveSelection (TCustomGrid)
pt | BeginAutoDrag (TControl)
pt | BeginAutoDrag (TCustomGrid)
pt | BeginAutoSizing (TControl)
 | BeginDrag (TControl)
 | BeginUpdate (TCustomGrid)
 | BeginUpdateBounds (TWinControl)
pt | BoundsChanged (TControl)
pt | BoxRect (TCustomGrid)
 | BringToFront (TControl)
 | BroadCast (TWinControl)
 | BrushCreated (TWinControl)
pt | CacheMouseDown (TCustomGrid)
pt | CalcAutoSizeColumn (TCustomGrid)
pt | CalcCellExtent (TCustomGrid)
pt | CalcFocusRect (TCustomGrid)
pt | CalcMaxTopLeft (TCustomGrid)
pt | CalcScrollbarsRange (TCustomGrid)
pt | CalculateDockSizes (TControl)
pt | CalculatePreferredSize (TControl)
pt | CalculatePreferredSize (TWinControl)
pt | CalculatePreferredSize (TCustomGrid)
pt | CanAutoSize (TControl)
pt | CanEditShow (TCustomGrid)
 | CanFocus (TWinControl)
pt | CanGridAcceptKey (TCustomGrid)
 | CanSetFocus (TWinControl)
pt | CanTab (TControl)
pt | CanTab (TWinControl)
pt | CaptureChanged (TControl)
pt | CellClick (TCustomGrid)
pt | CellClick (TCustomDrawGrid)
pt | CellExtent (TCustomGrid)
 | CellRect (TCustomGrid)
 | CellToGridZone (TCustomGrid)
pt | ChangeBounds (TControl)
pt | Changed (TControl)
 | ChangeName (TComponent)
pt | ChangeScale (TControl)
pt | ChangeScale (TWinControl)
 | CheckChildClassAllowed (TControl)
pt | CheckLimits (TCustomGrid)
pt | CheckLimitsWithError (TCustomGrid)
pt | CheckNewCachedSizes (TCustomGrid)
 | CheckNewParent (TControl)
pt | CheckOnChangeBounds (TControl)
 | CheckPosition (TCustomGrid)
pt | ChildClassAllowed (TControl)
pt | ChildClassAllowed (TWinControl)
pt | ChildHandlesCreated (TWinControl)
pt | ChildKey (TWinControl)
 | ClassInfo (TObject)
 | ClassName (TObject)
 | ClassNameIs (TObject)
 | ClassParent (TObject)
 | ClassType (TObject)
 | CleanupInstance (TObject)
 | Clear (TCustomGrid)
 | ClearCols (TCustomGrid)
 | ClearRows (TCustomGrid)
 | ClearSelections (TCustomGrid)
pt | Click (TControl)
pt | Click (TCustomGrid)
 | ClientRectNeedsInterfaceUpdate (TWinControl)
 | ClientToParent (TControl)
 | ClientToScreen (TControl)
pt | CMBiDiModeChanged (TControl)
pt | CMBiDiModeChanged (TWinControl)
pt | CMBiDiModeChanged (TCustomGrid)
pt | CMBorderChanged (TWinControl)
pt | CMChanged (TControl)
pt | CMCursorChanged (TControl)
pt | CMDoubleBufferedChanged (TWinControl)
pt | CMEnabledChanged (TControl)
pt | CMEnabledChanged (TWinControl)
pt | CMEnter (TWinControl)
pt | CMExit (TWinControl)
pt | CMHintShow (TControl)
pt | CMHitTest (TControl)
pt | CMMouseEnter (TControl)
pt | CMMouseEnter (TCustomGrid)
pt | CMMouseLeave (TControl)
pt | CMMouseLeave (TCustomGrid)
pt | CMParentBiDiModeChanged (TControl)
pt | CMParentColorChanged (TControl)
pt | CMParentDoubleBufferedChanged (TWinControl)
pt | CMParentFontChanged (TControl)
pt | CMParentShowHintChanged (TControl)
pt | CMShowHintChanged (TWinControl)
pt | CMShowingChanged (TWinControl)
pt | CMSysFontChanged (TControl)
pt | CMTextChanged (TControl)
pt | CMVisibleChanged (TControl)
pt | CMVisibleChanged (TWinControl)
pt | CNChar (TWinControl)
pt | CNKeyDown (TWinControl)
pt | CNKeyUp (TWinControl)
 | CNPreferredSizeChanged (TControl)
pt | CNSysKeyDown (TWinControl)
pt | CNSysKeyUp (TWinControl)
pt | ColorIsStored (TControl)
pt | ColRowDeleted (TCustomGrid)
pt | ColRowDeleted (TCustomDrawGrid)
pt | ColRowExchanged (TCustomGrid)
pt | ColRowExchanged (TCustomDrawGrid)
pt | ColRowInserted (TCustomGrid)
pt | ColRowInserted (TCustomDrawGrid)
pt | ColRowMoved (TCustomGrid)
pt | ColRowMoved (TCustomDrawGrid)
pt | ColRowToOffset (TCustomGrid)
pt | ColumnFromGridColumn (TCustomGrid)
pt | ColumnIndexFromGridColumn (TCustomGrid)
pt | ColumnsChanged (TCustomGrid)
pt | ColWidthsChanged (TCustomGrid)
pt | ConstrainedResize (TControl)
 | ContainsControl (TWinControl)
 | ControlAtPos (TWinControl)
pt | ControlKeyDown (TWinControl)
pt | ControlKeyUp (TWinControl)
pt | ControlsAligned (TWinControl)
 | ControlToScreen (TControl)
 | Create (TObject)
 | Create (TComponent)
 | Create (TLCLComponent)
 | Create (TControl)
 | Create (TWinControl)
 | Create (TCustomControl)
 | Create (TCustomGrid)
 | Create (TCustomDrawGrid)
 | CreateAccessibleObject (TControl)
pt | CreateBrush (TWinControl)
pt | CreateColumns (TCustomGrid)
pt | CreateControlBorderSpacing (TControl)
pt | CreateDockManager (TWinControl)
pt | CreateFloatingDockSite (TControl)
pt | CreateHandle (TWinControl)
pt | CreateParams (TWinControl)
pt | CreateParams (TCustomGrid)
 | CreateParented (TWinControl)
 | CreateParentedControl (TWinControl)
pt | CreateSubClass (TWinControl)
pt | CreateVirtualGrid (TCustomDrawGrid)
pt | CreateWnd (TWinControl)
pt | CreateWnd (TCustomGrid)
pt | CustomAlignInsertBefore (TWinControl)
pt | CustomAlignPosition (TWinControl)
pt | DblClick (TControl)
pt | DblClick (TCustomGrid)
 | DecLCLRefCount (TLCLComponent)
pt | DefaultColWidthIsStored (TCustomGrid)
 | DefaultDrawCell (TCustomDrawGrid)
 | DefaultHandler (TObject)
 | DefaultHandler (TWinControl)
 | DefaultHandlerStr (TObject)
pt | DefaultRowHeightIsStored (TCustomGrid)
 | DefineProperties (TPersistent)
 | DefineProperties (TComponent)
pt | DefineProperties (TControl)
pt | DefineProperties (TCustomGrid)
 | DeleteCol (TCustomDrawGrid)
 | DeleteColRow (TCustomDrawGrid)
 | DeleteRow (TCustomDrawGrid)
 | Destroy (TObject)
 | Destroy (TPersistent)
 | Destroy (TComponent)
 | Destroy (TLCLComponent)
 | Destroy (TControl)
 | Destroy (TWinControl)
 | Destroy (TCustomControl)
 | Destroy (TCustomGrid)
 | Destroy (TCustomDrawGrid)
 | DestroyComponents (TComponent)
pt | DestroyHandle (TWinControl)
pt | DestroyHandle (TCustomGrid)
 | Destroying (TComponent)
pt | DestroyWnd (TWinControl)
pt | DestroyWnd (TCustomControl)
pt | DialogChar (TControl)
pt | DialogChar (TWinControl)
pt | DialogChar (TCustomGrid)
 | DisableAlign (TWinControl)
 | DisableAutoSizing (TControl)
 | Dispatch (TObject)
 | DispatchStr (TObject)
pt | DoAddDockClient (TWinControl)
 | DoAdjustClientRectChange (TWinControl)
pt | DoAlignChildControls (TWinControl)
pt | DoAllAutoSize (TControl)
pt | DoAllAutoSize (TWinControl)
pt | DoAutoAdjustLayout (TControl)
pt | DoAutoAdjustLayout (TCustomGrid)
pt | DoAutoSize (TControl)
pt | DoAutoSize (TWinControl)
pt | DoBorderSpacingChange (TControl)
pt | DoCallKeyEventHandler (TControl)
pt | DoCallMouseWheelEventHandler (TControl)
pt | DoCallNotifyHandler (TControl)
pt | DoChildSizingChange (TWinControl)
 | Dock (TControl)
 | DockDrop (TWinControl)
 | Docked (TControl)
pt | DockOver (TWinControl)
pt | DockTrackNoTarget (TControl)
pt | DoCompareCells (TCustomGrid)
pt | DoConstraintsChange (TControl)
pt | DoConstraintsChange (TWinControl)
pt | DoContextPopup (TControl)
pt | DoCopyToClipboard (TCustomGrid)
pt | DoCutToClipboard (TCustomGrid)
pt | DoDock (TControl)
pt | DoDockClientMsg (TWinControl)
pt | DoDockOver (TWinControl)
pt | DoDragMsg (TControl)
pt | DoDragMsg (TWinControl)
pt | DoEditButtonClick (TCustomGrid)
pt | DoEditorHide (TCustomGrid)
pt | DoEditorShow (TCustomGrid)
pt | DoEndDock (TControl)
pt | DoEndDrag (TControl)
pt | DoEnter (TWinControl)
pt | DoEnter (TCustomGrid)
pt | DoExit (TWinControl)
pt | DoExit (TCustomGrid)
pt | DoFixDesignFontPPI (TControl)
pt | DoFlipChildren (TWinControl)
pt | DoFloatMsg (TControl)
pt | DoFloatMsg (TWinControl)
pt | DoGetDockCaption (TWinControl)
pt | DoKeyDownBeforeInterface (TWinControl)
pt | DoKeyPress (TWinControl)
pt | DoKeyUpBeforeInterface (TWinControl)
pt | DoLoadColumn (TCustomGrid)
pt | DoMouseWheel (TControl)
pt | DoMouseWheel (TCustomGrid)
pt | DoMouseWheelDown (TControl)
pt | DoMouseWheelDown (TCustomGrid)
pt | DoMouseWheelHorz (TControl)
pt | DoMouseWheelLeft (TControl)
pt | DoMouseWheelLeft (TCustomGrid)
pt | DoMouseWheelRight (TControl)
pt | DoMouseWheelRight (TCustomGrid)
pt | DoMouseWheelUp (TControl)
pt | DoMouseWheelUp (TCustomGrid)
pt | DoOnChangeBounds (TControl)
pt | DoOnChangeBounds (TCustomGrid)
pt | DoOnParentHandleDestruction (TControl)
pt | DoOnResize (TControl)
pt | DoOnShowHint (TControl)
pt | DoOPDeleteColRow (TCustomGrid)
pt | DoOPExchangeColRow (TCustomGrid)
pt | DoOPInsertColRow (TCustomGrid)
pt | DoOPMoveColRow (TCustomGrid)
pt | DoPasteFromClipboard (TCustomGrid)
pt | DoPrepareCanvas (TCustomGrid)
pt | DoRemainingKeyDown (TWinControl)
pt | DoRemainingKeyUp (TWinControl)
pt | DoRemoveDockClient (TWinControl)
pt | DoSaveColumn (TCustomGrid)
pt | DoScaleFontPPI (TControl)
pt | DoSendBoundsToInterface (TWinControl)
pt | DoSendShowHideToInterface (TWinControl)
pt | DoSetBounds (TControl)
pt | DoSetBounds (TWinControl)
pt | DoSetBounds (TCustomGrid)
pt | DoStartDock (TControl)
pt | DoStartDrag (TControl)
pt | DoUnDock (TWinControl)
pt | DoUndockClientMsg (TWinControl)
pt | DoUTF8KeyPress (TWinControl)
pt | DoUTF8KeyPress (TCustomGrid)
pt | DragCanceled (TControl)
 | DragDrop (TControl)
 | Dragging (TControl)
pt | DragOver (TControl)
pt | DrawAllRows (TCustomGrid)
pt | DrawBorder (TCustomGrid)
pt | DrawButtonCell (TCustomGrid)
pt | DrawCell (TCustomGrid)
pt | DrawCell (TCustomDrawGrid)
pt | DrawCellAutonumbering (TCustomDrawGrid)
pt | DrawCellGrid (TCustomGrid)
pt | DrawCellText (TCustomGrid)
pt | DrawColRowMoving (TCustomGrid)
pt | DrawColumnText (TCustomGrid)
pt | DrawColumnTitleImage (TCustomGrid)
pt | DrawEdges (TCustomGrid)
pt | DrawFillRect (TCustomGrid)
pt | DrawFocusRect (TCustomGrid)
pt | DrawFocusRect (TCustomDrawGrid)
pt | DrawGridCheckboxBitmaps (TCustomGrid)
pt | DrawRow (TCustomGrid)
pt | DrawTextInCell (TCustomGrid)
pt | DrawThemedCell (TCustomGrid)
pt | EditButtonClicked (TCustomGrid)
pt | EditingAllowed (TCustomGrid)
 | EditingDone (TControl)
 | EditingDone (TCustomGrid)
 | EditorByStyle (TCustomGrid)
pt | EditorCanAcceptKey (TCustomGrid)
pt | EditordoGetValue (TCustomGrid)
pt | EditordoResetValue (TCustomGrid)
pt | EditordoSetValue (TCustomGrid)
pt | EditorHide (TCustomGrid)
pt | EditorIsReadOnly (TCustomGrid)
 | EditorKeyDown (TCustomGrid)
 | EditorKeyPress (TCustomGrid)
 | EditorKeyUp (TCustomGrid)
pt | EditorLocked (TCustomGrid)
pt | EditorSelectAll (TCustomGrid)
pt | EditorShow (TCustomGrid)
pt | EditorShowInCell (TCustomGrid)
 | EditorTextChanged (TCustomGrid)
pt | EditorWidthChanged (TCustomGrid)
 | EnableAlign (TWinControl)
 | EnableAutoSizing (TControl)
pt | EnabledChanged (TControl)
pt | EnabledChanging (TControl)
pt | EndAutoSizing (TControl)
 | EndDrag (TControl)
 | EndUpdate (TCustomGrid)
 | EndUpdateBounds (TWinControl)
 | Equals (TObject)
 | EraseBackground (TWinControl)
 | EraseBackground (TCustomGrid)
 | ExchangeColRow (TCustomDrawGrid)
 | ExecuteAction (TComponent)
 | ExecuteCancelAction (TControl)
 | ExecuteDefaultAction (TControl)
 | FieldAddress (TObject)
pt | FinalizeWnd (TWinControl)
 | FindChildControl (TWinControl)
 | FindComponent (TComponent)
pt | FindNextControl (TWinControl)
pt | FirstGridColumn (TCustomGrid)
 | FixDesignFontsPPI (TControl)
pt | FixedGrid (TCustomGrid)
pt | FixupTabList (TWinControl)
 | FlipChildren (TWinControl)
pt | FlipPoint (TCustomGrid)
pt | FlipRect (TCustomGrid)
pt | FlipX (TCustomGrid)
 | Focused (TWinControl)
 | Focused (TCustomGrid)
pt | FontChanged (TControl)
pt | FontChanged (TWinControl)
pt | FontChanged (TCustomControl)
pt | FontChanged (TCustomGrid)
pt | ForeignAnchorSideChanged (TControl)
pt | FormEndUpdated (TControl)
pt | FormEndUpdated (TWinControl)
 | FormIsUpdating (TControl)
 | FPOAttachObserver (TPersistent)
 | FPODetachObserver (TPersistent)
 | FPONotifyObservers (TPersistent)
 | Free (TObject)
 | FreeInstance (TObject)
 | FreeNotification (TComponent)
 | FreeOnRelease (TComponent)
 | GetAccessibleObject (TControl)
pt | GetAction (TControl)
pt | GetActionLinkClass (TControl)
pt | GetAdjustedLogicalClientRect (TWinControl)
 | GetAnchorsDependingOnParent (TControl)
pt | GetAutoFillColumnInfo (TCustomGrid)
pt | GetBorderStyle (TWinControl)
pt | GetCachedText (TControl)
 | GetCanvasScaleFactor (TControl)
pt | GetCellHintText (TCustomGrid)
pt | GetCells (TCustomGrid)
pt | GetCells (TCustomDrawGrid)
pt | GetCheckBoxState (TCustomDrawGrid)
 | GetChildAccessibleObjectAtPos (TControl)
 | GetChildOwner (TComponent)
 | GetChildParent (TComponent)
 | GetChildren (TComponent)
pt | GetChildren (TWinControl)
 | GetChildrenRect (TControl)
 | GetChildrenRect (TWinControl)
pt | GetClientOrigin (TControl)
pt | GetClientOrigin (TWinControl)
pt | GetClientRect (TControl)
pt | GetClientRect (TWinControl)
pt | GetClientScrollOffset (TControl)
 | GetColorResolvingParent (TControl)
pt | GetColumnAlignment (TCustomGrid)
pt | GetColumnColor (TCustomGrid)
pt | GetColumnFont (TCustomGrid)
pt | GetColumnLayout (TCustomGrid)
pt | GetColumnReadonly (TCustomGrid)
pt | GetColumnTitle (TCustomGrid)
pt | GetColumnWidth (TCustomGrid)
 | GetComObject (TComponent)
 | GetComponent (TComponent)
 | GetComponentCount (TComponent)
 | GetComponentIndex (TComponent)
pt | GetControlClassDefaultSize (TControl)
 | GetControlIndex (TWinControl)
pt | GetControlOrigin (TControl)
pt | GetControlOrigin (TWinControl)
pt | GetCursor (TControl)
 | GetDefaultColor (TControl)
pt | GetDefaultColumnAlignment (TCustomGrid)
pt | GetDefaultColumnLayout (TCustomGrid)
pt | GetDefaultColumnReadOnly (TCustomGrid)
pt | GetDefaultColumnTitle (TCustomGrid)
pt | GetDefaultColumnWidth (TCustomGrid)
pt | GetDefaultDockCaption (TControl)
pt | GetDefaultEditor (TCustomGrid)
 | GetDefaultHeight (TControl)
pt | GetDefaultRowHeight (TCustomGrid)
 | GetDefaultWidth (TControl)
pt | GetDeltaMoveNext (TCustomGrid)
pt | GetDeviceContext (TControl)
pt | GetDeviceContext (TWinControl)
 | GetDockCaption (TWinControl)
pt | GetDockEdge (TControl)
pt | GetDragImages (TControl)
pt | GetEditMask (TCustomGrid)
pt | GetEditMask (TCustomDrawGrid)
pt | GetEditText (TCustomGrid)
pt | GetEditText (TCustomDrawGrid)
pt | GetEnabled (TControl)
 | GetEnumerator (TComponent)
 | GetEnumeratorControls (TWinControl)
 | GetEnumeratorControlsReverse (TWinControl)
pt | GetFirstVisibleColumn (TCustomGrid)
pt | GetFirstVisibleRow (TCustomGrid)
pt | GetFixedcolor (TCustomGrid)
pt | GetFloating (TControl)
pt | GetFloatingDockSiteClass (TControl)
pt | GetGridDrawState (TCustomGrid)
 | GetHashCode (TObject)
 | GetIDsOfNames (TComponent)
pt | GetImageForCheckBox (TCustomGrid)
 | GetInterface (TObject)
 | GetInterfaceByStr (TObject)
 | GetInterfaceEntry (TObject)
 | GetInterfaceEntryByStr (TObject)
 | GetInterfaceTable (TObject)
 | GetInterfaceWeak (TObject)
pt | GetIsCellSelected (TCustomGrid)
pt | GetIsCellTitle (TCustomGrid)
pt | GetLastVisibleColumn (TCustomGrid)
pt | GetLastVisibleRow (TCustomGrid)
pt | GetLogicalClientRect (TControl)
pt | GetMouseCapture (TControl)
pt | GetMouseCapture (TWinControl)
pt | GetMousePosFromMessage (TControl)
 | GetNamePath (TPersistent)
 | GetNamePath (TComponent)
 | GetOwner (TPersistent)
 | GetOwner (TComponent)
pt | GetPalette (TControl)
pt | GetParentBackground (TWinControl)
 | GetParentComponent (TComponent)
 | GetParentComponent (TControl)
pt | GetParentHandle (TWinControl)
pt | GetPopupMenu (TControl)
 | GetPreferredSize (TControl)
pt | GetPreferredSizeClientFrame (TWinControl)
pt | GetPxTopLeft (TCustomGrid)
 | GetRGBColorResolvingParent (TControl)
pt | GetSBRanges (TCustomGrid)
pt | GetSBVisibility (TCustomGrid)
pt | GetScrollBarPosition (TCustomGrid)
pt | GetScrolledClientRect (TControl)
 | GetSelectedChildAccessibleObject (TControl)
pt | GetSelectedColor (TCustomGrid)
pt | GetSelectedState (TCustomGrid)
 | GetSidePosition (TControl)
pt | GetSiteInfo (TWinControl)
pt | GetSmoothScroll (TCustomGrid)
 | GetTabOrderList (TWinControl)
 | GetTextBuf (TControl)
 | GetTextLen (TControl)
 | GetTextLen (TWinControl)
pt | GetTitleShowPrefix (TCustomGrid)
 | GetTopParent (TControl)
pt | GetTopParentHandle (TWinControl)
pt | GetTruncCellHintText (TCustomGrid)
 | GetTypeInfo (TComponent)
 | GetTypeInfoCount (TComponent)
pt | GetWSComponentClass (TLCLComponent)
pt | GridColumnFromColumnIndex (TCustomGrid)
pt | GridMouseWheel (TCustomGrid)
pt | GridMouseWheel (TCustomDrawGrid)
 | HandleAllocated (TWinControl)
 | HandleNeeded (TWinControl)
 | HandleObjectShouldBeVisible (TControl)
 | HasHelp (TControl)
 | HasMultiSelection (TCustomGrid)
 | HasParent (TComponent)
 | HasParent (TControl)
pt | HeaderClick (TCustomGrid)
pt | HeaderClick (TCustomDrawGrid)
pt | HeaderSized (TCustomGrid)
pt | HeaderSized (TCustomDrawGrid)
pt | HeaderSizing (TCustomGrid)
pt | HeaderSizing (TCustomDrawGrid)
pt | HeightIsAnchored (TControl)
 | Hide (TControl)
pt | HideCellHintWindow (TCustomGrid)
 | iicrGetComponent (TComponent)
 | IncLCLRefCount (TLCLComponent)
 | InheritsFrom (TObject)
pt | InitializeWnd (TWinControl)
 | InitiateAction (TControl)
 | InitInstance (TObject)
 | Insert (TComponent)
 | InsertColRow (TCustomDrawGrid)
 | InsertComponent (TComponent)
 | InsertControl (TWinControl)
 | InstanceSize (TObject)
pt | InternalSetColCount (TCustomGrid)
 | IntfGetDropFilesTarget (TWinControl)
 | IntfUTF8KeyPress (TWinControl)
 | Invalidate (TControl)
 | Invalidate (TWinControl)
 | Invalidate (TCustomGrid)
pt | InvalidateBoundsRealized (TWinControl)
pt | InvalidateCell (TCustomGrid)
 | InvalidateClientRectCache (TWinControl)
 | InvalidateCol (TCustomGrid)
pt | InvalidateControl (TControl)
pt | InvalidateFocused (TCustomGrid)
pt | InvalidateFromCol (TCustomGrid)
pt | InvalidateGrid (TCustomGrid)
pt | InvalidatePreferredChildSizes (TWinControl)
 | InvalidatePreferredSize (TControl)
 | InvalidateRange (TCustomGrid)
 | InvalidateRow (TCustomGrid)
 | Invoke (TComponent)
pt | IsAParentAligning (TControl)
pt | IsBorderSpacingInnerBorderStored (TControl)
pt | IsCaptionStored (TControl)
 | IsCellVisible (TCustomGrid)
pt | IsClientHeightStored (TControl)
pt | IsClientHeightStored (TWinControl)
pt | IsClientWidthStored (TControl)
pt | IsClientWidthStored (TWinControl)
pt | IsControlMouseMsg (TWinControl)
 | IsControlVisible (TControl)
pt | IsEmptyRow (TCustomGrid)
 | IsEnabled (TControl)
 | IsFixedCellVisible (TCustomGrid)
 | IsImplementorOf (TComponent)
pt | IsMouseOverCellButton (TCustomGrid)
 | IsParentColor (TControl)
 | IsParentFont (TControl)
 | IsParentOf (TControl)
 | IsProcessingPaintMsg (TControl)
 | IsRightToLeft (TControl)
 | IsVisible (TControl)
pt | KeyDown (TWinControl)
pt | KeyDown (TCustomGrid)
pt | KeyDown (TCustomDrawGrid)
pt | KeyDownAfterInterface (TWinControl)
pt | KeyDownBeforeInterface (TWinControl)
pt | KeyPress (TWinControl)
pt | KeyPress (TCustomGrid)
pt | KeyUp (TWinControl)
pt | KeyUp (TCustomGrid)
pt | KeyUpAfterInterface (TWinControl)
pt | KeyUpBeforeInterface (TWinControl)
pt | LMCaptureChanged (TControl)
pt | LoadContent (TCustomGrid)
 | Loaded (TComponent)
pt | Loaded (TControl)
pt | Loaded (TWinControl)
pt | Loaded (TCustomGrid)
pt | LoadedAll (TControl)
 | LoadFromFile (TCustomGrid)
 | LoadFromStream (TCustomGrid)
pt | LoadGridOptions (TCustomGrid)
 | Loading (TComponent)
pt | LockEditor (TCustomGrid)
 | LockRealizeBounds (TWinControl)
pt | MainWndProc (TWinControl)
 | ManualDock (TControl)
 | ManualFloat (TControl)
 | MethodAddress (TObject)
 | MethodName (TObject)
pt | MouseButtonAllowed (TCustomGrid)
 | MouseCoord (TCustomGrid)
pt | MouseDown (TControl)
pt | MouseDown (TCustomGrid)
pt | MouseEnter (TControl)
pt | MouseLeave (TControl)
pt | MouseMove (TControl)
pt | MouseMove (TCustomGrid)
 | MouseToCell (TCustomGrid)
 | MouseToGridZone (TCustomGrid)
 | MouseToLogcell (TCustomGrid)
pt | MouseUp (TControl)
pt | MouseUp (TCustomGrid)
 | MoveColRow (TCustomDrawGrid)
pt | MoveExtend (TCustomGrid)
pt | MoveNextAuto (TCustomGrid)
pt | MoveNextSelectable (TCustomGrid)
pt | MoveSelection (TCustomGrid)
 | newinstance (TObject)
 | NewInstance (TLCLComponent)
 | Notification (TComponent)
pt | Notification (TControl)
pt | NotifyColRowChange (TCustomDrawGrid)
 | NotifyControls (TWinControl)
pt | OffsetToColRow (TCustomGrid)
pt | Paint (TCustomControl)
pt | Paint (TCustomGrid)
pt | PaintControls (TWinControl)
pt | PaintHandler (TWinControl)
 | PaintTo (TWinControl)
pt | PaintWindow (TWinControl)
pt | PaintWindow (TCustomControl)
 | PaletteCreated (TComponent)
 | ParentDestroyingHandle (TControl)
pt | ParentFontChanged (TControl)
pt | ParentFormHandleInitialized (TControl)
pt | ParentFormHandleInitialized (TWinControl)
 | ParentHandlesAllocated (TControl)
 | ParentHandlesAllocated (TWinControl)
 | ParentToClient (TControl)
 | Perform (TControl)
 | PerformTab (TWinControl)
pt | PickListItemSelected (TCustomGrid)
pt | PositionDockRect (TControl)
pt | PrepareCanvas (TCustomGrid)
pt | PrepareCellHints (TCustomGrid)
pt | QuadClick (TControl)
 | QueryInterface (TComponent)
 | ReadLeft (TComponent)
 | ReadState (TComponent)
pt | ReadState (TControl)
 | ReadTop (TComponent)
pt | RealGetText (TControl)
pt | RealGetText (TWinControl)
 | ReAlign (TWinControl)
pt | RealizeBounds (TWinControl)
pt | RealizeBoundsRecursive (TWinControl)
pt | RealSetText (TControl)
pt | RealSetText (TWinControl)
 | ReferenceInterface (TComponent)
 | Refresh (TControl)
pt | ReloadDockedControl (TWinControl)
 | Remove (TComponent)
 | RemoveAllHandlersOfObject (TLCLComponent)
 | RemoveAllHandlersOfObject (TControl)
 | RemoveComponent (TComponent)
 | RemoveControl (TWinControl)
pt | RemoveFocus (TWinControl)
 | RemoveFreeNotification (TComponent)
pt | RemoveHandler (TControl)
 | RemoveHandlerOnBeforeDestruction (TControl)
 | RemoveHandlerOnChangeBounds (TControl)
 | RemoveHandlerOnEnableChanging (TControl)
 | RemoveHandlerOnKeyDown (TControl)
 | RemoveHandlerOnMouseWheel (TControl)
 | RemoveHandlerOnResize (TControl)
 | RemoveHandlerOnVisibleChanged (TControl)
 | RemoveHandlerOnVisibleChanging (TControl)
 | RemoveNotification (TComponent)
 | Repaint (TControl)
 | Repaint (TWinControl)
 | ReplaceDockedControl (TControl)
pt | RequestAlign (TControl)
pt | ResetDefaultColWidths (TCustomGrid)
pt | ResetEditor (TCustomGrid)
pt | ResetLastMove (TCustomGrid)
pt | ResetOffset (TCustomGrid)
pt | ResetSizes (TCustomGrid)
pt | Resize (TControl)
pt | ResizeColumn (TCustomGrid)
pt | ResizeRow (TCustomGrid)
pt | RowHeightsChanged (TCustomGrid)
pt | RTLSign (TCustomGrid)
 | SafeCallException (TObject)
 | SafeCallException (TComponent)
pt | SaveContent (TCustomGrid)
pt | SaveGridOptions (TCustomGrid)
 | SaveToFile (TCustomGrid)
 | SaveToStream (TCustomGrid)
 | Scale96ToFont (TControl)
 | Scale96ToForm (TControl)
 | Scale96ToScreen (TControl)
 | ScaleBy (TWinControl)
pt | ScaleConstraints (TControl)
pt | ScaleControls (TWinControl)
 | ScaleDesignToForm (TControl)
 | ScaleFontsPPI (TControl)
 | ScaleFontTo96 (TControl)
 | ScaleFontToScreen (TControl)
 | ScaleFormTo96 (TControl)
 | ScaleFormToDesign (TControl)
 | ScaleScreenTo96 (TControl)
 | ScaleScreenToFont (TControl)
 | ScreenToClient (TControl)
 | ScreenToControl (TControl)
pt | ScrollBarAutomatic (TCustomGrid)
pt | ScrollBarIsVisible (TCustomGrid)
pt | ScrollBarPage (TCustomGrid)
pt | ScrollBarPosition (TCustomGrid)
pt | ScrollBarRange (TCustomGrid)
pt | ScrollBarShow (TCustomGrid)
 | ScrollBy (TWinControl)
pt | ScrollBy (TCustomGrid)
 | ScrollBy_WS (TWinControl)
pt | SelectCell (TCustomGrid)
pt | SelectCell (TCustomDrawGrid)
pt | SelectEditor (TCustomGrid)
pt | SelectFirst (TWinControl)
 | SelectNext (TWinControl)
pt | SendDialogChar (TWinControl)
pt | SendMoveSizeMessages (TControl)
pt | SendMoveSizeMessages (TWinControl)
 | SendToBack (TControl)
pt | SetAction (TControl)
pt | SetAlign (TControl)
 | SetAncestor (TComponent)
pt | SetAnchors (TControl)
pt | SetAutoSize (TControl)
pt | SetBiDiMode (TControl)
pt | SetBorderStyle (TWinControl)
pt | SetBorderStyle (TCustomGrid)
 | SetBounds (TControl)
 | SetBounds (TWinControl)
 | SetBoundsKeepBase (TControl)
pt | SetCanvasFont (TCustomGrid)
pt | SetCheckboxState (TCustomDrawGrid)
 | SetChildOrder (TComponent)
pt | SetChildZPosition (TWinControl)
pt | SetColor (TControl)
pt | SetColor (TWinControl)
pt | SetColor (TCustomControl)
pt | SetColor (TCustomGrid)
pt | SetColor (TCustomDrawGrid)
pt | SetColRow (TCustomGrid)
 | SetComponentIndex (TComponent)
 | SetControlIndex (TWinControl)
pt | SetCursor (TControl)
 | SetDesigning (TComponent)
 | SetDesignInstance (TComponent)
pt | SetDockManager (TWinControl)
pt | SetDragMode (TControl)
pt | SetEditText (TCustomGrid)
pt | SetEditText (TCustomDrawGrid)
pt | SetEnabled (TControl)
pt | SetFixedcolor (TCustomGrid)
pt | SetFixedCols (TCustomGrid)
pt | SetFixedRows (TCustomGrid)
 | SetFocus (TWinControl)
 | SetFocus (TCustomGrid)
pt | SetHint (TControl)
 | SetInitialBounds (TControl)
 | SetInline (TComponent)
 | SetName (TComponent)
pt | SetName (TControl)
pt | SetParent (TControl)
pt | SetParentBackground (TWinControl)
pt | SetParentBiDiMode (TControl)
 | SetParentComponent (TComponent)
pt | SetParentComponent (TControl)
pt | SetRawColWidths (TCustomGrid)
 | SetReference (TComponent)
pt | SetSelectedColor (TCustomGrid)
 | SetShape (TWinControl)
 | SetSubComponent (TComponent)
 | SetTempCursor (TControl)
 | SetTempCursor (TWinControl)
 | SetTextBuf (TControl)
pt | SetVisible (TControl)
pt | SetZOrder (TControl)
 | ShouldAutoAdjust (TControl)
 | Show (TControl)
pt | ShowCellHintWindow (TCustomGrid)
pt | ShowControl (TWinControl)
 | ShowHelp (TControl)
pt | SizeChanged (TCustomGrid)
pt | SizeChanged (TCustomDrawGrid)
pt | Sort (TCustomGrid)
 | SortColRow (TCustomDrawGrid)
pt | StartPushCell (TCustomGrid)
 | StringMessageTable (TObject)
pt | TextChanged (TControl)
pt | ToggleCheckbox (TCustomDrawGrid)
pt | TopLeftChanged (TCustomGrid)
 | ToString (TObject)
pt | TripleClick (TControl)
pt | TryMoveSelection (TCustomGrid)
 | UnitName (TObject)
pt | UnLockEditor (TCustomGrid)
 | UnlockRealizeBounds (TWinControl)
pt | UnprepareCellHints (TCustomGrid)
 | Update (TControl)
 | Update (TWinControl)
 | UpdateAction (TComponent)
pt | UpdateAnchorRules (TControl)
 | UpdateBaseBounds (TControl)
pt | UpdateBorderStyle (TCustomGrid)
pt | UpdateControlState (TWinControl)
 | Updated (TComponent)
 | UpdateDockCaption (TWinControl)
pt | UpdateHorzScrollBar (TCustomGrid)
pt | UpdateMouseCursor (TControl)
 | UpdateRegistry (TComponent)
 | UpdateRolesForForm (TControl)
pt | UpdateSelectionRange (TCustomGrid)
pt | UpdateShowing (TWinControl)
pt | UpdateVertScrollbar (TCustomGrid)
 | Updating (TComponent)
 | UseRightToLeftAlignment (TControl)
 | UseRightToLeftReading (TControl)
 | UseRightToLeftScrollBar (TControl)
pt | UTF8KeyPress (TWinControl)
 | ValidateContainer (TComponent)
pt | ValidateEntry (TCustomGrid)
 | ValidateInsert (TComponent)
 | ValidateRename (TComponent)
pt | VisibleChanged (TControl)
pt | VisibleChanging (TControl)
pt | VisualChange (TCustomGrid)
pt | WidthIsAnchored (TControl)
pt | WMCancelMode (TControl)
pt | WMChar (TWinControl)
pt | WMContextMenu (TControl)
pt | WMContextMenu (TWinControl)
pt | WMDestroy (TWinControl)
pt | WMEnter (TWinControl)
pt | WMEraseBkgnd (TWinControl)
pt | WMExit (TWinControl)
pt | WMHScroll (TCustomGrid)
pt | WMKeyDown (TWinControl)
pt | WMKeyUp (TWinControl)
pt | WMKillFocus (TWinControl)
pt | WMKillFocus (TCustomGrid)
pt | WMLButtonDBLCLK (TControl)
pt | WMLButtonDown (TControl)
pt | WMLButtonQuadCLK (TControl)
pt | WMLButtonTripleCLK (TControl)
pt | WMLButtonUp (TControl)
pt | WMMButtonDBLCLK (TControl)
pt | WMMButtonDown (TControl)
pt | WMMButtonQuadCLK (TControl)
pt | WMMButtonTripleCLK (TControl)
pt | WMMButtonUp (TControl)
pt | WMMouseHWheel (TControl)
pt | WMMouseMove (TControl)
pt | WMMouseWheel (TControl)
pt | WMMove (TControl)
pt | WMMove (TWinControl)
pt | WMNotify (TWinControl)
pt | WMPaint (TWinControl)
pt | WMPaint (TCustomControl)
pt | WMRButtonDBLCLK (TControl)
pt | WMRButtonDown (TControl)
pt | WMRButtonQuadCLK (TControl)
pt | WMRButtonTripleCLK (TControl)
pt | WMRButtonUp (TControl)
pt | WMSetFocus (TWinControl)
pt | WMSetFocus (TCustomGrid)
pt | WMShowWindow (TWinControl)
pt | WMSize (TControl)
pt | WMSize (TWinControl)
pt | WMSize (TCustomGrid)
pt | WMSysChar (TWinControl)
pt | WMSysKeyDown (TWinControl)
pt | WMSysKeyUp (TWinControl)
pt | WMVScroll (TCustomGrid)
pt | WMWindowPosChanged (TControl)
pt | WMWindowPosChanged (TWinControl)
pt | WMXButtonDBLCLK (TControl)
pt | WMXButtonDown (TControl)
pt | WMXButtonQuadCLK (TControl)
pt | WMXButtonTripleCLK (TControl)
pt | WMXButtonUp (TControl)
pt | WndProc (TControl)
pt | WndProc (TWinControl)
pt | WndProc (TCustomGrid)
 | WriteLayoutDebugReport (TControl)
 | WriteLayoutDebugReport (TWinControl)
 | WriteLeft (TComponent)
 | WriteState (TComponent)
 | WriteTop (TComponent)
pt | WSRegisterClass (TLCLComponent)
pt | WSRegisterClass (TControl)
pt | WSRegisterClass (TWinControl)
pt | WSRegisterClass (TCustomControl)
pt | WSRegisterClass (TCustomGrid)
pt | WSSetText (TWinControl)
 | _AddRef (TComponent)
 | _Release (TComponent)


TCustomDrawGrid
pt |  | OnGetCheckboxState
pt |  | OnSetCheckboxState
 | ro | OnAfterSelection
 | ro | OnBeforeSelection
 | ro | OnClick
 |  | OnColRowDeleted
 |  | OnColRowExchanged
 |  | OnColRowInserted
 |  | OnColRowMoved
 | ro | OnCompareCells
 | ro | OnContextPopup
 | ro | OnDblClick
 | ro | OnDragDrop
 | ro | OnDragOver
 | ro | OnDrawCell
 | ro | OnEditButtonClick
 | ro | OnButtonClick
 | ro | OnEndDock
 | ro | OnEndDrag
 | ro | OnEnter
 | ro | OnExit
 |  | OnGetEditMask
 |  | OnGetEditText
 |  | OnHeaderClick
 |  | OnHeaderSized
 |  | OnHeaderSizing
 | ro | OnKeyDown
 | ro | OnKeyPress
 | ro | OnKeyUp
 | ro | OnMouseDown
 | ro | OnMouseEnter
 | ro | OnMouseLeave
 | ro | OnMouseMove
 | ro | OnMouseUp
 | ro | OnMouseWheel
 | ro | OnMouseWheelDown
 | ro | OnMouseWheelUp
 | ro | OnPickListSelect
 | ro | OnPrepareCanvas
 | ro | OnSelectEditor
 | ro | OnSelection
 |  | OnSelectCell
 |  | OnSetEditText
 | ro | OnStartDock
 | ro | OnStartDrag
 | ro | OnTopleftChanged
 | ro | OnUTF8KeyPress
 | ro | OnValidateEntry
TCustomGrid
pt |  | OnAfterSelection
pt |  | OnBeforeSelection
pt |  | OnCheckboxToggled
pt |  | OnCompareCells
pt |  | OnPrepareCanvas
pt |  | OnDrawCell
pt |  | OnEditButtonClick
pt |  | OnButtonClick
pt |  | OnPickListSelect
pt |  | OnSelection
pt |  | OnSelectEditor
pt |  | OnTopLeftChanged
pt |  | OnUserCheckboxBitmap
pt |  | OnValidateEntry
pt |  | OnGetCellHint
pt |  | OnSaveColumn
pt |  | OnLoadColumn
TCustomControl
 |  | OnPaint
TWinControl
pt |  | OnGetSiteInfo
pt |  | OnGetDockCaption
 |  | OnAlignInsertBefore
 |  | OnAlignPosition
 |  | OnDockDrop
 |  | OnDockOver
 |  | OnEnter
 |  | OnExit
 |  | OnKeyDown
 |  | OnKeyPress
 |  | OnKeyUp
 |  | OnUnDock
 |  | OnUTF8KeyPress
TControl
pt |  | OnConstrainedResize
pt |  | OnContextPopup
pt |  | OnDblClick
pt |  | OnTripleClick
pt |  | OnQuadClick
pt |  | OnDragDrop
pt |  | OnDragOver
pt |  | OnEndDock
pt |  | OnEndDrag
pt |  | OnMouseDown
pt |  | OnMouseMove
pt |  | OnMouseUp
pt |  | OnMouseEnter
pt |  | OnMouseLeave
pt |  | OnMouseWheel
pt |  | OnMouseWheelDown
pt |  | OnMouseWheelUp
pt |  | OnMouseWheelHorz
pt |  | OnMouseWheelLeft
pt |  | OnMouseWheelRight
pt |  | OnStartDock
pt |  | OnStartDrag
pt |  | OnEditingDone
 |  | OnChangeBounds
 |  | OnClick
 |  | OnResize
 |  | OnShowHint
TLCLComponent
TComponent
TPersistent
TObject


pt |  | OnAfterSelection (TCustomGrid)
 | ro | OnAfterSelection (TCustomDrawGrid)
 |  | OnAlignInsertBefore (TWinControl)
 |  | OnAlignPosition (TWinControl)
pt |  | OnBeforeSelection (TCustomGrid)
 | ro | OnBeforeSelection (TCustomDrawGrid)
pt |  | OnButtonClick (TCustomGrid)
 | ro | OnButtonClick (TCustomDrawGrid)
 |  | OnChangeBounds (TControl)
pt |  | OnCheckboxToggled (TCustomGrid)
 |  | OnClick (TControl)
 | ro | OnClick (TCustomDrawGrid)
 |  | OnColRowDeleted (TCustomDrawGrid)
 |  | OnColRowExchanged (TCustomDrawGrid)
 |  | OnColRowInserted (TCustomDrawGrid)
 |  | OnColRowMoved (TCustomDrawGrid)
pt |  | OnCompareCells (TCustomGrid)
 | ro | OnCompareCells (TCustomDrawGrid)
pt |  | OnConstrainedResize (TControl)
pt |  | OnContextPopup (TControl)
 | ro | OnContextPopup (TCustomDrawGrid)
pt |  | OnDblClick (TControl)
 | ro | OnDblClick (TCustomDrawGrid)
 |  | OnDockDrop (TWinControl)
 |  | OnDockOver (TWinControl)
pt |  | OnDragDrop (TControl)
 | ro | OnDragDrop (TCustomDrawGrid)
pt |  | OnDragOver (TControl)
 | ro | OnDragOver (TCustomDrawGrid)
pt |  | OnDrawCell (TCustomGrid)
 | ro | OnDrawCell (TCustomDrawGrid)
pt |  | OnEditButtonClick (TCustomGrid)
 | ro | OnEditButtonClick (TCustomDrawGrid)
pt |  | OnEditingDone (TControl)
pt |  | OnEndDock (TControl)
 | ro | OnEndDock (TCustomDrawGrid)
pt |  | OnEndDrag (TControl)
 | ro | OnEndDrag (TCustomDrawGrid)
 |  | OnEnter (TWinControl)
 | ro | OnEnter (TCustomDrawGrid)
 |  | OnExit (TWinControl)
 | ro | OnExit (TCustomDrawGrid)
pt |  | OnGetCellHint (TCustomGrid)
pt |  | OnGetCheckboxState (TCustomDrawGrid)
pt |  | OnGetDockCaption (TWinControl)
 |  | OnGetEditMask (TCustomDrawGrid)
 |  | OnGetEditText (TCustomDrawGrid)
pt |  | OnGetSiteInfo (TWinControl)
 |  | OnHeaderClick (TCustomDrawGrid)
 |  | OnHeaderSized (TCustomDrawGrid)
 |  | OnHeaderSizing (TCustomDrawGrid)
 |  | OnKeyDown (TWinControl)
 | ro | OnKeyDown (TCustomDrawGrid)
 |  | OnKeyPress (TWinControl)
 | ro | OnKeyPress (TCustomDrawGrid)
 |  | OnKeyUp (TWinControl)
 | ro | OnKeyUp (TCustomDrawGrid)
pt |  | OnLoadColumn (TCustomGrid)
pt |  | OnMouseDown (TControl)
 | ro | OnMouseDown (TCustomDrawGrid)
pt |  | OnMouseEnter (TControl)
 | ro | OnMouseEnter (TCustomDrawGrid)
pt |  | OnMouseLeave (TControl)
 | ro | OnMouseLeave (TCustomDrawGrid)
pt |  | OnMouseMove (TControl)
 | ro | OnMouseMove (TCustomDrawGrid)
pt |  | OnMouseUp (TControl)
 | ro | OnMouseUp (TCustomDrawGrid)
pt |  | OnMouseWheel (TControl)
 | ro | OnMouseWheel (TCustomDrawGrid)
pt |  | OnMouseWheelDown (TControl)
 | ro | OnMouseWheelDown (TCustomDrawGrid)
pt |  | OnMouseWheelHorz (TControl)
pt |  | OnMouseWheelLeft (TControl)
pt |  | OnMouseWheelRight (TControl)
pt |  | OnMouseWheelUp (TControl)
 | ro | OnMouseWheelUp (TCustomDrawGrid)
 |  | OnPaint (TCustomControl)
pt |  | OnPickListSelect (TCustomGrid)
 | ro | OnPickListSelect (TCustomDrawGrid)
pt |  | OnPrepareCanvas (TCustomGrid)
 | ro | OnPrepareCanvas (TCustomDrawGrid)
pt |  | OnQuadClick (TControl)
 |  | OnResize (TControl)
pt |  | OnSaveColumn (TCustomGrid)
 |  | OnSelectCell (TCustomDrawGrid)
pt |  | OnSelectEditor (TCustomGrid)
 | ro | OnSelectEditor (TCustomDrawGrid)
pt |  | OnSelection (TCustomGrid)
 | ro | OnSelection (TCustomDrawGrid)
pt |  | OnSetCheckboxState (TCustomDrawGrid)
 |  | OnSetEditText (TCustomDrawGrid)
 |  | OnShowHint (TControl)
pt |  | OnStartDock (TControl)
 | ro | OnStartDock (TCustomDrawGrid)
pt |  | OnStartDrag (TControl)
 | ro | OnStartDrag (TCustomDrawGrid)
pt |  | OnTopLeftChanged (TCustomGrid)
 | ro | OnTopleftChanged (TCustomDrawGrid)
pt |  | OnTripleClick (TControl)
 |  | OnUnDock (TWinControl)
pt |  | OnUserCheckboxBitmap (TCustomGrid)
 |  | OnUTF8KeyPress (TWinControl)
 | ro | OnUTF8KeyPress (TCustomDrawGrid)
pt |  | OnValidateEntry (TCustomGrid)
 | ro | OnValidateEntry (TCustomDrawGrid)


TCustomDrawGrid.ColRow

Declaration

Source position: grids.pas line 1395

public property TCustomDrawGrid.ColRow : TPoint;


TCustomDrawGrid.Create

Create - constructor for TCustomDrawGrid: attaches a virtual grid then calls inherited Create

Declaration

Source position: grids.pas line 1377

public constructor TCustomDrawGrid.Create(

  AOwner: TComponent

); override;

See also

TCustomGrid.Create

Create - constructor for TCustomGrid: calls inherited Create, then creates lists of columns and rows, initialises many visual properties and options, creates the various editors and loads any bitmaps required for the display


TCustomDrawGrid.CreateVirtualGrid

CreateVirtualGrid - returns the created virtual grid

Declaration

Source position: grids.pas line 1348

protected function TCustomDrawGrid.CreateVirtualGrid: TVirtualGrid; virtual;


TCustomDrawGrid.DefaultDrawCell

Use the default method for drawing a cell specified by aCol, aRow, at location aRect with state aState

Declaration

Source position: grids.pas line 1388

public procedure TCustomDrawGrid.DefaultDrawCell(

  aCol: Integer;

  aRow: Integer;

  var aRect: TRect;

  aState: TGridDrawState

); virtual;


TCustomDrawGrid.DeleteCol

Declaration

Source position: grids.pas line 1380

public procedure TCustomDrawGrid.DeleteCol(

  Index: Integer

); virtual;


TCustomDrawGrid.DeleteColRow

Delete either a column or a row (specified by index), depending on the value of the boolean IsColumn

Declaration

Source position: grids.pas line 1379

public procedure TCustomDrawGrid.DeleteColRow(

  IsColumn: Boolean;

  index: Integer

);


TCustomDrawGrid.DeleteRow

Declaration

Source position: grids.pas line 1381

public procedure TCustomDrawGrid.DeleteRow(

  Index: Integer

); virtual;


TCustomDrawGrid.Destroy

Destroy - destructor for TCustomDrawGrid: frees the grid then calls inherited Destroy

Declaration

Source position: grids.pas line 1378

public destructor TCustomDrawGrid.Destroy; override;

See also

TCustomGrid.Destroy

Destroy - destructor for TCustomGrid: frees various resources including editors, columns, rows, font then calls inherited Destroy


TCustomDrawGrid.DrawCellAutonumbering

DrawCellAutonumbering - draws a cell using auto numbering

Declaration

Source position: grids.pas line 1350

protected procedure TCustomDrawGrid.DrawCellAutonumbering(

  aCol: Integer;

  aRow: Integer;

  aRect: TRect;

  const aValue: string

); virtual;


TCustomDrawGrid.DrawFocusRect

DrawFocusRect - draws the rectangle currently receiving focus

Declaration

Source position: grids.pas line 1351

protected procedure TCustomDrawGrid.DrawFocusRect(

  aCol: Integer;

  aRow: Integer;

  ARect: TRect

); override;


TCustomDrawGrid.ExchangeColRow

Exchange either a column or a row, specified by index, with the col or row specified by WithIndex; boolean IsColumn determines whether rows or columns are to be exchanged

Declaration

Source position: grids.pas line 1382

public procedure TCustomDrawGrid.ExchangeColRow(

  IsColumn: Boolean;

  index: Integer;

  WithIndex: Integer

); virtual;


TCustomDrawGrid.FGrid

FGrid - local variable holding a virtual grid on which to work

Declaration

Source position: grids.pas line 1342

protected TCustomDrawGrid.FGrid : TVirtualGrid;


TCustomDrawGrid.FixedGridLineColor

Declaration

Source position: grids.pas line 1402

public property TCustomDrawGrid.FixedGridLineColor : TColor;


TCustomDrawGrid.GetCells

Declaration

Source position: grids.pas line 1352

protected function TCustomDrawGrid.GetCells(

  ACol: Integer;

  ARow: Integer

):string; override;


TCustomDrawGrid.GetCheckBoxState

GetCheckBoxState - returns the state of the checkbox at the specified position

Declaration

Source position: grids.pas line 1353

protected procedure TCustomDrawGrid.GetCheckBoxState(

  const aCol: Integer;

  const aRow: Integer;

  var aState: TCheckBoxState

); virtual;


TCustomDrawGrid.GridMouseWheel

Declaration

Source position: grids.pas line 1356

protected procedure TCustomDrawGrid.GridMouseWheel(

  shift: TShiftState;

  Delta: Integer

); override;


TCustomDrawGrid.HeaderSizing

Declaration

Source position: grids.pas line 1359

protected procedure TCustomDrawGrid.HeaderSizing(

  const IsColumn: Boolean;

  const AIndex: Integer;

  const ASize: Integer

); override;


TCustomDrawGrid.InsertColRow

InsertColRow inserts a column or row (specified by Iscolumn) at the stated index location

Declaration

Source position: grids.pas line 1383

public procedure TCustomDrawGrid.InsertColRow(

  IsColumn: Boolean;

  index: Integer

);


TCustomDrawGrid.MoveColRow

Move column or row from FromIndex to ToIndex; boolean IsColumn specifies whether col or row is to be moved

Declaration

Source position: grids.pas line 1384

public procedure TCustomDrawGrid.MoveColRow(

  IsColumn: Boolean;

  FromIndex: Integer;

  ToIndex: Integer

);


TCustomDrawGrid.NotifyColRowChange

NotifyColRowChange tells the system that a column or row has been changed (determined by IsColumn) and whether this was an Insert

Declaration

Source position: grids.pas line 1361

protected procedure TCustomDrawGrid.NotifyColRowChange(

  WasInsert: Boolean;

  IsColumn: Boolean;

  FromIndex: Integer;

  ToIndex: Integer

);


TCustomDrawGrid.OnAfterSelection

Declaration

Source position: grids.pas line 1464

public property TCustomDrawGrid.OnAfterSelection : TOnSelectEvent;


TCustomDrawGrid.OnButtonClick

Declaration

Source position: grids.pas line 1478

public property TCustomDrawGrid.OnButtonClick : TOnSelectEvent;


TCustomDrawGrid.OnColRowDeleted

Event handler when a grid column or row is deleted

Declaration

Source position: grids.pas line 1467

public property TCustomDrawGrid.OnColRowDeleted : TGridOperationEvent
  read FOnColRowDeleted
  write FOnColRowDeleted;


TCustomDrawGrid.OnColRowExchanged

Event handler when a grid column or row has its position exchanged with another

Declaration

Source position: grids.pas line 1468

public property TCustomDrawGrid.OnColRowExchanged : TGridOperationEvent
  read FOnColRowExchanged
  write FOnColRowExchanged;


TCustomDrawGrid.OnColRowInserted

Event handler when a column or row is inserted into the grid

Declaration

Source position: grids.pas line 1469

public property TCustomDrawGrid.OnColRowInserted : TGridOperationEvent
  read FOnColRowInserted
  write FOnColRowInserted;


TCustomDrawGrid.OnColRowMoved

Event handler when a grid column or row is moved

Declaration

Source position: grids.pas line 1470

public property TCustomDrawGrid.OnColRowMoved : TGridOperationEvent
  read FOnColRowMoved
  write FOnColRowMoved;


TCustomDrawGrid.OnCompareCells

Event handler for comparing the contents of cells

Declaration

Source position: grids.pas line 1471

public property TCustomDrawGrid.OnCompareCells : TOnCompareCells;


TCustomDrawGrid.OnGetCheckboxState

OnGetCheckboxState - event handler for finding checkbox state

Declaration

Source position: grids.pas line 1369

protected property TCustomDrawGrid.OnGetCheckboxState : TGetCheckboxStateEvent
  read FOnGetCheckboxState
  write FOnGetCheckboxState;


TCustomDrawGrid.OnGetEditMask

Event handler for finding the edit mask while editing a grid cell

Declaration

Source position: grids.pas line 1483

public property TCustomDrawGrid.OnGetEditMask : TGetEditEvent
  read FOnGetEditMask
  write FOnGetEditMask;


TCustomDrawGrid.OnGetEditText

Event handler for finding the text to be edited in a grid cell

Declaration

Source position: grids.pas line 1484

public property TCustomDrawGrid.OnGetEditText : TGetEditEvent
  read FOnGetEditText
  write FOnGetEditText;


TCustomDrawGrid.OnHeaderClick

Event handler when a column or row header is clicked

Declaration

Source position: grids.pas line 1485

public property TCustomDrawGrid.OnHeaderClick : THdrEvent
  read FOnHeaderClick
  write FOnHeaderClick;


TCustomDrawGrid.OnHeaderSized

Event handler when a column or row header is re-sized

Declaration

Source position: grids.pas line 1486

public property TCustomDrawGrid.OnHeaderSized : THdrEvent
  read FOnHeaderSized
  write FOnHeaderSized;


TCustomDrawGrid.OnHeaderSizing

Declaration

Source position: grids.pas line 1487

public property TCustomDrawGrid.OnHeaderSizing : THeaderSizingEvent
  read FOnHeaderSizing
  write FOnHeaderSizing;


TCustomDrawGrid.OnMouseEnter

Declaration

Source position: grids.pas line 1492

public property TCustomDrawGrid.OnMouseEnter : TNotifyEvent;


TCustomDrawGrid.OnMouseLeave

Declaration

Source position: grids.pas line 1493

public property TCustomDrawGrid.OnMouseLeave : TNotifyEvent;


TCustomDrawGrid.OnMouseWheel

Declaration

Source position: grids.pas line 1496

public property TCustomDrawGrid.OnMouseWheel : TMouseWheelEvent;


TCustomDrawGrid.OnSelectCell

Event handler when a grid cell is selected

Declaration

Source position: grids.pas line 1503

public property TCustomDrawGrid.OnSelectCell : TOnSelectCellEvent
  read FOnSelectCell
  write FOnSelectCell;


TCustomDrawGrid.OnSetCheckboxState

OnSetCheckboxState - event handler for specifying checkbox state

Declaration

Source position: grids.pas line 1371

protected property TCustomDrawGrid.OnSetCheckboxState : TSetCheckboxStateEvent
  read FOnSetCheckboxState
  write FOnSetCheckboxState;


TCustomDrawGrid.OnSetEditText

Event handler for storing the text that has been edited in a cell

Declaration

Source position: grids.pas line 1504

public property TCustomDrawGrid.OnSetEditText : TSetEditEvent
  read FOnSetEditText
  write FOnSetEditText;


TCustomDrawGrid.OnValidateEntry

Declaration

Source position: grids.pas line 1509

public property TCustomDrawGrid.OnValidateEntry : TValidateEntryEvent;


TCustomDrawGrid.Options2

Declaration

Source position: grids.pas line 1448

public property TCustomDrawGrid.Options2 : TGridOptions2;


TCustomDrawGrid.SetCheckboxState

SetCheckboxState - specifies the state of the checkbox in the nominated cell

Declaration

Source position: grids.pas line 1364

protected procedure TCustomDrawGrid.SetCheckboxState(

  const aCol: Integer;

  const aRow: Integer;

  const aState: TCheckBoxState

); virtual;


TCustomDrawGrid.SortColRow

Sort column or row specified by index and optionally by FromIndex and ToIndex; IsColumn specifies whether col or row is to be sorted

Declaration

Source position: grids.pas line 1385

public procedure TCustomDrawGrid.SortColRow(

  IsColumn: Boolean;

  index: Integer

); overload;

procedure TCustomDrawGrid.SortColRow(

  IsColumn: Boolean;

  Index: Integer;

  FromIndex: Integer;

  ToIndex: Integer

); overload;


TCustomDrawGrid.TabAdvance

Declaration

Source position: grids.pas line 1457

public property TCustomDrawGrid.TabAdvance : TAutoAdvance;


TCustomDrawGrid.ToggleCheckbox

ToggleCheckbox - toggles checkbox state between checked and unchecked

Declaration

Source position: grids.pas line 1367

protected procedure TCustomDrawGrid.ToggleCheckbox; virtual;


TCustomGrid

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

TCustomGrid - the base class for all grid controls

Declaration

Source position: grids.pas line 706

type TCustomGrid = class(TCustomControl)
protected
fGridState: TGridState; | fGridState - local variable to hold current state of the grid (whether being edited, updated etc)
function RTLSign;
class procedure WSRegisterClass; override; | Registers this component class with the current WidgetSet.
procedure AddSelectedRange;
procedure AdjustClientRect(); override;
procedure AdjustEditorBounds(); virtual; | AdjustEditorBounds - method to adjust the editor's bounds to include a new row and column
procedure AfterMoveSelection(); virtual;
procedure AssignTo(); override;
procedure AutoAdjustColumn(); virtual; | AutoAdjustColumn - automatically adjust column properties to accommodate largest object
procedure BeforeMoveSelection(); virtual; | BeforeMoveSelection - method to use before a selection is moved
procedure BeginAutoDrag; override;
function BoxRect();
procedure CacheMouseDown();
procedure CalcAutoSizeColumn(); virtual; | CalcAutoSizeColumn - method for automatically calculating the size of a column
procedure CalcCellExtent(); virtual; overload; deprecated ;
procedure CalcFocusRect(); | CalcFocusRect - method for calculating the bounds of a focused rectangle
procedure CalcMaxTopLeft;
procedure CalcScrollbarsRange;
procedure CalculatePreferredSize(); override;
function CanEditShow; virtual; | CanEditShow - returns True if the editing data can be shown
function CanGridAcceptKey(); virtual; | CanGridAcceptKey - returns True is the grid is able to accept the given key
procedure CellClick(); virtual; | CellClick - method for processing a click in a cell
procedure CellExtent();
procedure CheckLimits(); | CheckLimits - method for checking limits of specified cell
procedure CheckLimitsWithError(); | CheckLimitsWithError - method for checking limits of specified cel, with error trapping
procedure CMBiDiModeChanged(); message;
procedure CMMouseEnter(); message;
procedure CMMouseLeave(); message; | CMMouseLeave - Control Message for a mouse leaving a cell
procedure ColRowDeleted(); virtual; | ColRowDeleted - method for dealing with deletion of either a column or a row (depending on value of IsCol)
procedure ColRowExchanged(); virtual; | ColRowExchanged - method for exchanging the current Column or Row (depending on value of IsCol) with the indexed other column or row
procedure ColRowInserted(); virtual; | ColRowInserted - method for dealing with insertion of a column or row (depending on value of IsCol)
procedure ColRowMoved(); virtual; | ColRowMoved - the column or row (determined by IsColumn) is moved from one index to another
function ColRowToOffset(); | ColRowToOffset - method for moving column or row (depending on value of IsCol); if Relative is True, moves by the amount of Index, otherwise moves from StartPos to EndPos. Returns True if successful
function ColumnIndexFromGridColumn(); | ColumnIndexFromGridColumn - extracts the index of the specified grid column
function ColumnFromGridColumn(); | ColumnFromGridColumn - returns the actual grid column given its index
procedure ColumnsChanged(); | ColumnsChanged - method for dealing with changed columns
procedure ColWidthsChanged; virtual; | ColWidthsChanged - method for dealing with changes in column width
function CreateColumns; virtual; | CreateColumns - returns the identity of the created columns
procedure CheckNewCachedSizes(); virtual; | CheckNewCachedSizes - check the new values of cached sizes
procedure CreateWnd; override; | Creates the interface object (widget) and assigns it to Handle.
procedure CreateParams(); override; | Initializes the window creation parameter record with the settings of the control.
procedure Click; override; | Invokes the OnClick and ActionLink.Execute handlers.
procedure DblClick; override; | Invokes the OnDblClick handler.
function DefaultColWidthIsStored;
function DefaultRowHeightIsStored;
procedure DefineProperties(); override; |
procedure DestroyHandle; override; | Destroys this and all child widgets.
function DialogChar(); override;
function DoCompareCells(); virtual; | DoCompareCells - perform the comparison of two or more cells in a grid
procedure DoCopyToClipboard; virtual; | DoCopyToClipboard - copy the selected data to the clipboard, leaving the original data in place
procedure DoCutToClipboard; virtual; | DoCutToClipboard - cut the data from its current site and place it on the clipboard
procedure DoEditButtonClick(); virtual;
procedure DoEditorHide; virtual; | DoEditorHide - hide the data in the editor
procedure DoEditorShow; virtual; | DoEditorShow - show the data in the editor
procedure DoExit; override; | Invoke the OnExit event handler.
procedure DoEnter; override; | Invokes the OnEnter event handler.
procedure DoLoadColumn(); virtual;
procedure DoSaveColumn(); virtual;
function DoMouseWheel(); override;
function DoMouseWheelDown(); override; | Invokes the OnMouseWheelDown handler.
function DoMouseWheelUp(); override; | Invokes the OnMouseWheelUp handler.
function DoMouseWheelLeft(); override;
function DoMouseWheelRight(); override;
procedure DoAutoAdjustLayout(); override;
procedure DoOnChangeBounds; override; | Invokes the OnChangeBounds event handler
procedure DoOPDeleteColRow(); | DoOPDeleteColRow performs the operation for deleting a column or row (depending on value of IsCol)
procedure DoOPExchangeColRow(); | DoOPExchangeColRow - perform the operation for exchanging either the current column or row (depending on value of IsCol) with the column or row specified by WithIndex
procedure DoOPInsertColRow(); | DoOPInsertColRow - perform th eoperation for inserting either a column or a row (depending on the value of IsCol) at th indexed position
procedure DoOPMoveColRow(); | DoOPMoveColRow - performs the operation for moving either a column or a row (depending on the value of IsCol) between FromIndex and ToIndex
procedure DoPasteFromClipboard; virtual; | DoPasteFromClipboard paste the data from the clipboard to the current location
procedure DoPrepareCanvas(); virtual; | DoPrepareCanvas - get the canvas ready for drawing
procedure DoSetBounds(); override; | Internal function to set the control's bounds (Left, Top, Height, Width).
function DoUTF8KeyPress(); override;
procedure DrawBorder; | DrawBorder - draws the border of the grid
procedure DrawAllRows; virtual; | DrawAllRows - draws all the rows
procedure DrawFillRect();
procedure DrawCell(); virtual; | DrawCell - draws a cell at the given grid location (Col, Row) or in the specified Rectangle
procedure DrawCellGrid(); virtual; | DrawCellGrid draws a grid of cells at the specified location
procedure DrawTextInCell(); virtual;
procedure DrawThemedCell();
procedure DrawCellText(); virtual; | DrawCellText - draws the given text string in the cell specified by Col, Row or by Rectangle
procedure DrawGridCheckboxBitmaps(); virtual; | DrawGridCheckboxBitmaps - draws checkbox bitmaps in the nominated rectangle with the specified checkbox state
procedure DrawButtonCell();
procedure DrawColRowMoving; | DrawColRowMoving - draw a column or row while it is moving
procedure DrawColumnText(); virtual; | DrawColumnText - draw the text of the specified column
procedure DrawColumnTitleImage(); | DrawColumnTitleImage - draw the title image of the specified column
procedure DrawEdges; | DrawEdges of the current grid
procedure DrawFocusRect(); virtual; | DrawFocusRect - draw a rectangle with focus in the nominated cell
procedure DrawRow(); virtual; | DrawRow - draws the specified row
procedure EditButtonClicked(); | EditButtonClicked - calls OnEditButtonClick
procedure EditordoGetValue; virtual; | EditordoGetValue - method for geting a value in the Editor
procedure EditordoResetValue; virtual;
procedure EditordoSetValue; virtual; | EditordoSetValue - method for specifying a value in the Editor
function EditorCanAcceptKey(); virtual; | EditorCanAcceptKey - returns True if the Editor is able to accept the nominated (UTF8) key
function EditorIsReadOnly; virtual; | EditorIsReadOnly - returns True if the Editor has Read Only status
procedure EditorHide; virtual; | EditorHide - method for hiding the editor
function EditorLocked; | EditorLocked - returns True if the Editor is locked, ie unable to accept input or make changes
function EditingAllowed(); virtual; | EditingAllowed - Returns true if grid and current column allow editing
procedure EditorSelectAll; | EditorSelectAll - editor procedure to Select All
procedure EditorShow(); virtual; | EditorShow - shows the cell contents in the Editor
procedure EditorShowInCell(); virtual; | EditorShowInCell - shows the Editor's content in situ in the Cell
procedure EditorWidthChanged(); virtual; | EditorWidthChanged - method for dealing with a change in editor width
function FirstGridColumn; virtual;
function FixedGrid; | FixedGrid - returns True if the Grid is fixed
procedure FontChanged(); override; | FontChanged - method to deal with a change in font
procedure GetAutoFillColumnInfo(); virtual; | GetAutoFillColumnInfo - finds out information (max, min, priority) about the auto-fill properties of the indexed column
function GetCellHintText(); virtual;
function GetCells(); virtual;
function GetColumnAlignment(); | GetColumnAlignment - returns the Alignment value for the nominated column
function GetColumnColor(); | GetColumnColor - returns the Colour for the specified column
function GetColumnFont(); | GetColumnFont - returns the font for the specified column
function GetColumnLayout(); | GetColumnLayout - returns the Text Layout value for the specified column
function GetColumnReadonly(); | GetColumnReadonly - returns True if the column is marked ReadOnly
function GetColumnTitle(); | GetColumnTitle - returns the column title string
function GetColumnWidth(); | GetColumnWidth - returns the width of the column
function GetDeltaMoveNext(); virtual; | GetDeltaMoveNext return the relative cell coordinate of the next cell to which movement will occur
function GetDefaultColumnAlignment(); virtual; | GetDefaultColumnAlignment - returns the default alignment for the specified column
function GetDefaultColumnWidth(); virtual; | GetDefaultColumnWidth - returns the default width for the specified column
function GetDefaultColumnLayout(); virtual; | GetDefaultColumnLayout - returns the default text layout for the nominated column
function GetDefaultColumnReadOnly(); virtual; | GetDefaultColumnReadOnly - returns the default setting of the ReadOnly flag for the specified column
function GetDefaultColumnTitle(); virtual; | GetDefaultColumnTitle - returns the default title string for the specified column
function GetDefaultEditor(); virtual; | GetDefaultEditor - returns the default editor for the specified column
function GetDefaultRowHeight; virtual; | GetDefaultRowHeight - returns the default row height
function GetGridDrawState();
procedure GetImageForCheckBox(); virtual;
function GetScrollBarPosition(); | GetScrollBarPosition - returns the position of the scroll bar specified by Which
function GetSmoothScroll(); virtual;
procedure GetSBVisibility(); virtual; | GetSBVisibility - finds the values of the visibility flags for the scrollbars
procedure GetSBRanges(); virtual; | GetSBRanges - finds the ranges of values for the scrollbars, if they are visible
procedure GetSelectedState(); virtual;
function GetEditMask(); virtual; | GetEditMask - returns the edit mask string for the specified cell
function GetEditText(); virtual; | GetEditText - returns the Edit text string for the specified cell
function GetFixedcolor; virtual; | GetFixedcolor - returns a value for the fixed colour
function GetFirstVisibleColumn;
function GetFirstVisibleRow;
function GetLastVisibleColumn;
function GetLastVisibleRow;
function GetSelectedColor; virtual; | GetSelectedColor - returns the value for the colour of tems that have been selected
function GetTitleShowPrefix();
function GetPxTopLeft;
function GetTruncCellHintText(); virtual;
function GridColumnFromColumnIndex(); | GridColumnFromColumnIndex - returns the number of the column given its column index
procedure GridMouseWheel(); virtual;
procedure HeaderClick(); virtual; | HeaderClick - method to deal with a click on the column (if IsColumn is True) or row Header
procedure HeaderSized(); virtual; | HeaderSized - method to deal with re-sizing of a column (IsColumn True) or row header
procedure HeaderSizing(); virtual;
procedure HideCellHintWindow;
procedure InternalSetColCount(); | InternalSetColCount - specify the column count
procedure InvalidateCell(); | InvalidateCell - render a cell non-valid, and redraw if required
procedure InvalidateFromCol(); | InvalidateFromCol - render the grid non-valid from the specified column onwards
procedure InvalidateGrid; | InvalidateGrid - render the whole grid non-valid
procedure InvalidateFocused; | InvalidateFocused - render the focused item non-valid
function GetIsCellTitle(); virtual;
function GetIsCellSelected(); virtual; | GetIsCellSelected - returns True if the given cell is selected
function IsEmptyRow();
function IsMouseOverCellButton();
procedure KeyDown(); override; | Invokes the OnKeyDown handler.
procedure KeyUp(); override; | Invokes the OnKeyUp handler.
procedure KeyPress(); override;
procedure LoadContent(); virtual; | LoadContent - method to load a configuration
procedure LoadGridOptions(); virtual;
procedure Loaded; override; |
procedure LockEditor; | LockEditor - lock the editor so that it will not accept input or changes
function MouseButtonAllowed(); virtual;
procedure MouseDown(); override; | Handler for MouseDown events.
procedure MouseMove(); override; | Handler for MouseMove events.
procedure MouseUp(); override; | Invokes the OnMouseUp handler.
function MoveExtend(); | MoveExtend - move an extended selection; if Relative is true, use Delta column and row to find position; returns True if successful
function MoveNextAuto(); | MoveNextAuto - move to next cell in automatic sequence; if Relative is True, use delta col and row to find position; returns True if successful
function MoveNextSelectable(); virtual; | MoveNextSelectable - move to next selectable cel; use delta col and row if Relative is True; returns True if successful
procedure MoveSelection; virtual; | MoveSelection - moves the selected text, cell or group of cells
function OffsetToColRow(); | OffsetToColRow - move by the value of Offset to another column or row (determined by the value of IsCol), returning True if successful
procedure Paint; override; | Override this method in your derived class with your own paint handler.
procedure PickListItemSelected(); | PickListItemSelected - indicates that an item was selected from the pick-list
procedure PrepareCanvas(); virtual; | PrepareCanvas - method to get the canvas ready for drawing at the specified location
procedure PrepareCellHints(); virtual;
procedure ResetDefaultColWidths; virtual;
procedure ResetEditor; | ResetEditor - resets the current editor for the grid
procedure ResetLastMove;
function ResetOffset(); | ResetOffset - resets the offset, checking columns and rows if demanded
procedure ResetSizes; virtual; | ResetSizes - resets the sizes
procedure ResizeColumn(); | ResizeColumn - resizes the nominated column to the specified width
procedure ResizeRow(); | ResizeRow - resizes the nominated row to the specified height
procedure RowHeightsChanged; virtual; | RowHeightsChanged - method invoked when row heights are changes
procedure SaveContent(); virtual; | SaveContent as specified in the XML configuration variable
procedure SaveGridOptions(); virtual;
procedure ScrollBarRange(); | ScrollBarRange - specify the range of the scrollbar; Which determines whether it is horizontal or vertical
procedure ScrollBarPosition(); | ScrollBarPosition - records the position ( Value) of the scrollbar; Which determines horizontal or vertical
function ScrollBarIsVisible(); | ScrollBarIsVisible - Returns True if visible; Which determines whether horizontal or vertical
procedure ScrollBarPage(); | ScrollBarPage - a Page movement of the scrollbar (specified by Which)
procedure ScrollBarShow(); | ScrollBarShow method
function ScrollBarAutomatic(); virtual; | ScrollBarAutomatic method
procedure ScrollBy(); override;
procedure SelectEditor; virtual; | SelectEditor - chooses the editor for current use
function SelectCell(); virtual; | Is called if a grid cell is highlighted.
procedure SetCanvasFont(); | SetCanvasFont to specified value
procedure SetColor(); override; | SetColor to specified value
procedure SetColRow(); | SetColRow - specifies the column and row for addressing
procedure SetEditText(); virtual; | SetEditText - specifies the text-string to be placed in the Editor for processing
procedure SetBorderStyle(); override; | SetBorderStyle - specifies a new border style
procedure SetFixedcolor(); virtual; | SetFixedcolor - specifies colour for fixed cells
procedure SetFixedCols(); virtual; | Write specifier for FixedCols
procedure SetFixedRows(); virtual; | Write specifier for FixedRows
procedure SetRawColWidths(); | Write specifier for RawColWidths
procedure SetSelectedColor(); virtual; | SetSelectedColor - specifies colour for cells that have been selected
procedure ShowCellHintWindow();
procedure SizeChanged(); virtual; | SizeChanged - specifies the old number of columns and rows
procedure Sort(); virtual; | Sort method
procedure StartPushCell;
procedure TopLeftChanged; virtual; | TopLeftChanged - the top left cell has changed
function TryMoveSelection(); | TryMoveSelection - attempts to move the selection by the specified offset; returns True if sucessful
procedure UnLockEditor; | UnLockEditor - frees a previously locked Editor
procedure UnprepareCellHints; virtual;
procedure UpdateHorzScrollBar(); virtual; | UpdateHorzScrollBar - updates the scrollbar in the given range by the given page, if it is visible
procedure UpdateSelectionRange; | UpdateSelectionRange - updates the range of the current selection
procedure UpdateVertScrollbar(); virtual; | UpdateVertScrollbar - updates the scrollbar in the given range by the given page, if it is visible
procedure UpdateBorderStyle; | UpdateBorderStyle - brings the border style up to date
function ValidateEntry(); virtual;
procedure VisualChange; virtual; | VisualChange - a change in the visual properties
procedure WMSize(); message;
procedure WMHScroll(); message; | WMHScroll - system message for horizontal scrolling
procedure WMVScroll(); message; | WMVScroll - system message for vertical scrolling
procedure WMKillFocus(); message; | Handler for loosing Focus event. Eventually triggers #lcl.Controls.TControl.EditingDone.
procedure WMSetFocus(); message; | Handler for receiving Focus event.
procedure WndProc(); override; | The general message handler for this control.
property AllowOutboundEvents: Boolean; [rw] | AllowOutboundEvents - permits mouse click on an imaginary (out-of-bounds) cell; moves cursor to nearest valid cell
property AlternateColor: TColor; [rws] | The colour to be used for the background on alternate rows of the grid. Having alternate rows in different colours can make the grid easier to read.
property AutoAdvance: TAutoAdvance; [rw] | Automatically advance down the grid on successive mouse clicks or presses of the ENTER or TAB key
property AutoEdit: Boolean; [rw] | Whether the Edit mode is automatically entered when a cell is selected
property AutoFillColumns: Boolean; [rw] | Automatically resize columns so they fill all grid's visible area
property BorderStyle: TBorderStyle; [rw] | Allows to show a border (line) around the control,
property BorderColor: TColor; [rw] | The colour of the border for this control
property CellHintPriority: TCellHintPriority; [rw]
property Col: Integer; [rw] | Current column index.
property ColCount: Integer; [rw] | Number of columns of the grid.
property ColRow: TPoint; [rw]
property ColumnClickSorts: Boolean; [rw]
property Columns: TGridColumns; [rws] | The properties of the columns in this grid
property ColWidths []: Integer; [rw] | Column widths for the grid.
property DefaultColWidth: Integer; [rws] | Default value for the width of newly created grid columns.
property DefaultRowHeight: Integer; [rws] | Default value for the height of newly created grid rows.
property DefaultDrawing: Boolean; [rw] | Is the default drawing method to be used for this grid? Default is TRUE
property DefaultTextStyle: TTextStyle; [rw] | Default style for displaying text - includes alignment, layout, single or multi-lines
property DragDx: Integer; [rw] | DragDx - the amount (DeltaX) by which an object should be dragged
property Editor: TWinControl; [rw] | The editor to be used for modifying information in the cells of the grid
property EditorBorderStyle: TBorderStyle; [rw] | The border style for the editor used in this grid
property EditorMode: Boolean; [rw] | Is grid ready to accept edits? (EditorMode True)
property EditorKey: Boolean; [rw] | EditorKey - is the current key available to the editor?
property EditorOptions: Integer; [rw] | The set of options available for the grid's editor
property EditorShowing: Boolean; [rw] | Is the editor for the grid displayed?
property ExtendedColSizing: Boolean; [rw] | ExtendedColSizing - the sizing to be used for extended columns
property ExtendedRowSizing: Boolean; [rw] | ExtendedRowSizing - the sizing to be used for extended rows
property ExtendedSelect: Boolean; [rw] | ExtendedSelect - the ability to select cells beyond the boundary of the visible part of the grid
property FastEditing: Boolean; [rw] | Is the FastEditing method being used?
property AltColorStartNormal: Boolean; [rw] | AltColorStartNormal - using a second colour to display alternate rows, but starting the first row with the normal colour
property FixedCols: Integer; [rw] | Number of the fixed columns of the grid (ie the columns containing title or identifier material, that don't get scrolled when the rest of the grid moves).
property FixedRows: Integer; [rw] | Number of the fixed rows of the grid (ie the rows containing title or identifier material, that don't get scrolled when the rest of the grid moves).
property FixedColor: TColor; [rw] | The color for the fixed cells of the grid.
property FixedGridLineColor: TColor; [rw]
property FixedHotColor: TColor; [rw] | FixedHotColor - the 'Hot' colour for the active (selected, etc) fixed cells of the grid
property Flat: Boolean; [rw] | Is the cell to be displayed Flat, ie with no texturing or raised/lowered effect
property FocusColor: TColor; [rw] | The colour to be used for the cell receiving focus
property FocusRectVisible: Boolean; [rw] | FocusRectVisible - is the rectangle receiving focus visible?
property GCache: TGridDataCache; [r] | GCache - the cache to be used for grid data
property GridFlags: TGridFlags; [rw] | GridFlags - the flags that are set for the grid
property GridHeight: Integer; [r] | GridHeight - the height of the grid
property GridLineColor: TColor; [rw] | Colour to be used for GridLines
property GridLineStyle: TPenStyle; [rw] | Style to be used for GridLines
property GridLineWidth: Integer; [rw] | Width (thickness) of GridLines
property GridWidth: Integer; [r] | Width of the whole Grid
property HeaderHotZones: TGridZoneSet; [rw] | HeaderHotZones - the zones of the header that are under the cursor, so are capable of being selected or pushed (or not!)
property HeaderPushZones: TGridZoneSet; [rw] | HeaderPushZones - the zones of the header that have been selected by the cursor, or pushed
property ImageIndexSortAsc: TImageIndex; [rw]
property ImageIndexSortDesc: TImageIndex; [rw]
property TabAdvance: TAutoAdvance; [rw]
property TitleImageList: TImageList; [rw] | TitleImageList - the list of images to be used with the titles
property TitleImageListWidth: Integer; [rw]
property InplaceEditor: TWinControl; [r] | InplaceEditor - the editor to be used in-place, ie in the cell itself instead of outside the grid
property IsCellSelected []: Boolean; [r] | IsCellSelected - is the cell specified by aCol, aRow selected?
property LeftCol: Integer; [rw] | LeftCol - the left-most column
property MouseWheelOption: TMouseWheelOption; [rw]
property Options: TGridOptions; [rw] | The options available for use in this grid
property Options2: TGridOptions2; [rw]
property RangeSelectMode: TRangeSelectMode; [rw]
property Row: Integer; [rw] | The current Row (record) within the grid
property RowCount: Integer; [rw] | Number of rows in the grid
property RowHeights []: Integer; [rw] | The row heights for the grid.
property SaveOptions: TSaveOptions; [rw] | The set of options for saving information from the grid (design, attributes, content or position)
property SelectActive: Boolean; [rw] | SelectActive - if True, the current active cell is selected
property SelectedColor: TColor; [rw] | Colour to be used for selected cells
property SelectedColumn: TGridColumn; [r] | The column (field) currently selected
property Selection: TGridRect; [rw] | The current selection (rows and columns) in the grid
property ScrollBars: TScrollStyle; [rw] | The ScrollBars to be used with this grid
property StrictSort: Boolean; [rw] | StrictSort - is strict sorting to be used?
property TitleFont: TFont; [rw] | The font to be used in the grid's title
property TitleStyle: TTitleStyle; [rw] | The style to be used for the grid's title
property TopRow: Integer; [rw] | The first row (record) in the grid
property UseXORFeatures: Boolean; [rw] | UseXORFeatures: When True, the dotted focus rectangle is painted using the XOR raster operation
property ValidateOnSetSelection: Boolean; [rw]
property VisibleColCount: Integer; [rs] | The number of visible columns
property VisibleRowCount: Integer; [rs] | The number of visible rows
property OnAfterSelection: TOnSelectEvent; [rw]
property OnBeforeSelection: TOnSelectEvent; [rw] | OnBeforeSelection - event handler for use before a selection is made
property OnCheckboxToggled: TToggledCheckboxEvent; [rw]
property OnCompareCells: TOnCompareCells; [rw] | Event handler for comparing the contents of grid cells
property OnPrepareCanvas: TOnPrepareCanvasEvent; [rw] | Event handler to prepare the Canvas for drawing
property OnDrawCell: TOnDrawCell; [rw] | Event handler for drawing a cell
property OnEditButtonClick: TNotifyEvent; [rw] deprecated ; | Event handler for when the Edit button is clicked
property OnButtonClick: TOnSelectEvent; [rw]
property OnPickListSelect: TNotifyEvent; [rw] | Event handler for selecting an item from a picklist (eg drop-down list in TComboBox)
property OnSelection: TOnSelectEvent; [rw] | Event handler for when an area of a grid (one or a group of cells) is selected
property OnSelectEditor: TSelectEditorEvent; [rw] | Event handler for selecting an editor
property OnTopLeftChanged: TNotifyEvent; [rw] | Event handler when the top left cell is changed (ie the grid has been scrolled so that a different cell occupies top left)
property OnUserCheckboxBitmap: TUserCheckBoxBitmapEvent; [rw] | OnUserCheckboxBitmap - event handler for a user accessing a checkbox bitmap
property OnValidateEntry: TValidateEntryEvent; [rw]
function FlipRect();
function FlipPoint();
function FlipX();
property OnGetCellHint: TGetCellHintEvent; [rw] | Get individual hint for each cell
property OnSaveColumn: TSaveColumnEvent; [rw]
property OnLoadColumn: TSaveColumnEvent; [rw]
public
constructor Create(); override; | Create - constructor for TCustomGrid: calls inherited Create, then creates lists of columns and rows, initialises many visual properties and options, creates the various editors and loads any bitmaps required for the display
destructor Destroy; override; | Destroy - destructor for TCustomGrid: frees various resources including editors, columns, rows, font then calls inherited Destroy
procedure Invalidate; override; | Force a delayed Repaint of the control, by marking its visible area of the control as invalid.
procedure EditingDone; override; | Invokes the OnEditingDone event handler.
procedure AdjustInnerCellRect();
procedure AutoAdjustColumns; virtual; | AutoAdjustColumns - automatically adjust the columns according to the size of their contents
procedure BeginUpdate; | Begin updating the grid
function CellRect(); | The coordinates of the current cell (column, row) expressed as a standard rectangle (TRect)
function CellToGridZone(); | Convert the coordinates of the current cell (col, row) to a grid zone
procedure CheckPosition; | Check the position of the cursor
function ClearCols;
function ClearRows;
procedure Clear; | Clear all cells from the grid.
procedure ClearSelections;
function EditorByStyle(); virtual; | Select a cell editor control with the specified style
procedure EditorKeyDown(); | Emulate the OnKeyDown event handler in the cell editor
procedure EditorKeyPress(); | Emulate the OnKeyPress event handler in the cell editor
procedure EditorKeyUp(); | Emulate the OnKeyUp event handler in the cell editor
procedure EditorTextChanged(); virtual;
procedure EndUpdate(); | EndUpdate - Finish updating the grid
procedure EraseBackground(); override; | Clear the background to the grid
function Focused; override;
function HasMultiSelection;
procedure InvalidateCol(); | InvalidateCol - render the specified column non-valid
procedure InvalidateRange(); | InvalidateRange - render a range of the grid non-valid
procedure InvalidateRow(); | InvalidateRow - render the specified row non-valid
function IsCellVisible(); | Finds out whether a particular cell is visible
function IsFixedCellVisible();
procedure LoadFromFile(); virtual; | Load the grid data from a file with the specified name
procedure LoadFromStream(); virtual;
function MouseCoord(); | Find the mouse coordinates relative to the grid origin
function MouseToCell(); | Convert mouse coordinates to the position of a cell in the grid
function MouseToLogcell(); | Convert mouse coordinates to the position of a logical cell in the grid
function MouseToGridZone(); | MouseToGridZone - convert mouse coordinates to a grid zone
procedure SaveToFile(); virtual; | Save the data in the grid to a file with specified name
procedure SaveToStream(); virtual;
procedure SetFocus; override; | Set focus on the grid
property SelectedRange []: TGridRect; [r]
property SelectedRangeCount: Integer; [r]
property SortOrder: TSortOrder; [rw] | Order of sorting - ascending or descending
property SortColumn: Integer; [r]
property TabStop: Boolean; | Allows the user to navigate to this control, by pressing the Tab key.
end;

Inheritance

TCustomGrid | TCustomGrid - the base class for all grid controls
|
TCustomControl | The base class for windowed controls which paint themselves.
|
TWinControl | The base class for controls which can contain other (child) controls.
|
TControl | The base class for visible controls.
|
TLCLComponent | The base class for LCL components associated with widgets.
|
TComponent,IUnknown,IInterfaceComponentReference
|
TPersistent,IFPObserved
|
TObject

Description

A grid is a collection of cells that are organized in columns and rows. Grids are suitable for showing data that have tabular nature, for example tables in a database, or formulae and data in a spreadsheet.

Key properties:

The ColCount and RowCount properties contain the column and row count of the grid.

The FixedCols and FixedRows properties specify the count of fixed columns or rows that are used for headings.

The column widths and row heights of the grid are accessible with the ColWidths and RowHeights properties.

The DefaultColWidth and DefaultRowHeight properties are used to specify default column widths or row heights respectively.

The colors of the cells and the grid elements are specified with the AlternateColor, BorderColor, FixedColor, FixedHotColor, FocusColor, GridLineColor and SelectedColor properties. The GridWidth and GridHeight properties contain the dimension of the entire grid.

The ScrollBars property controls the creation of scrollbars for the grid.

The LeftCol, TopRow, VisibleColCount and VisibleRowCount properties contain information about the visible area of the grid.

The Options property controls options for the grid.

Key methods and events:

If the user highlights a cell of the grid, the SelectCell method is called that triggers the OnSelectCell event. The position of the highlighted cell is stored within the Col and Row property.

The MouseToCell method calculates a grid cell from a given screen position.

Huge changes to the grid should be encapsulated in calls to BeginUpdate and EndUpdate to speed up the application.

Component developers must override the DrawCell method in customized grids.

See also

TStringGrid | TStringGrid - a specialised grid for displaying strings (text material) in a matrix of columns and rows
TDrawGrid | TDrawGrid - a drawn grid. May contain images in its cells
HowToUseGrids | How to use Grids including StringGrids, DrawGrids and DbGrids


TCustomGrid
pt |  | AllowOutboundEvents
pt |  | AlternateColor
pt |  | AutoAdvance
pt |  | AutoEdit
pt |  | AutoFillColumns
pt |  | BorderStyle
pt |  | BorderColor
pt |  | CellHintPriority
pt |  | Col
pt |  | ColCount
pt |  | ColRow
pt |  | ColumnClickSorts
pt |  | Columns
pt |  | ColWidths
pt |  | DefaultColWidth
pt |  | DefaultRowHeight
pt |  | DefaultDrawing
pt |  | DefaultTextStyle
pt |  | DragDx
pt |  | Editor
pt |  | EditorBorderStyle
pt |  | EditorMode
pt |  | EditorKey
pt |  | EditorOptions
pt |  | EditorShowing
pt |  | ExtendedColSizing
pt |  | ExtendedRowSizing
pt |  | ExtendedSelect
pt |  | FastEditing
pt |  | AltColorStartNormal
pt |  | FixedCols
pt |  | FixedRows
pt |  | FixedColor
pt |  | FixedGridLineColor
pt |  | FixedHotColor
pt |  | Flat
pt |  | FocusColor
pt |  | FocusRectVisible
pt | ro | GCache
pt |  | GridFlags
pt | ro | GridHeight
pt |  | GridLineColor
pt |  | GridLineStyle
pt |  | GridLineWidth
pt | ro | GridWidth
pt |  | HeaderHotZones
pt |  | HeaderPushZones
pt |  | ImageIndexSortAsc
pt |  | ImageIndexSortDesc
pt |  | TabAdvance
pt |  | TitleImageList
pt |  | TitleImageListWidth
pt | ro | InplaceEditor
pt | ro | IsCellSelected
pt |  | LeftCol
pt |  | MouseWheelOption
pt |  | Options
pt |  | Options2
pt |  | RangeSelectMode
pt |  | Row
pt |  | RowCount
pt |  | RowHeights
pt |  | SaveOptions
pt |  | SelectActive
pt |  | SelectedColor
pt | ro | SelectedColumn
pt |  | Selection
pt |  | ScrollBars
pt |  | StrictSort
pt |  | TitleFont
pt |  | TitleStyle
pt |  | TopRow
pt |  | UseXORFeatures
pt |  | ValidateOnSetSelection
pt | ro | VisibleColCount
pt | ro | VisibleRowCount
 | ro | SelectedRange
 | ro | SelectedRangeCount
 |  | SortOrder
 | ro | SortColumn
 | ro | TabStop
TCustomControl
 |  | Canvas
 | ro | BorderStyle
TWinControl
pt |  | WindowHandle
pt |  | BorderStyle
pt |  | ParentBackground
 |  | BorderWidth
 | ro | BoundsLockCount
 | ro | Brush
 | ro | CachedClientHeight
 | ro | CachedClientWidth
 |  | ChildSizing
 | ro | ControlCount
 | ro | Controls
 |  | DefWndProc
 | ro | DockClientCount
 | ro | DockClients
 |  | DockManager
 |  | DockSite
 |  | DoubleBuffered
 |  | Handle
 | ro | IsFlipped
 | ro | IsResizing
 |  | TabOrder
 |  | TabStop
 |  | ParentDoubleBuffered
 |  | ParentWindow
 | ro | Showing
 |  | UseDockManager
 |  | DesignerDeleting
 | ro | VisibleDockClientCount
TControl
pt | ro | AutoSizing
pt | ro | AutoSizingAll
pt | ro | AutoSizingLockCount
pt |  | ActionLink
pt |  | DesktopFont
pt |  | DragCursor
pt |  | DragKind
pt |  | DragMode
pt |  | MouseCapture
pt |  | ParentColor
pt |  | ParentFont
pt |  | ParentShowHint
pt |  | SessionProperties
pt |  | Text
 | ro | AnchoredControls
 | ro | BaseBounds
 | ro | ReadBounds
 | ro | BaseParentClientSize
 |  | AccessibleDescription
 |  | AccessibleValue
 |  | AccessibleRole
 |  | Action
 |  | Align
 |  | Anchors
 | ro | AnchorSide
 |  | AutoSize
 |  | BorderSpacing
 |  | BoundsRect
 |  | BoundsRectForNewParent
 |  | Caption
 |  | CaptureMouseButtons
 |  | ClientHeight
 | ro | ClientOrigin
 | ro | ClientRect
 |  | ClientWidth
 |  | Color
 |  | Constraints
 | ro | ControlOrigin
 |  | ControlState
 |  | ControlStyle
 |  | Enabled
 |  | Font
 |  | IsControl
 | ro | MouseEntered
 | ro | MouseInClient
 |  | Parent
 |  | PopupMenu
 |  | ShowHint
 |  | Visible
 |  | WindowProc
 |  | DockOrientation
 | ro | Floating
 |  | FloatingDockSiteClass
 |  | HostDockSite
 |  | LRDockWidth
 |  | TBDockHeight
 |  | UndockHeight
 |  | UndockWidth
 |  | BiDiMode
 |  | ParentBiDiMode
pl |  | AnchorSideLeft
pl |  | AnchorSideTop
pl |  | AnchorSideRight
pl |  | AnchorSideBottom
pl |  | Cursor
pl |  | Left
pl |  | Height
pl |  | Hint
pl |  | Top
pl |  | Width
pl |  | HelpType
pl |  | HelpKeyword
pl |  | HelpContext
TLCLComponent
 | ro | LCLRefCount
 | ro | WidgetSetClass
TComponent
 | ro | ComObject
 | ro | Components
 | ro | ComponentCount
 |  | ComponentIndex
 | ro | ComponentState
 | ro | ComponentStyle
 |  | DesignInfo
 | ro | Owner
 |  | VCLComObject
 |  | Name
 |  | Tag
TPersistent
TObject


 |  | AccessibleDescription (TControl)
 |  | AccessibleRole (TControl)
 |  | AccessibleValue (TControl)
 |  | Action (TControl)
pt |  | ActionLink (TControl)
 |  | Align (TControl)
pt |  | AllowOutboundEvents (TCustomGrid)
pt |  | AltColorStartNormal (TCustomGrid)
pt |  | AlternateColor (TCustomGrid)
 | ro | AnchoredControls (TControl)
 |  | Anchors (TControl)
 | ro | AnchorSide (TControl)
pl |  | AnchorSideBottom (TControl)
pl |  | AnchorSideLeft (TControl)
pl |  | AnchorSideRight (TControl)
pl |  | AnchorSideTop (TControl)
pt |  | AutoAdvance (TCustomGrid)
pt |  | AutoEdit (TCustomGrid)
pt |  | AutoFillColumns (TCustomGrid)
 |  | AutoSize (TControl)
pt | ro | AutoSizing (TControl)
pt | ro | AutoSizingAll (TControl)
pt | ro | AutoSizingLockCount (TControl)
 | ro | BaseBounds (TControl)
 | ro | BaseParentClientSize (TControl)
 |  | BiDiMode (TControl)
pt |  | BorderColor (TCustomGrid)
 |  | BorderSpacing (TControl)
pt |  | BorderStyle (TWinControl)
 | ro | BorderStyle (TCustomControl)
pt |  | BorderStyle (TCustomGrid)
 |  | BorderWidth (TWinControl)
 | ro | BoundsLockCount (TWinControl)
 |  | BoundsRect (TControl)
 |  | BoundsRectForNewParent (TControl)
 | ro | Brush (TWinControl)
 | ro | CachedClientHeight (TWinControl)
 | ro | CachedClientWidth (TWinControl)
 |  | Canvas (TCustomControl)
 |  | Caption (TControl)
 |  | CaptureMouseButtons (TControl)
pt |  | CellHintPriority (TCustomGrid)
 |  | ChildSizing (TWinControl)
 |  | ClientHeight (TControl)
 | ro | ClientOrigin (TControl)
 | ro | ClientRect (TControl)
 |  | ClientWidth (TControl)
pt |  | Col (TCustomGrid)
pt |  | ColCount (TCustomGrid)
 |  | Color (TControl)
pt |  | ColRow (TCustomGrid)
pt |  | ColumnClickSorts (TCustomGrid)
pt |  | Columns (TCustomGrid)
pt |  | ColWidths (TCustomGrid)
 | ro | ComObject (TComponent)
 | ro | ComponentCount (TComponent)
 |  | ComponentIndex (TComponent)
 | ro | Components (TComponent)
 | ro | ComponentState (TComponent)
 | ro | ComponentStyle (TComponent)
 |  | Constraints (TControl)
 | ro | ControlCount (TWinControl)
 | ro | ControlOrigin (TControl)
 | ro | Controls (TWinControl)
 |  | ControlState (TControl)
 |  | ControlStyle (TControl)
pl |  | Cursor (TControl)
pt |  | DefaultColWidth (TCustomGrid)
pt |  | DefaultDrawing (TCustomGrid)
pt |  | DefaultRowHeight (TCustomGrid)
pt |  | DefaultTextStyle (TCustomGrid)
 |  | DefWndProc (TWinControl)
 |  | DesignerDeleting (TWinControl)
 |  | DesignInfo (TComponent)
pt |  | DesktopFont (TControl)
 | ro | DockClientCount (TWinControl)
 | ro | DockClients (TWinControl)
 |  | DockManager (TWinControl)
 |  | DockOrientation (TControl)
 |  | DockSite (TWinControl)
 |  | DoubleBuffered (TWinControl)
pt |  | DragCursor (TControl)
pt |  | DragDx (TCustomGrid)
pt |  | DragKind (TControl)
pt |  | DragMode (TControl)
pt |  | Editor (TCustomGrid)
pt |  | EditorBorderStyle (TCustomGrid)
pt |  | EditorKey (TCustomGrid)
pt |  | EditorMode (TCustomGrid)
pt |  | EditorOptions (TCustomGrid)
pt |  | EditorShowing (TCustomGrid)
 |  | Enabled (TControl)
pt |  | ExtendedColSizing (TCustomGrid)
pt |  | ExtendedRowSizing (TCustomGrid)
pt |  | ExtendedSelect (TCustomGrid)
pt |  | FastEditing (TCustomGrid)
pt |  | FixedColor (TCustomGrid)
pt |  | FixedCols (TCustomGrid)
pt |  | FixedGridLineColor (TCustomGrid)
pt |  | FixedHotColor (TCustomGrid)
pt |  | FixedRows (TCustomGrid)
pt |  | Flat (TCustomGrid)
 | ro | Floating (TControl)
 |  | FloatingDockSiteClass (TControl)
pt |  | FocusColor (TCustomGrid)
pt |  | FocusRectVisible (TCustomGrid)
 |  | Font (TControl)
pt | ro | GCache (TCustomGrid)
pt |  | GridFlags (TCustomGrid)
pt | ro | GridHeight (TCustomGrid)
pt |  | GridLineColor (TCustomGrid)
pt |  | GridLineStyle (TCustomGrid)
pt |  | GridLineWidth (TCustomGrid)
pt | ro | GridWidth (TCustomGrid)
 |  | Handle (TWinControl)
pt |  | HeaderHotZones (TCustomGrid)
pt |  | HeaderPushZones (TCustomGrid)
pl |  | Height (TControl)
pl |  | HelpContext (TControl)
pl |  | HelpKeyword (TControl)
pl |  | HelpType (TControl)
pl |  | Hint (TControl)
 |  | HostDockSite (TControl)
pt |  | ImageIndexSortAsc (TCustomGrid)
pt |  | ImageIndexSortDesc (TCustomGrid)
pt | ro | InplaceEditor (TCustomGrid)
pt | ro | IsCellSelected (TCustomGrid)
 |  | IsControl (TControl)
 | ro | IsFlipped (TWinControl)
 | ro | IsResizing (TWinControl)
 | ro | LCLRefCount (TLCLComponent)
pl |  | Left (TControl)
pt |  | LeftCol (TCustomGrid)
 |  | LRDockWidth (TControl)
pt |  | MouseCapture (TControl)
 | ro | MouseEntered (TControl)
 | ro | MouseInClient (TControl)
pt |  | MouseWheelOption (TCustomGrid)
 |  | Name (TComponent)
pt |  | Options (TCustomGrid)
pt |  | Options2 (TCustomGrid)
 | ro | Owner (TComponent)
 |  | Parent (TControl)
pt |  | ParentBackground (TWinControl)
 |  | ParentBiDiMode (TControl)
pt |  | ParentColor (TControl)
 |  | ParentDoubleBuffered (TWinControl)
pt |  | ParentFont (TControl)
pt |  | ParentShowHint (TControl)
 |  | ParentWindow (TWinControl)
 |  | PopupMenu (TControl)
pt |  | RangeSelectMode (TCustomGrid)
 | ro | ReadBounds (TControl)
pt |  | Row (TCustomGrid)
pt |  | RowCount (TCustomGrid)
pt |  | RowHeights (TCustomGrid)
pt |  | SaveOptions (TCustomGrid)
pt |  | ScrollBars (TCustomGrid)
pt |  | SelectActive (TCustomGrid)
pt |  | SelectedColor (TCustomGrid)
pt | ro | SelectedColumn (TCustomGrid)
 | ro | SelectedRange (TCustomGrid)
 | ro | SelectedRangeCount (TCustomGrid)
pt |  | Selection (TCustomGrid)
pt |  | SessionProperties (TControl)
 |  | ShowHint (TControl)
 | ro | Showing (TWinControl)
 | ro | SortColumn (TCustomGrid)
 |  | SortOrder (TCustomGrid)
pt |  | StrictSort (TCustomGrid)
pt |  | TabAdvance (TCustomGrid)
 |  | TabOrder (TWinControl)
 |  | TabStop (TWinControl)
 | ro | TabStop (TCustomGrid)
 |  | Tag (TComponent)
 |  | TBDockHeight (TControl)
pt |  | Text (TControl)
pt |  | TitleFont (TCustomGrid)
pt |  | TitleImageList (TCustomGrid)
pt |  | TitleImageListWidth (TCustomGrid)
pt |  | TitleStyle (TCustomGrid)
pl |  | Top (TControl)
pt |  | TopRow (TCustomGrid)
 |  | UndockHeight (TControl)
 |  | UndockWidth (TControl)
 |  | UseDockManager (TWinControl)
pt |  | UseXORFeatures (TCustomGrid)
pt |  | ValidateOnSetSelection (TCustomGrid)
 |  | VCLComObject (TComponent)
 |  | Visible (TControl)
pt | ro | VisibleColCount (TCustomGrid)
 | ro | VisibleDockClientCount (TWinControl)
pt | ro | VisibleRowCount (TCustomGrid)
 | ro | WidgetSetClass (TLCLComponent)
pl |  | Width (TControl)
pt |  | WindowHandle (TWinControl)
 |  | WindowProc (TControl)


TCustomGrid
pt | RTLSign
pt | WSRegisterClass
pt | AddSelectedRange
pt | AdjustClientRect
pt | AdjustEditorBounds
pt | AfterMoveSelection
pt | AssignTo
pt | AutoAdjustColumn
pt | BeforeMoveSelection
pt | BeginAutoDrag
pt | BoxRect
pt | CacheMouseDown
pt | CalcAutoSizeColumn
pt | CalcCellExtent
pt | CalcFocusRect
pt | CalcMaxTopLeft
pt | CalcScrollbarsRange
pt | CalculatePreferredSize
pt | CanEditShow
pt | CanGridAcceptKey
pt | CellClick
pt | CellExtent
pt | CheckLimits
pt | CheckLimitsWithError
pt | CMBiDiModeChanged
pt | CMMouseEnter
pt | CMMouseLeave
pt | ColRowDeleted
pt | ColRowExchanged
pt | ColRowInserted
pt | ColRowMoved
pt | ColRowToOffset
pt | ColumnIndexFromGridColumn
pt | ColumnFromGridColumn
pt | ColumnsChanged
pt | ColWidthsChanged
pt | CreateColumns
pt | CheckNewCachedSizes
pt | CreateWnd
pt | CreateParams
pt | Click
pt | DblClick
pt | DefaultColWidthIsStored
pt | DefaultRowHeightIsStored
pt | DefineProperties
pt | DestroyHandle
pt | DialogChar
pt | DoCompareCells
pt | DoCopyToClipboard
pt | DoCutToClipboard
pt | DoEditButtonClick
pt | DoEditorHide
pt | DoEditorShow
pt | DoExit
pt | DoEnter
pt | DoLoadColumn
pt | DoSaveColumn
pt | DoMouseWheel
pt | DoMouseWheelDown
pt | DoMouseWheelUp
pt | DoMouseWheelLeft
pt | DoMouseWheelRight
pt | DoAutoAdjustLayout
pt | DoOnChangeBounds
pt | DoOPDeleteColRow
pt | DoOPExchangeColRow
pt | DoOPInsertColRow
pt | DoOPMoveColRow
pt | DoPasteFromClipboard
pt | DoPrepareCanvas
pt | DoSetBounds
pt | DoUTF8KeyPress
pt | DrawBorder
pt | DrawAllRows
pt | DrawFillRect
pt | DrawCell
pt | DrawCellGrid
pt | DrawTextInCell
pt | DrawThemedCell
pt | DrawCellText
pt | DrawGridCheckboxBitmaps
pt | DrawButtonCell
pt | DrawColRowMoving
pt | DrawColumnText
pt | DrawColumnTitleImage
pt | DrawEdges
pt | DrawFocusRect
pt | DrawRow
pt | EditButtonClicked
pt | EditordoGetValue
pt | EditordoResetValue
pt | EditordoSetValue
pt | EditorCanAcceptKey
pt | EditorIsReadOnly
pt | EditorHide
pt | EditorLocked
pt | EditingAllowed
pt | EditorSelectAll
pt | EditorShow
pt | EditorShowInCell
pt | EditorWidthChanged
pt | FirstGridColumn
pt | FixedGrid
pt | FontChanged
pt | GetAutoFillColumnInfo
pt | GetCellHintText
pt | GetCells
pt | GetColumnAlignment
pt | GetColumnColor
pt | GetColumnFont
pt | GetColumnLayout
pt | GetColumnReadonly
pt | GetColumnTitle
pt | GetColumnWidth
pt | GetDeltaMoveNext
pt | GetDefaultColumnAlignment
pt | GetDefaultColumnWidth
pt | GetDefaultColumnLayout
pt | GetDefaultColumnReadOnly
pt | GetDefaultColumnTitle
pt | GetDefaultEditor
pt | GetDefaultRowHeight
pt | GetGridDrawState
pt | GetImageForCheckBox
pt | GetScrollBarPosition
pt | GetSmoothScroll
pt | GetSBVisibility
pt | GetSBRanges
pt | GetSelectedState
pt | GetEditMask
pt | GetEditText
pt | GetFixedcolor
pt | GetFirstVisibleColumn
pt | GetFirstVisibleRow
pt | GetLastVisibleColumn
pt | GetLastVisibleRow
pt | GetSelectedColor
pt | GetTitleShowPrefix
pt | GetPxTopLeft
pt | GetTruncCellHintText
pt | GridColumnFromColumnIndex
pt | GridMouseWheel
pt | HeaderClick
pt | HeaderSized
pt | HeaderSizing
pt | HideCellHintWindow
pt | InternalSetColCount
pt | InvalidateCell
pt | InvalidateFromCol
pt | InvalidateGrid
pt | InvalidateFocused
pt | GetIsCellTitle
pt | GetIsCellSelected
pt | IsEmptyRow
pt | IsMouseOverCellButton
pt | KeyDown
pt | KeyUp
pt | KeyPress
pt | LoadContent
pt | LoadGridOptions
pt | Loaded
pt | LockEditor
pt | MouseButtonAllowed
pt | MouseDown
pt | MouseMove
pt | MouseUp
pt | MoveExtend
pt | MoveNextAuto
pt | MoveNextSelectable
pt | MoveSelection
pt | OffsetToColRow
pt | Paint
pt | PickListItemSelected
pt | PrepareCanvas
pt | PrepareCellHints
pt | ResetDefaultColWidths
pt | ResetEditor
pt | ResetLastMove
pt | ResetOffset
pt | ResetSizes
pt | ResizeColumn
pt | ResizeRow
pt | RowHeightsChanged
pt | SaveContent
pt | SaveGridOptions
pt | ScrollBarRange
pt | ScrollBarPosition
pt | ScrollBarIsVisible
pt | ScrollBarPage
pt | ScrollBarShow
pt | ScrollBarAutomatic
pt | ScrollBy
pt | SelectEditor
pt | SelectCell
pt | SetCanvasFont
pt | SetColor
pt | SetColRow
pt | SetEditText
pt | SetBorderStyle
pt | SetFixedcolor
pt | SetFixedCols
pt | SetFixedRows
pt | SetRawColWidths
pt | SetSelectedColor
pt | ShowCellHintWindow
pt | SizeChanged
pt | Sort
pt | StartPushCell
pt | TopLeftChanged
pt | TryMoveSelection
pt | UnLockEditor
pt | UnprepareCellHints
pt | UpdateHorzScrollBar
pt | UpdateSelectionRange
pt | UpdateVertScrollbar
pt | UpdateBorderStyle
pt | ValidateEntry
pt | VisualChange
pt | WMSize
pt | WMHScroll
pt | WMVScroll
pt | WMKillFocus
pt | WMSetFocus
pt | WndProc
pt | FlipRect
pt | FlipPoint
pt | FlipX
 | Create
 | Destroy
 | Invalidate
 | EditingDone
 | AdjustInnerCellRect
 | AutoAdjustColumns
 | BeginUpdate
 | CellRect
 | CellToGridZone
 | CheckPosition
 | ClearCols
 | ClearRows
 | Clear
 | ClearSelections
 | EditorByStyle
 | EditorKeyDown
 | EditorKeyPress
 | EditorKeyUp
 | EditorTextChanged
 | EndUpdate
 | EraseBackground
 | Focused
 | HasMultiSelection
 | InvalidateCol
 | InvalidateRange
 | InvalidateRow
 | IsCellVisible
 | IsFixedCellVisible
 | LoadFromFile
 | LoadFromStream
 | MouseCoord
 | MouseToCell
 | MouseToLogcell
 | MouseToGridZone
 | SaveToFile
 | SaveToStream
 | SetFocus
TCustomControl
pt | WSRegisterClass
pt | WMPaint
pt | DestroyWnd
pt | PaintWindow
pt | FontChanged
pt | SetColor
pt | Paint
 | Create
 | Destroy
TWinControl
pt | WSRegisterClass
pt | AdjustClientRect
pt | GetAdjustedLogicalClientRect
pt | AlignControls
pt | CustomAlignInsertBefore
pt | CustomAlignPosition
pt | DoAlignChildControls
pt | DoChildSizingChange
pt | InvalidatePreferredChildSizes
pt | CanTab
pt | IsClientHeightStored
pt | IsClientWidthStored
pt | DoSendShowHideToInterface
pt | ControlsAligned
pt | DoSendBoundsToInterface
pt | RealizeBounds
pt | RealizeBoundsRecursive
pt | InvalidateBoundsRealized
pt | CreateSubClass
pt | DoConstraintsChange
pt | DoSetBounds
pt | DoAutoSize
pt | DoAllAutoSize
pt | AllAutoSized
pt | CalculatePreferredSize
pt | GetPreferredSizeClientFrame
pt | GetChildren
pt | ChildClassAllowed
pt | PaintControls
pt | PaintHandler
pt | PaintWindow
pt | CreateBrush
pt | ScaleControls
pt | ChangeScale
pt | CMBiDiModeChanged
pt | CMBorderChanged
pt | CMDoubleBufferedChanged
pt | CMEnabledChanged
pt | CMParentDoubleBufferedChanged
pt | CMShowingChanged
pt | CMShowHintChanged
pt | CMVisibleChanged
pt | CMEnter
pt | CMExit
pt | WMContextMenu
pt | WMEraseBkgnd
pt | WMNotify
pt | WMSetFocus
pt | WMKillFocus
pt | WMShowWindow
pt | WMEnter
pt | WMExit
pt | WMKeyDown
pt | WMSysKeyDown
pt | WMKeyUp
pt | WMSysKeyUp
pt | WMChar
pt | WMSysChar
pt | WMPaint
pt | WMDestroy
pt | WMMove
pt | WMSize
pt | WMWindowPosChanged
pt | CNKeyDown
pt | CNSysKeyDown
pt | CNKeyUp
pt | CNSysKeyUp
pt | CNChar
pt | DoDragMsg
pt | DoDockClientMsg
pt | DoUndockClientMsg
pt | DoAddDockClient
pt | DockOver
pt | DoDockOver
pt | DoRemoveDockClient
pt | DoUnDock
pt | GetSiteInfo
pt | GetParentHandle
pt | GetTopParentHandle
pt | ReloadDockedControl
pt | CreateDockManager
pt | SetDockManager
pt | DoFloatMsg
pt | DoGetDockCaption
pt | DoEnter
pt | DoExit
pt | DoKeyDownBeforeInterface
pt | DoRemainingKeyDown
pt | DoRemainingKeyUp
pt | DoKeyPress
pt | DoUTF8KeyPress
pt | DoKeyUpBeforeInterface
pt | ChildKey
pt | SendDialogChar
pt | DialogChar
pt | ControlKeyDown
pt | ControlKeyUp
pt | KeyDown
pt | KeyDownBeforeInterface
pt | KeyDownAfterInterface
pt | KeyPress
pt | KeyUp
pt | KeyUpBeforeInterface
pt | KeyUpAfterInterface
pt | UTF8KeyPress
pt | FindNextControl
pt | SelectFirst
pt | RealGetText
pt | GetBorderStyle
pt | GetClientOrigin
pt | GetClientRect
pt | GetControlOrigin
pt | GetDeviceContext
pt | GetParentBackground
pt | IsControlMouseMsg
pt | CreateHandle
pt | CreateParams
pt | CreateWnd
pt | DestroyHandle
pt | DestroyWnd
pt | DoFlipChildren
pt | FinalizeWnd
pt | FixupTabList
pt | FontChanged
pt | InitializeWnd
pt | Loaded
pt | FormEndUpdated
pt | MainWndProc
pt | ParentFormHandleInitialized
pt | ChildHandlesCreated
pt | GetMouseCapture
pt | RealSetText
pt | RemoveFocus
pt | SendMoveSizeMessages
pt | SetBorderStyle
pt | SetColor
pt | SetChildZPosition
pt | SetParentBackground
pt | ShowControl
pt | UpdateControlState
pt | UpdateShowing
pt | WndProc
pt | WSSetText
 | AutoSizePhases
 | AutoSizeDelayed
 | AutoSizeDelayedReport
 | AutoSizeDelayedHandle
 | BeginUpdateBounds
 | EndUpdateBounds
 | LockRealizeBounds
 | UnlockRealizeBounds
 | ControlAtPos
 | ContainsControl
 | DoAdjustClientRectChange
 | InvalidateClientRectCache
 | ClientRectNeedsInterfaceUpdate
 | SetBounds
 | GetChildrenRect
 | DisableAlign
 | EnableAlign
 | ReAlign
 | ScrollBy_WS
 | ScrollBy
 | WriteLayoutDebugReport
 | AutoAdjustLayout
 | Create
 | CreateParented
 | CreateParentedControl
 | Destroy
 | DockDrop
 | CanFocus
 | CanSetFocus
 | GetControlIndex
 | SetControlIndex
 | Focused
 | PerformTab
 | FindChildControl
 | SelectNext
 | SetTempCursor
 | BroadCast
 | NotifyControls
 | DefaultHandler
 | GetTextLen
 | Invalidate
 | AddControl
 | InsertControl
 | RemoveControl
 | GetEnumeratorControls
 | GetEnumeratorControlsReverse
 | Repaint
 | Update
 | SetFocus
 | FlipChildren
 | ScaleBy
 | GetDockCaption
 | UpdateDockCaption
 | GetTabOrderList
 | HandleAllocated
 | ParentHandlesAllocated
 | HandleNeeded
 | BrushCreated
 | EraseBackground
 | IntfUTF8KeyPress
 | IntfGetDropFilesTarget
 | PaintTo
 | SetShape
TControl
pt | WSRegisterClass
pt | GetCursor
pt | SetCursor
pt | SetVisible
pt | DoOnParentHandleDestruction
pt | DoAutoSize
pt | DoAllAutoSize
pt | BeginAutoSizing
pt | EndAutoSizing
pt | AnchorSideChanged
pt | ForeignAnchorSideChanged
pt | SetAlign
pt | SetAnchors
pt | SetAutoSize
pt | BoundsChanged
pt | CreateControlBorderSpacing
pt | DoConstraintsChange
pt | DoBorderSpacingChange
pt | IsBorderSpacingInnerBorderStored
pt | IsCaptionStored
pt | SendMoveSizeMessages
pt | ConstrainedResize
pt | CalculatePreferredSize
pt | DoOnResize
pt | DoOnChangeBounds
pt | CheckOnChangeBounds
pt | Resize
pt | RequestAlign
pt | UpdateAnchorRules
pt | ChangeBounds
pt | DoSetBounds
pt | ScaleConstraints
pt | ChangeScale
pt | CanAutoSize
pt | SetBiDiMode
pt | SetParentBiDiMode
pt | IsAParentAligning
pt | GetClientOrigin
pt | GetClientRect
pt | GetLogicalClientRect
pt | GetScrolledClientRect
pt | GetClientScrollOffset
pt | GetControlOrigin
pt | IsClientHeightStored
pt | IsClientWidthStored
pt | WidthIsAnchored
pt | HeightIsAnchored
pt | WMCancelMode
pt | WMContextMenu
pt | WMLButtonDown
pt | WMRButtonDown
pt | WMMButtonDown
pt | WMXButtonDown
pt | WMLButtonDBLCLK
pt | WMRButtonDBLCLK
pt | WMMButtonDBLCLK
pt | WMXButtonDBLCLK
pt | WMLButtonTripleCLK
pt | WMRButtonTripleCLK
pt | WMMButtonTripleCLK
pt | WMXButtonTripleCLK
pt | WMLButtonQuadCLK
pt | WMRButtonQuadCLK
pt | WMMButtonQuadCLK
pt | WMXButtonQuadCLK
pt | WMMouseMove
pt | WMLButtonUp
pt | WMRButtonUp
pt | WMMButtonUp
pt | WMXButtonUp
pt | WMMouseWheel
pt | WMMouseHWheel
pt | WMMove
pt | WMSize
pt | WMWindowPosChanged
pt | CMChanged
pt | LMCaptureChanged
pt | CMBiDiModeChanged
pt | CMSysFontChanged
pt | CMEnabledChanged
pt | CMHitTest
pt | CMMouseEnter
pt | CMMouseLeave
pt | CMHintShow
pt | CMParentBiDiModeChanged
pt | CMParentColorChanged
pt | CMParentFontChanged
pt | CMParentShowHintChanged
pt | CMVisibleChanged
pt | CMTextChanged
pt | CMCursorChanged
pt | CalculateDockSizes
pt | CreateFloatingDockSite
pt | GetDockEdge
pt | GetDragImages
pt | GetFloating
pt | GetFloatingDockSiteClass
pt | BeforeDragStart
pt | BeginAutoDrag
pt | DoFloatMsg
pt | DockTrackNoTarget
pt | DoDock
pt | DoDragMsg
pt | DoEndDock
pt | DoEndDrag
pt | DoStartDock
pt | DoStartDrag
pt | DragCanceled
pt | DragOver
pt | PositionDockRect
pt | SetDragMode
pt | GetDefaultDockCaption
pt | Click
pt | DblClick
pt | TripleClick
pt | QuadClick
pt | GetMousePosFromMessage
pt | MouseDown
pt | MouseMove
pt | MouseUp
pt | MouseEnter
pt | MouseLeave
pt | DialogChar
pt | UpdateMouseCursor
pt | Changed
pt | GetPalette
pt | ChildClassAllowed
pt | ReadState
pt | Loaded
pt | LoadedAll
pt | DefineProperties
pt | AssignTo
pt | FormEndUpdated
pt | InvalidateControl
pt | FontChanged
pt | ParentFontChanged
pt | GetAction
pt | RealGetText
pt | RealSetText
pt | TextChanged
pt | GetCachedText
pt | SetAction
pt | SetColor
pt | SetEnabled
pt | SetHint
pt | SetName
pt | SetParent
pt | SetParentComponent
pt | WndProc
pt | ParentFormHandleInitialized
pt | GetMouseCapture
pt | CaptureChanged
pt | Notification
pt | CanTab
pt | GetDeviceContext
pt | GetEnabled
pt | GetPopupMenu
pt | DoOnShowHint
pt | DoMouseWheel
pt | DoMouseWheelDown
pt | DoMouseWheelUp
pt | DoMouseWheelHorz
pt | DoMouseWheelLeft
pt | DoMouseWheelRight
pt | VisibleChanging
pt | VisibleChanged
pt | EnabledChanging
pt | EnabledChanged
pt | AddHandler
pt | RemoveHandler
pt | DoCallNotifyHandler
pt | DoCallKeyEventHandler
pt | DoCallMouseWheelEventHandler
pt | DoContextPopup
pt | SetZOrder
pt | GetControlClassDefaultSize
pt | ColorIsStored
pt | DoAutoAdjustLayout
pt | DoFixDesignFontPPI
pt | DoScaleFontPPI
pt | GetActionLinkClass
pt | ActionChange
 | DragDrop
 | Dock
 | ManualDock
 | ManualFloat
 | ReplaceDockedControl
 | Docked
 | Dragging
 | GetAccessibleObject
 | CreateAccessibleObject
 | GetSelectedChildAccessibleObject
 | GetChildAccessibleObjectAtPos
 | ScaleDesignToForm
 | ScaleFormToDesign
 | Scale96ToForm
 | ScaleFormTo96
 | Scale96ToFont
 | ScaleFontTo96
 | ScaleScreenToFont
 | ScaleFontToScreen
 | Scale96ToScreen
 | ScaleScreenTo96
 | AdjustSize
 | AutoSizePhases
 | AutoSizeDelayed
 | AutoSizeDelayedReport
 | AutoSizeDelayedHandle
 | AnchorToNeighbour
 | AnchorParallel
 | AnchorHorizontalCenterTo
 | AnchorVerticalCenterTo
 | AnchorToCompanion
 | AnchorSame
 | AnchorAsAlign
 | AnchorClient
 | AnchoredControlCount
 | SetBounds
 | SetInitialBounds
 | SetBoundsKeepBase
 | GetPreferredSize
 | GetCanvasScaleFactor
 | GetDefaultWidth
 | GetDefaultHeight
 | GetDefaultColor
 | GetColorResolvingParent
 | GetRGBColorResolvingParent
 | GetSidePosition
 | CNPreferredSizeChanged
 | InvalidatePreferredSize
 | GetAnchorsDependingOnParent
 | DisableAutoSizing
 | EnableAutoSizing
 | UpdateBaseBounds
 | WriteLayoutDebugReport
 | AutoAdjustLayout
 | ShouldAutoAdjust
 | FixDesignFontsPPI
 | ScaleFontsPPI
 | Create
 | Destroy
 | BeforeDestruction
 | EditingDone
 | ExecuteDefaultAction
 | ExecuteCancelAction
 | BeginDrag
 | EndDrag
 | BringToFront
 | HasParent
 | GetParentComponent
 | IsParentOf
 | GetTopParent
 | IsVisible
 | IsControlVisible
 | IsEnabled
 | IsParentColor
 | IsParentFont
 | FormIsUpdating
 | IsProcessingPaintMsg
 | Hide
 | Refresh
 | Repaint
 | Invalidate
 | CheckChildClassAllowed
 | CheckNewParent
 | SendToBack
 | SetTempCursor
 | UpdateRolesForForm
 | ActiveDefaultControlChanged
 | GetTextBuf
 | GetTextLen
 | SetTextBuf
 | Perform
 | ScreenToClient
 | ClientToScreen
 | ScreenToControl
 | ControlToScreen
 | ClientToParent
 | ParentToClient
 | GetChildrenRect
 | Show
 | Update
 | HandleObjectShouldBeVisible
 | ParentDestroyingHandle
 | ParentHandlesAllocated
 | InitiateAction
 | ShowHelp
 | HasHelp
 | RemoveAllHandlersOfObject
 | AddHandlerOnResize
 | RemoveHandlerOnResize
 | AddHandlerOnChangeBounds
 | RemoveHandlerOnChangeBounds
 | AddHandlerOnVisibleChanging
 | RemoveHandlerOnVisibleChanging
 | AddHandlerOnVisibleChanged
 | RemoveHandlerOnVisibleChanged
 | AddHandlerOnEnabledChanged
 | RemoveHandlerOnEnableChanging
 | AddHandlerOnKeyDown
 | RemoveHandlerOnKeyDown
 | AddHandlerOnBeforeDestruction
 | RemoveHandlerOnBeforeDestruction
 | AddHandlerOnMouseWheel
 | RemoveHandlerOnMouseWheel
 | UseRightToLeftAlignment
 | UseRightToLeftReading
 | UseRightToLeftScrollBar
 | IsRightToLeft
TLCLComponent
pt | WSRegisterClass
pt | GetWSComponentClass
 | Create
 | Destroy
 | NewInstance
 | RemoveAllHandlersOfObject
 | IncLCLRefCount
 | DecLCLRefCount
TComponent
 | GetComObject
 | GetComponent
 | GetComponentCount
 | GetComponentIndex
 | Insert
 | ReadLeft
 | ReadTop
 | Remove
 | RemoveNotification
 | SetComponentIndex
 | SetReference
 | WriteLeft
 | WriteTop
 | ChangeName
 | DefineProperties
 | GetChildren
 | GetChildOwner
 | GetChildParent
 | GetOwner
 | Loaded
 | Loading
 | Notification
 | PaletteCreated
 | ReadState
 | SetAncestor
 | SetDesigning
 | SetDesignInstance
 | SetInline
 | SetName
 | SetChildOrder
 | SetParentComponent
 | Updating
 | Updated
 | UpdateRegistry
 | ValidateRename
 | ValidateContainer
 | ValidateInsert
 | QueryInterface
 | _AddRef
 | _Release
 | iicrGetComponent
 | GetTypeInfoCount
 | GetTypeInfo
 | GetIDsOfNames
 | Invoke
 | WriteState
 | Create
 | Destroy
 | BeforeDestruction
 | DestroyComponents
 | Destroying
 | ExecuteAction
 | FindComponent
 | FreeNotification
 | RemoveFreeNotification
 | FreeOnRelease
 | GetEnumerator
 | GetNamePath
 | GetParentComponent
 | HasParent
 | InsertComponent
 | RemoveComponent
 | SafeCallException
 | SetSubComponent
 | UpdateAction
 | IsImplementorOf
 | ReferenceInterface
TPersistent
 | AssignError
 | AssignTo
 | DefineProperties
 | GetOwner
 | Destroy
 | Assign
 | FPOAttachObserver
 | FPODetachObserver
 | FPONotifyObservers
 | GetNamePath
TObject
 | Create
 | Destroy
 | newinstance
 | FreeInstance
 | SafeCallException
 | DefaultHandler
 | Free
 | InitInstance
 | CleanupInstance
 | ClassType
 | ClassInfo
 | ClassName
 | ClassNameIs
 | ClassParent
 | InstanceSize
 | InheritsFrom
 | StringMessageTable
 | MethodAddress
 | MethodName
 | FieldAddress
 | AfterConstruction
 | BeforeDestruction
 | DefaultHandlerStr
 | Dispatch
 | DispatchStr
 | GetInterface
 | GetInterfaceByStr
 | GetInterfaceWeak
 | GetInterfaceEntry
 | GetInterfaceEntryByStr
 | GetInterfaceTable
 | UnitName
 | Equals
 | GetHashCode
 | ToString


pt | ActionChange (TControl)
 | ActiveDefaultControlChanged (TControl)
 | AddControl (TWinControl)
pt | AddHandler (TControl)
 | AddHandlerOnBeforeDestruction (TControl)
 | AddHandlerOnChangeBounds (TControl)
 | AddHandlerOnEnabledChanged (TControl)
 | AddHandlerOnKeyDown (TControl)
 | AddHandlerOnMouseWheel (TControl)
 | AddHandlerOnResize (TControl)
 | AddHandlerOnVisibleChanged (TControl)
 | AddHandlerOnVisibleChanging (TControl)
pt | AddSelectedRange (TCustomGrid)
pt | AdjustClientRect (TWinControl)
pt | AdjustClientRect (TCustomGrid)
pt | AdjustEditorBounds (TCustomGrid)
 | AdjustInnerCellRect (TCustomGrid)
 | AdjustSize (TControl)
 | AfterConstruction (TObject)
pt | AfterMoveSelection (TCustomGrid)
pt | AlignControls (TWinControl)
pt | AllAutoSized (TWinControl)
 | AnchorAsAlign (TControl)
 | AnchorClient (TControl)
 | AnchoredControlCount (TControl)
 | AnchorHorizontalCenterTo (TControl)
 | AnchorParallel (TControl)
 | AnchorSame (TControl)
pt | AnchorSideChanged (TControl)
 | AnchorToCompanion (TControl)
 | AnchorToNeighbour (TControl)
 | AnchorVerticalCenterTo (TControl)
 | Assign (TPersistent)
 | AssignError (TPersistent)
 | AssignTo (TPersistent)
pt | AssignTo (TControl)
pt | AssignTo (TCustomGrid)
pt | AutoAdjustColumn (TCustomGrid)
 | AutoAdjustColumns (TCustomGrid)
 | AutoAdjustLayout (TControl)
 | AutoAdjustLayout (TWinControl)
 | AutoSizeDelayed (TControl)
 | AutoSizeDelayed (TWinControl)
 | AutoSizeDelayedHandle (TControl)
 | AutoSizeDelayedHandle (TWinControl)
 | AutoSizeDelayedReport (TControl)
 | AutoSizeDelayedReport (TWinControl)
 | AutoSizePhases (TControl)
 | AutoSizePhases (TWinControl)
 | BeforeDestruction (TObject)
 | BeforeDestruction (TComponent)
 | BeforeDestruction (TControl)
pt | BeforeDragStart (TControl)
pt | BeforeMoveSelection (TCustomGrid)
pt | BeginAutoDrag (TControl)
pt | BeginAutoDrag (TCustomGrid)
pt | BeginAutoSizing (TControl)
 | BeginDrag (TControl)
 | BeginUpdate (TCustomGrid)
 | BeginUpdateBounds (TWinControl)
pt | BoundsChanged (TControl)
pt | BoxRect (TCustomGrid)
 | BringToFront (TControl)
 | BroadCast (TWinControl)
 | BrushCreated (TWinControl)
pt | CacheMouseDown (TCustomGrid)
pt | CalcAutoSizeColumn (TCustomGrid)
pt | CalcCellExtent (TCustomGrid)
pt | CalcFocusRect (TCustomGrid)
pt | CalcMaxTopLeft (TCustomGrid)
pt | CalcScrollbarsRange (TCustomGrid)
pt | CalculateDockSizes (TControl)
pt | CalculatePreferredSize (TControl)
pt | CalculatePreferredSize (TWinControl)
pt | CalculatePreferredSize (TCustomGrid)
pt | CanAutoSize (TControl)
pt | CanEditShow (TCustomGrid)
 | CanFocus (TWinControl)
pt | CanGridAcceptKey (TCustomGrid)
 | CanSetFocus (TWinControl)
pt | CanTab (TControl)
pt | CanTab (TWinControl)
pt | CaptureChanged (TControl)
pt | CellClick (TCustomGrid)
pt | CellExtent (TCustomGrid)
 | CellRect (TCustomGrid)
 | CellToGridZone (TCustomGrid)
pt | ChangeBounds (TControl)
pt | Changed (TControl)
 | ChangeName (TComponent)
pt | ChangeScale (TControl)
pt | ChangeScale (TWinControl)
 | CheckChildClassAllowed (TControl)
pt | CheckLimits (TCustomGrid)
pt | CheckLimitsWithError (TCustomGrid)
pt | CheckNewCachedSizes (TCustomGrid)
 | CheckNewParent (TControl)
pt | CheckOnChangeBounds (TControl)
 | CheckPosition (TCustomGrid)
pt | ChildClassAllowed (TControl)
pt | ChildClassAllowed (TWinControl)
pt | ChildHandlesCreated (TWinControl)
pt | ChildKey (TWinControl)
 | ClassInfo (TObject)
 | ClassName (TObject)
 | ClassNameIs (TObject)
 | ClassParent (TObject)
 | ClassType (TObject)
 | CleanupInstance (TObject)
 | Clear (TCustomGrid)
 | ClearCols (TCustomGrid)
 | ClearRows (TCustomGrid)
 | ClearSelections (TCustomGrid)
pt | Click (TControl)
pt | Click (TCustomGrid)
 | ClientRectNeedsInterfaceUpdate (TWinControl)
 | ClientToParent (TControl)
 | ClientToScreen (TControl)
pt | CMBiDiModeChanged (TControl)
pt | CMBiDiModeChanged (TWinControl)
pt | CMBiDiModeChanged (TCustomGrid)
pt | CMBorderChanged (TWinControl)
pt | CMChanged (TControl)
pt | CMCursorChanged (TControl)
pt | CMDoubleBufferedChanged (TWinControl)
pt | CMEnabledChanged (TControl)
pt | CMEnabledChanged (TWinControl)
pt | CMEnter (TWinControl)
pt | CMExit (TWinControl)
pt | CMHintShow (TControl)
pt | CMHitTest (TControl)
pt | CMMouseEnter (TControl)
pt | CMMouseEnter (TCustomGrid)
pt | CMMouseLeave (TControl)
pt | CMMouseLeave (TCustomGrid)
pt | CMParentBiDiModeChanged (TControl)
pt | CMParentColorChanged (TControl)
pt | CMParentDoubleBufferedChanged (TWinControl)
pt | CMParentFontChanged (TControl)
pt | CMParentShowHintChanged (TControl)
pt | CMShowHintChanged (TWinControl)
pt | CMShowingChanged (TWinControl)
pt | CMSysFontChanged (TControl)
pt | CMTextChanged (TControl)
pt | CMVisibleChanged (TControl)
pt | CMVisibleChanged (TWinControl)
pt | CNChar (TWinControl)
pt | CNKeyDown (TWinControl)
pt | CNKeyUp (TWinControl)
 | CNPreferredSizeChanged (TControl)
pt | CNSysKeyDown (TWinControl)
pt | CNSysKeyUp (TWinControl)
pt | ColorIsStored (TControl)
pt | ColRowDeleted (TCustomGrid)
pt | ColRowExchanged (TCustomGrid)
pt | ColRowInserted (TCustomGrid)
pt | ColRowMoved (TCustomGrid)
pt | ColRowToOffset (TCustomGrid)
pt | ColumnFromGridColumn (TCustomGrid)
pt | ColumnIndexFromGridColumn (TCustomGrid)
pt | ColumnsChanged (TCustomGrid)
pt | ColWidthsChanged (TCustomGrid)
pt | ConstrainedResize (TControl)
 | ContainsControl (TWinControl)
 | ControlAtPos (TWinControl)
pt | ControlKeyDown (TWinControl)
pt | ControlKeyUp (TWinControl)
pt | ControlsAligned (TWinControl)
 | ControlToScreen (TControl)
 | Create (TObject)
 | Create (TComponent)
 | Create (TLCLComponent)
 | Create (TControl)
 | Create (TWinControl)
 | Create (TCustomControl)
 | Create (TCustomGrid)
 | CreateAccessibleObject (TControl)
pt | CreateBrush (TWinControl)
pt | CreateColumns (TCustomGrid)
pt | CreateControlBorderSpacing (TControl)
pt | CreateDockManager (TWinControl)
pt | CreateFloatingDockSite (TControl)
pt | CreateHandle (TWinControl)
pt | CreateParams (TWinControl)
pt | CreateParams (TCustomGrid)
 | CreateParented (TWinControl)
 | CreateParentedControl (TWinControl)
pt | CreateSubClass (TWinControl)
pt | CreateWnd (TWinControl)
pt | CreateWnd (TCustomGrid)
pt | CustomAlignInsertBefore (TWinControl)
pt | CustomAlignPosition (TWinControl)
pt | DblClick (TControl)
pt | DblClick (TCustomGrid)
 | DecLCLRefCount (TLCLComponent)
pt | DefaultColWidthIsStored (TCustomGrid)
 | DefaultHandler (TObject)
 | DefaultHandler (TWinControl)
 | DefaultHandlerStr (TObject)
pt | DefaultRowHeightIsStored (TCustomGrid)
 | DefineProperties (TPersistent)
 | DefineProperties (TComponent)
pt | DefineProperties (TControl)
pt | DefineProperties (TCustomGrid)
 | Destroy (TObject)
 | Destroy (TPersistent)
 | Destroy (TComponent)
 | Destroy (TLCLComponent)
 | Destroy (TControl)
 | Destroy (TWinControl)
 | Destroy (TCustomControl)
 | Destroy (TCustomGrid)
 | DestroyComponents (TComponent)
pt | DestroyHandle (TWinControl)
pt | DestroyHandle (TCustomGrid)
 | Destroying (TComponent)
pt | DestroyWnd (TWinControl)
pt | DestroyWnd (TCustomControl)
pt | DialogChar (TControl)
pt | DialogChar (TWinControl)
pt | DialogChar (TCustomGrid)
 | DisableAlign (TWinControl)
 | DisableAutoSizing (TControl)
 | Dispatch (TObject)
 | DispatchStr (TObject)
pt | DoAddDockClient (TWinControl)
 | DoAdjustClientRectChange (TWinControl)
pt | DoAlignChildControls (TWinControl)
pt | DoAllAutoSize (TControl)
pt | DoAllAutoSize (TWinControl)
pt | DoAutoAdjustLayout (TControl)
pt | DoAutoAdjustLayout (TCustomGrid)
pt | DoAutoSize (TControl)
pt | DoAutoSize (TWinControl)
pt | DoBorderSpacingChange (TControl)
pt | DoCallKeyEventHandler (TControl)
pt | DoCallMouseWheelEventHandler (TControl)
pt | DoCallNotifyHandler (TControl)
pt | DoChildSizingChange (TWinControl)
 | Dock (TControl)
 | DockDrop (TWinControl)
 | Docked (TControl)
pt | DockOver (TWinControl)
pt | DockTrackNoTarget (TControl)
pt | DoCompareCells (TCustomGrid)
pt | DoConstraintsChange (TControl)
pt | DoConstraintsChange (TWinControl)
pt | DoContextPopup (TControl)
pt | DoCopyToClipboard (TCustomGrid)
pt | DoCutToClipboard (TCustomGrid)
pt | DoDock (TControl)
pt | DoDockClientMsg (TWinControl)
pt | DoDockOver (TWinControl)
pt | DoDragMsg (TControl)
pt | DoDragMsg (TWinControl)
pt | DoEditButtonClick (TCustomGrid)
pt | DoEditorHide (TCustomGrid)
pt | DoEditorShow (TCustomGrid)
pt | DoEndDock (TControl)
pt | DoEndDrag (TControl)
pt | DoEnter (TWinControl)
pt | DoEnter (TCustomGrid)
pt | DoExit (TWinControl)
pt | DoExit (TCustomGrid)
pt | DoFixDesignFontPPI (TControl)
pt | DoFlipChildren (TWinControl)
pt | DoFloatMsg (TControl)
pt | DoFloatMsg (TWinControl)
pt | DoGetDockCaption (TWinControl)
pt | DoKeyDownBeforeInterface (TWinControl)
pt | DoKeyPress (TWinControl)
pt | DoKeyUpBeforeInterface (TWinControl)
pt | DoLoadColumn (TCustomGrid)
pt | DoMouseWheel (TControl)
pt | DoMouseWheel (TCustomGrid)
pt | DoMouseWheelDown (TControl)
pt | DoMouseWheelDown (TCustomGrid)
pt | DoMouseWheelHorz (TControl)
pt | DoMouseWheelLeft (TControl)
pt | DoMouseWheelLeft (TCustomGrid)
pt | DoMouseWheelRight (TControl)
pt | DoMouseWheelRight (TCustomGrid)
pt | DoMouseWheelUp (TControl)
pt | DoMouseWheelUp (TCustomGrid)
pt | DoOnChangeBounds (TControl)
pt | DoOnChangeBounds (TCustomGrid)
pt | DoOnParentHandleDestruction (TControl)
pt | DoOnResize (TControl)
pt | DoOnShowHint (TControl)
pt | DoOPDeleteColRow (TCustomGrid)
pt | DoOPExchangeColRow (TCustomGrid)
pt | DoOPInsertColRow (TCustomGrid)
pt | DoOPMoveColRow (TCustomGrid)
pt | DoPasteFromClipboard (TCustomGrid)
pt | DoPrepareCanvas (TCustomGrid)
pt | DoRemainingKeyDown (TWinControl)
pt | DoRemainingKeyUp (TWinControl)
pt | DoRemoveDockClient (TWinControl)
pt | DoSaveColumn (TCustomGrid)
pt | DoScaleFontPPI (TControl)
pt | DoSendBoundsToInterface (TWinControl)
pt | DoSendShowHideToInterface (TWinControl)
pt | DoSetBounds (TControl)
pt | DoSetBounds (TWinControl)
pt | DoSetBounds (TCustomGrid)
pt | DoStartDock (TControl)
pt | DoStartDrag (TControl)
pt | DoUnDock (TWinControl)
pt | DoUndockClientMsg (TWinControl)
pt | DoUTF8KeyPress (TWinControl)
pt | DoUTF8KeyPress (TCustomGrid)
pt | DragCanceled (TControl)
 | DragDrop (TControl)
 | Dragging (TControl)
pt | DragOver (TControl)
pt | DrawAllRows (TCustomGrid)
pt | DrawBorder (TCustomGrid)
pt | DrawButtonCell (TCustomGrid)
pt | DrawCell (TCustomGrid)
pt | DrawCellGrid (TCustomGrid)
pt | DrawCellText (TCustomGrid)
pt | DrawColRowMoving (TCustomGrid)
pt | DrawColumnText (TCustomGrid)
pt | DrawColumnTitleImage (TCustomGrid)
pt | DrawEdges (TCustomGrid)
pt | DrawFillRect (TCustomGrid)
pt | DrawFocusRect (TCustomGrid)
pt | DrawGridCheckboxBitmaps (TCustomGrid)
pt | DrawRow (TCustomGrid)
pt | DrawTextInCell (TCustomGrid)
pt | DrawThemedCell (TCustomGrid)
pt | EditButtonClicked (TCustomGrid)
pt | EditingAllowed (TCustomGrid)
 | EditingDone (TControl)
 | EditingDone (TCustomGrid)
 | EditorByStyle (TCustomGrid)
pt | EditorCanAcceptKey (TCustomGrid)
pt | EditordoGetValue (TCustomGrid)
pt | EditordoResetValue (TCustomGrid)
pt | EditordoSetValue (TCustomGrid)
pt | EditorHide (TCustomGrid)
pt | EditorIsReadOnly (TCustomGrid)
 | EditorKeyDown (TCustomGrid)
 | EditorKeyPress (TCustomGrid)
 | EditorKeyUp (TCustomGrid)
pt | EditorLocked (TCustomGrid)
pt | EditorSelectAll (TCustomGrid)
pt | EditorShow (TCustomGrid)
pt | EditorShowInCell (TCustomGrid)
 | EditorTextChanged (TCustomGrid)
pt | EditorWidthChanged (TCustomGrid)
 | EnableAlign (TWinControl)
 | EnableAutoSizing (TControl)
pt | EnabledChanged (TControl)
pt | EnabledChanging (TControl)
pt | EndAutoSizing (TControl)
 | EndDrag (TControl)
 | EndUpdate (TCustomGrid)
 | EndUpdateBounds (TWinControl)
 | Equals (TObject)
 | EraseBackground (TWinControl)
 | EraseBackground (TCustomGrid)
 | ExecuteAction (TComponent)
 | ExecuteCancelAction (TControl)
 | ExecuteDefaultAction (TControl)
 | FieldAddress (TObject)
pt | FinalizeWnd (TWinControl)
 | FindChildControl (TWinControl)
 | FindComponent (TComponent)
pt | FindNextControl (TWinControl)
pt | FirstGridColumn (TCustomGrid)
 | FixDesignFontsPPI (TControl)
pt | FixedGrid (TCustomGrid)
pt | FixupTabList (TWinControl)
 | FlipChildren (TWinControl)
pt | FlipPoint (TCustomGrid)
pt | FlipRect (TCustomGrid)
pt | FlipX (TCustomGrid)
 | Focused (TWinControl)
 | Focused (TCustomGrid)
pt | FontChanged (TControl)
pt | FontChanged (TWinControl)
pt | FontChanged (TCustomControl)
pt | FontChanged (TCustomGrid)
pt | ForeignAnchorSideChanged (TControl)
pt | FormEndUpdated (TControl)
pt | FormEndUpdated (TWinControl)
 | FormIsUpdating (TControl)
 | FPOAttachObserver (TPersistent)
 | FPODetachObserver (TPersistent)
 | FPONotifyObservers (TPersistent)
 | Free (TObject)
 | FreeInstance (TObject)
 | FreeNotification (TComponent)
 | FreeOnRelease (TComponent)
 | GetAccessibleObject (TControl)
pt | GetAction (TControl)
pt | GetActionLinkClass (TControl)
pt | GetAdjustedLogicalClientRect (TWinControl)
 | GetAnchorsDependingOnParent (TControl)
pt | GetAutoFillColumnInfo (TCustomGrid)
pt | GetBorderStyle (TWinControl)
pt | GetCachedText (TControl)
 | GetCanvasScaleFactor (TControl)
pt | GetCellHintText (TCustomGrid)
pt | GetCells (TCustomGrid)
 | GetChildAccessibleObjectAtPos (TControl)
 | GetChildOwner (TComponent)
 | GetChildParent (TComponent)
 | GetChildren (TComponent)
pt | GetChildren (TWinControl)
 | GetChildrenRect (TControl)
 | GetChildrenRect (TWinControl)
pt | GetClientOrigin (TControl)
pt | GetClientOrigin (TWinControl)
pt | GetClientRect (TControl)
pt | GetClientRect (TWinControl)
pt | GetClientScrollOffset (TControl)
 | GetColorResolvingParent (TControl)
pt | GetColumnAlignment (TCustomGrid)
pt | GetColumnColor (TCustomGrid)
pt | GetColumnFont (TCustomGrid)
pt | GetColumnLayout (TCustomGrid)
pt | GetColumnReadonly (TCustomGrid)
pt | GetColumnTitle (TCustomGrid)
pt | GetColumnWidth (TCustomGrid)
 | GetComObject (TComponent)
 | GetComponent (TComponent)
 | GetComponentCount (TComponent)
 | GetComponentIndex (TComponent)
pt | GetControlClassDefaultSize (TControl)
 | GetControlIndex (TWinControl)
pt | GetControlOrigin (TControl)
pt | GetControlOrigin (TWinControl)
pt | GetCursor (TControl)
 | GetDefaultColor (TControl)
pt | GetDefaultColumnAlignment (TCustomGrid)
pt | GetDefaultColumnLayout (TCustomGrid)
pt | GetDefaultColumnReadOnly (TCustomGrid)
pt | GetDefaultColumnTitle (TCustomGrid)
pt | GetDefaultColumnWidth (TCustomGrid)
pt | GetDefaultDockCaption (TControl)
pt | GetDefaultEditor (TCustomGrid)
 | GetDefaultHeight (TControl)
pt | GetDefaultRowHeight (TCustomGrid)
 | GetDefaultWidth (TControl)
pt | GetDeltaMoveNext (TCustomGrid)
pt | GetDeviceContext (TControl)
pt | GetDeviceContext (TWinControl)
 | GetDockCaption (TWinControl)
pt | GetDockEdge (TControl)
pt | GetDragImages (TControl)
pt | GetEditMask (TCustomGrid)
pt | GetEditText (TCustomGrid)
pt | GetEnabled (TControl)
 | GetEnumerator (TComponent)
 | GetEnumeratorControls (TWinControl)
 | GetEnumeratorControlsReverse (TWinControl)
pt | GetFirstVisibleColumn (TCustomGrid)
pt | GetFirstVisibleRow (TCustomGrid)
pt | GetFixedcolor (TCustomGrid)
pt | GetFloating (TControl)
pt | GetFloatingDockSiteClass (TControl)
pt | GetGridDrawState (TCustomGrid)
 | GetHashCode (TObject)
 | GetIDsOfNames (TComponent)
pt | GetImageForCheckBox (TCustomGrid)
 | GetInterface (TObject)
 | GetInterfaceByStr (TObject)
 | GetInterfaceEntry (TObject)
 | GetInterfaceEntryByStr (TObject)
 | GetInterfaceTable (TObject)
 | GetInterfaceWeak (TObject)
pt | GetIsCellSelected (TCustomGrid)
pt | GetIsCellTitle (TCustomGrid)
pt | GetLastVisibleColumn (TCustomGrid)
pt | GetLastVisibleRow (TCustomGrid)
pt | GetLogicalClientRect (TControl)
pt | GetMouseCapture (TControl)
pt | GetMouseCapture (TWinControl)
pt | GetMousePosFromMessage (TControl)
 | GetNamePath (TPersistent)
 | GetNamePath (TComponent)
 | GetOwner (TPersistent)
 | GetOwner (TComponent)
pt | GetPalette (TControl)
pt | GetParentBackground (TWinControl)
 | GetParentComponent (TComponent)
 | GetParentComponent (TControl)
pt | GetParentHandle (TWinControl)
pt | GetPopupMenu (TControl)
 | GetPreferredSize (TControl)
pt | GetPreferredSizeClientFrame (TWinControl)
pt | GetPxTopLeft (TCustomGrid)
 | GetRGBColorResolvingParent (TControl)
pt | GetSBRanges (TCustomGrid)
pt | GetSBVisibility (TCustomGrid)
pt | GetScrollBarPosition (TCustomGrid)
pt | GetScrolledClientRect (TControl)
 | GetSelectedChildAccessibleObject (TControl)
pt | GetSelectedColor (TCustomGrid)
pt | GetSelectedState (TCustomGrid)
 | GetSidePosition (TControl)
pt | GetSiteInfo (TWinControl)
pt | GetSmoothScroll (TCustomGrid)
 | GetTabOrderList (TWinControl)
 | GetTextBuf (TControl)
 | GetTextLen (TControl)
 | GetTextLen (TWinControl)
pt | GetTitleShowPrefix (TCustomGrid)
 | GetTopParent (TControl)
pt | GetTopParentHandle (TWinControl)
pt | GetTruncCellHintText (TCustomGrid)
 | GetTypeInfo (TComponent)
 | GetTypeInfoCount (TComponent)
pt | GetWSComponentClass (TLCLComponent)
pt | GridColumnFromColumnIndex (TCustomGrid)
pt | GridMouseWheel (TCustomGrid)
 | HandleAllocated (TWinControl)
 | HandleNeeded (TWinControl)
 | HandleObjectShouldBeVisible (TControl)
 | HasHelp (TControl)
 | HasMultiSelection (TCustomGrid)
 | HasParent (TComponent)
 | HasParent (TControl)
pt | HeaderClick (TCustomGrid)
pt | HeaderSized (TCustomGrid)
pt | HeaderSizing (TCustomGrid)
pt | HeightIsAnchored (TControl)
 | Hide (TControl)
pt | HideCellHintWindow (TCustomGrid)
 | iicrGetComponent (TComponent)
 | IncLCLRefCount (TLCLComponent)
 | InheritsFrom (TObject)
pt | InitializeWnd (TWinControl)
 | InitiateAction (TControl)
 | InitInstance (TObject)
 | Insert (TComponent)
 | InsertComponent (TComponent)
 | InsertControl (TWinControl)
 | InstanceSize (TObject)
pt | InternalSetColCount (TCustomGrid)
 | IntfGetDropFilesTarget (TWinControl)
 | IntfUTF8KeyPress (TWinControl)
 | Invalidate (TControl)
 | Invalidate (TWinControl)
 | Invalidate (TCustomGrid)
pt | InvalidateBoundsRealized (TWinControl)
pt | InvalidateCell (TCustomGrid)
 | InvalidateClientRectCache (TWinControl)
 | InvalidateCol (TCustomGrid)
pt | InvalidateControl (TControl)
pt | InvalidateFocused (TCustomGrid)
pt | InvalidateFromCol (TCustomGrid)
pt | InvalidateGrid (TCustomGrid)
pt | InvalidatePreferredChildSizes (TWinControl)
 | InvalidatePreferredSize (TControl)
 | InvalidateRange (TCustomGrid)
 | InvalidateRow (TCustomGrid)
 | Invoke (TComponent)
pt | IsAParentAligning (TControl)
pt | IsBorderSpacingInnerBorderStored (TControl)
pt | IsCaptionStored (TControl)
 | IsCellVisible (TCustomGrid)
pt | IsClientHeightStored (TControl)
pt | IsClientHeightStored (TWinControl)
pt | IsClientWidthStored (TControl)
pt | IsClientWidthStored (TWinControl)
pt | IsControlMouseMsg (TWinControl)
 | IsControlVisible (TControl)
pt | IsEmptyRow (TCustomGrid)
 | IsEnabled (TControl)
 | IsFixedCellVisible (TCustomGrid)
 | IsImplementorOf (TComponent)
pt | IsMouseOverCellButton (TCustomGrid)
 | IsParentColor (TControl)
 | IsParentFont (TControl)
 | IsParentOf (TControl)
 | IsProcessingPaintMsg (TControl)
 | IsRightToLeft (TControl)
 | IsVisible (TControl)
pt | KeyDown (TWinControl)
pt | KeyDown (TCustomGrid)
pt | KeyDownAfterInterface (TWinControl)
pt | KeyDownBeforeInterface (TWinControl)
pt | KeyPress (TWinControl)
pt | KeyPress (TCustomGrid)
pt | KeyUp (TWinControl)
pt | KeyUp (TCustomGrid)
pt | KeyUpAfterInterface (TWinControl)
pt | KeyUpBeforeInterface (TWinControl)
pt | LMCaptureChanged (TControl)
pt | LoadContent (TCustomGrid)
 | Loaded (TComponent)
pt | Loaded (TControl)
pt | Loaded (TWinControl)
pt | Loaded (TCustomGrid)
pt | LoadedAll (TControl)
 | LoadFromFile (TCustomGrid)
 | LoadFromStream (TCustomGrid)
pt | LoadGridOptions (TCustomGrid)
 | Loading (TComponent)
pt | LockEditor (TCustomGrid)
 | LockRealizeBounds (TWinControl)
pt | MainWndProc (TWinControl)
 | ManualDock (TControl)
 | ManualFloat (TControl)
 | MethodAddress (TObject)
 | MethodName (TObject)
pt | MouseButtonAllowed (TCustomGrid)
 | MouseCoord (TCustomGrid)
pt | MouseDown (TControl)
pt | MouseDown (TCustomGrid)
pt | MouseEnter (TControl)
pt | MouseLeave (TControl)
pt | MouseMove (TControl)
pt | MouseMove (TCustomGrid)
 | MouseToCell (TCustomGrid)
 | MouseToGridZone (TCustomGrid)
 | MouseToLogcell (TCustomGrid)
pt | MouseUp (TControl)
pt | MouseUp (TCustomGrid)
pt | MoveExtend (TCustomGrid)
pt | MoveNextAuto (TCustomGrid)
pt | MoveNextSelectable (TCustomGrid)
pt | MoveSelection (TCustomGrid)
 | newinstance (TObject)
 | NewInstance (TLCLComponent)
 | Notification (TComponent)
pt | Notification (TControl)
 | NotifyControls (TWinControl)
pt | OffsetToColRow (TCustomGrid)
pt | Paint (TCustomControl)
pt | Paint (TCustomGrid)
pt | PaintControls (TWinControl)
pt | PaintHandler (TWinControl)
 | PaintTo (TWinControl)
pt | PaintWindow (TWinControl)
pt | PaintWindow (TCustomControl)
 | PaletteCreated (TComponent)
 | ParentDestroyingHandle (TControl)
pt | ParentFontChanged (TControl)
pt | ParentFormHandleInitialized (TControl)
pt | ParentFormHandleInitialized (TWinControl)
 | ParentHandlesAllocated (TControl)
 | ParentHandlesAllocated (TWinControl)
 | ParentToClient (TControl)
 | Perform (TControl)
 | PerformTab (TWinControl)
pt | PickListItemSelected (TCustomGrid)
pt | PositionDockRect (TControl)
pt | PrepareCanvas (TCustomGrid)
pt | PrepareCellHints (TCustomGrid)
pt | QuadClick (TControl)
 | QueryInterface (TComponent)
 | ReadLeft (TComponent)
 | ReadState (TComponent)
pt | ReadState (TControl)
 | ReadTop (TComponent)
pt | RealGetText (TControl)
pt | RealGetText (TWinControl)
 | ReAlign (TWinControl)
pt | RealizeBounds (TWinControl)
pt | RealizeBoundsRecursive (TWinControl)
pt | RealSetText (TControl)
pt | RealSetText (TWinControl)
 | ReferenceInterface (TComponent)
 | Refresh (TControl)
pt | ReloadDockedControl (TWinControl)
 | Remove (TComponent)
 | RemoveAllHandlersOfObject (TLCLComponent)
 | RemoveAllHandlersOfObject (TControl)
 | RemoveComponent (TComponent)
 | RemoveControl (TWinControl)
pt | RemoveFocus (TWinControl)
 | RemoveFreeNotification (TComponent)
pt | RemoveHandler (TControl)
 | RemoveHandlerOnBeforeDestruction (TControl)
 | RemoveHandlerOnChangeBounds (TControl)
 | RemoveHandlerOnEnableChanging (TControl)
 | RemoveHandlerOnKeyDown (TControl)
 | RemoveHandlerOnMouseWheel (TControl)
 | RemoveHandlerOnResize (TControl)
 | RemoveHandlerOnVisibleChanged (TControl)
 | RemoveHandlerOnVisibleChanging (TControl)
 | RemoveNotification (TComponent)
 | Repaint (TControl)
 | Repaint (TWinControl)
 | ReplaceDockedControl (TControl)
pt | RequestAlign (TControl)
pt | ResetDefaultColWidths (TCustomGrid)
pt | ResetEditor (TCustomGrid)
pt | ResetLastMove (TCustomGrid)
pt | ResetOffset (TCustomGrid)
pt | ResetSizes (TCustomGrid)
pt | Resize (TControl)
pt | ResizeColumn (TCustomGrid)
pt | ResizeRow (TCustomGrid)
pt | RowHeightsChanged (TCustomGrid)
pt | RTLSign (TCustomGrid)
 | SafeCallException (TObject)
 | SafeCallException (TComponent)
pt | SaveContent (TCustomGrid)
pt | SaveGridOptions (TCustomGrid)
 | SaveToFile (TCustomGrid)
 | SaveToStream (TCustomGrid)
 | Scale96ToFont (TControl)
 | Scale96ToForm (TControl)
 | Scale96ToScreen (TControl)
 | ScaleBy (TWinControl)
pt | ScaleConstraints (TControl)
pt | ScaleControls (TWinControl)
 | ScaleDesignToForm (TControl)
 | ScaleFontsPPI (TControl)
 | ScaleFontTo96 (TControl)
 | ScaleFontToScreen (TControl)
 | ScaleFormTo96 (TControl)
 | ScaleFormToDesign (TControl)
 | ScaleScreenTo96 (TControl)
 | ScaleScreenToFont (TControl)
 | ScreenToClient (TControl)
 | ScreenToControl (TControl)
pt | ScrollBarAutomatic (TCustomGrid)
pt | ScrollBarIsVisible (TCustomGrid)
pt | ScrollBarPage (TCustomGrid)
pt | ScrollBarPosition (TCustomGrid)
pt | ScrollBarRange (TCustomGrid)
pt | ScrollBarShow (TCustomGrid)
 | ScrollBy (TWinControl)
pt | ScrollBy (TCustomGrid)
 | ScrollBy_WS (TWinControl)
pt | SelectCell (TCustomGrid)
pt | SelectEditor (TCustomGrid)
pt | SelectFirst (TWinControl)
 | SelectNext (TWinControl)
pt | SendDialogChar (TWinControl)
pt | SendMoveSizeMessages (TControl)
pt | SendMoveSizeMessages (TWinControl)
 | SendToBack (TControl)
pt | SetAction (TControl)
pt | SetAlign (TControl)
 | SetAncestor (TComponent)
pt | SetAnchors (TControl)
pt | SetAutoSize (TControl)
pt | SetBiDiMode (TControl)
pt | SetBorderStyle (TWinControl)
pt | SetBorderStyle (TCustomGrid)
 | SetBounds (TControl)
 | SetBounds (TWinControl)
 | SetBoundsKeepBase (TControl)
pt | SetCanvasFont (TCustomGrid)
 | SetChildOrder (TComponent)
pt | SetChildZPosition (TWinControl)
pt | SetColor (TControl)
pt | SetColor (TWinControl)
pt | SetColor (TCustomControl)
pt | SetColor (TCustomGrid)
pt | SetColRow (TCustomGrid)
 | SetComponentIndex (TComponent)
 | SetControlIndex (TWinControl)
pt | SetCursor (TControl)
 | SetDesigning (TComponent)
 | SetDesignInstance (TComponent)
pt | SetDockManager (TWinControl)
pt | SetDragMode (TControl)
pt | SetEditText (TCustomGrid)
pt | SetEnabled (TControl)
pt | SetFixedcolor (TCustomGrid)
pt | SetFixedCols (TCustomGrid)
pt | SetFixedRows (TCustomGrid)
 | SetFocus (TWinControl)
 | SetFocus (TCustomGrid)
pt | SetHint (TControl)
 | SetInitialBounds (TControl)
 | SetInline (TComponent)
 | SetName (TComponent)
pt | SetName (TControl)
pt | SetParent (TControl)
pt | SetParentBackground (TWinControl)
pt | SetParentBiDiMode (TControl)
 | SetParentComponent (TComponent)
pt | SetParentComponent (TControl)
pt | SetRawColWidths (TCustomGrid)
 | SetReference (TComponent)
pt | SetSelectedColor (TCustomGrid)
 | SetShape (TWinControl)
 | SetSubComponent (TComponent)
 | SetTempCursor (TControl)
 | SetTempCursor (TWinControl)
 | SetTextBuf (TControl)
pt | SetVisible (TControl)
pt | SetZOrder (TControl)
 | ShouldAutoAdjust (TControl)
 | Show (TControl)
pt | ShowCellHintWindow (TCustomGrid)
pt | ShowControl (TWinControl)
 | ShowHelp (TControl)
pt | SizeChanged (TCustomGrid)
pt | Sort (TCustomGrid)
pt | StartPushCell (TCustomGrid)
 | StringMessageTable (TObject)
pt | TextChanged (TControl)
pt | TopLeftChanged (TCustomGrid)
 | ToString (TObject)
pt | TripleClick (TControl)
pt | TryMoveSelection (TCustomGrid)
 | UnitName (TObject)
pt | UnLockEditor (TCustomGrid)
 | UnlockRealizeBounds (TWinControl)
pt | UnprepareCellHints (TCustomGrid)
 | Update (TControl)
 | Update (TWinControl)
 | UpdateAction (TComponent)
pt | UpdateAnchorRules (TControl)
 | UpdateBaseBounds (TControl)
pt | UpdateBorderStyle (TCustomGrid)
pt | UpdateControlState (TWinControl)
 | Updated (TComponent)
 | UpdateDockCaption (TWinControl)
pt | UpdateHorzScrollBar (TCustomGrid)
pt | UpdateMouseCursor (TControl)
 | UpdateRegistry (TComponent)
 | UpdateRolesForForm (TControl)
pt | UpdateSelectionRange (TCustomGrid)
pt | UpdateShowing (TWinControl)
pt | UpdateVertScrollbar (TCustomGrid)
 | Updating (TComponent)
 | UseRightToLeftAlignment (TControl)
 | UseRightToLeftReading (TControl)
 | UseRightToLeftScrollBar (TControl)
pt | UTF8KeyPress (TWinControl)
 | ValidateContainer (TComponent)
pt | ValidateEntry (TCustomGrid)
 | ValidateInsert (TComponent)
 | ValidateRename (TComponent)
pt | VisibleChanged (TControl)
pt | VisibleChanging (TControl)
pt | VisualChange (TCustomGrid)
pt | WidthIsAnchored (TControl)
pt | WMCancelMode (TControl)
pt | WMChar (TWinControl)
pt | WMContextMenu (TControl)
pt | WMContextMenu (TWinControl)
pt | WMDestroy (TWinControl)
pt | WMEnter (TWinControl)
pt | WMEraseBkgnd (TWinControl)
pt | WMExit (TWinControl)
pt | WMHScroll (TCustomGrid)
pt | WMKeyDown (TWinControl)
pt | WMKeyUp (TWinControl)
pt | WMKillFocus (TWinControl)
pt | WMKillFocus (TCustomGrid)
pt | WMLButtonDBLCLK (TControl)
pt | WMLButtonDown (TControl)
pt | WMLButtonQuadCLK (TControl)
pt | WMLButtonTripleCLK (TControl)
pt | WMLButtonUp (TControl)
pt | WMMButtonDBLCLK (TControl)
pt | WMMButtonDown (TControl)
pt | WMMButtonQuadCLK (TControl)
pt | WMMButtonTripleCLK (TControl)
pt | WMMButtonUp (TControl)
pt | WMMouseHWheel (TControl)
pt | WMMouseMove (TControl)
pt | WMMouseWheel (TControl)
pt | WMMove (TControl)
pt | WMMove (TWinControl)
pt | WMNotify (TWinControl)
pt | WMPaint (TWinControl)
pt | WMPaint (TCustomControl)
pt | WMRButtonDBLCLK (TControl)
pt | WMRButtonDown (TControl)
pt | WMRButtonQuadCLK (TControl)
pt | WMRButtonTripleCLK (TControl)
pt | WMRButtonUp (TControl)
pt | WMSetFocus (TWinControl)
pt | WMSetFocus (TCustomGrid)
pt | WMShowWindow (TWinControl)
pt | WMSize (TControl)
pt | WMSize (TWinControl)
pt | WMSize (TCustomGrid)
pt | WMSysChar (TWinControl)
pt | WMSysKeyDown (TWinControl)
pt | WMSysKeyUp (TWinControl)
pt | WMVScroll (TCustomGrid)
pt | WMWindowPosChanged (TControl)
pt | WMWindowPosChanged (TWinControl)
pt | WMXButtonDBLCLK (TControl)
pt | WMXButtonDown (TControl)
pt | WMXButtonQuadCLK (TControl)
pt | WMXButtonTripleCLK (TControl)
pt | WMXButtonUp (TControl)
pt | WndProc (TControl)
pt | WndProc (TWinControl)
pt | WndProc (TCustomGrid)
 | WriteLayoutDebugReport (TControl)
 | WriteLayoutDebugReport (TWinControl)
 | WriteLeft (TComponent)
 | WriteState (TComponent)
 | WriteTop (TComponent)
pt | WSRegisterClass (TLCLComponent)
pt | WSRegisterClass (TControl)
pt | WSRegisterClass (TWinControl)
pt | WSRegisterClass (TCustomControl)
pt | WSRegisterClass (TCustomGrid)
pt | WSSetText (TWinControl)
 | _AddRef (TComponent)
 | _Release (TComponent)


TCustomGrid
pt | OnAfterSelection
pt | OnBeforeSelection
pt | OnCheckboxToggled
pt | OnCompareCells
pt | OnPrepareCanvas
pt | OnDrawCell
pt | OnEditButtonClick
pt | OnButtonClick
pt | OnPickListSelect
pt | OnSelection
pt | OnSelectEditor
pt | OnTopLeftChanged
pt | OnUserCheckboxBitmap
pt | OnValidateEntry
pt | OnGetCellHint
pt | OnSaveColumn
pt | OnLoadColumn
TCustomControl
 | OnPaint
TWinControl
pt | OnGetSiteInfo
pt | OnGetDockCaption
 | OnAlignInsertBefore
 | OnAlignPosition
 | OnDockDrop
 | OnDockOver
 | OnEnter
 | OnExit
 | OnKeyDown
 | OnKeyPress
 | OnKeyUp
 | OnUnDock
 | OnUTF8KeyPress
TControl
pt | OnConstrainedResize
pt | OnContextPopup
pt | OnDblClick
pt | OnTripleClick
pt | OnQuadClick
pt | OnDragDrop
pt | OnDragOver
pt | OnEndDock
pt | OnEndDrag
pt | OnMouseDown
pt | OnMouseMove
pt | OnMouseUp
pt | OnMouseEnter
pt | OnMouseLeave
pt | OnMouseWheel
pt | OnMouseWheelDown
pt | OnMouseWheelUp
pt | OnMouseWheelHorz
pt | OnMouseWheelLeft
pt | OnMouseWheelRight
pt | OnStartDock
pt | OnStartDrag
pt | OnEditingDone
 | OnChangeBounds
 | OnClick
 | OnResize
 | OnShowHint
TLCLComponent
TComponent
TPersistent
TObject


pt | OnAfterSelection (TCustomGrid)
 | OnAlignInsertBefore (TWinControl)
 | OnAlignPosition (TWinControl)
pt | OnBeforeSelection (TCustomGrid)
pt | OnButtonClick (TCustomGrid)
 | OnChangeBounds (TControl)
pt | OnCheckboxToggled (TCustomGrid)
 | OnClick (TControl)
pt | OnCompareCells (TCustomGrid)
pt | OnConstrainedResize (TControl)
pt | OnContextPopup (TControl)
pt | OnDblClick (TControl)
 | OnDockDrop (TWinControl)
 | OnDockOver (TWinControl)
pt | OnDragDrop (TControl)
pt | OnDragOver (TControl)
pt | OnDrawCell (TCustomGrid)
pt | OnEditButtonClick (TCustomGrid)
pt | OnEditingDone (TControl)
pt | OnEndDock (TControl)
pt | OnEndDrag (TControl)
 | OnEnter (TWinControl)
 | OnExit (TWinControl)
pt | OnGetCellHint (TCustomGrid)
pt | OnGetDockCaption (TWinControl)
pt | OnGetSiteInfo (TWinControl)
 | OnKeyDown (TWinControl)
 | OnKeyPress (TWinControl)
 | OnKeyUp (TWinControl)
pt | OnLoadColumn (TCustomGrid)
pt | OnMouseDown (TControl)
pt | OnMouseEnter (TControl)
pt | OnMouseLeave (TControl)
pt | OnMouseMove (TControl)
pt | OnMouseUp (TControl)
pt | OnMouseWheel (TControl)
pt | OnMouseWheelDown (TControl)
pt | OnMouseWheelHorz (TControl)
pt | OnMouseWheelLeft (TControl)
pt | OnMouseWheelRight (TControl)
pt | OnMouseWheelUp (TControl)
 | OnPaint (TCustomControl)
pt | OnPickListSelect (TCustomGrid)
pt | OnPrepareCanvas (TCustomGrid)
pt | OnQuadClick (TControl)
 | OnResize (TControl)
pt | OnSaveColumn (TCustomGrid)
pt | OnSelectEditor (TCustomGrid)
pt | OnSelection (TCustomGrid)
 | OnShowHint (TControl)
pt | OnStartDock (TControl)
pt | OnStartDrag (TControl)
pt | OnTopLeftChanged (TCustomGrid)
pt | OnTripleClick (TControl)
 | OnUnDock (TWinControl)
pt | OnUserCheckboxBitmap (TCustomGrid)
 | OnUTF8KeyPress (TWinControl)
pt | OnValidateEntry (TCustomGrid)


TCustomGrid.AddSelectedRange

Declaration

Source position: grids.pas line 926

protected procedure TCustomGrid.AddSelectedRange;


TCustomGrid.AdjustClientRect

Declaration

Source position: grids.pas line 927

protected procedure TCustomGrid.AdjustClientRect(

  var ARect: TRect

); override;


TCustomGrid.AdjustEditorBounds

AdjustEditorBounds - method to adjust the editor's bounds to include a new row and column

Declaration

Source position: grids.pas line 928

protected procedure TCustomGrid.AdjustEditorBounds(

  NewCol: Integer;

  NewRow: Integer

); virtual;


TCustomGrid.AdjustInnerCellRect

Declaration

Source position: grids.pas line 1266

public procedure TCustomGrid.AdjustInnerCellRect(

  var ARect: TRect

);


TCustomGrid.AfterMoveSelection

Declaration

Source position: grids.pas line 929

protected procedure TCustomGrid.AfterMoveSelection(

  const prevCol: Integer;

  const prevRow: Integer

); virtual;


TCustomGrid.AllowOutboundEvents

AllowOutboundEvents - permits mouse click on an imaginary (out-of-bounds) cell; moves cursor to nearest valid cell

Declaration

Source position: grids.pas line 1159

protected property TCustomGrid.AllowOutboundEvents : Boolean
  read FAllowOutboundEvents
  write FAllowOutboundEvents
  default True;

Description

Normally when a user clicks on a point over the empty space after cells (for example if grid has three rows but user clicks on imaginary fourth row) the current focused cell will move to the nearest cell to clicked point; we call this an outbound event.

Default value is true, as this has been the grid's behaviour since the beginning.

This property was added to simulate Delphi behaviour where outbound events are not available; to enable Delphi compatibility set this property to false.


TCustomGrid.AltColorStartNormal

AltColorStartNormal - using a second colour to display alternate rows, but starting the first row with the normal colour

Declaration

Source position: grids.pas line 1188

protected property TCustomGrid.AltColorStartNormal : Boolean
  read FAltColorStartNormal
  write SetAltColorStartNormal;

Description

AltColorStartNormal - using a second colour to display alternate rows, but starting the first row with the normal colour

Using a different colour for the background of alternate rows often makes the data in a grid much easier to read


TCustomGrid.AlternateColor

The colour to be used for the background on alternate rows of the grid. Having alternate rows in different colours can make the grid easier to read.

Declaration

Source position: grids.pas line 1160

protected property TCustomGrid.AlternateColor : TColor
  read FAlternateColor
  write SetAlternateColor
  stored IsAltColorStored;


TCustomGrid.AssignTo

Declaration

Source position: grids.pas line 930

protected procedure TCustomGrid.AssignTo(

  Dest: TPersistent

); override;


TCustomGrid.AutoAdjustColumn

AutoAdjustColumn - automatically adjust column properties to accommodate largest object

Declaration

Source position: grids.pas line 931

protected procedure TCustomGrid.AutoAdjustColumn(

  aCol: Integer

); virtual;


TCustomGrid.AutoAdjustColumns

AutoAdjustColumns - automatically adjust the columns according to the size of their contents

Declaration

Source position: grids.pas line 1267

public procedure TCustomGrid.AutoAdjustColumns; virtual;


TCustomGrid.AutoAdvance

Automatically advance down the grid on successive mouse clicks or presses of the ENTER or TAB key

Declaration

Source position: grids.pas line 1161

protected property TCustomGrid.AutoAdvance : TAutoAdvance
  read FAutoAdvance
  write FAutoAdvance
  default aaRight;


TCustomGrid.AutoEdit

Whether the Edit mode is automatically entered when a cell is selected

Declaration

Source position: grids.pas line 1162

protected property TCustomGrid.AutoEdit : Boolean
  read FAutoEdit
  write FAutoEdit
  default True;


TCustomGrid.AutoFillColumns

Automatically resize columns so they fill all grid's visible area

Declaration

Source position: grids.pas line 1163

protected property TCustomGrid.AutoFillColumns : Boolean
  read FAutoFillColumns
  write SetAutoFillColumns
  default False;

Description

When this option is turned on, the grid will resize all columns to fill the grid's client width. What columns are resized is determined by the following conditions:

1. Fixed Columns are not resized. 2. If the grid has Custom Columns, all columns with SizePriority=0 are not resized.

Note that Custom Columns are initially created with SizePriority=1. For TDbGrid, which automatically adds Custom Columns, this means the user will not be able to resize such columns using the mouse.


TCustomGrid.BeforeMoveSelection

BeforeMoveSelection - method to use before a selection is moved

Declaration

Source position: grids.pas line 932

protected procedure TCustomGrid.BeforeMoveSelection(

  const DCol: Integer;

  const DRow: Integer

); virtual;

Description

This method is called from TCustomGrid.MoveExtend method whenever the current grid cursor location is about to change. The destination column and row are specified in DCol and DRow parameters respectively. The new location is known to be a valid selectable cell (see TCustomGrid.SelectCell ), and is given in absolute cell coordinates. At this point the current grid location has not changed and can be retrieved with Col and Row properties. The purpose of this method is to call event handler OnBeforeSelection.

See also

TCustomGrid.MoveExtend | MoveExtend - move an extended selection; if Relative is true, use Delta column and row to find position; returns True if successful
TCustomDrawGrid.OnBeforeSelection | OnBeforeSelection - event handler for use before a selection is made


TCustomGrid.BeginAutoDrag

Declaration

Source position: grids.pas line 933

protected procedure TCustomGrid.BeginAutoDrag; override;


TCustomGrid.BeginUpdate

Begin updating the grid

Declaration

Source position: grids.pas line 1268

public procedure TCustomGrid.BeginUpdate;


TCustomGrid.BorderColor

The colour of the border for this control

Declaration

Source position: grids.pas line 1165

protected property TCustomGrid.BorderColor : TColor
  read FBorderColor
  write SetBorderColor
  default cl3DDKShadow;


TCustomGrid.BoxRect

Declaration

Source position: grids.pas line 934

protected function TCustomGrid.BoxRect(

  ALeft: LongInt;

  ATop: LongInt;

  ARight: LongInt;

  ABottom: LongInt

):TRect;


TCustomGrid.CacheMouseDown

Declaration

Source position: grids.pas line 935

protected procedure TCustomGrid.CacheMouseDown(

  const X: Integer;

  const Y: Integer

);


TCustomGrid.CalcAutoSizeColumn

CalcAutoSizeColumn - method for automatically calculating the size of a column

Declaration

Source position: grids.pas line 936

protected procedure TCustomGrid.CalcAutoSizeColumn(

  const Index: Integer;

  var AMin: Integer;

  var AMax: Integer;

  var APriority: Integer

); virtual;


TCustomGrid.CalcCellExtent

[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] Reference for unit 'Grids' (#lcl)

TCustomGrid.CalcCellExtent (deprecated)

Declaration

Source position: grids.pas line 937

protected procedure TCustomGrid.CalcCellExtent(

  acol: Integer;

  aRow: Integer;

  var aRect: TRect

); virtual; overload;


TCustomGrid.CalcFocusRect

CalcFocusRect - method for calculating the bounds of a focused rectangle

Declaration

Source position: grids.pas line 938

protected procedure TCustomGrid.CalcFocusRect(

  var ARect: TRect;

  adjust: Boolean = True

);


TCustomGrid.CalcMaxTopLeft

Declaration

Source position: grids.pas line 939

protected procedure TCustomGrid.CalcMaxTopLeft;


TCustomGrid.CalcScrollbarsRange

Declaration

Source position: grids.pas line 940

protected procedure TCustomGrid.CalcScrollbarsRange;


TCustomGrid.CalculatePreferredSize

Declaration

Source position: grids.pas line 941

protected procedure TCustomGrid.CalculatePreferredSize(

  var PreferredWidth: Integer;

  var PreferredHeight: Integer;

  WithThemeSpace: Boolean

); override;


TCustomGrid.CanEditShow

CanEditShow - returns True if the editing data can be shown

Declaration

Source position: grids.pas line 943

protected function TCustomGrid.CanEditShow: Boolean; virtual;


TCustomGrid.CanGridAcceptKey

CanGridAcceptKey - returns True is the grid is able to accept the given key

Declaration

Source position: grids.pas line 944

protected function TCustomGrid.CanGridAcceptKey(

  Key: Word;

  Shift: TShiftState

):Boolean; virtual;


TCustomGrid.CellClick

CellClick - method for processing a click in a cell

Declaration

Source position: grids.pas line 945

protected procedure TCustomGrid.CellClick(

  const aCol: Integer;

  const aRow: Integer;

  const Button: TMouseButton

); virtual;


TCustomGrid.CellExtent

Declaration

Source position: grids.pas line 946

protected procedure TCustomGrid.CellExtent(

  const aCol: Integer;

  const aRow: Integer;

  var R: TRect;

  out exCol: Integer

);


TCustomGrid.CellHintPriority

Declaration

Source position: grids.pas line 1166

protected property TCustomGrid.CellHintPriority : TCellHintPriority
  read FCellHintPriority
  write FCellHintPriority
  default chpAllNoDefault;


TCustomGrid.CellRect

The coordinates of the current cell (column, row) expressed as a standard rectangle (TRect)

Declaration

Source position: grids.pas line 1269

public function TCustomGrid.CellRect(

  ACol: Integer;

  ARow: Integer

):TRect;


TCustomGrid.CellToGridZone

Convert the coordinates of the current cell (col, row) to a grid zone

Declaration

Source position: grids.pas line 1270

public function TCustomGrid.CellToGridZone(

  aCol: Integer;

  aRow: Integer

):TGridZone;


TCustomGrid.CheckLimits

CheckLimits - method for checking limits of specified cell

Declaration

Source position: grids.pas line 947

protected procedure TCustomGrid.CheckLimits(

  var aCol: Integer;

  var aRow: Integer

);


TCustomGrid.CheckLimitsWithError

CheckLimitsWithError - method for checking limits of specified cel, with error trapping

Declaration

Source position: grids.pas line 948

protected procedure TCustomGrid.CheckLimitsWithError(

  const aCol: Integer;

  const aRow: Integer

);


TCustomGrid.CheckNewCachedSizes

CheckNewCachedSizes - check the new values of cached sizes

Declaration

Source position: grids.pas line 963

protected procedure TCustomGrid.CheckNewCachedSizes(

  var AGCache: TGridDataCache

); virtual;


TCustomGrid.CheckPosition

Check the position of the cursor

Declaration

Source position: grids.pas line 1271

public procedure TCustomGrid.CheckPosition;


TCustomGrid.Clear

Clear all cells from the grid.

Declaration

Source position: grids.pas line 1274

public procedure TCustomGrid.Clear;

Description

Reset Column and Row counts to 0. Grid is completely emptied.

Compatibility: This property applies to Lazarus grids only , under Delphi/Kylix a grid can't be completely emptied.


TCustomGrid.ClearCols

Declaration

Source position: grids.pas line 1272

public function TCustomGrid.ClearCols: Boolean;


TCustomGrid.ClearRows

Declaration

Source position: grids.pas line 1273

public function TCustomGrid.ClearRows: Boolean;


TCustomGrid.ClearSelections

Declaration

Source position: grids.pas line 1275

public procedure TCustomGrid.ClearSelections;


TCustomGrid.CMBiDiModeChanged

Declaration

Source position: grids.pas line 949

protected procedure TCustomGrid.CMBiDiModeChanged(

  var Message: TLMessage

); message;


TCustomGrid.CMMouseEnter

Declaration

Source position: grids.pas line 950

protected procedure TCustomGrid.CMMouseEnter(

  var Message: TLMessage

); message;


TCustomGrid.CMMouseLeave

CMMouseLeave - Control Message for a mouse leaving a cell

Declaration

Source position: grids.pas line 951

protected procedure TCustomGrid.CMMouseLeave(

  var Message: TLMessage

); message;


TCustomGrid.Col

Current column index.

Declaration

Source position: grids.pas line 1167

protected property TCustomGrid.Col : Integer
  read FCol
  write SetCol;

Description

Col property holds the column index of the current grid cell cursor. The current grid column can be changed programatically by setting a new value to this property.


TCustomGrid.ColCount

Number of columns of the grid.

Declaration

Source position: grids.pas line 1168

protected property TCustomGrid.ColCount : Integer
  read GetColCount
  write SetColCount
  default 5;

Description

This is the number of columns in the grid, including fixed and normal columns.

See also

TCustomGrid.Col | Current column index.
TCustomGrid.FixedCols | Number of the fixed columns of the grid (ie the columns containing title or identifier material, that don't get scrolled when the rest of the grid moves).
TCustomGrid.ColWidths | Column widths for the grid.


TCustomGrid.ColRow

Declaration

Source position: grids.pas line 1169

protected property TCustomGrid.ColRow : TPoint
  read GetQuickColRow
  write SetQuickColRow;


TCustomGrid.ColRowDeleted

ColRowDeleted - method for dealing with deletion of either a column or a row (depending on value of IsCol)

Declaration

Source position: grids.pas line 952

protected procedure TCustomGrid.ColRowDeleted(

  IsColumn: Boolean;

  index: Integer

); virtual;


TCustomGrid.ColRowExchanged

ColRowExchanged - method for exchanging the current Column or Row (depending on value of IsCol) with the indexed other column or row

Declaration

Source position: grids.pas line 953

protected procedure TCustomGrid.ColRowExchanged(

  IsColumn: Boolean;

  index: Integer;

  WithIndex: Integer

); virtual;


TCustomGrid.ColRowInserted

ColRowInserted - method for dealing with insertion of a column or row (depending on value of IsCol)

Declaration

Source position: grids.pas line 954

protected procedure TCustomGrid.ColRowInserted(

  IsColumn: Boolean;

  index: Integer

); virtual;


TCustomGrid.ColRowMoved

ColRowMoved - the column or row (determined by IsColumn) is moved from one index to another

Declaration

Source position: grids.pas line 955

protected procedure TCustomGrid.ColRowMoved(

  IsColumn: Boolean;

  FromIndex: Integer;

  ToIndex: Integer

); virtual;


TCustomGrid.ColRowToOffset

ColRowToOffset - method for moving column or row (depending on value of IsCol); if Relative is True, moves by the amount of Index, otherwise moves from StartPos to EndPos. Returns True if successful

Declaration

Source position: grids.pas line 956

protected function TCustomGrid.ColRowToOffset(

  IsCol: Boolean;

  Relative: Boolean;

  Index: Integer;

  out StartPos: Integer;

  out EndPos: Integer

):Boolean;


TCustomGrid.ColumnClickSorts

Declaration

Source position: grids.pas line 1170

protected property TCustomGrid.ColumnClickSorts : Boolean
  read FColumnClickSorts
  write SetColumnClickSorts
  default False;


TCustomGrid.ColumnFromGridColumn

ColumnFromGridColumn - returns the actual grid column given its index

Declaration

Source position: grids.pas line 959

protected function TCustomGrid.ColumnFromGridColumn(

  Column: Integer

):TGridColumn;


TCustomGrid.ColumnIndexFromGridColumn

ColumnIndexFromGridColumn - extracts the index of the specified grid column

Declaration

Source position: grids.pas line 958

protected function TCustomGrid.ColumnIndexFromGridColumn(

  Column: Integer

):Integer;


TCustomGrid.Columns

The properties of the columns in this grid

Declaration

Source position: grids.pas line 1171

protected property TCustomGrid.Columns : TGridColumns
  read GetColumns
  write SetColumns
  stored IsColumnsStored;

Description

The Columns property of a grid refers to the physical column in the table, and determines its size, shape, colour etc. It should not be confused with the COLUMNS construct frequently used in SQL programming, which refers to Fields of data. The contents of Fields can be displayed as Columns in a Grid, but they must be seen as separate and distinct. It is irrelevant to refer to the colour, font or width of a data field from a database, but these are all very relevant in specifying the appearance of a column in a grid.


TCustomGrid.ColumnsChanged

ColumnsChanged - method for dealing with changed columns

Declaration

Source position: grids.pas line 960

protected procedure TCustomGrid.ColumnsChanged(

  aColumn: TGridColumn

);


TCustomGrid.ColWidths

Column widths for the grid.

Declaration

Source position: grids.pas line 1172

protected property TCustomGrid.ColWidths[aCol: Integer] : Integer
  read GetColWidths
  write SetColWidths;

Description

The column is specified with the aCol parameter. The aCol parameter must fall within the valid index range of 0 to ColCount-1.

The return value of the property is the width of this column, measured in pixels.

The initial width of a newly created column is specified with the DefaultColWidth property. After that the user may redefine this value.

If the Options property includes the appropriate value, the column width may also be changed by the user at runtime.

See also

TCustomGrid.RowHeights

The row heights for the grid.


TCustomGrid.ColWidthsChanged

ColWidthsChanged - method for dealing with changes in column width

Declaration

Source position: grids.pas line 961

protected procedure TCustomGrid.ColWidthsChanged; virtual;


TCustomGrid.Create

Create - constructor for TCustomGrid: calls inherited Create, then creates lists of columns and rows, initialises many visual properties and options, creates the various editors and loads any bitmaps required for the display

Declaration

Source position: grids.pas line 1260

public constructor TCustomGrid.Create(

  AOwner: TComponent

); override;

Description

// Inherited create Calls SetBounds->WM_SIZE->VisualChange so

// fGrid needs to be created before that

See also

TCustomControl.Create


TCustomGrid.CreateColumns

CreateColumns - returns the identity of the created columns

Declaration

Source position: grids.pas line 962

protected function TCustomGrid.CreateColumns: TGridColumns; virtual;


TCustomGrid.DefaultColWidth

Default value for the width of newly created grid columns.

Declaration

Source position: grids.pas line 1173

protected property TCustomGrid.DefaultColWidth : Integer
  read GetDefColWidth
  write SetDefColWidth
  stored DefaultColWidthIsStored;

Description

If new columns of the grid are created by changing the ColCount property, the width of these new columns will be set to the value of the DefaultColWidth property.

Use 0 for autosized width.

Use GetRealDefaultColWidth for real value.

See also

TCustomGrid.DefaultRowHeight

Default value for the height of newly created grid rows.


TCustomGrid.DefaultColWidthIsStored

Declaration

Source position: grids.pas line 968

protected function TCustomGrid.DefaultColWidthIsStored: Boolean;


TCustomGrid.DefaultDrawing

Is the default drawing method to be used for this grid? Default is TRUE

Declaration

Source position: grids.pas line 1175

protected property TCustomGrid.DefaultDrawing : Boolean
  read FDefaultDrawing
  write SetDefaultDrawing
  default True;


TCustomGrid.DefaultRowHeight

Default value for the height of newly created grid rows.

Declaration

Source position: grids.pas line 1174

protected property TCustomGrid.DefaultRowHeight : Integer
  read GetDefRowHeight
  write SetDefRowHeight
  stored DefaultRowHeightIsStored;

Description

If new rows of the grid are created by changing the RowCount property, the height of these new rows will be set to the value of the DefaultRowHeight property.

Use 0 for autosized height.

Use GetRealDefaultRowHeight for real value.

See also

TCustomGrid.DefaultColWidth

Default value for the width of newly created grid columns.


TCustomGrid.DefaultRowHeightIsStored

Declaration

Source position: grids.pas line 969

protected function TCustomGrid.DefaultRowHeightIsStored: Boolean;


TCustomGrid.DefaultTextStyle

Default style for displaying text - includes alignment, layout, single or multi-lines

Declaration

Source position: grids.pas line 1176

protected property TCustomGrid.DefaultTextStyle : TTextStyle
  read FDefaultTextStyle
  write FDefaultTextStyle;


TCustomGrid.Destroy

Destroy - destructor for TCustomGrid: frees various resources including editors, columns, rows, font then calls inherited Destroy

Declaration

Source position: grids.pas line 1261

public destructor TCustomGrid.Destroy; override;

See also

TCustomControl.Destroy


TCustomGrid.DialogChar

Declaration

Source position: grids.pas line 972

protected function TCustomGrid.DialogChar(

  var Message: TLMKey

):Boolean; override;


TCustomGrid.DoAutoAdjustLayout

Declaration

Source position: grids.pas line 990

protected procedure TCustomGrid.DoAutoAdjustLayout(

  const AMode: TLayoutAdjustmentPolicy;

  const AXProportion: Double;

  const AYProportion: Double

); override;


TCustomGrid.DoCompareCells

DoCompareCells - perform the comparison of two or more cells in a grid

Declaration

Source position: grids.pas line 973

protected function TCustomGrid.DoCompareCells(

  Acol: Integer;

  ARow: Integer;

  Bcol: Integer;

  BRow: Integer

):Integer; virtual;


TCustomGrid.DoCopyToClipboard

DoCopyToClipboard - copy the selected data to the clipboard, leaving the original data in place

Declaration

Source position: grids.pas line 974

protected procedure TCustomGrid.DoCopyToClipboard; virtual;


TCustomGrid.DoCutToClipboard

DoCutToClipboard - cut the data from its current site and place it on the clipboard

Declaration

Source position: grids.pas line 975

protected procedure TCustomGrid.DoCutToClipboard; virtual;


TCustomGrid.DoEditButtonClick

Declaration

Source position: grids.pas line 976

protected procedure TCustomGrid.DoEditButtonClick(

  const ACol: Integer;

  const ARow: Integer

); virtual;


TCustomGrid.DoEditorHide

DoEditorHide - hide the data in the editor

Declaration

Source position: grids.pas line 977

protected procedure TCustomGrid.DoEditorHide; virtual;


TCustomGrid.DoEditorShow

DoEditorShow - show the data in the editor

Declaration

Source position: grids.pas line 978

protected procedure TCustomGrid.DoEditorShow; virtual;


TCustomGrid.DoLoadColumn

Declaration

Source position: grids.pas line 981

protected procedure TCustomGrid.DoLoadColumn(

  sender: TCustomGrid;

  aColumn: TGridColumn;

  aColIndex: Integer;

  aCfg: TXMLConfig;

  aVersion: Integer;

  aPath: string

); virtual;


TCustomGrid.DoMouseWheel

Declaration

Source position: grids.pas line 985

protected function TCustomGrid.DoMouseWheel(

  Shift: TShiftState;

  WheelDelta: Integer;

  MousePos: TPoint

):Boolean; override;


TCustomGrid.DoMouseWheelLeft

Declaration

Source position: grids.pas line 988

protected function TCustomGrid.DoMouseWheelLeft(

  Shift: TShiftState;

  MousePos: TPoint

):Boolean; override;


TCustomGrid.DoMouseWheelRight

Declaration

Source position: grids.pas line 989

protected function TCustomGrid.DoMouseWheelRight(

  Shift: TShiftState;

  MousePos: TPoint

):Boolean; override;


TCustomGrid.DoOPDeleteColRow

DoOPDeleteColRow performs the operation for deleting a column or row (depending on value of IsCol)

Declaration

Source position: grids.pas line 993

protected procedure TCustomGrid.DoOPDeleteColRow(

  IsColumn: Boolean;

  index: Integer

);


TCustomGrid.DoOPExchangeColRow

DoOPExchangeColRow - perform the operation for exchanging either the current column or row (depending on value of IsCol) with the column or row specified by WithIndex

Declaration

Source position: grids.pas line 994

protected procedure TCustomGrid.DoOPExchangeColRow(

  IsColumn: Boolean;

  index: Integer;

  WithIndex: Integer

);


TCustomGrid.DoOPInsertColRow

DoOPInsertColRow - perform th eoperation for inserting either a column or a row (depending on the value of IsCol) at th indexed position

Declaration

Source position: grids.pas line 995

protected procedure TCustomGrid.DoOPInsertColRow(

  IsColumn: Boolean;

  index: Integer

);


TCustomGrid.DoOPMoveColRow

DoOPMoveColRow - performs the operation for moving either a column or a row (depending on the value of IsCol) between FromIndex and ToIndex

Declaration

Source position: grids.pas line 996

protected procedure TCustomGrid.DoOPMoveColRow(

  IsColumn: Boolean;

  FromIndex: Integer;

  ToIndex: Integer

);


TCustomGrid.DoPasteFromClipboard

DoPasteFromClipboard paste the data from the clipboard to the current location

Declaration

Source position: grids.pas line 997

protected procedure TCustomGrid.DoPasteFromClipboard; virtual;


TCustomGrid.DoPrepareCanvas

DoPrepareCanvas - get the canvas ready for drawing

Declaration

Source position: grids.pas line 998

protected procedure TCustomGrid.DoPrepareCanvas(

  aCol: Integer;

  aRow: Integer;

  aState: TGridDrawState

); virtual;


TCustomGrid.DoSaveColumn

Declaration

Source position: grids.pas line 983

protected procedure TCustomGrid.DoSaveColumn(

  sender: TCustomGrid;

  aColumn: TGridColumn;

  aColIndex: Integer;

  aCfg: TXMLConfig;

  aVersion: Integer;

  aPath: string

); virtual;


TCustomGrid.DragDx

DragDx - the amount (DeltaX) by which an object should be dragged

Declaration

Source position: grids.pas line 1177

protected property TCustomGrid.DragDx : Integer
  read FDragDx
  write FDragDx;


TCustomGrid.DrawBorder

DrawBorder - draws the border of the grid

Declaration

Source position: grids.pas line 1001

protected procedure TCustomGrid.DrawBorder;


TCustomGrid.DrawButtonCell

Declaration

Source position: grids.pas line 1011

protected procedure TCustomGrid.DrawButtonCell(

  const aCol: Integer;

  const aRow: Integer;

  aRect: TRect;

  const aState: TGridDrawState

);


TCustomGrid.DrawCell

DrawCell - draws a cell at the given grid location (Col, Row) or in the specified Rectangle

Declaration

Source position: grids.pas line 1004

protected procedure TCustomGrid.DrawCell(

  aCol: Integer;

  aRow: Integer;

  aRect: TRect;

  aState: TGridDrawState

); virtual;


TCustomGrid.DrawCellGrid

DrawCellGrid draws a grid of cells at the specified location

Declaration

Source position: grids.pas line 1005

protected procedure TCustomGrid.DrawCellGrid(

  aCol: Integer;

  aRow: Integer;

  aRect: TRect;

  aState: TGridDrawState

); virtual;


TCustomGrid.DrawCellText

DrawCellText - draws the given text string in the cell specified by Col, Row or by Rectangle

Declaration

Source position: grids.pas line 1008

protected procedure TCustomGrid.DrawCellText(

  aCol: Integer;

  aRow: Integer;

  aRect: TRect;

  aState: TGridDrawState;

  aText: string

); virtual;


TCustomGrid.DrawColRowMoving

DrawColRowMoving - draw a column or row while it is moving

Declaration

Source position: grids.pas line 1012

protected procedure TCustomGrid.DrawColRowMoving;


TCustomGrid.DrawColumnText

DrawColumnText - draw the text of the specified column

Declaration

Source position: grids.pas line 1013

protected procedure TCustomGrid.DrawColumnText(

  aCol: Integer;

  aRow: Integer;

  aRect: TRect;

  aState: TGridDrawState

); virtual;


TCustomGrid.DrawColumnTitleImage

DrawColumnTitleImage - draw the title image of the specified column

Declaration

Source position: grids.pas line 1014

protected procedure TCustomGrid.DrawColumnTitleImage(

  var ARect: TRect;

  AColumnIndex: Integer

);


TCustomGrid.DrawEdges

DrawEdges of the current grid

Declaration

Source position: grids.pas line 1015

protected procedure TCustomGrid.DrawEdges;


TCustomGrid.DrawFillRect

Declaration

Source position: grids.pas line 1003

protected procedure TCustomGrid.DrawFillRect(

  aCanvas: TCanvas;

  R: TRect

);


TCustomGrid.DrawFocusRect

DrawFocusRect - draw a rectangle with focus in the nominated cell

Declaration

Source position: grids.pas line 1016

protected procedure TCustomGrid.DrawFocusRect(

  aCol: Integer;

  aRow: Integer;

  ARect: TRect

); virtual;


TCustomGrid.DrawGridCheckboxBitmaps

DrawGridCheckboxBitmaps - draws checkbox bitmaps in the nominated rectangle with the specified checkbox state

Declaration

Source position: grids.pas line 1009

protected procedure TCustomGrid.DrawGridCheckboxBitmaps(

  const aCol: Integer;

  const aRow: Integer;

  const aRect: TRect;

  const aState: TCheckBoxState

); virtual;


TCustomGrid.DrawRow

DrawRow - draws the specified row

Declaration

Source position: grids.pas line 1017

protected procedure TCustomGrid.DrawRow(

  aRow: Integer

); virtual;


TCustomGrid.DrawTextInCell

Declaration

Source position: grids.pas line 1006

protected procedure TCustomGrid.DrawTextInCell(

  aCol: Integer;

  aRow: Integer;

  aRect: TRect;

  aState: TGridDrawState

); virtual;


TCustomGrid.DrawThemedCell

Declaration

Source position: grids.pas line 1007

protected procedure TCustomGrid.DrawThemedCell(

  aCol: Integer;

  aRow: Integer;

  aRect: TRect;

  aState: TGridDrawState

);


TCustomGrid.EditButtonClicked

EditButtonClicked - calls OnEditButtonClick

Declaration

Source position: grids.pas line 1018

protected procedure TCustomGrid.EditButtonClicked(

  Sender: TObject

);


TCustomGrid.EditingAllowed

EditingAllowed - Returns true if grid and current column allow editing

Declaration

Source position: grids.pas line 1026

protected function TCustomGrid.EditingAllowed(

  ACol: Integer = - 1

):Boolean; virtual;


TCustomGrid.Editor

The editor to be used for modifying information in the cells of the grid

Declaration

Source position: grids.pas line 1178

protected property TCustomGrid.Editor : TWinControl
  read FEditor
  write SetEditor;


TCustomGrid.EditorBorderStyle

The border style for the editor used in this grid

Declaration

Source position: grids.pas line 1179

protected property TCustomGrid.EditorBorderStyle : TBorderStyle
  read GetEditorBorderStyle
  write SetEditorBorderStyle;


TCustomGrid.EditorByStyle

Select a cell editor control with the specified style

Declaration

Source position: grids.pas line 1277

public function TCustomGrid.EditorByStyle(

  Style: TColumnButtonStyle

):TWinControl; virtual;


TCustomGrid.EditorCanAcceptKey

EditorCanAcceptKey - returns True if the Editor is able to accept the nominated (UTF8) key

Declaration

Source position: grids.pas line 1022

protected function TCustomGrid.EditorCanAcceptKey(

  const ch: TUTF8Char

):Boolean; virtual;


TCustomGrid.EditordoGetValue

EditordoGetValue - method for geting a value in the Editor

Declaration

Source position: grids.pas line 1019

protected procedure TCustomGrid.EditordoGetValue; virtual;


TCustomGrid.EditordoResetValue

Declaration

Source position: grids.pas line 1020

protected procedure TCustomGrid.EditordoResetValue; virtual;


TCustomGrid.EditordoSetValue

EditordoSetValue - method for specifying a value in the Editor

Declaration

Source position: grids.pas line 1021

protected procedure TCustomGrid.EditordoSetValue; virtual;


TCustomGrid.EditorHide

EditorHide - method for hiding the editor

Declaration

Source position: grids.pas line 1024

protected procedure TCustomGrid.EditorHide; virtual;


TCustomGrid.EditorIsReadOnly

EditorIsReadOnly - returns True if the Editor has Read Only status

Declaration

Source position: grids.pas line 1023

protected function TCustomGrid.EditorIsReadOnly: Boolean; virtual;


TCustomGrid.EditorKey

EditorKey - is the current key available to the editor?

Declaration

Source position: grids.pas line 1181

protected property TCustomGrid.EditorKey : Boolean
  read FEditorKey
  write FEditorKey;


TCustomGrid.EditorKeyDown

Emulate the OnKeyDown event handler in the cell editor

Declaration

Source position: grids.pas line 1278

public procedure TCustomGrid.EditorKeyDown(

  Sender: TObject;

  var Key: Word;

  Shift: TShiftState

);


TCustomGrid.EditorKeyPress

Emulate the OnKeyPress event handler in the cell editor

Declaration

Source position: grids.pas line 1279

public procedure TCustomGrid.EditorKeyPress(

  Sender: TObject;

  var Key: Char

);


TCustomGrid.EditorKeyUp

Emulate the OnKeyUp event handler in the cell editor

Declaration

Source position: grids.pas line 1280

public procedure TCustomGrid.EditorKeyUp(

  Sender: TObject;

  var key: Word;

  shift: TShiftState

);


TCustomGrid.EditorLocked

EditorLocked - returns True if the Editor is locked, ie unable to accept input or make changes

Declaration

Source position: grids.pas line 1025

protected function TCustomGrid.EditorLocked: Boolean;


TCustomGrid.EditorMode

Is grid ready to accept edits? (EditorMode True)

Declaration

Source position: grids.pas line 1180

protected property TCustomGrid.EditorMode : Boolean
  read FEditorMode
  write EditorSetMode;


TCustomGrid.EditorOptions

The set of options available for the grid's editor

Declaration

Source position: grids.pas line 1182

protected property TCustomGrid.EditorOptions : Integer
  read FEditorOptions
  write SetEditorOptions;


TCustomGrid.EditorSelectAll

EditorSelectAll - editor procedure to Select All

Declaration

Source position: grids.pas line 1027

protected procedure TCustomGrid.EditorSelectAll;


TCustomGrid.EditorShow

EditorShow - shows the cell contents in the Editor

Declaration

Source position: grids.pas line 1028

protected procedure TCustomGrid.EditorShow(

  const SelAll: Boolean

); virtual;


TCustomGrid.EditorShowInCell

EditorShowInCell - shows the Editor's content in situ in the Cell

Declaration

Source position: grids.pas line 1029

protected procedure TCustomGrid.EditorShowInCell(

  const aCol: Integer;

  const aRow: Integer

); virtual;


TCustomGrid.EditorShowing

Is the editor for the grid displayed?

Declaration

Source position: grids.pas line 1183

protected property TCustomGrid.EditorShowing : Boolean
  read FEditorShowing
  write FEditorShowing;


TCustomGrid.EditorTextChanged

Declaration

Source position: grids.pas line 1281

public procedure TCustomGrid.EditorTextChanged(

  const aCol: Integer;

  const aRow: Integer;

  const aText: string

); virtual;


TCustomGrid.EditorWidthChanged

EditorWidthChanged - method for dealing with a change in editor width

Declaration

Source position: grids.pas line 1030

protected procedure TCustomGrid.EditorWidthChanged(

  aCol: Integer;

  aWidth: Integer

); virtual;


TCustomGrid.EndUpdate

EndUpdate - Finish updating the grid

Declaration

Source position: grids.pas line 1283

public procedure TCustomGrid.EndUpdate(

  aRefresh: Boolean = True

);


TCustomGrid.EraseBackground

Clear the background to the grid

Declaration

Source position: grids.pas line 1284

public procedure TCustomGrid.EraseBackground(

  DC: HDC

); override;


TCustomGrid.ExtendedColSizing

ExtendedColSizing - the sizing to be used for extended columns

Declaration

Source position: grids.pas line 1184

protected property TCustomGrid.ExtendedColSizing : Boolean
  read FExtendedColSizing
  write FExtendedColSizing;


TCustomGrid.ExtendedRowSizing

ExtendedRowSizing - the sizing to be used for extended rows

Declaration

Source position: grids.pas line 1185

protected property TCustomGrid.ExtendedRowSizing : Boolean
  read FExtendedRowSizing
  write FExtendedRowSizing;


TCustomGrid.ExtendedSelect

ExtendedSelect - the ability to select cells beyond the boundary of the visible part of the grid

Declaration

Source position: grids.pas line 1186

protected property TCustomGrid.ExtendedSelect : Boolean
  read FExtendedSelect
  write FExtendedSelect
  default True;


TCustomGrid.FastEditing

Is the FastEditing method being used?

Declaration

Source position: grids.pas line 1187

protected property TCustomGrid.FastEditing : Boolean
  read FFastEditing
  write FFastEditing;


TCustomGrid.fGridState

fGridState - local variable to hold current state of the grid (whether being edited, updated etc)

Declaration

Source position: grids.pas line 923

protected TCustomGrid.fGridState : TGridState;


TCustomGrid.FirstGridColumn

Declaration

Source position: grids.pas line 1031

protected function TCustomGrid.FirstGridColumn: Integer; virtual;


TCustomGrid.FixedColor

The color for the fixed cells of the grid.

Declaration

Source position: grids.pas line 1191

protected property TCustomGrid.FixedColor : TColor
  read GetFixedColor
  write SetFixedcolor
  default clBtnFace;

Description

The color used by headings.

See also

TCustomGrid.FixedColor | The color for the fixed cells of the grid.
TCustomGrid.FixedRows | Number of the fixed rows of the grid (ie the rows containing title or identifier material, that don't get scrolled when the rest of the grid moves).


TCustomGrid.FixedCols

Number of the fixed columns of the grid (ie the columns containing title or identifier material, that don't get scrolled when the rest of the grid moves).

Declaration

Source position: grids.pas line 1189

protected property TCustomGrid.FixedCols : Integer
  read FFixedCols
  write SetFixedCols
  default 1;

Description

Contains the fixed column count of a grid.

Fixed columns are normally used for headings.

See also

TCustomGrid.FixedRows | Number of the fixed rows of the grid (ie the rows containing title or identifier material, that don't get scrolled when the rest of the grid moves).
TCustomGrid.ColCount | Number of columns of the grid.


TCustomGrid.FixedGrid

FixedGrid - returns True if the Grid is fixed

Declaration

Source position: grids.pas line 1032

protected function TCustomGrid.FixedGrid: Boolean;


TCustomGrid.FixedGridLineColor

Declaration

Source position: grids.pas line 1192

protected property TCustomGrid.FixedGridLineColor : TColor
  read FFixedGridLineColor
  write SetFixedGridLineColor
  default cl3DDKShadow;


TCustomGrid.FixedHotColor

FixedHotColor - the 'Hot' colour for the active (selected, etc) fixed cells of the grid

Declaration

Source position: grids.pas line 1193

protected property TCustomGrid.FixedHotColor : TColor
  read FFixedHotColor
  write FFixedHotColor
  default cl3DLight;


TCustomGrid.FixedRows

Number of the fixed rows of the grid (ie the rows containing title or identifier material, that don't get scrolled when the rest of the grid moves).

Declaration

Source position: grids.pas line 1190

protected property TCustomGrid.FixedRows : Integer
  read FFixedRows
  write SetFixedRows
  default 1;

Description

Contains the fixed row count of a grid.

Fixed rows are normally used for headings.

See also

TCustomGrid.RowCount | Number of rows in the grid
TCustomGrid.FixedCols | Number of the fixed columns of the grid (ie the columns containing title or identifier material, that don't get scrolled when the rest of the grid moves).


TCustomGrid.Flat

Is the cell to be displayed Flat, ie with no texturing or raised/lowered effect

Declaration

Source position: grids.pas line 1194

protected property TCustomGrid.Flat : Boolean
  read FFlat
  write SetFlat
  default False;


TCustomGrid.FlipPoint

Declaration

Source position: grids.pas line 1253

protected function TCustomGrid.FlipPoint(

  P: TPoint

):TPoint;


TCustomGrid.FlipRect

Declaration

Source position: grids.pas line 1252

protected function TCustomGrid.FlipRect(

  ARect: TRect

):TRect;


TCustomGrid.FlipX

Declaration

Source position: grids.pas line 1254

protected function TCustomGrid.FlipX(

  X: Integer

):Integer;


TCustomGrid.FocusColor

The colour to be used for the cell receiving focus

Declaration

Source position: grids.pas line 1195

protected property TCustomGrid.FocusColor : TColor
  read FFocusColor
  write SetFocusColor;


TCustomGrid.Focused

Declaration

Source position: grids.pas line 1285

public function TCustomGrid.Focused: Boolean; override;


TCustomGrid.FocusRectVisible

FocusRectVisible - is the rectangle receiving focus visible?

Declaration

Source position: grids.pas line 1196

protected property TCustomGrid.FocusRectVisible : Boolean
  read FFocusRectVisible
  write SetFocusRectVisible;


TCustomGrid.FontChanged

FontChanged - method to deal with a change in font

Declaration

Source position: grids.pas line 1033

protected procedure TCustomGrid.FontChanged(

  Sender: TObject

); override;


TCustomGrid.GCache

GCache - the cache to be used for grid data

Declaration

Source position: grids.pas line 1197

protected property TCustomGrid.GCache : TGridDataCache
  read FGCAChe;


TCustomGrid.GetAutoFillColumnInfo

GetAutoFillColumnInfo - finds out information (max, min, priority) about the auto-fill properties of the indexed column

Declaration

Source position: grids.pas line 1034

protected procedure TCustomGrid.GetAutoFillColumnInfo(

  const Index: Integer;

  var aMin: Integer;

  var aMax: Integer;

  var aPriority: Integer

); virtual;


TCustomGrid.GetCellHintText

Declaration

Source position: grids.pas line 1035

protected function TCustomGrid.GetCellHintText(

  ACol: Integer;

  ARow: Integer

):string; virtual;


TCustomGrid.GetCells

Declaration

Source position: grids.pas line 1036

protected function TCustomGrid.GetCells(

  ACol: Integer;

  ARow: Integer

):string; virtual;


TCustomGrid.GetColumnAlignment

GetColumnAlignment - returns the Alignment value for the nominated column

Declaration

Source position: grids.pas line 1037

protected function TCustomGrid.GetColumnAlignment(

  Column: Integer;

  ForTitle: Boolean

):TAlignment;


TCustomGrid.GetColumnColor

GetColumnColor - returns the Colour for the specified column

Declaration

Source position: grids.pas line 1038

protected function TCustomGrid.GetColumnColor(

  Column: Integer;

  ForTitle: Boolean

):TColor;


TCustomGrid.GetColumnFont

GetColumnFont - returns the font for the specified column

Declaration

Source position: grids.pas line 1039

protected function TCustomGrid.GetColumnFont(

  Column: Integer;

  ForTitle: Boolean

):TFont;


TCustomGrid.GetColumnLayout

GetColumnLayout - returns the Text Layout value for the specified column

Declaration

Source position: grids.pas line 1040

protected function TCustomGrid.GetColumnLayout(

  Column: Integer;

  ForTitle: Boolean

):TTextLayout;


TCustomGrid.GetColumnReadonly

GetColumnReadonly - returns True if the column is marked ReadOnly

Declaration

Source position: grids.pas line 1041

protected function TCustomGrid.GetColumnReadonly(

  Column: Integer

):Boolean;


TCustomGrid.GetColumnTitle

GetColumnTitle - returns the column title string

Declaration

Source position: grids.pas line 1042

protected function TCustomGrid.GetColumnTitle(

  Column: Integer

):string;


TCustomGrid.GetColumnWidth

GetColumnWidth - returns the width of the column

Declaration

Source position: grids.pas line 1043

protected function TCustomGrid.GetColumnWidth(

  Column: Integer

):Integer;


TCustomGrid.GetDefaultColumnAlignment

GetDefaultColumnAlignment - returns the default alignment for the specified column

Declaration

Source position: grids.pas line 1045

protected function TCustomGrid.GetDefaultColumnAlignment(

  Column: Integer

):TAlignment; virtual;


TCustomGrid.GetDefaultColumnLayout

GetDefaultColumnLayout - returns the default text layout for the nominated column

Declaration

Source position: grids.pas line 1047

protected function TCustomGrid.GetDefaultColumnLayout(

  Column: Integer

):TTextLayout; virtual;


TCustomGrid.GetDefaultColumnReadOnly

GetDefaultColumnReadOnly - returns the default setting of the ReadOnly flag for the specified column

Declaration

Source position: grids.pas line 1048

protected function TCustomGrid.GetDefaultColumnReadOnly(

  Column: Integer

):Boolean; virtual;


TCustomGrid.GetDefaultColumnTitle

GetDefaultColumnTitle - returns the default title string for the specified column

Declaration

Source position: grids.pas line 1049

protected function TCustomGrid.GetDefaultColumnTitle(

  Column: Integer

):string; virtual;


TCustomGrid.GetDefaultColumnWidth

GetDefaultColumnWidth - returns the default width for the specified column

Declaration

Source position: grids.pas line 1046

protected function TCustomGrid.GetDefaultColumnWidth(

  Column: Integer

):Integer; virtual;


TCustomGrid.GetDefaultEditor

GetDefaultEditor - returns the default editor for the specified column

Declaration

Source position: grids.pas line 1050

protected function TCustomGrid.GetDefaultEditor(

  Column: Integer

):TWinControl; virtual;


TCustomGrid.GetDefaultRowHeight

GetDefaultRowHeight - returns the default row height

Declaration

Source position: grids.pas line 1051

protected function TCustomGrid.GetDefaultRowHeight: Integer; virtual;


TCustomGrid.GetDeltaMoveNext

GetDeltaMoveNext return the relative cell coordinate of the next cell to which movement will occur

Declaration

Source position: grids.pas line 1044

protected function TCustomGrid.GetDeltaMoveNext(

  const Inverse: Boolean;

  var ACol: Integer;

  var ARow: Integer;

  const AAutoAdvance: TAutoAdvance

):Boolean; virtual;


TCustomGrid.GetEditMask

GetEditMask - returns the edit mask string for the specified cell

Declaration

Source position: grids.pas line 1062

protected function TCustomGrid.GetEditMask(

  ACol: LongInt;

  ARow: LongInt

):string; virtual;


TCustomGrid.GetEditText

GetEditText - returns the Edit text string for the specified cell

Declaration

Source position: grids.pas line 1063

protected function TCustomGrid.GetEditText(

  ACol: LongInt;

  ARow: LongInt

):string; virtual;


TCustomGrid.GetFirstVisibleColumn

Declaration

Source position: grids.pas line 1065

protected function TCustomGrid.GetFirstVisibleColumn: Integer;


TCustomGrid.GetFirstVisibleRow

Declaration

Source position: grids.pas line 1066

protected function TCustomGrid.GetFirstVisibleRow: Integer;


TCustomGrid.GetFixedcolor

GetFixedcolor - returns a value for the fixed colour

Declaration

Source position: grids.pas line 1064

protected function TCustomGrid.GetFixedcolor: TColor; virtual;


TCustomGrid.GetGridDrawState

Declaration

Source position: grids.pas line 1052

protected function TCustomGrid.GetGridDrawState(

  ACol: Integer;

  ARow: Integer

):TGridDrawState;


TCustomGrid.GetImageForCheckBox

Declaration

Source position: grids.pas line 1053

protected procedure TCustomGrid.GetImageForCheckBox(

  const aCol: Integer;

  const aRow: Integer;

  CheckBoxView: TCheckBoxState;

  var ImageList: TCustomImageList;

  var ImageIndex: TImageIndex;

  var Bitmap: TBitmap

); virtual;


TCustomGrid.GetIsCellSelected

GetIsCellSelected - returns True if the given cell is selected

Declaration

Source position: grids.pas line 1085

protected function TCustomGrid.GetIsCellSelected(

  aCol: Integer;

  aRow: Integer

):Boolean; virtual;


TCustomGrid.GetIsCellTitle

Declaration

Source position: grids.pas line 1084

protected function TCustomGrid.GetIsCellTitle(

  aCol: Integer;

  aRow: Integer

):Boolean; virtual;


TCustomGrid.GetLastVisibleColumn

Declaration

Source position: grids.pas line 1067

protected function TCustomGrid.GetLastVisibleColumn: Integer;


TCustomGrid.GetLastVisibleRow

Declaration

Source position: grids.pas line 1068

protected function TCustomGrid.GetLastVisibleRow: Integer;


TCustomGrid.GetPxTopLeft

Declaration

Source position: grids.pas line 1071

protected function TCustomGrid.GetPxTopLeft: TPoint;


TCustomGrid.GetSBRanges

GetSBRanges - finds the ranges of values for the scrollbars, if they are visible

Declaration

Source position: grids.pas line 1059

protected procedure TCustomGrid.GetSBRanges(

  const HsbVisible: Boolean;

  const VsbVisible: Boolean;

  out HsbRange: Integer;

  out VsbRange: Integer;

  out HsbPage: Integer;

  out VsbPage: Integer;

  out HsbPos: Integer;

  out VsbPos: Integer

); virtual;


TCustomGrid.GetSBVisibility

GetSBVisibility - finds the values of the visibility flags for the scrollbars

Declaration

Source position: grids.pas line 1058

protected procedure TCustomGrid.GetSBVisibility(

  out HsbVisible: Boolean;

  out VsbVisible: Boolean

); virtual;


TCustomGrid.GetScrollBarPosition

GetScrollBarPosition - returns the position of the scroll bar specified by Which

Declaration

Source position: grids.pas line 1056

protected function TCustomGrid.GetScrollBarPosition(

  Which: Integer

):Integer;


TCustomGrid.GetSelectedColor

GetSelectedColor - returns the value for the colour of tems that have been selected

Declaration

Source position: grids.pas line 1069

protected function TCustomGrid.GetSelectedColor: TColor; virtual;


TCustomGrid.GetSelectedState

Declaration

Source position: grids.pas line 1061

protected procedure TCustomGrid.GetSelectedState(

  AState: TGridDrawState;

  out IsSelected: Boolean

); virtual;


TCustomGrid.GetSmoothScroll

Declaration

Source position: grids.pas line 1057

protected function TCustomGrid.GetSmoothScroll(

  Which: Integer

):Boolean; virtual;


TCustomGrid.GetTitleShowPrefix

Declaration

Source position: grids.pas line 1070

protected function TCustomGrid.GetTitleShowPrefix(

  Column: Integer

):Boolean;


TCustomGrid.GetTruncCellHintText

Declaration

Source position: grids.pas line 1072

protected function TCustomGrid.GetTruncCellHintText(

  ACol: Integer;

  ARow: Integer

):string; virtual;


TCustomGrid.GridColumnFromColumnIndex

GridColumnFromColumnIndex - returns the number of the column given its column index

Declaration

Source position: grids.pas line 1073

protected function TCustomGrid.GridColumnFromColumnIndex(

  ColumnIndex: Integer

):Integer;


TCustomGrid.GridFlags

GridFlags - the flags that are set for the grid

Declaration

Source position: grids.pas line 1198

protected property TCustomGrid.GridFlags : TGridFlags
  read FGridFlags
  write FGridFlags;


TCustomGrid.GridHeight

GridHeight - the height of the grid

Declaration

Source position: grids.pas line 1199

protected property TCustomGrid.GridHeight : Integer
  read FGCache.GridHeight;


TCustomGrid.GridLineColor

Colour to be used for GridLines

Declaration

Source position: grids.pas line 1200

protected property TCustomGrid.GridLineColor : TColor
  read FGridLineColor
  write SetGridLineColor
  default clSilver;


TCustomGrid.GridLineStyle

Style to be used for GridLines

Declaration

Source position: grids.pas line 1201

protected property TCustomGrid.GridLineStyle : TPenStyle
  read FGridLineStyle
  write SetGridLineStyle;


TCustomGrid.GridLineWidth

Width (thickness) of GridLines

Declaration

Source position: grids.pas line 1202

protected property TCustomGrid.GridLineWidth : Integer
  read FGridLineWidth
  write SetGridLineWidth
  default 1;


TCustomGrid.GridMouseWheel

Declaration

Source position: grids.pas line 1074

protected procedure TCustomGrid.GridMouseWheel(

  Shift: TShiftState;

  Delta: Integer

); virtual;


TCustomGrid.GridWidth

Width of the whole Grid

Declaration

Source position: grids.pas line 1203

protected property TCustomGrid.GridWidth : Integer
  read FGCache.GridWidth;


TCustomGrid.HasMultiSelection

Declaration

Source position: grids.pas line 1286

public function TCustomGrid.HasMultiSelection: Boolean;


TCustomGrid.HeaderClick

HeaderClick - method to deal with a click on the column (if IsColumn is True) or row Header

Declaration

Source position: grids.pas line 1075

protected procedure TCustomGrid.HeaderClick(

  IsColumn: Boolean;

  index: Integer

); virtual;


TCustomGrid.HeaderHotZones

HeaderHotZones - the zones of the header that are under the cursor, so are capable of being selected or pushed (or not!)

Declaration

Source position: grids.pas line 1204

protected property TCustomGrid.HeaderHotZones : TGridZoneSet
  read FHeaderHotZones
  write FHeaderHotZones
  default [gzFixedCols];


TCustomGrid.HeaderPushZones

HeaderPushZones - the zones of the header that have been selected by the cursor, or pushed

Declaration

Source position: grids.pas line 1205

protected property TCustomGrid.HeaderPushZones : TGridZoneSet
  read FHeaderPushZones
  write FHeaderPushZones
  default [gzFixedCols];


TCustomGrid.HeaderSized

HeaderSized - method to deal with re-sizing of a column (IsColumn True) or row header

Declaration

Source position: grids.pas line 1076

protected procedure TCustomGrid.HeaderSized(

  IsColumn: Boolean;

  index: Integer

); virtual;


TCustomGrid.HeaderSizing

Declaration

Source position: grids.pas line 1077

protected procedure TCustomGrid.HeaderSizing(

  const IsColumn: Boolean;

  const AIndex: Integer;

  const ASize: Integer

); virtual;


TCustomGrid.HideCellHintWindow

Declaration

Source position: grids.pas line 1078

protected procedure TCustomGrid.HideCellHintWindow;


TCustomGrid.ImageIndexSortAsc

Declaration

Source position: grids.pas line 1206

protected property TCustomGrid.ImageIndexSortAsc : TImageIndex
  read FAscImgInd
  write FAscImgInd
  default - 1;


TCustomGrid.ImageIndexSortDesc

Declaration

Source position: grids.pas line 1207

protected property TCustomGrid.ImageIndexSortDesc : TImageIndex
  read FDescImgInd
  write FDescImgInd
  default - 1;


TCustomGrid.InplaceEditor

InplaceEditor - the editor to be used in-place, ie in the cell itself instead of outside the grid

Declaration

Source position: grids.pas line 1211

protected property TCustomGrid.InplaceEditor : TWinControl
  read FEditor;


TCustomGrid.InternalSetColCount

InternalSetColCount - specify the column count

Declaration

Source position: grids.pas line 1079

protected procedure TCustomGrid.InternalSetColCount(

  ACount: Integer

);


TCustomGrid.InvalidateCell

InvalidateCell - render a cell non-valid, and redraw if required

Declaration

Source position: grids.pas line 1080

protected procedure TCustomGrid.InvalidateCell(

  aCol: Integer;

  aRow: Integer;

  Redraw: Boolean

); overload;

procedure TCustomGrid.InvalidateCell(

  aCol: Integer;

  aRow: Integer

); overload;


TCustomGrid.InvalidateCol

InvalidateCol - render the specified column non-valid

Declaration

Source position: grids.pas line 1288

public procedure TCustomGrid.InvalidateCol(

  ACol: Integer

);


TCustomGrid.InvalidateFocused

InvalidateFocused - render the focused item non-valid

Declaration

Source position: grids.pas line 1083

protected procedure TCustomGrid.InvalidateFocused;


TCustomGrid.InvalidateFromCol

InvalidateFromCol - render the grid non-valid from the specified column onwards

Declaration

Source position: grids.pas line 1081

protected procedure TCustomGrid.InvalidateFromCol(

  ACol: Integer

);


TCustomGrid.InvalidateGrid

InvalidateGrid - render the whole grid non-valid

Declaration

Source position: grids.pas line 1082

protected procedure TCustomGrid.InvalidateGrid;


TCustomGrid.InvalidateRange

InvalidateRange - render a range of the grid non-valid

Declaration

Source position: grids.pas line 1289

public procedure TCustomGrid.InvalidateRange(

  const aRange: TRect

);


TCustomGrid.InvalidateRow

InvalidateRow - render the specified row non-valid

Declaration

Source position: grids.pas line 1290

public procedure TCustomGrid.InvalidateRow(

  ARow: Integer

);


TCustomGrid.IsCellSelected

IsCellSelected - is the cell specified by aCol, aRow selected?

Declaration

Source position: grids.pas line 1212

protected property TCustomGrid.IsCellSelected[aCol: Integer,aRow: Integer] : Boolean
  read GetIsCellSelected;


TCustomGrid.IsCellVisible

Finds out whether a particular cell is visible

Declaration

Source position: grids.pas line 1291

public function TCustomGrid.IsCellVisible(

  aCol: Integer;

  aRow: Integer

):Boolean;


TCustomGrid.IsEmptyRow

Declaration

Source position: grids.pas line 1086

protected function TCustomGrid.IsEmptyRow(

  ARow: Integer

):Boolean;


TCustomGrid.IsFixedCellVisible

Declaration

Source position: grids.pas line 1292

public function TCustomGrid.IsFixedCellVisible(

  aCol: Integer;

  aRow: Integer

):Boolean;


TCustomGrid.IsMouseOverCellButton

Declaration

Source position: grids.pas line 1087

protected function TCustomGrid.IsMouseOverCellButton(

  X: Integer;

  Y: Integer

):Boolean;


TCustomGrid.KeyPress

Declaration

Source position: grids.pas line 1090

protected procedure TCustomGrid.KeyPress(

  var Key: Char

); override;


TCustomGrid.LeftCol

LeftCol - the left-most column

Declaration

Source position: grids.pas line 1213

protected property TCustomGrid.LeftCol : Integer
  read GetLeftCol
  write SetLeftCol;


TCustomGrid.LoadContent

LoadContent - method to load a configuration

Declaration

Source position: grids.pas line 1091

protected procedure TCustomGrid.LoadContent(

  cfg: TXMLConfig;

  Version: Integer

); virtual;


TCustomGrid.LoadFromFile

Load the grid data from a file with the specified name

Declaration

Source position: grids.pas line 1293

public procedure TCustomGrid.LoadFromFile(

  FileName: string

); virtual;

Description

Note that the SaveOptions property determines what information is loaded.

See also

TCustomGrid.SaveToFile | Save the data in the grid to a file with specified name
TCustomGrid.SaveOptions | The set of options for saving information from the grid (design, attributes, content or position)


TCustomGrid.LoadFromStream

Declaration

Source position: grids.pas line 1294

public procedure TCustomGrid.LoadFromStream(

  AStream: TStream

); virtual;


TCustomGrid.LoadGridOptions

Declaration

Source position: grids.pas line 1092

protected procedure TCustomGrid.LoadGridOptions(

  cfg: TXMLConfig;

  Version: Integer

); virtual;


TCustomGrid.LockEditor

LockEditor - lock the editor so that it will not accept input or changes

Declaration

Source position: grids.pas line 1094

protected procedure TCustomGrid.LockEditor;


TCustomGrid.MouseButtonAllowed

Declaration

Source position: grids.pas line 1095

protected function TCustomGrid.MouseButtonAllowed(

  Button: TMouseButton

):Boolean; virtual;


TCustomGrid.MouseCoord

Find the mouse coordinates relative to the grid origin

Declaration

Source position: grids.pas line 1295

public function TCustomGrid.MouseCoord(

  X: Integer;

  Y: Integer

):TGridCoord;


TCustomGrid.MouseToCell

Convert mouse coordinates to the position of a cell in the grid

Declaration

Source position: grids.pas line 1296

public function TCustomGrid.MouseToCell(

  const Mouse: TPoint

):TPoint; overload;

procedure TCustomGrid.MouseToCell(

  X: Integer;

  Y: Integer;

  var ACol: LongInt;

  var ARow: LongInt

); overload;


TCustomGrid.MouseToGridZone

MouseToGridZone - convert mouse coordinates to a grid zone

Declaration

Source position: grids.pas line 1299

public function TCustomGrid.MouseToGridZone(

  X: Integer;

  Y: Integer

):TGridZone;


TCustomGrid.MouseToLogcell

Convert mouse coordinates to the position of a logical cell in the grid

Declaration

Source position: grids.pas line 1298

public function TCustomGrid.MouseToLogcell(

  Mouse: TPoint

):TPoint;


TCustomGrid.MouseWheelOption

Declaration

Source position: grids.pas line 1214

protected property TCustomGrid.MouseWheelOption : TMouseWheelOption
  read FMouseWheelOption
  write FMouseWheelOption
  default mwCursor;


TCustomGrid.MoveExtend

MoveExtend - move an extended selection; if Relative is true, use Delta column and row to find position; returns True if successful

Declaration

Source position: grids.pas line 1099

protected function TCustomGrid.MoveExtend(

  Relative: Boolean;

  DCol: Integer;

  DRow: Integer;

  ForceFullyVisible: Boolean = True

):Boolean;


TCustomGrid.MoveNextAuto

MoveNextAuto - move to next cell in automatic sequence; if Relative is True, use delta col and row to find position; returns True if successful

Declaration

Source position: grids.pas line 1100

protected function TCustomGrid.MoveNextAuto(

  const Inverse: Boolean

):Boolean;


TCustomGrid.MoveNextSelectable

MoveNextSelectable - move to next selectable cel; use delta col and row if Relative is True; returns True if successful

Declaration

Source position: grids.pas line 1101

protected function TCustomGrid.MoveNextSelectable(

  Relative: Boolean;

  DCol: Integer;

  DRow: Integer

):Boolean; virtual;


TCustomGrid.MoveSelection

MoveSelection - moves the selected text, cell or group of cells

Declaration

Source position: grids.pas line 1102

protected procedure TCustomGrid.MoveSelection; virtual;


TCustomGrid.OffsetToColRow

OffsetToColRow - move by the value of Offset to another column or row (determined by the value of IsCol), returning True if successful

Declaration

Source position: grids.pas line 1103

protected function TCustomGrid.OffsetToColRow(

  IsCol: Boolean;

  Fisical: Boolean;

  Offset: Integer;

  var Index: Integer;

  var Rest: Integer

):Boolean;


TCustomGrid.OnAfterSelection

Declaration

Source position: grids.pas line 1236

protected property TCustomGrid.OnAfterSelection : TOnSelectEvent
  read FOnAfterSelection
  write FOnAfterSelection;


TCustomGrid.OnBeforeSelection

OnBeforeSelection - event handler for use before a selection is made

Declaration

Source position: grids.pas line 1237

protected property TCustomGrid.OnBeforeSelection : TOnSelectEvent
  read FOnBeforeSelection
  write FOnBeforeSelection;


TCustomGrid.OnButtonClick

Declaration

Source position: grids.pas line 1244

protected property TCustomGrid.OnButtonClick : TOnSelectEvent
  read FOnButtonClick
  write FOnButtonClick;


TCustomGrid.OnCheckboxToggled

Declaration

Source position: grids.pas line 1238

protected property TCustomGrid.OnCheckboxToggled : TToggledCheckboxEvent
  read FOnCheckboxToggled
  write FOnCheckboxToggled;


TCustomGrid.OnCompareCells

Event handler for comparing the contents of grid cells

Declaration

Source position: grids.pas line 1239

protected property TCustomGrid.OnCompareCells : TOnCompareCells
  read FOnCompareCells
  write FOnCompareCells;


TCustomGrid.OnDrawCell

Event handler for drawing a cell

Declaration

Source position: grids.pas line 1241

protected property TCustomGrid.OnDrawCell : TOnDrawCell
  read FOnDrawCell
  write FOnDrawCell;


TCustomGrid.OnEditButtonClick

[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] Reference for unit 'Grids' (#lcl)

TCustomGrid.OnEditButtonClick (deprecated)

Event handler for when the Edit button is clicked

Declaration

Source position: grids.pas line 1243

protected property TCustomGrid.OnEditButtonClick : TNotifyEvent
  read FOnEditButtonClick
  write FOnEditButtonClick;


TCustomGrid.OnGetCellHint

Get individual hint for each cell

Declaration

Source position: grids.pas line 1256

protected property TCustomGrid.OnGetCellHint : TGetCellHintEvent
  read FOnGetCellHint
  write FOnGetCellHint;

Description

Only called if TGridOption.goCellHintsis set.

See also

TGridOption.goCellHints | Show individual cell hints
TCustomGrid.Options | The options available for use in this grid


TCustomGrid.OnLoadColumn

Declaration

Source position: grids.pas line 1258

protected property TCustomGrid.OnLoadColumn : TSaveColumnEvent
  read FOnLoadColumn
  write FOnLoadColumn;


TCustomGrid.OnPickListSelect

Event handler for selecting an item from a picklist (eg drop-down list in TComboBox)

Declaration

Source position: grids.pas line 1245

protected property TCustomGrid.OnPickListSelect : TNotifyEvent
  read FOnPickListSelect
  write FOnPickListSelect;


TCustomGrid.OnPrepareCanvas

Event handler to prepare the Canvas for drawing

Declaration

Source position: grids.pas line 1240

protected property TCustomGrid.OnPrepareCanvas : TOnPrepareCanvasEvent
  read FOnPrepareCanvas
  write FOnPrepareCanvas;


TCustomGrid.OnSaveColumn

Declaration

Source position: grids.pas line 1257

protected property TCustomGrid.OnSaveColumn : TSaveColumnEvent
  read FOnSaveColumn
  write FOnSaveColumn;


TCustomGrid.OnSelectEditor

Event handler for selecting an editor

Declaration

Source position: grids.pas line 1247

protected property TCustomGrid.OnSelectEditor : TSelectEditorEvent
  read FOnSelectEditor
  write FOnSelectEditor;


TCustomGrid.OnSelection

Event handler for when an area of a grid (one or a group of cells) is selected

Declaration

Source position: grids.pas line 1246

protected property TCustomGrid.OnSelection : TOnSelectEvent
  read fOnSelection
  write fOnSelection;

Description

The Col and Row parameters contain the column and the row of the highlighted cell. Application developers may use the OnSelection and OnBeforeSelection events to react on focus changes. Component developers should use the method instead.


TCustomGrid.OnTopLeftChanged

Event handler when the top left cell is changed (ie the grid has been scrolled so that a different cell occupies top left)

Declaration

Source position: grids.pas line 1248

protected property TCustomGrid.OnTopLeftChanged : TNotifyEvent
  read FOnTopLeftChanged
  write FOnTopLeftChanged;


TCustomGrid.OnUserCheckboxBitmap

OnUserCheckboxBitmap - event handler for a user accessing a checkbox bitmap

Declaration

Source position: grids.pas line 1249

protected property TCustomGrid.OnUserCheckboxBitmap : TUserCheckBoxBitmapEvent
  read FOnUserCheckboxBitmap
  write FOnUserCheckboxBitmap;


TCustomGrid.OnValidateEntry

Declaration

Source position: grids.pas line 1250

protected property TCustomGrid.OnValidateEntry : TValidateEntryEvent
  read FOnValidateEntry
  write FOnValidateEntry;


TCustomGrid.Options

The options available for use in this grid

Declaration

Source position: grids.pas line 1215

protected property TCustomGrid.Options : TGridOptions
  read FOptions
  write SetOptions
  default DefaultGridOptions;

Description

For a list of options seeTGridOptions


TCustomGrid.Options2

Declaration

Source position: grids.pas line 1216

protected property TCustomGrid.Options2 : TGridOptions2
  read FOptions2
  write SetOptions2
  default DefaultGridOptions2;


TCustomGrid.PickListItemSelected

PickListItemSelected - indicates that an item was selected from the pick-list

Declaration

Source position: grids.pas line 1106

protected procedure TCustomGrid.PickListItemSelected(

  Sender: TObject

);


TCustomGrid.PrepareCanvas

PrepareCanvas - method to get the canvas ready for drawing at the specified location

Declaration

Source position: grids.pas line 1107

protected procedure TCustomGrid.PrepareCanvas(

  aCol: Integer;

  aRow: Integer;

  aState: TGridDrawState

); virtual;


TCustomGrid.PrepareCellHints

Declaration

Source position: grids.pas line 1108

protected procedure TCustomGrid.PrepareCellHints(

  ACol: Integer;

  ARow: Integer

); virtual;


TCustomGrid.RangeSelectMode

Declaration

Source position: grids.pas line 1217

protected property TCustomGrid.RangeSelectMode : TRangeSelectMode
  read FRangeSelectMode
  write SetRangeSelectMode
  default rsmSingle;


TCustomGrid.ResetDefaultColWidths

Declaration

Source position: grids.pas line 1109

protected procedure TCustomGrid.ResetDefaultColWidths; virtual;


TCustomGrid.ResetEditor

ResetEditor - resets the current editor for the grid

Declaration

Source position: grids.pas line 1110

protected procedure TCustomGrid.ResetEditor;


TCustomGrid.ResetLastMove

Declaration

Source position: grids.pas line 1111

protected procedure TCustomGrid.ResetLastMove;


TCustomGrid.ResetOffset

ResetOffset - resets the offset, checking columns and rows if demanded

Declaration

Source position: grids.pas line 1112

protected function TCustomGrid.ResetOffset(

  chkCol: Boolean;

  ChkRow: Boolean

):Boolean;


TCustomGrid.ResetSizes

ResetSizes - resets the sizes

Declaration

Source position: grids.pas line 1113

protected procedure TCustomGrid.ResetSizes; virtual;


TCustomGrid.ResizeColumn

ResizeColumn - resizes the nominated column to the specified width

Declaration

Source position: grids.pas line 1114

protected procedure TCustomGrid.ResizeColumn(

  aCol: Integer;

  aWidth: Integer

);


TCustomGrid.ResizeRow

ResizeRow - resizes the nominated row to the specified height

Declaration

Source position: grids.pas line 1115

protected procedure TCustomGrid.ResizeRow(

  aRow: Integer;

  aHeight: Integer

);


TCustomGrid.Row

The current Row (record) within the grid

Declaration

Source position: grids.pas line 1218

protected property TCustomGrid.Row : Integer
  read FRow
  write SetRow;


TCustomGrid.RowCount

Number of rows in the grid

Declaration

Source position: grids.pas line 1219

protected property TCustomGrid.RowCount : Integer
  read GetRowCount
  write SetRowCount
  default 5;

Description

This is the number of rows in the grid, including fixed and normal rows.

See also

TCustomGrid.Row | The current Row (record) within the grid
TCustomGrid.RowHeights | The row heights for the grid.
TCustomGrid.RowCount | Number of rows in the grid


TCustomGrid.RowHeights

The row heights for the grid.

Declaration

Source position: grids.pas line 1220

protected property TCustomGrid.RowHeights[aRow: Integer] : Integer
  read GetRowHeights
  write SetRowHeights;

Description

The row is specified with the aRow parameter. The aRow parameter must fall within the valid index range of 0 to RowCount-1.

The return value of the property is the height of this row, measured in pixels.

The initial height of a newly created row is specified with the DefaultRowHeight property. After that the user may redefine this value. If the Options property includes the appropriate value, the row height may also be changed by the user at runtime.

See also

TCustomGrid.ColWidths

Column widths for the grid.


TCustomGrid.RowHeightsChanged

RowHeightsChanged - method invoked when row heights are changes

Declaration

Source position: grids.pas line 1116

protected procedure TCustomGrid.RowHeightsChanged; virtual;


TCustomGrid.RTLSign

Declaration

Source position: grids.pas line 924

protected function TCustomGrid.RTLSign: Integer;


TCustomGrid.SaveContent

SaveContent as specified in the XML configuration variable

Declaration

Source position: grids.pas line 1117

protected procedure TCustomGrid.SaveContent(

  cfg: TXMLConfig

); virtual;


TCustomGrid.SaveGridOptions

Declaration

Source position: grids.pas line 1118

protected procedure TCustomGrid.SaveGridOptions(

  cfg: TXMLConfig

); virtual;


TCustomGrid.SaveOptions

The set of options for saving information from the grid (design, attributes, content or position)

Declaration

Source position: grids.pas line 1221

protected property TCustomGrid.SaveOptions : TSaveOptions
  read FsaveOptions
  write FSaveOptions;

Description

These options are used when saving grid information, but also when loading grid information.

See also

TCustomGrid.LoadFromFile | Load the grid data from a file with the specified name
TCustomGrid.SaveToFile | Save the data in the grid to a file with specified name


TCustomGrid.SaveToFile

Save the data in the grid to a file with specified name

Declaration

Source position: grids.pas line 1300

public procedure TCustomGrid.SaveToFile(

  FileName: string

); virtual;

Description

Note that the property SaveOptions determines what information is saved.

See also

TCustomGrid.LoadFromFile | Load the grid data from a file with the specified name
TCustomGrid.SaveOptions | The set of options for saving information from the grid (design, attributes, content or position)


TCustomGrid.SaveToStream

Declaration

Source position: grids.pas line 1301

public procedure TCustomGrid.SaveToStream(

  AStream: TStream

); virtual;


TCustomGrid.ScrollBarAutomatic

ScrollBarAutomatic method

Declaration

Source position: grids.pas line 1124

protected function TCustomGrid.ScrollBarAutomatic(

  Which: TScrollStyle

):Boolean; virtual;

Description

Check if scrollbars are shown automatically by the grid or not. 'Which' can be any of : SB_BOTH, SB_VERT, SB_HORZ


TCustomGrid.ScrollBarIsVisible

ScrollBarIsVisible - Returns True if visible; Which determines whether horizontal or vertical

Declaration

Source position: grids.pas line 1121

protected function TCustomGrid.ScrollBarIsVisible(

  Which: Integer

):Boolean;


TCustomGrid.ScrollBarPage

ScrollBarPage - a Page movement of the scrollbar (specified by Which)

Declaration

Source position: grids.pas line 1122

protected procedure TCustomGrid.ScrollBarPage(

  Which: Integer;

  aPage: Integer

);


TCustomGrid.ScrollBarPosition

ScrollBarPosition - records the position ( Value) of the scrollbar; Which determines horizontal or vertical

Declaration

Source position: grids.pas line 1120

protected procedure TCustomGrid.ScrollBarPosition(

  Which: Integer;

  Value: Integer

);


TCustomGrid.ScrollBarRange

ScrollBarRange - specify the range of the scrollbar; Which determines whether it is horizontal or vertical

Declaration

Source position: grids.pas line 1119

protected procedure TCustomGrid.ScrollBarRange(

  Which: Integer;

  aRange: Integer;

  aPage: Integer;

  aPos: Integer

);


TCustomGrid.ScrollBars

The ScrollBars to be used with this grid

Declaration

Source position: grids.pas line 1226

protected property TCustomGrid.ScrollBars : TScrollStyle
  read FScrollBars
  write SetScrollBars
  default ssAutoBoth;


TCustomGrid.ScrollBarShow

ScrollBarShow method

Declaration

Source position: grids.pas line 1123

protected procedure TCustomGrid.ScrollBarShow(

  Which: Integer;

  aValue: Boolean

);

Description

Change the appearance of the scrollbars in the grid. 'Which' can be any of : SB_BOTH, SB_VERT, SB_HORZ 'aValue' can be True or False


TCustomGrid.ScrollBy

Declaration

Source position: grids.pas line 1125

protected procedure TCustomGrid.ScrollBy(

  DeltaX: Integer;

  DeltaY: Integer

); override;


TCustomGrid.SelectActive

SelectActive - if True, the current active cell is selected

Declaration

Source position: grids.pas line 1222

protected property TCustomGrid.SelectActive : Boolean
  read FSelectActive
  write SetSelectActive;


TCustomGrid.SelectCell

Is called if a grid cell is highlighted.

Declaration

Source position: grids.pas line 1127

protected function TCustomGrid.SelectCell(

  ACol: Integer;

  ARow: Integer

):Boolean; virtual;

Description

The SelectCell method is called if a grid cell will be highlighted.

The aCol and aRow parameters contain the column and the row of the highlighted cell.

Component developers may use the SelectCell method to react on focus changes. The Result is true if the cell is allowed to be selected. Application developers should use the OnSelectCell event instead.


TCustomGrid.SelectedColor

Colour to be used for selected cells

Declaration

Source position: grids.pas line 1223

protected property TCustomGrid.SelectedColor : TColor
  read GetSelectedColor
  write SetSelectedColor;


TCustomGrid.SelectedColumn

The column (field) currently selected

Declaration

Source position: grids.pas line 1224

protected property TCustomGrid.SelectedColumn : TGridColumn
  read GetSelectedColumn;


TCustomGrid.SelectEditor

SelectEditor - chooses the editor for current use

Declaration

Source position: grids.pas line 1126

protected procedure TCustomGrid.SelectEditor; virtual;


TCustomGrid.SelectedRange

Declaration

Source position: grids.pas line 1304

public property TCustomGrid.SelectedRange[AIndex: Integer] : TGridRect
  read GetSelectedRange;


TCustomGrid.SelectedRangeCount

Declaration

Source position: grids.pas line 1305

public property TCustomGrid.SelectedRangeCount : Integer
  read GetSelectedRangeCount;


TCustomGrid.Selection

The current selection (rows and columns) in the grid

Declaration

Source position: grids.pas line 1225

protected property TCustomGrid.Selection : TGridRect
  read GetSelection
  write SetSelection;


TCustomGrid.SetBorderStyle

SetBorderStyle - specifies a new border style

Declaration

Source position: grids.pas line 1132

protected procedure TCustomGrid.SetBorderStyle(

  NewStyle: TBorderStyle

); override;


TCustomGrid.SetCanvasFont

SetCanvasFont to specified value

Declaration

Source position: grids.pas line 1128

protected procedure TCustomGrid.SetCanvasFont(

  aFont: TFont

);


TCustomGrid.SetColor

SetColor to specified value

Declaration

Source position: grids.pas line 1129

protected procedure TCustomGrid.SetColor(

  Value: TColor

); override;


TCustomGrid.SetColRow

SetColRow - specifies the column and row for addressing

Declaration

Source position: grids.pas line 1130

protected procedure TCustomGrid.SetColRow(

  const ACol: Integer;

  const ARow: Integer;

  withEvents: Boolean = False

);


TCustomGrid.SetEditText

SetEditText - specifies the text-string to be placed in the Editor for processing

Declaration

Source position: grids.pas line 1131

protected procedure TCustomGrid.SetEditText(

  ACol: LongInt;

  ARow: LongInt;

  const Value: string

); virtual;


TCustomGrid.SetFixedcolor

SetFixedcolor - specifies colour for fixed cells

Declaration

Source position: grids.pas line 1133

protected procedure TCustomGrid.SetFixedcolor(

  const AValue: TColor

); virtual;


TCustomGrid.SetFixedCols

Write specifier for FixedCols

Declaration

Source position: grids.pas line 1134

protected procedure TCustomGrid.SetFixedCols(

  const AValue: Integer

); virtual;


TCustomGrid.SetFixedRows

Write specifier for FixedRows

Declaration

Source position: grids.pas line 1135

protected procedure TCustomGrid.SetFixedRows(

  const AValue: Integer

); virtual;


TCustomGrid.SetFocus

Set focus on the grid

Declaration

Source position: grids.pas line 1302

public procedure TCustomGrid.SetFocus; override;


TCustomGrid.SetRawColWidths

Write specifier for RawColWidths

Declaration

Source position: grids.pas line 1136

protected procedure TCustomGrid.SetRawColWidths(

  ACol: Integer;

  AValue: Integer

);


TCustomGrid.SetSelectedColor

SetSelectedColor - specifies colour for cells that have been selected

Declaration

Source position: grids.pas line 1137

protected procedure TCustomGrid.SetSelectedColor(

  const AValue: TColor

); virtual;


TCustomGrid.ShowCellHintWindow

Declaration

Source position: grids.pas line 1138

protected procedure TCustomGrid.ShowCellHintWindow(

  APoint: TPoint

);


TCustomGrid.SizeChanged

SizeChanged - specifies the old number of columns and rows

Declaration

Source position: grids.pas line 1139

protected procedure TCustomGrid.SizeChanged(

  OldColCount: Integer;

  OldRowCount: Integer

); virtual;


TCustomGrid.Sort

Sort method

Declaration

Source position: grids.pas line 1140

protected procedure TCustomGrid.Sort(

  ColSorting: Boolean;

  index: Integer;

  IndxFrom: Integer;

  IndxTo: Integer

); virtual;

Description

Method to sort all items in the grid

If ColSorting is True, sorts the items in a column; otherwise sorts a row

The three given indexes specify the items to be sorted


TCustomGrid.SortColumn

Declaration

Source position: grids.pas line 1307

public property TCustomGrid.SortColumn : Integer
  read FSortColumn;


TCustomGrid.SortOrder

Order of sorting - ascending or descending

Declaration

Source position: grids.pas line 1306

public property TCustomGrid.SortOrder : TSortOrder
  read FSortOrder
  write FSortOrder;


TCustomGrid.StartPushCell

Declaration

Source position: grids.pas line 1141

protected procedure TCustomGrid.StartPushCell;


TCustomGrid.StrictSort

StrictSort - is strict sorting to be used?

Declaration

Source position: grids.pas line 1227

protected property TCustomGrid.StrictSort : Boolean
  read FStrictSort
  write FStrictSort;


TCustomGrid.TabAdvance

Declaration

Source position: grids.pas line 1208

protected property TCustomGrid.TabAdvance : TAutoAdvance
  read FTabAdvance
  write FTabAdvance
  default aaRightDown;


TCustomGrid.TitleFont

The font to be used in the grid's title

Declaration

Source position: grids.pas line 1228

protected property TCustomGrid.TitleFont : TFont
  read FTitleFont
  write SetTitleFont;


TCustomGrid.TitleImageList

TitleImageList - the list of images to be used with the titles

Declaration

Source position: grids.pas line 1209

protected property TCustomGrid.TitleImageList : TImageList
  read FTitleImageList
  write SetTitleImageList;


TCustomGrid.TitleImageListWidth

Declaration

Source position: grids.pas line 1210

protected property TCustomGrid.TitleImageListWidth : Integer
  read FTitleImageListWidth
  write SetTitleImageListWidth
  default 0;


TCustomGrid.TitleStyle

The style to be used for the grid's title

Declaration

Source position: grids.pas line 1229

protected property TCustomGrid.TitleStyle : TTitleStyle
  read FTitleStyle
  write SetTitleStyle
  default tsLazarus;


TCustomGrid.TopLeftChanged

TopLeftChanged - the top left cell has changed

Declaration

Source position: grids.pas line 1142

protected procedure TCustomGrid.TopLeftChanged; virtual;


TCustomGrid.TopRow

The first row (record) in the grid

Declaration

Source position: grids.pas line 1230

protected property TCustomGrid.TopRow : Integer
  read GetTopRow
  write SetTopRow;


TCustomGrid.TryMoveSelection

TryMoveSelection - attempts to move the selection by the specified offset; returns True if sucessful

Declaration

Source position: grids.pas line 1143

protected function TCustomGrid.TryMoveSelection(

  Relative: Boolean;

  var DCol: Integer;

  var DRow: Integer

):Boolean;


TCustomGrid.UnLockEditor

UnLockEditor - frees a previously locked Editor

Declaration

Source position: grids.pas line 1144

protected procedure TCustomGrid.UnLockEditor;


TCustomGrid.UnprepareCellHints

Declaration

Source position: grids.pas line 1145

protected procedure TCustomGrid.UnprepareCellHints; virtual;


TCustomGrid.UpdateBorderStyle

UpdateBorderStyle - brings the border style up to date

Declaration

Source position: grids.pas line 1149

protected procedure TCustomGrid.UpdateBorderStyle;


TCustomGrid.UpdateHorzScrollBar

UpdateHorzScrollBar - updates the scrollbar in the given range by the given page, if it is visible

Declaration

Source position: grids.pas line 1146

protected procedure TCustomGrid.UpdateHorzScrollBar(

  const aVisible: Boolean;

  const aRange: Integer;

  const aPage: Integer;

  const aPos: Integer

); virtual;


TCustomGrid.UpdateSelectionRange

UpdateSelectionRange - updates the range of the current selection

Declaration

Source position: grids.pas line 1147

protected procedure TCustomGrid.UpdateSelectionRange;


TCustomGrid.UpdateVertScrollbar

UpdateVertScrollbar - updates the scrollbar in the given range by the given page, if it is visible

Declaration

Source position: grids.pas line 1148

protected procedure TCustomGrid.UpdateVertScrollbar(

  const aVisible: Boolean;

  const aRange: Integer;

  const aPage: Integer;

  const aPos: Integer

); virtual;


TCustomGrid.UseXORFeatures

UseXORFeatures: When True, the dotted focus rectangle is painted using the XOR raster operation

Declaration

Source position: grids.pas line 1231

protected property TCustomGrid.UseXORFeatures : Boolean
  read FUseXORFeatures
  write SetUseXorFeatures
  default False;

Description

This property controls how the dotted focus rectangle appears in the grid. When True, the rectangle is painted using the XOR raster operation. This allow us to see the focus rectangle no matter what the cells' background color is. When False, the user can control the color of the dotted focus rectangle using the FocusColor property

It also controls the look of the column/row resizing. When True, a line shows visually the size that the the column or row will have if the user ends the operation. When False, the column or row resizing takes effect just as the user drags the mouse


TCustomGrid.ValidateEntry

Declaration

Source position: grids.pas line 1150

protected function TCustomGrid.ValidateEntry(

  const ACol: Integer;

  const ARow: Integer;

  const OldValue: string;

  var NewValue: string

):Boolean; virtual;


TCustomGrid.ValidateOnSetSelection

Declaration

Source position: grids.pas line 1232

protected property TCustomGrid.ValidateOnSetSelection : Boolean
  read FValidateOnSetSelection
  write FValidateOnSetSelection;


TCustomGrid.VisibleColCount

The number of visible columns

Declaration

Source position: grids.pas line 1233

protected property TCustomGrid.VisibleColCount : Integer
  read GetVisibleColCount
  stored False;


TCustomGrid.VisibleRowCount

The number of visible rows

Declaration

Source position: grids.pas line 1234

protected property TCustomGrid.VisibleRowCount : Integer
  read GetVisibleRowCount
  stored False;


TCustomGrid.VisualChange

VisualChange - a change in the visual properties

Declaration

Source position: grids.pas line 1151

protected procedure TCustomGrid.VisualChange; virtual;


TCustomGrid.WMHScroll

WMHScroll - system message for horizontal scrolling

Declaration

Source position: grids.pas line 1153

protected procedure TCustomGrid.WMHScroll(

  var message: TLMHScroll

); message;


TCustomGrid.WMSize

Declaration

Source position: grids.pas line 1152

protected procedure TCustomGrid.WMSize(

  var Message: TLMSize

); message;


TCustomGrid.WMVScroll

WMVScroll - system message for vertical scrolling

Declaration

Source position: grids.pas line 1154

protected procedure TCustomGrid.WMVScroll(

  var message: TLMVScroll

); message;


TCustomStringGrid

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

TCustomStringGrid - base class for TStringGrid

Declaration

Source position: grids.pas line 1667

type TCustomStringGrid = class(TCustomDrawGrid)
protected
procedure AssignTo(); override;
procedure AutoAdjustColumn(); override; | AutoAdjustColumn - automatically adjust column properties to accommodate largest object
procedure CalcCellExtent(); override; | CalcCellExtent - calculate the dimensions required for the cell specified by aCol, aRow
procedure DefineProperties(); override; |
procedure DefineCellsProperty(); virtual;
function DoCompareCells(); override; | DoCompareCells - perform the comparison of two or more cells in a grid
procedure DoCopyToClipboard; override; | DoCopyToClipboard - copy the selected data to the clipboard, leaving the original data in place
procedure DoCutToClipboard; override; | DoCutToClipboard - cut the data from its current site and place it on the clipboard
procedure DoPasteFromClipboard; override; | DoPasteFromClipboard paste the data from the clipboard to the current location
procedure DoCellProcess(); virtual;
procedure DrawColumnText(); override;
procedure DrawTextInCell(); override;
procedure DrawCellAutonumbering(); override; | DrawCellAutonumbering - draws a cell using auto numbering
function GetCells(); override; |
procedure GetCheckBoxState(); override; | GetCheckBoxState - returns the state of the checkbox at the specified position
function GetEditText(); override; | GetEditText - returns the Edit text string for the specified cell
procedure LoadContent(); override; | LoadContent - method to load a configuration
procedure Loaded; override; |
procedure SaveContent(); override; | SaveContent as specified in the XML configuration variable
procedure SelectionSetText(); | SelectionSetText - stores the text in the selection
procedure SelectionSetHTML();
procedure SetCells(); virtual; |
procedure SetCheckboxState(); override;
procedure SetEditText(); override; | SetEditText - specifies the text-string to be placed in the Editor for processing
property Modified: Boolean; [rw] | Whether or not the current cell has been Modified
property OnCellProcess: TCellProcessEvent; [rw]
public
constructor Create(); override; | Create - constructor for TCustomStringGrid: calls inherited Create then sets up default styles, layout and alignment
destructor Destroy; override; | Destroy - destructor for TCustomStringGrid: frees maps of columns and rows, then calls inherited Destroy
procedure AutoSizeColumn(); | AutoSizeColumn - automatically adjust width of column to accommodate widest text
procedure AutoSizeColumns; | AutoSizeColumns - automatically resizes all columns by adjusting them to fit in the longest text in each column
procedure Clean(); | Clean all cells in the grid subject to the given CleanOptions, optionally specifying a range of cells or a rectangular region.
procedure CopyToClipboard(); | CopyToClipboard - copy a range of cells to clipboard
procedure InsertRowWithValues();
procedure LoadFromCSVStream();
procedure LoadFromCSVFile();
procedure SaveToCSVStream();
procedure SaveToCSVFile();
property Cells []: string; [rw] | Cells - the text content of a cell or cells, indexed by aCol, aRow
property Cols []: TStrings; [rw] | Cols - get or set a list of strings for column names as specified by the index
property DefaultTextStyle: TTextStyle; | Default style for displaying text - includes alignment, layout, single or multi-lines
property EditorMode: Boolean; | Is grid ready to accept edits? (EditorMode True)
property ExtendedSelect: Boolean; | ExtendedSelect - the ability to select cells beyond the boundary of the visible part of the grid
property Objects []: TObject; [rw] | The Objects present in the specified cell
property Rows []: TStrings; [rw] | Rows - gets or sets a list of strings for row names as specified by index
property UseXORFeatures: Boolean; | UseXORFeatures: When True, the dotted focus rectangle is painted using the XOR raster operation
property ValidateOnSetSelection: Boolean;
end;

Inheritance

TCustomStringGrid | TCustomStringGrid - base class for TStringGrid
|
TCustomDrawGrid | TCustomDrawGrid - Base Class for drawn grids including TDrawGrid and TStringGrid
|
TCustomGrid | TCustomGrid - the base class for all grid controls
|
TCustomControl | The base class for windowed controls which paint themselves.
|
TWinControl | The base class for controls which can contain other (child) controls.
|
TControl | The base class for visible controls.
|
TLCLComponent | The base class for LCL components associated with widgets.
|
TComponent,IUnknown,IInterfaceComponentReference
|
TPersistent,IFPObserved
|
TObject

See also

HowToUseGrids

How to use Grids including StringGrids, DrawGrids and DbGrids


TCustomStringGrid
pt |  | Modified
 |  | Cells
 |  | Cols
 | ro | DefaultTextStyle
 | ro | EditorMode
 | ro | ExtendedSelect
 |  | Objects
 |  | Rows
 | ro | UseXORFeatures
 | ro | ValidateOnSetSelection
TCustomDrawGrid
 | ro | AllowOutboundEvents
 | ro | BorderColor
 | ro | Canvas
 | ro | Col
 | ro | ColWidths
 | ro | ColRow
 | ro | Editor
 | ro | EditorBorderStyle
 | ro | EditorMode
 | ro | ExtendedColSizing
 | ro | AltColorStartNormal
 | ro | FastEditing
 | ro | FixedGridLineColor
 | ro | FocusColor
 | ro | FocusRectVisible
 | ro | GridHeight
 | ro | GridLineColor
 | ro | GridLineStyle
 | ro | GridWidth
 | ro | IsCellSelected
 | ro | LeftCol
 | ro | Row
 | ro | RowHeights
 | ro | SaveOptions
 | ro | SelectedColor
 | ro | SelectedColumn
 | ro | Selection
 | ro | StrictSort
 | ro | TopRow
 | ro | UseXORFeatures
 | ro | Align
 | ro | Anchors
 | ro | AutoAdvance
 | ro | AutoFillColumns
 | ro | BorderSpacing
 | ro | BorderStyle
 | ro | Color
 | ro | ColCount
 | ro | Columns
 | ro | Constraints
 | ro | DefaultColWidth
 | ro | DefaultDrawing
 | ro | DefaultRowHeight
 | ro | Enabled
 | ro | FixedColor
 | ro | FixedCols
 | ro | FixedHotColor
 | ro | FixedRows
 | ro | Flat
 | ro | Font
 | ro | GridLineWidth
 | ro | Options
 | ro | Options2
 | ro | ParentShowHint
 | ro | PopupMenu
 | ro | RowCount
 | ro | ScrollBars
 | ro | ShowHint
 | ro | TabAdvance
 | ro | TabOrder
 | ro | TabStop
 | ro | Visible
 | ro | VisibleColCount
 | ro | VisibleRowCount
TCustomGrid
pt |  | AllowOutboundEvents
pt |  | AlternateColor
pt |  | AutoAdvance
pt |  | AutoEdit
pt |  | AutoFillColumns
pt |  | BorderStyle
pt |  | BorderColor
pt |  | CellHintPriority
pt |  | Col
pt |  | ColCount
pt |  | ColRow
pt |  | ColumnClickSorts
pt |  | Columns
pt |  | ColWidths
pt |  | DefaultColWidth
pt |  | DefaultRowHeight
pt |  | DefaultDrawing
pt |  | DefaultTextStyle
pt |  | DragDx
pt |  | Editor
pt |  | EditorBorderStyle
pt |  | EditorMode
pt |  | EditorKey
pt |  | EditorOptions
pt |  | EditorShowing
pt |  | ExtendedColSizing
pt |  | ExtendedRowSizing
pt |  | ExtendedSelect
pt |  | FastEditing
pt |  | AltColorStartNormal
pt |  | FixedCols
pt |  | FixedRows
pt |  | FixedColor
pt |  | FixedGridLineColor
pt |  | FixedHotColor
pt |  | Flat
pt |  | FocusColor
pt |  | FocusRectVisible
pt | ro | GCache
pt |  | GridFlags
pt | ro | GridHeight
pt |  | GridLineColor
pt |  | GridLineStyle
pt |  | GridLineWidth
pt | ro | GridWidth
pt |  | HeaderHotZones
pt |  | HeaderPushZones
pt |  | ImageIndexSortAsc
pt |  | ImageIndexSortDesc
pt |  | TabAdvance
pt |  | TitleImageList
pt |  | TitleImageListWidth
pt | ro | InplaceEditor
pt | ro | IsCellSelected
pt |  | LeftCol
pt |  | MouseWheelOption
pt |  | Options
pt |  | Options2
pt |  | RangeSelectMode
pt |  | Row
pt |  | RowCount
pt |  | RowHeights
pt |  | SaveOptions
pt |  | SelectActive
pt |  | SelectedColor
pt | ro | SelectedColumn
pt |  | Selection
pt |  | ScrollBars
pt |  | StrictSort
pt |  | TitleFont
pt |  | TitleStyle
pt |  | TopRow
pt |  | UseXORFeatures
pt |  | ValidateOnSetSelection
pt | ro | VisibleColCount
pt | ro | VisibleRowCount
 | ro | SelectedRange
 | ro | SelectedRangeCount
 |  | SortOrder
 | ro | SortColumn
 | ro | TabStop
TCustomControl
 |  | Canvas
 | ro | BorderStyle
TWinControl
pt |  | WindowHandle
pt |  | BorderStyle
pt |  | ParentBackground
 |  | BorderWidth
 | ro | BoundsLockCount
 | ro | Brush
 | ro | CachedClientHeight
 | ro | CachedClientWidth
 |  | ChildSizing
 | ro | ControlCount
 | ro | Controls
 |  | DefWndProc
 | ro | DockClientCount
 | ro | DockClients
 |  | DockManager
 |  | DockSite
 |  | DoubleBuffered
 |  | Handle
 | ro | IsFlipped
 | ro | IsResizing
 |  | TabOrder
 |  | TabStop
 |  | ParentDoubleBuffered
 |  | ParentWindow
 | ro | Showing
 |  | UseDockManager
 |  | DesignerDeleting
 | ro | VisibleDockClientCount
TControl
pt | ro | AutoSizing
pt | ro | AutoSizingAll
pt | ro | AutoSizingLockCount
pt |  | ActionLink
pt |  | DesktopFont
pt |  | DragCursor
pt |  | DragKind
pt |  | DragMode
pt |  | MouseCapture
pt |  | ParentColor
pt |  | ParentFont
pt |  | ParentShowHint
pt |  | SessionProperties
pt |  | Text
 | ro | AnchoredControls
 | ro | BaseBounds
 | ro | ReadBounds
 | ro | BaseParentClientSize
 |  | AccessibleDescription
 |  | AccessibleValue
 |  | AccessibleRole
 |  | Action
 |  | Align
 |  | Anchors
 | ro | AnchorSide
 |  | AutoSize
 |  | BorderSpacing
 |  | BoundsRect
 |  | BoundsRectForNewParent
 |  | Caption
 |  | CaptureMouseButtons
 |  | ClientHeight
 | ro | ClientOrigin
 | ro | ClientRect
 |  | ClientWidth
 |  | Color
 |  | Constraints
 | ro | ControlOrigin
 |  | ControlState
 |  | ControlStyle
 |  | Enabled
 |  | Font
 |  | IsControl
 | ro | MouseEntered
 | ro | MouseInClient
 |  | Parent
 |  | PopupMenu
 |  | ShowHint
 |  | Visible
 |  | WindowProc
 |  | DockOrientation
 | ro | Floating
 |  | FloatingDockSiteClass
 |  | HostDockSite
 |  | LRDockWidth
 |  | TBDockHeight
 |  | UndockHeight
 |  | UndockWidth
 |  | BiDiMode
 |  | ParentBiDiMode
pl |  | AnchorSideLeft
pl |  | AnchorSideTop
pl |  | AnchorSideRight
pl |  | AnchorSideBottom
pl |  | Cursor
pl |  | Left
pl |  | Height
pl |  | Hint
pl |  | Top
pl |  | Width
pl |  | HelpType
pl |  | HelpKeyword
pl |  | HelpContext
TLCLComponent
 | ro | LCLRefCount
 | ro | WidgetSetClass
TComponent
 | ro | ComObject
 | ro | Components
 | ro | ComponentCount
 |  | ComponentIndex
 | ro | ComponentState
 | ro | ComponentStyle
 |  | DesignInfo
 | ro | Owner
 |  | VCLComObject
 |  | Name
 |  | Tag
TPersistent
TObject


 |  | AccessibleDescription (TControl)
 |  | AccessibleRole (TControl)
 |  | AccessibleValue (TControl)
 |  | Action (TControl)
pt |  | ActionLink (TControl)
 |  | Align (TControl)
 | ro | Align (TCustomDrawGrid)
pt |  | AllowOutboundEvents (TCustomGrid)
 | ro | AllowOutboundEvents (TCustomDrawGrid)
pt |  | AltColorStartNormal (TCustomGrid)
 | ro | AltColorStartNormal (TCustomDrawGrid)
pt |  | AlternateColor (TCustomGrid)
 | ro | AnchoredControls (TControl)
 |  | Anchors (TControl)
 | ro | Anchors (TCustomDrawGrid)
 | ro | AnchorSide (TControl)
pl |  | AnchorSideBottom (TControl)
pl |  | AnchorSideLeft (TControl)
pl |  | AnchorSideRight (TControl)
pl |  | AnchorSideTop (TControl)
pt |  | AutoAdvance (TCustomGrid)
 | ro | AutoAdvance (TCustomDrawGrid)
pt |  | AutoEdit (TCustomGrid)
pt |  | AutoFillColumns (TCustomGrid)
 | ro | AutoFillColumns (TCustomDrawGrid)
 |  | AutoSize (TControl)
pt | ro | AutoSizing (TControl)
pt | ro | AutoSizingAll (TControl)
pt | ro | AutoSizingLockCount (TControl)
 | ro | BaseBounds (TControl)
 | ro | BaseParentClientSize (TControl)
 |  | BiDiMode (TControl)
pt |  | BorderColor (TCustomGrid)
 | ro | BorderColor (TCustomDrawGrid)
 |  | BorderSpacing (TControl)
 | ro | BorderSpacing (TCustomDrawGrid)
pt |  | BorderStyle (TWinControl)
 | ro | BorderStyle (TCustomControl)
pt |  | BorderStyle (TCustomGrid)
 | ro | BorderStyle (TCustomDrawGrid)
 |  | BorderWidth (TWinControl)
 | ro | BoundsLockCount (TWinControl)
 |  | BoundsRect (TControl)
 |  | BoundsRectForNewParent (TControl)
 | ro | Brush (TWinControl)
 | ro | CachedClientHeight (TWinControl)
 | ro | CachedClientWidth (TWinControl)
 |  | Canvas (TCustomControl)
 | ro | Canvas (TCustomDrawGrid)
 |  | Caption (TControl)
 |  | CaptureMouseButtons (TControl)
pt |  | CellHintPriority (TCustomGrid)
 |  | Cells (TCustomStringGrid)
 |  | ChildSizing (TWinControl)
 |  | ClientHeight (TControl)
 | ro | ClientOrigin (TControl)
 | ro | ClientRect (TControl)
 |  | ClientWidth (TControl)
pt |  | Col (TCustomGrid)
 | ro | Col (TCustomDrawGrid)
pt |  | ColCount (TCustomGrid)
 | ro | ColCount (TCustomDrawGrid)
 |  | Color (TControl)
 | ro | Color (TCustomDrawGrid)
pt |  | ColRow (TCustomGrid)
 | ro | ColRow (TCustomDrawGrid)
 |  | Cols (TCustomStringGrid)
pt |  | ColumnClickSorts (TCustomGrid)
pt |  | Columns (TCustomGrid)
 | ro | Columns (TCustomDrawGrid)
pt |  | ColWidths (TCustomGrid)
 | ro | ColWidths (TCustomDrawGrid)
 | ro | ComObject (TComponent)
 | ro | ComponentCount (TComponent)
 |  | ComponentIndex (TComponent)
 | ro | Components (TComponent)
 | ro | ComponentState (TComponent)
 | ro | ComponentStyle (TComponent)
 |  | Constraints (TControl)
 | ro | Constraints (TCustomDrawGrid)
 | ro | ControlCount (TWinControl)
 | ro | ControlOrigin (TControl)
 | ro | Controls (TWinControl)
 |  | ControlState (TControl)
 |  | ControlStyle (TControl)
pl |  | Cursor (TControl)
pt |  | DefaultColWidth (TCustomGrid)
 | ro | DefaultColWidth (TCustomDrawGrid)
pt |  | DefaultDrawing (TCustomGrid)
 | ro | DefaultDrawing (TCustomDrawGrid)
pt |  | DefaultRowHeight (TCustomGrid)
 | ro | DefaultRowHeight (TCustomDrawGrid)
pt |  | DefaultTextStyle (TCustomGrid)
 | ro | DefaultTextStyle (TCustomStringGrid)
 |  | DefWndProc (TWinControl)
 |  | DesignerDeleting (TWinControl)
 |  | DesignInfo (TComponent)
pt |  | DesktopFont (TControl)
 | ro | DockClientCount (TWinControl)
 | ro | DockClients (TWinControl)
 |  | DockManager (TWinControl)
 |  | DockOrientation (TControl)
 |  | DockSite (TWinControl)
 |  | DoubleBuffered (TWinControl)
pt |  | DragCursor (TControl)
pt |  | DragDx (TCustomGrid)
pt |  | DragKind (TControl)
pt |  | DragMode (TControl)
pt |  | Editor (TCustomGrid)
 | ro | Editor (TCustomDrawGrid)
pt |  | EditorBorderStyle (TCustomGrid)
 | ro | EditorBorderStyle (TCustomDrawGrid)
pt |  | EditorKey (TCustomGrid)
pt |  | EditorMode (TCustomGrid)
 | ro | EditorMode (TCustomDrawGrid)
 | ro | EditorMode (TCustomStringGrid)
pt |  | EditorOptions (TCustomGrid)
pt |  | EditorShowing (TCustomGrid)
 |  | Enabled (TControl)
 | ro | Enabled (TCustomDrawGrid)
pt |  | ExtendedColSizing (TCustomGrid)
 | ro | ExtendedColSizing (TCustomDrawGrid)
pt |  | ExtendedRowSizing (TCustomGrid)
pt |  | ExtendedSelect (TCustomGrid)
 | ro | ExtendedSelect (TCustomStringGrid)
pt |  | FastEditing (TCustomGrid)
 | ro | FastEditing (TCustomDrawGrid)
pt |  | FixedColor (TCustomGrid)
 | ro | FixedColor (TCustomDrawGrid)
pt |  | FixedCols (TCustomGrid)
 | ro | FixedCols (TCustomDrawGrid)
pt |  | FixedGridLineColor (TCustomGrid)
 | ro | FixedGridLineColor (TCustomDrawGrid)
pt |  | FixedHotColor (TCustomGrid)
 | ro | FixedHotColor (TCustomDrawGrid)
pt |  | FixedRows (TCustomGrid)
 | ro | FixedRows (TCustomDrawGrid)
pt |  | Flat (TCustomGrid)
 | ro | Flat (TCustomDrawGrid)
 | ro | Floating (TControl)
 |  | FloatingDockSiteClass (TControl)
pt |  | FocusColor (TCustomGrid)
 | ro | FocusColor (TCustomDrawGrid)
pt |  | FocusRectVisible (TCustomGrid)
 | ro | FocusRectVisible (TCustomDrawGrid)
 |  | Font (TControl)
 | ro | Font (TCustomDrawGrid)
pt | ro | GCache (TCustomGrid)
pt |  | GridFlags (TCustomGrid)
pt | ro | GridHeight (TCustomGrid)
 | ro | GridHeight (TCustomDrawGrid)
pt |  | GridLineColor (TCustomGrid)
 | ro | GridLineColor (TCustomDrawGrid)
pt |  | GridLineStyle (TCustomGrid)
 | ro | GridLineStyle (TCustomDrawGrid)
pt |  | GridLineWidth (TCustomGrid)
 | ro | GridLineWidth (TCustomDrawGrid)
pt | ro | GridWidth (TCustomGrid)
 | ro | GridWidth (TCustomDrawGrid)
 |  | Handle (TWinControl)
pt |  | HeaderHotZones (TCustomGrid)
pt |  | HeaderPushZones (TCustomGrid)
pl |  | Height (TControl)
pl |  | HelpContext (TControl)
pl |  | HelpKeyword (TControl)
pl |  | HelpType (TControl)
pl |  | Hint (TControl)
 |  | HostDockSite (TControl)
pt |  | ImageIndexSortAsc (TCustomGrid)
pt |  | ImageIndexSortDesc (TCustomGrid)
pt | ro | InplaceEditor (TCustomGrid)
pt | ro | IsCellSelected (TCustomGrid)
 | ro | IsCellSelected (TCustomDrawGrid)
 |  | IsControl (TControl)
 | ro | IsFlipped (TWinControl)
 | ro | IsResizing (TWinControl)
 | ro | LCLRefCount (TLCLComponent)
pl |  | Left (TControl)
pt |  | LeftCol (TCustomGrid)
 | ro | LeftCol (TCustomDrawGrid)
 |  | LRDockWidth (TControl)
pt |  | Modified (TCustomStringGrid)
pt |  | MouseCapture (TControl)
 | ro | MouseEntered (TControl)
 | ro | MouseInClient (TControl)
pt |  | MouseWheelOption (TCustomGrid)
 |  | Name (TComponent)
 |  | Objects (TCustomStringGrid)
pt |  | Options (TCustomGrid)
 | ro | Options (TCustomDrawGrid)
pt |  | Options2 (TCustomGrid)
 | ro | Options2 (TCustomDrawGrid)
 | ro | Owner (TComponent)
 |  | Parent (TControl)
pt |  | ParentBackground (TWinControl)
 |  | ParentBiDiMode (TControl)
pt |  | ParentColor (TControl)
 |  | ParentDoubleBuffered (TWinControl)
pt |  | ParentFont (TControl)
pt |  | ParentShowHint (TControl)
 | ro | ParentShowHint (TCustomDrawGrid)
 |  | ParentWindow (TWinControl)
 |  | PopupMenu (TControl)
 | ro | PopupMenu (TCustomDrawGrid)
pt |  | RangeSelectMode (TCustomGrid)
 | ro | ReadBounds (TControl)
pt |  | Row (TCustomGrid)
 | ro | Row (TCustomDrawGrid)
pt |  | RowCount (TCustomGrid)
 | ro | RowCount (TCustomDrawGrid)
pt |  | RowHeights (TCustomGrid)
 | ro | RowHeights (TCustomDrawGrid)
 |  | Rows (TCustomStringGrid)
pt |  | SaveOptions (TCustomGrid)
 | ro | SaveOptions (TCustomDrawGrid)
pt |  | ScrollBars (TCustomGrid)
 | ro | ScrollBars (TCustomDrawGrid)
pt |  | SelectActive (TCustomGrid)
pt |  | SelectedColor (TCustomGrid)
 | ro | SelectedColor (TCustomDrawGrid)
pt | ro | SelectedColumn (TCustomGrid)
 | ro | SelectedColumn (TCustomDrawGrid)
 | ro | SelectedRange (TCustomGrid)
 | ro | SelectedRangeCount (TCustomGrid)
pt |  | Selection (TCustomGrid)
 | ro | Selection (TCustomDrawGrid)
pt |  | SessionProperties (TControl)
 |  | ShowHint (TControl)
 | ro | ShowHint (TCustomDrawGrid)
 | ro | Showing (TWinControl)
 | ro | SortColumn (TCustomGrid)
 |  | SortOrder (TCustomGrid)
pt |  | StrictSort (TCustomGrid)
 | ro | StrictSort (TCustomDrawGrid)
pt |  | TabAdvance (TCustomGrid)
 | ro | TabAdvance (TCustomDrawGrid)
 |  | TabOrder (TWinControl)
 | ro | TabOrder (TCustomDrawGrid)
 |  | TabStop (TWinControl)
 | ro | TabStop (TCustomGrid)
 | ro | TabStop (TCustomDrawGrid)
 |  | Tag (TComponent)
 |  | TBDockHeight (TControl)
pt |  | Text (TControl)
pt |  | TitleFont (TCustomGrid)
pt |  | TitleImageList (TCustomGrid)
pt |  | TitleImageListWidth (TCustomGrid)
pt |  | TitleStyle (TCustomGrid)
pl |  | Top (TControl)
pt |  | TopRow (TCustomGrid)
 | ro | TopRow (TCustomDrawGrid)
 |  | UndockHeight (TControl)
 |  | UndockWidth (TControl)
 |  | UseDockManager (TWinControl)
pt |  | UseXORFeatures (TCustomGrid)
 | ro | UseXORFeatures (TCustomDrawGrid)
 | ro | UseXORFeatures (TCustomStringGrid)
pt |  | ValidateOnSetSelection (TCustomGrid)
 | ro | ValidateOnSetSelection (TCustomStringGrid)
 |  | VCLComObject (TComponent)
 |  | Visible (TControl)
 | ro | Visible (TCustomDrawGrid)
pt | ro | VisibleColCount (TCustomGrid)
 | ro | VisibleColCount (TCustomDrawGrid)
 | ro | VisibleDockClientCount (TWinControl)
pt | ro | VisibleRowCount (TCustomGrid)
 | ro | VisibleRowCount (TCustomDrawGrid)
 | ro | WidgetSetClass (TLCLComponent)
pl |  | Width (TControl)
pt |  | WindowHandle (TWinControl)
 |  | WindowProc (TControl)


TCustomStringGrid
pt | AssignTo
pt | AutoAdjustColumn
pt | CalcCellExtent
pt | DefineProperties
pt | DefineCellsProperty
pt | DoCompareCells
pt | DoCopyToClipboard
pt | DoCutToClipboard
pt | DoPasteFromClipboard
pt | DoCellProcess
pt | DrawColumnText
pt | DrawTextInCell
pt | DrawCellAutonumbering
pt | GetCells
pt | GetCheckBoxState
pt | GetEditText
pt | LoadContent
pt | Loaded
pt | SaveContent
pt | SelectionSetText
pt | SelectionSetHTML
pt | SetCells
pt | SetCheckboxState
pt | SetEditText
 | Create
 | Destroy
 | AutoSizeColumn
 | AutoSizeColumns
 | Clean
 | CopyToClipboard
 | InsertRowWithValues
 | LoadFromCSVStream
 | LoadFromCSVFile
 | SaveToCSVStream
 | SaveToCSVFile
TCustomDrawGrid
pt | CellClick
pt | ColRowDeleted
pt | ColRowExchanged
pt | ColRowInserted
pt | ColRowMoved
pt | CreateVirtualGrid
pt | DrawCell
pt | DrawCellAutonumbering
pt | DrawFocusRect
pt | GetCells
pt | GetCheckBoxState
pt | GetEditMask
pt | GetEditText
pt | GridMouseWheel
pt | HeaderClick
pt | HeaderSized
pt | HeaderSizing
pt | KeyDown
pt | NotifyColRowChange
pt | SelectCell
pt | SetColor
pt | SetCheckboxState
pt | SetEditText
pt | SizeChanged
pt | ToggleCheckbox
 | Create
 | Destroy
 | DeleteColRow
 | DeleteCol
 | DeleteRow
 | ExchangeColRow
 | InsertColRow
 | MoveColRow
 | SortColRow
 | DefaultDrawCell
TCustomGrid
pt | RTLSign
pt | WSRegisterClass
pt | AddSelectedRange
pt | AdjustClientRect
pt | AdjustEditorBounds
pt | AfterMoveSelection
pt | AssignTo
pt | AutoAdjustColumn
pt | BeforeMoveSelection
pt | BeginAutoDrag
pt | BoxRect
pt | CacheMouseDown
pt | CalcAutoSizeColumn
pt | CalcCellExtent
pt | CalcFocusRect
pt | CalcMaxTopLeft
pt | CalcScrollbarsRange
pt | CalculatePreferredSize
pt | CanEditShow
pt | CanGridAcceptKey
pt | CellClick
pt | CellExtent
pt | CheckLimits
pt | CheckLimitsWithError
pt | CMBiDiModeChanged
pt | CMMouseEnter
pt | CMMouseLeave
pt | ColRowDeleted
pt | ColRowExchanged
pt | ColRowInserted
pt | ColRowMoved
pt | ColRowToOffset
pt | ColumnIndexFromGridColumn
pt | ColumnFromGridColumn
pt | ColumnsChanged
pt | ColWidthsChanged
pt | CreateColumns
pt | CheckNewCachedSizes
pt | CreateWnd
pt | CreateParams
pt | Click
pt | DblClick
pt | DefaultColWidthIsStored
pt | DefaultRowHeightIsStored
pt | DefineProperties
pt | DestroyHandle
pt | DialogChar
pt | DoCompareCells
pt | DoCopyToClipboard
pt | DoCutToClipboard
pt | DoEditButtonClick
pt | DoEditorHide
pt | DoEditorShow
pt | DoExit
pt | DoEnter
pt | DoLoadColumn
pt | DoSaveColumn
pt | DoMouseWheel
pt | DoMouseWheelDown
pt | DoMouseWheelUp
pt | DoMouseWheelLeft
pt | DoMouseWheelRight
pt | DoAutoAdjustLayout
pt | DoOnChangeBounds
pt | DoOPDeleteColRow
pt | DoOPExchangeColRow
pt | DoOPInsertColRow
pt | DoOPMoveColRow
pt | DoPasteFromClipboard
pt | DoPrepareCanvas
pt | DoSetBounds
pt | DoUTF8KeyPress
pt | DrawBorder
pt | DrawAllRows
pt | DrawFillRect
pt | DrawCell
pt | DrawCellGrid
pt | DrawTextInCell
pt | DrawThemedCell
pt | DrawCellText
pt | DrawGridCheckboxBitmaps
pt | DrawButtonCell
pt | DrawColRowMoving
pt | DrawColumnText
pt | DrawColumnTitleImage
pt | DrawEdges
pt | DrawFocusRect
pt | DrawRow
pt | EditButtonClicked
pt | EditordoGetValue
pt | EditordoResetValue
pt | EditordoSetValue
pt | EditorCanAcceptKey
pt | EditorIsReadOnly
pt | EditorHide
pt | EditorLocked
pt | EditingAllowed
pt | EditorSelectAll
pt | EditorShow
pt | EditorShowInCell
pt | EditorWidthChanged
pt | FirstGridColumn
pt | FixedGrid
pt | FontChanged
pt | GetAutoFillColumnInfo
pt | GetCellHintText
pt | GetCells
pt | GetColumnAlignment
pt | GetColumnColor
pt | GetColumnFont
pt | GetColumnLayout
pt | GetColumnReadonly
pt | GetColumnTitle
pt | GetColumnWidth
pt | GetDeltaMoveNext
pt | GetDefaultColumnAlignment
pt | GetDefaultColumnWidth
pt | GetDefaultColumnLayout
pt | GetDefaultColumnReadOnly
pt | GetDefaultColumnTitle
pt | GetDefaultEditor
pt | GetDefaultRowHeight
pt | GetGridDrawState
pt | GetImageForCheckBox
pt | GetScrollBarPosition
pt | GetSmoothScroll
pt | GetSBVisibility
pt | GetSBRanges
pt | GetSelectedState
pt | GetEditMask
pt | GetEditText
pt | GetFixedcolor
pt | GetFirstVisibleColumn
pt | GetFirstVisibleRow
pt | GetLastVisibleColumn
pt | GetLastVisibleRow
pt | GetSelectedColor
pt | GetTitleShowPrefix
pt | GetPxTopLeft
pt | GetTruncCellHintText
pt | GridColumnFromColumnIndex
pt | GridMouseWheel
pt | HeaderClick
pt | HeaderSized
pt | HeaderSizing
pt | HideCellHintWindow
pt | InternalSetColCount
pt | InvalidateCell
pt | InvalidateFromCol
pt | InvalidateGrid
pt | InvalidateFocused
pt | GetIsCellTitle
pt | GetIsCellSelected
pt | IsEmptyRow
pt | IsMouseOverCellButton
pt | KeyDown
pt | KeyUp
pt | KeyPress
pt | LoadContent
pt | LoadGridOptions
pt | Loaded
pt | LockEditor
pt | MouseButtonAllowed
pt | MouseDown
pt | MouseMove
pt | MouseUp
pt | MoveExtend
pt | MoveNextAuto
pt | MoveNextSelectable
pt | MoveSelection
pt | OffsetToColRow
pt | Paint
pt | PickListItemSelected
pt | PrepareCanvas
pt | PrepareCellHints
pt | ResetDefaultColWidths
pt | ResetEditor
pt | ResetLastMove
pt | ResetOffset
pt | ResetSizes
pt | ResizeColumn
pt | ResizeRow
pt | RowHeightsChanged
pt | SaveContent
pt | SaveGridOptions
pt | ScrollBarRange
pt | ScrollBarPosition
pt | ScrollBarIsVisible
pt | ScrollBarPage
pt | ScrollBarShow
pt | ScrollBarAutomatic
pt | ScrollBy
pt | SelectEditor
pt | SelectCell
pt | SetCanvasFont
pt | SetColor
pt | SetColRow
pt | SetEditText
pt | SetBorderStyle
pt | SetFixedcolor
pt | SetFixedCols
pt | SetFixedRows
pt | SetRawColWidths
pt | SetSelectedColor
pt | ShowCellHintWindow
pt | SizeChanged
pt | Sort
pt | StartPushCell
pt | TopLeftChanged
pt | TryMoveSelection
pt | UnLockEditor
pt | UnprepareCellHints
pt | UpdateHorzScrollBar
pt | UpdateSelectionRange
pt | UpdateVertScrollbar
pt | UpdateBorderStyle
pt | ValidateEntry
pt | VisualChange
pt | WMSize
pt | WMHScroll
pt | WMVScroll
pt | WMKillFocus
pt | WMSetFocus
pt | WndProc
pt | FlipRect
pt | FlipPoint
pt | FlipX
 | Create
 | Destroy
 | Invalidate
 | EditingDone
 | AdjustInnerCellRect
 | AutoAdjustColumns
 | BeginUpdate
 | CellRect
 | CellToGridZone
 | CheckPosition
 | ClearCols
 | ClearRows
 | Clear
 | ClearSelections
 | EditorByStyle
 | EditorKeyDown
 | EditorKeyPress
 | EditorKeyUp
 | EditorTextChanged
 | EndUpdate
 | EraseBackground
 | Focused
 | HasMultiSelection
 | InvalidateCol
 | InvalidateRange
 | InvalidateRow
 | IsCellVisible
 | IsFixedCellVisible
 | LoadFromFile
 | LoadFromStream
 | MouseCoord
 | MouseToCell
 | MouseToLogcell
 | MouseToGridZone
 | SaveToFile
 | SaveToStream
 | SetFocus
TCustomControl
pt | WSRegisterClass
pt | WMPaint
pt | DestroyWnd
pt | PaintWindow
pt | FontChanged
pt | SetColor
pt | Paint
 | Create
 | Destroy
TWinControl
pt | WSRegisterClass
pt | AdjustClientRect
pt | GetAdjustedLogicalClientRect
pt | AlignControls
pt | CustomAlignInsertBefore
pt | CustomAlignPosition
pt | DoAlignChildControls
pt | DoChildSizingChange
pt | InvalidatePreferredChildSizes
pt | CanTab
pt | IsClientHeightStored
pt | IsClientWidthStored
pt | DoSendShowHideToInterface
pt | ControlsAligned
pt | DoSendBoundsToInterface
pt | RealizeBounds
pt | RealizeBoundsRecursive
pt | InvalidateBoundsRealized
pt | CreateSubClass
pt | DoConstraintsChange
pt | DoSetBounds
pt | DoAutoSize
pt | DoAllAutoSize
pt | AllAutoSized
pt | CalculatePreferredSize
pt | GetPreferredSizeClientFrame
pt | GetChildren
pt | ChildClassAllowed
pt | PaintControls
pt | PaintHandler
pt | PaintWindow
pt | CreateBrush
pt | ScaleControls
pt | ChangeScale
pt | CMBiDiModeChanged
pt | CMBorderChanged
pt | CMDoubleBufferedChanged
pt | CMEnabledChanged
pt | CMParentDoubleBufferedChanged
pt | CMShowingChanged
pt | CMShowHintChanged
pt | CMVisibleChanged
pt | CMEnter
pt | CMExit
pt | WMContextMenu
pt | WMEraseBkgnd
pt | WMNotify
pt | WMSetFocus
pt | WMKillFocus
pt | WMShowWindow
pt | WMEnter
pt | WMExit
pt | WMKeyDown
pt | WMSysKeyDown
pt | WMKeyUp
pt | WMSysKeyUp
pt | WMChar
pt | WMSysChar
pt | WMPaint
pt | WMDestroy
pt | WMMove
pt | WMSize
pt | WMWindowPosChanged
pt | CNKeyDown
pt | CNSysKeyDown
pt | CNKeyUp
pt | CNSysKeyUp
pt | CNChar
pt | DoDragMsg
pt | DoDockClientMsg
pt | DoUndockClientMsg
pt | DoAddDockClient
pt | DockOver
pt | DoDockOver
pt | DoRemoveDockClient
pt | DoUnDock
pt | GetSiteInfo
pt | GetParentHandle
pt | GetTopParentHandle
pt | ReloadDockedControl
pt | CreateDockManager
pt | SetDockManager
pt | DoFloatMsg
pt | DoGetDockCaption
pt | DoEnter
pt | DoExit
pt | DoKeyDownBeforeInterface
pt | DoRemainingKeyDown
pt | DoRemainingKeyUp
pt | DoKeyPress
pt | DoUTF8KeyPress
pt | DoKeyUpBeforeInterface
pt | ChildKey
pt | SendDialogChar
pt | DialogChar
pt | ControlKeyDown
pt | ControlKeyUp
pt | KeyDown
pt | KeyDownBeforeInterface
pt | KeyDownAfterInterface
pt | KeyPress
pt | KeyUp
pt | KeyUpBeforeInterface
pt | KeyUpAfterInterface
pt | UTF8KeyPress
pt | FindNextControl
pt | SelectFirst
pt | RealGetText
pt | GetBorderStyle
pt | GetClientOrigin
pt | GetClientRect
pt | GetControlOrigin
pt | GetDeviceContext
pt | GetParentBackground
pt | IsControlMouseMsg
pt | CreateHandle
pt | CreateParams
pt | CreateWnd
pt | DestroyHandle
pt | DestroyWnd
pt | DoFlipChildren
pt | FinalizeWnd
pt | FixupTabList
pt | FontChanged
pt | InitializeWnd
pt | Loaded
pt | FormEndUpdated
pt | MainWndProc
pt | ParentFormHandleInitialized
pt | ChildHandlesCreated
pt | GetMouseCapture
pt | RealSetText
pt | RemoveFocus
pt | SendMoveSizeMessages
pt | SetBorderStyle
pt | SetColor
pt | SetChildZPosition
pt | SetParentBackground
pt | ShowControl
pt | UpdateControlState
pt | UpdateShowing
pt | WndProc
pt | WSSetText
 | AutoSizePhases
 | AutoSizeDelayed
 | AutoSizeDelayedReport
 | AutoSizeDelayedHandle
 | BeginUpdateBounds
 | EndUpdateBounds
 | LockRealizeBounds
 | UnlockRealizeBounds
 | ControlAtPos
 | ContainsControl
 | DoAdjustClientRectChange
 | InvalidateClientRectCache
 | ClientRectNeedsInterfaceUpdate
 | SetBounds
 | GetChildrenRect
 | DisableAlign
 | EnableAlign
 | ReAlign
 | ScrollBy_WS
 | ScrollBy
 | WriteLayoutDebugReport
 | AutoAdjustLayout
 | Create
 | CreateParented
 | CreateParentedControl
 | Destroy
 | DockDrop
 | CanFocus
 | CanSetFocus
 | GetControlIndex
 | SetControlIndex
 | Focused
 | PerformTab
 | FindChildControl
 | SelectNext
 | SetTempCursor
 | BroadCast
 | NotifyControls
 | DefaultHandler
 | GetTextLen
 | Invalidate
 | AddControl
 | InsertControl
 | RemoveControl
 | GetEnumeratorControls
 | GetEnumeratorControlsReverse
 | Repaint
 | Update
 | SetFocus
 | FlipChildren
 | ScaleBy
 | GetDockCaption
 | UpdateDockCaption
 | GetTabOrderList
 | HandleAllocated
 | ParentHandlesAllocated
 | HandleNeeded
 | BrushCreated
 | EraseBackground
 | IntfUTF8KeyPress
 | IntfGetDropFilesTarget
 | PaintTo
 | SetShape
TControl
pt | WSRegisterClass
pt | GetCursor
pt | SetCursor
pt | SetVisible
pt | DoOnParentHandleDestruction
pt | DoAutoSize
pt | DoAllAutoSize
pt | BeginAutoSizing
pt | EndAutoSizing
pt | AnchorSideChanged
pt | ForeignAnchorSideChanged
pt | SetAlign
pt | SetAnchors
pt | SetAutoSize
pt | BoundsChanged
pt | CreateControlBorderSpacing
pt | DoConstraintsChange
pt | DoBorderSpacingChange
pt | IsBorderSpacingInnerBorderStored
pt | IsCaptionStored
pt | SendMoveSizeMessages
pt | ConstrainedResize
pt | CalculatePreferredSize
pt | DoOnResize
pt | DoOnChangeBounds
pt | CheckOnChangeBounds
pt | Resize
pt | RequestAlign
pt | UpdateAnchorRules
pt | ChangeBounds
pt | DoSetBounds
pt | ScaleConstraints
pt | ChangeScale
pt | CanAutoSize
pt | SetBiDiMode
pt | SetParentBiDiMode
pt | IsAParentAligning
pt | GetClientOrigin
pt | GetClientRect
pt | GetLogicalClientRect
pt | GetScrolledClientRect
pt | GetClientScrollOffset
pt | GetControlOrigin
pt | IsClientHeightStored
pt | IsClientWidthStored
pt | WidthIsAnchored
pt | HeightIsAnchored
pt | WMCancelMode
pt | WMContextMenu
pt | WMLButtonDown
pt | WMRButtonDown
pt | WMMButtonDown
pt | WMXButtonDown
pt | WMLButtonDBLCLK
pt | WMRButtonDBLCLK
pt | WMMButtonDBLCLK
pt | WMXButtonDBLCLK
pt | WMLButtonTripleCLK
pt | WMRButtonTripleCLK
pt | WMMButtonTripleCLK
pt | WMXButtonTripleCLK
pt | WMLButtonQuadCLK
pt | WMRButtonQuadCLK
pt | WMMButtonQuadCLK
pt | WMXButtonQuadCLK
pt | WMMouseMove
pt | WMLButtonUp
pt | WMRButtonUp
pt | WMMButtonUp
pt | WMXButtonUp
pt | WMMouseWheel
pt | WMMouseHWheel
pt | WMMove
pt | WMSize
pt | WMWindowPosChanged
pt | CMChanged
pt | LMCaptureChanged
pt | CMBiDiModeChanged
pt | CMSysFontChanged
pt | CMEnabledChanged
pt | CMHitTest
pt | CMMouseEnter
pt | CMMouseLeave
pt | CMHintShow
pt | CMParentBiDiModeChanged
pt | CMParentColorChanged
pt | CMParentFontChanged
pt | CMParentShowHintChanged
pt | CMVisibleChanged
pt | CMTextChanged
pt | CMCursorChanged
pt | CalculateDockSizes
pt | CreateFloatingDockSite
pt | GetDockEdge
pt | GetDragImages
pt | GetFloating
pt | GetFloatingDockSiteClass
pt | BeforeDragStart
pt | BeginAutoDrag
pt | DoFloatMsg
pt | DockTrackNoTarget
pt | DoDock
pt | DoDragMsg
pt | DoEndDock
pt | DoEndDrag
pt | DoStartDock
pt | DoStartDrag
pt | DragCanceled
pt | DragOver
pt | PositionDockRect
pt | SetDragMode
pt | GetDefaultDockCaption
pt | Click
pt | DblClick
pt | TripleClick
pt | QuadClick
pt | GetMousePosFromMessage
pt | MouseDown
pt | MouseMove
pt | MouseUp
pt | MouseEnter
pt | MouseLeave
pt | DialogChar
pt | UpdateMouseCursor
pt | Changed
pt | GetPalette
pt | ChildClassAllowed
pt | ReadState
pt | Loaded
pt | LoadedAll
pt | DefineProperties
pt | AssignTo
pt | FormEndUpdated
pt | InvalidateControl
pt | FontChanged
pt | ParentFontChanged
pt | GetAction
pt | RealGetText
pt | RealSetText
pt | TextChanged
pt | GetCachedText
pt | SetAction
pt | SetColor
pt | SetEnabled
pt | SetHint
pt | SetName
pt | SetParent
pt | SetParentComponent
pt | WndProc
pt | ParentFormHandleInitialized
pt | GetMouseCapture
pt | CaptureChanged
pt | Notification
pt | CanTab
pt | GetDeviceContext
pt | GetEnabled
pt | GetPopupMenu
pt | DoOnShowHint
pt | DoMouseWheel
pt | DoMouseWheelDown
pt | DoMouseWheelUp
pt | DoMouseWheelHorz
pt | DoMouseWheelLeft
pt | DoMouseWheelRight
pt | VisibleChanging
pt | VisibleChanged
pt | EnabledChanging
pt | EnabledChanged
pt | AddHandler
pt | RemoveHandler
pt | DoCallNotifyHandler
pt | DoCallKeyEventHandler
pt | DoCallMouseWheelEventHandler
pt | DoContextPopup
pt | SetZOrder
pt | GetControlClassDefaultSize
pt | ColorIsStored
pt | DoAutoAdjustLayout
pt | DoFixDesignFontPPI
pt | DoScaleFontPPI
pt | GetActionLinkClass
pt | ActionChange
 | DragDrop
 | Dock
 | ManualDock
 | ManualFloat
 | ReplaceDockedControl
 | Docked
 | Dragging
 | GetAccessibleObject
 | CreateAccessibleObject
 | GetSelectedChildAccessibleObject
 | GetChildAccessibleObjectAtPos
 | ScaleDesignToForm
 | ScaleFormToDesign
 | Scale96ToForm
 | ScaleFormTo96
 | Scale96ToFont
 | ScaleFontTo96
 | ScaleScreenToFont
 | ScaleFontToScreen
 | Scale96ToScreen
 | ScaleScreenTo96
 | AdjustSize
 | AutoSizePhases
 | AutoSizeDelayed
 | AutoSizeDelayedReport
 | AutoSizeDelayedHandle
 | AnchorToNeighbour
 | AnchorParallel
 | AnchorHorizontalCenterTo
 | AnchorVerticalCenterTo
 | AnchorToCompanion
 | AnchorSame
 | AnchorAsAlign
 | AnchorClient
 | AnchoredControlCount
 | SetBounds
 | SetInitialBounds
 | SetBoundsKeepBase
 | GetPreferredSize
 | GetCanvasScaleFactor
 | GetDefaultWidth
 | GetDefaultHeight
 | GetDefaultColor
 | GetColorResolvingParent
 | GetRGBColorResolvingParent
 | GetSidePosition
 | CNPreferredSizeChanged
 | InvalidatePreferredSize
 | GetAnchorsDependingOnParent
 | DisableAutoSizing
 | EnableAutoSizing
 | UpdateBaseBounds
 | WriteLayoutDebugReport
 | AutoAdjustLayout
 | ShouldAutoAdjust
 | FixDesignFontsPPI
 | ScaleFontsPPI
 | Create
 | Destroy
 | BeforeDestruction
 | EditingDone
 | ExecuteDefaultAction
 | ExecuteCancelAction
 | BeginDrag
 | EndDrag
 | BringToFront
 | HasParent
 | GetParentComponent
 | IsParentOf
 | GetTopParent
 | IsVisible
 | IsControlVisible
 | IsEnabled
 | IsParentColor
 | IsParentFont
 | FormIsUpdating
 | IsProcessingPaintMsg
 | Hide
 | Refresh
 | Repaint
 | Invalidate
 | CheckChildClassAllowed
 | CheckNewParent
 | SendToBack
 | SetTempCursor
 | UpdateRolesForForm
 | ActiveDefaultControlChanged
 | GetTextBuf
 | GetTextLen
 | SetTextBuf
 | Perform
 | ScreenToClient
 | ClientToScreen
 | ScreenToControl
 | ControlToScreen
 | ClientToParent
 | ParentToClient
 | GetChildrenRect
 | Show
 | Update
 | HandleObjectShouldBeVisible
 | ParentDestroyingHandle
 | ParentHandlesAllocated
 | InitiateAction
 | ShowHelp
 | HasHelp
 | RemoveAllHandlersOfObject
 | AddHandlerOnResize
 | RemoveHandlerOnResize
 | AddHandlerOnChangeBounds
 | RemoveHandlerOnChangeBounds
 | AddHandlerOnVisibleChanging
 | RemoveHandlerOnVisibleChanging
 | AddHandlerOnVisibleChanged
 | RemoveHandlerOnVisibleChanged
 | AddHandlerOnEnabledChanged
 | RemoveHandlerOnEnableChanging
 | AddHandlerOnKeyDown
 | RemoveHandlerOnKeyDown
 | AddHandlerOnBeforeDestruction
 | RemoveHandlerOnBeforeDestruction
 | AddHandlerOnMouseWheel
 | RemoveHandlerOnMouseWheel
 | UseRightToLeftAlignment
 | UseRightToLeftReading
 | UseRightToLeftScrollBar
 | IsRightToLeft
TLCLComponent
pt | WSRegisterClass
pt | GetWSComponentClass
 | Create
 | Destroy
 | NewInstance
 | RemoveAllHandlersOfObject
 | IncLCLRefCount
 | DecLCLRefCount
TComponent
 | GetComObject
 | GetComponent
 | GetComponentCount
 | GetComponentIndex
 | Insert
 | ReadLeft
 | ReadTop
 | Remove
 | RemoveNotification
 | SetComponentIndex
 | SetReference
 | WriteLeft
 | WriteTop
 | ChangeName
 | DefineProperties
 | GetChildren
 | GetChildOwner
 | GetChildParent
 | GetOwner
 | Loaded
 | Loading
 | Notification
 | PaletteCreated
 | ReadState
 | SetAncestor
 | SetDesigning
 | SetDesignInstance
 | SetInline
 | SetName
 | SetChildOrder
 | SetParentComponent
 | Updating
 | Updated
 | UpdateRegistry
 | ValidateRename
 | ValidateContainer
 | ValidateInsert
 | QueryInterface
 | _AddRef
 | _Release
 | iicrGetComponent
 | GetTypeInfoCount
 | GetTypeInfo
 | GetIDsOfNames
 | Invoke
 | WriteState
 | Create
 | Destroy
 | BeforeDestruction
 | DestroyComponents
 | Destroying
 | ExecuteAction
 | FindComponent
 | FreeNotification
 | RemoveFreeNotification
 | FreeOnRelease
 | GetEnumerator
 | GetNamePath
 | GetParentComponent
 | HasParent
 | InsertComponent
 | RemoveComponent
 | SafeCallException
 | SetSubComponent
 | UpdateAction
 | IsImplementorOf
 | ReferenceInterface
TPersistent
 | AssignError
 | AssignTo
 | DefineProperties
 | GetOwner
 | Destroy
 | Assign
 | FPOAttachObserver
 | FPODetachObserver
 | FPONotifyObservers
 | GetNamePath
TObject
 | Create
 | Destroy
 | newinstance
 | FreeInstance
 | SafeCallException
 | DefaultHandler
 | Free
 | InitInstance
 | CleanupInstance
 | ClassType
 | ClassInfo
 | ClassName
 | ClassNameIs
 | ClassParent
 | InstanceSize
 | InheritsFrom
 | StringMessageTable
 | MethodAddress
 | MethodName
 | FieldAddress
 | AfterConstruction
 | BeforeDestruction
 | DefaultHandlerStr
 | Dispatch
 | DispatchStr
 | GetInterface
 | GetInterfaceByStr
 | GetInterfaceWeak
 | GetInterfaceEntry
 | GetInterfaceEntryByStr
 | GetInterfaceTable
 | UnitName
 | Equals
 | GetHashCode
 | ToString


pt | ActionChange (TControl)
 | ActiveDefaultControlChanged (TControl)
 | AddControl (TWinControl)
pt | AddHandler (TControl)
 | AddHandlerOnBeforeDestruction (TControl)
 | AddHandlerOnChangeBounds (TControl)
 | AddHandlerOnEnabledChanged (TControl)
 | AddHandlerOnKeyDown (TControl)
 | AddHandlerOnMouseWheel (TControl)
 | AddHandlerOnResize (TControl)
 | AddHandlerOnVisibleChanged (TControl)
 | AddHandlerOnVisibleChanging (TControl)
pt | AddSelectedRange (TCustomGrid)
pt | AdjustClientRect (TWinControl)
pt | AdjustClientRect (TCustomGrid)
pt | AdjustEditorBounds (TCustomGrid)
 | AdjustInnerCellRect (TCustomGrid)
 | AdjustSize (TControl)
 | AfterConstruction (TObject)
pt | AfterMoveSelection (TCustomGrid)
pt | AlignControls (TWinControl)
pt | AllAutoSized (TWinControl)
 | AnchorAsAlign (TControl)
 | AnchorClient (TControl)
 | AnchoredControlCount (TControl)
 | AnchorHorizontalCenterTo (TControl)
 | AnchorParallel (TControl)
 | AnchorSame (TControl)
pt | AnchorSideChanged (TControl)
 | AnchorToCompanion (TControl)
 | AnchorToNeighbour (TControl)
 | AnchorVerticalCenterTo (TControl)
 | Assign (TPersistent)
 | AssignError (TPersistent)
 | AssignTo (TPersistent)
pt | AssignTo (TControl)
pt | AssignTo (TCustomGrid)
pt | AssignTo (TCustomStringGrid)
pt | AutoAdjustColumn (TCustomGrid)
pt | AutoAdjustColumn (TCustomStringGrid)
 | AutoAdjustColumns (TCustomGrid)
 | AutoAdjustLayout (TControl)
 | AutoAdjustLayout (TWinControl)
 | AutoSizeColumn (TCustomStringGrid)
 | AutoSizeColumns (TCustomStringGrid)
 | AutoSizeDelayed (TControl)
 | AutoSizeDelayed (TWinControl)
 | AutoSizeDelayedHandle (TControl)
 | AutoSizeDelayedHandle (TWinControl)
 | AutoSizeDelayedReport (TControl)
 | AutoSizeDelayedReport (TWinControl)
 | AutoSizePhases (TControl)
 | AutoSizePhases (TWinControl)
 | BeforeDestruction (TObject)
 | BeforeDestruction (TComponent)
 | BeforeDestruction (TControl)
pt | BeforeDragStart (TControl)
pt | BeforeMoveSelection (TCustomGrid)
pt | BeginAutoDrag (TControl)
pt | BeginAutoDrag (TCustomGrid)
pt | BeginAutoSizing (TControl)
 | BeginDrag (TControl)
 | BeginUpdate (TCustomGrid)
 | BeginUpdateBounds (TWinControl)
pt | BoundsChanged (TControl)
pt | BoxRect (TCustomGrid)
 | BringToFront (TControl)
 | BroadCast (TWinControl)
 | BrushCreated (TWinControl)
pt | CacheMouseDown (TCustomGrid)
pt | CalcAutoSizeColumn (TCustomGrid)
pt | CalcCellExtent (TCustomGrid)
pt | CalcCellExtent (TCustomStringGrid)
pt | CalcFocusRect (TCustomGrid)
pt | CalcMaxTopLeft (TCustomGrid)
pt | CalcScrollbarsRange (TCustomGrid)
pt | CalculateDockSizes (TControl)
pt | CalculatePreferredSize (TControl)
pt | CalculatePreferredSize (TWinControl)
pt | CalculatePreferredSize (TCustomGrid)
pt | CanAutoSize (TControl)
pt | CanEditShow (TCustomGrid)
 | CanFocus (TWinControl)
pt | CanGridAcceptKey (TCustomGrid)
 | CanSetFocus (TWinControl)
pt | CanTab (TControl)
pt | CanTab (TWinControl)
pt | CaptureChanged (TControl)
pt | CellClick (TCustomGrid)
pt | CellClick (TCustomDrawGrid)
pt | CellExtent (TCustomGrid)
 | CellRect (TCustomGrid)
 | CellToGridZone (TCustomGrid)
pt | ChangeBounds (TControl)
pt | Changed (TControl)
 | ChangeName (TComponent)
pt | ChangeScale (TControl)
pt | ChangeScale (TWinControl)
 | CheckChildClassAllowed (TControl)
pt | CheckLimits (TCustomGrid)
pt | CheckLimitsWithError (TCustomGrid)
pt | CheckNewCachedSizes (TCustomGrid)
 | CheckNewParent (TControl)
pt | CheckOnChangeBounds (TControl)
 | CheckPosition (TCustomGrid)
pt | ChildClassAllowed (TControl)
pt | ChildClassAllowed (TWinControl)
pt | ChildHandlesCreated (TWinControl)
pt | ChildKey (TWinControl)
 | ClassInfo (TObject)
 | ClassName (TObject)
 | ClassNameIs (TObject)
 | ClassParent (TObject)
 | ClassType (TObject)
 | Clean (TCustomStringGrid)
 | CleanupInstance (TObject)
 | Clear (TCustomGrid)
 | ClearCols (TCustomGrid)
 | ClearRows (TCustomGrid)
 | ClearSelections (TCustomGrid)
pt | Click (TControl)
pt | Click (TCustomGrid)
 | ClientRectNeedsInterfaceUpdate (TWinControl)
 | ClientToParent (TControl)
 | ClientToScreen (TControl)
pt | CMBiDiModeChanged (TControl)
pt | CMBiDiModeChanged (TWinControl)
pt | CMBiDiModeChanged (TCustomGrid)
pt | CMBorderChanged (TWinControl)
pt | CMChanged (TControl)
pt | CMCursorChanged (TControl)
pt | CMDoubleBufferedChanged (TWinControl)
pt | CMEnabledChanged (TControl)
pt | CMEnabledChanged (TWinControl)
pt | CMEnter (TWinControl)
pt | CMExit (TWinControl)
pt | CMHintShow (TControl)
pt | CMHitTest (TControl)
pt | CMMouseEnter (TControl)
pt | CMMouseEnter (TCustomGrid)
pt | CMMouseLeave (TControl)
pt | CMMouseLeave (TCustomGrid)
pt | CMParentBiDiModeChanged (TControl)
pt | CMParentColorChanged (TControl)
pt | CMParentDoubleBufferedChanged (TWinControl)
pt | CMParentFontChanged (TControl)
pt | CMParentShowHintChanged (TControl)
pt | CMShowHintChanged (TWinControl)
pt | CMShowingChanged (TWinControl)
pt | CMSysFontChanged (TControl)
pt | CMTextChanged (TControl)
pt | CMVisibleChanged (TControl)
pt | CMVisibleChanged (TWinControl)
pt | CNChar (TWinControl)
pt | CNKeyDown (TWinControl)
pt | CNKeyUp (TWinControl)
 | CNPreferredSizeChanged (TControl)
pt | CNSysKeyDown (TWinControl)
pt | CNSysKeyUp (TWinControl)
pt | ColorIsStored (TControl)
pt | ColRowDeleted (TCustomGrid)
pt | ColRowDeleted (TCustomDrawGrid)
pt | ColRowExchanged (TCustomGrid)
pt | ColRowExchanged (TCustomDrawGrid)
pt | ColRowInserted (TCustomGrid)
pt | ColRowInserted (TCustomDrawGrid)
pt | ColRowMoved (TCustomGrid)
pt | ColRowMoved (TCustomDrawGrid)
pt | ColRowToOffset (TCustomGrid)
pt | ColumnFromGridColumn (TCustomGrid)
pt | ColumnIndexFromGridColumn (TCustomGrid)
pt | ColumnsChanged (TCustomGrid)
pt | ColWidthsChanged (TCustomGrid)
pt | ConstrainedResize (TControl)
 | ContainsControl (TWinControl)
 | ControlAtPos (TWinControl)
pt | ControlKeyDown (TWinControl)
pt | ControlKeyUp (TWinControl)
pt | ControlsAligned (TWinControl)
 | ControlToScreen (TControl)
 | CopyToClipboard (TCustomStringGrid)
 | Create (TObject)
 | Create (TComponent)
 | Create (TLCLComponent)
 | Create (TControl)
 | Create (TWinControl)
 | Create (TCustomControl)
 | Create (TCustomGrid)
 | Create (TCustomDrawGrid)
 | Create (TCustomStringGrid)
 | CreateAccessibleObject (TControl)
pt | CreateBrush (TWinControl)
pt | CreateColumns (TCustomGrid)
pt | CreateControlBorderSpacing (TControl)
pt | CreateDockManager (TWinControl)
pt | CreateFloatingDockSite (TControl)
pt | CreateHandle (TWinControl)
pt | CreateParams (TWinControl)
pt | CreateParams (TCustomGrid)
 | CreateParented (TWinControl)
 | CreateParentedControl (TWinControl)
pt | CreateSubClass (TWinControl)
pt | CreateVirtualGrid (TCustomDrawGrid)
pt | CreateWnd (TWinControl)
pt | CreateWnd (TCustomGrid)
pt | CustomAlignInsertBefore (TWinControl)
pt | CustomAlignPosition (TWinControl)
pt | DblClick (TControl)
pt | DblClick (TCustomGrid)
 | DecLCLRefCount (TLCLComponent)
pt | DefaultColWidthIsStored (TCustomGrid)
 | DefaultDrawCell (TCustomDrawGrid)
 | DefaultHandler (TObject)
 | DefaultHandler (TWinControl)
 | DefaultHandlerStr (TObject)
pt | DefaultRowHeightIsStored (TCustomGrid)
pt | DefineCellsProperty (TCustomStringGrid)
 | DefineProperties (TPersistent)
 | DefineProperties (TComponent)
pt | DefineProperties (TControl)
pt | DefineProperties (TCustomGrid)
pt | DefineProperties (TCustomStringGrid)
 | DeleteCol (TCustomDrawGrid)
 | DeleteColRow (TCustomDrawGrid)
 | DeleteRow (TCustomDrawGrid)
 | Destroy (TObject)
 | Destroy (TPersistent)
 | Destroy (TComponent)
 | Destroy (TLCLComponent)
 | Destroy (TControl)
 | Destroy (TWinControl)
 | Destroy (TCustomControl)
 | Destroy (TCustomGrid)
 | Destroy (TCustomDrawGrid)
 | Destroy (TCustomStringGrid)
 | DestroyComponents (TComponent)
pt | DestroyHandle (TWinControl)
pt | DestroyHandle (TCustomGrid)
 | Destroying (TComponent)
pt | DestroyWnd (TWinControl)
pt | DestroyWnd (TCustomControl)
pt | DialogChar (TControl)
pt | DialogChar (TWinControl)
pt | DialogChar (TCustomGrid)
 | DisableAlign (TWinControl)
 | DisableAutoSizing (TControl)
 | Dispatch (TObject)
 | DispatchStr (TObject)
pt | DoAddDockClient (TWinControl)
 | DoAdjustClientRectChange (TWinControl)
pt | DoAlignChildControls (TWinControl)
pt | DoAllAutoSize (TControl)
pt | DoAllAutoSize (TWinControl)
pt | DoAutoAdjustLayout (TControl)
pt | DoAutoAdjustLayout (TCustomGrid)
pt | DoAutoSize (TControl)
pt | DoAutoSize (TWinControl)
pt | DoBorderSpacingChange (TControl)
pt | DoCallKeyEventHandler (TControl)
pt | DoCallMouseWheelEventHandler (TControl)
pt | DoCallNotifyHandler (TControl)
pt | DoCellProcess (TCustomStringGrid)
pt | DoChildSizingChange (TWinControl)
 | Dock (TControl)
 | DockDrop (TWinControl)
 | Docked (TControl)
pt | DockOver (TWinControl)
pt | DockTrackNoTarget (TControl)
pt | DoCompareCells (TCustomGrid)
pt | DoCompareCells (TCustomStringGrid)
pt | DoConstraintsChange (TControl)
pt | DoConstraintsChange (TWinControl)
pt | DoContextPopup (TControl)
pt | DoCopyToClipboard (TCustomGrid)
pt | DoCopyToClipboard (TCustomStringGrid)
pt | DoCutToClipboard (TCustomGrid)
pt | DoCutToClipboard (TCustomStringGrid)
pt | DoDock (TControl)
pt | DoDockClientMsg (TWinControl)
pt | DoDockOver (TWinControl)
pt | DoDragMsg (TControl)
pt | DoDragMsg (TWinControl)
pt | DoEditButtonClick (TCustomGrid)
pt | DoEditorHide (TCustomGrid)
pt | DoEditorShow (TCustomGrid)
pt | DoEndDock (TControl)
pt | DoEndDrag (TControl)
pt | DoEnter (TWinControl)
pt | DoEnter (TCustomGrid)
pt | DoExit (TWinControl)
pt | DoExit (TCustomGrid)
pt | DoFixDesignFontPPI (TControl)
pt | DoFlipChildren (TWinControl)
pt | DoFloatMsg (TControl)
pt | DoFloatMsg (TWinControl)
pt | DoGetDockCaption (TWinControl)
pt | DoKeyDownBeforeInterface (TWinControl)
pt | DoKeyPress (TWinControl)
pt | DoKeyUpBeforeInterface (TWinControl)
pt | DoLoadColumn (TCustomGrid)
pt | DoMouseWheel (TControl)
pt | DoMouseWheel (TCustomGrid)
pt | DoMouseWheelDown (TControl)
pt | DoMouseWheelDown (TCustomGrid)
pt | DoMouseWheelHorz (TControl)
pt | DoMouseWheelLeft (TControl)
pt | DoMouseWheelLeft (TCustomGrid)
pt | DoMouseWheelRight (TControl)
pt | DoMouseWheelRight (TCustomGrid)
pt | DoMouseWheelUp (TControl)
pt | DoMouseWheelUp (TCustomGrid)
pt | DoOnChangeBounds (TControl)
pt | DoOnChangeBounds (TCustomGrid)
pt | DoOnParentHandleDestruction (TControl)
pt | DoOnResize (TControl)
pt | DoOnShowHint (TControl)
pt | DoOPDeleteColRow (TCustomGrid)
pt | DoOPExchangeColRow (TCustomGrid)
pt | DoOPInsertColRow (TCustomGrid)
pt | DoOPMoveColRow (TCustomGrid)
pt | DoPasteFromClipboard (TCustomGrid)
pt | DoPasteFromClipboard (TCustomStringGrid)
pt | DoPrepareCanvas (TCustomGrid)
pt | DoRemainingKeyDown (TWinControl)
pt | DoRemainingKeyUp (TWinControl)
pt | DoRemoveDockClient (TWinControl)
pt | DoSaveColumn (TCustomGrid)
pt | DoScaleFontPPI (TControl)
pt | DoSendBoundsToInterface (TWinControl)
pt | DoSendShowHideToInterface (TWinControl)
pt | DoSetBounds (TControl)
pt | DoSetBounds (TWinControl)
pt | DoSetBounds (TCustomGrid)
pt | DoStartDock (TControl)
pt | DoStartDrag (TControl)
pt | DoUnDock (TWinControl)
pt | DoUndockClientMsg (TWinControl)
pt | DoUTF8KeyPress (TWinControl)
pt | DoUTF8KeyPress (TCustomGrid)
pt | DragCanceled (TControl)
 | DragDrop (TControl)
 | Dragging (TControl)
pt | DragOver (TControl)
pt | DrawAllRows (TCustomGrid)
pt | DrawBorder (TCustomGrid)
pt | DrawButtonCell (TCustomGrid)
pt | DrawCell (TCustomGrid)
pt | DrawCell (TCustomDrawGrid)
pt | DrawCellAutonumbering (TCustomDrawGrid)
pt | DrawCellAutonumbering (TCustomStringGrid)
pt | DrawCellGrid (TCustomGrid)
pt | DrawCellText (TCustomGrid)
pt | DrawColRowMoving (TCustomGrid)
pt | DrawColumnText (TCustomGrid)
pt | DrawColumnText (TCustomStringGrid)
pt | DrawColumnTitleImage (TCustomGrid)
pt | DrawEdges (TCustomGrid)
pt | DrawFillRect (TCustomGrid)
pt | DrawFocusRect (TCustomGrid)
pt | DrawFocusRect (TCustomDrawGrid)
pt | DrawGridCheckboxBitmaps (TCustomGrid)
pt | DrawRow (TCustomGrid)
pt | DrawTextInCell (TCustomGrid)
pt | DrawTextInCell (TCustomStringGrid)
pt | DrawThemedCell (TCustomGrid)
pt | EditButtonClicked (TCustomGrid)
pt | EditingAllowed (TCustomGrid)
 | EditingDone (TControl)
 | EditingDone (TCustomGrid)
 | EditorByStyle (TCustomGrid)
pt | EditorCanAcceptKey (TCustomGrid)
pt | EditordoGetValue (TCustomGrid)
pt | EditordoResetValue (TCustomGrid)
pt | EditordoSetValue (TCustomGrid)
pt | EditorHide (TCustomGrid)
pt | EditorIsReadOnly (TCustomGrid)
 | EditorKeyDown (TCustomGrid)
 | EditorKeyPress (TCustomGrid)
 | EditorKeyUp (TCustomGrid)
pt | EditorLocked (TCustomGrid)
pt | EditorSelectAll (TCustomGrid)
pt | EditorShow (TCustomGrid)
pt | EditorShowInCell (TCustomGrid)
 | EditorTextChanged (TCustomGrid)
pt | EditorWidthChanged (TCustomGrid)
 | EnableAlign (TWinControl)
 | EnableAutoSizing (TControl)
pt | EnabledChanged (TControl)
pt | EnabledChanging (TControl)
pt | EndAutoSizing (TControl)
 | EndDrag (TControl)
 | EndUpdate (TCustomGrid)
 | EndUpdateBounds (TWinControl)
 | Equals (TObject)
 | EraseBackground (TWinControl)
 | EraseBackground (TCustomGrid)
 | ExchangeColRow (TCustomDrawGrid)
 | ExecuteAction (TComponent)
 | ExecuteCancelAction (TControl)
 | ExecuteDefaultAction (TControl)
 | FieldAddress (TObject)
pt | FinalizeWnd (TWinControl)
 | FindChildControl (TWinControl)
 | FindComponent (TComponent)
pt | FindNextControl (TWinControl)
pt | FirstGridColumn (TCustomGrid)
 | FixDesignFontsPPI (TControl)
pt | FixedGrid (TCustomGrid)
pt | FixupTabList (TWinControl)
 | FlipChildren (TWinControl)
pt | FlipPoint (TCustomGrid)
pt | FlipRect (TCustomGrid)
pt | FlipX (TCustomGrid)
 | Focused (TWinControl)
 | Focused (TCustomGrid)
pt | FontChanged (TControl)
pt | FontChanged (TWinControl)
pt | FontChanged (TCustomControl)
pt | FontChanged (TCustomGrid)
pt | ForeignAnchorSideChanged (TControl)
pt | FormEndUpdated (TControl)
pt | FormEndUpdated (TWinControl)
 | FormIsUpdating (TControl)
 | FPOAttachObserver (TPersistent)
 | FPODetachObserver (TPersistent)
 | FPONotifyObservers (TPersistent)
 | Free (TObject)
 | FreeInstance (TObject)
 | FreeNotification (TComponent)
 | FreeOnRelease (TComponent)
 | GetAccessibleObject (TControl)
pt | GetAction (TControl)
pt | GetActionLinkClass (TControl)
pt | GetAdjustedLogicalClientRect (TWinControl)
 | GetAnchorsDependingOnParent (TControl)
pt | GetAutoFillColumnInfo (TCustomGrid)
pt | GetBorderStyle (TWinControl)
pt | GetCachedText (TControl)
 | GetCanvasScaleFactor (TControl)
pt | GetCellHintText (TCustomGrid)
pt | GetCells (TCustomGrid)
pt | GetCells (TCustomDrawGrid)
pt | GetCells (TCustomStringGrid)
pt | GetCheckBoxState (TCustomDrawGrid)
pt | GetCheckBoxState (TCustomStringGrid)
 | GetChildAccessibleObjectAtPos (TControl)
 | GetChildOwner (TComponent)
 | GetChildParent (TComponent)
 | GetChildren (TComponent)
pt | GetChildren (TWinControl)
 | GetChildrenRect (TControl)
 | GetChildrenRect (TWinControl)
pt | GetClientOrigin (TControl)
pt | GetClientOrigin (TWinControl)
pt | GetClientRect (TControl)
pt | GetClientRect (TWinControl)
pt | GetClientScrollOffset (TControl)
 | GetColorResolvingParent (TControl)
pt | GetColumnAlignment (TCustomGrid)
pt | GetColumnColor (TCustomGrid)
pt | GetColumnFont (TCustomGrid)
pt | GetColumnLayout (TCustomGrid)
pt | GetColumnReadonly (TCustomGrid)
pt | GetColumnTitle (TCustomGrid)
pt | GetColumnWidth (TCustomGrid)
 | GetComObject (TComponent)
 | GetComponent (TComponent)
 | GetComponentCount (TComponent)
 | GetComponentIndex (TComponent)
pt | GetControlClassDefaultSize (TControl)
 | GetControlIndex (TWinControl)
pt | GetControlOrigin (TControl)
pt | GetControlOrigin (TWinControl)
pt | GetCursor (TControl)
 | GetDefaultColor (TControl)
pt | GetDefaultColumnAlignment (TCustomGrid)
pt | GetDefaultColumnLayout (TCustomGrid)
pt | GetDefaultColumnReadOnly (TCustomGrid)
pt | GetDefaultColumnTitle (TCustomGrid)
pt | GetDefaultColumnWidth (TCustomGrid)
pt | GetDefaultDockCaption (TControl)
pt | GetDefaultEditor (TCustomGrid)
 | GetDefaultHeight (TControl)
pt | GetDefaultRowHeight (TCustomGrid)
 | GetDefaultWidth (TControl)
pt | GetDeltaMoveNext (TCustomGrid)
pt | GetDeviceContext (TControl)
pt | GetDeviceContext (TWinControl)
 | GetDockCaption (TWinControl)
pt | GetDockEdge (TControl)
pt | GetDragImages (TControl)
pt | GetEditMask (TCustomGrid)
pt | GetEditMask (TCustomDrawGrid)
pt | GetEditText (TCustomGrid)
pt | GetEditText (TCustomDrawGrid)
pt | GetEditText (TCustomStringGrid)
pt | GetEnabled (TControl)
 | GetEnumerator (TComponent)
 | GetEnumeratorControls (TWinControl)
 | GetEnumeratorControlsReverse (TWinControl)
pt | GetFirstVisibleColumn (TCustomGrid)
pt | GetFirstVisibleRow (TCustomGrid)
pt | GetFixedcolor (TCustomGrid)
pt | GetFloating (TControl)
pt | GetFloatingDockSiteClass (TControl)
pt | GetGridDrawState (TCustomGrid)
 | GetHashCode (TObject)
 | GetIDsOfNames (TComponent)
pt | GetImageForCheckBox (TCustomGrid)
 | GetInterface (TObject)
 | GetInterfaceByStr (TObject)
 | GetInterfaceEntry (TObject)
 | GetInterfaceEntryByStr (TObject)
 | GetInterfaceTable (TObject)
 | GetInterfaceWeak (TObject)
pt | GetIsCellSelected (TCustomGrid)
pt | GetIsCellTitle (TCustomGrid)
pt | GetLastVisibleColumn (TCustomGrid)
pt | GetLastVisibleRow (TCustomGrid)
pt | GetLogicalClientRect (TControl)
pt | GetMouseCapture (TControl)
pt | GetMouseCapture (TWinControl)
pt | GetMousePosFromMessage (TControl)
 | GetNamePath (TPersistent)
 | GetNamePath (TComponent)
 | GetOwner (TPersistent)
 | GetOwner (TComponent)
pt | GetPalette (TControl)
pt | GetParentBackground (TWinControl)
 | GetParentComponent (TComponent)
 | GetParentComponent (TControl)
pt | GetParentHandle (TWinControl)
pt | GetPopupMenu (TControl)
 | GetPreferredSize (TControl)
pt | GetPreferredSizeClientFrame (TWinControl)
pt | GetPxTopLeft (TCustomGrid)
 | GetRGBColorResolvingParent (TControl)
pt | GetSBRanges (TCustomGrid)
pt | GetSBVisibility (TCustomGrid)
pt | GetScrollBarPosition (TCustomGrid)
pt | GetScrolledClientRect (TControl)
 | GetSelectedChildAccessibleObject (TControl)
pt | GetSelectedColor (TCustomGrid)
pt | GetSelectedState (TCustomGrid)
 | GetSidePosition (TControl)
pt | GetSiteInfo (TWinControl)
pt | GetSmoothScroll (TCustomGrid)
 | GetTabOrderList (TWinControl)
 | GetTextBuf (TControl)
 | GetTextLen (TControl)
 | GetTextLen (TWinControl)
pt | GetTitleShowPrefix (TCustomGrid)
 | GetTopParent (TControl)
pt | GetTopParentHandle (TWinControl)
pt | GetTruncCellHintText (TCustomGrid)
 | GetTypeInfo (TComponent)
 | GetTypeInfoCount (TComponent)
pt | GetWSComponentClass (TLCLComponent)
pt | GridColumnFromColumnIndex (TCustomGrid)
pt | GridMouseWheel (TCustomGrid)
pt | GridMouseWheel (TCustomDrawGrid)
 | HandleAllocated (TWinControl)
 | HandleNeeded (TWinControl)
 | HandleObjectShouldBeVisible (TControl)
 | HasHelp (TControl)
 | HasMultiSelection (TCustomGrid)
 | HasParent (TComponent)
 | HasParent (TControl)
pt | HeaderClick (TCustomGrid)
pt | HeaderClick (TCustomDrawGrid)
pt | HeaderSized (TCustomGrid)
pt | HeaderSized (TCustomDrawGrid)
pt | HeaderSizing (TCustomGrid)
pt | HeaderSizing (TCustomDrawGrid)
pt | HeightIsAnchored (TControl)
 | Hide (TControl)
pt | HideCellHintWindow (TCustomGrid)
 | iicrGetComponent (TComponent)
 | IncLCLRefCount (TLCLComponent)
 | InheritsFrom (TObject)
pt | InitializeWnd (TWinControl)
 | InitiateAction (TControl)
 | InitInstance (TObject)
 | Insert (TComponent)
 | InsertColRow (TCustomDrawGrid)
 | InsertComponent (TComponent)
 | InsertControl (TWinControl)
 | InsertRowWithValues (TCustomStringGrid)
 | InstanceSize (TObject)
pt | InternalSetColCount (TCustomGrid)
 | IntfGetDropFilesTarget (TWinControl)
 | IntfUTF8KeyPress (TWinControl)
 | Invalidate (TControl)
 | Invalidate (TWinControl)
 | Invalidate (TCustomGrid)
pt | InvalidateBoundsRealized (TWinControl)
pt | InvalidateCell (TCustomGrid)
 | InvalidateClientRectCache (TWinControl)
 | InvalidateCol (TCustomGrid)
pt | InvalidateControl (TControl)
pt | InvalidateFocused (TCustomGrid)
pt | InvalidateFromCol (TCustomGrid)
pt | InvalidateGrid (TCustomGrid)
pt | InvalidatePreferredChildSizes (TWinControl)
 | InvalidatePreferredSize (TControl)
 | InvalidateRange (TCustomGrid)
 | InvalidateRow (TCustomGrid)
 | Invoke (TComponent)
pt | IsAParentAligning (TControl)
pt | IsBorderSpacingInnerBorderStored (TControl)
pt | IsCaptionStored (TControl)
 | IsCellVisible (TCustomGrid)
pt | IsClientHeightStored (TControl)
pt | IsClientHeightStored (TWinControl)
pt | IsClientWidthStored (TControl)
pt | IsClientWidthStored (TWinControl)
pt | IsControlMouseMsg (TWinControl)
 | IsControlVisible (TControl)
pt | IsEmptyRow (TCustomGrid)
 | IsEnabled (TControl)
 | IsFixedCellVisible (TCustomGrid)
 | IsImplementorOf (TComponent)
pt | IsMouseOverCellButton (TCustomGrid)
 | IsParentColor (TControl)
 | IsParentFont (TControl)
 | IsParentOf (TControl)
 | IsProcessingPaintMsg (TControl)
 | IsRightToLeft (TControl)
 | IsVisible (TControl)
pt | KeyDown (TWinControl)
pt | KeyDown (TCustomGrid)
pt | KeyDown (TCustomDrawGrid)
pt | KeyDownAfterInterface (TWinControl)
pt | KeyDownBeforeInterface (TWinControl)
pt | KeyPress (TWinControl)
pt | KeyPress (TCustomGrid)
pt | KeyUp (TWinControl)
pt | KeyUp (TCustomGrid)
pt | KeyUpAfterInterface (TWinControl)
pt | KeyUpBeforeInterface (TWinControl)
pt | LMCaptureChanged (TControl)
pt | LoadContent (TCustomGrid)
pt | LoadContent (TCustomStringGrid)
 | Loaded (TComponent)
pt | Loaded (TControl)
pt | Loaded (TWinControl)
pt | Loaded (TCustomGrid)
pt | Loaded (TCustomStringGrid)
pt | LoadedAll (TControl)
 | LoadFromCSVFile (TCustomStringGrid)
 | LoadFromCSVStream (TCustomStringGrid)
 | LoadFromFile (TCustomGrid)
 | LoadFromStream (TCustomGrid)
pt | LoadGridOptions (TCustomGrid)
 | Loading (TComponent)
pt | LockEditor (TCustomGrid)
 | LockRealizeBounds (TWinControl)
pt | MainWndProc (TWinControl)
 | ManualDock (TControl)
 | ManualFloat (TControl)
 | MethodAddress (TObject)
 | MethodName (TObject)
pt | MouseButtonAllowed (TCustomGrid)
 | MouseCoord (TCustomGrid)
pt | MouseDown (TControl)
pt | MouseDown (TCustomGrid)
pt | MouseEnter (TControl)
pt | MouseLeave (TControl)
pt | MouseMove (TControl)
pt | MouseMove (TCustomGrid)
 | MouseToCell (TCustomGrid)
 | MouseToGridZone (TCustomGrid)
 | MouseToLogcell (TCustomGrid)
pt | MouseUp (TControl)
pt | MouseUp (TCustomGrid)
 | MoveColRow (TCustomDrawGrid)
pt | MoveExtend (TCustomGrid)
pt | MoveNextAuto (TCustomGrid)
pt | MoveNextSelectable (TCustomGrid)
pt | MoveSelection (TCustomGrid)
 | newinstance (TObject)
 | NewInstance (TLCLComponent)
 | Notification (TComponent)
pt | Notification (TControl)
pt | NotifyColRowChange (TCustomDrawGrid)
 | NotifyControls (TWinControl)
pt | OffsetToColRow (TCustomGrid)
pt | Paint (TCustomControl)
pt | Paint (TCustomGrid)
pt | PaintControls (TWinControl)
pt | PaintHandler (TWinControl)
 | PaintTo (TWinControl)
pt | PaintWindow (TWinControl)
pt | PaintWindow (TCustomControl)
 | PaletteCreated (TComponent)
 | ParentDestroyingHandle (TControl)
pt | ParentFontChanged (TControl)
pt | ParentFormHandleInitialized (TControl)
pt | ParentFormHandleInitialized (TWinControl)
 | ParentHandlesAllocated (TControl)
 | ParentHandlesAllocated (TWinControl)
 | ParentToClient (TControl)
 | Perform (TControl)
 | PerformTab (TWinControl)
pt | PickListItemSelected (TCustomGrid)
pt | PositionDockRect (TControl)
pt | PrepareCanvas (TCustomGrid)
pt | PrepareCellHints (TCustomGrid)
pt | QuadClick (TControl)
 | QueryInterface (TComponent)
 | ReadLeft (TComponent)
 | ReadState (TComponent)
pt | ReadState (TControl)
 | ReadTop (TComponent)
pt | RealGetText (TControl)
pt | RealGetText (TWinControl)
 | ReAlign (TWinControl)
pt | RealizeBounds (TWinControl)
pt | RealizeBoundsRecursive (TWinControl)
pt | RealSetText (TControl)
pt | RealSetText (TWinControl)
 | ReferenceInterface (TComponent)
 | Refresh (TControl)
pt | ReloadDockedControl (TWinControl)
 | Remove (TComponent)
 | RemoveAllHandlersOfObject (TLCLComponent)
 | RemoveAllHandlersOfObject (TControl)
 | RemoveComponent (TComponent)
 | RemoveControl (TWinControl)
pt | RemoveFocus (TWinControl)
 | RemoveFreeNotification (TComponent)
pt | RemoveHandler (TControl)
 | RemoveHandlerOnBeforeDestruction (TControl)
 | RemoveHandlerOnChangeBounds (TControl)
 | RemoveHandlerOnEnableChanging (TControl)
 | RemoveHandlerOnKeyDown (TControl)
 | RemoveHandlerOnMouseWheel (TControl)
 | RemoveHandlerOnResize (TControl)
 | RemoveHandlerOnVisibleChanged (TControl)
 | RemoveHandlerOnVisibleChanging (TControl)
 | RemoveNotification (TComponent)
 | Repaint (TControl)
 | Repaint (TWinControl)
 | ReplaceDockedControl (TControl)
pt | RequestAlign (TControl)
pt | ResetDefaultColWidths (TCustomGrid)
pt | ResetEditor (TCustomGrid)
pt | ResetLastMove (TCustomGrid)
pt | ResetOffset (TCustomGrid)
pt | ResetSizes (TCustomGrid)
pt | Resize (TControl)
pt | ResizeColumn (TCustomGrid)
pt | ResizeRow (TCustomGrid)
pt | RowHeightsChanged (TCustomGrid)
pt | RTLSign (TCustomGrid)
 | SafeCallException (TObject)
 | SafeCallException (TComponent)
pt | SaveContent (TCustomGrid)
pt | SaveContent (TCustomStringGrid)
pt | SaveGridOptions (TCustomGrid)
 | SaveToCSVFile (TCustomStringGrid)
 | SaveToCSVStream (TCustomStringGrid)
 | SaveToFile (TCustomGrid)
 | SaveToStream (TCustomGrid)
 | Scale96ToFont (TControl)
 | Scale96ToForm (TControl)
 | Scale96ToScreen (TControl)
 | ScaleBy (TWinControl)
pt | ScaleConstraints (TControl)
pt | ScaleControls (TWinControl)
 | ScaleDesignToForm (TControl)
 | ScaleFontsPPI (TControl)
 | ScaleFontTo96 (TControl)
 | ScaleFontToScreen (TControl)
 | ScaleFormTo96 (TControl)
 | ScaleFormToDesign (TControl)
 | ScaleScreenTo96 (TControl)
 | ScaleScreenToFont (TControl)
 | ScreenToClient (TControl)
 | ScreenToControl (TControl)
pt | ScrollBarAutomatic (TCustomGrid)
pt | ScrollBarIsVisible (TCustomGrid)
pt | ScrollBarPage (TCustomGrid)
pt | ScrollBarPosition (TCustomGrid)
pt | ScrollBarRange (TCustomGrid)
pt | ScrollBarShow (TCustomGrid)
 | ScrollBy (TWinControl)
pt | ScrollBy (TCustomGrid)
 | ScrollBy_WS (TWinControl)
pt | SelectCell (TCustomGrid)
pt | SelectCell (TCustomDrawGrid)
pt | SelectEditor (TCustomGrid)
pt | SelectFirst (TWinControl)
pt | SelectionSetHTML (TCustomStringGrid)
pt | SelectionSetText (TCustomStringGrid)
 | SelectNext (TWinControl)
pt | SendDialogChar (TWinControl)
pt | SendMoveSizeMessages (TControl)
pt | SendMoveSizeMessages (TWinControl)
 | SendToBack (TControl)
pt | SetAction (TControl)
pt | SetAlign (TControl)
 | SetAncestor (TComponent)
pt | SetAnchors (TControl)
pt | SetAutoSize (TControl)
pt | SetBiDiMode (TControl)
pt | SetBorderStyle (TWinControl)
pt | SetBorderStyle (TCustomGrid)
 | SetBounds (TControl)
 | SetBounds (TWinControl)
 | SetBoundsKeepBase (TControl)
pt | SetCanvasFont (TCustomGrid)
pt | SetCells (TCustomStringGrid)
pt | SetCheckboxState (TCustomDrawGrid)
pt | SetCheckboxState (TCustomStringGrid)
 | SetChildOrder (TComponent)
pt | SetChildZPosition (TWinControl)
pt | SetColor (TControl)
pt | SetColor (TWinControl)
pt | SetColor (TCustomControl)
pt | SetColor (TCustomGrid)
pt | SetColor (TCustomDrawGrid)
pt | SetColRow (TCustomGrid)
 | SetComponentIndex (TComponent)
 | SetControlIndex (TWinControl)
pt | SetCursor (TControl)
 | SetDesigning (TComponent)
 | SetDesignInstance (TComponent)
pt | SetDockManager (TWinControl)
pt | SetDragMode (TControl)
pt | SetEditText (TCustomGrid)
pt | SetEditText (TCustomDrawGrid)
pt | SetEditText (TCustomStringGrid)
pt | SetEnabled (TControl)
pt | SetFixedcolor (TCustomGrid)
pt | SetFixedCols (TCustomGrid)
pt | SetFixedRows (TCustomGrid)
 | SetFocus (TWinControl)
 | SetFocus (TCustomGrid)
pt | SetHint (TControl)
 | SetInitialBounds (TControl)
 | SetInline (TComponent)
 | SetName (TComponent)
pt | SetName (TControl)
pt | SetParent (TControl)
pt | SetParentBackground (TWinControl)
pt | SetParentBiDiMode (TControl)
 | SetParentComponent (TComponent)
pt | SetParentComponent (TControl)
pt | SetRawColWidths (TCustomGrid)
 | SetReference (TComponent)
pt | SetSelectedColor (TCustomGrid)
 | SetShape (TWinControl)
 | SetSubComponent (TComponent)
 | SetTempCursor (TControl)
 | SetTempCursor (TWinControl)
 | SetTextBuf (TControl)
pt | SetVisible (TControl)
pt | SetZOrder (TControl)
 | ShouldAutoAdjust (TControl)
 | Show (TControl)
pt | ShowCellHintWindow (TCustomGrid)
pt | ShowControl (TWinControl)
 | ShowHelp (TControl)
pt | SizeChanged (TCustomGrid)
pt | SizeChanged (TCustomDrawGrid)
pt | Sort (TCustomGrid)
 | SortColRow (TCustomDrawGrid)
pt | StartPushCell (TCustomGrid)
 | StringMessageTable (TObject)
pt | TextChanged (TControl)
pt | ToggleCheckbox (TCustomDrawGrid)
pt | TopLeftChanged (TCustomGrid)
 | ToString (TObject)
pt | TripleClick (TControl)
pt | TryMoveSelection (TCustomGrid)
 | UnitName (TObject)
pt | UnLockEditor (TCustomGrid)
 | UnlockRealizeBounds (TWinControl)
pt | UnprepareCellHints (TCustomGrid)
 | Update (TControl)
 | Update (TWinControl)
 | UpdateAction (TComponent)
pt | UpdateAnchorRules (TControl)
 | UpdateBaseBounds (TControl)
pt | UpdateBorderStyle (TCustomGrid)
pt | UpdateControlState (TWinControl)
 | Updated (TComponent)
 | UpdateDockCaption (TWinControl)
pt | UpdateHorzScrollBar (TCustomGrid)
pt | UpdateMouseCursor (TControl)
 | UpdateRegistry (TComponent)
 | UpdateRolesForForm (TControl)
pt | UpdateSelectionRange (TCustomGrid)
pt | UpdateShowing (TWinControl)
pt | UpdateVertScrollbar (TCustomGrid)
 | Updating (TComponent)
 | UseRightToLeftAlignment (TControl)
 | UseRightToLeftReading (TControl)
 | UseRightToLeftScrollBar (TControl)
pt | UTF8KeyPress (TWinControl)
 | ValidateContainer (TComponent)
pt | ValidateEntry (TCustomGrid)
 | ValidateInsert (TComponent)
 | ValidateRename (TComponent)
pt | VisibleChanged (TControl)
pt | VisibleChanging (TControl)
pt | VisualChange (TCustomGrid)
pt | WidthIsAnchored (TControl)
pt | WMCancelMode (TControl)
pt | WMChar (TWinControl)
pt | WMContextMenu (TControl)
pt | WMContextMenu (TWinControl)
pt | WMDestroy (TWinControl)
pt | WMEnter (TWinControl)
pt | WMEraseBkgnd (TWinControl)
pt | WMExit (TWinControl)
pt | WMHScroll (TCustomGrid)
pt | WMKeyDown (TWinControl)
pt | WMKeyUp (TWinControl)
pt | WMKillFocus (TWinControl)
pt | WMKillFocus (TCustomGrid)
pt | WMLButtonDBLCLK (TControl)
pt | WMLButtonDown (TControl)
pt | WMLButtonQuadCLK (TControl)
pt | WMLButtonTripleCLK (TControl)
pt | WMLButtonUp (TControl)
pt | WMMButtonDBLCLK (TControl)
pt | WMMButtonDown (TControl)
pt | WMMButtonQuadCLK (TControl)
pt | WMMButtonTripleCLK (TControl)
pt | WMMButtonUp (TControl)
pt | WMMouseHWheel (TControl)
pt | WMMouseMove (TControl)
pt | WMMouseWheel (TControl)
pt | WMMove (TControl)
pt | WMMove (TWinControl)
pt | WMNotify (TWinControl)
pt | WMPaint (TWinControl)
pt | WMPaint (TCustomControl)
pt | WMRButtonDBLCLK (TControl)
pt | WMRButtonDown (TControl)
pt | WMRButtonQuadCLK (TControl)
pt | WMRButtonTripleCLK (TControl)
pt | WMRButtonUp (TControl)
pt | WMSetFocus (TWinControl)
pt | WMSetFocus (TCustomGrid)
pt | WMShowWindow (TWinControl)
pt | WMSize (TControl)
pt | WMSize (TWinControl)
pt | WMSize (TCustomGrid)
pt | WMSysChar (TWinControl)
pt | WMSysKeyDown (TWinControl)
pt | WMSysKeyUp (TWinControl)
pt | WMVScroll (TCustomGrid)
pt | WMWindowPosChanged (TControl)
pt | WMWindowPosChanged (TWinControl)
pt | WMXButtonDBLCLK (TControl)
pt | WMXButtonDown (TControl)
pt | WMXButtonQuadCLK (TControl)
pt | WMXButtonTripleCLK (TControl)
pt | WMXButtonUp (TControl)
pt | WndProc (TControl)
pt | WndProc (TWinControl)
pt | WndProc (TCustomGrid)
 | WriteLayoutDebugReport (TControl)
 | WriteLayoutDebugReport (TWinControl)
 | WriteLeft (TComponent)
 | WriteState (TComponent)
 | WriteTop (TComponent)
pt | WSRegisterClass (TLCLComponent)
pt | WSRegisterClass (TControl)
pt | WSRegisterClass (TWinControl)
pt | WSRegisterClass (TCustomControl)
pt | WSRegisterClass (TCustomGrid)
pt | WSSetText (TWinControl)
 | _AddRef (TComponent)
 | _Release (TComponent)


TCustomStringGrid
pt |  | OnCellProcess
TCustomDrawGrid
pt |  | OnGetCheckboxState
pt |  | OnSetCheckboxState
 | ro | OnAfterSelection
 | ro | OnBeforeSelection
 | ro | OnClick
 |  | OnColRowDeleted
 |  | OnColRowExchanged
 |  | OnColRowInserted
 |  | OnColRowMoved
 | ro | OnCompareCells
 | ro | OnContextPopup
 | ro | OnDblClick
 | ro | OnDragDrop
 | ro | OnDragOver
 | ro | OnDrawCell
 | ro | OnEditButtonClick
 | ro | OnButtonClick
 | ro | OnEndDock
 | ro | OnEndDrag
 | ro | OnEnter
 | ro | OnExit
 |  | OnGetEditMask
 |  | OnGetEditText
 |  | OnHeaderClick
 |  | OnHeaderSized
 |  | OnHeaderSizing
 | ro | OnKeyDown
 | ro | OnKeyPress
 | ro | OnKeyUp
 | ro | OnMouseDown
 | ro | OnMouseEnter
 | ro | OnMouseLeave
 | ro | OnMouseMove
 | ro | OnMouseUp
 | ro | OnMouseWheel
 | ro | OnMouseWheelDown
 | ro | OnMouseWheelUp
 | ro | OnPickListSelect
 | ro | OnPrepareCanvas
 | ro | OnSelectEditor
 | ro | OnSelection
 |  | OnSelectCell
 |  | OnSetEditText
 | ro | OnStartDock
 | ro | OnStartDrag
 | ro | OnTopleftChanged
 | ro | OnUTF8KeyPress
 | ro | OnValidateEntry
TCustomGrid
pt |  | OnAfterSelection
pt |  | OnBeforeSelection
pt |  | OnCheckboxToggled
pt |  | OnCompareCells
pt |  | OnPrepareCanvas
pt |  | OnDrawCell
pt |  | OnEditButtonClick
pt |  | OnButtonClick
pt |  | OnPickListSelect
pt |  | OnSelection
pt |  | OnSelectEditor
pt |  | OnTopLeftChanged
pt |  | OnUserCheckboxBitmap
pt |  | OnValidateEntry
pt |  | OnGetCellHint
pt |  | OnSaveColumn
pt |  | OnLoadColumn
TCustomControl
 |  | OnPaint
TWinControl
pt |  | OnGetSiteInfo
pt |  | OnGetDockCaption
 |  | OnAlignInsertBefore
 |  | OnAlignPosition
 |  | OnDockDrop
 |  | OnDockOver
 |  | OnEnter
 |  | OnExit
 |  | OnKeyDown
 |  | OnKeyPress
 |  | OnKeyUp
 |  | OnUnDock
 |  | OnUTF8KeyPress
TControl
pt |  | OnConstrainedResize
pt |  | OnContextPopup
pt |  | OnDblClick
pt |  | OnTripleClick
pt |  | OnQuadClick
pt |  | OnDragDrop
pt |  | OnDragOver
pt |  | OnEndDock
pt |  | OnEndDrag
pt |  | OnMouseDown
pt |  | OnMouseMove
pt |  | OnMouseUp
pt |  | OnMouseEnter
pt |  | OnMouseLeave
pt |  | OnMouseWheel
pt |  | OnMouseWheelDown
pt |  | OnMouseWheelUp
pt |  | OnMouseWheelHorz
pt |  | OnMouseWheelLeft
pt |  | OnMouseWheelRight
pt |  | OnStartDock
pt |  | OnStartDrag
pt |  | OnEditingDone
 |  | OnChangeBounds
 |  | OnClick
 |  | OnResize
 |  | OnShowHint
TLCLComponent
TComponent
TPersistent
TObject


pt |  | OnAfterSelection (TCustomGrid)
 | ro | OnAfterSelection (TCustomDrawGrid)
 |  | OnAlignInsertBefore (TWinControl)
 |  | OnAlignPosition (TWinControl)
pt |  | OnBeforeSelection (TCustomGrid)
 | ro | OnBeforeSelection (TCustomDrawGrid)
pt |  | OnButtonClick (TCustomGrid)
 | ro | OnButtonClick (TCustomDrawGrid)
pt |  | OnCellProcess (TCustomStringGrid)
 |  | OnChangeBounds (TControl)
pt |  | OnCheckboxToggled (TCustomGrid)
 |  | OnClick (TControl)
 | ro | OnClick (TCustomDrawGrid)
 |  | OnColRowDeleted (TCustomDrawGrid)
 |  | OnColRowExchanged (TCustomDrawGrid)
 |  | OnColRowInserted (TCustomDrawGrid)
 |  | OnColRowMoved (TCustomDrawGrid)
pt |  | OnCompareCells (TCustomGrid)
 | ro | OnCompareCells (TCustomDrawGrid)
pt |  | OnConstrainedResize (TControl)
pt |  | OnContextPopup (TControl)
 | ro | OnContextPopup (TCustomDrawGrid)
pt |  | OnDblClick (TControl)
 | ro | OnDblClick (TCustomDrawGrid)
 |  | OnDockDrop (TWinControl)
 |  | OnDockOver (TWinControl)
pt |  | OnDragDrop (TControl)
 | ro | OnDragDrop (TCustomDrawGrid)
pt |  | OnDragOver (TControl)
 | ro | OnDragOver (TCustomDrawGrid)
pt |  | OnDrawCell (TCustomGrid)
 | ro | OnDrawCell (TCustomDrawGrid)
pt |  | OnEditButtonClick (TCustomGrid)
 | ro | OnEditButtonClick (TCustomDrawGrid)
pt |  | OnEditingDone (TControl)
pt |  | OnEndDock (TControl)
 | ro | OnEndDock (TCustomDrawGrid)
pt |  | OnEndDrag (TControl)
 | ro | OnEndDrag (TCustomDrawGrid)
 |  | OnEnter (TWinControl)
 | ro | OnEnter (TCustomDrawGrid)
 |  | OnExit (TWinControl)
 | ro | OnExit (TCustomDrawGrid)
pt |  | OnGetCellHint (TCustomGrid)
pt |  | OnGetCheckboxState (TCustomDrawGrid)
pt |  | OnGetDockCaption (TWinControl)
 |  | OnGetEditMask (TCustomDrawGrid)
 |  | OnGetEditText (TCustomDrawGrid)
pt |  | OnGetSiteInfo (TWinControl)
 |  | OnHeaderClick (TCustomDrawGrid)
 |  | OnHeaderSized (TCustomDrawGrid)
 |  | OnHeaderSizing (TCustomDrawGrid)
 |  | OnKeyDown (TWinControl)
 | ro | OnKeyDown (TCustomDrawGrid)
 |  | OnKeyPress (TWinControl)
 | ro | OnKeyPress (TCustomDrawGrid)
 |  | OnKeyUp (TWinControl)
 | ro | OnKeyUp (TCustomDrawGrid)
pt |  | OnLoadColumn (TCustomGrid)
pt |  | OnMouseDown (TControl)
 | ro | OnMouseDown (TCustomDrawGrid)
pt |  | OnMouseEnter (TControl)
 | ro | OnMouseEnter (TCustomDrawGrid)
pt |  | OnMouseLeave (TControl)
 | ro | OnMouseLeave (TCustomDrawGrid)
pt |  | OnMouseMove (TControl)
 | ro | OnMouseMove (TCustomDrawGrid)
pt |  | OnMouseUp (TControl)
 | ro | OnMouseUp (TCustomDrawGrid)
pt |  | OnMouseWheel (TControl)
 | ro | OnMouseWheel (TCustomDrawGrid)
pt |  | OnMouseWheelDown (TControl)
 | ro | OnMouseWheelDown (TCustomDrawGrid)
pt |  | OnMouseWheelHorz (TControl)
pt |  | OnMouseWheelLeft (TControl)
pt |  | OnMouseWheelRight (TControl)
pt |  | OnMouseWheelUp (TControl)
 | ro | OnMouseWheelUp (TCustomDrawGrid)
 |  | OnPaint (TCustomControl)
pt |  | OnPickListSelect (TCustomGrid)
 | ro | OnPickListSelect (TCustomDrawGrid)
pt |  | OnPrepareCanvas (TCustomGrid)
 | ro | OnPrepareCanvas (TCustomDrawGrid)
pt |  | OnQuadClick (TControl)
 |  | OnResize (TControl)
pt |  | OnSaveColumn (TCustomGrid)
 |  | OnSelectCell (TCustomDrawGrid)
pt |  | OnSelectEditor (TCustomGrid)
 | ro | OnSelectEditor (TCustomDrawGrid)
pt |  | OnSelection (TCustomGrid)
 | ro | OnSelection (TCustomDrawGrid)
pt |  | OnSetCheckboxState (TCustomDrawGrid)
 |  | OnSetEditText (TCustomDrawGrid)
 |  | OnShowHint (TControl)
pt |  | OnStartDock (TControl)
 | ro | OnStartDock (TCustomDrawGrid)
pt |  | OnStartDrag (TControl)
 | ro | OnStartDrag (TCustomDrawGrid)
pt |  | OnTopLeftChanged (TCustomGrid)
 | ro | OnTopleftChanged (TCustomDrawGrid)
pt |  | OnTripleClick (TControl)
 |  | OnUnDock (TWinControl)
pt |  | OnUserCheckboxBitmap (TCustomGrid)
 |  | OnUTF8KeyPress (TWinControl)
 | ro | OnUTF8KeyPress (TCustomDrawGrid)
pt |  | OnValidateEntry (TCustomGrid)
 | ro | OnValidateEntry (TCustomDrawGrid)


TCustomStringGrid.AssignTo

Declaration

Source position: grids.pas line 1684

protected procedure TCustomStringGrid.AssignTo(

  Dest: TPersistent

); override;


TCustomStringGrid.AutoSizeColumn

AutoSizeColumn - automatically adjust width of column to accommodate widest text

Declaration

Source position: grids.pas line 1719

public procedure TCustomStringGrid.AutoSizeColumn(

  aCol: Integer

);

Description

This procedure sets the column width to the size of the widest text it finds in all rows for the column aCol.

Tip: see the goDblClickAutoSize option to allow columns to be automatically resized when doubleClicking the column border.


TCustomStringGrid.AutoSizeColumns

AutoSizeColumns - automatically resizes all columns by adjusting them to fit in the longest text in each column

Declaration

Source position: grids.pas line 1720

public procedure TCustomStringGrid.AutoSizeColumns;

Description

Automatically resizes all columns by adjusting them to fit in the longest text in each column. This is a quick method of applying AutoSizeColumn() for every column in the grid.


TCustomStringGrid.Cells

Cells - the text content of a cell or cells, indexed by aCol, aRow

Declaration

Source position: grids.pas line 1736

public property TCustomStringGrid.Cells[ACol: Integer,ARow: Integer] : string
  read GetCells
  write SetCells;


TCustomStringGrid.Clean

Clean all cells in the grid subject to the given CleanOptions, optionally specifying a range of cells or a rectangular region.

Declaration

Source position: grids.pas line 1721

public procedure TCustomStringGrid.Clean; overload;

procedure TCustomStringGrid.Clean(

  CleanOptions: TGridZoneSet

); overload;

procedure TCustomStringGrid.Clean(

  aRect: TRect;

  CleanOptions: TGridZoneSet

); overload;

procedure TCustomStringGrid.Clean(

  StartCol: Integer;

  StartRow: Integer;

  EndCol: Integer;

  EndRow: Integer;

  CleanOptions: TGridZoneSet

); overload;

Description

Cleans all cells in the grid subject to the given CleanOptions, optionally specifying a range of cells or a rectangular region. See TGridZoneSet for more information.

Some examples:

  • Clean all cells: grid.Clean([]); (the same as grid.clean)
  • Clean all non fixed cells: grid.Clean([gzNormal]);
  • Clean all cells but don't touch grid column headers: Grid.Clean([gzNormal, gzFixedRows]);


TCustomStringGrid.Cols

Cols - get or set a list of strings for column names as specified by the index

Declaration

Source position: grids.pas line 1737

public property TCustomStringGrid.Cols[index: Integer] : TStrings
  read GetCols
  write SetCols;


TCustomStringGrid.CopyToClipboard

CopyToClipboard - copy a range of cells to clipboard

Declaration

Source position: grids.pas line 1725

public procedure TCustomStringGrid.CopyToClipboard(

  AUseSelection: Boolean = False

);

Description

This method will copy a range of cells into the clipboard, the cells values are TAB separated. The range is defined based on optional AUseSelection parameter which is false by default and which means the range is set to the whole grid, including fixed cols/rows. If AUseSelection is true, the range of cells is set to current TCustomGrid.Selection


TCustomStringGrid.Create

Create - constructor for TCustomStringGrid: calls inherited Create then sets up default styles, layout and alignment

Declaration

Source position: grids.pas line 1717

public constructor TCustomStringGrid.Create(

  AOwner: TComponent

); override;

See also

TCustomDrawGrid.Create

Create - constructor for TCustomDrawGrid: attaches a virtual grid then calls inherited Create


TCustomStringGrid.DefineCellsProperty

Declaration

Source position: grids.pas line 1688

protected procedure TCustomStringGrid.DefineCellsProperty(

  Filer: TFiler

); virtual;


TCustomStringGrid.Destroy

Destroy - destructor for TCustomStringGrid: frees maps of columns and rows, then calls inherited Destroy

Declaration

Source position: grids.pas line 1718

public destructor TCustomStringGrid.Destroy; override;

See also

TCustomDrawGrid.Destroy

Destroy - destructor for TCustomDrawGrid: frees the grid then calls inherited Destroy


TCustomStringGrid.DoCellProcess

Declaration

Source position: grids.pas line 1693

protected procedure TCustomStringGrid.DoCellProcess(

  aCol: Integer;

  aRow: Integer;

  processType: TCellProcessType;

  var aValue: string

); virtual;


TCustomStringGrid.DrawColumnText

Declaration

Source position: grids.pas line 1694

protected procedure TCustomStringGrid.DrawColumnText(

  aCol: Integer;

  aRow: Integer;

  aRect: TRect;

  aState: TGridDrawState

); override;


TCustomStringGrid.DrawTextInCell

Declaration

Source position: grids.pas line 1695

protected procedure TCustomStringGrid.DrawTextInCell(

  aCol: Integer;

  aRow: Integer;

  aRect: TRect;

  aState: TGridDrawState

); override;


TCustomStringGrid.GetCells

Declaration

Source position: grids.pas line 1699

protected function TCustomStringGrid.GetCells(

  ACol: Integer;

  ARow: Integer

):string; override;


TCustomStringGrid.InsertRowWithValues

Declaration

Source position: grids.pas line 1726

public procedure TCustomStringGrid.InsertRowWithValues(

  Index: Integer;

  Values: array of string

);


TCustomStringGrid.LoadFromCSVFile

Declaration

Source position: grids.pas line 1729

public procedure TCustomStringGrid.LoadFromCSVFile(

  AFilename: string;

  ADelimiter: Char = ',';

  UseTitles: Boolean = True;

  FromLine: Integer = 0;

  SkipEmptyLines: Boolean = True

);


TCustomStringGrid.LoadFromCSVStream

Declaration

Source position: grids.pas line 1727

public procedure TCustomStringGrid.LoadFromCSVStream(

  AStream: TStream;

  ADelimiter: Char = ',';

  UseTitles: Boolean = True;

  FromLine: Integer = 0;

  SkipEmptyLines: Boolean = True

);


TCustomStringGrid.Modified

Whether or not the current cell has been Modified

Declaration

Source position: grids.pas line 1713

protected property TCustomStringGrid.Modified : Boolean
  read FModified
  write FModified;


TCustomStringGrid.Objects

The Objects present in the specified cell

Declaration

Source position: grids.pas line 1741

public property TCustomStringGrid.Objects[ACol: Integer,ARow: Integer] : TObject
  read GetObjects
  write SetObjects;


TCustomStringGrid.OnCellProcess

Declaration

Source position: grids.pas line 1714

protected property TCustomStringGrid.OnCellProcess : TCellProcessEvent
  read fOnCellProcess
  write fOnCellProcess;


TCustomStringGrid.Rows

Rows - gets or sets a list of strings for row names as specified by index

Declaration

Source position: grids.pas line 1742

public property TCustomStringGrid.Rows[index: Integer] : TStrings
  read GetRows
  write SetRows;


TCustomStringGrid.SaveToCSVFile

Declaration

Source position: grids.pas line 1733

public procedure TCustomStringGrid.SaveToCSVFile(

  AFileName: string;

  ADelimiter: Char = ',';

  WriteTitles: Boolean = True;

  VisibleColumnsOnly: Boolean = False

);


TCustomStringGrid.SaveToCSVStream

Declaration

Source position: grids.pas line 1731

public procedure TCustomStringGrid.SaveToCSVStream(

  AStream: TStream;

  ADelimiter: Char = ',';

  WriteTitles: Boolean = True;

  VisibleColumnsOnly: Boolean = False

);


TCustomStringGrid.SelectionSetHTML

Declaration

Source position: grids.pas line 1708

protected procedure TCustomStringGrid.SelectionSetHTML(

  TheHTML: string;

  TheText: string

);


TCustomStringGrid.SelectionSetText

SelectionSetText - stores the text in the selection

Declaration

Source position: grids.pas line 1707

protected procedure TCustomStringGrid.SelectionSetText(

  TheText: string

);


TCustomStringGrid.SetCells

Declaration

Source position: grids.pas line 1709

protected procedure TCustomStringGrid.SetCells(

  ACol: Integer;

  ARow: Integer;

  const AValue: string

); virtual;


TCustomStringGrid.ValidateOnSetSelection

Declaration

Source position: grids.pas line 1744

public property TCustomStringGrid.ValidateOnSetSelection : Boolean;


TDrawGrid

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

TDrawGrid - a drawn grid. May contain images in its cells

Declaration

Source position: grids.pas line 1516

type TDrawGrid = class(TCustomDrawGrid)
public
property InplaceEditor: TWinControl;
published
property Align: TAlign; | Specifies the placement of the control inside its Parent.
property AlternateColor: TColor; | The colour to be used for the background on alternate rows of the grid. Having alternate rows in different colours can make the grid easier to read.
property Anchors: TAnchors; | The set of anchor definitions for this control.
property AutoAdvance: TAutoAdvance; | Automatically advance down the grid on successive mouse clicks or presses of the ENTER or TAB key
property AutoEdit: Boolean; | Whether the Edit mode is automatically entered when a cell is selected
property AutoFillColumns: Boolean; | Automatically resize columns so they fill all grid's visible area
property BorderSpacing: TControlBorderSpacing; | Determines the inner and outer border spacing for this control.
property BorderStyle: TBorderStyle; | Allows to show a border (line) around the control,
property Color: TColor; | The background color of the control.
property ColCount: Integer; | Number of columns of the grid.
property ColumnClickSorts: Boolean;
property Columns: TGridColumns; | The properties of the columns in this grid
property Constraints: TSizeConstraints;
property DefaultColWidth: Integer; | Default value for the width of newly created grid columns.
property DefaultDrawing: Boolean; | Is the default drawing method to be used for this grid? Default is TRUE
property DefaultRowHeight: Integer; | Default value for the height of newly created grid rows.
property DoubleBuffered: Boolean;
property DragCursor: TCursor; | The cursor shape shown while the control is dragged.
property DragKind: TDragKind; | The operation when the control is dragged - Drag or Dock.
property DragMode: TDragMode; | Allows the user to drag the control.
property Enabled: Boolean; | Determines whether the control reacts on mouse or keyboard input.
property ExtendedSelect: Boolean; | ExtendedSelect - the ability to select cells beyond the boundary of the visible part of the grid
property FixedColor: TColor; | The color for the fixed cells of the grid.
property FixedCols: Integer; | Number of the fixed columns of the grid (ie the columns containing title or identifier material, that don't get scrolled when the rest of the grid moves).
property FixedRows: Integer; | Number of the fixed rows of the grid (ie the rows containing title or identifier material, that don't get scrolled when the rest of the grid moves).
property Flat: Boolean; | Is the cell to be displayed Flat, ie with no texturing or raised/lowered effect
property Font: TFont; | The font to be used for text display in this control.
property GridLineWidth: Integer; | Width (thickness) of GridLines
property HeaderHotZones: TGridZoneSet; | HeaderHotZones - the header zones corresponding to the position of the mouse cursor
property HeaderPushZones: TGridZoneSet; | HeaderPushZones - the zones of the header that have been pushed down (selected)
property ImageIndexSortAsc: TImageIndex;
property ImageIndexSortDesc: TImageIndex;
property MouseWheelOption: TMouseWheelOption;
property Options: TGridOptions; | The options available for use in this grid
property Options2: TGridOptions2;
property ParentColor: Boolean; | If true, the Color of the control will be the same as the one from the Parent. Default is true.
property ParentDoubleBuffered: Boolean;
property ParentFont: Boolean; | If true, the Font of the control will be the same as the one from the Parent. Default is true.
property ParentShowHint: Boolean; | If true, the value of ShowHint for the control will be the same as the one from the Parent. Default is true.
property PopupMenu: TPopupMenu; | A context-sensitive menu that pops up when the right mouse button is clicked over this control
property RangeSelectMode: TRangeSelectMode;
property RowCount: Integer; | Number of rows in the grid
property ScrollBars: TScrollStyle; | The ScrollBars to be used with this grid
property ShowHint: Boolean; | Enables the Hint display.
property TabAdvance: TAutoAdvance;
property TabOrder: TTabOrder; | Determines the sequence of controls, reachable when the user presses the Tab key.
property TabStop: Boolean; | Allows the user to navigate to this control, by pressing the Tab key.
property TitleFont: TFont; | The font to be used in the grid's title
property TitleImageList: TImageList; | TitleImageList - the list of images to be used with the titles
property TitleImageListWidth: Integer;
property TitleStyle: TTitleStyle; | The style to be used for the grid's title
property UseXORFeatures: Boolean; | UseXORFeatures: When True, the dotted focus rectangle is painted using the XOR raster operation
property Visible: Boolean; | Allows to show or hide the control, and all of its children.
property VisibleColCount: Integer; | The number of visible columns
property VisibleRowCount: Integer; | The number of visible rows
property OnAfterSelection: TOnSelectEvent;
property OnBeforeSelection: TOnSelectEvent; | OnBeforeSelection - event handler for use before a selection is made
property OnCheckboxToggled: TToggledCheckboxEvent;
property OnClick: TNotifyEvent; | Notification handler for mouse clicks.
property OnColRowDeleted: TGridOperationEvent; | Event handler when a grid column or row is deleted
property OnColRowExchanged: TGridOperationEvent; | Event handler when a grid column or row has its position exchanged with another
property OnColRowInserted: TGridOperationEvent; | Event handler when a column or row is inserted into the grid
property OnColRowMoved: TGridOperationEvent; | Event handler when a grid column or row is moved
property OnCompareCells: TOnCompareCells; | Event handler for comparing the contents of cells
property OnContextPopup: TContextPopupEvent; | Invoked when a context-sensitive pop-up menu is requested.
property OnDblClick: TNotifyEvent; | Event Handler for double mouse clicks.
property OnDragDrop: TDragDropEvent; | This handler determines the action on an drop onto this control, in a drag-drop operation.
property OnDragOver: TDragOverEvent; | Event handler for a control being dragged over this control.
property OnDrawCell: TOnDrawCell; | Event handler for drawing a cell
property OnEditButtonClick: TNotifyEvent; deprecated ; | Event handler for when the Edit button is clicked
property OnButtonClick: TOnSelectEvent;
property OnEditingDone: TNotifyEvent; | Event handler when editing is done.
property OnEndDock: TEndDragEvent; | Notification handler for the end of a docking operation.
property OnEndDrag: TEndDragEvent; | Notification handler for the end of a dragging operation.
property OnEnter: TNotifyEvent; | Handler for control receiving the focus.
property OnExit: TNotifyEvent; | Handler for control loosing the focus. This is a good place for checking the finished user input.
property OnGetCellHint: TGetCellHintEvent;
property OnGetCheckboxState: TGetCheckboxStateEvent;
property OnGetEditMask: TGetEditEvent; | Event handler for finding the edit mask while editing a grid cell
property OnGetEditText: TGetEditEvent; | Event handler for finding the text to be edited in a grid cell
property OnHeaderClick: THdrEvent; | Event handler when a column or row header is clicked
property OnHeaderSized: THdrEvent; | Event handler when a column or row header is re-sized
property OnHeaderSizing: THeaderSizingEvent;
property OnKeyDown: TKeyEvent; | Handler for keyboard key pressed.
property OnKeyPress: TKeyPressEvent; | Handler for a character entered by the user.
property OnKeyUp: TKeyEvent; | Handler for keyboard key released.
property OnMouseDown: TMouseEvent; | Event handler for mouse button going down.
property OnMouseEnter: TNotifyEvent;
property OnMouseLeave: TNotifyEvent;
property OnMouseMove: TMouseMoveEvent; | Event handler for mouse movement within the control.
property OnMouseUp: TMouseEvent; | Event handler for mouse button going up.
property OnMouseWheel: TMouseWheelEvent;
property OnMouseWheelDown: TMouseWheelUpDownEvent; | Notification handler for downward movement of mouse wheel.
property OnMouseWheelUp: TMouseWheelUpDownEvent; | Notification handler for upward movement of mouse wheel.
property OnMouseWheelHorz: TMouseWheelEvent;
property OnMouseWheelLeft: TMouseWheelUpDownEvent;
property OnMouseWheelRight: TMouseWheelUpDownEvent;
property OnPickListSelect: TNotifyEvent; | Event handler for selecting an item from a picklist (eg drop-down list in TComboBox)
property OnPrepareCanvas: TOnPrepareCanvasEvent; | Event handler to prepare the Canvas for drawing
property OnSelectEditor: TSelectEditorEvent; | Event handler for selecting an editor
property OnSelection: TOnSelectEvent; | Event handler for when an area of a grid (one or a group of cells) is selected
property OnSelectCell: TOnSelectCellEvent; | Event handler when a grid cell is selected
property OnSetCheckboxState: TSetCheckboxStateEvent;
property OnSetEditText: TSetEditEvent; | Event handler for storing the text that has been edited in a cell
property OnStartDock: TStartDockEvent; | Event handler for the start of a docking operation.
property OnStartDrag: TStartDragEvent; | Event handler for the start of a dragging operation.
property OnTopleftChanged: TNotifyEvent; | Event handler when the top left cell is changed (ie the grid has been scrolled so that a different cell occupies top left)
property OnUserCheckboxBitmap: TUserCheckBoxBitmapEvent;
property OnUTF8KeyPress: TUTF8KeyPressEvent; | Handler for a character entered by the user.
property OnValidateEntry: TValidateEntryEvent;
end;

Inheritance

TDrawGrid | TDrawGrid - a drawn grid. May contain images in its cells
|
TCustomDrawGrid | TCustomDrawGrid - Base Class for drawn grids including TDrawGrid and TStringGrid
|
TCustomGrid | TCustomGrid - the base class for all grid controls
|
TCustomControl | The base class for windowed controls which paint themselves.
|
TWinControl | The base class for controls which can contain other (child) controls.
|
TControl | The base class for visible controls.
|
TLCLComponent | The base class for LCL components associated with widgets.
|
TComponent,IUnknown,IInterfaceComponentReference
|
TPersistent,IFPObserved
|
TObject

See also

HowToUseGrids

How to use Grids including StringGrids, DrawGrids and DbGrids


TDrawGrid
 | ro | InplaceEditor
pl | ro | Align
pl | ro | AlternateColor
pl | ro | Anchors
pl | ro | AutoAdvance
pl | ro | AutoEdit
pl | ro | AutoFillColumns
pl | ro | BorderSpacing
pl | ro | BorderStyle
pl | ro | Color
pl | ro | ColCount
pl | ro | ColumnClickSorts
pl | ro | Columns
pl | ro | Constraints
pl | ro | DefaultColWidth
pl | ro | DefaultDrawing
pl | ro | DefaultRowHeight
pl | ro | DoubleBuffered
pl | ro | DragCursor
pl | ro | DragKind
pl | ro | DragMode
pl | ro | Enabled
pl | ro | ExtendedSelect
pl | ro | FixedColor
pl | ro | FixedCols
pl | ro | FixedRows
pl | ro | Flat
pl | ro | Font
pl | ro | GridLineWidth
pl | ro | HeaderHotZones
pl | ro | HeaderPushZones
pl | ro | ImageIndexSortAsc
pl | ro | ImageIndexSortDesc
pl | ro | MouseWheelOption
pl | ro | Options
pl | ro | Options2
pl | ro | ParentColor
pl | ro | ParentDoubleBuffered
pl | ro | ParentFont
pl | ro | ParentShowHint
pl | ro | PopupMenu
pl | ro | RangeSelectMode
pl | ro | RowCount
pl | ro | ScrollBars
pl | ro | ShowHint
pl | ro | TabAdvance
pl | ro | TabOrder
pl | ro | TabStop
pl | ro | TitleFont
pl | ro | TitleImageList
pl | ro | TitleImageListWidth
pl | ro | TitleStyle
pl | ro | UseXORFeatures
pl | ro | Visible
pl | ro | VisibleColCount
pl | ro | VisibleRowCount
TCustomDrawGrid
 | ro | AllowOutboundEvents
 | ro | BorderColor
 | ro | Canvas
 | ro | Col
 | ro | ColWidths
 | ro | ColRow
 | ro | Editor
 | ro | EditorBorderStyle
 | ro | EditorMode
 | ro | ExtendedColSizing
 | ro | AltColorStartNormal
 | ro | FastEditing
 | ro | FixedGridLineColor
 | ro | FocusColor
 | ro | FocusRectVisible
 | ro | GridHeight
 | ro | GridLineColor
 | ro | GridLineStyle
 | ro | GridWidth
 | ro | IsCellSelected
 | ro | LeftCol
 | ro | Row
 | ro | RowHeights
 | ro | SaveOptions
 | ro | SelectedColor
 | ro | SelectedColumn
 | ro | Selection
 | ro | StrictSort
 | ro | TopRow
 | ro | UseXORFeatures
 | ro | Align
 | ro | Anchors
 | ro | AutoAdvance
 | ro | AutoFillColumns
 | ro | BorderSpacing
 | ro | BorderStyle
 | ro | Color
 | ro | ColCount
 | ro | Columns
 | ro | Constraints
 | ro | DefaultColWidth
 | ro | DefaultDrawing
 | ro | DefaultRowHeight
 | ro | Enabled
 | ro | FixedColor
 | ro | FixedCols
 | ro | FixedHotColor
 | ro | FixedRows
 | ro | Flat
 | ro | Font
 | ro | GridLineWidth
 | ro | Options
 | ro | Options2
 | ro | ParentShowHint
 | ro | PopupMenu
 | ro | RowCount
 | ro | ScrollBars
 | ro | ShowHint
 | ro | TabAdvance
 | ro | TabOrder
 | ro | TabStop
 | ro | Visible
 | ro | VisibleColCount
 | ro | VisibleRowCount
TCustomGrid
pt |  | AllowOutboundEvents
pt |  | AlternateColor
pt |  | AutoAdvance
pt |  | AutoEdit
pt |  | AutoFillColumns
pt |  | BorderStyle
pt |  | BorderColor
pt |  | CellHintPriority
pt |  | Col
pt |  | ColCount
pt |  | ColRow
pt |  | ColumnClickSorts
pt |  | Columns
pt |  | ColWidths
pt |  | DefaultColWidth
pt |  | DefaultRowHeight
pt |  | DefaultDrawing
pt |  | DefaultTextStyle
pt |  | DragDx
pt |  | Editor
pt |  | EditorBorderStyle
pt |  | EditorMode
pt |  | EditorKey
pt |  | EditorOptions
pt |  | EditorShowing
pt |  | ExtendedColSizing
pt |  | ExtendedRowSizing
pt |  | ExtendedSelect
pt |  | FastEditing
pt |  | AltColorStartNormal
pt |  | FixedCols
pt |  | FixedRows
pt |  | FixedColor
pt |  | FixedGridLineColor
pt |  | FixedHotColor
pt |  | Flat
pt |  | FocusColor
pt |  | FocusRectVisible
pt | ro | GCache
pt |  | GridFlags
pt | ro | GridHeight
pt |  | GridLineColor
pt |  | GridLineStyle
pt |  | GridLineWidth
pt | ro | GridWidth
pt |  | HeaderHotZones
pt |  | HeaderPushZones
pt |  | ImageIndexSortAsc
pt |  | ImageIndexSortDesc
pt |  | TabAdvance
pt |  | TitleImageList
pt |  | TitleImageListWidth
pt | ro | InplaceEditor
pt | ro | IsCellSelected
pt |  | LeftCol
pt |  | MouseWheelOption
pt |  | Options
pt |  | Options2
pt |  | RangeSelectMode
pt |  | Row
pt |  | RowCount
pt |  | RowHeights
pt |  | SaveOptions
pt |  | SelectActive
pt |  | SelectedColor
pt | ro | SelectedColumn
pt |  | Selection
pt |  | ScrollBars
pt |  | StrictSort
pt |  | TitleFont
pt |  | TitleStyle
pt |  | TopRow
pt |  | UseXORFeatures
pt |  | ValidateOnSetSelection
pt | ro | VisibleColCount
pt | ro | VisibleRowCount
 | ro | SelectedRange
 | ro | SelectedRangeCount
 |  | SortOrder
 | ro | SortColumn
 | ro | TabStop
TCustomControl
 |  | Canvas
 | ro | BorderStyle
TWinControl
pt |  | WindowHandle
pt |  | BorderStyle
pt |  | ParentBackground
 |  | BorderWidth
 | ro | BoundsLockCount
 | ro | Brush
 | ro | CachedClientHeight
 | ro | CachedClientWidth
 |  | ChildSizing
 | ro | ControlCount
 | ro | Controls
 |  | DefWndProc
 | ro | DockClientCount
 | ro | DockClients
 |  | DockManager
 |  | DockSite
 |  | DoubleBuffered
 |  | Handle
 | ro | IsFlipped
 | ro | IsResizing
 |  | TabOrder
 |  | TabStop
 |  | ParentDoubleBuffered
 |  | ParentWindow
 | ro | Showing
 |  | UseDockManager
 |  | DesignerDeleting
 | ro | VisibleDockClientCount
TControl
pt | ro | AutoSizing
pt | ro | AutoSizingAll
pt | ro | AutoSizingLockCount
pt |  | ActionLink
pt |  | DesktopFont
pt |  | DragCursor
pt |  | DragKind
pt |  | DragMode
pt |  | MouseCapture
pt |  | ParentColor
pt |  | ParentFont
pt |  | ParentShowHint
pt |  | SessionProperties
pt |  | Text
 | ro | AnchoredControls
 | ro | BaseBounds
 | ro | ReadBounds
 | ro | BaseParentClientSize
 |  | AccessibleDescription
 |  | AccessibleValue
 |  | AccessibleRole
 |  | Action
 |  | Align
 |  | Anchors
 | ro | AnchorSide
 |  | AutoSize
 |  | BorderSpacing
 |  | BoundsRect
 |  | BoundsRectForNewParent
 |  | Caption
 |  | CaptureMouseButtons
 |  | ClientHeight
 | ro | ClientOrigin
 | ro | ClientRect
 |  | ClientWidth
 |  | Color
 |  | Constraints
 | ro | ControlOrigin
 |  | ControlState
 |  | ControlStyle
 |  | Enabled
 |  | Font
 |  | IsControl
 | ro | MouseEntered
 | ro | MouseInClient
 |  | Parent
 |  | PopupMenu
 |  | ShowHint
 |  | Visible
 |  | WindowProc
 |  | DockOrientation
 | ro | Floating
 |  | FloatingDockSiteClass
 |  | HostDockSite
 |  | LRDockWidth
 |  | TBDockHeight
 |  | UndockHeight
 |  | UndockWidth
 |  | BiDiMode
 |  | ParentBiDiMode
pl |  | AnchorSideLeft
pl |  | AnchorSideTop
pl |  | AnchorSideRight
pl |  | AnchorSideBottom
pl |  | Cursor
pl |  | Left
pl |  | Height
pl |  | Hint
pl |  | Top
pl |  | Width
pl |  | HelpType
pl |  | HelpKeyword
pl |  | HelpContext
TLCLComponent
 | ro | LCLRefCount
 | ro | WidgetSetClass
TComponent
 | ro | ComObject
 | ro | Components
 | ro | ComponentCount
 |  | ComponentIndex
 | ro | ComponentState
 | ro | ComponentStyle
 |  | DesignInfo
 | ro | Owner
 |  | VCLComObject
 |  | Name
 |  | Tag
TPersistent
TObject


 |  | AccessibleDescription (TControl)
 |  | AccessibleRole (TControl)
 |  | AccessibleValue (TControl)
 |  | Action (TControl)
pt |  | ActionLink (TControl)
 |  | Align (TControl)
 | ro | Align (TCustomDrawGrid)
pl | ro | Align (TDrawGrid)
pt |  | AllowOutboundEvents (TCustomGrid)
 | ro | AllowOutboundEvents (TCustomDrawGrid)
pt |  | AltColorStartNormal (TCustomGrid)
 | ro | AltColorStartNormal (TCustomDrawGrid)
pt |  | AlternateColor (TCustomGrid)
pl | ro | AlternateColor (TDrawGrid)
 | ro | AnchoredControls (TControl)
 |  | Anchors (TControl)
 | ro | Anchors (TCustomDrawGrid)
pl | ro | Anchors (TDrawGrid)
 | ro | AnchorSide (TControl)
pl |  | AnchorSideBottom (TControl)
pl |  | AnchorSideLeft (TControl)
pl |  | AnchorSideRight (TControl)
pl |  | AnchorSideTop (TControl)
pt |  | AutoAdvance (TCustomGrid)
 | ro | AutoAdvance (TCustomDrawGrid)
pl | ro | AutoAdvance (TDrawGrid)
pt |  | AutoEdit (TCustomGrid)
pl | ro | AutoEdit (TDrawGrid)
pt |  | AutoFillColumns (TCustomGrid)
 | ro | AutoFillColumns (TCustomDrawGrid)
pl | ro | AutoFillColumns (TDrawGrid)
 |  | AutoSize (TControl)
pt | ro | AutoSizing (TControl)
pt | ro | AutoSizingAll (TControl)
pt | ro | AutoSizingLockCount (TControl)
 | ro | BaseBounds (TControl)
 | ro | BaseParentClientSize (TControl)
 |  | BiDiMode (TControl)
pt |  | BorderColor (TCustomGrid)
 | ro | BorderColor (TCustomDrawGrid)
 |  | BorderSpacing (TControl)
 | ro | BorderSpacing (TCustomDrawGrid)
pl | ro | BorderSpacing (TDrawGrid)
pt |  | BorderStyle (TWinControl)
 | ro | BorderStyle (TCustomControl)
pt |  | BorderStyle (TCustomGrid)
 | ro | BorderStyle (TCustomDrawGrid)
pl | ro | BorderStyle (TDrawGrid)
 |  | BorderWidth (TWinControl)
 | ro | BoundsLockCount (TWinControl)
 |  | BoundsRect (TControl)
 |  | BoundsRectForNewParent (TControl)
 | ro | Brush (TWinControl)
 | ro | CachedClientHeight (TWinControl)
 | ro | CachedClientWidth (TWinControl)
 |  | Canvas (TCustomControl)
 | ro | Canvas (TCustomDrawGrid)
 |  | Caption (TControl)
 |  | CaptureMouseButtons (TControl)
pt |  | CellHintPriority (TCustomGrid)
 |  | ChildSizing (TWinControl)
 |  | ClientHeight (TControl)
 | ro | ClientOrigin (TControl)
 | ro | ClientRect (TControl)
 |  | ClientWidth (TControl)
pt |  | Col (TCustomGrid)
 | ro | Col (TCustomDrawGrid)
pt |  | ColCount (TCustomGrid)
 | ro | ColCount (TCustomDrawGrid)
pl | ro | ColCount (TDrawGrid)
 |  | Color (TControl)
 | ro | Color (TCustomDrawGrid)
pl | ro | Color (TDrawGrid)
pt |  | ColRow (TCustomGrid)
 | ro | ColRow (TCustomDrawGrid)
pt |  | ColumnClickSorts (TCustomGrid)
pl | ro | ColumnClickSorts (TDrawGrid)
pt |  | Columns (TCustomGrid)
 | ro | Columns (TCustomDrawGrid)
pl | ro | Columns (TDrawGrid)
pt |  | ColWidths (TCustomGrid)
 | ro | ColWidths (TCustomDrawGrid)
 | ro | ComObject (TComponent)
 | ro | ComponentCount (TComponent)
 |  | ComponentIndex (TComponent)
 | ro | Components (TComponent)
 | ro | ComponentState (TComponent)
 | ro | ComponentStyle (TComponent)
 |  | Constraints (TControl)
 | ro | Constraints (TCustomDrawGrid)
pl | ro | Constraints (TDrawGrid)
 | ro | ControlCount (TWinControl)
 | ro | ControlOrigin (TControl)
 | ro | Controls (TWinControl)
 |  | ControlState (TControl)
 |  | ControlStyle (TControl)
pl |  | Cursor (TControl)
pt |  | DefaultColWidth (TCustomGrid)
 | ro | DefaultColWidth (TCustomDrawGrid)
pl | ro | DefaultColWidth (TDrawGrid)
pt |  | DefaultDrawing (TCustomGrid)
 | ro | DefaultDrawing (TCustomDrawGrid)
pl | ro | DefaultDrawing (TDrawGrid)
pt |  | DefaultRowHeight (TCustomGrid)
 | ro | DefaultRowHeight (TCustomDrawGrid)
pl | ro | DefaultRowHeight (TDrawGrid)
pt |  | DefaultTextStyle (TCustomGrid)
 |  | DefWndProc (TWinControl)
 |  | DesignerDeleting (TWinControl)
 |  | DesignInfo (TComponent)
pt |  | DesktopFont (TControl)
 | ro | DockClientCount (TWinControl)
 | ro | DockClients (TWinControl)
 |  | DockManager (TWinControl)
 |  | DockOrientation (TControl)
 |  | DockSite (TWinControl)
 |  | DoubleBuffered (TWinControl)
pl | ro | DoubleBuffered (TDrawGrid)
pt |  | DragCursor (TControl)
pl | ro | DragCursor (TDrawGrid)
pt |  | DragDx (TCustomGrid)
pt |  | DragKind (TControl)
pl | ro | DragKind (TDrawGrid)
pt |  | DragMode (TControl)
pl | ro | DragMode (TDrawGrid)
pt |  | Editor (TCustomGrid)
 | ro | Editor (TCustomDrawGrid)
pt |  | EditorBorderStyle (TCustomGrid)
 | ro | EditorBorderStyle (TCustomDrawGrid)
pt |  | EditorKey (TCustomGrid)
pt |  | EditorMode (TCustomGrid)
 | ro | EditorMode (TCustomDrawGrid)
pt |  | EditorOptions (TCustomGrid)
pt |  | EditorShowing (TCustomGrid)
 |  | Enabled (TControl)
 | ro | Enabled (TCustomDrawGrid)
pl | ro | Enabled (TDrawGrid)
pt |  | ExtendedColSizing (TCustomGrid)
 | ro | ExtendedColSizing (TCustomDrawGrid)
pt |  | ExtendedRowSizing (TCustomGrid)
pt |  | ExtendedSelect (TCustomGrid)
pl | ro | ExtendedSelect (TDrawGrid)
pt |  | FastEditing (TCustomGrid)
 | ro | FastEditing (TCustomDrawGrid)
pt |  | FixedColor (TCustomGrid)
 | ro | FixedColor (TCustomDrawGrid)
pl | ro | FixedColor (TDrawGrid)
pt |  | FixedCols (TCustomGrid)
 | ro | FixedCols (TCustomDrawGrid)
pl | ro | FixedCols (TDrawGrid)
pt |  | FixedGridLineColor (TCustomGrid)
 | ro | FixedGridLineColor (TCustomDrawGrid)
pt |  | FixedHotColor (TCustomGrid)
 | ro | FixedHotColor (TCustomDrawGrid)
pt |  | FixedRows (TCustomGrid)
 | ro | FixedRows (TCustomDrawGrid)
pl | ro | FixedRows (TDrawGrid)
pt |  | Flat (TCustomGrid)
 | ro | Flat (TCustomDrawGrid)
pl | ro | Flat (TDrawGrid)
 | ro | Floating (TControl)
 |  | FloatingDockSiteClass (TControl)
pt |  | FocusColor (TCustomGrid)
 | ro | FocusColor (TCustomDrawGrid)
pt |  | FocusRectVisible (TCustomGrid)
 | ro | FocusRectVisible (TCustomDrawGrid)
 |  | Font (TControl)
 | ro | Font (TCustomDrawGrid)
pl | ro | Font (TDrawGrid)
pt | ro | GCache (TCustomGrid)
pt |  | GridFlags (TCustomGrid)
pt | ro | GridHeight (TCustomGrid)
 | ro | GridHeight (TCustomDrawGrid)
pt |  | GridLineColor (TCustomGrid)
 | ro | GridLineColor (TCustomDrawGrid)
pt |  | GridLineStyle (TCustomGrid)
 | ro | GridLineStyle (TCustomDrawGrid)
pt |  | GridLineWidth (TCustomGrid)
 | ro | GridLineWidth (TCustomDrawGrid)
pl | ro | GridLineWidth (TDrawGrid)
pt | ro | GridWidth (TCustomGrid)
 | ro | GridWidth (TCustomDrawGrid)
 |  | Handle (TWinControl)
pt |  | HeaderHotZones (TCustomGrid)
pl | ro | HeaderHotZones (TDrawGrid)
pt |  | HeaderPushZones (TCustomGrid)
pl | ro | HeaderPushZones (TDrawGrid)
pl |  | Height (TControl)
pl |  | HelpContext (TControl)
pl |  | HelpKeyword (TControl)
pl |  | HelpType (TControl)
pl |  | Hint (TControl)
 |  | HostDockSite (TControl)
pt |  | ImageIndexSortAsc (TCustomGrid)
pl | ro | ImageIndexSortAsc (TDrawGrid)
pt |  | ImageIndexSortDesc (TCustomGrid)
pl | ro | ImageIndexSortDesc (TDrawGrid)
pt | ro | InplaceEditor (TCustomGrid)
 | ro | InplaceEditor (TDrawGrid)
pt | ro | IsCellSelected (TCustomGrid)
 | ro | IsCellSelected (TCustomDrawGrid)
 |  | IsControl (TControl)
 | ro | IsFlipped (TWinControl)
 | ro | IsResizing (TWinControl)
 | ro | LCLRefCount (TLCLComponent)
pl |  | Left (TControl)
pt |  | LeftCol (TCustomGrid)
 | ro | LeftCol (TCustomDrawGrid)
 |  | LRDockWidth (TControl)
pt |  | MouseCapture (TControl)
 | ro | MouseEntered (TControl)
 | ro | MouseInClient (TControl)
pt |  | MouseWheelOption (TCustomGrid)
pl | ro | MouseWheelOption (TDrawGrid)
 |  | Name (TComponent)
pt |  | Options (TCustomGrid)
 | ro | Options (TCustomDrawGrid)
pl | ro | Options (TDrawGrid)
pt |  | Options2 (TCustomGrid)
 | ro | Options2 (TCustomDrawGrid)
pl | ro | Options2 (TDrawGrid)
 | ro | Owner (TComponent)
 |  | Parent (TControl)
pt |  | ParentBackground (TWinControl)
 |  | ParentBiDiMode (TControl)
pt |  | ParentColor (TControl)
pl | ro | ParentColor (TDrawGrid)
 |  | ParentDoubleBuffered (TWinControl)
pl | ro | ParentDoubleBuffered (TDrawGrid)
pt |  | ParentFont (TControl)
pl | ro | ParentFont (TDrawGrid)
pt |  | ParentShowHint (TControl)
 | ro | ParentShowHint (TCustomDrawGrid)
pl | ro | ParentShowHint (TDrawGrid)
 |  | ParentWindow (TWinControl)
 |  | PopupMenu (TControl)
 | ro | PopupMenu (TCustomDrawGrid)
pl | ro | PopupMenu (TDrawGrid)
pt |  | RangeSelectMode (TCustomGrid)
pl | ro | RangeSelectMode (TDrawGrid)
 | ro | ReadBounds (TControl)
pt |  | Row (TCustomGrid)
 | ro | Row (TCustomDrawGrid)
pt |  | RowCount (TCustomGrid)
 | ro | RowCount (TCustomDrawGrid)
pl | ro | RowCount (TDrawGrid)
pt |  | RowHeights (TCustomGrid)
 | ro | RowHeights (TCustomDrawGrid)
pt |  | SaveOptions (TCustomGrid)
 | ro | SaveOptions (TCustomDrawGrid)
pt |  | ScrollBars (TCustomGrid)
 | ro | ScrollBars (TCustomDrawGrid)
pl | ro | ScrollBars (TDrawGrid)
pt |  | SelectActive (TCustomGrid)
pt |  | SelectedColor (TCustomGrid)
 | ro | SelectedColor (TCustomDrawGrid)
pt | ro | SelectedColumn (TCustomGrid)
 | ro | SelectedColumn (TCustomDrawGrid)
 | ro | SelectedRange (TCustomGrid)
 | ro | SelectedRangeCount (TCustomGrid)
pt |  | Selection (TCustomGrid)
 | ro | Selection (TCustomDrawGrid)
pt |  | SessionProperties (TControl)
 |  | ShowHint (TControl)
 | ro | ShowHint (TCustomDrawGrid)
pl | ro | ShowHint (TDrawGrid)
 | ro | Showing (TWinControl)
 | ro | SortColumn (TCustomGrid)
 |  | SortOrder (TCustomGrid)
pt |  | StrictSort (TCustomGrid)
 | ro | StrictSort (TCustomDrawGrid)
pt |  | TabAdvance (TCustomGrid)
 | ro | TabAdvance (TCustomDrawGrid)
pl | ro | TabAdvance (TDrawGrid)
 |  | TabOrder (TWinControl)
 | ro | TabOrder (TCustomDrawGrid)
pl | ro | TabOrder (TDrawGrid)
 |  | TabStop (TWinControl)
 | ro | TabStop (TCustomGrid)
 | ro | TabStop (TCustomDrawGrid)
pl | ro | TabStop (TDrawGrid)
 |  | Tag (TComponent)
 |  | TBDockHeight (TControl)
pt |  | Text (TControl)
pt |  | TitleFont (TCustomGrid)
pl | ro | TitleFont (TDrawGrid)
pt |  | TitleImageList (TCustomGrid)
pl | ro | TitleImageList (TDrawGrid)
pt |  | TitleImageListWidth (TCustomGrid)
pl | ro | TitleImageListWidth (TDrawGrid)
pt |  | TitleStyle (TCustomGrid)
pl | ro | TitleStyle (TDrawGrid)
pl |  | Top (TControl)
pt |  | TopRow (TCustomGrid)
 | ro | TopRow (TCustomDrawGrid)
 |  | UndockHeight (TControl)
 |  | UndockWidth (TControl)
 |  | UseDockManager (TWinControl)
pt |  | UseXORFeatures (TCustomGrid)
 | ro | UseXORFeatures (TCustomDrawGrid)
pl | ro | UseXORFeatures (TDrawGrid)
pt |  | ValidateOnSetSelection (TCustomGrid)
 |  | VCLComObject (TComponent)
 |  | Visible (TControl)
 | ro | Visible (TCustomDrawGrid)
pl | ro | Visible (TDrawGrid)
pt | ro | VisibleColCount (TCustomGrid)
 | ro | VisibleColCount (TCustomDrawGrid)
pl | ro | VisibleColCount (TDrawGrid)
 | ro | VisibleDockClientCount (TWinControl)
pt | ro | VisibleRowCount (TCustomGrid)
 | ro | VisibleRowCount (TCustomDrawGrid)
pl | ro | VisibleRowCount (TDrawGrid)
 | ro | WidgetSetClass (TLCLComponent)
pl |  | Width (TControl)
pt |  | WindowHandle (TWinControl)
 |  | WindowProc (TControl)


TDrawGrid
TCustomDrawGrid
pt | CellClick
pt | ColRowDeleted
pt | ColRowExchanged
pt | ColRowInserted
pt | ColRowMoved
pt | CreateVirtualGrid
pt | DrawCell
pt | DrawCellAutonumbering
pt | DrawFocusRect
pt | GetCells
pt | GetCheckBoxState
pt | GetEditMask
pt | GetEditText
pt | GridMouseWheel
pt | HeaderClick
pt | HeaderSized
pt | HeaderSizing
pt | KeyDown
pt | NotifyColRowChange
pt | SelectCell
pt | SetColor
pt | SetCheckboxState
pt | SetEditText
pt | SizeChanged
pt | ToggleCheckbox
 | Create
 | Destroy
 | DeleteColRow
 | DeleteCol
 | DeleteRow
 | ExchangeColRow
 | InsertColRow
 | MoveColRow
 | SortColRow
 | DefaultDrawCell
TCustomGrid
pt | RTLSign
pt | WSRegisterClass
pt | AddSelectedRange
pt | AdjustClientRect
pt | AdjustEditorBounds
pt | AfterMoveSelection
pt | AssignTo
pt | AutoAdjustColumn
pt | BeforeMoveSelection
pt | BeginAutoDrag
pt | BoxRect
pt | CacheMouseDown
pt | CalcAutoSizeColumn
pt | CalcCellExtent
pt | CalcFocusRect
pt | CalcMaxTopLeft
pt | CalcScrollbarsRange
pt | CalculatePreferredSize
pt | CanEditShow
pt | CanGridAcceptKey
pt | CellClick
pt | CellExtent
pt | CheckLimits
pt | CheckLimitsWithError
pt | CMBiDiModeChanged
pt | CMMouseEnter
pt | CMMouseLeave
pt | ColRowDeleted
pt | ColRowExchanged
pt | ColRowInserted
pt | ColRowMoved
pt | ColRowToOffset
pt | ColumnIndexFromGridColumn
pt | ColumnFromGridColumn
pt | ColumnsChanged
pt | ColWidthsChanged
pt | CreateColumns
pt | CheckNewCachedSizes
pt | CreateWnd
pt | CreateParams
pt | Click
pt | DblClick
pt | DefaultColWidthIsStored
pt | DefaultRowHeightIsStored
pt | DefineProperties
pt | DestroyHandle
pt | DialogChar
pt | DoCompareCells
pt | DoCopyToClipboard
pt | DoCutToClipboard
pt | DoEditButtonClick
pt | DoEditorHide
pt | DoEditorShow
pt | DoExit
pt | DoEnter
pt | DoLoadColumn
pt | DoSaveColumn
pt | DoMouseWheel
pt | DoMouseWheelDown
pt | DoMouseWheelUp
pt | DoMouseWheelLeft
pt | DoMouseWheelRight
pt | DoAutoAdjustLayout
pt | DoOnChangeBounds
pt | DoOPDeleteColRow
pt | DoOPExchangeColRow
pt | DoOPInsertColRow
pt | DoOPMoveColRow
pt | DoPasteFromClipboard
pt | DoPrepareCanvas
pt | DoSetBounds
pt | DoUTF8KeyPress
pt | DrawBorder
pt | DrawAllRows
pt | DrawFillRect
pt | DrawCell
pt | DrawCellGrid
pt | DrawTextInCell
pt | DrawThemedCell
pt | DrawCellText
pt | DrawGridCheckboxBitmaps
pt | DrawButtonCell
pt | DrawColRowMoving
pt | DrawColumnText
pt | DrawColumnTitleImage
pt | DrawEdges
pt | DrawFocusRect
pt | DrawRow
pt | EditButtonClicked
pt | EditordoGetValue
pt | EditordoResetValue
pt | EditordoSetValue
pt | EditorCanAcceptKey
pt | EditorIsReadOnly
pt | EditorHide
pt | EditorLocked
pt | EditingAllowed
pt | EditorSelectAll
pt | EditorShow
pt | EditorShowInCell
pt | EditorWidthChanged
pt | FirstGridColumn
pt | FixedGrid
pt | FontChanged
pt | GetAutoFillColumnInfo
pt | GetCellHintText
pt | GetCells
pt | GetColumnAlignment
pt | GetColumnColor
pt | GetColumnFont
pt | GetColumnLayout
pt | GetColumnReadonly
pt | GetColumnTitle
pt | GetColumnWidth
pt | GetDeltaMoveNext
pt | GetDefaultColumnAlignment
pt | GetDefaultColumnWidth
pt | GetDefaultColumnLayout
pt | GetDefaultColumnReadOnly
pt | GetDefaultColumnTitle
pt | GetDefaultEditor
pt | GetDefaultRowHeight
pt | GetGridDrawState
pt | GetImageForCheckBox
pt | GetScrollBarPosition
pt | GetSmoothScroll
pt | GetSBVisibility
pt | GetSBRanges
pt | GetSelectedState
pt | GetEditMask
pt | GetEditText
pt | GetFixedcolor
pt | GetFirstVisibleColumn
pt | GetFirstVisibleRow
pt | GetLastVisibleColumn
pt | GetLastVisibleRow
pt | GetSelectedColor
pt | GetTitleShowPrefix
pt | GetPxTopLeft
pt | GetTruncCellHintText
pt | GridColumnFromColumnIndex
pt | GridMouseWheel
pt | HeaderClick
pt | HeaderSized
pt | HeaderSizing
pt | HideCellHintWindow
pt | InternalSetColCount
pt | InvalidateCell
pt | InvalidateFromCol
pt | InvalidateGrid
pt | InvalidateFocused
pt | GetIsCellTitle
pt | GetIsCellSelected
pt | IsEmptyRow
pt | IsMouseOverCellButton
pt | KeyDown
pt | KeyUp
pt | KeyPress
pt | LoadContent
pt | LoadGridOptions
pt | Loaded
pt | LockEditor
pt | MouseButtonAllowed
pt | MouseDown
pt | MouseMove
pt | MouseUp
pt | MoveExtend
pt | MoveNextAuto
pt | MoveNextSelectable
pt | MoveSelection
pt | OffsetToColRow
pt | Paint
pt | PickListItemSelected
pt | PrepareCanvas
pt | PrepareCellHints
pt | ResetDefaultColWidths
pt | ResetEditor
pt | ResetLastMove
pt | ResetOffset
pt | ResetSizes
pt | ResizeColumn
pt | ResizeRow
pt | RowHeightsChanged
pt | SaveContent
pt | SaveGridOptions
pt | ScrollBarRange
pt | ScrollBarPosition
pt | ScrollBarIsVisible
pt | ScrollBarPage
pt | ScrollBarShow
pt | ScrollBarAutomatic
pt | ScrollBy
pt | SelectEditor
pt | SelectCell
pt | SetCanvasFont
pt | SetColor
pt | SetColRow
pt | SetEditText
pt | SetBorderStyle
pt | SetFixedcolor
pt | SetFixedCols
pt | SetFixedRows
pt | SetRawColWidths
pt | SetSelectedColor
pt | ShowCellHintWindow
pt | SizeChanged
pt | Sort
pt | StartPushCell
pt | TopLeftChanged
pt | TryMoveSelection
pt | UnLockEditor
pt | UnprepareCellHints
pt | UpdateHorzScrollBar
pt | UpdateSelectionRange
pt | UpdateVertScrollbar
pt | UpdateBorderStyle
pt | ValidateEntry
pt | VisualChange
pt | WMSize
pt | WMHScroll
pt | WMVScroll
pt | WMKillFocus
pt | WMSetFocus
pt | WndProc
pt | FlipRect
pt | FlipPoint
pt | FlipX
 | Create
 | Destroy
 | Invalidate
 | EditingDone
 | AdjustInnerCellRect
 | AutoAdjustColumns
 | BeginUpdate
 | CellRect
 | CellToGridZone
 | CheckPosition
 | ClearCols
 | ClearRows
 | Clear
 | ClearSelections
 | EditorByStyle
 | EditorKeyDown
 | EditorKeyPress
 | EditorKeyUp
 | EditorTextChanged
 | EndUpdate
 | EraseBackground
 | Focused
 | HasMultiSelection
 | InvalidateCol
 | InvalidateRange
 | InvalidateRow
 | IsCellVisible
 | IsFixedCellVisible
 | LoadFromFile
 | LoadFromStream
 | MouseCoord
 | MouseToCell
 | MouseToLogcell
 | MouseToGridZone
 | SaveToFile
 | SaveToStream
 | SetFocus
TCustomControl
pt | WSRegisterClass
pt | WMPaint
pt | DestroyWnd
pt | PaintWindow
pt | FontChanged
pt | SetColor
pt | Paint
 | Create
 | Destroy
TWinControl
pt | WSRegisterClass
pt | AdjustClientRect
pt | GetAdjustedLogicalClientRect
pt | AlignControls
pt | CustomAlignInsertBefore
pt | CustomAlignPosition
pt | DoAlignChildControls
pt | DoChildSizingChange
pt | InvalidatePreferredChildSizes
pt | CanTab
pt | IsClientHeightStored
pt | IsClientWidthStored
pt | DoSendShowHideToInterface
pt | ControlsAligned
pt | DoSendBoundsToInterface
pt | RealizeBounds
pt | RealizeBoundsRecursive
pt | InvalidateBoundsRealized
pt | CreateSubClass
pt | DoConstraintsChange
pt | DoSetBounds
pt | DoAutoSize
pt | DoAllAutoSize
pt | AllAutoSized
pt | CalculatePreferredSize
pt | GetPreferredSizeClientFrame
pt | GetChildren
pt | ChildClassAllowed
pt | PaintControls
pt | PaintHandler
pt | PaintWindow
pt | CreateBrush
pt | ScaleControls
pt | ChangeScale
pt | CMBiDiModeChanged
pt | CMBorderChanged
pt | CMDoubleBufferedChanged
pt | CMEnabledChanged
pt | CMParentDoubleBufferedChanged
pt | CMShowingChanged
pt | CMShowHintChanged
pt | CMVisibleChanged
pt | CMEnter
pt | CMExit
pt | WMContextMenu
pt | WMEraseBkgnd
pt | WMNotify
pt | WMSetFocus
pt | WMKillFocus
pt | WMShowWindow
pt | WMEnter
pt | WMExit
pt | WMKeyDown
pt | WMSysKeyDown
pt | WMKeyUp
pt | WMSysKeyUp
pt | WMChar
pt | WMSysChar
pt | WMPaint
pt | WMDestroy
pt | WMMove
pt | WMSize
pt | WMWindowPosChanged
pt | CNKeyDown
pt | CNSysKeyDown
pt | CNKeyUp
pt | CNSysKeyUp
pt | CNChar
pt | DoDragMsg
pt | DoDockClientMsg
pt | DoUndockClientMsg
pt | DoAddDockClient
pt | DockOver
pt | DoDockOver
pt | DoRemoveDockClient
pt | DoUnDock
pt | GetSiteInfo
pt | GetParentHandle
pt | GetTopParentHandle
pt | ReloadDockedControl
pt | CreateDockManager
pt | SetDockManager
pt | DoFloatMsg
pt | DoGetDockCaption
pt | DoEnter
pt | DoExit
pt | DoKeyDownBeforeInterface
pt | DoRemainingKeyDown
pt | DoRemainingKeyUp
pt | DoKeyPress
pt | DoUTF8KeyPress
pt | DoKeyUpBeforeInterface
pt | ChildKey
pt | SendDialogChar
pt | DialogChar
pt | ControlKeyDown
pt | ControlKeyUp
pt | KeyDown
pt | KeyDownBeforeInterface
pt | KeyDownAfterInterface
pt | KeyPress
pt | KeyUp
pt | KeyUpBeforeInterface
pt | KeyUpAfterInterface
pt | UTF8KeyPress
pt | FindNextControl
pt | SelectFirst
pt | RealGetText
pt | GetBorderStyle
pt | GetClientOrigin
pt | GetClientRect
pt | GetControlOrigin
pt | GetDeviceContext
pt | GetParentBackground
pt | IsControlMouseMsg
pt | CreateHandle
pt | CreateParams
pt | CreateWnd
pt | DestroyHandle
pt | DestroyWnd
pt | DoFlipChildren
pt | FinalizeWnd
pt | FixupTabList
pt | FontChanged
pt | InitializeWnd
pt | Loaded
pt | FormEndUpdated
pt | MainWndProc
pt | ParentFormHandleInitialized
pt | ChildHandlesCreated
pt | GetMouseCapture
pt | RealSetText
pt | RemoveFocus
pt | SendMoveSizeMessages
pt | SetBorderStyle
pt | SetColor
pt | SetChildZPosition
pt | SetParentBackground
pt | ShowControl
pt | UpdateControlState
pt | UpdateShowing
pt | WndProc
pt | WSSetText
 | AutoSizePhases
 | AutoSizeDelayed
 | AutoSizeDelayedReport
 | AutoSizeDelayedHandle
 | BeginUpdateBounds
 | EndUpdateBounds
 | LockRealizeBounds
 | UnlockRealizeBounds
 | ControlAtPos
 | ContainsControl
 | DoAdjustClientRectChange
 | InvalidateClientRectCache
 | ClientRectNeedsInterfaceUpdate
 | SetBounds
 | GetChildrenRect
 | DisableAlign
 | EnableAlign
 | ReAlign
 | ScrollBy_WS
 | ScrollBy
 | WriteLayoutDebugReport
 | AutoAdjustLayout
 | Create
 | CreateParented
 | CreateParentedControl
 | Destroy
 | DockDrop
 | CanFocus
 | CanSetFocus
 | GetControlIndex
 | SetControlIndex
 | Focused
 | PerformTab
 | FindChildControl
 | SelectNext
 | SetTempCursor
 | BroadCast
 | NotifyControls
 | DefaultHandler
 | GetTextLen
 | Invalidate
 | AddControl
 | InsertControl
 | RemoveControl
 | GetEnumeratorControls
 | GetEnumeratorControlsReverse
 | Repaint
 | Update
 | SetFocus
 | FlipChildren
 | ScaleBy
 | GetDockCaption
 | UpdateDockCaption
 | GetTabOrderList
 | HandleAllocated
 | ParentHandlesAllocated
 | HandleNeeded
 | BrushCreated
 | EraseBackground
 | IntfUTF8KeyPress
 | IntfGetDropFilesTarget
 | PaintTo
 | SetShape
TControl
pt | WSRegisterClass
pt | GetCursor
pt | SetCursor
pt | SetVisible
pt | DoOnParentHandleDestruction
pt | DoAutoSize
pt | DoAllAutoSize
pt | BeginAutoSizing
pt | EndAutoSizing
pt | AnchorSideChanged
pt | ForeignAnchorSideChanged
pt | SetAlign
pt | SetAnchors
pt | SetAutoSize
pt | BoundsChanged
pt | CreateControlBorderSpacing
pt | DoConstraintsChange
pt | DoBorderSpacingChange
pt | IsBorderSpacingInnerBorderStored
pt | IsCaptionStored
pt | SendMoveSizeMessages
pt | ConstrainedResize
pt | CalculatePreferredSize
pt | DoOnResize
pt | DoOnChangeBounds
pt | CheckOnChangeBounds
pt | Resize
pt | RequestAlign
pt | UpdateAnchorRules
pt | ChangeBounds
pt | DoSetBounds
pt | ScaleConstraints
pt | ChangeScale
pt | CanAutoSize
pt | SetBiDiMode
pt | SetParentBiDiMode
pt | IsAParentAligning
pt | GetClientOrigin
pt | GetClientRect
pt | GetLogicalClientRect
pt | GetScrolledClientRect
pt | GetClientScrollOffset
pt | GetControlOrigin
pt | IsClientHeightStored
pt | IsClientWidthStored
pt | WidthIsAnchored
pt | HeightIsAnchored
pt | WMCancelMode
pt | WMContextMenu
pt | WMLButtonDown
pt | WMRButtonDown
pt | WMMButtonDown
pt | WMXButtonDown
pt | WMLButtonDBLCLK
pt | WMRButtonDBLCLK
pt | WMMButtonDBLCLK
pt | WMXButtonDBLCLK
pt | WMLButtonTripleCLK
pt | WMRButtonTripleCLK
pt | WMMButtonTripleCLK
pt | WMXButtonTripleCLK
pt | WMLButtonQuadCLK
pt | WMRButtonQuadCLK
pt | WMMButtonQuadCLK
pt | WMXButtonQuadCLK
pt | WMMouseMove
pt | WMLButtonUp
pt | WMRButtonUp
pt | WMMButtonUp
pt | WMXButtonUp
pt | WMMouseWheel
pt | WMMouseHWheel
pt | WMMove
pt | WMSize
pt | WMWindowPosChanged
pt | CMChanged
pt | LMCaptureChanged
pt | CMBiDiModeChanged
pt | CMSysFontChanged
pt | CMEnabledChanged
pt | CMHitTest
pt | CMMouseEnter
pt | CMMouseLeave
pt | CMHintShow
pt | CMParentBiDiModeChanged
pt | CMParentColorChanged
pt | CMParentFontChanged
pt | CMParentShowHintChanged
pt | CMVisibleChanged
pt | CMTextChanged
pt | CMCursorChanged
pt | CalculateDockSizes
pt | CreateFloatingDockSite
pt | GetDockEdge
pt | GetDragImages
pt | GetFloating
pt | GetFloatingDockSiteClass
pt | BeforeDragStart
pt | BeginAutoDrag
pt | DoFloatMsg
pt | DockTrackNoTarget
pt | DoDock
pt | DoDragMsg
pt | DoEndDock
pt | DoEndDrag
pt | DoStartDock
pt | DoStartDrag
pt | DragCanceled
pt | DragOver
pt | PositionDockRect
pt | SetDragMode
pt | GetDefaultDockCaption
pt | Click
pt | DblClick
pt | TripleClick
pt | QuadClick
pt | GetMousePosFromMessage
pt | MouseDown
pt | MouseMove
pt | MouseUp
pt | MouseEnter
pt | MouseLeave
pt | DialogChar
pt | UpdateMouseCursor
pt | Changed
pt | GetPalette
pt | ChildClassAllowed
pt | ReadState
pt | Loaded
pt | LoadedAll
pt | DefineProperties
pt | AssignTo
pt | FormEndUpdated
pt | InvalidateControl
pt | FontChanged
pt | ParentFontChanged
pt | GetAction
pt | RealGetText
pt | RealSetText
pt | TextChanged
pt | GetCachedText
pt | SetAction
pt | SetColor
pt | SetEnabled
pt | SetHint
pt | SetName
pt | SetParent
pt | SetParentComponent
pt | WndProc
pt | ParentFormHandleInitialized
pt | GetMouseCapture
pt | CaptureChanged
pt | Notification
pt | CanTab
pt | GetDeviceContext
pt | GetEnabled
pt | GetPopupMenu
pt | DoOnShowHint
pt | DoMouseWheel
pt | DoMouseWheelDown
pt | DoMouseWheelUp
pt | DoMouseWheelHorz
pt | DoMouseWheelLeft
pt | DoMouseWheelRight
pt | VisibleChanging
pt | VisibleChanged
pt | EnabledChanging
pt | EnabledChanged
pt | AddHandler
pt | RemoveHandler
pt | DoCallNotifyHandler
pt | DoCallKeyEventHandler
pt | DoCallMouseWheelEventHandler
pt | DoContextPopup
pt | SetZOrder
pt | GetControlClassDefaultSize
pt | ColorIsStored
pt | DoAutoAdjustLayout
pt | DoFixDesignFontPPI
pt | DoScaleFontPPI
pt | GetActionLinkClass
pt | ActionChange
 | DragDrop
 | Dock
 | ManualDock
 | ManualFloat
 | ReplaceDockedControl
 | Docked
 | Dragging
 | GetAccessibleObject
 | CreateAccessibleObject
 | GetSelectedChildAccessibleObject
 | GetChildAccessibleObjectAtPos
 | ScaleDesignToForm
 | ScaleFormToDesign
 | Scale96ToForm
 | ScaleFormTo96
 | Scale96ToFont
 | ScaleFontTo96
 | ScaleScreenToFont
 | ScaleFontToScreen
 | Scale96ToScreen
 | ScaleScreenTo96
 | AdjustSize
 | AutoSizePhases
 | AutoSizeDelayed
 | AutoSizeDelayedReport
 | AutoSizeDelayedHandle
 | AnchorToNeighbour
 | AnchorParallel
 | AnchorHorizontalCenterTo
 | AnchorVerticalCenterTo
 | AnchorToCompanion
 | AnchorSame
 | AnchorAsAlign
 | AnchorClient
 | AnchoredControlCount
 | SetBounds
 | SetInitialBounds
 | SetBoundsKeepBase
 | GetPreferredSize
 | GetCanvasScaleFactor
 | GetDefaultWidth
 | GetDefaultHeight
 | GetDefaultColor
 | GetColorResolvingParent
 | GetRGBColorResolvingParent
 | GetSidePosition
 | CNPreferredSizeChanged
 | InvalidatePreferredSize
 | GetAnchorsDependingOnParent
 | DisableAutoSizing
 | EnableAutoSizing
 | UpdateBaseBounds
 | WriteLayoutDebugReport
 | AutoAdjustLayout
 | ShouldAutoAdjust
 | FixDesignFontsPPI
 | ScaleFontsPPI
 | Create
 | Destroy
 | BeforeDestruction
 | EditingDone
 | ExecuteDefaultAction
 | ExecuteCancelAction
 | BeginDrag
 | EndDrag
 | BringToFront
 | HasParent
 | GetParentComponent
 | IsParentOf
 | GetTopParent
 | IsVisible
 | IsControlVisible
 | IsEnabled
 | IsParentColor
 | IsParentFont
 | FormIsUpdating
 | IsProcessingPaintMsg
 | Hide
 | Refresh
 | Repaint
 | Invalidate
 | CheckChildClassAllowed
 | CheckNewParent
 | SendToBack
 | SetTempCursor
 | UpdateRolesForForm
 | ActiveDefaultControlChanged
 | GetTextBuf
 | GetTextLen
 | SetTextBuf
 | Perform
 | ScreenToClient
 | ClientToScreen
 | ScreenToControl
 | ControlToScreen
 | ClientToParent
 | ParentToClient
 | GetChildrenRect
 | Show
 | Update
 | HandleObjectShouldBeVisible
 | ParentDestroyingHandle
 | ParentHandlesAllocated
 | InitiateAction
 | ShowHelp
 | HasHelp
 | RemoveAllHandlersOfObject
 | AddHandlerOnResize
 | RemoveHandlerOnResize
 | AddHandlerOnChangeBounds
 | RemoveHandlerOnChangeBounds
 | AddHandlerOnVisibleChanging
 | RemoveHandlerOnVisibleChanging
 | AddHandlerOnVisibleChanged
 | RemoveHandlerOnVisibleChanged
 | AddHandlerOnEnabledChanged
 | RemoveHandlerOnEnableChanging
 | AddHandlerOnKeyDown
 | RemoveHandlerOnKeyDown
 | AddHandlerOnBeforeDestruction
 | RemoveHandlerOnBeforeDestruction
 | AddHandlerOnMouseWheel
 | RemoveHandlerOnMouseWheel
 | UseRightToLeftAlignment
 | UseRightToLeftReading
 | UseRightToLeftScrollBar
 | IsRightToLeft
TLCLComponent
pt | WSRegisterClass
pt | GetWSComponentClass
 | Create
 | Destroy
 | NewInstance
 | RemoveAllHandlersOfObject
 | IncLCLRefCount
 | DecLCLRefCount
TComponent
 | GetComObject
 | GetComponent
 | GetComponentCount
 | GetComponentIndex
 | Insert
 | ReadLeft
 | ReadTop
 | Remove
 | RemoveNotification
 | SetComponentIndex
 | SetReference
 | WriteLeft
 | WriteTop
 | ChangeName
 | DefineProperties
 | GetChildren
 | GetChildOwner
 | GetChildParent
 | GetOwner
 | Loaded
 | Loading
 | Notification
 | PaletteCreated
 | ReadState
 | SetAncestor
 | SetDesigning
 | SetDesignInstance
 | SetInline
 | SetName
 | SetChildOrder
 | SetParentComponent
 | Updating
 | Updated
 | UpdateRegistry
 | ValidateRename
 | ValidateContainer
 | ValidateInsert
 | QueryInterface
 | _AddRef
 | _Release
 | iicrGetComponent
 | GetTypeInfoCount
 | GetTypeInfo
 | GetIDsOfNames
 | Invoke
 | WriteState
 | Create
 | Destroy
 | BeforeDestruction
 | DestroyComponents
 | Destroying
 | ExecuteAction
 | FindComponent
 | FreeNotification
 | RemoveFreeNotification
 | FreeOnRelease
 | GetEnumerator
 | GetNamePath
 | GetParentComponent
 | HasParent
 | InsertComponent
 | RemoveComponent
 | SafeCallException
 | SetSubComponent
 | UpdateAction
 | IsImplementorOf
 | ReferenceInterface
TPersistent
 | AssignError
 | AssignTo
 | DefineProperties
 | GetOwner
 | Destroy
 | Assign
 | FPOAttachObserver
 | FPODetachObserver
 | FPONotifyObservers
 | GetNamePath
TObject
 | Create
 | Destroy
 | newinstance
 | FreeInstance
 | SafeCallException
 | DefaultHandler
 | Free
 | InitInstance
 | CleanupInstance
 | ClassType
 | ClassInfo
 | ClassName
 | ClassNameIs
 | ClassParent
 | InstanceSize
 | InheritsFrom
 | StringMessageTable
 | MethodAddress
 | MethodName
 | FieldAddress
 | AfterConstruction
 | BeforeDestruction
 | DefaultHandlerStr
 | Dispatch
 | DispatchStr
 | GetInterface
 | GetInterfaceByStr
 | GetInterfaceWeak
 | GetInterfaceEntry
 | GetInterfaceEntryByStr
 | GetInterfaceTable
 | UnitName
 | Equals
 | GetHashCode
 | ToString


TDrawGrid
pl | ro | OnAfterSelection
pl | ro | OnBeforeSelection
pl | ro | OnCheckboxToggled
pl | ro | OnClick
pl | ro | OnColRowDeleted
pl | ro | OnColRowExchanged
pl | ro | OnColRowInserted
pl | ro | OnColRowMoved
pl | ro | OnCompareCells
pl | ro | OnContextPopup
pl | ro | OnDblClick
pl | ro | OnDragDrop
pl | ro | OnDragOver
pl | ro | OnDrawCell
pl | ro | OnEditButtonClick
pl | ro | OnButtonClick
pl | ro | OnEditingDone
pl | ro | OnEndDock
pl | ro | OnEndDrag
pl | ro | OnEnter
pl | ro | OnExit
pl | ro | OnGetCellHint
pl | ro | OnGetCheckboxState
pl | ro | OnGetEditMask
pl | ro | OnGetEditText
pl | ro | OnHeaderClick
pl | ro | OnHeaderSized
pl | ro | OnHeaderSizing
pl | ro | OnKeyDown
pl | ro | OnKeyPress
pl | ro | OnKeyUp
pl | ro | OnMouseDown
pl | ro | OnMouseEnter
pl | ro | OnMouseLeave
pl | ro | OnMouseMove
pl | ro | OnMouseUp
pl | ro | OnMouseWheel
pl | ro | OnMouseWheelDown
pl | ro | OnMouseWheelUp
pl | ro | OnMouseWheelHorz
pl | ro | OnMouseWheelLeft
pl | ro | OnMouseWheelRight
pl | ro | OnPickListSelect
pl | ro | OnPrepareCanvas
pl | ro | OnSelectEditor
pl | ro | OnSelection
pl | ro | OnSelectCell
pl | ro | OnSetCheckboxState
pl | ro | OnSetEditText
pl | ro | OnStartDock
pl | ro | OnStartDrag
pl | ro | OnTopleftChanged
pl | ro | OnUserCheckboxBitmap
pl | ro | OnUTF8KeyPress
pl | ro | OnValidateEntry
TCustomDrawGrid
pt |  | OnGetCheckboxState
pt |  | OnSetCheckboxState
 | ro | OnAfterSelection
 | ro | OnBeforeSelection
 | ro | OnClick
 |  | OnColRowDeleted
 |  | OnColRowExchanged
 |  | OnColRowInserted
 |  | OnColRowMoved
 | ro | OnCompareCells
 | ro | OnContextPopup
 | ro | OnDblClick
 | ro | OnDragDrop
 | ro | OnDragOver
 | ro | OnDrawCell
 | ro | OnEditButtonClick
 | ro | OnButtonClick
 | ro | OnEndDock
 | ro | OnEndDrag
 | ro | OnEnter
 | ro | OnExit
 |  | OnGetEditMask
 |  | OnGetEditText
 |  | OnHeaderClick
 |  | OnHeaderSized
 |  | OnHeaderSizing
 | ro | OnKeyDown
 | ro | OnKeyPress
 | ro | OnKeyUp
 | ro | OnMouseDown
 | ro | OnMouseEnter
 | ro | OnMouseLeave
 | ro | OnMouseMove
 | ro | OnMouseUp
 | ro | OnMouseWheel
 | ro | OnMouseWheelDown
 | ro | OnMouseWheelUp
 | ro | OnPickListSelect
 | ro | OnPrepareCanvas
 | ro | OnSelectEditor
 | ro | OnSelection
 |  | OnSelectCell
 |  | OnSetEditText
 | ro | OnStartDock
 | ro | OnStartDrag
 | ro | OnTopleftChanged
 | ro | OnUTF8KeyPress
 | ro | OnValidateEntry
TCustomGrid
pt |  | OnAfterSelection
pt |  | OnBeforeSelection
pt |  | OnCheckboxToggled
pt |  | OnCompareCells
pt |  | OnPrepareCanvas
pt |  | OnDrawCell
pt |  | OnEditButtonClick
pt |  | OnButtonClick
pt |  | OnPickListSelect
pt |  | OnSelection
pt |  | OnSelectEditor
pt |  | OnTopLeftChanged
pt |  | OnUserCheckboxBitmap
pt |  | OnValidateEntry
pt |  | OnGetCellHint
pt |  | OnSaveColumn
pt |  | OnLoadColumn
TCustomControl
 |  | OnPaint
TWinControl
pt |  | OnGetSiteInfo
pt |  | OnGetDockCaption
 |  | OnAlignInsertBefore
 |  | OnAlignPosition
 |  | OnDockDrop
 |  | OnDockOver
 |  | OnEnter
 |  | OnExit
 |  | OnKeyDown
 |  | OnKeyPress
 |  | OnKeyUp
 |  | OnUnDock
 |  | OnUTF8KeyPress
TControl
pt |  | OnConstrainedResize
pt |  | OnContextPopup
pt |  | OnDblClick
pt |  | OnTripleClick
pt |  | OnQuadClick
pt |  | OnDragDrop
pt |  | OnDragOver
pt |  | OnEndDock
pt |  | OnEndDrag
pt |  | OnMouseDown
pt |  | OnMouseMove
pt |  | OnMouseUp
pt |  | OnMouseEnter
pt |  | OnMouseLeave
pt |  | OnMouseWheel
pt |  | OnMouseWheelDown
pt |  | OnMouseWheelUp
pt |  | OnMouseWheelHorz
pt |  | OnMouseWheelLeft
pt |  | OnMouseWheelRight
pt |  | OnStartDock
pt |  | OnStartDrag
pt |  | OnEditingDone
 |  | OnChangeBounds
 |  | OnClick
 |  | OnResize
 |  | OnShowHint
TLCLComponent
TComponent
TPersistent
TObject


pt |  | OnAfterSelection (TCustomGrid)
 | ro | OnAfterSelection (TCustomDrawGrid)
pl | ro | OnAfterSelection (TDrawGrid)
 |  | OnAlignInsertBefore (TWinControl)
 |  | OnAlignPosition (TWinControl)
pt |  | OnBeforeSelection (TCustomGrid)
 | ro | OnBeforeSelection (TCustomDrawGrid)
pl | ro | OnBeforeSelection (TDrawGrid)
pt |  | OnButtonClick (TCustomGrid)
 | ro | OnButtonClick (TCustomDrawGrid)
pl | ro | OnButtonClick (TDrawGrid)
 |  | OnChangeBounds (TControl)
pt |  | OnCheckboxToggled (TCustomGrid)
pl | ro | OnCheckboxToggled (TDrawGrid)
 |  | OnClick (TControl)
 | ro | OnClick (TCustomDrawGrid)
pl | ro | OnClick (TDrawGrid)
 |  | OnColRowDeleted (TCustomDrawGrid)
pl | ro | OnColRowDeleted (TDrawGrid)
 |  | OnColRowExchanged (TCustomDrawGrid)
pl | ro | OnColRowExchanged (TDrawGrid)
 |  | OnColRowInserted (TCustomDrawGrid)
pl | ro | OnColRowInserted (TDrawGrid)
 |  | OnColRowMoved (TCustomDrawGrid)
pl | ro | OnColRowMoved (TDrawGrid)
pt |  | OnCompareCells (TCustomGrid)
 | ro | OnCompareCells (TCustomDrawGrid)
pl | ro | OnCompareCells (TDrawGrid)
pt |  | OnConstrainedResize (TControl)
pt |  | OnContextPopup (TControl)
 | ro | OnContextPopup (TCustomDrawGrid)
pl | ro | OnContextPopup (TDrawGrid)
pt |  | OnDblClick (TControl)
 | ro | OnDblClick (TCustomDrawGrid)
pl | ro | OnDblClick (TDrawGrid)
 |  | OnDockDrop (TWinControl)
 |  | OnDockOver (TWinControl)
pt |  | OnDragDrop (TControl)
 | ro | OnDragDrop (TCustomDrawGrid)
pl | ro | OnDragDrop (TDrawGrid)
pt |  | OnDragOver (TControl)
 | ro | OnDragOver (TCustomDrawGrid)
pl | ro | OnDragOver (TDrawGrid)
pt |  | OnDrawCell (TCustomGrid)
 | ro | OnDrawCell (TCustomDrawGrid)
pl | ro | OnDrawCell (TDrawGrid)
pt |  | OnEditButtonClick (TCustomGrid)
 | ro | OnEditButtonClick (TCustomDrawGrid)
pl | ro | OnEditButtonClick (TDrawGrid)
pt |  | OnEditingDone (TControl)
pl | ro | OnEditingDone (TDrawGrid)
pt |  | OnEndDock (TControl)
 | ro | OnEndDock (TCustomDrawGrid)
pl | ro | OnEndDock (TDrawGrid)
pt |  | OnEndDrag (TControl)
 | ro | OnEndDrag (TCustomDrawGrid)
pl | ro | OnEndDrag (TDrawGrid)
 |  | OnEnter (TWinControl)
 | ro | OnEnter (TCustomDrawGrid)
pl | ro | OnEnter (TDrawGrid)
 |  | OnExit (TWinControl)
 | ro | OnExit (TCustomDrawGrid)
pl | ro | OnExit (TDrawGrid)
pt |  | OnGetCellHint (TCustomGrid)
pl | ro | OnGetCellHint (TDrawGrid)
pt |  | OnGetCheckboxState (TCustomDrawGrid)
pl | ro | OnGetCheckboxState (TDrawGrid)
pt |  | OnGetDockCaption (TWinControl)
 |  | OnGetEditMask (TCustomDrawGrid)
pl | ro | OnGetEditMask (TDrawGrid)
 |  | OnGetEditText (TCustomDrawGrid)
pl | ro | OnGetEditText (TDrawGrid)
pt |  | OnGetSiteInfo (TWinControl)
 |  | OnHeaderClick (TCustomDrawGrid)
pl | ro | OnHeaderClick (TDrawGrid)
 |  | OnHeaderSized (TCustomDrawGrid)
pl | ro | OnHeaderSized (TDrawGrid)
 |  | OnHeaderSizing (TCustomDrawGrid)
pl | ro | OnHeaderSizing (TDrawGrid)
 |  | OnKeyDown (TWinControl)
 | ro | OnKeyDown (TCustomDrawGrid)
pl | ro | OnKeyDown (TDrawGrid)
 |  | OnKeyPress (TWinControl)
 | ro | OnKeyPress (TCustomDrawGrid)
pl | ro | OnKeyPress (TDrawGrid)
 |  | OnKeyUp (TWinControl)
 | ro | OnKeyUp (TCustomDrawGrid)
pl | ro | OnKeyUp (TDrawGrid)
pt |  | OnLoadColumn (TCustomGrid)
pt |  | OnMouseDown (TControl)
 | ro | OnMouseDown (TCustomDrawGrid)
pl | ro | OnMouseDown (TDrawGrid)
pt |  | OnMouseEnter (TControl)
 | ro | OnMouseEnter (TCustomDrawGrid)
pl | ro | OnMouseEnter (TDrawGrid)
pt |  | OnMouseLeave (TControl)
 | ro | OnMouseLeave (TCustomDrawGrid)
pl | ro | OnMouseLeave (TDrawGrid)
pt |  | OnMouseMove (TControl)
 | ro | OnMouseMove (TCustomDrawGrid)
pl | ro | OnMouseMove (TDrawGrid)
pt |  | OnMouseUp (TControl)
 | ro | OnMouseUp (TCustomDrawGrid)
pl | ro | OnMouseUp (TDrawGrid)
pt |  | OnMouseWheel (TControl)
 | ro | OnMouseWheel (TCustomDrawGrid)
pl | ro | OnMouseWheel (TDrawGrid)
pt |  | OnMouseWheelDown (TControl)
 | ro | OnMouseWheelDown (TCustomDrawGrid)
pl | ro | OnMouseWheelDown (TDrawGrid)
pt |  | OnMouseWheelHorz (TControl)
pl | ro | OnMouseWheelHorz (TDrawGrid)
pt |  | OnMouseWheelLeft (TControl)
pl | ro | OnMouseWheelLeft (TDrawGrid)
pt |  | OnMouseWheelRight (TControl)
pl | ro | OnMouseWheelRight (TDrawGrid)
pt |  | OnMouseWheelUp (TControl)
 | ro | OnMouseWheelUp (TCustomDrawGrid)
pl | ro | OnMouseWheelUp (TDrawGrid)
 |  | OnPaint (TCustomControl)
pt |  | OnPickListSelect (TCustomGrid)
 | ro | OnPickListSelect (TCustomDrawGrid)
pl | ro | OnPickListSelect (TDrawGrid)
pt |  | OnPrepareCanvas (TCustomGrid)
 | ro | OnPrepareCanvas (TCustomDrawGrid)
pl | ro | OnPrepareCanvas (TDrawGrid)
pt |  | OnQuadClick (TControl)
 |  | OnResize (TControl)
pt |  | OnSaveColumn (TCustomGrid)
 |  | OnSelectCell (TCustomDrawGrid)
pl | ro | OnSelectCell (TDrawGrid)
pt |  | OnSelectEditor (TCustomGrid)
 | ro | OnSelectEditor (TCustomDrawGrid)
pl | ro | OnSelectEditor (TDrawGrid)
pt |  | OnSelection (TCustomGrid)
 | ro | OnSelection (TCustomDrawGrid)
pl | ro | OnSelection (TDrawGrid)
pt |  | OnSetCheckboxState (TCustomDrawGrid)
pl | ro | OnSetCheckboxState (TDrawGrid)
 |  | OnSetEditText (TCustomDrawGrid)
pl | ro | OnSetEditText (TDrawGrid)
 |  | OnShowHint (TControl)
pt |  | OnStartDock (TControl)
 | ro | OnStartDock (TCustomDrawGrid)
pl | ro | OnStartDock (TDrawGrid)
pt |  | OnStartDrag (TControl)
 | ro | OnStartDrag (TCustomDrawGrid)
pl | ro | OnStartDrag (TDrawGrid)
pt |  | OnTopLeftChanged (TCustomGrid)
 | ro | OnTopleftChanged (TCustomDrawGrid)
pl | ro | OnTopleftChanged (TDrawGrid)
pt |  | OnTripleClick (TControl)
 |  | OnUnDock (TWinControl)
pt |  | OnUserCheckboxBitmap (TCustomGrid)
pl | ro | OnUserCheckboxBitmap (TDrawGrid)
 |  | OnUTF8KeyPress (TWinControl)
 | ro | OnUTF8KeyPress (TCustomDrawGrid)
pl | ro | OnUTF8KeyPress (TDrawGrid)
pt |  | OnValidateEntry (TCustomGrid)
 | ro | OnValidateEntry (TCustomDrawGrid)
pl | ro | OnValidateEntry (TDrawGrid)


TDrawGrid.ColumnClickSorts

Declaration

Source position: grids.pas line 1532

published property TDrawGrid.ColumnClickSorts : Boolean;


TDrawGrid.DoubleBuffered

Declaration

Source position: grids.pas line 1538

published property TDrawGrid.DoubleBuffered : Boolean;


TDrawGrid.HeaderHotZones

HeaderHotZones - the header zones corresponding to the position of the mouse cursor

Declaration

Source position: grids.pas line 1550

published property TDrawGrid.HeaderHotZones : TGridZoneSet;


TDrawGrid.HeaderPushZones

HeaderPushZones - the zones of the header that have been pushed down (selected)

Declaration

Source position: grids.pas line 1551

published property TDrawGrid.HeaderPushZones : TGridZoneSet;


TDrawGrid.ImageIndexSortAsc

Declaration

Source position: grids.pas line 1552

published property TDrawGrid.ImageIndexSortAsc : TImageIndex;


TDrawGrid.ImageIndexSortDesc

Declaration

Source position: grids.pas line 1553

published property TDrawGrid.ImageIndexSortDesc : TImageIndex;


TDrawGrid.InplaceEditor

Declaration

Source position: grids.pas line 1518

public property TDrawGrid.InplaceEditor : TWinControl;


TDrawGrid.MouseWheelOption

Declaration

Source position: grids.pas line 1554

published property TDrawGrid.MouseWheelOption : TMouseWheelOption;


TDrawGrid.OnAfterSelection

Declaration

Source position: grids.pas line 1579

published property TDrawGrid.OnAfterSelection : TOnSelectEvent;


TDrawGrid.OnButtonClick

Declaration

Source position: grids.pas line 1594

published property TDrawGrid.OnButtonClick : TOnSelectEvent;


TDrawGrid.OnCheckboxToggled

Declaration

Source position: grids.pas line 1581

published property TDrawGrid.OnCheckboxToggled : TToggledCheckboxEvent;


TDrawGrid.OnGetCellHint

Declaration

Source position: grids.pas line 1600

published property TDrawGrid.OnGetCellHint : TGetCellHintEvent;


TDrawGrid.OnHeaderSizing

Declaration

Source position: grids.pas line 1606

published property TDrawGrid.OnHeaderSizing : THeaderSizingEvent;


TDrawGrid.OnMouseEnter

Declaration

Source position: grids.pas line 1611

published property TDrawGrid.OnMouseEnter : TNotifyEvent;


TDrawGrid.OnMouseLeave

Declaration

Source position: grids.pas line 1612

published property TDrawGrid.OnMouseLeave : TNotifyEvent;


TDrawGrid.OnMouseWheel

Declaration

Source position: grids.pas line 1615

published property TDrawGrid.OnMouseWheel : TMouseWheelEvent;


TDrawGrid.OnMouseWheelHorz

Declaration

Source position: grids.pas line 1618

published property TDrawGrid.OnMouseWheelHorz : TMouseWheelEvent;


TDrawGrid.OnMouseWheelLeft

Declaration

Source position: grids.pas line 1619

published property TDrawGrid.OnMouseWheelLeft : TMouseWheelUpDownEvent;


TDrawGrid.OnMouseWheelRight

Declaration

Source position: grids.pas line 1620

published property TDrawGrid.OnMouseWheelRight : TMouseWheelUpDownEvent;


TDrawGrid.OnUserCheckboxBitmap

Declaration

Source position: grids.pas line 1631

published property TDrawGrid.OnUserCheckboxBitmap : TUserCheckBoxBitmapEvent;


TDrawGrid.OnValidateEntry

Declaration

Source position: grids.pas line 1633

published property TDrawGrid.OnValidateEntry : TValidateEntryEvent;


TDrawGrid.Options2

Declaration

Source position: grids.pas line 1556

published property TDrawGrid.Options2 : TGridOptions2;


TDrawGrid.ParentDoubleBuffered

Declaration

Source position: grids.pas line 1559

published property TDrawGrid.ParentDoubleBuffered : Boolean;


TDrawGrid.RangeSelectMode

Declaration

Source position: grids.pas line 1563

published property TDrawGrid.RangeSelectMode : TRangeSelectMode;


TDrawGrid.TabAdvance

Declaration

Source position: grids.pas line 1567

published property TDrawGrid.TabAdvance : TAutoAdvance;


TDrawGrid.TitleImageListWidth

Declaration

Source position: grids.pas line 1572

published property TDrawGrid.TitleImageListWidth : Integer;


TGridColumn

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

TGridColumn - a column of similar data items in a grid

Declaration

Source position: grids.pas line 498

type TGridColumn = class(TCollectionItem)
protected
function GetDisplayName; override; |
function GetDefaultAlignment; virtual; | GetDefaultAlignment - returns the default alignment
function GetDefaultColor; virtual; | GetDefaultColor - returns the default colour
function GetDefaultLayout; virtual; | GetDefaultLayout - returns the default layout for text
function GetDefaultMaxSize; virtual; | GetDefaultMaxSize -returns the default maximum size
function GetDefaultMinSize; virtual; | GetDefaultMinSize - returns the default minimum size
function GetDefaultReadOnly; virtual; | GetDefaultReadOnly - returns the default value for the ReadOnly property
function GetDefaultSizePriority; | GetDefaultSizePriority - returns the default value for size priority
function GetDefaultVisible; virtual; | GetDefaultVisible - returns the default value for the Visible property
function GetDefaultValueChecked; virtual; | GetDefaultValueChecked - returns the default value for a checked column
function GetDefaultValueUnchecked; virtual; | GetDefaultValueUnchecked - returns the default value for an unchecked column
function GetDefaultWidth; virtual; | GetDefaultWidth - returns the default value for width
function GetPickList; virtual; | GetPickList - returns the picklist as a list of strings
function GetValueChecked; | GetValueChecked - returns a checked value as a string
function GetValueUnchecked; | GetValueUnchecked - returns an unchecked value as a string
procedure ColumnChanged; virtual; | ColumnChanged - method for dealing with change of column
procedure AllColumnsChange; | AllColumnsChange - method for processing a change in all columns
function CreateTitle; virtual; | CreateTitle - creates a column title and returns it in the result
procedure SetIndex(); override;
property IsDefaultFont: Boolean; [r] | IsDefaultFont - if True, the default font is being used
public
constructor Create(); override; | Create - constructor for TGridColumn: calls inherited Create, then creates a title and font, initialises a picklist and sets styles
destructor Destroy; override; | Destroy - destructor for TGridColumn: disposes of various local variables, frees picklist, font and title, then calls inherited Destroy
procedure Assign(); override; |
procedure FillDefaultFont; | FillDefaultFont - method to fill all cells in the column with the default font
function IsDefault; virtual; | IsDefault - returns True if this column is the default
property Grid: TCustomGrid; [r] | The Grid to which this column belongs
property DefaultWidth: Integer; [r]
property StoredWidth: Integer; [r]
property WidthChanged: Boolean; [r] | WidthChanged - if True, width has been changed
published
property Alignment: TAlignment; [rws] | Alignment - whether justified, centred etc
property ButtonStyle: TColumnButtonStyle; [rw] | ButtonStyle - the style of any column button
property Color: TColor; [rws] | the Color for this column
property DropDownRows: LongInt; [rw] | DropDownRows - the number of rows in the drop-down list
property Expanded: Boolean; [rw] | Whether the column has been Expanded
property Font: TFont; [rws] | The Font for the column
property Layout: TTextLayout; [rws] | The Layout for text
property MinSize: Integer; [rws] | MinSize - the minimum size
property MaxSize: Integer; [rws] | MaxSize - the maximum size
property PickList: TStrings; [rw] | PickList - the list of items selected from this column
property ReadOnly: Boolean; [rws] | ReadOnly - if True, only reading (not writing) is allowed
property SizePriority: Integer; [rws] | SizePriority - the value of the size priority in the sorted order
property Tag: PtrInt; [rw]
property Title: TGridColumnTitle; [rw] | The Title for the column
property Width: Integer; [rws] | The Width of the column
property Visible: Boolean; [rws] | Visible - if True, the column can be seen (ie not hidden)
property ValueChecked: string; [rws] | ValueChecked - a string value of a checked item
property ValueUnchecked: string; [rws] | ValueUnchecked - a string value of an unchecked item
end;

Inheritance

TGridColumn

TGridColumn - a column of similar data items in a grid
|

TCollectionItem
|

TPersistent,IFPObserved
|

TObject


TGridColumn
pt | ro | IsDefaultFont
 | ro | Grid
 | ro | DefaultWidth
 | ro | StoredWidth
 | ro | WidthChanged
pl |  | Alignment
pl |  | ButtonStyle
pl |  | Color
pl |  | DropDownRows
pl |  | Expanded
pl |  | Font
pl |  | Layout
pl |  | MinSize
pl |  | MaxSize
pl |  | PickList
pl |  | ReadOnly
pl |  | SizePriority
pl |  | Tag
pl |  | Title
pl |  | Width
pl |  | Visible
pl |  | ValueChecked
pl |  | ValueUnchecked
TCollectionItem
 | ro | UpdateCount
 |  | Collection
 | ro | ID
 |  | Index
 |  | DisplayName
TPersistent
TObject


pl |  | Alignment (TGridColumn)
pl |  | ButtonStyle (TGridColumn)
 |  | Collection (TCollectionItem)
pl |  | Color (TGridColumn)
 | ro | DefaultWidth (TGridColumn)
 |  | DisplayName (TCollectionItem)
pl |  | DropDownRows (TGridColumn)
pl |  | Expanded (TGridColumn)
pl |  | Font (TGridColumn)
 | ro | Grid (TGridColumn)
 | ro | ID (TCollectionItem)
 |  | Index (TCollectionItem)
pt | ro | IsDefaultFont (TGridColumn)
pl |  | Layout (TGridColumn)
pl |  | MaxSize (TGridColumn)
pl |  | MinSize (TGridColumn)
pl |  | PickList (TGridColumn)
pl |  | ReadOnly (TGridColumn)
pl |  | SizePriority (TGridColumn)
 | ro | StoredWidth (TGridColumn)
pl |  | Tag (TGridColumn)
pl |  | Title (TGridColumn)
 | ro | UpdateCount (TCollectionItem)
pl |  | ValueChecked (TGridColumn)
pl |  | ValueUnchecked (TGridColumn)
pl |  | Visible (TGridColumn)
pl |  | Width (TGridColumn)
 | ro | WidthChanged (TGridColumn)


TGridColumn
pt | GetDisplayName
pt | GetDefaultAlignment
pt | GetDefaultColor
pt | GetDefaultLayout
pt | GetDefaultMaxSize
pt | GetDefaultMinSize
pt | GetDefaultReadOnly
pt | GetDefaultSizePriority
pt | GetDefaultVisible
pt | GetDefaultValueChecked
pt | GetDefaultValueUnchecked
pt | GetDefaultWidth
pt | GetPickList
pt | GetValueChecked
pt | GetValueUnchecked
pt | ColumnChanged
pt | AllColumnsChange
pt | CreateTitle
pt | SetIndex
 | Create
 | Destroy
 | Assign
 | FillDefaultFont
 | IsDefault
TCollectionItem
 | GetIndex
 | SetCollection
 | Changed
 | GetOwner
 | GetDisplayName
 | SetIndex
 | SetDisplayName
 | Create
 | Destroy
 | GetNamePath
TPersistent
 | AssignError
 | AssignTo
 | DefineProperties
 | GetOwner
 | Destroy
 | Assign
 | FPOAttachObserver
 | FPODetachObserver
 | FPONotifyObservers
 | GetNamePath
TObject
 | Create
 | Destroy
 | newinstance
 | FreeInstance
 | SafeCallException
 | DefaultHandler
 | Free
 | InitInstance
 | CleanupInstance
 | ClassType
 | ClassInfo
 | ClassName
 | ClassNameIs
 | ClassParent
 | InstanceSize
 | InheritsFrom
 | StringMessageTable
 | MethodAddress
 | MethodName
 | FieldAddress
 | AfterConstruction
 | BeforeDestruction
 | DefaultHandlerStr
 | Dispatch
 | DispatchStr
 | GetInterface
 | GetInterfaceByStr
 | GetInterfaceWeak
 | GetInterfaceEntry
 | GetInterfaceEntryByStr
 | GetInterfaceTable
 | UnitName
 | Equals
 | GetHashCode
 | ToString


pt | AllColumnsChange (TGridColumn)
 | Assign (TPersistent)
 | Assign (TGridColumn)
 | AssignError (TPersistent)
 | AssignTo (TPersistent)
 | BeforeDestruction (TObject)
 | Changed (TCollectionItem)
 | ClassInfo (TObject)
 | ClassName (TObject)
 | ClassNameIs (TObject)
 | ClassParent (TObject)
 | ClassType (TObject)
 | CleanupInstance (TObject)
pt | ColumnChanged (TGridColumn)
 | Create (TObject)
 | Create (TCollectionItem)
 | Create (TGridColumn)
pt | CreateTitle (TGridColumn)
 | DefaultHandler (TObject)
 | DefaultHandlerStr (TObject)
 | DefineProperties (TPersistent)
 | Destroy (TObject)
 | Destroy (TPersistent)
 | Destroy (TCollectionItem)
 | Destroy (TGridColumn)
 | Dispatch (TObject)
 | DispatchStr (TObject)
 | Equals (TObject)
 | FieldAddress (TObject)
 | FillDefaultFont (TGridColumn)
 | FPOAttachObserver (TPersistent)
 | FPODetachObserver (TPersistent)
 | FPONotifyObservers (TPersistent)
 | Free (TObject)
 | FreeInstance (TObject)
pt | GetDefaultAlignment (TGridColumn)
pt | GetDefaultColor (TGridColumn)
pt | GetDefaultLayout (TGridColumn)
pt | GetDefaultMaxSize (TGridColumn)
pt | GetDefaultMinSize (TGridColumn)
pt | GetDefaultReadOnly (TGridColumn)
pt | GetDefaultSizePriority (TGridColumn)
pt | GetDefaultValueChecked (TGridColumn)
pt | GetDefaultValueUnchecked (TGridColumn)
pt | GetDefaultVisible (TGridColumn)
pt | GetDefaultWidth (TGridColumn)
 | GetDisplayName (TCollectionItem)
pt | GetDisplayName (TGridColumn)
 | GetHashCode (TObject)
 | GetIndex (TCollectionItem)
 | GetInterface (TObject)
 | GetInterfaceByStr (TObject)
 | GetInterfaceEntry (TObject)
 | GetInterfaceEntryByStr (TObject)
 | GetInterfaceTable (TObject)
 | GetInterfaceWeak (TObject)
 | GetNamePath (TPersistent)
 | GetNamePath (TCollectionItem)
 | GetOwner (TPersistent)
 | GetOwner (TCollectionItem)
pt | GetPickList (TGridColumn)
pt | GetValueChecked (TGridColumn)
pt | GetValueUnchecked (TGridColumn)
 | InheritsFrom (TObject)
 | InitInstance (TObject)
 | InstanceSize (TObject)
 | IsDefault (TGridColumn)
 | MethodAddress (TObject)
 | MethodName (TObject)
 | newinstance (TObject)
 | SafeCallException (TObject)
 | SetCollection (TCollectionItem)
 | SetDisplayName (TCollectionItem)
 | SetIndex (TCollectionItem)
pt | SetIndex (TGridColumn)
 | StringMessageTable (TObject)
 | ToString (TObject)
 | UnitName (TObject)


TGridColumn

TCollectionItem

TPersistent

TObject


TGridColumn.Alignment

Alignment - whether justified, centred etc

Declaration

Source position: grids.pas line 592

published property TGridColumn.Alignment : TAlignment
  read GetAlignment
  write SetAlignment
  stored IsAlignmentStored;


TGridColumn.AllColumnsChange

AllColumnsChange - method for processing a change in all columns

Declaration

Source position: grids.pas line 575

protected procedure TGridColumn.AllColumnsChange;


TGridColumn.ButtonStyle

ButtonStyle - the style of any column button

Declaration

Source position: grids.pas line 593

published property TGridColumn.ButtonStyle : TColumnButtonStyle
  read FButtonStyle
  write SetButtonStyle
  default cbsAuto;


TGridColumn.Color

the Color for this column

Declaration

Source position: grids.pas line 594

published property TGridColumn.Color : TColor
  read GetColor
  write SetColor
  stored IsColorStored;


TGridColumn.ColumnChanged

ColumnChanged - method for dealing with change of column

Declaration

Source position: grids.pas line 574

protected procedure TGridColumn.ColumnChanged; virtual;


TGridColumn.Create

Create - constructor for TGridColumn: calls inherited Create, then creates a title and font, initialises a picklist and sets styles

Declaration

Source position: grids.pas line 581

public constructor TGridColumn.Create(

  ACollection: TCollection

); override;

See also

TCollectionItem.Create


TGridColumn.CreateTitle

CreateTitle - creates a column title and returns it in the result

Declaration

Source position: grids.pas line 576

protected function TGridColumn.CreateTitle: TGridColumnTitle; virtual;


TGridColumn.DefaultWidth

Declaration

Source position: grids.pas line 587

public property TGridColumn.DefaultWidth : Integer
  read GetDefaultWidth;


TGridColumn.Destroy

Destroy - destructor for TGridColumn: disposes of various local variables, frees picklist, font and title, then calls inherited Destroy

Declaration

Source position: grids.pas line 582

public destructor TGridColumn.Destroy; override;

See also

TCollectionItem.Destroy


TGridColumn.DropDownRows

DropDownRows - the number of rows in the drop-down list

Declaration

Source position: grids.pas line 595

published property TGridColumn.DropDownRows : LongInt
  read FDropDownRows
  write FDropDownRows
  default 7;


TGridColumn.Expanded

Whether the column has been Expanded

Declaration

Source position: grids.pas line 596

published property TGridColumn.Expanded : Boolean
  read GetExpanded
  write SetExpanded
  default True;


TGridColumn.FillDefaultFont

FillDefaultFont - method to fill all cells in the column with the default font

Declaration

Source position: grids.pas line 584

public procedure TGridColumn.FillDefaultFont;


TGridColumn.Font

The Font for the column

Declaration

Source position: grids.pas line 597

published property TGridColumn.Font : TFont
  read GetFont
  write SetFont
  stored IsFontStored;


TGridColumn.GetDefaultAlignment

GetDefaultAlignment - returns the default alignment

Declaration

Source position: grids.pas line 560

protected function TGridColumn.GetDefaultAlignment: TAlignment; virtual;


TGridColumn.GetDefaultColor

GetDefaultColor - returns the default colour

Declaration

Source position: grids.pas line 561

protected function TGridColumn.GetDefaultColor: TColor; virtual;


TGridColumn.GetDefaultLayout

GetDefaultLayout - returns the default layout for text

Declaration

Source position: grids.pas line 562

protected function TGridColumn.GetDefaultLayout: TTextLayout; virtual;


TGridColumn.GetDefaultMaxSize

GetDefaultMaxSize -returns the default maximum size

Declaration

Source position: grids.pas line 563

protected function TGridColumn.GetDefaultMaxSize: Integer; virtual;


TGridColumn.GetDefaultMinSize

GetDefaultMinSize - returns the default minimum size

Declaration

Source position: grids.pas line 564

protected function TGridColumn.GetDefaultMinSize: Integer; virtual;


TGridColumn.GetDefaultReadOnly

GetDefaultReadOnly - returns the default value for the ReadOnly property

Declaration

Source position: grids.pas line 565

protected function TGridColumn.GetDefaultReadOnly: Boolean; virtual;


TGridColumn.GetDefaultSizePriority

GetDefaultSizePriority - returns the default value for size priority

Declaration

Source position: grids.pas line 566

protected function TGridColumn.GetDefaultSizePriority: Integer;


TGridColumn.GetDefaultValueChecked

GetDefaultValueChecked - returns the default value for a checked column

Declaration

Source position: grids.pas line 568

protected function TGridColumn.GetDefaultValueChecked: string; virtual;


TGridColumn.GetDefaultValueUnchecked

GetDefaultValueUnchecked - returns the default value for an unchecked column

Declaration

Source position: grids.pas line 569

protected function TGridColumn.GetDefaultValueUnchecked: string; virtual;


TGridColumn.GetDefaultVisible

GetDefaultVisible - returns the default value for the Visible property

Declaration

Source position: grids.pas line 567

protected function TGridColumn.GetDefaultVisible: Boolean; virtual;


TGridColumn.GetDefaultWidth

GetDefaultWidth - returns the default value for width

Declaration

Source position: grids.pas line 570

protected function TGridColumn.GetDefaultWidth: Integer; virtual;


TGridColumn.GetPickList

GetPickList - returns the picklist as a list of strings

Declaration

Source position: grids.pas line 571

protected function TGridColumn.GetPickList: TStrings; virtual;


TGridColumn.GetValueChecked

GetValueChecked - returns a checked value as a string

Declaration

Source position: grids.pas line 572

protected function TGridColumn.GetValueChecked: string;


TGridColumn.GetValueUnchecked

GetValueUnchecked - returns an unchecked value as a string

Declaration

Source position: grids.pas line 573

protected function TGridColumn.GetValueUnchecked: string;


TGridColumn.Grid

The Grid to which this column belongs

Declaration

Source position: grids.pas line 586

public property TGridColumn.Grid : TCustomGrid
  read GetGrid;


TGridColumn.IsDefault

IsDefault - returns True if this column is the default

Declaration

Source position: grids.pas line 585

public function TGridColumn.IsDefault: Boolean; virtual;


TGridColumn.IsDefaultFont

IsDefaultFont - if True, the default font is being used

Declaration

Source position: grids.pas line 579

protected property TGridColumn.IsDefaultFont : Boolean
  read FIsDefaultFont;


TGridColumn.Layout

The Layout for text

Declaration

Source position: grids.pas line 598

published property TGridColumn.Layout : TTextLayout
  read GetLayout
  write SetLayout
  stored IsLayoutStored;


TGridColumn.MaxSize

MaxSize - the maximum size

Declaration

Source position: grids.pas line 600

published property TGridColumn.MaxSize : Integer
  read GetMaxSize
  write SetMaxSize
  stored isMaxSizeStored;


TGridColumn.MinSize

MinSize - the minimum size

Declaration

Source position: grids.pas line 599

published property TGridColumn.MinSize : Integer
  read GetMinSize
  write SetMinSize
  stored IsMinSizeStored;


TGridColumn.PickList

PickList - the list of items selected from this column

Declaration

Source position: grids.pas line 601

published property TGridColumn.PickList : TStrings
  read GetPickList
  write SetPickList;


TGridColumn.ReadOnly

ReadOnly - if True, only reading (not writing) is allowed

Declaration

Source position: grids.pas line 602

published property TGridColumn.ReadOnly : Boolean
  read GetReadOnly
  write SetReadOnly
  stored IsReadOnlyStored;


TGridColumn.SetIndex

Declaration

Source position: grids.pas line 577

protected procedure TGridColumn.SetIndex(

  Value: Integer

); override;


TGridColumn.SizePriority

SizePriority - the value of the size priority in the sorted order

Declaration

Source position: grids.pas line 603

published property TGridColumn.SizePriority : Integer
  read GetSizePriority
  write SetSizePriority
  stored IsSizePriorityStored;


TGridColumn.StoredWidth

Declaration

Source position: grids.pas line 588

public property TGridColumn.StoredWidth : Integer
  read GetStoredWidth;


TGridColumn.Tag

Declaration

Source position: grids.pas line 604

published property TGridColumn.Tag : PtrInt
  read FTag
  write FTag
  default 0;


TGridColumn.Title

The Title for the column

Declaration

Source position: grids.pas line 605

published property TGridColumn.Title : TGridColumnTitle
  read FTitle
  write SetTitle;


TGridColumn.ValueChecked

ValueChecked - a string value of a checked item

Declaration

Source position: grids.pas line 608

published property TGridColumn.ValueChecked : string
  read GetValueChecked
  write SetValueChecked
  stored IsValueCheckedStored;


TGridColumn.ValueUnchecked

ValueUnchecked - a string value of an unchecked item

Declaration

Source position: grids.pas line 610

published property TGridColumn.ValueUnchecked : string
  read GetValueUnchecked
  write SetValueUnchecked
  stored IsValueUncheckedStored;


TGridColumn.Visible

Visible - if True, the column can be seen (ie not hidden)

Declaration

Source position: grids.pas line 607

published property TGridColumn.Visible : Boolean
  read GetVisible
  write SetVisible
  stored IsVisibleStored;


TGridColumn.Width

The Width of the column

Declaration

Source position: grids.pas line 606

published property TGridColumn.Width : Integer
  read GetWidth
  write SetWidth
  stored IsWidthStored;


TGridColumn.WidthChanged

WidthChanged - if True, width has been changed

Declaration

Source position: grids.pas line 589

public property TGridColumn.WidthChanged : Boolean
  read FWidthChanged;


TGridColumns

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

TGridColumns - the group of columns in the grid

Declaration

Source position: grids.pas line 624

type TGridColumns = class(TCollection)
protected
function GetOwner; override;
procedure Update(); override; |
procedure TitleFontChanged; | TitleFontChanged - method to deal with a change in title font
procedure FontChanged; | FontChanged - method to deal with a change in font for the columns
procedure RemoveColumn(); | RemoveColumn - method to remove the specified column
procedure MoveColumn(); virtual; | MoveColumn from the first index to the second
procedure ExchangeColumn(); | ExchangeColumn - exchange the position of the current column with the specified other column
procedure InsertColumn(); | InsertColumn with the specified index
public
constructor Create(); | Create - constructor for TGridColumns: calls inherited Create then loads the grid
function Add; |
procedure Clear; |
function RealIndex(); | RealIndex - the proper index for this column
function IndexOf(); | IndexOf this column
function IsDefault; | IsDefault returns True if this is the default column
function HasIndex(); | HasIndex - returns True if the current column has an index value
function VisibleIndex(); | VisibleIndex - the index value of a visible column
property Grid: TCustomGrid; [r] | The Grid to which the current collection of columns belongs
property Items []: TGridColumn; default; [rw] | Items - the list of columns in this collection
property VisibleCount: Integer; [r] | VisibleCount - the number of visible columns
property Enabled: Boolean; [r] | If True, the columns are Enabled
end;

Inheritance

TGridColumns

TGridColumns - the group of columns in the grid
|

TCollection
|

TPersistent,IFPObserved
|

TObject


TGridColumns
 | ro | Grid
 |  | Items
 | ro | VisibleCount
 | ro | Enabled
TCollection
 |  | PropName
 | ro | UpdateCount
 | ro | Count
 | ro | ItemClass
 |  | Items
TPersistent
TObject


ro | Count (TCollection)
ro | Enabled (TGridColumns)
ro | Grid (TGridColumns)
ro | ItemClass (TCollection)
 | Items (TCollection)
 | Items (TGridColumns)
 | PropName (TCollection)
ro | UpdateCount (TCollection)
ro | VisibleCount (TGridColumns)


TGridColumns
pt | GetOwner
pt | Update
pt | TitleFontChanged
pt | FontChanged
pt | RemoveColumn
pt | MoveColumn
pt | ExchangeColumn
pt | InsertColumn
 | Create
 | Add
 | Clear
 | RealIndex
 | IndexOf
 | IsDefault
 | HasIndex
 | VisibleIndex
TCollection
 | GetCount
 | GetPropName
 | InsertItem
 | RemoveItem
 | DoClear
 | GetAttrCount
 | GetAttr
 | GetItemAttr
 | Changed
 | GetItem
 | SetItem
 | SetItemName
 | SetPropName
 | Update
 | Notify
 | Create
 | Destroy
 | Owner
 | Add
 | Assign
 | BeginUpdate
 | Clear
 | EndUpdate
 | Delete
 | GetEnumerator
 | GetNamePath
 | Insert
 | FindItemID
 | Exchange
 | Sort
TPersistent
 | AssignError
 | AssignTo
 | DefineProperties
 | GetOwner
 | Destroy
 | Assign
 | FPOAttachObserver
 | FPODetachObserver
 | FPONotifyObservers
 | GetNamePath
TObject
 | Create
 | Destroy
 | newinstance
 | FreeInstance
 | SafeCallException
 | DefaultHandler
 | Free
 | InitInstance
 | CleanupInstance
 | ClassType
 | ClassInfo
 | ClassName
 | ClassNameIs
 | ClassParent
 | InstanceSize
 | InheritsFrom
 | StringMessageTable
 | MethodAddress
 | MethodName
 | FieldAddress
 | AfterConstruction
 | BeforeDestruction
 | DefaultHandlerStr
 | Dispatch
 | DispatchStr
 | GetInterface
 | GetInterfaceByStr
 | GetInterfaceWeak
 | GetInterfaceEntry
 | GetInterfaceEntryByStr
 | GetInterfaceTable
 | UnitName
 | Equals
 | GetHashCode
 | ToString


 | Add (TCollection)
 | Add (TGridColumns)
 | AfterConstruction (TObject)
 | Assign (TPersistent)
 | Assign (TCollection)
 | AssignError (TPersistent)
 | AssignTo (TPersistent)
 | BeforeDestruction (TObject)
 | BeginUpdate (TCollection)
 | Changed (TCollection)
 | ClassInfo (TObject)
 | ClassName (TObject)
 | ClassNameIs (TObject)
 | ClassParent (TObject)
 | ClassType (TObject)
 | CleanupInstance (TObject)
 | Clear (TCollection)
 | Clear (TGridColumns)
 | Create (TObject)
 | Create (TCollection)
 | Create (TGridColumns)
 | DefaultHandler (TObject)
 | DefaultHandlerStr (TObject)
 | DefineProperties (TPersistent)
 | Delete (TCollection)
 | Destroy (TObject)
 | Destroy (TPersistent)
 | Destroy (TCollection)
 | Dispatch (TObject)
 | DispatchStr (TObject)
 | DoClear (TCollection)
 | EndUpdate (TCollection)
 | Equals (TObject)
 | Exchange (TCollection)
pt | ExchangeColumn (TGridColumns)
 | FieldAddress (TObject)
 | FindItemID (TCollection)
pt | FontChanged (TGridColumns)
 | FPOAttachObserver (TPersistent)
 | FPODetachObserver (TPersistent)
 | FPONotifyObservers (TPersistent)
 | Free (TObject)
 | FreeInstance (TObject)
 | GetAttr (TCollection)
 | GetAttrCount (TCollection)
 | GetCount (TCollection)
 | GetEnumerator (TCollection)
 | GetHashCode (TObject)
 | GetInterface (TObject)
 | GetInterfaceByStr (TObject)
 | GetInterfaceEntry (TObject)
 | GetInterfaceEntryByStr (TObject)
 | GetInterfaceTable (TObject)
 | GetInterfaceWeak (TObject)
 | GetItem (TCollection)
 | GetItemAttr (TCollection)
 | GetNamePath (TPersistent)
 | GetNamePath (TCollection)
 | GetOwner (TPersistent)
pt | GetOwner (TGridColumns)
 | GetPropName (TCollection)
 | HasIndex (TGridColumns)
 | IndexOf (TGridColumns)
 | InheritsFrom (TObject)
 | InitInstance (TObject)
 | Insert (TCollection)
pt | InsertColumn (TGridColumns)
 | InsertItem (TCollection)
 | InstanceSize (TObject)
 | IsDefault (TGridColumns)
 | MethodAddress (TObject)
 | MethodName (TObject)
pt | MoveColumn (TGridColumns)
 | newinstance (TObject)
 | Notify (TCollection)
 | Owner (TCollection)
 | RealIndex (TGridColumns)
pt | RemoveColumn (TGridColumns)
 | RemoveItem (TCollection)
 | SafeCallException (TObject)
 | SetItem (TCollection)
 | SetItemName (TCollection)
 | SetPropName (TCollection)
 | Sort (TCollection)
 | StringMessageTable (TObject)
pt | TitleFontChanged (TGridColumns)
 | ToString (TObject)
 | UnitName (TObject)
 | Update (TCollection)
pt | Update (TGridColumns)
 | VisibleIndex (TGridColumns)


TGridColumns

TCollection

TPersistent

TObject


TGridColumns.Create

Create - constructor for TGridColumns: calls inherited Create then loads the grid

Declaration

Source position: grids.pas line 641

public constructor TGridColumns.Create(

  AGrid: TCustomGrid;

  aItemClass: TCollectionItemClass

);

See also

TCollection.Create


TGridColumns.Enabled

If True, the columns are Enabled

Declaration

Source position: grids.pas line 652

public property TGridColumns.Enabled : Boolean
  read GetEnabled;


TGridColumns.ExchangeColumn

ExchangeColumn - exchange the position of the current column with the specified other column

Declaration

Source position: grids.pas line 638

protected procedure TGridColumns.ExchangeColumn(

  Index: Integer;

  WithIndex: Integer

);


TGridColumns.FontChanged

FontChanged - method to deal with a change in font for the columns

Declaration

Source position: grids.pas line 635

protected procedure TGridColumns.FontChanged;


TGridColumns.GetOwner

Declaration

Source position: grids.pas line 632

protected function TGridColumns.GetOwner: TPersistent; override;


TGridColumns.Grid

The Grid to which the current collection of columns belongs

Declaration

Source position: grids.pas line 649

public property TGridColumns.Grid : TCustomGrid
  read FGrid;


TGridColumns.HasIndex

HasIndex - returns True if the current column has an index value

Declaration

Source position: grids.pas line 647

public function TGridColumns.HasIndex(

  Index: Integer

):Boolean;


TGridColumns.IndexOf

IndexOf this column

Declaration

Source position: grids.pas line 645

public function TGridColumns.IndexOf(

  Column: TGridColumn

):Integer;


TGridColumns.InsertColumn

InsertColumn with the specified index

Declaration

Source position: grids.pas line 639

protected procedure TGridColumns.InsertColumn(

  Index: Integer

);


TGridColumns.IsDefault

IsDefault returns True if this is the default column

Declaration

Source position: grids.pas line 646

public function TGridColumns.IsDefault: Boolean;


TGridColumns.Items

Items - the list of columns in this collection

Declaration

Source position: grids.pas line 650

public property TGridColumns.Items[Index: Integer] : TGridColumn
  read GetColumn
  write SetColumn;
  default;


TGridColumns.MoveColumn

MoveColumn from the first index to the second

Declaration

Source position: grids.pas line 637

protected procedure TGridColumns.MoveColumn(

  FromIndex: Integer;

  ToIndex: Integer

); virtual;


TGridColumns.RealIndex

RealIndex - the proper index for this column

Declaration

Source position: grids.pas line 644

public function TGridColumns.RealIndex(

  Index: Integer

):Integer;

Description

Real in this sense means proper or correct, not a Real number (as it is specified as an integer)


TGridColumns.RemoveColumn

RemoveColumn - method to remove the specified column

Declaration

Source position: grids.pas line 636

protected procedure TGridColumns.RemoveColumn(

  Index: Integer

);


TGridColumns.TitleFontChanged

TitleFontChanged - method to deal with a change in title font

Declaration

Source position: grids.pas line 634

protected procedure TGridColumns.TitleFontChanged;


TGridColumns.VisibleCount

VisibleCount - the number of visible columns

Declaration

Source position: grids.pas line 651

public property TGridColumns.VisibleCount : Integer
  read GetVisibleCount;


TGridColumns.VisibleIndex

VisibleIndex - the index value of a visible column

Declaration

Source position: grids.pas line 648

public function TGridColumns.VisibleIndex(

  Index: Integer

):Integer;


TGridColumnTitle

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

TGridColumnTitle - the title for a column in a grid

Declaration

Source position: grids.pas line 433

type TGridColumnTitle = class(TPersistent)
protected
function GetDefaultCaption; virtual; | GetDefaultCaption - returns th e default caption for this column
function GetDefaultAlignment; | GetDefaultAlignment - returns the default alignment
function GetDefaultColor; | GetDefaultColor - returns the default colour
function GetDefaultLayout; | GetDefaultLayout - returns the default layout
function GetOwner; override;
function GetCaption; |
procedure SetCaption(); virtual; | SetCaption - specifies the caption to use (rather than using default)
procedure DefineProperties(); override;
public
constructor Create(); virtual; | Create - constructor for TGridColumnTitle: calls inherited Create then links the column, creates and configures the default font
destructor Destroy; override; | Destroy - destructor for TGridColumnTitle: frees forn, disconnects alignments, disposes of captions and colours then calls inherited Destroy
procedure Assign(); override; |
procedure FillTitleDefaultFont; | FillTitleDefaultFont - use the default font for the whole of the title
function IsDefault; | IsDefault - returns True if this is the default title
property Column: TGridColumn; [r] | The Column to which the title applies
published
property Alignment: TAlignment; [rws] | The Alignment (whether justified or centred) for this title
property Caption: TCaption; [rws] | The Caption for this title
property Color: TColor; [rws] | The Color to use for this title
property Font: TFont; [rws] | The Font for this title
property ImageIndex: TImageIndex; [rw] | ImageIndex - the index for any image to be used in the title (default=0, ie no image)
property ImageLayout: TButtonLayout; [rw] | ImageLayout - the layout to use for any image in the title
property Layout: TTextLayout; [rws] | The Layout for the text of the title
property MultiLine: Boolean; [rw]
property PrefixOption: TPrefixOption; [rw]
end;

Inheritance

TGridColumnTitle

TGridColumnTitle - the title for a column in a grid
|

TPersistent,IFPObserved
|

TObject

Description

TGridColumnTitle - the title for a column in a grid

The actual title is held in Caption

Column refers to the Grid Column to which the Title is attached


TGridColumnTitle
 | ro | Column
pl |  | Alignment
pl |  | Caption
pl |  | Color
pl |  | Font
pl |  | ImageIndex
pl |  | ImageLayout
pl |  | Layout
pl |  | MultiLine
pl |  | PrefixOption
TPersistent
TObject


TGridColumnTitle
pt | GetDefaultCaption
pt | GetDefaultAlignment
pt | GetDefaultColor
pt | GetDefaultLayout
pt | GetOwner
pt | GetCaption
pt | SetCaption
pt | DefineProperties
 | Create
 | Destroy
 | Assign
 | FillTitleDefaultFont
 | IsDefault
TPersistent
 | AssignError
 | AssignTo
 | DefineProperties
 | GetOwner
 | Destroy
 | Assign
 | FPOAttachObserver
 | FPODetachObserver
 | FPONotifyObservers
 | GetNamePath
TObject
 | Create
 | Destroy
 | newinstance
 | FreeInstance
 | SafeCallException
 | DefaultHandler
 | Free
 | InitInstance
 | CleanupInstance
 | ClassType
 | ClassInfo
 | ClassName
 | ClassNameIs
 | ClassParent
 | InstanceSize
 | InheritsFrom
 | StringMessageTable
 | MethodAddress
 | MethodName
 | FieldAddress
 | AfterConstruction
 | BeforeDestruction
 | DefaultHandlerStr
 | Dispatch
 | DispatchStr
 | GetInterface
 | GetInterfaceByStr
 | GetInterfaceWeak
 | GetInterfaceEntry
 | GetInterfaceEntryByStr
 | GetInterfaceTable
 | UnitName
 | Equals
 | GetHashCode
 | ToString


 | AssignError (TPersistent)
 | AssignTo (TPersistent)
 | BeforeDestruction (TObject)
 | ClassInfo (TObject)
 | ClassName (TObject)
 | ClassNameIs (TObject)
 | ClassParent (TObject)
 | ClassType (TObject)
 | CleanupInstance (TObject)
 | Create (TObject)
 | Create (TGridColumnTitle)
 | DefaultHandler (TObject)
 | DefaultHandlerStr (TObject)
 | DefineProperties (TPersistent)
pt | DefineProperties (TGridColumnTitle)
 | Destroy (TObject)
 | Destroy (TPersistent)
 | Destroy (TGridColumnTitle)
 | Dispatch (TObject)
 | DispatchStr (TObject)
 | Equals (TObject)
 | FieldAddress (TObject)
 | FillTitleDefaultFont (TGridColumnTitle)
 | FPOAttachObserver (TPersistent)
 | FPODetachObserver (TPersistent)
 | FPONotifyObservers (TPersistent)
 | Free (TObject)
 | FreeInstance (TObject)
pt | GetCaption (TGridColumnTitle)
pt | GetDefaultAlignment (TGridColumnTitle)
pt | GetDefaultCaption (TGridColumnTitle)
pt | GetDefaultColor (TGridColumnTitle)
pt | GetDefaultLayout (TGridColumnTitle)
 | GetHashCode (TObject)
 | GetInterface (TObject)
 | GetInterfaceByStr (TObject)
 | GetInterfaceEntry (TObject)
 | GetInterfaceEntryByStr (TObject)
 | GetInterfaceTable (TObject)
 | GetInterfaceWeak (TObject)
 | GetNamePath (TPersistent)
 | GetOwner (TPersistent)
pt | GetOwner (TGridColumnTitle)
 | InheritsFrom (TObject)
 | InitInstance (TObject)
 | InstanceSize (TObject)
 | IsDefault (TGridColumnTitle)
 | MethodAddress (TObject)
 | MethodName (TObject)
 | newinstance (TObject)
 | SafeCallException (TObject)
pt | SetCaption (TGridColumnTitle)
 | StringMessageTable (TObject)
 | ToString (TObject)
 | UnitName (TObject)


TGridColumnTitle

TPersistent

TObject


TGridColumnTitle.Alignment

The Alignment (whether justified or centred) for this title

Declaration

Source position: grids.pas line 485

published property TGridColumnTitle.Alignment : TAlignment
  read GetAlignment
  write SetAlignment
  stored IsAlignmentStored;


TGridColumnTitle.Caption

The Caption for this title

Declaration

Source position: grids.pas line 486

published property TGridColumnTitle.Caption : TCaption
  read GetCaption
  write SetCaption
  stored IsCaptionStored;


TGridColumnTitle.Color

The Color to use for this title

Declaration

Source position: grids.pas line 487

published property TGridColumnTitle.Color : TColor
  read GetColor
  write SetColor
  stored IsColorStored;


TGridColumnTitle.Column

The Column to which the title applies

Declaration

Source position: grids.pas line 483

public property TGridColumnTitle.Column : TGridColumn
  read FColumn;


TGridColumnTitle.Create

Create - constructor for TGridColumnTitle: calls inherited Create then links the column, creates and configures the default font

Declaration

Source position: grids.pas line 478

public constructor TGridColumnTitle.Create(

  TheColumn: TGridColumn

); virtual;

See also

TObject.Create


TGridColumnTitle.DefineProperties

Declaration

Source position: grids.pas line 476

protected procedure TGridColumnTitle.DefineProperties(

  Filer: TFiler

); override;


TGridColumnTitle.Destroy

Destroy - destructor for TGridColumnTitle: frees forn, disconnects alignments, disposes of captions and colours then calls inherited Destroy

Declaration

Source position: grids.pas line 479

public destructor TGridColumnTitle.Destroy; override;

See also

TPersistent.Destroy


TGridColumnTitle.FillTitleDefaultFont

FillTitleDefaultFont - use the default font for the whole of the title

Declaration

Source position: grids.pas line 481

public procedure TGridColumnTitle.FillTitleDefaultFont;


TGridColumnTitle.Font

The Font for this title

Declaration

Source position: grids.pas line 488

published property TGridColumnTitle.Font : TFont
  read GetFont
  write SetFont
  stored IsFontStored;


TGridColumnTitle.GetCaption

Declaration

Source position: grids.pas line 474

protected function TGridColumnTitle.GetCaption: TCaption;


TGridColumnTitle.GetDefaultAlignment

GetDefaultAlignment - returns the default alignment

Declaration

Source position: grids.pas line 470

protected function TGridColumnTitle.GetDefaultAlignment: TAlignment;


TGridColumnTitle.GetDefaultCaption

GetDefaultCaption - returns th e default caption for this column

Declaration

Source position: grids.pas line 469

protected function TGridColumnTitle.GetDefaultCaption: string; virtual;


TGridColumnTitle.GetDefaultColor

GetDefaultColor - returns the default colour

Declaration

Source position: grids.pas line 471

protected function TGridColumnTitle.GetDefaultColor: TColor;


TGridColumnTitle.GetDefaultLayout

GetDefaultLayout - returns the default layout

Declaration

Source position: grids.pas line 472

protected function TGridColumnTitle.GetDefaultLayout: TTextLayout;


TGridColumnTitle.GetOwner

Declaration

Source position: grids.pas line 473

protected function TGridColumnTitle.GetOwner: TPersistent; override;


TGridColumnTitle.ImageIndex

ImageIndex - the index for any image to be used in the title (default=0, ie no image)

Declaration

Source position: grids.pas line 489

published property TGridColumnTitle.ImageIndex : TImageIndex
  read FImageIndex
  write SetImageIndex
  default - 1;


TGridColumnTitle.ImageLayout

ImageLayout - the layout to use for any image in the title

Declaration

Source position: grids.pas line 490

published property TGridColumnTitle.ImageLayout : TButtonLayout
  read FImageLayout
  write SetImageLayout
  default blGlyphRight;


TGridColumnTitle.IsDefault

IsDefault - returns True if this is the default title

Declaration

Source position: grids.pas line 482

public function TGridColumnTitle.IsDefault: Boolean;


TGridColumnTitle.Layout

The Layout for the text of the title

Declaration

Source position: grids.pas line 491

published property TGridColumnTitle.Layout : TTextLayout
  read GetLayout
  write SetLayout
  stored IsLayoutStored;


TGridColumnTitle.MultiLine

Declaration

Source position: grids.pas line 492

published property TGridColumnTitle.MultiLine : Boolean
  read FMultiLine
  write SetMultiLine
  default False;


TGridColumnTitle.PrefixOption

Declaration

Source position: grids.pas line 493

published property TGridColumnTitle.PrefixOption : TPrefixOption
  read FPrefixOption
  write SetPrefixOption
  default poNone;


TGridColumnTitle.SetCaption

SetCaption - specifies the caption to use (rather than using default)

Declaration

Source position: grids.pas line 475

protected procedure TGridColumnTitle.SetCaption(

  const AValue: TCaption

); virtual;


TPickListCellEditor

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

TPickListCellEditor - the editor for a picklist cell in a grid

Declaration

Source position: grids.pas line 273

type TPickListCellEditor = class(TCustomComboBox)
protected
procedure WndProc(); override; | The general message handler for this control.
procedure KeyDown(); override; | Invokes the OnKeyDown handler.
procedure DropDown; override; | Invokes the OnDropDown handler.
procedure CloseUp; override; | Called whenever the list hides.
procedure Select; override; | Invokes the OnSelect handler.
procedure Change; override;
procedure msg_GetValue(); message; | msg_GetValue - issues a message to find the value
procedure msg_SetGrid(); message; | msg_SetGrid - issues a message to specify the grid
procedure msg_SetValue(); message; | msg_SetValue - issues a message to specify the value
procedure msg_SetPos(); message; | msg_SetPos - issues a message to specify the position
procedure msg_GetGrid(); message;
public
procedure EditingDone; override; | Invokes the OnEditingDone event handler.
property BorderStyle: TBorderStyle; | Allows to show a border (line) around the control,
property OnEditingDone: TNotifyEvent;
end;

Inheritance

TPickListCellEditor | TPickListCellEditor - the editor for a picklist cell in a grid
|
TCustomComboBox | The base class for ComboBox components.
|
TWinControl | The base class for controls which can contain other (child) controls.
|
TControl | The base class for visible controls.
|
TLCLComponent | The base class for LCL components associated with widgets.
|
TComponent,IUnknown,IInterfaceComponentReference
|
TPersistent,IFPObserved
|
TObject


TPickListCellEditor
 | ro | BorderStyle
TCustomComboBox
pt |  | ItemHeight
pt |  | ItemWidth
pt |  | MaxLength
pt | ro | ParentColor
pt |  | Sorted
 |  | CharCase
 |  | DroppedDown
 |  | DroppingDown
 |  | AutoComplete
 |  | AutoCompleteText
 |  | AutoDropDown
 |  | AutoSelect
 |  | AutoSelected
 | ro | AutoSize
 |  | ArrowKeysTraverseList
 | ro | Canvas
 |  | DropDownCount
 |  | Items
 |  | ItemIndex
 |  | ReadOnly
 |  | SelLength
 |  | SelStart
 |  | SelText
 |  | Style
 | ro | TabStop
 | ro | Text
TWinControl
pt |  | WindowHandle
pt |  | BorderStyle
pt |  | ParentBackground
 |  | BorderWidth
 | ro | BoundsLockCount
 | ro | Brush
 | ro | CachedClientHeight
 | ro | CachedClientWidth
 |  | ChildSizing
 | ro | ControlCount
 | ro | Controls
 |  | DefWndProc
 | ro | DockClientCount
 | ro | DockClients
 |  | DockManager
 |  | DockSite
 |  | DoubleBuffered
 |  | Handle
 | ro | IsFlipped
 | ro | IsResizing
 |  | TabOrder
 |  | TabStop
 |  | ParentDoubleBuffered
 |  | ParentWindow
 | ro | Showing
 |  | UseDockManager
 |  | DesignerDeleting
 | ro | VisibleDockClientCount
TControl
pt | ro | AutoSizing
pt | ro | AutoSizingAll
pt | ro | AutoSizingLockCount
pt |  | ActionLink
pt |  | DesktopFont
pt |  | DragCursor
pt |  | DragKind
pt |  | DragMode
pt |  | MouseCapture
pt |  | ParentColor
pt |  | ParentFont
pt |  | ParentShowHint
pt |  | SessionProperties
pt |  | Text
 | ro | AnchoredControls
 | ro | BaseBounds
 | ro | ReadBounds
 | ro | BaseParentClientSize
 |  | AccessibleDescription
 |  | AccessibleValue
 |  | AccessibleRole
 |  | Action
 |  | Align
 |  | Anchors
 | ro | AnchorSide
 |  | AutoSize
 |  | BorderSpacing
 |  | BoundsRect
 |  | BoundsRectForNewParent
 |  | Caption
 |  | CaptureMouseButtons
 |  | ClientHeight
 | ro | ClientOrigin
 | ro | ClientRect
 |  | ClientWidth
 |  | Color
 |  | Constraints
 | ro | ControlOrigin
 |  | ControlState
 |  | ControlStyle
 |  | Enabled
 |  | Font
 |  | IsControl
 | ro | MouseEntered
 | ro | MouseInClient
 |  | Parent
 |  | PopupMenu
 |  | ShowHint
 |  | Visible
 |  | WindowProc
 |  | DockOrientation
 | ro | Floating
 |  | FloatingDockSiteClass
 |  | HostDockSite
 |  | LRDockWidth
 |  | TBDockHeight
 |  | UndockHeight
 |  | UndockWidth
 |  | BiDiMode
 |  | ParentBiDiMode
pl |  | AnchorSideLeft
pl |  | AnchorSideTop
pl |  | AnchorSideRight
pl |  | AnchorSideBottom
pl |  | Cursor
pl |  | Left
pl |  | Height
pl |  | Hint
pl |  | Top
pl |  | Width
pl |  | HelpType
pl |  | HelpKeyword
pl |  | HelpContext
TLCLComponent
 | ro | LCLRefCount
 | ro | WidgetSetClass
TComponent
 | ro | ComObject
 | ro | Components
 | ro | ComponentCount
 |  | ComponentIndex
 | ro | ComponentState
 | ro | ComponentStyle
 |  | DesignInfo
 | ro | Owner
 |  | VCLComObject
 |  | Name
 |  | Tag
TPersistent
TObject


 |  | AccessibleDescription (TControl)
 |  | AccessibleRole (TControl)
 |  | AccessibleValue (TControl)
 |  | Action (TControl)
pt |  | ActionLink (TControl)
 |  | Align (TControl)
 | ro | AnchoredControls (TControl)
 |  | Anchors (TControl)
 | ro | AnchorSide (TControl)
pl |  | AnchorSideBottom (TControl)
pl |  | AnchorSideLeft (TControl)
pl |  | AnchorSideRight (TControl)
pl |  | AnchorSideTop (TControl)
 |  | ArrowKeysTraverseList (TCustomComboBox)
 |  | AutoComplete (TCustomComboBox)
 |  | AutoCompleteText (TCustomComboBox)
 |  | AutoDropDown (TCustomComboBox)
 |  | AutoSelect (TCustomComboBox)
 |  | AutoSelected (TCustomComboBox)
 |  | AutoSize (TControl)
 | ro | AutoSize (TCustomComboBox)
pt | ro | AutoSizing (TControl)
pt | ro | AutoSizingAll (TControl)
pt | ro | AutoSizingLockCount (TControl)
 | ro | BaseBounds (TControl)
 | ro | BaseParentClientSize (TControl)
 |  | BiDiMode (TControl)
 |  | BorderSpacing (TControl)
pt |  | BorderStyle (TWinControl)
 | ro | BorderStyle (TPickListCellEditor)
 |  | BorderWidth (TWinControl)
 | ro | BoundsLockCount (TWinControl)
 |  | BoundsRect (TControl)
 |  | BoundsRectForNewParent (TControl)
 | ro | Brush (TWinControl)
 | ro | CachedClientHeight (TWinControl)
 | ro | CachedClientWidth (TWinControl)
 | ro | Canvas (TCustomComboBox)
 |  | Caption (TControl)
 |  | CaptureMouseButtons (TControl)
 |  | CharCase (TCustomComboBox)
 |  | ChildSizing (TWinControl)
 |  | ClientHeight (TControl)
 | ro | ClientOrigin (TControl)
 | ro | ClientRect (TControl)
 |  | ClientWidth (TControl)
 |  | Color (TControl)
 | ro | ComObject (TComponent)
 | ro | ComponentCount (TComponent)
 |  | ComponentIndex (TComponent)
 | ro | Components (TComponent)
 | ro | ComponentState (TComponent)
 | ro | ComponentStyle (TComponent)
 |  | Constraints (TControl)
 | ro | ControlCount (TWinControl)
 | ro | ControlOrigin (TControl)
 | ro | Controls (TWinControl)
 |  | ControlState (TControl)
 |  | ControlStyle (TControl)
pl |  | Cursor (TControl)
 |  | DefWndProc (TWinControl)
 |  | DesignerDeleting (TWinControl)
 |  | DesignInfo (TComponent)
pt |  | DesktopFont (TControl)
 | ro | DockClientCount (TWinControl)
 | ro | DockClients (TWinControl)
 |  | DockManager (TWinControl)
 |  | DockOrientation (TControl)
 |  | DockSite (TWinControl)
 |  | DoubleBuffered (TWinControl)
pt |  | DragCursor (TControl)
pt |  | DragKind (TControl)
pt |  | DragMode (TControl)
 |  | DropDownCount (TCustomComboBox)
 |  | DroppedDown (TCustomComboBox)
 |  | DroppingDown (TCustomComboBox)
 |  | Enabled (TControl)
 | ro | Floating (TControl)
 |  | FloatingDockSiteClass (TControl)
 |  | Font (TControl)
 |  | Handle (TWinControl)
pl |  | Height (TControl)
pl |  | HelpContext (TControl)
pl |  | HelpKeyword (TControl)
pl |  | HelpType (TControl)
pl |  | Hint (TControl)
 |  | HostDockSite (TControl)
 |  | IsControl (TControl)
 | ro | IsFlipped (TWinControl)
 | ro | IsResizing (TWinControl)
pt |  | ItemHeight (TCustomComboBox)
 |  | ItemIndex (TCustomComboBox)
 |  | Items (TCustomComboBox)
pt |  | ItemWidth (TCustomComboBox)
 | ro | LCLRefCount (TLCLComponent)
pl |  | Left (TControl)
 |  | LRDockWidth (TControl)
pt |  | MaxLength (TCustomComboBox)
pt |  | MouseCapture (TControl)
 | ro | MouseEntered (TControl)
 | ro | MouseInClient (TControl)
 |  | Name (TComponent)
 | ro | Owner (TComponent)
 |  | Parent (TControl)
pt |  | ParentBackground (TWinControl)
 |  | ParentBiDiMode (TControl)
pt |  | ParentColor (TControl)
pt | ro | ParentColor (TCustomComboBox)
 |  | ParentDoubleBuffered (TWinControl)
pt |  | ParentFont (TControl)
pt |  | ParentShowHint (TControl)
 |  | ParentWindow (TWinControl)
 |  | PopupMenu (TControl)
 | ro | ReadBounds (TControl)
 |  | ReadOnly (TCustomComboBox)
 |  | SelLength (TCustomComboBox)
 |  | SelStart (TCustomComboBox)
 |  | SelText (TCustomComboBox)
pt |  | SessionProperties (TControl)
 |  | ShowHint (TControl)
 | ro | Showing (TWinControl)
pt |  | Sorted (TCustomComboBox)
 |  | Style (TCustomComboBox)
 |  | TabOrder (TWinControl)
 |  | TabStop (TWinControl)
 | ro | TabStop (TCustomComboBox)
 |  | Tag (TComponent)
 |  | TBDockHeight (TControl)
pt |  | Text (TControl)
 | ro | Text (TCustomComboBox)
pl |  | Top (TControl)
 |  | UndockHeight (TControl)
 |  | UndockWidth (TControl)
 |  | UseDockManager (TWinControl)
 |  | VCLComObject (TComponent)
 |  | Visible (TControl)
 | ro | VisibleDockClientCount (TWinControl)
 | ro | WidgetSetClass (TLCLComponent)
pl |  | Width (TControl)
pt |  | WindowHandle (TWinControl)
 |  | WindowProc (TControl)


TPickListCellEditor
pt | WndProc
pt | KeyDown
pt | DropDown
pt | CloseUp
pt | Select
pt | Change
pt | msg_GetValue
pt | msg_SetGrid
pt | msg_SetValue
pt | msg_SetPos
pt | msg_GetGrid
 | EditingDone
TCustomComboBox
pt | WSRegisterClass
pt | CreateParams
pt | InitializeWnd
pt | DestroyWnd
pt | DoEnter
pt | DoExit
pt | DrawItem
pt | KeyUpAfterInterface
pt | MeasureItem
pt | GetControlClassDefaultSize
pt | LMChanged
pt | CMWantSpecialKey
pt | Change
pt | Select
pt | DropDown
pt | GetItems
pt | SetItems
pt | CloseUp
pt | AdjustDropDown
pt | DoAutoAdjustLayout
pt | GetItemCount
pt | GetItemHeight
pt | GetSelLength
pt | GetSelStart
pt | GetSelText
pt | GetItemIndex
pt | GetMaxLength
pt | SetDropDownCount
pt | SetDroppedDown
pt | SetItemHeight
pt | SetItemIndex
pt | SetMaxLength
pt | SetSelLength
pt | SetSelStart
pt | SetSelText
pt | SetSorted
pt | SetStyle
pt | RealSetText
pt | KeyDown
pt | KeyUp
pt | UTF8KeyPress
pt | MouseUp
pt | SelectItem
pt | ShouldAutoAdjust
 | Create
 | Destroy
 | IntfGetItems
 | AddItem
 | AddHistoryItem
 | Clear
 | ClearSelection
 | SelectAll
TWinControl
pt | WSRegisterClass
pt | AdjustClientRect
pt | GetAdjustedLogicalClientRect
pt | AlignControls
pt | CustomAlignInsertBefore
pt | CustomAlignPosition
pt | DoAlignChildControls
pt | DoChildSizingChange
pt | InvalidatePreferredChildSizes
pt | CanTab
pt | IsClientHeightStored
pt | IsClientWidthStored
pt | DoSendShowHideToInterface
pt | ControlsAligned
pt | DoSendBoundsToInterface
pt | RealizeBounds
pt | RealizeBoundsRecursive
pt | InvalidateBoundsRealized
pt | CreateSubClass
pt | DoConstraintsChange
pt | DoSetBounds
pt | DoAutoSize
pt | DoAllAutoSize
pt | AllAutoSized
pt | CalculatePreferredSize
pt | GetPreferredSizeClientFrame
pt | GetChildren
pt | ChildClassAllowed
pt | PaintControls
pt | PaintHandler
pt | PaintWindow
pt | CreateBrush
pt | ScaleControls
pt | ChangeScale
pt | CMBiDiModeChanged
pt | CMBorderChanged
pt | CMDoubleBufferedChanged
pt | CMEnabledChanged
pt | CMParentDoubleBufferedChanged
pt | CMShowingChanged
pt | CMShowHintChanged
pt | CMVisibleChanged
pt | CMEnter
pt | CMExit
pt | WMContextMenu
pt | WMEraseBkgnd
pt | WMNotify
pt | WMSetFocus
pt | WMKillFocus
pt | WMShowWindow
pt | WMEnter
pt | WMExit
pt | WMKeyDown
pt | WMSysKeyDown
pt | WMKeyUp
pt | WMSysKeyUp
pt | WMChar
pt | WMSysChar
pt | WMPaint
pt | WMDestroy
pt | WMMove
pt | WMSize
pt | WMWindowPosChanged
pt | CNKeyDown
pt | CNSysKeyDown
pt | CNKeyUp
pt | CNSysKeyUp
pt | CNChar
pt | DoDragMsg
pt | DoDockClientMsg
pt | DoUndockClientMsg
pt | DoAddDockClient
pt | DockOver
pt | DoDockOver
pt | DoRemoveDockClient
pt | DoUnDock
pt | GetSiteInfo
pt | GetParentHandle
pt | GetTopParentHandle
pt | ReloadDockedControl
pt | CreateDockManager
pt | SetDockManager
pt | DoFloatMsg
pt | DoGetDockCaption
pt | DoEnter
pt | DoExit
pt | DoKeyDownBeforeInterface
pt | DoRemainingKeyDown
pt | DoRemainingKeyUp
pt | DoKeyPress
pt | DoUTF8KeyPress
pt | DoKeyUpBeforeInterface
pt | ChildKey
pt | SendDialogChar
pt | DialogChar
pt | ControlKeyDown
pt | ControlKeyUp
pt | KeyDown
pt | KeyDownBeforeInterface
pt | KeyDownAfterInterface
pt | KeyPress
pt | KeyUp
pt | KeyUpBeforeInterface
pt | KeyUpAfterInterface
pt | UTF8KeyPress
pt | FindNextControl
pt | SelectFirst
pt | RealGetText
pt | GetBorderStyle
pt | GetClientOrigin
pt | GetClientRect
pt | GetControlOrigin
pt | GetDeviceContext
pt | GetParentBackground
pt | IsControlMouseMsg
pt | CreateHandle
pt | CreateParams
pt | CreateWnd
pt | DestroyHandle
pt | DestroyWnd
pt | DoFlipChildren
pt | FinalizeWnd
pt | FixupTabList
pt | FontChanged
pt | InitializeWnd
pt | Loaded
pt | FormEndUpdated
pt | MainWndProc
pt | ParentFormHandleInitialized
pt | ChildHandlesCreated
pt | GetMouseCapture
pt | RealSetText
pt | RemoveFocus
pt | SendMoveSizeMessages
pt | SetBorderStyle
pt | SetColor
pt | SetChildZPosition
pt | SetParentBackground
pt | ShowControl
pt | UpdateControlState
pt | UpdateShowing
pt | WndProc
pt | WSSetText
 | AutoSizePhases
 | AutoSizeDelayed
 | AutoSizeDelayedReport
 | AutoSizeDelayedHandle
 | BeginUpdateBounds
 | EndUpdateBounds
 | LockRealizeBounds
 | UnlockRealizeBounds
 | ControlAtPos
 | ContainsControl
 | DoAdjustClientRectChange
 | InvalidateClientRectCache
 | ClientRectNeedsInterfaceUpdate
 | SetBounds
 | GetChildrenRect
 | DisableAlign
 | EnableAlign
 | ReAlign
 | ScrollBy_WS
 | ScrollBy
 | WriteLayoutDebugReport
 | AutoAdjustLayout
 | Create
 | CreateParented
 | CreateParentedControl
 | Destroy
 | DockDrop
 | CanFocus
 | CanSetFocus
 | GetControlIndex
 | SetControlIndex
 | Focused
 | PerformTab
 | FindChildControl
 | SelectNext
 | SetTempCursor
 | BroadCast
 | NotifyControls
 | DefaultHandler
 | GetTextLen
 | Invalidate
 | AddControl
 | InsertControl
 | RemoveControl
 | GetEnumeratorControls
 | GetEnumeratorControlsReverse
 | Repaint
 | Update
 | SetFocus
 | FlipChildren
 | ScaleBy
 | GetDockCaption
 | UpdateDockCaption
 | GetTabOrderList
 | HandleAllocated
 | ParentHandlesAllocated
 | HandleNeeded
 | BrushCreated
 | EraseBackground
 | IntfUTF8KeyPress
 | IntfGetDropFilesTarget
 | PaintTo
 | SetShape
TControl
pt | WSRegisterClass
pt | GetCursor
pt | SetCursor
pt | SetVisible
pt | DoOnParentHandleDestruction
pt | DoAutoSize
pt | DoAllAutoSize
pt | BeginAutoSizing
pt | EndAutoSizing
pt | AnchorSideChanged
pt | ForeignAnchorSideChanged
pt | SetAlign
pt | SetAnchors
pt | SetAutoSize
pt | BoundsChanged
pt | CreateControlBorderSpacing
pt | DoConstraintsChange
pt | DoBorderSpacingChange
pt | IsBorderSpacingInnerBorderStored
pt | IsCaptionStored
pt | SendMoveSizeMessages
pt | ConstrainedResize
pt | CalculatePreferredSize
pt | DoOnResize
pt | DoOnChangeBounds
pt | CheckOnChangeBounds
pt | Resize
pt | RequestAlign
pt | UpdateAnchorRules
pt | ChangeBounds
pt | DoSetBounds
pt | ScaleConstraints
pt | ChangeScale
pt | CanAutoSize
pt | SetBiDiMode
pt | SetParentBiDiMode
pt | IsAParentAligning
pt | GetClientOrigin
pt | GetClientRect
pt | GetLogicalClientRect
pt | GetScrolledClientRect
pt | GetClientScrollOffset
pt | GetControlOrigin
pt | IsClientHeightStored
pt | IsClientWidthStored
pt | WidthIsAnchored
pt | HeightIsAnchored
pt | WMCancelMode
pt | WMContextMenu
pt | WMLButtonDown
pt | WMRButtonDown
pt | WMMButtonDown
pt | WMXButtonDown
pt | WMLButtonDBLCLK
pt | WMRButtonDBLCLK
pt | WMMButtonDBLCLK
pt | WMXButtonDBLCLK
pt | WMLButtonTripleCLK
pt | WMRButtonTripleCLK
pt | WMMButtonTripleCLK
pt | WMXButtonTripleCLK
pt | WMLButtonQuadCLK
pt | WMRButtonQuadCLK
pt | WMMButtonQuadCLK
pt | WMXButtonQuadCLK
pt | WMMouseMove
pt | WMLButtonUp
pt | WMRButtonUp
pt | WMMButtonUp
pt | WMXButtonUp
pt | WMMouseWheel
pt | WMMouseHWheel
pt | WMMove
pt | WMSize
pt | WMWindowPosChanged
pt | CMChanged
pt | LMCaptureChanged
pt | CMBiDiModeChanged
pt | CMSysFontChanged
pt | CMEnabledChanged
pt | CMHitTest
pt | CMMouseEnter
pt | CMMouseLeave
pt | CMHintShow
pt | CMParentBiDiModeChanged
pt | CMParentColorChanged
pt | CMParentFontChanged
pt | CMParentShowHintChanged
pt | CMVisibleChanged
pt | CMTextChanged
pt | CMCursorChanged
pt | CalculateDockSizes
pt | CreateFloatingDockSite
pt | GetDockEdge
pt | GetDragImages
pt | GetFloating
pt | GetFloatingDockSiteClass
pt | BeforeDragStart
pt | BeginAutoDrag
pt | DoFloatMsg
pt | DockTrackNoTarget
pt | DoDock
pt | DoDragMsg
pt | DoEndDock
pt | DoEndDrag
pt | DoStartDock
pt | DoStartDrag
pt | DragCanceled
pt | DragOver
pt | PositionDockRect
pt | SetDragMode
pt | GetDefaultDockCaption
pt | Click
pt | DblClick
pt | TripleClick
pt | QuadClick
pt | GetMousePosFromMessage
pt | MouseDown
pt | MouseMove
pt | MouseUp
pt | MouseEnter
pt | MouseLeave
pt | DialogChar
pt | UpdateMouseCursor
pt | Changed
pt | GetPalette
pt | ChildClassAllowed
pt | ReadState
pt | Loaded
pt | LoadedAll
pt | DefineProperties
pt | AssignTo
pt | FormEndUpdated
pt | InvalidateControl
pt | FontChanged
pt | ParentFontChanged
pt | GetAction
pt | RealGetText
pt | RealSetText
pt | TextChanged
pt | GetCachedText
pt | SetAction
pt | SetColor
pt | SetEnabled
pt | SetHint
pt | SetName
pt | SetParent
pt | SetParentComponent
pt | WndProc
pt | ParentFormHandleInitialized
pt | GetMouseCapture
pt | CaptureChanged
pt | Notification
pt | CanTab
pt | GetDeviceContext
pt | GetEnabled
pt | GetPopupMenu
pt | DoOnShowHint
pt | DoMouseWheel
pt | DoMouseWheelDown
pt | DoMouseWheelUp
pt | DoMouseWheelHorz
pt | DoMouseWheelLeft
pt | DoMouseWheelRight
pt | VisibleChanging
pt | VisibleChanged
pt | EnabledChanging
pt | EnabledChanged
pt | AddHandler
pt | RemoveHandler
pt | DoCallNotifyHandler
pt | DoCallKeyEventHandler
pt | DoCallMouseWheelEventHandler
pt | DoContextPopup
pt | SetZOrder
pt | GetControlClassDefaultSize
pt | ColorIsStored
pt | DoAutoAdjustLayout
pt | DoFixDesignFontPPI
pt | DoScaleFontPPI
pt | GetActionLinkClass
pt | ActionChange
 | DragDrop
 | Dock
 | ManualDock
 | ManualFloat
 | ReplaceDockedControl
 | Docked
 | Dragging
 | GetAccessibleObject
 | CreateAccessibleObject
 | GetSelectedChildAccessibleObject
 | GetChildAccessibleObjectAtPos
 | ScaleDesignToForm
 | ScaleFormToDesign
 | Scale96ToForm
 | ScaleFormTo96
 | Scale96ToFont
 | ScaleFontTo96
 | ScaleScreenToFont
 | ScaleFontToScreen
 | Scale96ToScreen
 | ScaleScreenTo96
 | AdjustSize
 | AutoSizePhases
 | AutoSizeDelayed
 | AutoSizeDelayedReport
 | AutoSizeDelayedHandle
 | AnchorToNeighbour
 | AnchorParallel
 | AnchorHorizontalCenterTo
 | AnchorVerticalCenterTo
 | AnchorToCompanion
 | AnchorSame
 | AnchorAsAlign
 | AnchorClient
 | AnchoredControlCount
 | SetBounds
 | SetInitialBounds
 | SetBoundsKeepBase
 | GetPreferredSize
 | GetCanvasScaleFactor
 | GetDefaultWidth
 | GetDefaultHeight
 | GetDefaultColor
 | GetColorResolvingParent
 | GetRGBColorResolvingParent
 | GetSidePosition
 | CNPreferredSizeChanged
 | InvalidatePreferredSize
 | GetAnchorsDependingOnParent
 | DisableAutoSizing
 | EnableAutoSizing
 | UpdateBaseBounds
 | WriteLayoutDebugReport
 | AutoAdjustLayout
 | ShouldAutoAdjust
 | FixDesignFontsPPI
 | ScaleFontsPPI
 | Create
 | Destroy
 | BeforeDestruction
 | EditingDone
 | ExecuteDefaultAction
 | ExecuteCancelAction
 | BeginDrag
 | EndDrag
 | BringToFront
 | HasParent
 | GetParentComponent
 | IsParentOf
 | GetTopParent
 | IsVisible
 | IsControlVisible
 | IsEnabled
 | IsParentColor
 | IsParentFont
 | FormIsUpdating
 | IsProcessingPaintMsg
 | Hide
 | Refresh
 | Repaint
 | Invalidate
 | CheckChildClassAllowed
 | CheckNewParent
 | SendToBack
 | SetTempCursor
 | UpdateRolesForForm
 | ActiveDefaultControlChanged
 | GetTextBuf
 | GetTextLen
 | SetTextBuf
 | Perform
 | ScreenToClient
 | ClientToScreen
 | ScreenToControl
 | ControlToScreen
 | ClientToParent
 | ParentToClient
 | GetChildrenRect
 | Show
 | Update
 | HandleObjectShouldBeVisible
 | ParentDestroyingHandle
 | ParentHandlesAllocated
 | InitiateAction
 | ShowHelp
 | HasHelp
 | RemoveAllHandlersOfObject
 | AddHandlerOnResize
 | RemoveHandlerOnResize
 | AddHandlerOnChangeBounds
 | RemoveHandlerOnChangeBounds
 | AddHandlerOnVisibleChanging
 | RemoveHandlerOnVisibleChanging
 | AddHandlerOnVisibleChanged
 | RemoveHandlerOnVisibleChanged
 | AddHandlerOnEnabledChanged
 | RemoveHandlerOnEnableChanging
 | AddHandlerOnKeyDown
 | RemoveHandlerOnKeyDown
 | AddHandlerOnBeforeDestruction
 | RemoveHandlerOnBeforeDestruction
 | AddHandlerOnMouseWheel
 | RemoveHandlerOnMouseWheel
 | UseRightToLeftAlignment
 | UseRightToLeftReading
 | UseRightToLeftScrollBar
 | IsRightToLeft
TLCLComponent
pt | WSRegisterClass
pt | GetWSComponentClass
 | Create
 | Destroy
 | NewInstance
 | RemoveAllHandlersOfObject
 | IncLCLRefCount
 | DecLCLRefCount
TComponent
 | GetComObject
 | GetComponent
 | GetComponentCount
 | GetComponentIndex
 | Insert
 | ReadLeft
 | ReadTop
 | Remove
 | RemoveNotification
 | SetComponentIndex
 | SetReference
 | WriteLeft
 | WriteTop
 | ChangeName
 | DefineProperties
 | GetChildren
 | GetChildOwner
 | GetChildParent
 | GetOwner
 | Loaded
 | Loading
 | Notification
 | PaletteCreated
 | ReadState
 | SetAncestor
 | SetDesigning
 | SetDesignInstance
 | SetInline
 | SetName
 | SetChildOrder
 | SetParentComponent
 | Updating
 | Updated
 | UpdateRegistry
 | ValidateRename
 | ValidateContainer
 | ValidateInsert
 | QueryInterface
 | _AddRef
 | _Release
 | iicrGetComponent
 | GetTypeInfoCount
 | GetTypeInfo
 | GetIDsOfNames
 | Invoke
 | WriteState
 | Create
 | Destroy
 | BeforeDestruction
 | DestroyComponents
 | Destroying
 | ExecuteAction
 | FindComponent
 | FreeNotification
 | RemoveFreeNotification
 | FreeOnRelease
 | GetEnumerator
 | GetNamePath
 | GetParentComponent
 | HasParent
 | InsertComponent
 | RemoveComponent
 | SafeCallException
 | SetSubComponent
 | UpdateAction
 | IsImplementorOf
 | ReferenceInterface
TPersistent
 | AssignError
 | AssignTo
 | DefineProperties
 | GetOwner
 | Destroy
 | Assign
 | FPOAttachObserver
 | FPODetachObserver
 | FPONotifyObservers
 | GetNamePath
TObject
 | Create
 | Destroy
 | newinstance
 | FreeInstance
 | SafeCallException
 | DefaultHandler
 | Free
 | InitInstance
 | CleanupInstance
 | ClassType
 | ClassInfo
 | ClassName
 | ClassNameIs
 | ClassParent
 | InstanceSize
 | InheritsFrom
 | StringMessageTable
 | MethodAddress
 | MethodName
 | FieldAddress
 | AfterConstruction
 | BeforeDestruction
 | DefaultHandlerStr
 | Dispatch
 | DispatchStr
 | GetInterface
 | GetInterfaceByStr
 | GetInterfaceWeak
 | GetInterfaceEntry
 | GetInterfaceEntryByStr
 | GetInterfaceTable
 | UnitName
 | Equals
 | GetHashCode
 | ToString


pt | ActionChange (TControl)
 | ActiveDefaultControlChanged (TControl)
 | AddControl (TWinControl)
pt | AddHandler (TControl)
 | AddHandlerOnBeforeDestruction (TControl)
 | AddHandlerOnChangeBounds (TControl)
 | AddHandlerOnEnabledChanged (TControl)
 | AddHandlerOnKeyDown (TControl)
 | AddHandlerOnMouseWheel (TControl)
 | AddHandlerOnResize (TControl)
 | AddHandlerOnVisibleChanged (TControl)
 | AddHandlerOnVisibleChanging (TControl)
 | AddHistoryItem (TCustomComboBox)
 | AddItem (TCustomComboBox)
pt | AdjustClientRect (TWinControl)
pt | AdjustDropDown (TCustomComboBox)
 | AdjustSize (TControl)
 | AfterConstruction (TObject)
pt | AlignControls (TWinControl)
pt | AllAutoSized (TWinControl)
 | AnchorAsAlign (TControl)
 | AnchorClient (TControl)
 | AnchoredControlCount (TControl)
 | AnchorHorizontalCenterTo (TControl)
 | AnchorParallel (TControl)
 | AnchorSame (TControl)
pt | AnchorSideChanged (TControl)
 | AnchorToCompanion (TControl)
 | AnchorToNeighbour (TControl)
 | AnchorVerticalCenterTo (TControl)
 | Assign (TPersistent)
 | AssignError (TPersistent)
 | AssignTo (TPersistent)
pt | AssignTo (TControl)
 | AutoAdjustLayout (TControl)
 | AutoAdjustLayout (TWinControl)
 | AutoSizeDelayed (TControl)
 | AutoSizeDelayed (TWinControl)
 | AutoSizeDelayedHandle (TControl)
 | AutoSizeDelayedHandle (TWinControl)
 | AutoSizeDelayedReport (TControl)
 | AutoSizeDelayedReport (TWinControl)
 | AutoSizePhases (TControl)
 | AutoSizePhases (TWinControl)
 | BeforeDestruction (TObject)
 | BeforeDestruction (TComponent)
 | BeforeDestruction (TControl)
pt | BeforeDragStart (TControl)
pt | BeginAutoDrag (TControl)
pt | BeginAutoSizing (TControl)
 | BeginDrag (TControl)
 | BeginUpdateBounds (TWinControl)
pt | BoundsChanged (TControl)
 | BringToFront (TControl)
 | BroadCast (TWinControl)
 | BrushCreated (TWinControl)
pt | CalculateDockSizes (TControl)
pt | CalculatePreferredSize (TControl)
pt | CalculatePreferredSize (TWinControl)
pt | CanAutoSize (TControl)
 | CanFocus (TWinControl)
 | CanSetFocus (TWinControl)
pt | CanTab (TControl)
pt | CanTab (TWinControl)
pt | CaptureChanged (TControl)
pt | Change (TCustomComboBox)
pt | Change (TPickListCellEditor)
pt | ChangeBounds (TControl)
pt | Changed (TControl)
 | ChangeName (TComponent)
pt | ChangeScale (TControl)
pt | ChangeScale (TWinControl)
 | CheckChildClassAllowed (TControl)
 | CheckNewParent (TControl)
pt | CheckOnChangeBounds (TControl)
pt | ChildClassAllowed (TControl)
pt | ChildClassAllowed (TWinControl)
pt | ChildHandlesCreated (TWinControl)
pt | ChildKey (TWinControl)
 | ClassInfo (TObject)
 | ClassName (TObject)
 | ClassNameIs (TObject)
 | ClassParent (TObject)
 | ClassType (TObject)
 | CleanupInstance (TObject)
 | Clear (TCustomComboBox)
 | ClearSelection (TCustomComboBox)
pt | Click (TControl)
 | ClientRectNeedsInterfaceUpdate (TWinControl)
 | ClientToParent (TControl)
 | ClientToScreen (TControl)
pt | CloseUp (TCustomComboBox)
pt | CloseUp (TPickListCellEditor)
pt | CMBiDiModeChanged (TControl)
pt | CMBiDiModeChanged (TWinControl)
pt | CMBorderChanged (TWinControl)
pt | CMChanged (TControl)
pt | CMCursorChanged (TControl)
pt | CMDoubleBufferedChanged (TWinControl)
pt | CMEnabledChanged (TControl)
pt | CMEnabledChanged (TWinControl)
pt | CMEnter (TWinControl)
pt | CMExit (TWinControl)
pt | CMHintShow (TControl)
pt | CMHitTest (TControl)
pt | CMMouseEnter (TControl)
pt | CMMouseLeave (TControl)
pt | CMParentBiDiModeChanged (TControl)
pt | CMParentColorChanged (TControl)
pt | CMParentDoubleBufferedChanged (TWinControl)
pt | CMParentFontChanged (TControl)
pt | CMParentShowHintChanged (TControl)
pt | CMShowHintChanged (TWinControl)
pt | CMShowingChanged (TWinControl)
pt | CMSysFontChanged (TControl)
pt | CMTextChanged (TControl)
pt | CMVisibleChanged (TControl)
pt | CMVisibleChanged (TWinControl)
pt | CMWantSpecialKey (TCustomComboBox)
pt | CNChar (TWinControl)
pt | CNKeyDown (TWinControl)
pt | CNKeyUp (TWinControl)
 | CNPreferredSizeChanged (TControl)
pt | CNSysKeyDown (TWinControl)
pt | CNSysKeyUp (TWinControl)
pt | ColorIsStored (TControl)
pt | ConstrainedResize (TControl)
 | ContainsControl (TWinControl)
 | ControlAtPos (TWinControl)
pt | ControlKeyDown (TWinControl)
pt | ControlKeyUp (TWinControl)
pt | ControlsAligned (TWinControl)
 | ControlToScreen (TControl)
 | Create (TObject)
 | Create (TComponent)
 | Create (TLCLComponent)
 | Create (TControl)
 | Create (TWinControl)
 | Create (TCustomComboBox)
 | CreateAccessibleObject (TControl)
pt | CreateBrush (TWinControl)
pt | CreateControlBorderSpacing (TControl)
pt | CreateDockManager (TWinControl)
pt | CreateFloatingDockSite (TControl)
pt | CreateHandle (TWinControl)
pt | CreateParams (TWinControl)
pt | CreateParams (TCustomComboBox)
 | CreateParented (TWinControl)
 | CreateParentedControl (TWinControl)
pt | CreateSubClass (TWinControl)
pt | CreateWnd (TWinControl)
pt | CustomAlignInsertBefore (TWinControl)
pt | CustomAlignPosition (TWinControl)
pt | DblClick (TControl)
 | DecLCLRefCount (TLCLComponent)
 | DefaultHandler (TObject)
 | DefaultHandler (TWinControl)
 | DefaultHandlerStr (TObject)
 | DefineProperties (TPersistent)
 | DefineProperties (TComponent)
pt | DefineProperties (TControl)
 | Destroy (TObject)
 | Destroy (TPersistent)
 | Destroy (TComponent)
 | Destroy (TLCLComponent)
 | Destroy (TControl)
 | Destroy (TWinControl)
 | Destroy (TCustomComboBox)
 | DestroyComponents (TComponent)
pt | DestroyHandle (TWinControl)
 | Destroying (TComponent)
pt | DestroyWnd (TWinControl)
pt | DestroyWnd (TCustomComboBox)
pt | DialogChar (TControl)
pt | DialogChar (TWinControl)
 | DisableAlign (TWinControl)
 | DisableAutoSizing (TControl)
 | Dispatch (TObject)
 | DispatchStr (TObject)
pt | DoAddDockClient (TWinControl)
 | DoAdjustClientRectChange (TWinControl)
pt | DoAlignChildControls (TWinControl)
pt | DoAllAutoSize (TControl)
pt | DoAllAutoSize (TWinControl)
pt | DoAutoAdjustLayout (TControl)
pt | DoAutoAdjustLayout (TCustomComboBox)
pt | DoAutoSize (TControl)
pt | DoAutoSize (TWinControl)
pt | DoBorderSpacingChange (TControl)
pt | DoCallKeyEventHandler (TControl)
pt | DoCallMouseWheelEventHandler (TControl)
pt | DoCallNotifyHandler (TControl)
pt | DoChildSizingChange (TWinControl)
 | Dock (TControl)
 | DockDrop (TWinControl)
 | Docked (TControl)
pt | DockOver (TWinControl)
pt | DockTrackNoTarget (TControl)
pt | DoConstraintsChange (TControl)
pt | DoConstraintsChange (TWinControl)
pt | DoContextPopup (TControl)
pt | DoDock (TControl)
pt | DoDockClientMsg (TWinControl)
pt | DoDockOver (TWinControl)
pt | DoDragMsg (TControl)
pt | DoDragMsg (TWinControl)
pt | DoEndDock (TControl)
pt | DoEndDrag (TControl)
pt | DoEnter (TWinControl)
pt | DoEnter (TCustomComboBox)
pt | DoExit (TWinControl)
pt | DoExit (TCustomComboBox)
pt | DoFixDesignFontPPI (TControl)
pt | DoFlipChildren (TWinControl)
pt | DoFloatMsg (TControl)
pt | DoFloatMsg (TWinControl)
pt | DoGetDockCaption (TWinControl)
pt | DoKeyDownBeforeInterface (TWinControl)
pt | DoKeyPress (TWinControl)
pt | DoKeyUpBeforeInterface (TWinControl)
pt | DoMouseWheel (TControl)
pt | DoMouseWheelDown (TControl)
pt | DoMouseWheelHorz (TControl)
pt | DoMouseWheelLeft (TControl)
pt | DoMouseWheelRight (TControl)
pt | DoMouseWheelUp (TControl)
pt | DoOnChangeBounds (TControl)
pt | DoOnParentHandleDestruction (TControl)
pt | DoOnResize (TControl)
pt | DoOnShowHint (TControl)
pt | DoRemainingKeyDown (TWinControl)
pt | DoRemainingKeyUp (TWinControl)
pt | DoRemoveDockClient (TWinControl)
pt | DoScaleFontPPI (TControl)
pt | DoSendBoundsToInterface (TWinControl)
pt | DoSendShowHideToInterface (TWinControl)
pt | DoSetBounds (TControl)
pt | DoSetBounds (TWinControl)
pt | DoStartDock (TControl)
pt | DoStartDrag (TControl)
pt | DoUnDock (TWinControl)
pt | DoUndockClientMsg (TWinControl)
pt | DoUTF8KeyPress (TWinControl)
pt | DragCanceled (TControl)
 | DragDrop (TControl)
 | Dragging (TControl)
pt | DragOver (TControl)
pt | DrawItem (TCustomComboBox)
pt | DropDown (TCustomComboBox)
pt | DropDown (TPickListCellEditor)
 | EditingDone (TControl)
 | EditingDone (TPickListCellEditor)
 | EnableAlign (TWinControl)
 | EnableAutoSizing (TControl)
pt | EnabledChanged (TControl)
pt | EnabledChanging (TControl)
pt | EndAutoSizing (TControl)
 | EndDrag (TControl)
 | EndUpdateBounds (TWinControl)
 | Equals (TObject)
 | EraseBackground (TWinControl)
 | ExecuteAction (TComponent)
 | ExecuteCancelAction (TControl)
 | ExecuteDefaultAction (TControl)
 | FieldAddress (TObject)
pt | FinalizeWnd (TWinControl)
 | FindChildControl (TWinControl)
 | FindComponent (TComponent)
pt | FindNextControl (TWinControl)
 | FixDesignFontsPPI (TControl)
pt | FixupTabList (TWinControl)
 | FlipChildren (TWinControl)
 | Focused (TWinControl)
pt | FontChanged (TControl)
pt | FontChanged (TWinControl)
pt | ForeignAnchorSideChanged (TControl)
pt | FormEndUpdated (TControl)
pt | FormEndUpdated (TWinControl)
 | FormIsUpdating (TControl)
 | FPOAttachObserver (TPersistent)
 | FPODetachObserver (TPersistent)
 | FPONotifyObservers (TPersistent)
 | Free (TObject)
 | FreeInstance (TObject)
 | FreeNotification (TComponent)
 | FreeOnRelease (TComponent)
 | GetAccessibleObject (TControl)
pt | GetAction (TControl)
pt | GetActionLinkClass (TControl)
pt | GetAdjustedLogicalClientRect (TWinControl)
 | GetAnchorsDependingOnParent (TControl)
pt | GetBorderStyle (TWinControl)
pt | GetCachedText (TControl)
 | GetCanvasScaleFactor (TControl)
 | GetChildAccessibleObjectAtPos (TControl)
 | GetChildOwner (TComponent)
 | GetChildParent (TComponent)
 | GetChildren (TComponent)
pt | GetChildren (TWinControl)
 | GetChildrenRect (TControl)
 | GetChildrenRect (TWinControl)
pt | GetClientOrigin (TControl)
pt | GetClientOrigin (TWinControl)
pt | GetClientRect (TControl)
pt | GetClientRect (TWinControl)
pt | GetClientScrollOffset (TControl)
 | GetColorResolvingParent (TControl)
 | GetComObject (TComponent)
 | GetComponent (TComponent)
 | GetComponentCount (TComponent)
 | GetComponentIndex (TComponent)
pt | GetControlClassDefaultSize (TControl)
pt | GetControlClassDefaultSize (TCustomComboBox)
 | GetControlIndex (TWinControl)
pt | GetControlOrigin (TControl)
pt | GetControlOrigin (TWinControl)
pt | GetCursor (TControl)
 | GetDefaultColor (TControl)
pt | GetDefaultDockCaption (TControl)
 | GetDefaultHeight (TControl)
 | GetDefaultWidth (TControl)
pt | GetDeviceContext (TControl)
pt | GetDeviceContext (TWinControl)
 | GetDockCaption (TWinControl)
pt | GetDockEdge (TControl)
pt | GetDragImages (TControl)
pt | GetEnabled (TControl)
 | GetEnumerator (TComponent)
 | GetEnumeratorControls (TWinControl)
 | GetEnumeratorControlsReverse (TWinControl)
pt | GetFloating (TControl)
pt | GetFloatingDockSiteClass (TControl)
 | GetHashCode (TObject)
 | GetIDsOfNames (TComponent)
 | GetInterface (TObject)
 | GetInterfaceByStr (TObject)
 | GetInterfaceEntry (TObject)
 | GetInterfaceEntryByStr (TObject)
 | GetInterfaceTable (TObject)
 | GetInterfaceWeak (TObject)
pt | GetItemCount (TCustomComboBox)
pt | GetItemHeight (TCustomComboBox)
pt | GetItemIndex (TCustomComboBox)
pt | GetItems (TCustomComboBox)
pt | GetLogicalClientRect (TControl)
pt | GetMaxLength (TCustomComboBox)
pt | GetMouseCapture (TControl)
pt | GetMouseCapture (TWinControl)
pt | GetMousePosFromMessage (TControl)
 | GetNamePath (TPersistent)
 | GetNamePath (TComponent)
 | GetOwner (TPersistent)
 | GetOwner (TComponent)
pt | GetPalette (TControl)
pt | GetParentBackground (TWinControl)
 | GetParentComponent (TComponent)
 | GetParentComponent (TControl)
pt | GetParentHandle (TWinControl)
pt | GetPopupMenu (TControl)
 | GetPreferredSize (TControl)
pt | GetPreferredSizeClientFrame (TWinControl)
 | GetRGBColorResolvingParent (TControl)
pt | GetScrolledClientRect (TControl)
 | GetSelectedChildAccessibleObject (TControl)
pt | GetSelLength (TCustomComboBox)
pt | GetSelStart (TCustomComboBox)
pt | GetSelText (TCustomComboBox)
 | GetSidePosition (TControl)
pt | GetSiteInfo (TWinControl)
 | GetTabOrderList (TWinControl)
 | GetTextBuf (TControl)
 | GetTextLen (TControl)
 | GetTextLen (TWinControl)
 | GetTopParent (TControl)
pt | GetTopParentHandle (TWinControl)
 | GetTypeInfo (TComponent)
 | GetTypeInfoCount (TComponent)
pt | GetWSComponentClass (TLCLComponent)
 | HandleAllocated (TWinControl)
 | HandleNeeded (TWinControl)
 | HandleObjectShouldBeVisible (TControl)
 | HasHelp (TControl)
 | HasParent (TComponent)
 | HasParent (TControl)
pt | HeightIsAnchored (TControl)
 | Hide (TControl)
 | iicrGetComponent (TComponent)
 | IncLCLRefCount (TLCLComponent)
 | InheritsFrom (TObject)
pt | InitializeWnd (TWinControl)
pt | InitializeWnd (TCustomComboBox)
 | InitiateAction (TControl)
 | InitInstance (TObject)
 | Insert (TComponent)
 | InsertComponent (TComponent)
 | InsertControl (TWinControl)
 | InstanceSize (TObject)
 | IntfGetDropFilesTarget (TWinControl)
 | IntfGetItems (TCustomComboBox)
 | IntfUTF8KeyPress (TWinControl)
 | Invalidate (TControl)
 | Invalidate (TWinControl)
pt | InvalidateBoundsRealized (TWinControl)
 | InvalidateClientRectCache (TWinControl)
pt | InvalidateControl (TControl)
pt | InvalidatePreferredChildSizes (TWinControl)
 | InvalidatePreferredSize (TControl)
 | Invoke (TComponent)
pt | IsAParentAligning (TControl)
pt | IsBorderSpacingInnerBorderStored (TControl)
pt | IsCaptionStored (TControl)
pt | IsClientHeightStored (TControl)
pt | IsClientHeightStored (TWinControl)
pt | IsClientWidthStored (TControl)
pt | IsClientWidthStored (TWinControl)
pt | IsControlMouseMsg (TWinControl)
 | IsControlVisible (TControl)
 | IsEnabled (TControl)
 | IsImplementorOf (TComponent)
 | IsParentColor (TControl)
 | IsParentFont (TControl)
 | IsParentOf (TControl)
 | IsProcessingPaintMsg (TControl)
 | IsRightToLeft (TControl)
 | IsVisible (TControl)
pt | KeyDown (TWinControl)
pt | KeyDown (TCustomComboBox)
pt | KeyDown (TPickListCellEditor)
pt | KeyDownAfterInterface (TWinControl)
pt | KeyDownBeforeInterface (TWinControl)
pt | KeyPress (TWinControl)
pt | KeyUp (TWinControl)
pt | KeyUp (TCustomComboBox)
pt | KeyUpAfterInterface (TWinControl)
pt | KeyUpAfterInterface (TCustomComboBox)
pt | KeyUpBeforeInterface (TWinControl)
pt | LMCaptureChanged (TControl)
pt | LMChanged (TCustomComboBox)
 | Loaded (TComponent)
pt | Loaded (TControl)
pt | Loaded (TWinControl)
pt | LoadedAll (TControl)
 | Loading (TComponent)
 | LockRealizeBounds (TWinControl)
pt | MainWndProc (TWinControl)
 | ManualDock (TControl)
 | ManualFloat (TControl)
pt | MeasureItem (TCustomComboBox)
 | MethodAddress (TObject)
 | MethodName (TObject)
pt | MouseDown (TControl)
pt | MouseEnter (TControl)
pt | MouseLeave (TControl)
pt | MouseMove (TControl)
pt | MouseUp (TControl)
pt | MouseUp (TCustomComboBox)
pt | msg_GetGrid (TPickListCellEditor)
pt | msg_GetValue (TPickListCellEditor)
pt | msg_SetGrid (TPickListCellEditor)
pt | msg_SetPos (TPickListCellEditor)
pt | msg_SetValue (TPickListCellEditor)
 | newinstance (TObject)
 | NewInstance (TLCLComponent)
 | Notification (TComponent)
pt | Notification (TControl)
 | NotifyControls (TWinControl)
pt | PaintControls (TWinControl)
pt | PaintHandler (TWinControl)
 | PaintTo (TWinControl)
pt | PaintWindow (TWinControl)
 | PaletteCreated (TComponent)
 | ParentDestroyingHandle (TControl)
pt | ParentFontChanged (TControl)
pt | ParentFormHandleInitialized (TControl)
pt | ParentFormHandleInitialized (TWinControl)
 | ParentHandlesAllocated (TControl)
 | ParentHandlesAllocated (TWinControl)
 | ParentToClient (TControl)
 | Perform (TControl)
 | PerformTab (TWinControl)
pt | PositionDockRect (TControl)
pt | QuadClick (TControl)
 | QueryInterface (TComponent)
 | ReadLeft (TComponent)
 | ReadState (TComponent)
pt | ReadState (TControl)
 | ReadTop (TComponent)
pt | RealGetText (TControl)
pt | RealGetText (TWinControl)
 | ReAlign (TWinControl)
pt | RealizeBounds (TWinControl)
pt | RealizeBoundsRecursive (TWinControl)
pt | RealSetText (TControl)
pt | RealSetText (TWinControl)
pt | RealSetText (TCustomComboBox)
 | ReferenceInterface (TComponent)
 | Refresh (TControl)
pt | ReloadDockedControl (TWinControl)
 | Remove (TComponent)
 | RemoveAllHandlersOfObject (TLCLComponent)
 | RemoveAllHandlersOfObject (TControl)
 | RemoveComponent (TComponent)
 | RemoveControl (TWinControl)
pt | RemoveFocus (TWinControl)
 | RemoveFreeNotification (TComponent)
pt | RemoveHandler (TControl)
 | RemoveHandlerOnBeforeDestruction (TControl)
 | RemoveHandlerOnChangeBounds (TControl)
 | RemoveHandlerOnEnableChanging (TControl)
 | RemoveHandlerOnKeyDown (TControl)
 | RemoveHandlerOnMouseWheel (TControl)
 | RemoveHandlerOnResize (TControl)
 | RemoveHandlerOnVisibleChanged (TControl)
 | RemoveHandlerOnVisibleChanging (TControl)
 | RemoveNotification (TComponent)
 | Repaint (TControl)
 | Repaint (TWinControl)
 | ReplaceDockedControl (TControl)
pt | RequestAlign (TControl)
pt | Resize (TControl)
 | SafeCallException (TObject)
 | SafeCallException (TComponent)
 | Scale96ToFont (TControl)
 | Scale96ToForm (TControl)
 | Scale96ToScreen (TControl)
 | ScaleBy (TWinControl)
pt | ScaleConstraints (TControl)
pt | ScaleControls (TWinControl)
 | ScaleDesignToForm (TControl)
 | ScaleFontsPPI (TControl)
 | ScaleFontTo96 (TControl)
 | ScaleFontToScreen (TControl)
 | ScaleFormTo96 (TControl)
 | ScaleFormToDesign (TControl)
 | ScaleScreenTo96 (TControl)
 | ScaleScreenToFont (TControl)
 | ScreenToClient (TControl)
 | ScreenToControl (TControl)
 | ScrollBy (TWinControl)
 | ScrollBy_WS (TWinControl)
pt | Select (TCustomComboBox)
pt | Select (TPickListCellEditor)
 | SelectAll (TCustomComboBox)
pt | SelectFirst (TWinControl)
pt | SelectItem (TCustomComboBox)
 | SelectNext (TWinControl)
pt | SendDialogChar (TWinControl)
pt | SendMoveSizeMessages (TControl)
pt | SendMoveSizeMessages (TWinControl)
 | SendToBack (TControl)
pt | SetAction (TControl)
pt | SetAlign (TControl)
 | SetAncestor (TComponent)
pt | SetAnchors (TControl)
pt | SetAutoSize (TControl)
pt | SetBiDiMode (TControl)
pt | SetBorderStyle (TWinControl)
 | SetBounds (TControl)
 | SetBounds (TWinControl)
 | SetBoundsKeepBase (TControl)
 | SetChildOrder (TComponent)
pt | SetChildZPosition (TWinControl)
pt | SetColor (TControl)
pt | SetColor (TWinControl)
 | SetComponentIndex (TComponent)
 | SetControlIndex (TWinControl)
pt | SetCursor (TControl)
 | SetDesigning (TComponent)
 | SetDesignInstance (TComponent)
pt | SetDockManager (TWinControl)
pt | SetDragMode (TControl)
pt | SetDropDownCount (TCustomComboBox)
pt | SetDroppedDown (TCustomComboBox)
pt | SetEnabled (TControl)
 | SetFocus (TWinControl)
pt | SetHint (TControl)
 | SetInitialBounds (TControl)
 | SetInline (TComponent)
pt | SetItemHeight (TCustomComboBox)
pt | SetItemIndex (TCustomComboBox)
pt | SetItems (TCustomComboBox)
pt | SetMaxLength (TCustomComboBox)
 | SetName (TComponent)
pt | SetName (TControl)
pt | SetParent (TControl)
pt | SetParentBackground (TWinControl)
pt | SetParentBiDiMode (TControl)
 | SetParentComponent (TComponent)
pt | SetParentComponent (TControl)
 | SetReference (TComponent)
pt | SetSelLength (TCustomComboBox)
pt | SetSelStart (TCustomComboBox)
pt | SetSelText (TCustomComboBox)
 | SetShape (TWinControl)
pt | SetSorted (TCustomComboBox)
pt | SetStyle (TCustomComboBox)
 | SetSubComponent (TComponent)
 | SetTempCursor (TControl)
 | SetTempCursor (TWinControl)
 | SetTextBuf (TControl)
pt | SetVisible (TControl)
pt | SetZOrder (TControl)
 | ShouldAutoAdjust (TControl)
pt | ShouldAutoAdjust (TCustomComboBox)
 | Show (TControl)
pt | ShowControl (TWinControl)
 | ShowHelp (TControl)
 | StringMessageTable (TObject)
pt | TextChanged (TControl)
 | ToString (TObject)
pt | TripleClick (TControl)
 | UnitName (TObject)
 | UnlockRealizeBounds (TWinControl)
 | Update (TControl)
 | Update (TWinControl)
 | UpdateAction (TComponent)
pt | UpdateAnchorRules (TControl)
 | UpdateBaseBounds (TControl)
pt | UpdateControlState (TWinControl)
 | Updated (TComponent)
 | UpdateDockCaption (TWinControl)
pt | UpdateMouseCursor (TControl)
 | UpdateRegistry (TComponent)
 | UpdateRolesForForm (TControl)
pt | UpdateShowing (TWinControl)
 | Updating (TComponent)
 | UseRightToLeftAlignment (TControl)
 | UseRightToLeftReading (TControl)
 | UseRightToLeftScrollBar (TControl)
pt | UTF8KeyPress (TWinControl)
pt | UTF8KeyPress (TCustomComboBox)
 | ValidateContainer (TComponent)
 | ValidateInsert (TComponent)
 | ValidateRename (TComponent)
pt | VisibleChanged (TControl)
pt | VisibleChanging (TControl)
pt | WidthIsAnchored (TControl)
pt | WMCancelMode (TControl)
pt | WMChar (TWinControl)
pt | WMContextMenu (TControl)
pt | WMContextMenu (TWinControl)
pt | WMDestroy (TWinControl)
pt | WMEnter (TWinControl)
pt | WMEraseBkgnd (TWinControl)
pt | WMExit (TWinControl)
pt | WMKeyDown (TWinControl)
pt | WMKeyUp (TWinControl)
pt | WMKillFocus (TWinControl)
pt | WMLButtonDBLCLK (TControl)
pt | WMLButtonDown (TControl)
pt | WMLButtonQuadCLK (TControl)
pt | WMLButtonTripleCLK (TControl)
pt | WMLButtonUp (TControl)
pt | WMMButtonDBLCLK (TControl)
pt | WMMButtonDown (TControl)
pt | WMMButtonQuadCLK (TControl)
pt | WMMButtonTripleCLK (TControl)
pt | WMMButtonUp (TControl)
pt | WMMouseHWheel (TControl)
pt | WMMouseMove (TControl)
pt | WMMouseWheel (TControl)
pt | WMMove (TControl)
pt | WMMove (TWinControl)
pt | WMNotify (TWinControl)
pt | WMPaint (TWinControl)
pt | WMRButtonDBLCLK (TControl)
pt | WMRButtonDown (TControl)
pt | WMRButtonQuadCLK (TControl)
pt | WMRButtonTripleCLK (TControl)
pt | WMRButtonUp (TControl)
pt | WMSetFocus (TWinControl)
pt | WMShowWindow (TWinControl)
pt | WMSize (TControl)
pt | WMSize (TWinControl)
pt | WMSysChar (TWinControl)
pt | WMSysKeyDown (TWinControl)
pt | WMSysKeyUp (TWinControl)
pt | WMWindowPosChanged (TControl)
pt | WMWindowPosChanged (TWinControl)
pt | WMXButtonDBLCLK (TControl)
pt | WMXButtonDown (TControl)
pt | WMXButtonQuadCLK (TControl)
pt | WMXButtonTripleCLK (TControl)
pt | WMXButtonUp (TControl)
pt | WndProc (TControl)
pt | WndProc (TWinControl)
pt | WndProc (TPickListCellEditor)
 | WriteLayoutDebugReport (TControl)
 | WriteLayoutDebugReport (TWinControl)
 | WriteLeft (TComponent)
 | WriteState (TComponent)
 | WriteTop (TComponent)
pt | WSRegisterClass (TLCLComponent)
pt | WSRegisterClass (TControl)
pt | WSRegisterClass (TWinControl)
pt | WSRegisterClass (TCustomComboBox)
pt | WSSetText (TWinControl)
 | _AddRef (TComponent)
 | _Release (TComponent)


TPickListCellEditor
 | ro | OnEditingDone
TCustomComboBox
pt |  | OnChange
pt |  | OnCloseUp
pt |  | OnDrawItem
pt |  | OnDropDown
pt |  | OnGetItems
pt |  | OnMeasureItem
pt |  | OnSelect
TWinControl
pt |  | OnGetSiteInfo
pt |  | OnGetDockCaption
 |  | OnAlignInsertBefore
 |  | OnAlignPosition
 |  | OnDockDrop
 |  | OnDockOver
 |  | OnEnter
 |  | OnExit
 |  | OnKeyDown
 |  | OnKeyPress
 |  | OnKeyUp
 |  | OnUnDock
 |  | OnUTF8KeyPress
TControl
pt |  | OnConstrainedResize
pt |  | OnContextPopup
pt |  | OnDblClick
pt |  | OnTripleClick
pt |  | OnQuadClick
pt |  | OnDragDrop
pt |  | OnDragOver
pt |  | OnEndDock
pt |  | OnEndDrag
pt |  | OnMouseDown
pt |  | OnMouseMove
pt |  | OnMouseUp
pt |  | OnMouseEnter
pt |  | OnMouseLeave
pt |  | OnMouseWheel
pt |  | OnMouseWheelDown
pt |  | OnMouseWheelUp
pt |  | OnMouseWheelHorz
pt |  | OnMouseWheelLeft
pt |  | OnMouseWheelRight
pt |  | OnStartDock
pt |  | OnStartDrag
pt |  | OnEditingDone
 |  | OnChangeBounds
 |  | OnClick
 |  | OnResize
 |  | OnShowHint
TLCLComponent
TComponent
TPersistent
TObject


pt |  | OnChange (TCustomComboBox)
 |  | OnChangeBounds (TControl)
 |  | OnClick (TControl)
pt |  | OnCloseUp (TCustomComboBox)
pt |  | OnConstrainedResize (TControl)
pt |  | OnContextPopup (TControl)
pt |  | OnDblClick (TControl)
 |  | OnDockDrop (TWinControl)
 |  | OnDockOver (TWinControl)
pt |  | OnDragDrop (TControl)
pt |  | OnDragOver (TControl)
pt |  | OnDrawItem (TCustomComboBox)
pt |  | OnDropDown (TCustomComboBox)
pt |  | OnEditingDone (TControl)
 | ro | OnEditingDone (TPickListCellEditor)
pt |  | OnEndDock (TControl)
pt |  | OnEndDrag (TControl)
 |  | OnEnter (TWinControl)
 |  | OnExit (TWinControl)
pt |  | OnGetDockCaption (TWinControl)
pt |  | OnGetItems (TCustomComboBox)
pt |  | OnGetSiteInfo (TWinControl)
 |  | OnKeyDown (TWinControl)
 |  | OnKeyPress (TWinControl)
 |  | OnKeyUp (TWinControl)
pt |  | OnMeasureItem (TCustomComboBox)
pt |  | OnMouseDown (TControl)
pt |  | OnMouseEnter (TControl)
pt |  | OnMouseLeave (TControl)
pt |  | OnMouseMove (TControl)
pt |  | OnMouseUp (TControl)
pt |  | OnMouseWheel (TControl)
pt |  | OnMouseWheelDown (TControl)
pt |  | OnMouseWheelHorz (TControl)
pt |  | OnMouseWheelLeft (TControl)
pt |  | OnMouseWheelRight (TControl)
pt |  | OnMouseWheelUp (TControl)
pt |  | OnQuadClick (TControl)
 |  | OnResize (TControl)
pt |  | OnSelect (TCustomComboBox)
 |  | OnShowHint (TControl)
pt |  | OnStartDock (TControl)
pt |  | OnStartDrag (TControl)
pt |  | OnTripleClick (TControl)
 |  | OnUnDock (TWinControl)
 |  | OnUTF8KeyPress (TWinControl)


TPickListCellEditor.msg_GetGrid

Declaration

Source position: grids.pas line 288

protected procedure TPickListCellEditor.msg_GetGrid(

  var Msg: TGridMessage

); message;


TPickListCellEditor.msg_GetValue

msg_GetValue - issues a message to find the value

Declaration

Source position: grids.pas line 284

protected procedure TPickListCellEditor.msg_GetValue(

  var Msg: TGridMessage

); message;


TPickListCellEditor.msg_SetGrid

msg_SetGrid - issues a message to specify the grid

Declaration

Source position: grids.pas line 285

protected procedure TPickListCellEditor.msg_SetGrid(

  var Msg: TGridMessage

); message;


TPickListCellEditor.msg_SetPos

msg_SetPos - issues a message to specify the position

Declaration

Source position: grids.pas line 287

protected procedure TPickListCellEditor.msg_SetPos(

  var Msg: TGridMessage

); message;


TPickListCellEditor.msg_SetValue

msg_SetValue - issues a message to specify the value

Declaration

Source position: grids.pas line 286

protected procedure TPickListCellEditor.msg_SetValue(

  var Msg: TGridMessage

); message;


TPickListCellEditor.OnEditingDone

Declaration

Source position: grids.pas line 292

public property TPickListCellEditor.OnEditingDone : TNotifyEvent;


TStringCellEditor

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

TStringCellEditor - the default editor for TStringGrid

Declaration

Source position: grids.pas line 232

type TStringCellEditor = class(TCustomMaskEdit)
protected
procedure WndProc(); override; | The general message handler for this control.
procedure Change; override;
procedure KeyDown(); override; | Invokes the OnKeyDown handler.
procedure msg_SetMask(); message; | msg_SetMask - issues message for specifying mask
procedure msg_SetValue(); message; | msg_SetValue - issue message for specifying value
procedure msg_GetValue(); message; | msg_GetValue - issues message for obtaining value
procedure msg_SetGrid(); message; | msg_SetGrid - issues message for specifying grid
procedure msg_SelectAll(); message; | msg_SelectAll - issues message for Selecting All
procedure msg_SetPos(); message; | msg_SetPos - issues message for specifying position
procedure msg_GetGrid(); message;
public
constructor Create(); override;
procedure EditingDone; override; | Invokes the OnEditingDone event handler.
property EditText: string;
property OnEditingDone: TNotifyEvent;
end;

Inheritance

TStringCellEditor | TStringCellEditor - the default editor for TStringGrid
|
TCustomMaskEdit | TCustomMaskEdit - base class for TMaskEdit, an Edit box with characters masked out to avoid unauthorised reading
|
TCustomEdit | The base class for controls presenting editable text.
|
TWinControl | The base class for controls which can contain other (child) controls.
|
TControl | The base class for visible controls.
|
TLCLComponent | The base class for LCL components associated with widgets.
|
TComponent,IUnknown,IInterfaceComponentReference
|
TPersistent,IFPObserved
|
TObject


TStringCellEditor
 | ro | EditText
TCustomMaskEdit
pt |  | EditText
pt | ro | IsMasked
pt |  | SpaceChar
pt |  | MaxLength
pt |  | CharCase
pt |  | EditMask
 |  | Modified
TCustomEdit
pt |  | AutoSelect
pt |  | AutoSelected
pt | ro | ParentColor
 |  | Alignment
 | ro | AutoSize
 | ro | BorderStyle
 | ro | CanUndo
 |  | CaretPos
 |  | CharCase
 |  | EchoMode
 |  | HideSelection
 |  | MaxLength
 |  | Modified
 |  | NumbersOnly
 |  | PasswordChar
 | ro | PopupMenu
 |  | ReadOnly
 |  | SelLength
 |  | SelStart
 |  | SelText
 | ro | TabOrder
 | ro | TabStop
 | ro | Text
 |  | TextHint
TWinControl
pt |  | WindowHandle
pt |  | BorderStyle
pt |  | ParentBackground
 |  | BorderWidth
 | ro | BoundsLockCount
 | ro | Brush
 | ro | CachedClientHeight
 | ro | CachedClientWidth
 |  | ChildSizing
 | ro | ControlCount
 | ro | Controls
 |  | DefWndProc
 | ro | DockClientCount
 | ro | DockClients
 |  | DockManager
 |  | DockSite
 |  | DoubleBuffered
 |  | Handle
 | ro | IsFlipped
 | ro | IsResizing
 |  | TabOrder
 |  | TabStop
 |  | ParentDoubleBuffered
 |  | ParentWindow
 | ro | Showing
 |  | UseDockManager
 |  | DesignerDeleting
 | ro | VisibleDockClientCount
TControl
pt | ro | AutoSizing
pt | ro | AutoSizingAll
pt | ro | AutoSizingLockCount
pt |  | ActionLink
pt |  | DesktopFont
pt |  | DragCursor
pt |  | DragKind
pt |  | DragMode
pt |  | MouseCapture
pt |  | ParentColor
pt |  | ParentFont
pt |  | ParentShowHint
pt |  | SessionProperties
pt |  | Text
 | ro | AnchoredControls
 | ro | BaseBounds
 | ro | ReadBounds
 | ro | BaseParentClientSize
 |  | AccessibleDescription
 |  | AccessibleValue
 |  | AccessibleRole
 |  | Action
 |  | Align
 |  | Anchors
 | ro | AnchorSide
 |  | AutoSize
 |  | BorderSpacing
 |  | BoundsRect
 |  | BoundsRectForNewParent
 |  | Caption
 |  | CaptureMouseButtons
 |  | ClientHeight
 | ro | ClientOrigin
 | ro | ClientRect
 |  | ClientWidth
 |  | Color
 |  | Constraints
 | ro | ControlOrigin
 |  | ControlState
 |  | ControlStyle
 |  | Enabled
 |  | Font
 |  | IsControl
 | ro | MouseEntered
 | ro | MouseInClient
 |  | Parent
 |  | PopupMenu
 |  | ShowHint
 |  | Visible
 |  | WindowProc
 |  | DockOrientation
 | ro | Floating
 |  | FloatingDockSiteClass
 |  | HostDockSite
 |  | LRDockWidth
 |  | TBDockHeight
 |  | UndockHeight
 |  | UndockWidth
 |  | BiDiMode
 |  | ParentBiDiMode
pl |  | AnchorSideLeft
pl |  | AnchorSideTop
pl |  | AnchorSideRight
pl |  | AnchorSideBottom
pl |  | Cursor
pl |  | Left
pl |  | Height
pl |  | Hint
pl |  | Top
pl |  | Width
pl |  | HelpType
pl |  | HelpKeyword
pl |  | HelpContext
TLCLComponent
 | ro | LCLRefCount
 | ro | WidgetSetClass
TComponent
 | ro | ComObject
 | ro | Components
 | ro | ComponentCount
 |  | ComponentIndex
 | ro | ComponentState
 | ro | ComponentStyle
 |  | DesignInfo
 | ro | Owner
 |  | VCLComObject
 |  | Name
 |  | Tag
TPersistent
TObject


 |  | AccessibleDescription (TControl)
 |  | AccessibleRole (TControl)
 |  | AccessibleValue (TControl)
 |  | Action (TControl)
pt |  | ActionLink (TControl)
 |  | Align (TControl)
 |  | Alignment (TCustomEdit)
 | ro | AnchoredControls (TControl)
 |  | Anchors (TControl)
 | ro | AnchorSide (TControl)
pl |  | AnchorSideBottom (TControl)
pl |  | AnchorSideLeft (TControl)
pl |  | AnchorSideRight (TControl)
pl |  | AnchorSideTop (TControl)
pt |  | AutoSelect (TCustomEdit)
pt |  | AutoSelected (TCustomEdit)
 |  | AutoSize (TControl)
 | ro | AutoSize (TCustomEdit)
pt | ro | AutoSizing (TControl)
pt | ro | AutoSizingAll (TControl)
pt | ro | AutoSizingLockCount (TControl)
 | ro | BaseBounds (TControl)
 | ro | BaseParentClientSize (TControl)
 |  | BiDiMode (TControl)
 |  | BorderSpacing (TControl)
pt |  | BorderStyle (TWinControl)
 | ro | BorderStyle (TCustomEdit)
 |  | BorderWidth (TWinControl)
 | ro | BoundsLockCount (TWinControl)
 |  | BoundsRect (TControl)
 |  | BoundsRectForNewParent (TControl)
 | ro | Brush (TWinControl)
 | ro | CachedClientHeight (TWinControl)
 | ro | CachedClientWidth (TWinControl)
 | ro | CanUndo (TCustomEdit)
 |  | Caption (TControl)
 |  | CaptureMouseButtons (TControl)
 |  | CaretPos (TCustomEdit)
 |  | CharCase (TCustomEdit)
pt |  | CharCase (TCustomMaskEdit)
 |  | ChildSizing (TWinControl)
 |  | ClientHeight (TControl)
 | ro | ClientOrigin (TControl)
 | ro | ClientRect (TControl)
 |  | ClientWidth (TControl)
 |  | Color (TControl)
 | ro | ComObject (TComponent)
 | ro | ComponentCount (TComponent)
 |  | ComponentIndex (TComponent)
 | ro | Components (TComponent)
 | ro | ComponentState (TComponent)
 | ro | ComponentStyle (TComponent)
 |  | Constraints (TControl)
 | ro | ControlCount (TWinControl)
 | ro | ControlOrigin (TControl)
 | ro | Controls (TWinControl)
 |  | ControlState (TControl)
 |  | ControlStyle (TControl)
pl |  | Cursor (TControl)
 |  | DefWndProc (TWinControl)
 |  | DesignerDeleting (TWinControl)
 |  | DesignInfo (TComponent)
pt |  | DesktopFont (TControl)
 | ro | DockClientCount (TWinControl)
 | ro | DockClients (TWinControl)
 |  | DockManager (TWinControl)
 |  | DockOrientation (TControl)
 |  | DockSite (TWinControl)
 |  | DoubleBuffered (TWinControl)
pt |  | DragCursor (TControl)
pt |  | DragKind (TControl)
pt |  | DragMode (TControl)
 |  | EchoMode (TCustomEdit)
pt |  | EditMask (TCustomMaskEdit)
pt |  | EditText (TCustomMaskEdit)
 | ro | EditText (TStringCellEditor)
 |  | Enabled (TControl)
 | ro | Floating (TControl)
 |  | FloatingDockSiteClass (TControl)
 |  | Font (TControl)
 |  | Handle (TWinControl)
pl |  | Height (TControl)
pl |  | HelpContext (TControl)
pl |  | HelpKeyword (TControl)
pl |  | HelpType (TControl)
 |  | HideSelection (TCustomEdit)
pl |  | Hint (TControl)
 |  | HostDockSite (TControl)
 |  | IsControl (TControl)
 | ro | IsFlipped (TWinControl)
pt | ro | IsMasked (TCustomMaskEdit)
 | ro | IsResizing (TWinControl)
 | ro | LCLRefCount (TLCLComponent)
pl |  | Left (TControl)
 |  | LRDockWidth (TControl)
 |  | MaxLength (TCustomEdit)
pt |  | MaxLength (TCustomMaskEdit)
 |  | Modified (TCustomEdit)
 |  | Modified (TCustomMaskEdit)
pt |  | MouseCapture (TControl)
 | ro | MouseEntered (TControl)
 | ro | MouseInClient (TControl)
 |  | Name (TComponent)
 |  | NumbersOnly (TCustomEdit)
 | ro | Owner (TComponent)
 |  | Parent (TControl)
pt |  | ParentBackground (TWinControl)
 |  | ParentBiDiMode (TControl)
pt |  | ParentColor (TControl)
pt | ro | ParentColor (TCustomEdit)
 |  | ParentDoubleBuffered (TWinControl)
pt |  | ParentFont (TControl)
pt |  | ParentShowHint (TControl)
 |  | ParentWindow (TWinControl)
 |  | PasswordChar (TCustomEdit)
 |  | PopupMenu (TControl)
 | ro | PopupMenu (TCustomEdit)
 | ro | ReadBounds (TControl)
 |  | ReadOnly (TCustomEdit)
 |  | SelLength (TCustomEdit)
 |  | SelStart (TCustomEdit)
 |  | SelText (TCustomEdit)
pt |  | SessionProperties (TControl)
 |  | ShowHint (TControl)
 | ro | Showing (TWinControl)
pt |  | SpaceChar (TCustomMaskEdit)
 |  | TabOrder (TWinControl)
 | ro | TabOrder (TCustomEdit)
 |  | TabStop (TWinControl)
 | ro | TabStop (TCustomEdit)
 |  | Tag (TComponent)
 |  | TBDockHeight (TControl)
pt |  | Text (TControl)
 | ro | Text (TCustomEdit)
 |  | TextHint (TCustomEdit)
pl |  | Top (TControl)
 |  | UndockHeight (TControl)
 |  | UndockWidth (TControl)
 |  | UseDockManager (TWinControl)
 |  | VCLComObject (TComponent)
 |  | Visible (TControl)
 | ro | VisibleDockClientCount (TWinControl)
 | ro | WidgetSetClass (TLCLComponent)
pl |  | Width (TControl)
pt |  | WindowHandle (TWinControl)
 |  | WindowProc (TControl)


TStringCellEditor
pt | WndProc
pt | Change
pt | KeyDown
pt | msg_SetMask
pt | msg_SetValue
pt | msg_GetValue
pt | msg_SetGrid
pt | msg_SelectAll
pt | msg_SetPos
pt | msg_GetGrid
 | Create
 | EditingDone
TCustomMaskEdit
pt | ApplyMaskToText
pt | CanShowEmulatedTextHint
pt | DisableMask
pt | RestoreMask
pt | RealSetText
pt | RealGetText
pt | GetTextWithoutMask
pt | GetTextWithoutSpaceChar
pt | SetTextApplyMask
pt | GetEditText
pt | SetEditText
pt | GetSel
pt | SetSel
pt | TextChanged
pt | Change
pt | SetCharCase
pt | GetCharCase
pt | SetMaxLength
pt | GetMaxLength
pt | SetNumbersOnly
pt | Loaded
pt | LMPasteFromClip
pt | LMCutToClip
pt | LMClearSel
pt | EditCanModify
pt | Reset
pt | DoEnter
pt | DoExit
pt | KeyDown
pt | HandleKeyPress
pt | KeyPress
pt | Utf8KeyPress
pt | MouseUp
pt | CheckCursor
 | CutToClipBoard
 | PasteFromClipBoard
 | Create
 | Clear
 | ValidateEdit
TCustomEdit
pt | WSRegisterClass
pt | CanShowEmulatedTextHint
pt | CreateEmulatedTextHintFont
pt | CalculatePreferredSize
pt | CreateParams
pt | InitializeWnd
pt | TextChanged
pt | FontChanged
pt | Change
pt | DoEnter
pt | DoExit
pt | EditingDone
pt | GetCaretPos
pt | GetNumbersOnly
pt | GetReadOnly
pt | GetSelLength
pt | GetSelStart
pt | GetSelText
pt | GetTextHint
pt | SetCaretPos
pt | SetEchoMode
pt | SetNumbersOnly
pt | SetReadOnly
pt | SetSelLength
pt | SetSelStart
pt | SetSelText
pt | SetTextHint
pt | ChildClassAllowed
pt | GetControlClassDefaultSize
pt | MouseUp
pt | RealSetText
pt | RealGetText
pt | KeyUpAfterInterface
pt | WMChar
pt | CMWantSpecialKey
pt | WndProc
pt | ShouldAutoAdjust
pt | WMSetFocus
pt | WMKillFocus
 | Create
 | Destroy
 | Clear
 | SelectAll
 | ClearSelection
 | CopyToClipboard
 | CutToClipboard
 | PasteFromClipboard
 | Undo
 | RemoveAllHandlersOfObject
 | AddHandlerOnChange
 | RemoveHandlerOnChange
TWinControl
pt | WSRegisterClass
pt | AdjustClientRect
pt | GetAdjustedLogicalClientRect
pt | AlignControls
pt | CustomAlignInsertBefore
pt | CustomAlignPosition
pt | DoAlignChildControls
pt | DoChildSizingChange
pt | InvalidatePreferredChildSizes
pt | CanTab
pt | IsClientHeightStored
pt | IsClientWidthStored
pt | DoSendShowHideToInterface
pt | ControlsAligned
pt | DoSendBoundsToInterface
pt | RealizeBounds
pt | RealizeBoundsRecursive
pt | InvalidateBoundsRealized
pt | CreateSubClass
pt | DoConstraintsChange
pt | DoSetBounds
pt | DoAutoSize
pt | DoAllAutoSize
pt | AllAutoSized
pt | CalculatePreferredSize
pt | GetPreferredSizeClientFrame
pt | GetChildren
pt | ChildClassAllowed
pt | PaintControls
pt | PaintHandler
pt | PaintWindow
pt | CreateBrush
pt | ScaleControls
pt | ChangeScale
pt | CMBiDiModeChanged
pt | CMBorderChanged
pt | CMDoubleBufferedChanged
pt | CMEnabledChanged
pt | CMParentDoubleBufferedChanged
pt | CMShowingChanged
pt | CMShowHintChanged
pt | CMVisibleChanged
pt | CMEnter
pt | CMExit
pt | WMContextMenu
pt | WMEraseBkgnd
pt | WMNotify
pt | WMSetFocus
pt | WMKillFocus
pt | WMShowWindow
pt | WMEnter
pt | WMExit
pt | WMKeyDown
pt | WMSysKeyDown
pt | WMKeyUp
pt | WMSysKeyUp
pt | WMChar
pt | WMSysChar
pt | WMPaint
pt | WMDestroy
pt | WMMove
pt | WMSize
pt | WMWindowPosChanged
pt | CNKeyDown
pt | CNSysKeyDown
pt | CNKeyUp
pt | CNSysKeyUp
pt | CNChar
pt | DoDragMsg
pt | DoDockClientMsg
pt | DoUndockClientMsg
pt | DoAddDockClient
pt | DockOver
pt | DoDockOver
pt | DoRemoveDockClient
pt | DoUnDock
pt | GetSiteInfo
pt | GetParentHandle
pt | GetTopParentHandle
pt | ReloadDockedControl
pt | CreateDockManager
pt | SetDockManager
pt | DoFloatMsg
pt | DoGetDockCaption
pt | DoEnter
pt | DoExit
pt | DoKeyDownBeforeInterface
pt | DoRemainingKeyDown
pt | DoRemainingKeyUp
pt | DoKeyPress
pt | DoUTF8KeyPress
pt | DoKeyUpBeforeInterface
pt | ChildKey
pt | SendDialogChar
pt | DialogChar
pt | ControlKeyDown
pt | ControlKeyUp
pt | KeyDown
pt | KeyDownBeforeInterface
pt | KeyDownAfterInterface
pt | KeyPress
pt | KeyUp
pt | KeyUpBeforeInterface
pt | KeyUpAfterInterface
pt | UTF8KeyPress
pt | FindNextControl
pt | SelectFirst
pt | RealGetText
pt | GetBorderStyle
pt | GetClientOrigin
pt | GetClientRect
pt | GetControlOrigin
pt | GetDeviceContext
pt | GetParentBackground
pt | IsControlMouseMsg
pt | CreateHandle
pt | CreateParams
pt | CreateWnd
pt | DestroyHandle
pt | DestroyWnd
pt | DoFlipChildren
pt | FinalizeWnd
pt | FixupTabList
pt | FontChanged
pt | InitializeWnd
pt | Loaded
pt | FormEndUpdated
pt | MainWndProc
pt | ParentFormHandleInitialized
pt | ChildHandlesCreated
pt | GetMouseCapture
pt | RealSetText
pt | RemoveFocus
pt | SendMoveSizeMessages
pt | SetBorderStyle
pt | SetColor
pt | SetChildZPosition
pt | SetParentBackground
pt | ShowControl
pt | UpdateControlState
pt | UpdateShowing
pt | WndProc
pt | WSSetText
 | AutoSizePhases
 | AutoSizeDelayed
 | AutoSizeDelayedReport
 | AutoSizeDelayedHandle
 | BeginUpdateBounds
 | EndUpdateBounds
 | LockRealizeBounds
 | UnlockRealizeBounds
 | ControlAtPos
 | ContainsControl
 | DoAdjustClientRectChange
 | InvalidateClientRectCache
 | ClientRectNeedsInterfaceUpdate
 | SetBounds
 | GetChildrenRect
 | DisableAlign
 | EnableAlign
 | ReAlign
 | ScrollBy_WS
 | ScrollBy
 | WriteLayoutDebugReport
 | AutoAdjustLayout
 | Create
 | CreateParented
 | CreateParentedControl
 | Destroy
 | DockDrop
 | CanFocus
 | CanSetFocus
 | GetControlIndex
 | SetControlIndex
 | Focused
 | PerformTab
 | FindChildControl
 | SelectNext
 | SetTempCursor
 | BroadCast
 | NotifyControls
 | DefaultHandler
 | GetTextLen
 | Invalidate
 | AddControl
 | InsertControl
 | RemoveControl
 | GetEnumeratorControls
 | GetEnumeratorControlsReverse
 | Repaint
 | Update
 | SetFocus
 | FlipChildren
 | ScaleBy
 | GetDockCaption
 | UpdateDockCaption
 | GetTabOrderList
 | HandleAllocated
 | ParentHandlesAllocated
 | HandleNeeded
 | BrushCreated
 | EraseBackground
 | IntfUTF8KeyPress
 | IntfGetDropFilesTarget
 | PaintTo
 | SetShape
TControl
pt | WSRegisterClass
pt | GetCursor
pt | SetCursor
pt | SetVisible
pt | DoOnParentHandleDestruction
pt | DoAutoSize
pt | DoAllAutoSize
pt | BeginAutoSizing
pt | EndAutoSizing
pt | AnchorSideChanged
pt | ForeignAnchorSideChanged
pt | SetAlign
pt | SetAnchors
pt | SetAutoSize
pt | BoundsChanged
pt | CreateControlBorderSpacing
pt | DoConstraintsChange
pt | DoBorderSpacingChange
pt | IsBorderSpacingInnerBorderStored
pt | IsCaptionStored
pt | SendMoveSizeMessages
pt | ConstrainedResize
pt | CalculatePreferredSize
pt | DoOnResize
pt | DoOnChangeBounds
pt | CheckOnChangeBounds
pt | Resize
pt | RequestAlign
pt | UpdateAnchorRules
pt | ChangeBounds
pt | DoSetBounds
pt | ScaleConstraints
pt | ChangeScale
pt | CanAutoSize
pt | SetBiDiMode
pt | SetParentBiDiMode
pt | IsAParentAligning
pt | GetClientOrigin
pt | GetClientRect
pt | GetLogicalClientRect
pt | GetScrolledClientRect
pt | GetClientScrollOffset
pt | GetControlOrigin
pt | IsClientHeightStored
pt | IsClientWidthStored
pt | WidthIsAnchored
pt | HeightIsAnchored
pt | WMCancelMode
pt | WMContextMenu
pt | WMLButtonDown
pt | WMRButtonDown
pt | WMMButtonDown
pt | WMXButtonDown
pt | WMLButtonDBLCLK
pt | WMRButtonDBLCLK
pt | WMMButtonDBLCLK
pt | WMXButtonDBLCLK
pt | WMLButtonTripleCLK
pt | WMRButtonTripleCLK
pt | WMMButtonTripleCLK
pt | WMXButtonTripleCLK
pt | WMLButtonQuadCLK
pt | WMRButtonQuadCLK
pt | WMMButtonQuadCLK
pt | WMXButtonQuadCLK
pt | WMMouseMove
pt | WMLButtonUp
pt | WMRButtonUp
pt | WMMButtonUp
pt | WMXButtonUp
pt | WMMouseWheel
pt | WMMouseHWheel
pt | WMMove
pt | WMSize
pt | WMWindowPosChanged
pt | CMChanged
pt | LMCaptureChanged
pt | CMBiDiModeChanged
pt | CMSysFontChanged
pt | CMEnabledChanged
pt | CMHitTest
pt | CMMouseEnter
pt | CMMouseLeave
pt | CMHintShow
pt | CMParentBiDiModeChanged
pt | CMParentColorChanged
pt | CMParentFontChanged
pt | CMParentShowHintChanged
pt | CMVisibleChanged
pt | CMTextChanged
pt | CMCursorChanged
pt | CalculateDockSizes
pt | CreateFloatingDockSite
pt | GetDockEdge
pt | GetDragImages
pt | GetFloating
pt | GetFloatingDockSiteClass
pt | BeforeDragStart
pt | BeginAutoDrag
pt | DoFloatMsg
pt | DockTrackNoTarget
pt | DoDock
pt | DoDragMsg
pt | DoEndDock
pt | DoEndDrag
pt | DoStartDock
pt | DoStartDrag
pt | DragCanceled
pt | DragOver
pt | PositionDockRect
pt | SetDragMode
pt | GetDefaultDockCaption
pt | Click
pt | DblClick
pt | TripleClick
pt | QuadClick
pt | GetMousePosFromMessage
pt | MouseDown
pt | MouseMove
pt | MouseUp
pt | MouseEnter
pt | MouseLeave
pt | DialogChar
pt | UpdateMouseCursor
pt | Changed
pt | GetPalette
pt | ChildClassAllowed
pt | ReadState
pt | Loaded
pt | LoadedAll
pt | DefineProperties
pt | AssignTo
pt | FormEndUpdated
pt | InvalidateControl
pt | FontChanged
pt | ParentFontChanged
pt | GetAction
pt | RealGetText
pt | RealSetText
pt | TextChanged
pt | GetCachedText
pt | SetAction
pt | SetColor
pt | SetEnabled
pt | SetHint
pt | SetName
pt | SetParent
pt | SetParentComponent
pt | WndProc
pt | ParentFormHandleInitialized
pt | GetMouseCapture
pt | CaptureChanged
pt | Notification
pt | CanTab
pt | GetDeviceContext
pt | GetEnabled
pt | GetPopupMenu
pt | DoOnShowHint
pt | DoMouseWheel
pt | DoMouseWheelDown
pt | DoMouseWheelUp
pt | DoMouseWheelHorz
pt | DoMouseWheelLeft
pt | DoMouseWheelRight
pt | VisibleChanging
pt | VisibleChanged
pt | EnabledChanging
pt | EnabledChanged
pt | AddHandler
pt | RemoveHandler
pt | DoCallNotifyHandler
pt | DoCallKeyEventHandler
pt | DoCallMouseWheelEventHandler
pt | DoContextPopup
pt | SetZOrder
pt | GetControlClassDefaultSize
pt | ColorIsStored
pt | DoAutoAdjustLayout
pt | DoFixDesignFontPPI
pt | DoScaleFontPPI
pt | GetActionLinkClass
pt | ActionChange
 | DragDrop
 | Dock
 | ManualDock
 | ManualFloat
 | ReplaceDockedControl
 | Docked
 | Dragging
 | GetAccessibleObject
 | CreateAccessibleObject
 | GetSelectedChildAccessibleObject
 | GetChildAccessibleObjectAtPos
 | ScaleDesignToForm
 | ScaleFormToDesign
 | Scale96ToForm
 | ScaleFormTo96
 | Scale96ToFont
 | ScaleFontTo96
 | ScaleScreenToFont
 | ScaleFontToScreen
 | Scale96ToScreen
 | ScaleScreenTo96
 | AdjustSize
 | AutoSizePhases
 | AutoSizeDelayed
 | AutoSizeDelayedReport
 | AutoSizeDelayedHandle
 | AnchorToNeighbour
 | AnchorParallel
 | AnchorHorizontalCenterTo
 | AnchorVerticalCenterTo
 | AnchorToCompanion
 | AnchorSame
 | AnchorAsAlign
 | AnchorClient
 | AnchoredControlCount
 | SetBounds
 | SetInitialBounds
 | SetBoundsKeepBase
 | GetPreferredSize
 | GetCanvasScaleFactor
 | GetDefaultWidth
 | GetDefaultHeight
 | GetDefaultColor
 | GetColorResolvingParent
 | GetRGBColorResolvingParent
 | GetSidePosition
 | CNPreferredSizeChanged
 | InvalidatePreferredSize
 | GetAnchorsDependingOnParent
 | DisableAutoSizing
 | EnableAutoSizing
 | UpdateBaseBounds
 | WriteLayoutDebugReport
 | AutoAdjustLayout
 | ShouldAutoAdjust
 | FixDesignFontsPPI
 | ScaleFontsPPI
 | Create
 | Destroy
 | BeforeDestruction
 | EditingDone
 | ExecuteDefaultAction
 | ExecuteCancelAction
 | BeginDrag
 | EndDrag
 | BringToFront
 | HasParent
 | GetParentComponent
 | IsParentOf
 | GetTopParent
 | IsVisible
 | IsControlVisible
 | IsEnabled
 | IsParentColor
 | IsParentFont
 | FormIsUpdating
 | IsProcessingPaintMsg
 | Hide
 | Refresh
 | Repaint
 | Invalidate
 | CheckChildClassAllowed
 | CheckNewParent
 | SendToBack
 | SetTempCursor
 | UpdateRolesForForm
 | ActiveDefaultControlChanged
 | GetTextBuf
 | GetTextLen
 | SetTextBuf
 | Perform
 | ScreenToClient
 | ClientToScreen
 | ScreenToControl
 | ControlToScreen
 | ClientToParent
 | ParentToClient
 | GetChildrenRect
 | Show
 | Update
 | HandleObjectShouldBeVisible
 | ParentDestroyingHandle
 | ParentHandlesAllocated
 | InitiateAction
 | ShowHelp
 | HasHelp
 | RemoveAllHandlersOfObject
 | AddHandlerOnResize
 | RemoveHandlerOnResize
 | AddHandlerOnChangeBounds
 | RemoveHandlerOnChangeBounds
 | AddHandlerOnVisibleChanging
 | RemoveHandlerOnVisibleChanging
 | AddHandlerOnVisibleChanged
 | RemoveHandlerOnVisibleChanged
 | AddHandlerOnEnabledChanged
 | RemoveHandlerOnEnableChanging
 | AddHandlerOnKeyDown
 | RemoveHandlerOnKeyDown
 | AddHandlerOnBeforeDestruction
 | RemoveHandlerOnBeforeDestruction
 | AddHandlerOnMouseWheel
 | RemoveHandlerOnMouseWheel
 | UseRightToLeftAlignment
 | UseRightToLeftReading
 | UseRightToLeftScrollBar
 | IsRightToLeft
TLCLComponent
pt | WSRegisterClass
pt | GetWSComponentClass
 | Create
 | Destroy
 | NewInstance
 | RemoveAllHandlersOfObject
 | IncLCLRefCount
 | DecLCLRefCount
TComponent
 | GetComObject
 | GetComponent
 | GetComponentCount
 | GetComponentIndex
 | Insert
 | ReadLeft
 | ReadTop
 | Remove
 | RemoveNotification
 | SetComponentIndex
 | SetReference
 | WriteLeft
 | WriteTop
 | ChangeName
 | DefineProperties
 | GetChildren
 | GetChildOwner
 | GetChildParent
 | GetOwner
 | Loaded
 | Loading
 | Notification
 | PaletteCreated
 | ReadState
 | SetAncestor
 | SetDesigning
 | SetDesignInstance
 | SetInline
 | SetName
 | SetChildOrder
 | SetParentComponent
 | Updating
 | Updated
 | UpdateRegistry
 | ValidateRename
 | ValidateContainer
 | ValidateInsert
 | QueryInterface
 | _AddRef
 | _Release
 | iicrGetComponent
 | GetTypeInfoCount
 | GetTypeInfo
 | GetIDsOfNames
 | Invoke
 | WriteState
 | Create
 | Destroy
 | BeforeDestruction
 | DestroyComponents
 | Destroying
 | ExecuteAction
 | FindComponent
 | FreeNotification
 | RemoveFreeNotification
 | FreeOnRelease
 | GetEnumerator
 | GetNamePath
 | GetParentComponent
 | HasParent
 | InsertComponent
 | RemoveComponent
 | SafeCallException
 | SetSubComponent
 | UpdateAction
 | IsImplementorOf
 | ReferenceInterface
TPersistent
 | AssignError
 | AssignTo
 | DefineProperties
 | GetOwner
 | Destroy
 | Assign
 | FPOAttachObserver
 | FPODetachObserver
 | FPONotifyObservers
 | GetNamePath
TObject
 | Create
 | Destroy
 | newinstance
 | FreeInstance
 | SafeCallException
 | DefaultHandler
 | Free
 | InitInstance
 | CleanupInstance
 | ClassType
 | ClassInfo
 | ClassName
 | ClassNameIs
 | ClassParent
 | InstanceSize
 | InheritsFrom
 | StringMessageTable
 | MethodAddress
 | MethodName
 | FieldAddress
 | AfterConstruction
 | BeforeDestruction
 | DefaultHandlerStr
 | Dispatch
 | DispatchStr
 | GetInterface
 | GetInterfaceByStr
 | GetInterfaceWeak
 | GetInterfaceEntry
 | GetInterfaceEntryByStr
 | GetInterfaceTable
 | UnitName
 | Equals
 | GetHashCode
 | ToString


pt | ActionChange (TControl)
 | ActiveDefaultControlChanged (TControl)
 | AddControl (TWinControl)
pt | AddHandler (TControl)
 | AddHandlerOnBeforeDestruction (TControl)
 | AddHandlerOnChange (TCustomEdit)
 | AddHandlerOnChangeBounds (TControl)
 | AddHandlerOnEnabledChanged (TControl)
 | AddHandlerOnKeyDown (TControl)
 | AddHandlerOnMouseWheel (TControl)
 | AddHandlerOnResize (TControl)
 | AddHandlerOnVisibleChanged (TControl)
 | AddHandlerOnVisibleChanging (TControl)
pt | AdjustClientRect (TWinControl)
 | AdjustSize (TControl)
 | AfterConstruction (TObject)
pt | AlignControls (TWinControl)
pt | AllAutoSized (TWinControl)
 | AnchorAsAlign (TControl)
 | AnchorClient (TControl)
 | AnchoredControlCount (TControl)
 | AnchorHorizontalCenterTo (TControl)
 | AnchorParallel (TControl)
 | AnchorSame (TControl)
pt | AnchorSideChanged (TControl)
 | AnchorToCompanion (TControl)
 | AnchorToNeighbour (TControl)
 | AnchorVerticalCenterTo (TControl)
pt | ApplyMaskToText (TCustomMaskEdit)
 | Assign (TPersistent)
 | AssignError (TPersistent)
 | AssignTo (TPersistent)
pt | AssignTo (TControl)
 | AutoAdjustLayout (TControl)
 | AutoAdjustLayout (TWinControl)
 | AutoSizeDelayed (TControl)
 | AutoSizeDelayed (TWinControl)
 | AutoSizeDelayedHandle (TControl)
 | AutoSizeDelayedHandle (TWinControl)
 | AutoSizeDelayedReport (TControl)
 | AutoSizeDelayedReport (TWinControl)
 | AutoSizePhases (TControl)
 | AutoSizePhases (TWinControl)
 | BeforeDestruction (TObject)
 | BeforeDestruction (TComponent)
 | BeforeDestruction (TControl)
pt | BeforeDragStart (TControl)
pt | BeginAutoDrag (TControl)
pt | BeginAutoSizing (TControl)
 | BeginDrag (TControl)
 | BeginUpdateBounds (TWinControl)
pt | BoundsChanged (TControl)
 | BringToFront (TControl)
 | BroadCast (TWinControl)
 | BrushCreated (TWinControl)
pt | CalculateDockSizes (TControl)
pt | CalculatePreferredSize (TControl)
pt | CalculatePreferredSize (TWinControl)
pt | CalculatePreferredSize (TCustomEdit)
pt | CanAutoSize (TControl)
 | CanFocus (TWinControl)
 | CanSetFocus (TWinControl)
pt | CanShowEmulatedTextHint (TCustomEdit)
pt | CanShowEmulatedTextHint (TCustomMaskEdit)
pt | CanTab (TControl)
pt | CanTab (TWinControl)
pt | CaptureChanged (TControl)
pt | Change (TCustomEdit)
pt | Change (TCustomMaskEdit)
pt | Change (TStringCellEditor)
pt | ChangeBounds (TControl)
pt | Changed (TControl)
 | ChangeName (TComponent)
pt | ChangeScale (TControl)
pt | ChangeScale (TWinControl)
 | CheckChildClassAllowed (TControl)
pt | CheckCursor (TCustomMaskEdit)
 | CheckNewParent (TControl)
pt | CheckOnChangeBounds (TControl)
pt | ChildClassAllowed (TControl)
pt | ChildClassAllowed (TWinControl)
pt | ChildClassAllowed (TCustomEdit)
pt | ChildHandlesCreated (TWinControl)
pt | ChildKey (TWinControl)
 | ClassInfo (TObject)
 | ClassName (TObject)
 | ClassNameIs (TObject)
 | ClassParent (TObject)
 | ClassType (TObject)
 | CleanupInstance (TObject)
 | Clear (TCustomEdit)
 | Clear (TCustomMaskEdit)
 | ClearSelection (TCustomEdit)
pt | Click (TControl)
 | ClientRectNeedsInterfaceUpdate (TWinControl)
 | ClientToParent (TControl)
 | ClientToScreen (TControl)
pt | CMBiDiModeChanged (TControl)
pt | CMBiDiModeChanged (TWinControl)
pt | CMBorderChanged (TWinControl)
pt | CMChanged (TControl)
pt | CMCursorChanged (TControl)
pt | CMDoubleBufferedChanged (TWinControl)
pt | CMEnabledChanged (TControl)
pt | CMEnabledChanged (TWinControl)
pt | CMEnter (TWinControl)
pt | CMExit (TWinControl)
pt | CMHintShow (TControl)
pt | CMHitTest (TControl)
pt | CMMouseEnter (TControl)
pt | CMMouseLeave (TControl)
pt | CMParentBiDiModeChanged (TControl)
pt | CMParentColorChanged (TControl)
pt | CMParentDoubleBufferedChanged (TWinControl)
pt | CMParentFontChanged (TControl)
pt | CMParentShowHintChanged (TControl)
pt | CMShowHintChanged (TWinControl)
pt | CMShowingChanged (TWinControl)
pt | CMSysFontChanged (TControl)
pt | CMTextChanged (TControl)
pt | CMVisibleChanged (TControl)
pt | CMVisibleChanged (TWinControl)
pt | CMWantSpecialKey (TCustomEdit)
pt | CNChar (TWinControl)
pt | CNKeyDown (TWinControl)
pt | CNKeyUp (TWinControl)
 | CNPreferredSizeChanged (TControl)
pt | CNSysKeyDown (TWinControl)
pt | CNSysKeyUp (TWinControl)
pt | ColorIsStored (TControl)
pt | ConstrainedResize (TControl)
 | ContainsControl (TWinControl)
 | ControlAtPos (TWinControl)
pt | ControlKeyDown (TWinControl)
pt | ControlKeyUp (TWinControl)
pt | ControlsAligned (TWinControl)
 | ControlToScreen (TControl)
 | CopyToClipboard (TCustomEdit)
 | Create (TObject)
 | Create (TComponent)
 | Create (TLCLComponent)
 | Create (TControl)
 | Create (TWinControl)
 | Create (TCustomEdit)
 | Create (TCustomMaskEdit)
 | Create (TStringCellEditor)
 | CreateAccessibleObject (TControl)
pt | CreateBrush (TWinControl)
pt | CreateControlBorderSpacing (TControl)
pt | CreateDockManager (TWinControl)
pt | CreateEmulatedTextHintFont (TCustomEdit)
pt | CreateFloatingDockSite (TControl)
pt | CreateHandle (TWinControl)
pt | CreateParams (TWinControl)
pt | CreateParams (TCustomEdit)
 | CreateParented (TWinControl)
 | CreateParentedControl (TWinControl)
pt | CreateSubClass (TWinControl)
pt | CreateWnd (TWinControl)
pt | CustomAlignInsertBefore (TWinControl)
pt | CustomAlignPosition (TWinControl)
 | CutToClipboard (TCustomEdit)
 | CutToClipBoard (TCustomMaskEdit)
pt | DblClick (TControl)
 | DecLCLRefCount (TLCLComponent)
 | DefaultHandler (TObject)
 | DefaultHandler (TWinControl)
 | DefaultHandlerStr (TObject)
 | DefineProperties (TPersistent)
 | DefineProperties (TComponent)
pt | DefineProperties (TControl)
 | Destroy (TObject)
 | Destroy (TPersistent)
 | Destroy (TComponent)
 | Destroy (TLCLComponent)
 | Destroy (TControl)
 | Destroy (TWinControl)
 | Destroy (TCustomEdit)
 | DestroyComponents (TComponent)
pt | DestroyHandle (TWinControl)
 | Destroying (TComponent)
pt | DestroyWnd (TWinControl)
pt | DialogChar (TControl)
pt | DialogChar (TWinControl)
 | DisableAlign (TWinControl)
 | DisableAutoSizing (TControl)
pt | DisableMask (TCustomMaskEdit)
 | Dispatch (TObject)
 | DispatchStr (TObject)
pt | DoAddDockClient (TWinControl)
 | DoAdjustClientRectChange (TWinControl)
pt | DoAlignChildControls (TWinControl)
pt | DoAllAutoSize (TControl)
pt | DoAllAutoSize (TWinControl)
pt | DoAutoAdjustLayout (TControl)
pt | DoAutoSize (TControl)
pt | DoAutoSize (TWinControl)
pt | DoBorderSpacingChange (TControl)
pt | DoCallKeyEventHandler (TControl)
pt | DoCallMouseWheelEventHandler (TControl)
pt | DoCallNotifyHandler (TControl)
pt | DoChildSizingChange (TWinControl)
 | Dock (TControl)
 | DockDrop (TWinControl)
 | Docked (TControl)
pt | DockOver (TWinControl)
pt | DockTrackNoTarget (TControl)
pt | DoConstraintsChange (TControl)
pt | DoConstraintsChange (TWinControl)
pt | DoContextPopup (TControl)
pt | DoDock (TControl)
pt | DoDockClientMsg (TWinControl)
pt | DoDockOver (TWinControl)
pt | DoDragMsg (TControl)
pt | DoDragMsg (TWinControl)
pt | DoEndDock (TControl)
pt | DoEndDrag (TControl)
pt | DoEnter (TWinControl)
pt | DoEnter (TCustomEdit)
pt | DoEnter (TCustomMaskEdit)
pt | DoExit (TWinControl)
pt | DoExit (TCustomEdit)
pt | DoExit (TCustomMaskEdit)
pt | DoFixDesignFontPPI (TControl)
pt | DoFlipChildren (TWinControl)
pt | DoFloatMsg (TControl)
pt | DoFloatMsg (TWinControl)
pt | DoGetDockCaption (TWinControl)
pt | DoKeyDownBeforeInterface (TWinControl)
pt | DoKeyPress (TWinControl)
pt | DoKeyUpBeforeInterface (TWinControl)
pt | DoMouseWheel (TControl)
pt | DoMouseWheelDown (TControl)
pt | DoMouseWheelHorz (TControl)
pt | DoMouseWheelLeft (TControl)
pt | DoMouseWheelRight (TControl)
pt | DoMouseWheelUp (TControl)
pt | DoOnChangeBounds (TControl)
pt | DoOnParentHandleDestruction (TControl)
pt | DoOnResize (TControl)
pt | DoOnShowHint (TControl)
pt | DoRemainingKeyDown (TWinControl)
pt | DoRemainingKeyUp (TWinControl)
pt | DoRemoveDockClient (TWinControl)
pt | DoScaleFontPPI (TControl)
pt | DoSendBoundsToInterface (TWinControl)
pt | DoSendShowHideToInterface (TWinControl)
pt | DoSetBounds (TControl)
pt | DoSetBounds (TWinControl)
pt | DoStartDock (TControl)
pt | DoStartDrag (TControl)
pt | DoUnDock (TWinControl)
pt | DoUndockClientMsg (TWinControl)
pt | DoUTF8KeyPress (TWinControl)
pt | DragCanceled (TControl)
 | DragDrop (TControl)
 | Dragging (TControl)
pt | DragOver (TControl)
pt | EditCanModify (TCustomMaskEdit)
 | EditingDone (TControl)
pt | EditingDone (TCustomEdit)
 | EditingDone (TStringCellEditor)
 | EnableAlign (TWinControl)
 | EnableAutoSizing (TControl)
pt | EnabledChanged (TControl)
pt | EnabledChanging (TControl)
pt | EndAutoSizing (TControl)
 | EndDrag (TControl)
 | EndUpdateBounds (TWinControl)
 | Equals (TObject)
 | EraseBackground (TWinControl)
 | ExecuteAction (TComponent)
 | ExecuteCancelAction (TControl)
 | ExecuteDefaultAction (TControl)
 | FieldAddress (TObject)
pt | FinalizeWnd (TWinControl)
 | FindChildControl (TWinControl)
 | FindComponent (TComponent)
pt | FindNextControl (TWinControl)
 | FixDesignFontsPPI (TControl)
pt | FixupTabList (TWinControl)
 | FlipChildren (TWinControl)
 | Focused (TWinControl)
pt | FontChanged (TControl)
pt | FontChanged (TWinControl)
pt | FontChanged (TCustomEdit)
pt | ForeignAnchorSideChanged (TControl)
pt | FormEndUpdated (TControl)
pt | FormEndUpdated (TWinControl)
 | FormIsUpdating (TControl)
 | FPOAttachObserver (TPersistent)
 | FPODetachObserver (TPersistent)
 | FPONotifyObservers (TPersistent)
 | Free (TObject)
 | FreeInstance (TObject)
 | FreeNotification (TComponent)
 | FreeOnRelease (TComponent)
 | GetAccessibleObject (TControl)
pt | GetAction (TControl)
pt | GetActionLinkClass (TControl)
pt | GetAdjustedLogicalClientRect (TWinControl)
 | GetAnchorsDependingOnParent (TControl)
pt | GetBorderStyle (TWinControl)
pt | GetCachedText (TControl)
 | GetCanvasScaleFactor (TControl)
pt | GetCaretPos (TCustomEdit)
pt | GetCharCase (TCustomMaskEdit)
 | GetChildAccessibleObjectAtPos (TControl)
 | GetChildOwner (TComponent)
 | GetChildParent (TComponent)
 | GetChildren (TComponent)
pt | GetChildren (TWinControl)
 | GetChildrenRect (TControl)
 | GetChildrenRect (TWinControl)
pt | GetClientOrigin (TControl)
pt | GetClientOrigin (TWinControl)
pt | GetClientRect (TControl)
pt | GetClientRect (TWinControl)
pt | GetClientScrollOffset (TControl)
 | GetColorResolvingParent (TControl)
 | GetComObject (TComponent)
 | GetComponent (TComponent)
 | GetComponentCount (TComponent)
 | GetComponentIndex (TComponent)
pt | GetControlClassDefaultSize (TControl)
pt | GetControlClassDefaultSize (TCustomEdit)
 | GetControlIndex (TWinControl)
pt | GetControlOrigin (TControl)
pt | GetControlOrigin (TWinControl)
pt | GetCursor (TControl)
 | GetDefaultColor (TControl)
pt | GetDefaultDockCaption (TControl)
 | GetDefaultHeight (TControl)
 | GetDefaultWidth (TControl)
pt | GetDeviceContext (TControl)
pt | GetDeviceContext (TWinControl)
 | GetDockCaption (TWinControl)
pt | GetDockEdge (TControl)
pt | GetDragImages (TControl)
pt | GetEditText (TCustomMaskEdit)
pt | GetEnabled (TControl)
 | GetEnumerator (TComponent)
 | GetEnumeratorControls (TWinControl)
 | GetEnumeratorControlsReverse (TWinControl)
pt | GetFloating (TControl)
pt | GetFloatingDockSiteClass (TControl)
 | GetHashCode (TObject)
 | GetIDsOfNames (TComponent)
 | GetInterface (TObject)
 | GetInterfaceByStr (TObject)
 | GetInterfaceEntry (TObject)
 | GetInterfaceEntryByStr (TObject)
 | GetInterfaceTable (TObject)
 | GetInterfaceWeak (TObject)
pt | GetLogicalClientRect (TControl)
pt | GetMaxLength (TCustomMaskEdit)
pt | GetMouseCapture (TControl)
pt | GetMouseCapture (TWinControl)
pt | GetMousePosFromMessage (TControl)
 | GetNamePath (TPersistent)
 | GetNamePath (TComponent)
pt | GetNumbersOnly (TCustomEdit)
 | GetOwner (TPersistent)
 | GetOwner (TComponent)
pt | GetPalette (TControl)
pt | GetParentBackground (TWinControl)
 | GetParentComponent (TComponent)
 | GetParentComponent (TControl)
pt | GetParentHandle (TWinControl)
pt | GetPopupMenu (TControl)
 | GetPreferredSize (TControl)
pt | GetPreferredSizeClientFrame (TWinControl)
pt | GetReadOnly (TCustomEdit)
 | GetRGBColorResolvingParent (TControl)
pt | GetScrolledClientRect (TControl)
pt | GetSel (TCustomMaskEdit)
 | GetSelectedChildAccessibleObject (TControl)
pt | GetSelLength (TCustomEdit)
pt | GetSelStart (TCustomEdit)
pt | GetSelText (TCustomEdit)
 | GetSidePosition (TControl)
pt | GetSiteInfo (TWinControl)
 | GetTabOrderList (TWinControl)
 | GetTextBuf (TControl)
pt | GetTextHint (TCustomEdit)
 | GetTextLen (TControl)
 | GetTextLen (TWinControl)
pt | GetTextWithoutMask (TCustomMaskEdit)
pt | GetTextWithoutSpaceChar (TCustomMaskEdit)
 | GetTopParent (TControl)
pt | GetTopParentHandle (TWinControl)
 | GetTypeInfo (TComponent)
 | GetTypeInfoCount (TComponent)
pt | GetWSComponentClass (TLCLComponent)
 | HandleAllocated (TWinControl)
pt | HandleKeyPress (TCustomMaskEdit)
 | HandleNeeded (TWinControl)
 | HandleObjectShouldBeVisible (TControl)
 | HasHelp (TControl)
 | HasParent (TComponent)
 | HasParent (TControl)
pt | HeightIsAnchored (TControl)
 | Hide (TControl)
 | iicrGetComponent (TComponent)
 | IncLCLRefCount (TLCLComponent)
 | InheritsFrom (TObject)
pt | InitializeWnd (TWinControl)
pt | InitializeWnd (TCustomEdit)
 | InitiateAction (TControl)
 | InitInstance (TObject)
 | Insert (TComponent)
 | InsertComponent (TComponent)
 | InsertControl (TWinControl)
 | InstanceSize (TObject)
 | IntfGetDropFilesTarget (TWinControl)
 | IntfUTF8KeyPress (TWinControl)
 | Invalidate (TControl)
 | Invalidate (TWinControl)
pt | InvalidateBoundsRealized (TWinControl)
 | InvalidateClientRectCache (TWinControl)
pt | InvalidateControl (TControl)
pt | InvalidatePreferredChildSizes (TWinControl)
 | InvalidatePreferredSize (TControl)
 | Invoke (TComponent)
pt | IsAParentAligning (TControl)
pt | IsBorderSpacingInnerBorderStored (TControl)
pt | IsCaptionStored (TControl)
pt | IsClientHeightStored (TControl)
pt | IsClientHeightStored (TWinControl)
pt | IsClientWidthStored (TControl)
pt | IsClientWidthStored (TWinControl)
pt | IsControlMouseMsg (TWinControl)
 | IsControlVisible (TControl)
 | IsEnabled (TControl)
 | IsImplementorOf (TComponent)
 | IsParentColor (TControl)
 | IsParentFont (TControl)
 | IsParentOf (TControl)
 | IsProcessingPaintMsg (TControl)
 | IsRightToLeft (TControl)
 | IsVisible (TControl)
pt | KeyDown (TWinControl)
pt | KeyDown (TCustomMaskEdit)
pt | KeyDown (TStringCellEditor)
pt | KeyDownAfterInterface (TWinControl)
pt | KeyDownBeforeInterface (TWinControl)
pt | KeyPress (TWinControl)
pt | KeyPress (TCustomMaskEdit)
pt | KeyUp (TWinControl)
pt | KeyUpAfterInterface (TWinControl)
pt | KeyUpAfterInterface (TCustomEdit)
pt | KeyUpBeforeInterface (TWinControl)
pt | LMCaptureChanged (TControl)
pt | LMClearSel (TCustomMaskEdit)
pt | LMCutToClip (TCustomMaskEdit)
pt | LMPasteFromClip (TCustomMaskEdit)
 | Loaded (TComponent)
pt | Loaded (TControl)
pt | Loaded (TWinControl)
pt | Loaded (TCustomMaskEdit)
pt | LoadedAll (TControl)
 | Loading (TComponent)
 | LockRealizeBounds (TWinControl)
pt | MainWndProc (TWinControl)
 | ManualDock (TControl)
 | ManualFloat (TControl)
 | MethodAddress (TObject)
 | MethodName (TObject)
pt | MouseDown (TControl)
pt | MouseEnter (TControl)
pt | MouseLeave (TControl)
pt | MouseMove (TControl)
pt | MouseUp (TControl)
pt | MouseUp (TCustomEdit)
pt | MouseUp (TCustomMaskEdit)
pt | msg_GetGrid (TStringCellEditor)
pt | msg_GetValue (TStringCellEditor)
pt | msg_SelectAll (TStringCellEditor)
pt | msg_SetGrid (TStringCellEditor)
pt | msg_SetMask (TStringCellEditor)
pt | msg_SetPos (TStringCellEditor)
pt | msg_SetValue (TStringCellEditor)
 | newinstance (TObject)
 | NewInstance (TLCLComponent)
 | Notification (TComponent)
pt | Notification (TControl)
 | NotifyControls (TWinControl)
pt | PaintControls (TWinControl)
pt | PaintHandler (TWinControl)
 | PaintTo (TWinControl)
pt | PaintWindow (TWinControl)
 | PaletteCreated (TComponent)
 | ParentDestroyingHandle (TControl)
pt | ParentFontChanged (TControl)
pt | ParentFormHandleInitialized (TControl)
pt | ParentFormHandleInitialized (TWinControl)
 | ParentHandlesAllocated (TControl)
 | ParentHandlesAllocated (TWinControl)
 | ParentToClient (TControl)
 | PasteFromClipboard (TCustomEdit)
 | PasteFromClipBoard (TCustomMaskEdit)
 | Perform (TControl)
 | PerformTab (TWinControl)
pt | PositionDockRect (TControl)
pt | QuadClick (TControl)
 | QueryInterface (TComponent)
 | ReadLeft (TComponent)
 | ReadState (TComponent)
pt | ReadState (TControl)
 | ReadTop (TComponent)
pt | RealGetText (TControl)
pt | RealGetText (TWinControl)
pt | RealGetText (TCustomEdit)
pt | RealGetText (TCustomMaskEdit)
 | ReAlign (TWinControl)
pt | RealizeBounds (TWinControl)
pt | RealizeBoundsRecursive (TWinControl)
pt | RealSetText (TControl)
pt | RealSetText (TWinControl)
pt | RealSetText (TCustomEdit)
pt | RealSetText (TCustomMaskEdit)
 | ReferenceInterface (TComponent)
 | Refresh (TControl)
pt | ReloadDockedControl (TWinControl)
 | Remove (TComponent)
 | RemoveAllHandlersOfObject (TLCLComponent)
 | RemoveAllHandlersOfObject (TControl)
 | RemoveAllHandlersOfObject (TCustomEdit)
 | RemoveComponent (TComponent)
 | RemoveControl (TWinControl)
pt | RemoveFocus (TWinControl)
 | RemoveFreeNotification (TComponent)
pt | RemoveHandler (TControl)
 | RemoveHandlerOnBeforeDestruction (TControl)
 | RemoveHandlerOnChange (TCustomEdit)
 | RemoveHandlerOnChangeBounds (TControl)
 | RemoveHandlerOnEnableChanging (TControl)
 | RemoveHandlerOnKeyDown (TControl)
 | RemoveHandlerOnMouseWheel (TControl)
 | RemoveHandlerOnResize (TControl)
 | RemoveHandlerOnVisibleChanged (TControl)
 | RemoveHandlerOnVisibleChanging (TControl)
 | RemoveNotification (TComponent)
 | Repaint (TControl)
 | Repaint (TWinControl)
 | ReplaceDockedControl (TControl)
pt | RequestAlign (TControl)
pt | Reset (TCustomMaskEdit)
pt | Resize (TControl)
pt | RestoreMask (TCustomMaskEdit)
 | SafeCallException (TObject)
 | SafeCallException (TComponent)
 | Scale96ToFont (TControl)
 | Scale96ToForm (TControl)
 | Scale96ToScreen (TControl)
 | ScaleBy (TWinControl)
pt | ScaleConstraints (TControl)
pt | ScaleControls (TWinControl)
 | ScaleDesignToForm (TControl)
 | ScaleFontsPPI (TControl)
 | ScaleFontTo96 (TControl)
 | ScaleFontToScreen (TControl)
 | ScaleFormTo96 (TControl)
 | ScaleFormToDesign (TControl)
 | ScaleScreenTo96 (TControl)
 | ScaleScreenToFont (TControl)
 | ScreenToClient (TControl)
 | ScreenToControl (TControl)
 | ScrollBy (TWinControl)
 | ScrollBy_WS (TWinControl)
 | SelectAll (TCustomEdit)
pt | SelectFirst (TWinControl)
 | SelectNext (TWinControl)
pt | SendDialogChar (TWinControl)
pt | SendMoveSizeMessages (TControl)
pt | SendMoveSizeMessages (TWinControl)
 | SendToBack (TControl)
pt | SetAction (TControl)
pt | SetAlign (TControl)
 | SetAncestor (TComponent)
pt | SetAnchors (TControl)
pt | SetAutoSize (TControl)
pt | SetBiDiMode (TControl)
pt | SetBorderStyle (TWinControl)
 | SetBounds (TControl)
 | SetBounds (TWinControl)
 | SetBoundsKeepBase (TControl)
pt | SetCaretPos (TCustomEdit)
pt | SetCharCase (TCustomMaskEdit)
 | SetChildOrder (TComponent)
pt | SetChildZPosition (TWinControl)
pt | SetColor (TControl)
pt | SetColor (TWinControl)
 | SetComponentIndex (TComponent)
 | SetControlIndex (TWinControl)
pt | SetCursor (TControl)
 | SetDesigning (TComponent)
 | SetDesignInstance (TComponent)
pt | SetDockManager (TWinControl)
pt | SetDragMode (TControl)
pt | SetEchoMode (TCustomEdit)
pt | SetEditText (TCustomMaskEdit)
pt | SetEnabled (TControl)
 | SetFocus (TWinControl)
pt | SetHint (TControl)
 | SetInitialBounds (TControl)
 | SetInline (TComponent)
pt | SetMaxLength (TCustomMaskEdit)
 | SetName (TComponent)
pt | SetName (TControl)
pt | SetNumbersOnly (TCustomEdit)
pt | SetNumbersOnly (TCustomMaskEdit)
pt | SetParent (TControl)
pt | SetParentBackground (TWinControl)
pt | SetParentBiDiMode (TControl)
 | SetParentComponent (TComponent)
pt | SetParentComponent (TControl)
pt | SetReadOnly (TCustomEdit)
 | SetReference (TComponent)
pt | SetSel (TCustomMaskEdit)
pt | SetSelLength (TCustomEdit)
pt | SetSelStart (TCustomEdit)
pt | SetSelText (TCustomEdit)
 | SetShape (TWinControl)
 | SetSubComponent (TComponent)
 | SetTempCursor (TControl)
 | SetTempCursor (TWinControl)
pt | SetTextApplyMask (TCustomMaskEdit)
 | SetTextBuf (TControl)
pt | SetTextHint (TCustomEdit)
pt | SetVisible (TControl)
pt | SetZOrder (TControl)
 | ShouldAutoAdjust (TControl)
pt | ShouldAutoAdjust (TCustomEdit)
 | Show (TControl)
pt | ShowControl (TWinControl)
 | ShowHelp (TControl)
 | StringMessageTable (TObject)
pt | TextChanged (TControl)
pt | TextChanged (TCustomEdit)
pt | TextChanged (TCustomMaskEdit)
 | ToString (TObject)
pt | TripleClick (TControl)
 | Undo (TCustomEdit)
 | UnitName (TObject)
 | UnlockRealizeBounds (TWinControl)
 | Update (TControl)
 | Update (TWinControl)
 | UpdateAction (TComponent)
pt | UpdateAnchorRules (TControl)
 | UpdateBaseBounds (TControl)
pt | UpdateControlState (TWinControl)
 | Updated (TComponent)
 | UpdateDockCaption (TWinControl)
pt | UpdateMouseCursor (TControl)
 | UpdateRegistry (TComponent)
 | UpdateRolesForForm (TControl)
pt | UpdateShowing (TWinControl)
 | Updating (TComponent)
 | UseRightToLeftAlignment (TControl)
 | UseRightToLeftReading (TControl)
 | UseRightToLeftScrollBar (TControl)
pt | UTF8KeyPress (TWinControl)
pt | Utf8KeyPress (TCustomMaskEdit)
 | ValidateContainer (TComponent)
 | ValidateEdit (TCustomMaskEdit)
 | ValidateInsert (TComponent)
 | ValidateRename (TComponent)
pt | VisibleChanged (TControl)
pt | VisibleChanging (TControl)
pt | WidthIsAnchored (TControl)
pt | WMCancelMode (TControl)
pt | WMChar (TWinControl)
pt | WMChar (TCustomEdit)
pt | WMContextMenu (TControl)
pt | WMContextMenu (TWinControl)
pt | WMDestroy (TWinControl)
pt | WMEnter (TWinControl)
pt | WMEraseBkgnd (TWinControl)
pt | WMExit (TWinControl)
pt | WMKeyDown (TWinControl)
pt | WMKeyUp (TWinControl)
pt | WMKillFocus (TWinControl)
pt | WMKillFocus (TCustomEdit)
pt | WMLButtonDBLCLK (TControl)
pt | WMLButtonDown (TControl)
pt | WMLButtonQuadCLK (TControl)
pt | WMLButtonTripleCLK (TControl)
pt | WMLButtonUp (TControl)
pt | WMMButtonDBLCLK (TControl)
pt | WMMButtonDown (TControl)
pt | WMMButtonQuadCLK (TControl)
pt | WMMButtonTripleCLK (TControl)
pt | WMMButtonUp (TControl)
pt | WMMouseHWheel (TControl)
pt | WMMouseMove (TControl)
pt | WMMouseWheel (TControl)
pt | WMMove (TControl)
pt | WMMove (TWinControl)
pt | WMNotify (TWinControl)
pt | WMPaint (TWinControl)
pt | WMRButtonDBLCLK (TControl)
pt | WMRButtonDown (TControl)
pt | WMRButtonQuadCLK (TControl)
pt | WMRButtonTripleCLK (TControl)
pt | WMRButtonUp (TControl)
pt | WMSetFocus (TWinControl)
pt | WMSetFocus (TCustomEdit)
pt | WMShowWindow (TWinControl)
pt | WMSize (TControl)
pt | WMSize (TWinControl)
pt | WMSysChar (TWinControl)
pt | WMSysKeyDown (TWinControl)
pt | WMSysKeyUp (TWinControl)
pt | WMWindowPosChanged (TControl)
pt | WMWindowPosChanged (TWinControl)
pt | WMXButtonDBLCLK (TControl)
pt | WMXButtonDown (TControl)
pt | WMXButtonQuadCLK (TControl)
pt | WMXButtonTripleCLK (TControl)
pt | WMXButtonUp (TControl)
pt | WndProc (TControl)
pt | WndProc (TWinControl)
pt | WndProc (TCustomEdit)
pt | WndProc (TStringCellEditor)
 | WriteLayoutDebugReport (TControl)
 | WriteLayoutDebugReport (TWinControl)
 | WriteLeft (TComponent)
 | WriteState (TComponent)
 | WriteTop (TComponent)
pt | WSRegisterClass (TLCLComponent)
pt | WSRegisterClass (TControl)
pt | WSRegisterClass (TWinControl)
pt | WSRegisterClass (TCustomEdit)
pt | WSSetText (TWinControl)
 | _AddRef (TComponent)
 | _Release (TComponent)


TStringCellEditor
 | ro | OnEditingDone
TCustomMaskEdit
TCustomEdit
 |  | OnChange
TWinControl
pt |  | OnGetSiteInfo
pt |  | OnGetDockCaption
 |  | OnAlignInsertBefore
 |  | OnAlignPosition
 |  | OnDockDrop
 |  | OnDockOver
 |  | OnEnter
 |  | OnExit
 |  | OnKeyDown
 |  | OnKeyPress
 |  | OnKeyUp
 |  | OnUnDock
 |  | OnUTF8KeyPress
TControl
pt |  | OnConstrainedResize
pt |  | OnContextPopup
pt |  | OnDblClick
pt |  | OnTripleClick
pt |  | OnQuadClick
pt |  | OnDragDrop
pt |  | OnDragOver
pt |  | OnEndDock
pt |  | OnEndDrag
pt |  | OnMouseDown
pt |  | OnMouseMove
pt |  | OnMouseUp
pt |  | OnMouseEnter
pt |  | OnMouseLeave
pt |  | OnMouseWheel
pt |  | OnMouseWheelDown
pt |  | OnMouseWheelUp
pt |  | OnMouseWheelHorz
pt |  | OnMouseWheelLeft
pt |  | OnMouseWheelRight
pt |  | OnStartDock
pt |  | OnStartDrag
pt |  | OnEditingDone
 |  | OnChangeBounds
 |  | OnClick
 |  | OnResize
 |  | OnShowHint
TLCLComponent
TComponent
TPersistent
TObject


 |  | OnAlignInsertBefore (TWinControl)
 |  | OnAlignPosition (TWinControl)
 |  | OnChange (TCustomEdit)
 |  | OnChangeBounds (TControl)
 |  | OnClick (TControl)
pt |  | OnConstrainedResize (TControl)
pt |  | OnContextPopup (TControl)
pt |  | OnDblClick (TControl)
 |  | OnDockDrop (TWinControl)
 |  | OnDockOver (TWinControl)
pt |  | OnDragDrop (TControl)
pt |  | OnDragOver (TControl)
pt |  | OnEditingDone (TControl)
 | ro | OnEditingDone (TStringCellEditor)
pt |  | OnEndDock (TControl)
pt |  | OnEndDrag (TControl)
 |  | OnEnter (TWinControl)
 |  | OnExit (TWinControl)
pt |  | OnGetDockCaption (TWinControl)
pt |  | OnGetSiteInfo (TWinControl)
 |  | OnKeyDown (TWinControl)
 |  | OnKeyPress (TWinControl)
 |  | OnKeyUp (TWinControl)
pt |  | OnMouseDown (TControl)
pt |  | OnMouseEnter (TControl)
pt |  | OnMouseLeave (TControl)
pt |  | OnMouseMove (TControl)
pt |  | OnMouseUp (TControl)
pt |  | OnMouseWheel (TControl)
pt |  | OnMouseWheelDown (TControl)
pt |  | OnMouseWheelHorz (TControl)
pt |  | OnMouseWheelLeft (TControl)
pt |  | OnMouseWheelRight (TControl)
pt |  | OnMouseWheelUp (TControl)
pt |  | OnQuadClick (TControl)
 |  | OnResize (TControl)
 |  | OnShowHint (TControl)
pt |  | OnStartDock (TControl)
pt |  | OnStartDrag (TControl)
pt |  | OnTripleClick (TControl)
 |  | OnUnDock (TWinControl)
 |  | OnUTF8KeyPress (TWinControl)


TStringCellEditor.msg_GetGrid

Declaration

Source position: grids.pas line 246

protected procedure TStringCellEditor.msg_GetGrid(

  var Msg: TGridMessage

); message;


TStringCellEditor.msg_GetValue

msg_GetValue - issues message for obtaining value

Declaration

Source position: grids.pas line 242

protected procedure TStringCellEditor.msg_GetValue(

  var Msg: TGridMessage

); message;


TStringCellEditor.msg_SelectAll

msg_SelectAll - issues message for Selecting All

Declaration

Source position: grids.pas line 244

protected procedure TStringCellEditor.msg_SelectAll(

  var Msg: TGridMessage

); message;


TStringCellEditor.msg_SetGrid

msg_SetGrid - issues message for specifying grid

Declaration

Source position: grids.pas line 243

protected procedure TStringCellEditor.msg_SetGrid(

  var Msg: TGridMessage

); message;


TStringCellEditor.msg_SetMask

msg_SetMask - issues message for specifying mask

Declaration

Source position: grids.pas line 240

protected procedure TStringCellEditor.msg_SetMask(

  var Msg: TGridMessage

); message;


TStringCellEditor.msg_SetPos

msg_SetPos - issues message for specifying position

Declaration

Source position: grids.pas line 245

protected procedure TStringCellEditor.msg_SetPos(

  var Msg: TGridMessage

); message;


TStringCellEditor.msg_SetValue

msg_SetValue - issue message for specifying value

Declaration

Source position: grids.pas line 241

protected procedure TStringCellEditor.msg_SetValue(

  var Msg: TGridMessage

); message;


TStringCellEditor.OnEditingDone

Declaration

Source position: grids.pas line 251

public property TStringCellEditor.OnEditingDone : TNotifyEvent;


TStringGrid

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

TStringGrid - a specialised grid for displaying strings (text material) in a matrix of columns and rows

Declaration

Source position: grids.pas line 1750

type TStringGrid = class(TCustomStringGrid)
protected
class procedure WSRegisterClass; override; | Registers this component class with the current WidgetSet.
public
property Modified: Boolean; | Whether or not the current cell has been Modified
property InplaceEditor: TWinControl;
published
property Align: TAlign; | Specifies the placement of the control inside its Parent.
property AlternateColor: TColor; | The colour to be used for the background on alternate rows of the grid. Having alternate rows in different colours can make the grid easier to read.
property Anchors: TAnchors; | The set of anchor definitions for this control.
property AutoAdvance: TAutoAdvance; | Automatically advance down the grid on successive mouse clicks or presses of the ENTER or TAB key
property AutoEdit: Boolean; | Whether the Edit mode is automatically entered when a cell is selected
property AutoFillColumns: Boolean; | Automatically resize columns so they fill all grid's visible area
property BiDiMode: TBiDiMode;
property BorderSpacing: TControlBorderSpacing; | Determines the inner and outer border spacing for this control.
property BorderStyle: TBorderStyle; | Allows to show a border (line) around the control,
property CellHintPriority: TCellHintPriority;
property Color: TColor; | The background color of the control.
property ColCount: Integer; | Number of columns of the grid.
property ColumnClickSorts: Boolean;
property Columns: TGridColumns; | The properties of the columns in this grid
property Constraints: TSizeConstraints;
property DefaultColWidth: Integer; | Default value for the width of newly created grid columns.
property DefaultDrawing: Boolean; | Is the default drawing method to be used for this grid? Default is TRUE
property DefaultRowHeight: Integer; | Default value for the height of newly created grid rows.
property DoubleBuffered: Boolean;
property DragCursor: TCursor; | The cursor shape shown while the control is dragged.
property DragKind: TDragKind; | The operation when the control is dragged - Drag or Dock.
property DragMode: TDragMode; | Allows the user to drag the control.
property Enabled: Boolean; | Determines whether the control reacts on mouse or keyboard input.
property ExtendedSelect: Boolean; | ExtendedSelect - the ability to select cells beyond the boundary of the visible part of the grid
property FixedColor: TColor; | The color for the fixed cells of the grid.
property FixedCols: Integer; | Number of the fixed columns of the grid (ie the columns containing title or identifier material, that don't get scrolled when the rest of the grid moves).
property FixedRows: Integer; | Number of the fixed rows of the grid (ie the rows containing title or identifier material, that don't get scrolled when the rest of the grid moves).
property Flat: Boolean; | Is the cell to be displayed Flat, ie with no texturing or raised/lowered effect
property Font: TFont; |
property GridLineWidth: Integer; | Width (thickness) of GridLines
property HeaderHotZones: TGridZoneSet; | HeaderHotZones - the header zones corresponding to the position of the mouse cursor
property HeaderPushZones: TGridZoneSet; | HeaderPushZones - the zones of the header that have been pushed down (selected)
property ImageIndexSortAsc: TImageIndex;
property ImageIndexSortDesc: TImageIndex;
property MouseWheelOption: TMouseWheelOption;
property Options: TGridOptions; | The options available for use in this grid
property Options2: TGridOptions2;
property ParentBiDiMode: Boolean;
property ParentColor: Boolean; | If true, the Color of the control will be the same as the one from the Parent. Default is true.
property ParentDoubleBuffered: Boolean;
property ParentFont: Boolean;
property ParentShowHint: Boolean; | If true, the value of ShowHint for the control will be the same as the one from the Parent. Default is true.
property PopupMenu: TPopupMenu; | A context-sensitive menu that pops up when the right mouse button is clicked over this control
property RangeSelectMode: TRangeSelectMode;
property RowCount: Integer; | Number of rows in the grid
property ScrollBars: TScrollStyle; | The ScrollBars to be used with this grid
property ShowHint: Boolean; | Enables the Hint display.
property TabAdvance: TAutoAdvance;
property TabOrder: TTabOrder; | Determines the sequence of controls, reachable when the user presses the Tab key.
property TabStop: Boolean; | Allows the user to navigate to this control, by pressing the Tab key.
property TitleFont: TFont; | The font to be used in the grid's title
property TitleImageList: TImageList; | TitleImageList - the list of images to be used with the titles
property TitleStyle: TTitleStyle; | The style to be used for the grid's title
property UseXORFeatures: Boolean; | UseXORFeatures: When True, the dotted focus rectangle is painted using the XOR raster operation
property Visible: Boolean; | Allows to show or hide the control, and all of its children.
property VisibleColCount: Integer; | The number of visible columns
property VisibleRowCount: Integer; | The number of visible rows
property OnAfterSelection: TOnSelectEvent;
property OnBeforeSelection: TOnSelectEvent; | OnBeforeSelection - event handler for use before a selection is made
property OnCellProcess: TCellProcessEvent;
property OnChangeBounds: TNotifyEvent; | Event handler for a change of the Bounds of the control.
property OnCheckboxToggled: TToggledCheckboxEvent;
property OnClick: TNotifyEvent; | Notification handler for mouse clicks.
property OnColRowDeleted: TGridOperationEvent; | Event handler when a grid column or row is deleted
property OnColRowExchanged: TGridOperationEvent; | Event handler when a grid column or row has its position exchanged with another
property OnColRowInserted: TGridOperationEvent; | Event handler when a column or row is inserted into the grid
property OnColRowMoved: TGridOperationEvent; | Event handler when a grid column or row is moved
property OnCompareCells: TOnCompareCells; | Event handler for comparing the contents of cells
property OnContextPopup: TContextPopupEvent; | Invoked when a context-sensitive pop-up menu is requested.
property OnDragDrop: TDragDropEvent; | This handler determines the action on an drop onto this control, in a drag-drop operation.
property OnDragOver: TDragOverEvent; | Event handler for a control being dragged over this control.
property OnDblClick: TNotifyEvent; | Event Handler for double mouse clicks.
property OnDrawCell: TOnDrawCell; | Event handler for drawing a cell
property OnEditButtonClick: TNotifyEvent; deprecated ; | Event handler for when the Edit button is clicked
property OnButtonClick: TOnSelectEvent;
property OnEditingDone: TNotifyEvent; | Event handler when editing is done.
property OnEndDock: TEndDragEvent; | Notification handler for the end of a docking operation.
property OnEndDrag: TEndDragEvent; | Notification handler for the end of a dragging operation.
property OnEnter: TNotifyEvent; | Handler for control receiving the focus.
property OnExit: TNotifyEvent; | Handler for control loosing the focus. This is a good place for checking the finished user input.
property OnGetCellHint: TGetCellHintEvent; | Get individual hint for each cell
property OnGetCheckboxState: TGetCheckboxStateEvent;
property OnGetEditMask: TGetEditEvent; | Event handler for finding the edit mask while editing a grid cell
property OnGetEditText: TGetEditEvent; | Event handler for finding the text to be edited in a grid cell
property OnHeaderClick: THdrEvent; | Event handler when a column or row header is clicked
property OnHeaderSized: THdrEvent; | Event handler when a column or row header is re-sized
property OnHeaderSizing: THeaderSizingEvent;
property OnKeyDown: TKeyEvent; | Handler for keyboard key pressed.
property OnKeyPress: TKeyPressEvent; | Handler for a character entered by the user.
property OnKeyUp: TKeyEvent; | Handler for keyboard key released.
property OnMouseDown: TMouseEvent; | Event handler for mouse button going down.
property OnMouseEnter: TNotifyEvent;
property OnMouseLeave: TNotifyEvent;
property OnMouseMove: TMouseMoveEvent; | Event handler for mouse movement within the control.
property OnMouseUp: TMouseEvent; | Event handler for mouse button going up.
property OnMouseWheel: TMouseWheelEvent;
property OnMouseWheelDown: TMouseWheelUpDownEvent; | Notification handler for downward movement of mouse wheel.
property OnMouseWheelUp: TMouseWheelUpDownEvent; | Notification handler for upward movement of mouse wheel.
property OnMouseWheelHorz: TMouseWheelEvent;
property OnMouseWheelLeft: TMouseWheelUpDownEvent;
property OnMouseWheelRight: TMouseWheelUpDownEvent;
property OnPickListSelect: TNotifyEvent; | Event handler for selecting an item from a picklist (eg drop-down list in TComboBox)
property OnPrepareCanvas: TOnPrepareCanvasEvent; | Event handler to prepare the Canvas for drawing
property OnResize: TNotifyEvent; | Notification handler for a resize of the control.
property OnSelectEditor: TSelectEditorEvent; | Event handler for selecting an editor
property OnSelection: TOnSelectEvent; | Event handler for when an area of a grid (one or a group of cells) is selected
property OnSelectCell: TOnSelectCellEvent; | Event handler when a grid cell is selected
property OnSetCheckboxState: TSetCheckboxStateEvent;
property OnSetEditText: TSetEditEvent; | Event handler for storing the text that has been edited in a cell
property OnShowHint: TControlShowHintEvent; | Event Handler when a hint shall be shown.
property OnStartDock: TStartDockEvent; | Event handler for the start of a docking operation.
property OnStartDrag: TStartDragEvent; | Event handler for the start of a dragging operation.
property OnTopLeftChanged: TNotifyEvent; | Event handler when the top left cell is changed (ie the grid has been scrolled so that a different cell occupies top left)
property OnUserCheckboxBitmap: TUserCheckBoxBitmapEvent;
property OnUTF8KeyPress: TUTF8KeyPressEvent; | Handler for a character entered by the user.
property OnValidateEntry: TValidateEntryEvent;
end;

Inheritance

TStringGrid | TStringGrid - a specialised grid for displaying strings (text material) in a matrix of columns and rows
|
TCustomStringGrid | TCustomStringGrid - base class for TStringGrid
|
TCustomDrawGrid | TCustomDrawGrid - Base Class for drawn grids including TDrawGrid and TStringGrid
|
TCustomGrid | TCustomGrid - the base class for all grid controls
|
TCustomControl | The base class for windowed controls which paint themselves.
|
TWinControl | The base class for controls which can contain other (child) controls.
|
TControl | The base class for visible controls.
|
TLCLComponent | The base class for LCL components associated with widgets.
|
TComponent,IUnknown,IInterfaceComponentReference
|
TPersistent,IFPObserved
|
TObject

See also

HowToUseGrids

How to use Grids including StringGrids, DrawGrids and DbGrids


TStringGrid
 | ro | Modified
 | ro | InplaceEditor
pl | ro | Align
pl | ro | AlternateColor
pl | ro | Anchors
pl | ro | AutoAdvance
pl | ro | AutoEdit
pl | ro | AutoFillColumns
pl | ro | BiDiMode
pl | ro | BorderSpacing
pl | ro | BorderStyle
pl | ro | CellHintPriority
pl | ro | Color
pl | ro | ColCount
pl | ro | ColumnClickSorts
pl | ro | Columns
pl | ro | Constraints
pl | ro | DefaultColWidth
pl | ro | DefaultDrawing
pl | ro | DefaultRowHeight
pl | ro | DoubleBuffered
pl | ro | DragCursor
pl | ro | DragKind
pl | ro | DragMode
pl | ro | Enabled
pl | ro | ExtendedSelect
pl | ro | FixedColor
pl | ro | FixedCols
pl | ro | FixedRows
pl | ro | Flat
pl | ro | Font
pl | ro | GridLineWidth
pl | ro | HeaderHotZones
pl | ro | HeaderPushZones
pl | ro | ImageIndexSortAsc
pl | ro | ImageIndexSortDesc
pl | ro | MouseWheelOption
pl | ro | Options
pl | ro | Options2
pl | ro | ParentBiDiMode
pl | ro | ParentColor
pl | ro | ParentDoubleBuffered
pl | ro | ParentFont
pl | ro | ParentShowHint
pl | ro | PopupMenu
pl | ro | RangeSelectMode
pl | ro | RowCount
pl | ro | ScrollBars
pl | ro | ShowHint
pl | ro | TabAdvance
pl | ro | TabOrder
pl | ro | TabStop
pl | ro | TitleFont
pl | ro | TitleImageList
pl | ro | TitleStyle
pl | ro | UseXORFeatures
pl | ro | Visible
pl | ro | VisibleColCount
pl | ro | VisibleRowCount
TCustomStringGrid
pt |  | Modified
 |  | Cells
 |  | Cols
 | ro | DefaultTextStyle
 | ro | EditorMode
 | ro | ExtendedSelect
 |  | Objects
 |  | Rows
 | ro | UseXORFeatures
 | ro | ValidateOnSetSelection
TCustomDrawGrid
 | ro | AllowOutboundEvents
 | ro | BorderColor
 | ro | Canvas
 | ro | Col
 | ro | ColWidths
 | ro | ColRow
 | ro | Editor
 | ro | EditorBorderStyle
 | ro | EditorMode
 | ro | ExtendedColSizing
 | ro | AltColorStartNormal
 | ro | FastEditing
 | ro | FixedGridLineColor
 | ro | FocusColor
 | ro | FocusRectVisible
 | ro | GridHeight
 | ro | GridLineColor
 | ro | GridLineStyle
 | ro | GridWidth
 | ro | IsCellSelected
 | ro | LeftCol
 | ro | Row
 | ro | RowHeights
 | ro | SaveOptions
 | ro | SelectedColor
 | ro | SelectedColumn
 | ro | Selection
 | ro | StrictSort
 | ro | TopRow
 | ro | UseXORFeatures
 | ro | Align
 | ro | Anchors
 | ro | AutoAdvance
 | ro | AutoFillColumns
 | ro | BorderSpacing
 | ro | BorderStyle
 | ro | Color
 | ro | ColCount
 | ro | Columns
 | ro | Constraints
 | ro | DefaultColWidth
 | ro | DefaultDrawing
 | ro | DefaultRowHeight
 | ro | Enabled
 | ro | FixedColor
 | ro | FixedCols
 | ro | FixedHotColor
 | ro | FixedRows
 | ro | Flat
 | ro | Font
 | ro | GridLineWidth
 | ro | Options
 | ro | Options2
 | ro | ParentShowHint
 | ro | PopupMenu
 | ro | RowCount
 | ro | ScrollBars
 | ro | ShowHint
 | ro | TabAdvance
 | ro | TabOrder
 | ro | TabStop
 | ro | Visible
 | ro | VisibleColCount
 | ro | VisibleRowCount
TCustomGrid
pt |  | AllowOutboundEvents
pt |  | AlternateColor
pt |  | AutoAdvance
pt |  | AutoEdit
pt |  | AutoFillColumns
pt |  | BorderStyle
pt |  | BorderColor
pt |  | CellHintPriority
pt |  | Col
pt |  | ColCount
pt |  | ColRow
pt |  | ColumnClickSorts
pt |  | Columns
pt |  | ColWidths
pt |  | DefaultColWidth
pt |  | DefaultRowHeight
pt |  | DefaultDrawing
pt |  | DefaultTextStyle
pt |  | DragDx
pt |  | Editor
pt |  | EditorBorderStyle
pt |  | EditorMode
pt |  | EditorKey
pt |  | EditorOptions
pt |  | EditorShowing
pt |  | ExtendedColSizing
pt |  | ExtendedRowSizing
pt |  | ExtendedSelect
pt |  | FastEditing
pt |  | AltColorStartNormal
pt |  | FixedCols
pt |  | FixedRows
pt |  | FixedColor
pt |  | FixedGridLineColor
pt |  | FixedHotColor
pt |  | Flat
pt |  | FocusColor
pt |  | FocusRectVisible
pt | ro | GCache
pt |  | GridFlags
pt | ro | GridHeight
pt |  | GridLineColor
pt |  | GridLineStyle
pt |  | GridLineWidth
pt | ro | GridWidth
pt |  | HeaderHotZones
pt |  | HeaderPushZones
pt |  | ImageIndexSortAsc
pt |  | ImageIndexSortDesc
pt |  | TabAdvance
pt |  | TitleImageList
pt |  | TitleImageListWidth
pt | ro | InplaceEditor
pt | ro | IsCellSelected
pt |  | LeftCol
pt |  | MouseWheelOption
pt |  | Options
pt |  | Options2
pt |  | RangeSelectMode
pt |  | Row
pt |  | RowCount
pt |  | RowHeights
pt |  | SaveOptions
pt |  | SelectActive
pt |  | SelectedColor
pt | ro | SelectedColumn
pt |  | Selection
pt |  | ScrollBars
pt |  | StrictSort
pt |  | TitleFont
pt |  | TitleStyle
pt |  | TopRow
pt |  | UseXORFeatures
pt |  | ValidateOnSetSelection
pt | ro | VisibleColCount
pt | ro | VisibleRowCount
 | ro | SelectedRange
 | ro | SelectedRangeCount
 |  | SortOrder
 | ro | SortColumn
 | ro | TabStop
TCustomControl
 |  | Canvas
 | ro | BorderStyle
TWinControl
pt |  | WindowHandle
pt |  | BorderStyle
pt |  | ParentBackground
 |  | BorderWidth
 | ro | BoundsLockCount
 | ro | Brush
 | ro | CachedClientHeight
 | ro | CachedClientWidth
 |  | ChildSizing
 | ro | ControlCount
 | ro | Controls
 |  | DefWndProc
 | ro | DockClientCount
 | ro | DockClients
 |  | DockManager
 |  | DockSite
 |  | DoubleBuffered
 |  | Handle
 | ro | IsFlipped
 | ro | IsResizing
 |  | TabOrder
 |  | TabStop
 |  | ParentDoubleBuffered
 |  | ParentWindow
 | ro | Showing
 |  | UseDockManager
 |  | DesignerDeleting
 | ro | VisibleDockClientCount
TControl
pt | ro | AutoSizing
pt | ro | AutoSizingAll
pt | ro | AutoSizingLockCount
pt |  | ActionLink
pt |  | DesktopFont
pt |  | DragCursor
pt |  | DragKind
pt |  | DragMode
pt |  | MouseCapture
pt |  | ParentColor
pt |  | ParentFont
pt |  | ParentShowHint
pt |  | SessionProperties
pt |  | Text
 | ro | AnchoredControls
 | ro | BaseBounds
 | ro | ReadBounds
 | ro | BaseParentClientSize
 |  | AccessibleDescription
 |  | AccessibleValue
 |  | AccessibleRole
 |  | Action
 |  | Align
 |  | Anchors
 | ro | AnchorSide
 |  | AutoSize
 |  | BorderSpacing
 |  | BoundsRect
 |  | BoundsRectForNewParent
 |  | Caption
 |  | CaptureMouseButtons
 |  | ClientHeight
 | ro | ClientOrigin
 | ro | ClientRect
 |  | ClientWidth
 |  | Color
 |  | Constraints
 | ro | ControlOrigin
 |  | ControlState
 |  | ControlStyle
 |  | Enabled
 |  | Font
 |  | IsControl
 | ro | MouseEntered
 | ro | MouseInClient
 |  | Parent
 |  | PopupMenu
 |  | ShowHint
 |  | Visible
 |  | WindowProc
 |  | DockOrientation
 | ro | Floating
 |  | FloatingDockSiteClass
 |  | HostDockSite
 |  | LRDockWidth
 |  | TBDockHeight
 |  | UndockHeight
 |  | UndockWidth
 |  | BiDiMode
 |  | ParentBiDiMode
pl |  | AnchorSideLeft
pl |  | AnchorSideTop
pl |  | AnchorSideRight
pl |  | AnchorSideBottom
pl |  | Cursor
pl |  | Left
pl |  | Height
pl |  | Hint
pl |  | Top
pl |  | Width
pl |  | HelpType
pl |  | HelpKeyword
pl |  | HelpContext
TLCLComponent
 | ro | LCLRefCount
 | ro | WidgetSetClass
TComponent
 | ro | ComObject
 | ro | Components
 | ro | ComponentCount
 |  | ComponentIndex
 | ro | ComponentState
 | ro | ComponentStyle
 |  | DesignInfo
 | ro | Owner
 |  | VCLComObject
 |  | Name
 |  | Tag
TPersistent
TObject


 |  | AccessibleDescription (TControl)
 |  | AccessibleRole (TControl)
 |  | AccessibleValue (TControl)
 |  | Action (TControl)
pt |  | ActionLink (TControl)
 |  | Align (TControl)
 | ro | Align (TCustomDrawGrid)
pl | ro | Align (TStringGrid)
pt |  | AllowOutboundEvents (TCustomGrid)
 | ro | AllowOutboundEvents (TCustomDrawGrid)
pt |  | AltColorStartNormal (TCustomGrid)
 | ro | AltColorStartNormal (TCustomDrawGrid)
pt |  | AlternateColor (TCustomGrid)
pl | ro | AlternateColor (TStringGrid)
 | ro | AnchoredControls (TControl)
 |  | Anchors (TControl)
 | ro | Anchors (TCustomDrawGrid)
pl | ro | Anchors (TStringGrid)
 | ro | AnchorSide (TControl)
pl |  | AnchorSideBottom (TControl)
pl |  | AnchorSideLeft (TControl)
pl |  | AnchorSideRight (TControl)
pl |  | AnchorSideTop (TControl)
pt |  | AutoAdvance (TCustomGrid)
 | ro | AutoAdvance (TCustomDrawGrid)
pl | ro | AutoAdvance (TStringGrid)
pt |  | AutoEdit (TCustomGrid)
pl | ro | AutoEdit (TStringGrid)
pt |  | AutoFillColumns (TCustomGrid)
 | ro | AutoFillColumns (TCustomDrawGrid)
pl | ro | AutoFillColumns (TStringGrid)
 |  | AutoSize (TControl)
pt | ro | AutoSizing (TControl)
pt | ro | AutoSizingAll (TControl)
pt | ro | AutoSizingLockCount (TControl)
 | ro | BaseBounds (TControl)
 | ro | BaseParentClientSize (TControl)
 |  | BiDiMode (TControl)
pl | ro | BiDiMode (TStringGrid)
pt |  | BorderColor (TCustomGrid)
 | ro | BorderColor (TCustomDrawGrid)
 |  | BorderSpacing (TControl)
 | ro | BorderSpacing (TCustomDrawGrid)
pl | ro | BorderSpacing (TStringGrid)
pt |  | BorderStyle (TWinControl)
 | ro | BorderStyle (TCustomControl)
pt |  | BorderStyle (TCustomGrid)
 | ro | BorderStyle (TCustomDrawGrid)
pl | ro | BorderStyle (TStringGrid)
 |  | BorderWidth (TWinControl)
 | ro | BoundsLockCount (TWinControl)
 |  | BoundsRect (TControl)
 |  | BoundsRectForNewParent (TControl)
 | ro | Brush (TWinControl)
 | ro | CachedClientHeight (TWinControl)
 | ro | CachedClientWidth (TWinControl)
 |  | Canvas (TCustomControl)
 | ro | Canvas (TCustomDrawGrid)
 |  | Caption (TControl)
 |  | CaptureMouseButtons (TControl)
pt |  | CellHintPriority (TCustomGrid)
pl | ro | CellHintPriority (TStringGrid)
 |  | Cells (TCustomStringGrid)
 |  | ChildSizing (TWinControl)
 |  | ClientHeight (TControl)
 | ro | ClientOrigin (TControl)
 | ro | ClientRect (TControl)
 |  | ClientWidth (TControl)
pt |  | Col (TCustomGrid)
 | ro | Col (TCustomDrawGrid)
pt |  | ColCount (TCustomGrid)
 | ro | ColCount (TCustomDrawGrid)
pl | ro | ColCount (TStringGrid)
 |  | Color (TControl)
 | ro | Color (TCustomDrawGrid)
pl | ro | Color (TStringGrid)
pt |  | ColRow (TCustomGrid)
 | ro | ColRow (TCustomDrawGrid)
 |  | Cols (TCustomStringGrid)
pt |  | ColumnClickSorts (TCustomGrid)
pl | ro | ColumnClickSorts (TStringGrid)
pt |  | Columns (TCustomGrid)
 | ro | Columns (TCustomDrawGrid)
pl | ro | Columns (TStringGrid)
pt |  | ColWidths (TCustomGrid)
 | ro | ColWidths (TCustomDrawGrid)
 | ro | ComObject (TComponent)
 | ro | ComponentCount (TComponent)
 |  | ComponentIndex (TComponent)
 | ro | Components (TComponent)
 | ro | ComponentState (TComponent)
 | ro | ComponentStyle (TComponent)
 |  | Constraints (TControl)
 | ro | Constraints (TCustomDrawGrid)
pl | ro | Constraints (TStringGrid)
 | ro | ControlCount (TWinControl)
 | ro | ControlOrigin (TControl)
 | ro | Controls (TWinControl)
 |  | ControlState (TControl)
 |  | ControlStyle (TControl)
pl |  | Cursor (TControl)
pt |  | DefaultColWidth (TCustomGrid)
 | ro | DefaultColWidth (TCustomDrawGrid)
pl | ro | DefaultColWidth (TStringGrid)
pt |  | DefaultDrawing (TCustomGrid)
 | ro | DefaultDrawing (TCustomDrawGrid)
pl | ro | DefaultDrawing (TStringGrid)
pt |  | DefaultRowHeight (TCustomGrid)
 | ro | DefaultRowHeight (TCustomDrawGrid)
pl | ro | DefaultRowHeight (TStringGrid)
pt |  | DefaultTextStyle (TCustomGrid)
 | ro | DefaultTextStyle (TCustomStringGrid)
 |  | DefWndProc (TWinControl)
 |  | DesignerDeleting (TWinControl)
 |  | DesignInfo (TComponent)
pt |  | DesktopFont (TControl)
 | ro | DockClientCount (TWinControl)
 | ro | DockClients (TWinControl)
 |  | DockManager (TWinControl)
 |  | DockOrientation (TControl)
 |  | DockSite (TWinControl)
 |  | DoubleBuffered (TWinControl)
pl | ro | DoubleBuffered (TStringGrid)
pt |  | DragCursor (TControl)
pl | ro | DragCursor (TStringGrid)
pt |  | DragDx (TCustomGrid)
pt |  | DragKind (TControl)
pl | ro | DragKind (TStringGrid)
pt |  | DragMode (TControl)
pl | ro | DragMode (TStringGrid)
pt |  | Editor (TCustomGrid)
 | ro | Editor (TCustomDrawGrid)
pt |  | EditorBorderStyle (TCustomGrid)
 | ro | EditorBorderStyle (TCustomDrawGrid)
pt |  | EditorKey (TCustomGrid)
pt |  | EditorMode (TCustomGrid)
 | ro | EditorMode (TCustomDrawGrid)
 | ro | EditorMode (TCustomStringGrid)
pt |  | EditorOptions (TCustomGrid)
pt |  | EditorShowing (TCustomGrid)
 |  | Enabled (TControl)
 | ro | Enabled (TCustomDrawGrid)
pl | ro | Enabled (TStringGrid)
pt |  | ExtendedColSizing (TCustomGrid)
 | ro | ExtendedColSizing (TCustomDrawGrid)
pt |  | ExtendedRowSizing (TCustomGrid)
pt |  | ExtendedSelect (TCustomGrid)
 | ro | ExtendedSelect (TCustomStringGrid)
pl | ro | ExtendedSelect (TStringGrid)
pt |  | FastEditing (TCustomGrid)
 | ro | FastEditing (TCustomDrawGrid)
pt |  | FixedColor (TCustomGrid)
 | ro | FixedColor (TCustomDrawGrid)
pl | ro | FixedColor (TStringGrid)
pt |  | FixedCols (TCustomGrid)
 | ro | FixedCols (TCustomDrawGrid)
pl | ro | FixedCols (TStringGrid)
pt |  | FixedGridLineColor (TCustomGrid)
 | ro | FixedGridLineColor (TCustomDrawGrid)
pt |  | FixedHotColor (TCustomGrid)
 | ro | FixedHotColor (TCustomDrawGrid)
pt |  | FixedRows (TCustomGrid)
 | ro | FixedRows (TCustomDrawGrid)
pl | ro | FixedRows (TStringGrid)
pt |  | Flat (TCustomGrid)
 | ro | Flat (TCustomDrawGrid)
pl | ro | Flat (TStringGrid)
 | ro | Floating (TControl)
 |  | FloatingDockSiteClass (TControl)
pt |  | FocusColor (TCustomGrid)
 | ro | FocusColor (TCustomDrawGrid)
pt |  | FocusRectVisible (TCustomGrid)
 | ro | FocusRectVisible (TCustomDrawGrid)
 |  | Font (TControl)
 | ro | Font (TCustomDrawGrid)
pl | ro | Font (TStringGrid)
pt | ro | GCache (TCustomGrid)
pt |  | GridFlags (TCustomGrid)
pt | ro | GridHeight (TCustomGrid)
 | ro | GridHeight (TCustomDrawGrid)
pt |  | GridLineColor (TCustomGrid)
 | ro | GridLineColor (TCustomDrawGrid)
pt |  | GridLineStyle (TCustomGrid)
 | ro | GridLineStyle (TCustomDrawGrid)
pt |  | GridLineWidth (TCustomGrid)
 | ro | GridLineWidth (TCustomDrawGrid)
pl | ro | GridLineWidth (TStringGrid)
pt | ro | GridWidth (TCustomGrid)
 | ro | GridWidth (TCustomDrawGrid)
 |  | Handle (TWinControl)
pt |  | HeaderHotZones (TCustomGrid)
pl | ro | HeaderHotZones (TStringGrid)
pt |  | HeaderPushZones (TCustomGrid)
pl | ro | HeaderPushZones (TStringGrid)
pl |  | Height (TControl)
pl |  | HelpContext (TControl)
pl |  | HelpKeyword (TControl)
pl |  | HelpType (TControl)
pl |  | Hint (TControl)
 |  | HostDockSite (TControl)
pt |  | ImageIndexSortAsc (TCustomGrid)
pl | ro | ImageIndexSortAsc (TStringGrid)
pt |  | ImageIndexSortDesc (TCustomGrid)
pl | ro | ImageIndexSortDesc (TStringGrid)
pt | ro | InplaceEditor (TCustomGrid)
 | ro | InplaceEditor (TStringGrid)
pt | ro | IsCellSelected (TCustomGrid)
 | ro | IsCellSelected (TCustomDrawGrid)
 |  | IsControl (TControl)
 | ro | IsFlipped (TWinControl)
 | ro | IsResizing (TWinControl)
 | ro | LCLRefCount (TLCLComponent)
pl |  | Left (TControl)
pt |  | LeftCol (TCustomGrid)
 | ro | LeftCol (TCustomDrawGrid)
 |  | LRDockWidth (TControl)
pt |  | Modified (TCustomStringGrid)
 | ro | Modified (TStringGrid)
pt |  | MouseCapture (TControl)
 | ro | MouseEntered (TControl)
 | ro | MouseInClient (TControl)
pt |  | MouseWheelOption (TCustomGrid)
pl | ro | MouseWheelOption (TStringGrid)
 |  | Name (TComponent)
 |  | Objects (TCustomStringGrid)
pt |  | Options (TCustomGrid)
 | ro | Options (TCustomDrawGrid)
pl | ro | Options (TStringGrid)
pt |  | Options2 (TCustomGrid)
 | ro | Options2 (TCustomDrawGrid)
pl | ro | Options2 (TStringGrid)
 | ro | Owner (TComponent)
 |  | Parent (TControl)
pt |  | ParentBackground (TWinControl)
 |  | ParentBiDiMode (TControl)
pl | ro | ParentBiDiMode (TStringGrid)
pt |  | ParentColor (TControl)
pl | ro | ParentColor (TStringGrid)
 |  | ParentDoubleBuffered (TWinControl)
pl | ro | ParentDoubleBuffered (TStringGrid)
pt |  | ParentFont (TControl)
pl | ro | ParentFont (TStringGrid)
pt |  | ParentShowHint (TControl)
 | ro | ParentShowHint (TCustomDrawGrid)
pl | ro | ParentShowHint (TStringGrid)
 |  | ParentWindow (TWinControl)
 |  | PopupMenu (TControl)
 | ro | PopupMenu (TCustomDrawGrid)
pl | ro | PopupMenu (TStringGrid)
pt |  | RangeSelectMode (TCustomGrid)
pl | ro | RangeSelectMode (TStringGrid)
 | ro | ReadBounds (TControl)
pt |  | Row (TCustomGrid)
 | ro | Row (TCustomDrawGrid)
pt |  | RowCount (TCustomGrid)
 | ro | RowCount (TCustomDrawGrid)
pl | ro | RowCount (TStringGrid)
pt |  | RowHeights (TCustomGrid)
 | ro | RowHeights (TCustomDrawGrid)
 |  | Rows (TCustomStringGrid)
pt |  | SaveOptions (TCustomGrid)
 | ro | SaveOptions (TCustomDrawGrid)
pt |  | ScrollBars (TCustomGrid)
 | ro | ScrollBars (TCustomDrawGrid)
pl | ro | ScrollBars (TStringGrid)
pt |  | SelectActive (TCustomGrid)
pt |  | SelectedColor (TCustomGrid)
 | ro | SelectedColor (TCustomDrawGrid)
pt | ro | SelectedColumn (TCustomGrid)
 | ro | SelectedColumn (TCustomDrawGrid)
 | ro | SelectedRange (TCustomGrid)
 | ro | SelectedRangeCount (TCustomGrid)
pt |  | Selection (TCustomGrid)
 | ro | Selection (TCustomDrawGrid)
pt |  | SessionProperties (TControl)
 |  | ShowHint (TControl)
 | ro | ShowHint (TCustomDrawGrid)
pl | ro | ShowHint (TStringGrid)
 | ro | Showing (TWinControl)
 | ro | SortColumn (TCustomGrid)
 |  | SortOrder (TCustomGrid)
pt |  | StrictSort (TCustomGrid)
 | ro | StrictSort (TCustomDrawGrid)
pt |  | TabAdvance (TCustomGrid)
 | ro | TabAdvance (TCustomDrawGrid)
pl | ro | TabAdvance (TStringGrid)
 |  | TabOrder (TWinControl)
 | ro | TabOrder (TCustomDrawGrid)
pl | ro | TabOrder (TStringGrid)
 |  | TabStop (TWinControl)
 | ro | TabStop (TCustomGrid)
 | ro | TabStop (TCustomDrawGrid)
pl | ro | TabStop (TStringGrid)
 |  | Tag (TComponent)
 |  | TBDockHeight (TControl)
pt |  | Text (TControl)
pt |  | TitleFont (TCustomGrid)
pl | ro | TitleFont (TStringGrid)
pt |  | TitleImageList (TCustomGrid)
pl | ro | TitleImageList (TStringGrid)
pt |  | TitleImageListWidth (TCustomGrid)
pt |  | TitleStyle (TCustomGrid)
pl | ro | TitleStyle (TStringGrid)
pl |  | Top (TControl)
pt |  | TopRow (TCustomGrid)
 | ro | TopRow (TCustomDrawGrid)
 |  | UndockHeight (TControl)
 |  | UndockWidth (TControl)
 |  | UseDockManager (TWinControl)
pt |  | UseXORFeatures (TCustomGrid)
 | ro | UseXORFeatures (TCustomDrawGrid)
 | ro | UseXORFeatures (TCustomStringGrid)
pl | ro | UseXORFeatures (TStringGrid)
pt |  | ValidateOnSetSelection (TCustomGrid)
 | ro | ValidateOnSetSelection (TCustomStringGrid)
 |  | VCLComObject (TComponent)
 |  | Visible (TControl)
 | ro | Visible (TCustomDrawGrid)
pl | ro | Visible (TStringGrid)
pt | ro | VisibleColCount (TCustomGrid)
 | ro | VisibleColCount (TCustomDrawGrid)
pl | ro | VisibleColCount (TStringGrid)
 | ro | VisibleDockClientCount (TWinControl)
pt | ro | VisibleRowCount (TCustomGrid)
 | ro | VisibleRowCount (TCustomDrawGrid)
pl | ro | VisibleRowCount (TStringGrid)
 | ro | WidgetSetClass (TLCLComponent)
pl |  | Width (TControl)
pt |  | WindowHandle (TWinControl)
 |  | WindowProc (TControl)


TStringGrid
pt | WSRegisterClass
TCustomStringGrid
pt | AssignTo
pt | AutoAdjustColumn
pt | CalcCellExtent
pt | DefineProperties
pt | DefineCellsProperty
pt | DoCompareCells
pt | DoCopyToClipboard
pt | DoCutToClipboard
pt | DoPasteFromClipboard
pt | DoCellProcess
pt | DrawColumnText
pt | DrawTextInCell
pt | DrawCellAutonumbering
pt | GetCells
pt | GetCheckBoxState
pt | GetEditText
pt | LoadContent
pt | Loaded
pt | SaveContent
pt | SelectionSetText
pt | SelectionSetHTML
pt | SetCells
pt | SetCheckboxState
pt | SetEditText
 | Create
 | Destroy
 | AutoSizeColumn
 | AutoSizeColumns
 | Clean
 | CopyToClipboard
 | InsertRowWithValues
 | LoadFromCSVStream
 | LoadFromCSVFile
 | SaveToCSVStream
 | SaveToCSVFile
TCustomDrawGrid
pt | CellClick
pt | ColRowDeleted
pt | ColRowExchanged
pt | ColRowInserted
pt | ColRowMoved
pt | CreateVirtualGrid
pt | DrawCell
pt | DrawCellAutonumbering
pt | DrawFocusRect
pt | GetCells
pt | GetCheckBoxState
pt | GetEditMask
pt | GetEditText
pt | GridMouseWheel
pt | HeaderClick
pt | HeaderSized
pt | HeaderSizing
pt | KeyDown
pt | NotifyColRowChange
pt | SelectCell
pt | SetColor
pt | SetCheckboxState
pt | SetEditText
pt | SizeChanged
pt | ToggleCheckbox
 | Create
 | Destroy
 | DeleteColRow
 | DeleteCol
 | DeleteRow
 | ExchangeColRow
 | InsertColRow
 | MoveColRow
 | SortColRow
 | DefaultDrawCell
TCustomGrid
pt | RTLSign
pt | WSRegisterClass
pt | AddSelectedRange
pt | AdjustClientRect
pt | AdjustEditorBounds
pt | AfterMoveSelection
pt | AssignTo
pt | AutoAdjustColumn
pt | BeforeMoveSelection
pt | BeginAutoDrag
pt | BoxRect
pt | CacheMouseDown
pt | CalcAutoSizeColumn
pt | CalcCellExtent
pt | CalcFocusRect
pt | CalcMaxTopLeft
pt | CalcScrollbarsRange
pt | CalculatePreferredSize
pt | CanEditShow
pt | CanGridAcceptKey
pt | CellClick
pt | CellExtent
pt | CheckLimits
pt | CheckLimitsWithError
pt | CMBiDiModeChanged
pt | CMMouseEnter
pt | CMMouseLeave
pt | ColRowDeleted
pt | ColRowExchanged
pt | ColRowInserted
pt | ColRowMoved
pt | ColRowToOffset
pt | ColumnIndexFromGridColumn
pt | ColumnFromGridColumn
pt | ColumnsChanged
pt | ColWidthsChanged
pt | CreateColumns
pt | CheckNewCachedSizes
pt | CreateWnd
pt | CreateParams
pt | Click
pt | DblClick
pt | DefaultColWidthIsStored
pt | DefaultRowHeightIsStored
pt | DefineProperties
pt | DestroyHandle
pt | DialogChar
pt | DoCompareCells
pt | DoCopyToClipboard
pt | DoCutToClipboard
pt | DoEditButtonClick
pt | DoEditorHide
pt | DoEditorShow
pt | DoExit
pt | DoEnter
pt | DoLoadColumn
pt | DoSaveColumn
pt | DoMouseWheel
pt | DoMouseWheelDown
pt | DoMouseWheelUp
pt | DoMouseWheelLeft
pt | DoMouseWheelRight
pt | DoAutoAdjustLayout
pt | DoOnChangeBounds
pt | DoOPDeleteColRow
pt | DoOPExchangeColRow
pt | DoOPInsertColRow
pt | DoOPMoveColRow
pt | DoPasteFromClipboard
pt | DoPrepareCanvas
pt | DoSetBounds
pt | DoUTF8KeyPress
pt | DrawBorder
pt | DrawAllRows
pt | DrawFillRect
pt | DrawCell
pt | DrawCellGrid
pt | DrawTextInCell
pt | DrawThemedCell
pt | DrawCellText
pt | DrawGridCheckboxBitmaps
pt | DrawButtonCell
pt | DrawColRowMoving
pt | DrawColumnText
pt | DrawColumnTitleImage
pt | DrawEdges
pt | DrawFocusRect
pt | DrawRow
pt | EditButtonClicked
pt | EditordoGetValue
pt | EditordoResetValue
pt | EditordoSetValue
pt | EditorCanAcceptKey
pt | EditorIsReadOnly
pt | EditorHide
pt | EditorLocked
pt | EditingAllowed
pt | EditorSelectAll
pt | EditorShow
pt | EditorShowInCell
pt | EditorWidthChanged
pt | FirstGridColumn
pt | FixedGrid
pt | FontChanged
pt | GetAutoFillColumnInfo
pt | GetCellHintText
pt | GetCells
pt | GetColumnAlignment
pt | GetColumnColor
pt | GetColumnFont
pt | GetColumnLayout
pt | GetColumnReadonly
pt | GetColumnTitle
pt | GetColumnWidth
pt | GetDeltaMoveNext
pt | GetDefaultColumnAlignment
pt | GetDefaultColumnWidth
pt | GetDefaultColumnLayout
pt | GetDefaultColumnReadOnly
pt | GetDefaultColumnTitle
pt | GetDefaultEditor
pt | GetDefaultRowHeight
pt | GetGridDrawState
pt | GetImageForCheckBox
pt | GetScrollBarPosition
pt | GetSmoothScroll
pt | GetSBVisibility
pt | GetSBRanges
pt | GetSelectedState
pt | GetEditMask
pt | GetEditText
pt | GetFixedcolor
pt | GetFirstVisibleColumn
pt | GetFirstVisibleRow
pt | GetLastVisibleColumn
pt | GetLastVisibleRow
pt | GetSelectedColor
pt | GetTitleShowPrefix
pt | GetPxTopLeft
pt | GetTruncCellHintText
pt | GridColumnFromColumnIndex
pt | GridMouseWheel
pt | HeaderClick
pt | HeaderSized
pt | HeaderSizing
pt | HideCellHintWindow
pt | InternalSetColCount
pt | InvalidateCell
pt | InvalidateFromCol
pt | InvalidateGrid
pt | InvalidateFocused
pt | GetIsCellTitle
pt | GetIsCellSelected
pt | IsEmptyRow
pt | IsMouseOverCellButton
pt | KeyDown
pt | KeyUp
pt | KeyPress
pt | LoadContent
pt | LoadGridOptions
pt | Loaded
pt | LockEditor
pt | MouseButtonAllowed
pt | MouseDown
pt | MouseMove
pt | MouseUp
pt | MoveExtend
pt | MoveNextAuto
pt | MoveNextSelectable
pt | MoveSelection
pt | OffsetToColRow
pt | Paint
pt | PickListItemSelected
pt | PrepareCanvas
pt | PrepareCellHints
pt | ResetDefaultColWidths
pt | ResetEditor
pt | ResetLastMove
pt | ResetOffset
pt | ResetSizes
pt | ResizeColumn
pt | ResizeRow
pt | RowHeightsChanged
pt | SaveContent
pt | SaveGridOptions
pt | ScrollBarRange
pt | ScrollBarPosition
pt | ScrollBarIsVisible
pt | ScrollBarPage
pt | ScrollBarShow
pt | ScrollBarAutomatic
pt | ScrollBy
pt | SelectEditor
pt | SelectCell
pt | SetCanvasFont
pt | SetColor
pt | SetColRow
pt | SetEditText
pt | SetBorderStyle
pt | SetFixedcolor
pt | SetFixedCols
pt | SetFixedRows
pt | SetRawColWidths
pt | SetSelectedColor
pt | ShowCellHintWindow
pt | SizeChanged
pt | Sort
pt | StartPushCell
pt | TopLeftChanged
pt | TryMoveSelection
pt | UnLockEditor
pt | UnprepareCellHints
pt | UpdateHorzScrollBar
pt | UpdateSelectionRange
pt | UpdateVertScrollbar
pt | UpdateBorderStyle
pt | ValidateEntry
pt | VisualChange
pt | WMSize
pt | WMHScroll
pt | WMVScroll
pt | WMKillFocus
pt | WMSetFocus
pt | WndProc
pt | FlipRect
pt | FlipPoint
pt | FlipX
 | Create
 | Destroy
 | Invalidate
 | EditingDone
 | AdjustInnerCellRect
 | AutoAdjustColumns
 | BeginUpdate
 | CellRect
 | CellToGridZone
 | CheckPosition
 | ClearCols
 | ClearRows
 | Clear
 | ClearSelections
 | EditorByStyle
 | EditorKeyDown
 | EditorKeyPress
 | EditorKeyUp
 | EditorTextChanged
 | EndUpdate
 | EraseBackground
 | Focused
 | HasMultiSelection
 | InvalidateCol
 | InvalidateRange
 | InvalidateRow
 | IsCellVisible
 | IsFixedCellVisible
 | LoadFromFile
 | LoadFromStream
 | MouseCoord
 | MouseToCell
 | MouseToLogcell
 | MouseToGridZone
 | SaveToFile
 | SaveToStream
 | SetFocus
TCustomControl
pt | WSRegisterClass
pt | WMPaint
pt | DestroyWnd
pt | PaintWindow
pt | FontChanged
pt | SetColor
pt | Paint
 | Create
 | Destroy
TWinControl
pt | WSRegisterClass
pt | AdjustClientRect
pt | GetAdjustedLogicalClientRect
pt | AlignControls
pt | CustomAlignInsertBefore
pt | CustomAlignPosition
pt | DoAlignChildControls
pt | DoChildSizingChange
pt | InvalidatePreferredChildSizes
pt | CanTab
pt | IsClientHeightStored
pt | IsClientWidthStored
pt | DoSendShowHideToInterface
pt | ControlsAligned
pt | DoSendBoundsToInterface
pt | RealizeBounds
pt | RealizeBoundsRecursive
pt | InvalidateBoundsRealized
pt | CreateSubClass
pt | DoConstraintsChange
pt | DoSetBounds
pt | DoAutoSize
pt | DoAllAutoSize
pt | AllAutoSized
pt | CalculatePreferredSize
pt | GetPreferredSizeClientFrame
pt | GetChildren
pt | ChildClassAllowed
pt | PaintControls
pt | PaintHandler
pt | PaintWindow
pt | CreateBrush
pt | ScaleControls
pt | ChangeScale
pt | CMBiDiModeChanged
pt | CMBorderChanged
pt | CMDoubleBufferedChanged
pt | CMEnabledChanged
pt | CMParentDoubleBufferedChanged
pt | CMShowingChanged
pt | CMShowHintChanged
pt | CMVisibleChanged
pt | CMEnter
pt | CMExit
pt | WMContextMenu
pt | WMEraseBkgnd
pt | WMNotify
pt | WMSetFocus
pt | WMKillFocus
pt | WMShowWindow
pt | WMEnter
pt | WMExit
pt | WMKeyDown
pt | WMSysKeyDown
pt | WMKeyUp
pt | WMSysKeyUp
pt | WMChar
pt | WMSysChar
pt | WMPaint
pt | WMDestroy
pt | WMMove
pt | WMSize
pt | WMWindowPosChanged
pt | CNKeyDown
pt | CNSysKeyDown
pt | CNKeyUp
pt | CNSysKeyUp
pt | CNChar
pt | DoDragMsg
pt | DoDockClientMsg
pt | DoUndockClientMsg
pt | DoAddDockClient
pt | DockOver
pt | DoDockOver
pt | DoRemoveDockClient
pt | DoUnDock
pt | GetSiteInfo
pt | GetParentHandle
pt | GetTopParentHandle
pt | ReloadDockedControl
pt | CreateDockManager
pt | SetDockManager
pt | DoFloatMsg
pt | DoGetDockCaption
pt | DoEnter
pt | DoExit
pt | DoKeyDownBeforeInterface
pt | DoRemainingKeyDown
pt | DoRemainingKeyUp
pt | DoKeyPress
pt | DoUTF8KeyPress
pt | DoKeyUpBeforeInterface
pt | ChildKey
pt | SendDialogChar
pt | DialogChar
pt | ControlKeyDown
pt | ControlKeyUp
pt | KeyDown
pt | KeyDownBeforeInterface
pt | KeyDownAfterInterface
pt | KeyPress
pt | KeyUp
pt | KeyUpBeforeInterface
pt | KeyUpAfterInterface
pt | UTF8KeyPress
pt | FindNextControl
pt | SelectFirst
pt | RealGetText
pt | GetBorderStyle
pt | GetClientOrigin
pt | GetClientRect
pt | GetControlOrigin
pt | GetDeviceContext
pt | GetParentBackground
pt | IsControlMouseMsg
pt | CreateHandle
pt | CreateParams
pt | CreateWnd
pt | DestroyHandle
pt | DestroyWnd
pt | DoFlipChildren
pt | FinalizeWnd
pt | FixupTabList
pt | FontChanged
pt | InitializeWnd
pt | Loaded
pt | FormEndUpdated
pt | MainWndProc
pt | ParentFormHandleInitialized
pt | ChildHandlesCreated
pt | GetMouseCapture
pt | RealSetText
pt | RemoveFocus
pt | SendMoveSizeMessages
pt | SetBorderStyle
pt | SetColor
pt | SetChildZPosition
pt | SetParentBackground
pt | ShowControl
pt | UpdateControlState
pt | UpdateShowing
pt | WndProc
pt | WSSetText
 | AutoSizePhases
 | AutoSizeDelayed
 | AutoSizeDelayedReport
 | AutoSizeDelayedHandle
 | BeginUpdateBounds
 | EndUpdateBounds
 | LockRealizeBounds
 | UnlockRealizeBounds
 | ControlAtPos
 | ContainsControl
 | DoAdjustClientRectChange
 | InvalidateClientRectCache
 | ClientRectNeedsInterfaceUpdate
 | SetBounds
 | GetChildrenRect
 | DisableAlign
 | EnableAlign
 | ReAlign
 | ScrollBy_WS
 | ScrollBy
 | WriteLayoutDebugReport
 | AutoAdjustLayout
 | Create
 | CreateParented
 | CreateParentedControl
 | Destroy
 | DockDrop
 | CanFocus
 | CanSetFocus
 | GetControlIndex
 | SetControlIndex
 | Focused
 | PerformTab
 | FindChildControl
 | SelectNext
 | SetTempCursor
 | BroadCast
 | NotifyControls
 | DefaultHandler
 | GetTextLen
 | Invalidate
 | AddControl
 | InsertControl
 | RemoveControl
 | GetEnumeratorControls
 | GetEnumeratorControlsReverse
 | Repaint
 | Update
 | SetFocus
 | FlipChildren
 | ScaleBy
 | GetDockCaption
 | UpdateDockCaption
 | GetTabOrderList
 | HandleAllocated
 | ParentHandlesAllocated
 | HandleNeeded
 | BrushCreated
 | EraseBackground
 | IntfUTF8KeyPress
 | IntfGetDropFilesTarget
 | PaintTo
 | SetShape
TControl
pt | WSRegisterClass
pt | GetCursor
pt | SetCursor
pt | SetVisible
pt | DoOnParentHandleDestruction
pt | DoAutoSize
pt | DoAllAutoSize
pt | BeginAutoSizing
pt | EndAutoSizing
pt | AnchorSideChanged
pt | ForeignAnchorSideChanged
pt | SetAlign
pt | SetAnchors
pt | SetAutoSize
pt | BoundsChanged
pt | CreateControlBorderSpacing
pt | DoConstraintsChange
pt | DoBorderSpacingChange
pt | IsBorderSpacingInnerBorderStored
pt | IsCaptionStored
pt | SendMoveSizeMessages
pt | ConstrainedResize
pt | CalculatePreferredSize
pt | DoOnResize
pt | DoOnChangeBounds
pt | CheckOnChangeBounds
pt | Resize
pt | RequestAlign
pt | UpdateAnchorRules
pt | ChangeBounds
pt | DoSetBounds
pt | ScaleConstraints
pt | ChangeScale
pt | CanAutoSize
pt | SetBiDiMode
pt | SetParentBiDiMode
pt | IsAParentAligning
pt | GetClientOrigin
pt | GetClientRect
pt | GetLogicalClientRect
pt | GetScrolledClientRect
pt | GetClientScrollOffset
pt | GetControlOrigin
pt | IsClientHeightStored
pt | IsClientWidthStored
pt | WidthIsAnchored
pt | HeightIsAnchored
pt | WMCancelMode
pt | WMContextMenu
pt | WMLButtonDown
pt | WMRButtonDown
pt | WMMButtonDown
pt | WMXButtonDown
pt | WMLButtonDBLCLK
pt | WMRButtonDBLCLK
pt | WMMButtonDBLCLK
pt | WMXButtonDBLCLK
pt | WMLButtonTripleCLK
pt | WMRButtonTripleCLK
pt | WMMButtonTripleCLK
pt | WMXButtonTripleCLK
pt | WMLButtonQuadCLK
pt | WMRButtonQuadCLK
pt | WMMButtonQuadCLK
pt | WMXButtonQuadCLK
pt | WMMouseMove
pt | WMLButtonUp
pt | WMRButtonUp
pt | WMMButtonUp
pt | WMXButtonUp
pt | WMMouseWheel
pt | WMMouseHWheel
pt | WMMove
pt | WMSize
pt | WMWindowPosChanged
pt | CMChanged
pt | LMCaptureChanged
pt | CMBiDiModeChanged
pt | CMSysFontChanged
pt | CMEnabledChanged
pt | CMHitTest
pt | CMMouseEnter
pt | CMMouseLeave
pt | CMHintShow
pt | CMParentBiDiModeChanged
pt | CMParentColorChanged
pt | CMParentFontChanged
pt | CMParentShowHintChanged
pt | CMVisibleChanged
pt | CMTextChanged
pt | CMCursorChanged
pt | CalculateDockSizes
pt | CreateFloatingDockSite
pt | GetDockEdge
pt | GetDragImages
pt | GetFloating
pt | GetFloatingDockSiteClass
pt | BeforeDragStart
pt | BeginAutoDrag
pt | DoFloatMsg
pt | DockTrackNoTarget
pt | DoDock
pt | DoDragMsg
pt | DoEndDock
pt | DoEndDrag
pt | DoStartDock
pt | DoStartDrag
pt | DragCanceled
pt | DragOver
pt | PositionDockRect
pt | SetDragMode
pt | GetDefaultDockCaption
pt | Click
pt | DblClick
pt | TripleClick
pt | QuadClick
pt | GetMousePosFromMessage
pt | MouseDown
pt | MouseMove
pt | MouseUp
pt | MouseEnter
pt | MouseLeave
pt | DialogChar
pt | UpdateMouseCursor
pt | Changed
pt | GetPalette
pt | ChildClassAllowed
pt | ReadState
pt | Loaded
pt | LoadedAll
pt | DefineProperties
pt | AssignTo
pt | FormEndUpdated
pt | InvalidateControl
pt | FontChanged
pt | ParentFontChanged
pt | GetAction
pt | RealGetText
pt | RealSetText
pt | TextChanged
pt | GetCachedText
pt | SetAction
pt | SetColor
pt | SetEnabled
pt | SetHint
pt | SetName
pt | SetParent
pt | SetParentComponent
pt | WndProc
pt | ParentFormHandleInitialized
pt | GetMouseCapture
pt | CaptureChanged
pt | Notification
pt | CanTab
pt | GetDeviceContext
pt | GetEnabled
pt | GetPopupMenu
pt | DoOnShowHint
pt | DoMouseWheel
pt | DoMouseWheelDown
pt | DoMouseWheelUp
pt | DoMouseWheelHorz
pt | DoMouseWheelLeft
pt | DoMouseWheelRight
pt | VisibleChanging
pt | VisibleChanged
pt | EnabledChanging
pt | EnabledChanged
pt | AddHandler
pt | RemoveHandler
pt | DoCallNotifyHandler
pt | DoCallKeyEventHandler
pt | DoCallMouseWheelEventHandler
pt | DoContextPopup
pt | SetZOrder
pt | GetControlClassDefaultSize
pt | ColorIsStored
pt | DoAutoAdjustLayout
pt | DoFixDesignFontPPI
pt | DoScaleFontPPI
pt | GetActionLinkClass
pt | ActionChange
 | DragDrop
 | Dock
 | ManualDock
 | ManualFloat
 | ReplaceDockedControl
 | Docked
 | Dragging
 | GetAccessibleObject
 | CreateAccessibleObject
 | GetSelectedChildAccessibleObject
 | GetChildAccessibleObjectAtPos
 | ScaleDesignToForm
 | ScaleFormToDesign
 | Scale96ToForm
 | ScaleFormTo96
 | Scale96ToFont
 | ScaleFontTo96
 | ScaleScreenToFont
 | ScaleFontToScreen
 | Scale96ToScreen
 | ScaleScreenTo96
 | AdjustSize
 | AutoSizePhases
 | AutoSizeDelayed
 | AutoSizeDelayedReport
 | AutoSizeDelayedHandle
 | AnchorToNeighbour
 | AnchorParallel
 | AnchorHorizontalCenterTo
 | AnchorVerticalCenterTo
 | AnchorToCompanion
 | AnchorSame
 | AnchorAsAlign
 | AnchorClient
 | AnchoredControlCount
 | SetBounds
 | SetInitialBounds
 | SetBoundsKeepBase
 | GetPreferredSize
 | GetCanvasScaleFactor
 | GetDefaultWidth
 | GetDefaultHeight
 | GetDefaultColor
 | GetColorResolvingParent
 | GetRGBColorResolvingParent
 | GetSidePosition
 | CNPreferredSizeChanged
 | InvalidatePreferredSize
 | GetAnchorsDependingOnParent
 | DisableAutoSizing
 | EnableAutoSizing
 | UpdateBaseBounds
 | WriteLayoutDebugReport
 | AutoAdjustLayout
 | ShouldAutoAdjust
 | FixDesignFontsPPI
 | ScaleFontsPPI
 | Create
 | Destroy
 | BeforeDestruction
 | EditingDone
 | ExecuteDefaultAction
 | ExecuteCancelAction
 | BeginDrag
 | EndDrag
 | BringToFront
 | HasParent
 | GetParentComponent
 | IsParentOf
 | GetTopParent
 | IsVisible
 | IsControlVisible
 | IsEnabled
 | IsParentColor
 | IsParentFont
 | FormIsUpdating
 | IsProcessingPaintMsg
 | Hide
 | Refresh
 | Repaint
 | Invalidate
 | CheckChildClassAllowed
 | CheckNewParent
 | SendToBack
 | SetTempCursor
 | UpdateRolesForForm
 | ActiveDefaultControlChanged
 | GetTextBuf
 | GetTextLen
 | SetTextBuf
 | Perform
 | ScreenToClient
 | ClientToScreen
 | ScreenToControl
 | ControlToScreen
 | ClientToParent
 | ParentToClient
 | GetChildrenRect
 | Show
 | Update
 | HandleObjectShouldBeVisible
 | ParentDestroyingHandle
 | ParentHandlesAllocated
 | InitiateAction
 | ShowHelp
 | HasHelp
 | RemoveAllHandlersOfObject
 | AddHandlerOnResize
 | RemoveHandlerOnResize
 | AddHandlerOnChangeBounds
 | RemoveHandlerOnChangeBounds
 | AddHandlerOnVisibleChanging
 | RemoveHandlerOnVisibleChanging
 | AddHandlerOnVisibleChanged
 | RemoveHandlerOnVisibleChanged
 | AddHandlerOnEnabledChanged
 | RemoveHandlerOnEnableChanging
 | AddHandlerOnKeyDown
 | RemoveHandlerOnKeyDown
 | AddHandlerOnBeforeDestruction
 | RemoveHandlerOnBeforeDestruction
 | AddHandlerOnMouseWheel
 | RemoveHandlerOnMouseWheel
 | UseRightToLeftAlignment
 | UseRightToLeftReading
 | UseRightToLeftScrollBar
 | IsRightToLeft
TLCLComponent
pt | WSRegisterClass
pt | GetWSComponentClass
 | Create
 | Destroy
 | NewInstance
 | RemoveAllHandlersOfObject
 | IncLCLRefCount
 | DecLCLRefCount
TComponent
 | GetComObject
 | GetComponent
 | GetComponentCount
 | GetComponentIndex
 | Insert
 | ReadLeft
 | ReadTop
 | Remove
 | RemoveNotification
 | SetComponentIndex
 | SetReference
 | WriteLeft
 | WriteTop
 | ChangeName
 | DefineProperties
 | GetChildren
 | GetChildOwner
 | GetChildParent
 | GetOwner
 | Loaded
 | Loading
 | Notification
 | PaletteCreated
 | ReadState
 | SetAncestor
 | SetDesigning
 | SetDesignInstance
 | SetInline
 | SetName
 | SetChildOrder
 | SetParentComponent
 | Updating
 | Updated
 | UpdateRegistry
 | ValidateRename
 | ValidateContainer
 | ValidateInsert
 | QueryInterface
 | _AddRef
 | _Release
 | iicrGetComponent
 | GetTypeInfoCount
 | GetTypeInfo
 | GetIDsOfNames
 | Invoke
 | WriteState
 | Create
 | Destroy
 | BeforeDestruction
 | DestroyComponents
 | Destroying
 | ExecuteAction
 | FindComponent
 | FreeNotification
 | RemoveFreeNotification
 | FreeOnRelease
 | GetEnumerator
 | GetNamePath
 | GetParentComponent
 | HasParent
 | InsertComponent
 | RemoveComponent
 | SafeCallException
 | SetSubComponent
 | UpdateAction
 | IsImplementorOf
 | ReferenceInterface
TPersistent
 | AssignError
 | AssignTo
 | DefineProperties
 | GetOwner
 | Destroy
 | Assign
 | FPOAttachObserver
 | FPODetachObserver
 | FPONotifyObservers
 | GetNamePath
TObject
 | Create
 | Destroy
 | newinstance
 | FreeInstance
 | SafeCallException
 | DefaultHandler
 | Free
 | InitInstance
 | CleanupInstance
 | ClassType
 | ClassInfo
 | ClassName
 | ClassNameIs
 | ClassParent
 | InstanceSize
 | InheritsFrom
 | StringMessageTable
 | MethodAddress
 | MethodName
 | FieldAddress
 | AfterConstruction
 | BeforeDestruction
 | DefaultHandlerStr
 | Dispatch
 | DispatchStr
 | GetInterface
 | GetInterfaceByStr
 | GetInterfaceWeak
 | GetInterfaceEntry
 | GetInterfaceEntryByStr
 | GetInterfaceTable
 | UnitName
 | Equals
 | GetHashCode
 | ToString


pt | ActionChange (TControl)
 | ActiveDefaultControlChanged (TControl)
 | AddControl (TWinControl)
pt | AddHandler (TControl)
 | AddHandlerOnBeforeDestruction (TControl)
 | AddHandlerOnChangeBounds (TControl)
 | AddHandlerOnEnabledChanged (TControl)
 | AddHandlerOnKeyDown (TControl)
 | AddHandlerOnMouseWheel (TControl)
 | AddHandlerOnResize (TControl)
 | AddHandlerOnVisibleChanged (TControl)
 | AddHandlerOnVisibleChanging (TControl)
pt | AddSelectedRange (TCustomGrid)
pt | AdjustClientRect (TWinControl)
pt | AdjustClientRect (TCustomGrid)
pt | AdjustEditorBounds (TCustomGrid)
 | AdjustInnerCellRect (TCustomGrid)
 | AdjustSize (TControl)
 | AfterConstruction (TObject)
pt | AfterMoveSelection (TCustomGrid)
pt | AlignControls (TWinControl)
pt | AllAutoSized (TWinControl)
 | AnchorAsAlign (TControl)
 | AnchorClient (TControl)
 | AnchoredControlCount (TControl)
 | AnchorHorizontalCenterTo (TControl)
 | AnchorParallel (TControl)
 | AnchorSame (TControl)
pt | AnchorSideChanged (TControl)
 | AnchorToCompanion (TControl)
 | AnchorToNeighbour (TControl)
 | AnchorVerticalCenterTo (TControl)
 | Assign (TPersistent)
 | AssignError (TPersistent)
 | AssignTo (TPersistent)
pt | AssignTo (TControl)
pt | AssignTo (TCustomGrid)
pt | AssignTo (TCustomStringGrid)
pt | AutoAdjustColumn (TCustomGrid)
pt | AutoAdjustColumn (TCustomStringGrid)
 | AutoAdjustColumns (TCustomGrid)
 | AutoAdjustLayout (TControl)
 | AutoAdjustLayout (TWinControl)
 | AutoSizeColumn (TCustomStringGrid)
 | AutoSizeColumns (TCustomStringGrid)
 | AutoSizeDelayed (TControl)
 | AutoSizeDelayed (TWinControl)
 | AutoSizeDelayedHandle (TControl)
 | AutoSizeDelayedHandle (TWinControl)
 | AutoSizeDelayedReport (TControl)
 | AutoSizeDelayedReport (TWinControl)
 | AutoSizePhases (TControl)
 | AutoSizePhases (TWinControl)
 | BeforeDestruction (TObject)
 | BeforeDestruction (TComponent)
 | BeforeDestruction (TControl)
pt | BeforeDragStart (TControl)
pt | BeforeMoveSelection (TCustomGrid)
pt | BeginAutoDrag (TControl)
pt | BeginAutoDrag (TCustomGrid)
pt | BeginAutoSizing (TControl)
 | BeginDrag (TControl)
 | BeginUpdate (TCustomGrid)
 | BeginUpdateBounds (TWinControl)
pt | BoundsChanged (TControl)
pt | BoxRect (TCustomGrid)
 | BringToFront (TControl)
 | BroadCast (TWinControl)
 | BrushCreated (TWinControl)
pt | CacheMouseDown (TCustomGrid)
pt | CalcAutoSizeColumn (TCustomGrid)
pt | CalcCellExtent (TCustomGrid)
pt | CalcCellExtent (TCustomStringGrid)
pt | CalcFocusRect (TCustomGrid)
pt | CalcMaxTopLeft (TCustomGrid)
pt | CalcScrollbarsRange (TCustomGrid)
pt | CalculateDockSizes (TControl)
pt | CalculatePreferredSize (TControl)
pt | CalculatePreferredSize (TWinControl)
pt | CalculatePreferredSize (TCustomGrid)
pt | CanAutoSize (TControl)
pt | CanEditShow (TCustomGrid)
 | CanFocus (TWinControl)
pt | CanGridAcceptKey (TCustomGrid)
 | CanSetFocus (TWinControl)
pt | CanTab (TControl)
pt | CanTab (TWinControl)
pt | CaptureChanged (TControl)
pt | CellClick (TCustomGrid)
pt | CellClick (TCustomDrawGrid)
pt | CellExtent (TCustomGrid)
 | CellRect (TCustomGrid)
 | CellToGridZone (TCustomGrid)
pt | ChangeBounds (TControl)
pt | Changed (TControl)
 | ChangeName (TComponent)
pt | ChangeScale (TControl)
pt | ChangeScale (TWinControl)
 | CheckChildClassAllowed (TControl)
pt | CheckLimits (TCustomGrid)
pt | CheckLimitsWithError (TCustomGrid)
pt | CheckNewCachedSizes (TCustomGrid)
 | CheckNewParent (TControl)
pt | CheckOnChangeBounds (TControl)
 | CheckPosition (TCustomGrid)
pt | ChildClassAllowed (TControl)
pt | ChildClassAllowed (TWinControl)
pt | ChildHandlesCreated (TWinControl)
pt | ChildKey (TWinControl)
 | ClassInfo (TObject)
 | ClassName (TObject)
 | ClassNameIs (TObject)
 | ClassParent (TObject)
 | ClassType (TObject)
 | Clean (TCustomStringGrid)
 | CleanupInstance (TObject)
 | Clear (TCustomGrid)
 | ClearCols (TCustomGrid)
 | ClearRows (TCustomGrid)
 | ClearSelections (TCustomGrid)
pt | Click (TControl)
pt | Click (TCustomGrid)
 | ClientRectNeedsInterfaceUpdate (TWinControl)
 | ClientToParent (TControl)
 | ClientToScreen (TControl)
pt | CMBiDiModeChanged (TControl)
pt | CMBiDiModeChanged (TWinControl)
pt | CMBiDiModeChanged (TCustomGrid)
pt | CMBorderChanged (TWinControl)
pt | CMChanged (TControl)
pt | CMCursorChanged (TControl)
pt | CMDoubleBufferedChanged (TWinControl)
pt | CMEnabledChanged (TControl)
pt | CMEnabledChanged (TWinControl)
pt | CMEnter (TWinControl)
pt | CMExit (TWinControl)
pt | CMHintShow (TControl)
pt | CMHitTest (TControl)
pt | CMMouseEnter (TControl)
pt | CMMouseEnter (TCustomGrid)
pt | CMMouseLeave (TControl)
pt | CMMouseLeave (TCustomGrid)
pt | CMParentBiDiModeChanged (TControl)
pt | CMParentColorChanged (TControl)
pt | CMParentDoubleBufferedChanged (TWinControl)
pt | CMParentFontChanged (TControl)
pt | CMParentShowHintChanged (TControl)
pt | CMShowHintChanged (TWinControl)
pt | CMShowingChanged (TWinControl)
pt | CMSysFontChanged (TControl)
pt | CMTextChanged (TControl)
pt | CMVisibleChanged (TControl)
pt | CMVisibleChanged (TWinControl)
pt | CNChar (TWinControl)
pt | CNKeyDown (TWinControl)
pt | CNKeyUp (TWinControl)
 | CNPreferredSizeChanged (TControl)
pt | CNSysKeyDown (TWinControl)
pt | CNSysKeyUp (TWinControl)
pt | ColorIsStored (TControl)
pt | ColRowDeleted (TCustomGrid)
pt | ColRowDeleted (TCustomDrawGrid)
pt | ColRowExchanged (TCustomGrid)
pt | ColRowExchanged (TCustomDrawGrid)
pt | ColRowInserted (TCustomGrid)
pt | ColRowInserted (TCustomDrawGrid)
pt | ColRowMoved (TCustomGrid)
pt | ColRowMoved (TCustomDrawGrid)
pt | ColRowToOffset (TCustomGrid)
pt | ColumnFromGridColumn (TCustomGrid)
pt | ColumnIndexFromGridColumn (TCustomGrid)
pt | ColumnsChanged (TCustomGrid)
pt | ColWidthsChanged (TCustomGrid)
pt | ConstrainedResize (TControl)
 | ContainsControl (TWinControl)
 | ControlAtPos (TWinControl)
pt | ControlKeyDown (TWinControl)
pt | ControlKeyUp (TWinControl)
pt | ControlsAligned (TWinControl)
 | ControlToScreen (TControl)
 | CopyToClipboard (TCustomStringGrid)
 | Create (TObject)
 | Create (TComponent)
 | Create (TLCLComponent)
 | Create (TControl)
 | Create (TWinControl)
 | Create (TCustomControl)
 | Create (TCustomGrid)
 | Create (TCustomDrawGrid)
 | Create (TCustomStringGrid)
 | CreateAccessibleObject (TControl)
pt | CreateBrush (TWinControl)
pt | CreateColumns (TCustomGrid)
pt | CreateControlBorderSpacing (TControl)
pt | CreateDockManager (TWinControl)
pt | CreateFloatingDockSite (TControl)
pt | CreateHandle (TWinControl)
pt | CreateParams (TWinControl)
pt | CreateParams (TCustomGrid)
 | CreateParented (TWinControl)
 | CreateParentedControl (TWinControl)
pt | CreateSubClass (TWinControl)
pt | CreateVirtualGrid (TCustomDrawGrid)
pt | CreateWnd (TWinControl)
pt | CreateWnd (TCustomGrid)
pt | CustomAlignInsertBefore (TWinControl)
pt | CustomAlignPosition (TWinControl)
pt | DblClick (TControl)
pt | DblClick (TCustomGrid)
 | DecLCLRefCount (TLCLComponent)
pt | DefaultColWidthIsStored (TCustomGrid)
 | DefaultDrawCell (TCustomDrawGrid)
 | DefaultHandler (TObject)
 | DefaultHandler (TWinControl)
 | DefaultHandlerStr (TObject)
pt | DefaultRowHeightIsStored (TCustomGrid)
pt | DefineCellsProperty (TCustomStringGrid)
 | DefineProperties (TPersistent)
 | DefineProperties (TComponent)
pt | DefineProperties (TControl)
pt | DefineProperties (TCustomGrid)
pt | DefineProperties (TCustomStringGrid)
 | DeleteCol (TCustomDrawGrid)
 | DeleteColRow (TCustomDrawGrid)
 | DeleteRow (TCustomDrawGrid)
 | Destroy (TObject)
 | Destroy (TPersistent)
 | Destroy (TComponent)
 | Destroy (TLCLComponent)
 | Destroy (TControl)
 | Destroy (TWinControl)
 | Destroy (TCustomControl)
 | Destroy (TCustomGrid)
 | Destroy (TCustomDrawGrid)
 | Destroy (TCustomStringGrid)
 | DestroyComponents (TComponent)
pt | DestroyHandle (TWinControl)
pt | DestroyHandle (TCustomGrid)
 | Destroying (TComponent)
pt | DestroyWnd (TWinControl)
pt | DestroyWnd (TCustomControl)
pt | DialogChar (TControl)
pt | DialogChar (TWinControl)
pt | DialogChar (TCustomGrid)
 | DisableAlign (TWinControl)
 | DisableAutoSizing (TControl)
 | Dispatch (TObject)
 | DispatchStr (TObject)
pt | DoAddDockClient (TWinControl)
 | DoAdjustClientRectChange (TWinControl)
pt | DoAlignChildControls (TWinControl)
pt | DoAllAutoSize (TControl)
pt | DoAllAutoSize (TWinControl)
pt | DoAutoAdjustLayout (TControl)
pt | DoAutoAdjustLayout (TCustomGrid)
pt | DoAutoSize (TControl)
pt | DoAutoSize (TWinControl)
pt | DoBorderSpacingChange (TControl)
pt | DoCallKeyEventHandler (TControl)
pt | DoCallMouseWheelEventHandler (TControl)
pt | DoCallNotifyHandler (TControl)
pt | DoCellProcess (TCustomStringGrid)
pt | DoChildSizingChange (TWinControl)
 | Dock (TControl)
 | DockDrop (TWinControl)
 | Docked (TControl)
pt | DockOver (TWinControl)
pt | DockTrackNoTarget (TControl)
pt | DoCompareCells (TCustomGrid)
pt | DoCompareCells (TCustomStringGrid)
pt | DoConstraintsChange (TControl)
pt | DoConstraintsChange (TWinControl)
pt | DoContextPopup (TControl)
pt | DoCopyToClipboard (TCustomGrid)
pt | DoCopyToClipboard (TCustomStringGrid)
pt | DoCutToClipboard (TCustomGrid)
pt | DoCutToClipboard (TCustomStringGrid)
pt | DoDock (TControl)
pt | DoDockClientMsg (TWinControl)
pt | DoDockOver (TWinControl)
pt | DoDragMsg (TControl)
pt | DoDragMsg (TWinControl)
pt | DoEditButtonClick (TCustomGrid)
pt | DoEditorHide (TCustomGrid)
pt | DoEditorShow (TCustomGrid)
pt | DoEndDock (TControl)
pt | DoEndDrag (TControl)
pt | DoEnter (TWinControl)
pt | DoEnter (TCustomGrid)
pt | DoExit (TWinControl)
pt | DoExit (TCustomGrid)
pt | DoFixDesignFontPPI (TControl)
pt | DoFlipChildren (TWinControl)
pt | DoFloatMsg (TControl)
pt | DoFloatMsg (TWinControl)
pt | DoGetDockCaption (TWinControl)
pt | DoKeyDownBeforeInterface (TWinControl)
pt | DoKeyPress (TWinControl)
pt | DoKeyUpBeforeInterface (TWinControl)
pt | DoLoadColumn (TCustomGrid)
pt | DoMouseWheel (TControl)
pt | DoMouseWheel (TCustomGrid)
pt | DoMouseWheelDown (TControl)
pt | DoMouseWheelDown (TCustomGrid)
pt | DoMouseWheelHorz (TControl)
pt | DoMouseWheelLeft (TControl)
pt | DoMouseWheelLeft (TCustomGrid)
pt | DoMouseWheelRight (TControl)
pt | DoMouseWheelRight (TCustomGrid)
pt | DoMouseWheelUp (TControl)
pt | DoMouseWheelUp (TCustomGrid)
pt | DoOnChangeBounds (TControl)
pt | DoOnChangeBounds (TCustomGrid)
pt | DoOnParentHandleDestruction (TControl)
pt | DoOnResize (TControl)
pt | DoOnShowHint (TControl)
pt | DoOPDeleteColRow (TCustomGrid)
pt | DoOPExchangeColRow (TCustomGrid)
pt | DoOPInsertColRow (TCustomGrid)
pt | DoOPMoveColRow (TCustomGrid)
pt | DoPasteFromClipboard (TCustomGrid)
pt | DoPasteFromClipboard (TCustomStringGrid)
pt | DoPrepareCanvas (TCustomGrid)
pt | DoRemainingKeyDown (TWinControl)
pt | DoRemainingKeyUp (TWinControl)
pt | DoRemoveDockClient (TWinControl)
pt | DoSaveColumn (TCustomGrid)
pt | DoScaleFontPPI (TControl)
pt | DoSendBoundsToInterface (TWinControl)
pt | DoSendShowHideToInterface (TWinControl)
pt | DoSetBounds (TControl)
pt | DoSetBounds (TWinControl)
pt | DoSetBounds (TCustomGrid)
pt | DoStartDock (TControl)
pt | DoStartDrag (TControl)
pt | DoUnDock (TWinControl)
pt | DoUndockClientMsg (TWinControl)
pt | DoUTF8KeyPress (TWinControl)
pt | DoUTF8KeyPress (TCustomGrid)
pt | DragCanceled (TControl)
 | DragDrop (TControl)
 | Dragging (TControl)
pt | DragOver (TControl)
pt | DrawAllRows (TCustomGrid)
pt | DrawBorder (TCustomGrid)
pt | DrawButtonCell (TCustomGrid)
pt | DrawCell (TCustomGrid)
pt | DrawCell (TCustomDrawGrid)
pt | DrawCellAutonumbering (TCustomDrawGrid)
pt | DrawCellAutonumbering (TCustomStringGrid)
pt | DrawCellGrid (TCustomGrid)
pt | DrawCellText (TCustomGrid)
pt | DrawColRowMoving (TCustomGrid)
pt | DrawColumnText (TCustomGrid)
pt | DrawColumnText (TCustomStringGrid)
pt | DrawColumnTitleImage (TCustomGrid)
pt | DrawEdges (TCustomGrid)
pt | DrawFillRect (TCustomGrid)
pt | DrawFocusRect (TCustomGrid)
pt | DrawFocusRect (TCustomDrawGrid)
pt | DrawGridCheckboxBitmaps (TCustomGrid)
pt | DrawRow (TCustomGrid)
pt | DrawTextInCell (TCustomGrid)
pt | DrawTextInCell (TCustomStringGrid)
pt | DrawThemedCell (TCustomGrid)
pt | EditButtonClicked (TCustomGrid)
pt | EditingAllowed (TCustomGrid)
 | EditingDone (TControl)
 | EditingDone (TCustomGrid)
 | EditorByStyle (TCustomGrid)
pt | EditorCanAcceptKey (TCustomGrid)
pt | EditordoGetValue (TCustomGrid)
pt | EditordoResetValue (TCustomGrid)
pt | EditordoSetValue (TCustomGrid)
pt | EditorHide (TCustomGrid)
pt | EditorIsReadOnly (TCustomGrid)
 | EditorKeyDown (TCustomGrid)
 | EditorKeyPress (TCustomGrid)
 | EditorKeyUp (TCustomGrid)
pt | EditorLocked (TCustomGrid)
pt | EditorSelectAll (TCustomGrid)
pt | EditorShow (TCustomGrid)
pt | EditorShowInCell (TCustomGrid)
 | EditorTextChanged (TCustomGrid)
pt | EditorWidthChanged (TCustomGrid)
 | EnableAlign (TWinControl)
 | EnableAutoSizing (TControl)
pt | EnabledChanged (TControl)
pt | EnabledChanging (TControl)
pt | EndAutoSizing (TControl)
 | EndDrag (TControl)
 | EndUpdate (TCustomGrid)
 | EndUpdateBounds (TWinControl)
 | Equals (TObject)
 | EraseBackground (TWinControl)
 | EraseBackground (TCustomGrid)
 | ExchangeColRow (TCustomDrawGrid)
 | ExecuteAction (TComponent)
 | ExecuteCancelAction (TControl)
 | ExecuteDefaultAction (TControl)
 | FieldAddress (TObject)
pt | FinalizeWnd (TWinControl)
 | FindChildControl (TWinControl)
 | FindComponent (TComponent)
pt | FindNextControl (TWinControl)
pt | FirstGridColumn (TCustomGrid)
 | FixDesignFontsPPI (TControl)
pt | FixedGrid (TCustomGrid)
pt | FixupTabList (TWinControl)
 | FlipChildren (TWinControl)
pt | FlipPoint (TCustomGrid)
pt | FlipRect (TCustomGrid)
pt | FlipX (TCustomGrid)
 | Focused (TWinControl)
 | Focused (TCustomGrid)
pt | FontChanged (TControl)
pt | FontChanged (TWinControl)
pt | FontChanged (TCustomControl)
pt | FontChanged (TCustomGrid)
pt | ForeignAnchorSideChanged (TControl)
pt | FormEndUpdated (TControl)
pt | FormEndUpdated (TWinControl)
 | FormIsUpdating (TControl)
 | FPOAttachObserver (TPersistent)
 | FPODetachObserver (TPersistent)
 | FPONotifyObservers (TPersistent)
 | Free (TObject)
 | FreeInstance (TObject)
 | FreeNotification (TComponent)
 | FreeOnRelease (TComponent)
 | GetAccessibleObject (TControl)
pt | GetAction (TControl)
pt | GetActionLinkClass (TControl)
pt | GetAdjustedLogicalClientRect (TWinControl)
 | GetAnchorsDependingOnParent (TControl)
pt | GetAutoFillColumnInfo (TCustomGrid)
pt | GetBorderStyle (TWinControl)
pt | GetCachedText (TControl)
 | GetCanvasScaleFactor (TControl)
pt | GetCellHintText (TCustomGrid)
pt | GetCells (TCustomGrid)
pt | GetCells (TCustomDrawGrid)
pt | GetCells (TCustomStringGrid)
pt | GetCheckBoxState (TCustomDrawGrid)
pt | GetCheckBoxState (TCustomStringGrid)
 | GetChildAccessibleObjectAtPos (TControl)
 | GetChildOwner (TComponent)
 | GetChildParent (TComponent)
 | GetChildren (TComponent)
pt | GetChildren (TWinControl)
 | GetChildrenRect (TControl)
 | GetChildrenRect (TWinControl)
pt | GetClientOrigin (TControl)
pt | GetClientOrigin (TWinControl)
pt | GetClientRect (TControl)
pt | GetClientRect (TWinControl)
pt | GetClientScrollOffset (TControl)
 | GetColorResolvingParent (TControl)
pt | GetColumnAlignment (TCustomGrid)
pt | GetColumnColor (TCustomGrid)
pt | GetColumnFont (TCustomGrid)
pt | GetColumnLayout (TCustomGrid)
pt | GetColumnReadonly (TCustomGrid)
pt | GetColumnTitle (TCustomGrid)
pt | GetColumnWidth (TCustomGrid)
 | GetComObject (TComponent)
 | GetComponent (TComponent)
 | GetComponentCount (TComponent)
 | GetComponentIndex (TComponent)
pt | GetControlClassDefaultSize (TControl)
 | GetControlIndex (TWinControl)
pt | GetControlOrigin (TControl)
pt | GetControlOrigin (TWinControl)
pt | GetCursor (TControl)
 | GetDefaultColor (TControl)
pt | GetDefaultColumnAlignment (TCustomGrid)
pt | GetDefaultColumnLayout (TCustomGrid)
pt | GetDefaultColumnReadOnly (TCustomGrid)
pt | GetDefaultColumnTitle (TCustomGrid)
pt | GetDefaultColumnWidth (TCustomGrid)
pt | GetDefaultDockCaption (TControl)
pt | GetDefaultEditor (TCustomGrid)
 | GetDefaultHeight (TControl)
pt | GetDefaultRowHeight (TCustomGrid)
 | GetDefaultWidth (TControl)
pt | GetDeltaMoveNext (TCustomGrid)
pt | GetDeviceContext (TControl)
pt | GetDeviceContext (TWinControl)
 | GetDockCaption (TWinControl)
pt | GetDockEdge (TControl)
pt | GetDragImages (TControl)
pt | GetEditMask (TCustomGrid)
pt | GetEditMask (TCustomDrawGrid)
pt | GetEditText (TCustomGrid)
pt | GetEditText (TCustomDrawGrid)
pt | GetEditText (TCustomStringGrid)
pt | GetEnabled (TControl)
 | GetEnumerator (TComponent)
 | GetEnumeratorControls (TWinControl)
 | GetEnumeratorControlsReverse (TWinControl)
pt | GetFirstVisibleColumn (TCustomGrid)
pt | GetFirstVisibleRow (TCustomGrid)
pt | GetFixedcolor (TCustomGrid)
pt | GetFloating (TControl)
pt | GetFloatingDockSiteClass (TControl)
pt | GetGridDrawState (TCustomGrid)
 | GetHashCode (TObject)
 | GetIDsOfNames (TComponent)
pt | GetImageForCheckBox (TCustomGrid)
 | GetInterface (TObject)
 | GetInterfaceByStr (TObject)
 | GetInterfaceEntry (TObject)
 | GetInterfaceEntryByStr (TObject)
 | GetInterfaceTable (TObject)
 | GetInterfaceWeak (TObject)
pt | GetIsCellSelected (TCustomGrid)
pt | GetIsCellTitle (TCustomGrid)
pt | GetLastVisibleColumn (TCustomGrid)
pt | GetLastVisibleRow (TCustomGrid)
pt | GetLogicalClientRect (TControl)
pt | GetMouseCapture (TControl)
pt | GetMouseCapture (TWinControl)
pt | GetMousePosFromMessage (TControl)
 | GetNamePath (TPersistent)
 | GetNamePath (TComponent)
 | GetOwner (TPersistent)
 | GetOwner (TComponent)
pt | GetPalette (TControl)
pt | GetParentBackground (TWinControl)
 | GetParentComponent (TComponent)
 | GetParentComponent (TControl)
pt | GetParentHandle (TWinControl)
pt | GetPopupMenu (TControl)
 | GetPreferredSize (TControl)
pt | GetPreferredSizeClientFrame (TWinControl)
pt | GetPxTopLeft (TCustomGrid)
 | GetRGBColorResolvingParent (TControl)
pt | GetSBRanges (TCustomGrid)
pt | GetSBVisibility (TCustomGrid)
pt | GetScrollBarPosition (TCustomGrid)
pt | GetScrolledClientRect (TControl)
 | GetSelectedChildAccessibleObject (TControl)
pt | GetSelectedColor (TCustomGrid)
pt | GetSelectedState (TCustomGrid)
 | GetSidePosition (TControl)
pt | GetSiteInfo (TWinControl)
pt | GetSmoothScroll (TCustomGrid)
 | GetTabOrderList (TWinControl)
 | GetTextBuf (TControl)
 | GetTextLen (TControl)
 | GetTextLen (TWinControl)
pt | GetTitleShowPrefix (TCustomGrid)
 | GetTopParent (TControl)
pt | GetTopParentHandle (TWinControl)
pt | GetTruncCellHintText (TCustomGrid)
 | GetTypeInfo (TComponent)
 | GetTypeInfoCount (TComponent)
pt | GetWSComponentClass (TLCLComponent)
pt | GridColumnFromColumnIndex (TCustomGrid)
pt | GridMouseWheel (TCustomGrid)
pt | GridMouseWheel (TCustomDrawGrid)
 | HandleAllocated (TWinControl)
 | HandleNeeded (TWinControl)
 | HandleObjectShouldBeVisible (TControl)
 | HasHelp (TControl)
 | HasMultiSelection (TCustomGrid)
 | HasParent (TComponent)
 | HasParent (TControl)
pt | HeaderClick (TCustomGrid)
pt | HeaderClick (TCustomDrawGrid)
pt | HeaderSized (TCustomGrid)
pt | HeaderSized (TCustomDrawGrid)
pt | HeaderSizing (TCustomGrid)
pt | HeaderSizing (TCustomDrawGrid)
pt | HeightIsAnchored (TControl)
 | Hide (TControl)
pt | HideCellHintWindow (TCustomGrid)
 | iicrGetComponent (TComponent)
 | IncLCLRefCount (TLCLComponent)
 | InheritsFrom (TObject)
pt | InitializeWnd (TWinControl)
 | InitiateAction (TControl)
 | InitInstance (TObject)
 | Insert (TComponent)
 | InsertColRow (TCustomDrawGrid)
 | InsertComponent (TComponent)
 | InsertControl (TWinControl)
 | InsertRowWithValues (TCustomStringGrid)
 | InstanceSize (TObject)
pt | InternalSetColCount (TCustomGrid)
 | IntfGetDropFilesTarget (TWinControl)
 | IntfUTF8KeyPress (TWinControl)
 | Invalidate (TControl)
 | Invalidate (TWinControl)
 | Invalidate (TCustomGrid)
pt | InvalidateBoundsRealized (TWinControl)
pt | InvalidateCell (TCustomGrid)
 | InvalidateClientRectCache (TWinControl)
 | InvalidateCol (TCustomGrid)
pt | InvalidateControl (TControl)
pt | InvalidateFocused (TCustomGrid)
pt | InvalidateFromCol (TCustomGrid)
pt | InvalidateGrid (TCustomGrid)
pt | InvalidatePreferredChildSizes (TWinControl)
 | InvalidatePreferredSize (TControl)
 | InvalidateRange (TCustomGrid)
 | InvalidateRow (TCustomGrid)
 | Invoke (TComponent)
pt | IsAParentAligning (TControl)
pt | IsBorderSpacingInnerBorderStored (TControl)
pt | IsCaptionStored (TControl)
 | IsCellVisible (TCustomGrid)
pt | IsClientHeightStored (TControl)
pt | IsClientHeightStored (TWinControl)
pt | IsClientWidthStored (TControl)
pt | IsClientWidthStored (TWinControl)
pt | IsControlMouseMsg (TWinControl)
 | IsControlVisible (TControl)
pt | IsEmptyRow (TCustomGrid)
 | IsEnabled (TControl)
 | IsFixedCellVisible (TCustomGrid)
 | IsImplementorOf (TComponent)
pt | IsMouseOverCellButton (TCustomGrid)
 | IsParentColor (TControl)
 | IsParentFont (TControl)
 | IsParentOf (TControl)
 | IsProcessingPaintMsg (TControl)
 | IsRightToLeft (TControl)
 | IsVisible (TControl)
pt | KeyDown (TWinControl)
pt | KeyDown (TCustomGrid)
pt | KeyDown (TCustomDrawGrid)
pt | KeyDownAfterInterface (TWinControl)
pt | KeyDownBeforeInterface (TWinControl)
pt | KeyPress (TWinControl)
pt | KeyPress (TCustomGrid)
pt | KeyUp (TWinControl)
pt | KeyUp (TCustomGrid)
pt | KeyUpAfterInterface (TWinControl)
pt | KeyUpBeforeInterface (TWinControl)
pt | LMCaptureChanged (TControl)
pt | LoadContent (TCustomGrid)
pt | LoadContent (TCustomStringGrid)
 | Loaded (TComponent)
pt | Loaded (TControl)
pt | Loaded (TWinControl)
pt | Loaded (TCustomGrid)
pt | Loaded (TCustomStringGrid)
pt | LoadedAll (TControl)
 | LoadFromCSVFile (TCustomStringGrid)
 | LoadFromCSVStream (TCustomStringGrid)
 | LoadFromFile (TCustomGrid)
 | LoadFromStream (TCustomGrid)
pt | LoadGridOptions (TCustomGrid)
 | Loading (TComponent)
pt | LockEditor (TCustomGrid)
 | LockRealizeBounds (TWinControl)
pt | MainWndProc (TWinControl)
 | ManualDock (TControl)
 | ManualFloat (TControl)
 | MethodAddress (TObject)
 | MethodName (TObject)
pt | MouseButtonAllowed (TCustomGrid)
 | MouseCoord (TCustomGrid)
pt | MouseDown (TControl)
pt | MouseDown (TCustomGrid)
pt | MouseEnter (TControl)
pt | MouseLeave (TControl)
pt | MouseMove (TControl)
pt | MouseMove (TCustomGrid)
 | MouseToCell (TCustomGrid)
 | MouseToGridZone (TCustomGrid)
 | MouseToLogcell (TCustomGrid)
pt | MouseUp (TControl)
pt | MouseUp (TCustomGrid)
 | MoveColRow (TCustomDrawGrid)
pt | MoveExtend (TCustomGrid)
pt | MoveNextAuto (TCustomGrid)
pt | MoveNextSelectable (TCustomGrid)
pt | MoveSelection (TCustomGrid)
 | newinstance (TObject)
 | NewInstance (TLCLComponent)
 | Notification (TComponent)
pt | Notification (TControl)
pt | NotifyColRowChange (TCustomDrawGrid)
 | NotifyControls (TWinControl)
pt | OffsetToColRow (TCustomGrid)
pt | Paint (TCustomControl)
pt | Paint (TCustomGrid)
pt | PaintControls (TWinControl)
pt | PaintHandler (TWinControl)
 | PaintTo (TWinControl)
pt | PaintWindow (TWinControl)
pt | PaintWindow (TCustomControl)
 | PaletteCreated (TComponent)
 | ParentDestroyingHandle (TControl)
pt | ParentFontChanged (TControl)
pt | ParentFormHandleInitialized (TControl)
pt | ParentFormHandleInitialized (TWinControl)
 | ParentHandlesAllocated (TControl)
 | ParentHandlesAllocated (TWinControl)
 | ParentToClient (TControl)
 | Perform (TControl)
 | PerformTab (TWinControl)
pt | PickListItemSelected (TCustomGrid)
pt | PositionDockRect (TControl)
pt | PrepareCanvas (TCustomGrid)
pt | PrepareCellHints (TCustomGrid)
pt | QuadClick (TControl)
 | QueryInterface (TComponent)
 | ReadLeft (TComponent)
 | ReadState (TComponent)
pt | ReadState (TControl)
 | ReadTop (TComponent)
pt | RealGetText (TControl)
pt | RealGetText (TWinControl)
 | ReAlign (TWinControl)
pt | RealizeBounds (TWinControl)
pt | RealizeBoundsRecursive (TWinControl)
pt | RealSetText (TControl)
pt | RealSetText (TWinControl)
 | ReferenceInterface (TComponent)
 | Refresh (TControl)
pt | ReloadDockedControl (TWinControl)
 | Remove (TComponent)
 | RemoveAllHandlersOfObject (TLCLComponent)
 | RemoveAllHandlersOfObject (TControl)
 | RemoveComponent (TComponent)
 | RemoveControl (TWinControl)
pt | RemoveFocus (TWinControl)
 | RemoveFreeNotification (TComponent)
pt | RemoveHandler (TControl)
 | RemoveHandlerOnBeforeDestruction (TControl)
 | RemoveHandlerOnChangeBounds (TControl)
 | RemoveHandlerOnEnableChanging (TControl)
 | RemoveHandlerOnKeyDown (TControl)
 | RemoveHandlerOnMouseWheel (TControl)
 | RemoveHandlerOnResize (TControl)
 | RemoveHandlerOnVisibleChanged (TControl)
 | RemoveHandlerOnVisibleChanging (TControl)
 | RemoveNotification (TComponent)
 | Repaint (TControl)
 | Repaint (TWinControl)
 | ReplaceDockedControl (TControl)
pt | RequestAlign (TControl)
pt | ResetDefaultColWidths (TCustomGrid)
pt | ResetEditor (TCustomGrid)
pt | ResetLastMove (TCustomGrid)
pt | ResetOffset (TCustomGrid)
pt | ResetSizes (TCustomGrid)
pt | Resize (TControl)
pt | ResizeColumn (TCustomGrid)
pt | ResizeRow (TCustomGrid)
pt | RowHeightsChanged (TCustomGrid)
pt | RTLSign (TCustomGrid)
 | SafeCallException (TObject)
 | SafeCallException (TComponent)
pt | SaveContent (TCustomGrid)
pt | SaveContent (TCustomStringGrid)
pt | SaveGridOptions (TCustomGrid)
 | SaveToCSVFile (TCustomStringGrid)
 | SaveToCSVStream (TCustomStringGrid)
 | SaveToFile (TCustomGrid)
 | SaveToStream (TCustomGrid)
 | Scale96ToFont (TControl)
 | Scale96ToForm (TControl)
 | Scale96ToScreen (TControl)
 | ScaleBy (TWinControl)
pt | ScaleConstraints (TControl)
pt | ScaleControls (TWinControl)
 | ScaleDesignToForm (TControl)
 | ScaleFontsPPI (TControl)
 | ScaleFontTo96 (TControl)
 | ScaleFontToScreen (TControl)
 | ScaleFormTo96 (TControl)
 | ScaleFormToDesign (TControl)
 | ScaleScreenTo96 (TControl)
 | ScaleScreenToFont (TControl)
 | ScreenToClient (TControl)
 | ScreenToControl (TControl)
pt | ScrollBarAutomatic (TCustomGrid)
pt | ScrollBarIsVisible (TCustomGrid)
pt | ScrollBarPage (TCustomGrid)
pt | ScrollBarPosition (TCustomGrid)
pt | ScrollBarRange (TCustomGrid)
pt | ScrollBarShow (TCustomGrid)
 | ScrollBy (TWinControl)
pt | ScrollBy (TCustomGrid)
 | ScrollBy_WS (TWinControl)
pt | SelectCell (TCustomGrid)
pt | SelectCell (TCustomDrawGrid)
pt | SelectEditor (TCustomGrid)
pt | SelectFirst (TWinControl)
pt | SelectionSetHTML (TCustomStringGrid)
pt | SelectionSetText (TCustomStringGrid)
 | SelectNext (TWinControl)
pt | SendDialogChar (TWinControl)
pt | SendMoveSizeMessages (TControl)
pt | SendMoveSizeMessages (TWinControl)
 | SendToBack (TControl)
pt | SetAction (TControl)
pt | SetAlign (TControl)
 | SetAncestor (TComponent)
pt | SetAnchors (TControl)
pt | SetAutoSize (TControl)
pt | SetBiDiMode (TControl)
pt | SetBorderStyle (TWinControl)
pt | SetBorderStyle (TCustomGrid)
 | SetBounds (TControl)
 | SetBounds (TWinControl)
 | SetBoundsKeepBase (TControl)
pt | SetCanvasFont (TCustomGrid)
pt | SetCells (TCustomStringGrid)
pt | SetCheckboxState (TCustomDrawGrid)
pt | SetCheckboxState (TCustomStringGrid)
 | SetChildOrder (TComponent)
pt | SetChildZPosition (TWinControl)
pt | SetColor (TControl)
pt | SetColor (TWinControl)
pt | SetColor (TCustomControl)
pt | SetColor (TCustomGrid)
pt | SetColor (TCustomDrawGrid)
pt | SetColRow (TCustomGrid)
 | SetComponentIndex (TComponent)
 | SetControlIndex (TWinControl)
pt | SetCursor (TControl)
 | SetDesigning (TComponent)
 | SetDesignInstance (TComponent)
pt | SetDockManager (TWinControl)
pt | SetDragMode (TControl)
pt | SetEditText (TCustomGrid)
pt | SetEditText (TCustomDrawGrid)
pt | SetEditText (TCustomStringGrid)
pt | SetEnabled (TControl)
pt | SetFixedcolor (TCustomGrid)
pt | SetFixedCols (TCustomGrid)
pt | SetFixedRows (TCustomGrid)
 | SetFocus (TWinControl)
 | SetFocus (TCustomGrid)
pt | SetHint (TControl)
 | SetInitialBounds (TControl)
 | SetInline (TComponent)
 | SetName (TComponent)
pt | SetName (TControl)
pt | SetParent (TControl)
pt | SetParentBackground (TWinControl)
pt | SetParentBiDiMode (TControl)
 | SetParentComponent (TComponent)
pt | SetParentComponent (TControl)
pt | SetRawColWidths (TCustomGrid)
 | SetReference (TComponent)
pt | SetSelectedColor (TCustomGrid)
 | SetShape (TWinControl)
 | SetSubComponent (TComponent)
 | SetTempCursor (TControl)
 | SetTempCursor (TWinControl)
 | SetTextBuf (TControl)
pt | SetVisible (TControl)
pt | SetZOrder (TControl)
 | ShouldAutoAdjust (TControl)
 | Show (TControl)
pt | ShowCellHintWindow (TCustomGrid)
pt | ShowControl (TWinControl)
 | ShowHelp (TControl)
pt | SizeChanged (TCustomGrid)
pt | SizeChanged (TCustomDrawGrid)
pt | Sort (TCustomGrid)
 | SortColRow (TCustomDrawGrid)
pt | StartPushCell (TCustomGrid)
 | StringMessageTable (TObject)
pt | TextChanged (TControl)
pt | ToggleCheckbox (TCustomDrawGrid)
pt | TopLeftChanged (TCustomGrid)
 | ToString (TObject)
pt | TripleClick (TControl)
pt | TryMoveSelection (TCustomGrid)
 | UnitName (TObject)
pt | UnLockEditor (TCustomGrid)
 | UnlockRealizeBounds (TWinControl)
pt | UnprepareCellHints (TCustomGrid)
 | Update (TControl)
 | Update (TWinControl)
 | UpdateAction (TComponent)
pt | UpdateAnchorRules (TControl)
 | UpdateBaseBounds (TControl)
pt | UpdateBorderStyle (TCustomGrid)
pt | UpdateControlState (TWinControl)
 | Updated (TComponent)
 | UpdateDockCaption (TWinControl)
pt | UpdateHorzScrollBar (TCustomGrid)
pt | UpdateMouseCursor (TControl)
 | UpdateRegistry (TComponent)
 | UpdateRolesForForm (TControl)
pt | UpdateSelectionRange (TCustomGrid)
pt | UpdateShowing (TWinControl)
pt | UpdateVertScrollbar (TCustomGrid)
 | Updating (TComponent)
 | UseRightToLeftAlignment (TControl)
 | UseRightToLeftReading (TControl)
 | UseRightToLeftScrollBar (TControl)
pt | UTF8KeyPress (TWinControl)
 | ValidateContainer (TComponent)
pt | ValidateEntry (TCustomGrid)
 | ValidateInsert (TComponent)
 | ValidateRename (TComponent)
pt | VisibleChanged (TControl)
pt | VisibleChanging (TControl)
pt | VisualChange (TCustomGrid)
pt | WidthIsAnchored (TControl)
pt | WMCancelMode (TControl)
pt | WMChar (TWinControl)
pt | WMContextMenu (TControl)
pt | WMContextMenu (TWinControl)
pt | WMDestroy (TWinControl)
pt | WMEnter (TWinControl)
pt | WMEraseBkgnd (TWinControl)
pt | WMExit (TWinControl)
pt | WMHScroll (TCustomGrid)
pt | WMKeyDown (TWinControl)
pt | WMKeyUp (TWinControl)
pt | WMKillFocus (TWinControl)
pt | WMKillFocus (TCustomGrid)
pt | WMLButtonDBLCLK (TControl)
pt | WMLButtonDown (TControl)
pt | WMLButtonQuadCLK (TControl)
pt | WMLButtonTripleCLK (TControl)
pt | WMLButtonUp (TControl)
pt | WMMButtonDBLCLK (TControl)
pt | WMMButtonDown (TControl)
pt | WMMButtonQuadCLK (TControl)
pt | WMMButtonTripleCLK (TControl)
pt | WMMButtonUp (TControl)
pt | WMMouseHWheel (TControl)
pt | WMMouseMove (TControl)
pt | WMMouseWheel (TControl)
pt | WMMove (TControl)
pt | WMMove (TWinControl)
pt | WMNotify (TWinControl)
pt | WMPaint (TWinControl)
pt | WMPaint (TCustomControl)
pt | WMRButtonDBLCLK (TControl)
pt | WMRButtonDown (TControl)
pt | WMRButtonQuadCLK (TControl)
pt | WMRButtonTripleCLK (TControl)
pt | WMRButtonUp (TControl)
pt | WMSetFocus (TWinControl)
pt | WMSetFocus (TCustomGrid)
pt | WMShowWindow (TWinControl)
pt | WMSize (TControl)
pt | WMSize (TWinControl)
pt | WMSize (TCustomGrid)
pt | WMSysChar (TWinControl)
pt | WMSysKeyDown (TWinControl)
pt | WMSysKeyUp (TWinControl)
pt | WMVScroll (TCustomGrid)
pt | WMWindowPosChanged (TControl)
pt | WMWindowPosChanged (TWinControl)
pt | WMXButtonDBLCLK (TControl)
pt | WMXButtonDown (TControl)
pt | WMXButtonQuadCLK (TControl)
pt | WMXButtonTripleCLK (TControl)
pt | WMXButtonUp (TControl)
pt | WndProc (TControl)
pt | WndProc (TWinControl)
pt | WndProc (TCustomGrid)
 | WriteLayoutDebugReport (TControl)
 | WriteLayoutDebugReport (TWinControl)
 | WriteLeft (TComponent)
 | WriteState (TComponent)
 | WriteTop (TComponent)
pt | WSRegisterClass (TLCLComponent)
pt | WSRegisterClass (TControl)
pt | WSRegisterClass (TWinControl)
pt | WSRegisterClass (TCustomControl)
pt | WSRegisterClass (TCustomGrid)
pt | WSRegisterClass (TStringGrid)
pt | WSSetText (TWinControl)
 | _AddRef (TComponent)
 | _Release (TComponent)


TStringGrid
pl | ro | OnAfterSelection
pl | ro | OnBeforeSelection
pl | ro | OnCellProcess
pl | ro | OnChangeBounds
pl | ro | OnCheckboxToggled
pl | ro | OnClick
pl | ro | OnColRowDeleted
pl | ro | OnColRowExchanged
pl | ro | OnColRowInserted
pl | ro | OnColRowMoved
pl | ro | OnCompareCells
pl | ro | OnContextPopup
pl | ro | OnDragDrop
pl | ro | OnDragOver
pl | ro | OnDblClick
pl | ro | OnDrawCell
pl | ro | OnEditButtonClick
pl | ro | OnButtonClick
pl | ro | OnEditingDone
pl | ro | OnEndDock
pl | ro | OnEndDrag
pl | ro | OnEnter
pl | ro | OnExit
pl | ro | OnGetCellHint
pl | ro | OnGetCheckboxState
pl | ro | OnGetEditMask
pl | ro | OnGetEditText
pl | ro | OnHeaderClick
pl | ro | OnHeaderSized
pl | ro | OnHeaderSizing
pl | ro | OnKeyDown
pl | ro | OnKeyPress
pl | ro | OnKeyUp
pl | ro | OnMouseDown
pl | ro | OnMouseEnter
pl | ro | OnMouseLeave
pl | ro | OnMouseMove
pl | ro | OnMouseUp
pl | ro | OnMouseWheel
pl | ro | OnMouseWheelDown
pl | ro | OnMouseWheelUp
pl | ro | OnMouseWheelHorz
pl | ro | OnMouseWheelLeft
pl | ro | OnMouseWheelRight
pl | ro | OnPickListSelect
pl | ro | OnPrepareCanvas
pl | ro | OnResize
pl | ro | OnSelectEditor
pl | ro | OnSelection
pl | ro | OnSelectCell
pl | ro | OnSetCheckboxState
pl | ro | OnSetEditText
pl | ro | OnShowHint
pl | ro | OnStartDock
pl | ro | OnStartDrag
pl | ro | OnTopLeftChanged
pl | ro | OnUserCheckboxBitmap
pl | ro | OnUTF8KeyPress
pl | ro | OnValidateEntry
TCustomStringGrid
pt |  | OnCellProcess
TCustomDrawGrid
pt |  | OnGetCheckboxState
pt |  | OnSetCheckboxState
 | ro | OnAfterSelection
 | ro | OnBeforeSelection
 | ro | OnClick
 |  | OnColRowDeleted
 |  | OnColRowExchanged
 |  | OnColRowInserted
 |  | OnColRowMoved
 | ro | OnCompareCells
 | ro | OnContextPopup
 | ro | OnDblClick
 | ro | OnDragDrop
 | ro | OnDragOver
 | ro | OnDrawCell
 | ro | OnEditButtonClick
 | ro | OnButtonClick
 | ro | OnEndDock
 | ro | OnEndDrag
 | ro | OnEnter
 | ro | OnExit
 |  | OnGetEditMask
 |  | OnGetEditText
 |  | OnHeaderClick
 |  | OnHeaderSized
 |  | OnHeaderSizing
 | ro | OnKeyDown
 | ro | OnKeyPress
 | ro | OnKeyUp
 | ro | OnMouseDown
 | ro | OnMouseEnter
 | ro | OnMouseLeave
 | ro | OnMouseMove
 | ro | OnMouseUp
 | ro | OnMouseWheel
 | ro | OnMouseWheelDown
 | ro | OnMouseWheelUp
 | ro | OnPickListSelect
 | ro | OnPrepareCanvas
 | ro | OnSelectEditor
 | ro | OnSelection
 |  | OnSelectCell
 |  | OnSetEditText
 | ro | OnStartDock
 | ro | OnStartDrag
 | ro | OnTopleftChanged
 | ro | OnUTF8KeyPress
 | ro | OnValidateEntry
TCustomGrid
pt |  | OnAfterSelection
pt |  | OnBeforeSelection
pt |  | OnCheckboxToggled
pt |  | OnCompareCells
pt |  | OnPrepareCanvas
pt |  | OnDrawCell
pt |  | OnEditButtonClick
pt |  | OnButtonClick
pt |  | OnPickListSelect
pt |  | OnSelection
pt |  | OnSelectEditor
pt |  | OnTopLeftChanged
pt |  | OnUserCheckboxBitmap
pt |  | OnValidateEntry
pt |  | OnGetCellHint
pt |  | OnSaveColumn
pt |  | OnLoadColumn
TCustomControl
 |  | OnPaint
TWinControl
pt |  | OnGetSiteInfo
pt |  | OnGetDockCaption
 |  | OnAlignInsertBefore
 |  | OnAlignPosition
 |  | OnDockDrop
 |  | OnDockOver
 |  | OnEnter
 |  | OnExit
 |  | OnKeyDown
 |  | OnKeyPress
 |  | OnKeyUp
 |  | OnUnDock
 |  | OnUTF8KeyPress
TControl
pt |  | OnConstrainedResize
pt |  | OnContextPopup
pt |  | OnDblClick
pt |  | OnTripleClick
pt |  | OnQuadClick
pt |  | OnDragDrop
pt |  | OnDragOver
pt |  | OnEndDock
pt |  | OnEndDrag
pt |  | OnMouseDown
pt |  | OnMouseMove
pt |  | OnMouseUp
pt |  | OnMouseEnter
pt |  | OnMouseLeave
pt |  | OnMouseWheel
pt |  | OnMouseWheelDown
pt |  | OnMouseWheelUp
pt |  | OnMouseWheelHorz
pt |  | OnMouseWheelLeft
pt |  | OnMouseWheelRight
pt |  | OnStartDock
pt |  | OnStartDrag
pt |  | OnEditingDone
 |  | OnChangeBounds
 |  | OnClick
 |  | OnResize
 |  | OnShowHint
TLCLComponent
TComponent
TPersistent
TObject


pt |  | OnAfterSelection (TCustomGrid)
 | ro | OnAfterSelection (TCustomDrawGrid)
pl | ro | OnAfterSelection (TStringGrid)
 |  | OnAlignInsertBefore (TWinControl)
 |  | OnAlignPosition (TWinControl)
pt |  | OnBeforeSelection (TCustomGrid)
 | ro | OnBeforeSelection (TCustomDrawGrid)
pl | ro | OnBeforeSelection (TStringGrid)
pt |  | OnButtonClick (TCustomGrid)
 | ro | OnButtonClick (TCustomDrawGrid)
pl | ro | OnButtonClick (TStringGrid)
pt |  | OnCellProcess (TCustomStringGrid)
pl | ro | OnCellProcess (TStringGrid)
 |  | OnChangeBounds (TControl)
pl | ro | OnChangeBounds (TStringGrid)
pt |  | OnCheckboxToggled (TCustomGrid)
pl | ro | OnCheckboxToggled (TStringGrid)
 |  | OnClick (TControl)
 | ro | OnClick (TCustomDrawGrid)
pl | ro | OnClick (TStringGrid)
 |  | OnColRowDeleted (TCustomDrawGrid)
pl | ro | OnColRowDeleted (TStringGrid)
 |  | OnColRowExchanged (TCustomDrawGrid)
pl | ro | OnColRowExchanged (TStringGrid)
 |  | OnColRowInserted (TCustomDrawGrid)
pl | ro | OnColRowInserted (TStringGrid)
 |  | OnColRowMoved (TCustomDrawGrid)
pl | ro | OnColRowMoved (TStringGrid)
pt |  | OnCompareCells (TCustomGrid)
 | ro | OnCompareCells (TCustomDrawGrid)
pl | ro | OnCompareCells (TStringGrid)
pt |  | OnConstrainedResize (TControl)
pt |  | OnContextPopup (TControl)
 | ro | OnContextPopup (TCustomDrawGrid)
pl | ro | OnContextPopup (TStringGrid)
pt |  | OnDblClick (TControl)
 | ro | OnDblClick (TCustomDrawGrid)
pl | ro | OnDblClick (TStringGrid)
 |  | OnDockDrop (TWinControl)
 |  | OnDockOver (TWinControl)
pt |  | OnDragDrop (TControl)
 | ro | OnDragDrop (TCustomDrawGrid)
pl | ro | OnDragDrop (TStringGrid)
pt |  | OnDragOver (TControl)
 | ro | OnDragOver (TCustomDrawGrid)
pl | ro | OnDragOver (TStringGrid)
pt |  | OnDrawCell (TCustomGrid)
 | ro | OnDrawCell (TCustomDrawGrid)
pl | ro | OnDrawCell (TStringGrid)
pt |  | OnEditButtonClick (TCustomGrid)
 | ro | OnEditButtonClick (TCustomDrawGrid)
pl | ro | OnEditButtonClick (TStringGrid)
pt |  | OnEditingDone (TControl)
pl | ro | OnEditingDone (TStringGrid)
pt |  | OnEndDock (TControl)
 | ro | OnEndDock (TCustomDrawGrid)
pl | ro | OnEndDock (TStringGrid)
pt |  | OnEndDrag (TControl)
 | ro | OnEndDrag (TCustomDrawGrid)
pl | ro | OnEndDrag (TStringGrid)
 |  | OnEnter (TWinControl)
 | ro | OnEnter (TCustomDrawGrid)
pl | ro | OnEnter (TStringGrid)
 |  | OnExit (TWinControl)
 | ro | OnExit (TCustomDrawGrid)
pl | ro | OnExit (TStringGrid)
pt |  | OnGetCellHint (TCustomGrid)
pl | ro | OnGetCellHint (TStringGrid)
pt |  | OnGetCheckboxState (TCustomDrawGrid)
pl | ro | OnGetCheckboxState (TStringGrid)
pt |  | OnGetDockCaption (TWinControl)
 |  | OnGetEditMask (TCustomDrawGrid)
pl | ro | OnGetEditMask (TStringGrid)
 |  | OnGetEditText (TCustomDrawGrid)
pl | ro | OnGetEditText (TStringGrid)
pt |  | OnGetSiteInfo (TWinControl)
 |  | OnHeaderClick (TCustomDrawGrid)
pl | ro | OnHeaderClick (TStringGrid)
 |  | OnHeaderSized (TCustomDrawGrid)
pl | ro | OnHeaderSized (TStringGrid)
 |  | OnHeaderSizing (TCustomDrawGrid)
pl | ro | OnHeaderSizing (TStringGrid)
 |  | OnKeyDown (TWinControl)
 | ro | OnKeyDown (TCustomDrawGrid)
pl | ro | OnKeyDown (TStringGrid)
 |  | OnKeyPress (TWinControl)
 | ro | OnKeyPress (TCustomDrawGrid)
pl | ro | OnKeyPress (TStringGrid)
 |  | OnKeyUp (TWinControl)
 | ro | OnKeyUp (TCustomDrawGrid)
pl | ro | OnKeyUp (TStringGrid)
pt |  | OnLoadColumn (TCustomGrid)
pt |  | OnMouseDown (TControl)
 | ro | OnMouseDown (TCustomDrawGrid)
pl | ro | OnMouseDown (TStringGrid)
pt |  | OnMouseEnter (TControl)
 | ro | OnMouseEnter (TCustomDrawGrid)
pl | ro | OnMouseEnter (TStringGrid)
pt |  | OnMouseLeave (TControl)
 | ro | OnMouseLeave (TCustomDrawGrid)
pl | ro | OnMouseLeave (TStringGrid)
pt |  | OnMouseMove (TControl)
 | ro | OnMouseMove (TCustomDrawGrid)
pl | ro | OnMouseMove (TStringGrid)
pt |  | OnMouseUp (TControl)
 | ro | OnMouseUp (TCustomDrawGrid)
pl | ro | OnMouseUp (TStringGrid)
pt |  | OnMouseWheel (TControl)
 | ro | OnMouseWheel (TCustomDrawGrid)
pl | ro | OnMouseWheel (TStringGrid)
pt |  | OnMouseWheelDown (TControl)
 | ro | OnMouseWheelDown (TCustomDrawGrid)
pl | ro | OnMouseWheelDown (TStringGrid)
pt |  | OnMouseWheelHorz (TControl)
pl | ro | OnMouseWheelHorz (TStringGrid)
pt |  | OnMouseWheelLeft (TControl)
pl | ro | OnMouseWheelLeft (TStringGrid)
pt |  | OnMouseWheelRight (TControl)
pl | ro | OnMouseWheelRight (TStringGrid)
pt |  | OnMouseWheelUp (TControl)
 | ro | OnMouseWheelUp (TCustomDrawGrid)
pl | ro | OnMouseWheelUp (TStringGrid)
 |  | OnPaint (TCustomControl)
pt |  | OnPickListSelect (TCustomGrid)
 | ro | OnPickListSelect (TCustomDrawGrid)
pl | ro | OnPickListSelect (TStringGrid)
pt |  | OnPrepareCanvas (TCustomGrid)
 | ro | OnPrepareCanvas (TCustomDrawGrid)
pl | ro | OnPrepareCanvas (TStringGrid)
pt |  | OnQuadClick (TControl)
 |  | OnResize (TControl)
pl | ro | OnResize (TStringGrid)
pt |  | OnSaveColumn (TCustomGrid)
 |  | OnSelectCell (TCustomDrawGrid)
pl | ro | OnSelectCell (TStringGrid)
pt |  | OnSelectEditor (TCustomGrid)
 | ro | OnSelectEditor (TCustomDrawGrid)
pl | ro | OnSelectEditor (TStringGrid)
pt |  | OnSelection (TCustomGrid)
 | ro | OnSelection (TCustomDrawGrid)
pl | ro | OnSelection (TStringGrid)
pt |  | OnSetCheckboxState (TCustomDrawGrid)
pl | ro | OnSetCheckboxState (TStringGrid)
 |  | OnSetEditText (TCustomDrawGrid)
pl | ro | OnSetEditText (TStringGrid)
 |  | OnShowHint (TControl)
pl | ro | OnShowHint (TStringGrid)
pt |  | OnStartDock (TControl)
 | ro | OnStartDock (TCustomDrawGrid)
pl | ro | OnStartDock (TStringGrid)
pt |  | OnStartDrag (TControl)
 | ro | OnStartDrag (TCustomDrawGrid)
pl | ro | OnStartDrag (TStringGrid)
pt |  | OnTopLeftChanged (TCustomGrid)
 | ro | OnTopleftChanged (TCustomDrawGrid)
pl | ro | OnTopLeftChanged (TStringGrid)
pt |  | OnTripleClick (TControl)
 |  | OnUnDock (TWinControl)
pt |  | OnUserCheckboxBitmap (TCustomGrid)
pl | ro | OnUserCheckboxBitmap (TStringGrid)
 |  | OnUTF8KeyPress (TWinControl)
 | ro | OnUTF8KeyPress (TCustomDrawGrid)
pl | ro | OnUTF8KeyPress (TStringGrid)
pt |  | OnValidateEntry (TCustomGrid)
 | ro | OnValidateEntry (TCustomDrawGrid)
pl | ro | OnValidateEntry (TStringGrid)


TStringGrid.BiDiMode

Declaration

Source position: grids.pas line 1763

published property TStringGrid.BiDiMode : TBiDiMode;


TStringGrid.CellHintPriority

Declaration

Source position: grids.pas line 1766

published property TStringGrid.CellHintPriority : TCellHintPriority;


TStringGrid.ColumnClickSorts

Declaration

Source position: grids.pas line 1769

published property TStringGrid.ColumnClickSorts : Boolean;


TStringGrid.Constraints

Declaration

Source position: grids.pas line 1771

published property TStringGrid.Constraints : TSizeConstraints;


TStringGrid.DoubleBuffered

Declaration

Source position: grids.pas line 1775

published property TStringGrid.DoubleBuffered : Boolean;


TStringGrid.Font

Declaration

Source position: grids.pas line 1785

published property TStringGrid.Font : TFont;


TStringGrid.HeaderHotZones

HeaderHotZones - the header zones corresponding to the position of the mouse cursor

Declaration

Source position: grids.pas line 1787

published property TStringGrid.HeaderHotZones : TGridZoneSet;


TStringGrid.HeaderPushZones

HeaderPushZones - the zones of the header that have been pushed down (selected)

Declaration

Source position: grids.pas line 1788

published property TStringGrid.HeaderPushZones : TGridZoneSet;


TStringGrid.ImageIndexSortAsc

Declaration

Source position: grids.pas line 1789

published property TStringGrid.ImageIndexSortAsc : TImageIndex;


TStringGrid.ImageIndexSortDesc

Declaration

Source position: grids.pas line 1790

published property TStringGrid.ImageIndexSortDesc : TImageIndex;


TStringGrid.InplaceEditor

Declaration

Source position: grids.pas line 1755

public property TStringGrid.InplaceEditor : TWinControl;


TStringGrid.MouseWheelOption

Declaration

Source position: grids.pas line 1791

published property TStringGrid.MouseWheelOption : TMouseWheelOption;


TStringGrid.OnAfterSelection

Declaration

Source position: grids.pas line 1815

published property TStringGrid.OnAfterSelection : TOnSelectEvent;


TStringGrid.OnButtonClick

Declaration

Source position: grids.pas line 1832

published property TStringGrid.OnButtonClick : TOnSelectEvent;


TStringGrid.OnCellProcess

Declaration

Source position: grids.pas line 1817

published property TStringGrid.OnCellProcess : TCellProcessEvent;


TStringGrid.OnCheckboxToggled

Declaration

Source position: grids.pas line 1819

published property TStringGrid.OnCheckboxToggled : TToggledCheckboxEvent;


TStringGrid.OnGetCheckboxState

Declaration

Source position: grids.pas line 1839

published property TStringGrid.OnGetCheckboxState : TGetCheckboxStateEvent;


TStringGrid.OnHeaderSizing

Declaration

Source position: grids.pas line 1844

published property TStringGrid.OnHeaderSizing : THeaderSizingEvent;


TStringGrid.OnMouseEnter

Declaration

Source position: grids.pas line 1849

published property TStringGrid.OnMouseEnter : TNotifyEvent;


TStringGrid.OnMouseLeave

Declaration

Source position: grids.pas line 1850

published property TStringGrid.OnMouseLeave : TNotifyEvent;


TStringGrid.OnMouseWheel

Declaration

Source position: grids.pas line 1853

published property TStringGrid.OnMouseWheel : TMouseWheelEvent;


TStringGrid.OnMouseWheelHorz

Declaration

Source position: grids.pas line 1856

published property TStringGrid.OnMouseWheelHorz : TMouseWheelEvent;


TStringGrid.OnMouseWheelLeft

Declaration

Source position: grids.pas line 1857

published property TStringGrid.OnMouseWheelLeft : TMouseWheelUpDownEvent;


TStringGrid.OnMouseWheelRight

Declaration

Source position: grids.pas line 1858

published property TStringGrid.OnMouseWheelRight : TMouseWheelUpDownEvent;


TStringGrid.OnSetCheckboxState

Declaration

Source position: grids.pas line 1865

published property TStringGrid.OnSetCheckboxState : TSetCheckboxStateEvent;


TStringGrid.OnUserCheckboxBitmap

Declaration

Source position: grids.pas line 1871

published property TStringGrid.OnUserCheckboxBitmap : TUserCheckBoxBitmapEvent;


TStringGrid.OnValidateEntry

Declaration

Source position: grids.pas line 1873

published property TStringGrid.OnValidateEntry : TValidateEntryEvent;


TStringGrid.Options2

Declaration

Source position: grids.pas line 1793

published property TStringGrid.Options2 : TGridOptions2;


TStringGrid.ParentBiDiMode

Declaration

Source position: grids.pas line 1794

published property TStringGrid.ParentBiDiMode : Boolean;


TStringGrid.ParentDoubleBuffered

Declaration

Source position: grids.pas line 1796

published property TStringGrid.ParentDoubleBuffered : Boolean;


TStringGrid.ParentFont

Declaration

Source position: grids.pas line 1797

published property TStringGrid.ParentFont : Boolean;


TStringGrid.RangeSelectMode

Declaration

Source position: grids.pas line 1800

published property TStringGrid.RangeSelectMode : TRangeSelectMode;


TStringGrid.TabAdvance

Declaration

Source position: grids.pas line 1804

published property TStringGrid.TabAdvance : TAutoAdvance;


TStringGridStrings

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

TStringGridStrings - the strings that populate the cells of a TStringGrid

Declaration

Source position: grids.pas line 1640

type TStringGridStrings = class(TStrings)
protected
function Get(); override; |
function GetCount; override; |
function GetObject(); override; |
procedure Put(); override; |
procedure PutObject(); override; |
public
constructor Create(); | Create - constructor for TStringGridStrings: calls inherited Create and initialises some local variables
destructor Destroy; override; |
function Add(); override; |
procedure Assign(); override; |
procedure Clear; override; |
procedure Delete(); override; |
procedure Insert(); override; |
end;

Inheritance

TStringGridStrings

TStringGridStrings - the strings that populate the cells of a TStringGrid
|

TStrings
|

TPersistent,IFPObserved
|

TObject

Description

All of the properties are defined in the ancestor classes (TStrings etc)


TStringGridStrings
TStrings
 | ro | UpdateCount
 |  | TextLineBreakStyle
 |  | Delimiter
 |  | DelimitedText
 |  | LineBreak
 |  | StrictDelimiter
 |  | QuoteChar
 |  | NameValueSeparator
 |  | ValueFromIndex
 |  | Capacity
 |  | CommaText
 | ro | Count
 | ro | Names
 |  | Objects
 |  | Values
 |  | Strings
 |  | Text
 |  | StringsAdapter
 |  | SkipLastLineBreak
TPersistent
TObject


TStringGridStrings
pt | Get
pt | GetCount
pt | GetObject
pt | Put
pt | PutObject
 | Create
 | Destroy
 | Add
 | Assign
 | Clear
 | Delete
 | Insert
TStrings
 | GetCommaText
 | GetName
 | GetValue
 | GetLBS
 | SetLBS
 | ReadData
 | SetCommaText
 | SetStringsAdapter
 | SetValue
 | SetDelimiter
 | SetQuoteChar
 | SetNameValueSeparator
 | WriteData
 | DoSetTextStr
 | GetDelimiter
 | GetNameValueSeparator
 | GetQuoteChar
 | GetLineBreak
 | SetLineBreak
 | GetSkipLastLineBreak
 | SetSkipLastLineBreak
 | DefineProperties
 | Error
 | Get
 | GetCapacity
 | GetCount
 | GetObject
 | GetTextStr
 | Put
 | PutObject
 | SetCapacity
 | SetTextStr
 | SetUpdateState
 | DoCompareText
 | GetDelimitedText
 | SetDelimitedText
 | GetValueFromIndex
 | SetValueFromIndex
 | CheckSpecialChars
 | GetNextLine
 | GetNextLinebreak
 | Destroy
 | Add
 | AddObject
 | Append
 | AddStrings
 | AddText
 | Assign
 | BeginUpdate
 | Clear
 | Delete
 | EndUpdate
 | Equals
 | Exchange
 | GetEnumerator
 | GetText
 | IndexOf
 | IndexOfName
 | IndexOfObject
 | Insert
 | InsertObject
 | LoadFromFile
 | LoadFromStream
 | Move
 | SaveToFile
 | SaveToStream
 | SetText
 | GetNameValue
 | ExtractName
TPersistent
 | AssignError
 | AssignTo
 | DefineProperties
 | GetOwner
 | Destroy
 | Assign
 | FPOAttachObserver
 | FPODetachObserver
 | FPONotifyObservers
 | GetNamePath
TObject
 | Create
 | Destroy
 | newinstance
 | FreeInstance
 | SafeCallException
 | DefaultHandler
 | Free
 | InitInstance
 | CleanupInstance
 | ClassType
 | ClassInfo
 | ClassName
 | ClassNameIs
 | ClassParent
 | InstanceSize
 | InheritsFrom
 | StringMessageTable
 | MethodAddress
 | MethodName
 | FieldAddress
 | AfterConstruction
 | BeforeDestruction
 | DefaultHandlerStr
 | Dispatch
 | DispatchStr
 | GetInterface
 | GetInterfaceByStr
 | GetInterfaceWeak
 | GetInterfaceEntry
 | GetInterfaceEntryByStr
 | GetInterfaceTable
 | UnitName
 | Equals
 | GetHashCode
 | ToString


 | Add (TStrings)
 | Add (TStringGridStrings)
 | AddObject (TStrings)
 | AddStrings (TStrings)
 | AddText (TStrings)
 | AfterConstruction (TObject)
 | Append (TStrings)
 | Assign (TPersistent)
 | Assign (TStrings)
 | Assign (TStringGridStrings)
 | AssignError (TPersistent)
 | AssignTo (TPersistent)
 | BeforeDestruction (TObject)
 | BeginUpdate (TStrings)
 | CheckSpecialChars (TStrings)
 | ClassInfo (TObject)
 | ClassName (TObject)
 | ClassNameIs (TObject)
 | ClassParent (TObject)
 | ClassType (TObject)
 | CleanupInstance (TObject)
 | Clear (TStrings)
 | Clear (TStringGridStrings)
 | Create (TObject)
 | Create (TStringGridStrings)
 | DefaultHandler (TObject)
 | DefaultHandlerStr (TObject)
 | DefineProperties (TPersistent)
 | DefineProperties (TStrings)
 | Delete (TStrings)
 | Delete (TStringGridStrings)
 | Destroy (TObject)
 | Destroy (TPersistent)
 | Destroy (TStrings)
 | Destroy (TStringGridStrings)
 | Dispatch (TObject)
 | DispatchStr (TObject)
 | DoCompareText (TStrings)
 | DoSetTextStr (TStrings)
 | EndUpdate (TStrings)
 | Equals (TObject)
 | Equals (TStrings)
 | Error (TStrings)
 | Exchange (TStrings)
 | ExtractName (TStrings)
 | FieldAddress (TObject)
 | FPOAttachObserver (TPersistent)
 | FPODetachObserver (TPersistent)
 | FPONotifyObservers (TPersistent)
 | Free (TObject)
 | FreeInstance (TObject)
 | Get (TStrings)
pt | Get (TStringGridStrings)
 | GetCapacity (TStrings)
 | GetCommaText (TStrings)
 | GetCount (TStrings)
pt | GetCount (TStringGridStrings)
 | GetDelimitedText (TStrings)
 | GetDelimiter (TStrings)
 | GetEnumerator (TStrings)
 | GetHashCode (TObject)
 | GetInterface (TObject)
 | GetInterfaceByStr (TObject)
 | GetInterfaceEntry (TObject)
 | GetInterfaceEntryByStr (TObject)
 | GetInterfaceTable (TObject)
 | GetInterfaceWeak (TObject)
 | GetLBS (TStrings)
 | GetLineBreak (TStrings)
 | GetName (TStrings)
 | GetNamePath (TPersistent)
 | GetNameValue (TStrings)
 | GetNameValueSeparator (TStrings)
 | GetNextLine (TStrings)
 | GetNextLinebreak (TStrings)
 | GetObject (TStrings)
pt | GetObject (TStringGridStrings)
 | GetOwner (TPersistent)
 | GetQuoteChar (TStrings)
 | GetSkipLastLineBreak (TStrings)
 | GetText (TStrings)
 | GetTextStr (TStrings)
 | GetValue (TStrings)
 | GetValueFromIndex (TStrings)
 | IndexOf (TStrings)
 | IndexOfName (TStrings)
 | IndexOfObject (TStrings)
 | InheritsFrom (TObject)
 | InitInstance (TObject)
 | Insert (TStrings)
 | Insert (TStringGridStrings)
 | InsertObject (TStrings)
 | InstanceSize (TObject)
 | LoadFromFile (TStrings)
 | LoadFromStream (TStrings)
 | MethodAddress (TObject)
 | MethodName (TObject)
 | Move (TStrings)
 | newinstance (TObject)
 | Put (TStrings)
pt | Put (TStringGridStrings)
 | PutObject (TStrings)
pt | PutObject (TStringGridStrings)
 | ReadData (TStrings)
 | SafeCallException (TObject)
 | SaveToFile (TStrings)
 | SaveToStream (TStrings)
 | SetCapacity (TStrings)
 | SetCommaText (TStrings)
 | SetDelimitedText (TStrings)
 | SetDelimiter (TStrings)
 | SetLBS (TStrings)
 | SetLineBreak (TStrings)
 | SetNameValueSeparator (TStrings)
 | SetQuoteChar (TStrings)
 | SetSkipLastLineBreak (TStrings)
 | SetStringsAdapter (TStrings)
 | SetText (TStrings)
 | SetTextStr (TStrings)
 | SetUpdateState (TStrings)
 | SetValue (TStrings)
 | SetValueFromIndex (TStrings)
 | StringMessageTable (TObject)
 | ToString (TObject)
 | UnitName (TObject)
 | WriteData (TStrings)


TStringGridStrings

TStrings

TPersistent

TObject


TStringGridStrings.Create

Create - constructor for TStringGridStrings: calls inherited Create and initialises some local variables

Declaration

Source position: grids.pas line 1655

public constructor TStringGridStrings.Create(

  aGrid: TCustomStringGrid;

  OwnerMap: TMap;

  aIsCol: Boolean;

  aIndex: LongInt

);

See also

TObject.Create


TVirtualGrid

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

TVirtualGrid - an array of rows and columns containing data, which never gets displayed

Declaration

Source position: grids.pas line 394

type TVirtualGrid = class
protected
procedure doDestroyItem(); | doDestroyItem - method for destroying an Item at the given Row and Column location
procedure doNewItem(); | doNewItem - method for producing a new item at the given location specified by Row, Col
procedure DeleteColRow(); | DeleteColRow - remove either a column or a row, depending on the value of IsColumn
procedure MoveColRow(); | MoveColRow - move either a column or a row (depending on value of IsColumn) at FromIndex to the location ToIndex
procedure ExchangeColRow(); | ExchangeColRow - exchange either the current column or row (depending on the value of IsColumn) with the entity specified by WithIndex
procedure InsertColRow(); | InsertColRow - insert either a column or a row (depending on value of IsColumn) at the specified index position
procedure DisposeCell(); virtual; | DisposeCell - dispose of the resources and pointer for the given cell
procedure DisposeColRow(); virtual; | DisposeColRow - dispose of the specified row or column, freeing its pointer
public
constructor Create; | Create - constructor for TVirtualGrid: calls inherited Create then creates arrays of Cells, Columns and Rows; forms links for actions and event handlers
destructor Destroy; override; | Destroy - destructor for TVirtualGrid: frees rows, columns and cells, then cals inherited Destroy
procedure Clear; | Clear the grid
function GetDefaultCell; | GetDefaultCell - returns the properties of the default cell
function GetDefaultColRow; | GetDefaultColRow - returns the properties of the default column and row
property ColCount: Integer; [rw] | ColCount - the number of columns in the current grid
property RowCount: Integer; [rw] | RowCount - the number of rows in the current grid
property Celda []: PCellProps; [rw] | Celda - the current cell as defined by its column and row
property Cols []: PColRowProps; [rw] | Cols - the columns to which the grid applies
property Rows []: PColRowProps; [rw] | The Rows to which the grid applies
end;

Inheritance

TVirtualGrid

TVirtualGrid - an array of rows and columns containing data, which never gets displayed
|

TObject


TVirtualGrid
 | ColCount
 | RowCount
 | Celda
 | Cols
 | Rows


Celda (TVirtualGrid)

ColCount (TVirtualGrid)

Cols (TVirtualGrid)

RowCount (TVirtualGrid)

Rows (TVirtualGrid)


TVirtualGrid
pt | doDestroyItem
pt | doNewItem
pt | DeleteColRow
pt | MoveColRow
pt | ExchangeColRow
pt | InsertColRow
pt | DisposeCell
pt | DisposeColRow
 | Create
 | Destroy
 | Clear
 | GetDefaultCell
 | GetDefaultColRow


pt | DeleteColRow (TVirtualGrid)
 | Destroy (TVirtualGrid)
pt | DisposeCell (TVirtualGrid)
pt | DisposeColRow (TVirtualGrid)
pt | doDestroyItem (TVirtualGrid)
pt | doNewItem (TVirtualGrid)
pt | ExchangeColRow (TVirtualGrid)
 | GetDefaultCell (TVirtualGrid)
 | GetDefaultColRow (TVirtualGrid)
pt | InsertColRow (TVirtualGrid)
pt | MoveColRow (TVirtualGrid)


TVirtualGrid


TVirtualGrid.Celda

Celda - the current cell as defined by its column and row

Declaration

Source position: grids.pas line 426

public property TVirtualGrid.Celda[Col: Integer,Row: Integer] : PCellProps
  read GetCells
  write SetCells;


TVirtualGrid.Clear

Clear the grid

Declaration

Source position: grids.pas line 419

public procedure TVirtualGrid.Clear;


TVirtualGrid.ColCount

ColCount - the number of columns in the current grid

Declaration

Source position: grids.pas line 423

public property TVirtualGrid.ColCount : Integer
  read FColCount
  write SetColCount;


TVirtualGrid.Cols

Cols - the columns to which the grid applies

Declaration

Source position: grids.pas line 427

public property TVirtualGrid.Cols[Col: Integer] : PColRowProps
  read GetCols
  write SetCols;


TVirtualGrid.Create

Create - constructor for TVirtualGrid: calls inherited Create then creates arrays of Cells, Columns and Rows; forms links for actions and event handlers

Declaration

Source position: grids.pas line 417

public constructor TVirtualGrid.Create;

See also

TObject.Create


TVirtualGrid.DeleteColRow

DeleteColRow - remove either a column or a row, depending on the value of IsColumn

Declaration

Source position: grids.pas line 410

protected procedure TVirtualGrid.DeleteColRow(

  IsColumn: Boolean;

  index: Integer

);


TVirtualGrid.Destroy

Destroy - destructor for TVirtualGrid: frees rows, columns and cells, then cals inherited Destroy

Declaration

Source position: grids.pas line 418

public destructor TVirtualGrid.Destroy; override;

See also

TObject.Destroy


TVirtualGrid.DisposeCell

DisposeCell - dispose of the resources and pointer for the given cell

Declaration

Source position: grids.pas line 414

protected procedure TVirtualGrid.DisposeCell(

  var P: PCellProps

); virtual;


TVirtualGrid.DisposeColRow

DisposeColRow - dispose of the specified row or column, freeing its pointer

Declaration

Source position: grids.pas line 415

protected procedure TVirtualGrid.DisposeColRow(

  var p: PColRowProps

); virtual;


TVirtualGrid.doDestroyItem

doDestroyItem - method for destroying an Item at the given Row and Column location

Declaration

Source position: grids.pas line 408

protected procedure TVirtualGrid.doDestroyItem(

  Sender: TObject;

  Col: Integer;

  Row: Integer;

  var Item: Pointer

);


TVirtualGrid.doNewItem

doNewItem - method for producing a new item at the given location specified by Row, Col

Declaration

Source position: grids.pas line 409

protected procedure TVirtualGrid.doNewItem(

  Sender: TObject;

  Col: Integer;

  Row: Integer;

  var Item: Pointer

);


TVirtualGrid.ExchangeColRow

ExchangeColRow - exchange either the current column or row (depending on the value of IsColumn) with the entity specified by WithIndex

Declaration

Source position: grids.pas line 412

protected procedure TVirtualGrid.ExchangeColRow(

  IsColumn: Boolean;

  index: Integer;

  WithIndex: Integer

);


TVirtualGrid.GetDefaultCell

GetDefaultCell - returns the properties of the default cell

Declaration

Source position: grids.pas line 420

public function TVirtualGrid.GetDefaultCell: PCellProps;


TVirtualGrid.GetDefaultColRow

GetDefaultColRow - returns the properties of the default column and row

Declaration

Source position: grids.pas line 421

public function TVirtualGrid.GetDefaultColRow: PColRowProps;


TVirtualGrid.InsertColRow

InsertColRow - insert either a column or a row (depending on value of IsColumn) at the specified index position

Declaration

Source position: grids.pas line 413

protected procedure TVirtualGrid.InsertColRow(

  IsColumn: Boolean;

  Index: Integer

);


TVirtualGrid.MoveColRow

MoveColRow - move either a column or a row (depending on value of IsColumn) at FromIndex to the location ToIndex

Declaration

Source position: grids.pas line 411

protected procedure TVirtualGrid.MoveColRow(

  IsColumn: Boolean;

  FromIndex: Integer;

  ToIndex: Integer

);


TVirtualGrid.RowCount

RowCount - the number of rows in the current grid

Declaration

Source position: grids.pas line 424

public property TVirtualGrid.RowCount : Integer
  read FRowCount
  write SetRowCount;


TVirtualGrid.Rows

The Rows to which the grid applies

Declaration

Source position: grids.pas line 428

public property TVirtualGrid.Rows[Row: Integer] : PColRowProps
  read GetRows
  write SetRows;


TAbstractGroupedEdit

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Declaration

Source position: groupededit.pp line 331

type TAbstractGroupedEdit = class(TCustomAbstractGroupedEdit)

public

  property AutoSelected: Boolean;

published

  property NumbersOnly: Boolean;

  property Action: TBasicAction;

  property AutoSelect: Boolean;

  property AutoSizeHeightIsEditHeight: Boolean;

  property AutoSize: Boolean;

  property Align: TAlign;

  property Alignment: TAlignment;

  property Anchors: TAnchors;

  property BiDiMode: TBiDiMode;

  property BorderSpacing: TControlBorderSpacing;

  property BorderStyle: TBorderStyle;

  property BuddyCaption: TCaption;

  property BuddyCursor: TCursor;

  property BuddyHint: TTranslateString;

  property BuddyWidth: Integer;

  property CharCase: TEditCharCase;

  property Color: TColor;

  property Constraints: TSizeConstraints;

  property Cursor: TCursor;

  property DirectInput: Boolean;

  property EchoMode: TEchoMode;

  property Enabled: Boolean;

  property FocusOnBuddyClick: Boolean;

  property Font: TFont;

  property Hint: TTranslateString;

  property Layout: TLeftRight;

  property MaxLength: Integer;

  property OnChange: TNotifyEvent;

  property OnClick: TNotifyEvent;

  property OnDblClick: TNotifyEvent;

  property OnDragDrop: TDragDropEvent;

  property OnDragOver: TDragOverEvent;

  property OnContextPopup: TContextPopupEvent;

  property OnEditingDone: TNotifyEvent;

  property OnEndDrag: TEndDragEvent;

  property OnEnter: TNotifyEvent;

  property OnExit: TNotifyEvent;

  property OnKeyDown: TKeyEvent;

  property OnKeyPress: TKeyPressEvent;

  property OnKeyUp: TKeyEvent;

  property OnMouseDown: TMouseEvent;

  property OnMouseEnter: TNotifyEvent;

  property OnMouseLeave: TNotifyEvent;

  property OnMouseMove: TMouseMoveEvent;

  property OnMouseUp: TMouseEvent;

  property OnMouseWheel: TMouseWheelEvent;

  property OnMouseWheelDown: TMouseWheelUpDownEvent;

  property OnMouseWheelUp: TMouseWheelUpDownEvent;

  property OnStartDrag: TStartDragEvent;

  property OnUTF8KeyPress: TUTF8KeyPressEvent;

  property ParentBiDiMode: Boolean;

  property ParentColor: Boolean;

  property ParentFont: Boolean;

  property ParentShowHint: Boolean;

  property PasswordChar: Char;

  property PopupMenu: TPopupMenu;

  property ReadOnly: Boolean;

  property ShowHint: Boolean;

  property Spacing: Integer;

  property TabOrder: TTabOrder;

  property TabStop: Boolean;

  property Text: TCaption;

  property TextHint: TTranslateString;

  property Visible: Boolean;

end;

Inheritance

TAbstractGroupedEdit |
|
TCustomAbstractGroupedEdit |
|
TCustomControl | The base class for windowed controls which paint themselves.
|
TWinControl | The base class for controls which can contain other (child) controls.
|
TControl | The base class for visible controls.
|
TLCLComponent | The base class for LCL components associated with widgets.
|
TComponent,IUnknown,IInterfaceComponentReference
|
TPersistent,IFPObserved
|
TObject


TAbstractGroupedEdit
 | ro | AutoSelected
pl | ro | NumbersOnly
pl | ro | Action
pl | ro | AutoSelect
pl | ro | AutoSizeHeightIsEditHeight
pl | ro | AutoSize
pl | ro | Align
pl | ro | Alignment
pl | ro | Anchors
pl | ro | BiDiMode
pl | ro | BorderSpacing
pl | ro | BorderStyle
pl | ro | BuddyCaption
pl | ro | BuddyCursor
pl | ro | BuddyHint
pl | ro | BuddyWidth
pl | ro | CharCase
pl | ro | Color
pl | ro | Constraints
pl | ro | Cursor
pl | ro | DirectInput
pl | ro | EchoMode
pl | ro | Enabled
pl | ro | FocusOnBuddyClick
pl | ro | Font
pl | ro | Hint
pl | ro | Layout
pl | ro | MaxLength
pl | ro | ParentBiDiMode
pl | ro | ParentColor
pl | ro | ParentFont
pl | ro | ParentShowHint
pl | ro | PasswordChar
pl | ro | PopupMenu
pl | ro | ReadOnly
pl | ro | ShowHint
pl | ro | Spacing
pl | ro | TabOrder
pl | ro | TabStop
pl | ro | Text
pl | ro | TextHint
pl | ro | Visible
TCustomAbstractGroupedEdit
pt |  | AutoSelect
pt |  | AutoSelected
pt | ro | Buddy
pt |  | BuddyCaption
pt |  | BuddyCursor
pt |  | BuddyHint
pt |  | BuddyWidth
pt |  | DirectInput
pt | ro | BaseEditor
pt |  | EditMask
pt |  | EditText
pt |  | FocusOnBuddyClick
pt | ro | IsMasked
pt |  | Layout
pt |  | Spacing
 | ro | Autosize
 |  | AutoSizeHeightIsEditHeight
 |  | Alignment
 | ro | CanUndo
 |  | CaretPos
 |  | CharCase
 |  | Color
 |  | ParentColor
 |  | EchoMode
 |  | HideSelection
 |  | MaxLength
 |  | Modified
 |  | NumbersOnly
 |  | PasswordChar
 |  | PopupMenu
 |  | ReadOnly
 |  | SelLength
 |  | SelStart
 |  | SelText
 |  | TabStop
 | ro | Text
 |  | TextHint
TCustomControl
 |  | Canvas
 | ro | BorderStyle
TWinControl
pt |  | WindowHandle
pt |  | BorderStyle
pt |  | ParentBackground
 |  | BorderWidth
 | ro | BoundsLockCount
 | ro | Brush
 | ro | CachedClientHeight
 | ro | CachedClientWidth
 |  | ChildSizing
 | ro | ControlCount
 | ro | Controls
 |  | DefWndProc
 | ro | DockClientCount
 | ro | DockClients
 |  | DockManager
 |  | DockSite
 |  | DoubleBuffered
 |  | Handle
 | ro | IsFlipped
 | ro | IsResizing
 |  | TabOrder
 |  | TabStop
 |  | ParentDoubleBuffered
 |  | ParentWindow
 | ro | Showing
 |  | UseDockManager
 |  | DesignerDeleting
 | ro | VisibleDockClientCount
TControl
pt | ro | AutoSizing
pt | ro | AutoSizingAll
pt | ro | AutoSizingLockCount
pt |  | ActionLink
pt |  | DesktopFont
pt |  | DragCursor
pt |  | DragKind
pt |  | DragMode
pt |  | MouseCapture
pt |  | ParentColor
pt |  | ParentFont
pt |  | ParentShowHint
pt |  | SessionProperties
pt |  | Text
 | ro | AnchoredControls
 | ro | BaseBounds
 | ro | ReadBounds
 | ro | BaseParentClientSize
 |  | AccessibleDescription
 |  | AccessibleValue
 |  | AccessibleRole
 |  | Action
 |  | Align
 |  | Anchors
 | ro | AnchorSide
 |  | AutoSize
 |  | BorderSpacing
 |  | BoundsRect
 |  | BoundsRectForNewParent
 |  | Caption
 |  | CaptureMouseButtons
 |  | ClientHeight
 | ro | ClientOrigin
 | ro | ClientRect
 |  | ClientWidth
 |  | Color
 |  | Constraints
 | ro | ControlOrigin
 |  | ControlState
 |  | ControlStyle
 |  | Enabled
 |  | Font
 |  | IsControl
 | ro | MouseEntered
 | ro | MouseInClient
 |  | Parent
 |  | PopupMenu
 |  | ShowHint
 |  | Visible
 |  | WindowProc
 |  | DockOrientation
 | ro | Floating
 |  | FloatingDockSiteClass
 |  | HostDockSite
 |  | LRDockWidth
 |  | TBDockHeight
 |  | UndockHeight
 |  | UndockWidth
 |  | BiDiMode
 |  | ParentBiDiMode
pl |  | AnchorSideLeft
pl |  | AnchorSideTop
pl |  | AnchorSideRight
pl |  | AnchorSideBottom
pl |  | Cursor
pl |  | Left
pl |  | Height
pl |  | Hint
pl |  | Top
pl |  | Width
pl |  | HelpType
pl |  | HelpKeyword
pl |  | HelpContext
TLCLComponent
 | ro | LCLRefCount
 | ro | WidgetSetClass
TComponent
 | ro | ComObject
 | ro | Components
 | ro | ComponentCount
 |  | ComponentIndex
 | ro | ComponentState
 | ro | ComponentStyle
 |  | DesignInfo
 | ro | Owner
 |  | VCLComObject
 |  | Name
 |  | Tag
TPersistent
TObject


 |  | AccessibleDescription (TControl)
 |  | AccessibleRole (TControl)
 |  | AccessibleValue (TControl)
 |  | Action (TControl)
pl | ro | Action (TAbstractGroupedEdit)
pt |  | ActionLink (TControl)
 |  | Align (TControl)
pl | ro | Align (TAbstractGroupedEdit)
 |  | Alignment (TCustomAbstractGroupedEdit)
pl | ro | Alignment (TAbstractGroupedEdit)
 | ro | AnchoredControls (TControl)
 |  | Anchors (TControl)
pl | ro | Anchors (TAbstractGroupedEdit)
 | ro | AnchorSide (TControl)
pl |  | AnchorSideBottom (TControl)
pl |  | AnchorSideLeft (TControl)
pl |  | AnchorSideRight (TControl)
pl |  | AnchorSideTop (TControl)
pt |  | AutoSelect (TCustomAbstractGroupedEdit)
pl | ro | AutoSelect (TAbstractGroupedEdit)
pt |  | AutoSelected (TCustomAbstractGroupedEdit)
 | ro | AutoSelected (TAbstractGroupedEdit)
 |  | AutoSize (TControl)
 | ro | Autosize (TCustomAbstractGroupedEdit)
pl | ro | AutoSize (TAbstractGroupedEdit)
 |  | AutoSizeHeightIsEditHeight (TCustomAbstractGroupedEdit)
pl | ro | AutoSizeHeightIsEditHeight (TAbstractGroupedEdit)
pt | ro | AutoSizing (TControl)
pt | ro | AutoSizingAll (TControl)
pt | ro | AutoSizingLockCount (TControl)
 | ro | BaseBounds (TControl)
pt | ro | BaseEditor (TCustomAbstractGroupedEdit)
 | ro | BaseParentClientSize (TControl)
 |  | BiDiMode (TControl)
pl | ro | BiDiMode (TAbstractGroupedEdit)
 |  | BorderSpacing (TControl)
pl | ro | BorderSpacing (TAbstractGroupedEdit)
pt |  | BorderStyle (TWinControl)
 | ro | BorderStyle (TCustomControl)
pl | ro | BorderStyle (TAbstractGroupedEdit)
 |  | BorderWidth (TWinControl)
 | ro | BoundsLockCount (TWinControl)
 |  | BoundsRect (TControl)
 |  | BoundsRectForNewParent (TControl)
 | ro | Brush (TWinControl)
pt | ro | Buddy (TCustomAbstractGroupedEdit)
pt |  | BuddyCaption (TCustomAbstractGroupedEdit)
pl | ro | BuddyCaption (TAbstractGroupedEdit)
pt |  | BuddyCursor (TCustomAbstractGroupedEdit)
pl | ro | BuddyCursor (TAbstractGroupedEdit)
pt |  | BuddyHint (TCustomAbstractGroupedEdit)
pl | ro | BuddyHint (TAbstractGroupedEdit)
pt |  | BuddyWidth (TCustomAbstractGroupedEdit)
pl | ro | BuddyWidth (TAbstractGroupedEdit)
 | ro | CachedClientHeight (TWinControl)
 | ro | CachedClientWidth (TWinControl)
 | ro | CanUndo (TCustomAbstractGroupedEdit)
 |  | Canvas (TCustomControl)
 |  | Caption (TControl)
 |  | CaptureMouseButtons (TControl)
 |  | CaretPos (TCustomAbstractGroupedEdit)
 |  | CharCase (TCustomAbstractGroupedEdit)
pl | ro | CharCase (TAbstractGroupedEdit)
 |  | ChildSizing (TWinControl)
 |  | ClientHeight (TControl)
 | ro | ClientOrigin (TControl)
 | ro | ClientRect (TControl)
 |  | ClientWidth (TControl)
 |  | Color (TControl)
 |  | Color (TCustomAbstractGroupedEdit)
pl | ro | Color (TAbstractGroupedEdit)
 | ro | ComObject (TComponent)
 | ro | ComponentCount (TComponent)
 |  | ComponentIndex (TComponent)
 | ro | Components (TComponent)
 | ro | ComponentState (TComponent)
 | ro | ComponentStyle (TComponent)
 |  | Constraints (TControl)
pl | ro | Constraints (TAbstractGroupedEdit)
 | ro | ControlCount (TWinControl)
 | ro | ControlOrigin (TControl)
 | ro | Controls (TWinControl)
 |  | ControlState (TControl)
 |  | ControlStyle (TControl)
pl |  | Cursor (TControl)
pl | ro | Cursor (TAbstractGroupedEdit)
 |  | DefWndProc (TWinControl)
 |  | DesignerDeleting (TWinControl)
 |  | DesignInfo (TComponent)
pt |  | DesktopFont (TControl)
pt |  | DirectInput (TCustomAbstractGroupedEdit)
pl | ro | DirectInput (TAbstractGroupedEdit)
 | ro | DockClientCount (TWinControl)
 | ro | DockClients (TWinControl)
 |  | DockManager (TWinControl)
 |  | DockOrientation (TControl)
 |  | DockSite (TWinControl)
 |  | DoubleBuffered (TWinControl)
pt |  | DragCursor (TControl)
pt |  | DragKind (TControl)
pt |  | DragMode (TControl)
 |  | EchoMode (TCustomAbstractGroupedEdit)
pl | ro | EchoMode (TAbstractGroupedEdit)
pt |  | EditMask (TCustomAbstractGroupedEdit)
pt |  | EditText (TCustomAbstractGroupedEdit)
 |  | Enabled (TControl)
pl | ro | Enabled (TAbstractGroupedEdit)
 | ro | Floating (TControl)
 |  | FloatingDockSiteClass (TControl)
pt |  | FocusOnBuddyClick (TCustomAbstractGroupedEdit)
pl | ro | FocusOnBuddyClick (TAbstractGroupedEdit)
 |  | Font (TControl)
pl | ro | Font (TAbstractGroupedEdit)
 |  | Handle (TWinControl)
pl |  | Height (TControl)
pl |  | HelpContext (TControl)
pl |  | HelpKeyword (TControl)
pl |  | HelpType (TControl)
 |  | HideSelection (TCustomAbstractGroupedEdit)
pl |  | Hint (TControl)
pl | ro | Hint (TAbstractGroupedEdit)
 |  | HostDockSite (TControl)
 |  | IsControl (TControl)
 | ro | IsFlipped (TWinControl)
pt | ro | IsMasked (TCustomAbstractGroupedEdit)
 | ro | IsResizing (TWinControl)
pt |  | Layout (TCustomAbstractGroupedEdit)
pl | ro | Layout (TAbstractGroupedEdit)
 | ro | LCLRefCount (TLCLComponent)
pl |  | Left (TControl)
 |  | LRDockWidth (TControl)
 |  | MaxLength (TCustomAbstractGroupedEdit)
pl | ro | MaxLength (TAbstractGroupedEdit)
 |  | Modified (TCustomAbstractGroupedEdit)
pt |  | MouseCapture (TControl)
 | ro | MouseEntered (TControl)
 | ro | MouseInClient (TControl)
 |  | Name (TComponent)
 |  | NumbersOnly (TCustomAbstractGroupedEdit)
pl | ro | NumbersOnly (TAbstractGroupedEdit)
 | ro | Owner (TComponent)
 |  | Parent (TControl)
pt |  | ParentBackground (TWinControl)
 |  | ParentBiDiMode (TControl)
pl | ro | ParentBiDiMode (TAbstractGroupedEdit)
pt |  | ParentColor (TControl)
 |  | ParentColor (TCustomAbstractGroupedEdit)
pl | ro | ParentColor (TAbstractGroupedEdit)
 |  | ParentDoubleBuffered (TWinControl)
pt |  | ParentFont (TControl)
pl | ro | ParentFont (TAbstractGroupedEdit)
pt |  | ParentShowHint (TControl)
pl | ro | ParentShowHint (TAbstractGroupedEdit)
 |  | ParentWindow (TWinControl)
 |  | PasswordChar (TCustomAbstractGroupedEdit)
pl | ro | PasswordChar (TAbstractGroupedEdit)
 |  | PopupMenu (TControl)
 |  | PopupMenu (TCustomAbstractGroupedEdit)
pl | ro | PopupMenu (TAbstractGroupedEdit)
 | ro | ReadBounds (TControl)
 |  | ReadOnly (TCustomAbstractGroupedEdit)
pl | ro | ReadOnly (TAbstractGroupedEdit)
 |  | SelLength (TCustomAbstractGroupedEdit)
 |  | SelStart (TCustomAbstractGroupedEdit)
 |  | SelText (TCustomAbstractGroupedEdit)
pt |  | SessionProperties (TControl)
 |  | ShowHint (TControl)
pl | ro | ShowHint (TAbstractGroupedEdit)
 | ro | Showing (TWinControl)
pt |  | Spacing (TCustomAbstractGroupedEdit)
pl | ro | Spacing (TAbstractGroupedEdit)
 |  | TabOrder (TWinControl)
pl | ro | TabOrder (TAbstractGroupedEdit)
 |  | TabStop (TWinControl)
 |  | TabStop (TCustomAbstractGroupedEdit)
pl | ro | TabStop (TAbstractGroupedEdit)
 |  | Tag (TComponent)
 |  | TBDockHeight (TControl)
pt |  | Text (TControl)
 | ro | Text (TCustomAbstractGroupedEdit)
pl | ro | Text (TAbstractGroupedEdit)
 |  | TextHint (TCustomAbstractGroupedEdit)
pl | ro | TextHint (TAbstractGroupedEdit)
pl |  | Top (TControl)
 |  | UndockHeight (TControl)
 |  | UndockWidth (TControl)
 |  | UseDockManager (TWinControl)
 |  | VCLComObject (TComponent)
 |  | Visible (TControl)
pl | ro | Visible (TAbstractGroupedEdit)
 | ro | VisibleDockClientCount (TWinControl)
 | ro | WidgetSetClass (TLCLComponent)
pl |  | Width (TControl)
pt |  | WindowHandle (TWinControl)
 |  | WindowProc (TControl)


TAbstractGroupedEdit
TCustomAbstractGroupedEdit
pt | CalculatePreferredSize
pt | CreateBuddy
pt | CreateEditor
pt | FocusAndMaybeSelectAll
pt | GetEditorClassType
pt | GetBuddyClassType
pt | GetControlClassDefaultSize
pt | SetDirectInput
pt | RealGetText
pt | RealSetText
pt | GetEditPopupMenu
pt | GetBuddyCaption
pt | GetBuddyCursor
pt | GetBuddyHint
pt | GetBuddyWidth
pt | GetBuddyVisible
pt | SetBuddyCaption
pt | SetBuddyCursor
pt | SetBuddyHint
pt | SetBuddyWidth
pt | SetBuddyVisible
pt | BuddyClick
pt | DoEnter
pt | EditChange
pt | EditClick
pt | EditDblClick
pt | EditDragDrop
pt | EditDragOver
pt | EditEditingDone
pt | EditEndDrag
pt | EditEnter
pt | EditExit
pt | EditKeyDown
pt | EditKeyPress
pt | EditKeyUp
pt | EditMouseDown
pt | EditMouseUp
pt | EditMouseEnter
pt | EditMouseLeave
pt | EditMouseMove
pt | EditMouseWheel
pt | EditMouseWheelUp
pt | EditMouseWheelDown
pt | EditUtf8KeyPress
pt | EditStartDrag
pt | UpdateSpacing
pt | CheckCursor
pt | CMParentColorChanged
pt | EditCanModify
pt | GetSel
pt | GetSpacing
pt | SetSel
pt | Loaded
pt | Reset
pt | SetAutoSize
pt | SetColor
pt | SetCursor
pt | ShouldAutoAdjust
 | Create
 | Destroy
 | SetFocus
 | Focused
 | Clear
 | ClearSelection
 | CopyToClipboard
 | CutToClipboard
 | PasteFromClipboard
 | SelectAll
 | Undo
 | ValidateEdit
TCustomControl
pt | WSRegisterClass
pt | WMPaint
pt | DestroyWnd
pt | PaintWindow
pt | FontChanged
pt | SetColor
pt | Paint
 | Create
 | Destroy
TWinControl
pt | WSRegisterClass
pt | AdjustClientRect
pt | GetAdjustedLogicalClientRect
pt | AlignControls
pt | CustomAlignInsertBefore
pt | CustomAlignPosition
pt | DoAlignChildControls
pt | DoChildSizingChange
pt | InvalidatePreferredChildSizes
pt | CanTab
pt | IsClientHeightStored
pt | IsClientWidthStored
pt | DoSendShowHideToInterface
pt | ControlsAligned
pt | DoSendBoundsToInterface
pt | RealizeBounds
pt | RealizeBoundsRecursive
pt | InvalidateBoundsRealized
pt | CreateSubClass
pt | DoConstraintsChange
pt | DoSetBounds
pt | DoAutoSize
pt | DoAllAutoSize
pt | AllAutoSized
pt | CalculatePreferredSize
pt | GetPreferredSizeClientFrame
pt | GetChildren
pt | ChildClassAllowed
pt | PaintControls
pt | PaintHandler
pt | PaintWindow
pt | CreateBrush
pt | ScaleControls
pt | ChangeScale
pt | CMBiDiModeChanged
pt | CMBorderChanged
pt | CMDoubleBufferedChanged
pt | CMEnabledChanged
pt | CMParentDoubleBufferedChanged
pt | CMShowingChanged
pt | CMShowHintChanged
pt | CMVisibleChanged
pt | CMEnter
pt | CMExit
pt | WMContextMenu
pt | WMEraseBkgnd
pt | WMNotify
pt | WMSetFocus
pt | WMKillFocus
pt | WMShowWindow
pt | WMEnter
pt | WMExit
pt | WMKeyDown
pt | WMSysKeyDown
pt | WMKeyUp
pt | WMSysKeyUp
pt | WMChar
pt | WMSysChar
pt | WMPaint
pt | WMDestroy
pt | WMMove
pt | WMSize
pt | WMWindowPosChanged
pt | CNKeyDown
pt | CNSysKeyDown
pt | CNKeyUp
pt | CNSysKeyUp
pt | CNChar
pt | DoDragMsg
pt | DoDockClientMsg
pt | DoUndockClientMsg
pt | DoAddDockClient
pt | DockOver
pt | DoDockOver
pt | DoRemoveDockClient
pt | DoUnDock
pt | GetSiteInfo
pt | GetParentHandle
pt | GetTopParentHandle
pt | ReloadDockedControl
pt | CreateDockManager
pt | SetDockManager
pt | DoFloatMsg
pt | DoGetDockCaption
pt | DoEnter
pt | DoExit
pt | DoKeyDownBeforeInterface
pt | DoRemainingKeyDown
pt | DoRemainingKeyUp
pt | DoKeyPress
pt | DoUTF8KeyPress
pt | DoKeyUpBeforeInterface
pt | ChildKey
pt | SendDialogChar
pt | DialogChar
pt | ControlKeyDown
pt | ControlKeyUp
pt | KeyDown
pt | KeyDownBeforeInterface
pt | KeyDownAfterInterface
pt | KeyPress
pt | KeyUp
pt | KeyUpBeforeInterface
pt | KeyUpAfterInterface
pt | UTF8KeyPress
pt | FindNextControl
pt | SelectFirst
pt | RealGetText
pt | GetBorderStyle
pt | GetClientOrigin
pt | GetClientRect
pt | GetControlOrigin
pt | GetDeviceContext
pt | GetParentBackground
pt | IsControlMouseMsg
pt | CreateHandle
pt | CreateParams
pt | CreateWnd
pt | DestroyHandle
pt | DestroyWnd
pt | DoFlipChildren
pt | FinalizeWnd
pt | FixupTabList
pt | FontChanged
pt | InitializeWnd
pt | Loaded
pt | FormEndUpdated
pt | MainWndProc
pt | ParentFormHandleInitialized
pt | ChildHandlesCreated
pt | GetMouseCapture
pt | RealSetText
pt | RemoveFocus
pt | SendMoveSizeMessages
pt | SetBorderStyle
pt | SetColor
pt | SetChildZPosition
pt | SetParentBackground
pt | ShowControl
pt | UpdateControlState
pt | UpdateShowing
pt | WndProc
pt | WSSetText
 | AutoSizePhases
 | AutoSizeDelayed
 | AutoSizeDelayedReport
 | AutoSizeDelayedHandle
 | BeginUpdateBounds
 | EndUpdateBounds
 | LockRealizeBounds
 | UnlockRealizeBounds
 | ControlAtPos
 | ContainsControl
 | DoAdjustClientRectChange
 | InvalidateClientRectCache
 | ClientRectNeedsInterfaceUpdate
 | SetBounds
 | GetChildrenRect
 | DisableAlign
 | EnableAlign
 | ReAlign
 | ScrollBy_WS
 | ScrollBy
 | WriteLayoutDebugReport
 | AutoAdjustLayout
 | Create
 | CreateParented
 | CreateParentedControl
 | Destroy
 | DockDrop
 | CanFocus
 | CanSetFocus
 | GetControlIndex
 | SetControlIndex
 | Focused
 | PerformTab
 | FindChildControl
 | SelectNext
 | SetTempCursor
 | BroadCast
 | NotifyControls
 | DefaultHandler
 | GetTextLen
 | Invalidate
 | AddControl
 | InsertControl
 | RemoveControl
 | GetEnumeratorControls
 | GetEnumeratorControlsReverse
 | Repaint
 | Update
 | SetFocus
 | FlipChildren
 | ScaleBy
 | GetDockCaption
 | UpdateDockCaption
 | GetTabOrderList
 | HandleAllocated
 | ParentHandlesAllocated
 | HandleNeeded
 | BrushCreated
 | EraseBackground
 | IntfUTF8KeyPress
 | IntfGetDropFilesTarget
 | PaintTo
 | SetShape
TControl
pt | WSRegisterClass
pt | GetCursor
pt | SetCursor
pt | SetVisible
pt | DoOnParentHandleDestruction
pt | DoAutoSize
pt | DoAllAutoSize
pt | BeginAutoSizing
pt | EndAutoSizing
pt | AnchorSideChanged
pt | ForeignAnchorSideChanged
pt | SetAlign
pt | SetAnchors
pt | SetAutoSize
pt | BoundsChanged
pt | CreateControlBorderSpacing
pt | DoConstraintsChange
pt | DoBorderSpacingChange
pt | IsBorderSpacingInnerBorderStored
pt | IsCaptionStored
pt | SendMoveSizeMessages
pt | ConstrainedResize
pt | CalculatePreferredSize
pt | DoOnResize
pt | DoOnChangeBounds
pt | CheckOnChangeBounds
pt | Resize
pt | RequestAlign
pt | UpdateAnchorRules
pt | ChangeBounds
pt | DoSetBounds
pt | ScaleConstraints
pt | ChangeScale
pt | CanAutoSize
pt | SetBiDiMode
pt | SetParentBiDiMode
pt | IsAParentAligning
pt | GetClientOrigin
pt | GetClientRect
pt | GetLogicalClientRect
pt | GetScrolledClientRect
pt | GetClientScrollOffset
pt | GetControlOrigin
pt | IsClientHeightStored
pt | IsClientWidthStored
pt | WidthIsAnchored
pt | HeightIsAnchored
pt | WMCancelMode
pt | WMContextMenu
pt | WMLButtonDown
pt | WMRButtonDown
pt | WMMButtonDown
pt | WMXButtonDown
pt | WMLButtonDBLCLK
pt | WMRButtonDBLCLK
pt | WMMButtonDBLCLK
pt | WMXButtonDBLCLK
pt | WMLButtonTripleCLK
pt | WMRButtonTripleCLK
pt | WMMButtonTripleCLK
pt | WMXButtonTripleCLK
pt | WMLButtonQuadCLK
pt | WMRButtonQuadCLK
pt | WMMButtonQuadCLK
pt | WMXButtonQuadCLK
pt | WMMouseMove
pt | WMLButtonUp
pt | WMRButtonUp
pt | WMMButtonUp
pt | WMXButtonUp
pt | WMMouseWheel
pt | WMMouseHWheel
pt | WMMove
pt | WMSize
pt | WMWindowPosChanged
pt | CMChanged
pt | LMCaptureChanged
pt | CMBiDiModeChanged
pt | CMSysFontChanged
pt | CMEnabledChanged
pt | CMHitTest
pt | CMMouseEnter
pt | CMMouseLeave
pt | CMHintShow
pt | CMParentBiDiModeChanged
pt | CMParentColorChanged
pt | CMParentFontChanged
pt | CMParentShowHintChanged
pt | CMVisibleChanged
pt | CMTextChanged
pt | CMCursorChanged
pt | CalculateDockSizes
pt | CreateFloatingDockSite
pt | GetDockEdge
pt | GetDragImages
pt | GetFloating
pt | GetFloatingDockSiteClass
pt | BeforeDragStart
pt | BeginAutoDrag
pt | DoFloatMsg
pt | DockTrackNoTarget
pt | DoDock
pt | DoDragMsg
pt | DoEndDock
pt | DoEndDrag
pt | DoStartDock
pt | DoStartDrag
pt | DragCanceled
pt | DragOver
pt | PositionDockRect
pt | SetDragMode
pt | GetDefaultDockCaption
pt | Click
pt | DblClick
pt | TripleClick
pt | QuadClick
pt | GetMousePosFromMessage
pt | MouseDown
pt | MouseMove
pt | MouseUp
pt | MouseEnter
pt | MouseLeave
pt | DialogChar
pt | UpdateMouseCursor
pt | Changed
pt | GetPalette
pt | ChildClassAllowed
pt | ReadState
pt | Loaded
pt | LoadedAll
pt | DefineProperties
pt | AssignTo
pt | FormEndUpdated
pt | InvalidateControl
pt | FontChanged
pt | ParentFontChanged
pt | GetAction
pt | RealGetText
pt | RealSetText
pt | TextChanged
pt | GetCachedText
pt | SetAction
pt | SetColor
pt | SetEnabled
pt | SetHint
pt | SetName
pt | SetParent
pt | SetParentComponent
pt | WndProc
pt | ParentFormHandleInitialized
pt | GetMouseCapture
pt | CaptureChanged
pt | Notification
pt | CanTab
pt | GetDeviceContext
pt | GetEnabled
pt | GetPopupMenu
pt | DoOnShowHint
pt | DoMouseWheel
pt | DoMouseWheelDown
pt | DoMouseWheelUp
pt | DoMouseWheelHorz
pt | DoMouseWheelLeft
pt | DoMouseWheelRight
pt | VisibleChanging
pt | VisibleChanged
pt | EnabledChanging
pt | EnabledChanged
pt | AddHandler
pt | RemoveHandler
pt | DoCallNotifyHandler
pt | DoCallKeyEventHandler
pt | DoCallMouseWheelEventHandler
pt | DoContextPopup
pt | SetZOrder
pt | GetControlClassDefaultSize
pt | ColorIsStored
pt | DoAutoAdjustLayout
pt | DoFixDesignFontPPI
pt | DoScaleFontPPI
pt | GetActionLinkClass
pt | ActionChange
 | DragDrop
 | Dock
 | ManualDock
 | ManualFloat
 | ReplaceDockedControl
 | Docked
 | Dragging
 | GetAccessibleObject
 | CreateAccessibleObject
 | GetSelectedChildAccessibleObject
 | GetChildAccessibleObjectAtPos
 | ScaleDesignToForm
 | ScaleFormToDesign
 | Scale96ToForm
 | ScaleFormTo96
 | Scale96ToFont
 | ScaleFontTo96
 | ScaleScreenToFont
 | ScaleFontToScreen
 | Scale96ToScreen
 | ScaleScreenTo96
 | AdjustSize
 | AutoSizePhases
 | AutoSizeDelayed
 | AutoSizeDelayedReport
 | AutoSizeDelayedHandle
 | AnchorToNeighbour
 | AnchorParallel
 | AnchorHorizontalCenterTo
 | AnchorVerticalCenterTo
 | AnchorToCompanion
 | AnchorSame
 | AnchorAsAlign
 | AnchorClient
 | AnchoredControlCount
 | SetBounds
 | SetInitialBounds
 | SetBoundsKeepBase
 | GetPreferredSize
 | GetCanvasScaleFactor
 | GetDefaultWidth
 | GetDefaultHeight
 | GetDefaultColor
 | GetColorResolvingParent
 | GetRGBColorResolvingParent
 | GetSidePosition
 | CNPreferredSizeChanged
 | InvalidatePreferredSize
 | GetAnchorsDependingOnParent
 | DisableAutoSizing
 | EnableAutoSizing
 | UpdateBaseBounds
 | WriteLayoutDebugReport
 | AutoAdjustLayout
 | ShouldAutoAdjust
 | FixDesignFontsPPI
 | ScaleFontsPPI
 | Create
 | Destroy
 | BeforeDestruction
 | EditingDone
 | ExecuteDefaultAction
 | ExecuteCancelAction
 | BeginDrag
 | EndDrag
 | BringToFront
 | HasParent
 | GetParentComponent
 | IsParentOf
 | GetTopParent
 | IsVisible
 | IsControlVisible
 | IsEnabled
 | IsParentColor
 | IsParentFont
 | FormIsUpdating
 | IsProcessingPaintMsg
 | Hide
 | Refresh
 | Repaint
 | Invalidate
 | CheckChildClassAllowed
 | CheckNewParent
 | SendToBack
 | SetTempCursor
 | UpdateRolesForForm
 | ActiveDefaultControlChanged
 | GetTextBuf
 | GetTextLen
 | SetTextBuf
 | Perform
 | ScreenToClient
 | ClientToScreen
 | ScreenToControl
 | ControlToScreen
 | ClientToParent
 | ParentToClient
 | GetChildrenRect
 | Show
 | Update
 | HandleObjectShouldBeVisible
 | ParentDestroyingHandle
 | ParentHandlesAllocated
 | InitiateAction
 | ShowHelp
 | HasHelp
 | RemoveAllHandlersOfObject
 | AddHandlerOnResize
 | RemoveHandlerOnResize
 | AddHandlerOnChangeBounds
 | RemoveHandlerOnChangeBounds
 | AddHandlerOnVisibleChanging
 | RemoveHandlerOnVisibleChanging
 | AddHandlerOnVisibleChanged
 | RemoveHandlerOnVisibleChanged
 | AddHandlerOnEnabledChanged
 | RemoveHandlerOnEnableChanging
 | AddHandlerOnKeyDown
 | RemoveHandlerOnKeyDown
 | AddHandlerOnBeforeDestruction
 | RemoveHandlerOnBeforeDestruction
 | AddHandlerOnMouseWheel
 | RemoveHandlerOnMouseWheel
 | UseRightToLeftAlignment
 | UseRightToLeftReading
 | UseRightToLeftScrollBar
 | IsRightToLeft
TLCLComponent
pt | WSRegisterClass
pt | GetWSComponentClass
 | Create
 | Destroy
 | NewInstance
 | RemoveAllHandlersOfObject
 | IncLCLRefCount
 | DecLCLRefCount
TComponent
 | GetComObject
 | GetComponent
 | GetComponentCount
 | GetComponentIndex
 | Insert
 | ReadLeft
 | ReadTop
 | Remove
 | RemoveNotification
 | SetComponentIndex
 | SetReference
 | WriteLeft
 | WriteTop
 | ChangeName
 | DefineProperties
 | GetChildren
 | GetChildOwner
 | GetChildParent
 | GetOwner
 | Loaded
 | Loading
 | Notification
 | PaletteCreated
 | ReadState
 | SetAncestor
 | SetDesigning
 | SetDesignInstance
 | SetInline
 | SetName
 | SetChildOrder
 | SetParentComponent
 | Updating
 | Updated
 | UpdateRegistry
 | ValidateRename
 | ValidateContainer
 | ValidateInsert
 | QueryInterface
 | _AddRef
 | _Release
 | iicrGetComponent
 | GetTypeInfoCount
 | GetTypeInfo
 | GetIDsOfNames
 | Invoke
 | WriteState
 | Create
 | Destroy
 | BeforeDestruction
 | DestroyComponents
 | Destroying
 | ExecuteAction
 | FindComponent
 | FreeNotification
 | RemoveFreeNotification
 | FreeOnRelease
 | GetEnumerator
 | GetNamePath
 | GetParentComponent
 | HasParent
 | InsertComponent
 | RemoveComponent
 | SafeCallException
 | SetSubComponent
 | UpdateAction
 | IsImplementorOf
 | ReferenceInterface
TPersistent
 | AssignError
 | AssignTo
 | DefineProperties
 | GetOwner
 | Destroy
 | Assign
 | FPOAttachObserver
 | FPODetachObserver
 | FPONotifyObservers
 | GetNamePath
TObject
 | Create
 | Destroy
 | newinstance
 | FreeInstance
 | SafeCallException
 | DefaultHandler
 | Free
 | InitInstance
 | CleanupInstance
 | ClassType
 | ClassInfo
 | ClassName
 | ClassNameIs
 | ClassParent
 | InstanceSize
 | InheritsFrom
 | StringMessageTable
 | MethodAddress
 | MethodName
 | FieldAddress
 | AfterConstruction
 | BeforeDestruction
 | DefaultHandlerStr
 | Dispatch
 | DispatchStr
 | GetInterface
 | GetInterfaceByStr
 | GetInterfaceWeak
 | GetInterfaceEntry
 | GetInterfaceEntryByStr
 | GetInterfaceTable
 | UnitName
 | Equals
 | GetHashCode
 | ToString


pt | ActionChange (TControl)
 | ActiveDefaultControlChanged (TControl)
 | AddControl (TWinControl)
pt | AddHandler (TControl)
 | AddHandlerOnBeforeDestruction (TControl)
 | AddHandlerOnChangeBounds (TControl)
 | AddHandlerOnEnabledChanged (TControl)
 | AddHandlerOnKeyDown (TControl)
 | AddHandlerOnMouseWheel (TControl)
 | AddHandlerOnResize (TControl)
 | AddHandlerOnVisibleChanged (TControl)
 | AddHandlerOnVisibleChanging (TControl)
pt | AdjustClientRect (TWinControl)
 | AdjustSize (TControl)
 | AfterConstruction (TObject)
pt | AlignControls (TWinControl)
pt | AllAutoSized (TWinControl)
 | AnchorAsAlign (TControl)
 | AnchorClient (TControl)
 | AnchoredControlCount (TControl)
 | AnchorHorizontalCenterTo (TControl)
 | AnchorParallel (TControl)
 | AnchorSame (TControl)
pt | AnchorSideChanged (TControl)
 | AnchorToCompanion (TControl)
 | AnchorToNeighbour (TControl)
 | AnchorVerticalCenterTo (TControl)
 | Assign (TPersistent)
 | AssignError (TPersistent)
 | AssignTo (TPersistent)
pt | AssignTo (TControl)
 | AutoAdjustLayout (TControl)
 | AutoAdjustLayout (TWinControl)
 | AutoSizeDelayed (TControl)
 | AutoSizeDelayed (TWinControl)
 | AutoSizeDelayedHandle (TControl)
 | AutoSizeDelayedHandle (TWinControl)
 | AutoSizeDelayedReport (TControl)
 | AutoSizeDelayedReport (TWinControl)
 | AutoSizePhases (TControl)
 | AutoSizePhases (TWinControl)
 | BeforeDestruction (TObject)
 | BeforeDestruction (TComponent)
 | BeforeDestruction (TControl)
pt | BeforeDragStart (TControl)
pt | BeginAutoDrag (TControl)
pt | BeginAutoSizing (TControl)
 | BeginDrag (TControl)
 | BeginUpdateBounds (TWinControl)
pt | BoundsChanged (TControl)
 | BringToFront (TControl)
 | BroadCast (TWinControl)
 | BrushCreated (TWinControl)
pt | BuddyClick (TCustomAbstractGroupedEdit)
pt | CalculateDockSizes (TControl)
pt | CalculatePreferredSize (TControl)
pt | CalculatePreferredSize (TWinControl)
pt | CalculatePreferredSize (TCustomAbstractGroupedEdit)
pt | CanAutoSize (TControl)
 | CanFocus (TWinControl)
 | CanSetFocus (TWinControl)
pt | CanTab (TControl)
pt | CanTab (TWinControl)
pt | CaptureChanged (TControl)
pt | ChangeBounds (TControl)
pt | Changed (TControl)
 | ChangeName (TComponent)
pt | ChangeScale (TControl)
pt | ChangeScale (TWinControl)
 | CheckChildClassAllowed (TControl)
pt | CheckCursor (TCustomAbstractGroupedEdit)
 | CheckNewParent (TControl)
pt | CheckOnChangeBounds (TControl)
pt | ChildClassAllowed (TControl)
pt | ChildClassAllowed (TWinControl)
pt | ChildHandlesCreated (TWinControl)
pt | ChildKey (TWinControl)
 | ClassInfo (TObject)
 | ClassName (TObject)
 | ClassNameIs (TObject)
 | ClassParent (TObject)
 | ClassType (TObject)
 | CleanupInstance (TObject)
 | Clear (TCustomAbstractGroupedEdit)
 | ClearSelection (TCustomAbstractGroupedEdit)
pt | Click (TControl)
 | ClientRectNeedsInterfaceUpdate (TWinControl)
 | ClientToParent (TControl)
 | ClientToScreen (TControl)
pt | CMBiDiModeChanged (TControl)
pt | CMBiDiModeChanged (TWinControl)
pt | CMBorderChanged (TWinControl)
pt | CMChanged (TControl)
pt | CMCursorChanged (TControl)
pt | CMDoubleBufferedChanged (TWinControl)
pt | CMEnabledChanged (TControl)
pt | CMEnabledChanged (TWinControl)
pt | CMEnter (TWinControl)
pt | CMExit (TWinControl)
pt | CMHintShow (TControl)
pt | CMHitTest (TControl)
pt | CMMouseEnter (TControl)
pt | CMMouseLeave (TControl)
pt | CMParentBiDiModeChanged (TControl)
pt | CMParentColorChanged (TControl)
pt | CMParentColorChanged (TCustomAbstractGroupedEdit)
pt | CMParentDoubleBufferedChanged (TWinControl)
pt | CMParentFontChanged (TControl)
pt | CMParentShowHintChanged (TControl)
pt | CMShowHintChanged (TWinControl)
pt | CMShowingChanged (TWinControl)
pt | CMSysFontChanged (TControl)
pt | CMTextChanged (TControl)
pt | CMVisibleChanged (TControl)
pt | CMVisibleChanged (TWinControl)
pt | CNChar (TWinControl)
pt | CNKeyDown (TWinControl)
pt | CNKeyUp (TWinControl)
 | CNPreferredSizeChanged (TControl)
pt | CNSysKeyDown (TWinControl)
pt | CNSysKeyUp (TWinControl)
pt | ColorIsStored (TControl)
pt | ConstrainedResize (TControl)
 | ContainsControl (TWinControl)
 | ControlAtPos (TWinControl)
pt | ControlKeyDown (TWinControl)
pt | ControlKeyUp (TWinControl)
pt | ControlsAligned (TWinControl)
 | ControlToScreen (TControl)
 | CopyToClipboard (TCustomAbstractGroupedEdit)
 | Create (TObject)
 | Create (TComponent)
 | Create (TLCLComponent)
 | Create (TControl)
 | Create (TWinControl)
 | Create (TCustomControl)
 | Create (TCustomAbstractGroupedEdit)
 | CreateAccessibleObject (TControl)
pt | CreateBrush (TWinControl)
pt | CreateBuddy (TCustomAbstractGroupedEdit)
pt | CreateControlBorderSpacing (TControl)
pt | CreateDockManager (TWinControl)
pt | CreateEditor (TCustomAbstractGroupedEdit)
pt | CreateFloatingDockSite (TControl)
pt | CreateHandle (TWinControl)
pt | CreateParams (TWinControl)
 | CreateParented (TWinControl)
 | CreateParentedControl (TWinControl)
pt | CreateSubClass (TWinControl)
pt | CreateWnd (TWinControl)
pt | CustomAlignInsertBefore (TWinControl)
pt | CustomAlignPosition (TWinControl)
 | CutToClipboard (TCustomAbstractGroupedEdit)
pt | DblClick (TControl)
 | DecLCLRefCount (TLCLComponent)
 | DefaultHandler (TObject)
 | DefaultHandler (TWinControl)
 | DefaultHandlerStr (TObject)
 | DefineProperties (TPersistent)
 | DefineProperties (TComponent)
pt | DefineProperties (TControl)
 | Destroy (TObject)
 | Destroy (TPersistent)
 | Destroy (TComponent)
 | Destroy (TLCLComponent)
 | Destroy (TControl)
 | Destroy (TWinControl)
 | Destroy (TCustomControl)
 | Destroy (TCustomAbstractGroupedEdit)
 | DestroyComponents (TComponent)
pt | DestroyHandle (TWinControl)
 | Destroying (TComponent)
pt | DestroyWnd (TWinControl)
pt | DestroyWnd (TCustomControl)
pt | DialogChar (TControl)
pt | DialogChar (TWinControl)
 | DisableAlign (TWinControl)
 | DisableAutoSizing (TControl)
 | Dispatch (TObject)
 | DispatchStr (TObject)
pt | DoAddDockClient (TWinControl)
 | DoAdjustClientRectChange (TWinControl)
pt | DoAlignChildControls (TWinControl)
pt | DoAllAutoSize (TControl)
pt | DoAllAutoSize (TWinControl)
pt | DoAutoAdjustLayout (TControl)
pt | DoAutoSize (TControl)
pt | DoAutoSize (TWinControl)
pt | DoBorderSpacingChange (TControl)
pt | DoCallKeyEventHandler (TControl)
pt | DoCallMouseWheelEventHandler (TControl)
pt | DoCallNotifyHandler (TControl)
pt | DoChildSizingChange (TWinControl)
 | Dock (TControl)
 | DockDrop (TWinControl)
 | Docked (TControl)
pt | DockOver (TWinControl)
pt | DockTrackNoTarget (TControl)
pt | DoConstraintsChange (TControl)
pt | DoConstraintsChange (TWinControl)
pt | DoContextPopup (TControl)
pt | DoDock (TControl)
pt | DoDockClientMsg (TWinControl)
pt | DoDockOver (TWinControl)
pt | DoDragMsg (TControl)
pt | DoDragMsg (TWinControl)
pt | DoEndDock (TControl)
pt | DoEndDrag (TControl)
pt | DoEnter (TWinControl)
pt | DoEnter (TCustomAbstractGroupedEdit)
pt | DoExit (TWinControl)
pt | DoFixDesignFontPPI (TControl)
pt | DoFlipChildren (TWinControl)
pt | DoFloatMsg (TControl)
pt | DoFloatMsg (TWinControl)
pt | DoGetDockCaption (TWinControl)
pt | DoKeyDownBeforeInterface (TWinControl)
pt | DoKeyPress (TWinControl)
pt | DoKeyUpBeforeInterface (TWinControl)
pt | DoMouseWheel (TControl)
pt | DoMouseWheelDown (TControl)
pt | DoMouseWheelHorz (TControl)
pt | DoMouseWheelLeft (TControl)
pt | DoMouseWheelRight (TControl)
pt | DoMouseWheelUp (TControl)
pt | DoOnChangeBounds (TControl)
pt | DoOnParentHandleDestruction (TControl)
pt | DoOnResize (TControl)
pt | DoOnShowHint (TControl)
pt | DoRemainingKeyDown (TWinControl)
pt | DoRemainingKeyUp (TWinControl)
pt | DoRemoveDockClient (TWinControl)
pt | DoScaleFontPPI (TControl)
pt | DoSendBoundsToInterface (TWinControl)
pt | DoSendShowHideToInterface (TWinControl)
pt | DoSetBounds (TControl)
pt | DoSetBounds (TWinControl)
pt | DoStartDock (TControl)
pt | DoStartDrag (TControl)
pt | DoUnDock (TWinControl)
pt | DoUndockClientMsg (TWinControl)
pt | DoUTF8KeyPress (TWinControl)
pt | DragCanceled (TControl)
 | DragDrop (TControl)
 | Dragging (TControl)
pt | DragOver (TControl)
pt | EditCanModify (TCustomAbstractGroupedEdit)
pt | EditChange (TCustomAbstractGroupedEdit)
pt | EditClick (TCustomAbstractGroupedEdit)
pt | EditDblClick (TCustomAbstractGroupedEdit)
pt | EditDragDrop (TCustomAbstractGroupedEdit)
pt | EditDragOver (TCustomAbstractGroupedEdit)
pt | EditEditingDone (TCustomAbstractGroupedEdit)
pt | EditEndDrag (TCustomAbstractGroupedEdit)
pt | EditEnter (TCustomAbstractGroupedEdit)
pt | EditExit (TCustomAbstractGroupedEdit)
 | EditingDone (TControl)
pt | EditKeyDown (TCustomAbstractGroupedEdit)
pt | EditKeyPress (TCustomAbstractGroupedEdit)
pt | EditKeyUp (TCustomAbstractGroupedEdit)
pt | EditMouseDown (TCustomAbstractGroupedEdit)
pt | EditMouseEnter (TCustomAbstractGroupedEdit)
pt | EditMouseLeave (TCustomAbstractGroupedEdit)
pt | EditMouseMove (TCustomAbstractGroupedEdit)
pt | EditMouseUp (TCustomAbstractGroupedEdit)
pt | EditMouseWheel (TCustomAbstractGroupedEdit)
pt | EditMouseWheelDown (TCustomAbstractGroupedEdit)
pt | EditMouseWheelUp (TCustomAbstractGroupedEdit)
pt | EditStartDrag (TCustomAbstractGroupedEdit)
pt | EditUtf8KeyPress (TCustomAbstractGroupedEdit)
 | EnableAlign (TWinControl)
 | EnableAutoSizing (TControl)
pt | EnabledChanged (TControl)
pt | EnabledChanging (TControl)
pt | EndAutoSizing (TControl)
 | EndDrag (TControl)
 | EndUpdateBounds (TWinControl)
 | Equals (TObject)
 | EraseBackground (TWinControl)
 | ExecuteAction (TComponent)
 | ExecuteCancelAction (TControl)
 | ExecuteDefaultAction (TControl)
 | FieldAddress (TObject)
pt | FinalizeWnd (TWinControl)
 | FindChildControl (TWinControl)
 | FindComponent (TComponent)
pt | FindNextControl (TWinControl)
 | FixDesignFontsPPI (TControl)
pt | FixupTabList (TWinControl)
 | FlipChildren (TWinControl)
pt | FocusAndMaybeSelectAll (TCustomAbstractGroupedEdit)
 | Focused (TWinControl)
 | Focused (TCustomAbstractGroupedEdit)
pt | FontChanged (TControl)
pt | FontChanged (TWinControl)
pt | FontChanged (TCustomControl)
pt | ForeignAnchorSideChanged (TControl)
pt | FormEndUpdated (TControl)
pt | FormEndUpdated (TWinControl)
 | FormIsUpdating (TControl)
 | FPOAttachObserver (TPersistent)
 | FPODetachObserver (TPersistent)
 | FPONotifyObservers (TPersistent)
 | Free (TObject)
 | FreeInstance (TObject)
 | FreeNotification (TComponent)
 | FreeOnRelease (TComponent)
 | GetAccessibleObject (TControl)
pt | GetAction (TControl)
pt | GetActionLinkClass (TControl)
pt | GetAdjustedLogicalClientRect (TWinControl)
 | GetAnchorsDependingOnParent (TControl)
pt | GetBorderStyle (TWinControl)
pt | GetBuddyCaption (TCustomAbstractGroupedEdit)
pt | GetBuddyClassType (TCustomAbstractGroupedEdit)
pt | GetBuddyCursor (TCustomAbstractGroupedEdit)
pt | GetBuddyHint (TCustomAbstractGroupedEdit)
pt | GetBuddyVisible (TCustomAbstractGroupedEdit)
pt | GetBuddyWidth (TCustomAbstractGroupedEdit)
pt | GetCachedText (TControl)
 | GetCanvasScaleFactor (TControl)
 | GetChildAccessibleObjectAtPos (TControl)
 | GetChildOwner (TComponent)
 | GetChildParent (TComponent)
 | GetChildren (TComponent)
pt | GetChildren (TWinControl)
 | GetChildrenRect (TControl)
 | GetChildrenRect (TWinControl)
pt | GetClientOrigin (TControl)
pt | GetClientOrigin (TWinControl)
pt | GetClientRect (TControl)
pt | GetClientRect (TWinControl)
pt | GetClientScrollOffset (TControl)
 | GetColorResolvingParent (TControl)
 | GetComObject (TComponent)
 | GetComponent (TComponent)
 | GetComponentCount (TComponent)
 | GetComponentIndex (TComponent)
pt | GetControlClassDefaultSize (TControl)
pt | GetControlClassDefaultSize (TCustomAbstractGroupedEdit)
 | GetControlIndex (TWinControl)
pt | GetControlOrigin (TControl)
pt | GetControlOrigin (TWinControl)
pt | GetCursor (TControl)
 | GetDefaultColor (TControl)
pt | GetDefaultDockCaption (TControl)
 | GetDefaultHeight (TControl)
 | GetDefaultWidth (TControl)
pt | GetDeviceContext (TControl)
pt | GetDeviceContext (TWinControl)
 | GetDockCaption (TWinControl)
pt | GetDockEdge (TControl)
pt | GetDragImages (TControl)
pt | GetEditorClassType (TCustomAbstractGroupedEdit)
pt | GetEditPopupMenu (TCustomAbstractGroupedEdit)
pt | GetEnabled (TControl)
 | GetEnumerator (TComponent)
 | GetEnumeratorControls (TWinControl)
 | GetEnumeratorControlsReverse (TWinControl)
pt | GetFloating (TControl)
pt | GetFloatingDockSiteClass (TControl)
 | GetHashCode (TObject)
 | GetIDsOfNames (TComponent)
 | GetInterface (TObject)
 | GetInterfaceByStr (TObject)
 | GetInterfaceEntry (TObject)
 | GetInterfaceEntryByStr (TObject)
 | GetInterfaceTable (TObject)
 | GetInterfaceWeak (TObject)
pt | GetLogicalClientRect (TControl)
pt | GetMouseCapture (TControl)
pt | GetMouseCapture (TWinControl)
pt | GetMousePosFromMessage (TControl)
 | GetNamePath (TPersistent)
 | GetNamePath (TComponent)
 | GetOwner (TPersistent)
 | GetOwner (TComponent)
pt | GetPalette (TControl)
pt | GetParentBackground (TWinControl)
 | GetParentComponent (TComponent)
 | GetParentComponent (TControl)
pt | GetParentHandle (TWinControl)
pt | GetPopupMenu (TControl)
 | GetPreferredSize (TControl)
pt | GetPreferredSizeClientFrame (TWinControl)
 | GetRGBColorResolvingParent (TControl)
pt | GetScrolledClientRect (TControl)
pt | GetSel (TCustomAbstractGroupedEdit)
 | GetSelectedChildAccessibleObject (TControl)
 | GetSidePosition (TControl)
pt | GetSiteInfo (TWinControl)
pt | GetSpacing (TCustomAbstractGroupedEdit)
 | GetTabOrderList (TWinControl)
 | GetTextBuf (TControl)
 | GetTextLen (TControl)
 | GetTextLen (TWinControl)
 | GetTopParent (TControl)
pt | GetTopParentHandle (TWinControl)
 | GetTypeInfo (TComponent)
 | GetTypeInfoCount (TComponent)
pt | GetWSComponentClass (TLCLComponent)
 | HandleAllocated (TWinControl)
 | HandleNeeded (TWinControl)
 | HandleObjectShouldBeVisible (TControl)
 | HasHelp (TControl)
 | HasParent (TComponent)
 | HasParent (TControl)
pt | HeightIsAnchored (TControl)
 | Hide (TControl)
 | iicrGetComponent (TComponent)
 | IncLCLRefCount (TLCLComponent)
 | InheritsFrom (TObject)
pt | InitializeWnd (TWinControl)
 | InitiateAction (TControl)
 | InitInstance (TObject)
 | Insert (TComponent)
 | InsertComponent (TComponent)
 | InsertControl (TWinControl)
 | InstanceSize (TObject)
 | IntfGetDropFilesTarget (TWinControl)
 | IntfUTF8KeyPress (TWinControl)
 | Invalidate (TControl)
 | Invalidate (TWinControl)
pt | InvalidateBoundsRealized (TWinControl)
 | InvalidateClientRectCache (TWinControl)
pt | InvalidateControl (TControl)
pt | InvalidatePreferredChildSizes (TWinControl)
 | InvalidatePreferredSize (TControl)
 | Invoke (TComponent)
pt | IsAParentAligning (TControl)
pt | IsBorderSpacingInnerBorderStored (TControl)
pt | IsCaptionStored (TControl)
pt | IsClientHeightStored (TControl)
pt | IsClientHeightStored (TWinControl)
pt | IsClientWidthStored (TControl)
pt | IsClientWidthStored (TWinControl)
pt | IsControlMouseMsg (TWinControl)
 | IsControlVisible (TControl)
 | IsEnabled (TControl)
 | IsImplementorOf (TComponent)
 | IsParentColor (TControl)
 | IsParentFont (TControl)
 | IsParentOf (TControl)
 | IsProcessingPaintMsg (TControl)
 | IsRightToLeft (TControl)
 | IsVisible (TControl)
pt | KeyDown (TWinControl)
pt | KeyDownAfterInterface (TWinControl)
pt | KeyDownBeforeInterface (TWinControl)
pt | KeyPress (TWinControl)
pt | KeyUp (TWinControl)
pt | KeyUpAfterInterface (TWinControl)
pt | KeyUpBeforeInterface (TWinControl)
pt | LMCaptureChanged (TControl)
 | Loaded (TComponent)
pt | Loaded (TControl)
pt | Loaded (TWinControl)
pt | Loaded (TCustomAbstractGroupedEdit)
pt | LoadedAll (TControl)
 | Loading (TComponent)
 | LockRealizeBounds (TWinControl)
pt | MainWndProc (TWinControl)
 | ManualDock (TControl)
 | ManualFloat (TControl)
 | MethodAddress (TObject)
 | MethodName (TObject)
pt | MouseDown (TControl)
pt | MouseEnter (TControl)
pt | MouseLeave (TControl)
pt | MouseMove (TControl)
pt | MouseUp (TControl)
 | newinstance (TObject)
 | NewInstance (TLCLComponent)
 | Notification (TComponent)
pt | Notification (TControl)
 | NotifyControls (TWinControl)
pt | Paint (TCustomControl)
pt | PaintControls (TWinControl)
pt | PaintHandler (TWinControl)
 | PaintTo (TWinControl)
pt | PaintWindow (TWinControl)
pt | PaintWindow (TCustomControl)
 | PaletteCreated (TComponent)
 | ParentDestroyingHandle (TControl)
pt | ParentFontChanged (TControl)
pt | ParentFormHandleInitialized (TControl)
pt | ParentFormHandleInitialized (TWinControl)
 | ParentHandlesAllocated (TControl)
 | ParentHandlesAllocated (TWinControl)
 | ParentToClient (TControl)
 | PasteFromClipboard (TCustomAbstractGroupedEdit)
 | Perform (TControl)
 | PerformTab (TWinControl)
pt | PositionDockRect (TControl)
pt | QuadClick (TControl)
 | QueryInterface (TComponent)
 | ReadLeft (TComponent)
 | ReadState (TComponent)
pt | ReadState (TControl)
 | ReadTop (TComponent)
pt | RealGetText (TControl)
pt | RealGetText (TWinControl)
pt | RealGetText (TCustomAbstractGroupedEdit)
 | ReAlign (TWinControl)
pt | RealizeBounds (TWinControl)
pt | RealizeBoundsRecursive (TWinControl)
pt | RealSetText (TControl)
pt | RealSetText (TWinControl)
pt | RealSetText (TCustomAbstractGroupedEdit)
 | ReferenceInterface (TComponent)
 | Refresh (TControl)
pt | ReloadDockedControl (TWinControl)
 | Remove (TComponent)
 | RemoveAllHandlersOfObject (TLCLComponent)
 | RemoveAllHandlersOfObject (TControl)
 | RemoveComponent (TComponent)
 | RemoveControl (TWinControl)
pt | RemoveFocus (TWinControl)
 | RemoveFreeNotification (TComponent)
pt | RemoveHandler (TControl)
 | RemoveHandlerOnBeforeDestruction (TControl)
 | RemoveHandlerOnChangeBounds (TControl)
 | RemoveHandlerOnEnableChanging (TControl)
 | RemoveHandlerOnKeyDown (TControl)
 | RemoveHandlerOnMouseWheel (TControl)
 | RemoveHandlerOnResize (TControl)
 | RemoveHandlerOnVisibleChanged (TControl)
 | RemoveHandlerOnVisibleChanging (TControl)
 | RemoveNotification (TComponent)
 | Repaint (TControl)
 | Repaint (TWinControl)
 | ReplaceDockedControl (TControl)
pt | RequestAlign (TControl)
pt | Reset (TCustomAbstractGroupedEdit)
pt | Resize (TControl)
 | SafeCallException (TObject)
 | SafeCallException (TComponent)
 | Scale96ToFont (TControl)
 | Scale96ToForm (TControl)
 | Scale96ToScreen (TControl)
 | ScaleBy (TWinControl)
pt | ScaleConstraints (TControl)
pt | ScaleControls (TWinControl)
 | ScaleDesignToForm (TControl)
 | ScaleFontsPPI (TControl)
 | ScaleFontTo96 (TControl)
 | ScaleFontToScreen (TControl)
 | ScaleFormTo96 (TControl)
 | ScaleFormToDesign (TControl)
 | ScaleScreenTo96 (TControl)
 | ScaleScreenToFont (TControl)
 | ScreenToClient (TControl)
 | ScreenToControl (TControl)
 | ScrollBy (TWinControl)
 | ScrollBy_WS (TWinControl)
 | SelectAll (TCustomAbstractGroupedEdit)
pt | SelectFirst (TWinControl)
 | SelectNext (TWinControl)
pt | SendDialogChar (TWinControl)
pt | SendMoveSizeMessages (TControl)
pt | SendMoveSizeMessages (TWinControl)
 | SendToBack (TControl)
pt | SetAction (TControl)
pt | SetAlign (TControl)
 | SetAncestor (TComponent)
pt | SetAnchors (TControl)
pt | SetAutoSize (TControl)
pt | SetAutoSize (TCustomAbstractGroupedEdit)
pt | SetBiDiMode (TControl)
pt | SetBorderStyle (TWinControl)
 | SetBounds (TControl)
 | SetBounds (TWinControl)
 | SetBoundsKeepBase (TControl)
pt | SetBuddyCaption (TCustomAbstractGroupedEdit)
pt | SetBuddyCursor (TCustomAbstractGroupedEdit)
pt | SetBuddyHint (TCustomAbstractGroupedEdit)
pt | SetBuddyVisible (TCustomAbstractGroupedEdit)
pt | SetBuddyWidth (TCustomAbstractGroupedEdit)
 | SetChildOrder (TComponent)
pt | SetChildZPosition (TWinControl)
pt | SetColor (TControl)
pt | SetColor (TWinControl)
pt | SetColor (TCustomControl)
pt | SetColor (TCustomAbstractGroupedEdit)
 | SetComponentIndex (TComponent)
 | SetControlIndex (TWinControl)
pt | SetCursor (TControl)
pt | SetCursor (TCustomAbstractGroupedEdit)
 | SetDesigning (TComponent)
 | SetDesignInstance (TComponent)
pt | SetDirectInput (TCustomAbstractGroupedEdit)
pt | SetDockManager (TWinControl)
pt | SetDragMode (TControl)
pt | SetEnabled (TControl)
 | SetFocus (TWinControl)
 | SetFocus (TCustomAbstractGroupedEdit)
pt | SetHint (TControl)
 | SetInitialBounds (TControl)
 | SetInline (TComponent)
 | SetName (TComponent)
pt | SetName (TControl)
pt | SetParent (TControl)
pt | SetParentBackground (TWinControl)
pt | SetParentBiDiMode (TControl)
 | SetParentComponent (TComponent)
pt | SetParentComponent (TControl)
 | SetReference (TComponent)
pt | SetSel (TCustomAbstractGroupedEdit)
 | SetShape (TWinControl)
 | SetSubComponent (TComponent)
 | SetTempCursor (TControl)
 | SetTempCursor (TWinControl)
 | SetTextBuf (TControl)
pt | SetVisible (TControl)
pt | SetZOrder (TControl)
 | ShouldAutoAdjust (TControl)
pt | ShouldAutoAdjust (TCustomAbstractGroupedEdit)
 | Show (TControl)
pt | ShowControl (TWinControl)
 | ShowHelp (TControl)
 | StringMessageTable (TObject)
pt | TextChanged (TControl)
 | ToString (TObject)
pt | TripleClick (TControl)
 | Undo (TCustomAbstractGroupedEdit)
 | UnitName (TObject)
 | UnlockRealizeBounds (TWinControl)
 | Update (TControl)
 | Update (TWinControl)
 | UpdateAction (TComponent)
pt | UpdateAnchorRules (TControl)
 | UpdateBaseBounds (TControl)
pt | UpdateControlState (TWinControl)
 | Updated (TComponent)
 | UpdateDockCaption (TWinControl)
pt | UpdateMouseCursor (TControl)
 | UpdateRegistry (TComponent)
 | UpdateRolesForForm (TControl)
pt | UpdateShowing (TWinControl)
pt | UpdateSpacing (TCustomAbstractGroupedEdit)
 | Updating (TComponent)
 | UseRightToLeftAlignment (TControl)
 | UseRightToLeftReading (TControl)
 | UseRightToLeftScrollBar (TControl)
pt | UTF8KeyPress (TWinControl)
 | ValidateContainer (TComponent)
 | ValidateEdit (TCustomAbstractGroupedEdit)
 | ValidateInsert (TComponent)
 | ValidateRename (TComponent)
pt | VisibleChanged (TControl)
pt | VisibleChanging (TControl)
pt | WidthIsAnchored (TControl)
pt | WMCancelMode (TControl)
pt | WMChar (TWinControl)
pt | WMContextMenu (TControl)
pt | WMContextMenu (TWinControl)
pt | WMDestroy (TWinControl)
pt | WMEnter (TWinControl)
pt | WMEraseBkgnd (TWinControl)
pt | WMExit (TWinControl)
pt | WMKeyDown (TWinControl)
pt | WMKeyUp (TWinControl)
pt | WMKillFocus (TWinControl)
pt | WMLButtonDBLCLK (TControl)
pt | WMLButtonDown (TControl)
pt | WMLButtonQuadCLK (TControl)
pt | WMLButtonTripleCLK (TControl)
pt | WMLButtonUp (TControl)
pt | WMMButtonDBLCLK (TControl)
pt | WMMButtonDown (TControl)
pt | WMMButtonQuadCLK (TControl)
pt | WMMButtonTripleCLK (TControl)
pt | WMMButtonUp (TControl)
pt | WMMouseHWheel (TControl)
pt | WMMouseMove (TControl)
pt | WMMouseWheel (TControl)
pt | WMMove (TControl)
pt | WMMove (TWinControl)
pt | WMNotify (TWinControl)
pt | WMPaint (TWinControl)
pt | WMPaint (TCustomControl)
pt | WMRButtonDBLCLK (TControl)
pt | WMRButtonDown (TControl)
pt | WMRButtonQuadCLK (TControl)
pt | WMRButtonTripleCLK (TControl)
pt | WMRButtonUp (TControl)
pt | WMSetFocus (TWinControl)
pt | WMShowWindow (TWinControl)
pt | WMSize (TControl)
pt | WMSize (TWinControl)
pt | WMSysChar (TWinControl)
pt | WMSysKeyDown (TWinControl)
pt | WMSysKeyUp (TWinControl)
pt | WMWindowPosChanged (TControl)
pt | WMWindowPosChanged (TWinControl)
pt | WMXButtonDBLCLK (TControl)
pt | WMXButtonDown (TControl)
pt | WMXButtonQuadCLK (TControl)
pt | WMXButtonTripleCLK (TControl)
pt | WMXButtonUp (TControl)
pt | WndProc (TControl)
pt | WndProc (TWinControl)
 | WriteLayoutDebugReport (TControl)
 | WriteLayoutDebugReport (TWinControl)
 | WriteLeft (TComponent)
 | WriteState (TComponent)
 | WriteTop (TComponent)
pt | WSRegisterClass (TLCLComponent)
pt | WSRegisterClass (TControl)
pt | WSRegisterClass (TWinControl)
pt | WSRegisterClass (TCustomControl)
pt | WSSetText (TWinControl)
 | _AddRef (TComponent)
 | _Release (TComponent)


TAbstractGroupedEdit
pl | ro | OnChange
pl | ro | OnClick
pl | ro | OnDblClick
pl | ro | OnDragDrop
pl | ro | OnDragOver
pl | ro | OnContextPopup
pl | ro | OnEditingDone
pl | ro | OnEndDrag
pl | ro | OnEnter
pl | ro | OnExit
pl | ro | OnKeyDown
pl | ro | OnKeyPress
pl | ro | OnKeyUp
pl | ro | OnMouseDown
pl | ro | OnMouseEnter
pl | ro | OnMouseLeave
pl | ro | OnMouseMove
pl | ro | OnMouseUp
pl | ro | OnMouseWheel
pl | ro | OnMouseWheelDown
pl | ro | OnMouseWheelUp
pl | ro | OnStartDrag
pl | ro | OnUTF8KeyPress
TCustomAbstractGroupedEdit
pt |  | OnBuddyClick
 |  | OnChange
 |  | OnClick
 |  | OnDblClick
 |  | OnDragDrop
 |  | OnDragOver
 |  | OnEditingDone
 |  | OnEndDrag
 |  | OnEnter
 |  | OnExit
 |  | OnMouseDown
 |  | OnKeyPress
 |  | OnKeyDown
 |  | OnKeyUp
 |  | OnMouseEnter
 |  | OnMouseLeave
 |  | OnMouseMove
 |  | OnMouseWheel
 |  | OnMouseWheelUp
 |  | OnMouseWheelDown
 |  | OnMouseUp
 |  | OnStartDrag
 |  | OnUtf8KeyPress
TCustomControl
 |  | OnPaint
TWinControl
pt |  | OnGetSiteInfo
pt |  | OnGetDockCaption
 |  | OnAlignInsertBefore
 |  | OnAlignPosition
 |  | OnDockDrop
 |  | OnDockOver
 |  | OnEnter
 |  | OnExit
 |  | OnKeyDown
 |  | OnKeyPress
 |  | OnKeyUp
 |  | OnUnDock
 |  | OnUTF8KeyPress
TControl
pt |  | OnConstrainedResize
pt |  | OnContextPopup
pt |  | OnDblClick
pt |  | OnTripleClick
pt |  | OnQuadClick
pt |  | OnDragDrop
pt |  | OnDragOver
pt |  | OnEndDock
pt |  | OnEndDrag
pt |  | OnMouseDown
pt |  | OnMouseMove
pt |  | OnMouseUp
pt |  | OnMouseEnter
pt |  | OnMouseLeave
pt |  | OnMouseWheel
pt |  | OnMouseWheelDown
pt |  | OnMouseWheelUp
pt |  | OnMouseWheelHorz
pt |  | OnMouseWheelLeft
pt |  | OnMouseWheelRight
pt |  | OnStartDock
pt |  | OnStartDrag
pt |  | OnEditingDone
 |  | OnChangeBounds
 |  | OnClick
 |  | OnResize
 |  | OnShowHint
TLCLComponent
TComponent
TPersistent
TObject


pt |  | OnBuddyClick (TCustomAbstractGroupedEdit)
 |  | OnChange (TCustomAbstractGroupedEdit)
pl | ro | OnChange (TAbstractGroupedEdit)
 |  | OnChangeBounds (TControl)
 |  | OnClick (TControl)
 |  | OnClick (TCustomAbstractGroupedEdit)
pl | ro | OnClick (TAbstractGroupedEdit)
pt |  | OnConstrainedResize (TControl)
pt |  | OnContextPopup (TControl)
pl | ro | OnContextPopup (TAbstractGroupedEdit)
pt |  | OnDblClick (TControl)
 |  | OnDblClick (TCustomAbstractGroupedEdit)
pl | ro | OnDblClick (TAbstractGroupedEdit)
 |  | OnDockDrop (TWinControl)
 |  | OnDockOver (TWinControl)
pt |  | OnDragDrop (TControl)
 |  | OnDragDrop (TCustomAbstractGroupedEdit)
pl | ro | OnDragDrop (TAbstractGroupedEdit)
pt |  | OnDragOver (TControl)
 |  | OnDragOver (TCustomAbstractGroupedEdit)
pl | ro | OnDragOver (TAbstractGroupedEdit)
pt |  | OnEditingDone (TControl)
 |  | OnEditingDone (TCustomAbstractGroupedEdit)
pl | ro | OnEditingDone (TAbstractGroupedEdit)
pt |  | OnEndDock (TControl)
pt |  | OnEndDrag (TControl)
 |  | OnEndDrag (TCustomAbstractGroupedEdit)
pl | ro | OnEndDrag (TAbstractGroupedEdit)
 |  | OnEnter (TWinControl)
 |  | OnEnter (TCustomAbstractGroupedEdit)
pl | ro | OnEnter (TAbstractGroupedEdit)
 |  | OnExit (TWinControl)
 |  | OnExit (TCustomAbstractGroupedEdit)
pl | ro | OnExit (TAbstractGroupedEdit)
pt |  | OnGetDockCaption (TWinControl)
pt |  | OnGetSiteInfo (TWinControl)
 |  | OnKeyDown (TWinControl)
 |  | OnKeyDown (TCustomAbstractGroupedEdit)
pl | ro | OnKeyDown (TAbstractGroupedEdit)
 |  | OnKeyPress (TWinControl)
 |  | OnKeyPress (TCustomAbstractGroupedEdit)
pl | ro | OnKeyPress (TAbstractGroupedEdit)
 |  | OnKeyUp (TWinControl)
 |  | OnKeyUp (TCustomAbstractGroupedEdit)
pl | ro | OnKeyUp (TAbstractGroupedEdit)
pt |  | OnMouseDown (TControl)
 |  | OnMouseDown (TCustomAbstractGroupedEdit)
pl | ro | OnMouseDown (TAbstractGroupedEdit)
pt |  | OnMouseEnter (TControl)
 |  | OnMouseEnter (TCustomAbstractGroupedEdit)
pl | ro | OnMouseEnter (TAbstractGroupedEdit)
pt |  | OnMouseLeave (TControl)
 |  | OnMouseLeave (TCustomAbstractGroupedEdit)
pl | ro | OnMouseLeave (TAbstractGroupedEdit)
pt |  | OnMouseMove (TControl)
 |  | OnMouseMove (TCustomAbstractGroupedEdit)
pl | ro | OnMouseMove (TAbstractGroupedEdit)
pt |  | OnMouseUp (TControl)
 |  | OnMouseUp (TCustomAbstractGroupedEdit)
pl | ro | OnMouseUp (TAbstractGroupedEdit)
pt |  | OnMouseWheel (TControl)
 |  | OnMouseWheel (TCustomAbstractGroupedEdit)
pl | ro | OnMouseWheel (TAbstractGroupedEdit)
pt |  | OnMouseWheelDown (TControl)
 |  | OnMouseWheelDown (TCustomAbstractGroupedEdit)
pl | ro | OnMouseWheelDown (TAbstractGroupedEdit)
pt |  | OnMouseWheelHorz (TControl)
pt |  | OnMouseWheelLeft (TControl)
pt |  | OnMouseWheelRight (TControl)
pt |  | OnMouseWheelUp (TControl)
 |  | OnMouseWheelUp (TCustomAbstractGroupedEdit)
pl | ro | OnMouseWheelUp (TAbstractGroupedEdit)
 |  | OnPaint (TCustomControl)
pt |  | OnQuadClick (TControl)
 |  | OnResize (TControl)
 |  | OnShowHint (TControl)
pt |  | OnStartDock (TControl)
pt |  | OnStartDrag (TControl)
 |  | OnStartDrag (TCustomAbstractGroupedEdit)
pl | ro | OnStartDrag (TAbstractGroupedEdit)
pt |  | OnTripleClick (TControl)
 |  | OnUnDock (TWinControl)
 |  | OnUTF8KeyPress (TWinControl)
 |  | OnUtf8KeyPress (TCustomAbstractGroupedEdit)
pl | ro | OnUTF8KeyPress (TAbstractGroupedEdit)


TAbstractGroupedEdit.Action

Declaration

Source position: groupededit.pp line 336

published property TAbstractGroupedEdit.Action : TBasicAction;


TAbstractGroupedEdit.Align

Declaration

Source position: groupededit.pp line 340

published property TAbstractGroupedEdit.Align : TAlign;


TAbstractGroupedEdit.Alignment

Declaration

Source position: groupededit.pp line 341

published property TAbstractGroupedEdit.Alignment : TAlignment;


TAbstractGroupedEdit.Anchors

Declaration

Source position: groupededit.pp line 342

published property TAbstractGroupedEdit.Anchors : TAnchors;


TAbstractGroupedEdit.AutoSelect

Declaration

Source position: groupededit.pp line 337

published property TAbstractGroupedEdit.AutoSelect : Boolean;


TAbstractGroupedEdit.AutoSelected

Declaration

Source position: groupededit.pp line 333

public property TAbstractGroupedEdit.AutoSelected : Boolean;


TAbstractGroupedEdit.AutoSize

Declaration

Source position: groupededit.pp line 339

published property TAbstractGroupedEdit.AutoSize : Boolean
  default True;


TAbstractGroupedEdit.AutoSizeHeightIsEditHeight

Declaration

Source position: groupededit.pp line 338

published property TAbstractGroupedEdit.AutoSizeHeightIsEditHeight : Boolean;


TAbstractGroupedEdit.BiDiMode

Declaration

Source position: groupededit.pp line 343

published property TAbstractGroupedEdit.BiDiMode : TBiDiMode;


TAbstractGroupedEdit.BorderSpacing

Declaration

Source position: groupededit.pp line 344

published property TAbstractGroupedEdit.BorderSpacing : TControlBorderSpacing;


TAbstractGroupedEdit.BorderStyle

Declaration

Source position: groupededit.pp line 345

published property TAbstractGroupedEdit.BorderStyle : TBorderStyle
  default bsNone;


TAbstractGroupedEdit.BuddyCaption

Declaration

Source position: groupededit.pp line 346

published property TAbstractGroupedEdit.BuddyCaption : TCaption;


TAbstractGroupedEdit.BuddyCursor

Declaration

Source position: groupededit.pp line 347

published property TAbstractGroupedEdit.BuddyCursor : TCursor;


TAbstractGroupedEdit.BuddyHint

Declaration

Source position: groupededit.pp line 348

published property TAbstractGroupedEdit.BuddyHint : TTranslateString;


TAbstractGroupedEdit.BuddyWidth

Declaration

Source position: groupededit.pp line 349

published property TAbstractGroupedEdit.BuddyWidth : Integer;


TAbstractGroupedEdit.CharCase

Declaration

Source position: groupededit.pp line 350

published property TAbstractGroupedEdit.CharCase : TEditCharCase;


TAbstractGroupedEdit.Color

Declaration

Source position: groupededit.pp line 351

published property TAbstractGroupedEdit.Color : TColor;


TAbstractGroupedEdit.Constraints

Declaration

Source position: groupededit.pp line 352

published property TAbstractGroupedEdit.Constraints : TSizeConstraints;


TAbstractGroupedEdit.Cursor

Declaration

Source position: groupededit.pp line 353

published property TAbstractGroupedEdit.Cursor : TCursor;


TAbstractGroupedEdit.DirectInput

Declaration

Source position: groupededit.pp line 354

published property TAbstractGroupedEdit.DirectInput : Boolean;


TAbstractGroupedEdit.EchoMode

Declaration

Source position: groupededit.pp line 355

published property TAbstractGroupedEdit.EchoMode : TEchoMode;


TAbstractGroupedEdit.Enabled

Declaration

Source position: groupededit.pp line 356

published property TAbstractGroupedEdit.Enabled : Boolean;


TAbstractGroupedEdit.FocusOnBuddyClick

Declaration

Source position: groupededit.pp line 357

published property TAbstractGroupedEdit.FocusOnBuddyClick : Boolean;


TAbstractGroupedEdit.Font

Declaration

Source position: groupededit.pp line 358

published property TAbstractGroupedEdit.Font : TFont;


TAbstractGroupedEdit.Hint

Declaration

Source position: groupededit.pp line 360

published property TAbstractGroupedEdit.Hint : TTranslateString;


TAbstractGroupedEdit.Layout

Declaration

Source position: groupededit.pp line 361

published property TAbstractGroupedEdit.Layout : TLeftRight;


TAbstractGroupedEdit.MaxLength

Declaration

Source position: groupededit.pp line 362

published property TAbstractGroupedEdit.MaxLength : Integer;


TAbstractGroupedEdit.NumbersOnly

Declaration

Source position: groupededit.pp line 335

published property TAbstractGroupedEdit.NumbersOnly : Boolean;


TAbstractGroupedEdit.OnChange

Declaration

Source position: groupededit.pp line 364

published property TAbstractGroupedEdit.OnChange : TNotifyEvent;


TAbstractGroupedEdit.OnClick

Declaration

Source position: groupededit.pp line 365

published property TAbstractGroupedEdit.OnClick : TNotifyEvent;


TAbstractGroupedEdit.OnContextPopup

Declaration

Source position: groupededit.pp line 369

published property TAbstractGroupedEdit.OnContextPopup : TContextPopupEvent;


TAbstractGroupedEdit.OnDblClick

Declaration

Source position: groupededit.pp line 366

published property TAbstractGroupedEdit.OnDblClick : TNotifyEvent;


TAbstractGroupedEdit.OnDragDrop

Declaration

Source position: groupededit.pp line 367

published property TAbstractGroupedEdit.OnDragDrop : TDragDropEvent;


TAbstractGroupedEdit.OnDragOver

Declaration

Source position: groupededit.pp line 368

published property TAbstractGroupedEdit.OnDragOver : TDragOverEvent;


TAbstractGroupedEdit.OnEditingDone

Declaration

Source position: groupededit.pp line 370

published property TAbstractGroupedEdit.OnEditingDone : TNotifyEvent;


TAbstractGroupedEdit.OnEndDrag

Declaration

Source position: groupededit.pp line 371

published property TAbstractGroupedEdit.OnEndDrag : TEndDragEvent;


TAbstractGroupedEdit.OnEnter

Declaration

Source position: groupededit.pp line 372

published property TAbstractGroupedEdit.OnEnter : TNotifyEvent;


TAbstractGroupedEdit.OnExit

Declaration

Source position: groupededit.pp line 373

published property TAbstractGroupedEdit.OnExit : TNotifyEvent;


TAbstractGroupedEdit.OnKeyDown

Declaration

Source position: groupededit.pp line 374

published property TAbstractGroupedEdit.OnKeyDown : TKeyEvent;


TAbstractGroupedEdit.OnKeyPress

Declaration

Source position: groupededit.pp line 375

published property TAbstractGroupedEdit.OnKeyPress : TKeyPressEvent;


TAbstractGroupedEdit.OnKeyUp

Declaration

Source position: groupededit.pp line 376

published property TAbstractGroupedEdit.OnKeyUp : TKeyEvent;


TAbstractGroupedEdit.OnMouseDown

Declaration

Source position: groupededit.pp line 377

published property TAbstractGroupedEdit.OnMouseDown : TMouseEvent;


TAbstractGroupedEdit.OnMouseEnter

Declaration

Source position: groupededit.pp line 378

published property TAbstractGroupedEdit.OnMouseEnter : TNotifyEvent;


TAbstractGroupedEdit.OnMouseLeave

Declaration

Source position: groupededit.pp line 379

published property TAbstractGroupedEdit.OnMouseLeave : TNotifyEvent;


TAbstractGroupedEdit.OnMouseMove

Declaration

Source position: groupededit.pp line 380

published property TAbstractGroupedEdit.OnMouseMove : TMouseMoveEvent;


TAbstractGroupedEdit.OnMouseUp

Declaration

Source position: groupededit.pp line 381

published property TAbstractGroupedEdit.OnMouseUp : TMouseEvent;


TAbstractGroupedEdit.OnMouseWheel

Declaration

Source position: groupededit.pp line 382

published property TAbstractGroupedEdit.OnMouseWheel : TMouseWheelEvent;


TAbstractGroupedEdit.OnMouseWheelDown

Declaration

Source position: groupededit.pp line 383

published property TAbstractGroupedEdit.OnMouseWheelDown : TMouseWheelUpDownEvent;


TAbstractGroupedEdit.OnMouseWheelUp

Declaration

Source position: groupededit.pp line 384

published property TAbstractGroupedEdit.OnMouseWheelUp : TMouseWheelUpDownEvent;


TAbstractGroupedEdit.OnStartDrag

Declaration

Source position: groupededit.pp line 385

published property TAbstractGroupedEdit.OnStartDrag : TStartDragEvent;


TAbstractGroupedEdit.OnUTF8KeyPress

Declaration

Source position: groupededit.pp line 386

published property TAbstractGroupedEdit.OnUTF8KeyPress : TUTF8KeyPressEvent;


TAbstractGroupedEdit.ParentBiDiMode

Declaration

Source position: groupededit.pp line 387

published property TAbstractGroupedEdit.ParentBiDiMode : Boolean;


TAbstractGroupedEdit.ParentColor

Declaration

Source position: groupededit.pp line 388

published property TAbstractGroupedEdit.ParentColor : Boolean;


TAbstractGroupedEdit.ParentFont

Declaration

Source position: groupededit.pp line 389

published property TAbstractGroupedEdit.ParentFont : Boolean;


TAbstractGroupedEdit.ParentShowHint

Declaration

Source position: groupededit.pp line 390

published property TAbstractGroupedEdit.ParentShowHint : Boolean;


TAbstractGroupedEdit.PasswordChar

Declaration

Source position: groupededit.pp line 391

published property TAbstractGroupedEdit.PasswordChar : Char;


TAbstractGroupedEdit.PopupMenu

Declaration

Source position: groupededit.pp line 392

published property TAbstractGroupedEdit.PopupMenu : TPopupMenu;


TAbstractGroupedEdit.ReadOnly

Declaration

Source position: groupededit.pp line 393

published property TAbstractGroupedEdit.ReadOnly : Boolean;


TAbstractGroupedEdit.ShowHint

Declaration

Source position: groupededit.pp line 394

published property TAbstractGroupedEdit.ShowHint : Boolean;


TAbstractGroupedEdit.Spacing

Declaration

Source position: groupededit.pp line 395

published property TAbstractGroupedEdit.Spacing : Integer;


TAbstractGroupedEdit.TabOrder

Declaration

Source position: groupededit.pp line 396

published property TAbstractGroupedEdit.TabOrder : TTabOrder;


TAbstractGroupedEdit.TabStop

Declaration

Source position: groupededit.pp line 397

published property TAbstractGroupedEdit.TabStop : Boolean;


TAbstractGroupedEdit.Text

Declaration

Source position: groupededit.pp line 398

published property TAbstractGroupedEdit.Text : TCaption;


TAbstractGroupedEdit.TextHint

Declaration

Source position: groupededit.pp line 399

published property TAbstractGroupedEdit.TextHint : TTranslateString;


TAbstractGroupedEdit.Visible

Declaration

Source position: groupededit.pp line 400

published property TAbstractGroupedEdit.Visible : Boolean;


TCustomAbstractGroupedEdit

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Declaration

Source position: groupededit.pp line 62

type TCustomAbstractGroupedEdit = class(TCustomControl)

protected

  procedure CalculatePreferredSize(); override;

  function CreateBuddy; virtual;

  function CreateEditor; virtual;

  procedure FocusAndMaybeSelectAll;

  function GetEditorClassType; virtual;

  function GetBuddyClassType; virtual; abstract;

  class function GetControlClassDefaultSize; override;

  procedure SetDirectInput(); virtual;

  function RealGetText; override;

  procedure RealSetText(); override;

  function GetEditPopupMenu;

  function GetBuddyCaption;

  function GetBuddyCursor;

  function GetBuddyHint;

  function GetBuddyWidth;

  function GetBuddyVisible;

  procedure SetBuddyCaption();

  procedure SetBuddyCursor();

  procedure SetBuddyHint();

  procedure SetBuddyWidth();

  procedure SetBuddyVisible();

  procedure BuddyClick; virtual;

  procedure DoEnter; override;

  procedure EditChange; virtual;

  procedure EditClick; virtual;

  procedure EditDblClick; virtual;

  procedure EditDragDrop(); virtual;

  procedure EditDragOver(); virtual;

  procedure EditEditingDone; virtual;

  procedure EditEndDrag(); virtual;

  procedure EditEnter; virtual;

  procedure EditExit; virtual;

  procedure EditKeyDown(); virtual;

  procedure EditKeyPress(); virtual;

  procedure EditKeyUp(); virtual;

  procedure EditMouseDown(); virtual;

  procedure EditMouseUp(); virtual;

  procedure EditMouseEnter; virtual;

  procedure EditMouseLeave; virtual;

  procedure EditMouseMove(); virtual;

  procedure EditMouseWheel();

  procedure EditMouseWheelUp(); virtual;

  procedure EditMouseWheelDown(); virtual;

  procedure EditUtf8KeyPress(); virtual;

  procedure EditStartDrag(); virtual;

  procedure UpdateSpacing;

  procedure CheckCursor;

  procedure CMParentColorChanged(); message;

  function EditCanModify; virtual;

  procedure GetSel();

  function GetSpacing; virtual;

  procedure SetSel();

  procedure Loaded; override;

  procedure Reset; virtual;

  procedure SetAutoSize(); override;

  procedure SetColor();

  procedure SetCursor(); override;

  procedure ShouldAutoAdjust(); override;

  property AutoSelect: Boolean; [rw]

  property AutoSelected: Boolean; [rw]

  property Buddy: TControl; [r]

  property BuddyCaption: TCaption; [rw]

  property BuddyCursor: TCursor; [rw]

  property BuddyHint: TTranslateString; [rw]

  property BuddyWidth: Integer; [rw]

  property DirectInput: Boolean; [rw]

  property BaseEditor: TGEEdit; [r]

  property EditMask: string; [rw]

  property EditText: string; [rw]

  property FocusOnBuddyClick: Boolean; [rw]

  property IsMasked: Boolean; [r]

  property Layout: TLeftRight; [rw]

  property Spacing: Integer; [rw]

  property OnBuddyClick: TNotifyEvent; [rw]

public

  constructor Create(); override;

  destructor Destroy; override;

  procedure SetFocus; override;

  function Focused; override;

  procedure Clear;

  procedure ClearSelection; virtual;

  procedure CopyToClipboard; virtual;

  procedure CutToClipboard; virtual;

  procedure PasteFromClipboard; virtual;

  procedure SelectAll;

  procedure Undo; virtual;

  procedure ValidateEdit; virtual;

  property Autosize: Boolean;

  property AutoSizeHeightIsEditHeight: Boolean; [rw]

  property Alignment: TAlignment; [rw]

  property CanUndo: Boolean; [r]

  property CaretPos: TPoint; [rw]

  property CharCase: TEditCharCase; [rw]

  property Color: TColor; [rws]

  property ParentColor: Boolean; [rw]

  property EchoMode: TEchoMode; [rw]

  property HideSelection: Boolean; [rw]

  property MaxLength: Integer; [rw]

  property Modified: Boolean; [rw]

  property NumbersOnly: Boolean; [rw]

  property PasswordChar: Char; [rw]

  property PopupMenu: TPopupMenu; [rw]

  property ReadOnly: Boolean; [rw]

  property SelLength: Integer; [rw]

  property SelStart: Integer; [rw]

  property SelText: string; [rw]

  property TabStop: Boolean; [rw]

  property Text: TCaption;

  property TextHint: TTranslateString; [rw]

  property OnChange: TNotifyEvent; [rw]

  property OnClick: TNotifyEvent; [rw]

  property OnDblClick: TNotifyEvent; [rw]

  property OnDragDrop: TDragDropEvent; [rw]

  property OnDragOver: TDragOverEvent; [rw]

  property OnEditingDone: TNotifyEvent; [rw]

  property OnEndDrag: TEndDragEvent; [rw]

  property OnEnter: TNotifyEvent; [rw]

  property OnExit: TNotifyEvent; [rw]

  property OnMouseDown: TMouseEvent; [rw]

  property OnKeyPress: TKeyPressEvent; [rw]

  property OnKeyDown: TKeyEvent; [rw]

  property OnKeyUp: TKeyEvent; [rw]

  property OnMouseEnter: TNotifyEvent; [rw]

  property OnMouseLeave: TNotifyEvent; [rw]

  property OnMouseMove: TMouseMoveEvent; [rw]

  property OnMouseWheel: TMouseWheelEvent; [rw]

  property OnMouseWheelUp: TMouseWheelUpDownEvent; [rw]

  property OnMouseWheelDown: TMouseWheelUpDownEvent; [rw]

  property OnMouseUp: TMouseEvent; [rw]

  property OnStartDrag: TStartDragEvent; [rw]

  property OnUtf8KeyPress: TUTF8KeyPressEvent; [rw]

end;

Inheritance

TCustomAbstractGroupedEdit |
|
TCustomControl | The base class for windowed controls which paint themselves.
|
TWinControl | The base class for controls which can contain other (child) controls.
|
TControl | The base class for visible controls.
|
TLCLComponent | The base class for LCL components associated with widgets.
|
TComponent,IUnknown,IInterfaceComponentReference
|
TPersistent,IFPObserved
|
TObject


TCustomAbstractGroupedEdit
pt |  | AutoSelect
pt |  | AutoSelected
pt | ro | Buddy
pt |  | BuddyCaption
pt |  | BuddyCursor
pt |  | BuddyHint
pt |  | BuddyWidth
pt |  | DirectInput
pt | ro | BaseEditor
pt |  | EditMask
pt |  | EditText
pt |  | FocusOnBuddyClick
pt | ro | IsMasked
pt |  | Layout
pt |  | Spacing
 | ro | Autosize
 |  | AutoSizeHeightIsEditHeight
 |  | Alignment
 | ro | CanUndo
 |  | CaretPos
 |  | CharCase
 |  | Color
 |  | ParentColor
 |  | EchoMode
 |  | HideSelection
 |  | MaxLength
 |  | Modified
 |  | NumbersOnly
 |  | PasswordChar
 |  | PopupMenu
 |  | ReadOnly
 |  | SelLength
 |  | SelStart
 |  | SelText
 |  | TabStop
 | ro | Text
 |  | TextHint
TCustomControl
 |  | Canvas
 | ro | BorderStyle
TWinControl
pt |  | WindowHandle
pt |  | BorderStyle
pt |  | ParentBackground
 |  | BorderWidth
 | ro | BoundsLockCount
 | ro | Brush
 | ro | CachedClientHeight
 | ro | CachedClientWidth
 |  | ChildSizing
 | ro | ControlCount
 | ro | Controls
 |  | DefWndProc
 | ro | DockClientCount
 | ro | DockClients
 |  | DockManager
 |  | DockSite
 |  | DoubleBuffered
 |  | Handle
 | ro | IsFlipped
 | ro | IsResizing
 |  | TabOrder
 |  | TabStop
 |  | ParentDoubleBuffered
 |  | ParentWindow
 | ro | Showing
 |  | UseDockManager
 |  | DesignerDeleting
 | ro | VisibleDockClientCount
TControl
pt | ro | AutoSizing
pt | ro | AutoSizingAll
pt | ro | AutoSizingLockCount
pt |  | ActionLink
pt |  | DesktopFont
pt |  | DragCursor
pt |  | DragKind
pt |  | DragMode
pt |  | MouseCapture
pt |  | ParentColor
pt |  | ParentFont
pt |  | ParentShowHint
pt |  | SessionProperties
pt |  | Text
 | ro | AnchoredControls
 | ro | BaseBounds
 | ro | ReadBounds
 | ro | BaseParentClientSize
 |  | AccessibleDescription
 |  | AccessibleValue
 |  | AccessibleRole
 |  | Action
 |  | Align
 |  | Anchors
 | ro | AnchorSide
 |  | AutoSize
 |  | BorderSpacing
 |  | BoundsRect
 |  | BoundsRectForNewParent
 |  | Caption
 |  | CaptureMouseButtons
 |  | ClientHeight
 | ro | ClientOrigin
 | ro | ClientRect
 |  | ClientWidth
 |  | Color
 |  | Constraints
 | ro | ControlOrigin
 |  | ControlState
 |  | ControlStyle
 |  | Enabled
 |  | Font
 |  | IsControl
 | ro | MouseEntered
 | ro | MouseInClient
 |  | Parent
 |  | PopupMenu
 |  | ShowHint
 |  | Visible
 |  | WindowProc
 |  | DockOrientation
 | ro | Floating
 |  | FloatingDockSiteClass
 |  | HostDockSite
 |  | LRDockWidth
 |  | TBDockHeight
 |  | UndockHeight
 |  | UndockWidth
 |  | BiDiMode
 |  | ParentBiDiMode
pl |  | AnchorSideLeft
pl |  | AnchorSideTop
pl |  | AnchorSideRight
pl |  | AnchorSideBottom
pl |  | Cursor
pl |  | Left
pl |  | Height
pl |  | Hint
pl |  | Top
pl |  | Width
pl |  | HelpType
pl |  | HelpKeyword
pl |  | HelpContext
TLCLComponent
 | ro | LCLRefCount
 | ro | WidgetSetClass
TComponent
 | ro | ComObject
 | ro | Components
 | ro | ComponentCount
 |  | ComponentIndex
 | ro | ComponentState
 | ro | ComponentStyle
 |  | DesignInfo
 | ro | Owner
 |  | VCLComObject
 |  | Name
 |  | Tag
TPersistent
TObject


 |  | AccessibleDescription (TControl)
 |  | AccessibleRole (TControl)
 |  | AccessibleValue (TControl)
 |  | Action (TControl)
pt |  | ActionLink (TControl)
 |  | Align (TControl)
 |  | Alignment (TCustomAbstractGroupedEdit)
 | ro | AnchoredControls (TControl)
 |  | Anchors (TControl)
 | ro | AnchorSide (TControl)
pl |  | AnchorSideBottom (TControl)
pl |  | AnchorSideLeft (TControl)
pl |  | AnchorSideRight (TControl)
pl |  | AnchorSideTop (TControl)
pt |  | AutoSelect (TCustomAbstractGroupedEdit)
pt |  | AutoSelected (TCustomAbstractGroupedEdit)
 |  | AutoSize (TControl)
 | ro | Autosize (TCustomAbstractGroupedEdit)
 |  | AutoSizeHeightIsEditHeight (TCustomAbstractGroupedEdit)
pt | ro | AutoSizing (TControl)
pt | ro | AutoSizingAll (TControl)
pt | ro | AutoSizingLockCount (TControl)
 | ro | BaseBounds (TControl)
pt | ro | BaseEditor (TCustomAbstractGroupedEdit)
 | ro | BaseParentClientSize (TControl)
 |  | BiDiMode (TControl)
 |  | BorderSpacing (TControl)
pt |  | BorderStyle (TWinControl)
 | ro | BorderStyle (TCustomControl)
 |  | BorderWidth (TWinControl)
 | ro | BoundsLockCount (TWinControl)
 |  | BoundsRect (TControl)
 |  | BoundsRectForNewParent (TControl)
 | ro | Brush (TWinControl)
pt | ro | Buddy (TCustomAbstractGroupedEdit)
pt |  | BuddyCaption (TCustomAbstractGroupedEdit)
pt |  | BuddyCursor (TCustomAbstractGroupedEdit)
pt |  | BuddyHint (TCustomAbstractGroupedEdit)
pt |  | BuddyWidth (TCustomAbstractGroupedEdit)
 | ro | CachedClientHeight (TWinControl)
 | ro | CachedClientWidth (TWinControl)
 | ro | CanUndo (TCustomAbstractGroupedEdit)
 |  | Canvas (TCustomControl)
 |  | Caption (TControl)
 |  | CaptureMouseButtons (TControl)
 |  | CaretPos (TCustomAbstractGroupedEdit)
 |  | CharCase (TCustomAbstractGroupedEdit)
 |  | ChildSizing (TWinControl)
 |  | ClientHeight (TControl)
 | ro | ClientOrigin (TControl)
 | ro | ClientRect (TControl)
 |  | ClientWidth (TControl)
 |  | Color (TControl)
 |  | Color (TCustomAbstractGroupedEdit)
 | ro | ComObject (TComponent)
 | ro | ComponentCount (TComponent)
 |  | ComponentIndex (TComponent)
 | ro | Components (TComponent)
 | ro | ComponentState (TComponent)
 | ro | ComponentStyle (TComponent)
 |  | Constraints (TControl)
 | ro | ControlCount (TWinControl)
 | ro | ControlOrigin (TControl)
 | ro | Controls (TWinControl)
 |  | ControlState (TControl)
 |  | ControlStyle (TControl)
pl |  | Cursor (TControl)
 |  | DefWndProc (TWinControl)
 |  | DesignerDeleting (TWinControl)
 |  | DesignInfo (TComponent)
pt |  | DesktopFont (TControl)
pt |  | DirectInput (TCustomAbstractGroupedEdit)
 | ro | DockClientCount (TWinControl)
 | ro | DockClients (TWinControl)
 |  | DockManager (TWinControl)
 |  | DockOrientation (TControl)
 |  | DockSite (TWinControl)
 |  | DoubleBuffered (TWinControl)
pt |  | DragCursor (TControl)
pt |  | DragKind (TControl)
pt |  | DragMode (TControl)
 |  | EchoMode (TCustomAbstractGroupedEdit)
pt |  | EditMask (TCustomAbstractGroupedEdit)
pt |  | EditText (TCustomAbstractGroupedEdit)
 |  | Enabled (TControl)
 | ro | Floating (TControl)
 |  | FloatingDockSiteClass (TControl)
pt |  | FocusOnBuddyClick (TCustomAbstractGroupedEdit)
 |  | Font (TControl)
 |  | Handle (TWinControl)
pl |  | Height (TControl)
pl |  | HelpContext (TControl)
pl |  | HelpKeyword (TControl)
pl |  | HelpType (TControl)
 |  | HideSelection (TCustomAbstractGroupedEdit)
pl |  | Hint (TControl)
 |  | HostDockSite (TControl)
 |  | IsControl (TControl)
 | ro | IsFlipped (TWinControl)
pt | ro | IsMasked (TCustomAbstractGroupedEdit)
 | ro | IsResizing (TWinControl)
pt |  | Layout (TCustomAbstractGroupedEdit)
 | ro | LCLRefCount (TLCLComponent)
pl |  | Left (TControl)
 |  | LRDockWidth (TControl)
 |  | MaxLength (TCustomAbstractGroupedEdit)
 |  | Modified (TCustomAbstractGroupedEdit)
pt |  | MouseCapture (TControl)
 | ro | MouseEntered (TControl)
 | ro | MouseInClient (TControl)
 |  | Name (TComponent)
 |  | NumbersOnly (TCustomAbstractGroupedEdit)
 | ro | Owner (TComponent)
 |  | Parent (TControl)
pt |  | ParentBackground (TWinControl)
 |  | ParentBiDiMode (TControl)
pt |  | ParentColor (TControl)
 |  | ParentColor (TCustomAbstractGroupedEdit)
 |  | ParentDoubleBuffered (TWinControl)
pt |  | ParentFont (TControl)
pt |  | ParentShowHint (TControl)
 |  | ParentWindow (TWinControl)
 |  | PasswordChar (TCustomAbstractGroupedEdit)
 |  | PopupMenu (TControl)
 |  | PopupMenu (TCustomAbstractGroupedEdit)
 | ro | ReadBounds (TControl)
 |  | ReadOnly (TCustomAbstractGroupedEdit)
 |  | SelLength (TCustomAbstractGroupedEdit)
 |  | SelStart (TCustomAbstractGroupedEdit)
 |  | SelText (TCustomAbstractGroupedEdit)
pt |  | SessionProperties (TControl)
 |  | ShowHint (TControl)
 | ro | Showing (TWinControl)
pt |  | Spacing (TCustomAbstractGroupedEdit)
 |  | TabOrder (TWinControl)
 |  | TabStop (TWinControl)
 |  | TabStop (TCustomAbstractGroupedEdit)
 |  | Tag (TComponent)
 |  | TBDockHeight (TControl)
pt |  | Text (TControl)
 | ro | Text (TCustomAbstractGroupedEdit)
 |  | TextHint (TCustomAbstractGroupedEdit)
pl |  | Top (TControl)
 |  | UndockHeight (TControl)
 |  | UndockWidth (TControl)
 |  | UseDockManager (TWinControl)
 |  | VCLComObject (TComponent)
 |  | Visible (TControl)
 | ro | VisibleDockClientCount (TWinControl)
 | ro | WidgetSetClass (TLCLComponent)
pl |  | Width (TControl)
pt |  | WindowHandle (TWinControl)
 |  | WindowProc (TControl)


TCustomAbstractGroupedEdit
pt | CalculatePreferredSize
pt | CreateBuddy
pt | CreateEditor
pt | FocusAndMaybeSelectAll
pt | GetEditorClassType
pt | GetBuddyClassType
pt | GetControlClassDefaultSize
pt | SetDirectInput
pt | RealGetText
pt | RealSetText
pt | GetEditPopupMenu
pt | GetBuddyCaption
pt | GetBuddyCursor
pt | GetBuddyHint
pt | GetBuddyWidth
pt | GetBuddyVisible
pt | SetBuddyCaption
pt | SetBuddyCursor
pt | SetBuddyHint
pt | SetBuddyWidth
pt | SetBuddyVisible
pt | BuddyClick
pt | DoEnter
pt | EditChange
pt | EditClick
pt | EditDblClick
pt | EditDragDrop
pt | EditDragOver
pt | EditEditingDone
pt | EditEndDrag
pt | EditEnter
pt | EditExit
pt | EditKeyDown
pt | EditKeyPress
pt | EditKeyUp
pt | EditMouseDown
pt | EditMouseUp
pt | EditMouseEnter
pt | EditMouseLeave
pt | EditMouseMove
pt | EditMouseWheel
pt | EditMouseWheelUp
pt | EditMouseWheelDown
pt | EditUtf8KeyPress
pt | EditStartDrag
pt | UpdateSpacing
pt | CheckCursor
pt | CMParentColorChanged
pt | EditCanModify
pt | GetSel
pt | GetSpacing
pt | SetSel
pt | Loaded
pt | Reset
pt | SetAutoSize
pt | SetColor
pt | SetCursor
pt | ShouldAutoAdjust
 | Create
 | Destroy
 | SetFocus
 | Focused
 | Clear
 | ClearSelection
 | CopyToClipboard
 | CutToClipboard
 | PasteFromClipboard
 | SelectAll
 | Undo
 | ValidateEdit
TCustomControl
pt | WSRegisterClass
pt | WMPaint
pt | DestroyWnd
pt | PaintWindow
pt | FontChanged
pt | SetColor
pt | Paint
 | Create
 | Destroy
TWinControl
pt | WSRegisterClass
pt | AdjustClientRect
pt | GetAdjustedLogicalClientRect
pt | AlignControls
pt | CustomAlignInsertBefore
pt | CustomAlignPosition
pt | DoAlignChildControls
pt | DoChildSizingChange
pt | InvalidatePreferredChildSizes
pt | CanTab
pt | IsClientHeightStored
pt | IsClientWidthStored
pt | DoSendShowHideToInterface
pt | ControlsAligned
pt | DoSendBoundsToInterface
pt | RealizeBounds
pt | RealizeBoundsRecursive
pt | InvalidateBoundsRealized
pt | CreateSubClass
pt | DoConstraintsChange
pt | DoSetBounds
pt | DoAutoSize
pt | DoAllAutoSize
pt | AllAutoSized
pt | CalculatePreferredSize
pt | GetPreferredSizeClientFrame
pt | GetChildren
pt | ChildClassAllowed
pt | PaintControls
pt | PaintHandler
pt | PaintWindow
pt | CreateBrush
pt | ScaleControls
pt | ChangeScale
pt | CMBiDiModeChanged
pt | CMBorderChanged
pt | CMDoubleBufferedChanged
pt | CMEnabledChanged
pt | CMParentDoubleBufferedChanged
pt | CMShowingChanged
pt | CMShowHintChanged
pt | CMVisibleChanged
pt | CMEnter
pt | CMExit
pt | WMContextMenu
pt | WMEraseBkgnd
pt | WMNotify
pt | WMSetFocus
pt | WMKillFocus
pt | WMShowWindow
pt | WMEnter
pt | WMExit
pt | WMKeyDown
pt | WMSysKeyDown
pt | WMKeyUp
pt | WMSysKeyUp
pt | WMChar
pt | WMSysChar
pt | WMPaint
pt | WMDestroy
pt | WMMove
pt | WMSize
pt | WMWindowPosChanged
pt | CNKeyDown
pt | CNSysKeyDown
pt | CNKeyUp
pt | CNSysKeyUp
pt | CNChar
pt | DoDragMsg
pt | DoDockClientMsg
pt | DoUndockClientMsg
pt | DoAddDockClient
pt | DockOver
pt | DoDockOver
pt | DoRemoveDockClient
pt | DoUnDock
pt | GetSiteInfo
pt | GetParentHandle
pt | GetTopParentHandle
pt | ReloadDockedControl
pt | CreateDockManager
pt | SetDockManager
pt | DoFloatMsg
pt | DoGetDockCaption
pt | DoEnter
pt | DoExit
pt | DoKeyDownBeforeInterface
pt | DoRemainingKeyDown
pt | DoRemainingKeyUp
pt | DoKeyPress
pt | DoUTF8KeyPress
pt | DoKeyUpBeforeInterface
pt | ChildKey
pt | SendDialogChar
pt | DialogChar
pt | ControlKeyDown
pt | ControlKeyUp
pt | KeyDown
pt | KeyDownBeforeInterface
pt | KeyDownAfterInterface
pt | KeyPress
pt | KeyUp
pt | KeyUpBeforeInterface
pt | KeyUpAfterInterface
pt | UTF8KeyPress
pt | FindNextControl
pt | SelectFirst
pt | RealGetText
pt | GetBorderStyle
pt | GetClientOrigin
pt | GetClientRect
pt | GetControlOrigin
pt | GetDeviceContext
pt | GetParentBackground
pt | IsControlMouseMsg
pt | CreateHandle
pt | CreateParams
pt | CreateWnd
pt | DestroyHandle
pt | DestroyWnd
pt | DoFlipChildren
pt | FinalizeWnd
pt | FixupTabList
pt | FontChanged
pt | InitializeWnd
pt | Loaded
pt | FormEndUpdated
pt | MainWndProc
pt | ParentFormHandleInitialized
pt | ChildHandlesCreated
pt | GetMouseCapture
pt | RealSetText
pt | RemoveFocus
pt | SendMoveSizeMessages
pt | SetBorderStyle
pt | SetColor
pt | SetChildZPosition
pt | SetParentBackground
pt | ShowControl
pt | UpdateControlState
pt | UpdateShowing
pt | WndProc
pt | WSSetText
 | AutoSizePhases
 | AutoSizeDelayed
 | AutoSizeDelayedReport
 | AutoSizeDelayedHandle
 | BeginUpdateBounds
 | EndUpdateBounds
 | LockRealizeBounds
 | UnlockRealizeBounds
 | ControlAtPos
 | ContainsControl
 | DoAdjustClientRectChange
 | InvalidateClientRectCache
 | ClientRectNeedsInterfaceUpdate
 | SetBounds
 | GetChildrenRect
 | DisableAlign
 | EnableAlign
 | ReAlign
 | ScrollBy_WS
 | ScrollBy
 | WriteLayoutDebugReport
 | AutoAdjustLayout
 | Create
 | CreateParented
 | CreateParentedControl
 | Destroy
 | DockDrop
 | CanFocus
 | CanSetFocus
 | GetControlIndex
 | SetControlIndex
 | Focused
 | PerformTab
 | FindChildControl
 | SelectNext
 | SetTempCursor
 | BroadCast
 | NotifyControls
 | DefaultHandler
 | GetTextLen
 | Invalidate
 | AddControl
 | InsertControl
 | RemoveControl
 | GetEnumeratorControls
 | GetEnumeratorControlsReverse
 | Repaint
 | Update
 | SetFocus
 | FlipChildren
 | ScaleBy
 | GetDockCaption
 | UpdateDockCaption
 | GetTabOrderList
 | HandleAllocated
 | ParentHandlesAllocated
 | HandleNeeded
 | BrushCreated
 | EraseBackground
 | IntfUTF8KeyPress
 | IntfGetDropFilesTarget
 | PaintTo
 | SetShape
TControl
pt | WSRegisterClass
pt | GetCursor
pt | SetCursor
pt | SetVisible
pt | DoOnParentHandleDestruction
pt | DoAutoSize
pt | DoAllAutoSize
pt | BeginAutoSizing
pt | EndAutoSizing
pt | AnchorSideChanged
pt | ForeignAnchorSideChanged
pt | SetAlign
pt | SetAnchors
pt | SetAutoSize
pt | BoundsChanged
pt | CreateControlBorderSpacing
pt | DoConstraintsChange
pt | DoBorderSpacingChange
pt | IsBorderSpacingInnerBorderStored
pt | IsCaptionStored
pt | SendMoveSizeMessages
pt | ConstrainedResize
pt | CalculatePreferredSize
pt | DoOnResize
pt | DoOnChangeBounds
pt | CheckOnChangeBounds
pt | Resize
pt | RequestAlign
pt | UpdateAnchorRules
pt | ChangeBounds
pt | DoSetBounds
pt | ScaleConstraints
pt | ChangeScale
pt | CanAutoSize
pt | SetBiDiMode
pt | SetParentBiDiMode
pt | IsAParentAligning
pt | GetClientOrigin
pt | GetClientRect
pt | GetLogicalClientRect
pt | GetScrolledClientRect
pt | GetClientScrollOffset
pt | GetControlOrigin
pt | IsClientHeightStored
pt | IsClientWidthStored
pt | WidthIsAnchored
pt | HeightIsAnchored
pt | WMCancelMode
pt | WMContextMenu
pt | WMLButtonDown
pt | WMRButtonDown
pt | WMMButtonDown
pt | WMXButtonDown
pt | WMLButtonDBLCLK
pt | WMRButtonDBLCLK
pt | WMMButtonDBLCLK
pt | WMXButtonDBLCLK
pt | WMLButtonTripleCLK
pt | WMRButtonTripleCLK
pt | WMMButtonTripleCLK
pt | WMXButtonTripleCLK
pt | WMLButtonQuadCLK
pt | WMRButtonQuadCLK
pt | WMMButtonQuadCLK
pt | WMXButtonQuadCLK
pt | WMMouseMove
pt | WMLButtonUp
pt | WMRButtonUp
pt | WMMButtonUp
pt | WMXButtonUp
pt | WMMouseWheel
pt | WMMouseHWheel
pt | WMMove
pt | WMSize
pt | WMWindowPosChanged
pt | CMChanged
pt | LMCaptureChanged
pt | CMBiDiModeChanged
pt | CMSysFontChanged
pt | CMEnabledChanged
pt | CMHitTest
pt | CMMouseEnter
pt | CMMouseLeave
pt | CMHintShow
pt | CMParentBiDiModeChanged
pt | CMParentColorChanged
pt | CMParentFontChanged
pt | CMParentShowHintChanged
pt | CMVisibleChanged
pt | CMTextChanged
pt | CMCursorChanged
pt | CalculateDockSizes
pt | CreateFloatingDockSite
pt | GetDockEdge
pt | GetDragImages
pt | GetFloating
pt | GetFloatingDockSiteClass
pt | BeforeDragStart
pt | BeginAutoDrag
pt | DoFloatMsg
pt | DockTrackNoTarget
pt | DoDock
pt | DoDragMsg
pt | DoEndDock
pt | DoEndDrag
pt | DoStartDock
pt | DoStartDrag
pt | DragCanceled
pt | DragOver
pt | PositionDockRect
pt | SetDragMode
pt | GetDefaultDockCaption
pt | Click
pt | DblClick
pt | TripleClick
pt | QuadClick
pt | GetMousePosFromMessage
pt | MouseDown
pt | MouseMove
pt | MouseUp
pt | MouseEnter
pt | MouseLeave
pt | DialogChar
pt | UpdateMouseCursor
pt | Changed
pt | GetPalette
pt | ChildClassAllowed
pt | ReadState
pt | Loaded
pt | LoadedAll
pt | DefineProperties
pt | AssignTo
pt | FormEndUpdated
pt | InvalidateControl
pt | FontChanged
pt | ParentFontChanged
pt | GetAction
pt | RealGetText
pt | RealSetText
pt | TextChanged
pt | GetCachedText
pt | SetAction
pt | SetColor
pt | SetEnabled
pt | SetHint
pt | SetName
pt | SetParent
pt | SetParentComponent
pt | WndProc
pt | ParentFormHandleInitialized
pt | GetMouseCapture
pt | CaptureChanged
pt | Notification
pt | CanTab
pt | GetDeviceContext
pt | GetEnabled
pt | GetPopupMenu
pt | DoOnShowHint
pt | DoMouseWheel
pt | DoMouseWheelDown
pt | DoMouseWheelUp
pt | DoMouseWheelHorz
pt | DoMouseWheelLeft
pt | DoMouseWheelRight
pt | VisibleChanging
pt | VisibleChanged
pt | EnabledChanging
pt | EnabledChanged
pt | AddHandler
pt | RemoveHandler
pt | DoCallNotifyHandler
pt | DoCallKeyEventHandler
pt | DoCallMouseWheelEventHandler
pt | DoContextPopup
pt | SetZOrder
pt | GetControlClassDefaultSize
pt | ColorIsStored
pt | DoAutoAdjustLayout
pt | DoFixDesignFontPPI
pt | DoScaleFontPPI
pt | GetActionLinkClass
pt | ActionChange
 | DragDrop
 | Dock
 | ManualDock
 | ManualFloat
 | ReplaceDockedControl
 | Docked
 | Dragging
 | GetAccessibleObject
 | CreateAccessibleObject
 | GetSelectedChildAccessibleObject
 | GetChildAccessibleObjectAtPos
 | ScaleDesignToForm
 | ScaleFormToDesign
 | Scale96ToForm
 | ScaleFormTo96
 | Scale96ToFont
 | ScaleFontTo96
 | ScaleScreenToFont
 | ScaleFontToScreen
 | Scale96ToScreen
 | ScaleScreenTo96
 | AdjustSize
 | AutoSizePhases
 | AutoSizeDelayed
 | AutoSizeDelayedReport
 | AutoSizeDelayedHandle
 | AnchorToNeighbour
 | AnchorParallel
 | AnchorHorizontalCenterTo
 | AnchorVerticalCenterTo
 | AnchorToCompanion
 | AnchorSame
 | AnchorAsAlign
 | AnchorClient
 | AnchoredControlCount
 | SetBounds
 | SetInitialBounds
 | SetBoundsKeepBase
 | GetPreferredSize
 | GetCanvasScaleFactor
 | GetDefaultWidth
 | GetDefaultHeight
 | GetDefaultColor
 | GetColorResolvingParent
 | GetRGBColorResolvingParent
 | GetSidePosition
 | CNPreferredSizeChanged
 | InvalidatePreferredSize
 | GetAnchorsDependingOnParent
 | DisableAutoSizing
 | EnableAutoSizing
 | UpdateBaseBounds
 | WriteLayoutDebugReport
 | AutoAdjustLayout
 | ShouldAutoAdjust
 | FixDesignFontsPPI
 | ScaleFontsPPI
 | Create
 | Destroy
 | BeforeDestruction
 | EditingDone
 | ExecuteDefaultAction
 | ExecuteCancelAction
 | BeginDrag
 | EndDrag
 | BringToFront
 | HasParent
 | GetParentComponent
 | IsParentOf
 | GetTopParent
 | IsVisible
 | IsControlVisible
 | IsEnabled
 | IsParentColor
 | IsParentFont
 | FormIsUpdating
 | IsProcessingPaintMsg
 | Hide
 | Refresh
 | Repaint
 | Invalidate
 | CheckChildClassAllowed
 | CheckNewParent
 | SendToBack
 | SetTempCursor
 | UpdateRolesForForm
 | ActiveDefaultControlChanged
 | GetTextBuf
 | GetTextLen
 | SetTextBuf
 | Perform
 | ScreenToClient
 | ClientToScreen
 | ScreenToControl
 | ControlToScreen
 | ClientToParent
 | ParentToClient
 | GetChildrenRect
 | Show
 | Update
 | HandleObjectShouldBeVisible
 | ParentDestroyingHandle
 | ParentHandlesAllocated
 | InitiateAction
 | ShowHelp
 | HasHelp
 | RemoveAllHandlersOfObject
 | AddHandlerOnResize
 | RemoveHandlerOnResize
 | AddHandlerOnChangeBounds
 | RemoveHandlerOnChangeBounds
 | AddHandlerOnVisibleChanging
 | RemoveHandlerOnVisibleChanging
 | AddHandlerOnVisibleChanged
 | RemoveHandlerOnVisibleChanged
 | AddHandlerOnEnabledChanged
 | RemoveHandlerOnEnableChanging
 | AddHandlerOnKeyDown
 | RemoveHandlerOnKeyDown
 | AddHandlerOnBeforeDestruction
 | RemoveHandlerOnBeforeDestruction
 | AddHandlerOnMouseWheel
 | RemoveHandlerOnMouseWheel
 | UseRightToLeftAlignment
 | UseRightToLeftReading
 | UseRightToLeftScrollBar
 | IsRightToLeft
TLCLComponent
pt | WSRegisterClass
pt | GetWSComponentClass
 | Create
 | Destroy
 | NewInstance
 | RemoveAllHandlersOfObject
 | IncLCLRefCount
 | DecLCLRefCount
TComponent
 | GetComObject
 | GetComponent
 | GetComponentCount
 | GetComponentIndex
 | Insert
 | ReadLeft
 | ReadTop
 | Remove
 | RemoveNotification
 | SetComponentIndex
 | SetReference
 | WriteLeft
 | WriteTop
 | ChangeName
 | DefineProperties
 | GetChildren
 | GetChildOwner
 | GetChildParent
 | GetOwner
 | Loaded
 | Loading
 | Notification
 | PaletteCreated
 | ReadState
 | SetAncestor
 | SetDesigning
 | SetDesignInstance
 | SetInline
 | SetName
 | SetChildOrder
 | SetParentComponent
 | Updating
 | Updated
 | UpdateRegistry
 | ValidateRename
 | ValidateContainer
 | ValidateInsert
 | QueryInterface
 | _AddRef
 | _Release
 | iicrGetComponent
 | GetTypeInfoCount
 | GetTypeInfo
 | GetIDsOfNames
 | Invoke
 | WriteState
 | Create
 | Destroy
 | BeforeDestruction
 | DestroyComponents
 | Destroying
 | ExecuteAction
 | FindComponent
 | FreeNotification
 | RemoveFreeNotification
 | FreeOnRelease
 | GetEnumerator
 | GetNamePath
 | GetParentComponent
 | HasParent
 | InsertComponent
 | RemoveComponent
 | SafeCallException
 | SetSubComponent
 | UpdateAction
 | IsImplementorOf
 | ReferenceInterface
TPersistent
 | AssignError
 | AssignTo
 | DefineProperties
 | GetOwner
 | Destroy
 | Assign
 | FPOAttachObserver
 | FPODetachObserver
 | FPONotifyObservers
 | GetNamePath
TObject
 | Create
 | Destroy
 | newinstance
 | FreeInstance
 | SafeCallException
 | DefaultHandler
 | Free
 | InitInstance
 | CleanupInstance
 | ClassType
 | ClassInfo
 | ClassName
 | ClassNameIs
 | ClassParent
 | InstanceSize
 | InheritsFrom
 | StringMessageTable
 | MethodAddress
 | MethodName
 | FieldAddress
 | AfterConstruction
 | BeforeDestruction
 | DefaultHandlerStr
 | Dispatch
 | DispatchStr
 | GetInterface
 | GetInterfaceByStr
 | GetInterfaceWeak
 | GetInterfaceEntry
 | GetInterfaceEntryByStr
 | GetInterfaceTable
 | UnitName
 | Equals
 | GetHashCode
 | ToString


TCustomAbstractGroupedEdit
pt | OnBuddyClick
 | OnChange
 | OnClick
 | OnDblClick
 | OnDragDrop
 | OnDragOver
 | OnEditingDone
 | OnEndDrag
 | OnEnter
 | OnExit
 | OnMouseDown
 | OnKeyPress
 | OnKeyDown
 | OnKeyUp
 | OnMouseEnter
 | OnMouseLeave
 | OnMouseMove
 | OnMouseWheel
 | OnMouseWheelUp
 | OnMouseWheelDown
 | OnMouseUp
 | OnStartDrag
 | OnUtf8KeyPress
TCustomControl
 | OnPaint
TWinControl
pt | OnGetSiteInfo
pt | OnGetDockCaption
 | OnAlignInsertBefore
 | OnAlignPosition
 | OnDockDrop
 | OnDockOver
 | OnEnter
 | OnExit
 | OnKeyDown
 | OnKeyPress
 | OnKeyUp
 | OnUnDock
 | OnUTF8KeyPress
TControl
pt | OnConstrainedResize
pt | OnContextPopup
pt | OnDblClick
pt | OnTripleClick
pt | OnQuadClick
pt | OnDragDrop
pt | OnDragOver
pt | OnEndDock
pt | OnEndDrag
pt | OnMouseDown
pt | OnMouseMove
pt | OnMouseUp
pt | OnMouseEnter
pt | OnMouseLeave
pt | OnMouseWheel
pt | OnMouseWheelDown
pt | OnMouseWheelUp
pt | OnMouseWheelHorz
pt | OnMouseWheelLeft
pt | OnMouseWheelRight
pt | OnStartDock
pt | OnStartDrag
pt | OnEditingDone
 | OnChangeBounds
 | OnClick
 | OnResize
 | OnShowHint
TLCLComponent
TComponent
TPersistent
TObject


pt | OnBuddyClick (TCustomAbstractGroupedEdit)
 | OnChange (TCustomAbstractGroupedEdit)
 | OnChangeBounds (TControl)
 | OnClick (TControl)
 | OnClick (TCustomAbstractGroupedEdit)
pt | OnConstrainedResize (TControl)
pt | OnContextPopup (TControl)
pt | OnDblClick (TControl)
 | OnDblClick (TCustomAbstractGroupedEdit)
 | OnDockDrop (TWinControl)
 | OnDockOver (TWinControl)
pt | OnDragDrop (TControl)
 | OnDragDrop (TCustomAbstractGroupedEdit)
pt | OnDragOver (TControl)
 | OnDragOver (TCustomAbstractGroupedEdit)
pt | OnEditingDone (TControl)
 | OnEditingDone (TCustomAbstractGroupedEdit)
pt | OnEndDock (TControl)
pt | OnEndDrag (TControl)
 | OnEndDrag (TCustomAbstractGroupedEdit)
 | OnEnter (TWinControl)
 | OnEnter (TCustomAbstractGroupedEdit)
 | OnExit (TWinControl)
 | OnExit (TCustomAbstractGroupedEdit)
pt | OnGetDockCaption (TWinControl)
pt | OnGetSiteInfo (TWinControl)
 | OnKeyDown (TWinControl)
 | OnKeyDown (TCustomAbstractGroupedEdit)
 | OnKeyPress (TWinControl)
 | OnKeyPress (TCustomAbstractGroupedEdit)
 | OnKeyUp (TWinControl)
 | OnKeyUp (TCustomAbstractGroupedEdit)
pt | OnMouseDown (TControl)
 | OnMouseDown (TCustomAbstractGroupedEdit)
pt | OnMouseEnter (TControl)
 | OnMouseEnter (TCustomAbstractGroupedEdit)
pt | OnMouseLeave (TControl)
 | OnMouseLeave (TCustomAbstractGroupedEdit)
pt | OnMouseMove (TControl)
 | OnMouseMove (TCustomAbstractGroupedEdit)
pt | OnMouseUp (TControl)
 | OnMouseUp (TCustomAbstractGroupedEdit)
pt | OnMouseWheel (TControl)
 | OnMouseWheel (TCustomAbstractGroupedEdit)
pt | OnMouseWheelDown (TControl)
 | OnMouseWheelDown (TCustomAbstractGroupedEdit)
pt | OnMouseWheelHorz (TControl)
pt | OnMouseWheelLeft (TControl)
pt | OnMouseWheelRight (TControl)
pt | OnMouseWheelUp (TControl)
 | OnMouseWheelUp (TCustomAbstractGroupedEdit)
 | OnPaint (TCustomControl)
pt | OnQuadClick (TControl)
 | OnResize (TControl)
 | OnShowHint (TControl)
pt | OnStartDock (TControl)
pt | OnStartDrag (TControl)
 | OnStartDrag (TCustomAbstractGroupedEdit)
pt | OnTripleClick (TControl)
 | OnUnDock (TWinControl)
 | OnUTF8KeyPress (TWinControl)
 | OnUtf8KeyPress (TCustomAbstractGroupedEdit)


TCustomAbstractGroupedEdit.Alignment

Declaration

Source position: groupededit.pp line 283

public property TCustomAbstractGroupedEdit.Alignment : TAlignment
  read GetAlignment
  write SetAlignment
  default taLeftJustify;


TCustomAbstractGroupedEdit.AutoSelect

Declaration

Source position: groupededit.pp line 246

protected property TCustomAbstractGroupedEdit.AutoSelect : Boolean
  read GetAutoSelect
  write SetAutoSelect
  default True;


TCustomAbstractGroupedEdit.AutoSelected

Declaration

Source position: groupededit.pp line 247

protected property TCustomAbstractGroupedEdit.AutoSelected : Boolean
  read GetAutoSelected
  write SetAutoSelected;


TCustomAbstractGroupedEdit.Autosize

Declaration

Source position: groupededit.pp line 281

public property TCustomAbstractGroupedEdit.Autosize : Boolean
  default True;


TCustomAbstractGroupedEdit.AutoSizeHeightIsEditHeight

Declaration

Source position: groupededit.pp line 282

public property TCustomAbstractGroupedEdit.AutoSizeHeightIsEditHeight : Boolean
  read FAutoSizeHeightIsEditHeight
  write FAutoSizeHeightIsEditHeight
  default True;


TCustomAbstractGroupedEdit.BaseEditor

Declaration

Source position: groupededit.pp line 254

protected property TCustomAbstractGroupedEdit.BaseEditor : TGEEdit
  read FEdit;


TCustomAbstractGroupedEdit.Buddy

Declaration

Source position: groupededit.pp line 248

protected property TCustomAbstractGroupedEdit.Buddy : TControl
  read FBuddy;


TCustomAbstractGroupedEdit.BuddyCaption

Declaration

Source position: groupededit.pp line 249

protected property TCustomAbstractGroupedEdit.BuddyCaption : TCaption
  read GetBuddyCaption
  write SetBuddyCaption;


TCustomAbstractGroupedEdit.BuddyClick

Declaration

Source position: groupededit.pp line 202

protected procedure TCustomAbstractGroupedEdit.BuddyClick; virtual;


TCustomAbstractGroupedEdit.BuddyCursor

Declaration

Source position: groupededit.pp line 250

protected property TCustomAbstractGroupedEdit.BuddyCursor : TCursor
  read GetBuddyCursor
  write SetBuddyCursor
  default crDefault;


TCustomAbstractGroupedEdit.BuddyHint

Declaration

Source position: groupededit.pp line 251

protected property TCustomAbstractGroupedEdit.BuddyHint : TTranslateString
  read GetBuddyHint
  write SetBuddyHint;


TCustomAbstractGroupedEdit.BuddyWidth

Declaration

Source position: groupededit.pp line 252

protected property TCustomAbstractGroupedEdit.BuddyWidth : Integer
  read GetBuddyWidth
  write SetBuddyWidth;


TCustomAbstractGroupedEdit.CalculatePreferredSize

Declaration

Source position: groupededit.pp line 177

protected procedure TCustomAbstractGroupedEdit.CalculatePreferredSize(

  var PreferredWidth: Integer;

  var PreferredHeight: Integer;

  WithThemeSpace: Boolean

); override;


TCustomAbstractGroupedEdit.CanUndo

Declaration

Source position: groupededit.pp line 284

public property TCustomAbstractGroupedEdit.CanUndo : Boolean
  read GetCanUndo;


TCustomAbstractGroupedEdit.CaretPos

Declaration

Source position: groupededit.pp line 285

public property TCustomAbstractGroupedEdit.CaretPos : TPoint
  read GetCaretPos
  write SetCaretPos;


TCustomAbstractGroupedEdit.CharCase

Declaration

Source position: groupededit.pp line 286

public property TCustomAbstractGroupedEdit.CharCase : TEditCharCase
  read GetCharCase
  write SetCharCase
  default ecNormal;


TCustomAbstractGroupedEdit.CheckCursor

Declaration

Source position: groupededit.pp line 233

protected procedure TCustomAbstractGroupedEdit.CheckCursor;


TCustomAbstractGroupedEdit.Clear

Declaration

Source position: groupededit.pp line 272

public procedure TCustomAbstractGroupedEdit.Clear;


TCustomAbstractGroupedEdit.ClearSelection

Declaration

Source position: groupededit.pp line 273

public procedure TCustomAbstractGroupedEdit.ClearSelection; virtual;


TCustomAbstractGroupedEdit.CMParentColorChanged

Declaration

Source position: groupededit.pp line 234

protected procedure TCustomAbstractGroupedEdit.CMParentColorChanged(

  var Message: TLMessage

); message;


TCustomAbstractGroupedEdit.Color

Declaration

Source position: groupededit.pp line 287

public property TCustomAbstractGroupedEdit.Color : TColor
  read GetColor
  write SetColor
  stored True
  default clWindow;


TCustomAbstractGroupedEdit.CopyToClipboard

Declaration

Source position: groupededit.pp line 274

public procedure TCustomAbstractGroupedEdit.CopyToClipboard; virtual;


TCustomAbstractGroupedEdit.Create

Declaration

Source position: groupededit.pp line 267

public constructor TCustomAbstractGroupedEdit.Create(

  AOwner: TComponent

); override;


TCustomAbstractGroupedEdit.CreateBuddy

Declaration

Source position: groupededit.pp line 179

protected function TCustomAbstractGroupedEdit.CreateBuddy: TControl; virtual;


TCustomAbstractGroupedEdit.CreateEditor

Declaration

Source position: groupededit.pp line 180

protected function TCustomAbstractGroupedEdit.CreateEditor: TGEEdit; virtual;


TCustomAbstractGroupedEdit.CutToClipboard

Declaration

Source position: groupededit.pp line 275

public procedure TCustomAbstractGroupedEdit.CutToClipboard; virtual;


TCustomAbstractGroupedEdit.Destroy

Declaration

Source position: groupededit.pp line 268

public destructor TCustomAbstractGroupedEdit.Destroy; override;


TCustomAbstractGroupedEdit.DirectInput

Declaration

Source position: groupededit.pp line 253

protected property TCustomAbstractGroupedEdit.DirectInput : Boolean
  read GetDirectInput
  write SetDirectInput
  default True;


TCustomAbstractGroupedEdit.DoEnter

Declaration

Source position: groupededit.pp line 204

protected procedure TCustomAbstractGroupedEdit.DoEnter; override;


TCustomAbstractGroupedEdit.EchoMode

Declaration

Source position: groupededit.pp line 289

public property TCustomAbstractGroupedEdit.EchoMode : TEchoMode
  read GetEchoMode
  write SetEchoMode
  default emNormal;


TCustomAbstractGroupedEdit.EditCanModify

Declaration

Source position: groupededit.pp line 235

protected function TCustomAbstractGroupedEdit.EditCanModify: Boolean; virtual;


TCustomAbstractGroupedEdit.EditChange

Declaration

Source position: groupededit.pp line 206

protected procedure TCustomAbstractGroupedEdit.EditChange; virtual;


TCustomAbstractGroupedEdit.EditClick

Declaration

Source position: groupededit.pp line 207

protected procedure TCustomAbstractGroupedEdit.EditClick; virtual;


TCustomAbstractGroupedEdit.EditDblClick

Declaration

Source position: groupededit.pp line 208

protected procedure TCustomAbstractGroupedEdit.EditDblClick; virtual;


TCustomAbstractGroupedEdit.EditDragDrop

Declaration

Source position: groupededit.pp line 209

protected procedure TCustomAbstractGroupedEdit.EditDragDrop(

  Source: TObject;

  X: Integer;

  Y: Integer

); virtual;


TCustomAbstractGroupedEdit.EditDragOver

Declaration

Source position: groupededit.pp line 210

protected procedure TCustomAbstractGroupedEdit.EditDragOver(

  Source: TObject;

  X: Integer;

  Y: Integer;

  State: TDragState;

  var Accept: Boolean

); virtual;


TCustomAbstractGroupedEdit.EditEditingDone

Declaration

Source position: groupededit.pp line 211

protected procedure TCustomAbstractGroupedEdit.EditEditingDone; virtual;


TCustomAbstractGroupedEdit.EditEndDrag

Declaration

Source position: groupededit.pp line 212

protected procedure TCustomAbstractGroupedEdit.EditEndDrag(

  Target: TObject;

  X: Integer;

  Y: Integer

); virtual;


TCustomAbstractGroupedEdit.EditEnter

Declaration

Source position: groupededit.pp line 213

protected procedure TCustomAbstractGroupedEdit.EditEnter; virtual;


TCustomAbstractGroupedEdit.EditExit

Declaration

Source position: groupededit.pp line 214

protected procedure TCustomAbstractGroupedEdit.EditExit; virtual;


TCustomAbstractGroupedEdit.EditKeyDown

Declaration

Source position: groupededit.pp line 215

protected procedure TCustomAbstractGroupedEdit.EditKeyDown(

  var Key: Word;

  Shift: TShiftState

); virtual;


TCustomAbstractGroupedEdit.EditKeyPress

Declaration

Source position: groupededit.pp line 216

protected procedure TCustomAbstractGroupedEdit.EditKeyPress(

  var Key: Char

); virtual;


TCustomAbstractGroupedEdit.EditKeyUp

Declaration

Source position: groupededit.pp line 217

protected procedure TCustomAbstractGroupedEdit.EditKeyUp(

  var Key: Word;

  Shift: TShiftState

); virtual;


TCustomAbstractGroupedEdit.EditMask

Declaration

Source position: groupededit.pp line 255

protected property TCustomAbstractGroupedEdit.EditMask : string
  read GetEditMask
  write SetEditMask;


TCustomAbstractGroupedEdit.EditMouseDown

Declaration

Source position: groupededit.pp line 218

protected procedure TCustomAbstractGroupedEdit.EditMouseDown(

  Button: TMouseButton;

  Shift: TShiftState;

  X: Integer;

  Y: Integer

); virtual;


TCustomAbstractGroupedEdit.EditMouseEnter

Declaration

Source position: groupededit.pp line 222

protected procedure TCustomAbstractGroupedEdit.EditMouseEnter; virtual;


TCustomAbstractGroupedEdit.EditMouseLeave

Declaration

Source position: groupededit.pp line 223

protected procedure TCustomAbstractGroupedEdit.EditMouseLeave; virtual;


TCustomAbstractGroupedEdit.EditMouseMove

Declaration

Source position: groupededit.pp line 224

protected procedure TCustomAbstractGroupedEdit.EditMouseMove(

  Shift: TShiftState;

  X: Integer;

  Y: Integer

); virtual;


TCustomAbstractGroupedEdit.EditMouseUp

Declaration

Source position: groupededit.pp line 220

protected procedure TCustomAbstractGroupedEdit.EditMouseUp(

  Button: TMouseButton;

  Shift: TShiftState;

  X: Integer;

  Y: Integer

); virtual;


TCustomAbstractGroupedEdit.EditMouseWheel

Declaration

Source position: groupededit.pp line 225

protected procedure TCustomAbstractGroupedEdit.EditMouseWheel(

  Shift: TShiftState;

  WheelDelta: Integer;

  MousePos: TPoint;

  var Handled: Boolean

);


TCustomAbstractGroupedEdit.EditMouseWheelDown

Declaration

Source position: groupededit.pp line 228

protected procedure TCustomAbstractGroupedEdit.EditMouseWheelDown(

  Shift: TShiftState;

  MousePos: TPoint;

  var Handled: Boolean

); virtual;


TCustomAbstractGroupedEdit.EditMouseWheelUp

Declaration

Source position: groupededit.pp line 227

protected procedure TCustomAbstractGroupedEdit.EditMouseWheelUp(

  Shift: TShiftState;

  MousePos: TPoint;

  var Handled: Boolean

); virtual;


TCustomAbstractGroupedEdit.EditStartDrag

Declaration

Source position: groupededit.pp line 230

protected procedure TCustomAbstractGroupedEdit.EditStartDrag(

  var DragObject: TDragObject

); virtual;


TCustomAbstractGroupedEdit.EditText

Declaration

Source position: groupededit.pp line 256

protected property TCustomAbstractGroupedEdit.EditText : string
  read GetEditText
  write SetEditText;


TCustomAbstractGroupedEdit.EditUtf8KeyPress

Declaration

Source position: groupededit.pp line 229

protected procedure TCustomAbstractGroupedEdit.EditUtf8KeyPress(

  var UTF8Key: TUTF8Char

); virtual;


TCustomAbstractGroupedEdit.FocusAndMaybeSelectAll

Declaration

Source position: groupededit.pp line 182

protected procedure TCustomAbstractGroupedEdit.FocusAndMaybeSelectAll;


TCustomAbstractGroupedEdit.Focused

Declaration

Source position: groupededit.pp line 271

public function TCustomAbstractGroupedEdit.Focused: Boolean; override;


TCustomAbstractGroupedEdit.FocusOnBuddyClick

Declaration

Source position: groupededit.pp line 257

protected property TCustomAbstractGroupedEdit.FocusOnBuddyClick : Boolean
  read FFocusOnBuddyClick
  write FFocusOnBuddyClick
  default False;


TCustomAbstractGroupedEdit.GetBuddyCaption

Declaration

Source position: groupededit.pp line 191

protected function TCustomAbstractGroupedEdit.GetBuddyCaption: TCaption;


TCustomAbstractGroupedEdit.GetBuddyClassType

Declaration

Source position: groupededit.pp line 184

protected function TCustomAbstractGroupedEdit.GetBuddyClassType: TControlClass; virtual; abstract;


TCustomAbstractGroupedEdit.GetBuddyCursor

Declaration

Source position: groupededit.pp line 192

protected function TCustomAbstractGroupedEdit.GetBuddyCursor: TCursor;


TCustomAbstractGroupedEdit.GetBuddyHint

Declaration

Source position: groupededit.pp line 193

protected function TCustomAbstractGroupedEdit.GetBuddyHint: TTranslateString;


TCustomAbstractGroupedEdit.GetBuddyVisible

Declaration

Source position: groupededit.pp line 195

protected function TCustomAbstractGroupedEdit.GetBuddyVisible: Boolean;


TCustomAbstractGroupedEdit.GetBuddyWidth

Declaration

Source position: groupededit.pp line 194

protected function TCustomAbstractGroupedEdit.GetBuddyWidth: Integer;


TCustomAbstractGroupedEdit.GetControlClassDefaultSize

Declaration

Source position: groupededit.pp line 185

protected class function TCustomAbstractGroupedEdit.GetControlClassDefaultSize: TSize; override;


TCustomAbstractGroupedEdit.GetEditorClassType

Declaration

Source position: groupededit.pp line 183

protected function TCustomAbstractGroupedEdit.GetEditorClassType: TGEEditClass; virtual;


TCustomAbstractGroupedEdit.GetEditPopupMenu

Declaration

Source position: groupededit.pp line 190

protected function TCustomAbstractGroupedEdit.GetEditPopupMenu: TPopupMenu;


TCustomAbstractGroupedEdit.GetSel

Declaration

Source position: groupededit.pp line 236

protected procedure TCustomAbstractGroupedEdit.GetSel(

  out _SelStart: Integer;

  out _SelStop: Integer

);


TCustomAbstractGroupedEdit.GetSpacing

Declaration

Source position: groupededit.pp line 237

protected function TCustomAbstractGroupedEdit.GetSpacing: Integer; virtual;


TCustomAbstractGroupedEdit.HideSelection

Declaration

Source position: groupededit.pp line 290

public property TCustomAbstractGroupedEdit.HideSelection : Boolean
  read GetHideSelection
  write SetHideSelection
  default False;


TCustomAbstractGroupedEdit.IsMasked

Declaration

Source position: groupededit.pp line 258

protected property TCustomAbstractGroupedEdit.IsMasked : Boolean
  read GetIsMasked;


TCustomAbstractGroupedEdit.Layout

Declaration

Source position: groupededit.pp line 259

protected property TCustomAbstractGroupedEdit.Layout : TLeftRight
  read FLayout
  write SetLayout
  default taLeftJustify;


TCustomAbstractGroupedEdit.Loaded

Declaration

Source position: groupededit.pp line 239

protected procedure TCustomAbstractGroupedEdit.Loaded; override;


TCustomAbstractGroupedEdit.MaxLength

Declaration

Source position: groupededit.pp line 291

public property TCustomAbstractGroupedEdit.MaxLength : Integer
  read GetMaxLength
  write SetMaxLength;


TCustomAbstractGroupedEdit.Modified

Declaration

Source position: groupededit.pp line 292

public property TCustomAbstractGroupedEdit.Modified : Boolean
  read GetModified
  write SetModified;


TCustomAbstractGroupedEdit.NumbersOnly

Declaration

Source position: groupededit.pp line 293

public property TCustomAbstractGroupedEdit.NumbersOnly : Boolean
  read GetNumbersOnly
  write SetNumbersOnly
  default False;


TCustomAbstractGroupedEdit.OnBuddyClick

Declaration

Source position: groupededit.pp line 265

protected property TCustomAbstractGroupedEdit.OnBuddyClick : TNotifyEvent
  read FOnBuddyClick
  write FOnBuddyClick;


TCustomAbstractGroupedEdit.OnChange

Declaration

Source position: groupededit.pp line 304

public property TCustomAbstractGroupedEdit.OnChange : TNotifyEvent
  read FOnEditChange
  write FOnEditChange;


TCustomAbstractGroupedEdit.OnClick

Declaration

Source position: groupededit.pp line 305

public property TCustomAbstractGroupedEdit.OnClick : TNotifyEvent
  read FOnEditClick
  write FOnEditClick;


TCustomAbstractGroupedEdit.OnDblClick

Declaration

Source position: groupededit.pp line 306

public property TCustomAbstractGroupedEdit.OnDblClick : TNotifyEvent
  read FOnEditDblClick
  write FOnEditDblClick;


TCustomAbstractGroupedEdit.OnDragDrop

Declaration

Source position: groupededit.pp line 307

public property TCustomAbstractGroupedEdit.OnDragDrop : TDragDropEvent
  read FOnEditDragDrop
  write FOnEditDragDrop;


TCustomAbstractGroupedEdit.OnDragOver

Declaration

Source position: groupededit.pp line 308

public property TCustomAbstractGroupedEdit.OnDragOver : TDragOverEvent
  read FOnEditDragOver
  write FOnEditDragOver;


TCustomAbstractGroupedEdit.OnEditingDone

Declaration

Source position: groupededit.pp line 309

public property TCustomAbstractGroupedEdit.OnEditingDone : TNotifyEvent
  read FOnEditEditingDone
  write FOnEditEditingDone;


TCustomAbstractGroupedEdit.OnEndDrag

Declaration

Source position: groupededit.pp line 310

public property TCustomAbstractGroupedEdit.OnEndDrag : TEndDragEvent
  read FOnEditEndDrag
  write FOnEditEndDrag;


TCustomAbstractGroupedEdit.OnEnter

Declaration

Source position: groupededit.pp line 311

public property TCustomAbstractGroupedEdit.OnEnter : TNotifyEvent
  read FOnEditEnter
  write FOnEditEnter;


TCustomAbstractGroupedEdit.OnExit

Declaration

Source position: groupededit.pp line 312

public property TCustomAbstractGroupedEdit.OnExit : TNotifyEvent
  read FOnEditExit
  write FOnEditExit;


TCustomAbstractGroupedEdit.OnKeyDown

Declaration

Source position: groupededit.pp line 315

public property TCustomAbstractGroupedEdit.OnKeyDown : TKeyEvent
  read FOnEditKeyDown
  write FOnEditKeyDown;


TCustomAbstractGroupedEdit.OnKeyPress

Declaration

Source position: groupededit.pp line 314

public property TCustomAbstractGroupedEdit.OnKeyPress : TKeyPressEvent
  read FOnEditKeyPress
  write FOnEditKeyPress;


TCustomAbstractGroupedEdit.OnKeyUp

Declaration

Source position: groupededit.pp line 316

public property TCustomAbstractGroupedEdit.OnKeyUp : TKeyEvent
  read FOnEditKeyUp
  write FOnEditKeyUp;


TCustomAbstractGroupedEdit.OnMouseDown

Declaration

Source position: groupededit.pp line 313

public property TCustomAbstractGroupedEdit.OnMouseDown : TMouseEvent
  read FOnEditMouseDown
  write FOnEditMouseDown;


TCustomAbstractGroupedEdit.OnMouseEnter

Declaration

Source position: groupededit.pp line 317

public property TCustomAbstractGroupedEdit.OnMouseEnter : TNotifyEvent
  read FOnEditMouseEnter
  write FOnEditMouseEnter;


TCustomAbstractGroupedEdit.OnMouseLeave

Declaration

Source position: groupededit.pp line 318

public property TCustomAbstractGroupedEdit.OnMouseLeave : TNotifyEvent
  read FOnEditMouseLeave
  write FOnEditMouseLeave;


TCustomAbstractGroupedEdit.OnMouseMove

Declaration

Source position: groupededit.pp line 319

public property TCustomAbstractGroupedEdit.OnMouseMove : TMouseMoveEvent
  read FOnEditMouseMove
  write FOnEditMouseMove;


TCustomAbstractGroupedEdit.OnMouseUp

Declaration

Source position: groupededit.pp line 323

public property TCustomAbstractGroupedEdit.OnMouseUp : TMouseEvent
  read FOnEditMouseUp
  write FOnEditMouseUp;


TCustomAbstractGroupedEdit.OnMouseWheel

Declaration

Source position: groupededit.pp line 320

public property TCustomAbstractGroupedEdit.OnMouseWheel : TMouseWheelEvent
  read FOnEditMouseWheel
  write FOnEditMouseWheel;


TCustomAbstractGroupedEdit.OnMouseWheelDown

Declaration

Source position: groupededit.pp line 322

public property TCustomAbstractGroupedEdit.OnMouseWheelDown : TMouseWheelUpDownEvent
  read FOnEditMouseWheelDown
  write FOnEditMouseWheelDown;


TCustomAbstractGroupedEdit.OnMouseWheelUp

Declaration

Source position: groupededit.pp line 321

public property TCustomAbstractGroupedEdit.OnMouseWheelUp : TMouseWheelUpDownEvent
  read FOnEditMouseWheelUp
  write FOnEditMouseWheelUp;


TCustomAbstractGroupedEdit.OnStartDrag

Declaration

Source position: groupededit.pp line 324

public property TCustomAbstractGroupedEdit.OnStartDrag : TStartDragEvent
  read FOnEditStartDrag
  write FOnEditStartDrag;


TCustomAbstractGroupedEdit.OnUtf8KeyPress

Declaration

Source position: groupededit.pp line 325

public property TCustomAbstractGroupedEdit.OnUtf8KeyPress : TUTF8KeyPressEvent
  read FOnEditUtf8KeyPress
  write FOnEditUtf8KeyPress;


TCustomAbstractGroupedEdit.ParentColor

Declaration

Source position: groupededit.pp line 288

public property TCustomAbstractGroupedEdit.ParentColor : Boolean
  read GetParentColor
  write SetParentColor
  default False;


TCustomAbstractGroupedEdit.PasswordChar

Declaration

Source position: groupededit.pp line 294

public property TCustomAbstractGroupedEdit.PasswordChar : Char
  read GetPasswordChar
  write SetPasswordChar;


TCustomAbstractGroupedEdit.PasteFromClipboard

Declaration

Source position: groupededit.pp line 276

public procedure TCustomAbstractGroupedEdit.PasteFromClipboard; virtual;


TCustomAbstractGroupedEdit.PopupMenu

Declaration

Source position: groupededit.pp line 295

public property TCustomAbstractGroupedEdit.PopupMenu : TPopupMenu
  read GetEditPopupMenu
  write SetPopupMenu;


TCustomAbstractGroupedEdit.ReadOnly

Declaration

Source position: groupededit.pp line 296

public property TCustomAbstractGroupedEdit.ReadOnly : Boolean
  read GetReadOnly
  write SetReadOnly
  default False;


TCustomAbstractGroupedEdit.RealGetText

Declaration

Source position: groupededit.pp line 187

protected function TCustomAbstractGroupedEdit.RealGetText: TCaption; override;


TCustomAbstractGroupedEdit.RealSetText

Declaration

Source position: groupededit.pp line 188

protected procedure TCustomAbstractGroupedEdit.RealSetText(

  const AValue: TCaption

); override;


TCustomAbstractGroupedEdit.Reset

Declaration

Source position: groupededit.pp line 240

protected procedure TCustomAbstractGroupedEdit.Reset; virtual;


TCustomAbstractGroupedEdit.SelectAll

Declaration

Source position: groupededit.pp line 277

public procedure TCustomAbstractGroupedEdit.SelectAll;


TCustomAbstractGroupedEdit.SelLength

Declaration

Source position: groupededit.pp line 297

public property TCustomAbstractGroupedEdit.SelLength : Integer
  read GetSelLength
  write SetSelLength;


TCustomAbstractGroupedEdit.SelStart

Declaration

Source position: groupededit.pp line 298

public property TCustomAbstractGroupedEdit.SelStart : Integer
  read GetSelStart
  write SetSelStart;


TCustomAbstractGroupedEdit.SelText

Declaration

Source position: groupededit.pp line 299

public property TCustomAbstractGroupedEdit.SelText : string
  read GetSelText
  write SetSelText;


TCustomAbstractGroupedEdit.SetAutoSize

Declaration

Source position: groupededit.pp line 241

protected procedure TCustomAbstractGroupedEdit.SetAutoSize(

  AValue: Boolean

); override;


TCustomAbstractGroupedEdit.SetBuddyCaption

Declaration

Source position: groupededit.pp line 196

protected procedure TCustomAbstractGroupedEdit.SetBuddyCaption(

  AValue: TCaption

);


TCustomAbstractGroupedEdit.SetBuddyCursor

Declaration

Source position: groupededit.pp line 197

protected procedure TCustomAbstractGroupedEdit.SetBuddyCursor(

  AValue: TCursor

);


TCustomAbstractGroupedEdit.SetBuddyHint

Declaration

Source position: groupededit.pp line 198

protected procedure TCustomAbstractGroupedEdit.SetBuddyHint(

  AValue: TTranslateString

);


TCustomAbstractGroupedEdit.SetBuddyVisible

Declaration

Source position: groupededit.pp line 200

protected procedure TCustomAbstractGroupedEdit.SetBuddyVisible(

  AValue: Boolean

);


TCustomAbstractGroupedEdit.SetBuddyWidth

Declaration

Source position: groupededit.pp line 199

protected procedure TCustomAbstractGroupedEdit.SetBuddyWidth(

  AValue: Integer

);


TCustomAbstractGroupedEdit.SetColor

Declaration

Source position: groupededit.pp line 242

protected procedure TCustomAbstractGroupedEdit.SetColor(

  AValue: TColor

);


TCustomAbstractGroupedEdit.SetCursor

Declaration

Source position: groupededit.pp line 243

protected procedure TCustomAbstractGroupedEdit.SetCursor(

  AValue: TCursor

); override;


TCustomAbstractGroupedEdit.SetDirectInput

Declaration

Source position: groupededit.pp line 186

protected procedure TCustomAbstractGroupedEdit.SetDirectInput(

  AValue: Boolean

); virtual;


TCustomAbstractGroupedEdit.SetFocus

Declaration

Source position: groupededit.pp line 270

public procedure TCustomAbstractGroupedEdit.SetFocus; override;


TCustomAbstractGroupedEdit.SetSel

Declaration

Source position: groupededit.pp line 238

protected procedure TCustomAbstractGroupedEdit.SetSel(

  const _SelStart: Integer;

  _SelStop: Integer

);


TCustomAbstractGroupedEdit.ShouldAutoAdjust

Declaration

Source position: groupededit.pp line 244

protected procedure TCustomAbstractGroupedEdit.ShouldAutoAdjust(

  var AWidth: Boolean;

  var AHeight: Boolean

); override;


TCustomAbstractGroupedEdit.Spacing

Declaration

Source position: groupededit.pp line 260

protected property TCustomAbstractGroupedEdit.Spacing : Integer
  read GetSpacing
  write SetSpacing
  default 0;


TCustomAbstractGroupedEdit.TabStop

Declaration

Source position: groupededit.pp line 300

public property TCustomAbstractGroupedEdit.TabStop : Boolean
  read GetTabStop
  write SetTabStop
  default True;


TCustomAbstractGroupedEdit.Text

Declaration

Source position: groupededit.pp line 301

public property TCustomAbstractGroupedEdit.Text : TCaption;


TCustomAbstractGroupedEdit.TextHint

Declaration

Source position: groupededit.pp line 302

public property TCustomAbstractGroupedEdit.TextHint : TTranslateString
  read GetTextHint
  write SetTextHint;


TCustomAbstractGroupedEdit.Undo

Declaration

Source position: groupededit.pp line 278

public procedure TCustomAbstractGroupedEdit.Undo; virtual;


TCustomAbstractGroupedEdit.UpdateSpacing

Declaration

Source position: groupededit.pp line 232

protected procedure TCustomAbstractGroupedEdit.UpdateSpacing;


TCustomAbstractGroupedEdit.ValidateEdit

Declaration

Source position: groupededit.pp line 279

public procedure TCustomAbstractGroupedEdit.ValidateEdit; virtual;


TGEEdit

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Declaration

Source position: groupededit.pp line 53

type TGEEdit = class(TCustomMaskEdit)

public

  function PerformTab(); override;

end;

Inheritance

TGEEdit |
|
TCustomMaskEdit | TCustomMaskEdit - base class for TMaskEdit, an Edit box with characters masked out to avoid unauthorised reading
|
TCustomEdit | The base class for controls presenting editable text.
|
TWinControl | The base class for controls which can contain other (child) controls.
|
TControl | The base class for visible controls.
|
TLCLComponent | The base class for LCL components associated with widgets.
|
TComponent,IUnknown,IInterfaceComponentReference
|
TPersistent,IFPObserved
|
TObject


TGEEdit
TCustomMaskEdit
pt |  | EditText
pt | ro | IsMasked
pt |  | SpaceChar
pt |  | MaxLength
pt |  | CharCase
pt |  | EditMask
 |  | Modified
TCustomEdit
pt |  | AutoSelect
pt |  | AutoSelected
pt | ro | ParentColor
 |  | Alignment
 | ro | AutoSize
 | ro | BorderStyle
 | ro | CanUndo
 |  | CaretPos
 |  | CharCase
 |  | EchoMode
 |  | HideSelection
 |  | MaxLength
 |  | Modified
 |  | NumbersOnly
 |  | PasswordChar
 | ro | PopupMenu
 |  | ReadOnly
 |  | SelLength
 |  | SelStart
 |  | SelText
 | ro | TabOrder
 | ro | TabStop
 | ro | Text
 |  | TextHint
TWinControl
pt |  | WindowHandle
pt |  | BorderStyle
pt |  | ParentBackground
 |  | BorderWidth
 | ro | BoundsLockCount
 | ro | Brush
 | ro | CachedClientHeight
 | ro | CachedClientWidth
 |  | ChildSizing
 | ro | ControlCount
 | ro | Controls
 |  | DefWndProc
 | ro | DockClientCount
 | ro | DockClients
 |  | DockManager
 |  | DockSite
 |  | DoubleBuffered
 |  | Handle
 | ro | IsFlipped
 | ro | IsResizing
 |  | TabOrder
 |  | TabStop
 |  | ParentDoubleBuffered
 |  | ParentWindow
 | ro | Showing
 |  | UseDockManager
 |  | DesignerDeleting
 | ro | VisibleDockClientCount
TControl
pt | ro | AutoSizing
pt | ro | AutoSizingAll
pt | ro | AutoSizingLockCount
pt |  | ActionLink
pt |  | DesktopFont
pt |  | DragCursor
pt |  | DragKind
pt |  | DragMode
pt |  | MouseCapture
pt |  | ParentColor
pt |  | ParentFont
pt |  | ParentShowHint
pt |  | SessionProperties
pt |  | Text
 | ro | AnchoredControls
 | ro | BaseBounds
 | ro | ReadBounds
 | ro | BaseParentClientSize
 |  | AccessibleDescription
 |  | AccessibleValue
 |  | AccessibleRole
 |  | Action
 |  | Align
 |  | Anchors
 | ro | AnchorSide
 |  | AutoSize
 |  | BorderSpacing
 |  | BoundsRect
 |  | BoundsRectForNewParent
 |  | Caption
 |  | CaptureMouseButtons
 |  | ClientHeight
 | ro | ClientOrigin
 | ro | ClientRect
 |  | ClientWidth
 |  | Color
 |  | Constraints
 | ro | ControlOrigin
 |  | ControlState
 |  | ControlStyle
 |  | Enabled
 |  | Font
 |  | IsControl
 | ro | MouseEntered
 | ro | MouseInClient
 |  | Parent
 |  | PopupMenu
 |  | ShowHint
 |  | Visible
 |  | WindowProc
 |  | DockOrientation
 | ro | Floating
 |  | FloatingDockSiteClass
 |  | HostDockSite
 |  | LRDockWidth
 |  | TBDockHeight
 |  | UndockHeight
 |  | UndockWidth
 |  | BiDiMode
 |  | ParentBiDiMode
pl |  | AnchorSideLeft
pl |  | AnchorSideTop
pl |  | AnchorSideRight
pl |  | AnchorSideBottom
pl |  | Cursor
pl |  | Left
pl |  | Height
pl |  | Hint
pl |  | Top
pl |  | Width
pl |  | HelpType
pl |  | HelpKeyword
pl |  | HelpContext
TLCLComponent
 | ro | LCLRefCount
 | ro | WidgetSetClass
TComponent
 | ro | ComObject
 | ro | Components
 | ro | ComponentCount
 |  | ComponentIndex
 | ro | ComponentState
 | ro | ComponentStyle
 |  | DesignInfo
 | ro | Owner
 |  | VCLComObject
 |  | Name
 |  | Tag
TPersistent
TObject


TGEEdit
 | PerformTab
TCustomMaskEdit
pt | ApplyMaskToText
pt | CanShowEmulatedTextHint
pt | DisableMask
pt | RestoreMask
pt | RealSetText
pt | RealGetText
pt | GetTextWithoutMask
pt | GetTextWithoutSpaceChar
pt | SetTextApplyMask
pt | GetEditText
pt | SetEditText
pt | GetSel
pt | SetSel
pt | TextChanged
pt | Change
pt | SetCharCase
pt | GetCharCase
pt | SetMaxLength
pt | GetMaxLength
pt | SetNumbersOnly
pt | Loaded
pt | LMPasteFromClip
pt | LMCutToClip
pt | LMClearSel
pt | EditCanModify
pt | Reset
pt | DoEnter
pt | DoExit
pt | KeyDown
pt | HandleKeyPress
pt | KeyPress
pt | Utf8KeyPress
pt | MouseUp
pt | CheckCursor
 | CutToClipBoard
 | PasteFromClipBoard
 | Create
 | Clear
 | ValidateEdit
TCustomEdit
pt | WSRegisterClass
pt | CanShowEmulatedTextHint
pt | CreateEmulatedTextHintFont
pt | CalculatePreferredSize
pt | CreateParams
pt | InitializeWnd
pt | TextChanged
pt | FontChanged
pt | Change
pt | DoEnter
pt | DoExit
pt | EditingDone
pt | GetCaretPos
pt | GetNumbersOnly
pt | GetReadOnly
pt | GetSelLength
pt | GetSelStart
pt | GetSelText
pt | GetTextHint
pt | SetCaretPos
pt | SetEchoMode
pt | SetNumbersOnly
pt | SetReadOnly
pt | SetSelLength
pt | SetSelStart
pt | SetSelText
pt | SetTextHint
pt | ChildClassAllowed
pt | GetControlClassDefaultSize
pt | MouseUp
pt | RealSetText
pt | RealGetText
pt | KeyUpAfterInterface
pt | WMChar
pt | CMWantSpecialKey
pt | WndProc
pt | ShouldAutoAdjust
pt | WMSetFocus
pt | WMKillFocus
 | Create
 | Destroy
 | Clear
 | SelectAll
 | ClearSelection
 | CopyToClipboard
 | CutToClipboard
 | PasteFromClipboard
 | Undo
 | RemoveAllHandlersOfObject
 | AddHandlerOnChange
 | RemoveHandlerOnChange
TWinControl
pt | WSRegisterClass
pt | AdjustClientRect
pt | GetAdjustedLogicalClientRect
pt | AlignControls
pt | CustomAlignInsertBefore
pt | CustomAlignPosition
pt | DoAlignChildControls
pt | DoChildSizingChange
pt | InvalidatePreferredChildSizes
pt | CanTab
pt | IsClientHeightStored
pt | IsClientWidthStored
pt | DoSendShowHideToInterface
pt | ControlsAligned
pt | DoSendBoundsToInterface
pt | RealizeBounds
pt | RealizeBoundsRecursive
pt | InvalidateBoundsRealized
pt | CreateSubClass
pt | DoConstraintsChange
pt | DoSetBounds
pt | DoAutoSize
pt | DoAllAutoSize
pt | AllAutoSized
pt | CalculatePreferredSize
pt | GetPreferredSizeClientFrame
pt | GetChildren
pt | ChildClassAllowed
pt | PaintControls
pt | PaintHandler
pt | PaintWindow
pt | CreateBrush
pt | ScaleControls
pt | ChangeScale
pt | CMBiDiModeChanged
pt | CMBorderChanged
pt | CMDoubleBufferedChanged
pt | CMEnabledChanged
pt | CMParentDoubleBufferedChanged
pt | CMShowingChanged
pt | CMShowHintChanged
pt | CMVisibleChanged
pt | CMEnter
pt | CMExit
pt | WMContextMenu
pt | WMEraseBkgnd
pt | WMNotify
pt | WMSetFocus
pt | WMKillFocus
pt | WMShowWindow
pt | WMEnter
pt | WMExit
pt | WMKeyDown
pt | WMSysKeyDown
pt | WMKeyUp
pt | WMSysKeyUp
pt | WMChar
pt | WMSysChar
pt | WMPaint
pt | WMDestroy
pt | WMMove
pt | WMSize
pt | WMWindowPosChanged
pt | CNKeyDown
pt | CNSysKeyDown
pt | CNKeyUp
pt | CNSysKeyUp
pt | CNChar
pt | DoDragMsg
pt | DoDockClientMsg
pt | DoUndockClientMsg
pt | DoAddDockClient
pt | DockOver
pt | DoDockOver
pt | DoRemoveDockClient
pt | DoUnDock
pt | GetSiteInfo
pt | GetParentHandle
pt | GetTopParentHandle
pt | ReloadDockedControl
pt | CreateDockManager
pt | SetDockManager
pt | DoFloatMsg
pt | DoGetDockCaption
pt | DoEnter
pt | DoExit
pt | DoKeyDownBeforeInterface
pt | DoRemainingKeyDown
pt | DoRemainingKeyUp
pt | DoKeyPress
pt | DoUTF8KeyPress
pt | DoKeyUpBeforeInterface
pt | ChildKey
pt | SendDialogChar
pt | DialogChar
pt | ControlKeyDown
pt | ControlKeyUp
pt | KeyDown
pt | KeyDownBeforeInterface
pt | KeyDownAfterInterface
pt | KeyPress
pt | KeyUp
pt | KeyUpBeforeInterface
pt | KeyUpAfterInterface
pt | UTF8KeyPress
pt | FindNextControl
pt | SelectFirst
pt | RealGetText
pt | GetBorderStyle
pt | GetClientOrigin
pt | GetClientRect
pt | GetControlOrigin
pt | GetDeviceContext
pt | GetParentBackground
pt | IsControlMouseMsg
pt | CreateHandle
pt | CreateParams
pt | CreateWnd
pt | DestroyHandle
pt | DestroyWnd
pt | DoFlipChildren
pt | FinalizeWnd
pt | FixupTabList
pt | FontChanged
pt | InitializeWnd
pt | Loaded
pt | FormEndUpdated
pt | MainWndProc
pt | ParentFormHandleInitialized
pt | ChildHandlesCreated
pt | GetMouseCapture
pt | RealSetText
pt | RemoveFocus
pt | SendMoveSizeMessages
pt | SetBorderStyle
pt | SetColor
pt | SetChildZPosition
pt | SetParentBackground
pt | ShowControl
pt | UpdateControlState
pt | UpdateShowing
pt | WndProc
pt | WSSetText
 | AutoSizePhases
 | AutoSizeDelayed
 | AutoSizeDelayedReport
 | AutoSizeDelayedHandle
 | BeginUpdateBounds
 | EndUpdateBounds
 | LockRealizeBounds
 | UnlockRealizeBounds
 | ControlAtPos
 | ContainsControl
 | DoAdjustClientRectChange
 | InvalidateClientRectCache
 | ClientRectNeedsInterfaceUpdate
 | SetBounds
 | GetChildrenRect
 | DisableAlign
 | EnableAlign
 | ReAlign
 | ScrollBy_WS
 | ScrollBy
 | WriteLayoutDebugReport
 | AutoAdjustLayout
 | Create
 | CreateParented
 | CreateParentedControl
 | Destroy
 | DockDrop
 | CanFocus
 | CanSetFocus
 | GetControlIndex
 | SetControlIndex
 | Focused
 | PerformTab
 | FindChildControl
 | SelectNext
 | SetTempCursor
 | BroadCast
 | NotifyControls
 | DefaultHandler
 | GetTextLen
 | Invalidate
 | AddControl
 | InsertControl
 | RemoveControl
 | GetEnumeratorControls
 | GetEnumeratorControlsReverse
 | Repaint
 | Update
 | SetFocus
 | FlipChildren
 | ScaleBy
 | GetDockCaption
 | UpdateDockCaption
 | GetTabOrderList
 | HandleAllocated
 | ParentHandlesAllocated
 | HandleNeeded
 | BrushCreated
 | EraseBackground
 | IntfUTF8KeyPress
 | IntfGetDropFilesTarget
 | PaintTo
 | SetShape
TControl
pt | WSRegisterClass
pt | GetCursor
pt | SetCursor
pt | SetVisible
pt | DoOnParentHandleDestruction
pt | DoAutoSize
pt | DoAllAutoSize
pt | BeginAutoSizing
pt | EndAutoSizing
pt | AnchorSideChanged
pt | ForeignAnchorSideChanged
pt | SetAlign
pt | SetAnchors
pt | SetAutoSize
pt | BoundsChanged
pt | CreateControlBorderSpacing
pt | DoConstraintsChange
pt | DoBorderSpacingChange
pt | IsBorderSpacingInnerBorderStored
pt | IsCaptionStored
pt | SendMoveSizeMessages
pt | ConstrainedResize
pt | CalculatePreferredSize
pt | DoOnResize
pt | DoOnChangeBounds
pt | CheckOnChangeBounds
pt | Resize
pt | RequestAlign
pt | UpdateAnchorRules
pt | ChangeBounds
pt | DoSetBounds
pt | ScaleConstraints
pt | ChangeScale
pt | CanAutoSize
pt | SetBiDiMode
pt | SetParentBiDiMode
pt | IsAParentAligning
pt | GetClientOrigin
pt | GetClientRect
pt | GetLogicalClientRect
pt | GetScrolledClientRect
pt | GetClientScrollOffset
pt | GetControlOrigin
pt | IsClientHeightStored
pt | IsClientWidthStored
pt | WidthIsAnchored
pt | HeightIsAnchored
pt | WMCancelMode
pt | WMContextMenu
pt | WMLButtonDown
pt | WMRButtonDown
pt | WMMButtonDown
pt | WMXButtonDown
pt | WMLButtonDBLCLK
pt | WMRButtonDBLCLK
pt | WMMButtonDBLCLK
pt | WMXButtonDBLCLK
pt | WMLButtonTripleCLK
pt | WMRButtonTripleCLK
pt | WMMButtonTripleCLK
pt | WMXButtonTripleCLK
pt | WMLButtonQuadCLK
pt | WMRButtonQuadCLK
pt | WMMButtonQuadCLK
pt | WMXButtonQuadCLK
pt | WMMouseMove
pt | WMLButtonUp
pt | WMRButtonUp
pt | WMMButtonUp
pt | WMXButtonUp
pt | WMMouseWheel
pt | WMMouseHWheel
pt | WMMove
pt | WMSize
pt | WMWindowPosChanged
pt | CMChanged
pt | LMCaptureChanged
pt | CMBiDiModeChanged
pt | CMSysFontChanged
pt | CMEnabledChanged
pt | CMHitTest
pt | CMMouseEnter
pt | CMMouseLeave
pt | CMHintShow
pt | CMParentBiDiModeChanged
pt | CMParentColorChanged
pt | CMParentFontChanged
pt | CMParentShowHintChanged
pt | CMVisibleChanged
pt | CMTextChanged
pt | CMCursorChanged
pt | CalculateDockSizes
pt | CreateFloatingDockSite
pt | GetDockEdge
pt | GetDragImages
pt | GetFloating
pt | GetFloatingDockSiteClass
pt | BeforeDragStart
pt | BeginAutoDrag
pt | DoFloatMsg
pt | DockTrackNoTarget
pt | DoDock
pt | DoDragMsg
pt | DoEndDock
pt | DoEndDrag
pt | DoStartDock
pt | DoStartDrag
pt | DragCanceled
pt | DragOver
pt | PositionDockRect
pt | SetDragMode
pt | GetDefaultDockCaption
pt | Click
pt | DblClick
pt | TripleClick
pt | QuadClick
pt | GetMousePosFromMessage
pt | MouseDown
pt | MouseMove
pt | MouseUp
pt | MouseEnter
pt | MouseLeave
pt | DialogChar
pt | UpdateMouseCursor
pt | Changed
pt | GetPalette
pt | ChildClassAllowed
pt | ReadState
pt | Loaded
pt | LoadedAll
pt | DefineProperties
pt | AssignTo
pt | FormEndUpdated
pt | InvalidateControl
pt | FontChanged
pt | ParentFontChanged
pt | GetAction
pt | RealGetText
pt | RealSetText
pt | TextChanged
pt | GetCachedText
pt | SetAction
pt | SetColor
pt | SetEnabled
pt | SetHint
pt | SetName
pt | SetParent
pt | SetParentComponent
pt | WndProc
pt | ParentFormHandleInitialized
pt | GetMouseCapture
pt | CaptureChanged
pt | Notification
pt | CanTab
pt | GetDeviceContext
pt | GetEnabled
pt | GetPopupMenu
pt | DoOnShowHint
pt | DoMouseWheel
pt | DoMouseWheelDown
pt | DoMouseWheelUp
pt | DoMouseWheelHorz
pt | DoMouseWheelLeft
pt | DoMouseWheelRight
pt | VisibleChanging
pt | VisibleChanged
pt | EnabledChanging
pt | EnabledChanged
pt | AddHandler
pt | RemoveHandler
pt | DoCallNotifyHandler
pt | DoCallKeyEventHandler
pt | DoCallMouseWheelEventHandler
pt | DoContextPopup
pt | SetZOrder
pt | GetControlClassDefaultSize
pt | ColorIsStored
pt | DoAutoAdjustLayout
pt | DoFixDesignFontPPI
pt | DoScaleFontPPI
pt | GetActionLinkClass
pt | ActionChange
 | DragDrop
 | Dock
 | ManualDock
 | ManualFloat
 | ReplaceDockedControl
 | Docked
 | Dragging
 | GetAccessibleObject
 | CreateAccessibleObject
 | GetSelectedChildAccessibleObject
 | GetChildAccessibleObjectAtPos
 | ScaleDesignToForm
 | ScaleFormToDesign
 | Scale96ToForm
 | ScaleFormTo96
 | Scale96ToFont
 | ScaleFontTo96
 | ScaleScreenToFont
 | ScaleFontToScreen
 | Scale96ToScreen
 | ScaleScreenTo96
 | AdjustSize
 | AutoSizePhases
 | AutoSizeDelayed
 | AutoSizeDelayedReport
 | AutoSizeDelayedHandle
 | AnchorToNeighbour
 | AnchorParallel
 | AnchorHorizontalCenterTo
 | AnchorVerticalCenterTo
 | AnchorToCompanion
 | AnchorSame
 | AnchorAsAlign
 | AnchorClient
 | AnchoredControlCount
 | SetBounds
 | SetInitialBounds
 | SetBoundsKeepBase
 | GetPreferredSize
 | GetCanvasScaleFactor
 | GetDefaultWidth
 | GetDefaultHeight
 | GetDefaultColor
 | GetColorResolvingParent
 | GetRGBColorResolvingParent
 | GetSidePosition
 | CNPreferredSizeChanged
 | InvalidatePreferredSize
 | GetAnchorsDependingOnParent
 | DisableAutoSizing
 | EnableAutoSizing
 | UpdateBaseBounds
 | WriteLayoutDebugReport
 | AutoAdjustLayout
 | ShouldAutoAdjust
 | FixDesignFontsPPI
 | ScaleFontsPPI
 | Create
 | Destroy
 | BeforeDestruction
 | EditingDone
 | ExecuteDefaultAction
 | ExecuteCancelAction
 | BeginDrag
 | EndDrag
 | BringToFront
 | HasParent
 | GetParentComponent
 | IsParentOf
 | GetTopParent
 | IsVisible
 | IsControlVisible
 | IsEnabled
 | IsParentColor
 | IsParentFont
 | FormIsUpdating
 | IsProcessingPaintMsg
 | Hide
 | Refresh
 | Repaint
 | Invalidate
 | CheckChildClassAllowed
 | CheckNewParent
 | SendToBack
 | SetTempCursor
 | UpdateRolesForForm
 | ActiveDefaultControlChanged
 | GetTextBuf
 | GetTextLen
 | SetTextBuf
 | Perform
 | ScreenToClient
 | ClientToScreen
 | ScreenToControl
 | ControlToScreen
 | ClientToParent
 | ParentToClient
 | GetChildrenRect
 | Show
 | Update
 | HandleObjectShouldBeVisible
 | ParentDestroyingHandle
 | ParentHandlesAllocated
 | InitiateAction
 | ShowHelp
 | HasHelp
 | RemoveAllHandlersOfObject
 | AddHandlerOnResize
 | RemoveHandlerOnResize
 | AddHandlerOnChangeBounds
 | RemoveHandlerOnChangeBounds
 | AddHandlerOnVisibleChanging
 | RemoveHandlerOnVisibleChanging
 | AddHandlerOnVisibleChanged
 | RemoveHandlerOnVisibleChanged
 | AddHandlerOnEnabledChanged
 | RemoveHandlerOnEnableChanging
 | AddHandlerOnKeyDown
 | RemoveHandlerOnKeyDown
 | AddHandlerOnBeforeDestruction
 | RemoveHandlerOnBeforeDestruction
 | AddHandlerOnMouseWheel
 | RemoveHandlerOnMouseWheel
 | UseRightToLeftAlignment
 | UseRightToLeftReading
 | UseRightToLeftScrollBar
 | IsRightToLeft
TLCLComponent
pt | WSRegisterClass
pt | GetWSComponentClass
 | Create
 | Destroy
 | NewInstance
 | RemoveAllHandlersOfObject
 | IncLCLRefCount
 | DecLCLRefCount
TComponent
 | GetComObject
 | GetComponent
 | GetComponentCount
 | GetComponentIndex
 | Insert
 | ReadLeft
 | ReadTop
 | Remove
 | RemoveNotification
 | SetComponentIndex
 | SetReference
 | WriteLeft
 | WriteTop
 | ChangeName
 | DefineProperties
 | GetChildren
 | GetChildOwner
 | GetChildParent
 | GetOwner
 | Loaded
 | Loading
 | Notification
 | PaletteCreated
 | ReadState
 | SetAncestor
 | SetDesigning
 | SetDesignInstance
 | SetInline
 | SetName
 | SetChildOrder
 | SetParentComponent
 | Updating
 | Updated
 | UpdateRegistry
 | ValidateRename
 | ValidateContainer
 | ValidateInsert
 | QueryInterface
 | _AddRef
 | _Release
 | iicrGetComponent
 | GetTypeInfoCount
 | GetTypeInfo
 | GetIDsOfNames
 | Invoke
 | WriteState
 | Create
 | Destroy
 | BeforeDestruction
 | DestroyComponents
 | Destroying
 | ExecuteAction
 | FindComponent
 | FreeNotification
 | RemoveFreeNotification
 | FreeOnRelease
 | GetEnumerator
 | GetNamePath
 | GetParentComponent
 | HasParent
 | InsertComponent
 | RemoveComponent
 | SafeCallException
 | SetSubComponent
 | UpdateAction
 | IsImplementorOf
 | ReferenceInterface
TPersistent
 | AssignError
 | AssignTo
 | DefineProperties
 | GetOwner
 | Destroy
 | Assign
 | FPOAttachObserver
 | FPODetachObserver
 | FPONotifyObservers
 | GetNamePath
TObject
 | Create
 | Destroy
 | newinstance
 | FreeInstance
 | SafeCallException
 | DefaultHandler
 | Free
 | InitInstance
 | CleanupInstance
 | ClassType
 | ClassInfo
 | ClassName
 | ClassNameIs
 | ClassParent
 | InstanceSize
 | InheritsFrom
 | StringMessageTable
 | MethodAddress
 | MethodName
 | FieldAddress
 | AfterConstruction
 | BeforeDestruction
 | DefaultHandlerStr
 | Dispatch
 | DispatchStr
 | GetInterface
 | GetInterfaceByStr
 | GetInterfaceWeak
 | GetInterfaceEntry
 | GetInterfaceEntryByStr
 | GetInterfaceTable
 | UnitName
 | Equals
 | GetHashCode
 | ToString


pt | ActionChange (TControl)
 | ActiveDefaultControlChanged (TControl)
 | AddControl (TWinControl)
pt | AddHandler (TControl)
 | AddHandlerOnBeforeDestruction (TControl)
 | AddHandlerOnChange (TCustomEdit)
 | AddHandlerOnChangeBounds (TControl)
 | AddHandlerOnEnabledChanged (TControl)
 | AddHandlerOnKeyDown (TControl)
 | AddHandlerOnMouseWheel (TControl)
 | AddHandlerOnResize (TControl)
 | AddHandlerOnVisibleChanged (TControl)
 | AddHandlerOnVisibleChanging (TControl)
pt | AdjustClientRect (TWinControl)
 | AdjustSize (TControl)
 | AfterConstruction (TObject)
pt | AlignControls (TWinControl)
pt | AllAutoSized (TWinControl)
 | AnchorAsAlign (TControl)
 | AnchorClient (TControl)
 | AnchoredControlCount (TControl)
 | AnchorHorizontalCenterTo (TControl)
 | AnchorParallel (TControl)
 | AnchorSame (TControl)
pt | AnchorSideChanged (TControl)
 | AnchorToCompanion (TControl)
 | AnchorToNeighbour (TControl)
 | AnchorVerticalCenterTo (TControl)
pt | ApplyMaskToText (TCustomMaskEdit)
 | Assign (TPersistent)
 | AssignError (TPersistent)
 | AssignTo (TPersistent)
pt | AssignTo (TControl)
 | AutoAdjustLayout (TControl)
 | AutoAdjustLayout (TWinControl)
 | AutoSizeDelayed (TControl)
 | AutoSizeDelayed (TWinControl)
 | AutoSizeDelayedHandle (TControl)
 | AutoSizeDelayedHandle (TWinControl)
 | AutoSizeDelayedReport (TControl)
 | AutoSizeDelayedReport (TWinControl)
 | AutoSizePhases (TControl)
 | AutoSizePhases (TWinControl)
 | BeforeDestruction (TObject)
 | BeforeDestruction (TComponent)
 | BeforeDestruction (TControl)
pt | BeforeDragStart (TControl)
pt | BeginAutoDrag (TControl)
pt | BeginAutoSizing (TControl)
 | BeginDrag (TControl)
 | BeginUpdateBounds (TWinControl)
pt | BoundsChanged (TControl)
 | BringToFront (TControl)
 | BroadCast (TWinControl)
 | BrushCreated (TWinControl)
pt | CalculateDockSizes (TControl)
pt | CalculatePreferredSize (TControl)
pt | CalculatePreferredSize (TWinControl)
pt | CalculatePreferredSize (TCustomEdit)
pt | CanAutoSize (TControl)
 | CanFocus (TWinControl)
 | CanSetFocus (TWinControl)
pt | CanShowEmulatedTextHint (TCustomEdit)
pt | CanShowEmulatedTextHint (TCustomMaskEdit)
pt | CanTab (TControl)
pt | CanTab (TWinControl)
pt | CaptureChanged (TControl)
pt | Change (TCustomEdit)
pt | Change (TCustomMaskEdit)
pt | ChangeBounds (TControl)
pt | Changed (TControl)
 | ChangeName (TComponent)
pt | ChangeScale (TControl)
pt | ChangeScale (TWinControl)
 | CheckChildClassAllowed (TControl)
pt | CheckCursor (TCustomMaskEdit)
 | CheckNewParent (TControl)
pt | CheckOnChangeBounds (TControl)
pt | ChildClassAllowed (TControl)
pt | ChildClassAllowed (TWinControl)
pt | ChildClassAllowed (TCustomEdit)
pt | ChildHandlesCreated (TWinControl)
pt | ChildKey (TWinControl)
 | ClassInfo (TObject)
 | ClassName (TObject)
 | ClassNameIs (TObject)
 | ClassParent (TObject)
 | ClassType (TObject)
 | CleanupInstance (TObject)
 | Clear (TCustomEdit)
 | Clear (TCustomMaskEdit)
 | ClearSelection (TCustomEdit)
pt | Click (TControl)
 | ClientRectNeedsInterfaceUpdate (TWinControl)
 | ClientToParent (TControl)
 | ClientToScreen (TControl)
pt | CMBiDiModeChanged (TControl)
pt | CMBiDiModeChanged (TWinControl)
pt | CMBorderChanged (TWinControl)
pt | CMChanged (TControl)
pt | CMCursorChanged (TControl)
pt | CMDoubleBufferedChanged (TWinControl)
pt | CMEnabledChanged (TControl)
pt | CMEnabledChanged (TWinControl)
pt | CMEnter (TWinControl)
pt | CMExit (TWinControl)
pt | CMHintShow (TControl)
pt | CMHitTest (TControl)
pt | CMMouseEnter (TControl)
pt | CMMouseLeave (TControl)
pt | CMParentBiDiModeChanged (TControl)
pt | CMParentColorChanged (TControl)
pt | CMParentDoubleBufferedChanged (TWinControl)
pt | CMParentFontChanged (TControl)
pt | CMParentShowHintChanged (TControl)
pt | CMShowHintChanged (TWinControl)
pt | CMShowingChanged (TWinControl)
pt | CMSysFontChanged (TControl)
pt | CMTextChanged (TControl)
pt | CMVisibleChanged (TControl)
pt | CMVisibleChanged (TWinControl)
pt | CMWantSpecialKey (TCustomEdit)
pt | CNChar (TWinControl)
pt | CNKeyDown (TWinControl)
pt | CNKeyUp (TWinControl)
 | CNPreferredSizeChanged (TControl)
pt | CNSysKeyDown (TWinControl)
pt | CNSysKeyUp (TWinControl)
pt | ColorIsStored (TControl)
pt | ConstrainedResize (TControl)
 | ContainsControl (TWinControl)
 | ControlAtPos (TWinControl)
pt | ControlKeyDown (TWinControl)
pt | ControlKeyUp (TWinControl)
pt | ControlsAligned (TWinControl)
 | ControlToScreen (TControl)
 | CopyToClipboard (TCustomEdit)
 | Create (TObject)
 | Create (TComponent)
 | Create (TLCLComponent)
 | Create (TControl)
 | Create (TWinControl)
 | Create (TCustomEdit)
 | Create (TCustomMaskEdit)
 | CreateAccessibleObject (TControl)
pt | CreateBrush (TWinControl)
pt | CreateControlBorderSpacing (TControl)
pt | CreateDockManager (TWinControl)
pt | CreateEmulatedTextHintFont (TCustomEdit)
pt | CreateFloatingDockSite (TControl)
pt | CreateHandle (TWinControl)
pt | CreateParams (TWinControl)
pt | CreateParams (TCustomEdit)
 | CreateParented (TWinControl)
 | CreateParentedControl (TWinControl)
pt | CreateSubClass (TWinControl)
pt | CreateWnd (TWinControl)
pt | CustomAlignInsertBefore (TWinControl)
pt | CustomAlignPosition (TWinControl)
 | CutToClipboard (TCustomEdit)
 | CutToClipBoard (TCustomMaskEdit)
pt | DblClick (TControl)
 | DecLCLRefCount (TLCLComponent)
 | DefaultHandler (TObject)
 | DefaultHandler (TWinControl)
 | DefaultHandlerStr (TObject)
 | DefineProperties (TPersistent)
 | DefineProperties (TComponent)
pt | DefineProperties (TControl)
 | Destroy (TObject)
 | Destroy (TPersistent)
 | Destroy (TComponent)
 | Destroy (TLCLComponent)
 | Destroy (TControl)
 | Destroy (TWinControl)
 | Destroy (TCustomEdit)
 | DestroyComponents (TComponent)
pt | DestroyHandle (TWinControl)
 | Destroying (TComponent)
pt | DestroyWnd (TWinControl)
pt | DialogChar (TControl)
pt | DialogChar (TWinControl)
 | DisableAlign (TWinControl)
 | DisableAutoSizing (TControl)
pt | DisableMask (TCustomMaskEdit)
 | Dispatch (TObject)
 | DispatchStr (TObject)
pt | DoAddDockClient (TWinControl)
 | DoAdjustClientRectChange (TWinControl)
pt | DoAlignChildControls (TWinControl)
pt | DoAllAutoSize (TControl)
pt | DoAllAutoSize (TWinControl)
pt | DoAutoAdjustLayout (TControl)
pt | DoAutoSize (TControl)
pt | DoAutoSize (TWinControl)
pt | DoBorderSpacingChange (TControl)
pt | DoCallKeyEventHandler (TControl)
pt | DoCallMouseWheelEventHandler (TControl)
pt | DoCallNotifyHandler (TControl)
pt | DoChildSizingChange (TWinControl)
 | Dock (TControl)
 | DockDrop (TWinControl)
 | Docked (TControl)
pt | DockOver (TWinControl)
pt | DockTrackNoTarget (TControl)
pt | DoConstraintsChange (TControl)
pt | DoConstraintsChange (TWinControl)
pt | DoContextPopup (TControl)
pt | DoDock (TControl)
pt | DoDockClientMsg (TWinControl)
pt | DoDockOver (TWinControl)
pt | DoDragMsg (TControl)
pt | DoDragMsg (TWinControl)
pt | DoEndDock (TControl)
pt | DoEndDrag (TControl)
pt | DoEnter (TWinControl)
pt | DoEnter (TCustomEdit)
pt | DoEnter (TCustomMaskEdit)
pt | DoExit (TWinControl)
pt | DoExit (TCustomEdit)
pt | DoExit (TCustomMaskEdit)
pt | DoFixDesignFontPPI (TControl)
pt | DoFlipChildren (TWinControl)
pt | DoFloatMsg (TControl)
pt | DoFloatMsg (TWinControl)
pt | DoGetDockCaption (TWinControl)
pt | DoKeyDownBeforeInterface (TWinControl)
pt | DoKeyPress (TWinControl)
pt | DoKeyUpBeforeInterface (TWinControl)
pt | DoMouseWheel (TControl)
pt | DoMouseWheelDown (TControl)
pt | DoMouseWheelHorz (TControl)
pt | DoMouseWheelLeft (TControl)
pt | DoMouseWheelRight (TControl)
pt | DoMouseWheelUp (TControl)
pt | DoOnChangeBounds (TControl)
pt | DoOnParentHandleDestruction (TControl)
pt | DoOnResize (TControl)
pt | DoOnShowHint (TControl)
pt | DoRemainingKeyDown (TWinControl)
pt | DoRemainingKeyUp (TWinControl)
pt | DoRemoveDockClient (TWinControl)
pt | DoScaleFontPPI (TControl)
pt | DoSendBoundsToInterface (TWinControl)
pt | DoSendShowHideToInterface (TWinControl)
pt | DoSetBounds (TControl)
pt | DoSetBounds (TWinControl)
pt | DoStartDock (TControl)
pt | DoStartDrag (TControl)
pt | DoUnDock (TWinControl)
pt | DoUndockClientMsg (TWinControl)
pt | DoUTF8KeyPress (TWinControl)
pt | DragCanceled (TControl)
 | DragDrop (TControl)
 | Dragging (TControl)
pt | DragOver (TControl)
pt | EditCanModify (TCustomMaskEdit)
 | EditingDone (TControl)
pt | EditingDone (TCustomEdit)
 | EnableAlign (TWinControl)
 | EnableAutoSizing (TControl)
pt | EnabledChanged (TControl)
pt | EnabledChanging (TControl)
pt | EndAutoSizing (TControl)
 | EndDrag (TControl)
 | EndUpdateBounds (TWinControl)
 | Equals (TObject)
 | EraseBackground (TWinControl)
 | ExecuteAction (TComponent)
 | ExecuteCancelAction (TControl)
 | ExecuteDefaultAction (TControl)
 | FieldAddress (TObject)
pt | FinalizeWnd (TWinControl)
 | FindChildControl (TWinControl)
 | FindComponent (TComponent)
pt | FindNextControl (TWinControl)
 | FixDesignFontsPPI (TControl)
pt | FixupTabList (TWinControl)
 | FlipChildren (TWinControl)
 | Focused (TWinControl)
pt | FontChanged (TControl)
pt | FontChanged (TWinControl)
pt | FontChanged (TCustomEdit)
pt | ForeignAnchorSideChanged (TControl)
pt | FormEndUpdated (TControl)
pt | FormEndUpdated (TWinControl)
 | FormIsUpdating (TControl)
 | FPOAttachObserver (TPersistent)
 | FPODetachObserver (TPersistent)
 | FPONotifyObservers (TPersistent)
 | Free (TObject)
 | FreeInstance (TObject)
 | FreeNotification (TComponent)
 | FreeOnRelease (TComponent)
 | GetAccessibleObject (TControl)
pt | GetAction (TControl)
pt | GetActionLinkClass (TControl)
pt | GetAdjustedLogicalClientRect (TWinControl)
 | GetAnchorsDependingOnParent (TControl)
pt | GetBorderStyle (TWinControl)
pt | GetCachedText (TControl)
 | GetCanvasScaleFactor (TControl)
pt | GetCaretPos (TCustomEdit)
pt | GetCharCase (TCustomMaskEdit)
 | GetChildAccessibleObjectAtPos (TControl)
 | GetChildOwner (TComponent)
 | GetChildParent (TComponent)
 | GetChildren (TComponent)
pt | GetChildren (TWinControl)
 | GetChildrenRect (TControl)
 | GetChildrenRect (TWinControl)
pt | GetClientOrigin (TControl)
pt | GetClientOrigin (TWinControl)
pt | GetClientRect (TControl)
pt | GetClientRect (TWinControl)
pt | GetClientScrollOffset (TControl)
 | GetColorResolvingParent (TControl)
 | GetComObject (TComponent)
 | GetComponent (TComponent)
 | GetComponentCount (TComponent)
 | GetComponentIndex (TComponent)
pt | GetControlClassDefaultSize (TControl)
pt | GetControlClassDefaultSize (TCustomEdit)
 | GetControlIndex (TWinControl)
pt | GetControlOrigin (TControl)
pt | GetControlOrigin (TWinControl)
pt | GetCursor (TControl)
 | GetDefaultColor (TControl)
pt | GetDefaultDockCaption (TControl)
 | GetDefaultHeight (TControl)
 | GetDefaultWidth (TControl)
pt | GetDeviceContext (TControl)
pt | GetDeviceContext (TWinControl)
 | GetDockCaption (TWinControl)
pt | GetDockEdge (TControl)
pt | GetDragImages (TControl)
pt | GetEditText (TCustomMaskEdit)
pt | GetEnabled (TControl)
 | GetEnumerator (TComponent)
 | GetEnumeratorControls (TWinControl)
 | GetEnumeratorControlsReverse (TWinControl)
pt | GetFloating (TControl)
pt | GetFloatingDockSiteClass (TControl)
 | GetHashCode (TObject)
 | GetIDsOfNames (TComponent)
 | GetInterface (TObject)
 | GetInterfaceByStr (TObject)
 | GetInterfaceEntry (TObject)
 | GetInterfaceEntryByStr (TObject)
 | GetInterfaceTable (TObject)
 | GetInterfaceWeak (TObject)
pt | GetLogicalClientRect (TControl)
pt | GetMaxLength (TCustomMaskEdit)
pt | GetMouseCapture (TControl)
pt | GetMouseCapture (TWinControl)
pt | GetMousePosFromMessage (TControl)
 | GetNamePath (TPersistent)
 | GetNamePath (TComponent)
pt | GetNumbersOnly (TCustomEdit)
 | GetOwner (TPersistent)
 | GetOwner (TComponent)
pt | GetPalette (TControl)
pt | GetParentBackground (TWinControl)
 | GetParentComponent (TComponent)
 | GetParentComponent (TControl)
pt | GetParentHandle (TWinControl)
pt | GetPopupMenu (TControl)
 | GetPreferredSize (TControl)
pt | GetPreferredSizeClientFrame (TWinControl)
pt | GetReadOnly (TCustomEdit)
 | GetRGBColorResolvingParent (TControl)
pt | GetScrolledClientRect (TControl)
pt | GetSel (TCustomMaskEdit)
 | GetSelectedChildAccessibleObject (TControl)
pt | GetSelLength (TCustomEdit)
pt | GetSelStart (TCustomEdit)
pt | GetSelText (TCustomEdit)
 | GetSidePosition (TControl)
pt | GetSiteInfo (TWinControl)
 | GetTabOrderList (TWinControl)
 | GetTextBuf (TControl)
pt | GetTextHint (TCustomEdit)
 | GetTextLen (TControl)
 | GetTextLen (TWinControl)
pt | GetTextWithoutMask (TCustomMaskEdit)
pt | GetTextWithoutSpaceChar (TCustomMaskEdit)
 | GetTopParent (TControl)
pt | GetTopParentHandle (TWinControl)
 | GetTypeInfo (TComponent)
 | GetTypeInfoCount (TComponent)
pt | GetWSComponentClass (TLCLComponent)
 | HandleAllocated (TWinControl)
pt | HandleKeyPress (TCustomMaskEdit)
 | HandleNeeded (TWinControl)
 | HandleObjectShouldBeVisible (TControl)
 | HasHelp (TControl)
 | HasParent (TComponent)
 | HasParent (TControl)
pt | HeightIsAnchored (TControl)
 | Hide (TControl)
 | iicrGetComponent (TComponent)
 | IncLCLRefCount (TLCLComponent)
 | InheritsFrom (TObject)
pt | InitializeWnd (TWinControl)
pt | InitializeWnd (TCustomEdit)
 | InitiateAction (TControl)
 | InitInstance (TObject)
 | Insert (TComponent)
 | InsertComponent (TComponent)
 | InsertControl (TWinControl)
 | InstanceSize (TObject)
 | IntfGetDropFilesTarget (TWinControl)
 | IntfUTF8KeyPress (TWinControl)
 | Invalidate (TControl)
 | Invalidate (TWinControl)
pt | InvalidateBoundsRealized (TWinControl)
 | InvalidateClientRectCache (TWinControl)
pt | InvalidateControl (TControl)
pt | InvalidatePreferredChildSizes (TWinControl)
 | InvalidatePreferredSize (TControl)
 | Invoke (TComponent)
pt | IsAParentAligning (TControl)
pt | IsBorderSpacingInnerBorderStored (TControl)
pt | IsCaptionStored (TControl)
pt | IsClientHeightStored (TControl)
pt | IsClientHeightStored (TWinControl)
pt | IsClientWidthStored (TControl)
pt | IsClientWidthStored (TWinControl)
pt | IsControlMouseMsg (TWinControl)
 | IsControlVisible (TControl)
 | IsEnabled (TControl)
 | IsImplementorOf (TComponent)
 | IsParentColor (TControl)
 | IsParentFont (TControl)
 | IsParentOf (TControl)
 | IsProcessingPaintMsg (TControl)
 | IsRightToLeft (TControl)
 | IsVisible (TControl)
pt | KeyDown (TWinControl)
pt | KeyDown (TCustomMaskEdit)
pt | KeyDownAfterInterface (TWinControl)
pt | KeyDownBeforeInterface (TWinControl)
pt | KeyPress (TWinControl)
pt | KeyPress (TCustomMaskEdit)
pt | KeyUp (TWinControl)
pt | KeyUpAfterInterface (TWinControl)
pt | KeyUpAfterInterface (TCustomEdit)
pt | KeyUpBeforeInterface (TWinControl)
pt | LMCaptureChanged (TControl)
pt | LMClearSel (TCustomMaskEdit)
pt | LMCutToClip (TCustomMaskEdit)
pt | LMPasteFromClip (TCustomMaskEdit)
 | Loaded (TComponent)
pt | Loaded (TControl)
pt | Loaded (TWinControl)
pt | Loaded (TCustomMaskEdit)
pt | LoadedAll (TControl)
 | Loading (TComponent)
 | LockRealizeBounds (TWinControl)
pt | MainWndProc (TWinControl)
 | ManualDock (TControl)
 | ManualFloat (TControl)
 | MethodAddress (TObject)
 | MethodName (TObject)
pt | MouseDown (TControl)
pt | MouseEnter (TControl)
pt | MouseLeave (TControl)
pt | MouseMove (TControl)
pt | MouseUp (TControl)
pt | MouseUp (TCustomEdit)
pt | MouseUp (TCustomMaskEdit)
 | newinstance (TObject)
 | NewInstance (TLCLComponent)
 | Notification (TComponent)
pt | Notification (TControl)
 | NotifyControls (TWinControl)
pt | PaintControls (TWinControl)
pt | PaintHandler (TWinControl)
 | PaintTo (TWinControl)
pt | PaintWindow (TWinControl)
 | PaletteCreated (TComponent)
 | ParentDestroyingHandle (TControl)
pt | ParentFontChanged (TControl)
pt | ParentFormHandleInitialized (TControl)
pt | ParentFormHandleInitialized (TWinControl)
 | ParentHandlesAllocated (TControl)
 | ParentHandlesAllocated (TWinControl)
 | ParentToClient (TControl)
 | PasteFromClipboard (TCustomEdit)
 | PasteFromClipBoard (TCustomMaskEdit)
 | Perform (TControl)
 | PerformTab (TWinControl)
 | PerformTab (TGEEdit)
pt | PositionDockRect (TControl)
pt | QuadClick (TControl)
 | QueryInterface (TComponent)
 | ReadLeft (TComponent)
 | ReadState (TComponent)
pt | ReadState (TControl)
 | ReadTop (TComponent)
pt | RealGetText (TControl)
pt | RealGetText (TWinControl)
pt | RealGetText (TCustomEdit)
pt | RealGetText (TCustomMaskEdit)
 | ReAlign (TWinControl)
pt | RealizeBounds (TWinControl)
pt | RealizeBoundsRecursive (TWinControl)
pt | RealSetText (TControl)
pt | RealSetText (TWinControl)
pt | RealSetText (TCustomEdit)
pt | RealSetText (TCustomMaskEdit)
 | ReferenceInterface (TComponent)
 | Refresh (TControl)
pt | ReloadDockedControl (TWinControl)
 | Remove (TComponent)
 | RemoveAllHandlersOfObject (TLCLComponent)
 | RemoveAllHandlersOfObject (TControl)
 | RemoveAllHandlersOfObject (TCustomEdit)
 | RemoveComponent (TComponent)
 | RemoveControl (TWinControl)
pt | RemoveFocus (TWinControl)
 | RemoveFreeNotification (TComponent)
pt | RemoveHandler (TControl)
 | RemoveHandlerOnBeforeDestruction (TControl)
 | RemoveHandlerOnChange (TCustomEdit)
 | RemoveHandlerOnChangeBounds (TControl)
 | RemoveHandlerOnEnableChanging (TControl)
 | RemoveHandlerOnKeyDown (TControl)
 | RemoveHandlerOnMouseWheel (TControl)
 | RemoveHandlerOnResize (TControl)
 | RemoveHandlerOnVisibleChanged (TControl)
 | RemoveHandlerOnVisibleChanging (TControl)
 | RemoveNotification (TComponent)
 | Repaint (TControl)
 | Repaint (TWinControl)
 | ReplaceDockedControl (TControl)
pt | RequestAlign (TControl)
pt | Reset (TCustomMaskEdit)
pt | Resize (TControl)
pt | RestoreMask (TCustomMaskEdit)
 | SafeCallException (TObject)
 | SafeCallException (TComponent)
 | Scale96ToFont (TControl)
 | Scale96ToForm (TControl)
 | Scale96ToScreen (TControl)
 | ScaleBy (TWinControl)
pt | ScaleConstraints (TControl)
pt | ScaleControls (TWinControl)
 | ScaleDesignToForm (TControl)
 | ScaleFontsPPI (TControl)
 | ScaleFontTo96 (TControl)
 | ScaleFontToScreen (TControl)
 | ScaleFormTo96 (TControl)
 | ScaleFormToDesign (TControl)
 | ScaleScreenTo96 (TControl)
 | ScaleScreenToFont (TControl)
 | ScreenToClient (TControl)
 | ScreenToControl (TControl)
 | ScrollBy (TWinControl)
 | ScrollBy_WS (TWinControl)
 | SelectAll (TCustomEdit)
pt | SelectFirst (TWinControl)
 | SelectNext (TWinControl)
pt | SendDialogChar (TWinControl)
pt | SendMoveSizeMessages (TControl)
pt | SendMoveSizeMessages (TWinControl)
 | SendToBack (TControl)
pt | SetAction (TControl)
pt | SetAlign (TControl)
 | SetAncestor (TComponent)
pt | SetAnchors (TControl)
pt | SetAutoSize (TControl)
pt | SetBiDiMode (TControl)
pt | SetBorderStyle (TWinControl)
 | SetBounds (TControl)
 | SetBounds (TWinControl)
 | SetBoundsKeepBase (TControl)
pt | SetCaretPos (TCustomEdit)
pt | SetCharCase (TCustomMaskEdit)
 | SetChildOrder (TComponent)
pt | SetChildZPosition (TWinControl)
pt | SetColor (TControl)
pt | SetColor (TWinControl)
 | SetComponentIndex (TComponent)
 | SetControlIndex (TWinControl)
pt | SetCursor (TControl)
 | SetDesigning (TComponent)
 | SetDesignInstance (TComponent)
pt | SetDockManager (TWinControl)
pt | SetDragMode (TControl)
pt | SetEchoMode (TCustomEdit)
pt | SetEditText (TCustomMaskEdit)
pt | SetEnabled (TControl)
 | SetFocus (TWinControl)
pt | SetHint (TControl)
 | SetInitialBounds (TControl)
 | SetInline (TComponent)
pt | SetMaxLength (TCustomMaskEdit)
 | SetName (TComponent)
pt | SetName (TControl)
pt | SetNumbersOnly (TCustomEdit)
pt | SetNumbersOnly (TCustomMaskEdit)
pt | SetParent (TControl)
pt | SetParentBackground (TWinControl)
pt | SetParentBiDiMode (TControl)
 | SetParentComponent (TComponent)
pt | SetParentComponent (TControl)
pt | SetReadOnly (TCustomEdit)
 | SetReference (TComponent)
pt | SetSel (TCustomMaskEdit)
pt | SetSelLength (TCustomEdit)
pt | SetSelStart (TCustomEdit)
pt | SetSelText (TCustomEdit)
 | SetShape (TWinControl)
 | SetSubComponent (TComponent)
 | SetTempCursor (TControl)
 | SetTempCursor (TWinControl)
pt | SetTextApplyMask (TCustomMaskEdit)
 | SetTextBuf (TControl)
pt | SetTextHint (TCustomEdit)
pt | SetVisible (TControl)
pt | SetZOrder (TControl)
 | ShouldAutoAdjust (TControl)
pt | ShouldAutoAdjust (TCustomEdit)
 | Show (TControl)
pt | ShowControl (TWinControl)
 | ShowHelp (TControl)
 | StringMessageTable (TObject)
pt | TextChanged (TControl)
pt | TextChanged (TCustomEdit)
pt | TextChanged (TCustomMaskEdit)
 | ToString (TObject)
pt | TripleClick (TControl)
 | Undo (TCustomEdit)
 | UnitName (TObject)
 | UnlockRealizeBounds (TWinControl)
 | Update (TControl)
 | Update (TWinControl)
 | UpdateAction (TComponent)
pt | UpdateAnchorRules (TControl)
 | UpdateBaseBounds (TControl)
pt | UpdateControlState (TWinControl)
 | Updated (TComponent)
 | UpdateDockCaption (TWinControl)
pt | UpdateMouseCursor (TControl)
 | UpdateRegistry (TComponent)
 | UpdateRolesForForm (TControl)
pt | UpdateShowing (TWinControl)
 | Updating (TComponent)
 | UseRightToLeftAlignment (TControl)
 | UseRightToLeftReading (TControl)
 | UseRightToLeftScrollBar (TControl)
pt | UTF8KeyPress (TWinControl)
pt | Utf8KeyPress (TCustomMaskEdit)
 | ValidateContainer (TComponent)
 | ValidateEdit (TCustomMaskEdit)
 | ValidateInsert (TComponent)
 | ValidateRename (TComponent)
pt | VisibleChanged (TControl)
pt | VisibleChanging (TControl)
pt | WidthIsAnchored (TControl)
pt | WMCancelMode (TControl)
pt | WMChar (TWinControl)
pt | WMChar (TCustomEdit)
pt | WMContextMenu (TControl)
pt | WMContextMenu (TWinControl)
pt | WMDestroy (TWinControl)
pt | WMEnter (TWinControl)
pt | WMEraseBkgnd (TWinControl)
pt | WMExit (TWinControl)
pt | WMKeyDown (TWinControl)
pt | WMKeyUp (TWinControl)
pt | WMKillFocus (TWinControl)
pt | WMKillFocus (TCustomEdit)
pt | WMLButtonDBLCLK (TControl)
pt | WMLButtonDown (TControl)
pt | WMLButtonQuadCLK (TControl)
pt | WMLButtonTripleCLK (TControl)
pt | WMLButtonUp (TControl)
pt | WMMButtonDBLCLK (TControl)
pt | WMMButtonDown (TControl)
pt | WMMButtonQuadCLK (TControl)
pt | WMMButtonTripleCLK (TControl)
pt | WMMButtonUp (TControl)
pt | WMMouseHWheel (TControl)
pt | WMMouseMove (TControl)
pt | WMMouseWheel (TControl)
pt | WMMove (TControl)
pt | WMMove (TWinControl)
pt | WMNotify (TWinControl)
pt | WMPaint (TWinControl)
pt | WMRButtonDBLCLK (TControl)
pt | WMRButtonDown (TControl)
pt | WMRButtonQuadCLK (TControl)
pt | WMRButtonTripleCLK (TControl)
pt | WMRButtonUp (TControl)
pt | WMSetFocus (TWinControl)
pt | WMSetFocus (TCustomEdit)
pt | WMShowWindow (TWinControl)
pt | WMSize (TControl)
pt | WMSize (TWinControl)
pt | WMSysChar (TWinControl)
pt | WMSysKeyDown (TWinControl)
pt | WMSysKeyUp (TWinControl)
pt | WMWindowPosChanged (TControl)
pt | WMWindowPosChanged (TWinControl)
pt | WMXButtonDBLCLK (TControl)
pt | WMXButtonDown (TControl)
pt | WMXButtonQuadCLK (TControl)
pt | WMXButtonTripleCLK (TControl)
pt | WMXButtonUp (TControl)
pt | WndProc (TControl)
pt | WndProc (TWinControl)
pt | WndProc (TCustomEdit)
 | WriteLayoutDebugReport (TControl)
 | WriteLayoutDebugReport (TWinControl)
 | WriteLeft (TComponent)
 | WriteState (TComponent)
 | WriteTop (TComponent)
pt | WSRegisterClass (TLCLComponent)
pt | WSRegisterClass (TControl)
pt | WSRegisterClass (TWinControl)
pt | WSRegisterClass (TCustomEdit)
pt | WSSetText (TWinControl)
 | _AddRef (TComponent)
 | _Release (TComponent)


TGEEdit
TCustomMaskEdit
TCustomEdit
 | OnChange
TWinControl
pt | OnGetSiteInfo
pt | OnGetDockCaption
 | OnAlignInsertBefore
 | OnAlignPosition
 | OnDockDrop
 | OnDockOver
 | OnEnter
 | OnExit
 | OnKeyDown
 | OnKeyPress
 | OnKeyUp
 | OnUnDock
 | OnUTF8KeyPress
TControl
pt | OnConstrainedResize
pt | OnContextPopup
pt | OnDblClick
pt | OnTripleClick
pt | OnQuadClick
pt | OnDragDrop
pt | OnDragOver
pt | OnEndDock
pt | OnEndDrag
pt | OnMouseDown
pt | OnMouseMove
pt | OnMouseUp
pt | OnMouseEnter
pt | OnMouseLeave
pt | OnMouseWheel
pt | OnMouseWheelDown
pt | OnMouseWheelUp
pt | OnMouseWheelHorz
pt | OnMouseWheelLeft
pt | OnMouseWheelRight
pt | OnStartDock
pt | OnStartDrag
pt | OnEditingDone
 | OnChangeBounds
 | OnClick
 | OnResize
 | OnShowHint
TLCLComponent
TComponent
TPersistent
TObject


TGEEdit.PerformTab

Declaration

Source position: groupededit.pp line 55

public function TGEEdit.PerformTab(

  ForwardTab: Boolean

):Boolean; override;


TGEEditClass

Declaration

Source position: groupededit.pp line 58

type TGEEditClass = class of TGEEdit;


EHelpSystemException

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Declaration

Source position: helpintfs.pas line 39

type EHelpSystemException = class(Exception)

Inheritance

EHelpSystemException

|

Exception
|

TObject


EHelpSystemException
Exception
 | HelpContext
 | Message
TObject


EHelpSystemException
Exception
 | Create
 | CreateFmt
 | CreateRes
 | CreateResFmt
 | CreateHelp
 | CreateFmtHelp
 | CreateResHelp
 | CreateResFmtHelp
 | ToString
TObject
 | Create
 | Destroy
 | newinstance
 | FreeInstance
 | SafeCallException
 | DefaultHandler
 | Free
 | InitInstance
 | CleanupInstance
 | ClassType
 | ClassInfo
 | ClassName
 | ClassNameIs
 | ClassParent
 | InstanceSize
 | InheritsFrom
 | StringMessageTable
 | MethodAddress
 | MethodName
 | FieldAddress
 | AfterConstruction
 | BeforeDestruction
 | DefaultHandlerStr
 | Dispatch
 | DispatchStr
 | GetInterface
 | GetInterfaceByStr
 | GetInterfaceWeak
 | GetInterfaceEntry
 | GetInterfaceEntryByStr
 | GetInterfaceTable
 | UnitName
 | Equals
 | GetHashCode
 | ToString


EHelpSystemException

Exception

TObject


THelpManager

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Declaration

Source position: helpintfs.pas line 199

type THelpManager = class(TObject)

public

  function DoHelpNotFound();

  function ShowTableOfContents(); virtual;

  procedure ShowError(); virtual; abstract;

  function ShowHelpForQuery(); virtual;

  function ShowHelpForContext(); virtual;

  function ShowHelpForKeyword(); virtual;

  function ShowHelpForDirective(); virtual;

  function ShowHelpForPascalContexts(); virtual;

  function ShowHelpForSourcePosition(); virtual;

  function ShowHelpForMessageLine(); virtual;

  function ShowHelpForClass(); virtual;

  function ShowHelpFile(); virtual;

  function ShowHelp(); virtual;

end;

Inheritance

THelpManager

|

TObject


THelpManager

TObject


THelpManager
 | DoHelpNotFound
 | ShowTableOfContents
 | ShowError
 | ShowHelpForQuery
 | ShowHelpForContext
 | ShowHelpForKeyword
 | ShowHelpForDirective
 | ShowHelpForPascalContexts
 | ShowHelpForSourcePosition
 | ShowHelpForMessageLine
 | ShowHelpForClass
 | ShowHelpFile
 | ShowHelp
TObject
 | Create
 | Destroy
 | newinstance
 | FreeInstance
 | SafeCallException
 | DefaultHandler
 | Free
 | InitInstance
 | CleanupInstance
 | ClassType
 | ClassInfo
 | ClassName
 | ClassNameIs
 | ClassParent
 | InstanceSize
 | InheritsFrom
 | StringMessageTable
 | MethodAddress
 | MethodName
 | FieldAddress
 | AfterConstruction
 | BeforeDestruction
 | DefaultHandlerStr
 | Dispatch
 | DispatchStr
 | GetInterface
 | GetInterfaceByStr
 | GetInterfaceWeak
 | GetInterfaceEntry
 | GetInterfaceEntryByStr
 | GetInterfaceTable
 | UnitName
 | Equals
 | GetHashCode
 | ToString


AfterConstruction (TObject)

BeforeDestruction (TObject)

ClassInfo (TObject)

ClassName (TObject)

ClassNameIs (TObject)

ClassParent (TObject)

ClassType (TObject)

CleanupInstance (TObject)

Create (TObject)

DefaultHandler (TObject)

DefaultHandlerStr (TObject)

Destroy (TObject)

Dispatch (TObject)

DispatchStr (TObject)

DoHelpNotFound (THelpManager)

Equals (TObject)

FieldAddress (TObject)

Free (TObject)

FreeInstance (TObject)

GetHashCode (TObject)

GetInterface (TObject)

GetInterfaceByStr (TObject)

GetInterfaceEntry (TObject)

GetInterfaceEntryByStr (TObject)

GetInterfaceTable (TObject)

GetInterfaceWeak (TObject)

InheritsFrom (TObject)

InitInstance (TObject)

InstanceSize (TObject)

MethodAddress (TObject)

MethodName (TObject)

newinstance (TObject)

SafeCallException (TObject)

ShowError (THelpManager)

ShowHelp (THelpManager)

ShowHelpFile (THelpManager)

ShowHelpForClass (THelpManager)

ShowHelpForContext (THelpManager)

ShowHelpForDirective (THelpManager)

ShowHelpForKeyword (THelpManager)

ShowHelpForMessageLine (THelpManager)

ShowHelpForPascalContexts (THelpManager)

ShowHelpForQuery (THelpManager)

ShowHelpForSourcePosition (THelpManager)

ShowTableOfContents (THelpManager)

StringMessageTable (TObject)

ToString (TObject)

UnitName (TObject)


THelpManager.DoHelpNotFound

Declaration

Source position: helpintfs.pas line 201

public function THelpManager.DoHelpNotFound(

  var ErrMsg: string

):TShowHelpResult;


THelpManager.ShowError

Declaration

Source position: helpintfs.pas line 203

public procedure THelpManager.ShowError(

  ShowResult: TShowHelpResult;

  const ErrMsg: string

); virtual; abstract;


THelpManager.ShowHelp

Declaration

Source position: helpintfs.pas line 223

public function THelpManager.ShowHelp(

  const URL: string;

  const Title: string;

  const MimeType: string;

  var ErrMsg: string

):TShowHelpResult; virtual;


THelpManager.ShowHelpFile

Declaration

Source position: helpintfs.pas line 221

public function THelpManager.ShowHelpFile(

  const Filename: string;

  const Title: string;

  const MimeType: string;

  var ErrMsg: string

):TShowHelpResult; virtual;


THelpManager.ShowHelpForClass

Declaration

Source position: helpintfs.pas line 219

public function THelpManager.ShowHelpForClass(

  Query: THelpQueryClass;

  var ErrMsg: string

):TShowHelpResult; virtual;


THelpManager.ShowHelpForContext

Declaration

Source position: helpintfs.pas line 207

public function THelpManager.ShowHelpForContext(

  Query: THelpQueryContext;

  var ErrMsg: string

):TShowHelpResult; virtual;


THelpManager.ShowHelpForDirective

Declaration

Source position: helpintfs.pas line 211

public function THelpManager.ShowHelpForDirective(

  Query: THelpQueryDirective;

  var ErrMsg: string

):TShowHelpResult; virtual;


THelpManager.ShowHelpForKeyword

Declaration

Source position: helpintfs.pas line 209

public function THelpManager.ShowHelpForKeyword(

  Query: THelpQueryKeyword;

  var ErrMsg: string

):TShowHelpResult; virtual;


THelpManager.ShowHelpForMessageLine

Declaration

Source position: helpintfs.pas line 217

public function THelpManager.ShowHelpForMessageLine(

  Query: THelpQueryMessage;

  var ErrMsg: string

):TShowHelpResult; virtual;


THelpManager.ShowHelpForPascalContexts

Declaration

Source position: helpintfs.pas line 213

public function THelpManager.ShowHelpForPascalContexts(

  Query: THelpQueryPascalContexts;

  var ErrMsg: string

):TShowHelpResult; virtual;


THelpManager.ShowHelpForQuery

Declaration

Source position: helpintfs.pas line 205

public function THelpManager.ShowHelpForQuery(

  Query: THelpQuery;

  AutoFreeQuery: Boolean;

  var ErrMsg: string

):TShowHelpResult; virtual;


THelpManager.ShowHelpForSourcePosition

Declaration

Source position: helpintfs.pas line 215

public function THelpManager.ShowHelpForSourcePosition(

  Query: THelpQuerySourcePosition;

  var ErrMsg: string

):TShowHelpResult; virtual;


THelpManager.ShowTableOfContents

Declaration

Source position: helpintfs.pas line 202

public function THelpManager.ShowTableOfContents(

  var ErrMsg: string

):TShowHelpResult; virtual;


THelpQuery

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Declaration

Source position: helpintfs.pas line 58

type THelpQuery = class(TPersistent)

public

  constructor Create();

  property HelpDatabaseID: THelpDatabaseID; [rw]

end;

Inheritance

THelpQuery

|

TPersistent,IFPObserved
|

TObject


THelpQuery

HelpDatabaseID

TPersistent

TObject


THelpQuery
 | Create
TPersistent
 | AssignError
 | AssignTo
 | DefineProperties
 | GetOwner
 | Destroy
 | Assign
 | FPOAttachObserver
 | FPODetachObserver
 | FPONotifyObservers
 | GetNamePath
TObject
 | Create
 | Destroy
 | newinstance
 | FreeInstance
 | SafeCallException
 | DefaultHandler
 | Free
 | InitInstance
 | CleanupInstance
 | ClassType
 | ClassInfo
 | ClassName
 | ClassNameIs
 | ClassParent
 | InstanceSize
 | InheritsFrom
 | StringMessageTable
 | MethodAddress
 | MethodName
 | FieldAddress
 | AfterConstruction
 | BeforeDestruction
 | DefaultHandlerStr
 | Dispatch
 | DispatchStr
 | GetInterface
 | GetInterfaceByStr
 | GetInterfaceWeak
 | GetInterfaceEntry
 | GetInterfaceEntryByStr
 | GetInterfaceTable
 | UnitName
 | Equals
 | GetHashCode
 | ToString


AssignError (TPersistent)

AssignTo (TPersistent)

BeforeDestruction (TObject)

ClassInfo (TObject)

ClassName (TObject)

ClassNameIs (TObject)

ClassParent (TObject)

ClassType (TObject)

CleanupInstance (TObject)

Create (TObject)

Create (THelpQuery)

DefaultHandler (TObject)

DefaultHandlerStr (TObject)

DefineProperties (TPersistent)

Destroy (TObject)

Destroy (TPersistent)

Dispatch (TObject)

DispatchStr (TObject)

Equals (TObject)

FieldAddress (TObject)

FPOAttachObserver (TPersistent)

FPODetachObserver (TPersistent)

FPONotifyObservers (TPersistent)

Free (TObject)

FreeInstance (TObject)

GetHashCode (TObject)

GetInterface (TObject)

GetInterfaceByStr (TObject)

GetInterfaceEntry (TObject)

GetInterfaceEntryByStr (TObject)

GetInterfaceTable (TObject)

GetInterfaceWeak (TObject)

GetNamePath (TPersistent)

GetOwner (TPersistent)

InheritsFrom (TObject)

InitInstance (TObject)

InstanceSize (TObject)

MethodAddress (TObject)

MethodName (TObject)

newinstance (TObject)

SafeCallException (TObject)

StringMessageTable (TObject)

ToString (TObject)

UnitName (TObject)


THelpQuery

TPersistent

TObject


THelpQuery.Create

Declaration

Source position: helpintfs.pas line 62

public constructor THelpQuery.Create(

  const TheHelpDatabaseID: THelpDatabaseID

);


THelpQuery.HelpDatabaseID

Declaration

Source position: helpintfs.pas line 63

public property THelpQuery.HelpDatabaseID : THelpDatabaseID
  read FHelpDatabaseID
  write FHelpDatabaseID;


THelpQueryClass

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Declaration

Source position: helpintfs.pas line 187

type THelpQueryClass = class(THelpQuery)

public

  constructor Create();

  property TheClass: TClass; [rw]

end;

Inheritance

THelpQueryClass

|

THelpQuery

|

TPersistent,IFPObserved
|

TObject


THelpQueryClass
 | TheClass
THelpQuery
 | HelpDatabaseID
TPersistent
TObject


THelpQueryClass
 | Create
THelpQuery
 | Create
TPersistent
 | AssignError
 | AssignTo
 | DefineProperties
 | GetOwner
 | Destroy
 | Assign
 | FPOAttachObserver
 | FPODetachObserver
 | FPONotifyObservers
 | GetNamePath
TObject
 | Create
 | Destroy
 | newinstance
 | FreeInstance
 | SafeCallException
 | DefaultHandler
 | Free
 | InitInstance
 | CleanupInstance
 | ClassType
 | ClassInfo
 | ClassName
 | ClassNameIs
 | ClassParent
 | InstanceSize
 | InheritsFrom
 | StringMessageTable
 | MethodAddress
 | MethodName
 | FieldAddress
 | AfterConstruction
 | BeforeDestruction
 | DefaultHandlerStr
 | Dispatch
 | DispatchStr
 | GetInterface
 | GetInterfaceByStr
 | GetInterfaceWeak
 | GetInterfaceEntry
 | GetInterfaceEntryByStr
 | GetInterfaceTable
 | UnitName
 | Equals
 | GetHashCode
 | ToString


AssignError (TPersistent)

AssignTo (TPersistent)

BeforeDestruction (TObject)

ClassInfo (TObject)

ClassName (TObject)

ClassNameIs (TObject)

ClassParent (TObject)

ClassType (TObject)

CleanupInstance (TObject)

Create (TObject)

Create (THelpQuery)

Create (THelpQueryClass)

DefaultHandler (TObject)

DefaultHandlerStr (TObject)

DefineProperties (TPersistent)

Destroy (TObject)

Destroy (TPersistent)

Dispatch (TObject)

DispatchStr (TObject)

Equals (TObject)

FieldAddress (TObject)

FPOAttachObserver (TPersistent)

FPODetachObserver (TPersistent)

FPONotifyObservers (TPersistent)

Free (TObject)

FreeInstance (TObject)

GetHashCode (TObject)

GetInterface (TObject)

GetInterfaceByStr (TObject)

GetInterfaceEntry (TObject)

GetInterfaceEntryByStr (TObject)

GetInterfaceTable (TObject)

GetInterfaceWeak (TObject)

GetNamePath (TPersistent)

GetOwner (TPersistent)

InheritsFrom (TObject)

InitInstance (TObject)

InstanceSize (TObject)

MethodAddress (TObject)

MethodName (TObject)

newinstance (TObject)

SafeCallException (TObject)

StringMessageTable (TObject)

ToString (TObject)

UnitName (TObject)


THelpQueryClass

THelpQuery

TPersistent

TObject


THelpQueryClass.Create

Declaration

Source position: helpintfs.pas line 191

public constructor THelpQueryClass.Create(

  const TheHelpDatabaseID: THelpDatabaseID;

  const AClass: TClass

);


THelpQueryClass.TheClass

Declaration

Source position: helpintfs.pas line 193

public property THelpQueryClass.TheClass : TClass
  read FTheClass
  write FTheClass;


THelpQueryContext

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Declaration

Source position: helpintfs.pas line 76

type THelpQueryContext = class(THelpQuery)

public

  constructor Create();

  property Context: THelpContext; [rw]

end;

Inheritance

THelpQueryContext

|

THelpQuery

|

TPersistent,IFPObserved
|

TObject


THelpQueryContext
 | Context
THelpQuery
 | HelpDatabaseID
TPersistent
TObject


THelpQueryContext
 | Create
THelpQuery
 | Create
TPersistent
 | AssignError
 | AssignTo
 | DefineProperties
 | GetOwner
 | Destroy
 | Assign
 | FPOAttachObserver
 | FPODetachObserver
 | FPONotifyObservers
 | GetNamePath
TObject
 | Create
 | Destroy
 | newinstance
 | FreeInstance
 | SafeCallException
 | DefaultHandler
 | Free
 | InitInstance
 | CleanupInstance
 | ClassType
 | ClassInfo
 | ClassName
 | ClassNameIs
 | ClassParent
 | InstanceSize
 | InheritsFrom
 | StringMessageTable
 | MethodAddress
 | MethodName
 | FieldAddress
 | AfterConstruction
 | BeforeDestruction
 | DefaultHandlerStr
 | Dispatch
 | DispatchStr
 | GetInterface
 | GetInterfaceByStr
 | GetInterfaceWeak
 | GetInterfaceEntry
 | GetInterfaceEntryByStr
 | GetInterfaceTable
 | UnitName
 | Equals
 | GetHashCode
 | ToString


AssignError (TPersistent)

AssignTo (TPersistent)

BeforeDestruction (TObject)

ClassInfo (TObject)

ClassName (TObject)

ClassNameIs (TObject)

ClassParent (TObject)

ClassType (TObject)

CleanupInstance (TObject)

Create (TObject)

Create (THelpQuery)

Create (THelpQueryContext)

DefaultHandler (TObject)

DefaultHandlerStr (TObject)

DefineProperties (TPersistent)

Destroy (TObject)

Destroy (TPersistent)

Dispatch (TObject)

DispatchStr (TObject)

Equals (TObject)

FieldAddress (TObject)

FPOAttachObserver (TPersistent)

FPODetachObserver (TPersistent)

FPONotifyObservers (TPersistent)

Free (TObject)

FreeInstance (TObject)

GetHashCode (TObject)

GetInterface (TObject)

GetInterfaceByStr (TObject)

GetInterfaceEntry (TObject)

GetInterfaceEntryByStr (TObject)

GetInterfaceTable (TObject)

GetInterfaceWeak (TObject)

GetNamePath (TPersistent)

GetOwner (TPersistent)

InheritsFrom (TObject)

InitInstance (TObject)

InstanceSize (TObject)

MethodAddress (TObject)

MethodName (TObject)

newinstance (TObject)

SafeCallException (TObject)

StringMessageTable (TObject)

ToString (TObject)

UnitName (TObject)


THelpQueryContext

THelpQuery

TPersistent

TObject


THelpQueryContext.Context

Declaration

Source position: helpintfs.pas line 82

public property THelpQueryContext.Context : THelpContext
  read FContext
  write FContext;


THelpQueryContext.Create

Declaration

Source position: helpintfs.pas line 80

public constructor THelpQueryContext.Create(

  const TheHelpDatabaseID: THelpDatabaseID;

  const TheContext: THelpContext

);


THelpQueryDirective

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Declaration

Source position: helpintfs.pas line 100

type THelpQueryDirective = class(THelpQuery)

public

  constructor Create();

  property Directive: string; [rw]

end;

Inheritance

THelpQueryDirective
|

THelpQuery

|

TPersistent,IFPObserved
|

TObject


THelpQueryDirective
 | Directive
THelpQuery
 | HelpDatabaseID
TPersistent
TObject


THelpQueryDirective
 | Create
THelpQuery
 | Create
TPersistent
 | AssignError
 | AssignTo
 | DefineProperties
 | GetOwner
 | Destroy
 | Assign
 | FPOAttachObserver
 | FPODetachObserver
 | FPONotifyObservers
 | GetNamePath
TObject
 | Create
 | Destroy
 | newinstance
 | FreeInstance
 | SafeCallException
 | DefaultHandler
 | Free
 | InitInstance
 | CleanupInstance
 | ClassType
 | ClassInfo
 | ClassName
 | ClassNameIs
 | ClassParent
 | InstanceSize
 | InheritsFrom
 | StringMessageTable
 | MethodAddress
 | MethodName
 | FieldAddress
 | AfterConstruction
 | BeforeDestruction
 | DefaultHandlerStr
 | Dispatch
 | DispatchStr
 | GetInterface
 | GetInterfaceByStr
 | GetInterfaceWeak
 | GetInterfaceEntry
 | GetInterfaceEntryByStr
 | GetInterfaceTable
 | UnitName
 | Equals
 | GetHashCode
 | ToString


AssignError (TPersistent)

AssignTo (TPersistent)

BeforeDestruction (TObject)

ClassInfo (TObject)

ClassName (TObject)

ClassNameIs (TObject)

ClassParent (TObject)

ClassType (TObject)

CleanupInstance (TObject)

Create (TObject)

Create (THelpQuery)

Create (THelpQueryDirective)

DefaultHandler (TObject)

DefaultHandlerStr (TObject)

DefineProperties (TPersistent)

Destroy (TObject)

Destroy (TPersistent)

Dispatch (TObject)

DispatchStr (TObject)

Equals (TObject)

FieldAddress (TObject)

FPOAttachObserver (TPersistent)

FPODetachObserver (TPersistent)

FPONotifyObservers (TPersistent)

Free (TObject)

FreeInstance (TObject)

GetHashCode (TObject)

GetInterface (TObject)

GetInterfaceByStr (TObject)

GetInterfaceEntry (TObject)

GetInterfaceEntryByStr (TObject)

GetInterfaceTable (TObject)

GetInterfaceWeak (TObject)

GetNamePath (TPersistent)

GetOwner (TPersistent)

InheritsFrom (TObject)

InitInstance (TObject)

InstanceSize (TObject)

MethodAddress (TObject)

MethodName (TObject)

newinstance (TObject)

SafeCallException (TObject)

StringMessageTable (TObject)

ToString (TObject)

UnitName (TObject)


THelpQueryDirective

THelpQuery

TPersistent

TObject


THelpQueryDirective.Directive

Declaration

Source position: helpintfs.pas line 106

public property THelpQueryDirective.Directive : string
  read FDirective
  write FDirective;


THelpQueryKeyword

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Declaration

Source position: helpintfs.pas line 88

type THelpQueryKeyword = class(THelpQuery)

public

  constructor Create();

  property Keyword: string; [rw]

end;

Inheritance

THelpQueryKeyword

|

THelpQuery

|

TPersistent,IFPObserved
|

TObject


THelpQueryKeyword
 | Keyword
THelpQuery
 | HelpDatabaseID
TPersistent
TObject


THelpQueryKeyword
 | Create
THelpQuery
 | Create
TPersistent
 | AssignError
 | AssignTo
 | DefineProperties
 | GetOwner
 | Destroy
 | Assign
 | FPOAttachObserver
 | FPODetachObserver
 | FPONotifyObservers
 | GetNamePath
TObject
 | Create
 | Destroy
 | newinstance
 | FreeInstance
 | SafeCallException
 | DefaultHandler
 | Free
 | InitInstance
 | CleanupInstance
 | ClassType
 | ClassInfo
 | ClassName
 | ClassNameIs
 | ClassParent
 | InstanceSize
 | InheritsFrom
 | StringMessageTable
 | MethodAddress
 | MethodName
 | FieldAddress
 | AfterConstruction
 | BeforeDestruction
 | DefaultHandlerStr
 | Dispatch
 | DispatchStr
 | GetInterface
 | GetInterfaceByStr
 | GetInterfaceWeak
 | GetInterfaceEntry
 | GetInterfaceEntryByStr
 | GetInterfaceTable
 | UnitName
 | Equals
 | GetHashCode
 | ToString


AssignError (TPersistent)

AssignTo (TPersistent)

BeforeDestruction (TObject)

ClassInfo (TObject)

ClassName (TObject)

ClassNameIs (TObject)

ClassParent (TObject)

ClassType (TObject)

CleanupInstance (TObject)

Create (TObject)

Create (THelpQuery)

Create (THelpQueryKeyword)

DefaultHandler (TObject)

DefaultHandlerStr (TObject)

DefineProperties (TPersistent)

Destroy (TObject)

Destroy (TPersistent)

Dispatch (TObject)

DispatchStr (TObject)

Equals (TObject)

FieldAddress (TObject)

FPOAttachObserver (TPersistent)

FPODetachObserver (TPersistent)

FPONotifyObservers (TPersistent)

Free (TObject)

FreeInstance (TObject)

GetHashCode (TObject)

GetInterface (TObject)

GetInterfaceByStr (TObject)

GetInterfaceEntry (TObject)

GetInterfaceEntryByStr (TObject)

GetInterfaceTable (TObject)

GetInterfaceWeak (TObject)

GetNamePath (TPersistent)

GetOwner (TPersistent)

InheritsFrom (TObject)

InitInstance (TObject)

InstanceSize (TObject)

MethodAddress (TObject)

MethodName (TObject)

newinstance (TObject)

SafeCallException (TObject)

StringMessageTable (TObject)

ToString (TObject)

UnitName (TObject)


THelpQueryKeyword

THelpQuery

TPersistent

TObject


THelpQueryKeyword.Create

Declaration

Source position: helpintfs.pas line 92

public constructor THelpQueryKeyword.Create(

  const TheHelpDatabaseID: THelpDatabaseID;

  const TheKeyWord: string

);


THelpQueryKeyword.Keyword

Declaration

Source position: helpintfs.pas line 94

public property THelpQueryKeyword.Keyword : string
  read FKeyword
  write FKeyword;


THelpQueryMessage

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Declaration

Source position: helpintfs.pas line 171

type THelpQueryMessage = class(THelpQuery)

public

  constructor Create();

  destructor Destroy; override;

  property WholeMessage: string; [rw]

  property MessageParts: TStrings; [rw]

end;

Inheritance

THelpQueryMessage

|

THelpQuery

|

TPersistent,IFPObserved
|

TObject


THelpQueryMessage
 | WholeMessage
 | MessageParts
THelpQuery
 | HelpDatabaseID
TPersistent
TObject


THelpQueryMessage
 | Create
 | Destroy
THelpQuery
 | Create
TPersistent
 | AssignError
 | AssignTo
 | DefineProperties
 | GetOwner
 | Destroy
 | Assign
 | FPOAttachObserver
 | FPODetachObserver
 | FPONotifyObservers
 | GetNamePath
TObject
 | Create
 | Destroy
 | newinstance
 | FreeInstance
 | SafeCallException
 | DefaultHandler
 | Free
 | InitInstance
 | CleanupInstance
 | ClassType
 | ClassInfo
 | ClassName
 | ClassNameIs
 | ClassParent
 | InstanceSize
 | InheritsFrom
 | StringMessageTable
 | MethodAddress
 | MethodName
 | FieldAddress
 | AfterConstruction
 | BeforeDestruction
 | DefaultHandlerStr
 | Dispatch
 | DispatchStr
 | GetInterface
 | GetInterfaceByStr
 | GetInterfaceWeak
 | GetInterfaceEntry
 | GetInterfaceEntryByStr
 | GetInterfaceTable
 | UnitName
 | Equals
 | GetHashCode
 | ToString


AssignError (TPersistent)

AssignTo (TPersistent)

BeforeDestruction (TObject)

ClassInfo (TObject)

ClassName (TObject)

ClassNameIs (TObject)

ClassParent (TObject)

ClassType (TObject)

CleanupInstance (TObject)

Create (TObject)

Create (THelpQuery)

Create (THelpQueryMessage)

DefaultHandler (TObject)

DefaultHandlerStr (TObject)

DefineProperties (TPersistent)

Destroy (TObject)

Destroy (TPersistent)

Destroy (THelpQueryMessage)

Dispatch (TObject)

DispatchStr (TObject)

Equals (TObject)

FieldAddress (TObject)

FPOAttachObserver (TPersistent)

FPODetachObserver (TPersistent)

FPONotifyObservers (TPersistent)

Free (TObject)

FreeInstance (TObject)

GetHashCode (TObject)

GetInterface (TObject)

GetInterfaceByStr (TObject)

GetInterfaceEntry (TObject)

GetInterfaceEntryByStr (TObject)

GetInterfaceTable (TObject)

GetInterfaceWeak (TObject)

GetNamePath (TPersistent)

GetOwner (TPersistent)

InheritsFrom (TObject)

InitInstance (TObject)

InstanceSize (TObject)

MethodAddress (TObject)

MethodName (TObject)

newinstance (TObject)

SafeCallException (TObject)

StringMessageTable (TObject)

ToString (TObject)

UnitName (TObject)


THelpQueryMessage

THelpQuery

TPersistent

TObject


THelpQueryMessage.Create

Declaration

Source position: helpintfs.pas line 176

public constructor THelpQueryMessage.Create(

  const TheHelpDatabaseID: THelpDatabaseID;

  const TheMessage: string;

  TheMessageParts: TStrings

);


THelpQueryMessage.Destroy

Declaration

Source position: helpintfs.pas line 179

public destructor THelpQueryMessage.Destroy; override;


THelpQueryMessage.MessageParts

Declaration

Source position: helpintfs.pas line 181

public property THelpQueryMessage.MessageParts : TStrings
  read FMessageParts
  write FMessageParts;


THelpQueryMessage.WholeMessage

Declaration

Source position: helpintfs.pas line 180

public property THelpQueryMessage.WholeMessage : string
  read FWholeMessage
  write FWholeMessage;


THelpQueryPascalContexts

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Declaration

Source position: helpintfs.pas line 126

type THelpQueryPascalContexts = class(THelpQuerySourcePosition)

public

  constructor Create();

  property ListOfPascalHelpContextList: TList; [rw]

end;

Inheritance

THelpQueryPascalContexts

|

THelpQuerySourcePosition

|

THelpQuery

|

TPersistent,IFPObserved
|

TObject


THelpQueryPascalContexts
 | ListOfPascalHelpContextList
THelpQuerySourcePosition
 | Filename
 | SourcePosition
THelpQuery
 | HelpDatabaseID
TPersistent
TObject


Filename (THelpQuerySourcePosition)

HelpDatabaseID (THelpQuery)

ListOfPascalHelpContextList (THelpQueryPascalContexts)

SourcePosition (THelpQuerySourcePosition)


THelpQueryPascalContexts
 | Create
THelpQuerySourcePosition
 | Create
THelpQuery
 | Create
TPersistent
 | AssignError
 | AssignTo
 | DefineProperties
 | GetOwner
 | Destroy
 | Assign
 | FPOAttachObserver
 | FPODetachObserver
 | FPONotifyObservers
 | GetNamePath
TObject
 | Create
 | Destroy
 | newinstance
 | FreeInstance
 | SafeCallException
 | DefaultHandler
 | Free
 | InitInstance
 | CleanupInstance
 | ClassType
 | ClassInfo
 | ClassName
 | ClassNameIs
 | ClassParent
 | InstanceSize
 | InheritsFrom
 | StringMessageTable
 | MethodAddress
 | MethodName
 | FieldAddress
 | AfterConstruction
 | BeforeDestruction
 | DefaultHandlerStr
 | Dispatch
 | DispatchStr
 | GetInterface
 | GetInterfaceByStr
 | GetInterfaceWeak
 | GetInterfaceEntry
 | GetInterfaceEntryByStr
 | GetInterfaceTable
 | UnitName
 | Equals
 | GetHashCode
 | ToString


AssignError (TPersistent)

AssignTo (TPersistent)

BeforeDestruction (TObject)

ClassInfo (TObject)

ClassName (TObject)

ClassNameIs (TObject)

ClassParent (TObject)

ClassType (TObject)

CleanupInstance (TObject)

Create (TObject)

Create (THelpQuery)

Create (THelpQuerySourcePosition)

Create (THelpQueryPascalContexts)

DefaultHandler (TObject)

DefaultHandlerStr (TObject)

DefineProperties (TPersistent)

Destroy (TObject)

Destroy (TPersistent)

Dispatch (TObject)

DispatchStr (TObject)

Equals (TObject)

FieldAddress (TObject)

FPOAttachObserver (TPersistent)

FPODetachObserver (TPersistent)

FPONotifyObservers (TPersistent)

Free (TObject)

FreeInstance (TObject)

GetHashCode (TObject)

GetInterface (TObject)

GetInterfaceByStr (TObject)

GetInterfaceEntry (TObject)

GetInterfaceEntryByStr (TObject)

GetInterfaceTable (TObject)

GetInterfaceWeak (TObject)

GetNamePath (TPersistent)

GetOwner (TPersistent)

InheritsFrom (TObject)

InitInstance (TObject)

InstanceSize (TObject)

MethodAddress (TObject)

MethodName (TObject)

newinstance (TObject)

SafeCallException (TObject)

StringMessageTable (TObject)

ToString (TObject)

UnitName (TObject)


THelpQueryPascalContexts

THelpQuerySourcePosition

THelpQuery

TPersistent

TObject


THelpQueryPascalContexts.Create

Declaration

Source position: helpintfs.pas line 130

public constructor THelpQueryPascalContexts.Create(

  const TheHelpDatabaseID: THelpDatabaseID;

  const TheFilename: string;

  const SrcPos: TPoint;

  ContextLists: TList

);


THelpQueryPascalContexts.ListOfPascalHelpContextList

Declaration

Source position: helpintfs.pas line 133

public property THelpQueryPascalContexts.ListOfPascalHelpContextList : TList
  read FContextLists
  write FContextLists;


THelpQuerySourcePosition

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Declaration

Source position: helpintfs.pas line 112

type THelpQuerySourcePosition = class(THelpQuery)

public

  constructor Create();

  property Filename: string; [rw]

  property SourcePosition: TPoint; [rw]

end;

Inheritance

THelpQuerySourcePosition

|

THelpQuery

|

TPersistent,IFPObserved
|

TObject


THelpQuerySourcePosition
 | Filename
 | SourcePosition
THelpQuery
 | HelpDatabaseID
TPersistent
TObject


THelpQuerySourcePosition
 | Create
THelpQuery
 | Create
TPersistent
 | AssignError
 | AssignTo
 | DefineProperties
 | GetOwner
 | Destroy
 | Assign
 | FPOAttachObserver
 | FPODetachObserver
 | FPONotifyObservers
 | GetNamePath
TObject
 | Create
 | Destroy
 | newinstance
 | FreeInstance
 | SafeCallException
 | DefaultHandler
 | Free
 | InitInstance
 | CleanupInstance
 | ClassType
 | ClassInfo
 | ClassName
 | ClassNameIs
 | ClassParent
 | InstanceSize
 | InheritsFrom
 | StringMessageTable
 | MethodAddress
 | MethodName
 | FieldAddress
 | AfterConstruction
 | BeforeDestruction
 | DefaultHandlerStr
 | Dispatch
 | DispatchStr
 | GetInterface
 | GetInterfaceByStr
 | GetInterfaceWeak
 | GetInterfaceEntry
 | GetInterfaceEntryByStr
 | GetInterfaceTable
 | UnitName
 | Equals
 | GetHashCode
 | ToString


AssignError (TPersistent)

AssignTo (TPersistent)

BeforeDestruction (TObject)

ClassInfo (TObject)

ClassName (TObject)

ClassNameIs (TObject)

ClassParent (TObject)

ClassType (TObject)

CleanupInstance (TObject)

Create (TObject)

Create (THelpQuery)

Create (THelpQuerySourcePosition)

DefaultHandler (TObject)

DefaultHandlerStr (TObject)

DefineProperties (TPersistent)

Destroy (TObject)

Destroy (TPersistent)

Dispatch (TObject)

DispatchStr (TObject)

Equals (TObject)

FieldAddress (TObject)

FPOAttachObserver (TPersistent)

FPODetachObserver (TPersistent)

FPONotifyObservers (TPersistent)

Free (TObject)

FreeInstance (TObject)

GetHashCode (TObject)

GetInterface (TObject)

GetInterfaceByStr (TObject)

GetInterfaceEntry (TObject)

GetInterfaceEntryByStr (TObject)

GetInterfaceTable (TObject)

GetInterfaceWeak (TObject)

GetNamePath (TPersistent)

GetOwner (TPersistent)

InheritsFrom (TObject)

InitInstance (TObject)

InstanceSize (TObject)

MethodAddress (TObject)

MethodName (TObject)

newinstance (TObject)

SafeCallException (TObject)

StringMessageTable (TObject)

ToString (TObject)

UnitName (TObject)


THelpQuerySourcePosition

THelpQuery

TPersistent

TObject


THelpQuerySourcePosition.Create

Declaration

Source position: helpintfs.pas line 117

public constructor THelpQuerySourcePosition.Create(

  const TheHelpDatabaseID: THelpDatabaseID;

  const TheFilename: string;

  const SrcPos: TPoint

);


THelpQuerySourcePosition.Filename

Declaration

Source position: helpintfs.pas line 119

public property THelpQuerySourcePosition.Filename : string
  read FFilename
  write FFilename;


THelpQuerySourcePosition.SourcePosition

Declaration

Source position: helpintfs.pas line 120

public property THelpQuerySourcePosition.SourcePosition : TPoint
  read FSourcePosition
  write FSourcePosition;


THelpQueryTOC

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Declaration

Source position: helpintfs.pas line 70

type THelpQueryTOC = class(THelpQuery) end;

Inheritance

THelpQueryTOC

|

THelpQuery

|

TPersistent,IFPObserved
|

TObject


THelpQueryTOC

THelpQuery

HelpDatabaseID

TPersistent

TObject


THelpQueryTOC
THelpQuery
 | Create
TPersistent
 | AssignError
 | AssignTo
 | DefineProperties
 | GetOwner
 | Destroy
 | Assign
 | FPOAttachObserver
 | FPODetachObserver
 | FPONotifyObservers
 | GetNamePath
TObject
 | Create
 | Destroy
 | newinstance
 | FreeInstance
 | SafeCallException
 | DefaultHandler
 | Free
 | InitInstance
 | CleanupInstance
 | ClassType
 | ClassInfo
 | ClassName
 | ClassNameIs
 | ClassParent
 | InstanceSize
 | InheritsFrom
 | StringMessageTable
 | MethodAddress
 | MethodName
 | FieldAddress
 | AfterConstruction
 | BeforeDestruction
 | DefaultHandlerStr
 | Dispatch
 | DispatchStr
 | GetInterface
 | GetInterfaceByStr
 | GetInterfaceWeak
 | GetInterfaceEntry
 | GetInterfaceEntryByStr
 | GetInterfaceTable
 | UnitName
 | Equals
 | GetHashCode
 | ToString


THelpQueryTOC

THelpQuery

TPersistent

TObject


IImageCacheListener

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Declaration

Source position: imagelistcache.pas line 30

type IImageCacheListener = interface

  procedure CacheSetImageList();

  procedure CacheSetImageIndex();

end;

Inheritance

IImageCacheListener

The latest version of this document can be found at lazarus-ccr.sourceforge.net .


IImageCacheListener


IImageCacheListener
 | CacheSetImageList
 | CacheSetImageIndex


IImageCacheListener.CacheSetImageIndex

Declaration

Source position: imagelistcache.pas line 32

procedure IImageCacheListener.CacheSetImageIndex(

  AIndex: Integer;

  AImageIndex: Integer

);


IImageCacheListener.CacheSetImageList

Declaration

Source position: imagelistcache.pas line 31

procedure IImageCacheListener.CacheSetImageList(

  AImageList: TCustomImageList

);


TImageCacheItems

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Declaration

Source position: imagelistcache.pas line 45

type TImageCacheItems = class(TList)

protected

  procedure Notify(); override;

public

  function GetNew;

  property Items []: PImageCacheItem; default; [rw]

end;

Inheritance

TImageCacheItems

|

TList,IFPObserved
|

TObject


TImageCacheItems
 |  | Items
TList
 |  | Capacity
 |  | Count
 |  | Items
 | ro | List
TObject


 | Capacity (TList)
 | Count (TList)
 | Items (TList)
 | Items (TImageCacheItems)
ro | List (TList)


TImageCacheItems
pt | Notify
 | GetNew
TList
 | CopyMove
 | MergeMove
 | DoCopy
 | DoSrcUnique
 | DoAnd
 | DoDestUnique
 | DoOr
 | DoXOr
 | Get
 | Grow
 | Put
 | Notify
 | SetCapacity
 | GetCapacity
 | SetCount
 | GetCount
 | GetList
 | Create
 | Destroy
 | FPOAttachObserver
 | FPODetachObserver
 | FPONotifyObservers
 | AddList
 | Add
 | Clear
 | Delete
 | Error
 | Exchange
 | Expand
 | Extract
 | First
 | GetEnumerator
 | IndexOf
 | Insert
 | Last
 | Move
 | Assign
 | Remove
 | Pack
 | Sort
TObject
 | Create
 | Destroy
 | newinstance
 | FreeInstance
 | SafeCallException
 | DefaultHandler
 | Free
 | InitInstance
 | CleanupInstance
 | ClassType
 | ClassInfo
 | ClassName
 | ClassNameIs
 | ClassParent
 | InstanceSize
 | InheritsFrom
 | StringMessageTable
 | MethodAddress
 | MethodName
 | FieldAddress
 | AfterConstruction
 | BeforeDestruction
 | DefaultHandlerStr
 | Dispatch
 | DispatchStr
 | GetInterface
 | GetInterfaceByStr
 | GetInterfaceWeak
 | GetInterfaceEntry
 | GetInterfaceEntryByStr
 | GetInterfaceTable
 | UnitName
 | Equals
 | GetHashCode
 | ToString


 | Add (TList)
 | AddList (TList)
 | AfterConstruction (TObject)
 | Assign (TList)
 | BeforeDestruction (TObject)
 | ClassInfo (TObject)
 | ClassName (TObject)
 | ClassNameIs (TObject)
 | ClassParent (TObject)
 | ClassType (TObject)
 | CleanupInstance (TObject)
 | Clear (TList)
 | CopyMove (TList)
 | Create (TObject)
 | Create (TList)
 | DefaultHandler (TObject)
 | DefaultHandlerStr (TObject)
 | Delete (TList)
 | Destroy (TObject)
 | Destroy (TList)
 | Dispatch (TObject)
 | DispatchStr (TObject)
 | DoAnd (TList)
 | DoCopy (TList)
 | DoDestUnique (TList)
 | DoOr (TList)
 | DoSrcUnique (TList)
 | DoXOr (TList)
 | Equals (TObject)
 | Error (TList)
 | Exchange (TList)
 | Expand (TList)
 | Extract (TList)
 | FieldAddress (TObject)
 | First (TList)
 | FPOAttachObserver (TList)
 | FPODetachObserver (TList)
 | FPONotifyObservers (TList)
 | Free (TObject)
 | FreeInstance (TObject)
 | Get (TList)
 | GetCapacity (TList)
 | GetCount (TList)
 | GetEnumerator (TList)
 | GetHashCode (TObject)
 | GetInterface (TObject)
 | GetInterfaceByStr (TObject)
 | GetInterfaceEntry (TObject)
 | GetInterfaceEntryByStr (TObject)
 | GetInterfaceTable (TObject)
 | GetInterfaceWeak (TObject)
 | GetList (TList)
 | GetNew (TImageCacheItems)
 | Grow (TList)
 | IndexOf (TList)
 | InheritsFrom (TObject)
 | InitInstance (TObject)
 | Insert (TList)
 | InstanceSize (TObject)
 | Last (TList)
 | MergeMove (TList)
 | MethodAddress (TObject)
 | MethodName (TObject)
 | Move (TList)
 | newinstance (TObject)
 | Notify (TList)
pt | Notify (TImageCacheItems)
 | Pack (TList)
 | Put (TList)
 | Remove (TList)
 | SafeCallException (TObject)
 | SetCapacity (TList)
 | SetCount (TList)
 | Sort (TList)
 | StringMessageTable (TObject)
 | ToString (TObject)
 | UnitName (TObject)


TImageCacheItems

TList

TObject


TImageCacheItems.GetNew

Declaration

Source position: imagelistcache.pas line 53

public function TImageCacheItems.GetNew: PImageCacheItem;


TImageCacheItems.Items

Declaration

Source position: imagelistcache.pas line 54

public property TImageCacheItems.Items[AIndex: Integer] : PImageCacheItem
  read GetItem
  write SetItem;
  default;


TImageCacheItems.Notify

Declaration

Source position: imagelistcache.pas line 51

protected procedure TImageCacheItems.Notify(

  Ptr: Pointer;

  Action: TListNotification

); override;


TImageListCache

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Declaration

Source position: imagelistcache.pas line 59

type TImageListCache = class

public

  constructor Create;

  destructor Destroy; override;

  function RegisterListener();

  procedure UnregisterListener();

  procedure RegisterBitmap();

  procedure Rebuild;

end;

Inheritance

TImageListCache

|

TObject


TImageListCache


TImageListCache
 | Create
 | Destroy
 | RegisterListener
 | UnregisterListener
 | RegisterBitmap
 | Rebuild


Create (TImageListCache)

Destroy (TImageListCache)

Rebuild (TImageListCache)

RegisterBitmap (TImageListCache)

RegisterListener (TImageListCache)

UnregisterListener (TImageListCache)


TImageListCache.Create

Declaration

Source position: imagelistcache.pas line 70

public constructor TImageListCache.Create;


TImageListCache.Destroy

Declaration

Source position: imagelistcache.pas line 71

public destructor TImageListCache.Destroy; override;


TImageListCache.Rebuild

Declaration

Source position: imagelistcache.pas line 76

public procedure TImageListCache.Rebuild;


TImageListCache.RegisterBitmap

Declaration

Source position: imagelistcache.pas line 75

public procedure TImageListCache.RegisterBitmap(

  AListener: IImageCacheListener;

  ABitmap: TBitmap;

  ABitmapCount: Integer = 1

);


TImageListCache.RegisterListener

Declaration

Source position: imagelistcache.pas line 73

public function TImageListCache.RegisterListener(

  AListener: IImageCacheListener

):Integer;


TImageListCache.UnregisterListener

Declaration

Source position: imagelistcache.pas line 74

public procedure TImageListCache.UnregisterListener(

  AListener: IImageCacheListener

);


TChangeLink

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Use a TChangelink to get notified of imagelist changes.

Declaration

Source position: imglist.pp line 72

type TChangeLink = class(TObject)
public
destructor Destroy; override;
procedure Change; virtual; | Change - software emulation of the OnChange event
property OnChange: TNotifyEvent; [rw] | OnChange - event handler for a change in the Imagelist
property OnDestroyResolutionHandle: TDestroyResolutionHandleEvent; [rw]
property Sender: TCustomImageList; [rw] | Sender - the imagelist that has notified us of a change
end;

Inheritance

TChangeLink

Use a TChangelink to get notified of imagelist changes.
|

TObject

See also

TCustomImageList.RegisterChanges

Registers an TChangeLink object to get notified of a change of the imagelist.


TChangeLink

Sender

TObject


TChangeLink
 | Destroy
 | Change
TObject
 | Create
 | Destroy
 | newinstance
 | FreeInstance
 | SafeCallException
 | DefaultHandler
 | Free
 | InitInstance
 | CleanupInstance
 | ClassType
 | ClassInfo
 | ClassName
 | ClassNameIs
 | ClassParent
 | InstanceSize
 | InheritsFrom
 | StringMessageTable
 | MethodAddress
 | MethodName
 | FieldAddress
 | AfterConstruction
 | BeforeDestruction
 | DefaultHandlerStr
 | Dispatch
 | DispatchStr
 | GetInterface
 | GetInterfaceByStr
 | GetInterfaceWeak
 | GetInterfaceEntry
 | GetInterfaceEntryByStr
 | GetInterfaceTable
 | UnitName
 | Equals
 | GetHashCode
 | ToString


AfterConstruction (TObject)

BeforeDestruction (TObject)

Change (TChangeLink)

ClassInfo (TObject)

ClassName (TObject)

ClassNameIs (TObject)

ClassParent (TObject)

ClassType (TObject)

CleanupInstance (TObject)

Create (TObject)

DefaultHandler (TObject)

DefaultHandlerStr (TObject)

Destroy (TObject)

Destroy (TChangeLink)

Dispatch (TObject)

DispatchStr (TObject)

Equals (TObject)

FieldAddress (TObject)

Free (TObject)

FreeInstance (TObject)

GetHashCode (TObject)

GetInterface (TObject)

GetInterfaceByStr (TObject)

GetInterfaceEntry (TObject)

GetInterfaceEntryByStr (TObject)

GetInterfaceTable (TObject)

GetInterfaceWeak (TObject)

InheritsFrom (TObject)

InitInstance (TObject)

InstanceSize (TObject)

MethodAddress (TObject)

MethodName (TObject)

newinstance (TObject)

SafeCallException (TObject)

StringMessageTable (TObject)

ToString (TObject)

UnitName (TObject)


TChangeLink
 | OnChange
 | OnDestroyResolutionHandle
TObject


TChangeLink.Change

Change - software emulation of the OnChange event

Declaration

Source position: imglist.pp line 81

public procedure TChangeLink.Change; virtual;


TChangeLink.Destroy

Declaration

Source position: imglist.pp line 80

public destructor TChangeLink.Destroy; override;


TChangeLink.OnChange

OnChange - event handler for a change in the Imagelist

Declaration

Source position: imglist.pp line 82

public property TChangeLink.OnChange : TNotifyEvent
  read FOnChange
  write FOnChange;


TChangeLink.OnDestroyResolutionHandle

Declaration

Source position: imglist.pp line 83

public property TChangeLink.OnDestroyResolutionHandle : TDestroyResolutionHandleEvent
  read FOnDestroyResolutionHandle
  write FOnDestroyResolutionHandle;


TChangeLink.Sender

Sender - the imagelist that has notified us of a change

Declaration

Source position: imglist.pp line 84

public property TChangeLink.Sender : TCustomImageList
  read FSender
  write FSender;


TCustomImageList

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Base class for TImageList (not the same as a TBitmap collection)

Declaration

Source position: imglist.pp line 267

type TCustomImageList = class(TLCLComponent)
protected
function GetResolution();
function GetResolutionClass; virtual;
procedure CheckIndex(); | Assures that Index is not out of the list bound.
procedure Initialize; virtual; | Initialize - sets up the list
procedure DefineProperties(); override;
procedure SetWidthHeight(); | Sets both the Width and Height of all images.
procedure ClearOverlays;
public
constructor Create(); override;
constructor CreateSize(); | Initialize the list for image(s) with the given height and width.
destructor Destroy; override;
class procedure ScaleImage();
procedure AssignTo(); override;
procedure Assign(); override;
procedure WriteData(); virtual; | Writes the ImageList data into the stream.
procedure ReadData(); virtual; | Restores the ImageList data from the stream.
procedure WriteAdvData(); virtual;
procedure ReadAdvData(); virtual;
function Equals(); | Check for equivalence with another ImageList
procedure BeginUpdate; | Start updating the data, block the OnChange event.
procedure EndUpdate; | EndUpdate - finish updating the data, call Change.
function Add(); | Adds an Image and Mask bitmap to the list. Returns the index of the added image or -1 if unsucessful.
function AddMultipleResolutions();
function AddSliced();
function AddSlice();
function AddSliceCentered();
function AddIcon(); | Adds an icon to the list, returning the index of the icon or -1 if not successful.
procedure AddImages(); | Adds images from another imagelist to the list.
function AddMasked(); | Adds one or more (bitmap width / imagelist width) transparent bitmaps to the list.
function AddLazarusResource(); | Loads a bitmap from a lazarus resources and adds it.
function AddResourceName();
procedure Change; | Send change notifications, if the list has changed and updates are not locked.
procedure Clear; | Removes all images from the list.
procedure Delete(); | Delete the specified image.
procedure Draw(); | Paint an image
procedure DrawForPPI();
procedure DrawOverlay();
procedure GetBitmap(); | Copies the selected image into the given bitmap
procedure GetFullBitmap(); |
procedure GetFullRawImage(); | Exports the entire internal image (color array) and description.
procedure GetIcon();
procedure GetRawImage(); | Exports an image as TRawImage.
function GetHotSpot; | Returns the offset from the drawing position to the image origin.
procedure Insert(); | Inserts one or more images into the list at the index position.
procedure InsertIcon(); | Insert an Icon into the list.
procedure InsertMasked(); | Adds one or more transparent bitmaps to the list.
procedure Move(); | Move an image from index CurIndex to NewIndex.
procedure Overlay();
property HasOverlays: Boolean; [r]
procedure Replace(); | Replace the indexed image with the Bitmap given
procedure ReplaceSlice();
procedure ReplaceSliceCentered();
procedure ReplaceIcon();
procedure ReplaceMasked(); | ReplaceMasked - replaces the indexed image with the image given.
procedure RegisterChanges(); | Registers an TChangeLink object to get notified of a change of the imagelist.
procedure StretchDraw(); | Draws an image stretched to ARect.
procedure UnRegisterChanges(); | Unregisters an notification object.
procedure RegisterResolutions(); virtual;
procedure DeleteResolution();
function FindResolution();
property AllocBy: Integer; [rw] | The length of the image list is increased in multiples of AllocBy images. Default is 4.
property BlendColor: TColor; [rw] | The color for used in blending (dithering) an image.
property BkColor: TColor; [rw] | The background color to use for transparent parts.
property Count: Integer; [r] | The number of images in the list
property DrawingStyle: TDrawingStyle; [rw] | The default drawing style - focussed, selected, normal or transparent.
property Height: Integer; [rw] | The unique height of all images in the list.
property HeightForPPI []: Integer; [r]
property HeightForWidth []: Integer; [r]
property Width: Integer; [rw] | The unique width of all images in the list.
property WidthForPPI []: Integer; [r]
property SizeForPPI []: TSize; [r]
property OnChange: TNotifyEvent; [rw] | OnChange - event handler for a change in the imagelist
property Masked: Boolean; [rw] | True when mask images are stored with every image (unused!).
property Reference []: TWSCustomImageListReference; [r] | Reference to the imagelist
property ReferenceForPPI []: TWSCustomImageListReference; [r]
property Resolution []: TCustomImageListResolution; [r]
property ResolutionByIndex []: TCustomImageListResolution; [r]
property ResolutionForPPI []: TScaledImageListResolution; [r]
property ResolutionCount: Integer; [r]
function Resolutions;
function ResolutionsDesc;
property Scaled: Boolean; [rw] | Set to True to enable automatic PPI scaling
property ShareImages: Boolean; [rw] | True when this image list is shared. Unused!
property ImageType: TImageType; [rw] | Unused!
property OnGetWidthForPPI: TCustomImageListGetWidthForPPI; [rw] | Override automatically scaled width for a PPI value
end;

Inheritance

TCustomImageList | Base class for TImageList (not the same as a TBitmap collection)
|
TLCLComponent | The base class for LCL components associated with widgets.
|
TComponent,IUnknown,IInterfaceComponentReference
|
TPersistent,IFPObserved
|
TObject

Description

An ImageList contains images (bitmaps or icons) of the same Width and Height, accessible by index. The images are stored in one big (wide) bitmap, whose width is Width*Count.

When an image of a different Width or Height is inserted, the previous contents of the list are discarded!

It's okay, however, to insert an imagelist-like bitmap, that contains multiple bitmaps of the same Width and Height as used by the ImageList. This allows one to insert e.g. other (compatible) ImageLists, or bitmaps for multiple states of essentially the same image (button pressed, released and disabled).

Transparency is implemented in the alpha channel of the raw 32 bit RGBA imagedata array - but not all platforms support such an alpha channel.

The painting of an image from the list is handled by the widgetset, no bitmap or icon component is involved. The widgetset can use a different internal organization of the data, optimized for immediate painting of an image.

NOTE: A TCustomImageList is not a TBitmap collection. If a storage of distinct bitmaps is needed, create your own list of TBitMaps (array or TList).

Please note also that inserting or moving images will affect the index of all following images, what can cause trouble with index constants. In such cases a bitmap collection may better fit your needs.

Remark: Windows ImgageLists can contain a list of monochrome mask bitmaps, present when Masked=True.

Errors

Currently only the insertion of Bitmaps is supported. Other image types should be rendered as bitmaps of Width and Height, which then can be inserted.

Image overlays also are unsupported.


TCustomImageList
 | ro | HasOverlays
 |  | AllocBy
 |  | BlendColor
 |  | BkColor
 | ro | Count
 |  | DrawingStyle
 |  | Height
 | ro | HeightForPPI
 | ro | HeightForWidth
 |  | Width
 | ro | WidthForPPI
 | ro | SizeForPPI
 |  | Masked
 | ro | Reference
 | ro | ReferenceForPPI
 | ro | Resolution
 | ro | ResolutionByIndex
 | ro | ResolutionForPPI
 | ro | ResolutionCount
 |  | Scaled
 |  | ShareImages
 |  | ImageType
TLCLComponent
 | ro | LCLRefCount
 | ro | WidgetSetClass
TComponent
 | ro | ComObject
 | ro | Components
 | ro | ComponentCount
 |  | ComponentIndex
 | ro | ComponentState
 | ro | ComponentStyle
 |  | DesignInfo
 | ro | Owner
 |  | VCLComObject
 |  | Name
 |  | Tag
TPersistent
TObject


ro | ComObject (TComponent)
ro | ComponentCount (TComponent)
 | ComponentIndex (TComponent)
ro | Components (TComponent)
ro | ComponentState (TComponent)
ro | ComponentStyle (TComponent)
ro | Count (TCustomImageList)
 | DesignInfo (TComponent)
 | DrawingStyle (TCustomImageList)
ro | HasOverlays (TCustomImageList)
 | Height (TCustomImageList)
ro | HeightForPPI (TCustomImageList)
ro | HeightForWidth (TCustomImageList)
 | ImageType (TCustomImageList)
ro | LCLRefCount (TLCLComponent)
 | Masked (TCustomImageList)
 | Name (TComponent)
ro | Owner (TComponent)
ro | Reference (TCustomImageList)
ro | ReferenceForPPI (TCustomImageList)
ro | Resolution (TCustomImageList)
ro | ResolutionByIndex (TCustomImageList)
ro | ResolutionCount (TCustomImageList)
ro | ResolutionForPPI (TCustomImageList)
 | Scaled (TCustomImageList)
 | ShareImages (TCustomImageList)
ro | SizeForPPI (TCustomImageList)
 | Tag (TComponent)
 | VCLComObject (TComponent)
ro | WidgetSetClass (TLCLComponent)
 | Width (TCustomImageList)
ro | WidthForPPI (TCustomImageList)


TCustomImageList
pt | GetResolution
pt | GetResolutionClass
pt | CheckIndex
pt | Initialize
pt | DefineProperties
pt | SetWidthHeight
pt | ClearOverlays
 | Create
 | CreateSize
 | Destroy
 | ScaleImage
 | AssignTo
 | Assign
 | WriteData
 | ReadData
 | WriteAdvData
 | ReadAdvData
 | Equals
 | BeginUpdate
 | EndUpdate
 | Add
 | AddMultipleResolutions
 | AddSliced
 | AddSlice
 | AddSliceCentered
 | AddIcon
 | AddImages
 | AddMasked
 | AddLazarusResource
 | AddResourceName
 | Change
 | Clear
 | Delete
 | Draw
 | DrawForPPI
 | DrawOverlay
 | GetBitmap
 | GetFullBitmap
 | GetFullRawImage
 | GetIcon
 | GetRawImage
 | GetHotSpot
 | Insert
 | InsertIcon
 | InsertMasked
 | Move
 | Overlay
 | Replace
 | ReplaceSlice
 | ReplaceSliceCentered
 | ReplaceIcon
 | ReplaceMasked
 | RegisterChanges
 | StretchDraw
 | UnRegisterChanges
 | RegisterResolutions
 | DeleteResolution
 | FindResolution
 | Resolutions
 | ResolutionsDesc
TLCLComponent
pt | WSRegisterClass
pt | GetWSComponentClass
 | Create
 | Destroy
 | NewInstance
 | RemoveAllHandlersOfObject
 | IncLCLRefCount
 | DecLCLRefCount
TComponent
 | GetComObject
 | GetComponent
 | GetComponentCount
 | GetComponentIndex
 | Insert
 | ReadLeft
 | ReadTop
 | Remove
 | RemoveNotification
 | SetComponentIndex
 | SetReference
 | WriteLeft
 | WriteTop
 | ChangeName
 | DefineProperties
 | GetChildren
 | GetChildOwner
 | GetChildParent
 | GetOwner
 | Loaded
 | Loading
 | Notification
 | PaletteCreated
 | ReadState
 | SetAncestor
 | SetDesigning
 | SetDesignInstance
 | SetInline
 | SetName
 | SetChildOrder
 | SetParentComponent
 | Updating
 | Updated
 | UpdateRegistry
 | ValidateRename
 | ValidateContainer
 | ValidateInsert
 | QueryInterface
 | _AddRef
 | _Release
 | iicrGetComponent
 | GetTypeInfoCount
 | GetTypeInfo
 | GetIDsOfNames
 | Invoke
 | WriteState
 | Create
 | Destroy
 | BeforeDestruction
 | DestroyComponents
 | Destroying
 | ExecuteAction
 | FindComponent
 | FreeNotification
 | RemoveFreeNotification
 | FreeOnRelease
 | GetEnumerator
 | GetNamePath
 | GetParentComponent
 | HasParent
 | InsertComponent
 | RemoveComponent
 | SafeCallException
 | SetSubComponent
 | UpdateAction
 | IsImplementorOf
 | ReferenceInterface
TPersistent
 | AssignError
 | AssignTo
 | DefineProperties
 | GetOwner
 | Destroy
 | Assign
 | FPOAttachObserver
 | FPODetachObserver
 | FPONotifyObservers
 | GetNamePath
TObject
 | Create
 | Destroy
 | newinstance
 | FreeInstance
 | SafeCallException
 | DefaultHandler
 | Free
 | InitInstance
 | CleanupInstance
 | ClassType
 | ClassInfo
 | ClassName
 | ClassNameIs
 | ClassParent
 | InstanceSize
 | InheritsFrom
 | StringMessageTable
 | MethodAddress
 | MethodName
 | FieldAddress
 | AfterConstruction
 | BeforeDestruction
 | DefaultHandlerStr
 | Dispatch
 | DispatchStr
 | GetInterface
 | GetInterfaceByStr
 | GetInterfaceWeak
 | GetInterfaceEntry
 | GetInterfaceEntryByStr
 | GetInterfaceTable
 | UnitName
 | Equals
 | GetHashCode
 | ToString


 | Add (TCustomImageList)
 | AddIcon (TCustomImageList)
 | AddImages (TCustomImageList)
 | AddLazarusResource (TCustomImageList)
 | AddMasked (TCustomImageList)
 | AddMultipleResolutions (TCustomImageList)
 | AddResourceName (TCustomImageList)
 | AddSlice (TCustomImageList)
 | AddSliceCentered (TCustomImageList)
 | AddSliced (TCustomImageList)
 | AfterConstruction (TObject)
 | Assign (TPersistent)
 | Assign (TCustomImageList)
 | AssignError (TPersistent)
 | AssignTo (TPersistent)
 | AssignTo (TCustomImageList)
 | BeforeDestruction (TObject)
 | BeforeDestruction (TComponent)
 | BeginUpdate (TCustomImageList)
 | Change (TCustomImageList)
 | ChangeName (TComponent)
pt | CheckIndex (TCustomImageList)
 | ClassInfo (TObject)
 | ClassName (TObject)
 | ClassNameIs (TObject)
 | ClassParent (TObject)
 | ClassType (TObject)
 | CleanupInstance (TObject)
 | Clear (TCustomImageList)
pt | ClearOverlays (TCustomImageList)
 | Create (TObject)
 | Create (TComponent)
 | Create (TLCLComponent)
 | Create (TCustomImageList)
 | CreateSize (TCustomImageList)
 | DecLCLRefCount (TLCLComponent)
 | DefaultHandler (TObject)
 | DefaultHandlerStr (TObject)
 | DefineProperties (TPersistent)
 | DefineProperties (TComponent)
pt | DefineProperties (TCustomImageList)
 | Delete (TCustomImageList)
 | DeleteResolution (TCustomImageList)
 | Destroy (TObject)
 | Destroy (TPersistent)
 | Destroy (TComponent)
 | Destroy (TLCLComponent)
 | Destroy (TCustomImageList)
 | DestroyComponents (TComponent)
 | Destroying (TComponent)
 | Dispatch (TObject)
 | DispatchStr (TObject)
 | Draw (TCustomImageList)
 | DrawForPPI (TCustomImageList)
 | DrawOverlay (TCustomImageList)
 | EndUpdate (TCustomImageList)
 | Equals (TObject)
 | Equals (TCustomImageList)
 | ExecuteAction (TComponent)
 | FieldAddress (TObject)
 | FindComponent (TComponent)
 | FindResolution (TCustomImageList)
 | FPOAttachObserver (TPersistent)
 | FPODetachObserver (TPersistent)
 | FPONotifyObservers (TPersistent)
 | Free (TObject)
 | FreeInstance (TObject)
 | FreeNotification (TComponent)
 | FreeOnRelease (TComponent)
 | GetBitmap (TCustomImageList)
 | GetChildOwner (TComponent)
 | GetChildParent (TComponent)
 | GetChildren (TComponent)
 | GetComObject (TComponent)
 | GetComponent (TComponent)
 | GetComponentCount (TComponent)
 | GetComponentIndex (TComponent)
 | GetEnumerator (TComponent)
 | GetFullBitmap (TCustomImageList)
 | GetFullRawImage (TCustomImageList)
 | GetHashCode (TObject)
 | GetHotSpot (TCustomImageList)
 | GetIcon (TCustomImageList)
 | GetIDsOfNames (TComponent)
 | GetInterface (TObject)
 | GetInterfaceByStr (TObject)
 | GetInterfaceEntry (TObject)
 | GetInterfaceEntryByStr (TObject)
 | GetInterfaceTable (TObject)
 | GetInterfaceWeak (TObject)
 | GetNamePath (TPersistent)
 | GetNamePath (TComponent)
 | GetOwner (TPersistent)
 | GetOwner (TComponent)
 | GetParentComponent (TComponent)
 | GetRawImage (TCustomImageList)
pt | GetResolution (TCustomImageList)
pt | GetResolutionClass (TCustomImageList)
 | GetTypeInfo (TComponent)
 | GetTypeInfoCount (TComponent)
pt | GetWSComponentClass (TLCLComponent)
 | HasParent (TComponent)
 | iicrGetComponent (TComponent)
 | IncLCLRefCount (TLCLComponent)
 | InheritsFrom (TObject)
pt | Initialize (TCustomImageList)
 | InitInstance (TObject)
 | Insert (TComponent)
 | Insert (TCustomImageList)
 | InsertComponent (TComponent)
 | InsertIcon (TCustomImageList)
 | InsertMasked (TCustomImageList)
 | InstanceSize (TObject)
 | Invoke (TComponent)
 | IsImplementorOf (TComponent)
 | Loaded (TComponent)
 | Loading (TComponent)
 | MethodAddress (TObject)
 | MethodName (TObject)
 | Move (TCustomImageList)
 | newinstance (TObject)
 | NewInstance (TLCLComponent)
 | Notification (TComponent)
 | Overlay (TCustomImageList)
 | PaletteCreated (TComponent)
 | QueryInterface (TComponent)
 | ReadAdvData (TCustomImageList)
 | ReadData (TCustomImageList)
 | ReadLeft (TComponent)
 | ReadState (TComponent)
 | ReadTop (TComponent)
 | ReferenceInterface (TComponent)
 | RegisterChanges (TCustomImageList)
 | RegisterResolutions (TCustomImageList)
 | Remove (TComponent)
 | RemoveAllHandlersOfObject (TLCLComponent)
 | RemoveComponent (TComponent)
 | RemoveFreeNotification (TComponent)
 | RemoveNotification (TComponent)
 | Replace (TCustomImageList)
 | ReplaceIcon (TCustomImageList)
 | ReplaceMasked (TCustomImageList)
 | ReplaceSlice (TCustomImageList)
 | ReplaceSliceCentered (TCustomImageList)
 | Resolutions (TCustomImageList)
 | ResolutionsDesc (TCustomImageList)
 | SafeCallException (TObject)
 | SafeCallException (TComponent)
 | ScaleImage (TCustomImageList)
 | SetAncestor (TComponent)
 | SetChildOrder (TComponent)
 | SetComponentIndex (TComponent)
 | SetDesigning (TComponent)
 | SetDesignInstance (TComponent)
 | SetInline (TComponent)
 | SetName (TComponent)
 | SetParentComponent (TComponent)
 | SetReference (TComponent)
 | SetSubComponent (TComponent)
pt | SetWidthHeight (TCustomImageList)
 | StretchDraw (TCustomImageList)
 | StringMessageTable (TObject)
 | ToString (TObject)
 | UnitName (TObject)
 | UnRegisterChanges (TCustomImageList)
 | UpdateAction (TComponent)
 | Updated (TComponent)
 | UpdateRegistry (TComponent)
 | Updating (TComponent)
 | ValidateContainer (TComponent)
 | ValidateInsert (TComponent)
 | ValidateRename (TComponent)
 | WriteAdvData (TCustomImageList)
 | WriteData (TCustomImageList)
 | WriteLeft (TComponent)
 | WriteState (TComponent)
 | WriteTop (TComponent)
pt | WSRegisterClass (TLCLComponent)
 | _AddRef (TComponent)
 | _Release (TComponent)


TCustomImageList
 | OnChange
 | OnGetWidthForPPI
TLCLComponent
TComponent
TPersistent
TObject


TCustomImageList.Add

Adds an Image and Mask bitmap to the list. Returns the index of the added image or -1 if unsucessful.

Declaration

Source position: imglist.pp line 340

public function TCustomImageList.Add(

  Image: TCustomBitmap;

  Mask: TCustomBitmap

):Integer;

Arguments

Image | a bitmap image
Mask | a bitmap which defines the transparent parts of Image

Function result

The index of the added image, -1 if unsuccesful.

Description

Adds one or more (bitmap width / imagelist width) bitmaps to the list.
  If Mask is nil, the image has no transparent parts.


TCustomImageList.AddIcon

Adds an icon to the list, returning the index of the icon or -1 if not successful.

Declaration

Source position: imglist.pp line 345

public function TCustomImageList.AddIcon(

  Image: TCustomIcon

):Integer;

Arguments

Image

The Icon to be added.

Function result

The index of the added icon, -1 if unsuccesful.

Description

Adding graphics other than bitmaps can be implemented by converting the graphics item into a bitmap, which then can be added to the image list. Most graphics classes support such a conversion, so that specialized methods are redundant.

See also

TCustomImageList.InsertIcon

Insert an Icon into the list.


TCustomImageList.AddImages

Adds images from another imagelist to the list.

Declaration

Source position: imglist.pp line 346

public procedure TCustomImageList.AddImages(

  AValue: TCustomImageList

);

Arguments

AValue

The ImageList containing the images to add.

Description

Both lists must have the same image Width and Height, else the old images are discarded.


TCustomImageList.AddLazarusResource

Loads a bitmap from a lazarus resources and adds it.

Declaration

Source position: imglist.pp line 348

public function TCustomImageList.AddLazarusResource(

  const ResourceName: string;

  MaskColor: TColor = clNone

):Integer;

Arguments

ResourceName | The name of the Lazarus resource.
MaskColor | The mask color for transparent images, clNone for solid (opaque) images.

Function result

Index of the first added image.


TCustomImageList.AddMasked

Adds one or more (bitmap width / imagelist width) transparent bitmaps to the list.

Declaration

Source position: imglist.pp line 347

public function TCustomImageList.AddMasked(

  Image: TBitmap;

  MaskColor: TColor

):Integer;

Arguments

Image | The bitmap to be added.
MaskColor | The color acting as transparant color.

Function result

The index of the first added image, -1 if unsuccesful.

Description

Every pixel of MaskColor will become transparent.

Image can contain multiple images of the same Width and Height. The image width must be a multiple of Width, and the image height must equal Height, else all old images in the list are discarded.


TCustomImageList.AddMultipleResolutions

Declaration

Source position: imglist.pp line 341

public function TCustomImageList.AddMultipleResolutions(

  Images: array of TCustomBitmap

):Integer;


TCustomImageList.AddResourceName

Declaration

Source position: imglist.pp line 349

public function TCustomImageList.AddResourceName(

  Instance: THandle;

  const ResourceName: string;

  MaskColor: TColor = clNone

):Integer;


TCustomImageList.AddSlice

Declaration

Source position: imglist.pp line 343

public function TCustomImageList.AddSlice(

  Image: TCustomBitmap;

  AImageRect: TRect

):Integer;


TCustomImageList.AddSliceCentered

Declaration

Source position: imglist.pp line 344

public function TCustomImageList.AddSliceCentered(

  Image: TCustomBitmap

):Integer;


TCustomImageList.AddSliced

Declaration

Source position: imglist.pp line 342

public function TCustomImageList.AddSliced(

  Image: TCustomBitmap;

  AHorizontalCount: Integer;

  AVerticalCount: Integer

):Integer;


TCustomImageList.AllocBy

The length of the image list is increased in multiples of AllocBy images. Default is 4.

Declaration

Source position: imglist.pp line 397

public property TCustomImageList.AllocBy : Integer
  read FAllocBy
  write FAllocBy
  default 4;

Description

Other list types allow to set the list Capacity directly - not so for an ImageList.


TCustomImageList.Assign

Declaration

Source position: imglist.pp line 330

public procedure TCustomImageList.Assign(

  Source: TPersistent

); override;


TCustomImageList.AssignTo

Declaration

Source position: imglist.pp line 329

public procedure TCustomImageList.AssignTo(

  Dest: TPersistent

); override;


TCustomImageList.BeginUpdate

Start updating the data, block the OnChange event.

Declaration

Source position: imglist.pp line 337

public procedure TCustomImageList.BeginUpdate;

Description

Use together with EndUpdate to speed up the insertion of multiple images.

Every BeginUpdate must be matched by an EndUpdate, i.e. update operations can be nested.


TCustomImageList.BkColor

The background color to use for transparent parts.

Declaration

Source position: imglist.pp line 399

public property TCustomImageList.BkColor : TColor
  read FBkColor
  write SetBkColor
  default clNone;

Description

BkColor is intended to speed up drawing of transparent images, on a background of known color (=BkColor). In this case the image can be drawn opaque, eliminating the need for really masking out and merging with existing background.


TCustomImageList.BlendColor

The color for used in blending (dithering) an image.

Declaration

Source position: imglist.pp line 398

public property TCustomImageList.BlendColor : TColor
  read FBlendColor
  write FBlendColor
  default clNone;

See also

TDrawingStyle

Defines transparency and blending of rendered images.


TCustomImageList.Change

Send change notifications, if the list has changed and updates are not locked.

Declaration

Source position: imglist.pp line 350

public procedure TCustomImageList.Change;

Description

Notifies all members of the ChangeLinkList, and calls the OnChange handler.


TCustomImageList.CheckIndex

Assures that Index is not out of the list bound.

Declaration

Source position: imglist.pp line 312

protected procedure TCustomImageList.CheckIndex(

  AIndex: Integer;

  AForInsert: Boolean = False

);

Arguments

AIndex | The index to check.
AForInsert | Set to True when the index is used for insertion (default is False).

Errors

Raises an EInvalidOperation exception when the index is out of bounds.


TCustomImageList.Clear

Removes all images from the list.

Declaration

Source position: imglist.pp line 351

public procedure TCustomImageList.Clear;


TCustomImageList.ClearOverlays

Declaration

Source position: imglist.pp line 316

protected procedure TCustomImageList.ClearOverlays;


TCustomImageList.Count

The number of images in the list

Declaration

Source position: imglist.pp line 400

public property TCustomImageList.Count : Integer
  read GetCount;


TCustomImageList.Create

Declaration

Source position: imglist.pp line 318

public constructor TCustomImageList.Create(

  AOwner: TComponent

); override;


TCustomImageList.CreateSize

Initialize the list for image(s) with the given height and width.

Declaration

Source position: imglist.pp line 319

public constructor TCustomImageList.CreateSize(

  AWidth: Integer;

  AHeight: Integer

);

Arguments

AWidth | The width of all images, in pixels.
AHeight | The height of all images, in pixels.

Description

This constructor overrides the default initial size of the images (16x16 pixels).

The Width and Height is reset with every insertion of a bitmap. It may be useful, however, to initialize a list for the insertion of graphics other than bitmaps, so that the images can be rendered as bitmaps of the intended width and height, before they are inserted.


TCustomImageList.DefineProperties

Declaration

Source position: imglist.pp line 314

protected procedure TCustomImageList.DefineProperties(

  Filer: TFiler

); override;


TCustomImageList.Delete

Delete the specified image.

Declaration

Source position: imglist.pp line 352

public procedure TCustomImageList.Delete(

  AIndex: Integer

);

Arguments

AIndex

the index of the image to be deleted. -1 for delete all.


TCustomImageList.DeleteResolution

Declaration

Source position: imglist.pp line 394

public procedure TCustomImageList.DeleteResolution(

  const AWidth: Integer

);


TCustomImageList.Destroy

Declaration

Source position: imglist.pp line 320

public destructor TCustomImageList.Destroy; override;


TCustomImageList.Draw

Paint an image

Declaration

Source position: imglist.pp line 353

public procedure TCustomImageList.Draw(

  ACanvas: TCanvas;

  AX: Integer;

  AY: Integer;

  AIndex: Integer;

  AEnabled: Boolean = True

); overload;

procedure TCustomImageList.Draw(

  ACanvas: TCanvas;

  AX: Integer;

  AY: Integer;

  AIndex: Integer;

  ADrawEffect: TGraphicsDrawEffect

); overload;

procedure TCustomImageList.Draw(

  ACanvas: TCanvas;

  AX: Integer;

  AY: Integer;

  AIndex: Integer;

  ADrawingStyle: TDrawingStyle;

  AImageType: TImageType;

  AEnabled: Boolean = True

); overload;

procedure TCustomImageList.Draw(

  ACanvas: TCanvas;

  AX: Integer;

  AY: Integer;

  AIndex: Integer;

  ADrawingStyle: TDrawingStyle;

  AImageType: TImageType;

  ADrawEffect: TGraphicsDrawEffect

); overload;

Arguments

AIndex | The image index.
AEnabled | If False, draw the image disabled (dithered).

Arguments

AIndex

The image index.

Arguments

AIndex | The image index.
AEnabled | If False, draw the image disabled (dithered).

Arguments

AIndex

The image index.

Description

Paints the image specified by AIndex on Canvas at position AX, AY.


TCustomImageList.DrawForPPI

Declaration

Source position: imglist.pp line 359

public procedure TCustomImageList.DrawForPPI(

  ACanvas: TCanvas;

  AX: Integer;

  AY: Integer;

  AIndex: Integer;

  AImageWidthAt96PPI: Integer;

  ATargetPPI: Integer;

  ACanvasFactor: Double;

  AEnabled: Boolean = True

); overload;

procedure TCustomImageList.DrawForPPI(

  ACanvas: TCanvas;

  AX: Integer;

  AY: Integer;

  AIndex: Integer;

  AImageWidthAt96PPI: Integer;

  ATargetPPI: Integer;

  ACanvasFactor: Double;

  ADrawEffect: TGraphicsDrawEffect

); overload;


TCustomImageList.DrawingStyle

The default drawing style - focussed, selected, normal or transparent.

Declaration

Source position: imglist.pp line 401

public property TCustomImageList.DrawingStyle : TDrawingStyle
  read FDrawingStyle
  write SetDrawingStyle
  default dsNormal;


TCustomImageList.DrawOverlay

Declaration

Source position: imglist.pp line 363

public procedure TCustomImageList.DrawOverlay(

  ACanvas: TCanvas;

  AX: Integer;

  AY: Integer;

  AIndex: Integer;

  AOverlay: TOverlay;

  AEnabled: Boolean = True

); overload;

procedure TCustomImageList.DrawOverlay(

  ACanvas: TCanvas;

  AX: Integer;

  AY: Integer;

  AIndex: Integer;

  AOverlay: TOverlay;

  ADrawEffect: TGraphicsDrawEffect

); overload;

procedure TCustomImageList.DrawOverlay(

  ACanvas: TCanvas;

  AX: Integer;

  AY: Integer;

  AIndex: Integer;

  AOverlay: TOverlay;

  ADrawingStyle: TDrawingStyle;

  AImageType: TImageType;

  ADrawEffect: TGraphicsDrawEffect

); overload;


TCustomImageList.EndUpdate

EndUpdate - finish updating the data, call Change.

Declaration

Source position: imglist.pp line 338

public procedure TCustomImageList.EndUpdate;

Description

Decrements the internal UpdateCount and, when it reaches zero, does whatever is required to reflect the new content.

See also

TCustomImageList.Change

Send change notifications, if the list has changed and updates are not locked.


TCustomImageList.Equals

Check for equivalence with another ImageList

Declaration

Source position: imglist.pp line 335

public function TCustomImageList.Equals(

  Obj: TObject

):Boolean;

Arguments

Obj

The object (ImageList) to compare with.

Function result

True when the image lists are equal.

Description

This is an expensive operation, since both imagelists are written into memory streams, which then are compared bytewise.


TCustomImageList.FindResolution

Declaration

Source position: imglist.pp line 395

public function TCustomImageList.FindResolution(

  AImageWidth: Integer;

  out AResolution: TCustomImageListResolution

):Boolean;


TCustomImageList.GetBitmap

Copies the selected image into the given bitmap

Declaration

Source position: imglist.pp line 368

public procedure TCustomImageList.GetBitmap(

  Index: Integer;

  Image: TCustomBitmap

); overload;

procedure TCustomImageList.GetBitmap(

  Index: Integer;

  Image: TCustomBitmap;

  AEffect: TGraphicsDrawEffect

); overload;

Arguments

Index | the index of the requested image
Image | a bitmap as a container for the bitmap

Arguments

Index | the index of the requested image
Image | a bitmap as a container for the bitmap
AEffect | how to copy


TCustomImageList.GetFullBitmap

Declaration

Source position: imglist.pp line 370

public procedure TCustomImageList.GetFullBitmap(

  Image: TCustomBitmap;

  AEffect: TGraphicsDrawEffect = gdeNormal

);

Arguments

Image | the target bitmap
AEffect | how to copy


TCustomImageList.GetFullRawImage

Exports the entire internal image (color array) and description.

Declaration

Source position: imglist.pp line 371

public procedure TCustomImageList.GetFullRawImage(

  out Image: TRawImage

);


TCustomImageList.GetHotSpot

Returns the offset from the drawing position to the image origin.

Declaration

Source position: imglist.pp line 376

public function TCustomImageList.GetHotSpot: TPoint;

Description

A HotSpot is used only in a TDragImageList, here it is (0,0).


TCustomImageList.GetIcon

Declaration

Source position: imglist.pp line 373

public procedure TCustomImageList.GetIcon(

  Index: Integer;

  Image: TIcon;

  AEffect: TGraphicsDrawEffect

); overload;

procedure TCustomImageList.GetIcon(

  Index: Integer;

  Image: TIcon

); overload;


TCustomImageList.GetRawImage

Exports an image as TRawImage.

Declaration

Source position: imglist.pp line 375

public procedure TCustomImageList.GetRawImage(

  Index: Integer;

  out Image: TRawImage

);

Arguments

Index | the index of the image to copy
Image | the target bitmap


TCustomImageList.GetResolution

Declaration

Source position: imglist.pp line 310

protected function TCustomImageList.GetResolution(

  AImageWidth: Integer

):TCustomImageListResolution;


TCustomImageList.GetResolutionClass

Declaration

Source position: imglist.pp line 311

protected function TCustomImageList.GetResolutionClass: TCustomImageListResolutionClass; virtual;


TCustomImageList.HasOverlays

Declaration

Source position: imglist.pp line 383

public property TCustomImageList.HasOverlays : Boolean
  read fHasOverlays;


TCustomImageList.Height

The unique height of all images in the list.

Declaration

Source position: imglist.pp line 402

public property TCustomImageList.Height : Integer
  read FHeight
  write SetHeight
  default 16;

Description

Setting to an different value clears the entire list!


TCustomImageList.HeightForPPI

Declaration

Source position: imglist.pp line 403

public property TCustomImageList.HeightForPPI[AImageWidth: Integer,APPI: Integer] : Integer
  read GetHeightForPPI;


TCustomImageList.HeightForWidth

Declaration

Source position: imglist.pp line 404

public property TCustomImageList.HeightForWidth[AWidth: Integer] : Integer
  read GetHeightForWidth;


TCustomImageList.ImageType

Unused!

Declaration

Source position: imglist.pp line 420

public property TCustomImageList.ImageType : TImageType
  read FImageType
  write FImageType
  default itImage;

Description

This property exists only for Delphi compatibility


TCustomImageList.Initialize

Initialize - sets up the list

Declaration

Source position: imglist.pp line 313

protected procedure TCustomImageList.Initialize; virtual;

Description

Initializes the internal bitmap structures and the changelink list. It is used by the Create and CreateSize constructors.


TCustomImageList.Insert

Inserts one or more images into the list at the index position.

Declaration

Source position: imglist.pp line 378

public procedure TCustomImageList.Insert(

  AIndex: Integer;

  AImage: TCustomBitmap;

  AMask: TCustomBitmap

);

Arguments

AIndex | insert position
AImage | bitmap to insert
AMask | transparency mask, Nil for opaque

Description

The inserted bitmap can consist of multiple images, of the same width and height, which become accessible as distinct images in the ImageList.

The height of the inserted images must match the ImageList height, else the ImageList content is replaced by the added images. The width must be a multiple of the ImageList width, so that the list always contains an integral number of images.

If Mask is nil, the inserted images have no transparent parts. Use InsertMasked to insert bitmaps with a specific transparent color.


TCustomImageList.InsertIcon

Insert an Icon into the list.

Declaration

Source position: imglist.pp line 379

public procedure TCustomImageList.InsertIcon(

  AIndex: Integer;

  AIcon: TCustomIcon

);

Arguments

AIndex | insertion point
AIcon | The Icon to insert.


TCustomImageList.InsertMasked

Adds one or more transparent bitmaps to the list.

Declaration

Source position: imglist.pp line 380

public procedure TCustomImageList.InsertMasked(

  Index: Integer;

  AImage: TCustomBitmap;

  MaskColor: TColor

);

Arguments

Index | The index of the inserted image.
AImage | The bitmap to be inserted.
MaskColor | The color acting as transparant color.

Description

MaskColor is the RGB color of the transparent pixels. Every occurence of a MaskColor pixel will be converted into a transparent pixel.

See also

TCustomImageList.Insert

Inserts one or more images into the list at the index position.


TCustomImageList.Masked

True when mask images are stored with every image (unused!).

Declaration

Source position: imglist.pp line 409

public property TCustomImageList.Masked : Boolean
  read FMasked
  write SetMasked
  default False;

Description

This property exists only for Delphi compatibility


TCustomImageList.Move

Move an image from index CurIndex to NewIndex.

Declaration

Source position: imglist.pp line 381

public procedure TCustomImageList.Move(

  ACurIndex: Integer;

  ANewIndex: Integer

);

Arguments

ACurIndex | the index of the image to be moved
ANewIndex | the new index of the image

See also

TCustomImageList

Base class for TImageList (not the same as a TBitmap collection)


TCustomImageList.OnChange

OnChange - event handler for a change in the imagelist

Declaration

Source position: imglist.pp line 408

public property TCustomImageList.OnChange : TNotifyEvent
  read FOnChange
  write FOnChange;


TCustomImageList.OnGetWidthForPPI

Override automatically scaled width for a PPI value

Declaration

Source position: imglist.pp line 421

public property TCustomImageList.OnGetWidthForPPI : TCustomImageListGetWidthForPPI
  read FOnGetWidthForPPI
  write FOnGetWidthForPPI;


TCustomImageList.Overlay

Declaration

Source position: imglist.pp line 382

public procedure TCustomImageList.Overlay(

  AIndex: Integer;

  Overlay: TOverlay

);


TCustomImageList.ReadAdvData

Declaration

Source position: imglist.pp line 334

public procedure TCustomImageList.ReadAdvData(

  AStream: TStream

); virtual;


TCustomImageList.ReadData

Restores the ImageList data from the stream.

Declaration

Source position: imglist.pp line 332

public procedure TCustomImageList.ReadData(

  AStream: TStream

); virtual;


TCustomImageList.Reference

Reference to the imagelist

Declaration

Source position: imglist.pp line 410

public property TCustomImageList.Reference[AImageWidth: Integer] : TWSCustomImageListReference
  read GetReference;


TCustomImageList.ReferenceForPPI

Declaration

Source position: imglist.pp line 411

public property TCustomImageList.ReferenceForPPI[AImageWidth: Integer,APPI: Integer] : TWSCustomImageListReference
  read GetReferenceForPPI;


TCustomImageList.RegisterChanges

Registers an TChangeLink object to get notified of a change of the imagelist.

Declaration

Source position: imglist.pp line 389

public procedure TCustomImageList.RegisterChanges(

  Value: TChangeLink

);

Arguments

Value

a reference to changelink object


TCustomImageList.RegisterResolutions

Declaration

Source position: imglist.pp line 393

public procedure TCustomImageList.RegisterResolutions(

  const AResolutionWidths: array of Integer

); virtual;


TCustomImageList.Replace

Replace the indexed image with the Bitmap given

Declaration

Source position: imglist.pp line 384

public procedure TCustomImageList.Replace(

  AIndex: Integer;

  AImage: TCustomBitmap;

  AMask: TCustomBitmap;

  const AllResolutions: Boolean = True

);

Arguments

AIndex | the index of the replaceded image
AImage | a bitmap image
AMask | a bitmap which defines the transparent parts of Image

Description

AMask can be nil, if the image has no transparent parts.


TCustomImageList.ReplaceIcon

Declaration

Source position: imglist.pp line 387

public procedure TCustomImageList.ReplaceIcon(

  AIndex: Integer;

  AIcon: TCustomIcon

);


TCustomImageList.ReplaceMasked

ReplaceMasked - replaces the indexed image with the image given.

Declaration

Source position: imglist.pp line 388

public procedure TCustomImageList.ReplaceMasked(

  Index: Integer;

  NewImage: TCustomBitmap;

  MaskColor: TColor;

  const AllResolutions: Boolean = True

);

Arguments

Index | The index of the replaced image.
NewImage | A bitmap image.
MaskColor | The color acting as transparant color.

Description

Every pixel of MaskColor will be converted to transparent.

See also

TCustomImageList.InsertMasked | Adds one or more transparent bitmaps to the list.
TCustomImageList.AddMasked | Adds one or more (bitmap width / imagelist width) transparent bitmaps to the list.


TCustomImageList.ReplaceSlice

Declaration

Source position: imglist.pp line 385

public procedure TCustomImageList.ReplaceSlice(

  AIndex: Integer;

  Image: TCustomBitmap;

  AImageRect: TRect;

  const AllResolutions: Boolean = True

);


TCustomImageList.ReplaceSliceCentered

Declaration

Source position: imglist.pp line 386

public procedure TCustomImageList.ReplaceSliceCentered(

  AIndex: Integer;

  AImageWidth: Integer;

  Image: TCustomBitmap;

  const AllResolutions: Boolean = True

);


TCustomImageList.Resolution

Declaration

Source position: imglist.pp line 412

public property TCustomImageList.Resolution[AImageWidth: Integer] : TCustomImageListResolution
  read GetResolution;


TCustomImageList.ResolutionByIndex

Declaration

Source position: imglist.pp line 413

public property TCustomImageList.ResolutionByIndex[AIndex: Integer] : TCustomImageListResolution
  read GetResolutionByIndex;


TCustomImageList.ResolutionCount

Declaration

Source position: imglist.pp line 415

public property TCustomImageList.ResolutionCount : Integer
  read GetResolutionCount;


TCustomImageList.ResolutionForPPI

Declaration

Source position: imglist.pp line 414

public property TCustomImageList.ResolutionForPPI[AImageWidth: Integer,APPI: Integer,ACanvasScaleFactor: Double] : TScaledImageListResolution
  read GetResolutionForPPI;


TCustomImageList.Resolutions

Declaration

Source position: imglist.pp line 416

public function TCustomImageList.Resolutions: TCustomImageListResolutionEnumerator;


TCustomImageList.ResolutionsDesc

Declaration

Source position: imglist.pp line 417

public function TCustomImageList.ResolutionsDesc: TCustomImageListResolutionEnumerator;


TCustomImageList.Scaled

Set to True to enable automatic PPI scaling

Declaration

Source position: imglist.pp line 418

public property TCustomImageList.Scaled : Boolean
  read FScaled
  write FScaled
  default False;


TCustomImageList.ScaleImage

Declaration

Source position: imglist.pp line 322

public class procedure TCustomImageList.ScaleImage(

  const ABitmap: TCustomBitmap;

  const AMask: TCustomBitmap;

  TargetWidth: Integer;

  TargetHeight: Integer;

  var AData: TRGBAQuadArray

);

class procedure TCustomImageList.ScaleImage(

  const ABitmap: TCustomBitmap;

  const AMask: TCustomBitmap;

  SourceRect: TRect;

  TargetWidth: Integer;

  TargetHeight: Integer;

  var AData: TRGBAQuadArray

);

class procedure TCustomImageList.ScaleImage(

  const ABitmap: HBITMAP;

  const AMask: HBITMAP;

  SourceRect: TRect;

  TargetWidth: Integer;

  TargetHeight: Integer;

  var AData: TRGBAQuadArray

);


TCustomImageList.SetWidthHeight

Sets both the Width and Height of all images.

Declaration

Source position: imglist.pp line 315

protected procedure TCustomImageList.SetWidthHeight(

  NewWidth: Integer;

  NewHeight: Integer

);

Description

Changed values clear the entire list.


TCustomImageList.ShareImages

True when this image list is shared. Unused!

Declaration

Source position: imglist.pp line 419

public property TCustomImageList.ShareImages : Boolean
  read FShareImages
  write SetShareImages
  default False;

Description

This property exists only for Delphi compatibility. True means that the imagelist widget is freed together with the ImageList


TCustomImageList.SizeForPPI

Declaration

Source position: imglist.pp line 407

public property TCustomImageList.SizeForPPI[AImageWidth: Integer,APPI: Integer] : TSize
  read GetSizeForPPI;


TCustomImageList.StretchDraw

Draws an image stretched to ARect.

Declaration

Source position: imglist.pp line 390

public procedure TCustomImageList.StretchDraw(

  Canvas: TCanvas;

  Index: Integer;

  ARect: TRect;

  Enabled: Boolean = True

);


TCustomImageList.UnRegisterChanges

Unregisters an notification object.

Declaration

Source position: imglist.pp line 391

public procedure TCustomImageList.UnRegisterChanges(

  Value: TChangeLink

);

Arguments

Value

Reference to the changelink object to remove.


TCustomImageList.Width

The unique width of all images in the list.

Declaration

Source position: imglist.pp line 405

public property TCustomImageList.Width : Integer
  read FWidth
  write SetWidth
  default 16;

Description

Setting to an different value clears the entire list!


TCustomImageList.WidthForPPI

Declaration

Source position: imglist.pp line 406

public property TCustomImageList.WidthForPPI[AImageWidth: Integer,APPI: Integer] : Integer
  read GetWidthForPPI;


TCustomImageList.WriteAdvData

Declaration

Source position: imglist.pp line 333

public procedure TCustomImageList.WriteAdvData(

  AStream: TStream

); virtual;


TCustomImageList.WriteData

Writes the ImageList data into the stream.

Declaration

Source position: imglist.pp line 331

public procedure TCustomImageList.WriteData(

  AStream: TStream

); virtual;


TCustomImageListGetWidthForPPI

Declaration

Source position: imglist.pp line 264

type TCustomImageListGetWidthForPPI = procedure(

  Sender: TCustomImageList;

  AImageWidth: Integer;

  APPI: Integer;

  var AResultWidth: Integer

) of object;


TCustomImageListResolution

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Declaration

Source position: imglist.pp line 115

type TCustomImageListResolution = class(TLCLReferenceComponent)

protected

  function GetReferenceHandle; override;

  function WSCreateReference(); override;

  class procedure WSRegisterClass; override;

  procedure ReferenceDestroying; override;

public

  destructor Destroy; override;

  function GetHotSpot; virtual;

  procedure FillDescription();

  procedure GetBitmap();

  procedure GetIcon();

  procedure GetFullBitmap();

  procedure GetRawImage();

  procedure Draw();

  procedure StretchDraw();

  procedure DrawOverlay();

  property ImageList: TCustomImageList; [r]

  property Width: Integer; [r]

  property Height: Integer; [r]

  property Count: Integer; [r]

  property AutoCreatedInDesignTime: Boolean; [rw]

  property Reference: TWSCustomImageListReference; [r]

end;

Inheritance

TCustomImageListResolution
|
TLCLReferenceComponent | Base class for all components having an associated widget.
|
TLCLComponent | The base class for LCL components associated with widgets.
|
TComponent,IUnknown,IInterfaceComponentReference
|
TPersistent,IFPObserved
|
TObject


TCustomImageListResolution
 | ro | ImageList
 | ro | Width
 | ro | Height
 | ro | Count
 |  | AutoCreatedInDesignTime
 | ro | Reference
TLCLReferenceComponent
 | ro | HandleAllocated
 | ro | ReferenceAllocated
TLCLComponent
 | ro | LCLRefCount
 | ro | WidgetSetClass
TComponent
 | ro | ComObject
 | ro | Components
 | ro | ComponentCount
 |  | ComponentIndex
 | ro | ComponentState
 | ro | ComponentStyle
 |  | DesignInfo
 | ro | Owner
 |  | VCLComObject
 |  | Name
 |  | Tag
TPersistent
TObject


ro | ComObject (TComponent)
ro | ComponentCount (TComponent)
 | ComponentIndex (TComponent)
ro | Components (TComponent)
ro | ComponentState (TComponent)
ro | ComponentStyle (TComponent)
ro | Count (TCustomImageListResolution)
 | DesignInfo (TComponent)
ro | HandleAllocated (TLCLReferenceComponent)
ro | Height (TCustomImageListResolution)
ro | ImageList (TCustomImageListResolution)
ro | LCLRefCount (TLCLComponent)
 | Name (TComponent)
ro | Owner (TComponent)
ro | Reference (TCustomImageListResolution)
ro | ReferenceAllocated (TLCLReferenceComponent)
 | Tag (TComponent)
 | VCLComObject (TComponent)
ro | WidgetSetClass (TLCLComponent)
ro | Width (TCustomImageListResolution)


TCustomImageListResolution
pt | GetReferenceHandle
pt | WSCreateReference
pt | WSRegisterClass
pt | ReferenceDestroying
 | Destroy
 | GetHotSpot
 | FillDescription
 | GetBitmap
 | GetIcon
 | GetFullBitmap
 | GetRawImage
 | Draw
 | StretchDraw
 | DrawOverlay
TLCLReferenceComponent
pt | CreateParams
pt | DestroyReference
pt | GetReferenceHandle
pt | ReferenceCreated
pt | ReferenceDestroying
pt | ReferenceNeeded
pt | WSCreateReference
pt | WSDestroyReference
 | Destroy
TLCLComponent
pt | WSRegisterClass
pt | GetWSComponentClass
 | Create
 | Destroy
 | NewInstance
 | RemoveAllHandlersOfObject
 | IncLCLRefCount
 | DecLCLRefCount
TComponent
 | GetComObject
 | GetComponent
 | GetComponentCount
 | GetComponentIndex
 | Insert
 | ReadLeft
 | ReadTop
 | Remove
 | RemoveNotification
 | SetComponentIndex
 | SetReference
 | WriteLeft
 | WriteTop
 | ChangeName
 | DefineProperties
 | GetChildren
 | GetChildOwner
 | GetChildParent
 | GetOwner
 | Loaded
 | Loading
 | Notification
 | PaletteCreated
 | ReadState
 | SetAncestor
 | SetDesigning
 | SetDesignInstance
 | SetInline
 | SetName
 | SetChildOrder
 | SetParentComponent
 | Updating
 | Updated
 | UpdateRegistry
 | ValidateRename
 | ValidateContainer
 | ValidateInsert
 | QueryInterface
 | _AddRef
 | _Release
 | iicrGetComponent
 | GetTypeInfoCount
 | GetTypeInfo
 | GetIDsOfNames
 | Invoke
 | WriteState
 | Create
 | Destroy
 | BeforeDestruction
 | DestroyComponents
 | Destroying
 | ExecuteAction
 | FindComponent
 | FreeNotification
 | RemoveFreeNotification
 | FreeOnRelease
 | GetEnumerator
 | GetNamePath
 | GetParentComponent
 | HasParent
 | InsertComponent
 | RemoveComponent
 | SafeCallException
 | SetSubComponent
 | UpdateAction
 | IsImplementorOf
 | ReferenceInterface
TPersistent
 | AssignError
 | AssignTo
 | DefineProperties
 | GetOwner
 | Destroy
 | Assign
 | FPOAttachObserver
 | FPODetachObserver
 | FPONotifyObservers
 | GetNamePath
TObject
 | Create
 | Destroy
 | newinstance
 | FreeInstance
 | SafeCallException
 | DefaultHandler
 | Free
 | InitInstance
 | CleanupInstance
 | ClassType
 | ClassInfo
 | ClassName
 | ClassNameIs
 | ClassParent
 | InstanceSize
 | InheritsFrom
 | StringMessageTable
 | MethodAddress
 | MethodName
 | FieldAddress
 | AfterConstruction
 | BeforeDestruction
 | DefaultHandlerStr
 | Dispatch
 | DispatchStr
 | GetInterface
 | GetInterfaceByStr
 | GetInterfaceWeak
 | GetInterfaceEntry
 | GetInterfaceEntryByStr
 | GetInterfaceTable
 | UnitName
 | Equals
 | GetHashCode
 | ToString


 | AssignError (TPersistent)
 | AssignTo (TPersistent)
 | BeforeDestruction (TObject)
 | BeforeDestruction (TComponent)
 | ChangeName (TComponent)
 | ClassInfo (TObject)
 | ClassName (TObject)
 | ClassNameIs (TObject)
 | ClassParent (TObject)
 | ClassType (TObject)
 | CleanupInstance (TObject)
 | Create (TObject)
 | Create (TComponent)
 | Create (TLCLComponent)
pt | CreateParams (TLCLReferenceComponent)
 | DecLCLRefCount (TLCLComponent)
 | DefaultHandler (TObject)
 | DefaultHandlerStr (TObject)
 | DefineProperties (TPersistent)
 | DefineProperties (TComponent)
 | Destroy (TObject)
 | Destroy (TPersistent)
 | Destroy (TComponent)
 | Destroy (TLCLComponent)
 | Destroy (TLCLReferenceComponent)
 | Destroy (TCustomImageListResolution)
 | DestroyComponents (TComponent)
 | Destroying (TComponent)
pt | DestroyReference (TLCLReferenceComponent)
 | Dispatch (TObject)
 | DispatchStr (TObject)
 | Draw (TCustomImageListResolution)
 | DrawOverlay (TCustomImageListResolution)
 | Equals (TObject)
 | ExecuteAction (TComponent)
 | FieldAddress (TObject)
 | FillDescription (TCustomImageListResolution)
 | FindComponent (TComponent)
 | FPOAttachObserver (TPersistent)
 | FPODetachObserver (TPersistent)
 | FPONotifyObservers (TPersistent)
 | Free (TObject)
 | FreeInstance (TObject)
 | FreeNotification (TComponent)
 | FreeOnRelease (TComponent)
 | GetBitmap (TCustomImageListResolution)
 | GetChildOwner (TComponent)
 | GetChildParent (TComponent)
 | GetChildren (TComponent)
 | GetComObject (TComponent)
 | GetComponent (TComponent)
 | GetComponentCount (TComponent)
 | GetComponentIndex (TComponent)
 | GetEnumerator (TComponent)
 | GetFullBitmap (TCustomImageListResolution)
 | GetHashCode (TObject)
 | GetHotSpot (TCustomImageListResolution)
 | GetIcon (TCustomImageListResolution)
 | GetIDsOfNames (TComponent)
 | GetInterface (TObject)
 | GetInterfaceByStr (TObject)
 | GetInterfaceEntry (TObject)
 | GetInterfaceEntryByStr (TObject)
 | GetInterfaceTable (TObject)
 | GetInterfaceWeak (TObject)
 | GetNamePath (TPersistent)
 | GetNamePath (TComponent)
 | GetOwner (TPersistent)
 | GetOwner (TComponent)
 | GetParentComponent (TComponent)
 | GetRawImage (TCustomImageListResolution)
pt | GetReferenceHandle (TLCLReferenceComponent)
pt | GetReferenceHandle (TCustomImageListResolution)
 | GetTypeInfo (TComponent)
 | GetTypeInfoCount (TComponent)
pt | GetWSComponentClass (TLCLComponent)
 | HasParent (TComponent)
 | iicrGetComponent (TComponent)
 | IncLCLRefCount (TLCLComponent)
 | InheritsFrom (TObject)
 | InitInstance (TObject)
 | Insert (TComponent)
 | InsertComponent (TComponent)
 | InstanceSize (TObject)
 | Invoke (TComponent)
 | IsImplementorOf (TComponent)
 | Loaded (TComponent)
 | Loading (TComponent)
 | MethodAddress (TObject)
 | MethodName (TObject)
 | newinstance (TObject)
 | NewInstance (TLCLComponent)
 | Notification (TComponent)
 | PaletteCreated (TComponent)
 | QueryInterface (TComponent)
 | ReadLeft (TComponent)
 | ReadState (TComponent)
 | ReadTop (TComponent)
pt | ReferenceCreated (TLCLReferenceComponent)
pt | ReferenceDestroying (TLCLReferenceComponent)
pt | ReferenceDestroying (TCustomImageListResolution)
 | ReferenceInterface (TComponent)
pt | ReferenceNeeded (TLCLReferenceComponent)
 | Remove (TComponent)
 | RemoveAllHandlersOfObject (TLCLComponent)
 | RemoveComponent (TComponent)
 | RemoveFreeNotification (TComponent)
 | RemoveNotification (TComponent)
 | SafeCallException (TObject)
 | SafeCallException (TComponent)
 | SetAncestor (TComponent)
 | SetChildOrder (TComponent)
 | SetComponentIndex (TComponent)
 | SetDesigning (TComponent)
 | SetDesignInstance (TComponent)
 | SetInline (TComponent)
 | SetName (TComponent)
 | SetParentComponent (TComponent)
 | SetReference (TComponent)
 | SetSubComponent (TComponent)
 | StretchDraw (TCustomImageListResolution)
 | StringMessageTable (TObject)
 | ToString (TObject)
 | UnitName (TObject)
 | UpdateAction (TComponent)
 | Updated (TComponent)
 | UpdateRegistry (TComponent)
 | Updating (TComponent)
 | ValidateContainer (TComponent)
 | ValidateInsert (TComponent)
 | ValidateRename (TComponent)
 | WriteLeft (TComponent)
 | WriteState (TComponent)
 | WriteTop (TComponent)
pt | WSCreateReference (TLCLReferenceComponent)
pt | WSCreateReference (TCustomImageListResolution)
pt | WSDestroyReference (TLCLReferenceComponent)
pt | WSRegisterClass (TLCLComponent)
pt | WSRegisterClass (TCustomImageListResolution)
 | _AddRef (TComponent)
 | _Release (TComponent)


TCustomImageListResolution

TLCLReferenceComponent

TLCLComponent

TComponent

TPersistent

TObject


TCustomImageListResolution.AutoCreatedInDesignTime

Declaration

Source position: imglist.pp line 180

public property TCustomImageListResolution.AutoCreatedInDesignTime : Boolean
  read FAutoCreatedInDesignTime
  write FAutoCreatedInDesignTime;


TCustomImageListResolution.Count

Declaration

Source position: imglist.pp line 178

public property TCustomImageListResolution.Count : Integer
  read FCount;


TCustomImageListResolution.Draw

Declaration

Source position: imglist.pp line 162

public procedure TCustomImageListResolution.Draw(

  ACanvas: TCanvas;

  AX: Integer;

  AY: Integer;

  AIndex: Integer;

  AEnabled: Boolean = True

); overload;

procedure TCustomImageListResolution.Draw(

  ACanvas: TCanvas;

  AX: Integer;

  AY: Integer;

  AIndex: Integer;

  ADrawEffect: TGraphicsDrawEffect

); overload;

procedure TCustomImageListResolution.Draw(

  ACanvas: TCanvas;

  AX: Integer;

  AY: Integer;

  AIndex: Integer;

  ADrawingStyle: TDrawingStyle;

  AImageType: TImageType;

  AEnabled: Boolean = True

); overload;

procedure TCustomImageListResolution.Draw(

  ACanvas: TCanvas;

  AX: Integer;

  AY: Integer;

  AIndex: Integer;

  ADrawingStyle: TDrawingStyle;

  AImageType: TImageType;

  ADrawEffect: TGraphicsDrawEffect

); virtual; overload;


TCustomImageListResolution.DrawOverlay

Declaration

Source position: imglist.pp line 170

public procedure TCustomImageListResolution.DrawOverlay(

  ACanvas: TCanvas;

  AX: Integer;

  AY: Integer;

  AIndex: Integer;

  AOverlay: TOverlay;

  AEnabled: Boolean = True

); overload;

procedure TCustomImageListResolution.DrawOverlay(

  ACanvas: TCanvas;

  AX: Integer;

  AY: Integer;

  AIndex: Integer;

  AOverlay: TOverlay;

  ADrawEffect: TGraphicsDrawEffect

); overload;

procedure TCustomImageListResolution.DrawOverlay(

  ACanvas: TCanvas;

  AX: Integer;

  AY: Integer;

  AIndex: Integer;

  AOverlay: TOverlay;

  ADrawingStyle: TDrawingStyle;

  AImageType: TImageType;

  ADrawEffect: TGraphicsDrawEffect

); overload;


TCustomImageListResolution.FillDescription

Declaration

Source position: imglist.pp line 154

public procedure TCustomImageListResolution.FillDescription(

  out ADesc: TRawImageDescription

);


TCustomImageListResolution.GetBitmap

Declaration

Source position: imglist.pp line 155

public procedure TCustomImageListResolution.GetBitmap(

  Index: Integer;

  Image: TCustomBitmap

); overload;

procedure TCustomImageListResolution.GetBitmap(

  Index: Integer;

  Image: TCustomBitmap;

  AEffect: TGraphicsDrawEffect

); overload;


TCustomImageListResolution.GetFullBitmap

Declaration

Source position: imglist.pp line 159

public procedure TCustomImageListResolution.GetFullBitmap(

  Image: TCustomBitmap;

  AEffect: TGraphicsDrawEffect = gdeNormal

);


TCustomImageListResolution.GetHotSpot

Declaration

Source position: imglist.pp line 153

public function TCustomImageListResolution.GetHotSpot: TPoint; virtual;


TCustomImageListResolution.GetIcon

Declaration

Source position: imglist.pp line 157

public procedure TCustomImageListResolution.GetIcon(

  Index: Integer;

  Image: TIcon;

  AEffect: TGraphicsDrawEffect

); overload;

procedure TCustomImageListResolution.GetIcon(

  Index: Integer;

  Image: TIcon

); overload;


TCustomImageListResolution.GetRawImage

Declaration

Source position: imglist.pp line 160

public procedure TCustomImageListResolution.GetRawImage(

  Index: Integer;

  out Image: TRawImage

);


TCustomImageListResolution.Height

Declaration

Source position: imglist.pp line 177

public property TCustomImageListResolution.Height : Integer
  read FHeight;


TCustomImageListResolution.ImageList

Declaration

Source position: imglist.pp line 175

public property TCustomImageListResolution.ImageList : TCustomImageList
  read FImageList;


TCustomImageListResolution.Reference

Declaration

Source position: imglist.pp line 182

public property TCustomImageListResolution.Reference : TWSCustomImageListReference
  read GetReference;


TCustomImageListResolution.StretchDraw

Declaration

Source position: imglist.pp line 168

public procedure TCustomImageListResolution.StretchDraw(

  Canvas: TCanvas;

  Index: Integer;

  ARect: TRect;

  Enabled: Boolean = True

);


TCustomImageListResolution.Width

Declaration

Source position: imglist.pp line 176

public property TCustomImageListResolution.Width : Integer
  read FWidth;


TCustomImageListResolution.WSRegisterClass

Declaration

Source position: imglist.pp line 148

protected class procedure TCustomImageListResolution.WSRegisterClass; override;


TCustomImageListResolutionClass

Declaration

Source position: imglist.pp line 224

type TCustomImageListResolutionClass = class of TCustomImageListResolution;


TCustomImageListResolutionEnumerator

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Declaration

Source position: imglist.pp line 251

type TCustomImageListResolutionEnumerator = class

public

  function GetEnumerator;

  constructor Create();

  function MoveNext;

  property Current: TCustomImageListResolution; [r]

end;

Inheritance

TCustomImageListResolutionEnumerator
|

TObject


TCustomImageListResolutionEnumerator

ro

Current


ro

Current (TCustomImageListResolutionEnumerator)


TCustomImageListResolutionEnumerator
 | GetEnumerator
 | Create
 | MoveNext


TCustomImageListResolutionEnumerator


TCustomImageListResolutionEnumerator.Create

Declaration

Source position: imglist.pp line 259

public constructor TCustomImageListResolutionEnumerator.Create(

  AImgList: TCustomImageList;

  ADesc: Boolean

);


TCustomImageListResolutionEnumerator.Current

Declaration

Source position: imglist.pp line 261

public property TCustomImageListResolutionEnumerator.Current : TCustomImageListResolution
  read GetCurrent;


TCustomImageListResolutionEnumerator.GetEnumerator

Declaration

Source position: imglist.pp line 258

public function TCustomImageListResolutionEnumerator.GetEnumerator: TCustomImageListResolutionEnumerator;


TCustomImageListResolutionEnumerator.MoveNext

Declaration

Source position: imglist.pp line 260

public function TCustomImageListResolutionEnumerator.MoveNext: Boolean;


TCustomImageListResolutions

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Declaration

Source position: imglist.pp line 225

type TCustomImageListResolutions = class(TObject)

public

  constructor Create();

  destructor Destroy; override;

  function FindBestToScaleFrom();

  procedure Delete();

  procedure Clear;

  property ImageLists []: TCustomImageListResolution; [r]

  property Items []: TCustomImageListResolution; default; [r]

  property Count: Integer; [r]

end;

Inheritance

TCustomImageListResolutions
|

TObject


TCustomImageListResolutions
 | ro | ImageLists
 | ro | Items
 | ro | Count
TObject


ro | Count (TCustomImageListResolutions)
ro | ImageLists (TCustomImageListResolutions)
ro | Items (TCustomImageListResolutions)


TCustomImageListResolutions
 | Create
 | Destroy
 | FindBestToScaleFrom
 | Delete
 | Clear
TObject
 | Create
 | Destroy
 | newinstance
 | FreeInstance
 | SafeCallException
 | DefaultHandler
 | Free
 | InitInstance
 | CleanupInstance
 | ClassType
 | ClassInfo
 | ClassName
 | ClassNameIs
 | ClassParent
 | InstanceSize
 | InheritsFrom
 | StringMessageTable
 | MethodAddress
 | MethodName
 | FieldAddress
 | AfterConstruction
 | BeforeDestruction
 | DefaultHandlerStr
 | Dispatch
 | DispatchStr
 | GetInterface
 | GetInterfaceByStr
 | GetInterfaceWeak
 | GetInterfaceEntry
 | GetInterfaceEntryByStr
 | GetInterfaceTable
 | UnitName
 | Equals
 | GetHashCode
 | ToString


AfterConstruction (TObject)

BeforeDestruction (TObject)

ClassInfo (TObject)

ClassName (TObject)

ClassNameIs (TObject)

ClassParent (TObject)

ClassType (TObject)

CleanupInstance (TObject)

Clear (TCustomImageListResolutions)

Create (TObject)

Create (TCustomImageListResolutions)

DefaultHandler (TObject)

DefaultHandlerStr (TObject)

Delete (TCustomImageListResolutions)

Destroy (TObject)

Destroy (TCustomImageListResolutions)

Dispatch (TObject)

DispatchStr (TObject)

Equals (TObject)

FieldAddress (TObject)

FindBestToScaleFrom (TCustomImageListResolutions)

Free (TObject)

FreeInstance (TObject)

GetHashCode (TObject)

GetInterface (TObject)

GetInterfaceByStr (TObject)

GetInterfaceEntry (TObject)

GetInterfaceEntryByStr (TObject)

GetInterfaceTable (TObject)

GetInterfaceWeak (TObject)

InheritsFrom (TObject)

InitInstance (TObject)

InstanceSize (TObject)

MethodAddress (TObject)

MethodName (TObject)

newinstance (TObject)

SafeCallException (TObject)

StringMessageTable (TObject)

ToString (TObject)

UnitName (TObject)


TCustomImageListResolutions

TObject


TCustomImageListResolutions.Clear

Declaration

Source position: imglist.pp line 244

public procedure TCustomImageListResolutions.Clear;


TCustomImageListResolutions.Count

Declaration

Source position: imglist.pp line 248

public property TCustomImageListResolutions.Count : Integer
  read GetCount;


TCustomImageListResolutions.Create

Declaration

Source position: imglist.pp line 239

public constructor TCustomImageListResolutions.Create(

  const AImageList: TCustomImageList;

  const AResolutionClass: TCustomImageListResolutionClass

);


TCustomImageListResolutions.Delete

Declaration

Source position: imglist.pp line 243

public procedure TCustomImageListResolutions.Delete(

  const AIndex: Integer

);


TCustomImageListResolutions.Destroy

Declaration

Source position: imglist.pp line 240

public destructor TCustomImageListResolutions.Destroy; override;


TCustomImageListResolutions.FindBestToScaleFrom

Declaration

Source position: imglist.pp line 242

public function TCustomImageListResolutions.FindBestToScaleFrom(

  const ATargetWidth: Integer

):Integer;


TCustomImageListResolutions.ImageLists

Declaration

Source position: imglist.pp line 246

public property TCustomImageListResolutions.ImageLists[AImageWidth: Integer] : TCustomImageListResolution
  read GetImageLists;


TCustomImageListResolutions.Items

Declaration

Source position: imglist.pp line 247

public property TCustomImageListResolutions.Items[AIndex: Integer] : TCustomImageListResolution
  read GetItems;
  default;


TLCLGlyphs

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Declaration

Source position: imglist.pp line 429

type TLCLGlyphs = class(TCustomImageList)

public

  function GetImageIndex();

  procedure RegisterResolutions();

  procedure SetWidth100Suffix();

  constructor Create(); override;

  destructor Destroy; override;

  property MissingResources: TLCLGlyphsMissingResources; [rw]

end;

Inheritance

TLCLGlyphs
|
TCustomImageList | Base class for TImageList (not the same as a TBitmap collection)
|
TLCLComponent | The base class for LCL components associated with widgets.
|
TComponent,IUnknown,IInterfaceComponentReference
|
TPersistent,IFPObserved
|
TObject


TLCLGlyphs
 |  | MissingResources
TCustomImageList
 | ro | HasOverlays
 |  | AllocBy
 |  | BlendColor
 |  | BkColor
 | ro | Count
 |  | DrawingStyle
 |  | Height
 | ro | HeightForPPI
 | ro | HeightForWidth
 |  | Width
 | ro | WidthForPPI
 | ro | SizeForPPI
 |  | Masked
 | ro | Reference
 | ro | ReferenceForPPI
 | ro | Resolution
 | ro | ResolutionByIndex
 | ro | ResolutionForPPI
 | ro | ResolutionCount
 |  | Scaled
 |  | ShareImages
 |  | ImageType
TLCLComponent
 | ro | LCLRefCount
 | ro | WidgetSetClass
TComponent
 | ro | ComObject
 | ro | Components
 | ro | ComponentCount
 |  | ComponentIndex
 | ro | ComponentState
 | ro | ComponentStyle
 |  | DesignInfo
 | ro | Owner
 |  | VCLComObject
 |  | Name
 |  | Tag
TPersistent
TObject


ro | ComObject (TComponent)
ro | ComponentCount (TComponent)
 | ComponentIndex (TComponent)
ro | Components (TComponent)
ro | ComponentState (TComponent)
ro | ComponentStyle (TComponent)
ro | Count (TCustomImageList)
 | DesignInfo (TComponent)
 | DrawingStyle (TCustomImageList)
ro | HasOverlays (TCustomImageList)
 | Height (TCustomImageList)
ro | HeightForPPI (TCustomImageList)
ro | HeightForWidth (TCustomImageList)
 | ImageType (TCustomImageList)
ro | LCLRefCount (TLCLComponent)
 | Masked (TCustomImageList)
 | MissingResources (TLCLGlyphs)
 | Name (TComponent)
ro | Owner (TComponent)
ro | Reference (TCustomImageList)
ro | ReferenceForPPI (TCustomImageList)
ro | Resolution (TCustomImageList)
ro | ResolutionByIndex (TCustomImageList)
ro | ResolutionCount (TCustomImageList)
ro | ResolutionForPPI (TCustomImageList)
 | Scaled (TCustomImageList)
 | ShareImages (TCustomImageList)
ro | SizeForPPI (TCustomImageList)
 | Tag (TComponent)
 | VCLComObject (TComponent)
ro | WidgetSetClass (TLCLComponent)
 | Width (TCustomImageList)
ro | WidthForPPI (TCustomImageList)


TLCLGlyphs
 | GetImageIndex
 | RegisterResolutions
 | SetWidth100Suffix
 | Create
 | Destroy
TCustomImageList
pt | GetResolution
pt | GetResolutionClass
pt | CheckIndex
pt | Initialize
pt | DefineProperties
pt | SetWidthHeight
pt | ClearOverlays
 | Create
 | CreateSize
 | Destroy
 | ScaleImage
 | AssignTo
 | Assign
 | WriteData
 | ReadData
 | WriteAdvData
 | ReadAdvData
 | Equals
 | BeginUpdate
 | EndUpdate
 | Add
 | AddMultipleResolutions
 | AddSliced
 | AddSlice
 | AddSliceCentered
 | AddIcon
 | AddImages
 | AddMasked
 | AddLazarusResource
 | AddResourceName
 | Change
 | Clear
 | Delete
 | Draw
 | DrawForPPI
 | DrawOverlay
 | GetBitmap
 | GetFullBitmap
 | GetFullRawImage
 | GetIcon
 | GetRawImage
 | GetHotSpot
 | Insert
 | InsertIcon
 | InsertMasked
 | Move
 | Overlay
 | Replace
 | ReplaceSlice
 | ReplaceSliceCentered
 | ReplaceIcon
 | ReplaceMasked
 | RegisterChanges
 | StretchDraw
 | UnRegisterChanges
 | RegisterResolutions
 | DeleteResolution
 | FindResolution
 | Resolutions
 | ResolutionsDesc
TLCLComponent
pt | WSRegisterClass
pt | GetWSComponentClass
 | Create
 | Destroy
 | NewInstance
 | RemoveAllHandlersOfObject
 | IncLCLRefCount
 | DecLCLRefCount
TComponent
 | GetComObject
 | GetComponent
 | GetComponentCount
 | GetComponentIndex
 | Insert
 | ReadLeft
 | ReadTop
 | Remove
 | RemoveNotification
 | SetComponentIndex
 | SetReference
 | WriteLeft
 | WriteTop
 | ChangeName
 | DefineProperties
 | GetChildren
 | GetChildOwner
 | GetChildParent
 | GetOwner
 | Loaded
 | Loading
 | Notification
 | PaletteCreated
 | ReadState
 | SetAncestor
 | SetDesigning
 | SetDesignInstance
 | SetInline
 | SetName
 | SetChildOrder
 | SetParentComponent
 | Updating
 | Updated
 | UpdateRegistry
 | ValidateRename
 | ValidateContainer
 | ValidateInsert
 | QueryInterface
 | _AddRef
 | _Release
 | iicrGetComponent
 | GetTypeInfoCount
 | GetTypeInfo
 | GetIDsOfNames
 | Invoke
 | WriteState
 | Create
 | Destroy
 | BeforeDestruction
 | DestroyComponents
 | Destroying
 | ExecuteAction
 | FindComponent
 | FreeNotification
 | RemoveFreeNotification
 | FreeOnRelease
 | GetEnumerator
 | GetNamePath
 | GetParentComponent
 | HasParent
 | InsertComponent
 | RemoveComponent
 | SafeCallException
 | SetSubComponent
 | UpdateAction
 | IsImplementorOf
 | ReferenceInterface
TPersistent
 | AssignError
 | AssignTo
 | DefineProperties
 | GetOwner
 | Destroy
 | Assign
 | FPOAttachObserver
 | FPODetachObserver
 | FPONotifyObservers
 | GetNamePath
TObject
 | Create
 | Destroy
 | newinstance
 | FreeInstance
 | SafeCallException
 | DefaultHandler
 | Free
 | InitInstance
 | CleanupInstance
 | ClassType
 | ClassInfo
 | ClassName
 | ClassNameIs
 | ClassParent
 | InstanceSize
 | InheritsFrom
 | StringMessageTable
 | MethodAddress
 | MethodName
 | FieldAddress
 | AfterConstruction
 | BeforeDestruction
 | DefaultHandlerStr
 | Dispatch
 | DispatchStr
 | GetInterface
 | GetInterfaceByStr
 | GetInterfaceWeak
 | GetInterfaceEntry
 | GetInterfaceEntryByStr
 | GetInterfaceTable
 | UnitName
 | Equals
 | GetHashCode
 | ToString


 | Add (TCustomImageList)
 | AddIcon (TCustomImageList)
 | AddImages (TCustomImageList)
 | AddLazarusResource (TCustomImageList)
 | AddMasked (TCustomImageList)
 | AddMultipleResolutions (TCustomImageList)
 | AddResourceName (TCustomImageList)
 | AddSlice (TCustomImageList)
 | AddSliceCentered (TCustomImageList)
 | AddSliced (TCustomImageList)
 | AfterConstruction (TObject)
 | Assign (TPersistent)
 | Assign (TCustomImageList)
 | AssignError (TPersistent)
 | AssignTo (TPersistent)
 | AssignTo (TCustomImageList)
 | BeforeDestruction (TObject)
 | BeforeDestruction (TComponent)
 | BeginUpdate (TCustomImageList)
 | Change (TCustomImageList)
 | ChangeName (TComponent)
pt | CheckIndex (TCustomImageList)
 | ClassInfo (TObject)
 | ClassName (TObject)
 | ClassNameIs (TObject)
 | ClassParent (TObject)
 | ClassType (TObject)
 | CleanupInstance (TObject)
 | Clear (TCustomImageList)
pt | ClearOverlays (TCustomImageList)
 | Create (TObject)
 | Create (TComponent)
 | Create (TLCLComponent)
 | Create (TCustomImageList)
 | Create (TLCLGlyphs)
 | CreateSize (TCustomImageList)
 | DecLCLRefCount (TLCLComponent)
 | DefaultHandler (TObject)
 | DefaultHandlerStr (TObject)
 | DefineProperties (TPersistent)
 | DefineProperties (TComponent)
pt | DefineProperties (TCustomImageList)
 | Delete (TCustomImageList)
 | DeleteResolution (TCustomImageList)
 | Destroy (TObject)
 | Destroy (TPersistent)
 | Destroy (TComponent)
 | Destroy (TLCLComponent)
 | Destroy (TCustomImageList)
 | Destroy (TLCLGlyphs)
 | DestroyComponents (TComponent)
 | Destroying (TComponent)
 | Dispatch (TObject)
 | DispatchStr (TObject)
 | Draw (TCustomImageList)
 | DrawForPPI (TCustomImageList)
 | DrawOverlay (TCustomImageList)
 | EndUpdate (TCustomImageList)
 | Equals (TObject)
 | Equals (TCustomImageList)
 | ExecuteAction (TComponent)
 | FieldAddress (TObject)
 | FindComponent (TComponent)
 | FindResolution (TCustomImageList)
 | FPOAttachObserver (TPersistent)
 | FPODetachObserver (TPersistent)
 | FPONotifyObservers (TPersistent)
 | Free (TObject)
 | FreeInstance (TObject)
 | FreeNotification (TComponent)
 | FreeOnRelease (TComponent)
 | GetBitmap (TCustomImageList)
 | GetChildOwner (TComponent)
 | GetChildParent (TComponent)
 | GetChildren (TComponent)
 | GetComObject (TComponent)
 | GetComponent (TComponent)
 | GetComponentCount (TComponent)
 | GetComponentIndex (TComponent)
 | GetEnumerator (TComponent)
 | GetFullBitmap (TCustomImageList)
 | GetFullRawImage (TCustomImageList)
 | GetHashCode (TObject)
 | GetHotSpot (TCustomImageList)
 | GetIcon (TCustomImageList)
 | GetIDsOfNames (TComponent)
 | GetImageIndex (TLCLGlyphs)
 | GetInterface (TObject)
 | GetInterfaceByStr (TObject)
 | GetInterfaceEntry (TObject)
 | GetInterfaceEntryByStr (TObject)
 | GetInterfaceTable (TObject)
 | GetInterfaceWeak (TObject)
 | GetNamePath (TPersistent)
 | GetNamePath (TComponent)
 | GetOwner (TPersistent)
 | GetOwner (TComponent)
 | GetParentComponent (TComponent)
 | GetRawImage (TCustomImageList)
pt | GetResolution (TCustomImageList)
pt | GetResolutionClass (TCustomImageList)
 | GetTypeInfo (TComponent)
 | GetTypeInfoCount (TComponent)
pt | GetWSComponentClass (TLCLComponent)
 | HasParent (TComponent)
 | iicrGetComponent (TComponent)
 | IncLCLRefCount (TLCLComponent)
 | InheritsFrom (TObject)
pt | Initialize (TCustomImageList)
 | InitInstance (TObject)
 | Insert (TComponent)
 | Insert (TCustomImageList)
 | InsertComponent (TComponent)
 | InsertIcon (TCustomImageList)
 | InsertMasked (TCustomImageList)
 | InstanceSize (TObject)
 | Invoke (TComponent)
 | IsImplementorOf (TComponent)
 | Loaded (TComponent)
 | Loading (TComponent)
 | MethodAddress (TObject)
 | MethodName (TObject)
 | Move (TCustomImageList)
 | newinstance (TObject)
 | NewInstance (TLCLComponent)
 | Notification (TComponent)
 | Overlay (TCustomImageList)
 | PaletteCreated (TComponent)
 | QueryInterface (TComponent)
 | ReadAdvData (TCustomImageList)
 | ReadData (TCustomImageList)
 | ReadLeft (TComponent)
 | ReadState (TComponent)
 | ReadTop (TComponent)
 | ReferenceInterface (TComponent)
 | RegisterChanges (TCustomImageList)
 | RegisterResolutions (TCustomImageList)
 | RegisterResolutions (TLCLGlyphs)
 | Remove (TComponent)
 | RemoveAllHandlersOfObject (TLCLComponent)
 | RemoveComponent (TComponent)
 | RemoveFreeNotification (TComponent)
 | RemoveNotification (TComponent)
 | Replace (TCustomImageList)
 | ReplaceIcon (TCustomImageList)
 | ReplaceMasked (TCustomImageList)
 | ReplaceSlice (TCustomImageList)
 | ReplaceSliceCentered (TCustomImageList)
 | Resolutions (TCustomImageList)
 | ResolutionsDesc (TCustomImageList)
 | SafeCallException (TObject)
 | SafeCallException (TComponent)
 | ScaleImage (TCustomImageList)
 | SetAncestor (TComponent)
 | SetChildOrder (TComponent)
 | SetComponentIndex (TComponent)
 | SetDesigning (TComponent)
 | SetDesignInstance (TComponent)
 | SetInline (TComponent)
 | SetName (TComponent)
 | SetParentComponent (TComponent)
 | SetReference (TComponent)
 | SetSubComponent (TComponent)
 | SetWidth100Suffix (TLCLGlyphs)
pt | SetWidthHeight (TCustomImageList)
 | StretchDraw (TCustomImageList)
 | StringMessageTable (TObject)
 | ToString (TObject)
 | UnitName (TObject)
 | UnRegisterChanges (TCustomImageList)
 | UpdateAction (TComponent)
 | Updated (TComponent)
 | UpdateRegistry (TComponent)
 | Updating (TComponent)
 | ValidateContainer (TComponent)
 | ValidateInsert (TComponent)
 | ValidateRename (TComponent)
 | WriteAdvData (TCustomImageList)
 | WriteData (TCustomImageList)
 | WriteLeft (TComponent)
 | WriteState (TComponent)
 | WriteTop (TComponent)
pt | WSRegisterClass (TLCLComponent)
 | _AddRef (TComponent)
 | _Release (TComponent)


TLCLGlyphs
TCustomImageList
 | OnChange
 | OnGetWidthForPPI
TLCLComponent
TComponent
TPersistent
TObject


TLCLGlyphs.GetImageIndex

Declaration

Source position: imglist.pp line 455

public function TLCLGlyphs.GetImageIndex(

  const AResourceName: string

):Integer;


TLCLGlyphs.MissingResources

Declaration

Source position: imglist.pp line 466

public property TLCLGlyphs.MissingResources : TLCLGlyphsMissingResources
  read FMissingResources
  write FMissingResources;


TLCLGlyphs.RegisterResolutions

Declaration

Source position: imglist.pp line 458

public procedure TLCLGlyphs.RegisterResolutions(

  const AResolutionWidths: array of Integer

); override;

procedure TLCLGlyphs.RegisterResolutions(

  const AResolutionWidths: array of Integer;

  const AResolutionScaleSuffixes: array of Integer

); overload;


TLCLGlyphs.SetWidth100Suffix

Declaration

Source position: imglist.pp line 461

public procedure TLCLGlyphs.SetWidth100Suffix(

  const AWidth100Suffix: Integer

);


TLCLGlyphsMissingResources

Declaration

Source position: imglist.pp line 424

type TLCLGlyphsMissingResources = (

  gmrAllMustExist,

  gmrOneMustExist,

  gmrIgnoreAll

);


TIndustrialBase

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Declaration

Source position: industrialbase.pp line 14

type TIndustrialBase = class(TGraphicControl)

protected

  procedure GraphicChanged;

public

  constructor Create(); override;

published

  property AntiAliasingMode: TAntialiasingMode; [rw]

end;

Inheritance

TIndustrialBase |
|
TGraphicControl | TGraphicControl is the base class for all lightweight controls.
|
TControl | The base class for visible controls.
|
TLCLComponent | The base class for LCL components associated with widgets.
|
TComponent,IUnknown,IInterfaceComponentReference
|
TPersistent,IFPObserved
|
TObject


TIndustrialBase
pl |  | AntiAliasingMode
TGraphicControl
 | ro | Canvas
TControl
pt | ro | AutoSizing
pt | ro | AutoSizingAll
pt | ro | AutoSizingLockCount
pt |  | ActionLink
pt |  | DesktopFont
pt |  | DragCursor
pt |  | DragKind
pt |  | DragMode
pt |  | MouseCapture
pt |  | ParentColor
pt |  | ParentFont
pt |  | ParentShowHint
pt |  | SessionProperties
pt |  | Text
 | ro | AnchoredControls
 | ro | BaseBounds
 | ro | ReadBounds
 | ro | BaseParentClientSize
 |  | AccessibleDescription
 |  | AccessibleValue
 |  | AccessibleRole
 |  | Action
 |  | Align
 |  | Anchors
 | ro | AnchorSide
 |  | AutoSize
 |  | BorderSpacing
 |  | BoundsRect
 |  | BoundsRectForNewParent
 |  | Caption
 |  | CaptureMouseButtons
 |  | ClientHeight
 | ro | ClientOrigin
 | ro | ClientRect
 |  | ClientWidth
 |  | Color
 |  | Constraints
 | ro | ControlOrigin
 |  | ControlState
 |  | ControlStyle
 |  | Enabled
 |  | Font
 |  | IsControl
 | ro | MouseEntered
 | ro | MouseInClient
 |  | Parent
 |  | PopupMenu
 |  | ShowHint
 |  | Visible
 |  | WindowProc
 |  | DockOrientation
 | ro | Floating
 |  | FloatingDockSiteClass
 |  | HostDockSite
 |  | LRDockWidth
 |  | TBDockHeight
 |  | UndockHeight
 |  | UndockWidth
 |  | BiDiMode
 |  | ParentBiDiMode
pl |  | AnchorSideLeft
pl |  | AnchorSideTop
pl |  | AnchorSideRight
pl |  | AnchorSideBottom
pl |  | Cursor
pl |  | Left
pl |  | Height
pl |  | Hint
pl |  | Top
pl |  | Width
pl |  | HelpType
pl |  | HelpKeyword
pl |  | HelpContext
TLCLComponent
 | ro | LCLRefCount
 | ro | WidgetSetClass
TComponent
 | ro | ComObject
 | ro | Components
 | ro | ComponentCount
 |  | ComponentIndex
 | ro | ComponentState
 | ro | ComponentStyle
 |  | DesignInfo
 | ro | Owner
 |  | VCLComObject
 |  | Name
 |  | Tag
TPersistent
TObject


 |  | AccessibleDescription (TControl)
 |  | AccessibleRole (TControl)
 |  | AccessibleValue (TControl)
 |  | Action (TControl)
pt |  | ActionLink (TControl)
 |  | Align (TControl)
 | ro | AnchoredControls (TControl)
 |  | Anchors (TControl)
 | ro | AnchorSide (TControl)
pl |  | AnchorSideBottom (TControl)
pl |  | AnchorSideLeft (TControl)
pl |  | AnchorSideRight (TControl)
pl |  | AnchorSideTop (TControl)
pl |  | AntiAliasingMode (TIndustrialBase)
 |  | AutoSize (TControl)
pt | ro | AutoSizing (TControl)
pt | ro | AutoSizingAll (TControl)
pt | ro | AutoSizingLockCount (TControl)
 | ro | BaseBounds (TControl)
 | ro | BaseParentClientSize (TControl)
 |  | BiDiMode (TControl)
 |  | BorderSpacing (TControl)
 |  | BoundsRect (TControl)
 |  | BoundsRectForNewParent (TControl)
 | ro | Canvas (TGraphicControl)
 |  | Caption (TControl)
 |  | CaptureMouseButtons (TControl)
 |  | ClientHeight (TControl)
 | ro | ClientOrigin (TControl)
 | ro | ClientRect (TControl)
 |  | ClientWidth (TControl)
 |  | Color (TControl)
 | ro | ComObject (TComponent)
 | ro | ComponentCount (TComponent)
 |  | ComponentIndex (TComponent)
 | ro | Components (TComponent)
 | ro | ComponentState (TComponent)
 | ro | ComponentStyle (TComponent)
 |  | Constraints (TControl)
 | ro | ControlOrigin (TControl)
 |  | ControlState (TControl)
 |  | ControlStyle (TControl)
pl |  | Cursor (TControl)
 |  | DesignInfo (TComponent)
pt |  | DesktopFont (TControl)
 |  | DockOrientation (TControl)
pt |  | DragCursor (TControl)
pt |  | DragKind (TControl)
pt |  | DragMode (TControl)
 |  | Enabled (TControl)
 | ro | Floating (TControl)
 |  | FloatingDockSiteClass (TControl)
 |  | Font (TControl)
pl |  | Height (TControl)
pl |  | HelpContext (TControl)
pl |  | HelpKeyword (TControl)
pl |  | HelpType (TControl)
pl |  | Hint (TControl)
 |  | HostDockSite (TControl)
 |  | IsControl (TControl)
 | ro | LCLRefCount (TLCLComponent)
pl |  | Left (TControl)
 |  | LRDockWidth (TControl)
pt |  | MouseCapture (TControl)
 | ro | MouseEntered (TControl)
 | ro | MouseInClient (TControl)
 |  | Name (TComponent)
 | ro | Owner (TComponent)
 |  | Parent (TControl)
 |  | ParentBiDiMode (TControl)
pt |  | ParentColor (TControl)
pt |  | ParentFont (TControl)
pt |  | ParentShowHint (TControl)
 |  | PopupMenu (TControl)
 | ro | ReadBounds (TControl)
pt |  | SessionProperties (TControl)
 |  | ShowHint (TControl)
 |  | Tag (TComponent)
 |  | TBDockHeight (TControl)
pt |  | Text (TControl)
pl |  | Top (TControl)
 |  | UndockHeight (TControl)
 |  | UndockWidth (TControl)
 |  | VCLComObject (TComponent)
 |  | Visible (TControl)
 | ro | WidgetSetClass (TLCLComponent)
pl |  | Width (TControl)
 |  | WindowProc (TControl)


TIndustrialBase
pt | GraphicChanged
 | Create
TGraphicControl
pt | WSRegisterClass
pt | FontChanged
pt | Paint
pt | DoOnChangeBounds
pt | DoOnParentHandleDestruction
pt | CMCursorChanged
 | Create
 | Destroy
TControl
pt | WSRegisterClass
pt | GetCursor
pt | SetCursor
pt | SetVisible
pt | DoOnParentHandleDestruction
pt | DoAutoSize
pt | DoAllAutoSize
pt | BeginAutoSizing
pt | EndAutoSizing
pt | AnchorSideChanged
pt | ForeignAnchorSideChanged
pt | SetAlign
pt | SetAnchors
pt | SetAutoSize
pt | BoundsChanged
pt | CreateControlBorderSpacing
pt | DoConstraintsChange
pt | DoBorderSpacingChange
pt | IsBorderSpacingInnerBorderStored
pt | IsCaptionStored
pt | SendMoveSizeMessages
pt | ConstrainedResize
pt | CalculatePreferredSize
pt | DoOnResize
pt | DoOnChangeBounds
pt | CheckOnChangeBounds
pt | Resize
pt | RequestAlign
pt | UpdateAnchorRules
pt | ChangeBounds
pt | DoSetBounds
pt | ScaleConstraints
pt | ChangeScale
pt | CanAutoSize
pt | SetBiDiMode
pt | SetParentBiDiMode
pt | IsAParentAligning
pt | GetClientOrigin
pt | GetClientRect
pt | GetLogicalClientRect
pt | GetScrolledClientRect
pt | GetClientScrollOffset
pt | GetControlOrigin
pt | IsClientHeightStored
pt | IsClientWidthStored
pt | WidthIsAnchored
pt | HeightIsAnchored
pt | WMCancelMode
pt | WMContextMenu
pt | WMLButtonDown
pt | WMRButtonDown
pt | WMMButtonDown
pt | WMXButtonDown
pt | WMLButtonDBLCLK
pt | WMRButtonDBLCLK
pt | WMMButtonDBLCLK
pt | WMXButtonDBLCLK
pt | WMLButtonTripleCLK
pt | WMRButtonTripleCLK
pt | WMMButtonTripleCLK
pt | WMXButtonTripleCLK
pt | WMLButtonQuadCLK
pt | WMRButtonQuadCLK
pt | WMMButtonQuadCLK
pt | WMXButtonQuadCLK
pt | WMMouseMove
pt | WMLButtonUp
pt | WMRButtonUp
pt | WMMButtonUp
pt | WMXButtonUp
pt | WMMouseWheel
pt | WMMouseHWheel
pt | WMMove
pt | WMSize
pt | WMWindowPosChanged
pt | CMChanged
pt | LMCaptureChanged
pt | CMBiDiModeChanged
pt | CMSysFontChanged
pt | CMEnabledChanged
pt | CMHitTest
pt | CMMouseEnter
pt | CMMouseLeave
pt | CMHintShow
pt | CMParentBiDiModeChanged
pt | CMParentColorChanged
pt | CMParentFontChanged
pt | CMParentShowHintChanged
pt | CMVisibleChanged
pt | CMTextChanged
pt | CMCursorChanged
pt | CalculateDockSizes
pt | CreateFloatingDockSite
pt | GetDockEdge
pt | GetDragImages
pt | GetFloating
pt | GetFloatingDockSiteClass
pt | BeforeDragStart
pt | BeginAutoDrag
pt | DoFloatMsg
pt | DockTrackNoTarget
pt | DoDock
pt | DoDragMsg
pt | DoEndDock
pt | DoEndDrag
pt | DoStartDock
pt | DoStartDrag
pt | DragCanceled
pt | DragOver
pt | PositionDockRect
pt | SetDragMode
pt | GetDefaultDockCaption
pt | Click
pt | DblClick
pt | TripleClick
pt | QuadClick
pt | GetMousePosFromMessage
pt | MouseDown
pt | MouseMove
pt | MouseUp
pt | MouseEnter
pt | MouseLeave
pt | DialogChar
pt | UpdateMouseCursor
pt | Changed
pt | GetPalette
pt | ChildClassAllowed
pt | ReadState
pt | Loaded
pt | LoadedAll
pt | DefineProperties
pt | AssignTo
pt | FormEndUpdated
pt | InvalidateControl
pt | FontChanged
pt | ParentFontChanged
pt | GetAction
pt | RealGetText
pt | RealSetText
pt | TextChanged
pt | GetCachedText
pt | SetAction
pt | SetColor
pt | SetEnabled
pt | SetHint
pt | SetName
pt | SetParent
pt | SetParentComponent
pt | WndProc
pt | ParentFormHandleInitialized
pt | GetMouseCapture
pt | CaptureChanged
pt | Notification
pt | CanTab
pt | GetDeviceContext
pt | GetEnabled
pt | GetPopupMenu
pt | DoOnShowHint
pt | DoMouseWheel
pt | DoMouseWheelDown
pt | DoMouseWheelUp
pt | DoMouseWheelHorz
pt | DoMouseWheelLeft
pt | DoMouseWheelRight
pt | VisibleChanging
pt | VisibleChanged
pt | EnabledChanging
pt | EnabledChanged
pt | AddHandler
pt | RemoveHandler
pt | DoCallNotifyHandler
pt | DoCallKeyEventHandler
pt | DoCallMouseWheelEventHandler
pt | DoContextPopup
pt | SetZOrder
pt | GetControlClassDefaultSize
pt | ColorIsStored
pt | DoAutoAdjustLayout
pt | DoFixDesignFontPPI
pt | DoScaleFontPPI
pt | GetActionLinkClass
pt | ActionChange
 | DragDrop
 | Dock
 | ManualDock
 | ManualFloat
 | ReplaceDockedControl
 | Docked
 | Dragging
 | GetAccessibleObject
 | CreateAccessibleObject
 | GetSelectedChildAccessibleObject
 | GetChildAccessibleObjectAtPos
 | ScaleDesignToForm
 | ScaleFormToDesign
 | Scale96ToForm
 | ScaleFormTo96
 | Scale96ToFont
 | ScaleFontTo96
 | ScaleScreenToFont
 | ScaleFontToScreen
 | Scale96ToScreen
 | ScaleScreenTo96
 | AdjustSize
 | AutoSizePhases
 | AutoSizeDelayed
 | AutoSizeDelayedReport
 | AutoSizeDelayedHandle
 | AnchorToNeighbour
 | AnchorParallel
 | AnchorHorizontalCenterTo
 | AnchorVerticalCenterTo
 | AnchorToCompanion
 | AnchorSame
 | AnchorAsAlign
 | AnchorClient
 | AnchoredControlCount
 | SetBounds
 | SetInitialBounds
 | SetBoundsKeepBase
 | GetPreferredSize
 | GetCanvasScaleFactor
 | GetDefaultWidth
 | GetDefaultHeight
 | GetDefaultColor
 | GetColorResolvingParent
 | GetRGBColorResolvingParent
 | GetSidePosition
 | CNPreferredSizeChanged
 | InvalidatePreferredSize
 | GetAnchorsDependingOnParent
 | DisableAutoSizing
 | EnableAutoSizing
 | UpdateBaseBounds
 | WriteLayoutDebugReport
 | AutoAdjustLayout
 | ShouldAutoAdjust
 | FixDesignFontsPPI
 | ScaleFontsPPI
 | Create
 | Destroy
 | BeforeDestruction
 | EditingDone
 | ExecuteDefaultAction
 | ExecuteCancelAction
 | BeginDrag
 | EndDrag
 | BringToFront
 | HasParent
 | GetParentComponent
 | IsParentOf
 | GetTopParent
 | IsVisible
 | IsControlVisible
 | IsEnabled
 | IsParentColor
 | IsParentFont
 | FormIsUpdating
 | IsProcessingPaintMsg
 | Hide
 | Refresh
 | Repaint
 | Invalidate
 | CheckChildClassAllowed
 | CheckNewParent
 | SendToBack
 | SetTempCursor
 | UpdateRolesForForm
 | ActiveDefaultControlChanged
 | GetTextBuf
 | GetTextLen
 | SetTextBuf
 | Perform
 | ScreenToClient
 | ClientToScreen
 | ScreenToControl
 | ControlToScreen
 | ClientToParent
 | ParentToClient
 | GetChildrenRect
 | Show
 | Update
 | HandleObjectShouldBeVisible
 | ParentDestroyingHandle
 | ParentHandlesAllocated
 | InitiateAction
 | ShowHelp
 | HasHelp
 | RemoveAllHandlersOfObject
 | AddHandlerOnResize
 | RemoveHandlerOnResize
 | AddHandlerOnChangeBounds
 | RemoveHandlerOnChangeBounds
 | AddHandlerOnVisibleChanging
 | RemoveHandlerOnVisibleChanging
 | AddHandlerOnVisibleChanged
 | RemoveHandlerOnVisibleChanged
 | AddHandlerOnEnabledChanged
 | RemoveHandlerOnEnableChanging
 | AddHandlerOnKeyDown
 | RemoveHandlerOnKeyDown
 | AddHandlerOnBeforeDestruction
 | RemoveHandlerOnBeforeDestruction
 | AddHandlerOnMouseWheel
 | RemoveHandlerOnMouseWheel
 | UseRightToLeftAlignment
 | UseRightToLeftReading
 | UseRightToLeftScrollBar
 | IsRightToLeft
TLCLComponent
pt | WSRegisterClass
pt | GetWSComponentClass
 | Create
 | Destroy
 | NewInstance
 | RemoveAllHandlersOfObject
 | IncLCLRefCount
 | DecLCLRefCount
TComponent
 | GetComObject
 | GetComponent
 | GetComponentCount
 | GetComponentIndex
 | Insert
 | ReadLeft
 | ReadTop
 | Remove
 | RemoveNotification
 | SetComponentIndex
 | SetReference
 | WriteLeft
 | WriteTop
 | ChangeName
 | DefineProperties
 | GetChildren
 | GetChildOwner
 | GetChildParent
 | GetOwner
 | Loaded
 | Loading
 | Notification
 | PaletteCreated
 | ReadState
 | SetAncestor
 | SetDesigning
 | SetDesignInstance
 | SetInline
 | SetName
 | SetChildOrder
 | SetParentComponent
 | Updating
 | Updated
 | UpdateRegistry
 | ValidateRename
 | ValidateContainer
 | ValidateInsert
 | QueryInterface
 | _AddRef
 | _Release
 | iicrGetComponent
 | GetTypeInfoCount
 | GetTypeInfo
 | GetIDsOfNames
 | Invoke
 | WriteState
 | Create
 | Destroy
 | BeforeDestruction
 | DestroyComponents
 | Destroying
 | ExecuteAction
 | FindComponent
 | FreeNotification
 | RemoveFreeNotification
 | FreeOnRelease
 | GetEnumerator
 | GetNamePath
 | GetParentComponent
 | HasParent
 | InsertComponent
 | RemoveComponent
 | SafeCallException
 | SetSubComponent
 | UpdateAction
 | IsImplementorOf
 | ReferenceInterface
TPersistent
 | AssignError
 | AssignTo
 | DefineProperties
 | GetOwner
 | Destroy
 | Assign
 | FPOAttachObserver
 | FPODetachObserver
 | FPONotifyObservers
 | GetNamePath
TObject
 | Create
 | Destroy
 | newinstance
 | FreeInstance
 | SafeCallException
 | DefaultHandler
 | Free
 | InitInstance
 | CleanupInstance
 | ClassType
 | ClassInfo
 | ClassName
 | ClassNameIs
 | ClassParent
 | InstanceSize
 | InheritsFrom
 | StringMessageTable
 | MethodAddress
 | MethodName
 | FieldAddress
 | AfterConstruction
 | BeforeDestruction
 | DefaultHandlerStr
 | Dispatch
 | DispatchStr
 | GetInterface
 | GetInterfaceByStr
 | GetInterfaceWeak
 | GetInterfaceEntry
 | GetInterfaceEntryByStr
 | GetInterfaceTable
 | UnitName
 | Equals
 | GetHashCode
 | ToString


pt | ActionChange (TControl)
 | ActiveDefaultControlChanged (TControl)
pt | AddHandler (TControl)
 | AddHandlerOnBeforeDestruction (TControl)
 | AddHandlerOnChangeBounds (TControl)
 | AddHandlerOnEnabledChanged (TControl)
 | AddHandlerOnKeyDown (TControl)
 | AddHandlerOnMouseWheel (TControl)
 | AddHandlerOnResize (TControl)
 | AddHandlerOnVisibleChanged (TControl)
 | AddHandlerOnVisibleChanging (TControl)
 | AdjustSize (TControl)
 | AfterConstruction (TObject)
 | AnchorAsAlign (TControl)
 | AnchorClient (TControl)
 | AnchoredControlCount (TControl)
 | AnchorHorizontalCenterTo (TControl)
 | AnchorParallel (TControl)
 | AnchorSame (TControl)
pt | AnchorSideChanged (TControl)
 | AnchorToCompanion (TControl)
 | AnchorToNeighbour (TControl)
 | AnchorVerticalCenterTo (TControl)
 | Assign (TPersistent)
 | AssignError (TPersistent)
 | AssignTo (TPersistent)
pt | AssignTo (TControl)
 | AutoAdjustLayout (TControl)
 | AutoSizeDelayed (TControl)
 | AutoSizeDelayedHandle (TControl)
 | AutoSizeDelayedReport (TControl)
 | AutoSizePhases (TControl)
 | BeforeDestruction (TObject)
 | BeforeDestruction (TComponent)
 | BeforeDestruction (TControl)
pt | BeforeDragStart (TControl)
pt | BeginAutoDrag (TControl)
pt | BeginAutoSizing (TControl)
 | BeginDrag (TControl)
pt | BoundsChanged (TControl)
 | BringToFront (TControl)
pt | CalculateDockSizes (TControl)
pt | CalculatePreferredSize (TControl)
pt | CanAutoSize (TControl)
pt | CanTab (TControl)
pt | CaptureChanged (TControl)
pt | ChangeBounds (TControl)
pt | Changed (TControl)
 | ChangeName (TComponent)
pt | ChangeScale (TControl)
 | CheckChildClassAllowed (TControl)
 | CheckNewParent (TControl)
pt | CheckOnChangeBounds (TControl)
pt | ChildClassAllowed (TControl)
 | ClassInfo (TObject)
 | ClassName (TObject)
 | ClassNameIs (TObject)
 | ClassParent (TObject)
 | ClassType (TObject)
 | CleanupInstance (TObject)
pt | Click (TControl)
 | ClientToParent (TControl)
 | ClientToScreen (TControl)
pt | CMBiDiModeChanged (TControl)
pt | CMChanged (TControl)
pt | CMCursorChanged (TControl)
pt | CMCursorChanged (TGraphicControl)
pt | CMEnabledChanged (TControl)
pt | CMHintShow (TControl)
pt | CMHitTest (TControl)
pt | CMMouseEnter (TControl)
pt | CMMouseLeave (TControl)
pt | CMParentBiDiModeChanged (TControl)
pt | CMParentColorChanged (TControl)
pt | CMParentFontChanged (TControl)
pt | CMParentShowHintChanged (TControl)
pt | CMSysFontChanged (TControl)
pt | CMTextChanged (TControl)
pt | CMVisibleChanged (TControl)
 | CNPreferredSizeChanged (TControl)
pt | ColorIsStored (TControl)
pt | ConstrainedResize (TControl)
 | ControlToScreen (TControl)
 | Create (TObject)
 | Create (TComponent)
 | Create (TLCLComponent)
 | Create (TControl)
 | Create (TGraphicControl)
 | Create (TIndustrialBase)
 | CreateAccessibleObject (TControl)
pt | CreateControlBorderSpacing (TControl)
pt | CreateFloatingDockSite (TControl)
pt | DblClick (TControl)
 | DecLCLRefCount (TLCLComponent)
 | DefaultHandler (TObject)
 | DefaultHandlerStr (TObject)
 | DefineProperties (TPersistent)
 | DefineProperties (TComponent)
pt | DefineProperties (TControl)
 | Destroy (TObject)
 | Destroy (TPersistent)
 | Destroy (TComponent)
 | Destroy (TLCLComponent)
 | Destroy (TControl)
 | Destroy (TGraphicControl)
 | DestroyComponents (TComponent)
 | Destroying (TComponent)
pt | DialogChar (TControl)
 | DisableAutoSizing (TControl)
 | Dispatch (TObject)
 | DispatchStr (TObject)
pt | DoAllAutoSize (TControl)
pt | DoAutoAdjustLayout (TControl)
pt | DoAutoSize (TControl)
pt | DoBorderSpacingChange (TControl)
pt | DoCallKeyEventHandler (TControl)
pt | DoCallMouseWheelEventHandler (TControl)
pt | DoCallNotifyHandler (TControl)
 | Dock (TControl)
 | Docked (TControl)
pt | DockTrackNoTarget (TControl)
pt | DoConstraintsChange (TControl)
pt | DoContextPopup (TControl)
pt | DoDock (TControl)
pt | DoDragMsg (TControl)
pt | DoEndDock (TControl)
pt | DoEndDrag (TControl)
pt | DoFixDesignFontPPI (TControl)
pt | DoFloatMsg (TControl)
pt | DoMouseWheel (TControl)
pt | DoMouseWheelDown (TControl)
pt | DoMouseWheelHorz (TControl)
pt | DoMouseWheelLeft (TControl)
pt | DoMouseWheelRight (TControl)
pt | DoMouseWheelUp (TControl)
pt | DoOnChangeBounds (TControl)
pt | DoOnChangeBounds (TGraphicControl)
pt | DoOnParentHandleDestruction (TControl)
pt | DoOnParentHandleDestruction (TGraphicControl)
pt | DoOnResize (TControl)
pt | DoOnShowHint (TControl)
pt | DoScaleFontPPI (TControl)
pt | DoSetBounds (TControl)
pt | DoStartDock (TControl)
pt | DoStartDrag (TControl)
pt | DragCanceled (TControl)
 | DragDrop (TControl)
 | Dragging (TControl)
pt | DragOver (TControl)
 | EditingDone (TControl)
 | EnableAutoSizing (TControl)
pt | EnabledChanged (TControl)
pt | EnabledChanging (TControl)
pt | EndAutoSizing (TControl)
 | EndDrag (TControl)
 | Equals (TObject)
 | ExecuteAction (TComponent)
 | ExecuteCancelAction (TControl)
 | ExecuteDefaultAction (TControl)
 | FieldAddress (TObject)
 | FindComponent (TComponent)
 | FixDesignFontsPPI (TControl)
pt | FontChanged (TControl)
pt | FontChanged (TGraphicControl)
pt | ForeignAnchorSideChanged (TControl)
pt | FormEndUpdated (TControl)
 | FormIsUpdating (TControl)
 | FPOAttachObserver (TPersistent)
 | FPODetachObserver (TPersistent)
 | FPONotifyObservers (TPersistent)
 | Free (TObject)
 | FreeInstance (TObject)
 | FreeNotification (TComponent)
 | FreeOnRelease (TComponent)
 | GetAccessibleObject (TControl)
pt | GetAction (TControl)
pt | GetActionLinkClass (TControl)
 | GetAnchorsDependingOnParent (TControl)
pt | GetCachedText (TControl)
 | GetCanvasScaleFactor (TControl)
 | GetChildAccessibleObjectAtPos (TControl)
 | GetChildOwner (TComponent)
 | GetChildParent (TComponent)
 | GetChildren (TComponent)
 | GetChildrenRect (TControl)
pt | GetClientOrigin (TControl)
pt | GetClientRect (TControl)
pt | GetClientScrollOffset (TControl)
 | GetColorResolvingParent (TControl)
 | GetComObject (TComponent)
 | GetComponent (TComponent)
 | GetComponentCount (TComponent)
 | GetComponentIndex (TComponent)
pt | GetControlClassDefaultSize (TControl)
pt | GetControlOrigin (TControl)
pt | GetCursor (TControl)
 | GetDefaultColor (TControl)
pt | GetDefaultDockCaption (TControl)
 | GetDefaultHeight (TControl)
 | GetDefaultWidth (TControl)
pt | GetDeviceContext (TControl)
pt | GetDockEdge (TControl)
pt | GetDragImages (TControl)
pt | GetEnabled (TControl)
 | GetEnumerator (TComponent)
pt | GetFloating (TControl)
pt | GetFloatingDockSiteClass (TControl)
 | GetHashCode (TObject)
 | GetIDsOfNames (TComponent)
 | GetInterface (TObject)
 | GetInterfaceByStr (TObject)
 | GetInterfaceEntry (TObject)
 | GetInterfaceEntryByStr (TObject)
 | GetInterfaceTable (TObject)
 | GetInterfaceWeak (TObject)
pt | GetLogicalClientRect (TControl)
pt | GetMouseCapture (TControl)
pt | GetMousePosFromMessage (TControl)
 | GetNamePath (TPersistent)
 | GetNamePath (TComponent)
 | GetOwner (TPersistent)
 | GetOwner (TComponent)
pt | GetPalette (TControl)
 | GetParentComponent (TComponent)
 | GetParentComponent (TControl)
pt | GetPopupMenu (TControl)
 | GetPreferredSize (TControl)
 | GetRGBColorResolvingParent (TControl)
pt | GetScrolledClientRect (TControl)
 | GetSelectedChildAccessibleObject (TControl)
 | GetSidePosition (TControl)
 | GetTextBuf (TControl)
 | GetTextLen (TControl)
 | GetTopParent (TControl)
 | GetTypeInfo (TComponent)
 | GetTypeInfoCount (TComponent)
pt | GetWSComponentClass (TLCLComponent)
pt | GraphicChanged (TIndustrialBase)
 | HandleObjectShouldBeVisible (TControl)
 | HasHelp (TControl)
 | HasParent (TComponent)
 | HasParent (TControl)
pt | HeightIsAnchored (TControl)
 | Hide (TControl)
 | iicrGetComponent (TComponent)
 | IncLCLRefCount (TLCLComponent)
 | InheritsFrom (TObject)
 | InitiateAction (TControl)
 | InitInstance (TObject)
 | Insert (TComponent)
 | InsertComponent (TComponent)
 | InstanceSize (TObject)
 | Invalidate (TControl)
pt | InvalidateControl (TControl)
 | InvalidatePreferredSize (TControl)
 | Invoke (TComponent)
pt | IsAParentAligning (TControl)
pt | IsBorderSpacingInnerBorderStored (TControl)
pt | IsCaptionStored (TControl)
pt | IsClientHeightStored (TControl)
pt | IsClientWidthStored (TControl)
 | IsControlVisible (TControl)
 | IsEnabled (TControl)
 | IsImplementorOf (TComponent)
 | IsParentColor (TControl)
 | IsParentFont (TControl)
 | IsParentOf (TControl)
 | IsProcessingPaintMsg (TControl)
 | IsRightToLeft (TControl)
 | IsVisible (TControl)
pt | LMCaptureChanged (TControl)
 | Loaded (TComponent)
pt | Loaded (TControl)
pt | LoadedAll (TControl)
 | Loading (TComponent)
 | ManualDock (TControl)
 | ManualFloat (TControl)
 | MethodAddress (TObject)
 | MethodName (TObject)
pt | MouseDown (TControl)
pt | MouseEnter (TControl)
pt | MouseLeave (TControl)
pt | MouseMove (TControl)
pt | MouseUp (TControl)
 | newinstance (TObject)
 | NewInstance (TLCLComponent)
 | Notification (TComponent)
pt | Notification (TControl)
pt | Paint (TGraphicControl)
 | PaletteCreated (TComponent)
 | ParentDestroyingHandle (TControl)
pt | ParentFontChanged (TControl)
pt | ParentFormHandleInitialized (TControl)
 | ParentHandlesAllocated (TControl)
 | ParentToClient (TControl)
 | Perform (TControl)
pt | PositionDockRect (TControl)
pt | QuadClick (TControl)
 | QueryInterface (TComponent)
 | ReadLeft (TComponent)
 | ReadState (TComponent)
pt | ReadState (TControl)
 | ReadTop (TComponent)
pt | RealGetText (TControl)
pt | RealSetText (TControl)
 | ReferenceInterface (TComponent)
 | Refresh (TControl)
 | Remove (TComponent)
 | RemoveAllHandlersOfObject (TLCLComponent)
 | RemoveAllHandlersOfObject (TControl)
 | RemoveComponent (TComponent)
 | RemoveFreeNotification (TComponent)
pt | RemoveHandler (TControl)
 | RemoveHandlerOnBeforeDestruction (TControl)
 | RemoveHandlerOnChangeBounds (TControl)
 | RemoveHandlerOnEnableChanging (TControl)
 | RemoveHandlerOnKeyDown (TControl)
 | RemoveHandlerOnMouseWheel (TControl)
 | RemoveHandlerOnResize (TControl)
 | RemoveHandlerOnVisibleChanged (TControl)
 | RemoveHandlerOnVisibleChanging (TControl)
 | RemoveNotification (TComponent)
 | Repaint (TControl)
 | ReplaceDockedControl (TControl)
pt | RequestAlign (TControl)
pt | Resize (TControl)
 | SafeCallException (TObject)
 | SafeCallException (TComponent)
 | Scale96ToFont (TControl)
 | Scale96ToForm (TControl)
 | Scale96ToScreen (TControl)
pt | ScaleConstraints (TControl)
 | ScaleDesignToForm (TControl)
 | ScaleFontsPPI (TControl)
 | ScaleFontTo96 (TControl)
 | ScaleFontToScreen (TControl)
 | ScaleFormTo96 (TControl)
 | ScaleFormToDesign (TControl)
 | ScaleScreenTo96 (TControl)
 | ScaleScreenToFont (TControl)
 | ScreenToClient (TControl)
 | ScreenToControl (TControl)
pt | SendMoveSizeMessages (TControl)
 | SendToBack (TControl)
pt | SetAction (TControl)
pt | SetAlign (TControl)
 | SetAncestor (TComponent)
pt | SetAnchors (TControl)
pt | SetAutoSize (TControl)
pt | SetBiDiMode (TControl)
 | SetBounds (TControl)
 | SetBoundsKeepBase (TControl)
 | SetChildOrder (TComponent)
pt | SetColor (TControl)
 | SetComponentIndex (TComponent)
pt | SetCursor (TControl)
 | SetDesigning (TComponent)
 | SetDesignInstance (TComponent)
pt | SetDragMode (TControl)
pt | SetEnabled (TControl)
pt | SetHint (TControl)
 | SetInitialBounds (TControl)
 | SetInline (TComponent)
 | SetName (TComponent)
pt | SetName (TControl)
pt | SetParent (TControl)
pt | SetParentBiDiMode (TControl)
 | SetParentComponent (TComponent)
pt | SetParentComponent (TControl)
 | SetReference (TComponent)
 | SetSubComponent (TComponent)
 | SetTempCursor (TControl)
 | SetTextBuf (TControl)
pt | SetVisible (TControl)
pt | SetZOrder (TControl)
 | ShouldAutoAdjust (TControl)
 | Show (TControl)
 | ShowHelp (TControl)
 | StringMessageTable (TObject)
pt | TextChanged (TControl)
 | ToString (TObject)
pt | TripleClick (TControl)
 | UnitName (TObject)
 | Update (TControl)
 | UpdateAction (TComponent)
pt | UpdateAnchorRules (TControl)
 | UpdateBaseBounds (TControl)
 | Updated (TComponent)
pt | UpdateMouseCursor (TControl)
 | UpdateRegistry (TComponent)
 | UpdateRolesForForm (TControl)
 | Updating (TComponent)
 | UseRightToLeftAlignment (TControl)
 | UseRightToLeftReading (TControl)
 | UseRightToLeftScrollBar (TControl)
 | ValidateContainer (TComponent)
 | ValidateInsert (TComponent)
 | ValidateRename (TComponent)
pt | VisibleChanged (TControl)
pt | VisibleChanging (TControl)
pt | WidthIsAnchored (TControl)
pt | WMCancelMode (TControl)
pt | WMContextMenu (TControl)
pt | WMLButtonDBLCLK (TControl)
pt | WMLButtonDown (TControl)
pt | WMLButtonQuadCLK (TControl)
pt | WMLButtonTripleCLK (TControl)
pt | WMLButtonUp (TControl)
pt | WMMButtonDBLCLK (TControl)
pt | WMMButtonDown (TControl)
pt | WMMButtonQuadCLK (TControl)
pt | WMMButtonTripleCLK (TControl)
pt | WMMButtonUp (TControl)
pt | WMMouseHWheel (TControl)
pt | WMMouseMove (TControl)
pt | WMMouseWheel (TControl)
pt | WMMove (TControl)
pt | WMRButtonDBLCLK (TControl)
pt | WMRButtonDown (TControl)
pt | WMRButtonQuadCLK (TControl)
pt | WMRButtonTripleCLK (TControl)
pt | WMRButtonUp (TControl)
pt | WMSize (TControl)
pt | WMWindowPosChanged (TControl)
pt | WMXButtonDBLCLK (TControl)
pt | WMXButtonDown (TControl)
pt | WMXButtonQuadCLK (TControl)
pt | WMXButtonTripleCLK (TControl)
pt | WMXButtonUp (TControl)
pt | WndProc (TControl)
 | WriteLayoutDebugReport (TControl)
 | WriteLeft (TComponent)
 | WriteState (TComponent)
 | WriteTop (TComponent)
pt | WSRegisterClass (TLCLComponent)
pt | WSRegisterClass (TControl)
pt | WSRegisterClass (TGraphicControl)
 | _AddRef (TComponent)
 | _Release (TComponent)


TIndustrialBase
TGraphicControl
pt | OnPaint
TControl
pt | OnConstrainedResize
pt | OnContextPopup
pt | OnDblClick
pt | OnTripleClick
pt | OnQuadClick
pt | OnDragDrop
pt | OnDragOver
pt | OnEndDock
pt | OnEndDrag
pt | OnMouseDown
pt | OnMouseMove
pt | OnMouseUp
pt | OnMouseEnter
pt | OnMouseLeave
pt | OnMouseWheel
pt | OnMouseWheelDown
pt | OnMouseWheelUp
pt | OnMouseWheelHorz
pt | OnMouseWheelLeft
pt | OnMouseWheelRight
pt | OnStartDock
pt | OnStartDrag
pt | OnEditingDone
 | OnChangeBounds
 | OnClick
 | OnResize
 | OnShowHint
TLCLComponent
TComponent
TPersistent
TObject


TIndustrialBase.AntiAliasingMode

Declaration

Source position: industrialbase.pp line 23

published property TIndustrialBase.AntiAliasingMode : TAntialiasingMode
  read FAntiAliasingMode
  write SetAntiAliasingMode
  default amDontCare;


TIndustrialBase.Create

Declaration

Source position: industrialbase.pp line 21

public constructor TIndustrialBase.Create(

  aOwner: TComponent

); override;


TIndustrialBase.GraphicChanged

Declaration

Source position: industrialbase.pp line 19

protected procedure TIndustrialBase.GraphicChanged;


TCustomIniPropStorage

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Implements the base class for the INI Form's Session Properties.

Declaration

Source position: inipropstorage.pas line 28

type TCustomIniPropStorage = class(TFormPropertyStorage)
protected
function IniFileClass; virtual; | Returns the class TIniFile
function GetIniFileName; virtual; | Getter for the property TCustomIniPropStorage.IniFileName.
function RootSection; override; | Returns the name of the RootSection.
property IniFile: TCustomIniFile; [r] | Property to access the TCustomIniFile instance.
public
procedure StorageNeeded(); override; | Aks the underlying storage object for an entry
procedure FreeStorage; override; | Frees an entry from the underlying storage object.
function DoReadString(); override; | Implements the actual reading of a value from the underlying storage container.
procedure DoWriteString(); override; | Implements the actual writing of a value from the underlying storage container.
procedure DoEraseSections(); override; | Erases a section from the underlying storage container.
property IniFileName: string; [rw] | Name of the file where the property data is saved in INI format.
property IniSection: string; [rw] | The section on the INI file where values are to be kept.
end;

Inheritance

TCustomIniPropStorage | Implements the base class for the INI Form's Session Properties.
|
TFormPropertyStorage | TFormPropertyStorage - class for storage of a Form's properties
|
TControlPropertyStorage |
|
TCustomPropertyStorage | Provides abstract means to Save/Restore properties.
|
TComponent,IUnknown,IInterfaceComponentReference
|
TPersistent,IFPObserved
|
TObject


TCustomIniPropStorage
pt | ro | IniFile
 |  | IniFileName
 |  | IniSection
TFormPropertyStorage
TControlPropertyStorage
TCustomPropertyStorage
 |  | StoredValue
 | ro | Root
 |  | Active
 |  | StoredValues
TComponent
 | ro | ComObject
 | ro | Components
 | ro | ComponentCount
 |  | ComponentIndex
 | ro | ComponentState
 | ro | ComponentStyle
 |  | DesignInfo
 | ro | Owner
 |  | VCLComObject
 |  | Name
 |  | Tag
TPersistent
TObject


 | ro | ComObject (TComponent)
 | ro | ComponentCount (TComponent)
 |  | ComponentIndex (TComponent)
 | ro | Components (TComponent)
 | ro | ComponentState (TComponent)
 | ro | ComponentStyle (TComponent)
 |  | DesignInfo (TComponent)
pt | ro | IniFile (TCustomIniPropStorage)
 |  | IniFileName (TCustomIniPropStorage)
 |  | IniSection (TCustomIniPropStorage)
 |  | Name (TComponent)
 | ro | Owner (TComponent)
 | ro | Root (TCustomPropertyStorage)
 |  | StoredValue (TCustomPropertyStorage)
 |  | StoredValues (TCustomPropertyStorage)
 |  | Tag (TComponent)
 |  | VCLComObject (TComponent)


TCustomIniPropStorage
pt | IniFileClass
pt | GetIniFileName
pt | RootSection
 | StorageNeeded
 | FreeStorage
 | DoReadString
 | DoWriteString
 | DoEraseSections
TFormPropertyStorage
 | Create
 | Destroy
TControlPropertyStorage
pt | GetPropertyList
TCustomPropertyStorage
pt | GetRoot
pt | RootSection
pt | SaveProperties
pt | RestoreProperties
pt | GetPropertyList
pt | FinishPropertyList
pt | DoReadInteger
pt | DoReadString
pt | DoWriteString
pt | DoWriteInteger
pt | DoEraseSections
 | Create
 | Destroy
 | Save
 | Restore
 | StorageNeeded
 | FreeStorage
 | ReadBoolean
 | ReadString
 | ReadInteger
 | ReadRect
 | ReadStrings
 | WriteString
 | WriteInteger
 | WriteBoolean
 | WriteRect
 | WriteStrings
 | EraseSections
TComponent
 | GetComObject
 | GetComponent
 | GetComponentCount
 | GetComponentIndex
 | Insert
 | ReadLeft
 | ReadTop
 | Remove
 | RemoveNotification
 | SetComponentIndex
 | SetReference
 | WriteLeft
 | WriteTop
 | ChangeName
 | DefineProperties
 | GetChildren
 | GetChildOwner
 | GetChildParent
 | GetOwner
 | Loaded
 | Loading
 | Notification
 | PaletteCreated
 | ReadState
 | SetAncestor
 | SetDesigning
 | SetDesignInstance
 | SetInline
 | SetName
 | SetChildOrder
 | SetParentComponent
 | Updating
 | Updated
 | UpdateRegistry
 | ValidateRename
 | ValidateContainer
 | ValidateInsert
 | QueryInterface
 | _AddRef
 | _Release
 | iicrGetComponent
 | GetTypeInfoCount
 | GetTypeInfo
 | GetIDsOfNames
 | Invoke
 | WriteState
 | Create
 | Destroy
 | BeforeDestruction
 | DestroyComponents
 | Destroying
 | ExecuteAction
 | FindComponent
 | FreeNotification
 | RemoveFreeNotification
 | FreeOnRelease
 | GetEnumerator
 | GetNamePath
 | GetParentComponent
 | HasParent
 | InsertComponent
 | RemoveComponent
 | SafeCallException
 | SetSubComponent
 | UpdateAction
 | IsImplementorOf
 | ReferenceInterface
TPersistent
 | AssignError
 | AssignTo
 | DefineProperties
 | GetOwner
 | Destroy
 | Assign
 | FPOAttachObserver
 | FPODetachObserver
 | FPONotifyObservers
 | GetNamePath
TObject
 | Create
 | Destroy
 | newinstance
 | FreeInstance
 | SafeCallException
 | DefaultHandler
 | Free
 | InitInstance
 | CleanupInstance
 | ClassType
 | ClassInfo
 | ClassName
 | ClassNameIs
 | ClassParent
 | InstanceSize
 | InheritsFrom
 | StringMessageTable
 | MethodAddress
 | MethodName
 | FieldAddress
 | AfterConstruction
 | BeforeDestruction
 | DefaultHandlerStr
 | Dispatch
 | DispatchStr
 | GetInterface
 | GetInterfaceByStr
 | GetInterfaceWeak
 | GetInterfaceEntry
 | GetInterfaceEntryByStr
 | GetInterfaceTable
 | UnitName
 | Equals
 | GetHashCode
 | ToString


 | AssignError (TPersistent)
 | AssignTo (TPersistent)
 | BeforeDestruction (TObject)
 | BeforeDestruction (TComponent)
 | ChangeName (TComponent)
 | ClassInfo (TObject)
 | ClassName (TObject)
 | ClassNameIs (TObject)
 | ClassParent (TObject)
 | ClassType (TObject)
 | CleanupInstance (TObject)
 | Create (TObject)
 | Create (TComponent)
 | Create (TCustomPropertyStorage)
 | Create (TFormPropertyStorage)
 | DefaultHandler (TObject)
 | DefaultHandlerStr (TObject)
 | DefineProperties (TPersistent)
 | DefineProperties (TComponent)
 | Destroy (TObject)
 | Destroy (TPersistent)
 | Destroy (TComponent)
 | Destroy (TCustomPropertyStorage)
 | Destroy (TFormPropertyStorage)
 | DestroyComponents (TComponent)
 | Destroying (TComponent)
 | Dispatch (TObject)
 | DispatchStr (TObject)
pt | DoEraseSections (TCustomPropertyStorage)
 | DoEraseSections (TCustomIniPropStorage)
pt | DoReadInteger (TCustomPropertyStorage)
pt | DoReadString (TCustomPropertyStorage)
 | DoReadString (TCustomIniPropStorage)
pt | DoWriteInteger (TCustomPropertyStorage)
pt | DoWriteString (TCustomPropertyStorage)
 | DoWriteString (TCustomIniPropStorage)
 | Equals (TObject)
 | EraseSections (TCustomPropertyStorage)
 | ExecuteAction (TComponent)
 | FieldAddress (TObject)
 | FindComponent (TComponent)
pt | FinishPropertyList (TCustomPropertyStorage)
 | FPOAttachObserver (TPersistent)
 | FPODetachObserver (TPersistent)
 | FPONotifyObservers (TPersistent)
 | Free (TObject)
 | FreeInstance (TObject)
 | FreeNotification (TComponent)
 | FreeOnRelease (TComponent)
 | FreeStorage (TCustomPropertyStorage)
 | FreeStorage (TCustomIniPropStorage)
 | GetChildOwner (TComponent)
 | GetChildParent (TComponent)
 | GetChildren (TComponent)
 | GetComObject (TComponent)
 | GetComponent (TComponent)
 | GetComponentCount (TComponent)
 | GetComponentIndex (TComponent)
 | GetEnumerator (TComponent)
 | GetHashCode (TObject)
 | GetIDsOfNames (TComponent)
pt | GetIniFileName (TCustomIniPropStorage)
 | GetInterface (TObject)
 | GetInterfaceByStr (TObject)
 | GetInterfaceEntry (TObject)
 | GetInterfaceEntryByStr (TObject)
 | GetInterfaceTable (TObject)
 | GetInterfaceWeak (TObject)
 | GetNamePath (TPersistent)
 | GetNamePath (TComponent)
 | GetOwner (TPersistent)
 | GetOwner (TComponent)
 | GetParentComponent (TComponent)
pt | GetPropertyList (TCustomPropertyStorage)
pt | GetPropertyList (TControlPropertyStorage)
pt | GetRoot (TCustomPropertyStorage)
 | GetTypeInfo (TComponent)
 | GetTypeInfoCount (TComponent)
 | HasParent (TComponent)
 | iicrGetComponent (TComponent)
 | InheritsFrom (TObject)
pt | IniFileClass (TCustomIniPropStorage)
 | InitInstance (TObject)
 | Insert (TComponent)
 | InsertComponent (TComponent)
 | InstanceSize (TObject)
 | Invoke (TComponent)
 | IsImplementorOf (TComponent)
 | Loaded (TComponent)
 | Loading (TComponent)
 | MethodAddress (TObject)
 | MethodName (TObject)
 | newinstance (TObject)
 | Notification (TComponent)
 | PaletteCreated (TComponent)
 | QueryInterface (TComponent)
 | ReadBoolean (TCustomPropertyStorage)
 | ReadInteger (TCustomPropertyStorage)
 | ReadLeft (TComponent)
 | ReadRect (TCustomPropertyStorage)
 | ReadState (TComponent)
 | ReadString (TCustomPropertyStorage)
 | ReadStrings (TCustomPropertyStorage)
 | ReadTop (TComponent)
 | ReferenceInterface (TComponent)
 | Remove (TComponent)
 | RemoveComponent (TComponent)
 | RemoveFreeNotification (TComponent)
 | RemoveNotification (TComponent)
 | Restore (TCustomPropertyStorage)
pt | RestoreProperties (TCustomPropertyStorage)
pt | RootSection (TCustomPropertyStorage)
pt | RootSection (TCustomIniPropStorage)
 | SafeCallException (TObject)
 | SafeCallException (TComponent)
 | Save (TCustomPropertyStorage)
pt | SaveProperties (TCustomPropertyStorage)
 | SetAncestor (TComponent)
 | SetChildOrder (TComponent)
 | SetComponentIndex (TComponent)
 | SetDesigning (TComponent)
 | SetDesignInstance (TComponent)
 | SetInline (TComponent)
 | SetName (TComponent)
 | SetParentComponent (TComponent)
 | SetReference (TComponent)
 | SetSubComponent (TComponent)
 | StorageNeeded (TCustomPropertyStorage)
 | StorageNeeded (TCustomIniPropStorage)
 | StringMessageTable (TObject)
 | ToString (TObject)
 | UnitName (TObject)
 | UpdateAction (TComponent)
 | Updated (TComponent)
 | UpdateRegistry (TComponent)
 | Updating (TComponent)
 | ValidateContainer (TComponent)
 | ValidateInsert (TComponent)
 | ValidateRename (TComponent)
 | WriteBoolean (TCustomPropertyStorage)
 | WriteInteger (TCustomPropertyStorage)
 | WriteLeft (TComponent)
 | WriteRect (TCustomPropertyStorage)
 | WriteState (TComponent)
 | WriteString (TCustomPropertyStorage)
 | WriteStrings (TCustomPropertyStorage)
 | WriteTop (TComponent)
 | _AddRef (TComponent)
 | _Release (TComponent)


TCustomIniPropStorage
TFormPropertyStorage
TControlPropertyStorage
TCustomPropertyStorage
 | OnSavingProperties
 | OnSaveProperties
 | OnRestoringProperties
 | OnRestoreProperties
 | OnSaveException
TComponent
TPersistent
TObject


TCustomIniPropStorage.DoEraseSections

Erases a section from the underlying storage container.

Declaration

Source position: inipropstorage.pas line 45

public procedure TCustomIniPropStorage.DoEraseSections(

  const ARootSection: string

); override;

Arguments

ARootSection

The path to the section that will be erased.


TCustomIniPropStorage.DoReadString

Implements the actual reading of a value from the underlying storage container.

Declaration

Source position: inipropstorage.pas line 43

public function TCustomIniPropStorage.DoReadString(

  const Section: string;

  const Ident: string;

  const default: string

):string; override;

Arguments

Section | The section to be read.
Ident | The ident to be read.
default | If has no value then return this as default.

Function result

The value of the section/ident requested.


TCustomIniPropStorage.DoWriteString

Implements the actual writing of a value from the underlying storage container.

Declaration

Source position: inipropstorage.pas line 44

public procedure TCustomIniPropStorage.DoWriteString(

  const Section: string;

  const Ident: string;

  const Value: string

); override;

Arguments

Section | The section to be written.
Ident | The ident to be written.
Value | The value to be written.


TCustomIniPropStorage.FreeStorage

Frees an entry from the underlying storage object.

Declaration

Source position: inipropstorage.pas line 42

public procedure TCustomIniPropStorage.FreeStorage; override;


TCustomIniPropStorage.GetIniFileName

Getter for the property TCustomIniPropStorage.IniFileName.

Declaration

Source position: inipropstorage.pas line 37

protected function TCustomIniPropStorage.GetIniFileName: string; virtual;

Function result

The current value of the property TCustomIniPropStorage.IniFileName.


TCustomIniPropStorage.IniFile

Property to access the TCustomIniFile instance.

Declaration

Source position: inipropstorage.pas line 39

protected property TCustomIniPropStorage.IniFile : TCustomIniFile
  read FIniFile;


TCustomIniPropStorage.IniFileClass

Returns the class TIniFile

Declaration

Source position: inipropstorage.pas line 36

protected function TCustomIniPropStorage.IniFileClass: TIniFileClass; virtual;

Function result

The class TIniFile


TCustomIniPropStorage.IniFileName

Name of the file where the property data is saved in INI format.

Declaration

Source position: inipropstorage.pas line 47

public property TCustomIniPropStorage.IniFileName : string
  read FIniFileName
  write FIniFileName;


TCustomIniPropStorage.IniSection

The section on the INI file where values are to be kept.

Declaration

Source position: inipropstorage.pas line 48

public property TCustomIniPropStorage.IniSection : string
  read FIniSection
  write FIniSection;


TCustomIniPropStorage.RootSection

Returns the name of the RootSection.

Declaration

Source position: inipropstorage.pas line 38

protected function TCustomIniPropStorage.RootSection: string; override;

Function result

The current value of RootSection.


TCustomIniPropStorage.StorageNeeded

Aks the underlying storage object for an entry

Declaration

Source position: inipropstorage.pas line 41

public procedure TCustomIniPropStorage.StorageNeeded(

  ReadOnly: Boolean

); override;

Arguments

ReadOnly

If the item is read-only.


TIniPropStorage

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Implements the final class for the INI Form Session Properties storage.

Declaration

Source position: inipropstorage.pas line 53

type TIniPropStorage = class(TCustomIniPropStorage)
published
property StoredValues: TStoredValues; |
property IniFileName: string; | Name of the file where the property data is saved in INI format.
property IniSection: string; | The section on the INI file where values are to be kept.
property Active: Boolean; | This determines if the object is active or not.
property OnSavingProperties: TNotifyEvent; | Handler called at the beginning of Save.
property OnSaveProperties: TNotifyEvent; | Handler called at the end of Save.
property OnRestoringProperties: TNotifyEvent; | Handler called at the beginning of Restore.
property OnRestoreProperties: TNotifyEvent; | Handler called at the end of Restore.
end;

Inheritance

TIniPropStorage | Implements the final class for the INI Form Session Properties storage.
|
TCustomIniPropStorage | Implements the base class for the INI Form's Session Properties.
|
TFormPropertyStorage | TFormPropertyStorage - class for storage of a Form's properties
|
TControlPropertyStorage |
|
TCustomPropertyStorage | Provides abstract means to Save/Restore properties.
|
TComponent,IUnknown,IInterfaceComponentReference
|
TPersistent,IFPObserved
|
TObject

See also

TForm.SessionProperties
TJSONPropStorage | Implements the final class for the JSON Form Session Properties storage.
TXMLPropStorage | Implements the final class for the XML Form Session Properties storage.


TIniPropStorage
pl | ro | StoredValues
pl | ro | IniFileName
pl | ro | IniSection
pl | ro | Active
TCustomIniPropStorage
pt | ro | IniFile
 |  | IniFileName
 |  | IniSection
TFormPropertyStorage
TControlPropertyStorage
TCustomPropertyStorage
 |  | StoredValue
 | ro | Root
 |  | Active
 |  | StoredValues
TComponent
 | ro | ComObject
 | ro | Components
 | ro | ComponentCount
 |  | ComponentIndex
 | ro | ComponentState
 | ro | ComponentStyle
 |  | DesignInfo
 | ro | Owner
 |  | VCLComObject
 |  | Name
 |  | Tag
TPersistent
TObject


pl | ro | Active (TIniPropStorage)
 | ro | ComObject (TComponent)
 | ro | ComponentCount (TComponent)
 |  | ComponentIndex (TComponent)
 | ro | Components (TComponent)
 | ro | ComponentState (TComponent)
 | ro | ComponentStyle (TComponent)
 |  | DesignInfo (TComponent)
pt | ro | IniFile (TCustomIniPropStorage)
 |  | IniFileName (TCustomIniPropStorage)
pl | ro | IniFileName (TIniPropStorage)
 |  | IniSection (TCustomIniPropStorage)
pl | ro | IniSection (TIniPropStorage)
 |  | Name (TComponent)
 | ro | Owner (TComponent)
 | ro | Root (TCustomPropertyStorage)
 |  | StoredValue (TCustomPropertyStorage)
 |  | StoredValues (TCustomPropertyStorage)
pl | ro | StoredValues (TIniPropStorage)
 |  | Tag (TComponent)
 |  | VCLComObject (TComponent)


TIniPropStorage
TCustomIniPropStorage
pt | IniFileClass
pt | GetIniFileName
pt | RootSection
 | StorageNeeded
 | FreeStorage
 | DoReadString
 | DoWriteString
 | DoEraseSections
TFormPropertyStorage
 | Create
 | Destroy
TControlPropertyStorage
pt | GetPropertyList
TCustomPropertyStorage
pt | GetRoot
pt | RootSection
pt | SaveProperties
pt | RestoreProperties
pt | GetPropertyList
pt | FinishPropertyList
pt | DoReadInteger
pt | DoReadString
pt | DoWriteString
pt | DoWriteInteger
pt | DoEraseSections
 | Create
 | Destroy
 | Save
 | Restore
 | StorageNeeded
 | FreeStorage
 | ReadBoolean
 | ReadString
 | ReadInteger
 | ReadRect
 | ReadStrings
 | WriteString
 | WriteInteger
 | WriteBoolean
 | WriteRect
 | WriteStrings
 | EraseSections
TComponent
 | GetComObject
 | GetComponent
 | GetComponentCount
 | GetComponentIndex
 | Insert
 | ReadLeft
 | ReadTop
 | Remove
 | RemoveNotification
 | SetComponentIndex
 | SetReference
 | WriteLeft
 | WriteTop
 | ChangeName
 | DefineProperties
 | GetChildren
 | GetChildOwner
 | GetChildParent
 | GetOwner
 | Loaded
 | Loading
 | Notification
 | PaletteCreated
 | ReadState
 | SetAncestor
 | SetDesigning
 | SetDesignInstance
 | SetInline
 | SetName
 | SetChildOrder
 | SetParentComponent
 | Updating
 | Updated
 | UpdateRegistry
 | ValidateRename
 | ValidateContainer
 | ValidateInsert
 | QueryInterface
 | _AddRef
 | _Release
 | iicrGetComponent
 | GetTypeInfoCount
 | GetTypeInfo
 | GetIDsOfNames
 | Invoke
 | WriteState
 | Create
 | Destroy
 | BeforeDestruction
 | DestroyComponents
 | Destroying
 | ExecuteAction
 | FindComponent
 | FreeNotification
 | RemoveFreeNotification
 | FreeOnRelease
 | GetEnumerator
 | GetNamePath
 | GetParentComponent
 | HasParent
 | InsertComponent
 | RemoveComponent
 | SafeCallException
 | SetSubComponent
 | UpdateAction
 | IsImplementorOf
 | ReferenceInterface
TPersistent
 | AssignError
 | AssignTo
 | DefineProperties
 | GetOwner
 | Destroy
 | Assign
 | FPOAttachObserver
 | FPODetachObserver
 | FPONotifyObservers
 | GetNamePath
TObject
 | Create
 | Destroy
 | newinstance
 | FreeInstance
 | SafeCallException
 | DefaultHandler
 | Free
 | InitInstance
 | CleanupInstance
 | ClassType
 | ClassInfo
 | ClassName
 | ClassNameIs
 | ClassParent
 | InstanceSize
 | InheritsFrom
 | StringMessageTable
 | MethodAddress
 | MethodName
 | FieldAddress
 | AfterConstruction
 | BeforeDestruction
 | DefaultHandlerStr
 | Dispatch
 | DispatchStr
 | GetInterface
 | GetInterfaceByStr
 | GetInterfaceWeak
 | GetInterfaceEntry
 | GetInterfaceEntryByStr
 | GetInterfaceTable
 | UnitName
 | Equals
 | GetHashCode
 | ToString


TIniPropStorage
pl | ro | OnSavingProperties
pl | ro | OnSaveProperties
pl | ro | OnRestoringProperties
pl | ro | OnRestoreProperties
TCustomIniPropStorage
TFormPropertyStorage
TControlPropertyStorage
TCustomPropertyStorage
 |  | OnSavingProperties
 |  | OnSaveProperties
 |  | OnRestoringProperties
 |  | OnRestoreProperties
 |  | OnSaveException
TComponent
TPersistent
TObject


pl | ro | OnRestoreProperties (TIniPropStorage)
 |  | OnRestoringProperties (TCustomPropertyStorage)
pl | ro | OnRestoringProperties (TIniPropStorage)
 |  | OnSaveException (TCustomPropertyStorage)
 |  | OnSaveProperties (TCustomPropertyStorage)
pl | ro | OnSaveProperties (TIniPropStorage)
 |  | OnSavingProperties (TCustomPropertyStorage)
pl | ro | OnSavingProperties (TIniPropStorage)


EInterfaceCritical

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Declaration

Source position: interfacebase.pp line 185

type EInterfaceCritical = class(EInterfaceException)

Inheritance

EInterfaceCritical

|

EInterfaceException

|

Exception
|

TObject


EInterfaceCritical
EInterfaceException
Exception
 | HelpContext
 | Message
TObject


EInterfaceCritical
EInterfaceException
Exception
 | Create
 | CreateFmt
 | CreateRes
 | CreateResFmt
 | CreateHelp
 | CreateFmtHelp
 | CreateResHelp
 | CreateResFmtHelp
 | ToString
TObject
 | Create
 | Destroy
 | newinstance
 | FreeInstance
 | SafeCallException
 | DefaultHandler
 | Free
 | InitInstance
 | CleanupInstance
 | ClassType
 | ClassInfo
 | ClassName
 | ClassNameIs
 | ClassParent
 | InstanceSize
 | InheritsFrom
 | StringMessageTable
 | MethodAddress
 | MethodName
 | FieldAddress
 | AfterConstruction
 | BeforeDestruction
 | DefaultHandlerStr
 | Dispatch
 | DispatchStr
 | GetInterface
 | GetInterfaceByStr
 | GetInterfaceWeak
 | GetInterfaceEntry
 | GetInterfaceEntryByStr
 | GetInterfaceTable
 | UnitName
 | Equals
 | GetHashCode
 | ToString


EInterfaceCritical

EInterfaceException

Exception

TObject


EInterfaceError

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Declaration

Source position: interfacebase.pp line 184

type EInterfaceError = class(EInterfaceException)

Inheritance

EInterfaceError

|

EInterfaceException

|

Exception
|

TObject


EInterfaceError
EInterfaceException
Exception
 | HelpContext
 | Message
TObject


EInterfaceError
EInterfaceException
Exception
 | Create
 | CreateFmt
 | CreateRes
 | CreateResFmt
 | CreateHelp
 | CreateFmtHelp
 | CreateResHelp
 | CreateResFmtHelp
 | ToString
TObject
 | Create
 | Destroy
 | newinstance
 | FreeInstance
 | SafeCallException
 | DefaultHandler
 | Free
 | InitInstance
 | CleanupInstance
 | ClassType
 | ClassInfo
 | ClassName
 | ClassNameIs
 | ClassParent
 | InstanceSize
 | InheritsFrom
 | StringMessageTable
 | MethodAddress
 | MethodName
 | FieldAddress
 | AfterConstruction
 | BeforeDestruction
 | DefaultHandlerStr
 | Dispatch
 | DispatchStr
 | GetInterface
 | GetInterfaceByStr
 | GetInterfaceWeak
 | GetInterfaceEntry
 | GetInterfaceEntryByStr
 | GetInterfaceTable
 | UnitName
 | Equals
 | GetHashCode
 | ToString


EInterfaceError

EInterfaceException

Exception

TObject


EInterfaceException

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Declaration

Source position: interfacebase.pp line 183

type EInterfaceException = class(Exception)

Inheritance

EInterfaceException

|

Exception
|

TObject


EInterfaceException
Exception
 | HelpContext
 | Message
TObject


EInterfaceException
Exception
 | Create
 | CreateFmt
 | CreateRes
 | CreateResFmt
 | CreateHelp
 | CreateFmtHelp
 | CreateResHelp
 | CreateResFmtHelp
 | ToString
TObject
 | Create
 | Destroy
 | newinstance
 | FreeInstance
 | SafeCallException
 | DefaultHandler
 | Free
 | InitInstance
 | CleanupInstance
 | ClassType
 | ClassInfo
 | ClassName
 | ClassNameIs
 | ClassParent
 | InstanceSize
 | InheritsFrom
 | StringMessageTable
 | MethodAddress
 | MethodName
 | FieldAddress
 | AfterConstruction
 | BeforeDestruction
 | DefaultHandlerStr
 | Dispatch
 | DispatchStr
 | GetInterface
 | GetInterfaceByStr
 | GetInterfaceWeak
 | GetInterfaceEntry
 | GetInterfaceEntryByStr
 | GetInterfaceTable
 | UnitName
 | Equals
 | GetHashCode
 | ToString


EInterfaceException

Exception

TObject


EInterfaceWarning

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Declaration

Source position: interfacebase.pp line 186

type EInterfaceWarning = class(EInterfaceException)

Inheritance

EInterfaceWarning

|

EInterfaceException

|

Exception
|

TObject


EInterfaceWarning
EInterfaceException
Exception
 | HelpContext
 | Message
TObject


EInterfaceWarning
EInterfaceException
Exception
 | Create
 | CreateFmt
 | CreateRes
 | CreateResFmt
 | CreateHelp
 | CreateFmtHelp
 | CreateResHelp
 | CreateResFmtHelp
 | ToString
TObject
 | Create
 | Destroy
 | newinstance
 | FreeInstance
 | SafeCallException
 | DefaultHandler
 | Free
 | InitInstance
 | CleanupInstance
 | ClassType
 | ClassInfo
 | ClassName
 | ClassNameIs
 | ClassParent
 | InstanceSize
 | InheritsFrom
 | StringMessageTable
 | MethodAddress
 | MethodName
 | FieldAddress
 | AfterConstruction
 | BeforeDestruction
 | DefaultHandlerStr
 | Dispatch
 | DispatchStr
 | GetInterface
 | GetInterfaceByStr
 | GetInterfaceWeak
 | GetInterfaceEntry
 | GetInterfaceEntryByStr
 | GetInterfaceTable
 | UnitName
 | Equals
 | GetHashCode
 | ToString


EInterfaceWarning

EInterfaceException

Exception

TObject


TDialogButton

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Description of standard dialog buttons.

Declaration

Source position: interfacebase.pp line 78

type TDialogButton = class(TCollectionItem)
protected
function GetDisplayName; override; | Here: returns Caption.
procedure SetCaption(); virtual;
public
constructor Create(); override;
property Caption: string; [rw] | The button title.
property Cancel: Boolean; [rw] | True for Cancel button(s) only.
property Default: Boolean; [rw] | True for Default button(s) only.
property ModalResult: LongInt; [rw] | The modal result, returned when the button is clicked.
end;

Inheritance

TDialogButton

Description of standard dialog buttons.

|

TCollectionItem
|

TPersistent,IFPObserved
|

TObject


TDialogButton
 |  | Caption
 |  | Cancel
 |  | Default
 |  | ModalResult
TCollectionItem
 | ro | UpdateCount
 |  | Collection
 | ro | ID
 |  | Index
 |  | DisplayName
TPersistent
TObject


 | Cancel (TDialogButton)
 | Caption (TDialogButton)
 | Collection (TCollectionItem)
 | Default (TDialogButton)
 | DisplayName (TCollectionItem)
ro | ID (TCollectionItem)
 | Index (TCollectionItem)
 | ModalResult (TDialogButton)
ro | UpdateCount (TCollectionItem)


TDialogButton
pt | GetDisplayName
pt | SetCaption
 | Create
TCollectionItem
 | GetIndex
 | SetCollection
 | Changed
 | GetOwner
 | GetDisplayName
 | SetIndex
 | SetDisplayName
 | Create
 | Destroy
 | GetNamePath
TPersistent
 | AssignError
 | AssignTo
 | DefineProperties
 | GetOwner
 | Destroy
 | Assign
 | FPOAttachObserver
 | FPODetachObserver
 | FPONotifyObservers
 | GetNamePath
TObject
 | Create
 | Destroy
 | newinstance
 | FreeInstance
 | SafeCallException
 | DefaultHandler
 | Free
 | InitInstance
 | CleanupInstance
 | ClassType
 | ClassInfo
 | ClassName
 | ClassNameIs
 | ClassParent
 | InstanceSize
 | InheritsFrom
 | StringMessageTable
 | MethodAddress
 | MethodName
 | FieldAddress
 | AfterConstruction
 | BeforeDestruction
 | DefaultHandlerStr
 | Dispatch
 | DispatchStr
 | GetInterface
 | GetInterfaceByStr
 | GetInterfaceWeak
 | GetInterfaceEntry
 | GetInterfaceEntryByStr
 | GetInterfaceTable
 | UnitName
 | Equals
 | GetHashCode
 | ToString


 | AssignError (TPersistent)
 | AssignTo (TPersistent)
 | BeforeDestruction (TObject)
 | Changed (TCollectionItem)
 | ClassInfo (TObject)
 | ClassName (TObject)
 | ClassNameIs (TObject)
 | ClassParent (TObject)
 | ClassType (TObject)
 | CleanupInstance (TObject)
 | Create (TObject)
 | Create (TCollectionItem)
 | Create (TDialogButton)
 | DefaultHandler (TObject)
 | DefaultHandlerStr (TObject)
 | DefineProperties (TPersistent)
 | Destroy (TObject)
 | Destroy (TPersistent)
 | Destroy (TCollectionItem)
 | Dispatch (TObject)
 | DispatchStr (TObject)
 | Equals (TObject)
 | FieldAddress (TObject)
 | FPOAttachObserver (TPersistent)
 | FPODetachObserver (TPersistent)
 | FPONotifyObservers (TPersistent)
 | Free (TObject)
 | FreeInstance (TObject)
 | GetDisplayName (TCollectionItem)
pt | GetDisplayName (TDialogButton)
 | GetHashCode (TObject)
 | GetIndex (TCollectionItem)
 | GetInterface (TObject)
 | GetInterfaceByStr (TObject)
 | GetInterfaceEntry (TObject)
 | GetInterfaceEntryByStr (TObject)
 | GetInterfaceTable (TObject)
 | GetInterfaceWeak (TObject)
 | GetNamePath (TPersistent)
 | GetNamePath (TCollectionItem)
 | GetOwner (TPersistent)
 | GetOwner (TCollectionItem)
 | InheritsFrom (TObject)
 | InitInstance (TObject)
 | InstanceSize (TObject)
 | MethodAddress (TObject)
 | MethodName (TObject)
 | newinstance (TObject)
 | SafeCallException (TObject)
pt | SetCaption (TDialogButton)
 | SetCollection (TCollectionItem)
 | SetDisplayName (TCollectionItem)
 | SetIndex (TCollectionItem)
 | StringMessageTable (TObject)
 | ToString (TObject)
 | UnitName (TObject)


TDialogButton

TCollectionItem

TPersistent

TObject


TDialogButton.Cancel

True for Cancel button(s) only.

Declaration

Source position: interfacebase.pp line 92

public property TDialogButton.Cancel : Boolean
  read GetCancel
  write SetCancel;


TDialogButton.Caption

The button title.

Declaration

Source position: interfacebase.pp line 91

public property TDialogButton.Caption : string
  read FCaption
  write SetCaption;


TDialogButton.Create

Declaration

Source position: interfacebase.pp line 90

public constructor TDialogButton.Create(

  ACollection: TCollection

); override;


TDialogButton.Default

True for Default button(s) only.

Declaration

Source position: interfacebase.pp line 93

public property TDialogButton.Default : Boolean
  read GetDefault
  write SetDefault;


TDialogButton.GetDisplayName

Here: returns Caption.

Declaration

Source position: interfacebase.pp line 87

protected function TDialogButton.GetDisplayName: string; override;


TDialogButton.ModalResult

The modal result, returned when the button is clicked.

Declaration

Source position: interfacebase.pp line 94

public property TDialogButton.ModalResult : LongInt
  read FModalResult
  write FModalResult;


TDialogButtons

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Collection of TDialogButton descriptions.

Declaration

Source position: interfacebase.pp line 99

type TDialogButtons = class(TCollection)
protected
FCancelButton: TDialogButton;
FDefaultButton: TDialogButton;
function GetItem();
procedure SetCancelButton(); virtual;
procedure SetDefaultButton(); virtual;
procedure SetItem();
public
destructor Destroy; override;
function Add; | Adds a new button description.
function FindButton(); | Find the button associated with (one of) the given modal result.
property DefaultButton: TDialogButton; [rw] | The Default button for this dialog kind.
property CancelButton: TDialogButton; [rw] | The Cancel button for this dialog kind.
property Items []: TDialogButton; default; [rw] | Indexed access to the button descriptions.
end;

Inheritance

TDialogButtons

Collection of TDialogButton descriptions.

|

TCollection
|

TPersistent,IFPObserved
|

TObject


TDialogButtons
 |  | DefaultButton
 |  | CancelButton
 |  | Items
TCollection
 |  | PropName
 | ro | UpdateCount
 | ro | Count
 | ro | ItemClass
 |  | Items
TPersistent
TObject


ro | Count (TCollection)
 | DefaultButton (TDialogButtons)
ro | ItemClass (TCollection)
 | Items (TCollection)
 | Items (TDialogButtons)
 | PropName (TCollection)
ro | UpdateCount (TCollection)


TDialogButtons
pt | GetItem
pt | SetCancelButton
pt | SetDefaultButton
pt | SetItem
 | Destroy
 | Add
 | FindButton
TCollection
 | GetCount
 | GetPropName
 | InsertItem
 | RemoveItem
 | DoClear
 | GetAttrCount
 | GetAttr
 | GetItemAttr
 | Changed
 | GetItem
 | SetItem
 | SetItemName
 | SetPropName
 | Update
 | Notify
 | Create
 | Destroy
 | Owner
 | Add
 | Assign
 | BeginUpdate
 | Clear
 | EndUpdate
 | Delete
 | GetEnumerator
 | GetNamePath
 | Insert
 | FindItemID
 | Exchange
 | Sort
TPersistent
 | AssignError
 | AssignTo
 | DefineProperties
 | GetOwner
 | Destroy
 | Assign
 | FPOAttachObserver
 | FPODetachObserver
 | FPONotifyObservers
 | GetNamePath
TObject
 | Create
 | Destroy
 | newinstance
 | FreeInstance
 | SafeCallException
 | DefaultHandler
 | Free
 | InitInstance
 | CleanupInstance
 | ClassType
 | ClassInfo
 | ClassName
 | ClassNameIs
 | ClassParent
 | InstanceSize
 | InheritsFrom
 | StringMessageTable
 | MethodAddress
 | MethodName
 | FieldAddress
 | AfterConstruction
 | BeforeDestruction
 | DefaultHandlerStr
 | Dispatch
 | DispatchStr
 | GetInterface
 | GetInterfaceByStr
 | GetInterfaceWeak
 | GetInterfaceEntry
 | GetInterfaceEntryByStr
 | GetInterfaceTable
 | UnitName
 | Equals
 | GetHashCode
 | ToString


 | Add (TCollection)
 | Add (TDialogButtons)
 | AfterConstruction (TObject)
 | Assign (TPersistent)
 | Assign (TCollection)
 | AssignError (TPersistent)
 | AssignTo (TPersistent)
 | BeforeDestruction (TObject)
 | BeginUpdate (TCollection)
 | Changed (TCollection)
 | ClassInfo (TObject)
 | ClassName (TObject)
 | ClassNameIs (TObject)
 | ClassParent (TObject)
 | ClassType (TObject)
 | CleanupInstance (TObject)
 | Clear (TCollection)
 | Create (TObject)
 | Create (TCollection)
 | DefaultHandler (TObject)
 | DefaultHandlerStr (TObject)
 | DefineProperties (TPersistent)
 | Delete (TCollection)
 | Destroy (TObject)
 | Destroy (TPersistent)
 | Destroy (TCollection)
 | Destroy (TDialogButtons)
 | Dispatch (TObject)
 | DispatchStr (TObject)
 | DoClear (TCollection)
 | EndUpdate (TCollection)
 | Equals (TObject)
 | Exchange (TCollection)
 | FieldAddress (TObject)
 | FindButton (TDialogButtons)
 | FindItemID (TCollection)
 | FPOAttachObserver (TPersistent)
 | FPODetachObserver (TPersistent)
 | FPONotifyObservers (TPersistent)
 | Free (TObject)
 | FreeInstance (TObject)
 | GetAttr (TCollection)
 | GetAttrCount (TCollection)
 | GetCount (TCollection)
 | GetEnumerator (TCollection)
 | GetHashCode (TObject)
 | GetInterface (TObject)
 | GetInterfaceByStr (TObject)
 | GetInterfaceEntry (TObject)
 | GetInterfaceEntryByStr (TObject)
 | GetInterfaceTable (TObject)
 | GetInterfaceWeak (TObject)
 | GetItem (TCollection)
pt | GetItem (TDialogButtons)
 | GetItemAttr (TCollection)
 | GetNamePath (TPersistent)
 | GetNamePath (TCollection)
 | GetOwner (TPersistent)
 | GetPropName (TCollection)
 | InheritsFrom (TObject)
 | InitInstance (TObject)
 | Insert (TCollection)
 | InsertItem (TCollection)
 | InstanceSize (TObject)
 | MethodAddress (TObject)
 | MethodName (TObject)
 | newinstance (TObject)
 | Notify (TCollection)
 | Owner (TCollection)
 | RemoveItem (TCollection)
 | SafeCallException (TObject)
pt | SetCancelButton (TDialogButtons)
pt | SetDefaultButton (TDialogButtons)
 | SetItem (TCollection)
pt | SetItem (TDialogButtons)
 | SetItemName (TCollection)
 | SetPropName (TCollection)
 | Sort (TCollection)
 | StringMessageTable (TObject)
 | ToString (TObject)
 | UnitName (TObject)
 | Update (TCollection)


TDialogButtons

TCollection

TPersistent

TObject


TDialogButtons.Add

Adds a new button description.

Declaration

Source position: interfacebase.pp line 109

public function TDialogButtons.Add: TDialogButton;


TDialogButtons.CancelButton

The Cancel button for this dialog kind.

Declaration

Source position: interfacebase.pp line 113

public property TDialogButtons.CancelButton : TDialogButton
  read FCancelButton
  write SetCancelButton;


TDialogButtons.DefaultButton

The Default button for this dialog kind.

Declaration

Source position: interfacebase.pp line 112

public property TDialogButtons.DefaultButton : TDialogButton
  read FDefaultButton
  write SetDefaultButton;


TDialogButtons.Destroy

Declaration

Source position: interfacebase.pp line 108

public destructor TDialogButtons.Destroy; override;


TDialogButtons.FindButton

Find the button associated with (one of) the given modal result.

Declaration

Source position: interfacebase.pp line 110

public function TDialogButtons.FindButton(

  AModalResult: LongInt

):TDialogButton;

function TDialogButtons.FindButton(

  Order: array of LongInt

):TDialogButton;

Arguments

AModalResult

The modal result to find.

Arguments

Order

List of modal results to find.


TDialogButtons.Items

Indexed access to the button descriptions.

Declaration

Source position: interfacebase.pp line 114

public property TDialogButtons.Items[Index: Integer] : TDialogButton
  read GetItem
  write SetItem;
  default;


TWidgetSet

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Application helper class (platform and drawing interface).

Declaration

Source position: interfacebase.pp line 122

type TWidgetSet = class(TObject)
protected
FThemeServices: TThemeServices;
procedure PassCmdLineOptions; virtual; |
function CreateThemeServices; virtual;
function GetAppHandle; virtual;
procedure SetAppHandle(); virtual;
public
constructor Create; virtual;
procedure BeforeDestruction; override;
procedure AppInit(); virtual; abstract; | Initializes the application on the platform, returns Screen information.
procedure AppRun(); virtual; | Enters a state in which the application waits for system messages
procedure AppWaitMessage; virtual; abstract; | Waits for arrival of a message.
procedure AppProcessMessages; virtual; abstract; | Handles all pending messages.
procedure AppTerminate; virtual; abstract; | Terminates the application.
procedure AppMinimize; virtual; abstract; | Minimizes the whole application to the taskbar.
procedure AppRestore; virtual; abstract; | Restore application previously minimized to the taskbar.
procedure AppBringToFront; virtual; abstract; | Brings the entire application on top of all other non-topmost programs.
procedure AppSetIcon(); virtual; | Set the icon of the taskbar button.
procedure AppSetTitle(); virtual; |
procedure AppSetVisible(); virtual; | Change the visibility of the application window.
function AppRemoveStayOnTopFlags(); virtual; | Resets all StayOnTop windows to NoTopmost.
function AppRestoreStayOnTopFlags(); virtual; | Sets all windows in the StayOnTop list to TopMost.
procedure AppSetMainFormOnTaskBar(); virtual; | Shows/Hides the MainForm taskbar icon.
function LCLPlatform; virtual; abstract; | Returns the widgetset in use.
function GetLCLCapability(); virtual; | Checks the widgetset for available capabilities.
function DCGetPixel(); virtual; abstract; |
procedure DCSetPixel(); virtual; abstract; |
procedure DCRedraw(); virtual; abstract; |
procedure DCSetAntialiasing(); virtual; |
procedure SetDesigning(); virtual; |
function InitStockFont(); virtual; | Initializes a font object to an (predefined) stock font.
function IsHelpKey(); virtual; | Checks whether the widgetset uses the key to show help.
function CreateTimer(); virtual; abstract; | Creates an timer with the given callback method.
function DestroyTimer(); virtual; abstract; | Destroys an timer.
property AppHandle: THandle; [rw] platform ; | Native handle for TApplication
function Arc(); virtual; | Use Arc to draw an elliptically curved line with the current Pen.
function AngleChord(); virtual; | Use AngleChord to draw a filled Chord shape on a canvas.
function BeginPaint(); virtual; | Start painting in a window.
function BitBlt(); virtual; | Copies part of an source DC into an destination DC, using the specified raster operation.
function CallNextHookEx(); virtual; | Calls the next procedure in the hook chain.
function CallWindowProc(); virtual; | Calls another Window procedure, to handle a message.
function ClientToScreen(); virtual; | Converts (relative) Client coordinates into absolute Screen coordinates.
function CombineRgn(); virtual; | Combines two regions.
function CreateBitmap(); virtual; | Creates a bitmap with the specified width, height, and color format (color planes and bits per pixel).
function CreateBrushIndirect(); virtual; | Creates a logical brush that has the specified style, color, and pattern.
function CreateBrushWithRadialGradient(); virtual;
function CreateCaret(); virtual; | Creates a new shape for the system caret and assigns ownership of the caret to the specified window.
function CreateCompatibleBitmap(); virtual; | Creates a bitmap that is compatible with the given DC.
function CreateCompatibleDC(); virtual; | Creates an memory Device Context, compatible with the device of the given DC.
function CreateDIBitmap(); virtual; | Creates a Device Dependent Bitmap (DDB) from a Device Independent Bitmap (DIB).
function CreateDIBSection(); virtual; | Creates a bitmap into which the application can write.
function CreateEllipticRgn(); virtual; | Creates an elliptic region, bounded by the given rectangle.
function CreateFontIndirect(); virtual; | Creates an logical font, selectable into any DC.
function CreateFontIndirectEx(); virtual; | Creates an logical font, selectable into any DC. Allows for an long fontname.
function CreateIconIndirect(); virtual; | Creates an icon or cursor.
function CreatePalette(); virtual; | Creates a logical palette, selectable into any DC.
function CreatePatternBrush(); virtual; | Creates a logical brush, selectable into any DC.
function CreatePenIndirect(); virtual; | Creates an logical Pen, selectable into any DC.
function CreatePolygonRgn(); virtual; | Creates a polygonial region.
function CreateRectRgn(); virtual; | Creates a rectangular region.
function CreateRoundRectRgn(); virtual; | Creates a rectangular region with rounded corners.
procedure DeleteCriticalSection(); virtual; | Deletes an unowned critical section.
function DeleteDC(); virtual; | Deletes an Device Context, created by CreateDC.
function DeleteObject(); virtual; | Deletes a graphic object, freeing all system resources associated with the object.
function DestroyCaret(); virtual; | Destroys the caret but doesn't free the bitmap.
function DestroyCursor(); virtual; | Destroys an mouse cursor.
function DestroyIcon(); virtual; | Destroys an icon.
function DPtoLP(); virtual; | Converts an array of Device Points (coordinates) into Logical Points.
function DrawFrameControl(); virtual; | Draws a window frame control, of the specified type and style.
function DrawFocusRect(); virtual; | Shows or hides a floating rectangle.
function DrawEdge(); virtual; | Draws one or more edges of a rectangle.
function DrawText(); virtual; | Draws formatted text within a rectangle.
function EnableScrollBar(); virtual; | Enables or disables the arrows of a scrollbar control, or of the scrollbars of a window.
function EnableWindow(); virtual; | Enables or disables mouse and keyboard input to the specified window or control.
function EndPaint(); virtual; | Ends painting a window, started with BeginPaint.
procedure EnterCriticalSection(); virtual; | Enters a critical section.
function EnumDisplayMonitors(); virtual; | Invokes a callback function for every available display monitor.
function EnumFontFamilies(); virtual; | Invokes a callback function for every font available on a specified device.
function EnumFontFamiliesEx(); virtual; | Invokes a callback function for every available font that matches certain criteria.
function Ellipse(); virtual; | Draws a filled circle or ellipse, bounded by a rectangle.
function EqualRgn(); virtual;
function ExcludeClipRect(); virtual; | Excludes a rectangle from the clipping region, i.e. prevents painting within the rectangle.
function ExtCreatePen(); virtual; | Creates an logical pen, selectable into any DC.
function ExtTextOut(); virtual; | Draws an string without formatting (single line).
function ExtSelectClipRGN(); virtual; | Combines the passed Region with the current clipping region.
function FillRect(); virtual; | Fills a rectangle using the specified brush.
function FillRgn(); virtual; | Fills a region using the specified brush.
function FloodFill(); virtual; | Fills an area of the display surface with the current brush.
function FrameRect(); virtual; | Draws a border around a rectangle.
function GetActiveWindow; virtual; | Returns the Handle of the active window of the calling thread.
function GetBitmapBits(); virtual; | Fills an buffer with the bitmap bits.
function GetBkColor(); virtual; | Returns the background color of an device context.
function GetCapture; virtual; | Returns the window that captures mouse messages.
function GetCaretPos(); virtual; | Returns the caret position, in client coordinates.
function GetClientRect(); virtual; | Returns the client rectangle of a window.
function GetClipBox(); virtual; | Returns the smallest rectangle which includes the entire clipping region of an device context.
function GetClipRGN(); virtual; | Returns the clipping region of an device context.
function GetCurrentObject(); virtual; | Returns an currently selected object in an device context.
function GetCursorPos(); virtual; | Gets the mouse cursor position, in screen coordinates.
function GetCharABCWidths(); virtual; | Returns the ABC widths of an range of character codes.
function GetDC(); virtual; | Returns the handle of an Device Context (DC) for the client area of a window.
function GetDeviceCaps(); virtual; | Returns various device specific informations.
function GetDIBits(); virtual; | Fills an buffer with bitmap color bits.
function GetDoubleClickTime; virtual; | Returns the double-click time, in milliseconds.
function GetFocus; virtual; | Returns the handle of the window that has the focus in the current thread.
function GetFontLanguageInfo(); virtual; | Returns language information about the currently selected font.
function GetForegroundWindow; virtual; | Returns the window that the user is currently working with, session wide.
function GetIconInfo(); virtual; | Returns information about an Icon or Cursor.
function GetKeyState(); virtual; | The status of a virtual key.
function GetMapMode(); virtual; | Returns the mapping mode of an device context.
function GetMonitorInfo(); virtual; | Returns information about an display monitor.
function GetDpiForMonitor(); virtual;
function GetObject(); virtual; | Returns information about a graphics object.
function GetPaletteEntries(); virtual; | Retrieves an range of color entries from a logical palette.
function GetParent(); virtual; | Returns the parent window of a window.
function GetProp(); virtual; | Retrieves an property value for a window.
function GetRgnBox(); virtual; | Returns the bounding rectangle of a region, containing the entire region.
function GetROP2(); virtual; | The current Foreground Mixing Mode in an device context.
function GetScrollInfo(); virtual; | Returns all or selected information about a ScrollBar.
function GetStockObject(); virtual; | Retrieves a handle to one of the predefined graphic objects.
function GetSysColor(); virtual; | Retrieves the system color for standard display elements.
function GetSysColorBrush(); virtual; | Retrieves a system brush for standard display elements.
function GetSystemPaletteEntries(); virtual; | Retrieves an range of color entries from the system palette for a device.
function GetSystemMetrics(); virtual; | Retrieves various system metrics.
function GetTextColor(); virtual; | The current text color in an device context.
function GetTextExtentExPoint(); virtual; | Calculates the number of characters, that fit into some horizontal space.
function GetTextExtentPoint(); virtual; | Computes the display width and height of an string.
function GetTextExtentPoint32(); virtual; | Computes the display width and height of an string.
function GetTextMetrics(); virtual; | Retrieves the metrics for the currently selected font.
function GetViewPortExtEx(); virtual; | Returns the size of the viewport of an device context.
function GetViewPortOrgEx(); virtual; | Returns the origin of the viewport of an device context.
function GetWindowExtEx(); virtual; | Returns the extent of a window, in logical units.
function GetWindowLong(); virtual; | Returns attributes of a window.
function GetWindowRect(); virtual; | Retrieves the bounding rectangle of a window, in screen coordinates.
function GetWindowSize(); virtual; | Returns the Width and Height of the window.
function GetWindowOrgEx(); | Retrieves the window origin of an device context, in logical units.
function GradientFill(); virtual; | Fills rectangle or triangle areas with gradient colors.
function HideCaret(); virtual; | Removes the caret from the screen.
procedure InitializeCriticalSection(); virtual; | Initializes a Critical Section object.
function IntersectClipRect(); virtual; | Shrinks the clipping region of an Device Context to a rectangular boundary, e.g. a text area.
function InvalidateRect(); virtual; | Marks a display area for repaint.
function InvalidateRgn(); virtual; | Marks a display area for repaint.
function IsDBCSLeadByte(); virtual; |
function IsIconic(); virtual; | True when the window is minimized.
function IsWindow(); virtual; | Checks whether a handle refers to a window.
function IsWindowEnabled(); virtual; | Determines whether a window can receive mouse and keyboard input.
function IsWindowVisible(); virtual; | The definite Visible state of a window.
function IsZoomed(); virtual; | True when the window is maximized.
procedure LeaveCriticalSection(); virtual; | Releases a critical section, for use by other threads.
function LineTo(); virtual; | Draws a line from the current position up to, but not including, the specified point.
function LoadBitmap(); virtual;
function LoadCursor(); virtual;
function LoadIcon(); virtual;
function LPtoDP(); virtual; | Converts logical coordinates into device coordinates.
function MaskBlt(); | Copies part of an source DC into an destination DC, using the specified foreground and background raster operations.
function MessageBox(); virtual; | The MessageBox function displays an modal dialog, with the given text, caption, icon and buttons.
function MonitorFromPoint(); virtual; | Finds an monitor from screen coordinates.
function MonitorFromRect(); virtual; | Finds the monitor covering most of a rectangle.
function MonitorFromWindow(); virtual; | Finds the monitor covering most of a window.
function MoveToEx(); virtual; | Moves the current position to the specified point.
function OffsetRgn(); virtual; | Moves a region relative.
function PaintRgn(); virtual;
function PeekMessage(); virtual; | Checks the thread's message queue for a message.
function Pie(); virtual; | Draws a filled pie-shaped wedge, from an ellipse and two radials.
function PolyBezier(); virtual; | Draws Bézier curves.
function Polygon(); virtual; | Draws a filled Polygon.
function Polyline(); virtual; | Draws a sequence of lines.
function PostMessage(); virtual; | Sends a message to a window, without waiting for the message result.
function PtInRegion(); virtual; | Tests whether a point lies in a region.
function RealizePalette(); virtual; | Maps palette entries from the current logical palette to the system palette.
function Rectangle(); virtual; | Draws a filled rectangle.
function RectInRegion(); virtual;
function RectVisible(); virtual; | Checks whether the clipping region contains (part of) a rectangle.
function RedrawWindow(); virtual; | Redraws (part of) a window.
function ReleaseCapture; virtual; | Restores normal mouse input processing, after SetCapture.
function ReleaseDC(); virtual; | Releases an Device Context obtained by GetDC.
function RemoveProp(); virtual; | Removes a named property from a window.
function RestoreDC(); virtual; | Restores an Device Context (DC) to an previously saved state.
function RoundRect(); virtual; | Draws a filled rectangle with rounded corners.
function SaveDC(); virtual; | Saves the state of an Device Context in the context stack.
function ScreenToClient(); virtual; | Converts absolute Screen coordinates into Client relative coordinates.
function ScrollWindowEx(); virtual; | Scrolls the content of a window, by a number of pixels.
function SelectClipRGN(); virtual; | Sets the ClipRegion of an DeviceContext.
function SelectObject(); virtual; | Selects an object into an device context.
function SelectPalette(); virtual; | Selects a logical palette into an device context.
function SendMessage(); virtual; | Sends a message to a window.
function SetActiveWindow(); virtual; | Sets focus to the specified window, if the application is on top.
function SetBkColor(); virtual; | Sets the current background color of an decice context.
function SetBkMode(); virtual; | Sets the background mix mode (transparency) of an device context.
function SetCapture(); virtual; | Sets the mouse capture to the specified window.
function SetCaretPos(); virtual; | Moves the Caret to the specified coordinates.
function SetCaretPosEx(); virtual; | Moves the Caret into a window.
function SetCursor(); virtual; | Changes the shape of the mouse cursor.
function SetCursorPos(); virtual; | Changes the position of the mouse cursor.
function SetFocus(); virtual; | Sets the keyboard input focus to the specified window.
function SetForegroundWindow(); virtual; | Moves a window in front of all other windows, and activates it.
function SetMapMode(); virtual; | Sets the mapping mode of an device context.
function SetMenu(); virtual; | Assigns a menu to a window.
function SetParent(); virtual; | Changes the parent of a window.
function SetProp(); virtual; | Adds a property to a window.
function SetRectRgn(); virtual;
function SetROP2(); virtual; | Sets the Foreground Mixing Mode in an device context.
function SetScrollInfo(); virtual; | Sets (selected) parameters of a scroll bar.
function SetStretchBltMode(); virtual; | Sets the StrechBlt mode for an device context.
function SetSysColors(); virtual; | Sets the colors for one or more display elements of window borders and desktop.
function SetTextCharacterExtra(); virtual; | Sets extra intercharacter spacing in text output.
function SetTextColor(); virtual; | Sets the text color in an device context.
function SetWindowLong(); virtual; | Sets an attribute of a window.
function SetViewPortExtEx(); virtual; | Sets the extent of the viewport for a device context.
function SetViewPortOrgEx(); virtual; | Sets the device origin corresponding to the window origin (0,0) in an device context.
function SetWindowExtEx(); virtual; | Sets the extent of the window for an device context.
function SetWindowOrgEx(); virtual; | Specifies which window point maps to the viewport origin (0,0).
function SetWindowPos(); virtual; | Changes the size, position, and Z order of a window.
function SetWindowRgn(); virtual; | Restricts the visible part of the entire window.
function ShowCaret(); virtual; | Shows the Caret (text cursor).
function ShowScrollBar(); virtual; | Shows or hides a ScrollBar.
function ShowWindow(); virtual; | Shows a window in an specific state.
function StretchBlt(); virtual; | Copies a rectangular region into an device context, shrinking or stretching it as required.
function StretchDIBits(); virtual; | Copies a rectangular region from a DIB into an device context, shrinking or stretching it as required.
function SystemParametersInfo(); virtual; | Retrieves or sets one of the system-wide parameters.
function TextOut(); virtual; | Draws an string without formatting (single line).
function UpdateWindow(); virtual; | Forces an immediate repaint of a window, if required.
function WindowFromPoint(); virtual; | Finds the window containing the specified point.
function AddEventHandler(); virtual; |
function AddProcessEventHandler(); virtual; |
function AddPipeEventHandler(); virtual; |
function AllocateHWnd(); virtual; | Allocates an invisible window that can be used to receive messages.
function AskUser(); virtual; |
procedure CallDefaultWndHandler(); virtual; |
function ClipboardFormatToMimeType(); virtual; |
function ClipboardGetData(); virtual; |
function ClipboardGetFormats(); virtual; |
function ClipboardGetOwnerShip(); virtual; |
function ClipboardRegisterFormat(); virtual; |
function ClipboardFormatNeedsNullByte(); virtual;
function CreateEmptyRegion; virtual; |
function CreatePixmapIndirect(); virtual; |
function CreateRegionCopy(); virtual; |
function CreateRubberBand(); virtual; |
function CreateStandardCursor(); virtual; | Creates one of the standard cursors.
function DCClipRegionValid(); virtual; |
procedure DeallocateHWnd(); virtual; | Deletes a window created with AllocateHWnd.
procedure DestroyRubberBand(); virtual; |
procedure DrawDefaultDockImage(); virtual; | Draws the DockRect during drag-dock operations.
procedure DrawGrid(); virtual; |
function ExtUTF8Out(); virtual; | Draws an UTF-8 string without formatting (single line).
function FontCanUTF8(); virtual; deprecated ; | Obsolete option, don't use it. It will be removed.
function FontIsMonoSpace(); virtual; |
function Frame3d(); virtual; |
function GetAcceleratorString(); virtual; |
function GetAvailableNativeCanvasTypes(); virtual;
function GetAvailableNativeHandleTypes(); virtual;
function GetCaretRespondToFocus(); virtual; |
function GetClientBounds(); virtual; |
function GetCmdLineParamDescForInterface; virtual; |
function GetControlConstraints(); virtual; | Updates the constraints object (e.g. TSizeConstraints) with interface specific bounds.
function GetDCOriginRelativeToWindow(); virtual; |
function GetDesignerDC(); virtual; |
function GetDeviceSize(); virtual; |
function GetLCLOwnerObject(); virtual; |
function GetNativeCanvas(); virtual;
function GetNativeHandle(); virtual;
function GetScrollBarSize(); virtual; |
function GetScrollbarVisible(); virtual; |
function GetWindowRelativePosition(); virtual; |
function IntfSendsUTF8KeyPress; virtual; deprecated ; | Returns the interface capability to send UTF-8 characters
function InvalidateFrame(); virtual; |
function IsDesignerDC(); virtual; |
function IsMobilePlatform; virtual;
function IsCDIntfControl(); virtual;
function MoveWindowOrgEx(); virtual; |
function PromptUser(); virtual; |
function PromptUserAtXY(); virtual; |
function RadialArc(); virtual; |
function RadialChord(); virtual; |
function RadialPie(); virtual; |
function RawImage_CreateBitmaps(); virtual; |
function RawImage_DescriptionFromBitmap(); virtual; |
function RawImage_DescriptionFromDevice(); virtual; |
function RawImage_FromBitmap(); virtual; |
function RawImage_FromDevice(); virtual; |
function RawImage_QueryDescription(); virtual; |
function RegroupMenuItem(); virtual; |
function ReleaseDesignerDC(); virtual; |
procedure RemoveEventHandler(); virtual; |
procedure RemoveProcessEventHandler(); virtual; |
procedure RemovePipeEventHandler(); virtual; |
function RequestInput(); virtual; |
procedure SendCachedLCLMessages; virtual; |
function SetCaretRespondToFocus(); virtual; |
function SetComboMinDropDownSize(); virtual; |
procedure SetEventHandlerFlags(); virtual; |
procedure SetRubberBandRect(); virtual; |
function ShowSelectItemDialog(); virtual;
function StretchMaskBlt(); virtual; |
function TextUTF8Out(); virtual; |
property ThemeServices: TThemeServices; [r] |
end;

Inheritance

TWidgetSet

Application helper class (platform and drawing interface).

|

TObject

Description

The declaration contains a number of specific methods for interfacing with the operating system.


TWidgetSet
 |  | AppHandle
 | ro | ThemeServices
TObject


ro | ThemeServices (TWidgetSet)


TWidgetSet
pt | PassCmdLineOptions
pt | CreateThemeServices
pt | GetAppHandle
pt | SetAppHandle
 | Create
 | BeforeDestruction
 | AppInit
 | AppRun
 | AppWaitMessage
 | AppProcessMessages
 | AppTerminate
 | AppMinimize
 | AppRestore
 | AppBringToFront
 | AppSetIcon
 | AppSetTitle
 | AppSetVisible
 | AppRemoveStayOnTopFlags
 | AppRestoreStayOnTopFlags
 | AppSetMainFormOnTaskBar
 | LCLPlatform
 | GetLCLCapability
 | DCGetPixel
 | DCSetPixel
 | DCRedraw
 | DCSetAntialiasing
 | SetDesigning
 | InitStockFont
 | IsHelpKey
 | CreateTimer
 | DestroyTimer
 | Arc
 | AngleChord
 | BeginPaint
 | BitBlt
 | CallNextHookEx
 | CallWindowProc
 | ClientToScreen
 | CombineRgn
 | CreateBitmap
 | CreateBrushIndirect
 | CreateBrushWithRadialGradient
 | CreateCaret
 | CreateCompatibleBitmap
 | CreateCompatibleDC
 | CreateDIBitmap
 | CreateDIBSection
 | CreateEllipticRgn
 | CreateFontIndirect
 | CreateFontIndirectEx
 | CreateIconIndirect
 | CreatePalette
 | CreatePatternBrush
 | CreatePenIndirect
 | CreatePolygonRgn
 | CreateRectRgn
 | CreateRoundRectRgn
 | DeleteCriticalSection
 | DeleteDC
 | DeleteObject
 | DestroyCaret
 | DestroyCursor
 | DestroyIcon
 | DPtoLP
 | DrawFrameControl
 | DrawFocusRect
 | DrawEdge
 | DrawText
 | EnableScrollBar
 | EnableWindow
 | EndPaint
 | EnterCriticalSection
 | EnumDisplayMonitors
 | EnumFontFamilies
 | EnumFontFamiliesEx
 | Ellipse
 | EqualRgn
 | ExcludeClipRect
 | ExtCreatePen
 | ExtTextOut
 | ExtSelectClipRGN
 | FillRect
 | FillRgn
 | FloodFill
 | FrameRect
 | GetActiveWindow
 | GetBitmapBits
 | GetBkColor
 | GetCapture
 | GetCaretPos
 | GetClientRect
 | GetClipBox
 | GetClipRGN
 | GetCurrentObject
 | GetCursorPos
 | GetCharABCWidths
 | GetDC
 | GetDeviceCaps
 | GetDIBits
 | GetDoubleClickTime
 | GetFocus
 | GetFontLanguageInfo
 | GetForegroundWindow
 | GetIconInfo
 | GetKeyState
 | GetMapMode
 | GetMonitorInfo
 | GetDpiForMonitor
 | GetObject
 | GetPaletteEntries
 | GetParent
 | GetProp
 | GetRgnBox
 | GetROP2
 | GetScrollInfo
 | GetStockObject
 | GetSysColor
 | GetSysColorBrush
 | GetSystemPaletteEntries
 | GetSystemMetrics
 | GetTextColor
 | GetTextExtentExPoint
 | GetTextExtentPoint
 | GetTextExtentPoint32
 | GetTextMetrics
 | GetViewPortExtEx
 | GetViewPortOrgEx
 | GetWindowExtEx
 | GetWindowLong
 | GetWindowRect
 | GetWindowSize
 | GetWindowOrgEx
 | GradientFill
 | HideCaret
 | InitializeCriticalSection
 | IntersectClipRect
 | InvalidateRect
 | InvalidateRgn
 | IsDBCSLeadByte
 | IsIconic
 | IsWindow
 | IsWindowEnabled
 | IsWindowVisible
 | IsZoomed
 | LeaveCriticalSection
 | LineTo
 | LoadBitmap
 | LoadCursor
 | LoadIcon
 | LPtoDP
 | MaskBlt
 | MessageBox
 | MonitorFromPoint
 | MonitorFromRect
 | MonitorFromWindow
 | MoveToEx
 | OffsetRgn
 | PaintRgn
 | PeekMessage
 | Pie
 | PolyBezier
 | Polygon
 | Polyline
 | PostMessage
 | PtInRegion
 | RealizePalette
 | Rectangle
 | RectInRegion
 | RectVisible
 | RedrawWindow
 | ReleaseCapture
 | ReleaseDC
 | RemoveProp
 | RestoreDC
 | RoundRect
 | SaveDC
 | ScreenToClient
 | ScrollWindowEx
 | SelectClipRGN
 | SelectObject
 | SelectPalette
 | SendMessage
 | SetActiveWindow
 | SetBkColor
 | SetBkMode
 | SetCapture
 | SetCaretPos
 | SetCaretPosEx
 | SetCursor
 | SetCursorPos
 | SetFocus
 | SetForegroundWindow
 | SetMapMode
 | SetMenu
 | SetParent
 | SetProp
 | SetRectRgn
 | SetROP2
 | SetScrollInfo
 | SetStretchBltMode
 | SetSysColors
 | SetTextCharacterExtra
 | SetTextColor
 | SetWindowLong
 | SetViewPortExtEx
 | SetViewPortOrgEx
 | SetWindowExtEx
 | SetWindowOrgEx
 | SetWindowPos
 | SetWindowRgn
 | ShowCaret
 | ShowScrollBar
 | ShowWindow
 | StretchBlt
 | StretchDIBits
 | SystemParametersInfo
 | TextOut
 | UpdateWindow
 | WindowFromPoint
 | AddEventHandler
 | AddProcessEventHandler
 | AddPipeEventHandler
 | AllocateHWnd
 | AskUser
 | CallDefaultWndHandler
 | ClipboardFormatToMimeType
 | ClipboardGetData
 | ClipboardGetFormats
 | ClipboardGetOwnerShip
 | ClipboardRegisterFormat
 | ClipboardFormatNeedsNullByte
 | CreateEmptyRegion
 | CreatePixmapIndirect
 | CreateRegionCopy
 | CreateRubberBand
 | CreateStandardCursor
 | DCClipRegionValid
 | DeallocateHWnd
 | DestroyRubberBand
 | DrawDefaultDockImage
 | DrawGrid
 | ExtUTF8Out
 | FontCanUTF8
 | FontIsMonoSpace
 | Frame3d
 | GetAcceleratorString
 | GetAvailableNativeCanvasTypes
 | GetAvailableNativeHandleTypes
 | GetCaretRespondToFocus
 | GetClientBounds
 | GetCmdLineParamDescForInterface
 | GetControlConstraints
 | GetDCOriginRelativeToWindow
 | GetDesignerDC
 | GetDeviceSize
 | GetLCLOwnerObject
 | GetNativeCanvas
 | GetNativeHandle
 | GetScrollBarSize
 | GetScrollbarVisible
 | GetWindowRelativePosition
 | IntfSendsUTF8KeyPress
 | InvalidateFrame
 | IsDesignerDC
 | IsMobilePlatform
 | IsCDIntfControl
 | MoveWindowOrgEx
 | PromptUser
 | PromptUserAtXY
 | RadialArc
 | RadialChord
 | RadialPie
 | RawImage_CreateBitmaps
 | RawImage_DescriptionFromBitmap
 | RawImage_DescriptionFromDevice
 | RawImage_FromBitmap
 | RawImage_FromDevice
 | RawImage_QueryDescription
 | RegroupMenuItem
 | ReleaseDesignerDC
 | RemoveEventHandler
 | RemoveProcessEventHandler
 | RemovePipeEventHandler
 | RequestInput
 | SendCachedLCLMessages
 | SetCaretRespondToFocus
 | SetComboMinDropDownSize
 | SetEventHandlerFlags
 | SetRubberBandRect
 | ShowSelectItemDialog
 | StretchMaskBlt
 | TextUTF8Out
TObject
 | Create
 | Destroy
 | newinstance
 | FreeInstance
 | SafeCallException
 | DefaultHandler
 | Free
 | InitInstance
 | CleanupInstance
 | ClassType
 | ClassInfo
 | ClassName
 | ClassNameIs
 | ClassParent
 | InstanceSize
 | InheritsFrom
 | StringMessageTable
 | MethodAddress
 | MethodName
 | FieldAddress
 | AfterConstruction
 | BeforeDestruction
 | DefaultHandlerStr
 | Dispatch
 | DispatchStr
 | GetInterface
 | GetInterfaceByStr
 | GetInterfaceWeak
 | GetInterfaceEntry
 | GetInterfaceEntryByStr
 | GetInterfaceTable
 | UnitName
 | Equals
 | GetHashCode
 | ToString


 | AddEventHandler (TWidgetSet)
 | AddPipeEventHandler (TWidgetSet)
 | AddProcessEventHandler (TWidgetSet)
 | AfterConstruction (TObject)
 | AllocateHWnd (TWidgetSet)
 | AngleChord (TWidgetSet)
 | AppBringToFront (TWidgetSet)
 | AppInit (TWidgetSet)
 | AppMinimize (TWidgetSet)
 | AppProcessMessages (TWidgetSet)
 | AppRemoveStayOnTopFlags (TWidgetSet)
 | AppRestore (TWidgetSet)
 | AppRestoreStayOnTopFlags (TWidgetSet)
 | AppRun (TWidgetSet)
 | AppSetIcon (TWidgetSet)
 | AppSetMainFormOnTaskBar (TWidgetSet)
 | AppSetTitle (TWidgetSet)
 | AppSetVisible (TWidgetSet)
 | AppTerminate (TWidgetSet)
 | AppWaitMessage (TWidgetSet)
 | Arc (TWidgetSet)
 | AskUser (TWidgetSet)
 | BeforeDestruction (TObject)
 | BeforeDestruction (TWidgetSet)
 | BeginPaint (TWidgetSet)
 | BitBlt (TWidgetSet)
 | CallDefaultWndHandler (TWidgetSet)
 | CallNextHookEx (TWidgetSet)
 | CallWindowProc (TWidgetSet)
 | ClassInfo (TObject)
 | ClassName (TObject)
 | ClassNameIs (TObject)
 | ClassParent (TObject)
 | ClassType (TObject)
 | CleanupInstance (TObject)
 | ClientToScreen (TWidgetSet)
 | ClipboardFormatNeedsNullByte (TWidgetSet)
 | ClipboardFormatToMimeType (TWidgetSet)
 | ClipboardGetData (TWidgetSet)
 | ClipboardGetFormats (TWidgetSet)
 | ClipboardGetOwnerShip (TWidgetSet)
 | ClipboardRegisterFormat (TWidgetSet)
 | CombineRgn (TWidgetSet)
 | Create (TObject)
 | Create (TWidgetSet)
 | CreateBitmap (TWidgetSet)
 | CreateBrushIndirect (TWidgetSet)
 | CreateBrushWithRadialGradient (TWidgetSet)
 | CreateCaret (TWidgetSet)
 | CreateCompatibleBitmap (TWidgetSet)
 | CreateCompatibleDC (TWidgetSet)
 | CreateDIBitmap (TWidgetSet)
 | CreateDIBSection (TWidgetSet)
 | CreateEllipticRgn (TWidgetSet)
 | CreateEmptyRegion (TWidgetSet)
 | CreateFontIndirect (TWidgetSet)
 | CreateFontIndirectEx (TWidgetSet)
 | CreateIconIndirect (TWidgetSet)
 | CreatePalette (TWidgetSet)
 | CreatePatternBrush (TWidgetSet)
 | CreatePenIndirect (TWidgetSet)
 | CreatePixmapIndirect (TWidgetSet)
 | CreatePolygonRgn (TWidgetSet)
 | CreateRectRgn (TWidgetSet)
 | CreateRegionCopy (TWidgetSet)
 | CreateRoundRectRgn (TWidgetSet)
 | CreateRubberBand (TWidgetSet)
 | CreateStandardCursor (TWidgetSet)
pt | CreateThemeServices (TWidgetSet)
 | CreateTimer (TWidgetSet)
 | DCClipRegionValid (TWidgetSet)
 | DCGetPixel (TWidgetSet)
 | DCRedraw (TWidgetSet)
 | DCSetAntialiasing (TWidgetSet)
 | DCSetPixel (TWidgetSet)
 | DeallocateHWnd (TWidgetSet)
 | DefaultHandler (TObject)
 | DefaultHandlerStr (TObject)
 | DeleteCriticalSection (TWidgetSet)
 | DeleteDC (TWidgetSet)
 | DeleteObject (TWidgetSet)
 | Destroy (TObject)
 | DestroyCaret (TWidgetSet)
 | DestroyCursor (TWidgetSet)
 | DestroyIcon (TWidgetSet)
 | DestroyRubberBand (TWidgetSet)
 | DestroyTimer (TWidgetSet)
 | Dispatch (TObject)
 | DispatchStr (TObject)
 | DPtoLP (TWidgetSet)
 | DrawDefaultDockImage (TWidgetSet)
 | DrawEdge (TWidgetSet)
 | DrawFocusRect (TWidgetSet)
 | DrawFrameControl (TWidgetSet)
 | DrawGrid (TWidgetSet)
 | DrawText (TWidgetSet)
 | Ellipse (TWidgetSet)
 | EnableScrollBar (TWidgetSet)
 | EnableWindow (TWidgetSet)
 | EndPaint (TWidgetSet)
 | EnterCriticalSection (TWidgetSet)
 | EnumDisplayMonitors (TWidgetSet)
 | EnumFontFamilies (TWidgetSet)
 | EnumFontFamiliesEx (TWidgetSet)
 | EqualRgn (TWidgetSet)
 | Equals (TObject)
 | ExcludeClipRect (TWidgetSet)
 | ExtCreatePen (TWidgetSet)
 | ExtSelectClipRGN (TWidgetSet)
 | ExtTextOut (TWidgetSet)
 | ExtUTF8Out (TWidgetSet)
 | FieldAddress (TObject)
 | FillRect (TWidgetSet)
 | FillRgn (TWidgetSet)
 | FloodFill (TWidgetSet)
 | FontCanUTF8 (TWidgetSet)
 | FontIsMonoSpace (TWidgetSet)
 | Frame3d (TWidgetSet)
 | FrameRect (TWidgetSet)
 | Free (TObject)
 | FreeInstance (TObject)
 | GetAcceleratorString (TWidgetSet)
 | GetActiveWindow (TWidgetSet)
pt | GetAppHandle (TWidgetSet)
 | GetAvailableNativeCanvasTypes (TWidgetSet)
 | GetAvailableNativeHandleTypes (TWidgetSet)
 | GetBitmapBits (TWidgetSet)
 | GetBkColor (TWidgetSet)
 | GetCapture (TWidgetSet)
 | GetCaretPos (TWidgetSet)
 | GetCaretRespondToFocus (TWidgetSet)
 | GetCharABCWidths (TWidgetSet)
 | GetClientBounds (TWidgetSet)
 | GetClientRect (TWidgetSet)
 | GetClipBox (TWidgetSet)
 | GetClipRGN (TWidgetSet)
 | GetCmdLineParamDescForInterface (TWidgetSet)
 | GetControlConstraints (TWidgetSet)
 | GetCurrentObject (TWidgetSet)
 | GetCursorPos (TWidgetSet)
 | GetDC (TWidgetSet)
 | GetDCOriginRelativeToWindow (TWidgetSet)
 | GetDesignerDC (TWidgetSet)
 | GetDeviceCaps (TWidgetSet)
 | GetDeviceSize (TWidgetSet)
 | GetDIBits (TWidgetSet)
 | GetDoubleClickTime (TWidgetSet)
 | GetDpiForMonitor (TWidgetSet)
 | GetFocus (TWidgetSet)
 | GetFontLanguageInfo (TWidgetSet)
 | GetForegroundWindow (TWidgetSet)
 | GetHashCode (TObject)
 | GetIconInfo (TWidgetSet)
 | GetInterface (TObject)
 | GetInterfaceByStr (TObject)
 | GetInterfaceEntry (TObject)
 | GetInterfaceEntryByStr (TObject)
 | GetInterfaceTable (TObject)
 | GetInterfaceWeak (TObject)
 | GetKeyState (TWidgetSet)
 | GetLCLCapability (TWidgetSet)
 | GetLCLOwnerObject (TWidgetSet)
 | GetMapMode (TWidgetSet)
 | GetMonitorInfo (TWidgetSet)
 | GetNativeCanvas (TWidgetSet)
 | GetNativeHandle (TWidgetSet)
 | GetObject (TWidgetSet)
 | GetPaletteEntries (TWidgetSet)
 | GetParent (TWidgetSet)
 | GetProp (TWidgetSet)
 | GetRgnBox (TWidgetSet)
 | GetROP2 (TWidgetSet)
 | GetScrollBarSize (TWidgetSet)
 | GetScrollbarVisible (TWidgetSet)
 | GetScrollInfo (TWidgetSet)
 | GetStockObject (TWidgetSet)
 | GetSysColor (TWidgetSet)
 | GetSysColorBrush (TWidgetSet)
 | GetSystemMetrics (TWidgetSet)
 | GetSystemPaletteEntries (TWidgetSet)
 | GetTextColor (TWidgetSet)
 | GetTextExtentExPoint (TWidgetSet)
 | GetTextExtentPoint (TWidgetSet)
 | GetTextExtentPoint32 (TWidgetSet)
 | GetTextMetrics (TWidgetSet)
 | GetViewPortExtEx (TWidgetSet)
 | GetViewPortOrgEx (TWidgetSet)
 | GetWindowExtEx (TWidgetSet)
 | GetWindowLong (TWidgetSet)
 | GetWindowOrgEx (TWidgetSet)
 | GetWindowRect (TWidgetSet)
 | GetWindowRelativePosition (TWidgetSet)
 | GetWindowSize (TWidgetSet)
 | GradientFill (TWidgetSet)
 | HideCaret (TWidgetSet)
 | InheritsFrom (TObject)
 | InitializeCriticalSection (TWidgetSet)
 | InitInstance (TObject)
 | InitStockFont (TWidgetSet)
 | InstanceSize (TObject)
 | IntersectClipRect (TWidgetSet)
 | IntfSendsUTF8KeyPress (TWidgetSet)
 | InvalidateFrame (TWidgetSet)
 | InvalidateRect (TWidgetSet)
 | InvalidateRgn (TWidgetSet)
 | IsCDIntfControl (TWidgetSet)
 | IsDBCSLeadByte (TWidgetSet)
 | IsDesignerDC (TWidgetSet)
 | IsHelpKey (TWidgetSet)
 | IsIconic (TWidgetSet)
 | IsMobilePlatform (TWidgetSet)
 | IsWindow (TWidgetSet)
 | IsWindowEnabled (TWidgetSet)
 | IsWindowVisible (TWidgetSet)
 | IsZoomed (TWidgetSet)
 | LCLPlatform (TWidgetSet)
 | LeaveCriticalSection (TWidgetSet)
 | LineTo (TWidgetSet)
 | LoadBitmap (TWidgetSet)
 | LoadCursor (TWidgetSet)
 | LoadIcon (TWidgetSet)
 | LPtoDP (TWidgetSet)
 | MaskBlt (TWidgetSet)
 | MessageBox (TWidgetSet)
 | MethodAddress (TObject)
 | MethodName (TObject)
 | MonitorFromPoint (TWidgetSet)
 | MonitorFromRect (TWidgetSet)
 | MonitorFromWindow (TWidgetSet)
 | MoveToEx (TWidgetSet)
 | MoveWindowOrgEx (TWidgetSet)
 | newinstance (TObject)
 | OffsetRgn (TWidgetSet)
 | PaintRgn (TWidgetSet)
pt | PassCmdLineOptions (TWidgetSet)
 | PeekMessage (TWidgetSet)
 | Pie (TWidgetSet)
 | PolyBezier (TWidgetSet)
 | Polygon (TWidgetSet)
 | Polyline (TWidgetSet)
 | PostMessage (TWidgetSet)
 | PromptUser (TWidgetSet)
 | PromptUserAtXY (TWidgetSet)
 | PtInRegion (TWidgetSet)
 | RadialArc (TWidgetSet)
 | RadialChord (TWidgetSet)
 | RadialPie (TWidgetSet)
 | RawImage_CreateBitmaps (TWidgetSet)
 | RawImage_DescriptionFromBitmap (TWidgetSet)
 | RawImage_DescriptionFromDevice (TWidgetSet)
 | RawImage_FromBitmap (TWidgetSet)
 | RawImage_FromDevice (TWidgetSet)
 | RawImage_QueryDescription (TWidgetSet)
 | RealizePalette (TWidgetSet)
 | Rectangle (TWidgetSet)
 | RectInRegion (TWidgetSet)
 | RectVisible (TWidgetSet)
 | RedrawWindow (TWidgetSet)
 | RegroupMenuItem (TWidgetSet)
 | ReleaseCapture (TWidgetSet)
 | ReleaseDC (TWidgetSet)
 | ReleaseDesignerDC (TWidgetSet)
 | RemoveEventHandler (TWidgetSet)
 | RemovePipeEventHandler (TWidgetSet)
 | RemoveProcessEventHandler (TWidgetSet)
 | RemoveProp (TWidgetSet)
 | RequestInput (TWidgetSet)
 | RestoreDC (TWidgetSet)
 | RoundRect (TWidgetSet)
 | SafeCallException (TObject)
 | SaveDC (TWidgetSet)
 | ScreenToClient (TWidgetSet)
 | ScrollWindowEx (TWidgetSet)
 | SelectClipRGN (TWidgetSet)
 | SelectObject (TWidgetSet)
 | SelectPalette (TWidgetSet)
 | SendCachedLCLMessages (TWidgetSet)
 | SendMessage (TWidgetSet)
 | SetActiveWindow (TWidgetSet)
pt | SetAppHandle (TWidgetSet)
 | SetBkColor (TWidgetSet)
 | SetBkMode (TWidgetSet)
 | SetCapture (TWidgetSet)
 | SetCaretPos (TWidgetSet)
 | SetCaretPosEx (TWidgetSet)
 | SetCaretRespondToFocus (TWidgetSet)
 | SetComboMinDropDownSize (TWidgetSet)
 | SetCursor (TWidgetSet)
 | SetCursorPos (TWidgetSet)
 | SetDesigning (TWidgetSet)
 | SetEventHandlerFlags (TWidgetSet)
 | SetFocus (TWidgetSet)
 | SetForegroundWindow (TWidgetSet)
 | SetMapMode (TWidgetSet)
 | SetMenu (TWidgetSet)
 | SetParent (TWidgetSet)
 | SetProp (TWidgetSet)
 | SetRectRgn (TWidgetSet)
 | SetROP2 (TWidgetSet)
 | SetRubberBandRect (TWidgetSet)
 | SetScrollInfo (TWidgetSet)
 | SetStretchBltMode (TWidgetSet)
 | SetSysColors (TWidgetSet)
 | SetTextCharacterExtra (TWidgetSet)
 | SetTextColor (TWidgetSet)
 | SetViewPortExtEx (TWidgetSet)
 | SetViewPortOrgEx (TWidgetSet)
 | SetWindowExtEx (TWidgetSet)
 | SetWindowLong (TWidgetSet)
 | SetWindowOrgEx (TWidgetSet)
 | SetWindowPos (TWidgetSet)
 | SetWindowRgn (TWidgetSet)
 | ShowCaret (TWidgetSet)
 | ShowScrollBar (TWidgetSet)
 | ShowSelectItemDialog (TWidgetSet)
 | ShowWindow (TWidgetSet)
 | StretchBlt (TWidgetSet)
 | StretchDIBits (TWidgetSet)
 | StretchMaskBlt (TWidgetSet)
 | StringMessageTable (TObject)
 | SystemParametersInfo (TWidgetSet)
 | TextOut (TWidgetSet)
 | TextUTF8Out (TWidgetSet)
 | ToString (TObject)
 | UnitName (TObject)
 | UpdateWindow (TWidgetSet)
 | WindowFromPoint (TWidgetSet)


TWidgetSet

TObject


TWidgetSet.AddEventHandler

Declaration

Source position: lclintfh.inc line 34

public function TWidgetSet.AddEventHandler(

  AHandle: THandle;

  AFlags: dword;

  AEventHandler: TWaitHandleEvent;

  AData: PtrInt

):PEventHandler; virtual;


TWidgetSet.AddPipeEventHandler

Declaration

Source position: lclintfh.inc line 36

public function TWidgetSet.AddPipeEventHandler(

  AHandle: THandle;

  AEventHandler: TPipeEvent;

  AData: PtrInt

):PPipeEventHandler; virtual;


TWidgetSet.AddProcessEventHandler

Declaration

Source position: lclintfh.inc line 35

public function TWidgetSet.AddProcessEventHandler(

  AHandle: THandle;

  AEventHandler: TChildExitEvent;

  AData: PtrInt

):PProcessEventHandler; virtual;


TWidgetSet.AllocateHWnd

Allocates an invisible window that can be used to receive messages.

Declaration

Source position: lclintfh.inc line 37

public function TWidgetSet.AllocateHWnd(

  Method: TLCLWndMethod

):HWND; virtual;

Arguments

Method

The callback method for the window. Can be Nil.

Function result

The window handle, zero on failure.

See also

TWidgetSet.DeallocateHWnd

Deletes a window created with AllocateHWnd.


TWidgetSet.AngleChord

Use AngleChord to draw a filled Chord shape on a canvas.

Declaration

Source position: winapih.inc line 36

public function TWidgetSet.AngleChord(

  DC: HDC;

  x1: Integer;

  y1: Integer;

  x2: Integer;

  y2: Integer;

  angle1: Integer;

  angle2: Integer

):Boolean; virtual;

Arguments

angle1 | Base angle.
angle2 | Angle length.

Function result

False on failure.

Description

The chord is outlined with the current pen, and filled with the current brush.

The angles angle1 and angle2 are 1/16th of a degree. For example, a full circle equals 5760 16*360). Positive values of Angle and AngleLength mean counter-clockwise while negative values mean clockwise direction. Zero degrees is at the 3'o clock position.


TWidgetSet.AppBringToFront

Brings the entire application on top of all other non-topmost programs.

Declaration

Source position: interfacebase.pp line 140

public procedure TWidgetSet.AppBringToFront; virtual; abstract;

Description

Called by Application.BringToFront. Don't use this directly, the LCL will use it when adequate.


TWidgetSet.AppHandle

[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] Reference for unit 'InterfaceBase' (#lcl)

TWidgetSet.AppHandle (platform)

Native handle for TApplication

Declaration

Source position: interfacebase.pp line 163

public property TWidgetSet.AppHandle : THandle
  read GetAppHandle
  write SetAppHandle;

Description

The meaning of the handle changes from widgetset to widgetset


TWidgetSet.AppInit

Initializes the application on the platform, returns Screen information.

Declaration

Source position: interfacebase.pp line 133

public procedure TWidgetSet.AppInit(

  var ScreenInfo: TScreenInfo

); virtual; abstract;

Description

Called by Application.Initialize. Don't use this directly, the LCL will use it when adequate.


TWidgetSet.AppMinimize

Minimizes the whole application to the taskbar.

Declaration

Source position: interfacebase.pp line 138

public procedure TWidgetSet.AppMinimize; virtual; abstract;

Description

Called by Application.Minimize. Don't use this directly, the LCL will use it when adequate.

See also

TWidgetSet.AppRestore

Restore application previously minimized to the taskbar.


TWidgetSet.AppProcessMessages

Handles all pending messages.

Declaration

Source position: interfacebase.pp line 136

public procedure TWidgetSet.AppProcessMessages; virtual; abstract;

Description

Called by Application.ProcessMessages. Don't use this directly, the LCL will use it when adequate.


TWidgetSet.AppRemoveStayOnTopFlags

Resets all StayOnTop windows to NoTopmost.

Declaration

Source position: interfacebase.pp line 144

public function TWidgetSet.AppRemoveStayOnTopFlags(

  const ASystemTopAlso: Boolean = False

):Boolean; virtual;

Function result

False on failure

Description

Don't use this directly, the LCL will use it when adequate.


TWidgetSet.AppRestore

Restore application previously minimized to the taskbar.

Declaration

Source position: interfacebase.pp line 139

public procedure TWidgetSet.AppRestore; virtual; abstract;

Description

Called by Application.Restore. Don't use this directly, the LCL will use it when adequate.

See also

TWidgetSet.AppMinimize

Minimizes the whole application to the taskbar.


TWidgetSet.AppRestoreStayOnTopFlags

Sets all windows in the StayOnTop list to TopMost.

Declaration

Source position: interfacebase.pp line 145

public function TWidgetSet.AppRestoreStayOnTopFlags(

  const ASystemTopAlso: Boolean = False

):Boolean; virtual;


TWidgetSet.AppRun

Enters a state in which the application waits for system messages

Declaration

Source position: interfacebase.pp line 134

public procedure TWidgetSet.AppRun(

  const ALoop: TApplicationMainLoop

); virtual;

Description

Called by Application.Run. Don't use this directly, the LCL will use it when adequate.


TWidgetSet.AppSetIcon

Set the icon of the taskbar button.

Declaration

Source position: interfacebase.pp line 141

public procedure TWidgetSet.AppSetIcon(

  const Small: HICON;

  const Big: HICON

); virtual;

Description

Don't use this directly, the LCL will use it when adequate.


TWidgetSet.AppSetMainFormOnTaskBar

Shows/Hides the MainForm taskbar icon.

Declaration

Source position: interfacebase.pp line 146

public procedure TWidgetSet.AppSetMainFormOnTaskBar(

  const DoSet: Boolean

); virtual;

Arguments

DoSet

The visibility of the MainForm in the TaskBar.


TWidgetSet.AppSetTitle

Declaration

Source position: interfacebase.pp line 142

public procedure TWidgetSet.AppSetTitle(

  const ATitle: string

); virtual;

Description

Don't use this directly, the LCL will use it when adequate.


TWidgetSet.AppSetVisible

Change the visibility of the application window.

Declaration

Source position: interfacebase.pp line 143

public procedure TWidgetSet.AppSetVisible(

  const AVisible: Boolean

); virtual;

Description

Don't use this directly, the LCL will use it when adequate.


TWidgetSet.AppTerminate

Terminates the application.

Declaration

Source position: interfacebase.pp line 137

public procedure TWidgetSet.AppTerminate; virtual; abstract;

Description

Called by Application.Terminate. Don't use this directly, the LCL will use it when adequate.


TWidgetSet.AppWaitMessage

Waits for arrival of a message.

Declaration

Source position: interfacebase.pp line 135

public procedure TWidgetSet.AppWaitMessage; virtual; abstract;

Description

Don't use this directly, the LCL will use it when adequate.


TWidgetSet.Arc

Use Arc to draw an elliptically curved line with the current Pen.

Declaration

Source position: winapih.inc line 35

public function TWidgetSet.Arc(

  DC: HDC;

  Left: Integer;

  Top: Integer;

  Right: Integer;

  Bottom: Integer;

  Angle16Deg: Integer;

  Angle16DegLength: Integer

):Boolean; virtual;

Arguments

Angle16Deg | base angle
Angle16DegLength | angle length

Function result

False on failure.

Description

The arc is part of the ellipse inscribed in the bounding rectangle.

The angles angle1 and angle2 are 1/16th of a degree. For example, a full circle equals 5760 (16*360). Positive values of Angle and AngleLength mean counter-clockwise while negative values mean clockwise direction. Zero degrees is at the 3'o clock position.


TWidgetSet.AskUser

Declaration

Source position: lclintfh.inc line 38

public function TWidgetSet.AskUser(

  const DialogCaption: string;

  const DialogMessage: string;

  DialogType: LongInt;

  Buttons: TDialogButtons;

  HelpCtx: LongInt

):LongInt; virtual;


TWidgetSet.BeforeDestruction

Declaration

Source position: interfacebase.pp line 131

public procedure TWidgetSet.BeforeDestruction; override;


TWidgetSet.BeginPaint

Start painting in a window.

Declaration

Source position: winapih.inc line 38

public function TWidgetSet.BeginPaint(

  Handle: HWND;

  var PS: TPaintStruct

):HDC; virtual;

Arguments

Handle | The window Handle.
PS | Will receive painting information.

Function result

A Device Context for the window, Nil on failure.

Description

This function is for use in WM_PAINT handlers only. Not all platforms allow for painting outside WM_PAINT messages.

BeginPaint prepares the specified window for painting and fills a PAINTSTRUCT structure with information about the painting.


TWidgetSet.BitBlt

Copies part of an source DC into an destination DC, using the specified raster operation.

Declaration

Source position: winapih.inc line 39

public function TWidgetSet.BitBlt(

  DestDC: HDC;

  X: Integer;

  Y: Integer;

  Width: Integer;

  Height: Integer;

  SrcDC: HDC;

  XSrc: Integer;

  YSrc: Integer;

  Rop: DWORD

):Boolean; virtual;

Arguments

DestDC | The destination Device Context.
X | The origin in the destination DC.
Y | The origin in the destination DC.
Width | The image size.
Height | The image size.
SrcDC | The source Device Context.
XSrc | The origin in the source DC.
YSrc | The origin in the source DC.
Rop | The raster operation.

Function result

False on failure.

Description

This routine implements the equivalent Windows GDI API of the same name in all platforms supported by Lazarus.

It copies a section of a Canvas to another one, without any stretching. It allows one to select the kind of operation which should be performed to draw the pixels into the destination in the parameter ROP. Allowed operations go from simply copying the pixels without change to inverting them and also to executing logical operations involving the source pixels and the previously existing pixels in the destination Canvas.

For normal usage one should only use SRCOPY in the ROP parameter, other operations may not be supported by all widgetsets.

There exist 16 raster operations, according to the possible combinations of two (boolean) values. Excluding the NOP case, that doesn't modify the target area, the possible values for ROP are:

  • BLACKNESS - Fills the destination rectangle with black
  • DSTINVERT - Inverts the colors of the destination area
  • MERGECOPY -
  • MERGEPAINT -
  • NOTSRCCOPY -
  • NOTSRCERASE -
  • PATCOPY -
  • PATINVERT -
  • PATPAINT -
  • SRCAND -
  • SRCCOPY -
  • SRCERASE -
  • SRCINVERT -
  • SRCPAINT - Combines the colors of the source and the destination using the operator OR on each pixel
  • WHITENESS - Fills the destination rectangle with white

These flags can be added to above ROPs:

  • CAPTUREBLT - Includes windows which are on top of the specified Canvas. This option is not recommended and is very hard to implement in all supported platforms.
  • NOMIRRORBITMAP - Prevents the bitmap from being mirrored. (The coordinates are sorted before painting?)


TWidgetSet.CallDefaultWndHandler

Declaration

Source position: lclintfh.inc line 40

public procedure TWidgetSet.CallDefaultWndHandler(

  Sender: TObject;

  var Message

); virtual;


TWidgetSet.CallNextHookEx

Calls the next procedure in the hook chain.

Declaration

Source position: winapih.inc line 41

public function TWidgetSet.CallNextHookEx(

  hhk: HHOOK;

  ncode: Integer;

  WParam: WPARAM;

  LParam: LPARAM

):Integer; virtual;

Arguments

hhk | Handle of the current hook.
ncode | The Hook code (message ID).
WParam | Message parameter.
LParam | Message parameter.

Function result

Depends on the Hook type.


TWidgetSet.CallWindowProc

Calls another Window procedure, to handle a message.

Declaration

Source position: winapih.inc line 42

public function TWidgetSet.CallWindowProc(

  lpPrevWndFunc: TFarProc;

  Handle: HWND;

  Msg: UINT;

  WParam: WPARAM;

  LParam: LPARAM

):Integer; virtual;


TWidgetSet.ClientToScreen

Converts (relative) Client coordinates into absolute Screen coordinates.

Declaration

Source position: winapih.inc line 46

public function TWidgetSet.ClientToScreen(

  Handle: HWND;

  var P: TPoint

):Boolean; virtual;

Arguments

Handle | The window with the client area.
P | The point to convert.

Function result

False on failure.


TWidgetSet.ClipboardFormatNeedsNullByte

Declaration

Source position: lclintfh.inc line 51

public function TWidgetSet.ClipboardFormatNeedsNullByte(

  const AFormat: TPredefinedClipboardFormat

):Boolean; virtual;


TWidgetSet.ClipboardFormatToMimeType

Declaration

Source position: lclintfh.inc line 41

public function TWidgetSet.ClipboardFormatToMimeType(

  FormatID: TClipboardFormat

):string; virtual;


TWidgetSet.ClipboardGetData

Declaration

Source position: lclintfh.inc line 42

public function TWidgetSet.ClipboardGetData(

  ClipboardType: TClipboardType;

  FormatID: TClipboardFormat;

  Stream: TStream

):Boolean; virtual;


TWidgetSet.ClipboardGetFormats

Declaration

Source position: lclintfh.inc line 45

public function TWidgetSet.ClipboardGetFormats(

  ClipboardType: TClipboardType;

  var Count: Integer;

  var List: PClipboardFormat

):Boolean; virtual;


TWidgetSet.ClipboardGetOwnerShip

Declaration

Source position: lclintfh.inc line 47

public function TWidgetSet.ClipboardGetOwnerShip(

  ClipboardType: TClipboardType;

  OnRequestProc: TClipboardRequestEvent;

  FormatCount: Integer;

  Formats: PClipboardFormat

):Boolean; virtual;


TWidgetSet.ClipboardRegisterFormat

Declaration

Source position: lclintfh.inc line 50

public function TWidgetSet.ClipboardRegisterFormat(

  const AMimeType: string

):TClipboardFormat; virtual;


TWidgetSet.CombineRgn

Combines two regions.

Declaration

Source position: winapih.inc line 47

public function TWidgetSet.CombineRgn(

  Dest: HRGN;

  Src1: HRGN;

  Src2: HRGN;

  fnCombineMode: LongInt

):LongInt; virtual;

Arguments

Dest | The Handle of the destination region. This region must already exist!
Src1 | The handle of a region to combine.
Src2 | The handle of a region to combine.
fnCombineMode | How the regions are combined.

Function result

The Destination's Region type, or ERROR (0).

Description

The Destination must already be initialized. The Return value is the Destination's Region type, or ERROR (0).

fnCombineMode can be one of:

  • RGN_AND : Gets a region of all points which are in both source regions.
  • RGN_COPY : Gets an exact copy of the first source region.
  • RGN_DIFF : Gets a region of all points which are in the first source region but not in the second.(Src1 - Src2)
  • RGN_OR : Gets a region of all points which are in either the first source region or in the second.(Src1 + Src2)
  • RGN_XOR : Gets all points which are in either the first Source Region or in the second, but not in both.


TWidgetSet.Create

Declaration

Source position: interfacebase.pp line 130

public constructor TWidgetSet.Create; virtual;


TWidgetSet.CreateBitmap

Creates a bitmap with the specified width, height, and color format (color planes and bits per pixel).

Declaration

Source position: winapih.inc line 48

public function TWidgetSet.CreateBitmap(

  Width: Integer;

  Height: Integer;

  Planes: LongInt;

  BitCount: LongInt;

  BitmapBits: Pointer

):HBITMAP; virtual;

Arguments

Planes | The number of color planes.
BitCount | The number of color bits per pixel and plane.
BitmapBits | Pointer to array containing color data.

Function result

The bitmap Handle, zero on failure.


TWidgetSet.CreateBrushIndirect

Creates a logical brush that has the specified style, color, and pattern.

Declaration

Source position: winapih.inc line 49

public function TWidgetSet.CreateBrushIndirect(

  const LogBrush: TLogBrush

):HBRUSH; virtual;

Arguments

LogBrush

Description of the brush.

Function result

The brush Handle, zero on failure.


TWidgetSet.CreateBrushWithRadialGradient

Declaration

Source position: winapih.inc line 50

public function TWidgetSet.CreateBrushWithRadialGradient(

  const LogBrush: TLogRadialGradient

):HBRUSH; virtual;


TWidgetSet.CreateCaret

Creates a new shape for the system caret and assigns ownership of the caret to the specified window.

Declaration

Source position: winapih.inc line 51

public function TWidgetSet.CreateCaret(

  Handle: HWND;

  Bitmap: HBITMAP;

  width: Integer;

  Height: Integer

):Boolean; virtual;

Arguments

Handle | The window that owns the caret.
Bitmap | Bitmap Handle, or zero for a solid (black) caret, 1 for a grey caret.

Function result

False on failure.


TWidgetSet.CreateCompatibleBitmap

Creates a bitmap that is compatible with the given DC.

Declaration

Source position: winapih.inc line 52

public function TWidgetSet.CreateCompatibleBitmap(

  DC: HDC;

  Width: Integer;

  Height: Integer

):HBITMAP; virtual;

Arguments

DC

The Device Context for the bitmap.

Function result

The bitmap handle, zero on failure.


TWidgetSet.CreateCompatibleDC

Creates an memory Device Context, compatible with the device of the given DC.

Declaration

Source position: winapih.inc line 53

public function TWidgetSet.CreateCompatibleDC(

  DC: HDC

):HDC; virtual;

Arguments

DC

The device DC.

Function result

The memory DC, zero on failure.


TWidgetSet.CreateDIBitmap

Creates a Device Dependent Bitmap (DDB) from a Device Independent Bitmap (DIB).

Declaration

Source position: winapih.inc line 54

public function TWidgetSet.CreateDIBitmap(

  DC: HDC;

  var InfoHeader: TBitmapInfoHeader;

  dwUsage: DWORD;

  InitBits: PChar;

  var InitInfo: TBitmapInfo;

  wUsage: UINT

):HBITMAP; virtual;

Arguments

DC | The context for the DDB.
InitBits | An array containing the bitmap pixels.
InitInfo | CBM_INIT when InitBits contains valid data, else zero.

Function result

The bitmap handle, zero on failure.


TWidgetSet.CreateDIBSection

Creates a bitmap into which the application can write.

Declaration

Source position: winapih.inc line 57

public function TWidgetSet.CreateDIBSection(

  DC: HDC;

  const BitmapInfo: tagBITMAPINFO;

  Usage: UINT;

  var Bits: Pointer;

  SectionHandle: THandle;

  Offset: DWORD

):HBITMAP; virtual;

Arguments

DC | The DC for the bitmap.
BitmapInfo | Contains all information about the bitmap, except the pixels.
Usage | The type of the bitmap colors, e.g. DIB_RGB_COLORS.
Bits | Pointer to the bitmap pixels.
SectionHandle | Zero or the Handle of a file-mapping object, from which the bitmap is initialized (needs CreateFileMapping).
Offset | The offset to the bitmap bits in the file-mapping object.

Function result

The bitmap Handle, zero on failure.


TWidgetSet.CreateEllipticRgn

Creates an elliptic region, bounded by the given rectangle.

Declaration

Source position: winapih.inc line 59

public function TWidgetSet.CreateEllipticRgn(

  X1: Integer;

  Y1: Integer;

  X2: Integer;

  Y2: Integer

):HRGN; virtual;

Function result

The region Handle, zero on failure.


TWidgetSet.CreateEmptyRegion

Declaration

Source position: lclintfh.inc line 52

public function TWidgetSet.CreateEmptyRegion: HRGN; virtual;


TWidgetSet.CreateFontIndirect

Creates an logical font, selectable into any DC.

Declaration

Source position: winapih.inc line 62

public function TWidgetSet.CreateFontIndirect(

  const LogFont: TLogFont

):HFONT; virtual;

Arguments

LogFont

The font description.

Function result

The font handle, zero on failure.

See also

TWidgetSet.CreateFontIndirectEx

Creates an logical font, selectable into any DC. Allows for an long fontname.


TWidgetSet.CreateFontIndirectEx

Creates an logical font, selectable into any DC. Allows for an long fontname.

Declaration

Source position: winapih.inc line 63

public function TWidgetSet.CreateFontIndirectEx(

  const LogFont: TLogFont;

  const LongFontName: string

):HFONT; virtual;

Arguments

LogFont | The font description.
LongFontName | The font name, can be longer than 32 characters.

Function result

The font handle, zero on failure.

See also

TWidgetSet.CreateFontIndirect

Creates an logical font, selectable into any DC.


TWidgetSet.CreateIconIndirect

Creates an icon or cursor.

Declaration

Source position: winapih.inc line 64

public function TWidgetSet.CreateIconIndirect(

  IconInfo: PIconInfo

):HICON; virtual;

Function result

The Handle, zero on failure.


TWidgetSet.CreatePalette

Creates a logical palette, selectable into any DC.

Declaration

Source position: winapih.inc line 65

public function TWidgetSet.CreatePalette(

  const LogPalette: TLOGPALETTE

):HPALETTE; virtual;

Function result

The palette Handle, zero on failure.


TWidgetSet.CreatePatternBrush

Creates a logical brush, selectable into any DC.

Declaration

Source position: winapih.inc line 66

public function TWidgetSet.CreatePatternBrush(

  ABitmap: HBITMAP

):HBRUSH; virtual;

Arguments

ABitmap

The bitmap to use for the brush.

Function result

The brush handle, zero on failure.

Description

The bitmap pattern is repeated for areas of larger width or height, it should allow for smooth transitions.

Monochrome bitmaps obtain the actual text (0) or background (1) color of the DC.


TWidgetSet.CreatePenIndirect

Creates an logical Pen, selectable into any DC.

Declaration

Source position: winapih.inc line 68

public function TWidgetSet.CreatePenIndirect(

  const LogPen: TLogPen

):HPEN; virtual;

Function result

The pen Handle, zero on failure.


TWidgetSet.CreatePixmapIndirect

Declaration

Source position: lclintfh.inc line 53

public function TWidgetSet.CreatePixmapIndirect(

  const Data: Pointer;

  const TransColor: LongInt

):HBITMAP; virtual;


TWidgetSet.CreatePolygonRgn

Creates a polygonial region.

Declaration

Source position: winapih.inc line 69

public function TWidgetSet.CreatePolygonRgn(

  Points: PPoint;

  NumPts: Integer;

  FillMode: Integer

):HRGN; virtual;

Arguments

Points | The array of points.
NumPts | The number of points in Points.
FillMode | Can be ALTERNATE or WINDING.

Function result

The region Handle, zero on failure.

Description

The Points parameter is an array of points that give the vertices of the polygon. The connections between two points can cross others.

FillMode determines what points are going to be included in the region. When FillMode=Winding points are selected by using the Winding fill algorithm. When FillMode=ALTERNATE points are selected by using using the even-odd (alternative) fill algorithm.

The last point is connected to the first point, to close the region.


TWidgetSet.CreateRectRgn

Creates a rectangular region.

Declaration

Source position: winapih.inc line 70

public function TWidgetSet.CreateRectRgn(

  X1: Integer;

  Y1: Integer;

  X2: Integer;

  Y2: Integer

):HRGN; virtual;

Function result

The region handle, zero on failure.


TWidgetSet.CreateRegionCopy

Declaration

Source position: lclintfh.inc line 54

public function TWidgetSet.CreateRegionCopy(

  SrcRGN: HRGN

):HRGN; virtual;


TWidgetSet.CreateRoundRectRgn

Creates a rectangular region with rounded corners.

Declaration

Source position: winapih.inc line 72

public function TWidgetSet.CreateRoundRectRgn(

  X1: Integer;

  Y1: Integer;

  X2: Integer;

  Y2: Integer;

  nWidthEllipse: Integer;

  nHeightEllipse: Integer

):HRGN; virtual;

Arguments

nWidthEllipse | The extent of the ellipse, used for the rounded corners.
nHeightEllipse | The extent of the ellipse, used for the rounded corners.

Function result

The region Handle, zero on failure.


TWidgetSet.CreateRubberBand

Declaration

Source position: lclintfh.inc line 55

public function TWidgetSet.CreateRubberBand(

  const ARect: TRect;

  const ABrush: HBRUSH = 0

):HWND; virtual;


TWidgetSet.CreateStandardCursor

Creates one of the standard cursors.

Declaration

Source position: lclintfh.inc line 56

public function TWidgetSet.CreateStandardCursor(

  ACursor: SmallInt

):HCURSOR; virtual;

Arguments

ACursor

The cursor shape.

Function result

The cursor handle, zero on failure.

See also

#lcl.Controls.TCursor | TCursor - integer type defining range of values for cursor shapes.
TWidgetSet.SetCursor | Changes the shape of the mouse cursor.


TWidgetSet.CreateTimer

Creates an timer with the given callback method.

Declaration

Source position: interfacebase.pp line 161

public function TWidgetSet.CreateTimer(

  Interval: Integer;

  TimerProc: TWSTimerProc

):THandle; virtual; abstract;

Arguments

Interval | The time interval.
TimerProc | The callback method.

Function result

The timer ID, zero on failure.


TWidgetSet.DCClipRegionValid

Declaration

Source position: lclintfh.inc line 58

public function TWidgetSet.DCClipRegionValid(

  DC: HDC

):Boolean; virtual;


TWidgetSet.DCGetPixel

Declaration

Source position: interfacebase.pp line 151

public function TWidgetSet.DCGetPixel(

  CanvasHandle: HDC;

  X: Integer;

  Y: Integer

):TGraphicsColor; virtual; abstract;


TWidgetSet.DCRedraw

Declaration

Source position: interfacebase.pp line 153

public procedure TWidgetSet.DCRedraw(

  CanvasHandle: HDC

); virtual; abstract;


TWidgetSet.DCSetAntialiasing

Declaration

Source position: interfacebase.pp line 154

public procedure TWidgetSet.DCSetAntialiasing(

  CanvasHandle: HDC;

  AEnabled: Boolean

); virtual;


TWidgetSet.DCSetPixel

Declaration

Source position: interfacebase.pp line 152

public procedure TWidgetSet.DCSetPixel(

  CanvasHandle: HDC;

  X: Integer;

  Y: Integer;

  AColor: TGraphicsColor

); virtual; abstract;


TWidgetSet.DeallocateHWnd

Deletes a window created with AllocateHWnd.

Declaration

Source position: lclintfh.inc line 59

public procedure TWidgetSet.DeallocateHWnd(

  Wnd: HWND

); virtual;

Arguments

Wnd

The window handle.

See also

TWidgetSet.AllocateHWnd

Allocates an invisible window that can be used to receive messages.


TWidgetSet.DeleteCriticalSection

Deletes an unowned critical section.

Declaration

Source position: winapih.inc line 74

public procedure TWidgetSet.DeleteCriticalSection(

  var CritSection: TCriticalSection

); virtual;

Arguments

CritSection

The critical section object.

Errors

Results are unpredictable when the section is owned, i.e. has been entered but not yet left.

See also

TWidgetSet.InitializeCriticalSection

Initializes a Critical Section object.


TWidgetSet.DeleteDC

Deletes an Device Context, created by CreateDC.

Declaration

Source position: winapih.inc line 75

public function TWidgetSet.DeleteDC(

  hDC: HDC

):Boolean; virtual;

Function result

False on failure.

See also

TWidgetSet.ReleaseDC

Releases an Device Context obtained by GetDC.


TWidgetSet.DeleteObject

Deletes a graphic object, freeing all system resources associated with the object.

Declaration

Source position: winapih.inc line 76

public function TWidgetSet.DeleteObject(

  GDIObject: HGDIOBJ

):Boolean; virtual;

Function result

False on failure.

Errors

The function fails when the Handle is selected into an DC.


TWidgetSet.DestroyCaret

Destroys the caret but doesn't free the bitmap.

Declaration

Source position: winapih.inc line 77

public function TWidgetSet.DestroyCaret(

  Handle: HWND

):Boolean; virtual;

Arguments

Handle

Handle of the window with the caret.

Function result

False on failure.


TWidgetSet.DestroyCursor

Destroys an mouse cursor.

Declaration

Source position: winapih.inc line 78

public function TWidgetSet.DestroyCursor(

  Handle: HCURSOR

):Boolean; virtual;

Arguments

Handle

The cursor Handle.

Function result

False on failure.


TWidgetSet.DestroyIcon

Destroys an icon.

Declaration

Source position: winapih.inc line 79

public function TWidgetSet.DestroyIcon(

  Handle: HICON

):Boolean; virtual;

Function result

False on failure.


TWidgetSet.DestroyRubberBand

Declaration

Source position: lclintfh.inc line 60

public procedure TWidgetSet.DestroyRubberBand(

  ARubberBand: HWND

); virtual;


TWidgetSet.DestroyTimer

Destroys an timer.

Declaration

Source position: interfacebase.pp line 162

public function TWidgetSet.DestroyTimer(

  TimerHandle: THandle

):Boolean; virtual; abstract;

Arguments

TimerHandle

The timer ID.

Function result

False on failure.

See also

TWidgetSet.CreateTimer

Creates an timer with the given callback method.


TWidgetSet.DPtoLP

Converts an array of Device Points (coordinates) into Logical Points.

Declaration

Source position: winapih.inc line 81

public function TWidgetSet.DPtoLP(

  DC: HDC;

  var Points;

  Count: Integer

):Bool; virtual;

Arguments

DC | The device context, containing the coordinate mapping information.
Points | An array of points.
Count | The number of points to convert.

Function result

False on failure.


TWidgetSet.DrawDefaultDockImage

Draws the DockRect during drag-dock operations.

Declaration

Source position: lclintfh.inc line 61

public procedure TWidgetSet.DrawDefaultDockImage(

  AOldRect: TRect;

  ANewRect: TRect;

  AOperation: TDockImageOperation

); virtual;

Arguments

AOldRect | The old DockRect.
ANewRect | The new DockRect.

Errors

The Windows implementation doesn't cooperate with the DragManager. See Mantis 0018525


TWidgetSet.DrawEdge

Draws one or more edges of a rectangle.

Declaration

Source position: winapih.inc line 84

public function TWidgetSet.DrawEdge(

  DC: HDC;

  var Rect: TRect;

  edge: Cardinal;

  grfFlags: Cardinal

):Boolean; virtual;

Arguments

edge | A combination of edge styles (inner/outer, raised/sunken)
grfFlags | Indicates e.g. the edges to paint (BF_LEFT).

Function result

False on failure.


TWidgetSet.DrawFocusRect

Shows or hides a floating rectangle.

Declaration

Source position: winapih.inc line 83

public function TWidgetSet.DrawFocusRect(

  DC: HDC;

  const Rect: TRect

):Boolean; virtual;

Arguments

DC

Almost a screen DC.

Function result

False on failure.

Description

This function is intended to temporarily outline part of an canvas, e.g. a rectangular selection following mouse moves (rubber box, DockRect).

A second call of the function, with the same parameters, removes the rectangle again (XOR painting). Due to this behaviour the frame should be removed before it might be overwritten by any other painting operation.

Remark: Not all platforms allow for painting outside WM_PAINT events.
Remark: Child windows may be excluded (clipped), i.e. the rectangle is not necessarily fully shown.


TWidgetSet.DrawFrameControl

Draws a window frame control, of the specified type and style.

Declaration

Source position: winapih.inc line 82

public function TWidgetSet.DrawFrameControl(

  DC: HDC;

  const Rect: TRect;

  uType: Cardinal;

  uState: Cardinal

):Boolean; virtual;

Arguments

DC | The window frame device context.
uType | The control type, e.g. DFC_CAPTION.
uState | The control state, e.g. DFCS_CAPTIONCLOSE (close button).

Function result

False on failure.

Description

A window frame includes these components (uType):

  • title bar (DFC_CAPTION)
  • menu bar (DFC_MENU)
  • popup menus (DFC_POPUPMENU)
  • scrollbars (DFC_SCROLL)

Window managers do not normally allow the user to paint the components of an window frame, do not even supply an DC for that purpose.

The available features depend on the window manager of the actual platform, and the used widgetset.


TWidgetSet.DrawGrid

Declaration

Source position: lclintfh.inc line 62

public procedure TWidgetSet.DrawGrid(

  DC: HDC;

  const R: TRect;

  DX: Integer;

  DY: Integer

); virtual;


TWidgetSet.DrawText

Draws formatted text within a rectangle.

Declaration

Source position: winapih.inc line 85

public function TWidgetSet.DrawText(

  DC: HDC;

  Str: PChar;

  Count: Integer;

  var Rect: TRect;

  Flags: Cardinal

):Integer; virtual;

Arguments

Str | The text (should be zero terminated).
Count | The number of (Wide)Chars in the text.
Rect | The bounding (clipping) rectangle.
Flags | Various flags.

Function result

The height of the drawn text, from Rect.Top to the bottom of the text. Zero on failure.

Description

Several formatting options are available (DT_WORDBREAK...).

DT_CALCRECT suppresses all painting, instead the extent of the formatted text is returned in the Rect parameter.


TWidgetSet.Ellipse

Draws a filled circle or ellipse, bounded by a rectangle.

Declaration

Source position: winapih.inc line 95

public function TWidgetSet.Ellipse(

  DC: HDC;

  x1: Integer;

  y1: Integer;

  x2: Integer;

  y2: Integer

):Boolean; virtual;

Function result

False on failure.

Description

The ellipse is outlined with the current pen, and filled with the current brush.

See also

TWidgetSet.Arc

Use Arc to draw an elliptically curved line with the current Pen.


TWidgetSet.EnableScrollBar

Enables or disables the arrows of a scrollbar control, or of the scrollbars of a window.

Declaration

Source position: winapih.inc line 87

public function TWidgetSet.EnableScrollBar(

  Wnd: HWND;

  wSBflags: Cardinal;

  wArrows: Cardinal

):Boolean; virtual;

Arguments

Wnd | The window or control handle.
wSBflags | The scrollbar type (SB_CTL, SB_HORZ...).
wArrows | The affected buttons.

Function result

False when nothing was changed.


TWidgetSet.EnableWindow

Enables or disables mouse and keyboard input to the specified window or control.

Declaration

Source position: winapih.inc line 88

public function TWidgetSet.EnableWindow(

  hWnd: HWND;

  bEnable: Boolean

):Boolean; virtual;

Function result

True when the window was disabled before.


TWidgetSet.EndPaint

Ends painting a window, started with BeginPaint.

Declaration

Source position: winapih.inc line 89

public function TWidgetSet.EndPaint(

  Handle: HWND;

  var PS: TPaintStruct

):Integer; virtual;

Arguments

Handle | The window to paint.
PS | Painting information.

Function result

Almost nonzero.

See also

TWidgetSet.BeginPaint

Start painting in a window.


TWidgetSet.EnterCriticalSection

Enters a critical section.

Declaration

Source position: winapih.inc line 90

public procedure TWidgetSet.EnterCriticalSection(

  var CritSection: TCriticalSection

); virtual;

Arguments

CritSection

The critical section object.

Description

The call returns only when the calling thread has obtained ownership of the critical section. See TryEnterCriticalSection for testing the ownership of the critical section.

See also

TWidgetSet.InitializeCriticalSection

Initializes a Critical Section object.

TWidgetSet.TryEnterCriticalSection


TWidgetSet.EnumDisplayMonitors

Invokes a callback function for every available display monitor.

Declaration

Source position: winapih.inc line 91

public function TWidgetSet.EnumDisplayMonitors(

  hdc: HDC;

  lprcClip: PRect;

  lpfnEnum: MonitorEnumProc;

  dwData: LPARAM

):LongBool; virtual;

Arguments

lpfnEnum | The callback function.
dwData | Data passed to the callback function

Function result

False on failure.


TWidgetSet.EnumFontFamilies

Invokes a callback function for every font available on a specified device.

Declaration

Source position: winapih.inc line 92

public function TWidgetSet.EnumFontFamilies(

  DC: HDC;

  Family: Pchar;

  EnumFontFamProc: FontEnumProc;

  LParam: LPARAM

):LongInt; virtual;

Arguments

DC | The device context.
Family | The font family name, empty for all families.
EnumFontFamProc | The callback function.
LParam | Data passed to the callback function.

Function result

The last value returned by the callback function.

See also

TWidgetSet.EnumFontFamiliesEx

Invokes a callback function for every available font that matches certain criteria.


TWidgetSet.EnumFontFamiliesEx

Invokes a callback function for every available font that matches certain criteria.

Declaration

Source position: winapih.inc line 93

public function TWidgetSet.EnumFontFamiliesEx(

  DC: HDC;

  lpLogFont: PLogFont;

  Callback: FontEnumExProc;

  Lparam: LPARAM;

  Flags: dword

):LongInt; virtual;

Arguments

DC | The device context.
lpLogFont | Description of the desired fonts.
Callback | The callback function.
Lparam | Data passed to the callback function.

Function result

The last value returned by the callback function.


TWidgetSet.EqualRgn

Declaration

Source position: winapih.inc line 97

public function TWidgetSet.EqualRgn(

  Rgn1: HRGN;

  Rgn2: HRGN

):Boolean; virtual;


TWidgetSet.ExcludeClipRect

Excludes a rectangle from the clipping region, i.e. prevents painting within the rectangle.

Declaration

Source position: winapih.inc line 98

public function TWidgetSet.ExcludeClipRect(

  dc: HDC;

  Left: Integer;

  Top: Integer;

  Right: Integer;

  Bottom: Integer

):Integer; virtual;

Function result

The type of the new clipping region, Error (0) on failure.


TWidgetSet.ExtCreatePen

Creates an logical pen, selectable into any DC.

Declaration

Source position: winapih.inc line 99

public function TWidgetSet.ExtCreatePen(

  dwPenStyle: DWord;

  dwWidth: DWord;

  const lplb: TLogBrush;

  dwStyleCount: DWord;

  lpStyle: PDWord

):HPEN; virtual;

Arguments

dwPenStyle | A collection of style options.
dwWidth | The pen width.
lplb | The brush description.
dwStyleCount | The number of sections of an dashed pen.
lpStyle | Array of the section lengths of an dashed pen.

Function result

The pen handle, zero on failure.


TWidgetSet.ExtSelectClipRGN

Combines the passed Region with the current clipping region.

Declaration

Source position: winapih.inc line 101

public function TWidgetSet.ExtSelectClipRGN(

  dc: HDC;

  rgn: HRGN;

  Mode: LongInt

):Integer; virtual;

Arguments

rgn | The region to combine with.
Mode | How the regions are combined.

Function result

The type of the resulting clipping region.

Description

The Mode can be one of:

  • RGN_AND - all points which are in both regions.
  • RGN_COPY - an exact copy of the source region, same as SelectClipRGN.
  • RGN_DIFF - all points which are in the Clipping Region but but not in the Source. (Clip - RGN)
  • RGN_OR - all points which are in either the Clip Region or in the Source. (Clip + RGN)
  • RGN_XOR - all points which are in either the Clip Region or in the Source, but not in both.


TWidgetSet.ExtTextOut

Draws an string without formatting (single line).

Declaration

Source position: winapih.inc line 100

public function TWidgetSet.ExtTextOut(

  DC: HDC;

  X: Integer;

  Y: Integer;

  Options: LongInt;

  Rect: PRect;

  Str: PChar;

  Count: LongInt;

  Dx: PInteger

):Boolean; virtual;

Arguments

DC | The Device Context.
X | The reference point, used to position the text.
Y | The reference point, used to position the text.
Options | Output options.
Rect | The bounding rectangle.
Str | The text.
Count | The number of (Wide)Chars in the string.
Dx | Pointer to an array of intercharacter spacing values, can be Nil.

Function result

False on failure.

Description

The string is drawn with the current font and colors.

The following Options are supported:

  • ETO_CLIPPED - the text is clipped to the given rectangle.
  • ETO_OPAQUE - the rectangle is filled with the background color.

See also

TWidgetSet.ExtUTF8Out

Draws an UTF-8 string without formatting (single line).


TWidgetSet.FillRect

Fills a rectangle using the specified brush.

Declaration

Source position: winapih.inc line 103

public function TWidgetSet.FillRect(

  DC: HDC;

  const Rect: TRect;

  Brush: HBRUSH

):Boolean; virtual;

Function result

False on failure.


TWidgetSet.FillRgn

Fills a region using the specified brush.

Declaration

Source position: winapih.inc line 104

public function TWidgetSet.FillRgn(

  DC: HDC;

  RegionHnd: HRGN;

  hbr: HBRUSH

):Bool; virtual;


TWidgetSet.FloodFill

Fills an area of the display surface with the current brush.

Declaration

Source position: winapih.inc line 105

public function TWidgetSet.FloodFill(

  DC: HDC;

  X: Integer;

  Y: Integer;

  Color: TGraphicsColor;

  FillStyle: TGraphicsFillStyle;

  Brush: HBRUSH

):Boolean; virtual;

Arguments

DC | The device context.
X | The starting point.
Y | The starting point.
Color | The area or boundary color, depending on FillStyle.
FillStyle | fsBorder or fsSurface.
Brush | The brush used to fill the area.

Function result

False on failure.

Description

FillStyle specifies the area:

  • When FillStyle is fsBorder, the area is bounded by a certain Color, the boundary must not have gaps in it.
  • When FillStyle is fsSurface, the area has the specified Color, and all adjacent pixels of this color are replaced.

Filling starts at a given point, which resides somewhere inside the area.


TWidgetSet.FontCanUTF8

[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] Reference for unit 'InterfaceBase' (#lcl)

TWidgetSet.FontCanUTF8 (deprecated)

Obsolete option, don't use it. It will be removed.

Declaration

Source position: lclintfh.inc line 66

public function TWidgetSet.FontCanUTF8(

  Font: HFONT

):Boolean; virtual;

Arguments

Font

The font handle.

Function result

True when Unicode is supported.


TWidgetSet.FontIsMonoSpace

Declaration

Source position: lclintfh.inc line 67

public function TWidgetSet.FontIsMonoSpace(

  Font: HFONT

):Boolean; virtual;


TWidgetSet.Frame3d

Declaration

Source position: lclintfh.inc line 68

public function TWidgetSet.Frame3d(

  DC: HDC;

  var ARect: TRect;

  const FrameWidth: Integer;

  const Style: TGraphicsBevelCut

):Boolean; virtual;


TWidgetSet.FrameRect

Draws a border around a rectangle.

Declaration

Source position: winapih.inc line 109

public function TWidgetSet.FrameRect(

  DC: HDC;

  const ARect: TRect;

  hBr: HBRUSH

):Integer; virtual;

Arguments

ARect | The rectangle to outline.
hBr | The brush for drawing the border.

Function result

Zero on failure.

Description

The boundary is one logical unit wide, painted using the given brush.


TWidgetSet.GetAcceleratorString

Declaration

Source position: lclintfh.inc line 70

public function TWidgetSet.GetAcceleratorString(

  const AVKey: Byte;

  const AShiftState: TShiftState

):string; virtual;


TWidgetSet.GetActiveWindow

Returns the Handle of the active window of the calling thread.

Declaration

Source position: winapih.inc line 111

public function TWidgetSet.GetActiveWindow: HWND; virtual;

Function result

The window handle, zero on failure.


TWidgetSet.GetAvailableNativeCanvasTypes

Declaration

Source position: lclintfh.inc line 71

public function TWidgetSet.GetAvailableNativeCanvasTypes(

  DC: HDC;

  AAllowFallbackToParent: Boolean = False

):TNativeCanvasTypes; virtual;


TWidgetSet.GetAvailableNativeHandleTypes

Declaration

Source position: lclintfh.inc line 72

public function TWidgetSet.GetAvailableNativeHandleTypes(

  Handle: HWND;

  AAllowFallbackToParent: Boolean = False

):TNativeHandleTypes; virtual;


TWidgetSet.GetBitmapBits

Fills an buffer with the bitmap bits.

Declaration

Source position: winapih.inc line 112

public function TWidgetSet.GetBitmapBits(

  Bitmap: HBITMAP;

  Count: LongInt;

  Bits: Pointer

):LongInt; virtual;

Arguments

Bitmap | The (device dependent) bitmap handle.
Count | The byte size of the buffer.
Bits | Pointer to the output buffer.

Function result

The number of bytes copied, zero on failure.


TWidgetSet.GetBkColor

Returns the background color of an device context.

Declaration

Source position: winapih.inc line 113

public function TWidgetSet.GetBkColor(

  DC: HDC

):TColorRef; virtual;

Function result

The background color, CLR_INVALID on failure.


TWidgetSet.GetCapture

Returns the window that captures mouse messages.

Declaration

Source position: winapih.inc line 114

public function TWidgetSet.GetCapture: HWND; virtual;

Function result

The window handle, zero if no window of the thread captures mouse messages.


TWidgetSet.GetCaretPos

Returns the caret position, in client coordinates.

Declaration

Source position: winapih.inc line 115

public function TWidgetSet.GetCaretPos(

  var lpPoint: TPoint

):Boolean; virtual;

Arguments

lpPoint

Receives the coordinates.

Function result

False on failure.


TWidgetSet.GetCaretRespondToFocus

Declaration

Source position: lclintfh.inc line 73

public function TWidgetSet.GetCaretRespondToFocus(

  handle: HWND;

  var ShowHideOnFocus: Boolean

):Boolean; virtual;


TWidgetSet.GetCharABCWidths

Returns the ABC widths of an range of character codes.

Declaration

Source position: winapih.inc line 121

public function TWidgetSet.GetCharABCWidths(

  DC: HDC;

  p2: UINT;

  p3: UINT;

  const ABCStructs

):Boolean; virtual;

Arguments

DC | The device context.
p2 | The first character code
p3 | The last character code.
ABCStructs | Array of ABC records, receiving the information.

Function result

False on failure.

See also

#lcl.LCLType._ABC

Record describing the width of a TrueType character.


TWidgetSet.GetClientBounds

Declaration

Source position: lclintfh.inc line 74

public function TWidgetSet.GetClientBounds(

  handle: HWND;

  var ARect: TRect

):Boolean; virtual;


TWidgetSet.GetClientRect

Returns the client rectangle of a window.

Declaration

Source position: winapih.inc line 116

public function TWidgetSet.GetClientRect(

  handle: HWND;

  var Rect: TRect

):Boolean; virtual;

Arguments

handle | The window handle.
Rect | Receives the client coordinates.

Function result

False on failure.

Description

The client rectangle is the size of the inner area of a control, where e.g. the child controls are visible. Left and Top are always 0.

A child control with Align=alClient will completely fill the clientrect.


TWidgetSet.GetClipBox

Returns the smallest rectangle which includes the entire clipping region of an device context.

Declaration

Source position: winapih.inc line 117

public function TWidgetSet.GetClipBox(

  DC: HDC;

  lpRect: PRect

):LongInt; virtual;

Arguments

DC | The device context.
lpRect | Receives the coordinates.

Function result

The region kind.


TWidgetSet.GetClipRGN

Returns the clipping region of an device context.

Declaration

Source position: winapih.inc line 118

public function TWidgetSet.GetClipRGN(

  DC: HDC;

  RGN: HRGN

):LongInt; virtual;

Arguments

DC | The device context.
RGN | The handle of the clipping region.

Function result

Zero on failure.


TWidgetSet.GetCmdLineParamDescForInterface

Declaration

Source position: lclintfh.inc line 75

public function TWidgetSet.GetCmdLineParamDescForInterface: string; virtual;


TWidgetSet.GetControlConstraints

Updates the constraints object (e.g. TSizeConstraints) with interface specific bounds.

Declaration

Source position: lclintfh.inc line 76

public function TWidgetSet.GetControlConstraints(

  Constraints: TObject

):Boolean; virtual;

Arguments

Constraints

Should be a TSizeConstraints.

Function result

False on failure.


TWidgetSet.GetCurrentObject

Returns an currently selected object in an device context.

Declaration

Source position: winapih.inc line 119

public function TWidgetSet.GetCurrentObject(

  DC: HDC;

  uObjectType: UINT

):HGDIOBJ; virtual;

Arguments

DC | The device context.
uObjectType | The type of the selected object, e.g. OBJ_BRUSH.

Function result

The object handle, zero on failure.


TWidgetSet.GetCursorPos

Gets the mouse cursor position, in screen coordinates.

Declaration

Source position: winapih.inc line 120

public function TWidgetSet.GetCursorPos(

  var lpPoint: TPoint

):Boolean; virtual;

Arguments

lpPoint

Receives the mouse coordinates.

Function result

False on failure.


TWidgetSet.GetDC

Returns the handle of an Device Context (DC) for the client area of a window.

Declaration

Source position: winapih.inc line 122

public function TWidgetSet.GetDC(

  hWnd: HWND

):HDC; virtual;

Arguments

hWnd

The window handle.

Function result

The DC handle, zero on failure.


TWidgetSet.GetDCOriginRelativeToWindow

Declaration

Source position: lclintfh.inc line 77

public function TWidgetSet.GetDCOriginRelativeToWindow(

  PaintDC: HDC;

  WindowHandle: HWND;

  var OriginDiff: TPoint

):Boolean; virtual;


TWidgetSet.GetDesignerDC

Declaration

Source position: lclintfh.inc line 78

public function TWidgetSet.GetDesignerDC(

  WindowHandle: HWND

):HDC; virtual;


TWidgetSet.GetDeviceCaps

Returns various device specific informations.

Declaration

Source position: winapih.inc line 123

public function TWidgetSet.GetDeviceCaps(

  DC: HDC;

  Index: Integer

):Integer; virtual;

Arguments

DC | The device context.
Index | The value type, e.g. HORZRES.

Function result

The requested value

Description

The following informations can be retrieved:

  • HORZSIZE - Horizontal size in millimeters
  • VERTSIZE - Vertical size in millimeters
  • HORZRES - Horizontal width in pixels
  • VERTRES - Vertical height in pixels
  • BITSPIXEL - Number of bits per pixel
  • PLANES - Number of color planes
  • LOGPIXELSX - The number of pixels per logical inch, in X (horizontal) direction.
  • LOGPIXELSY - The number of pixels per logical inch, in Y (vertical) direction.
  • SIZEPALETTE - Number of entries in the color palette
  • NUMRESERVED - Number of reserved entries in the color palette

See also

#lcl.LCLType.HORZRES

Horizontal width in pixels


TWidgetSet.GetDeviceSize

Declaration

Source position: lclintfh.inc line 79

public function TWidgetSet.GetDeviceSize(

  DC: HDC;

  var p: TPoint

):Boolean; virtual;


TWidgetSet.GetDIBits

Fills an buffer with bitmap color bits.

Declaration

Source position: winapih.inc line 124

public function TWidgetSet.GetDIBits(

  DC: HDC;

  Bitmap: HBITMAP;

  StartScan: UINT;

  NumScans: UINT;

  Bits: Pointer;

  var BitInfo: BITMAPINFO;

  Usage: UINT

):Integer; virtual;

Arguments

DC | The device context.
Bitmap | The bitmap handle.
StartScan | The first scanline to retrieve.
NumScans | The number of scanlines to retrieve.
Bits | Pointer to the color bits array, or Nil to get the BitmapInfo.
BitInfo | Contains or receives the BitmapInfo.
Usage | The color format, e.g. DIB_RGB_COLORS.

Function result

The number of returned scanlines, zero on failure.

Description

The bitmap must be a compatible (device dependent) bitmap, for the given device context. It should not be selected into any DC.

The color bits are copied into the Bits array in Device Independent Bitmap (DIB) format.

When Bits is Nil, the BitInfo record receives the bitmap information, from which the required size of the Bits array can be determined.

See also

#lcl.LCLType.DIB_RGB_COLORS


TWidgetSet.GetDoubleClickTime

Returns the double-click time, in milliseconds.

Declaration

Source position: winapih.inc line 125

public function TWidgetSet.GetDoubleClickTime: UINT; virtual;


TWidgetSet.GetDpiForMonitor

Declaration

Source position: winapih.inc line 133

public function TWidgetSet.GetDpiForMonitor(

  hmonitor: HMONITOR;

  dpiType: TMonitorDpiType;

  out dpiX: UINT;

  out dpiY: UINT

):HRESULT; virtual;


TWidgetSet.GetFocus

Returns the handle of the window that has the focus in the current thread.

Declaration

Source position: winapih.inc line 126

public function TWidgetSet.GetFocus: HWND; virtual;

Function result

The window handle, zero if no window has the focus.


TWidgetSet.GetFontLanguageInfo

Returns language information about the currently selected font.

Declaration

Source position: winapih.inc line 127

public function TWidgetSet.GetFontLanguageInfo(

  DC: HDC

):DWord; virtual;

Function result

Font flags, zero for Latin font alikes.

Description

The following flags are supported:

  • GCP_DBCS - the character set is double-byte (DBCS).


TWidgetSet.GetForegroundWindow

Returns the window that the user is currently working with, session wide.

Declaration

Source position: winapih.inc line 128

public function TWidgetSet.GetForegroundWindow: HWND; virtual;

Function result

The window handle, zero when no such window exists.


TWidgetSet.GetIconInfo

Returns information about an Icon or Cursor.

Declaration

Source position: winapih.inc line 129

public function TWidgetSet.GetIconInfo(

  AIcon: HICON;

  AIconInfo: PIconInfo

):Boolean; virtual;

Arguments

AIcon | The item handle.
AIconInfo | Receives the information.


TWidgetSet.GetKeyState

The status of a virtual key.

Declaration

Source position: winapih.inc line 130

public function TWidgetSet.GetKeyState(

  nVirtKey: Integer

):SmallInt; virtual;

Arguments

nVirtKey

The virtual key code.

Function result

The key state flags.

Description

The result reflects the message processing state, at the time of the last seen key message.

A key can be up, down or toggled.

The high order bit of the result is the up/down state, 1 for down.

The low order bit of the result is the toggled state, applicable to e.g. the caps-lock key. The bit is set if the key is toggled (active).


TWidgetSet.GetLCLCapability

Checks the widgetset for available capabilities.

Declaration

Source position: interfacebase.pp line 149

public function TWidgetSet.GetLCLCapability(

  ACapability: TLCLCapability

):PtrUInt; virtual;

Function result

Can be either LCL_CAPABILITY_NO or LCL_CAPABILITY_YES


TWidgetSet.GetLCLOwnerObject

Declaration

Source position: lclintfh.inc line 80

public function TWidgetSet.GetLCLOwnerObject(

  Handle: HWND

):TObject; virtual;


TWidgetSet.GetMapMode

Returns the mapping mode of an device context.

Declaration

Source position: winapih.inc line 131

public function TWidgetSet.GetMapMode(

  DC: HDC

):Integer; virtual;

Arguments

DC

The device context.

Function result

The mapping mode, zero on failure.

See also

TWidgetSet.SetMapMode

Sets the mapping mode of an device context.


TWidgetSet.GetMonitorInfo

Returns information about an display monitor.

Declaration

Source position: winapih.inc line 132

public function TWidgetSet.GetMonitorInfo(

  hMonitor: HMONITOR;

  lpmi: PMonitorInfo

):Boolean; virtual;

Arguments

hMonitor | The monitor handle.
lpmi | Receives the information.

Function result

False on failure.


TWidgetSet.GetNativeCanvas

Declaration

Source position: lclintfh.inc line 81

public function TWidgetSet.GetNativeCanvas(

  DC: HDC;

  AHandleType: TNativeCanvasType;

  AAllowFallbackToParent: Boolean = False

):PtrInt; virtual;


TWidgetSet.GetNativeHandle

Declaration

Source position: lclintfh.inc line 82

public function TWidgetSet.GetNativeHandle(

  Handle: HWND;

  AHandleType: TNativeHandleType;

  AAllowFallbackToParent: Boolean = False

):PtrInt; virtual;


TWidgetSet.GetObject

Returns information about a graphics object.

Declaration

Source position: winapih.inc line 134

public function TWidgetSet.GetObject(

  GDIObject: HGDIOBJ;

  BufSize: Integer;

  Buf: Pointer

):Integer; virtual;

Arguments

GDIObject | The Handle of the object.
BufSize | The bytecount of the buffer.
Buf | Receives the information. Nil means to return the required buffer size.

Function result

The number of bytes written into the buffer.

Description

The returned information depends on the object type


TWidgetSet.GetPaletteEntries

Retrieves an range of color entries from a logical palette.

Declaration

Source position: winapih.inc line 135

public function TWidgetSet.GetPaletteEntries(

  Palette: HPALETTE;

  StartIndex: UINT;

  NumEntries: UINT;

  var PaletteEntries

):UINT; virtual;

Arguments

Palette | The palette handle.
StartIndex | The first entry.
NumEntries | The number of entries to retrieve.
PaletteEntries | Array of PALETTEENTRY records, receiving the information.

Function result

The number of entries copied.


TWidgetSet.GetParent

Returns the parent window of a window.

Declaration

Source position: winapih.inc line 137

public function TWidgetSet.GetParent(

  Handle: HWND

):HWND; virtual;

Arguments

Handle

The window handle.

Function result

The parent window handle, zero on failure.


TWidgetSet.GetProp

Retrieves an property value for a window.

Declaration

Source position: winapih.inc line 138

public function TWidgetSet.GetProp(

  Handle: HWND;

  Str: PChar

):Pointer; virtual;

Arguments

Handle | The window handle.
Str | The property name.

Function result

Nil on failure.

See also

TWidgetSet.SetProp

Adds a property to a window.


TWidgetSet.GetRgnBox

Returns the bounding rectangle of a region, containing the entire region.

Declaration

Source position: winapih.inc line 139

public function TWidgetSet.GetRgnBox(

  RGN: HRGN;

  lpRect: PRect

):LongInt; virtual;

Arguments

RGN | The region handle.
lpRect | Receives the coordinates.

Function result

The region kind.


TWidgetSet.GetROP2

The current Foreground Mixing Mode in an device context.

Declaration

Source position: winapih.inc line 140

public function TWidgetSet.GetROP2(

  DC: HDC

):Integer; virtual;

Arguments

DC

The device context.

Function result

The mode, zero on failure.

See also

TWidgetSet.SetROP2 | Sets the Foreground Mixing Mode in an device context.
#lcl.LCLType.R2_COPYPEN | Binary raster operation (Dst op Pen): Pen.


TWidgetSet.GetScrollBarSize

Declaration

Source position: lclintfh.inc line 83

public function TWidgetSet.GetScrollBarSize(

  Handle: HWND;

  SBStyle: Integer

):Integer; virtual;


TWidgetSet.GetScrollbarVisible

Declaration

Source position: lclintfh.inc line 84

public function TWidgetSet.GetScrollbarVisible(

  Handle: HWND;

  SBStyle: Integer

):Boolean; virtual;


TWidgetSet.GetScrollInfo

Returns all or selected information about a ScrollBar.

Declaration

Source position: winapih.inc line 141

public function TWidgetSet.GetScrollInfo(

  Handle: HWND;

  SBStyle: Integer;

  var ScrollInfo: TScrollInfo

):Boolean; virtual;

Arguments

Handle | The handle of a ScrollBar, or of a window containing scrollbars.
SBStyle | The ScrollBar kind.
ScrollInfo | Receives the values indicated in fMask.

Function result

False on failure.

See also

TWidgetSet.SetScrollInfo

Sets (selected) parameters of a scroll bar.


TWidgetSet.GetStockObject

Retrieves a handle to one of the predefined graphic objects.

Declaration

Source position: winapih.inc line 144

public function TWidgetSet.GetStockObject(

  Value: Integer

):THandle; virtual;

Arguments

Value

The object kind.

Function result

The handle, zero on failure.

Description

These are the predefined (Windows) stock objects:

  • BLACK_BRUSH
  • DKGRAY_BRUSH
  • DC_BRUSH
  • GRAY_BRUSH
  • HOLLOW_BRUSH
  • LTGRAY_BRUSH
  • NULL_BRUSH
  • WHITE_BRUSH
  • BLACK_PEN
  • DC_PEN
  • WHITE_PEN
  • ANSI_FIXED_FONT
  • ANSI_VAR_FONT
  • DEVICE_DEFAULT_FONT
  • DEFAULT_GUI_FONT
  • OEM_FIXED_FONT
  • SYSTEM_FONT
  • SYSTEM_FIXED_FONT
  • DEFAULT_PALETTE


TWidgetSet.GetSysColor

Retrieves the system color for standard display elements.

Declaration

Source position: winapih.inc line 145

public function TWidgetSet.GetSysColor(

  nIndex: Integer

):DWORD; virtual;

Arguments

nIndex

The system color type.

Function result

The RGB color.

Description

These are the available display elements:

  • COLOR_3DDKSHADOW
  • COLOR_3DFACE, COLOR_BTNFACE
  • COLOR_3DHIGHLIGHT, COLOR_3DHILIGHT, COLOR_BTNHILIGHT, COLOR_BTNHIGHLIGHT
  • COLOR_3DLIGHT
  • COLOR_3DSHADOW, COLOR_BTNSHADOW
  • COLOR_ACTIVEBORDER
  • COLOR_ACTIVECAPTION
  • COLOR_APPWORKSPACE
  • COLOR_BACKGROUND, COLOR_DESKTOP
  • COLOR_BTNTEXT
  • COLOR_CAPTIONTEXT
  • COLOR_GRADIENTACTIVECAPTION
  • COLOR_GRADIENTINACTIVECAPTION
  • COLOR_GRAYTEXT
  • COLOR_HIGHLIGHT
  • COLOR_HIGHLIGHTTEXT
  • COLOR_HOTLIGHT
  • COLOR_INACTIVEBORDER
  • COLOR_INACTIVECAPTION
  • COLOR_INACTIVECAPTIONTEXT
  • COLOR_INFOBK
  • COLOR_INFOTEXT
  • COLOR_MENU
  • COLOR_MENUHILIGHT
  • COLOR_MENUBAR
  • COLOR_MENUTEXT
  • COLOR_SCROLLBAR
  • COLOR_WINDOW
  • COLOR_WINDOWFRAME
  • COLOR_WINDOWTEXT

Since all returned values are valid colors, errors cannot be detected. GetSysColorBrush instead returns a zero handle on failure.

See also

TWidgetSet.GetSysColorBrush

Retrieves a system brush for standard display elements.


TWidgetSet.GetSysColorBrush

Retrieves a system brush for standard display elements.

Declaration

Source position: winapih.inc line 146

public function TWidgetSet.GetSysColorBrush(

  nIndex: Integer

):HBRUSH; virtual;

Arguments

nIndex

The system color type.

Function result

The brush handle, zero on failure.

See also

TWidgetSet.GetSysColor

Retrieves the system color for standard display elements.


TWidgetSet.GetSystemMetrics

Retrieves various system metrics.

Declaration

Source position: winapih.inc line 149

public function TWidgetSet.GetSystemMetrics(

  nIndex: Integer

):Integer; virtual;

Arguments

nIndex

The requested item.

Function result

Depends on the requested item.

Description

All dimensions are measured in pixels.

These are available items:

  • SM_ARRANGE
  • SM_CLEANBOOT
  • SM_CMONITORS
  • SM_CMOUSEBUTTONS
  • SM_CXBORDER, SM_CYBORDER
  • SM_CXCURSOR, SM_CYCURSOR
  • SM_CXDLGFRAME, SM_CYDLGFRAME
  • SM_CXDOUBLECLK, SM_CYDOUBLECLK
  • SM_CXDRAG, SM_CYDRAG
  • SM_CXEDGE, SM_CYEDGE
  • SM_CXFIXEDFRAME, SM_CYFIXEDFRAME
  • (sm_cxfocusborder)
  • SM_CXFRAME, SM_CYFRAME
  • SM_CXFULLSCREEN, SM_CYFULLSCREEN
  • SM_CXHSCROLL, SM_CYHSCROLL
  • SM_CXHTHUMB
  • SM_CXICON, SM_CYICON
  • SM_CXICONSPACING, SM_CYICONSPACING
  • SM_CXMAXIMIZED, SM_CYMAXIMIZED
  • SM_CXMAXTRACK, SM_CYMAXTRACK
  • SM_CXMENUCHECK, SM_CYMENUCHECK
  • SM_CXMENUSIZE, SM_CYMENUSIZE
  • SM_CXMIN, SM_CYMIN
  • SM_CXMINIMIZED, SM_CYMINIMIZED
  • SM_CXMINSPACING, SM_CYMINSPACING
  • SM_CXMINTRACK, SM_CYMINTRACK
  • SM_CXSCREEN, SM_CYSCREEN
  • SM_CXSIZE, SM_CYSIZE
  • SM_CXSIZEFRAME, SM_CYSIZEFRAME
  • SM_CXSMICON, SM_CYSMICON
  • SM_CXSMSIZE, SM_CYSMSIZE
  • SM_CXVIRTUALSCREEN, SM_CYVIRTUALSCREEN
  • SM_CXVSCROLL, SM_CYVSCROLL
  • SM_CYCAPTION
  • SM_CYKANJIWINDOW
  • SM_CYMENU
  • SM_CYSMCAPTION
  • SM_CYVTHUMB
  • SM_DBCSENABLED
  • SM_DEBUG
  • sm_imeenabled sm_mediacenter
  • SM_MENUDROPALIGNMENT
  • SM_MIDEASTENABLED
  • SM_MOUSEPRESENT
  • SM_MOUSEWHEELPRESENT
  • SM_NETWORK
  • SM_PENWINDOWS
  • sm_remotecontrol sm_remotesession
  • SM_SECURE
  • SM_SAMEDISPLAYFORMAT
  • SM_SHOWSOUNDS
  • sm_shuttingdown
  • SM_SLOWMACHINE
  • SM_SWAPBUTTON
  • sm_tabletpc
  • SM_XVIRTUALSCREEN, SM_YVIRTUALSCREEN


TWidgetSet.GetSystemPaletteEntries

Retrieves an range of color entries from the system palette for a device.

Declaration

Source position: winapih.inc line 147

public function TWidgetSet.GetSystemPaletteEntries(

  DC: HDC;

  StartIndex: UINT;

  NumEntries: UINT;

  var PaletteEntries

):UINT; virtual;

Arguments

DC | The device context.
StartIndex | The first entry to retrieve.
NumEntries | The number of requested entries.
PaletteEntries | Receives the color information. When Nil, the total number of palette entries is returned.

Function result

The number of entries copied, zero on failure.

See also

TWidgetSet.GetPaletteEntries

Retrieves an range of color entries from a logical palette.


TWidgetSet.GetTextColor

The current text color in an device context.

Declaration

Source position: winapih.inc line 150

public function TWidgetSet.GetTextColor(

  DC: HDC

):TColorRef; virtual;

Arguments

DC

The device context.

Function result

The RGB color.


TWidgetSet.GetTextExtentExPoint

Calculates the number of characters, that fit into some horizontal space.

Declaration

Source position: winapih.inc line 151

public function TWidgetSet.GetTextExtentExPoint(

  DC: HDC;

  Str: PChar;

  Count: Integer;

  MaxWidth: Integer;

  MaxCount: PInteger;

  PartialWidths: PInteger;

  var Size: TSize

):Boolean; virtual;

Arguments

DC | The device context.
Str | The string containing the characters.
Count | The number of bytes in Str, -1 for automatic detection.
MaxWidth | The maximum display width, in logical units.
MaxCount | Receives the number of logical (UTF) characters that can be displayed. When Nil, MaxWidth is ignored.
PartialWidths | Receives the widths for every partial sequence of characters. Can be Nil.
Size | Receives the total width and height of the display area.

Function result

False on failure.


TWidgetSet.GetTextExtentPoint

Computes the display width and height of an string.

Declaration

Source position: winapih.inc line 152

public function TWidgetSet.GetTextExtentPoint(

  DC: HDC;

  Str: PChar;

  Count: Integer;

  var Size: TSize

):Boolean; virtual;

Arguments

DC | The display DC.
Str | The text.
Count | The number of bytes in Str, -1 for automatic detection.
Size | Receives the total width and height of the required display area.

Function result

False on failure.

Errors

May not work properly without Unicode support.

See also

TWidgetSet.GetTextExtentExPoint

Calculates the number of characters, that fit into some horizontal space.


TWidgetSet.GetTextMetrics

Retrieves the metrics for the currently selected font.

Declaration

Source position: winapih.inc line 154

public function TWidgetSet.GetTextMetrics(

  DC: HDC;

  var TM: TTextMetric

):Boolean; virtual;

Arguments

DC | The device context, where the font is selected.
TM | Receives the information.

Function result

False on failure.


TWidgetSet.GetViewPortExtEx

Returns the size of the viewport of an device context.

Declaration

Source position: winapih.inc line 155

public function TWidgetSet.GetViewPortExtEx(

  DC: HDC;

  Size: PSize

):Integer; virtual;

Arguments

Size

Receives the viewport size.

Function result

False (zero) on failure.

See also

TWidgetSet.SetViewPortExtEx | Sets the extent of the viewport for a device context.
TWidgetSet.GetViewPortOrgEx | Returns the origin of the viewport of an device context.


TWidgetSet.GetViewPortOrgEx

Returns the origin of the viewport of an device context.

Declaration

Source position: winapih.inc line 156

public function TWidgetSet.GetViewPortOrgEx(

  DC: HDC;

  P: PPoint

):Integer; virtual;

Arguments

P

Receives the viewport origin.

Function result

False (zero) on failure.

See also

TWidgetSet.SetViewPortOrgEx | Sets the device origin corresponding to the window origin (0,0) in an device context.
TWidgetSet.GetViewPortExtEx | Returns the size of the viewport of an device context.


TWidgetSet.GetWindowExtEx

Returns the extent of a window, in logical units.

Declaration

Source position: winapih.inc line 157

public function TWidgetSet.GetWindowExtEx(

  DC: HDC;

  Size: PSize

):Integer; virtual;

Arguments

Size

Receives the window extent.

Function result

False (zero) on failure.


TWidgetSet.GetWindowLong

Returns attributes of a window.

Declaration

Source position: winapih.inc line 158

public function TWidgetSet.GetWindowLong(

  Handle: HWND;

  int: Integer

):PtrInt; virtual;

Arguments

Handle | The window handle.
int | Offset of the attribute.

Function result

The sttribute.

Description

The following attributes are defined:

  • GWL_EXSTYLE - extended window style flags. See CreateWindowEx.
  • GWL_STYLE - window style flags.
  • GWL_WNDPROC - the window procedure (address or handle). See CallWindowProc.
  • GWL_HINSTANCE - handle of the application instance.
  • GWL_HWNDPARENT - handle of the parent window.
  • GWL_ID - the identifier of the window.
  • GWL_USERDATA - user data associated with the window.

The following attributes are also available when the window is a dialog box:

  • DWL_DLGPROC - the dialog box procedure (address or handle).
  • DWL_MSGRESULT - the return value of a message processed in the dialog box procedure.
  • DWL_USER - extra application information.

GWL_USERDATA and DWL_USER are the base offsets of user added attributes. The second user attribute can be access with an additional offset of 4, and so on.


TWidgetSet.GetWindowOrgEx

Retrieves the window origin of an device context, in logical units.

Declaration

Source position: winapih.inc line 161

public function TWidgetSet.GetWindowOrgEx(

  dc: HDC;

  var P: TPoint

):Integer; virtual;

function TWidgetSet.GetWindowOrgEx(

  dc: HDC;

  P: PPoint

):Integer; virtual;

Arguments

dc | The device context
P | Receives the origin.

Function result

Zero on failure.

Arguments

dc | The device context
P | Receives the origin.

See also

TWidgetSet.SetWindowOrgEx | Specifies which window point maps to the viewport origin (0,0).
TWidgetSet.GetViewPortOrgEx | Returns the origin of the viewport of an device context.


TWidgetSet.GetWindowRect

Retrieves the bounding rectangle of a window, in screen coordinates.

Declaration

Source position: winapih.inc line 159

public function TWidgetSet.GetWindowRect(

  Handle: HWND;

  var Rect: TRect

):Integer; virtual;

Arguments

Handle | The window handle.
Rect | Receives the window bounds.

Function result

Zero on failure.


TWidgetSet.GetWindowRelativePosition

Declaration

Source position: lclintfh.inc line 85

public function TWidgetSet.GetWindowRelativePosition(

  Handle: HWND;

  var Left: Integer;

  var Top: Integer

):Boolean; virtual;


TWidgetSet.GetWindowSize

Returns the Width and Height of the window.

Declaration

Source position: winapih.inc line 160

public function TWidgetSet.GetWindowSize(

  Handle: HWND;

  var Width: Integer;

  var Height: Integer

):Boolean; virtual;

Arguments

Handle | The window handle.
Width | The width.
Height | The height.

Function result

False on failure.

Description

The size is the client width and height for forms or the total size for sub-controls


TWidgetSet.GradientFill

Fills rectangle or triangle areas with gradient colors.

Declaration

Source position: winapih.inc line 163

public function TWidgetSet.GradientFill(

  DC: HDC;

  Vertices: PTriVertex;

  NumVertices: LongInt;

  Meshes: Pointer;

  NumMeshes: LongInt;

  Mode: LongInt

):Boolean; virtual;

Arguments

DC | The device context.
Mode | E.g. GRADIENT_FILL_RECT_H.

Function result

False on failure


TWidgetSet.HideCaret

Removes the caret from the screen.

Declaration

Source position: winapih.inc line 166

public function TWidgetSet.HideCaret(

  hWnd: HWND

):Boolean; virtual;

Arguments

hWnd

The window handle, can be zero.

Function result

False on failure

Description

Calls are cumulative, for every HideCaret a call to ShowCaret is required.


TWidgetSet.InitializeCriticalSection

Initializes a Critical Section object.

Declaration

Source position: winapih.inc line 170

public procedure TWidgetSet.InitializeCriticalSection(

  var CritSection: TCriticalSection

); virtual;

Arguments

CritSection

The critical section object.

Description

Critical sections are thread synchronization elements, typically used to prevent concurrent access to a shared resource.

Only one thread can own a critical section at the same time, other requests (to enter the same critical section) are delayed until the owner has left the critical section.

The TCriticalSection type is platform specific, treat it like a Handle.

See also

TWidgetSet.EnterCriticalSection | Enters a critical section.
TWidgetSet.TryEnterCriticalSection
TWidgetSet.LeaveCriticalSection | Releases a critical section, for use by other threads.
TWidgetSet.DeleteCriticalSection | Deletes an unowned critical section.


TWidgetSet.InitStockFont

Initializes a font object to an (predefined) stock font.

Declaration

Source position: interfacebase.pp line 157

public function TWidgetSet.InitStockFont(

  AFont: TObject;

  AStockFont: TStockFont

):Boolean; virtual;

Arguments

AFont | The font to initialize.
AStockFont | The predefined font to use.

Function result

False on failure.


TWidgetSet.IntersectClipRect

Shrinks the clipping region of an Device Context to a rectangular boundary, e.g. a text area.

Declaration

Source position: winapih.inc line 171

public function TWidgetSet.IntersectClipRect(

  dc: HDC;

  Left: Integer;

  Top: Integer;

  Right: Integer;

  Bottom: Integer

):Integer; virtual;

Function result

The region type, zero on failure.

Description

Use this method before painting into a rectangle in an DC, to clip everything outside the rectangle and outside the current clipping region of the DC.

The result can be one of the following constants:
Error NullRegion SimpleRegion ComplexRegion Region_Error


TWidgetSet.IntfSendsUTF8KeyPress

[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] Reference for unit 'InterfaceBase' (#lcl)

TWidgetSet.IntfSendsUTF8KeyPress (deprecated)

Returns the interface capability to send UTF-8 characters

Declaration

Source position: lclintfh.inc line 87

public function TWidgetSet.IntfSendsUTF8KeyPress: Boolean; virtual;

Function result

True when UTF-8 KeyPress messages are sent


TWidgetSet.InvalidateFrame

Declaration

Source position: lclintfh.inc line 88

public function TWidgetSet.InvalidateFrame(

  aHandle: HWND;

  ARect: PRect;

  bErase: Boolean;

  BorderWidth: Integer

):Boolean; virtual;


TWidgetSet.InvalidateRect

Marks a display area for repaint.

Declaration

Source position: winapih.inc line 173

public function TWidgetSet.InvalidateRect(

  aHandle: HWND;

  ARect: PRect;

  bErase: Boolean

):Boolean; virtual;

Arguments

aHandle | The window handle.
ARect | The client coordinates of the area.
bErase | True forces a repaint of the background, before further painting.

Function result

False on failure.

See also

TWidgetSet.InvalidateRgn

Marks a display area for repaint.


TWidgetSet.InvalidateRgn

Marks a display area for repaint.

Declaration

Source position: winapih.inc line 174

public function TWidgetSet.InvalidateRgn(

  Handle: HWND;

  Rgn: HRGN;

  Erase: Boolean

):Boolean; virtual;

Arguments

Handle | The window handle.
Rgn | The region to repaint.
Erase | True forces a repaint of the background, before further painting.

Function result

False on failure.

See also

TWidgetSet.InvalidateRect

Marks a display area for repaint.


TWidgetSet.IsCDIntfControl

Declaration

Source position: lclintfh.inc line 91

public function TWidgetSet.IsCDIntfControl(

  AWinControl: TObject

):Boolean; virtual;


TWidgetSet.IsDBCSLeadByte

Declaration

Source position: winapih.inc line 176

public function TWidgetSet.IsDBCSLeadByte(

  TestChar: Byte

):Boolean; virtual;

Arguments

TestChar

The character code to test.

Function result

True when the character code is the first of a double-byte character sequence


TWidgetSet.IsDesignerDC

Declaration

Source position: lclintfh.inc line 89

public function TWidgetSet.IsDesignerDC(

  WindowHandle: HWND;

  DC: HDC

):Boolean; virtual;


TWidgetSet.IsHelpKey

Checks whether the widgetset uses the key to show help.

Declaration

Source position: interfacebase.pp line 158

public function TWidgetSet.IsHelpKey(

  Key: Word;

  Shift: TShiftState

):Boolean; virtual;

Arguments

Key | The virtual key.
Shift | The modifier key state.

Function result

True when this is a Help key.


TWidgetSet.IsIconic

True when the window is minimized.

Declaration

Source position: winapih.inc line 178

public function TWidgetSet.IsIconic(

  handle: HWND

):Boolean; virtual;

Arguments

handle

The window handle.

Function result

True when the window is minimized.


TWidgetSet.IsMobilePlatform

Declaration

Source position: lclintfh.inc line 90

public function TWidgetSet.IsMobilePlatform: Boolean; virtual;


TWidgetSet.IsWindow

Checks whether a handle refers to a window.

Declaration

Source position: winapih.inc line 179

public function TWidgetSet.IsWindow(

  handle: HWND

):Boolean; virtual;

Arguments

handle

The handle to test.

Function result

True when handle is a valid window handle.


TWidgetSet.IsWindowEnabled

Determines whether a window can receive mouse and keyboard input.

Declaration

Source position: winapih.inc line 180

public function TWidgetSet.IsWindowEnabled(

  handle: HWND

):Boolean; virtual;

Arguments

handle

The window handle.

Function result

True when the window is enabled (and visible).


TWidgetSet.IsWindowVisible

The definite Visible state of a window.

Declaration

Source position: winapih.inc line 181

public function TWidgetSet.IsWindowVisible(

  handle: HWND

):Boolean; virtual;

Function result

True when the window and all its parents are visible.


TWidgetSet.IsZoomed

True when the window is maximized.

Declaration

Source position: winapih.inc line 182

public function TWidgetSet.IsZoomed(

  handle: HWND

):Boolean; virtual;

Arguments

handle

The window handle.

Function result

True when the window is maximized.

See also

TWidgetSet.IsIconic

True when the window is minimized.


TWidgetSet.LCLPlatform

Returns the widgetset in use.

Declaration

Source position: interfacebase.pp line 148

public function TWidgetSet.LCLPlatform: TLCLPlatform; virtual; abstract;


TWidgetSet.LeaveCriticalSection

Releases a critical section, for use by other threads.

Declaration

Source position: winapih.inc line 186

public procedure TWidgetSet.LeaveCriticalSection(

  var CritSection: TCriticalSection

); virtual;

Arguments

CritSection

The critical section object.

See also

TWidgetSet.InitializeCriticalSection

Initializes a Critical Section object.


TWidgetSet.LineTo

Draws a line from the current position up to, but not including, the specified point.

Declaration

Source position: winapih.inc line 187

public function TWidgetSet.LineTo(

  DC: HDC;

  X: Integer;

  Y: Integer

):Boolean; virtual;

Arguments

DC | The device context.
X | The endpoint in logical units.
Y | The endpoint in logical units.

Function result

False on failure.

Description

The current position is set to the given endpoint.


TWidgetSet.LoadBitmap

Declaration

Source position: winapih.inc line 188

public function TWidgetSet.LoadBitmap(

  hInstance: THandle;

  lpBitmapName: PChar

):HBITMAP; virtual;


TWidgetSet.LoadCursor

Declaration

Source position: winapih.inc line 189

public function TWidgetSet.LoadCursor(

  hInstance: THandle;

  lpCursorName: PChar

):HCURSOR; virtual;


TWidgetSet.LoadIcon

Declaration

Source position: winapih.inc line 190

public function TWidgetSet.LoadIcon(

  hInstance: THandle;

  lpIconName: PChar

):HICON; virtual;


TWidgetSet.LPtoDP

Converts logical coordinates into device coordinates.

Declaration

Source position: winapih.inc line 191

public function TWidgetSet.LPtoDP(

  DC: HDC;

  var Points;

  Count: Integer

):Bool; virtual;

Arguments

DC | The device context.
Points | Holds and receives the transformed coordinates.
Count | The number of points in Points.

Function result

False on failure.


TWidgetSet.MaskBlt

Copies part of an source DC into an destination DC, using the specified foreground and background raster operations.

Declaration

Source position: winapih.inc line 196

public function TWidgetSet.MaskBlt(

  DestDC: HDC;

  X: Integer;

  Y: Integer;

  Width: Integer;

  Height: Integer;

  SrcDC: HDC;

  XSrc: Integer;

  YSrc: Integer;

  Mask: HBITMAP;

  XMask: Integer;

  YMask: Integer;

  Rop: DWORD

):Boolean; virtual;

function TWidgetSet.MaskBlt(

  DestDC: HDC;

  X: Integer;

  Y: Integer;

  Width: Integer;

  Height: Integer;

  SrcDC: HDC;

  XSrc: Integer;

  YSrc: Integer;

  Mask: HBITMAP;

  XMask: Integer;

  YMask: Integer

):Boolean; virtual;

Arguments

DestDC | The destination device context.
X | The origin of the destination rectangle.
Y | The origin of the destination rectangle.
Width | The size of the destination rectangle.
Height | The size of the destination rectangle.
SrcDC | The source device context.
XSrc | The origin of the source rectangle.
YSrc | The origin of the source rectangle.
Mask | The monochrome mask bitmap handle, can be zero.
XMask | The origin of the mask rectangle.
YMask | The origin of the mask rectangle.
Rop | The raster operations (optional).

Function result

False on failure.

Arguments

DestDC | The destination device context.
X | The origin of the destination rectangle.
Y | The origin of the destination rectangle.
Width | The size of the destination rectangle.
Height | The size of the destination rectangle.
SrcDC | The source device context.
XSrc | The origin of the source rectangle.
YSrc | The origin of the source rectangle.
Mask | The monochrome mask bitmap handle, can be zero.
XMask | The origin of the mask rectangle.
YMask | The origin of the mask rectangle.

Description

MaskBlt behaves like BitBlt when no mask bitmap is specified. It does a SRCOPY operation when also no Rop is specified. See BitBlt for general information about raster operations.

Rop contains both a foreground and a background raster operation (see MakeROP4). When a (monochrome) mask bitmap is present, its bits select either the foreground (1) or background (0) raster operation.

See also

TWidgetSet.BitBlt | Copies part of an source DC into an destination DC, using the specified raster operation.
TWidgetSet.StretchBlt | Copies a rectangular region into an device context, shrinking or stretching it as required.
#lcl.LCLIntf.MakeROP4 |


TWidgetSet.MessageBox

The MessageBox function displays an modal dialog, with the given text, caption, icon and buttons.

Declaration

Source position: winapih.inc line 198

public function TWidgetSet.MessageBox(

  hWnd: HWND;

  lpText: PChar;

  lpCaption: PChar;

  uType: Cardinal = MB_OK

):Integer; virtual;

Arguments

hWnd | The handle of the window that owns the MessageBox.
lpText | The text displayed in the MessageBox.
lpCaption | The caption of the MessageBox.
uType | Style flags specifiying the shown buttons etc.

Function result

The pressed button, or zero on failure.

Description

uType is a combination of flags from the following lists.

The shown buttons are selected by one of:

  • MB_ABORTRETRYIGNORE - Abort, Retry, and Ignore.
  • MB_CANCELTRYCONTINUE - Cancel, Try Again, Continue. Use this message box type instead of MB_ABORTRETRYIGNORE.
  • MB_OK - OK.
  • MB_OKCANCEL - OK and Cancel.
  • MB_RETRYCANCEL - Retry and Cancel.
  • MB_YESNO - Yes and No.
  • MB_YESNOCANCEL - Yes, No, and Cancel.

Add MB_HELP for an Help button. When the user clicks the Help button or presses F1, the owner window receives a WM_HELP message.

An icon can be added by one of:

  • MB_ICONEXCLAMATION, MB_ICONWARNING - exclamation-point icon
  • MB_ICONINFORMATION, MB_ICONASTERISK - letter i in a circle
  • MB_ICONQUESTION - question-mark icon
  • MB_ICONSTOP, MB_ICONERROR, MB_ICONHAND - stop-sign icon

The default button number, activated when the user presses Enter, can be indicated by one of:
MB_DEFBUTTON1 MB_DEFBUTTON2 MB_DEFBUTTON3 MB_DEFBUTTON4

Further Windows MessageBox specific options are not (yet) implemented on other platforms.

The function result corresponds to the pressed button:
IDABORT IDCANCEL IDCONTINUE IDIGNORE IDNO IDOK IDRETRY IDTRYAGAIN IDYES


TWidgetSet.MonitorFromPoint

Finds an monitor from screen coordinates.

Declaration

Source position: winapih.inc line 199

public function TWidgetSet.MonitorFromPoint(

  ptScreenCoords: TPoint;

  dwFlags: DWord

):HMONITOR; virtual;

Arguments

ptScreenCoords | The point in screen coordinates.
dwFlags | How coordinates outside any monitor are handled, see MonitorFromPoint.Result.

Function result

The monitor handle.

When no monitor applies, dwFlags determines the result:

  • MONITOR_DEFAULTTONEAREST - the nearest monitor.
  • MONITOR_DEFAULTTONULL - zero.
  • MONITOR_DEFAULTTOPRIMARY - the primary monitor.


TWidgetSet.MonitorFromWindow

Finds the monitor covering most of a window.

Declaration

Source position: winapih.inc line 201

public function TWidgetSet.MonitorFromWindow(

  hWnd: HWND;

  dwFlags: DWord

):HMONITOR; virtual;

Arguments

hWnd | The window handle.
dwFlags | How coordinates outside any monitor are handled, see MonitorFromPoint.Result.

Function result

The monitor handle, see MonitorFromPoint.Result.


TWidgetSet.MoveToEx

Moves the current position to the specified point.

Declaration

Source position: winapih.inc line 203

public function TWidgetSet.MoveToEx(

  DC: HDC;

  X: Integer;

  Y: Integer;

  OldPoint: PPoint

):Boolean; virtual;

Arguments

DC | The device context.
X | The new logical position.
Y | The new logical position.
OldPoint | Receives the old position, can be Nil if not required.

Function result

False on failure.


TWidgetSet.MoveWindowOrgEx

Declaration

Source position: lclintfh.inc line 93

public function TWidgetSet.MoveWindowOrgEx(

  dc: HDC;

  dX: Integer;

  dY: Integer

):Boolean; virtual;


TWidgetSet.OffsetRgn

Moves a region relative.

Declaration

Source position: winapih.inc line 206

public function TWidgetSet.OffsetRgn(

  RGN: HRGN;

  nXOffset: Integer;

  nYOffset: Integer

):Integer; virtual;

Arguments

RGN | The Region to move.
nXOffset | The relative distance to move.
nYOffset | The relative distance to move.

Function result

The new region kind, zero on failure.


TWidgetSet.PaintRgn

Declaration

Source position: winapih.inc line 208

public function TWidgetSet.PaintRgn(

  DC: HDC;

  RGN: HRGN

):Boolean; virtual;


TWidgetSet.PassCmdLineOptions

Declaration

Source position: interfacebase.pp line 125

protected procedure TWidgetSet.PassCmdLineOptions; virtual;


TWidgetSet.PeekMessage

Checks the thread's message queue for a message.

Declaration

Source position: winapih.inc line 209

public function TWidgetSet.PeekMessage(

  var lpMsg: TMsg;

  Handle: HWND;

  wMsgFilterMin: UINT;

  wMsgFilterMax: UINT;

  wRemoveMsg: UINT

):Boolean; virtual;

Arguments

lpMsg | Receives the message.
Handle | The target window handle of the message. Zero for any window, INVALID_HANDLE_VALUE for thread messages.
wMsgFilterMin | The lowest message ID to retrieve.
wMsgFilterMax | The highest message ID to retrieve, zero for all messages.
wRemoveMsg | PM_REMOVE will remove the message from the queue.


TWidgetSet.Pie

Draws a filled pie-shaped wedge, from an ellipse and two radials.

Declaration

Source position: winapih.inc line 210

public function TWidgetSet.Pie(

  DC: HDC;

  x1: Integer;

  y1: Integer;

  x2: Integer;

  y2: Integer;

  sx: Integer;

  sy: Integer;

  ex: Integer;

  ey: Integer

):Boolean; virtual;

Arguments

DC | The device context.
x1 | The bounding rectangle.
sx | The starting radial.
ex | The ending radial.

Function result

False on failure.

Description

The ellipse is bounded by a rectangle x1..y2.

Each radial is defined by the center of the rectangle an point, which must not necessarily reside on the ellipse.

The bounding arc goes counter-clockwise from the Start to the End radial.

The pie is outlined with the current pen and filled with the current brush.

See also

TWidgetSet.Chord


TWidgetSet.PolyBezier

Draws Bézier curves.

Declaration

Source position: winapih.inc line 211

public function TWidgetSet.PolyBezier(

  DC: HDC;

  Points: PPoint;

  NumPts: Integer;

  Filled: Boolean;

  Continuous: Boolean

):Boolean; virtual;

Arguments

DC | The device context.
Points | The array of points.
NumPts | The number of points in Points.
Filled | True draws a Polygon.
Continuous | True uses the end-point as the starting point of the next segment.

Function result

False on failure.

Description

Use Polybezier to draw cubic Bézier curves.

The first curve is drawn from the first point to the fourth point with the second and third points being the control points.

If the Continuous flag is TRUE then each subsequent curve requires three more points, using the end-point of the previous Curve as its starting point.

If the Continous flag is set to FALSE, then each subsequent Curve requires 4 additional points, which are used exactly as in the first curve.

Any additonal points which do not add up to a full bezier (4 for Continuous, 3 otherwise) are ignored. There must be at least 4 points for an drawing to occur.

If the Filled Flag is TRUE then the resulting Poly-Bézier will be drawn as a Polygon.


TWidgetSet.Polygon

Draws a filled Polygon.

Declaration

Source position: winapih.inc line 212

public function TWidgetSet.Polygon(

  DC: HDC;

  Points: PPoint;

  NumPts: Integer;

  Winding: Boolean

):Boolean; virtual;

Arguments

DC | The device context.
Points | The array of vertices.
NumPts | The number of vertices.
Winding | Selects the fill algorithm.

Function result

False on failure.

Description

Use Polygon to draw a closed, many-sided shape on the canvas, outlined with the current Pen and filled with the current Brush.

The Points parameter is an array of the vertices of the polygon.

Winding determines how the polygon is filled. When Winding is True, Polygon fills the shape using the Winding fill algorithm. When Winding is False, Polygon uses the even-odd (alternative) fill algorithm.

The first point is always connected to the last point.

To draw an unfilled polygon use the Polyline method, specifying the first point a second time at the end.


TWidgetSet.Polyline

Draws a sequence of lines.

Declaration

Source position: winapih.inc line 213

public function TWidgetSet.Polyline(

  DC: HDC;

  Points: PPoint;

  NumPts: Integer

):Boolean; virtual;

Description

Use Polyline to connect a set of points on the canvas.

The Points parameter is an array of points to be connected.

If you specify only two points, Polyline draws a single line.

Calling the MoveTo function with the value of the first point, and then repeatedly calling LineTo with all subsequent points will draw the same image on the canvas. However, unlike LineTo, Polyline does not change the value of PenPos.


TWidgetSet.PostMessage

Sends a message to a window, without waiting for the message result.

Declaration

Source position: winapih.inc line 214

public function TWidgetSet.PostMessage(

  Handle: HWND;

  Msg: Cardinal;

  WParam: WPARAM;

  LParam: LPARAM

):Boolean; virtual;

Arguments

Handle | The target window handle.
Msg | The message ID.

Function result

Zero on failure.

Description

Remark: This section was copied from LCLIntf, and may not apply to all platforms.

This method is a thread-safe solution to send messages to windows. Those messages will be handled in the message loop of the application and therefore can be sent from any thread. They are not immediate, but they will awake the main thread if it is waiting for messages.

These messages can be handled by procedures with the keyword message in the class of a form for example. One would then use the handle of this form as the Handle parameter of this routine.

Custom messages should always have an identification number (represented by the parameter Msg) larger then the constant LM_USER.

The two parameters WParam and LParam will be passed along to the window together with the Msg identification number.

The difference between SendMessage and PostMessage is the way that they return control to the calling thread. With SendMessage control is not returned until the window that the message was sent to has completed processing the sent message, however with PostMessage control is returned immediately.

See also

TWidgetSet.SendMessage

Sends a message to a window.


TWidgetSet.PromptUser

Declaration

Source position: lclintfh.inc line 95

public function TWidgetSet.PromptUser(

  const DialogCaption: string;

  const DialogMessage: string;

  DialogType: LongInt;

  Buttons: PLongint;

  ButtonCount: LongInt;

  DefaultIndex: LongInt;

  EscapeResult: LongInt

):LongInt; virtual;


TWidgetSet.PromptUserAtXY

Declaration

Source position: lclintfh.inc line 96

public function TWidgetSet.PromptUserAtXY(

  const DialogCaption: string;

  const DialogMessage: string;

  DialogType: LongInt;

  Buttons: PLongint;

  ButtonCount: LongInt;

  DefaultIndex: LongInt;

  EscapeResult: LongInt;

  X: LongInt;

  Y: LongInt

):LongInt; virtual;


TWidgetSet.PtInRegion

Tests whether a point lies in a region.

Declaration

Source position: winapih.inc line 215

public function TWidgetSet.PtInRegion(

  RGN: HRGN;

  X: Integer;

  Y: Integer

):Boolean; virtual;

Arguments

RGN | The region.
X | The point coordinate.
Y | The point coordinate.

Function result

True when the point lies in the region.


TWidgetSet.RadialArc

Declaration

Source position: lclintfh.inc line 98

public function TWidgetSet.RadialArc(

  DC: HDC;

  left: Integer;

  top: Integer;

  right: Integer;

  bottom: Integer;

  sx: Integer;

  sy: Integer;

  ex: Integer;

  ey: Integer

):Boolean; virtual;


TWidgetSet.RadialChord

Declaration

Source position: lclintfh.inc line 99

public function TWidgetSet.RadialChord(

  DC: HDC;

  x1: Integer;

  y1: Integer;

  x2: Integer;

  y2: Integer;

  sx: Integer;

  sy: Integer;

  ex: Integer;

  ey: Integer

):Boolean; virtual;


TWidgetSet.RadialPie

Declaration

Source position: lclintfh.inc line 100

public function TWidgetSet.RadialPie(

  DC: HDC;

  x1: Integer;

  y1: Integer;

  x2: Integer;

  y2: Integer;

  Angle1: Integer;

  Angle2: Integer

):Boolean; virtual;


TWidgetSet.RawImage_CreateBitmaps

Declaration

Source position: lclintfh.inc line 101

public function TWidgetSet.RawImage_CreateBitmaps(

  const ARawImage: TRawImage;

  out ABitmap: HBITMAP;

  out AMask: HBITMAP;

  ASkipMask: Boolean = False

):Boolean; virtual;


TWidgetSet.RawImage_DescriptionFromBitmap

Declaration

Source position: lclintfh.inc line 102

public function TWidgetSet.RawImage_DescriptionFromBitmap(

  ABitmap: HBITMAP;

  out ADesc: TRawImageDescription

):Boolean; virtual;


TWidgetSet.RawImage_DescriptionFromDevice

Declaration

Source position: lclintfh.inc line 103

public function TWidgetSet.RawImage_DescriptionFromDevice(

  ADC: HDC;

  out ADesc: TRawImageDescription

):Boolean; virtual;


TWidgetSet.RawImage_FromBitmap

Declaration

Source position: lclintfh.inc line 104

public function TWidgetSet.RawImage_FromBitmap(

  out ARawImage: TRawImage;

  ABitmap: HBITMAP;

  AMask: HBITMAP;

  ARect: PRect = Nil

):Boolean; virtual;


TWidgetSet.RawImage_FromDevice

Declaration

Source position: lclintfh.inc line 105

public function TWidgetSet.RawImage_FromDevice(

  out ARawImage: TRawImage;

  ADC: HDC;

  const ARect: TRect

):Boolean; virtual;


TWidgetSet.RawImage_QueryDescription

Declaration

Source position: lclintfh.inc line 106

public function TWidgetSet.RawImage_QueryDescription(

  AFlags: TRawImageQueryFlags;

  var ADesc: TRawImageDescription

):Boolean; virtual;


TWidgetSet.RealizePalette

Maps palette entries from the current logical palette to the system palette.

Declaration

Source position: winapih.inc line 218

public function TWidgetSet.RealizePalette(

  DC: HDC

):Cardinal; virtual;

Arguments

DC

The device context.

Function result

The number of mapped entries.


TWidgetSet.Rectangle

Draws a filled rectangle.

Declaration

Source position: winapih.inc line 219

public function TWidgetSet.Rectangle(

  DC: HDC;

  X1: Integer;

  Y1: Integer;

  X2: Integer;

  Y2: Integer

):Boolean; virtual;

Arguments

DC

The device context.

Function result

False on failure.


TWidgetSet.RectInRegion

Declaration

Source position: winapih.inc line 220

public function TWidgetSet.RectInRegion(

  RGN: HRGN;

  ARect: TRect

):Boolean; virtual;


TWidgetSet.RectVisible

Checks whether the clipping region contains (part of) a rectangle.

Declaration

Source position: winapih.inc line 221

public function TWidgetSet.RectVisible(

  DC: HDC;

  const ARect: TRect

):Boolean; virtual;

Arguments

DC | The device context.
ARect | The rectangle.

Function result

True when (part of) the rectangle is visible.


TWidgetSet.RedrawWindow

Redraws (part of) a window.

Declaration

Source position: winapih.inc line 222

public function TWidgetSet.RedrawWindow(

  Wnd: HWND;

  lprcUpdate: PRect;

  hrgnUpdate: HRGN;

  flags: UINT

):Boolean; virtual;

Arguments

Wnd | The window to redraw.
lprcUpdate | The rectangle to redraw, ignored when a region is given.
hrgnUpdate | The region to redraw, can be zero.
flags | How the redraw works.

Function result

False on failure.

Description

All invalidated parts of a window, which deserve an update, are collected in the update region. When this region is not empty, WM_ERASEBKGND, WM_PAINT and WM_NCPAINT messages are sent to the window, as soon as the application is (almost) idle. RedrawWindow can be used to force an immediate redraw instead.

WM_ERASEBKGND is optional, erases the background before painting. WM_NCPAINT paints the non-client areas (borders, caption...), without assistance by user code.

When neither lprcUpdate nor hrgnUpdate are specified, the whole client area of the window is affected. Otherwise the region takes precedence over the rectangle.

Flags specify how the window is invalidated or validated, and when repainting occurs. Flags other than RDW_ERASE may not be supported by all platforms.

To invalidate specify RDW_INVALIDATE, and optionally one of:

  • RDW_ERASE - forces a WM_ERASEBKGND message before painting.
  • RDW_FRAME - also redraws the window frame, as covered by the update region.
  • RDW_INTERNALPAINT - force WM_PAINT even if the update region is empty.

Validation is not implemented for all platforms. To validate specify RDW_VALIDATE, and optionally one of:

  • RDW_NOERASE - suppress all pending WM_ERASEBKGND messages.
  • RDW_NOFRAME - suppress all pending WM_NCPAINT messages.
  • RDW_NOINTERNALPAINT - suppress all pending internal WM_PAINT messages.

These flags specify when repainting will occur:

  • RDW_ERASENOW - send WM_ERASEBKGND messages before returning.
  • RDW_UPDATENOW - send WM_PAINT messages before returning.

The handling of child windows normally depends on the WS_CLIPCHILDREN window style flag. Clipped child windows are not normally affected by RedrawWindow. These flags override:

  • RDW_ALLCHILDREN - include all child windows.
  • RDW_NOCHILDREN - exclude all child windows.

See also

TWidgetSet.InvalidateRect | Marks a display area for repaint.
TWidgetSet.InvalidateRgn | Marks a display area for repaint.


TWidgetSet.RegroupMenuItem

Declaration

Source position: lclintfh.inc line 107

public function TWidgetSet.RegroupMenuItem(

  hndMenu: HMENU;

  GroupIndex: Integer

):Boolean; virtual;


TWidgetSet.ReleaseCapture

Restores normal mouse input processing, after SetCapture.

Declaration

Source position: winapih.inc line 223

public function TWidgetSet.ReleaseCapture: Boolean; virtual;

Function result

False on failure.


TWidgetSet.ReleaseDC

Releases an Device Context obtained by GetDC.

Declaration

Source position: winapih.inc line 224

public function TWidgetSet.ReleaseDC(

  hWnd: HWND;

  DC: HDC

):Integer; virtual;

Arguments

hWnd | The handle of the window, whose DC is released.
DC | The device context to release.

Function result

Zero on failure.


TWidgetSet.ReleaseDesignerDC

Declaration

Source position: lclintfh.inc line 108

public function TWidgetSet.ReleaseDesignerDC(

  hWnd: HWND;

  DC: HDC

):Integer; virtual;


TWidgetSet.RemoveEventHandler

Declaration

Source position: lclintfh.inc line 109

public procedure TWidgetSet.RemoveEventHandler(

  var AHandler: PEventHandler

); virtual;


TWidgetSet.RemovePipeEventHandler

Declaration

Source position: lclintfh.inc line 111

public procedure TWidgetSet.RemovePipeEventHandler(

  var AHandler: PPipeEventHandler

); virtual;


TWidgetSet.RemoveProcessEventHandler

Declaration

Source position: lclintfh.inc line 110

public procedure TWidgetSet.RemoveProcessEventHandler(

  var AHandler: PProcessEventHandler

); virtual;


TWidgetSet.RemoveProp

Removes a named property from a window.

Declaration

Source position: winapih.inc line 225

public function TWidgetSet.RemoveProp(

  Handle: HWND;

  Str: PChar

):THandle; virtual;

Arguments

Handle | The window handle.
Str | The name of the property to remove.

Function result

The handle of the removed data, zero on failure.


TWidgetSet.RequestInput

Declaration

Source position: lclintfh.inc line 112

public function TWidgetSet.RequestInput(

  const InputCaption: string;

  const InputPrompt: string;

  MaskInput: Boolean;

  var Value: string

):Boolean; virtual;


TWidgetSet.RestoreDC

Restores an Device Context (DC) to an previously saved state.

Declaration

Source position: winapih.inc line 226

public function TWidgetSet.RestoreDC(

  DC: HDC;

  SavedDC: Integer

):Boolean; virtual;

Arguments

DC | The device context.
SavedDC | The index returned by SaveDC, or -1 for the most recently saved state.

Function result

False on failure.

See also

TWidgetSet.SaveDC

Saves the state of an Device Context in the context stack.


TWidgetSet.RoundRect

Draws a filled rectangle with rounded corners.

Declaration

Source position: winapih.inc line 227

public function TWidgetSet.RoundRect(

  DC: HDC;

  X1: Integer;

  Y1: Integer;

  X2: Integer;

  Y2: Integer;

  RX: Integer;

  RY: Integer

):Boolean; virtual;

Arguments

DC | The device context.
X1 | The rectangle coordinates.
RX | The extent of the ellipse, used for the rounded corners.
RY | The extent of the ellipse, used for the rounded corners.

Function result

False on failure.

Description

The rectangle is outlined with the current Pen, and filled with the current Brush.


TWidgetSet.SaveDC

Saves the state of an Device Context in the context stack.

Declaration

Source position: winapih.inc line 229

public function TWidgetSet.SaveDC(

  DC: HDC

):Integer; virtual;

Arguments

DC

The device context to save.

Function result

The index of the saved DC, zero on failure.

See also

TWidgetSet.RestoreDC

Restores an Device Context (DC) to an previously saved state.


TWidgetSet.ScreenToClient

Converts absolute Screen coordinates into Client relative coordinates.

Declaration

Source position: winapih.inc line 230

public function TWidgetSet.ScreenToClient(

  Handle: HWND;

  var P: TPoint

):Integer; virtual;

Arguments

Handle | The handle of the window with the client area.
P | The point to convert.

Function result

False on failure.


TWidgetSet.ScrollWindowEx

Scrolls the content of a window, by a number of pixels.

Declaration

Source position: winapih.inc line 232

public function TWidgetSet.ScrollWindowEx(

  hWnd: HWND;

  dx: Integer;

  dy: Integer;

  prcScroll: PRect;

  prcClip: PRect;

  hrgnUpdate: HRGN;

  prcUpdate: PRect;

  flags: UINT

):Boolean; virtual;

Arguments

hWnd | The window handle.
dx | Horizontal distance (positive to scroll right)
dy | Vertical distance (positive to scroll down)
prcScroll | The part of the window, that is to be scrolled. Nil means the entire client area.
prcClip | Pixels falling outside this rectangle are lost. Nil means the entire client area.
hrgnUpdate | The invalidated parts of the window are added to this region (can be zero).
prcUpdate | Receives the boundary of the invalidated part of the window (can be Nil).
flags | Control flags.

Function result

False on failure.

Description

The following flags are defined:

  • SW_ERASE - when used with SW_INVALIDATE sends WM_ERASEBKGND messages for the invalidated parts of the window.
  • SW_INVALIDATE - invalidates the resulting hrgnUpdate region.
  • SW_SCROLLCHILDREN - also scrolls child windows within the scroll rect. Beware: also scrolls parts of the child windows!
  • SW_SMOOTHSCROLL - set HIWORD of flags to the time for the scrolling operation.


TWidgetSet.SelectClipRGN

Sets the ClipRegion of an DeviceContext.

Declaration

Source position: winapih.inc line 233

public function TWidgetSet.SelectClipRGN(

  DC: HDC;

  RGN: HRGN

):LongInt; virtual;

Arguments

DC | The device context.
RGN | The region to copy, zero for an empty region.

Function result

The region kind.


TWidgetSet.SelectObject

Selects an object into an device context.

Declaration

Source position: winapih.inc line 234

public function TWidgetSet.SelectObject(

  DC: HDC;

  GDIObj: HGDIOBJ

):HGDIOBJ; virtual;

Arguments

DC | The device context.
GDIObj | The object to select.

Function result

The previously selected object, for a region the new region type.


TWidgetSet.SelectPalette

Selects a logical palette into an device context.

Declaration

Source position: winapih.inc line 235

public function TWidgetSet.SelectPalette(

  DC: HDC;

  Palette: HPALETTE;

  ForceBackground: Boolean

):HPALETTE; virtual;

Arguments

DC | The device context.
Palette | The palette to select.
ForceBackground | True to select the background palette.

Function result

The handle of the previously selected palette.

Description

A foreground palette becomes the palette of the device, when the application is in the foreground. A background palette instead is mapped to the closest colors in the palette of the physical device.


TWidgetSet.SendCachedLCLMessages

Declaration

Source position: lclintfh.inc line 114

public procedure TWidgetSet.SendCachedLCLMessages; virtual;


TWidgetSet.SendMessage

Sends a message to a window.

Declaration

Source position: winapih.inc line 236

public function TWidgetSet.SendMessage(

  HandleWnd: HWND;

  Msg: Cardinal;

  WParam: WPARAM;

  LParam: LPARAM

):LRESULT; virtual;

Arguments

HandleWnd | The handle of the target window.
Msg | The message ID.
WParam | Message parameter.
LParam | Message parameter.

Function result

The result depends on the message type.

Description

Remark: This section was copied from LCLIntf, and may not apply to all platforms.

This method is a thread-safe solution to send messages to windows.

The messages will be handled in the message loop of the application and therefore can be sent from any thread. They are not immediate, but they will awake the main thread if it is waiting for messages.

Custom messages should always have an ID higher than the constant LM_USER.

The two parameters WParam and LParam will be passed to the message handler, together with the message ID.

The difference between SendMessage and PostMessage is the way that they return control to the calling thread. With SendMessage control is not returned until the window that the message was sent to has completed processing the sent message, however with PostMessage control is returned immediately.

See also

TWidgetSet.PostMessage

Sends a message to a window, without waiting for the message result.


TWidgetSet.SetActiveWindow

Sets focus to the specified window, if the application is on top.

Declaration

Source position: winapih.inc line 237

public function TWidgetSet.SetActiveWindow(

  Handle: HWND

):HWND; virtual;

Arguments

Handle

The window handle to activate.

Function result

The handle of the window that lost the focus, zero on failure.


TWidgetSet.SetBkColor

Sets the current background color of an decice context.

Declaration

Source position: winapih.inc line 238

public function TWidgetSet.SetBkColor(

  DC: HDC;

  Color: TColorRef

):TColorRef; virtual;

Arguments

DC | The device context.
Color | The new background color.

Function result

The old background color, CLR_INVALID on failure.


TWidgetSet.SetBkMode

Sets the background mix mode (transparency) of an device context.

Declaration

Source position: winapih.inc line 239

public function TWidgetSet.SetBkMode(

  DC: HDC;

  bkMode: Integer

):Integer; virtual;

Arguments

DC | The device context.
bkMode | The new background mode.

Function result

The previous background mode, zero on failure.

Description

The background mode specifies the handling of non-solid painting objects, like text, hatched brushes or dotted pens.

  • OPAQUE mode fills the affected painting area with the background color before painting the foreground.
  • TRANSPARENT mode leaves the background unchanged.


TWidgetSet.SetCapture

Sets the mouse capture to the specified window.

Declaration

Source position: winapih.inc line 240

public function TWidgetSet.SetCapture(

  AHandle: HWND

):HWND; virtual;

Arguments

AHandle

The handle of the capturing window.

Function result

The handle of the previous capture window, zero if none.

Description

The window will receive all mouse messages, until capture is released again.

See also

TWidgetSet.ReleaseCapture

Restores normal mouse input processing, after SetCapture.


TWidgetSet.SetCaretPos

Moves the Caret to the specified coordinates.

Declaration

Source position: winapih.inc line 241

public function TWidgetSet.SetCaretPos(

  X: Integer;

  Y: Integer

):Boolean; virtual;

Arguments

X | The new caret position.
Y | The new caret position.

Function result

False on failure.

See also

TWidgetSet.CreateCaret

Creates a new shape for the system caret and assigns ownership of the caret to the specified window.


TWidgetSet.SetCaretPosEx

Moves the Caret into a window.

Declaration

Source position: winapih.inc line 242

public function TWidgetSet.SetCaretPosEx(

  handle: HWND;

  X: Integer;

  Y: Integer

):Boolean; virtual;

Arguments

handle | The window handle.
X | The new caret position.
Y | The new caret position.

Function result

False on failure.


TWidgetSet.SetCaretRespondToFocus

Declaration

Source position: lclintfh.inc line 115

public function TWidgetSet.SetCaretRespondToFocus(

  handle: HWND;

  ShowHideOnFocus: Boolean

):Boolean; virtual;


TWidgetSet.SetComboMinDropDownSize

Declaration

Source position: lclintfh.inc line 116

public function TWidgetSet.SetComboMinDropDownSize(

  Handle: HWND;

  MinItemsWidth: Integer;

  MinItemsHeight: Integer;

  MinItemCount: Integer

):Boolean; virtual;


TWidgetSet.SetCursor

Changes the shape of the mouse cursor.

Declaration

Source position: winapih.inc line 243

public function TWidgetSet.SetCursor(

  hCursor: HICON

):HCURSOR; virtual;

Arguments

hCursor

The new cursor handle.

Function result

The handle of the previous cursor, zero if none.

See also

#lcl.Controls.TCursor | TCursor - integer type defining range of values for cursor shapes.
TWidgetSet.CreateStandardCursor | Creates one of the standard cursors.


TWidgetSet.SetCursorPos

Changes the position of the mouse cursor.

Declaration

Source position: winapih.inc line 244

public function TWidgetSet.SetCursorPos(

  X: Integer;

  Y: Integer

):Boolean; virtual;

Arguments

X | The new screen coordinates.
Y | The new screen coordinates.

Function result

False on failure.


TWidgetSet.SetDesigning

Declaration

Source position: interfacebase.pp line 155

public procedure TWidgetSet.SetDesigning(

  AComponent: TComponent

); virtual;


TWidgetSet.SetEventHandlerFlags

Declaration

Source position: lclintfh.inc line 117

public procedure TWidgetSet.SetEventHandlerFlags(

  AHandler: PEventHandler;

  NewFlags: dword

); virtual;


TWidgetSet.SetFocus

Sets the keyboard input focus to the specified window.

Declaration

Source position: winapih.inc line 245

public function TWidgetSet.SetFocus(

  hWnd: HWND

):HWND; virtual;

Arguments

hWnd

The handle of the window receiving the focus.

Function result

The handle of the previously focused window, zero if none.


TWidgetSet.SetForegroundWindow

Moves a window in front of all other windows, and activates it.

Declaration

Source position: winapih.inc line 246

public function TWidgetSet.SetForegroundWindow(

  hWnd: HWND

):Boolean; virtual;

Arguments

hWnd

The window handle.

Function result

False on failure.


TWidgetSet.SetMapMode

Sets the mapping mode of an device context.

Declaration

Source position: winapih.inc line 247

public function TWidgetSet.SetMapMode(

  DC: HDC;

  fnMapMode: Integer

):Integer; virtual;

Arguments

DC | The device context.
fnMapMode | The new mapping mode.

Function result

The old mapping mode.

Description

The mapping mode specifies the correspondence between logical and physical units. Supported modes are:

  • MM_ANISOTROPIC - arbitrary mapping
  • MM_HIENGLISH - 0.001 inch
  • MM_HIMETRIC - 0.01 mm
  • MM_ISOTROPIC - arbitrary mapping, same for X and Y axis
  • MM_LOENGLISH - 0.01 inch
  • MM_LOMETRIC - 0.1 mm
  • MM_TEXT - 1 device pixel
  • MM_TWIPS - 1/20th point (twip, 1/1440 inch)

Positive X is right, except for (an)isotropic mappings. Positive Y is up, except for (an)isotropic and MM_TEXT mappings.

See also

TWidgetSet.GetMapMode

Returns the mapping mode of an device context.


TWidgetSet.SetMenu

Assigns a menu to a window.

Declaration

Source position: winapih.inc line 248

public function TWidgetSet.SetMenu(

  AWindowHandle: HWND;

  AMenuHandle: HMENU

):Boolean; virtual;

Arguments

AWindowHandle | The window handle.
AMenuHandle | The menu handle.

Function result

False on failure.


TWidgetSet.SetParent

Changes the parent of a window.

Declaration

Source position: winapih.inc line 249

public function TWidgetSet.SetParent(

  hWndChild: HWND;

  hWndParent: HWND

):HWND; virtual;

Arguments

hWndChild | The handle of the child window.
hWndParent | The handle of the new parent window, zero for the desktop window.

Function result

The handle of the previous parent window, zero if none or failure.


TWidgetSet.SetProp

Adds a property to a window.

Declaration

Source position: winapih.inc line 250

public function TWidgetSet.SetProp(

  Handle: HWND;

  Str: PChar;

  Data: Pointer

):Boolean; virtual;

Arguments

Handle | The window handle.
Str | The property name.
Data | Pointer to the property data.

Function result

False on failure.

See also

TWidgetSet.GetProp

Retrieves an property value for a window.


TWidgetSet.SetRectRgn

Declaration

Source position: winapih.inc line 252

public function TWidgetSet.SetRectRgn(

  aRGN: HRGN;

  X1: Integer;

  Y1: Integer;

  X2: Integer;

  Y2: Integer

):Boolean; virtual;


TWidgetSet.SetROP2

Sets the Foreground Mixing Mode in an device context.

Declaration

Source position: winapih.inc line 254

public function TWidgetSet.SetROP2(

  DC: HDC;

  Mode: Integer

):Integer; virtual;

Arguments

DC | The device context.
Mode | The new mode.

Function result

The old mode, zero on failure.

Description

The raster operation specifies how foreground painting (Brush, Pen) is combined with the current pixels in the DC.

The operation combines bitwise the distinct red, green and blue values of the pixel colors.

There exist 16 raster operations, according to the possible combinations of two (boolean) values:

  • R2_BLACK - all black (0).
  • R2_COPYPEN - Pen color.
  • R2_MASKNOTPEN - Dst and not Pen.
  • R2_MASKPEN - Dst and Pen.
  • R2_MASKPENNOT - (not Dst) and Pen.
  • R2_MERGENOTPEN - Dst or not Pen.
  • R2_MERGEPEN - Dst or Pen.
  • R2_MERGEPENNOT - (not Dst) or Pen.
  • R2_NOP - Dst (unchanged).
  • R2_NOT - not Dst.
  • R2_NOTCOPYPEN - not Pen.
  • R2_NOTMASKPEN - not (Dst and Pen).
  • R2_NOTMERGEPEN - not (Dst or Pen).
  • R2_NOTXORPEN - not (Dst xor Pen).
  • R2_WHITE - all white.
  • R2_XORPEN - Dst xor Pen.

See also

TWidgetSet.GetROP2 | The current Foreground Mixing Mode in an device context.
#lcl.LCLType.R2_COPYPEN | Binary raster operation (Dst op Pen): Pen.


TWidgetSet.SetRubberBandRect

Declaration

Source position: lclintfh.inc line 118

public procedure TWidgetSet.SetRubberBandRect(

  const ARubberBand: HWND;

  const ARect: TRect

); virtual;


TWidgetSet.SetScrollInfo

Sets (selected) parameters of a scroll bar.

Declaration

Source position: winapih.inc line 255

public function TWidgetSet.SetScrollInfo(

  Handle: HWND;

  SBStyle: Integer;

  ScrollInfo: TScrollInfo;

  Redraw: Boolean

):Integer; virtual;

Arguments

Handle | The handle of a ScrollBar, or of a window containing scrollbars.
SBStyle | The ScrollBar kind.
ScrollInfo | Contains the new values.
Redraw | True forces a repaint of the ScrollBar.

Function result

The (new) slider position.

See also

TWidgetSet.GetScrollInfo

Returns all or selected information about a ScrollBar.


TWidgetSet.SetStretchBltMode

Sets the StrechBlt mode for an device context.

Declaration

Source position: winapih.inc line 258

public function TWidgetSet.SetStretchBltMode(

  DC: HDC;

  StretchMode: Integer

):Integer; virtual;

Arguments

DC | The Device Context.
StretchMode | The new mode.

Function result

The previous mode, zero on failure.

Description

The following modes are defined:

  • BLACKONWHITE - preserves black pixels in a monchrome bitmap.
  • COLORONCOLOR
  • HALFTONE, STRETCH_HALFTONE
  • WHITEONBLACK - preserves white pixels in a monchrome bitmap.


TWidgetSet.SetSysColors

Sets the colors for one or more display elements of window borders and desktop.

Declaration

Source position: winapih.inc line 259

public function TWidgetSet.SetSysColors(

  cElements: Integer;

  const lpaElements;

  const lpaRgbValues

):Boolean; virtual;

Arguments

cElements | The number of colors to change, size of the arrays.
lpaElements | Array of element identifiers.
lpaRgbValues | Array of RGB colors.

Function result

False on failure.

See also

GetSysColor

Retrieves the system color for standard display elements.


TWidgetSet.SetTextCharacterExtra

Sets extra intercharacter spacing in text output.

Declaration

Source position: winapih.inc line 260

public function TWidgetSet.SetTextCharacterExtra(

  _hdc: HDC;

  nCharExtra: Integer

):Integer; virtual;

Arguments

_hdc | The device context.
nCharExtra | The additional spacing, in logical units.

Function result

The previous spacing, $80000000 on failure.


TWidgetSet.SetTextColor

Sets the text color in an device context.

Declaration

Source position: winapih.inc line 261

public function TWidgetSet.SetTextColor(

  DC: HDC;

  Color: TColorRef

):TColorRef; virtual;

Arguments

DC | The Device Context.
Color | The new text color.

Function result

The previous color, CLR_INVALID on failure.


TWidgetSet.SetViewPortExtEx

Sets the extent of the viewport for a device context.

Declaration

Source position: winapih.inc line 264

public function TWidgetSet.SetViewPortExtEx(

  DC: HDC;

  XExtent: Integer;

  YExtent: Integer;

  OldSize: PSize

):Boolean; virtual;

Arguments

DC | The Device Context.
XExtent | The extent in device units.
YExtent | The extent in device units.
OldSize | Receives the previous extent, if not Nil.

Function result

False on failure.

See also

TWidgetSet.SetViewPortOrgEx | Sets the device origin corresponding to the window origin (0,0) in an device context.
TWidgetSet.SetWindowExtEx | Sets the extent of the window for an device context.


TWidgetSet.SetViewPortOrgEx

Sets the device origin corresponding to the window origin (0,0) in an device context.

Declaration

Source position: winapih.inc line 265

public function TWidgetSet.SetViewPortOrgEx(

  DC: HDC;

  NewX: Integer;

  NewY: Integer;

  OldPoint: PPoint

):Boolean; virtual;

Arguments

DC | The Device Context.
NewX | The coordinates in device units.
NewY | The coordinates in device units.
OldPoint | Receives the previous origin, if not Nil.

Function result

False on failure.

See also

TWidgetSet.SetViewPortExtEx | Sets the extent of the viewport for a device context.
TWidgetSet.SetWindowOrgEx | Specifies which window point maps to the viewport origin (0,0).


TWidgetSet.SetWindowExtEx

Sets the extent of the window for an device context.

Declaration

Source position: winapih.inc line 266

public function TWidgetSet.SetWindowExtEx(

  DC: HDC;

  XExtent: Integer;

  YExtent: Integer;

  OldSize: PSize

):Boolean; virtual;

Arguments

DC | The Device Context.
XExtent | The extent in logical units.
YExtent | The extent in logical units.
OldSize | Receives the previous extent, if not Nil.

Function result

False on failure.

See also

TWidgetSet.SetViewPortExtEx | Sets the extent of the viewport for a device context.
TWidgetSet.SetWindowOrgEx | Specifies which window point maps to the viewport origin (0,0).


TWidgetSet.SetWindowLong

Sets an attribute of a window.

Declaration

Source position: winapih.inc line 263

public function TWidgetSet.SetWindowLong(

  Handle: HWND;

  Idx: Integer;

  NewLong: PtrInt

):PtrInt; virtual;

Arguments

Handle | The window handle.
Idx | The attribute offset.
NewLong | The new value.

Function result

The previous value, zero on failure.

See also

TWidgetSet.GetWindowLong

Returns attributes of a window.


TWidgetSet.SetWindowOrgEx

Specifies which window point maps to the viewport origin (0,0).

Declaration

Source position: winapih.inc line 267

public function TWidgetSet.SetWindowOrgEx(

  dc: HDC;

  NewX: Integer;

  NewY: Integer;

  OldPoint: PPoint

):Boolean; virtual;

Arguments

dc | The device context.
NewX | The origin in logical units.
NewY | The origin in logical units.
OldPoint | Receives the previous origin, if not Nil.

Function result

False on failure.


TWidgetSet.SetWindowPos

Changes the size, position, and Z order of a window.

Declaration

Source position: winapih.inc line 268

public function TWidgetSet.SetWindowPos(

  hWnd: HWND;

  hWndInsertAfter: HWND;

  X: Integer;

  Y: Integer;

  cx: Integer;

  cy: Integer;

  uFlags: UINT

):Boolean; virtual;

Arguments

hWnd | The window handle.
hWndInsertAfter | The window handle or Z order position.
X | The window origin.
Y | The window origin.
cx | The window extent.
cy | The window extent.
uFlags | General placement flags.

Function result

Zero on failure.

Description

The Z order can be changed to just behind another window, or:

  • HWND_BOTTOM - behind all other windows.
  • HWND_NOTOPMOST - behind all topmost windows.
  • HWND_TOP - above all other windows.
  • HWND_TOPMOST - above all other non-topmost windows.

The general placement can be a combination of:

  • SWP_ASYNCWINDOWPOS - don't block the calling thread when the window is owned by an different thread.
  • SWP_DEFERERASE - suppress WM_SYNCPAINT message.
  • SWP_DRAWFRAME - draw the window frame.
  • SWP_FRAMECHANGED - apply new frame style.
  • SWP_HIDEWINDOW - hides the window.
  • SWP_NOACTIVATE - don't activate the window.
  • SWP_NOCOPYBITS - invalidate the entire client area. If not set, the window content moves together with the window.
  • SWP_NOMOVE - the position is not changed (ignores X, Y).
  • SWP_NOREPOSITION, SWP_NOOWNERZORDER - the Z order of the owner window is unchanged.
  • SWP_NOREDRAW - nothing is redrawn automatically, not even uncovered parts of the window.
  • SWP_NOSENDCHANGING - no WM_WINDOWPOSCHANGING message.
  • SWP_NOSIZE - the size is unchanged (ignores cx, cy).
  • SWP_NOZORDER - the Z order is unchanged (ignores hWndInsertAfter)
  • SWP_SHOWWINDOW - unhide the window.


TWidgetSet.SetWindowRgn

Restricts the visible part of the entire window.

Declaration

Source position: winapih.inc line 270

public function TWidgetSet.SetWindowRgn(

  hWnd: HWND;

  hRgn: HRGN;

  bRedraw: Boolean

):LongInt; virtual;

Arguments

hWnd | The window handle.
hRgn | The window region handle.
bRedraw | True forces a repaint of the window.

Function result

False on failure.


TWidgetSet.ShowCaret

Shows the Caret (text cursor).

Declaration

Source position: winapih.inc line 271

public function TWidgetSet.ShowCaret(

  hWnd: HWND

):Boolean; virtual;

Arguments

hWnd

The window handle.

Function result

False on failure.

See also

TWidgetSet.HideCaret

Removes the caret from the screen.


TWidgetSet.ShowScrollBar

Shows or hides a ScrollBar.

Declaration

Source position: winapih.inc line 272

public function TWidgetSet.ShowScrollBar(

  Handle: HWND;

  wBar: Integer;

  bShow: Boolean

):Boolean; virtual;

Arguments

Handle | The window or ScrollBar handle.
wBar | The scrollbar type (SB_CTL, SB_HORZ...).
bShow | True shows, False hides the ScrollBar.

Function result

False on failure.

See also

TWidgetSet.EnableScrollBar

Enables or disables the arrows of a scrollbar control, or of the scrollbars of a window.


TWidgetSet.ShowSelectItemDialog

Declaration

Source position: lclintfh.inc line 119

public function TWidgetSet.ShowSelectItemDialog(

  const AItems: TStrings;

  APos: TPoint

):Boolean; virtual;


TWidgetSet.ShowWindow

Shows a window in an specific state.

Declaration

Source position: winapih.inc line 273

public function TWidgetSet.ShowWindow(

  hWnd: HWND;

  nCmdShow: Integer

):Boolean; virtual;

Arguments

hWnd

The window handle.

Function result

True when the window was already visible.

Description

These are available options:

  • sw_forceminimize
  • SW_HIDE - hides the window.
  • SW_MAXIMIZE - maximizes the window.
  • SW_MINIMIZE - minimizes the window.
  • SW_RESTORE - activates and restores from minimized/maximized to normal state.
  • SW_SHOW - activates and shows the window.
  • SW_SHOWMAXIMIZED - activates and maximizes the window.
  • SW_SHOWMINIMIZED - activates and minimizes the window.
  • SW_SHOWMINNOACTIVE - minimizes the window.
  • SW_SHOWNA - shows the window.
  • SW_SHOWNOACTIVATE - shows the window as designed.
  • SW_SHOWNORMAL - activates and shows the window as designed.


TWidgetSet.StretchBlt

Copies a rectangular region into an device context, shrinking or stretching it as required.

Declaration

Source position: winapih.inc line 274

public function TWidgetSet.StretchBlt(

  DestDC: HDC;

  X: Integer;

  Y: Integer;

  Width: Integer;

  Height: Integer;

  SrcDC: HDC;

  XSrc: Integer;

  YSrc: Integer;

  SrcWidth: Integer;

  SrcHeight: Integer;

  Rop: Cardinal

):Boolean; virtual;

Arguments

DestDC | The destination device context.
X | The destination origin.
Y | The destination origin.
Width | The destination extent.
Height | The destination extent.
SrcDC | The source device context.
XSrc | The source origin.
YSrc | The source origin.
SrcWidth | The source extent.
SrcHeight | The source extent.
Rop | The raster opcode (see BitBlt).

Function result

False on failure.

See also

TWidgetSet.StretchMaskBlt |
TWidgetSet.SetStretchBltMode | Sets the StrechBlt mode for an device context.
TWidgetSet.BitBlt | Copies part of an source DC into an destination DC, using the specified raster operation.


TWidgetSet.StretchDIBits

Copies a rectangular region from a DIB into an device context, shrinking or stretching it as required.

Declaration

Source position: winapih.inc line 275

public function TWidgetSet.StretchDIBits(

  DC: HDC;

  DestX: Integer;

  DestY: Integer;

  DestWidth: Integer;

  DestHeight: Integer;

  SrcX: Integer;

  SrcY: Integer;

  SrcWidth: Integer;

  SrcHeight: Integer;

  Bits: Pointer;

  var BitsInfo: TBitmapInfo;

  Usage: UINT;

  Rop: DWORD

):Integer; virtual;

Arguments

DC | The destination Device Context.
DestX | The destination origin.
DestY | The destination origin.
DestWidth | The destination extent.
DestHeight | The destination extent.
SrcX | The source origin.
SrcY | The source origin.
SrcWidth | The source extent.
SrcHeight | The source extent.
Bits | The device independent bitmap bits.
BitsInfo | The bitmap info structure.
Usage | The color mode.
Rop | The raster operation.

See also

TWidgetSet.StretchMaskBlt |
TWidgetSet.StretchBlt | Copies a rectangular region into an device context, shrinking or stretching it as required.
TWidgetSet.StretchMaskBlt |


TWidgetSet.StretchMaskBlt

Declaration

Source position: lclintfh.inc line 120

public function TWidgetSet.StretchMaskBlt(

  DestDC: HDC;

  X: Integer;

  Y: Integer;

  Width: Integer;

  Height: Integer;

  SrcDC: HDC;

  XSrc: Integer;

  YSrc: Integer;

  SrcWidth: Integer;

  SrcHeight: Integer;

  Mask: HBITMAP;

  XMask: Integer;

  YMask: Integer;

  Rop: DWORD

):Boolean; virtual;


TWidgetSet.SystemParametersInfo

Retrieves or sets one of the system-wide parameters.

Declaration

Source position: winapih.inc line 279

public function TWidgetSet.SystemParametersInfo(

  uiAction: DWord;

  uiParam: DWord;

  pvParam: Pointer;

  fWinIni: DWord

):LongBool; virtual;

Arguments

uiAction | The parameter and action.
uiParam | Depends on uiAction.
pvParam | Depends on uiAction.
fWinIni | Additional actions.

Function result

False on failure.

Description

Most of the parameters are Windows platform specific.

SPI_GETACCESSTIMEOUT SPI_GETFILTERKEYS SPI_GETFOCUSBORDERHEIGHT SPI_GETFOCUSBORDERWIDTH SPI_GETHIGHCONTRAST SPI_GETMOUSECLICKLOCK SPI_GETMOUSECLICKLOCKTIME SPI_GETMOUSEKEYS SPI_GETMOUSESONAR SPI_GETMOUSEVANISH SPI_GETSCREENREADER SPI_GETSERIALKEYS SPI_GETSHOWSOUNDS SPI_GETSOUNDSENTRY SPI_GETSTICKYKEYS SPI_GETTOGGLEKEYS SPI_SETACCESSTIMEOUT SPI_SETFILTERKEYS SPI_SETFOCUSBORDERHEIGHT SPI_SETFOCUSBORDERWIDTH SPI_SETHIGHCONTRAST SPI_SETMOUSECLICKLOCK SPI_SETMOUSECLICKLOCKTIME SPI_SETMOUSEKEYS SPI_SETMOUSESONAR SPI_SETMOUSEVANISH SPI_SETSCREENREADER SPI_SETSERIALKEYS SPI_SETSHOWSOUNDS SPI_SETSOUNDSENTRY SPI_SETSTICKYKEYS SPI_SETTOGGLEKEYS

SPI_GETDESKWALLPAPER SPI_GETDROPSHADOW SPI_GETFLATMENU SPI_GETFONTSMOOTHING SPI_GETFONTSMOOTHINGCONTRAST SPI_GETFONTSMOOTHINGTYPE SPI_GETWORKAREA SPI_SETCURSORS SPI_SETDESKPATTERN SPI_SETDESKWALLPAPER SPI_SETDROPSHADOW SPI_SETFLATMENU SPI_SETFONTSMOOTHING SPI_SETFONTSMOOTHINGCONTRAST SPI_SETFONTSMOOTHINGTYPE SPI_SETWORKAREA

SPI_GETICONMETRICS SPI_GETICONTITLELOGFONT SPI_GETICONTITLEWRAP SPI_ICONHORIZONTALSPACING SPI_ICONVERTICALSPACING SPI_SETICONMETRICS SPI_SETICONS SPI_SETICONTITLELOGFONT SPI_SETICONTITLEWRAP

SPI_GETBEEP SPI_GETBLOCKSENDINPUTRESETS SPI_GETDEFAULTINPUTLANG SPI_GETKEYBOARDCUES SPI_GETKEYBOARDDELAY SPI_GETKEYBOARDPREF SPI_GETKEYBOARDSPEED SPI_GETMOUSE SPI_GETMOUSEHOVERHEIGHT SPI_GETMOUSEHOVERTIME SPI_GETMOUSEHOVERWIDTH SPI_GETMOUSESPEED SPI_GETMOUSETRAILS SPI_GETSNAPTODEFBUTTON SPI_GETWHEELSCROLLLINES SPI_SETBEEP SPI_SETBLOCKSENDINPUTRESETS SPI_SETDEFAULTINPUTLANG SPI_SETDOUBLECLICKTIME SPI_SETDOUBLECLKHEIGHT SPI_SETDOUBLECLKWIDTH SPI_SETKEYBOARDCUES SPI_SETKEYBOARDDELAY SPI_SETKEYBOARDPREF SPI_SETKEYBOARDSPEED SPI_SETLANGTOGGLE SPI_SETMOUSE SPI_SETMOUSEBUTTONSWAP SPI_SETMOUSEHOVERHEIGHT SPI_SETMOUSEHOVERTIME SPI_SETMOUSEHOVERWIDTH SPI_SETMOUSESPEED SPI_SETMOUSETRAILS SPI_SETSNAPTODEFBUTTON SPI_SETWHEELSCROLLLINES

SPI_GETMENUDROPALIGNMENT SPI_GETMENUFADE SPI_GETMENUSHOWDELAY SPI_SETMENUDROPALIGNMENT SPI_SETMENUFADE SPI_SETMENUSHOWDELAY

SPI_GETLOWPOWERACTIVE SPI_GETLOWPOWERTIMEOUT SPI_GETPOWEROFFACTIVE SPI_GETPOWEROFFTIMEOUT SPI_SETLOWPOWERACTIVE SPI_SETLOWPOWERTIMEOUT SPI_SETPOWEROFFACTIVE SPI_SETPOWEROFFTIMEOUT

SPI_GETSCREENSAVEACTIVE SPI_GETSCREENSAVERRUNNING SPI_GETSCREENSAVETIMEOUT SPI_SETSCREENSAVEACTIVE SPI_SETSCREENSAVERRUNNING SPI_SETSCREENSAVETIMEOUT

SPI_GETCOMBOBOXANIMATION SPI_GETCURSORSHADOW SPI_GETGRADIENTCAPTIONS SPI_GETHOTTRACKING SPI_GETLISTBOXSMOOTHSCROLLING SPI_GETMENUANIMATION SPI_GETMENUUNDERLINES SPI_GETSELECTIONFADE SPI_GETTOOLTIPANIMATION SPI_GETTOOLTIPFADE SPI_GETUIEFFECTS SPI_SETCOMBOBOXANIMATION SPI_SETCURSORSHADOW SPI_SETGRADIENTCAPTIONS SPI_SETHOTTRACKING SPI_SETLISTBOXSMOOTHSCROLLING SPI_SETMENUANIMATION SPI_SETMENUUNDERLINES SPI_SETSELECTIONFADE SPI_SETTOOLTIPANIMATION SPI_SETTOOLTIPFADE SPI_SETUIEFFECTS

SPI_GETACTIVEWINDOWTRACKING SPI_GETACTIVEWNDTRKZORDER SPI_GETACTIVEWNDTRKTIMEOUT SPI_GETANIMATION SPI_GETBORDER SPI_GETCARETWIDTH SPI_GETDRAGFULLWINDOWS SPI_GETFOREGROUNDFLASHCOUNT SPI_GETFOREGROUNDLOCKTIMEOUT SPI_GETMINIMIZEDMETRICS SPI_GETNONCLIENTMETRICS SPI_GETSHOWIMEUI SPI_SETACTIVEWINDOWTRACKING SPI_SETACTIVEWNDTRKZORDER SPI_SETACTIVEWNDTRKTIMEOUT SPI_SETANIMATION SPI_SETBORDER SPI_SETCARETWIDTH SPI_SETDRAGFULLWINDOWS SPI_SETDRAGWIDTH SPI_SETDRAGWIDTH SPI_SETFOREGROUNDFLASHCOUNT SPI_SETFOREGROUNDLOCKTIMEOUT SPI_SETMINIMIZEDMETRICS SPI_SETNONCLIENTMETRICS SPI_SETSHOWIMEUI

SPI_GETWINDOWSEXTENSION SPI_SETPENWINDOWS

Additional actions (zero for none):
spif_updateinifile spif_sendchange spif_sendwindowinichange


TWidgetSet.TextOut

Draws an string without formatting (single line).

Declaration

Source position: winapih.inc line 281

public function TWidgetSet.TextOut(

  DC: HDC;

  X: Integer;

  Y: Integer;

  Str: Pchar;

  Count: Integer

):Boolean; virtual;

Arguments

DC | The Device Context.
X | The text origin in logical coordinates.
Y | The text origin in logical coordinates.
Str | The text.
Count | The number of (Wide)Chars in the string.

Function result

False on failure.

See also

TWidgetSet.ExtTextOut

Draws an string without formatting (single line).


TWidgetSet.TextUTF8Out

Declaration

Source position: lclintfh.inc line 122

public function TWidgetSet.TextUTF8Out(

  DC: HDC;

  X: Integer;

  Y: Integer;

  Str: PChar;

  Count: LongInt

):Boolean; virtual;


TWidgetSet.ThemeServices

Declaration

Source position: interfacebase.pp line 170

public property TWidgetSet.ThemeServices : TThemeServices
  read FThemeServices;


TWidgetSet.UpdateWindow

Forces an immediate repaint of a window, if required.

Declaration

Source position: winapih.inc line 283

public function TWidgetSet.UpdateWindow(

  Handle: HWND

):Boolean; virtual;

Arguments

Handle

The window handle.

Function result

False on failure.


TWidgetSet.WindowFromPoint

Finds the window containing the specified point.

Declaration

Source position: winapih.inc line 287

public function TWidgetSet.WindowFromPoint(

  Point: TPoint

):HWND; virtual;

Arguments

Point

The screen coordinates.

Function result

The window handle, zero on failure.


TWidgetSetClass

Declaration

Source position: interfacebase.pp line 172

type TWidgetSetClass = class of TWidgetSet;


ILazImageReader

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

ILazImageReader - extension to TFPCustomImageReader to initialize a TRawImgeDescription based on the image to be read

Declaration

Source position: intfgraphics.pas line 360

type ILazImageReader = interface

  function GetUpdateDescription;

  procedure SetUpdateDescription();

  property UpdateDescription: Boolean; [rw]

end;

Inheritance

ILazImageReader

ILazImageReader - extension to TFPCustomImageReader to initialize a TRawImgeDescription based on the image to be read


ILazImageReader

UpdateDescription


ILazImageReader
 | GetUpdateDescription
 | SetUpdateDescription


ILazImageReader


ILazImageReader.GetUpdateDescription

Declaration

Source position: intfgraphics.pas line 362

function ILazImageReader.GetUpdateDescription: Boolean;


ILazImageReader.SetUpdateDescription

Declaration

Source position: intfgraphics.pas line 363

procedure ILazImageReader.SetUpdateDescription(

  AValue: Boolean

);


ILazImageReader.UpdateDescription

Declaration

Source position: intfgraphics.pas line 365

property ILazImageReader.UpdateDescription : Boolean
  read GetUpdateDescription
  write SetUpdateDescription;


ILazImageWriter

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Declaration

Source position: intfgraphics.pas line 373

type ILazImageWriter = interface

  procedure Initialize();

  procedure Finalize;

end;

Inheritance

ILazImageWriter
The latest version of this document can be found at lazarus-ccr.sourceforge.net .


ILazImageWriter


ILazImageWriter
 | Initialize
 | Finalize


ILazImageWriter.Finalize

Declaration

Source position: intfgraphics.pas line 376

procedure ILazImageWriter.Finalize;


ILazImageWriter.Initialize

Declaration

Source position: intfgraphics.pas line 375

procedure ILazImageWriter.Initialize(

  AImage: TLazIntfImage

);


TArrayNode

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Declaration

Source position: intfgraphics.pas line 312

type TArrayNode = class

public

  Parent: TArrayNode;

  Value: Integer;

  Children: PArrayNode;

  StartValue: Integer;

  Capacity: Integer;

  Data: Pointer;

  constructor Create;

  destructor Destroy; override;

  procedure DeleteChilds;

  procedure UnbindFromParent;

  procedure CreateChildNode();

  function GetChildNode();

  procedure Expand();

  function FindPrevSibling;

  function FindNextSibling;

  function FindNextUTF8;

  function FindPrev;

  function FindFirstChild;

  function FindLastChild;

  function FindLastSubChild;

  function FindFirstSibling;

  function FindLastSibling;

  procedure ConsistencyCheck;

end;

Inheritance

TArrayNode

|

TObject


TArrayNode


TArrayNode
 | Create
 | Destroy
 | DeleteChilds
 | UnbindFromParent
 | CreateChildNode
 | GetChildNode
 | Expand
 | FindPrevSibling
 | FindNextSibling
 | FindNextUTF8
 | FindPrev
 | FindFirstChild
 | FindLastChild
 | FindLastSubChild
 | FindFirstSibling
 | FindLastSibling
 | ConsistencyCheck


ConsistencyCheck (TArrayNode)

Create (TArrayNode)

CreateChildNode (TArrayNode)

DeleteChilds (TArrayNode)

Destroy (TArrayNode)

Expand (TArrayNode)

FindFirstChild (TArrayNode)

FindFirstSibling (TArrayNode)

FindLastChild (TArrayNode)

FindLastSibling (TArrayNode)

FindLastSubChild (TArrayNode)

FindNextSibling (TArrayNode)

FindNextUTF8 (TArrayNode)

FindPrev (TArrayNode)

FindPrevSibling (TArrayNode)

GetChildNode (TArrayNode)

UnbindFromParent (TArrayNode)


TArrayNode.Capacity

Declaration

Source position: intfgraphics.pas line 318

public TArrayNode.Capacity : Integer;


TArrayNode.Children

Declaration

Source position: intfgraphics.pas line 316

public TArrayNode.Children : PArrayNode;


TArrayNode.ConsistencyCheck

Declaration

Source position: intfgraphics.pas line 337

public procedure TArrayNode.ConsistencyCheck;


TArrayNode.Create

Declaration

Source position: intfgraphics.pas line 320

public constructor TArrayNode.Create;


TArrayNode.CreateChildNode

Declaration

Source position: intfgraphics.pas line 324

public procedure TArrayNode.CreateChildNode(

  ChildValue: Integer

);


TArrayNode.Data

Declaration

Source position: intfgraphics.pas line 319

public TArrayNode.Data : Pointer;


TArrayNode.DeleteChilds

Declaration

Source position: intfgraphics.pas line 322

public procedure TArrayNode.DeleteChilds;


TArrayNode.Destroy

Declaration

Source position: intfgraphics.pas line 321

public destructor TArrayNode.Destroy; override;


TArrayNode.Expand

Declaration

Source position: intfgraphics.pas line 327

public procedure TArrayNode.Expand(

  ValueToInclude: Integer

);


TArrayNode.FindFirstChild

Declaration

Source position: intfgraphics.pas line 332

public function TArrayNode.FindFirstChild: TArrayNode;


TArrayNode.FindFirstSibling

Declaration

Source position: intfgraphics.pas line 335

public function TArrayNode.FindFirstSibling: TArrayNode;


TArrayNode.FindLastChild

Declaration

Source position: intfgraphics.pas line 333

public function TArrayNode.FindLastChild: TArrayNode;


TArrayNode.FindLastSibling

Declaration

Source position: intfgraphics.pas line 336

public function TArrayNode.FindLastSibling: TArrayNode;


TArrayNode.FindLastSubChild

Declaration

Source position: intfgraphics.pas line 334

public function TArrayNode.FindLastSubChild: TArrayNode;


TArrayNode.FindNextSibling

Declaration

Source position: intfgraphics.pas line 329

public function TArrayNode.FindNextSibling: TArrayNode;


TArrayNode.FindNextUTF8

Declaration

Source position: intfgraphics.pas line 330

public function TArrayNode.FindNextUTF8: TArrayNode;


TArrayNode.FindPrev

Declaration

Source position: intfgraphics.pas line 331

public function TArrayNode.FindPrev: TArrayNode;


TArrayNode.FindPrevSibling

Declaration

Source position: intfgraphics.pas line 328

public function TArrayNode.FindPrevSibling: TArrayNode;


TArrayNode.GetChildNode

Declaration

Source position: intfgraphics.pas line 325

public function TArrayNode.GetChildNode(

  ChildValue: Integer;

  CreateIfNotExists: Boolean

):TArrayNode;


TArrayNode.Parent

Declaration

Source position: intfgraphics.pas line 314

public TArrayNode.Parent : TArrayNode;


TArrayNode.StartValue

Declaration

Source position: intfgraphics.pas line 317

public TArrayNode.StartValue : Integer;


TArrayNode.UnbindFromParent

Declaration

Source position: intfgraphics.pas line 323

public procedure TArrayNode.UnbindFromParent;


TArrayNode.Value

Declaration

Source position: intfgraphics.pas line 315

public TArrayNode.Value : Integer;


TArrayNodesTree

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Declaration

Source position: intfgraphics.pas line 340

type TArrayNodesTree = class

public

  Root: TArrayNode;

  function FindNode();

  function FindData();

  function SetNode();

  procedure Delete();

  procedure Clear;

  constructor Create;

  destructor Destroy; override;

  procedure ConsistencyCheck;

end;

Inheritance

TArrayNodesTree

|

TObject


TArrayNodesTree


TArrayNodesTree
 | FindNode
 | FindData
 | SetNode
 | Delete
 | Clear
 | Create
 | Destroy
 | ConsistencyCheck


Clear (TArrayNodesTree)

ConsistencyCheck (TArrayNodesTree)

Create (TArrayNodesTree)

Delete (TArrayNodesTree)

Destroy (TArrayNodesTree)

FindData (TArrayNodesTree)

FindNode (TArrayNodesTree)

SetNode (TArrayNodesTree)


TArrayNodesTree.Clear

Declaration

Source position: intfgraphics.pas line 348

public procedure TArrayNodesTree.Clear;


TArrayNodesTree.ConsistencyCheck

Declaration

Source position: intfgraphics.pas line 351

public procedure TArrayNodesTree.ConsistencyCheck;


TArrayNodesTree.Create

Declaration

Source position: intfgraphics.pas line 349

public constructor TArrayNodesTree.Create;


TArrayNodesTree.Delete

Declaration

Source position: intfgraphics.pas line 347

public procedure TArrayNodesTree.Delete(

  Node: TArrayNode

);


TArrayNodesTree.Destroy

Declaration

Source position: intfgraphics.pas line 350

public destructor TArrayNodesTree.Destroy; override;


TArrayNodesTree.FindData

Declaration

Source position: intfgraphics.pas line 344

public function TArrayNodesTree.FindData(

  Path: PInteger;

  Count: Integer

):Pointer;


TArrayNodesTree.FindNode

Declaration

Source position: intfgraphics.pas line 343

public function TArrayNodesTree.FindNode(

  Path: PInteger;

  Count: Integer

):TArrayNode;


TArrayNodesTree.Root

Declaration

Source position: intfgraphics.pas line 342

public TArrayNodesTree.Root : TArrayNode;


TArrayNodesTree.SetNode

Declaration

Source position: intfgraphics.pas line 345

public function TArrayNodesTree.SetNode(

  Path: PInteger;

  Count: Integer;

  Data: Pointer

):TArrayNode;


TLazAVLPalette

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

TLazAVLPalette - this descendant of TFPPalette uses an AVL tree for speed up

Declaration

Source position: intfgraphics.pas line 291

type TLazAVLPalette = class(TFPPalette)

protected

  FAVLPalette: TAvlTree;

  FAVLNodes: PAvlTreeNode;

  procedure SetCount(); override;

  procedure SetColor(); override;

  function CompareEntries();

  function CompareColorWithEntries();

  procedure EnlargeData; override;

public

  destructor Destroy; override;

  function IndexOf(); override;

  function Add(); override;

  procedure CheckConsistency; virtual;

end;

Inheritance

TLazAVLPalette

TLazAVLPalette - this descendant of TFPPalette uses an AVL tree for speed up
|

TFPPalette
?

TObject


TLazAVLPalette


TLazAVLPalette
pt | SetCount
pt | SetColor
pt | CompareEntries
pt | CompareColorWithEntries
pt | EnlargeData
 | Destroy
 | IndexOf
 | Add
 | CheckConsistency


pt | CompareColorWithEntries (TLazAVLPalette)
pt | CompareEntries (TLazAVLPalette)
 | Destroy (TLazAVLPalette)
pt | EnlargeData (TLazAVLPalette)
 | IndexOf (TLazAVLPalette)
pt | SetColor (TLazAVLPalette)
pt | SetCount (TLazAVLPalette)


TLazAVLPalette.Add

Declaration

Source position: intfgraphics.pas line 304

public function TLazAVLPalette.Add(

  const NewColor: TFPColor

):Integer; override;


TLazAVLPalette.CheckConsistency

Declaration

Source position: intfgraphics.pas line 305

public procedure TLazAVLPalette.CheckConsistency; virtual;


TLazAVLPalette.CompareColorWithEntries

Declaration

Source position: intfgraphics.pas line 298

protected function TLazAVLPalette.CompareColorWithEntries(

  const AColor: TFPColor;

  Index: Integer

):Integer;


TLazAVLPalette.CompareEntries

Declaration

Source position: intfgraphics.pas line 297

protected function TLazAVLPalette.CompareEntries(

  Index1: Integer;

  Index2: Integer

):Integer;


TLazAVLPalette.Destroy

Declaration

Source position: intfgraphics.pas line 302

public destructor TLazAVLPalette.Destroy; override;


TLazAVLPalette.EnlargeData

Declaration

Source position: intfgraphics.pas line 300

protected procedure TLazAVLPalette.EnlargeData; override;


TLazAVLPalette.FAVLNodes

Declaration

Source position: intfgraphics.pas line 294

protected TLazAVLPalette.FAVLNodes : PAvlTreeNode;


TLazAVLPalette.FAVLPalette

Declaration

Source position: intfgraphics.pas line 293

protected TLazAVLPalette.FAVLPalette : TAvlTree;


TLazAVLPalette.IndexOf

Declaration

Source position: intfgraphics.pas line 303

public function TLazAVLPalette.IndexOf(

  const AColor: TFPColor

):Integer; override;


TLazAVLPalette.SetColor

Declaration

Source position: intfgraphics.pas line 296

protected procedure TLazAVLPalette.SetColor(

  Index: Integer;

  const NewColor: TFPColor

); override;


TLazAVLPalette.SetCount

Declaration

Source position: intfgraphics.pas line 295

protected procedure TLazAVLPalette.SetCount(

  NewCount: Integer

); override;


TLazIntfImage

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Represents a graphical image.

Declaration

Source position: intfgraphics.pas line 110

type TLazIntfImage = class(TFPCustomImage)
protected
FGetInternalColorProc: TLazIntfImageGetPixelProc;
FSetInternalColorProc: TLazIntfImageSetPixelProc;
procedure SetUsePalette(); override; |
procedure SetInternalColor(); override; |
function GetInternalColor(); override; |
procedure SetInternalPixel(); override; |
function GetInternalPixel(); override; |
procedure FreeData; virtual;
procedure SetDataDescription(); virtual; |
procedure ChooseGetSetColorFunctions; virtual; |
procedure ChooseRawBitsProc(); |
procedure GetColor_Generic();
procedure GetColor_RGBA_NoPalette();
procedure GetColor_RGB_NoPalette();
procedure GetColor_Gray_NoPalette();
procedure GetColor_GrayAlpha_NoPalette();
procedure GetColor_NULL(); |
procedure GetColor_BPP32_A8R8G8B8_BIO_TTB();
procedure GetColor_BPP32_A8B8G8R8_BIO_TTB();
procedure GetColor_BPP32_A8G8R8B8_BIO_TTB();
procedure GetColor_BPP32_A8G8B8R8_BIO_TTB();
procedure GetColor_BPP32_A8R8B8G8_BIO_TTB();
procedure GetColor_BPP32_A8B8R8G8_BIO_TTB();
procedure GetColor_BPP32_B8G8R8A8_BIO_TTB();
procedure GetColor_BPP32_R8G8B8A8_BIO_TTB();
procedure GetColor_BPP32_G8B8R8A8_BIO_TTB();
procedure GetColor_BPP32_G8R8B8A8_BIO_TTB();
procedure GetColor_BPP32_B8R8G8A8_BIO_TTB();
procedure GetColor_BPP32_R8B8G8A8_BIO_TTB();
procedure GetColor_BPP32_X8R8G8B8_BIO_TTB();
procedure GetColor_BPP32_X8B8G8R8_BIO_TTB();
procedure GetColor_BPP32_X8G8R8B8_BIO_TTB();
procedure GetColor_BPP32_X8G8B8R8_BIO_TTB();
procedure GetColor_BPP32_X8R8B8G8_BIO_TTB();
procedure GetColor_BPP32_X8B8R8G8_BIO_TTB();
procedure GetColor_BPP32_B8G8R8X8_BIO_TTB();
procedure GetColor_BPP32_R8G8B8X8_BIO_TTB();
procedure GetColor_BPP32_G8B8R8X8_BIO_TTB();
procedure GetColor_BPP32_G8R8B8X8_BIO_TTB();
procedure GetColor_BPP32_B8R8G8X8_BIO_TTB();
procedure GetColor_BPP32_R8B8G8X8_BIO_TTB();
procedure GetColor_BPP24_B8G8R8_BIO_TTB();
procedure GetColor_BPP24_R8G8B8_BIO_TTB();
procedure GetColor_BPP24_G8B8R8_BIO_TTB();
procedure GetColor_BPP24_G8R8B8_BIO_TTB();
procedure GetColor_BPP24_B8R8G8_BIO_TTB();
procedure GetColor_BPP24_R8B8G8_BIO_TTB();
procedure GetMask_Generic();
procedure SetColor_Generic();
procedure SetColor_RGBA_NoPalette();
procedure SetColor_RGB_NoPalette();
procedure SetColor_Gray_NoPalette();
procedure SetColor_GrayAlpha_NoPalette();
procedure SetColor_NULL(); |
procedure SetColor_BPP32_A8R8G8B8_BIO_TTB();
procedure SetColor_BPP32_A8B8G8R8_BIO_TTB();
procedure SetColor_BPP32_A8G8R8B8_BIO_TTB();
procedure SetColor_BPP32_A8G8B8R8_BIO_TTB();
procedure SetColor_BPP32_A8R8B8G8_BIO_TTB();
procedure SetColor_BPP32_A8B8R8G8_BIO_TTB();
procedure SetColor_BPP32_B8G8R8A8_BIO_TTB();
procedure SetColor_BPP32_R8G8B8A8_BIO_TTB();
procedure SetColor_BPP32_G8B8R8A8_BIO_TTB();
procedure SetColor_BPP32_G8R8B8A8_BIO_TTB();
procedure SetColor_BPP32_B8R8G8A8_BIO_TTB();
procedure SetColor_BPP32_R8B8G8A8_BIO_TTB();
procedure SetColor_BPP32_X8R8G8B8_BIO_TTB();
procedure SetColor_BPP32_X8B8G8R8_BIO_TTB();
procedure SetColor_BPP32_X8G8R8B8_BIO_TTB();
procedure SetColor_BPP32_X8G8B8R8_BIO_TTB();
procedure SetColor_BPP32_X8R8B8G8_BIO_TTB();
procedure SetColor_BPP32_X8B8R8G8_BIO_TTB();
procedure SetColor_BPP32_B8G8R8X8_BIO_TTB();
procedure SetColor_BPP32_R8G8B8X8_BIO_TTB();
procedure SetColor_BPP32_G8B8R8X8_BIO_TTB();
procedure SetColor_BPP32_G8R8B8X8_BIO_TTB();
procedure SetColor_BPP32_B8R8G8X8_BIO_TTB();
procedure SetColor_BPP32_R8B8G8X8_BIO_TTB();
procedure SetColor_BPP24_B8G8R8_BIO_TTB();
procedure SetColor_BPP24_R8G8B8_BIO_TTB();
procedure SetColor_BPP24_G8B8R8_BIO_TTB();
procedure SetColor_BPP24_G8R8B8_BIO_TTB();
procedure SetColor_BPP24_B8R8G8_BIO_TTB();
procedure SetColor_BPP24_R8B8G8_BIO_TTB();
procedure SetMask_Generic();
public
constructor Create(); |
constructor CreateCompatible();
destructor Destroy; override; |
procedure Assign(); override;
procedure BeginUpdate; |
procedure EndUpdate; |
procedure SetSize(); override; | SetSize - define the height and width of the image
function CheckDescription(); virtual; | CheckDescription - looks at the supplied Image Description record and returns True if it matches the actual properties of the image
procedure LoadFromDevice(); virtual; | LoadFromDevice - loads the image from the device with specified handle
procedure LoadFromBitmap(); virtual; | LoadFromBitmap - loads the image from a Bitmap
procedure CreateBitmaps(); virtual; | CreateBitmaps - generates a Bitmap from the image data
procedure SetRawImage(); virtual; |
procedure GetRawImage(); virtual; |
procedure FillPixels(); virtual; |
procedure CopyPixels(); virtual;
procedure AlphaBlend();
procedure AlphaFromMask(); | AlphaFromMask - gets the alpha value from the mask if AKeepAlpha is True (default condition)
procedure Mask();
procedure GetXYDataPosition();
procedure GetXYMaskPosition();
function GetDataLineStart(); | Returns an pointer to the scanline raw data.
procedure CreateData; virtual;
function HasTransparency; virtual;
function HasMask; virtual;
procedure SetDataDescriptionKeepData();
property PixelData: PByte; [r] | PixelData - the raw data for the current pixel
property MaskData: PByte; [r] | MaskData - the raw mask data for the current pixel
property DataDescription: TRawImageDescription; [rw] | DataDescription - the raw description record for the current image
property TColors []: TGraphicsColor; [rw] | TColors - the colours available for the present position
property Masked []: Boolean; [rw] | Masked - whether the image mask applies at the current position
end;

Inheritance

TLazIntfImage

Represents a graphical image.
|

TFPCustomImage
?

TObject

Description

This descendant of TFPCustomImage stores the image data as TRawImage, and is therefore able to interchange images directly with the LCL interfaces.

A large number of the protected methods (GetColorxxxxxx and SetColorxxxxxx) deal with direct interface to the operating system at the pixel level

Usage examples:

    1. Loading a .xpm file into a TBitmap:

      var
        BmpHnd,MaskHnd: HBitmap;
        Bitmap1: TBitmap;
        IntfImg1: TLazIntfImage;
        Reader: TLazReaderXPM;
      begin
        // create a bitmap (or use an existing one)
        Bitmap1:=TBitmap.Create;
        // create the raw image
        IntfImg1:=TLazIntfImage.Create(0,0);
        // get the description for the current screen (bitsperpixel, depth, ...)
        IntfImg1.GetDescriptionFromDevice(0);
        // create the XPM reader
        Reader:=TLazReaderXPM.Create;
        // load the image
        IntfImg1.LoadFromFile('filename.xpm',Reader);
        // create the bitmap handles
        IntfImg1.CreateBitmap(BmpHnd,MaskHnd);
        // apply handles to the Bitmap1
        Bitmap1.Handle:=BmpHnd;
        Bitmap1.MaskHandle:=MaskHnd;
        // clean up
        Reader.Free;
        IntfImg1.Free;
        // do something with the Bitmap1
        ...
      end;

    2. Saving a TBitmap to a .xpm file:

      var
        BmpHnd,MaskHnd: HBitmap;
        Bitmap1: TBitmap;
        IntfImg1: TLazIntfImage;
        Writer: TLazWriterXPM;
      begin
        ...
        // create the raw image
        IntfImg1:=TLazIntfImage.Create(0,0);
        // load the raw image from the bitmap handles
        IntfImg1.LoadFromBitmap(Bitmap1.Handle,Bitmap1.MaskHandle);
        // create the XPM writer
        Writer:=TLazWriterXPM.Create;
        // save image to file
        IntfImg1.SaveToFile('filename.xpm',Writer);
        // clean up
        Writer.Free;
        IntfImg1.Free;
        ...
      end;
    }


TLazIntfImage
 | ro | PixelData
 | ro | MaskData
 |  | DataDescription
 |  | TColors
 |  | Masked


ro | MaskData (TLazIntfImage)
 | Masked (TLazIntfImage)
ro | PixelData (TLazIntfImage)
 | TColors (TLazIntfImage)


TLazIntfImage
pt | SetUsePalette
pt | SetInternalColor
pt | GetInternalColor
pt | SetInternalPixel
pt | GetInternalPixel
pt | FreeData
pt | SetDataDescription
pt | ChooseGetSetColorFunctions
pt | ChooseRawBitsProc
pt | GetColor_Generic
pt | GetColor_RGBA_NoPalette
pt | GetColor_RGB_NoPalette
pt | GetColor_Gray_NoPalette
pt | GetColor_GrayAlpha_NoPalette
pt | GetColor_NULL
pt | GetColor_BPP32_A8R8G8B8_BIO_TTB
pt | GetColor_BPP32_A8B8G8R8_BIO_TTB
pt | GetColor_BPP32_A8G8R8B8_BIO_TTB
pt | GetColor_BPP32_A8G8B8R8_BIO_TTB
pt | GetColor_BPP32_A8R8B8G8_BIO_TTB
pt | GetColor_BPP32_A8B8R8G8_BIO_TTB
pt | GetColor_BPP32_B8G8R8A8_BIO_TTB
pt | GetColor_BPP32_R8G8B8A8_BIO_TTB
pt | GetColor_BPP32_G8B8R8A8_BIO_TTB
pt | GetColor_BPP32_G8R8B8A8_BIO_TTB
pt | GetColor_BPP32_B8R8G8A8_BIO_TTB
pt | GetColor_BPP32_R8B8G8A8_BIO_TTB
pt | GetColor_BPP32_X8R8G8B8_BIO_TTB
pt | GetColor_BPP32_X8B8G8R8_BIO_TTB
pt | GetColor_BPP32_X8G8R8B8_BIO_TTB
pt | GetColor_BPP32_X8G8B8R8_BIO_TTB
pt | GetColor_BPP32_X8R8B8G8_BIO_TTB
pt | GetColor_BPP32_X8B8R8G8_BIO_TTB
pt | GetColor_BPP32_B8G8R8X8_BIO_TTB
pt | GetColor_BPP32_R8G8B8X8_BIO_TTB
pt | GetColor_BPP32_G8B8R8X8_BIO_TTB
pt | GetColor_BPP32_G8R8B8X8_BIO_TTB
pt | GetColor_BPP32_B8R8G8X8_BIO_TTB
pt | GetColor_BPP32_R8B8G8X8_BIO_TTB
pt | GetColor_BPP24_B8G8R8_BIO_TTB
pt | GetColor_BPP24_R8G8B8_BIO_TTB
pt | GetColor_BPP24_G8B8R8_BIO_TTB
pt | GetColor_BPP24_G8R8B8_BIO_TTB
pt | GetColor_BPP24_B8R8G8_BIO_TTB
pt | GetColor_BPP24_R8B8G8_BIO_TTB
pt | GetMask_Generic
pt | SetColor_Generic
pt | SetColor_RGBA_NoPalette
pt | SetColor_RGB_NoPalette
pt | SetColor_Gray_NoPalette
pt | SetColor_GrayAlpha_NoPalette
pt | SetColor_NULL
pt | SetColor_BPP32_A8R8G8B8_BIO_TTB
pt | SetColor_BPP32_A8B8G8R8_BIO_TTB
pt | SetColor_BPP32_A8G8R8B8_BIO_TTB
pt | SetColor_BPP32_A8G8B8R8_BIO_TTB
pt | SetColor_BPP32_A8R8B8G8_BIO_TTB
pt | SetColor_BPP32_A8B8R8G8_BIO_TTB
pt | SetColor_BPP32_B8G8R8A8_BIO_TTB
pt | SetColor_BPP32_R8G8B8A8_BIO_TTB
pt | SetColor_BPP32_G8B8R8A8_BIO_TTB
pt | SetColor_BPP32_G8R8B8A8_BIO_TTB
pt | SetColor_BPP32_B8R8G8A8_BIO_TTB
pt | SetColor_BPP32_R8B8G8A8_BIO_TTB
pt | SetColor_BPP32_X8R8G8B8_BIO_TTB
pt | SetColor_BPP32_X8B8G8R8_BIO_TTB
pt | SetColor_BPP32_X8G8R8B8_BIO_TTB
pt | SetColor_BPP32_X8G8B8R8_BIO_TTB
pt | SetColor_BPP32_X8R8B8G8_BIO_TTB
pt | SetColor_BPP32_X8B8R8G8_BIO_TTB
pt | SetColor_BPP32_B8G8R8X8_BIO_TTB
pt | SetColor_BPP32_R8G8B8X8_BIO_TTB
pt | SetColor_BPP32_G8B8R8X8_BIO_TTB
pt | SetColor_BPP32_G8R8B8X8_BIO_TTB
pt | SetColor_BPP32_B8R8G8X8_BIO_TTB
pt | SetColor_BPP32_R8B8G8X8_BIO_TTB
pt | SetColor_BPP24_B8G8R8_BIO_TTB
pt | SetColor_BPP24_R8G8B8_BIO_TTB
pt | SetColor_BPP24_G8B8R8_BIO_TTB
pt | SetColor_BPP24_G8R8B8_BIO_TTB
pt | SetColor_BPP24_B8R8G8_BIO_TTB
pt | SetColor_BPP24_R8B8G8_BIO_TTB
pt | SetMask_Generic
 | Create
 | CreateCompatible
 | Destroy
 | Assign
 | BeginUpdate
 | EndUpdate
 | SetSize
 | CheckDescription
 | LoadFromDevice
 | LoadFromBitmap
 | CreateBitmaps
 | SetRawImage
 | GetRawImage
 | FillPixels
 | CopyPixels
 | AlphaBlend
 | AlphaFromMask
 | Mask
 | GetXYDataPosition
 | GetXYMaskPosition
 | GetDataLineStart
 | CreateData
 | HasTransparency
 | HasMask
 | SetDataDescriptionKeepData


 | AlphaBlend (TLazIntfImage)
 | AlphaFromMask (TLazIntfImage)
 | Assign (TLazIntfImage)
 | BeginUpdate (TLazIntfImage)
 | CheckDescription (TLazIntfImage)
pt | ChooseGetSetColorFunctions (TLazIntfImage)
pt | ChooseRawBitsProc (TLazIntfImage)
 | CopyPixels (TLazIntfImage)
 | Create (TLazIntfImage)
 | CreateBitmaps (TLazIntfImage)
 | CreateCompatible (TLazIntfImage)
 | CreateData (TLazIntfImage)
 | Destroy (TLazIntfImage)
 | EndUpdate (TLazIntfImage)
 | FillPixels (TLazIntfImage)
pt | FreeData (TLazIntfImage)
pt | GetColor_BPP24_B8G8R8_BIO_TTB (TLazIntfImage)
pt | GetColor_BPP24_B8R8G8_BIO_TTB (TLazIntfImage)
pt | GetColor_BPP24_G8B8R8_BIO_TTB (TLazIntfImage)
pt | GetColor_BPP24_G8R8B8_BIO_TTB (TLazIntfImage)
pt | GetColor_BPP24_R8B8G8_BIO_TTB (TLazIntfImage)
pt | GetColor_BPP24_R8G8B8_BIO_TTB (TLazIntfImage)
pt | GetColor_BPP32_A8B8G8R8_BIO_TTB (TLazIntfImage)
pt | GetColor_BPP32_A8B8R8G8_BIO_TTB (TLazIntfImage)
pt | GetColor_BPP32_A8G8B8R8_BIO_TTB (TLazIntfImage)
pt | GetColor_BPP32_A8G8R8B8_BIO_TTB (TLazIntfImage)
pt | GetColor_BPP32_A8R8B8G8_BIO_TTB (TLazIntfImage)
pt | GetColor_BPP32_A8R8G8B8_BIO_TTB (TLazIntfImage)
pt | GetColor_BPP32_B8G8R8A8_BIO_TTB (TLazIntfImage)
pt | GetColor_BPP32_B8G8R8X8_BIO_TTB (TLazIntfImage)
pt | GetColor_BPP32_B8R8G8A8_BIO_TTB (TLazIntfImage)
pt | GetColor_BPP32_B8R8G8X8_BIO_TTB (TLazIntfImage)
pt | GetColor_BPP32_G8B8R8A8_BIO_TTB (TLazIntfImage)
pt | GetColor_BPP32_G8B8R8X8_BIO_TTB (TLazIntfImage)
pt | GetColor_BPP32_G8R8B8A8_BIO_TTB (TLazIntfImage)
pt | GetColor_BPP32_G8R8B8X8_BIO_TTB (TLazIntfImage)
pt | GetColor_BPP32_R8B8G8A8_BIO_TTB (TLazIntfImage)
pt | GetColor_BPP32_R8B8G8X8_BIO_TTB (TLazIntfImage)
pt | GetColor_BPP32_R8G8B8A8_BIO_TTB (TLazIntfImage)
pt | GetColor_BPP32_R8G8B8X8_BIO_TTB (TLazIntfImage)
pt | GetColor_BPP32_X8B8G8R8_BIO_TTB (TLazIntfImage)
pt | GetColor_BPP32_X8B8R8G8_BIO_TTB (TLazIntfImage)
pt | GetColor_BPP32_X8G8B8R8_BIO_TTB (TLazIntfImage)
pt | GetColor_BPP32_X8G8R8B8_BIO_TTB (TLazIntfImage)
pt | GetColor_BPP32_X8R8B8G8_BIO_TTB (TLazIntfImage)
pt | GetColor_BPP32_X8R8G8B8_BIO_TTB (TLazIntfImage)
pt | GetColor_Generic (TLazIntfImage)
pt | GetColor_GrayAlpha_NoPalette (TLazIntfImage)
pt | GetColor_Gray_NoPalette (TLazIntfImage)
pt | GetColor_NULL (TLazIntfImage)
pt | GetColor_RGBA_NoPalette (TLazIntfImage)
pt | GetColor_RGB_NoPalette (TLazIntfImage)
 | GetDataLineStart (TLazIntfImage)
pt | GetInternalColor (TLazIntfImage)
pt | GetInternalPixel (TLazIntfImage)
pt | GetMask_Generic (TLazIntfImage)
 | GetRawImage (TLazIntfImage)
 | GetXYDataPosition (TLazIntfImage)
 | GetXYMaskPosition (TLazIntfImage)
 | HasMask (TLazIntfImage)
 | HasTransparency (TLazIntfImage)
 | LoadFromBitmap (TLazIntfImage)
 | LoadFromDevice (TLazIntfImage)
 | Mask (TLazIntfImage)
pt | SetColor_BPP24_B8G8R8_BIO_TTB (TLazIntfImage)
pt | SetColor_BPP24_B8R8G8_BIO_TTB (TLazIntfImage)
pt | SetColor_BPP24_G8B8R8_BIO_TTB (TLazIntfImage)
pt | SetColor_BPP24_G8R8B8_BIO_TTB (TLazIntfImage)
pt | SetColor_BPP24_R8B8G8_BIO_TTB (TLazIntfImage)
pt | SetColor_BPP24_R8G8B8_BIO_TTB (TLazIntfImage)
pt | SetColor_BPP32_A8B8G8R8_BIO_TTB (TLazIntfImage)
pt | SetColor_BPP32_A8B8R8G8_BIO_TTB (TLazIntfImage)
pt | SetColor_BPP32_A8G8B8R8_BIO_TTB (TLazIntfImage)
pt | SetColor_BPP32_A8G8R8B8_BIO_TTB (TLazIntfImage)
pt | SetColor_BPP32_A8R8B8G8_BIO_TTB (TLazIntfImage)
pt | SetColor_BPP32_A8R8G8B8_BIO_TTB (TLazIntfImage)
pt | SetColor_BPP32_B8G8R8A8_BIO_TTB (TLazIntfImage)
pt | SetColor_BPP32_B8G8R8X8_BIO_TTB (TLazIntfImage)
pt | SetColor_BPP32_B8R8G8A8_BIO_TTB (TLazIntfImage)
pt | SetColor_BPP32_B8R8G8X8_BIO_TTB (TLazIntfImage)
pt | SetColor_BPP32_G8B8R8A8_BIO_TTB (TLazIntfImage)
pt | SetColor_BPP32_G8B8R8X8_BIO_TTB (TLazIntfImage)
pt | SetColor_BPP32_G8R8B8A8_BIO_TTB (TLazIntfImage)
pt | SetColor_BPP32_G8R8B8X8_BIO_TTB (TLazIntfImage)
pt | SetColor_BPP32_R8B8G8A8_BIO_TTB (TLazIntfImage)
pt | SetColor_BPP32_R8B8G8X8_BIO_TTB (TLazIntfImage)
pt | SetColor_BPP32_R8G8B8A8_BIO_TTB (TLazIntfImage)
pt | SetColor_BPP32_R8G8B8X8_BIO_TTB (TLazIntfImage)
pt | SetColor_BPP32_X8B8G8R8_BIO_TTB (TLazIntfImage)
pt | SetColor_BPP32_X8B8R8G8_BIO_TTB (TLazIntfImage)
pt | SetColor_BPP32_X8G8B8R8_BIO_TTB (TLazIntfImage)
pt | SetColor_BPP32_X8G8R8B8_BIO_TTB (TLazIntfImage)
pt | SetColor_BPP32_X8R8B8G8_BIO_TTB (TLazIntfImage)
pt | SetColor_BPP32_X8R8G8B8_BIO_TTB (TLazIntfImage)
pt | SetColor_Generic (TLazIntfImage)
pt | SetColor_GrayAlpha_NoPalette (TLazIntfImage)
pt | SetColor_Gray_NoPalette (TLazIntfImage)
pt | SetColor_NULL (TLazIntfImage)
pt | SetColor_RGBA_NoPalette (TLazIntfImage)
pt | SetColor_RGB_NoPalette (TLazIntfImage)
pt | SetDataDescription (TLazIntfImage)
 | SetDataDescriptionKeepData (TLazIntfImage)
pt | SetInternalColor (TLazIntfImage)
pt | SetInternalPixel (TLazIntfImage)
pt | SetMask_Generic (TLazIntfImage)
 | SetRawImage (TLazIntfImage)
 | SetSize (TLazIntfImage)
pt | SetUsePalette (TLazIntfImage)


TLazIntfImage


TLazIntfImage.AlphaBlend

Declaration

Source position: intfgraphics.pas line 252

public procedure TLazIntfImage.AlphaBlend(

  ASource: TLazIntfImage;

  ASourceAlpha: TLazIntfImage;

  const ADestX: Integer;

  const ADestY: Integer

);


TLazIntfImage.AlphaFromMask

AlphaFromMask - gets the alpha value from the mask if AKeepAlpha is True (default condition)

Declaration

Source position: intfgraphics.pas line 253

public procedure TLazIntfImage.AlphaFromMask(

  AKeepAlpha: Boolean = True

);


TLazIntfImage.Assign

Declaration

Source position: intfgraphics.pas line 238

public procedure TLazIntfImage.Assign(

  Source: TPersistent

); override;


TLazIntfImage.BeginUpdate

Declaration

Source position: intfgraphics.pas line 239

public procedure TLazIntfImage.BeginUpdate;


TLazIntfImage.CheckDescription

CheckDescription - looks at the supplied Image Description record and returns True if it matches the actual properties of the image

Declaration

Source position: intfgraphics.pas line 242

public function TLazIntfImage.CheckDescription(

  const ADescription: TRawImageDescription;

  ExceptionOnError: Boolean

):Boolean; virtual;

Errors

Generates an exception if an error is encountered in the image description


TLazIntfImage.ChooseGetSetColorFunctions

Declaration

Source position: intfgraphics.pas line 141

protected procedure TLazIntfImage.ChooseGetSetColorFunctions; virtual;


TLazIntfImage.ChooseRawBitsProc

Declaration

Source position: intfgraphics.pas line 142

protected procedure TLazIntfImage.ChooseRawBitsProc(

  BitsPerPixel: Cardinal;

  ByteOrder: TRawImageByteOrder;

  BitOrder: TRawImageBitOrder;

  out ProcReadRawImageBits: TOnReadRawImageBits;

  out ProcWriteRawImageBits: TOnWriteRawImageBits

);


TLazIntfImage.CopyPixels

Declaration

Source position: intfgraphics.pas line 250

public procedure TLazIntfImage.CopyPixels(

  ASource: TFPCustomImage;

  XDst: Integer = 0;

  YDst: Integer = 0;

  AlphaMask: Boolean = False;

  AlphaTreshold: Word = 0

); virtual;


TLazIntfImage.Create

Declaration

Source position: intfgraphics.pas line 233

public constructor TLazIntfImage.Create(

  AWidth: Integer;

  AHeight: Integer

); override;

constructor TLazIntfImage.Create(

  AWidth: Integer;

  AHeight: Integer;

  AFlags: TRawImageQueryFlags

);

constructor TLazIntfImage.Create(

  ARawImage: TRawImage;

  ADataOwner: Boolean

);


TLazIntfImage.CreateBitmaps

CreateBitmaps - generates a Bitmap from the image data

Declaration

Source position: intfgraphics.pas line 246

public procedure TLazIntfImage.CreateBitmaps(

  out ABitmap: HBITMAP;

  out AMask: HBITMAP;

  ASkipMask: Boolean = False

); virtual;


TLazIntfImage.CreateCompatible

Declaration

Source position: intfgraphics.pas line 236

public constructor TLazIntfImage.CreateCompatible(

  IntfImg: TLazIntfImage;

  AWidth: Integer;

  AHeight: Integer

);


TLazIntfImage.CreateData

Declaration

Source position: intfgraphics.pas line 258

public procedure TLazIntfImage.CreateData; virtual;


TLazIntfImage.DataDescription

DataDescription - the raw description record for the current image

Declaration

Source position: intfgraphics.pas line 265

public property TLazIntfImage.DataDescription : TRawImageDescription
  read FRawImage.Description
  write SetDataDescription;


TLazIntfImage.Destroy

Declaration

Source position: intfgraphics.pas line 237

public destructor TLazIntfImage.Destroy; override;


TLazIntfImage.EndUpdate

Declaration

Source position: intfgraphics.pas line 240

public procedure TLazIntfImage.EndUpdate;


TLazIntfImage.FGetInternalColorProc

Declaration

Source position: intfgraphics.pas line 132

protected TLazIntfImage.FGetInternalColorProc : TLazIntfImageGetPixelProc;


TLazIntfImage.FillPixels

Declaration

Source position: intfgraphics.pas line 249

public procedure TLazIntfImage.FillPixels(

  const Color: TFPColor

); virtual;


TLazIntfImage.FreeData

Declaration

Source position: intfgraphics.pas line 139

protected procedure TLazIntfImage.FreeData; virtual;


TLazIntfImage.FSetInternalColorProc

Declaration

Source position: intfgraphics.pas line 133

protected TLazIntfImage.FSetInternalColorProc : TLazIntfImageSetPixelProc;


TLazIntfImage.GetColor_BPP24_B8G8R8_BIO_TTB

Declaration

Source position: intfgraphics.pas line 181

protected procedure TLazIntfImage.GetColor_BPP24_B8G8R8_BIO_TTB(

  x: Integer;

  y: Integer;

  out Value: TFPColor

);


TLazIntfImage.GetColor_BPP24_B8R8G8_BIO_TTB

Declaration

Source position: intfgraphics.pas line 185

protected procedure TLazIntfImage.GetColor_BPP24_B8R8G8_BIO_TTB(

  x: Integer;

  y: Integer;

  out Value: TFPColor

);


TLazIntfImage.GetColor_BPP24_G8B8R8_BIO_TTB

Declaration

Source position: intfgraphics.pas line 183

protected procedure TLazIntfImage.GetColor_BPP24_G8B8R8_BIO_TTB(

  x: Integer;

  y: Integer;

  out Value: TFPColor

);


TLazIntfImage.GetColor_BPP24_G8R8B8_BIO_TTB

Declaration

Source position: intfgraphics.pas line 184

protected procedure TLazIntfImage.GetColor_BPP24_G8R8B8_BIO_TTB(

  x: Integer;

  y: Integer;

  out Value: TFPColor

);


TLazIntfImage.GetColor_BPP24_R8B8G8_BIO_TTB

Declaration

Source position: intfgraphics.pas line 186

protected procedure TLazIntfImage.GetColor_BPP24_R8B8G8_BIO_TTB(

  x: Integer;

  y: Integer;

  out Value: TFPColor

);


TLazIntfImage.GetColor_BPP24_R8G8B8_BIO_TTB

Declaration

Source position: intfgraphics.pas line 182

protected procedure TLazIntfImage.GetColor_BPP24_R8G8B8_BIO_TTB(

  x: Integer;

  y: Integer;

  out Value: TFPColor

);


TLazIntfImage.GetColor_BPP32_A8B8G8R8_BIO_TTB

Declaration

Source position: intfgraphics.pas line 156

protected procedure TLazIntfImage.GetColor_BPP32_A8B8G8R8_BIO_TTB(

  x: Integer;

  y: Integer;

  out Value: TFPColor

);


TLazIntfImage.GetColor_BPP32_A8B8R8G8_BIO_TTB

Declaration

Source position: intfgraphics.pas line 160

protected procedure TLazIntfImage.GetColor_BPP32_A8B8R8G8_BIO_TTB(

  x: Integer;

  y: Integer;

  out Value: TFPColor

);


TLazIntfImage.GetColor_BPP32_A8G8B8R8_BIO_TTB

Declaration

Source position: intfgraphics.pas line 158

protected procedure TLazIntfImage.GetColor_BPP32_A8G8B8R8_BIO_TTB(

  x: Integer;

  y: Integer;

  out Value: TFPColor

);


TLazIntfImage.GetColor_BPP32_A8G8R8B8_BIO_TTB

Declaration

Source position: intfgraphics.pas line 157

protected procedure TLazIntfImage.GetColor_BPP32_A8G8R8B8_BIO_TTB(

  x: Integer;

  y: Integer;

  out Value: TFPColor

);


TLazIntfImage.GetColor_BPP32_A8R8B8G8_BIO_TTB

Declaration

Source position: intfgraphics.pas line 159

protected procedure TLazIntfImage.GetColor_BPP32_A8R8B8G8_BIO_TTB(

  x: Integer;

  y: Integer;

  out Value: TFPColor

);


TLazIntfImage.GetColor_BPP32_A8R8G8B8_BIO_TTB

Declaration

Source position: intfgraphics.pas line 155

protected procedure TLazIntfImage.GetColor_BPP32_A8R8G8B8_BIO_TTB(

  x: Integer;

  y: Integer;

  out Value: TFPColor

);


TLazIntfImage.GetColor_BPP32_B8G8R8A8_BIO_TTB

Declaration

Source position: intfgraphics.pas line 161

protected procedure TLazIntfImage.GetColor_BPP32_B8G8R8A8_BIO_TTB(

  x: Integer;

  y: Integer;

  out Value: TFPColor

);


TLazIntfImage.GetColor_BPP32_B8G8R8X8_BIO_TTB

Declaration

Source position: intfgraphics.pas line 174

protected procedure TLazIntfImage.GetColor_BPP32_B8G8R8X8_BIO_TTB(

  x: Integer;

  y: Integer;

  out Value: TFPColor

);


TLazIntfImage.GetColor_BPP32_B8R8G8A8_BIO_TTB

Declaration

Source position: intfgraphics.pas line 165

protected procedure TLazIntfImage.GetColor_BPP32_B8R8G8A8_BIO_TTB(

  x: Integer;

  y: Integer;

  out Value: TFPColor

);


TLazIntfImage.GetColor_BPP32_B8R8G8X8_BIO_TTB

Declaration

Source position: intfgraphics.pas line 178

protected procedure TLazIntfImage.GetColor_BPP32_B8R8G8X8_BIO_TTB(

  x: Integer;

  y: Integer;

  out Value: TFPColor

);


TLazIntfImage.GetColor_BPP32_G8B8R8A8_BIO_TTB

Declaration

Source position: intfgraphics.pas line 163

protected procedure TLazIntfImage.GetColor_BPP32_G8B8R8A8_BIO_TTB(

  x: Integer;

  y: Integer;

  out Value: TFPColor

);


TLazIntfImage.GetColor_BPP32_G8B8R8X8_BIO_TTB

Declaration

Source position: intfgraphics.pas line 176

protected procedure TLazIntfImage.GetColor_BPP32_G8B8R8X8_BIO_TTB(

  x: Integer;

  y: Integer;

  out Value: TFPColor

);


TLazIntfImage.GetColor_BPP32_G8R8B8A8_BIO_TTB

Declaration

Source position: intfgraphics.pas line 164

protected procedure TLazIntfImage.GetColor_BPP32_G8R8B8A8_BIO_TTB(

  x: Integer;

  y: Integer;

  out Value: TFPColor

);


TLazIntfImage.GetColor_BPP32_G8R8B8X8_BIO_TTB

Declaration

Source position: intfgraphics.pas line 177

protected procedure TLazIntfImage.GetColor_BPP32_G8R8B8X8_BIO_TTB(

  x: Integer;

  y: Integer;

  out Value: TFPColor

);


TLazIntfImage.GetColor_BPP32_R8B8G8A8_BIO_TTB

Declaration

Source position: intfgraphics.pas line 166

protected procedure TLazIntfImage.GetColor_BPP32_R8B8G8A8_BIO_TTB(

  x: Integer;

  y: Integer;

  out Value: TFPColor

);


TLazIntfImage.GetColor_BPP32_R8B8G8X8_BIO_TTB

Declaration

Source position: intfgraphics.pas line 179

protected procedure TLazIntfImage.GetColor_BPP32_R8B8G8X8_BIO_TTB(

  x: Integer;

  y: Integer;

  out Value: TFPColor

);


TLazIntfImage.GetColor_BPP32_R8G8B8A8_BIO_TTB

Declaration

Source position: intfgraphics.pas line 162

protected procedure TLazIntfImage.GetColor_BPP32_R8G8B8A8_BIO_TTB(

  x: Integer;

  y: Integer;

  out Value: TFPColor

);


TLazIntfImage.GetColor_BPP32_R8G8B8X8_BIO_TTB

Declaration

Source position: intfgraphics.pas line 175

protected procedure TLazIntfImage.GetColor_BPP32_R8G8B8X8_BIO_TTB(

  x: Integer;

  y: Integer;

  out Value: TFPColor

);


TLazIntfImage.GetColor_BPP32_X8B8G8R8_BIO_TTB

Declaration

Source position: intfgraphics.pas line 169

protected procedure TLazIntfImage.GetColor_BPP32_X8B8G8R8_BIO_TTB(

  x: Integer;

  y: Integer;

  out Value: TFPColor

);


TLazIntfImage.GetColor_BPP32_X8B8R8G8_BIO_TTB

Declaration

Source position: intfgraphics.pas line 173

protected procedure TLazIntfImage.GetColor_BPP32_X8B8R8G8_BIO_TTB(

  x: Integer;

  y: Integer;

  out Value: TFPColor

);


TLazIntfImage.GetColor_BPP32_X8G8B8R8_BIO_TTB

Declaration

Source position: intfgraphics.pas line 171

protected procedure TLazIntfImage.GetColor_BPP32_X8G8B8R8_BIO_TTB(

  x: Integer;

  y: Integer;

  out Value: TFPColor

);


TLazIntfImage.GetColor_BPP32_X8G8R8B8_BIO_TTB

Declaration

Source position: intfgraphics.pas line 170

protected procedure TLazIntfImage.GetColor_BPP32_X8G8R8B8_BIO_TTB(

  x: Integer;

  y: Integer;

  out Value: TFPColor

);


TLazIntfImage.GetColor_BPP32_X8R8B8G8_BIO_TTB

Declaration

Source position: intfgraphics.pas line 172

protected procedure TLazIntfImage.GetColor_BPP32_X8R8B8G8_BIO_TTB(

  x: Integer;

  y: Integer;

  out Value: TFPColor

);


TLazIntfImage.GetColor_BPP32_X8R8G8B8_BIO_TTB

Declaration

Source position: intfgraphics.pas line 168

protected procedure TLazIntfImage.GetColor_BPP32_X8R8G8B8_BIO_TTB(

  x: Integer;

  y: Integer;

  out Value: TFPColor

);


TLazIntfImage.GetColor_Generic

Declaration

Source position: intfgraphics.pas line 148

protected procedure TLazIntfImage.GetColor_Generic(

  x: Integer;

  y: Integer;

  out Value: TFPColor

);


TLazIntfImage.GetColor_Gray_NoPalette

Declaration

Source position: intfgraphics.pas line 151

protected procedure TLazIntfImage.GetColor_Gray_NoPalette(

  x: Integer;

  y: Integer;

  out Value: TFPColor

);


TLazIntfImage.GetColor_GrayAlpha_NoPalette

Declaration

Source position: intfgraphics.pas line 152

protected procedure TLazIntfImage.GetColor_GrayAlpha_NoPalette(

  x: Integer;

  y: Integer;

  out Value: TFPColor

);


TLazIntfImage.GetColor_NULL

Declaration

Source position: intfgraphics.pas line 153

protected procedure TLazIntfImage.GetColor_NULL(

  x: Integer;

  y: Integer;

  out Value: TFPColor

);


TLazIntfImage.GetColor_RGB_NoPalette

Declaration

Source position: intfgraphics.pas line 150

protected procedure TLazIntfImage.GetColor_RGB_NoPalette(

  x: Integer;

  y: Integer;

  out Value: TFPColor

);


TLazIntfImage.GetColor_RGBA_NoPalette

Declaration

Source position: intfgraphics.pas line 149

protected procedure TLazIntfImage.GetColor_RGBA_NoPalette(

  x: Integer;

  y: Integer;

  out Value: TFPColor

);


TLazIntfImage.GetDataLineStart

Returns an pointer to the scanline raw data.

Declaration

Source position: intfgraphics.pas line 257

public function TLazIntfImage.GetDataLineStart(

  y: Integer

):Pointer;


TLazIntfImage.GetInternalColor

Declaration

Source position: intfgraphics.pas line 136

protected function TLazIntfImage.GetInternalColor(

  x: Integer;

  y: Integer

):TFPColor; override;


TLazIntfImage.GetInternalPixel

Declaration

Source position: intfgraphics.pas line 138

protected function TLazIntfImage.GetInternalPixel(

  x: Integer;

  y: Integer

):Integer; override;


TLazIntfImage.GetMask_Generic

Declaration

Source position: intfgraphics.pas line 188

protected procedure TLazIntfImage.GetMask_Generic(

  x: Integer;

  y: Integer;

  out AValue: Boolean

);


TLazIntfImage.GetRawImage

Declaration

Source position: intfgraphics.pas line 248

public procedure TLazIntfImage.GetRawImage(

  out ARawImage: TRawImage;

  ATransferOwnership: Boolean = False

); virtual;


TLazIntfImage.GetXYDataPosition

Declaration

Source position: intfgraphics.pas line 255

public procedure TLazIntfImage.GetXYDataPosition(

  x: Integer;

  y: Integer;

  out Position: TRawImagePosition

);


TLazIntfImage.GetXYMaskPosition

Declaration

Source position: intfgraphics.pas line 256

public procedure TLazIntfImage.GetXYMaskPosition(

  x: Integer;

  y: Integer;

  out Position: TRawImagePosition

);


TLazIntfImage.HasMask

Declaration

Source position: intfgraphics.pas line 260

public function TLazIntfImage.HasMask: Boolean; virtual;


TLazIntfImage.HasTransparency

Declaration

Source position: intfgraphics.pas line 259

public function TLazIntfImage.HasTransparency: Boolean; virtual;


TLazIntfImage.LoadFromBitmap

LoadFromBitmap - loads the image from a Bitmap

Declaration

Source position: intfgraphics.pas line 245

public procedure TLazIntfImage.LoadFromBitmap(

  ABitmap: HBITMAP;

  AMaskBitmap: HBITMAP;

  AWidth: Integer = - 1;

  AHeight: Integer = - 1

); virtual;


TLazIntfImage.LoadFromDevice

LoadFromDevice - loads the image from the device with specified handle

Declaration

Source position: intfgraphics.pas line 244

public procedure TLazIntfImage.LoadFromDevice(

  DC: HDC

); virtual;


TLazIntfImage.Mask

Declaration

Source position: intfgraphics.pas line 254

public procedure TLazIntfImage.Mask(

  const AColor: TFPColor;

  AKeepOldMask: Boolean = False

);


TLazIntfImage.MaskData

MaskData - the raw mask data for the current pixel

Declaration

Source position: intfgraphics.pas line 264

public property TLazIntfImage.MaskData : PByte
  read FRawImage.Mask;


TLazIntfImage.Masked

Masked - whether the image mask applies at the current position

Declaration

Source position: intfgraphics.pas line 268

public property TLazIntfImage.Masked[x: Integer,y: Integer] : Boolean
  read GetMasked
  write SetMasked;


TLazIntfImage.PixelData

PixelData - the raw data for the current pixel

Declaration

Source position: intfgraphics.pas line 263

public property TLazIntfImage.PixelData : PByte
  read FRawImage.Data;


TLazIntfImage.SetColor_BPP24_B8G8R8_BIO_TTB

Declaration

Source position: intfgraphics.pas line 224

protected procedure TLazIntfImage.SetColor_BPP24_B8G8R8_BIO_TTB(

  x: Integer;

  y: Integer;

  const Value: TFPColor

);


TLazIntfImage.SetColor_BPP24_B8R8G8_BIO_TTB

Declaration

Source position: intfgraphics.pas line 228

protected procedure TLazIntfImage.SetColor_BPP24_B8R8G8_BIO_TTB(

  x: Integer;

  y: Integer;

  const Value: TFPColor

);


TLazIntfImage.SetColor_BPP24_G8B8R8_BIO_TTB

Declaration

Source position: intfgraphics.pas line 226

protected procedure TLazIntfImage.SetColor_BPP24_G8B8R8_BIO_TTB(

  x: Integer;

  y: Integer;

  const Value: TFPColor

);


TLazIntfImage.SetColor_BPP24_G8R8B8_BIO_TTB

Declaration

Source position: intfgraphics.pas line 227

protected procedure TLazIntfImage.SetColor_BPP24_G8R8B8_BIO_TTB(

  x: Integer;

  y: Integer;

  const Value: TFPColor

);


TLazIntfImage.SetColor_BPP24_R8B8G8_BIO_TTB

Declaration

Source position: intfgraphics.pas line 229

protected procedure TLazIntfImage.SetColor_BPP24_R8B8G8_BIO_TTB(

  x: Integer;

  y: Integer;

  const Value: TFPColor

);


TLazIntfImage.SetColor_BPP24_R8G8B8_BIO_TTB

Declaration

Source position: intfgraphics.pas line 225

protected procedure TLazIntfImage.SetColor_BPP24_R8G8B8_BIO_TTB(

  x: Integer;

  y: Integer;

  const Value: TFPColor

);


TLazIntfImage.SetColor_BPP32_A8B8G8R8_BIO_TTB

Declaration

Source position: intfgraphics.pas line 199

protected procedure TLazIntfImage.SetColor_BPP32_A8B8G8R8_BIO_TTB(

  x: Integer;

  y: Integer;

  const Value: TFPColor

);


TLazIntfImage.SetColor_BPP32_A8B8R8G8_BIO_TTB

Declaration

Source position: intfgraphics.pas line 203

protected procedure TLazIntfImage.SetColor_BPP32_A8B8R8G8_BIO_TTB(

  x: Integer;

  y: Integer;

  const Value: TFPColor

);


TLazIntfImage.SetColor_BPP32_A8G8B8R8_BIO_TTB

Declaration

Source position: intfgraphics.pas line 201

protected procedure TLazIntfImage.SetColor_BPP32_A8G8B8R8_BIO_TTB(

  x: Integer;

  y: Integer;

  const Value: TFPColor

);


TLazIntfImage.SetColor_BPP32_A8G8R8B8_BIO_TTB

Declaration

Source position: intfgraphics.pas line 200

protected procedure TLazIntfImage.SetColor_BPP32_A8G8R8B8_BIO_TTB(

  x: Integer;

  y: Integer;

  const Value: TFPColor

);


TLazIntfImage.SetColor_BPP32_A8R8B8G8_BIO_TTB

Declaration

Source position: intfgraphics.pas line 202

protected procedure TLazIntfImage.SetColor_BPP32_A8R8B8G8_BIO_TTB(

  x: Integer;

  y: Integer;

  const Value: TFPColor

);


TLazIntfImage.SetColor_BPP32_A8R8G8B8_BIO_TTB

Declaration

Source position: intfgraphics.pas line 198

protected procedure TLazIntfImage.SetColor_BPP32_A8R8G8B8_BIO_TTB(

  x: Integer;

  y: Integer;

  const Value: TFPColor

);


TLazIntfImage.SetColor_BPP32_B8G8R8A8_BIO_TTB

Declaration

Source position: intfgraphics.pas line 204

protected procedure TLazIntfImage.SetColor_BPP32_B8G8R8A8_BIO_TTB(

  x: Integer;

  y: Integer;

  const Value: TFPColor

);


TLazIntfImage.SetColor_BPP32_B8G8R8X8_BIO_TTB

Declaration

Source position: intfgraphics.pas line 217

protected procedure TLazIntfImage.SetColor_BPP32_B8G8R8X8_BIO_TTB(

  x: Integer;

  y: Integer;

  const Value: TFPColor

);


TLazIntfImage.SetColor_BPP32_B8R8G8A8_BIO_TTB

Declaration

Source position: intfgraphics.pas line 208

protected procedure TLazIntfImage.SetColor_BPP32_B8R8G8A8_BIO_TTB(

  x: Integer;

  y: Integer;

  const Value: TFPColor

);


TLazIntfImage.SetColor_BPP32_B8R8G8X8_BIO_TTB

Declaration

Source position: intfgraphics.pas line 221

protected procedure TLazIntfImage.SetColor_BPP32_B8R8G8X8_BIO_TTB(

  x: Integer;

  y: Integer;

  const Value: TFPColor

);


TLazIntfImage.SetColor_BPP32_G8B8R8A8_BIO_TTB

Declaration

Source position: intfgraphics.pas line 206

protected procedure TLazIntfImage.SetColor_BPP32_G8B8R8A8_BIO_TTB(

  x: Integer;

  y: Integer;

  const Value: TFPColor

);


TLazIntfImage.SetColor_BPP32_G8B8R8X8_BIO_TTB

Declaration

Source position: intfgraphics.pas line 219

protected procedure TLazIntfImage.SetColor_BPP32_G8B8R8X8_BIO_TTB(

  x: Integer;

  y: Integer;

  const Value: TFPColor

);


TLazIntfImage.SetColor_BPP32_G8R8B8A8_BIO_TTB

Declaration

Source position: intfgraphics.pas line 207

protected procedure TLazIntfImage.SetColor_BPP32_G8R8B8A8_BIO_TTB(

  x: Integer;

  y: Integer;

  const Value: TFPColor

);


TLazIntfImage.SetColor_BPP32_G8R8B8X8_BIO_TTB

Declaration

Source position: intfgraphics.pas line 220

protected procedure TLazIntfImage.SetColor_BPP32_G8R8B8X8_BIO_TTB(

  x: Integer;

  y: Integer;

  const Value: TFPColor

);


TLazIntfImage.SetColor_BPP32_R8B8G8A8_BIO_TTB

Declaration

Source position: intfgraphics.pas line 209

protected procedure TLazIntfImage.SetColor_BPP32_R8B8G8A8_BIO_TTB(

  x: Integer;

  y: Integer;

  const Value: TFPColor

);


TLazIntfImage.SetColor_BPP32_R8B8G8X8_BIO_TTB

Declaration

Source position: intfgraphics.pas line 222

protected procedure TLazIntfImage.SetColor_BPP32_R8B8G8X8_BIO_TTB(

  x: Integer;

  y: Integer;

  const Value: TFPColor

);


TLazIntfImage.SetColor_BPP32_R8G8B8A8_BIO_TTB

Declaration

Source position: intfgraphics.pas line 205

protected procedure TLazIntfImage.SetColor_BPP32_R8G8B8A8_BIO_TTB(

  x: Integer;

  y: Integer;

  const Value: TFPColor

);


TLazIntfImage.SetColor_BPP32_R8G8B8X8_BIO_TTB

Declaration

Source position: intfgraphics.pas line 218

protected procedure TLazIntfImage.SetColor_BPP32_R8G8B8X8_BIO_TTB(

  x: Integer;

  y: Integer;

  const Value: TFPColor

);


TLazIntfImage.SetColor_BPP32_X8B8G8R8_BIO_TTB

Declaration

Source position: intfgraphics.pas line 212

protected procedure TLazIntfImage.SetColor_BPP32_X8B8G8R8_BIO_TTB(

  x: Integer;

  y: Integer;

  const Value: TFPColor

);


TLazIntfImage.SetColor_BPP32_X8B8R8G8_BIO_TTB

Declaration

Source position: intfgraphics.pas line 216

protected procedure TLazIntfImage.SetColor_BPP32_X8B8R8G8_BIO_TTB(

  x: Integer;

  y: Integer;

  const Value: TFPColor

);


TLazIntfImage.SetColor_BPP32_X8G8B8R8_BIO_TTB

Declaration

Source position: intfgraphics.pas line 214

protected procedure TLazIntfImage.SetColor_BPP32_X8G8B8R8_BIO_TTB(

  x: Integer;

  y: Integer;

  const Value: TFPColor

);


TLazIntfImage.SetColor_BPP32_X8G8R8B8_BIO_TTB

Declaration

Source position: intfgraphics.pas line 213

protected procedure TLazIntfImage.SetColor_BPP32_X8G8R8B8_BIO_TTB(

  x: Integer;

  y: Integer;

  const Value: TFPColor

);


TLazIntfImage.SetColor_BPP32_X8R8B8G8_BIO_TTB

Declaration

Source position: intfgraphics.pas line 215

protected procedure TLazIntfImage.SetColor_BPP32_X8R8B8G8_BIO_TTB(

  x: Integer;

  y: Integer;

  const Value: TFPColor

);


TLazIntfImage.SetColor_BPP32_X8R8G8B8_BIO_TTB

Declaration

Source position: intfgraphics.pas line 211

protected procedure TLazIntfImage.SetColor_BPP32_X8R8G8B8_BIO_TTB(

  x: Integer;

  y: Integer;

  const Value: TFPColor

);


TLazIntfImage.SetColor_Generic

Declaration

Source position: intfgraphics.pas line 191

protected procedure TLazIntfImage.SetColor_Generic(

  x: Integer;

  y: Integer;

  const Value: TFPColor

);


TLazIntfImage.SetColor_Gray_NoPalette

Declaration

Source position: intfgraphics.pas line 194

protected procedure TLazIntfImage.SetColor_Gray_NoPalette(

  x: Integer;

  y: Integer;

  const Value: TFPColor

);


TLazIntfImage.SetColor_GrayAlpha_NoPalette

Declaration

Source position: intfgraphics.pas line 195

protected procedure TLazIntfImage.SetColor_GrayAlpha_NoPalette(

  x: Integer;

  y: Integer;

  const Value: TFPColor

);


TLazIntfImage.SetColor_NULL

Declaration

Source position: intfgraphics.pas line 196

protected procedure TLazIntfImage.SetColor_NULL(

  x: Integer;

  y: Integer;

  const Value: TFPColor

);


TLazIntfImage.SetColor_RGB_NoPalette

Declaration

Source position: intfgraphics.pas line 193

protected procedure TLazIntfImage.SetColor_RGB_NoPalette(

  x: Integer;

  y: Integer;

  const Value: TFPColor

);


TLazIntfImage.SetColor_RGBA_NoPalette

Declaration

Source position: intfgraphics.pas line 192

protected procedure TLazIntfImage.SetColor_RGBA_NoPalette(

  x: Integer;

  y: Integer;

  const Value: TFPColor

);


TLazIntfImage.SetDataDescription

Declaration

Source position: intfgraphics.pas line 140

protected procedure TLazIntfImage.SetDataDescription(

  const ADescription: TRawImageDescription

); virtual;


TLazIntfImage.SetDataDescriptionKeepData

Declaration

Source position: intfgraphics.pas line 261

public procedure TLazIntfImage.SetDataDescriptionKeepData(

  const ADescription: TRawImageDescription

);


TLazIntfImage.SetInternalColor

Declaration

Source position: intfgraphics.pas line 135

protected procedure TLazIntfImage.SetInternalColor(

  x: Integer;

  y: Integer;

  const Value: TFPColor

); override;


TLazIntfImage.SetInternalPixel

Declaration

Source position: intfgraphics.pas line 137

protected procedure TLazIntfImage.SetInternalPixel(

  x: Integer;

  y: Integer;

  Value: Integer

); override;


TLazIntfImage.SetMask_Generic

Declaration

Source position: intfgraphics.pas line 231

protected procedure TLazIntfImage.SetMask_Generic(

  x: Integer;

  y: Integer;

  const AValue: Boolean

);


TLazIntfImage.SetRawImage

Declaration

Source position: intfgraphics.pas line 247

public procedure TLazIntfImage.SetRawImage(

  const ARawImage: TRawImage;

  ADataOwner: Boolean = True

); virtual;


TLazIntfImage.SetSize

SetSize - define the height and width of the image

Declaration

Source position: intfgraphics.pas line 241

public procedure TLazIntfImage.SetSize(

  AWidth: Integer;

  AHeight: Integer

); override;


TLazIntfImage.SetUsePalette

Declaration

Source position: intfgraphics.pas line 134

protected procedure TLazIntfImage.SetUsePalette(

  Value: Boolean

); override;


TLazIntfImage.TColors

TColors - the colours available for the present position

Declaration

Source position: intfgraphics.pas line 267

public property TLazIntfImage.TColors[x: Integer,y: Integer] : TGraphicsColor
  read GetTColors
  write SetTColors;


TLazIntfImageGetPixelProc

Declaration

Source position: intfgraphics.pas line 96

type TLazIntfImageGetPixelProc = procedure(

  x: Integer;

  y: Integer;

  out Color: TFPColor

) of object;


TLazIntfImageMask

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

TLazIntfImageMask - applying a mask at the Raw Image level

Declaration

Source position: intfgraphics.pas line 274

type TLazIntfImageMask = class(TFPCustomImage)
protected
procedure SetInternalColor(); override; |
function GetInternalColor(); override; |
procedure SetInternalPixel(); override; |
function GetInternalPixel(); override; |
public
constructor CreateWithImage(); virtual; |
property Image: TLazIntfImage; [r] | Image - the image to which masking is applied
end;

Inheritance

TLazIntfImageMask

TLazIntfImageMask - applying a mask at the Raw Image level
|

TFPCustomImage
?

TObject


TLazIntfImageMask

ro

Image


ro

Image (TLazIntfImageMask)


TLazIntfImageMask
pt | SetInternalColor
pt | GetInternalColor
pt | SetInternalPixel
pt | GetInternalPixel
 | CreateWithImage


pt | GetInternalColor (TLazIntfImageMask)
pt | GetInternalPixel (TLazIntfImageMask)
pt | SetInternalColor (TLazIntfImageMask)
pt | SetInternalPixel (TLazIntfImageMask)


TLazIntfImageMask


TLazIntfImageMask.CreateWithImage

Declaration

Source position: intfgraphics.pas line 283

public constructor TLazIntfImageMask.CreateWithImage(

  TheImage: TLazIntfImage

); virtual;


TLazIntfImageMask.GetInternalColor

Declaration

Source position: intfgraphics.pas line 279

protected function TLazIntfImageMask.GetInternalColor(

  x: Integer;

  y: Integer

):TFPColor; override;


TLazIntfImageMask.GetInternalPixel

Declaration

Source position: intfgraphics.pas line 281

protected function TLazIntfImageMask.GetInternalPixel(

  x: Integer;

  y: Integer

):Integer; override;


TLazIntfImageMask.Image

Image - the image to which masking is applied

Declaration

Source position: intfgraphics.pas line 284

public property TLazIntfImageMask.Image : TLazIntfImage
  read FImage;


TLazIntfImageMask.SetInternalColor

Declaration

Source position: intfgraphics.pas line 278

protected procedure TLazIntfImageMask.SetInternalColor(

  x: Integer;

  y: Integer;

  const Value: TFPColor

); override;


TLazIntfImageMask.SetInternalPixel

Declaration

Source position: intfgraphics.pas line 280

protected procedure TLazIntfImageMask.SetInternalPixel(

  x: Integer;

  y: Integer;

  Value: Integer

); override;


TLazReaderBMP

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

TLazReaderBMP - This is an improved FPImage reader for bmp images

Declaration

Source position: intfgraphics.pas line 522

type TLazReaderBMP = class(TLazReaderDIB)

protected

  function InternalCheck(); override;

  procedure InternalReadHead; override;

end;

Inheritance

TLazReaderBMP

TLazReaderBMP - This is an improved FPImage reader for bmp images
|

TLazReaderDIB,ILazImageReader
|

TFPCustomImageReader
?

TObject


TLazReaderBMP
TLazReaderDIB
pt | ro | ReadSize
pt | ro | LineBuf
pt | ro | Info
 |  | MaskColor
 |  | MaskMode
 |  | UpdateDescription


pt | ro | Info (TLazReaderDIB)
pt | ro | LineBuf (TLazReaderDIB)
 |  | MaskColor (TLazReaderDIB)
 |  | MaskMode (TLazReaderDIB)
pt | ro | ReadSize (TLazReaderDIB)
 |  | UpdateDescription (TLazReaderDIB)


TLazReaderBMP
pt | InternalCheck
pt | InternalReadHead
TLazReaderDIB
 | GetUpdateDescription
 | SetUpdateDescription
 | QueryInterface
 | _AddRef
 | _Release
pt | InitLineBuf
pt | FreeLineBuf
pt | ReadScanLine
pt | WriteScanLine
pt | InternalRead
pt | InternalReadHead
pt | InternalReadBody
pt | InternalCheck
 | Create
 | Destroy


pt | FreeLineBuf (TLazReaderDIB)
 | GetUpdateDescription (TLazReaderDIB)
pt | InitLineBuf (TLazReaderDIB)
pt | InternalCheck (TLazReaderDIB)
pt | InternalCheck (TLazReaderBMP)
pt | InternalRead (TLazReaderDIB)
pt | InternalReadBody (TLazReaderDIB)
pt | InternalReadHead (TLazReaderDIB)
pt | InternalReadHead (TLazReaderBMP)
 | QueryInterface (TLazReaderDIB)
pt | ReadScanLine (TLazReaderDIB)
 | SetUpdateDescription (TLazReaderDIB)
pt | WriteScanLine (TLazReaderDIB)
 | _AddRef (TLazReaderDIB)
 | _Release (TLazReaderDIB)


TLazReaderBMP

TLazReaderDIB


TLazReaderBMP.InternalCheck

Declaration

Source position: intfgraphics.pas line 526

protected function TLazReaderBMP.InternalCheck(

  Stream: TStream

):Boolean; override;


TLazReaderBMP.InternalReadHead

Declaration

Source position: intfgraphics.pas line 527

protected procedure TLazReaderBMP.InternalReadHead; override;


TLazReaderDIB

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Declaration

Source position: intfgraphics.pas line 469

type TLazReaderDIB = class(TFPCustomImageReader, ILazImageReader)

public

  function GetUpdateDescription;

  procedure SetUpdateDescription();

  function QueryInterface();

  function _AddRef;

  function _Release;

protected

  procedure InitLineBuf;

  procedure FreeLineBuf;

  procedure ReadScanLine(); virtual;

  procedure WriteScanLine(); virtual;

  procedure InternalRead(); override;

  procedure InternalReadHead; virtual;

  procedure InternalReadBody; virtual;

  function InternalCheck(); override;

  property ReadSize: Integer; [r]

  property LineBuf: PByte; [r]

  property Info: TLazReaderDIBInfo; [r]

public

  constructor Create; override;

  destructor Destroy; override;

  property MaskColor: TFPColor; [rw]

  property MaskMode: TLazReaderMaskMode; [rw]

  property UpdateDescription: Boolean; [rw]

end;

Inheritance

TLazReaderDIB,ILazImageReader
|

TFPCustomImageReader
?

TObject


TLazReaderDIB
pt | ro | ReadSize
pt | ro | LineBuf
pt | ro | Info
 |  | MaskColor
 |  | MaskMode
 |  | UpdateDescription


TLazReaderDIB
 | GetUpdateDescription
 | SetUpdateDescription
 | QueryInterface
 | _AddRef
 | _Release
pt | InitLineBuf
pt | FreeLineBuf
pt | ReadScanLine
pt | WriteScanLine
pt | InternalRead
pt | InternalReadHead
pt | InternalReadBody
pt | InternalCheck
 | Create
 | Destroy


pt | FreeLineBuf (TLazReaderDIB)
 | GetUpdateDescription (TLazReaderDIB)
pt | InitLineBuf (TLazReaderDIB)
pt | InternalCheck (TLazReaderDIB)
pt | InternalRead (TLazReaderDIB)
pt | InternalReadBody (TLazReaderDIB)
pt | InternalReadHead (TLazReaderDIB)
 | QueryInterface (TLazReaderDIB)
pt | ReadScanLine (TLazReaderDIB)
 | SetUpdateDescription (TLazReaderDIB)
pt | WriteScanLine (TLazReaderDIB)
 | _AddRef (TLazReaderDIB)
 | _Release (TLazReaderDIB)


TLazReaderDIB


TLazReaderDIB._AddRef

Declaration

Source position: intfgraphics.pas line 494

public function TLazReaderDIB._AddRef: LongInt;


TLazReaderDIB._Release

Declaration

Source position: intfgraphics.pas line 495

public function TLazReaderDIB._Release: LongInt;


TLazReaderDIB.Create

Declaration

Source position: intfgraphics.pas line 513

public constructor TLazReaderDIB.Create; override;


TLazReaderDIB.Destroy

Declaration

Source position: intfgraphics.pas line 514

public destructor TLazReaderDIB.Destroy; override;


TLazReaderDIB.FreeLineBuf

Declaration

Source position: intfgraphics.pas line 498

protected procedure TLazReaderDIB.FreeLineBuf;


TLazReaderDIB.GetUpdateDescription

Declaration

Source position: intfgraphics.pas line 491

public function TLazReaderDIB.GetUpdateDescription: Boolean;


TLazReaderDIB.Info

Declaration

Source position: intfgraphics.pas line 511

protected property TLazReaderDIB.Info : TLazReaderDIBInfo
  read FDIBInfo;


TLazReaderDIB.InitLineBuf

Declaration

Source position: intfgraphics.pas line 497

protected procedure TLazReaderDIB.InitLineBuf;


TLazReaderDIB.InternalCheck

Declaration

Source position: intfgraphics.pas line 507

protected function TLazReaderDIB.InternalCheck(

  Stream: TStream

):Boolean; override;


TLazReaderDIB.InternalRead

Declaration

Source position: intfgraphics.pas line 504

protected procedure TLazReaderDIB.InternalRead(

  Stream: TStream;

  Img: TFPCustomImage

); override;


TLazReaderDIB.InternalReadBody

Declaration

Source position: intfgraphics.pas line 506

protected procedure TLazReaderDIB.InternalReadBody; virtual;


TLazReaderDIB.InternalReadHead

Declaration

Source position: intfgraphics.pas line 505

protected procedure TLazReaderDIB.InternalReadHead; virtual;


TLazReaderDIB.LineBuf

Declaration

Source position: intfgraphics.pas line 510

protected property TLazReaderDIB.LineBuf : PByte
  read FLineBuf;


TLazReaderDIB.MaskColor

Declaration

Source position: intfgraphics.pas line 515

public property TLazReaderDIB.MaskColor : TFPColor
  read FMaskColor
  write FMaskColor;


TLazReaderDIB.MaskMode

Declaration

Source position: intfgraphics.pas line 516

public property TLazReaderDIB.MaskMode : TLazReaderMaskMode
  read FMaskMode
  write FMaskMode;


TLazReaderDIB.QueryInterface

Declaration

Source position: intfgraphics.pas line 493

public function TLazReaderDIB.QueryInterface(

  iid: TGuid;

  out obj

):LongInt;


TLazReaderDIB.ReadScanLine

Declaration

Source position: intfgraphics.pas line 501

protected procedure TLazReaderDIB.ReadScanLine(

  Row: Integer

); virtual;


TLazReaderDIB.ReadSize

Declaration

Source position: intfgraphics.pas line 509

protected property TLazReaderDIB.ReadSize : Integer
  read FReadSize;


TLazReaderDIB.SetUpdateDescription

Declaration

Source position: intfgraphics.pas line 492

public procedure TLazReaderDIB.SetUpdateDescription(

  AValue: Boolean

);


TLazReaderDIB.UpdateDescription

Declaration

Source position: intfgraphics.pas line 517

public property TLazReaderDIB.UpdateDescription : Boolean
  read GetUpdateDescription
  write SetUpdateDescription;


TLazReaderDIB.WriteScanLine

Declaration

Source position: intfgraphics.pas line 502

protected procedure TLazReaderDIB.WriteScanLine(

  Row: Cardinal

); virtual;


TLazReaderDIBEncoding

Declaration

Source position: intfgraphics.pas line 440

type TLazReaderDIBEncoding = (

  lrdeRGB,

  lrdeRLE,

  lrdeBitfield,

  lrdeJpeg,

  lrdePng,

  lrdeHuffman

);


TLazReaderDIBInfo

Declaration

Source position: intfgraphics.pas line 449

type TLazReaderDIBInfo = record

  Width: Cardinal;

  Height: Cardinal;

  BitCount: Byte;

  Encoding: TLazReaderDIBEncoding;

  PaletteCount: Word;

  UpsideDown: Boolean;

  PixelMasks: packed record

    R: LongWord;

    G: LongWord;

    B: LongWord;

    A: LongWord;

  end;

  MaskShift: record

    R: Byte;

    G: Byte;

    B: Byte;

    A: Byte;

  end;

  MaskSize: record

    R: Byte;

    G: Byte;

    B: Byte;

    A: Byte;

  end;

end;


TLazReaderIcnsPart

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Declaration

Source position: intfgraphics.pas line 640

type TLazReaderIcnsPart = class(TFPCustomImageReader, ILazImageReader)

protected

  function InternalCheck(); override;

  procedure InternalRead(); override;

  procedure SetupRead();

  function Create256ColorPalette;

  procedure DoReadRaw;

  procedure DoReadRLE;

  procedure DoReadJpeg2000;

  procedure DoReadMask;

public

  function GetUpdateDescription;

  procedure SetUpdateDescription();

  function QueryInterface();

  function _AddRef;

  function _Release;

  constructor Create; override;

  destructor Destroy; override;

  property UpdateDescription: Boolean; [rw]

  property IconType: TicnsIconType; [r]

  property DataSize: Integer; [r]

end;

Inheritance

TLazReaderIcnsPart,ILazImageReader
|

TFPCustomImageReader
?

TObject


TLazReaderIcnsPart
 |  | UpdateDescription
 | ro | IconType
 | ro | DataSize


ro | DataSize (TLazReaderIcnsPart)
ro | IconType (TLazReaderIcnsPart)
 | UpdateDescription (TLazReaderIcnsPart)


TLazReaderIcnsPart
pt | InternalCheck
pt | InternalRead
pt | SetupRead
pt | Create256ColorPalette
pt | DoReadRaw
pt | DoReadRLE
pt | DoReadJpeg2000
pt | DoReadMask
 | GetUpdateDescription
 | SetUpdateDescription
 | QueryInterface
 | _AddRef
 | _Release
 | Create
 | Destroy


pt | Create256ColorPalette (TLazReaderIcnsPart)
 | Destroy (TLazReaderIcnsPart)
pt | DoReadJpeg2000 (TLazReaderIcnsPart)
pt | DoReadMask (TLazReaderIcnsPart)
pt | DoReadRaw (TLazReaderIcnsPart)
pt | DoReadRLE (TLazReaderIcnsPart)
 | GetUpdateDescription (TLazReaderIcnsPart)
pt | InternalCheck (TLazReaderIcnsPart)
pt | InternalRead (TLazReaderIcnsPart)
 | QueryInterface (TLazReaderIcnsPart)
 | SetUpdateDescription (TLazReaderIcnsPart)
pt | SetupRead (TLazReaderIcnsPart)
 | _AddRef (TLazReaderIcnsPart)
 | _Release (TLazReaderIcnsPart)


TLazReaderIcnsPart


TLazReaderIcnsPart._AddRef

Declaration

Source position: intfgraphics.pas line 663

public function TLazReaderIcnsPart._AddRef: LongInt;


TLazReaderIcnsPart._Release

Declaration

Source position: intfgraphics.pas line 664

public function TLazReaderIcnsPart._Release: LongInt;


TLazReaderIcnsPart.Create

Declaration

Source position: intfgraphics.pas line 666

public constructor TLazReaderIcnsPart.Create; override;


TLazReaderIcnsPart.Create256ColorPalette

Declaration

Source position: intfgraphics.pas line 654

protected function TLazReaderIcnsPart.Create256ColorPalette: TFPPalette;


TLazReaderIcnsPart.DataSize

Declaration

Source position: intfgraphics.pas line 670

public property TLazReaderIcnsPart.DataSize : Integer
  read FDataSize;


TLazReaderIcnsPart.Destroy

Declaration

Source position: intfgraphics.pas line 667

public destructor TLazReaderIcnsPart.Destroy; override;


TLazReaderIcnsPart.DoReadJpeg2000

Declaration

Source position: intfgraphics.pas line 657

protected procedure TLazReaderIcnsPart.DoReadJpeg2000;


TLazReaderIcnsPart.DoReadMask

Declaration

Source position: intfgraphics.pas line 658

protected procedure TLazReaderIcnsPart.DoReadMask;


TLazReaderIcnsPart.DoReadRaw

Declaration

Source position: intfgraphics.pas line 655

protected procedure TLazReaderIcnsPart.DoReadRaw;


TLazReaderIcnsPart.DoReadRLE

Declaration

Source position: intfgraphics.pas line 656

protected procedure TLazReaderIcnsPart.DoReadRLE;


TLazReaderIcnsPart.GetUpdateDescription

Declaration

Source position: intfgraphics.pas line 660

public function TLazReaderIcnsPart.GetUpdateDescription: Boolean;


TLazReaderIcnsPart.IconType

Declaration

Source position: intfgraphics.pas line 669

public property TLazReaderIcnsPart.IconType : TicnsIconType
  read FIconType;


TLazReaderIcnsPart.InternalCheck

Declaration

Source position: intfgraphics.pas line 651

protected function TLazReaderIcnsPart.InternalCheck(

  Str: TStream

):Boolean; override;


TLazReaderIcnsPart.InternalRead

Declaration

Source position: intfgraphics.pas line 652

protected procedure TLazReaderIcnsPart.InternalRead(

  Stream: TStream;

  Img: TFPCustomImage

); override;


TLazReaderIcnsPart.QueryInterface

Declaration

Source position: intfgraphics.pas line 662

public function TLazReaderIcnsPart.QueryInterface(

  iid: TGuid;

  out obj

):LongInt;


TLazReaderIcnsPart.SetUpdateDescription

Declaration

Source position: intfgraphics.pas line 661

public procedure TLazReaderIcnsPart.SetUpdateDescription(

  AValue: Boolean

);


TLazReaderIcnsPart.SetupRead

Declaration

Source position: intfgraphics.pas line 653

protected procedure TLazReaderIcnsPart.SetupRead(

  AWidth: Integer;

  AHeight: Integer;

  ADepth: Integer;

  IsMask: Boolean

);


TLazReaderIcnsPart.UpdateDescription

Declaration

Source position: intfgraphics.pas line 668

public property TLazReaderIcnsPart.UpdateDescription : Boolean
  read GetUpdateDescription
  write SetUpdateDescription;


TLazReaderIconDIB

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

TLazReaderIconDIB - this is a FPImage reader for a single DIB from an icon file

Declaration

Source position: intfgraphics.pas line 545

type TLazReaderIconDIB = class(TLazReaderDIB)

protected

  procedure InternalRead(); override;

end;

Inheritance

TLazReaderIconDIB

TLazReaderIconDIB - this is a FPImage reader for a single DIB from an icon file
|

TLazReaderDIB,ILazImageReader
|

TFPCustomImageReader
?

TObject


TLazReaderIconDIB
TLazReaderDIB
pt | ro | ReadSize
pt | ro | LineBuf
pt | ro | Info
 |  | MaskColor
 |  | MaskMode
 |  | UpdateDescription


TLazReaderIconDIB
pt | InternalRead
TLazReaderDIB
 | GetUpdateDescription
 | SetUpdateDescription
 | QueryInterface
 | _AddRef
 | _Release
pt | InitLineBuf
pt | FreeLineBuf
pt | ReadScanLine
pt | WriteScanLine
pt | InternalRead
pt | InternalReadHead
pt | InternalReadBody
pt | InternalCheck
 | Create
 | Destroy


pt | FreeLineBuf (TLazReaderDIB)
 | GetUpdateDescription (TLazReaderDIB)
pt | InitLineBuf (TLazReaderDIB)
pt | InternalCheck (TLazReaderDIB)
pt | InternalRead (TLazReaderDIB)
pt | InternalRead (TLazReaderIconDIB)
pt | InternalReadBody (TLazReaderDIB)
pt | InternalReadHead (TLazReaderDIB)
 | QueryInterface (TLazReaderDIB)
pt | ReadScanLine (TLazReaderDIB)
 | SetUpdateDescription (TLazReaderDIB)
pt | WriteScanLine (TLazReaderDIB)
 | _AddRef (TLazReaderDIB)
 | _Release (TLazReaderDIB)


TLazReaderIconDIB

TLazReaderDIB


TLazReaderIconDIB.InternalRead

Declaration

Source position: intfgraphics.pas line 547

protected procedure TLazReaderIconDIB.InternalRead(

  Stream: TStream;

  Img: TFPCustomImage

); override;


TLazReaderPNG

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Declaration

Source position: intfgraphics.pas line 554

type TLazReaderPNG = class(TFPReaderPNG, ILazImageReader)

public

  function GetUpdateDescription;

  procedure SetUpdateDescription();

  function QueryInterface();

  function _AddRef;

  function _Release;

protected

  procedure DoDecompress; override;

  procedure HandleAlpha; override;

  procedure InternalRead(); override;

public

  property UpdateDescription: Boolean; [rw]

end;

Inheritance

TLazReaderPNG,ILazImageReader
|

TFPReaderPNG
?

TObject


TLazReaderPNG

UpdateDescription


TLazReaderPNG
 | GetUpdateDescription
 | SetUpdateDescription
 | QueryInterface
 | _AddRef
 | _Release
pt | DoDecompress
pt | HandleAlpha
pt | InternalRead


pt | DoDecompress (TLazReaderPNG)
 | GetUpdateDescription (TLazReaderPNG)
pt | HandleAlpha (TLazReaderPNG)
pt | InternalRead (TLazReaderPNG)
 | QueryInterface (TLazReaderPNG)
 | SetUpdateDescription (TLazReaderPNG)
 | _AddRef (TLazReaderPNG)
 | _Release (TLazReaderPNG)


TLazReaderPNG


TLazReaderPNG._AddRef

Declaration

Source position: intfgraphics.pas line 562

public function TLazReaderPNG._AddRef: LongInt;


TLazReaderPNG._Release

Declaration

Source position: intfgraphics.pas line 563

public function TLazReaderPNG._Release: LongInt;


TLazReaderPNG.DoDecompress

Declaration

Source position: intfgraphics.pas line 565

protected procedure TLazReaderPNG.DoDecompress; override;


TLazReaderPNG.GetUpdateDescription

Declaration

Source position: intfgraphics.pas line 559

public function TLazReaderPNG.GetUpdateDescription: Boolean;


TLazReaderPNG.HandleAlpha

Declaration

Source position: intfgraphics.pas line 566

protected procedure TLazReaderPNG.HandleAlpha; override;


TLazReaderPNG.InternalRead

Declaration

Source position: intfgraphics.pas line 567

protected procedure TLazReaderPNG.InternalRead(

  Str: TStream;

  Img: TFPCustomImage

); override;


TLazReaderPNG.QueryInterface

Declaration

Source position: intfgraphics.pas line 561

public function TLazReaderPNG.QueryInterface(

  iid: TGuid;

  out obj

):LongInt;


TLazReaderPNG.SetUpdateDescription

Declaration

Source position: intfgraphics.pas line 560

public procedure TLazReaderPNG.SetUpdateDescription(

  AValue: Boolean

);


TLazReaderPNG.UpdateDescription

Declaration

Source position: intfgraphics.pas line 569

public property TLazReaderPNG.UpdateDescription : Boolean
  read GetUpdateDescription
  write SetUpdateDescription;


TLazReaderTiff

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Declaration

Source position: intfgraphics.pas line 598

type TLazReaderTiff = class(TFPReaderTiff, ILazImageReader)

public

  function GetUpdateDescription;

  procedure SetUpdateDescription();

  function QueryInterface();

  function _AddRef;

  function _Release;

protected

  procedure InternalRead(); override;

public

  property UpdateDescription: Boolean; [rw]

end;

Inheritance

TLazReaderTiff,ILazImageReader
|

TFPReaderTiff
?

TObject


TLazReaderTiff

UpdateDescription


TLazReaderTiff
 | GetUpdateDescription
 | SetUpdateDescription
 | QueryInterface
 | _AddRef
 | _Release
pt | InternalRead


pt | InternalRead (TLazReaderTiff)
 | QueryInterface (TLazReaderTiff)
 | SetUpdateDescription (TLazReaderTiff)
 | _AddRef (TLazReaderTiff)
 | _Release (TLazReaderTiff)


TLazReaderTiff


TLazReaderTiff._AddRef

Declaration

Source position: intfgraphics.pas line 615

public function TLazReaderTiff._AddRef: LongInt;


TLazReaderTiff._Release

Declaration

Source position: intfgraphics.pas line 616

public function TLazReaderTiff._Release: LongInt;


TLazReaderTiff.GetUpdateDescription

Declaration

Source position: intfgraphics.pas line 612

public function TLazReaderTiff.GetUpdateDescription: Boolean;


TLazReaderTiff.InternalRead

Declaration

Source position: intfgraphics.pas line 618

protected procedure TLazReaderTiff.InternalRead(

  Str: TStream;

  Img: TFPCustomImage

); override;


TLazReaderTiff.QueryInterface

Declaration

Source position: intfgraphics.pas line 614

public function TLazReaderTiff.QueryInterface(

  iid: TGuid;

  out obj

):LongInt;


TLazReaderTiff.SetUpdateDescription

Declaration

Source position: intfgraphics.pas line 613

public procedure TLazReaderTiff.SetUpdateDescription(

  AValue: Boolean

);


TLazReaderTiff.UpdateDescription

Declaration

Source position: intfgraphics.pas line 620

public property TLazReaderTiff.UpdateDescription : Boolean
  read GetUpdateDescription
  write SetUpdateDescription;


TLazReaderXPM

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

TLazReaderXPM - this is a FPImage reader for xpm images

Declaration

Source position: intfgraphics.pas line 383

type TLazReaderXPM = class(TFPCustomImageReader, ILazImageReader)

public

  function GetUpdateDescription;

  procedure SetUpdateDescription();

  function QueryInterface();

  function _AddRef;

  function _Release;

protected

  procedure ClearPixelToColorTree;

  procedure InternalRead(); override;

  function InternalCheck(); override;

public

  constructor Create; override;

  destructor Destroy; override;

  property UpdateDescription: Boolean; [rw]

end;

Inheritance

TLazReaderXPM,ILazImageReader

TLazReaderXPM - this is a FPImage reader for xpm images
|

TFPCustomImageReader
?

TObject


TLazReaderXPM

UpdateDescription


TLazReaderXPM
 | GetUpdateDescription
 | SetUpdateDescription
 | QueryInterface
 | _AddRef
 | _Release
pt | ClearPixelToColorTree
pt | InternalRead
pt | InternalCheck
 | Create
 | Destroy


pt | ClearPixelToColorTree (TLazReaderXPM)
 | Create (TLazReaderXPM)
 | Destroy (TLazReaderXPM)
 | GetUpdateDescription (TLazReaderXPM)
pt | InternalCheck (TLazReaderXPM)
pt | InternalRead (TLazReaderXPM)
 | QueryInterface (TLazReaderXPM)
 | SetUpdateDescription (TLazReaderXPM)
 | _AddRef (TLazReaderXPM)
 | _Release (TLazReaderXPM)


TLazReaderXPM


TLazReaderXPM._AddRef

Declaration

Source position: intfgraphics.pas line 398

public function TLazReaderXPM._AddRef: LongInt;


TLazReaderXPM._Release

Declaration

Source position: intfgraphics.pas line 399

public function TLazReaderXPM._Release: LongInt;


TLazReaderXPM.ClearPixelToColorTree

Declaration

Source position: intfgraphics.pas line 401

protected procedure TLazReaderXPM.ClearPixelToColorTree;


TLazReaderXPM.Create

Declaration

Source position: intfgraphics.pas line 405

public constructor TLazReaderXPM.Create; override;


TLazReaderXPM.Destroy

Declaration

Source position: intfgraphics.pas line 406

public destructor TLazReaderXPM.Destroy; override;


TLazReaderXPM.GetUpdateDescription

Declaration

Source position: intfgraphics.pas line 395

public function TLazReaderXPM.GetUpdateDescription: Boolean;


TLazReaderXPM.InternalCheck

Declaration

Source position: intfgraphics.pas line 403

protected function TLazReaderXPM.InternalCheck(

  Str: TStream

):Boolean; override;


TLazReaderXPM.InternalRead

Declaration

Source position: intfgraphics.pas line 402

protected procedure TLazReaderXPM.InternalRead(

  Str: TStream;

  Img: TFPCustomImage

); override;


TLazReaderXPM.QueryInterface

Declaration

Source position: intfgraphics.pas line 397

public function TLazReaderXPM.QueryInterface(

  iid: TGuid;

  out obj

):LongInt;


TLazReaderXPM.SetUpdateDescription

Declaration

Source position: intfgraphics.pas line 396

public procedure TLazReaderXPM.SetUpdateDescription(

  AValue: Boolean

);


TLazReaderXPM.UpdateDescription

Declaration

Source position: intfgraphics.pas line 407

public property TLazReaderXPM.UpdateDescription : Boolean
  read GetUpdateDescription
  write SetUpdateDescription;


TLazWriterBMP

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Declaration

Source position: intfgraphics.pas line 532

type TLazWriterBMP = class(TFPWriterBMP, ILazImageWriter)

public

  function QueryInterface();

  function _AddRef;

  function _Release;

  procedure Initialize();

  procedure Finalize;

end;

Inheritance

TLazWriterBMP,ILazImageWriter
|

TFPWriterBMP
?

TObject


TLazWriterBMP


TLazWriterBMP
 | QueryInterface
 | _AddRef
 | _Release
 | Initialize
 | Finalize


Finalize (TLazWriterBMP)

Initialize (TLazWriterBMP)

QueryInterface (TLazWriterBMP)

_AddRef (TLazWriterBMP)

_Release (TLazWriterBMP)


TLazWriterBMP._AddRef

Declaration

Source position: intfgraphics.pas line 535

public function TLazWriterBMP._AddRef: LongInt;


TLazWriterBMP._Release

Declaration

Source position: intfgraphics.pas line 536

public function TLazWriterBMP._Release: LongInt;


TLazWriterBMP.Finalize

Declaration

Source position: intfgraphics.pas line 539

public procedure TLazWriterBMP.Finalize;


TLazWriterBMP.Initialize

Declaration

Source position: intfgraphics.pas line 538

public procedure TLazWriterBMP.Initialize(

  AImage: TLazIntfImage

);


TLazWriterBMP.QueryInterface

Declaration

Source position: intfgraphics.pas line 534

public function TLazWriterBMP.QueryInterface(

  iid: TGuid;

  out obj

):LongInt;


TLazWriterPNG

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Declaration

Source position: intfgraphics.pas line 574

type TLazWriterPNG = class(TFPWriterPNG, ILazImageWriter)

public

  function QueryInterface();

  function _AddRef;

  function _Release;

  procedure Initialize();

  procedure Finalize;

end;

Inheritance

TLazWriterPNG,ILazImageWriter
|

TFPWriterPNG
?

TObject


TLazWriterPNG


TLazWriterPNG
 | QueryInterface
 | _AddRef
 | _Release
 | Initialize
 | Finalize


Finalize (TLazWriterPNG)

Initialize (TLazWriterPNG)

QueryInterface (TLazWriterPNG)

_AddRef (TLazWriterPNG)

_Release (TLazWriterPNG)


TLazWriterPNG._AddRef

Declaration

Source position: intfgraphics.pas line 577

public function TLazWriterPNG._AddRef: LongInt;


TLazWriterPNG._Release

Declaration

Source position: intfgraphics.pas line 578

public function TLazWriterPNG._Release: LongInt;


TLazWriterPNG.Finalize

Declaration

Source position: intfgraphics.pas line 581

public procedure TLazWriterPNG.Finalize;


TLazWriterPNG.Initialize

Declaration

Source position: intfgraphics.pas line 580

public procedure TLazWriterPNG.Initialize(

  AImage: TLazIntfImage

);


TLazWriterPNG.QueryInterface

Declaration

Source position: intfgraphics.pas line 576

public function TLazWriterPNG.QueryInterface(

  iid: TGuid;

  out obj

):LongInt;


TLazWriterTiff

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Declaration

Source position: intfgraphics.pas line 625

type TLazWriterTiff = class(TFPWriterTiff, ILazImageWriter)

public

  function QueryInterface();

  function _AddRef;

  function _Release;

protected

  procedure InternalWrite(); override;

public

  procedure Initialize();

  procedure Finalize;

end;

Inheritance

TLazWriterTiff,ILazImageWriter
|

TFPWriterTiff
?

TObject


TLazWriterTiff


TLazWriterTiff
 | QueryInterface
 | _AddRef
 | _Release
pt | InternalWrite
 | Initialize
 | Finalize


pt | InternalWrite (TLazWriterTiff)
 | QueryInterface (TLazWriterTiff)
 | _AddRef (TLazWriterTiff)
 | _Release (TLazWriterTiff)


TLazWriterTiff._AddRef

Declaration

Source position: intfgraphics.pas line 628

public function TLazWriterTiff._AddRef: LongInt;


TLazWriterTiff._Release

Declaration

Source position: intfgraphics.pas line 629

public function TLazWriterTiff._Release: LongInt;


TLazWriterTiff.Finalize

Declaration

Source position: intfgraphics.pas line 634

public procedure TLazWriterTiff.Finalize;


TLazWriterTiff.Initialize

Declaration

Source position: intfgraphics.pas line 633

public procedure TLazWriterTiff.Initialize(

  AImage: TLazIntfImage

);


TLazWriterTiff.InternalWrite

Declaration

Source position: intfgraphics.pas line 631

protected procedure TLazWriterTiff.InternalWrite(

  Stream: TStream;

  Img: TFPCustomImage

); override;


TLazWriterTiff.QueryInterface

Declaration

Source position: intfgraphics.pas line 627

public function TLazWriterTiff.QueryInterface(

  iid: TGuid;

  out obj

):LongInt;


TLazWriterXPM

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

TLazWriterXPM - this is a FPImage writer for xpm images

Declaration

Source position: intfgraphics.pas line 414

type TLazWriterXPM = class(TFPCustomImageWriter)

protected

  procedure InternalWrite(); override;

public

  constructor Create; override;

  property NibblesPerSample: Word; [rw]

end;

Inheritance

TLazWriterXPM

TLazWriterXPM - this is a FPImage writer for xpm images
|

TFPCustomImageWriter
?

TObject


TLazWriterXPM

NibblesPerSample


TLazWriterXPM
pt | InternalWrite
 | Create


pt | InternalWrite (TLazWriterXPM)


TLazWriterXPM


TLazWriterXPM.Create

Declaration

Source position: intfgraphics.pas line 423

public constructor TLazWriterXPM.Create; override;


TLazWriterXPM.InternalWrite

Declaration

Source position: intfgraphics.pas line 421

protected procedure TLazWriterXPM.InternalWrite(

  Str: TStream;

  Img: TFPCustomImage

); override;


TLazWriterXPM.NibblesPerSample

Declaration

Source position: intfgraphics.pas line 424

public property TLazWriterXPM.NibblesPerSample : Word
  read FNibblesPerSample
  write SetNibblesPerSample;


TCustomJSONPropStorage

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Implements the base class for the JSON Form's Session Properties Storage.

Declaration

Source position: jsonpropstorage.pas line 21

type TCustomJSONPropStorage = class(TFormPropertyStorage)
protected
function GetJSONFileName; virtual; | Getter for the property TCustomJSONPropStorage.JSONFileName.
function RootSection; override; | Returns the name of the RootSection.
function GetFormatted; | Getter for the property TCustomJSONPropStorage.Formatted.
procedure SetFormatted(); | Setter for the property TCustomJSONPropStorage.Formatted.
function FixPath(); virtual; | Turns '.' notation into '/' notation for the xpath-ish JSONConf underlayer.
property JSONConf: TJSONConfig; [r] | Instance of the object that implements a generic path/value pair storage.
public
procedure StorageNeeded(); override; | Aks the underlying storage object for an entry
procedure FreeStorage; override; | Frees an entry from the underlying storage object.
function DoReadString(); override; | Implements the actual reading of a value from the underlying storage container.
procedure DoWriteString(); override; | Implements the actual writing of a value from the underlying storage container.
procedure DoEraseSections(); override; | Erases a section from the underlying storage container.
property JSONFileName: string; [rw] | Name of the file where the property data is saved in JSON format.
property RootObjectPath: string; [rw] | Name of the root object path on your JSON file.
property Formatted: Boolean; [rw] | This determines if the JSON is to be formatted or not.
end;

Inheritance

TCustomJSONPropStorage | Implements the base class for the JSON Form's Session Properties Storage.
|
TFormPropertyStorage | TFormPropertyStorage - class for storage of a Form's properties
|
TControlPropertyStorage |
|
TCustomPropertyStorage | Provides abstract means to Save/Restore properties.
|
TComponent,IUnknown,IInterfaceComponentReference
|
TPersistent,IFPObserved
|
TObject


TCustomJSONPropStorage
pt | ro | JSONConf
 |  | JSONFileName
 |  | RootObjectPath
 |  | Formatted
TFormPropertyStorage
TControlPropertyStorage
TCustomPropertyStorage
 |  | StoredValue
 | ro | Root
 |  | Active
 |  | StoredValues
TComponent
 | ro | ComObject
 | ro | Components
 | ro | ComponentCount
 |  | ComponentIndex
 | ro | ComponentState
 | ro | ComponentStyle
 |  | DesignInfo
 | ro | Owner
 |  | VCLComObject
 |  | Name
 |  | Tag
TPersistent
TObject


 | ro | ComObject (TComponent)
 | ro | ComponentCount (TComponent)
 |  | ComponentIndex (TComponent)
 | ro | Components (TComponent)
 | ro | ComponentState (TComponent)
 | ro | ComponentStyle (TComponent)
 |  | DesignInfo (TComponent)
 |  | Formatted (TCustomJSONPropStorage)
pt | ro | JSONConf (TCustomJSONPropStorage)
 |  | JSONFileName (TCustomJSONPropStorage)
 |  | Name (TComponent)
 | ro | Owner (TComponent)
 | ro | Root (TCustomPropertyStorage)
 |  | RootObjectPath (TCustomJSONPropStorage)
 |  | StoredValue (TCustomPropertyStorage)
 |  | StoredValues (TCustomPropertyStorage)
 |  | Tag (TComponent)
 |  | VCLComObject (TComponent)


TCustomJSONPropStorage
pt | GetJSONFileName
pt | RootSection
pt | GetFormatted
pt | SetFormatted
pt | FixPath
 | StorageNeeded
 | FreeStorage
 | DoReadString
 | DoWriteString
 | DoEraseSections
TFormPropertyStorage
 | Create
 | Destroy
TControlPropertyStorage
pt | GetPropertyList
TCustomPropertyStorage
pt | GetRoot
pt | RootSection
pt | SaveProperties
pt | RestoreProperties
pt | GetPropertyList
pt | FinishPropertyList
pt | DoReadInteger
pt | DoReadString
pt | DoWriteString
pt | DoWriteInteger
pt | DoEraseSections
 | Create
 | Destroy
 | Save
 | Restore
 | StorageNeeded
 | FreeStorage
 | ReadBoolean
 | ReadString
 | ReadInteger
 | ReadRect
 | ReadStrings
 | WriteString
 | WriteInteger
 | WriteBoolean
 | WriteRect
 | WriteStrings
 | EraseSections
TComponent
 | GetComObject
 | GetComponent
 | GetComponentCount
 | GetComponentIndex
 | Insert
 | ReadLeft
 | ReadTop
 | Remove
 | RemoveNotification
 | SetComponentIndex
 | SetReference
 | WriteLeft
 | WriteTop
 | ChangeName
 | DefineProperties
 | GetChildren
 | GetChildOwner
 | GetChildParent
 | GetOwner
 | Loaded
 | Loading
 | Notification
 | PaletteCreated
 | ReadState
 | SetAncestor
 | SetDesigning
 | SetDesignInstance
 | SetInline
 | SetName
 | SetChildOrder
 | SetParentComponent
 | Updating
 | Updated
 | UpdateRegistry
 | ValidateRename
 | ValidateContainer
 | ValidateInsert
 | QueryInterface
 | _AddRef
 | _Release
 | iicrGetComponent
 | GetTypeInfoCount
 | GetTypeInfo
 | GetIDsOfNames
 | Invoke
 | WriteState
 | Create
 | Destroy
 | BeforeDestruction
 | DestroyComponents
 | Destroying
 | ExecuteAction
 | FindComponent
 | FreeNotification
 | RemoveFreeNotification
 | FreeOnRelease
 | GetEnumerator
 | GetNamePath
 | GetParentComponent
 | HasParent
 | InsertComponent
 | RemoveComponent
 | SafeCallException
 | SetSubComponent
 | UpdateAction
 | IsImplementorOf
 | ReferenceInterface
TPersistent
 | AssignError
 | AssignTo
 | DefineProperties
 | GetOwner
 | Destroy
 | Assign
 | FPOAttachObserver
 | FPODetachObserver
 | FPONotifyObservers
 | GetNamePath
TObject
 | Create
 | Destroy
 | newinstance
 | FreeInstance
 | SafeCallException
 | DefaultHandler
 | Free
 | InitInstance
 | CleanupInstance
 | ClassType
 | ClassInfo
 | ClassName
 | ClassNameIs
 | ClassParent
 | InstanceSize
 | InheritsFrom
 | StringMessageTable
 | MethodAddress
 | MethodName
 | FieldAddress
 | AfterConstruction
 | BeforeDestruction
 | DefaultHandlerStr
 | Dispatch
 | DispatchStr
 | GetInterface
 | GetInterfaceByStr
 | GetInterfaceWeak
 | GetInterfaceEntry
 | GetInterfaceEntryByStr
 | GetInterfaceTable
 | UnitName
 | Equals
 | GetHashCode
 | ToString


 | AssignError (TPersistent)
 | AssignTo (TPersistent)
 | BeforeDestruction (TObject)
 | BeforeDestruction (TComponent)
 | ChangeName (TComponent)
 | ClassInfo (TObject)
 | ClassName (TObject)
 | ClassNameIs (TObject)
 | ClassParent (TObject)
 | ClassType (TObject)
 | CleanupInstance (TObject)
 | Create (TObject)
 | Create (TComponent)
 | Create (TCustomPropertyStorage)
 | Create (TFormPropertyStorage)
 | DefaultHandler (TObject)
 | DefaultHandlerStr (TObject)
 | DefineProperties (TPersistent)
 | DefineProperties (TComponent)
 | Destroy (TObject)
 | Destroy (TPersistent)
 | Destroy (TComponent)
 | Destroy (TCustomPropertyStorage)
 | Destroy (TFormPropertyStorage)
 | DestroyComponents (TComponent)
 | Destroying (TComponent)
 | Dispatch (TObject)
 | DispatchStr (TObject)
pt | DoEraseSections (TCustomPropertyStorage)
 | DoEraseSections (TCustomJSONPropStorage)
pt | DoReadInteger (TCustomPropertyStorage)
pt | DoReadString (TCustomPropertyStorage)
 | DoReadString (TCustomJSONPropStorage)
pt | DoWriteInteger (TCustomPropertyStorage)
pt | DoWriteString (TCustomPropertyStorage)
 | DoWriteString (TCustomJSONPropStorage)
 | Equals (TObject)
 | EraseSections (TCustomPropertyStorage)
 | ExecuteAction (TComponent)
 | FieldAddress (TObject)
 | FindComponent (TComponent)
pt | FinishPropertyList (TCustomPropertyStorage)
pt | FixPath (TCustomJSONPropStorage)
 | FPOAttachObserver (TPersistent)
 | FPODetachObserver (TPersistent)
 | FPONotifyObservers (TPersistent)
 | Free (TObject)
 | FreeInstance (TObject)
 | FreeNotification (TComponent)
 | FreeOnRelease (TComponent)
 | FreeStorage (TCustomPropertyStorage)
 | FreeStorage (TCustomJSONPropStorage)
 | GetChildOwner (TComponent)
 | GetChildParent (TComponent)
 | GetChildren (TComponent)
 | GetComObject (TComponent)
 | GetComponent (TComponent)
 | GetComponentCount (TComponent)
 | GetComponentIndex (TComponent)
 | GetEnumerator (TComponent)
pt | GetFormatted (TCustomJSONPropStorage)
 | GetHashCode (TObject)
 | GetIDsOfNames (TComponent)
 | GetInterface (TObject)
 | GetInterfaceByStr (TObject)
 | GetInterfaceEntry (TObject)
 | GetInterfaceEntryByStr (TObject)
 | GetInterfaceTable (TObject)
 | GetInterfaceWeak (TObject)
pt | GetJSONFileName (TCustomJSONPropStorage)
 | GetNamePath (TPersistent)
 | GetNamePath (TComponent)
 | GetOwner (TPersistent)
 | GetOwner (TComponent)
 | GetParentComponent (TComponent)
pt | GetPropertyList (TCustomPropertyStorage)
pt | GetPropertyList (TControlPropertyStorage)
pt | GetRoot (TCustomPropertyStorage)
 | GetTypeInfo (TComponent)
 | GetTypeInfoCount (TComponent)
 | HasParent (TComponent)
 | iicrGetComponent (TComponent)
 | InheritsFrom (TObject)
 | InitInstance (TObject)
 | Insert (TComponent)
 | InsertComponent (TComponent)
 | InstanceSize (TObject)
 | Invoke (TComponent)
 | IsImplementorOf (TComponent)
 | Loaded (TComponent)
 | Loading (TComponent)
 | MethodAddress (TObject)
 | MethodName (TObject)
 | newinstance (TObject)
 | Notification (TComponent)
 | PaletteCreated (TComponent)
 | QueryInterface (TComponent)
 | ReadBoolean (TCustomPropertyStorage)
 | ReadInteger (TCustomPropertyStorage)
 | ReadLeft (TComponent)
 | ReadRect (TCustomPropertyStorage)
 | ReadState (TComponent)
 | ReadString (TCustomPropertyStorage)
 | ReadStrings (TCustomPropertyStorage)
 | ReadTop (TComponent)
 | ReferenceInterface (TComponent)
 | Remove (TComponent)
 | RemoveComponent (TComponent)
 | RemoveFreeNotification (TComponent)
 | RemoveNotification (TComponent)
 | Restore (TCustomPropertyStorage)
pt | RestoreProperties (TCustomPropertyStorage)
pt | RootSection (TCustomPropertyStorage)
pt | RootSection (TCustomJSONPropStorage)
 | SafeCallException (TObject)
 | SafeCallException (TComponent)
 | Save (TCustomPropertyStorage)
pt | SaveProperties (TCustomPropertyStorage)
 | SetAncestor (TComponent)
 | SetChildOrder (TComponent)
 | SetComponentIndex (TComponent)
 | SetDesigning (TComponent)
 | SetDesignInstance (TComponent)
pt | SetFormatted (TCustomJSONPropStorage)
 | SetInline (TComponent)
 | SetName (TComponent)
 | SetParentComponent (TComponent)
 | SetReference (TComponent)
 | SetSubComponent (TComponent)
 | StorageNeeded (TCustomPropertyStorage)
 | StorageNeeded (TCustomJSONPropStorage)
 | StringMessageTable (TObject)
 | ToString (TObject)
 | UnitName (TObject)
 | UpdateAction (TComponent)
 | Updated (TComponent)
 | UpdateRegistry (TComponent)
 | Updating (TComponent)
 | ValidateContainer (TComponent)
 | ValidateInsert (TComponent)
 | ValidateRename (TComponent)
 | WriteBoolean (TCustomPropertyStorage)
 | WriteInteger (TCustomPropertyStorage)
 | WriteLeft (TComponent)
 | WriteRect (TCustomPropertyStorage)
 | WriteState (TComponent)
 | WriteString (TCustomPropertyStorage)
 | WriteStrings (TCustomPropertyStorage)
 | WriteTop (TComponent)
 | _AddRef (TComponent)
 | _Release (TComponent)


TCustomJSONPropStorage
TFormPropertyStorage
TControlPropertyStorage
TCustomPropertyStorage
 | OnSavingProperties
 | OnSaveProperties
 | OnRestoringProperties
 | OnRestoreProperties
 | OnSaveException
TComponent
TPersistent
TObject


TCustomJSONPropStorage.DoEraseSections

Erases a section from the underlying storage container.

Declaration

Source position: jsonpropstorage.pas line 41

public procedure TCustomJSONPropStorage.DoEraseSections(

  const ARootObjectPath: string

); override;

Arguments

ARootObjectPath

The path to the section that will be erased.


TCustomJSONPropStorage.DoReadString

Implements the actual reading of a value from the underlying storage container.

Declaration

Source position: jsonpropstorage.pas line 39

public function TCustomJSONPropStorage.DoReadString(

  const Section: string;

  const Ident: string;

  const Default: string

):string; override;

Arguments

Section | The section to be read.
Ident | The ident to be read.
Default | If has no value then return this as default.

Function result

The value of the section/ident requested.


TCustomJSONPropStorage.DoWriteString

Implements the actual writing of a value from the underlying storage container.

Declaration

Source position: jsonpropstorage.pas line 40

public procedure TCustomJSONPropStorage.DoWriteString(

  const Section: string;

  const Ident: string;

  const Value: string

); override;

Arguments

Section | The section to be written.
Ident | The ident to be written.
Value | The value to be written.


TCustomJSONPropStorage.FixPath

Turns '.' notation into '/' notation for the xpath-ish JSONConf underlayer.

Declaration

Source position: jsonpropstorage.pas line 33

protected function TCustomJSONPropStorage.FixPath(

  const APath: string

):string; virtual;

Arguments

APath

The path to be fixed.

Function result

The fixed path is returned with '.' replaced by '/'.


TCustomJSONPropStorage.Formatted

This determines if the JSON is to be formatted or not.

Declaration

Source position: jsonpropstorage.pas line 45

public property TCustomJSONPropStorage.Formatted : Boolean
  read GetFormatted
  write SetFormatted;


TCustomJSONPropStorage.FreeStorage

Frees an entry from the underlying storage object.

Declaration

Source position: jsonpropstorage.pas line 38

public procedure TCustomJSONPropStorage.FreeStorage; override;


TCustomJSONPropStorage.GetFormatted

Getter for the property TCustomJSONPropStorage.Formatted.

Declaration

Source position: jsonpropstorage.pas line 31

protected function TCustomJSONPropStorage.GetFormatted: Boolean;

Function result

The current value of TCustomJSONPropStorage.Formatted.


TCustomJSONPropStorage.GetJSONFileName

Getter for the property TCustomJSONPropStorage.JSONFileName.

Declaration

Source position: jsonpropstorage.pas line 29

protected function TCustomJSONPropStorage.GetJSONFileName: string; virtual;

Function result

The current value of the property TCustomJSONPropStorage.JSONFileName.


TCustomJSONPropStorage.JSONConf

Instance of the object that implements a generic path/value pair storage.

Declaration

Source position: jsonpropstorage.pas line 35

protected property TCustomJSONPropStorage.JSONConf : TJSONConfig
  read FJSONConf;


TCustomJSONPropStorage.JSONFileName

Name of the file where the property data is saved in JSON format.

Declaration

Source position: jsonpropstorage.pas line 43

public property TCustomJSONPropStorage.JSONFileName : string
  read FJSONFileName
  write FJSONFileName;


TCustomJSONPropStorage.RootObjectPath

Name of the root object path on your JSON file.

Declaration

Source position: jsonpropstorage.pas line 44

public property TCustomJSONPropStorage.RootObjectPath : string
  read FRootObjectPath
  write FRootObjectPath;


TCustomJSONPropStorage.RootSection

Returns the name of the RootSection.

Declaration

Source position: jsonpropstorage.pas line 30

protected function TCustomJSONPropStorage.RootSection: string; override;

Function result

The current value of RootSection.


TCustomJSONPropStorage.SetFormatted

Setter for the property TCustomJSONPropStorage.Formatted.

Declaration

Source position: jsonpropstorage.pas line 32

protected procedure TCustomJSONPropStorage.SetFormatted(

  Value: Boolean

);

Arguments

Value

A Boolean value to set the property TCustomJSONPropStorage.Formatted


TCustomJSONPropStorage.StorageNeeded

Aks the underlying storage object for an entry

Declaration

Source position: jsonpropstorage.pas line 37

public procedure TCustomJSONPropStorage.StorageNeeded(

  ReadOnly: Boolean

); override;

Arguments

ReadOnly

If the item is read-only.


TJSONPropStorage

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Implements the final class for the JSON Form Session Properties storage.

Declaration

Source position: jsonpropstorage.pas line 49

type TJSONPropStorage = class(TCustomJSONPropStorage)
published
property StoredValues: TStoredValues; |
property JSONFileName: string; | Name of the file where the property data is saved in JSON format.
property Formatted: Boolean; | This determines if the JSON is to be formatted or not.
property Active: Boolean; | This determines if the object is active or not.
property OnSavingProperties: TNotifyEvent; | Handler called at the beginning of Save.
property OnSaveProperties: TNotifyEvent; | Handler called at the end of Save.
property OnRestoringProperties: TNotifyEvent; | Handler called at the beginning of Restore.
property OnRestoreProperties: TNotifyEvent; | Handler called at the end of Restore.
end;

Inheritance

TJSONPropStorage | Implements the final class for the JSON Form Session Properties storage.
|
TCustomJSONPropStorage | Implements the base class for the JSON Form's Session Properties Storage.
|
TFormPropertyStorage | TFormPropertyStorage - class for storage of a Form's properties
|
TControlPropertyStorage |
|
TCustomPropertyStorage | Provides abstract means to Save/Restore properties.
|
TComponent,IUnknown,IInterfaceComponentReference
|
TPersistent,IFPObserved
|
TObject

See also

TForm.SessionProperties
TINIPropStorage | Implements the final class for the INI Form Session Properties storage.
TXMLPropStorage | Implements the final class for the XML Form Session Properties storage.


TJSONPropStorage
pl | ro | StoredValues
pl | ro | JSONFileName
pl | ro | Formatted
pl | ro | Active
TCustomJSONPropStorage
pt | ro | JSONConf
 |  | JSONFileName
 |  | RootObjectPath
 |  | Formatted
TFormPropertyStorage
TControlPropertyStorage
TCustomPropertyStorage
 |  | StoredValue
 | ro | Root
 |  | Active
 |  | StoredValues
TComponent
 | ro | ComObject
 | ro | Components
 | ro | ComponentCount
 |  | ComponentIndex
 | ro | ComponentState
 | ro | ComponentStyle
 |  | DesignInfo
 | ro | Owner
 |  | VCLComObject
 |  | Name
 |  | Tag
TPersistent
TObject


pl | ro | Active (TJSONPropStorage)
 | ro | ComObject (TComponent)
 | ro | ComponentCount (TComponent)
 |  | ComponentIndex (TComponent)
 | ro | Components (TComponent)
 | ro | ComponentState (TComponent)
 | ro | ComponentStyle (TComponent)
 |  | DesignInfo (TComponent)
 |  | Formatted (TCustomJSONPropStorage)
pl | ro | Formatted (TJSONPropStorage)
pt | ro | JSONConf (TCustomJSONPropStorage)
 |  | JSONFileName (TCustomJSONPropStorage)
pl | ro | JSONFileName (TJSONPropStorage)
 |  | Name (TComponent)
 | ro | Owner (TComponent)
 | ro | Root (TCustomPropertyStorage)
 |  | RootObjectPath (TCustomJSONPropStorage)
 |  | StoredValue (TCustomPropertyStorage)
 |  | StoredValues (TCustomPropertyStorage)
pl | ro | StoredValues (TJSONPropStorage)
 |  | Tag (TComponent)
 |  | VCLComObject (TComponent)


TJSONPropStorage
TCustomJSONPropStorage
pt | GetJSONFileName
pt | RootSection
pt | GetFormatted
pt | SetFormatted
pt | FixPath
 | StorageNeeded
 | FreeStorage
 | DoReadString
 | DoWriteString
 | DoEraseSections
TFormPropertyStorage
 | Create
 | Destroy
TControlPropertyStorage
pt | GetPropertyList
TCustomPropertyStorage
pt | GetRoot
pt | RootSection
pt | SaveProperties
pt | RestoreProperties
pt | GetPropertyList
pt | FinishPropertyList
pt | DoReadInteger
pt | DoReadString
pt | DoWriteString
pt | DoWriteInteger
pt | DoEraseSections
 | Create
 | Destroy
 | Save
 | Restore
 | StorageNeeded
 | FreeStorage
 | ReadBoolean
 | ReadString
 | ReadInteger
 | ReadRect
 | ReadStrings
 | WriteString
 | WriteInteger
 | WriteBoolean
 | WriteRect
 | WriteStrings
 | EraseSections
TComponent
 | GetComObject
 | GetComponent
 | GetComponentCount
 | GetComponentIndex
 | Insert
 | ReadLeft
 | ReadTop
 | Remove
 | RemoveNotification
 | SetComponentIndex
 | SetReference
 | WriteLeft
 | WriteTop
 | ChangeName
 | DefineProperties
 | GetChildren
 | GetChildOwner
 | GetChildParent
 | GetOwner
 | Loaded
 | Loading
 | Notification
 | PaletteCreated
 | ReadState
 | SetAncestor
 | SetDesigning
 | SetDesignInstance
 | SetInline
 | SetName
 | SetChildOrder
 | SetParentComponent
 | Updating
 | Updated
 | UpdateRegistry
 | ValidateRename
 | ValidateContainer
 | ValidateInsert
 | QueryInterface
 | _AddRef
 | _Release
 | iicrGetComponent
 | GetTypeInfoCount
 | GetTypeInfo
 | GetIDsOfNames
 | Invoke
 | WriteState
 | Create
 | Destroy
 | BeforeDestruction
 | DestroyComponents
 | Destroying
 | ExecuteAction
 | FindComponent
 | FreeNotification
 | RemoveFreeNotification
 | FreeOnRelease
 | GetEnumerator
 | GetNamePath
 | GetParentComponent
 | HasParent
 | InsertComponent
 | RemoveComponent
 | SafeCallException
 | SetSubComponent
 | UpdateAction
 | IsImplementorOf
 | ReferenceInterface
TPersistent
 | AssignError
 | AssignTo
 | DefineProperties
 | GetOwner
 | Destroy
 | Assign
 | FPOAttachObserver
 | FPODetachObserver
 | FPONotifyObservers
 | GetNamePath
TObject
 | Create
 | Destroy
 | newinstance
 | FreeInstance
 | SafeCallException
 | DefaultHandler
 | Free
 | InitInstance
 | CleanupInstance
 | ClassType
 | ClassInfo
 | ClassName
 | ClassNameIs
 | ClassParent
 | InstanceSize
 | InheritsFrom
 | StringMessageTable
 | MethodAddress
 | MethodName
 | FieldAddress
 | AfterConstruction
 | BeforeDestruction
 | DefaultHandlerStr
 | Dispatch
 | DispatchStr
 | GetInterface
 | GetInterfaceByStr
 | GetInterfaceWeak
 | GetInterfaceEntry
 | GetInterfaceEntryByStr
 | GetInterfaceTable
 | UnitName
 | Equals
 | GetHashCode
 | ToString


TJSONPropStorage
pl | ro | OnSavingProperties
pl | ro | OnSaveProperties
pl | ro | OnRestoringProperties
pl | ro | OnRestoreProperties
TCustomJSONPropStorage
TFormPropertyStorage
TControlPropertyStorage
TCustomPropertyStorage
 |  | OnSavingProperties
 |  | OnSaveProperties
 |  | OnRestoringProperties
 |  | OnRestoreProperties
 |  | OnSaveException
TComponent
TPersistent
TObject


pl | ro | OnRestoreProperties (TJSONPropStorage)
 |  | OnRestoringProperties (TCustomPropertyStorage)
pl | ro | OnRestoringProperties (TJSONPropStorage)
 |  | OnSaveException (TCustomPropertyStorage)
 |  | OnSaveProperties (TCustomPropertyStorage)
pl | ro | OnSaveProperties (TJSONPropStorage)
 |  | OnSavingProperties (TCustomPropertyStorage)
pl | ro | OnSavingProperties (TJSONPropStorage)


TFPSharpInterpolation

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Declaration

Source position: lazcanvas.pas line 62

type TFPSharpInterpolation = class(TFPCustomInterpolation)

protected

  procedure Execute(); override;

end;

Inheritance

TFPSharpInterpolation

|

TFPCustomInterpolation
?

TObject


TFPSharpInterpolation


TFPSharpInterpolation

pt

Execute


pt

Execute (TFPSharpInterpolation)


TFPSharpInterpolation.Execute

Declaration

Source position: lazcanvas.pas line 64

protected procedure TFPSharpInterpolation.Execute(

  x: Integer;

  y: Integer;

  w: Integer;

  h: Integer

); override;


TLazCanvas

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Declaration

Source position: lazcanvas.pas line 83

type TLazCanvas = class(TFPImageCanvas)

protected

  procedure SetColor(); override;

  function DoCreateDefaultFont; override;

  procedure DoRectangle(); override;

  procedure DoRectangleFill(); override;

  procedure DoPolygonFill(); override;

  procedure DoLine(); override;

  procedure DoCopyRect(); override;

  procedure DoDraw(); override;

public

  HasNoImage: Boolean;

  NativeDC: PtrInt;

  ExtraFontData: TObject;

  ImageFormat: TLazCanvasImageFormat;

  SelectedBitmap: TObject;

  constructor create();

  destructor destroy; override;

  procedure SetLazClipRegion();

  function SaveState;

  procedure RestoreState();

  procedure ResetCanvasState;

  procedure AlphaBlend();

  procedure AlphaBlendIgnoringDestPixels();

  procedure AlphaBlend_Image();

  procedure DoDrawImage();

  procedure CanvasCopyRect();

  procedure FillColor();

  procedure AssignPenData();

  procedure AssignBrushData();

  procedure AssignFontData();

  property AssignedPen: TFPCustomPen; [rw]

  property AssignedBrush: TFPCustomBrush; [rw]

  property AssignedFont: TFPCustomFont; [rw]

  property BaseWindowOrg: TPoint; [rw]

  property WindowOrg: TPoint; [rw]

end;

Inheritance

TLazCanvas

|

TFPImageCanvas
?

TObject


TLazCanvas
 | AssignedPen
 | AssignedBrush
 | AssignedFont
 | BaseWindowOrg
 | WindowOrg


AssignedBrush (TLazCanvas)

AssignedFont (TLazCanvas)

AssignedPen (TLazCanvas)

BaseWindowOrg (TLazCanvas)

WindowOrg (TLazCanvas)


TLazCanvas
pt | SetColor
pt | DoCreateDefaultFont
pt | DoRectangle
pt | DoRectangleFill
pt | DoPolygonFill
pt | DoLine
pt | DoCopyRect
pt | DoDraw
 | create
 | destroy
 | SetLazClipRegion
 | SaveState
 | RestoreState
 | ResetCanvasState
 | AlphaBlend
 | AlphaBlendIgnoringDestPixels
 | AlphaBlend_Image
 | DoDrawImage
 | CanvasCopyRect
 | FillColor
 | AssignPenData
 | AssignBrushData
 | AssignFontData


 | AlphaBlend (TLazCanvas)
 | AlphaBlendIgnoringDestPixels (TLazCanvas)
 | AlphaBlend_Image (TLazCanvas)
 | AssignBrushData (TLazCanvas)
 | AssignFontData (TLazCanvas)
 | AssignPenData (TLazCanvas)
 | CanvasCopyRect (TLazCanvas)
 | create (TLazCanvas)
 | destroy (TLazCanvas)
pt | DoCopyRect (TLazCanvas)
pt | DoCreateDefaultFont (TLazCanvas)
pt | DoDraw (TLazCanvas)
 | DoDrawImage (TLazCanvas)
pt | DoLine (TLazCanvas)
pt | DoPolygonFill (TLazCanvas)
pt | DoRectangle (TLazCanvas)
pt | DoRectangleFill (TLazCanvas)
 | FillColor (TLazCanvas)
 | ResetCanvasState (TLazCanvas)
 | RestoreState (TLazCanvas)
 | SaveState (TLazCanvas)
pt | SetColor (TLazCanvas)
 | SetLazClipRegion (TLazCanvas)


TLazCanvas


TLazCanvas.AlphaBlend

Declaration

Source position: lazcanvas.pas line 126

public procedure TLazCanvas.AlphaBlend(

  ASource: TLazCanvas;

  const ADestX: Integer;

  const ADestY: Integer;

  const ASourceX: Integer;

  const ASourceY: Integer;

  const ASourceWidth: Integer;

  const ASourceHeight: Integer

);


TLazCanvas.AlphaBlend_Image

Declaration

Source position: lazcanvas.pas line 130

public procedure TLazCanvas.AlphaBlend_Image(

  ASource: TFPCustomImage;

  const ADestX: Integer;

  const ADestY: Integer;

  const ASourceX: Integer;

  const ASourceY: Integer;

  const ASourceWidth: Integer;

  const ASourceHeight: Integer

);


TLazCanvas.AlphaBlendIgnoringDestPixels

Declaration

Source position: lazcanvas.pas line 128

public procedure TLazCanvas.AlphaBlendIgnoringDestPixels(

  ASource: TLazCanvas;

  const ADestX: Integer;

  const ADestY: Integer;

  const ASourceX: Integer;

  const ASourceY: Integer;

  const ASourceWidth: Integer;

  const ASourceHeight: Integer

);


TLazCanvas.AssignBrushData

Declaration

Source position: lazcanvas.pas line 142

public procedure TLazCanvas.AssignBrushData(

  ABrush: TFPCustomBrush

);


TLazCanvas.AssignedBrush

Declaration

Source position: lazcanvas.pas line 148

public property TLazCanvas.AssignedBrush : TFPCustomBrush
  read GetAssignedBrush
  write FAssignedBrush;


TLazCanvas.AssignedFont

Declaration

Source position: lazcanvas.pas line 149

public property TLazCanvas.AssignedFont : TFPCustomFont
  read GetAssignedFont
  write FAssignedFont;


TLazCanvas.AssignedPen

Declaration

Source position: lazcanvas.pas line 147

public property TLazCanvas.AssignedPen : TFPCustomPen
  read GetAssignedPen
  write FAssignedPen;


TLazCanvas.AssignFontData

Declaration

Source position: lazcanvas.pas line 143

public procedure TLazCanvas.AssignFontData(

  AFont: TFPCustomFont

);


TLazCanvas.AssignPenData

Declaration

Source position: lazcanvas.pas line 141

public procedure TLazCanvas.AssignPenData(

  APen: TFPCustomPen

);


TLazCanvas.BaseWindowOrg

Declaration

Source position: lazcanvas.pas line 155

public property TLazCanvas.BaseWindowOrg : TPoint
  read FBaseWindowOrg
  write FBaseWindowOrg;


TLazCanvas.CanvasCopyRect

Declaration

Source position: lazcanvas.pas line 133

public procedure TLazCanvas.CanvasCopyRect(

  ASource: TFPCustomCanvas;

  const ADestX: Integer;

  const ADestY: Integer;

  const ASourceX: Integer;

  const ASourceY: Integer;

  const ASourceWidth: Integer;

  const ASourceHeight: Integer

);


TLazCanvas.create

Declaration

Source position: lazcanvas.pas line 117

public constructor TLazCanvas.create(

  AnImage: TFPCustomImage

);


TLazCanvas.destroy

Declaration

Source position: lazcanvas.pas line 118

public destructor TLazCanvas.destroy; override;


TLazCanvas.DoCopyRect

Declaration

Source position: lazcanvas.pas line 109

protected procedure TLazCanvas.DoCopyRect(

  x: Integer;

  y: Integer;

  canvas: TFPCustomCanvas;

  const SourceRect: TRect

); override;


TLazCanvas.DoCreateDefaultFont

Declaration

Source position: lazcanvas.pas line 101

protected function TLazCanvas.DoCreateDefaultFont: TFPCustomFont; override;


TLazCanvas.DoDraw

Declaration

Source position: lazcanvas.pas line 110

protected procedure TLazCanvas.DoDraw(

  x: Integer;

  y: Integer;

  const AImage: TFPCustomImage

); override;


TLazCanvas.DoDrawImage

Declaration

Source position: lazcanvas.pas line 132

public procedure TLazCanvas.DoDrawImage(

  x: Integer;

  y: Integer;

  const AImage: TFPCustomImage

);


TLazCanvas.DoLine

Declaration

Source position: lazcanvas.pas line 107

protected procedure TLazCanvas.DoLine(

  x1: Integer;

  y1: Integer;

  x2: Integer;

  y2: Integer

); override;


TLazCanvas.DoPolygonFill

Declaration

Source position: lazcanvas.pas line 105

protected procedure TLazCanvas.DoPolygonFill(

  const points: array of TPoint

); override;


TLazCanvas.DoRectangle

Declaration

Source position: lazcanvas.pas line 103

protected procedure TLazCanvas.DoRectangle(

  const Bounds: TRect

); override;


TLazCanvas.DoRectangleFill

Declaration

Source position: lazcanvas.pas line 104

protected procedure TLazCanvas.DoRectangleFill(

  const Bounds: TRect

); override;


TLazCanvas.ExtraFontData

Declaration

Source position: lazcanvas.pas line 114

public TLazCanvas.ExtraFontData : TObject;


TLazCanvas.FillColor

Declaration

Source position: lazcanvas.pas line 138

public procedure TLazCanvas.FillColor(

  AColor: TFPColor;

  AIgnoreClippingAndWindowOrg: Boolean = False

);


TLazCanvas.HasNoImage

Declaration

Source position: lazcanvas.pas line 112

public TLazCanvas.HasNoImage : Boolean;


TLazCanvas.ImageFormat

Declaration

Source position: lazcanvas.pas line 115

public TLazCanvas.ImageFormat : TLazCanvasImageFormat;


TLazCanvas.NativeDC

Declaration

Source position: lazcanvas.pas line 113

public TLazCanvas.NativeDC : PtrInt;


TLazCanvas.ResetCanvasState

Declaration

Source position: lazcanvas.pas line 124

public procedure TLazCanvas.ResetCanvasState;


TLazCanvas.RestoreState

Declaration

Source position: lazcanvas.pas line 122

public procedure TLazCanvas.RestoreState(

  AIndex: Integer

);


TLazCanvas.SaveState

Declaration

Source position: lazcanvas.pas line 121

public function TLazCanvas.SaveState: Integer;


TLazCanvas.SelectedBitmap

Declaration

Source position: lazcanvas.pas line 116

public TLazCanvas.SelectedBitmap : TObject;


TLazCanvas.SetColor

Declaration

Source position: lazcanvas.pas line 100

protected procedure TLazCanvas.SetColor(

  x: Integer;

  y: Integer;

  const AValue: TFPColor

); override;


TLazCanvas.SetLazClipRegion

Declaration

Source position: lazcanvas.pas line 119

public procedure TLazCanvas.SetLazClipRegion(

  ARegion: TLazRegion

);


TLazCanvas.WindowOrg

Declaration

Source position: lazcanvas.pas line 159

public property TLazCanvas.WindowOrg : TPoint
  read GetWindowOrg
  write SetWindowOrg;


TLazCanvasImageFormat

Declaration

Source position: lazcanvas.pas line 52

type TLazCanvasImageFormat = (

  clfOther,

  clfRGB16_R5G6B5,

  clfRGB24,

  clfRGB24UpsideDown,

  clfBGR24,

  clfBGRA32,

  clfRGBA32,

  clfARGB32

);


TLazCanvasState

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Declaration

Source position: lazcanvas.pas line 69

type TLazCanvasState = class

public

  Brush: TFPCustomBrush;

  Pen: TFPCustomPen;

  Font: TFPCustomFont;

  BaseWindowOrg: TPoint;

  WindowOrg: TPoint;

  Clipping: Boolean;

  ClipRegion: TFPCustomRegion;

  destructor Destroy; override;

end;

Inheritance

TLazCanvasState

|

TObject


TLazCanvasState


TLazCanvasState

Destroy


TLazCanvasState.BaseWindowOrg

Declaration

Source position: lazcanvas.pas line 74

public TLazCanvasState.BaseWindowOrg : TPoint;


TLazCanvasState.Brush

Declaration

Source position: lazcanvas.pas line 71

public TLazCanvasState.Brush : TFPCustomBrush;


TLazCanvasState.Clipping

Declaration

Source position: lazcanvas.pas line 76

public TLazCanvasState.Clipping : Boolean;


TLazCanvasState.ClipRegion

Declaration

Source position: lazcanvas.pas line 77

public TLazCanvasState.ClipRegion : TFPCustomRegion;


TLazCanvasState.Destroy

Declaration

Source position: lazcanvas.pas line 78

public destructor TLazCanvasState.Destroy; override;


TLazCanvasState.Font

Declaration

Source position: lazcanvas.pas line 73

public TLazCanvasState.Font : TFPCustomFont;


TLazCanvasState.Pen

Declaration

Source position: lazcanvas.pas line 72

public TLazCanvasState.Pen : TFPCustomPen;


TLazCanvasState.WindowOrg

Declaration

Source position: lazcanvas.pas line 75

public TLazCanvasState.WindowOrg : TPoint;


TLazAccelerometer

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Represents the hardware accelerometer

Declaration

Source position: lazdeviceapis.pas line 42

type TLazAccelerometer = class
public
xaxis: Double; | The last value measured for the X axis of the accelerometer
yaxis: Double; | The last value measured for the Y axis of the accelerometer
zaxis: Double; | The last value measured for the Z axis of the accelerometer
procedure StartReadingAccelerometerData; | Starts monitoring the accelerometer sensor
procedure StopReadingAccelerometerData; | Stops monitoring the accelerometer sensor
property OnSensorChanged: TNotifyEvent; [rw] | Called when the accelerometer value changes or is updated from the sensor
end;

Inheritance

TLazAccelerometer

Represents the hardware accelerometer
|

TObject


TLazAccelerometer


TLazAccelerometer
 | StartReadingAccelerometerData
 | StopReadingAccelerometerData


TLazAccelerometer

OnSensorChanged


TLazAccelerometer.OnSensorChanged

Called when the accelerometer value changes or is updated from the sensor

Declaration

Source position: lazdeviceapis.pas line 51

public property TLazAccelerometer.OnSensorChanged : TNotifyEvent
  read FOnSensorChanged
  write FOnSensorChanged;


TLazAccelerometer.StartReadingAccelerometerData

Starts monitoring the accelerometer sensor

Declaration

Source position: lazdeviceapis.pas line 49

public procedure TLazAccelerometer.StartReadingAccelerometerData;

Description

After calling this method, the accelerometer sensor will be monitored. If the accelerometer native API sends an event for value changes, then the event OnSensorChanged will be called on every change and before calling it the xaxis, yaxis and zaxis properties of the Accelerometer global object will be updated to reflect the last value read. If the native accelerometer API requires pooling, then the accelerometer state will be pooled at a rate not faster then once per millisecond.

Remember to call StopReadingAccelerometerData when the accelerometer is no longer needed, because this may save energy in some mobile platforms.


TLazAccelerometer.StopReadingAccelerometerData

Stops monitoring the accelerometer sensor

Declaration

Source position: lazdeviceapis.pas line 50

public procedure TLazAccelerometer.StopReadingAccelerometerData;

Description

After calling this method OnSensorChange will no longer be called and the xaxis, yaxis and zaxis properties will remain stopped at the last value read


TLazAccelerometer.xaxis

The last value measured for the X axis of the accelerometer

Declaration

Source position: lazdeviceapis.pas line 48

public TLazAccelerometer.xaxis : Double;


TLazAccelerometer.yaxis

The last value measured for the Y axis of the accelerometer

Declaration

Source position: lazdeviceapis.pas line 48

public TLazAccelerometer.yaxis : Double;


TLazAccelerometer.zaxis

The last value measured for the Z axis of the accelerometer

Declaration

Source position: lazdeviceapis.pas line 48

public TLazAccelerometer.zaxis : Double;


TLazDevice

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Represents the device itself in a general way and hardware elements which don't have a exclusive object to represent them

Declaration

Source position: lazdeviceapis.pas line 131

type TLazDevice = class
public
procedure Vibrate(); | Vibrates the device, if it has hardware support for this.
function GetScreenRotation();
property Manufacturer: string; [r] | A string with the name of the manufacturer of the device
property Model: string; [r] | The model of the device.
end;

Inheritance

TLazDevice

Represents the device itself in a general way and hardware elements which don't have a exclusive object to represent them
|

TObject


TLazDevice
 | ro | Manufacturer
 | ro | Model


ro | Manufacturer (TLazDevice)
ro | Model (TLazDevice)


TLazDevice
 | Vibrate
 | GetScreenRotation


TLazDevice


TLazDevice.GetScreenRotation

Declaration

Source position: lazdeviceapis.pas line 137

public function TLazDevice.GetScreenRotation(

  AScreenIndex: Integer

):TScreenRotation;


TLazDevice.Manufacturer

A string with the name of the manufacturer of the device

Declaration

Source position: lazdeviceapis.pas line 138

public property TLazDevice.Manufacturer : string
  read GetDeviceManufacturer;


TLazDevice.Model

The model of the device.

Declaration

Source position: lazdeviceapis.pas line 139

public property TLazDevice.Model : string
  read GetDeviceModel;

Description

The model of the device. Sometimes the model includes the manufacturer too.


TLazDevice.Vibrate

Vibrates the device, if it has hardware support for this.

Declaration

Source position: lazdeviceapis.pas line 136

public procedure TLazDevice.Vibrate(

  ADurationMS: Cardinal

);

Description

Vibrates the device, if it has hardware support for this. The duration of the vibration is given in miliseconds.


TLazDeviceMessage

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Represents a message

Declaration

Source position: lazdeviceapis.pas line 58

type TLazDeviceMessage = class
public
bccAddress: TStringList; | A copy should be sent to addresses specified here, but these addresses will not appear in the message
Body: string; | The main text of the message
ccAddress: TStringList; | A copy should be sent to addresses specified here
destinationAddress: TStringList; | The destination(s) of the message
isRead: Boolean; | Indicates if the user has already read the message
messageId: string; | Reserved field
messageType: TLazDeviceMessageKind; | The type of the message
ReplyToAddress: string; | Might indicate an address different from SourceAddress so that replies are sent to a different address then the message sender
sourceAddress: string; | The address from which the message was sent
Subject: string; | The title or subject of the message
Time: TDateTime; | The time when the message was sent
validityPeriod: TTime; | The period of time for which the message is valid
constructor Create; virtual;
destructor Destroy; override;
end;

Inheritance

TLazDeviceMessage

Represents a message
|

TObject

Description

Don't create instances of this class directly. Instead use Messaging.CreateMessage().


TLazDeviceMessage


TLazDeviceMessage
 | Create
 | Destroy


TLazDeviceMessage.bccAddress

A copy should be sent to addresses specified here, but these addresses will not appear in the message

Declaration

Source position: lazdeviceapis.pas line 62

public TLazDeviceMessage.bccAddress : TStringList;

Description

The BCC field of E-Mails, also known as hidden copy


TLazDeviceMessage.Body

The main text of the message

Declaration

Source position: lazdeviceapis.pas line 63

public TLazDeviceMessage.Body : string;


TLazDeviceMessage.ccAddress

A copy should be sent to addresses specified here

Declaration

Source position: lazdeviceapis.pas line 64

public TLazDeviceMessage.ccAddress : TStringList;

Description

The CC field in E-Mails


TLazDeviceMessage.Create

Declaration

Source position: lazdeviceapis.pas line 75

public constructor TLazDeviceMessage.Create; virtual;


TLazDeviceMessage.destinationAddress

The destination(s) of the message

Declaration

Source position: lazdeviceapis.pas line 65

public TLazDeviceMessage.destinationAddress : TStringList;


TLazDeviceMessage.Destroy

Declaration

Source position: lazdeviceapis.pas line 76

public destructor TLazDeviceMessage.Destroy; override;


TLazDeviceMessage.isRead

Indicates if the user has already read the message

Declaration

Source position: lazdeviceapis.pas line 66

public TLazDeviceMessage.isRead : Boolean;


TLazDeviceMessage.messageId

Reserved field

Declaration

Source position: lazdeviceapis.pas line 67

public TLazDeviceMessage.messageId : string;


TLazDeviceMessage.messageType

The type of the message

Declaration

Source position: lazdeviceapis.pas line 69

public TLazDeviceMessage.messageType : TLazDeviceMessageKind;


TLazDeviceMessage.ReplyToAddress

Might indicate an address different from SourceAddress so that replies are sent to a different address then the message sender

Declaration

Source position: lazdeviceapis.pas line 70

public TLazDeviceMessage.ReplyToAddress : string;

Description

By default this value is empty, which means that the source and reply-to addresses match.


TLazDeviceMessage.sourceAddress

The address from which the message was sent

Declaration

Source position: lazdeviceapis.pas line 71

public TLazDeviceMessage.sourceAddress : string;


TLazDeviceMessage.Subject

The title or subject of the message

Declaration

Source position: lazdeviceapis.pas line 72

public TLazDeviceMessage.Subject : string;


TLazDeviceMessage.Time

The time when the message was sent

Declaration

Source position: lazdeviceapis.pas line 73

public TLazDeviceMessage.Time : TDateTime;


TLazDeviceMessage.validityPeriod

The period of time for which the message is valid

Declaration

Source position: lazdeviceapis.pas line 74

public TLazDeviceMessage.validityPeriod : TTime;


TLazDeviceMessageKind

Indicates the type of message (for example: SMS, MMS, EMail)

Declaration

Source position: lazdeviceapis.pas line 56

type TLazDeviceMessageKind = (
dmkSMS, | Indicates that the message is a SMS
dmkMMS, | Indicates that the message is a MMS
dmkEMail | Indicates that the message is a E-Mail
);


TLazMessaging

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

A class which manages messages

Declaration

Source position: lazdeviceapis.pas line 89

type TLazMessaging = class
public
constructor Create; virtual;
destructor Destroy; override;
procedure SendMessage(); | Sends a message to the target specified on it
function CreateMessage; | Creates a new message which can be sent with SendMessage
procedure FreeMessage(); | Removes a message created with CreateMessage
property OnMessagingStatus: TOnMessagingStatus; [rw] |
end;

Inheritance

TLazMessaging

A class which manages messages
|

TObject


TLazMessaging


TLazMessaging
 | Create
 | Destroy
 | SendMessage
 | CreateMessage
 | FreeMessage


Create (TLazMessaging)

CreateMessage (TLazMessaging)

Destroy (TLazMessaging)

FreeMessage (TLazMessaging)

SendMessage (TLazMessaging)


TLazMessaging

OnMessagingStatus


TLazMessaging.Create

Declaration

Source position: lazdeviceapis.pas line 94

public constructor TLazMessaging.Create; virtual;


TLazMessaging.CreateMessage

Creates a new message which can be sent with SendMessage

Declaration

Source position: lazdeviceapis.pas line 98

public function TLazMessaging.CreateMessage: TLazDeviceMessage;


TLazMessaging.Destroy

Declaration

Source position: lazdeviceapis.pas line 95

public destructor TLazMessaging.Destroy; override;


TLazMessaging.FreeMessage

Removes a message created with CreateMessage

Declaration

Source position: lazdeviceapis.pas line 99

public procedure TLazMessaging.FreeMessage(

  AMessage: TLazDeviceMessage

);


TLazMessaging.OnMessagingStatus

Declaration

Source position: lazdeviceapis.pas line 101

public property TLazMessaging.OnMessagingStatus : TOnMessagingStatus
  read FOnMessagingStatus
  write FOnMessagingStatus;


TLazMessaging.SendMessage

Sends a message to the target specified on it

Declaration

Source position: lazdeviceapis.pas line 97

public procedure TLazMessaging.SendMessage(

  AMsg: TLazDeviceMessage

);

Description

The message to be sent should be created with the method CreateMessage from this same class and later released with FreeMessage. The same message can be sent multiple times, but ideally it should not be edited after sending the first time to avoid confusion when obtaining the message object back in the status callback.


TLazMessagingStatus

Indicates the current stage of a message sending operation

Declaration

Source position: lazdeviceapis.pas line 79

type TLazMessagingStatus = (
mssSentSuccessfully, | Indicates that the message was sent successfully to the server
mssSendingGeneralError, | The message was not successfully sent to the server, but no particular reason for the failure is known.
mssRadioOff, | The hardware device which would send the message is off. The user should activate his Radio Network (CDMA, GMS or another one) or activate his WiFi (for EMail only)
mssNoService, | The hardware device which would send the message could not connect to the network because there is no signal here.
mssReceivedSuccessfully, | The message was succesfully received by the destionation
mssReceivingGeneralError | The message was not successfully received by the target, but no particular reason for the failure is known.
);


TLazPositionInfo

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Represents the hardware GPS device

Declaration

Source position: lazdeviceapis.pas line 109

type TLazPositionInfo = class
public
IsPositionDataAvailable: Boolean; | Indicates if position info was read in the life of this program
accuracy: Double; | The horizontal accuracy of the position in meters
altitude: Double; | Altitude in meters in relation to the sea level using the World Geodetic System 1984 (WGS84) datum
altitudeAccuracy: Double; | The vertical accuracy of the position in meters, or zero if not available
latitude: Double; | Latitude in degrees using the World Geodetic System 1984 (WGS84) datum
longitude: Double; | In meters / second
speed: Double;
timeStamp: TDateTime; | The time when the latest location was established
procedure RequestPositionInfo(); | Requests the latest position using the given method
property OnPositionRetrieved: TNotifyEvent; [rw] | Called asynchronously when the position is read
end;

Inheritance

TLazPositionInfo

Represents the hardware GPS device
|

TObject


TLazPositionInfo


TLazPositionInfo

RequestPositionInfo


TLazPositionInfo

OnPositionRetrieved


TLazPositionInfo.accuracy

The horizontal accuracy of the position in meters

Declaration

Source position: lazdeviceapis.pas line 115

public TLazPositionInfo.accuracy : Double;


TLazPositionInfo.altitude

Altitude in meters in relation to the sea level using the World Geodetic System 1984 (WGS84) datum

Declaration

Source position: lazdeviceapis.pas line 116

public TLazPositionInfo.altitude : Double;


TLazPositionInfo.altitudeAccuracy

The vertical accuracy of the position in meters, or zero if not available

Declaration

Source position: lazdeviceapis.pas line 117

public TLazPositionInfo.altitudeAccuracy : Double;


TLazPositionInfo.IsPositionDataAvailable

Indicates if position info was read in the life of this program

Declaration

Source position: lazdeviceapis.pas line 113

public TLazPositionInfo.IsPositionDataAvailable : Boolean;


TLazPositionInfo.latitude

Latitude in degrees using the World Geodetic System 1984 (WGS84) datum

Declaration

Source position: lazdeviceapis.pas line 118

public TLazPositionInfo.latitude : Double;


TLazPositionInfo.longitude

In meters / second

Declaration

Source position: lazdeviceapis.pas line 119

public TLazPositionInfo.longitude : Double;


TLazPositionInfo.OnPositionRetrieved

Called asynchronously when the position is read

Declaration

Source position: lazdeviceapis.pas line 124

public property TLazPositionInfo.OnPositionRetrieved : TNotifyEvent
  read FOnPositionRetrieved
  write FOnPositionRetrieved;


TLazPositionInfo.RequestPositionInfo

Requests the latest position using the given method

Declaration

Source position: lazdeviceapis.pas line 122

public procedure TLazPositionInfo.RequestPositionInfo(

  AMethod: TLazPositionMethod

);

Description

This call is assynchronous and the data will only be available when the OnPositionRetrieved callback is called.


TLazPositionInfo.speed

Declaration

Source position: lazdeviceapis.pas line 120

public TLazPositionInfo.speed : Double;


TLazPositionInfo.timeStamp

The time when the latest location was established

Declaration

Source position: lazdeviceapis.pas line 121

public TLazPositionInfo.timeStamp : TDateTime;


TLazarusFileDialogForm

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Declaration

Source position: lazdialogs.pas line 20

type TLazarusFileDialogForm = class(TForm)

public

  ButtonPanel: TButtonPanel;

  ShellTreeView: TShellTreeView;

  ShellListView: TShellListView;

  SaveEdit: TEdit;

  FilterComboBox: TFilterComboBox;

  FileName: string;

  Filter: string;

  InitialDir: string;

  Title: string;

  constructor CreateNew(); override;

  procedure Initialize();

  procedure HandleOkClick();

  procedure HandleCancelClick();

  procedure HandleCloseQuery();

  procedure HandleEditChange();

  procedure HandleSelectItem();

  procedure HandleTreeViewSelectionChanged();

end;

Inheritance

TLazarusFileDialogForm |
|
TForm
|
TCustomForm | The base type for TForm.
|
TCustomDesignControl
|
TScrollingWinControl | Class of a windowed control with incorporated scroll bars.
|
TCustomControl | The base class for windowed controls which paint themselves.
|
TWinControl | The base class for controls which can contain other (child) controls.
|
TControl | The base class for visible controls.
|
TLCLComponent | The base class for LCL components associated with widgets.
|
TComponent,IUnknown,IInterfaceComponentReference
|
TPersistent,IFPObserved
|
TObject


TLazarusFileDialogForm
TForm
 | ro | ClientHandle
 | ro | DockManager
pl | ro | Action
pl | ro | ActiveControl
pl | ro | Align
pl | ro | AllowDropFiles
pl | ro | AlphaBlend
pl | ro | AlphaBlendValue
pl | ro | Anchors
pl | ro | AutoScroll
pl | ro | AutoSize
pl | ro | BiDiMode
pl | ro | BorderIcons
pl | ro | BorderStyle
pl | ro | BorderWidth
pl | ro | Caption
pl | ro | ChildSizing
pl | ro | ClientHeight
pl | ro | ClientWidth
pl | ro | Color
pl | ro | Constraints
pl | ro | DefaultMonitor
pl | ro | DesignTimePPI
pl | ro | DockSite
pl | ro | DoubleBuffered
pl | ro | DragKind
pl | ro | DragMode
pl | ro | Enabled
pl | ro | Font
pl | ro | FormStyle
pl | ro | HelpFile
pl | ro | Icon
pl | ro | KeyPreview
pl | ro | Menu
pl | ro | ParentBiDiMode
pl | ro | ParentDoubleBuffered
pl | ro | ParentFont
pl | ro | PixelsPerInch
pl | ro | PopupMenu
pl | ro | PopupMode
pl | ro | PopupParent
pl | ro | Position
pl | ro | SessionProperties
pl | ro | ShowHint
pl | ro | ShowInTaskBar
pl | ro | UseDockManager
pl |  | LCLVersion
pl | ro | Scaled
pl | ro | Visible
pl | ro | WindowState
TCustomForm
pt | ro | ClientHandle
 | ro | Active
 |  | ActiveControl
 |  | ActiveDefaultControl
 |  | AllowDropFiles
 |  | AlphaBlend
 |  | AlphaBlendValue
 | ro | AutoScroll
 |  | BorderIcons
 |  | BorderStyle
 |  | CancelControl
 | ro | Caption
 | ro | Color
 |  | DefaultControl
 |  | DefaultMonitor
 |  | Designer
 | ro | EffectiveShowInTaskBar
 | ro | FormState
 |  | FormStyle
 |  | HelpFile
 |  | Icon
 |  | KeyPreview
 | ro | MDIChildren
 |  | Menu
 |  | ModalResult
 | ro | Monitor
 | ro | LastActiveControl
 |  | PopupMode
 |  | PopupParent
 | ro | ParentFont
 |  | Position
 | ro | RestoredLeft
 | ro | RestoredTop
 | ro | RestoredWidth
 | ro | RestoredHeight
 |  | ShowInTaskBar
 | ro | Visible
 |  | WindowState
TCustomDesignControl
 |  | DesignTimePPI
 |  | PixelsPerInch
 |  | Scaled
TScrollingWinControl
pt |  | AutoScroll
pl |  | HorzScrollBar
pl |  | VertScrollBar
TCustomControl
 |  | Canvas
 | ro | BorderStyle
TWinControl
pt |  | WindowHandle
pt |  | BorderStyle
pt |  | ParentBackground
 |  | BorderWidth
 | ro | BoundsLockCount
 | ro | Brush
 | ro | CachedClientHeight
 | ro | CachedClientWidth
 |  | ChildSizing
 | ro | ControlCount
 | ro | Controls
 |  | DefWndProc
 | ro | DockClientCount
 | ro | DockClients
 |  | DockManager
 |  | DockSite
 |  | DoubleBuffered
 |  | Handle
 | ro | IsFlipped
 | ro | IsResizing
 |  | TabOrder
 |  | TabStop
 |  | ParentDoubleBuffered
 |  | ParentWindow
 | ro | Showing
 |  | UseDockManager
 |  | DesignerDeleting
 | ro | VisibleDockClientCount
TControl
pt | ro | AutoSizing
pt | ro | AutoSizingAll
pt | ro | AutoSizingLockCount
pt |  | ActionLink
pt |  | DesktopFont
pt |  | DragCursor
pt |  | DragKind
pt |  | DragMode
pt |  | MouseCapture
pt |  | ParentColor
pt |  | ParentFont
pt |  | ParentShowHint
pt |  | SessionProperties
pt |  | Text
 | ro | AnchoredControls
 | ro | BaseBounds
 | ro | ReadBounds
 | ro | BaseParentClientSize
 |  | AccessibleDescription
 |  | AccessibleValue
 |  | AccessibleRole
 |  | Action
 |  | Align
 |  | Anchors
 | ro | AnchorSide
 |  | AutoSize
 |  | BorderSpacing
 |  | BoundsRect
 |  | BoundsRectForNewParent
 |  | Caption
 |  | CaptureMouseButtons
 |  | ClientHeight
 | ro | ClientOrigin
 | ro | ClientRect
 |  | ClientWidth
 |  | Color
 |  | Constraints
 | ro | ControlOrigin
 |  | ControlState
 |  | ControlStyle
 |  | Enabled
 |  | Font
 |  | IsControl
 | ro | MouseEntered
 | ro | MouseInClient
 |  | Parent
 |  | PopupMenu
 |  | ShowHint
 |  | Visible
 |  | WindowProc
 |  | DockOrientation
 | ro | Floating
 |  | FloatingDockSiteClass
 |  | HostDockSite
 |  | LRDockWidth
 |  | TBDockHeight
 |  | UndockHeight
 |  | UndockWidth
 |  | BiDiMode
 |  | ParentBiDiMode
pl |  | AnchorSideLeft
pl |  | AnchorSideTop
pl |  | AnchorSideRight
pl |  | AnchorSideBottom
pl |  | Cursor
pl |  | Left
pl |  | Height
pl |  | Hint
pl |  | Top
pl |  | Width
pl |  | HelpType
pl |  | HelpKeyword
pl |  | HelpContext
TLCLComponent
 | ro | LCLRefCount
 | ro | WidgetSetClass
TComponent
 | ro | ComObject
 | ro | Components
 | ro | ComponentCount
 |  | ComponentIndex
 | ro | ComponentState
 | ro | ComponentStyle
 |  | DesignInfo
 | ro | Owner
 |  | VCLComObject
 |  | Name
 |  | Tag
TPersistent
TObject


TLazarusFileDialogForm
 | CreateNew
 | Initialize
 | HandleOkClick
 | HandleCancelClick
 | HandleCloseQuery
 | HandleEditChange
 | HandleSelectItem
 | HandleTreeViewSelectionChanged
TForm
pt | CreateWnd
pt | Loaded
 | Create
 | Cascade
 | Next
 | Previous
 | Tile
TCustomForm
pt | WMActivate
pt | WMCloseQuery
pt | WMHelp
pt | WMMove
pt | WMShowWindow
pt | WMSize
pt | WMWindowPosChanged
pt | CMBiDiModeChanged
pt | CMParentBiDiModeChanged
pt | CMAppShowBtnGlyphChanged
pt | CMAppShowMenuGlyphChanged
pt | CMIconChanged
pt | CMRelease
pt | CMActivate
pt | CMDeactivate
pt | CMShowingChanged
pt | WMDPIChanged
pt | WSRegisterClass
pt | DoShowWindow
pt | Activate
pt | ActiveChanged
pt | AdjustClientRect
pt | BeginFormUpdate
pt | ColorIsStored
pt | CreateParams
pt | CreateWnd
pt | Deactivate
pt | DoClose
pt | DoCreate
pt | DoDestroy
pt | DoHide
pt | DoShow
pt | EndFormUpdate
pt | HandleCreateException
pt | HandleDestroyException
pt | HandleShowHideException
pt | InitializeWnd
pt | Loaded
pt | ChildHandlesCreated
pt | Notification
pt | PaintWindow
pt | RequestAlign
pt | Resizing
pt | CalculatePreferredSize
pt | SetZOrder
pt | SetParent
pt | MoveToDefaultPosition
pt | UpdateShowing
pt | SetVisible
pt | AllAutoSized
pt | DoFirstShow
pt | UpdateWindowState
pt | VisibleChanging
pt | VisibleChanged
pt | WndProc
pt | VisibleIsStored
pt | DoSendBoundsToInterface
pt | DoAutoSize
pt | SetAutoSize
pt | SetAutoScroll
pt | SetScaled
pt | DoAddActionList
pt | DoRemoveActionList
pt | ProcessResource
pt | BeginAutoDrag
pt | DoDock
pt | GetFloating
pt | GetDefaultDockCaption
pt | CMActionExecute
pt | CMActionUpdate
pt | DoExecuteAction
pt | DoUpdateAction
pt | UpdateActions
 | Create
 | CreateNew
 | Destroy
 | AfterConstruction
 | BeforeDestruction
 | GetControlClassDefaultSize
 | BigIconHandle
 | Close
 | CloseQuery
 | DefocusControl
 | DestroyWnd
 | EnsureVisible
 | FocusControl
 | FormIsUpdating
 | GetFormImage
 | GetRolesForControl
 | GetRealPopupParent
 | Hide
 | IntfDropFiles
 | IntfHelp
 | IsShortcut
 | MakeFullyVisible
 | AutoSizeDelayedHandle
 | GetPreferredSize
 | Release
 | CanFocus
 | SetFocus
 | SetFocusedControl
 | SetRestoredBounds
 | Show
 | ShowModal
 | ShowOnTop
 | SmallIconHandle
 | GetChildren
 | WantChildKey
 | RemoveAllHandlersOfObject
 | AddHandlerFirstShow
 | RemoveHandlerFirstShow
 | AddHandlerClose
 | RemoveHandlerClose
 | AddHandlerCreate
 | RemoveHandlerCreate
 | ActiveMDIChild
 | GetMDIChildren
 | MDIChildCount
 | AutoScale
 | Dock
 | UpdateDockCaption
TCustomDesignControl
pt | SetScaled
pt | DoAutoAdjustLayout
pt | Loaded
 | Create
 | AutoAdjustLayout
TScrollingWinControl
pt | WSRegisterClass
pt | AlignControls
pt | AutoScrollEnabled
pt | CalculateAutoRanges
pt | CreateWnd
pt | GetClientScrollOffset
pt | GetLogicalClientRect
pt | DoOnResize
pt | GetPreferredSizeClientFrame
pt | WMSize
pt | WMHScroll
pt | WMVScroll
pt | ComputeScrollbars
pt | SetAutoScroll
pt | Loaded
pt | Resizing
pt | SetAutoSize
 | Create
 | Destroy
 | ScreenToClient
 | ClientToScreen
 | UpdateScrollbars
 | GetControlClassDefaultSize
 | ScrollBy
 | ScrollInView
TCustomControl
pt | WSRegisterClass
pt | WMPaint
pt | DestroyWnd
pt | PaintWindow
pt | FontChanged
pt | SetColor
pt | Paint
 | Create
 | Destroy
TWinControl
pt | WSRegisterClass
pt | AdjustClientRect
pt | GetAdjustedLogicalClientRect
pt | AlignControls
pt | CustomAlignInsertBefore
pt | CustomAlignPosition
pt | DoAlignChildControls
pt | DoChildSizingChange
pt | InvalidatePreferredChildSizes
pt | CanTab
pt | IsClientHeightStored
pt | IsClientWidthStored
pt | DoSendShowHideToInterface
pt | ControlsAligned
pt | DoSendBoundsToInterface
pt | RealizeBounds
pt | RealizeBoundsRecursive
pt | InvalidateBoundsRealized
pt | CreateSubClass
pt | DoConstraintsChange
pt | DoSetBounds
pt | DoAutoSize
pt | DoAllAutoSize
pt | AllAutoSized
pt | CalculatePreferredSize
pt | GetPreferredSizeClientFrame
pt | GetChildren
pt | ChildClassAllowed
pt | PaintControls
pt | PaintHandler
pt | PaintWindow
pt | CreateBrush
pt | ScaleControls
pt | ChangeScale
pt | CMBiDiModeChanged
pt | CMBorderChanged
pt | CMDoubleBufferedChanged
pt | CMEnabledChanged
pt | CMParentDoubleBufferedChanged
pt | CMShowingChanged
pt | CMShowHintChanged
pt | CMVisibleChanged
pt | CMEnter
pt | CMExit
pt | WMContextMenu
pt | WMEraseBkgnd
pt | WMNotify
pt | WMSetFocus
pt | WMKillFocus
pt | WMShowWindow
pt | WMEnter
pt | WMExit
pt | WMKeyDown
pt | WMSysKeyDown
pt | WMKeyUp
pt | WMSysKeyUp
pt | WMChar
pt | WMSysChar
pt | WMPaint
pt | WMDestroy
pt | WMMove
pt | WMSize
pt | WMWindowPosChanged
pt | CNKeyDown
pt | CNSysKeyDown
pt | CNKeyUp
pt | CNSysKeyUp
pt | CNChar
pt | DoDragMsg
pt | DoDockClientMsg
pt | DoUndockClientMsg
pt | DoAddDockClient
pt | DockOver
pt | DoDockOver
pt | DoRemoveDockClient
pt | DoUnDock
pt | GetSiteInfo
pt | GetParentHandle
pt | GetTopParentHandle
pt | ReloadDockedControl
pt | CreateDockManager
pt | SetDockManager
pt | DoFloatMsg
pt | DoGetDockCaption
pt | DoEnter
pt | DoExit
pt | DoKeyDownBeforeInterface
pt | DoRemainingKeyDown
pt | DoRemainingKeyUp
pt | DoKeyPress
pt | DoUTF8KeyPress
pt | DoKeyUpBeforeInterface
pt | ChildKey
pt | SendDialogChar
pt | DialogChar
pt | ControlKeyDown
pt | ControlKeyUp
pt | KeyDown
pt | KeyDownBeforeInterface
pt | KeyDownAfterInterface
pt | KeyPress
pt | KeyUp
pt | KeyUpBeforeInterface
pt | KeyUpAfterInterface
pt | UTF8KeyPress
pt | FindNextControl
pt | SelectFirst
pt | RealGetText
pt | GetBorderStyle
pt | GetClientOrigin
pt | GetClientRect
pt | GetControlOrigin
pt | GetDeviceContext
pt | GetParentBackground
pt | IsControlMouseMsg
pt | CreateHandle
pt | CreateParams
pt | CreateWnd
pt | DestroyHandle
pt | DestroyWnd
pt | DoFlipChildren
pt | FinalizeWnd
pt | FixupTabList
pt | FontChanged
pt | InitializeWnd
pt | Loaded
pt | FormEndUpdated
pt | MainWndProc
pt | ParentFormHandleInitialized
pt | ChildHandlesCreated
pt | GetMouseCapture
pt | RealSetText
pt | RemoveFocus
pt | SendMoveSizeMessages
pt | SetBorderStyle
pt | SetColor
pt | SetChildZPosition
pt | SetParentBackground
pt | ShowControl
pt | UpdateControlState
pt | UpdateShowing
pt | WndProc
pt | WSSetText
 | AutoSizePhases
 | AutoSizeDelayed
 | AutoSizeDelayedReport
 | AutoSizeDelayedHandle
 | BeginUpdateBounds
 | EndUpdateBounds
 | LockRealizeBounds
 | UnlockRealizeBounds
 | ControlAtPos
 | ContainsControl
 | DoAdjustClientRectChange
 | InvalidateClientRectCache
 | ClientRectNeedsInterfaceUpdate
 | SetBounds
 | GetChildrenRect
 | DisableAlign
 | EnableAlign
 | ReAlign
 | ScrollBy_WS
 | ScrollBy
 | WriteLayoutDebugReport
 | AutoAdjustLayout
 | Create
 | CreateParented
 | CreateParentedControl
 | Destroy
 | DockDrop
 | CanFocus
 | CanSetFocus
 | GetControlIndex
 | SetControlIndex
 | Focused
 | PerformTab
 | FindChildControl
 | SelectNext
 | SetTempCursor
 | BroadCast
 | NotifyControls
 | DefaultHandler
 | GetTextLen
 | Invalidate
 | AddControl
 | InsertControl
 | RemoveControl
 | GetEnumeratorControls
 | GetEnumeratorControlsReverse
 | Repaint
 | Update
 | SetFocus
 | FlipChildren
 | ScaleBy
 | GetDockCaption
 | UpdateDockCaption
 | GetTabOrderList
 | HandleAllocated
 | ParentHandlesAllocated
 | HandleNeeded
 | BrushCreated
 | EraseBackground
 | IntfUTF8KeyPress
 | IntfGetDropFilesTarget
 | PaintTo
 | SetShape
TControl
pt | WSRegisterClass
pt | GetCursor
pt | SetCursor
pt | SetVisible
pt | DoOnParentHandleDestruction
pt | DoAutoSize
pt | DoAllAutoSize
pt | BeginAutoSizing
pt | EndAutoSizing
pt | AnchorSideChanged
pt | ForeignAnchorSideChanged
pt | SetAlign
pt | SetAnchors
pt | SetAutoSize
pt | BoundsChanged
pt | CreateControlBorderSpacing
pt | DoConstraintsChange
pt | DoBorderSpacingChange
pt | IsBorderSpacingInnerBorderStored
pt | IsCaptionStored
pt | SendMoveSizeMessages
pt | ConstrainedResize
pt | CalculatePreferredSize
pt | DoOnResize
pt | DoOnChangeBounds
pt | CheckOnChangeBounds
pt | Resize
pt | RequestAlign
pt | UpdateAnchorRules
pt | ChangeBounds
pt | DoSetBounds
pt | ScaleConstraints
pt | ChangeScale
pt | CanAutoSize
pt | SetBiDiMode
pt | SetParentBiDiMode
pt | IsAParentAligning
pt | GetClientOrigin
pt | GetClientRect
pt | GetLogicalClientRect
pt | GetScrolledClientRect
pt | GetClientScrollOffset
pt | GetControlOrigin
pt | IsClientHeightStored
pt | IsClientWidthStored
pt | WidthIsAnchored
pt | HeightIsAnchored
pt | WMCancelMode
pt | WMContextMenu
pt | WMLButtonDown
pt | WMRButtonDown
pt | WMMButtonDown
pt | WMXButtonDown
pt | WMLButtonDBLCLK
pt | WMRButtonDBLCLK
pt | WMMButtonDBLCLK
pt | WMXButtonDBLCLK
pt | WMLButtonTripleCLK
pt | WMRButtonTripleCLK
pt | WMMButtonTripleCLK
pt | WMXButtonTripleCLK
pt | WMLButtonQuadCLK
pt | WMRButtonQuadCLK
pt | WMMButtonQuadCLK
pt | WMXButtonQuadCLK
pt | WMMouseMove
pt | WMLButtonUp
pt | WMRButtonUp
pt | WMMButtonUp
pt | WMXButtonUp
pt | WMMouseWheel
pt | WMMouseHWheel
pt | WMMove
pt | WMSize
pt | WMWindowPosChanged
pt | CMChanged
pt | LMCaptureChanged
pt | CMBiDiModeChanged
pt | CMSysFontChanged
pt | CMEnabledChanged
pt | CMHitTest
pt | CMMouseEnter
pt | CMMouseLeave
pt | CMHintShow
pt | CMParentBiDiModeChanged
pt | CMParentColorChanged
pt | CMParentFontChanged
pt | CMParentShowHintChanged
pt | CMVisibleChanged
pt | CMTextChanged
pt | CMCursorChanged
pt | CalculateDockSizes
pt | CreateFloatingDockSite
pt | GetDockEdge
pt | GetDragImages
pt | GetFloating
pt | GetFloatingDockSiteClass
pt | BeforeDragStart
pt | BeginAutoDrag
pt | DoFloatMsg
pt | DockTrackNoTarget
pt | DoDock
pt | DoDragMsg
pt | DoEndDock
pt | DoEndDrag
pt | DoStartDock
pt | DoStartDrag
pt | DragCanceled
pt | DragOver
pt | PositionDockRect
pt | SetDragMode
pt | GetDefaultDockCaption
pt | Click
pt | DblClick
pt | TripleClick
pt | QuadClick
pt | GetMousePosFromMessage
pt | MouseDown
pt | MouseMove
pt | MouseUp
pt | MouseEnter
pt | MouseLeave
pt | DialogChar
pt | UpdateMouseCursor
pt | Changed
pt | GetPalette
pt | ChildClassAllowed
pt | ReadState
pt | Loaded
pt | LoadedAll
pt | DefineProperties
pt | AssignTo
pt | FormEndUpdated
pt | InvalidateControl
pt | FontChanged
pt | ParentFontChanged
pt | GetAction
pt | RealGetText
pt | RealSetText
pt | TextChanged
pt | GetCachedText
pt | SetAction
pt | SetColor
pt | SetEnabled
pt | SetHint
pt | SetName
pt | SetParent
pt | SetParentComponent
pt | WndProc
pt | ParentFormHandleInitialized
pt | GetMouseCapture
pt | CaptureChanged
pt | Notification
pt | CanTab
pt | GetDeviceContext
pt | GetEnabled
pt | GetPopupMenu
pt | DoOnShowHint
pt | DoMouseWheel
pt | DoMouseWheelDown
pt | DoMouseWheelUp
pt | DoMouseWheelHorz
pt | DoMouseWheelLeft
pt | DoMouseWheelRight
pt | VisibleChanging
pt | VisibleChanged
pt | EnabledChanging
pt | EnabledChanged
pt | AddHandler
pt | RemoveHandler
pt | DoCallNotifyHandler
pt | DoCallKeyEventHandler
pt | DoCallMouseWheelEventHandler
pt | DoContextPopup
pt | SetZOrder
pt | GetControlClassDefaultSize
pt | ColorIsStored
pt | DoAutoAdjustLayout
pt | DoFixDesignFontPPI
pt | DoScaleFontPPI
pt | GetActionLinkClass
pt | ActionChange
 | DragDrop
 | Dock
 | ManualDock
 | ManualFloat
 | ReplaceDockedControl
 | Docked
 | Dragging
 | GetAccessibleObject
 | CreateAccessibleObject
 | GetSelectedChildAccessibleObject
 | GetChildAccessibleObjectAtPos
 | ScaleDesignToForm
 | ScaleFormToDesign
 | Scale96ToForm
 | ScaleFormTo96
 | Scale96ToFont
 | ScaleFontTo96
 | ScaleScreenToFont
 | ScaleFontToScreen
 | Scale96ToScreen
 | ScaleScreenTo96
 | AdjustSize
 | AutoSizePhases
 | AutoSizeDelayed
 | AutoSizeDelayedReport
 | AutoSizeDelayedHandle
 | AnchorToNeighbour
 | AnchorParallel
 | AnchorHorizontalCenterTo
 | AnchorVerticalCenterTo
 | AnchorToCompanion
 | AnchorSame
 | AnchorAsAlign
 | AnchorClient
 | AnchoredControlCount
 | SetBounds
 | SetInitialBounds
 | SetBoundsKeepBase
 | GetPreferredSize
 | GetCanvasScaleFactor
 | GetDefaultWidth
 | GetDefaultHeight
 | GetDefaultColor
 | GetColorResolvingParent
 | GetRGBColorResolvingParent
 | GetSidePosition
 | CNPreferredSizeChanged
 | InvalidatePreferredSize
 | GetAnchorsDependingOnParent
 | DisableAutoSizing
 | EnableAutoSizing
 | UpdateBaseBounds
 | WriteLayoutDebugReport
 | AutoAdjustLayout
 | ShouldAutoAdjust
 | FixDesignFontsPPI
 | ScaleFontsPPI
 | Create
 | Destroy
 | BeforeDestruction
 | EditingDone
 | ExecuteDefaultAction
 | ExecuteCancelAction
 | BeginDrag
 | EndDrag
 | BringToFront
 | HasParent
 | GetParentComponent
 | IsParentOf
 | GetTopParent
 | IsVisible
 | IsControlVisible
 | IsEnabled
 | IsParentColor
 | IsParentFont
 | FormIsUpdating
 | IsProcessingPaintMsg
 | Hide
 | Refresh
 | Repaint
 | Invalidate
 | CheckChildClassAllowed
 | CheckNewParent
 | SendToBack
 | SetTempCursor
 | UpdateRolesForForm
 | ActiveDefaultControlChanged
 | GetTextBuf
 | GetTextLen
 | SetTextBuf
 | Perform
 | ScreenToClient
 | ClientToScreen
 | ScreenToControl
 | ControlToScreen
 | ClientToParent
 | ParentToClient
 | GetChildrenRect
 | Show
 | Update
 | HandleObjectShouldBeVisible
 | ParentDestroyingHandle
 | ParentHandlesAllocated
 | InitiateAction
 | ShowHelp
 | HasHelp
 | RemoveAllHandlersOfObject
 | AddHandlerOnResize
 | RemoveHandlerOnResize
 | AddHandlerOnChangeBounds
 | RemoveHandlerOnChangeBounds
 | AddHandlerOnVisibleChanging
 | RemoveHandlerOnVisibleChanging
 | AddHandlerOnVisibleChanged
 | RemoveHandlerOnVisibleChanged
 | AddHandlerOnEnabledChanged
 | RemoveHandlerOnEnableChanging
 | AddHandlerOnKeyDown
 | RemoveHandlerOnKeyDown
 | AddHandlerOnBeforeDestruction
 | RemoveHandlerOnBeforeDestruction
 | AddHandlerOnMouseWheel
 | RemoveHandlerOnMouseWheel
 | UseRightToLeftAlignment
 | UseRightToLeftReading
 | UseRightToLeftScrollBar
 | IsRightToLeft
TLCLComponent
pt | WSRegisterClass
pt | GetWSComponentClass
 | Create
 | Destroy
 | NewInstance
 | RemoveAllHandlersOfObject
 | IncLCLRefCount
 | DecLCLRefCount
TComponent
 | GetComObject
 | GetComponent
 | GetComponentCount
 | GetComponentIndex
 | Insert
 | ReadLeft
 | ReadTop
 | Remove
 | RemoveNotification
 | SetComponentIndex
 | SetReference
 | WriteLeft
 | WriteTop
 | ChangeName
 | DefineProperties
 | GetChildren
 | GetChildOwner
 | GetChildParent
 | GetOwner
 | Loaded
 | Loading
 | Notification
 | PaletteCreated
 | ReadState
 | SetAncestor
 | SetDesigning
 | SetDesignInstance
 | SetInline
 | SetName
 | SetChildOrder
 | SetParentComponent
 | Updating
 | Updated
 | UpdateRegistry
 | ValidateRename
 | ValidateContainer
 | ValidateInsert
 | QueryInterface
 | _AddRef
 | _Release
 | iicrGetComponent
 | GetTypeInfoCount
 | GetTypeInfo
 | GetIDsOfNames
 | Invoke
 | WriteState
 | Create
 | Destroy
 | BeforeDestruction
 | DestroyComponents
 | Destroying
 | ExecuteAction
 | FindComponent
 | FreeNotification
 | RemoveFreeNotification
 | FreeOnRelease
 | GetEnumerator
 | GetNamePath
 | GetParentComponent
 | HasParent
 | InsertComponent
 | RemoveComponent
 | SafeCallException
 | SetSubComponent
 | UpdateAction
 | IsImplementorOf
 | ReferenceInterface
TPersistent
 | AssignError
 | AssignTo
 | DefineProperties
 | GetOwner
 | Destroy
 | Assign
 | FPOAttachObserver
 | FPODetachObserver
 | FPONotifyObservers
 | GetNamePath
TObject
 | Create
 | Destroy
 | newinstance
 | FreeInstance
 | SafeCallException
 | DefaultHandler
 | Free
 | InitInstance
 | CleanupInstance
 | ClassType
 | ClassInfo
 | ClassName
 | ClassNameIs
 | ClassParent
 | InstanceSize
 | InheritsFrom
 | StringMessageTable
 | MethodAddress
 | MethodName
 | FieldAddress
 | AfterConstruction
 | BeforeDestruction
 | DefaultHandlerStr
 | Dispatch
 | DispatchStr
 | GetInterface
 | GetInterfaceByStr
 | GetInterfaceWeak
 | GetInterfaceEntry
 | GetInterfaceEntryByStr
 | GetInterfaceTable
 | UnitName
 | Equals
 | GetHashCode
 | ToString


pt | ActionChange (TControl)
pt | Activate (TCustomForm)
pt | ActiveChanged (TCustomForm)
 | ActiveDefaultControlChanged (TControl)
 | ActiveMDIChild (TCustomForm)
 | AddControl (TWinControl)
pt | AddHandler (TControl)
 | AddHandlerClose (TCustomForm)
 | AddHandlerCreate (TCustomForm)
 | AddHandlerFirstShow (TCustomForm)
 | AddHandlerOnBeforeDestruction (TControl)
 | AddHandlerOnChangeBounds (TControl)
 | AddHandlerOnEnabledChanged (TControl)
 | AddHandlerOnKeyDown (TControl)
 | AddHandlerOnMouseWheel (TControl)
 | AddHandlerOnResize (TControl)
 | AddHandlerOnVisibleChanged (TControl)
 | AddHandlerOnVisibleChanging (TControl)
pt | AdjustClientRect (TWinControl)
pt | AdjustClientRect (TCustomForm)
 | AdjustSize (TControl)
 | AfterConstruction (TObject)
 | AfterConstruction (TCustomForm)
pt | AlignControls (TWinControl)
pt | AlignControls (TScrollingWinControl)
pt | AllAutoSized (TWinControl)
pt | AllAutoSized (TCustomForm)
 | AnchorAsAlign (TControl)
 | AnchorClient (TControl)
 | AnchoredControlCount (TControl)
 | AnchorHorizontalCenterTo (TControl)
 | AnchorParallel (TControl)
 | AnchorSame (TControl)
pt | AnchorSideChanged (TControl)
 | AnchorToCompanion (TControl)
 | AnchorToNeighbour (TControl)
 | AnchorVerticalCenterTo (TControl)
 | Assign (TPersistent)
 | AssignError (TPersistent)
 | AssignTo (TPersistent)
pt | AssignTo (TControl)
 | AutoAdjustLayout (TControl)
 | AutoAdjustLayout (TWinControl)
 | AutoAdjustLayout (TCustomDesignControl)
 | AutoScale (TCustomForm)
pt | AutoScrollEnabled (TScrollingWinControl)
 | AutoSizeDelayed (TControl)
 | AutoSizeDelayed (TWinControl)
 | AutoSizeDelayedHandle (TControl)
 | AutoSizeDelayedHandle (TWinControl)
 | AutoSizeDelayedHandle (TCustomForm)
 | AutoSizeDelayedReport (TControl)
 | AutoSizeDelayedReport (TWinControl)
 | AutoSizePhases (TControl)
 | AutoSizePhases (TWinControl)
 | BeforeDestruction (TObject)
 | BeforeDestruction (TComponent)
 | BeforeDestruction (TControl)
 | BeforeDestruction (TCustomForm)
pt | BeforeDragStart (TControl)
pt | BeginAutoDrag (TControl)
pt | BeginAutoDrag (TCustomForm)
pt | BeginAutoSizing (TControl)
 | BeginDrag (TControl)
pt | BeginFormUpdate (TCustomForm)
 | BeginUpdateBounds (TWinControl)
 | BigIconHandle (TCustomForm)
pt | BoundsChanged (TControl)
 | BringToFront (TControl)
 | BroadCast (TWinControl)
 | BrushCreated (TWinControl)
pt | CalculateAutoRanges (TScrollingWinControl)
pt | CalculateDockSizes (TControl)
pt | CalculatePreferredSize (TControl)
pt | CalculatePreferredSize (TWinControl)
pt | CalculatePreferredSize (TCustomForm)
pt | CanAutoSize (TControl)
 | CanFocus (TWinControl)
 | CanFocus (TCustomForm)
 | CanSetFocus (TWinControl)
pt | CanTab (TControl)
pt | CanTab (TWinControl)
pt | CaptureChanged (TControl)
 | Cascade (TForm)
pt | ChangeBounds (TControl)
pt | Changed (TControl)
 | ChangeName (TComponent)
pt | ChangeScale (TControl)
pt | ChangeScale (TWinControl)
 | CheckChildClassAllowed (TControl)
 | CheckNewParent (TControl)
pt | CheckOnChangeBounds (TControl)
pt | ChildClassAllowed (TControl)
pt | ChildClassAllowed (TWinControl)
pt | ChildHandlesCreated (TWinControl)
pt | ChildHandlesCreated (TCustomForm)
pt | ChildKey (TWinControl)
 | ClassInfo (TObject)
 | ClassName (TObject)
 | ClassNameIs (TObject)
 | ClassParent (TObject)
 | ClassType (TObject)
 | CleanupInstance (TObject)
pt | Click (TControl)
 | ClientRectNeedsInterfaceUpdate (TWinControl)
 | ClientToParent (TControl)
 | ClientToScreen (TControl)
 | ClientToScreen (TScrollingWinControl)
 | Close (TCustomForm)
 | CloseQuery (TCustomForm)
pt | CMActionExecute (TCustomForm)
pt | CMActionUpdate (TCustomForm)
pt | CMActivate (TCustomForm)
pt | CMAppShowBtnGlyphChanged (TCustomForm)
pt | CMAppShowMenuGlyphChanged (TCustomForm)
pt | CMBiDiModeChanged (TControl)
pt | CMBiDiModeChanged (TWinControl)
pt | CMBiDiModeChanged (TCustomForm)
pt | CMBorderChanged (TWinControl)
pt | CMChanged (TControl)
pt | CMCursorChanged (TControl)
pt | CMDeactivate (TCustomForm)
pt | CMDoubleBufferedChanged (TWinControl)
pt | CMEnabledChanged (TControl)
pt | CMEnabledChanged (TWinControl)
pt | CMEnter (TWinControl)
pt | CMExit (TWinControl)
pt | CMHintShow (TControl)
pt | CMHitTest (TControl)
pt | CMIconChanged (TCustomForm)
pt | CMMouseEnter (TControl)
pt | CMMouseLeave (TControl)
pt | CMParentBiDiModeChanged (TControl)
pt | CMParentBiDiModeChanged (TCustomForm)
pt | CMParentColorChanged (TControl)
pt | CMParentDoubleBufferedChanged (TWinControl)
pt | CMParentFontChanged (TControl)
pt | CMParentShowHintChanged (TControl)
pt | CMRelease (TCustomForm)
pt | CMShowHintChanged (TWinControl)
pt | CMShowingChanged (TWinControl)
pt | CMShowingChanged (TCustomForm)
pt | CMSysFontChanged (TControl)
pt | CMTextChanged (TControl)
pt | CMVisibleChanged (TControl)
pt | CMVisibleChanged (TWinControl)
pt | CNChar (TWinControl)
pt | CNKeyDown (TWinControl)
pt | CNKeyUp (TWinControl)
 | CNPreferredSizeChanged (TControl)
pt | CNSysKeyDown (TWinControl)
pt | CNSysKeyUp (TWinControl)
pt | ColorIsStored (TControl)
pt | ColorIsStored (TCustomForm)
pt | ComputeScrollbars (TScrollingWinControl)
pt | ConstrainedResize (TControl)
 | ContainsControl (TWinControl)
 | ControlAtPos (TWinControl)
pt | ControlKeyDown (TWinControl)
pt | ControlKeyUp (TWinControl)
pt | ControlsAligned (TWinControl)
 | ControlToScreen (TControl)
 | Create (TObject)
 | Create (TComponent)
 | Create (TLCLComponent)
 | Create (TControl)
 | Create (TWinControl)
 | Create (TCustomControl)
 | Create (TScrollingWinControl)
 | Create (TCustomDesignControl)
 | Create (TCustomForm)
 | Create (TForm)
 | CreateAccessibleObject (TControl)
pt | CreateBrush (TWinControl)
pt | CreateControlBorderSpacing (TControl)
pt | CreateDockManager (TWinControl)
pt | CreateFloatingDockSite (TControl)
pt | CreateHandle (TWinControl)
 | CreateNew (TCustomForm)
 | CreateNew (TLazarusFileDialogForm)
pt | CreateParams (TWinControl)
pt | CreateParams (TCustomForm)
 | CreateParented (TWinControl)
 | CreateParentedControl (TWinControl)
pt | CreateSubClass (TWinControl)
pt | CreateWnd (TWinControl)
pt | CreateWnd (TScrollingWinControl)
pt | CreateWnd (TCustomForm)
pt | CreateWnd (TForm)
pt | CustomAlignInsertBefore (TWinControl)
pt | CustomAlignPosition (TWinControl)
pt | DblClick (TControl)
pt | Deactivate (TCustomForm)
 | DecLCLRefCount (TLCLComponent)
 | DefaultHandler (TObject)
 | DefaultHandler (TWinControl)
 | DefaultHandlerStr (TObject)
 | DefineProperties (TPersistent)
 | DefineProperties (TComponent)
pt | DefineProperties (TControl)
 | DefocusControl (TCustomForm)
 | Destroy (TObject)
 | Destroy (TPersistent)
 | Destroy (TComponent)
 | Destroy (TLCLComponent)
 | Destroy (TControl)
 | Destroy (TWinControl)
 | Destroy (TCustomControl)
 | Destroy (TScrollingWinControl)
 | Destroy (TCustomForm)
 | DestroyComponents (TComponent)
pt | DestroyHandle (TWinControl)
 | Destroying (TComponent)
pt | DestroyWnd (TWinControl)
pt | DestroyWnd (TCustomControl)
 | DestroyWnd (TCustomForm)
pt | DialogChar (TControl)
pt | DialogChar (TWinControl)
 | DisableAlign (TWinControl)
 | DisableAutoSizing (TControl)
 | Dispatch (TObject)
 | DispatchStr (TObject)
pt | DoAddActionList (TCustomForm)
pt | DoAddDockClient (TWinControl)
 | DoAdjustClientRectChange (TWinControl)
pt | DoAlignChildControls (TWinControl)
pt | DoAllAutoSize (TControl)
pt | DoAllAutoSize (TWinControl)
pt | DoAutoAdjustLayout (TControl)
pt | DoAutoAdjustLayout (TCustomDesignControl)
pt | DoAutoSize (TControl)
pt | DoAutoSize (TWinControl)
pt | DoAutoSize (TCustomForm)
pt | DoBorderSpacingChange (TControl)
pt | DoCallKeyEventHandler (TControl)
pt | DoCallMouseWheelEventHandler (TControl)
pt | DoCallNotifyHandler (TControl)
pt | DoChildSizingChange (TWinControl)
 | Dock (TControl)
 | Dock (TCustomForm)
 | DockDrop (TWinControl)
 | Docked (TControl)
pt | DockOver (TWinControl)
pt | DockTrackNoTarget (TControl)
pt | DoClose (TCustomForm)
pt | DoConstraintsChange (TControl)
pt | DoConstraintsChange (TWinControl)
pt | DoContextPopup (TControl)
pt | DoCreate (TCustomForm)
pt | DoDestroy (TCustomForm)
pt | DoDock (TControl)
pt | DoDock (TCustomForm)
pt | DoDockClientMsg (TWinControl)
pt | DoDockOver (TWinControl)
pt | DoDragMsg (TControl)
pt | DoDragMsg (TWinControl)
pt | DoEndDock (TControl)
pt | DoEndDrag (TControl)
pt | DoEnter (TWinControl)
pt | DoExecuteAction (TCustomForm)
pt | DoExit (TWinControl)
pt | DoFirstShow (TCustomForm)
pt | DoFixDesignFontPPI (TControl)
pt | DoFlipChildren (TWinControl)
pt | DoFloatMsg (TControl)
pt | DoFloatMsg (TWinControl)
pt | DoGetDockCaption (TWinControl)
pt | DoHide (TCustomForm)
pt | DoKeyDownBeforeInterface (TWinControl)
pt | DoKeyPress (TWinControl)
pt | DoKeyUpBeforeInterface (TWinControl)
pt | DoMouseWheel (TControl)
pt | DoMouseWheelDown (TControl)
pt | DoMouseWheelHorz (TControl)
pt | DoMouseWheelLeft (TControl)
pt | DoMouseWheelRight (TControl)
pt | DoMouseWheelUp (TControl)
pt | DoOnChangeBounds (TControl)
pt | DoOnParentHandleDestruction (TControl)
pt | DoOnResize (TControl)
pt | DoOnResize (TScrollingWinControl)
pt | DoOnShowHint (TControl)
pt | DoRemainingKeyDown (TWinControl)
pt | DoRemainingKeyUp (TWinControl)
pt | DoRemoveActionList (TCustomForm)
pt | DoRemoveDockClient (TWinControl)
pt | DoScaleFontPPI (TControl)
pt | DoSendBoundsToInterface (TWinControl)
pt | DoSendBoundsToInterface (TCustomForm)
pt | DoSendShowHideToInterface (TWinControl)
pt | DoSetBounds (TControl)
pt | DoSetBounds (TWinControl)
pt | DoShow (TCustomForm)
pt | DoShowWindow (TCustomForm)
pt | DoStartDock (TControl)
pt | DoStartDrag (TControl)
pt | DoUnDock (TWinControl)
pt | DoUndockClientMsg (TWinControl)
pt | DoUpdateAction (TCustomForm)
pt | DoUTF8KeyPress (TWinControl)
pt | DragCanceled (TControl)
 | DragDrop (TControl)
 | Dragging (TControl)
pt | DragOver (TControl)
 | EditingDone (TControl)
 | EnableAlign (TWinControl)
 | EnableAutoSizing (TControl)
pt | EnabledChanged (TControl)
pt | EnabledChanging (TControl)
pt | EndAutoSizing (TControl)
 | EndDrag (TControl)
pt | EndFormUpdate (TCustomForm)
 | EndUpdateBounds (TWinControl)
 | EnsureVisible (TCustomForm)
 | Equals (TObject)
 | EraseBackground (TWinControl)
 | ExecuteAction (TComponent)
 | ExecuteCancelAction (TControl)
 | ExecuteDefaultAction (TControl)
 | FieldAddress (TObject)
pt | FinalizeWnd (TWinControl)
 | FindChildControl (TWinControl)
 | FindComponent (TComponent)
pt | FindNextControl (TWinControl)
 | FixDesignFontsPPI (TControl)
pt | FixupTabList (TWinControl)
 | FlipChildren (TWinControl)
 | FocusControl (TCustomForm)
 | Focused (TWinControl)
pt | FontChanged (TControl)
pt | FontChanged (TWinControl)
pt | FontChanged (TCustomControl)
pt | ForeignAnchorSideChanged (TControl)
pt | FormEndUpdated (TControl)
pt | FormEndUpdated (TWinControl)
 | FormIsUpdating (TControl)
 | FormIsUpdating (TCustomForm)
 | FPOAttachObserver (TPersistent)
 | FPODetachObserver (TPersistent)
 | FPONotifyObservers (TPersistent)
 | Free (TObject)
 | FreeInstance (TObject)
 | FreeNotification (TComponent)
 | FreeOnRelease (TComponent)
 | GetAccessibleObject (TControl)
pt | GetAction (TControl)
pt | GetActionLinkClass (TControl)
pt | GetAdjustedLogicalClientRect (TWinControl)
 | GetAnchorsDependingOnParent (TControl)
pt | GetBorderStyle (TWinControl)
pt | GetCachedText (TControl)
 | GetCanvasScaleFactor (TControl)
 | GetChildAccessibleObjectAtPos (TControl)
 | GetChildOwner (TComponent)
 | GetChildParent (TComponent)
 | GetChildren (TComponent)
pt | GetChildren (TWinControl)
 | GetChildren (TCustomForm)
 | GetChildrenRect (TControl)
 | GetChildrenRect (TWinControl)
pt | GetClientOrigin (TControl)
pt | GetClientOrigin (TWinControl)
pt | GetClientRect (TControl)
pt | GetClientRect (TWinControl)
pt | GetClientScrollOffset (TControl)
pt | GetClientScrollOffset (TScrollingWinControl)
 | GetColorResolvingParent (TControl)
 | GetComObject (TComponent)
 | GetComponent (TComponent)
 | GetComponentCount (TComponent)
 | GetComponentIndex (TComponent)
pt | GetControlClassDefaultSize (TControl)
 | GetControlClassDefaultSize (TScrollingWinControl)
 | GetControlClassDefaultSize (TCustomForm)
 | GetControlIndex (TWinControl)
pt | GetControlOrigin (TControl)
pt | GetControlOrigin (TWinControl)
pt | GetCursor (TControl)
 | GetDefaultColor (TControl)
pt | GetDefaultDockCaption (TControl)
pt | GetDefaultDockCaption (TCustomForm)
 | GetDefaultHeight (TControl)
 | GetDefaultWidth (TControl)
pt | GetDeviceContext (TControl)
pt | GetDeviceContext (TWinControl)
 | GetDockCaption (TWinControl)
pt | GetDockEdge (TControl)
pt | GetDragImages (TControl)
pt | GetEnabled (TControl)
 | GetEnumerator (TComponent)
 | GetEnumeratorControls (TWinControl)
 | GetEnumeratorControlsReverse (TWinControl)
pt | GetFloating (TControl)
pt | GetFloating (TCustomForm)
pt | GetFloatingDockSiteClass (TControl)
 | GetFormImage (TCustomForm)
 | GetHashCode (TObject)
 | GetIDsOfNames (TComponent)
 | GetInterface (TObject)
 | GetInterfaceByStr (TObject)
 | GetInterfaceEntry (TObject)
 | GetInterfaceEntryByStr (TObject)
 | GetInterfaceTable (TObject)
 | GetInterfaceWeak (TObject)
pt | GetLogicalClientRect (TControl)
pt | GetLogicalClientRect (TScrollingWinControl)
 | GetMDIChildren (TCustomForm)
pt | GetMouseCapture (TControl)
pt | GetMouseCapture (TWinControl)
pt | GetMousePosFromMessage (TControl)
 | GetNamePath (TPersistent)
 | GetNamePath (TComponent)
 | GetOwner (TPersistent)
 | GetOwner (TComponent)
pt | GetPalette (TControl)
pt | GetParentBackground (TWinControl)
 | GetParentComponent (TComponent)
 | GetParentComponent (TControl)
pt | GetParentHandle (TWinControl)
pt | GetPopupMenu (TControl)
 | GetPreferredSize (TControl)
 | GetPreferredSize (TCustomForm)
pt | GetPreferredSizeClientFrame (TWinControl)
pt | GetPreferredSizeClientFrame (TScrollingWinControl)
 | GetRealPopupParent (TCustomForm)
 | GetRGBColorResolvingParent (TControl)
 | GetRolesForControl (TCustomForm)
pt | GetScrolledClientRect (TControl)
 | GetSelectedChildAccessibleObject (TControl)
 | GetSidePosition (TControl)
pt | GetSiteInfo (TWinControl)
 | GetTabOrderList (TWinControl)
 | GetTextBuf (TControl)
 | GetTextLen (TControl)
 | GetTextLen (TWinControl)
 | GetTopParent (TControl)
pt | GetTopParentHandle (TWinControl)
 | GetTypeInfo (TComponent)
 | GetTypeInfoCount (TComponent)
pt | GetWSComponentClass (TLCLComponent)
 | HandleAllocated (TWinControl)
 | HandleCancelClick (TLazarusFileDialogForm)
 | HandleCloseQuery (TLazarusFileDialogForm)
pt | HandleCreateException (TCustomForm)
pt | HandleDestroyException (TCustomForm)
 | HandleEditChange (TLazarusFileDialogForm)
 | HandleNeeded (TWinControl)
 | HandleObjectShouldBeVisible (TControl)
 | HandleOkClick (TLazarusFileDialogForm)
 | HandleSelectItem (TLazarusFileDialogForm)
pt | HandleShowHideException (TCustomForm)
 | HandleTreeViewSelectionChanged (TLazarusFileDialogForm)
 | HasHelp (TControl)
 | HasParent (TComponent)
 | HasParent (TControl)
pt | HeightIsAnchored (TControl)
 | Hide (TControl)
 | Hide (TCustomForm)
 | iicrGetComponent (TComponent)
 | IncLCLRefCount (TLCLComponent)
 | InheritsFrom (TObject)
 | Initialize (TLazarusFileDialogForm)
pt | InitializeWnd (TWinControl)
pt | InitializeWnd (TCustomForm)
 | InitiateAction (TControl)
 | InitInstance (TObject)
 | Insert (TComponent)
 | InsertComponent (TComponent)
 | InsertControl (TWinControl)
 | InstanceSize (TObject)
 | IntfDropFiles (TCustomForm)
 | IntfGetDropFilesTarget (TWinControl)
 | IntfHelp (TCustomForm)
 | IntfUTF8KeyPress (TWinControl)
 | Invalidate (TControl)
 | Invalidate (TWinControl)
pt | InvalidateBoundsRealized (TWinControl)
 | InvalidateClientRectCache (TWinControl)
pt | InvalidateControl (TControl)
pt | InvalidatePreferredChildSizes (TWinControl)
 | InvalidatePreferredSize (TControl)
 | Invoke (TComponent)
pt | IsAParentAligning (TControl)
pt | IsBorderSpacingInnerBorderStored (TControl)
pt | IsCaptionStored (TControl)
pt | IsClientHeightStored (TControl)
pt | IsClientHeightStored (TWinControl)
pt | IsClientWidthStored (TControl)
pt | IsClientWidthStored (TWinControl)
pt | IsControlMouseMsg (TWinControl)
 | IsControlVisible (TControl)
 | IsEnabled (TControl)
 | IsImplementorOf (TComponent)
 | IsParentColor (TControl)
 | IsParentFont (TControl)
 | IsParentOf (TControl)
 | IsProcessingPaintMsg (TControl)
 | IsRightToLeft (TControl)
 | IsShortcut (TCustomForm)
 | IsVisible (TControl)
pt | KeyDown (TWinControl)
pt | KeyDownAfterInterface (TWinControl)
pt | KeyDownBeforeInterface (TWinControl)
pt | KeyPress (TWinControl)
pt | KeyUp (TWinControl)
pt | KeyUpAfterInterface (TWinControl)
pt | KeyUpBeforeInterface (TWinControl)
pt | LMCaptureChanged (TControl)
 | Loaded (TComponent)
pt | Loaded (TControl)
pt | Loaded (TWinControl)
pt | Loaded (TScrollingWinControl)
pt | Loaded (TCustomDesignControl)
pt | Loaded (TCustomForm)
pt | Loaded (TForm)
pt | LoadedAll (TControl)
 | Loading (TComponent)
 | LockRealizeBounds (TWinControl)
pt | MainWndProc (TWinControl)
 | MakeFullyVisible (TCustomForm)
 | ManualDock (TControl)
 | ManualFloat (TControl)
 | MDIChildCount (TCustomForm)
 | MethodAddress (TObject)
 | MethodName (TObject)
pt | MouseDown (TControl)
pt | MouseEnter (TControl)
pt | MouseLeave (TControl)
pt | MouseMove (TControl)
pt | MouseUp (TControl)
pt | MoveToDefaultPosition (TCustomForm)
 | newinstance (TObject)
 | NewInstance (TLCLComponent)
 | Next (TForm)
 | Notification (TComponent)
pt | Notification (TControl)
pt | Notification (TCustomForm)
 | NotifyControls (TWinControl)
pt | Paint (TCustomControl)
pt | PaintControls (TWinControl)
pt | PaintHandler (TWinControl)
 | PaintTo (TWinControl)
pt | PaintWindow (TWinControl)
pt | PaintWindow (TCustomControl)
pt | PaintWindow (TCustomForm)
 | PaletteCreated (TComponent)
 | ParentDestroyingHandle (TControl)
pt | ParentFontChanged (TControl)
pt | ParentFormHandleInitialized (TControl)
pt | ParentFormHandleInitialized (TWinControl)
 | ParentHandlesAllocated (TControl)
 | ParentHandlesAllocated (TWinControl)
 | ParentToClient (TControl)
 | Perform (TControl)
 | PerformTab (TWinControl)
pt | PositionDockRect (TControl)
 | Previous (TForm)
pt | ProcessResource (TCustomForm)
pt | QuadClick (TControl)
 | QueryInterface (TComponent)
 | ReadLeft (TComponent)
 | ReadState (TComponent)
pt | ReadState (TControl)
 | ReadTop (TComponent)
pt | RealGetText (TControl)
pt | RealGetText (TWinControl)
 | ReAlign (TWinControl)
pt | RealizeBounds (TWinControl)
pt | RealizeBoundsRecursive (TWinControl)
pt | RealSetText (TControl)
pt | RealSetText (TWinControl)
 | ReferenceInterface (TComponent)
 | Refresh (TControl)
 | Release (TCustomForm)
pt | ReloadDockedControl (TWinControl)
 | Remove (TComponent)
 | RemoveAllHandlersOfObject (TLCLComponent)
 | RemoveAllHandlersOfObject (TControl)
 | RemoveAllHandlersOfObject (TCustomForm)
 | RemoveComponent (TComponent)
 | RemoveControl (TWinControl)
pt | RemoveFocus (TWinControl)
 | RemoveFreeNotification (TComponent)
pt | RemoveHandler (TControl)
 | RemoveHandlerClose (TCustomForm)
 | RemoveHandlerCreate (TCustomForm)
 | RemoveHandlerFirstShow (TCustomForm)
 | RemoveHandlerOnBeforeDestruction (TControl)
 | RemoveHandlerOnChangeBounds (TControl)
 | RemoveHandlerOnEnableChanging (TControl)
 | RemoveHandlerOnKeyDown (TControl)
 | RemoveHandlerOnMouseWheel (TControl)
 | RemoveHandlerOnResize (TControl)
 | RemoveHandlerOnVisibleChanged (TControl)
 | RemoveHandlerOnVisibleChanging (TControl)
 | RemoveNotification (TComponent)
 | Repaint (TControl)
 | Repaint (TWinControl)
 | ReplaceDockedControl (TControl)
pt | RequestAlign (TControl)
pt | RequestAlign (TCustomForm)
pt | Resize (TControl)
pt | Resizing (TScrollingWinControl)
pt | Resizing (TCustomForm)
 | SafeCallException (TObject)
 | SafeCallException (TComponent)
 | Scale96ToFont (TControl)
 | Scale96ToForm (TControl)
 | Scale96ToScreen (TControl)
 | ScaleBy (TWinControl)
pt | ScaleConstraints (TControl)
pt | ScaleControls (TWinControl)
 | ScaleDesignToForm (TControl)
 | ScaleFontsPPI (TControl)
 | ScaleFontTo96 (TControl)
 | ScaleFontToScreen (TControl)
 | ScaleFormTo96 (TControl)
 | ScaleFormToDesign (TControl)
 | ScaleScreenTo96 (TControl)
 | ScaleScreenToFont (TControl)
 | ScreenToClient (TControl)
 | ScreenToClient (TScrollingWinControl)
 | ScreenToControl (TControl)
 | ScrollBy (TWinControl)
 | ScrollBy (TScrollingWinControl)
 | ScrollBy_WS (TWinControl)
 | ScrollInView (TScrollingWinControl)
pt | SelectFirst (TWinControl)
 | SelectNext (TWinControl)
pt | SendDialogChar (TWinControl)
pt | SendMoveSizeMessages (TControl)
pt | SendMoveSizeMessages (TWinControl)
 | SendToBack (TControl)
pt | SetAction (TControl)
pt | SetAlign (TControl)
 | SetAncestor (TComponent)
pt | SetAnchors (TControl)
pt | SetAutoScroll (TScrollingWinControl)
pt | SetAutoScroll (TCustomForm)
pt | SetAutoSize (TControl)
pt | SetAutoSize (TScrollingWinControl)
pt | SetAutoSize (TCustomForm)
pt | SetBiDiMode (TControl)
pt | SetBorderStyle (TWinControl)
 | SetBounds (TControl)
 | SetBounds (TWinControl)
 | SetBoundsKeepBase (TControl)
 | SetChildOrder (TComponent)
pt | SetChildZPosition (TWinControl)
pt | SetColor (TControl)
pt | SetColor (TWinControl)
pt | SetColor (TCustomControl)
 | SetComponentIndex (TComponent)
 | SetControlIndex (TWinControl)
pt | SetCursor (TControl)
 | SetDesigning (TComponent)
 | SetDesignInstance (TComponent)
pt | SetDockManager (TWinControl)
pt | SetDragMode (TControl)
pt | SetEnabled (TControl)
 | SetFocus (TWinControl)
 | SetFocus (TCustomForm)
 | SetFocusedControl (TCustomForm)
pt | SetHint (TControl)
 | SetInitialBounds (TControl)
 | SetInline (TComponent)
 | SetName (TComponent)
pt | SetName (TControl)
pt | SetParent (TControl)
pt | SetParent (TCustomForm)
pt | SetParentBackground (TWinControl)
pt | SetParentBiDiMode (TControl)
 | SetParentComponent (TComponent)
pt | SetParentComponent (TControl)
 | SetReference (TComponent)
 | SetRestoredBounds (TCustomForm)
pt | SetScaled (TCustomDesignControl)
pt | SetScaled (TCustomForm)
 | SetShape (TWinControl)
 | SetSubComponent (TComponent)
 | SetTempCursor (TControl)
 | SetTempCursor (TWinControl)
 | SetTextBuf (TControl)
pt | SetVisible (TControl)
pt | SetVisible (TCustomForm)
pt | SetZOrder (TControl)
pt | SetZOrder (TCustomForm)
 | ShouldAutoAdjust (TControl)
 | Show (TControl)
 | Show (TCustomForm)
pt | ShowControl (TWinControl)
 | ShowHelp (TControl)
 | ShowModal (TCustomForm)
 | ShowOnTop (TCustomForm)
 | SmallIconHandle (TCustomForm)
 | StringMessageTable (TObject)
pt | TextChanged (TControl)
 | Tile (TForm)
 | ToString (TObject)
pt | TripleClick (TControl)
 | UnitName (TObject)
 | UnlockRealizeBounds (TWinControl)
 | Update (TControl)
 | Update (TWinControl)
 | UpdateAction (TComponent)
pt | UpdateActions (TCustomForm)
pt | UpdateAnchorRules (TControl)
 | UpdateBaseBounds (TControl)
pt | UpdateControlState (TWinControl)
 | Updated (TComponent)
 | UpdateDockCaption (TWinControl)
 | UpdateDockCaption (TCustomForm)
pt | UpdateMouseCursor (TControl)
 | UpdateRegistry (TComponent)
 | UpdateRolesForForm (TControl)
 | UpdateScrollbars (TScrollingWinControl)
pt | UpdateShowing (TWinControl)
pt | UpdateShowing (TCustomForm)
pt | UpdateWindowState (TCustomForm)
 | Updating (TComponent)
 | UseRightToLeftAlignment (TControl)
 | UseRightToLeftReading (TControl)
 | UseRightToLeftScrollBar (TControl)
pt | UTF8KeyPress (TWinControl)
 | ValidateContainer (TComponent)
 | ValidateInsert (TComponent)
 | ValidateRename (TComponent)
pt | VisibleChanged (TControl)
pt | VisibleChanged (TCustomForm)
pt | VisibleChanging (TControl)
pt | VisibleChanging (TCustomForm)
pt | VisibleIsStored (TCustomForm)
 | WantChildKey (TCustomForm)
pt | WidthIsAnchored (TControl)
pt | WMActivate (TCustomForm)
pt | WMCancelMode (TControl)
pt | WMChar (TWinControl)
pt | WMCloseQuery (TCustomForm)
pt | WMContextMenu (TControl)
pt | WMContextMenu (TWinControl)
pt | WMDestroy (TWinControl)
pt | WMDPIChanged (TCustomForm)
pt | WMEnter (TWinControl)
pt | WMEraseBkgnd (TWinControl)
pt | WMExit (TWinControl)
pt | WMHelp (TCustomForm)
pt | WMHScroll (TScrollingWinControl)
pt | WMKeyDown (TWinControl)
pt | WMKeyUp (TWinControl)
pt | WMKillFocus (TWinControl)
pt | WMLButtonDBLCLK (TControl)
pt | WMLButtonDown (TControl)
pt | WMLButtonQuadCLK (TControl)
pt | WMLButtonTripleCLK (TControl)
pt | WMLButtonUp (TControl)
pt | WMMButtonDBLCLK (TControl)
pt | WMMButtonDown (TControl)
pt | WMMButtonQuadCLK (TControl)
pt | WMMButtonTripleCLK (TControl)
pt | WMMButtonUp (TControl)
pt | WMMouseHWheel (TControl)
pt | WMMouseMove (TControl)
pt | WMMouseWheel (TControl)
pt | WMMove (TControl)
pt | WMMove (TWinControl)
pt | WMMove (TCustomForm)
pt | WMNotify (TWinControl)
pt | WMPaint (TWinControl)
pt | WMPaint (TCustomControl)
pt | WMRButtonDBLCLK (TControl)
pt | WMRButtonDown (TControl)
pt | WMRButtonQuadCLK (TControl)
pt | WMRButtonTripleCLK (TControl)
pt | WMRButtonUp (TControl)
pt | WMSetFocus (TWinControl)
pt | WMShowWindow (TWinControl)
pt | WMShowWindow (TCustomForm)
pt | WMSize (TControl)
pt | WMSize (TWinControl)
pt | WMSize (TScrollingWinControl)
pt | WMSize (TCustomForm)
pt | WMSysChar (TWinControl)
pt | WMSysKeyDown (TWinControl)
pt | WMSysKeyUp (TWinControl)
pt | WMVScroll (TScrollingWinControl)
pt | WMWindowPosChanged (TControl)
pt | WMWindowPosChanged (TWinControl)
pt | WMWindowPosChanged (TCustomForm)
pt | WMXButtonDBLCLK (TControl)
pt | WMXButtonDown (TControl)
pt | WMXButtonQuadCLK (TControl)
pt | WMXButtonTripleCLK (TControl)
pt | WMXButtonUp (TControl)
pt | WndProc (TControl)
pt | WndProc (TWinControl)
pt | WndProc (TCustomForm)
 | WriteLayoutDebugReport (TControl)
 | WriteLayoutDebugReport (TWinControl)
 | WriteLeft (TComponent)
 | WriteState (TComponent)
 | WriteTop (TComponent)
pt | WSRegisterClass (TLCLComponent)
pt | WSRegisterClass (TControl)
pt | WSRegisterClass (TWinControl)
pt | WSRegisterClass (TCustomControl)
pt | WSRegisterClass (TScrollingWinControl)
pt | WSRegisterClass (TCustomForm)
pt | WSSetText (TWinControl)
 | _AddRef (TComponent)
 | _Release (TComponent)


TLazarusFileDialogForm
TForm
pl | ro | OnActivate
pl | ro | OnChangeBounds
pl | ro | OnClick
pl | ro | OnClose
pl | ro | OnCloseQuery
pl | ro | OnConstrainedResize
pl | ro | OnContextPopup
pl | ro | OnCreate
pl | ro | OnDblClick
pl | ro | OnDeactivate
pl | ro | OnDestroy
pl | ro | OnDockDrop
pl | ro | OnDockOver
pl | ro | OnDragDrop
pl | ro | OnDragOver
pl | ro | OnDropFiles
pl | ro | OnEndDock
pl | ro | OnGetSiteInfo
pl | ro | OnHelp
pl | ro | OnHide
pl | ro | OnKeyDown
pl | ro | OnKeyPress
pl | ro | OnKeyUp
pl | ro | OnMouseDown
pl | ro | OnMouseEnter
pl | ro | OnMouseLeave
pl | ro | OnMouseMove
pl | ro | OnMouseUp
pl | ro | OnMouseWheel
pl | ro | OnMouseWheelDown
pl | ro | OnMouseWheelUp
pl | ro | OnMouseWheelHorz
pl | ro | OnMouseWheelLeft
pl | ro | OnMouseWheelRight
pl | ro | OnPaint
pl | ro | OnResize
pl | ro | OnShortCut
pl | ro | OnShow
pl | ro | OnShowHint
pl | ro | OnStartDock
pl | ro | OnUnDock
pl | ro | OnUTF8KeyPress
pl | ro | OnWindowStateChange
TCustomForm
 |  | OnActivate
 |  | OnClose
 |  | OnCloseQuery
 |  | OnCreate
 |  | OnDeactivate
 |  | OnDestroy
 |  | OnDropFiles
 |  | OnHelp
 |  | OnHide
 | ro | OnResize
 |  | OnShortcut
 |  | OnShow
 |  | OnShowModalFinished
 |  | OnWindowStateChange
TCustomDesignControl
TScrollingWinControl
TCustomControl
 |  | OnPaint
TWinControl
pt |  | OnGetSiteInfo
pt |  | OnGetDockCaption
 |  | OnAlignInsertBefore
 |  | OnAlignPosition
 |  | OnDockDrop
 |  | OnDockOver
 |  | OnEnter
 |  | OnExit
 |  | OnKeyDown
 |  | OnKeyPress
 |  | OnKeyUp
 |  | OnUnDock
 |  | OnUTF8KeyPress
TControl
pt |  | OnConstrainedResize
pt |  | OnContextPopup
pt |  | OnDblClick
pt |  | OnTripleClick
pt |  | OnQuadClick
pt |  | OnDragDrop
pt |  | OnDragOver
pt |  | OnEndDock
pt |  | OnEndDrag
pt |  | OnMouseDown
pt |  | OnMouseMove
pt |  | OnMouseUp
pt |  | OnMouseEnter
pt |  | OnMouseLeave
pt |  | OnMouseWheel
pt |  | OnMouseWheelDown
pt |  | OnMouseWheelUp
pt |  | OnMouseWheelHorz
pt |  | OnMouseWheelLeft
pt |  | OnMouseWheelRight
pt |  | OnStartDock
pt |  | OnStartDrag
pt |  | OnEditingDone
 |  | OnChangeBounds
 |  | OnClick
 |  | OnResize
 |  | OnShowHint
TLCLComponent
TComponent
TPersistent
TObject


TLazarusFileDialogForm.ButtonPanel

Declaration

Source position: lazdialogs.pas line 26

public TLazarusFileDialogForm.ButtonPanel : TButtonPanel;


TLazarusFileDialogForm.CreateNew

Declaration

Source position: lazdialogs.pas line 37

public constructor TLazarusFileDialogForm.CreateNew(

  AOwner: TComponent;

  Num: Integer = 0

); override;


TLazarusFileDialogForm.FileName

Declaration

Source position: lazdialogs.pas line 32

public TLazarusFileDialogForm.FileName : string;


TLazarusFileDialogForm.Filter

Declaration

Source position: lazdialogs.pas line 33

public TLazarusFileDialogForm.Filter : string;


TLazarusFileDialogForm.FilterComboBox

Declaration

Source position: lazdialogs.pas line 30

public TLazarusFileDialogForm.FilterComboBox : TFilterComboBox;


TLazarusFileDialogForm.HandleCancelClick

Declaration

Source position: lazdialogs.pas line 40

public procedure TLazarusFileDialogForm.HandleCancelClick(

  ASender: TObject

);


TLazarusFileDialogForm.HandleCloseQuery

Declaration

Source position: lazdialogs.pas line 41

public procedure TLazarusFileDialogForm.HandleCloseQuery(

  Sender: TObject;

  var CanClose: Boolean

);


TLazarusFileDialogForm.HandleEditChange

Declaration

Source position: lazdialogs.pas line 42

public procedure TLazarusFileDialogForm.HandleEditChange(

  ASender: TObject

);


TLazarusFileDialogForm.HandleOkClick

Declaration

Source position: lazdialogs.pas line 39

public procedure TLazarusFileDialogForm.HandleOkClick(

  ASender: TObject

);


TLazarusFileDialogForm.HandleSelectItem

Declaration

Source position: lazdialogs.pas line 43

public procedure TLazarusFileDialogForm.HandleSelectItem(

  Sender: TObject;

  Item: TListItem;

  Selected: Boolean

);


TLazarusFileDialogForm.HandleTreeViewSelectionChanged

Declaration

Source position: lazdialogs.pas line 45

public procedure TLazarusFileDialogForm.HandleTreeViewSelectionChanged(

  ASender: TObject

);


TLazarusFileDialogForm.InitialDir

Declaration

Source position: lazdialogs.pas line 34

public TLazarusFileDialogForm.InitialDir : string;


TLazarusFileDialogForm.Initialize

Declaration

Source position: lazdialogs.pas line 38

public procedure TLazarusFileDialogForm.Initialize(

  AKind: TLazFileDialogKind

);


TLazarusFileDialogForm.SaveEdit

Declaration

Source position: lazdialogs.pas line 29

public TLazarusFileDialogForm.SaveEdit : TEdit;


TLazarusFileDialogForm.ShellListView

Declaration

Source position: lazdialogs.pas line 28

public TLazarusFileDialogForm.ShellListView : TShellListView;


TLazarusFileDialogForm.ShellTreeView

Declaration

Source position: lazdialogs.pas line 27

public TLazarusFileDialogForm.ShellTreeView : TShellTreeView;


TLazarusFileDialogForm.Title

Declaration

Source position: lazdialogs.pas line 35

public TLazarusFileDialogForm.Title : string;


TLazMessageDialog

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Declaration

Source position: lazdialogs.pas line 75

type TLazMessageDialog = class(TForm)

public

  constructor CreateNew(); override;

end;

Inheritance

TLazMessageDialog
|
TForm
|
TCustomForm | The base type for TForm.
|
TCustomDesignControl
|
TScrollingWinControl | Class of a windowed control with incorporated scroll bars.
|
TCustomControl | The base class for windowed controls which paint themselves.
|
TWinControl | The base class for controls which can contain other (child) controls.
|
TControl | The base class for visible controls.
|
TLCLComponent | The base class for LCL components associated with widgets.
|
TComponent,IUnknown,IInterfaceComponentReference
|
TPersistent,IFPObserved
|
TObject


TLazMessageDialog
TForm
 | ro | ClientHandle
 | ro | DockManager
pl | ro | Action
pl | ro | ActiveControl
pl | ro | Align
pl | ro | AllowDropFiles
pl | ro | AlphaBlend
pl | ro | AlphaBlendValue
pl | ro | Anchors
pl | ro | AutoScroll
pl | ro | AutoSize
pl | ro | BiDiMode
pl | ro | BorderIcons
pl | ro | BorderStyle
pl | ro | BorderWidth
pl | ro | Caption
pl | ro | ChildSizing
pl | ro | ClientHeight
pl | ro | ClientWidth
pl | ro | Color
pl | ro | Constraints
pl | ro | DefaultMonitor
pl | ro | DesignTimePPI
pl | ro | DockSite
pl | ro | DoubleBuffered
pl | ro | DragKind
pl | ro | DragMode
pl | ro | Enabled
pl | ro | Font
pl | ro | FormStyle
pl | ro | HelpFile
pl | ro | Icon
pl | ro | KeyPreview
pl | ro | Menu
pl | ro | ParentBiDiMode
pl | ro | ParentDoubleBuffered
pl | ro | ParentFont
pl | ro | PixelsPerInch
pl | ro | PopupMenu
pl | ro | PopupMode
pl | ro | PopupParent
pl | ro | Position
pl | ro | SessionProperties
pl | ro | ShowHint
pl | ro | ShowInTaskBar
pl | ro | UseDockManager
pl |  | LCLVersion
pl | ro | Scaled
pl | ro | Visible
pl | ro | WindowState
TCustomForm
pt | ro | ClientHandle
 | ro | Active
 |  | ActiveControl
 |  | ActiveDefaultControl
 |  | AllowDropFiles
 |  | AlphaBlend
 |  | AlphaBlendValue
 | ro | AutoScroll
 |  | BorderIcons
 |  | BorderStyle
 |  | CancelControl
 | ro | Caption
 | ro | Color
 |  | DefaultControl
 |  | DefaultMonitor
 |  | Designer
 | ro | EffectiveShowInTaskBar
 | ro | FormState
 |  | FormStyle
 |  | HelpFile
 |  | Icon
 |  | KeyPreview
 | ro | MDIChildren
 |  | Menu
 |  | ModalResult
 | ro | Monitor
 | ro | LastActiveControl
 |  | PopupMode
 |  | PopupParent
 | ro | ParentFont
 |  | Position
 | ro | RestoredLeft
 | ro | RestoredTop
 | ro | RestoredWidth
 | ro | RestoredHeight
 |  | ShowInTaskBar
 | ro | Visible
 |  | WindowState
TCustomDesignControl
 |  | DesignTimePPI
 |  | PixelsPerInch
 |  | Scaled
TScrollingWinControl
pt |  | AutoScroll
pl |  | HorzScrollBar
pl |  | VertScrollBar
TCustomControl
 |  | Canvas
 | ro | BorderStyle
TWinControl
pt |  | WindowHandle
pt |  | BorderStyle
pt |  | ParentBackground
 |  | BorderWidth
 | ro | BoundsLockCount
 | ro | Brush
 | ro | CachedClientHeight
 | ro | CachedClientWidth
 |  | ChildSizing
 | ro | ControlCount
 | ro | Controls
 |  | DefWndProc
 | ro | DockClientCount
 | ro | DockClients
 |  | DockManager
 |  | DockSite
 |  | DoubleBuffered
 |  | Handle
 | ro | IsFlipped
 | ro | IsResizing
 |  | TabOrder
 |  | TabStop
 |  | ParentDoubleBuffered
 |  | ParentWindow
 | ro | Showing
 |  | UseDockManager
 |  | DesignerDeleting
 | ro | VisibleDockClientCount
TControl
pt | ro | AutoSizing
pt | ro | AutoSizingAll
pt | ro | AutoSizingLockCount
pt |  | ActionLink
pt |  | DesktopFont
pt |  | DragCursor
pt |  | DragKind
pt |  | DragMode
pt |  | MouseCapture
pt |  | ParentColor
pt |  | ParentFont
pt |  | ParentShowHint
pt |  | SessionProperties
pt |  | Text
 | ro | AnchoredControls
 | ro | BaseBounds
 | ro | ReadBounds
 | ro | BaseParentClientSize
 |  | AccessibleDescription
 |  | AccessibleValue
 |  | AccessibleRole
 |  | Action
 |  | Align
 |  | Anchors
 | ro | AnchorSide
 |  | AutoSize
 |  | BorderSpacing
 |  | BoundsRect
 |  | BoundsRectForNewParent
 |  | Caption
 |  | CaptureMouseButtons
 |  | ClientHeight
 | ro | ClientOrigin
 | ro | ClientRect
 |  | ClientWidth
 |  | Color
 |  | Constraints
 | ro | ControlOrigin
 |  | ControlState
 |  | ControlStyle
 |  | Enabled
 |  | Font
 |  | IsControl
 | ro | MouseEntered
 | ro | MouseInClient
 |  | Parent
 |  | PopupMenu
 |  | ShowHint
 |  | Visible
 |  | WindowProc
 |  | DockOrientation
 | ro | Floating
 |  | FloatingDockSiteClass
 |  | HostDockSite
 |  | LRDockWidth
 |  | TBDockHeight
 |  | UndockHeight
 |  | UndockWidth
 |  | BiDiMode
 |  | ParentBiDiMode
pl |  | AnchorSideLeft
pl |  | AnchorSideTop
pl |  | AnchorSideRight
pl |  | AnchorSideBottom
pl |  | Cursor
pl |  | Left
pl |  | Height
pl |  | Hint
pl |  | Top
pl |  | Width
pl |  | HelpType
pl |  | HelpKeyword
pl |  | HelpContext
TLCLComponent
 | ro | LCLRefCount
 | ro | WidgetSetClass
TComponent
 | ro | ComObject
 | ro | Components
 | ro | ComponentCount
 |  | ComponentIndex
 | ro | ComponentState
 | ro | ComponentStyle
 |  | DesignInfo
 | ro | Owner
 |  | VCLComObject
 |  | Name
 |  | Tag
TPersistent
TObject


TLazMessageDialog
 | CreateNew
TForm
pt | CreateWnd
pt | Loaded
 | Create
 | Cascade
 | Next
 | Previous
 | Tile
TCustomForm
pt | WMActivate
pt | WMCloseQuery
pt | WMHelp
pt | WMMove
pt | WMShowWindow
pt | WMSize
pt | WMWindowPosChanged
pt | CMBiDiModeChanged
pt | CMParentBiDiModeChanged
pt | CMAppShowBtnGlyphChanged
pt | CMAppShowMenuGlyphChanged
pt | CMIconChanged
pt | CMRelease
pt | CMActivate
pt | CMDeactivate
pt | CMShowingChanged
pt | WMDPIChanged
pt | WSRegisterClass
pt | DoShowWindow
pt | Activate
pt | ActiveChanged
pt | AdjustClientRect
pt | BeginFormUpdate
pt | ColorIsStored
pt | CreateParams
pt | CreateWnd
pt | Deactivate
pt | DoClose
pt | DoCreate
pt | DoDestroy
pt | DoHide
pt | DoShow
pt | EndFormUpdate
pt | HandleCreateException
pt | HandleDestroyException
pt | HandleShowHideException
pt | InitializeWnd
pt | Loaded
pt | ChildHandlesCreated
pt | Notification
pt | PaintWindow
pt | RequestAlign
pt | Resizing
pt | CalculatePreferredSize
pt | SetZOrder
pt | SetParent
pt | MoveToDefaultPosition
pt | UpdateShowing
pt | SetVisible
pt | AllAutoSized
pt | DoFirstShow
pt | UpdateWindowState
pt | VisibleChanging
pt | VisibleChanged
pt | WndProc
pt | VisibleIsStored
pt | DoSendBoundsToInterface
pt | DoAutoSize
pt | SetAutoSize
pt | SetAutoScroll
pt | SetScaled
pt | DoAddActionList
pt | DoRemoveActionList
pt | ProcessResource
pt | BeginAutoDrag
pt | DoDock
pt | GetFloating
pt | GetDefaultDockCaption
pt | CMActionExecute
pt | CMActionUpdate
pt | DoExecuteAction
pt | DoUpdateAction
pt | UpdateActions
 | Create
 | CreateNew
 | Destroy
 | AfterConstruction
 | BeforeDestruction
 | GetControlClassDefaultSize
 | BigIconHandle
 | Close
 | CloseQuery
 | DefocusControl
 | DestroyWnd
 | EnsureVisible
 | FocusControl
 | FormIsUpdating
 | GetFormImage
 | GetRolesForControl
 | GetRealPopupParent
 | Hide
 | IntfDropFiles
 | IntfHelp
 | IsShortcut
 | MakeFullyVisible
 | AutoSizeDelayedHandle
 | GetPreferredSize
 | Release
 | CanFocus
 | SetFocus
 | SetFocusedControl
 | SetRestoredBounds
 | Show
 | ShowModal
 | ShowOnTop
 | SmallIconHandle
 | GetChildren
 | WantChildKey
 | RemoveAllHandlersOfObject
 | AddHandlerFirstShow
 | RemoveHandlerFirstShow
 | AddHandlerClose
 | RemoveHandlerClose
 | AddHandlerCreate
 | RemoveHandlerCreate
 | ActiveMDIChild
 | GetMDIChildren
 | MDIChildCount
 | AutoScale
 | Dock
 | UpdateDockCaption
TCustomDesignControl
pt | SetScaled
pt | DoAutoAdjustLayout
pt | Loaded
 | Create
 | AutoAdjustLayout
TScrollingWinControl
pt | WSRegisterClass
pt | AlignControls
pt | AutoScrollEnabled
pt | CalculateAutoRanges
pt | CreateWnd
pt | GetClientScrollOffset
pt | GetLogicalClientRect
pt | DoOnResize
pt | GetPreferredSizeClientFrame
pt | WMSize
pt | WMHScroll
pt | WMVScroll
pt | ComputeScrollbars
pt | SetAutoScroll
pt | Loaded
pt | Resizing
pt | SetAutoSize
 | Create
 | Destroy
 | ScreenToClient
 | ClientToScreen
 | UpdateScrollbars
 | GetControlClassDefaultSize
 | ScrollBy
 | ScrollInView
TCustomControl
pt | WSRegisterClass
pt | WMPaint
pt | DestroyWnd
pt | PaintWindow
pt | FontChanged
pt | SetColor
pt | Paint
 | Create
 | Destroy
TWinControl
pt | WSRegisterClass
pt | AdjustClientRect
pt | GetAdjustedLogicalClientRect
pt | AlignControls
pt | CustomAlignInsertBefore
pt | CustomAlignPosition
pt | DoAlignChildControls
pt | DoChildSizingChange
pt | InvalidatePreferredChildSizes
pt | CanTab
pt | IsClientHeightStored
pt | IsClientWidthStored
pt | DoSendShowHideToInterface
pt | ControlsAligned
pt | DoSendBoundsToInterface
pt | RealizeBounds
pt | RealizeBoundsRecursive
pt | InvalidateBoundsRealized
pt | CreateSubClass
pt | DoConstraintsChange
pt | DoSetBounds
pt | DoAutoSize
pt | DoAllAutoSize
pt | AllAutoSized
pt | CalculatePreferredSize
pt | GetPreferredSizeClientFrame
pt | GetChildren
pt | ChildClassAllowed
pt | PaintControls
pt | PaintHandler
pt | PaintWindow
pt | CreateBrush
pt | ScaleControls
pt | ChangeScale
pt | CMBiDiModeChanged
pt | CMBorderChanged
pt | CMDoubleBufferedChanged
pt | CMEnabledChanged
pt | CMParentDoubleBufferedChanged
pt | CMShowingChanged
pt | CMShowHintChanged
pt | CMVisibleChanged
pt | CMEnter
pt | CMExit
pt | WMContextMenu
pt | WMEraseBkgnd
pt | WMNotify
pt | WMSetFocus
pt | WMKillFocus
pt | WMShowWindow
pt | WMEnter
pt | WMExit
pt | WMKeyDown
pt | WMSysKeyDown
pt | WMKeyUp
pt | WMSysKeyUp
pt | WMChar
pt | WMSysChar
pt | WMPaint
pt | WMDestroy
pt | WMMove
pt | WMSize
pt | WMWindowPosChanged
pt | CNKeyDown
pt | CNSysKeyDown
pt | CNKeyUp
pt | CNSysKeyUp
pt | CNChar
pt | DoDragMsg
pt | DoDockClientMsg
pt | DoUndockClientMsg
pt | DoAddDockClient
pt | DockOver
pt | DoDockOver
pt | DoRemoveDockClient
pt | DoUnDock
pt | GetSiteInfo
pt | GetParentHandle
pt | GetTopParentHandle
pt | ReloadDockedControl
pt | CreateDockManager
pt | SetDockManager
pt | DoFloatMsg
pt | DoGetDockCaption
pt | DoEnter
pt | DoExit
pt | DoKeyDownBeforeInterface
pt | DoRemainingKeyDown
pt | DoRemainingKeyUp
pt | DoKeyPress
pt | DoUTF8KeyPress
pt | DoKeyUpBeforeInterface
pt | ChildKey
pt | SendDialogChar
pt | DialogChar
pt | ControlKeyDown
pt | ControlKeyUp
pt | KeyDown
pt | KeyDownBeforeInterface
pt | KeyDownAfterInterface
pt | KeyPress
pt | KeyUp
pt | KeyUpBeforeInterface
pt | KeyUpAfterInterface
pt | UTF8KeyPress
pt | FindNextControl
pt | SelectFirst
pt | RealGetText
pt | GetBorderStyle
pt | GetClientOrigin
pt | GetClientRect
pt | GetControlOrigin
pt | GetDeviceContext
pt | GetParentBackground
pt | IsControlMouseMsg
pt | CreateHandle
pt | CreateParams
pt | CreateWnd
pt | DestroyHandle
pt | DestroyWnd
pt | DoFlipChildren
pt | FinalizeWnd
pt | FixupTabList
pt | FontChanged
pt | InitializeWnd
pt | Loaded
pt | FormEndUpdated
pt | MainWndProc
pt | ParentFormHandleInitialized
pt | ChildHandlesCreated
pt | GetMouseCapture
pt | RealSetText
pt | RemoveFocus
pt | SendMoveSizeMessages
pt | SetBorderStyle
pt | SetColor
pt | SetChildZPosition
pt | SetParentBackground
pt | ShowControl
pt | UpdateControlState
pt | UpdateShowing
pt | WndProc
pt | WSSetText
 | AutoSizePhases
 | AutoSizeDelayed
 | AutoSizeDelayedReport
 | AutoSizeDelayedHandle
 | BeginUpdateBounds
 | EndUpdateBounds
 | LockRealizeBounds
 | UnlockRealizeBounds
 | ControlAtPos
 | ContainsControl
 | DoAdjustClientRectChange
 | InvalidateClientRectCache
 | ClientRectNeedsInterfaceUpdate
 | SetBounds
 | GetChildrenRect
 | DisableAlign
 | EnableAlign
 | ReAlign
 | ScrollBy_WS
 | ScrollBy
 | WriteLayoutDebugReport
 | AutoAdjustLayout
 | Create
 | CreateParented
 | CreateParentedControl
 | Destroy
 | DockDrop
 | CanFocus
 | CanSetFocus
 | GetControlIndex
 | SetControlIndex
 | Focused
 | PerformTab
 | FindChildControl
 | SelectNext
 | SetTempCursor
 | BroadCast
 | NotifyControls
 | DefaultHandler
 | GetTextLen
 | Invalidate
 | AddControl
 | InsertControl
 | RemoveControl
 | GetEnumeratorControls
 | GetEnumeratorControlsReverse
 | Repaint
 | Update
 | SetFocus
 | FlipChildren
 | ScaleBy
 | GetDockCaption
 | UpdateDockCaption
 | GetTabOrderList
 | HandleAllocated
 | ParentHandlesAllocated
 | HandleNeeded
 | BrushCreated
 | EraseBackground
 | IntfUTF8KeyPress
 | IntfGetDropFilesTarget
 | PaintTo
 | SetShape
TControl
pt | WSRegisterClass
pt | GetCursor
pt | SetCursor
pt | SetVisible
pt | DoOnParentHandleDestruction
pt | DoAutoSize
pt | DoAllAutoSize
pt | BeginAutoSizing
pt | EndAutoSizing
pt | AnchorSideChanged
pt | ForeignAnchorSideChanged
pt | SetAlign
pt | SetAnchors
pt | SetAutoSize
pt | BoundsChanged
pt | CreateControlBorderSpacing
pt | DoConstraintsChange
pt | DoBorderSpacingChange
pt | IsBorderSpacingInnerBorderStored
pt | IsCaptionStored
pt | SendMoveSizeMessages
pt | ConstrainedResize
pt | CalculatePreferredSize
pt | DoOnResize
pt | DoOnChangeBounds
pt | CheckOnChangeBounds
pt | Resize
pt | RequestAlign
pt | UpdateAnchorRules
pt | ChangeBounds
pt | DoSetBounds
pt | ScaleConstraints
pt | ChangeScale
pt | CanAutoSize
pt | SetBiDiMode
pt | SetParentBiDiMode
pt | IsAParentAligning
pt | GetClientOrigin
pt | GetClientRect
pt | GetLogicalClientRect
pt | GetScrolledClientRect
pt | GetClientScrollOffset
pt | GetControlOrigin
pt | IsClientHeightStored
pt | IsClientWidthStored
pt | WidthIsAnchored
pt | HeightIsAnchored
pt | WMCancelMode
pt | WMContextMenu
pt | WMLButtonDown
pt | WMRButtonDown
pt | WMMButtonDown
pt | WMXButtonDown
pt | WMLButtonDBLCLK
pt | WMRButtonDBLCLK
pt | WMMButtonDBLCLK
pt | WMXButtonDBLCLK
pt | WMLButtonTripleCLK
pt | WMRButtonTripleCLK
pt | WMMButtonTripleCLK
pt | WMXButtonTripleCLK
pt | WMLButtonQuadCLK
pt | WMRButtonQuadCLK
pt | WMMButtonQuadCLK
pt | WMXButtonQuadCLK
pt | WMMouseMove
pt | WMLButtonUp
pt | WMRButtonUp
pt | WMMButtonUp
pt | WMXButtonUp
pt | WMMouseWheel
pt | WMMouseHWheel
pt | WMMove
pt | WMSize
pt | WMWindowPosChanged
pt | CMChanged
pt | LMCaptureChanged
pt | CMBiDiModeChanged
pt | CMSysFontChanged
pt | CMEnabledChanged
pt | CMHitTest
pt | CMMouseEnter
pt | CMMouseLeave
pt | CMHintShow
pt | CMParentBiDiModeChanged
pt | CMParentColorChanged
pt | CMParentFontChanged
pt | CMParentShowHintChanged
pt | CMVisibleChanged
pt | CMTextChanged
pt | CMCursorChanged
pt | CalculateDockSizes
pt | CreateFloatingDockSite
pt | GetDockEdge
pt | GetDragImages
pt | GetFloating
pt | GetFloatingDockSiteClass
pt | BeforeDragStart
pt | BeginAutoDrag
pt | DoFloatMsg
pt | DockTrackNoTarget
pt | DoDock
pt | DoDragMsg
pt | DoEndDock
pt | DoEndDrag
pt | DoStartDock
pt | DoStartDrag
pt | DragCanceled
pt | DragOver
pt | PositionDockRect
pt | SetDragMode
pt | GetDefaultDockCaption
pt | Click
pt | DblClick
pt | TripleClick
pt | QuadClick
pt | GetMousePosFromMessage
pt | MouseDown
pt | MouseMove
pt | MouseUp
pt | MouseEnter
pt | MouseLeave
pt | DialogChar
pt | UpdateMouseCursor
pt | Changed
pt | GetPalette
pt | ChildClassAllowed
pt | ReadState
pt | Loaded
pt | LoadedAll
pt | DefineProperties
pt | AssignTo
pt | FormEndUpdated
pt | InvalidateControl
pt | FontChanged
pt | ParentFontChanged
pt | GetAction
pt | RealGetText
pt | RealSetText
pt | TextChanged
pt | GetCachedText
pt | SetAction
pt | SetColor
pt | SetEnabled
pt | SetHint
pt | SetName
pt | SetParent
pt | SetParentComponent
pt | WndProc
pt | ParentFormHandleInitialized
pt | GetMouseCapture
pt | CaptureChanged
pt | Notification
pt | CanTab
pt | GetDeviceContext
pt | GetEnabled
pt | GetPopupMenu
pt | DoOnShowHint
pt | DoMouseWheel
pt | DoMouseWheelDown
pt | DoMouseWheelUp
pt | DoMouseWheelHorz
pt | DoMouseWheelLeft
pt | DoMouseWheelRight
pt | VisibleChanging
pt | VisibleChanged
pt | EnabledChanging
pt | EnabledChanged
pt | AddHandler
pt | RemoveHandler
pt | DoCallNotifyHandler
pt | DoCallKeyEventHandler
pt | DoCallMouseWheelEventHandler
pt | DoContextPopup
pt | SetZOrder
pt | GetControlClassDefaultSize
pt | ColorIsStored
pt | DoAutoAdjustLayout
pt | DoFixDesignFontPPI
pt | DoScaleFontPPI
pt | GetActionLinkClass
pt | ActionChange
 | DragDrop
 | Dock
 | ManualDock
 | ManualFloat
 | ReplaceDockedControl
 | Docked
 | Dragging
 | GetAccessibleObject
 | CreateAccessibleObject
 | GetSelectedChildAccessibleObject
 | GetChildAccessibleObjectAtPos
 | ScaleDesignToForm
 | ScaleFormToDesign
 | Scale96ToForm
 | ScaleFormTo96
 | Scale96ToFont
 | ScaleFontTo96
 | ScaleScreenToFont
 | ScaleFontToScreen
 | Scale96ToScreen
 | ScaleScreenTo96
 | AdjustSize
 | AutoSizePhases
 | AutoSizeDelayed
 | AutoSizeDelayedReport
 | AutoSizeDelayedHandle
 | AnchorToNeighbour
 | AnchorParallel
 | AnchorHorizontalCenterTo
 | AnchorVerticalCenterTo
 | AnchorToCompanion
 | AnchorSame
 | AnchorAsAlign
 | AnchorClient
 | AnchoredControlCount
 | SetBounds
 | SetInitialBounds
 | SetBoundsKeepBase
 | GetPreferredSize
 | GetCanvasScaleFactor
 | GetDefaultWidth
 | GetDefaultHeight
 | GetDefaultColor
 | GetColorResolvingParent
 | GetRGBColorResolvingParent
 | GetSidePosition
 | CNPreferredSizeChanged
 | InvalidatePreferredSize
 | GetAnchorsDependingOnParent
 | DisableAutoSizing
 | EnableAutoSizing
 | UpdateBaseBounds
 | WriteLayoutDebugReport
 | AutoAdjustLayout
 | ShouldAutoAdjust
 | FixDesignFontsPPI
 | ScaleFontsPPI
 | Create
 | Destroy
 | BeforeDestruction
 | EditingDone
 | ExecuteDefaultAction
 | ExecuteCancelAction
 | BeginDrag
 | EndDrag
 | BringToFront
 | HasParent
 | GetParentComponent
 | IsParentOf
 | GetTopParent
 | IsVisible
 | IsControlVisible
 | IsEnabled
 | IsParentColor
 | IsParentFont
 | FormIsUpdating
 | IsProcessingPaintMsg
 | Hide
 | Refresh
 | Repaint
 | Invalidate
 | CheckChildClassAllowed
 | CheckNewParent
 | SendToBack
 | SetTempCursor
 | UpdateRolesForForm
 | ActiveDefaultControlChanged
 | GetTextBuf
 | GetTextLen
 | SetTextBuf
 | Perform
 | ScreenToClient
 | ClientToScreen
 | ScreenToControl
 | ControlToScreen
 | ClientToParent
 | ParentToClient
 | GetChildrenRect
 | Show
 | Update
 | HandleObjectShouldBeVisible
 | ParentDestroyingHandle
 | ParentHandlesAllocated
 | InitiateAction
 | ShowHelp
 | HasHelp
 | RemoveAllHandlersOfObject
 | AddHandlerOnResize
 | RemoveHandlerOnResize
 | AddHandlerOnChangeBounds
 | RemoveHandlerOnChangeBounds
 | AddHandlerOnVisibleChanging
 | RemoveHandlerOnVisibleChanging
 | AddHandlerOnVisibleChanged
 | RemoveHandlerOnVisibleChanged
 | AddHandlerOnEnabledChanged
 | RemoveHandlerOnEnableChanging
 | AddHandlerOnKeyDown
 | RemoveHandlerOnKeyDown
 | AddHandlerOnBeforeDestruction
 | RemoveHandlerOnBeforeDestruction
 | AddHandlerOnMouseWheel
 | RemoveHandlerOnMouseWheel
 | UseRightToLeftAlignment
 | UseRightToLeftReading
 | UseRightToLeftScrollBar
 | IsRightToLeft
TLCLComponent
pt | WSRegisterClass
pt | GetWSComponentClass
 | Create
 | Destroy
 | NewInstance
 | RemoveAllHandlersOfObject
 | IncLCLRefCount
 | DecLCLRefCount
TComponent
 | GetComObject
 | GetComponent
 | GetComponentCount
 | GetComponentIndex
 | Insert
 | ReadLeft
 | ReadTop
 | Remove
 | RemoveNotification
 | SetComponentIndex
 | SetReference
 | WriteLeft
 | WriteTop
 | ChangeName
 | DefineProperties
 | GetChildren
 | GetChildOwner
 | GetChildParent
 | GetOwner
 | Loaded
 | Loading
 | Notification
 | PaletteCreated
 | ReadState
 | SetAncestor
 | SetDesigning
 | SetDesignInstance
 | SetInline
 | SetName
 | SetChildOrder
 | SetParentComponent
 | Updating
 | Updated
 | UpdateRegistry
 | ValidateRename
 | ValidateContainer
 | ValidateInsert
 | QueryInterface
 | _AddRef
 | _Release
 | iicrGetComponent
 | GetTypeInfoCount
 | GetTypeInfo
 | GetIDsOfNames
 | Invoke
 | WriteState
 | Create
 | Destroy
 | BeforeDestruction
 | DestroyComponents
 | Destroying
 | ExecuteAction
 | FindComponent
 | FreeNotification
 | RemoveFreeNotification
 | FreeOnRelease
 | GetEnumerator
 | GetNamePath
 | GetParentComponent
 | HasParent
 | InsertComponent
 | RemoveComponent
 | SafeCallException
 | SetSubComponent
 | UpdateAction
 | IsImplementorOf
 | ReferenceInterface
TPersistent
 | AssignError
 | AssignTo
 | DefineProperties
 | GetOwner
 | Destroy
 | Assign
 | FPOAttachObserver
 | FPODetachObserver
 | FPONotifyObservers
 | GetNamePath
TObject
 | Create
 | Destroy
 | newinstance
 | FreeInstance
 | SafeCallException
 | DefaultHandler
 | Free
 | InitInstance
 | CleanupInstance
 | ClassType
 | ClassInfo
 | ClassName
 | ClassNameIs
 | ClassParent
 | InstanceSize
 | InheritsFrom
 | StringMessageTable
 | MethodAddress
 | MethodName
 | FieldAddress
 | AfterConstruction
 | BeforeDestruction
 | DefaultHandlerStr
 | Dispatch
 | DispatchStr
 | GetInterface
 | GetInterfaceByStr
 | GetInterfaceWeak
 | GetInterfaceEntry
 | GetInterfaceEntryByStr
 | GetInterfaceTable
 | UnitName
 | Equals
 | GetHashCode
 | ToString


pt | ActionChange (TControl)
pt | Activate (TCustomForm)
pt | ActiveChanged (TCustomForm)
 | ActiveDefaultControlChanged (TControl)
 | ActiveMDIChild (TCustomForm)
 | AddControl (TWinControl)
pt | AddHandler (TControl)
 | AddHandlerClose (TCustomForm)
 | AddHandlerCreate (TCustomForm)
 | AddHandlerFirstShow (TCustomForm)
 | AddHandlerOnBeforeDestruction (TControl)
 | AddHandlerOnChangeBounds (TControl)
 | AddHandlerOnEnabledChanged (TControl)
 | AddHandlerOnKeyDown (TControl)
 | AddHandlerOnMouseWheel (TControl)
 | AddHandlerOnResize (TControl)
 | AddHandlerOnVisibleChanged (TControl)
 | AddHandlerOnVisibleChanging (TControl)
pt | AdjustClientRect (TWinControl)
pt | AdjustClientRect (TCustomForm)
 | AdjustSize (TControl)
 | AfterConstruction (TObject)
 | AfterConstruction (TCustomForm)
pt | AlignControls (TWinControl)
pt | AlignControls (TScrollingWinControl)
pt | AllAutoSized (TWinControl)
pt | AllAutoSized (TCustomForm)
 | AnchorAsAlign (TControl)
 | AnchorClient (TControl)
 | AnchoredControlCount (TControl)
 | AnchorHorizontalCenterTo (TControl)
 | AnchorParallel (TControl)
 | AnchorSame (TControl)
pt | AnchorSideChanged (TControl)
 | AnchorToCompanion (TControl)
 | AnchorToNeighbour (TControl)
 | AnchorVerticalCenterTo (TControl)
 | Assign (TPersistent)
 | AssignError (TPersistent)
 | AssignTo (TPersistent)
pt | AssignTo (TControl)
 | AutoAdjustLayout (TControl)
 | AutoAdjustLayout (TWinControl)
 | AutoAdjustLayout (TCustomDesignControl)
 | AutoScale (TCustomForm)
pt | AutoScrollEnabled (TScrollingWinControl)
 | AutoSizeDelayed (TControl)
 | AutoSizeDelayed (TWinControl)
 | AutoSizeDelayedHandle (TControl)
 | AutoSizeDelayedHandle (TWinControl)
 | AutoSizeDelayedHandle (TCustomForm)
 | AutoSizeDelayedReport (TControl)
 | AutoSizeDelayedReport (TWinControl)
 | AutoSizePhases (TControl)
 | AutoSizePhases (TWinControl)
 | BeforeDestruction (TObject)
 | BeforeDestruction (TComponent)
 | BeforeDestruction (TControl)
 | BeforeDestruction (TCustomForm)
pt | BeforeDragStart (TControl)
pt | BeginAutoDrag (TControl)
pt | BeginAutoDrag (TCustomForm)
pt | BeginAutoSizing (TControl)
 | BeginDrag (TControl)
pt | BeginFormUpdate (TCustomForm)
 | BeginUpdateBounds (TWinControl)
 | BigIconHandle (TCustomForm)
pt | BoundsChanged (TControl)
 | BringToFront (TControl)
 | BroadCast (TWinControl)
 | BrushCreated (TWinControl)
pt | CalculateAutoRanges (TScrollingWinControl)
pt | CalculateDockSizes (TControl)
pt | CalculatePreferredSize (TControl)
pt | CalculatePreferredSize (TWinControl)
pt | CalculatePreferredSize (TCustomForm)
pt | CanAutoSize (TControl)
 | CanFocus (TWinControl)
 | CanFocus (TCustomForm)
 | CanSetFocus (TWinControl)
pt | CanTab (TControl)
pt | CanTab (TWinControl)
pt | CaptureChanged (TControl)
 | Cascade (TForm)
pt | ChangeBounds (TControl)
pt | Changed (TControl)
 | ChangeName (TComponent)
pt | ChangeScale (TControl)
pt | ChangeScale (TWinControl)
 | CheckChildClassAllowed (TControl)
 | CheckNewParent (TControl)
pt | CheckOnChangeBounds (TControl)
pt | ChildClassAllowed (TControl)
pt | ChildClassAllowed (TWinControl)
pt | ChildHandlesCreated (TWinControl)
pt | ChildHandlesCreated (TCustomForm)
pt | ChildKey (TWinControl)
 | ClassInfo (TObject)
 | ClassName (TObject)
 | ClassNameIs (TObject)
 | ClassParent (TObject)
 | ClassType (TObject)
 | CleanupInstance (TObject)
pt | Click (TControl)
 | ClientRectNeedsInterfaceUpdate (TWinControl)
 | ClientToParent (TControl)
 | ClientToScreen (TControl)
 | ClientToScreen (TScrollingWinControl)
 | Close (TCustomForm)
 | CloseQuery (TCustomForm)
pt | CMActionExecute (TCustomForm)
pt | CMActionUpdate (TCustomForm)
pt | CMActivate (TCustomForm)
pt | CMAppShowBtnGlyphChanged (TCustomForm)
pt | CMAppShowMenuGlyphChanged (TCustomForm)
pt | CMBiDiModeChanged (TControl)
pt | CMBiDiModeChanged (TWinControl)
pt | CMBiDiModeChanged (TCustomForm)
pt | CMBorderChanged (TWinControl)
pt | CMChanged (TControl)
pt | CMCursorChanged (TControl)
pt | CMDeactivate (TCustomForm)
pt | CMDoubleBufferedChanged (TWinControl)
pt | CMEnabledChanged (TControl)
pt | CMEnabledChanged (TWinControl)
pt | CMEnter (TWinControl)
pt | CMExit (TWinControl)
pt | CMHintShow (TControl)
pt | CMHitTest (TControl)
pt | CMIconChanged (TCustomForm)
pt | CMMouseEnter (TControl)
pt | CMMouseLeave (TControl)
pt | CMParentBiDiModeChanged (TControl)
pt | CMParentBiDiModeChanged (TCustomForm)
pt | CMParentColorChanged (TControl)
pt | CMParentDoubleBufferedChanged (TWinControl)
pt | CMParentFontChanged (TControl)
pt | CMParentShowHintChanged (TControl)
pt | CMRelease (TCustomForm)
pt | CMShowHintChanged (TWinControl)
pt | CMShowingChanged (TWinControl)
pt | CMShowingChanged (TCustomForm)
pt | CMSysFontChanged (TControl)
pt | CMTextChanged (TControl)
pt | CMVisibleChanged (TControl)
pt | CMVisibleChanged (TWinControl)
pt | CNChar (TWinControl)
pt | CNKeyDown (TWinControl)
pt | CNKeyUp (TWinControl)
 | CNPreferredSizeChanged (TControl)
pt | CNSysKeyDown (TWinControl)
pt | CNSysKeyUp (TWinControl)
pt | ColorIsStored (TControl)
pt | ColorIsStored (TCustomForm)
pt | ComputeScrollbars (TScrollingWinControl)
pt | ConstrainedResize (TControl)
 | ContainsControl (TWinControl)
 | ControlAtPos (TWinControl)
pt | ControlKeyDown (TWinControl)
pt | ControlKeyUp (TWinControl)
pt | ControlsAligned (TWinControl)
 | ControlToScreen (TControl)
 | Create (TObject)
 | Create (TComponent)
 | Create (TLCLComponent)
 | Create (TControl)
 | Create (TWinControl)
 | Create (TCustomControl)
 | Create (TScrollingWinControl)
 | Create (TCustomDesignControl)
 | Create (TCustomForm)
 | Create (TForm)
 | CreateAccessibleObject (TControl)
pt | CreateBrush (TWinControl)
pt | CreateControlBorderSpacing (TControl)
pt | CreateDockManager (TWinControl)
pt | CreateFloatingDockSite (TControl)
pt | CreateHandle (TWinControl)
 | CreateNew (TCustomForm)
 | CreateNew (TLazMessageDialog)
pt | CreateParams (TWinControl)
pt | CreateParams (TCustomForm)
 | CreateParented (TWinControl)
 | CreateParentedControl (TWinControl)
pt | CreateSubClass (TWinControl)
pt | CreateWnd (TWinControl)
pt | CreateWnd (TScrollingWinControl)
pt | CreateWnd (TCustomForm)
pt | CreateWnd (TForm)
pt | CustomAlignInsertBefore (TWinControl)
pt | CustomAlignPosition (TWinControl)
pt | DblClick (TControl)
pt | Deactivate (TCustomForm)
 | DecLCLRefCount (TLCLComponent)
 | DefaultHandler (TObject)
 | DefaultHandler (TWinControl)
 | DefaultHandlerStr (TObject)
 | DefineProperties (TPersistent)
 | DefineProperties (TComponent)
pt | DefineProperties (TControl)
 | DefocusControl (TCustomForm)
 | Destroy (TObject)
 | Destroy (TPersistent)
 | Destroy (TComponent)
 | Destroy (TLCLComponent)
 | Destroy (TControl)
 | Destroy (TWinControl)
 | Destroy (TCustomControl)
 | Destroy (TScrollingWinControl)
 | Destroy (TCustomForm)
 | DestroyComponents (TComponent)
pt | DestroyHandle (TWinControl)
 | Destroying (TComponent)
pt | DestroyWnd (TWinControl)
pt | DestroyWnd (TCustomControl)
 | DestroyWnd (TCustomForm)
pt | DialogChar (TControl)
pt | DialogChar (TWinControl)
 | DisableAlign (TWinControl)
 | DisableAutoSizing (TControl)
 | Dispatch (TObject)
 | DispatchStr (TObject)
pt | DoAddActionList (TCustomForm)
pt | DoAddDockClient (TWinControl)
 | DoAdjustClientRectChange (TWinControl)
pt | DoAlignChildControls (TWinControl)
pt | DoAllAutoSize (TControl)
pt | DoAllAutoSize (TWinControl)
pt | DoAutoAdjustLayout (TControl)
pt | DoAutoAdjustLayout (TCustomDesignControl)
pt | DoAutoSize (TControl)
pt | DoAutoSize (TWinControl)
pt | DoAutoSize (TCustomForm)
pt | DoBorderSpacingChange (TControl)
pt | DoCallKeyEventHandler (TControl)
pt | DoCallMouseWheelEventHandler (TControl)
pt | DoCallNotifyHandler (TControl)
pt | DoChildSizingChange (TWinControl)
 | Dock (TControl)
 | Dock (TCustomForm)
 | DockDrop (TWinControl)
 | Docked (TControl)
pt | DockOver (TWinControl)
pt | DockTrackNoTarget (TControl)
pt | DoClose (TCustomForm)
pt | DoConstraintsChange (TControl)
pt | DoConstraintsChange (TWinControl)
pt | DoContextPopup (TControl)
pt | DoCreate (TCustomForm)
pt | DoDestroy (TCustomForm)
pt | DoDock (TControl)
pt | DoDock (TCustomForm)
pt | DoDockClientMsg (TWinControl)
pt | DoDockOver (TWinControl)
pt | DoDragMsg (TControl)
pt | DoDragMsg (TWinControl)
pt | DoEndDock (TControl)
pt | DoEndDrag (TControl)
pt | DoEnter (TWinControl)
pt | DoExecuteAction (TCustomForm)
pt | DoExit (TWinControl)
pt | DoFirstShow (TCustomForm)
pt | DoFixDesignFontPPI (TControl)
pt | DoFlipChildren (TWinControl)
pt | DoFloatMsg (TControl)
pt | DoFloatMsg (TWinControl)
pt | DoGetDockCaption (TWinControl)
pt | DoHide (TCustomForm)
pt | DoKeyDownBeforeInterface (TWinControl)
pt | DoKeyPress (TWinControl)
pt | DoKeyUpBeforeInterface (TWinControl)
pt | DoMouseWheel (TControl)
pt | DoMouseWheelDown (TControl)
pt | DoMouseWheelHorz (TControl)
pt | DoMouseWheelLeft (TControl)
pt | DoMouseWheelRight (TControl)
pt | DoMouseWheelUp (TControl)
pt | DoOnChangeBounds (TControl)
pt | DoOnParentHandleDestruction (TControl)
pt | DoOnResize (TControl)
pt | DoOnResize (TScrollingWinControl)
pt | DoOnShowHint (TControl)
pt | DoRemainingKeyDown (TWinControl)
pt | DoRemainingKeyUp (TWinControl)
pt | DoRemoveActionList (TCustomForm)
pt | DoRemoveDockClient (TWinControl)
pt | DoScaleFontPPI (TControl)
pt | DoSendBoundsToInterface (TWinControl)
pt | DoSendBoundsToInterface (TCustomForm)
pt | DoSendShowHideToInterface (TWinControl)
pt | DoSetBounds (TControl)
pt | DoSetBounds (TWinControl)
pt | DoShow (TCustomForm)
pt | DoShowWindow (TCustomForm)
pt | DoStartDock (TControl)
pt | DoStartDrag (TControl)
pt | DoUnDock (TWinControl)
pt | DoUndockClientMsg (TWinControl)
pt | DoUpdateAction (TCustomForm)
pt | DoUTF8KeyPress (TWinControl)
pt | DragCanceled (TControl)
 | DragDrop (TControl)
 | Dragging (TControl)
pt | DragOver (TControl)
 | EditingDone (TControl)
 | EnableAlign (TWinControl)
 | EnableAutoSizing (TControl)
pt | EnabledChanged (TControl)
pt | EnabledChanging (TControl)
pt | EndAutoSizing (TControl)
 | EndDrag (TControl)
pt | EndFormUpdate (TCustomForm)
 | EndUpdateBounds (TWinControl)
 | EnsureVisible (TCustomForm)
 | Equals (TObject)
 | EraseBackground (TWinControl)
 | ExecuteAction (TComponent)
 | ExecuteCancelAction (TControl)
 | ExecuteDefaultAction (TControl)
 | FieldAddress (TObject)
pt | FinalizeWnd (TWinControl)
 | FindChildControl (TWinControl)
 | FindComponent (TComponent)
pt | FindNextControl (TWinControl)
 | FixDesignFontsPPI (TControl)
pt | FixupTabList (TWinControl)
 | FlipChildren (TWinControl)
 | FocusControl (TCustomForm)
 | Focused (TWinControl)
pt | FontChanged (TControl)
pt | FontChanged (TWinControl)
pt | FontChanged (TCustomControl)
pt | ForeignAnchorSideChanged (TControl)
pt | FormEndUpdated (TControl)
pt | FormEndUpdated (TWinControl)
 | FormIsUpdating (TControl)
 | FormIsUpdating (TCustomForm)
 | FPOAttachObserver (TPersistent)
 | FPODetachObserver (TPersistent)
 | FPONotifyObservers (TPersistent)
 | Free (TObject)
 | FreeInstance (TObject)
 | FreeNotification (TComponent)
 | FreeOnRelease (TComponent)
 | GetAccessibleObject (TControl)
pt | GetAction (TControl)
pt | GetActionLinkClass (TControl)
pt | GetAdjustedLogicalClientRect (TWinControl)
 | GetAnchorsDependingOnParent (TControl)
pt | GetBorderStyle (TWinControl)
pt | GetCachedText (TControl)
 | GetCanvasScaleFactor (TControl)
 | GetChildAccessibleObjectAtPos (TControl)
 | GetChildOwner (TComponent)
 | GetChildParent (TComponent)
 | GetChildren (TComponent)
pt | GetChildren (TWinControl)
 | GetChildren (TCustomForm)
 | GetChildrenRect (TControl)
 | GetChildrenRect (TWinControl)
pt | GetClientOrigin (TControl)
pt | GetClientOrigin (TWinControl)
pt | GetClientRect (TControl)
pt | GetClientRect (TWinControl)
pt | GetClientScrollOffset (TControl)
pt | GetClientScrollOffset (TScrollingWinControl)
 | GetColorResolvingParent (TControl)
 | GetComObject (TComponent)
 | GetComponent (TComponent)
 | GetComponentCount (TComponent)
 | GetComponentIndex (TComponent)
pt | GetControlClassDefaultSize (TControl)
 | GetControlClassDefaultSize (TScrollingWinControl)
 | GetControlClassDefaultSize (TCustomForm)
 | GetControlIndex (TWinControl)
pt | GetControlOrigin (TControl)
pt | GetControlOrigin (TWinControl)
pt | GetCursor (TControl)
 | GetDefaultColor (TControl)
pt | GetDefaultDockCaption (TControl)
pt | GetDefaultDockCaption (TCustomForm)
 | GetDefaultHeight (TControl)
 | GetDefaultWidth (TControl)
pt | GetDeviceContext (TControl)
pt | GetDeviceContext (TWinControl)
 | GetDockCaption (TWinControl)
pt | GetDockEdge (TControl)
pt | GetDragImages (TControl)
pt | GetEnabled (TControl)
 | GetEnumerator (TComponent)
 | GetEnumeratorControls (TWinControl)
 | GetEnumeratorControlsReverse (TWinControl)
pt | GetFloating (TControl)
pt | GetFloating (TCustomForm)
pt | GetFloatingDockSiteClass (TControl)
 | GetFormImage (TCustomForm)
 | GetHashCode (TObject)
 | GetIDsOfNames (TComponent)
 | GetInterface (TObject)
 | GetInterfaceByStr (TObject)
 | GetInterfaceEntry (TObject)
 | GetInterfaceEntryByStr (TObject)
 | GetInterfaceTable (TObject)
 | GetInterfaceWeak (TObject)
pt | GetLogicalClientRect (TControl)
pt | GetLogicalClientRect (TScrollingWinControl)
 | GetMDIChildren (TCustomForm)
pt | GetMouseCapture (TControl)
pt | GetMouseCapture (TWinControl)
pt | GetMousePosFromMessage (TControl)
 | GetNamePath (TPersistent)
 | GetNamePath (TComponent)
 | GetOwner (TPersistent)
 | GetOwner (TComponent)
pt | GetPalette (TControl)
pt | GetParentBackground (TWinControl)
 | GetParentComponent (TComponent)
 | GetParentComponent (TControl)
pt | GetParentHandle (TWinControl)
pt | GetPopupMenu (TControl)
 | GetPreferredSize (TControl)
 | GetPreferredSize (TCustomForm)
pt | GetPreferredSizeClientFrame (TWinControl)
pt | GetPreferredSizeClientFrame (TScrollingWinControl)
 | GetRealPopupParent (TCustomForm)
 | GetRGBColorResolvingParent (TControl)
 | GetRolesForControl (TCustomForm)
pt | GetScrolledClientRect (TControl)
 | GetSelectedChildAccessibleObject (TControl)
 | GetSidePosition (TControl)
pt | GetSiteInfo (TWinControl)
 | GetTabOrderList (TWinControl)
 | GetTextBuf (TControl)
 | GetTextLen (TControl)
 | GetTextLen (TWinControl)
 | GetTopParent (TControl)
pt | GetTopParentHandle (TWinControl)
 | GetTypeInfo (TComponent)
 | GetTypeInfoCount (TComponent)
pt | GetWSComponentClass (TLCLComponent)
 | HandleAllocated (TWinControl)
pt | HandleCreateException (TCustomForm)
pt | HandleDestroyException (TCustomForm)
 | HandleNeeded (TWinControl)
 | HandleObjectShouldBeVisible (TControl)
pt | HandleShowHideException (TCustomForm)
 | HasHelp (TControl)
 | HasParent (TComponent)
 | HasParent (TControl)
pt | HeightIsAnchored (TControl)
 | Hide (TControl)
 | Hide (TCustomForm)
 | iicrGetComponent (TComponent)
 | IncLCLRefCount (TLCLComponent)
 | InheritsFrom (TObject)
pt | InitializeWnd (TWinControl)
pt | InitializeWnd (TCustomForm)
 | InitiateAction (TControl)
 | InitInstance (TObject)
 | Insert (TComponent)
 | InsertComponent (TComponent)
 | InsertControl (TWinControl)
 | InstanceSize (TObject)
 | IntfDropFiles (TCustomForm)
 | IntfGetDropFilesTarget (TWinControl)
 | IntfHelp (TCustomForm)
 | IntfUTF8KeyPress (TWinControl)
 | Invalidate (TControl)
 | Invalidate (TWinControl)
pt | InvalidateBoundsRealized (TWinControl)
 | InvalidateClientRectCache (TWinControl)
pt | InvalidateControl (TControl)
pt | InvalidatePreferredChildSizes (TWinControl)
 | InvalidatePreferredSize (TControl)
 | Invoke (TComponent)
pt | IsAParentAligning (TControl)
pt | IsBorderSpacingInnerBorderStored (TControl)
pt | IsCaptionStored (TControl)
pt | IsClientHeightStored (TControl)
pt | IsClientHeightStored (TWinControl)
pt | IsClientWidthStored (TControl)
pt | IsClientWidthStored (TWinControl)
pt | IsControlMouseMsg (TWinControl)
 | IsControlVisible (TControl)
 | IsEnabled (TControl)
 | IsImplementorOf (TComponent)
 | IsParentColor (TControl)
 | IsParentFont (TControl)
 | IsParentOf (TControl)
 | IsProcessingPaintMsg (TControl)
 | IsRightToLeft (TControl)
 | IsShortcut (TCustomForm)
 | IsVisible (TControl)
pt | KeyDown (TWinControl)
pt | KeyDownAfterInterface (TWinControl)
pt | KeyDownBeforeInterface (TWinControl)
pt | KeyPress (TWinControl)
pt | KeyUp (TWinControl)
pt | KeyUpAfterInterface (TWinControl)
pt | KeyUpBeforeInterface (TWinControl)
pt | LMCaptureChanged (TControl)
 | Loaded (TComponent)
pt | Loaded (TControl)
pt | Loaded (TWinControl)
pt | Loaded (TScrollingWinControl)
pt | Loaded (TCustomDesignControl)
pt | Loaded (TCustomForm)
pt | Loaded (TForm)
pt | LoadedAll (TControl)
 | Loading (TComponent)
 | LockRealizeBounds (TWinControl)
pt | MainWndProc (TWinControl)
 | MakeFullyVisible (TCustomForm)
 | ManualDock (TControl)
 | ManualFloat (TControl)
 | MDIChildCount (TCustomForm)
 | MethodAddress (TObject)
 | MethodName (TObject)
pt | MouseDown (TControl)
pt | MouseEnter (TControl)
pt | MouseLeave (TControl)
pt | MouseMove (TControl)
pt | MouseUp (TControl)
pt | MoveToDefaultPosition (TCustomForm)
 | newinstance (TObject)
 | NewInstance (TLCLComponent)
 | Next (TForm)
 | Notification (TComponent)
pt | Notification (TControl)
pt | Notification (TCustomForm)
 | NotifyControls (TWinControl)
pt | Paint (TCustomControl)
pt | PaintControls (TWinControl)
pt | PaintHandler (TWinControl)
 | PaintTo (TWinControl)
pt | PaintWindow (TWinControl)
pt | PaintWindow (TCustomControl)
pt | PaintWindow (TCustomForm)
 | PaletteCreated (TComponent)
 | ParentDestroyingHandle (TControl)
pt | ParentFontChanged (TControl)
pt | ParentFormHandleInitialized (TControl)
pt | ParentFormHandleInitialized (TWinControl)
 | ParentHandlesAllocated (TControl)
 | ParentHandlesAllocated (TWinControl)
 | ParentToClient (TControl)
 | Perform (TControl)
 | PerformTab (TWinControl)
pt | PositionDockRect (TControl)
 | Previous (TForm)
pt | ProcessResource (TCustomForm)
pt | QuadClick (TControl)
 | QueryInterface (TComponent)
 | ReadLeft (TComponent)
 | ReadState (TComponent)
pt | ReadState (TControl)
 | ReadTop (TComponent)
pt | RealGetText (TControl)
pt | RealGetText (TWinControl)
 | ReAlign (TWinControl)
pt | RealizeBounds (TWinControl)
pt | RealizeBoundsRecursive (TWinControl)
pt | RealSetText (TControl)
pt | RealSetText (TWinControl)
 | ReferenceInterface (TComponent)
 | Refresh (TControl)
 | Release (TCustomForm)
pt | ReloadDockedControl (TWinControl)
 | Remove (TComponent)
 | RemoveAllHandlersOfObject (TLCLComponent)
 | RemoveAllHandlersOfObject (TControl)
 | RemoveAllHandlersOfObject (TCustomForm)
 | RemoveComponent (TComponent)
 | RemoveControl (TWinControl)
pt | RemoveFocus (TWinControl)
 | RemoveFreeNotification (TComponent)
pt | RemoveHandler (TControl)
 | RemoveHandlerClose (TCustomForm)
 | RemoveHandlerCreate (TCustomForm)
 | RemoveHandlerFirstShow (TCustomForm)
 | RemoveHandlerOnBeforeDestruction (TControl)
 | RemoveHandlerOnChangeBounds (TControl)
 | RemoveHandlerOnEnableChanging (TControl)
 | RemoveHandlerOnKeyDown (TControl)
 | RemoveHandlerOnMouseWheel (TControl)
 | RemoveHandlerOnResize (TControl)
 | RemoveHandlerOnVisibleChanged (TControl)
 | RemoveHandlerOnVisibleChanging (TControl)
 | RemoveNotification (TComponent)
 | Repaint (TControl)
 | Repaint (TWinControl)
 | ReplaceDockedControl (TControl)
pt | RequestAlign (TControl)
pt | RequestAlign (TCustomForm)
pt | Resize (TControl)
pt | Resizing (TScrollingWinControl)
pt | Resizing (TCustomForm)
 | SafeCallException (TObject)
 | SafeCallException (TComponent)
 | Scale96ToFont (TControl)
 | Scale96ToForm (TControl)
 | Scale96ToScreen (TControl)
 | ScaleBy (TWinControl)
pt | ScaleConstraints (TControl)
pt | ScaleControls (TWinControl)
 | ScaleDesignToForm (TControl)
 | ScaleFontsPPI (TControl)
 | ScaleFontTo96 (TControl)
 | ScaleFontToScreen (TControl)
 | ScaleFormTo96 (TControl)
 | ScaleFormToDesign (TControl)
 | ScaleScreenTo96 (TControl)
 | ScaleScreenToFont (TControl)
 | ScreenToClient (TControl)
 | ScreenToClient (TScrollingWinControl)
 | ScreenToControl (TControl)
 | ScrollBy (TWinControl)
 | ScrollBy (TScrollingWinControl)
 | ScrollBy_WS (TWinControl)
 | ScrollInView (TScrollingWinControl)
pt | SelectFirst (TWinControl)
 | SelectNext (TWinControl)
pt | SendDialogChar (TWinControl)
pt | SendMoveSizeMessages (TControl)
pt | SendMoveSizeMessages (TWinControl)
 | SendToBack (TControl)
pt | SetAction (TControl)
pt | SetAlign (TControl)
 | SetAncestor (TComponent)
pt | SetAnchors (TControl)
pt | SetAutoScroll (TScrollingWinControl)
pt | SetAutoScroll (TCustomForm)
pt | SetAutoSize (TControl)
pt | SetAutoSize (TScrollingWinControl)
pt | SetAutoSize (TCustomForm)
pt | SetBiDiMode (TControl)
pt | SetBorderStyle (TWinControl)
 | SetBounds (TControl)
 | SetBounds (TWinControl)
 | SetBoundsKeepBase (TControl)
 | SetChildOrder (TComponent)
pt | SetChildZPosition (TWinControl)
pt | SetColor (TControl)
pt | SetColor (TWinControl)
pt | SetColor (TCustomControl)
 | SetComponentIndex (TComponent)
 | SetControlIndex (TWinControl)
pt | SetCursor (TControl)
 | SetDesigning (TComponent)
 | SetDesignInstance (TComponent)
pt | SetDockManager (TWinControl)
pt | SetDragMode (TControl)
pt | SetEnabled (TControl)
 | SetFocus (TWinControl)
 | SetFocus (TCustomForm)
 | SetFocusedControl (TCustomForm)
pt | SetHint (TControl)
 | SetInitialBounds (TControl)
 | SetInline (TComponent)
 | SetName (TComponent)
pt | SetName (TControl)
pt | SetParent (TControl)
pt | SetParent (TCustomForm)
pt | SetParentBackground (TWinControl)
pt | SetParentBiDiMode (TControl)
 | SetParentComponent (TComponent)
pt | SetParentComponent (TControl)
 | SetReference (TComponent)
 | SetRestoredBounds (TCustomForm)
pt | SetScaled (TCustomDesignControl)
pt | SetScaled (TCustomForm)
 | SetShape (TWinControl)
 | SetSubComponent (TComponent)
 | SetTempCursor (TControl)
 | SetTempCursor (TWinControl)
 | SetTextBuf (TControl)
pt | SetVisible (TControl)
pt | SetVisible (TCustomForm)
pt | SetZOrder (TControl)
pt | SetZOrder (TCustomForm)
 | ShouldAutoAdjust (TControl)
 | Show (TControl)
 | Show (TCustomForm)
pt | ShowControl (TWinControl)
 | ShowHelp (TControl)
 | ShowModal (TCustomForm)
 | ShowOnTop (TCustomForm)
 | SmallIconHandle (TCustomForm)
 | StringMessageTable (TObject)
pt | TextChanged (TControl)
 | Tile (TForm)
 | ToString (TObject)
pt | TripleClick (TControl)
 | UnitName (TObject)
 | UnlockRealizeBounds (TWinControl)
 | Update (TControl)
 | Update (TWinControl)
 | UpdateAction (TComponent)
pt | UpdateActions (TCustomForm)
pt | UpdateAnchorRules (TControl)
 | UpdateBaseBounds (TControl)
pt | UpdateControlState (TWinControl)
 | Updated (TComponent)
 | UpdateDockCaption (TWinControl)
 | UpdateDockCaption (TCustomForm)
pt | UpdateMouseCursor (TControl)
 | UpdateRegistry (TComponent)
 | UpdateRolesForForm (TControl)
 | UpdateScrollbars (TScrollingWinControl)
pt | UpdateShowing (TWinControl)
pt | UpdateShowing (TCustomForm)
pt | UpdateWindowState (TCustomForm)
 | Updating (TComponent)
 | UseRightToLeftAlignment (TControl)
 | UseRightToLeftReading (TControl)
 | UseRightToLeftScrollBar (TControl)
pt | UTF8KeyPress (TWinControl)
 | ValidateContainer (TComponent)
 | ValidateInsert (TComponent)
 | ValidateRename (TComponent)
pt | VisibleChanged (TControl)
pt | VisibleChanged (TCustomForm)
pt | VisibleChanging (TControl)
pt | VisibleChanging (TCustomForm)
pt | VisibleIsStored (TCustomForm)
 | WantChildKey (TCustomForm)
pt | WidthIsAnchored (TControl)
pt | WMActivate (TCustomForm)
pt | WMCancelMode (TControl)
pt | WMChar (TWinControl)
pt | WMCloseQuery (TCustomForm)
pt | WMContextMenu (TControl)
pt | WMContextMenu (TWinControl)
pt | WMDestroy (TWinControl)
pt | WMDPIChanged (TCustomForm)
pt | WMEnter (TWinControl)
pt | WMEraseBkgnd (TWinControl)
pt | WMExit (TWinControl)
pt | WMHelp (TCustomForm)
pt | WMHScroll (TScrollingWinControl)
pt | WMKeyDown (TWinControl)
pt | WMKeyUp (TWinControl)
pt | WMKillFocus (TWinControl)
pt | WMLButtonDBLCLK (TControl)
pt | WMLButtonDown (TControl)
pt | WMLButtonQuadCLK (TControl)
pt | WMLButtonTripleCLK (TControl)
pt | WMLButtonUp (TControl)
pt | WMMButtonDBLCLK (TControl)
pt | WMMButtonDown (TControl)
pt | WMMButtonQuadCLK (TControl)
pt | WMMButtonTripleCLK (TControl)
pt | WMMButtonUp (TControl)
pt | WMMouseHWheel (TControl)
pt | WMMouseMove (TControl)
pt | WMMouseWheel (TControl)
pt | WMMove (TControl)
pt | WMMove (TWinControl)
pt | WMMove (TCustomForm)
pt | WMNotify (TWinControl)
pt | WMPaint (TWinControl)
pt | WMPaint (TCustomControl)
pt | WMRButtonDBLCLK (TControl)
pt | WMRButtonDown (TControl)
pt | WMRButtonQuadCLK (TControl)
pt | WMRButtonTripleCLK (TControl)
pt | WMRButtonUp (TControl)
pt | WMSetFocus (TWinControl)
pt | WMShowWindow (TWinControl)
pt | WMShowWindow (TCustomForm)
pt | WMSize (TControl)
pt | WMSize (TWinControl)
pt | WMSize (TScrollingWinControl)
pt | WMSize (TCustomForm)
pt | WMSysChar (TWinControl)
pt | WMSysKeyDown (TWinControl)
pt | WMSysKeyUp (TWinControl)
pt | WMVScroll (TScrollingWinControl)
pt | WMWindowPosChanged (TControl)
pt | WMWindowPosChanged (TWinControl)
pt | WMWindowPosChanged (TCustomForm)
pt | WMXButtonDBLCLK (TControl)
pt | WMXButtonDown (TControl)
pt | WMXButtonQuadCLK (TControl)
pt | WMXButtonTripleCLK (TControl)
pt | WMXButtonUp (TControl)
pt | WndProc (TControl)
pt | WndProc (TWinControl)
pt | WndProc (TCustomForm)
 | WriteLayoutDebugReport (TControl)
 | WriteLayoutDebugReport (TWinControl)
 | WriteLeft (TComponent)
 | WriteState (TComponent)
 | WriteTop (TComponent)
pt | WSRegisterClass (TLCLComponent)
pt | WSRegisterClass (TControl)
pt | WSRegisterClass (TWinControl)
pt | WSRegisterClass (TCustomControl)
pt | WSRegisterClass (TScrollingWinControl)
pt | WSRegisterClass (TCustomForm)
pt | WSSetText (TWinControl)
 | _AddRef (TComponent)
 | _Release (TComponent)


TLazMessageDialog
TForm
pl | ro | OnActivate
pl | ro | OnChangeBounds
pl | ro | OnClick
pl | ro | OnClose
pl | ro | OnCloseQuery
pl | ro | OnConstrainedResize
pl | ro | OnContextPopup
pl | ro | OnCreate
pl | ro | OnDblClick
pl | ro | OnDeactivate
pl | ro | OnDestroy
pl | ro | OnDockDrop
pl | ro | OnDockOver
pl | ro | OnDragDrop
pl | ro | OnDragOver
pl | ro | OnDropFiles
pl | ro | OnEndDock
pl | ro | OnGetSiteInfo
pl | ro | OnHelp
pl | ro | OnHide
pl | ro | OnKeyDown
pl | ro | OnKeyPress
pl | ro | OnKeyUp
pl | ro | OnMouseDown
pl | ro | OnMouseEnter
pl | ro | OnMouseLeave
pl | ro | OnMouseMove
pl | ro | OnMouseUp
pl | ro | OnMouseWheel
pl | ro | OnMouseWheelDown
pl | ro | OnMouseWheelUp
pl | ro | OnMouseWheelHorz
pl | ro | OnMouseWheelLeft
pl | ro | OnMouseWheelRight
pl | ro | OnPaint
pl | ro | OnResize
pl | ro | OnShortCut
pl | ro | OnShow
pl | ro | OnShowHint
pl | ro | OnStartDock
pl | ro | OnUnDock
pl | ro | OnUTF8KeyPress
pl | ro | OnWindowStateChange
TCustomForm
 |  | OnActivate
 |  | OnClose
 |  | OnCloseQuery
 |  | OnCreate
 |  | OnDeactivate
 |  | OnDestroy
 |  | OnDropFiles
 |  | OnHelp
 |  | OnHide
 | ro | OnResize
 |  | OnShortcut
 |  | OnShow
 |  | OnShowModalFinished
 |  | OnWindowStateChange
TCustomDesignControl
TScrollingWinControl
TCustomControl
 |  | OnPaint
TWinControl
pt |  | OnGetSiteInfo
pt |  | OnGetDockCaption
 |  | OnAlignInsertBefore
 |  | OnAlignPosition
 |  | OnDockDrop
 |  | OnDockOver
 |  | OnEnter
 |  | OnExit
 |  | OnKeyDown
 |  | OnKeyPress
 |  | OnKeyUp
 |  | OnUnDock
 |  | OnUTF8KeyPress
TControl
pt |  | OnConstrainedResize
pt |  | OnContextPopup
pt |  | OnDblClick
pt |  | OnTripleClick
pt |  | OnQuadClick
pt |  | OnDragDrop
pt |  | OnDragOver
pt |  | OnEndDock
pt |  | OnEndDrag
pt |  | OnMouseDown
pt |  | OnMouseMove
pt |  | OnMouseUp
pt |  | OnMouseEnter
pt |  | OnMouseLeave
pt |  | OnMouseWheel
pt |  | OnMouseWheelDown
pt |  | OnMouseWheelUp
pt |  | OnMouseWheelHorz
pt |  | OnMouseWheelLeft
pt |  | OnMouseWheelRight
pt |  | OnStartDock
pt |  | OnStartDrag
pt |  | OnEditingDone
 |  | OnChangeBounds
 |  | OnClick
 |  | OnResize
 |  | OnShowHint
TLCLComponent
TComponent
TPersistent
TObject


TLazMessageDialog.CreateNew

Declaration

Source position: lazdialogs.pas line 82

public constructor TLazMessageDialog.CreateNew(

  TheOwner: TComponent;

  Num: Integer = 0

); override;


TLazOpenDialog

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Declaration

Source position: lazdialogs.pas line 50

type TLazOpenDialog = class(TOpenDialog)

protected

  FForm: TLazarusFileDialogForm;

  class procedure WSRegisterClass; override;

  function DoExecute; override;

  procedure DoInitialize; virtual;

public

  constructor Create(); override;

end;

Inheritance

TLazOpenDialog |
|
TOpenDialog | TOpenDialog : open a file in the current directory, selected by File Dialog.
|
TFileDialog | TFileDialog : allows selection of a file from the current directory.
|
TCommonDialog | TCommonDialog : the base type from which other dialogs are derived
|
TLCLComponent | The base class for LCL components associated with widgets.
|
TComponent,IUnknown,IInterfaceComponentReference
|
TPersistent,IFPObserved
|
TObject


TLazOpenDialog
TOpenDialog
pl |  | Options
TFileDialog
 | ro | Files
 |  | HistoryList
pl | ro | Title
pl |  | DefaultExt
pl |  | FileName
pl |  | Filter
pl |  | FilterIndex
pl |  | InitialDir
TCommonDialog
pt |  | AttachTo
 |  | Handle
 |  | UserChoice
 |  | Width
 |  | Height
pl |  | HelpContext
pl |  | Title
TLCLComponent
 | ro | LCLRefCount
 | ro | WidgetSetClass
TComponent
 | ro | ComObject
 | ro | Components
 | ro | ComponentCount
 |  | ComponentIndex
 | ro | ComponentState
 | ro | ComponentStyle
 |  | DesignInfo
 | ro | Owner
 |  | VCLComObject
 |  | Name
 |  | Tag
TPersistent
TObject


TLazOpenDialog
pt | WSRegisterClass
pt | DoExecute
pt | DoInitialize
 | Create
TOpenDialog
pt | WSRegisterClass
pt | ResolveLinks
pt | DereferenceLinks
pt | CheckFile
pt | CheckFileMustExist
pt | CheckAllFiles
pt | DoExecute
pt | DefaultTitle
 | Create
 | DoCanClose
 | DoFolderChange
 | DoSelectionChange
 | IntfSetOption
TFileDialog
pt | WSRegisterClass
pt | GetFilterIndex
pt | SetFileName
pt | SetFilter
pt | SetHistoryList
 | Create
 | Destroy
 | DoCanClose
 | DoTypeChange
 | IntfFileTypeChanged
 | FindMaskInFilter
 | ExtractAllFilterMasks
TCommonDialog
pt | WSRegisterClass
pt | DoExecute
pt | DefaultTitle
pt | GetHeight
pt | GetWidth
pt | SetHeight
pt | SetWidth
pt | ResetShowCloseFlags
 | Create
 | Execute
 | Close
 | DoShow
 | DoCanClose
 | DoClose
 | HandleAllocated
TLCLComponent
pt | WSRegisterClass
pt | GetWSComponentClass
 | Create
 | Destroy
 | NewInstance
 | RemoveAllHandlersOfObject
 | IncLCLRefCount
 | DecLCLRefCount
TComponent
 | GetComObject
 | GetComponent
 | GetComponentCount
 | GetComponentIndex
 | Insert
 | ReadLeft
 | ReadTop
 | Remove
 | RemoveNotification
 | SetComponentIndex
 | SetReference
 | WriteLeft
 | WriteTop
 | ChangeName
 | DefineProperties
 | GetChildren
 | GetChildOwner
 | GetChildParent
 | GetOwner
 | Loaded
 | Loading
 | Notification
 | PaletteCreated
 | ReadState
 | SetAncestor
 | SetDesigning
 | SetDesignInstance
 | SetInline
 | SetName
 | SetChildOrder
 | SetParentComponent
 | Updating
 | Updated
 | UpdateRegistry
 | ValidateRename
 | ValidateContainer
 | ValidateInsert
 | QueryInterface
 | _AddRef
 | _Release
 | iicrGetComponent
 | GetTypeInfoCount
 | GetTypeInfo
 | GetIDsOfNames
 | Invoke
 | WriteState
 | Create
 | Destroy
 | BeforeDestruction
 | DestroyComponents
 | Destroying
 | ExecuteAction
 | FindComponent
 | FreeNotification
 | RemoveFreeNotification
 | FreeOnRelease
 | GetEnumerator
 | GetNamePath
 | GetParentComponent
 | HasParent
 | InsertComponent
 | RemoveComponent
 | SafeCallException
 | SetSubComponent
 | UpdateAction
 | IsImplementorOf
 | ReferenceInterface
TPersistent
 | AssignError
 | AssignTo
 | DefineProperties
 | GetOwner
 | Destroy
 | Assign
 | FPOAttachObserver
 | FPODetachObserver
 | FPONotifyObservers
 | GetNamePath
TObject
 | Create
 | Destroy
 | newinstance
 | FreeInstance
 | SafeCallException
 | DefaultHandler
 | Free
 | InitInstance
 | CleanupInstance
 | ClassType
 | ClassInfo
 | ClassName
 | ClassNameIs
 | ClassParent
 | InstanceSize
 | InheritsFrom
 | StringMessageTable
 | MethodAddress
 | MethodName
 | FieldAddress
 | AfterConstruction
 | BeforeDestruction
 | DefaultHandlerStr
 | Dispatch
 | DispatchStr
 | GetInterface
 | GetInterfaceByStr
 | GetInterfaceWeak
 | GetInterfaceEntry
 | GetInterfaceEntryByStr
 | GetInterfaceTable
 | UnitName
 | Equals
 | GetHashCode
 | ToString


 | AssignError (TPersistent)
 | AssignTo (TPersistent)
 | BeforeDestruction (TObject)
 | BeforeDestruction (TComponent)
 | ChangeName (TComponent)
pt | CheckAllFiles (TOpenDialog)
pt | CheckFile (TOpenDialog)
pt | CheckFileMustExist (TOpenDialog)
 | ClassInfo (TObject)
 | ClassName (TObject)
 | ClassNameIs (TObject)
 | ClassParent (TObject)
 | ClassType (TObject)
 | CleanupInstance (TObject)
 | Close (TCommonDialog)
 | Create (TObject)
 | Create (TComponent)
 | Create (TLCLComponent)
 | Create (TCommonDialog)
 | Create (TFileDialog)
 | Create (TOpenDialog)
 | Create (TLazOpenDialog)
 | DecLCLRefCount (TLCLComponent)
 | DefaultHandler (TObject)
 | DefaultHandlerStr (TObject)
pt | DefaultTitle (TCommonDialog)
pt | DefaultTitle (TOpenDialog)
 | DefineProperties (TPersistent)
 | DefineProperties (TComponent)
pt | DereferenceLinks (TOpenDialog)
 | Destroy (TObject)
 | Destroy (TPersistent)
 | Destroy (TComponent)
 | Destroy (TLCLComponent)
 | Destroy (TFileDialog)
 | DestroyComponents (TComponent)
 | Destroying (TComponent)
 | Dispatch (TObject)
 | DispatchStr (TObject)
 | DoCanClose (TCommonDialog)
 | DoCanClose (TFileDialog)
 | DoCanClose (TOpenDialog)
 | DoClose (TCommonDialog)
pt | DoExecute (TCommonDialog)
pt | DoExecute (TOpenDialog)
pt | DoExecute (TLazOpenDialog)
 | DoFolderChange (TOpenDialog)
pt | DoInitialize (TLazOpenDialog)
 | DoSelectionChange (TOpenDialog)
 | DoShow (TCommonDialog)
 | DoTypeChange (TFileDialog)
 | Equals (TObject)
 | Execute (TCommonDialog)
 | ExecuteAction (TComponent)
 | ExtractAllFilterMasks (TFileDialog)
 | FieldAddress (TObject)
 | FindComponent (TComponent)
 | FindMaskInFilter (TFileDialog)
 | FPOAttachObserver (TPersistent)
 | FPODetachObserver (TPersistent)
 | FPONotifyObservers (TPersistent)
 | Free (TObject)
 | FreeInstance (TObject)
 | FreeNotification (TComponent)
 | FreeOnRelease (TComponent)
 | GetChildOwner (TComponent)
 | GetChildParent (TComponent)
 | GetChildren (TComponent)
 | GetComObject (TComponent)
 | GetComponent (TComponent)
 | GetComponentCount (TComponent)
 | GetComponentIndex (TComponent)
 | GetEnumerator (TComponent)
pt | GetFilterIndex (TFileDialog)
 | GetHashCode (TObject)
pt | GetHeight (TCommonDialog)
 | GetIDsOfNames (TComponent)
 | GetInterface (TObject)
 | GetInterfaceByStr (TObject)
 | GetInterfaceEntry (TObject)
 | GetInterfaceEntryByStr (TObject)
 | GetInterfaceTable (TObject)
 | GetInterfaceWeak (TObject)
 | GetNamePath (TPersistent)
 | GetNamePath (TComponent)
 | GetOwner (TPersistent)
 | GetOwner (TComponent)
 | GetParentComponent (TComponent)
 | GetTypeInfo (TComponent)
 | GetTypeInfoCount (TComponent)
pt | GetWidth (TCommonDialog)
pt | GetWSComponentClass (TLCLComponent)
 | HandleAllocated (TCommonDialog)
 | HasParent (TComponent)
 | iicrGetComponent (TComponent)
 | IncLCLRefCount (TLCLComponent)
 | InheritsFrom (TObject)
 | InitInstance (TObject)
 | Insert (TComponent)
 | InsertComponent (TComponent)
 | InstanceSize (TObject)
 | IntfFileTypeChanged (TFileDialog)
 | IntfSetOption (TOpenDialog)
 | Invoke (TComponent)
 | IsImplementorOf (TComponent)
 | Loaded (TComponent)
 | Loading (TComponent)
 | MethodAddress (TObject)
 | MethodName (TObject)
 | newinstance (TObject)
 | NewInstance (TLCLComponent)
 | Notification (TComponent)
 | PaletteCreated (TComponent)
 | QueryInterface (TComponent)
 | ReadLeft (TComponent)
 | ReadState (TComponent)
 | ReadTop (TComponent)
 | ReferenceInterface (TComponent)
 | Remove (TComponent)
 | RemoveAllHandlersOfObject (TLCLComponent)
 | RemoveComponent (TComponent)
 | RemoveFreeNotification (TComponent)
 | RemoveNotification (TComponent)
pt | ResetShowCloseFlags (TCommonDialog)
pt | ResolveLinks (TOpenDialog)
 | SafeCallException (TObject)
 | SafeCallException (TComponent)
 | SetAncestor (TComponent)
 | SetChildOrder (TComponent)
 | SetComponentIndex (TComponent)
 | SetDesigning (TComponent)
 | SetDesignInstance (TComponent)
pt | SetFileName (TFileDialog)
pt | SetFilter (TFileDialog)
pt | SetHeight (TCommonDialog)
pt | SetHistoryList (TFileDialog)
 | SetInline (TComponent)
 | SetName (TComponent)
 | SetParentComponent (TComponent)
 | SetReference (TComponent)
 | SetSubComponent (TComponent)
pt | SetWidth (TCommonDialog)
 | StringMessageTable (TObject)
 | ToString (TObject)
 | UnitName (TObject)
 | UpdateAction (TComponent)
 | Updated (TComponent)
 | UpdateRegistry (TComponent)
 | Updating (TComponent)
 | ValidateContainer (TComponent)
 | ValidateInsert (TComponent)
 | ValidateRename (TComponent)
 | WriteLeft (TComponent)
 | WriteState (TComponent)
 | WriteTop (TComponent)
pt | WSRegisterClass (TLCLComponent)
pt | WSRegisterClass (TCommonDialog)
pt | WSRegisterClass (TFileDialog)
pt | WSRegisterClass (TOpenDialog)
pt | WSRegisterClass (TLazOpenDialog)
 | _AddRef (TComponent)
 | _Release (TComponent)


TLazOpenDialog
TOpenDialog
pl | OnFolderChange
pl | OnSelectionChange
TFileDialog
pl | OnHelpClicked
pl | OnTypeChange
TCommonDialog
pt | OnDialogResult
pl | OnClose
pl | OnCanClose
pl | OnShow
TLCLComponent
TComponent
TPersistent
TObject


TLazOpenDialog.Create

Declaration

Source position: lazdialogs.pas line 57

public constructor TLazOpenDialog.Create(

  TheOwner: TComponent

); override;


TLazOpenDialog.DoExecute

Declaration

Source position: lazdialogs.pas line 54

protected function TLazOpenDialog.DoExecute: Boolean; override;


TLazOpenDialog.DoInitialize

Declaration

Source position: lazdialogs.pas line 55

protected procedure TLazOpenDialog.DoInitialize; virtual;


TLazOpenDialog.FForm

Declaration

Source position: lazdialogs.pas line 52

protected TLazOpenDialog.FForm : TLazarusFileDialogForm;


TLazOpenDialog.WSRegisterClass

Declaration

Source position: lazdialogs.pas line 53

protected class procedure TLazOpenDialog.WSRegisterClass; override;


TLazSaveDialog

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Declaration

Source position: lazdialogs.pas line 62

type TLazSaveDialog = class(TLazOpenDialog)

protected

  procedure DoInitialize; override;

end;

Inheritance

TLazSaveDialog |
|
TLazOpenDialog |
|
TOpenDialog | TOpenDialog : open a file in the current directory, selected by File Dialog.
|
TFileDialog | TFileDialog : allows selection of a file from the current directory.
|
TCommonDialog | TCommonDialog : the base type from which other dialogs are derived
|
TLCLComponent | The base class for LCL components associated with widgets.
|
TComponent,IUnknown,IInterfaceComponentReference
|
TPersistent,IFPObserved
|
TObject


TLazSaveDialog
TLazOpenDialog
TOpenDialog
pl |  | Options
TFileDialog
 | ro | Files
 |  | HistoryList
pl | ro | Title
pl |  | DefaultExt
pl |  | FileName
pl |  | Filter
pl |  | FilterIndex
pl |  | InitialDir
TCommonDialog
pt |  | AttachTo
 |  | Handle
 |  | UserChoice
 |  | Width
 |  | Height
pl |  | HelpContext
pl |  | Title
TLCLComponent
 | ro | LCLRefCount
 | ro | WidgetSetClass
TComponent
 | ro | ComObject
 | ro | Components
 | ro | ComponentCount
 |  | ComponentIndex
 | ro | ComponentState
 | ro | ComponentStyle
 |  | DesignInfo
 | ro | Owner
 |  | VCLComObject
 |  | Name
 |  | Tag
TPersistent
TObject


TLazSaveDialog
pt | DoInitialize
TLazOpenDialog
pt | WSRegisterClass
pt | DoExecute
pt | DoInitialize
 | Create
TOpenDialog
pt | WSRegisterClass
pt | ResolveLinks
pt | DereferenceLinks
pt | CheckFile
pt | CheckFileMustExist
pt | CheckAllFiles
pt | DoExecute
pt | DefaultTitle
 | Create
 | DoCanClose
 | DoFolderChange
 | DoSelectionChange
 | IntfSetOption
TFileDialog
pt | WSRegisterClass
pt | GetFilterIndex
pt | SetFileName
pt | SetFilter
pt | SetHistoryList
 | Create
 | Destroy
 | DoCanClose
 | DoTypeChange
 | IntfFileTypeChanged
 | FindMaskInFilter
 | ExtractAllFilterMasks
TCommonDialog
pt | WSRegisterClass
pt | DoExecute
pt | DefaultTitle
pt | GetHeight
pt | GetWidth
pt | SetHeight
pt | SetWidth
pt | ResetShowCloseFlags
 | Create
 | Execute
 | Close
 | DoShow
 | DoCanClose
 | DoClose
 | HandleAllocated
TLCLComponent
pt | WSRegisterClass
pt | GetWSComponentClass
 | Create
 | Destroy
 | NewInstance
 | RemoveAllHandlersOfObject
 | IncLCLRefCount
 | DecLCLRefCount
TComponent
 | GetComObject
 | GetComponent
 | GetComponentCount
 | GetComponentIndex
 | Insert
 | ReadLeft
 | ReadTop
 | Remove
 | RemoveNotification
 | SetComponentIndex
 | SetReference
 | WriteLeft
 | WriteTop
 | ChangeName
 | DefineProperties
 | GetChildren
 | GetChildOwner
 | GetChildParent
 | GetOwner
 | Loaded
 | Loading
 | Notification
 | PaletteCreated
 | ReadState
 | SetAncestor
 | SetDesigning
 | SetDesignInstance
 | SetInline
 | SetName
 | SetChildOrder
 | SetParentComponent
 | Updating
 | Updated
 | UpdateRegistry
 | ValidateRename
 | ValidateContainer
 | ValidateInsert
 | QueryInterface
 | _AddRef
 | _Release
 | iicrGetComponent
 | GetTypeInfoCount
 | GetTypeInfo
 | GetIDsOfNames
 | Invoke
 | WriteState
 | Create
 | Destroy
 | BeforeDestruction
 | DestroyComponents
 | Destroying
 | ExecuteAction
 | FindComponent
 | FreeNotification
 | RemoveFreeNotification
 | FreeOnRelease
 | GetEnumerator
 | GetNamePath
 | GetParentComponent
 | HasParent
 | InsertComponent
 | RemoveComponent
 | SafeCallException
 | SetSubComponent
 | UpdateAction
 | IsImplementorOf
 | ReferenceInterface
TPersistent
 | AssignError
 | AssignTo
 | DefineProperties
 | GetOwner
 | Destroy
 | Assign
 | FPOAttachObserver
 | FPODetachObserver
 | FPONotifyObservers
 | GetNamePath
TObject
 | Create
 | Destroy
 | newinstance
 | FreeInstance
 | SafeCallException
 | DefaultHandler
 | Free
 | InitInstance
 | CleanupInstance
 | ClassType
 | ClassInfo
 | ClassName
 | ClassNameIs
 | ClassParent
 | InstanceSize
 | InheritsFrom
 | StringMessageTable
 | MethodAddress
 | MethodName
 | FieldAddress
 | AfterConstruction
 | BeforeDestruction
 | DefaultHandlerStr
 | Dispatch
 | DispatchStr
 | GetInterface
 | GetInterfaceByStr
 | GetInterfaceWeak
 | GetInterfaceEntry
 | GetInterfaceEntryByStr
 | GetInterfaceTable
 | UnitName
 | Equals
 | GetHashCode
 | ToString


 | AssignError (TPersistent)
 | AssignTo (TPersistent)
 | BeforeDestruction (TObject)
 | BeforeDestruction (TComponent)
 | ChangeName (TComponent)
pt | CheckAllFiles (TOpenDialog)
pt | CheckFile (TOpenDialog)
pt | CheckFileMustExist (TOpenDialog)
 | ClassInfo (TObject)
 | ClassName (TObject)
 | ClassNameIs (TObject)
 | ClassParent (TObject)
 | ClassType (TObject)
 | CleanupInstance (TObject)
 | Close (TCommonDialog)
 | Create (TObject)
 | Create (TComponent)
 | Create (TLCLComponent)
 | Create (TCommonDialog)
 | Create (TFileDialog)
 | Create (TOpenDialog)
 | Create (TLazOpenDialog)
 | DecLCLRefCount (TLCLComponent)
 | DefaultHandler (TObject)
 | DefaultHandlerStr (TObject)
pt | DefaultTitle (TCommonDialog)
pt | DefaultTitle (TOpenDialog)
 | DefineProperties (TPersistent)
 | DefineProperties (TComponent)
pt | DereferenceLinks (TOpenDialog)
 | Destroy (TObject)
 | Destroy (TPersistent)
 | Destroy (TComponent)
 | Destroy (TLCLComponent)
 | Destroy (TFileDialog)
 | DestroyComponents (TComponent)
 | Destroying (TComponent)
 | Dispatch (TObject)
 | DispatchStr (TObject)
 | DoCanClose (TCommonDialog)
 | DoCanClose (TFileDialog)
 | DoCanClose (TOpenDialog)
 | DoClose (TCommonDialog)
pt | DoExecute (TCommonDialog)
pt | DoExecute (TOpenDialog)
pt | DoExecute (TLazOpenDialog)
 | DoFolderChange (TOpenDialog)
pt | DoInitialize (TLazOpenDialog)
pt | DoInitialize (TLazSaveDialog)
 | DoSelectionChange (TOpenDialog)
 | DoShow (TCommonDialog)
 | DoTypeChange (TFileDialog)
 | Equals (TObject)
 | Execute (TCommonDialog)
 | ExecuteAction (TComponent)
 | ExtractAllFilterMasks (TFileDialog)
 | FieldAddress (TObject)
 | FindComponent (TComponent)
 | FindMaskInFilter (TFileDialog)
 | FPOAttachObserver (TPersistent)
 | FPODetachObserver (TPersistent)
 | FPONotifyObservers (TPersistent)
 | Free (TObject)
 | FreeInstance (TObject)
 | FreeNotification (TComponent)
 | FreeOnRelease (TComponent)
 | GetChildOwner (TComponent)
 | GetChildParent (TComponent)
 | GetChildren (TComponent)
 | GetComObject (TComponent)
 | GetComponent (TComponent)
 | GetComponentCount (TComponent)
 | GetComponentIndex (TComponent)
 | GetEnumerator (TComponent)
pt | GetFilterIndex (TFileDialog)
 | GetHashCode (TObject)
pt | GetHeight (TCommonDialog)
 | GetIDsOfNames (TComponent)
 | GetInterface (TObject)
 | GetInterfaceByStr (TObject)
 | GetInterfaceEntry (TObject)
 | GetInterfaceEntryByStr (TObject)
 | GetInterfaceTable (TObject)
 | GetInterfaceWeak (TObject)
 | GetNamePath (TPersistent)
 | GetNamePath (TComponent)
 | GetOwner (TPersistent)
 | GetOwner (TComponent)
 | GetParentComponent (TComponent)
 | GetTypeInfo (TComponent)
 | GetTypeInfoCount (TComponent)
pt | GetWidth (TCommonDialog)
pt | GetWSComponentClass (TLCLComponent)
 | HandleAllocated (TCommonDialog)
 | HasParent (TComponent)
 | iicrGetComponent (TComponent)
 | IncLCLRefCount (TLCLComponent)
 | InheritsFrom (TObject)
 | InitInstance (TObject)
 | Insert (TComponent)
 | InsertComponent (TComponent)
 | InstanceSize (TObject)
 | IntfFileTypeChanged (TFileDialog)
 | IntfSetOption (TOpenDialog)
 | Invoke (TComponent)
 | IsImplementorOf (TComponent)
 | Loaded (TComponent)
 | Loading (TComponent)
 | MethodAddress (TObject)
 | MethodName (TObject)
 | newinstance (TObject)
 | NewInstance (TLCLComponent)
 | Notification (TComponent)
 | PaletteCreated (TComponent)
 | QueryInterface (TComponent)
 | ReadLeft (TComponent)
 | ReadState (TComponent)
 | ReadTop (TComponent)
 | ReferenceInterface (TComponent)
 | Remove (TComponent)
 | RemoveAllHandlersOfObject (TLCLComponent)
 | RemoveComponent (TComponent)
 | RemoveFreeNotification (TComponent)
 | RemoveNotification (TComponent)
pt | ResetShowCloseFlags (TCommonDialog)
pt | ResolveLinks (TOpenDialog)
 | SafeCallException (TObject)
 | SafeCallException (TComponent)
 | SetAncestor (TComponent)
 | SetChildOrder (TComponent)
 | SetComponentIndex (TComponent)
 | SetDesigning (TComponent)
 | SetDesignInstance (TComponent)
pt | SetFileName (TFileDialog)
pt | SetFilter (TFileDialog)
pt | SetHeight (TCommonDialog)
pt | SetHistoryList (TFileDialog)
 | SetInline (TComponent)
 | SetName (TComponent)
 | SetParentComponent (TComponent)
 | SetReference (TComponent)
 | SetSubComponent (TComponent)
pt | SetWidth (TCommonDialog)
 | StringMessageTable (TObject)
 | ToString (TObject)
 | UnitName (TObject)
 | UpdateAction (TComponent)
 | Updated (TComponent)
 | UpdateRegistry (TComponent)
 | Updating (TComponent)
 | ValidateContainer (TComponent)
 | ValidateInsert (TComponent)
 | ValidateRename (TComponent)
 | WriteLeft (TComponent)
 | WriteState (TComponent)
 | WriteTop (TComponent)
pt | WSRegisterClass (TLCLComponent)
pt | WSRegisterClass (TCommonDialog)
pt | WSRegisterClass (TFileDialog)
pt | WSRegisterClass (TOpenDialog)
pt | WSRegisterClass (TLazOpenDialog)
 | _AddRef (TComponent)
 | _Release (TComponent)


TLazSaveDialog
TLazOpenDialog
TOpenDialog
pl | OnFolderChange
pl | OnSelectionChange
TFileDialog
pl | OnHelpClicked
pl | OnTypeChange
TCommonDialog
pt | OnDialogResult
pl | OnClose
pl | OnCanClose
pl | OnShow
TLCLComponent
TComponent
TPersistent
TObject


TLazSaveDialog.DoInitialize

Declaration

Source position: lazdialogs.pas line 64

protected procedure TLazSaveDialog.DoInitialize; override;


TLazSelectDirectoryDialog

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Declaration

Source position: lazdialogs.pas line 69

type TLazSelectDirectoryDialog = class(TLazOpenDialog)

protected

  procedure DoInitialize; override;

end;

Inheritance

TLazSelectDirectoryDialog |
|
TLazOpenDialog |
|
TOpenDialog | TOpenDialog : open a file in the current directory, selected by File Dialog.
|
TFileDialog | TFileDialog : allows selection of a file from the current directory.
|
TCommonDialog | TCommonDialog : the base type from which other dialogs are derived
|
TLCLComponent | The base class for LCL components associated with widgets.
|
TComponent,IUnknown,IInterfaceComponentReference
|
TPersistent,IFPObserved
|
TObject


TLazSelectDirectoryDialog
TLazOpenDialog
TOpenDialog
pl |  | Options
TFileDialog
 | ro | Files
 |  | HistoryList
pl | ro | Title
pl |  | DefaultExt
pl |  | FileName
pl |  | Filter
pl |  | FilterIndex
pl |  | InitialDir
TCommonDialog
pt |  | AttachTo
 |  | Handle
 |  | UserChoice
 |  | Width
 |  | Height
pl |  | HelpContext
pl |  | Title
TLCLComponent
 | ro | LCLRefCount
 | ro | WidgetSetClass
TComponent
 | ro | ComObject
 | ro | Components
 | ro | ComponentCount
 |  | ComponentIndex
 | ro | ComponentState
 | ro | ComponentStyle
 |  | DesignInfo
 | ro | Owner
 |  | VCLComObject
 |  | Name
 |  | Tag
TPersistent
TObject


TLazSelectDirectoryDialog
pt | DoInitialize
TLazOpenDialog
pt | WSRegisterClass
pt | DoExecute
pt | DoInitialize
 | Create
TOpenDialog
pt | WSRegisterClass
pt | ResolveLinks
pt | DereferenceLinks
pt | CheckFile
pt | CheckFileMustExist
pt | CheckAllFiles
pt | DoExecute
pt | DefaultTitle
 | Create
 | DoCanClose
 | DoFolderChange
 | DoSelectionChange
 | IntfSetOption
TFileDialog
pt | WSRegisterClass
pt | GetFilterIndex
pt | SetFileName
pt | SetFilter
pt | SetHistoryList
 | Create
 | Destroy
 | DoCanClose
 | DoTypeChange
 | IntfFileTypeChanged
 | FindMaskInFilter
 | ExtractAllFilterMasks
TCommonDialog
pt | WSRegisterClass
pt | DoExecute
pt | DefaultTitle
pt | GetHeight
pt | GetWidth
pt | SetHeight
pt | SetWidth
pt | ResetShowCloseFlags
 | Create
 | Execute
 | Close
 | DoShow
 | DoCanClose
 | DoClose
 | HandleAllocated
TLCLComponent
pt | WSRegisterClass
pt | GetWSComponentClass
 | Create
 | Destroy
 | NewInstance
 | RemoveAllHandlersOfObject
 | IncLCLRefCount
 | DecLCLRefCount
TComponent
 | GetComObject
 | GetComponent
 | GetComponentCount
 | GetComponentIndex
 | Insert
 | ReadLeft
 | ReadTop
 | Remove
 | RemoveNotification
 | SetComponentIndex
 | SetReference
 | WriteLeft
 | WriteTop
 | ChangeName
 | DefineProperties
 | GetChildren
 | GetChildOwner
 | GetChildParent
 | GetOwner
 | Loaded
 | Loading
 | Notification
 | PaletteCreated
 | ReadState
 | SetAncestor
 | SetDesigning
 | SetDesignInstance
 | SetInline
 | SetName
 | SetChildOrder
 | SetParentComponent
 | Updating
 | Updated
 | UpdateRegistry
 | ValidateRename
 | ValidateContainer
 | ValidateInsert
 | QueryInterface
 | _AddRef
 | _Release
 | iicrGetComponent
 | GetTypeInfoCount
 | GetTypeInfo
 | GetIDsOfNames
 | Invoke
 | WriteState
 | Create
 | Destroy
 | BeforeDestruction
 | DestroyComponents
 | Destroying
 | ExecuteAction
 | FindComponent
 | FreeNotification
 | RemoveFreeNotification
 | FreeOnRelease
 | GetEnumerator
 | GetNamePath
 | GetParentComponent
 | HasParent
 | InsertComponent
 | RemoveComponent
 | SafeCallException
 | SetSubComponent
 | UpdateAction
 | IsImplementorOf
 | ReferenceInterface
TPersistent
 | AssignError
 | AssignTo
 | DefineProperties
 | GetOwner
 | Destroy
 | Assign
 | FPOAttachObserver
 | FPODetachObserver
 | FPONotifyObservers
 | GetNamePath
TObject
 | Create
 | Destroy
 | newinstance
 | FreeInstance
 | SafeCallException
 | DefaultHandler
 | Free
 | InitInstance
 | CleanupInstance
 | ClassType
 | ClassInfo
 | ClassName
 | ClassNameIs
 | ClassParent
 | InstanceSize
 | InheritsFrom
 | StringMessageTable
 | MethodAddress
 | MethodName
 | FieldAddress
 | AfterConstruction
 | BeforeDestruction
 | DefaultHandlerStr
 | Dispatch
 | DispatchStr
 | GetInterface
 | GetInterfaceByStr
 | GetInterfaceWeak
 | GetInterfaceEntry
 | GetInterfaceEntryByStr
 | GetInterfaceTable
 | UnitName
 | Equals
 | GetHashCode
 | ToString


 | AssignError (TPersistent)
 | AssignTo (TPersistent)
 | BeforeDestruction (TObject)
 | BeforeDestruction (TComponent)
 | ChangeName (TComponent)
pt | CheckAllFiles (TOpenDialog)
pt | CheckFile (TOpenDialog)
pt | CheckFileMustExist (TOpenDialog)
 | ClassInfo (TObject)
 | ClassName (TObject)
 | ClassNameIs (TObject)
 | ClassParent (TObject)
 | ClassType (TObject)
 | CleanupInstance (TObject)
 | Close (TCommonDialog)
 | Create (TObject)
 | Create (TComponent)
 | Create (TLCLComponent)
 | Create (TCommonDialog)
 | Create (TFileDialog)
 | Create (TOpenDialog)
 | Create (TLazOpenDialog)
 | DecLCLRefCount (TLCLComponent)
 | DefaultHandler (TObject)
 | DefaultHandlerStr (TObject)
pt | DefaultTitle (TCommonDialog)
pt | DefaultTitle (TOpenDialog)
 | DefineProperties (TPersistent)
 | DefineProperties (TComponent)
pt | DereferenceLinks (TOpenDialog)
 | Destroy (TObject)
 | Destroy (TPersistent)
 | Destroy (TComponent)
 | Destroy (TLCLComponent)
 | Destroy (TFileDialog)
 | DestroyComponents (TComponent)
 | Destroying (TComponent)
 | Dispatch (TObject)
 | DispatchStr (TObject)
 | DoCanClose (TCommonDialog)
 | DoCanClose (TFileDialog)
 | DoCanClose (TOpenDialog)
 | DoClose (TCommonDialog)
pt | DoExecute (TCommonDialog)
pt | DoExecute (TOpenDialog)
pt | DoExecute (TLazOpenDialog)
 | DoFolderChange (TOpenDialog)
pt | DoInitialize (TLazOpenDialog)
pt | DoInitialize (TLazSelectDirectoryDialog)
 | DoSelectionChange (TOpenDialog)
 | DoShow (TCommonDialog)
 | DoTypeChange (TFileDialog)
 | Equals (TObject)
 | Execute (TCommonDialog)
 | ExecuteAction (TComponent)
 | ExtractAllFilterMasks (TFileDialog)
 | FieldAddress (TObject)
 | FindComponent (TComponent)
 | FindMaskInFilter (TFileDialog)
 | FPOAttachObserver (TPersistent)
 | FPODetachObserver (TPersistent)
 | FPONotifyObservers (TPersistent)
 | Free (TObject)
 | FreeInstance (TObject)
 | FreeNotification (TComponent)
 | FreeOnRelease (TComponent)
 | GetChildOwner (TComponent)
 | GetChildParent (TComponent)
 | GetChildren (TComponent)
 | GetComObject (TComponent)
 | GetComponent (TComponent)
 | GetComponentCount (TComponent)
 | GetComponentIndex (TComponent)
 | GetEnumerator (TComponent)
pt | GetFilterIndex (TFileDialog)
 | GetHashCode (TObject)
pt | GetHeight (TCommonDialog)
 | GetIDsOfNames (TComponent)
 | GetInterface (TObject)
 | GetInterfaceByStr (TObject)
 | GetInterfaceEntry (TObject)
 | GetInterfaceEntryByStr (TObject)
 | GetInterfaceTable (TObject)
 | GetInterfaceWeak (TObject)
 | GetNamePath (TPersistent)
 | GetNamePath (TComponent)
 | GetOwner (TPersistent)
 | GetOwner (TComponent)
 | GetParentComponent (TComponent)
 | GetTypeInfo (TComponent)
 | GetTypeInfoCount (TComponent)
pt | GetWidth (TCommonDialog)
pt | GetWSComponentClass (TLCLComponent)
 | HandleAllocated (TCommonDialog)
 | HasParent (TComponent)
 | iicrGetComponent (TComponent)
 | IncLCLRefCount (TLCLComponent)
 | InheritsFrom (TObject)
 | InitInstance (TObject)
 | Insert (TComponent)
 | InsertComponent (TComponent)
 | InstanceSize (TObject)
 | IntfFileTypeChanged (TFileDialog)
 | IntfSetOption (TOpenDialog)
 | Invoke (TComponent)
 | IsImplementorOf (TComponent)
 | Loaded (TComponent)
 | Loading (TComponent)
 | MethodAddress (TObject)
 | MethodName (TObject)
 | newinstance (TObject)
 | NewInstance (TLCLComponent)
 | Notification (TComponent)
 | PaletteCreated (TComponent)
 | QueryInterface (TComponent)
 | ReadLeft (TComponent)
 | ReadState (TComponent)
 | ReadTop (TComponent)
 | ReferenceInterface (TComponent)
 | Remove (TComponent)
 | RemoveAllHandlersOfObject (TLCLComponent)
 | RemoveComponent (TComponent)
 | RemoveFreeNotification (TComponent)
 | RemoveNotification (TComponent)
pt | ResetShowCloseFlags (TCommonDialog)
pt | ResolveLinks (TOpenDialog)
 | SafeCallException (TObject)
 | SafeCallException (TComponent)
 | SetAncestor (TComponent)
 | SetChildOrder (TComponent)
 | SetComponentIndex (TComponent)
 | SetDesigning (TComponent)
 | SetDesignInstance (TComponent)
pt | SetFileName (TFileDialog)
pt | SetFilter (TFileDialog)
pt | SetHeight (TCommonDialog)
pt | SetHistoryList (TFileDialog)
 | SetInline (TComponent)
 | SetName (TComponent)
 | SetParentComponent (TComponent)
 | SetReference (TComponent)
 | SetSubComponent (TComponent)
pt | SetWidth (TCommonDialog)
 | StringMessageTable (TObject)
 | ToString (TObject)
 | UnitName (TObject)
 | UpdateAction (TComponent)
 | Updated (TComponent)
 | UpdateRegistry (TComponent)
 | Updating (TComponent)
 | ValidateContainer (TComponent)
 | ValidateInsert (TComponent)
 | ValidateRename (TComponent)
 | WriteLeft (TComponent)
 | WriteState (TComponent)
 | WriteTop (TComponent)
pt | WSRegisterClass (TLCLComponent)
pt | WSRegisterClass (TCommonDialog)
pt | WSRegisterClass (TFileDialog)
pt | WSRegisterClass (TOpenDialog)
pt | WSRegisterClass (TLazOpenDialog)
 | _AddRef (TComponent)
 | _Release (TComponent)


TLazSelectDirectoryDialog
TLazOpenDialog
TOpenDialog
pl | OnFolderChange
pl | OnSelectionChange
TFileDialog
pl | OnHelpClicked
pl | OnTypeChange
TCommonDialog
pt | OnDialogResult
pl | OnClose
pl | OnCanClose
pl | OnShow
TLCLComponent
TComponent
TPersistent
TObject


TLazSelectDirectoryDialog.DoInitialize

Declaration

Source position: lazdialogs.pas line 71

protected procedure TLazSelectDirectoryDialog.DoInitialize; override;


TIntfFreeTypeDrawer

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Declaration

Source position: lazfreetypeintfdrawer.pas line 21

type TIntfFreeTypeDrawer = class(TFreeTypeDrawer)

protected

  procedure RenderDirectly();

  procedure RenderDirectlyClearType();

  procedure InternalMergeColorOver();

  procedure MergeColorOver();

  procedure DrawPixelAt();

  procedure ClearTypePixelAt();

  function UnclippedGetPixelAddress();

  function ClippedGetPixelAddress();

public

  ClearTypeRGBOrder: Boolean;

  constructor Create();

  procedure ClippedDrawPixel();

  procedure UnclippedDrawPixel();

  procedure ClippedClearTypePixel();

  procedure UnclippedClearTypePixel();

  procedure DrawVertLine();

  procedure SetHorizLine();

  procedure DrawHorizLine();

  procedure FillRect();

  procedure FillPixels();

  procedure DrawText(); override; overload;

  procedure DrawGlyph(); override; overload;

  property Destination: TLazIntfImage; [rw]

  destructor Destroy; override;

end;

Inheritance

TIntfFreeTypeDrawer

|

TFreeTypeDrawer
|

TObject


TIntfFreeTypeDrawer

Destination

TFreeTypeDrawer

TObject


TIntfFreeTypeDrawer
pt | RenderDirectly
pt | RenderDirectlyClearType
pt | InternalMergeColorOver
pt | MergeColorOver
pt | DrawPixelAt
pt | ClearTypePixelAt
pt | UnclippedGetPixelAddress
pt | ClippedGetPixelAddress
 | Create
 | ClippedDrawPixel
 | UnclippedDrawPixel
 | ClippedClearTypePixel
 | UnclippedClearTypePixel
 | DrawVertLine
 | SetHorizLine
 | DrawHorizLine
 | FillRect
 | FillPixels
 | DrawText
 | DrawGlyph
 | Destroy
TFreeTypeDrawer
 | DrawText
 | DrawTextWordBreak
 | DrawTextRect
 | DrawGlyph
TObject
 | Create
 | Destroy
 | newinstance
 | FreeInstance
 | SafeCallException
 | DefaultHandler
 | Free
 | InitInstance
 | CleanupInstance
 | ClassType
 | ClassInfo
 | ClassName
 | ClassNameIs
 | ClassParent
 | InstanceSize
 | InheritsFrom
 | StringMessageTable
 | MethodAddress
 | MethodName
 | FieldAddress
 | AfterConstruction
 | BeforeDestruction
 | DefaultHandlerStr
 | Dispatch
 | DispatchStr
 | GetInterface
 | GetInterfaceByStr
 | GetInterfaceWeak
 | GetInterfaceEntry
 | GetInterfaceEntryByStr
 | GetInterfaceTable
 | UnitName
 | Equals
 | GetHashCode
 | ToString


 | AfterConstruction (TObject)
 | BeforeDestruction (TObject)
 | ClassInfo (TObject)
 | ClassName (TObject)
 | ClassNameIs (TObject)
 | ClassParent (TObject)
 | ClassType (TObject)
 | CleanupInstance (TObject)
pt | ClearTypePixelAt (TIntfFreeTypeDrawer)
 | ClippedClearTypePixel (TIntfFreeTypeDrawer)
 | ClippedDrawPixel (TIntfFreeTypeDrawer)
pt | ClippedGetPixelAddress (TIntfFreeTypeDrawer)
 | Create (TObject)
 | Create (TIntfFreeTypeDrawer)
 | DefaultHandler (TObject)
 | DefaultHandlerStr (TObject)
 | Destroy (TObject)
 | Destroy (TIntfFreeTypeDrawer)
 | Dispatch (TObject)
 | DispatchStr (TObject)
 | DrawGlyph (TFreeTypeDrawer)
 | DrawGlyph (TIntfFreeTypeDrawer)
 | DrawHorizLine (TIntfFreeTypeDrawer)
pt | DrawPixelAt (TIntfFreeTypeDrawer)
 | DrawText (TFreeTypeDrawer)
 | DrawText (TIntfFreeTypeDrawer)
 | DrawTextRect (TFreeTypeDrawer)
 | DrawTextWordBreak (TFreeTypeDrawer)
 | DrawVertLine (TIntfFreeTypeDrawer)
 | Equals (TObject)
 | FieldAddress (TObject)
 | FillPixels (TIntfFreeTypeDrawer)
 | FillRect (TIntfFreeTypeDrawer)
 | Free (TObject)
 | FreeInstance (TObject)
 | GetHashCode (TObject)
 | GetInterface (TObject)
 | GetInterfaceByStr (TObject)
 | GetInterfaceEntry (TObject)
 | GetInterfaceEntryByStr (TObject)
 | GetInterfaceTable (TObject)
 | GetInterfaceWeak (TObject)
 | InheritsFrom (TObject)
 | InitInstance (TObject)
 | InstanceSize (TObject)
pt | InternalMergeColorOver (TIntfFreeTypeDrawer)
pt | MergeColorOver (TIntfFreeTypeDrawer)
 | MethodAddress (TObject)
 | MethodName (TObject)
 | newinstance (TObject)
pt | RenderDirectly (TIntfFreeTypeDrawer)
pt | RenderDirectlyClearType (TIntfFreeTypeDrawer)
 | SafeCallException (TObject)
 | SetHorizLine (TIntfFreeTypeDrawer)
 | StringMessageTable (TObject)
 | ToString (TObject)
 | UnclippedClearTypePixel (TIntfFreeTypeDrawer)
 | UnclippedDrawPixel (TIntfFreeTypeDrawer)
pt | UnclippedGetPixelAddress (TIntfFreeTypeDrawer)
 | UnitName (TObject)


TIntfFreeTypeDrawer

TFreeTypeDrawer

TObject


TIntfFreeTypeDrawer.ClearTypePixelAt

Declaration

Source position: lazfreetypeintfdrawer.pas line 39

protected procedure TIntfFreeTypeDrawer.ClearTypePixelAt(

  p: pointer;

  Cr: Byte;

  Cg: Byte;

  Cb: Byte;

  const Color: TFPColor

);


TIntfFreeTypeDrawer.ClearTypeRGBOrder

Declaration

Source position: lazfreetypeintfdrawer.pas line 43

public TIntfFreeTypeDrawer.ClearTypeRGBOrder : Boolean;


TIntfFreeTypeDrawer.ClippedClearTypePixel

Declaration

Source position: lazfreetypeintfdrawer.pas line 47

public procedure TIntfFreeTypeDrawer.ClippedClearTypePixel(

  x: Integer;

  y: Integer;

  Cr: Byte;

  Cg: Byte;

  Cb: Byte;

  const Color: TFPColor

);


TIntfFreeTypeDrawer.ClippedDrawPixel

Declaration

Source position: lazfreetypeintfdrawer.pas line 45

public procedure TIntfFreeTypeDrawer.ClippedDrawPixel(

  x: Integer;

  y: Integer;

  const c: TFPColor

);


TIntfFreeTypeDrawer.ClippedGetPixelAddress

Declaration

Source position: lazfreetypeintfdrawer.pas line 41

protected function TIntfFreeTypeDrawer.ClippedGetPixelAddress(

  x: Integer;

  y: Integer

):pointer;


TIntfFreeTypeDrawer.Create

Declaration

Source position: lazfreetypeintfdrawer.pas line 44

public constructor TIntfFreeTypeDrawer.Create(

  ADestination: TLazIntfImage

);


TIntfFreeTypeDrawer.Destination

Declaration

Source position: lazfreetypeintfdrawer.pas line 56

public property TIntfFreeTypeDrawer.Destination : TLazIntfImage
  read FDestination
  write SetDestination;


TIntfFreeTypeDrawer.Destroy

Declaration

Source position: lazfreetypeintfdrawer.pas line 57

public destructor TIntfFreeTypeDrawer.Destroy; override;


TIntfFreeTypeDrawer.DrawGlyph

Declaration

Source position: lazfreetypeintfdrawer.pas line 55

public procedure TIntfFreeTypeDrawer.DrawGlyph(

  AGlyph: Integer;

  AFont: TFreeTypeRenderableFont;

  x: single;

  y: single;

  AColor: TFPColor

); override; overload;


TIntfFreeTypeDrawer.DrawHorizLine

Declaration

Source position: lazfreetypeintfdrawer.pas line 51

public procedure TIntfFreeTypeDrawer.DrawHorizLine(

  x1: Integer;

  y: Integer;

  x2: Integer;

  const c: TFPColor

);


TIntfFreeTypeDrawer.DrawPixelAt

Declaration

Source position: lazfreetypeintfdrawer.pas line 37

protected procedure TIntfFreeTypeDrawer.DrawPixelAt(

  p: pointer;

  const c: TFPColor

);

procedure TIntfFreeTypeDrawer.DrawPixelAt(

  p: pointer;

  const c: TFPColor;

  applyOpacity: Byte

);


TIntfFreeTypeDrawer.DrawText

Declaration

Source position: lazfreetypeintfdrawer.pas line 54

public procedure TIntfFreeTypeDrawer.DrawText(

  AText: string;

  AFont: TFreeTypeRenderableFont;

  x: single;

  y: single;

  AColor: TFPColor

); override; overload;


TIntfFreeTypeDrawer.DrawVertLine

Declaration

Source position: lazfreetypeintfdrawer.pas line 49

public procedure TIntfFreeTypeDrawer.DrawVertLine(

  x: Integer;

  y1: Integer;

  y2: Integer;

  const c: TFPColor

);


TIntfFreeTypeDrawer.FillPixels

Declaration

Source position: lazfreetypeintfdrawer.pas line 53

public procedure TIntfFreeTypeDrawer.FillPixels(

  const c: TFPColor;

  ASetPixels: Boolean = True

);


TIntfFreeTypeDrawer.FillRect

Declaration

Source position: lazfreetypeintfdrawer.pas line 52

public procedure TIntfFreeTypeDrawer.FillRect(

  x: Integer;

  y: Integer;

  x2: Integer;

  y2: Integer;

  const c: TFPColor;

  ASetPixels: Boolean = True

);


TIntfFreeTypeDrawer.InternalMergeColorOver

Declaration

Source position: lazfreetypeintfdrawer.pas line 34

protected procedure TIntfFreeTypeDrawer.InternalMergeColorOver(

  var merge: TFPColor;

  const c: TFPColor;

  calpha: Word

);


TIntfFreeTypeDrawer.MergeColorOver

Declaration

Source position: lazfreetypeintfdrawer.pas line 35

protected procedure TIntfFreeTypeDrawer.MergeColorOver(

  var merge: TFPColor;

  const c: TFPColor

);

procedure TIntfFreeTypeDrawer.MergeColorOver(

  var merge: TFPColor;

  const c: TFPColor;

  ApplyOpacity: Byte

);


TIntfFreeTypeDrawer.RenderDirectly

Declaration

Source position: lazfreetypeintfdrawer.pas line 32

protected procedure TIntfFreeTypeDrawer.RenderDirectly(

  x: Integer;

  y: Integer;

  tx: Integer;

  data: pointer

);


TIntfFreeTypeDrawer.RenderDirectlyClearType

Declaration

Source position: lazfreetypeintfdrawer.pas line 33

protected procedure TIntfFreeTypeDrawer.RenderDirectlyClearType(

  x: Integer;

  y: Integer;

  tx: Integer;

  data: pointer

);


TIntfFreeTypeDrawer.SetHorizLine

Declaration

Source position: lazfreetypeintfdrawer.pas line 50

public procedure TIntfFreeTypeDrawer.SetHorizLine(

  x1: Integer;

  y: Integer;

  x2: Integer;

  const c: TFPColor

);


TIntfFreeTypeDrawer.UnclippedClearTypePixel

Declaration

Source position: lazfreetypeintfdrawer.pas line 48

public procedure TIntfFreeTypeDrawer.UnclippedClearTypePixel(

  x: Integer;

  y: Integer;

  Cr: Byte;

  Cg: Byte;

  Cb: Byte;

  const Color: TFPColor

);


TIntfFreeTypeDrawer.UnclippedDrawPixel

Declaration

Source position: lazfreetypeintfdrawer.pas line 46

public procedure TIntfFreeTypeDrawer.UnclippedDrawPixel(

  x: Integer;

  y: Integer;

  const c: TFPColor

);


TIntfFreeTypeDrawer.UnclippedGetPixelAddress

Declaration

Source position: lazfreetypeintfdrawer.pas line 40

protected function TIntfFreeTypeDrawer.UnclippedGetPixelAddress(

  x: Integer;

  y: Integer

):pointer;


THTMLBrowserHelpViewer

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Declaration

Source position: lazhelphtml.pas line 90

type THTMLBrowserHelpViewer = class(THelpViewer)

public

  constructor Create(); override;

  function ShowNode(); override;

  procedure FindDefaultBrowser(); virtual;

  procedure Assign(); override;

  procedure Load(); override;

  procedure Save(); override;

  function GetLocalizedName; override;

  property OnFindDefaultBrowser: TOnFindDefaultBrowser; [rw]

published

  property BrowserPath: string; [rw]

  property BrowserParams: string; [rw]

  property AutoRegister: Boolean;

end;

Inheritance

THTMLBrowserHelpViewer

|

THelpViewer

|

TComponent,IUnknown,IInterfaceComponentReference
|

TPersistent,IFPObserved
|

TObject


THTMLBrowserHelpViewer
pl |  | BrowserPath
pl |  | BrowserParams
pl | ro | AutoRegister
THelpViewer
 | ro | SupportedMimeTypes
 |  | ParameterHelp
 |  | StorageName
 |  | AutoRegister
TComponent
 | ro | ComObject
 | ro | Components
 | ro | ComponentCount
 |  | ComponentIndex
 | ro | ComponentState
 | ro | ComponentStyle
 |  | DesignInfo
 | ro | Owner
 |  | VCLComObject
 |  | Name
 |  | Tag
TPersistent
TObject


pl | ro | AutoRegister (THTMLBrowserHelpViewer)
pl |  | BrowserParams (THTMLBrowserHelpViewer)
pl |  | BrowserPath (THTMLBrowserHelpViewer)
 | ro | ComObject (TComponent)
 | ro | ComponentCount (TComponent)
 |  | ComponentIndex (TComponent)
 | ro | Components (TComponent)
 | ro | ComponentState (TComponent)
 | ro | ComponentStyle (TComponent)
 |  | DesignInfo (TComponent)
 |  | Name (TComponent)
 | ro | Owner (TComponent)
 |  | ParameterHelp (THelpViewer)
 |  | StorageName (THelpViewer)
 | ro | SupportedMimeTypes (THelpViewer)
 |  | Tag (TComponent)
 |  | VCLComObject (TComponent)


THTMLBrowserHelpViewer
 | Create
 | ShowNode
 | FindDefaultBrowser
 | Assign
 | Load
 | Save
 | GetLocalizedName
THelpViewer
pt | SetSupportedMimeTypes
pt | AddSupportedMimeType
 | Create
 | Destroy
 | SupportsTableOfContents
 | ShowTableOfContents
 | SupportsMimeType
 | ShowNode
 | Hide
 | Assign
 | Load
 | Save
 | GetLocalizedName
 | RegisterSelf
 | UnregisterSelf
TComponent
 | GetComObject
 | GetComponent
 | GetComponentCount
 | GetComponentIndex
 | Insert
 | ReadLeft
 | ReadTop
 | Remove
 | RemoveNotification
 | SetComponentIndex
 | SetReference
 | WriteLeft
 | WriteTop
 | ChangeName
 | DefineProperties
 | GetChildren
 | GetChildOwner
 | GetChildParent
 | GetOwner
 | Loaded
 | Loading
 | Notification
 | PaletteCreated
 | ReadState
 | SetAncestor
 | SetDesigning
 | SetDesignInstance
 | SetInline
 | SetName
 | SetChildOrder
 | SetParentComponent
 | Updating
 | Updated
 | UpdateRegistry
 | ValidateRename
 | ValidateContainer
 | ValidateInsert
 | QueryInterface
 | _AddRef
 | _Release
 | iicrGetComponent
 | GetTypeInfoCount
 | GetTypeInfo
 | GetIDsOfNames
 | Invoke
 | WriteState
 | Create
 | Destroy
 | BeforeDestruction
 | DestroyComponents
 | Destroying
 | ExecuteAction
 | FindComponent
 | FreeNotification
 | RemoveFreeNotification
 | FreeOnRelease
 | GetEnumerator
 | GetNamePath
 | GetParentComponent
 | HasParent
 | InsertComponent
 | RemoveComponent
 | SafeCallException
 | SetSubComponent
 | UpdateAction
 | IsImplementorOf
 | ReferenceInterface
TPersistent
 | AssignError
 | AssignTo
 | DefineProperties
 | GetOwner
 | Destroy
 | Assign
 | FPOAttachObserver
 | FPODetachObserver
 | FPONotifyObservers
 | GetNamePath
TObject
 | Create
 | Destroy
 | newinstance
 | FreeInstance
 | SafeCallException
 | DefaultHandler
 | Free
 | InitInstance
 | CleanupInstance
 | ClassType
 | ClassInfo
 | ClassName
 | ClassNameIs
 | ClassParent
 | InstanceSize
 | InheritsFrom
 | StringMessageTable
 | MethodAddress
 | MethodName
 | FieldAddress
 | AfterConstruction
 | BeforeDestruction
 | DefaultHandlerStr
 | Dispatch
 | DispatchStr
 | GetInterface
 | GetInterfaceByStr
 | GetInterfaceWeak
 | GetInterfaceEntry
 | GetInterfaceEntryByStr
 | GetInterfaceTable
 | UnitName
 | Equals
 | GetHashCode
 | ToString


pt | AddSupportedMimeType (THelpViewer)
 | AfterConstruction (TObject)
 | Assign (TPersistent)
 | Assign (THelpViewer)
 | Assign (THTMLBrowserHelpViewer)
 | AssignError (TPersistent)
 | AssignTo (TPersistent)
 | BeforeDestruction (TObject)
 | BeforeDestruction (TComponent)
 | ChangeName (TComponent)
 | ClassInfo (TObject)
 | ClassName (TObject)
 | ClassNameIs (TObject)
 | ClassParent (TObject)
 | ClassType (TObject)
 | CleanupInstance (TObject)
 | Create (TObject)
 | Create (TComponent)
 | Create (THelpViewer)
 | Create (THTMLBrowserHelpViewer)
 | DefaultHandler (TObject)
 | DefaultHandlerStr (TObject)
 | DefineProperties (TPersistent)
 | DefineProperties (TComponent)
 | Destroy (TObject)
 | Destroy (TPersistent)
 | Destroy (TComponent)
 | Destroy (THelpViewer)
 | DestroyComponents (TComponent)
 | Destroying (TComponent)
 | Dispatch (TObject)
 | DispatchStr (TObject)
 | Equals (TObject)
 | ExecuteAction (TComponent)
 | FieldAddress (TObject)
 | FindComponent (TComponent)
 | FindDefaultBrowser (THTMLBrowserHelpViewer)
 | FPOAttachObserver (TPersistent)
 | FPODetachObserver (TPersistent)
 | FPONotifyObservers (TPersistent)
 | Free (TObject)
 | FreeInstance (TObject)
 | FreeNotification (TComponent)
 | FreeOnRelease (TComponent)
 | GetChildOwner (TComponent)
 | GetChildParent (TComponent)
 | GetChildren (TComponent)
 | GetComObject (TComponent)
 | GetComponent (TComponent)
 | GetComponentCount (TComponent)
 | GetComponentIndex (TComponent)
 | GetEnumerator (TComponent)
 | GetHashCode (TObject)
 | GetIDsOfNames (TComponent)
 | GetInterface (TObject)
 | GetInterfaceByStr (TObject)
 | GetInterfaceEntry (TObject)
 | GetInterfaceEntryByStr (TObject)
 | GetInterfaceTable (TObject)
 | GetInterfaceWeak (TObject)
 | GetLocalizedName (THelpViewer)
 | GetLocalizedName (THTMLBrowserHelpViewer)
 | GetNamePath (TPersistent)
 | GetNamePath (TComponent)
 | GetOwner (TPersistent)
 | GetOwner (TComponent)
 | GetParentComponent (TComponent)
 | GetTypeInfo (TComponent)
 | GetTypeInfoCount (TComponent)
 | HasParent (TComponent)
 | Hide (THelpViewer)
 | iicrGetComponent (TComponent)
 | InheritsFrom (TObject)
 | InitInstance (TObject)
 | Insert (TComponent)
 | InsertComponent (TComponent)
 | InstanceSize (TObject)
 | Invoke (TComponent)
 | IsImplementorOf (TComponent)
 | Load (THelpViewer)
 | Load (THTMLBrowserHelpViewer)
 | Loaded (TComponent)
 | Loading (TComponent)
 | MethodAddress (TObject)
 | MethodName (TObject)
 | newinstance (TObject)
 | Notification (TComponent)
 | PaletteCreated (TComponent)
 | QueryInterface (TComponent)
 | ReadLeft (TComponent)
 | ReadState (TComponent)
 | ReadTop (TComponent)
 | ReferenceInterface (TComponent)
 | RegisterSelf (THelpViewer)
 | Remove (TComponent)
 | RemoveComponent (TComponent)
 | RemoveFreeNotification (TComponent)
 | RemoveNotification (TComponent)
 | SafeCallException (TObject)
 | SafeCallException (TComponent)
 | Save (THelpViewer)
 | Save (THTMLBrowserHelpViewer)
 | SetAncestor (TComponent)
 | SetChildOrder (TComponent)
 | SetComponentIndex (TComponent)
 | SetDesigning (TComponent)
 | SetDesignInstance (TComponent)
 | SetInline (TComponent)
 | SetName (TComponent)
 | SetParentComponent (TComponent)
 | SetReference (TComponent)
 | SetSubComponent (TComponent)
pt | SetSupportedMimeTypes (THelpViewer)
 | ShowNode (THelpViewer)
 | ShowNode (THTMLBrowserHelpViewer)
 | ShowTableOfContents (THelpViewer)
 | StringMessageTable (TObject)
 | SupportsMimeType (THelpViewer)
 | SupportsTableOfContents (THelpViewer)
 | ToString (TObject)
 | UnitName (TObject)
 | UnregisterSelf (THelpViewer)
 | UpdateAction (TComponent)
 | Updated (TComponent)
 | UpdateRegistry (TComponent)
 | Updating (TComponent)
 | ValidateContainer (TComponent)
 | ValidateInsert (TComponent)
 | ValidateRename (TComponent)
 | WriteLeft (TComponent)
 | WriteState (TComponent)
 | WriteTop (TComponent)
 | _AddRef (TComponent)
 | _Release (TComponent)


THTMLBrowserHelpViewer

OnFindDefaultBrowser

THelpViewer

TComponent

TPersistent

TObject


THTMLBrowserHelpViewer.Assign

Declaration

Source position: lazhelphtml.pas line 103

public procedure THTMLBrowserHelpViewer.Assign(

  Source: TPersistent

); override;


THTMLBrowserHelpViewer.AutoRegister

Declaration

Source position: lazhelphtml.pas line 112

published property THTMLBrowserHelpViewer.AutoRegister : Boolean;


THTMLBrowserHelpViewer.BrowserParams

Declaration

Source position: lazhelphtml.pas line 111

published property THTMLBrowserHelpViewer.BrowserParams : string
  read FBrowserParams
  write SetBrowserParams;


THTMLBrowserHelpViewer.BrowserPath

Declaration

Source position: lazhelphtml.pas line 110

published property THTMLBrowserHelpViewer.BrowserPath : string
  read FBrowserPath
  write SetBrowserPath;


THTMLBrowserHelpViewer.Create

Declaration

Source position: lazhelphtml.pas line 100

public constructor THTMLBrowserHelpViewer.Create(

  TheOwner: TComponent

); override;


THTMLBrowserHelpViewer.FindDefaultBrowser

Declaration

Source position: lazhelphtml.pas line 102

public procedure THTMLBrowserHelpViewer.FindDefaultBrowser(

  out Browser: string;

  out Params: string

); virtual;


THTMLBrowserHelpViewer.GetLocalizedName

Declaration

Source position: lazhelphtml.pas line 106

public function THTMLBrowserHelpViewer.GetLocalizedName: string; override;


THTMLBrowserHelpViewer.Load

Declaration

Source position: lazhelphtml.pas line 104

public procedure THTMLBrowserHelpViewer.Load(

  Storage: TConfigStorage

); override;


THTMLBrowserHelpViewer.OnFindDefaultBrowser

Declaration

Source position: lazhelphtml.pas line 107

public property THTMLBrowserHelpViewer.OnFindDefaultBrowser : TOnFindDefaultBrowser
  read FOnFindDefaultBrowser
  write FOnFindDefaultBrowser;


THTMLBrowserHelpViewer.Save

Declaration

Source position: lazhelphtml.pas line 105

public procedure THTMLBrowserHelpViewer.Save(

  Storage: TConfigStorage

); override;


THTMLBrowserHelpViewer.ShowNode

Declaration

Source position: lazhelphtml.pas line 101

public function THTMLBrowserHelpViewer.ShowNode(

  Node: THelpNode;

  var ErrMsg: string

):TShowHelpResult; override;


THTMLHelpDatabase

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Declaration

Source position: lazhelphtml.pas line 51

type THTMLHelpDatabase = class(THelpDatabase)

public

  constructor Create(); override;

  destructor Destroy; override;

  function ShowURL(); virtual;

  function ShowHelp(); override;

  function GetNodesForKeyword(); override;

  function GetEffectiveBaseURL;

  procedure Load(); override;

  procedure Save(); override;

  property DefaultBaseURL: string; [rw]

published

  property BuiltInBaseURL: string; [rw]

  property BaseURL: string; [rws]

  property AutoRegister: Boolean;

  property KeywordPrefix: string; [rw]

end;

Inheritance

THTMLHelpDatabase

|

THelpDatabase

|

TComponent,IUnknown,IInterfaceComponentReference
|

TPersistent,IFPObserved
|

TObject


THTMLHelpDatabase
 |  | DefaultBaseURL
pl |  | BuiltInBaseURL
pl |  | BaseURL
pl | ro | AutoRegister
pl |  | KeywordPrefix
THelpDatabase
 |  | Databases
 |  | ID
 | ro | SupportedMimeTypes
 |  | BasePathObject
 |  | TOCNode
 |  | AutoRegister
TComponent
 | ro | ComObject
 | ro | Components
 | ro | ComponentCount
 |  | ComponentIndex
 | ro | ComponentState
 | ro | ComponentStyle
 |  | DesignInfo
 | ro | Owner
 |  | VCLComObject
 |  | Name
 |  | Tag
TPersistent
TObject


pl | ro | AutoRegister (THTMLHelpDatabase)
 |  | BasePathObject (THelpDatabase)
pl |  | BaseURL (THTMLHelpDatabase)
pl |  | BuiltInBaseURL (THTMLHelpDatabase)
 | ro | ComObject (TComponent)
 | ro | ComponentCount (TComponent)
 |  | ComponentIndex (TComponent)
 | ro | Components (TComponent)
 | ro | ComponentState (TComponent)
 | ro | ComponentStyle (TComponent)
 |  | Databases (THelpDatabase)
 |  | DefaultBaseURL (THTMLHelpDatabase)
 |  | DesignInfo (TComponent)
 |  | ID (THelpDatabase)
pl |  | KeywordPrefix (THTMLHelpDatabase)
 |  | Name (TComponent)
 | ro | Owner (TComponent)
 | ro | SupportedMimeTypes (THelpDatabase)
 |  | Tag (TComponent)
 |  | TOCNode (THelpDatabase)
 |  | VCLComObject (TComponent)


THTMLHelpDatabase
 | Create
 | Destroy
 | ShowURL
 | ShowHelp
 | GetNodesForKeyword
 | GetEffectiveBaseURL
 | Load
 | Save
THelpDatabase
pt | SetSupportedMimeTypes
pt | AddSupportedMimeType
 | Create
 | Destroy
 | Reference
 | RegisterSelf
 | Release
 | UnregisterSelf
 | Registered
 | CanShowTableOfContents
 | ShowTableOfContents
 | ShowError
 | ShowHelp
 | ShowHelpFile
 | SupportsMimeType
 | GetNodesForKeyword
 | GetNodesForDirective
 | GetNodesForContext
 | GetNodesForPascalContexts
 | GetNodesForClass
 | GetNodesForMessage
 | FindViewer
 | RegisterItem
 | RegisterItemWithNode
 | RegisterFileItemWithNode
 | UnregisterItem
 | UnregisterAllItems
 | RegisteredItemCount
 | GetRegisteredItem
 | Load
 | Save
 | GetLocalizedName
TComponent
 | GetComObject
 | GetComponent
 | GetComponentCount
 | GetComponentIndex
 | Insert
 | ReadLeft
 | ReadTop
 | Remove
 | RemoveNotification
 | SetComponentIndex
 | SetReference
 | WriteLeft
 | WriteTop
 | ChangeName
 | DefineProperties
 | GetChildren
 | GetChildOwner
 | GetChildParent
 | GetOwner
 | Loaded
 | Loading
 | Notification
 | PaletteCreated
 | ReadState
 | SetAncestor
 | SetDesigning
 | SetDesignInstance
 | SetInline
 | SetName
 | SetChildOrder
 | SetParentComponent
 | Updating
 | Updated
 | UpdateRegistry
 | ValidateRename
 | ValidateContainer
 | ValidateInsert
 | QueryInterface
 | _AddRef
 | _Release
 | iicrGetComponent
 | GetTypeInfoCount
 | GetTypeInfo
 | GetIDsOfNames
 | Invoke
 | WriteState
 | Create
 | Destroy
 | BeforeDestruction
 | DestroyComponents
 | Destroying
 | ExecuteAction
 | FindComponent
 | FreeNotification
 | RemoveFreeNotification
 | FreeOnRelease
 | GetEnumerator
 | GetNamePath
 | GetParentComponent
 | HasParent
 | InsertComponent
 | RemoveComponent
 | SafeCallException
 | SetSubComponent
 | UpdateAction
 | IsImplementorOf
 | ReferenceInterface
TPersistent
 | AssignError
 | AssignTo
 | DefineProperties
 | GetOwner
 | Destroy
 | Assign
 | FPOAttachObserver
 | FPODetachObserver
 | FPONotifyObservers
 | GetNamePath
TObject
 | Create
 | Destroy
 | newinstance
 | FreeInstance
 | SafeCallException
 | DefaultHandler
 | Free
 | InitInstance
 | CleanupInstance
 | ClassType
 | ClassInfo
 | ClassName
 | ClassNameIs
 | ClassParent
 | InstanceSize
 | InheritsFrom
 | StringMessageTable
 | MethodAddress
 | MethodName
 | FieldAddress
 | AfterConstruction
 | BeforeDestruction
 | DefaultHandlerStr
 | Dispatch
 | DispatchStr
 | GetInterface
 | GetInterfaceByStr
 | GetInterfaceWeak
 | GetInterfaceEntry
 | GetInterfaceEntryByStr
 | GetInterfaceTable
 | UnitName
 | Equals
 | GetHashCode
 | ToString


pt | AddSupportedMimeType (THelpDatabase)
 | AfterConstruction (TObject)
 | Assign (TPersistent)
 | AssignError (TPersistent)
 | AssignTo (TPersistent)
 | BeforeDestruction (TObject)
 | BeforeDestruction (TComponent)
 | CanShowTableOfContents (THelpDatabase)
 | ChangeName (TComponent)
 | ClassInfo (TObject)
 | ClassName (TObject)
 | ClassNameIs (TObject)
 | ClassParent (TObject)
 | ClassType (TObject)
 | CleanupInstance (TObject)
 | Create (TObject)
 | Create (TComponent)
 | Create (THelpDatabase)
 | Create (THTMLHelpDatabase)
 | DefaultHandler (TObject)
 | DefaultHandlerStr (TObject)
 | DefineProperties (TPersistent)
 | DefineProperties (TComponent)
 | Destroy (TObject)
 | Destroy (TPersistent)
 | Destroy (TComponent)
 | Destroy (THelpDatabase)
 | Destroy (THTMLHelpDatabase)
 | DestroyComponents (TComponent)
 | Destroying (TComponent)
 | Dispatch (TObject)
 | DispatchStr (TObject)
 | Equals (TObject)
 | ExecuteAction (TComponent)
 | FieldAddress (TObject)
 | FindComponent (TComponent)
 | FindViewer (THelpDatabase)
 | FPOAttachObserver (TPersistent)
 | FPODetachObserver (TPersistent)
 | FPONotifyObservers (TPersistent)
 | Free (TObject)
 | FreeInstance (TObject)
 | FreeNotification (TComponent)
 | FreeOnRelease (TComponent)
 | GetChildOwner (TComponent)
 | GetChildParent (TComponent)
 | GetChildren (TComponent)
 | GetComObject (TComponent)
 | GetComponent (TComponent)
 | GetComponentCount (TComponent)
 | GetComponentIndex (TComponent)
 | GetEffectiveBaseURL (THTMLHelpDatabase)
 | GetEnumerator (TComponent)
 | GetHashCode (TObject)
 | GetIDsOfNames (TComponent)
 | GetInterface (TObject)
 | GetInterfaceByStr (TObject)
 | GetInterfaceEntry (TObject)
 | GetInterfaceEntryByStr (TObject)
 | GetInterfaceTable (TObject)
 | GetInterfaceWeak (TObject)
 | GetLocalizedName (THelpDatabase)
 | GetNamePath (TPersistent)
 | GetNamePath (TComponent)
 | GetNodesForClass (THelpDatabase)
 | GetNodesForContext (THelpDatabase)
 | GetNodesForDirective (THelpDatabase)
 | GetNodesForKeyword (THelpDatabase)
 | GetNodesForKeyword (THTMLHelpDatabase)
 | GetNodesForMessage (THelpDatabase)
 | GetNodesForPascalContexts (THelpDatabase)
 | GetOwner (TPersistent)
 | GetOwner (TComponent)
 | GetParentComponent (TComponent)
 | GetRegisteredItem (THelpDatabase)
 | GetTypeInfo (TComponent)
 | GetTypeInfoCount (TComponent)
 | HasParent (TComponent)
 | iicrGetComponent (TComponent)
 | InheritsFrom (TObject)
 | InitInstance (TObject)
 | Insert (TComponent)
 | InsertComponent (TComponent)
 | InstanceSize (TObject)
 | Invoke (TComponent)
 | IsImplementorOf (TComponent)
 | Load (THelpDatabase)
 | Load (THTMLHelpDatabase)
 | Loaded (TComponent)
 | Loading (TComponent)
 | MethodAddress (TObject)
 | MethodName (TObject)
 | newinstance (TObject)
 | Notification (TComponent)
 | PaletteCreated (TComponent)
 | QueryInterface (TComponent)
 | ReadLeft (TComponent)
 | ReadState (TComponent)
 | ReadTop (TComponent)
 | Reference (THelpDatabase)
 | ReferenceInterface (TComponent)
 | Registered (THelpDatabase)
 | RegisteredItemCount (THelpDatabase)
 | RegisterFileItemWithNode (THelpDatabase)
 | RegisterItem (THelpDatabase)
 | RegisterItemWithNode (THelpDatabase)
 | RegisterSelf (THelpDatabase)
 | Release (THelpDatabase)
 | Remove (TComponent)
 | RemoveComponent (TComponent)
 | RemoveFreeNotification (TComponent)
 | RemoveNotification (TComponent)
 | SafeCallException (TObject)
 | SafeCallException (TComponent)
 | Save (THelpDatabase)
 | Save (THTMLHelpDatabase)
 | SetAncestor (TComponent)
 | SetChildOrder (TComponent)
 | SetComponentIndex (TComponent)
 | SetDesigning (TComponent)
 | SetDesignInstance (TComponent)
 | SetInline (TComponent)
 | SetName (TComponent)
 | SetParentComponent (TComponent)
 | SetReference (TComponent)
 | SetSubComponent (TComponent)
pt | SetSupportedMimeTypes (THelpDatabase)
 | ShowError (THelpDatabase)
 | ShowHelp (THelpDatabase)
 | ShowHelp (THTMLHelpDatabase)
 | ShowHelpFile (THelpDatabase)
 | ShowTableOfContents (THelpDatabase)
 | ShowURL (THTMLHelpDatabase)
 | StringMessageTable (TObject)
 | SupportsMimeType (THelpDatabase)
 | ToString (TObject)
 | UnitName (TObject)
 | UnregisterAllItems (THelpDatabase)
 | UnregisterItem (THelpDatabase)
 | UnregisterSelf (THelpDatabase)
 | UpdateAction (TComponent)
 | Updated (TComponent)
 | UpdateRegistry (TComponent)
 | Updating (TComponent)
 | ValidateContainer (TComponent)
 | ValidateInsert (TComponent)
 | ValidateRename (TComponent)
 | WriteLeft (TComponent)
 | WriteState (TComponent)
 | WriteTop (TComponent)
 | _AddRef (TComponent)
 | _Release (TComponent)


THTMLHelpDatabase

THelpDatabase

OnFindViewer

TComponent

TPersistent

TObject


THTMLHelpDatabase.AutoRegister

Declaration

Source position: lazhelphtml.pas line 79

published property THTMLHelpDatabase.AutoRegister : Boolean;


THTMLHelpDatabase.BaseURL

Declaration

Source position: lazhelphtml.pas line 78

published property THTMLHelpDatabase.BaseURL : string
  read FBaseURL
  write SetBaseURL
  stored IsBaseURLStored;


THTMLHelpDatabase.BuiltInBaseURL

Declaration

Source position: lazhelphtml.pas line 77

published property THTMLHelpDatabase.BuiltInBaseURL : string
  read FDefaultBaseURL
  write SetBuiltInBaseURL;


THTMLHelpDatabase.Create

Declaration

Source position: lazhelphtml.pas line 62

public constructor THTMLHelpDatabase.Create(

  TheOwner: TComponent

); override;


THTMLHelpDatabase.DefaultBaseURL

Declaration

Source position: lazhelphtml.pas line 75

public property THTMLHelpDatabase.DefaultBaseURL : string
  read FDefaultBaseURL
  write SetDefaultBaseURL;


THTMLHelpDatabase.Destroy

Declaration

Source position: lazhelphtml.pas line 63

public destructor THTMLHelpDatabase.Destroy; override;


THTMLHelpDatabase.GetEffectiveBaseURL

Declaration

Source position: lazhelphtml.pas line 72

public function THTMLHelpDatabase.GetEffectiveBaseURL: string;


THTMLHelpDatabase.GetNodesForKeyword

Declaration

Source position: lazhelphtml.pas line 69

public function THTMLHelpDatabase.GetNodesForKeyword(

  const HelpKeyword: string;

  var ListOfNodes: THelpNodeQueryList;

  var ErrMsg: string

):TShowHelpResult; override;


THTMLHelpDatabase.KeywordPrefix

Declaration

Source position: lazhelphtml.pas line 80

published property THTMLHelpDatabase.KeywordPrefix : string
  read FKeywordPrefix
  write FKeywordPrefix;


THTMLHelpDatabase.Load

Declaration

Source position: lazhelphtml.pas line 73

public procedure THTMLHelpDatabase.Load(

  Storage: TConfigStorage

); override;


THTMLHelpDatabase.Save

Declaration

Source position: lazhelphtml.pas line 74

public procedure THTMLHelpDatabase.Save(

  Storage: TConfigStorage

); override;


THTMLHelpDatabase.ShowHelp

Declaration

Source position: lazhelphtml.pas line 66

public function THTMLHelpDatabase.ShowHelp(

  Query: THelpQuery;

  BaseNode: THelpNode;

  NewNode: THelpNode;

  QueryItem: THelpQueryItem;

  var ErrMsg: string

):TShowHelpResult; override;


THTMLHelpDatabase.ShowURL

Declaration

Source position: lazhelphtml.pas line 64

public function THTMLHelpDatabase.ShowURL(

  const URL: string;

  const Title: string;

  var ErrMsg: string

):TShowHelpResult; virtual;


THelpBasePathObject

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Declaration

Source position: lazhelpintf.pas line 547

type THelpBasePathObject = class(TPersistent)

protected

  procedure SetBasePath(); virtual;

public

  constructor Create();

  property BasePath: string; [rw]

end;

Inheritance

THelpBasePathObject

|

TPersistent,IFPObserved
|

TObject


THelpBasePathObject

BasePath

TPersistent

TObject


THelpBasePathObject
pt | SetBasePath
 | Create
TPersistent
 | AssignError
 | AssignTo
 | DefineProperties
 | GetOwner
 | Destroy
 | Assign
 | FPOAttachObserver
 | FPODetachObserver
 | FPONotifyObservers
 | GetNamePath
TObject
 | Create
 | Destroy
 | newinstance
 | FreeInstance
 | SafeCallException
 | DefaultHandler
 | Free
 | InitInstance
 | CleanupInstance
 | ClassType
 | ClassInfo
 | ClassName
 | ClassNameIs
 | ClassParent
 | InstanceSize
 | InheritsFrom
 | StringMessageTable
 | MethodAddress
 | MethodName
 | FieldAddress
 | AfterConstruction
 | BeforeDestruction
 | DefaultHandlerStr
 | Dispatch
 | DispatchStr
 | GetInterface
 | GetInterfaceByStr
 | GetInterfaceWeak
 | GetInterfaceEntry
 | GetInterfaceEntryByStr
 | GetInterfaceTable
 | UnitName
 | Equals
 | GetHashCode
 | ToString


 | AssignError (TPersistent)
 | AssignTo (TPersistent)
 | BeforeDestruction (TObject)
 | ClassInfo (TObject)
 | ClassName (TObject)
 | ClassNameIs (TObject)
 | ClassParent (TObject)
 | ClassType (TObject)
 | CleanupInstance (TObject)
 | Create (TObject)
 | Create (THelpBasePathObject)
 | DefaultHandler (TObject)
 | DefaultHandlerStr (TObject)
 | DefineProperties (TPersistent)
 | Destroy (TObject)
 | Destroy (TPersistent)
 | Dispatch (TObject)
 | DispatchStr (TObject)
 | Equals (TObject)
 | FieldAddress (TObject)
 | FPOAttachObserver (TPersistent)
 | FPODetachObserver (TPersistent)
 | FPONotifyObservers (TPersistent)
 | Free (TObject)
 | FreeInstance (TObject)
 | GetHashCode (TObject)
 | GetInterface (TObject)
 | GetInterfaceByStr (TObject)
 | GetInterfaceEntry (TObject)
 | GetInterfaceEntryByStr (TObject)
 | GetInterfaceTable (TObject)
 | GetInterfaceWeak (TObject)
 | GetNamePath (TPersistent)
 | GetOwner (TPersistent)
 | InheritsFrom (TObject)
 | InitInstance (TObject)
 | InstanceSize (TObject)
 | MethodAddress (TObject)
 | MethodName (TObject)
 | newinstance (TObject)
 | SafeCallException (TObject)
pt | SetBasePath (THelpBasePathObject)
 | StringMessageTable (TObject)
 | ToString (TObject)
 | UnitName (TObject)


THelpBasePathObject

TPersistent

TObject


THelpBasePathObject.BasePath

Declaration

Source position: lazhelpintf.pas line 555

public property THelpBasePathObject.BasePath : string
  read FBasePath
  write SetBasePath;


THelpBasePathObject.Create

Declaration

Source position: lazhelpintf.pas line 553

public constructor THelpBasePathObject.Create;

constructor THelpBasePathObject.Create(

  const TheBasePath: string

);


THelpBasePathObject.SetBasePath

Declaration

Source position: lazhelpintf.pas line 551

protected procedure THelpBasePathObject.SetBasePath(

  const AValue: string

); virtual;


THelpBaseURLObject

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Declaration

Source position: lazhelpintf.pas line 561

type THelpBaseURLObject = class(TPersistent)

protected

  procedure SetBaseURL();

public

  constructor Create();

  property BaseURL: string; [rw]

end;

Inheritance

THelpBaseURLObject

|

TPersistent,IFPObserved
|

TObject


THelpBaseURLObject

BaseURL

TPersistent

TObject


THelpBaseURLObject
pt | SetBaseURL
 | Create
TPersistent
 | AssignError
 | AssignTo
 | DefineProperties
 | GetOwner
 | Destroy
 | Assign
 | FPOAttachObserver
 | FPODetachObserver
 | FPONotifyObservers
 | GetNamePath
TObject
 | Create
 | Destroy
 | newinstance
 | FreeInstance
 | SafeCallException
 | DefaultHandler
 | Free
 | InitInstance
 | CleanupInstance
 | ClassType
 | ClassInfo
 | ClassName
 | ClassNameIs
 | ClassParent
 | InstanceSize
 | InheritsFrom
 | StringMessageTable
 | MethodAddress
 | MethodName
 | FieldAddress
 | AfterConstruction
 | BeforeDestruction
 | DefaultHandlerStr
 | Dispatch
 | DispatchStr
 | GetInterface
 | GetInterfaceByStr
 | GetInterfaceWeak
 | GetInterfaceEntry
 | GetInterfaceEntryByStr
 | GetInterfaceTable
 | UnitName
 | Equals
 | GetHashCode
 | ToString


 | AssignError (TPersistent)
 | AssignTo (TPersistent)
 | BeforeDestruction (TObject)
 | ClassInfo (TObject)
 | ClassName (TObject)
 | ClassNameIs (TObject)
 | ClassParent (TObject)
 | ClassType (TObject)
 | CleanupInstance (TObject)
 | Create (TObject)
 | Create (THelpBaseURLObject)
 | DefaultHandler (TObject)
 | DefaultHandlerStr (TObject)
 | DefineProperties (TPersistent)
 | Destroy (TObject)
 | Destroy (TPersistent)
 | Dispatch (TObject)
 | DispatchStr (TObject)
 | Equals (TObject)
 | FieldAddress (TObject)
 | FPOAttachObserver (TPersistent)
 | FPODetachObserver (TPersistent)
 | FPONotifyObservers (TPersistent)
 | Free (TObject)
 | FreeInstance (TObject)
 | GetHashCode (TObject)
 | GetInterface (TObject)
 | GetInterfaceByStr (TObject)
 | GetInterfaceEntry (TObject)
 | GetInterfaceEntryByStr (TObject)
 | GetInterfaceTable (TObject)
 | GetInterfaceWeak (TObject)
 | GetNamePath (TPersistent)
 | GetOwner (TPersistent)
 | InheritsFrom (TObject)
 | InitInstance (TObject)
 | InstanceSize (TObject)
 | MethodAddress (TObject)
 | MethodName (TObject)
 | newinstance (TObject)
 | SafeCallException (TObject)
pt | SetBaseURL (THelpBaseURLObject)
 | StringMessageTable (TObject)
 | ToString (TObject)
 | UnitName (TObject)


THelpBaseURLObject

TPersistent

TObject


THelpBaseURLObject.BaseURL

Declaration

Source position: lazhelpintf.pas line 569

public property THelpBaseURLObject.BaseURL : string
  read FBaseURL
  write SetBaseURL;


THelpBaseURLObject.Create

Declaration

Source position: lazhelpintf.pas line 567

public constructor THelpBaseURLObject.Create;

constructor THelpBaseURLObject.Create(

  const TheBaseURL: string

);


THelpBaseURLObject.SetBaseURL

Declaration

Source position: lazhelpintf.pas line 565

protected procedure THelpBaseURLObject.SetBaseURL(

  const AValue: string

);


THelpDatabase

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Declaration

Source position: lazhelpintf.pas line 314

type THelpDatabase = class(TComponent)

protected

  procedure SetSupportedMimeTypes(); virtual;

  procedure AddSupportedMimeType(); virtual;

public

  constructor Create(); override;

  destructor Destroy; override;

  procedure Reference;

  procedure RegisterSelf;

  procedure Release;

  procedure UnregisterSelf;

  function Registered;

  function CanShowTableOfContents; virtual;

  procedure ShowTableOfContents; virtual;

  procedure ShowError(); virtual;

  function ShowHelp(); virtual;

  function ShowHelpFile(); virtual;

  function SupportsMimeType(); virtual;

  function GetNodesForKeyword(); virtual;

  function GetNodesForDirective(); virtual;

  function GetNodesForContext(); virtual;

  function GetNodesForPascalContexts(); virtual;

  function GetNodesForClass(); virtual;

  function GetNodesForMessage(); virtual;

  function FindViewer(); virtual;

  procedure RegisterItem();

  procedure RegisterItemWithNode();

  procedure RegisterFileItemWithNode();

  procedure UnregisterItem();

  procedure UnregisterAllItems;

  function RegisteredItemCount;

  function GetRegisteredItem();

  procedure Load(); virtual;

  procedure Save(); virtual;

  function GetLocalizedName; virtual;

  property Databases: THelpDatabases; [rw]

  property ID: THelpDatabaseID; [rw]

  property SupportedMimeTypes: TStrings; [r]

  property BasePathObject: TObject; [rw]

  property TOCNode: THelpNode; [rw]

  property AutoRegister: Boolean; [rw]

  property OnFindViewer: TOnHelpDBFindViewer; [rw]

end;

Inheritance

THelpDatabase

|

TComponent,IUnknown,IInterfaceComponentReference
|

TPersistent,IFPObserved
|

TObject


THelpDatabase
 |  | Databases
 |  | ID
 | ro | SupportedMimeTypes
 |  | BasePathObject
 |  | TOCNode
 |  | AutoRegister
TComponent
 | ro | ComObject
 | ro | Components
 | ro | ComponentCount
 |  | ComponentIndex
 | ro | ComponentState
 | ro | ComponentStyle
 |  | DesignInfo
 | ro | Owner
 |  | VCLComObject
 |  | Name
 |  | Tag
TPersistent
TObject


ro | ComObject (TComponent)
ro | ComponentCount (TComponent)
 | ComponentIndex (TComponent)
ro | Components (TComponent)
ro | ComponentState (TComponent)
ro | ComponentStyle (TComponent)
 | Databases (THelpDatabase)
 | DesignInfo (TComponent)
 | ID (THelpDatabase)
 | Name (TComponent)
ro | Owner (TComponent)
ro | SupportedMimeTypes (THelpDatabase)
 | Tag (TComponent)
 | TOCNode (THelpDatabase)
 | VCLComObject (TComponent)


THelpDatabase
pt | SetSupportedMimeTypes
pt | AddSupportedMimeType
 | Create
 | Destroy
 | Reference
 | RegisterSelf
 | Release
 | UnregisterSelf
 | Registered
 | CanShowTableOfContents
 | ShowTableOfContents
 | ShowError
 | ShowHelp
 | ShowHelpFile
 | SupportsMimeType
 | GetNodesForKeyword
 | GetNodesForDirective
 | GetNodesForContext
 | GetNodesForPascalContexts
 | GetNodesForClass
 | GetNodesForMessage
 | FindViewer
 | RegisterItem
 | RegisterItemWithNode
 | RegisterFileItemWithNode
 | UnregisterItem
 | UnregisterAllItems
 | RegisteredItemCount
 | GetRegisteredItem
 | Load
 | Save
 | GetLocalizedName
TComponent
 | GetComObject
 | GetComponent
 | GetComponentCount
 | GetComponentIndex
 | Insert
 | ReadLeft
 | ReadTop
 | Remove
 | RemoveNotification
 | SetComponentIndex
 | SetReference
 | WriteLeft
 | WriteTop
 | ChangeName
 | DefineProperties
 | GetChildren
 | GetChildOwner
 | GetChildParent
 | GetOwner
 | Loaded
 | Loading
 | Notification
 | PaletteCreated
 | ReadState
 | SetAncestor
 | SetDesigning
 | SetDesignInstance
 | SetInline
 | SetName
 | SetChildOrder
 | SetParentComponent
 | Updating
 | Updated
 | UpdateRegistry
 | ValidateRename
 | ValidateContainer
 | ValidateInsert
 | QueryInterface
 | _AddRef
 | _Release
 | iicrGetComponent
 | GetTypeInfoCount
 | GetTypeInfo
 | GetIDsOfNames
 | Invoke
 | WriteState
 | Create
 | Destroy
 | BeforeDestruction
 | DestroyComponents
 | Destroying
 | ExecuteAction
 | FindComponent
 | FreeNotification
 | RemoveFreeNotification
 | FreeOnRelease
 | GetEnumerator
 | GetNamePath
 | GetParentComponent
 | HasParent
 | InsertComponent
 | RemoveComponent
 | SafeCallException
 | SetSubComponent
 | UpdateAction
 | IsImplementorOf
 | ReferenceInterface
TPersistent
 | AssignError
 | AssignTo
 | DefineProperties
 | GetOwner
 | Destroy
 | Assign
 | FPOAttachObserver
 | FPODetachObserver
 | FPONotifyObservers
 | GetNamePath
TObject
 | Create
 | Destroy
 | newinstance
 | FreeInstance
 | SafeCallException
 | DefaultHandler
 | Free
 | InitInstance
 | CleanupInstance
 | ClassType
 | ClassInfo
 | ClassName
 | ClassNameIs
 | ClassParent
 | InstanceSize
 | InheritsFrom
 | StringMessageTable
 | MethodAddress
 | MethodName
 | FieldAddress
 | AfterConstruction
 | BeforeDestruction
 | DefaultHandlerStr
 | Dispatch
 | DispatchStr
 | GetInterface
 | GetInterfaceByStr
 | GetInterfaceWeak
 | GetInterfaceEntry
 | GetInterfaceEntryByStr
 | GetInterfaceTable
 | UnitName
 | Equals
 | GetHashCode
 | ToString


pt | AddSupportedMimeType (THelpDatabase)
 | AfterConstruction (TObject)
 | Assign (TPersistent)
 | AssignError (TPersistent)
 | AssignTo (TPersistent)
 | BeforeDestruction (TObject)
 | BeforeDestruction (TComponent)
 | CanShowTableOfContents (THelpDatabase)
 | ChangeName (TComponent)
 | ClassInfo (TObject)
 | ClassName (TObject)
 | ClassNameIs (TObject)
 | ClassParent (TObject)
 | ClassType (TObject)
 | CleanupInstance (TObject)
 | Create (TObject)
 | Create (TComponent)
 | Create (THelpDatabase)
 | DefaultHandler (TObject)
 | DefaultHandlerStr (TObject)
 | DefineProperties (TPersistent)
 | DefineProperties (TComponent)
 | Destroy (TObject)
 | Destroy (TPersistent)
 | Destroy (TComponent)
 | Destroy (THelpDatabase)
 | DestroyComponents (TComponent)
 | Destroying (TComponent)
 | Dispatch (TObject)
 | DispatchStr (TObject)
 | Equals (TObject)
 | ExecuteAction (TComponent)
 | FieldAddress (TObject)
 | FindComponent (TComponent)
 | FindViewer (THelpDatabase)
 | FPOAttachObserver (TPersistent)
 | FPODetachObserver (TPersistent)
 | FPONotifyObservers (TPersistent)
 | Free (TObject)
 | FreeInstance (TObject)
 | FreeNotification (TComponent)
 | FreeOnRelease (TComponent)
 | GetChildOwner (TComponent)
 | GetChildParent (TComponent)
 | GetChildren (TComponent)
 | GetComObject (TComponent)
 | GetComponent (TComponent)
 | GetComponentCount (TComponent)
 | GetComponentIndex (TComponent)
 | GetEnumerator (TComponent)
 | GetHashCode (TObject)
 | GetIDsOfNames (TComponent)
 | GetInterface (TObject)
 | GetInterfaceByStr (TObject)
 | GetInterfaceEntry (TObject)
 | GetInterfaceEntryByStr (TObject)
 | GetInterfaceTable (TObject)
 | GetInterfaceWeak (TObject)
 | GetLocalizedName (THelpDatabase)
 | GetNamePath (TPersistent)
 | GetNamePath (TComponent)
 | GetNodesForClass (THelpDatabase)
 | GetNodesForContext (THelpDatabase)
 | GetNodesForDirective (THelpDatabase)
 | GetNodesForKeyword (THelpDatabase)
 | GetNodesForMessage (THelpDatabase)
 | GetNodesForPascalContexts (THelpDatabase)
 | GetOwner (TPersistent)
 | GetOwner (TComponent)
 | GetParentComponent (TComponent)
 | GetRegisteredItem (THelpDatabase)
 | GetTypeInfo (TComponent)
 | GetTypeInfoCount (TComponent)
 | HasParent (TComponent)
 | iicrGetComponent (TComponent)
 | InheritsFrom (TObject)
 | InitInstance (TObject)
 | Insert (TComponent)
 | InsertComponent (TComponent)
 | InstanceSize (TObject)
 | Invoke (TComponent)
 | IsImplementorOf (TComponent)
 | Load (THelpDatabase)
 | Loaded (TComponent)
 | Loading (TComponent)
 | MethodAddress (TObject)
 | MethodName (TObject)
 | newinstance (TObject)
 | Notification (TComponent)
 | PaletteCreated (TComponent)
 | QueryInterface (TComponent)
 | ReadLeft (TComponent)
 | ReadState (TComponent)
 | ReadTop (TComponent)
 | Reference (THelpDatabase)
 | ReferenceInterface (TComponent)
 | Registered (THelpDatabase)
 | RegisteredItemCount (THelpDatabase)
 | RegisterFileItemWithNode (THelpDatabase)
 | RegisterItem (THelpDatabase)
 | RegisterItemWithNode (THelpDatabase)
 | RegisterSelf (THelpDatabase)
 | Release (THelpDatabase)
 | Remove (TComponent)
 | RemoveComponent (TComponent)
 | RemoveFreeNotification (TComponent)
 | RemoveNotification (TComponent)
 | SafeCallException (TObject)
 | SafeCallException (TComponent)
 | Save (THelpDatabase)
 | SetAncestor (TComponent)
 | SetChildOrder (TComponent)
 | SetComponentIndex (TComponent)
 | SetDesigning (TComponent)
 | SetDesignInstance (TComponent)
 | SetInline (TComponent)
 | SetName (TComponent)
 | SetParentComponent (TComponent)
 | SetReference (TComponent)
 | SetSubComponent (TComponent)
pt | SetSupportedMimeTypes (THelpDatabase)
 | ShowError (THelpDatabase)
 | ShowHelp (THelpDatabase)
 | ShowHelpFile (THelpDatabase)
 | ShowTableOfContents (THelpDatabase)
 | StringMessageTable (TObject)
 | SupportsMimeType (THelpDatabase)
 | ToString (TObject)
 | UnitName (TObject)
 | UnregisterAllItems (THelpDatabase)
 | UnregisterItem (THelpDatabase)
 | UnregisterSelf (THelpDatabase)
 | UpdateAction (TComponent)
 | Updated (TComponent)
 | UpdateRegistry (TComponent)
 | Updating (TComponent)
 | ValidateContainer (TComponent)
 | ValidateInsert (TComponent)
 | ValidateRename (TComponent)
 | WriteLeft (TComponent)
 | WriteState (TComponent)
 | WriteTop (TComponent)
 | _AddRef (TComponent)
 | _Release (TComponent)


THelpDatabase

OnFindViewer

TComponent

TPersistent

TObject


THelpDatabase.AddSupportedMimeType

Declaration

Source position: lazhelpintf.pas line 330

protected procedure THelpDatabase.AddSupportedMimeType(

  const AMimeType: string

); virtual;


THelpDatabase.AutoRegister

Declaration

Source position: lazhelpintf.pas line 387

public property THelpDatabase.AutoRegister : Boolean
  read FAutoRegister
  write SetAutoRegister;


THelpDatabase.BasePathObject

Declaration

Source position: lazhelpintf.pas line 385

public property THelpDatabase.BasePathObject : TObject
  read FBasePathObject
  write FBasePathObject;


THelpDatabase.CanShowTableOfContents

Declaration

Source position: lazhelpintf.pas line 339

public function THelpDatabase.CanShowTableOfContents: Boolean; virtual;


THelpDatabase.Create

Declaration

Source position: lazhelpintf.pas line 332

public constructor THelpDatabase.Create(

  TheOwner: TComponent

); override;


THelpDatabase.Databases

Declaration

Source position: lazhelpintf.pas line 382

public property THelpDatabase.Databases : THelpDatabases
  read FDatabases
  write SetDatabases;


THelpDatabase.Destroy

Declaration

Source position: lazhelpintf.pas line 333

public destructor THelpDatabase.Destroy; override;


THelpDatabase.FindViewer

Declaration

Source position: lazhelpintf.pas line 367

public function THelpDatabase.FindViewer(

  const MimeType: string;

  var ErrMsg: string;

  out Viewer: THelpViewer

):TShowHelpResult; virtual;


THelpDatabase.GetLocalizedName

Declaration

Source position: lazhelpintf.pas line 380

public function THelpDatabase.GetLocalizedName: string; virtual;


THelpDatabase.GetNodesForClass

Declaration

Source position: lazhelpintf.pas line 361

public function THelpDatabase.GetNodesForClass(

  AClass: TClass;

  var ListOfNodes: THelpNodeQueryList;

  var ErrMsg: string

):TShowHelpResult; virtual;


THelpDatabase.GetNodesForContext

Declaration

Source position: lazhelpintf.pas line 355

public function THelpDatabase.GetNodesForContext(

  HelpContext: THelpContext;

  var ListOfNodes: THelpNodeQueryList;

  var ErrMsg: string

):TShowHelpResult; virtual;


THelpDatabase.GetNodesForDirective

Declaration

Source position: lazhelpintf.pas line 352

public function THelpDatabase.GetNodesForDirective(

  const HelpDirective: string;

  var ListOfNodes: THelpNodeQueryList;

  var ErrMsg: string

):TShowHelpResult; virtual;


THelpDatabase.GetNodesForKeyword

Declaration

Source position: lazhelpintf.pas line 349

public function THelpDatabase.GetNodesForKeyword(

  const HelpKeyword: string;

  var ListOfNodes: THelpNodeQueryList;

  var ErrMsg: string

):TShowHelpResult; virtual;


THelpDatabase.GetNodesForMessage

Declaration

Source position: lazhelpintf.pas line 364

public function THelpDatabase.GetNodesForMessage(

  const AMessage: string;

  MessageParts: TStrings;

  var ListOfNodes: THelpNodeQueryList;

  var ErrMsg: string

):TShowHelpResult; virtual;


THelpDatabase.GetNodesForPascalContexts

Declaration

Source position: lazhelpintf.pas line 358

public function THelpDatabase.GetNodesForPascalContexts(

  ListOfPascalHelpContextList: TList;

  var ListOfNodes: THelpNodeQueryList;

  var ErrMsg: string

):TShowHelpResult; virtual;


THelpDatabase.GetRegisteredItem

Declaration

Source position: lazhelpintf.pas line 377

public function THelpDatabase.GetRegisteredItem(

  Index: Integer

):THelpDBItem;


THelpDatabase.ID

Declaration

Source position: lazhelpintf.pas line 383

public property THelpDatabase.ID : THelpDatabaseID
  read FID
  write SetID;


THelpDatabase.Load

Declaration

Source position: lazhelpintf.pas line 378

public procedure THelpDatabase.Load(

  Storage: TConfigStorage

); virtual;


THelpDatabase.OnFindViewer

Declaration

Source position: lazhelpintf.pas line 388

public property THelpDatabase.OnFindViewer : TOnHelpDBFindViewer
  read FOnFindViewer
  write FOnFindViewer;


THelpDatabase.Reference

Declaration

Source position: lazhelpintf.pas line 334

public procedure THelpDatabase.Reference;


THelpDatabase.Registered

Declaration

Source position: lazhelpintf.pas line 338

public function THelpDatabase.Registered: Boolean;


THelpDatabase.RegisteredItemCount

Declaration

Source position: lazhelpintf.pas line 376

public function THelpDatabase.RegisteredItemCount: Integer;


THelpDatabase.RegisterFileItemWithNode

Declaration

Source position: lazhelpintf.pas line 373

public procedure THelpDatabase.RegisterFileItemWithNode(

  const Filename: string;

  Node: THelpNode

);


THelpDatabase.RegisterItem

Declaration

Source position: lazhelpintf.pas line 371

public procedure THelpDatabase.RegisterItem(

  NewItem: THelpDBItem

);


THelpDatabase.RegisterItemWithNode

Declaration

Source position: lazhelpintf.pas line 372

public procedure THelpDatabase.RegisterItemWithNode(

  Node: THelpNode

);


THelpDatabase.RegisterSelf

Declaration

Source position: lazhelpintf.pas line 335

public procedure THelpDatabase.RegisterSelf;


THelpDatabase.Release

Declaration

Source position: lazhelpintf.pas line 336

public procedure THelpDatabase.Release;


THelpDatabase.Save

Declaration

Source position: lazhelpintf.pas line 379

public procedure THelpDatabase.Save(

  Storage: TConfigStorage

); virtual;


THelpDatabase.SetSupportedMimeTypes

Declaration

Source position: lazhelpintf.pas line 329

protected procedure THelpDatabase.SetSupportedMimeTypes(

  List: TStrings

); virtual;


THelpDatabase.ShowError

Declaration

Source position: lazhelpintf.pas line 341

public procedure THelpDatabase.ShowError(

  ShowResult: TShowHelpResult;

  const ErrMsg: string

); virtual;


THelpDatabase.ShowHelp

Declaration

Source position: lazhelpintf.pas line 342

public function THelpDatabase.ShowHelp(

  Query: THelpQuery;

  BaseNode: THelpNode;

  NewNode: THelpNode;

  QueryItem: THelpQueryItem;

  var ErrMsg: string

):TShowHelpResult; virtual;


THelpDatabase.ShowHelpFile

Declaration

Source position: lazhelpintf.pas line 345

public function THelpDatabase.ShowHelpFile(

  Query: THelpQuery;

  BaseNode: THelpNode;

  const Title: string;

  const Filename: string;

  var ErrMsg: string

):TShowHelpResult; virtual;


THelpDatabase.ShowTableOfContents

Declaration

Source position: lazhelpintf.pas line 340

public procedure THelpDatabase.ShowTableOfContents; virtual;


THelpDatabase.SupportedMimeTypes

Declaration

Source position: lazhelpintf.pas line 384

public property THelpDatabase.SupportedMimeTypes : TStrings
  read FSupportedMimeTypes;


THelpDatabase.SupportsMimeType

Declaration

Source position: lazhelpintf.pas line 348

public function THelpDatabase.SupportsMimeType(

  const AMimeType: string

):Boolean; virtual;


THelpDatabase.TOCNode

Declaration

Source position: lazhelpintf.pas line 386

public property THelpDatabase.TOCNode : THelpNode
  read FTOCNode
  write FTOCNode;


THelpDatabase.UnregisterAllItems

Declaration

Source position: lazhelpintf.pas line 375

public procedure THelpDatabase.UnregisterAllItems;


THelpDatabase.UnregisterItem

Declaration

Source position: lazhelpintf.pas line 374

public procedure THelpDatabase.UnregisterItem(

  AnItem: THelpDBItem

);


THelpDatabase.UnregisterSelf

Declaration

Source position: lazhelpintf.pas line 337

public procedure THelpDatabase.UnregisterSelf;


THelpDatabaseClass

Declaration

Source position: lazhelpintf.pas line 391

type THelpDatabaseClass = class of THelpDatabase;


THelpDatabases

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Declaration

Source position: lazhelpintf.pas line 397

type THelpDatabases = class(THelpManager)

public

  constructor Create;

  destructor Destroy; override;

  function Count;

  property Items []: THelpDatabase; default; [r]

  function FindDatabase();

  function GetDatabase();

  function IndexOf();

  function CreateUniqueDatabaseID();

  function CreateHelpDatabase();

  function ShowTableOfContents(); override;

  procedure ShowError(); override;

  function GetBaseURLForBasePathObject(); virtual;

  function GetBaseDirectoryForBasePathObject(); virtual;

  function FindViewer(); virtual;

  function SubstituteMacros(); virtual;

  function ShowHelpForNodes(); virtual;

  function ShowHelpForQuery(); override;

  function ShowHelpForContext(); override;

  function ShowHelpForKeyword(); override;

  function ShowHelpForDirective(); override;

  function ShowHelpForPascalContexts(); override;

  function ShowHelpForSourcePosition(); override;

  function ShowHelpForMessageLine(); override;

  function ShowHelpForClass(); override;

  function ShowHelpFile(); override;

  function ShowHelp(); override;

  function GetNodesForKeyword(); virtual;

  function GetNodesForDirective(); virtual;

  function GetNodesForContext(); virtual;

  function GetNodesForPascalContexts(); virtual;

  function GetNodesForClass(); virtual;

  function GetNodesForMessage(); virtual;

  function ShowHelpSelector(); virtual;

  procedure RegisterHelpDatabaseClass();

  procedure UnregisterHelpDatabaseClass();

  function HelpDatabaseClassCount;

  function GetHelpDatabaseClass();

  procedure Load(); virtual;

  procedure Save(); virtual;

end;

Inheritance

THelpDatabases

|

THelpManager

|

TObject


THelpDatabases

ro

Items

THelpManager

TObject


ro

Items (THelpDatabases)


THelpDatabases
 | Create
 | Destroy
 | Count
 | FindDatabase
 | GetDatabase
 | IndexOf
 | CreateUniqueDatabaseID
 | CreateHelpDatabase
 | ShowTableOfContents
 | ShowError
 | GetBaseURLForBasePathObject
 | GetBaseDirectoryForBasePathObject
 | FindViewer
 | SubstituteMacros
 | ShowHelpForNodes
 | ShowHelpForQuery
 | ShowHelpForContext
 | ShowHelpForKeyword
 | ShowHelpForDirective
 | ShowHelpForPascalContexts
 | ShowHelpForSourcePosition
 | ShowHelpForMessageLine
 | ShowHelpForClass
 | ShowHelpFile
 | ShowHelp
 | GetNodesForKeyword
 | GetNodesForDirective
 | GetNodesForContext
 | GetNodesForPascalContexts
 | GetNodesForClass
 | GetNodesForMessage
 | ShowHelpSelector
 | RegisterHelpDatabaseClass
 | UnregisterHelpDatabaseClass
 | HelpDatabaseClassCount
 | GetHelpDatabaseClass
 | Load
 | Save
THelpManager
 | DoHelpNotFound
 | ShowTableOfContents
 | ShowError
 | ShowHelpForQuery
 | ShowHelpForContext
 | ShowHelpForKeyword
 | ShowHelpForDirective
 | ShowHelpForPascalContexts
 | ShowHelpForSourcePosition
 | ShowHelpForMessageLine
 | ShowHelpForClass
 | ShowHelpFile
 | ShowHelp
TObject
 | Create
 | Destroy
 | newinstance
 | FreeInstance
 | SafeCallException
 | DefaultHandler
 | Free
 | InitInstance
 | CleanupInstance
 | ClassType
 | ClassInfo
 | ClassName
 | ClassNameIs
 | ClassParent
 | InstanceSize
 | InheritsFrom
 | StringMessageTable
 | MethodAddress
 | MethodName
 | FieldAddress
 | AfterConstruction
 | BeforeDestruction
 | DefaultHandlerStr
 | Dispatch
 | DispatchStr
 | GetInterface
 | GetInterfaceByStr
 | GetInterfaceWeak
 | GetInterfaceEntry
 | GetInterfaceEntryByStr
 | GetInterfaceTable
 | UnitName
 | Equals
 | GetHashCode
 | ToString


AfterConstruction (TObject)

BeforeDestruction (TObject)

ClassInfo (TObject)

ClassName (TObject)

ClassNameIs (TObject)

ClassParent (TObject)

ClassType (TObject)

CleanupInstance (TObject)

Count (THelpDatabases)

Create (TObject)

Create (THelpDatabases)

CreateHelpDatabase (THelpDatabases)

CreateUniqueDatabaseID (THelpDatabases)

DefaultHandler (TObject)

DefaultHandlerStr (TObject)

Destroy (TObject)

Destroy (THelpDatabases)

Dispatch (TObject)

DispatchStr (TObject)

DoHelpNotFound (THelpManager)

Equals (TObject)

FieldAddress (TObject)

FindDatabase (THelpDatabases)

FindViewer (THelpDatabases)

Free (TObject)

FreeInstance (TObject)

GetBaseDirectoryForBasePathObject (THelpDatabases)

GetBaseURLForBasePathObject (THelpDatabases)

GetDatabase (THelpDatabases)

GetHashCode (TObject)

GetHelpDatabaseClass (THelpDatabases)

GetInterface (TObject)

GetInterfaceByStr (TObject)

GetInterfaceEntry (TObject)

GetInterfaceEntryByStr (TObject)

GetInterfaceTable (TObject)

GetInterfaceWeak (TObject)

GetNodesForClass (THelpDatabases)

GetNodesForContext (THelpDatabases)

GetNodesForDirective (THelpDatabases)

GetNodesForKeyword (THelpDatabases)

GetNodesForMessage (THelpDatabases)

GetNodesForPascalContexts (THelpDatabases)

HelpDatabaseClassCount (THelpDatabases)

IndexOf (THelpDatabases)

InheritsFrom (TObject)

InitInstance (TObject)

InstanceSize (TObject)

Load (THelpDatabases)

MethodAddress (TObject)

MethodName (TObject)

newinstance (TObject)

RegisterHelpDatabaseClass (THelpDatabases)

SafeCallException (TObject)

Save (THelpDatabases)

ShowError (THelpManager)

ShowError (THelpDatabases)

ShowHelp (THelpManager)

ShowHelp (THelpDatabases)

ShowHelpFile (THelpManager)

ShowHelpFile (THelpDatabases)

ShowHelpForClass (THelpManager)

ShowHelpForClass (THelpDatabases)

ShowHelpForContext (THelpManager)

ShowHelpForContext (THelpDatabases)

ShowHelpForDirective (THelpManager)

ShowHelpForDirective (THelpDatabases)

ShowHelpForKeyword (THelpManager)

ShowHelpForKeyword (THelpDatabases)

ShowHelpForMessageLine (THelpManager)

ShowHelpForMessageLine (THelpDatabases)

ShowHelpForNodes (THelpDatabases)

ShowHelpForPascalContexts (THelpManager)

ShowHelpForPascalContexts (THelpDatabases)

ShowHelpForQuery (THelpManager)

ShowHelpForQuery (THelpDatabases)

ShowHelpForSourcePosition (THelpManager)

ShowHelpForSourcePosition (THelpDatabases)

ShowHelpSelector (THelpDatabases)

ShowTableOfContents (THelpManager)

ShowTableOfContents (THelpDatabases)

StringMessageTable (TObject)

SubstituteMacros (THelpDatabases)

ToString (TObject)

UnitName (TObject)

UnregisterHelpDatabaseClass (THelpDatabases)


THelpDatabases

THelpManager

TObject


THelpDatabases.Count

Declaration

Source position: lazhelpintf.pas line 407

public function THelpDatabases.Count: Integer;


THelpDatabases.Create

Declaration

Source position: lazhelpintf.pas line 405

public constructor THelpDatabases.Create;


THelpDatabases.CreateHelpDatabase

Declaration

Source position: lazhelpintf.pas line 415

public function THelpDatabases.CreateHelpDatabase(

  const WishID: string;

  HelpDataBaseClass: THelpDatabaseClass;

  AutoRegister: Boolean

):THelpDatabase;


THelpDatabases.CreateUniqueDatabaseID

Declaration

Source position: lazhelpintf.pas line 414

public function THelpDatabases.CreateUniqueDatabaseID(

  const WishID: string

):THelpDatabaseID;


THelpDatabases.Destroy

Declaration

Source position: lazhelpintf.pas line 406

public destructor THelpDatabases.Destroy; override;


THelpDatabases.FindDatabase

Declaration

Source position: lazhelpintf.pas line 410

public function THelpDatabases.FindDatabase(

  ID: THelpDatabaseID

):THelpDatabase;


THelpDatabases.FindViewer

Declaration

Source position: lazhelpintf.pas line 422

public function THelpDatabases.FindViewer(

  const MimeType: string;

  var ErrMsg: string;

  var Viewer: THelpViewer

):TShowHelpResult; virtual;


THelpDatabases.GetBaseDirectoryForBasePathObject

Declaration

Source position: lazhelpintf.pas line 421

public function THelpDatabases.GetBaseDirectoryForBasePathObject(

  BasePathObject: TObject

):string; virtual;


THelpDatabases.GetBaseURLForBasePathObject

Declaration

Source position: lazhelpintf.pas line 420

public function THelpDatabases.GetBaseURLForBasePathObject(

  BasePathObject: TObject

):string; virtual;


THelpDatabases.GetDatabase

Declaration

Source position: lazhelpintf.pas line 411

public function THelpDatabases.GetDatabase(

  ID: THelpDatabaseID;

  var HelpDB: THelpDatabase;

  var HelpResult: TShowHelpResult;

  var ErrMsg: string

):Boolean;


THelpDatabases.GetHelpDatabaseClass

Declaration

Source position: lazhelpintf.pas line 478

public function THelpDatabases.GetHelpDatabaseClass(

  Index: Integer

):THelpDatabaseClass;


THelpDatabases.GetNodesForClass

Declaration

Source position: lazhelpintf.pas line 462

public function THelpDatabases.GetNodesForClass(

  AClass: TClass;

  var ListOfNodes: THelpNodeQueryList;

  var ErrMsg: string

):TShowHelpResult; virtual;


THelpDatabases.GetNodesForContext

Declaration

Source position: lazhelpintf.pas line 456

public function THelpDatabases.GetNodesForContext(

  HelpContext: THelpContext;

  var ListOfNodes: THelpNodeQueryList;

  var ErrMsg: string

):TShowHelpResult; virtual;


THelpDatabases.GetNodesForDirective

Declaration

Source position: lazhelpintf.pas line 453

public function THelpDatabases.GetNodesForDirective(

  const HelpDirective: string;

  var ListOfNodes: THelpNodeQueryList;

  var ErrMsg: string

):TShowHelpResult; virtual;


THelpDatabases.GetNodesForKeyword

Declaration

Source position: lazhelpintf.pas line 450

public function THelpDatabases.GetNodesForKeyword(

  const HelpKeyword: string;

  var ListOfNodes: THelpNodeQueryList;

  var ErrMsg: string

):TShowHelpResult; virtual;


THelpDatabases.GetNodesForMessage

Declaration

Source position: lazhelpintf.pas line 465

public function THelpDatabases.GetNodesForMessage(

  const AMessage: string;

  MessageParts: TStrings;

  var ListOfNodes: THelpNodeQueryList;

  var ErrMsg: string

):TShowHelpResult; virtual;


THelpDatabases.GetNodesForPascalContexts

Declaration

Source position: lazhelpintf.pas line 459

public function THelpDatabases.GetNodesForPascalContexts(

  ListOfPascalHelpContextList: TList;

  var ListOfNodes: THelpNodeQueryList;

  var ErrMsg: string

):TShowHelpResult; virtual;


THelpDatabases.HelpDatabaseClassCount

Declaration

Source position: lazhelpintf.pas line 477

public function THelpDatabases.HelpDatabaseClassCount: Integer;


THelpDatabases.IndexOf

Declaration

Source position: lazhelpintf.pas line 413

public function THelpDatabases.IndexOf(

  ID: THelpDatabaseID

):Integer;


THelpDatabases.Items

Declaration

Source position: lazhelpintf.pas line 408

public property THelpDatabases.Items[Index: Integer] : THelpDatabase
  read GetItems;
  default;


THelpDatabases.Load

Declaration

Source position: lazhelpintf.pas line 479

public procedure THelpDatabases.Load(

  Storage: TConfigStorage

); virtual;


THelpDatabases.RegisterHelpDatabaseClass

Declaration

Source position: lazhelpintf.pas line 475

public procedure THelpDatabases.RegisterHelpDatabaseClass(

  NewHelpDB: THelpDatabaseClass

);


THelpDatabases.Save

Declaration

Source position: lazhelpintf.pas line 480

public procedure THelpDatabases.Save(

  Storage: TConfigStorage

); virtual;


THelpDatabases.ShowError

Declaration

Source position: lazhelpintf.pas line 419

public procedure THelpDatabases.ShowError(

  ShowResult: TShowHelpResult;

  const ErrMsg: string

); override;


THelpDatabases.ShowHelp

Declaration

Source position: lazhelpintf.pas line 447

public function THelpDatabases.ShowHelp(

  const URL: string;

  const Title: string;

  const MimeType: string;

  var ErrMsg: string

):TShowHelpResult; override;


THelpDatabases.ShowHelpFile

Declaration

Source position: lazhelpintf.pas line 445

public function THelpDatabases.ShowHelpFile(

  const Filename: string;

  const Title: string;

  const MimeType: string;

  var ErrMsg: string

):TShowHelpResult; override;


THelpDatabases.ShowHelpForClass

Declaration

Source position: lazhelpintf.pas line 443

public function THelpDatabases.ShowHelpForClass(

  Query: THelpQueryClass;

  var ErrMsg: string

):TShowHelpResult; override;


THelpDatabases.ShowHelpForContext

Declaration

Source position: lazhelpintf.pas line 431

public function THelpDatabases.ShowHelpForContext(

  Query: THelpQueryContext;

  var ErrMsg: string

):TShowHelpResult; override;


THelpDatabases.ShowHelpForDirective

Declaration

Source position: lazhelpintf.pas line 435

public function THelpDatabases.ShowHelpForDirective(

  Query: THelpQueryDirective;

  var ErrMsg: string

):TShowHelpResult; override;


THelpDatabases.ShowHelpForKeyword

Declaration

Source position: lazhelpintf.pas line 433

public function THelpDatabases.ShowHelpForKeyword(

  Query: THelpQueryKeyword;

  var ErrMsg: string

):TShowHelpResult; override;


THelpDatabases.ShowHelpForMessageLine

Declaration

Source position: lazhelpintf.pas line 441

public function THelpDatabases.ShowHelpForMessageLine(

  Query: THelpQueryMessage;

  var ErrMsg: string

):TShowHelpResult; override;


THelpDatabases.ShowHelpForNodes

Declaration

Source position: lazhelpintf.pas line 427

public function THelpDatabases.ShowHelpForNodes(

  Query: THelpQuery;

  Nodes: THelpNodeQueryList;

  var ErrMsg: string

):TShowHelpResult; virtual;


THelpDatabases.ShowHelpForPascalContexts

Declaration

Source position: lazhelpintf.pas line 437

public function THelpDatabases.ShowHelpForPascalContexts(

  Query: THelpQueryPascalContexts;

  var ErrMsg: string

):TShowHelpResult; override;


THelpDatabases.ShowHelpForQuery

Declaration

Source position: lazhelpintf.pas line 429

public function THelpDatabases.ShowHelpForQuery(

  Query: THelpQuery;

  AutoFreeQuery: Boolean;

  var ErrMsg: string

):TShowHelpResult; override;


THelpDatabases.ShowHelpForSourcePosition

Declaration

Source position: lazhelpintf.pas line 439

public function THelpDatabases.ShowHelpForSourcePosition(

  Query: THelpQuerySourcePosition;

  var ErrMsg: string

):TShowHelpResult; override;


THelpDatabases.ShowHelpSelector

Declaration

Source position: lazhelpintf.pas line 469

public function THelpDatabases.ShowHelpSelector(

  Query: THelpQuery;

  Nodes: THelpNodeQueryList;

  var ErrMsg: string;

  var Selection: THelpNodeQuery

):TShowHelpResult; virtual;


THelpDatabases.ShowTableOfContents

Declaration

Source position: lazhelpintf.pas line 418

public function THelpDatabases.ShowTableOfContents(

  var ErrMsg: string

):TShowHelpResult; override;


THelpDatabases.SubstituteMacros

Declaration

Source position: lazhelpintf.pas line 424

public function THelpDatabases.SubstituteMacros(

  var s: string

):Boolean; virtual;


THelpDatabases.UnregisterHelpDatabaseClass

Declaration

Source position: lazhelpintf.pas line 476

public procedure THelpDatabases.UnregisterHelpDatabaseClass(

  AHelpDB: THelpDatabaseClass

);


THelpDBIClass

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Declaration

Source position: lazhelpintf.pas line 268

type THelpDBIClass = class(THelpDBItem)

public

  property TheClass: TClass; [rw]

end;

Inheritance

THelpDBIClass

|

THelpDBItem

|

TPersistent,IFPObserved
|

TObject


THelpDBIClass
 | TheClass
THelpDBItem
pl | Node
TPersistent
TObject


pl | Node (THelpDBItem)
 | TheClass (THelpDBIClass)


THelpDBIClass
THelpDBItem
 | Create
 | Destroy
TPersistent
 | AssignError
 | AssignTo
 | DefineProperties
 | GetOwner
 | Destroy
 | Assign
 | FPOAttachObserver
 | FPODetachObserver
 | FPONotifyObservers
 | GetNamePath
TObject
 | Create
 | Destroy
 | newinstance
 | FreeInstance
 | SafeCallException
 | DefaultHandler
 | Free
 | InitInstance
 | CleanupInstance
 | ClassType
 | ClassInfo
 | ClassName
 | ClassNameIs
 | ClassParent
 | InstanceSize
 | InheritsFrom
 | StringMessageTable
 | MethodAddress
 | MethodName
 | FieldAddress
 | AfterConstruction
 | BeforeDestruction
 | DefaultHandlerStr
 | Dispatch
 | DispatchStr
 | GetInterface
 | GetInterfaceByStr
 | GetInterfaceWeak
 | GetInterfaceEntry
 | GetInterfaceEntryByStr
 | GetInterfaceTable
 | UnitName
 | Equals
 | GetHashCode
 | ToString


AssignError (TPersistent)

AssignTo (TPersistent)

BeforeDestruction (TObject)

ClassInfo (TObject)

ClassName (TObject)

ClassNameIs (TObject)

ClassParent (TObject)

ClassType (TObject)

CleanupInstance (TObject)

Create (TObject)

Create (THelpDBItem)

DefaultHandler (TObject)

DefaultHandlerStr (TObject)

DefineProperties (TPersistent)

Destroy (TObject)

Destroy (TPersistent)

Destroy (THelpDBItem)

Dispatch (TObject)

DispatchStr (TObject)

Equals (TObject)

FieldAddress (TObject)

FPOAttachObserver (TPersistent)

FPODetachObserver (TPersistent)

FPONotifyObservers (TPersistent)

Free (TObject)

FreeInstance (TObject)

GetHashCode (TObject)

GetInterface (TObject)

GetInterfaceByStr (TObject)

GetInterfaceEntry (TObject)

GetInterfaceEntryByStr (TObject)

GetInterfaceTable (TObject)

GetInterfaceWeak (TObject)

GetNamePath (TPersistent)

GetOwner (TPersistent)

InheritsFrom (TObject)

InitInstance (TObject)

InstanceSize (TObject)

MethodAddress (TObject)

MethodName (TObject)

newinstance (TObject)

SafeCallException (TObject)

StringMessageTable (TObject)

ToString (TObject)

UnitName (TObject)


THelpDBIClass

THelpDBItem

TPersistent

TObject


THelpDBIClass.TheClass

Declaration

Source position: lazhelpintf.pas line 272

public property THelpDBIClass.TheClass : TClass
  read FTheClass
  write FTheClass;


THelpDBIMessage

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Declaration

Source position: lazhelpintf.pas line 283

type THelpDBIMessage = class(THelpDBItem)

public

  function MessageMatches(); virtual; abstract;

end;

Inheritance

THelpDBIMessage

|

THelpDBItem

|

TPersistent,IFPObserved
|

TObject


THelpDBIMessage

THelpDBItem

pl

Node

TPersistent

TObject


pl

Node (THelpDBItem)


THelpDBIMessage
 | MessageMatches
THelpDBItem
 | Create
 | Destroy
TPersistent
 | AssignError
 | AssignTo
 | DefineProperties
 | GetOwner
 | Destroy
 | Assign
 | FPOAttachObserver
 | FPODetachObserver
 | FPONotifyObservers
 | GetNamePath
TObject
 | Create
 | Destroy
 | newinstance
 | FreeInstance
 | SafeCallException
 | DefaultHandler
 | Free
 | InitInstance
 | CleanupInstance
 | ClassType
 | ClassInfo
 | ClassName
 | ClassNameIs
 | ClassParent
 | InstanceSize
 | InheritsFrom
 | StringMessageTable
 | MethodAddress
 | MethodName
 | FieldAddress
 | AfterConstruction
 | BeforeDestruction
 | DefaultHandlerStr
 | Dispatch
 | DispatchStr
 | GetInterface
 | GetInterfaceByStr
 | GetInterfaceWeak
 | GetInterfaceEntry
 | GetInterfaceEntryByStr
 | GetInterfaceTable
 | UnitName
 | Equals
 | GetHashCode
 | ToString


AssignError (TPersistent)

AssignTo (TPersistent)

BeforeDestruction (TObject)

ClassInfo (TObject)

ClassName (TObject)

ClassNameIs (TObject)

ClassParent (TObject)

ClassType (TObject)

CleanupInstance (TObject)

Create (TObject)

Create (THelpDBItem)

DefaultHandler (TObject)

DefaultHandlerStr (TObject)

DefineProperties (TPersistent)

Destroy (TObject)

Destroy (TPersistent)

Destroy (THelpDBItem)

Dispatch (TObject)

DispatchStr (TObject)

Equals (TObject)

FieldAddress (TObject)

FPOAttachObserver (TPersistent)

FPODetachObserver (TPersistent)

FPONotifyObservers (TPersistent)

Free (TObject)

FreeInstance (TObject)

GetHashCode (TObject)

GetInterface (TObject)

GetInterfaceByStr (TObject)

GetInterfaceEntry (TObject)

GetInterfaceEntryByStr (TObject)

GetInterfaceTable (TObject)

GetInterfaceWeak (TObject)

GetNamePath (TPersistent)

GetOwner (TPersistent)

InheritsFrom (TObject)

InitInstance (TObject)

InstanceSize (TObject)

MessageMatches (THelpDBIMessage)

MethodAddress (TObject)

MethodName (TObject)

newinstance (TObject)

SafeCallException (TObject)

StringMessageTable (TObject)

ToString (TObject)

UnitName (TObject)


THelpDBIMessage

THelpDBItem

TPersistent

TObject


THelpDBIMessage.MessageMatches

Declaration

Source position: lazhelpintf.pas line 285

public function THelpDBIMessage.MessageMatches(

  const TheMessage: string;

  MessageParts: TStrings

):Boolean; virtual; abstract;


THelpDBISourceDirectories

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Declaration

Source position: lazhelpintf.pas line 248

type THelpDBISourceDirectories = class(THelpDBISourceDirectory)

public

  constructor Create();

  function FileMatches(); override;

  function GetFullFilename; override;

  function GetBasePath; override;

published

  property BaseDirectory: string; [rw]

end;

Inheritance

THelpDBISourceDirectories
|

THelpDBISourceDirectory

|

THelpDBISourceFile

|

THelpDBItem

|

TPersistent,IFPObserved
|

TObject


THelpDBISourceDirectories
pl | BaseDirectory
THelpDBISourceDirectory
pl | FileMask
pl | WithSubDirectories
THelpDBISourceFile
pl | BasePathObject
pl | Filename
THelpDBItem
pl | Node
TPersistent
TObject


pl | BaseDirectory (THelpDBISourceDirectories)
pl | BasePathObject (THelpDBISourceFile)
pl | FileMask (THelpDBISourceDirectory)
pl | Filename (THelpDBISourceFile)
pl | Node (THelpDBItem)
pl | WithSubDirectories (THelpDBISourceDirectory)


THelpDBISourceDirectories
 | Create
 | FileMatches
 | GetFullFilename
 | GetBasePath
THelpDBISourceDirectory
 | Create
 | FileMatches
THelpDBISourceFile
 | Create
 | FileMatches
 | GetFullFilename
 | GetBasePath
THelpDBItem
 | Create
 | Destroy
TPersistent
 | AssignError
 | AssignTo
 | DefineProperties
 | GetOwner
 | Destroy
 | Assign
 | FPOAttachObserver
 | FPODetachObserver
 | FPONotifyObservers
 | GetNamePath
TObject
 | Create
 | Destroy
 | newinstance
 | FreeInstance
 | SafeCallException
 | DefaultHandler
 | Free
 | InitInstance
 | CleanupInstance
 | ClassType
 | ClassInfo
 | ClassName
 | ClassNameIs
 | ClassParent
 | InstanceSize
 | InheritsFrom
 | StringMessageTable
 | MethodAddress
 | MethodName
 | FieldAddress
 | AfterConstruction
 | BeforeDestruction
 | DefaultHandlerStr
 | Dispatch
 | DispatchStr
 | GetInterface
 | GetInterfaceByStr
 | GetInterfaceWeak
 | GetInterfaceEntry
 | GetInterfaceEntryByStr
 | GetInterfaceTable
 | UnitName
 | Equals
 | GetHashCode
 | ToString


AssignError (TPersistent)

AssignTo (TPersistent)

BeforeDestruction (TObject)

ClassInfo (TObject)

ClassName (TObject)

ClassNameIs (TObject)

ClassParent (TObject)

ClassType (TObject)

CleanupInstance (TObject)

Create (TObject)

Create (THelpDBItem)

Create (THelpDBISourceFile)

Create (THelpDBISourceDirectory)

Create (THelpDBISourceDirectories)

DefaultHandler (TObject)

DefaultHandlerStr (TObject)

DefineProperties (TPersistent)

Destroy (TObject)

Destroy (TPersistent)

Destroy (THelpDBItem)

Dispatch (TObject)

DispatchStr (TObject)

Equals (TObject)

FieldAddress (TObject)

FileMatches (THelpDBISourceFile)

FileMatches (THelpDBISourceDirectory)

FileMatches (THelpDBISourceDirectories)

FPOAttachObserver (TPersistent)

FPODetachObserver (TPersistent)

FPONotifyObservers (TPersistent)

Free (TObject)

FreeInstance (TObject)

GetBasePath (THelpDBISourceFile)

GetBasePath (THelpDBISourceDirectories)

GetFullFilename (THelpDBISourceFile)

GetFullFilename (THelpDBISourceDirectories)

GetHashCode (TObject)

GetInterface (TObject)

GetInterfaceByStr (TObject)

GetInterfaceEntry (TObject)

GetInterfaceEntryByStr (TObject)

GetInterfaceTable (TObject)

GetInterfaceWeak (TObject)

GetNamePath (TPersistent)

GetOwner (TPersistent)

InheritsFrom (TObject)

InitInstance (TObject)

InstanceSize (TObject)

MethodAddress (TObject)

MethodName (TObject)

newinstance (TObject)

SafeCallException (TObject)

StringMessageTable (TObject)

ToString (TObject)

UnitName (TObject)


THelpDBISourceDirectories

THelpDBISourceDirectory

THelpDBISourceFile

THelpDBItem

TPersistent

TObject


THelpDBISourceDirectories.BaseDirectory

Declaration

Source position: lazhelpintf.pas line 258

published property THelpDBISourceDirectories.BaseDirectory : string
  read FBaseDirectory
  write FBaseDirectory;


THelpDBISourceDirectories.GetBasePath

Declaration

Source position: lazhelpintf.pas line 256

public function THelpDBISourceDirectories.GetBasePath: string; override;


THelpDBISourceDirectories.GetFullFilename

Declaration

Source position: lazhelpintf.pas line 255

public function THelpDBISourceDirectories.GetFullFilename: string; override;


THelpDBISourceDirectory

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Declaration

Source position: lazhelpintf.pas line 223

type THelpDBISourceDirectory = class(THelpDBISourceFile)

public

  constructor Create();

  function FileMatches(); override;

published

  property FileMask: string; [rw]

  property WithSubDirectories: Boolean; [rw]

end;

Inheritance

THelpDBISourceDirectory

|

THelpDBISourceFile

|

THelpDBItem

|

TPersistent,IFPObserved
|

TObject


THelpDBISourceDirectory
pl | FileMask
pl | WithSubDirectories
THelpDBISourceFile
pl | BasePathObject
pl | Filename
THelpDBItem
pl | Node
TPersistent
TObject


pl | BasePathObject (THelpDBISourceFile)
pl | FileMask (THelpDBISourceDirectory)
pl | Filename (THelpDBISourceFile)
pl | Node (THelpDBItem)
pl | WithSubDirectories (THelpDBISourceDirectory)


THelpDBISourceDirectory
 | Create
 | FileMatches
THelpDBISourceFile
 | Create
 | FileMatches
 | GetFullFilename
 | GetBasePath
THelpDBItem
 | Create
 | Destroy
TPersistent
 | AssignError
 | AssignTo
 | DefineProperties
 | GetOwner
 | Destroy
 | Assign
 | FPOAttachObserver
 | FPODetachObserver
 | FPONotifyObservers
 | GetNamePath
TObject
 | Create
 | Destroy
 | newinstance
 | FreeInstance
 | SafeCallException
 | DefaultHandler
 | Free
 | InitInstance
 | CleanupInstance
 | ClassType
 | ClassInfo
 | ClassName
 | ClassNameIs
 | ClassParent
 | InstanceSize
 | InheritsFrom
 | StringMessageTable
 | MethodAddress
 | MethodName
 | FieldAddress
 | AfterConstruction
 | BeforeDestruction
 | DefaultHandlerStr
 | Dispatch
 | DispatchStr
 | GetInterface
 | GetInterfaceByStr
 | GetInterfaceWeak
 | GetInterfaceEntry
 | GetInterfaceEntryByStr
 | GetInterfaceTable
 | UnitName
 | Equals
 | GetHashCode
 | ToString


AssignError (TPersistent)

AssignTo (TPersistent)

BeforeDestruction (TObject)

ClassInfo (TObject)

ClassName (TObject)

ClassNameIs (TObject)

ClassParent (TObject)

ClassType (TObject)

CleanupInstance (TObject)

Create (TObject)

Create (THelpDBItem)

Create (THelpDBISourceFile)

Create (THelpDBISourceDirectory)

DefaultHandler (TObject)

DefaultHandlerStr (TObject)

DefineProperties (TPersistent)

Destroy (TObject)

Destroy (TPersistent)

Destroy (THelpDBItem)

Dispatch (TObject)

DispatchStr (TObject)

Equals (TObject)

FieldAddress (TObject)

FileMatches (THelpDBISourceFile)

FileMatches (THelpDBISourceDirectory)

FPOAttachObserver (TPersistent)

FPODetachObserver (TPersistent)

FPONotifyObservers (TPersistent)

Free (TObject)

FreeInstance (TObject)

GetBasePath (THelpDBISourceFile)

GetFullFilename (THelpDBISourceFile)

GetHashCode (TObject)

GetInterface (TObject)

GetInterfaceByStr (TObject)

GetInterfaceEntry (TObject)

GetInterfaceEntryByStr (TObject)

GetInterfaceTable (TObject)

GetInterfaceWeak (TObject)

GetNamePath (TPersistent)

GetOwner (TPersistent)

InheritsFrom (TObject)

InitInstance (TObject)

InstanceSize (TObject)

MethodAddress (TObject)

MethodName (TObject)

newinstance (TObject)

SafeCallException (TObject)

StringMessageTable (TObject)

ToString (TObject)

UnitName (TObject)


THelpDBISourceDirectory

THelpDBISourceFile

THelpDBItem

TPersistent

TObject


THelpDBISourceDirectory.Create

Declaration

Source position: lazhelpintf.pas line 228

public constructor THelpDBISourceDirectory.Create(

  TheNode: THelpNode;

  const Directory: string;

  const TheFileMask: string;

  Recursive: Boolean

);


THelpDBISourceDirectory.FileMask

Declaration

Source position: lazhelpintf.pas line 232

published property THelpDBISourceDirectory.FileMask : string
  read FFileMask
  write FFileMask;


THelpDBISourceDirectory.FileMatches

Declaration

Source position: lazhelpintf.pas line 230

public function THelpDBISourceDirectory.FileMatches(

  const AFilename: string

):Boolean; override;


THelpDBISourceDirectory.WithSubDirectories

Declaration

Source position: lazhelpintf.pas line 233

published property THelpDBISourceDirectory.WithSubDirectories : Boolean
  read FWithSubDirectories
  write FWithSubDirectories;


THelpDBISourceFile

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Declaration

Source position: lazhelpintf.pas line 197

type THelpDBISourceFile = class(THelpDBItem)

public

  constructor Create();

  function FileMatches(); virtual;

  function GetFullFilename; virtual;

  function GetBasePath; virtual;

published

  property BasePathObject: TObject; [rw]

  property Filename: string; [rw]

end;

Inheritance

THelpDBISourceFile

|

THelpDBItem

|

TPersistent,IFPObserved
|

TObject


THelpDBISourceFile
pl | BasePathObject
pl | Filename
THelpDBItem
pl | Node
TPersistent
TObject


pl | BasePathObject (THelpDBISourceFile)
pl | Filename (THelpDBISourceFile)
pl | Node (THelpDBItem)


THelpDBISourceFile
 | Create
 | FileMatches
 | GetFullFilename
 | GetBasePath
THelpDBItem
 | Create
 | Destroy
TPersistent
 | AssignError
 | AssignTo
 | DefineProperties
 | GetOwner
 | Destroy
 | Assign
 | FPOAttachObserver
 | FPODetachObserver
 | FPONotifyObservers
 | GetNamePath
TObject
 | Create
 | Destroy
 | newinstance
 | FreeInstance
 | SafeCallException
 | DefaultHandler
 | Free
 | InitInstance
 | CleanupInstance
 | ClassType
 | ClassInfo
 | ClassName
 | ClassNameIs
 | ClassParent
 | InstanceSize
 | InheritsFrom
 | StringMessageTable
 | MethodAddress
 | MethodName
 | FieldAddress
 | AfterConstruction
 | BeforeDestruction
 | DefaultHandlerStr
 | Dispatch
 | DispatchStr
 | GetInterface
 | GetInterfaceByStr
 | GetInterfaceWeak
 | GetInterfaceEntry
 | GetInterfaceEntryByStr
 | GetInterfaceTable
 | UnitName
 | Equals
 | GetHashCode
 | ToString


AssignError (TPersistent)

AssignTo (TPersistent)

BeforeDestruction (TObject)

ClassInfo (TObject)

ClassName (TObject)

ClassNameIs (TObject)

ClassParent (TObject)

ClassType (TObject)

CleanupInstance (TObject)

Create (TObject)

Create (THelpDBItem)

Create (THelpDBISourceFile)

DefaultHandler (TObject)

DefaultHandlerStr (TObject)

DefineProperties (TPersistent)

Destroy (TObject)

Destroy (TPersistent)

Destroy (THelpDBItem)

Dispatch (TObject)

DispatchStr (TObject)

Equals (TObject)

FieldAddress (TObject)

FileMatches (THelpDBISourceFile)

FPOAttachObserver (TPersistent)

FPODetachObserver (TPersistent)

FPONotifyObservers (TPersistent)

Free (TObject)

FreeInstance (TObject)

GetBasePath (THelpDBISourceFile)

GetFullFilename (THelpDBISourceFile)

GetHashCode (TObject)

GetInterface (TObject)

GetInterfaceByStr (TObject)

GetInterfaceEntry (TObject)

GetInterfaceEntryByStr (TObject)

GetInterfaceTable (TObject)

GetInterfaceWeak (TObject)

GetNamePath (TPersistent)

GetOwner (TPersistent)

InheritsFrom (TObject)

InitInstance (TObject)

InstanceSize (TObject)

MethodAddress (TObject)

MethodName (TObject)

newinstance (TObject)

SafeCallException (TObject)

StringMessageTable (TObject)

ToString (TObject)

UnitName (TObject)


THelpDBISourceFile

THelpDBItem

TPersistent

TObject


THelpDBISourceFile.BasePathObject

Declaration

Source position: lazhelpintf.pas line 208

published property THelpDBISourceFile.BasePathObject : TObject
  read FBasePathObject
  write FBasePathObject;


THelpDBISourceFile.Create

Declaration

Source position: lazhelpintf.pas line 203

public constructor THelpDBISourceFile.Create(

  TheNode: THelpNode;

  const TheFilename: string

);


THelpDBISourceFile.FileMatches

Declaration

Source position: lazhelpintf.pas line 204

public function THelpDBISourceFile.FileMatches(

  const AFilename: string

):Boolean; virtual;


THelpDBISourceFile.Filename

Declaration

Source position: lazhelpintf.pas line 209

published property THelpDBISourceFile.Filename : string
  read FFilename
  write SetFilename;


THelpDBISourceFile.GetBasePath

Declaration

Source position: lazhelpintf.pas line 206

public function THelpDBISourceFile.GetBasePath: string; virtual;


THelpDBISourceFile.GetFullFilename

Declaration

Source position: lazhelpintf.pas line 205

public function THelpDBISourceFile.GetFullFilename: string; virtual;


THelpDBItem

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Declaration

Source position: lazhelpintf.pas line 179

type THelpDBItem = class(TPersistent)

public

  constructor Create();

  destructor Destroy; override;

published

  property Node: THelpNode; [rw]

end;

Inheritance

THelpDBItem

|

TPersistent,IFPObserved
|

TObject


THelpDBItem

pl

Node

TPersistent

TObject


THelpDBItem
 | Create
 | Destroy
TPersistent
 | AssignError
 | AssignTo
 | DefineProperties
 | GetOwner
 | Destroy
 | Assign
 | FPOAttachObserver
 | FPODetachObserver
 | FPONotifyObservers
 | GetNamePath
TObject
 | Create
 | Destroy
 | newinstance
 | FreeInstance
 | SafeCallException
 | DefaultHandler
 | Free
 | InitInstance
 | CleanupInstance
 | ClassType
 | ClassInfo
 | ClassName
 | ClassNameIs
 | ClassParent
 | InstanceSize
 | InheritsFrom
 | StringMessageTable
 | MethodAddress
 | MethodName
 | FieldAddress
 | AfterConstruction
 | BeforeDestruction
 | DefaultHandlerStr
 | Dispatch
 | DispatchStr
 | GetInterface
 | GetInterfaceByStr
 | GetInterfaceWeak
 | GetInterfaceEntry
 | GetInterfaceEntryByStr
 | GetInterfaceTable
 | UnitName
 | Equals
 | GetHashCode
 | ToString


THelpDBItem

TPersistent

TObject


THelpDBItem.Create

Declaration

Source position: lazhelpintf.pas line 183

public constructor THelpDBItem.Create(

  TheNode: THelpNode

);


THelpDBItem.Destroy

Declaration

Source position: lazhelpintf.pas line 184

public destructor THelpDBItem.Destroy; override;


THelpDBItem.Node

Declaration

Source position: lazhelpintf.pas line 186

published property THelpDBItem.Node : THelpNode
  read FNode
  write FNode;


THelpNode

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Declaration

Source position: lazhelpintf.pas line 97

type THelpNode = class(TPersistent)

public

  constructor Create();

  constructor CreateURL();

  constructor CreateID();

  constructor CreateURLID();

  constructor CreateContext();

  constructor CreateURLContext();

  property Owner: THelpDatabase; [rw]

  function URLValid;

  function IDValid;

  function ContextValid;

  function AsString;

  procedure Assign(); override;

published

  property Title: string; [rw]

  property HelpType: THelpNodeType; [rw]

  property URL: string; [rw]

  property ID: string; [rw]

  property Context: THelpContext; [rw]

end;

Inheritance

THelpNode

|

TPersistent,IFPObserved
|

TObject


THelpNode
 | Owner
pl | Title
pl | HelpType
pl | URL
pl | ID
pl | Context
TPersistent
TObject


pl | Context (THelpNode)
pl | HelpType (THelpNode)
pl | ID (THelpNode)
 | Owner (THelpNode)
pl | Title (THelpNode)
pl | URL (THelpNode)


THelpNode
 | Create
 | CreateURL
 | CreateID
 | CreateURLID
 | CreateContext
 | CreateURLContext
 | URLValid
 | IDValid
 | ContextValid
 | AsString
 | Assign
TPersistent
 | AssignError
 | AssignTo
 | DefineProperties
 | GetOwner
 | Destroy
 | Assign
 | FPOAttachObserver
 | FPODetachObserver
 | FPONotifyObservers
 | GetNamePath
TObject
 | Create
 | Destroy
 | newinstance
 | FreeInstance
 | SafeCallException
 | DefaultHandler
 | Free
 | InitInstance
 | CleanupInstance
 | ClassType
 | ClassInfo
 | ClassName
 | ClassNameIs
 | ClassParent
 | InstanceSize
 | InheritsFrom
 | StringMessageTable
 | MethodAddress
 | MethodName
 | FieldAddress
 | AfterConstruction
 | BeforeDestruction
 | DefaultHandlerStr
 | Dispatch
 | DispatchStr
 | GetInterface
 | GetInterfaceByStr
 | GetInterfaceWeak
 | GetInterfaceEntry
 | GetInterfaceEntryByStr
 | GetInterfaceTable
 | UnitName
 | Equals
 | GetHashCode
 | ToString


AssignError (TPersistent)

AssignTo (TPersistent)

AsString (THelpNode)

BeforeDestruction (TObject)

ClassInfo (TObject)

ClassName (TObject)

ClassNameIs (TObject)

ClassParent (TObject)

ClassType (TObject)

CleanupInstance (TObject)

ContextValid (THelpNode)

Create (TObject)

Create (THelpNode)

CreateContext (THelpNode)

CreateID (THelpNode)

CreateURL (THelpNode)

CreateURLContext (THelpNode)

CreateURLID (THelpNode)

DefaultHandler (TObject)

DefaultHandlerStr (TObject)

DefineProperties (TPersistent)

Destroy (TObject)

Destroy (TPersistent)

Dispatch (TObject)

DispatchStr (TObject)

Equals (TObject)

FieldAddress (TObject)

FPOAttachObserver (TPersistent)

FPODetachObserver (TPersistent)

FPONotifyObservers (TPersistent)

Free (TObject)

FreeInstance (TObject)

GetHashCode (TObject)

GetInterface (TObject)

GetInterfaceByStr (TObject)

GetInterfaceEntry (TObject)

GetInterfaceEntryByStr (TObject)

GetInterfaceTable (TObject)

GetInterfaceWeak (TObject)

GetNamePath (TPersistent)

GetOwner (TPersistent)

IDValid (THelpNode)

InheritsFrom (TObject)

InitInstance (TObject)

InstanceSize (TObject)

MethodAddress (TObject)

MethodName (TObject)

newinstance (TObject)

SafeCallException (TObject)

StringMessageTable (TObject)

ToString (TObject)

UnitName (TObject)

URLValid (THelpNode)


THelpNode

TPersistent

TObject


THelpNode.Assign

Declaration

Source position: lazhelpintf.pas line 126

public procedure THelpNode.Assign(

  Source: TPersistent

); override;


THelpNode.AsString

Declaration

Source position: lazhelpintf.pas line 125

public function THelpNode.AsString: string;


THelpNode.Context

Declaration

Source position: lazhelpintf.pas line 132

published property THelpNode.Context : THelpContext
  read FContext
  write FContext;


THelpNode.ContextValid

Declaration

Source position: lazhelpintf.pas line 124

public function THelpNode.ContextValid: Boolean;


THelpNode.Create

Declaration

Source position: lazhelpintf.pas line 106

public constructor THelpNode.Create(

  TheOwner: THelpDatabase;

  Node: THelpNode

);

constructor THelpNode.Create(

  TheOwner: THelpDatabase;

  const TheTitle: string;

  const TheURL: string;

  const TheID: string;

  TheContext: THelpContext

);


THelpNode.CreateContext

Declaration

Source position: lazhelpintf.pas line 115

public constructor THelpNode.CreateContext(

  TheOwner: THelpDatabase;

  const TheTitle: string;

  TheContext: THelpContext

);


THelpNode.CreateID

Declaration

Source position: lazhelpintf.pas line 112

public constructor THelpNode.CreateID(

  TheOwner: THelpDatabase;

  const TheTitle: string;

  const TheID: string

);


THelpNode.CreateURL

Declaration

Source position: lazhelpintf.pas line 110

public constructor THelpNode.CreateURL(

  TheOwner: THelpDatabase;

  const TheTitle: string;

  const TheURL: string

);


THelpNode.CreateURLContext

Declaration

Source position: lazhelpintf.pas line 117

public constructor THelpNode.CreateURLContext(

  TheOwner: THelpDatabase;

  const TheTitle: string;

  const TheURL: string;

  TheContext: THelpContext

);


THelpNode.CreateURLID

Declaration

Source position: lazhelpintf.pas line 113

public constructor THelpNode.CreateURLID(

  TheOwner: THelpDatabase;

  const TheTitle: string;

  const TheURL: string;

  const TheID: string

);


THelpNode.HelpType

Declaration

Source position: lazhelpintf.pas line 129

published property THelpNode.HelpType : THelpNodeType
  read FHelpType
  write FHelpType;


THelpNode.ID

Declaration

Source position: lazhelpintf.pas line 131

published property THelpNode.ID : string
  read fID
  write fID;


THelpNode.IDValid

Declaration

Source position: lazhelpintf.pas line 123

public function THelpNode.IDValid: Boolean;


THelpNode.Owner

Declaration

Source position: lazhelpintf.pas line 121

public property THelpNode.Owner : THelpDatabase
  read FOwner
  write FOwner;


THelpNode.Title

Declaration

Source position: lazhelpintf.pas line 128

published property THelpNode.Title : string
  read FTitle
  write FTitle;


THelpNode.URL

Declaration

Source position: lazhelpintf.pas line 130

published property THelpNode.URL : string
  read FURL
  write FURL;


THelpNode.URLValid

Declaration

Source position: lazhelpintf.pas line 122

public function THelpNode.URLValid: Boolean;


THelpNodeQuery

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Declaration

Source position: lazhelpintf.pas line 138

type THelpNodeQuery = class

public

  constructor Create();

  function IsEqual();

  function AsString;

  property Node: THelpNode; [rw]

  property QueryItem: THelpQueryItem; [rw]

end;

Inheritance

THelpNodeQuery

|

TObject


THelpNodeQuery
 | Node
 | QueryItem


THelpNodeQuery
 | Create
 | IsEqual
 | AsString


THelpNodeQuery


THelpNodeQuery.AsString

Declaration

Source position: lazhelpintf.pas line 147

public function THelpNodeQuery.AsString: string;


THelpNodeQuery.Create

Declaration

Source position: lazhelpintf.pas line 143

public constructor THelpNodeQuery.Create;

constructor THelpNodeQuery.Create(

  TheNode: THelpNode;

  TheQueryItem: THelpQueryItem

);


THelpNodeQuery.IsEqual

Declaration

Source position: lazhelpintf.pas line 145

public function THelpNodeQuery.IsEqual(

  TheNode: THelpNode;

  TheQueryItem: THelpQueryItem

):Boolean;

function THelpNodeQuery.IsEqual(

  NodeQuery: THelpNodeQuery

):Boolean;


THelpNodeQuery.Node

Declaration

Source position: lazhelpintf.pas line 148

public property THelpNodeQuery.Node : THelpNode
  read FNode
  write FNode;


THelpNodeQuery.QueryItem

Declaration

Source position: lazhelpintf.pas line 149

public property THelpNodeQuery.QueryItem : THelpQueryItem
  read FQueryItem
  write FQueryItem;


THelpNodeQueryList

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Declaration

Source position: lazhelpintf.pas line 155

type THelpNodeQueryList = class

public

  constructor Create;

  destructor Destroy; override;

  function Count;

  function Add();

  procedure Delete();

  function IndexOf();

  procedure Clear;

  property Items []: THelpNodeQuery; default; [rw]

end;

Inheritance

THelpNodeQueryList

|

TObject


THelpNodeQueryList

Items


THelpNodeQueryList
 | Create
 | Destroy
 | Count
 | Add
 | Delete
 | IndexOf
 | Clear


Add (THelpNodeQueryList)

Clear (THelpNodeQueryList)

Count (THelpNodeQueryList)

Create (THelpNodeQueryList)

Delete (THelpNodeQueryList)

Destroy (THelpNodeQueryList)

IndexOf (THelpNodeQueryList)


THelpNodeQueryList


THelpNodeQueryList.Add

Declaration

Source position: lazhelpintf.pas line 164

public function THelpNodeQueryList.Add(

  NodeQuery: THelpNodeQuery

):Integer;

function THelpNodeQueryList.Add(

  Node: THelpNode;

  QueryItem: THelpQueryItem

):Integer;


THelpNodeQueryList.Clear

Declaration

Source position: lazhelpintf.pas line 169

public procedure THelpNodeQueryList.Clear;


THelpNodeQueryList.Count

Declaration

Source position: lazhelpintf.pas line 163

public function THelpNodeQueryList.Count: Integer;


THelpNodeQueryList.Create

Declaration

Source position: lazhelpintf.pas line 161

public constructor THelpNodeQueryList.Create;


THelpNodeQueryList.Delete

Declaration

Source position: lazhelpintf.pas line 166

public procedure THelpNodeQueryList.Delete(

  Index: Integer

);


THelpNodeQueryList.Destroy

Declaration

Source position: lazhelpintf.pas line 162

public destructor THelpNodeQueryList.Destroy; override;


THelpNodeQueryList.IndexOf

Declaration

Source position: lazhelpintf.pas line 167

public function THelpNodeQueryList.IndexOf(

  NodeQuery: THelpNodeQuery

):Integer;

function THelpNodeQueryList.IndexOf(

  Node: THelpNode;

  QueryItem: THelpQueryItem

):Integer;


THelpNodeQueryList.Items

Declaration

Source position: lazhelpintf.pas line 170

public property THelpNodeQueryList.Items[Index: Integer] : THelpNodeQuery
  read GetItems
  write SetItems;
  default;


THelpQueryItem

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Declaration

Source position: lazhelpintf.pas line 37

type THelpQueryItem = class

public

  function AsString; virtual; abstract;

  function IsEqual(); virtual;

end;

Inheritance

THelpQueryItem

|

TObject


THelpQueryItem


THelpQueryItem
 | AsString
 | IsEqual


THelpQueryItem.AsString

Declaration

Source position: lazhelpintf.pas line 39

public function THelpQueryItem.AsString: string; virtual; abstract;


THelpQueryItem.IsEqual

Declaration

Source position: lazhelpintf.pas line 40

public function THelpQueryItem.IsEqual(

  QueryItem: THelpQueryItem

):Boolean; virtual;


THelpQueryNode

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Declaration

Source position: lazhelpintf.pas line 292

type THelpQueryNode = class(THelpQuery)

public

  constructor Create();

  property Node: THelpNode; [rw]

end;

Inheritance

THelpQueryNode

|

THelpQuery

|

TPersistent,IFPObserved
|

TObject


THelpQueryNode
 | Node
THelpQuery
 | HelpDatabaseID
TPersistent
TObject


THelpQueryNode
 | Create
THelpQuery
 | Create
TPersistent
 | AssignError
 | AssignTo
 | DefineProperties
 | GetOwner
 | Destroy
 | Assign
 | FPOAttachObserver
 | FPODetachObserver
 | FPONotifyObservers
 | GetNamePath
TObject
 | Create
 | Destroy
 | newinstance
 | FreeInstance
 | SafeCallException
 | DefaultHandler
 | Free
 | InitInstance
 | CleanupInstance
 | ClassType
 | ClassInfo
 | ClassName
 | ClassNameIs
 | ClassParent
 | InstanceSize
 | InheritsFrom
 | StringMessageTable
 | MethodAddress
 | MethodName
 | FieldAddress
 | AfterConstruction
 | BeforeDestruction
 | DefaultHandlerStr
 | Dispatch
 | DispatchStr
 | GetInterface
 | GetInterfaceByStr
 | GetInterfaceWeak
 | GetInterfaceEntry
 | GetInterfaceEntryByStr
 | GetInterfaceTable
 | UnitName
 | Equals
 | GetHashCode
 | ToString


AssignError (TPersistent)

AssignTo (TPersistent)

BeforeDestruction (TObject)

ClassInfo (TObject)

ClassName (TObject)

ClassNameIs (TObject)

ClassParent (TObject)

ClassType (TObject)

CleanupInstance (TObject)

Create (TObject)

Create (THelpQuery)

Create (THelpQueryNode)

DefaultHandler (TObject)

DefaultHandlerStr (TObject)

DefineProperties (TPersistent)

Destroy (TObject)

Destroy (TPersistent)

Dispatch (TObject)

DispatchStr (TObject)

Equals (TObject)

FieldAddress (TObject)

FPOAttachObserver (TPersistent)

FPODetachObserver (TPersistent)

FPONotifyObservers (TPersistent)

Free (TObject)

FreeInstance (TObject)

GetHashCode (TObject)

GetInterface (TObject)

GetInterfaceByStr (TObject)

GetInterfaceEntry (TObject)

GetInterfaceEntryByStr (TObject)

GetInterfaceTable (TObject)

GetInterfaceWeak (TObject)

GetNamePath (TPersistent)

GetOwner (TPersistent)

InheritsFrom (TObject)

InitInstance (TObject)

InstanceSize (TObject)

MethodAddress (TObject)

MethodName (TObject)

newinstance (TObject)

SafeCallException (TObject)

StringMessageTable (TObject)

ToString (TObject)

UnitName (TObject)


THelpQueryNode

THelpQuery

TPersistent

TObject


THelpQueryNode.Create

Declaration

Source position: lazhelpintf.pas line 296

public constructor THelpQueryNode.Create(

  const TheHelpDatabaseID: THelpDatabaseID;

  const TheNode: THelpNode

);


THelpQueryNode.Node

Declaration

Source position: lazhelpintf.pas line 298

public property THelpQueryNode.Node : THelpNode
  read FNode
  write FNode;


THelpViewer

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Declaration

Source position: lazhelpintf.pas line 487

type THelpViewer = class(TComponent)

protected

  procedure SetSupportedMimeTypes(); virtual;

  procedure AddSupportedMimeType(); virtual;

public

  constructor Create(); override;

  destructor Destroy; override;

  function SupportsTableOfContents; virtual;

  procedure ShowTableOfContents(); virtual;

  function SupportsMimeType(); virtual;

  function ShowNode(); virtual;

  procedure Hide; virtual;

  procedure Assign(); override;

  procedure Load(); virtual;

  procedure Save(); virtual;

  function GetLocalizedName; virtual;

  procedure RegisterSelf; virtual;

  procedure UnregisterSelf; virtual;

  property SupportedMimeTypes: TStrings; [r]

  property ParameterHelp: string; [rw]

  property StorageName: string; [rw]

  property AutoRegister: Boolean; [rw]

end;

Inheritance

THelpViewer

|

TComponent,IUnknown,IInterfaceComponentReference
|

TPersistent,IFPObserved
|

TObject


THelpViewer
 | ro | SupportedMimeTypes
 |  | ParameterHelp
 |  | StorageName
 |  | AutoRegister
TComponent
 | ro | ComObject
 | ro | Components
 | ro | ComponentCount
 |  | ComponentIndex
 | ro | ComponentState
 | ro | ComponentStyle
 |  | DesignInfo
 | ro | Owner
 |  | VCLComObject
 |  | Name
 |  | Tag
TPersistent
TObject


ro | ComObject (TComponent)
ro | ComponentCount (TComponent)
 | ComponentIndex (TComponent)
ro | Components (TComponent)
ro | ComponentState (TComponent)
ro | ComponentStyle (TComponent)
 | DesignInfo (TComponent)
 | Name (TComponent)
ro | Owner (TComponent)
 | ParameterHelp (THelpViewer)
 | StorageName (THelpViewer)
ro | SupportedMimeTypes (THelpViewer)
 | Tag (TComponent)
 | VCLComObject (TComponent)


THelpViewer
pt | SetSupportedMimeTypes
pt | AddSupportedMimeType
 | Create
 | Destroy
 | SupportsTableOfContents
 | ShowTableOfContents
 | SupportsMimeType
 | ShowNode
 | Hide
 | Assign
 | Load
 | Save
 | GetLocalizedName
 | RegisterSelf
 | UnregisterSelf
TComponent
 | GetComObject
 | GetComponent
 | GetComponentCount
 | GetComponentIndex
 | Insert
 | ReadLeft
 | ReadTop
 | Remove
 | RemoveNotification
 | SetComponentIndex
 | SetReference
 | WriteLeft
 | WriteTop
 | ChangeName
 | DefineProperties
 | GetChildren
 | GetChildOwner
 | GetChildParent
 | GetOwner
 | Loaded
 | Loading
 | Notification
 | PaletteCreated
 | ReadState
 | SetAncestor
 | SetDesigning
 | SetDesignInstance
 | SetInline
 | SetName
 | SetChildOrder
 | SetParentComponent
 | Updating
 | Updated
 | UpdateRegistry
 | ValidateRename
 | ValidateContainer
 | ValidateInsert
 | QueryInterface
 | _AddRef
 | _Release
 | iicrGetComponent
 | GetTypeInfoCount
 | GetTypeInfo
 | GetIDsOfNames
 | Invoke
 | WriteState
 | Create
 | Destroy
 | BeforeDestruction
 | DestroyComponents
 | Destroying
 | ExecuteAction
 | FindComponent
 | FreeNotification
 | RemoveFreeNotification
 | FreeOnRelease
 | GetEnumerator
 | GetNamePath
 | GetParentComponent
 | HasParent
 | InsertComponent
 | RemoveComponent
 | SafeCallException
 | SetSubComponent
 | UpdateAction
 | IsImplementorOf
 | ReferenceInterface
TPersistent
 | AssignError
 | AssignTo
 | DefineProperties
 | GetOwner
 | Destroy
 | Assign
 | FPOAttachObserver
 | FPODetachObserver
 | FPONotifyObservers
 | GetNamePath
TObject
 | Create
 | Destroy
 | newinstance
 | FreeInstance
 | SafeCallException
 | DefaultHandler
 | Free
 | InitInstance
 | CleanupInstance
 | ClassType
 | ClassInfo
 | ClassName
 | ClassNameIs
 | ClassParent
 | InstanceSize
 | InheritsFrom
 | StringMessageTable
 | MethodAddress
 | MethodName
 | FieldAddress
 | AfterConstruction
 | BeforeDestruction
 | DefaultHandlerStr
 | Dispatch
 | DispatchStr
 | GetInterface
 | GetInterfaceByStr
 | GetInterfaceWeak
 | GetInterfaceEntry
 | GetInterfaceEntryByStr
 | GetInterfaceTable
 | UnitName
 | Equals
 | GetHashCode
 | ToString


pt | AddSupportedMimeType (THelpViewer)
 | AfterConstruction (TObject)
 | Assign (TPersistent)
 | Assign (THelpViewer)
 | AssignError (TPersistent)
 | AssignTo (TPersistent)
 | BeforeDestruction (TObject)
 | BeforeDestruction (TComponent)
 | ChangeName (TComponent)
 | ClassInfo (TObject)
 | ClassName (TObject)
 | ClassNameIs (TObject)
 | ClassParent (TObject)
 | ClassType (TObject)
 | CleanupInstance (TObject)
 | Create (TObject)
 | Create (TComponent)
 | Create (THelpViewer)
 | DefaultHandler (TObject)
 | DefaultHandlerStr (TObject)
 | DefineProperties (TPersistent)
 | DefineProperties (TComponent)
 | Destroy (TObject)
 | Destroy (TPersistent)
 | Destroy (TComponent)
 | Destroy (THelpViewer)
 | DestroyComponents (TComponent)
 | Destroying (TComponent)
 | Dispatch (TObject)
 | DispatchStr (TObject)
 | Equals (TObject)
 | ExecuteAction (TComponent)
 | FieldAddress (TObject)
 | FindComponent (TComponent)
 | FPOAttachObserver (TPersistent)
 | FPODetachObserver (TPersistent)
 | FPONotifyObservers (TPersistent)
 | Free (TObject)
 | FreeInstance (TObject)
 | FreeNotification (TComponent)
 | FreeOnRelease (TComponent)
 | GetChildOwner (TComponent)
 | GetChildParent (TComponent)
 | GetChildren (TComponent)
 | GetComObject (TComponent)
 | GetComponent (TComponent)
 | GetComponentCount (TComponent)
 | GetComponentIndex (TComponent)
 | GetEnumerator (TComponent)
 | GetHashCode (TObject)
 | GetIDsOfNames (TComponent)
 | GetInterface (TObject)
 | GetInterfaceByStr (TObject)
 | GetInterfaceEntry (TObject)
 | GetInterfaceEntryByStr (TObject)
 | GetInterfaceTable (TObject)
 | GetInterfaceWeak (TObject)
 | GetLocalizedName (THelpViewer)
 | GetNamePath (TPersistent)
 | GetNamePath (TComponent)
 | GetOwner (TPersistent)
 | GetOwner (TComponent)
 | GetParentComponent (TComponent)
 | GetTypeInfo (TComponent)
 | GetTypeInfoCount (TComponent)
 | HasParent (TComponent)
 | Hide (THelpViewer)
 | iicrGetComponent (TComponent)
 | InheritsFrom (TObject)
 | InitInstance (TObject)
 | Insert (TComponent)
 | InsertComponent (TComponent)
 | InstanceSize (TObject)
 | Invoke (TComponent)
 | IsImplementorOf (TComponent)
 | Load (THelpViewer)
 | Loaded (TComponent)
 | Loading (TComponent)
 | MethodAddress (TObject)
 | MethodName (TObject)
 | newinstance (TObject)
 | Notification (TComponent)
 | PaletteCreated (TComponent)
 | QueryInterface (TComponent)
 | ReadLeft (TComponent)
 | ReadState (TComponent)
 | ReadTop (TComponent)
 | ReferenceInterface (TComponent)
 | RegisterSelf (THelpViewer)
 | Remove (TComponent)
 | RemoveComponent (TComponent)
 | RemoveFreeNotification (TComponent)
 | RemoveNotification (TComponent)
 | SafeCallException (TObject)
 | SafeCallException (TComponent)
 | Save (THelpViewer)
 | SetAncestor (TComponent)
 | SetChildOrder (TComponent)
 | SetComponentIndex (TComponent)
 | SetDesigning (TComponent)
 | SetDesignInstance (TComponent)
 | SetInline (TComponent)
 | SetName (TComponent)
 | SetParentComponent (TComponent)
 | SetReference (TComponent)
 | SetSubComponent (TComponent)
pt | SetSupportedMimeTypes (THelpViewer)
 | ShowNode (THelpViewer)
 | ShowTableOfContents (THelpViewer)
 | StringMessageTable (TObject)
 | SupportsMimeType (THelpViewer)
 | SupportsTableOfContents (THelpViewer)
 | ToString (TObject)
 | UnitName (TObject)
 | UnregisterSelf (THelpViewer)
 | UpdateAction (TComponent)
 | Updated (TComponent)
 | UpdateRegistry (TComponent)
 | Updating (TComponent)
 | ValidateContainer (TComponent)
 | ValidateInsert (TComponent)
 | ValidateRename (TComponent)
 | WriteLeft (TComponent)
 | WriteState (TComponent)
 | WriteTop (TComponent)
 | _AddRef (TComponent)
 | _Release (TComponent)


THelpViewer

TComponent

TPersistent

TObject


THelpViewer.AddSupportedMimeType

Declaration

Source position: lazhelpintf.pas line 496

protected procedure THelpViewer.AddSupportedMimeType(

  const AMimeType: string

); virtual;


THelpViewer.Assign

Declaration

Source position: lazhelpintf.pas line 505

public procedure THelpViewer.Assign(

  Source: TPersistent

); override;


THelpViewer.AutoRegister

Declaration

Source position: lazhelpintf.pas line 515

public property THelpViewer.AutoRegister : Boolean
  read FAutoRegister
  write SetAutoRegister;


THelpViewer.Create

Declaration

Source position: lazhelpintf.pas line 498

public constructor THelpViewer.Create(

  TheOwner: TComponent

); override;


THelpViewer.Destroy

Declaration

Source position: lazhelpintf.pas line 499

public destructor THelpViewer.Destroy; override;


THelpViewer.GetLocalizedName

Declaration

Source position: lazhelpintf.pas line 508

public function THelpViewer.GetLocalizedName: string; virtual;


THelpViewer.Hide

Declaration

Source position: lazhelpintf.pas line 504

public procedure THelpViewer.Hide; virtual;


THelpViewer.Load

Declaration

Source position: lazhelpintf.pas line 506

public procedure THelpViewer.Load(

  Storage: TConfigStorage

); virtual;


THelpViewer.ParameterHelp

Declaration

Source position: lazhelpintf.pas line 513

public property THelpViewer.ParameterHelp : string
  read FParameterHelp
  write FParameterHelp;


THelpViewer.RegisterSelf

Declaration

Source position: lazhelpintf.pas line 509

public procedure THelpViewer.RegisterSelf; virtual;


THelpViewer.Save

Declaration

Source position: lazhelpintf.pas line 507

public procedure THelpViewer.Save(

  Storage: TConfigStorage

); virtual;


THelpViewer.SetSupportedMimeTypes

Declaration

Source position: lazhelpintf.pas line 495

protected procedure THelpViewer.SetSupportedMimeTypes(

  List: TStrings

); virtual;


THelpViewer.ShowNode

Declaration

Source position: lazhelpintf.pas line 503

public function THelpViewer.ShowNode(

  Node: THelpNode;

  var ErrMsg: string

):TShowHelpResult; virtual;


THelpViewer.ShowTableOfContents

Declaration

Source position: lazhelpintf.pas line 501

public procedure THelpViewer.ShowTableOfContents(

  Node: THelpNode

); virtual;


THelpViewer.StorageName

Declaration

Source position: lazhelpintf.pas line 514

public property THelpViewer.StorageName : string
  read FStorageName
  write FStorageName;


THelpViewer.SupportedMimeTypes

Declaration

Source position: lazhelpintf.pas line 512

public property THelpViewer.SupportedMimeTypes : TStrings
  read FSupportedMimeTypes;


THelpViewer.SupportsMimeType

Declaration

Source position: lazhelpintf.pas line 502

public function THelpViewer.SupportsMimeType(

  const AMimeType: string

):Boolean; virtual;


THelpViewer.SupportsTableOfContents

Declaration

Source position: lazhelpintf.pas line 500

public function THelpViewer.SupportsTableOfContents: Boolean; virtual;


THelpViewer.UnregisterSelf

Declaration

Source position: lazhelpintf.pas line 510

public procedure THelpViewer.UnregisterSelf; virtual;


THelpViewerClass

Declaration

Source position: lazhelpintf.pas line 518

type THelpViewerClass = class of THelpViewer;


THelpViewers

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Declaration

Source position: lazhelpintf.pas line 523

type THelpViewers = class

public

  constructor Create;

  destructor Destroy; override;

  procedure Clear;

  function Count;

  function GetViewersSupportingMimeType();

  procedure RegisterViewer();

  procedure UnregisterViewer();

  procedure Load(); virtual;

  procedure Save(); virtual;

  function IndexOf();

  property Items []: THelpViewer; default; [r]

end;

Inheritance

THelpViewers

|

TObject


THelpViewers

ro

Items


ro

Items (THelpViewers)


THelpViewers
 | Create
 | Destroy
 | Clear
 | Count
 | GetViewersSupportingMimeType
 | RegisterViewer
 | UnregisterViewer
 | Load
 | Save
 | IndexOf


Clear (THelpViewers)

Count (THelpViewers)

Create (THelpViewers)

Destroy (THelpViewers)

GetViewersSupportingMimeType (THelpViewers)

IndexOf (THelpViewers)

Load (THelpViewers)

RegisterViewer (THelpViewers)

Save (THelpViewers)

UnregisterViewer (THelpViewers)


THelpViewers


THelpViewers.Clear

Declaration

Source position: lazhelpintf.pas line 531

public procedure THelpViewers.Clear;


THelpViewers.Count

Declaration

Source position: lazhelpintf.pas line 532

public function THelpViewers.Count: Integer;


THelpViewers.Create

Declaration

Source position: lazhelpintf.pas line 529

public constructor THelpViewers.Create;


THelpViewers.Destroy

Declaration

Source position: lazhelpintf.pas line 530

public destructor THelpViewers.Destroy; override;


THelpViewers.GetViewersSupportingMimeType

Declaration

Source position: lazhelpintf.pas line 533

public function THelpViewers.GetViewersSupportingMimeType(

  const MimeType: string

):TList;


THelpViewers.IndexOf

Declaration

Source position: lazhelpintf.pas line 538

public function THelpViewers.IndexOf(

  AHelpViewer: THelpViewer

):Integer;


THelpViewers.Items

Declaration

Source position: lazhelpintf.pas line 540

public property THelpViewers.Items[Index: Integer] : THelpViewer
  read GetItems;
  default;


THelpViewers.Load

Declaration

Source position: lazhelpintf.pas line 536

public procedure THelpViewers.Load(

  Storage: TConfigStorage

); virtual;


THelpViewers.RegisterViewer

Declaration

Source position: lazhelpintf.pas line 534

public procedure THelpViewers.RegisterViewer(

  AHelpViewer: THelpViewer

);


THelpViewers.Save

Declaration

Source position: lazhelpintf.pas line 537

public procedure THelpViewers.Save(

  Storage: TConfigStorage

); virtual;


THelpViewers.UnregisterViewer

Declaration

Source position: lazhelpintf.pas line 535

public procedure THelpViewers.UnregisterViewer(

  AHelpViewer: THelpViewer

);


TPascalHelpContextList

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Declaration

Source position: lazhelpintf.pas line 61

type TPascalHelpContextList = class(THelpQueryItem)

public

  procedure Add();

  procedure Insert();

  procedure Clear;

  destructor Destroy; override;

  function IsEqual(); override;

  function CompareList();

  function AsString; override;

  property Count: Integer; [r]

  property Items []: TPascalHelpContext; [r]

  property List: TPascalHelpContextPtr; [r]

end;

Inheritance

TPascalHelpContextList

|

THelpQueryItem

|

TObject


TPascalHelpContextList
 | ro | Count
 | ro | Items
 | ro | List
THelpQueryItem


ro | Count (TPascalHelpContextList)
ro | Items (TPascalHelpContextList)
ro | List (TPascalHelpContextList)


TPascalHelpContextList
 | Add
 | Insert
 | Clear
 | Destroy
 | IsEqual
 | CompareList
 | AsString
THelpQueryItem
 | AsString
 | IsEqual


Add (TPascalHelpContextList)

AsString (THelpQueryItem)

AsString (TPascalHelpContextList)

Clear (TPascalHelpContextList)

CompareList (TPascalHelpContextList)

Destroy (TPascalHelpContextList)

Insert (TPascalHelpContextList)

IsEqual (THelpQueryItem)

IsEqual (TPascalHelpContextList)


TPascalHelpContextList

THelpQueryItem


TPascalHelpContextList.Add

Declaration

Source position: lazhelpintf.pas line 67

public procedure TPascalHelpContextList.Add(

  const Context: TPascalHelpContext

);

procedure TPascalHelpContextList.Add(

  Descriptor: TPascalHelpContextType;

  const Context: string

);


TPascalHelpContextList.AsString

Declaration

Source position: lazhelpintf.pas line 74

public function TPascalHelpContextList.AsString: string; override;


TPascalHelpContextList.Clear

Declaration

Source position: lazhelpintf.pas line 70

public procedure TPascalHelpContextList.Clear;


TPascalHelpContextList.CompareList

Declaration

Source position: lazhelpintf.pas line 73

public function TPascalHelpContextList.CompareList(

  AList: TPascalHelpContextList

):Integer;


TPascalHelpContextList.Count

Declaration

Source position: lazhelpintf.pas line 76

public property TPascalHelpContextList.Count : Integer
  read FCount;


TPascalHelpContextList.Destroy

Declaration

Source position: lazhelpintf.pas line 71

public destructor TPascalHelpContextList.Destroy; override;


TPascalHelpContextList.Insert

Declaration

Source position: lazhelpintf.pas line 69

public procedure TPascalHelpContextList.Insert(

  Index: Integer;

  const Context: TPascalHelpContext

);


TPascalHelpContextList.IsEqual

Declaration

Source position: lazhelpintf.pas line 72

public function TPascalHelpContextList.IsEqual(

  QueryItem: THelpQueryItem

):Boolean; override;


TPascalHelpContextList.Items

Declaration

Source position: lazhelpintf.pas line 77

public property TPascalHelpContextList.Items[Index: Integer] : TPascalHelpContext
  read GetItems;


TPascalHelpContextList.List

Declaration

Source position: lazhelpintf.pas line 78

public property TPascalHelpContextList.List : TPascalHelpContextPtr
  read fItems;


TLazRegion

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Declaration

Source position: lazregions.pas line 61

type TLazRegion = class(TFPCustomRegion)

public

  Parts: TFPList;

  IsSimpleRectRegion: Boolean;

  Rect: TRect;

  constructor Create; virtual;

  destructor Destroy; override;

  procedure Assign();

  procedure Clear;

  procedure CombineWith();

  function GetRegionKind;

  function IsSimpleRectEmpty;

  procedure AddPart();

  procedure AddRectangle();

  procedure AddPolygon();

  procedure AddEllipse();

  procedure SetAsSimpleRectRegion();

  procedure AddPartsFromRegion();

  procedure DoChangeToComplexRegion;

  function GetBoundingRect; override;

  function IsPointInRegion(); override;

end;

Inheritance

TLazRegion

|

TFPCustomRegion
?

TObject


TLazRegion


TLazRegion
 | Create
 | Destroy
 | Assign
 | Clear
 | CombineWith
 | GetRegionKind
 | IsSimpleRectEmpty
 | AddPart
 | AddRectangle
 | AddPolygon
 | AddEllipse
 | SetAsSimpleRectRegion
 | AddPartsFromRegion
 | DoChangeToComplexRegion
 | GetBoundingRect
 | IsPointInRegion


AddEllipse (TLazRegion)

AddPart (TLazRegion)

AddPartsFromRegion (TLazRegion)

AddPolygon (TLazRegion)

AddRectangle (TLazRegion)

Assign (TLazRegion)

Clear (TLazRegion)

CombineWith (TLazRegion)

Create (TLazRegion)

Destroy (TLazRegion)

DoChangeToComplexRegion (TLazRegion)

GetBoundingRect (TLazRegion)

GetRegionKind (TLazRegion)

IsPointInRegion (TLazRegion)

IsSimpleRectEmpty (TLazRegion)

SetAsSimpleRectRegion (TLazRegion)


TLazRegion.AddEllipse

Declaration

Source position: lazregions.pas line 82

public procedure TLazRegion.AddEllipse(

  AX1: Integer;

  AY1: Integer;

  AX2: Integer;

  AY2: Integer

);


TLazRegion.AddPart

Declaration

Source position: lazregions.pas line 79

public procedure TLazRegion.AddPart(

  APart: TLazRegionPart

);


TLazRegion.AddPartsFromRegion

Declaration

Source position: lazregions.pas line 84

public procedure TLazRegion.AddPartsFromRegion(

  ASrcRegion: TLazRegion

);


TLazRegion.AddPolygon

Declaration

Source position: lazregions.pas line 81

public procedure TLazRegion.AddPolygon(

  var APoints: TPointArray;

  AFillMode: TLazRegionFillMode

);


TLazRegion.AddRectangle

Declaration

Source position: lazregions.pas line 80

public procedure TLazRegion.AddRectangle(

  ARect: TRect

);


TLazRegion.Assign

Declaration

Source position: lazregions.pas line 73

public procedure TLazRegion.Assign(

  ASrcRegion: TLazRegion

);


TLazRegion.Clear

Declaration

Source position: lazregions.pas line 74

public procedure TLazRegion.Clear;


TLazRegion.CombineWith

Declaration

Source position: lazregions.pas line 75

public procedure TLazRegion.CombineWith(

  ASrcRegion: TLazRegion;

  AOperation: LongInt

);


TLazRegion.Create

Declaration

Source position: lazregions.pas line 70

public constructor TLazRegion.Create; virtual;


TLazRegion.Destroy

Declaration

Source position: lazregions.pas line 71

public destructor TLazRegion.Destroy; override;


TLazRegion.DoChangeToComplexRegion

Declaration

Source position: lazregions.pas line 85

public procedure TLazRegion.DoChangeToComplexRegion;


TLazRegion.GetBoundingRect

Declaration

Source position: lazregions.pas line 87

public function TLazRegion.GetBoundingRect: TRect; override;


TLazRegion.GetRegionKind

Declaration

Source position: lazregions.pas line 76

public function TLazRegion.GetRegionKind: LongInt;


TLazRegion.IsPointInRegion

Declaration

Source position: lazregions.pas line 88

public function TLazRegion.IsPointInRegion(

  AX: Integer;

  AY: Integer

):Boolean; override;


TLazRegion.IsSimpleRectEmpty

Declaration

Source position: lazregions.pas line 77

public function TLazRegion.IsSimpleRectEmpty: Boolean;


TLazRegion.IsSimpleRectRegion

Declaration

Source position: lazregions.pas line 68

public TLazRegion.IsSimpleRectRegion : Boolean;


TLazRegion.Parts

Declaration

Source position: lazregions.pas line 67

public TLazRegion.Parts : TFPList;


TLazRegion.Rect

Declaration

Source position: lazregions.pas line 69

public TLazRegion.Rect : TRect;


TLazRegion.SetAsSimpleRectRegion

Declaration

Source position: lazregions.pas line 83

public procedure TLazRegion.SetAsSimpleRectRegion(

  ARect: TRect

);


TLazRegionEllipse

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Declaration

Source position: lazregions.pas line 48

type TLazRegionEllipse = class(TLazRegionPart)

public

  X1: Integer;

  Y1: Integer;

  X2: Integer;

  Y2: Integer;

  function IsPointInPart(); override;

end;

Inheritance

TLazRegionEllipse
|

TLazRegionPart

|

TObject


TLazRegionEllipse

TLazRegionPart


TLazRegionEllipse
 | IsPointInPart
TLazRegionPart
 | GetBoundingRect
 | IsPointInPart


TLazRegionEllipse.X1

Declaration

Source position: lazregions.pas line 50

public TLazRegionEllipse.X1 : Integer;


TLazRegionEllipse.X2

Declaration

Source position: lazregions.pas line 50

public TLazRegionEllipse.X2 : Integer;


TLazRegionEllipse.Y1

Declaration

Source position: lazregions.pas line 50

public TLazRegionEllipse.Y1 : Integer;


TLazRegionEllipse.Y2

Declaration

Source position: lazregions.pas line 50

public TLazRegionEllipse.Y2 : Integer;


TLazRegionPart

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Declaration

Source position: lazregions.pas line 23

type TLazRegionPart = class

public

  function GetBoundingRect; virtual;

  function IsPointInPart(); virtual;

end;

Inheritance

TLazRegionPart

|

TObject


TLazRegionPart


TLazRegionPart
 | GetBoundingRect
 | IsPointInPart


TLazRegionPart.GetBoundingRect

Declaration

Source position: lazregions.pas line 25

public function TLazRegionPart.GetBoundingRect: TRect; virtual;


TLazRegionPart.IsPointInPart

Declaration

Source position: lazregions.pas line 26

public function TLazRegionPart.IsPointInPart(

  AX: Integer;

  AY: Integer

):Boolean; virtual;


TLazRegionPolygon

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Declaration

Source position: lazregions.pas line 39

type TLazRegionPolygon = class(TLazRegionPart)

public

  Points: ;

  FillMode: TLazRegionFillMode;

  function IsPointInPart(); override;

end;

Inheritance

TLazRegionPolygon

|

TLazRegionPart

|

TObject


TLazRegionPolygon

TLazRegionPart


TLazRegionPolygon
 | IsPointInPart
TLazRegionPart
 | GetBoundingRect
 | IsPointInPart


TLazRegionPolygon.FillMode

Declaration

Source position: lazregions.pas line 42

public TLazRegionPolygon.FillMode : TLazRegionFillMode;


TLazRegionPolygon.IsPointInPart

Declaration

Source position: lazregions.pas line 43

public function TLazRegionPolygon.IsPointInPart(

  AX: Integer;

  AY: Integer

):Boolean; override;


TLazRegionPolygon.Points

Declaration

Source position: lazregions.pas line 41

public TLazRegionPolygon.Points : array of TPoint;


TLazRegionRect

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Declaration

Source position: lazregions.pas line 31

type TLazRegionRect = class(TLazRegionPart)

public

  Rect: TRect;

  function IsPointInPart(); override;

end;

Inheritance

TLazRegionRect

|

TLazRegionPart

|

TObject


TLazRegionRect

TLazRegionPart


TLazRegionRect
 | IsPointInPart
TLazRegionPart
 | GetBoundingRect
 | IsPointInPart


TLazRegionRect.IsPointInPart

Declaration

Source position: lazregions.pas line 34

public function TLazRegionRect.IsPointInPart(

  AX: Integer;

  AY: Integer

):Boolean; override;


TLazRegionRect.Rect

Declaration

Source position: lazregions.pas line 33

public TLazRegionRect.Rect : TRect;


TLazRegionWithChilds

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Declaration

Source position: lazregions.pas line 95

type TLazRegionWithChilds = class(TLazRegion)

public

  Parent: TLazRegionWithChilds;

  Childs: TFPList;

  UserData: TObject;

  constructor Create; override;

  destructor Destroy; override;

  function IsPointInRegion(); virtual;

end;

Inheritance

TLazRegionWithChilds

|

TLazRegion

|

TFPCustomRegion
?

TObject


TLazRegionWithChilds

TLazRegion


TLazRegionWithChilds
 | Create
 | Destroy
 | IsPointInRegion
TLazRegion
 | Create
 | Destroy
 | Assign
 | Clear
 | CombineWith
 | GetRegionKind
 | IsSimpleRectEmpty
 | AddPart
 | AddRectangle
 | AddPolygon
 | AddEllipse
 | SetAsSimpleRectRegion
 | AddPartsFromRegion
 | DoChangeToComplexRegion
 | GetBoundingRect
 | IsPointInRegion


AddEllipse (TLazRegion)

AddPart (TLazRegion)

AddPartsFromRegion (TLazRegion)

AddPolygon (TLazRegion)

AddRectangle (TLazRegion)

Assign (TLazRegion)

Clear (TLazRegion)

CombineWith (TLazRegion)

Create (TLazRegion)

Create (TLazRegionWithChilds)

Destroy (TLazRegion)

Destroy (TLazRegionWithChilds)

DoChangeToComplexRegion (TLazRegion)

GetBoundingRect (TLazRegion)

GetRegionKind (TLazRegion)

IsPointInRegion (TLazRegion)

IsPointInRegion (TLazRegionWithChilds)

IsSimpleRectEmpty (TLazRegion)

SetAsSimpleRectRegion (TLazRegion)


TLazRegionWithChilds.Childs

Declaration

Source position: lazregions.pas line 100

public TLazRegionWithChilds.Childs : TFPList;


TLazRegionWithChilds.Create

Declaration

Source position: lazregions.pas line 102

public constructor TLazRegionWithChilds.Create; override;


TLazRegionWithChilds.Destroy

Declaration

Source position: lazregions.pas line 103

public destructor TLazRegionWithChilds.Destroy; override;


TLazRegionWithChilds.IsPointInRegion

Declaration

Source position: lazregions.pas line 104

public function TLazRegionWithChilds.IsPointInRegion(

  AX: Integer;

  AY: Integer

):TLazRegionWithChilds; virtual;


TLazRegionWithChilds.Parent

Declaration

Source position: lazregions.pas line 97

public TLazRegionWithChilds.Parent : TLazRegionWithChilds;


TLazRegionWithChilds.UserData

Declaration

Source position: lazregions.pas line 101

public TLazRegionWithChilds.UserData : TObject;


TLCLComponent

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

The base class for LCL components associated with widgets.

Declaration

Source position: lclclasses.pp line 42

type TLCLComponent = class(TComponent)
protected
class procedure WSRegisterClass; virtual; | Registers this component class with the current WidgetSet.
class function GetWSComponentClass(); virtual; | This method allows descendents to override the WidgetSetClass.
public
constructor Create(); override;
destructor Destroy; override;
class function NewInstance; override; | Registers the class and initializes WidgetSetClass.
procedure RemoveAllHandlersOfObject(); virtual; | Override this method to remove all references to notification handlers in AnObject.
procedure IncLCLRefCount;
procedure DecLCLRefCount;
property LCLRefCount: Integer; [r] | The number of references to this component.
property WidgetSetClass: TWSLCLComponentClass; [r] | The widget for this component is derived from WidgetSetClass.
end;

Inheritance

TLCLComponent

The base class for LCL components associated with widgets.

|

TComponent,IUnknown,IInterfaceComponentReference
|

TPersistent,IFPObserved
|

TObject


TLCLComponent
 | ro | LCLRefCount
 | ro | WidgetSetClass
TComponent
 | ro | ComObject
 | ro | Components
 | ro | ComponentCount
 |  | ComponentIndex
 | ro | ComponentState
 | ro | ComponentStyle
 |  | DesignInfo
 | ro | Owner
 |  | VCLComObject
 |  | Name
 |  | Tag
TPersistent
TObject


ro | ComObject (TComponent)
ro | ComponentCount (TComponent)
 | ComponentIndex (TComponent)
ro | Components (TComponent)
ro | ComponentState (TComponent)
ro | ComponentStyle (TComponent)
 | DesignInfo (TComponent)
ro | LCLRefCount (TLCLComponent)
 | Name (TComponent)
ro | Owner (TComponent)
 | Tag (TComponent)
 | VCLComObject (TComponent)
ro | WidgetSetClass (TLCLComponent)


TLCLComponent
pt | WSRegisterClass
pt | GetWSComponentClass
 | Create
 | Destroy
 | NewInstance
 | RemoveAllHandlersOfObject
 | IncLCLRefCount
 | DecLCLRefCount
TComponent
 | GetComObject
 | GetComponent
 | GetComponentCount
 | GetComponentIndex
 | Insert
 | ReadLeft
 | ReadTop
 | Remove
 | RemoveNotification
 | SetComponentIndex
 | SetReference
 | WriteLeft
 | WriteTop
 | ChangeName
 | DefineProperties
 | GetChildren
 | GetChildOwner
 | GetChildParent
 | GetOwner
 | Loaded
 | Loading
 | Notification
 | PaletteCreated
 | ReadState
 | SetAncestor
 | SetDesigning
 | SetDesignInstance
 | SetInline
 | SetName
 | SetChildOrder
 | SetParentComponent
 | Updating
 | Updated
 | UpdateRegistry
 | ValidateRename
 | ValidateContainer
 | ValidateInsert
 | QueryInterface
 | _AddRef
 | _Release
 | iicrGetComponent
 | GetTypeInfoCount
 | GetTypeInfo
 | GetIDsOfNames
 | Invoke
 | WriteState
 | Create
 | Destroy
 | BeforeDestruction
 | DestroyComponents
 | Destroying
 | ExecuteAction
 | FindComponent
 | FreeNotification
 | RemoveFreeNotification
 | FreeOnRelease
 | GetEnumerator
 | GetNamePath
 | GetParentComponent
 | HasParent
 | InsertComponent
 | RemoveComponent
 | SafeCallException
 | SetSubComponent
 | UpdateAction
 | IsImplementorOf
 | ReferenceInterface
TPersistent
 | AssignError
 | AssignTo
 | DefineProperties
 | GetOwner
 | Destroy
 | Assign
 | FPOAttachObserver
 | FPODetachObserver
 | FPONotifyObservers
 | GetNamePath
TObject
 | Create
 | Destroy
 | newinstance
 | FreeInstance
 | SafeCallException
 | DefaultHandler
 | Free
 | InitInstance
 | CleanupInstance
 | ClassType
 | ClassInfo
 | ClassName
 | ClassNameIs
 | ClassParent
 | InstanceSize
 | InheritsFrom
 | StringMessageTable
 | MethodAddress
 | MethodName
 | FieldAddress
 | AfterConstruction
 | BeforeDestruction
 | DefaultHandlerStr
 | Dispatch
 | DispatchStr
 | GetInterface
 | GetInterfaceByStr
 | GetInterfaceWeak
 | GetInterfaceEntry
 | GetInterfaceEntryByStr
 | GetInterfaceTable
 | UnitName
 | Equals
 | GetHashCode
 | ToString


 | AssignError (TPersistent)
 | AssignTo (TPersistent)
 | BeforeDestruction (TObject)
 | BeforeDestruction (TComponent)
 | ChangeName (TComponent)
 | ClassInfo (TObject)
 | ClassName (TObject)
 | ClassNameIs (TObject)
 | ClassParent (TObject)
 | ClassType (TObject)
 | CleanupInstance (TObject)
 | Create (TObject)
 | Create (TComponent)
 | Create (TLCLComponent)
 | DecLCLRefCount (TLCLComponent)
 | DefaultHandler (TObject)
 | DefaultHandlerStr (TObject)
 | DefineProperties (TPersistent)
 | DefineProperties (TComponent)
 | Destroy (TObject)
 | Destroy (TPersistent)
 | Destroy (TComponent)
 | Destroy (TLCLComponent)
 | DestroyComponents (TComponent)
 | Destroying (TComponent)
 | Dispatch (TObject)
 | DispatchStr (TObject)
 | Equals (TObject)
 | ExecuteAction (TComponent)
 | FieldAddress (TObject)
 | FindComponent (TComponent)
 | FPOAttachObserver (TPersistent)
 | FPODetachObserver (TPersistent)
 | FPONotifyObservers (TPersistent)
 | Free (TObject)
 | FreeInstance (TObject)
 | FreeNotification (TComponent)
 | FreeOnRelease (TComponent)
 | GetChildOwner (TComponent)
 | GetChildParent (TComponent)
 | GetChildren (TComponent)
 | GetComObject (TComponent)
 | GetComponent (TComponent)
 | GetComponentCount (TComponent)
 | GetComponentIndex (TComponent)
 | GetEnumerator (TComponent)
 | GetHashCode (TObject)
 | GetIDsOfNames (TComponent)
 | GetInterface (TObject)
 | GetInterfaceByStr (TObject)
 | GetInterfaceEntry (TObject)
 | GetInterfaceEntryByStr (TObject)
 | GetInterfaceTable (TObject)
 | GetInterfaceWeak (TObject)
 | GetNamePath (TPersistent)
 | GetNamePath (TComponent)
 | GetOwner (TPersistent)
 | GetOwner (TComponent)
 | GetParentComponent (TComponent)
 | GetTypeInfo (TComponent)
 | GetTypeInfoCount (TComponent)
pt | GetWSComponentClass (TLCLComponent)
 | HasParent (TComponent)
 | iicrGetComponent (TComponent)
 | IncLCLRefCount (TLCLComponent)
 | InheritsFrom (TObject)
 | InitInstance (TObject)
 | Insert (TComponent)
 | InsertComponent (TComponent)
 | InstanceSize (TObject)
 | Invoke (TComponent)
 | IsImplementorOf (TComponent)
 | Loaded (TComponent)
 | Loading (TComponent)
 | MethodAddress (TObject)
 | MethodName (TObject)
 | newinstance (TObject)
 | NewInstance (TLCLComponent)
 | Notification (TComponent)
 | PaletteCreated (TComponent)
 | QueryInterface (TComponent)
 | ReadLeft (TComponent)
 | ReadState (TComponent)
 | ReadTop (TComponent)
 | ReferenceInterface (TComponent)
 | Remove (TComponent)
 | RemoveAllHandlersOfObject (TLCLComponent)
 | RemoveComponent (TComponent)
 | RemoveFreeNotification (TComponent)
 | RemoveNotification (TComponent)
 | SafeCallException (TObject)
 | SafeCallException (TComponent)
 | SetAncestor (TComponent)
 | SetChildOrder (TComponent)
 | SetComponentIndex (TComponent)
 | SetDesigning (TComponent)
 | SetDesignInstance (TComponent)
 | SetInline (TComponent)
 | SetName (TComponent)
 | SetParentComponent (TComponent)
 | SetReference (TComponent)
 | SetSubComponent (TComponent)
 | StringMessageTable (TObject)
 | ToString (TObject)
 | UnitName (TObject)
 | UpdateAction (TComponent)
 | Updated (TComponent)
 | UpdateRegistry (TComponent)
 | Updating (TComponent)
 | ValidateContainer (TComponent)
 | ValidateInsert (TComponent)
 | ValidateRename (TComponent)
 | WriteLeft (TComponent)
 | WriteState (TComponent)
 | WriteTop (TComponent)
pt | WSRegisterClass (TLCLComponent)
 | _AddRef (TComponent)
 | _Release (TComponent)


TLCLComponent

TComponent

TPersistent

TObject


TLCLComponent.Create

Declaration

Source position: lclclasses.pp line 50

public constructor TLCLComponent.Create(

  TheOwner: TComponent

); override;


TLCLComponent.Destroy

Declaration

Source position: lclclasses.pp line 51

public destructor TLCLComponent.Destroy; override;


TLCLComponent.GetWSComponentClass

This method allows descendents to override the WidgetSetClass.

Declaration

Source position: lclclasses.pp line 48

protected class function TLCLComponent.GetWSComponentClass(

  ASelf: TLCLComponent

):TWSLCLComponentClass; virtual;


TLCLComponent.LCLRefCount

The number of references to this component.

Declaration

Source position: lclclasses.pp line 56

public property TLCLComponent.LCLRefCount : Integer
  read FLCLRefCount;


TLCLComponent.NewInstance

Registers the class and initializes WidgetSetClass.

Declaration

Source position: lclclasses.pp line 52

public class function TLCLComponent.NewInstance: TObject; override;

See also

TLCLComponent.WidgetSetClass

The widget for this component is derived from WidgetSetClass.

TObject.NewInstance


TLCLComponent.RemoveAllHandlersOfObject

Override this method to remove all references to notification handlers in AnObject.

Declaration

Source position: lclclasses.pp line 53

public procedure TLCLComponent.RemoveAllHandlersOfObject(

  AnObject: TObject

); virtual;

Arguments

AnObject

The object whose handlers shall be removed.

Description

An override is required as soon as a component allows one to add notification handlers. Then all such handlers must be removed, when their owner (AnObject) is destroyed.


TLCLComponent.WidgetSetClass

The widget for this component is derived from WidgetSetClass.

Declaration

Source position: lclclasses.pp line 57

public property TLCLComponent.WidgetSetClass : TWSLCLComponentClass
  read FWidgetSetClass;


TLCLComponent.WSRegisterClass

Registers this component class with the current WidgetSet.

Declaration

Source position: lclclasses.pp line 47

protected class procedure TLCLComponent.WSRegisterClass; virtual;


TLCLReferenceComponent

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Base class for all components having an associated widget.

Declaration

Source position: lclclasses.pp line 64

type TLCLReferenceComponent = class(TLCLComponent)
protected
procedure CreateParams(); virtual; | Override this method to supply specific widget creation parameters.
procedure DestroyReference; | Destroys the reference object.
function GetReferenceHandle; virtual; abstract; | Override this method to return the Handle from the reference
procedure ReferenceCreated; virtual; | Called after the Reference is created.
procedure ReferenceDestroying; virtual; | Called before the Reference is destroyed
procedure ReferenceNeeded; | Creates a Reference, if not already done.
function WSCreateReference(); virtual; | Tells the widgetset to create a Reference.
procedure WSDestroyReference; virtual; | Tells the widgetset to destroy the Reference.
public
destructor Destroy; override;
property HandleAllocated: Boolean; [r]
property ReferenceAllocated: Boolean; [r] | If True, a Reference has been allocated for this component.
end;

Inheritance

TLCLReferenceComponent | Base class for all components having an associated widget.
|
TLCLComponent | The base class for LCL components associated with widgets.
|
TComponent,IUnknown,IInterfaceComponentReference
|
TPersistent,IFPObserved
|
TObject

Description

The widget is created by the LCL control whenever required, and its reference is stored in FReferencePtr. This reference is for internal use by the LCL control, not by application code.

This reference is different from the OS/window manager specific window Handle.

Applications only can send messages to a windowed control, using its window Handle.

See also

TLCLReferenceComponent.ReferenceNeeded

Creates a Reference, if not already done.


TLCLReferenceComponent
 | ro | HandleAllocated
 | ro | ReferenceAllocated
TLCLComponent
 | ro | LCLRefCount
 | ro | WidgetSetClass
TComponent
 | ro | ComObject
 | ro | Components
 | ro | ComponentCount
 |  | ComponentIndex
 | ro | ComponentState
 | ro | ComponentStyle
 |  | DesignInfo
 | ro | Owner
 |  | VCLComObject
 |  | Name
 |  | Tag
TPersistent
TObject


ro | ComObject (TComponent)
ro | ComponentCount (TComponent)
 | ComponentIndex (TComponent)
ro | Components (TComponent)
ro | ComponentState (TComponent)
ro | ComponentStyle (TComponent)
 | DesignInfo (TComponent)
ro | HandleAllocated (TLCLReferenceComponent)
ro | LCLRefCount (TLCLComponent)
 | Name (TComponent)
ro | Owner (TComponent)
ro | ReferenceAllocated (TLCLReferenceComponent)
 | Tag (TComponent)
 | VCLComObject (TComponent)
ro | WidgetSetClass (TLCLComponent)


TLCLReferenceComponent
pt | CreateParams
pt | DestroyReference
pt | GetReferenceHandle
pt | ReferenceCreated
pt | ReferenceDestroying
pt | ReferenceNeeded
pt | WSCreateReference
pt | WSDestroyReference
 | Destroy
TLCLComponent
pt | WSRegisterClass
pt | GetWSComponentClass
 | Create
 | Destroy
 | NewInstance
 | RemoveAllHandlersOfObject
 | IncLCLRefCount
 | DecLCLRefCount
TComponent
 | GetComObject
 | GetComponent
 | GetComponentCount
 | GetComponentIndex
 | Insert
 | ReadLeft
 | ReadTop
 | Remove
 | RemoveNotification
 | SetComponentIndex
 | SetReference
 | WriteLeft
 | WriteTop
 | ChangeName
 | DefineProperties
 | GetChildren
 | GetChildOwner
 | GetChildParent
 | GetOwner
 | Loaded
 | Loading
 | Notification
 | PaletteCreated
 | ReadState
 | SetAncestor
 | SetDesigning
 | SetDesignInstance
 | SetInline
 | SetName
 | SetChildOrder
 | SetParentComponent
 | Updating
 | Updated
 | UpdateRegistry
 | ValidateRename
 | ValidateContainer
 | ValidateInsert
 | QueryInterface
 | _AddRef
 | _Release
 | iicrGetComponent
 | GetTypeInfoCount
 | GetTypeInfo
 | GetIDsOfNames
 | Invoke
 | WriteState
 | Create
 | Destroy
 | BeforeDestruction
 | DestroyComponents
 | Destroying
 | ExecuteAction
 | FindComponent
 | FreeNotification
 | RemoveFreeNotification
 | FreeOnRelease
 | GetEnumerator
 | GetNamePath
 | GetParentComponent
 | HasParent
 | InsertComponent
 | RemoveComponent
 | SafeCallException
 | SetSubComponent
 | UpdateAction
 | IsImplementorOf
 | ReferenceInterface
TPersistent
 | AssignError
 | AssignTo
 | DefineProperties
 | GetOwner
 | Destroy
 | Assign
 | FPOAttachObserver
 | FPODetachObserver
 | FPONotifyObservers
 | GetNamePath
TObject
 | Create
 | Destroy
 | newinstance
 | FreeInstance
 | SafeCallException
 | DefaultHandler
 | Free
 | InitInstance
 | CleanupInstance
 | ClassType
 | ClassInfo
 | ClassName
 | ClassNameIs
 | ClassParent
 | InstanceSize
 | InheritsFrom
 | StringMessageTable
 | MethodAddress
 | MethodName
 | FieldAddress
 | AfterConstruction
 | BeforeDestruction
 | DefaultHandlerStr
 | Dispatch
 | DispatchStr
 | GetInterface
 | GetInterfaceByStr
 | GetInterfaceWeak
 | GetInterfaceEntry
 | GetInterfaceEntryByStr
 | GetInterfaceTable
 | UnitName
 | Equals
 | GetHashCode
 | ToString


 | AssignError (TPersistent)
 | AssignTo (TPersistent)
 | BeforeDestruction (TObject)
 | BeforeDestruction (TComponent)
 | ChangeName (TComponent)
 | ClassInfo (TObject)
 | ClassName (TObject)
 | ClassNameIs (TObject)
 | ClassParent (TObject)
 | ClassType (TObject)
 | CleanupInstance (TObject)
 | Create (TObject)
 | Create (TComponent)
 | Create (TLCLComponent)
pt | CreateParams (TLCLReferenceComponent)
 | DecLCLRefCount (TLCLComponent)
 | DefaultHandler (TObject)
 | DefaultHandlerStr (TObject)
 | DefineProperties (TPersistent)
 | DefineProperties (TComponent)
 | Destroy (TObject)
 | Destroy (TPersistent)
 | Destroy (TComponent)
 | Destroy (TLCLComponent)
 | Destroy (TLCLReferenceComponent)
 | DestroyComponents (TComponent)
 | Destroying (TComponent)
pt | DestroyReference (TLCLReferenceComponent)
 | Dispatch (TObject)
 | DispatchStr (TObject)
 | Equals (TObject)
 | ExecuteAction (TComponent)
 | FieldAddress (TObject)
 | FindComponent (TComponent)
 | FPOAttachObserver (TPersistent)
 | FPODetachObserver (TPersistent)
 | FPONotifyObservers (TPersistent)
 | Free (TObject)
 | FreeInstance (TObject)
 | FreeNotification (TComponent)
 | FreeOnRelease (TComponent)
 | GetChildOwner (TComponent)
 | GetChildParent (TComponent)
 | GetChildren (TComponent)
 | GetComObject (TComponent)
 | GetComponent (TComponent)
 | GetComponentCount (TComponent)
 | GetComponentIndex (TComponent)
 | GetEnumerator (TComponent)
 | GetHashCode (TObject)
 | GetIDsOfNames (TComponent)
 | GetInterface (TObject)
 | GetInterfaceByStr (TObject)
 | GetInterfaceEntry (TObject)
 | GetInterfaceEntryByStr (TObject)
 | GetInterfaceTable (TObject)
 | GetInterfaceWeak (TObject)
 | GetNamePath (TPersistent)
 | GetNamePath (TComponent)
 | GetOwner (TPersistent)
 | GetOwner (TComponent)
 | GetParentComponent (TComponent)
pt | GetReferenceHandle (TLCLReferenceComponent)
 | GetTypeInfo (TComponent)
 | GetTypeInfoCount (TComponent)
pt | GetWSComponentClass (TLCLComponent)
 | HasParent (TComponent)
 | iicrGetComponent (TComponent)
 | IncLCLRefCount (TLCLComponent)
 | InheritsFrom (TObject)
 | InitInstance (TObject)
 | Insert (TComponent)
 | InsertComponent (TComponent)
 | InstanceSize (TObject)
 | Invoke (TComponent)
 | IsImplementorOf (TComponent)
 | Loaded (TComponent)
 | Loading (TComponent)
 | MethodAddress (TObject)
 | MethodName (TObject)
 | newinstance (TObject)
 | NewInstance (TLCLComponent)
 | Notification (TComponent)
 | PaletteCreated (TComponent)
 | QueryInterface (TComponent)
 | ReadLeft (TComponent)
 | ReadState (TComponent)
 | ReadTop (TComponent)
pt | ReferenceCreated (TLCLReferenceComponent)
pt | ReferenceDestroying (TLCLReferenceComponent)
 | ReferenceInterface (TComponent)
pt | ReferenceNeeded (TLCLReferenceComponent)
 | Remove (TComponent)
 | RemoveAllHandlersOfObject (TLCLComponent)
 | RemoveComponent (TComponent)
 | RemoveFreeNotification (TComponent)
 | RemoveNotification (TComponent)
 | SafeCallException (TObject)
 | SafeCallException (TComponent)
 | SetAncestor (TComponent)
 | SetChildOrder (TComponent)
 | SetComponentIndex (TComponent)
 | SetDesigning (TComponent)
 | SetDesignInstance (TComponent)
 | SetInline (TComponent)
 | SetName (TComponent)
 | SetParentComponent (TComponent)
 | SetReference (TComponent)
 | SetSubComponent (TComponent)
 | StringMessageTable (TObject)
 | ToString (TObject)
 | UnitName (TObject)
 | UpdateAction (TComponent)
 | Updated (TComponent)
 | UpdateRegistry (TComponent)
 | Updating (TComponent)
 | ValidateContainer (TComponent)
 | ValidateInsert (TComponent)
 | ValidateRename (TComponent)
 | WriteLeft (TComponent)
 | WriteState (TComponent)
 | WriteTop (TComponent)
pt | WSCreateReference (TLCLReferenceComponent)
pt | WSDestroyReference (TLCLReferenceComponent)
pt | WSRegisterClass (TLCLComponent)
 | _AddRef (TComponent)
 | _Release (TComponent)


TLCLReferenceComponent

TLCLComponent

TComponent

TPersistent

TObject


TLCLReferenceComponent.CreateParams

Override this method to supply specific widget creation parameters.

Declaration

Source position: lclclasses.pp line 72

protected procedure TLCLReferenceComponent.CreateParams(

  var AParams: TCreateParams

); virtual;

Arguments

AParams

The parameter record to update.


TLCLReferenceComponent.Destroy

Declaration

Source position: lclclasses.pp line 82

public destructor TLCLReferenceComponent.Destroy; override;


TLCLReferenceComponent.DestroyReference

Destroys the reference object.

Declaration

Source position: lclclasses.pp line 73

protected procedure TLCLReferenceComponent.DestroyReference;


TLCLReferenceComponent.GetReferenceHandle

Override this method to return the Handle from the reference

Declaration

Source position: lclclasses.pp line 74

protected function TLCLReferenceComponent.GetReferenceHandle: THandle; virtual; abstract;


TLCLReferenceComponent.ReferenceAllocated

If True, a Reference has been allocated for this component.

Declaration

Source position: lclclasses.pp line 84

public property TLCLReferenceComponent.ReferenceAllocated : Boolean
  read GetReferenceAllocated;


TLCLReferenceComponent.ReferenceCreated

Called after the Reference is created.

Declaration

Source position: lclclasses.pp line 75

protected procedure TLCLReferenceComponent.ReferenceCreated; virtual;


TLCLReferenceComponent.ReferenceDestroying

Called before the Reference is destroyed

Declaration

Source position: lclclasses.pp line 76

protected procedure TLCLReferenceComponent.ReferenceDestroying; virtual;


TLCLReferenceComponent.ReferenceNeeded

Creates a Reference, if not already done.

Declaration

Source position: lclclasses.pp line 77

protected procedure TLCLReferenceComponent.ReferenceNeeded;


TLCLReferenceComponent.WSCreateReference

Tells the widgetset to create a Reference.

Declaration

Source position: lclclasses.pp line 78

protected function TLCLReferenceComponent.WSCreateReference(

  AParams: TCreateParams

):PWSReference; virtual;

Description

This implementation returns Nil, should be overriden in every derived class.


TLCLReferenceComponent.WSDestroyReference

Tells the widgetset to destroy the Reference.

Declaration

Source position: lclclasses.pp line 79

protected procedure TLCLReferenceComponent.WSDestroyReference; virtual;


TExtMemoryStream

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Declaration

Source position: lclmemmanager.pas line 95

type TExtMemoryStream = class(TMemoryStream)

protected

  function Realloc(); override;

public

  property Capacity;

end;

Inheritance

TExtMemoryStream

|

TMemoryStream
|

TCustomMemoryStream
|

TStream
|

TObject


TExtMemoryStream
 | ro | Capacity
TMemoryStream
 |  | Capacity
TCustomMemoryStream
 | ro | Memory
TStream
 |  | Position
 |  | Size
TObject


 | Capacity (TMemoryStream)
ro | Capacity (TExtMemoryStream)
ro | Memory (TCustomMemoryStream)
 | Position (TStream)
 | Size (TStream)


TExtMemoryStream
pt | Realloc
TMemoryStream
 | SetCapacity
 | Realloc
 | Destroy
 | Clear
 | LoadFromStream
 | LoadFromFile
 | SetSize
 | Write
TCustomMemoryStream
 | GetSize
 | GetPosition
 | SetPointer
 | Read
 | Seek
 | SaveToStream
 | SaveToFile
TStream
 | InvalidSeek
 | Discard
 | DiscardLarge
 | FakeSeekForward
 | GetPosition
 | SetPosition
 | GetSize
 | SetSize64
 | SetSize
 | ReadNotImplemented
 | WriteNotImplemented
 | Read
 | Write
 | Seek
 | ReadBuffer
 | WriteBuffer
 | CopyFrom
 | ReadComponent
 | ReadComponentRes
 | WriteComponent
 | WriteComponentRes
 | WriteDescendent
 | WriteDescendentRes
 | WriteResourceHeader
 | FixupResourceHeader
 | ReadResHeader
 | ReadByte
 | ReadWord
 | ReadDWord
 | ReadQWord
 | ReadAnsiString
 | WriteByte
 | WriteWord
 | WriteDWord
 | WriteQWord
 | WriteAnsiString
TObject
 | Create
 | Destroy
 | newinstance
 | FreeInstance
 | SafeCallException
 | DefaultHandler
 | Free
 | InitInstance
 | CleanupInstance
 | ClassType
 | ClassInfo
 | ClassName
 | ClassNameIs
 | ClassParent
 | InstanceSize
 | InheritsFrom
 | StringMessageTable
 | MethodAddress
 | MethodName
 | FieldAddress
 | AfterConstruction
 | BeforeDestruction
 | DefaultHandlerStr
 | Dispatch
 | DispatchStr
 | GetInterface
 | GetInterfaceByStr
 | GetInterfaceWeak
 | GetInterfaceEntry
 | GetInterfaceEntryByStr
 | GetInterfaceTable
 | UnitName
 | Equals
 | GetHashCode
 | ToString


 | AfterConstruction (TObject)
 | BeforeDestruction (TObject)
 | ClassInfo (TObject)
 | ClassName (TObject)
 | ClassNameIs (TObject)
 | ClassParent (TObject)
 | ClassType (TObject)
 | CleanupInstance (TObject)
 | Clear (TMemoryStream)
 | CopyFrom (TStream)
 | Create (TObject)
 | DefaultHandler (TObject)
 | DefaultHandlerStr (TObject)
 | Destroy (TObject)
 | Destroy (TMemoryStream)
 | Discard (TStream)
 | DiscardLarge (TStream)
 | Dispatch (TObject)
 | DispatchStr (TObject)
 | Equals (TObject)
 | FakeSeekForward (TStream)
 | FieldAddress (TObject)
 | FixupResourceHeader (TStream)
 | Free (TObject)
 | FreeInstance (TObject)
 | GetHashCode (TObject)
 | GetInterface (TObject)
 | GetInterfaceByStr (TObject)
 | GetInterfaceEntry (TObject)
 | GetInterfaceEntryByStr (TObject)
 | GetInterfaceTable (TObject)
 | GetInterfaceWeak (TObject)
 | GetPosition (TStream)
 | GetPosition (TCustomMemoryStream)
 | GetSize (TStream)
 | GetSize (TCustomMemoryStream)
 | InheritsFrom (TObject)
 | InitInstance (TObject)
 | InstanceSize (TObject)
 | InvalidSeek (TStream)
 | LoadFromFile (TMemoryStream)
 | LoadFromStream (TMemoryStream)
 | MethodAddress (TObject)
 | MethodName (TObject)
 | newinstance (TObject)
 | Read (TStream)
 | Read (TCustomMemoryStream)
 | ReadAnsiString (TStream)
 | ReadBuffer (TStream)
 | ReadByte (TStream)
 | ReadComponent (TStream)
 | ReadComponentRes (TStream)
 | ReadDWord (TStream)
 | ReadNotImplemented (TStream)
 | ReadQWord (TStream)
 | ReadResHeader (TStream)
 | ReadWord (TStream)
 | Realloc (TMemoryStream)
pt | Realloc (TExtMemoryStream)
 | SafeCallException (TObject)
 | SaveToFile (TCustomMemoryStream)
 | SaveToStream (TCustomMemoryStream)
 | Seek (TStream)
 | Seek (TCustomMemoryStream)
 | SetCapacity (TMemoryStream)
 | SetPointer (TCustomMemoryStream)
 | SetPosition (TStream)
 | SetSize (TStream)
 | SetSize (TMemoryStream)
 | SetSize64 (TStream)
 | StringMessageTable (TObject)
 | ToString (TObject)
 | UnitName (TObject)
 | Write (TStream)
 | Write (TMemoryStream)
 | WriteAnsiString (TStream)
 | WriteBuffer (TStream)
 | WriteByte (TStream)
 | WriteComponent (TStream)
 | WriteComponentRes (TStream)
 | WriteDescendent (TStream)
 | WriteDescendentRes (TStream)
 | WriteDWord (TStream)
 | WriteNotImplemented (TStream)
 | WriteQWord (TStream)
 | WriteResourceHeader (TStream)
 | WriteWord (TStream)


TExtMemoryStream

TMemoryStream

TCustomMemoryStream

TStream

TObject


TExtMemoryStream.Capacity

Declaration

Source position: lclmemmanager.pas line 99

public property TExtMemoryStream.Capacity;


TExtMemoryStream.Realloc

Declaration

Source position: lclmemmanager.pas line 97

protected function TExtMemoryStream.Realloc(

  var NewCapacity: TStreamSizeType

):Pointer; override;


TLCLMemManager

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Declaration

Source position: lclmemmanager.pas line 34

type TLCLMemManager = class

protected

  FFirstFree: PLCLMemManagerItem;

  FFreeCount: Integer;

  FCount: Integer;

  FMinFree: Integer;

  FMaxFreeRatio: Integer;

  FAllocatedCount: Int64;

  FFreedCount: Int64;

  procedure DisposeItem();

  function NewItem;

  procedure FreeFirstItem; virtual;

public

  property MinimumFreeCount: Integer; [rw]

  property MaximumFreeCountRatio: Integer; [rw]

  property Count: Integer; [r]

  property FreeCount: Integer; [r]

  property AllocatedCount: Int64; [r]

  property FreedCount: Int64; [r]

  procedure Clear;

  constructor Create;

  destructor Destroy; override;

end;

Inheritance

TLCLMemManager

|

TObject


TLCLMemManager
 |  | MinimumFreeCount
 |  | MaximumFreeCountRatio
 | ro | Count
 | ro | FreeCount
 | ro | AllocatedCount
 | ro | FreedCount


ro | AllocatedCount (TLCLMemManager)
ro | Count (TLCLMemManager)
ro | FreeCount (TLCLMemManager)
ro | FreedCount (TLCLMemManager)
 | MaximumFreeCountRatio (TLCLMemManager)
 | MinimumFreeCount (TLCLMemManager)


TLCLMemManager
pt | DisposeItem
pt | NewItem
pt | FreeFirstItem
 | Clear
 | Create
 | Destroy


pt | DisposeItem (TLCLMemManager)
pt | FreeFirstItem (TLCLMemManager)
pt | NewItem (TLCLMemManager)


TLCLMemManager


TLCLMemManager.AllocatedCount

Declaration

Source position: lclmemmanager.pas line 55

public property TLCLMemManager.AllocatedCount : Int64
  read FAllocatedCount;


TLCLMemManager.Clear

Declaration

Source position: lclmemmanager.pas line 57

public procedure TLCLMemManager.Clear;


TLCLMemManager.Count

Declaration

Source position: lclmemmanager.pas line 53

public property TLCLMemManager.Count : Integer
  read FCount;


TLCLMemManager.Create

Declaration

Source position: lclmemmanager.pas line 58

public constructor TLCLMemManager.Create;


TLCLMemManager.Destroy

Declaration

Source position: lclmemmanager.pas line 59

public destructor TLCLMemManager.Destroy; override;


TLCLMemManager.DisposeItem

Declaration

Source position: lclmemmanager.pas line 46

protected procedure TLCLMemManager.DisposeItem(

  AnItem: PLCLMemManagerItem

);


TLCLMemManager.FAllocatedCount

Declaration

Source position: lclmemmanager.pas line 44

protected TLCLMemManager.FAllocatedCount : Int64;


TLCLMemManager.FCount

Declaration

Source position: lclmemmanager.pas line 41

protected TLCLMemManager.FCount : Integer;


TLCLMemManager.FFirstFree

Declaration

Source position: lclmemmanager.pas line 39

protected TLCLMemManager.FFirstFree : PLCLMemManagerItem;


TLCLMemManager.FFreeCount

Declaration

Source position: lclmemmanager.pas line 40

protected TLCLMemManager.FFreeCount : Integer;


TLCLMemManager.FFreedCount

Declaration

Source position: lclmemmanager.pas line 45

protected TLCLMemManager.FFreedCount : Int64;


TLCLMemManager.FMaxFreeRatio

Declaration

Source position: lclmemmanager.pas line 43

protected TLCLMemManager.FMaxFreeRatio : Integer;


TLCLMemManager.FMinFree

Declaration

Source position: lclmemmanager.pas line 42

protected TLCLMemManager.FMinFree : Integer;


TLCLMemManager.FreeCount

Declaration

Source position: lclmemmanager.pas line 54

public property TLCLMemManager.FreeCount : Integer
  read FFreeCount;


TLCLMemManager.FreedCount

Declaration

Source position: lclmemmanager.pas line 56

public property TLCLMemManager.FreedCount : Int64
  read FFreedCount;


TLCLMemManager.FreeFirstItem

Declaration

Source position: lclmemmanager.pas line 48

protected procedure TLCLMemManager.FreeFirstItem; virtual;


TLCLMemManager.MaximumFreeCountRatio

Declaration

Source position: lclmemmanager.pas line 51

public property TLCLMemManager.MaximumFreeCountRatio : Integer
  read FMaxFreeRatio
  write SetMaxFreeRatio;


TLCLMemManager.MinimumFreeCount

Declaration

Source position: lclmemmanager.pas line 50

public property TLCLMemManager.MinimumFreeCount : Integer
  read FMinFree
  write SetMinFree;


TLCLMemManager.NewItem

Declaration

Source position: lclmemmanager.pas line 47

protected function TLCLMemManager.NewItem: PLCLMemManagerItem;


TLCLMemManagerItem

Declaration

Source position: lclmemmanager.pas line 28

type TLCLMemManagerItem = record

  Next: PLCLMemManagerItem;

end;


TLCLNonFreeMemManager

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Declaration

Source position: lclmemmanager.pas line 67

type TLCLNonFreeMemManager = class

public

  ClearOnCreate: Boolean;

  property ItemSize: PtrInt; [r]

  property MaxItemsPerChunk: PtrInt; [rw]

  procedure Clear;

  constructor Create();

  destructor Destroy; override;

  function NewItem;

  procedure EnumerateItems();

end;

Inheritance

TLCLNonFreeMemManager

|

TObject


TLCLNonFreeMemManager
 | ro | ItemSize
 |  | MaxItemsPerChunk


ro | ItemSize (TLCLNonFreeMemManager)
 | MaxItemsPerChunk (TLCLNonFreeMemManager)


TLCLNonFreeMemManager
 | Clear
 | Create
 | Destroy
 | NewItem
 | EnumerateItems


Clear (TLCLNonFreeMemManager)

Create (TLCLNonFreeMemManager)

Destroy (TLCLNonFreeMemManager)

EnumerateItems (TLCLNonFreeMemManager)

NewItem (TLCLNonFreeMemManager)


TLCLNonFreeMemManager


TLCLNonFreeMemManager.Clear

Declaration

Source position: lclmemmanager.pas line 80

public procedure TLCLNonFreeMemManager.Clear;


TLCLNonFreeMemManager.ClearOnCreate

Declaration

Source position: lclmemmanager.pas line 77

public TLCLNonFreeMemManager.ClearOnCreate : Boolean;


TLCLNonFreeMemManager.Create

Declaration

Source position: lclmemmanager.pas line 81

public constructor TLCLNonFreeMemManager.Create(

  TheItemSize: Integer

);


TLCLNonFreeMemManager.Destroy

Declaration

Source position: lclmemmanager.pas line 82

public destructor TLCLNonFreeMemManager.Destroy; override;


TLCLNonFreeMemManager.EnumerateItems

Declaration

Source position: lclmemmanager.pas line 84

public procedure TLCLNonFreeMemManager.EnumerateItems(

  const Method: TLCLEnumItemsMethod

);


TLCLNonFreeMemManager.ItemSize

Declaration

Source position: lclmemmanager.pas line 78

public property TLCLNonFreeMemManager.ItemSize : PtrInt
  read FItemSize;


TLCLNonFreeMemManager.MaxItemsPerChunk

Declaration

Source position: lclmemmanager.pas line 79

public property TLCLNonFreeMemManager.MaxItemsPerChunk : PtrInt
  read FMaxItemsPerChunk
  write FMaxItemsPerChunk;


TLCLNonFreeMemManager.NewItem

Declaration

Source position: lclmemmanager.pas line 83

public function TLCLNonFreeMemManager.NewItem: Pointer;


TDebugLCLItemInfo

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

A node in TDebugLCLItems, holding information about a heap object.

Declaration

Source position: lclproc.pas line 41

type TDebugLCLItemInfo = class
public
Item: Pointer; | The address of the item.
IsDestroyed: Boolean; | True when the item has been destroyed.
Info: string; | A descriptive string
CreationStack: TStackTracePointers; | Stack trace at creation of the object
DestructionStack: TStackTracePointers; | Stack trace at destruction of the object
function AsString(); | All information about the object.
destructor Destroy; override;
end;

Inheritance

TDebugLCLItemInfo

A node in TDebugLCLItems, holding information about a heap object.

|

TObject

See also

TDebugLCLItems

A list describing dynamically allocated (and destroyed) memory objects.


TDebugLCLItemInfo


TDebugLCLItemInfo
 | AsString
 | Destroy


TDebugLCLItemInfo.AsString

All information about the object.

Declaration

Source position: lclproc.pas line 48

public function TDebugLCLItemInfo.AsString(

  WithStackTraces: Boolean

):string;

Arguments

WithStackTraces

True means include stack traces.


TDebugLCLItemInfo.CreationStack

Stack trace at creation of the object

Declaration

Source position: lclproc.pas line 46

public TDebugLCLItemInfo.CreationStack : TStackTracePointers;


TDebugLCLItemInfo.Destroy

Declaration

Source position: lclproc.pas line 49

public destructor TDebugLCLItemInfo.Destroy; override;


TDebugLCLItemInfo.DestructionStack

Stack trace at destruction of the object

Declaration

Source position: lclproc.pas line 47

public TDebugLCLItemInfo.DestructionStack : TStackTracePointers;


TDebugLCLItemInfo.Info

A descriptive string

Declaration

Source position: lclproc.pas line 45

public TDebugLCLItemInfo.Info : string;


TDebugLCLItemInfo.IsDestroyed

True when the item has been destroyed.

Declaration

Source position: lclproc.pas line 44

public TDebugLCLItemInfo.IsDestroyed : Boolean;


TDebugLCLItemInfo.Item

The address of the item.

Declaration

Source position: lclproc.pas line 43

public TDebugLCLItemInfo.Item : Pointer;


TDebugLCLItems

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

A list describing dynamically allocated (and destroyed) memory objects.

Declaration

Source position: lclproc.pas line 54

type TDebugLCLItems = class
public
constructor Create(); | Assigns TheName to the list.
destructor Destroy; override;
function FindInfo(); | Returns information about an item, optionally creating an entry if not found.
function IsDestroyed(); | True when the item has been created and destroyed.
function IsCreated(); | True when the item is alive.
function MarkCreated(); | Checked insert of an item.
procedure MarkDestroyed(); | Checked destruction notification.
function GetInfo(); | Returns textual information about an object.
property Name: string; [r] | The descriptive name of the list.
end;

Inheritance

TDebugLCLItems

A list describing dynamically allocated (and destroyed) memory objects.

|

TObject

Description

The list holds descriptive information about the object, and stack traces of its creation and destruction.


TDebugLCLItems

ro

Name


ro

Name (TDebugLCLItems)


TDebugLCLItems
 | Create
 | Destroy
 | FindInfo
 | IsDestroyed
 | IsCreated
 | MarkCreated
 | MarkDestroyed
 | GetInfo


Create (TDebugLCLItems)

Destroy (TDebugLCLItems)

FindInfo (TDebugLCLItems)

GetInfo (TDebugLCLItems)

IsCreated (TDebugLCLItems)

IsDestroyed (TDebugLCLItems)

MarkCreated (TDebugLCLItems)

MarkDestroyed (TDebugLCLItems)


TDebugLCLItems


TDebugLCLItems.Create

Assigns TheName to the list.

Declaration

Source position: lclproc.pas line 59

public constructor TDebugLCLItems.Create(

  const TheName: string

);

Arguments

TheName

The descriptive name of the list.


TDebugLCLItems.Destroy

Declaration

Source position: lclproc.pas line 60

public destructor TDebugLCLItems.Destroy; override;


TDebugLCLItems.FindInfo

Returns information about an item, optionally creating an entry if not found.

Declaration

Source position: lclproc.pas line 61

public function TDebugLCLItems.FindInfo(

  p: Pointer;

  CreateIfNotExists: Boolean = False

):TDebugLCLItemInfo;

Arguments

p | The address of the item to find.
CreateIfNotExists | True means create an according list entry, if none existed yet.

Function result

The item information, or Nil if none was found or created.


TDebugLCLItems.GetInfo

Returns textual information about an object.

Declaration

Source position: lclproc.pas line 67

public function TDebugLCLItems.GetInfo(

  p: Pointer;

  WithStackTraces: Boolean

):string;

Arguments

p | The address to find.
WithStackTraces | True means include stack traces.

Function result

The descriptive string.


TDebugLCLItems.IsCreated

True when the item is alive.

Declaration

Source position: lclproc.pas line 64

public function TDebugLCLItems.IsCreated(

  p: Pointer

):Boolean;

Arguments

p

The address to find.

Function result

True when the item is listed and has not yet been destroyed.


TDebugLCLItems.IsDestroyed

True when the item has been created and destroyed.

Declaration

Source position: lclproc.pas line 63

public function TDebugLCLItems.IsDestroyed(

  p: Pointer

):Boolean;

Arguments

p

The address to find.

Function result

True when destroyed, False when alive or not listed.


TDebugLCLItems.MarkCreated

Checked insert of an item.

Declaration

Source position: lclproc.pas line 65

public function TDebugLCLItems.MarkCreated(

  p: Pointer;

  const InfoText: string

):TDebugLCLItemInfo;

Arguments

p | The address to add.
InfoText | Descriptive text about the item.

Function result

The info object describing the address.

Errors

GDB exception 'RaiseDoubleCreated' when the address is already in use.


TDebugLCLItems.MarkDestroyed

Checked destruction notification.

Declaration

Source position: lclproc.pas line 66

public procedure TDebugLCLItems.MarkDestroyed(

  p: Pointer

);

Arguments

p

The address to mark as destroyed.

Errors

  • GDB exception 'TDebugLCLItems.MarkDestroyed' when the item was not yet created.
  • GDB exception 'RaiseDoubleDestroyed' when the item was already destroyed.


TDebugLCLItems.Name

The descriptive name of the list.

Declaration

Source position: lclproc.pas line 68

public property TDebugLCLItems.Name : string
  read FName;


TBlockResourceCache

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

TBlockResourceCache - a cache for Block resources

Declaration

Source position: lclrescache.pas line 132

type TBlockResourceCache = class(THandleResourceCache)
protected
FOnCompareDescPtrWithDescriptor: TListSortCompare; | FOnCompareDescPtrWithDescriptor - local variable to hold the result of a comparison between a descriptor pointer and the descriptor itself
public
constructor Create(); |
function FindDescriptor(); | FindDescriptor - returns the descriptor whose pointer is given
function AddResource(); | AddResource - inserts a Block resource into the list, referenced by a handle and a descriptor pointer, and returns the Block Resource Cache descriptor
function CompareDescriptors(); override; | CompareDescriptors - returns 0 if descriptors are equal, -1 if Desc1 is less, 1 if Desc1 is greater
property DataSize: Integer; [r] | DataSize - thetotal size of the data in the Block Resource
property OnCompareDescPtrWithDescriptor: TListSortCompare; [r] | OnCompareDescPtrWithDescriptor - the result of a comparison between a descriptor pointer and the descriptor itself
end;

Inheritance

TBlockResourceCache | TBlockResourceCache - a cache for Block resources
|
THandleResourceCache | THandleResourceCache - a Resource Cache for Handles
|
TResourceCache | TResourceCache - a cache (linked list) for storing Resources
|
TObject


TBlockResourceCache
 | ro | DataSize
THandleResourceCache
TResourceCache
 |  | MaxUnusedItem
 | ro | ResourceCacheItemClass
 | ro | ResourceCacheDescriptorClass


TBlockResourceCache
 | Create
 | FindDescriptor
 | AddResource
 | CompareDescriptors
THandleResourceCache
 | FindItem
TResourceCache
pt | RemoveItem
pt | RemoveDescriptor
pt | ItemUsed
pt | ItemUnused
pt | ItemIsUsed
 | Create
 | Clear
 | Destroy
 | CompareItems
 | CompareDescriptors
 | ConsistencyCheck
 | Lock
 | Unlock


 | AddResource (TBlockResourceCache)
 | Clear (TResourceCache)
 | CompareDescriptors (TResourceCache)
 | CompareDescriptors (TBlockResourceCache)
 | CompareItems (TResourceCache)
 | ConsistencyCheck (TResourceCache)
 | Create (TResourceCache)
 | Create (TBlockResourceCache)
 | Destroy (TResourceCache)
 | FindDescriptor (TBlockResourceCache)
 | FindItem (THandleResourceCache)
pt | ItemIsUsed (TResourceCache)
pt | ItemUnused (TResourceCache)
pt | ItemUsed (TResourceCache)
 | Lock (TResourceCache)
pt | RemoveDescriptor (TResourceCache)
pt | RemoveItem (TResourceCache)
 | Unlock (TResourceCache)


TBlockResourceCache

ro

OnCompareDescPtrWithDescriptor

THandleResourceCache

TResourceCache


TBlockResourceCache.AddResource

AddResource - inserts a Block resource into the list, referenced by a handle and a descriptor pointer, and returns the Block Resource Cache descriptor

Declaration

Source position: lclrescache.pas line 140

public function TBlockResourceCache.AddResource(

  Handle: TLCLHandle;

  DescPtr: Pointer

):TBlockResourceCacheDescriptor;


TBlockResourceCache.DataSize

DataSize - thetotal size of the data in the Block Resource

Declaration

Source position: lclrescache.pas line 143

public property TBlockResourceCache.DataSize : Integer
  read FDataSize;


TBlockResourceCache.FindDescriptor

FindDescriptor - returns the descriptor whose pointer is given

Declaration

Source position: lclrescache.pas line 139

public function TBlockResourceCache.FindDescriptor(

  DescPtr: Pointer

):TBlockResourceCacheDescriptor;


TBlockResourceCache.FOnCompareDescPtrWithDescriptor

FOnCompareDescPtrWithDescriptor - local variable to hold the result of a comparison between a descriptor pointer and the descriptor itself

Declaration

Source position: lclrescache.pas line 136

protected TBlockResourceCache.FOnCompareDescPtrWithDescriptor : TListSortCompare;


TBlockResourceCache.OnCompareDescPtrWithDescriptor

OnCompareDescPtrWithDescriptor - the result of a comparison between a descriptor pointer and the descriptor itself

Declaration

Source position: lclrescache.pas line 144

public property TBlockResourceCache.OnCompareDescPtrWithDescriptor : TListSortCompare
  read FOnCompareDescPtrWithDescriptor;


TBlockResourceCacheDescriptor

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

TBlockResourceCacheDescriptor - descriptor for a Block Resource Cache

Declaration

Source position: lclrescache.pas line 123

type TBlockResourceCacheDescriptor = class(TResourceCacheDescriptor)
public
Data: Pointer; | Pointer to the Data
destructor Destroy; override; |
end;

Inheritance

TBlockResourceCacheDescriptor | TBlockResourceCacheDescriptor - descriptor for a Block Resource Cache
|
TResourceCacheDescriptor | TResourceCacheDescriptor - a class of descriptors for ResourceCache Items
|
TObject


TBlockResourceCacheDescriptor

TResourceCacheDescriptor


TBlockResourceCacheDescriptor
 | Destroy
TResourceCacheDescriptor
 | Create
 | Destroy
 | AddToList
 | RemoveFromList


AddToList (TResourceCacheDescriptor)

Create (TResourceCacheDescriptor)

Destroy (TResourceCacheDescriptor)

Destroy (TBlockResourceCacheDescriptor)

RemoveFromList (TResourceCacheDescriptor)


TBlockResourceCacheDescriptor.Data

Pointer to the Data

Declaration

Source position: lclrescache.pas line 125

public TBlockResourceCacheDescriptor.Data : Pointer;


THandleResourceCache

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

THandleResourceCache - a Resource Cache for Handles

Declaration

Source position: lclrescache.pas line 115

type THandleResourceCache = class(TResourceCache)

public

  function FindItem();

FindItem - locate the item with the specified Handle

end;

Inheritance

THandleResourceCache | THandleResourceCache - a Resource Cache for Handles
|
TResourceCache | TResourceCache - a cache (linked list) for storing Resources
|
TObject


THandleResourceCache
TResourceCache
 |  | MaxUnusedItem
 | ro | ResourceCacheItemClass
 | ro | ResourceCacheDescriptorClass


THandleResourceCache
 | FindItem
TResourceCache
pt | RemoveItem
pt | RemoveDescriptor
pt | ItemUsed
pt | ItemUnused
pt | ItemIsUsed
 | Create
 | Clear
 | Destroy
 | CompareItems
 | CompareDescriptors
 | ConsistencyCheck
 | Lock
 | Unlock


 | Clear (TResourceCache)
 | CompareDescriptors (TResourceCache)
 | CompareItems (TResourceCache)
 | ConsistencyCheck (TResourceCache)
 | Create (TResourceCache)
 | Destroy (TResourceCache)
 | FindItem (THandleResourceCache)
pt | ItemIsUsed (TResourceCache)
pt | ItemUnused (TResourceCache)
pt | ItemUsed (TResourceCache)
 | Lock (TResourceCache)
pt | RemoveDescriptor (TResourceCache)
pt | RemoveItem (TResourceCache)
 | Unlock (TResourceCache)


THandleResourceCache

TResourceCache


THandleResourceCache.FindItem

FindItem - locate the item with the specified Handle

Declaration

Source position: lclrescache.pas line 117

public function THandleResourceCache.FindItem(

  Handle: TLCLHandle

):TResourceCacheItem;


TResourceCache

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

TResourceCache - a cache (linked list) for storing Resources

Declaration

Source position: lclrescache.pas line 78

type TResourceCache = class
protected
FItems: TAvlTree; |
FDescriptors: TAvlTree; |
FDestroying: Boolean; | FDestroying - local boolean variable to store Destroying status
FResourceCacheDescriptorClass: TResourceCacheDescriptorClass; | FResourceCacheDescriptorClass - local variable for holding the class of the current descriptor
FResourceCacheItemClass: TResourceCacheItemClass; | FResourceCacheItemClass - local variable for holding the class of the current cache item
FMaxUnusedItem: Integer; | FMaxUnusedItem - how many freed resources to keep
FFirstUnusedItem: TResourceCacheItem; | FFirstUnusedItem - local variable storing location of first free item
FLastUnusedItem: TResourceCacheItem; | FLastUnusedItem - ocal variable storing location of last free item
FUnUsedItemCount: Integer; | FUnUsedItemCount - local variable with count of free items
FLock: TCriticalSection;
procedure RemoveItem(); virtual; | RemoveItem from CacheItem list
procedure RemoveDescriptor(); virtual; | RemoveDescriptor from Cache Descriptor list
procedure ItemUsed(); | ItemUsed - method for signalling that the specified Item is being used
procedure ItemUnused(); | ItemUnused - method for signalling that the specified Item is unused
function ItemIsUsed(); | ItemIsUsed - returns True if specified Item is being used
public
constructor Create; |
procedure Clear; | Clear the current Resource Cache
destructor Destroy; override; |
function CompareItems(); virtual; | CompareItems - returns 0 if items are equal, -1 if Item1 is less, 1 if Item1 is greater
function CompareDescriptors(); virtual; abstract; | CompareDescriptors - returns 0 if descriptors are equal, -1 if Desc1 is less, 1 if Desc1 is greater
procedure ConsistencyCheck; | ConsistencyCheck - checks that Items have valid descriptors
procedure Lock;
procedure Unlock;
property MaxUnusedItem: Integer; [rw] | MaxUnusedItem - the largest permitted number of unused items
property ResourceCacheItemClass: TResourceCacheItemClass; [r] | ResourceCacheItemClass - the Class of the current Cache Item
property ResourceCacheDescriptorClass: TResourceCacheDescriptorClass; [r] | ResourceCacheDescriptorClass - the class of the current cache item descriptor
end;

Inheritance

TResourceCache

TResourceCache - a cache (linked list) for storing Resources
|

TObject


TResourceCache
 |  | MaxUnusedItem
 | ro | ResourceCacheItemClass
 | ro | ResourceCacheDescriptorClass


TResourceCache
pt | RemoveItem
pt | RemoveDescriptor
pt | ItemUsed
pt | ItemUnused
pt | ItemIsUsed
 | Create
 | Clear
 | Destroy
 | CompareItems
 | CompareDescriptors
 | ConsistencyCheck
 | Lock
 | Unlock


 | Clear (TResourceCache)
 | CompareDescriptors (TResourceCache)
 | CompareItems (TResourceCache)
 | ConsistencyCheck (TResourceCache)
 | Create (TResourceCache)
 | Destroy (TResourceCache)
pt | ItemIsUsed (TResourceCache)
pt | ItemUnused (TResourceCache)
pt | ItemUsed (TResourceCache)
 | Lock (TResourceCache)
pt | RemoveDescriptor (TResourceCache)
pt | RemoveItem (TResourceCache)
 | Unlock (TResourceCache)


TResourceCache


TResourceCache.Clear

Clear the current Resource Cache

Declaration

Source position: lclrescache.pas line 96

public procedure TResourceCache.Clear;


TResourceCache.CompareDescriptors

CompareDescriptors - returns 0 if descriptors are equal, -1 if Desc1 is less, 1 if Desc1 is greater

Declaration

Source position: lclrescache.pas line 99

public function TResourceCache.CompareDescriptors(

  Tree: TAvlTree;

  Desc1: Pointer;

  Desc2: Pointer

):Integer; virtual; abstract;


TResourceCache.CompareItems

CompareItems - returns 0 if items are equal, -1 if Item1 is less, 1 if Item1 is greater

Declaration

Source position: lclrescache.pas line 98

public function TResourceCache.CompareItems(

  Tree: TAvlTree;

  Item1: Pointer;

  Item2: Pointer

):Integer; virtual;


TResourceCache.ConsistencyCheck

ConsistencyCheck - checks that Items have valid descriptors

Declaration

Source position: lclrescache.pas line 100

public procedure TResourceCache.ConsistencyCheck;


TResourceCache.FDescriptors

Declaration

Source position: lclrescache.pas line 81

protected TResourceCache.FDescriptors : TAvlTree;


TResourceCache.FDestroying

FDestroying - local boolean variable to store Destroying status

Declaration

Source position: lclrescache.pas line 82

protected TResourceCache.FDestroying : Boolean;


TResourceCache.FFirstUnusedItem

FFirstUnusedItem - local variable storing location of first free item

Declaration

Source position: lclrescache.pas line 86

protected TResourceCache.FFirstUnusedItem : TResourceCacheItem;


TResourceCache.FItems

Declaration

Source position: lclrescache.pas line 80

protected TResourceCache.FItems : TAvlTree;


TResourceCache.FLastUnusedItem

FLastUnusedItem - ocal variable storing location of last free item

Declaration

Source position: lclrescache.pas line 86

protected TResourceCache.FLastUnusedItem : TResourceCacheItem;


TResourceCache.FLock

Declaration

Source position: lclrescache.pas line 88

protected TResourceCache.FLock : TCriticalSection;


TResourceCache.FMaxUnusedItem

FMaxUnusedItem - how many freed resources to keep

Declaration

Source position: lclrescache.pas line 85

protected TResourceCache.FMaxUnusedItem : Integer;


TResourceCache.FResourceCacheDescriptorClass

FResourceCacheDescriptorClass - local variable for holding the class of the current descriptor

Declaration

Source position: lclrescache.pas line 83

protected TResourceCache.FResourceCacheDescriptorClass : TResourceCacheDescriptorClass;


TResourceCache.FResourceCacheItemClass

FResourceCacheItemClass - local variable for holding the class of the current cache item

Declaration

Source position: lclrescache.pas line 84

protected TResourceCache.FResourceCacheItemClass : TResourceCacheItemClass;


TResourceCache.FUnUsedItemCount

FUnUsedItemCount - local variable with count of free items

Declaration

Source position: lclrescache.pas line 87

protected TResourceCache.FUnUsedItemCount : Integer;


TResourceCache.ItemIsUsed

ItemIsUsed - returns True if specified Item is being used

Declaration

Source position: lclrescache.pas line 93

protected function TResourceCache.ItemIsUsed(

  Item: TResourceCacheItem

):Boolean;


TResourceCache.ItemUnused

ItemUnused - method for signalling that the specified Item is unused

Declaration

Source position: lclrescache.pas line 92

protected procedure TResourceCache.ItemUnused(

  Item: TResourceCacheItem

);


TResourceCache.ItemUsed

ItemUsed - method for signalling that the specified Item is being used

Declaration

Source position: lclrescache.pas line 91

protected procedure TResourceCache.ItemUsed(

  Item: TResourceCacheItem

);


TResourceCache.Lock

Declaration

Source position: lclrescache.pas line 101

public procedure TResourceCache.Lock;


TResourceCache.MaxUnusedItem

MaxUnusedItem - the largest permitted number of unused items

Declaration

Source position: lclrescache.pas line 104

public property TResourceCache.MaxUnusedItem : Integer
  read FMaxUnusedItem
  write FMaxUnusedItem;


TResourceCache.RemoveDescriptor

RemoveDescriptor from Cache Descriptor list

Declaration

Source position: lclrescache.pas line 90

protected procedure TResourceCache.RemoveDescriptor(

  Desc: TResourceCacheDescriptor

); virtual;


TResourceCache.RemoveItem

RemoveItem from CacheItem list

Declaration

Source position: lclrescache.pas line 89

protected procedure TResourceCache.RemoveItem(

  Item: TResourceCacheItem

); virtual;


TResourceCache.ResourceCacheDescriptorClass

ResourceCacheDescriptorClass - the class of the current cache item descriptor

Declaration

Source position: lclrescache.pas line 108

public property TResourceCache.ResourceCacheDescriptorClass : TResourceCacheDescriptorClass
  read FResourceCacheDescriptorClass;


TResourceCache.ResourceCacheItemClass

ResourceCacheItemClass - the Class of the current Cache Item

Declaration

Source position: lclrescache.pas line 106

public property TResourceCache.ResourceCacheItemClass : TResourceCacheItemClass
  read FResourceCacheItemClass;


TResourceCache.Unlock

Declaration

Source position: lclrescache.pas line 102

public procedure TResourceCache.Unlock;


TResourceCacheDescriptor

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

TResourceCacheDescriptor - a class of descriptors for ResourceCache Items

Declaration

Source position: lclrescache.pas line 61

type TResourceCacheDescriptor = class
protected
FDestroying: Boolean; | FDestroying - local boolean variable to store Destroying status
public
Item: TResourceCacheItem; | Item - the Resource Cache Item to which this descriptor refers
Cache: TResourceCache; | Cache - the resource Cache to which this Item belongs
Next: TResourceCacheDescriptor; | The Next descriptor in the list
Prev: TResourceCacheDescriptor; | Prev - the Previous descriptor in the list
constructor Create(); |
destructor Destroy; override; |
procedure AddToList(); | AddToList - add a descriptor to the list specified by First, Last
procedure RemoveFromList(); | RemoveFromList - remove a descriptor from the list specified by First, Last
end;

Inheritance

TResourceCacheDescriptor

TResourceCacheDescriptor - a class of descriptors for ResourceCache Items
|

TObject


TResourceCacheDescriptor


TResourceCacheDescriptor
 | Create
 | Destroy
 | AddToList
 | RemoveFromList


TResourceCacheDescriptor.AddToList

AddToList - add a descriptor to the list specified by First, Last

Declaration

Source position: lclrescache.pas line 70

public procedure TResourceCacheDescriptor.AddToList(

  var First: TResourceCacheDescriptor;

  var Last: TResourceCacheDescriptor

);


TResourceCacheDescriptor.Cache

Cache - the resource Cache to which this Item belongs

Declaration

Source position: lclrescache.pas line 66

public TResourceCacheDescriptor.Cache : TResourceCache;


TResourceCacheDescriptor.FDestroying

FDestroying - local boolean variable to store Destroying status

Declaration

Source position: lclrescache.pas line 63

protected TResourceCacheDescriptor.FDestroying : Boolean;


TResourceCacheDescriptor.Item

Item - the Resource Cache Item to which this descriptor refers

Declaration

Source position: lclrescache.pas line 65

public TResourceCacheDescriptor.Item : TResourceCacheItem;


TResourceCacheDescriptor.Next

The Next descriptor in the list

Declaration

Source position: lclrescache.pas line 67

public TResourceCacheDescriptor.Next : TResourceCacheDescriptor;


TResourceCacheDescriptor.Prev

Prev - the Previous descriptor in the list

Declaration

Source position: lclrescache.pas line 67

public TResourceCacheDescriptor.Prev : TResourceCacheDescriptor;


TResourceCacheDescriptor.RemoveFromList

RemoveFromList - remove a descriptor from the list specified by First, Last

Declaration

Source position: lclrescache.pas line 71

public procedure TResourceCacheDescriptor.RemoveFromList(

  var First: TResourceCacheDescriptor;

  var Last: TResourceCacheDescriptor

);


TResourceCacheDescriptorClass

Declaration

Source position: lclrescache.pas line 73

type TResourceCacheDescriptorClass = class of TResourceCacheDescriptor;


TResourceCacheItem

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

TResourceCacheItem - an item in a list (TResourceCache)

Declaration

Source position: lclrescache.pas line 37

type TResourceCacheItem = class
protected
FDestroying: Boolean; | FDestroying - local boolean variable to store Destroying status
FReferenceCount: Integer; | FReferenceCount - local variable to store Reference Count
public
Handle: TLCLHandle; | Handle for Cache Item - use TLCLHandle instead of THandle since THandle = longint under 64bit linux
Cache: TResourceCache; | The Resource Cache to which this Cache Item belongs
FirstDescriptor: TResourceCacheDescriptor; | FirstDescriptor - the descriptor for the first item in the list
LastDescriptor: TResourceCacheDescriptor; | LastDescriptor - the descriptor for the last item in the list
Next: TResourceCacheItem; | The Next item in the list
Prev: TResourceCacheItem; | Prev - the previous item in the list
constructor Create(); |
destructor Destroy; override; |
procedure IncreaseRefCount; | IncreaseRefCount - increment the reference count
procedure DecreaseRefCount; | DecreaseRefCount - decrement the reference count
procedure AddToList(); | AddToList - add an item to the cache list specified by First, Last
procedure RemoveFromList(); | RemoveFromList - remove an item from the cache list specified by First, Last
procedure WarnReferenceHigh; virtual; | WarnReferenceHigh - issue a warning if the number of references gets too high
property ReferenceCount: Integer; [r] | ReferenceCount - the number of references to this Item
end;

Inheritance

TResourceCacheItem

TResourceCacheItem - an item in a list (TResourceCache)
|

TObject


TResourceCacheItem

ro

ReferenceCount


ro

ReferenceCount (TResourceCacheItem)


TResourceCacheItem
 | Create
 | Destroy
 | IncreaseRefCount
 | DecreaseRefCount
 | AddToList
 | RemoveFromList
 | WarnReferenceHigh


AddToList (TResourceCacheItem)

Create (TResourceCacheItem)

DecreaseRefCount (TResourceCacheItem)

Destroy (TResourceCacheItem)

IncreaseRefCount (TResourceCacheItem)

RemoveFromList (TResourceCacheItem)

WarnReferenceHigh (TResourceCacheItem)


TResourceCacheItem


TResourceCacheItem.AddToList

AddToList - add an item to the cache list specified by First, Last

Declaration

Source position: lclrescache.pas line 50

public procedure TResourceCacheItem.AddToList(

  var First: TResourceCacheItem;

  var Last: TResourceCacheItem

);


TResourceCacheItem.Cache

The Resource Cache to which this Cache Item belongs

Declaration

Source position: lclrescache.pas line 43

public TResourceCacheItem.Cache : TResourceCache;


TResourceCacheItem.DecreaseRefCount

DecreaseRefCount - decrement the reference count

Declaration

Source position: lclrescache.pas line 49

public procedure TResourceCacheItem.DecreaseRefCount;


TResourceCacheItem.FDestroying

FDestroying - local boolean variable to store Destroying status

Declaration

Source position: lclrescache.pas line 39

protected TResourceCacheItem.FDestroying : Boolean;


TResourceCacheItem.FirstDescriptor

FirstDescriptor - the descriptor for the first item in the list

Declaration

Source position: lclrescache.pas line 44

public TResourceCacheItem.FirstDescriptor : TResourceCacheDescriptor;


TResourceCacheItem.FReferenceCount

FReferenceCount - local variable to store Reference Count

Declaration

Source position: lclrescache.pas line 40

protected TResourceCacheItem.FReferenceCount : Integer;


TResourceCacheItem.Handle

Handle for Cache Item - use TLCLHandle instead of THandle since THandle = longint under 64bit linux

Declaration

Source position: lclrescache.pas line 42

public TResourceCacheItem.Handle : TLCLHandle;


TResourceCacheItem.IncreaseRefCount

IncreaseRefCount - increment the reference count

Declaration

Source position: lclrescache.pas line 48

public procedure TResourceCacheItem.IncreaseRefCount;


TResourceCacheItem.LastDescriptor

LastDescriptor - the descriptor for the last item in the list

Declaration

Source position: lclrescache.pas line 44

public TResourceCacheItem.LastDescriptor : TResourceCacheDescriptor;


TResourceCacheItem.Next

The Next item in the list

Declaration

Source position: lclrescache.pas line 45

public TResourceCacheItem.Next : TResourceCacheItem;


TResourceCacheItem.Prev

Prev - the previous item in the list

Declaration

Source position: lclrescache.pas line 45

public TResourceCacheItem.Prev : TResourceCacheItem;


TResourceCacheItem.ReferenceCount

ReferenceCount - the number of references to this Item

Declaration

Source position: lclrescache.pas line 54

public property TResourceCacheItem.ReferenceCount : Integer
  read FReferenceCount;


TResourceCacheItem.RemoveFromList

RemoveFromList - remove an item from the cache list specified by First, Last

Declaration

Source position: lclrescache.pas line 51

public procedure TResourceCacheItem.RemoveFromList(

  var First: TResourceCacheItem;

  var Last: TResourceCacheItem

);


TResourceCacheItem.WarnReferenceHigh

WarnReferenceHigh - issue a warning if the number of references gets too high

Declaration

Source position: lclrescache.pas line 52

public procedure TResourceCacheItem.WarnReferenceHigh; virtual;


TResourceCacheItemClass

Declaration

Source position: lclrescache.pas line 56

type TResourceCacheItemClass = class of TResourceCacheItem;


TEmulatedTaskDialog

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Declaration

Source position: lcltaskdialog.pas line 198

type TEmulatedTaskDialog = class(TForm)

protected

  procedure HandleEmulatedButtonClicked();

public

  procedure KeyDown(); override;

  constructor CreateNew(); override;

  Owner: PTaskDialog;

  Element: ;

  Combo: TComboBox;

  Edit: TEdit;

  Verif: TCheckBox;

end;

Inheritance

TEmulatedTaskDialog |
|
TForm
|
TCustomForm | The base type for TForm.
|
TCustomDesignControl
|
TScrollingWinControl | Class of a windowed control with incorporated scroll bars.
|
TCustomControl | The base class for windowed controls which paint themselves.
|
TWinControl | The base class for controls which can contain other (child) controls.
|
TControl | The base class for visible controls.
|
TLCLComponent | The base class for LCL components associated with widgets.
|
TComponent,IUnknown,IInterfaceComponentReference
|
TPersistent,IFPObserved
|
TObject


TEmulatedTaskDialog
TForm
 | ro | ClientHandle
 | ro | DockManager
pl | ro | Action
pl | ro | ActiveControl
pl | ro | Align
pl | ro | AllowDropFiles
pl | ro | AlphaBlend
pl | ro | AlphaBlendValue
pl | ro | Anchors
pl | ro | AutoScroll
pl | ro | AutoSize
pl | ro | BiDiMode
pl | ro | BorderIcons
pl | ro | BorderStyle
pl | ro | BorderWidth
pl | ro | Caption
pl | ro | ChildSizing
pl | ro | ClientHeight
pl | ro | ClientWidth
pl | ro | Color
pl | ro | Constraints
pl | ro | DefaultMonitor
pl | ro | DesignTimePPI
pl | ro | DockSite
pl | ro | DoubleBuffered
pl | ro | DragKind
pl | ro | DragMode
pl | ro | Enabled
pl | ro | Font
pl | ro | FormStyle
pl | ro | HelpFile
pl | ro | Icon
pl | ro | KeyPreview
pl | ro | Menu
pl | ro | ParentBiDiMode
pl | ro | ParentDoubleBuffered
pl | ro | ParentFont
pl | ro | PixelsPerInch
pl | ro | PopupMenu
pl | ro | PopupMode
pl | ro | PopupParent
pl | ro | Position
pl | ro | SessionProperties
pl | ro | ShowHint
pl | ro | ShowInTaskBar
pl | ro | UseDockManager
pl |  | LCLVersion
pl | ro | Scaled
pl | ro | Visible
pl | ro | WindowState
TCustomForm
pt | ro | ClientHandle
 | ro | Active
 |  | ActiveControl
 |  | ActiveDefaultControl
 |  | AllowDropFiles
 |  | AlphaBlend
 |  | AlphaBlendValue
 | ro | AutoScroll
 |  | BorderIcons
 |  | BorderStyle
 |  | CancelControl
 | ro | Caption
 | ro | Color
 |  | DefaultControl
 |  | DefaultMonitor
 |  | Designer
 | ro | EffectiveShowInTaskBar
 | ro | FormState
 |  | FormStyle
 |  | HelpFile
 |  | Icon
 |  | KeyPreview
 | ro | MDIChildren
 |  | Menu
 |  | ModalResult
 | ro | Monitor
 | ro | LastActiveControl
 |  | PopupMode
 |  | PopupParent
 | ro | ParentFont
 |  | Position
 | ro | RestoredLeft
 | ro | RestoredTop
 | ro | RestoredWidth
 | ro | RestoredHeight
 |  | ShowInTaskBar
 | ro | Visible
 |  | WindowState
TCustomDesignControl
 |  | DesignTimePPI
 |  | PixelsPerInch
 |  | Scaled
TScrollingWinControl
pt |  | AutoScroll
pl |  | HorzScrollBar
pl |  | VertScrollBar
TCustomControl
 |  | Canvas
 | ro | BorderStyle
TWinControl
pt |  | WindowHandle
pt |  | BorderStyle
pt |  | ParentBackground
 |  | BorderWidth
 | ro | BoundsLockCount
 | ro | Brush
 | ro | CachedClientHeight
 | ro | CachedClientWidth
 |  | ChildSizing
 | ro | ControlCount
 | ro | Controls
 |  | DefWndProc
 | ro | DockClientCount
 | ro | DockClients
 |  | DockManager
 |  | DockSite
 |  | DoubleBuffered
 |  | Handle
 | ro | IsFlipped
 | ro | IsResizing
 |  | TabOrder
 |  | TabStop
 |  | ParentDoubleBuffered
 |  | ParentWindow
 | ro | Showing
 |  | UseDockManager
 |  | DesignerDeleting
 | ro | VisibleDockClientCount
TControl
pt | ro | AutoSizing
pt | ro | AutoSizingAll
pt | ro | AutoSizingLockCount
pt |  | ActionLink
pt |  | DesktopFont
pt |  | DragCursor
pt |  | DragKind
pt |  | DragMode
pt |  | MouseCapture
pt |  | ParentColor
pt |  | ParentFont
pt |  | ParentShowHint
pt |  | SessionProperties
pt |  | Text
 | ro | AnchoredControls
 | ro | BaseBounds
 | ro | ReadBounds
 | ro | BaseParentClientSize
 |  | AccessibleDescription
 |  | AccessibleValue
 |  | AccessibleRole
 |  | Action
 |  | Align
 |  | Anchors
 | ro | AnchorSide
 |  | AutoSize
 |  | BorderSpacing
 |  | BoundsRect
 |  | BoundsRectForNewParent
 |  | Caption
 |  | CaptureMouseButtons
 |  | ClientHeight
 | ro | ClientOrigin
 | ro | ClientRect
 |  | ClientWidth
 |  | Color
 |  | Constraints
 | ro | ControlOrigin
 |  | ControlState
 |  | ControlStyle
 |  | Enabled
 |  | Font
 |  | IsControl
 | ro | MouseEntered
 | ro | MouseInClient
 |  | Parent
 |  | PopupMenu
 |  | ShowHint
 |  | Visible
 |  | WindowProc
 |  | DockOrientation
 | ro | Floating
 |  | FloatingDockSiteClass
 |  | HostDockSite
 |  | LRDockWidth
 |  | TBDockHeight
 |  | UndockHeight
 |  | UndockWidth
 |  | BiDiMode
 |  | ParentBiDiMode
pl |  | AnchorSideLeft
pl |  | AnchorSideTop
pl |  | AnchorSideRight
pl |  | AnchorSideBottom
pl |  | Cursor
pl |  | Left
pl |  | Height
pl |  | Hint
pl |  | Top
pl |  | Width
pl |  | HelpType
pl |  | HelpKeyword
pl |  | HelpContext
TLCLComponent
 | ro | LCLRefCount
 | ro | WidgetSetClass
TComponent
 | ro | ComObject
 | ro | Components
 | ro | ComponentCount
 |  | ComponentIndex
 | ro | ComponentState
 | ro | ComponentStyle
 |  | DesignInfo
 | ro | Owner
 |  | VCLComObject
 |  | Name
 |  | Tag
TPersistent
TObject


TEmulatedTaskDialog
pt | HandleEmulatedButtonClicked
 | KeyDown
 | CreateNew
TForm
pt | CreateWnd
pt | Loaded
 | Create
 | Cascade
 | Next
 | Previous
 | Tile
TCustomForm
pt | WMActivate
pt | WMCloseQuery
pt | WMHelp
pt | WMMove
pt | WMShowWindow
pt | WMSize
pt | WMWindowPosChanged
pt | CMBiDiModeChanged
pt | CMParentBiDiModeChanged
pt | CMAppShowBtnGlyphChanged
pt | CMAppShowMenuGlyphChanged
pt | CMIconChanged
pt | CMRelease
pt | CMActivate
pt | CMDeactivate
pt | CMShowingChanged
pt | WMDPIChanged
pt | WSRegisterClass
pt | DoShowWindow
pt | Activate
pt | ActiveChanged
pt | AdjustClientRect
pt | BeginFormUpdate
pt | ColorIsStored
pt | CreateParams
pt | CreateWnd
pt | Deactivate
pt | DoClose
pt | DoCreate
pt | DoDestroy
pt | DoHide
pt | DoShow
pt | EndFormUpdate
pt | HandleCreateException
pt | HandleDestroyException
pt | HandleShowHideException
pt | InitializeWnd
pt | Loaded
pt | ChildHandlesCreated
pt | Notification
pt | PaintWindow
pt | RequestAlign
pt | Resizing
pt | CalculatePreferredSize
pt | SetZOrder
pt | SetParent
pt | MoveToDefaultPosition
pt | UpdateShowing
pt | SetVisible
pt | AllAutoSized
pt | DoFirstShow
pt | UpdateWindowState
pt | VisibleChanging
pt | VisibleChanged
pt | WndProc
pt | VisibleIsStored
pt | DoSendBoundsToInterface
pt | DoAutoSize
pt | SetAutoSize
pt | SetAutoScroll
pt | SetScaled
pt | DoAddActionList
pt | DoRemoveActionList
pt | ProcessResource
pt | BeginAutoDrag
pt | DoDock
pt | GetFloating
pt | GetDefaultDockCaption
pt | CMActionExecute
pt | CMActionUpdate
pt | DoExecuteAction
pt | DoUpdateAction
pt | UpdateActions
 | Create
 | CreateNew
 | Destroy
 | AfterConstruction
 | BeforeDestruction
 | GetControlClassDefaultSize
 | BigIconHandle
 | Close
 | CloseQuery
 | DefocusControl
 | DestroyWnd
 | EnsureVisible
 | FocusControl
 | FormIsUpdating
 | GetFormImage
 | GetRolesForControl
 | GetRealPopupParent
 | Hide
 | IntfDropFiles
 | IntfHelp
 | IsShortcut
 | MakeFullyVisible
 | AutoSizeDelayedHandle
 | GetPreferredSize
 | Release
 | CanFocus
 | SetFocus
 | SetFocusedControl
 | SetRestoredBounds
 | Show
 | ShowModal
 | ShowOnTop
 | SmallIconHandle
 | GetChildren
 | WantChildKey
 | RemoveAllHandlersOfObject
 | AddHandlerFirstShow
 | RemoveHandlerFirstShow
 | AddHandlerClose
 | RemoveHandlerClose
 | AddHandlerCreate
 | RemoveHandlerCreate
 | ActiveMDIChild
 | GetMDIChildren
 | MDIChildCount
 | AutoScale
 | Dock
 | UpdateDockCaption
TCustomDesignControl
pt | SetScaled
pt | DoAutoAdjustLayout
pt | Loaded
 | Create
 | AutoAdjustLayout
TScrollingWinControl
pt | WSRegisterClass
pt | AlignControls
pt | AutoScrollEnabled
pt | CalculateAutoRanges
pt | CreateWnd
pt | GetClientScrollOffset
pt | GetLogicalClientRect
pt | DoOnResize
pt | GetPreferredSizeClientFrame
pt | WMSize
pt | WMHScroll
pt | WMVScroll
pt | ComputeScrollbars
pt | SetAutoScroll
pt | Loaded
pt | Resizing
pt | SetAutoSize
 | Create
 | Destroy
 | ScreenToClient
 | ClientToScreen
 | UpdateScrollbars
 | GetControlClassDefaultSize
 | ScrollBy
 | ScrollInView
TCustomControl
pt | WSRegisterClass
pt | WMPaint
pt | DestroyWnd
pt | PaintWindow
pt | FontChanged
pt | SetColor
pt | Paint
 | Create
 | Destroy
TWinControl
pt | WSRegisterClass
pt | AdjustClientRect
pt | GetAdjustedLogicalClientRect
pt | AlignControls
pt | CustomAlignInsertBefore
pt | CustomAlignPosition
pt | DoAlignChildControls
pt | DoChildSizingChange
pt | InvalidatePreferredChildSizes
pt | CanTab
pt | IsClientHeightStored
pt | IsClientWidthStored
pt | DoSendShowHideToInterface
pt | ControlsAligned
pt | DoSendBoundsToInterface
pt | RealizeBounds
pt | RealizeBoundsRecursive
pt | InvalidateBoundsRealized
pt | CreateSubClass
pt | DoConstraintsChange
pt | DoSetBounds
pt | DoAutoSize
pt | DoAllAutoSize
pt | AllAutoSized
pt | CalculatePreferredSize
pt | GetPreferredSizeClientFrame
pt | GetChildren
pt | ChildClassAllowed
pt | PaintControls
pt | PaintHandler
pt | PaintWindow
pt | CreateBrush
pt | ScaleControls
pt | ChangeScale
pt | CMBiDiModeChanged
pt | CMBorderChanged
pt | CMDoubleBufferedChanged
pt | CMEnabledChanged
pt | CMParentDoubleBufferedChanged
pt | CMShowingChanged
pt | CMShowHintChanged
pt | CMVisibleChanged
pt | CMEnter
pt | CMExit
pt | WMContextMenu
pt | WMEraseBkgnd
pt | WMNotify
pt | WMSetFocus
pt | WMKillFocus
pt | WMShowWindow
pt | WMEnter
pt | WMExit
pt | WMKeyDown
pt | WMSysKeyDown
pt | WMKeyUp
pt | WMSysKeyUp
pt | WMChar
pt | WMSysChar
pt | WMPaint
pt | WMDestroy
pt | WMMove
pt | WMSize
pt | WMWindowPosChanged
pt | CNKeyDown
pt | CNSysKeyDown
pt | CNKeyUp
pt | CNSysKeyUp
pt | CNChar
pt | DoDragMsg
pt | DoDockClientMsg
pt | DoUndockClientMsg
pt | DoAddDockClient
pt | DockOver
pt | DoDockOver
pt | DoRemoveDockClient
pt | DoUnDock
pt | GetSiteInfo
pt | GetParentHandle
pt | GetTopParentHandle
pt | ReloadDockedControl
pt | CreateDockManager
pt | SetDockManager
pt | DoFloatMsg
pt | DoGetDockCaption
pt | DoEnter
pt | DoExit
pt | DoKeyDownBeforeInterface
pt | DoRemainingKeyDown
pt | DoRemainingKeyUp
pt | DoKeyPress
pt | DoUTF8KeyPress
pt | DoKeyUpBeforeInterface
pt | ChildKey
pt | SendDialogChar
pt | DialogChar
pt | ControlKeyDown
pt | ControlKeyUp
pt | KeyDown
pt | KeyDownBeforeInterface
pt | KeyDownAfterInterface
pt | KeyPress
pt | KeyUp
pt | KeyUpBeforeInterface
pt | KeyUpAfterInterface
pt | UTF8KeyPress
pt | FindNextControl
pt | SelectFirst
pt | RealGetText
pt | GetBorderStyle
pt | GetClientOrigin
pt | GetClientRect
pt | GetControlOrigin
pt | GetDeviceContext
pt | GetParentBackground
pt | IsControlMouseMsg
pt | CreateHandle
pt | CreateParams
pt | CreateWnd
pt | DestroyHandle
pt | DestroyWnd
pt | DoFlipChildren
pt | FinalizeWnd
pt | FixupTabList
pt | FontChanged
pt | InitializeWnd
pt | Loaded
pt | FormEndUpdated
pt | MainWndProc
pt | ParentFormHandleInitialized
pt | ChildHandlesCreated
pt | GetMouseCapture
pt | RealSetText
pt | RemoveFocus
pt | SendMoveSizeMessages
pt | SetBorderStyle
pt | SetColor
pt | SetChildZPosition
pt | SetParentBackground
pt | ShowControl
pt | UpdateControlState
pt | UpdateShowing
pt | WndProc
pt | WSSetText
 | AutoSizePhases
 | AutoSizeDelayed
 | AutoSizeDelayedReport
 | AutoSizeDelayedHandle
 | BeginUpdateBounds
 | EndUpdateBounds
 | LockRealizeBounds
 | UnlockRealizeBounds
 | ControlAtPos
 | ContainsControl
 | DoAdjustClientRectChange
 | InvalidateClientRectCache
 | ClientRectNeedsInterfaceUpdate
 | SetBounds
 | GetChildrenRect
 | DisableAlign
 | EnableAlign
 | ReAlign
 | ScrollBy_WS
 | ScrollBy
 | WriteLayoutDebugReport
 | AutoAdjustLayout
 | Create
 | CreateParented
 | CreateParentedControl
 | Destroy
 | DockDrop
 | CanFocus
 | CanSetFocus
 | GetControlIndex
 | SetControlIndex
 | Focused
 | PerformTab
 | FindChildControl
 | SelectNext
 | SetTempCursor
 | BroadCast
 | NotifyControls
 | DefaultHandler
 | GetTextLen
 | Invalidate
 | AddControl
 | InsertControl
 | RemoveControl
 | GetEnumeratorControls
 | GetEnumeratorControlsReverse
 | Repaint
 | Update
 | SetFocus
 | FlipChildren
 | ScaleBy
 | GetDockCaption
 | UpdateDockCaption
 | GetTabOrderList
 | HandleAllocated
 | ParentHandlesAllocated
 | HandleNeeded
 | BrushCreated
 | EraseBackground
 | IntfUTF8KeyPress
 | IntfGetDropFilesTarget
 | PaintTo
 | SetShape
TControl
pt | WSRegisterClass
pt | GetCursor
pt | SetCursor
pt | SetVisible
pt | DoOnParentHandleDestruction
pt | DoAutoSize
pt | DoAllAutoSize
pt | BeginAutoSizing
pt | EndAutoSizing
pt | AnchorSideChanged
pt | ForeignAnchorSideChanged
pt | SetAlign
pt | SetAnchors
pt | SetAutoSize
pt | BoundsChanged
pt | CreateControlBorderSpacing
pt | DoConstraintsChange
pt | DoBorderSpacingChange
pt | IsBorderSpacingInnerBorderStored
pt | IsCaptionStored
pt | SendMoveSizeMessages
pt | ConstrainedResize
pt | CalculatePreferredSize
pt | DoOnResize
pt | DoOnChangeBounds
pt | CheckOnChangeBounds
pt | Resize
pt | RequestAlign
pt | UpdateAnchorRules
pt | ChangeBounds
pt | DoSetBounds
pt | ScaleConstraints
pt | ChangeScale
pt | CanAutoSize
pt | SetBiDiMode
pt | SetParentBiDiMode
pt | IsAParentAligning
pt | GetClientOrigin
pt | GetClientRect
pt | GetLogicalClientRect
pt | GetScrolledClientRect
pt | GetClientScrollOffset
pt | GetControlOrigin
pt | IsClientHeightStored
pt | IsClientWidthStored
pt | WidthIsAnchored
pt | HeightIsAnchored
pt | WMCancelMode
pt | WMContextMenu
pt | WMLButtonDown
pt | WMRButtonDown
pt | WMMButtonDown
pt | WMXButtonDown
pt | WMLButtonDBLCLK
pt | WMRButtonDBLCLK
pt | WMMButtonDBLCLK
pt | WMXButtonDBLCLK
pt | WMLButtonTripleCLK
pt | WMRButtonTripleCLK
pt | WMMButtonTripleCLK
pt | WMXButtonTripleCLK
pt | WMLButtonQuadCLK
pt | WMRButtonQuadCLK
pt | WMMButtonQuadCLK
pt | WMXButtonQuadCLK
pt | WMMouseMove
pt | WMLButtonUp
pt | WMRButtonUp
pt | WMMButtonUp
pt | WMXButtonUp
pt | WMMouseWheel
pt | WMMouseHWheel
pt | WMMove
pt | WMSize
pt | WMWindowPosChanged
pt | CMChanged
pt | LMCaptureChanged
pt | CMBiDiModeChanged
pt | CMSysFontChanged
pt | CMEnabledChanged
pt | CMHitTest
pt | CMMouseEnter
pt | CMMouseLeave
pt | CMHintShow
pt | CMParentBiDiModeChanged
pt | CMParentColorChanged
pt | CMParentFontChanged
pt | CMParentShowHintChanged
pt | CMVisibleChanged
pt | CMTextChanged
pt | CMCursorChanged
pt | CalculateDockSizes
pt | CreateFloatingDockSite
pt | GetDockEdge
pt | GetDragImages
pt | GetFloating
pt | GetFloatingDockSiteClass
pt | BeforeDragStart
pt | BeginAutoDrag
pt | DoFloatMsg
pt | DockTrackNoTarget
pt | DoDock
pt | DoDragMsg
pt | DoEndDock
pt | DoEndDrag
pt | DoStartDock
pt | DoStartDrag
pt | DragCanceled
pt | DragOver
pt | PositionDockRect
pt | SetDragMode
pt | GetDefaultDockCaption
pt | Click
pt | DblClick
pt | TripleClick
pt | QuadClick
pt | GetMousePosFromMessage
pt | MouseDown
pt | MouseMove
pt | MouseUp
pt | MouseEnter
pt | MouseLeave
pt | DialogChar
pt | UpdateMouseCursor
pt | Changed
pt | GetPalette
pt | ChildClassAllowed
pt | ReadState
pt | Loaded
pt | LoadedAll
pt | DefineProperties
pt | AssignTo
pt | FormEndUpdated
pt | InvalidateControl
pt | FontChanged
pt | ParentFontChanged
pt | GetAction
pt | RealGetText
pt | RealSetText
pt | TextChanged
pt | GetCachedText
pt | SetAction
pt | SetColor
pt | SetEnabled
pt | SetHint
pt | SetName
pt | SetParent
pt | SetParentComponent
pt | WndProc
pt | ParentFormHandleInitialized
pt | GetMouseCapture
pt | CaptureChanged
pt | Notification
pt | CanTab
pt | GetDeviceContext
pt | GetEnabled
pt | GetPopupMenu
pt | DoOnShowHint
pt | DoMouseWheel
pt | DoMouseWheelDown
pt | DoMouseWheelUp
pt | DoMouseWheelHorz
pt | DoMouseWheelLeft
pt | DoMouseWheelRight
pt | VisibleChanging
pt | VisibleChanged
pt | EnabledChanging
pt | EnabledChanged
pt | AddHandler
pt | RemoveHandler
pt | DoCallNotifyHandler
pt | DoCallKeyEventHandler
pt | DoCallMouseWheelEventHandler
pt | DoContextPopup
pt | SetZOrder
pt | GetControlClassDefaultSize
pt | ColorIsStored
pt | DoAutoAdjustLayout
pt | DoFixDesignFontPPI
pt | DoScaleFontPPI
pt | GetActionLinkClass
pt | ActionChange
 | DragDrop
 | Dock
 | ManualDock
 | ManualFloat
 | ReplaceDockedControl
 | Docked
 | Dragging
 | GetAccessibleObject
 | CreateAccessibleObject
 | GetSelectedChildAccessibleObject
 | GetChildAccessibleObjectAtPos
 | ScaleDesignToForm
 | ScaleFormToDesign
 | Scale96ToForm
 | ScaleFormTo96
 | Scale96ToFont
 | ScaleFontTo96
 | ScaleScreenToFont
 | ScaleFontToScreen
 | Scale96ToScreen
 | ScaleScreenTo96
 | AdjustSize
 | AutoSizePhases
 | AutoSizeDelayed
 | AutoSizeDelayedReport
 | AutoSizeDelayedHandle
 | AnchorToNeighbour
 | AnchorParallel
 | AnchorHorizontalCenterTo
 | AnchorVerticalCenterTo
 | AnchorToCompanion
 | AnchorSame
 | AnchorAsAlign
 | AnchorClient
 | AnchoredControlCount
 | SetBounds
 | SetInitialBounds
 | SetBoundsKeepBase
 | GetPreferredSize
 | GetCanvasScaleFactor
 | GetDefaultWidth
 | GetDefaultHeight
 | GetDefaultColor
 | GetColorResolvingParent
 | GetRGBColorResolvingParent
 | GetSidePosition
 | CNPreferredSizeChanged
 | InvalidatePreferredSize
 | GetAnchorsDependingOnParent
 | DisableAutoSizing
 | EnableAutoSizing
 | UpdateBaseBounds
 | WriteLayoutDebugReport
 | AutoAdjustLayout
 | ShouldAutoAdjust
 | FixDesignFontsPPI
 | ScaleFontsPPI
 | Create
 | Destroy
 | BeforeDestruction
 | EditingDone
 | ExecuteDefaultAction
 | ExecuteCancelAction
 | BeginDrag
 | EndDrag
 | BringToFront
 | HasParent
 | GetParentComponent
 | IsParentOf
 | GetTopParent
 | IsVisible
 | IsControlVisible
 | IsEnabled
 | IsParentColor
 | IsParentFont
 | FormIsUpdating
 | IsProcessingPaintMsg
 | Hide
 | Refresh
 | Repaint
 | Invalidate
 | CheckChildClassAllowed
 | CheckNewParent
 | SendToBack
 | SetTempCursor
 | UpdateRolesForForm
 | ActiveDefaultControlChanged
 | GetTextBuf
 | GetTextLen
 | SetTextBuf
 | Perform
 | ScreenToClient
 | ClientToScreen
 | ScreenToControl
 | ControlToScreen
 | ClientToParent
 | ParentToClient
 | GetChildrenRect
 | Show
 | Update
 | HandleObjectShouldBeVisible
 | ParentDestroyingHandle
 | ParentHandlesAllocated
 | InitiateAction
 | ShowHelp
 | HasHelp
 | RemoveAllHandlersOfObject
 | AddHandlerOnResize
 | RemoveHandlerOnResize
 | AddHandlerOnChangeBounds
 | RemoveHandlerOnChangeBounds
 | AddHandlerOnVisibleChanging
 | RemoveHandlerOnVisibleChanging
 | AddHandlerOnVisibleChanged
 | RemoveHandlerOnVisibleChanged
 | AddHandlerOnEnabledChanged
 | RemoveHandlerOnEnableChanging
 | AddHandlerOnKeyDown
 | RemoveHandlerOnKeyDown
 | AddHandlerOnBeforeDestruction
 | RemoveHandlerOnBeforeDestruction
 | AddHandlerOnMouseWheel
 | RemoveHandlerOnMouseWheel
 | UseRightToLeftAlignment
 | UseRightToLeftReading
 | UseRightToLeftScrollBar
 | IsRightToLeft
TLCLComponent
pt | WSRegisterClass
pt | GetWSComponentClass
 | Create
 | Destroy
 | NewInstance
 | RemoveAllHandlersOfObject
 | IncLCLRefCount
 | DecLCLRefCount
TComponent
 | GetComObject
 | GetComponent
 | GetComponentCount
 | GetComponentIndex
 | Insert
 | ReadLeft
 | ReadTop
 | Remove
 | RemoveNotification
 | SetComponentIndex
 | SetReference
 | WriteLeft
 | WriteTop
 | ChangeName
 | DefineProperties
 | GetChildren
 | GetChildOwner
 | GetChildParent
 | GetOwner
 | Loaded
 | Loading
 | Notification
 | PaletteCreated
 | ReadState
 | SetAncestor
 | SetDesigning
 | SetDesignInstance
 | SetInline
 | SetName
 | SetChildOrder
 | SetParentComponent
 | Updating
 | Updated
 | UpdateRegistry
 | ValidateRename
 | ValidateContainer
 | ValidateInsert
 | QueryInterface
 | _AddRef
 | _Release
 | iicrGetComponent
 | GetTypeInfoCount
 | GetTypeInfo
 | GetIDsOfNames
 | Invoke
 | WriteState
 | Create
 | Destroy
 | BeforeDestruction
 | DestroyComponents
 | Destroying
 | ExecuteAction
 | FindComponent
 | FreeNotification
 | RemoveFreeNotification
 | FreeOnRelease
 | GetEnumerator
 | GetNamePath
 | GetParentComponent
 | HasParent
 | InsertComponent
 | RemoveComponent
 | SafeCallException
 | SetSubComponent
 | UpdateAction
 | IsImplementorOf
 | ReferenceInterface
TPersistent
 | AssignError
 | AssignTo
 | DefineProperties
 | GetOwner
 | Destroy
 | Assign
 | FPOAttachObserver
 | FPODetachObserver
 | FPONotifyObservers
 | GetNamePath
TObject
 | Create
 | Destroy
 | newinstance
 | FreeInstance
 | SafeCallException
 | DefaultHandler
 | Free
 | InitInstance
 | CleanupInstance
 | ClassType
 | ClassInfo
 | ClassName
 | ClassNameIs
 | ClassParent
 | InstanceSize
 | InheritsFrom
 | StringMessageTable
 | MethodAddress
 | MethodName
 | FieldAddress
 | AfterConstruction
 | BeforeDestruction
 | DefaultHandlerStr
 | Dispatch
 | DispatchStr
 | GetInterface
 | GetInterfaceByStr
 | GetInterfaceWeak
 | GetInterfaceEntry
 | GetInterfaceEntryByStr
 | GetInterfaceTable
 | UnitName
 | Equals
 | GetHashCode
 | ToString


pt | ActionChange (TControl)
pt | Activate (TCustomForm)
pt | ActiveChanged (TCustomForm)
 | ActiveDefaultControlChanged (TControl)
 | ActiveMDIChild (TCustomForm)
 | AddControl (TWinControl)
pt | AddHandler (TControl)
 | AddHandlerClose (TCustomForm)
 | AddHandlerCreate (TCustomForm)
 | AddHandlerFirstShow (TCustomForm)
 | AddHandlerOnBeforeDestruction (TControl)
 | AddHandlerOnChangeBounds (TControl)
 | AddHandlerOnEnabledChanged (TControl)
 | AddHandlerOnKeyDown (TControl)
 | AddHandlerOnMouseWheel (TControl)
 | AddHandlerOnResize (TControl)
 | AddHandlerOnVisibleChanged (TControl)
 | AddHandlerOnVisibleChanging (TControl)
pt | AdjustClientRect (TWinControl)
pt | AdjustClientRect (TCustomForm)
 | AdjustSize (TControl)
 | AfterConstruction (TObject)
 | AfterConstruction (TCustomForm)
pt | AlignControls (TWinControl)
pt | AlignControls (TScrollingWinControl)
pt | AllAutoSized (TWinControl)
pt | AllAutoSized (TCustomForm)
 | AnchorAsAlign (TControl)
 | AnchorClient (TControl)
 | AnchoredControlCount (TControl)
 | AnchorHorizontalCenterTo (TControl)
 | AnchorParallel (TControl)
 | AnchorSame (TControl)
pt | AnchorSideChanged (TControl)
 | AnchorToCompanion (TControl)
 | AnchorToNeighbour (TControl)
 | AnchorVerticalCenterTo (TControl)
 | Assign (TPersistent)
 | AssignError (TPersistent)
 | AssignTo (TPersistent)
pt | AssignTo (TControl)
 | AutoAdjustLayout (TControl)
 | AutoAdjustLayout (TWinControl)
 | AutoAdjustLayout (TCustomDesignControl)
 | AutoScale (TCustomForm)
pt | AutoScrollEnabled (TScrollingWinControl)
 | AutoSizeDelayed (TControl)
 | AutoSizeDelayed (TWinControl)
 | AutoSizeDelayedHandle (TControl)
 | AutoSizeDelayedHandle (TWinControl)
 | AutoSizeDelayedHandle (TCustomForm)
 | AutoSizeDelayedReport (TControl)
 | AutoSizeDelayedReport (TWinControl)
 | AutoSizePhases (TControl)
 | AutoSizePhases (TWinControl)
 | BeforeDestruction (TObject)
 | BeforeDestruction (TComponent)
 | BeforeDestruction (TControl)
 | BeforeDestruction (TCustomForm)
pt | BeforeDragStart (TControl)
pt | BeginAutoDrag (TControl)
pt | BeginAutoDrag (TCustomForm)
pt | BeginAutoSizing (TControl)
 | BeginDrag (TControl)
pt | BeginFormUpdate (TCustomForm)
 | BeginUpdateBounds (TWinControl)
 | BigIconHandle (TCustomForm)
pt | BoundsChanged (TControl)
 | BringToFront (TControl)
 | BroadCast (TWinControl)
 | BrushCreated (TWinControl)
pt | CalculateAutoRanges (TScrollingWinControl)
pt | CalculateDockSizes (TControl)
pt | CalculatePreferredSize (TControl)
pt | CalculatePreferredSize (TWinControl)
pt | CalculatePreferredSize (TCustomForm)
pt | CanAutoSize (TControl)
 | CanFocus (TWinControl)
 | CanFocus (TCustomForm)
 | CanSetFocus (TWinControl)
pt | CanTab (TControl)
pt | CanTab (TWinControl)
pt | CaptureChanged (TControl)
 | Cascade (TForm)
pt | ChangeBounds (TControl)
pt | Changed (TControl)
 | ChangeName (TComponent)
pt | ChangeScale (TControl)
pt | ChangeScale (TWinControl)
 | CheckChildClassAllowed (TControl)
 | CheckNewParent (TControl)
pt | CheckOnChangeBounds (TControl)
pt | ChildClassAllowed (TControl)
pt | ChildClassAllowed (TWinControl)
pt | ChildHandlesCreated (TWinControl)
pt | ChildHandlesCreated (TCustomForm)
pt | ChildKey (TWinControl)
 | ClassInfo (TObject)
 | ClassName (TObject)
 | ClassNameIs (TObject)
 | ClassParent (TObject)
 | ClassType (TObject)
 | CleanupInstance (TObject)
pt | Click (TControl)
 | ClientRectNeedsInterfaceUpdate (TWinControl)
 | ClientToParent (TControl)
 | ClientToScreen (TControl)
 | ClientToScreen (TScrollingWinControl)
 | Close (TCustomForm)
 | CloseQuery (TCustomForm)
pt | CMActionExecute (TCustomForm)
pt | CMActionUpdate (TCustomForm)
pt | CMActivate (TCustomForm)
pt | CMAppShowBtnGlyphChanged (TCustomForm)
pt | CMAppShowMenuGlyphChanged (TCustomForm)
pt | CMBiDiModeChanged (TControl)
pt | CMBiDiModeChanged (TWinControl)
pt | CMBiDiModeChanged (TCustomForm)
pt | CMBorderChanged (TWinControl)
pt | CMChanged (TControl)
pt | CMCursorChanged (TControl)
pt | CMDeactivate (TCustomForm)
pt | CMDoubleBufferedChanged (TWinControl)
pt | CMEnabledChanged (TControl)
pt | CMEnabledChanged (TWinControl)
pt | CMEnter (TWinControl)
pt | CMExit (TWinControl)
pt | CMHintShow (TControl)
pt | CMHitTest (TControl)
pt | CMIconChanged (TCustomForm)
pt | CMMouseEnter (TControl)
pt | CMMouseLeave (TControl)
pt | CMParentBiDiModeChanged (TControl)
pt | CMParentBiDiModeChanged (TCustomForm)
pt | CMParentColorChanged (TControl)
pt | CMParentDoubleBufferedChanged (TWinControl)
pt | CMParentFontChanged (TControl)
pt | CMParentShowHintChanged (TControl)
pt | CMRelease (TCustomForm)
pt | CMShowHintChanged (TWinControl)
pt | CMShowingChanged (TWinControl)
pt | CMShowingChanged (TCustomForm)
pt | CMSysFontChanged (TControl)
pt | CMTextChanged (TControl)
pt | CMVisibleChanged (TControl)
pt | CMVisibleChanged (TWinControl)
pt | CNChar (TWinControl)
pt | CNKeyDown (TWinControl)
pt | CNKeyUp (TWinControl)
 | CNPreferredSizeChanged (TControl)
pt | CNSysKeyDown (TWinControl)
pt | CNSysKeyUp (TWinControl)
pt | ColorIsStored (TControl)
pt | ColorIsStored (TCustomForm)
pt | ComputeScrollbars (TScrollingWinControl)
pt | ConstrainedResize (TControl)
 | ContainsControl (TWinControl)
 | ControlAtPos (TWinControl)
pt | ControlKeyDown (TWinControl)
pt | ControlKeyUp (TWinControl)
pt | ControlsAligned (TWinControl)
 | ControlToScreen (TControl)
 | Create (TObject)
 | Create (TComponent)
 | Create (TLCLComponent)
 | Create (TControl)
 | Create (TWinControl)
 | Create (TCustomControl)
 | Create (TScrollingWinControl)
 | Create (TCustomDesignControl)
 | Create (TCustomForm)
 | Create (TForm)
 | CreateAccessibleObject (TControl)
pt | CreateBrush (TWinControl)
pt | CreateControlBorderSpacing (TControl)
pt | CreateDockManager (TWinControl)
pt | CreateFloatingDockSite (TControl)
pt | CreateHandle (TWinControl)
 | CreateNew (TCustomForm)
 | CreateNew (TEmulatedTaskDialog)
pt | CreateParams (TWinControl)
pt | CreateParams (TCustomForm)
 | CreateParented (TWinControl)
 | CreateParentedControl (TWinControl)
pt | CreateSubClass (TWinControl)
pt | CreateWnd (TWinControl)
pt | CreateWnd (TScrollingWinControl)
pt | CreateWnd (TCustomForm)
pt | CreateWnd (TForm)
pt | CustomAlignInsertBefore (TWinControl)
pt | CustomAlignPosition (TWinControl)
pt | DblClick (TControl)
pt | Deactivate (TCustomForm)
 | DecLCLRefCount (TLCLComponent)
 | DefaultHandler (TObject)
 | DefaultHandler (TWinControl)
 | DefaultHandlerStr (TObject)
 | DefineProperties (TPersistent)
 | DefineProperties (TComponent)
pt | DefineProperties (TControl)
 | DefocusControl (TCustomForm)
 | Destroy (TObject)
 | Destroy (TPersistent)
 | Destroy (TComponent)
 | Destroy (TLCLComponent)
 | Destroy (TControl)
 | Destroy (TWinControl)
 | Destroy (TCustomControl)
 | Destroy (TScrollingWinControl)
 | Destroy (TCustomForm)
 | DestroyComponents (TComponent)
pt | DestroyHandle (TWinControl)
 | Destroying (TComponent)
pt | DestroyWnd (TWinControl)
pt | DestroyWnd (TCustomControl)
 | DestroyWnd (TCustomForm)
pt | DialogChar (TControl)
pt | DialogChar (TWinControl)
 | DisableAlign (TWinControl)
 | DisableAutoSizing (TControl)
 | Dispatch (TObject)
 | DispatchStr (TObject)
pt | DoAddActionList (TCustomForm)
pt | DoAddDockClient (TWinControl)
 | DoAdjustClientRectChange (TWinControl)
pt | DoAlignChildControls (TWinControl)
pt | DoAllAutoSize (TControl)
pt | DoAllAutoSize (TWinControl)
pt | DoAutoAdjustLayout (TControl)
pt | DoAutoAdjustLayout (TCustomDesignControl)
pt | DoAutoSize (TControl)
pt | DoAutoSize (TWinControl)
pt | DoAutoSize (TCustomForm)
pt | DoBorderSpacingChange (TControl)
pt | DoCallKeyEventHandler (TControl)
pt | DoCallMouseWheelEventHandler (TControl)
pt | DoCallNotifyHandler (TControl)
pt | DoChildSizingChange (TWinControl)
 | Dock (TControl)
 | Dock (TCustomForm)
 | DockDrop (TWinControl)
 | Docked (TControl)
pt | DockOver (TWinControl)
pt | DockTrackNoTarget (TControl)
pt | DoClose (TCustomForm)
pt | DoConstraintsChange (TControl)
pt | DoConstraintsChange (TWinControl)
pt | DoContextPopup (TControl)
pt | DoCreate (TCustomForm)
pt | DoDestroy (TCustomForm)
pt | DoDock (TControl)
pt | DoDock (TCustomForm)
pt | DoDockClientMsg (TWinControl)
pt | DoDockOver (TWinControl)
pt | DoDragMsg (TControl)
pt | DoDragMsg (TWinControl)
pt | DoEndDock (TControl)
pt | DoEndDrag (TControl)
pt | DoEnter (TWinControl)
pt | DoExecuteAction (TCustomForm)
pt | DoExit (TWinControl)
pt | DoFirstShow (TCustomForm)
pt | DoFixDesignFontPPI (TControl)
pt | DoFlipChildren (TWinControl)
pt | DoFloatMsg (TControl)
pt | DoFloatMsg (TWinControl)
pt | DoGetDockCaption (TWinControl)
pt | DoHide (TCustomForm)
pt | DoKeyDownBeforeInterface (TWinControl)
pt | DoKeyPress (TWinControl)
pt | DoKeyUpBeforeInterface (TWinControl)
pt | DoMouseWheel (TControl)
pt | DoMouseWheelDown (TControl)
pt | DoMouseWheelHorz (TControl)
pt | DoMouseWheelLeft (TControl)
pt | DoMouseWheelRight (TControl)
pt | DoMouseWheelUp (TControl)
pt | DoOnChangeBounds (TControl)
pt | DoOnParentHandleDestruction (TControl)
pt | DoOnResize (TControl)
pt | DoOnResize (TScrollingWinControl)
pt | DoOnShowHint (TControl)
pt | DoRemainingKeyDown (TWinControl)
pt | DoRemainingKeyUp (TWinControl)
pt | DoRemoveActionList (TCustomForm)
pt | DoRemoveDockClient (TWinControl)
pt | DoScaleFontPPI (TControl)
pt | DoSendBoundsToInterface (TWinControl)
pt | DoSendBoundsToInterface (TCustomForm)
pt | DoSendShowHideToInterface (TWinControl)
pt | DoSetBounds (TControl)
pt | DoSetBounds (TWinControl)
pt | DoShow (TCustomForm)
pt | DoShowWindow (TCustomForm)
pt | DoStartDock (TControl)
pt | DoStartDrag (TControl)
pt | DoUnDock (TWinControl)
pt | DoUndockClientMsg (TWinControl)
pt | DoUpdateAction (TCustomForm)
pt | DoUTF8KeyPress (TWinControl)
pt | DragCanceled (TControl)
 | DragDrop (TControl)
 | Dragging (TControl)
pt | DragOver (TControl)
 | EditingDone (TControl)
 | EnableAlign (TWinControl)
 | EnableAutoSizing (TControl)
pt | EnabledChanged (TControl)
pt | EnabledChanging (TControl)
pt | EndAutoSizing (TControl)
 | EndDrag (TControl)
pt | EndFormUpdate (TCustomForm)
 | EndUpdateBounds (TWinControl)
 | EnsureVisible (TCustomForm)
 | Equals (TObject)
 | EraseBackground (TWinControl)
 | ExecuteAction (TComponent)
 | ExecuteCancelAction (TControl)
 | ExecuteDefaultAction (TControl)
 | FieldAddress (TObject)
pt | FinalizeWnd (TWinControl)
 | FindChildControl (TWinControl)
 | FindComponent (TComponent)
pt | FindNextControl (TWinControl)
 | FixDesignFontsPPI (TControl)
pt | FixupTabList (TWinControl)
 | FlipChildren (TWinControl)
 | FocusControl (TCustomForm)
 | Focused (TWinControl)
pt | FontChanged (TControl)
pt | FontChanged (TWinControl)
pt | FontChanged (TCustomControl)
pt | ForeignAnchorSideChanged (TControl)
pt | FormEndUpdated (TControl)
pt | FormEndUpdated (TWinControl)
 | FormIsUpdating (TControl)
 | FormIsUpdating (TCustomForm)
 | FPOAttachObserver (TPersistent)
 | FPODetachObserver (TPersistent)
 | FPONotifyObservers (TPersistent)
 | Free (TObject)
 | FreeInstance (TObject)
 | FreeNotification (TComponent)
 | FreeOnRelease (TComponent)
 | GetAccessibleObject (TControl)
pt | GetAction (TControl)
pt | GetActionLinkClass (TControl)
pt | GetAdjustedLogicalClientRect (TWinControl)
 | GetAnchorsDependingOnParent (TControl)
pt | GetBorderStyle (TWinControl)
pt | GetCachedText (TControl)
 | GetCanvasScaleFactor (TControl)
 | GetChildAccessibleObjectAtPos (TControl)
 | GetChildOwner (TComponent)
 | GetChildParent (TComponent)
 | GetChildren (TComponent)
pt | GetChildren (TWinControl)
 | GetChildren (TCustomForm)
 | GetChildrenRect (TControl)
 | GetChildrenRect (TWinControl)
pt | GetClientOrigin (TControl)
pt | GetClientOrigin (TWinControl)
pt | GetClientRect (TControl)
pt | GetClientRect (TWinControl)
pt | GetClientScrollOffset (TControl)
pt | GetClientScrollOffset (TScrollingWinControl)
 | GetColorResolvingParent (TControl)
 | GetComObject (TComponent)
 | GetComponent (TComponent)
 | GetComponentCount (TComponent)
 | GetComponentIndex (TComponent)
pt | GetControlClassDefaultSize (TControl)
 | GetControlClassDefaultSize (TScrollingWinControl)
 | GetControlClassDefaultSize (TCustomForm)
 | GetControlIndex (TWinControl)
pt | GetControlOrigin (TControl)
pt | GetControlOrigin (TWinControl)
pt | GetCursor (TControl)
 | GetDefaultColor (TControl)
pt | GetDefaultDockCaption (TControl)
pt | GetDefaultDockCaption (TCustomForm)
 | GetDefaultHeight (TControl)
 | GetDefaultWidth (TControl)
pt | GetDeviceContext (TControl)
pt | GetDeviceContext (TWinControl)
 | GetDockCaption (TWinControl)
pt | GetDockEdge (TControl)
pt | GetDragImages (TControl)
pt | GetEnabled (TControl)
 | GetEnumerator (TComponent)
 | GetEnumeratorControls (TWinControl)
 | GetEnumeratorControlsReverse (TWinControl)
pt | GetFloating (TControl)
pt | GetFloating (TCustomForm)
pt | GetFloatingDockSiteClass (TControl)
 | GetFormImage (TCustomForm)
 | GetHashCode (TObject)
 | GetIDsOfNames (TComponent)
 | GetInterface (TObject)
 | GetInterfaceByStr (TObject)
 | GetInterfaceEntry (TObject)
 | GetInterfaceEntryByStr (TObject)
 | GetInterfaceTable (TObject)
 | GetInterfaceWeak (TObject)
pt | GetLogicalClientRect (TControl)
pt | GetLogicalClientRect (TScrollingWinControl)
 | GetMDIChildren (TCustomForm)
pt | GetMouseCapture (TControl)
pt | GetMouseCapture (TWinControl)
pt | GetMousePosFromMessage (TControl)
 | GetNamePath (TPersistent)
 | GetNamePath (TComponent)
 | GetOwner (TPersistent)
 | GetOwner (TComponent)
pt | GetPalette (TControl)
pt | GetParentBackground (TWinControl)
 | GetParentComponent (TComponent)
 | GetParentComponent (TControl)
pt | GetParentHandle (TWinControl)
pt | GetPopupMenu (TControl)
 | GetPreferredSize (TControl)
 | GetPreferredSize (TCustomForm)
pt | GetPreferredSizeClientFrame (TWinControl)
pt | GetPreferredSizeClientFrame (TScrollingWinControl)
 | GetRealPopupParent (TCustomForm)
 | GetRGBColorResolvingParent (TControl)
 | GetRolesForControl (TCustomForm)
pt | GetScrolledClientRect (TControl)
 | GetSelectedChildAccessibleObject (TControl)
 | GetSidePosition (TControl)
pt | GetSiteInfo (TWinControl)
 | GetTabOrderList (TWinControl)
 | GetTextBuf (TControl)
 | GetTextLen (TControl)
 | GetTextLen (TWinControl)
 | GetTopParent (TControl)
pt | GetTopParentHandle (TWinControl)
 | GetTypeInfo (TComponent)
 | GetTypeInfoCount (TComponent)
pt | GetWSComponentClass (TLCLComponent)
 | HandleAllocated (TWinControl)
pt | HandleCreateException (TCustomForm)
pt | HandleDestroyException (TCustomForm)
pt | HandleEmulatedButtonClicked (TEmulatedTaskDialog)
 | HandleNeeded (TWinControl)
 | HandleObjectShouldBeVisible (TControl)
pt | HandleShowHideException (TCustomForm)
 | HasHelp (TControl)
 | HasParent (TComponent)
 | HasParent (TControl)
pt | HeightIsAnchored (TControl)
 | Hide (TControl)
 | Hide (TCustomForm)
 | iicrGetComponent (TComponent)
 | IncLCLRefCount (TLCLComponent)
 | InheritsFrom (TObject)
pt | InitializeWnd (TWinControl)
pt | InitializeWnd (TCustomForm)
 | InitiateAction (TControl)
 | InitInstance (TObject)
 | Insert (TComponent)
 | InsertComponent (TComponent)
 | InsertControl (TWinControl)
 | InstanceSize (TObject)
 | IntfDropFiles (TCustomForm)
 | IntfGetDropFilesTarget (TWinControl)
 | IntfHelp (TCustomForm)
 | IntfUTF8KeyPress (TWinControl)
 | Invalidate (TControl)
 | Invalidate (TWinControl)
pt | InvalidateBoundsRealized (TWinControl)
 | InvalidateClientRectCache (TWinControl)
pt | InvalidateControl (TControl)
pt | InvalidatePreferredChildSizes (TWinControl)
 | InvalidatePreferredSize (TControl)
 | Invoke (TComponent)
pt | IsAParentAligning (TControl)
pt | IsBorderSpacingInnerBorderStored (TControl)
pt | IsCaptionStored (TControl)
pt | IsClientHeightStored (TControl)
pt | IsClientHeightStored (TWinControl)
pt | IsClientWidthStored (TControl)
pt | IsClientWidthStored (TWinControl)
pt | IsControlMouseMsg (TWinControl)
 | IsControlVisible (TControl)
 | IsEnabled (TControl)
 | IsImplementorOf (TComponent)
 | IsParentColor (TControl)
 | IsParentFont (TControl)
 | IsParentOf (TControl)
 | IsProcessingPaintMsg (TControl)
 | IsRightToLeft (TControl)
 | IsShortcut (TCustomForm)
 | IsVisible (TControl)
pt | KeyDown (TWinControl)
 | KeyDown (TEmulatedTaskDialog)
pt | KeyDownAfterInterface (TWinControl)
pt | KeyDownBeforeInterface (TWinControl)
pt | KeyPress (TWinControl)
pt | KeyUp (TWinControl)
pt | KeyUpAfterInterface (TWinControl)
pt | KeyUpBeforeInterface (TWinControl)
pt | LMCaptureChanged (TControl)
 | Loaded (TComponent)
pt | Loaded (TControl)
pt | Loaded (TWinControl)
pt | Loaded (TScrollingWinControl)
pt | Loaded (TCustomDesignControl)
pt | Loaded (TCustomForm)
pt | Loaded (TForm)
pt | LoadedAll (TControl)
 | Loading (TComponent)
 | LockRealizeBounds (TWinControl)
pt | MainWndProc (TWinControl)
 | MakeFullyVisible (TCustomForm)
 | ManualDock (TControl)
 | ManualFloat (TControl)
 | MDIChildCount (TCustomForm)
 | MethodAddress (TObject)
 | MethodName (TObject)
pt | MouseDown (TControl)
pt | MouseEnter (TControl)
pt | MouseLeave (TControl)
pt | MouseMove (TControl)
pt | MouseUp (TControl)
pt | MoveToDefaultPosition (TCustomForm)
 | newinstance (TObject)
 | NewInstance (TLCLComponent)
 | Next (TForm)
 | Notification (TComponent)
pt | Notification (TControl)
pt | Notification (TCustomForm)
 | NotifyControls (TWinControl)
pt | Paint (TCustomControl)
pt | PaintControls (TWinControl)
pt | PaintHandler (TWinControl)
 | PaintTo (TWinControl)
pt | PaintWindow (TWinControl)
pt | PaintWindow (TCustomControl)
pt | PaintWindow (TCustomForm)
 | PaletteCreated (TComponent)
 | ParentDestroyingHandle (TControl)
pt | ParentFontChanged (TControl)
pt | ParentFormHandleInitialized (TControl)
pt | ParentFormHandleInitialized (TWinControl)
 | ParentHandlesAllocated (TControl)
 | ParentHandlesAllocated (TWinControl)
 | ParentToClient (TControl)
 | Perform (TControl)
 | PerformTab (TWinControl)
pt | PositionDockRect (TControl)
 | Previous (TForm)
pt | ProcessResource (TCustomForm)
pt | QuadClick (TControl)
 | QueryInterface (TComponent)
 | ReadLeft (TComponent)
 | ReadState (TComponent)
pt | ReadState (TControl)
 | ReadTop (TComponent)
pt | RealGetText (TControl)
pt | RealGetText (TWinControl)
 | ReAlign (TWinControl)
pt | RealizeBounds (TWinControl)
pt | RealizeBoundsRecursive (TWinControl)
pt | RealSetText (TControl)
pt | RealSetText (TWinControl)
 | ReferenceInterface (TComponent)
 | Refresh (TControl)
 | Release (TCustomForm)
pt | ReloadDockedControl (TWinControl)
 | Remove (TComponent)
 | RemoveAllHandlersOfObject (TLCLComponent)
 | RemoveAllHandlersOfObject (TControl)
 | RemoveAllHandlersOfObject (TCustomForm)
 | RemoveComponent (TComponent)
 | RemoveControl (TWinControl)
pt | RemoveFocus (TWinControl)
 | RemoveFreeNotification (TComponent)
pt | RemoveHandler (TControl)
 | RemoveHandlerClose (TCustomForm)
 | RemoveHandlerCreate (TCustomForm)
 | RemoveHandlerFirstShow (TCustomForm)
 | RemoveHandlerOnBeforeDestruction (TControl)
 | RemoveHandlerOnChangeBounds (TControl)
 | RemoveHandlerOnEnableChanging (TControl)
 | RemoveHandlerOnKeyDown (TControl)
 | RemoveHandlerOnMouseWheel (TControl)
 | RemoveHandlerOnResize (TControl)
 | RemoveHandlerOnVisibleChanged (TControl)
 | RemoveHandlerOnVisibleChanging (TControl)
 | RemoveNotification (TComponent)
 | Repaint (TControl)
 | Repaint (TWinControl)
 | ReplaceDockedControl (TControl)
pt | RequestAlign (TControl)
pt | RequestAlign (TCustomForm)
pt | Resize (TControl)
pt | Resizing (TScrollingWinControl)
pt | Resizing (TCustomForm)
 | SafeCallException (TObject)
 | SafeCallException (TComponent)
 | Scale96ToFont (TControl)
 | Scale96ToForm (TControl)
 | Scale96ToScreen (TControl)
 | ScaleBy (TWinControl)
pt | ScaleConstraints (TControl)
pt | ScaleControls (TWinControl)
 | ScaleDesignToForm (TControl)
 | ScaleFontsPPI (TControl)
 | ScaleFontTo96 (TControl)
 | ScaleFontToScreen (TControl)
 | ScaleFormTo96 (TControl)
 | ScaleFormToDesign (TControl)
 | ScaleScreenTo96 (TControl)
 | ScaleScreenToFont (TControl)
 | ScreenToClient (TControl)
 | ScreenToClient (TScrollingWinControl)
 | ScreenToControl (TControl)
 | ScrollBy (TWinControl)
 | ScrollBy (TScrollingWinControl)
 | ScrollBy_WS (TWinControl)
 | ScrollInView (TScrollingWinControl)
pt | SelectFirst (TWinControl)
 | SelectNext (TWinControl)
pt | SendDialogChar (TWinControl)
pt | SendMoveSizeMessages (TControl)
pt | SendMoveSizeMessages (TWinControl)
 | SendToBack (TControl)
pt | SetAction (TControl)
pt | SetAlign (TControl)
 | SetAncestor (TComponent)
pt | SetAnchors (TControl)
pt | SetAutoScroll (TScrollingWinControl)
pt | SetAutoScroll (TCustomForm)
pt | SetAutoSize (TControl)
pt | SetAutoSize (TScrollingWinControl)
pt | SetAutoSize (TCustomForm)
pt | SetBiDiMode (TControl)
pt | SetBorderStyle (TWinControl)
 | SetBounds (TControl)
 | SetBounds (TWinControl)
 | SetBoundsKeepBase (TControl)
 | SetChildOrder (TComponent)
pt | SetChildZPosition (TWinControl)
pt | SetColor (TControl)
pt | SetColor (TWinControl)
pt | SetColor (TCustomControl)
 | SetComponentIndex (TComponent)
 | SetControlIndex (TWinControl)
pt | SetCursor (TControl)
 | SetDesigning (TComponent)
 | SetDesignInstance (TComponent)
pt | SetDockManager (TWinControl)
pt | SetDragMode (TControl)
pt | SetEnabled (TControl)
 | SetFocus (TWinControl)
 | SetFocus (TCustomForm)
 | SetFocusedControl (TCustomForm)
pt | SetHint (TControl)
 | SetInitialBounds (TControl)
 | SetInline (TComponent)
 | SetName (TComponent)
pt | SetName (TControl)
pt | SetParent (TControl)
pt | SetParent (TCustomForm)
pt | SetParentBackground (TWinControl)
pt | SetParentBiDiMode (TControl)
 | SetParentComponent (TComponent)
pt | SetParentComponent (TControl)
 | SetReference (TComponent)
 | SetRestoredBounds (TCustomForm)
pt | SetScaled (TCustomDesignControl)
pt | SetScaled (TCustomForm)
 | SetShape (TWinControl)
 | SetSubComponent (TComponent)
 | SetTempCursor (TControl)
 | SetTempCursor (TWinControl)
 | SetTextBuf (TControl)
pt | SetVisible (TControl)
pt | SetVisible (TCustomForm)
pt | SetZOrder (TControl)
pt | SetZOrder (TCustomForm)
 | ShouldAutoAdjust (TControl)
 | Show (TControl)
 | Show (TCustomForm)
pt | ShowControl (TWinControl)
 | ShowHelp (TControl)
 | ShowModal (TCustomForm)
 | ShowOnTop (TCustomForm)
 | SmallIconHandle (TCustomForm)
 | StringMessageTable (TObject)
pt | TextChanged (TControl)
 | Tile (TForm)
 | ToString (TObject)
pt | TripleClick (TControl)
 | UnitName (TObject)
 | UnlockRealizeBounds (TWinControl)
 | Update (TControl)
 | Update (TWinControl)
 | UpdateAction (TComponent)
pt | UpdateActions (TCustomForm)
pt | UpdateAnchorRules (TControl)
 | UpdateBaseBounds (TControl)
pt | UpdateControlState (TWinControl)
 | Updated (TComponent)
 | UpdateDockCaption (TWinControl)
 | UpdateDockCaption (TCustomForm)
pt | UpdateMouseCursor (TControl)
 | UpdateRegistry (TComponent)
 | UpdateRolesForForm (TControl)
 | UpdateScrollbars (TScrollingWinControl)
pt | UpdateShowing (TWinControl)
pt | UpdateShowing (TCustomForm)
pt | UpdateWindowState (TCustomForm)
 | Updating (TComponent)
 | UseRightToLeftAlignment (TControl)
 | UseRightToLeftReading (TControl)
 | UseRightToLeftScrollBar (TControl)
pt | UTF8KeyPress (TWinControl)
 | ValidateContainer (TComponent)
 | ValidateInsert (TComponent)
 | ValidateRename (TComponent)
pt | VisibleChanged (TControl)
pt | VisibleChanged (TCustomForm)
pt | VisibleChanging (TControl)
pt | VisibleChanging (TCustomForm)
pt | VisibleIsStored (TCustomForm)
 | WantChildKey (TCustomForm)
pt | WidthIsAnchored (TControl)
pt | WMActivate (TCustomForm)
pt | WMCancelMode (TControl)
pt | WMChar (TWinControl)
pt | WMCloseQuery (TCustomForm)
pt | WMContextMenu (TControl)
pt | WMContextMenu (TWinControl)
pt | WMDestroy (TWinControl)
pt | WMDPIChanged (TCustomForm)
pt | WMEnter (TWinControl)
pt | WMEraseBkgnd (TWinControl)
pt | WMExit (TWinControl)
pt | WMHelp (TCustomForm)
pt | WMHScroll (TScrollingWinControl)
pt | WMKeyDown (TWinControl)
pt | WMKeyUp (TWinControl)
pt | WMKillFocus (TWinControl)
pt | WMLButtonDBLCLK (TControl)
pt | WMLButtonDown (TControl)
pt | WMLButtonQuadCLK (TControl)
pt | WMLButtonTripleCLK (TControl)
pt | WMLButtonUp (TControl)
pt | WMMButtonDBLCLK (TControl)
pt | WMMButtonDown (TControl)
pt | WMMButtonQuadCLK (TControl)
pt | WMMButtonTripleCLK (TControl)
pt | WMMButtonUp (TControl)
pt | WMMouseHWheel (TControl)
pt | WMMouseMove (TControl)
pt | WMMouseWheel (TControl)
pt | WMMove (TControl)
pt | WMMove (TWinControl)
pt | WMMove (TCustomForm)
pt | WMNotify (TWinControl)
pt | WMPaint (TWinControl)
pt | WMPaint (TCustomControl)
pt | WMRButtonDBLCLK (TControl)
pt | WMRButtonDown (TControl)
pt | WMRButtonQuadCLK (TControl)
pt | WMRButtonTripleCLK (TControl)
pt | WMRButtonUp (TControl)
pt | WMSetFocus (TWinControl)
pt | WMShowWindow (TWinControl)
pt | WMShowWindow (TCustomForm)
pt | WMSize (TControl)
pt | WMSize (TWinControl)
pt | WMSize (TScrollingWinControl)
pt | WMSize (TCustomForm)
pt | WMSysChar (TWinControl)
pt | WMSysKeyDown (TWinControl)
pt | WMSysKeyUp (TWinControl)
pt | WMVScroll (TScrollingWinControl)
pt | WMWindowPosChanged (TControl)
pt | WMWindowPosChanged (TWinControl)
pt | WMWindowPosChanged (TCustomForm)
pt | WMXButtonDBLCLK (TControl)
pt | WMXButtonDown (TControl)
pt | WMXButtonQuadCLK (TControl)
pt | WMXButtonTripleCLK (TControl)
pt | WMXButtonUp (TControl)
pt | WndProc (TControl)
pt | WndProc (TWinControl)
pt | WndProc (TCustomForm)
 | WriteLayoutDebugReport (TControl)
 | WriteLayoutDebugReport (TWinControl)
 | WriteLeft (TComponent)
 | WriteState (TComponent)
 | WriteTop (TComponent)
pt | WSRegisterClass (TLCLComponent)
pt | WSRegisterClass (TControl)
pt | WSRegisterClass (TWinControl)
pt | WSRegisterClass (TCustomControl)
pt | WSRegisterClass (TScrollingWinControl)
pt | WSRegisterClass (TCustomForm)
pt | WSSetText (TWinControl)
 | _AddRef (TComponent)
 | _Release (TComponent)


TEmulatedTaskDialog
TForm
pl | ro | OnActivate
pl | ro | OnChangeBounds
pl | ro | OnClick
pl | ro | OnClose
pl | ro | OnCloseQuery
pl | ro | OnConstrainedResize
pl | ro | OnContextPopup
pl | ro | OnCreate
pl | ro | OnDblClick
pl | ro | OnDeactivate
pl | ro | OnDestroy
pl | ro | OnDockDrop
pl | ro | OnDockOver
pl | ro | OnDragDrop
pl | ro | OnDragOver
pl | ro | OnDropFiles
pl | ro | OnEndDock
pl | ro | OnGetSiteInfo
pl | ro | OnHelp
pl | ro | OnHide
pl | ro | OnKeyDown
pl | ro | OnKeyPress
pl | ro | OnKeyUp
pl | ro | OnMouseDown
pl | ro | OnMouseEnter
pl | ro | OnMouseLeave
pl | ro | OnMouseMove
pl | ro | OnMouseUp
pl | ro | OnMouseWheel
pl | ro | OnMouseWheelDown
pl | ro | OnMouseWheelUp
pl | ro | OnMouseWheelHorz
pl | ro | OnMouseWheelLeft
pl | ro | OnMouseWheelRight
pl | ro | OnPaint
pl | ro | OnResize
pl | ro | OnShortCut
pl | ro | OnShow
pl | ro | OnShowHint
pl | ro | OnStartDock
pl | ro | OnUnDock
pl | ro | OnUTF8KeyPress
pl | ro | OnWindowStateChange
TCustomForm
 |  | OnActivate
 |  | OnClose
 |  | OnCloseQuery
 |  | OnCreate
 |  | OnDeactivate
 |  | OnDestroy
 |  | OnDropFiles
 |  | OnHelp
 |  | OnHide
 | ro | OnResize
 |  | OnShortcut
 |  | OnShow
 |  | OnShowModalFinished
 |  | OnWindowStateChange
TCustomDesignControl
TScrollingWinControl
TCustomControl
 |  | OnPaint
TWinControl
pt |  | OnGetSiteInfo
pt |  | OnGetDockCaption
 |  | OnAlignInsertBefore
 |  | OnAlignPosition
 |  | OnDockDrop
 |  | OnDockOver
 |  | OnEnter
 |  | OnExit
 |  | OnKeyDown
 |  | OnKeyPress
 |  | OnKeyUp
 |  | OnUnDock
 |  | OnUTF8KeyPress
TControl
pt |  | OnConstrainedResize
pt |  | OnContextPopup
pt |  | OnDblClick
pt |  | OnTripleClick
pt |  | OnQuadClick
pt |  | OnDragDrop
pt |  | OnDragOver
pt |  | OnEndDock
pt |  | OnEndDrag
pt |  | OnMouseDown
pt |  | OnMouseMove
pt |  | OnMouseUp
pt |  | OnMouseEnter
pt |  | OnMouseLeave
pt |  | OnMouseWheel
pt |  | OnMouseWheelDown
pt |  | OnMouseWheelUp
pt |  | OnMouseWheelHorz
pt |  | OnMouseWheelLeft
pt |  | OnMouseWheelRight
pt |  | OnStartDock
pt |  | OnStartDrag
pt |  | OnEditingDone
 |  | OnChangeBounds
 |  | OnClick
 |  | OnResize
 |  | OnShowHint
TLCLComponent
TComponent
TPersistent
TObject


TEmulatedTaskDialog.Combo

Declaration

Source position: lcltaskdialog.pas line 211

public TEmulatedTaskDialog.Combo : TComboBox;


TEmulatedTaskDialog.CreateNew

Declaration

Source position: lcltaskdialog.pas line 204

public constructor TEmulatedTaskDialog.CreateNew(

  AOwner: TComponent;

  Num: Integer = 0

); override;


TEmulatedTaskDialog.Edit

Declaration

Source position: lcltaskdialog.pas line 213

public TEmulatedTaskDialog.Edit : TEdit;


TEmulatedTaskDialog.Element

Declaration

Source position: lcltaskdialog.pas line 209

public TEmulatedTaskDialog.Element : array [tdeContent..tdeMainInstruction] of TLabel;


TEmulatedTaskDialog.HandleEmulatedButtonClicked

Declaration

Source position: lcltaskdialog.pas line 200

protected procedure TEmulatedTaskDialog.HandleEmulatedButtonClicked(

  Sender: TObject

);


TEmulatedTaskDialog.KeyDown

Declaration

Source position: lcltaskdialog.pas line 202

public procedure TEmulatedTaskDialog.KeyDown(

  var Key: Word;

  Shift: TShiftState

); override;


TEmulatedTaskDialog.Owner

Declaration

Source position: lcltaskdialog.pas line 207

public TEmulatedTaskDialog.Owner : PTaskDialog;


TEmulatedTaskDialog.Verif

Declaration

Source position: lcltaskdialog.pas line 215

public TEmulatedTaskDialog.Verif : TCheckBox;


TDefaultTranslator

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Declaration

Source position: lcltranslator.pas line 60

type TDefaultTranslator = class(TUpdateTranslator)

public

  constructor Create();

  destructor Destroy; override;

  procedure TranslateStringProperty(); override;

end;

Inheritance

TDefaultTranslator |
|
TUpdateTranslator |
|
TAbstractTranslator | Abstract base class for translators
|
TObject


TDefaultTranslator

TUpdateTranslator

TAbstractTranslator

TObject


TDefaultTranslator
 | Create
 | Destroy
 | TranslateStringProperty
TUpdateTranslator
 | UpdateTranslation
TAbstractTranslator
 | TranslateStringProperty
TObject
 | Create
 | Destroy
 | newinstance
 | FreeInstance
 | SafeCallException
 | DefaultHandler
 | Free
 | InitInstance
 | CleanupInstance
 | ClassType
 | ClassInfo
 | ClassName
 | ClassNameIs
 | ClassParent
 | InstanceSize
 | InheritsFrom
 | StringMessageTable
 | MethodAddress
 | MethodName
 | FieldAddress
 | AfterConstruction
 | BeforeDestruction
 | DefaultHandlerStr
 | Dispatch
 | DispatchStr
 | GetInterface
 | GetInterfaceByStr
 | GetInterfaceWeak
 | GetInterfaceEntry
 | GetInterfaceEntryByStr
 | GetInterfaceTable
 | UnitName
 | Equals
 | GetHashCode
 | ToString


AfterConstruction (TObject)

BeforeDestruction (TObject)

ClassInfo (TObject)

ClassName (TObject)

ClassNameIs (TObject)

ClassParent (TObject)

ClassType (TObject)

CleanupInstance (TObject)

Create (TObject)

Create (TDefaultTranslator)

DefaultHandler (TObject)

DefaultHandlerStr (TObject)

Destroy (TObject)

Destroy (TDefaultTranslator)

Dispatch (TObject)

DispatchStr (TObject)

Equals (TObject)

FieldAddress (TObject)

Free (TObject)

FreeInstance (TObject)

GetHashCode (TObject)

GetInterface (TObject)

GetInterfaceByStr (TObject)

GetInterfaceEntry (TObject)

GetInterfaceEntryByStr (TObject)

GetInterfaceTable (TObject)

GetInterfaceWeak (TObject)

InheritsFrom (TObject)

InitInstance (TObject)

InstanceSize (TObject)

MethodAddress (TObject)

MethodName (TObject)

newinstance (TObject)

SafeCallException (TObject)

StringMessageTable (TObject)

ToString (TObject)

TranslateStringProperty (TAbstractTranslator)

TranslateStringProperty (TDefaultTranslator)

UnitName (TObject)

UpdateTranslation (TUpdateTranslator)


TDefaultTranslator.Create

Declaration

Source position: lcltranslator.pas line 64

public constructor TDefaultTranslator.Create(

  MOFileName: string

);


TDefaultTranslator.Destroy

Declaration

Source position: lcltranslator.pas line 65

public destructor TDefaultTranslator.Destroy; override;


TDefaultTranslator.TranslateStringProperty

Declaration

Source position: lcltranslator.pas line 66

public procedure TDefaultTranslator.TranslateStringProperty(

  Sender: TObject;

  const Instance: TPersistent;

  PropInfo: PPropInfo;

  var Content: string

); override;


TPOTranslator

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Declaration

Source position: lcltranslator.pas line 72

type TPOTranslator = class(TUpdateTranslator)

public

  constructor Create();

  destructor Destroy; override;

  procedure TranslateStringProperty(); override;

end;

Inheritance

TPOTranslator |
|
TUpdateTranslator |
|
TAbstractTranslator | Abstract base class for translators
|
TObject


TPOTranslator

TUpdateTranslator

TAbstractTranslator

TObject


TPOTranslator
 | Create
 | Destroy
 | TranslateStringProperty
TUpdateTranslator
 | UpdateTranslation
TAbstractTranslator
 | TranslateStringProperty
TObject
 | Create
 | Destroy
 | newinstance
 | FreeInstance
 | SafeCallException
 | DefaultHandler
 | Free
 | InitInstance
 | CleanupInstance
 | ClassType
 | ClassInfo
 | ClassName
 | ClassNameIs
 | ClassParent
 | InstanceSize
 | InheritsFrom
 | StringMessageTable
 | MethodAddress
 | MethodName
 | FieldAddress
 | AfterConstruction
 | BeforeDestruction
 | DefaultHandlerStr
 | Dispatch
 | DispatchStr
 | GetInterface
 | GetInterfaceByStr
 | GetInterfaceWeak
 | GetInterfaceEntry
 | GetInterfaceEntryByStr
 | GetInterfaceTable
 | UnitName
 | Equals
 | GetHashCode
 | ToString


AfterConstruction (TObject)

BeforeDestruction (TObject)

ClassInfo (TObject)

ClassName (TObject)

ClassNameIs (TObject)

ClassParent (TObject)

ClassType (TObject)

CleanupInstance (TObject)

Create (TObject)

Create (TPOTranslator)

DefaultHandler (TObject)

DefaultHandlerStr (TObject)

Destroy (TObject)

Destroy (TPOTranslator)

Dispatch (TObject)

DispatchStr (TObject)

Equals (TObject)

FieldAddress (TObject)

Free (TObject)

FreeInstance (TObject)

GetHashCode (TObject)

GetInterface (TObject)

GetInterfaceByStr (TObject)

GetInterfaceEntry (TObject)

GetInterfaceEntryByStr (TObject)

GetInterfaceTable (TObject)

GetInterfaceWeak (TObject)

InheritsFrom (TObject)

InitInstance (TObject)

InstanceSize (TObject)

MethodAddress (TObject)

MethodName (TObject)

newinstance (TObject)

SafeCallException (TObject)

StringMessageTable (TObject)

ToString (TObject)

TranslateStringProperty (TAbstractTranslator)

TranslateStringProperty (TPOTranslator)

UnitName (TObject)

UpdateTranslation (TUpdateTranslator)


TPOTranslator.Create

Declaration

Source position: lcltranslator.pas line 76

public constructor TPOTranslator.Create(

  POFileName: string

);

constructor TPOTranslator.Create(

  aPOFile: TPOFile

);


TPOTranslator.Destroy

Declaration

Source position: lcltranslator.pas line 78

public destructor TPOTranslator.Destroy; override;


TPOTranslator.TranslateStringProperty

Declaration

Source position: lcltranslator.pas line 79

public procedure TPOTranslator.TranslateStringProperty(

  Sender: TObject;

  const Instance: TPersistent;

  PropInfo: PPropInfo;

  var Content: string

); override;


TUpdateTranslator

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Declaration

Source position: lcltranslator.pas line 52

type TUpdateTranslator = class(TAbstractTranslator)

public

  procedure UpdateTranslation();

end;

Inheritance

TUpdateTranslator |
|
TAbstractTranslator | Abstract base class for translators
|
TObject


TUpdateTranslator

TAbstractTranslator

TObject


TUpdateTranslator
 | UpdateTranslation
TAbstractTranslator
 | TranslateStringProperty
TObject
 | Create
 | Destroy
 | newinstance
 | FreeInstance
 | SafeCallException
 | DefaultHandler
 | Free
 | InitInstance
 | CleanupInstance
 | ClassType
 | ClassInfo
 | ClassName
 | ClassNameIs
 | ClassParent
 | InstanceSize
 | InheritsFrom
 | StringMessageTable
 | MethodAddress
 | MethodName
 | FieldAddress
 | AfterConstruction
 | BeforeDestruction
 | DefaultHandlerStr
 | Dispatch
 | DispatchStr
 | GetInterface
 | GetInterfaceByStr
 | GetInterfaceWeak
 | GetInterfaceEntry
 | GetInterfaceEntryByStr
 | GetInterfaceTable
 | UnitName
 | Equals
 | GetHashCode
 | ToString


AfterConstruction (TObject)

BeforeDestruction (TObject)

ClassInfo (TObject)

ClassName (TObject)

ClassNameIs (TObject)

ClassParent (TObject)

ClassType (TObject)

CleanupInstance (TObject)

Create (TObject)

DefaultHandler (TObject)

DefaultHandlerStr (TObject)

Destroy (TObject)

Dispatch (TObject)

DispatchStr (TObject)

Equals (TObject)

FieldAddress (TObject)

Free (TObject)

FreeInstance (TObject)

GetHashCode (TObject)

GetInterface (TObject)

GetInterfaceByStr (TObject)

GetInterfaceEntry (TObject)

GetInterfaceEntryByStr (TObject)

GetInterfaceTable (TObject)

GetInterfaceWeak (TObject)

InheritsFrom (TObject)

InitInstance (TObject)

InstanceSize (TObject)

MethodAddress (TObject)

MethodName (TObject)

newinstance (TObject)

SafeCallException (TObject)

StringMessageTable (TObject)

ToString (TObject)

TranslateStringProperty (TAbstractTranslator)

UnitName (TObject)

UpdateTranslation (TUpdateTranslator)


TUpdateTranslator.UpdateTranslation

Declaration

Source position: lcltranslator.pas line 57

public procedure TUpdateTranslator.UpdateTranslation(

  AnInstance: TPersistent

);


TListWithEvent

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Declaration

Source position: lcltype.pp line 2744

type TListWithEvent = class(TList)

protected

  procedure Notify(); override;

public

  property OnChange: TListChangeEvent; [rw]

end;

Inheritance

TListWithEvent

|

TList,IFPObserved
|

TObject


TListWithEvent
TList
 |  | Capacity
 |  | Count
 |  | Items
 | ro | List
TObject


ro | List (TList)


TListWithEvent
pt | Notify
TList
 | CopyMove
 | MergeMove
 | DoCopy
 | DoSrcUnique
 | DoAnd
 | DoDestUnique
 | DoOr
 | DoXOr
 | Get
 | Grow
 | Put
 | Notify
 | SetCapacity
 | GetCapacity
 | SetCount
 | GetCount
 | GetList
 | Create
 | Destroy
 | FPOAttachObserver
 | FPODetachObserver
 | FPONotifyObservers
 | AddList
 | Add
 | Clear
 | Delete
 | Error
 | Exchange
 | Expand
 | Extract
 | First
 | GetEnumerator
 | IndexOf
 | Insert
 | Last
 | Move
 | Assign
 | Remove
 | Pack
 | Sort
TObject
 | Create
 | Destroy
 | newinstance
 | FreeInstance
 | SafeCallException
 | DefaultHandler
 | Free
 | InitInstance
 | CleanupInstance
 | ClassType
 | ClassInfo
 | ClassName
 | ClassNameIs
 | ClassParent
 | InstanceSize
 | InheritsFrom
 | StringMessageTable
 | MethodAddress
 | MethodName
 | FieldAddress
 | AfterConstruction
 | BeforeDestruction
 | DefaultHandlerStr
 | Dispatch
 | DispatchStr
 | GetInterface
 | GetInterfaceByStr
 | GetInterfaceWeak
 | GetInterfaceEntry
 | GetInterfaceEntryByStr
 | GetInterfaceTable
 | UnitName
 | Equals
 | GetHashCode
 | ToString


 | Add (TList)
 | AddList (TList)
 | AfterConstruction (TObject)
 | Assign (TList)
 | BeforeDestruction (TObject)
 | ClassInfo (TObject)
 | ClassName (TObject)
 | ClassNameIs (TObject)
 | ClassParent (TObject)
 | ClassType (TObject)
 | CleanupInstance (TObject)
 | Clear (TList)
 | CopyMove (TList)
 | Create (TObject)
 | Create (TList)
 | DefaultHandler (TObject)
 | DefaultHandlerStr (TObject)
 | Delete (TList)
 | Destroy (TObject)
 | Destroy (TList)
 | Dispatch (TObject)
 | DispatchStr (TObject)
 | DoAnd (TList)
 | DoCopy (TList)
 | DoDestUnique (TList)
 | DoOr (TList)
 | DoSrcUnique (TList)
 | DoXOr (TList)
 | Equals (TObject)
 | Error (TList)
 | Exchange (TList)
 | Expand (TList)
 | Extract (TList)
 | FieldAddress (TObject)
 | First (TList)
 | FPOAttachObserver (TList)
 | FPODetachObserver (TList)
 | FPONotifyObservers (TList)
 | Free (TObject)
 | FreeInstance (TObject)
 | Get (TList)
 | GetCapacity (TList)
 | GetCount (TList)
 | GetEnumerator (TList)
 | GetHashCode (TObject)
 | GetInterface (TObject)
 | GetInterfaceByStr (TObject)
 | GetInterfaceEntry (TObject)
 | GetInterfaceEntryByStr (TObject)
 | GetInterfaceTable (TObject)
 | GetInterfaceWeak (TObject)
 | GetList (TList)
 | Grow (TList)
 | IndexOf (TList)
 | InheritsFrom (TObject)
 | InitInstance (TObject)
 | Insert (TList)
 | InstanceSize (TObject)
 | Last (TList)
 | MergeMove (TList)
 | MethodAddress (TObject)
 | MethodName (TObject)
 | Move (TList)
 | newinstance (TObject)
 | Notify (TList)
pt | Notify (TListWithEvent)
 | Pack (TList)
 | Put (TList)
 | Remove (TList)
 | SafeCallException (TObject)
 | SetCapacity (TList)
 | SetCount (TList)
 | Sort (TList)
 | StringMessageTable (TObject)
 | ToString (TObject)
 | UnitName (TObject)


TListWithEvent

OnChange

TList

TObject


TListWithEvent.Notify

Declaration

Source position: lcltype.pp line 2748

protected procedure TListWithEvent.Notify(

  Ptr: Pointer;

  AnAction: TListNotification

); override;


TListWithEvent.OnChange

Declaration

Source position: lcltype.pp line 2750

public property TListWithEvent.OnChange : TListChangeEvent
  read FOnChange
  write FOnChange;


TLazDockForm

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

TLazDockForm - the default DockSite for a TLazDockTree and for TCustomAnchoredDockManager

Declaration

Source position: ldocktree.pas line 118

type TLazDockForm = class(TCustomForm)
protected
procedure Notification(); override; | Notification - if the required operation is removal, sets MainControl to nil, then calls inherited Notification
procedure UpdateMainControl; | UpdateMainControl - sets MainControl to a new value
procedure MouseUp(); override; | MouseUp - calls inherited MouseUp then finds position and appropriate header
procedure MouseDown(); override; | MouseDown - performs inherited MouseDpwn, then finds position and appropriate header
procedure MouseMove(); override; | MouseMove - performs inherited Mousemove, then finds position and appropriate header
procedure MouseLeave; override; | MouseLeave - performs inherited MouseLeave, and sets the local store of position to indicate absence of the mouse
procedure PaintWindow(); override; | PaintWindow - calls inherited PaintWindow, then creates new canvas and handle at cursor position, inserts header caption, title and images
procedure TrackMouse(); | TrackMouse - finds position of the mouse, which part of the control it occupies (whether header or main part of control), and state of buttons
public
constructor Create(); override; | Create - constructor for TLazDocForm: calls inherited Create, then fills in the header
destructor Destroy; override; | Destroy - destructor for TLazDockForm: removes header then calls inherited Destroy
function CloseQuery; override; | CloseQuery - calls inherited method, then asks all top level forms if form can close
procedure UpdateCaption; virtual; | UpdateCaption - brings caption up-to-date if there have been changes
class procedure UpdateMainControlInParents(); | UpdateMainControlInParents - make sure all parents recognise the presence of MainControl
function FindMainControlCandidate; | FindMainControlCandidate - finds forms and controls in the docktree heirarchy that could act as the MainControl
function FindHeader(); | FindHeader - identifies the part of the dock form that is the header, and returns a TControl
procedure InsertControl(); override; | InsertControl - calls inherited method then updates the main control
function IsDockedControl(); | IsDockedControl - checks if control is a child, not a TLazDockSplitter and properly anchor docked; returns True if OK
function ControlHasTitle(); | ControlHasTitle - returns True if nominated control is visible, is a docked control and has a border spacing greter than zero
function GetTitleRect(); | GetTitleRect - returns the coordinates of the title retangle for the nominated control
function GetTitleOrientation(); | GetTitleOrientation - retrns the orientation (horizozntal or vertical) of the title in the nominated control
property MainControl: TControl; [rw] | The identity of the MainControl in the docked form (used for the default caption)
end;

Inheritance

TLazDockForm | TLazDockForm - the default DockSite for a TLazDockTree and for TCustomAnchoredDockManager
|
TCustomForm | The base type for TForm.
|
TCustomDesignControl
|
TScrollingWinControl | Class of a windowed control with incorporated scroll bars.
|
TCustomControl | The base class for windowed controls which paint themselves.
|
TWinControl | The base class for controls which can contain other (child) controls.
|
TControl | The base class for visible controls.
|
TLCLComponent | The base class for LCL components associated with widgets.
|
TComponent,IUnknown,IInterfaceComponentReference
|
TPersistent,IFPObserved
|
TObject

Description

TLazDockForm - the default DockSite for a TLazDockTree and for TCustomAnchoredDockManager

Note: There are two docking managers:
      TLazDockTree uses TLazDockZone to allow docking in rows and columns.
      TCustomAnchoredDockManager does not use TLazDockZone and allows arbitrary layouts.


TLazDockForm
 |  | MainControl
TCustomForm
pt | ro | ClientHandle
 | ro | Active
 |  | ActiveControl
 |  | ActiveDefaultControl
 |  | AllowDropFiles
 |  | AlphaBlend
 |  | AlphaBlendValue
 | ro | AutoScroll
 |  | BorderIcons
 |  | BorderStyle
 |  | CancelControl
 | ro | Caption
 | ro | Color
 |  | DefaultControl
 |  | DefaultMonitor
 |  | Designer
 | ro | EffectiveShowInTaskBar
 | ro | FormState
 |  | FormStyle
 |  | HelpFile
 |  | Icon
 |  | KeyPreview
 | ro | MDIChildren
 |  | Menu
 |  | ModalResult
 | ro | Monitor
 | ro | LastActiveControl
 |  | PopupMode
 |  | PopupParent
 | ro | ParentFont
 |  | Position
 | ro | RestoredLeft
 | ro | RestoredTop
 | ro | RestoredWidth
 | ro | RestoredHeight
 |  | ShowInTaskBar
 | ro | Visible
 |  | WindowState
TCustomDesignControl
 |  | DesignTimePPI
 |  | PixelsPerInch
 |  | Scaled
TScrollingWinControl
pt |  | AutoScroll
pl |  | HorzScrollBar
pl |  | VertScrollBar
TCustomControl
 |  | Canvas
 | ro | BorderStyle
TWinControl
pt |  | WindowHandle
pt |  | BorderStyle
pt |  | ParentBackground
 |  | BorderWidth
 | ro | BoundsLockCount
 | ro | Brush
 | ro | CachedClientHeight
 | ro | CachedClientWidth
 |  | ChildSizing
 | ro | ControlCount
 | ro | Controls
 |  | DefWndProc
 | ro | DockClientCount
 | ro | DockClients
 |  | DockManager
 |  | DockSite
 |  | DoubleBuffered
 |  | Handle
 | ro | IsFlipped
 | ro | IsResizing
 |  | TabOrder
 |  | TabStop
 |  | ParentDoubleBuffered
 |  | ParentWindow
 | ro | Showing
 |  | UseDockManager
 |  | DesignerDeleting
 | ro | VisibleDockClientCount
TControl
pt | ro | AutoSizing
pt | ro | AutoSizingAll
pt | ro | AutoSizingLockCount
pt |  | ActionLink
pt |  | DesktopFont
pt |  | DragCursor
pt |  | DragKind
pt |  | DragMode
pt |  | MouseCapture
pt |  | ParentColor
pt |  | ParentFont
pt |  | ParentShowHint
pt |  | SessionProperties
pt |  | Text
 | ro | AnchoredControls
 | ro | BaseBounds
 | ro | ReadBounds
 | ro | BaseParentClientSize
 |  | AccessibleDescription
 |  | AccessibleValue
 |  | AccessibleRole
 |  | Action
 |  | Align
 |  | Anchors
 | ro | AnchorSide
 |  | AutoSize
 |  | BorderSpacing
 |  | BoundsRect
 |  | BoundsRectForNewParent
 |  | Caption
 |  | CaptureMouseButtons
 |  | ClientHeight
 | ro | ClientOrigin
 | ro | ClientRect
 |  | ClientWidth
 |  | Color
 |  | Constraints
 | ro | ControlOrigin
 |  | ControlState
 |  | ControlStyle
 |  | Enabled
 |  | Font
 |  | IsControl
 | ro | MouseEntered
 | ro | MouseInClient
 |  | Parent
 |  | PopupMenu
 |  | ShowHint
 |  | Visible
 |  | WindowProc
 |  | DockOrientation
 | ro | Floating
 |  | FloatingDockSiteClass
 |  | HostDockSite
 |  | LRDockWidth
 |  | TBDockHeight
 |  | UndockHeight
 |  | UndockWidth
 |  | BiDiMode
 |  | ParentBiDiMode
pl |  | AnchorSideLeft
pl |  | AnchorSideTop
pl |  | AnchorSideRight
pl |  | AnchorSideBottom
pl |  | Cursor
pl |  | Left
pl |  | Height
pl |  | Hint
pl |  | Top
pl |  | Width
pl |  | HelpType
pl |  | HelpKeyword
pl |  | HelpContext
TLCLComponent
 | ro | LCLRefCount
 | ro | WidgetSetClass
TComponent
 | ro | ComObject
 | ro | Components
 | ro | ComponentCount
 |  | ComponentIndex
 | ro | ComponentState
 | ro | ComponentStyle
 |  | DesignInfo
 | ro | Owner
 |  | VCLComObject
 |  | Name
 |  | Tag
TPersistent
TObject


 |  | AccessibleDescription (TControl)
 |  | AccessibleRole (TControl)
 |  | AccessibleValue (TControl)
 |  | Action (TControl)
pt |  | ActionLink (TControl)
 | ro | Active (TCustomForm)
 |  | ActiveControl (TCustomForm)
 |  | ActiveDefaultControl (TCustomForm)
 |  | Align (TControl)
 |  | AllowDropFiles (TCustomForm)
 |  | AlphaBlend (TCustomForm)
 |  | AlphaBlendValue (TCustomForm)
 | ro | AnchoredControls (TControl)
 |  | Anchors (TControl)
 | ro | AnchorSide (TControl)
pl |  | AnchorSideBottom (TControl)
pl |  | AnchorSideLeft (TControl)
pl |  | AnchorSideRight (TControl)
pl |  | AnchorSideTop (TControl)
pt |  | AutoScroll (TScrollingWinControl)
 | ro | AutoScroll (TCustomForm)
 |  | AutoSize (TControl)
pt | ro | AutoSizing (TControl)
pt | ro | AutoSizingAll (TControl)
pt | ro | AutoSizingLockCount (TControl)
 | ro | BaseBounds (TControl)
 | ro | BaseParentClientSize (TControl)
 |  | BiDiMode (TControl)
 |  | BorderIcons (TCustomForm)
 |  | BorderSpacing (TControl)
pt |  | BorderStyle (TWinControl)
 | ro | BorderStyle (TCustomControl)
 |  | BorderStyle (TCustomForm)
 |  | BorderWidth (TWinControl)
 | ro | BoundsLockCount (TWinControl)
 |  | BoundsRect (TControl)
 |  | BoundsRectForNewParent (TControl)
 | ro | Brush (TWinControl)
 | ro | CachedClientHeight (TWinControl)
 | ro | CachedClientWidth (TWinControl)
 |  | CancelControl (TCustomForm)
 |  | Canvas (TCustomControl)
 |  | Caption (TControl)
 | ro | Caption (TCustomForm)
 |  | CaptureMouseButtons (TControl)
 |  | ChildSizing (TWinControl)
pt | ro | ClientHandle (TCustomForm)
 |  | ClientHeight (TControl)
 | ro | ClientOrigin (TControl)
 | ro | ClientRect (TControl)
 |  | ClientWidth (TControl)
 |  | Color (TControl)
 | ro | Color (TCustomForm)
 | ro | ComObject (TComponent)
 | ro | ComponentCount (TComponent)
 |  | ComponentIndex (TComponent)
 | ro | Components (TComponent)
 | ro | ComponentState (TComponent)
 | ro | ComponentStyle (TComponent)
 |  | Constraints (TControl)
 | ro | ControlCount (TWinControl)
 | ro | ControlOrigin (TControl)
 | ro | Controls (TWinControl)
 |  | ControlState (TControl)
 |  | ControlStyle (TControl)
pl |  | Cursor (TControl)
 |  | DefaultControl (TCustomForm)
 |  | DefaultMonitor (TCustomForm)
 |  | DefWndProc (TWinControl)
 |  | Designer (TCustomForm)
 |  | DesignerDeleting (TWinControl)
 |  | DesignInfo (TComponent)
 |  | DesignTimePPI (TCustomDesignControl)
pt |  | DesktopFont (TControl)
 | ro | DockClientCount (TWinControl)
 | ro | DockClients (TWinControl)
 |  | DockManager (TWinControl)
 |  | DockOrientation (TControl)
 |  | DockSite (TWinControl)
 |  | DoubleBuffered (TWinControl)
pt |  | DragCursor (TControl)
pt |  | DragKind (TControl)
pt |  | DragMode (TControl)
 | ro | EffectiveShowInTaskBar (TCustomForm)
 |  | Enabled (TControl)
 | ro | Floating (TControl)
 |  | FloatingDockSiteClass (TControl)
 |  | Font (TControl)
 | ro | FormState (TCustomForm)
 |  | FormStyle (TCustomForm)
 |  | Handle (TWinControl)
pl |  | Height (TControl)
pl |  | HelpContext (TControl)
 |  | HelpFile (TCustomForm)
pl |  | HelpKeyword (TControl)
pl |  | HelpType (TControl)
pl |  | Hint (TControl)
pl |  | HorzScrollBar (TScrollingWinControl)
 |  | HostDockSite (TControl)
 |  | Icon (TCustomForm)
 |  | IsControl (TControl)
 | ro | IsFlipped (TWinControl)
 | ro | IsResizing (TWinControl)
 |  | KeyPreview (TCustomForm)
 | ro | LastActiveControl (TCustomForm)
 | ro | LCLRefCount (TLCLComponent)
pl |  | Left (TControl)
 |  | LRDockWidth (TControl)
 |  | MainControl (TLazDockForm)
 | ro | MDIChildren (TCustomForm)
 |  | Menu (TCustomForm)
 |  | ModalResult (TCustomForm)
 | ro | Monitor (TCustomForm)
pt |  | MouseCapture (TControl)
 | ro | MouseEntered (TControl)
 | ro | MouseInClient (TControl)
 |  | Name (TComponent)
 | ro | Owner (TComponent)
 |  | Parent (TControl)
pt |  | ParentBackground (TWinControl)
 |  | ParentBiDiMode (TControl)
pt |  | ParentColor (TControl)
 |  | ParentDoubleBuffered (TWinControl)
pt |  | ParentFont (TControl)
 | ro | ParentFont (TCustomForm)
pt |  | ParentShowHint (TControl)
 |  | ParentWindow (TWinControl)
 |  | PixelsPerInch (TCustomDesignControl)
 |  | PopupMenu (TControl)
 |  | PopupMode (TCustomForm)
 |  | PopupParent (TCustomForm)
 |  | Position (TCustomForm)
 | ro | ReadBounds (TControl)
 | ro | RestoredHeight (TCustomForm)
 | ro | RestoredLeft (TCustomForm)
 | ro | RestoredTop (TCustomForm)
 | ro | RestoredWidth (TCustomForm)
 |  | Scaled (TCustomDesignControl)
pt |  | SessionProperties (TControl)
 |  | ShowHint (TControl)
 | ro | Showing (TWinControl)
 |  | ShowInTaskBar (TCustomForm)
 |  | TabOrder (TWinControl)
 |  | TabStop (TWinControl)
 |  | Tag (TComponent)
 |  | TBDockHeight (TControl)
pt |  | Text (TControl)
pl |  | Top (TControl)
 |  | UndockHeight (TControl)
 |  | UndockWidth (TControl)
 |  | UseDockManager (TWinControl)
 |  | VCLComObject (TComponent)
pl |  | VertScrollBar (TScrollingWinControl)
 |  | Visible (TControl)
 | ro | Visible (TCustomForm)
 | ro | VisibleDockClientCount (TWinControl)
 | ro | WidgetSetClass (TLCLComponent)
pl |  | Width (TControl)
pt |  | WindowHandle (TWinControl)
 |  | WindowProc (TControl)
 |  | WindowState (TCustomForm)


TLazDockForm
pt | Notification
pt | UpdateMainControl
pt | MouseUp
pt | MouseDown
pt | MouseMove
pt | MouseLeave
pt | PaintWindow
pt | TrackMouse
 | Create
 | Destroy
 | CloseQuery
 | UpdateCaption
 | UpdateMainControlInParents
 | FindMainControlCandidate
 | FindHeader
 | InsertControl
 | IsDockedControl
 | ControlHasTitle
 | GetTitleRect
 | GetTitleOrientation
TCustomForm
pt | WMActivate
pt | WMCloseQuery
pt | WMHelp
pt | WMMove
pt | WMShowWindow
pt | WMSize
pt | WMWindowPosChanged
pt | CMBiDiModeChanged
pt | CMParentBiDiModeChanged
pt | CMAppShowBtnGlyphChanged
pt | CMAppShowMenuGlyphChanged
pt | CMIconChanged
pt | CMRelease
pt | CMActivate
pt | CMDeactivate
pt | CMShowingChanged
pt | WMDPIChanged
pt | WSRegisterClass
pt | DoShowWindow
pt | Activate
pt | ActiveChanged
pt | AdjustClientRect
pt | BeginFormUpdate
pt | ColorIsStored
pt | CreateParams
pt | CreateWnd
pt | Deactivate
pt | DoClose
pt | DoCreate
pt | DoDestroy
pt | DoHide
pt | DoShow
pt | EndFormUpdate
pt | HandleCreateException
pt | HandleDestroyException
pt | HandleShowHideException
pt | InitializeWnd
pt | Loaded
pt | ChildHandlesCreated
pt | Notification
pt | PaintWindow
pt | RequestAlign
pt | Resizing
pt | CalculatePreferredSize
pt | SetZOrder
pt | SetParent
pt | MoveToDefaultPosition
pt | UpdateShowing
pt | SetVisible
pt | AllAutoSized
pt | DoFirstShow
pt | UpdateWindowState
pt | VisibleChanging
pt | VisibleChanged
pt | WndProc
pt | VisibleIsStored
pt | DoSendBoundsToInterface
pt | DoAutoSize
pt | SetAutoSize
pt | SetAutoScroll
pt | SetScaled
pt | DoAddActionList
pt | DoRemoveActionList
pt | ProcessResource
pt | BeginAutoDrag
pt | DoDock
pt | GetFloating
pt | GetDefaultDockCaption
pt | CMActionExecute
pt | CMActionUpdate
pt | DoExecuteAction
pt | DoUpdateAction
pt | UpdateActions
 | Create
 | CreateNew
 | Destroy
 | AfterConstruction
 | BeforeDestruction
 | GetControlClassDefaultSize
 | BigIconHandle
 | Close
 | CloseQuery
 | DefocusControl
 | DestroyWnd
 | EnsureVisible
 | FocusControl
 | FormIsUpdating
 | GetFormImage
 | GetRolesForControl
 | GetRealPopupParent
 | Hide
 | IntfDropFiles
 | IntfHelp
 | IsShortcut
 | MakeFullyVisible
 | AutoSizeDelayedHandle
 | GetPreferredSize
 | Release
 | CanFocus
 | SetFocus
 | SetFocusedControl
 | SetRestoredBounds
 | Show
 | ShowModal
 | ShowOnTop
 | SmallIconHandle
 | GetChildren
 | WantChildKey
 | RemoveAllHandlersOfObject
 | AddHandlerFirstShow
 | RemoveHandlerFirstShow
 | AddHandlerClose
 | RemoveHandlerClose
 | AddHandlerCreate
 | RemoveHandlerCreate
 | ActiveMDIChild
 | GetMDIChildren
 | MDIChildCount
 | AutoScale
 | Dock
 | UpdateDockCaption
TCustomDesignControl
pt | SetScaled
pt | DoAutoAdjustLayout
pt | Loaded
 | Create
 | AutoAdjustLayout
TScrollingWinControl
pt | WSRegisterClass
pt | AlignControls
pt | AutoScrollEnabled
pt | CalculateAutoRanges
pt | CreateWnd
pt | GetClientScrollOffset
pt | GetLogicalClientRect
pt | DoOnResize
pt | GetPreferredSizeClientFrame
pt | WMSize
pt | WMHScroll
pt | WMVScroll
pt | ComputeScrollbars
pt | SetAutoScroll
pt | Loaded
pt | Resizing
pt | SetAutoSize
 | Create
 | Destroy
 | ScreenToClient
 | ClientToScreen
 | UpdateScrollbars
 | GetControlClassDefaultSize
 | ScrollBy
 | ScrollInView
TCustomControl
pt | WSRegisterClass
pt | WMPaint
pt | DestroyWnd
pt | PaintWindow
pt | FontChanged
pt | SetColor
pt | Paint
 | Create
 | Destroy
TWinControl
pt | WSRegisterClass
pt | AdjustClientRect
pt | GetAdjustedLogicalClientRect
pt | AlignControls
pt | CustomAlignInsertBefore
pt | CustomAlignPosition
pt | DoAlignChildControls
pt | DoChildSizingChange
pt | InvalidatePreferredChildSizes
pt | CanTab
pt | IsClientHeightStored
pt | IsClientWidthStored
pt | DoSendShowHideToInterface
pt | ControlsAligned
pt | DoSendBoundsToInterface
pt | RealizeBounds
pt | RealizeBoundsRecursive
pt | InvalidateBoundsRealized
pt | CreateSubClass
pt | DoConstraintsChange
pt | DoSetBounds
pt | DoAutoSize
pt | DoAllAutoSize
pt | AllAutoSized
pt | CalculatePreferredSize
pt | GetPreferredSizeClientFrame
pt | GetChildren
pt | ChildClassAllowed
pt | PaintControls
pt | PaintHandler
pt | PaintWindow
pt | CreateBrush
pt | ScaleControls
pt | ChangeScale
pt | CMBiDiModeChanged
pt | CMBorderChanged
pt | CMDoubleBufferedChanged
pt | CMEnabledChanged
pt | CMParentDoubleBufferedChanged
pt | CMShowingChanged
pt | CMShowHintChanged
pt | CMVisibleChanged
pt | CMEnter
pt | CMExit
pt | WMContextMenu
pt | WMEraseBkgnd
pt | WMNotify
pt | WMSetFocus
pt | WMKillFocus
pt | WMShowWindow
pt | WMEnter
pt | WMExit
pt | WMKeyDown
pt | WMSysKeyDown
pt | WMKeyUp
pt | WMSysKeyUp
pt | WMChar
pt | WMSysChar
pt | WMPaint
pt | WMDestroy
pt | WMMove
pt | WMSize
pt | WMWindowPosChanged
pt | CNKeyDown
pt | CNSysKeyDown
pt | CNKeyUp
pt | CNSysKeyUp
pt | CNChar
pt | DoDragMsg
pt | DoDockClientMsg
pt | DoUndockClientMsg
pt | DoAddDockClient
pt | DockOver
pt | DoDockOver
pt | DoRemoveDockClient
pt | DoUnDock
pt | GetSiteInfo
pt | GetParentHandle
pt | GetTopParentHandle
pt | ReloadDockedControl
pt | CreateDockManager
pt | SetDockManager
pt | DoFloatMsg
pt | DoGetDockCaption
pt | DoEnter
pt | DoExit
pt | DoKeyDownBeforeInterface
pt | DoRemainingKeyDown
pt | DoRemainingKeyUp
pt | DoKeyPress
pt | DoUTF8KeyPress
pt | DoKeyUpBeforeInterface
pt | ChildKey
pt | SendDialogChar
pt | DialogChar
pt | ControlKeyDown
pt | ControlKeyUp
pt | KeyDown
pt | KeyDownBeforeInterface
pt | KeyDownAfterInterface
pt | KeyPress
pt | KeyUp
pt | KeyUpBeforeInterface
pt | KeyUpAfterInterface
pt | UTF8KeyPress
pt | FindNextControl
pt | SelectFirst
pt | RealGetText
pt | GetBorderStyle
pt | GetClientOrigin
pt | GetClientRect
pt | GetControlOrigin
pt | GetDeviceContext
pt | GetParentBackground
pt | IsControlMouseMsg
pt | CreateHandle
pt | CreateParams
pt | CreateWnd
pt | DestroyHandle
pt | DestroyWnd
pt | DoFlipChildren
pt | FinalizeWnd
pt | FixupTabList
pt | FontChanged
pt | InitializeWnd
pt | Loaded
pt | FormEndUpdated
pt | MainWndProc
pt | ParentFormHandleInitialized
pt | ChildHandlesCreated
pt | GetMouseCapture
pt | RealSetText
pt | RemoveFocus
pt | SendMoveSizeMessages
pt | SetBorderStyle
pt | SetColor
pt | SetChildZPosition
pt | SetParentBackground
pt | ShowControl
pt | UpdateControlState
pt | UpdateShowing
pt | WndProc
pt | WSSetText
 | AutoSizePhases
 | AutoSizeDelayed
 | AutoSizeDelayedReport
 | AutoSizeDelayedHandle
 | BeginUpdateBounds
 | EndUpdateBounds
 | LockRealizeBounds
 | UnlockRealizeBounds
 | ControlAtPos
 | ContainsControl
 | DoAdjustClientRectChange
 | InvalidateClientRectCache
 | ClientRectNeedsInterfaceUpdate
 | SetBounds
 | GetChildrenRect
 | DisableAlign
 | EnableAlign
 | ReAlign
 | ScrollBy_WS
 | ScrollBy
 | WriteLayoutDebugReport
 | AutoAdjustLayout
 | Create
 | CreateParented
 | CreateParentedControl
 | Destroy
 | DockDrop
 | CanFocus
 | CanSetFocus
 | GetControlIndex
 | SetControlIndex
 | Focused
 | PerformTab
 | FindChildControl
 | SelectNext
 | SetTempCursor
 | BroadCast
 | NotifyControls
 | DefaultHandler
 | GetTextLen
 | Invalidate
 | AddControl
 | InsertControl
 | RemoveControl
 | GetEnumeratorControls
 | GetEnumeratorControlsReverse
 | Repaint
 | Update
 | SetFocus
 | FlipChildren
 | ScaleBy
 | GetDockCaption
 | UpdateDockCaption
 | GetTabOrderList
 | HandleAllocated
 | ParentHandlesAllocated
 | HandleNeeded
 | BrushCreated
 | EraseBackground
 | IntfUTF8KeyPress
 | IntfGetDropFilesTarget
 | PaintTo
 | SetShape
TControl
pt | WSRegisterClass
pt | GetCursor
pt | SetCursor
pt | SetVisible
pt | DoOnParentHandleDestruction
pt | DoAutoSize
pt | DoAllAutoSize
pt | BeginAutoSizing
pt | EndAutoSizing
pt | AnchorSideChanged
pt | ForeignAnchorSideChanged
pt | SetAlign
pt | SetAnchors
pt | SetAutoSize
pt | BoundsChanged
pt | CreateControlBorderSpacing
pt | DoConstraintsChange
pt | DoBorderSpacingChange
pt | IsBorderSpacingInnerBorderStored
pt | IsCaptionStored
pt | SendMoveSizeMessages
pt | ConstrainedResize
pt | CalculatePreferredSize
pt | DoOnResize
pt | DoOnChangeBounds
pt | CheckOnChangeBounds
pt | Resize
pt | RequestAlign
pt | UpdateAnchorRules
pt | ChangeBounds
pt | DoSetBounds
pt | ScaleConstraints
pt | ChangeScale
pt | CanAutoSize
pt | SetBiDiMode
pt | SetParentBiDiMode
pt | IsAParentAligning
pt | GetClientOrigin
pt | GetClientRect
pt | GetLogicalClientRect
pt | GetScrolledClientRect
pt | GetClientScrollOffset
pt | GetControlOrigin
pt | IsClientHeightStored
pt | IsClientWidthStored
pt | WidthIsAnchored
pt | HeightIsAnchored
pt | WMCancelMode
pt | WMContextMenu
pt | WMLButtonDown
pt | WMRButtonDown
pt | WMMButtonDown
pt | WMXButtonDown
pt | WMLButtonDBLCLK
pt | WMRButtonDBLCLK
pt | WMMButtonDBLCLK
pt | WMXButtonDBLCLK
pt | WMLButtonTripleCLK
pt | WMRButtonTripleCLK
pt | WMMButtonTripleCLK
pt | WMXButtonTripleCLK
pt | WMLButtonQuadCLK
pt | WMRButtonQuadCLK
pt | WMMButtonQuadCLK
pt | WMXButtonQuadCLK
pt | WMMouseMove
pt | WMLButtonUp
pt | WMRButtonUp
pt | WMMButtonUp
pt | WMXButtonUp
pt | WMMouseWheel
pt | WMMouseHWheel
pt | WMMove
pt | WMSize
pt | WMWindowPosChanged
pt | CMChanged
pt | LMCaptureChanged
pt | CMBiDiModeChanged
pt | CMSysFontChanged
pt | CMEnabledChanged
pt | CMHitTest
pt | CMMouseEnter
pt | CMMouseLeave
pt | CMHintShow
pt | CMParentBiDiModeChanged
pt | CMParentColorChanged
pt | CMParentFontChanged
pt | CMParentShowHintChanged
pt | CMVisibleChanged
pt | CMTextChanged
pt | CMCursorChanged
pt | CalculateDockSizes
pt | CreateFloatingDockSite
pt | GetDockEdge
pt | GetDragImages
pt | GetFloating
pt | GetFloatingDockSiteClass
pt | BeforeDragStart
pt | BeginAutoDrag
pt | DoFloatMsg
pt | DockTrackNoTarget
pt | DoDock
pt | DoDragMsg
pt | DoEndDock
pt | DoEndDrag
pt | DoStartDock
pt | DoStartDrag
pt | DragCanceled
pt | DragOver
pt | PositionDockRect
pt | SetDragMode
pt | GetDefaultDockCaption
pt | Click
pt | DblClick
pt | TripleClick
pt | QuadClick
pt | GetMousePosFromMessage
pt | MouseDown
pt | MouseMove
pt | MouseUp
pt | MouseEnter
pt | MouseLeave
pt | DialogChar
pt | UpdateMouseCursor
pt | Changed
pt | GetPalette
pt | ChildClassAllowed
pt | ReadState
pt | Loaded
pt | LoadedAll
pt | DefineProperties
pt | AssignTo
pt | FormEndUpdated
pt | InvalidateControl
pt | FontChanged
pt | ParentFontChanged
pt | GetAction
pt | RealGetText
pt | RealSetText
pt | TextChanged
pt | GetCachedText
pt | SetAction
pt | SetColor
pt | SetEnabled
pt | SetHint
pt | SetName
pt | SetParent
pt | SetParentComponent
pt | WndProc
pt | ParentFormHandleInitialized
pt | GetMouseCapture
pt | CaptureChanged
pt | Notification
pt | CanTab
pt | GetDeviceContext
pt | GetEnabled
pt | GetPopupMenu
pt | DoOnShowHint
pt | DoMouseWheel
pt | DoMouseWheelDown
pt | DoMouseWheelUp
pt | DoMouseWheelHorz
pt | DoMouseWheelLeft
pt | DoMouseWheelRight
pt | VisibleChanging
pt | VisibleChanged
pt | EnabledChanging
pt | EnabledChanged
pt | AddHandler
pt | RemoveHandler
pt | DoCallNotifyHandler
pt | DoCallKeyEventHandler
pt | DoCallMouseWheelEventHandler
pt | DoContextPopup
pt | SetZOrder
pt | GetControlClassDefaultSize
pt | ColorIsStored
pt | DoAutoAdjustLayout
pt | DoFixDesignFontPPI
pt | DoScaleFontPPI
pt | GetActionLinkClass
pt | ActionChange
 | DragDrop
 | Dock
 | ManualDock
 | ManualFloat
 | ReplaceDockedControl
 | Docked
 | Dragging
 | GetAccessibleObject
 | CreateAccessibleObject
 | GetSelectedChildAccessibleObject
 | GetChildAccessibleObjectAtPos
 | ScaleDesignToForm
 | ScaleFormToDesign
 | Scale96ToForm
 | ScaleFormTo96
 | Scale96ToFont
 | ScaleFontTo96
 | ScaleScreenToFont
 | ScaleFontToScreen
 | Scale96ToScreen
 | ScaleScreenTo96
 | AdjustSize
 | AutoSizePhases
 | AutoSizeDelayed
 | AutoSizeDelayedReport
 | AutoSizeDelayedHandle
 | AnchorToNeighbour
 | AnchorParallel
 | AnchorHorizontalCenterTo
 | AnchorVerticalCenterTo
 | AnchorToCompanion
 | AnchorSame
 | AnchorAsAlign
 | AnchorClient
 | AnchoredControlCount
 | SetBounds
 | SetInitialBounds
 | SetBoundsKeepBase
 | GetPreferredSize
 | GetCanvasScaleFactor
 | GetDefaultWidth
 | GetDefaultHeight
 | GetDefaultColor
 | GetColorResolvingParent
 | GetRGBColorResolvingParent
 | GetSidePosition
 | CNPreferredSizeChanged
 | InvalidatePreferredSize
 | GetAnchorsDependingOnParent
 | DisableAutoSizing
 | EnableAutoSizing
 | UpdateBaseBounds
 | WriteLayoutDebugReport
 | AutoAdjustLayout
 | ShouldAutoAdjust
 | FixDesignFontsPPI
 | ScaleFontsPPI
 | Create
 | Destroy
 | BeforeDestruction
 | EditingDone
 | ExecuteDefaultAction
 | ExecuteCancelAction
 | BeginDrag
 | EndDrag
 | BringToFront
 | HasParent
 | GetParentComponent
 | IsParentOf
 | GetTopParent
 | IsVisible
 | IsControlVisible
 | IsEnabled
 | IsParentColor
 | IsParentFont
 | FormIsUpdating
 | IsProcessingPaintMsg
 | Hide
 | Refresh
 | Repaint
 | Invalidate
 | CheckChildClassAllowed
 | CheckNewParent
 | SendToBack
 | SetTempCursor
 | UpdateRolesForForm
 | ActiveDefaultControlChanged
 | GetTextBuf
 | GetTextLen
 | SetTextBuf
 | Perform
 | ScreenToClient
 | ClientToScreen
 | ScreenToControl
 | ControlToScreen
 | ClientToParent
 | ParentToClient
 | GetChildrenRect
 | Show
 | Update
 | HandleObjectShouldBeVisible
 | ParentDestroyingHandle
 | ParentHandlesAllocated
 | InitiateAction
 | ShowHelp
 | HasHelp
 | RemoveAllHandlersOfObject
 | AddHandlerOnResize
 | RemoveHandlerOnResize
 | AddHandlerOnChangeBounds
 | RemoveHandlerOnChangeBounds
 | AddHandlerOnVisibleChanging
 | RemoveHandlerOnVisibleChanging
 | AddHandlerOnVisibleChanged
 | RemoveHandlerOnVisibleChanged
 | AddHandlerOnEnabledChanged
 | RemoveHandlerOnEnableChanging
 | AddHandlerOnKeyDown
 | RemoveHandlerOnKeyDown
 | AddHandlerOnBeforeDestruction
 | RemoveHandlerOnBeforeDestruction
 | AddHandlerOnMouseWheel
 | RemoveHandlerOnMouseWheel
 | UseRightToLeftAlignment
 | UseRightToLeftReading
 | UseRightToLeftScrollBar
 | IsRightToLeft
TLCLComponent
pt | WSRegisterClass
pt | GetWSComponentClass
 | Create
 | Destroy
 | NewInstance
 | RemoveAllHandlersOfObject
 | IncLCLRefCount
 | DecLCLRefCount
TComponent
 | GetComObject
 | GetComponent
 | GetComponentCount
 | GetComponentIndex
 | Insert
 | ReadLeft
 | ReadTop
 | Remove
 | RemoveNotification
 | SetComponentIndex
 | SetReference
 | WriteLeft
 | WriteTop
 | ChangeName
 | DefineProperties
 | GetChildren
 | GetChildOwner
 | GetChildParent
 | GetOwner
 | Loaded
 | Loading
 | Notification
 | PaletteCreated
 | ReadState
 | SetAncestor
 | SetDesigning
 | SetDesignInstance
 | SetInline
 | SetName
 | SetChildOrder
 | SetParentComponent
 | Updating
 | Updated
 | UpdateRegistry
 | ValidateRename
 | ValidateContainer
 | ValidateInsert
 | QueryInterface
 | _AddRef
 | _Release
 | iicrGetComponent
 | GetTypeInfoCount
 | GetTypeInfo
 | GetIDsOfNames
 | Invoke
 | WriteState
 | Create
 | Destroy
 | BeforeDestruction
 | DestroyComponents
 | Destroying
 | ExecuteAction
 | FindComponent
 | FreeNotification
 | RemoveFreeNotification
 | FreeOnRelease
 | GetEnumerator
 | GetNamePath
 | GetParentComponent
 | HasParent
 | InsertComponent
 | RemoveComponent
 | SafeCallException
 | SetSubComponent
 | UpdateAction
 | IsImplementorOf
 | ReferenceInterface
TPersistent
 | AssignError
 | AssignTo
 | DefineProperties
 | GetOwner
 | Destroy
 | Assign
 | FPOAttachObserver
 | FPODetachObserver
 | FPONotifyObservers
 | GetNamePath
TObject
 | Create
 | Destroy
 | newinstance
 | FreeInstance
 | SafeCallException
 | DefaultHandler
 | Free
 | InitInstance
 | CleanupInstance
 | ClassType
 | ClassInfo
 | ClassName
 | ClassNameIs
 | ClassParent
 | InstanceSize
 | InheritsFrom
 | StringMessageTable
 | MethodAddress
 | MethodName
 | FieldAddress
 | AfterConstruction
 | BeforeDestruction
 | DefaultHandlerStr
 | Dispatch
 | DispatchStr
 | GetInterface
 | GetInterfaceByStr
 | GetInterfaceWeak
 | GetInterfaceEntry
 | GetInterfaceEntryByStr
 | GetInterfaceTable
 | UnitName
 | Equals
 | GetHashCode
 | ToString


pt | ActionChange (TControl)
pt | Activate (TCustomForm)
pt | ActiveChanged (TCustomForm)
 | ActiveDefaultControlChanged (TControl)
 | ActiveMDIChild (TCustomForm)
 | AddControl (TWinControl)
pt | AddHandler (TControl)
 | AddHandlerClose (TCustomForm)
 | AddHandlerCreate (TCustomForm)
 | AddHandlerFirstShow (TCustomForm)
 | AddHandlerOnBeforeDestruction (TControl)
 | AddHandlerOnChangeBounds (TControl)
 | AddHandlerOnEnabledChanged (TControl)
 | AddHandlerOnKeyDown (TControl)
 | AddHandlerOnMouseWheel (TControl)
 | AddHandlerOnResize (TControl)
 | AddHandlerOnVisibleChanged (TControl)
 | AddHandlerOnVisibleChanging (TControl)
pt | AdjustClientRect (TWinControl)
pt | AdjustClientRect (TCustomForm)
 | AdjustSize (TControl)
 | AfterConstruction (TObject)
 | AfterConstruction (TCustomForm)
pt | AlignControls (TWinControl)
pt | AlignControls (TScrollingWinControl)
pt | AllAutoSized (TWinControl)
pt | AllAutoSized (TCustomForm)
 | AnchorAsAlign (TControl)
 | AnchorClient (TControl)
 | AnchoredControlCount (TControl)
 | AnchorHorizontalCenterTo (TControl)
 | AnchorParallel (TControl)
 | AnchorSame (TControl)
pt | AnchorSideChanged (TControl)
 | AnchorToCompanion (TControl)
 | AnchorToNeighbour (TControl)
 | AnchorVerticalCenterTo (TControl)
 | Assign (TPersistent)
 | AssignError (TPersistent)
 | AssignTo (TPersistent)
pt | AssignTo (TControl)
 | AutoAdjustLayout (TControl)
 | AutoAdjustLayout (TWinControl)
 | AutoAdjustLayout (TCustomDesignControl)
 | AutoScale (TCustomForm)
pt | AutoScrollEnabled (TScrollingWinControl)
 | AutoSizeDelayed (TControl)
 | AutoSizeDelayed (TWinControl)
 | AutoSizeDelayedHandle (TControl)
 | AutoSizeDelayedHandle (TWinControl)
 | AutoSizeDelayedHandle (TCustomForm)
 | AutoSizeDelayedReport (TControl)
 | AutoSizeDelayedReport (TWinControl)
 | AutoSizePhases (TControl)
 | AutoSizePhases (TWinControl)
 | BeforeDestruction (TObject)
 | BeforeDestruction (TComponent)
 | BeforeDestruction (TControl)
 | BeforeDestruction (TCustomForm)
pt | BeforeDragStart (TControl)
pt | BeginAutoDrag (TControl)
pt | BeginAutoDrag (TCustomForm)
pt | BeginAutoSizing (TControl)
 | BeginDrag (TControl)
pt | BeginFormUpdate (TCustomForm)
 | BeginUpdateBounds (TWinControl)
 | BigIconHandle (TCustomForm)
pt | BoundsChanged (TControl)
 | BringToFront (TControl)
 | BroadCast (TWinControl)
 | BrushCreated (TWinControl)
pt | CalculateAutoRanges (TScrollingWinControl)
pt | CalculateDockSizes (TControl)
pt | CalculatePreferredSize (TControl)
pt | CalculatePreferredSize (TWinControl)
pt | CalculatePreferredSize (TCustomForm)
pt | CanAutoSize (TControl)
 | CanFocus (TWinControl)
 | CanFocus (TCustomForm)
 | CanSetFocus (TWinControl)
pt | CanTab (TControl)
pt | CanTab (TWinControl)
pt | CaptureChanged (TControl)
pt | ChangeBounds (TControl)
pt | Changed (TControl)
 | ChangeName (TComponent)
pt | ChangeScale (TControl)
pt | ChangeScale (TWinControl)
 | CheckChildClassAllowed (TControl)
 | CheckNewParent (TControl)
pt | CheckOnChangeBounds (TControl)
pt | ChildClassAllowed (TControl)
pt | ChildClassAllowed (TWinControl)
pt | ChildHandlesCreated (TWinControl)
pt | ChildHandlesCreated (TCustomForm)
pt | ChildKey (TWinControl)
 | ClassInfo (TObject)
 | ClassName (TObject)
 | ClassNameIs (TObject)
 | ClassParent (TObject)
 | ClassType (TObject)
 | CleanupInstance (TObject)
pt | Click (TControl)
 | ClientRectNeedsInterfaceUpdate (TWinControl)
 | ClientToParent (TControl)
 | ClientToScreen (TControl)
 | ClientToScreen (TScrollingWinControl)
 | Close (TCustomForm)
 | CloseQuery (TCustomForm)
 | CloseQuery (TLazDockForm)
pt | CMActionExecute (TCustomForm)
pt | CMActionUpdate (TCustomForm)
pt | CMActivate (TCustomForm)
pt | CMAppShowBtnGlyphChanged (TCustomForm)
pt | CMAppShowMenuGlyphChanged (TCustomForm)
pt | CMBiDiModeChanged (TControl)
pt | CMBiDiModeChanged (TWinControl)
pt | CMBiDiModeChanged (TCustomForm)
pt | CMBorderChanged (TWinControl)
pt | CMChanged (TControl)
pt | CMCursorChanged (TControl)
pt | CMDeactivate (TCustomForm)
pt | CMDoubleBufferedChanged (TWinControl)
pt | CMEnabledChanged (TControl)
pt | CMEnabledChanged (TWinControl)
pt | CMEnter (TWinControl)
pt | CMExit (TWinControl)
pt | CMHintShow (TControl)
pt | CMHitTest (TControl)
pt | CMIconChanged (TCustomForm)
pt | CMMouseEnter (TControl)
pt | CMMouseLeave (TControl)
pt | CMParentBiDiModeChanged (TControl)
pt | CMParentBiDiModeChanged (TCustomForm)
pt | CMParentColorChanged (TControl)
pt | CMParentDoubleBufferedChanged (TWinControl)
pt | CMParentFontChanged (TControl)
pt | CMParentShowHintChanged (TControl)
pt | CMRelease (TCustomForm)
pt | CMShowHintChanged (TWinControl)
pt | CMShowingChanged (TWinControl)
pt | CMShowingChanged (TCustomForm)
pt | CMSysFontChanged (TControl)
pt | CMTextChanged (TControl)
pt | CMVisibleChanged (TControl)
pt | CMVisibleChanged (TWinControl)
pt | CNChar (TWinControl)
pt | CNKeyDown (TWinControl)
pt | CNKeyUp (TWinControl)
 | CNPreferredSizeChanged (TControl)
pt | CNSysKeyDown (TWinControl)
pt | CNSysKeyUp (TWinControl)
pt | ColorIsStored (TControl)
pt | ColorIsStored (TCustomForm)
pt | ComputeScrollbars (TScrollingWinControl)
pt | ConstrainedResize (TControl)
 | ContainsControl (TWinControl)
 | ControlAtPos (TWinControl)
 | ControlHasTitle (TLazDockForm)
pt | ControlKeyDown (TWinControl)
pt | ControlKeyUp (TWinControl)
pt | ControlsAligned (TWinControl)
 | ControlToScreen (TControl)
 | Create (TObject)
 | Create (TComponent)
 | Create (TLCLComponent)
 | Create (TControl)
 | Create (TWinControl)
 | Create (TCustomControl)
 | Create (TScrollingWinControl)
 | Create (TCustomDesignControl)
 | Create (TCustomForm)
 | Create (TLazDockForm)
 | CreateAccessibleObject (TControl)
pt | CreateBrush (TWinControl)
pt | CreateControlBorderSpacing (TControl)
pt | CreateDockManager (TWinControl)
pt | CreateFloatingDockSite (TControl)
pt | CreateHandle (TWinControl)
 | CreateNew (TCustomForm)
pt | CreateParams (TWinControl)
pt | CreateParams (TCustomForm)
 | CreateParented (TWinControl)
 | CreateParentedControl (TWinControl)
pt | CreateSubClass (TWinControl)
pt | CreateWnd (TWinControl)
pt | CreateWnd (TScrollingWinControl)
pt | CreateWnd (TCustomForm)
pt | CustomAlignInsertBefore (TWinControl)
pt | CustomAlignPosition (TWinControl)
pt | DblClick (TControl)
pt | Deactivate (TCustomForm)
 | DecLCLRefCount (TLCLComponent)
 | DefaultHandler (TObject)
 | DefaultHandler (TWinControl)
 | DefaultHandlerStr (TObject)
 | DefineProperties (TPersistent)
 | DefineProperties (TComponent)
pt | DefineProperties (TControl)
 | DefocusControl (TCustomForm)
 | Destroy (TObject)
 | Destroy (TPersistent)
 | Destroy (TComponent)
 | Destroy (TLCLComponent)
 | Destroy (TControl)
 | Destroy (TWinControl)
 | Destroy (TCustomControl)
 | Destroy (TScrollingWinControl)
 | Destroy (TCustomForm)
 | Destroy (TLazDockForm)
 | DestroyComponents (TComponent)
pt | DestroyHandle (TWinControl)
 | Destroying (TComponent)
pt | DestroyWnd (TWinControl)
pt | DestroyWnd (TCustomControl)
 | DestroyWnd (TCustomForm)
pt | DialogChar (TControl)
pt | DialogChar (TWinControl)
 | DisableAlign (TWinControl)
 | DisableAutoSizing (TControl)
 | Dispatch (TObject)
 | DispatchStr (TObject)
pt | DoAddActionList (TCustomForm)
pt | DoAddDockClient (TWinControl)
 | DoAdjustClientRectChange (TWinControl)
pt | DoAlignChildControls (TWinControl)
pt | DoAllAutoSize (TControl)
pt | DoAllAutoSize (TWinControl)
pt | DoAutoAdjustLayout (TControl)
pt | DoAutoAdjustLayout (TCustomDesignControl)
pt | DoAutoSize (TControl)
pt | DoAutoSize (TWinControl)
pt | DoAutoSize (TCustomForm)
pt | DoBorderSpacingChange (TControl)
pt | DoCallKeyEventHandler (TControl)
pt | DoCallMouseWheelEventHandler (TControl)
pt | DoCallNotifyHandler (TControl)
pt | DoChildSizingChange (TWinControl)
 | Dock (TControl)
 | Dock (TCustomForm)
 | DockDrop (TWinControl)
 | Docked (TControl)
pt | DockOver (TWinControl)
pt | DockTrackNoTarget (TControl)
pt | DoClose (TCustomForm)
pt | DoConstraintsChange (TControl)
pt | DoConstraintsChange (TWinControl)
pt | DoContextPopup (TControl)
pt | DoCreate (TCustomForm)
pt | DoDestroy (TCustomForm)
pt | DoDock (TControl)
pt | DoDock (TCustomForm)
pt | DoDockClientMsg (TWinControl)
pt | DoDockOver (TWinControl)
pt | DoDragMsg (TControl)
pt | DoDragMsg (TWinControl)
pt | DoEndDock (TControl)
pt | DoEndDrag (TControl)
pt | DoEnter (TWinControl)
pt | DoExecuteAction (TCustomForm)
pt | DoExit (TWinControl)
pt | DoFirstShow (TCustomForm)
pt | DoFixDesignFontPPI (TControl)
pt | DoFlipChildren (TWinControl)
pt | DoFloatMsg (TControl)
pt | DoFloatMsg (TWinControl)
pt | DoGetDockCaption (TWinControl)
pt | DoHide (TCustomForm)
pt | DoKeyDownBeforeInterface (TWinControl)
pt | DoKeyPress (TWinControl)
pt | DoKeyUpBeforeInterface (TWinControl)
pt | DoMouseWheel (TControl)
pt | DoMouseWheelDown (TControl)
pt | DoMouseWheelHorz (TControl)
pt | DoMouseWheelLeft (TControl)
pt | DoMouseWheelRight (TControl)
pt | DoMouseWheelUp (TControl)
pt | DoOnChangeBounds (TControl)
pt | DoOnParentHandleDestruction (TControl)
pt | DoOnResize (TControl)
pt | DoOnResize (TScrollingWinControl)
pt | DoOnShowHint (TControl)
pt | DoRemainingKeyDown (TWinControl)
pt | DoRemainingKeyUp (TWinControl)
pt | DoRemoveActionList (TCustomForm)
pt | DoRemoveDockClient (TWinControl)
pt | DoScaleFontPPI (TControl)
pt | DoSendBoundsToInterface (TWinControl)
pt | DoSendBoundsToInterface (TCustomForm)
pt | DoSendShowHideToInterface (TWinControl)
pt | DoSetBounds (TControl)
pt | DoSetBounds (TWinControl)
pt | DoShow (TCustomForm)
pt | DoShowWindow (TCustomForm)
pt | DoStartDock (TControl)
pt | DoStartDrag (TControl)
pt | DoUnDock (TWinControl)
pt | DoUndockClientMsg (TWinControl)
pt | DoUpdateAction (TCustomForm)
pt | DoUTF8KeyPress (TWinControl)
pt | DragCanceled (TControl)
 | DragDrop (TControl)
 | Dragging (TControl)
pt | DragOver (TControl)
 | EditingDone (TControl)
 | EnableAlign (TWinControl)
 | EnableAutoSizing (TControl)
pt | EnabledChanged (TControl)
pt | EnabledChanging (TControl)
pt | EndAutoSizing (TControl)
 | EndDrag (TControl)
pt | EndFormUpdate (TCustomForm)
 | EndUpdateBounds (TWinControl)
 | EnsureVisible (TCustomForm)
 | Equals (TObject)
 | EraseBackground (TWinControl)
 | ExecuteAction (TComponent)
 | ExecuteCancelAction (TControl)
 | ExecuteDefaultAction (TControl)
 | FieldAddress (TObject)
pt | FinalizeWnd (TWinControl)
 | FindChildControl (TWinControl)
 | FindComponent (TComponent)
 | FindHeader (TLazDockForm)
 | FindMainControlCandidate (TLazDockForm)
pt | FindNextControl (TWinControl)
 | FixDesignFontsPPI (TControl)
pt | FixupTabList (TWinControl)
 | FlipChildren (TWinControl)
 | FocusControl (TCustomForm)
 | Focused (TWinControl)
pt | FontChanged (TControl)
pt | FontChanged (TWinControl)
pt | FontChanged (TCustomControl)
pt | ForeignAnchorSideChanged (TControl)
pt | FormEndUpdated (TControl)
pt | FormEndUpdated (TWinControl)
 | FormIsUpdating (TControl)
 | FormIsUpdating (TCustomForm)
 | FPOAttachObserver (TPersistent)
 | FPODetachObserver (TPersistent)
 | FPONotifyObservers (TPersistent)
 | Free (TObject)
 | FreeInstance (TObject)
 | FreeNotification (TComponent)
 | FreeOnRelease (TComponent)
 | GetAccessibleObject (TControl)
pt | GetAction (TControl)
pt | GetActionLinkClass (TControl)
pt | GetAdjustedLogicalClientRect (TWinControl)
 | GetAnchorsDependingOnParent (TControl)
pt | GetBorderStyle (TWinControl)
pt | GetCachedText (TControl)
 | GetCanvasScaleFactor (TControl)
 | GetChildAccessibleObjectAtPos (TControl)
 | GetChildOwner (TComponent)
 | GetChildParent (TComponent)
 | GetChildren (TComponent)
pt | GetChildren (TWinControl)
 | GetChildren (TCustomForm)
 | GetChildrenRect (TControl)
 | GetChildrenRect (TWinControl)
pt | GetClientOrigin (TControl)
pt | GetClientOrigin (TWinControl)
pt | GetClientRect (TControl)
pt | GetClientRect (TWinControl)
pt | GetClientScrollOffset (TControl)
pt | GetClientScrollOffset (TScrollingWinControl)
 | GetColorResolvingParent (TControl)
 | GetComObject (TComponent)
 | GetComponent (TComponent)
 | GetComponentCount (TComponent)
 | GetComponentIndex (TComponent)
pt | GetControlClassDefaultSize (TControl)
 | GetControlClassDefaultSize (TScrollingWinControl)
 | GetControlClassDefaultSize (TCustomForm)
 | GetControlIndex (TWinControl)
pt | GetControlOrigin (TControl)
pt | GetControlOrigin (TWinControl)
pt | GetCursor (TControl)
 | GetDefaultColor (TControl)
pt | GetDefaultDockCaption (TControl)
pt | GetDefaultDockCaption (TCustomForm)
 | GetDefaultHeight (TControl)
 | GetDefaultWidth (TControl)
pt | GetDeviceContext (TControl)
pt | GetDeviceContext (TWinControl)
 | GetDockCaption (TWinControl)
pt | GetDockEdge (TControl)
pt | GetDragImages (TControl)
pt | GetEnabled (TControl)
 | GetEnumerator (TComponent)
 | GetEnumeratorControls (TWinControl)
 | GetEnumeratorControlsReverse (TWinControl)
pt | GetFloating (TControl)
pt | GetFloating (TCustomForm)
pt | GetFloatingDockSiteClass (TControl)
 | GetFormImage (TCustomForm)
 | GetHashCode (TObject)
 | GetIDsOfNames (TComponent)
 | GetInterface (TObject)
 | GetInterfaceByStr (TObject)
 | GetInterfaceEntry (TObject)
 | GetInterfaceEntryByStr (TObject)
 | GetInterfaceTable (TObject)
 | GetInterfaceWeak (TObject)
pt | GetLogicalClientRect (TControl)
pt | GetLogicalClientRect (TScrollingWinControl)
 | GetMDIChildren (TCustomForm)
pt | GetMouseCapture (TControl)
pt | GetMouseCapture (TWinControl)
pt | GetMousePosFromMessage (TControl)
 | GetNamePath (TPersistent)
 | GetNamePath (TComponent)
 | GetOwner (TPersistent)
 | GetOwner (TComponent)
pt | GetPalette (TControl)
pt | GetParentBackground (TWinControl)
 | GetParentComponent (TComponent)
 | GetParentComponent (TControl)
pt | GetParentHandle (TWinControl)
pt | GetPopupMenu (TControl)
 | GetPreferredSize (TControl)
 | GetPreferredSize (TCustomForm)
pt | GetPreferredSizeClientFrame (TWinControl)
pt | GetPreferredSizeClientFrame (TScrollingWinControl)
 | GetRealPopupParent (TCustomForm)
 | GetRGBColorResolvingParent (TControl)
 | GetRolesForControl (TCustomForm)
pt | GetScrolledClientRect (TControl)
 | GetSelectedChildAccessibleObject (TControl)
 | GetSidePosition (TControl)
pt | GetSiteInfo (TWinControl)
 | GetTabOrderList (TWinControl)
 | GetTextBuf (TControl)
 | GetTextLen (TControl)
 | GetTextLen (TWinControl)
 | GetTitleOrientation (TLazDockForm)
 | GetTitleRect (TLazDockForm)
 | GetTopParent (TControl)
pt | GetTopParentHandle (TWinControl)
 | GetTypeInfo (TComponent)
 | GetTypeInfoCount (TComponent)
pt | GetWSComponentClass (TLCLComponent)
 | HandleAllocated (TWinControl)
pt | HandleCreateException (TCustomForm)
pt | HandleDestroyException (TCustomForm)
 | HandleNeeded (TWinControl)
 | HandleObjectShouldBeVisible (TControl)
pt | HandleShowHideException (TCustomForm)
 | HasHelp (TControl)
 | HasParent (TComponent)
 | HasParent (TControl)
pt | HeightIsAnchored (TControl)
 | Hide (TControl)
 | Hide (TCustomForm)
 | iicrGetComponent (TComponent)
 | IncLCLRefCount (TLCLComponent)
 | InheritsFrom (TObject)
pt | InitializeWnd (TWinControl)
pt | InitializeWnd (TCustomForm)
 | InitiateAction (TControl)
 | InitInstance (TObject)
 | Insert (TComponent)
 | InsertComponent (TComponent)
 | InsertControl (TWinControl)
 | InsertControl (TLazDockForm)
 | InstanceSize (TObject)
 | IntfDropFiles (TCustomForm)
 | IntfGetDropFilesTarget (TWinControl)
 | IntfHelp (TCustomForm)
 | IntfUTF8KeyPress (TWinControl)
 | Invalidate (TControl)
 | Invalidate (TWinControl)
pt | InvalidateBoundsRealized (TWinControl)
 | InvalidateClientRectCache (TWinControl)
pt | InvalidateControl (TControl)
pt | InvalidatePreferredChildSizes (TWinControl)
 | InvalidatePreferredSize (TControl)
 | Invoke (TComponent)
pt | IsAParentAligning (TControl)
pt | IsBorderSpacingInnerBorderStored (TControl)
pt | IsCaptionStored (TControl)
pt | IsClientHeightStored (TControl)
pt | IsClientHeightStored (TWinControl)
pt | IsClientWidthStored (TControl)
pt | IsClientWidthStored (TWinControl)
pt | IsControlMouseMsg (TWinControl)
 | IsControlVisible (TControl)
 | IsDockedControl (TLazDockForm)
 | IsEnabled (TControl)
 | IsImplementorOf (TComponent)
 | IsParentColor (TControl)
 | IsParentFont (TControl)
 | IsParentOf (TControl)
 | IsProcessingPaintMsg (TControl)
 | IsRightToLeft (TControl)
 | IsShortcut (TCustomForm)
 | IsVisible (TControl)
pt | KeyDown (TWinControl)
pt | KeyDownAfterInterface (TWinControl)
pt | KeyDownBeforeInterface (TWinControl)
pt | KeyPress (TWinControl)
pt | KeyUp (TWinControl)
pt | KeyUpAfterInterface (TWinControl)
pt | KeyUpBeforeInterface (TWinControl)
pt | LMCaptureChanged (TControl)
 | Loaded (TComponent)
pt | Loaded (TControl)
pt | Loaded (TWinControl)
pt | Loaded (TScrollingWinControl)
pt | Loaded (TCustomDesignControl)
pt | Loaded (TCustomForm)
pt | LoadedAll (TControl)
 | Loading (TComponent)
 | LockRealizeBounds (TWinControl)
pt | MainWndProc (TWinControl)
 | MakeFullyVisible (TCustomForm)
 | ManualDock (TControl)
 | ManualFloat (TControl)
 | MDIChildCount (TCustomForm)
 | MethodAddress (TObject)
 | MethodName (TObject)
pt | MouseDown (TControl)
pt | MouseDown (TLazDockForm)
pt | MouseEnter (TControl)
pt | MouseLeave (TControl)
pt | MouseLeave (TLazDockForm)
pt | MouseMove (TControl)
pt | MouseMove (TLazDockForm)
pt | MouseUp (TControl)
pt | MouseUp (TLazDockForm)
pt | MoveToDefaultPosition (TCustomForm)
 | newinstance (TObject)
 | NewInstance (TLCLComponent)
 | Notification (TComponent)
pt | Notification (TControl)
pt | Notification (TCustomForm)
pt | Notification (TLazDockForm)
 | NotifyControls (TWinControl)
pt | Paint (TCustomControl)
pt | PaintControls (TWinControl)
pt | PaintHandler (TWinControl)
 | PaintTo (TWinControl)
pt | PaintWindow (TWinControl)
pt | PaintWindow (TCustomControl)
pt | PaintWindow (TCustomForm)
pt | PaintWindow (TLazDockForm)
 | PaletteCreated (TComponent)
 | ParentDestroyingHandle (TControl)
pt | ParentFontChanged (TControl)
pt | ParentFormHandleInitialized (TControl)
pt | ParentFormHandleInitialized (TWinControl)
 | ParentHandlesAllocated (TControl)
 | ParentHandlesAllocated (TWinControl)
 | ParentToClient (TControl)
 | Perform (TControl)
 | PerformTab (TWinControl)
pt | PositionDockRect (TControl)
pt | ProcessResource (TCustomForm)
pt | QuadClick (TControl)
 | QueryInterface (TComponent)
 | ReadLeft (TComponent)
 | ReadState (TComponent)
pt | ReadState (TControl)
 | ReadTop (TComponent)
pt | RealGetText (TControl)
pt | RealGetText (TWinControl)
 | ReAlign (TWinControl)
pt | RealizeBounds (TWinControl)
pt | RealizeBoundsRecursive (TWinControl)
pt | RealSetText (TControl)
pt | RealSetText (TWinControl)
 | ReferenceInterface (TComponent)
 | Refresh (TControl)
 | Release (TCustomForm)
pt | ReloadDockedControl (TWinControl)
 | Remove (TComponent)
 | RemoveAllHandlersOfObject (TLCLComponent)
 | RemoveAllHandlersOfObject (TControl)
 | RemoveAllHandlersOfObject (TCustomForm)
 | RemoveComponent (TComponent)
 | RemoveControl (TWinControl)
pt | RemoveFocus (TWinControl)
 | RemoveFreeNotification (TComponent)
pt | RemoveHandler (TControl)
 | RemoveHandlerClose (TCustomForm)
 | RemoveHandlerCreate (TCustomForm)
 | RemoveHandlerFirstShow (TCustomForm)
 | RemoveHandlerOnBeforeDestruction (TControl)
 | RemoveHandlerOnChangeBounds (TControl)
 | RemoveHandlerOnEnableChanging (TControl)
 | RemoveHandlerOnKeyDown (TControl)
 | RemoveHandlerOnMouseWheel (TControl)
 | RemoveHandlerOnResize (TControl)
 | RemoveHandlerOnVisibleChanged (TControl)
 | RemoveHandlerOnVisibleChanging (TControl)
 | RemoveNotification (TComponent)
 | Repaint (TControl)
 | Repaint (TWinControl)
 | ReplaceDockedControl (TControl)
pt | RequestAlign (TControl)
pt | RequestAlign (TCustomForm)
pt | Resize (TControl)
pt | Resizing (TScrollingWinControl)
pt | Resizing (TCustomForm)
 | SafeCallException (TObject)
 | SafeCallException (TComponent)
 | Scale96ToFont (TControl)
 | Scale96ToForm (TControl)
 | Scale96ToScreen (TControl)
 | ScaleBy (TWinControl)
pt | ScaleConstraints (TControl)
pt | ScaleControls (TWinControl)
 | ScaleDesignToForm (TControl)
 | ScaleFontsPPI (TControl)
 | ScaleFontTo96 (TControl)
 | ScaleFontToScreen (TControl)
 | ScaleFormTo96 (TControl)
 | ScaleFormToDesign (TControl)
 | ScaleScreenTo96 (TControl)
 | ScaleScreenToFont (TControl)
 | ScreenToClient (TControl)
 | ScreenToClient (TScrollingWinControl)
 | ScreenToControl (TControl)
 | ScrollBy (TWinControl)
 | ScrollBy (TScrollingWinControl)
 | ScrollBy_WS (TWinControl)
 | ScrollInView (TScrollingWinControl)
pt | SelectFirst (TWinControl)
 | SelectNext (TWinControl)
pt | SendDialogChar (TWinControl)
pt | SendMoveSizeMessages (TControl)
pt | SendMoveSizeMessages (TWinControl)
 | SendToBack (TControl)
pt | SetAction (TControl)
pt | SetAlign (TControl)
 | SetAncestor (TComponent)
pt | SetAnchors (TControl)
pt | SetAutoScroll (TScrollingWinControl)
pt | SetAutoScroll (TCustomForm)
pt | SetAutoSize (TControl)
pt | SetAutoSize (TScrollingWinControl)
pt | SetAutoSize (TCustomForm)
pt | SetBiDiMode (TControl)
pt | SetBorderStyle (TWinControl)
 | SetBounds (TControl)
 | SetBounds (TWinControl)
 | SetBoundsKeepBase (TControl)
 | SetChildOrder (TComponent)
pt | SetChildZPosition (TWinControl)
pt | SetColor (TControl)
pt | SetColor (TWinControl)
pt | SetColor (TCustomControl)
 | SetComponentIndex (TComponent)
 | SetControlIndex (TWinControl)
pt | SetCursor (TControl)
 | SetDesigning (TComponent)
 | SetDesignInstance (TComponent)
pt | SetDockManager (TWinControl)
pt | SetDragMode (TControl)
pt | SetEnabled (TControl)
 | SetFocus (TWinControl)
 | SetFocus (TCustomForm)
 | SetFocusedControl (TCustomForm)
pt | SetHint (TControl)
 | SetInitialBounds (TControl)
 | SetInline (TComponent)
 | SetName (TComponent)
pt | SetName (TControl)
pt | SetParent (TControl)
pt | SetParent (TCustomForm)
pt | SetParentBackground (TWinControl)
pt | SetParentBiDiMode (TControl)
 | SetParentComponent (TComponent)
pt | SetParentComponent (TControl)
 | SetReference (TComponent)
 | SetRestoredBounds (TCustomForm)
pt | SetScaled (TCustomDesignControl)
pt | SetScaled (TCustomForm)
 | SetShape (TWinControl)
 | SetSubComponent (TComponent)
 | SetTempCursor (TControl)
 | SetTempCursor (TWinControl)
 | SetTextBuf (TControl)
pt | SetVisible (TControl)
pt | SetVisible (TCustomForm)
pt | SetZOrder (TControl)
pt | SetZOrder (TCustomForm)
 | ShouldAutoAdjust (TControl)
 | Show (TControl)
 | Show (TCustomForm)
pt | ShowControl (TWinControl)
 | ShowHelp (TControl)
 | ShowModal (TCustomForm)
 | ShowOnTop (TCustomForm)
 | SmallIconHandle (TCustomForm)
 | StringMessageTable (TObject)
pt | TextChanged (TControl)
 | ToString (TObject)
pt | TrackMouse (TLazDockForm)
pt | TripleClick (TControl)
 | UnitName (TObject)
 | UnlockRealizeBounds (TWinControl)
 | Update (TControl)
 | Update (TWinControl)
 | UpdateAction (TComponent)
pt | UpdateActions (TCustomForm)
pt | UpdateAnchorRules (TControl)
 | UpdateBaseBounds (TControl)
 | UpdateCaption (TLazDockForm)
pt | UpdateControlState (TWinControl)
 | Updated (TComponent)
 | UpdateDockCaption (TWinControl)
 | UpdateDockCaption (TCustomForm)
pt | UpdateMainControl (TLazDockForm)
 | UpdateMainControlInParents (TLazDockForm)
pt | UpdateMouseCursor (TControl)
 | UpdateRegistry (TComponent)
 | UpdateRolesForForm (TControl)
 | UpdateScrollbars (TScrollingWinControl)
pt | UpdateShowing (TWinControl)
pt | UpdateShowing (TCustomForm)
pt | UpdateWindowState (TCustomForm)
 | Updating (TComponent)
 | UseRightToLeftAlignment (TControl)
 | UseRightToLeftReading (TControl)
 | UseRightToLeftScrollBar (TControl)
pt | UTF8KeyPress (TWinControl)
 | ValidateContainer (TComponent)
 | ValidateInsert (TComponent)
 | ValidateRename (TComponent)
pt | VisibleChanged (TControl)
pt | VisibleChanged (TCustomForm)
pt | VisibleChanging (TControl)
pt | VisibleChanging (TCustomForm)
pt | VisibleIsStored (TCustomForm)
 | WantChildKey (TCustomForm)
pt | WidthIsAnchored (TControl)
pt | WMActivate (TCustomForm)
pt | WMCancelMode (TControl)
pt | WMChar (TWinControl)
pt | WMCloseQuery (TCustomForm)
pt | WMContextMenu (TControl)
pt | WMContextMenu (TWinControl)
pt | WMDestroy (TWinControl)
pt | WMDPIChanged (TCustomForm)
pt | WMEnter (TWinControl)
pt | WMEraseBkgnd (TWinControl)
pt | WMExit (TWinControl)
pt | WMHelp (TCustomForm)
pt | WMHScroll (TScrollingWinControl)
pt | WMKeyDown (TWinControl)
pt | WMKeyUp (TWinControl)
pt | WMKillFocus (TWinControl)
pt | WMLButtonDBLCLK (TControl)
pt | WMLButtonDown (TControl)
pt | WMLButtonQuadCLK (TControl)
pt | WMLButtonTripleCLK (TControl)
pt | WMLButtonUp (TControl)
pt | WMMButtonDBLCLK (TControl)
pt | WMMButtonDown (TControl)
pt | WMMButtonQuadCLK (TControl)
pt | WMMButtonTripleCLK (TControl)
pt | WMMButtonUp (TControl)
pt | WMMouseHWheel (TControl)
pt | WMMouseMove (TControl)
pt | WMMouseWheel (TControl)
pt | WMMove (TControl)
pt | WMMove (TWinControl)
pt | WMMove (TCustomForm)
pt | WMNotify (TWinControl)
pt | WMPaint (TWinControl)
pt | WMPaint (TCustomControl)
pt | WMRButtonDBLCLK (TControl)
pt | WMRButtonDown (TControl)
pt | WMRButtonQuadCLK (TControl)
pt | WMRButtonTripleCLK (TControl)
pt | WMRButtonUp (TControl)
pt | WMSetFocus (TWinControl)
pt | WMShowWindow (TWinControl)
pt | WMShowWindow (TCustomForm)
pt | WMSize (TControl)
pt | WMSize (TWinControl)
pt | WMSize (TScrollingWinControl)
pt | WMSize (TCustomForm)
pt | WMSysChar (TWinControl)
pt | WMSysKeyDown (TWinControl)
pt | WMSysKeyUp (TWinControl)
pt | WMVScroll (TScrollingWinControl)
pt | WMWindowPosChanged (TControl)
pt | WMWindowPosChanged (TWinControl)
pt | WMWindowPosChanged (TCustomForm)
pt | WMXButtonDBLCLK (TControl)
pt | WMXButtonDown (TControl)
pt | WMXButtonQuadCLK (TControl)
pt | WMXButtonTripleCLK (TControl)
pt | WMXButtonUp (TControl)
pt | WndProc (TControl)
pt | WndProc (TWinControl)
pt | WndProc (TCustomForm)
 | WriteLayoutDebugReport (TControl)
 | WriteLayoutDebugReport (TWinControl)
 | WriteLeft (TComponent)
 | WriteState (TComponent)
 | WriteTop (TComponent)
pt | WSRegisterClass (TLCLComponent)
pt | WSRegisterClass (TControl)
pt | WSRegisterClass (TWinControl)
pt | WSRegisterClass (TCustomControl)
pt | WSRegisterClass (TScrollingWinControl)
pt | WSRegisterClass (TCustomForm)
pt | WSSetText (TWinControl)
 | _AddRef (TComponent)
 | _Release (TComponent)


TLazDockForm
TCustomForm
 |  | OnActivate
 |  | OnClose
 |  | OnCloseQuery
 |  | OnCreate
 |  | OnDeactivate
 |  | OnDestroy
 |  | OnDropFiles
 |  | OnHelp
 |  | OnHide
 | ro | OnResize
 |  | OnShortcut
 |  | OnShow
 |  | OnShowModalFinished
 |  | OnWindowStateChange
TCustomDesignControl
TScrollingWinControl
TCustomControl
 |  | OnPaint
TWinControl
pt |  | OnGetSiteInfo
pt |  | OnGetDockCaption
 |  | OnAlignInsertBefore
 |  | OnAlignPosition
 |  | OnDockDrop
 |  | OnDockOver
 |  | OnEnter
 |  | OnExit
 |  | OnKeyDown
 |  | OnKeyPress
 |  | OnKeyUp
 |  | OnUnDock
 |  | OnUTF8KeyPress
TControl
pt |  | OnConstrainedResize
pt |  | OnContextPopup
pt |  | OnDblClick
pt |  | OnTripleClick
pt |  | OnQuadClick
pt |  | OnDragDrop
pt |  | OnDragOver
pt |  | OnEndDock
pt |  | OnEndDrag
pt |  | OnMouseDown
pt |  | OnMouseMove
pt |  | OnMouseUp
pt |  | OnMouseEnter
pt |  | OnMouseLeave
pt |  | OnMouseWheel
pt |  | OnMouseWheelDown
pt |  | OnMouseWheelUp
pt |  | OnMouseWheelHorz
pt |  | OnMouseWheelLeft
pt |  | OnMouseWheelRight
pt |  | OnStartDock
pt |  | OnStartDrag
pt |  | OnEditingDone
 |  | OnChangeBounds
 |  | OnClick
 |  | OnResize
 |  | OnShowHint
TLCLComponent
TComponent
TPersistent
TObject


TLazDockForm.CloseQuery

CloseQuery - calls inherited method, then asks all top level forms if form can close

Declaration

Source position: ldocktree.pas line 136

public function TLazDockForm.CloseQuery: Boolean; override;

See also

TCustomForm.CloseQuery

Asks the OnCloseQuery handler whether the form can close.


TLazDockForm.ControlHasTitle

ControlHasTitle - returns True if nominated control is visible, is a docked control and has a border spacing greter than zero

Declaration

Source position: ldocktree.pas line 143

public function TLazDockForm.ControlHasTitle(

  Control: TControl

):Boolean;


TLazDockForm.Create

Create - constructor for TLazDocForm: calls inherited Create, then fills in the header

Declaration

Source position: ldocktree.pas line 134

public constructor TLazDockForm.Create(

  AOwner: TComponent

); override;

See also

TCustomForm.Create


TLazDockForm.Destroy

Destroy - destructor for TLazDockForm: removes header then calls inherited Destroy

Declaration

Source position: ldocktree.pas line 135

public destructor TLazDockForm.Destroy; override;

See also

TCustomForm.Destroy


TLazDockForm.FindHeader

FindHeader - identifies the part of the dock form that is the header, and returns a TControl

Declaration

Source position: ldocktree.pas line 140

public function TLazDockForm.FindHeader(

  x: Integer;

  y: Integer;

  out Part: TLazDockHeaderPart

):TControl;


TLazDockForm.FindMainControlCandidate

FindMainControlCandidate - finds forms and controls in the docktree heirarchy that could act as the MainControl

Declaration

Source position: ldocktree.pas line 139

public function TLazDockForm.FindMainControlCandidate: TControl;


TLazDockForm.GetTitleOrientation

GetTitleOrientation - retrns the orientation (horizozntal or vertical) of the title in the nominated control

Declaration

Source position: ldocktree.pas line 145

public function TLazDockForm.GetTitleOrientation(

  Control: TControl

):TDockOrientation;


TLazDockForm.GetTitleRect

GetTitleRect - returns the coordinates of the title retangle for the nominated control

Declaration

Source position: ldocktree.pas line 144

public function TLazDockForm.GetTitleRect(

  Control: TControl

):TRect;


TLazDockForm.InsertControl

InsertControl - calls inherited method then updates the main control

Declaration

Source position: ldocktree.pas line 141

public procedure TLazDockForm.InsertControl(

  AControl: TControl;

  Index: Integer

); override;

See also

TWinControl.InsertControl

Insert control into Controls[].


TLazDockForm.IsDockedControl

IsDockedControl - checks if control is a child, not a TLazDockSplitter and properly anchor docked; returns True if OK

Declaration

Source position: ldocktree.pas line 142

public function TLazDockForm.IsDockedControl(

  Control: TControl

):Boolean;


TLazDockForm.MainControl

The identity of the MainControl in the docked form (used for the default caption)

Declaration

Source position: ldocktree.pas line 146

public property TLazDockForm.MainControl : TControl
  read FMainControl
  write SetMainControl;


TLazDockForm.MouseDown

MouseDown - performs inherited MouseDpwn, then finds position and appropriate header

Declaration

Source position: ldocktree.pas line 128

protected procedure TLazDockForm.MouseDown(

  Button: TMouseButton;

  Shift: TShiftState;

  X: Integer;

  Y: Integer

); override;

See also

TControl.MouseDown

Handler for MouseDown events.


TLazDockForm.MouseLeave

MouseLeave - performs inherited MouseLeave, and sets the local store of position to indicate absence of the mouse

Declaration

Source position: ldocktree.pas line 130

protected procedure TLazDockForm.MouseLeave; override;

See also

TControl.MouseLeave

Invokes the OnMouseLeave handler.


TLazDockForm.MouseMove

MouseMove - performs inherited Mousemove, then finds position and appropriate header

Declaration

Source position: ldocktree.pas line 129

protected procedure TLazDockForm.MouseMove(

  Shift: TShiftState;

  X: Integer;

  Y: Integer

); override;

See also

TControl.MouseMove

Handler for MouseMove events.


TLazDockForm.MouseUp

MouseUp - calls inherited MouseUp then finds position and appropriate header

Declaration

Source position: ldocktree.pas line 127

protected procedure TLazDockForm.MouseUp(

  Button: TMouseButton;

  Shift: TShiftState;

  X: Integer;

  Y: Integer

); override;

See also

TControl.MouseUp

Invokes the OnMouseUp handler.


TLazDockForm.Notification

Notification - if the required operation is removal, sets MainControl to nil, then calls inherited Notification

Declaration

Source position: ldocktree.pas line 125

protected procedure TLazDockForm.Notification(

  AComponent: TComponent;

  Operation: TOperation

); override;

See also

TCustomForm.Notification


TLazDockForm.PaintWindow

PaintWindow - calls inherited PaintWindow, then creates new canvas and handle at cursor position, inserts header caption, title and images

Declaration

Source position: ldocktree.pas line 131

protected procedure TLazDockForm.PaintWindow(

  DC: HDC

); override;

See also

TCustomControl.PaintWindow

Paints an clipped part (child control) of the DC.


TLazDockForm.TrackMouse

TrackMouse - finds position of the mouse, which part of the control it occupies (whether header or main part of control), and state of buttons

Declaration

Source position: ldocktree.pas line 132

protected procedure TLazDockForm.TrackMouse(

  X: Integer;

  Y: Integer

);


TLazDockForm.UpdateCaption

UpdateCaption - brings caption up-to-date if there have been changes

Declaration

Source position: ldocktree.pas line 137

public procedure TLazDockForm.UpdateCaption; virtual;


TLazDockForm.UpdateMainControl

UpdateMainControl - sets MainControl to a new value

Declaration

Source position: ldocktree.pas line 126

protected procedure TLazDockForm.UpdateMainControl;


TLazDockForm.UpdateMainControlInParents

UpdateMainControlInParents - make sure all parents recognise the presence of MainControl

Declaration

Source position: ldocktree.pas line 138

public class procedure TLazDockForm.UpdateMainControlInParents(

  StartControl: TControl

);


TLazDockPage

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

TLazDockPage - an entity similar to a TLazDockForm, but forming a page in a notebook of TLazDockPages

Declaration

Source position: ldocktree.pas line 153

type TLazDockPage = class(TCustomPage)
public
procedure InsertControl(); override; | InsertControl - calls inherited method, then ensures that all parents recognise the MainControl
property DockZone: TDockZone; [r] | The DockZone in which this page is located
property PageControl: TLazDockPages; [r] | The PageControl or notebook in which this page is located (its parent)
end;

Inheritance

TLazDockPage | TLazDockPage - an entity similar to a TLazDockForm, but forming a page in a notebook of TLazDockPages
|
TCustomPage | TCustomPage: The base type for Page
|
TWinControl | The base class for controls which can contain other (child) controls.
|
TControl | The base class for visible controls.
|
TLCLComponent | The base class for LCL components associated with widgets.
|
TComponent,IUnknown,IInterfaceComponentReference
|
TPersistent,IFPObserved
|
TObject


TLazDockPage
 | ro | DockZone
 | ro | PageControl
TCustomPage
pt |  | Flags
 |  | PageIndex
 |  | TabVisible
 |  | ImageIndex
 | ro | Left
 | ro | Top
 | ro | Width
 | ro | Height
 | ro | TabOrder
 | ro | Visible
TWinControl
pt |  | WindowHandle
pt |  | BorderStyle
pt |  | ParentBackground
 |  | BorderWidth
 | ro | BoundsLockCount
 | ro | Brush
 | ro | CachedClientHeight
 | ro | CachedClientWidth
 |  | ChildSizing
 | ro | ControlCount
 | ro | Controls
 |  | DefWndProc
 | ro | DockClientCount
 | ro | DockClients
 |  | DockManager
 |  | DockSite
 |  | DoubleBuffered
 |  | Handle
 | ro | IsFlipped
 | ro | IsResizing
 |  | TabOrder
 |  | TabStop
 |  | ParentDoubleBuffered
 |  | ParentWindow
 | ro | Showing
 |  | UseDockManager
 |  | DesignerDeleting
 | ro | VisibleDockClientCount
TControl
pt | ro | AutoSizing
pt | ro | AutoSizingAll
pt | ro | AutoSizingLockCount
pt |  | ActionLink
pt |  | DesktopFont
pt |  | DragCursor
pt |  | DragKind
pt |  | DragMode
pt |  | MouseCapture
pt |  | ParentColor
pt |  | ParentFont
pt |  | ParentShowHint
pt |  | SessionProperties
pt |  | Text
 | ro | AnchoredControls
 | ro | BaseBounds
 | ro | ReadBounds
 | ro | BaseParentClientSize
 |  | AccessibleDescription
 |  | AccessibleValue
 |  | AccessibleRole
 |  | Action
 |  | Align
 |  | Anchors
 | ro | AnchorSide
 |  | AutoSize
 |  | BorderSpacing
 |  | BoundsRect
 |  | BoundsRectForNewParent
 |  | Caption
 |  | CaptureMouseButtons
 |  | ClientHeight
 | ro | ClientOrigin
 | ro | ClientRect
 |  | ClientWidth
 |  | Color
 |  | Constraints
 | ro | ControlOrigin
 |  | ControlState
 |  | ControlStyle
 |  | Enabled
 |  | Font
 |  | IsControl
 | ro | MouseEntered
 | ro | MouseInClient
 |  | Parent
 |  | PopupMenu
 |  | ShowHint
 |  | Visible
 |  | WindowProc
 |  | DockOrientation
 | ro | Floating
 |  | FloatingDockSiteClass
 |  | HostDockSite
 |  | LRDockWidth
 |  | TBDockHeight
 |  | UndockHeight
 |  | UndockWidth
 |  | BiDiMode
 |  | ParentBiDiMode
pl |  | AnchorSideLeft
pl |  | AnchorSideTop
pl |  | AnchorSideRight
pl |  | AnchorSideBottom
pl |  | Cursor
pl |  | Left
pl |  | Height
pl |  | Hint
pl |  | Top
pl |  | Width
pl |  | HelpType
pl |  | HelpKeyword
pl |  | HelpContext
TLCLComponent
 | ro | LCLRefCount
 | ro | WidgetSetClass
TComponent
 | ro | ComObject
 | ro | Components
 | ro | ComponentCount
 |  | ComponentIndex
 | ro | ComponentState
 | ro | ComponentStyle
 |  | DesignInfo
 | ro | Owner
 |  | VCLComObject
 |  | Name
 |  | Tag
TPersistent
TObject


 |  | AccessibleDescription (TControl)
 |  | AccessibleRole (TControl)
 |  | AccessibleValue (TControl)
 |  | Action (TControl)
pt |  | ActionLink (TControl)
 |  | Align (TControl)
 | ro | AnchoredControls (TControl)
 |  | Anchors (TControl)
 | ro | AnchorSide (TControl)
pl |  | AnchorSideBottom (TControl)
pl |  | AnchorSideLeft (TControl)
pl |  | AnchorSideRight (TControl)
pl |  | AnchorSideTop (TControl)
 |  | AutoSize (TControl)
pt | ro | AutoSizing (TControl)
pt | ro | AutoSizingAll (TControl)
pt | ro | AutoSizingLockCount (TControl)
 | ro | BaseBounds (TControl)
 | ro | BaseParentClientSize (TControl)
 |  | BiDiMode (TControl)
 |  | BorderSpacing (TControl)
pt |  | BorderStyle (TWinControl)
 |  | BorderWidth (TWinControl)
 | ro | BoundsLockCount (TWinControl)
 |  | BoundsRect (TControl)
 |  | BoundsRectForNewParent (TControl)
 | ro | Brush (TWinControl)
 | ro | CachedClientHeight (TWinControl)
 | ro | CachedClientWidth (TWinControl)
 |  | Caption (TControl)
 |  | CaptureMouseButtons (TControl)
 |  | ChildSizing (TWinControl)
 |  | ClientHeight (TControl)
 | ro | ClientOrigin (TControl)
 | ro | ClientRect (TControl)
 |  | ClientWidth (TControl)
 |  | Color (TControl)
 | ro | ComObject (TComponent)
 | ro | ComponentCount (TComponent)
 |  | ComponentIndex (TComponent)
 | ro | Components (TComponent)
 | ro | ComponentState (TComponent)
 | ro | ComponentStyle (TComponent)
 |  | Constraints (TControl)
 | ro | ControlCount (TWinControl)
 | ro | ControlOrigin (TControl)
 | ro | Controls (TWinControl)
 |  | ControlState (TControl)
 |  | ControlStyle (TControl)
pl |  | Cursor (TControl)
 |  | DefWndProc (TWinControl)
 |  | DesignerDeleting (TWinControl)
 |  | DesignInfo (TComponent)
pt |  | DesktopFont (TControl)
 | ro | DockClientCount (TWinControl)
 | ro | DockClients (TWinControl)
 |  | DockManager (TWinControl)
 |  | DockOrientation (TControl)
 |  | DockSite (TWinControl)
 | ro | DockZone (TLazDockPage)
 |  | DoubleBuffered (TWinControl)
pt |  | DragCursor (TControl)
pt |  | DragKind (TControl)
pt |  | DragMode (TControl)
 |  | Enabled (TControl)
pt |  | Flags (TCustomPage)
 | ro | Floating (TControl)
 |  | FloatingDockSiteClass (TControl)
 |  | Font (TControl)
 |  | Handle (TWinControl)
pl |  | Height (TControl)
 | ro | Height (TCustomPage)
pl |  | HelpContext (TControl)
pl |  | HelpKeyword (TControl)
pl |  | HelpType (TControl)
pl |  | Hint (TControl)
 |  | HostDockSite (TControl)
 |  | ImageIndex (TCustomPage)
 |  | IsControl (TControl)
 | ro | IsFlipped (TWinControl)
 | ro | IsResizing (TWinControl)
 | ro | LCLRefCount (TLCLComponent)
pl |  | Left (TControl)
 | ro | Left (TCustomPage)
 |  | LRDockWidth (TControl)
pt |  | MouseCapture (TControl)
 | ro | MouseEntered (TControl)
 | ro | MouseInClient (TControl)
 |  | Name (TComponent)
 | ro | Owner (TComponent)
 | ro | PageControl (TLazDockPage)
 |  | PageIndex (TCustomPage)
 |  | Parent (TControl)
pt |  | ParentBackground (TWinControl)
 |  | ParentBiDiMode (TControl)
pt |  | ParentColor (TControl)
 |  | ParentDoubleBuffered (TWinControl)
pt |  | ParentFont (TControl)
pt |  | ParentShowHint (TControl)
 |  | ParentWindow (TWinControl)
 |  | PopupMenu (TControl)
 | ro | ReadBounds (TControl)
pt |  | SessionProperties (TControl)
 |  | ShowHint (TControl)
 | ro | Showing (TWinControl)
 |  | TabOrder (TWinControl)
 | ro | TabOrder (TCustomPage)
 |  | TabStop (TWinControl)
 |  | TabVisible (TCustomPage)
 |  | Tag (TComponent)
 |  | TBDockHeight (TControl)
pt |  | Text (TControl)
pl |  | Top (TControl)
 | ro | Top (TCustomPage)
 |  | UndockHeight (TControl)
 |  | UndockWidth (TControl)
 |  | UseDockManager (TWinControl)
 |  | VCLComObject (TComponent)
 |  | Visible (TControl)
 | ro | Visible (TCustomPage)
 | ro | VisibleDockClientCount (TWinControl)
 | ro | WidgetSetClass (TLCLComponent)
pl |  | Width (TControl)
 | ro | Width (TCustomPage)
pt |  | WindowHandle (TWinControl)
 |  | WindowProc (TControl)


TLazDockPage
 | InsertControl
TCustomPage
pt | WSRegisterClass
pt | WMPaint
pt | SetParent
pt | CMHitTest
pt | CMVisibleChanged
pt | GetPageIndex
pt | SetPageIndex
pt | GetTabVisible
pt | DialogChar
pt | DoHide
pt | DoShow
pt | DestroyHandle
pt | RealSetText
 | Create
 | CanTab
 | IsControlVisible
 | HandleObjectShouldBeVisible
 | VisibleIndex
 | CheckNewParent
TWinControl
pt | WSRegisterClass
pt | AdjustClientRect
pt | GetAdjustedLogicalClientRect
pt | AlignControls
pt | CustomAlignInsertBefore
pt | CustomAlignPosition
pt | DoAlignChildControls
pt | DoChildSizingChange
pt | InvalidatePreferredChildSizes
pt | CanTab
pt | IsClientHeightStored
pt | IsClientWidthStored
pt | DoSendShowHideToInterface
pt | ControlsAligned
pt | DoSendBoundsToInterface
pt | RealizeBounds
pt | RealizeBoundsRecursive
pt | InvalidateBoundsRealized
pt | CreateSubClass
pt | DoConstraintsChange
pt | DoSetBounds
pt | DoAutoSize
pt | DoAllAutoSize
pt | AllAutoSized
pt | CalculatePreferredSize
pt | GetPreferredSizeClientFrame
pt | GetChildren
pt | ChildClassAllowed
pt | PaintControls
pt | PaintHandler
pt | PaintWindow
pt | CreateBrush
pt | ScaleControls
pt | ChangeScale
pt | CMBiDiModeChanged
pt | CMBorderChanged
pt | CMDoubleBufferedChanged
pt | CMEnabledChanged
pt | CMParentDoubleBufferedChanged
pt | CMShowingChanged
pt | CMShowHintChanged
pt | CMVisibleChanged
pt | CMEnter
pt | CMExit
pt | WMContextMenu
pt | WMEraseBkgnd
pt | WMNotify
pt | WMSetFocus
pt | WMKillFocus
pt | WMShowWindow
pt | WMEnter
pt | WMExit
pt | WMKeyDown
pt | WMSysKeyDown
pt | WMKeyUp
pt | WMSysKeyUp
pt | WMChar
pt | WMSysChar
pt | WMPaint
pt | WMDestroy
pt | WMMove
pt | WMSize
pt | WMWindowPosChanged
pt | CNKeyDown
pt | CNSysKeyDown
pt | CNKeyUp
pt | CNSysKeyUp
pt | CNChar
pt | DoDragMsg
pt | DoDockClientMsg
pt | DoUndockClientMsg
pt | DoAddDockClient
pt | DockOver
pt | DoDockOver
pt | DoRemoveDockClient
pt | DoUnDock
pt | GetSiteInfo
pt | GetParentHandle
pt | GetTopParentHandle
pt | ReloadDockedControl
pt | CreateDockManager
pt | SetDockManager
pt | DoFloatMsg
pt | DoGetDockCaption
pt | DoEnter
pt | DoExit
pt | DoKeyDownBeforeInterface
pt | DoRemainingKeyDown
pt | DoRemainingKeyUp
pt | DoKeyPress
pt | DoUTF8KeyPress
pt | DoKeyUpBeforeInterface
pt | ChildKey
pt | SendDialogChar
pt | DialogChar
pt | ControlKeyDown
pt | ControlKeyUp
pt | KeyDown
pt | KeyDownBeforeInterface
pt | KeyDownAfterInterface
pt | KeyPress
pt | KeyUp
pt | KeyUpBeforeInterface
pt | KeyUpAfterInterface
pt | UTF8KeyPress
pt | FindNextControl
pt | SelectFirst
pt | RealGetText
pt | GetBorderStyle
pt | GetClientOrigin
pt | GetClientRect
pt | GetControlOrigin
pt | GetDeviceContext
pt | GetParentBackground
pt | IsControlMouseMsg
pt | CreateHandle
pt | CreateParams
pt | CreateWnd
pt | DestroyHandle
pt | DestroyWnd
pt | DoFlipChildren
pt | FinalizeWnd
pt | FixupTabList
pt | FontChanged
pt | InitializeWnd
pt | Loaded
pt | FormEndUpdated
pt | MainWndProc
pt | ParentFormHandleInitialized
pt | ChildHandlesCreated
pt | GetMouseCapture
pt | RealSetText
pt | RemoveFocus
pt | SendMoveSizeMessages
pt | SetBorderStyle
pt | SetColor
pt | SetChildZPosition
pt | SetParentBackground
pt | ShowControl
pt | UpdateControlState
pt | UpdateShowing
pt | WndProc
pt | WSSetText
 | AutoSizePhases
 | AutoSizeDelayed
 | AutoSizeDelayedReport
 | AutoSizeDelayedHandle
 | BeginUpdateBounds
 | EndUpdateBounds
 | LockRealizeBounds
 | UnlockRealizeBounds
 | ControlAtPos
 | ContainsControl
 | DoAdjustClientRectChange
 | InvalidateClientRectCache
 | ClientRectNeedsInterfaceUpdate
 | SetBounds
 | GetChildrenRect
 | DisableAlign
 | EnableAlign
 | ReAlign
 | ScrollBy_WS
 | ScrollBy
 | WriteLayoutDebugReport
 | AutoAdjustLayout
 | Create
 | CreateParented
 | CreateParentedControl
 | Destroy
 | DockDrop
 | CanFocus
 | CanSetFocus
 | GetControlIndex
 | SetControlIndex
 | Focused
 | PerformTab
 | FindChildControl
 | SelectNext
 | SetTempCursor
 | BroadCast
 | NotifyControls
 | DefaultHandler
 | GetTextLen
 | Invalidate
 | AddControl
 | InsertControl
 | RemoveControl
 | GetEnumeratorControls
 | GetEnumeratorControlsReverse
 | Repaint
 | Update
 | SetFocus
 | FlipChildren
 | ScaleBy
 | GetDockCaption
 | UpdateDockCaption
 | GetTabOrderList
 | HandleAllocated
 | ParentHandlesAllocated
 | HandleNeeded
 | BrushCreated
 | EraseBackground
 | IntfUTF8KeyPress
 | IntfGetDropFilesTarget
 | PaintTo
 | SetShape
TControl
pt | WSRegisterClass
pt | GetCursor
pt | SetCursor
pt | SetVisible
pt | DoOnParentHandleDestruction
pt | DoAutoSize
pt | DoAllAutoSize
pt | BeginAutoSizing
pt | EndAutoSizing
pt | AnchorSideChanged
pt | ForeignAnchorSideChanged
pt | SetAlign
pt | SetAnchors
pt | SetAutoSize
pt | BoundsChanged
pt | CreateControlBorderSpacing
pt | DoConstraintsChange
pt | DoBorderSpacingChange
pt | IsBorderSpacingInnerBorderStored
pt | IsCaptionStored
pt | SendMoveSizeMessages
pt | ConstrainedResize
pt | CalculatePreferredSize
pt | DoOnResize
pt | DoOnChangeBounds
pt | CheckOnChangeBounds
pt | Resize
pt | RequestAlign
pt | UpdateAnchorRules
pt | ChangeBounds
pt | DoSetBounds
pt | ScaleConstraints
pt | ChangeScale
pt | CanAutoSize
pt | SetBiDiMode
pt | SetParentBiDiMode
pt | IsAParentAligning
pt | GetClientOrigin
pt | GetClientRect
pt | GetLogicalClientRect
pt | GetScrolledClientRect
pt | GetClientScrollOffset
pt | GetControlOrigin
pt | IsClientHeightStored
pt | IsClientWidthStored
pt | WidthIsAnchored
pt | HeightIsAnchored
pt | WMCancelMode
pt | WMContextMenu
pt | WMLButtonDown
pt | WMRButtonDown
pt | WMMButtonDown
pt | WMXButtonDown
pt | WMLButtonDBLCLK
pt | WMRButtonDBLCLK
pt | WMMButtonDBLCLK
pt | WMXButtonDBLCLK
pt | WMLButtonTripleCLK
pt | WMRButtonTripleCLK
pt | WMMButtonTripleCLK
pt | WMXButtonTripleCLK
pt | WMLButtonQuadCLK
pt | WMRButtonQuadCLK
pt | WMMButtonQuadCLK
pt | WMXButtonQuadCLK
pt | WMMouseMove
pt | WMLButtonUp
pt | WMRButtonUp
pt | WMMButtonUp
pt | WMXButtonUp
pt | WMMouseWheel
pt | WMMouseHWheel
pt | WMMove
pt | WMSize
pt | WMWindowPosChanged
pt | CMChanged
pt | LMCaptureChanged
pt | CMBiDiModeChanged
pt | CMSysFontChanged
pt | CMEnabledChanged
pt | CMHitTest
pt | CMMouseEnter
pt | CMMouseLeave
pt | CMHintShow
pt | CMParentBiDiModeChanged
pt | CMParentColorChanged
pt | CMParentFontChanged
pt | CMParentShowHintChanged
pt | CMVisibleChanged
pt | CMTextChanged
pt | CMCursorChanged
pt | CalculateDockSizes
pt | CreateFloatingDockSite
pt | GetDockEdge
pt | GetDragImages
pt | GetFloating
pt | GetFloatingDockSiteClass
pt | BeforeDragStart
pt | BeginAutoDrag
pt | DoFloatMsg
pt | DockTrackNoTarget
pt | DoDock
pt | DoDragMsg
pt | DoEndDock
pt | DoEndDrag
pt | DoStartDock
pt | DoStartDrag
pt | DragCanceled
pt | DragOver
pt | PositionDockRect
pt | SetDragMode
pt | GetDefaultDockCaption
pt | Click
pt | DblClick
pt | TripleClick
pt | QuadClick
pt | GetMousePosFromMessage
pt | MouseDown
pt | MouseMove
pt | MouseUp
pt | MouseEnter
pt | MouseLeave
pt | DialogChar
pt | UpdateMouseCursor
pt | Changed
pt | GetPalette
pt | ChildClassAllowed
pt | ReadState
pt | Loaded
pt | LoadedAll
pt | DefineProperties
pt | AssignTo
pt | FormEndUpdated
pt | InvalidateControl
pt | FontChanged
pt | ParentFontChanged
pt | GetAction
pt | RealGetText
pt | RealSetText
pt | TextChanged
pt | GetCachedText
pt | SetAction
pt | SetColor
pt | SetEnabled
pt | SetHint
pt | SetName
pt | SetParent
pt | SetParentComponent
pt | WndProc
pt | ParentFormHandleInitialized
pt | GetMouseCapture
pt | CaptureChanged
pt | Notification
pt | CanTab
pt | GetDeviceContext
pt | GetEnabled
pt | GetPopupMenu
pt | DoOnShowHint
pt | DoMouseWheel
pt | DoMouseWheelDown
pt | DoMouseWheelUp
pt | DoMouseWheelHorz
pt | DoMouseWheelLeft
pt | DoMouseWheelRight
pt | VisibleChanging
pt | VisibleChanged
pt | EnabledChanging
pt | EnabledChanged
pt | AddHandler
pt | RemoveHandler
pt | DoCallNotifyHandler
pt | DoCallKeyEventHandler
pt | DoCallMouseWheelEventHandler
pt | DoContextPopup
pt | SetZOrder
pt | GetControlClassDefaultSize
pt | ColorIsStored
pt | DoAutoAdjustLayout
pt | DoFixDesignFontPPI
pt | DoScaleFontPPI
pt | GetActionLinkClass
pt | ActionChange
 | DragDrop
 | Dock
 | ManualDock
 | ManualFloat
 | ReplaceDockedControl
 | Docked
 | Dragging
 | GetAccessibleObject
 | CreateAccessibleObject
 | GetSelectedChildAccessibleObject
 | GetChildAccessibleObjectAtPos
 | ScaleDesignToForm
 | ScaleFormToDesign
 | Scale96ToForm
 | ScaleFormTo96
 | Scale96ToFont
 | ScaleFontTo96
 | ScaleScreenToFont
 | ScaleFontToScreen
 | Scale96ToScreen
 | ScaleScreenTo96
 | AdjustSize
 | AutoSizePhases
 | AutoSizeDelayed
 | AutoSizeDelayedReport
 | AutoSizeDelayedHandle
 | AnchorToNeighbour
 | AnchorParallel
 | AnchorHorizontalCenterTo
 | AnchorVerticalCenterTo
 | AnchorToCompanion
 | AnchorSame
 | AnchorAsAlign
 | AnchorClient
 | AnchoredControlCount
 | SetBounds
 | SetInitialBounds
 | SetBoundsKeepBase
 | GetPreferredSize
 | GetCanvasScaleFactor
 | GetDefaultWidth
 | GetDefaultHeight
 | GetDefaultColor
 | GetColorResolvingParent
 | GetRGBColorResolvingParent
 | GetSidePosition
 | CNPreferredSizeChanged
 | InvalidatePreferredSize
 | GetAnchorsDependingOnParent
 | DisableAutoSizing
 | EnableAutoSizing
 | UpdateBaseBounds
 | WriteLayoutDebugReport
 | AutoAdjustLayout
 | ShouldAutoAdjust
 | FixDesignFontsPPI
 | ScaleFontsPPI
 | Create
 | Destroy
 | BeforeDestruction
 | EditingDone
 | ExecuteDefaultAction
 | ExecuteCancelAction
 | BeginDrag
 | EndDrag
 | BringToFront
 | HasParent
 | GetParentComponent
 | IsParentOf
 | GetTopParent
 | IsVisible
 | IsControlVisible
 | IsEnabled
 | IsParentColor
 | IsParentFont
 | FormIsUpdating
 | IsProcessingPaintMsg
 | Hide
 | Refresh
 | Repaint
 | Invalidate
 | CheckChildClassAllowed
 | CheckNewParent
 | SendToBack
 | SetTempCursor
 | UpdateRolesForForm
 | ActiveDefaultControlChanged
 | GetTextBuf
 | GetTextLen
 | SetTextBuf
 | Perform
 | ScreenToClient
 | ClientToScreen
 | ScreenToControl
 | ControlToScreen
 | ClientToParent
 | ParentToClient
 | GetChildrenRect
 | Show
 | Update
 | HandleObjectShouldBeVisible
 | ParentDestroyingHandle
 | ParentHandlesAllocated
 | InitiateAction
 | ShowHelp
 | HasHelp
 | RemoveAllHandlersOfObject
 | AddHandlerOnResize
 | RemoveHandlerOnResize
 | AddHandlerOnChangeBounds
 | RemoveHandlerOnChangeBounds
 | AddHandlerOnVisibleChanging
 | RemoveHandlerOnVisibleChanging
 | AddHandlerOnVisibleChanged
 | RemoveHandlerOnVisibleChanged
 | AddHandlerOnEnabledChanged
 | RemoveHandlerOnEnableChanging
 | AddHandlerOnKeyDown
 | RemoveHandlerOnKeyDown
 | AddHandlerOnBeforeDestruction
 | RemoveHandlerOnBeforeDestruction
 | AddHandlerOnMouseWheel
 | RemoveHandlerOnMouseWheel
 | UseRightToLeftAlignment
 | UseRightToLeftReading
 | UseRightToLeftScrollBar
 | IsRightToLeft
TLCLComponent
pt | WSRegisterClass
pt | GetWSComponentClass
 | Create
 | Destroy
 | NewInstance
 | RemoveAllHandlersOfObject
 | IncLCLRefCount
 | DecLCLRefCount
TComponent
 | GetComObject
 | GetComponent
 | GetComponentCount
 | GetComponentIndex
 | Insert
 | ReadLeft
 | ReadTop
 | Remove
 | RemoveNotification
 | SetComponentIndex
 | SetReference
 | WriteLeft
 | WriteTop
 | ChangeName
 | DefineProperties
 | GetChildren
 | GetChildOwner
 | GetChildParent
 | GetOwner
 | Loaded
 | Loading
 | Notification
 | PaletteCreated
 | ReadState
 | SetAncestor
 | SetDesigning
 | SetDesignInstance
 | SetInline
 | SetName
 | SetChildOrder
 | SetParentComponent
 | Updating
 | Updated
 | UpdateRegistry
 | ValidateRename
 | ValidateContainer
 | ValidateInsert
 | QueryInterface
 | _AddRef
 | _Release
 | iicrGetComponent
 | GetTypeInfoCount
 | GetTypeInfo
 | GetIDsOfNames
 | Invoke
 | WriteState
 | Create
 | Destroy
 | BeforeDestruction
 | DestroyComponents
 | Destroying
 | ExecuteAction
 | FindComponent
 | FreeNotification
 | RemoveFreeNotification
 | FreeOnRelease
 | GetEnumerator
 | GetNamePath
 | GetParentComponent
 | HasParent
 | InsertComponent
 | RemoveComponent
 | SafeCallException
 | SetSubComponent
 | UpdateAction
 | IsImplementorOf
 | ReferenceInterface
TPersistent
 | AssignError
 | AssignTo
 | DefineProperties
 | GetOwner
 | Destroy
 | Assign
 | FPOAttachObserver
 | FPODetachObserver
 | FPONotifyObservers
 | GetNamePath
TObject
 | Create
 | Destroy
 | newinstance
 | FreeInstance
 | SafeCallException
 | DefaultHandler
 | Free
 | InitInstance
 | CleanupInstance
 | ClassType
 | ClassInfo
 | ClassName
 | ClassNameIs
 | ClassParent
 | InstanceSize
 | InheritsFrom
 | StringMessageTable
 | MethodAddress
 | MethodName
 | FieldAddress
 | AfterConstruction
 | BeforeDestruction
 | DefaultHandlerStr
 | Dispatch
 | DispatchStr
 | GetInterface
 | GetInterfaceByStr
 | GetInterfaceWeak
 | GetInterfaceEntry
 | GetInterfaceEntryByStr
 | GetInterfaceTable
 | UnitName
 | Equals
 | GetHashCode
 | ToString


pt | ActionChange (TControl)
 | ActiveDefaultControlChanged (TControl)
 | AddControl (TWinControl)
pt | AddHandler (TControl)
 | AddHandlerOnBeforeDestruction (TControl)
 | AddHandlerOnChangeBounds (TControl)
 | AddHandlerOnEnabledChanged (TControl)
 | AddHandlerOnKeyDown (TControl)
 | AddHandlerOnMouseWheel (TControl)
 | AddHandlerOnResize (TControl)
 | AddHandlerOnVisibleChanged (TControl)
 | AddHandlerOnVisibleChanging (TControl)
pt | AdjustClientRect (TWinControl)
 | AdjustSize (TControl)
 | AfterConstruction (TObject)
pt | AlignControls (TWinControl)
pt | AllAutoSized (TWinControl)
 | AnchorAsAlign (TControl)
 | AnchorClient (TControl)
 | AnchoredControlCount (TControl)
 | AnchorHorizontalCenterTo (TControl)
 | AnchorParallel (TControl)
 | AnchorSame (TControl)
pt | AnchorSideChanged (TControl)
 | AnchorToCompanion (TControl)
 | AnchorToNeighbour (TControl)
 | AnchorVerticalCenterTo (TControl)
 | Assign (TPersistent)
 | AssignError (TPersistent)
 | AssignTo (TPersistent)
pt | AssignTo (TControl)
 | AutoAdjustLayout (TControl)
 | AutoAdjustLayout (TWinControl)
 | AutoSizeDelayed (TControl)
 | AutoSizeDelayed (TWinControl)
 | AutoSizeDelayedHandle (TControl)
 | AutoSizeDelayedHandle (TWinControl)
 | AutoSizeDelayedReport (TControl)
 | AutoSizeDelayedReport (TWinControl)
 | AutoSizePhases (TControl)
 | AutoSizePhases (TWinControl)
 | BeforeDestruction (TObject)
 | BeforeDestruction (TComponent)
 | BeforeDestruction (TControl)
pt | BeforeDragStart (TControl)
pt | BeginAutoDrag (TControl)
pt | BeginAutoSizing (TControl)
 | BeginDrag (TControl)
 | BeginUpdateBounds (TWinControl)
pt | BoundsChanged (TControl)
 | BringToFront (TControl)
 | BroadCast (TWinControl)
 | BrushCreated (TWinControl)
pt | CalculateDockSizes (TControl)
pt | CalculatePreferredSize (TControl)
pt | CalculatePreferredSize (TWinControl)
pt | CanAutoSize (TControl)
 | CanFocus (TWinControl)
 | CanSetFocus (TWinControl)
pt | CanTab (TControl)
pt | CanTab (TWinControl)
 | CanTab (TCustomPage)
pt | CaptureChanged (TControl)
pt | ChangeBounds (TControl)
pt | Changed (TControl)
 | ChangeName (TComponent)
pt | ChangeScale (TControl)
pt | ChangeScale (TWinControl)
 | CheckChildClassAllowed (TControl)
 | CheckNewParent (TControl)
 | CheckNewParent (TCustomPage)
pt | CheckOnChangeBounds (TControl)
pt | ChildClassAllowed (TControl)
pt | ChildClassAllowed (TWinControl)
pt | ChildHandlesCreated (TWinControl)
pt | ChildKey (TWinControl)
 | ClassInfo (TObject)
 | ClassName (TObject)
 | ClassNameIs (TObject)
 | ClassParent (TObject)
 | ClassType (TObject)
 | CleanupInstance (TObject)
pt | Click (TControl)
 | ClientRectNeedsInterfaceUpdate (TWinControl)
 | ClientToParent (TControl)
 | ClientToScreen (TControl)
pt | CMBiDiModeChanged (TControl)
pt | CMBiDiModeChanged (TWinControl)
pt | CMBorderChanged (TWinControl)
pt | CMChanged (TControl)
pt | CMCursorChanged (TControl)
pt | CMDoubleBufferedChanged (TWinControl)
pt | CMEnabledChanged (TControl)
pt | CMEnabledChanged (TWinControl)
pt | CMEnter (TWinControl)
pt | CMExit (TWinControl)
pt | CMHintShow (TControl)
pt | CMHitTest (TControl)
pt | CMHitTest (TCustomPage)
pt | CMMouseEnter (TControl)
pt | CMMouseLeave (TControl)
pt | CMParentBiDiModeChanged (TControl)
pt | CMParentColorChanged (TControl)
pt | CMParentDoubleBufferedChanged (TWinControl)
pt | CMParentFontChanged (TControl)
pt | CMParentShowHintChanged (TControl)
pt | CMShowHintChanged (TWinControl)
pt | CMShowingChanged (TWinControl)
pt | CMSysFontChanged (TControl)
pt | CMTextChanged (TControl)
pt | CMVisibleChanged (TControl)
pt | CMVisibleChanged (TWinControl)
pt | CMVisibleChanged (TCustomPage)
pt | CNChar (TWinControl)
pt | CNKeyDown (TWinControl)
pt | CNKeyUp (TWinControl)
 | CNPreferredSizeChanged (TControl)
pt | CNSysKeyDown (TWinControl)
pt | CNSysKeyUp (TWinControl)
pt | ColorIsStored (TControl)
pt | ConstrainedResize (TControl)
 | ContainsControl (TWinControl)
 | ControlAtPos (TWinControl)
pt | ControlKeyDown (TWinControl)
pt | ControlKeyUp (TWinControl)
pt | ControlsAligned (TWinControl)
 | ControlToScreen (TControl)
 | Create (TObject)
 | Create (TComponent)
 | Create (TLCLComponent)
 | Create (TControl)
 | Create (TWinControl)
 | Create (TCustomPage)
 | CreateAccessibleObject (TControl)
pt | CreateBrush (TWinControl)
pt | CreateControlBorderSpacing (TControl)
pt | CreateDockManager (TWinControl)
pt | CreateFloatingDockSite (TControl)
pt | CreateHandle (TWinControl)
pt | CreateParams (TWinControl)
 | CreateParented (TWinControl)
 | CreateParentedControl (TWinControl)
pt | CreateSubClass (TWinControl)
pt | CreateWnd (TWinControl)
pt | CustomAlignInsertBefore (TWinControl)
pt | CustomAlignPosition (TWinControl)
pt | DblClick (TControl)
 | DecLCLRefCount (TLCLComponent)
 | DefaultHandler (TObject)
 | DefaultHandler (TWinControl)
 | DefaultHandlerStr (TObject)
 | DefineProperties (TPersistent)
 | DefineProperties (TComponent)
pt | DefineProperties (TControl)
 | Destroy (TObject)
 | Destroy (TPersistent)
 | Destroy (TComponent)
 | Destroy (TLCLComponent)
 | Destroy (TControl)
 | Destroy (TWinControl)
 | DestroyComponents (TComponent)
pt | DestroyHandle (TWinControl)
pt | DestroyHandle (TCustomPage)
 | Destroying (TComponent)
pt | DestroyWnd (TWinControl)
pt | DialogChar (TControl)
pt | DialogChar (TWinControl)
pt | DialogChar (TCustomPage)
 | DisableAlign (TWinControl)
 | DisableAutoSizing (TControl)
 | Dispatch (TObject)
 | DispatchStr (TObject)
pt | DoAddDockClient (TWinControl)
 | DoAdjustClientRectChange (TWinControl)
pt | DoAlignChildControls (TWinControl)
pt | DoAllAutoSize (TControl)
pt | DoAllAutoSize (TWinControl)
pt | DoAutoAdjustLayout (TControl)
pt | DoAutoSize (TControl)
pt | DoAutoSize (TWinControl)
pt | DoBorderSpacingChange (TControl)
pt | DoCallKeyEventHandler (TControl)
pt | DoCallMouseWheelEventHandler (TControl)
pt | DoCallNotifyHandler (TControl)
pt | DoChildSizingChange (TWinControl)
 | Dock (TControl)
 | DockDrop (TWinControl)
 | Docked (TControl)
pt | DockOver (TWinControl)
pt | DockTrackNoTarget (TControl)
pt | DoConstraintsChange (TControl)
pt | DoConstraintsChange (TWinControl)
pt | DoContextPopup (TControl)
pt | DoDock (TControl)
pt | DoDockClientMsg (TWinControl)
pt | DoDockOver (TWinControl)
pt | DoDragMsg (TControl)
pt | DoDragMsg (TWinControl)
pt | DoEndDock (TControl)
pt | DoEndDrag (TControl)
pt | DoEnter (TWinControl)
pt | DoExit (TWinControl)
pt | DoFixDesignFontPPI (TControl)
pt | DoFlipChildren (TWinControl)
pt | DoFloatMsg (TControl)
pt | DoFloatMsg (TWinControl)
pt | DoGetDockCaption (TWinControl)
pt | DoHide (TCustomPage)
pt | DoKeyDownBeforeInterface (TWinControl)
pt | DoKeyPress (TWinControl)
pt | DoKeyUpBeforeInterface (TWinControl)
pt | DoMouseWheel (TControl)
pt | DoMouseWheelDown (TControl)
pt | DoMouseWheelHorz (TControl)
pt | DoMouseWheelLeft (TControl)
pt | DoMouseWheelRight (TControl)
pt | DoMouseWheelUp (TControl)
pt | DoOnChangeBounds (TControl)
pt | DoOnParentHandleDestruction (TControl)
pt | DoOnResize (TControl)
pt | DoOnShowHint (TControl)
pt | DoRemainingKeyDown (TWinControl)
pt | DoRemainingKeyUp (TWinControl)
pt | DoRemoveDockClient (TWinControl)
pt | DoScaleFontPPI (TControl)
pt | DoSendBoundsToInterface (TWinControl)
pt | DoSendShowHideToInterface (TWinControl)
pt | DoSetBounds (TControl)
pt | DoSetBounds (TWinControl)
pt | DoShow (TCustomPage)
pt | DoStartDock (TControl)
pt | DoStartDrag (TControl)
pt | DoUnDock (TWinControl)
pt | DoUndockClientMsg (TWinControl)
pt | DoUTF8KeyPress (TWinControl)
pt | DragCanceled (TControl)
 | DragDrop (TControl)
 | Dragging (TControl)
pt | DragOver (TControl)
 | EditingDone (TControl)
 | EnableAlign (TWinControl)
 | EnableAutoSizing (TControl)
pt | EnabledChanged (TControl)
pt | EnabledChanging (TControl)
pt | EndAutoSizing (TControl)
 | EndDrag (TControl)
 | EndUpdateBounds (TWinControl)
 | Equals (TObject)
 | EraseBackground (TWinControl)
 | ExecuteAction (TComponent)
 | ExecuteCancelAction (TControl)
 | ExecuteDefaultAction (TControl)
 | FieldAddress (TObject)
pt | FinalizeWnd (TWinControl)
 | FindChildControl (TWinControl)
 | FindComponent (TComponent)
pt | FindNextControl (TWinControl)
 | FixDesignFontsPPI (TControl)
pt | FixupTabList (TWinControl)
 | FlipChildren (TWinControl)
 | Focused (TWinControl)
pt | FontChanged (TControl)
pt | FontChanged (TWinControl)
pt | ForeignAnchorSideChanged (TControl)
pt | FormEndUpdated (TControl)
pt | FormEndUpdated (TWinControl)
 | FormIsUpdating (TControl)
 | FPOAttachObserver (TPersistent)
 | FPODetachObserver (TPersistent)
 | FPONotifyObservers (TPersistent)
 | Free (TObject)
 | FreeInstance (TObject)
 | FreeNotification (TComponent)
 | FreeOnRelease (TComponent)
 | GetAccessibleObject (TControl)
pt | GetAction (TControl)
pt | GetActionLinkClass (TControl)
pt | GetAdjustedLogicalClientRect (TWinControl)
 | GetAnchorsDependingOnParent (TControl)
pt | GetBorderStyle (TWinControl)
pt | GetCachedText (TControl)
 | GetCanvasScaleFactor (TControl)
 | GetChildAccessibleObjectAtPos (TControl)
 | GetChildOwner (TComponent)
 | GetChildParent (TComponent)
 | GetChildren (TComponent)
pt | GetChildren (TWinControl)
 | GetChildrenRect (TControl)
 | GetChildrenRect (TWinControl)
pt | GetClientOrigin (TControl)
pt | GetClientOrigin (TWinControl)
pt | GetClientRect (TControl)
pt | GetClientRect (TWinControl)
pt | GetClientScrollOffset (TControl)
 | GetColorResolvingParent (TControl)
 | GetComObject (TComponent)
 | GetComponent (TComponent)
 | GetComponentCount (TComponent)
 | GetComponentIndex (TComponent)
pt | GetControlClassDefaultSize (TControl)
 | GetControlIndex (TWinControl)
pt | GetControlOrigin (TControl)
pt | GetControlOrigin (TWinControl)
pt | GetCursor (TControl)
 | GetDefaultColor (TControl)
pt | GetDefaultDockCaption (TControl)
 | GetDefaultHeight (TControl)
 | GetDefaultWidth (TControl)
pt | GetDeviceContext (TControl)
pt | GetDeviceContext (TWinControl)
 | GetDockCaption (TWinControl)
pt | GetDockEdge (TControl)
pt | GetDragImages (TControl)
pt | GetEnabled (TControl)
 | GetEnumerator (TComponent)
 | GetEnumeratorControls (TWinControl)
 | GetEnumeratorControlsReverse (TWinControl)
pt | GetFloating (TControl)
pt | GetFloatingDockSiteClass (TControl)
 | GetHashCode (TObject)
 | GetIDsOfNames (TComponent)
 | GetInterface (TObject)
 | GetInterfaceByStr (TObject)
 | GetInterfaceEntry (TObject)
 | GetInterfaceEntryByStr (TObject)
 | GetInterfaceTable (TObject)
 | GetInterfaceWeak (TObject)
pt | GetLogicalClientRect (TControl)
pt | GetMouseCapture (TControl)
pt | GetMouseCapture (TWinControl)
pt | GetMousePosFromMessage (TControl)
 | GetNamePath (TPersistent)
 | GetNamePath (TComponent)
 | GetOwner (TPersistent)
 | GetOwner (TComponent)
pt | GetPageIndex (TCustomPage)
pt | GetPalette (TControl)
pt | GetParentBackground (TWinControl)
 | GetParentComponent (TComponent)
 | GetParentComponent (TControl)
pt | GetParentHandle (TWinControl)
pt | GetPopupMenu (TControl)
 | GetPreferredSize (TControl)
pt | GetPreferredSizeClientFrame (TWinControl)
 | GetRGBColorResolvingParent (TControl)
pt | GetScrolledClientRect (TControl)
 | GetSelectedChildAccessibleObject (TControl)
 | GetSidePosition (TControl)
pt | GetSiteInfo (TWinControl)
 | GetTabOrderList (TWinControl)
pt | GetTabVisible (TCustomPage)
 | GetTextBuf (TControl)
 | GetTextLen (TControl)
 | GetTextLen (TWinControl)
 | GetTopParent (TControl)
pt | GetTopParentHandle (TWinControl)
 | GetTypeInfo (TComponent)
 | GetTypeInfoCount (TComponent)
pt | GetWSComponentClass (TLCLComponent)
 | HandleAllocated (TWinControl)
 | HandleNeeded (TWinControl)
 | HandleObjectShouldBeVisible (TControl)
 | HandleObjectShouldBeVisible (TCustomPage)
 | HasHelp (TControl)
 | HasParent (TComponent)
 | HasParent (TControl)
pt | HeightIsAnchored (TControl)
 | Hide (TControl)
 | iicrGetComponent (TComponent)
 | IncLCLRefCount (TLCLComponent)
 | InheritsFrom (TObject)
pt | InitializeWnd (TWinControl)
 | InitiateAction (TControl)
 | InitInstance (TObject)
 | Insert (TComponent)
 | InsertComponent (TComponent)
 | InsertControl (TWinControl)
 | InsertControl (TLazDockPage)
 | InstanceSize (TObject)
 | IntfGetDropFilesTarget (TWinControl)
 | IntfUTF8KeyPress (TWinControl)
 | Invalidate (TControl)
 | Invalidate (TWinControl)
pt | InvalidateBoundsRealized (TWinControl)
 | InvalidateClientRectCache (TWinControl)
pt | InvalidateControl (TControl)
pt | InvalidatePreferredChildSizes (TWinControl)
 | InvalidatePreferredSize (TControl)
 | Invoke (TComponent)
pt | IsAParentAligning (TControl)
pt | IsBorderSpacingInnerBorderStored (TControl)
pt | IsCaptionStored (TControl)
pt | IsClientHeightStored (TControl)
pt | IsClientHeightStored (TWinControl)
pt | IsClientWidthStored (TControl)
pt | IsClientWidthStored (TWinControl)
pt | IsControlMouseMsg (TWinControl)
 | IsControlVisible (TControl)
 | IsControlVisible (TCustomPage)
 | IsEnabled (TControl)
 | IsImplementorOf (TComponent)
 | IsParentColor (TControl)
 | IsParentFont (TControl)
 | IsParentOf (TControl)
 | IsProcessingPaintMsg (TControl)
 | IsRightToLeft (TControl)
 | IsVisible (TControl)
pt | KeyDown (TWinControl)
pt | KeyDownAfterInterface (TWinControl)
pt | KeyDownBeforeInterface (TWinControl)
pt | KeyPress (TWinControl)
pt | KeyUp (TWinControl)
pt | KeyUpAfterInterface (TWinControl)
pt | KeyUpBeforeInterface (TWinControl)
pt | LMCaptureChanged (TControl)
 | Loaded (TComponent)
pt | Loaded (TControl)
pt | Loaded (TWinControl)
pt | LoadedAll (TControl)
 | Loading (TComponent)
 | LockRealizeBounds (TWinControl)
pt | MainWndProc (TWinControl)
 | ManualDock (TControl)
 | ManualFloat (TControl)
 | MethodAddress (TObject)
 | MethodName (TObject)
pt | MouseDown (TControl)
pt | MouseEnter (TControl)
pt | MouseLeave (TControl)
pt | MouseMove (TControl)
pt | MouseUp (TControl)
 | newinstance (TObject)
 | NewInstance (TLCLComponent)
 | Notification (TComponent)
pt | Notification (TControl)
 | NotifyControls (TWinControl)
pt | PaintControls (TWinControl)
pt | PaintHandler (TWinControl)
 | PaintTo (TWinControl)
pt | PaintWindow (TWinControl)
 | PaletteCreated (TComponent)
 | ParentDestroyingHandle (TControl)
pt | ParentFontChanged (TControl)
pt | ParentFormHandleInitialized (TControl)
pt | ParentFormHandleInitialized (TWinControl)
 | ParentHandlesAllocated (TControl)
 | ParentHandlesAllocated (TWinControl)
 | ParentToClient (TControl)
 | Perform (TControl)
 | PerformTab (TWinControl)
pt | PositionDockRect (TControl)
pt | QuadClick (TControl)
 | QueryInterface (TComponent)
 | ReadLeft (TComponent)
 | ReadState (TComponent)
pt | ReadState (TControl)
 | ReadTop (TComponent)
pt | RealGetText (TControl)
pt | RealGetText (TWinControl)
 | ReAlign (TWinControl)
pt | RealizeBounds (TWinControl)
pt | RealizeBoundsRecursive (TWinControl)
pt | RealSetText (TControl)
pt | RealSetText (TWinControl)
pt | RealSetText (TCustomPage)
 | ReferenceInterface (TComponent)
 | Refresh (TControl)
pt | ReloadDockedControl (TWinControl)
 | Remove (TComponent)
 | RemoveAllHandlersOfObject (TLCLComponent)
 | RemoveAllHandlersOfObject (TControl)
 | RemoveComponent (TComponent)
 | RemoveControl (TWinControl)
pt | RemoveFocus (TWinControl)
 | RemoveFreeNotification (TComponent)
pt | RemoveHandler (TControl)
 | RemoveHandlerOnBeforeDestruction (TControl)
 | RemoveHandlerOnChangeBounds (TControl)
 | RemoveHandlerOnEnableChanging (TControl)
 | RemoveHandlerOnKeyDown (TControl)
 | RemoveHandlerOnMouseWheel (TControl)
 | RemoveHandlerOnResize (TControl)
 | RemoveHandlerOnVisibleChanged (TControl)
 | RemoveHandlerOnVisibleChanging (TControl)
 | RemoveNotification (TComponent)
 | Repaint (TControl)
 | Repaint (TWinControl)
 | ReplaceDockedControl (TControl)
pt | RequestAlign (TControl)
pt | Resize (TControl)
 | SafeCallException (TObject)
 | SafeCallException (TComponent)
 | Scale96ToFont (TControl)
 | Scale96ToForm (TControl)
 | Scale96ToScreen (TControl)
 | ScaleBy (TWinControl)
pt | ScaleConstraints (TControl)
pt | ScaleControls (TWinControl)
 | ScaleDesignToForm (TControl)
 | ScaleFontsPPI (TControl)
 | ScaleFontTo96 (TControl)
 | ScaleFontToScreen (TControl)
 | ScaleFormTo96 (TControl)
 | ScaleFormToDesign (TControl)
 | ScaleScreenTo96 (TControl)
 | ScaleScreenToFont (TControl)
 | ScreenToClient (TControl)
 | ScreenToControl (TControl)
 | ScrollBy (TWinControl)
 | ScrollBy_WS (TWinControl)
pt | SelectFirst (TWinControl)
 | SelectNext (TWinControl)
pt | SendDialogChar (TWinControl)
pt | SendMoveSizeMessages (TControl)
pt | SendMoveSizeMessages (TWinControl)
 | SendToBack (TControl)
pt | SetAction (TControl)
pt | SetAlign (TControl)
 | SetAncestor (TComponent)
pt | SetAnchors (TControl)
pt | SetAutoSize (TControl)
pt | SetBiDiMode (TControl)
pt | SetBorderStyle (TWinControl)
 | SetBounds (TControl)
 | SetBounds (TWinControl)
 | SetBoundsKeepBase (TControl)
 | SetChildOrder (TComponent)
pt | SetChildZPosition (TWinControl)
pt | SetColor (TControl)
pt | SetColor (TWinControl)
 | SetComponentIndex (TComponent)
 | SetControlIndex (TWinControl)
pt | SetCursor (TControl)
 | SetDesigning (TComponent)
 | SetDesignInstance (TComponent)
pt | SetDockManager (TWinControl)
pt | SetDragMode (TControl)
pt | SetEnabled (TControl)
 | SetFocus (TWinControl)
pt | SetHint (TControl)
 | SetInitialBounds (TControl)
 | SetInline (TComponent)
 | SetName (TComponent)
pt | SetName (TControl)
pt | SetPageIndex (TCustomPage)
pt | SetParent (TControl)
pt | SetParent (TCustomPage)
pt | SetParentBackground (TWinControl)
pt | SetParentBiDiMode (TControl)
 | SetParentComponent (TComponent)
pt | SetParentComponent (TControl)
 | SetReference (TComponent)
 | SetShape (TWinControl)
 | SetSubComponent (TComponent)
 | SetTempCursor (TControl)
 | SetTempCursor (TWinControl)
 | SetTextBuf (TControl)
pt | SetVisible (TControl)
pt | SetZOrder (TControl)
 | ShouldAutoAdjust (TControl)
 | Show (TControl)
pt | ShowControl (TWinControl)
 | ShowHelp (TControl)
 | StringMessageTable (TObject)
pt | TextChanged (TControl)
 | ToString (TObject)
pt | TripleClick (TControl)
 | UnitName (TObject)
 | UnlockRealizeBounds (TWinControl)
 | Update (TControl)
 | Update (TWinControl)
 | UpdateAction (TComponent)
pt | UpdateAnchorRules (TControl)
 | UpdateBaseBounds (TControl)
pt | UpdateControlState (TWinControl)
 | Updated (TComponent)
 | UpdateDockCaption (TWinControl)
pt | UpdateMouseCursor (TControl)
 | UpdateRegistry (TComponent)
 | UpdateRolesForForm (TControl)
pt | UpdateShowing (TWinControl)
 | Updating (TComponent)
 | UseRightToLeftAlignment (TControl)
 | UseRightToLeftReading (TControl)
 | UseRightToLeftScrollBar (TControl)
pt | UTF8KeyPress (TWinControl)
 | ValidateContainer (TComponent)
 | ValidateInsert (TComponent)
 | ValidateRename (TComponent)
pt | VisibleChanged (TControl)
pt | VisibleChanging (TControl)
 | VisibleIndex (TCustomPage)
pt | WidthIsAnchored (TControl)
pt | WMCancelMode (TControl)
pt | WMChar (TWinControl)
pt | WMContextMenu (TControl)
pt | WMContextMenu (TWinControl)
pt | WMDestroy (TWinControl)
pt | WMEnter (TWinControl)
pt | WMEraseBkgnd (TWinControl)
pt | WMExit (TWinControl)
pt | WMKeyDown (TWinControl)
pt | WMKeyUp (TWinControl)
pt | WMKillFocus (TWinControl)
pt | WMLButtonDBLCLK (TControl)
pt | WMLButtonDown (TControl)
pt | WMLButtonQuadCLK (TControl)
pt | WMLButtonTripleCLK (TControl)
pt | WMLButtonUp (TControl)
pt | WMMButtonDBLCLK (TControl)
pt | WMMButtonDown (TControl)
pt | WMMButtonQuadCLK (TControl)
pt | WMMButtonTripleCLK (TControl)
pt | WMMButtonUp (TControl)
pt | WMMouseHWheel (TControl)
pt | WMMouseMove (TControl)
pt | WMMouseWheel (TControl)
pt | WMMove (TControl)
pt | WMMove (TWinControl)
pt | WMNotify (TWinControl)
pt | WMPaint (TWinControl)
pt | WMPaint (TCustomPage)
pt | WMRButtonDBLCLK (TControl)
pt | WMRButtonDown (TControl)
pt | WMRButtonQuadCLK (TControl)
pt | WMRButtonTripleCLK (TControl)
pt | WMRButtonUp (TControl)
pt | WMSetFocus (TWinControl)
pt | WMShowWindow (TWinControl)
pt | WMSize (TControl)
pt | WMSize (TWinControl)
pt | WMSysChar (TWinControl)
pt | WMSysKeyDown (TWinControl)
pt | WMSysKeyUp (TWinControl)
pt | WMWindowPosChanged (TControl)
pt | WMWindowPosChanged (TWinControl)
pt | WMXButtonDBLCLK (TControl)
pt | WMXButtonDown (TControl)
pt | WMXButtonQuadCLK (TControl)
pt | WMXButtonTripleCLK (TControl)
pt | WMXButtonUp (TControl)
pt | WndProc (TControl)
pt | WndProc (TWinControl)
 | WriteLayoutDebugReport (TControl)
 | WriteLayoutDebugReport (TWinControl)
 | WriteLeft (TComponent)
 | WriteState (TComponent)
 | WriteTop (TComponent)
pt | WSRegisterClass (TLCLComponent)
pt | WSRegisterClass (TControl)
pt | WSRegisterClass (TWinControl)
pt | WSRegisterClass (TCustomPage)
pt | WSSetText (TWinControl)
 | _AddRef (TComponent)
 | _Release (TComponent)


TLazDockPage
TCustomPage
 | OnHide
 | OnShow
TWinControl
pt | OnGetSiteInfo
pt | OnGetDockCaption
 | OnAlignInsertBefore
 | OnAlignPosition
 | OnDockDrop
 | OnDockOver
 | OnEnter
 | OnExit
 | OnKeyDown
 | OnKeyPress
 | OnKeyUp
 | OnUnDock
 | OnUTF8KeyPress
TControl
pt | OnConstrainedResize
pt | OnContextPopup
pt | OnDblClick
pt | OnTripleClick
pt | OnQuadClick
pt | OnDragDrop
pt | OnDragOver
pt | OnEndDock
pt | OnEndDrag
pt | OnMouseDown
pt | OnMouseMove
pt | OnMouseUp
pt | OnMouseEnter
pt | OnMouseLeave
pt | OnMouseWheel
pt | OnMouseWheelDown
pt | OnMouseWheelUp
pt | OnMouseWheelHorz
pt | OnMouseWheelLeft
pt | OnMouseWheelRight
pt | OnStartDock
pt | OnStartDrag
pt | OnEditingDone
 | OnChangeBounds
 | OnClick
 | OnResize
 | OnShowHint
TLCLComponent
TComponent
TPersistent
TObject


TLazDockPage.DockZone

The DockZone in which this page is located

Declaration

Source position: ldocktree.pas line 159

public property TLazDockPage.DockZone : TDockZone
  read FDockZone;


TLazDockPage.InsertControl

InsertControl - calls inherited method, then ensures that all parents recognise the MainControl

Declaration

Source position: ldocktree.pas line 158

public procedure TLazDockPage.InsertControl(

  AControl: TControl;

  Index: Integer

); override;

See also

TWinControl.InsertControl

Insert control into Controls[].


TLazDockPage.PageControl

The PageControl or notebook in which this page is located (its parent)

Declaration

Source position: ldocktree.pas line 160

public property TLazDockPage.PageControl : TLazDockPages
  read GetPageControl;


TLazDockPages

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

TLazDockPages a notebook in which each page is a TLazDockPage

Declaration

Source position: ldocktree.pas line 166

type TLazDockPages = class(TCustomTabControl)
protected
function GetFloatingDockSiteClass; override; | GetFloatingDockSiteClass - returns a default class of TLazDockForm, overriding the inherited value
procedure Change; override; | Change - calls inherited method, then ensures that all parents recognise MainControl
public
constructor Create(); override; | Create - constructor for TLazDockPages: sets PageClass as TLazDockPage, then calls inherited Create
property Page []: TLazDockPage; [r] | Page - an individual TLazDockPage in the notebook, referred by its Index
property ActivePageComponent: TLazDockPage; [rw] |
property Pages: TStrings; |
end;

Inheritance

TLazDockPages | TLazDockPages a notebook in which each page is a TLazDockPage
|
TCustomTabControl | TCustomTabControl - base class for TTabControl, a series of Tabs along the edge of a display area; selection of a Tab governs the contents of the DisplayRect
|
TWinControl | The base class for controls which can contain other (child) controls.
|
TControl | The base class for visible controls.
|
TLCLComponent | The base class for LCL components associated with widgets.
|
TComponent,IUnknown,IInterfaceComponentReference
|
TPersistent,IFPObserved
|
TObject


TLazDockPages
 | ro | Page
 |  | ActivePageComponent
 | ro | Pages
TCustomTabControl
pt |  | ActivePageComponent
pt |  | ActivePage
pt | ro | DisplayRect
pt |  | HotTrack
pt |  | MultiSelect
pt |  | OwnerDraw
pt |  | RaggedRight
pt |  | ScrollOpposite
pt |  | Style
pt |  | Tabs
pt |  | TabIndex
 |  | Images
 |  | ImagesWidth
 |  | MultiLine
 |  | Options
 | ro | Page
 | ro | PageCount
 |  | PageIndex
 |  | Pages
 |  | ShowTabs
 |  | TabHeight
 |  | TabPosition
 |  | TabWidth
pl | ro | TabStop
TWinControl
pt |  | WindowHandle
pt |  | BorderStyle
pt |  | ParentBackground
 |  | BorderWidth
 | ro | BoundsLockCount
 | ro | Brush
 | ro | CachedClientHeight
 | ro | CachedClientWidth
 |  | ChildSizing
 | ro | ControlCount
 | ro | Controls
 |  | DefWndProc
 | ro | DockClientCount
 | ro | DockClients
 |  | DockManager
 |  | DockSite
 |  | DoubleBuffered
 |  | Handle
 | ro | IsFlipped
 | ro | IsResizing
 |  | TabOrder
 |  | TabStop
 |  | ParentDoubleBuffered
 |  | ParentWindow
 | ro | Showing
 |  | UseDockManager
 |  | DesignerDeleting
 | ro | VisibleDockClientCount
TControl
pt | ro | AutoSizing
pt | ro | AutoSizingAll
pt | ro | AutoSizingLockCount
pt |  | ActionLink
pt |  | DesktopFont
pt |  | DragCursor
pt |  | DragKind
pt |  | DragMode
pt |  | MouseCapture
pt |  | ParentColor
pt |  | ParentFont
pt |  | ParentShowHint
pt |  | SessionProperties
pt |  | Text
 | ro | AnchoredControls
 | ro | BaseBounds
 | ro | ReadBounds
 | ro | BaseParentClientSize
 |  | AccessibleDescription
 |  | AccessibleValue
 |  | AccessibleRole
 |  | Action
 |  | Align
 |  | Anchors
 | ro | AnchorSide
 |  | AutoSize
 |  | BorderSpacing
 |  | BoundsRect
 |  | BoundsRectForNewParent
 |  | Caption
 |  | CaptureMouseButtons
 |  | ClientHeight
 | ro | ClientOrigin
 | ro | ClientRect
 |  | ClientWidth
 |  | Color
 |  | Constraints
 | ro | ControlOrigin
 |  | ControlState
 |  | ControlStyle
 |  | Enabled
 |  | Font
 |  | IsControl
 | ro | MouseEntered
 | ro | MouseInClient
 |  | Parent
 |  | PopupMenu
 |  | ShowHint
 |  | Visible
 |  | WindowProc
 |  | DockOrientation
 | ro | Floating
 |  | FloatingDockSiteClass
 |  | HostDockSite
 |  | LRDockWidth
 |  | TBDockHeight
 |  | UndockHeight
 |  | UndockWidth
 |  | BiDiMode
 |  | ParentBiDiMode
pl |  | AnchorSideLeft
pl |  | AnchorSideTop
pl |  | AnchorSideRight
pl |  | AnchorSideBottom
pl |  | Cursor
pl |  | Left
pl |  | Height
pl |  | Hint
pl |  | Top
pl |  | Width
pl |  | HelpType
pl |  | HelpKeyword
pl |  | HelpContext
TLCLComponent
 | ro | LCLRefCount
 | ro | WidgetSetClass
TComponent
 | ro | ComObject
 | ro | Components
 | ro | ComponentCount
 |  | ComponentIndex
 | ro | ComponentState
 | ro | ComponentStyle
 |  | DesignInfo
 | ro | Owner
 |  | VCLComObject
 |  | Name
 |  | Tag
TPersistent
TObject


 |  | AccessibleDescription (TControl)
 |  | AccessibleRole (TControl)
 |  | AccessibleValue (TControl)
 |  | Action (TControl)
pt |  | ActionLink (TControl)
pt |  | ActivePage (TCustomTabControl)
pt |  | ActivePageComponent (TCustomTabControl)
 |  | ActivePageComponent (TLazDockPages)
 |  | Align (TControl)
 | ro | AnchoredControls (TControl)
 |  | Anchors (TControl)
 | ro | AnchorSide (TControl)
pl |  | AnchorSideBottom (TControl)
pl |  | AnchorSideLeft (TControl)
pl |  | AnchorSideRight (TControl)
pl |  | AnchorSideTop (TControl)
 |  | AutoSize (TControl)
pt | ro | AutoSizing (TControl)
pt | ro | AutoSizingAll (TControl)
pt | ro | AutoSizingLockCount (TControl)
 | ro | BaseBounds (TControl)
 | ro | BaseParentClientSize (TControl)
 |  | BiDiMode (TControl)
 |  | BorderSpacing (TControl)
pt |  | BorderStyle (TWinControl)
 |  | BorderWidth (TWinControl)
 | ro | BoundsLockCount (TWinControl)
 |  | BoundsRect (TControl)
 |  | BoundsRectForNewParent (TControl)
 | ro | Brush (TWinControl)
 | ro | CachedClientHeight (TWinControl)
 | ro | CachedClientWidth (TWinControl)
 |  | Caption (TControl)
 |  | CaptureMouseButtons (TControl)
 |  | ChildSizing (TWinControl)
 |  | ClientHeight (TControl)
 | ro | ClientOrigin (TControl)
 | ro | ClientRect (TControl)
 |  | ClientWidth (TControl)
 |  | Color (TControl)
 | ro | ComObject (TComponent)
 | ro | ComponentCount (TComponent)
 |  | ComponentIndex (TComponent)
 | ro | Components (TComponent)
 | ro | ComponentState (TComponent)
 | ro | ComponentStyle (TComponent)
 |  | Constraints (TControl)
 | ro | ControlCount (TWinControl)
 | ro | ControlOrigin (TControl)
 | ro | Controls (TWinControl)
 |  | ControlState (TControl)
 |  | ControlStyle (TControl)
pl |  | Cursor (TControl)
 |  | DefWndProc (TWinControl)
 |  | DesignerDeleting (TWinControl)
 |  | DesignInfo (TComponent)
pt |  | DesktopFont (TControl)
pt | ro | DisplayRect (TCustomTabControl)
 | ro | DockClientCount (TWinControl)
 | ro | DockClients (TWinControl)
 |  | DockManager (TWinControl)
 |  | DockOrientation (TControl)
 |  | DockSite (TWinControl)
 |  | DoubleBuffered (TWinControl)
pt |  | DragCursor (TControl)
pt |  | DragKind (TControl)
pt |  | DragMode (TControl)
 |  | Enabled (TControl)
 | ro | Floating (TControl)
 |  | FloatingDockSiteClass (TControl)
 |  | Font (TControl)
 |  | Handle (TWinControl)
pl |  | Height (TControl)
pl |  | HelpContext (TControl)
pl |  | HelpKeyword (TControl)
pl |  | HelpType (TControl)
pl |  | Hint (TControl)
 |  | HostDockSite (TControl)
pt |  | HotTrack (TCustomTabControl)
 |  | Images (TCustomTabControl)
 |  | ImagesWidth (TCustomTabControl)
 |  | IsControl (TControl)
 | ro | IsFlipped (TWinControl)
 | ro | IsResizing (TWinControl)
 | ro | LCLRefCount (TLCLComponent)
pl |  | Left (TControl)
 |  | LRDockWidth (TControl)
pt |  | MouseCapture (TControl)
 | ro | MouseEntered (TControl)
 | ro | MouseInClient (TControl)
 |  | MultiLine (TCustomTabControl)
pt |  | MultiSelect (TCustomTabControl)
 |  | Name (TComponent)
 |  | Options (TCustomTabControl)
 | ro | Owner (TComponent)
pt |  | OwnerDraw (TCustomTabControl)
 | ro | Page (TCustomTabControl)
 | ro | Page (TLazDockPages)
 | ro | PageCount (TCustomTabControl)
 |  | PageIndex (TCustomTabControl)
 |  | Pages (TCustomTabControl)
 | ro | Pages (TLazDockPages)
 |  | Parent (TControl)
pt |  | ParentBackground (TWinControl)
 |  | ParentBiDiMode (TControl)
pt |  | ParentColor (TControl)
 |  | ParentDoubleBuffered (TWinControl)
pt |  | ParentFont (TControl)
pt |  | ParentShowHint (TControl)
 |  | ParentWindow (TWinControl)
 |  | PopupMenu (TControl)
pt |  | RaggedRight (TCustomTabControl)
 | ro | ReadBounds (TControl)
pt |  | ScrollOpposite (TCustomTabControl)
pt |  | SessionProperties (TControl)
 |  | ShowHint (TControl)
 | ro | Showing (TWinControl)
 |  | ShowTabs (TCustomTabControl)
pt |  | Style (TCustomTabControl)
 |  | TabHeight (TCustomTabControl)
pt |  | TabIndex (TCustomTabControl)
 |  | TabOrder (TWinControl)
 |  | TabPosition (TCustomTabControl)
pt |  | Tabs (TCustomTabControl)
 |  | TabStop (TWinControl)
pl | ro | TabStop (TCustomTabControl)
 |  | TabWidth (TCustomTabControl)
 |  | Tag (TComponent)
 |  | TBDockHeight (TControl)
pt |  | Text (TControl)
pl |  | Top (TControl)
 |  | UndockHeight (TControl)
 |  | UndockWidth (TControl)
 |  | UseDockManager (TWinControl)
 |  | VCLComObject (TComponent)
 |  | Visible (TControl)
 | ro | VisibleDockClientCount (TWinControl)
 | ro | WidgetSetClass (TLCLComponent)
pl |  | Width (TControl)
pt |  | WindowHandle (TWinControl)
 |  | WindowProc (TControl)


TLazDockPages
pt | GetFloatingDockSiteClass
pt | Change
 | Create
TCustomTabControl
pt | DoAutoAdjustLayout
pt | GetPageClass
pt | GetListClass
pt | SetOptions
pt | AddRemovePageHandle
pt | CNNotify
pt | WSRegisterClass
pt | CreateWnd
pt | Loaded
pt | DoChange
pt | InitializeWnd
pt | Change
pt | KeyDown
pt | ReadState
pt | DialogChar
pt | InternalSetPageIndex
pt | ShowControl
pt | IndexOfTabAt
pt | IndexOfPageAt
pt | UpdateTabProperties
pt | GetControlClassDefaultSize
pt | Notification
pt | GetPage
pt | GetPageCount
pt | InsertPage
pt | RemovePage
pt | CanChange
 | Create
 | Destroy
 | TabRect
 | GetImageIndex
 | IndexOf
 | CustomPage
 | CanChangePageIndex
 | GetMinimumTabWidth
 | GetMinimumTabHeight
 | GetCapabilities
 | TabToPageIndex
 | PageToTabIndex
 | DoCloseTabClicked
TWinControl
pt | WSRegisterClass
pt | AdjustClientRect
pt | GetAdjustedLogicalClientRect
pt | AlignControls
pt | CustomAlignInsertBefore
pt | CustomAlignPosition
pt | DoAlignChildControls
pt | DoChildSizingChange
pt | InvalidatePreferredChildSizes
pt | CanTab
pt | IsClientHeightStored
pt | IsClientWidthStored
pt | DoSendShowHideToInterface
pt | ControlsAligned
pt | DoSendBoundsToInterface
pt | RealizeBounds
pt | RealizeBoundsRecursive
pt | InvalidateBoundsRealized
pt | CreateSubClass
pt | DoConstraintsChange
pt | DoSetBounds
pt | DoAutoSize
pt | DoAllAutoSize
pt | AllAutoSized
pt | CalculatePreferredSize
pt | GetPreferredSizeClientFrame
pt | GetChildren
pt | ChildClassAllowed
pt | PaintControls
pt | PaintHandler
pt | PaintWindow
pt | CreateBrush
pt | ScaleControls
pt | ChangeScale
pt | CMBiDiModeChanged
pt | CMBorderChanged
pt | CMDoubleBufferedChanged
pt | CMEnabledChanged
pt | CMParentDoubleBufferedChanged
pt | CMShowingChanged
pt | CMShowHintChanged
pt | CMVisibleChanged
pt | CMEnter
pt | CMExit
pt | WMContextMenu
pt | WMEraseBkgnd
pt | WMNotify
pt | WMSetFocus
pt | WMKillFocus
pt | WMShowWindow
pt | WMEnter
pt | WMExit
pt | WMKeyDown
pt | WMSysKeyDown
pt | WMKeyUp
pt | WMSysKeyUp
pt | WMChar
pt | WMSysChar
pt | WMPaint
pt | WMDestroy
pt | WMMove
pt | WMSize
pt | WMWindowPosChanged
pt | CNKeyDown
pt | CNSysKeyDown
pt | CNKeyUp
pt | CNSysKeyUp
pt | CNChar
pt | DoDragMsg
pt | DoDockClientMsg
pt | DoUndockClientMsg
pt | DoAddDockClient
pt | DockOver
pt | DoDockOver
pt | DoRemoveDockClient
pt | DoUnDock
pt | GetSiteInfo
pt | GetParentHandle
pt | GetTopParentHandle
pt | ReloadDockedControl
pt | CreateDockManager
pt | SetDockManager
pt | DoFloatMsg
pt | DoGetDockCaption
pt | DoEnter
pt | DoExit
pt | DoKeyDownBeforeInterface
pt | DoRemainingKeyDown
pt | DoRemainingKeyUp
pt | DoKeyPress
pt | DoUTF8KeyPress
pt | DoKeyUpBeforeInterface
pt | ChildKey
pt | SendDialogChar
pt | DialogChar
pt | ControlKeyDown
pt | ControlKeyUp
pt | KeyDown
pt | KeyDownBeforeInterface
pt | KeyDownAfterInterface
pt | KeyPress
pt | KeyUp
pt | KeyUpBeforeInterface
pt | KeyUpAfterInterface
pt | UTF8KeyPress
pt | FindNextControl
pt | SelectFirst
pt | RealGetText
pt | GetBorderStyle
pt | GetClientOrigin
pt | GetClientRect
pt | GetControlOrigin
pt | GetDeviceContext
pt | GetParentBackground
pt | IsControlMouseMsg
pt | CreateHandle
pt | CreateParams
pt | CreateWnd
pt | DestroyHandle
pt | DestroyWnd
pt | DoFlipChildren
pt | FinalizeWnd
pt | FixupTabList
pt | FontChanged
pt | InitializeWnd
pt | Loaded
pt | FormEndUpdated
pt | MainWndProc
pt | ParentFormHandleInitialized
pt | ChildHandlesCreated
pt | GetMouseCapture
pt | RealSetText
pt | RemoveFocus
pt | SendMoveSizeMessages
pt | SetBorderStyle
pt | SetColor
pt | SetChildZPosition
pt | SetParentBackground
pt | ShowControl
pt | UpdateControlState
pt | UpdateShowing
pt | WndProc
pt | WSSetText
 | AutoSizePhases
 | AutoSizeDelayed
 | AutoSizeDelayedReport
 | AutoSizeDelayedHandle
 | BeginUpdateBounds
 | EndUpdateBounds
 | LockRealizeBounds
 | UnlockRealizeBounds
 | ControlAtPos
 | ContainsControl
 | DoAdjustClientRectChange
 | InvalidateClientRectCache
 | ClientRectNeedsInterfaceUpdate
 | SetBounds
 | GetChildrenRect
 | DisableAlign
 | EnableAlign
 | ReAlign
 | ScrollBy_WS
 | ScrollBy
 | WriteLayoutDebugReport
 | AutoAdjustLayout
 | Create
 | CreateParented
 | CreateParentedControl
 | Destroy
 | DockDrop
 | CanFocus
 | CanSetFocus
 | GetControlIndex
 | SetControlIndex
 | Focused
 | PerformTab
 | FindChildControl
 | SelectNext
 | SetTempCursor
 | BroadCast
 | NotifyControls
 | DefaultHandler
 | GetTextLen
 | Invalidate
 | AddControl
 | InsertControl
 | RemoveControl
 | GetEnumeratorControls
 | GetEnumeratorControlsReverse
 | Repaint
 | Update
 | SetFocus
 | FlipChildren
 | ScaleBy
 | GetDockCaption
 | UpdateDockCaption
 | GetTabOrderList
 | HandleAllocated
 | ParentHandlesAllocated
 | HandleNeeded
 | BrushCreated
 | EraseBackground
 | IntfUTF8KeyPress
 | IntfGetDropFilesTarget
 | PaintTo
 | SetShape
TControl
pt | WSRegisterClass
pt | GetCursor
pt | SetCursor
pt | SetVisible
pt | DoOnParentHandleDestruction
pt | DoAutoSize
pt | DoAllAutoSize
pt | BeginAutoSizing
pt | EndAutoSizing
pt | AnchorSideChanged
pt | ForeignAnchorSideChanged
pt | SetAlign
pt | SetAnchors
pt | SetAutoSize
pt | BoundsChanged
pt | CreateControlBorderSpacing
pt | DoConstraintsChange
pt | DoBorderSpacingChange
pt | IsBorderSpacingInnerBorderStored
pt | IsCaptionStored
pt | SendMoveSizeMessages
pt | ConstrainedResize
pt | CalculatePreferredSize
pt | DoOnResize
pt | DoOnChangeBounds
pt | CheckOnChangeBounds
pt | Resize
pt | RequestAlign
pt | UpdateAnchorRules
pt | ChangeBounds
pt | DoSetBounds
pt | ScaleConstraints
pt | ChangeScale
pt | CanAutoSize
pt | SetBiDiMode
pt | SetParentBiDiMode
pt | IsAParentAligning
pt | GetClientOrigin
pt | GetClientRect
pt | GetLogicalClientRect
pt | GetScrolledClientRect
pt | GetClientScrollOffset
pt | GetControlOrigin
pt | IsClientHeightStored
pt | IsClientWidthStored
pt | WidthIsAnchored
pt | HeightIsAnchored
pt | WMCancelMode
pt | WMContextMenu
pt | WMLButtonDown
pt | WMRButtonDown
pt | WMMButtonDown
pt | WMXButtonDown
pt | WMLButtonDBLCLK
pt | WMRButtonDBLCLK
pt | WMMButtonDBLCLK
pt | WMXButtonDBLCLK
pt | WMLButtonTripleCLK
pt | WMRButtonTripleCLK
pt | WMMButtonTripleCLK
pt | WMXButtonTripleCLK
pt | WMLButtonQuadCLK
pt | WMRButtonQuadCLK
pt | WMMButtonQuadCLK
pt | WMXButtonQuadCLK
pt | WMMouseMove
pt | WMLButtonUp
pt | WMRButtonUp
pt | WMMButtonUp
pt | WMXButtonUp
pt | WMMouseWheel
pt | WMMouseHWheel
pt | WMMove
pt | WMSize
pt | WMWindowPosChanged
pt | CMChanged
pt | LMCaptureChanged
pt | CMBiDiModeChanged
pt | CMSysFontChanged
pt | CMEnabledChanged
pt | CMHitTest
pt | CMMouseEnter
pt | CMMouseLeave
pt | CMHintShow
pt | CMParentBiDiModeChanged
pt | CMParentColorChanged
pt | CMParentFontChanged
pt | CMParentShowHintChanged
pt | CMVisibleChanged
pt | CMTextChanged
pt | CMCursorChanged
pt | CalculateDockSizes
pt | CreateFloatingDockSite
pt | GetDockEdge
pt | GetDragImages
pt | GetFloating
pt | GetFloatingDockSiteClass
pt | BeforeDragStart
pt | BeginAutoDrag
pt | DoFloatMsg
pt | DockTrackNoTarget
pt | DoDock
pt | DoDragMsg
pt | DoEndDock
pt | DoEndDrag
pt | DoStartDock
pt | DoStartDrag
pt | DragCanceled
pt | DragOver
pt | PositionDockRect
pt | SetDragMode
pt | GetDefaultDockCaption
pt | Click
pt | DblClick
pt | TripleClick
pt | QuadClick
pt | GetMousePosFromMessage
pt | MouseDown
pt | MouseMove
pt | MouseUp
pt | MouseEnter
pt | MouseLeave
pt | DialogChar
pt | UpdateMouseCursor
pt | Changed
pt | GetPalette
pt | ChildClassAllowed
pt | ReadState
pt | Loaded
pt | LoadedAll
pt | DefineProperties
pt | AssignTo
pt | FormEndUpdated
pt | InvalidateControl
pt | FontChanged
pt | ParentFontChanged
pt | GetAction
pt | RealGetText
pt | RealSetText
pt | TextChanged
pt | GetCachedText
pt | SetAction
pt | SetColor
pt | SetEnabled
pt | SetHint
pt | SetName
pt | SetParent
pt | SetParentComponent
pt | WndProc
pt | ParentFormHandleInitialized
pt | GetMouseCapture
pt | CaptureChanged
pt | Notification
pt | CanTab
pt | GetDeviceContext
pt | GetEnabled
pt | GetPopupMenu
pt | DoOnShowHint
pt | DoMouseWheel
pt | DoMouseWheelDown
pt | DoMouseWheelUp
pt | DoMouseWheelHorz
pt | DoMouseWheelLeft
pt | DoMouseWheelRight
pt | VisibleChanging
pt | VisibleChanged
pt | EnabledChanging
pt | EnabledChanged
pt | AddHandler
pt | RemoveHandler
pt | DoCallNotifyHandler
pt | DoCallKeyEventHandler
pt | DoCallMouseWheelEventHandler
pt | DoContextPopup
pt | SetZOrder
pt | GetControlClassDefaultSize
pt | ColorIsStored
pt | DoAutoAdjustLayout
pt | DoFixDesignFontPPI
pt | DoScaleFontPPI
pt | GetActionLinkClass
pt | ActionChange
 | DragDrop
 | Dock
 | ManualDock
 | ManualFloat
 | ReplaceDockedControl
 | Docked
 | Dragging
 | GetAccessibleObject
 | CreateAccessibleObject
 | GetSelectedChildAccessibleObject
 | GetChildAccessibleObjectAtPos
 | ScaleDesignToForm
 | ScaleFormToDesign
 | Scale96ToForm
 | ScaleFormTo96
 | Scale96ToFont
 | ScaleFontTo96
 | ScaleScreenToFont
 | ScaleFontToScreen
 | Scale96ToScreen
 | ScaleScreenTo96
 | AdjustSize
 | AutoSizePhases
 | AutoSizeDelayed
 | AutoSizeDelayedReport
 | AutoSizeDelayedHandle
 | AnchorToNeighbour
 | AnchorParallel
 | AnchorHorizontalCenterTo
 | AnchorVerticalCenterTo
 | AnchorToCompanion
 | AnchorSame
 | AnchorAsAlign
 | AnchorClient
 | AnchoredControlCount
 | SetBounds
 | SetInitialBounds
 | SetBoundsKeepBase
 | GetPreferredSize
 | GetCanvasScaleFactor
 | GetDefaultWidth
 | GetDefaultHeight
 | GetDefaultColor
 | GetColorResolvingParent
 | GetRGBColorResolvingParent
 | GetSidePosition
 | CNPreferredSizeChanged
 | InvalidatePreferredSize
 | GetAnchorsDependingOnParent
 | DisableAutoSizing
 | EnableAutoSizing
 | UpdateBaseBounds
 | WriteLayoutDebugReport
 | AutoAdjustLayout
 | ShouldAutoAdjust
 | FixDesignFontsPPI
 | ScaleFontsPPI
 | Create
 | Destroy
 | BeforeDestruction
 | EditingDone
 | ExecuteDefaultAction
 | ExecuteCancelAction
 | BeginDrag
 | EndDrag
 | BringToFront
 | HasParent
 | GetParentComponent
 | IsParentOf
 | GetTopParent
 | IsVisible
 | IsControlVisible
 | IsEnabled
 | IsParentColor
 | IsParentFont
 | FormIsUpdating
 | IsProcessingPaintMsg
 | Hide
 | Refresh
 | Repaint
 | Invalidate
 | CheckChildClassAllowed
 | CheckNewParent
 | SendToBack
 | SetTempCursor
 | UpdateRolesForForm
 | ActiveDefaultControlChanged
 | GetTextBuf
 | GetTextLen
 | SetTextBuf
 | Perform
 | ScreenToClient
 | ClientToScreen
 | ScreenToControl
 | ControlToScreen
 | ClientToParent
 | ParentToClient
 | GetChildrenRect
 | Show
 | Update
 | HandleObjectShouldBeVisible
 | ParentDestroyingHandle
 | ParentHandlesAllocated
 | InitiateAction
 | ShowHelp
 | HasHelp
 | RemoveAllHandlersOfObject
 | AddHandlerOnResize
 | RemoveHandlerOnResize
 | AddHandlerOnChangeBounds
 | RemoveHandlerOnChangeBounds
 | AddHandlerOnVisibleChanging
 | RemoveHandlerOnVisibleChanging
 | AddHandlerOnVisibleChanged
 | RemoveHandlerOnVisibleChanged
 | AddHandlerOnEnabledChanged
 | RemoveHandlerOnEnableChanging
 | AddHandlerOnKeyDown
 | RemoveHandlerOnKeyDown
 | AddHandlerOnBeforeDestruction
 | RemoveHandlerOnBeforeDestruction
 | AddHandlerOnMouseWheel
 | RemoveHandlerOnMouseWheel
 | UseRightToLeftAlignment
 | UseRightToLeftReading
 | UseRightToLeftScrollBar
 | IsRightToLeft
TLCLComponent
pt | WSRegisterClass
pt | GetWSComponentClass
 | Create
 | Destroy
 | NewInstance
 | RemoveAllHandlersOfObject
 | IncLCLRefCount
 | DecLCLRefCount
TComponent
 | GetComObject
 | GetComponent
 | GetComponentCount
 | GetComponentIndex
 | Insert
 | ReadLeft
 | ReadTop
 | Remove
 | RemoveNotification
 | SetComponentIndex
 | SetReference
 | WriteLeft
 | WriteTop
 | ChangeName
 | DefineProperties
 | GetChildren
 | GetChildOwner
 | GetChildParent
 | GetOwner
 | Loaded
 | Loading
 | Notification
 | PaletteCreated
 | ReadState
 | SetAncestor
 | SetDesigning
 | SetDesignInstance
 | SetInline
 | SetName
 | SetChildOrder
 | SetParentComponent
 | Updating
 | Updated
 | UpdateRegistry
 | ValidateRename
 | ValidateContainer
 | ValidateInsert
 | QueryInterface
 | _AddRef
 | _Release
 | iicrGetComponent
 | GetTypeInfoCount
 | GetTypeInfo
 | GetIDsOfNames
 | Invoke
 | WriteState
 | Create
 | Destroy
 | BeforeDestruction
 | DestroyComponents
 | Destroying
 | ExecuteAction
 | FindComponent
 | FreeNotification
 | RemoveFreeNotification
 | FreeOnRelease
 | GetEnumerator
 | GetNamePath
 | GetParentComponent
 | HasParent
 | InsertComponent
 | RemoveComponent
 | SafeCallException
 | SetSubComponent
 | UpdateAction
 | IsImplementorOf
 | ReferenceInterface
TPersistent
 | AssignError
 | AssignTo
 | DefineProperties
 | GetOwner
 | Destroy
 | Assign
 | FPOAttachObserver
 | FPODetachObserver
 | FPONotifyObservers
 | GetNamePath
TObject
 | Create
 | Destroy
 | newinstance
 | FreeInstance
 | SafeCallException
 | DefaultHandler
 | Free
 | InitInstance
 | CleanupInstance
 | ClassType
 | ClassInfo
 | ClassName
 | ClassNameIs
 | ClassParent
 | InstanceSize
 | InheritsFrom
 | StringMessageTable
 | MethodAddress
 | MethodName
 | FieldAddress
 | AfterConstruction
 | BeforeDestruction
 | DefaultHandlerStr
 | Dispatch
 | DispatchStr
 | GetInterface
 | GetInterfaceByStr
 | GetInterfaceWeak
 | GetInterfaceEntry
 | GetInterfaceEntryByStr
 | GetInterfaceTable
 | UnitName
 | Equals
 | GetHashCode
 | ToString


pt | ActionChange (TControl)
 | ActiveDefaultControlChanged (TControl)
 | AddControl (TWinControl)
pt | AddHandler (TControl)
 | AddHandlerOnBeforeDestruction (TControl)
 | AddHandlerOnChangeBounds (TControl)
 | AddHandlerOnEnabledChanged (TControl)
 | AddHandlerOnKeyDown (TControl)
 | AddHandlerOnMouseWheel (TControl)
 | AddHandlerOnResize (TControl)
 | AddHandlerOnVisibleChanged (TControl)
 | AddHandlerOnVisibleChanging (TControl)
pt | AddRemovePageHandle (TCustomTabControl)
pt | AdjustClientRect (TWinControl)
 | AdjustSize (TControl)
 | AfterConstruction (TObject)
pt | AlignControls (TWinControl)
pt | AllAutoSized (TWinControl)
 | AnchorAsAlign (TControl)
 | AnchorClient (TControl)
 | AnchoredControlCount (TControl)
 | AnchorHorizontalCenterTo (TControl)
 | AnchorParallel (TControl)
 | AnchorSame (TControl)
pt | AnchorSideChanged (TControl)
 | AnchorToCompanion (TControl)
 | AnchorToNeighbour (TControl)
 | AnchorVerticalCenterTo (TControl)
 | Assign (TPersistent)
 | AssignError (TPersistent)
 | AssignTo (TPersistent)
pt | AssignTo (TControl)
 | AutoAdjustLayout (TControl)
 | AutoAdjustLayout (TWinControl)
 | AutoSizeDelayed (TControl)
 | AutoSizeDelayed (TWinControl)
 | AutoSizeDelayedHandle (TControl)
 | AutoSizeDelayedHandle (TWinControl)
 | AutoSizeDelayedReport (TControl)
 | AutoSizeDelayedReport (TWinControl)
 | AutoSizePhases (TControl)
 | AutoSizePhases (TWinControl)
 | BeforeDestruction (TObject)
 | BeforeDestruction (TComponent)
 | BeforeDestruction (TControl)
pt | BeforeDragStart (TControl)
pt | BeginAutoDrag (TControl)
pt | BeginAutoSizing (TControl)
 | BeginDrag (TControl)
 | BeginUpdateBounds (TWinControl)
pt | BoundsChanged (TControl)
 | BringToFront (TControl)
 | BroadCast (TWinControl)
 | BrushCreated (TWinControl)
pt | CalculateDockSizes (TControl)
pt | CalculatePreferredSize (TControl)
pt | CalculatePreferredSize (TWinControl)
pt | CanAutoSize (TControl)
pt | CanChange (TCustomTabControl)
 | CanChangePageIndex (TCustomTabControl)
 | CanFocus (TWinControl)
 | CanSetFocus (TWinControl)
pt | CanTab (TControl)
pt | CanTab (TWinControl)
pt | CaptureChanged (TControl)
pt | Change (TCustomTabControl)
pt | Change (TLazDockPages)
pt | ChangeBounds (TControl)
pt | Changed (TControl)
 | ChangeName (TComponent)
pt | ChangeScale (TControl)
pt | ChangeScale (TWinControl)
 | CheckChildClassAllowed (TControl)
 | CheckNewParent (TControl)
pt | CheckOnChangeBounds (TControl)
pt | ChildClassAllowed (TControl)
pt | ChildClassAllowed (TWinControl)
pt | ChildHandlesCreated (TWinControl)
pt | ChildKey (TWinControl)
 | ClassInfo (TObject)
 | ClassName (TObject)
 | ClassNameIs (TObject)
 | ClassParent (TObject)
 | ClassType (TObject)
 | CleanupInstance (TObject)
pt | Click (TControl)
 | ClientRectNeedsInterfaceUpdate (TWinControl)
 | ClientToParent (TControl)
 | ClientToScreen (TControl)
pt | CMBiDiModeChanged (TControl)
pt | CMBiDiModeChanged (TWinControl)
pt | CMBorderChanged (TWinControl)
pt | CMChanged (TControl)
pt | CMCursorChanged (TControl)
pt | CMDoubleBufferedChanged (TWinControl)
pt | CMEnabledChanged (TControl)
pt | CMEnabledChanged (TWinControl)
pt | CMEnter (TWinControl)
pt | CMExit (TWinControl)
pt | CMHintShow (TControl)
pt | CMHitTest (TControl)
pt | CMMouseEnter (TControl)
pt | CMMouseLeave (TControl)
pt | CMParentBiDiModeChanged (TControl)
pt | CMParentColorChanged (TControl)
pt | CMParentDoubleBufferedChanged (TWinControl)
pt | CMParentFontChanged (TControl)
pt | CMParentShowHintChanged (TControl)
pt | CMShowHintChanged (TWinControl)
pt | CMShowingChanged (TWinControl)
pt | CMSysFontChanged (TControl)
pt | CMTextChanged (TControl)
pt | CMVisibleChanged (TControl)
pt | CMVisibleChanged (TWinControl)
pt | CNChar (TWinControl)
pt | CNKeyDown (TWinControl)
pt | CNKeyUp (TWinControl)
pt | CNNotify (TCustomTabControl)
 | CNPreferredSizeChanged (TControl)
pt | CNSysKeyDown (TWinControl)
pt | CNSysKeyUp (TWinControl)
pt | ColorIsStored (TControl)
pt | ConstrainedResize (TControl)
 | ContainsControl (TWinControl)
 | ControlAtPos (TWinControl)
pt | ControlKeyDown (TWinControl)
pt | ControlKeyUp (TWinControl)
pt | ControlsAligned (TWinControl)
 | ControlToScreen (TControl)
 | Create (TObject)
 | Create (TComponent)
 | Create (TLCLComponent)
 | Create (TControl)
 | Create (TWinControl)
 | Create (TCustomTabControl)
 | Create (TLazDockPages)
 | CreateAccessibleObject (TControl)
pt | CreateBrush (TWinControl)
pt | CreateControlBorderSpacing (TControl)
pt | CreateDockManager (TWinControl)
pt | CreateFloatingDockSite (TControl)
pt | CreateHandle (TWinControl)
pt | CreateParams (TWinControl)
 | CreateParented (TWinControl)
 | CreateParentedControl (TWinControl)
pt | CreateSubClass (TWinControl)
pt | CreateWnd (TWinControl)
pt | CreateWnd (TCustomTabControl)
pt | CustomAlignInsertBefore (TWinControl)
pt | CustomAlignPosition (TWinControl)
 | CustomPage (TCustomTabControl)
pt | DblClick (TControl)
 | DecLCLRefCount (TLCLComponent)
 | DefaultHandler (TObject)
 | DefaultHandler (TWinControl)
 | DefaultHandlerStr (TObject)
 | DefineProperties (TPersistent)
 | DefineProperties (TComponent)
pt | DefineProperties (TControl)
 | Destroy (TObject)
 | Destroy (TPersistent)
 | Destroy (TComponent)
 | Destroy (TLCLComponent)
 | Destroy (TControl)
 | Destroy (TWinControl)
 | Destroy (TCustomTabControl)
 | DestroyComponents (TComponent)
pt | DestroyHandle (TWinControl)
 | Destroying (TComponent)
pt | DestroyWnd (TWinControl)
pt | DialogChar (TControl)
pt | DialogChar (TWinControl)
pt | DialogChar (TCustomTabControl)
 | DisableAlign (TWinControl)
 | DisableAutoSizing (TControl)
 | Dispatch (TObject)
 | DispatchStr (TObject)
pt | DoAddDockClient (TWinControl)
 | DoAdjustClientRectChange (TWinControl)
pt | DoAlignChildControls (TWinControl)
pt | DoAllAutoSize (TControl)
pt | DoAllAutoSize (TWinControl)
pt | DoAutoAdjustLayout (TControl)
pt | DoAutoAdjustLayout (TCustomTabControl)
pt | DoAutoSize (TControl)
pt | DoAutoSize (TWinControl)
pt | DoBorderSpacingChange (TControl)
pt | DoCallKeyEventHandler (TControl)
pt | DoCallMouseWheelEventHandler (TControl)
pt | DoCallNotifyHandler (TControl)
pt | DoChange (TCustomTabControl)
pt | DoChildSizingChange (TWinControl)
 | Dock (TControl)
 | DockDrop (TWinControl)
 | Docked (TControl)
pt | DockOver (TWinControl)
pt | DockTrackNoTarget (TControl)
 | DoCloseTabClicked (TCustomTabControl)
pt | DoConstraintsChange (TControl)
pt | DoConstraintsChange (TWinControl)
pt | DoContextPopup (TControl)
pt | DoDock (TControl)
pt | DoDockClientMsg (TWinControl)
pt | DoDockOver (TWinControl)
pt | DoDragMsg (TControl)
pt | DoDragMsg (TWinControl)
pt | DoEndDock (TControl)
pt | DoEndDrag (TControl)
pt | DoEnter (TWinControl)
pt | DoExit (TWinControl)
pt | DoFixDesignFontPPI (TControl)
pt | DoFlipChildren (TWinControl)
pt | DoFloatMsg (TControl)
pt | DoFloatMsg (TWinControl)
pt | DoGetDockCaption (TWinControl)
pt | DoKeyDownBeforeInterface (TWinControl)
pt | DoKeyPress (TWinControl)
pt | DoKeyUpBeforeInterface (TWinControl)
pt | DoMouseWheel (TControl)
pt | DoMouseWheelDown (TControl)
pt | DoMouseWheelHorz (TControl)
pt | DoMouseWheelLeft (TControl)
pt | DoMouseWheelRight (TControl)
pt | DoMouseWheelUp (TControl)
pt | DoOnChangeBounds (TControl)
pt | DoOnParentHandleDestruction (TControl)
pt | DoOnResize (TControl)
pt | DoOnShowHint (TControl)
pt | DoRemainingKeyDown (TWinControl)
pt | DoRemainingKeyUp (TWinControl)
pt | DoRemoveDockClient (TWinControl)
pt | DoScaleFontPPI (TControl)
pt | DoSendBoundsToInterface (TWinControl)
pt | DoSendShowHideToInterface (TWinControl)
pt | DoSetBounds (TControl)
pt | DoSetBounds (TWinControl)
pt | DoStartDock (TControl)
pt | DoStartDrag (TControl)
pt | DoUnDock (TWinControl)
pt | DoUndockClientMsg (TWinControl)
pt | DoUTF8KeyPress (TWinControl)
pt | DragCanceled (TControl)
 | DragDrop (TControl)
 | Dragging (TControl)
pt | DragOver (TControl)
 | EditingDone (TControl)
 | EnableAlign (TWinControl)
 | EnableAutoSizing (TControl)
pt | EnabledChanged (TControl)
pt | EnabledChanging (TControl)
pt | EndAutoSizing (TControl)
 | EndDrag (TControl)
 | EndUpdateBounds (TWinControl)
 | Equals (TObject)
 | EraseBackground (TWinControl)
 | ExecuteAction (TComponent)
 | ExecuteCancelAction (TControl)
 | ExecuteDefaultAction (TControl)
 | FieldAddress (TObject)
pt | FinalizeWnd (TWinControl)
 | FindChildControl (TWinControl)
 | FindComponent (TComponent)
pt | FindNextControl (TWinControl)
 | FixDesignFontsPPI (TControl)
pt | FixupTabList (TWinControl)
 | FlipChildren (TWinControl)
 | Focused (TWinControl)
pt | FontChanged (TControl)
pt | FontChanged (TWinControl)
pt | ForeignAnchorSideChanged (TControl)
pt | FormEndUpdated (TControl)
pt | FormEndUpdated (TWinControl)
 | FormIsUpdating (TControl)
 | FPOAttachObserver (TPersistent)
 | FPODetachObserver (TPersistent)
 | FPONotifyObservers (TPersistent)
 | Free (TObject)
 | FreeInstance (TObject)
 | FreeNotification (TComponent)
 | FreeOnRelease (TComponent)
 | GetAccessibleObject (TControl)
pt | GetAction (TControl)
pt | GetActionLinkClass (TControl)
pt | GetAdjustedLogicalClientRect (TWinControl)
 | GetAnchorsDependingOnParent (TControl)
pt | GetBorderStyle (TWinControl)
pt | GetCachedText (TControl)
 | GetCanvasScaleFactor (TControl)
 | GetCapabilities (TCustomTabControl)
 | GetChildAccessibleObjectAtPos (TControl)
 | GetChildOwner (TComponent)
 | GetChildParent (TComponent)
 | GetChildren (TComponent)
pt | GetChildren (TWinControl)
 | GetChildrenRect (TControl)
 | GetChildrenRect (TWinControl)
pt | GetClientOrigin (TControl)
pt | GetClientOrigin (TWinControl)
pt | GetClientRect (TControl)
pt | GetClientRect (TWinControl)
pt | GetClientScrollOffset (TControl)
 | GetColorResolvingParent (TControl)
 | GetComObject (TComponent)
 | GetComponent (TComponent)
 | GetComponentCount (TComponent)
 | GetComponentIndex (TComponent)
pt | GetControlClassDefaultSize (TControl)
pt | GetControlClassDefaultSize (TCustomTabControl)
 | GetControlIndex (TWinControl)
pt | GetControlOrigin (TControl)
pt | GetControlOrigin (TWinControl)
pt | GetCursor (TControl)
 | GetDefaultColor (TControl)
pt | GetDefaultDockCaption (TControl)
 | GetDefaultHeight (TControl)
 | GetDefaultWidth (TControl)
pt | GetDeviceContext (TControl)
pt | GetDeviceContext (TWinControl)
 | GetDockCaption (TWinControl)
pt | GetDockEdge (TControl)
pt | GetDragImages (TControl)
pt | GetEnabled (TControl)
 | GetEnumerator (TComponent)
 | GetEnumeratorControls (TWinControl)
 | GetEnumeratorControlsReverse (TWinControl)
pt | GetFloating (TControl)
pt | GetFloatingDockSiteClass (TControl)
pt | GetFloatingDockSiteClass (TLazDockPages)
 | GetHashCode (TObject)
 | GetIDsOfNames (TComponent)
 | GetImageIndex (TCustomTabControl)
 | GetInterface (TObject)
 | GetInterfaceByStr (TObject)
 | GetInterfaceEntry (TObject)
 | GetInterfaceEntryByStr (TObject)
 | GetInterfaceTable (TObject)
 | GetInterfaceWeak (TObject)
pt | GetListClass (TCustomTabControl)
pt | GetLogicalClientRect (TControl)
 | GetMinimumTabHeight (TCustomTabControl)
 | GetMinimumTabWidth (TCustomTabControl)
pt | GetMouseCapture (TControl)
pt | GetMouseCapture (TWinControl)
pt | GetMousePosFromMessage (TControl)
 | GetNamePath (TPersistent)
 | GetNamePath (TComponent)
 | GetOwner (TPersistent)
 | GetOwner (TComponent)
pt | GetPage (TCustomTabControl)
pt | GetPageClass (TCustomTabControl)
pt | GetPageCount (TCustomTabControl)
pt | GetPalette (TControl)
pt | GetParentBackground (TWinControl)
 | GetParentComponent (TComponent)
 | GetParentComponent (TControl)
pt | GetParentHandle (TWinControl)
pt | GetPopupMenu (TControl)
 | GetPreferredSize (TControl)
pt | GetPreferredSizeClientFrame (TWinControl)
 | GetRGBColorResolvingParent (TControl)
pt | GetScrolledClientRect (TControl)
 | GetSelectedChildAccessibleObject (TControl)
 | GetSidePosition (TControl)
pt | GetSiteInfo (TWinControl)
 | GetTabOrderList (TWinControl)
 | GetTextBuf (TControl)
 | GetTextLen (TControl)
 | GetTextLen (TWinControl)
 | GetTopParent (TControl)
pt | GetTopParentHandle (TWinControl)
 | GetTypeInfo (TComponent)
 | GetTypeInfoCount (TComponent)
pt | GetWSComponentClass (TLCLComponent)
 | HandleAllocated (TWinControl)
 | HandleNeeded (TWinControl)
 | HandleObjectShouldBeVisible (TControl)
 | HasHelp (TControl)
 | HasParent (TComponent)
 | HasParent (TControl)
pt | HeightIsAnchored (TControl)
 | Hide (TControl)
 | iicrGetComponent (TComponent)
 | IncLCLRefCount (TLCLComponent)
 | IndexOf (TCustomTabControl)
pt | IndexOfPageAt (TCustomTabControl)
pt | IndexOfTabAt (TCustomTabControl)
 | InheritsFrom (TObject)
pt | InitializeWnd (TWinControl)
pt | InitializeWnd (TCustomTabControl)
 | InitiateAction (TControl)
 | InitInstance (TObject)
 | Insert (TComponent)
 | InsertComponent (TComponent)
 | InsertControl (TWinControl)
pt | InsertPage (TCustomTabControl)
 | InstanceSize (TObject)
pt | InternalSetPageIndex (TCustomTabControl)
 | IntfGetDropFilesTarget (TWinControl)
 | IntfUTF8KeyPress (TWinControl)
 | Invalidate (TControl)
 | Invalidate (TWinControl)
pt | InvalidateBoundsRealized (TWinControl)
 | InvalidateClientRectCache (TWinControl)
pt | InvalidateControl (TControl)
pt | InvalidatePreferredChildSizes (TWinControl)
 | InvalidatePreferredSize (TControl)
 | Invoke (TComponent)
pt | IsAParentAligning (TControl)
pt | IsBorderSpacingInnerBorderStored (TControl)
pt | IsCaptionStored (TControl)
pt | IsClientHeightStored (TControl)
pt | IsClientHeightStored (TWinControl)
pt | IsClientWidthStored (TControl)
pt | IsClientWidthStored (TWinControl)
pt | IsControlMouseMsg (TWinControl)
 | IsControlVisible (TControl)
 | IsEnabled (TControl)
 | IsImplementorOf (TComponent)
 | IsParentColor (TControl)
 | IsParentFont (TControl)
 | IsParentOf (TControl)
 | IsProcessingPaintMsg (TControl)
 | IsRightToLeft (TControl)
 | IsVisible (TControl)
pt | KeyDown (TWinControl)
pt | KeyDown (TCustomTabControl)
pt | KeyDownAfterInterface (TWinControl)
pt | KeyDownBeforeInterface (TWinControl)
pt | KeyPress (TWinControl)
pt | KeyUp (TWinControl)
pt | KeyUpAfterInterface (TWinControl)
pt | KeyUpBeforeInterface (TWinControl)
pt | LMCaptureChanged (TControl)
 | Loaded (TComponent)
pt | Loaded (TControl)
pt | Loaded (TWinControl)
pt | Loaded (TCustomTabControl)
pt | LoadedAll (TControl)
 | Loading (TComponent)
 | LockRealizeBounds (TWinControl)
pt | MainWndProc (TWinControl)
 | ManualDock (TControl)
 | ManualFloat (TControl)
 | MethodAddress (TObject)
 | MethodName (TObject)
pt | MouseDown (TControl)
pt | MouseEnter (TControl)
pt | MouseLeave (TControl)
pt | MouseMove (TControl)
pt | MouseUp (TControl)
 | newinstance (TObject)
 | NewInstance (TLCLComponent)
 | Notification (TComponent)
pt | Notification (TControl)
pt | Notification (TCustomTabControl)
 | NotifyControls (TWinControl)
 | PageToTabIndex (TCustomTabControl)
pt | PaintControls (TWinControl)
pt | PaintHandler (TWinControl)
 | PaintTo (TWinControl)
pt | PaintWindow (TWinControl)
 | PaletteCreated (TComponent)
 | ParentDestroyingHandle (TControl)
pt | ParentFontChanged (TControl)
pt | ParentFormHandleInitialized (TControl)
pt | ParentFormHandleInitialized (TWinControl)
 | ParentHandlesAllocated (TControl)
 | ParentHandlesAllocated (TWinControl)
 | ParentToClient (TControl)
 | Perform (TControl)
 | PerformTab (TWinControl)
pt | PositionDockRect (TControl)
pt | QuadClick (TControl)
 | QueryInterface (TComponent)
 | ReadLeft (TComponent)
 | ReadState (TComponent)
pt | ReadState (TControl)
pt | ReadState (TCustomTabControl)
 | ReadTop (TComponent)
pt | RealGetText (TControl)
pt | RealGetText (TWinControl)
 | ReAlign (TWinControl)
pt | RealizeBounds (TWinControl)
pt | RealizeBoundsRecursive (TWinControl)
pt | RealSetText (TControl)
pt | RealSetText (TWinControl)
 | ReferenceInterface (TComponent)
 | Refresh (TControl)
pt | ReloadDockedControl (TWinControl)
 | Remove (TComponent)
 | RemoveAllHandlersOfObject (TLCLComponent)
 | RemoveAllHandlersOfObject (TControl)
 | RemoveComponent (TComponent)
 | RemoveControl (TWinControl)
pt | RemoveFocus (TWinControl)
 | RemoveFreeNotification (TComponent)
pt | RemoveHandler (TControl)
 | RemoveHandlerOnBeforeDestruction (TControl)
 | RemoveHandlerOnChangeBounds (TControl)
 | RemoveHandlerOnEnableChanging (TControl)
 | RemoveHandlerOnKeyDown (TControl)
 | RemoveHandlerOnMouseWheel (TControl)
 | RemoveHandlerOnResize (TControl)
 | RemoveHandlerOnVisibleChanged (TControl)
 | RemoveHandlerOnVisibleChanging (TControl)
 | RemoveNotification (TComponent)
pt | RemovePage (TCustomTabControl)
 | Repaint (TControl)
 | Repaint (TWinControl)
 | ReplaceDockedControl (TControl)
pt | RequestAlign (TControl)
pt | Resize (TControl)
 | SafeCallException (TObject)
 | SafeCallException (TComponent)
 | Scale96ToFont (TControl)
 | Scale96ToForm (TControl)
 | Scale96ToScreen (TControl)
 | ScaleBy (TWinControl)
pt | ScaleConstraints (TControl)
pt | ScaleControls (TWinControl)
 | ScaleDesignToForm (TControl)
 | ScaleFontsPPI (TControl)
 | ScaleFontTo96 (TControl)
 | ScaleFontToScreen (TControl)
 | ScaleFormTo96 (TControl)
 | ScaleFormToDesign (TControl)
 | ScaleScreenTo96 (TControl)
 | ScaleScreenToFont (TControl)
 | ScreenToClient (TControl)
 | ScreenToControl (TControl)
 | ScrollBy (TWinControl)
 | ScrollBy_WS (TWinControl)
pt | SelectFirst (TWinControl)
 | SelectNext (TWinControl)
pt | SendDialogChar (TWinControl)
pt | SendMoveSizeMessages (TControl)
pt | SendMoveSizeMessages (TWinControl)
 | SendToBack (TControl)
pt | SetAction (TControl)
pt | SetAlign (TControl)
 | SetAncestor (TComponent)
pt | SetAnchors (TControl)
pt | SetAutoSize (TControl)
pt | SetBiDiMode (TControl)
pt | SetBorderStyle (TWinControl)
 | SetBounds (TControl)
 | SetBounds (TWinControl)
 | SetBoundsKeepBase (TControl)
 | SetChildOrder (TComponent)
pt | SetChildZPosition (TWinControl)
pt | SetColor (TControl)
pt | SetColor (TWinControl)
 | SetComponentIndex (TComponent)
 | SetControlIndex (TWinControl)
pt | SetCursor (TControl)
 | SetDesigning (TComponent)
 | SetDesignInstance (TComponent)
pt | SetDockManager (TWinControl)
pt | SetDragMode (TControl)
pt | SetEnabled (TControl)
 | SetFocus (TWinControl)
pt | SetHint (TControl)
 | SetInitialBounds (TControl)
 | SetInline (TComponent)
 | SetName (TComponent)
pt | SetName (TControl)
pt | SetOptions (TCustomTabControl)
pt | SetParent (TControl)
pt | SetParentBackground (TWinControl)
pt | SetParentBiDiMode (TControl)
 | SetParentComponent (TComponent)
pt | SetParentComponent (TControl)
 | SetReference (TComponent)
 | SetShape (TWinControl)
 | SetSubComponent (TComponent)
 | SetTempCursor (TControl)
 | SetTempCursor (TWinControl)
 | SetTextBuf (TControl)
pt | SetVisible (TControl)
pt | SetZOrder (TControl)
 | ShouldAutoAdjust (TControl)
 | Show (TControl)
pt | ShowControl (TWinControl)
pt | ShowControl (TCustomTabControl)
 | ShowHelp (TControl)
 | StringMessageTable (TObject)
 | TabRect (TCustomTabControl)
 | TabToPageIndex (TCustomTabControl)
pt | TextChanged (TControl)
 | ToString (TObject)
pt | TripleClick (TControl)
 | UnitName (TObject)
 | UnlockRealizeBounds (TWinControl)
 | Update (TControl)
 | Update (TWinControl)
 | UpdateAction (TComponent)
pt | UpdateAnchorRules (TControl)
 | UpdateBaseBounds (TControl)
pt | UpdateControlState (TWinControl)
 | Updated (TComponent)
 | UpdateDockCaption (TWinControl)
pt | UpdateMouseCursor (TControl)
 | UpdateRegistry (TComponent)
 | UpdateRolesForForm (TControl)
pt | UpdateShowing (TWinControl)
pt | UpdateTabProperties (TCustomTabControl)
 | Updating (TComponent)
 | UseRightToLeftAlignment (TControl)
 | UseRightToLeftReading (TControl)
 | UseRightToLeftScrollBar (TControl)
pt | UTF8KeyPress (TWinControl)
 | ValidateContainer (TComponent)
 | ValidateInsert (TComponent)
 | ValidateRename (TComponent)
pt | VisibleChanged (TControl)
pt | VisibleChanging (TControl)
pt | WidthIsAnchored (TControl)
pt | WMCancelMode (TControl)
pt | WMChar (TWinControl)
pt | WMContextMenu (TControl)
pt | WMContextMenu (TWinControl)
pt | WMDestroy (TWinControl)
pt | WMEnter (TWinControl)
pt | WMEraseBkgnd (TWinControl)
pt | WMExit (TWinControl)
pt | WMKeyDown (TWinControl)
pt | WMKeyUp (TWinControl)
pt | WMKillFocus (TWinControl)
pt | WMLButtonDBLCLK (TControl)
pt | WMLButtonDown (TControl)
pt | WMLButtonQuadCLK (TControl)
pt | WMLButtonTripleCLK (TControl)
pt | WMLButtonUp (TControl)
pt | WMMButtonDBLCLK (TControl)
pt | WMMButtonDown (TControl)
pt | WMMButtonQuadCLK (TControl)
pt | WMMButtonTripleCLK (TControl)
pt | WMMButtonUp (TControl)
pt | WMMouseHWheel (TControl)
pt | WMMouseMove (TControl)
pt | WMMouseWheel (TControl)
pt | WMMove (TControl)
pt | WMMove (TWinControl)
pt | WMNotify (TWinControl)
pt | WMPaint (TWinControl)
pt | WMRButtonDBLCLK (TControl)
pt | WMRButtonDown (TControl)
pt | WMRButtonQuadCLK (TControl)
pt | WMRButtonTripleCLK (TControl)
pt | WMRButtonUp (TControl)
pt | WMSetFocus (TWinControl)
pt | WMShowWindow (TWinControl)
pt | WMSize (TControl)
pt | WMSize (TWinControl)
pt | WMSysChar (TWinControl)
pt | WMSysKeyDown (TWinControl)
pt | WMSysKeyUp (TWinControl)
pt | WMWindowPosChanged (TControl)
pt | WMWindowPosChanged (TWinControl)
pt | WMXButtonDBLCLK (TControl)
pt | WMXButtonDown (TControl)
pt | WMXButtonQuadCLK (TControl)
pt | WMXButtonTripleCLK (TControl)
pt | WMXButtonUp (TControl)
pt | WndProc (TControl)
pt | WndProc (TWinControl)
 | WriteLayoutDebugReport (TControl)
 | WriteLayoutDebugReport (TWinControl)
 | WriteLeft (TComponent)
 | WriteState (TComponent)
 | WriteTop (TComponent)
pt | WSRegisterClass (TLCLComponent)
pt | WSRegisterClass (TControl)
pt | WSRegisterClass (TWinControl)
pt | WSRegisterClass (TCustomTabControl)
pt | WSSetText (TWinControl)
 | _AddRef (TComponent)
 | _Release (TComponent)


TLazDockPages
TCustomTabControl
pt | OnChange
 | OnChanging
 | OnCloseTabClicked
 | OnGetImageIndex
TWinControl
pt | OnGetSiteInfo
pt | OnGetDockCaption
 | OnAlignInsertBefore
 | OnAlignPosition
 | OnDockDrop
 | OnDockOver
 | OnEnter
 | OnExit
 | OnKeyDown
 | OnKeyPress
 | OnKeyUp
 | OnUnDock
 | OnUTF8KeyPress
TControl
pt | OnConstrainedResize
pt | OnContextPopup
pt | OnDblClick
pt | OnTripleClick
pt | OnQuadClick
pt | OnDragDrop
pt | OnDragOver
pt | OnEndDock
pt | OnEndDrag
pt | OnMouseDown
pt | OnMouseMove
pt | OnMouseUp
pt | OnMouseEnter
pt | OnMouseLeave
pt | OnMouseWheel
pt | OnMouseWheelDown
pt | OnMouseWheelUp
pt | OnMouseWheelHorz
pt | OnMouseWheelLeft
pt | OnMouseWheelRight
pt | OnStartDock
pt | OnStartDrag
pt | OnEditingDone
 | OnChangeBounds
 | OnClick
 | OnResize
 | OnShowHint
TLCLComponent
TComponent
TPersistent
TObject


TLazDockPages.Change

Change - calls inherited method, then ensures that all parents recognise MainControl

Declaration

Source position: ldocktree.pas line 173

protected procedure TLazDockPages.Change; override;

See also

TCustomTabControl.Change

Change - software emulation of the OnChange event


TLazDockPages.Create

Create - constructor for TLazDockPages: sets PageClass as TLazDockPage, then calls inherited Create

Declaration

Source position: ldocktree.pas line 175

public constructor TLazDockPages.Create(

  TheOwner: TComponent

); override;

See also

TCustomTabControl.Create

Create - constructor for TCustomTabControl: calls inherited Create, sets initial bounds, forms links and sets some defaults


TLazDockPages.GetFloatingDockSiteClass

GetFloatingDockSiteClass - returns a default class of TLazDockForm, overriding the inherited value

Declaration

Source position: ldocktree.pas line 172

protected function TLazDockPages.GetFloatingDockSiteClass: TWinControlClass; override;

See also

TControl.GetFloatingDockSiteClass

Returns the class for a floating host dock site.


TLazDockPages.Page

Page - an individual TLazDockPage in the notebook, referred by its Index

Declaration

Source position: ldocktree.pas line 176

public property TLazDockPages.Page[Index: Integer] : TLazDockPage
  read GetNoteBookPage;


TLazDockSplitter

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

TLazDockSplitter - a splitter used with Lazarus Docking components

Declaration

Source position: ldocktree.pas line 185

type TLazDockSplitter = class(TCustomSplitter)

public

  constructor Create(); override;

Create - constructor for TLazDockSplitter: calls inherited Create and initialises minimum size

end;

Inheritance

TLazDockSplitter | TLazDockSplitter - a splitter used with Lazarus Docking components
|
TCustomSplitter | TCustomSplitter : the base type for TSplitter
|
TCustomControl | The base class for windowed controls which paint themselves.
|
TWinControl | The base class for controls which can contain other (child) controls.
|
TControl | The base class for visible controls.
|
TLCLComponent | The base class for LCL components associated with widgets.
|
TComponent,IUnknown,IInterfaceComponentReference
|
TPersistent,IFPObserved
|
TObject


TLazDockSplitter
TCustomSplitter
 |  | ResizeControl
 | ro | Align
 |  | AutoSnap
 |  | Beveled
 | ro | Cursor
 |  | MinSize
 |  | ResizeAnchor
 |  | ResizeStyle
TCustomControl
 |  | Canvas
 | ro | BorderStyle
TWinControl
pt |  | WindowHandle
pt |  | BorderStyle
pt |  | ParentBackground
 |  | BorderWidth
 | ro | BoundsLockCount
 | ro | Brush
 | ro | CachedClientHeight
 | ro | CachedClientWidth
 |  | ChildSizing
 | ro | ControlCount
 | ro | Controls
 |  | DefWndProc
 | ro | DockClientCount
 | ro | DockClients
 |  | DockManager
 |  | DockSite
 |  | DoubleBuffered
 |  | Handle
 | ro | IsFlipped
 | ro | IsResizing
 |  | TabOrder
 |  | TabStop
 |  | ParentDoubleBuffered
 |  | ParentWindow
 | ro | Showing
 |  | UseDockManager
 |  | DesignerDeleting
 | ro | VisibleDockClientCount
TControl
pt | ro | AutoSizing
pt | ro | AutoSizingAll
pt | ro | AutoSizingLockCount
pt |  | ActionLink
pt |  | DesktopFont
pt |  | DragCursor
pt |  | DragKind
pt |  | DragMode
pt |  | MouseCapture
pt |  | ParentColor
pt |  | ParentFont
pt |  | ParentShowHint
pt |  | SessionProperties
pt |  | Text
 | ro | AnchoredControls
 | ro | BaseBounds
 | ro | ReadBounds
 | ro | BaseParentClientSize
 |  | AccessibleDescription
 |  | AccessibleValue
 |  | AccessibleRole
 |  | Action
 |  | Align
 |  | Anchors
 | ro | AnchorSide
 |  | AutoSize
 |  | BorderSpacing
 |  | BoundsRect
 |  | BoundsRectForNewParent
 |  | Caption
 |  | CaptureMouseButtons
 |  | ClientHeight
 | ro | ClientOrigin
 | ro | ClientRect
 |  | ClientWidth
 |  | Color
 |  | Constraints
 | ro | ControlOrigin
 |  | ControlState
 |  | ControlStyle
 |  | Enabled
 |  | Font
 |  | IsControl
 | ro | MouseEntered
 | ro | MouseInClient
 |  | Parent
 |  | PopupMenu
 |  | ShowHint
 |  | Visible
 |  | WindowProc
 |  | DockOrientation
 | ro | Floating
 |  | FloatingDockSiteClass
 |  | HostDockSite
 |  | LRDockWidth
 |  | TBDockHeight
 |  | UndockHeight
 |  | UndockWidth
 |  | BiDiMode
 |  | ParentBiDiMode
pl |  | AnchorSideLeft
pl |  | AnchorSideTop
pl |  | AnchorSideRight
pl |  | AnchorSideBottom
pl |  | Cursor
pl |  | Left
pl |  | Height
pl |  | Hint
pl |  | Top
pl |  | Width
pl |  | HelpType
pl |  | HelpKeyword
pl |  | HelpContext
TLCLComponent
 | ro | LCLRefCount
 | ro | WidgetSetClass
TComponent
 | ro | ComObject
 | ro | Components
 | ro | ComponentCount
 |  | ComponentIndex
 | ro | ComponentState
 | ro | ComponentStyle
 |  | DesignInfo
 | ro | Owner
 |  | VCLComObject
 |  | Name
 |  | Tag
TPersistent
TObject


TLazDockSplitter
 | Create
TCustomSplitter
pt | CMEnabledChanged
pt | WSRegisterClass
pt | AdaptAnchors
pt | CheckNewSize
pt | CheckOffset
pt | FindAlignControl
pt | FindAlignOtherControl
pt | MouseDown
pt | MouseEnter
pt | MouseLeave
pt | MouseMove
pt | MouseUp
pt | Paint
pt | SetAlign
pt | SetAnchors
pt | SetResizeAnchor
pt | SetResizeControl
pt | StartSplitterMove
pt | StopSplitterMove
pt | UpdateCursor
 | Create
 | AnchorSplitter
 | GetOtherResizeControl
 | MoveSplitter
 | SetSplitterPosition
 | GetSplitterPosition
TCustomControl
pt | WSRegisterClass
pt | WMPaint
pt | DestroyWnd
pt | PaintWindow
pt | FontChanged
pt | SetColor
pt | Paint
 | Create
 | Destroy
TWinControl
pt | WSRegisterClass
pt | AdjustClientRect
pt | GetAdjustedLogicalClientRect
pt | AlignControls
pt | CustomAlignInsertBefore
pt | CustomAlignPosition
pt | DoAlignChildControls
pt | DoChildSizingChange
pt | InvalidatePreferredChildSizes
pt | CanTab
pt | IsClientHeightStored
pt | IsClientWidthStored
pt | DoSendShowHideToInterface
pt | ControlsAligned
pt | DoSendBoundsToInterface
pt | RealizeBounds
pt | RealizeBoundsRecursive
pt | InvalidateBoundsRealized
pt | CreateSubClass
pt | DoConstraintsChange
pt | DoSetBounds
pt | DoAutoSize
pt | DoAllAutoSize
pt | AllAutoSized
pt | CalculatePreferredSize
pt | GetPreferredSizeClientFrame
pt | GetChildren
pt | ChildClassAllowed
pt | PaintControls
pt | PaintHandler
pt | PaintWindow
pt | CreateBrush
pt | ScaleControls
pt | ChangeScale
pt | CMBiDiModeChanged
pt | CMBorderChanged
pt | CMDoubleBufferedChanged
pt | CMEnabledChanged
pt | CMParentDoubleBufferedChanged
pt | CMShowingChanged
pt | CMShowHintChanged
pt | CMVisibleChanged
pt | CMEnter
pt | CMExit
pt | WMContextMenu
pt | WMEraseBkgnd
pt | WMNotify
pt | WMSetFocus
pt | WMKillFocus
pt | WMShowWindow
pt | WMEnter
pt | WMExit
pt | WMKeyDown
pt | WMSysKeyDown
pt | WMKeyUp
pt | WMSysKeyUp
pt | WMChar
pt | WMSysChar
pt | WMPaint
pt | WMDestroy
pt | WMMove
pt | WMSize
pt | WMWindowPosChanged
pt | CNKeyDown
pt | CNSysKeyDown
pt | CNKeyUp
pt | CNSysKeyUp
pt | CNChar
pt | DoDragMsg
pt | DoDockClientMsg
pt | DoUndockClientMsg
pt | DoAddDockClient
pt | DockOver
pt | DoDockOver
pt | DoRemoveDockClient
pt | DoUnDock
pt | GetSiteInfo
pt | GetParentHandle
pt | GetTopParentHandle
pt | ReloadDockedControl
pt | CreateDockManager
pt | SetDockManager
pt | DoFloatMsg
pt | DoGetDockCaption
pt | DoEnter
pt | DoExit
pt | DoKeyDownBeforeInterface
pt | DoRemainingKeyDown
pt | DoRemainingKeyUp
pt | DoKeyPress
pt | DoUTF8KeyPress
pt | DoKeyUpBeforeInterface
pt | ChildKey
pt | SendDialogChar
pt | DialogChar
pt | ControlKeyDown
pt | ControlKeyUp
pt | KeyDown
pt | KeyDownBeforeInterface
pt | KeyDownAfterInterface
pt | KeyPress
pt | KeyUp
pt | KeyUpBeforeInterface
pt | KeyUpAfterInterface
pt | UTF8KeyPress
pt | FindNextControl
pt | SelectFirst
pt | RealGetText
pt | GetBorderStyle
pt | GetClientOrigin
pt | GetClientRect
pt | GetControlOrigin
pt | GetDeviceContext
pt | GetParentBackground
pt | IsControlMouseMsg
pt | CreateHandle
pt | CreateParams
pt | CreateWnd
pt | DestroyHandle
pt | DestroyWnd
pt | DoFlipChildren
pt | FinalizeWnd
pt | FixupTabList
pt | FontChanged
pt | InitializeWnd
pt | Loaded
pt | FormEndUpdated
pt | MainWndProc
pt | ParentFormHandleInitialized
pt | ChildHandlesCreated
pt | GetMouseCapture
pt | RealSetText
pt | RemoveFocus
pt | SendMoveSizeMessages
pt | SetBorderStyle
pt | SetColor
pt | SetChildZPosition
pt | SetParentBackground
pt | ShowControl
pt | UpdateControlState
pt | UpdateShowing
pt | WndProc
pt | WSSetText
 | AutoSizePhases
 | AutoSizeDelayed
 | AutoSizeDelayedReport
 | AutoSizeDelayedHandle
 | BeginUpdateBounds
 | EndUpdateBounds
 | LockRealizeBounds
 | UnlockRealizeBounds
 | ControlAtPos
 | ContainsControl
 | DoAdjustClientRectChange
 | InvalidateClientRectCache
 | ClientRectNeedsInterfaceUpdate
 | SetBounds
 | GetChildrenRect
 | DisableAlign
 | EnableAlign
 | ReAlign
 | ScrollBy_WS
 | ScrollBy
 | WriteLayoutDebugReport
 | AutoAdjustLayout
 | Create
 | CreateParented
 | CreateParentedControl
 | Destroy
 | DockDrop
 | CanFocus
 | CanSetFocus
 | GetControlIndex
 | SetControlIndex
 | Focused
 | PerformTab
 | FindChildControl
 | SelectNext
 | SetTempCursor
 | BroadCast
 | NotifyControls
 | DefaultHandler
 | GetTextLen
 | Invalidate
 | AddControl
 | InsertControl
 | RemoveControl
 | GetEnumeratorControls
 | GetEnumeratorControlsReverse
 | Repaint
 | Update
 | SetFocus
 | FlipChildren
 | ScaleBy
 | GetDockCaption
 | UpdateDockCaption
 | GetTabOrderList
 | HandleAllocated
 | ParentHandlesAllocated
 | HandleNeeded
 | BrushCreated
 | EraseBackground
 | IntfUTF8KeyPress
 | IntfGetDropFilesTarget
 | PaintTo
 | SetShape
TControl
pt | WSRegisterClass
pt | GetCursor
pt | SetCursor
pt | SetVisible
pt | DoOnParentHandleDestruction
pt | DoAutoSize
pt | DoAllAutoSize
pt | BeginAutoSizing
pt | EndAutoSizing
pt | AnchorSideChanged
pt | ForeignAnchorSideChanged
pt | SetAlign
pt | SetAnchors
pt | SetAutoSize
pt | BoundsChanged
pt | CreateControlBorderSpacing
pt | DoConstraintsChange
pt | DoBorderSpacingChange
pt | IsBorderSpacingInnerBorderStored
pt | IsCaptionStored
pt | SendMoveSizeMessages
pt | ConstrainedResize
pt | CalculatePreferredSize
pt | DoOnResize
pt | DoOnChangeBounds
pt | CheckOnChangeBounds
pt | Resize
pt | RequestAlign
pt | UpdateAnchorRules
pt | ChangeBounds
pt | DoSetBounds
pt | ScaleConstraints
pt | ChangeScale
pt | CanAutoSize
pt | SetBiDiMode
pt | SetParentBiDiMode
pt | IsAParentAligning
pt | GetClientOrigin
pt | GetClientRect
pt | GetLogicalClientRect
pt | GetScrolledClientRect
pt | GetClientScrollOffset
pt | GetControlOrigin
pt | IsClientHeightStored
pt | IsClientWidthStored
pt | WidthIsAnchored
pt | HeightIsAnchored
pt | WMCancelMode
pt | WMContextMenu
pt | WMLButtonDown
pt | WMRButtonDown
pt | WMMButtonDown
pt | WMXButtonDown
pt | WMLButtonDBLCLK
pt | WMRButtonDBLCLK
pt | WMMButtonDBLCLK
pt | WMXButtonDBLCLK
pt | WMLButtonTripleCLK
pt | WMRButtonTripleCLK
pt | WMMButtonTripleCLK
pt | WMXButtonTripleCLK
pt | WMLButtonQuadCLK
pt | WMRButtonQuadCLK
pt | WMMButtonQuadCLK
pt | WMXButtonQuadCLK
pt | WMMouseMove
pt | WMLButtonUp
pt | WMRButtonUp
pt | WMMButtonUp
pt | WMXButtonUp
pt | WMMouseWheel
pt | WMMouseHWheel
pt | WMMove
pt | WMSize
pt | WMWindowPosChanged
pt | CMChanged
pt | LMCaptureChanged
pt | CMBiDiModeChanged
pt | CMSysFontChanged
pt | CMEnabledChanged
pt | CMHitTest
pt | CMMouseEnter
pt | CMMouseLeave
pt | CMHintShow
pt | CMParentBiDiModeChanged
pt | CMParentColorChanged
pt | CMParentFontChanged
pt | CMParentShowHintChanged
pt | CMVisibleChanged
pt | CMTextChanged
pt | CMCursorChanged
pt | CalculateDockSizes
pt | CreateFloatingDockSite
pt | GetDockEdge
pt | GetDragImages
pt | GetFloating
pt | GetFloatingDockSiteClass
pt | BeforeDragStart
pt | BeginAutoDrag
pt | DoFloatMsg
pt | DockTrackNoTarget
pt | DoDock
pt | DoDragMsg
pt | DoEndDock
pt | DoEndDrag
pt | DoStartDock
pt | DoStartDrag
pt | DragCanceled
pt | DragOver
pt | PositionDockRect
pt | SetDragMode
pt | GetDefaultDockCaption
pt | Click
pt | DblClick
pt | TripleClick
pt | QuadClick
pt | GetMousePosFromMessage
pt | MouseDown
pt | MouseMove
pt | MouseUp
pt | MouseEnter
pt | MouseLeave
pt | DialogChar
pt | UpdateMouseCursor
pt | Changed
pt | GetPalette
pt | ChildClassAllowed
pt | ReadState
pt | Loaded
pt | LoadedAll
pt | DefineProperties
pt | AssignTo
pt | FormEndUpdated
pt | InvalidateControl
pt | FontChanged
pt | ParentFontChanged
pt | GetAction
pt | RealGetText
pt | RealSetText
pt | TextChanged
pt | GetCachedText
pt | SetAction
pt | SetColor
pt | SetEnabled
pt | SetHint
pt | SetName
pt | SetParent
pt | SetParentComponent
pt | WndProc
pt | ParentFormHandleInitialized
pt | GetMouseCapture
pt | CaptureChanged
pt | Notification
pt | CanTab
pt | GetDeviceContext
pt | GetEnabled
pt | GetPopupMenu
pt | DoOnShowHint
pt | DoMouseWheel
pt | DoMouseWheelDown
pt | DoMouseWheelUp
pt | DoMouseWheelHorz
pt | DoMouseWheelLeft
pt | DoMouseWheelRight
pt | VisibleChanging
pt | VisibleChanged
pt | EnabledChanging
pt | EnabledChanged
pt | AddHandler
pt | RemoveHandler
pt | DoCallNotifyHandler
pt | DoCallKeyEventHandler
pt | DoCallMouseWheelEventHandler
pt | DoContextPopup
pt | SetZOrder
pt | GetControlClassDefaultSize
pt | ColorIsStored
pt | DoAutoAdjustLayout
pt | DoFixDesignFontPPI
pt | DoScaleFontPPI
pt | GetActionLinkClass
pt | ActionChange
 | DragDrop
 | Dock
 | ManualDock
 | ManualFloat
 | ReplaceDockedControl
 | Docked
 | Dragging
 | GetAccessibleObject
 | CreateAccessibleObject
 | GetSelectedChildAccessibleObject
 | GetChildAccessibleObjectAtPos
 | ScaleDesignToForm
 | ScaleFormToDesign
 | Scale96ToForm
 | ScaleFormTo96
 | Scale96ToFont
 | ScaleFontTo96
 | ScaleScreenToFont
 | ScaleFontToScreen
 | Scale96ToScreen
 | ScaleScreenTo96
 | AdjustSize
 | AutoSizePhases
 | AutoSizeDelayed
 | AutoSizeDelayedReport
 | AutoSizeDelayedHandle
 | AnchorToNeighbour
 | AnchorParallel
 | AnchorHorizontalCenterTo
 | AnchorVerticalCenterTo
 | AnchorToCompanion
 | AnchorSame
 | AnchorAsAlign
 | AnchorClient
 | AnchoredControlCount
 | SetBounds
 | SetInitialBounds
 | SetBoundsKeepBase
 | GetPreferredSize
 | GetCanvasScaleFactor
 | GetDefaultWidth
 | GetDefaultHeight
 | GetDefaultColor
 | GetColorResolvingParent
 | GetRGBColorResolvingParent
 | GetSidePosition
 | CNPreferredSizeChanged
 | InvalidatePreferredSize
 | GetAnchorsDependingOnParent
 | DisableAutoSizing
 | EnableAutoSizing
 | UpdateBaseBounds
 | WriteLayoutDebugReport
 | AutoAdjustLayout
 | ShouldAutoAdjust
 | FixDesignFontsPPI
 | ScaleFontsPPI
 | Create
 | Destroy
 | BeforeDestruction
 | EditingDone
 | ExecuteDefaultAction
 | ExecuteCancelAction
 | BeginDrag
 | EndDrag
 | BringToFront
 | HasParent
 | GetParentComponent
 | IsParentOf
 | GetTopParent
 | IsVisible
 | IsControlVisible
 | IsEnabled
 | IsParentColor
 | IsParentFont
 | FormIsUpdating
 | IsProcessingPaintMsg
 | Hide
 | Refresh
 | Repaint
 | Invalidate
 | CheckChildClassAllowed
 | CheckNewParent
 | SendToBack
 | SetTempCursor
 | UpdateRolesForForm
 | ActiveDefaultControlChanged
 | GetTextBuf
 | GetTextLen
 | SetTextBuf
 | Perform
 | ScreenToClient
 | ClientToScreen
 | ScreenToControl
 | ControlToScreen
 | ClientToParent
 | ParentToClient
 | GetChildrenRect
 | Show
 | Update
 | HandleObjectShouldBeVisible
 | ParentDestroyingHandle
 | ParentHandlesAllocated
 | InitiateAction
 | ShowHelp
 | HasHelp
 | RemoveAllHandlersOfObject
 | AddHandlerOnResize
 | RemoveHandlerOnResize
 | AddHandlerOnChangeBounds
 | RemoveHandlerOnChangeBounds
 | AddHandlerOnVisibleChanging
 | RemoveHandlerOnVisibleChanging
 | AddHandlerOnVisibleChanged
 | RemoveHandlerOnVisibleChanged
 | AddHandlerOnEnabledChanged
 | RemoveHandlerOnEnableChanging
 | AddHandlerOnKeyDown
 | RemoveHandlerOnKeyDown
 | AddHandlerOnBeforeDestruction
 | RemoveHandlerOnBeforeDestruction
 | AddHandlerOnMouseWheel
 | RemoveHandlerOnMouseWheel
 | UseRightToLeftAlignment
 | UseRightToLeftReading
 | UseRightToLeftScrollBar
 | IsRightToLeft
TLCLComponent
pt | WSRegisterClass
pt | GetWSComponentClass
 | Create
 | Destroy
 | NewInstance
 | RemoveAllHandlersOfObject
 | IncLCLRefCount
 | DecLCLRefCount
TComponent
 | GetComObject
 | GetComponent
 | GetComponentCount
 | GetComponentIndex
 | Insert
 | ReadLeft
 | ReadTop
 | Remove
 | RemoveNotification
 | SetComponentIndex
 | SetReference
 | WriteLeft
 | WriteTop
 | ChangeName
 | DefineProperties
 | GetChildren
 | GetChildOwner
 | GetChildParent
 | GetOwner
 | Loaded
 | Loading
 | Notification
 | PaletteCreated
 | ReadState
 | SetAncestor
 | SetDesigning
 | SetDesignInstance
 | SetInline
 | SetName
 | SetChildOrder
 | SetParentComponent
 | Updating
 | Updated
 | UpdateRegistry
 | ValidateRename
 | ValidateContainer
 | ValidateInsert
 | QueryInterface
 | _AddRef
 | _Release
 | iicrGetComponent
 | GetTypeInfoCount
 | GetTypeInfo
 | GetIDsOfNames
 | Invoke
 | WriteState
 | Create
 | Destroy
 | BeforeDestruction
 | DestroyComponents
 | Destroying
 | ExecuteAction
 | FindComponent
 | FreeNotification
 | RemoveFreeNotification
 | FreeOnRelease
 | GetEnumerator
 | GetNamePath
 | GetParentComponent
 | HasParent
 | InsertComponent
 | RemoveComponent
 | SafeCallException
 | SetSubComponent
 | UpdateAction
 | IsImplementorOf
 | ReferenceInterface
TPersistent
 | AssignError
 | AssignTo
 | DefineProperties
 | GetOwner
 | Destroy
 | Assign
 | FPOAttachObserver
 | FPODetachObserver
 | FPONotifyObservers
 | GetNamePath
TObject
 | Create
 | Destroy
 | newinstance
 | FreeInstance
 | SafeCallException
 | DefaultHandler
 | Free
 | InitInstance
 | CleanupInstance
 | ClassType
 | ClassInfo
 | ClassName
 | ClassNameIs
 | ClassParent
 | InstanceSize
 | InheritsFrom
 | StringMessageTable
 | MethodAddress
 | MethodName
 | FieldAddress
 | AfterConstruction
 | BeforeDestruction
 | DefaultHandlerStr
 | Dispatch
 | DispatchStr
 | GetInterface
 | GetInterfaceByStr
 | GetInterfaceWeak
 | GetInterfaceEntry
 | GetInterfaceEntryByStr
 | GetInterfaceTable
 | UnitName
 | Equals
 | GetHashCode
 | ToString


pt | ActionChange (TControl)
 | ActiveDefaultControlChanged (TControl)
pt | AdaptAnchors (TCustomSplitter)
 | AddControl (TWinControl)
pt | AddHandler (TControl)
 | AddHandlerOnBeforeDestruction (TControl)
 | AddHandlerOnChangeBounds (TControl)
 | AddHandlerOnEnabledChanged (TControl)
 | AddHandlerOnKeyDown (TControl)
 | AddHandlerOnMouseWheel (TControl)
 | AddHandlerOnResize (TControl)
 | AddHandlerOnVisibleChanged (TControl)
 | AddHandlerOnVisibleChanging (TControl)
pt | AdjustClientRect (TWinControl)
 | AdjustSize (TControl)
 | AfterConstruction (TObject)
pt | AlignControls (TWinControl)
pt | AllAutoSized (TWinControl)
 | AnchorAsAlign (TControl)
 | AnchorClient (TControl)
 | AnchoredControlCount (TControl)
 | AnchorHorizontalCenterTo (TControl)
 | AnchorParallel (TControl)
 | AnchorSame (TControl)
pt | AnchorSideChanged (TControl)
 | AnchorSplitter (TCustomSplitter)
 | AnchorToCompanion (TControl)
 | AnchorToNeighbour (TControl)
 | AnchorVerticalCenterTo (TControl)
 | Assign (TPersistent)
 | AssignError (TPersistent)
 | AssignTo (TPersistent)
pt | AssignTo (TControl)
 | AutoAdjustLayout (TControl)
 | AutoAdjustLayout (TWinControl)
 | AutoSizeDelayed (TControl)
 | AutoSizeDelayed (TWinControl)
 | AutoSizeDelayedHandle (TControl)
 | AutoSizeDelayedHandle (TWinControl)
 | AutoSizeDelayedReport (TControl)
 | AutoSizeDelayedReport (TWinControl)
 | AutoSizePhases (TControl)
 | AutoSizePhases (TWinControl)
 | BeforeDestruction (TObject)
 | BeforeDestruction (TComponent)
 | BeforeDestruction (TControl)
pt | BeforeDragStart (TControl)
pt | BeginAutoDrag (TControl)
pt | BeginAutoSizing (TControl)
 | BeginDrag (TControl)
 | BeginUpdateBounds (TWinControl)
pt | BoundsChanged (TControl)
 | BringToFront (TControl)
 | BroadCast (TWinControl)
 | BrushCreated (TWinControl)
pt | CalculateDockSizes (TControl)
pt | CalculatePreferredSize (TControl)
pt | CalculatePreferredSize (TWinControl)
pt | CanAutoSize (TControl)
 | CanFocus (TWinControl)
 | CanSetFocus (TWinControl)
pt | CanTab (TControl)
pt | CanTab (TWinControl)
pt | CaptureChanged (TControl)
pt | ChangeBounds (TControl)
pt | Changed (TControl)
 | ChangeName (TComponent)
pt | ChangeScale (TControl)
pt | ChangeScale (TWinControl)
 | CheckChildClassAllowed (TControl)
 | CheckNewParent (TControl)
pt | CheckNewSize (TCustomSplitter)
pt | CheckOffset (TCustomSplitter)
pt | CheckOnChangeBounds (TControl)
pt | ChildClassAllowed (TControl)
pt | ChildClassAllowed (TWinControl)
pt | ChildHandlesCreated (TWinControl)
pt | ChildKey (TWinControl)
 | ClassInfo (TObject)
 | ClassName (TObject)
 | ClassNameIs (TObject)
 | ClassParent (TObject)
 | ClassType (TObject)
 | CleanupInstance (TObject)
pt | Click (TControl)
 | ClientRectNeedsInterfaceUpdate (TWinControl)
 | ClientToParent (TControl)
 | ClientToScreen (TControl)
pt | CMBiDiModeChanged (TControl)
pt | CMBiDiModeChanged (TWinControl)
pt | CMBorderChanged (TWinControl)
pt | CMChanged (TControl)
pt | CMCursorChanged (TControl)
pt | CMDoubleBufferedChanged (TWinControl)
pt | CMEnabledChanged (TControl)
pt | CMEnabledChanged (TWinControl)
pt | CMEnabledChanged (TCustomSplitter)
pt | CMEnter (TWinControl)
pt | CMExit (TWinControl)
pt | CMHintShow (TControl)
pt | CMHitTest (TControl)
pt | CMMouseEnter (TControl)
pt | CMMouseLeave (TControl)
pt | CMParentBiDiModeChanged (TControl)
pt | CMParentColorChanged (TControl)
pt | CMParentDoubleBufferedChanged (TWinControl)
pt | CMParentFontChanged (TControl)
pt | CMParentShowHintChanged (TControl)
pt | CMShowHintChanged (TWinControl)
pt | CMShowingChanged (TWinControl)
pt | CMSysFontChanged (TControl)
pt | CMTextChanged (TControl)
pt | CMVisibleChanged (TControl)
pt | CMVisibleChanged (TWinControl)
pt | CNChar (TWinControl)
pt | CNKeyDown (TWinControl)
pt | CNKeyUp (TWinControl)
 | CNPreferredSizeChanged (TControl)
pt | CNSysKeyDown (TWinControl)
pt | CNSysKeyUp (TWinControl)
pt | ColorIsStored (TControl)
pt | ConstrainedResize (TControl)
 | ContainsControl (TWinControl)
 | ControlAtPos (TWinControl)
pt | ControlKeyDown (TWinControl)
pt | ControlKeyUp (TWinControl)
pt | ControlsAligned (TWinControl)
 | ControlToScreen (TControl)
 | Create (TObject)
 | Create (TComponent)
 | Create (TLCLComponent)
 | Create (TControl)
 | Create (TWinControl)
 | Create (TCustomControl)
 | Create (TCustomSplitter)
 | Create (TLazDockSplitter)
 | CreateAccessibleObject (TControl)
pt | CreateBrush (TWinControl)
pt | CreateControlBorderSpacing (TControl)
pt | CreateDockManager (TWinControl)
pt | CreateFloatingDockSite (TControl)
pt | CreateHandle (TWinControl)
pt | CreateParams (TWinControl)
 | CreateParented (TWinControl)
 | CreateParentedControl (TWinControl)
pt | CreateSubClass (TWinControl)
pt | CreateWnd (TWinControl)
pt | CustomAlignInsertBefore (TWinControl)
pt | CustomAlignPosition (TWinControl)
pt | DblClick (TControl)
 | DecLCLRefCount (TLCLComponent)
 | DefaultHandler (TObject)
 | DefaultHandler (TWinControl)
 | DefaultHandlerStr (TObject)
 | DefineProperties (TPersistent)
 | DefineProperties (TComponent)
pt | DefineProperties (TControl)
 | Destroy (TObject)
 | Destroy (TPersistent)
 | Destroy (TComponent)
 | Destroy (TLCLComponent)
 | Destroy (TControl)
 | Destroy (TWinControl)
 | Destroy (TCustomControl)
 | DestroyComponents (TComponent)
pt | DestroyHandle (TWinControl)
 | Destroying (TComponent)
pt | DestroyWnd (TWinControl)
pt | DestroyWnd (TCustomControl)
pt | DialogChar (TControl)
pt | DialogChar (TWinControl)
 | DisableAlign (TWinControl)
 | DisableAutoSizing (TControl)
 | Dispatch (TObject)
 | DispatchStr (TObject)
pt | DoAddDockClient (TWinControl)
 | DoAdjustClientRectChange (TWinControl)
pt | DoAlignChildControls (TWinControl)
pt | DoAllAutoSize (TControl)
pt | DoAllAutoSize (TWinControl)
pt | DoAutoAdjustLayout (TControl)
pt | DoAutoSize (TControl)
pt | DoAutoSize (TWinControl)
pt | DoBorderSpacingChange (TControl)
pt | DoCallKeyEventHandler (TControl)
pt | DoCallMouseWheelEventHandler (TControl)
pt | DoCallNotifyHandler (TControl)
pt | DoChildSizingChange (TWinControl)
 | Dock (TControl)
 | DockDrop (TWinControl)
 | Docked (TControl)
pt | DockOver (TWinControl)
pt | DockTrackNoTarget (TControl)
pt | DoConstraintsChange (TControl)
pt | DoConstraintsChange (TWinControl)
pt | DoContextPopup (TControl)
pt | DoDock (TControl)
pt | DoDockClientMsg (TWinControl)
pt | DoDockOver (TWinControl)
pt | DoDragMsg (TControl)
pt | DoDragMsg (TWinControl)
pt | DoEndDock (TControl)
pt | DoEndDrag (TControl)
pt | DoEnter (TWinControl)
pt | DoExit (TWinControl)
pt | DoFixDesignFontPPI (TControl)
pt | DoFlipChildren (TWinControl)
pt | DoFloatMsg (TControl)
pt | DoFloatMsg (TWinControl)
pt | DoGetDockCaption (TWinControl)
pt | DoKeyDownBeforeInterface (TWinControl)
pt | DoKeyPress (TWinControl)
pt | DoKeyUpBeforeInterface (TWinControl)
pt | DoMouseWheel (TControl)
pt | DoMouseWheelDown (TControl)
pt | DoMouseWheelHorz (TControl)
pt | DoMouseWheelLeft (TControl)
pt | DoMouseWheelRight (TControl)
pt | DoMouseWheelUp (TControl)
pt | DoOnChangeBounds (TControl)
pt | DoOnParentHandleDestruction (TControl)
pt | DoOnResize (TControl)
pt | DoOnShowHint (TControl)
pt | DoRemainingKeyDown (TWinControl)
pt | DoRemainingKeyUp (TWinControl)
pt | DoRemoveDockClient (TWinControl)
pt | DoScaleFontPPI (TControl)
pt | DoSendBoundsToInterface (TWinControl)
pt | DoSendShowHideToInterface (TWinControl)
pt | DoSetBounds (TControl)
pt | DoSetBounds (TWinControl)
pt | DoStartDock (TControl)
pt | DoStartDrag (TControl)
pt | DoUnDock (TWinControl)
pt | DoUndockClientMsg (TWinControl)
pt | DoUTF8KeyPress (TWinControl)
pt | DragCanceled (TControl)
 | DragDrop (TControl)
 | Dragging (TControl)
pt | DragOver (TControl)
 | EditingDone (TControl)
 | EnableAlign (TWinControl)
 | EnableAutoSizing (TControl)
pt | EnabledChanged (TControl)
pt | EnabledChanging (TControl)
pt | EndAutoSizing (TControl)
 | EndDrag (TControl)
 | EndUpdateBounds (TWinControl)
 | Equals (TObject)
 | EraseBackground (TWinControl)
 | ExecuteAction (TComponent)
 | ExecuteCancelAction (TControl)
 | ExecuteDefaultAction (TControl)
 | FieldAddress (TObject)
pt | FinalizeWnd (TWinControl)
pt | FindAlignControl (TCustomSplitter)
pt | FindAlignOtherControl (TCustomSplitter)
 | FindChildControl (TWinControl)
 | FindComponent (TComponent)
pt | FindNextControl (TWinControl)
 | FixDesignFontsPPI (TControl)
pt | FixupTabList (TWinControl)
 | FlipChildren (TWinControl)
 | Focused (TWinControl)
pt | FontChanged (TControl)
pt | FontChanged (TWinControl)
pt | FontChanged (TCustomControl)
pt | ForeignAnchorSideChanged (TControl)
pt | FormEndUpdated (TControl)
pt | FormEndUpdated (TWinControl)
 | FormIsUpdating (TControl)
 | FPOAttachObserver (TPersistent)
 | FPODetachObserver (TPersistent)
 | FPONotifyObservers (TPersistent)
 | Free (TObject)
 | FreeInstance (TObject)
 | FreeNotification (TComponent)
 | FreeOnRelease (TComponent)
 | GetAccessibleObject (TControl)
pt | GetAction (TControl)
pt | GetActionLinkClass (TControl)
pt | GetAdjustedLogicalClientRect (TWinControl)
 | GetAnchorsDependingOnParent (TControl)
pt | GetBorderStyle (TWinControl)
pt | GetCachedText (TControl)
 | GetCanvasScaleFactor (TControl)
 | GetChildAccessibleObjectAtPos (TControl)
 | GetChildOwner (TComponent)
 | GetChildParent (TComponent)
 | GetChildren (TComponent)
pt | GetChildren (TWinControl)
 | GetChildrenRect (TControl)
 | GetChildrenRect (TWinControl)
pt | GetClientOrigin (TControl)
pt | GetClientOrigin (TWinControl)
pt | GetClientRect (TControl)
pt | GetClientRect (TWinControl)
pt | GetClientScrollOffset (TControl)
 | GetColorResolvingParent (TControl)
 | GetComObject (TComponent)
 | GetComponent (TComponent)
 | GetComponentCount (TComponent)
 | GetComponentIndex (TComponent)
pt | GetControlClassDefaultSize (TControl)
 | GetControlIndex (TWinControl)
pt | GetControlOrigin (TControl)
pt | GetControlOrigin (TWinControl)
pt | GetCursor (TControl)
 | GetDefaultColor (TControl)
pt | GetDefaultDockCaption (TControl)
 | GetDefaultHeight (TControl)
 | GetDefaultWidth (TControl)
pt | GetDeviceContext (TControl)
pt | GetDeviceContext (TWinControl)
 | GetDockCaption (TWinControl)
pt | GetDockEdge (TControl)
pt | GetDragImages (TControl)
pt | GetEnabled (TControl)
 | GetEnumerator (TComponent)
 | GetEnumeratorControls (TWinControl)
 | GetEnumeratorControlsReverse (TWinControl)
pt | GetFloating (TControl)
pt | GetFloatingDockSiteClass (TControl)
 | GetHashCode (TObject)
 | GetIDsOfNames (TComponent)
 | GetInterface (TObject)
 | GetInterfaceByStr (TObject)
 | GetInterfaceEntry (TObject)
 | GetInterfaceEntryByStr (TObject)
 | GetInterfaceTable (TObject)
 | GetInterfaceWeak (TObject)
pt | GetLogicalClientRect (TControl)
pt | GetMouseCapture (TControl)
pt | GetMouseCapture (TWinControl)
pt | GetMousePosFromMessage (TControl)
 | GetNamePath (TPersistent)
 | GetNamePath (TComponent)
 | GetOtherResizeControl (TCustomSplitter)
 | GetOwner (TPersistent)
 | GetOwner (TComponent)
pt | GetPalette (TControl)
pt | GetParentBackground (TWinControl)
 | GetParentComponent (TComponent)
 | GetParentComponent (TControl)
pt | GetParentHandle (TWinControl)
pt | GetPopupMenu (TControl)
 | GetPreferredSize (TControl)
pt | GetPreferredSizeClientFrame (TWinControl)
 | GetRGBColorResolvingParent (TControl)
pt | GetScrolledClientRect (TControl)
 | GetSelectedChildAccessibleObject (TControl)
 | GetSidePosition (TControl)
pt | GetSiteInfo (TWinControl)
 | GetSplitterPosition (TCustomSplitter)
 | GetTabOrderList (TWinControl)
 | GetTextBuf (TControl)
 | GetTextLen (TControl)
 | GetTextLen (TWinControl)
 | GetTopParent (TControl)
pt | GetTopParentHandle (TWinControl)
 | GetTypeInfo (TComponent)
 | GetTypeInfoCount (TComponent)
pt | GetWSComponentClass (TLCLComponent)
 | HandleAllocated (TWinControl)
 | HandleNeeded (TWinControl)
 | HandleObjectShouldBeVisible (TControl)
 | HasHelp (TControl)
 | HasParent (TComponent)
 | HasParent (TControl)
pt | HeightIsAnchored (TControl)
 | Hide (TControl)
 | iicrGetComponent (TComponent)
 | IncLCLRefCount (TLCLComponent)
 | InheritsFrom (TObject)
pt | InitializeWnd (TWinControl)
 | InitiateAction (TControl)
 | InitInstance (TObject)
 | Insert (TComponent)
 | InsertComponent (TComponent)
 | InsertControl (TWinControl)
 | InstanceSize (TObject)
 | IntfGetDropFilesTarget (TWinControl)
 | IntfUTF8KeyPress (TWinControl)
 | Invalidate (TControl)
 | Invalidate (TWinControl)
pt | InvalidateBoundsRealized (TWinControl)
 | InvalidateClientRectCache (TWinControl)
pt | InvalidateControl (TControl)
pt | InvalidatePreferredChildSizes (TWinControl)
 | InvalidatePreferredSize (TControl)
 | Invoke (TComponent)
pt | IsAParentAligning (TControl)
pt | IsBorderSpacingInnerBorderStored (TControl)
pt | IsCaptionStored (TControl)
pt | IsClientHeightStored (TControl)
pt | IsClientHeightStored (TWinControl)
pt | IsClientWidthStored (TControl)
pt | IsClientWidthStored (TWinControl)
pt | IsControlMouseMsg (TWinControl)
 | IsControlVisible (TControl)
 | IsEnabled (TControl)
 | IsImplementorOf (TComponent)
 | IsParentColor (TControl)
 | IsParentFont (TControl)
 | IsParentOf (TControl)
 | IsProcessingPaintMsg (TControl)
 | IsRightToLeft (TControl)
 | IsVisible (TControl)
pt | KeyDown (TWinControl)
pt | KeyDownAfterInterface (TWinControl)
pt | KeyDownBeforeInterface (TWinControl)
pt | KeyPress (TWinControl)
pt | KeyUp (TWinControl)
pt | KeyUpAfterInterface (TWinControl)
pt | KeyUpBeforeInterface (TWinControl)
pt | LMCaptureChanged (TControl)
 | Loaded (TComponent)
pt | Loaded (TControl)
pt | Loaded (TWinControl)
pt | LoadedAll (TControl)
 | Loading (TComponent)
 | LockRealizeBounds (TWinControl)
pt | MainWndProc (TWinControl)
 | ManualDock (TControl)
 | ManualFloat (TControl)
 | MethodAddress (TObject)
 | MethodName (TObject)
pt | MouseDown (TControl)
pt | MouseDown (TCustomSplitter)
pt | MouseEnter (TControl)
pt | MouseEnter (TCustomSplitter)
pt | MouseLeave (TControl)
pt | MouseLeave (TCustomSplitter)
pt | MouseMove (TControl)
pt | MouseMove (TCustomSplitter)
pt | MouseUp (TControl)
pt | MouseUp (TCustomSplitter)
 | MoveSplitter (TCustomSplitter)
 | newinstance (TObject)
 | NewInstance (TLCLComponent)
 | Notification (TComponent)
pt | Notification (TControl)
 | NotifyControls (TWinControl)
pt | Paint (TCustomControl)
pt | Paint (TCustomSplitter)
pt | PaintControls (TWinControl)
pt | PaintHandler (TWinControl)
 | PaintTo (TWinControl)
pt | PaintWindow (TWinControl)
pt | PaintWindow (TCustomControl)
 | PaletteCreated (TComponent)
 | ParentDestroyingHandle (TControl)
pt | ParentFontChanged (TControl)
pt | ParentFormHandleInitialized (TControl)
pt | ParentFormHandleInitialized (TWinControl)
 | ParentHandlesAllocated (TControl)
 | ParentHandlesAllocated (TWinControl)
 | ParentToClient (TControl)
 | Perform (TControl)
 | PerformTab (TWinControl)
pt | PositionDockRect (TControl)
pt | QuadClick (TControl)
 | QueryInterface (TComponent)
 | ReadLeft (TComponent)
 | ReadState (TComponent)
pt | ReadState (TControl)
 | ReadTop (TComponent)
pt | RealGetText (TControl)
pt | RealGetText (TWinControl)
 | ReAlign (TWinControl)
pt | RealizeBounds (TWinControl)
pt | RealizeBoundsRecursive (TWinControl)
pt | RealSetText (TControl)
pt | RealSetText (TWinControl)
 | ReferenceInterface (TComponent)
 | Refresh (TControl)
pt | ReloadDockedControl (TWinControl)
 | Remove (TComponent)
 | RemoveAllHandlersOfObject (TLCLComponent)
 | RemoveAllHandlersOfObject (TControl)
 | RemoveComponent (TComponent)
 | RemoveControl (TWinControl)
pt | RemoveFocus (TWinControl)
 | RemoveFreeNotification (TComponent)
pt | RemoveHandler (TControl)
 | RemoveHandlerOnBeforeDestruction (TControl)
 | RemoveHandlerOnChangeBounds (TControl)
 | RemoveHandlerOnEnableChanging (TControl)
 | RemoveHandlerOnKeyDown (TControl)
 | RemoveHandlerOnMouseWheel (TControl)
 | RemoveHandlerOnResize (TControl)
 | RemoveHandlerOnVisibleChanged (TControl)
 | RemoveHandlerOnVisibleChanging (TControl)
 | RemoveNotification (TComponent)
 | Repaint (TControl)
 | Repaint (TWinControl)
 | ReplaceDockedControl (TControl)
pt | RequestAlign (TControl)
pt | Resize (TControl)
 | SafeCallException (TObject)
 | SafeCallException (TComponent)
 | Scale96ToFont (TControl)
 | Scale96ToForm (TControl)
 | Scale96ToScreen (TControl)
 | ScaleBy (TWinControl)
pt | ScaleConstraints (TControl)
pt | ScaleControls (TWinControl)
 | ScaleDesignToForm (TControl)
 | ScaleFontsPPI (TControl)
 | ScaleFontTo96 (TControl)
 | ScaleFontToScreen (TControl)
 | ScaleFormTo96 (TControl)
 | ScaleFormToDesign (TControl)
 | ScaleScreenTo96 (TControl)
 | ScaleScreenToFont (TControl)
 | ScreenToClient (TControl)
 | ScreenToControl (TControl)
 | ScrollBy (TWinControl)
 | ScrollBy_WS (TWinControl)
pt | SelectFirst (TWinControl)
 | SelectNext (TWinControl)
pt | SendDialogChar (TWinControl)
pt | SendMoveSizeMessages (TControl)
pt | SendMoveSizeMessages (TWinControl)
 | SendToBack (TControl)
pt | SetAction (TControl)
pt | SetAlign (TControl)
pt | SetAlign (TCustomSplitter)
 | SetAncestor (TComponent)
pt | SetAnchors (TControl)
pt | SetAnchors (TCustomSplitter)
pt | SetAutoSize (TControl)
pt | SetBiDiMode (TControl)
pt | SetBorderStyle (TWinControl)
 | SetBounds (TControl)
 | SetBounds (TWinControl)
 | SetBoundsKeepBase (TControl)
 | SetChildOrder (TComponent)
pt | SetChildZPosition (TWinControl)
pt | SetColor (TControl)
pt | SetColor (TWinControl)
pt | SetColor (TCustomControl)
 | SetComponentIndex (TComponent)
 | SetControlIndex (TWinControl)
pt | SetCursor (TControl)
 | SetDesigning (TComponent)
 | SetDesignInstance (TComponent)
pt | SetDockManager (TWinControl)
pt | SetDragMode (TControl)
pt | SetEnabled (TControl)
 | SetFocus (TWinControl)
pt | SetHint (TControl)
 | SetInitialBounds (TControl)
 | SetInline (TComponent)
 | SetName (TComponent)
pt | SetName (TControl)
pt | SetParent (TControl)
pt | SetParentBackground (TWinControl)
pt | SetParentBiDiMode (TControl)
 | SetParentComponent (TComponent)
pt | SetParentComponent (TControl)
 | SetReference (TComponent)
pt | SetResizeAnchor (TCustomSplitter)
pt | SetResizeControl (TCustomSplitter)
 | SetShape (TWinControl)
 | SetSplitterPosition (TCustomSplitter)
 | SetSubComponent (TComponent)
 | SetTempCursor (TControl)
 | SetTempCursor (TWinControl)
 | SetTextBuf (TControl)
pt | SetVisible (TControl)
pt | SetZOrder (TControl)
 | ShouldAutoAdjust (TControl)
 | Show (TControl)
pt | ShowControl (TWinControl)
 | ShowHelp (TControl)
pt | StartSplitterMove (TCustomSplitter)
pt | StopSplitterMove (TCustomSplitter)
 | StringMessageTable (TObject)
pt | TextChanged (TControl)
 | ToString (TObject)
pt | TripleClick (TControl)
 | UnitName (TObject)
 | UnlockRealizeBounds (TWinControl)
 | Update (TControl)
 | Update (TWinControl)
 | UpdateAction (TComponent)
pt | UpdateAnchorRules (TControl)
 | UpdateBaseBounds (TControl)
pt | UpdateControlState (TWinControl)
pt | UpdateCursor (TCustomSplitter)
 | Updated (TComponent)
 | UpdateDockCaption (TWinControl)
pt | UpdateMouseCursor (TControl)
 | UpdateRegistry (TComponent)
 | UpdateRolesForForm (TControl)
pt | UpdateShowing (TWinControl)
 | Updating (TComponent)
 | UseRightToLeftAlignment (TControl)
 | UseRightToLeftReading (TControl)
 | UseRightToLeftScrollBar (TControl)
pt | UTF8KeyPress (TWinControl)
 | ValidateContainer (TComponent)
 | ValidateInsert (TComponent)
 | ValidateRename (TComponent)
pt | VisibleChanged (TControl)
pt | VisibleChanging (TControl)
pt | WidthIsAnchored (TControl)
pt | WMCancelMode (TControl)
pt | WMChar (TWinControl)
pt | WMContextMenu (TControl)
pt | WMContextMenu (TWinControl)
pt | WMDestroy (TWinControl)
pt | WMEnter (TWinControl)
pt | WMEraseBkgnd (TWinControl)
pt | WMExit (TWinControl)
pt | WMKeyDown (TWinControl)
pt | WMKeyUp (TWinControl)
pt | WMKillFocus (TWinControl)
pt | WMLButtonDBLCLK (TControl)
pt | WMLButtonDown (TControl)
pt | WMLButtonQuadCLK (TControl)
pt | WMLButtonTripleCLK (TControl)
pt | WMLButtonUp (TControl)
pt | WMMButtonDBLCLK (TControl)
pt | WMMButtonDown (TControl)
pt | WMMButtonQuadCLK (TControl)
pt | WMMButtonTripleCLK (TControl)
pt | WMMButtonUp (TControl)
pt | WMMouseHWheel (TControl)
pt | WMMouseMove (TControl)
pt | WMMouseWheel (TControl)
pt | WMMove (TControl)
pt | WMMove (TWinControl)
pt | WMNotify (TWinControl)
pt | WMPaint (TWinControl)
pt | WMPaint (TCustomControl)
pt | WMRButtonDBLCLK (TControl)
pt | WMRButtonDown (TControl)
pt | WMRButtonQuadCLK (TControl)
pt | WMRButtonTripleCLK (TControl)
pt | WMRButtonUp (TControl)
pt | WMSetFocus (TWinControl)
pt | WMShowWindow (TWinControl)
pt | WMSize (TControl)
pt | WMSize (TWinControl)
pt | WMSysChar (TWinControl)
pt | WMSysKeyDown (TWinControl)
pt | WMSysKeyUp (TWinControl)
pt | WMWindowPosChanged (TControl)
pt | WMWindowPosChanged (TWinControl)
pt | WMXButtonDBLCLK (TControl)
pt | WMXButtonDown (TControl)
pt | WMXButtonQuadCLK (TControl)
pt | WMXButtonTripleCLK (TControl)
pt | WMXButtonUp (TControl)
pt | WndProc (TControl)
pt | WndProc (TWinControl)
 | WriteLayoutDebugReport (TControl)
 | WriteLayoutDebugReport (TWinControl)
 | WriteLeft (TComponent)
 | WriteState (TComponent)
 | WriteTop (TComponent)
pt | WSRegisterClass (TLCLComponent)
pt | WSRegisterClass (TControl)
pt | WSRegisterClass (TWinControl)
pt | WSRegisterClass (TCustomControl)
pt | WSRegisterClass (TCustomSplitter)
pt | WSSetText (TWinControl)
 | _AddRef (TComponent)
 | _Release (TComponent)


TLazDockSplitter
TCustomSplitter
 | OnCanOffset
 | OnCanResize
 | OnMoved
TCustomControl
 | OnPaint
TWinControl
pt | OnGetSiteInfo
pt | OnGetDockCaption
 | OnAlignInsertBefore
 | OnAlignPosition
 | OnDockDrop
 | OnDockOver
 | OnEnter
 | OnExit
 | OnKeyDown
 | OnKeyPress
 | OnKeyUp
 | OnUnDock
 | OnUTF8KeyPress
TControl
pt | OnConstrainedResize
pt | OnContextPopup
pt | OnDblClick
pt | OnTripleClick
pt | OnQuadClick
pt | OnDragDrop
pt | OnDragOver
pt | OnEndDock
pt | OnEndDrag
pt | OnMouseDown
pt | OnMouseMove
pt | OnMouseUp
pt | OnMouseEnter
pt | OnMouseLeave
pt | OnMouseWheel
pt | OnMouseWheelDown
pt | OnMouseWheelUp
pt | OnMouseWheelHorz
pt | OnMouseWheelLeft
pt | OnMouseWheelRight
pt | OnStartDock
pt | OnStartDrag
pt | OnEditingDone
 | OnChangeBounds
 | OnClick
 | OnResize
 | OnShowHint
TLCLComponent
TComponent
TPersistent
TObject


TLazDockSplitter.Create

Create - constructor for TLazDockSplitter: calls inherited Create and initialises minimum size

Declaration

Source position: ldocktree.pas line 187

public constructor TLazDockSplitter.Create(

  AOwner: TComponent

); override;

See also

TCustomSplitter.Create

Create - constructor for TCustomSplitter: calls inherited Create then sets initial alignment, size and style


TLazDockTree

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

TLazDockTree - a tree of TLazDockZones found in a docked window

Declaration

Source position: ldocktree.pas line 72

type TLazDockTree = class(TDockTree)
protected
procedure AnchorDockLayout(); | AnchorDockLayout - sets up anchors between all docked controls and helper controls
procedure CreateDockLayoutHelperControls(); | CreateDockLayoutHelperControls - creates any splitters and pages needed for the dock layout, including recursive creation for child controls
procedure ResetSizes(); | ResetSizes - splits available size of Zone between children
procedure BreakAnchors(); | BreakAnchors - detach the anchors of all child controls
procedure PaintDockFrame(); override; | PaintDockFrame - finds the cursor position and paints the dock frame of the specified size on the nominated canvas
procedure UndockControlForDocking(); | UndockControlForDocking - frees anchors from parent and sibling controls
function DefaultDockGrabberSize; | DefaultDockGrabberSize - returns the default size for the dock grabber
public
constructor Create(); override; | Create - constructor for TLazDockTree: creates a docking form if required, sets up a dock manager then calls inherited Create
destructor Destroy; override; | Destroy - destructor for TLazDockTree: frees the dock site, annuls the Docksite manager, destroys any images then calls inherited Destroy
procedure AdjustDockRect(); override; | AdjustDockRect - offset one of the borders of control rect in order to get space for frame
procedure InsertControl(); override; | InsertControl - undocks AControl and docks it into the tree
procedure RemoveControl(); override; | RemoveControl - destroy child zone and all parents if they does not contain anything else, then removes the dock control
procedure BuildDockLayout(); | BuildDockLayout - breaks the current anchors, forms the appropriate helper controls then re-establishes the anchors
procedure FindBorderControls(); | FindBorderControls - makes splitters for all bordering controls along the specified Side
function FindBorderControl(); |
function GetAnchorControl(); | GetAnchorControl - find a control to anchor the Zone's Side
procedure PaintSite(); override; | PaintSite - paint bounds for each control and close button (using the supplied handle)
procedure MessageHandler(); override; | MessageHandler - checks the state of the mouse and takes the appropriate action: checks whether redraw is needed because of mouse move or change in mouse button status, text needs to be added, etc
procedure DumpLayout(); override; | DumpLayout - writes layout of Zone to a file, for debugging purposes etc
property AutoFreeDockSite: Boolean; [rw] | AutoFreeDockSite - determines whether the dock site is free
end;

Inheritance

TLazDockTree | TLazDockTree - a tree of TLazDockZones found in a docked window
|
TDockTree | A docking manager for tree-style layouts.
|
TDockManager | The layout manager for a docksite.
|
TPersistent,IFPObserved
|
TObject


TLazDockTree
 |  | AutoFreeDockSite
TDockTree
 | ro | DockZoneClass
 |  | DockSite
 | ro | RootZone
TDockManager
TPersistent
TObject


TLazDockTree
pt | AnchorDockLayout
pt | CreateDockLayoutHelperControls
pt | ResetSizes
pt | BreakAnchors
pt | PaintDockFrame
pt | UndockControlForDocking
pt | DefaultDockGrabberSize
 | Create
 | Destroy
 | AdjustDockRect
 | InsertControl
 | RemoveControl
 | BuildDockLayout
 | FindBorderControls
 | FindBorderControl
 | GetAnchorControl
 | PaintSite
 | MessageHandler
 | DumpLayout
TDockTree
pt | HitTest
pt | PaintDockFrame
pt | UpdateAll
pt | SetDockZoneClass
 | Create
 | Destroy
 | BeginUpdate
 | EndUpdate
 | AdjustDockRect
 | GetControlBounds
 | InsertControl
 | LoadFromStream
 | MessageHandler
 | PositionDockRect
 | RemoveControl
 | SaveToStream
 | SetReplacingControl
 | ResetBounds
 | PaintSite
 | DumpLayout
TDockManager
 | Create
 | BeginUpdate
 | EndUpdate
 | GetControlBounds
 | GetDockEdge
 | InsertControl
 | LoadFromStream
 | PaintSite
 | MessageHandler
 | PositionDockRect
 | RemoveControl
 | ResetBounds
 | SaveToStream
 | SetReplacingControl
 | AutoFreeByControl
 | IsEnabledControl
TPersistent
 | AssignError
 | AssignTo
 | DefineProperties
 | GetOwner
 | Destroy
 | Assign
 | FPOAttachObserver
 | FPODetachObserver
 | FPONotifyObservers
 | GetNamePath
TObject
 | Create
 | Destroy
 | newinstance
 | FreeInstance
 | SafeCallException
 | DefaultHandler
 | Free
 | InitInstance
 | CleanupInstance
 | ClassType
 | ClassInfo
 | ClassName
 | ClassNameIs
 | ClassParent
 | InstanceSize
 | InheritsFrom
 | StringMessageTable
 | MethodAddress
 | MethodName
 | FieldAddress
 | AfterConstruction
 | BeforeDestruction
 | DefaultHandlerStr
 | Dispatch
 | DispatchStr
 | GetInterface
 | GetInterfaceByStr
 | GetInterfaceWeak
 | GetInterfaceEntry
 | GetInterfaceEntryByStr
 | GetInterfaceTable
 | UnitName
 | Equals
 | GetHashCode
 | ToString


pt | AnchorDockLayout (TLazDockTree)
 | Assign (TPersistent)
 | AssignError (TPersistent)
 | AssignTo (TPersistent)
 | AutoFreeByControl (TDockManager)
 | BeforeDestruction (TObject)
 | BeginUpdate (TDockManager)
 | BeginUpdate (TDockTree)
pt | BreakAnchors (TLazDockTree)
 | BuildDockLayout (TLazDockTree)
 | ClassInfo (TObject)
 | ClassName (TObject)
 | ClassNameIs (TObject)
 | ClassParent (TObject)
 | ClassType (TObject)
 | CleanupInstance (TObject)
 | Create (TObject)
 | Create (TDockManager)
 | Create (TDockTree)
 | Create (TLazDockTree)
pt | CreateDockLayoutHelperControls (TLazDockTree)
pt | DefaultDockGrabberSize (TLazDockTree)
 | DefaultHandler (TObject)
 | DefaultHandlerStr (TObject)
 | DefineProperties (TPersistent)
 | Destroy (TObject)
 | Destroy (TPersistent)
 | Destroy (TDockTree)
 | Destroy (TLazDockTree)
 | Dispatch (TObject)
 | DispatchStr (TObject)
 | DumpLayout (TDockTree)
 | DumpLayout (TLazDockTree)
 | EndUpdate (TDockManager)
 | EndUpdate (TDockTree)
 | Equals (TObject)
 | FieldAddress (TObject)
 | FindBorderControl (TLazDockTree)
 | FindBorderControls (TLazDockTree)
 | FPOAttachObserver (TPersistent)
 | FPODetachObserver (TPersistent)
 | FPONotifyObservers (TPersistent)
 | Free (TObject)
 | FreeInstance (TObject)
 | GetAnchorControl (TLazDockTree)
 | GetControlBounds (TDockManager)
 | GetControlBounds (TDockTree)
 | GetDockEdge (TDockManager)
 | GetHashCode (TObject)
 | GetInterface (TObject)
 | GetInterfaceByStr (TObject)
 | GetInterfaceEntry (TObject)
 | GetInterfaceEntryByStr (TObject)
 | GetInterfaceTable (TObject)
 | GetInterfaceWeak (TObject)
 | GetNamePath (TPersistent)
 | GetOwner (TPersistent)
pt | HitTest (TDockTree)
 | InheritsFrom (TObject)
 | InitInstance (TObject)
 | InsertControl (TDockManager)
 | InsertControl (TDockTree)
 | InsertControl (TLazDockTree)
 | InstanceSize (TObject)
 | IsEnabledControl (TDockManager)
 | LoadFromStream (TDockManager)
 | LoadFromStream (TDockTree)
 | MessageHandler (TDockManager)
 | MessageHandler (TDockTree)
 | MessageHandler (TLazDockTree)
 | MethodAddress (TObject)
 | MethodName (TObject)
 | newinstance (TObject)
pt | PaintDockFrame (TDockTree)
pt | PaintDockFrame (TLazDockTree)
 | PaintSite (TDockManager)
 | PaintSite (TDockTree)
 | PaintSite (TLazDockTree)
 | PositionDockRect (TDockManager)
 | PositionDockRect (TDockTree)
 | RemoveControl (TDockManager)
 | RemoveControl (TDockTree)
 | RemoveControl (TLazDockTree)
 | ResetBounds (TDockManager)
 | ResetBounds (TDockTree)
pt | ResetSizes (TLazDockTree)
 | SafeCallException (TObject)
 | SaveToStream (TDockManager)
 | SaveToStream (TDockTree)
pt | SetDockZoneClass (TDockTree)
 | SetReplacingControl (TDockManager)
 | SetReplacingControl (TDockTree)
 | StringMessageTable (TObject)
 | ToString (TObject)
pt | UndockControlForDocking (TLazDockTree)
 | UnitName (TObject)
pt | UpdateAll (TDockTree)


TLazDockTree

TDockTree

TDockManager

TPersistent

TObject


TLazDockTree.AdjustDockRect

AdjustDockRect - offset one of the borders of control rect in order to get space for frame

Declaration

Source position: ldocktree.pas line 89

public procedure TLazDockTree.AdjustDockRect(

  AControl: TControl;

  var ARect: TRect

); override;


TLazDockTree.AnchorDockLayout

AnchorDockLayout - sets up anchors between all docked controls and helper controls

Declaration

Source position: ldocktree.pas line 78

protected procedure TLazDockTree.AnchorDockLayout(

  Zone: TLazDockZone

);


TLazDockTree.AutoFreeDockSite

AutoFreeDockSite - determines whether the dock site is free

Declaration

Source position: ldocktree.pas line 103

public property TLazDockTree.AutoFreeDockSite : Boolean
  read FAutoFreeDockSite
  write FAutoFreeDockSite;


TLazDockTree.BreakAnchors

BreakAnchors - detach the anchors of all child controls

Declaration

Source position: ldocktree.pas line 81

protected procedure TLazDockTree.BreakAnchors(

  Zone: TDockZone

);


TLazDockTree.BuildDockLayout

BuildDockLayout - breaks the current anchors, forms the appropriate helper controls then re-establishes the anchors

Declaration

Source position: ldocktree.pas line 93

public procedure TLazDockTree.BuildDockLayout(

  Zone: TLazDockZone

);


TLazDockTree.Create

Create - constructor for TLazDockTree: creates a docking form if required, sets up a dock manager then calls inherited Create

Declaration

Source position: ldocktree.pas line 87

public constructor TLazDockTree.Create(

  TheDockSite: TWinControl

); override;


TLazDockTree.CreateDockLayoutHelperControls

CreateDockLayoutHelperControls - creates any splitters and pages needed for the dock layout, including recursive creation for child controls

Declaration

Source position: ldocktree.pas line 79

protected procedure TLazDockTree.CreateDockLayoutHelperControls(

  Zone: TLazDockZone

);


TLazDockTree.DefaultDockGrabberSize

DefaultDockGrabberSize - returns the default size for the dock grabber

Declaration

Source position: ldocktree.pas line 85

protected function TLazDockTree.DefaultDockGrabberSize: Integer;


TLazDockTree.Destroy

Destroy - destructor for TLazDockTree: frees the dock site, annuls the Docksite manager, destroys any images then calls inherited Destroy

Declaration

Source position: ldocktree.pas line 88

public destructor TLazDockTree.Destroy; override;


TLazDockTree.DumpLayout

DumpLayout - writes layout of Zone to a file, for debugging purposes etc

Declaration

Source position: ldocktree.pas line 101

public procedure TLazDockTree.DumpLayout(

  FileName: string

); override;


TLazDockTree.FindBorderControl

Declaration

Source position: ldocktree.pas line 96

public function TLazDockTree.FindBorderControl(

  Zone: TLazDockZone;

  Side: TAnchorKind

):TControl;


TLazDockTree.FindBorderControls

FindBorderControls - makes splitters for all bordering controls along the specified Side

Declaration

Source position: ldocktree.pas line 94

public procedure TLazDockTree.FindBorderControls(

  Zone: TLazDockZone;

  Side: TAnchorKind;

  var List: TFPList

);


TLazDockTree.GetAnchorControl

GetAnchorControl - find a control to anchor the Zone's Side

Declaration

Source position: ldocktree.pas line 97

public function TLazDockTree.GetAnchorControl(

  Zone: TLazDockZone;

  Side: TAnchorKind;

  OutSide: Boolean

):TControl;


TLazDockTree.InsertControl

InsertControl - undocks AControl and docks it into the tree

Declaration

Source position: ldocktree.pas line 90

public procedure TLazDockTree.InsertControl(

  AControl: TControl;

  InsertAt: TAlign;

  DropControl: TControl

); override;

Description

InsertControl - undocks AControl and docks it into the tree

It creates a new TDockZone for AControl and inserts it as a new leaf.
  It automatically changes the tree, so that the parent of the new TDockZone
  will have the Orientation for InsertAt.

  Example 1:

    A newly created TLazDockTree has only a DockSite (TLazDockForm) and a single
    TDockZone - the RootZone, which has as ChildControl the DockSite.

    Visual:
      +-DockSite--+
      |           |
      +-----------+
    Tree of TDockZone:
      RootZone (DockSite,doNoOrient)

  Inserting the first control:  InsertControl(Form1,alLeft,nil);
    Visual:
      +-DockSite---+
      |+--Form1---+|
      ||          ||
      |+----------+|
      +------------+
    Tree of TDockZone:
      RootZone (DockSite,doHorizontal)
       +-Zone2 (Form1,doNoOrient)

  Dock Form2 right of Form1:  InsertControl(Form2,alLeft,Form1);
    Visual:
      +-DockSite----------+
      |+-Form1-+|+-Form2-+|
      ||        ||       ||
      |+-------+|+-------+|
      +-------------------+
    Tree of TDockZone:
      RootZone (DockSite,doHorizontal)
       +-Zone2 (Form1,doNoOrient)
       +-Zone3 (Form2,doNoOrient)


TLazDockTree.MessageHandler

MessageHandler - checks the state of the mouse and takes the appropriate action: checks whether redraw is needed because of mouse move or change in mouse button status, text needs to be added, etc

Declaration

Source position: ldocktree.pas line 100

public procedure TLazDockTree.MessageHandler(

  Sender: TControl;

  var Message: TLMessage

); override;


TLazDockTree.PaintDockFrame

PaintDockFrame - finds the cursor position and paints the dock frame of the specified size on the nominated canvas

Declaration

Source position: ldocktree.pas line 82

protected procedure TLazDockTree.PaintDockFrame(

  ACanvas: TCanvas;

  AControl: TControl;

  const ARect: TRect

); override;


TLazDockTree.PaintSite

PaintSite - paint bounds for each control and close button (using the supplied handle)

Declaration

Source position: ldocktree.pas line 99

public procedure TLazDockTree.PaintSite(

  DC: HDC

); override;


TLazDockTree.RemoveControl

RemoveControl - destroy child zone and all parents if they does not contain anything else, then removes the dock control

Declaration

Source position: ldocktree.pas line 92

public procedure TLazDockTree.RemoveControl(

  AControl: TControl

); override;


TLazDockTree.ResetSizes

ResetSizes - splits available size of Zone between children

Declaration

Source position: ldocktree.pas line 80

protected procedure TLazDockTree.ResetSizes(

  Zone: TLazDockZone

);


TLazDockTree.UndockControlForDocking

UndockControlForDocking - frees anchors from parent and sibling controls

Declaration

Source position: ldocktree.pas line 84

protected procedure TLazDockTree.UndockControlForDocking(

  AControl: TControl

);


TLazDockZone

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

TLazDockZone - a zone for docking in a Lazarus form

Declaration

Source position: ldocktree.pas line 42

type TLazDockZone = class(TDockZone)
public
destructor Destroy; override; | Destroy - destructor for TLazDockZone; frees subcomponents then calls inherited Destroy
procedure FreeSubComponents; | FreeSubComponents - frees and nils the local splitter and page/pages components, ready for destroying the control
function GetCaption; | GetCaption - if there is a child control, returns the caption for that control; else returns the Index of the control as a string value
function GetParentControl; | GetParentControl - returns the identity of the Parent control if there is one; otherwise returns the Root zone if this is, in fact, the Root, or the Child control
property Splitter: TLazDockSplitter; [rw] | The Splitter to be use to control the docking of this Zone
property Pages: TLazDockPages; [rw] | The Pages (as in a Notebook) included in the dock zone
property Page: TLazDockPage; [rw] | A Page in the Notebook included in the Dock Zone
end;

Inheritance

TLazDockZone | TLazDockZone - a zone for docking in a Lazarus form
|
TDockZone | Represents an node in an TDockTree.
|
TObject


TLazDockZone
 |  | Splitter
 |  | Pages
 |  | Page
TDockZone
 | ro | ChildControl
 | ro | ChildCount
 | ro | FirstChild
 |  | Height
 |  | Left
 |  | LimitBegin
 |  | LimitSize
 |  | Orientation
 | ro | Parent
 |  | Top
 | ro | Tree
 | ro | Visible
 | ro | VisibleChildCount
 |  | Width
 | ro | NextSibling
 | ro | PrevSibling


ro | ChildControl (TDockZone)
ro | ChildCount (TDockZone)
ro | FirstChild (TDockZone)
 | Height (TDockZone)
 | Left (TDockZone)
 | LimitBegin (TDockZone)
 | LimitSize (TDockZone)
ro | NextSibling (TDockZone)
 | Orientation (TDockZone)
 | Page (TLazDockZone)
 | Pages (TLazDockZone)
ro | Parent (TDockZone)
ro | PrevSibling (TDockZone)
 | Splitter (TLazDockZone)
 | Top (TDockZone)
ro | Tree (TDockZone)
ro | Visible (TDockZone)
ro | VisibleChildCount (TDockZone)
 | Width (TDockZone)


TLazDockZone
 | Destroy
 | FreeSubComponents
 | GetCaption
 | GetParentControl
TDockZone
pt | GetHeight
pt | GetLeft
pt | GetLimitBegin
pt | GetLimitSize
pt | GetTop
pt | GetVisible
pt | GetVisibleChildCount
pt | GetWidth
pt | SetLimitBegin
pt | SetLimitSize
pt | SetHeight
pt | SetLeft
pt | SetTop
pt | SetWidth
 | Create
 | FindZone
 | FirstVisibleChild
 | GetNextVisibleZone
 | NextVisible
 | PrevVisible
 | AddSibling
 | AddAsFirstChild
 | AddAsLastChild
 | ReplaceChild
 | GetLastChild
 | GetIndex
 | Remove


 | AddAsFirstChild (TDockZone)
 | AddAsLastChild (TDockZone)
 | AddSibling (TDockZone)
 | Create (TDockZone)
 | Destroy (TLazDockZone)
 | FindZone (TDockZone)
 | FirstVisibleChild (TDockZone)
 | FreeSubComponents (TLazDockZone)
 | GetCaption (TLazDockZone)
pt | GetHeight (TDockZone)
 | GetIndex (TDockZone)
 | GetLastChild (TDockZone)
pt | GetLeft (TDockZone)
pt | GetLimitBegin (TDockZone)
pt | GetLimitSize (TDockZone)
 | GetNextVisibleZone (TDockZone)
 | GetParentControl (TLazDockZone)
pt | GetTop (TDockZone)
pt | GetVisible (TDockZone)
pt | GetVisibleChildCount (TDockZone)
pt | GetWidth (TDockZone)
 | NextVisible (TDockZone)
 | PrevVisible (TDockZone)
 | Remove (TDockZone)
 | ReplaceChild (TDockZone)
pt | SetHeight (TDockZone)
pt | SetLeft (TDockZone)
pt | SetLimitBegin (TDockZone)
pt | SetLimitSize (TDockZone)
pt | SetTop (TDockZone)
pt | SetWidth (TDockZone)


TLazDockZone

TDockZone


TLazDockZone.Destroy

Destroy - destructor for TLazDockZone; frees subcomponents then calls inherited Destroy

Declaration

Source position: ldocktree.pas line 48

public destructor TLazDockZone.Destroy; override;


TLazDockZone.FreeSubComponents

FreeSubComponents - frees and nils the local splitter and page/pages components, ready for destroying the control

Declaration

Source position: ldocktree.pas line 49

public procedure TLazDockZone.FreeSubComponents;


TLazDockZone.GetCaption

GetCaption - if there is a child control, returns the caption for that control; else returns the Index of the control as a string value

Declaration

Source position: ldocktree.pas line 50

public function TLazDockZone.GetCaption: string;


TLazDockZone.GetParentControl

GetParentControl - returns the identity of the Parent control if there is one; otherwise returns the Root zone if this is, in fact, the Root, or the Child control

Declaration

Source position: ldocktree.pas line 51

public function TLazDockZone.GetParentControl: TWinControl;


TLazDockZone.Page

A Page in the Notebook included in the Dock Zone

Declaration

Source position: ldocktree.pas line 54

public property TLazDockZone.Page : TLazDockPage
  read FPage
  write FPage;


TLazDockZone.Pages

The Pages (as in a Notebook) included in the dock zone

Declaration

Source position: ldocktree.pas line 53

public property TLazDockZone.Pages : TLazDockPages
  read FPages
  write FPages;


TLazDockZone.Splitter

The Splitter to be use to control the docking of this Zone

Declaration

Source position: ldocktree.pas line 52

public property TLazDockZone.Splitter : TLazDockSplitter
  read FSplitter
  write FSplitter;


TAbstractTranslator

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Abstract base class for translators

Declaration

Source position: lresources.pp line 105

type TAbstractTranslator = class(TObject)

public

  procedure TranslateStringProperty(); virtual; abstract;

The base class for an TReader.OnReadStringProperty handler.

end;

Inheritance

TAbstractTranslator

Abstract base class for translators
|

TObject


TAbstractTranslator

TObject


TAbstractTranslator
 | TranslateStringProperty
TObject
 | Create
 | Destroy
 | newinstance
 | FreeInstance
 | SafeCallException
 | DefaultHandler
 | Free
 | InitInstance
 | CleanupInstance
 | ClassType
 | ClassInfo
 | ClassName
 | ClassNameIs
 | ClassParent
 | InstanceSize
 | InheritsFrom
 | StringMessageTable
 | MethodAddress
 | MethodName
 | FieldAddress
 | AfterConstruction
 | BeforeDestruction
 | DefaultHandlerStr
 | Dispatch
 | DispatchStr
 | GetInterface
 | GetInterfaceByStr
 | GetInterfaceWeak
 | GetInterfaceEntry
 | GetInterfaceEntryByStr
 | GetInterfaceTable
 | UnitName
 | Equals
 | GetHashCode
 | ToString


AfterConstruction (TObject)

BeforeDestruction (TObject)

ClassInfo (TObject)

ClassName (TObject)

ClassNameIs (TObject)

ClassParent (TObject)

ClassType (TObject)

CleanupInstance (TObject)

Create (TObject)

DefaultHandler (TObject)

DefaultHandlerStr (TObject)

Destroy (TObject)

Dispatch (TObject)

DispatchStr (TObject)

Equals (TObject)

FieldAddress (TObject)

Free (TObject)

FreeInstance (TObject)

GetHashCode (TObject)

GetInterface (TObject)

GetInterfaceByStr (TObject)

GetInterfaceEntry (TObject)

GetInterfaceEntryByStr (TObject)

GetInterfaceTable (TObject)

GetInterfaceWeak (TObject)

InheritsFrom (TObject)

InitInstance (TObject)

InstanceSize (TObject)

MethodAddress (TObject)

MethodName (TObject)

newinstance (TObject)

SafeCallException (TObject)

StringMessageTable (TObject)

ToString (TObject)

TranslateStringProperty (TAbstractTranslator)

UnitName (TObject)


TAbstractTranslator.TranslateStringProperty

The base class for an TReader.OnReadStringProperty handler.

Declaration

Source position: lresources.pp line 107

public procedure TAbstractTranslator.TranslateStringProperty(

  Sender: TObject;

  const Instance: TPersistent;

  PropInfo: PPropInfo;

  var Content: string

); virtual; abstract;


TCustomLazComponentQueue

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

A queue to stream components, used for multithreading or network.

Declaration

Source position: lresources.pp line 411

type TCustomLazComponentQueue = class(TComponent)
protected
FQueue: TDynamicDataQueue; |
function ReadComponentSize(); virtual; |
public
constructor Create(); override;
destructor Destroy; override;
procedure Clear; |
function Write(); |
function CopyFrom(); |
function HasComponent; virtual; |
function ReadComponent(); virtual; |
function ConvertComponentAsString(); | Converts a component to binary format with a leading size information (using WriteLRSInt64MB).
property OnFindComponentClass: TFindComponentClassEvent; [rw] |
end;

Inheritance

TCustomLazComponentQueue

A queue to stream components, used for multithreading or network.

|

TComponent,IUnknown,IInterfaceComponentReference
|

TPersistent,IFPObserved
|

TObject

Description

The function ConvertComponentAsString converts a component to binary format with a leading size information (using WriteLRSInt64MB).

When streaming components over network, they will arrive in chunks.

TCustomLazComponentQueue tells you, if a whole component has arrived.


TCustomLazComponentQueue
TComponent
 | ro | ComObject
 | ro | Components
 | ro | ComponentCount
 |  | ComponentIndex
 | ro | ComponentState
 | ro | ComponentStyle
 |  | DesignInfo
 | ro | Owner
 |  | VCLComObject
 |  | Name
 |  | Tag
TPersistent
TObject


ro | ComObject (TComponent)
ro | ComponentCount (TComponent)
 | ComponentIndex (TComponent)
ro | Components (TComponent)
ro | ComponentState (TComponent)
ro | ComponentStyle (TComponent)
 | DesignInfo (TComponent)
 | Name (TComponent)
ro | Owner (TComponent)
 | Tag (TComponent)
 | VCLComObject (TComponent)


TCustomLazComponentQueue
pt | ReadComponentSize
 | Create
 | Destroy
 | Clear
 | Write
 | CopyFrom
 | HasComponent
 | ReadComponent
 | ConvertComponentAsString
TComponent
 | GetComObject
 | GetComponent
 | GetComponentCount
 | GetComponentIndex
 | Insert
 | ReadLeft
 | ReadTop
 | Remove
 | RemoveNotification
 | SetComponentIndex
 | SetReference
 | WriteLeft
 | WriteTop
 | ChangeName
 | DefineProperties
 | GetChildren
 | GetChildOwner
 | GetChildParent
 | GetOwner
 | Loaded
 | Loading
 | Notification
 | PaletteCreated
 | ReadState
 | SetAncestor
 | SetDesigning
 | SetDesignInstance
 | SetInline
 | SetName
 | SetChildOrder
 | SetParentComponent
 | Updating
 | Updated
 | UpdateRegistry
 | ValidateRename
 | ValidateContainer
 | ValidateInsert
 | QueryInterface
 | _AddRef
 | _Release
 | iicrGetComponent
 | GetTypeInfoCount
 | GetTypeInfo
 | GetIDsOfNames
 | Invoke
 | WriteState
 | Create
 | Destroy
 | BeforeDestruction
 | DestroyComponents
 | Destroying
 | ExecuteAction
 | FindComponent
 | FreeNotification
 | RemoveFreeNotification
 | FreeOnRelease
 | GetEnumerator
 | GetNamePath
 | GetParentComponent
 | HasParent
 | InsertComponent
 | RemoveComponent
 | SafeCallException
 | SetSubComponent
 | UpdateAction
 | IsImplementorOf
 | ReferenceInterface
TPersistent
 | AssignError
 | AssignTo
 | DefineProperties
 | GetOwner
 | Destroy
 | Assign
 | FPOAttachObserver
 | FPODetachObserver
 | FPONotifyObservers
 | GetNamePath
TObject
 | Create
 | Destroy
 | newinstance
 | FreeInstance
 | SafeCallException
 | DefaultHandler
 | Free
 | InitInstance
 | CleanupInstance
 | ClassType
 | ClassInfo
 | ClassName
 | ClassNameIs
 | ClassParent
 | InstanceSize
 | InheritsFrom
 | StringMessageTable
 | MethodAddress
 | MethodName
 | FieldAddress
 | AfterConstruction
 | BeforeDestruction
 | DefaultHandlerStr
 | Dispatch
 | DispatchStr
 | GetInterface
 | GetInterfaceByStr
 | GetInterfaceWeak
 | GetInterfaceEntry
 | GetInterfaceEntryByStr
 | GetInterfaceTable
 | UnitName
 | Equals
 | GetHashCode
 | ToString


 | AssignError (TPersistent)
 | AssignTo (TPersistent)
 | BeforeDestruction (TObject)
 | BeforeDestruction (TComponent)
 | ChangeName (TComponent)
 | ClassInfo (TObject)
 | ClassName (TObject)
 | ClassNameIs (TObject)
 | ClassParent (TObject)
 | ClassType (TObject)
 | CleanupInstance (TObject)
 | Clear (TCustomLazComponentQueue)
 | ConvertComponentAsString (TCustomLazComponentQueue)
 | CopyFrom (TCustomLazComponentQueue)
 | Create (TObject)
 | Create (TComponent)
 | Create (TCustomLazComponentQueue)
 | DefaultHandler (TObject)
 | DefaultHandlerStr (TObject)
 | DefineProperties (TPersistent)
 | DefineProperties (TComponent)
 | Destroy (TObject)
 | Destroy (TPersistent)
 | Destroy (TComponent)
 | Destroy (TCustomLazComponentQueue)
 | DestroyComponents (TComponent)
 | Destroying (TComponent)
 | Dispatch (TObject)
 | DispatchStr (TObject)
 | Equals (TObject)
 | ExecuteAction (TComponent)
 | FieldAddress (TObject)
 | FindComponent (TComponent)
 | FPOAttachObserver (TPersistent)
 | FPODetachObserver (TPersistent)
 | FPONotifyObservers (TPersistent)
 | Free (TObject)
 | FreeInstance (TObject)
 | FreeNotification (TComponent)
 | FreeOnRelease (TComponent)
 | GetChildOwner (TComponent)
 | GetChildParent (TComponent)
 | GetChildren (TComponent)
 | GetComObject (TComponent)
 | GetComponent (TComponent)
 | GetComponentCount (TComponent)
 | GetComponentIndex (TComponent)
 | GetEnumerator (TComponent)
 | GetHashCode (TObject)
 | GetIDsOfNames (TComponent)
 | GetInterface (TObject)
 | GetInterfaceByStr (TObject)
 | GetInterfaceEntry (TObject)
 | GetInterfaceEntryByStr (TObject)
 | GetInterfaceTable (TObject)
 | GetInterfaceWeak (TObject)
 | GetNamePath (TPersistent)
 | GetNamePath (TComponent)
 | GetOwner (TPersistent)
 | GetOwner (TComponent)
 | GetParentComponent (TComponent)
 | GetTypeInfo (TComponent)
 | GetTypeInfoCount (TComponent)
 | HasComponent (TCustomLazComponentQueue)
 | HasParent (TComponent)
 | iicrGetComponent (TComponent)
 | InheritsFrom (TObject)
 | InitInstance (TObject)
 | Insert (TComponent)
 | InsertComponent (TComponent)
 | InstanceSize (TObject)
 | Invoke (TComponent)
 | IsImplementorOf (TComponent)
 | Loaded (TComponent)
 | Loading (TComponent)
 | MethodAddress (TObject)
 | MethodName (TObject)
 | newinstance (TObject)
 | Notification (TComponent)
 | PaletteCreated (TComponent)
 | QueryInterface (TComponent)
 | ReadComponent (TCustomLazComponentQueue)
pt | ReadComponentSize (TCustomLazComponentQueue)
 | ReadLeft (TComponent)
 | ReadState (TComponent)
 | ReadTop (TComponent)
 | ReferenceInterface (TComponent)
 | Remove (TComponent)
 | RemoveComponent (TComponent)
 | RemoveFreeNotification (TComponent)
 | RemoveNotification (TComponent)
 | SafeCallException (TObject)
 | SafeCallException (TComponent)
 | SetAncestor (TComponent)
 | SetChildOrder (TComponent)
 | SetComponentIndex (TComponent)
 | SetDesigning (TComponent)
 | SetDesignInstance (TComponent)
 | SetInline (TComponent)
 | SetName (TComponent)
 | SetParentComponent (TComponent)
 | SetReference (TComponent)
 | SetSubComponent (TComponent)
 | StringMessageTable (TObject)
 | ToString (TObject)
 | UnitName (TObject)
 | UpdateAction (TComponent)
 | Updated (TComponent)
 | UpdateRegistry (TComponent)
 | Updating (TComponent)
 | ValidateContainer (TComponent)
 | ValidateInsert (TComponent)
 | ValidateRename (TComponent)
 | Write (TCustomLazComponentQueue)
 | WriteLeft (TComponent)
 | WriteState (TComponent)
 | WriteTop (TComponent)
 | _AddRef (TComponent)
 | _Release (TComponent)


TCustomLazComponentQueue

OnFindComponentClass

TComponent

TPersistent

TObject


TCustomLazComponentQueue.Clear

Declaration

Source position: lresources.pp line 420

public procedure TCustomLazComponentQueue.Clear;


TCustomLazComponentQueue.ConvertComponentAsString

Converts a component to binary format with a leading size information (using WriteLRSInt64MB).

Declaration

Source position: lresources.pp line 426

public function TCustomLazComponentQueue.ConvertComponentAsString(

  AComponent: TComponent

):string;


TCustomLazComponentQueue.CopyFrom

Declaration

Source position: lresources.pp line 422

public function TCustomLazComponentQueue.CopyFrom(

  AStream: TStream;

  Count: LongInt

):LongInt;


TCustomLazComponentQueue.Create

Declaration

Source position: lresources.pp line 418

public constructor TCustomLazComponentQueue.Create(

  TheOwner: TComponent

); override;


TCustomLazComponentQueue.Destroy

Declaration

Source position: lresources.pp line 419

public destructor TCustomLazComponentQueue.Destroy; override;


TCustomLazComponentQueue.FQueue

Declaration

Source position: lresources.pp line 415

protected TCustomLazComponentQueue.FQueue : TDynamicDataQueue;


TCustomLazComponentQueue.HasComponent

Declaration

Source position: lresources.pp line 423

public function TCustomLazComponentQueue.HasComponent: Boolean; virtual;


TCustomLazComponentQueue.OnFindComponentClass

Declaration

Source position: lresources.pp line 427

public property TCustomLazComponentQueue.OnFindComponentClass : TFindComponentClassEvent
  read FOnFindComponentClass
  write FOnFindComponentClass;


TCustomLazComponentQueue.ReadComponent

Declaration

Source position: lresources.pp line 424

public function TCustomLazComponentQueue.ReadComponent(

  var AComponent: TComponent;

  NewOwner: TComponent = Nil

):Boolean; virtual;


TCustomLazComponentQueue.ReadComponentSize

Declaration

Source position: lresources.pp line 416

protected function TCustomLazComponentQueue.ReadComponentSize(

  out ComponentSize: Int64;

  out SizeLength: Int64

):Boolean; virtual;


TCustomLazComponentQueue.Write

Declaration

Source position: lresources.pp line 421

public function TCustomLazComponentQueue.Write(

  const Buffer;

  Count: LongInt

):LongInt;


TLazarusResourceStream

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Helper class for streaming resources (read only).

Declaration

Source position: lresources.pp line 84

type TLazarusResourceStream = class(TCustomMemoryStream)
public
constructor Create(); | Creates an resource stream for a named resource.
constructor CreateFromID(); | Creates an resource stream for a resource ID.
constructor CreateFromHandle(); | Creates an resource stream from an resource descriptor.
destructor Destroy; override;
function Write(); override; | Raises an error on an attempt to write to the stream.
property Res: TLResource; [r] | The resource descriptor, owned by the global resource list.
end;

Inheritance

TLazarusResourceStream

Helper class for streaming resources (read only).
|

TCustomMemoryStream
|

TStream
|

TObject


TLazarusResourceStream
 | ro | Res
TCustomMemoryStream
 | ro | Memory
TStream
 |  | Position
 |  | Size
TObject


ro | Memory (TCustomMemoryStream)
 | Position (TStream)
ro | Res (TLazarusResourceStream)
 | Size (TStream)


TLazarusResourceStream
 | Create
 | CreateFromID
 | CreateFromHandle
 | Destroy
 | Write
TCustomMemoryStream
 | GetSize
 | GetPosition
 | SetPointer
 | Read
 | Seek
 | SaveToStream
 | SaveToFile
TStream
 | InvalidSeek
 | Discard
 | DiscardLarge
 | FakeSeekForward
 | GetPosition
 | SetPosition
 | GetSize
 | SetSize64
 | SetSize
 | ReadNotImplemented
 | WriteNotImplemented
 | Read
 | Write
 | Seek
 | ReadBuffer
 | WriteBuffer
 | CopyFrom
 | ReadComponent
 | ReadComponentRes
 | WriteComponent
 | WriteComponentRes
 | WriteDescendent
 | WriteDescendentRes
 | WriteResourceHeader
 | FixupResourceHeader
 | ReadResHeader
 | ReadByte
 | ReadWord
 | ReadDWord
 | ReadQWord
 | ReadAnsiString
 | WriteByte
 | WriteWord
 | WriteDWord
 | WriteQWord
 | WriteAnsiString
TObject
 | Create
 | Destroy
 | newinstance
 | FreeInstance
 | SafeCallException
 | DefaultHandler
 | Free
 | InitInstance
 | CleanupInstance
 | ClassType
 | ClassInfo
 | ClassName
 | ClassNameIs
 | ClassParent
 | InstanceSize
 | InheritsFrom
 | StringMessageTable
 | MethodAddress
 | MethodName
 | FieldAddress
 | AfterConstruction
 | BeforeDestruction
 | DefaultHandlerStr
 | Dispatch
 | DispatchStr
 | GetInterface
 | GetInterfaceByStr
 | GetInterfaceWeak
 | GetInterfaceEntry
 | GetInterfaceEntryByStr
 | GetInterfaceTable
 | UnitName
 | Equals
 | GetHashCode
 | ToString


AfterConstruction (TObject)

BeforeDestruction (TObject)

ClassInfo (TObject)

ClassName (TObject)

ClassNameIs (TObject)

ClassParent (TObject)

ClassType (TObject)

CleanupInstance (TObject)

CopyFrom (TStream)

Create (TObject)

Create (TLazarusResourceStream)

CreateFromHandle (TLazarusResourceStream)

CreateFromID (TLazarusResourceStream)

DefaultHandler (TObject)

DefaultHandlerStr (TObject)

Destroy (TObject)

Destroy (TLazarusResourceStream)

Discard (TStream)

DiscardLarge (TStream)

Dispatch (TObject)

DispatchStr (TObject)

Equals (TObject)

FakeSeekForward (TStream)

FieldAddress (TObject)

FixupResourceHeader (TStream)

Free (TObject)

FreeInstance (TObject)

GetHashCode (TObject)

GetInterface (TObject)

GetInterfaceByStr (TObject)

GetInterfaceEntry (TObject)

GetInterfaceEntryByStr (TObject)

GetInterfaceTable (TObject)

GetInterfaceWeak (TObject)

GetPosition (TStream)

GetPosition (TCustomMemoryStream)

GetSize (TStream)

GetSize (TCustomMemoryStream)

InheritsFrom (TObject)

InitInstance (TObject)

InstanceSize (TObject)

InvalidSeek (TStream)

MethodAddress (TObject)

MethodName (TObject)

newinstance (TObject)

Read (TStream)

Read (TCustomMemoryStream)

ReadAnsiString (TStream)

ReadBuffer (TStream)

ReadByte (TStream)

ReadComponent (TStream)

ReadComponentRes (TStream)

ReadDWord (TStream)

ReadNotImplemented (TStream)

ReadQWord (TStream)

ReadResHeader (TStream)

ReadWord (TStream)

SafeCallException (TObject)

SaveToFile (TCustomMemoryStream)

SaveToStream (TCustomMemoryStream)

Seek (TStream)

Seek (TCustomMemoryStream)

SetPointer (TCustomMemoryStream)

SetPosition (TStream)

SetSize (TStream)

SetSize64 (TStream)

StringMessageTable (TObject)

ToString (TObject)

UnitName (TObject)

Write (TStream)

Write (TLazarusResourceStream)

WriteAnsiString (TStream)

WriteBuffer (TStream)

WriteByte (TStream)

WriteComponent (TStream)

WriteComponentRes (TStream)

WriteDescendent (TStream)

WriteDescendentRes (TStream)

WriteDWord (TStream)

WriteNotImplemented (TStream)

WriteQWord (TStream)

WriteResourceHeader (TStream)

WriteWord (TStream)


TLazarusResourceStream

TCustomMemoryStream

TStream

TObject


TLazarusResourceStream.Create

Creates an resource stream for a named resource.

Declaration

Source position: lresources.pp line 92

public constructor TLazarusResourceStream.Create(

  const ResName: string;

  ResType: PChar

);

Arguments

ResName | The resource name.
ResType | The resource type, can be Nil.


TLazarusResourceStream.CreateFromHandle

Creates an resource stream from an resource descriptor.

Declaration

Source position: lresources.pp line 94

public constructor TLazarusResourceStream.CreateFromHandle(

  AHandle: TLResource

); overload;

constructor TLazarusResourceStream.CreateFromHandle(

  Instance: TFPResourceHMODULE;

  AHandle: TFPResourceHandle

); overload;


TLazarusResourceStream.CreateFromID

Creates an resource stream for a resource ID.

Declaration

Source position: lresources.pp line 93

public constructor TLazarusResourceStream.CreateFromID(

  ResID: Integer;

  ResType: PChar

);

Arguments

ResID | The resource ID.
ResType | The resource type.


TLazarusResourceStream.Destroy

Declaration

Source position: lresources.pp line 99

public destructor TLazarusResourceStream.Destroy; override;


TLazarusResourceStream.Res

The resource descriptor, owned by the global resource list.

Declaration

Source position: lresources.pp line 101

public property TLazarusResourceStream.Res : TLResource
  read FLRes;


TLazarusResourceStream.Write

Raises an error on an attempt to write to the stream.

Declaration

Source position: lresources.pp line 100

public function TLazarusResourceStream.Write(

  const Buffer;

  Count: LongInt

):LongInt; override;

Description

The stream data must be provided by the implemented constructors and methods.

Errors

EStreamError SCantWriteResourceStreamError.


TLazComponentQueue

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Declaration

Source position: lresources.pp line 433

type TLazComponentQueue = class(TCustomLazComponentQueue)

published

  property Name;

  property OnFindComponentClass: TFindComponentClassEvent;

end;

Inheritance

TLazComponentQueue |
|
TCustomLazComponentQueue | A queue to stream components, used for multithreading or network.
|
TComponent,IUnknown,IInterfaceComponentReference
|
TPersistent,IFPObserved
|
TObject


TLazComponentQueue
pl | ro | Name
TCustomLazComponentQueue
TComponent
 | ro | ComObject
 | ro | Components
 | ro | ComponentCount
 |  | ComponentIndex
 | ro | ComponentState
 | ro | ComponentStyle
 |  | DesignInfo
 | ro | Owner
 |  | VCLComObject
 |  | Name
 |  | Tag
TPersistent
TObject


 | ro | ComObject (TComponent)
 | ro | ComponentCount (TComponent)
 |  | ComponentIndex (TComponent)
 | ro | Components (TComponent)
 | ro | ComponentState (TComponent)
 | ro | ComponentStyle (TComponent)
 |  | DesignInfo (TComponent)
 |  | Name (TComponent)
pl | ro | Name (TLazComponentQueue)
 | ro | Owner (TComponent)
 |  | Tag (TComponent)
 |  | VCLComObject (TComponent)


TLazComponentQueue
TCustomLazComponentQueue
pt | ReadComponentSize
 | Create
 | Destroy
 | Clear
 | Write
 | CopyFrom
 | HasComponent
 | ReadComponent
 | ConvertComponentAsString
TComponent
 | GetComObject
 | GetComponent
 | GetComponentCount
 | GetComponentIndex
 | Insert
 | ReadLeft
 | ReadTop
 | Remove
 | RemoveNotification
 | SetComponentIndex
 | SetReference
 | WriteLeft
 | WriteTop
 | ChangeName
 | DefineProperties
 | GetChildren
 | GetChildOwner
 | GetChildParent
 | GetOwner
 | Loaded
 | Loading
 | Notification
 | PaletteCreated
 | ReadState
 | SetAncestor
 | SetDesigning
 | SetDesignInstance
 | SetInline
 | SetName
 | SetChildOrder
 | SetParentComponent
 | Updating
 | Updated
 | UpdateRegistry
 | ValidateRename
 | ValidateContainer
 | ValidateInsert
 | QueryInterface
 | _AddRef
 | _Release
 | iicrGetComponent
 | GetTypeInfoCount
 | GetTypeInfo
 | GetIDsOfNames
 | Invoke
 | WriteState
 | Create
 | Destroy
 | BeforeDestruction
 | DestroyComponents
 | Destroying
 | ExecuteAction
 | FindComponent
 | FreeNotification
 | RemoveFreeNotification
 | FreeOnRelease
 | GetEnumerator
 | GetNamePath
 | GetParentComponent
 | HasParent
 | InsertComponent
 | RemoveComponent
 | SafeCallException
 | SetSubComponent
 | UpdateAction
 | IsImplementorOf
 | ReferenceInterface
TPersistent
 | AssignError
 | AssignTo
 | DefineProperties
 | GetOwner
 | Destroy
 | Assign
 | FPOAttachObserver
 | FPODetachObserver
 | FPONotifyObservers
 | GetNamePath
TObject
 | Create
 | Destroy
 | newinstance
 | FreeInstance
 | SafeCallException
 | DefaultHandler
 | Free
 | InitInstance
 | CleanupInstance
 | ClassType
 | ClassInfo
 | ClassName
 | ClassNameIs
 | ClassParent
 | InstanceSize
 | InheritsFrom
 | StringMessageTable
 | MethodAddress
 | MethodName
 | FieldAddress
 | AfterConstruction
 | BeforeDestruction
 | DefaultHandlerStr
 | Dispatch
 | DispatchStr
 | GetInterface
 | GetInterfaceByStr
 | GetInterfaceWeak
 | GetInterfaceEntry
 | GetInterfaceEntryByStr
 | GetInterfaceTable
 | UnitName
 | Equals
 | GetHashCode
 | ToString


TLazComponentQueue
pl | ro | OnFindComponentClass
TCustomLazComponentQueue
 |  | OnFindComponentClass
TComponent
TPersistent
TObject


pl | ro | OnFindComponentClass (TLazComponentQueue)


TLazComponentQueue.Name

Declaration

Source position: lresources.pp line 435

published property TLazComponentQueue.Name;


TLazComponentQueue.OnFindComponentClass

Declaration

Source position: lresources.pp line 436

published property TLazComponentQueue.OnFindComponentClass : TFindComponentClassEvent;


TLResource

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

The Lazarus resource descriptor class.

Declaration

Source position: lresources.pp line 54

type TLResource = class
public
Name: AnsiString; | The resource name.
ValueType: AnsiString; | The resource type, always uppercase.
Value: AnsiString; | The resource value.
end;

Inheritance

TLResource

The Lazarus resource descriptor class.

|

TObject


TLResource


TLResource.Name

The resource name.

Declaration

Source position: lresources.pp line 56

public TLResource.Name : AnsiString;


TLResource.Value

The resource value.

Declaration

Source position: lresources.pp line 58

public TLResource.Value : AnsiString;


TLResource.ValueType

The resource type, always uppercase.

Declaration

Source position: lresources.pp line 57

public TLResource.ValueType : AnsiString;


TLResourceList

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

The container class for all Lazarus resources.

Declaration

Source position: lresources.pp line 61

type TLResourceList = class(TObject)
public
constructor Create;
destructor Destroy; override;
procedure Add(); | Adds a resource.
function Find(); | Returns the resource of the given name (and type).
function Count; | The number of listed resources.
property Items []: TLResource; [r] | Indexed access to the resource list.
end;

Inheritance

TLResourceList

The container class for all Lazarus resources.

|

TObject


TLResourceList

ro

Items

TObject


ro

Items (TLResourceList)


TLResourceList
 | Create
 | Destroy
 | Add
 | Find
 | Count
TObject
 | Create
 | Destroy
 | newinstance
 | FreeInstance
 | SafeCallException
 | DefaultHandler
 | Free
 | InitInstance
 | CleanupInstance
 | ClassType
 | ClassInfo
 | ClassName
 | ClassNameIs
 | ClassParent
 | InstanceSize
 | InheritsFrom
 | StringMessageTable
 | MethodAddress
 | MethodName
 | FieldAddress
 | AfterConstruction
 | BeforeDestruction
 | DefaultHandlerStr
 | Dispatch
 | DispatchStr
 | GetInterface
 | GetInterfaceByStr
 | GetInterfaceWeak
 | GetInterfaceEntry
 | GetInterfaceEntryByStr
 | GetInterfaceTable
 | UnitName
 | Equals
 | GetHashCode
 | ToString


Add (TLResourceList)

AfterConstruction (TObject)

BeforeDestruction (TObject)

ClassInfo (TObject)

ClassName (TObject)

ClassNameIs (TObject)

ClassParent (TObject)

ClassType (TObject)

CleanupInstance (TObject)

Count (TLResourceList)

Create (TObject)

Create (TLResourceList)

DefaultHandler (TObject)

DefaultHandlerStr (TObject)

Destroy (TObject)

Destroy (TLResourceList)

Dispatch (TObject)

DispatchStr (TObject)

Equals (TObject)

FieldAddress (TObject)

Find (TLResourceList)

Free (TObject)

FreeInstance (TObject)

GetHashCode (TObject)

GetInterface (TObject)

GetInterfaceByStr (TObject)

GetInterfaceEntry (TObject)

GetInterfaceEntryByStr (TObject)

GetInterfaceTable (TObject)

GetInterfaceWeak (TObject)

InheritsFrom (TObject)

InitInstance (TObject)

InstanceSize (TObject)

MethodAddress (TObject)

MethodName (TObject)

newinstance (TObject)

SafeCallException (TObject)

StringMessageTable (TObject)

ToString (TObject)

UnitName (TObject)


TLResourceList

TObject


TLResourceList.Add

Adds a resource.

Declaration

Source position: lresources.pp line 74

public procedure TLResourceList.Add(

  const Name: AnsiString;

  const ValueType: AnsiString;

  const Value: AnsiString

);

procedure TLResourceList.Add(

  const Name: AnsiString;

  const ValueType: AnsiString;

  const Values: array of string

);

Arguments

Value

A sinlge value string.

Arguments

Values

The value splitted into an string array.

Description

ValueType is stored in uppercase.


TLResourceList.Count

The number of listed resources.

Declaration

Source position: lresources.pp line 78

public function TLResourceList.Count: Integer;


TLResourceList.Create

Declaration

Source position: lresources.pp line 72

public constructor TLResourceList.Create;


TLResourceList.Destroy

Declaration

Source position: lresources.pp line 73

public destructor TLResourceList.Destroy; override;


TLResourceList.Find

Returns the resource of the given name (and type).

Declaration

Source position: lresources.pp line 76

public function TLResourceList.Find(

  const Name: AnsiString

):TLResource; overload;

function TLResourceList.Find(

  const Name: AnsiString;

  const ValueType: AnsiString

):TLResource; overload;

Arguments

ValueType

Should be uppercase, if present.


TLResourceList.Items

Indexed access to the resource list.

Declaration

Source position: lresources.pp line 79

public property TLResourceList.Items[Index: Integer] : TLResource
  read GetItems;


TLRPositionLinks

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Declaration

Source position: lresources.pp line 317

type TLRPositionLinks = class
public
constructor Create;
destructor Destroy; override;
procedure Clear; |
procedure Sort(); | Sort the items by LFM or LRS position.
function IndexOf(); | Searches for an item by LFM or LRS position.
function IndexOfRange(); | Find a random item within an position range.
procedure SetPosition(); | Change the position of an item within the given position range.
procedure Add(); |
property LFM []: Int64; [rw] | Indexed access to the LFM positions.
property LRS []: Int64; [rw] | Indexed access to the LRS positions.
property Data []: Pointer; [rw] | Indexed access to the Data pointers.
property Count: Integer; [rw] |
end;

Inheritance

TLRPositionLinks

|

TObject


TLRPositionLinks
 | LFM
 | LRS
 | Data
 | Count


Count (TLRPositionLinks)

Data (TLRPositionLinks)

LFM (TLRPositionLinks)

LRS (TLRPositionLinks)


TLRPositionLinks
 | Create
 | Destroy
 | Clear
 | Sort
 | IndexOf
 | IndexOfRange
 | SetPosition
 | Add


Add (TLRPositionLinks)

Clear (TLRPositionLinks)

Create (TLRPositionLinks)

Destroy (TLRPositionLinks)

IndexOf (TLRPositionLinks)

IndexOfRange (TLRPositionLinks)

SetPosition (TLRPositionLinks)

Sort (TLRPositionLinks)


TLRPositionLinks


TLRPositionLinks.Add

Declaration

Source position: lresources.pp line 338

public procedure TLRPositionLinks.Add(

  const LFMPos: Int64;

  const LRSPos: Int64;

  AData: Pointer

);


TLRPositionLinks.Clear

Declaration

Source position: lresources.pp line 331

public procedure TLRPositionLinks.Clear;


TLRPositionLinks.Count

Declaration

Source position: lresources.pp line 343

public property TLRPositionLinks.Count : Integer
  read FCount
  write SetCount;


TLRPositionLinks.Create

Declaration

Source position: lresources.pp line 329

public constructor TLRPositionLinks.Create;


TLRPositionLinks.Data

Indexed access to the Data pointers.

Declaration

Source position: lresources.pp line 342

public property TLRPositionLinks.Data[Index: Integer] : Pointer
  read GetData
  write SetData;


TLRPositionLinks.Destroy

Declaration

Source position: lresources.pp line 330

public destructor TLRPositionLinks.Destroy; override;


TLRPositionLinks.IndexOf

Searches for an item by LFM or LRS position.

Declaration

Source position: lresources.pp line 333

public function TLRPositionLinks.IndexOf(

  const Position: Int64;

  LFMPositions: Boolean

):Integer;

Arguments

LFMPositions

True for searching an LFM position.


TLRPositionLinks.IndexOfRange

Find a random item within an position range.

Declaration

Source position: lresources.pp line 334

public function TLRPositionLinks.IndexOfRange(

  const FromPos: Int64;

  const ToPos: Int64;

  LFMPositions: Boolean

):Integer;

Arguments

FromPos | First acceptable position.
ToPos | First position after the range (exclude)
LFMPositions | True for searching LFM positions.


TLRPositionLinks.LFM

Indexed access to the LFM positions.

Declaration

Source position: lresources.pp line 340

public property TLRPositionLinks.LFM[Index: Integer] : Int64
  read GetLFM
  write SetLFM;


TLRPositionLinks.LRS

Indexed access to the LRS positions.

Declaration

Source position: lresources.pp line 341

public property TLRPositionLinks.LRS[Index: Integer] : Int64
  read GetLRS
  write SetLRS;


TLRPositionLinks.SetPosition

Change the position of an item within the given position range.

Declaration

Source position: lresources.pp line 336

public procedure TLRPositionLinks.SetPosition(

  const FromPos: Int64;

  const ToPos: Int64;

  const MappedPos: Int64;

  LFMtoLRSPositions: Boolean

);

Arguments

FromPos | First acceptable position.
ToPos | First position after the range (exclude)
MappedPos | The new position.
LFMtoLRSPositions | True for using LFM positions.


TLRPositionLinks.Sort

Sort the items by LFM or LRS position.

Declaration

Source position: lresources.pp line 332

public procedure TLRPositionLinks.Sort(

  LFMPositions: Boolean

);

Arguments

LFMPositions

True for sorting by LFM position.


TLRSObjectReader

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Reader for resource streams.

Declaration

Source position: lresources.pp line 133

type TLRSObjectReader = class(TAbstractObjectReader)
protected
function ReadIntegerContent; | Reads an 4 byte integer value.
public
constructor Create(); virtual; |
destructor Destroy; override;
function NextValue; override; | Peek the next byte (value type indicator).
function ReadValue; override; | Reads the next ValueType. Pops or pushes a stack item if required (for list or collection).
procedure BeginRootComponent; override; | Reads the filer signature from the input.
procedure BeginComponent(); override; |
function BeginProperty; override; |
function GetStackPath; | Returns the qualified current item name.
procedure Read(); override; | Read a number of bytes from the input stream.
procedure ReadBinary(); override; | Reads binary data, stored with a Length prefix.
function ReadFloat; override; | Reads an Extended value (10 Bytes).
function ReadSingle; override; | Reads an Single value (4 bytes).
function ReadCurrency; override; | Reads an Currency value (8 bytes).
function ReadDate; override; | Reads an Date value (8 bytes).
function ReadIdent(); override; | Reads an identifier, maybe a name or a standard key (which is not stored).
function ReadInt8; override; |
function ReadInt16; override; |
function ReadInt32; override; |
function ReadInt64; override; |
function ReadSet(); override; | Reads enum member names, until an empty string is read.
function ReadStr; override; | Reads an ShortString.
function ReadString(); override; |
function ReadWideString; override; |
function ReadUnicodeString; override; |
procedure SkipComponent(); override; | Skips an entire Component.
procedure SkipValue; override; | Skips the next value.
property Stream: TStream; [r] | The input stream.
property Reader: TReader; [rw] | The root component reader
end;

Inheritance

TLRSObjectReader

Reader for resource streams.
|

TAbstractObjectReader
|

TObject

Description

Uses an stack for reading nested objects.


TLRSObjectReader
 | ro | Stream
 |  | Reader
TAbstractObjectReader
TObject


ro | Stream (TLRSObjectReader)


TLRSObjectReader
pt | ReadIntegerContent
 | Create
 | Destroy
 | NextValue
 | ReadValue
 | BeginRootComponent
 | BeginComponent
 | BeginProperty
 | GetStackPath
 | Read
 | ReadBinary
 | ReadFloat
 | ReadSingle
 | ReadCurrency
 | ReadDate
 | ReadIdent
 | ReadInt8
 | ReadInt16
 | ReadInt32
 | ReadInt64
 | ReadSet
 | ReadStr
 | ReadString
 | ReadWideString
 | ReadUnicodeString
 | SkipComponent
 | SkipValue
TAbstractObjectReader
 | NextValue
 | ReadValue
 | BeginRootComponent
 | BeginComponent
 | BeginProperty
 | Read
 | ReadBinary
 | ReadFloat
 | ReadSingle
 | ReadDate
 | ReadCurrency
 | ReadIdent
 | ReadInt8
 | ReadInt16
 | ReadInt32
 | ReadInt64
 | ReadSet
 | ReadSignature
 | ReadStr
 | ReadString
 | ReadWideString
 | ReadUnicodeString
 | SkipComponent
 | SkipValue
TObject
 | Create
 | Destroy
 | newinstance
 | FreeInstance
 | SafeCallException
 | DefaultHandler
 | Free
 | InitInstance
 | CleanupInstance
 | ClassType
 | ClassInfo
 | ClassName
 | ClassNameIs
 | ClassParent
 | InstanceSize
 | InheritsFrom
 | StringMessageTable
 | MethodAddress
 | MethodName
 | FieldAddress
 | AfterConstruction
 | BeforeDestruction
 | DefaultHandlerStr
 | Dispatch
 | DispatchStr
 | GetInterface
 | GetInterfaceByStr
 | GetInterfaceWeak
 | GetInterfaceEntry
 | GetInterfaceEntryByStr
 | GetInterfaceTable
 | UnitName
 | Equals
 | GetHashCode
 | ToString


 | AfterConstruction (TObject)
 | BeforeDestruction (TObject)
 | BeginComponent (TAbstractObjectReader)
 | BeginComponent (TLRSObjectReader)
 | BeginProperty (TAbstractObjectReader)
 | BeginProperty (TLRSObjectReader)
 | BeginRootComponent (TAbstractObjectReader)
 | BeginRootComponent (TLRSObjectReader)
 | ClassInfo (TObject)
 | ClassName (TObject)
 | ClassNameIs (TObject)
 | ClassParent (TObject)
 | ClassType (TObject)
 | CleanupInstance (TObject)
 | Create (TObject)
 | Create (TLRSObjectReader)
 | DefaultHandler (TObject)
 | DefaultHandlerStr (TObject)
 | Destroy (TObject)
 | Destroy (TLRSObjectReader)
 | Dispatch (TObject)
 | DispatchStr (TObject)
 | Equals (TObject)
 | FieldAddress (TObject)
 | Free (TObject)
 | FreeInstance (TObject)
 | GetHashCode (TObject)
 | GetInterface (TObject)
 | GetInterfaceByStr (TObject)
 | GetInterfaceEntry (TObject)
 | GetInterfaceEntryByStr (TObject)
 | GetInterfaceTable (TObject)
 | GetInterfaceWeak (TObject)
 | GetStackPath (TLRSObjectReader)
 | InheritsFrom (TObject)
 | InitInstance (TObject)
 | InstanceSize (TObject)
 | MethodAddress (TObject)
 | MethodName (TObject)
 | newinstance (TObject)
 | NextValue (TAbstractObjectReader)
 | NextValue (TLRSObjectReader)
 | Read (TAbstractObjectReader)
 | Read (TLRSObjectReader)
 | ReadBinary (TAbstractObjectReader)
 | ReadBinary (TLRSObjectReader)
 | ReadCurrency (TAbstractObjectReader)
 | ReadCurrency (TLRSObjectReader)
 | ReadDate (TAbstractObjectReader)
 | ReadDate (TLRSObjectReader)
 | ReadFloat (TAbstractObjectReader)
 | ReadFloat (TLRSObjectReader)
 | ReadIdent (TAbstractObjectReader)
 | ReadIdent (TLRSObjectReader)
 | ReadInt16 (TAbstractObjectReader)
 | ReadInt16 (TLRSObjectReader)
 | ReadInt32 (TAbstractObjectReader)
 | ReadInt32 (TLRSObjectReader)
 | ReadInt64 (TAbstractObjectReader)
 | ReadInt64 (TLRSObjectReader)
 | ReadInt8 (TAbstractObjectReader)
 | ReadInt8 (TLRSObjectReader)
pt | ReadIntegerContent (TLRSObjectReader)
 | ReadSet (TAbstractObjectReader)
 | ReadSet (TLRSObjectReader)
 | ReadSignature (TAbstractObjectReader)
 | ReadSingle (TAbstractObjectReader)
 | ReadSingle (TLRSObjectReader)
 | ReadStr (TAbstractObjectReader)
 | ReadStr (TLRSObjectReader)
 | ReadString (TAbstractObjectReader)
 | ReadString (TLRSObjectReader)
 | ReadUnicodeString (TAbstractObjectReader)
 | ReadUnicodeString (TLRSObjectReader)
 | ReadValue (TAbstractObjectReader)
 | ReadValue (TLRSObjectReader)
 | ReadWideString (TAbstractObjectReader)
 | ReadWideString (TLRSObjectReader)
 | SafeCallException (TObject)
 | SkipComponent (TAbstractObjectReader)
 | SkipComponent (TLRSObjectReader)
 | SkipValue (TAbstractObjectReader)
 | SkipValue (TLRSObjectReader)
 | StringMessageTable (TObject)
 | ToString (TObject)
 | UnitName (TObject)


TLRSObjectReader

TAbstractObjectReader

TObject


TLRSObjectReader.BeginComponent

Declaration

Source position: lresources.pp line 161

public procedure TLRSObjectReader.BeginComponent(

  var Flags: TFilerFlags;

  var AChildPos: Integer;

  var CompClassName: string;

  var CompName: string

); override;


TLRSObjectReader.BeginProperty

Declaration

Source position: lresources.pp line 163

public function TLRSObjectReader.BeginProperty: string; override;


TLRSObjectReader.BeginRootComponent

Reads the filer signature from the input.

Declaration

Source position: lresources.pp line 160

public procedure TLRSObjectReader.BeginRootComponent; override;

Errors

EReadError 'Invalid Filer Signature' on filer signature mismatch.


TLRSObjectReader.Create

Declaration

Source position: lresources.pp line 155

public constructor TLRSObjectReader.Create(

  AStream: TStream;

  BufSize: Integer

); virtual;

Arguments

AStream | The input stream.
BufSize | The stream buffer size to allocate.


TLRSObjectReader.Destroy

Declaration

Source position: lresources.pp line 156

public destructor TLRSObjectReader.Destroy; override;


TLRSObjectReader.GetStackPath

Returns the qualified current item name.

Declaration

Source position: lresources.pp line 164

public function TLRSObjectReader.GetStackPath: string;


TLRSObjectReader.NextValue

Peek the next byte (value type indicator).

Declaration

Source position: lresources.pp line 158

public function TLRSObjectReader.NextValue: TValueType; override;


TLRSObjectReader.Read

Read a number of bytes from the input stream.

Declaration

Source position: lresources.pp line 166

public procedure TLRSObjectReader.Read(

  var Buf;

  Count: LongInt

); override;


TLRSObjectReader.ReadBinary

Reads binary data, stored with a Length prefix.

Declaration

Source position: lresources.pp line 167

public procedure TLRSObjectReader.ReadBinary(

  const DestData: TMemoryStream

); override;


TLRSObjectReader.ReadCurrency

Reads an Currency value (8 bytes).

Declaration

Source position: lresources.pp line 170

public function TLRSObjectReader.ReadCurrency: Currency; override;


TLRSObjectReader.ReadDate

Reads an Date value (8 bytes).

Declaration

Source position: lresources.pp line 171

public function TLRSObjectReader.ReadDate: TDateTime; override;


TLRSObjectReader.Reader

The root component reader

Declaration

Source position: lresources.pp line 189

public property TLRSObjectReader.Reader : TReader
  read FReader
  write FReader;


TLRSObjectReader.ReadFloat

Reads an Extended value (10 Bytes).

Declaration

Source position: lresources.pp line 168

public function TLRSObjectReader.ReadFloat: Extended; override;

Description

The result may have less bytes, when Extended is not a 10 byte value.


TLRSObjectReader.ReadIdent

Reads an identifier, maybe a name or a standard key (which is not stored).

Declaration

Source position: lresources.pp line 172

public function TLRSObjectReader.ReadIdent(

  ValueType: TValueType

):string; override;

Arguments

ValueType

The expected type: vaIdent for an stored name, or vaNil, vaFalse, vaTrue, vaNull for an standard string.

Errors

GDB error on an unexpected ValueType.


TLRSObjectReader.ReadInt8

Declaration

Source position: lresources.pp line 173

public function TLRSObjectReader.ReadInt8: ShortInt; override;


TLRSObjectReader.ReadInt16

Declaration

Source position: lresources.pp line 174

public function TLRSObjectReader.ReadInt16: SmallInt; override;


TLRSObjectReader.ReadInt32

Declaration

Source position: lresources.pp line 175

public function TLRSObjectReader.ReadInt32: LongInt; override;


TLRSObjectReader.ReadInt64

Declaration

Source position: lresources.pp line 176

public function TLRSObjectReader.ReadInt64: Int64; override;


TLRSObjectReader.ReadIntegerContent

Reads an 4 byte integer value.

Declaration

Source position: lresources.pp line 153

protected function TLRSObjectReader.ReadIntegerContent: Integer;


TLRSObjectReader.ReadSet

Reads enum member names, until an empty string is read.

Declaration

Source position: lresources.pp line 177

public function TLRSObjectReader.ReadSet(

  EnumType: Pointer

):Integer; override;

Arguments

EnumType

The expected set type.

Function result

The constructed set, as an Integer.


TLRSObjectReader.ReadSingle

Reads an Single value (4 bytes).

Declaration

Source position: lresources.pp line 169

public function TLRSObjectReader.ReadSingle: Single; override;


TLRSObjectReader.ReadStr

Reads an ShortString.

Declaration

Source position: lresources.pp line 181

public function TLRSObjectReader.ReadStr: string; override;


TLRSObjectReader.ReadString

Declaration

Source position: lresources.pp line 182

public function TLRSObjectReader.ReadString(

  StringType: TValueType

):string; override;


TLRSObjectReader.ReadUnicodeString

Declaration

Source position: lresources.pp line 184

public function TLRSObjectReader.ReadUnicodeString: UnicodeString; override;


TLRSObjectReader.ReadValue

Reads the next ValueType. Pops or pushes a stack item if required (for list or collection).

Declaration

Source position: lresources.pp line 159

public function TLRSObjectReader.ReadValue: TValueType; override;


TLRSObjectReader.ReadWideString

Declaration

Source position: lresources.pp line 183

public function TLRSObjectReader.ReadWideString: WideString; override;


TLRSObjectReader.SkipComponent

Skips an entire Component.

Declaration

Source position: lresources.pp line 185

public procedure TLRSObjectReader.SkipComponent(

  SkipComponentInfos: Boolean

); override;

Arguments

SkipComponentInfos

If True: skip prefix, component class name and component object name.


TLRSObjectReader.SkipValue

Skips the next value.

Declaration

Source position: lresources.pp line 186

public procedure TLRSObjectReader.SkipValue; override;


TLRSObjectReader.Stream

The input stream.

Declaration

Source position: lresources.pp line 188

public property TLRSObjectReader.Stream : TStream
  read FStream;


TLRSObjectReaderClass

Declaration

Source position: lresources.pp line 191

type TLRSObjectReaderClass = class of TLRSObjectReader;


TLRSObjectWriter

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Object writer for Lazarus Resource Streams.

Declaration

Source position: lresources.pp line 233

type TLRSObjectWriter = class(TAbstractObjectWriter)
protected
procedure FlushBuffer; |
procedure WriteValue(); |
procedure WriteStr(); |
procedure WriteIntegerContent(); |
procedure WriteWordContent(); |
procedure WriteInt64Content(); |
procedure WriteSingleContent(); |
procedure WriteDoubleContent(); |
procedure WriteExtendedContent(); |
procedure WriteCurrencyContent(); |
procedure WriteWideStringContent(); |
procedure WriteWordsReversed(); | Writes multiples words (WideChar) with reversed byte order.
procedure WriteNulls(); |
public
constructor Create(); virtual; |
destructor Destroy; override;
procedure BeginCollection; override; |
procedure BeginComponent(); override; |
procedure BeginList; override; |
procedure EndList; override; |
procedure BeginProperty(); override; |
procedure EndProperty; override; |
function GetStackPath; |
procedure Write(); override; |
procedure WriteBinary(); override; |
procedure WriteBoolean(); override; |
procedure WriteFloat(); override; |
procedure WriteSingle(); override; |
procedure WriteCurrency(); override; |
procedure WriteDate(); override; |
procedure WriteIdent(); override; |
procedure WriteInteger(); override; |
procedure WriteMethodName(); override; |
procedure WriteSet(); override; |
procedure WriteString(); override; |
procedure WriteWideString(); override; |
procedure WriteUnicodeString(); override; |
procedure WriteVariant(); override;
property WriteEmptyInheritedChilds: Boolean; [rw] |
property Writer: TWriter; [rw] |
end;

Inheritance

TLRSObjectWriter

Object writer for Lazarus Resource Streams.

|

TAbstractObjectWriter
|

TObject

Description

The TLRSObjectWriter can find empty entries and omit writing them to stream.


TLRSObjectWriter
 | WriteEmptyInheritedChilds
 | Writer
TAbstractObjectWriter
TObject


TLRSObjectWriter
pt | FlushBuffer
pt | WriteValue
pt | WriteStr
pt | WriteIntegerContent
pt | WriteWordContent
pt | WriteInt64Content
pt | WriteSingleContent
pt | WriteDoubleContent
pt | WriteExtendedContent
pt | WriteCurrencyContent
pt | WriteWideStringContent
pt | WriteWordsReversed
pt | WriteNulls
 | Create
 | Destroy
 | BeginCollection
 | BeginComponent
 | BeginList
 | EndList
 | BeginProperty
 | EndProperty
 | GetStackPath
 | Write
 | WriteBinary
 | WriteBoolean
 | WriteFloat
 | WriteSingle
 | WriteCurrency
 | WriteDate
 | WriteIdent
 | WriteInteger
 | WriteMethodName
 | WriteSet
 | WriteString
 | WriteWideString
 | WriteUnicodeString
 | WriteVariant
TAbstractObjectWriter
 | BeginCollection
 | BeginComponent
 | WriteSignature
 | BeginList
 | EndList
 | BeginProperty
 | EndProperty
 | Write
 | WriteBinary
 | WriteBoolean
 | WriteFloat
 | WriteSingle
 | WriteDate
 | WriteCurrency
 | WriteIdent
 | WriteInteger
 | WriteUInt64
 | WriteVariant
 | WriteMethodName
 | WriteSet
 | WriteString
 | WriteWideString
 | WriteUnicodeString
TObject
 | Create
 | Destroy
 | newinstance
 | FreeInstance
 | SafeCallException
 | DefaultHandler
 | Free
 | InitInstance
 | CleanupInstance
 | ClassType
 | ClassInfo
 | ClassName
 | ClassNameIs
 | ClassParent
 | InstanceSize
 | InheritsFrom
 | StringMessageTable
 | MethodAddress
 | MethodName
 | FieldAddress
 | AfterConstruction
 | BeforeDestruction
 | DefaultHandlerStr
 | Dispatch
 | DispatchStr
 | GetInterface
 | GetInterfaceByStr
 | GetInterfaceWeak
 | GetInterfaceEntry
 | GetInterfaceEntryByStr
 | GetInterfaceTable
 | UnitName
 | Equals
 | GetHashCode
 | ToString


 | AfterConstruction (TObject)
 | BeforeDestruction (TObject)
 | BeginCollection (TAbstractObjectWriter)
 | BeginCollection (TLRSObjectWriter)
 | BeginComponent (TAbstractObjectWriter)
 | BeginComponent (TLRSObjectWriter)
 | BeginList (TAbstractObjectWriter)
 | BeginList (TLRSObjectWriter)
 | BeginProperty (TAbstractObjectWriter)
 | BeginProperty (TLRSObjectWriter)
 | ClassInfo (TObject)
 | ClassName (TObject)
 | ClassNameIs (TObject)
 | ClassParent (TObject)
 | ClassType (TObject)
 | CleanupInstance (TObject)
 | Create (TObject)
 | Create (TLRSObjectWriter)
 | DefaultHandler (TObject)
 | DefaultHandlerStr (TObject)
 | Destroy (TObject)
 | Destroy (TLRSObjectWriter)
 | Dispatch (TObject)
 | DispatchStr (TObject)
 | EndList (TAbstractObjectWriter)
 | EndList (TLRSObjectWriter)
 | EndProperty (TAbstractObjectWriter)
 | EndProperty (TLRSObjectWriter)
 | Equals (TObject)
 | FieldAddress (TObject)
pt | FlushBuffer (TLRSObjectWriter)
 | Free (TObject)
 | FreeInstance (TObject)
 | GetHashCode (TObject)
 | GetInterface (TObject)
 | GetInterfaceByStr (TObject)
 | GetInterfaceEntry (TObject)
 | GetInterfaceEntryByStr (TObject)
 | GetInterfaceTable (TObject)
 | GetInterfaceWeak (TObject)
 | GetStackPath (TLRSObjectWriter)
 | InheritsFrom (TObject)
 | InitInstance (TObject)
 | InstanceSize (TObject)
 | MethodAddress (TObject)
 | MethodName (TObject)
 | newinstance (TObject)
 | SafeCallException (TObject)
 | StringMessageTable (TObject)
 | ToString (TObject)
 | UnitName (TObject)
 | Write (TAbstractObjectWriter)
 | Write (TLRSObjectWriter)
 | WriteBinary (TAbstractObjectWriter)
 | WriteBinary (TLRSObjectWriter)
 | WriteBoolean (TAbstractObjectWriter)
 | WriteBoolean (TLRSObjectWriter)
 | WriteCurrency (TAbstractObjectWriter)
 | WriteCurrency (TLRSObjectWriter)
pt | WriteCurrencyContent (TLRSObjectWriter)
 | WriteDate (TAbstractObjectWriter)
 | WriteDate (TLRSObjectWriter)
pt | WriteDoubleContent (TLRSObjectWriter)
pt | WriteExtendedContent (TLRSObjectWriter)
 | WriteFloat (TAbstractObjectWriter)
 | WriteFloat (TLRSObjectWriter)
 | WriteIdent (TAbstractObjectWriter)
 | WriteIdent (TLRSObjectWriter)
pt | WriteInt64Content (TLRSObjectWriter)
 | WriteInteger (TAbstractObjectWriter)
 | WriteInteger (TLRSObjectWriter)
pt | WriteIntegerContent (TLRSObjectWriter)
 | WriteMethodName (TAbstractObjectWriter)
 | WriteMethodName (TLRSObjectWriter)
pt | WriteNulls (TLRSObjectWriter)
 | WriteSet (TAbstractObjectWriter)
 | WriteSet (TLRSObjectWriter)
 | WriteSignature (TAbstractObjectWriter)
 | WriteSingle (TAbstractObjectWriter)
 | WriteSingle (TLRSObjectWriter)
pt | WriteSingleContent (TLRSObjectWriter)
pt | WriteStr (TLRSObjectWriter)
 | WriteString (TAbstractObjectWriter)
 | WriteString (TLRSObjectWriter)
 | WriteUInt64 (TAbstractObjectWriter)
 | WriteUnicodeString (TAbstractObjectWriter)
 | WriteUnicodeString (TLRSObjectWriter)
pt | WriteValue (TLRSObjectWriter)
 | WriteVariant (TAbstractObjectWriter)
 | WriteVariant (TLRSObjectWriter)
 | WriteWideString (TAbstractObjectWriter)
 | WriteWideString (TLRSObjectWriter)
pt | WriteWideStringContent (TLRSObjectWriter)
pt | WriteWordContent (TLRSObjectWriter)
pt | WriteWordsReversed (TLRSObjectWriter)


TLRSObjectWriter

TAbstractObjectWriter

TObject


TLRSObjectWriter.BeginCollection

Declaration

Source position: lresources.pp line 275

public procedure TLRSObjectWriter.BeginCollection; override;


TLRSObjectWriter.BeginComponent

Declaration

Source position: lresources.pp line 276

public procedure TLRSObjectWriter.BeginComponent(

  Component: TComponent;

  Flags: TFilerFlags;

  ChildPos: Integer

); override;


TLRSObjectWriter.BeginList

Declaration

Source position: lresources.pp line 281

public procedure TLRSObjectWriter.BeginList; override;


TLRSObjectWriter.BeginProperty

Declaration

Source position: lresources.pp line 283

public procedure TLRSObjectWriter.BeginProperty(

  const PropName: string

); override;


TLRSObjectWriter.Create

Declaration

Source position: lresources.pp line 268

public constructor TLRSObjectWriter.Create(

  Stream: TStream;

  BufSize: Integer

); virtual;


TLRSObjectWriter.Destroy

Declaration

Source position: lresources.pp line 269

public destructor TLRSObjectWriter.Destroy; override;


TLRSObjectWriter.EndList

Declaration

Source position: lresources.pp line 282

public procedure TLRSObjectWriter.EndList; override;


TLRSObjectWriter.EndProperty

Declaration

Source position: lresources.pp line 284

public procedure TLRSObjectWriter.EndProperty; override;


TLRSObjectWriter.FlushBuffer

Declaration

Source position: lresources.pp line 254

protected procedure TLRSObjectWriter.FlushBuffer;


TLRSObjectWriter.GetStackPath

Declaration

Source position: lresources.pp line 285

public function TLRSObjectWriter.GetStackPath: string;


TLRSObjectWriter.Write

Declaration

Source position: lresources.pp line 287

public procedure TLRSObjectWriter.Write(

  const Buffer;

  Count: LongInt

); override;


TLRSObjectWriter.WriteBinary

Declaration

Source position: lresources.pp line 288

public procedure TLRSObjectWriter.WriteBinary(

  const Buffer;

  Count: LongInt

); override;


TLRSObjectWriter.WriteBoolean

Declaration

Source position: lresources.pp line 289

public procedure TLRSObjectWriter.WriteBoolean(

  Value: Boolean

); override;


TLRSObjectWriter.WriteCurrency

Declaration

Source position: lresources.pp line 292

public procedure TLRSObjectWriter.WriteCurrency(

  const Value: Currency

); override;


TLRSObjectWriter.WriteCurrencyContent

Declaration

Source position: lresources.pp line 263

protected procedure TLRSObjectWriter.WriteCurrencyContent(

  c: Currency

);


TLRSObjectWriter.WriteDate

Declaration

Source position: lresources.pp line 293

public procedure TLRSObjectWriter.WriteDate(

  const Value: TDateTime

); override;


TLRSObjectWriter.WriteDoubleContent

Declaration

Source position: lresources.pp line 261

protected procedure TLRSObjectWriter.WriteDoubleContent(

  d: Double

);


TLRSObjectWriter.WriteEmptyInheritedChilds

Declaration

Source position: lresources.pp line 303

public property TLRSObjectWriter.WriteEmptyInheritedChilds : Boolean
  read FWriteEmptyInheritedChilds
  write FWriteEmptyInheritedChilds;


TLRSObjectWriter.WriteExtendedContent

Declaration

Source position: lresources.pp line 262

protected procedure TLRSObjectWriter.WriteExtendedContent(

  e: Extended

);


TLRSObjectWriter.WriteFloat

Declaration

Source position: lresources.pp line 290

public procedure TLRSObjectWriter.WriteFloat(

  const Value: Extended

); override;


TLRSObjectWriter.WriteIdent

Declaration

Source position: lresources.pp line 294

public procedure TLRSObjectWriter.WriteIdent(

  const Ident: string

); override;


TLRSObjectWriter.WriteInt64Content

Declaration

Source position: lresources.pp line 259

protected procedure TLRSObjectWriter.WriteInt64Content(

  i: Int64

);


TLRSObjectWriter.WriteInteger

Declaration

Source position: lresources.pp line 295

public procedure TLRSObjectWriter.WriteInteger(

  Value: Int64

); override;


TLRSObjectWriter.WriteIntegerContent

Declaration

Source position: lresources.pp line 257

protected procedure TLRSObjectWriter.WriteIntegerContent(

  i: Integer

);


TLRSObjectWriter.WriteMethodName

Declaration

Source position: lresources.pp line 296

public procedure TLRSObjectWriter.WriteMethodName(

  const Name: string

); override;


TLRSObjectWriter.WriteNulls

Declaration

Source position: lresources.pp line 266

protected procedure TLRSObjectWriter.WriteNulls(

  Count: Integer

);


TLRSObjectWriter.Writer

Declaration

Source position: lresources.pp line 304

public property TLRSObjectWriter.Writer : TWriter
  read FWriter
  write FWriter;


TLRSObjectWriter.WriteSet

Declaration

Source position: lresources.pp line 297

public procedure TLRSObjectWriter.WriteSet(

  Value: LongInt;

  SetType: Pointer

); override;


TLRSObjectWriter.WriteSingle

Declaration

Source position: lresources.pp line 291

public procedure TLRSObjectWriter.WriteSingle(

  const Value: Single

); override;


TLRSObjectWriter.WriteSingleContent

Declaration

Source position: lresources.pp line 260

protected procedure TLRSObjectWriter.WriteSingleContent(

  s: single

);


TLRSObjectWriter.WriteStr

Declaration

Source position: lresources.pp line 256

protected procedure TLRSObjectWriter.WriteStr(

  const Value: string

);


TLRSObjectWriter.WriteString

Declaration

Source position: lresources.pp line 298

public procedure TLRSObjectWriter.WriteString(

  const Value: string

); override;


TLRSObjectWriter.WriteUnicodeString

Declaration

Source position: lresources.pp line 300

public procedure TLRSObjectWriter.WriteUnicodeString(

  const Value: UnicodeString

); override;


TLRSObjectWriter.WriteValue

Declaration

Source position: lresources.pp line 255

protected procedure TLRSObjectWriter.WriteValue(

  Value: TValueType

);


TLRSObjectWriter.WriteVariant

Declaration

Source position: lresources.pp line 301

public procedure TLRSObjectWriter.WriteVariant(

  const Value: Variant

); override;


TLRSObjectWriter.WriteWideString

Declaration

Source position: lresources.pp line 299

public procedure TLRSObjectWriter.WriteWideString(

  const Value: WideString

); override;


TLRSObjectWriter.WriteWideStringContent

Declaration

Source position: lresources.pp line 264

protected procedure TLRSObjectWriter.WriteWideStringContent(

  const ws: WideString

);


TLRSObjectWriter.WriteWordContent

Declaration

Source position: lresources.pp line 258

protected procedure TLRSObjectWriter.WriteWordContent(

  w: Word

);


TLRSObjectWriter.WriteWordsReversed

Writes multiples words (WideChar) with reversed byte order.

Declaration

Source position: lresources.pp line 265

protected procedure TLRSObjectWriter.WriteWordsReversed(

  p: PWord;

  Count: Integer

);


TLRSObjectWriterClass

Declaration

Source position: lresources.pp line 306

type TLRSObjectWriterClass = class of TLRSObjectWriter;


TPropertiesToSkip

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Declaration

Source position: lresources.pp line 449

type TPropertiesToSkip = class(TList)

protected

  procedure Notify(); override;

  procedure DoPropertyNotFound();

public

  function IndexOf();

  function Add();

  property Items []: PRemovedProperty; [rw]

end;

Inheritance

TPropertiesToSkip

|

TList,IFPObserved
|

TObject


TPropertiesToSkip
 |  | Items
TList
 |  | Capacity
 |  | Count
 |  | Items
 | ro | List
TObject


 | Capacity (TList)
 | Count (TList)
 | Items (TList)
 | Items (TPropertiesToSkip)
ro | List (TList)


TPropertiesToSkip
pt | Notify
pt | DoPropertyNotFound
 | IndexOf
 | Add
TList
 | CopyMove
 | MergeMove
 | DoCopy
 | DoSrcUnique
 | DoAnd
 | DoDestUnique
 | DoOr
 | DoXOr
 | Get
 | Grow
 | Put
 | Notify
 | SetCapacity
 | GetCapacity
 | SetCount
 | GetCount
 | GetList
 | Create
 | Destroy
 | FPOAttachObserver
 | FPODetachObserver
 | FPONotifyObservers
 | AddList
 | Add
 | Clear
 | Delete
 | Error
 | Exchange
 | Expand
 | Extract
 | First
 | GetEnumerator
 | IndexOf
 | Insert
 | Last
 | Move
 | Assign
 | Remove
 | Pack
 | Sort
TObject
 | Create
 | Destroy
 | newinstance
 | FreeInstance
 | SafeCallException
 | DefaultHandler
 | Free
 | InitInstance
 | CleanupInstance
 | ClassType
 | ClassInfo
 | ClassName
 | ClassNameIs
 | ClassParent
 | InstanceSize
 | InheritsFrom
 | StringMessageTable
 | MethodAddress
 | MethodName
 | FieldAddress
 | AfterConstruction
 | BeforeDestruction
 | DefaultHandlerStr
 | Dispatch
 | DispatchStr
 | GetInterface
 | GetInterfaceByStr
 | GetInterfaceWeak
 | GetInterfaceEntry
 | GetInterfaceEntryByStr
 | GetInterfaceTable
 | UnitName
 | Equals
 | GetHashCode
 | ToString


 | Add (TList)
 | Add (TPropertiesToSkip)
 | AddList (TList)
 | AfterConstruction (TObject)
 | Assign (TList)
 | BeforeDestruction (TObject)
 | ClassInfo (TObject)
 | ClassName (TObject)
 | ClassNameIs (TObject)
 | ClassParent (TObject)
 | ClassType (TObject)
 | CleanupInstance (TObject)
 | Clear (TList)
 | CopyMove (TList)
 | Create (TObject)
 | Create (TList)
 | DefaultHandler (TObject)
 | DefaultHandlerStr (TObject)
 | Delete (TList)
 | Destroy (TObject)
 | Destroy (TList)
 | Dispatch (TObject)
 | DispatchStr (TObject)
 | DoAnd (TList)
 | DoCopy (TList)
 | DoDestUnique (TList)
 | DoOr (TList)
pt | DoPropertyNotFound (TPropertiesToSkip)
 | DoSrcUnique (TList)
 | DoXOr (TList)
 | Equals (TObject)
 | Error (TList)
 | Exchange (TList)
 | Expand (TList)
 | Extract (TList)
 | FieldAddress (TObject)
 | First (TList)
 | FPOAttachObserver (TList)
 | FPODetachObserver (TList)
 | FPONotifyObservers (TList)
 | Free (TObject)
 | FreeInstance (TObject)
 | Get (TList)
 | GetCapacity (TList)
 | GetCount (TList)
 | GetEnumerator (TList)
 | GetHashCode (TObject)
 | GetInterface (TObject)
 | GetInterfaceByStr (TObject)
 | GetInterfaceEntry (TObject)
 | GetInterfaceEntryByStr (TObject)
 | GetInterfaceTable (TObject)
 | GetInterfaceWeak (TObject)
 | GetList (TList)
 | Grow (TList)
 | IndexOf (TList)
 | IndexOf (TPropertiesToSkip)
 | InheritsFrom (TObject)
 | InitInstance (TObject)
 | Insert (TList)
 | InstanceSize (TObject)
 | Last (TList)
 | MergeMove (TList)
 | MethodAddress (TObject)
 | MethodName (TObject)
 | Move (TList)
 | newinstance (TObject)
 | Notify (TList)
pt | Notify (TPropertiesToSkip)
 | Pack (TList)
 | Put (TList)
 | Remove (TList)
 | SafeCallException (TObject)
 | SetCapacity (TList)
 | SetCount (TList)
 | Sort (TList)
 | StringMessageTable (TObject)
 | ToString (TObject)
 | UnitName (TObject)


TPropertiesToSkip

TList

TObject


TPropertiesToSkip.Add

Declaration

Source position: lresources.pp line 460

public function TPropertiesToSkip.Add(

  APersistentClass: TPersistentClass;

  const APropertyName: string;

  const ANote: string;

  const AHelpKeyWord: string

):Integer;


TPropertiesToSkip.DoPropertyNotFound

Declaration

Source position: lresources.pp line 455

protected procedure TPropertiesToSkip.DoPropertyNotFound(

  Reader: TReader;

  Instance: TPersistent;

  var PropName: string;

  IsPath: Boolean;

  var Handled: Boolean;

  var Skip: Boolean

);


TPropertiesToSkip.IndexOf

Declaration

Source position: lresources.pp line 458

public function TPropertiesToSkip.IndexOf(

  AInstance: TPersistent;

  const APropertyName: string

):Integer; overload;

function TPropertiesToSkip.IndexOf(

  AClass: TPersistentClass;

  APropertyName: string

):Integer; overload;


TPropertiesToSkip.Items

Declaration

Source position: lresources.pp line 462

public property TPropertiesToSkip.Items[AIndex: Integer] : PRemovedProperty
  read GetItem
  write SetItem;


TPropertiesToSkip.Notify

Declaration

Source position: lresources.pp line 454

protected procedure TPropertiesToSkip.Notify(

  Ptr: Pointer;

  Action: TListNotification

); override;


TUTF8Parser

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Parser for identifiers, and string and number literals.

Declaration

Source position: lresources.pp line 348

type TUTF8Parser = class(TObject)
public
constructor Create();
destructor Destroy; override;
procedure CheckToken(); | Asserts that Token is of the expected type.
procedure CheckTokenSymbol(); | Asserts that the given name was parsed (case insensitive).
procedure Error(); | Raises an EParserError with the given message.
procedure ErrorFmt(); | Raises an EParserError with the formatted message.
procedure ErrorStr(); | Raises an EParserError with the given message, adding source position information.
procedure HexToBinary(); | Writes an hex value into the output stream.
function NextToken; | Parses the next token.
function SourcePos; | Returns the current position in the input stream.
function TokenComponentIdent; | Parses an (possibly) qualified identifier, after a symbol has been parsed.
function TokenFloat; | Returns the binary value of a floating point number.
function TokenInt; | Returns the binary value of an integral number.
function TokenString; | Returns the last parsed token as an string.
function TokenSymbolIs(); | Compares the parsed symbol with the given string (case-insensitive).
property FloatType: Char; [r] | The type of the parsed floating point number. (number, date...)
property SourceLine: Integer; [r] | The current line number in the input stream.
function SourceColumn; | The current column number in the source line.
property Token: Char; [r] | The last parsed token type.
end;

Inheritance

TUTF8Parser

Parser for identifiers, and string and number literals.
|

TObject

Description

Use TUTF8Parser.NextToken to get the next token. The token type also is available in Token.

Allowed whitespace is newline (CR,LF), tab and space.

Allowed identifiers consist of ASCII letters, digits or underscore.

Strings are a sequence of quoted strings or #nn characters.

Numbers are parsed as integer or floating point values, with toFloat values subdivided into number, single, date or currency, according to FloatType.

All other characters are returned literally.


TUTF8Parser
 | ro | FloatType
 | ro | SourceLine
 | ro | Token
TObject


ro | FloatType (TUTF8Parser)
ro | SourceLine (TUTF8Parser)
ro | Token (TUTF8Parser)


TUTF8Parser
 | Create
 | Destroy
 | CheckToken
 | CheckTokenSymbol
 | Error
 | ErrorFmt
 | ErrorStr
 | HexToBinary
 | NextToken
 | SourcePos
 | TokenComponentIdent
 | TokenFloat
 | TokenInt
 | TokenString
 | TokenSymbolIs
 | SourceColumn
TObject
 | Create
 | Destroy
 | newinstance
 | FreeInstance
 | SafeCallException
 | DefaultHandler
 | Free
 | InitInstance
 | CleanupInstance
 | ClassType
 | ClassInfo
 | ClassName
 | ClassNameIs
 | ClassParent
 | InstanceSize
 | InheritsFrom
 | StringMessageTable
 | MethodAddress
 | MethodName
 | FieldAddress
 | AfterConstruction
 | BeforeDestruction
 | DefaultHandlerStr
 | Dispatch
 | DispatchStr
 | GetInterface
 | GetInterfaceByStr
 | GetInterfaceWeak
 | GetInterfaceEntry
 | GetInterfaceEntryByStr
 | GetInterfaceTable
 | UnitName
 | Equals
 | GetHashCode
 | ToString


AfterConstruction (TObject)

BeforeDestruction (TObject)

CheckToken (TUTF8Parser)

CheckTokenSymbol (TUTF8Parser)

ClassInfo (TObject)

ClassName (TObject)

ClassNameIs (TObject)

ClassParent (TObject)

ClassType (TObject)

CleanupInstance (TObject)

Create (TObject)

Create (TUTF8Parser)

DefaultHandler (TObject)

DefaultHandlerStr (TObject)

Destroy (TObject)

Destroy (TUTF8Parser)

Dispatch (TObject)

DispatchStr (TObject)

Equals (TObject)

Error (TUTF8Parser)

ErrorFmt (TUTF8Parser)

ErrorStr (TUTF8Parser)

FieldAddress (TObject)

Free (TObject)

FreeInstance (TObject)

GetHashCode (TObject)

GetInterface (TObject)

GetInterfaceByStr (TObject)

GetInterfaceEntry (TObject)

GetInterfaceEntryByStr (TObject)

GetInterfaceTable (TObject)

GetInterfaceWeak (TObject)

HexToBinary (TUTF8Parser)

InheritsFrom (TObject)

InitInstance (TObject)

InstanceSize (TObject)

MethodAddress (TObject)

MethodName (TObject)

newinstance (TObject)

NextToken (TUTF8Parser)

SafeCallException (TObject)

SourceColumn (TUTF8Parser)

SourcePos (TUTF8Parser)

StringMessageTable (TObject)

TokenComponentIdent (TUTF8Parser)

TokenFloat (TUTF8Parser)

TokenInt (TUTF8Parser)

TokenString (TUTF8Parser)

TokenSymbolIs (TUTF8Parser)

ToString (TObject)

UnitName (TObject)


TUTF8Parser

TObject


TUTF8Parser.CheckToken

Asserts that Token is of the expected type.

Declaration

Source position: lresources.pp line 385

public procedure TUTF8Parser.CheckToken(

  T: Char

);

Arguments

T

The expected token type.

Errors

EParserError when Token doesn't match the expected type.


TUTF8Parser.CheckTokenSymbol

Asserts that the given name was parsed (case insensitive).

Declaration

Source position: lresources.pp line 386

public procedure TUTF8Parser.CheckTokenSymbol(

  const S: string

);

Arguments

S

The expected identifier.

Errors

EParserError when Token doesn't match the expected type or name.


TUTF8Parser.Create

Declaration

Source position: lresources.pp line 383

public constructor TUTF8Parser.Create(

  Stream: TStream

);


TUTF8Parser.Destroy

Declaration

Source position: lresources.pp line 384

public destructor TUTF8Parser.Destroy; override;


TUTF8Parser.Error

Raises an EParserError with the given message.

Declaration

Source position: lresources.pp line 387

public procedure TUTF8Parser.Error(

  const Ident: string

);

Arguments

Ident

The message text.


TUTF8Parser.ErrorFmt

Raises an EParserError with the formatted message.

Declaration

Source position: lresources.pp line 388

public procedure TUTF8Parser.ErrorFmt(

  const Ident: string;

  const Args: array of Const

);

Arguments

Ident | The Format string.
Args | The arguments to be formatted.


TUTF8Parser.ErrorStr

Raises an EParserError with the given message, adding source position information.

Declaration

Source position: lresources.pp line 389

public procedure TUTF8Parser.ErrorStr(

  const Message: string

);


TUTF8Parser.FloatType

The type of the parsed floating point number. (number, date...)

Declaration

Source position: lresources.pp line 398

public property TUTF8Parser.FloatType : Char
  read fFloatType;


TUTF8Parser.HexToBinary

Writes an hex value into the output stream.

Declaration

Source position: lresources.pp line 390

public procedure TUTF8Parser.HexToBinary(

  Stream: TStream

);

Arguments

Stream

The output stream.

Description

The hex digits must occur in pairs, for every byte.

The binary bytes are written in input order (highest first).

Errors

EParserError on unpaired hex digits.


TUTF8Parser.NextToken

Parses the next token.

Declaration

Source position: lresources.pp line 391

public function TUTF8Parser.NextToken: Char;

Function result

The token type.


TUTF8Parser.SourceColumn

The current column number in the source line.

Declaration

Source position: lresources.pp line 400

public function TUTF8Parser.SourceColumn: Integer;


TUTF8Parser.SourceLine

The current line number in the input stream.

Declaration

Source position: lresources.pp line 399

public property TUTF8Parser.SourceLine : Integer
  read fSourceLine;


TUTF8Parser.SourcePos

Returns the current position in the input stream.

Declaration

Source position: lresources.pp line 392

public function TUTF8Parser.SourcePos: LongInt;


TUTF8Parser.Token

The last parsed token type.

Declaration

Source position: lresources.pp line 401

public property TUTF8Parser.Token : Char
  read fToken;


TUTF8Parser.TokenComponentIdent

Parses an (possibly) qualified identifier, after a symbol has been parsed.

Declaration

Source position: lresources.pp line 393

public function TUTF8Parser.TokenComponentIdent: string;

Errors

EParserError when Token is not toSymbol.


TUTF8Parser.TokenFloat

Returns the binary value of a floating point number.

Declaration

Source position: lresources.pp line 394

public function TUTF8Parser.TokenFloat: Extended;

Errors

EParserError on an invalid number.


TUTF8Parser.TokenInt

Returns the binary value of an integral number.

Declaration

Source position: lresources.pp line 395

public function TUTF8Parser.TokenInt: Int64;


TUTF8Parser.TokenString

Returns the last parsed token as an string.

Declaration

Source position: lresources.pp line 396

public function TUTF8Parser.TokenString: string;


TUTF8Parser.TokenSymbolIs

Compares the parsed symbol with the given string (case-insensitive).

Declaration

Source position: lresources.pp line 397

public function TUTF8Parser.TokenSymbolIs(

  const S: string

):Boolean;

Function result

True when a matching symbol has been parsed.


EDBEditError

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

EDBEditError - Exception class for handling an error in a data-aware Edit box

Declaration

Source position: maskedit.pp line 131

type EDBEditError = class(Exception)

Inheritance

EDBEditError

EDBEditError - Exception class for handling an error in a data-aware Edit box
|

Exception
|

TObject


EDBEditError
Exception
 | HelpContext
 | Message
TObject


EDBEditError
Exception
 | Create
 | CreateFmt
 | CreateRes
 | CreateResFmt
 | CreateHelp
 | CreateFmtHelp
 | CreateResHelp
 | CreateResFmtHelp
 | ToString
TObject
 | Create
 | Destroy
 | newinstance
 | FreeInstance
 | SafeCallException
 | DefaultHandler
 | Free
 | InitInstance
 | CleanupInstance
 | ClassType
 | ClassInfo
 | ClassName
 | ClassNameIs
 | ClassParent
 | InstanceSize
 | InheritsFrom
 | StringMessageTable
 | MethodAddress
 | MethodName
 | FieldAddress
 | AfterConstruction
 | BeforeDestruction
 | DefaultHandlerStr
 | Dispatch
 | DispatchStr
 | GetInterface
 | GetInterfaceByStr
 | GetInterfaceWeak
 | GetInterfaceEntry
 | GetInterfaceEntryByStr
 | GetInterfaceTable
 | UnitName
 | Equals
 | GetHashCode
 | ToString


EDBEditError

Exception

TObject


EInvalidCodePoint

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Declaration

Source position: maskedit.pp line 134

type EInvalidCodePoint = class(EInvalidUtf8)

Inheritance

EInvalidCodePoint
|

EInvalidUtf8
|

Exception
|

TObject


EInvalidCodePoint
EInvalidUtf8
Exception
 | HelpContext
 | Message
TObject


EInvalidCodePoint
EInvalidUtf8
Exception
 | Create
 | CreateFmt
 | CreateRes
 | CreateResFmt
 | CreateHelp
 | CreateFmtHelp
 | CreateResHelp
 | CreateResFmtHelp
 | ToString
TObject
 | Create
 | Destroy
 | newinstance
 | FreeInstance
 | SafeCallException
 | DefaultHandler
 | Free
 | InitInstance
 | CleanupInstance
 | ClassType
 | ClassInfo
 | ClassName
 | ClassNameIs
 | ClassParent
 | InstanceSize
 | InheritsFrom
 | StringMessageTable
 | MethodAddress
 | MethodName
 | FieldAddress
 | AfterConstruction
 | BeforeDestruction
 | DefaultHandlerStr
 | Dispatch
 | DispatchStr
 | GetInterface
 | GetInterfaceByStr
 | GetInterfaceWeak
 | GetInterfaceEntry
 | GetInterfaceEntryByStr
 | GetInterfaceTable
 | UnitName
 | Equals
 | GetHashCode
 | ToString


EInvalidCodePoint

EInvalidUtf8

Exception

TObject


EInvalidUtf8

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Declaration

Source position: maskedit.pp line 133

type EInvalidUtf8 = class(Exception)

Inheritance

EInvalidUtf8
|

Exception
|

TObject


EInvalidUtf8
Exception
 | HelpContext
 | Message
TObject


EInvalidUtf8
Exception
 | Create
 | CreateFmt
 | CreateRes
 | CreateResFmt
 | CreateHelp
 | CreateFmtHelp
 | CreateResHelp
 | CreateResFmtHelp
 | ToString
TObject
 | Create
 | Destroy
 | newinstance
 | FreeInstance
 | SafeCallException
 | DefaultHandler
 | Free
 | InitInstance
 | CleanupInstance
 | ClassType
 | ClassInfo
 | ClassName
 | ClassNameIs
 | ClassParent
 | InstanceSize
 | InheritsFrom
 | StringMessageTable
 | MethodAddress
 | MethodName
 | FieldAddress
 | AfterConstruction
 | BeforeDestruction
 | DefaultHandlerStr
 | Dispatch
 | DispatchStr
 | GetInterface
 | GetInterfaceByStr
 | GetInterfaceWeak
 | GetInterfaceEntry
 | GetInterfaceEntryByStr
 | GetInterfaceTable
 | UnitName
 | Equals
 | GetHashCode
 | ToString


EInvalidUtf8

Exception

TObject


TCustomMaskEdit

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

TCustomMaskEdit - base class for TMaskEdit, an Edit box with characters masked out to avoid unauthorised reading

Declaration

Source position: maskedit.pp line 179

type TCustomMaskEdit = class(TCustomEdit)
protected
function ApplyMaskToText();
function CanShowEmulatedTextHint; override;
function DisableMask();
function RestoreMask();
procedure RealSetText(); override;
function RealGetText; override;
function GetTextWithoutMask();
function GetTextWithoutSpaceChar();
procedure SetTextApplyMask();
function GetEditText; virtual; | Get the text in the edit box (the string that has been masked)
procedure SetEditText(); | SetEditText - specifies the text to appear in the Edit box
procedure GetSel(); | GetSel - finds the start and end positions of the selection
procedure SetSel(); | SetSel - specifies the start and end positions of the selection
procedure TextChanged; override; | Handles changes of the Text property.
procedure Change; override;
procedure SetCharCase();
function GetCharCase;
procedure SetMaxLength(); |
function GetMaxLength; |
procedure SetNumbersOnly(); override;
procedure Loaded; override;
procedure LMPasteFromClip(); message; | LMPasteFromClip - LCL message method for pasting from clipboard
procedure LMCutToClip(); message; | LMCutToClip - LCL message method for cutting to clipboard
procedure LMClearSel(); message; | LMClearSel - LCL message method for clearing selected items
function EditCanModify; virtual; | If True, the Edit box is allowed to modify the contents
procedure Reset; virtual; | Reset - put back to its default state with mask appearing in Text box and no string input
procedure DoEnter; override; | Invokes the OnEnter event handler.
procedure DoExit; override; | Invoke the OnExit event handler.
procedure KeyDown(); override; | Invokes the OnKeyDown handler.
procedure HandleKeyPress();
procedure KeyPress(); override; | Invokes the OnKeyPress handler.
procedure Utf8KeyPress(); override;
procedure MouseUp(); override; | Invokes the OnMouseUp handler.
procedure CheckCursor; |
property EditText: string; [rw] | The string that has been typed in the Edit Box and obscured by the Masking characters
property IsMasked: Boolean; [r] | isMasked - True if the text is masked
property SpaceChar: Char; [rw] | SpaceChar - the character that is to be used as a Space character
property MaxLength: Integer; [rw] |
property CharCase: TEditCharCase; [rw]
property EditMask: string; [rw] | EditMask - the sequence of characters used to obscure the string being typed (typically a sequence of asterisks)
public
procedure CutToClipBoard; override; | Moves the selected text into the clipboard (removes it from the control).
procedure PasteFromClipBoard; override; | Inserts text from the clipboard at the current position, possibly replacing the selected text.
constructor Create(); override; |
procedure Clear; | Deletes all text.
procedure ValidateEdit; virtual; | Validate the string that has been typed in the edit box
property Modified: Boolean; [rw]
end;

Inheritance

TCustomMaskEdit | TCustomMaskEdit - base class for TMaskEdit, an Edit box with characters masked out to avoid unauthorised reading
|
TCustomEdit | The base class for controls presenting editable text.
|
TWinControl | The base class for controls which can contain other (child) controls.
|
TControl | The base class for visible controls.
|
TLCLComponent | The base class for LCL components associated with widgets.
|
TComponent,IUnknown,IInterfaceComponentReference
|
TPersistent,IFPObserved
|
TObject

Description

Custom Mask Edit: the base type for Mask Edit


TCustomMaskEdit
pt |  | EditText
pt | ro | IsMasked
pt |  | SpaceChar
pt |  | MaxLength
pt |  | CharCase
pt |  | EditMask
 |  | Modified
TCustomEdit
pt |  | AutoSelect
pt |  | AutoSelected
pt | ro | ParentColor
 |  | Alignment
 | ro | AutoSize
 | ro | BorderStyle
 | ro | CanUndo
 |  | CaretPos
 |  | CharCase
 |  | EchoMode
 |  | HideSelection
 |  | MaxLength
 |  | Modified
 |  | NumbersOnly
 |  | PasswordChar
 | ro | PopupMenu
 |  | ReadOnly
 |  | SelLength
 |  | SelStart
 |  | SelText
 | ro | TabOrder
 | ro | TabStop
 | ro | Text
 |  | TextHint
TWinControl
pt |  | WindowHandle
pt |  | BorderStyle
pt |  | ParentBackground
 |  | BorderWidth
 | ro | BoundsLockCount
 | ro | Brush
 | ro | CachedClientHeight
 | ro | CachedClientWidth
 |  | ChildSizing
 | ro | ControlCount
 | ro | Controls
 |  | DefWndProc
 | ro | DockClientCount
 | ro | DockClients
 |  | DockManager
 |  | DockSite
 |  | DoubleBuffered
 |  | Handle
 | ro | IsFlipped
 | ro | IsResizing
 |  | TabOrder
 |  | TabStop
 |  | ParentDoubleBuffered
 |  | ParentWindow
 | ro | Showing
 |  | UseDockManager
 |  | DesignerDeleting
 | ro | VisibleDockClientCount
TControl
pt | ro | AutoSizing
pt | ro | AutoSizingAll
pt | ro | AutoSizingLockCount
pt |  | ActionLink
pt |  | DesktopFont
pt |  | DragCursor
pt |  | DragKind
pt |  | DragMode
pt |  | MouseCapture
pt |  | ParentColor
pt |  | ParentFont
pt |  | ParentShowHint
pt |  | SessionProperties
pt |  | Text
 | ro | AnchoredControls
 | ro | BaseBounds
 | ro | ReadBounds
 | ro | BaseParentClientSize
 |  | AccessibleDescription
 |  | AccessibleValue
 |  | AccessibleRole
 |  | Action
 |  | Align
 |  | Anchors
 | ro | AnchorSide
 |  | AutoSize
 |  | BorderSpacing
 |  | BoundsRect
 |  | BoundsRectForNewParent
 |  | Caption
 |  | CaptureMouseButtons
 |  | ClientHeight
 | ro | ClientOrigin
 | ro | ClientRect
 |  | ClientWidth
 |  | Color
 |  | Constraints
 | ro | ControlOrigin
 |  | ControlState
 |  | ControlStyle
 |  | Enabled
 |  | Font
 |  | IsControl
 | ro | MouseEntered
 | ro | MouseInClient
 |  | Parent
 |  | PopupMenu
 |  | ShowHint
 |  | Visible
 |  | WindowProc
 |  | DockOrientation
 | ro | Floating
 |  | FloatingDockSiteClass
 |  | HostDockSite
 |  | LRDockWidth
 |  | TBDockHeight
 |  | UndockHeight
 |  | UndockWidth
 |  | BiDiMode
 |  | ParentBiDiMode
pl |  | AnchorSideLeft
pl |  | AnchorSideTop
pl |  | AnchorSideRight
pl |  | AnchorSideBottom
pl |  | Cursor
pl |  | Left
pl |  | Height
pl |  | Hint
pl |  | Top
pl |  | Width
pl |  | HelpType
pl |  | HelpKeyword
pl |  | HelpContext
TLCLComponent
 | ro | LCLRefCount
 | ro | WidgetSetClass
TComponent
 | ro | ComObject
 | ro | Components
 | ro | ComponentCount
 |  | ComponentIndex
 | ro | ComponentState
 | ro | ComponentStyle
 |  | DesignInfo
 | ro | Owner
 |  | VCLComObject
 |  | Name
 |  | Tag
TPersistent
TObject


TCustomMaskEdit
pt | ApplyMaskToText
pt | CanShowEmulatedTextHint
pt | DisableMask
pt | RestoreMask
pt | RealSetText
pt | RealGetText
pt | GetTextWithoutMask
pt | GetTextWithoutSpaceChar
pt | SetTextApplyMask
pt | GetEditText
pt | SetEditText
pt | GetSel
pt | SetSel
pt | TextChanged
pt | Change
pt | SetCharCase
pt | GetCharCase
pt | SetMaxLength
pt | GetMaxLength
pt | SetNumbersOnly
pt | Loaded
pt | LMPasteFromClip
pt | LMCutToClip
pt | LMClearSel
pt | EditCanModify
pt | Reset
pt | DoEnter
pt | DoExit
pt | KeyDown
pt | HandleKeyPress
pt | KeyPress
pt | Utf8KeyPress
pt | MouseUp
pt | CheckCursor
 | CutToClipBoard
 | PasteFromClipBoard
 | Create
 | Clear
 | ValidateEdit
TCustomEdit
pt | WSRegisterClass
pt | CanShowEmulatedTextHint
pt | CreateEmulatedTextHintFont
pt | CalculatePreferredSize
pt | CreateParams
pt | InitializeWnd
pt | TextChanged
pt | FontChanged
pt | Change
pt | DoEnter
pt | DoExit
pt | EditingDone
pt | GetCaretPos
pt | GetNumbersOnly
pt | GetReadOnly
pt | GetSelLength
pt | GetSelStart
pt | GetSelText
pt | GetTextHint
pt | SetCaretPos
pt | SetEchoMode
pt | SetNumbersOnly
pt | SetReadOnly
pt | SetSelLength
pt | SetSelStart
pt | SetSelText
pt | SetTextHint
pt | ChildClassAllowed
pt | GetControlClassDefaultSize
pt | MouseUp
pt | RealSetText
pt | RealGetText
pt | KeyUpAfterInterface
pt | WMChar
pt | CMWantSpecialKey
pt | WndProc
pt | ShouldAutoAdjust
pt | WMSetFocus
pt | WMKillFocus
 | Create
 | Destroy
 | Clear
 | SelectAll
 | ClearSelection
 | CopyToClipboard
 | CutToClipboard
 | PasteFromClipboard
 | Undo
 | RemoveAllHandlersOfObject
 | AddHandlerOnChange
 | RemoveHandlerOnChange
TWinControl
pt | WSRegisterClass
pt | AdjustClientRect
pt | GetAdjustedLogicalClientRect
pt | AlignControls
pt | CustomAlignInsertBefore
pt | CustomAlignPosition
pt | DoAlignChildControls
pt | DoChildSizingChange
pt | InvalidatePreferredChildSizes
pt | CanTab
pt | IsClientHeightStored
pt | IsClientWidthStored
pt | DoSendShowHideToInterface
pt | ControlsAligned
pt | DoSendBoundsToInterface
pt | RealizeBounds
pt | RealizeBoundsRecursive
pt | InvalidateBoundsRealized
pt | CreateSubClass
pt | DoConstraintsChange
pt | DoSetBounds
pt | DoAutoSize
pt | DoAllAutoSize
pt | AllAutoSized
pt | CalculatePreferredSize
pt | GetPreferredSizeClientFrame
pt | GetChildren
pt | ChildClassAllowed
pt | PaintControls
pt | PaintHandler
pt | PaintWindow
pt | CreateBrush
pt | ScaleControls
pt | ChangeScale
pt | CMBiDiModeChanged
pt | CMBorderChanged
pt | CMDoubleBufferedChanged
pt | CMEnabledChanged
pt | CMParentDoubleBufferedChanged
pt | CMShowingChanged
pt | CMShowHintChanged
pt | CMVisibleChanged
pt | CMEnter
pt | CMExit
pt | WMContextMenu
pt | WMEraseBkgnd
pt | WMNotify
pt | WMSetFocus
pt | WMKillFocus
pt | WMShowWindow
pt | WMEnter
pt | WMExit
pt | WMKeyDown
pt | WMSysKeyDown
pt | WMKeyUp
pt | WMSysKeyUp
pt | WMChar
pt | WMSysChar
pt | WMPaint
pt | WMDestroy
pt | WMMove
pt | WMSize
pt | WMWindowPosChanged
pt | CNKeyDown
pt | CNSysKeyDown
pt | CNKeyUp
pt | CNSysKeyUp
pt | CNChar
pt | DoDragMsg
pt | DoDockClientMsg
pt | DoUndockClientMsg
pt | DoAddDockClient
pt | DockOver
pt | DoDockOver
pt | DoRemoveDockClient
pt | DoUnDock
pt | GetSiteInfo
pt | GetParentHandle
pt | GetTopParentHandle
pt | ReloadDockedControl
pt | CreateDockManager
pt | SetDockManager
pt | DoFloatMsg
pt | DoGetDockCaption
pt | DoEnter
pt | DoExit
pt | DoKeyDownBeforeInterface
pt | DoRemainingKeyDown
pt | DoRemainingKeyUp
pt | DoKeyPress
pt | DoUTF8KeyPress
pt | DoKeyUpBeforeInterface
pt | ChildKey
pt | SendDialogChar
pt | DialogChar
pt | ControlKeyDown
pt | ControlKeyUp
pt | KeyDown
pt | KeyDownBeforeInterface
pt | KeyDownAfterInterface
pt | KeyPress
pt | KeyUp
pt | KeyUpBeforeInterface
pt | KeyUpAfterInterface
pt | UTF8KeyPress
pt | FindNextControl
pt | SelectFirst
pt | RealGetText
pt | GetBorderStyle
pt | GetClientOrigin
pt | GetClientRect
pt | GetControlOrigin
pt | GetDeviceContext
pt | GetParentBackground
pt | IsControlMouseMsg
pt | CreateHandle
pt | CreateParams
pt | CreateWnd
pt | DestroyHandle
pt | DestroyWnd
pt | DoFlipChildren
pt | FinalizeWnd
pt | FixupTabList
pt | FontChanged
pt | InitializeWnd
pt | Loaded
pt | FormEndUpdated
pt | MainWndProc
pt | ParentFormHandleInitialized
pt | ChildHandlesCreated
pt | GetMouseCapture
pt | RealSetText
pt | RemoveFocus
pt | SendMoveSizeMessages
pt | SetBorderStyle
pt | SetColor
pt | SetChildZPosition
pt | SetParentBackground
pt | ShowControl
pt | UpdateControlState
pt | UpdateShowing
pt | WndProc
pt | WSSetText
 | AutoSizePhases
 | AutoSizeDelayed
 | AutoSizeDelayedReport
 | AutoSizeDelayedHandle
 | BeginUpdateBounds
 | EndUpdateBounds
 | LockRealizeBounds
 | UnlockRealizeBounds
 | ControlAtPos
 | ContainsControl
 | DoAdjustClientRectChange
 | InvalidateClientRectCache
 | ClientRectNeedsInterfaceUpdate
 | SetBounds
 | GetChildrenRect
 | DisableAlign
 | EnableAlign
 | ReAlign
 | ScrollBy_WS
 | ScrollBy
 | WriteLayoutDebugReport
 | AutoAdjustLayout
 | Create
 | CreateParented
 | CreateParentedControl
 | Destroy
 | DockDrop
 | CanFocus
 | CanSetFocus
 | GetControlIndex
 | SetControlIndex
 | Focused
 | PerformTab
 | FindChildControl
 | SelectNext
 | SetTempCursor
 | BroadCast
 | NotifyControls
 | DefaultHandler
 | GetTextLen
 | Invalidate
 | AddControl
 | InsertControl
 | RemoveControl
 | GetEnumeratorControls
 | GetEnumeratorControlsReverse
 | Repaint
 | Update
 | SetFocus
 | FlipChildren
 | ScaleBy
 | GetDockCaption
 | UpdateDockCaption
 | GetTabOrderList
 | HandleAllocated
 | ParentHandlesAllocated
 | HandleNeeded
 | BrushCreated
 | EraseBackground
 | IntfUTF8KeyPress
 | IntfGetDropFilesTarget
 | PaintTo
 | SetShape
TControl
pt | WSRegisterClass
pt | GetCursor
pt | SetCursor
pt | SetVisible
pt | DoOnParentHandleDestruction
pt | DoAutoSize
pt | DoAllAutoSize
pt | BeginAutoSizing
pt | EndAutoSizing
pt | AnchorSideChanged
pt | ForeignAnchorSideChanged
pt | SetAlign
pt | SetAnchors
pt | SetAutoSize
pt | BoundsChanged
pt | CreateControlBorderSpacing
pt | DoConstraintsChange
pt | DoBorderSpacingChange
pt | IsBorderSpacingInnerBorderStored
pt | IsCaptionStored
pt | SendMoveSizeMessages
pt | ConstrainedResize
pt | CalculatePreferredSize
pt | DoOnResize
pt | DoOnChangeBounds
pt | CheckOnChangeBounds
pt | Resize
pt | RequestAlign
pt | UpdateAnchorRules
pt | ChangeBounds
pt | DoSetBounds
pt | ScaleConstraints
pt | ChangeScale
pt | CanAutoSize
pt | SetBiDiMode
pt | SetParentBiDiMode
pt | IsAParentAligning
pt | GetClientOrigin
pt | GetClientRect
pt | GetLogicalClientRect
pt | GetScrolledClientRect
pt | GetClientScrollOffset
pt | GetControlOrigin
pt | IsClientHeightStored
pt | IsClientWidthStored
pt | WidthIsAnchored
pt | HeightIsAnchored
pt | WMCancelMode
pt | WMContextMenu
pt | WMLButtonDown
pt | WMRButtonDown
pt | WMMButtonDown
pt | WMXButtonDown
pt | WMLButtonDBLCLK
pt | WMRButtonDBLCLK
pt | WMMButtonDBLCLK
pt | WMXButtonDBLCLK
pt | WMLButtonTripleCLK
pt | WMRButtonTripleCLK
pt | WMMButtonTripleCLK
pt | WMXButtonTripleCLK
pt | WMLButtonQuadCLK
pt | WMRButtonQuadCLK
pt | WMMButtonQuadCLK
pt | WMXButtonQuadCLK
pt | WMMouseMove
pt | WMLButtonUp
pt | WMRButtonUp
pt | WMMButtonUp
pt | WMXButtonUp
pt | WMMouseWheel
pt | WMMouseHWheel
pt | WMMove
pt | WMSize
pt | WMWindowPosChanged
pt | CMChanged
pt | LMCaptureChanged
pt | CMBiDiModeChanged
pt | CMSysFontChanged
pt | CMEnabledChanged
pt | CMHitTest
pt | CMMouseEnter
pt | CMMouseLeave
pt | CMHintShow
pt | CMParentBiDiModeChanged
pt | CMParentColorChanged
pt | CMParentFontChanged
pt | CMParentShowHintChanged
pt | CMVisibleChanged
pt | CMTextChanged
pt | CMCursorChanged
pt | CalculateDockSizes
pt | CreateFloatingDockSite
pt | GetDockEdge
pt | GetDragImages
pt | GetFloating
pt | GetFloatingDockSiteClass
pt | BeforeDragStart
pt | BeginAutoDrag
pt | DoFloatMsg
pt | DockTrackNoTarget
pt | DoDock
pt | DoDragMsg
pt | DoEndDock
pt | DoEndDrag
pt | DoStartDock
pt | DoStartDrag
pt | DragCanceled
pt | DragOver
pt | PositionDockRect
pt | SetDragMode
pt | GetDefaultDockCaption
pt | Click
pt | DblClick
pt | TripleClick
pt | QuadClick
pt | GetMousePosFromMessage
pt | MouseDown
pt | MouseMove
pt | MouseUp
pt | MouseEnter
pt | MouseLeave
pt | DialogChar
pt | UpdateMouseCursor
pt | Changed
pt | GetPalette
pt | ChildClassAllowed
pt | ReadState
pt | Loaded
pt | LoadedAll
pt | DefineProperties
pt | AssignTo
pt | FormEndUpdated
pt | InvalidateControl
pt | FontChanged
pt | ParentFontChanged
pt | GetAction
pt | RealGetText
pt | RealSetText
pt | TextChanged
pt | GetCachedText
pt | SetAction
pt | SetColor
pt | SetEnabled
pt | SetHint
pt | SetName
pt | SetParent
pt | SetParentComponent
pt | WndProc
pt | ParentFormHandleInitialized
pt | GetMouseCapture
pt | CaptureChanged
pt | Notification
pt | CanTab
pt | GetDeviceContext
pt | GetEnabled
pt | GetPopupMenu
pt | DoOnShowHint
pt | DoMouseWheel
pt | DoMouseWheelDown
pt | DoMouseWheelUp
pt | DoMouseWheelHorz
pt | DoMouseWheelLeft
pt | DoMouseWheelRight
pt | VisibleChanging
pt | VisibleChanged
pt | EnabledChanging
pt | EnabledChanged
pt | AddHandler
pt | RemoveHandler
pt | DoCallNotifyHandler
pt | DoCallKeyEventHandler
pt | DoCallMouseWheelEventHandler
pt | DoContextPopup
pt | SetZOrder
pt | GetControlClassDefaultSize
pt | ColorIsStored
pt | DoAutoAdjustLayout
pt | DoFixDesignFontPPI
pt | DoScaleFontPPI
pt | GetActionLinkClass
pt | ActionChange
 | DragDrop
 | Dock
 | ManualDock
 | ManualFloat
 | ReplaceDockedControl
 | Docked
 | Dragging
 | GetAccessibleObject
 | CreateAccessibleObject
 | GetSelectedChildAccessibleObject
 | GetChildAccessibleObjectAtPos
 | ScaleDesignToForm
 | ScaleFormToDesign
 | Scale96ToForm
 | ScaleFormTo96
 | Scale96ToFont
 | ScaleFontTo96
 | ScaleScreenToFont
 | ScaleFontToScreen
 | Scale96ToScreen
 | ScaleScreenTo96
 | AdjustSize
 | AutoSizePhases
 | AutoSizeDelayed
 | AutoSizeDelayedReport
 | AutoSizeDelayedHandle
 | AnchorToNeighbour
 | AnchorParallel
 | AnchorHorizontalCenterTo
 | AnchorVerticalCenterTo
 | AnchorToCompanion
 | AnchorSame
 | AnchorAsAlign
 | AnchorClient
 | AnchoredControlCount
 | SetBounds
 | SetInitialBounds
 | SetBoundsKeepBase
 | GetPreferredSize
 | GetCanvasScaleFactor
 | GetDefaultWidth
 | GetDefaultHeight
 | GetDefaultColor
 | GetColorResolvingParent
 | GetRGBColorResolvingParent
 | GetSidePosition
 | CNPreferredSizeChanged
 | InvalidatePreferredSize
 | GetAnchorsDependingOnParent
 | DisableAutoSizing
 | EnableAutoSizing
 | UpdateBaseBounds
 | WriteLayoutDebugReport
 | AutoAdjustLayout
 | ShouldAutoAdjust
 | FixDesignFontsPPI
 | ScaleFontsPPI
 | Create
 | Destroy
 | BeforeDestruction
 | EditingDone
 | ExecuteDefaultAction
 | ExecuteCancelAction
 | BeginDrag
 | EndDrag
 | BringToFront
 | HasParent
 | GetParentComponent
 | IsParentOf
 | GetTopParent
 | IsVisible
 | IsControlVisible
 | IsEnabled
 | IsParentColor
 | IsParentFont
 | FormIsUpdating
 | IsProcessingPaintMsg
 | Hide
 | Refresh
 | Repaint
 | Invalidate
 | CheckChildClassAllowed
 | CheckNewParent
 | SendToBack
 | SetTempCursor
 | UpdateRolesForForm
 | ActiveDefaultControlChanged
 | GetTextBuf
 | GetTextLen
 | SetTextBuf
 | Perform
 | ScreenToClient
 | ClientToScreen
 | ScreenToControl
 | ControlToScreen
 | ClientToParent
 | ParentToClient
 | GetChildrenRect
 | Show
 | Update
 | HandleObjectShouldBeVisible
 | ParentDestroyingHandle
 | ParentHandlesAllocated
 | InitiateAction
 | ShowHelp
 | HasHelp
 | RemoveAllHandlersOfObject
 | AddHandlerOnResize
 | RemoveHandlerOnResize
 | AddHandlerOnChangeBounds
 | RemoveHandlerOnChangeBounds
 | AddHandlerOnVisibleChanging
 | RemoveHandlerOnVisibleChanging
 | AddHandlerOnVisibleChanged
 | RemoveHandlerOnVisibleChanged
 | AddHandlerOnEnabledChanged
 | RemoveHandlerOnEnableChanging
 | AddHandlerOnKeyDown
 | RemoveHandlerOnKeyDown
 | AddHandlerOnBeforeDestruction
 | RemoveHandlerOnBeforeDestruction
 | AddHandlerOnMouseWheel
 | RemoveHandlerOnMouseWheel
 | UseRightToLeftAlignment
 | UseRightToLeftReading
 | UseRightToLeftScrollBar
 | IsRightToLeft
TLCLComponent
pt | WSRegisterClass
pt | GetWSComponentClass
 | Create
 | Destroy
 | NewInstance
 | RemoveAllHandlersOfObject
 | IncLCLRefCount
 | DecLCLRefCount
TComponent
 | GetComObject
 | GetComponent
 | GetComponentCount
 | GetComponentIndex
 | Insert
 | ReadLeft
 | ReadTop
 | Remove
 | RemoveNotification
 | SetComponentIndex
 | SetReference
 | WriteLeft
 | WriteTop
 | ChangeName
 | DefineProperties
 | GetChildren
 | GetChildOwner
 | GetChildParent
 | GetOwner
 | Loaded
 | Loading
 | Notification
 | PaletteCreated
 | ReadState
 | SetAncestor
 | SetDesigning
 | SetDesignInstance
 | SetInline
 | SetName
 | SetChildOrder
 | SetParentComponent
 | Updating
 | Updated
 | UpdateRegistry
 | ValidateRename
 | ValidateContainer
 | ValidateInsert
 | QueryInterface
 | _AddRef
 | _Release
 | iicrGetComponent
 | GetTypeInfoCount
 | GetTypeInfo
 | GetIDsOfNames
 | Invoke
 | WriteState
 | Create
 | Destroy
 | BeforeDestruction
 | DestroyComponents
 | Destroying
 | ExecuteAction
 | FindComponent
 | FreeNotification
 | RemoveFreeNotification
 | FreeOnRelease
 | GetEnumerator
 | GetNamePath
 | GetParentComponent
 | HasParent
 | InsertComponent
 | RemoveComponent
 | SafeCallException
 | SetSubComponent
 | UpdateAction
 | IsImplementorOf
 | ReferenceInterface
TPersistent
 | AssignError
 | AssignTo
 | DefineProperties
 | GetOwner
 | Destroy
 | Assign
 | FPOAttachObserver
 | FPODetachObserver
 | FPONotifyObservers
 | GetNamePath
TObject
 | Create
 | Destroy
 | newinstance
 | FreeInstance
 | SafeCallException
 | DefaultHandler
 | Free
 | InitInstance
 | CleanupInstance
 | ClassType
 | ClassInfo
 | ClassName
 | ClassNameIs
 | ClassParent
 | InstanceSize
 | InheritsFrom
 | StringMessageTable
 | MethodAddress
 | MethodName
 | FieldAddress
 | AfterConstruction
 | BeforeDestruction
 | DefaultHandlerStr
 | Dispatch
 | DispatchStr
 | GetInterface
 | GetInterfaceByStr
 | GetInterfaceWeak
 | GetInterfaceEntry
 | GetInterfaceEntryByStr
 | GetInterfaceTable
 | UnitName
 | Equals
 | GetHashCode
 | ToString


pt | ActionChange (TControl)
 | ActiveDefaultControlChanged (TControl)
 | AddControl (TWinControl)
pt | AddHandler (TControl)
 | AddHandlerOnBeforeDestruction (TControl)
 | AddHandlerOnChange (TCustomEdit)
 | AddHandlerOnChangeBounds (TControl)
 | AddHandlerOnEnabledChanged (TControl)
 | AddHandlerOnKeyDown (TControl)
 | AddHandlerOnMouseWheel (TControl)
 | AddHandlerOnResize (TControl)
 | AddHandlerOnVisibleChanged (TControl)
 | AddHandlerOnVisibleChanging (TControl)
pt | AdjustClientRect (TWinControl)
 | AdjustSize (TControl)
 | AfterConstruction (TObject)
pt | AlignControls (TWinControl)
pt | AllAutoSized (TWinControl)
 | AnchorAsAlign (TControl)
 | AnchorClient (TControl)
 | AnchoredControlCount (TControl)
 | AnchorHorizontalCenterTo (TControl)
 | AnchorParallel (TControl)
 | AnchorSame (TControl)
pt | AnchorSideChanged (TControl)
 | AnchorToCompanion (TControl)
 | AnchorToNeighbour (TControl)
 | AnchorVerticalCenterTo (TControl)
pt | ApplyMaskToText (TCustomMaskEdit)
 | Assign (TPersistent)
 | AssignError (TPersistent)
 | AssignTo (TPersistent)
pt | AssignTo (TControl)
 | AutoAdjustLayout (TControl)
 | AutoAdjustLayout (TWinControl)
 | AutoSizeDelayed (TControl)
 | AutoSizeDelayed (TWinControl)
 | AutoSizeDelayedHandle (TControl)
 | AutoSizeDelayedHandle (TWinControl)
 | AutoSizeDelayedReport (TControl)
 | AutoSizeDelayedReport (TWinControl)
 | AutoSizePhases (TControl)
 | AutoSizePhases (TWinControl)
 | BeforeDestruction (TObject)
 | BeforeDestruction (TComponent)
 | BeforeDestruction (TControl)
pt | BeforeDragStart (TControl)
pt | BeginAutoDrag (TControl)
pt | BeginAutoSizing (TControl)
 | BeginDrag (TControl)
 | BeginUpdateBounds (TWinControl)
pt | BoundsChanged (TControl)
 | BringToFront (TControl)
 | BroadCast (TWinControl)
 | BrushCreated (TWinControl)
pt | CalculateDockSizes (TControl)
pt | CalculatePreferredSize (TControl)
pt | CalculatePreferredSize (TWinControl)
pt | CalculatePreferredSize (TCustomEdit)
pt | CanAutoSize (TControl)
 | CanFocus (TWinControl)
 | CanSetFocus (TWinControl)
pt | CanShowEmulatedTextHint (TCustomEdit)
pt | CanShowEmulatedTextHint (TCustomMaskEdit)
pt | CanTab (TControl)
pt | CanTab (TWinControl)
pt | CaptureChanged (TControl)
pt | Change (TCustomEdit)
pt | Change (TCustomMaskEdit)
pt | ChangeBounds (TControl)
pt | Changed (TControl)
 | ChangeName (TComponent)
pt | ChangeScale (TControl)
pt | ChangeScale (TWinControl)
 | CheckChildClassAllowed (TControl)
pt | CheckCursor (TCustomMaskEdit)
 | CheckNewParent (TControl)
pt | CheckOnChangeBounds (TControl)
pt | ChildClassAllowed (TControl)
pt | ChildClassAllowed (TWinControl)
pt | ChildClassAllowed (TCustomEdit)
pt | ChildHandlesCreated (TWinControl)
pt | ChildKey (TWinControl)
 | ClassInfo (TObject)
 | ClassName (TObject)
 | ClassNameIs (TObject)
 | ClassParent (TObject)
 | ClassType (TObject)
 | CleanupInstance (TObject)
 | Clear (TCustomEdit)
 | Clear (TCustomMaskEdit)
 | ClearSelection (TCustomEdit)
pt | Click (TControl)
 | ClientRectNeedsInterfaceUpdate (TWinControl)
 | ClientToParent (TControl)
 | ClientToScreen (TControl)
pt | CMBiDiModeChanged (TControl)
pt | CMBiDiModeChanged (TWinControl)
pt | CMBorderChanged (TWinControl)
pt | CMChanged (TControl)
pt | CMCursorChanged (TControl)
pt | CMDoubleBufferedChanged (TWinControl)
pt | CMEnabledChanged (TControl)
pt | CMEnabledChanged (TWinControl)
pt | CMEnter (TWinControl)
pt | CMExit (TWinControl)
pt | CMHintShow (TControl)
pt | CMHitTest (TControl)
pt | CMMouseEnter (TControl)
pt | CMMouseLeave (TControl)
pt | CMParentBiDiModeChanged (TControl)
pt | CMParentColorChanged (TControl)
pt | CMParentDoubleBufferedChanged (TWinControl)
pt | CMParentFontChanged (TControl)
pt | CMParentShowHintChanged (TControl)
pt | CMShowHintChanged (TWinControl)
pt | CMShowingChanged (TWinControl)
pt | CMSysFontChanged (TControl)
pt | CMTextChanged (TControl)
pt | CMVisibleChanged (TControl)
pt | CMVisibleChanged (TWinControl)
pt | CMWantSpecialKey (TCustomEdit)
pt | CNChar (TWinControl)
pt | CNKeyDown (TWinControl)
pt | CNKeyUp (TWinControl)
 | CNPreferredSizeChanged (TControl)
pt | CNSysKeyDown (TWinControl)
pt | CNSysKeyUp (TWinControl)
pt | ColorIsStored (TControl)
pt | ConstrainedResize (TControl)
 | ContainsControl (TWinControl)
 | ControlAtPos (TWinControl)
pt | ControlKeyDown (TWinControl)
pt | ControlKeyUp (TWinControl)
pt | ControlsAligned (TWinControl)
 | ControlToScreen (TControl)
 | CopyToClipboard (TCustomEdit)
 | Create (TObject)
 | Create (TComponent)
 | Create (TLCLComponent)
 | Create (TControl)
 | Create (TWinControl)
 | Create (TCustomEdit)
 | Create (TCustomMaskEdit)
 | CreateAccessibleObject (TControl)
pt | CreateBrush (TWinControl)
pt | CreateControlBorderSpacing (TControl)
pt | CreateDockManager (TWinControl)
pt | CreateEmulatedTextHintFont (TCustomEdit)
pt | CreateFloatingDockSite (TControl)
pt | CreateHandle (TWinControl)
pt | CreateParams (TWinControl)
pt | CreateParams (TCustomEdit)
 | CreateParented (TWinControl)
 | CreateParentedControl (TWinControl)
pt | CreateSubClass (TWinControl)
pt | CreateWnd (TWinControl)
pt | CustomAlignInsertBefore (TWinControl)
pt | CustomAlignPosition (TWinControl)
 | CutToClipboard (TCustomEdit)
 | CutToClipBoard (TCustomMaskEdit)
pt | DblClick (TControl)
 | DecLCLRefCount (TLCLComponent)
 | DefaultHandler (TObject)
 | DefaultHandler (TWinControl)
 | DefaultHandlerStr (TObject)
 | DefineProperties (TPersistent)
 | DefineProperties (TComponent)
pt | DefineProperties (TControl)
 | Destroy (TObject)
 | Destroy (TPersistent)
 | Destroy (TComponent)
 | Destroy (TLCLComponent)
 | Destroy (TControl)
 | Destroy (TWinControl)
 | Destroy (TCustomEdit)
 | DestroyComponents (TComponent)
pt | DestroyHandle (TWinControl)
 | Destroying (TComponent)
pt | DestroyWnd (TWinControl)
pt | DialogChar (TControl)
pt | DialogChar (TWinControl)
 | DisableAlign (TWinControl)
 | DisableAutoSizing (TControl)
pt | DisableMask (TCustomMaskEdit)
 | Dispatch (TObject)
 | DispatchStr (TObject)
pt | DoAddDockClient (TWinControl)
 | DoAdjustClientRectChange (TWinControl)
pt | DoAlignChildControls (TWinControl)
pt | DoAllAutoSize (TControl)
pt | DoAllAutoSize (TWinControl)
pt | DoAutoAdjustLayout (TControl)
pt | DoAutoSize (TControl)
pt | DoAutoSize (TWinControl)
pt | DoBorderSpacingChange (TControl)
pt | DoCallKeyEventHandler (TControl)
pt | DoCallMouseWheelEventHandler (TControl)
pt | DoCallNotifyHandler (TControl)
pt | DoChildSizingChange (TWinControl)
 | Dock (TControl)
 | DockDrop (TWinControl)
 | Docked (TControl)
pt | DockOver (TWinControl)
pt | DockTrackNoTarget (TControl)
pt | DoConstraintsChange (TControl)
pt | DoConstraintsChange (TWinControl)
pt | DoContextPopup (TControl)
pt | DoDock (TControl)
pt | DoDockClientMsg (TWinControl)
pt | DoDockOver (TWinControl)
pt | DoDragMsg (TControl)
pt | DoDragMsg (TWinControl)
pt | DoEndDock (TControl)
pt | DoEndDrag (TControl)
pt | DoEnter (TWinControl)
pt | DoEnter (TCustomEdit)
pt | DoEnter (TCustomMaskEdit)
pt | DoExit (TWinControl)
pt | DoExit (TCustomEdit)
pt | DoExit (TCustomMaskEdit)
pt | DoFixDesignFontPPI (TControl)
pt | DoFlipChildren (TWinControl)
pt | DoFloatMsg (TControl)
pt | DoFloatMsg (TWinControl)
pt | DoGetDockCaption (TWinControl)
pt | DoKeyDownBeforeInterface (TWinControl)
pt | DoKeyPress (TWinControl)
pt | DoKeyUpBeforeInterface (TWinControl)
pt | DoMouseWheel (TControl)
pt | DoMouseWheelDown (TControl)
pt | DoMouseWheelHorz (TControl)
pt | DoMouseWheelLeft (TControl)
pt | DoMouseWheelRight (TControl)
pt | DoMouseWheelUp (TControl)
pt | DoOnChangeBounds (TControl)
pt | DoOnParentHandleDestruction (TControl)
pt | DoOnResize (TControl)
pt | DoOnShowHint (TControl)
pt | DoRemainingKeyDown (TWinControl)
pt | DoRemainingKeyUp (TWinControl)
pt | DoRemoveDockClient (TWinControl)
pt | DoScaleFontPPI (TControl)
pt | DoSendBoundsToInterface (TWinControl)
pt | DoSendShowHideToInterface (TWinControl)
pt | DoSetBounds (TControl)
pt | DoSetBounds (TWinControl)
pt | DoStartDock (TControl)
pt | DoStartDrag (TControl)
pt | DoUnDock (TWinControl)
pt | DoUndockClientMsg (TWinControl)
pt | DoUTF8KeyPress (TWinControl)
pt | DragCanceled (TControl)
 | DragDrop (TControl)
 | Dragging (TControl)
pt | DragOver (TControl)
pt | EditCanModify (TCustomMaskEdit)
 | EditingDone (TControl)
pt | EditingDone (TCustomEdit)
 | EnableAlign (TWinControl)
 | EnableAutoSizing (TControl)
pt | EnabledChanged (TControl)
pt | EnabledChanging (TControl)
pt | EndAutoSizing (TControl)
 | EndDrag (TControl)
 | EndUpdateBounds (TWinControl)
 | Equals (TObject)
 | EraseBackground (TWinControl)
 | ExecuteAction (TComponent)
 | ExecuteCancelAction (TControl)
 | ExecuteDefaultAction (TControl)
 | FieldAddress (TObject)
pt | FinalizeWnd (TWinControl)
 | FindChildControl (TWinControl)
 | FindComponent (TComponent)
pt | FindNextControl (TWinControl)
 | FixDesignFontsPPI (TControl)
pt | FixupTabList (TWinControl)
 | FlipChildren (TWinControl)
 | Focused (TWinControl)
pt | FontChanged (TControl)
pt | FontChanged (TWinControl)
pt | FontChanged (TCustomEdit)
pt | ForeignAnchorSideChanged (TControl)
pt | FormEndUpdated (TControl)
pt | FormEndUpdated (TWinControl)
 | FormIsUpdating (TControl)
 | FPOAttachObserver (TPersistent)
 | FPODetachObserver (TPersistent)
 | FPONotifyObservers (TPersistent)
 | Free (TObject)
 | FreeInstance (TObject)
 | FreeNotification (TComponent)
 | FreeOnRelease (TComponent)
 | GetAccessibleObject (TControl)
pt | GetAction (TControl)
pt | GetActionLinkClass (TControl)
pt | GetAdjustedLogicalClientRect (TWinControl)
 | GetAnchorsDependingOnParent (TControl)
pt | GetBorderStyle (TWinControl)
pt | GetCachedText (TControl)
 | GetCanvasScaleFactor (TControl)
pt | GetCaretPos (TCustomEdit)
pt | GetCharCase (TCustomMaskEdit)
 | GetChildAccessibleObjectAtPos (TControl)
 | GetChildOwner (TComponent)
 | GetChildParent (TComponent)
 | GetChildren (TComponent)
pt | GetChildren (TWinControl)
 | GetChildrenRect (TControl)
 | GetChildrenRect (TWinControl)
pt | GetClientOrigin (TControl)
pt | GetClientOrigin (TWinControl)
pt | GetClientRect (TControl)
pt | GetClientRect (TWinControl)
pt | GetClientScrollOffset (TControl)
 | GetColorResolvingParent (TControl)
 | GetComObject (TComponent)
 | GetComponent (TComponent)
 | GetComponentCount (TComponent)
 | GetComponentIndex (TComponent)
pt | GetControlClassDefaultSize (TControl)
pt | GetControlClassDefaultSize (TCustomEdit)
 | GetControlIndex (TWinControl)
pt | GetControlOrigin (TControl)
pt | GetControlOrigin (TWinControl)
pt | GetCursor (TControl)
 | GetDefaultColor (TControl)
pt | GetDefaultDockCaption (TControl)
 | GetDefaultHeight (TControl)
 | GetDefaultWidth (TControl)
pt | GetDeviceContext (TControl)
pt | GetDeviceContext (TWinControl)
 | GetDockCaption (TWinControl)
pt | GetDockEdge (TControl)
pt | GetDragImages (TControl)
pt | GetEditText (TCustomMaskEdit)
pt | GetEnabled (TControl)
 | GetEnumerator (TComponent)
 | GetEnumeratorControls (TWinControl)
 | GetEnumeratorControlsReverse (TWinControl)
pt | GetFloating (TControl)
pt | GetFloatingDockSiteClass (TControl)
 | GetHashCode (TObject)
 | GetIDsOfNames (TComponent)
 | GetInterface (TObject)
 | GetInterfaceByStr (TObject)
 | GetInterfaceEntry (TObject)
 | GetInterfaceEntryByStr (TObject)
 | GetInterfaceTable (TObject)
 | GetInterfaceWeak (TObject)
pt | GetLogicalClientRect (TControl)
pt | GetMaxLength (TCustomMaskEdit)
pt | GetMouseCapture (TControl)
pt | GetMouseCapture (TWinControl)
pt | GetMousePosFromMessage (TControl)
 | GetNamePath (TPersistent)
 | GetNamePath (TComponent)
pt | GetNumbersOnly (TCustomEdit)
 | GetOwner (TPersistent)
 | GetOwner (TComponent)
pt | GetPalette (TControl)
pt | GetParentBackground (TWinControl)
 | GetParentComponent (TComponent)
 | GetParentComponent (TControl)
pt | GetParentHandle (TWinControl)
pt | GetPopupMenu (TControl)
 | GetPreferredSize (TControl)
pt | GetPreferredSizeClientFrame (TWinControl)
pt | GetReadOnly (TCustomEdit)
 | GetRGBColorResolvingParent (TControl)
pt | GetScrolledClientRect (TControl)
pt | GetSel (TCustomMaskEdit)
 | GetSelectedChildAccessibleObject (TControl)
pt | GetSelLength (TCustomEdit)
pt | GetSelStart (TCustomEdit)
pt | GetSelText (TCustomEdit)
 | GetSidePosition (TControl)
pt | GetSiteInfo (TWinControl)
 | GetTabOrderList (TWinControl)
 | GetTextBuf (TControl)
pt | GetTextHint (TCustomEdit)
 | GetTextLen (TControl)
 | GetTextLen (TWinControl)
pt | GetTextWithoutMask (TCustomMaskEdit)
pt | GetTextWithoutSpaceChar (TCustomMaskEdit)
 | GetTopParent (TControl)
pt | GetTopParentHandle (TWinControl)
 | GetTypeInfo (TComponent)
 | GetTypeInfoCount (TComponent)
pt | GetWSComponentClass (TLCLComponent)
 | HandleAllocated (TWinControl)
pt | HandleKeyPress (TCustomMaskEdit)
 | HandleNeeded (TWinControl)
 | HandleObjectShouldBeVisible (TControl)
 | HasHelp (TControl)
 | HasParent (TComponent)
 | HasParent (TControl)
pt | HeightIsAnchored (TControl)
 | Hide (TControl)
 | iicrGetComponent (TComponent)
 | IncLCLRefCount (TLCLComponent)
 | InheritsFrom (TObject)
pt | InitializeWnd (TWinControl)
pt | InitializeWnd (TCustomEdit)
 | InitiateAction (TControl)
 | InitInstance (TObject)
 | Insert (TComponent)
 | InsertComponent (TComponent)
 | InsertControl (TWinControl)
 | InstanceSize (TObject)
 | IntfGetDropFilesTarget (TWinControl)
 | IntfUTF8KeyPress (TWinControl)
 | Invalidate (TControl)
 | Invalidate (TWinControl)
pt | InvalidateBoundsRealized (TWinControl)
 | InvalidateClientRectCache (TWinControl)
pt | InvalidateControl (TControl)
pt | InvalidatePreferredChildSizes (TWinControl)
 | InvalidatePreferredSize (TControl)
 | Invoke (TComponent)
pt | IsAParentAligning (TControl)
pt | IsBorderSpacingInnerBorderStored (TControl)
pt | IsCaptionStored (TControl)
pt | IsClientHeightStored (TControl)
pt | IsClientHeightStored (TWinControl)
pt | IsClientWidthStored (TControl)
pt | IsClientWidthStored (TWinControl)
pt | IsControlMouseMsg (TWinControl)
 | IsControlVisible (TControl)
 | IsEnabled (TControl)
 | IsImplementorOf (TComponent)
 | IsParentColor (TControl)
 | IsParentFont (TControl)
 | IsParentOf (TControl)
 | IsProcessingPaintMsg (TControl)
 | IsRightToLeft (TControl)
 | IsVisible (TControl)
pt | KeyDown (TWinControl)
pt | KeyDown (TCustomMaskEdit)
pt | KeyDownAfterInterface (TWinControl)
pt | KeyDownBeforeInterface (TWinControl)
pt | KeyPress (TWinControl)
pt | KeyPress (TCustomMaskEdit)
pt | KeyUp (TWinControl)
pt | KeyUpAfterInterface (TWinControl)
pt | KeyUpAfterInterface (TCustomEdit)
pt | KeyUpBeforeInterface (TWinControl)
pt | LMCaptureChanged (TControl)
pt | LMClearSel (TCustomMaskEdit)
pt | LMCutToClip (TCustomMaskEdit)
pt | LMPasteFromClip (TCustomMaskEdit)
 | Loaded (TComponent)
pt | Loaded (TControl)
pt | Loaded (TWinControl)
pt | Loaded (TCustomMaskEdit)
pt | LoadedAll (TControl)
 | Loading (TComponent)
 | LockRealizeBounds (TWinControl)
pt | MainWndProc (TWinControl)
 | ManualDock (TControl)
 | ManualFloat (TControl)
 | MethodAddress (TObject)
 | MethodName (TObject)
pt | MouseDown (TControl)
pt | MouseEnter (TControl)
pt | MouseLeave (TControl)
pt | MouseMove (TControl)
pt | MouseUp (TControl)
pt | MouseUp (TCustomEdit)
pt | MouseUp (TCustomMaskEdit)
 | newinstance (TObject)
 | NewInstance (TLCLComponent)
 | Notification (TComponent)
pt | Notification (TControl)
 | NotifyControls (TWinControl)
pt | PaintControls (TWinControl)
pt | PaintHandler (TWinControl)
 | PaintTo (TWinControl)
pt | PaintWindow (TWinControl)
 | PaletteCreated (TComponent)
 | ParentDestroyingHandle (TControl)
pt | ParentFontChanged (TControl)
pt | ParentFormHandleInitialized (TControl)
pt | ParentFormHandleInitialized (TWinControl)
 | ParentHandlesAllocated (TControl)
 | ParentHandlesAllocated (TWinControl)
 | ParentToClient (TControl)
 | PasteFromClipboard (TCustomEdit)
 | PasteFromClipBoard (TCustomMaskEdit)
 | Perform (TControl)
 | PerformTab (TWinControl)
pt | PositionDockRect (TControl)
pt | QuadClick (TControl)
 | QueryInterface (TComponent)
 | ReadLeft (TComponent)
 | ReadState (TComponent)
pt | ReadState (TControl)
 | ReadTop (TComponent)
pt | RealGetText (TControl)
pt | RealGetText (TWinControl)
pt | RealGetText (TCustomEdit)
pt | RealGetText (TCustomMaskEdit)
 | ReAlign (TWinControl)
pt | RealizeBounds (TWinControl)
pt | RealizeBoundsRecursive (TWinControl)
pt | RealSetText (TControl)
pt | RealSetText (TWinControl)
pt | RealSetText (TCustomEdit)
pt | RealSetText (TCustomMaskEdit)
 | ReferenceInterface (TComponent)
 | Refresh (TControl)
pt | ReloadDockedControl (TWinControl)
 | Remove (TComponent)
 | RemoveAllHandlersOfObject (TLCLComponent)
 | RemoveAllHandlersOfObject (TControl)
 | RemoveAllHandlersOfObject (TCustomEdit)
 | RemoveComponent (TComponent)
 | RemoveControl (TWinControl)
pt | RemoveFocus (TWinControl)
 | RemoveFreeNotification (TComponent)
pt | RemoveHandler (TControl)
 | RemoveHandlerOnBeforeDestruction (TControl)
 | RemoveHandlerOnChange (TCustomEdit)
 | RemoveHandlerOnChangeBounds (TControl)
 | RemoveHandlerOnEnableChanging (TControl)
 | RemoveHandlerOnKeyDown (TControl)
 | RemoveHandlerOnMouseWheel (TControl)
 | RemoveHandlerOnResize (TControl)
 | RemoveHandlerOnVisibleChanged (TControl)
 | RemoveHandlerOnVisibleChanging (TControl)
 | RemoveNotification (TComponent)
 | Repaint (TControl)
 | Repaint (TWinControl)
 | ReplaceDockedControl (TControl)
pt | RequestAlign (TControl)
pt | Reset (TCustomMaskEdit)
pt | Resize (TControl)
pt | RestoreMask (TCustomMaskEdit)
 | SafeCallException (TObject)
 | SafeCallException (TComponent)
 | Scale96ToFont (TControl)
 | Scale96ToForm (TControl)
 | Scale96ToScreen (TControl)
 | ScaleBy (TWinControl)
pt | ScaleConstraints (TControl)
pt | ScaleControls (TWinControl)
 | ScaleDesignToForm (TControl)
 | ScaleFontsPPI (TControl)
 | ScaleFontTo96 (TControl)
 | ScaleFontToScreen (TControl)
 | ScaleFormTo96 (TControl)
 | ScaleFormToDesign (TControl)
 | ScaleScreenTo96 (TControl)
 | ScaleScreenToFont (TControl)
 | ScreenToClient (TControl)
 | ScreenToControl (TControl)
 | ScrollBy (TWinControl)
 | ScrollBy_WS (TWinControl)
 | SelectAll (TCustomEdit)
pt | SelectFirst (TWinControl)
 | SelectNext (TWinControl)
pt | SendDialogChar (TWinControl)
pt | SendMoveSizeMessages (TControl)
pt | SendMoveSizeMessages (TWinControl)
 | SendToBack (TControl)
pt | SetAction (TControl)
pt | SetAlign (TControl)
 | SetAncestor (TComponent)
pt | SetAnchors (TControl)
pt | SetAutoSize (TControl)
pt | SetBiDiMode (TControl)
pt | SetBorderStyle (TWinControl)
 | SetBounds (TControl)
 | SetBounds (TWinControl)
 | SetBoundsKeepBase (TControl)
pt | SetCaretPos (TCustomEdit)
pt | SetCharCase (TCustomMaskEdit)
 | SetChildOrder (TComponent)
pt | SetChildZPosition (TWinControl)
pt | SetColor (TControl)
pt | SetColor (TWinControl)
 | SetComponentIndex (TComponent)
 | SetControlIndex (TWinControl)
pt | SetCursor (TControl)
 | SetDesigning (TComponent)
 | SetDesignInstance (TComponent)
pt | SetDockManager (TWinControl)
pt | SetDragMode (TControl)
pt | SetEchoMode (TCustomEdit)
pt | SetEditText (TCustomMaskEdit)
pt | SetEnabled (TControl)
 | SetFocus (TWinControl)
pt | SetHint (TControl)
 | SetInitialBounds (TControl)
 | SetInline (TComponent)
pt | SetMaxLength (TCustomMaskEdit)
 | SetName (TComponent)
pt | SetName (TControl)
pt | SetNumbersOnly (TCustomEdit)
pt | SetNumbersOnly (TCustomMaskEdit)
pt | SetParent (TControl)
pt | SetParentBackground (TWinControl)
pt | SetParentBiDiMode (TControl)
 | SetParentComponent (TComponent)
pt | SetParentComponent (TControl)
pt | SetReadOnly (TCustomEdit)
 | SetReference (TComponent)
pt | SetSel (TCustomMaskEdit)
pt | SetSelLength (TCustomEdit)
pt | SetSelStart (TCustomEdit)
pt | SetSelText (TCustomEdit)
 | SetShape (TWinControl)
 | SetSubComponent (TComponent)
 | SetTempCursor (TControl)
 | SetTempCursor (TWinControl)
pt | SetTextApplyMask (TCustomMaskEdit)
 | SetTextBuf (TControl)
pt | SetTextHint (TCustomEdit)
pt | SetVisible (TControl)
pt | SetZOrder (TControl)
 | ShouldAutoAdjust (TControl)
pt | ShouldAutoAdjust (TCustomEdit)
 | Show (TControl)
pt | ShowControl (TWinControl)
 | ShowHelp (TControl)
 | StringMessageTable (TObject)
pt | TextChanged (TControl)
pt | TextChanged (TCustomEdit)
pt | TextChanged (TCustomMaskEdit)
 | ToString (TObject)
pt | TripleClick (TControl)
 | Undo (TCustomEdit)
 | UnitName (TObject)
 | UnlockRealizeBounds (TWinControl)
 | Update (TControl)
 | Update (TWinControl)
 | UpdateAction (TComponent)
pt | UpdateAnchorRules (TControl)
 | UpdateBaseBounds (TControl)
pt | UpdateControlState (TWinControl)
 | Updated (TComponent)
 | UpdateDockCaption (TWinControl)
pt | UpdateMouseCursor (TControl)
 | UpdateRegistry (TComponent)
 | UpdateRolesForForm (TControl)
pt | UpdateShowing (TWinControl)
 | Updating (TComponent)
 | UseRightToLeftAlignment (TControl)
 | UseRightToLeftReading (TControl)
 | UseRightToLeftScrollBar (TControl)
pt | UTF8KeyPress (TWinControl)
pt | Utf8KeyPress (TCustomMaskEdit)
 | ValidateContainer (TComponent)
 | ValidateEdit (TCustomMaskEdit)
 | ValidateInsert (TComponent)
 | ValidateRename (TComponent)
pt | VisibleChanged (TControl)
pt | VisibleChanging (TControl)
pt | WidthIsAnchored (TControl)
pt | WMCancelMode (TControl)
pt | WMChar (TWinControl)
pt | WMChar (TCustomEdit)
pt | WMContextMenu (TControl)
pt | WMContextMenu (TWinControl)
pt | WMDestroy (TWinControl)
pt | WMEnter (TWinControl)
pt | WMEraseBkgnd (TWinControl)
pt | WMExit (TWinControl)
pt | WMKeyDown (TWinControl)
pt | WMKeyUp (TWinControl)
pt | WMKillFocus (TWinControl)
pt | WMKillFocus (TCustomEdit)
pt | WMLButtonDBLCLK (TControl)
pt | WMLButtonDown (TControl)
pt | WMLButtonQuadCLK (TControl)
pt | WMLButtonTripleCLK (TControl)
pt | WMLButtonUp (TControl)
pt | WMMButtonDBLCLK (TControl)
pt | WMMButtonDown (TControl)
pt | WMMButtonQuadCLK (TControl)
pt | WMMButtonTripleCLK (TControl)
pt | WMMButtonUp (TControl)
pt | WMMouseHWheel (TControl)
pt | WMMouseMove (TControl)
pt | WMMouseWheel (TControl)
pt | WMMove (TControl)
pt | WMMove (TWinControl)
pt | WMNotify (TWinControl)
pt | WMPaint (TWinControl)
pt | WMRButtonDBLCLK (TControl)
pt | WMRButtonDown (TControl)
pt | WMRButtonQuadCLK (TControl)
pt | WMRButtonTripleCLK (TControl)
pt | WMRButtonUp (TControl)
pt | WMSetFocus (TWinControl)
pt | WMSetFocus (TCustomEdit)
pt | WMShowWindow (TWinControl)
pt | WMSize (TControl)
pt | WMSize (TWinControl)
pt | WMSysChar (TWinControl)
pt | WMSysKeyDown (TWinControl)
pt | WMSysKeyUp (TWinControl)
pt | WMWindowPosChanged (TControl)
pt | WMWindowPosChanged (TWinControl)
pt | WMXButtonDBLCLK (TControl)
pt | WMXButtonDown (TControl)
pt | WMXButtonQuadCLK (TControl)
pt | WMXButtonTripleCLK (TControl)
pt | WMXButtonUp (TControl)
pt | WndProc (TControl)
pt | WndProc (TWinControl)
pt | WndProc (TCustomEdit)
 | WriteLayoutDebugReport (TControl)
 | WriteLayoutDebugReport (TWinControl)
 | WriteLeft (TComponent)
 | WriteState (TComponent)
 | WriteTop (TComponent)
pt | WSRegisterClass (TLCLComponent)
pt | WSRegisterClass (TControl)
pt | WSRegisterClass (TWinControl)
pt | WSRegisterClass (TCustomEdit)
pt | WSSetText (TWinControl)
 | _AddRef (TComponent)
 | _Release (TComponent)


TCustomMaskEdit
TCustomEdit
 | OnChange
TWinControl
pt | OnGetSiteInfo
pt | OnGetDockCaption
 | OnAlignInsertBefore
 | OnAlignPosition
 | OnDockDrop
 | OnDockOver
 | OnEnter
 | OnExit
 | OnKeyDown
 | OnKeyPress
 | OnKeyUp
 | OnUnDock
 | OnUTF8KeyPress
TControl
pt | OnConstrainedResize
pt | OnContextPopup
pt | OnDblClick
pt | OnTripleClick
pt | OnQuadClick
pt | OnDragDrop
pt | OnDragOver
pt | OnEndDock
pt | OnEndDrag
pt | OnMouseDown
pt | OnMouseMove
pt | OnMouseUp
pt | OnMouseEnter
pt | OnMouseLeave
pt | OnMouseWheel
pt | OnMouseWheelDown
pt | OnMouseWheelUp
pt | OnMouseWheelHorz
pt | OnMouseWheelLeft
pt | OnMouseWheelRight
pt | OnStartDock
pt | OnStartDrag
pt | OnEditingDone
 | OnChangeBounds
 | OnClick
 | OnResize
 | OnShowHint
TLCLComponent
TComponent
TPersistent
TObject


TCustomMaskEdit.ApplyMaskToText

Declaration

Source position: maskedit.pp line 233

protected function TCustomMaskEdit.ApplyMaskToText(

  Value: TCaption

):TCaption;


TCustomMaskEdit.CanShowEmulatedTextHint

Declaration

Source position: maskedit.pp line 234

protected function TCustomMaskEdit.CanShowEmulatedTextHint: Boolean; override;


TCustomMaskEdit.CheckCursor

Declaration

Source position: maskedit.pp line 270

protected procedure TCustomMaskEdit.CheckCursor;


TCustomMaskEdit.DisableMask

Declaration

Source position: maskedit.pp line 235

protected function TCustomMaskEdit.DisableMask(

  const NewText: string

):Boolean;


TCustomMaskEdit.EditCanModify

If True, the Edit box is allowed to modify the contents

Declaration

Source position: maskedit.pp line 260

protected function TCustomMaskEdit.EditCanModify: Boolean; virtual;


TCustomMaskEdit.EditMask

EditMask - the sequence of characters used to obscure the string being typed (typically a sequence of asterisks)

Declaration

Source position: maskedit.pp line 276

protected property TCustomMaskEdit.EditMask : string
  read FRealMask
  write SetMask;


TCustomMaskEdit.EditText

The string that has been typed in the Edit Box and obscured by the Masking characters

Declaration

Source position: maskedit.pp line 271

protected property TCustomMaskEdit.EditText : string
  read GetEditText
  write SetEditText;


TCustomMaskEdit.GetCharCase

Declaration

Source position: maskedit.pp line 250

protected function TCustomMaskEdit.GetCharCase: TEditCharCase;


TCustomMaskEdit.GetEditText

Get the text in the edit box (the string that has been masked)

Declaration

Source position: maskedit.pp line 242

protected function TCustomMaskEdit.GetEditText: string; virtual;


TCustomMaskEdit.GetMaxLength

Declaration

Source position: maskedit.pp line 252

protected function TCustomMaskEdit.GetMaxLength: Integer;


TCustomMaskEdit.GetSel

GetSel - finds the start and end positions of the selection

Declaration

Source position: maskedit.pp line 245

protected procedure TCustomMaskEdit.GetSel(

  out _SelStart: Integer;

  out _SelStop: Integer

);


TCustomMaskEdit.GetTextWithoutMask

Declaration

Source position: maskedit.pp line 239

protected function TCustomMaskEdit.GetTextWithoutMask(

  Value: TCaption

):TCaption;


TCustomMaskEdit.GetTextWithoutSpaceChar

Declaration

Source position: maskedit.pp line 240

protected function TCustomMaskEdit.GetTextWithoutSpaceChar(

  Value: TCaption

):TCaption;


TCustomMaskEdit.HandleKeyPress

Declaration

Source position: maskedit.pp line 265

protected procedure TCustomMaskEdit.HandleKeyPress(

  var Key: TUTF8Char

);


TCustomMaskEdit.IsMasked

isMasked - True if the text is masked

Declaration

Source position: maskedit.pp line 272

protected property TCustomMaskEdit.IsMasked : Boolean
  read GetIsMasked;


TCustomMaskEdit.LMClearSel

LMClearSel - LCL message method for clearing selected items

Declaration

Source position: maskedit.pp line 258

protected procedure TCustomMaskEdit.LMClearSel(

  var Message: TLMessage

); message;


TCustomMaskEdit.LMCutToClip

LMCutToClip - LCL message method for cutting to clipboard

Declaration

Source position: maskedit.pp line 257

protected procedure TCustomMaskEdit.LMCutToClip(

  var Message: TLMessage

); message;


TCustomMaskEdit.LMPasteFromClip

LMPasteFromClip - LCL message method for pasting from clipboard

Declaration

Source position: maskedit.pp line 256

protected procedure TCustomMaskEdit.LMPasteFromClip(

  var Message: TLMessage

); message;


TCustomMaskEdit.MaxLength

Declaration

Source position: maskedit.pp line 274

protected property TCustomMaskEdit.MaxLength : Integer
  read GetMaxLength
  write SetMaxLength;


TCustomMaskEdit.RealGetText

Declaration

Source position: maskedit.pp line 238

protected function TCustomMaskEdit.RealGetText: TCaption; override;


TCustomMaskEdit.Reset

Reset - put back to its default state with mask appearing in Text box and no string input

Declaration

Source position: maskedit.pp line 261

protected procedure TCustomMaskEdit.Reset; virtual;


TCustomMaskEdit.RestoreMask

Declaration

Source position: maskedit.pp line 236

protected function TCustomMaskEdit.RestoreMask(

  const NewText: string

):Boolean;


TCustomMaskEdit.SetEditText

SetEditText - specifies the text to appear in the Edit box

Declaration

Source position: maskedit.pp line 243

protected procedure TCustomMaskEdit.SetEditText(

  const AValue: string

);


TCustomMaskEdit.SetMaxLength

Declaration

Source position: maskedit.pp line 251

protected procedure TCustomMaskEdit.SetMaxLength(

  Value: Integer

);


TCustomMaskEdit.SetNumbersOnly

Declaration

Source position: maskedit.pp line 253

protected procedure TCustomMaskEdit.SetNumbersOnly(

  Value: Boolean

); override;


TCustomMaskEdit.SetSel

SetSel - specifies the start and end positions of the selection

Declaration

Source position: maskedit.pp line 246

protected procedure TCustomMaskEdit.SetSel(

  const _SelStart: Integer;

  _SelStop: Integer

);


TCustomMaskEdit.SetTextApplyMask

Declaration

Source position: maskedit.pp line 241

protected procedure TCustomMaskEdit.SetTextApplyMask(

  Value: TCaption

);


TCustomMaskEdit.SpaceChar

SpaceChar - the character that is to be used as a Space character

Declaration

Source position: maskedit.pp line 273

protected property TCustomMaskEdit.SpaceChar : Char
  read FSpaceChar
  write SetSpaceChar;


TCustomMaskEdit.Utf8KeyPress

Declaration

Source position: maskedit.pp line 267

protected procedure TCustomMaskEdit.Utf8KeyPress(

  var UTF8Key: TUTF8Char

); override;


TCustomMaskEdit.ValidateEdit

Validate the string that has been typed in the edit box

Declaration

Source position: maskedit.pp line 283

public procedure TCustomMaskEdit.ValidateEdit; virtual;


TMaskEdit

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

TMaskEdit - an Edit box with characters masked out to avoid unauthorised reading

Declaration

Source position: maskedit.pp line 289

type TMaskEdit = class(TCustomMaskEdit)
public
property IsMasked: Boolean;
property EditText: string;
published
property Align: TAlign; | Used to align the control in one of four directions.
property Alignment: TAlignment;
property Anchors: TAnchors; | The set of anchor definitions for this control.
property AutoSelect: Boolean; | If True, the edit control will select all its text when it receives focus or when the Enter key is pressed.
property AutoSize: Boolean; | Allows to automatically adjust the size of the control, according to its content.
property BiDiMode: TBiDiMode; | Customization (of text controls) in bidirectional reading environments.
property BorderSpacing: TControlBorderSpacing; | Determines the border spacing for this control
property BorderStyle: TBorderStyle; | Allows to show a border (line) around the control,
property CharCase: TEditCharCase; | Allows to force the text into all upper or lower case.
property Color: TColor; | The background color of the control.
property Constraints: TSizeConstraints; | The minimal and maximal Width and Height of this control.
property DragCursor: TCursor; | The cursor shape shown while the control is dragged.
property DragKind: TDragKind; | The operation when the control is dragged - Drag or Dock.
property DragMode: TDragMode; | Allows the user to drag the control.
property Enabled: Boolean; | Determines whether the control reacts on mouse or keyboard input.
property Font: TFont; | The font to be used for text display in this control.
property MaxLength: Integer; | The maximum length of the text; zero for unlimited.
property ParentBiDiMode: Boolean; | Allows to use the BiDiMode settings of Parent. Default is true.
property ParentColor: Boolean; | If true, the Color of the control will be the same as the one from the Parent. Default is true.
property ParentFont: Boolean; | If true, the Font of the control will be the same as the one from the Parent. Default is true.
property ParentShowHint: Boolean; | If true, the value of ShowHint for the control will be the same as the one from the Parent. Default is true.
property PopupMenu: TPopupMenu; | PopupMenu - a context-sensitive menu that pops up when the right mouse button is clicked over this control
property ReadOnly: Boolean; | ReadOnly - the contents of the edit box may only be read, not written or erased
property ShowHint: Boolean; | Flag to determine: Is hint to be displayed for this control?
property TabOrder: TTabOrder; | Determines the sequence of controls, reachable when the user presses the Tab key.
property TabStop: Boolean; | Allows the user to navigate to this control, by pressing the Tab key.
property Visible: Boolean; | Allows to show or hide the control, and all of its children.
property OnChange: TNotifyEvent; | Event handler for any change in text.
property OnClick: TNotifyEvent; | Notification handler for mouse clicks.
property OnDblClick: TNotifyEvent; | Event Handler for double mouse clicks.
property OnDragDrop: TDragDropEvent; | This handler determines the action on an drop onto this control, in a drag-drop operation.
property OnDragOver: TDragOverEvent; | Event handler for a control being dragged over this control.
property OnEditingDone: TNotifyEvent; | Event handler when editing is done
property OnEndDock: TEndDragEvent; | Notification handler for the end of a docking operation.
property OnEndDrag: TEndDragEvent; | Notification handler for the end of a dragging operation.
property OnEnter: TNotifyEvent; | Handler for control receiving the focus.
property OnExit: TNotifyEvent; | Handler for control loosing the focus. This is a good place for checking the finished user input.
property OnKeyDown: TKeyEvent; | Handler for keyboard key pressed.
property OnKeyPress: TKeyPressEvent; | Handler for a character entered by the user.
property OnKeyUp: TKeyEvent; | Handler for keyboard key released.
property OnMouseDown: TMouseEvent; | Event handler for mouse button going down.
property OnMouseEnter: TNotifyEvent;
property OnMouseLeave: TNotifyEvent;
property OnMouseMove: TMouseMoveEvent; | Event handler for mouse movement within the control.
property OnMouseUp: TMouseEvent; | Event handler for mouse button going up.
property OnMouseWheel: TMouseWheelEvent;
property OnMouseWheelDown: TMouseWheelUpDownEvent;
property OnMouseWheelUp: TMouseWheelUpDownEvent;
property OnStartDock: TStartDockEvent; | Event handler for the start of a docking operation.
property OnStartDrag: TStartDragEvent; | Event handler for the start of a dragging operation.
property OnUTF8KeyPress: TUTF8KeyPressEvent; | Handler for a character entered by the user.
property EditMask: string; | EditMask - the sequence of characters used to obscure the string being typed (typically a sequence of asterisks)
property Text: TCaption; | The Text string that is to be masked (or not)
property TextHint: TTranslateString;
property SpaceChar: Char; | SpaceChar - the character that is to be used as a Space character
end;

Inheritance

TMaskEdit | TMaskEdit - an Edit box with characters masked out to avoid unauthorised reading
|
TCustomMaskEdit | TCustomMaskEdit - base class for TMaskEdit, an Edit box with characters masked out to avoid unauthorised reading
|
TCustomEdit | The base class for controls presenting editable text.
|
TWinControl | The base class for controls which can contain other (child) controls.
|
TControl | The base class for visible controls.
|
TLCLComponent | The base class for LCL components associated with widgets.
|
TComponent,IUnknown,IInterfaceComponentReference
|
TPersistent,IFPObserved
|
TObject

Description

Mask Edit: Displays an Edit Box with the input text masked by a selected character specified by PasswordChar, usually an asterisk, or by EditMask (a complete string), specified in TCustomMaskEdit.
Useful for inputting passwords etc.


TMaskEdit
 | ro | IsMasked
 | ro | EditText
pl | ro | Align
pl | ro | Alignment
pl | ro | Anchors
pl | ro | AutoSelect
pl | ro | AutoSize
pl | ro | BiDiMode
pl | ro | BorderSpacing
pl | ro | BorderStyle
pl | ro | CharCase
pl | ro | Color
pl | ro | Constraints
pl | ro | DragCursor
pl | ro | DragKind
pl | ro | DragMode
pl | ro | Enabled
pl | ro | Font
pl | ro | MaxLength
pl | ro | ParentBiDiMode
pl | ro | ParentColor
pl | ro | ParentFont
pl | ro | ParentShowHint
pl | ro | PopupMenu
pl | ro | ReadOnly
pl | ro | ShowHint
pl | ro | TabOrder
pl | ro | TabStop
pl | ro | Visible
pl | ro | EditMask
pl | ro | Text
pl | ro | TextHint
pl | ro | SpaceChar
TCustomMaskEdit
pt |  | EditText
pt | ro | IsMasked
pt |  | SpaceChar
pt |  | MaxLength
pt |  | CharCase
pt |  | EditMask
 |  | Modified
TCustomEdit
pt |  | AutoSelect
pt |  | AutoSelected
pt | ro | ParentColor
 |  | Alignment
 | ro | AutoSize
 | ro | BorderStyle
 | ro | CanUndo
 |  | CaretPos
 |  | CharCase
 |  | EchoMode
 |  | HideSelection
 |  | MaxLength
 |  | Modified
 |  | NumbersOnly
 |  | PasswordChar
 | ro | PopupMenu
 |  | ReadOnly
 |  | SelLength
 |  | SelStart
 |  | SelText
 | ro | TabOrder
 | ro | TabStop
 | ro | Text
 |  | TextHint
TWinControl
pt |  | WindowHandle
pt |  | BorderStyle
pt |  | ParentBackground
 |  | BorderWidth
 | ro | BoundsLockCount
 | ro | Brush
 | ro | CachedClientHeight
 | ro | CachedClientWidth
 |  | ChildSizing
 | ro | ControlCount
 | ro | Controls
 |  | DefWndProc
 | ro | DockClientCount
 | ro | DockClients
 |  | DockManager
 |  | DockSite
 |  | DoubleBuffered
 |  | Handle
 | ro | IsFlipped
 | ro | IsResizing
 |  | TabOrder
 |  | TabStop
 |  | ParentDoubleBuffered
 |  | ParentWindow
 | ro | Showing
 |  | UseDockManager
 |  | DesignerDeleting
 | ro | VisibleDockClientCount
TControl
pt | ro | AutoSizing
pt | ro | AutoSizingAll
pt | ro | AutoSizingLockCount
pt |  | ActionLink
pt |  | DesktopFont
pt |  | DragCursor
pt |  | DragKind
pt |  | DragMode
pt |  | MouseCapture
pt |  | ParentColor
pt |  | ParentFont
pt |  | ParentShowHint
pt |  | SessionProperties
pt |  | Text
 | ro | AnchoredControls
 | ro | BaseBounds
 | ro | ReadBounds
 | ro | BaseParentClientSize
 |  | AccessibleDescription
 |  | AccessibleValue
 |  | AccessibleRole
 |  | Action
 |  | Align
 |  | Anchors
 | ro | AnchorSide
 |  | AutoSize
 |  | BorderSpacing
 |  | BoundsRect
 |  | BoundsRectForNewParent
 |  | Caption
 |  | CaptureMouseButtons
 |  | ClientHeight
 | ro | ClientOrigin
 | ro | ClientRect
 |  | ClientWidth
 |  | Color
 |  | Constraints
 | ro | ControlOrigin
 |  | ControlState
 |  | ControlStyle
 |  | Enabled
 |  | Font
 |  | IsControl
 | ro | MouseEntered
 | ro | MouseInClient
 |  | Parent
 |  | PopupMenu
 |  | ShowHint
 |  | Visible
 |  | WindowProc
 |  | DockOrientation
 | ro | Floating
 |  | FloatingDockSiteClass
 |  | HostDockSite
 |  | LRDockWidth
 |  | TBDockHeight
 |  | UndockHeight
 |  | UndockWidth
 |  | BiDiMode
 |  | ParentBiDiMode
pl |  | AnchorSideLeft
pl |  | AnchorSideTop
pl |  | AnchorSideRight
pl |  | AnchorSideBottom
pl |  | Cursor
pl |  | Left
pl |  | Height
pl |  | Hint
pl |  | Top
pl |  | Width
pl |  | HelpType
pl |  | HelpKeyword
pl |  | HelpContext
TLCLComponent
 | ro | LCLRefCount
 | ro | WidgetSetClass
TComponent
 | ro | ComObject
 | ro | Components
 | ro | ComponentCount
 |  | ComponentIndex
 | ro | ComponentState
 | ro | ComponentStyle
 |  | DesignInfo
 | ro | Owner
 |  | VCLComObject
 |  | Name
 |  | Tag
TPersistent
TObject


 |  | AccessibleDescription (TControl)
 |  | AccessibleRole (TControl)
 |  | AccessibleValue (TControl)
 |  | Action (TControl)
pt |  | ActionLink (TControl)
 |  | Align (TControl)
pl | ro | Align (TMaskEdit)
 |  | Alignment (TCustomEdit)
pl | ro | Alignment (TMaskEdit)
 | ro | AnchoredControls (TControl)
 |  | Anchors (TControl)
pl | ro | Anchors (TMaskEdit)
 | ro | AnchorSide (TControl)
pl |  | AnchorSideBottom (TControl)
pl |  | AnchorSideLeft (TControl)
pl |  | AnchorSideRight (TControl)
pl |  | AnchorSideTop (TControl)
pt |  | AutoSelect (TCustomEdit)
pl | ro | AutoSelect (TMaskEdit)
pt |  | AutoSelected (TCustomEdit)
 |  | AutoSize (TControl)
 | ro | AutoSize (TCustomEdit)
pl | ro | AutoSize (TMaskEdit)
pt | ro | AutoSizing (TControl)
pt | ro | AutoSizingAll (TControl)
pt | ro | AutoSizingLockCount (TControl)
 | ro | BaseBounds (TControl)
 | ro | BaseParentClientSize (TControl)
 |  | BiDiMode (TControl)
pl | ro | BiDiMode (TMaskEdit)
 |  | BorderSpacing (TControl)
pl | ro | BorderSpacing (TMaskEdit)
pt |  | BorderStyle (TWinControl)
 | ro | BorderStyle (TCustomEdit)
pl | ro | BorderStyle (TMaskEdit)
 |  | BorderWidth (TWinControl)
 | ro | BoundsLockCount (TWinControl)
 |  | BoundsRect (TControl)
 |  | BoundsRectForNewParent (TControl)
 | ro | Brush (TWinControl)
 | ro | CachedClientHeight (TWinControl)
 | ro | CachedClientWidth (TWinControl)
 | ro | CanUndo (TCustomEdit)
 |  | Caption (TControl)
 |  | CaptureMouseButtons (TControl)
 |  | CaretPos (TCustomEdit)
 |  | CharCase (TCustomEdit)
pt |  | CharCase (TCustomMaskEdit)
pl | ro | CharCase (TMaskEdit)
 |  | ChildSizing (TWinControl)
 |  | ClientHeight (TControl)
 | ro | ClientOrigin (TControl)
 | ro | ClientRect (TControl)
 |  | ClientWidth (TControl)
 |  | Color (TControl)
pl | ro | Color (TMaskEdit)
 | ro | ComObject (TComponent)
 | ro | ComponentCount (TComponent)
 |  | ComponentIndex (TComponent)
 | ro | Components (TComponent)
 | ro | ComponentState (TComponent)
 | ro | ComponentStyle (TComponent)
 |  | Constraints (TControl)
pl | ro | Constraints (TMaskEdit)
 | ro | ControlCount (TWinControl)
 | ro | ControlOrigin (TControl)
 | ro | Controls (TWinControl)
 |  | ControlState (TControl)
 |  | ControlStyle (TControl)
pl |  | Cursor (TControl)
 |  | DefWndProc (TWinControl)
 |  | DesignerDeleting (TWinControl)
 |  | DesignInfo (TComponent)
pt |  | DesktopFont (TControl)
 | ro | DockClientCount (TWinControl)
 | ro | DockClients (TWinControl)
 |  | DockManager (TWinControl)
 |  | DockOrientation (TControl)
 |  | DockSite (TWinControl)
 |  | DoubleBuffered (TWinControl)
pt |  | DragCursor (TControl)
pl | ro | DragCursor (TMaskEdit)
pt |  | DragKind (TControl)
pl | ro | DragKind (TMaskEdit)
pt |  | DragMode (TControl)
pl | ro | DragMode (TMaskEdit)
 |  | EchoMode (TCustomEdit)
pt |  | EditMask (TCustomMaskEdit)
pl | ro | EditMask (TMaskEdit)
pt |  | EditText (TCustomMaskEdit)
 | ro | EditText (TMaskEdit)
 |  | Enabled (TControl)
pl | ro | Enabled (TMaskEdit)
 | ro | Floating (TControl)
 |  | FloatingDockSiteClass (TControl)
 |  | Font (TControl)
pl | ro | Font (TMaskEdit)
 |  | Handle (TWinControl)
pl |  | Height (TControl)
pl |  | HelpContext (TControl)
pl |  | HelpKeyword (TControl)
pl |  | HelpType (TControl)
 |  | HideSelection (TCustomEdit)
pl |  | Hint (TControl)
 |  | HostDockSite (TControl)
 |  | IsControl (TControl)
 | ro | IsFlipped (TWinControl)
pt | ro | IsMasked (TCustomMaskEdit)
 | ro | IsMasked (TMaskEdit)
 | ro | IsResizing (TWinControl)
 | ro | LCLRefCount (TLCLComponent)
pl |  | Left (TControl)
 |  | LRDockWidth (TControl)
 |  | MaxLength (TCustomEdit)
pt |  | MaxLength (TCustomMaskEdit)
pl | ro | MaxLength (TMaskEdit)
 |  | Modified (TCustomEdit)
 |  | Modified (TCustomMaskEdit)
pt |  | MouseCapture (TControl)
 | ro | MouseEntered (TControl)
 | ro | MouseInClient (TControl)
 |  | Name (TComponent)
 |  | NumbersOnly (TCustomEdit)
 | ro | Owner (TComponent)
 |  | Parent (TControl)
pt |  | ParentBackground (TWinControl)
 |  | ParentBiDiMode (TControl)
pl | ro | ParentBiDiMode (TMaskEdit)
pt |  | ParentColor (TControl)
pt | ro | ParentColor (TCustomEdit)
pl | ro | ParentColor (TMaskEdit)
 |  | ParentDoubleBuffered (TWinControl)
pt |  | ParentFont (TControl)
pl | ro | ParentFont (TMaskEdit)
pt |  | ParentShowHint (TControl)
pl | ro | ParentShowHint (TMaskEdit)
 |  | ParentWindow (TWinControl)
 |  | PasswordChar (TCustomEdit)
 |  | PopupMenu (TControl)
 | ro | PopupMenu (TCustomEdit)
pl | ro | PopupMenu (TMaskEdit)
 | ro | ReadBounds (TControl)
 |  | ReadOnly (TCustomEdit)
pl | ro | ReadOnly (TMaskEdit)
 |  | SelLength (TCustomEdit)
 |  | SelStart (TCustomEdit)
 |  | SelText (TCustomEdit)
pt |  | SessionProperties (TControl)
 |  | ShowHint (TControl)
pl | ro | ShowHint (TMaskEdit)
 | ro | Showing (TWinControl)
pt |  | SpaceChar (TCustomMaskEdit)
pl | ro | SpaceChar (TMaskEdit)
 |  | TabOrder (TWinControl)
 | ro | TabOrder (TCustomEdit)
pl | ro | TabOrder (TMaskEdit)
 |  | TabStop (TWinControl)
 | ro | TabStop (TCustomEdit)
pl | ro | TabStop (TMaskEdit)
 |  | Tag (TComponent)
 |  | TBDockHeight (TControl)
pt |  | Text (TControl)
 | ro | Text (TCustomEdit)
pl | ro | Text (TMaskEdit)
 |  | TextHint (TCustomEdit)
pl | ro | TextHint (TMaskEdit)
pl |  | Top (TControl)
 |  | UndockHeight (TControl)
 |  | UndockWidth (TControl)
 |  | UseDockManager (TWinControl)
 |  | VCLComObject (TComponent)
 |  | Visible (TControl)
pl | ro | Visible (TMaskEdit)
 | ro | VisibleDockClientCount (TWinControl)
 | ro | WidgetSetClass (TLCLComponent)
pl |  | Width (TControl)
pt |  | WindowHandle (TWinControl)
 |  | WindowProc (TControl)


TMaskEdit
TCustomMaskEdit
pt | ApplyMaskToText
pt | CanShowEmulatedTextHint
pt | DisableMask
pt | RestoreMask
pt | RealSetText
pt | RealGetText
pt | GetTextWithoutMask
pt | GetTextWithoutSpaceChar
pt | SetTextApplyMask
pt | GetEditText
pt | SetEditText
pt | GetSel
pt | SetSel
pt | TextChanged
pt | Change
pt | SetCharCase
pt | GetCharCase
pt | SetMaxLength
pt | GetMaxLength
pt | SetNumbersOnly
pt | Loaded
pt | LMPasteFromClip
pt | LMCutToClip
pt | LMClearSel
pt | EditCanModify
pt | Reset
pt | DoEnter
pt | DoExit
pt | KeyDown
pt | HandleKeyPress
pt | KeyPress
pt | Utf8KeyPress
pt | MouseUp
pt | CheckCursor
 | CutToClipBoard
 | PasteFromClipBoard
 | Create
 | Clear
 | ValidateEdit
TCustomEdit
pt | WSRegisterClass
pt | CanShowEmulatedTextHint
pt | CreateEmulatedTextHintFont
pt | CalculatePreferredSize
pt | CreateParams
pt | InitializeWnd
pt | TextChanged
pt | FontChanged
pt | Change
pt | DoEnter
pt | DoExit
pt | EditingDone
pt | GetCaretPos
pt | GetNumbersOnly
pt | GetReadOnly
pt | GetSelLength
pt | GetSelStart
pt | GetSelText
pt | GetTextHint
pt | SetCaretPos
pt | SetEchoMode
pt | SetNumbersOnly
pt | SetReadOnly
pt | SetSelLength
pt | SetSelStart
pt | SetSelText
pt | SetTextHint
pt | ChildClassAllowed
pt | GetControlClassDefaultSize
pt | MouseUp
pt | RealSetText
pt | RealGetText
pt | KeyUpAfterInterface
pt | WMChar
pt | CMWantSpecialKey
pt | WndProc
pt | ShouldAutoAdjust
pt | WMSetFocus
pt | WMKillFocus
 | Create
 | Destroy
 | Clear
 | SelectAll
 | ClearSelection
 | CopyToClipboard
 | CutToClipboard
 | PasteFromClipboard
 | Undo
 | RemoveAllHandlersOfObject
 | AddHandlerOnChange
 | RemoveHandlerOnChange
TWinControl
pt | WSRegisterClass
pt | AdjustClientRect
pt | GetAdjustedLogicalClientRect
pt | AlignControls
pt | CustomAlignInsertBefore
pt | CustomAlignPosition
pt | DoAlignChildControls
pt | DoChildSizingChange
pt | InvalidatePreferredChildSizes
pt | CanTab
pt | IsClientHeightStored
pt | IsClientWidthStored
pt | DoSendShowHideToInterface
pt | ControlsAligned
pt | DoSendBoundsToInterface
pt | RealizeBounds
pt | RealizeBoundsRecursive
pt | InvalidateBoundsRealized
pt | CreateSubClass
pt | DoConstraintsChange
pt | DoSetBounds
pt | DoAutoSize
pt | DoAllAutoSize
pt | AllAutoSized
pt | CalculatePreferredSize
pt | GetPreferredSizeClientFrame
pt | GetChildren
pt | ChildClassAllowed
pt | PaintControls
pt | PaintHandler
pt | PaintWindow
pt | CreateBrush
pt | ScaleControls
pt | ChangeScale
pt | CMBiDiModeChanged
pt | CMBorderChanged
pt | CMDoubleBufferedChanged
pt | CMEnabledChanged
pt | CMParentDoubleBufferedChanged
pt | CMShowingChanged
pt | CMShowHintChanged
pt | CMVisibleChanged
pt | CMEnter
pt | CMExit
pt | WMContextMenu
pt | WMEraseBkgnd
pt | WMNotify
pt | WMSetFocus
pt | WMKillFocus
pt | WMShowWindow
pt | WMEnter
pt | WMExit
pt | WMKeyDown
pt | WMSysKeyDown
pt | WMKeyUp
pt | WMSysKeyUp
pt | WMChar
pt | WMSysChar
pt | WMPaint
pt | WMDestroy
pt | WMMove
pt | WMSize
pt | WMWindowPosChanged
pt | CNKeyDown
pt | CNSysKeyDown
pt | CNKeyUp
pt | CNSysKeyUp
pt | CNChar
pt | DoDragMsg
pt | DoDockClientMsg
pt | DoUndockClientMsg
pt | DoAddDockClient
pt | DockOver
pt | DoDockOver
pt | DoRemoveDockClient
pt | DoUnDock
pt | GetSiteInfo
pt | GetParentHandle
pt | GetTopParentHandle
pt | ReloadDockedControl
pt | CreateDockManager
pt | SetDockManager
pt | DoFloatMsg
pt | DoGetDockCaption
pt | DoEnter
pt | DoExit
pt | DoKeyDownBeforeInterface
pt | DoRemainingKeyDown
pt | DoRemainingKeyUp
pt | DoKeyPress
pt | DoUTF8KeyPress
pt | DoKeyUpBeforeInterface
pt | ChildKey
pt | SendDialogChar
pt | DialogChar
pt | ControlKeyDown
pt | ControlKeyUp
pt | KeyDown
pt | KeyDownBeforeInterface
pt | KeyDownAfterInterface
pt | KeyPress
pt | KeyUp
pt | KeyUpBeforeInterface
pt | KeyUpAfterInterface
pt | UTF8KeyPress
pt | FindNextControl
pt | SelectFirst
pt | RealGetText
pt | GetBorderStyle
pt | GetClientOrigin
pt | GetClientRect
pt | GetControlOrigin
pt | GetDeviceContext
pt | GetParentBackground
pt | IsControlMouseMsg
pt | CreateHandle
pt | CreateParams
pt | CreateWnd
pt | DestroyHandle
pt | DestroyWnd
pt | DoFlipChildren
pt | FinalizeWnd
pt | FixupTabList
pt | FontChanged
pt | InitializeWnd
pt | Loaded
pt | FormEndUpdated
pt | MainWndProc
pt | ParentFormHandleInitialized
pt | ChildHandlesCreated
pt | GetMouseCapture
pt | RealSetText
pt | RemoveFocus
pt | SendMoveSizeMessages
pt | SetBorderStyle
pt | SetColor
pt | SetChildZPosition
pt | SetParentBackground
pt | ShowControl
pt | UpdateControlState
pt | UpdateShowing
pt | WndProc
pt | WSSetText
 | AutoSizePhases
 | AutoSizeDelayed
 | AutoSizeDelayedReport
 | AutoSizeDelayedHandle
 | BeginUpdateBounds
 | EndUpdateBounds
 | LockRealizeBounds
 | UnlockRealizeBounds
 | ControlAtPos
 | ContainsControl
 | DoAdjustClientRectChange
 | InvalidateClientRectCache
 | ClientRectNeedsInterfaceUpdate
 | SetBounds
 | GetChildrenRect
 | DisableAlign
 | EnableAlign
 | ReAlign
 | ScrollBy_WS
 | ScrollBy
 | WriteLayoutDebugReport
 | AutoAdjustLayout
 | Create
 | CreateParented
 | CreateParentedControl
 | Destroy
 | DockDrop
 | CanFocus
 | CanSetFocus
 | GetControlIndex
 | SetControlIndex
 | Focused
 | PerformTab
 | FindChildControl
 | SelectNext
 | SetTempCursor
 | BroadCast
 | NotifyControls
 | DefaultHandler
 | GetTextLen
 | Invalidate
 | AddControl
 | InsertControl
 | RemoveControl
 | GetEnumeratorControls
 | GetEnumeratorControlsReverse
 | Repaint
 | Update
 | SetFocus
 | FlipChildren
 | ScaleBy
 | GetDockCaption
 | UpdateDockCaption
 | GetTabOrderList
 | HandleAllocated
 | ParentHandlesAllocated
 | HandleNeeded
 | BrushCreated
 | EraseBackground
 | IntfUTF8KeyPress
 | IntfGetDropFilesTarget
 | PaintTo
 | SetShape
TControl
pt | WSRegisterClass
pt | GetCursor
pt | SetCursor
pt | SetVisible
pt | DoOnParentHandleDestruction
pt | DoAutoSize
pt | DoAllAutoSize
pt | BeginAutoSizing
pt | EndAutoSizing
pt | AnchorSideChanged
pt | ForeignAnchorSideChanged
pt | SetAlign
pt | SetAnchors
pt | SetAutoSize
pt | BoundsChanged
pt | CreateControlBorderSpacing
pt | DoConstraintsChange
pt | DoBorderSpacingChange
pt | IsBorderSpacingInnerBorderStored
pt | IsCaptionStored
pt | SendMoveSizeMessages
pt | ConstrainedResize
pt | CalculatePreferredSize
pt | DoOnResize
pt | DoOnChangeBounds
pt | CheckOnChangeBounds
pt | Resize
pt | RequestAlign
pt | UpdateAnchorRules
pt | ChangeBounds
pt | DoSetBounds
pt | ScaleConstraints
pt | ChangeScale
pt | CanAutoSize
pt | SetBiDiMode
pt | SetParentBiDiMode
pt | IsAParentAligning
pt | GetClientOrigin
pt | GetClientRect
pt | GetLogicalClientRect
pt | GetScrolledClientRect
pt | GetClientScrollOffset
pt | GetControlOrigin
pt | IsClientHeightStored
pt | IsClientWidthStored
pt | WidthIsAnchored
pt | HeightIsAnchored
pt | WMCancelMode
pt | WMContextMenu
pt | WMLButtonDown
pt | WMRButtonDown
pt | WMMButtonDown
pt | WMXButtonDown
pt | WMLButtonDBLCLK
pt | WMRButtonDBLCLK
pt | WMMButtonDBLCLK
pt | WMXButtonDBLCLK
pt | WMLButtonTripleCLK
pt | WMRButtonTripleCLK
pt | WMMButtonTripleCLK
pt | WMXButtonTripleCLK
pt | WMLButtonQuadCLK
pt | WMRButtonQuadCLK
pt | WMMButtonQuadCLK
pt | WMXButtonQuadCLK
pt | WMMouseMove
pt | WMLButtonUp
pt | WMRButtonUp
pt | WMMButtonUp
pt | WMXButtonUp
pt | WMMouseWheel
pt | WMMouseHWheel
pt | WMMove
pt | WMSize
pt | WMWindowPosChanged
pt | CMChanged
pt | LMCaptureChanged
pt | CMBiDiModeChanged
pt | CMSysFontChanged
pt | CMEnabledChanged
pt | CMHitTest
pt | CMMouseEnter
pt | CMMouseLeave
pt | CMHintShow
pt | CMParentBiDiModeChanged
pt | CMParentColorChanged
pt | CMParentFontChanged
pt | CMParentShowHintChanged
pt | CMVisibleChanged
pt | CMTextChanged
pt | CMCursorChanged
pt | CalculateDockSizes
pt | CreateFloatingDockSite
pt | GetDockEdge
pt | GetDragImages
pt | GetFloating
pt | GetFloatingDockSiteClass
pt | BeforeDragStart
pt | BeginAutoDrag
pt | DoFloatMsg
pt | DockTrackNoTarget
pt | DoDock
pt | DoDragMsg
pt | DoEndDock
pt | DoEndDrag
pt | DoStartDock
pt | DoStartDrag
pt | DragCanceled
pt | DragOver
pt | PositionDockRect
pt | SetDragMode
pt | GetDefaultDockCaption
pt | Click
pt | DblClick
pt | TripleClick
pt | QuadClick
pt | GetMousePosFromMessage
pt | MouseDown
pt | MouseMove
pt | MouseUp
pt | MouseEnter
pt | MouseLeave
pt | DialogChar
pt | UpdateMouseCursor
pt | Changed
pt | GetPalette
pt | ChildClassAllowed
pt | ReadState
pt | Loaded
pt | LoadedAll
pt | DefineProperties
pt | AssignTo
pt | FormEndUpdated
pt | InvalidateControl
pt | FontChanged
pt | ParentFontChanged
pt | GetAction
pt | RealGetText
pt | RealSetText
pt | TextChanged
pt | GetCachedText
pt | SetAction
pt | SetColor
pt | SetEnabled
pt | SetHint
pt | SetName
pt | SetParent
pt | SetParentComponent
pt | WndProc
pt | ParentFormHandleInitialized
pt | GetMouseCapture
pt | CaptureChanged
pt | Notification
pt | CanTab
pt | GetDeviceContext
pt | GetEnabled
pt | GetPopupMenu
pt | DoOnShowHint
pt | DoMouseWheel
pt | DoMouseWheelDown
pt | DoMouseWheelUp
pt | DoMouseWheelHorz
pt | DoMouseWheelLeft
pt | DoMouseWheelRight
pt | VisibleChanging
pt | VisibleChanged
pt | EnabledChanging
pt | EnabledChanged
pt | AddHandler
pt | RemoveHandler
pt | DoCallNotifyHandler
pt | DoCallKeyEventHandler
pt | DoCallMouseWheelEventHandler
pt | DoContextPopup
pt | SetZOrder
pt | GetControlClassDefaultSize
pt | ColorIsStored
pt | DoAutoAdjustLayout
pt | DoFixDesignFontPPI
pt | DoScaleFontPPI
pt | GetActionLinkClass
pt | ActionChange
 | DragDrop
 | Dock
 | ManualDock
 | ManualFloat
 | ReplaceDockedControl
 | Docked
 | Dragging
 | GetAccessibleObject
 | CreateAccessibleObject
 | GetSelectedChildAccessibleObject
 | GetChildAccessibleObjectAtPos
 | ScaleDesignToForm
 | ScaleFormToDesign
 | Scale96ToForm
 | ScaleFormTo96
 | Scale96ToFont
 | ScaleFontTo96
 | ScaleScreenToFont
 | ScaleFontToScreen
 | Scale96ToScreen
 | ScaleScreenTo96
 | AdjustSize
 | AutoSizePhases
 | AutoSizeDelayed
 | AutoSizeDelayedReport
 | AutoSizeDelayedHandle
 | AnchorToNeighbour
 | AnchorParallel
 | AnchorHorizontalCenterTo
 | AnchorVerticalCenterTo
 | AnchorToCompanion
 | AnchorSame
 | AnchorAsAlign
 | AnchorClient
 | AnchoredControlCount
 | SetBounds
 | SetInitialBounds
 | SetBoundsKeepBase
 | GetPreferredSize
 | GetCanvasScaleFactor
 | GetDefaultWidth
 | GetDefaultHeight
 | GetDefaultColor
 | GetColorResolvingParent
 | GetRGBColorResolvingParent
 | GetSidePosition
 | CNPreferredSizeChanged
 | InvalidatePreferredSize
 | GetAnchorsDependingOnParent
 | DisableAutoSizing
 | EnableAutoSizing
 | UpdateBaseBounds
 | WriteLayoutDebugReport
 | AutoAdjustLayout
 | ShouldAutoAdjust
 | FixDesignFontsPPI
 | ScaleFontsPPI
 | Create
 | Destroy
 | BeforeDestruction
 | EditingDone
 | ExecuteDefaultAction
 | ExecuteCancelAction
 | BeginDrag
 | EndDrag
 | BringToFront
 | HasParent
 | GetParentComponent
 | IsParentOf
 | GetTopParent
 | IsVisible
 | IsControlVisible
 | IsEnabled
 | IsParentColor
 | IsParentFont
 | FormIsUpdating
 | IsProcessingPaintMsg
 | Hide
 | Refresh
 | Repaint
 | Invalidate
 | CheckChildClassAllowed
 | CheckNewParent
 | SendToBack
 | SetTempCursor
 | UpdateRolesForForm
 | ActiveDefaultControlChanged
 | GetTextBuf
 | GetTextLen
 | SetTextBuf
 | Perform
 | ScreenToClient
 | ClientToScreen
 | ScreenToControl
 | ControlToScreen
 | ClientToParent
 | ParentToClient
 | GetChildrenRect
 | Show
 | Update
 | HandleObjectShouldBeVisible
 | ParentDestroyingHandle
 | ParentHandlesAllocated
 | InitiateAction
 | ShowHelp
 | HasHelp
 | RemoveAllHandlersOfObject
 | AddHandlerOnResize
 | RemoveHandlerOnResize
 | AddHandlerOnChangeBounds
 | RemoveHandlerOnChangeBounds
 | AddHandlerOnVisibleChanging
 | RemoveHandlerOnVisibleChanging
 | AddHandlerOnVisibleChanged
 | RemoveHandlerOnVisibleChanged
 | AddHandlerOnEnabledChanged
 | RemoveHandlerOnEnableChanging
 | AddHandlerOnKeyDown
 | RemoveHandlerOnKeyDown
 | AddHandlerOnBeforeDestruction
 | RemoveHandlerOnBeforeDestruction
 | AddHandlerOnMouseWheel
 | RemoveHandlerOnMouseWheel
 | UseRightToLeftAlignment
 | UseRightToLeftReading
 | UseRightToLeftScrollBar
 | IsRightToLeft
TLCLComponent
pt | WSRegisterClass
pt | GetWSComponentClass
 | Create
 | Destroy
 | NewInstance
 | RemoveAllHandlersOfObject
 | IncLCLRefCount
 | DecLCLRefCount
TComponent
 | GetComObject
 | GetComponent
 | GetComponentCount
 | GetComponentIndex
 | Insert
 | ReadLeft
 | ReadTop
 | Remove
 | RemoveNotification
 | SetComponentIndex
 | SetReference
 | WriteLeft
 | WriteTop
 | ChangeName
 | DefineProperties
 | GetChildren
 | GetChildOwner
 | GetChildParent
 | GetOwner
 | Loaded
 | Loading
 | Notification
 | PaletteCreated
 | ReadState
 | SetAncestor
 | SetDesigning
 | SetDesignInstance
 | SetInline
 | SetName
 | SetChildOrder
 | SetParentComponent
 | Updating
 | Updated
 | UpdateRegistry
 | ValidateRename
 | ValidateContainer
 | ValidateInsert
 | QueryInterface
 | _AddRef
 | _Release
 | iicrGetComponent
 | GetTypeInfoCount
 | GetTypeInfo
 | GetIDsOfNames
 | Invoke
 | WriteState
 | Create
 | Destroy
 | BeforeDestruction
 | DestroyComponents
 | Destroying
 | ExecuteAction
 | FindComponent
 | FreeNotification
 | RemoveFreeNotification
 | FreeOnRelease
 | GetEnumerator
 | GetNamePath
 | GetParentComponent
 | HasParent
 | InsertComponent
 | RemoveComponent
 | SafeCallException
 | SetSubComponent
 | UpdateAction
 | IsImplementorOf
 | ReferenceInterface
TPersistent
 | AssignError
 | AssignTo
 | DefineProperties
 | GetOwner
 | Destroy
 | Assign
 | FPOAttachObserver
 | FPODetachObserver
 | FPONotifyObservers
 | GetNamePath
TObject
 | Create
 | Destroy
 | newinstance
 | FreeInstance
 | SafeCallException
 | DefaultHandler
 | Free
 | InitInstance
 | CleanupInstance
 | ClassType
 | ClassInfo
 | ClassName
 | ClassNameIs
 | ClassParent
 | InstanceSize
 | InheritsFrom
 | StringMessageTable
 | MethodAddress
 | MethodName
 | FieldAddress
 | AfterConstruction
 | BeforeDestruction
 | DefaultHandlerStr
 | Dispatch
 | DispatchStr
 | GetInterface
 | GetInterfaceByStr
 | GetInterfaceWeak
 | GetInterfaceEntry
 | GetInterfaceEntryByStr
 | GetInterfaceTable
 | UnitName
 | Equals
 | GetHashCode
 | ToString


TMaskEdit
pl | ro | OnChange
pl | ro | OnClick
pl | ro | OnDblClick
pl | ro | OnDragDrop
pl | ro | OnDragOver
pl | ro | OnEditingDone
pl | ro | OnEndDock
pl | ro | OnEndDrag
pl | ro | OnEnter
pl | ro | OnExit
pl | ro | OnKeyDown
pl | ro | OnKeyPress
pl | ro | OnKeyUp
pl | ro | OnMouseDown
pl | ro | OnMouseEnter
pl | ro | OnMouseLeave
pl | ro | OnMouseMove
pl | ro | OnMouseUp
pl | ro | OnMouseWheel
pl | ro | OnMouseWheelDown
pl | ro | OnMouseWheelUp
pl | ro | OnStartDock
pl | ro | OnStartDrag
pl | ro | OnUTF8KeyPress
TCustomMaskEdit
TCustomEdit
 |  | OnChange
TWinControl
pt |  | OnGetSiteInfo
pt |  | OnGetDockCaption
 |  | OnAlignInsertBefore
 |  | OnAlignPosition
 |  | OnDockDrop
 |  | OnDockOver
 |  | OnEnter
 |  | OnExit
 |  | OnKeyDown
 |  | OnKeyPress
 |  | OnKeyUp
 |  | OnUnDock
 |  | OnUTF8KeyPress
TControl
pt |  | OnConstrainedResize
pt |  | OnContextPopup
pt |  | OnDblClick
pt |  | OnTripleClick
pt |  | OnQuadClick
pt |  | OnDragDrop
pt |  | OnDragOver
pt |  | OnEndDock
pt |  | OnEndDrag
pt |  | OnMouseDown
pt |  | OnMouseMove
pt |  | OnMouseUp
pt |  | OnMouseEnter
pt |  | OnMouseLeave
pt |  | OnMouseWheel
pt |  | OnMouseWheelDown
pt |  | OnMouseWheelUp
pt |  | OnMouseWheelHorz
pt |  | OnMouseWheelLeft
pt |  | OnMouseWheelRight
pt |  | OnStartDock
pt |  | OnStartDrag
pt |  | OnEditingDone
 |  | OnChangeBounds
 |  | OnClick
 |  | OnResize
 |  | OnShowHint
TLCLComponent
TComponent
TPersistent
TObject


pl | ro | OnChange (TMaskEdit)
 |  | OnChangeBounds (TControl)
 |  | OnClick (TControl)
pl | ro | OnClick (TMaskEdit)
pt |  | OnConstrainedResize (TControl)
pt |  | OnContextPopup (TControl)
pt |  | OnDblClick (TControl)
pl | ro | OnDblClick (TMaskEdit)
 |  | OnDockDrop (TWinControl)
 |  | OnDockOver (TWinControl)
pt |  | OnDragDrop (TControl)
pl | ro | OnDragDrop (TMaskEdit)
pt |  | OnDragOver (TControl)
pl | ro | OnDragOver (TMaskEdit)
pt |  | OnEditingDone (TControl)
pl | ro | OnEditingDone (TMaskEdit)
pt |  | OnEndDock (TControl)
pl | ro | OnEndDock (TMaskEdit)
pt |  | OnEndDrag (TControl)
pl | ro | OnEndDrag (TMaskEdit)
 |  | OnEnter (TWinControl)
pl | ro | OnEnter (TMaskEdit)
 |  | OnExit (TWinControl)
pl | ro | OnExit (TMaskEdit)
pt |  | OnGetDockCaption (TWinControl)
pt |  | OnGetSiteInfo (TWinControl)
 |  | OnKeyDown (TWinControl)
pl | ro | OnKeyDown (TMaskEdit)
 |  | OnKeyPress (TWinControl)
pl | ro | OnKeyPress (TMaskEdit)
 |  | OnKeyUp (TWinControl)
pl | ro | OnKeyUp (TMaskEdit)
pt |  | OnMouseDown (TControl)
pl | ro | OnMouseDown (TMaskEdit)
pt |  | OnMouseEnter (TControl)
pl | ro | OnMouseEnter (TMaskEdit)
pt |  | OnMouseLeave (TControl)
pl | ro | OnMouseLeave (TMaskEdit)
pt |  | OnMouseMove (TControl)
pl | ro | OnMouseMove (TMaskEdit)
pt |  | OnMouseUp (TControl)
pl | ro | OnMouseUp (TMaskEdit)
pt |  | OnMouseWheel (TControl)
pl | ro | OnMouseWheel (TMaskEdit)
pt |  | OnMouseWheelDown (TControl)
pl | ro | OnMouseWheelDown (TMaskEdit)
pt |  | OnMouseWheelHorz (TControl)
pt |  | OnMouseWheelLeft (TControl)
pt |  | OnMouseWheelRight (TControl)
pt |  | OnMouseWheelUp (TControl)
pl | ro | OnMouseWheelUp (TMaskEdit)
pt |  | OnQuadClick (TControl)
 |  | OnResize (TControl)
 |  | OnShowHint (TControl)
pt |  | OnStartDock (TControl)
pl | ro | OnStartDock (TMaskEdit)
pt |  | OnStartDrag (TControl)
pl | ro | OnStartDrag (TMaskEdit)
pt |  | OnTripleClick (TControl)
 |  | OnUnDock (TWinControl)
 |  | OnUTF8KeyPress (TWinControl)
pl | ro | OnUTF8KeyPress (TMaskEdit)


TMaskEdit.Align

Used to align the control in one of four directions.

Declaration

Source position: maskedit.pp line 294

published property TMaskEdit.Align : TAlign;

Description

// standard properties, which should be supported by all descendants

Either reads a flag containing alignment instructions (FAlign) or writes alignment instructions (SetAlign)

May have no alignment, may have custom or client alignment, or can be aligned to top, bottom, left or right


TMaskEdit.Alignment

Declaration

Source position: maskedit.pp line 295

published property TMaskEdit.Alignment : TAlignment;


TMaskEdit.BorderSpacing

Determines the border spacing for this control

Declaration

Source position: maskedit.pp line 300

published property TMaskEdit.BorderSpacing : TControlBorderSpacing;

Description

// standard properties, which should be supported by all descendants

Determines the border spacing for this control

Reads flag to find stored spacing values required for the border of the control, or writes the flag to set the spacing.

The properties are defined in the parent class TControlBorderSpacing


TMaskEdit.OnEditingDone

Event handler when editing is done

Declaration

Source position: maskedit.pp line 326

published property TMaskEdit.OnEditingDone : TNotifyEvent;


TMaskEdit.OnMouseEnter

Declaration

Source position: maskedit.pp line 335

published property TMaskEdit.OnMouseEnter : TNotifyEvent;


TMaskEdit.OnMouseLeave

Declaration

Source position: maskedit.pp line 336

published property TMaskEdit.OnMouseLeave : TNotifyEvent;


TMaskEdit.OnMouseWheel

Declaration

Source position: maskedit.pp line 339

published property TMaskEdit.OnMouseWheel : TMouseWheelEvent;


TMaskEdit.OnMouseWheelDown

Declaration

Source position: maskedit.pp line 340

published property TMaskEdit.OnMouseWheelDown : TMouseWheelUpDownEvent;


TMaskEdit.OnMouseWheelUp

Declaration

Source position: maskedit.pp line 341

published property TMaskEdit.OnMouseWheelUp : TMouseWheelUpDownEvent;


TMaskEdit.PopupMenu

PopupMenu - a context-sensitive menu that pops up when the right mouse button is clicked over this control

Declaration

Source position: maskedit.pp line 315

published property TMaskEdit.PopupMenu : TPopupMenu;

Description

// standard properties, which should be supported by all descendants
Reads the details of the pop-up menu, or stores them.
Properties are defined in the parent class TPopupMenu


TMaskEdit.ReadOnly

ReadOnly - the contents of the edit box may only be read, not written or erased

Declaration

Source position: maskedit.pp line 316

published property TMaskEdit.ReadOnly : Boolean;


TMaskEdit.ShowHint

Flag to determine: Is hint to be displayed for this control?

Declaration

Source position: maskedit.pp line 317

published property TMaskEdit.ShowHint : Boolean;

Description

// standard properties, which should be supported by all descendants
Reads flag or writes one to determine if a hint is to be shown when mouse hovers over this control. If value is stored, a storage flag is set. Display of the actual hint is controlled by OnShowHint


TMaskEdit.TextHint

Declaration

Source position: maskedit.pp line 347

published property TMaskEdit.TextHint : TTranslateString;


TMaskeditTrimType

Declaration

Source position: maskedit.pp line 127

type TMaskeditTrimType = (

  metTrimLeft,

  metTrimRight

);


EMenuError

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

EMenuError - Exception handler for error in Menu access

Declaration

Source position: menus.pp line 51

type EMenuError = class(Exception)

Inheritance

EMenuError

EMenuError - Exception handler for error in Menu access
|

Exception
|

TObject


EMenuError
Exception
 | HelpContext
 | Message
TObject


EMenuError
Exception
 | Create
 | CreateFmt
 | CreateRes
 | CreateResFmt
 | CreateHelp
 | CreateFmtHelp
 | CreateResHelp
 | CreateResFmtHelp
 | ToString
TObject
 | Create
 | Destroy
 | newinstance
 | FreeInstance
 | SafeCallException
 | DefaultHandler
 | Free
 | InitInstance
 | CleanupInstance
 | ClassType
 | ClassInfo
 | ClassName
 | ClassNameIs
 | ClassParent
 | InstanceSize
 | InheritsFrom
 | StringMessageTable
 | MethodAddress
 | MethodName
 | FieldAddress
 | AfterConstruction
 | BeforeDestruction
 | DefaultHandlerStr
 | Dispatch
 | DispatchStr
 | GetInterface
 | GetInterfaceByStr
 | GetInterfaceWeak
 | GetInterfaceEntry
 | GetInterfaceEntryByStr
 | GetInterfaceTable
 | UnitName
 | Equals
 | GetHashCode
 | ToString


EMenuError

Exception

TObject


TMainMenu

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

TMainMenu - the Main Menu that appears at the top of most windows

Declaration

Source position: menus.pp line 388

type TMainMenu = class(TMenu)
protected
procedure ItemChanged; | ItemChanged - method to deal with a changed Item
class procedure WSRegisterClass; override; | Registers this component class with the current WidgetSet.
procedure MenuChanged(); override;
public
constructor Create(); override; | Create - constructor for TMainMenu: sets style to MainMenu then calls inherited Create
property Height: Integer; [r]
property WindowHandle: HWND; [rw]
published
property OnChange: TMenuChangeEvent; | OnChange - event handler for a change in the Menu
end;

Inheritance

TMainMenu | TMainMenu - the Main Menu that appears at the top of most windows
|
TMenu | TMenu : The base class for all menus
|
TLCLComponent | The base class for LCL components associated with widgets.
|
TComponent,IUnknown,IInterfaceComponentReference
|
TPersistent,IFPObserved
|
TObject

Description

TMainMenu - the Main Menu that appears at the top of most windows; form designers can customise by choosing various menu items.

Main Menu is a non-visible component : that is, if the icon is selected from the Component Pallete and placed on the Form, it will not appear at Run-time. Instead, a Menu bar with a structure defined by the Menu Editor will appear.

To see the Menu Editor, right-click on the Main Menu icon on your Form.

See also

HowToUseMenus | HowToUseMenus - hints for creating Menus for your Forms
TMenuItem | TMenuItem - The base structure of each item in a Menu.
TMenu | TMenu : The base class for all menus
TMenuActionLink | TMenuActionLink: defines the link between a selected menu item and its corresponding action


TMainMenu
 | ro | Height
 |  | WindowHandle
TMenu
 | ro | Handle
 |  | Parent
 |  | ShortcutHandled
pl |  | BidiMode
pl |  | ParentBidiMode
pl | ro | Items
pl |  | Images
pl |  | ImagesWidth
pl |  | OwnerDraw
TLCLComponent
 | ro | LCLRefCount
 | ro | WidgetSetClass
TComponent
 | ro | ComObject
 | ro | Components
 | ro | ComponentCount
 |  | ComponentIndex
 | ro | ComponentState
 | ro | ComponentStyle
 |  | DesignInfo
 | ro | Owner
 |  | VCLComObject
 |  | Name
 |  | Tag
TPersistent
TObject


pl |  | BidiMode (TMenu)
 | ro | ComObject (TComponent)
 | ro | ComponentCount (TComponent)
 |  | ComponentIndex (TComponent)
 | ro | Components (TComponent)
 | ro | ComponentState (TComponent)
 | ro | ComponentStyle (TComponent)
 |  | DesignInfo (TComponent)
 | ro | Handle (TMenu)
 | ro | Height (TMainMenu)
pl |  | Images (TMenu)
pl |  | ImagesWidth (TMenu)
pl | ro | Items (TMenu)
 | ro | LCLRefCount (TLCLComponent)
 |  | Name (TComponent)
 | ro | Owner (TComponent)
pl |  | OwnerDraw (TMenu)
 |  | Parent (TMenu)
pl |  | ParentBidiMode (TMenu)
 |  | ShortcutHandled (TMenu)
 |  | Tag (TComponent)
 |  | VCLComObject (TComponent)
 | ro | WidgetSetClass (TLCLComponent)
 |  | WindowHandle (TMainMenu)


TMainMenu
pt | ItemChanged
pt | WSRegisterClass
pt | MenuChanged
 | Create
TMenu
pt | WSRegisterClass
pt | BidiModeChanged
pt | CreateHandle
pt | DoChange
pt | GetHandle
pt | GetChildren
pt | MenuChanged
pt | AssignTo
pt | Notification
pt | ParentBidiModeChanged
pt | SetChildOrder
pt | UpdateItems
 | Create
 | Destroy
 | DestroyHandle
 | FindItem
 | GetHelpContext
 | IsShortcut
 | HandleAllocated
 | IsRightToLeft
 | UseRightToLeftAlignment
 | UseRightToLeftReading
 | HandleNeeded
 | DispatchCommand
TLCLComponent
pt | WSRegisterClass
pt | GetWSComponentClass
 | Create
 | Destroy
 | NewInstance
 | RemoveAllHandlersOfObject
 | IncLCLRefCount
 | DecLCLRefCount
TComponent
 | GetComObject
 | GetComponent
 | GetComponentCount
 | GetComponentIndex
 | Insert
 | ReadLeft
 | ReadTop
 | Remove
 | RemoveNotification
 | SetComponentIndex
 | SetReference
 | WriteLeft
 | WriteTop
 | ChangeName
 | DefineProperties
 | GetChildren
 | GetChildOwner
 | GetChildParent
 | GetOwner
 | Loaded
 | Loading
 | Notification
 | PaletteCreated
 | ReadState
 | SetAncestor
 | SetDesigning
 | SetDesignInstance
 | SetInline
 | SetName
 | SetChildOrder
 | SetParentComponent
 | Updating
 | Updated
 | UpdateRegistry
 | ValidateRename
 | ValidateContainer
 | ValidateInsert
 | QueryInterface
 | _AddRef
 | _Release
 | iicrGetComponent
 | GetTypeInfoCount
 | GetTypeInfo
 | GetIDsOfNames
 | Invoke
 | WriteState
 | Create
 | Destroy
 | BeforeDestruction
 | DestroyComponents
 | Destroying
 | ExecuteAction
 | FindComponent
 | FreeNotification
 | RemoveFreeNotification
 | FreeOnRelease
 | GetEnumerator
 | GetNamePath
 | GetParentComponent
 | HasParent
 | InsertComponent
 | RemoveComponent
 | SafeCallException
 | SetSubComponent
 | UpdateAction
 | IsImplementorOf
 | ReferenceInterface
TPersistent
 | AssignError
 | AssignTo
 | DefineProperties
 | GetOwner
 | Destroy
 | Assign
 | FPOAttachObserver
 | FPODetachObserver
 | FPONotifyObservers
 | GetNamePath
TObject
 | Create
 | Destroy
 | newinstance
 | FreeInstance
 | SafeCallException
 | DefaultHandler
 | Free
 | InitInstance
 | CleanupInstance
 | ClassType
 | ClassInfo
 | ClassName
 | ClassNameIs
 | ClassParent
 | InstanceSize
 | InheritsFrom
 | StringMessageTable
 | MethodAddress
 | MethodName
 | FieldAddress
 | AfterConstruction
 | BeforeDestruction
 | DefaultHandlerStr
 | Dispatch
 | DispatchStr
 | GetInterface
 | GetInterfaceByStr
 | GetInterfaceWeak
 | GetInterfaceEntry
 | GetInterfaceEntryByStr
 | GetInterfaceTable
 | UnitName
 | Equals
 | GetHashCode
 | ToString


 | AssignError (TPersistent)
 | AssignTo (TPersistent)
pt | AssignTo (TMenu)
 | BeforeDestruction (TObject)
 | BeforeDestruction (TComponent)
pt | BidiModeChanged (TMenu)
 | ChangeName (TComponent)
 | ClassInfo (TObject)
 | ClassName (TObject)
 | ClassNameIs (TObject)
 | ClassParent (TObject)
 | ClassType (TObject)
 | CleanupInstance (TObject)
 | Create (TObject)
 | Create (TComponent)
 | Create (TLCLComponent)
 | Create (TMenu)
 | Create (TMainMenu)
pt | CreateHandle (TMenu)
 | DecLCLRefCount (TLCLComponent)
 | DefaultHandler (TObject)
 | DefaultHandlerStr (TObject)
 | DefineProperties (TPersistent)
 | DefineProperties (TComponent)
 | Destroy (TObject)
 | Destroy (TPersistent)
 | Destroy (TComponent)
 | Destroy (TLCLComponent)
 | Destroy (TMenu)
 | DestroyComponents (TComponent)
 | DestroyHandle (TMenu)
 | Destroying (TComponent)
 | Dispatch (TObject)
 | DispatchCommand (TMenu)
 | DispatchStr (TObject)
pt | DoChange (TMenu)
 | Equals (TObject)
 | ExecuteAction (TComponent)
 | FieldAddress (TObject)
 | FindComponent (TComponent)
 | FindItem (TMenu)
 | FPOAttachObserver (TPersistent)
 | FPODetachObserver (TPersistent)
 | FPONotifyObservers (TPersistent)
 | Free (TObject)
 | FreeInstance (TObject)
 | FreeNotification (TComponent)
 | FreeOnRelease (TComponent)
 | GetChildOwner (TComponent)
 | GetChildParent (TComponent)
 | GetChildren (TComponent)
pt | GetChildren (TMenu)
 | GetComObject (TComponent)
 | GetComponent (TComponent)
 | GetComponentCount (TComponent)
 | GetComponentIndex (TComponent)
 | GetEnumerator (TComponent)
pt | GetHandle (TMenu)
 | GetHashCode (TObject)
 | GetHelpContext (TMenu)
 | GetIDsOfNames (TComponent)
 | GetInterface (TObject)
 | GetInterfaceByStr (TObject)
 | GetInterfaceEntry (TObject)
 | GetInterfaceEntryByStr (TObject)
 | GetInterfaceTable (TObject)
 | GetInterfaceWeak (TObject)
 | GetNamePath (TPersistent)
 | GetNamePath (TComponent)
 | GetOwner (TPersistent)
 | GetOwner (TComponent)
 | GetParentComponent (TComponent)
 | GetTypeInfo (TComponent)
 | GetTypeInfoCount (TComponent)
pt | GetWSComponentClass (TLCLComponent)
 | HandleAllocated (TMenu)
 | HandleNeeded (TMenu)
 | HasParent (TComponent)
 | iicrGetComponent (TComponent)
 | IncLCLRefCount (TLCLComponent)
 | InheritsFrom (TObject)
 | InitInstance (TObject)
 | Insert (TComponent)
 | InsertComponent (TComponent)
 | InstanceSize (TObject)
 | Invoke (TComponent)
 | IsImplementorOf (TComponent)
 | IsRightToLeft (TMenu)
 | IsShortcut (TMenu)
pt | ItemChanged (TMainMenu)
 | Loaded (TComponent)
 | Loading (TComponent)
pt | MenuChanged (TMenu)
pt | MenuChanged (TMainMenu)
 | MethodAddress (TObject)
 | MethodName (TObject)
 | newinstance (TObject)
 | NewInstance (TLCLComponent)
 | Notification (TComponent)
pt | Notification (TMenu)
 | PaletteCreated (TComponent)
pt | ParentBidiModeChanged (TMenu)
 | QueryInterface (TComponent)
 | ReadLeft (TComponent)
 | ReadState (TComponent)
 | ReadTop (TComponent)
 | ReferenceInterface (TComponent)
 | Remove (TComponent)
 | RemoveAllHandlersOfObject (TLCLComponent)
 | RemoveComponent (TComponent)
 | RemoveFreeNotification (TComponent)
 | RemoveNotification (TComponent)
 | SafeCallException (TObject)
 | SafeCallException (TComponent)
 | SetAncestor (TComponent)
 | SetChildOrder (TComponent)
pt | SetChildOrder (TMenu)
 | SetComponentIndex (TComponent)
 | SetDesigning (TComponent)
 | SetDesignInstance (TComponent)
 | SetInline (TComponent)
 | SetName (TComponent)
 | SetParentComponent (TComponent)
 | SetReference (TComponent)
 | SetSubComponent (TComponent)
 | StringMessageTable (TObject)
 | ToString (TObject)
 | UnitName (TObject)
 | UpdateAction (TComponent)
 | Updated (TComponent)
pt | UpdateItems (TMenu)
 | UpdateRegistry (TComponent)
 | Updating (TComponent)
 | UseRightToLeftAlignment (TMenu)
 | UseRightToLeftReading (TMenu)
 | ValidateContainer (TComponent)
 | ValidateInsert (TComponent)
 | ValidateRename (TComponent)
 | WriteLeft (TComponent)
 | WriteState (TComponent)
 | WriteTop (TComponent)
pt | WSRegisterClass (TLCLComponent)
pt | WSRegisterClass (TMenu)
pt | WSRegisterClass (TMainMenu)
 | _AddRef (TComponent)
 | _Release (TComponent)


TMainMenu
pl | ro | OnChange
TMenu
pt |  | OnChange
pl |  | OnDrawItem
pl |  | OnMeasureItem
TLCLComponent
TComponent
TPersistent
TObject


pt |  | OnChange (TMenu)
pl | ro | OnChange (TMainMenu)
pl |  | OnDrawItem (TMenu)
pl |  | OnMeasureItem (TMenu)


TMainMenu.Create

Create - constructor for TMainMenu: sets style to MainMenu then calls inherited Create

Declaration

Source position: menus.pp line 398

public constructor TMainMenu.Create(

  AOwner: TComponent

); override;

See also

TMenu.Create

Create - constructor for TMenu: creates menuitems and links, sets some defaults then calls inherited Create


TMainMenu.Height

Declaration

Source position: menus.pp line 399

public property TMainMenu.Height : Integer
  read GetHeight;


TMainMenu.ItemChanged

ItemChanged - method to deal with a changed Item

Declaration

Source position: menus.pp line 394

protected procedure TMainMenu.ItemChanged;


TMainMenu.OnChange

OnChange - event handler for a change in the Menu

Declaration

Source position: menus.pp line 402

published property TMainMenu.OnChange : TMenuChangeEvent;


TMainMenu.WindowHandle

Declaration

Source position: menus.pp line 400

public property TMainMenu.WindowHandle : HWND
  read FWindowHandle
  write SetWindowHandle;


TMenu

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

TMenu : The base class for all menus

Declaration

Source position: menus.pp line 314

type TMenu = class(TLCLComponent)
protected
class procedure WSRegisterClass; override; | Registers this component class with the current WidgetSet.
procedure BidiModeChanged; virtual; | BidiModeChanged - method for dealing with changed Bi-directional mode
procedure CreateHandle; virtual; | CreateHandle - method for creating handle
procedure DoChange(); virtual; | DoChange - perform the OnChange event, completely rebuilding the Source menuitem if Rebuild is true
function GetHandle; virtual; | GetHandle - returns the handle for this Menu
procedure GetChildren(); override; |
procedure MenuChanged(); virtual; | MenuChanged - method to signal that a menu has been changed
procedure AssignTo(); override;
procedure Notification(); override;
procedure ParentBidiModeChanged(); | ParentBidiModeChanged - procedure to deal with a change in the Parent Bi-directional mode
procedure SetChildOrder(); override;
procedure UpdateItems; | UpdateItems - implement all pending changes to Items
property OnChange: TMenuChangeEvent; [rw] | OnChange - event handler for a change to the menu
public
FCompStyle: LongInt; | FCompStyle - local variable holding value of CompStyle
constructor Create(); override; | Create - constructor for TMenu: creates menuitems and links, sets some defaults then calls inherited Create
destructor Destroy; override; | Destroy - destructor for TMenu: frees items and links, then calls inherited Destroy
procedure DestroyHandle; virtual; | DestroyHandle - method for destroying handle
function FindItem(); | FindItem - returns the menuitem corresponding to the supplied value or kind
function GetHelpContext();
function IsShortcut(); | IsShortcut - returns True if the specified message key represents a shortcut
function HandleAllocated; | HandleAllocated - returns True if a handle has been allocated
function IsRightToLeft; virtual; | IsRightToLeft - returns True if Right to Left mode is being used (eg for Hebrew or Arabic languages)
function UseRightToLeftAlignment; virtual; | UseRightToLeftAlignment - returns True if Right-Left alignment is being used
function UseRightToLeftReading; virtual; | UseRightToLeftReading - returns True if reading from Right to Left
procedure HandleNeeded; | HandleNeeded - method to signal that a handle is required
function DispatchCommand(); | DispatchCommand - returns True if the supplied command is a dispatch command
property Handle: HMENU; [r] | Handle - the Operating System Handle for this Menu
property Parent: TComponent; [rw] | The Parent component for this Menu
property ShortcutHandled: Boolean; [rw] | ShortcutHandled - if True, the shortcut for the menu is properly handled
published
property BidiMode: TBidiMode; [rws] | BidiMode - whether Bi-directional mode is implemented, allowing use with languages like Arabic or Hebrew
property ParentBidiMode: Boolean; [rw] | ParentBidiMode - the BidiMode of the parent
property Items: TMenuItem; [r] | Items - a list of Menu Items to be included in the menu display
property Images: TCustomImageList; [rw] | Images - a list of images from which entries can be selected to illustrate menu choices
property ImagesWidth: Integer; [rw]
property OwnerDraw: Boolean; [rw]
property OnDrawItem: TMenuDrawItemEvent; [rw]
property OnMeasureItem: TMenuMeasureItemEvent; [rw]
end;

Inheritance

TMenu | TMenu : The base class for all menus
|
TLCLComponent | The base class for LCL components associated with widgets.
|
TComponent,IUnknown,IInterfaceComponentReference
|
TPersistent,IFPObserved
|
TObject

Description

TMenu : The base class for all menus

The class definition contains very few public or published properties or methods accessible to the application programmer, but contains the entry Items which points to the Menu Items that appear in the menu displays

See also

HowToUseMenus | HowToUseMenus - hints for creating Menus for your Forms
TMainMenu | TMainMenu - the Main Menu that appears at the top of most windows
TPopupMenu | TPopupMenu - a menu panel that pops up on the desktop when the right mouse button is clicked
TMenuItem | TMenuItem - The base structure of each item in a Menu.


TMenu
 | ro | Handle
 |  | Parent
 |  | ShortcutHandled
pl |  | BidiMode
pl |  | ParentBidiMode
pl | ro | Items
pl |  | Images
pl |  | ImagesWidth
pl |  | OwnerDraw
TLCLComponent
 | ro | LCLRefCount
 | ro | WidgetSetClass
TComponent
 | ro | ComObject
 | ro | Components
 | ro | ComponentCount
 |  | ComponentIndex
 | ro | ComponentState
 | ro | ComponentStyle
 |  | DesignInfo
 | ro | Owner
 |  | VCLComObject
 |  | Name
 |  | Tag
TPersistent
TObject


pl |  | BidiMode (TMenu)
 | ro | ComObject (TComponent)
 | ro | ComponentCount (TComponent)
 |  | ComponentIndex (TComponent)
 | ro | Components (TComponent)
 | ro | ComponentState (TComponent)
 | ro | ComponentStyle (TComponent)
 |  | DesignInfo (TComponent)
 | ro | Handle (TMenu)
pl |  | Images (TMenu)
pl |  | ImagesWidth (TMenu)
pl | ro | Items (TMenu)
 | ro | LCLRefCount (TLCLComponent)
 |  | Name (TComponent)
 | ro | Owner (TComponent)
pl |  | OwnerDraw (TMenu)
 |  | Parent (TMenu)
pl |  | ParentBidiMode (TMenu)
 |  | ShortcutHandled (TMenu)
 |  | Tag (TComponent)
 |  | VCLComObject (TComponent)
 | ro | WidgetSetClass (TLCLComponent)


TMenu
pt | WSRegisterClass
pt | BidiModeChanged
pt | CreateHandle
pt | DoChange
pt | GetHandle
pt | GetChildren
pt | MenuChanged
pt | AssignTo
pt | Notification
pt | ParentBidiModeChanged
pt | SetChildOrder
pt | UpdateItems
 | Create
 | Destroy
 | DestroyHandle
 | FindItem
 | GetHelpContext
 | IsShortcut
 | HandleAllocated
 | IsRightToLeft
 | UseRightToLeftAlignment
 | UseRightToLeftReading
 | HandleNeeded
 | DispatchCommand
TLCLComponent
pt | WSRegisterClass
pt | GetWSComponentClass
 | Create
 | Destroy
 | NewInstance
 | RemoveAllHandlersOfObject
 | IncLCLRefCount
 | DecLCLRefCount
TComponent
 | GetComObject
 | GetComponent
 | GetComponentCount
 | GetComponentIndex
 | Insert
 | ReadLeft
 | ReadTop
 | Remove
 | RemoveNotification
 | SetComponentIndex
 | SetReference
 | WriteLeft
 | WriteTop
 | ChangeName
 | DefineProperties
 | GetChildren
 | GetChildOwner
 | GetChildParent
 | GetOwner
 | Loaded
 | Loading
 | Notification
 | PaletteCreated
 | ReadState
 | SetAncestor
 | SetDesigning
 | SetDesignInstance
 | SetInline
 | SetName
 | SetChildOrder
 | SetParentComponent
 | Updating
 | Updated
 | UpdateRegistry
 | ValidateRename
 | ValidateContainer
 | ValidateInsert
 | QueryInterface
 | _AddRef
 | _Release
 | iicrGetComponent
 | GetTypeInfoCount
 | GetTypeInfo
 | GetIDsOfNames
 | Invoke
 | WriteState
 | Create
 | Destroy
 | BeforeDestruction
 | DestroyComponents
 | Destroying
 | ExecuteAction
 | FindComponent
 | FreeNotification
 | RemoveFreeNotification
 | FreeOnRelease
 | GetEnumerator
 | GetNamePath
 | GetParentComponent
 | HasParent
 | InsertComponent
 | RemoveComponent
 | SafeCallException
 | SetSubComponent
 | UpdateAction
 | IsImplementorOf
 | ReferenceInterface
TPersistent
 | AssignError
 | AssignTo
 | DefineProperties
 | GetOwner
 | Destroy
 | Assign
 | FPOAttachObserver
 | FPODetachObserver
 | FPONotifyObservers
 | GetNamePath
TObject
 | Create
 | Destroy
 | newinstance
 | FreeInstance
 | SafeCallException
 | DefaultHandler
 | Free
 | InitInstance
 | CleanupInstance
 | ClassType
 | ClassInfo
 | ClassName
 | ClassNameIs
 | ClassParent
 | InstanceSize
 | InheritsFrom
 | StringMessageTable
 | MethodAddress
 | MethodName
 | FieldAddress
 | AfterConstruction
 | BeforeDestruction
 | DefaultHandlerStr
 | Dispatch
 | DispatchStr
 | GetInterface
 | GetInterfaceByStr
 | GetInterfaceWeak
 | GetInterfaceEntry
 | GetInterfaceEntryByStr
 | GetInterfaceTable
 | UnitName
 | Equals
 | GetHashCode
 | ToString


 | AssignError (TPersistent)
 | AssignTo (TPersistent)
pt | AssignTo (TMenu)
 | BeforeDestruction (TObject)
 | BeforeDestruction (TComponent)
pt | BidiModeChanged (TMenu)
 | ChangeName (TComponent)
 | ClassInfo (TObject)
 | ClassName (TObject)
 | ClassNameIs (TObject)
 | ClassParent (TObject)
 | ClassType (TObject)
 | CleanupInstance (TObject)
 | Create (TObject)
 | Create (TComponent)
 | Create (TLCLComponent)
 | Create (TMenu)
pt | CreateHandle (TMenu)
 | DecLCLRefCount (TLCLComponent)
 | DefaultHandler (TObject)
 | DefaultHandlerStr (TObject)
 | DefineProperties (TPersistent)
 | DefineProperties (TComponent)
 | Destroy (TObject)
 | Destroy (TPersistent)
 | Destroy (TComponent)
 | Destroy (TLCLComponent)
 | Destroy (TMenu)
 | DestroyComponents (TComponent)
 | DestroyHandle (TMenu)
 | Destroying (TComponent)
 | Dispatch (TObject)
 | DispatchCommand (TMenu)
 | DispatchStr (TObject)
pt | DoChange (TMenu)
 | Equals (TObject)
 | ExecuteAction (TComponent)
 | FieldAddress (TObject)
 | FindComponent (TComponent)
 | FindItem (TMenu)
 | FPOAttachObserver (TPersistent)
 | FPODetachObserver (TPersistent)
 | FPONotifyObservers (TPersistent)
 | Free (TObject)
 | FreeInstance (TObject)
 | FreeNotification (TComponent)
 | FreeOnRelease (TComponent)
 | GetChildOwner (TComponent)
 | GetChildParent (TComponent)
 | GetChildren (TComponent)
pt | GetChildren (TMenu)
 | GetComObject (TComponent)
 | GetComponent (TComponent)
 | GetComponentCount (TComponent)
 | GetComponentIndex (TComponent)
 | GetEnumerator (TComponent)
pt | GetHandle (TMenu)
 | GetHashCode (TObject)
 | GetHelpContext (TMenu)
 | GetIDsOfNames (TComponent)
 | GetInterface (TObject)
 | GetInterfaceByStr (TObject)
 | GetInterfaceEntry (TObject)
 | GetInterfaceEntryByStr (TObject)
 | GetInterfaceTable (TObject)
 | GetInterfaceWeak (TObject)
 | GetNamePath (TPersistent)
 | GetNamePath (TComponent)
 | GetOwner (TPersistent)
 | GetOwner (TComponent)
 | GetParentComponent (TComponent)
 | GetTypeInfo (TComponent)
 | GetTypeInfoCount (TComponent)
pt | GetWSComponentClass (TLCLComponent)
 | HandleAllocated (TMenu)
 | HandleNeeded (TMenu)
 | HasParent (TComponent)
 | iicrGetComponent (TComponent)
 | IncLCLRefCount (TLCLComponent)
 | InheritsFrom (TObject)
 | InitInstance (TObject)
 | Insert (TComponent)
 | InsertComponent (TComponent)
 | InstanceSize (TObject)
 | Invoke (TComponent)
 | IsImplementorOf (TComponent)
 | IsRightToLeft (TMenu)
 | IsShortcut (TMenu)
 | Loaded (TComponent)
 | Loading (TComponent)
pt | MenuChanged (TMenu)
 | MethodAddress (TObject)
 | MethodName (TObject)
 | newinstance (TObject)
 | NewInstance (TLCLComponent)
 | Notification (TComponent)
pt | Notification (TMenu)
 | PaletteCreated (TComponent)
pt | ParentBidiModeChanged (TMenu)
 | QueryInterface (TComponent)
 | ReadLeft (TComponent)
 | ReadState (TComponent)
 | ReadTop (TComponent)
 | ReferenceInterface (TComponent)
 | Remove (TComponent)
 | RemoveAllHandlersOfObject (TLCLComponent)
 | RemoveComponent (TComponent)
 | RemoveFreeNotification (TComponent)
 | RemoveNotification (TComponent)
 | SafeCallException (TObject)
 | SafeCallException (TComponent)
 | SetAncestor (TComponent)
 | SetChildOrder (TComponent)
pt | SetChildOrder (TMenu)
 | SetComponentIndex (TComponent)
 | SetDesigning (TComponent)
 | SetDesignInstance (TComponent)
 | SetInline (TComponent)
 | SetName (TComponent)
 | SetParentComponent (TComponent)
 | SetReference (TComponent)
 | SetSubComponent (TComponent)
 | StringMessageTable (TObject)
 | ToString (TObject)
 | UnitName (TObject)
 | UpdateAction (TComponent)
 | Updated (TComponent)
pt | UpdateItems (TMenu)
 | UpdateRegistry (TComponent)
 | Updating (TComponent)
 | UseRightToLeftAlignment (TMenu)
 | UseRightToLeftReading (TMenu)
 | ValidateContainer (TComponent)
 | ValidateInsert (TComponent)
 | ValidateRename (TComponent)
 | WriteLeft (TComponent)
 | WriteState (TComponent)
 | WriteTop (TComponent)
pt | WSRegisterClass (TLCLComponent)
pt | WSRegisterClass (TMenu)
 | _AddRef (TComponent)
 | _Release (TComponent)


TMenu
pt | OnChange
pl | OnDrawItem
pl | OnMeasureItem
TLCLComponent
TComponent
TPersistent
TObject


pt | OnChange (TMenu)
pl | OnDrawItem (TMenu)
pl | OnMeasureItem (TMenu)


TMenu.AssignTo

Declaration

Source position: menus.pp line 347

protected procedure TMenu.AssignTo(

  Dest: TPersistent

); override;


TMenu.BidiMode

BidiMode - whether Bi-directional mode is implemented, allowing use with languages like Arabic or Hebrew

Declaration

Source position: menus.pp line 375

published property TMenu.BidiMode : TBidiMode
  read FBidiMode
  write SetBidiMode
  stored IsBiDiModeStored
  default bdLeftToRight;


TMenu.BidiModeChanged

BidiModeChanged - method for dealing with changed Bi-directional mode

Declaration

Source position: menus.pp line 340

protected procedure TMenu.BidiModeChanged; virtual;


TMenu.Create

Create - constructor for TMenu: creates menuitems and links, sets some defaults then calls inherited Create

Declaration

Source position: menus.pp line 358

public constructor TMenu.Create(

  AOwner: TComponent

); override;

See also

TComponent.Create


TMenu.CreateHandle

CreateHandle - method for creating handle

Declaration

Source position: menus.pp line 341

protected procedure TMenu.CreateHandle; virtual;


TMenu.Destroy

Destroy - destructor for TMenu: frees items and links, then calls inherited Destroy

Declaration

Source position: menus.pp line 359

public destructor TMenu.Destroy; override;

See also

TComponent.Destroy


TMenu.DestroyHandle

DestroyHandle - method for destroying handle

Declaration

Source position: menus.pp line 360

public procedure TMenu.DestroyHandle; virtual;


TMenu.DispatchCommand

DispatchCommand - returns True if the supplied command is a dispatch command

Declaration

Source position: menus.pp line 369

public function TMenu.DispatchCommand(

  ACommand: Word

):Boolean;


TMenu.DoChange

DoChange - perform the OnChange event, completely rebuilding the Source menuitem if Rebuild is true

Declaration

Source position: menus.pp line 342

protected procedure TMenu.DoChange(

  Source: TMenuItem;

  Rebuild: Boolean

); virtual;


TMenu.FCompStyle

FCompStyle - local variable holding value of CompStyle

Declaration

Source position: menus.pp line 357

public TMenu.FCompStyle : LongInt;


TMenu.FindItem

FindItem - returns the menuitem corresponding to the supplied value or kind

Declaration

Source position: menus.pp line 361

public function TMenu.FindItem(

  AValue: PtrInt;

  Kind: TFindItemKind

):TMenuItem;


TMenu.GetHandle

GetHandle - returns the handle for this Menu

Declaration

Source position: menus.pp line 343

protected function TMenu.GetHandle: HMENU; virtual;


TMenu.GetHelpContext

Declaration

Source position: menus.pp line 362

public function TMenu.GetHelpContext(

  AValue: PtrInt;

  ByCommand: Boolean

):THelpContext;


TMenu.Handle

Handle - the Operating System Handle for this Menu

Declaration

Source position: menus.pp line 371

public property TMenu.Handle : HMENU
  read GetHandle;


TMenu.HandleAllocated

HandleAllocated - returns True if a handle has been allocated

Declaration

Source position: menus.pp line 364

public function TMenu.HandleAllocated: Boolean;


TMenu.HandleNeeded

HandleNeeded - method to signal that a handle is required

Declaration

Source position: menus.pp line 368

public procedure TMenu.HandleNeeded;


TMenu.Images

Images - a list of images from which entries can be selected to illustrate menu choices

Declaration

Source position: menus.pp line 378

published property TMenu.Images : TCustomImageList
  read FImages
  write SetImages;


TMenu.ImagesWidth

Declaration

Source position: menus.pp line 379

published property TMenu.ImagesWidth : Integer
  read FImagesWidth
  write SetImagesWidth
  default 0;


TMenu.IsRightToLeft

IsRightToLeft - returns True if Right to Left mode is being used (eg for Hebrew or Arabic languages)

Declaration

Source position: menus.pp line 365

public function TMenu.IsRightToLeft: Boolean; virtual;


TMenu.IsShortcut

IsShortcut - returns True if the specified message key represents a shortcut

Declaration

Source position: menus.pp line 363

public function TMenu.IsShortcut(

  var Message: TLMKey

):Boolean;


TMenu.Items

Items - a list of Menu Items to be included in the menu display

Declaration

Source position: menus.pp line 377

published property TMenu.Items : TMenuItem
  read FItems;


TMenu.MenuChanged

MenuChanged - method to signal that a menu has been changed

Declaration

Source position: menus.pp line 345

protected procedure TMenu.MenuChanged(

  Sender: TObject;

  Source: TMenuItem;

  Rebuild: Boolean

); virtual;


TMenu.OnChange

OnChange - event handler for a change to the menu

Declaration

Source position: menus.pp line 355

protected property TMenu.OnChange : TMenuChangeEvent
  read FOnChange
  write FOnChange;


TMenu.OnDrawItem

Declaration

Source position: menus.pp line 381

published property TMenu.OnDrawItem : TMenuDrawItemEvent
  read FOnDrawItem
  write FOnDrawItem;


TMenu.OnMeasureItem

Declaration

Source position: menus.pp line 382

published property TMenu.OnMeasureItem : TMenuMeasureItemEvent
  read FOnMeasureItem
  write FOnMeasureItem;


TMenu.OwnerDraw

Declaration

Source position: menus.pp line 380

published property TMenu.OwnerDraw : Boolean
  read FOwnerDraw
  write FOwnerDraw
  default False;


TMenu.Parent

The Parent component for this Menu

Declaration

Source position: menus.pp line 372

public property TMenu.Parent : TComponent
  read FParent
  write SetParent;


TMenu.ParentBidiMode

ParentBidiMode - the BidiMode of the parent

Declaration

Source position: menus.pp line 376

published property TMenu.ParentBidiMode : Boolean
  read FParentBidiMode
  write SetParentBidiMode
  default True;


TMenu.ParentBidiModeChanged

ParentBidiModeChanged - procedure to deal with a change in the Parent Bi-directional mode

Declaration

Source position: menus.pp line 350

protected procedure TMenu.ParentBidiModeChanged;

procedure TMenu.ParentBidiModeChanged(

  AOwner: TComponent

);


TMenu.ShortcutHandled

ShortcutHandled - if True, the shortcut for the menu is properly handled

Declaration

Source position: menus.pp line 373

public property TMenu.ShortcutHandled : Boolean
  read FShortcutHandled
  write FShortcutHandled;


TMenu.UpdateItems

UpdateItems - implement all pending changes to Items

Declaration

Source position: menus.pp line 353

protected procedure TMenu.UpdateItems;


TMenu.UseRightToLeftAlignment

UseRightToLeftAlignment - returns True if Right-Left alignment is being used

Declaration

Source position: menus.pp line 366

public function TMenu.UseRightToLeftAlignment: Boolean; virtual;


TMenu.UseRightToLeftReading

UseRightToLeftReading - returns True if reading from Right to Left

Declaration

Source position: menus.pp line 367

public function TMenu.UseRightToLeftReading: Boolean; virtual;


TMenuActionLink

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

TMenuActionLink: defines the link between a selected menu item and its corresponding action

Declaration

Source position: menus.pp line 65

type TMenuActionLink = class(TActionLink)
protected
FClient: TMenuItem; | FClient - local variable holding the MenuItem to which this action link applies
procedure AssignClient(); override; |
function IsAutoCheckLinked; virtual; | IsAutoCheckLinked - returns True if the client's AutoCheck property is linked
function IsOnExecuteLinked; override;
procedure SetAutoCheck(); override; | SetAutoCheck - specifies whether AutoCheck is to apply
procedure SetCaption(); override; | SetCaption - specifies the caption for the linked MenuItem
procedure SetChecked(); override; | SetChecked - specifies whether the Item is checked
procedure SetEnabled(); override; | SetEnabled - specifies whether the action is enabled
procedure SetHelpContext(); override; | SetHelpContext - specifies the Help context
procedure SetHint(); override; | SetHint - specifies the Hint string
procedure SetImageIndex(); override; | SetImageIndex - specifies the index of the associated image
procedure SetShortCut(); override; | SetShortCut - specifies the ShortCut for the Item and action
procedure SetVisible(); override; | SetVisible - specifies if item is to be visible
procedure SetOnExecute(); override; |
public
function IsCaptionLinked; override; | Is the action's Caption linked to the client?
function IsCheckedLinked; override; | Is the action's Checked property linked to the client?
function IsEnabledLinked; override; | Is the action's Enabled property linked to the client?
function IsHelpContextLinked; override; | Is the action's HelpContext property linked to the client?
function IsHintLinked; override; | Is the action's Hint property linked to the client?
function IsGroupIndexLinked; override; | Is the action's GroupIndex property linked to the client?
function IsImageIndexLinked; override; | Is the action's ImageIndex property linked to the client?
function IsShortCutLinked; override; | Is the action's ShortCut property linked to the client?
function IsVisibleLinked; override; | Is the action's Visible property linked to the client?
end;

Inheritance

TMenuActionLink | TMenuActionLink: defines the link between a selected menu item and its corresponding action
|
TActionLink | A link between an action and a client class
|
TBasicActionLink
|
TObject

Description

TMenuActionLink defines the link between a selected menu item and its corresponding action. Properties are protected and not readily accessible by application programmers.


TMenuActionLink

TActionLink

TBasicActionLink

Action

TObject


TMenuActionLink
pt | AssignClient
pt | IsAutoCheckLinked
pt | IsOnExecuteLinked
pt | SetAutoCheck
pt | SetCaption
pt | SetChecked
pt | SetEnabled
pt | SetHelpContext
pt | SetHint
pt | SetImageIndex
pt | SetShortCut
pt | SetVisible
pt | SetOnExecute
 | IsCaptionLinked
 | IsCheckedLinked
 | IsEnabledLinked
 | IsHelpContextLinked
 | IsHintLinked
 | IsGroupIndexLinked
 | IsImageIndexLinked
 | IsShortCutLinked
 | IsVisibleLinked
TActionLink
pt | SetAutoCheck
pt | SetCaption
pt | SetChecked
pt | SetEnabled
pt | SetGroupIndex
pt | SetHelpContext
pt | SetHelpKeyword
pt | SetHelpType
pt | SetHint
pt | SetImageIndex
pt | SetShortCut
pt | SetVisible
 | IsCaptionLinked
 | IsCheckedLinked
 | IsEnabledLinked
 | IsGroupIndexLinked
 | IsHelpContextLinked
 | IsHelpLinked
 | IsHintLinked
 | IsImageIndexLinked
 | IsShortCutLinked
 | IsVisibleLinked
TBasicActionLink
 | AssignClient
 | Change
 | IsOnExecuteLinked
 | SetAction
 | SetOnExecute
 | Create
 | Destroy
 | Execute
 | Update
TObject
 | Create
 | Destroy
 | newinstance
 | FreeInstance
 | SafeCallException
 | DefaultHandler
 | Free
 | InitInstance
 | CleanupInstance
 | ClassType
 | ClassInfo
 | ClassName
 | ClassNameIs
 | ClassParent
 | InstanceSize
 | InheritsFrom
 | StringMessageTable
 | MethodAddress
 | MethodName
 | FieldAddress
 | AfterConstruction
 | BeforeDestruction
 | DefaultHandlerStr
 | Dispatch
 | DispatchStr
 | GetInterface
 | GetInterfaceByStr
 | GetInterfaceWeak
 | GetInterfaceEntry
 | GetInterfaceEntryByStr
 | GetInterfaceTable
 | UnitName
 | Equals
 | GetHashCode
 | ToString


 | AssignClient (TBasicActionLink)
pt | AssignClient (TMenuActionLink)
 | BeforeDestruction (TObject)
 | Change (TBasicActionLink)
 | ClassInfo (TObject)
 | ClassName (TObject)
 | ClassNameIs (TObject)
 | ClassParent (TObject)
 | ClassType (TObject)
 | CleanupInstance (TObject)
 | Create (TObject)
 | Create (TBasicActionLink)
 | DefaultHandler (TObject)
 | DefaultHandlerStr (TObject)
 | Destroy (TObject)
 | Destroy (TBasicActionLink)
 | Dispatch (TObject)
 | DispatchStr (TObject)
 | Equals (TObject)
 | Execute (TBasicActionLink)
 | FieldAddress (TObject)
 | Free (TObject)
 | FreeInstance (TObject)
 | GetHashCode (TObject)
 | GetInterface (TObject)
 | GetInterfaceByStr (TObject)
 | GetInterfaceEntry (TObject)
 | GetInterfaceEntryByStr (TObject)
 | GetInterfaceTable (TObject)
 | GetInterfaceWeak (TObject)
 | InheritsFrom (TObject)
 | InitInstance (TObject)
 | InstanceSize (TObject)
pt | IsAutoCheckLinked (TMenuActionLink)
 | IsCaptionLinked (TActionLink)
 | IsCaptionLinked (TMenuActionLink)
 | IsCheckedLinked (TActionLink)
 | IsCheckedLinked (TMenuActionLink)
 | IsEnabledLinked (TActionLink)
 | IsEnabledLinked (TMenuActionLink)
 | IsGroupIndexLinked (TActionLink)
 | IsGroupIndexLinked (TMenuActionLink)
 | IsHelpContextLinked (TActionLink)
 | IsHelpContextLinked (TMenuActionLink)
 | IsHelpLinked (TActionLink)
 | IsHintLinked (TActionLink)
 | IsHintLinked (TMenuActionLink)
 | IsImageIndexLinked (TActionLink)
 | IsImageIndexLinked (TMenuActionLink)
 | IsOnExecuteLinked (TBasicActionLink)
pt | IsOnExecuteLinked (TMenuActionLink)
 | IsShortCutLinked (TActionLink)
 | IsShortCutLinked (TMenuActionLink)
 | IsVisibleLinked (TActionLink)
 | IsVisibleLinked (TMenuActionLink)
 | MethodAddress (TObject)
 | MethodName (TObject)
 | newinstance (TObject)
 | SafeCallException (TObject)
 | SetAction (TBasicActionLink)
pt | SetAutoCheck (TActionLink)
pt | SetAutoCheck (TMenuActionLink)
pt | SetCaption (TActionLink)
pt | SetCaption (TMenuActionLink)
pt | SetChecked (TActionLink)
pt | SetChecked (TMenuActionLink)
pt | SetEnabled (TActionLink)
pt | SetEnabled (TMenuActionLink)
pt | SetGroupIndex (TActionLink)
pt | SetHelpContext (TActionLink)
pt | SetHelpContext (TMenuActionLink)
pt | SetHelpKeyword (TActionLink)
pt | SetHelpType (TActionLink)
pt | SetHint (TActionLink)
pt | SetHint (TMenuActionLink)
pt | SetImageIndex (TActionLink)
pt | SetImageIndex (TMenuActionLink)
 | SetOnExecute (TBasicActionLink)
pt | SetOnExecute (TMenuActionLink)
pt | SetShortCut (TActionLink)
pt | SetShortCut (TMenuActionLink)
pt | SetVisible (TActionLink)
pt | SetVisible (TMenuActionLink)
 | StringMessageTable (TObject)
 | ToString (TObject)
 | UnitName (TObject)
 | Update (TBasicActionLink)


TMenuActionLink

TActionLink

TBasicActionLink

OnChange

TObject


TMenuActionLink.FClient

FClient - local variable holding the MenuItem to which this action link applies

Declaration

Source position: menus.pp line 67

protected TMenuActionLink.FClient : TMenuItem;


TMenuActionLink.IsAutoCheckLinked

IsAutoCheckLinked - returns True if the client's AutoCheck property is linked

Declaration

Source position: menus.pp line 69

protected function TMenuActionLink.IsAutoCheckLinked: Boolean; virtual;


TMenuActionLink.SetAutoCheck

SetAutoCheck - specifies whether AutoCheck is to apply

Declaration

Source position: menus.pp line 72

protected procedure TMenuActionLink.SetAutoCheck(

  Value: Boolean

); override;


TMenuActionLink.SetCaption

SetCaption - specifies the caption for the linked MenuItem

Declaration

Source position: menus.pp line 73

protected procedure TMenuActionLink.SetCaption(

  const Value: string

); override;


TMenuActionLink.SetChecked

SetChecked - specifies whether the Item is checked

Declaration

Source position: menus.pp line 74

protected procedure TMenuActionLink.SetChecked(

  Value: Boolean

); override;


TMenuActionLink.SetEnabled

SetEnabled - specifies whether the action is enabled

Declaration

Source position: menus.pp line 75

protected procedure TMenuActionLink.SetEnabled(

  Value: Boolean

); override;


TMenuActionLink.SetHelpContext

SetHelpContext - specifies the Help context

Declaration

Source position: menus.pp line 76

protected procedure TMenuActionLink.SetHelpContext(

  Value: THelpContext

); override;


TMenuActionLink.SetHint

SetHint - specifies the Hint string

Declaration

Source position: menus.pp line 77

protected procedure TMenuActionLink.SetHint(

  const Value: string

); override;


TMenuActionLink.SetImageIndex

SetImageIndex - specifies the index of the associated image

Declaration

Source position: menus.pp line 78

protected procedure TMenuActionLink.SetImageIndex(

  Value: Integer

); override;


TMenuActionLink.SetShortCut

SetShortCut - specifies the ShortCut for the Item and action

Declaration

Source position: menus.pp line 79

protected procedure TMenuActionLink.SetShortCut(

  Value: TShortCut

); override;


TMenuActionLink.SetVisible

SetVisible - specifies if item is to be visible

Declaration

Source position: menus.pp line 80

protected procedure TMenuActionLink.SetVisible(

  Value: Boolean

); override;


TMenuActionLinkClass

TMenuActionLinkClass - class of TMenuActionLink

Declaration

Source position: menus.pp line 94

type TMenuActionLinkClass = class of TMenuActionLink;


TMenuItem

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

TMenuItem - The base structure of each item in a Menu.

Declaration

Source position: menus.pp line 120

type TMenuItem = class(TLCLComponent)
protected
FCommand: Word; |
class procedure WSRegisterClass; override; | Registers this component class with the current WidgetSet.
procedure ActionChange(); virtual; | ActionChange - changes the action associated with this menu item to a new action
procedure AssignTo(); override; |
procedure BitmapChange(); | BitmapChange - update the image associated with the menu item when the Bitmap has been changed
function DoDrawItem(); virtual;
function DoMeasureItem(); virtual;
function GetAction; | GetAction - find the action associated with this menu item
function GetActionLinkClass; virtual; | GetActionLinkClass - find out what class of action link is associated with this menu item
function GetHandle; | GetHandle - get the operating system handle for the menu to which this item belongs
procedure DoClicked(); message; | DoClicked - process the system message signifying that a click has ocurred over this menu item
procedure CheckChildrenHandles;
procedure CreateHandle; virtual; | CreateHandle - create an operating system handle for this item
procedure DestroyHandle; virtual; | DestroyHandle - destroy the operating system handle and free space on the heap
procedure Loaded; override; |
procedure Notification(); override; |
procedure GetChildren(); override; |
procedure InitiateActions; | InitiateActions - start the initiation phase of the actions associated with the menu item
procedure MenuChanged(); | MenuChanged - rebuild it if True
procedure SetAction(); | SetAction - setup a new action associated with the menu item
procedure SetChildOrder(); override; |
procedure SetGroupIndex(); | SetGroupIndex - write the index value for group to this item belongs (may write a new group)
procedure SetImageIndex(); | SetImageIndex - gives the item an index value for its associated image
procedure SetParentComponent(); override; |
procedure SetShortCut(); | SetShortCut - sets up the keyboard shortcut for this item
procedure SetShortCutKey2();
procedure SetVisible(); | SetVisible - sets up whether the item is to be visible
procedure UpdateImage; | UpdateImage - freshen the image associated with the menu item, particularly if it has changed
procedure UpdateImages; | UpdateImages - update all images associated with the item
procedure UpdateWSIcon; | UpdateWSIcon - update the icon in the current Widget Set for this menu item
procedure ImageListChange(); | ImageListChange - change the image list if commanded by the Sender
property ActionLink: TMenuActionLink; [rw] | ActionLink - a link to the action for this menu item
public
FCompStyle: LongInt; | FCompStyle - local variable holding value of CompStyle
constructor Create(); override; | Create - constructor for TMenuItem: calls inherited Create then intialises a large number of local variables
destructor Destroy; override; | Destroy - destructor for TMenuItem: releases bitmaps, handles, imagelists, actionlinks and parent controls, then calls inherited Destroy and
function Find(); | Find the identity given menu item (named in ACaption)
function GetEnumerator;
procedure GetImageList(); | GetImageList - Get the list of images for this menu, from which the image for the current item will be selected
function GetParentComponent; override; |
function GetParentMenu; virtual; | GetParentMenu - returns the parent menu to which this menu item belongs
function GetIsRightToLeft; virtual; | GetIsRightToLeft - find the value of the property determining whether right-to-left read/write is enabled
function HandleAllocated; | HandleAllocated - has an operating system handle been allocated?
function HasIcon; virtual; | HasIcon - is there an icon associated with this menu item?
function HasParent; override; |
procedure InitiateAction; virtual; | InitiateAction - start th einitiation phase of an action associated with the menu item
procedure IntfDoSelect; virtual; | IntfDoSelect - perform the selection using the interface
function IndexOf(); | IndexOf - the index value of this item
function IndexOfCaption(); virtual; | IndexOfCaption - the index value of the caption for this item
function VisibleIndexOf(); | VisibleIndexOf - the index of this item within the list of visible items
procedure Add(); | Add - an item to the menu
procedure AddSeparator; | AddSeparator (a line) to the menu
procedure Click; virtual; | Click - simulate the OnClick event
procedure Delete(); | Delete this item from the menu
procedure HandleNeeded; virtual; | HandleNeeded - tell the operating system that a handle is needed for this item
procedure Insert(); | Insert a new item at the location marked by Index
procedure RecreateHandle; virtual; | RecreateHandle from the operating system
procedure Remove(); | Remove this item from the menu
function IsCheckItem; virtual; | IsCheckItem - is there a check-box associated with this item?
function IsLine; | IsLine - if true, this item is a line (separator) on the menu
function IsInMenuBar; virtual; | IsInMenuBar - this item appears in the main menu bar
procedure Clear; | Clear - removes the contents of the item, but leaves the item in place
function HasBitmap; | HasBitmap - determines whether there is a Bitmap for this item
function GetIconSize(); virtual; | GetIconSize - finds the size of the icon for this item
procedure RemoveAllHandlersOfObject(); override; | Override this method to remove all references to notification handlers in AnObject.
procedure AddHandlerOnDestroy(); | AddHandlerOnDestroy - add a handler for the OnDestroy event
procedure RemoveHandlerOnDestroy(); | RemoveHandlerOnDestroy - remove a handler for the OnDestroy event
procedure AddHandler(); | AddHandler - method to add a handler
procedure RemoveHandler(); | RemoveHandler - method for removing a handler
property Count: Integer; [r] | Count - number of items
property Handle: HMENU; [rw] | Handle - the operating system handle for this item
property Items []: TMenuItem; default; [r] | Items - the indexed list of menu items to which this item belongs
property MenuIndex: Integer; [rw] | MenuIndex - the index value of the menu to which this item belongs
property Menu: TMenu; [r] | Menu - the menu to which this item belongs
property Parent: TMenuItem; [r] | The Parent MenuItem from which this item is derived
property Command: Word; [r] | Command - the entry from the Command list to which this item refers
function MenuVisibleIndex; | MenuVisibleIndex - the index value of the visible menu
procedure WriteDebugReport(); | WriteDebugReport - used in debugging
published
property Action: TBasicAction; [rw] | Action - the default action associated with this Menu Item
property AutoCheck: Boolean; [rw] | AutoCheck : Whether a check mark is automatically added when the item is selected
property Caption: TTranslateString; [rws] | Caption : The text that appears on the Menu Bar at run-time
property Checked: Boolean; [rws] | Checked : whether a check mark appears on the Menu Bar
property Default: Boolean; [rw] | Default : is this option the default selection? If so, it usually appears in Bold and is selected by hitting ENTER
property Enabled: Boolean; [rws] | Enabled : can this option be selected? If Not Enabled, usually 'greyed-out'
property Bitmap: TBitmap; [rws] | BitMap : an optional picture beside the MenuItem Caption
property GroupIndex: Byte; [rw] | GroupIndex : the sequence number in a group of mutually exclusive RadioItem choices
property GlyphShowMode: TGlyphShowMode; [rw]
property HelpContext: THelpContext; [rws] | HelpContext - an index to the context-sensitive help string to be used
property Hint: TTranslateString; [rws] | Hint : shown in a statusbar if the main window has one and if the statusbar has AutoHint = True.
property ImageIndex: TImageIndex; [rws] | ImageIndex - number in a list of images for use in illustrating menu items
property RadioItem: Boolean; [rw] | RadioItem : whether the item is part of a group of mutually exclusive choices.
property RightJustify: Boolean; [rw] | RightJustify : the position of the Caption in the Menu Panel. Default (False) is Left Justify
property ShortCut: TShortCut; [rws] | ShortCut - the quick key sequence to be used in selecting this menu item
property ShortCutKey2: TShortCut; [rw]
property ShowAlwaysCheckable: Boolean; [rw] | ShowAlwaysCheckable - if True, Item is always shown as checkable
property SubMenuImages: TCustomImageList; [rw] | SubMenuImages - will images be shown for sub-menu items as well as the main item?
property SubMenuImagesWidth: Integer; [rw]
property Visible: Boolean; [rws] | Visible - can the item be seen?
property OnClick: TNotifyEvent; [rw] | OnClick - event handler for selection of this menu item
property OnDrawItem: TMenuDrawItemEvent; [rw]
property OnMeasureItem: TMenuMeasureItemEvent; [rw]
end;

Inheritance

TMenuItem | TMenuItem - The base structure of each item in a Menu.
|
TLCLComponent | The base class for LCL components associated with widgets.
|
TComponent,IUnknown,IInterfaceComponentReference
|
TPersistent,IFPObserved
|
TObject

Description

TMenuItem - The base structure of each item in a Menu.

This Component does the hard work of processing the Items found in the various types of menus. It defines a lot of the properties and methods used in the various sorts of menu, including TMainMenu, TMenu and TPopUpMenu


TMenuItem
pt |  | ActionLink
 | ro | Count
 |  | Handle
 | ro | Items
 |  | MenuIndex
 | ro | Menu
 | ro | Parent
 | ro | Command
pl |  | Action
pl |  | AutoCheck
pl |  | Caption
pl |  | Checked
pl |  | Default
pl |  | Enabled
pl |  | Bitmap
pl |  | GroupIndex
pl |  | GlyphShowMode
pl |  | HelpContext
pl |  | Hint
pl |  | ImageIndex
pl |  | RadioItem
pl |  | RightJustify
pl |  | ShortCut
pl |  | ShortCutKey2
pl |  | ShowAlwaysCheckable
pl |  | SubMenuImages
pl |  | SubMenuImagesWidth
pl |  | Visible
TLCLComponent
 | ro | LCLRefCount
 | ro | WidgetSetClass
TComponent
 | ro | ComObject
 | ro | Components
 | ro | ComponentCount
 |  | ComponentIndex
 | ro | ComponentState
 | ro | ComponentStyle
 |  | DesignInfo
 | ro | Owner
 |  | VCLComObject
 |  | Name
 |  | Tag
TPersistent
TObject


pl |  | Action (TMenuItem)
pt |  | ActionLink (TMenuItem)
pl |  | AutoCheck (TMenuItem)
pl |  | Bitmap (TMenuItem)
pl |  | Caption (TMenuItem)
pl |  | Checked (TMenuItem)
 | ro | Command (TMenuItem)
 | ro | ComObject (TComponent)
 | ro | ComponentCount (TComponent)
 |  | ComponentIndex (TComponent)
 | ro | Components (TComponent)
 | ro | ComponentState (TComponent)
 | ro | ComponentStyle (TComponent)
 | ro | Count (TMenuItem)
pl |  | Default (TMenuItem)
 |  | DesignInfo (TComponent)
pl |  | Enabled (TMenuItem)
pl |  | GlyphShowMode (TMenuItem)
pl |  | GroupIndex (TMenuItem)
 |  | Handle (TMenuItem)
pl |  | HelpContext (TMenuItem)
pl |  | Hint (TMenuItem)
pl |  | ImageIndex (TMenuItem)
 | ro | Items (TMenuItem)
 | ro | LCLRefCount (TLCLComponent)
 | ro | Menu (TMenuItem)
 |  | MenuIndex (TMenuItem)
 |  | Name (TComponent)
 | ro | Owner (TComponent)
 | ro | Parent (TMenuItem)
pl |  | RadioItem (TMenuItem)
pl |  | RightJustify (TMenuItem)
pl |  | ShortCut (TMenuItem)
pl |  | ShortCutKey2 (TMenuItem)
pl |  | ShowAlwaysCheckable (TMenuItem)
pl |  | SubMenuImages (TMenuItem)
pl |  | SubMenuImagesWidth (TMenuItem)
 |  | Tag (TComponent)
 |  | VCLComObject (TComponent)
pl |  | Visible (TMenuItem)
 | ro | WidgetSetClass (TLCLComponent)


TMenuItem
pt | WSRegisterClass
pt | ActionChange
pt | AssignTo
pt | BitmapChange
pt | DoDrawItem
pt | DoMeasureItem
pt | GetAction
pt | GetActionLinkClass
pt | GetHandle
pt | DoClicked
pt | CheckChildrenHandles
pt | CreateHandle
pt | DestroyHandle
pt | Loaded
pt | Notification
pt | GetChildren
pt | InitiateActions
pt | MenuChanged
pt | SetAction
pt | SetChildOrder
pt | SetGroupIndex
pt | SetImageIndex
pt | SetParentComponent
pt | SetShortCut
pt | SetShortCutKey2
pt | SetVisible
pt | UpdateImage
pt | UpdateImages
pt | UpdateWSIcon
pt | ImageListChange
 | Create
 | Destroy
 | Find
 | GetEnumerator
 | GetImageList
 | GetParentComponent
 | GetParentMenu
 | GetIsRightToLeft
 | HandleAllocated
 | HasIcon
 | HasParent
 | InitiateAction
 | IntfDoSelect
 | IndexOf
 | IndexOfCaption
 | VisibleIndexOf
 | Add
 | AddSeparator
 | Click
 | Delete
 | HandleNeeded
 | Insert
 | RecreateHandle
 | Remove
 | IsCheckItem
 | IsLine
 | IsInMenuBar
 | Clear
 | HasBitmap
 | GetIconSize
 | RemoveAllHandlersOfObject
 | AddHandlerOnDestroy
 | RemoveHandlerOnDestroy
 | AddHandler
 | RemoveHandler
 | MenuVisibleIndex
 | WriteDebugReport
TLCLComponent
pt | WSRegisterClass
pt | GetWSComponentClass
 | Create
 | Destroy
 | NewInstance
 | RemoveAllHandlersOfObject
 | IncLCLRefCount
 | DecLCLRefCount
TComponent
 | GetComObject
 | GetComponent
 | GetComponentCount
 | GetComponentIndex
 | Insert
 | ReadLeft
 | ReadTop
 | Remove
 | RemoveNotification
 | SetComponentIndex
 | SetReference
 | WriteLeft
 | WriteTop
 | ChangeName
 | DefineProperties
 | GetChildren
 | GetChildOwner
 | GetChildParent
 | GetOwner
 | Loaded
 | Loading
 | Notification
 | PaletteCreated
 | ReadState
 | SetAncestor
 | SetDesigning
 | SetDesignInstance
 | SetInline
 | SetName
 | SetChildOrder
 | SetParentComponent
 | Updating
 | Updated
 | UpdateRegistry
 | ValidateRename
 | ValidateContainer
 | ValidateInsert
 | QueryInterface
 | _AddRef
 | _Release
 | iicrGetComponent
 | GetTypeInfoCount
 | GetTypeInfo
 | GetIDsOfNames
 | Invoke
 | WriteState
 | Create
 | Destroy
 | BeforeDestruction
 | DestroyComponents
 | Destroying
 | ExecuteAction
 | FindComponent
 | FreeNotification
 | RemoveFreeNotification
 | FreeOnRelease
 | GetEnumerator
 | GetNamePath
 | GetParentComponent
 | HasParent
 | InsertComponent
 | RemoveComponent
 | SafeCallException
 | SetSubComponent
 | UpdateAction
 | IsImplementorOf
 | ReferenceInterface
TPersistent
 | AssignError
 | AssignTo
 | DefineProperties
 | GetOwner
 | Destroy
 | Assign
 | FPOAttachObserver
 | FPODetachObserver
 | FPONotifyObservers
 | GetNamePath
TObject
 | Create
 | Destroy
 | newinstance
 | FreeInstance
 | SafeCallException
 | DefaultHandler
 | Free
 | InitInstance
 | CleanupInstance
 | ClassType
 | ClassInfo
 | ClassName
 | ClassNameIs
 | ClassParent
 | InstanceSize
 | InheritsFrom
 | StringMessageTable
 | MethodAddress
 | MethodName
 | FieldAddress
 | AfterConstruction
 | BeforeDestruction
 | DefaultHandlerStr
 | Dispatch
 | DispatchStr
 | GetInterface
 | GetInterfaceByStr
 | GetInterfaceWeak
 | GetInterfaceEntry
 | GetInterfaceEntryByStr
 | GetInterfaceTable
 | UnitName
 | Equals
 | GetHashCode
 | ToString


pt | ActionChange (TMenuItem)
 | Add (TMenuItem)
 | AddHandler (TMenuItem)
 | AddHandlerOnDestroy (TMenuItem)
 | AddSeparator (TMenuItem)
 | AfterConstruction (TObject)
 | Assign (TPersistent)
 | AssignError (TPersistent)
 | AssignTo (TPersistent)
pt | AssignTo (TMenuItem)
 | BeforeDestruction (TObject)
 | BeforeDestruction (TComponent)
pt | BitmapChange (TMenuItem)
 | ChangeName (TComponent)
pt | CheckChildrenHandles (TMenuItem)
 | ClassInfo (TObject)
 | ClassName (TObject)
 | ClassNameIs (TObject)
 | ClassParent (TObject)
 | ClassType (TObject)
 | CleanupInstance (TObject)
 | Clear (TMenuItem)
 | Click (TMenuItem)
 | Create (TObject)
 | Create (TComponent)
 | Create (TLCLComponent)
 | Create (TMenuItem)
pt | CreateHandle (TMenuItem)
 | DecLCLRefCount (TLCLComponent)
 | DefaultHandler (TObject)
 | DefaultHandlerStr (TObject)
 | DefineProperties (TPersistent)
 | DefineProperties (TComponent)
 | Delete (TMenuItem)
 | Destroy (TObject)
 | Destroy (TPersistent)
 | Destroy (TComponent)
 | Destroy (TLCLComponent)
 | Destroy (TMenuItem)
 | DestroyComponents (TComponent)
pt | DestroyHandle (TMenuItem)
 | Destroying (TComponent)
 | Dispatch (TObject)
 | DispatchStr (TObject)
pt | DoClicked (TMenuItem)
pt | DoDrawItem (TMenuItem)
pt | DoMeasureItem (TMenuItem)
 | Equals (TObject)
 | ExecuteAction (TComponent)
 | FieldAddress (TObject)
 | Find (TMenuItem)
 | FindComponent (TComponent)
 | FPOAttachObserver (TPersistent)
 | FPODetachObserver (TPersistent)
 | FPONotifyObservers (TPersistent)
 | Free (TObject)
 | FreeInstance (TObject)
 | FreeNotification (TComponent)
 | FreeOnRelease (TComponent)
pt | GetAction (TMenuItem)
pt | GetActionLinkClass (TMenuItem)
 | GetChildOwner (TComponent)
 | GetChildParent (TComponent)
 | GetChildren (TComponent)
pt | GetChildren (TMenuItem)
 | GetComObject (TComponent)
 | GetComponent (TComponent)
 | GetComponentCount (TComponent)
 | GetComponentIndex (TComponent)
 | GetEnumerator (TComponent)
 | GetEnumerator (TMenuItem)
pt | GetHandle (TMenuItem)
 | GetHashCode (TObject)
 | GetIconSize (TMenuItem)
 | GetIDsOfNames (TComponent)
 | GetImageList (TMenuItem)
 | GetInterface (TObject)
 | GetInterfaceByStr (TObject)
 | GetInterfaceEntry (TObject)
 | GetInterfaceEntryByStr (TObject)
 | GetInterfaceTable (TObject)
 | GetInterfaceWeak (TObject)
 | GetIsRightToLeft (TMenuItem)
 | GetNamePath (TPersistent)
 | GetNamePath (TComponent)
 | GetOwner (TPersistent)
 | GetOwner (TComponent)
 | GetParentComponent (TComponent)
 | GetParentComponent (TMenuItem)
 | GetParentMenu (TMenuItem)
 | GetTypeInfo (TComponent)
 | GetTypeInfoCount (TComponent)
pt | GetWSComponentClass (TLCLComponent)
 | HandleAllocated (TMenuItem)
 | HandleNeeded (TMenuItem)
 | HasBitmap (TMenuItem)
 | HasIcon (TMenuItem)
 | HasParent (TComponent)
 | HasParent (TMenuItem)
 | iicrGetComponent (TComponent)
pt | ImageListChange (TMenuItem)
 | IncLCLRefCount (TLCLComponent)
 | IndexOf (TMenuItem)
 | IndexOfCaption (TMenuItem)
 | InheritsFrom (TObject)
 | InitiateAction (TMenuItem)
pt | InitiateActions (TMenuItem)
 | InitInstance (TObject)
 | Insert (TComponent)
 | Insert (TMenuItem)
 | InsertComponent (TComponent)
 | InstanceSize (TObject)
 | IntfDoSelect (TMenuItem)
 | Invoke (TComponent)
 | IsCheckItem (TMenuItem)
 | IsImplementorOf (TComponent)
 | IsInMenuBar (TMenuItem)
 | IsLine (TMenuItem)
 | Loaded (TComponent)
pt | Loaded (TMenuItem)
 | Loading (TComponent)
pt | MenuChanged (TMenuItem)
 | MenuVisibleIndex (TMenuItem)
 | MethodAddress (TObject)
 | MethodName (TObject)
 | newinstance (TObject)
 | NewInstance (TLCLComponent)
 | Notification (TComponent)
pt | Notification (TMenuItem)
 | PaletteCreated (TComponent)
 | QueryInterface (TComponent)
 | ReadLeft (TComponent)
 | ReadState (TComponent)
 | ReadTop (TComponent)
 | RecreateHandle (TMenuItem)
 | ReferenceInterface (TComponent)
 | Remove (TComponent)
 | Remove (TMenuItem)
 | RemoveAllHandlersOfObject (TLCLComponent)
 | RemoveAllHandlersOfObject (TMenuItem)
 | RemoveComponent (TComponent)
 | RemoveFreeNotification (TComponent)
 | RemoveHandler (TMenuItem)
 | RemoveHandlerOnDestroy (TMenuItem)
 | RemoveNotification (TComponent)
 | SafeCallException (TObject)
 | SafeCallException (TComponent)
pt | SetAction (TMenuItem)
 | SetAncestor (TComponent)
 | SetChildOrder (TComponent)
pt | SetChildOrder (TMenuItem)
 | SetComponentIndex (TComponent)
 | SetDesigning (TComponent)
 | SetDesignInstance (TComponent)
pt | SetGroupIndex (TMenuItem)
pt | SetImageIndex (TMenuItem)
 | SetInline (TComponent)
 | SetName (TComponent)
 | SetParentComponent (TComponent)
pt | SetParentComponent (TMenuItem)
 | SetReference (TComponent)
pt | SetShortCut (TMenuItem)
pt | SetShortCutKey2 (TMenuItem)
 | SetSubComponent (TComponent)
pt | SetVisible (TMenuItem)
 | StringMessageTable (TObject)
 | ToString (TObject)
 | UnitName (TObject)
 | UpdateAction (TComponent)
 | Updated (TComponent)
pt | UpdateImage (TMenuItem)
pt | UpdateImages (TMenuItem)
 | UpdateRegistry (TComponent)
pt | UpdateWSIcon (TMenuItem)
 | Updating (TComponent)
 | ValidateContainer (TComponent)
 | ValidateInsert (TComponent)
 | ValidateRename (TComponent)
 | VisibleIndexOf (TMenuItem)
 | WriteDebugReport (TMenuItem)
 | WriteLeft (TComponent)
 | WriteState (TComponent)
 | WriteTop (TComponent)
pt | WSRegisterClass (TLCLComponent)
pt | WSRegisterClass (TMenuItem)
 | _AddRef (TComponent)
 | _Release (TComponent)


TMenuItem
pl | OnClick
pl | OnDrawItem
pl | OnMeasureItem
TLCLComponent
TComponent
TPersistent
TObject


pl | OnClick (TMenuItem)
pl | OnDrawItem (TMenuItem)
pl | OnMeasureItem (TMenuItem)


TMenuItem.Action

Action - the default action associated with this Menu Item

Declaration

Source position: menus.pp line 275

published property TMenuItem.Action : TBasicAction
  read GetAction
  write SetAction;


TMenuItem.ActionChange

ActionChange - changes the action associated with this menu item to a new action

Declaration

Source position: menus.pp line 190

protected procedure TMenuItem.ActionChange(

  Sender: TObject;

  CheckDefaults: Boolean

); virtual;

Description

ActionChange - changes the action associated with this menu item to a new action, provided Sender is of type TCustomAction


TMenuItem.ActionLink

ActionLink - a link to the action for this menu item

Declaration

Source position: menus.pp line 220

protected property TMenuItem.ActionLink : TMenuActionLink
  read FActionLink
  write FActionLink;


TMenuItem.Add

Add - an item to the menu

Declaration

Source position: menus.pp line 240

public procedure TMenuItem.Add(

  Item: TMenuItem

);

procedure TMenuItem.Add(

  const AItems: array of TMenuItem

);

Description

Add - an item to the menu. Be aware that adding an item to a TMenuItem that is a Separator, may crash your computer on non-Windows platforms.


TMenuItem.AddHandler

AddHandler - method to add a handler

Declaration

Source position: menus.pp line 260

public procedure TMenuItem.AddHandler(

  HandlerType: TMenuItemHandlerType;

  const AMethod: TMethod;

  AsFirst: Boolean = False

);


TMenuItem.AddHandlerOnDestroy

AddHandlerOnDestroy - add a handler for the OnDestroy event

Declaration

Source position: menus.pp line 257

public procedure TMenuItem.AddHandlerOnDestroy(

  const OnDestroyEvent: TNotifyEvent;

  AsFirst: Boolean = False

);


TMenuItem.AddSeparator

AddSeparator (a line) to the menu

Declaration

Source position: menus.pp line 242

public procedure TMenuItem.AddSeparator;


TMenuItem.AutoCheck

AutoCheck : Whether a check mark is automatically added when the item is selected

Declaration

Source position: menus.pp line 276

published property TMenuItem.AutoCheck : Boolean
  read FAutoCheck
  write SetAutoCheck
  default False;


TMenuItem.Bitmap

BitMap : an optional picture beside the MenuItem Caption

Declaration

Source position: menus.pp line 284

published property TMenuItem.Bitmap : TBitmap
  read GetBitmap
  write SetBitmap
  stored IsBitmapStored;


TMenuItem.BitmapChange

BitmapChange - update the image associated with the menu item when the Bitmap has been changed

Declaration

Source position: menus.pp line 192

protected procedure TMenuItem.BitmapChange(

  Sender: TObject

);


TMenuItem.Caption

Caption : The text that appears on the Menu Bar at run-time

Declaration

Source position: menus.pp line 277

published property TMenuItem.Caption : TTranslateString
  read FCaption
  write SetCaption
  stored IsCaptionStored;


TMenuItem.CheckChildrenHandles

Declaration

Source position: menus.pp line 199

protected procedure TMenuItem.CheckChildrenHandles;


TMenuItem.Checked

Checked : whether a check mark appears on the Menu Bar

Declaration

Source position: menus.pp line 279

published property TMenuItem.Checked : Boolean
  read FChecked
  write SetChecked
  stored IsCheckedStored
  default False;


TMenuItem.Clear

Clear - removes the contents of the item, but leaves the item in place

Declaration

Source position: menus.pp line 252

public procedure TMenuItem.Clear;


TMenuItem.Click

Click - simulate the OnClick event

Declaration

Source position: menus.pp line 243

public procedure TMenuItem.Click; virtual;


TMenuItem.Command

Command - the entry from the Command list to which this item refers

Declaration

Source position: menus.pp line 271

public property TMenuItem.Command : Word
  read FCommand;


TMenuItem.Count

Count - number of items

Declaration

Source position: menus.pp line 265

public property TMenuItem.Count : Integer
  read GetCount;


TMenuItem.Create

Create - constructor for TMenuItem: calls inherited Create then intialises a large number of local variables

Declaration

Source position: menus.pp line 223

public constructor TMenuItem.Create(

  TheOwner: TComponent

); override;

See also

TComponent.Create


TMenuItem.CreateHandle

CreateHandle - create an operating system handle for this item

Declaration

Source position: menus.pp line 200

protected procedure TMenuItem.CreateHandle; virtual;


TMenuItem.Default

Default : is this option the default selection? If so, it usually appears in Bold and is selected by hitting ENTER

Declaration

Source position: menus.pp line 281

published property TMenuItem.Default : Boolean
  read FDefault
  write SetDefault
  default False;


TMenuItem.Delete

Delete this item from the menu

Declaration

Source position: menus.pp line 244

public procedure TMenuItem.Delete(

  Index: Integer

);


TMenuItem.Destroy

Destroy - destructor for TMenuItem: releases bitmaps, handles, imagelists, actionlinks and parent controls, then calls inherited Destroy and

Declaration

Source position: menus.pp line 224

public destructor TMenuItem.Destroy; override;

See also

TComponent.Destroy


TMenuItem.DestroyHandle

DestroyHandle - destroy the operating system handle and free space on the heap

Declaration

Source position: menus.pp line 201

protected procedure TMenuItem.DestroyHandle; virtual;


TMenuItem.DoClicked

DoClicked - process the system message signifying that a click has ocurred over this menu item

Declaration

Source position: menus.pp line 198

protected procedure TMenuItem.DoClicked(

  var msg

); message;


TMenuItem.DoDrawItem

Declaration

Source position: menus.pp line 193

protected function TMenuItem.DoDrawItem(

  ACanvas: TCanvas;

  ARect: TRect;

  AState: TOwnerDrawState

):Boolean; virtual;


TMenuItem.DoMeasureItem

Declaration

Source position: menus.pp line 194

protected function TMenuItem.DoMeasureItem(

  ACanvas: TCanvas;

  var AWidth: Integer;

  var AHeight: Integer

):Boolean; virtual;


TMenuItem.Enabled

Enabled : can this option be selected? If Not Enabled, usually 'greyed-out'

Declaration

Source position: menus.pp line 282

published property TMenuItem.Enabled : Boolean
  read FEnabled
  write SetEnabled
  stored IsEnabledStored
  default True;


TMenuItem.FCommand

Declaration

Source position: menus.pp line 188

protected TMenuItem.FCommand : Word;


TMenuItem.FCompStyle

FCompStyle - local variable holding value of CompStyle

Declaration

Source position: menus.pp line 222

public TMenuItem.FCompStyle : LongInt;


TMenuItem.Find

Find the identity given menu item (named in ACaption)

Declaration

Source position: menus.pp line 225

public function TMenuItem.Find(

  const ACaption: string

):TMenuItem;


TMenuItem.GetAction

GetAction - find the action associated with this menu item

Declaration

Source position: menus.pp line 195

protected function TMenuItem.GetAction: TBasicAction;


TMenuItem.GetActionLinkClass

GetActionLinkClass - find out what class of action link is associated with this menu item

Declaration

Source position: menus.pp line 196

protected function TMenuItem.GetActionLinkClass: TMenuActionLinkClass; virtual;


TMenuItem.GetEnumerator

Declaration

Source position: menus.pp line 226

public function TMenuItem.GetEnumerator: TMenuItemEnumerator;


TMenuItem.GetHandle

GetHandle - get the operating system handle for the menu to which this item belongs

Declaration

Source position: menus.pp line 197

protected function TMenuItem.GetHandle: HMENU;


TMenuItem.GetIconSize

GetIconSize - finds the size of the icon for this item

Declaration

Source position: menus.pp line 254

public function TMenuItem.GetIconSize(

  ADC: HDC

):TPoint; virtual;


TMenuItem.GetImageList

GetImageList - Get the list of images for this menu, from which the image for the current item will be selected

Declaration

Source position: menus.pp line 227

public procedure TMenuItem.GetImageList(

  out aImages: TCustomImageList;

  out aImagesWidth: Integer

); virtual;

function TMenuItem.GetImageList: TCustomImageList;


TMenuItem.GetIsRightToLeft

GetIsRightToLeft - find the value of the property determining whether right-to-left read/write is enabled

Declaration

Source position: menus.pp line 231

public function TMenuItem.GetIsRightToLeft: Boolean; virtual;


TMenuItem.GetParentMenu

GetParentMenu - returns the parent menu to which this menu item belongs

Declaration

Source position: menus.pp line 230

public function TMenuItem.GetParentMenu: TMenu; virtual;


TMenuItem.GlyphShowMode

Declaration

Source position: menus.pp line 286

published property TMenuItem.GlyphShowMode : TGlyphShowMode
  read FGlyphShowMode
  write SetGlyphShowMode
  default gsmApplication;


TMenuItem.GroupIndex

GroupIndex : the sequence number in a group of mutually exclusive RadioItem choices

Declaration

Source position: menus.pp line 285

published property TMenuItem.GroupIndex : Byte
  read FGroupIndex
  write SetGroupIndex
  default 0;


TMenuItem.Handle

Handle - the operating system handle for this item

Declaration

Source position: menus.pp line 266

public property TMenuItem.Handle : HMENU
  read GetHandle
  write FHandle;


TMenuItem.HandleAllocated

HandleAllocated - has an operating system handle been allocated?

Declaration

Source position: menus.pp line 232

public function TMenuItem.HandleAllocated: Boolean;


TMenuItem.HandleNeeded

HandleNeeded - tell the operating system that a handle is needed for this item

Declaration

Source position: menus.pp line 245

public procedure TMenuItem.HandleNeeded; virtual;


TMenuItem.HasBitmap

HasBitmap - determines whether there is a Bitmap for this item

Declaration

Source position: menus.pp line 253

public function TMenuItem.HasBitmap: Boolean;


TMenuItem.HasIcon

HasIcon - is there an icon associated with this menu item?

Declaration

Source position: menus.pp line 233

public function TMenuItem.HasIcon: Boolean; virtual;


TMenuItem.HelpContext

HelpContext - an index to the context-sensitive help string to be used

Declaration

Source position: menus.pp line 287

published property TMenuItem.HelpContext : THelpContext
  read FHelpContext
  write FHelpContext
  stored IsHelpContextStored
  default 0;


TMenuItem.Hint

Hint : shown in a statusbar if the main window has one and if the statusbar has AutoHint = True.

Declaration

Source position: menus.pp line 289

published property TMenuItem.Hint : TTranslateString
  read FHint
  write FHint
  stored IsHintStored;


TMenuItem.ImageIndex

ImageIndex - number in a list of images for use in illustrating menu items

Declaration

Source position: menus.pp line 290

published property TMenuItem.ImageIndex : TImageIndex
  read FImageIndex
  write SetImageIndex
  stored IsImageIndexStored
  default - 1;


TMenuItem.ImageListChange

ImageListChange - change the image list if commanded by the Sender

Declaration

Source position: menus.pp line 218

protected procedure TMenuItem.ImageListChange(

  Sender: TObject

);


TMenuItem.IndexOf

IndexOf - the index value of this item

Declaration

Source position: menus.pp line 237

public function TMenuItem.IndexOf(

  Item: TMenuItem

):Integer;


TMenuItem.IndexOfCaption

IndexOfCaption - the index value of the caption for this item

Declaration

Source position: menus.pp line 238

public function TMenuItem.IndexOfCaption(

  const ACaption: string

):Integer; virtual;


TMenuItem.InitiateAction

InitiateAction - start th einitiation phase of an action associated with the menu item

Declaration

Source position: menus.pp line 235

public procedure TMenuItem.InitiateAction; virtual;


TMenuItem.InitiateActions

InitiateActions - start the initiation phase of the actions associated with the menu item

Declaration

Source position: menus.pp line 205

protected procedure TMenuItem.InitiateActions;


TMenuItem.Insert

Insert a new item at the location marked by Index

Declaration

Source position: menus.pp line 246

public procedure TMenuItem.Insert(

  Index: Integer;

  Item: TMenuItem

);


TMenuItem.IntfDoSelect

IntfDoSelect - perform the selection using the interface

Declaration

Source position: menus.pp line 236

public procedure TMenuItem.IntfDoSelect; virtual;


TMenuItem.IsCheckItem

IsCheckItem - is there a check-box associated with this item?

Declaration

Source position: menus.pp line 249

public function TMenuItem.IsCheckItem: Boolean; virtual;


TMenuItem.IsInMenuBar

IsInMenuBar - this item appears in the main menu bar

Declaration

Source position: menus.pp line 251

public function TMenuItem.IsInMenuBar: Boolean; virtual;


TMenuItem.IsLine

IsLine - if true, this item is a line (separator) on the menu

Declaration

Source position: menus.pp line 250

public function TMenuItem.IsLine: Boolean;


TMenuItem.Items

Items - the indexed list of menu items to which this item belongs

Declaration

Source position: menus.pp line 267

public property TMenuItem.Items[Index: Integer] : TMenuItem
  read GetItem;
  default;


TMenuItem.Menu

Menu - the menu to which this item belongs

Declaration

Source position: menus.pp line 269

public property TMenuItem.Menu : TMenu
  read FMenu;


TMenuItem.MenuChanged

MenuChanged - rebuild it if True

Declaration

Source position: menus.pp line 206

protected procedure TMenuItem.MenuChanged(

  Rebuild: Boolean

);


TMenuItem.MenuIndex

MenuIndex - the index value of the menu to which this item belongs

Declaration

Source position: menus.pp line 268

public property TMenuItem.MenuIndex : Integer
  read GetMenuIndex
  write SetMenuIndex;


TMenuItem.MenuVisibleIndex

MenuVisibleIndex - the index value of the visible menu

Declaration

Source position: menus.pp line 272

public function TMenuItem.MenuVisibleIndex: Integer;


TMenuItem.OnClick

OnClick - event handler for selection of this menu item

Declaration

Source position: menus.pp line 303

published property TMenuItem.OnClick : TNotifyEvent
  read FOnClick
  write FOnClick;


TMenuItem.OnDrawItem

Declaration

Source position: menus.pp line 304

published property TMenuItem.OnDrawItem : TMenuDrawItemEvent
  read FOnDrawItem
  write FOnDrawItem;


TMenuItem.OnMeasureItem

Declaration

Source position: menus.pp line 305

published property TMenuItem.OnMeasureItem : TMenuMeasureItemEvent
  read FOnMeasureItem
  write FOnMeasureItem;


TMenuItem.Parent

The Parent MenuItem from which this item is derived

Declaration

Source position: menus.pp line 270

public property TMenuItem.Parent : TMenuItem
  read GetParent;


TMenuItem.RadioItem

RadioItem : whether the item is part of a group of mutually exclusive choices.

Declaration

Source position: menus.pp line 292

published property TMenuItem.RadioItem : Boolean
  read FRadioItem
  write SetRadioItem
  default False;


TMenuItem.RecreateHandle

RecreateHandle from the operating system

Declaration

Source position: menus.pp line 247

public procedure TMenuItem.RecreateHandle; virtual;


TMenuItem.Remove

Remove this item from the menu

Declaration

Source position: menus.pp line 248

public procedure TMenuItem.Remove(

  Item: TMenuItem

);


TMenuItem.RemoveHandler

RemoveHandler - method for removing a handler

Declaration

Source position: menus.pp line 262

public procedure TMenuItem.RemoveHandler(

  HandlerType: TMenuItemHandlerType;

  const AMethod: TMethod

);


TMenuItem.RemoveHandlerOnDestroy

RemoveHandlerOnDestroy - remove a handler for the OnDestroy event

Declaration

Source position: menus.pp line 259

public procedure TMenuItem.RemoveHandlerOnDestroy(

  const OnDestroyEvent: TNotifyEvent

);


TMenuItem.RightJustify

RightJustify : the position of the Caption in the Menu Panel. Default (False) is Left Justify

Declaration

Source position: menus.pp line 293

published property TMenuItem.RightJustify : Boolean
  read FRightJustify
  write SetRightJustify
  default False;


TMenuItem.SetAction

SetAction - setup a new action associated with the menu item

Declaration

Source position: menus.pp line 207

protected procedure TMenuItem.SetAction(

  NewAction: TBasicAction

);


TMenuItem.SetGroupIndex

SetGroupIndex - write the index value for group to this item belongs (may write a new group)

Declaration

Source position: menus.pp line 209

protected procedure TMenuItem.SetGroupIndex(

  AValue: Byte

);


TMenuItem.SetImageIndex

SetImageIndex - gives the item an index value for its associated image

Declaration

Source position: menus.pp line 210

protected procedure TMenuItem.SetImageIndex(

  AValue: TImageIndex

);


TMenuItem.SetShortCut

SetShortCut - sets up the keyboard shortcut for this item

Declaration

Source position: menus.pp line 212

protected procedure TMenuItem.SetShortCut(

  const AValue: TShortCut

);


TMenuItem.SetShortCutKey2

Declaration

Source position: menus.pp line 213

protected procedure TMenuItem.SetShortCutKey2(

  const AValue: TShortCut

);


TMenuItem.SetVisible

SetVisible - sets up whether the item is to be visible

Declaration

Source position: menus.pp line 214

protected procedure TMenuItem.SetVisible(

  AValue: Boolean

);


TMenuItem.ShortCut

ShortCut - the quick key sequence to be used in selecting this menu item

Declaration

Source position: menus.pp line 294

published property TMenuItem.ShortCut : TShortCut
  read FShortCut
  write SetShortCut
  stored IsShortCutStored
  default 0;

Description

ShortCut - the quick key sequence to be used in selecting this menu item

If you select this property in the Object Inspector, a list-box will appear with choices for various key-combinations to be used. The chosen key-sequence will be displayed, at run-time, on the menu drop-down next to the caption for the menu item.


TMenuItem.ShortCutKey2

Declaration

Source position: menus.pp line 296

published property TMenuItem.ShortCutKey2 : TShortCut
  read FShortCutKey2
  write SetShortCutKey2
  default 0;


TMenuItem.ShowAlwaysCheckable

ShowAlwaysCheckable - if True, Item is always shown as checkable

Declaration

Source position: menus.pp line 297

published property TMenuItem.ShowAlwaysCheckable : Boolean
  read FShowAlwaysCheckable
  write SetShowAlwaysCheckable
  default False;


TMenuItem.SubMenuImages

SubMenuImages - will images be shown for sub-menu items as well as the main item?

Declaration

Source position: menus.pp line 299

published property TMenuItem.SubMenuImages : TCustomImageList
  read FSubMenuImages
  write SetSubMenuImages;


TMenuItem.SubMenuImagesWidth

Declaration

Source position: menus.pp line 300

published property TMenuItem.SubMenuImagesWidth : Integer
  read FSubMenuImagesWidth
  write SetSubMenuImagesWidth
  default 0;


TMenuItem.UpdateImage

UpdateImage - freshen the image associated with the menu item, particularly if it has changed

Declaration

Source position: menus.pp line 215

protected procedure TMenuItem.UpdateImage;


TMenuItem.UpdateImages

UpdateImages - update all images associated with the item

Declaration

Source position: menus.pp line 216

protected procedure TMenuItem.UpdateImages;


TMenuItem.UpdateWSIcon

UpdateWSIcon - update the icon in the current Widget Set for this menu item

Declaration

Source position: menus.pp line 217

protected procedure TMenuItem.UpdateWSIcon;


TMenuItem.Visible

Visible - can the item be seen?

Declaration

Source position: menus.pp line 301

published property TMenuItem.Visible : Boolean
  read FVisible
  write SetVisible
  stored IsVisibleStored
  default True;


TMenuItem.VisibleIndexOf

VisibleIndexOf - the index of this item within the list of visible items

Declaration

Source position: menus.pp line 239

public function TMenuItem.VisibleIndexOf(

  Item: TMenuItem

):Integer;


TMenuItem.WriteDebugReport

WriteDebugReport - used in debugging

Declaration

Source position: menus.pp line 273

public procedure TMenuItem.WriteDebugReport(

  const Prefix: string

);


TMenuItemClass

TMenuItemClass - class of TMenuItem

Declaration

Source position: menus.pp line 307

type TMenuItemClass = class of TMenuItem;


TMenuItemEnumerator

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Declaration

Source position: menus.pp line 98

type TMenuItemEnumerator = class

public

  constructor Create();

  function MoveNext;

  property Current: TMenuItem; [r]

end;

Inheritance

TMenuItemEnumerator
|

TObject


TMenuItemEnumerator

ro

Current


ro

Current (TMenuItemEnumerator)


TMenuItemEnumerator
 | Create
 | MoveNext


TMenuItemEnumerator


TMenuItemEnumerator.Create

Declaration

Source position: menus.pp line 104

public constructor TMenuItemEnumerator.Create(

  AMenuItem: TMenuItem

);


TMenuItemEnumerator.Current

Declaration

Source position: menus.pp line 106

public property TMenuItemEnumerator.Current : TMenuItem
  read GetCurrent;


TMenuItemEnumerator.MoveNext

Declaration

Source position: menus.pp line 105

public function TMenuItemEnumerator.MoveNext: Boolean;


TPopupMenu

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

TPopupMenu - a menu panel that pops up on the desktop when the right mouse button is clicked

Declaration

Source position: menus.pp line 411

type TPopupMenu = class(TMenu)
protected
class procedure WSRegisterClass; override; | Registers this component class with the current WidgetSet.
procedure DoPopup(); virtual; | DoPopup perform the popup method
procedure DoClose; virtual; | DoClose - perform the Close method
public
constructor Create(); override; | Create - constructor for TPopupMenu: calls inherited Create, sets style to PopupMenu, sets AutoPopup to True
destructor Destroy; override; | Destroy - destructor for TPopupMenu: closes window then calls inherited Destroy
procedure PopUp(); | PopUp - sofware emulation of the OnPopup event
property PopupComponent: TComponent; [rw] | PopupComponent - the Component to which this popup applies
property PopupPoint: TPoint; [r] | PopupPoint - the position at which the Popup is to appear
procedure Close; | Close - software emulation of the OnClose event, to shut down the Popup
published
property Alignment: TPopupAlignment; [rw] | Alignment - determines the position of popup menu relative to the popup coordinate
property AutoPopup: Boolean; [rw] | AutoPopup - if True, the Popup window automatically appears when the mouse hovers over the relevant object
property HelpContext: THelpContext; [rw]
property TrackButton: TTrackButton; [rw] | TrackButton - defines which mouse button(s) are allowed to activate menu items
property OnPopup: TNotifyEvent; [rw] | OnPopup - event handler for a requirement for a popup menu
property OnClose: TNotifyEvent; [rw] | OnClose - event handler for closing down the popup
end;

Inheritance

TPopupMenu | TPopupMenu - a menu panel that pops up on the desktop when the right mouse button is clicked
|
TMenu | TMenu : The base class for all menus
|
TLCLComponent | The base class for LCL components associated with widgets.
|
TComponent,IUnknown,IInterfaceComponentReference
|
TPersistent,IFPObserved
|
TObject

Description

TPopupMenu : a menu panel that pops up on the desktop when the right mouse button is clicked.

Inherits all the properties of TMenu (including the properties of TMenuItem), but has some new properties (procedure PopUp and procedure Close) that define its behaviour when actually invoked.

PopupPoint defines the position of the Popup menu, usually at the current cursor position.

To use a Popup menu, first create it with the MenuEditor. Then with the Object Inspector for the control that needs to use the Popup, select the property named PopupMenu, and a listbox will appear with the names of the available Menus - choose the Popup name you want

See also

HowToUseMenus | HowToUseMenus - hints for creating Menus for your Forms
TMainMenu | TMainMenu - the Main Menu that appears at the top of most windows
TMenuItem | TMenuItem - The base structure of each item in a Menu.
TMenu | TMenu : The base class for all menus
TMenuActionLink | TMenuActionLink: defines the link between a selected menu item and its corresponding action


TPopupMenu
 |  | PopupComponent
 | ro | PopupPoint
pl |  | Alignment
pl |  | AutoPopup
pl |  | HelpContext
pl |  | TrackButton
TMenu
 | ro | Handle
 |  | Parent
 |  | ShortcutHandled
pl |  | BidiMode
pl |  | ParentBidiMode
pl | ro | Items
pl |  | Images
pl |  | ImagesWidth
pl |  | OwnerDraw
TLCLComponent
 | ro | LCLRefCount
 | ro | WidgetSetClass
TComponent
 | ro | ComObject
 | ro | Components
 | ro | ComponentCount
 |  | ComponentIndex
 | ro | ComponentState
 | ro | ComponentStyle
 |  | DesignInfo
 | ro | Owner
 |  | VCLComObject
 |  | Name
 |  | Tag
TPersistent
TObject


pl |  | Alignment (TPopupMenu)
pl |  | AutoPopup (TPopupMenu)
pl |  | BidiMode (TMenu)
 | ro | ComObject (TComponent)
 | ro | ComponentCount (TComponent)
 |  | ComponentIndex (TComponent)
 | ro | Components (TComponent)
 | ro | ComponentState (TComponent)
 | ro | ComponentStyle (TComponent)
 |  | DesignInfo (TComponent)
 | ro | Handle (TMenu)
pl |  | HelpContext (TPopupMenu)
pl |  | Images (TMenu)
pl |  | ImagesWidth (TMenu)
pl | ro | Items (TMenu)
 | ro | LCLRefCount (TLCLComponent)
 |  | Name (TComponent)
 | ro | Owner (TComponent)
pl |  | OwnerDraw (TMenu)
 |  | Parent (TMenu)
pl |  | ParentBidiMode (TMenu)
 |  | PopupComponent (TPopupMenu)
 | ro | PopupPoint (TPopupMenu)
 |  | ShortcutHandled (TMenu)
 |  | Tag (TComponent)
pl |  | TrackButton (TPopupMenu)
 |  | VCLComObject (TComponent)
 | ro | WidgetSetClass (TLCLComponent)


TPopupMenu
pt | WSRegisterClass
pt | DoPopup
pt | DoClose
 | Create
 | Destroy
 | PopUp
 | Close
TMenu
pt | WSRegisterClass
pt | BidiModeChanged
pt | CreateHandle
pt | DoChange
pt | GetHandle
pt | GetChildren
pt | MenuChanged
pt | AssignTo
pt | Notification
pt | ParentBidiModeChanged
pt | SetChildOrder
pt | UpdateItems
 | Create
 | Destroy
 | DestroyHandle
 | FindItem
 | GetHelpContext
 | IsShortcut
 | HandleAllocated
 | IsRightToLeft
 | UseRightToLeftAlignment
 | UseRightToLeftReading
 | HandleNeeded
 | DispatchCommand
TLCLComponent
pt | WSRegisterClass
pt | GetWSComponentClass
 | Create
 | Destroy
 | NewInstance
 | RemoveAllHandlersOfObject
 | IncLCLRefCount
 | DecLCLRefCount
TComponent
 | GetComObject
 | GetComponent
 | GetComponentCount
 | GetComponentIndex
 | Insert
 | ReadLeft
 | ReadTop
 | Remove
 | RemoveNotification
 | SetComponentIndex
 | SetReference
 | WriteLeft
 | WriteTop
 | ChangeName
 | DefineProperties
 | GetChildren
 | GetChildOwner
 | GetChildParent
 | GetOwner
 | Loaded
 | Loading
 | Notification
 | PaletteCreated
 | ReadState
 | SetAncestor
 | SetDesigning
 | SetDesignInstance
 | SetInline
 | SetName
 | SetChildOrder
 | SetParentComponent
 | Updating
 | Updated
 | UpdateRegistry
 | ValidateRename
 | ValidateContainer
 | ValidateInsert
 | QueryInterface
 | _AddRef
 | _Release
 | iicrGetComponent
 | GetTypeInfoCount
 | GetTypeInfo
 | GetIDsOfNames
 | Invoke
 | WriteState
 | Create
 | Destroy
 | BeforeDestruction
 | DestroyComponents
 | Destroying
 | ExecuteAction
 | FindComponent
 | FreeNotification
 | RemoveFreeNotification
 | FreeOnRelease
 | GetEnumerator
 | GetNamePath
 | GetParentComponent
 | HasParent
 | InsertComponent
 | RemoveComponent
 | SafeCallException
 | SetSubComponent
 | UpdateAction
 | IsImplementorOf
 | ReferenceInterface
TPersistent
 | AssignError
 | AssignTo
 | DefineProperties
 | GetOwner
 | Destroy
 | Assign
 | FPOAttachObserver
 | FPODetachObserver
 | FPONotifyObservers
 | GetNamePath
TObject
 | Create
 | Destroy
 | newinstance
 | FreeInstance
 | SafeCallException
 | DefaultHandler
 | Free
 | InitInstance
 | CleanupInstance
 | ClassType
 | ClassInfo
 | ClassName
 | ClassNameIs
 | ClassParent
 | InstanceSize
 | InheritsFrom
 | StringMessageTable
 | MethodAddress
 | MethodName
 | FieldAddress
 | AfterConstruction
 | BeforeDestruction
 | DefaultHandlerStr
 | Dispatch
 | DispatchStr
 | GetInterface
 | GetInterfaceByStr
 | GetInterfaceWeak
 | GetInterfaceEntry
 | GetInterfaceEntryByStr
 | GetInterfaceTable
 | UnitName
 | Equals
 | GetHashCode
 | ToString


 | AssignError (TPersistent)
 | AssignTo (TPersistent)
pt | AssignTo (TMenu)
 | BeforeDestruction (TObject)
 | BeforeDestruction (TComponent)
pt | BidiModeChanged (TMenu)
 | ChangeName (TComponent)
 | ClassInfo (TObject)
 | ClassName (TObject)
 | ClassNameIs (TObject)
 | ClassParent (TObject)
 | ClassType (TObject)
 | CleanupInstance (TObject)
 | Close (TPopupMenu)
 | Create (TObject)
 | Create (TComponent)
 | Create (TLCLComponent)
 | Create (TMenu)
 | Create (TPopupMenu)
pt | CreateHandle (TMenu)
 | DecLCLRefCount (TLCLComponent)
 | DefaultHandler (TObject)
 | DefaultHandlerStr (TObject)
 | DefineProperties (TPersistent)
 | DefineProperties (TComponent)
 | Destroy (TObject)
 | Destroy (TPersistent)
 | Destroy (TComponent)
 | Destroy (TLCLComponent)
 | Destroy (TMenu)
 | Destroy (TPopupMenu)
 | DestroyComponents (TComponent)
 | DestroyHandle (TMenu)
 | Destroying (TComponent)
 | Dispatch (TObject)
 | DispatchCommand (TMenu)
 | DispatchStr (TObject)
pt | DoChange (TMenu)
pt | DoClose (TPopupMenu)
pt | DoPopup (TPopupMenu)
 | Equals (TObject)
 | ExecuteAction (TComponent)
 | FieldAddress (TObject)
 | FindComponent (TComponent)
 | FindItem (TMenu)
 | FPOAttachObserver (TPersistent)
 | FPODetachObserver (TPersistent)
 | FPONotifyObservers (TPersistent)
 | Free (TObject)
 | FreeInstance (TObject)
 | FreeNotification (TComponent)
 | FreeOnRelease (TComponent)
 | GetChildOwner (TComponent)
 | GetChildParent (TComponent)
 | GetChildren (TComponent)
pt | GetChildren (TMenu)
 | GetComObject (TComponent)
 | GetComponent (TComponent)
 | GetComponentCount (TComponent)
 | GetComponentIndex (TComponent)
 | GetEnumerator (TComponent)
pt | GetHandle (TMenu)
 | GetHashCode (TObject)
 | GetHelpContext (TMenu)
 | GetIDsOfNames (TComponent)
 | GetInterface (TObject)
 | GetInterfaceByStr (TObject)
 | GetInterfaceEntry (TObject)
 | GetInterfaceEntryByStr (TObject)
 | GetInterfaceTable (TObject)
 | GetInterfaceWeak (TObject)
 | GetNamePath (TPersistent)
 | GetNamePath (TComponent)
 | GetOwner (TPersistent)
 | GetOwner (TComponent)
 | GetParentComponent (TComponent)
 | GetTypeInfo (TComponent)
 | GetTypeInfoCount (TComponent)
pt | GetWSComponentClass (TLCLComponent)
 | HandleAllocated (TMenu)
 | HandleNeeded (TMenu)
 | HasParent (TComponent)
 | iicrGetComponent (TComponent)
 | IncLCLRefCount (TLCLComponent)
 | InheritsFrom (TObject)
 | InitInstance (TObject)
 | Insert (TComponent)
 | InsertComponent (TComponent)
 | InstanceSize (TObject)
 | Invoke (TComponent)
 | IsImplementorOf (TComponent)
 | IsRightToLeft (TMenu)
 | IsShortcut (TMenu)
 | Loaded (TComponent)
 | Loading (TComponent)
pt | MenuChanged (TMenu)
 | MethodAddress (TObject)
 | MethodName (TObject)
 | newinstance (TObject)
 | NewInstance (TLCLComponent)
 | Notification (TComponent)
pt | Notification (TMenu)
 | PaletteCreated (TComponent)
pt | ParentBidiModeChanged (TMenu)
 | PopUp (TPopupMenu)
 | QueryInterface (TComponent)
 | ReadLeft (TComponent)
 | ReadState (TComponent)
 | ReadTop (TComponent)
 | ReferenceInterface (TComponent)
 | Remove (TComponent)
 | RemoveAllHandlersOfObject (TLCLComponent)
 | RemoveComponent (TComponent)
 | RemoveFreeNotification (TComponent)
 | RemoveNotification (TComponent)
 | SafeCallException (TObject)
 | SafeCallException (TComponent)
 | SetAncestor (TComponent)
 | SetChildOrder (TComponent)
pt | SetChildOrder (TMenu)
 | SetComponentIndex (TComponent)
 | SetDesigning (TComponent)
 | SetDesignInstance (TComponent)
 | SetInline (TComponent)
 | SetName (TComponent)
 | SetParentComponent (TComponent)
 | SetReference (TComponent)
 | SetSubComponent (TComponent)
 | StringMessageTable (TObject)
 | ToString (TObject)
 | UnitName (TObject)
 | UpdateAction (TComponent)
 | Updated (TComponent)
pt | UpdateItems (TMenu)
 | UpdateRegistry (TComponent)
 | Updating (TComponent)
 | UseRightToLeftAlignment (TMenu)
 | UseRightToLeftReading (TMenu)
 | ValidateContainer (TComponent)
 | ValidateInsert (TComponent)
 | ValidateRename (TComponent)
 | WriteLeft (TComponent)
 | WriteState (TComponent)
 | WriteTop (TComponent)
pt | WSRegisterClass (TLCLComponent)
pt | WSRegisterClass (TMenu)
pt | WSRegisterClass (TPopupMenu)
 | _AddRef (TComponent)
 | _Release (TComponent)


TPopupMenu
pl | OnPopup
pl | OnClose
TMenu
pt | OnChange
pl | OnDrawItem
pl | OnMeasureItem
TLCLComponent
TComponent
TPersistent
TObject


pt | OnChange (TMenu)
pl | OnClose (TPopupMenu)
pl | OnDrawItem (TMenu)
pl | OnMeasureItem (TMenu)
pl | OnPopup (TPopupMenu)


TPopupMenu.Alignment

Alignment - determines the position of popup menu relative to the popup coordinate

Declaration

Source position: menus.pp line 435

published property TPopupMenu.Alignment : TPopupAlignment
  read FAlignment
  write FAlignment
  default paLeft;


TPopupMenu.AutoPopup

AutoPopup - if True, the Popup window automatically appears when the mouse hovers over the relevant object

Declaration

Source position: menus.pp line 436

published property TPopupMenu.AutoPopup : Boolean
  read FAutoPopup
  write FAutoPopup
  default True;


TPopupMenu.Close

Close - software emulation of the OnClose event, to shut down the Popup

Declaration

Source position: menus.pp line 433

public procedure TPopupMenu.Close;


TPopupMenu.Create

Create - constructor for TPopupMenu: calls inherited Create, sets style to PopupMenu, sets AutoPopup to True

Declaration

Source position: menus.pp line 427

public constructor TPopupMenu.Create(

  AOwner: TComponent

); override;

See also

TMenu.Create

Create - constructor for TMenu: creates menuitems and links, sets some defaults then calls inherited Create


TPopupMenu.Destroy

Destroy - destructor for TPopupMenu: closes window then calls inherited Destroy

Declaration

Source position: menus.pp line 428

public destructor TPopupMenu.Destroy; override;

See also

TMenu.Destroy

Destroy - destructor for TMenu: frees items and links, then calls inherited Destroy


TPopupMenu.DoClose

DoClose - perform the Close method

Declaration

Source position: menus.pp line 425

protected procedure TPopupMenu.DoClose; virtual;


TPopupMenu.DoPopup

DoPopup perform the popup method

Declaration

Source position: menus.pp line 424

protected procedure TPopupMenu.DoPopup(

  Sender: TObject

); virtual;


TPopupMenu.HelpContext

Declaration

Source position: menus.pp line 437

published property TPopupMenu.HelpContext : THelpContext
  read GetHelpContext
  write SetHelpContext
  default 0;


TPopupMenu.OnClose

OnClose - event handler for closing down the popup

Declaration

Source position: menus.pp line 440

published property TPopupMenu.OnClose : TNotifyEvent
  read FOnClose
  write FOnClose;

Description

You can delete menu items here. But if you delete the clicked menu item on OnClose the OnClick will not follow under Windows.


TPopupMenu.OnPopup

OnPopup - event handler for a requirement for a popup menu

Declaration

Source position: menus.pp line 439

published property TPopupMenu.OnPopup : TNotifyEvent
  read FOnPopup
  write FOnPopup;


TPopupMenu.PopUp

PopUp - sofware emulation of the OnPopup event

Declaration

Source position: menus.pp line 429

public procedure TPopupMenu.PopUp;

procedure TPopupMenu.PopUp(

  X: Integer;

  Y: Integer

); virtual;


TPopupMenu.PopupComponent

PopupComponent - the Component to which this popup applies

Declaration

Source position: menus.pp line 431

public property TPopupMenu.PopupComponent : TComponent
  read FPopupComponent
  write FPopupComponent;


TPopupMenu.PopupPoint

PopupPoint - the position at which the Popup is to appear

Declaration

Source position: menus.pp line 432

public property TPopupMenu.PopupPoint : TPoint
  read FPopupPoint;


TPopupMenu.TrackButton

TrackButton - defines which mouse button(s) are allowed to activate menu items

Declaration

Source position: menus.pp line 438

published property TPopupMenu.TrackButton : TTrackButton
  read FTrackButton
  write FTrackButton
  default tbRightButton;


TCustomPairSplitter

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Declaration

Source position: pairsplitter.pas line 92

type TCustomPairSplitter = class(TWinControl)
protected
class procedure WSRegisterClass; override; | Registers this component class with the current WidgetSet.
function GetCursor; override;
procedure SetCursor(); override;
class function GetControlClassDefaultSize; override;
public
constructor Create(); override; |
destructor Destroy; override; |
procedure CreateWnd; override; |
procedure UpdatePosition; |
procedure CreateSides; |
procedure Loaded; override; |
function ChildClassAllowed(); override; |
property Cursor: TCursor;
property Sides []: TPairSplitterSide; [r] |
property SplitterType: TPairSplitterType; [rw] |
property Position: Integer; [rw] |
end;

Inheritance

TCustomPairSplitter |
|
TWinControl | The base class for controls which can contain other (child) controls.
|
TControl | The base class for visible controls.
|
TLCLComponent | The base class for LCL components associated with widgets.
|
TComponent,IUnknown,IInterfaceComponentReference
|
TPersistent,IFPObserved
|
TObject


TCustomPairSplitter
 | ro | Cursor
 | ro | Sides
 |  | SplitterType
 |  | Position
TWinControl
pt |  | WindowHandle
pt |  | BorderStyle
pt |  | ParentBackground
 |  | BorderWidth
 | ro | BoundsLockCount
 | ro | Brush
 | ro | CachedClientHeight
 | ro | CachedClientWidth
 |  | ChildSizing
 | ro | ControlCount
 | ro | Controls
 |  | DefWndProc
 | ro | DockClientCount
 | ro | DockClients
 |  | DockManager
 |  | DockSite
 |  | DoubleBuffered
 |  | Handle
 | ro | IsFlipped
 | ro | IsResizing
 |  | TabOrder
 |  | TabStop
 |  | ParentDoubleBuffered
 |  | ParentWindow
 | ro | Showing
 |  | UseDockManager
 |  | DesignerDeleting
 | ro | VisibleDockClientCount
TControl
pt | ro | AutoSizing
pt | ro | AutoSizingAll
pt | ro | AutoSizingLockCount
pt |  | ActionLink
pt |  | DesktopFont
pt |  | DragCursor
pt |  | DragKind
pt |  | DragMode
pt |  | MouseCapture
pt |  | ParentColor
pt |  | ParentFont
pt |  | ParentShowHint
pt |  | SessionProperties
pt |  | Text
 | ro | AnchoredControls
 | ro | BaseBounds
 | ro | ReadBounds
 | ro | BaseParentClientSize
 |  | AccessibleDescription
 |  | AccessibleValue
 |  | AccessibleRole
 |  | Action
 |  | Align
 |  | Anchors
 | ro | AnchorSide
 |  | AutoSize
 |  | BorderSpacing
 |  | BoundsRect
 |  | BoundsRectForNewParent
 |  | Caption
 |  | CaptureMouseButtons
 |  | ClientHeight
 | ro | ClientOrigin
 | ro | ClientRect
 |  | ClientWidth
 |  | Color
 |  | Constraints
 | ro | ControlOrigin
 |  | ControlState
 |  | ControlStyle
 |  | Enabled
 |  | Font
 |  | IsControl
 | ro | MouseEntered
 | ro | MouseInClient
 |  | Parent
 |  | PopupMenu
 |  | ShowHint
 |  | Visible
 |  | WindowProc
 |  | DockOrientation
 | ro | Floating
 |  | FloatingDockSiteClass
 |  | HostDockSite
 |  | LRDockWidth
 |  | TBDockHeight
 |  | UndockHeight
 |  | UndockWidth
 |  | BiDiMode
 |  | ParentBiDiMode
pl |  | AnchorSideLeft
pl |  | AnchorSideTop
pl |  | AnchorSideRight
pl |  | AnchorSideBottom
pl |  | Cursor
pl |  | Left
pl |  | Height
pl |  | Hint
pl |  | Top
pl |  | Width
pl |  | HelpType
pl |  | HelpKeyword
pl |  | HelpContext
TLCLComponent
 | ro | LCLRefCount
 | ro | WidgetSetClass
TComponent
 | ro | ComObject
 | ro | Components
 | ro | ComponentCount
 |  | ComponentIndex
 | ro | ComponentState
 | ro | ComponentStyle
 |  | DesignInfo
 | ro | Owner
 |  | VCLComObject
 |  | Name
 |  | Tag
TPersistent
TObject


 |  | AccessibleDescription (TControl)
 |  | AccessibleRole (TControl)
 |  | AccessibleValue (TControl)
 |  | Action (TControl)
pt |  | ActionLink (TControl)
 |  | Align (TControl)
 | ro | AnchoredControls (TControl)
 |  | Anchors (TControl)
 | ro | AnchorSide (TControl)
pl |  | AnchorSideBottom (TControl)
pl |  | AnchorSideLeft (TControl)
pl |  | AnchorSideRight (TControl)
pl |  | AnchorSideTop (TControl)
 |  | AutoSize (TControl)
pt | ro | AutoSizing (TControl)
pt | ro | AutoSizingAll (TControl)
pt | ro | AutoSizingLockCount (TControl)
 | ro | BaseBounds (TControl)
 | ro | BaseParentClientSize (TControl)
 |  | BiDiMode (TControl)
 |  | BorderSpacing (TControl)
pt |  | BorderStyle (TWinControl)
 |  | BorderWidth (TWinControl)
 | ro | BoundsLockCount (TWinControl)
 |  | BoundsRect (TControl)
 |  | BoundsRectForNewParent (TControl)
 | ro | Brush (TWinControl)
 | ro | CachedClientHeight (TWinControl)
 | ro | CachedClientWidth (TWinControl)
 |  | Caption (TControl)
 |  | CaptureMouseButtons (TControl)
 |  | ChildSizing (TWinControl)
 |  | ClientHeight (TControl)
 | ro | ClientOrigin (TControl)
 | ro | ClientRect (TControl)
 |  | ClientWidth (TControl)
 |  | Color (TControl)
 | ro | ComObject (TComponent)
 | ro | ComponentCount (TComponent)
 |  | ComponentIndex (TComponent)
 | ro | Components (TComponent)
 | ro | ComponentState (TComponent)
 | ro | ComponentStyle (TComponent)
 |  | Constraints (TControl)
 | ro | ControlCount (TWinControl)
 | ro | ControlOrigin (TControl)
 | ro | Controls (TWinControl)
 |  | ControlState (TControl)
 |  | ControlStyle (TControl)
pl |  | Cursor (TControl)
 | ro | Cursor (TCustomPairSplitter)
 |  | DefWndProc (TWinControl)
 |  | DesignerDeleting (TWinControl)
 |  | DesignInfo (TComponent)
pt |  | DesktopFont (TControl)
 | ro | DockClientCount (TWinControl)
 | ro | DockClients (TWinControl)
 |  | DockManager (TWinControl)
 |  | DockOrientation (TControl)
 |  | DockSite (TWinControl)
 |  | DoubleBuffered (TWinControl)
pt |  | DragCursor (TControl)
pt |  | DragKind (TControl)
pt |  | DragMode (TControl)
 |  | Enabled (TControl)
 | ro | Floating (TControl)
 |  | FloatingDockSiteClass (TControl)
 |  | Font (TControl)
 |  | Handle (TWinControl)
pl |  | Height (TControl)
pl |  | HelpContext (TControl)
pl |  | HelpKeyword (TControl)
pl |  | HelpType (TControl)
pl |  | Hint (TControl)
 |  | HostDockSite (TControl)
 |  | IsControl (TControl)
 | ro | IsFlipped (TWinControl)
 | ro | IsResizing (TWinControl)
 | ro | LCLRefCount (TLCLComponent)
pl |  | Left (TControl)
 |  | LRDockWidth (TControl)
pt |  | MouseCapture (TControl)
 | ro | MouseEntered (TControl)
 | ro | MouseInClient (TControl)
 |  | Name (TComponent)
 | ro | Owner (TComponent)
 |  | Parent (TControl)
pt |  | ParentBackground (TWinControl)
 |  | ParentBiDiMode (TControl)
pt |  | ParentColor (TControl)
 |  | ParentDoubleBuffered (TWinControl)
pt |  | ParentFont (TControl)
pt |  | ParentShowHint (TControl)
 |  | ParentWindow (TWinControl)
 |  | PopupMenu (TControl)
 |  | Position (TCustomPairSplitter)
 | ro | ReadBounds (TControl)
pt |  | SessionProperties (TControl)
 |  | ShowHint (TControl)
 | ro | Showing (TWinControl)
 | ro | Sides (TCustomPairSplitter)
 |  | SplitterType (TCustomPairSplitter)
 |  | TabOrder (TWinControl)
 |  | TabStop (TWinControl)
 |  | Tag (TComponent)
 |  | TBDockHeight (TControl)
pt |  | Text (TControl)
pl |  | Top (TControl)
 |  | UndockHeight (TControl)
 |  | UndockWidth (TControl)
 |  | UseDockManager (TWinControl)
 |  | VCLComObject (TComponent)
 |  | Visible (TControl)
 | ro | VisibleDockClientCount (TWinControl)
 | ro | WidgetSetClass (TLCLComponent)
pl |  | Width (TControl)
pt |  | WindowHandle (TWinControl)
 |  | WindowProc (TControl)


TCustomPairSplitter
pt | WSRegisterClass
pt | GetCursor
pt | SetCursor
pt | GetControlClassDefaultSize
 | Create
 | Destroy
 | CreateWnd
 | UpdatePosition
 | CreateSides
 | Loaded
 | ChildClassAllowed
TWinControl
pt | WSRegisterClass
pt | AdjustClientRect
pt | GetAdjustedLogicalClientRect
pt | AlignControls
pt | CustomAlignInsertBefore
pt | CustomAlignPosition
pt | DoAlignChildControls
pt | DoChildSizingChange
pt | InvalidatePreferredChildSizes
pt | CanTab
pt | IsClientHeightStored
pt | IsClientWidthStored
pt | DoSendShowHideToInterface
pt | ControlsAligned
pt | DoSendBoundsToInterface
pt | RealizeBounds
pt | RealizeBoundsRecursive
pt | InvalidateBoundsRealized
pt | CreateSubClass
pt | DoConstraintsChange
pt | DoSetBounds
pt | DoAutoSize
pt | DoAllAutoSize
pt | AllAutoSized
pt | CalculatePreferredSize
pt | GetPreferredSizeClientFrame
pt | GetChildren
pt | ChildClassAllowed
pt | PaintControls
pt | PaintHandler
pt | PaintWindow
pt | CreateBrush
pt | ScaleControls
pt | ChangeScale
pt | CMBiDiModeChanged
pt | CMBorderChanged
pt | CMDoubleBufferedChanged
pt | CMEnabledChanged
pt | CMParentDoubleBufferedChanged
pt | CMShowingChanged
pt | CMShowHintChanged
pt | CMVisibleChanged
pt | CMEnter
pt | CMExit
pt | WMContextMenu
pt | WMEraseBkgnd
pt | WMNotify
pt | WMSetFocus
pt | WMKillFocus
pt | WMShowWindow
pt | WMEnter
pt | WMExit
pt | WMKeyDown
pt | WMSysKeyDown
pt | WMKeyUp
pt | WMSysKeyUp
pt | WMChar
pt | WMSysChar
pt | WMPaint
pt | WMDestroy
pt | WMMove
pt | WMSize
pt | WMWindowPosChanged
pt | CNKeyDown
pt | CNSysKeyDown
pt | CNKeyUp
pt | CNSysKeyUp
pt | CNChar
pt | DoDragMsg
pt | DoDockClientMsg
pt | DoUndockClientMsg
pt | DoAddDockClient
pt | DockOver
pt | DoDockOver
pt | DoRemoveDockClient
pt | DoUnDock
pt | GetSiteInfo
pt | GetParentHandle
pt | GetTopParentHandle
pt | ReloadDockedControl
pt | CreateDockManager
pt | SetDockManager
pt | DoFloatMsg
pt | DoGetDockCaption
pt | DoEnter
pt | DoExit
pt | DoKeyDownBeforeInterface
pt | DoRemainingKeyDown
pt | DoRemainingKeyUp
pt | DoKeyPress
pt | DoUTF8KeyPress
pt | DoKeyUpBeforeInterface
pt | ChildKey
pt | SendDialogChar
pt | DialogChar
pt | ControlKeyDown
pt | ControlKeyUp
pt | KeyDown
pt | KeyDownBeforeInterface
pt | KeyDownAfterInterface
pt | KeyPress
pt | KeyUp
pt | KeyUpBeforeInterface
pt | KeyUpAfterInterface
pt | UTF8KeyPress
pt | FindNextControl
pt | SelectFirst
pt | RealGetText
pt | GetBorderStyle
pt | GetClientOrigin
pt | GetClientRect
pt | GetControlOrigin
pt | GetDeviceContext
pt | GetParentBackground
pt | IsControlMouseMsg
pt | CreateHandle
pt | CreateParams
pt | CreateWnd
pt | DestroyHandle
pt | DestroyWnd
pt | DoFlipChildren
pt | FinalizeWnd
pt | FixupTabList
pt | FontChanged
pt | InitializeWnd
pt | Loaded
pt | FormEndUpdated
pt | MainWndProc
pt | ParentFormHandleInitialized
pt | ChildHandlesCreated
pt | GetMouseCapture
pt | RealSetText
pt | RemoveFocus
pt | SendMoveSizeMessages
pt | SetBorderStyle
pt | SetColor
pt | SetChildZPosition
pt | SetParentBackground
pt | ShowControl
pt | UpdateControlState
pt | UpdateShowing
pt | WndProc
pt | WSSetText
 | AutoSizePhases
 | AutoSizeDelayed
 | AutoSizeDelayedReport
 | AutoSizeDelayedHandle
 | BeginUpdateBounds
 | EndUpdateBounds
 | LockRealizeBounds
 | UnlockRealizeBounds
 | ControlAtPos
 | ContainsControl
 | DoAdjustClientRectChange
 | InvalidateClientRectCache
 | ClientRectNeedsInterfaceUpdate
 | SetBounds
 | GetChildrenRect
 | DisableAlign
 | EnableAlign
 | ReAlign
 | ScrollBy_WS
 | ScrollBy
 | WriteLayoutDebugReport
 | AutoAdjustLayout
 | Create
 | CreateParented
 | CreateParentedControl
 | Destroy
 | DockDrop
 | CanFocus
 | CanSetFocus
 | GetControlIndex
 | SetControlIndex
 | Focused
 | PerformTab
 | FindChildControl
 | SelectNext
 | SetTempCursor
 | BroadCast
 | NotifyControls
 | DefaultHandler
 | GetTextLen
 | Invalidate
 | AddControl
 | InsertControl
 | RemoveControl
 | GetEnumeratorControls
 | GetEnumeratorControlsReverse
 | Repaint
 | Update
 | SetFocus
 | FlipChildren
 | ScaleBy
 | GetDockCaption
 | UpdateDockCaption
 | GetTabOrderList
 | HandleAllocated
 | ParentHandlesAllocated
 | HandleNeeded
 | BrushCreated
 | EraseBackground
 | IntfUTF8KeyPress
 | IntfGetDropFilesTarget
 | PaintTo
 | SetShape
TControl
pt | WSRegisterClass
pt | GetCursor
pt | SetCursor
pt | SetVisible
pt | DoOnParentHandleDestruction
pt | DoAutoSize
pt | DoAllAutoSize
pt | BeginAutoSizing
pt | EndAutoSizing
pt | AnchorSideChanged
pt | ForeignAnchorSideChanged
pt | SetAlign
pt | SetAnchors
pt | SetAutoSize
pt | BoundsChanged
pt | CreateControlBorderSpacing
pt | DoConstraintsChange
pt | DoBorderSpacingChange
pt | IsBorderSpacingInnerBorderStored
pt | IsCaptionStored
pt | SendMoveSizeMessages
pt | ConstrainedResize
pt | CalculatePreferredSize
pt | DoOnResize
pt | DoOnChangeBounds
pt | CheckOnChangeBounds
pt | Resize
pt | RequestAlign
pt | UpdateAnchorRules
pt | ChangeBounds
pt | DoSetBounds
pt | ScaleConstraints
pt | ChangeScale
pt | CanAutoSize
pt | SetBiDiMode
pt | SetParentBiDiMode
pt | IsAParentAligning
pt | GetClientOrigin
pt | GetClientRect
pt | GetLogicalClientRect
pt | GetScrolledClientRect
pt | GetClientScrollOffset
pt | GetControlOrigin
pt | IsClientHeightStored
pt | IsClientWidthStored
pt | WidthIsAnchored
pt | HeightIsAnchored
pt | WMCancelMode
pt | WMContextMenu
pt | WMLButtonDown
pt | WMRButtonDown
pt | WMMButtonDown
pt | WMXButtonDown
pt | WMLButtonDBLCLK
pt | WMRButtonDBLCLK
pt | WMMButtonDBLCLK
pt | WMXButtonDBLCLK
pt | WMLButtonTripleCLK
pt | WMRButtonTripleCLK
pt | WMMButtonTripleCLK
pt | WMXButtonTripleCLK
pt | WMLButtonQuadCLK
pt | WMRButtonQuadCLK
pt | WMMButtonQuadCLK
pt | WMXButtonQuadCLK
pt | WMMouseMove
pt | WMLButtonUp
pt | WMRButtonUp
pt | WMMButtonUp
pt | WMXButtonUp
pt | WMMouseWheel
pt | WMMouseHWheel
pt | WMMove
pt | WMSize
pt | WMWindowPosChanged
pt | CMChanged
pt | LMCaptureChanged
pt | CMBiDiModeChanged
pt | CMSysFontChanged
pt | CMEnabledChanged
pt | CMHitTest
pt | CMMouseEnter
pt | CMMouseLeave
pt | CMHintShow
pt | CMParentBiDiModeChanged
pt | CMParentColorChanged
pt | CMParentFontChanged
pt | CMParentShowHintChanged
pt | CMVisibleChanged
pt | CMTextChanged
pt | CMCursorChanged
pt | CalculateDockSizes
pt | CreateFloatingDockSite
pt | GetDockEdge
pt | GetDragImages
pt | GetFloating
pt | GetFloatingDockSiteClass
pt | BeforeDragStart
pt | BeginAutoDrag
pt | DoFloatMsg
pt | DockTrackNoTarget
pt | DoDock
pt | DoDragMsg
pt | DoEndDock
pt | DoEndDrag
pt | DoStartDock
pt | DoStartDrag
pt | DragCanceled
pt | DragOver
pt | PositionDockRect
pt | SetDragMode
pt | GetDefaultDockCaption
pt | Click
pt | DblClick
pt | TripleClick
pt | QuadClick
pt | GetMousePosFromMessage
pt | MouseDown
pt | MouseMove
pt | MouseUp
pt | MouseEnter
pt | MouseLeave
pt | DialogChar
pt | UpdateMouseCursor
pt | Changed
pt | GetPalette
pt | ChildClassAllowed
pt | ReadState
pt | Loaded
pt | LoadedAll
pt | DefineProperties
pt | AssignTo
pt | FormEndUpdated
pt | InvalidateControl
pt | FontChanged
pt | ParentFontChanged
pt | GetAction
pt | RealGetText
pt | RealSetText
pt | TextChanged
pt | GetCachedText
pt | SetAction
pt | SetColor
pt | SetEnabled
pt | SetHint
pt | SetName
pt | SetParent
pt | SetParentComponent
pt | WndProc
pt | ParentFormHandleInitialized
pt | GetMouseCapture
pt | CaptureChanged
pt | Notification
pt | CanTab
pt | GetDeviceContext
pt | GetEnabled
pt | GetPopupMenu
pt | DoOnShowHint
pt | DoMouseWheel
pt | DoMouseWheelDown
pt | DoMouseWheelUp
pt | DoMouseWheelHorz
pt | DoMouseWheelLeft
pt | DoMouseWheelRight
pt | VisibleChanging
pt | VisibleChanged
pt | EnabledChanging
pt | EnabledChanged
pt | AddHandler
pt | RemoveHandler
pt | DoCallNotifyHandler
pt | DoCallKeyEventHandler
pt | DoCallMouseWheelEventHandler
pt | DoContextPopup
pt | SetZOrder
pt | GetControlClassDefaultSize
pt | ColorIsStored
pt | DoAutoAdjustLayout
pt | DoFixDesignFontPPI
pt | DoScaleFontPPI
pt | GetActionLinkClass
pt | ActionChange
 | DragDrop
 | Dock
 | ManualDock
 | ManualFloat
 | ReplaceDockedControl
 | Docked
 | Dragging
 | GetAccessibleObject
 | CreateAccessibleObject
 | GetSelectedChildAccessibleObject
 | GetChildAccessibleObjectAtPos
 | ScaleDesignToForm
 | ScaleFormToDesign
 | Scale96ToForm
 | ScaleFormTo96
 | Scale96ToFont
 | ScaleFontTo96
 | ScaleScreenToFont
 | ScaleFontToScreen
 | Scale96ToScreen
 | ScaleScreenTo96
 | AdjustSize
 | AutoSizePhases
 | AutoSizeDelayed
 | AutoSizeDelayedReport
 | AutoSizeDelayedHandle
 | AnchorToNeighbour
 | AnchorParallel
 | AnchorHorizontalCenterTo
 | AnchorVerticalCenterTo
 | AnchorToCompanion
 | AnchorSame
 | AnchorAsAlign
 | AnchorClient
 | AnchoredControlCount
 | SetBounds
 | SetInitialBounds
 | SetBoundsKeepBase
 | GetPreferredSize
 | GetCanvasScaleFactor
 | GetDefaultWidth
 | GetDefaultHeight
 | GetDefaultColor
 | GetColorResolvingParent
 | GetRGBColorResolvingParent
 | GetSidePosition
 | CNPreferredSizeChanged
 | InvalidatePreferredSize
 | GetAnchorsDependingOnParent
 | DisableAutoSizing
 | EnableAutoSizing
 | UpdateBaseBounds
 | WriteLayoutDebugReport
 | AutoAdjustLayout
 | ShouldAutoAdjust
 | FixDesignFontsPPI
 | ScaleFontsPPI
 | Create
 | Destroy
 | BeforeDestruction
 | EditingDone
 | ExecuteDefaultAction
 | ExecuteCancelAction
 | BeginDrag
 | EndDrag
 | BringToFront
 | HasParent
 | GetParentComponent
 | IsParentOf
 | GetTopParent
 | IsVisible
 | IsControlVisible
 | IsEnabled
 | IsParentColor
 | IsParentFont
 | FormIsUpdating
 | IsProcessingPaintMsg
 | Hide
 | Refresh
 | Repaint
 | Invalidate
 | CheckChildClassAllowed
 | CheckNewParent
 | SendToBack
 | SetTempCursor
 | UpdateRolesForForm
 | ActiveDefaultControlChanged
 | GetTextBuf
 | GetTextLen
 | SetTextBuf
 | Perform
 | ScreenToClient
 | ClientToScreen
 | ScreenToControl
 | ControlToScreen
 | ClientToParent
 | ParentToClient
 | GetChildrenRect
 | Show
 | Update
 | HandleObjectShouldBeVisible
 | ParentDestroyingHandle
 | ParentHandlesAllocated
 | InitiateAction
 | ShowHelp
 | HasHelp
 | RemoveAllHandlersOfObject
 | AddHandlerOnResize
 | RemoveHandlerOnResize
 | AddHandlerOnChangeBounds
 | RemoveHandlerOnChangeBounds
 | AddHandlerOnVisibleChanging
 | RemoveHandlerOnVisibleChanging
 | AddHandlerOnVisibleChanged
 | RemoveHandlerOnVisibleChanged
 | AddHandlerOnEnabledChanged
 | RemoveHandlerOnEnableChanging
 | AddHandlerOnKeyDown
 | RemoveHandlerOnKeyDown
 | AddHandlerOnBeforeDestruction
 | RemoveHandlerOnBeforeDestruction
 | AddHandlerOnMouseWheel
 | RemoveHandlerOnMouseWheel
 | UseRightToLeftAlignment
 | UseRightToLeftReading
 | UseRightToLeftScrollBar
 | IsRightToLeft
TLCLComponent
pt | WSRegisterClass
pt | GetWSComponentClass
 | Create
 | Destroy
 | NewInstance
 | RemoveAllHandlersOfObject
 | IncLCLRefCount
 | DecLCLRefCount
TComponent
 | GetComObject
 | GetComponent
 | GetComponentCount
 | GetComponentIndex
 | Insert
 | ReadLeft
 | ReadTop
 | Remove
 | RemoveNotification
 | SetComponentIndex
 | SetReference
 | WriteLeft
 | WriteTop
 | ChangeName
 | DefineProperties
 | GetChildren
 | GetChildOwner
 | GetChildParent
 | GetOwner
 | Loaded
 | Loading
 | Notification
 | PaletteCreated
 | ReadState
 | SetAncestor
 | SetDesigning
 | SetDesignInstance
 | SetInline
 | SetName
 | SetChildOrder
 | SetParentComponent
 | Updating
 | Updated
 | UpdateRegistry
 | ValidateRename
 | ValidateContainer
 | ValidateInsert
 | QueryInterface
 | _AddRef
 | _Release
 | iicrGetComponent
 | GetTypeInfoCount
 | GetTypeInfo
 | GetIDsOfNames
 | Invoke
 | WriteState
 | Create
 | Destroy
 | BeforeDestruction
 | DestroyComponents
 | Destroying
 | ExecuteAction
 | FindComponent
 | FreeNotification
 | RemoveFreeNotification
 | FreeOnRelease
 | GetEnumerator
 | GetNamePath
 | GetParentComponent
 | HasParent
 | InsertComponent
 | RemoveComponent
 | SafeCallException
 | SetSubComponent
 | UpdateAction
 | IsImplementorOf
 | ReferenceInterface
TPersistent
 | AssignError
 | AssignTo
 | DefineProperties
 | GetOwner
 | Destroy
 | Assign
 | FPOAttachObserver
 | FPODetachObserver
 | FPONotifyObservers
 | GetNamePath
TObject
 | Create
 | Destroy
 | newinstance
 | FreeInstance
 | SafeCallException
 | DefaultHandler
 | Free
 | InitInstance
 | CleanupInstance
 | ClassType
 | ClassInfo
 | ClassName
 | ClassNameIs
 | ClassParent
 | InstanceSize
 | InheritsFrom
 | StringMessageTable
 | MethodAddress
 | MethodName
 | FieldAddress
 | AfterConstruction
 | BeforeDestruction
 | DefaultHandlerStr
 | Dispatch
 | DispatchStr
 | GetInterface
 | GetInterfaceByStr
 | GetInterfaceWeak
 | GetInterfaceEntry
 | GetInterfaceEntryByStr
 | GetInterfaceTable
 | UnitName
 | Equals
 | GetHashCode
 | ToString


pt | ActionChange (TControl)
 | ActiveDefaultControlChanged (TControl)
 | AddControl (TWinControl)
pt | AddHandler (TControl)
 | AddHandlerOnBeforeDestruction (TControl)
 | AddHandlerOnChangeBounds (TControl)
 | AddHandlerOnEnabledChanged (TControl)
 | AddHandlerOnKeyDown (TControl)
 | AddHandlerOnMouseWheel (TControl)
 | AddHandlerOnResize (TControl)
 | AddHandlerOnVisibleChanged (TControl)
 | AddHandlerOnVisibleChanging (TControl)
pt | AdjustClientRect (TWinControl)
 | AdjustSize (TControl)
 | AfterConstruction (TObject)
pt | AlignControls (TWinControl)
pt | AllAutoSized (TWinControl)
 | AnchorAsAlign (TControl)
 | AnchorClient (TControl)
 | AnchoredControlCount (TControl)
 | AnchorHorizontalCenterTo (TControl)
 | AnchorParallel (TControl)
 | AnchorSame (TControl)
pt | AnchorSideChanged (TControl)
 | AnchorToCompanion (TControl)
 | AnchorToNeighbour (TControl)
 | AnchorVerticalCenterTo (TControl)
 | Assign (TPersistent)
 | AssignError (TPersistent)
 | AssignTo (TPersistent)
pt | AssignTo (TControl)
 | AutoAdjustLayout (TControl)
 | AutoAdjustLayout (TWinControl)
 | AutoSizeDelayed (TControl)
 | AutoSizeDelayed (TWinControl)
 | AutoSizeDelayedHandle (TControl)
 | AutoSizeDelayedHandle (TWinControl)
 | AutoSizeDelayedReport (TControl)
 | AutoSizeDelayedReport (TWinControl)
 | AutoSizePhases (TControl)
 | AutoSizePhases (TWinControl)
 | BeforeDestruction (TObject)
 | BeforeDestruction (TComponent)
 | BeforeDestruction (TControl)
pt | BeforeDragStart (TControl)
pt | BeginAutoDrag (TControl)
pt | BeginAutoSizing (TControl)
 | BeginDrag (TControl)
 | BeginUpdateBounds (TWinControl)
pt | BoundsChanged (TControl)
 | BringToFront (TControl)
 | BroadCast (TWinControl)
 | BrushCreated (TWinControl)
pt | CalculateDockSizes (TControl)
pt | CalculatePreferredSize (TControl)
pt | CalculatePreferredSize (TWinControl)
pt | CanAutoSize (TControl)
 | CanFocus (TWinControl)
 | CanSetFocus (TWinControl)
pt | CanTab (TControl)
pt | CanTab (TWinControl)
pt | CaptureChanged (TControl)
pt | ChangeBounds (TControl)
pt | Changed (TControl)
 | ChangeName (TComponent)
pt | ChangeScale (TControl)
pt | ChangeScale (TWinControl)
 | CheckChildClassAllowed (TControl)
 | CheckNewParent (TControl)
pt | CheckOnChangeBounds (TControl)
pt | ChildClassAllowed (TControl)
pt | ChildClassAllowed (TWinControl)
 | ChildClassAllowed (TCustomPairSplitter)
pt | ChildHandlesCreated (TWinControl)
pt | ChildKey (TWinControl)
 | ClassInfo (TObject)
 | ClassName (TObject)
 | ClassNameIs (TObject)
 | ClassParent (TObject)
 | ClassType (TObject)
 | CleanupInstance (TObject)
pt | Click (TControl)
 | ClientRectNeedsInterfaceUpdate (TWinControl)
 | ClientToParent (TControl)
 | ClientToScreen (TControl)
pt | CMBiDiModeChanged (TControl)
pt | CMBiDiModeChanged (TWinControl)
pt | CMBorderChanged (TWinControl)
pt | CMChanged (TControl)
pt | CMCursorChanged (TControl)
pt | CMDoubleBufferedChanged (TWinControl)
pt | CMEnabledChanged (TControl)
pt | CMEnabledChanged (TWinControl)
pt | CMEnter (TWinControl)
pt | CMExit (TWinControl)
pt | CMHintShow (TControl)
pt | CMHitTest (TControl)
pt | CMMouseEnter (TControl)
pt | CMMouseLeave (TControl)
pt | CMParentBiDiModeChanged (TControl)
pt | CMParentColorChanged (TControl)
pt | CMParentDoubleBufferedChanged (TWinControl)
pt | CMParentFontChanged (TControl)
pt | CMParentShowHintChanged (TControl)
pt | CMShowHintChanged (TWinControl)
pt | CMShowingChanged (TWinControl)
pt | CMSysFontChanged (TControl)
pt | CMTextChanged (TControl)
pt | CMVisibleChanged (TControl)
pt | CMVisibleChanged (TWinControl)
pt | CNChar (TWinControl)
pt | CNKeyDown (TWinControl)
pt | CNKeyUp (TWinControl)
 | CNPreferredSizeChanged (TControl)
pt | CNSysKeyDown (TWinControl)
pt | CNSysKeyUp (TWinControl)
pt | ColorIsStored (TControl)
pt | ConstrainedResize (TControl)
 | ContainsControl (TWinControl)
 | ControlAtPos (TWinControl)
pt | ControlKeyDown (TWinControl)
pt | ControlKeyUp (TWinControl)
pt | ControlsAligned (TWinControl)
 | ControlToScreen (TControl)
 | Create (TObject)
 | Create (TComponent)
 | Create (TLCLComponent)
 | Create (TControl)
 | Create (TWinControl)
 | Create (TCustomPairSplitter)
 | CreateAccessibleObject (TControl)
pt | CreateBrush (TWinControl)
pt | CreateControlBorderSpacing (TControl)
pt | CreateDockManager (TWinControl)
pt | CreateFloatingDockSite (TControl)
pt | CreateHandle (TWinControl)
pt | CreateParams (TWinControl)
 | CreateParented (TWinControl)
 | CreateParentedControl (TWinControl)
 | CreateSides (TCustomPairSplitter)
pt | CreateSubClass (TWinControl)
pt | CreateWnd (TWinControl)
 | CreateWnd (TCustomPairSplitter)
pt | CustomAlignInsertBefore (TWinControl)
pt | CustomAlignPosition (TWinControl)
pt | DblClick (TControl)
 | DecLCLRefCount (TLCLComponent)
 | DefaultHandler (TObject)
 | DefaultHandler (TWinControl)
 | DefaultHandlerStr (TObject)
 | DefineProperties (TPersistent)
 | DefineProperties (TComponent)
pt | DefineProperties (TControl)
 | Destroy (TObject)
 | Destroy (TPersistent)
 | Destroy (TComponent)
 | Destroy (TLCLComponent)
 | Destroy (TControl)
 | Destroy (TWinControl)
 | Destroy (TCustomPairSplitter)
 | DestroyComponents (TComponent)
pt | DestroyHandle (TWinControl)
 | Destroying (TComponent)
pt | DestroyWnd (TWinControl)
pt | DialogChar (TControl)
pt | DialogChar (TWinControl)
 | DisableAlign (TWinControl)
 | DisableAutoSizing (TControl)
 | Dispatch (TObject)
 | DispatchStr (TObject)
pt | DoAddDockClient (TWinControl)
 | DoAdjustClientRectChange (TWinControl)
pt | DoAlignChildControls (TWinControl)
pt | DoAllAutoSize (TControl)
pt | DoAllAutoSize (TWinControl)
pt | DoAutoAdjustLayout (TControl)
pt | DoAutoSize (TControl)
pt | DoAutoSize (TWinControl)
pt | DoBorderSpacingChange (TControl)
pt | DoCallKeyEventHandler (TControl)
pt | DoCallMouseWheelEventHandler (TControl)
pt | DoCallNotifyHandler (TControl)
pt | DoChildSizingChange (TWinControl)
 | Dock (TControl)
 | DockDrop (TWinControl)
 | Docked (TControl)
pt | DockOver (TWinControl)
pt | DockTrackNoTarget (TControl)
pt | DoConstraintsChange (TControl)
pt | DoConstraintsChange (TWinControl)
pt | DoContextPopup (TControl)
pt | DoDock (TControl)
pt | DoDockClientMsg (TWinControl)
pt | DoDockOver (TWinControl)
pt | DoDragMsg (TControl)
pt | DoDragMsg (TWinControl)
pt | DoEndDock (TControl)
pt | DoEndDrag (TControl)
pt | DoEnter (TWinControl)
pt | DoExit (TWinControl)
pt | DoFixDesignFontPPI (TControl)
pt | DoFlipChildren (TWinControl)
pt | DoFloatMsg (TControl)
pt | DoFloatMsg (TWinControl)
pt | DoGetDockCaption (TWinControl)
pt | DoKeyDownBeforeInterface (TWinControl)
pt | DoKeyPress (TWinControl)
pt | DoKeyUpBeforeInterface (TWinControl)
pt | DoMouseWheel (TControl)
pt | DoMouseWheelDown (TControl)
pt | DoMouseWheelHorz (TControl)
pt | DoMouseWheelLeft (TControl)
pt | DoMouseWheelRight (TControl)
pt | DoMouseWheelUp (TControl)
pt | DoOnChangeBounds (TControl)
pt | DoOnParentHandleDestruction (TControl)
pt | DoOnResize (TControl)
pt | DoOnShowHint (TControl)
pt | DoRemainingKeyDown (TWinControl)
pt | DoRemainingKeyUp (TWinControl)
pt | DoRemoveDockClient (TWinControl)
pt | DoScaleFontPPI (TControl)
pt | DoSendBoundsToInterface (TWinControl)
pt | DoSendShowHideToInterface (TWinControl)
pt | DoSetBounds (TControl)
pt | DoSetBounds (TWinControl)
pt | DoStartDock (TControl)
pt | DoStartDrag (TControl)
pt | DoUnDock (TWinControl)
pt | DoUndockClientMsg (TWinControl)
pt | DoUTF8KeyPress (TWinControl)
pt | DragCanceled (TControl)
 | DragDrop (TControl)
 | Dragging (TControl)
pt | DragOver (TControl)
 | EditingDone (TControl)
 | EnableAlign (TWinControl)
 | EnableAutoSizing (TControl)
pt | EnabledChanged (TControl)
pt | EnabledChanging (TControl)
pt | EndAutoSizing (TControl)
 | EndDrag (TControl)
 | EndUpdateBounds (TWinControl)
 | Equals (TObject)
 | EraseBackground (TWinControl)
 | ExecuteAction (TComponent)
 | ExecuteCancelAction (TControl)
 | ExecuteDefaultAction (TControl)
 | FieldAddress (TObject)
pt | FinalizeWnd (TWinControl)
 | FindChildControl (TWinControl)
 | FindComponent (TComponent)
pt | FindNextControl (TWinControl)
 | FixDesignFontsPPI (TControl)
pt | FixupTabList (TWinControl)
 | FlipChildren (TWinControl)
 | Focused (TWinControl)
pt | FontChanged (TControl)
pt | FontChanged (TWinControl)
pt | ForeignAnchorSideChanged (TControl)
pt | FormEndUpdated (TControl)
pt | FormEndUpdated (TWinControl)
 | FormIsUpdating (TControl)
 | FPOAttachObserver (TPersistent)
 | FPODetachObserver (TPersistent)
 | FPONotifyObservers (TPersistent)
 | Free (TObject)
 | FreeInstance (TObject)
 | FreeNotification (TComponent)
 | FreeOnRelease (TComponent)
 | GetAccessibleObject (TControl)
pt | GetAction (TControl)
pt | GetActionLinkClass (TControl)
pt | GetAdjustedLogicalClientRect (TWinControl)
 | GetAnchorsDependingOnParent (TControl)
pt | GetBorderStyle (TWinControl)
pt | GetCachedText (TControl)
 | GetCanvasScaleFactor (TControl)
 | GetChildAccessibleObjectAtPos (TControl)
 | GetChildOwner (TComponent)
 | GetChildParent (TComponent)
 | GetChildren (TComponent)
pt | GetChildren (TWinControl)
 | GetChildrenRect (TControl)
 | GetChildrenRect (TWinControl)
pt | GetClientOrigin (TControl)
pt | GetClientOrigin (TWinControl)
pt | GetClientRect (TControl)
pt | GetClientRect (TWinControl)
pt | GetClientScrollOffset (TControl)
 | GetColorResolvingParent (TControl)
 | GetComObject (TComponent)
 | GetComponent (TComponent)
 | GetComponentCount (TComponent)
 | GetComponentIndex (TComponent)
pt | GetControlClassDefaultSize (TControl)
pt | GetControlClassDefaultSize (TCustomPairSplitter)
 | GetControlIndex (TWinControl)
pt | GetControlOrigin (TControl)
pt | GetControlOrigin (TWinControl)
pt | GetCursor (TControl)
pt | GetCursor (TCustomPairSplitter)
 | GetDefaultColor (TControl)
pt | GetDefaultDockCaption (TControl)
 | GetDefaultHeight (TControl)
 | GetDefaultWidth (TControl)
pt | GetDeviceContext (TControl)
pt | GetDeviceContext (TWinControl)
 | GetDockCaption (TWinControl)
pt | GetDockEdge (TControl)
pt | GetDragImages (TControl)
pt | GetEnabled (TControl)
 | GetEnumerator (TComponent)
 | GetEnumeratorControls (TWinControl)
 | GetEnumeratorControlsReverse (TWinControl)
pt | GetFloating (TControl)
pt | GetFloatingDockSiteClass (TControl)
 | GetHashCode (TObject)
 | GetIDsOfNames (TComponent)
 | GetInterface (TObject)
 | GetInterfaceByStr (TObject)
 | GetInterfaceEntry (TObject)
 | GetInterfaceEntryByStr (TObject)
 | GetInterfaceTable (TObject)
 | GetInterfaceWeak (TObject)
pt | GetLogicalClientRect (TControl)
pt | GetMouseCapture (TControl)
pt | GetMouseCapture (TWinControl)
pt | GetMousePosFromMessage (TControl)
 | GetNamePath (TPersistent)
 | GetNamePath (TComponent)
 | GetOwner (TPersistent)
 | GetOwner (TComponent)
pt | GetPalette (TControl)
pt | GetParentBackground (TWinControl)
 | GetParentComponent (TComponent)
 | GetParentComponent (TControl)
pt | GetParentHandle (TWinControl)
pt | GetPopupMenu (TControl)
 | GetPreferredSize (TControl)
pt | GetPreferredSizeClientFrame (TWinControl)
 | GetRGBColorResolvingParent (TControl)
pt | GetScrolledClientRect (TControl)
 | GetSelectedChildAccessibleObject (TControl)
 | GetSidePosition (TControl)
pt | GetSiteInfo (TWinControl)
 | GetTabOrderList (TWinControl)
 | GetTextBuf (TControl)
 | GetTextLen (TControl)
 | GetTextLen (TWinControl)
 | GetTopParent (TControl)
pt | GetTopParentHandle (TWinControl)
 | GetTypeInfo (TComponent)
 | GetTypeInfoCount (TComponent)
pt | GetWSComponentClass (TLCLComponent)
 | HandleAllocated (TWinControl)
 | HandleNeeded (TWinControl)
 | HandleObjectShouldBeVisible (TControl)
 | HasHelp (TControl)
 | HasParent (TComponent)
 | HasParent (TControl)
pt | HeightIsAnchored (TControl)
 | Hide (TControl)
 | iicrGetComponent (TComponent)
 | IncLCLRefCount (TLCLComponent)
 | InheritsFrom (TObject)
pt | InitializeWnd (TWinControl)
 | InitiateAction (TControl)
 | InitInstance (TObject)
 | Insert (TComponent)
 | InsertComponent (TComponent)
 | InsertControl (TWinControl)
 | InstanceSize (TObject)
 | IntfGetDropFilesTarget (TWinControl)
 | IntfUTF8KeyPress (TWinControl)
 | Invalidate (TControl)
 | Invalidate (TWinControl)
pt | InvalidateBoundsRealized (TWinControl)
 | InvalidateClientRectCache (TWinControl)
pt | InvalidateControl (TControl)
pt | InvalidatePreferredChildSizes (TWinControl)
 | InvalidatePreferredSize (TControl)
 | Invoke (TComponent)
pt | IsAParentAligning (TControl)
pt | IsBorderSpacingInnerBorderStored (TControl)
pt | IsCaptionStored (TControl)
pt | IsClientHeightStored (TControl)
pt | IsClientHeightStored (TWinControl)
pt | IsClientWidthStored (TControl)
pt | IsClientWidthStored (TWinControl)
pt | IsControlMouseMsg (TWinControl)
 | IsControlVisible (TControl)
 | IsEnabled (TControl)
 | IsImplementorOf (TComponent)
 | IsParentColor (TControl)
 | IsParentFont (TControl)
 | IsParentOf (TControl)
 | IsProcessingPaintMsg (TControl)
 | IsRightToLeft (TControl)
 | IsVisible (TControl)
pt | KeyDown (TWinControl)
pt | KeyDownAfterInterface (TWinControl)
pt | KeyDownBeforeInterface (TWinControl)
pt | KeyPress (TWinControl)
pt | KeyUp (TWinControl)
pt | KeyUpAfterInterface (TWinControl)
pt | KeyUpBeforeInterface (TWinControl)
pt | LMCaptureChanged (TControl)
 | Loaded (TComponent)
pt | Loaded (TControl)
pt | Loaded (TWinControl)
 | Loaded (TCustomPairSplitter)
pt | LoadedAll (TControl)
 | Loading (TComponent)
 | LockRealizeBounds (TWinControl)
pt | MainWndProc (TWinControl)
 | ManualDock (TControl)
 | ManualFloat (TControl)
 | MethodAddress (TObject)
 | MethodName (TObject)
pt | MouseDown (TControl)
pt | MouseEnter (TControl)
pt | MouseLeave (TControl)
pt | MouseMove (TControl)
pt | MouseUp (TControl)
 | newinstance (TObject)
 | NewInstance (TLCLComponent)
 | Notification (TComponent)
pt | Notification (TControl)
 | NotifyControls (TWinControl)
pt | PaintControls (TWinControl)
pt | PaintHandler (TWinControl)
 | PaintTo (TWinControl)
pt | PaintWindow (TWinControl)
 | PaletteCreated (TComponent)
 | ParentDestroyingHandle (TControl)
pt | ParentFontChanged (TControl)
pt | ParentFormHandleInitialized (TControl)
pt | ParentFormHandleInitialized (TWinControl)
 | ParentHandlesAllocated (TControl)
 | ParentHandlesAllocated (TWinControl)
 | ParentToClient (TControl)
 | Perform (TControl)
 | PerformTab (TWinControl)
pt | PositionDockRect (TControl)
pt | QuadClick (TControl)
 | QueryInterface (TComponent)
 | ReadLeft (TComponent)
 | ReadState (TComponent)
pt | ReadState (TControl)
 | ReadTop (TComponent)
pt | RealGetText (TControl)
pt | RealGetText (TWinControl)
 | ReAlign (TWinControl)
pt | RealizeBounds (TWinControl)
pt | RealizeBoundsRecursive (TWinControl)
pt | RealSetText (TControl)
pt | RealSetText (TWinControl)
 | ReferenceInterface (TComponent)
 | Refresh (TControl)
pt | ReloadDockedControl (TWinControl)
 | Remove (TComponent)
 | RemoveAllHandlersOfObject (TLCLComponent)
 | RemoveAllHandlersOfObject (TControl)
 | RemoveComponent (TComponent)
 | RemoveControl (TWinControl)
pt | RemoveFocus (TWinControl)
 | RemoveFreeNotification (TComponent)
pt | RemoveHandler (TControl)
 | RemoveHandlerOnBeforeDestruction (TControl)
 | RemoveHandlerOnChangeBounds (TControl)
 | RemoveHandlerOnEnableChanging (TControl)
 | RemoveHandlerOnKeyDown (TControl)
 | RemoveHandlerOnMouseWheel (TControl)
 | RemoveHandlerOnResize (TControl)
 | RemoveHandlerOnVisibleChanged (TControl)
 | RemoveHandlerOnVisibleChanging (TControl)
 | RemoveNotification (TComponent)
 | Repaint (TControl)
 | Repaint (TWinControl)
 | ReplaceDockedControl (TControl)
pt | RequestAlign (TControl)
pt | Resize (TControl)
 | SafeCallException (TObject)
 | SafeCallException (TComponent)
 | Scale96ToFont (TControl)
 | Scale96ToForm (TControl)
 | Scale96ToScreen (TControl)
 | ScaleBy (TWinControl)
pt | ScaleConstraints (TControl)
pt | ScaleControls (TWinControl)
 | ScaleDesignToForm (TControl)
 | ScaleFontsPPI (TControl)
 | ScaleFontTo96 (TControl)
 | ScaleFontToScreen (TControl)
 | ScaleFormTo96 (TControl)
 | ScaleFormToDesign (TControl)
 | ScaleScreenTo96 (TControl)
 | ScaleScreenToFont (TControl)
 | ScreenToClient (TControl)
 | ScreenToControl (TControl)
 | ScrollBy (TWinControl)
 | ScrollBy_WS (TWinControl)
pt | SelectFirst (TWinControl)
 | SelectNext (TWinControl)
pt | SendDialogChar (TWinControl)
pt | SendMoveSizeMessages (TControl)
pt | SendMoveSizeMessages (TWinControl)
 | SendToBack (TControl)
pt | SetAction (TControl)
pt | SetAlign (TControl)
 | SetAncestor (TComponent)
pt | SetAnchors (TControl)
pt | SetAutoSize (TControl)
pt | SetBiDiMode (TControl)
pt | SetBorderStyle (TWinControl)
 | SetBounds (TControl)
 | SetBounds (TWinControl)
 | SetBoundsKeepBase (TControl)
 | SetChildOrder (TComponent)
pt | SetChildZPosition (TWinControl)
pt | SetColor (TControl)
pt | SetColor (TWinControl)
 | SetComponentIndex (TComponent)
 | SetControlIndex (TWinControl)
pt | SetCursor (TControl)
pt | SetCursor (TCustomPairSplitter)
 | SetDesigning (TComponent)
 | SetDesignInstance (TComponent)
pt | SetDockManager (TWinControl)
pt | SetDragMode (TControl)
pt | SetEnabled (TControl)
 | SetFocus (TWinControl)
pt | SetHint (TControl)
 | SetInitialBounds (TControl)
 | SetInline (TComponent)
 | SetName (TComponent)
pt | SetName (TControl)
pt | SetParent (TControl)
pt | SetParentBackground (TWinControl)
pt | SetParentBiDiMode (TControl)
 | SetParentComponent (TComponent)
pt | SetParentComponent (TControl)
 | SetReference (TComponent)
 | SetShape (TWinControl)
 | SetSubComponent (TComponent)
 | SetTempCursor (TControl)
 | SetTempCursor (TWinControl)
 | SetTextBuf (TControl)
pt | SetVisible (TControl)
pt | SetZOrder (TControl)
 | ShouldAutoAdjust (TControl)
 | Show (TControl)
pt | ShowControl (TWinControl)
 | ShowHelp (TControl)
 | StringMessageTable (TObject)
pt | TextChanged (TControl)
 | ToString (TObject)
pt | TripleClick (TControl)
 | UnitName (TObject)
 | UnlockRealizeBounds (TWinControl)
 | Update (TControl)
 | Update (TWinControl)
 | UpdateAction (TComponent)
pt | UpdateAnchorRules (TControl)
 | UpdateBaseBounds (TControl)
pt | UpdateControlState (TWinControl)
 | Updated (TComponent)
 | UpdateDockCaption (TWinControl)
pt | UpdateMouseCursor (TControl)
 | UpdatePosition (TCustomPairSplitter)
 | UpdateRegistry (TComponent)
 | UpdateRolesForForm (TControl)
pt | UpdateShowing (TWinControl)
 | Updating (TComponent)
 | UseRightToLeftAlignment (TControl)
 | UseRightToLeftReading (TControl)
 | UseRightToLeftScrollBar (TControl)
pt | UTF8KeyPress (TWinControl)
 | ValidateContainer (TComponent)
 | ValidateInsert (TComponent)
 | ValidateRename (TComponent)
pt | VisibleChanged (TControl)
pt | VisibleChanging (TControl)
pt | WidthIsAnchored (TControl)
pt | WMCancelMode (TControl)
pt | WMChar (TWinControl)
pt | WMContextMenu (TControl)
pt | WMContextMenu (TWinControl)
pt | WMDestroy (TWinControl)
pt | WMEnter (TWinControl)
pt | WMEraseBkgnd (TWinControl)
pt | WMExit (TWinControl)
pt | WMKeyDown (TWinControl)
pt | WMKeyUp (TWinControl)
pt | WMKillFocus (TWinControl)
pt | WMLButtonDBLCLK (TControl)
pt | WMLButtonDown (TControl)
pt | WMLButtonQuadCLK (TControl)
pt | WMLButtonTripleCLK (TControl)
pt | WMLButtonUp (TControl)
pt | WMMButtonDBLCLK (TControl)
pt | WMMButtonDown (TControl)
pt | WMMButtonQuadCLK (TControl)
pt | WMMButtonTripleCLK (TControl)
pt | WMMButtonUp (TControl)
pt | WMMouseHWheel (TControl)
pt | WMMouseMove (TControl)
pt | WMMouseWheel (TControl)
pt | WMMove (TControl)
pt | WMMove (TWinControl)
pt | WMNotify (TWinControl)
pt | WMPaint (TWinControl)
pt | WMRButtonDBLCLK (TControl)
pt | WMRButtonDown (TControl)
pt | WMRButtonQuadCLK (TControl)
pt | WMRButtonTripleCLK (TControl)
pt | WMRButtonUp (TControl)
pt | WMSetFocus (TWinControl)
pt | WMShowWindow (TWinControl)
pt | WMSize (TControl)
pt | WMSize (TWinControl)
pt | WMSysChar (TWinControl)
pt | WMSysKeyDown (TWinControl)
pt | WMSysKeyUp (TWinControl)
pt | WMWindowPosChanged (TControl)
pt | WMWindowPosChanged (TWinControl)
pt | WMXButtonDBLCLK (TControl)
pt | WMXButtonDown (TControl)
pt | WMXButtonQuadCLK (TControl)
pt | WMXButtonTripleCLK (TControl)
pt | WMXButtonUp (TControl)
pt | WndProc (TControl)
pt | WndProc (TWinControl)
 | WriteLayoutDebugReport (TControl)
 | WriteLayoutDebugReport (TWinControl)
 | WriteLeft (TComponent)
 | WriteState (TComponent)
 | WriteTop (TComponent)
pt | WSRegisterClass (TLCLComponent)
pt | WSRegisterClass (TControl)
pt | WSRegisterClass (TWinControl)
pt | WSRegisterClass (TCustomPairSplitter)
pt | WSSetText (TWinControl)
 | _AddRef (TComponent)
 | _Release (TComponent)


TCustomPairSplitter
TWinControl
pt | OnGetSiteInfo
pt | OnGetDockCaption
 | OnAlignInsertBefore
 | OnAlignPosition
 | OnDockDrop
 | OnDockOver
 | OnEnter
 | OnExit
 | OnKeyDown
 | OnKeyPress
 | OnKeyUp
 | OnUnDock
 | OnUTF8KeyPress
TControl
pt | OnConstrainedResize
pt | OnContextPopup
pt | OnDblClick
pt | OnTripleClick
pt | OnQuadClick
pt | OnDragDrop
pt | OnDragOver
pt | OnEndDock
pt | OnEndDrag
pt | OnMouseDown
pt | OnMouseMove
pt | OnMouseUp
pt | OnMouseEnter
pt | OnMouseLeave
pt | OnMouseWheel
pt | OnMouseWheelDown
pt | OnMouseWheelUp
pt | OnMouseWheelHorz
pt | OnMouseWheelLeft
pt | OnMouseWheelRight
pt | OnStartDock
pt | OnStartDrag
pt | OnEditingDone
 | OnChangeBounds
 | OnClick
 | OnResize
 | OnShowHint
TLCLComponent
TComponent
TPersistent
TObject


TCustomPairSplitter.ChildClassAllowed

Declaration

Source position: pairsplitter.pas line 117

public function TCustomPairSplitter.ChildClassAllowed(

  ChildClass: TClass

):Boolean; override;


TCustomPairSplitter.Create

Declaration

Source position: pairsplitter.pas line 111

public constructor TCustomPairSplitter.Create(

  TheOwner: TComponent

); override;


TCustomPairSplitter.CreateSides

Declaration

Source position: pairsplitter.pas line 115

public procedure TCustomPairSplitter.CreateSides;


TCustomPairSplitter.CreateWnd

Declaration

Source position: pairsplitter.pas line 113

public procedure TCustomPairSplitter.CreateWnd; override;


TCustomPairSplitter.Cursor

Declaration

Source position: pairsplitter.pas line 119

public property TCustomPairSplitter.Cursor : TCursor
  default crHSplit;


TCustomPairSplitter.Destroy

Declaration

Source position: pairsplitter.pas line 112

public destructor TCustomPairSplitter.Destroy; override;


TCustomPairSplitter.GetControlClassDefaultSize

Declaration

Source position: pairsplitter.pas line 109

protected class function TCustomPairSplitter.GetControlClassDefaultSize: TSize; override;


TCustomPairSplitter.GetCursor

Declaration

Source position: pairsplitter.pas line 107

protected function TCustomPairSplitter.GetCursor: TCursor; override;


TCustomPairSplitter.Loaded

Declaration

Source position: pairsplitter.pas line 116

public procedure TCustomPairSplitter.Loaded; override;


TCustomPairSplitter.Position

Declaration

Source position: pairsplitter.pas line 123

public property TCustomPairSplitter.Position : Integer
  read GetPosition
  write SetPosition;


TCustomPairSplitter.SetCursor

Declaration

Source position: pairsplitter.pas line 108

protected procedure TCustomPairSplitter.SetCursor(

  Value: TCursor

); override;


TCustomPairSplitter.Sides

Declaration

Source position: pairsplitter.pas line 120

public property TCustomPairSplitter.Sides[Index: Integer] : TPairSplitterSide
  read GetSides;


TCustomPairSplitter.SplitterType

Declaration

Source position: pairsplitter.pas line 121

public property TCustomPairSplitter.SplitterType : TPairSplitterType
  read FSplitterType
  write SetSplitterType
  default pstHorizontal;


TCustomPairSplitter.UpdatePosition

Declaration

Source position: pairsplitter.pas line 114

public procedure TCustomPairSplitter.UpdatePosition;


TPairSplitter

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Declaration

Source position: pairsplitter.pas line 129

type TPairSplitter = class(TCustomPairSplitter)

published

  property Align: TAlign;

  property Anchors: TAnchors;

  property BorderSpacing: TControlBorderSpacing;

  property Constraints: TSizeConstraints;

  property Color: TColor;

  property Cursor: TCursor;

  property Enabled: Boolean;

  property OnMouseDown: TMouseEvent;

  property OnMouseEnter: TNotifyEvent;

  property OnMouseLeave: TNotifyEvent;

  property OnMouseMove: TMouseMoveEvent;

  property OnMouseUp: TMouseEvent;

  property OnMouseWheel: TMouseWheelEvent;

  property OnMouseWheelDown: TMouseWheelUpDownEvent;

  property OnMouseWheelUp: TMouseWheelUpDownEvent;

  property OnResize: TNotifyEvent;

  property OnChangeBounds: TNotifyEvent;

  property ParentShowHint: Boolean;

  property PopupMenu: TPopupMenu;

  property Position: Integer;

  property ShowHint: Boolean;

  property SplitterType: TPairSplitterType;

  property Visible: Boolean;

end;

Inheritance

TPairSplitter |
|
TCustomPairSplitter |
|
TWinControl | The base class for controls which can contain other (child) controls.
|
TControl | The base class for visible controls.
|
TLCLComponent | The base class for LCL components associated with widgets.
|
TComponent,IUnknown,IInterfaceComponentReference
|
TPersistent,IFPObserved
|
TObject


TPairSplitter
pl | ro | Align
pl | ro | Anchors
pl | ro | BorderSpacing
pl | ro | Constraints
pl | ro | Color
pl | ro | Cursor
pl | ro | Enabled
pl | ro | ParentShowHint
pl | ro | PopupMenu
pl | ro | Position
pl | ro | ShowHint
pl | ro | SplitterType
pl | ro | Visible
TCustomPairSplitter
 | ro | Cursor
 | ro | Sides
 |  | SplitterType
 |  | Position
TWinControl
pt |  | WindowHandle
pt |  | BorderStyle
pt |  | ParentBackground
 |  | BorderWidth
 | ro | BoundsLockCount
 | ro | Brush
 | ro | CachedClientHeight
 | ro | CachedClientWidth
 |  | ChildSizing
 | ro | ControlCount
 | ro | Controls
 |  | DefWndProc
 | ro | DockClientCount
 | ro | DockClients
 |  | DockManager
 |  | DockSite
 |  | DoubleBuffered
 |  | Handle
 | ro | IsFlipped
 | ro | IsResizing
 |  | TabOrder
 |  | TabStop
 |  | ParentDoubleBuffered
 |  | ParentWindow
 | ro | Showing
 |  | UseDockManager
 |  | DesignerDeleting
 | ro | VisibleDockClientCount
TControl
pt | ro | AutoSizing
pt | ro | AutoSizingAll
pt | ro | AutoSizingLockCount
pt |  | ActionLink
pt |  | DesktopFont
pt |  | DragCursor
pt |  | DragKind
pt |  | DragMode
pt |  | MouseCapture
pt |  | ParentColor
pt |  | ParentFont
pt |  | ParentShowHint
pt |  | SessionProperties
pt |  | Text
 | ro | AnchoredControls
 | ro | BaseBounds
 | ro | ReadBounds
 | ro | BaseParentClientSize
 |  | AccessibleDescription
 |  | AccessibleValue
 |  | AccessibleRole
 |  | Action
 |  | Align
 |  | Anchors
 | ro | AnchorSide
 |  | AutoSize
 |  | BorderSpacing
 |  | BoundsRect
 |  | BoundsRectForNewParent
 |  | Caption
 |  | CaptureMouseButtons
 |  | ClientHeight
 | ro | ClientOrigin
 | ro | ClientRect
 |  | ClientWidth
 |  | Color
 |  | Constraints
 | ro | ControlOrigin
 |  | ControlState
 |  | ControlStyle
 |  | Enabled
 |  | Font
 |  | IsControl
 | ro | MouseEntered
 | ro | MouseInClient
 |  | Parent
 |  | PopupMenu
 |  | ShowHint
 |  | Visible
 |  | WindowProc
 |  | DockOrientation
 | ro | Floating
 |  | FloatingDockSiteClass
 |  | HostDockSite
 |  | LRDockWidth
 |  | TBDockHeight
 |  | UndockHeight
 |  | UndockWidth
 |  | BiDiMode
 |  | ParentBiDiMode
pl |  | AnchorSideLeft
pl |  | AnchorSideTop
pl |  | AnchorSideRight
pl |  | AnchorSideBottom
pl |  | Cursor
pl |  | Left
pl |  | Height
pl |  | Hint
pl |  | Top
pl |  | Width
pl |  | HelpType
pl |  | HelpKeyword
pl |  | HelpContext
TLCLComponent
 | ro | LCLRefCount
 | ro | WidgetSetClass
TComponent
 | ro | ComObject
 | ro | Components
 | ro | ComponentCount
 |  | ComponentIndex
 | ro | ComponentState
 | ro | ComponentStyle
 |  | DesignInfo
 | ro | Owner
 |  | VCLComObject
 |  | Name
 |  | Tag
TPersistent
TObject


 |  | AccessibleDescription (TControl)
 |  | AccessibleRole (TControl)
 |  | AccessibleValue (TControl)
 |  | Action (TControl)
pt |  | ActionLink (TControl)
 |  | Align (TControl)
pl | ro | Align (TPairSplitter)
 | ro | AnchoredControls (TControl)
 |  | Anchors (TControl)
pl | ro | Anchors (TPairSplitter)
 | ro | AnchorSide (TControl)
pl |  | AnchorSideBottom (TControl)
pl |  | AnchorSideLeft (TControl)
pl |  | AnchorSideRight (TControl)
pl |  | AnchorSideTop (TControl)
 |  | AutoSize (TControl)
pt | ro | AutoSizing (TControl)
pt | ro | AutoSizingAll (TControl)
pt | ro | AutoSizingLockCount (TControl)
 | ro | BaseBounds (TControl)
 | ro | BaseParentClientSize (TControl)
 |  | BiDiMode (TControl)
 |  | BorderSpacing (TControl)
pl | ro | BorderSpacing (TPairSplitter)
pt |  | BorderStyle (TWinControl)
 |  | BorderWidth (TWinControl)
 | ro | BoundsLockCount (TWinControl)
 |  | BoundsRect (TControl)
 |  | BoundsRectForNewParent (TControl)
 | ro | Brush (TWinControl)
 | ro | CachedClientHeight (TWinControl)
 | ro | CachedClientWidth (TWinControl)
 |  | Caption (TControl)
 |  | CaptureMouseButtons (TControl)
 |  | ChildSizing (TWinControl)
 |  | ClientHeight (TControl)
 | ro | ClientOrigin (TControl)
 | ro | ClientRect (TControl)
 |  | ClientWidth (TControl)
 |  | Color (TControl)
pl | ro | Color (TPairSplitter)
 | ro | ComObject (TComponent)
 | ro | ComponentCount (TComponent)
 |  | ComponentIndex (TComponent)
 | ro | Components (TComponent)
 | ro | ComponentState (TComponent)
 | ro | ComponentStyle (TComponent)
 |  | Constraints (TControl)
pl | ro | Constraints (TPairSplitter)
 | ro | ControlCount (TWinControl)
 | ro | ControlOrigin (TControl)
 | ro | Controls (TWinControl)
 |  | ControlState (TControl)
 |  | ControlStyle (TControl)
pl |  | Cursor (TControl)
 | ro | Cursor (TCustomPairSplitter)
pl | ro | Cursor (TPairSplitter)
 |  | DefWndProc (TWinControl)
 |  | DesignerDeleting (TWinControl)
 |  | DesignInfo (TComponent)
pt |  | DesktopFont (TControl)
 | ro | DockClientCount (TWinControl)
 | ro | DockClients (TWinControl)
 |  | DockManager (TWinControl)
 |  | DockOrientation (TControl)
 |  | DockSite (TWinControl)
 |  | DoubleBuffered (TWinControl)
pt |  | DragCursor (TControl)
pt |  | DragKind (TControl)
pt |  | DragMode (TControl)
 |  | Enabled (TControl)
pl | ro | Enabled (TPairSplitter)
 | ro | Floating (TControl)
 |  | FloatingDockSiteClass (TControl)
 |  | Font (TControl)
 |  | Handle (TWinControl)
pl |  | Height (TControl)
pl |  | HelpContext (TControl)
pl |  | HelpKeyword (TControl)
pl |  | HelpType (TControl)
pl |  | Hint (TControl)
 |  | HostDockSite (TControl)
 |  | IsControl (TControl)
 | ro | IsFlipped (TWinControl)
 | ro | IsResizing (TWinControl)
 | ro | LCLRefCount (TLCLComponent)
pl |  | Left (TControl)
 |  | LRDockWidth (TControl)
pt |  | MouseCapture (TControl)
 | ro | MouseEntered (TControl)
 | ro | MouseInClient (TControl)
 |  | Name (TComponent)
 | ro | Owner (TComponent)
 |  | Parent (TControl)
pt |  | ParentBackground (TWinControl)
 |  | ParentBiDiMode (TControl)
pt |  | ParentColor (TControl)
 |  | ParentDoubleBuffered (TWinControl)
pt |  | ParentFont (TControl)
pt |  | ParentShowHint (TControl)
pl | ro | ParentShowHint (TPairSplitter)
 |  | ParentWindow (TWinControl)
 |  | PopupMenu (TControl)
pl | ro | PopupMenu (TPairSplitter)
 |  | Position (TCustomPairSplitter)
pl | ro | Position (TPairSplitter)
 | ro | ReadBounds (TControl)
pt |  | SessionProperties (TControl)
 |  | ShowHint (TControl)
pl | ro | ShowHint (TPairSplitter)
 | ro | Showing (TWinControl)
 | ro | Sides (TCustomPairSplitter)
 |  | SplitterType (TCustomPairSplitter)
pl | ro | SplitterType (TPairSplitter)
 |  | TabOrder (TWinControl)
 |  | TabStop (TWinControl)
 |  | Tag (TComponent)
 |  | TBDockHeight (TControl)
pt |  | Text (TControl)
pl |  | Top (TControl)
 |  | UndockHeight (TControl)
 |  | UndockWidth (TControl)
 |  | UseDockManager (TWinControl)
 |  | VCLComObject (TComponent)
 |  | Visible (TControl)
pl | ro | Visible (TPairSplitter)
 | ro | VisibleDockClientCount (TWinControl)
 | ro | WidgetSetClass (TLCLComponent)
pl |  | Width (TControl)
pt |  | WindowHandle (TWinControl)
 |  | WindowProc (TControl)


TPairSplitter
TCustomPairSplitter
pt | WSRegisterClass
pt | GetCursor
pt | SetCursor
pt | GetControlClassDefaultSize
 | Create
 | Destroy
 | CreateWnd
 | UpdatePosition
 | CreateSides
 | Loaded
 | ChildClassAllowed
TWinControl
pt | WSRegisterClass
pt | AdjustClientRect
pt | GetAdjustedLogicalClientRect
pt | AlignControls
pt | CustomAlignInsertBefore
pt | CustomAlignPosition
pt | DoAlignChildControls
pt | DoChildSizingChange
pt | InvalidatePreferredChildSizes
pt | CanTab
pt | IsClientHeightStored
pt | IsClientWidthStored
pt | DoSendShowHideToInterface
pt | ControlsAligned
pt | DoSendBoundsToInterface
pt | RealizeBounds
pt | RealizeBoundsRecursive
pt | InvalidateBoundsRealized
pt | CreateSubClass
pt | DoConstraintsChange
pt | DoSetBounds
pt | DoAutoSize
pt | DoAllAutoSize
pt | AllAutoSized
pt | CalculatePreferredSize
pt | GetPreferredSizeClientFrame
pt | GetChildren
pt | ChildClassAllowed
pt | PaintControls
pt | PaintHandler
pt | PaintWindow
pt | CreateBrush
pt | ScaleControls
pt | ChangeScale
pt | CMBiDiModeChanged
pt | CMBorderChanged
pt | CMDoubleBufferedChanged
pt | CMEnabledChanged
pt | CMParentDoubleBufferedChanged
pt | CMShowingChanged
pt | CMShowHintChanged
pt | CMVisibleChanged
pt | CMEnter
pt | CMExit
pt | WMContextMenu
pt | WMEraseBkgnd
pt | WMNotify
pt | WMSetFocus
pt | WMKillFocus
pt | WMShowWindow
pt | WMEnter
pt | WMExit
pt | WMKeyDown
pt | WMSysKeyDown
pt | WMKeyUp
pt | WMSysKeyUp
pt | WMChar
pt | WMSysChar
pt | WMPaint
pt | WMDestroy
pt | WMMove
pt | WMSize
pt | WMWindowPosChanged
pt | CNKeyDown
pt | CNSysKeyDown
pt | CNKeyUp
pt | CNSysKeyUp
pt | CNChar
pt | DoDragMsg
pt | DoDockClientMsg
pt | DoUndockClientMsg
pt | DoAddDockClient
pt | DockOver
pt | DoDockOver
pt | DoRemoveDockClient
pt | DoUnDock
pt | GetSiteInfo
pt | GetParentHandle
pt | GetTopParentHandle
pt | ReloadDockedControl
pt | CreateDockManager
pt | SetDockManager
pt | DoFloatMsg
pt | DoGetDockCaption
pt | DoEnter
pt | DoExit
pt | DoKeyDownBeforeInterface
pt | DoRemainingKeyDown
pt | DoRemainingKeyUp
pt | DoKeyPress
pt | DoUTF8KeyPress
pt | DoKeyUpBeforeInterface
pt | ChildKey
pt | SendDialogChar
pt | DialogChar
pt | ControlKeyDown
pt | ControlKeyUp
pt | KeyDown
pt | KeyDownBeforeInterface
pt | KeyDownAfterInterface
pt | KeyPress
pt | KeyUp
pt | KeyUpBeforeInterface
pt | KeyUpAfterInterface
pt | UTF8KeyPress
pt | FindNextControl
pt | SelectFirst
pt | RealGetText
pt | GetBorderStyle
pt | GetClientOrigin
pt | GetClientRect
pt | GetControlOrigin
pt | GetDeviceContext
pt | GetParentBackground
pt | IsControlMouseMsg
pt | CreateHandle
pt | CreateParams
pt | CreateWnd
pt | DestroyHandle
pt | DestroyWnd
pt | DoFlipChildren
pt | FinalizeWnd
pt | FixupTabList
pt | FontChanged
pt | InitializeWnd
pt | Loaded
pt | FormEndUpdated
pt | MainWndProc
pt | ParentFormHandleInitialized
pt | ChildHandlesCreated
pt | GetMouseCapture
pt | RealSetText
pt | RemoveFocus
pt | SendMoveSizeMessages
pt | SetBorderStyle
pt | SetColor
pt | SetChildZPosition
pt | SetParentBackground
pt | ShowControl
pt | UpdateControlState
pt | UpdateShowing
pt | WndProc
pt | WSSetText
 | AutoSizePhases
 | AutoSizeDelayed
 | AutoSizeDelayedReport
 | AutoSizeDelayedHandle
 | BeginUpdateBounds
 | EndUpdateBounds
 | LockRealizeBounds
 | UnlockRealizeBounds
 | ControlAtPos
 | ContainsControl
 | DoAdjustClientRectChange
 | InvalidateClientRectCache
 | ClientRectNeedsInterfaceUpdate
 | SetBounds
 | GetChildrenRect
 | DisableAlign
 | EnableAlign
 | ReAlign
 | ScrollBy_WS
 | ScrollBy
 | WriteLayoutDebugReport
 | AutoAdjustLayout
 | Create
 | CreateParented
 | CreateParentedControl
 | Destroy
 | DockDrop
 | CanFocus
 | CanSetFocus
 | GetControlIndex
 | SetControlIndex
 | Focused
 | PerformTab
 | FindChildControl
 | SelectNext
 | SetTempCursor
 | BroadCast
 | NotifyControls
 | DefaultHandler
 | GetTextLen
 | Invalidate
 | AddControl
 | InsertControl
 | RemoveControl
 | GetEnumeratorControls
 | GetEnumeratorControlsReverse
 | Repaint
 | Update
 | SetFocus
 | FlipChildren
 | ScaleBy
 | GetDockCaption
 | UpdateDockCaption
 | GetTabOrderList
 | HandleAllocated
 | ParentHandlesAllocated
 | HandleNeeded
 | BrushCreated
 | EraseBackground
 | IntfUTF8KeyPress
 | IntfGetDropFilesTarget
 | PaintTo
 | SetShape
TControl
pt | WSRegisterClass
pt | GetCursor
pt | SetCursor
pt | SetVisible
pt | DoOnParentHandleDestruction
pt | DoAutoSize
pt | DoAllAutoSize
pt | BeginAutoSizing
pt | EndAutoSizing
pt | AnchorSideChanged
pt | ForeignAnchorSideChanged
pt | SetAlign
pt | SetAnchors
pt | SetAutoSize
pt | BoundsChanged
pt | CreateControlBorderSpacing
pt | DoConstraintsChange
pt | DoBorderSpacingChange
pt | IsBorderSpacingInnerBorderStored
pt | IsCaptionStored
pt | SendMoveSizeMessages
pt | ConstrainedResize
pt | CalculatePreferredSize
pt | DoOnResize
pt | DoOnChangeBounds
pt | CheckOnChangeBounds
pt | Resize
pt | RequestAlign
pt | UpdateAnchorRules
pt | ChangeBounds
pt | DoSetBounds
pt | ScaleConstraints
pt | ChangeScale
pt | CanAutoSize
pt | SetBiDiMode
pt | SetParentBiDiMode
pt | IsAParentAligning
pt | GetClientOrigin
pt | GetClientRect
pt | GetLogicalClientRect
pt | GetScrolledClientRect
pt | GetClientScrollOffset
pt | GetControlOrigin
pt | IsClientHeightStored
pt | IsClientWidthStored
pt | WidthIsAnchored
pt | HeightIsAnchored
pt | WMCancelMode
pt | WMContextMenu
pt | WMLButtonDown
pt | WMRButtonDown
pt | WMMButtonDown
pt | WMXButtonDown
pt | WMLButtonDBLCLK
pt | WMRButtonDBLCLK
pt | WMMButtonDBLCLK
pt | WMXButtonDBLCLK
pt | WMLButtonTripleCLK
pt | WMRButtonTripleCLK
pt | WMMButtonTripleCLK
pt | WMXButtonTripleCLK
pt | WMLButtonQuadCLK
pt | WMRButtonQuadCLK
pt | WMMButtonQuadCLK
pt | WMXButtonQuadCLK
pt | WMMouseMove
pt | WMLButtonUp
pt | WMRButtonUp
pt | WMMButtonUp
pt | WMXButtonUp
pt | WMMouseWheel
pt | WMMouseHWheel
pt | WMMove
pt | WMSize
pt | WMWindowPosChanged
pt | CMChanged
pt | LMCaptureChanged
pt | CMBiDiModeChanged
pt | CMSysFontChanged
pt | CMEnabledChanged
pt | CMHitTest
pt | CMMouseEnter
pt | CMMouseLeave
pt | CMHintShow
pt | CMParentBiDiModeChanged
pt | CMParentColorChanged
pt | CMParentFontChanged
pt | CMParentShowHintChanged
pt | CMVisibleChanged
pt | CMTextChanged
pt | CMCursorChanged
pt | CalculateDockSizes
pt | CreateFloatingDockSite
pt | GetDockEdge
pt | GetDragImages
pt | GetFloating
pt | GetFloatingDockSiteClass
pt | BeforeDragStart
pt | BeginAutoDrag
pt | DoFloatMsg
pt | DockTrackNoTarget
pt | DoDock
pt | DoDragMsg
pt | DoEndDock
pt | DoEndDrag
pt | DoStartDock
pt | DoStartDrag
pt | DragCanceled
pt | DragOver
pt | PositionDockRect
pt | SetDragMode
pt | GetDefaultDockCaption
pt | Click
pt | DblClick
pt | TripleClick
pt | QuadClick
pt | GetMousePosFromMessage
pt | MouseDown
pt | MouseMove
pt | MouseUp
pt | MouseEnter
pt | MouseLeave
pt | DialogChar
pt | UpdateMouseCursor
pt | Changed
pt | GetPalette
pt | ChildClassAllowed
pt | ReadState
pt | Loaded
pt | LoadedAll
pt | DefineProperties
pt | AssignTo
pt | FormEndUpdated
pt | InvalidateControl
pt | FontChanged
pt | ParentFontChanged
pt | GetAction
pt | RealGetText
pt | RealSetText
pt | TextChanged
pt | GetCachedText
pt | SetAction
pt | SetColor
pt | SetEnabled
pt | SetHint
pt | SetName
pt | SetParent
pt | SetParentComponent
pt | WndProc
pt | ParentFormHandleInitialized
pt | GetMouseCapture
pt | CaptureChanged
pt | Notification
pt | CanTab
pt | GetDeviceContext
pt | GetEnabled
pt | GetPopupMenu
pt | DoOnShowHint
pt | DoMouseWheel
pt | DoMouseWheelDown
pt | DoMouseWheelUp
pt | DoMouseWheelHorz
pt | DoMouseWheelLeft
pt | DoMouseWheelRight
pt | VisibleChanging
pt | VisibleChanged
pt | EnabledChanging
pt | EnabledChanged
pt | AddHandler
pt | RemoveHandler
pt | DoCallNotifyHandler
pt | DoCallKeyEventHandler
pt | DoCallMouseWheelEventHandler
pt | DoContextPopup
pt | SetZOrder
pt | GetControlClassDefaultSize
pt | ColorIsStored
pt | DoAutoAdjustLayout
pt | DoFixDesignFontPPI
pt | DoScaleFontPPI
pt | GetActionLinkClass
pt | ActionChange
 | DragDrop
 | Dock
 | ManualDock
 | ManualFloat
 | ReplaceDockedControl
 | Docked
 | Dragging
 | GetAccessibleObject
 | CreateAccessibleObject
 | GetSelectedChildAccessibleObject
 | GetChildAccessibleObjectAtPos
 | ScaleDesignToForm
 | ScaleFormToDesign
 | Scale96ToForm
 | ScaleFormTo96
 | Scale96ToFont
 | ScaleFontTo96
 | ScaleScreenToFont
 | ScaleFontToScreen
 | Scale96ToScreen
 | ScaleScreenTo96
 | AdjustSize
 | AutoSizePhases
 | AutoSizeDelayed
 | AutoSizeDelayedReport
 | AutoSizeDelayedHandle
 | AnchorToNeighbour
 | AnchorParallel
 | AnchorHorizontalCenterTo
 | AnchorVerticalCenterTo
 | AnchorToCompanion
 | AnchorSame
 | AnchorAsAlign
 | AnchorClient
 | AnchoredControlCount
 | SetBounds
 | SetInitialBounds
 | SetBoundsKeepBase
 | GetPreferredSize
 | GetCanvasScaleFactor
 | GetDefaultWidth
 | GetDefaultHeight
 | GetDefaultColor
 | GetColorResolvingParent
 | GetRGBColorResolvingParent
 | GetSidePosition
 | CNPreferredSizeChanged
 | InvalidatePreferredSize
 | GetAnchorsDependingOnParent
 | DisableAutoSizing
 | EnableAutoSizing
 | UpdateBaseBounds
 | WriteLayoutDebugReport
 | AutoAdjustLayout
 | ShouldAutoAdjust
 | FixDesignFontsPPI
 | ScaleFontsPPI
 | Create
 | Destroy
 | BeforeDestruction
 | EditingDone
 | ExecuteDefaultAction
 | ExecuteCancelAction
 | BeginDrag
 | EndDrag
 | BringToFront
 | HasParent
 | GetParentComponent
 | IsParentOf
 | GetTopParent
 | IsVisible
 | IsControlVisible
 | IsEnabled
 | IsParentColor
 | IsParentFont
 | FormIsUpdating
 | IsProcessingPaintMsg
 | Hide
 | Refresh
 | Repaint
 | Invalidate
 | CheckChildClassAllowed
 | CheckNewParent
 | SendToBack
 | SetTempCursor
 | UpdateRolesForForm
 | ActiveDefaultControlChanged
 | GetTextBuf
 | GetTextLen
 | SetTextBuf
 | Perform
 | ScreenToClient
 | ClientToScreen
 | ScreenToControl
 | ControlToScreen
 | ClientToParent
 | ParentToClient
 | GetChildrenRect
 | Show
 | Update
 | HandleObjectShouldBeVisible
 | ParentDestroyingHandle
 | ParentHandlesAllocated
 | InitiateAction
 | ShowHelp
 | HasHelp
 | RemoveAllHandlersOfObject
 | AddHandlerOnResize
 | RemoveHandlerOnResize
 | AddHandlerOnChangeBounds
 | RemoveHandlerOnChangeBounds
 | AddHandlerOnVisibleChanging
 | RemoveHandlerOnVisibleChanging
 | AddHandlerOnVisibleChanged
 | RemoveHandlerOnVisibleChanged
 | AddHandlerOnEnabledChanged
 | RemoveHandlerOnEnableChanging
 | AddHandlerOnKeyDown
 | RemoveHandlerOnKeyDown
 | AddHandlerOnBeforeDestruction
 | RemoveHandlerOnBeforeDestruction
 | AddHandlerOnMouseWheel
 | RemoveHandlerOnMouseWheel
 | UseRightToLeftAlignment
 | UseRightToLeftReading
 | UseRightToLeftScrollBar
 | IsRightToLeft
TLCLComponent
pt | WSRegisterClass
pt | GetWSComponentClass
 | Create
 | Destroy
 | NewInstance
 | RemoveAllHandlersOfObject
 | IncLCLRefCount
 | DecLCLRefCount
TComponent
 | GetComObject
 | GetComponent
 | GetComponentCount
 | GetComponentIndex
 | Insert
 | ReadLeft
 | ReadTop
 | Remove
 | RemoveNotification
 | SetComponentIndex
 | SetReference
 | WriteLeft
 | WriteTop
 | ChangeName
 | DefineProperties
 | GetChildren
 | GetChildOwner
 | GetChildParent
 | GetOwner
 | Loaded
 | Loading
 | Notification
 | PaletteCreated
 | ReadState
 | SetAncestor
 | SetDesigning
 | SetDesignInstance
 | SetInline
 | SetName
 | SetChildOrder
 | SetParentComponent
 | Updating
 | Updated
 | UpdateRegistry
 | ValidateRename
 | ValidateContainer
 | ValidateInsert
 | QueryInterface
 | _AddRef
 | _Release
 | iicrGetComponent
 | GetTypeInfoCount
 | GetTypeInfo
 | GetIDsOfNames
 | Invoke
 | WriteState
 | Create
 | Destroy
 | BeforeDestruction
 | DestroyComponents
 | Destroying
 | ExecuteAction
 | FindComponent
 | FreeNotification
 | RemoveFreeNotification
 | FreeOnRelease
 | GetEnumerator
 | GetNamePath
 | GetParentComponent
 | HasParent
 | InsertComponent
 | RemoveComponent
 | SafeCallException
 | SetSubComponent
 | UpdateAction
 | IsImplementorOf
 | ReferenceInterface
TPersistent
 | AssignError
 | AssignTo
 | DefineProperties
 | GetOwner
 | Destroy
 | Assign
 | FPOAttachObserver
 | FPODetachObserver
 | FPONotifyObservers
 | GetNamePath
TObject
 | Create
 | Destroy
 | newinstance
 | FreeInstance
 | SafeCallException
 | DefaultHandler
 | Free
 | InitInstance
 | CleanupInstance
 | ClassType
 | ClassInfo
 | ClassName
 | ClassNameIs
 | ClassParent
 | InstanceSize
 | InheritsFrom
 | StringMessageTable
 | MethodAddress
 | MethodName
 | FieldAddress
 | AfterConstruction
 | BeforeDestruction
 | DefaultHandlerStr
 | Dispatch
 | DispatchStr
 | GetInterface
 | GetInterfaceByStr
 | GetInterfaceWeak
 | GetInterfaceEntry
 | GetInterfaceEntryByStr
 | GetInterfaceTable
 | UnitName
 | Equals
 | GetHashCode
 | ToString


TPairSplitter
pl | ro | OnMouseDown
pl | ro | OnMouseEnter
pl | ro | OnMouseLeave
pl | ro | OnMouseMove
pl | ro | OnMouseUp
pl | ro | OnMouseWheel
pl | ro | OnMouseWheelDown
pl | ro | OnMouseWheelUp
pl | ro | OnResize
pl | ro | OnChangeBounds
TCustomPairSplitter
TWinControl
pt |  | OnGetSiteInfo
pt |  | OnGetDockCaption
 |  | OnAlignInsertBefore
 |  | OnAlignPosition
 |  | OnDockDrop
 |  | OnDockOver
 |  | OnEnter
 |  | OnExit
 |  | OnKeyDown
 |  | OnKeyPress
 |  | OnKeyUp
 |  | OnUnDock
 |  | OnUTF8KeyPress
TControl
pt |  | OnConstrainedResize
pt |  | OnContextPopup
pt |  | OnDblClick
pt |  | OnTripleClick
pt |  | OnQuadClick
pt |  | OnDragDrop
pt |  | OnDragOver
pt |  | OnEndDock
pt |  | OnEndDrag
pt |  | OnMouseDown
pt |  | OnMouseMove
pt |  | OnMouseUp
pt |  | OnMouseEnter
pt |  | OnMouseLeave
pt |  | OnMouseWheel
pt |  | OnMouseWheelDown
pt |  | OnMouseWheelUp
pt |  | OnMouseWheelHorz
pt |  | OnMouseWheelLeft
pt |  | OnMouseWheelRight
pt |  | OnStartDock
pt |  | OnStartDrag
pt |  | OnEditingDone
 |  | OnChangeBounds
 |  | OnClick
 |  | OnResize
 |  | OnShowHint
TLCLComponent
TComponent
TPersistent
TObject


pl | ro | OnChangeBounds (TPairSplitter)
 |  | OnClick (TControl)
pt |  | OnConstrainedResize (TControl)
pt |  | OnContextPopup (TControl)
pt |  | OnDblClick (TControl)
 |  | OnDockDrop (TWinControl)
 |  | OnDockOver (TWinControl)
pt |  | OnDragDrop (TControl)
pt |  | OnDragOver (TControl)
pt |  | OnEditingDone (TControl)
pt |  | OnEndDock (TControl)
pt |  | OnEndDrag (TControl)
 |  | OnEnter (TWinControl)
 |  | OnExit (TWinControl)
pt |  | OnGetDockCaption (TWinControl)
pt |  | OnGetSiteInfo (TWinControl)
 |  | OnKeyDown (TWinControl)
 |  | OnKeyPress (TWinControl)
 |  | OnKeyUp (TWinControl)
pt |  | OnMouseDown (TControl)
pl | ro | OnMouseDown (TPairSplitter)
pt |  | OnMouseEnter (TControl)
pl | ro | OnMouseEnter (TPairSplitter)
pt |  | OnMouseLeave (TControl)
pl | ro | OnMouseLeave (TPairSplitter)
pt |  | OnMouseMove (TControl)
pl | ro | OnMouseMove (TPairSplitter)
pt |  | OnMouseUp (TControl)
pl | ro | OnMouseUp (TPairSplitter)
pt |  | OnMouseWheel (TControl)
pl | ro | OnMouseWheel (TPairSplitter)
pt |  | OnMouseWheelDown (TControl)
pl | ro | OnMouseWheelDown (TPairSplitter)
pt |  | OnMouseWheelHorz (TControl)
pt |  | OnMouseWheelLeft (TControl)
pt |  | OnMouseWheelRight (TControl)
pt |  | OnMouseWheelUp (TControl)
pl | ro | OnMouseWheelUp (TPairSplitter)
pt |  | OnQuadClick (TControl)
 |  | OnResize (TControl)
pl | ro | OnResize (TPairSplitter)
 |  | OnShowHint (TControl)
pt |  | OnStartDock (TControl)
pt |  | OnStartDrag (TControl)
pt |  | OnTripleClick (TControl)
 |  | OnUnDock (TWinControl)
 |  | OnUTF8KeyPress (TWinControl)


TPairSplitter.Align

Declaration

Source position: pairsplitter.pas line 131

published property TPairSplitter.Align : TAlign;


TPairSplitter.Anchors

Declaration

Source position: pairsplitter.pas line 132

published property TPairSplitter.Anchors : TAnchors;


TPairSplitter.BorderSpacing

Declaration

Source position: pairsplitter.pas line 133

published property TPairSplitter.BorderSpacing : TControlBorderSpacing;


TPairSplitter.Color

Declaration

Source position: pairsplitter.pas line 135

published property TPairSplitter.Color : TColor;


TPairSplitter.Constraints

Declaration

Source position: pairsplitter.pas line 134

published property TPairSplitter.Constraints : TSizeConstraints;


TPairSplitter.Cursor

Declaration

Source position: pairsplitter.pas line 136

published property TPairSplitter.Cursor : TCursor;


TPairSplitter.Enabled

Declaration

Source position: pairsplitter.pas line 137

published property TPairSplitter.Enabled : Boolean;


TPairSplitter.OnChangeBounds

Declaration

Source position: pairsplitter.pas line 147

published property TPairSplitter.OnChangeBounds : TNotifyEvent;


TPairSplitter.OnMouseDown

Declaration

Source position: pairsplitter.pas line 138

published property TPairSplitter.OnMouseDown : TMouseEvent;


TPairSplitter.OnMouseEnter

Declaration

Source position: pairsplitter.pas line 139

published property TPairSplitter.OnMouseEnter : TNotifyEvent;


TPairSplitter.OnMouseLeave

Declaration

Source position: pairsplitter.pas line 140

published property TPairSplitter.OnMouseLeave : TNotifyEvent;


TPairSplitter.OnMouseMove

Declaration

Source position: pairsplitter.pas line 141

published property TPairSplitter.OnMouseMove : TMouseMoveEvent;


TPairSplitter.OnMouseUp

Declaration

Source position: pairsplitter.pas line 142

published property TPairSplitter.OnMouseUp : TMouseEvent;


TPairSplitter.OnMouseWheel

Declaration

Source position: pairsplitter.pas line 143

published property TPairSplitter.OnMouseWheel : TMouseWheelEvent;


TPairSplitter.OnMouseWheelDown

Declaration

Source position: pairsplitter.pas line 144

published property TPairSplitter.OnMouseWheelDown : TMouseWheelUpDownEvent;


TPairSplitter.OnMouseWheelUp

Declaration

Source position: pairsplitter.pas line 145

published property TPairSplitter.OnMouseWheelUp : TMouseWheelUpDownEvent;


TPairSplitter.OnResize

Declaration

Source position: pairsplitter.pas line 146

published property TPairSplitter.OnResize : TNotifyEvent;


TPairSplitter.ParentShowHint

Declaration

Source position: pairsplitter.pas line 148

published property TPairSplitter.ParentShowHint : Boolean;


TPairSplitter.PopupMenu

Declaration

Source position: pairsplitter.pas line 149

published property TPairSplitter.PopupMenu : TPopupMenu;


TPairSplitter.Position

Declaration

Source position: pairsplitter.pas line 150

published property TPairSplitter.Position : Integer;


TPairSplitter.ShowHint

Declaration

Source position: pairsplitter.pas line 151

published property TPairSplitter.ShowHint : Boolean;


TPairSplitter.SplitterType

Declaration

Source position: pairsplitter.pas line 152

published property TPairSplitter.SplitterType : TPairSplitterType;


TPairSplitter.Visible

Declaration

Source position: pairsplitter.pas line 153

published property TPairSplitter.Visible : Boolean;


TPairSplitterSide

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Declaration

Source position: pairsplitter.pas line 43

type TPairSplitterSide = class(TWinControl)
protected
class procedure WSRegisterClass; override; | Registers this component class with the current WidgetSet.
procedure SetParent(); override; |
procedure WMPaint(); message; |
procedure Paint; virtual; |
property Align: TAlign; |
property Anchors: TAnchors; |
public
constructor Create(); override; |
destructor Destroy; override; |
property Splitter: TCustomPairSplitter; [r] |
property Visible: Boolean; |
property Left: Integer; |
property Top: Integer; |
property Width: Integer; |
property Height: Integer; |
published
property ChildSizing: TControlChildSizing; |
property ClientWidth: Integer; |
property ClientHeight: Integer; |
property Constraints: TSizeConstraints;
property Cursor: TCursor;
property Enabled: Boolean; |
property OnMouseDown: TMouseEvent; |
property OnMouseEnter: TNotifyEvent;
property OnMouseLeave: TNotifyEvent;
property OnMouseMove: TMouseMoveEvent; |
property OnMouseUp: TMouseEvent; |
property OnMouseWheel: TMouseWheelEvent;
property OnMouseWheelDown: TMouseWheelUpDownEvent;
property OnMouseWheelUp: TMouseWheelUpDownEvent;
property OnResize: TNotifyEvent; |
property ShowHint: Boolean; |
property ParentShowHint: Boolean; |
property PopupMenu: TPopupMenu; |
end;

Inheritance

TPairSplitterSide |
|
TWinControl | The base class for controls which can contain other (child) controls.
|
TControl | The base class for visible controls.
|
TLCLComponent | The base class for LCL components associated with widgets.
|
TComponent,IUnknown,IInterfaceComponentReference
|
TPersistent,IFPObserved
|
TObject


TPairSplitterSide
pt | ro | Align
pt | ro | Anchors
 | ro | Splitter
 | ro | Visible
 | ro | Left
 | ro | Top
 | ro | Width
 | ro | Height
pl | ro | ChildSizing
pl | ro | ClientWidth
pl | ro | ClientHeight
pl | ro | Constraints
pl | ro | Cursor
pl | ro | Enabled
pl | ro | ShowHint
pl | ro | ParentShowHint
pl | ro | PopupMenu
TWinControl
pt |  | WindowHandle
pt |  | BorderStyle
pt |  | ParentBackground
 |  | BorderWidth
 | ro | BoundsLockCount
 | ro | Brush
 | ro | CachedClientHeight
 | ro | CachedClientWidth
 |  | ChildSizing
 | ro | ControlCount
 | ro | Controls
 |  | DefWndProc
 | ro | DockClientCount
 | ro | DockClients
 |  | DockManager
 |  | DockSite
 |  | DoubleBuffered
 |  | Handle
 | ro | IsFlipped
 | ro | IsResizing
 |  | TabOrder
 |  | TabStop
 |  | ParentDoubleBuffered
 |  | ParentWindow
 | ro | Showing
 |  | UseDockManager
 |  | DesignerDeleting
 | ro | VisibleDockClientCount
TControl
pt | ro | AutoSizing
pt | ro | AutoSizingAll
pt | ro | AutoSizingLockCount
pt |  | ActionLink
pt |  | DesktopFont
pt |  | DragCursor
pt |  | DragKind
pt |  | DragMode
pt |  | MouseCapture
pt |  | ParentColor
pt |  | ParentFont
pt |  | ParentShowHint
pt |  | SessionProperties
pt |  | Text
 | ro | AnchoredControls
 | ro | BaseBounds
 | ro | ReadBounds
 | ro | BaseParentClientSize
 |  | AccessibleDescription
 |  | AccessibleValue
 |  | AccessibleRole
 |  | Action
 |  | Align
 |  | Anchors
 | ro | AnchorSide
 |  | AutoSize
 |  | BorderSpacing
 |  | BoundsRect
 |  | BoundsRectForNewParent
 |  | Caption
 |  | CaptureMouseButtons
 |  | ClientHeight
 | ro | ClientOrigin
 | ro | ClientRect
 |  | ClientWidth
 |  | Color
 |  | Constraints
 | ro | ControlOrigin
 |  | ControlState
 |  | ControlStyle
 |  | Enabled
 |  | Font
 |  | IsControl
 | ro | MouseEntered
 | ro | MouseInClient
 |  | Parent
 |  | PopupMenu
 |  | ShowHint
 |  | Visible
 |  | WindowProc
 |  | DockOrientation
 | ro | Floating
 |  | FloatingDockSiteClass
 |  | HostDockSite
 |  | LRDockWidth
 |  | TBDockHeight
 |  | UndockHeight
 |  | UndockWidth
 |  | BiDiMode
 |  | ParentBiDiMode
pl |  | AnchorSideLeft
pl |  | AnchorSideTop
pl |  | AnchorSideRight
pl |  | AnchorSideBottom
pl |  | Cursor
pl |  | Left
pl |  | Height
pl |  | Hint
pl |  | Top
pl |  | Width
pl |  | HelpType
pl |  | HelpKeyword
pl |  | HelpContext
TLCLComponent
 | ro | LCLRefCount
 | ro | WidgetSetClass
TComponent
 | ro | ComObject
 | ro | Components
 | ro | ComponentCount
 |  | ComponentIndex
 | ro | ComponentState
 | ro | ComponentStyle
 |  | DesignInfo
 | ro | Owner
 |  | VCLComObject
 |  | Name
 |  | Tag
TPersistent
TObject


 |  | AccessibleDescription (TControl)
 |  | AccessibleRole (TControl)
 |  | AccessibleValue (TControl)
 |  | Action (TControl)
pt |  | ActionLink (TControl)
 |  | Align (TControl)
pt | ro | Align (TPairSplitterSide)
 | ro | AnchoredControls (TControl)
 |  | Anchors (TControl)
pt | ro | Anchors (TPairSplitterSide)
 | ro | AnchorSide (TControl)
pl |  | AnchorSideBottom (TControl)
pl |  | AnchorSideLeft (TControl)
pl |  | AnchorSideRight (TControl)
pl |  | AnchorSideTop (TControl)
 |  | AutoSize (TControl)
pt | ro | AutoSizing (TControl)
pt | ro | AutoSizingAll (TControl)
pt | ro | AutoSizingLockCount (TControl)
 | ro | BaseBounds (TControl)
 | ro | BaseParentClientSize (TControl)
 |  | BiDiMode (TControl)
 |  | BorderSpacing (TControl)
pt |  | BorderStyle (TWinControl)
 |  | BorderWidth (TWinControl)
 | ro | BoundsLockCount (TWinControl)
 |  | BoundsRect (TControl)
 |  | BoundsRectForNewParent (TControl)
 | ro | Brush (TWinControl)
 | ro | CachedClientHeight (TWinControl)
 | ro | CachedClientWidth (TWinControl)
 |  | Caption (TControl)
 |  | CaptureMouseButtons (TControl)
 |  | ChildSizing (TWinControl)
pl | ro | ChildSizing (TPairSplitterSide)
 |  | ClientHeight (TControl)
pl | ro | ClientHeight (TPairSplitterSide)
 | ro | ClientOrigin (TControl)
 | ro | ClientRect (TControl)
 |  | ClientWidth (TControl)
pl | ro | ClientWidth (TPairSplitterSide)
 |  | Color (TControl)
 | ro | ComObject (TComponent)
 | ro | ComponentCount (TComponent)
 |  | ComponentIndex (TComponent)
 | ro | Components (TComponent)
 | ro | ComponentState (TComponent)
 | ro | ComponentStyle (TComponent)
 |  | Constraints (TControl)
pl | ro | Constraints (TPairSplitterSide)
 | ro | ControlCount (TWinControl)
 | ro | ControlOrigin (TControl)
 | ro | Controls (TWinControl)
 |  | ControlState (TControl)
 |  | ControlStyle (TControl)
pl |  | Cursor (TControl)
pl | ro | Cursor (TPairSplitterSide)
 |  | DefWndProc (TWinControl)
 |  | DesignerDeleting (TWinControl)
 |  | DesignInfo (TComponent)
pt |  | DesktopFont (TControl)
 | ro | DockClientCount (TWinControl)
 | ro | DockClients (TWinControl)
 |  | DockManager (TWinControl)
 |  | DockOrientation (TControl)
 |  | DockSite (TWinControl)
 |  | DoubleBuffered (TWinControl)
pt |  | DragCursor (TControl)
pt |  | DragKind (TControl)
pt |  | DragMode (TControl)
 |  | Enabled (TControl)
pl | ro | Enabled (TPairSplitterSide)
 | ro | Floating (TControl)
 |  | FloatingDockSiteClass (TControl)
 |  | Font (TControl)
 |  | Handle (TWinControl)
pl |  | Height (TControl)
 | ro | Height (TPairSplitterSide)
pl |  | HelpContext (TControl)
pl |  | HelpKeyword (TControl)
pl |  | HelpType (TControl)
pl |  | Hint (TControl)
 |  | HostDockSite (TControl)
 |  | IsControl (TControl)
 | ro | IsFlipped (TWinControl)
 | ro | IsResizing (TWinControl)
 | ro | LCLRefCount (TLCLComponent)
pl |  | Left (TControl)
 | ro | Left (TPairSplitterSide)
 |  | LRDockWidth (TControl)
pt |  | MouseCapture (TControl)
 | ro | MouseEntered (TControl)
 | ro | MouseInClient (TControl)
 |  | Name (TComponent)
 | ro | Owner (TComponent)
 |  | Parent (TControl)
pt |  | ParentBackground (TWinControl)
 |  | ParentBiDiMode (TControl)
pt |  | ParentColor (TControl)
 |  | ParentDoubleBuffered (TWinControl)
pt |  | ParentFont (TControl)
pt |  | ParentShowHint (TControl)
pl | ro | ParentShowHint (TPairSplitterSide)
 |  | ParentWindow (TWinControl)
 |  | PopupMenu (TControl)
pl | ro | PopupMenu (TPairSplitterSide)
 | ro | ReadBounds (TControl)
pt |  | SessionProperties (TControl)
 |  | ShowHint (TControl)
pl | ro | ShowHint (TPairSplitterSide)
 | ro | Showing (TWinControl)
 | ro | Splitter (TPairSplitterSide)
 |  | TabOrder (TWinControl)
 |  | TabStop (TWinControl)
 |  | Tag (TComponent)
 |  | TBDockHeight (TControl)
pt |  | Text (TControl)
pl |  | Top (TControl)
 | ro | Top (TPairSplitterSide)
 |  | UndockHeight (TControl)
 |  | UndockWidth (TControl)
 |  | UseDockManager (TWinControl)
 |  | VCLComObject (TComponent)
 |  | Visible (TControl)
 | ro | Visible (TPairSplitterSide)
 | ro | VisibleDockClientCount (TWinControl)
 | ro | WidgetSetClass (TLCLComponent)
pl |  | Width (TControl)
 | ro | Width (TPairSplitterSide)
pt |  | WindowHandle (TWinControl)
 |  | WindowProc (TControl)


TPairSplitterSide
pt | WSRegisterClass
pt | SetParent
pt | WMPaint
pt | Paint
 | Create
 | Destroy
TWinControl
pt | WSRegisterClass
pt | AdjustClientRect
pt | GetAdjustedLogicalClientRect
pt | AlignControls
pt | CustomAlignInsertBefore
pt | CustomAlignPosition
pt | DoAlignChildControls
pt | DoChildSizingChange
pt | InvalidatePreferredChildSizes
pt | CanTab
pt | IsClientHeightStored
pt | IsClientWidthStored
pt | DoSendShowHideToInterface
pt | ControlsAligned
pt | DoSendBoundsToInterface
pt | RealizeBounds
pt | RealizeBoundsRecursive
pt | InvalidateBoundsRealized
pt | CreateSubClass
pt | DoConstraintsChange
pt | DoSetBounds
pt | DoAutoSize
pt | DoAllAutoSize
pt | AllAutoSized
pt | CalculatePreferredSize
pt | GetPreferredSizeClientFrame
pt | GetChildren
pt | ChildClassAllowed
pt | PaintControls
pt | PaintHandler
pt | PaintWindow
pt | CreateBrush
pt | ScaleControls
pt | ChangeScale
pt | CMBiDiModeChanged
pt | CMBorderChanged
pt | CMDoubleBufferedChanged
pt | CMEnabledChanged
pt | CMParentDoubleBufferedChanged
pt | CMShowingChanged
pt | CMShowHintChanged
pt | CMVisibleChanged
pt | CMEnter
pt | CMExit
pt | WMContextMenu
pt | WMEraseBkgnd
pt | WMNotify
pt | WMSetFocus
pt | WMKillFocus
pt | WMShowWindow
pt | WMEnter
pt | WMExit
pt | WMKeyDown
pt | WMSysKeyDown
pt | WMKeyUp
pt | WMSysKeyUp
pt | WMChar
pt | WMSysChar
pt | WMPaint
pt | WMDestroy
pt | WMMove
pt | WMSize
pt | WMWindowPosChanged
pt | CNKeyDown
pt | CNSysKeyDown
pt | CNKeyUp
pt | CNSysKeyUp
pt | CNChar
pt | DoDragMsg
pt | DoDockClientMsg
pt | DoUndockClientMsg
pt | DoAddDockClient
pt | DockOver
pt | DoDockOver
pt | DoRemoveDockClient
pt | DoUnDock
pt | GetSiteInfo
pt | GetParentHandle
pt | GetTopParentHandle
pt | ReloadDockedControl
pt | CreateDockManager
pt | SetDockManager
pt | DoFloatMsg
pt | DoGetDockCaption
pt | DoEnter
pt | DoExit
pt | DoKeyDownBeforeInterface
pt | DoRemainingKeyDown
pt | DoRemainingKeyUp
pt | DoKeyPress
pt | DoUTF8KeyPress
pt | DoKeyUpBeforeInterface
pt | ChildKey
pt | SendDialogChar
pt | DialogChar
pt | ControlKeyDown
pt | ControlKeyUp
pt | KeyDown
pt | KeyDownBeforeInterface
pt | KeyDownAfterInterface
pt | KeyPress
pt | KeyUp
pt | KeyUpBeforeInterface
pt | KeyUpAfterInterface
pt | UTF8KeyPress
pt | FindNextControl
pt | SelectFirst
pt | RealGetText
pt | GetBorderStyle
pt | GetClientOrigin
pt | GetClientRect
pt | GetControlOrigin
pt | GetDeviceContext
pt | GetParentBackground
pt | IsControlMouseMsg
pt | CreateHandle
pt | CreateParams
pt | CreateWnd
pt | DestroyHandle
pt | DestroyWnd
pt | DoFlipChildren
pt | FinalizeWnd
pt | FixupTabList
pt | FontChanged
pt | InitializeWnd
pt | Loaded
pt | FormEndUpdated
pt | MainWndProc
pt | ParentFormHandleInitialized
pt | ChildHandlesCreated
pt | GetMouseCapture
pt | RealSetText
pt | RemoveFocus
pt | SendMoveSizeMessages
pt | SetBorderStyle
pt | SetColor
pt | SetChildZPosition
pt | SetParentBackground
pt | ShowControl
pt | UpdateControlState
pt | UpdateShowing
pt | WndProc
pt | WSSetText
 | AutoSizePhases
 | AutoSizeDelayed
 | AutoSizeDelayedReport
 | AutoSizeDelayedHandle
 | BeginUpdateBounds
 | EndUpdateBounds
 | LockRealizeBounds
 | UnlockRealizeBounds
 | ControlAtPos
 | ContainsControl
 | DoAdjustClientRectChange
 | InvalidateClientRectCache
 | ClientRectNeedsInterfaceUpdate
 | SetBounds
 | GetChildrenRect
 | DisableAlign
 | EnableAlign
 | ReAlign
 | ScrollBy_WS
 | ScrollBy
 | WriteLayoutDebugReport
 | AutoAdjustLayout
 | Create
 | CreateParented
 | CreateParentedControl
 | Destroy
 | DockDrop
 | CanFocus
 | CanSetFocus
 | GetControlIndex
 | SetControlIndex
 | Focused
 | PerformTab
 | FindChildControl
 | SelectNext
 | SetTempCursor
 | BroadCast
 | NotifyControls
 | DefaultHandler
 | GetTextLen
 | Invalidate
 | AddControl
 | InsertControl
 | RemoveControl
 | GetEnumeratorControls
 | GetEnumeratorControlsReverse
 | Repaint
 | Update
 | SetFocus
 | FlipChildren
 | ScaleBy
 | GetDockCaption
 | UpdateDockCaption
 | GetTabOrderList
 | HandleAllocated
 | ParentHandlesAllocated
 | HandleNeeded
 | BrushCreated
 | EraseBackground
 | IntfUTF8KeyPress
 | IntfGetDropFilesTarget
 | PaintTo
 | SetShape
TControl
pt | WSRegisterClass
pt | GetCursor
pt | SetCursor
pt | SetVisible
pt | DoOnParentHandleDestruction
pt | DoAutoSize
pt | DoAllAutoSize
pt | BeginAutoSizing
pt | EndAutoSizing
pt | AnchorSideChanged
pt | ForeignAnchorSideChanged
pt | SetAlign
pt | SetAnchors
pt | SetAutoSize
pt | BoundsChanged
pt | CreateControlBorderSpacing
pt | DoConstraintsChange
pt | DoBorderSpacingChange
pt | IsBorderSpacingInnerBorderStored
pt | IsCaptionStored
pt | SendMoveSizeMessages
pt | ConstrainedResize
pt | CalculatePreferredSize
pt | DoOnResize
pt | DoOnChangeBounds
pt | CheckOnChangeBounds
pt | Resize
pt | RequestAlign
pt | UpdateAnchorRules
pt | ChangeBounds
pt | DoSetBounds
pt | ScaleConstraints
pt | ChangeScale
pt | CanAutoSize
pt | SetBiDiMode
pt | SetParentBiDiMode
pt | IsAParentAligning
pt | GetClientOrigin
pt | GetClientRect
pt | GetLogicalClientRect
pt | GetScrolledClientRect
pt | GetClientScrollOffset
pt | GetControlOrigin
pt | IsClientHeightStored
pt | IsClientWidthStored
pt | WidthIsAnchored
pt | HeightIsAnchored
pt | WMCancelMode
pt | WMContextMenu
pt | WMLButtonDown
pt | WMRButtonDown
pt | WMMButtonDown
pt | WMXButtonDown
pt | WMLButtonDBLCLK
pt | WMRButtonDBLCLK
pt | WMMButtonDBLCLK
pt | WMXButtonDBLCLK
pt | WMLButtonTripleCLK
pt | WMRButtonTripleCLK
pt | WMMButtonTripleCLK
pt | WMXButtonTripleCLK
pt | WMLButtonQuadCLK
pt | WMRButtonQuadCLK
pt | WMMButtonQuadCLK
pt | WMXButtonQuadCLK
pt | WMMouseMove
pt | WMLButtonUp
pt | WMRButtonUp
pt | WMMButtonUp
pt | WMXButtonUp
pt | WMMouseWheel
pt | WMMouseHWheel
pt | WMMove
pt | WMSize
pt | WMWindowPosChanged
pt | CMChanged
pt | LMCaptureChanged
pt | CMBiDiModeChanged
pt | CMSysFontChanged
pt | CMEnabledChanged
pt | CMHitTest
pt | CMMouseEnter
pt | CMMouseLeave
pt | CMHintShow
pt | CMParentBiDiModeChanged
pt | CMParentColorChanged
pt | CMParentFontChanged
pt | CMParentShowHintChanged
pt | CMVisibleChanged
pt | CMTextChanged
pt | CMCursorChanged
pt | CalculateDockSizes
pt | CreateFloatingDockSite
pt | GetDockEdge
pt | GetDragImages
pt | GetFloating
pt | GetFloatingDockSiteClass
pt | BeforeDragStart
pt | BeginAutoDrag
pt | DoFloatMsg
pt | DockTrackNoTarget
pt | DoDock
pt | DoDragMsg
pt | DoEndDock
pt | DoEndDrag
pt | DoStartDock
pt | DoStartDrag
pt | DragCanceled
pt | DragOver
pt | PositionDockRect
pt | SetDragMode
pt | GetDefaultDockCaption
pt | Click
pt | DblClick
pt | TripleClick
pt | QuadClick
pt | GetMousePosFromMessage
pt | MouseDown
pt | MouseMove
pt | MouseUp
pt | MouseEnter
pt | MouseLeave
pt | DialogChar
pt | UpdateMouseCursor
pt | Changed
pt | GetPalette
pt | ChildClassAllowed
pt | ReadState
pt | Loaded
pt | LoadedAll
pt | DefineProperties
pt | AssignTo
pt | FormEndUpdated
pt | InvalidateControl
pt | FontChanged
pt | ParentFontChanged
pt | GetAction
pt | RealGetText
pt | RealSetText
pt | TextChanged
pt | GetCachedText
pt | SetAction
pt | SetColor
pt | SetEnabled
pt | SetHint
pt | SetName
pt | SetParent
pt | SetParentComponent
pt | WndProc
pt | ParentFormHandleInitialized
pt | GetMouseCapture
pt | CaptureChanged
pt | Notification
pt | CanTab
pt | GetDeviceContext
pt | GetEnabled
pt | GetPopupMenu
pt | DoOnShowHint
pt | DoMouseWheel
pt | DoMouseWheelDown
pt | DoMouseWheelUp
pt | DoMouseWheelHorz
pt | DoMouseWheelLeft
pt | DoMouseWheelRight
pt | VisibleChanging
pt | VisibleChanged
pt | EnabledChanging
pt | EnabledChanged
pt | AddHandler
pt | RemoveHandler
pt | DoCallNotifyHandler
pt | DoCallKeyEventHandler
pt | DoCallMouseWheelEventHandler
pt | DoContextPopup
pt | SetZOrder
pt | GetControlClassDefaultSize
pt | ColorIsStored
pt | DoAutoAdjustLayout
pt | DoFixDesignFontPPI
pt | DoScaleFontPPI
pt | GetActionLinkClass
pt | ActionChange
 | DragDrop
 | Dock
 | ManualDock
 | ManualFloat
 | ReplaceDockedControl
 | Docked
 | Dragging
 | GetAccessibleObject
 | CreateAccessibleObject
 | GetSelectedChildAccessibleObject
 | GetChildAccessibleObjectAtPos
 | ScaleDesignToForm
 | ScaleFormToDesign
 | Scale96ToForm
 | ScaleFormTo96
 | Scale96ToFont
 | ScaleFontTo96
 | ScaleScreenToFont
 | ScaleFontToScreen
 | Scale96ToScreen
 | ScaleScreenTo96
 | AdjustSize
 | AutoSizePhases
 | AutoSizeDelayed
 | AutoSizeDelayedReport
 | AutoSizeDelayedHandle
 | AnchorToNeighbour
 | AnchorParallel
 | AnchorHorizontalCenterTo
 | AnchorVerticalCenterTo
 | AnchorToCompanion
 | AnchorSame
 | AnchorAsAlign
 | AnchorClient
 | AnchoredControlCount
 | SetBounds
 | SetInitialBounds
 | SetBoundsKeepBase
 | GetPreferredSize
 | GetCanvasScaleFactor
 | GetDefaultWidth
 | GetDefaultHeight
 | GetDefaultColor
 | GetColorResolvingParent
 | GetRGBColorResolvingParent
 | GetSidePosition
 | CNPreferredSizeChanged
 | InvalidatePreferredSize
 | GetAnchorsDependingOnParent
 | DisableAutoSizing
 | EnableAutoSizing
 | UpdateBaseBounds
 | WriteLayoutDebugReport
 | AutoAdjustLayout
 | ShouldAutoAdjust
 | FixDesignFontsPPI
 | ScaleFontsPPI
 | Create
 | Destroy
 | BeforeDestruction
 | EditingDone
 | ExecuteDefaultAction
 | ExecuteCancelAction
 | BeginDrag
 | EndDrag
 | BringToFront
 | HasParent
 | GetParentComponent
 | IsParentOf
 | GetTopParent
 | IsVisible
 | IsControlVisible
 | IsEnabled
 | IsParentColor
 | IsParentFont
 | FormIsUpdating
 | IsProcessingPaintMsg
 | Hide
 | Refresh
 | Repaint
 | Invalidate
 | CheckChildClassAllowed
 | CheckNewParent
 | SendToBack
 | SetTempCursor
 | UpdateRolesForForm
 | ActiveDefaultControlChanged
 | GetTextBuf
 | GetTextLen
 | SetTextBuf
 | Perform
 | ScreenToClient
 | ClientToScreen
 | ScreenToControl
 | ControlToScreen
 | ClientToParent
 | ParentToClient
 | GetChildrenRect
 | Show
 | Update
 | HandleObjectShouldBeVisible
 | ParentDestroyingHandle
 | ParentHandlesAllocated
 | InitiateAction
 | ShowHelp
 | HasHelp
 | RemoveAllHandlersOfObject
 | AddHandlerOnResize
 | RemoveHandlerOnResize
 | AddHandlerOnChangeBounds
 | RemoveHandlerOnChangeBounds
 | AddHandlerOnVisibleChanging
 | RemoveHandlerOnVisibleChanging
 | AddHandlerOnVisibleChanged
 | RemoveHandlerOnVisibleChanged
 | AddHandlerOnEnabledChanged
 | RemoveHandlerOnEnableChanging
 | AddHandlerOnKeyDown
 | RemoveHandlerOnKeyDown
 | AddHandlerOnBeforeDestruction
 | RemoveHandlerOnBeforeDestruction
 | AddHandlerOnMouseWheel
 | RemoveHandlerOnMouseWheel
 | UseRightToLeftAlignment
 | UseRightToLeftReading
 | UseRightToLeftScrollBar
 | IsRightToLeft
TLCLComponent
pt | WSRegisterClass
pt | GetWSComponentClass
 | Create
 | Destroy
 | NewInstance
 | RemoveAllHandlersOfObject
 | IncLCLRefCount
 | DecLCLRefCount
TComponent
 | GetComObject
 | GetComponent
 | GetComponentCount
 | GetComponentIndex
 | Insert
 | ReadLeft
 | ReadTop
 | Remove
 | RemoveNotification
 | SetComponentIndex
 | SetReference
 | WriteLeft
 | WriteTop
 | ChangeName
 | DefineProperties
 | GetChildren
 | GetChildOwner
 | GetChildParent
 | GetOwner
 | Loaded
 | Loading
 | Notification
 | PaletteCreated
 | ReadState
 | SetAncestor
 | SetDesigning
 | SetDesignInstance
 | SetInline
 | SetName
 | SetChildOrder
 | SetParentComponent
 | Updating
 | Updated
 | UpdateRegistry
 | ValidateRename
 | ValidateContainer
 | ValidateInsert
 | QueryInterface
 | _AddRef
 | _Release
 | iicrGetComponent
 | GetTypeInfoCount
 | GetTypeInfo
 | GetIDsOfNames
 | Invoke
 | WriteState
 | Create
 | Destroy
 | BeforeDestruction
 | DestroyComponents
 | Destroying
 | ExecuteAction
 | FindComponent
 | FreeNotification
 | RemoveFreeNotification
 | FreeOnRelease
 | GetEnumerator
 | GetNamePath
 | GetParentComponent
 | HasParent
 | InsertComponent
 | RemoveComponent
 | SafeCallException
 | SetSubComponent
 | UpdateAction
 | IsImplementorOf
 | ReferenceInterface
TPersistent
 | AssignError
 | AssignTo
 | DefineProperties
 | GetOwner
 | Destroy
 | Assign
 | FPOAttachObserver
 | FPODetachObserver
 | FPONotifyObservers
 | GetNamePath
TObject
 | Create
 | Destroy
 | newinstance
 | FreeInstance
 | SafeCallException
 | DefaultHandler
 | Free
 | InitInstance
 | CleanupInstance
 | ClassType
 | ClassInfo
 | ClassName
 | ClassNameIs
 | ClassParent
 | InstanceSize
 | InheritsFrom
 | StringMessageTable
 | MethodAddress
 | MethodName
 | FieldAddress
 | AfterConstruction
 | BeforeDestruction
 | DefaultHandlerStr
 | Dispatch
 | DispatchStr
 | GetInterface
 | GetInterfaceByStr
 | GetInterfaceWeak
 | GetInterfaceEntry
 | GetInterfaceEntryByStr
 | GetInterfaceTable
 | UnitName
 | Equals
 | GetHashCode
 | ToString


pt | ActionChange (TControl)
 | ActiveDefaultControlChanged (TControl)
 | AddControl (TWinControl)
pt | AddHandler (TControl)
 | AddHandlerOnBeforeDestruction (TControl)
 | AddHandlerOnChangeBounds (TControl)
 | AddHandlerOnEnabledChanged (TControl)
 | AddHandlerOnKeyDown (TControl)
 | AddHandlerOnMouseWheel (TControl)
 | AddHandlerOnResize (TControl)
 | AddHandlerOnVisibleChanged (TControl)
 | AddHandlerOnVisibleChanging (TControl)
pt | AdjustClientRect (TWinControl)
 | AdjustSize (TControl)
 | AfterConstruction (TObject)
pt | AlignControls (TWinControl)
pt | AllAutoSized (TWinControl)
 | AnchorAsAlign (TControl)
 | AnchorClient (TControl)
 | AnchoredControlCount (TControl)
 | AnchorHorizontalCenterTo (TControl)
 | AnchorParallel (TControl)
 | AnchorSame (TControl)
pt | AnchorSideChanged (TControl)
 | AnchorToCompanion (TControl)
 | AnchorToNeighbour (TControl)
 | AnchorVerticalCenterTo (TControl)
 | Assign (TPersistent)
 | AssignError (TPersistent)
 | AssignTo (TPersistent)
pt | AssignTo (TControl)
 | AutoAdjustLayout (TControl)
 | AutoAdjustLayout (TWinControl)
 | AutoSizeDelayed (TControl)
 | AutoSizeDelayed (TWinControl)
 | AutoSizeDelayedHandle (TControl)
 | AutoSizeDelayedHandle (TWinControl)
 | AutoSizeDelayedReport (TControl)
 | AutoSizeDelayedReport (TWinControl)
 | AutoSizePhases (TControl)
 | AutoSizePhases (TWinControl)
 | BeforeDestruction (TObject)
 | BeforeDestruction (TComponent)
 | BeforeDestruction (TControl)
pt | BeforeDragStart (TControl)
pt | BeginAutoDrag (TControl)
pt | BeginAutoSizing (TControl)
 | BeginDrag (TControl)
 | BeginUpdateBounds (TWinControl)
pt | BoundsChanged (TControl)
 | BringToFront (TControl)
 | BroadCast (TWinControl)
 | BrushCreated (TWinControl)
pt | CalculateDockSizes (TControl)
pt | CalculatePreferredSize (TControl)
pt | CalculatePreferredSize (TWinControl)
pt | CanAutoSize (TControl)
 | CanFocus (TWinControl)
 | CanSetFocus (TWinControl)
pt | CanTab (TControl)
pt | CanTab (TWinControl)
pt | CaptureChanged (TControl)
pt | ChangeBounds (TControl)
pt | Changed (TControl)
 | ChangeName (TComponent)
pt | ChangeScale (TControl)
pt | ChangeScale (TWinControl)
 | CheckChildClassAllowed (TControl)
 | CheckNewParent (TControl)
pt | CheckOnChangeBounds (TControl)
pt | ChildClassAllowed (TControl)
pt | ChildClassAllowed (TWinControl)
pt | ChildHandlesCreated (TWinControl)
pt | ChildKey (TWinControl)
 | ClassInfo (TObject)
 | ClassName (TObject)
 | ClassNameIs (TObject)
 | ClassParent (TObject)
 | ClassType (TObject)
 | CleanupInstance (TObject)
pt | Click (TControl)
 | ClientRectNeedsInterfaceUpdate (TWinControl)
 | ClientToParent (TControl)
 | ClientToScreen (TControl)
pt | CMBiDiModeChanged (TControl)
pt | CMBiDiModeChanged (TWinControl)
pt | CMBorderChanged (TWinControl)
pt | CMChanged (TControl)
pt | CMCursorChanged (TControl)
pt | CMDoubleBufferedChanged (TWinControl)
pt | CMEnabledChanged (TControl)
pt | CMEnabledChanged (TWinControl)
pt | CMEnter (TWinControl)
pt | CMExit (TWinControl)
pt | CMHintShow (TControl)
pt | CMHitTest (TControl)
pt | CMMouseEnter (TControl)
pt | CMMouseLeave (TControl)
pt | CMParentBiDiModeChanged (TControl)
pt | CMParentColorChanged (TControl)
pt | CMParentDoubleBufferedChanged (TWinControl)
pt | CMParentFontChanged (TControl)
pt | CMParentShowHintChanged (TControl)
pt | CMShowHintChanged (TWinControl)
pt | CMShowingChanged (TWinControl)
pt | CMSysFontChanged (TControl)
pt | CMTextChanged (TControl)
pt | CMVisibleChanged (TControl)
pt | CMVisibleChanged (TWinControl)
pt | CNChar (TWinControl)
pt | CNKeyDown (TWinControl)
pt | CNKeyUp (TWinControl)
 | CNPreferredSizeChanged (TControl)
pt | CNSysKeyDown (TWinControl)
pt | CNSysKeyUp (TWinControl)
pt | ColorIsStored (TControl)
pt | ConstrainedResize (TControl)
 | ContainsControl (TWinControl)
 | ControlAtPos (TWinControl)
pt | ControlKeyDown (TWinControl)
pt | ControlKeyUp (TWinControl)
pt | ControlsAligned (TWinControl)
 | ControlToScreen (TControl)
 | Create (TObject)
 | Create (TComponent)
 | Create (TLCLComponent)
 | Create (TControl)
 | Create (TWinControl)
 | Create (TPairSplitterSide)
 | CreateAccessibleObject (TControl)
pt | CreateBrush (TWinControl)
pt | CreateControlBorderSpacing (TControl)
pt | CreateDockManager (TWinControl)
pt | CreateFloatingDockSite (TControl)
pt | CreateHandle (TWinControl)
pt | CreateParams (TWinControl)
 | CreateParented (TWinControl)
 | CreateParentedControl (TWinControl)
pt | CreateSubClass (TWinControl)
pt | CreateWnd (TWinControl)
pt | CustomAlignInsertBefore (TWinControl)
pt | CustomAlignPosition (TWinControl)
pt | DblClick (TControl)
 | DecLCLRefCount (TLCLComponent)
 | DefaultHandler (TObject)
 | DefaultHandler (TWinControl)
 | DefaultHandlerStr (TObject)
 | DefineProperties (TPersistent)
 | DefineProperties (TComponent)
pt | DefineProperties (TControl)
 | Destroy (TObject)
 | Destroy (TPersistent)
 | Destroy (TComponent)
 | Destroy (TLCLComponent)
 | Destroy (TControl)
 | Destroy (TWinControl)
 | Destroy (TPairSplitterSide)
 | DestroyComponents (TComponent)
pt | DestroyHandle (TWinControl)
 | Destroying (TComponent)
pt | DestroyWnd (TWinControl)
pt | DialogChar (TControl)
pt | DialogChar (TWinControl)
 | DisableAlign (TWinControl)
 | DisableAutoSizing (TControl)
 | Dispatch (TObject)
 | DispatchStr (TObject)
pt | DoAddDockClient (TWinControl)
 | DoAdjustClientRectChange (TWinControl)
pt | DoAlignChildControls (TWinControl)
pt | DoAllAutoSize (TControl)
pt | DoAllAutoSize (TWinControl)
pt | DoAutoAdjustLayout (TControl)
pt | DoAutoSize (TControl)
pt | DoAutoSize (TWinControl)
pt | DoBorderSpacingChange (TControl)
pt | DoCallKeyEventHandler (TControl)
pt | DoCallMouseWheelEventHandler (TControl)
pt | DoCallNotifyHandler (TControl)
pt | DoChildSizingChange (TWinControl)
 | Dock (TControl)
 | DockDrop (TWinControl)
 | Docked (TControl)
pt | DockOver (TWinControl)
pt | DockTrackNoTarget (TControl)
pt | DoConstraintsChange (TControl)
pt | DoConstraintsChange (TWinControl)
pt | DoContextPopup (TControl)
pt | DoDock (TControl)
pt | DoDockClientMsg (TWinControl)
pt | DoDockOver (TWinControl)
pt | DoDragMsg (TControl)
pt | DoDragMsg (TWinControl)
pt | DoEndDock (TControl)
pt | DoEndDrag (TControl)
pt | DoEnter (TWinControl)
pt | DoExit (TWinControl)
pt | DoFixDesignFontPPI (TControl)
pt | DoFlipChildren (TWinControl)
pt | DoFloatMsg (TControl)
pt | DoFloatMsg (TWinControl)
pt | DoGetDockCaption (TWinControl)
pt | DoKeyDownBeforeInterface (TWinControl)
pt | DoKeyPress (TWinControl)
pt | DoKeyUpBeforeInterface (TWinControl)
pt | DoMouseWheel (TControl)
pt | DoMouseWheelDown (TControl)
pt | DoMouseWheelHorz (TControl)
pt | DoMouseWheelLeft (TControl)
pt | DoMouseWheelRight (TControl)
pt | DoMouseWheelUp (TControl)
pt | DoOnChangeBounds (TControl)
pt | DoOnParentHandleDestruction (TControl)
pt | DoOnResize (TControl)
pt | DoOnShowHint (TControl)
pt | DoRemainingKeyDown (TWinControl)
pt | DoRemainingKeyUp (TWinControl)
pt | DoRemoveDockClient (TWinControl)
pt | DoScaleFontPPI (TControl)
pt | DoSendBoundsToInterface (TWinControl)
pt | DoSendShowHideToInterface (TWinControl)
pt | DoSetBounds (TControl)
pt | DoSetBounds (TWinControl)
pt | DoStartDock (TControl)
pt | DoStartDrag (TControl)
pt | DoUnDock (TWinControl)
pt | DoUndockClientMsg (TWinControl)
pt | DoUTF8KeyPress (TWinControl)
pt | DragCanceled (TControl)
 | DragDrop (TControl)
 | Dragging (TControl)
pt | DragOver (TControl)
 | EditingDone (TControl)
 | EnableAlign (TWinControl)
 | EnableAutoSizing (TControl)
pt | EnabledChanged (TControl)
pt | EnabledChanging (TControl)
pt | EndAutoSizing (TControl)
 | EndDrag (TControl)
 | EndUpdateBounds (TWinControl)
 | Equals (TObject)
 | EraseBackground (TWinControl)
 | ExecuteAction (TComponent)
 | ExecuteCancelAction (TControl)
 | ExecuteDefaultAction (TControl)
 | FieldAddress (TObject)
pt | FinalizeWnd (TWinControl)
 | FindChildControl (TWinControl)
 | FindComponent (TComponent)
pt | FindNextControl (TWinControl)
 | FixDesignFontsPPI (TControl)
pt | FixupTabList (TWinControl)
 | FlipChildren (TWinControl)
 | Focused (TWinControl)
pt | FontChanged (TControl)
pt | FontChanged (TWinControl)
pt | ForeignAnchorSideChanged (TControl)
pt | FormEndUpdated (TControl)
pt | FormEndUpdated (TWinControl)
 | FormIsUpdating (TControl)
 | FPOAttachObserver (TPersistent)
 | FPODetachObserver (TPersistent)
 | FPONotifyObservers (TPersistent)
 | Free (TObject)
 | FreeInstance (TObject)
 | FreeNotification (TComponent)
 | FreeOnRelease (TComponent)
 | GetAccessibleObject (TControl)
pt | GetAction (TControl)
pt | GetActionLinkClass (TControl)
pt | GetAdjustedLogicalClientRect (TWinControl)
 | GetAnchorsDependingOnParent (TControl)
pt | GetBorderStyle (TWinControl)
pt | GetCachedText (TControl)
 | GetCanvasScaleFactor (TControl)
 | GetChildAccessibleObjectAtPos (TControl)
 | GetChildOwner (TComponent)
 | GetChildParent (TComponent)
 | GetChildren (TComponent)
pt | GetChildren (TWinControl)
 | GetChildrenRect (TControl)
 | GetChildrenRect (TWinControl)
pt | GetClientOrigin (TControl)
pt | GetClientOrigin (TWinControl)
pt | GetClientRect (TControl)
pt | GetClientRect (TWinControl)
pt | GetClientScrollOffset (TControl)
 | GetColorResolvingParent (TControl)
 | GetComObject (TComponent)
 | GetComponent (TComponent)
 | GetComponentCount (TComponent)
 | GetComponentIndex (TComponent)
pt | GetControlClassDefaultSize (TControl)
 | GetControlIndex (TWinControl)
pt | GetControlOrigin (TControl)
pt | GetControlOrigin (TWinControl)
pt | GetCursor (TControl)
 | GetDefaultColor (TControl)
pt | GetDefaultDockCaption (TControl)
 | GetDefaultHeight (TControl)
 | GetDefaultWidth (TControl)
pt | GetDeviceContext (TControl)
pt | GetDeviceContext (TWinControl)
 | GetDockCaption (TWinControl)
pt | GetDockEdge (TControl)
pt | GetDragImages (TControl)
pt | GetEnabled (TControl)
 | GetEnumerator (TComponent)
 | GetEnumeratorControls (TWinControl)
 | GetEnumeratorControlsReverse (TWinControl)
pt | GetFloating (TControl)
pt | GetFloatingDockSiteClass (TControl)
 | GetHashCode (TObject)
 | GetIDsOfNames (TComponent)
 | GetInterface (TObject)
 | GetInterfaceByStr (TObject)
 | GetInterfaceEntry (TObject)
 | GetInterfaceEntryByStr (TObject)
 | GetInterfaceTable (TObject)
 | GetInterfaceWeak (TObject)
pt | GetLogicalClientRect (TControl)
pt | GetMouseCapture (TControl)
pt | GetMouseCapture (TWinControl)
pt | GetMousePosFromMessage (TControl)
 | GetNamePath (TPersistent)
 | GetNamePath (TComponent)
 | GetOwner (TPersistent)
 | GetOwner (TComponent)
pt | GetPalette (TControl)
pt | GetParentBackground (TWinControl)
 | GetParentComponent (TComponent)
 | GetParentComponent (TControl)
pt | GetParentHandle (TWinControl)
pt | GetPopupMenu (TControl)
 | GetPreferredSize (TControl)
pt | GetPreferredSizeClientFrame (TWinControl)
 | GetRGBColorResolvingParent (TControl)
pt | GetScrolledClientRect (TControl)
 | GetSelectedChildAccessibleObject (TControl)
 | GetSidePosition (TControl)
pt | GetSiteInfo (TWinControl)
 | GetTabOrderList (TWinControl)
 | GetTextBuf (TControl)
 | GetTextLen (TControl)
 | GetTextLen (TWinControl)
 | GetTopParent (TControl)
pt | GetTopParentHandle (TWinControl)
 | GetTypeInfo (TComponent)
 | GetTypeInfoCount (TComponent)
pt | GetWSComponentClass (TLCLComponent)
 | HandleAllocated (TWinControl)
 | HandleNeeded (TWinControl)
 | HandleObjectShouldBeVisible (TControl)
 | HasHelp (TControl)
 | HasParent (TComponent)
 | HasParent (TControl)
pt | HeightIsAnchored (TControl)
 | Hide (TControl)
 | iicrGetComponent (TComponent)
 | IncLCLRefCount (TLCLComponent)
 | InheritsFrom (TObject)
pt | InitializeWnd (TWinControl)
 | InitiateAction (TControl)
 | InitInstance (TObject)
 | Insert (TComponent)
 | InsertComponent (TComponent)
 | InsertControl (TWinControl)
 | InstanceSize (TObject)
 | IntfGetDropFilesTarget (TWinControl)
 | IntfUTF8KeyPress (TWinControl)
 | Invalidate (TControl)
 | Invalidate (TWinControl)
pt | InvalidateBoundsRealized (TWinControl)
 | InvalidateClientRectCache (TWinControl)
pt | InvalidateControl (TControl)
pt | InvalidatePreferredChildSizes (TWinControl)
 | InvalidatePreferredSize (TControl)
 | Invoke (TComponent)
pt | IsAParentAligning (TControl)
pt | IsBorderSpacingInnerBorderStored (TControl)
pt | IsCaptionStored (TControl)
pt | IsClientHeightStored (TControl)
pt | IsClientHeightStored (TWinControl)
pt | IsClientWidthStored (TControl)
pt | IsClientWidthStored (TWinControl)
pt | IsControlMouseMsg (TWinControl)
 | IsControlVisible (TControl)
 | IsEnabled (TControl)
 | IsImplementorOf (TComponent)
 | IsParentColor (TControl)
 | IsParentFont (TControl)
 | IsParentOf (TControl)
 | IsProcessingPaintMsg (TControl)
 | IsRightToLeft (TControl)
 | IsVisible (TControl)
pt | KeyDown (TWinControl)
pt | KeyDownAfterInterface (TWinControl)
pt | KeyDownBeforeInterface (TWinControl)
pt | KeyPress (TWinControl)
pt | KeyUp (TWinControl)
pt | KeyUpAfterInterface (TWinControl)
pt | KeyUpBeforeInterface (TWinControl)
pt | LMCaptureChanged (TControl)
 | Loaded (TComponent)
pt | Loaded (TControl)
pt | Loaded (TWinControl)
pt | LoadedAll (TControl)
 | Loading (TComponent)
 | LockRealizeBounds (TWinControl)
pt | MainWndProc (TWinControl)
 | ManualDock (TControl)
 | ManualFloat (TControl)
 | MethodAddress (TObject)
 | MethodName (TObject)
pt | MouseDown (TControl)
pt | MouseEnter (TControl)
pt | MouseLeave (TControl)
pt | MouseMove (TControl)
pt | MouseUp (TControl)
 | newinstance (TObject)
 | NewInstance (TLCLComponent)
 | Notification (TComponent)
pt | Notification (TControl)
 | NotifyControls (TWinControl)
pt | Paint (TPairSplitterSide)
pt | PaintControls (TWinControl)
pt | PaintHandler (TWinControl)
 | PaintTo (TWinControl)
pt | PaintWindow (TWinControl)
 | PaletteCreated (TComponent)
 | ParentDestroyingHandle (TControl)
pt | ParentFontChanged (TControl)
pt | ParentFormHandleInitialized (TControl)
pt | ParentFormHandleInitialized (TWinControl)
 | ParentHandlesAllocated (TControl)
 | ParentHandlesAllocated (TWinControl)
 | ParentToClient (TControl)
 | Perform (TControl)
 | PerformTab (TWinControl)
pt | PositionDockRect (TControl)
pt | QuadClick (TControl)
 | QueryInterface (TComponent)
 | ReadLeft (TComponent)
 | ReadState (TComponent)
pt | ReadState (TControl)
 | ReadTop (TComponent)
pt | RealGetText (TControl)
pt | RealGetText (TWinControl)
 | ReAlign (TWinControl)
pt | RealizeBounds (TWinControl)
pt | RealizeBoundsRecursive (TWinControl)
pt | RealSetText (TControl)
pt | RealSetText (TWinControl)
 | ReferenceInterface (TComponent)
 | Refresh (TControl)
pt | ReloadDockedControl (TWinControl)
 | Remove (TComponent)
 | RemoveAllHandlersOfObject (TLCLComponent)
 | RemoveAllHandlersOfObject (TControl)
 | RemoveComponent (TComponent)
 | RemoveControl (TWinControl)
pt | RemoveFocus (TWinControl)
 | RemoveFreeNotification (TComponent)
pt | RemoveHandler (TControl)
 | RemoveHandlerOnBeforeDestruction (TControl)
 | RemoveHandlerOnChangeBounds (TControl)
 | RemoveHandlerOnEnableChanging (TControl)
 | RemoveHandlerOnKeyDown (TControl)
 | RemoveHandlerOnMouseWheel (TControl)
 | RemoveHandlerOnResize (TControl)
 | RemoveHandlerOnVisibleChanged (TControl)
 | RemoveHandlerOnVisibleChanging (TControl)
 | RemoveNotification (TComponent)
 | Repaint (TControl)
 | Repaint (TWinControl)
 | ReplaceDockedControl (TControl)
pt | RequestAlign (TControl)
pt | Resize (TControl)
 | SafeCallException (TObject)
 | SafeCallException (TComponent)
 | Scale96ToFont (TControl)
 | Scale96ToForm (TControl)
 | Scale96ToScreen (TControl)
 | ScaleBy (TWinControl)
pt | ScaleConstraints (TControl)
pt | ScaleControls (TWinControl)
 | ScaleDesignToForm (TControl)
 | ScaleFontsPPI (TControl)
 | ScaleFontTo96 (TControl)
 | ScaleFontToScreen (TControl)
 | ScaleFormTo96 (TControl)
 | ScaleFormToDesign (TControl)
 | ScaleScreenTo96 (TControl)
 | ScaleScreenToFont (TControl)
 | ScreenToClient (TControl)
 | ScreenToControl (TControl)
 | ScrollBy (TWinControl)
 | ScrollBy_WS (TWinControl)
pt | SelectFirst (TWinControl)
 | SelectNext (TWinControl)
pt | SendDialogChar (TWinControl)
pt | SendMoveSizeMessages (TControl)
pt | SendMoveSizeMessages (TWinControl)
 | SendToBack (TControl)
pt | SetAction (TControl)
pt | SetAlign (TControl)
 | SetAncestor (TComponent)
pt | SetAnchors (TControl)
pt | SetAutoSize (TControl)
pt | SetBiDiMode (TControl)
pt | SetBorderStyle (TWinControl)
 | SetBounds (TControl)
 | SetBounds (TWinControl)
 | SetBoundsKeepBase (TControl)
 | SetChildOrder (TComponent)
pt | SetChildZPosition (TWinControl)
pt | SetColor (TControl)
pt | SetColor (TWinControl)
 | SetComponentIndex (TComponent)
 | SetControlIndex (TWinControl)
pt | SetCursor (TControl)
 | SetDesigning (TComponent)
 | SetDesignInstance (TComponent)
pt | SetDockManager (TWinControl)
pt | SetDragMode (TControl)
pt | SetEnabled (TControl)
 | SetFocus (TWinControl)
pt | SetHint (TControl)
 | SetInitialBounds (TControl)
 | SetInline (TComponent)
 | SetName (TComponent)
pt | SetName (TControl)
pt | SetParent (TControl)
pt | SetParent (TPairSplitterSide)
pt | SetParentBackground (TWinControl)
pt | SetParentBiDiMode (TControl)
 | SetParentComponent (TComponent)
pt | SetParentComponent (TControl)
 | SetReference (TComponent)
 | SetShape (TWinControl)
 | SetSubComponent (TComponent)
 | SetTempCursor (TControl)
 | SetTempCursor (TWinControl)
 | SetTextBuf (TControl)
pt | SetVisible (TControl)
pt | SetZOrder (TControl)
 | ShouldAutoAdjust (TControl)
 | Show (TControl)
pt | ShowControl (TWinControl)
 | ShowHelp (TControl)
 | StringMessageTable (TObject)
pt | TextChanged (TControl)
 | ToString (TObject)
pt | TripleClick (TControl)
 | UnitName (TObject)
 | UnlockRealizeBounds (TWinControl)
 | Update (TControl)
 | Update (TWinControl)
 | UpdateAction (TComponent)
pt | UpdateAnchorRules (TControl)
 | UpdateBaseBounds (TControl)
pt | UpdateControlState (TWinControl)
 | Updated (TComponent)
 | UpdateDockCaption (TWinControl)
pt | UpdateMouseCursor (TControl)
 | UpdateRegistry (TComponent)
 | UpdateRolesForForm (TControl)
pt | UpdateShowing (TWinControl)
 | Updating (TComponent)
 | UseRightToLeftAlignment (TControl)
 | UseRightToLeftReading (TControl)
 | UseRightToLeftScrollBar (TControl)
pt | UTF8KeyPress (TWinControl)
 | ValidateContainer (TComponent)
 | ValidateInsert (TComponent)
 | ValidateRename (TComponent)
pt | VisibleChanged (TControl)
pt | VisibleChanging (TControl)
pt | WidthIsAnchored (TControl)
pt | WMCancelMode (TControl)
pt | WMChar (TWinControl)
pt | WMContextMenu (TControl)
pt | WMContextMenu (TWinControl)
pt | WMDestroy (TWinControl)
pt | WMEnter (TWinControl)
pt | WMEraseBkgnd (TWinControl)
pt | WMExit (TWinControl)
pt | WMKeyDown (TWinControl)
pt | WMKeyUp (TWinControl)
pt | WMKillFocus (TWinControl)
pt | WMLButtonDBLCLK (TControl)
pt | WMLButtonDown (TControl)
pt | WMLButtonQuadCLK (TControl)
pt | WMLButtonTripleCLK (TControl)
pt | WMLButtonUp (TControl)
pt | WMMButtonDBLCLK (TControl)
pt | WMMButtonDown (TControl)
pt | WMMButtonQuadCLK (TControl)
pt | WMMButtonTripleCLK (TControl)
pt | WMMButtonUp (TControl)
pt | WMMouseHWheel (TControl)
pt | WMMouseMove (TControl)
pt | WMMouseWheel (TControl)
pt | WMMove (TControl)
pt | WMMove (TWinControl)
pt | WMNotify (TWinControl)
pt | WMPaint (TWinControl)
pt | WMPaint (TPairSplitterSide)
pt | WMRButtonDBLCLK (TControl)
pt | WMRButtonDown (TControl)
pt | WMRButtonQuadCLK (TControl)
pt | WMRButtonTripleCLK (TControl)
pt | WMRButtonUp (TControl)
pt | WMSetFocus (TWinControl)
pt | WMShowWindow (TWinControl)
pt | WMSize (TControl)
pt | WMSize (TWinControl)
pt | WMSysChar (TWinControl)
pt | WMSysKeyDown (TWinControl)
pt | WMSysKeyUp (TWinControl)
pt | WMWindowPosChanged (TControl)
pt | WMWindowPosChanged (TWinControl)
pt | WMXButtonDBLCLK (TControl)
pt | WMXButtonDown (TControl)
pt | WMXButtonQuadCLK (TControl)
pt | WMXButtonTripleCLK (TControl)
pt | WMXButtonUp (TControl)
pt | WndProc (TControl)
pt | WndProc (TWinControl)
 | WriteLayoutDebugReport (TControl)
 | WriteLayoutDebugReport (TWinControl)
 | WriteLeft (TComponent)
 | WriteState (TComponent)
 | WriteTop (TComponent)
pt | WSRegisterClass (TLCLComponent)
pt | WSRegisterClass (TControl)
pt | WSRegisterClass (TWinControl)
pt | WSRegisterClass (TPairSplitterSide)
pt | WSSetText (TWinControl)
 | _AddRef (TComponent)
 | _Release (TComponent)


TPairSplitterSide
pl | ro | OnMouseDown
pl | ro | OnMouseEnter
pl | ro | OnMouseLeave
pl | ro | OnMouseMove
pl | ro | OnMouseUp
pl | ro | OnMouseWheel
pl | ro | OnMouseWheelDown
pl | ro | OnMouseWheelUp
pl | ro | OnResize
TWinControl
pt |  | OnGetSiteInfo
pt |  | OnGetDockCaption
 |  | OnAlignInsertBefore
 |  | OnAlignPosition
 |  | OnDockDrop
 |  | OnDockOver
 |  | OnEnter
 |  | OnExit
 |  | OnKeyDown
 |  | OnKeyPress
 |  | OnKeyUp
 |  | OnUnDock
 |  | OnUTF8KeyPress
TControl
pt |  | OnConstrainedResize
pt |  | OnContextPopup
pt |  | OnDblClick
pt |  | OnTripleClick
pt |  | OnQuadClick
pt |  | OnDragDrop
pt |  | OnDragOver
pt |  | OnEndDock
pt |  | OnEndDrag
pt |  | OnMouseDown
pt |  | OnMouseMove
pt |  | OnMouseUp
pt |  | OnMouseEnter
pt |  | OnMouseLeave
pt |  | OnMouseWheel
pt |  | OnMouseWheelDown
pt |  | OnMouseWheelUp
pt |  | OnMouseWheelHorz
pt |  | OnMouseWheelLeft
pt |  | OnMouseWheelRight
pt |  | OnStartDock
pt |  | OnStartDrag
pt |  | OnEditingDone
 |  | OnChangeBounds
 |  | OnClick
 |  | OnResize
 |  | OnShowHint
TLCLComponent
TComponent
TPersistent
TObject


 |  | OnAlignInsertBefore (TWinControl)
 |  | OnAlignPosition (TWinControl)
 |  | OnChangeBounds (TControl)
 |  | OnClick (TControl)
pt |  | OnConstrainedResize (TControl)
pt |  | OnContextPopup (TControl)
pt |  | OnDblClick (TControl)
 |  | OnDockDrop (TWinControl)
 |  | OnDockOver (TWinControl)
pt |  | OnDragDrop (TControl)
pt |  | OnDragOver (TControl)
pt |  | OnEditingDone (TControl)
pt |  | OnEndDock (TControl)
pt |  | OnEndDrag (TControl)
 |  | OnEnter (TWinControl)
 |  | OnExit (TWinControl)
pt |  | OnGetDockCaption (TWinControl)
pt |  | OnGetSiteInfo (TWinControl)
 |  | OnKeyDown (TWinControl)
 |  | OnKeyPress (TWinControl)
 |  | OnKeyUp (TWinControl)
pt |  | OnMouseDown (TControl)
pl | ro | OnMouseDown (TPairSplitterSide)
pt |  | OnMouseEnter (TControl)
pl | ro | OnMouseEnter (TPairSplitterSide)
pt |  | OnMouseLeave (TControl)
pl | ro | OnMouseLeave (TPairSplitterSide)
pt |  | OnMouseMove (TControl)
pl | ro | OnMouseMove (TPairSplitterSide)
pt |  | OnMouseUp (TControl)
pl | ro | OnMouseUp (TPairSplitterSide)
pt |  | OnMouseWheel (TControl)
pl | ro | OnMouseWheel (TPairSplitterSide)
pt |  | OnMouseWheelDown (TControl)
pl | ro | OnMouseWheelDown (TPairSplitterSide)
pt |  | OnMouseWheelHorz (TControl)
pt |  | OnMouseWheelLeft (TControl)
pt |  | OnMouseWheelRight (TControl)
pt |  | OnMouseWheelUp (TControl)
pl | ro | OnMouseWheelUp (TPairSplitterSide)
pt |  | OnQuadClick (TControl)
 |  | OnResize (TControl)
pl | ro | OnResize (TPairSplitterSide)
 |  | OnShowHint (TControl)
pt |  | OnStartDock (TControl)
pt |  | OnStartDrag (TControl)
pt |  | OnTripleClick (TControl)
 |  | OnUnDock (TWinControl)
 |  | OnUTF8KeyPress (TWinControl)


TPairSplitterSide.Align

Declaration

Source position: pairsplitter.pas line 52

protected property TPairSplitterSide.Align : TAlign;


TPairSplitterSide.Anchors

Declaration

Source position: pairsplitter.pas line 53

protected property TPairSplitterSide.Anchors : TAnchors;


TPairSplitterSide.ChildSizing

Declaration

Source position: pairsplitter.pas line 65

published property TPairSplitterSide.ChildSizing : TControlChildSizing;


TPairSplitterSide.ClientHeight

Declaration

Source position: pairsplitter.pas line 67

published property TPairSplitterSide.ClientHeight : Integer;


TPairSplitterSide.ClientWidth

Declaration

Source position: pairsplitter.pas line 66

published property TPairSplitterSide.ClientWidth : Integer;


TPairSplitterSide.Constraints

Declaration

Source position: pairsplitter.pas line 68

published property TPairSplitterSide.Constraints : TSizeConstraints;


TPairSplitterSide.Create

Declaration

Source position: pairsplitter.pas line 55

public constructor TPairSplitterSide.Create(

  TheOwner: TComponent

); override;


TPairSplitterSide.Cursor

Declaration

Source position: pairsplitter.pas line 69

published property TPairSplitterSide.Cursor : TCursor;


TPairSplitterSide.Destroy

Declaration

Source position: pairsplitter.pas line 56

public destructor TPairSplitterSide.Destroy; override;


TPairSplitterSide.Enabled

Declaration

Source position: pairsplitter.pas line 70

published property TPairSplitterSide.Enabled : Boolean;


TPairSplitterSide.Height

Declaration

Source position: pairsplitter.pas line 63

public property TPairSplitterSide.Height : Integer;


TPairSplitterSide.Left

Declaration

Source position: pairsplitter.pas line 60

public property TPairSplitterSide.Left : Integer;


TPairSplitterSide.OnMouseDown

Declaration

Source position: pairsplitter.pas line 71

published property TPairSplitterSide.OnMouseDown : TMouseEvent;


TPairSplitterSide.OnMouseEnter

Declaration

Source position: pairsplitter.pas line 72

published property TPairSplitterSide.OnMouseEnter : TNotifyEvent;


TPairSplitterSide.OnMouseLeave

Declaration

Source position: pairsplitter.pas line 73

published property TPairSplitterSide.OnMouseLeave : TNotifyEvent;


TPairSplitterSide.OnMouseMove

Declaration

Source position: pairsplitter.pas line 74

published property TPairSplitterSide.OnMouseMove : TMouseMoveEvent;


TPairSplitterSide.OnMouseUp

Declaration

Source position: pairsplitter.pas line 75

published property TPairSplitterSide.OnMouseUp : TMouseEvent;


TPairSplitterSide.OnMouseWheel

Declaration

Source position: pairsplitter.pas line 76

published property TPairSplitterSide.OnMouseWheel : TMouseWheelEvent;


TPairSplitterSide.OnMouseWheelDown

Declaration

Source position: pairsplitter.pas line 77

published property TPairSplitterSide.OnMouseWheelDown : TMouseWheelUpDownEvent;


TPairSplitterSide.OnMouseWheelUp

Declaration

Source position: pairsplitter.pas line 78

published property TPairSplitterSide.OnMouseWheelUp : TMouseWheelUpDownEvent;


TPairSplitterSide.OnResize

Declaration

Source position: pairsplitter.pas line 79

published property TPairSplitterSide.OnResize : TNotifyEvent;


TPairSplitterSide.Paint

Declaration

Source position: pairsplitter.pas line 51

protected procedure TPairSplitterSide.Paint; virtual;


TPairSplitterSide.ParentShowHint

Declaration

Source position: pairsplitter.pas line 81

published property TPairSplitterSide.ParentShowHint : Boolean;


TPairSplitterSide.PopupMenu

Declaration

Source position: pairsplitter.pas line 82

published property TPairSplitterSide.PopupMenu : TPopupMenu;


TPairSplitterSide.SetParent

Declaration

Source position: pairsplitter.pas line 49

protected procedure TPairSplitterSide.SetParent(

  AParent: TWinControl

); override;


TPairSplitterSide.ShowHint

Declaration

Source position: pairsplitter.pas line 80

published property TPairSplitterSide.ShowHint : Boolean;


TPairSplitterSide.Splitter

Declaration

Source position: pairsplitter.pas line 58

public property TPairSplitterSide.Splitter : TCustomPairSplitter
  read GetSplitter;


TPairSplitterSide.Top

Declaration

Source position: pairsplitter.pas line 61

public property TPairSplitterSide.Top : Integer;


TPairSplitterSide.Visible

Declaration

Source position: pairsplitter.pas line 59

public property TPairSplitterSide.Visible : Boolean;


TPairSplitterSide.Width

Declaration

Source position: pairsplitter.pas line 62

public property TPairSplitterSide.Width : Integer;


TPairSplitterSide.WMPaint

Declaration

Source position: pairsplitter.pas line 50

protected procedure TPairSplitterSide.WMPaint(

  var PaintMessage: TLMPaint

); message;


TNotifierForm

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Implements the form used for TPopupNotifier

Declaration

Source position: popupnotifier.pas line 55

type TNotifierForm = class(THintWindow)
protected
procedure CreateHandle; override; | Creates the handle for the form
public
constructor Create(); override; |
destructor Destroy; override; | Frees the class instance
procedure Paint; override;
end;

Inheritance

TNotifierForm | Implements the form used for TPopupNotifier
|
THintWindow | The popup box containing helpful information that appears when the mouse pointer hovers over an object.
|
TCustomForm | The base type for TForm.
|
TCustomDesignControl
|
TScrollingWinControl | Class of a windowed control with incorporated scroll bars.
|
TCustomControl | The base class for windowed controls which paint themselves.
|
TWinControl | The base class for controls which can contain other (child) controls.
|
TControl | The base class for visible controls.
|
TLCLComponent | The base class for LCL components associated with widgets.
|
TComponent,IUnknown,IInterfaceComponentReference
|
TPersistent,IFPObserved
|
TObject

Description

TNotifierForm is a THintWindow descendant that implements the form used for TPopupNotifier. TNotifierForm has private members that are used for the title, text, icon, and button in the popup notification.TNotifierForm provides methods which paint, hide, and handle resizing for the form.


TNotifierForm
THintWindow
 |  | Alignment
 |  | HintRect
 |  | HintRectAdjust
 |  | HintData
 |  | AutoHide
 | ro | BiDiMode
 |  | HideInterval
TCustomForm
pt | ro | ClientHandle
 | ro | Active
 |  | ActiveControl
 |  | ActiveDefaultControl
 |  | AllowDropFiles
 |  | AlphaBlend
 |  | AlphaBlendValue
 | ro | AutoScroll
 |  | BorderIcons
 |  | BorderStyle
 |  | CancelControl
 | ro | Caption
 | ro | Color
 |  | DefaultControl
 |  | DefaultMonitor
 |  | Designer
 | ro | EffectiveShowInTaskBar
 | ro | FormState
 |  | FormStyle
 |  | HelpFile
 |  | Icon
 |  | KeyPreview
 | ro | MDIChildren
 |  | Menu
 |  | ModalResult
 | ro | Monitor
 | ro | LastActiveControl
 |  | PopupMode
 |  | PopupParent
 | ro | ParentFont
 |  | Position
 | ro | RestoredLeft
 | ro | RestoredTop
 | ro | RestoredWidth
 | ro | RestoredHeight
 |  | ShowInTaskBar
 | ro | Visible
 |  | WindowState
TCustomDesignControl
 |  | DesignTimePPI
 |  | PixelsPerInch
 |  | Scaled
TScrollingWinControl
pt |  | AutoScroll
pl |  | HorzScrollBar
pl |  | VertScrollBar
TCustomControl
 |  | Canvas
 | ro | BorderStyle
TWinControl
pt |  | WindowHandle
pt |  | BorderStyle
pt |  | ParentBackground
 |  | BorderWidth
 | ro | BoundsLockCount
 | ro | Brush
 | ro | CachedClientHeight
 | ro | CachedClientWidth
 |  | ChildSizing
 | ro | ControlCount
 | ro | Controls
 |  | DefWndProc
 | ro | DockClientCount
 | ro | DockClients
 |  | DockManager
 |  | DockSite
 |  | DoubleBuffered
 |  | Handle
 | ro | IsFlipped
 | ro | IsResizing
 |  | TabOrder
 |  | TabStop
 |  | ParentDoubleBuffered
 |  | ParentWindow
 | ro | Showing
 |  | UseDockManager
 |  | DesignerDeleting
 | ro | VisibleDockClientCount
TControl
pt | ro | AutoSizing
pt | ro | AutoSizingAll
pt | ro | AutoSizingLockCount
pt |  | ActionLink
pt |  | DesktopFont
pt |  | DragCursor
pt |  | DragKind
pt |  | DragMode
pt |  | MouseCapture
pt |  | ParentColor
pt |  | ParentFont
pt |  | ParentShowHint
pt |  | SessionProperties
pt |  | Text
 | ro | AnchoredControls
 | ro | BaseBounds
 | ro | ReadBounds
 | ro | BaseParentClientSize
 |  | AccessibleDescription
 |  | AccessibleValue
 |  | AccessibleRole
 |  | Action
 |  | Align
 |  | Anchors
 | ro | AnchorSide
 |  | AutoSize
 |  | BorderSpacing
 |  | BoundsRect
 |  | BoundsRectForNewParent
 |  | Caption
 |  | CaptureMouseButtons
 |  | ClientHeight
 | ro | ClientOrigin
 | ro | ClientRect
 |  | ClientWidth
 |  | Color
 |  | Constraints
 | ro | ControlOrigin
 |  | ControlState
 |  | ControlStyle
 |  | Enabled
 |  | Font
 |  | IsControl
 | ro | MouseEntered
 | ro | MouseInClient
 |  | Parent
 |  | PopupMenu
 |  | ShowHint
 |  | Visible
 |  | WindowProc
 |  | DockOrientation
 | ro | Floating
 |  | FloatingDockSiteClass
 |  | HostDockSite
 |  | LRDockWidth
 |  | TBDockHeight
 |  | UndockHeight
 |  | UndockWidth
 |  | BiDiMode
 |  | ParentBiDiMode
pl |  | AnchorSideLeft
pl |  | AnchorSideTop
pl |  | AnchorSideRight
pl |  | AnchorSideBottom
pl |  | Cursor
pl |  | Left
pl |  | Height
pl |  | Hint
pl |  | Top
pl |  | Width
pl |  | HelpType
pl |  | HelpKeyword
pl |  | HelpContext
TLCLComponent
 | ro | LCLRefCount
 | ro | WidgetSetClass
TComponent
 | ro | ComObject
 | ro | Components
 | ro | ComponentCount
 |  | ComponentIndex
 | ro | ComponentState
 | ro | ComponentStyle
 |  | DesignInfo
 | ro | Owner
 |  | VCLComObject
 |  | Name
 |  | Tag
TPersistent
TObject


TNotifierForm
pt | CreateHandle
 | Create
 | Destroy
 | Paint
THintWindow
pt | WSRegisterClass
pt | WMNCHitTest
pt | ActivateSub
pt | DoShowWindow
pt | UpdateRegion
pt | SetColor
pt | UseBGThemes
pt | UseFGThemes
pt | Paint
pt | SysHintFont
 | Destroy
 | Create
 | ActivateHint
 | ActivateWithBounds
 | ActivateHintData
 | CalcHintRect
 | OffsetHintRect
 | InitializeWnd
 | IsHintMsg
 | ReleaseHandle
 | SetBounds
 | GetControlClassDefaultSize
TCustomForm
pt | WMActivate
pt | WMCloseQuery
pt | WMHelp
pt | WMMove
pt | WMShowWindow
pt | WMSize
pt | WMWindowPosChanged
pt | CMBiDiModeChanged
pt | CMParentBiDiModeChanged
pt | CMAppShowBtnGlyphChanged
pt | CMAppShowMenuGlyphChanged
pt | CMIconChanged
pt | CMRelease
pt | CMActivate
pt | CMDeactivate
pt | CMShowingChanged
pt | WMDPIChanged
pt | WSRegisterClass
pt | DoShowWindow
pt | Activate
pt | ActiveChanged
pt | AdjustClientRect
pt | BeginFormUpdate
pt | ColorIsStored
pt | CreateParams
pt | CreateWnd
pt | Deactivate
pt | DoClose
pt | DoCreate
pt | DoDestroy
pt | DoHide
pt | DoShow
pt | EndFormUpdate
pt | HandleCreateException
pt | HandleDestroyException
pt | HandleShowHideException
pt | InitializeWnd
pt | Loaded
pt | ChildHandlesCreated
pt | Notification
pt | PaintWindow
pt | RequestAlign
pt | Resizing
pt | CalculatePreferredSize
pt | SetZOrder
pt | SetParent
pt | MoveToDefaultPosition
pt | UpdateShowing
pt | SetVisible
pt | AllAutoSized
pt | DoFirstShow
pt | UpdateWindowState
pt | VisibleChanging
pt | VisibleChanged
pt | WndProc
pt | VisibleIsStored
pt | DoSendBoundsToInterface
pt | DoAutoSize
pt | SetAutoSize
pt | SetAutoScroll
pt | SetScaled
pt | DoAddActionList
pt | DoRemoveActionList
pt | ProcessResource
pt | BeginAutoDrag
pt | DoDock
pt | GetFloating
pt | GetDefaultDockCaption
pt | CMActionExecute
pt | CMActionUpdate
pt | DoExecuteAction
pt | DoUpdateAction
pt | UpdateActions
 | Create
 | CreateNew
 | Destroy
 | AfterConstruction
 | BeforeDestruction
 | GetControlClassDefaultSize
 | BigIconHandle
 | Close
 | CloseQuery
 | DefocusControl
 | DestroyWnd
 | EnsureVisible
 | FocusControl
 | FormIsUpdating
 | GetFormImage
 | GetRolesForControl
 | GetRealPopupParent
 | Hide
 | IntfDropFiles
 | IntfHelp
 | IsShortcut
 | MakeFullyVisible
 | AutoSizeDelayedHandle
 | GetPreferredSize
 | Release
 | CanFocus
 | SetFocus
 | SetFocusedControl
 | SetRestoredBounds
 | Show
 | ShowModal
 | ShowOnTop
 | SmallIconHandle
 | GetChildren
 | WantChildKey
 | RemoveAllHandlersOfObject
 | AddHandlerFirstShow
 | RemoveHandlerFirstShow
 | AddHandlerClose
 | RemoveHandlerClose
 | AddHandlerCreate
 | RemoveHandlerCreate
 | ActiveMDIChild
 | GetMDIChildren
 | MDIChildCount
 | AutoScale
 | Dock
 | UpdateDockCaption
TCustomDesignControl
pt | SetScaled
pt | DoAutoAdjustLayout
pt | Loaded
 | Create
 | AutoAdjustLayout
TScrollingWinControl
pt | WSRegisterClass
pt | AlignControls
pt | AutoScrollEnabled
pt | CalculateAutoRanges
pt | CreateWnd
pt | GetClientScrollOffset
pt | GetLogicalClientRect
pt | DoOnResize
pt | GetPreferredSizeClientFrame
pt | WMSize
pt | WMHScroll
pt | WMVScroll
pt | ComputeScrollbars
pt | SetAutoScroll
pt | Loaded
pt | Resizing
pt | SetAutoSize
 | Create
 | Destroy
 | ScreenToClient
 | ClientToScreen
 | UpdateScrollbars
 | GetControlClassDefaultSize
 | ScrollBy
 | ScrollInView
TCustomControl
pt | WSRegisterClass
pt | WMPaint
pt | DestroyWnd
pt | PaintWindow
pt | FontChanged
pt | SetColor
pt | Paint
 | Create
 | Destroy
TWinControl
pt | WSRegisterClass
pt | AdjustClientRect
pt | GetAdjustedLogicalClientRect
pt | AlignControls
pt | CustomAlignInsertBefore
pt | CustomAlignPosition
pt | DoAlignChildControls
pt | DoChildSizingChange
pt | InvalidatePreferredChildSizes
pt | CanTab
pt | IsClientHeightStored
pt | IsClientWidthStored
pt | DoSendShowHideToInterface
pt | ControlsAligned
pt | DoSendBoundsToInterface
pt | RealizeBounds
pt | RealizeBoundsRecursive
pt | InvalidateBoundsRealized
pt | CreateSubClass
pt | DoConstraintsChange
pt | DoSetBounds
pt | DoAutoSize
pt | DoAllAutoSize
pt | AllAutoSized
pt | CalculatePreferredSize
pt | GetPreferredSizeClientFrame
pt | GetChildren
pt | ChildClassAllowed
pt | PaintControls
pt | PaintHandler
pt | PaintWindow
pt | CreateBrush
pt | ScaleControls
pt | ChangeScale
pt | CMBiDiModeChanged
pt | CMBorderChanged
pt | CMDoubleBufferedChanged
pt | CMEnabledChanged
pt | CMParentDoubleBufferedChanged
pt | CMShowingChanged
pt | CMShowHintChanged
pt | CMVisibleChanged
pt | CMEnter
pt | CMExit
pt | WMContextMenu
pt | WMEraseBkgnd
pt | WMNotify
pt | WMSetFocus
pt | WMKillFocus
pt | WMShowWindow
pt | WMEnter
pt | WMExit
pt | WMKeyDown
pt | WMSysKeyDown
pt | WMKeyUp
pt | WMSysKeyUp
pt | WMChar
pt | WMSysChar
pt | WMPaint
pt | WMDestroy
pt | WMMove
pt | WMSize
pt | WMWindowPosChanged
pt | CNKeyDown
pt | CNSysKeyDown
pt | CNKeyUp
pt | CNSysKeyUp
pt | CNChar
pt | DoDragMsg
pt | DoDockClientMsg
pt | DoUndockClientMsg
pt | DoAddDockClient
pt | DockOver
pt | DoDockOver
pt | DoRemoveDockClient
pt | DoUnDock
pt | GetSiteInfo
pt | GetParentHandle
pt | GetTopParentHandle
pt | ReloadDockedControl
pt | CreateDockManager
pt | SetDockManager
pt | DoFloatMsg
pt | DoGetDockCaption
pt | DoEnter
pt | DoExit
pt | DoKeyDownBeforeInterface
pt | DoRemainingKeyDown
pt | DoRemainingKeyUp
pt | DoKeyPress
pt | DoUTF8KeyPress
pt | DoKeyUpBeforeInterface
pt | ChildKey
pt | SendDialogChar
pt | DialogChar
pt | ControlKeyDown
pt | ControlKeyUp
pt | KeyDown
pt | KeyDownBeforeInterface
pt | KeyDownAfterInterface
pt | KeyPress
pt | KeyUp
pt | KeyUpBeforeInterface
pt | KeyUpAfterInterface
pt | UTF8KeyPress
pt | FindNextControl
pt | SelectFirst
pt | RealGetText
pt | GetBorderStyle
pt | GetClientOrigin
pt | GetClientRect
pt | GetControlOrigin
pt | GetDeviceContext
pt | GetParentBackground
pt | IsControlMouseMsg
pt | CreateHandle
pt | CreateParams
pt | CreateWnd
pt | DestroyHandle
pt | DestroyWnd
pt | DoFlipChildren
pt | FinalizeWnd
pt | FixupTabList
pt | FontChanged
pt | InitializeWnd
pt | Loaded
pt | FormEndUpdated
pt | MainWndProc
pt | ParentFormHandleInitialized
pt | ChildHandlesCreated
pt | GetMouseCapture
pt | RealSetText
pt | RemoveFocus
pt | SendMoveSizeMessages
pt | SetBorderStyle
pt | SetColor
pt | SetChildZPosition
pt | SetParentBackground
pt | ShowControl
pt | UpdateControlState
pt | UpdateShowing
pt | WndProc
pt | WSSetText
 | AutoSizePhases
 | AutoSizeDelayed
 | AutoSizeDelayedReport
 | AutoSizeDelayedHandle
 | BeginUpdateBounds
 | EndUpdateBounds
 | LockRealizeBounds
 | UnlockRealizeBounds
 | ControlAtPos
 | ContainsControl
 | DoAdjustClientRectChange
 | InvalidateClientRectCache
 | ClientRectNeedsInterfaceUpdate
 | SetBounds
 | GetChildrenRect
 | DisableAlign
 | EnableAlign
 | ReAlign
 | ScrollBy_WS
 | ScrollBy
 | WriteLayoutDebugReport
 | AutoAdjustLayout
 | Create
 | CreateParented
 | CreateParentedControl
 | Destroy
 | DockDrop
 | CanFocus
 | CanSetFocus
 | GetControlIndex
 | SetControlIndex
 | Focused
 | PerformTab
 | FindChildControl
 | SelectNext
 | SetTempCursor
 | BroadCast
 | NotifyControls
 | DefaultHandler
 | GetTextLen
 | Invalidate
 | AddControl
 | InsertControl
 | RemoveControl
 | GetEnumeratorControls
 | GetEnumeratorControlsReverse
 | Repaint
 | Update
 | SetFocus
 | FlipChildren
 | ScaleBy
 | GetDockCaption
 | UpdateDockCaption
 | GetTabOrderList
 | HandleAllocated
 | ParentHandlesAllocated
 | HandleNeeded
 | BrushCreated
 | EraseBackground
 | IntfUTF8KeyPress
 | IntfGetDropFilesTarget
 | PaintTo
 | SetShape
TControl
pt | WSRegisterClass
pt | GetCursor
pt | SetCursor
pt | SetVisible
pt | DoOnParentHandleDestruction
pt | DoAutoSize
pt | DoAllAutoSize
pt | BeginAutoSizing
pt | EndAutoSizing
pt | AnchorSideChanged
pt | ForeignAnchorSideChanged
pt | SetAlign
pt | SetAnchors
pt | SetAutoSize
pt | BoundsChanged
pt | CreateControlBorderSpacing
pt | DoConstraintsChange
pt | DoBorderSpacingChange
pt | IsBorderSpacingInnerBorderStored
pt | IsCaptionStored
pt | SendMoveSizeMessages
pt | ConstrainedResize
pt | CalculatePreferredSize
pt | DoOnResize
pt | DoOnChangeBounds
pt | CheckOnChangeBounds
pt | Resize
pt | RequestAlign
pt | UpdateAnchorRules
pt | ChangeBounds
pt | DoSetBounds
pt | ScaleConstraints
pt | ChangeScale
pt | CanAutoSize
pt | SetBiDiMode
pt | SetParentBiDiMode
pt | IsAParentAligning
pt | GetClientOrigin
pt | GetClientRect
pt | GetLogicalClientRect
pt | GetScrolledClientRect
pt | GetClientScrollOffset
pt | GetControlOrigin
pt | IsClientHeightStored
pt | IsClientWidthStored
pt | WidthIsAnchored
pt | HeightIsAnchored
pt | WMCancelMode
pt | WMContextMenu
pt | WMLButtonDown
pt | WMRButtonDown
pt | WMMButtonDown
pt | WMXButtonDown
pt | WMLButtonDBLCLK
pt | WMRButtonDBLCLK
pt | WMMButtonDBLCLK
pt | WMXButtonDBLCLK
pt | WMLButtonTripleCLK
pt | WMRButtonTripleCLK
pt | WMMButtonTripleCLK
pt | WMXButtonTripleCLK
pt | WMLButtonQuadCLK
pt | WMRButtonQuadCLK
pt | WMMButtonQuadCLK
pt | WMXButtonQuadCLK
pt | WMMouseMove
pt | WMLButtonUp
pt | WMRButtonUp
pt | WMMButtonUp
pt | WMXButtonUp
pt | WMMouseWheel
pt | WMMouseHWheel
pt | WMMove
pt | WMSize
pt | WMWindowPosChanged
pt | CMChanged
pt | LMCaptureChanged
pt | CMBiDiModeChanged
pt | CMSysFontChanged
pt | CMEnabledChanged
pt | CMHitTest
pt | CMMouseEnter
pt | CMMouseLeave
pt | CMHintShow
pt | CMParentBiDiModeChanged
pt | CMParentColorChanged
pt | CMParentFontChanged
pt | CMParentShowHintChanged
pt | CMVisibleChanged
pt | CMTextChanged
pt | CMCursorChanged
pt | CalculateDockSizes
pt | CreateFloatingDockSite
pt | GetDockEdge
pt | GetDragImages
pt | GetFloating
pt | GetFloatingDockSiteClass
pt | BeforeDragStart
pt | BeginAutoDrag
pt | DoFloatMsg
pt | DockTrackNoTarget
pt | DoDock
pt | DoDragMsg
pt | DoEndDock
pt | DoEndDrag
pt | DoStartDock
pt | DoStartDrag
pt | DragCanceled
pt | DragOver
pt | PositionDockRect
pt | SetDragMode
pt | GetDefaultDockCaption
pt | Click
pt | DblClick
pt | TripleClick
pt | QuadClick
pt | GetMousePosFromMessage
pt | MouseDown
pt | MouseMove
pt | MouseUp
pt | MouseEnter
pt | MouseLeave
pt | DialogChar
pt | UpdateMouseCursor
pt | Changed
pt | GetPalette
pt | ChildClassAllowed
pt | ReadState
pt | Loaded
pt | LoadedAll
pt | DefineProperties
pt | AssignTo
pt | FormEndUpdated
pt | InvalidateControl
pt | FontChanged
pt | ParentFontChanged
pt | GetAction
pt | RealGetText
pt | RealSetText
pt | TextChanged
pt | GetCachedText
pt | SetAction
pt | SetColor
pt | SetEnabled
pt | SetHint
pt | SetName
pt | SetParent
pt | SetParentComponent
pt | WndProc
pt | ParentFormHandleInitialized
pt | GetMouseCapture
pt | CaptureChanged
pt | Notification
pt | CanTab
pt | GetDeviceContext
pt | GetEnabled
pt | GetPopupMenu
pt | DoOnShowHint
pt | DoMouseWheel
pt | DoMouseWheelDown
pt | DoMouseWheelUp
pt | DoMouseWheelHorz
pt | DoMouseWheelLeft
pt | DoMouseWheelRight
pt | VisibleChanging
pt | VisibleChanged
pt | EnabledChanging
pt | EnabledChanged
pt | AddHandler
pt | RemoveHandler
pt | DoCallNotifyHandler
pt | DoCallKeyEventHandler
pt | DoCallMouseWheelEventHandler
pt | DoContextPopup
pt | SetZOrder
pt | GetControlClassDefaultSize
pt | ColorIsStored
pt | DoAutoAdjustLayout
pt | DoFixDesignFontPPI
pt | DoScaleFontPPI
pt | GetActionLinkClass
pt | ActionChange
 | DragDrop
 | Dock
 | ManualDock
 | ManualFloat
 | ReplaceDockedControl
 | Docked
 | Dragging
 | GetAccessibleObject
 | CreateAccessibleObject
 | GetSelectedChildAccessibleObject
 | GetChildAccessibleObjectAtPos
 | ScaleDesignToForm
 | ScaleFormToDesign
 | Scale96ToForm
 | ScaleFormTo96
 | Scale96ToFont
 | ScaleFontTo96
 | ScaleScreenToFont
 | ScaleFontToScreen
 | Scale96ToScreen
 | ScaleScreenTo96
 | AdjustSize
 | AutoSizePhases
 | AutoSizeDelayed
 | AutoSizeDelayedReport
 | AutoSizeDelayedHandle
 | AnchorToNeighbour
 | AnchorParallel
 | AnchorHorizontalCenterTo
 | AnchorVerticalCenterTo
 | AnchorToCompanion
 | AnchorSame
 | AnchorAsAlign
 | AnchorClient
 | AnchoredControlCount
 | SetBounds
 | SetInitialBounds
 | SetBoundsKeepBase
 | GetPreferredSize
 | GetCanvasScaleFactor
 | GetDefaultWidth
 | GetDefaultHeight
 | GetDefaultColor
 | GetColorResolvingParent
 | GetRGBColorResolvingParent
 | GetSidePosition
 | CNPreferredSizeChanged
 | InvalidatePreferredSize
 | GetAnchorsDependingOnParent
 | DisableAutoSizing
 | EnableAutoSizing
 | UpdateBaseBounds
 | WriteLayoutDebugReport
 | AutoAdjustLayout
 | ShouldAutoAdjust
 | FixDesignFontsPPI
 | ScaleFontsPPI
 | Create
 | Destroy
 | BeforeDestruction
 | EditingDone
 | ExecuteDefaultAction
 | ExecuteCancelAction
 | BeginDrag
 | EndDrag
 | BringToFront
 | HasParent
 | GetParentComponent
 | IsParentOf
 | GetTopParent
 | IsVisible
 | IsControlVisible
 | IsEnabled
 | IsParentColor
 | IsParentFont
 | FormIsUpdating
 | IsProcessingPaintMsg
 | Hide
 | Refresh
 | Repaint
 | Invalidate
 | CheckChildClassAllowed
 | CheckNewParent
 | SendToBack
 | SetTempCursor
 | UpdateRolesForForm
 | ActiveDefaultControlChanged
 | GetTextBuf
 | GetTextLen
 | SetTextBuf
 | Perform
 | ScreenToClient
 | ClientToScreen
 | ScreenToControl
 | ControlToScreen
 | ClientToParent
 | ParentToClient
 | GetChildrenRect
 | Show
 | Update
 | HandleObjectShouldBeVisible
 | ParentDestroyingHandle
 | ParentHandlesAllocated
 | InitiateAction
 | ShowHelp
 | HasHelp
 | RemoveAllHandlersOfObject
 | AddHandlerOnResize
 | RemoveHandlerOnResize
 | AddHandlerOnChangeBounds
 | RemoveHandlerOnChangeBounds
 | AddHandlerOnVisibleChanging
 | RemoveHandlerOnVisibleChanging
 | AddHandlerOnVisibleChanged
 | RemoveHandlerOnVisibleChanged
 | AddHandlerOnEnabledChanged
 | RemoveHandlerOnEnableChanging
 | AddHandlerOnKeyDown
 | RemoveHandlerOnKeyDown
 | AddHandlerOnBeforeDestruction
 | RemoveHandlerOnBeforeDestruction
 | AddHandlerOnMouseWheel
 | RemoveHandlerOnMouseWheel
 | UseRightToLeftAlignment
 | UseRightToLeftReading
 | UseRightToLeftScrollBar
 | IsRightToLeft
TLCLComponent
pt | WSRegisterClass
pt | GetWSComponentClass
 | Create
 | Destroy
 | NewInstance
 | RemoveAllHandlersOfObject
 | IncLCLRefCount
 | DecLCLRefCount
TComponent
 | GetComObject
 | GetComponent
 | GetComponentCount
 | GetComponentIndex
 | Insert
 | ReadLeft
 | ReadTop
 | Remove
 | RemoveNotification
 | SetComponentIndex
 | SetReference
 | WriteLeft
 | WriteTop
 | ChangeName
 | DefineProperties
 | GetChildren
 | GetChildOwner
 | GetChildParent
 | GetOwner
 | Loaded
 | Loading
 | Notification
 | PaletteCreated
 | ReadState
 | SetAncestor
 | SetDesigning
 | SetDesignInstance
 | SetInline
 | SetName
 | SetChildOrder
 | SetParentComponent
 | Updating
 | Updated
 | UpdateRegistry
 | ValidateRename
 | ValidateContainer
 | ValidateInsert
 | QueryInterface
 | _AddRef
 | _Release
 | iicrGetComponent
 | GetTypeInfoCount
 | GetTypeInfo
 | GetIDsOfNames
 | Invoke
 | WriteState
 | Create
 | Destroy
 | BeforeDestruction
 | DestroyComponents
 | Destroying
 | ExecuteAction
 | FindComponent
 | FreeNotification
 | RemoveFreeNotification
 | FreeOnRelease
 | GetEnumerator
 | GetNamePath
 | GetParentComponent
 | HasParent
 | InsertComponent
 | RemoveComponent
 | SafeCallException
 | SetSubComponent
 | UpdateAction
 | IsImplementorOf
 | ReferenceInterface
TPersistent
 | AssignError
 | AssignTo
 | DefineProperties
 | GetOwner
 | Destroy
 | Assign
 | FPOAttachObserver
 | FPODetachObserver
 | FPONotifyObservers
 | GetNamePath
TObject
 | Create
 | Destroy
 | newinstance
 | FreeInstance
 | SafeCallException
 | DefaultHandler
 | Free
 | InitInstance
 | CleanupInstance
 | ClassType
 | ClassInfo
 | ClassName
 | ClassNameIs
 | ClassParent
 | InstanceSize
 | InheritsFrom
 | StringMessageTable
 | MethodAddress
 | MethodName
 | FieldAddress
 | AfterConstruction
 | BeforeDestruction
 | DefaultHandlerStr
 | Dispatch
 | DispatchStr
 | GetInterface
 | GetInterfaceByStr
 | GetInterfaceWeak
 | GetInterfaceEntry
 | GetInterfaceEntryByStr
 | GetInterfaceTable
 | UnitName
 | Equals
 | GetHashCode
 | ToString


pt | ActionChange (TControl)
pt | Activate (TCustomForm)
 | ActivateHint (THintWindow)
 | ActivateHintData (THintWindow)
pt | ActivateSub (THintWindow)
 | ActivateWithBounds (THintWindow)
pt | ActiveChanged (TCustomForm)
 | ActiveDefaultControlChanged (TControl)
 | ActiveMDIChild (TCustomForm)
 | AddControl (TWinControl)
pt | AddHandler (TControl)
 | AddHandlerClose (TCustomForm)
 | AddHandlerCreate (TCustomForm)
 | AddHandlerFirstShow (TCustomForm)
 | AddHandlerOnBeforeDestruction (TControl)
 | AddHandlerOnChangeBounds (TControl)
 | AddHandlerOnEnabledChanged (TControl)
 | AddHandlerOnKeyDown (TControl)
 | AddHandlerOnMouseWheel (TControl)
 | AddHandlerOnResize (TControl)
 | AddHandlerOnVisibleChanged (TControl)
 | AddHandlerOnVisibleChanging (TControl)
pt | AdjustClientRect (TWinControl)
pt | AdjustClientRect (TCustomForm)
 | AdjustSize (TControl)
 | AfterConstruction (TObject)
 | AfterConstruction (TCustomForm)
pt | AlignControls (TWinControl)
pt | AlignControls (TScrollingWinControl)
pt | AllAutoSized (TWinControl)
pt | AllAutoSized (TCustomForm)
 | AnchorAsAlign (TControl)
 | AnchorClient (TControl)
 | AnchoredControlCount (TControl)
 | AnchorHorizontalCenterTo (TControl)
 | AnchorParallel (TControl)
 | AnchorSame (TControl)
pt | AnchorSideChanged (TControl)
 | AnchorToCompanion (TControl)
 | AnchorToNeighbour (TControl)
 | AnchorVerticalCenterTo (TControl)
 | Assign (TPersistent)
 | AssignError (TPersistent)
 | AssignTo (TPersistent)
pt | AssignTo (TControl)
 | AutoAdjustLayout (TControl)
 | AutoAdjustLayout (TWinControl)
 | AutoAdjustLayout (TCustomDesignControl)
 | AutoScale (TCustomForm)
pt | AutoScrollEnabled (TScrollingWinControl)
 | AutoSizeDelayed (TControl)
 | AutoSizeDelayed (TWinControl)
 | AutoSizeDelayedHandle (TControl)
 | AutoSizeDelayedHandle (TWinControl)
 | AutoSizeDelayedHandle (TCustomForm)
 | AutoSizeDelayedReport (TControl)
 | AutoSizeDelayedReport (TWinControl)
 | AutoSizePhases (TControl)
 | AutoSizePhases (TWinControl)
 | BeforeDestruction (TObject)
 | BeforeDestruction (TComponent)
 | BeforeDestruction (TControl)
 | BeforeDestruction (TCustomForm)
pt | BeforeDragStart (TControl)
pt | BeginAutoDrag (TControl)
pt | BeginAutoDrag (TCustomForm)
pt | BeginAutoSizing (TControl)
 | BeginDrag (TControl)
pt | BeginFormUpdate (TCustomForm)
 | BeginUpdateBounds (TWinControl)
 | BigIconHandle (TCustomForm)
pt | BoundsChanged (TControl)
 | BringToFront (TControl)
 | BroadCast (TWinControl)
 | BrushCreated (TWinControl)
 | CalcHintRect (THintWindow)
pt | CalculateAutoRanges (TScrollingWinControl)
pt | CalculateDockSizes (TControl)
pt | CalculatePreferredSize (TControl)
pt | CalculatePreferredSize (TWinControl)
pt | CalculatePreferredSize (TCustomForm)
pt | CanAutoSize (TControl)
 | CanFocus (TWinControl)
 | CanFocus (TCustomForm)
 | CanSetFocus (TWinControl)
pt | CanTab (TControl)
pt | CanTab (TWinControl)
pt | CaptureChanged (TControl)
pt | ChangeBounds (TControl)
pt | Changed (TControl)
 | ChangeName (TComponent)
pt | ChangeScale (TControl)
pt | ChangeScale (TWinControl)
 | CheckChildClassAllowed (TControl)
 | CheckNewParent (TControl)
pt | CheckOnChangeBounds (TControl)
pt | ChildClassAllowed (TControl)
pt | ChildClassAllowed (TWinControl)
pt | ChildHandlesCreated (TWinControl)
pt | ChildHandlesCreated (TCustomForm)
pt | ChildKey (TWinControl)
 | ClassInfo (TObject)
 | ClassName (TObject)
 | ClassNameIs (TObject)
 | ClassParent (TObject)
 | ClassType (TObject)
 | CleanupInstance (TObject)
pt | Click (TControl)
 | ClientRectNeedsInterfaceUpdate (TWinControl)
 | ClientToParent (TControl)
 | ClientToScreen (TControl)
 | ClientToScreen (TScrollingWinControl)
 | Close (TCustomForm)
 | CloseQuery (TCustomForm)
pt | CMActionExecute (TCustomForm)
pt | CMActionUpdate (TCustomForm)
pt | CMActivate (TCustomForm)
pt | CMAppShowBtnGlyphChanged (TCustomForm)
pt | CMAppShowMenuGlyphChanged (TCustomForm)
pt | CMBiDiModeChanged (TControl)
pt | CMBiDiModeChanged (TWinControl)
pt | CMBiDiModeChanged (TCustomForm)
pt | CMBorderChanged (TWinControl)
pt | CMChanged (TControl)
pt | CMCursorChanged (TControl)
pt | CMDeactivate (TCustomForm)
pt | CMDoubleBufferedChanged (TWinControl)
pt | CMEnabledChanged (TControl)
pt | CMEnabledChanged (TWinControl)
pt | CMEnter (TWinControl)
pt | CMExit (TWinControl)
pt | CMHintShow (TControl)
pt | CMHitTest (TControl)
pt | CMIconChanged (TCustomForm)
pt | CMMouseEnter (TControl)
pt | CMMouseLeave (TControl)
pt | CMParentBiDiModeChanged (TControl)
pt | CMParentBiDiModeChanged (TCustomForm)
pt | CMParentColorChanged (TControl)
pt | CMParentDoubleBufferedChanged (TWinControl)
pt | CMParentFontChanged (TControl)
pt | CMParentShowHintChanged (TControl)
pt | CMRelease (TCustomForm)
pt | CMShowHintChanged (TWinControl)
pt | CMShowingChanged (TWinControl)
pt | CMShowingChanged (TCustomForm)
pt | CMSysFontChanged (TControl)
pt | CMTextChanged (TControl)
pt | CMVisibleChanged (TControl)
pt | CMVisibleChanged (TWinControl)
pt | CNChar (TWinControl)
pt | CNKeyDown (TWinControl)
pt | CNKeyUp (TWinControl)
 | CNPreferredSizeChanged (TControl)
pt | CNSysKeyDown (TWinControl)
pt | CNSysKeyUp (TWinControl)
pt | ColorIsStored (TControl)
pt | ColorIsStored (TCustomForm)
pt | ComputeScrollbars (TScrollingWinControl)
pt | ConstrainedResize (TControl)
 | ContainsControl (TWinControl)
 | ControlAtPos (TWinControl)
pt | ControlKeyDown (TWinControl)
pt | ControlKeyUp (TWinControl)
pt | ControlsAligned (TWinControl)
 | ControlToScreen (TControl)
 | Create (TObject)
 | Create (TComponent)
 | Create (TLCLComponent)
 | Create (TControl)
 | Create (TWinControl)
 | Create (TCustomControl)
 | Create (TScrollingWinControl)
 | Create (TCustomDesignControl)
 | Create (TCustomForm)
 | Create (THintWindow)
 | Create (TNotifierForm)
 | CreateAccessibleObject (TControl)
pt | CreateBrush (TWinControl)
pt | CreateControlBorderSpacing (TControl)
pt | CreateDockManager (TWinControl)
pt | CreateFloatingDockSite (TControl)
pt | CreateHandle (TWinControl)
pt | CreateHandle (TNotifierForm)
 | CreateNew (TCustomForm)
pt | CreateParams (TWinControl)
pt | CreateParams (TCustomForm)
 | CreateParented (TWinControl)
 | CreateParentedControl (TWinControl)
pt | CreateSubClass (TWinControl)
pt | CreateWnd (TWinControl)
pt | CreateWnd (TScrollingWinControl)
pt | CreateWnd (TCustomForm)
pt | CustomAlignInsertBefore (TWinControl)
pt | CustomAlignPosition (TWinControl)
pt | DblClick (TControl)
pt | Deactivate (TCustomForm)
 | DecLCLRefCount (TLCLComponent)
 | DefaultHandler (TObject)
 | DefaultHandler (TWinControl)
 | DefaultHandlerStr (TObject)
 | DefineProperties (TPersistent)
 | DefineProperties (TComponent)
pt | DefineProperties (TControl)
 | DefocusControl (TCustomForm)
 | Destroy (TObject)
 | Destroy (TPersistent)
 | Destroy (TComponent)
 | Destroy (TLCLComponent)
 | Destroy (TControl)
 | Destroy (TWinControl)
 | Destroy (TCustomControl)
 | Destroy (TScrollingWinControl)
 | Destroy (TCustomForm)
 | Destroy (THintWindow)
 | Destroy (TNotifierForm)
 | DestroyComponents (TComponent)
pt | DestroyHandle (TWinControl)
 | Destroying (TComponent)
pt | DestroyWnd (TWinControl)
pt | DestroyWnd (TCustomControl)
 | DestroyWnd (TCustomForm)
pt | DialogChar (TControl)
pt | DialogChar (TWinControl)
 | DisableAlign (TWinControl)
 | DisableAutoSizing (TControl)
 | Dispatch (TObject)
 | DispatchStr (TObject)
pt | DoAddActionList (TCustomForm)
pt | DoAddDockClient (TWinControl)
 | DoAdjustClientRectChange (TWinControl)
pt | DoAlignChildControls (TWinControl)
pt | DoAllAutoSize (TControl)
pt | DoAllAutoSize (TWinControl)
pt | DoAutoAdjustLayout (TControl)
pt | DoAutoAdjustLayout (TCustomDesignControl)
pt | DoAutoSize (TControl)
pt | DoAutoSize (TWinControl)
pt | DoAutoSize (TCustomForm)
pt | DoBorderSpacingChange (TControl)
pt | DoCallKeyEventHandler (TControl)
pt | DoCallMouseWheelEventHandler (TControl)
pt | DoCallNotifyHandler (TControl)
pt | DoChildSizingChange (TWinControl)
 | Dock (TControl)
 | Dock (TCustomForm)
 | DockDrop (TWinControl)
 | Docked (TControl)
pt | DockOver (TWinControl)
pt | DockTrackNoTarget (TControl)
pt | DoClose (TCustomForm)
pt | DoConstraintsChange (TControl)
pt | DoConstraintsChange (TWinControl)
pt | DoContextPopup (TControl)
pt | DoCreate (TCustomForm)
pt | DoDestroy (TCustomForm)
pt | DoDock (TControl)
pt | DoDock (TCustomForm)
pt | DoDockClientMsg (TWinControl)
pt | DoDockOver (TWinControl)
pt | DoDragMsg (TControl)
pt | DoDragMsg (TWinControl)
pt | DoEndDock (TControl)
pt | DoEndDrag (TControl)
pt | DoEnter (TWinControl)
pt | DoExecuteAction (TCustomForm)
pt | DoExit (TWinControl)
pt | DoFirstShow (TCustomForm)
pt | DoFixDesignFontPPI (TControl)
pt | DoFlipChildren (TWinControl)
pt | DoFloatMsg (TControl)
pt | DoFloatMsg (TWinControl)
pt | DoGetDockCaption (TWinControl)
pt | DoHide (TCustomForm)
pt | DoKeyDownBeforeInterface (TWinControl)
pt | DoKeyPress (TWinControl)
pt | DoKeyUpBeforeInterface (TWinControl)
pt | DoMouseWheel (TControl)
pt | DoMouseWheelDown (TControl)
pt | DoMouseWheelHorz (TControl)
pt | DoMouseWheelLeft (TControl)
pt | DoMouseWheelRight (TControl)
pt | DoMouseWheelUp (TControl)
pt | DoOnChangeBounds (TControl)
pt | DoOnParentHandleDestruction (TControl)
pt | DoOnResize (TControl)
pt | DoOnResize (TScrollingWinControl)
pt | DoOnShowHint (TControl)
pt | DoRemainingKeyDown (TWinControl)
pt | DoRemainingKeyUp (TWinControl)
pt | DoRemoveActionList (TCustomForm)
pt | DoRemoveDockClient (TWinControl)
pt | DoScaleFontPPI (TControl)
pt | DoSendBoundsToInterface (TWinControl)
pt | DoSendBoundsToInterface (TCustomForm)
pt | DoSendShowHideToInterface (TWinControl)
pt | DoSetBounds (TControl)
pt | DoSetBounds (TWinControl)
pt | DoShow (TCustomForm)
pt | DoShowWindow (TCustomForm)
pt | DoShowWindow (THintWindow)
pt | DoStartDock (TControl)
pt | DoStartDrag (TControl)
pt | DoUnDock (TWinControl)
pt | DoUndockClientMsg (TWinControl)
pt | DoUpdateAction (TCustomForm)
pt | DoUTF8KeyPress (TWinControl)
pt | DragCanceled (TControl)
 | DragDrop (TControl)
 | Dragging (TControl)
pt | DragOver (TControl)
 | EditingDone (TControl)
 | EnableAlign (TWinControl)
 | EnableAutoSizing (TControl)
pt | EnabledChanged (TControl)
pt | EnabledChanging (TControl)
pt | EndAutoSizing (TControl)
 | EndDrag (TControl)
pt | EndFormUpdate (TCustomForm)
 | EndUpdateBounds (TWinControl)
 | EnsureVisible (TCustomForm)
 | Equals (TObject)
 | EraseBackground (TWinControl)
 | ExecuteAction (TComponent)
 | ExecuteCancelAction (TControl)
 | ExecuteDefaultAction (TControl)
 | FieldAddress (TObject)
pt | FinalizeWnd (TWinControl)
 | FindChildControl (TWinControl)
 | FindComponent (TComponent)
pt | FindNextControl (TWinControl)
 | FixDesignFontsPPI (TControl)
pt | FixupTabList (TWinControl)
 | FlipChildren (TWinControl)
 | FocusControl (TCustomForm)
 | Focused (TWinControl)
pt | FontChanged (TControl)
pt | FontChanged (TWinControl)
pt | FontChanged (TCustomControl)
pt | ForeignAnchorSideChanged (TControl)
pt | FormEndUpdated (TControl)
pt | FormEndUpdated (TWinControl)
 | FormIsUpdating (TControl)
 | FormIsUpdating (TCustomForm)
 | FPOAttachObserver (TPersistent)
 | FPODetachObserver (TPersistent)
 | FPONotifyObservers (TPersistent)
 | Free (TObject)
 | FreeInstance (TObject)
 | FreeNotification (TComponent)
 | FreeOnRelease (TComponent)
 | GetAccessibleObject (TControl)
pt | GetAction (TControl)
pt | GetActionLinkClass (TControl)
pt | GetAdjustedLogicalClientRect (TWinControl)
 | GetAnchorsDependingOnParent (TControl)
pt | GetBorderStyle (TWinControl)
pt | GetCachedText (TControl)
 | GetCanvasScaleFactor (TControl)
 | GetChildAccessibleObjectAtPos (TControl)
 | GetChildOwner (TComponent)
 | GetChildParent (TComponent)
 | GetChildren (TComponent)
pt | GetChildren (TWinControl)
 | GetChildren (TCustomForm)
 | GetChildrenRect (TControl)
 | GetChildrenRect (TWinControl)
pt | GetClientOrigin (TControl)
pt | GetClientOrigin (TWinControl)
pt | GetClientRect (TControl)
pt | GetClientRect (TWinControl)
pt | GetClientScrollOffset (TControl)
pt | GetClientScrollOffset (TScrollingWinControl)
 | GetColorResolvingParent (TControl)
 | GetComObject (TComponent)
 | GetComponent (TComponent)
 | GetComponentCount (TComponent)
 | GetComponentIndex (TComponent)
pt | GetControlClassDefaultSize (TControl)
 | GetControlClassDefaultSize (TScrollingWinControl)
 | GetControlClassDefaultSize (TCustomForm)
 | GetControlClassDefaultSize (THintWindow)
 | GetControlIndex (TWinControl)
pt | GetControlOrigin (TControl)
pt | GetControlOrigin (TWinControl)
pt | GetCursor (TControl)
 | GetDefaultColor (TControl)
pt | GetDefaultDockCaption (TControl)
pt | GetDefaultDockCaption (TCustomForm)
 | GetDefaultHeight (TControl)
 | GetDefaultWidth (TControl)
pt | GetDeviceContext (TControl)
pt | GetDeviceContext (TWinControl)
 | GetDockCaption (TWinControl)
pt | GetDockEdge (TControl)
pt | GetDragImages (TControl)
pt | GetEnabled (TControl)
 | GetEnumerator (TComponent)
 | GetEnumeratorControls (TWinControl)
 | GetEnumeratorControlsReverse (TWinControl)
pt | GetFloating (TControl)
pt | GetFloating (TCustomForm)
pt | GetFloatingDockSiteClass (TControl)
 | GetFormImage (TCustomForm)
 | GetHashCode (TObject)
 | GetIDsOfNames (TComponent)
 | GetInterface (TObject)
 | GetInterfaceByStr (TObject)
 | GetInterfaceEntry (TObject)
 | GetInterfaceEntryByStr (TObject)
 | GetInterfaceTable (TObject)
 | GetInterfaceWeak (TObject)
pt | GetLogicalClientRect (TControl)
pt | GetLogicalClientRect (TScrollingWinControl)
 | GetMDIChildren (TCustomForm)
pt | GetMouseCapture (TControl)
pt | GetMouseCapture (TWinControl)
pt | GetMousePosFromMessage (TControl)
 | GetNamePath (TPersistent)
 | GetNamePath (TComponent)
 | GetOwner (TPersistent)
 | GetOwner (TComponent)
pt | GetPalette (TControl)
pt | GetParentBackground (TWinControl)
 | GetParentComponent (TComponent)
 | GetParentComponent (TControl)
pt | GetParentHandle (TWinControl)
pt | GetPopupMenu (TControl)
 | GetPreferredSize (TControl)
 | GetPreferredSize (TCustomForm)
pt | GetPreferredSizeClientFrame (TWinControl)
pt | GetPreferredSizeClientFrame (TScrollingWinControl)
 | GetRealPopupParent (TCustomForm)
 | GetRGBColorResolvingParent (TControl)
 | GetRolesForControl (TCustomForm)
pt | GetScrolledClientRect (TControl)
 | GetSelectedChildAccessibleObject (TControl)
 | GetSidePosition (TControl)
pt | GetSiteInfo (TWinControl)
 | GetTabOrderList (TWinControl)
 | GetTextBuf (TControl)
 | GetTextLen (TControl)
 | GetTextLen (TWinControl)
 | GetTopParent (TControl)
pt | GetTopParentHandle (TWinControl)
 | GetTypeInfo (TComponent)
 | GetTypeInfoCount (TComponent)
pt | GetWSComponentClass (TLCLComponent)
 | HandleAllocated (TWinControl)
pt | HandleCreateException (TCustomForm)
pt | HandleDestroyException (TCustomForm)
 | HandleNeeded (TWinControl)
 | HandleObjectShouldBeVisible (TControl)
pt | HandleShowHideException (TCustomForm)
 | HasHelp (TControl)
 | HasParent (TComponent)
 | HasParent (TControl)
pt | HeightIsAnchored (TControl)
 | Hide (TControl)
 | Hide (TCustomForm)
 | iicrGetComponent (TComponent)
 | IncLCLRefCount (TLCLComponent)
 | InheritsFrom (TObject)
pt | InitializeWnd (TWinControl)
pt | InitializeWnd (TCustomForm)
 | InitializeWnd (THintWindow)
 | InitiateAction (TControl)
 | InitInstance (TObject)
 | Insert (TComponent)
 | InsertComponent (TComponent)
 | InsertControl (TWinControl)
 | InstanceSize (TObject)
 | IntfDropFiles (TCustomForm)
 | IntfGetDropFilesTarget (TWinControl)
 | IntfHelp (TCustomForm)
 | IntfUTF8KeyPress (TWinControl)
 | Invalidate (TControl)
 | Invalidate (TWinControl)
pt | InvalidateBoundsRealized (TWinControl)
 | InvalidateClientRectCache (TWinControl)
pt | InvalidateControl (TControl)
pt | InvalidatePreferredChildSizes (TWinControl)
 | InvalidatePreferredSize (TControl)
 | Invoke (TComponent)
pt | IsAParentAligning (TControl)
pt | IsBorderSpacingInnerBorderStored (TControl)
pt | IsCaptionStored (TControl)
pt | IsClientHeightStored (TControl)
pt | IsClientHeightStored (TWinControl)
pt | IsClientWidthStored (TControl)
pt | IsClientWidthStored (TWinControl)
pt | IsControlMouseMsg (TWinControl)
 | IsControlVisible (TControl)
 | IsEnabled (TControl)
 | IsHintMsg (THintWindow)
 | IsImplementorOf (TComponent)
 | IsParentColor (TControl)
 | IsParentFont (TControl)
 | IsParentOf (TControl)
 | IsProcessingPaintMsg (TControl)
 | IsRightToLeft (TControl)
 | IsShortcut (TCustomForm)
 | IsVisible (TControl)
pt | KeyDown (TWinControl)
pt | KeyDownAfterInterface (TWinControl)
pt | KeyDownBeforeInterface (TWinControl)
pt | KeyPress (TWinControl)
pt | KeyUp (TWinControl)
pt | KeyUpAfterInterface (TWinControl)
pt | KeyUpBeforeInterface (TWinControl)
pt | LMCaptureChanged (TControl)
 | Loaded (TComponent)
pt | Loaded (TControl)
pt | Loaded (TWinControl)
pt | Loaded (TScrollingWinControl)
pt | Loaded (TCustomDesignControl)
pt | Loaded (TCustomForm)
pt | LoadedAll (TControl)
 | Loading (TComponent)
 | LockRealizeBounds (TWinControl)
pt | MainWndProc (TWinControl)
 | MakeFullyVisible (TCustomForm)
 | ManualDock (TControl)
 | ManualFloat (TControl)
 | MDIChildCount (TCustomForm)
 | MethodAddress (TObject)
 | MethodName (TObject)
pt | MouseDown (TControl)
pt | MouseEnter (TControl)
pt | MouseLeave (TControl)
pt | MouseMove (TControl)
pt | MouseUp (TControl)
pt | MoveToDefaultPosition (TCustomForm)
 | newinstance (TObject)
 | NewInstance (TLCLComponent)
 | Notification (TComponent)
pt | Notification (TControl)
pt | Notification (TCustomForm)
 | NotifyControls (TWinControl)
 | OffsetHintRect (THintWindow)
pt | Paint (TCustomControl)
pt | Paint (THintWindow)
 | Paint (TNotifierForm)
pt | PaintControls (TWinControl)
pt | PaintHandler (TWinControl)
 | PaintTo (TWinControl)
pt | PaintWindow (TWinControl)
pt | PaintWindow (TCustomControl)
pt | PaintWindow (TCustomForm)
 | PaletteCreated (TComponent)
 | ParentDestroyingHandle (TControl)
pt | ParentFontChanged (TControl)
pt | ParentFormHandleInitialized (TControl)
pt | ParentFormHandleInitialized (TWinControl)
 | ParentHandlesAllocated (TControl)
 | ParentHandlesAllocated (TWinControl)
 | ParentToClient (TControl)
 | Perform (TControl)
 | PerformTab (TWinControl)
pt | PositionDockRect (TControl)
pt | ProcessResource (TCustomForm)
pt | QuadClick (TControl)
 | QueryInterface (TComponent)
 | ReadLeft (TComponent)
 | ReadState (TComponent)
pt | ReadState (TControl)
 | ReadTop (TComponent)
pt | RealGetText (TControl)
pt | RealGetText (TWinControl)
 | ReAlign (TWinControl)
pt | RealizeBounds (TWinControl)
pt | RealizeBoundsRecursive (TWinControl)
pt | RealSetText (TControl)
pt | RealSetText (TWinControl)
 | ReferenceInterface (TComponent)
 | Refresh (TControl)
 | Release (TCustomForm)
 | ReleaseHandle (THintWindow)
pt | ReloadDockedControl (TWinControl)
 | Remove (TComponent)
 | RemoveAllHandlersOfObject (TLCLComponent)
 | RemoveAllHandlersOfObject (TControl)
 | RemoveAllHandlersOfObject (TCustomForm)
 | RemoveComponent (TComponent)
 | RemoveControl (TWinControl)
pt | RemoveFocus (TWinControl)
 | RemoveFreeNotification (TComponent)
pt | RemoveHandler (TControl)
 | RemoveHandlerClose (TCustomForm)
 | RemoveHandlerCreate (TCustomForm)
 | RemoveHandlerFirstShow (TCustomForm)
 | RemoveHandlerOnBeforeDestruction (TControl)
 | RemoveHandlerOnChangeBounds (TControl)
 | RemoveHandlerOnEnableChanging (TControl)
 | RemoveHandlerOnKeyDown (TControl)
 | RemoveHandlerOnMouseWheel (TControl)
 | RemoveHandlerOnResize (TControl)
 | RemoveHandlerOnVisibleChanged (TControl)
 | RemoveHandlerOnVisibleChanging (TControl)
 | RemoveNotification (TComponent)
 | Repaint (TControl)
 | Repaint (TWinControl)
 | ReplaceDockedControl (TControl)
pt | RequestAlign (TControl)
pt | RequestAlign (TCustomForm)
pt | Resize (TControl)
pt | Resizing (TScrollingWinControl)
pt | Resizing (TCustomForm)
 | SafeCallException (TObject)
 | SafeCallException (TComponent)
 | Scale96ToFont (TControl)
 | Scale96ToForm (TControl)
 | Scale96ToScreen (TControl)
 | ScaleBy (TWinControl)
pt | ScaleConstraints (TControl)
pt | ScaleControls (TWinControl)
 | ScaleDesignToForm (TControl)
 | ScaleFontsPPI (TControl)
 | ScaleFontTo96 (TControl)
 | ScaleFontToScreen (TControl)
 | ScaleFormTo96 (TControl)
 | ScaleFormToDesign (TControl)
 | ScaleScreenTo96 (TControl)
 | ScaleScreenToFont (TControl)
 | ScreenToClient (TControl)
 | ScreenToClient (TScrollingWinControl)
 | ScreenToControl (TControl)
 | ScrollBy (TWinControl)
 | ScrollBy (TScrollingWinControl)
 | ScrollBy_WS (TWinControl)
 | ScrollInView (TScrollingWinControl)
pt | SelectFirst (TWinControl)
 | SelectNext (TWinControl)
pt | SendDialogChar (TWinControl)
pt | SendMoveSizeMessages (TControl)
pt | SendMoveSizeMessages (TWinControl)
 | SendToBack (TControl)
pt | SetAction (TControl)
pt | SetAlign (TControl)
 | SetAncestor (TComponent)
pt | SetAnchors (TControl)
pt | SetAutoScroll (TScrollingWinControl)
pt | SetAutoScroll (TCustomForm)
pt | SetAutoSize (TControl)
pt | SetAutoSize (TScrollingWinControl)
pt | SetAutoSize (TCustomForm)
pt | SetBiDiMode (TControl)
pt | SetBorderStyle (TWinControl)
 | SetBounds (TControl)
 | SetBounds (TWinControl)
 | SetBounds (THintWindow)
 | SetBoundsKeepBase (TControl)
 | SetChildOrder (TComponent)
pt | SetChildZPosition (TWinControl)
pt | SetColor (TControl)
pt | SetColor (TWinControl)
pt | SetColor (TCustomControl)
pt | SetColor (THintWindow)
 | SetComponentIndex (TComponent)
 | SetControlIndex (TWinControl)
pt | SetCursor (TControl)
 | SetDesigning (TComponent)
 | SetDesignInstance (TComponent)
pt | SetDockManager (TWinControl)
pt | SetDragMode (TControl)
pt | SetEnabled (TControl)
 | SetFocus (TWinControl)
 | SetFocus (TCustomForm)
 | SetFocusedControl (TCustomForm)
pt | SetHint (TControl)
 | SetInitialBounds (TControl)
 | SetInline (TComponent)
 | SetName (TComponent)
pt | SetName (TControl)
pt | SetParent (TControl)
pt | SetParent (TCustomForm)
pt | SetParentBackground (TWinControl)
pt | SetParentBiDiMode (TControl)
 | SetParentComponent (TComponent)
pt | SetParentComponent (TControl)
 | SetReference (TComponent)
 | SetRestoredBounds (TCustomForm)
pt | SetScaled (TCustomDesignControl)
pt | SetScaled (TCustomForm)
 | SetShape (TWinControl)
 | SetSubComponent (TComponent)
 | SetTempCursor (TControl)
 | SetTempCursor (TWinControl)
 | SetTextBuf (TControl)
pt | SetVisible (TControl)
pt | SetVisible (TCustomForm)
pt | SetZOrder (TControl)
pt | SetZOrder (TCustomForm)
 | ShouldAutoAdjust (TControl)
 | Show (TControl)
 | Show (TCustomForm)
pt | ShowControl (TWinControl)
 | ShowHelp (TControl)
 | ShowModal (TCustomForm)
 | ShowOnTop (TCustomForm)
 | SmallIconHandle (TCustomForm)
 | StringMessageTable (TObject)
pt | SysHintFont (THintWindow)
pt | TextChanged (TControl)
 | ToString (TObject)
pt | TripleClick (TControl)
 | UnitName (TObject)
 | UnlockRealizeBounds (TWinControl)
 | Update (TControl)
 | Update (TWinControl)
 | UpdateAction (TComponent)
pt | UpdateActions (TCustomForm)
pt | UpdateAnchorRules (TControl)
 | UpdateBaseBounds (TControl)
pt | UpdateControlState (TWinControl)
 | Updated (TComponent)
 | UpdateDockCaption (TWinControl)
 | UpdateDockCaption (TCustomForm)
pt | UpdateMouseCursor (TControl)
pt | UpdateRegion (THintWindow)
 | UpdateRegistry (TComponent)
 | UpdateRolesForForm (TControl)
 | UpdateScrollbars (TScrollingWinControl)
pt | UpdateShowing (TWinControl)
pt | UpdateShowing (TCustomForm)
pt | UpdateWindowState (TCustomForm)
 | Updating (TComponent)
pt | UseBGThemes (THintWindow)
pt | UseFGThemes (THintWindow)
 | UseRightToLeftAlignment (TControl)
 | UseRightToLeftReading (TControl)
 | UseRightToLeftScrollBar (TControl)
pt | UTF8KeyPress (TWinControl)
 | ValidateContainer (TComponent)
 | ValidateInsert (TComponent)
 | ValidateRename (TComponent)
pt | VisibleChanged (TControl)
pt | VisibleChanged (TCustomForm)
pt | VisibleChanging (TControl)
pt | VisibleChanging (TCustomForm)
pt | VisibleIsStored (TCustomForm)
 | WantChildKey (TCustomForm)
pt | WidthIsAnchored (TControl)
pt | WMActivate (TCustomForm)
pt | WMCancelMode (TControl)
pt | WMChar (TWinControl)
pt | WMCloseQuery (TCustomForm)
pt | WMContextMenu (TControl)
pt | WMContextMenu (TWinControl)
pt | WMDestroy (TWinControl)
pt | WMDPIChanged (TCustomForm)
pt | WMEnter (TWinControl)
pt | WMEraseBkgnd (TWinControl)
pt | WMExit (TWinControl)
pt | WMHelp (TCustomForm)
pt | WMHScroll (TScrollingWinControl)
pt | WMKeyDown (TWinControl)
pt | WMKeyUp (TWinControl)
pt | WMKillFocus (TWinControl)
pt | WMLButtonDBLCLK (TControl)
pt | WMLButtonDown (TControl)
pt | WMLButtonQuadCLK (TControl)
pt | WMLButtonTripleCLK (TControl)
pt | WMLButtonUp (TControl)
pt | WMMButtonDBLCLK (TControl)
pt | WMMButtonDown (TControl)
pt | WMMButtonQuadCLK (TControl)
pt | WMMButtonTripleCLK (TControl)
pt | WMMButtonUp (TControl)
pt | WMMouseHWheel (TControl)
pt | WMMouseMove (TControl)
pt | WMMouseWheel (TControl)
pt | WMMove (TControl)
pt | WMMove (TWinControl)
pt | WMMove (TCustomForm)
pt | WMNCHitTest (THintWindow)
pt | WMNotify (TWinControl)
pt | WMPaint (TWinControl)
pt | WMPaint (TCustomControl)
pt | WMRButtonDBLCLK (TControl)
pt | WMRButtonDown (TControl)
pt | WMRButtonQuadCLK (TControl)
pt | WMRButtonTripleCLK (TControl)
pt | WMRButtonUp (TControl)
pt | WMSetFocus (TWinControl)
pt | WMShowWindow (TWinControl)
pt | WMShowWindow (TCustomForm)
pt | WMSize (TControl)
pt | WMSize (TWinControl)
pt | WMSize (TScrollingWinControl)
pt | WMSize (TCustomForm)
pt | WMSysChar (TWinControl)
pt | WMSysKeyDown (TWinControl)
pt | WMSysKeyUp (TWinControl)
pt | WMVScroll (TScrollingWinControl)
pt | WMWindowPosChanged (TControl)
pt | WMWindowPosChanged (TWinControl)
pt | WMWindowPosChanged (TCustomForm)
pt | WMXButtonDBLCLK (TControl)
pt | WMXButtonDown (TControl)
pt | WMXButtonQuadCLK (TControl)
pt | WMXButtonTripleCLK (TControl)
pt | WMXButtonUp (TControl)
pt | WndProc (TControl)
pt | WndProc (TWinControl)
pt | WndProc (TCustomForm)
 | WriteLayoutDebugReport (TControl)
 | WriteLayoutDebugReport (TWinControl)
 | WriteLeft (TComponent)
 | WriteState (TComponent)
 | WriteTop (TComponent)
pt | WSRegisterClass (TLCLComponent)
pt | WSRegisterClass (TControl)
pt | WSRegisterClass (TWinControl)
pt | WSRegisterClass (TCustomControl)
pt | WSRegisterClass (TScrollingWinControl)
pt | WSRegisterClass (TCustomForm)
pt | WSRegisterClass (THintWindow)
pt | WSSetText (TWinControl)
 | _AddRef (TComponent)
 | _Release (TComponent)


TNotifierForm
THintWindow
 | ro | OnMouseDown
 | ro | OnMouseUp
 | ro | OnMouseMove
 | ro | OnMouseLeave
TCustomForm
 |  | OnActivate
 |  | OnClose
 |  | OnCloseQuery
 |  | OnCreate
 |  | OnDeactivate
 |  | OnDestroy
 |  | OnDropFiles
 |  | OnHelp
 |  | OnHide
 | ro | OnResize
 |  | OnShortcut
 |  | OnShow
 |  | OnShowModalFinished
 |  | OnWindowStateChange
TCustomDesignControl
TScrollingWinControl
TCustomControl
 |  | OnPaint
TWinControl
pt |  | OnGetSiteInfo
pt |  | OnGetDockCaption
 |  | OnAlignInsertBefore
 |  | OnAlignPosition
 |  | OnDockDrop
 |  | OnDockOver
 |  | OnEnter
 |  | OnExit
 |  | OnKeyDown
 |  | OnKeyPress
 |  | OnKeyUp
 |  | OnUnDock
 |  | OnUTF8KeyPress
TControl
pt |  | OnConstrainedResize
pt |  | OnContextPopup
pt |  | OnDblClick
pt |  | OnTripleClick
pt |  | OnQuadClick
pt |  | OnDragDrop
pt |  | OnDragOver
pt |  | OnEndDock
pt |  | OnEndDrag
pt |  | OnMouseDown
pt |  | OnMouseMove
pt |  | OnMouseUp
pt |  | OnMouseEnter
pt |  | OnMouseLeave
pt |  | OnMouseWheel
pt |  | OnMouseWheelDown
pt |  | OnMouseWheelUp
pt |  | OnMouseWheelHorz
pt |  | OnMouseWheelLeft
pt |  | OnMouseWheelRight
pt |  | OnStartDock
pt |  | OnStartDrag
pt |  | OnEditingDone
 |  | OnChangeBounds
 |  | OnClick
 |  | OnResize
 |  | OnShowHint
TLCLComponent
TComponent
TPersistent
TObject


TNotifierForm.Create

Declaration

Source position: popupnotifier.pas line 66

public constructor TNotifierForm.Create(

  AOwner: TComponent

); override;

Arguments

AOwner

Owner of the form instance

Description

Create is the constructor for the class instance. Create calls the inherited constructor using AOwner as the owner for the class instance. Create sets the BorderStyle to bsNone, and calculates the Width and Height for the form. Create allocates resources and intializes the Icon, Title, Text, and Button for the form. The Color for the form is set to clInfoBk.

Create sets the event handlers in the class instance to the following methods:

OnMouseUp
HandleMouseUp
OnMouseDown
HandleMouseDown

Create calls HandleResize to resize the current form instance.


TNotifierForm.CreateHandle

Creates the handle for the form

Declaration

Source position: popupnotifier.pas line 64

protected procedure TNotifierForm.CreateHandle; override;

Description

CreateHandle is an overridden procedure used to update font colors for TLabel members when the handle for the form is created. CreateHandle calls the inherited method, as uses clInfoText as the font color in TLabel instances with the value clDefault in their stored font color setting.


TNotifierForm.Destroy

Frees the class instance

Declaration

Source position: popupnotifier.pas line 67

public destructor TNotifierForm.Destroy; override;

Description

Destroy is the destructor for the class instance. Destroy frees resources allocated in the constructor for the Icon, Title, Text, and Button on the form. Destroy calls the inherited destructor proper to exiting from the method.


TNotifierXButton

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Implements the button for TNotifierForm

Declaration

Source position: popupnotifier.pas line 40

type TNotifierXButton = class(TCustomControl)
public
constructor Create(); override; | Constructor for the class instance
destructor Destroy; override; | Destructor for the class instance
procedure Paint; override; | Draws the button in its current state
end;

Inheritance

TNotifierXButton | Implements the button for TNotifierForm
|
TCustomControl | The base class for windowed controls which paint themselves.
|
TWinControl | The base class for controls which can contain other (child) controls.
|
TControl | The base class for visible controls.
|
TLCLComponent | The base class for LCL components associated with widgets.
|
TComponent,IUnknown,IInterfaceComponentReference
|
TPersistent,IFPObserved
|
TObject

Description

TNotifierXButton is a TCustomControl descendant that implements the button for TNotifierForm. TNotifierXButton provides methods need to draw the button in a specific state, and respond to mouse up and down messages.


TNotifierXButton
TCustomControl
 |  | Canvas
 | ro | BorderStyle
TWinControl
pt |  | WindowHandle
pt |  | BorderStyle
pt |  | ParentBackground
 |  | BorderWidth
 | ro | BoundsLockCount
 | ro | Brush
 | ro | CachedClientHeight
 | ro | CachedClientWidth
 |  | ChildSizing
 | ro | ControlCount
 | ro | Controls
 |  | DefWndProc
 | ro | DockClientCount
 | ro | DockClients
 |  | DockManager
 |  | DockSite
 |  | DoubleBuffered
 |  | Handle
 | ro | IsFlipped
 | ro | IsResizing
 |  | TabOrder
 |  | TabStop
 |  | ParentDoubleBuffered
 |  | ParentWindow
 | ro | Showing
 |  | UseDockManager
 |  | DesignerDeleting
 | ro | VisibleDockClientCount
TControl
pt | ro | AutoSizing
pt | ro | AutoSizingAll
pt | ro | AutoSizingLockCount
pt |  | ActionLink
pt |  | DesktopFont
pt |  | DragCursor
pt |  | DragKind
pt |  | DragMode
pt |  | MouseCapture
pt |  | ParentColor
pt |  | ParentFont
pt |  | ParentShowHint
pt |  | SessionProperties
pt |  | Text
 | ro | AnchoredControls
 | ro | BaseBounds
 | ro | ReadBounds
 | ro | BaseParentClientSize
 |  | AccessibleDescription
 |  | AccessibleValue
 |  | AccessibleRole
 |  | Action
 |  | Align
 |  | Anchors
 | ro | AnchorSide
 |  | AutoSize
 |  | BorderSpacing
 |  | BoundsRect
 |  | BoundsRectForNewParent
 |  | Caption
 |  | CaptureMouseButtons
 |  | ClientHeight
 | ro | ClientOrigin
 | ro | ClientRect
 |  | ClientWidth
 |  | Color
 |  | Constraints
 | ro | ControlOrigin
 |  | ControlState
 |  | ControlStyle
 |  | Enabled
 |  | Font
 |  | IsControl
 | ro | MouseEntered
 | ro | MouseInClient
 |  | Parent
 |  | PopupMenu
 |  | ShowHint
 |  | Visible
 |  | WindowProc
 |  | DockOrientation
 | ro | Floating
 |  | FloatingDockSiteClass
 |  | HostDockSite
 |  | LRDockWidth
 |  | TBDockHeight
 |  | UndockHeight
 |  | UndockWidth
 |  | BiDiMode
 |  | ParentBiDiMode
pl |  | AnchorSideLeft
pl |  | AnchorSideTop
pl |  | AnchorSideRight
pl |  | AnchorSideBottom
pl |  | Cursor
pl |  | Left
pl |  | Height
pl |  | Hint
pl |  | Top
pl |  | Width
pl |  | HelpType
pl |  | HelpKeyword
pl |  | HelpContext
TLCLComponent
 | ro | LCLRefCount
 | ro | WidgetSetClass
TComponent
 | ro | ComObject
 | ro | Components
 | ro | ComponentCount
 |  | ComponentIndex
 | ro | ComponentState
 | ro | ComponentStyle
 |  | DesignInfo
 | ro | Owner
 |  | VCLComObject
 |  | Name
 |  | Tag
TPersistent
TObject


TNotifierXButton
 | Create
 | Destroy
 | Paint
TCustomControl
pt | WSRegisterClass
pt | WMPaint
pt | DestroyWnd
pt | PaintWindow
pt | FontChanged
pt | SetColor
pt | Paint
 | Create
 | Destroy
TWinControl
pt | WSRegisterClass
pt | AdjustClientRect
pt | GetAdjustedLogicalClientRect
pt | AlignControls
pt | CustomAlignInsertBefore
pt | CustomAlignPosition
pt | DoAlignChildControls
pt | DoChildSizingChange
pt | InvalidatePreferredChildSizes
pt | CanTab
pt | IsClientHeightStored
pt | IsClientWidthStored
pt | DoSendShowHideToInterface
pt | ControlsAligned
pt | DoSendBoundsToInterface
pt | RealizeBounds
pt | RealizeBoundsRecursive
pt | InvalidateBoundsRealized
pt | CreateSubClass
pt | DoConstraintsChange
pt | DoSetBounds
pt | DoAutoSize
pt | DoAllAutoSize
pt | AllAutoSized
pt | CalculatePreferredSize
pt | GetPreferredSizeClientFrame
pt | GetChildren
pt | ChildClassAllowed
pt | PaintControls
pt | PaintHandler
pt | PaintWindow
pt | CreateBrush
pt | ScaleControls
pt | ChangeScale
pt | CMBiDiModeChanged
pt | CMBorderChanged
pt | CMDoubleBufferedChanged
pt | CMEnabledChanged
pt | CMParentDoubleBufferedChanged
pt | CMShowingChanged
pt | CMShowHintChanged
pt | CMVisibleChanged
pt | CMEnter
pt | CMExit
pt | WMContextMenu
pt | WMEraseBkgnd
pt | WMNotify
pt | WMSetFocus
pt | WMKillFocus
pt | WMShowWindow
pt | WMEnter
pt | WMExit
pt | WMKeyDown
pt | WMSysKeyDown
pt | WMKeyUp
pt | WMSysKeyUp
pt | WMChar
pt | WMSysChar
pt | WMPaint
pt | WMDestroy
pt | WMMove
pt | WMSize
pt | WMWindowPosChanged
pt | CNKeyDown
pt | CNSysKeyDown
pt | CNKeyUp
pt | CNSysKeyUp
pt | CNChar
pt | DoDragMsg
pt | DoDockClientMsg
pt | DoUndockClientMsg
pt | DoAddDockClient
pt | DockOver
pt | DoDockOver
pt | DoRemoveDockClient
pt | DoUnDock
pt | GetSiteInfo
pt | GetParentHandle
pt | GetTopParentHandle
pt | ReloadDockedControl
pt | CreateDockManager
pt | SetDockManager
pt | DoFloatMsg
pt | DoGetDockCaption
pt | DoEnter
pt | DoExit
pt | DoKeyDownBeforeInterface
pt | DoRemainingKeyDown
pt | DoRemainingKeyUp
pt | DoKeyPress
pt | DoUTF8KeyPress
pt | DoKeyUpBeforeInterface
pt | ChildKey
pt | SendDialogChar
pt | DialogChar
pt | ControlKeyDown
pt | ControlKeyUp
pt | KeyDown
pt | KeyDownBeforeInterface
pt | KeyDownAfterInterface
pt | KeyPress
pt | KeyUp
pt | KeyUpBeforeInterface
pt | KeyUpAfterInterface
pt | UTF8KeyPress
pt | FindNextControl
pt | SelectFirst
pt | RealGetText
pt | GetBorderStyle
pt | GetClientOrigin
pt | GetClientRect
pt | GetControlOrigin
pt | GetDeviceContext
pt | GetParentBackground
pt | IsControlMouseMsg
pt | CreateHandle
pt | CreateParams
pt | CreateWnd
pt | DestroyHandle
pt | DestroyWnd
pt | DoFlipChildren
pt | FinalizeWnd
pt | FixupTabList
pt | FontChanged
pt | InitializeWnd
pt | Loaded
pt | FormEndUpdated
pt | MainWndProc
pt | ParentFormHandleInitialized
pt | ChildHandlesCreated
pt | GetMouseCapture
pt | RealSetText
pt | RemoveFocus
pt | SendMoveSizeMessages
pt | SetBorderStyle
pt | SetColor
pt | SetChildZPosition
pt | SetParentBackground
pt | ShowControl
pt | UpdateControlState
pt | UpdateShowing
pt | WndProc
pt | WSSetText
 | AutoSizePhases
 | AutoSizeDelayed
 | AutoSizeDelayedReport
 | AutoSizeDelayedHandle
 | BeginUpdateBounds
 | EndUpdateBounds
 | LockRealizeBounds
 | UnlockRealizeBounds
 | ControlAtPos
 | ContainsControl
 | DoAdjustClientRectChange
 | InvalidateClientRectCache
 | ClientRectNeedsInterfaceUpdate
 | SetBounds
 | GetChildrenRect
 | DisableAlign
 | EnableAlign
 | ReAlign
 | ScrollBy_WS
 | ScrollBy
 | WriteLayoutDebugReport
 | AutoAdjustLayout
 | Create
 | CreateParented
 | CreateParentedControl
 | Destroy
 | DockDrop
 | CanFocus
 | CanSetFocus
 | GetControlIndex
 | SetControlIndex
 | Focused
 | PerformTab
 | FindChildControl
 | SelectNext
 | SetTempCursor
 | BroadCast
 | NotifyControls
 | DefaultHandler
 | GetTextLen
 | Invalidate
 | AddControl
 | InsertControl
 | RemoveControl
 | GetEnumeratorControls
 | GetEnumeratorControlsReverse
 | Repaint
 | Update
 | SetFocus
 | FlipChildren
 | ScaleBy
 | GetDockCaption
 | UpdateDockCaption
 | GetTabOrderList
 | HandleAllocated
 | ParentHandlesAllocated
 | HandleNeeded
 | BrushCreated
 | EraseBackground
 | IntfUTF8KeyPress
 | IntfGetDropFilesTarget
 | PaintTo
 | SetShape
TControl
pt | WSRegisterClass
pt | GetCursor
pt | SetCursor
pt | SetVisible
pt | DoOnParentHandleDestruction
pt | DoAutoSize
pt | DoAllAutoSize
pt | BeginAutoSizing
pt | EndAutoSizing
pt | AnchorSideChanged
pt | ForeignAnchorSideChanged
pt | SetAlign
pt | SetAnchors
pt | SetAutoSize
pt | BoundsChanged
pt | CreateControlBorderSpacing
pt | DoConstraintsChange
pt | DoBorderSpacingChange
pt | IsBorderSpacingInnerBorderStored
pt | IsCaptionStored
pt | SendMoveSizeMessages
pt | ConstrainedResize
pt | CalculatePreferredSize
pt | DoOnResize
pt | DoOnChangeBounds
pt | CheckOnChangeBounds
pt | Resize
pt | RequestAlign
pt | UpdateAnchorRules
pt | ChangeBounds
pt | DoSetBounds
pt | ScaleConstraints
pt | ChangeScale
pt | CanAutoSize
pt | SetBiDiMode
pt | SetParentBiDiMode
pt | IsAParentAligning
pt | GetClientOrigin
pt | GetClientRect
pt | GetLogicalClientRect
pt | GetScrolledClientRect
pt | GetClientScrollOffset
pt | GetControlOrigin
pt | IsClientHeightStored
pt | IsClientWidthStored
pt | WidthIsAnchored
pt | HeightIsAnchored
pt | WMCancelMode
pt | WMContextMenu
pt | WMLButtonDown
pt | WMRButtonDown
pt | WMMButtonDown
pt | WMXButtonDown
pt | WMLButtonDBLCLK
pt | WMRButtonDBLCLK
pt | WMMButtonDBLCLK
pt | WMXButtonDBLCLK
pt | WMLButtonTripleCLK
pt | WMRButtonTripleCLK
pt | WMMButtonTripleCLK
pt | WMXButtonTripleCLK
pt | WMLButtonQuadCLK
pt | WMRButtonQuadCLK
pt | WMMButtonQuadCLK
pt | WMXButtonQuadCLK
pt | WMMouseMove
pt | WMLButtonUp
pt | WMRButtonUp
pt | WMMButtonUp
pt | WMXButtonUp
pt | WMMouseWheel
pt | WMMouseHWheel
pt | WMMove
pt | WMSize
pt | WMWindowPosChanged
pt | CMChanged
pt | LMCaptureChanged
pt | CMBiDiModeChanged
pt | CMSysFontChanged
pt | CMEnabledChanged
pt | CMHitTest
pt | CMMouseEnter
pt | CMMouseLeave
pt | CMHintShow
pt | CMParentBiDiModeChanged
pt | CMParentColorChanged
pt | CMParentFontChanged
pt | CMParentShowHintChanged
pt | CMVisibleChanged
pt | CMTextChanged
pt | CMCursorChanged
pt | CalculateDockSizes
pt | CreateFloatingDockSite
pt | GetDockEdge
pt | GetDragImages
pt | GetFloating
pt | GetFloatingDockSiteClass
pt | BeforeDragStart
pt | BeginAutoDrag
pt | DoFloatMsg
pt | DockTrackNoTarget
pt | DoDock
pt | DoDragMsg
pt | DoEndDock
pt | DoEndDrag
pt | DoStartDock
pt | DoStartDrag
pt | DragCanceled
pt | DragOver
pt | PositionDockRect
pt | SetDragMode
pt | GetDefaultDockCaption
pt | Click
pt | DblClick
pt | TripleClick
pt | QuadClick
pt | GetMousePosFromMessage
pt | MouseDown
pt | MouseMove
pt | MouseUp
pt | MouseEnter
pt | MouseLeave
pt | DialogChar
pt | UpdateMouseCursor
pt | Changed
pt | GetPalette
pt | ChildClassAllowed
pt | ReadState
pt | Loaded
pt | LoadedAll
pt | DefineProperties
pt | AssignTo
pt | FormEndUpdated
pt | InvalidateControl
pt | FontChanged
pt | ParentFontChanged
pt | GetAction
pt | RealGetText
pt | RealSetText
pt | TextChanged
pt | GetCachedText
pt | SetAction
pt | SetColor
pt | SetEnabled
pt | SetHint
pt | SetName
pt | SetParent
pt | SetParentComponent
pt | WndProc
pt | ParentFormHandleInitialized
pt | GetMouseCapture
pt | CaptureChanged
pt | Notification
pt | CanTab
pt | GetDeviceContext
pt | GetEnabled
pt | GetPopupMenu
pt | DoOnShowHint
pt | DoMouseWheel
pt | DoMouseWheelDown
pt | DoMouseWheelUp
pt | DoMouseWheelHorz
pt | DoMouseWheelLeft
pt | DoMouseWheelRight
pt | VisibleChanging
pt | VisibleChanged
pt | EnabledChanging
pt | EnabledChanged
pt | AddHandler
pt | RemoveHandler
pt | DoCallNotifyHandler
pt | DoCallKeyEventHandler
pt | DoCallMouseWheelEventHandler
pt | DoContextPopup
pt | SetZOrder
pt | GetControlClassDefaultSize
pt | ColorIsStored
pt | DoAutoAdjustLayout
pt | DoFixDesignFontPPI
pt | DoScaleFontPPI
pt | GetActionLinkClass
pt | ActionChange
 | DragDrop
 | Dock
 | ManualDock
 | ManualFloat
 | ReplaceDockedControl
 | Docked
 | Dragging
 | GetAccessibleObject
 | CreateAccessibleObject
 | GetSelectedChildAccessibleObject
 | GetChildAccessibleObjectAtPos
 | ScaleDesignToForm
 | ScaleFormToDesign
 | Scale96ToForm
 | ScaleFormTo96
 | Scale96ToFont
 | ScaleFontTo96
 | ScaleScreenToFont
 | ScaleFontToScreen
 | Scale96ToScreen
 | ScaleScreenTo96
 | AdjustSize
 | AutoSizePhases
 | AutoSizeDelayed
 | AutoSizeDelayedReport
 | AutoSizeDelayedHandle
 | AnchorToNeighbour
 | AnchorParallel
 | AnchorHorizontalCenterTo
 | AnchorVerticalCenterTo
 | AnchorToCompanion
 | AnchorSame
 | AnchorAsAlign
 | AnchorClient
 | AnchoredControlCount
 | SetBounds
 | SetInitialBounds
 | SetBoundsKeepBase
 | GetPreferredSize
 | GetCanvasScaleFactor
 | GetDefaultWidth
 | GetDefaultHeight
 | GetDefaultColor
 | GetColorResolvingParent
 | GetRGBColorResolvingParent
 | GetSidePosition
 | CNPreferredSizeChanged
 | InvalidatePreferredSize
 | GetAnchorsDependingOnParent
 | DisableAutoSizing
 | EnableAutoSizing
 | UpdateBaseBounds
 | WriteLayoutDebugReport
 | AutoAdjustLayout
 | ShouldAutoAdjust
 | FixDesignFontsPPI
 | ScaleFontsPPI
 | Create
 | Destroy
 | BeforeDestruction
 | EditingDone
 | ExecuteDefaultAction
 | ExecuteCancelAction
 | BeginDrag
 | EndDrag
 | BringToFront
 | HasParent
 | GetParentComponent
 | IsParentOf
 | GetTopParent
 | IsVisible
 | IsControlVisible
 | IsEnabled
 | IsParentColor
 | IsParentFont
 | FormIsUpdating
 | IsProcessingPaintMsg
 | Hide
 | Refresh
 | Repaint
 | Invalidate
 | CheckChildClassAllowed
 | CheckNewParent
 | SendToBack
 | SetTempCursor
 | UpdateRolesForForm
 | ActiveDefaultControlChanged
 | GetTextBuf
 | GetTextLen
 | SetTextBuf
 | Perform
 | ScreenToClient
 | ClientToScreen
 | ScreenToControl
 | ControlToScreen
 | ClientToParent
 | ParentToClient
 | GetChildrenRect
 | Show
 | Update
 | HandleObjectShouldBeVisible
 | ParentDestroyingHandle
 | ParentHandlesAllocated
 | InitiateAction
 | ShowHelp
 | HasHelp
 | RemoveAllHandlersOfObject
 | AddHandlerOnResize
 | RemoveHandlerOnResize
 | AddHandlerOnChangeBounds
 | RemoveHandlerOnChangeBounds
 | AddHandlerOnVisibleChanging
 | RemoveHandlerOnVisibleChanging
 | AddHandlerOnVisibleChanged
 | RemoveHandlerOnVisibleChanged
 | AddHandlerOnEnabledChanged
 | RemoveHandlerOnEnableChanging
 | AddHandlerOnKeyDown
 | RemoveHandlerOnKeyDown
 | AddHandlerOnBeforeDestruction
 | RemoveHandlerOnBeforeDestruction
 | AddHandlerOnMouseWheel
 | RemoveHandlerOnMouseWheel
 | UseRightToLeftAlignment
 | UseRightToLeftReading
 | UseRightToLeftScrollBar
 | IsRightToLeft
TLCLComponent
pt | WSRegisterClass
pt | GetWSComponentClass
 | Create
 | Destroy
 | NewInstance
 | RemoveAllHandlersOfObject
 | IncLCLRefCount
 | DecLCLRefCount
TComponent
 | GetComObject
 | GetComponent
 | GetComponentCount
 | GetComponentIndex
 | Insert
 | ReadLeft
 | ReadTop
 | Remove
 | RemoveNotification
 | SetComponentIndex
 | SetReference
 | WriteLeft
 | WriteTop
 | ChangeName
 | DefineProperties
 | GetChildren
 | GetChildOwner
 | GetChildParent
 | GetOwner
 | Loaded
 | Loading
 | Notification
 | PaletteCreated
 | ReadState
 | SetAncestor
 | SetDesigning
 | SetDesignInstance
 | SetInline
 | SetName
 | SetChildOrder
 | SetParentComponent
 | Updating
 | Updated
 | UpdateRegistry
 | ValidateRename
 | ValidateContainer
 | ValidateInsert
 | QueryInterface
 | _AddRef
 | _Release
 | iicrGetComponent
 | GetTypeInfoCount
 | GetTypeInfo
 | GetIDsOfNames
 | Invoke
 | WriteState
 | Create
 | Destroy
 | BeforeDestruction
 | DestroyComponents
 | Destroying
 | ExecuteAction
 | FindComponent
 | FreeNotification
 | RemoveFreeNotification
 | FreeOnRelease
 | GetEnumerator
 | GetNamePath
 | GetParentComponent
 | HasParent
 | InsertComponent
 | RemoveComponent
 | SafeCallException
 | SetSubComponent
 | UpdateAction
 | IsImplementorOf
 | ReferenceInterface
TPersistent
 | AssignError
 | AssignTo
 | DefineProperties
 | GetOwner
 | Destroy
 | Assign
 | FPOAttachObserver
 | FPODetachObserver
 | FPONotifyObservers
 | GetNamePath
TObject
 | Create
 | Destroy
 | newinstance
 | FreeInstance
 | SafeCallException
 | DefaultHandler
 | Free
 | InitInstance
 | CleanupInstance
 | ClassType
 | ClassInfo
 | ClassName
 | ClassNameIs
 | ClassParent
 | InstanceSize
 | InheritsFrom
 | StringMessageTable
 | MethodAddress
 | MethodName
 | FieldAddress
 | AfterConstruction
 | BeforeDestruction
 | DefaultHandlerStr
 | Dispatch
 | DispatchStr
 | GetInterface
 | GetInterfaceByStr
 | GetInterfaceWeak
 | GetInterfaceEntry
 | GetInterfaceEntryByStr
 | GetInterfaceTable
 | UnitName
 | Equals
 | GetHashCode
 | ToString


pt | ActionChange (TControl)
 | ActiveDefaultControlChanged (TControl)
 | AddControl (TWinControl)
pt | AddHandler (TControl)
 | AddHandlerOnBeforeDestruction (TControl)
 | AddHandlerOnChangeBounds (TControl)
 | AddHandlerOnEnabledChanged (TControl)
 | AddHandlerOnKeyDown (TControl)
 | AddHandlerOnMouseWheel (TControl)
 | AddHandlerOnResize (TControl)
 | AddHandlerOnVisibleChanged (TControl)
 | AddHandlerOnVisibleChanging (TControl)
pt | AdjustClientRect (TWinControl)
 | AdjustSize (TControl)
 | AfterConstruction (TObject)
pt | AlignControls (TWinControl)
pt | AllAutoSized (TWinControl)
 | AnchorAsAlign (TControl)
 | AnchorClient (TControl)
 | AnchoredControlCount (TControl)
 | AnchorHorizontalCenterTo (TControl)
 | AnchorParallel (TControl)
 | AnchorSame (TControl)
pt | AnchorSideChanged (TControl)
 | AnchorToCompanion (TControl)
 | AnchorToNeighbour (TControl)
 | AnchorVerticalCenterTo (TControl)
 | Assign (TPersistent)
 | AssignError (TPersistent)
 | AssignTo (TPersistent)
pt | AssignTo (TControl)
 | AutoAdjustLayout (TControl)
 | AutoAdjustLayout (TWinControl)
 | AutoSizeDelayed (TControl)
 | AutoSizeDelayed (TWinControl)
 | AutoSizeDelayedHandle (TControl)
 | AutoSizeDelayedHandle (TWinControl)
 | AutoSizeDelayedReport (TControl)
 | AutoSizeDelayedReport (TWinControl)
 | AutoSizePhases (TControl)
 | AutoSizePhases (TWinControl)
 | BeforeDestruction (TObject)
 | BeforeDestruction (TComponent)
 | BeforeDestruction (TControl)
pt | BeforeDragStart (TControl)
pt | BeginAutoDrag (TControl)
pt | BeginAutoSizing (TControl)
 | BeginDrag (TControl)
 | BeginUpdateBounds (TWinControl)
pt | BoundsChanged (TControl)
 | BringToFront (TControl)
 | BroadCast (TWinControl)
 | BrushCreated (TWinControl)
pt | CalculateDockSizes (TControl)
pt | CalculatePreferredSize (TControl)
pt | CalculatePreferredSize (TWinControl)
pt | CanAutoSize (TControl)
 | CanFocus (TWinControl)
 | CanSetFocus (TWinControl)
pt | CanTab (TControl)
pt | CanTab (TWinControl)
pt | CaptureChanged (TControl)
pt | ChangeBounds (TControl)
pt | Changed (TControl)
 | ChangeName (TComponent)
pt | ChangeScale (TControl)
pt | ChangeScale (TWinControl)
 | CheckChildClassAllowed (TControl)
 | CheckNewParent (TControl)
pt | CheckOnChangeBounds (TControl)
pt | ChildClassAllowed (TControl)
pt | ChildClassAllowed (TWinControl)
pt | ChildHandlesCreated (TWinControl)
pt | ChildKey (TWinControl)
 | ClassInfo (TObject)
 | ClassName (TObject)
 | ClassNameIs (TObject)
 | ClassParent (TObject)
 | ClassType (TObject)
 | CleanupInstance (TObject)
pt | Click (TControl)
 | ClientRectNeedsInterfaceUpdate (TWinControl)
 | ClientToParent (TControl)
 | ClientToScreen (TControl)
pt | CMBiDiModeChanged (TControl)
pt | CMBiDiModeChanged (TWinControl)
pt | CMBorderChanged (TWinControl)
pt | CMChanged (TControl)
pt | CMCursorChanged (TControl)
pt | CMDoubleBufferedChanged (TWinControl)
pt | CMEnabledChanged (TControl)
pt | CMEnabledChanged (TWinControl)
pt | CMEnter (TWinControl)
pt | CMExit (TWinControl)
pt | CMHintShow (TControl)
pt | CMHitTest (TControl)
pt | CMMouseEnter (TControl)
pt | CMMouseLeave (TControl)
pt | CMParentBiDiModeChanged (TControl)
pt | CMParentColorChanged (TControl)
pt | CMParentDoubleBufferedChanged (TWinControl)
pt | CMParentFontChanged (TControl)
pt | CMParentShowHintChanged (TControl)
pt | CMShowHintChanged (TWinControl)
pt | CMShowingChanged (TWinControl)
pt | CMSysFontChanged (TControl)
pt | CMTextChanged (TControl)
pt | CMVisibleChanged (TControl)
pt | CMVisibleChanged (TWinControl)
pt | CNChar (TWinControl)
pt | CNKeyDown (TWinControl)
pt | CNKeyUp (TWinControl)
 | CNPreferredSizeChanged (TControl)
pt | CNSysKeyDown (TWinControl)
pt | CNSysKeyUp (TWinControl)
pt | ColorIsStored (TControl)
pt | ConstrainedResize (TControl)
 | ContainsControl (TWinControl)
 | ControlAtPos (TWinControl)
pt | ControlKeyDown (TWinControl)
pt | ControlKeyUp (TWinControl)
pt | ControlsAligned (TWinControl)
 | ControlToScreen (TControl)
 | Create (TObject)
 | Create (TComponent)
 | Create (TLCLComponent)
 | Create (TControl)
 | Create (TWinControl)
 | Create (TCustomControl)
 | Create (TNotifierXButton)
 | CreateAccessibleObject (TControl)
pt | CreateBrush (TWinControl)
pt | CreateControlBorderSpacing (TControl)
pt | CreateDockManager (TWinControl)
pt | CreateFloatingDockSite (TControl)
pt | CreateHandle (TWinControl)
pt | CreateParams (TWinControl)
 | CreateParented (TWinControl)
 | CreateParentedControl (TWinControl)
pt | CreateSubClass (TWinControl)
pt | CreateWnd (TWinControl)
pt | CustomAlignInsertBefore (TWinControl)
pt | CustomAlignPosition (TWinControl)
pt | DblClick (TControl)
 | DecLCLRefCount (TLCLComponent)
 | DefaultHandler (TObject)
 | DefaultHandler (TWinControl)
 | DefaultHandlerStr (TObject)
 | DefineProperties (TPersistent)
 | DefineProperties (TComponent)
pt | DefineProperties (TControl)
 | Destroy (TObject)
 | Destroy (TPersistent)
 | Destroy (TComponent)
 | Destroy (TLCLComponent)
 | Destroy (TControl)
 | Destroy (TWinControl)
 | Destroy (TCustomControl)
 | Destroy (TNotifierXButton)
 | DestroyComponents (TComponent)
pt | DestroyHandle (TWinControl)
 | Destroying (TComponent)
pt | DestroyWnd (TWinControl)
pt | DestroyWnd (TCustomControl)
pt | DialogChar (TControl)
pt | DialogChar (TWinControl)
 | DisableAlign (TWinControl)
 | DisableAutoSizing (TControl)
 | Dispatch (TObject)
 | DispatchStr (TObject)
pt | DoAddDockClient (TWinControl)
 | DoAdjustClientRectChange (TWinControl)
pt | DoAlignChildControls (TWinControl)
pt | DoAllAutoSize (TControl)
pt | DoAllAutoSize (TWinControl)
pt | DoAutoAdjustLayout (TControl)
pt | DoAutoSize (TControl)
pt | DoAutoSize (TWinControl)
pt | DoBorderSpacingChange (TControl)
pt | DoCallKeyEventHandler (TControl)
pt | DoCallMouseWheelEventHandler (TControl)
pt | DoCallNotifyHandler (TControl)
pt | DoChildSizingChange (TWinControl)
 | Dock (TControl)
 | DockDrop (TWinControl)
 | Docked (TControl)
pt | DockOver (TWinControl)
pt | DockTrackNoTarget (TControl)
pt | DoConstraintsChange (TControl)
pt | DoConstraintsChange (TWinControl)
pt | DoContextPopup (TControl)
pt | DoDock (TControl)
pt | DoDockClientMsg (TWinControl)
pt | DoDockOver (TWinControl)
pt | DoDragMsg (TControl)
pt | DoDragMsg (TWinControl)
pt | DoEndDock (TControl)
pt | DoEndDrag (TControl)
pt | DoEnter (TWinControl)
pt | DoExit (TWinControl)
pt | DoFixDesignFontPPI (TControl)
pt | DoFlipChildren (TWinControl)
pt | DoFloatMsg (TControl)
pt | DoFloatMsg (TWinControl)
pt | DoGetDockCaption (TWinControl)
pt | DoKeyDownBeforeInterface (TWinControl)
pt | DoKeyPress (TWinControl)
pt | DoKeyUpBeforeInterface (TWinControl)
pt | DoMouseWheel (TControl)
pt | DoMouseWheelDown (TControl)
pt | DoMouseWheelHorz (TControl)
pt | DoMouseWheelLeft (TControl)
pt | DoMouseWheelRight (TControl)
pt | DoMouseWheelUp (TControl)
pt | DoOnChangeBounds (TControl)
pt | DoOnParentHandleDestruction (TControl)
pt | DoOnResize (TControl)
pt | DoOnShowHint (TControl)
pt | DoRemainingKeyDown (TWinControl)
pt | DoRemainingKeyUp (TWinControl)
pt | DoRemoveDockClient (TWinControl)
pt | DoScaleFontPPI (TControl)
pt | DoSendBoundsToInterface (TWinControl)
pt | DoSendShowHideToInterface (TWinControl)
pt | DoSetBounds (TControl)
pt | DoSetBounds (TWinControl)
pt | DoStartDock (TControl)
pt | DoStartDrag (TControl)
pt | DoUnDock (TWinControl)
pt | DoUndockClientMsg (TWinControl)
pt | DoUTF8KeyPress (TWinControl)
pt | DragCanceled (TControl)
 | DragDrop (TControl)
 | Dragging (TControl)
pt | DragOver (TControl)
 | EditingDone (TControl)
 | EnableAlign (TWinControl)
 | EnableAutoSizing (TControl)
pt | EnabledChanged (TControl)
pt | EnabledChanging (TControl)
pt | EndAutoSizing (TControl)
 | EndDrag (TControl)
 | EndUpdateBounds (TWinControl)
 | Equals (TObject)
 | EraseBackground (TWinControl)
 | ExecuteAction (TComponent)
 | ExecuteCancelAction (TControl)
 | ExecuteDefaultAction (TControl)
 | FieldAddress (TObject)
pt | FinalizeWnd (TWinControl)
 | FindChildControl (TWinControl)
 | FindComponent (TComponent)
pt | FindNextControl (TWinControl)
 | FixDesignFontsPPI (TControl)
pt | FixupTabList (TWinControl)
 | FlipChildren (TWinControl)
 | Focused (TWinControl)
pt | FontChanged (TControl)
pt | FontChanged (TWinControl)
pt | FontChanged (TCustomControl)
pt | ForeignAnchorSideChanged (TControl)
pt | FormEndUpdated (TControl)
pt | FormEndUpdated (TWinControl)
 | FormIsUpdating (TControl)
 | FPOAttachObserver (TPersistent)
 | FPODetachObserver (TPersistent)
 | FPONotifyObservers (TPersistent)
 | Free (TObject)
 | FreeInstance (TObject)
 | FreeNotification (TComponent)
 | FreeOnRelease (TComponent)
 | GetAccessibleObject (TControl)
pt | GetAction (TControl)
pt | GetActionLinkClass (TControl)
pt | GetAdjustedLogicalClientRect (TWinControl)
 | GetAnchorsDependingOnParent (TControl)
pt | GetBorderStyle (TWinControl)
pt | GetCachedText (TControl)
 | GetCanvasScaleFactor (TControl)
 | GetChildAccessibleObjectAtPos (TControl)
 | GetChildOwner (TComponent)
 | GetChildParent (TComponent)
 | GetChildren (TComponent)
pt | GetChildren (TWinControl)
 | GetChildrenRect (TControl)
 | GetChildrenRect (TWinControl)
pt | GetClientOrigin (TControl)
pt | GetClientOrigin (TWinControl)
pt | GetClientRect (TControl)
pt | GetClientRect (TWinControl)
pt | GetClientScrollOffset (TControl)
 | GetColorResolvingParent (TControl)
 | GetComObject (TComponent)
 | GetComponent (TComponent)
 | GetComponentCount (TComponent)
 | GetComponentIndex (TComponent)
pt | GetControlClassDefaultSize (TControl)
 | GetControlIndex (TWinControl)
pt | GetControlOrigin (TControl)
pt | GetControlOrigin (TWinControl)
pt | GetCursor (TControl)
 | GetDefaultColor (TControl)
pt | GetDefaultDockCaption (TControl)
 | GetDefaultHeight (TControl)
 | GetDefaultWidth (TControl)
pt | GetDeviceContext (TControl)
pt | GetDeviceContext (TWinControl)
 | GetDockCaption (TWinControl)
pt | GetDockEdge (TControl)
pt | GetDragImages (TControl)
pt | GetEnabled (TControl)
 | GetEnumerator (TComponent)
 | GetEnumeratorControls (TWinControl)
 | GetEnumeratorControlsReverse (TWinControl)
pt | GetFloating (TControl)
pt | GetFloatingDockSiteClass (TControl)
 | GetHashCode (TObject)
 | GetIDsOfNames (TComponent)
 | GetInterface (TObject)
 | GetInterfaceByStr (TObject)
 | GetInterfaceEntry (TObject)
 | GetInterfaceEntryByStr (TObject)
 | GetInterfaceTable (TObject)
 | GetInterfaceWeak (TObject)
pt | GetLogicalClientRect (TControl)
pt | GetMouseCapture (TControl)
pt | GetMouseCapture (TWinControl)
pt | GetMousePosFromMessage (TControl)
 | GetNamePath (TPersistent)
 | GetNamePath (TComponent)
 | GetOwner (TPersistent)
 | GetOwner (TComponent)
pt | GetPalette (TControl)
pt | GetParentBackground (TWinControl)
 | GetParentComponent (TComponent)
 | GetParentComponent (TControl)
pt | GetParentHandle (TWinControl)
pt | GetPopupMenu (TControl)
 | GetPreferredSize (TControl)
pt | GetPreferredSizeClientFrame (TWinControl)
 | GetRGBColorResolvingParent (TControl)
pt | GetScrolledClientRect (TControl)
 | GetSelectedChildAccessibleObject (TControl)
 | GetSidePosition (TControl)
pt | GetSiteInfo (TWinControl)
 | GetTabOrderList (TWinControl)
 | GetTextBuf (TControl)
 | GetTextLen (TControl)
 | GetTextLen (TWinControl)
 | GetTopParent (TControl)
pt | GetTopParentHandle (TWinControl)
 | GetTypeInfo (TComponent)
 | GetTypeInfoCount (TComponent)
pt | GetWSComponentClass (TLCLComponent)
 | HandleAllocated (TWinControl)
 | HandleNeeded (TWinControl)
 | HandleObjectShouldBeVisible (TControl)
 | HasHelp (TControl)
 | HasParent (TComponent)
 | HasParent (TControl)
pt | HeightIsAnchored (TControl)
 | Hide (TControl)
 | iicrGetComponent (TComponent)
 | IncLCLRefCount (TLCLComponent)
 | InheritsFrom (TObject)
pt | InitializeWnd (TWinControl)
 | InitiateAction (TControl)
 | InitInstance (TObject)
 | Insert (TComponent)
 | InsertComponent (TComponent)
 | InsertControl (TWinControl)
 | InstanceSize (TObject)
 | IntfGetDropFilesTarget (TWinControl)
 | IntfUTF8KeyPress (TWinControl)
 | Invalidate (TControl)
 | Invalidate (TWinControl)
pt | InvalidateBoundsRealized (TWinControl)
 | InvalidateClientRectCache (TWinControl)
pt | InvalidateControl (TControl)
pt | InvalidatePreferredChildSizes (TWinControl)
 | InvalidatePreferredSize (TControl)
 | Invoke (TComponent)
pt | IsAParentAligning (TControl)
pt | IsBorderSpacingInnerBorderStored (TControl)
pt | IsCaptionStored (TControl)
pt | IsClientHeightStored (TControl)
pt | IsClientHeightStored (TWinControl)
pt | IsClientWidthStored (TControl)
pt | IsClientWidthStored (TWinControl)
pt | IsControlMouseMsg (TWinControl)
 | IsControlVisible (TControl)
 | IsEnabled (TControl)
 | IsImplementorOf (TComponent)
 | IsParentColor (TControl)
 | IsParentFont (TControl)
 | IsParentOf (TControl)
 | IsProcessingPaintMsg (TControl)
 | IsRightToLeft (TControl)
 | IsVisible (TControl)
pt | KeyDown (TWinControl)
pt | KeyDownAfterInterface (TWinControl)
pt | KeyDownBeforeInterface (TWinControl)
pt | KeyPress (TWinControl)
pt | KeyUp (TWinControl)
pt | KeyUpAfterInterface (TWinControl)
pt | KeyUpBeforeInterface (TWinControl)
pt | LMCaptureChanged (TControl)
 | Loaded (TComponent)
pt | Loaded (TControl)
pt | Loaded (TWinControl)
pt | LoadedAll (TControl)
 | Loading (TComponent)
 | LockRealizeBounds (TWinControl)
pt | MainWndProc (TWinControl)
 | ManualDock (TControl)
 | ManualFloat (TControl)
 | MethodAddress (TObject)
 | MethodName (TObject)
pt | MouseDown (TControl)
pt | MouseEnter (TControl)
pt | MouseLeave (TControl)
pt | MouseMove (TControl)
pt | MouseUp (TControl)
 | newinstance (TObject)
 | NewInstance (TLCLComponent)
 | Notification (TComponent)
pt | Notification (TControl)
 | NotifyControls (TWinControl)
pt | Paint (TCustomControl)
 | Paint (TNotifierXButton)
pt | PaintControls (TWinControl)
pt | PaintHandler (TWinControl)
 | PaintTo (TWinControl)
pt | PaintWindow (TWinControl)
pt | PaintWindow (TCustomControl)
 | PaletteCreated (TComponent)
 | ParentDestroyingHandle (TControl)
pt | ParentFontChanged (TControl)
pt | ParentFormHandleInitialized (TControl)
pt | ParentFormHandleInitialized (TWinControl)
 | ParentHandlesAllocated (TControl)
 | ParentHandlesAllocated (TWinControl)
 | ParentToClient (TControl)
 | Perform (TControl)
 | PerformTab (TWinControl)
pt | PositionDockRect (TControl)
pt | QuadClick (TControl)
 | QueryInterface (TComponent)
 | ReadLeft (TComponent)
 | ReadState (TComponent)
pt | ReadState (TControl)
 | ReadTop (TComponent)
pt | RealGetText (TControl)
pt | RealGetText (TWinControl)
 | ReAlign (TWinControl)
pt | RealizeBounds (TWinControl)
pt | RealizeBoundsRecursive (TWinControl)
pt | RealSetText (TControl)
pt | RealSetText (TWinControl)
 | ReferenceInterface (TComponent)
 | Refresh (TControl)
pt | ReloadDockedControl (TWinControl)
 | Remove (TComponent)
 | RemoveAllHandlersOfObject (TLCLComponent)
 | RemoveAllHandlersOfObject (TControl)
 | RemoveComponent (TComponent)
 | RemoveControl (TWinControl)
pt | RemoveFocus (TWinControl)
 | RemoveFreeNotification (TComponent)
pt | RemoveHandler (TControl)
 | RemoveHandlerOnBeforeDestruction (TControl)
 | RemoveHandlerOnChangeBounds (TControl)
 | RemoveHandlerOnEnableChanging (TControl)
 | RemoveHandlerOnKeyDown (TControl)
 | RemoveHandlerOnMouseWheel (TControl)
 | RemoveHandlerOnResize (TControl)
 | RemoveHandlerOnVisibleChanged (TControl)
 | RemoveHandlerOnVisibleChanging (TControl)
 | RemoveNotification (TComponent)
 | Repaint (TControl)
 | Repaint (TWinControl)
 | ReplaceDockedControl (TControl)
pt | RequestAlign (TControl)
pt | Resize (TControl)
 | SafeCallException (TObject)
 | SafeCallException (TComponent)
 | Scale96ToFont (TControl)
 | Scale96ToForm (TControl)
 | Scale96ToScreen (TControl)
 | ScaleBy (TWinControl)
pt | ScaleConstraints (TControl)
pt | ScaleControls (TWinControl)
 | ScaleDesignToForm (TControl)
 | ScaleFontsPPI (TControl)
 | ScaleFontTo96 (TControl)
 | ScaleFontToScreen (TControl)
 | ScaleFormTo96 (TControl)
 | ScaleFormToDesign (TControl)
 | ScaleScreenTo96 (TControl)
 | ScaleScreenToFont (TControl)
 | ScreenToClient (TControl)
 | ScreenToControl (TControl)
 | ScrollBy (TWinControl)
 | ScrollBy_WS (TWinControl)
pt | SelectFirst (TWinControl)
 | SelectNext (TWinControl)
pt | SendDialogChar (TWinControl)
pt | SendMoveSizeMessages (TControl)
pt | SendMoveSizeMessages (TWinControl)
 | SendToBack (TControl)
pt | SetAction (TControl)
pt | SetAlign (TControl)
 | SetAncestor (TComponent)
pt | SetAnchors (TControl)
pt | SetAutoSize (TControl)
pt | SetBiDiMode (TControl)
pt | SetBorderStyle (TWinControl)
 | SetBounds (TControl)
 | SetBounds (TWinControl)
 | SetBoundsKeepBase (TControl)
 | SetChildOrder (TComponent)
pt | SetChildZPosition (TWinControl)
pt | SetColor (TControl)
pt | SetColor (TWinControl)
pt | SetColor (TCustomControl)
 | SetComponentIndex (TComponent)
 | SetControlIndex (TWinControl)
pt | SetCursor (TControl)
 | SetDesigning (TComponent)
 | SetDesignInstance (TComponent)
pt | SetDockManager (TWinControl)
pt | SetDragMode (TControl)
pt | SetEnabled (TControl)
 | SetFocus (TWinControl)
pt | SetHint (TControl)
 | SetInitialBounds (TControl)
 | SetInline (TComponent)
 | SetName (TComponent)
pt | SetName (TControl)
pt | SetParent (TControl)
pt | SetParentBackground (TWinControl)
pt | SetParentBiDiMode (TControl)
 | SetParentComponent (TComponent)
pt | SetParentComponent (TControl)
 | SetReference (TComponent)
 | SetShape (TWinControl)
 | SetSubComponent (TComponent)
 | SetTempCursor (TControl)
 | SetTempCursor (TWinControl)
 | SetTextBuf (TControl)
pt | SetVisible (TControl)
pt | SetZOrder (TControl)
 | ShouldAutoAdjust (TControl)
 | Show (TControl)
pt | ShowControl (TWinControl)
 | ShowHelp (TControl)
 | StringMessageTable (TObject)
pt | TextChanged (TControl)
 | ToString (TObject)
pt | TripleClick (TControl)
 | UnitName (TObject)
 | UnlockRealizeBounds (TWinControl)
 | Update (TControl)
 | Update (TWinControl)
 | UpdateAction (TComponent)
pt | UpdateAnchorRules (TControl)
 | UpdateBaseBounds (TControl)
pt | UpdateControlState (TWinControl)
 | Updated (TComponent)
 | UpdateDockCaption (TWinControl)
pt | UpdateMouseCursor (TControl)
 | UpdateRegistry (TComponent)
 | UpdateRolesForForm (TControl)
pt | UpdateShowing (TWinControl)
 | Updating (TComponent)
 | UseRightToLeftAlignment (TControl)
 | UseRightToLeftReading (TControl)
 | UseRightToLeftScrollBar (TControl)
pt | UTF8KeyPress (TWinControl)
 | ValidateContainer (TComponent)
 | ValidateInsert (TComponent)
 | ValidateRename (TComponent)
pt | VisibleChanged (TControl)
pt | VisibleChanging (TControl)
pt | WidthIsAnchored (TControl)
pt | WMCancelMode (TControl)
pt | WMChar (TWinControl)
pt | WMContextMenu (TControl)
pt | WMContextMenu (TWinControl)
pt | WMDestroy (TWinControl)
pt | WMEnter (TWinControl)
pt | WMEraseBkgnd (TWinControl)
pt | WMExit (TWinControl)
pt | WMKeyDown (TWinControl)
pt | WMKeyUp (TWinControl)
pt | WMKillFocus (TWinControl)
pt | WMLButtonDBLCLK (TControl)
pt | WMLButtonDown (TControl)
pt | WMLButtonQuadCLK (TControl)
pt | WMLButtonTripleCLK (TControl)
pt | WMLButtonUp (TControl)
pt | WMMButtonDBLCLK (TControl)
pt | WMMButtonDown (TControl)
pt | WMMButtonQuadCLK (TControl)
pt | WMMButtonTripleCLK (TControl)
pt | WMMButtonUp (TControl)
pt | WMMouseHWheel (TControl)
pt | WMMouseMove (TControl)
pt | WMMouseWheel (TControl)
pt | WMMove (TControl)
pt | WMMove (TWinControl)
pt | WMNotify (TWinControl)
pt | WMPaint (TWinControl)
pt | WMPaint (TCustomControl)
pt | WMRButtonDBLCLK (TControl)
pt | WMRButtonDown (TControl)
pt | WMRButtonQuadCLK (TControl)
pt | WMRButtonTripleCLK (TControl)
pt | WMRButtonUp (TControl)
pt | WMSetFocus (TWinControl)
pt | WMShowWindow (TWinControl)
pt | WMSize (TControl)
pt | WMSize (TWinControl)
pt | WMSysChar (TWinControl)
pt | WMSysKeyDown (TWinControl)
pt | WMSysKeyUp (TWinControl)
pt | WMWindowPosChanged (TControl)
pt | WMWindowPosChanged (TWinControl)
pt | WMXButtonDBLCLK (TControl)
pt | WMXButtonDown (TControl)
pt | WMXButtonQuadCLK (TControl)
pt | WMXButtonTripleCLK (TControl)
pt | WMXButtonUp (TControl)
pt | WndProc (TControl)
pt | WndProc (TWinControl)
 | WriteLayoutDebugReport (TControl)
 | WriteLayoutDebugReport (TWinControl)
 | WriteLeft (TComponent)
 | WriteState (TComponent)
 | WriteTop (TComponent)
pt | WSRegisterClass (TLCLComponent)
pt | WSRegisterClass (TControl)
pt | WSRegisterClass (TWinControl)
pt | WSRegisterClass (TCustomControl)
pt | WSSetText (TWinControl)
 | _AddRef (TComponent)
 | _Release (TComponent)


TNotifierXButton
TCustomControl
 | OnPaint
TWinControl
pt | OnGetSiteInfo
pt | OnGetDockCaption
 | OnAlignInsertBefore
 | OnAlignPosition
 | OnDockDrop
 | OnDockOver
 | OnEnter
 | OnExit
 | OnKeyDown
 | OnKeyPress
 | OnKeyUp
 | OnUnDock
 | OnUTF8KeyPress
TControl
pt | OnConstrainedResize
pt | OnContextPopup
pt | OnDblClick
pt | OnTripleClick
pt | OnQuadClick
pt | OnDragDrop
pt | OnDragOver
pt | OnEndDock
pt | OnEndDrag
pt | OnMouseDown
pt | OnMouseMove
pt | OnMouseUp
pt | OnMouseEnter
pt | OnMouseLeave
pt | OnMouseWheel
pt | OnMouseWheelDown
pt | OnMouseWheelUp
pt | OnMouseWheelHorz
pt | OnMouseWheelLeft
pt | OnMouseWheelRight
pt | OnStartDock
pt | OnStartDrag
pt | OnEditingDone
 | OnChangeBounds
 | OnClick
 | OnResize
 | OnShowHint
TLCLComponent
TComponent
TPersistent
TObject


TNotifierXButton.Create

Constructor for the class instance

Declaration

Source position: popupnotifier.pas line 48

public constructor TNotifierXButton.Create(

  AOwner: TComponent

); override;

Arguments

AOwner

Owner for the class instance

Description

Create is the constructor for the class instance. Create calls the inherited constructor using AOwner as the owner for the class instance. Create sets the inital value for the internal state tracking member to nbsUp. Create sets the event handlers in the class instance to the following methods:

OnMouseUp
HandleMouseUp
OnMouseDown
HandleMouseDown


TNotifierXButton.Destroy

Destructor for the class instance

Declaration

Source position: popupnotifier.pas line 49

public destructor TNotifierXButton.Destroy; override;

Description

Destroy is the destructor for the class instance. Destroy calls the inherited destructor.


TNotifierXButton.Paint

Draws the button in its current state

Declaration

Source position: popupnotifier.pas line 50

public procedure TNotifierXButton.Paint; override;

Description

Paint is an overridden procedure which draws the button using the Canvas for the control. Paint ensures that the pen and brush cointain the correct values needed to draw the button in its current state. Paint calls the inherited method prior to exit.


TNotifierXButtonButtonState

Button states for the popup notifier buttons

Declaration

Source position: popupnotifier.pas line 33

type TNotifierXButtonButtonState = (
nbsUp, | The button is up
nbsDown, | The button is down
nbsHot | The button is hot (under the mouse)
);

Description

TNotifierXButtonButtonState is an enumeration type with values that define the state for buttons in TPopupNotifier. TNotifierXButtonButtonState is defined to avoid a dependency on the Buttons unit.


TPopupNotifier

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Implements a popup notification component

Declaration

Source position: popupnotifier.pas line 73

type TPopupNotifier = class(TComponent)
public
vNotifierForm: TNotifierForm; | Form which displays the popup notification
constructor Create(); override; | Constructor for the component instance
destructor Destroy; override; | Frees the component
procedure Hide; | Hides the popup notification form
procedure Show; | Displays the popup notification
procedure ShowAtPos(); | Displays the popup notification form at the specified position
published
property Color: TColor; [rw] | Color for the popup notification form
property Icon: TPicture; [rw] | Icon for the popup notification form
property Text: string; [rw] | Text for the popup notification form
property TextFont: TFont; [rw]
property Title: string; [rw] | Title for the popup notification form
property TitleFont: TFont; [rw]
property Visible: Boolean; [rw] | Value for the Visible property in the popup notification form
property OnClose: TCloseEvent; [rw] | OnClose event handler for the popup notification form
end;

Inheritance

TPopupNotifier

Implements a popup notification component

|

TComponent,IUnknown,IInterfaceComponentReference
|

TPersistent,IFPObserved
|

TObject

Description

TPopupNotifier is a TComponent descendant which implements a popup notification component. TPopupNotifier includes a TNotifierForm member which displays the contents of the notification. TPopupNotifier provides methods and properties that allow access to the form and its controls. TPopupNotifier also provides methods which display and hide the form.


TPopupNotifier
pl |  | Color
pl |  | Icon
pl |  | Text
pl |  | TextFont
pl |  | Title
pl |  | TitleFont
pl |  | Visible
TComponent
 | ro | ComObject
 | ro | Components
 | ro | ComponentCount
 |  | ComponentIndex
 | ro | ComponentState
 | ro | ComponentStyle
 |  | DesignInfo
 | ro | Owner
 |  | VCLComObject
 |  | Name
 |  | Tag
TPersistent
TObject


pl |  | Color (TPopupNotifier)
 | ro | ComObject (TComponent)
 | ro | ComponentCount (TComponent)
 |  | ComponentIndex (TComponent)
 | ro | Components (TComponent)
 | ro | ComponentState (TComponent)
 | ro | ComponentStyle (TComponent)
 |  | DesignInfo (TComponent)
pl |  | Icon (TPopupNotifier)
 |  | Name (TComponent)
 | ro | Owner (TComponent)
 |  | Tag (TComponent)
pl |  | Text (TPopupNotifier)
pl |  | TextFont (TPopupNotifier)
pl |  | Title (TPopupNotifier)
pl |  | TitleFont (TPopupNotifier)
 |  | VCLComObject (TComponent)
pl |  | Visible (TPopupNotifier)


TPopupNotifier
 | Create
 | Destroy
 | Hide
 | Show
 | ShowAtPos
TComponent
 | GetComObject
 | GetComponent
 | GetComponentCount
 | GetComponentIndex
 | Insert
 | ReadLeft
 | ReadTop
 | Remove
 | RemoveNotification
 | SetComponentIndex
 | SetReference
 | WriteLeft
 | WriteTop
 | ChangeName
 | DefineProperties
 | GetChildren
 | GetChildOwner
 | GetChildParent
 | GetOwner
 | Loaded
 | Loading
 | Notification
 | PaletteCreated
 | ReadState
 | SetAncestor
 | SetDesigning
 | SetDesignInstance
 | SetInline
 | SetName
 | SetChildOrder
 | SetParentComponent
 | Updating
 | Updated
 | UpdateRegistry
 | ValidateRename
 | ValidateContainer
 | ValidateInsert
 | QueryInterface
 | _AddRef
 | _Release
 | iicrGetComponent
 | GetTypeInfoCount
 | GetTypeInfo
 | GetIDsOfNames
 | Invoke
 | WriteState
 | Create
 | Destroy
 | BeforeDestruction
 | DestroyComponents
 | Destroying
 | ExecuteAction
 | FindComponent
 | FreeNotification
 | RemoveFreeNotification
 | FreeOnRelease
 | GetEnumerator
 | GetNamePath
 | GetParentComponent
 | HasParent
 | InsertComponent
 | RemoveComponent
 | SafeCallException
 | SetSubComponent
 | UpdateAction
 | IsImplementorOf
 | ReferenceInterface
TPersistent
 | AssignError
 | AssignTo
 | DefineProperties
 | GetOwner
 | Destroy
 | Assign
 | FPOAttachObserver
 | FPODetachObserver
 | FPONotifyObservers
 | GetNamePath
TObject
 | Create
 | Destroy
 | newinstance
 | FreeInstance
 | SafeCallException
 | DefaultHandler
 | Free
 | InitInstance
 | CleanupInstance
 | ClassType
 | ClassInfo
 | ClassName
 | ClassNameIs
 | ClassParent
 | InstanceSize
 | InheritsFrom
 | StringMessageTable
 | MethodAddress
 | MethodName
 | FieldAddress
 | AfterConstruction
 | BeforeDestruction
 | DefaultHandlerStr
 | Dispatch
 | DispatchStr
 | GetInterface
 | GetInterfaceByStr
 | GetInterfaceWeak
 | GetInterfaceEntry
 | GetInterfaceEntryByStr
 | GetInterfaceTable
 | UnitName
 | Equals
 | GetHashCode
 | ToString


AssignError (TPersistent)

AssignTo (TPersistent)

BeforeDestruction (TObject)

BeforeDestruction (TComponent)

ChangeName (TComponent)

ClassInfo (TObject)

ClassName (TObject)

ClassNameIs (TObject)

ClassParent (TObject)

ClassType (TObject)

CleanupInstance (TObject)

Create (TObject)

Create (TComponent)

Create (TPopupNotifier)

DefaultHandler (TObject)

DefaultHandlerStr (TObject)

DefineProperties (TPersistent)

DefineProperties (TComponent)

Destroy (TObject)

Destroy (TPersistent)

Destroy (TComponent)

Destroy (TPopupNotifier)

DestroyComponents (TComponent)

Destroying (TComponent)

Dispatch (TObject)

DispatchStr (TObject)

Equals (TObject)

ExecuteAction (TComponent)

FieldAddress (TObject)

FindComponent (TComponent)

FPOAttachObserver (TPersistent)

FPODetachObserver (TPersistent)

FPONotifyObservers (TPersistent)

Free (TObject)

FreeInstance (TObject)

FreeNotification (TComponent)

FreeOnRelease (TComponent)

GetChildOwner (TComponent)

GetChildParent (TComponent)

GetChildren (TComponent)

GetComObject (TComponent)

GetComponent (TComponent)

GetComponentCount (TComponent)

GetComponentIndex (TComponent)

GetEnumerator (TComponent)

GetHashCode (TObject)

GetIDsOfNames (TComponent)

GetInterface (TObject)

GetInterfaceByStr (TObject)

GetInterfaceEntry (TObject)

GetInterfaceEntryByStr (TObject)

GetInterfaceTable (TObject)

GetInterfaceWeak (TObject)

GetNamePath (TPersistent)

GetNamePath (TComponent)

GetOwner (TPersistent)

GetOwner (TComponent)

GetParentComponent (TComponent)

GetTypeInfo (TComponent)

GetTypeInfoCount (TComponent)

HasParent (TComponent)

Hide (TPopupNotifier)

iicrGetComponent (TComponent)

InheritsFrom (TObject)

InitInstance (TObject)

Insert (TComponent)

InsertComponent (TComponent)

InstanceSize (TObject)

Invoke (TComponent)

IsImplementorOf (TComponent)

Loaded (TComponent)

Loading (TComponent)

MethodAddress (TObject)

MethodName (TObject)

newinstance (TObject)

Notification (TComponent)

PaletteCreated (TComponent)

QueryInterface (TComponent)

ReadLeft (TComponent)

ReadState (TComponent)

ReadTop (TComponent)

ReferenceInterface (TComponent)

Remove (TComponent)

RemoveComponent (TComponent)

RemoveFreeNotification (TComponent)

RemoveNotification (TComponent)

SafeCallException (TObject)

SafeCallException (TComponent)

SetAncestor (TComponent)

SetChildOrder (TComponent)

SetComponentIndex (TComponent)

SetDesigning (TComponent)

SetDesignInstance (TComponent)

SetInline (TComponent)

SetName (TComponent)

SetParentComponent (TComponent)

SetReference (TComponent)

SetSubComponent (TComponent)

Show (TPopupNotifier)

ShowAtPos (TPopupNotifier)

StringMessageTable (TObject)

ToString (TObject)

UnitName (TObject)

UpdateAction (TComponent)

Updated (TComponent)

UpdateRegistry (TComponent)

Updating (TComponent)

ValidateContainer (TComponent)

ValidateInsert (TComponent)

ValidateRename (TComponent)

WriteLeft (TComponent)

WriteState (TComponent)

WriteTop (TComponent)

_AddRef (TComponent)

_Release (TComponent)


TPopupNotifier

pl

OnClose

TComponent

TPersistent

TObject


pl

OnClose (TPopupNotifier)


TPopupNotifier.Color

Color for the popup notification form

Declaration

Source position: popupnotifier.pas line 99

published property TPopupNotifier.Color : TColor
  read GetColor
  write SetColor;

Description

Color is a TColor property that provides access to the Color property in the popup notification form. GetColor is the read access specifier for the property. SetColor is the write access specifier for the property.


TPopupNotifier.Create

Constructor for the component instance

Declaration

Source position: popupnotifier.pas line 93

public constructor TPopupNotifier.Create(

  AOwner: TComponent

); override;

Arguments

AOwner

Owner of the component instance

Description

Create is the constructor for the component instance. Create calls the inherited constructor using AOwner as the owner for the component instance. Create allocates resources needed for the vNotifierForm member, and sets the forms Visible property to False.


TPopupNotifier.Destroy

Frees the component

Declaration

Source position: popupnotifier.pas line 94

public destructor TPopupNotifier.Destroy; override;

Description

Destroy is the destructor for the component instance. Destroy calls the Hide method for the popup notification form, and frees the the vNotifierForm member. Destroy calls the inherited destructor prior to exiting from the method.


TPopupNotifier.Hide

Hides the popup notification form

Declaration

Source position: popupnotifier.pas line 95

public procedure TPopupNotifier.Hide;

Description

Hide is a procedure which hides the popup notification form for the component. Hide calls the Hide method in VNotifierForm.


TPopupNotifier.Icon

Icon for the popup notification form

Declaration

Source position: popupnotifier.pas line 100

published property TPopupNotifier.Icon : TPicture
  read GetIcon
  write SetIcon;

Description

Icon is a TPicture property that provides access to the Icon for the popup notification form. GetIcon is the read access specifier for the property. SetIcon is the write access specifier for the property.


TPopupNotifier.OnClose

OnClose event handler for the popup notification form

Declaration

Source position: popupnotifier.pas line 106

published property TPopupNotifier.OnClose : TCloseEvent
  read GetOnClose
  write SetOnClose;

Description

OnClose is a TCloseEven property that provides access to the OnClose event handler for the popup notification form. GetOnClose is the read access specifier for the property. SetOnClose is the write access specifier for the property.


TPopupNotifier.Show

Displays the popup notification

Declaration

Source position: popupnotifier.pas line 96

public procedure TPopupNotifier.Show;

Description

Show is a procedure which displays the popup notification form for the component. Show calls the Show method in vNotifierForm.


TPopupNotifier.ShowAtPos

Displays the popup notification form at the specified position

Declaration

Source position: popupnotifier.pas line 97

public procedure TPopupNotifier.ShowAtPos(

  x: Integer;

  y: Integer

);

Arguments

x | Horizontal position for the notification
y | Vertical position for the notification

Description

ShowAtPos is a procedure which displays the popup notification form at the specified position on the screen. Values in X and Y are corrected to fit the screen dimensions, similar to the mechanism used for TPopupMenu. ShowAtPos calls the Show method in vNotifierForm to display the popup notification form.


TPopupNotifier.Text

Text for the popup notification form

Declaration

Source position: popupnotifier.pas line 101

published property TPopupNotifier.Text : string
  read GetText
  write SetText;

Description

Text is a String property that provides access to the text for the popup notification form. GetText is the read access specifier for the property. SetText is the write access specifier for the property.


TPopupNotifier.TextFont

Declaration

Source position: popupnotifier.pas line 102

published property TPopupNotifier.TextFont : TFont
  read GetTextFont
  write SetTextFont;


TPopupNotifier.Title

Title for the popup notification form

Declaration

Source position: popupnotifier.pas line 103

published property TPopupNotifier.Title : string
  read GetTitle
  write SetTitle;

Description

The latest version of this document can be found at lazarus-ccr.sourceforge.net .


TPopupNotifier.TitleFont

Declaration

Source position: popupnotifier.pas line 104

published property TPopupNotifier.TitleFont : TFont
  read GetTitleFont
  write SetTitleFont;


TPopupNotifier.Visible

Value for the Visible property in the popup notification form

Declaration

Source position: popupnotifier.pas line 105

published property TPopupNotifier.Visible : Boolean
  read GetVisible
  write SetVisible;

Description

Visible is a Boolean property that provides access to the Visible property for the popup notification form. GetVisible is the read access specifier for the property. SetVisible is the write access specifier for the property.


TPopupNotifier.vNotifierForm

Form which displays the popup notification

Declaration

Source position: popupnotifier.pas line 92

public TPopupNotifier.vNotifierForm : TNotifierForm;

Description

vNotifierForm is a public TNotifierForm member which represents the form used to display the popup notification. vNotifierForm is instantiated in Create but not displayed; its Visible property is set to False. vNotifierForm is displayed using the Show or ShowAtPos methods. Use the Hide method to hide the form. vNotifierForm is freed in the Destroy method.


TPostScriptCanvas

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Declaration

Source position: postscriptcanvas.pas line 196

type TPostScriptCanvas = class(TPostScriptPrinterCanvas)

public

  constructor Create; overload;

  procedure BeginDoc; override;

  procedure EndDoc; override;

  procedure NewPage; override;

end;

Inheritance

TPostScriptCanvas |
|
TPostScriptPrinterCanvas |
|
TFilePrinterCanvas
|
TPrinterCanvas | TPrinterCanvas - instance of TCanvas specially designed for printers
|
TCanvas | TCanvas represents a drawing surface which might be attached to a visual control which might be displayed on the screen or to an offscreen bitmap. It contains a number of drawing functions.
|
TFPCustomCanvas
?
TObject


TPostScriptCanvas
TPostScriptPrinterCanvas
TFilePrinterCanvas
 |  | OutputFileName
TPrinterCanvas
 | ro | Printer
 |  | Title
 | ro | PageHeight
 | ro | PageWidth
 |  | PaperWidth
 |  | PaperHeight
 | ro | PageNumber
 |  | TopMargin
 |  | LeftMargin
 |  | BottomMargin
 |  | RightMargin
 |  | Orientation
 |  | XDPI
 |  | YDPI
TCanvas
 |  | Pixels
 |  | Handle
 |  | TextStyle
pl |  | AntialiasingMode
pl |  | AutoRedraw
pl |  | Brush
pl |  | CopyMode
pl |  | Font
pl | ro | Height
pl |  | Pen
pl |  | Region
pl | ro | Width


pl |  | AntialiasingMode (TCanvas)
pl |  | AutoRedraw (TCanvas)
 |  | BottomMargin (TPrinterCanvas)
pl |  | Brush (TCanvas)
pl |  | CopyMode (TCanvas)
pl |  | Font (TCanvas)
 |  | Handle (TCanvas)
pl | ro | Height (TCanvas)
 |  | LeftMargin (TPrinterCanvas)
 |  | Orientation (TPrinterCanvas)
 |  | OutputFileName (TFilePrinterCanvas)
 | ro | PageHeight (TPrinterCanvas)
 | ro | PageNumber (TPrinterCanvas)
 | ro | PageWidth (TPrinterCanvas)
 |  | PaperHeight (TPrinterCanvas)
 |  | PaperWidth (TPrinterCanvas)
pl |  | Pen (TCanvas)
 |  | Pixels (TCanvas)
 | ro | Printer (TPrinterCanvas)
pl |  | Region (TCanvas)
 |  | RightMargin (TPrinterCanvas)
 |  | TextStyle (TCanvas)
 |  | Title (TPrinterCanvas)
 |  | TopMargin (TPrinterCanvas)
pl | ro | Width (TCanvas)
 |  | XDPI (TPrinterCanvas)
 |  | YDPI (TPrinterCanvas)


TPostScriptCanvas
 | Create
 | BeginDoc
 | EndDoc
 | NewPage
TPostScriptPrinterCanvas
pt | CreateHandle
pt | CreateBrush
pt | CreateFont
pt | CreatePen
pt | CreateRegion
pt | DeselectHandles
pt | PenChanging
pt | FontChanging
pt | BrushChanging
pt | RegionChanging
pt | RequiredState
pt | DoEllipseAndFill
pt | RealizeAntialiasing
pt | GetClipRect
pt | SetClipRect
pt | GetClipping
pt | SetClipping
pt | DoMoveTo
pt | DoLineTo
 | Create
 | Destroy
 | BeginDoc
 | EndDoc
 | NewPage
 | SaveToFile
 | Polyline
 | PolyBezier
 | Rectangle
 | Frame
 | FrameRect
 | FillRect
 | RoundRect
 | Polygon
 | Ellipse
 | Arc
 | RadialPie
 | Chord
 | TextOut
 | TextExtent
 | TextRect
 | Draw
 | StretchDraw
 | GetTextMetrics
 | FloodFill
 | CopyRect
 | Frame3d
 | Pie
 | SetPixel
TFilePrinterCanvas
TPrinterCanvas
pt | GetLeftMargin
pt | GetTopMargin
pt | GetBottomMargin
pt | GetRightMargin
 | Create
 | BeginDoc
 | NewPage
 | BeginPage
 | EndPage
 | EndDoc
 | Changing
TCanvas
pt | DoCreateDefaultFont
pt | DoCreateDefaultPen
pt | DoCreateDefaultBrush
pt | SetColor
pt | GetColor
pt | SetHeight
pt | GetHeight
pt | SetWidth
pt | GetWidth
pt | SetPenPos
pt | DoLockCanvas
pt | DoUnlockCanvas
pt | DoTextOut
pt | DoGetTextSize
pt | DoGetTextHeight
pt | DoGetTextWidth
pt | DoRectangle
pt | DoRectangleFill
pt | DoRectangleAndFill
pt | DoEllipse
pt | DoEllipseFill
pt | DoEllipseAndFill
pt | DoPolygon
pt | DoPolygonFill
pt | DoPolygonAndFill
pt | DoPolyline
pt | DoPolyBezier
pt | DoFloodFill
pt | DoMoveTo
pt | DoLineTo
pt | DoLine
pt | DoCopyRect
pt | DoDraw
pt | CheckHelper
pt | GetDefaultColor
pt | GetClipRect
pt | SetClipRect
pt | GetClipping
pt | SetClipping
pt | GetPixel
pt | CreateBrush
pt | CreateFont
pt | CreateHandle
pt | CreatePen
pt | CreateRegion
pt | DeselectHandles
pt | PenChanging
pt | FontChanging
pt | BrushChanging
pt | RegionChanging
pt | RealizeAutoRedraw
pt | RealizeAntialiasing
pt | RequiredState
pt | SetHandle
pt | SetInternalPenPos
pt | SetPixel
pt | FreeHandle
 | Create
 | Destroy
 | Lock
 | TryLock
 | Unlock
 | Refresh
 | Changing
 | Changed
 | SaveHandleState
 | RestoreHandleState
 | Arc
 | ArcTo
 | AngleArc
 | BrushCopy
 | Chord
 | CopyRect
 | Draw
 | DrawFocusRect
 | StretchDraw
 | Ellipse
 | FillRect
 | FloodFill
 | Frame3D
 | Frame
 | FrameRect
 | GetTextMetrics
 | GradientFill
 | RadialPie
 | Pie
 | PolyBezier
 | Polygon
 | Polyline
 | Rectangle
 | RoundRect
 | TextOut
 | TextRect
 | TextExtent
 | TextHeight
 | TextWidth
 | TextFitInfo
 | HandleAllocated
 | GetUpdatedHandle


 | AngleArc (TCanvas)
 | Arc (TCanvas)
 | Arc (TPostScriptPrinterCanvas)
 | ArcTo (TCanvas)
 | BeginDoc (TPrinterCanvas)
 | BeginDoc (TPostScriptPrinterCanvas)
 | BeginDoc (TPostScriptCanvas)
 | BeginPage (TPrinterCanvas)
pt | BrushChanging (TCanvas)
pt | BrushChanging (TPostScriptPrinterCanvas)
 | BrushCopy (TCanvas)
 | Changed (TCanvas)
 | Changing (TCanvas)
 | Changing (TPrinterCanvas)
pt | CheckHelper (TCanvas)
 | Chord (TCanvas)
 | Chord (TPostScriptPrinterCanvas)
 | CopyRect (TCanvas)
 | CopyRect (TPostScriptPrinterCanvas)
 | Create (TCanvas)
 | Create (TPrinterCanvas)
 | Create (TPostScriptPrinterCanvas)
 | Create (TPostScriptCanvas)
pt | CreateBrush (TCanvas)
pt | CreateBrush (TPostScriptPrinterCanvas)
pt | CreateFont (TCanvas)
pt | CreateFont (TPostScriptPrinterCanvas)
pt | CreateHandle (TCanvas)
pt | CreateHandle (TPostScriptPrinterCanvas)
pt | CreatePen (TCanvas)
pt | CreatePen (TPostScriptPrinterCanvas)
pt | CreateRegion (TCanvas)
pt | CreateRegion (TPostScriptPrinterCanvas)
pt | DeselectHandles (TCanvas)
pt | DeselectHandles (TPostScriptPrinterCanvas)
 | Destroy (TCanvas)
 | Destroy (TPostScriptPrinterCanvas)
pt | DoCopyRect (TCanvas)
pt | DoCreateDefaultBrush (TCanvas)
pt | DoCreateDefaultFont (TCanvas)
pt | DoCreateDefaultPen (TCanvas)
pt | DoDraw (TCanvas)
pt | DoEllipse (TCanvas)
pt | DoEllipseAndFill (TCanvas)
pt | DoEllipseAndFill (TPostScriptPrinterCanvas)
pt | DoEllipseFill (TCanvas)
pt | DoFloodFill (TCanvas)
pt | DoGetTextHeight (TCanvas)
pt | DoGetTextSize (TCanvas)
pt | DoGetTextWidth (TCanvas)
pt | DoLine (TCanvas)
pt | DoLineTo (TCanvas)
pt | DoLineTo (TPostScriptPrinterCanvas)
pt | DoLockCanvas (TCanvas)
pt | DoMoveTo (TCanvas)
pt | DoMoveTo (TPostScriptPrinterCanvas)
pt | DoPolyBezier (TCanvas)
pt | DoPolygon (TCanvas)
pt | DoPolygonAndFill (TCanvas)
pt | DoPolygonFill (TCanvas)
pt | DoPolyline (TCanvas)
pt | DoRectangle (TCanvas)
pt | DoRectangleAndFill (TCanvas)
pt | DoRectangleFill (TCanvas)
pt | DoTextOut (TCanvas)
pt | DoUnlockCanvas (TCanvas)
 | Draw (TCanvas)
 | Draw (TPostScriptPrinterCanvas)
 | DrawFocusRect (TCanvas)
 | Ellipse (TCanvas)
 | Ellipse (TPostScriptPrinterCanvas)
 | EndDoc (TPrinterCanvas)
 | EndDoc (TPostScriptPrinterCanvas)
 | EndDoc (TPostScriptCanvas)
 | EndPage (TPrinterCanvas)
 | FillRect (TCanvas)
 | FillRect (TPostScriptPrinterCanvas)
 | FloodFill (TCanvas)
 | FloodFill (TPostScriptPrinterCanvas)
pt | FontChanging (TCanvas)
pt | FontChanging (TPostScriptPrinterCanvas)
 | Frame (TCanvas)
 | Frame (TPostScriptPrinterCanvas)
 | Frame3D (TCanvas)
 | Frame3d (TPostScriptPrinterCanvas)
 | FrameRect (TCanvas)
 | FrameRect (TPostScriptPrinterCanvas)
pt | FreeHandle (TCanvas)
pt | GetBottomMargin (TPrinterCanvas)
pt | GetClipping (TCanvas)
pt | GetClipping (TPostScriptPrinterCanvas)
pt | GetClipRect (TCanvas)
pt | GetClipRect (TPostScriptPrinterCanvas)
pt | GetColor (TCanvas)
pt | GetDefaultColor (TCanvas)
pt | GetHeight (TCanvas)
pt | GetLeftMargin (TPrinterCanvas)
pt | GetPixel (TCanvas)
pt | GetRightMargin (TPrinterCanvas)
 | GetTextMetrics (TCanvas)
 | GetTextMetrics (TPostScriptPrinterCanvas)
pt | GetTopMargin (TPrinterCanvas)
 | GetUpdatedHandle (TCanvas)
pt | GetWidth (TCanvas)
 | GradientFill (TCanvas)
 | HandleAllocated (TCanvas)
 | Lock (TCanvas)
 | NewPage (TPrinterCanvas)
 | NewPage (TPostScriptPrinterCanvas)
 | NewPage (TPostScriptCanvas)
pt | PenChanging (TCanvas)
pt | PenChanging (TPostScriptPrinterCanvas)
 | Pie (TCanvas)
 | Pie (TPostScriptPrinterCanvas)
 | PolyBezier (TCanvas)
 | PolyBezier (TPostScriptPrinterCanvas)
 | Polygon (TCanvas)
 | Polygon (TPostScriptPrinterCanvas)
 | Polyline (TCanvas)
 | Polyline (TPostScriptPrinterCanvas)
 | RadialPie (TCanvas)
 | RadialPie (TPostScriptPrinterCanvas)
pt | RealizeAntialiasing (TCanvas)
pt | RealizeAntialiasing (TPostScriptPrinterCanvas)
pt | RealizeAutoRedraw (TCanvas)
 | Rectangle (TCanvas)
 | Rectangle (TPostScriptPrinterCanvas)
 | Refresh (TCanvas)
pt | RegionChanging (TCanvas)
pt | RegionChanging (TPostScriptPrinterCanvas)
pt | RequiredState (TCanvas)
pt | RequiredState (TPostScriptPrinterCanvas)
 | RestoreHandleState (TCanvas)
 | RoundRect (TCanvas)
 | RoundRect (TPostScriptPrinterCanvas)
 | SaveHandleState (TCanvas)
 | SaveToFile (TPostScriptPrinterCanvas)
pt | SetClipping (TCanvas)
pt | SetClipping (TPostScriptPrinterCanvas)
pt | SetClipRect (TCanvas)
pt | SetClipRect (TPostScriptPrinterCanvas)
pt | SetColor (TCanvas)
pt | SetHandle (TCanvas)
pt | SetHeight (TCanvas)
pt | SetInternalPenPos (TCanvas)
pt | SetPenPos (TCanvas)
pt | SetPixel (TCanvas)
 | SetPixel (TPostScriptPrinterCanvas)
pt | SetWidth (TCanvas)
 | StretchDraw (TCanvas)
 | StretchDraw (TPostScriptPrinterCanvas)
 | TextExtent (TCanvas)
 | TextExtent (TPostScriptPrinterCanvas)
 | TextFitInfo (TCanvas)
 | TextHeight (TCanvas)
 | TextOut (TCanvas)
 | TextOut (TPostScriptPrinterCanvas)
 | TextRect (TCanvas)
 | TextRect (TPostScriptPrinterCanvas)
 | TextWidth (TCanvas)
 | TryLock (TCanvas)
 | Unlock (TCanvas)


TPostScriptCanvas
TPostScriptPrinterCanvas
TFilePrinterCanvas
TPrinterCanvas
TCanvas
pl | OnChange
pl | OnChanging


TPostScriptCanvas.BeginDoc

Declaration

Source position: postscriptcanvas.pas line 200

public procedure TPostScriptCanvas.BeginDoc; override;


TPostScriptCanvas.Create

Declaration

Source position: postscriptcanvas.pas line 198

public constructor TPostScriptCanvas.Create; overload;


TPostScriptCanvas.EndDoc

Declaration

Source position: postscriptcanvas.pas line 201

public procedure TPostScriptCanvas.EndDoc; override;


TPostScriptCanvas.NewPage

Declaration

Source position: postscriptcanvas.pas line 202

public procedure TPostScriptCanvas.NewPage; override;


TPostScriptPrinterCanvas

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Declaration

Source position: postscriptcanvas.pas line 66

type TPostScriptPrinterCanvas = class(TFilePrinterCanvas)

protected

  procedure CreateHandle; override;

  procedure CreateBrush; override;

  procedure CreateFont; override;

  procedure CreatePen; override;

  procedure CreateRegion; override;

  procedure DeselectHandles; override;

  procedure PenChanging(); override;

  procedure FontChanging(); override;

  procedure BrushChanging(); override;

  procedure RegionChanging(); override;

  procedure RequiredState(); override;

  procedure DoEllipseAndFill(); override;

  procedure RealizeAntialiasing; override;

  function GetClipRect; override;

  procedure SetClipRect(); override;

  function GetClipping; override;

  procedure SetClipping(); override;

  procedure DoMoveTo(); override;

  procedure DoLineTo(); override;

public

  constructor Create(); override;

  destructor Destroy; override;

  procedure BeginDoc; override;

  procedure EndDoc; override;

  procedure NewPage; override;

  procedure SaveToFile();

  procedure Polyline(); override;

  procedure PolyBezier(); override;

  procedure Rectangle(); override;

  procedure Frame(); override;

  procedure FrameRect(); override;

  procedure FillRect(); override;

  procedure RoundRect(); override;

  procedure Polygon(); override;

  procedure Ellipse(); override;

  procedure Arc();

  procedure RadialPie(); override;

  procedure Chord();

  procedure TextOut(); override;

  function TextExtent(); override;

  procedure TextRect(); override;

  procedure Draw(); override;

  procedure StretchDraw(); override;

  function GetTextMetrics(); override;

  procedure FloodFill(); override;

  procedure CopyRect(); override;

  procedure Frame3d(); override;

  procedure Pie(); override;

  procedure SetPixel(); override;

end;

Inheritance

TPostScriptPrinterCanvas |
|
TFilePrinterCanvas
|
TPrinterCanvas | TPrinterCanvas - instance of TCanvas specially designed for printers
|
TCanvas | TCanvas represents a drawing surface which might be attached to a visual control which might be displayed on the screen or to an offscreen bitmap. It contains a number of drawing functions.
|
TFPCustomCanvas
?
TObject


TPostScriptPrinterCanvas
TFilePrinterCanvas
 |  | OutputFileName
TPrinterCanvas
 | ro | Printer
 |  | Title
 | ro | PageHeight
 | ro | PageWidth
 |  | PaperWidth
 |  | PaperHeight
 | ro | PageNumber
 |  | TopMargin
 |  | LeftMargin
 |  | BottomMargin
 |  | RightMargin
 |  | Orientation
 |  | XDPI
 |  | YDPI
TCanvas
 |  | Pixels
 |  | Handle
 |  | TextStyle
pl |  | AntialiasingMode
pl |  | AutoRedraw
pl |  | Brush
pl |  | CopyMode
pl |  | Font
pl | ro | Height
pl |  | Pen
pl |  | Region
pl | ro | Width


TPostScriptPrinterCanvas
pt | CreateHandle
pt | CreateBrush
pt | CreateFont
pt | CreatePen
pt | CreateRegion
pt | DeselectHandles
pt | PenChanging
pt | FontChanging
pt | BrushChanging
pt | RegionChanging
pt | RequiredState
pt | DoEllipseAndFill
pt | RealizeAntialiasing
pt | GetClipRect
pt | SetClipRect
pt | GetClipping
pt | SetClipping
pt | DoMoveTo
pt | DoLineTo
 | Create
 | Destroy
 | BeginDoc
 | EndDoc
 | NewPage
 | SaveToFile
 | Polyline
 | PolyBezier
 | Rectangle
 | Frame
 | FrameRect
 | FillRect
 | RoundRect
 | Polygon
 | Ellipse
 | Arc
 | RadialPie
 | Chord
 | TextOut
 | TextExtent
 | TextRect
 | Draw
 | StretchDraw
 | GetTextMetrics
 | FloodFill
 | CopyRect
 | Frame3d
 | Pie
 | SetPixel
TFilePrinterCanvas
TPrinterCanvas
pt | GetLeftMargin
pt | GetTopMargin
pt | GetBottomMargin
pt | GetRightMargin
 | Create
 | BeginDoc
 | NewPage
 | BeginPage
 | EndPage
 | EndDoc
 | Changing
TCanvas
pt | DoCreateDefaultFont
pt | DoCreateDefaultPen
pt | DoCreateDefaultBrush
pt | SetColor
pt | GetColor
pt | SetHeight
pt | GetHeight
pt | SetWidth
pt | GetWidth
pt | SetPenPos
pt | DoLockCanvas
pt | DoUnlockCanvas
pt | DoTextOut
pt | DoGetTextSize
pt | DoGetTextHeight
pt | DoGetTextWidth
pt | DoRectangle
pt | DoRectangleFill
pt | DoRectangleAndFill
pt | DoEllipse
pt | DoEllipseFill
pt | DoEllipseAndFill
pt | DoPolygon
pt | DoPolygonFill
pt | DoPolygonAndFill
pt | DoPolyline
pt | DoPolyBezier
pt | DoFloodFill
pt | DoMoveTo
pt | DoLineTo
pt | DoLine
pt | DoCopyRect
pt | DoDraw
pt | CheckHelper
pt | GetDefaultColor
pt | GetClipRect
pt | SetClipRect
pt | GetClipping
pt | SetClipping
pt | GetPixel
pt | CreateBrush
pt | CreateFont
pt | CreateHandle
pt | CreatePen
pt | CreateRegion
pt | DeselectHandles
pt | PenChanging
pt | FontChanging
pt | BrushChanging
pt | RegionChanging
pt | RealizeAutoRedraw
pt | RealizeAntialiasing
pt | RequiredState
pt | SetHandle
pt | SetInternalPenPos
pt | SetPixel
pt | FreeHandle
 | Create
 | Destroy
 | Lock
 | TryLock
 | Unlock
 | Refresh
 | Changing
 | Changed
 | SaveHandleState
 | RestoreHandleState
 | Arc
 | ArcTo
 | AngleArc
 | BrushCopy
 | Chord
 | CopyRect
 | Draw
 | DrawFocusRect
 | StretchDraw
 | Ellipse
 | FillRect
 | FloodFill
 | Frame3D
 | Frame
 | FrameRect
 | GetTextMetrics
 | GradientFill
 | RadialPie
 | Pie
 | PolyBezier
 | Polygon
 | Polyline
 | Rectangle
 | RoundRect
 | TextOut
 | TextRect
 | TextExtent
 | TextHeight
 | TextWidth
 | TextFitInfo
 | HandleAllocated
 | GetUpdatedHandle


 | AngleArc (TCanvas)
 | Arc (TCanvas)
 | Arc (TPostScriptPrinterCanvas)
 | ArcTo (TCanvas)
 | BeginDoc (TPrinterCanvas)
 | BeginDoc (TPostScriptPrinterCanvas)
 | BeginPage (TPrinterCanvas)
pt | BrushChanging (TCanvas)
pt | BrushChanging (TPostScriptPrinterCanvas)
 | BrushCopy (TCanvas)
 | Changed (TCanvas)
 | Changing (TCanvas)
 | Changing (TPrinterCanvas)
pt | CheckHelper (TCanvas)
 | Chord (TCanvas)
 | Chord (TPostScriptPrinterCanvas)
 | CopyRect (TCanvas)
 | CopyRect (TPostScriptPrinterCanvas)
 | Create (TCanvas)
 | Create (TPrinterCanvas)
 | Create (TPostScriptPrinterCanvas)
pt | CreateBrush (TCanvas)
pt | CreateBrush (TPostScriptPrinterCanvas)
pt | CreateFont (TCanvas)
pt | CreateFont (TPostScriptPrinterCanvas)
pt | CreateHandle (TCanvas)
pt | CreateHandle (TPostScriptPrinterCanvas)
pt | CreatePen (TCanvas)
pt | CreatePen (TPostScriptPrinterCanvas)
pt | CreateRegion (TCanvas)
pt | CreateRegion (TPostScriptPrinterCanvas)
pt | DeselectHandles (TCanvas)
pt | DeselectHandles (TPostScriptPrinterCanvas)
 | Destroy (TCanvas)
 | Destroy (TPostScriptPrinterCanvas)
pt | DoCopyRect (TCanvas)
pt | DoCreateDefaultBrush (TCanvas)
pt | DoCreateDefaultFont (TCanvas)
pt | DoCreateDefaultPen (TCanvas)
pt | DoDraw (TCanvas)
pt | DoEllipse (TCanvas)
pt | DoEllipseAndFill (TCanvas)
pt | DoEllipseAndFill (TPostScriptPrinterCanvas)
pt | DoEllipseFill (TCanvas)
pt | DoFloodFill (TCanvas)
pt | DoGetTextHeight (TCanvas)
pt | DoGetTextSize (TCanvas)
pt | DoGetTextWidth (TCanvas)
pt | DoLine (TCanvas)
pt | DoLineTo (TCanvas)
pt | DoLineTo (TPostScriptPrinterCanvas)
pt | DoLockCanvas (TCanvas)
pt | DoMoveTo (TCanvas)
pt | DoMoveTo (TPostScriptPrinterCanvas)
pt | DoPolyBezier (TCanvas)
pt | DoPolygon (TCanvas)
pt | DoPolygonAndFill (TCanvas)
pt | DoPolygonFill (TCanvas)
pt | DoPolyline (TCanvas)
pt | DoRectangle (TCanvas)
pt | DoRectangleAndFill (TCanvas)
pt | DoRectangleFill (TCanvas)
pt | DoTextOut (TCanvas)
pt | DoUnlockCanvas (TCanvas)
 | Draw (TCanvas)
 | Draw (TPostScriptPrinterCanvas)
 | DrawFocusRect (TCanvas)
 | Ellipse (TCanvas)
 | Ellipse (TPostScriptPrinterCanvas)
 | EndDoc (TPrinterCanvas)
 | EndDoc (TPostScriptPrinterCanvas)
 | EndPage (TPrinterCanvas)
 | FillRect (TCanvas)
 | FillRect (TPostScriptPrinterCanvas)
 | FloodFill (TCanvas)
 | FloodFill (TPostScriptPrinterCanvas)
pt | FontChanging (TCanvas)
pt | FontChanging (TPostScriptPrinterCanvas)
 | Frame (TCanvas)
 | Frame (TPostScriptPrinterCanvas)
 | Frame3D (TCanvas)
 | Frame3d (TPostScriptPrinterCanvas)
 | FrameRect (TCanvas)
 | FrameRect (TPostScriptPrinterCanvas)
pt | FreeHandle (TCanvas)
pt | GetBottomMargin (TPrinterCanvas)
pt | GetClipping (TCanvas)
pt | GetClipping (TPostScriptPrinterCanvas)
pt | GetClipRect (TCanvas)
pt | GetClipRect (TPostScriptPrinterCanvas)
pt | GetColor (TCanvas)
pt | GetDefaultColor (TCanvas)
pt | GetHeight (TCanvas)
pt | GetLeftMargin (TPrinterCanvas)
pt | GetPixel (TCanvas)
pt | GetRightMargin (TPrinterCanvas)
 | GetTextMetrics (TCanvas)
 | GetTextMetrics (TPostScriptPrinterCanvas)
pt | GetTopMargin (TPrinterCanvas)
 | GetUpdatedHandle (TCanvas)
pt | GetWidth (TCanvas)
 | GradientFill (TCanvas)
 | HandleAllocated (TCanvas)
 | Lock (TCanvas)
 | NewPage (TPrinterCanvas)
 | NewPage (TPostScriptPrinterCanvas)
pt | PenChanging (TCanvas)
pt | PenChanging (TPostScriptPrinterCanvas)
 | Pie (TCanvas)
 | Pie (TPostScriptPrinterCanvas)
 | PolyBezier (TCanvas)
 | PolyBezier (TPostScriptPrinterCanvas)
 | Polygon (TCanvas)
 | Polygon (TPostScriptPrinterCanvas)
 | Polyline (TCanvas)
 | Polyline (TPostScriptPrinterCanvas)
 | RadialPie (TCanvas)
 | RadialPie (TPostScriptPrinterCanvas)
pt | RealizeAntialiasing (TCanvas)
pt | RealizeAntialiasing (TPostScriptPrinterCanvas)
pt | RealizeAutoRedraw (TCanvas)
 | Rectangle (TCanvas)
 | Rectangle (TPostScriptPrinterCanvas)
 | Refresh (TCanvas)
pt | RegionChanging (TCanvas)
pt | RegionChanging (TPostScriptPrinterCanvas)
pt | RequiredState (TCanvas)
pt | RequiredState (TPostScriptPrinterCanvas)
 | RestoreHandleState (TCanvas)
 | RoundRect (TCanvas)
 | RoundRect (TPostScriptPrinterCanvas)
 | SaveHandleState (TCanvas)
 | SaveToFile (TPostScriptPrinterCanvas)
pt | SetClipping (TCanvas)
pt | SetClipping (TPostScriptPrinterCanvas)
pt | SetClipRect (TCanvas)
pt | SetClipRect (TPostScriptPrinterCanvas)
pt | SetColor (TCanvas)
pt | SetHandle (TCanvas)
pt | SetHeight (TCanvas)
pt | SetInternalPenPos (TCanvas)
pt | SetPenPos (TCanvas)
pt | SetPixel (TCanvas)
 | SetPixel (TPostScriptPrinterCanvas)
pt | SetWidth (TCanvas)
 | StretchDraw (TCanvas)
 | StretchDraw (TPostScriptPrinterCanvas)
 | TextExtent (TCanvas)
 | TextExtent (TPostScriptPrinterCanvas)
 | TextFitInfo (TCanvas)
 | TextHeight (TCanvas)
 | TextOut (TCanvas)
 | TextOut (TPostScriptPrinterCanvas)
 | TextRect (TCanvas)
 | TextRect (TPostScriptPrinterCanvas)
 | TextWidth (TCanvas)
 | TryLock (TCanvas)
 | Unlock (TCanvas)


TPostScriptPrinterCanvas
TFilePrinterCanvas
TPrinterCanvas
TCanvas
pl | OnChange
pl | OnChanging


TPostScriptPrinterCanvas.Arc

Declaration

Source position: postscriptcanvas.pas line 166

public procedure TPostScriptPrinterCanvas.Arc(

  Left: Integer;

  Top: Integer;

  Right: Integer;

  Bottom: Integer;

  angle1: Integer;

  angle2: Integer

); override;

procedure TPostScriptPrinterCanvas.Arc(

  x: Integer;

  y: Integer;

  Right: Integer;

  Bottom: Integer;

  SX: Integer;

  SY: Integer;

  EX: Integer;

  EY: Integer

); override;


TPostScriptPrinterCanvas.BeginDoc

Declaration

Source position: postscriptcanvas.pas line 145

public procedure TPostScriptPrinterCanvas.BeginDoc; override;


TPostScriptPrinterCanvas.BrushChanging

Declaration

Source position: postscriptcanvas.pas line 129

protected procedure TPostScriptPrinterCanvas.BrushChanging(

  APen: TObject

); override;


TPostScriptPrinterCanvas.Chord

Declaration

Source position: postscriptcanvas.pas line 168

public procedure TPostScriptPrinterCanvas.Chord(

  x1: Integer;

  y1: Integer;

  x2: Integer;

  y2: Integer;

  angle1: Integer;

  angle2: Integer

); override;

procedure TPostScriptPrinterCanvas.Chord(

  x1: Integer;

  y1: Integer;

  x2: Integer;

  y2: Integer;

  SX: Integer;

  SY: Integer;

  EX: Integer;

  EY: Integer

); override;


TPostScriptPrinterCanvas.CopyRect

Declaration

Source position: postscriptcanvas.pas line 182

public procedure TPostScriptPrinterCanvas.CopyRect(

  const Dest: TRect;

  SrcCanvas: TCanvas;

  const Source: TRect

); override;


TPostScriptPrinterCanvas.Create

Declaration

Source position: postscriptcanvas.pas line 143

public constructor TPostScriptPrinterCanvas.Create(

  APrinter: TPrinter

); override;


TPostScriptPrinterCanvas.CreateBrush

Declaration

Source position: postscriptcanvas.pas line 122

protected procedure TPostScriptPrinterCanvas.CreateBrush; override;


TPostScriptPrinterCanvas.CreateFont

Declaration

Source position: postscriptcanvas.pas line 123

protected procedure TPostScriptPrinterCanvas.CreateFont; override;


TPostScriptPrinterCanvas.CreateHandle

Declaration

Source position: postscriptcanvas.pas line 121

protected procedure TPostScriptPrinterCanvas.CreateHandle; override;


TPostScriptPrinterCanvas.CreatePen

Declaration

Source position: postscriptcanvas.pas line 124

protected procedure TPostScriptPrinterCanvas.CreatePen; override;


TPostScriptPrinterCanvas.CreateRegion

Declaration

Source position: postscriptcanvas.pas line 125

protected procedure TPostScriptPrinterCanvas.CreateRegion; override;


TPostScriptPrinterCanvas.DeselectHandles

Declaration

Source position: postscriptcanvas.pas line 126

protected procedure TPostScriptPrinterCanvas.DeselectHandles; override;


TPostScriptPrinterCanvas.Destroy

Declaration

Source position: postscriptcanvas.pas line 144

public destructor TPostScriptPrinterCanvas.Destroy; override;


TPostScriptPrinterCanvas.DoEllipseAndFill

Declaration

Source position: postscriptcanvas.pas line 132

protected procedure TPostScriptPrinterCanvas.DoEllipseAndFill(

  const Bounds: TRect

); override;


TPostScriptPrinterCanvas.DoLineTo

Declaration

Source position: postscriptcanvas.pas line 141

protected procedure TPostScriptPrinterCanvas.DoLineTo(

  X1: Integer;

  Y1: Integer

); override;


TPostScriptPrinterCanvas.DoMoveTo

Declaration

Source position: postscriptcanvas.pas line 140

protected procedure TPostScriptPrinterCanvas.DoMoveTo(

  X1: Integer;

  Y1: Integer

); override;


TPostScriptPrinterCanvas.Draw

Declaration

Source position: postscriptcanvas.pas line 175

public procedure TPostScriptPrinterCanvas.Draw(

  X: Integer;

  Y: Integer;

  SrcGraphic: TGraphic

); override;


TPostScriptPrinterCanvas.Ellipse

Declaration

Source position: postscriptcanvas.pas line 165

public procedure TPostScriptPrinterCanvas.Ellipse(

  x1: Integer;

  y1: Integer;

  x2: Integer;

  y2: Integer

); override;


TPostScriptPrinterCanvas.EndDoc

Declaration

Source position: postscriptcanvas.pas line 146

public procedure TPostScriptPrinterCanvas.EndDoc; override;


TPostScriptPrinterCanvas.FillRect

Declaration

Source position: postscriptcanvas.pas line 160

public procedure TPostScriptPrinterCanvas.FillRect(

  const ARect: TRect

); override;


TPostScriptPrinterCanvas.FloodFill

Declaration

Source position: postscriptcanvas.pas line 181

public procedure TPostScriptPrinterCanvas.FloodFill(

  X: Integer;

  Y: Integer;

  FillColor: TColor;

  FillStyle: TFillStyle

); override;


TPostScriptPrinterCanvas.FontChanging

Declaration

Source position: postscriptcanvas.pas line 128

protected procedure TPostScriptPrinterCanvas.FontChanging(

  APen: TObject

); override;


TPostScriptPrinterCanvas.Frame

Declaration

Source position: postscriptcanvas.pas line 157

public procedure TPostScriptPrinterCanvas.Frame(

  const ARect: TRect

); override;


TPostScriptPrinterCanvas.Frame3d

Declaration

Source position: postscriptcanvas.pas line 187

public procedure TPostScriptPrinterCanvas.Frame3d(

  var ARect: TRect;

  const FrameWidth: Integer;

  const Style: TGraphicsBevelCut

); override;


TPostScriptPrinterCanvas.FrameRect

Declaration

Source position: postscriptcanvas.pas line 158

public procedure TPostScriptPrinterCanvas.FrameRect(

  const ARect: TRect

); override;


TPostScriptPrinterCanvas.GetClipping

Declaration

Source position: postscriptcanvas.pas line 137

protected function TPostScriptPrinterCanvas.GetClipping: Boolean; override;


TPostScriptPrinterCanvas.GetClipRect

Declaration

Source position: postscriptcanvas.pas line 135

protected function TPostScriptPrinterCanvas.GetClipRect: TRect; override;


TPostScriptPrinterCanvas.GetTextMetrics

Declaration

Source position: postscriptcanvas.pas line 178

public function TPostScriptPrinterCanvas.GetTextMetrics(

  out TM: TLCLTextMetric

):Boolean; override;


TPostScriptPrinterCanvas.NewPage

Declaration

Source position: postscriptcanvas.pas line 147

public procedure TPostScriptPrinterCanvas.NewPage; override;


TPostScriptPrinterCanvas.PenChanging

Declaration

Source position: postscriptcanvas.pas line 127

protected procedure TPostScriptPrinterCanvas.PenChanging(

  APen: TObject

); override;


TPostScriptPrinterCanvas.Pie

Declaration

Source position: postscriptcanvas.pas line 189

public procedure TPostScriptPrinterCanvas.Pie(

  EllipseX1: Integer;

  EllipseY1: Integer;

  EllipseX2: Integer;

  EllipseY2: Integer;

  StartX: Integer;

  StartY: Integer;

  EndX: Integer;

  EndY: Integer

); override;


TPostScriptPrinterCanvas.PolyBezier

Declaration

Source position: postscriptcanvas.pas line 152

public procedure TPostScriptPrinterCanvas.PolyBezier(

  Points: PPoint;

  NumPts: Integer;

  Filled: Boolean = False;

  Continuous: Boolean = False

); override;


TPostScriptPrinterCanvas.Polygon

Declaration

Source position: postscriptcanvas.pas line 162

public procedure TPostScriptPrinterCanvas.Polygon(

  Points: PPoint;

  NumPts: Integer;

  Winding: Boolean = False

); override;


TPostScriptPrinterCanvas.Polyline

Declaration

Source position: postscriptcanvas.pas line 151

public procedure TPostScriptPrinterCanvas.Polyline(

  Points: PPoint;

  NumPts: Integer

); override;


TPostScriptPrinterCanvas.RadialPie

Declaration

Source position: postscriptcanvas.pas line 167

public procedure TPostScriptPrinterCanvas.RadialPie(

  Left: Integer;

  Top: Integer;

  Right: Integer;

  Bottom: Integer;

  angle1: Integer;

  angle2: Integer

); override;


TPostScriptPrinterCanvas.RealizeAntialiasing

Declaration

Source position: postscriptcanvas.pas line 133

protected procedure TPostScriptPrinterCanvas.RealizeAntialiasing; override;


TPostScriptPrinterCanvas.Rectangle

Declaration

Source position: postscriptcanvas.pas line 156

public procedure TPostScriptPrinterCanvas.Rectangle(

  X1: Integer;

  Y1: Integer;

  X2: Integer;

  Y2: Integer

); override;


TPostScriptPrinterCanvas.RegionChanging

Declaration

Source position: postscriptcanvas.pas line 130

protected procedure TPostScriptPrinterCanvas.RegionChanging(

  APen: TObject

); override;


TPostScriptPrinterCanvas.RequiredState

Declaration

Source position: postscriptcanvas.pas line 131

protected procedure TPostScriptPrinterCanvas.RequiredState(

  ReqState: TCanvasState

); override;


TPostScriptPrinterCanvas.RoundRect

Declaration

Source position: postscriptcanvas.pas line 161

public procedure TPostScriptPrinterCanvas.RoundRect(

  X1: Integer;

  Y1: Integer;

  X2: Integer;

  Y2: Integer;

  RX: Integer;

  RY: Integer

); override;


TPostScriptPrinterCanvas.SaveToFile

Declaration

Source position: postscriptcanvas.pas line 149

public procedure TPostScriptPrinterCanvas.SaveToFile(

  aFileName: string

);


TPostScriptPrinterCanvas.SetClipping

Declaration

Source position: postscriptcanvas.pas line 138

protected procedure TPostScriptPrinterCanvas.SetClipping(

  const AValue: Boolean

); override;


TPostScriptPrinterCanvas.SetClipRect

Declaration

Source position: postscriptcanvas.pas line 136

protected procedure TPostScriptPrinterCanvas.SetClipRect(

  const ARect: TRect

); override;


TPostScriptPrinterCanvas.SetPixel

Declaration

Source position: postscriptcanvas.pas line 191

public procedure TPostScriptPrinterCanvas.SetPixel(

  X: Integer;

  Y: Integer;

  Value: TColor

); override;


TPostScriptPrinterCanvas.StretchDraw

Declaration

Source position: postscriptcanvas.pas line 176

public procedure TPostScriptPrinterCanvas.StretchDraw(

  const DestRect: TRect;

  SrcGraphic: TGraphic

); override;


TPostScriptPrinterCanvas.TextExtent

Declaration

Source position: postscriptcanvas.pas line 171

public function TPostScriptPrinterCanvas.TextExtent(

  const Text: string

):TSize; override;


TPostScriptPrinterCanvas.TextOut

Declaration

Source position: postscriptcanvas.pas line 170

public procedure TPostScriptPrinterCanvas.TextOut(

  X: Integer;

  Y: Integer;

  const Text: string

); override;


TPostScriptPrinterCanvas.TextRect

Declaration

Source position: postscriptcanvas.pas line 172

public procedure TPostScriptPrinterCanvas.TextRect(

  ARect: TRect;

  X: Integer;

  Y: Integer;

  const Text: string;

  const Style: TTextStyle

); override;


TPostScript

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Declaration

Source position: postscriptprinter.pas line 196

type TPostScript = class(TObject)

public

  constructor Create;

  destructor Destroy; override;

  procedure AddPattern();

  function FindPattern();

  function DelPattern();

  function NewPattern();

  property Canvas: TPostScriptCanvas; [r]

  property Height: Integer; [rw]

  property Width: Integer; [rw]

  property Document: TStringList; [r]

  property PageNumber: Integer; [r]

  property Title: string; [rw]

  property LineSpacing: Integer; [rw]

  procedure BeginDoc;

  procedure NewPage;

  procedure EndDoc;

end;

Inheritance

TPostScript

|

TObject


TPostScript
 | ro | Canvas
 |  | Height
 |  | Width
 | ro | Document
 | ro | PageNumber
 |  | Title
 |  | LineSpacing
TObject


ro | Canvas (TPostScript)
ro | Document (TPostScript)
 | Height (TPostScript)
 | LineSpacing (TPostScript)
ro | PageNumber (TPostScript)
 | Title (TPostScript)
 | Width (TPostScript)


TPostScript
 | Create
 | Destroy
 | AddPattern
 | FindPattern
 | DelPattern
 | NewPattern
 | BeginDoc
 | NewPage
 | EndDoc
TObject
 | Create
 | Destroy
 | newinstance
 | FreeInstance
 | SafeCallException
 | DefaultHandler
 | Free
 | InitInstance
 | CleanupInstance
 | ClassType
 | ClassInfo
 | ClassName
 | ClassNameIs
 | ClassParent
 | InstanceSize
 | InheritsFrom
 | StringMessageTable
 | MethodAddress
 | MethodName
 | FieldAddress
 | AfterConstruction
 | BeforeDestruction
 | DefaultHandlerStr
 | Dispatch
 | DispatchStr
 | GetInterface
 | GetInterfaceByStr
 | GetInterfaceWeak
 | GetInterfaceEntry
 | GetInterfaceEntryByStr
 | GetInterfaceTable
 | UnitName
 | Equals
 | GetHashCode
 | ToString


AddPattern (TPostScript)

AfterConstruction (TObject)

BeforeDestruction (TObject)

BeginDoc (TPostScript)

ClassInfo (TObject)

ClassName (TObject)

ClassNameIs (TObject)

ClassParent (TObject)

ClassType (TObject)

CleanupInstance (TObject)

Create (TObject)

Create (TPostScript)

DefaultHandler (TObject)

DefaultHandlerStr (TObject)

DelPattern (TPostScript)

Destroy (TObject)

Destroy (TPostScript)

Dispatch (TObject)

DispatchStr (TObject)

EndDoc (TPostScript)

Equals (TObject)

FieldAddress (TObject)

FindPattern (TPostScript)

Free (TObject)

FreeInstance (TObject)

GetHashCode (TObject)

GetInterface (TObject)

GetInterfaceByStr (TObject)

GetInterfaceEntry (TObject)

GetInterfaceEntryByStr (TObject)

GetInterfaceTable (TObject)

GetInterfaceWeak (TObject)

InheritsFrom (TObject)

InitInstance (TObject)

InstanceSize (TObject)

MethodAddress (TObject)

MethodName (TObject)

newinstance (TObject)

NewPage (TPostScript)

NewPattern (TPostScript)

SafeCallException (TObject)

StringMessageTable (TObject)

ToString (TObject)

UnitName (TObject)


TPostScript

TObject


TPostScript.AddPattern

Declaration

Source position: postscriptprinter.pas line 219

public procedure TPostScript.AddPattern(

  APSPattern: TPSPattern

);


TPostScript.BeginDoc

Declaration

Source position: postscriptprinter.pas line 230

public procedure TPostScript.BeginDoc;


TPostScript.Canvas

Declaration

Source position: postscriptprinter.pas line 223

public property TPostScript.Canvas : TPostScriptCanvas
  read FCanvas;


TPostScript.Create

Declaration

Source position: postscriptprinter.pas line 217

public constructor TPostScript.Create;


TPostScript.DelPattern

Declaration

Source position: postscriptprinter.pas line 221

public function TPostScript.DelPattern(

  AName: string

):Boolean;


TPostScript.Destroy

Declaration

Source position: postscriptprinter.pas line 218

public destructor TPostScript.Destroy; override;


TPostScript.Document

Declaration

Source position: postscriptprinter.pas line 226

public property TPostScript.Document : TStringList
  read FDocument;


TPostScript.EndDoc

Declaration

Source position: postscriptprinter.pas line 232

public procedure TPostScript.EndDoc;


TPostScript.FindPattern

Declaration

Source position: postscriptprinter.pas line 220

public function TPostScript.FindPattern(

  AName: string

):TPSPattern;


TPostScript.Height

Declaration

Source position: postscriptprinter.pas line 224

public property TPostScript.Height : Integer
  read FHeight
  write SetHeight;


TPostScript.LineSpacing

Declaration

Source position: postscriptprinter.pas line 229

public property TPostScript.LineSpacing : Integer
  read FLineSpacing
  write SetLineSpacing;


TPostScript.NewPage

Declaration

Source position: postscriptprinter.pas line 231

public procedure TPostScript.NewPage;


TPostScript.NewPattern

Declaration

Source position: postscriptprinter.pas line 222

public function TPostScript.NewPattern(

  AName: string

):TPSPattern;


TPostScript.PageNumber

Declaration

Source position: postscriptprinter.pas line 227

public property TPostScript.PageNumber : Integer
  read FPageNumber;


TPostScript.Title

Declaration

Source position: postscriptprinter.pas line 228

public property TPostScript.Title : string
  read FTitle
  write SetTitle;


TPostScript.Width

Declaration

Source position: postscriptprinter.pas line 225

public property TPostScript.Width : Integer
  read FWidth
  write SetWidth;


TPostScriptCanvas

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Declaration

Source position: postscriptprinter.pas line 126

type TPostScriptCanvas = class(TObject)

public

  MPostScript: TPostScript;

  constructor Create();

  destructor Destroy; override;

  procedure Clear;

  property PostScript: TStringList; [rw]

  property FontFace: string; [rw]

  property FontSize: Integer; [rw]

  property LineSpacing: Integer; [rw]

  procedure MoveTo();

  procedure LineTo();

  procedure Line();

  procedure Rectangle();

  procedure Polyline();

  procedure Ellipse();

  procedure RadialPie();

  procedure Writeln();

  procedure TextOut();

  property Height: Integer; [rw]

  property Color: TColor; [rw]

  property Pen: TPSPen; [rw]

  property Brush: TPSPen; [rw]

end;

Inheritance

TPostScriptCanvas

|

TObject


TPostScriptCanvas
 | PostScript
 | FontFace
 | FontSize
 | LineSpacing
 | Height
 | Color
 | Pen
 | Brush
TObject


Brush (TPostScriptCanvas)

Color (TPostScriptCanvas)

FontFace (TPostScriptCanvas)

FontSize (TPostScriptCanvas)

Height (TPostScriptCanvas)

LineSpacing (TPostScriptCanvas)

Pen (TPostScriptCanvas)

PostScript (TPostScriptCanvas)


TPostScriptCanvas
 | Create
 | Destroy
 | Clear
 | MoveTo
 | LineTo
 | Line
 | Rectangle
 | Polyline
 | Ellipse
 | RadialPie
 | Writeln
 | TextOut
TObject
 | Create
 | Destroy
 | newinstance
 | FreeInstance
 | SafeCallException
 | DefaultHandler
 | Free
 | InitInstance
 | CleanupInstance
 | ClassType
 | ClassInfo
 | ClassName
 | ClassNameIs
 | ClassParent
 | InstanceSize
 | InheritsFrom
 | StringMessageTable
 | MethodAddress
 | MethodName
 | FieldAddress
 | AfterConstruction
 | BeforeDestruction
 | DefaultHandlerStr
 | Dispatch
 | DispatchStr
 | GetInterface
 | GetInterfaceByStr
 | GetInterfaceWeak
 | GetInterfaceEntry
 | GetInterfaceEntryByStr
 | GetInterfaceTable
 | UnitName
 | Equals
 | GetHashCode
 | ToString


AfterConstruction (TObject)

BeforeDestruction (TObject)

ClassInfo (TObject)

ClassName (TObject)

ClassNameIs (TObject)

ClassParent (TObject)

ClassType (TObject)

CleanupInstance (TObject)

Clear (TPostScriptCanvas)

Create (TObject)

Create (TPostScriptCanvas)

DefaultHandler (TObject)

DefaultHandlerStr (TObject)

Destroy (TObject)

Destroy (TPostScriptCanvas)

Dispatch (TObject)

DispatchStr (TObject)

Ellipse (TPostScriptCanvas)

Equals (TObject)

FieldAddress (TObject)

Free (TObject)

FreeInstance (TObject)

GetHashCode (TObject)

GetInterface (TObject)

GetInterfaceByStr (TObject)

GetInterfaceEntry (TObject)

GetInterfaceEntryByStr (TObject)

GetInterfaceTable (TObject)

GetInterfaceWeak (TObject)

InheritsFrom (TObject)

InitInstance (TObject)

InstanceSize (TObject)

Line (TPostScriptCanvas)

LineTo (TPostScriptCanvas)

MethodAddress (TObject)

MethodName (TObject)

MoveTo (TPostScriptCanvas)

newinstance (TObject)

Polyline (TPostScriptCanvas)

RadialPie (TPostScriptCanvas)

Rectangle (TPostScriptCanvas)

SafeCallException (TObject)

StringMessageTable (TObject)

TextOut (TPostScriptCanvas)

ToString (TObject)

UnitName (TObject)

Writeln (TPostScriptCanvas)


TPostScriptCanvas

TObject


TPostScriptCanvas.Brush

Declaration

Source position: postscriptprinter.pas line 192

public property TPostScriptCanvas.Brush : TPSPen
  read FBrush
  write SetBrush;


TPostScriptCanvas.Clear

Declaration

Source position: postscriptprinter.pas line 152

public procedure TPostScriptCanvas.Clear;


TPostScriptCanvas.Color

Declaration

Source position: postscriptprinter.pas line 190

public property TPostScriptCanvas.Color : TColor
  read GetColor
  write SetColor;


TPostScriptCanvas.Create

Declaration

Source position: postscriptprinter.pas line 150

public constructor TPostScriptCanvas.Create(

  APostScript: TPostScript

);


TPostScriptCanvas.Destroy

Declaration

Source position: postscriptprinter.pas line 151

public destructor TPostScriptCanvas.Destroy; override;


TPostScriptCanvas.Ellipse

Declaration

Source position: postscriptprinter.pas line 163

public procedure TPostScriptCanvas.Ellipse(

  x1: Integer;

  y1: Integer;

  x2: Integer;

  y2: Integer

);

procedure TPostScriptCanvas.Ellipse(

  const Rect: TRect

);


TPostScriptCanvas.FontFace

Declaration

Source position: postscriptprinter.pas line 154

public property TPostScriptCanvas.FontFace : string
  read FFontFace
  write SetFontFace;


TPostScriptCanvas.FontSize

Declaration

Source position: postscriptprinter.pas line 155

public property TPostScriptCanvas.FontSize : Integer
  read FFontSize
  write SetFontSize;


TPostScriptCanvas.Height

Declaration

Source position: postscriptprinter.pas line 189

public property TPostScriptCanvas.Height : Integer
  read FHeight
  write FHeight;


TPostScriptCanvas.Line

Declaration

Source position: postscriptprinter.pas line 159

public procedure TPostScriptCanvas.Line(

  X1: Integer;

  Y1: Integer;

  X2: Integer;

  Y2: Integer

);


TPostScriptCanvas.LineSpacing

Declaration

Source position: postscriptprinter.pas line 156

public property TPostScriptCanvas.LineSpacing : Integer
  read FLineSpacing
  write FLineSpacing;


TPostScriptCanvas.LineTo

Declaration

Source position: postscriptprinter.pas line 158

public procedure TPostScriptCanvas.LineTo(

  X1: Integer;

  Y1: Integer

);


TPostScriptCanvas.MoveTo

Declaration

Source position: postscriptprinter.pas line 157

public procedure TPostScriptCanvas.MoveTo(

  X1: Integer;

  Y1: Integer

);


TPostScriptCanvas.MPostScript

Declaration

Source position: postscriptprinter.pas line 149

public TPostScriptCanvas.MPostScript : TPostScript;


TPostScriptCanvas.Pen

Declaration

Source position: postscriptprinter.pas line 191

public property TPostScriptCanvas.Pen : TPSPen
  read FPen
  write SetPen;


TPostScriptCanvas.Polyline

Declaration

Source position: postscriptprinter.pas line 162

public procedure TPostScriptCanvas.Polyline(

  Points: PPoint;

  NumPts: Integer

);


TPostScriptCanvas.PostScript

Declaration

Source position: postscriptprinter.pas line 153

public property TPostScriptCanvas.PostScript : TStringList
  read FPostScript
  write FPostScript;


TPostScriptCanvas.RadialPie

Declaration

Source position: postscriptprinter.pas line 165

public procedure TPostScriptCanvas.RadialPie(

  x: Integer;

  y: Integer;

  width: Integer;

  mheight: Integer;

  angle1: Integer;

  angle2: Integer

);


TPostScriptCanvas.Rectangle

Declaration

Source position: postscriptprinter.pas line 160

public procedure TPostScriptCanvas.Rectangle(

  X1: Integer;

  Y1: Integer;

  X2: Integer;

  Y2: Integer

);

procedure TPostScriptCanvas.Rectangle(

  const Rect: TRect

);


TPostScriptCanvas.TextOut

Declaration

Source position: postscriptprinter.pas line 168

public procedure TPostScriptCanvas.TextOut(

  X: Integer;

  Y: Integer;

  const Text: string

);


TPostScriptCanvas.Writeln

Declaration

Source position: postscriptprinter.pas line 167

public procedure TPostScriptCanvas.Writeln(

  const AString: string

);


TPSObject

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Declaration

Source position: postscriptprinter.pas line 93

type TPSObject = class(TObject)

protected

  procedure Changed; virtual;

  procedure Lock;

  procedure UnLock;

public

  property OnChange: TNotifyEvent; [rw]

end;

Inheritance

TPSObject

|

TObject


TPSObject

TObject


TPSObject
pt | Changed
pt | Lock
pt | UnLock
TObject
 | Create
 | Destroy
 | newinstance
 | FreeInstance
 | SafeCallException
 | DefaultHandler
 | Free
 | InitInstance
 | CleanupInstance
 | ClassType
 | ClassInfo
 | ClassName
 | ClassNameIs
 | ClassParent
 | InstanceSize
 | InheritsFrom
 | StringMessageTable
 | MethodAddress
 | MethodName
 | FieldAddress
 | AfterConstruction
 | BeforeDestruction
 | DefaultHandlerStr
 | Dispatch
 | DispatchStr
 | GetInterface
 | GetInterfaceByStr
 | GetInterfaceWeak
 | GetInterfaceEntry
 | GetInterfaceEntryByStr
 | GetInterfaceTable
 | UnitName
 | Equals
 | GetHashCode
 | ToString


pt | Changed (TPSObject)
 | ClassInfo (TObject)
 | ClassName (TObject)
 | ClassNameIs (TObject)
 | ClassParent (TObject)
 | ClassType (TObject)
 | CleanupInstance (TObject)
 | Create (TObject)
 | DefaultHandler (TObject)
 | DefaultHandlerStr (TObject)
 | Destroy (TObject)
 | Dispatch (TObject)
 | DispatchStr (TObject)
 | Equals (TObject)
 | FieldAddress (TObject)
 | Free (TObject)
 | FreeInstance (TObject)
 | GetHashCode (TObject)
 | GetInterface (TObject)
 | GetInterfaceByStr (TObject)
 | GetInterfaceEntry (TObject)
 | GetInterfaceEntryByStr (TObject)
 | GetInterfaceTable (TObject)
 | GetInterfaceWeak (TObject)
 | InheritsFrom (TObject)
 | InitInstance (TObject)
 | InstanceSize (TObject)
pt | Lock (TPSObject)
 | MethodAddress (TObject)
 | MethodName (TObject)
 | newinstance (TObject)
 | SafeCallException (TObject)
 | StringMessageTable (TObject)
 | ToString (TObject)
 | UnitName (TObject)
pt | UnLock (TPSObject)


TPSObject

OnChange

TObject


TPSObject.Changed

Declaration

Source position: postscriptprinter.pas line 97

protected procedure TPSObject.Changed; virtual;


TPSObject.Lock

Declaration

Source position: postscriptprinter.pas line 98

protected procedure TPSObject.Lock;


TPSObject.OnChange

Declaration

Source position: postscriptprinter.pas line 101

public property TPSObject.OnChange : TNotifyEvent
  read FOnChange
  write FOnChange;


TPSObject.UnLock

Declaration

Source position: postscriptprinter.pas line 99

protected procedure TPSObject.UnLock;


TPSPattern

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Declaration

Source position: postscriptprinter.pas line 55

type TPSPattern = class(TObject)

public

  constructor Create;

  destructor Destroy; override;

  procedure Changed;

  property BBox: TRect; [rw]

  property PaintType: TPSPaintType; [rw]

  property TilingType: TPSTileType; [rw]

  property XStep: Real; [rw]

  property YStep: Real; [rw]

  property Name: string; [rw]

  property Canvas: TPostScriptCanvas; [r]

  property GetPS: TStringList; [r]

  property OldName: string; [rw]

  property OnChange: TNotifyEvent; [rw]

end;

Inheritance

TPSPattern

|

TObject


TPSPattern
 |  | BBox
 |  | PaintType
 |  | TilingType
 |  | XStep
 |  | YStep
 |  | Name
 | ro | Canvas
 | ro | GetPS
 |  | OldName
TObject


ro | Canvas (TPSPattern)
ro | GetPS (TPSPattern)
 | Name (TPSPattern)
 | OldName (TPSPattern)
 | PaintType (TPSPattern)
 | TilingType (TPSPattern)
 | XStep (TPSPattern)
 | YStep (TPSPattern)


TPSPattern
 | Create
 | Destroy
 | Changed
TObject
 | Create
 | Destroy
 | newinstance
 | FreeInstance
 | SafeCallException
 | DefaultHandler
 | Free
 | InitInstance
 | CleanupInstance
 | ClassType
 | ClassInfo
 | ClassName
 | ClassNameIs
 | ClassParent
 | InstanceSize
 | InheritsFrom
 | StringMessageTable
 | MethodAddress
 | MethodName
 | FieldAddress
 | AfterConstruction
 | BeforeDestruction
 | DefaultHandlerStr
 | Dispatch
 | DispatchStr
 | GetInterface
 | GetInterfaceByStr
 | GetInterfaceWeak
 | GetInterfaceEntry
 | GetInterfaceEntryByStr
 | GetInterfaceTable
 | UnitName
 | Equals
 | GetHashCode
 | ToString


AfterConstruction (TObject)

BeforeDestruction (TObject)

Changed (TPSPattern)

ClassInfo (TObject)

ClassName (TObject)

ClassNameIs (TObject)

ClassParent (TObject)

ClassType (TObject)

CleanupInstance (TObject)

Create (TObject)

Create (TPSPattern)

DefaultHandler (TObject)

DefaultHandlerStr (TObject)

Destroy (TObject)

Destroy (TPSPattern)

Dispatch (TObject)

DispatchStr (TObject)

Equals (TObject)

FieldAddress (TObject)

Free (TObject)

FreeInstance (TObject)

GetHashCode (TObject)

GetInterface (TObject)

GetInterfaceByStr (TObject)

GetInterfaceEntry (TObject)

GetInterfaceEntryByStr (TObject)

GetInterfaceTable (TObject)

GetInterfaceWeak (TObject)

InheritsFrom (TObject)

InitInstance (TObject)

InstanceSize (TObject)

MethodAddress (TObject)

MethodName (TObject)

newinstance (TObject)

SafeCallException (TObject)

StringMessageTable (TObject)

ToString (TObject)

UnitName (TObject)


TPSPattern

OnChange

TObject


TPSPattern.BBox

Declaration

Source position: postscriptprinter.pas line 79

public property TPSPattern.BBox : TRect
  read FBBox
  write SetBBox;


TPSPattern.Canvas

Declaration

Source position: postscriptprinter.pas line 85

public property TPSPattern.Canvas : TPostScriptCanvas
  read FCanvas;


TPSPattern.Changed

Declaration

Source position: postscriptprinter.pas line 78

public procedure TPSPattern.Changed;


TPSPattern.Create

Declaration

Source position: postscriptprinter.pas line 76

public constructor TPSPattern.Create;


TPSPattern.Destroy

Declaration

Source position: postscriptprinter.pas line 77

public destructor TPSPattern.Destroy; override;


TPSPattern.GetPS

Declaration

Source position: postscriptprinter.pas line 86

public property TPSPattern.GetPS : TStringList
  read GetPostscript;


TPSPattern.Name

Declaration

Source position: postscriptprinter.pas line 84

public property TPSPattern.Name : string
  read FName
  write SetName;


TPSPattern.OldName

Declaration

Source position: postscriptprinter.pas line 87

public property TPSPattern.OldName : string
  read FOldName
  write FOldName;


TPSPattern.OnChange

Declaration

Source position: postscriptprinter.pas line 88

public property TPSPattern.OnChange : TNotifyEvent
  read FOnChange
  write FOnChange;


TPSPattern.PaintType

Declaration

Source position: postscriptprinter.pas line 80

public property TPSPattern.PaintType : TPSPaintType
  read FPaintType
  write SetPaintType;


TPSPattern.TilingType

Declaration

Source position: postscriptprinter.pas line 81

public property TPSPattern.TilingType : TPSTileType
  read FTilingType
  write SetTilingType;


TPSPattern.XStep

Declaration

Source position: postscriptprinter.pas line 82

public property TPSPattern.XStep : Real
  read FXStep
  write SetXStep;


TPSPattern.YStep

Declaration

Source position: postscriptprinter.pas line 83

public property TPSPattern.YStep : Real
  read FYStep
  write SetYStep;


TPSPen

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Declaration

Source position: postscriptprinter.pas line 105

type TPSPen = class(TPSObject)

protected

  procedure SetColor();

  procedure Setwidth();

public

  constructor Create;

  destructor Destroy; override;

  procedure Assign();

  property Color: TColor; [rw]

  property Pattern: TPSPattern; [rw]

  property Width: Real; [rw]

  function AsString;

end;

Inheritance

TPSPen

|

TPSObject

|

TObject


TPSPen
 | Color
 | Pattern
 | Width
TPSObject
TObject


TPSPen
pt | SetColor
pt | Setwidth
 | Create
 | Destroy
 | Assign
 | AsString
TPSObject
pt | Changed
pt | Lock
pt | UnLock
TObject
 | Create
 | Destroy
 | newinstance
 | FreeInstance
 | SafeCallException
 | DefaultHandler
 | Free
 | InitInstance
 | CleanupInstance
 | ClassType
 | ClassInfo
 | ClassName
 | ClassNameIs
 | ClassParent
 | InstanceSize
 | InheritsFrom
 | StringMessageTable
 | MethodAddress
 | MethodName
 | FieldAddress
 | AfterConstruction
 | BeforeDestruction
 | DefaultHandlerStr
 | Dispatch
 | DispatchStr
 | GetInterface
 | GetInterfaceByStr
 | GetInterfaceWeak
 | GetInterfaceEntry
 | GetInterfaceEntryByStr
 | GetInterfaceTable
 | UnitName
 | Equals
 | GetHashCode
 | ToString


 | AfterConstruction (TObject)
 | Assign (TPSPen)
 | AsString (TPSPen)
 | BeforeDestruction (TObject)
pt | Changed (TPSObject)
 | ClassInfo (TObject)
 | ClassName (TObject)
 | ClassNameIs (TObject)
 | ClassParent (TObject)
 | ClassType (TObject)
 | CleanupInstance (TObject)
 | Create (TObject)
 | Create (TPSPen)
 | DefaultHandler (TObject)
 | DefaultHandlerStr (TObject)
 | Destroy (TObject)
 | Destroy (TPSPen)
 | Dispatch (TObject)
 | DispatchStr (TObject)
 | Equals (TObject)
 | FieldAddress (TObject)
 | Free (TObject)
 | FreeInstance (TObject)
 | GetHashCode (TObject)
 | GetInterface (TObject)
 | GetInterfaceByStr (TObject)
 | GetInterfaceEntry (TObject)
 | GetInterfaceEntryByStr (TObject)
 | GetInterfaceTable (TObject)
 | GetInterfaceWeak (TObject)
 | InheritsFrom (TObject)
 | InitInstance (TObject)
 | InstanceSize (TObject)
pt | Lock (TPSObject)
 | MethodAddress (TObject)
 | MethodName (TObject)
 | newinstance (TObject)
 | SafeCallException (TObject)
pt | SetColor (TPSPen)
pt | Setwidth (TPSPen)
 | StringMessageTable (TObject)
 | ToString (TObject)
 | UnitName (TObject)
pt | UnLock (TPSObject)


TPSPen

TPSObject

OnChange

TObject


TPSPen.Assign

Declaration

Source position: postscriptprinter.pas line 117

public procedure TPSPen.Assign(

  Source: TPSPen

);


TPSPen.AsString

Declaration

Source position: postscriptprinter.pas line 121

public function TPSPen.AsString: string;


TPSPen.Color

Declaration

Source position: postscriptprinter.pas line 118

public property TPSPen.Color : TColor
  read FColor
  write SetColor;


TPSPen.Create

Declaration

Source position: postscriptprinter.pas line 115

public constructor TPSPen.Create;


TPSPen.Destroy

Declaration

Source position: postscriptprinter.pas line 116

public destructor TPSPen.Destroy; override;


TPSPen.Pattern

Declaration

Source position: postscriptprinter.pas line 119

public property TPSPen.Pattern : TPSPattern
  read FPattern
  write SetPattern;


TPSPen.SetColor

Declaration

Source position: postscriptprinter.pas line 112

protected procedure TPSPen.SetColor(

  Value: TColor

);


TPSPen.Setwidth

Declaration

Source position: postscriptprinter.pas line 113

protected procedure TPSPen.Setwidth(

  value: Real

);


TPSPen.Width

Declaration

Source position: postscriptprinter.pas line 120

public property TPSPen.Width : Real
  read FWidth
  write SetWidth;


TPsUnicode

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Declaration

Source position: postscriptunicode.pas line 40

type TPsUnicode = class

public

  constructor create;

  destructor destroy; override;

  procedure OutputString();

  function BlockFor();

  procedure ResetLastFont;

  function UnicodeToGlyph();

  property Font: string; [rw]

  property FontSize: Integer; [rw]

  property FOntStyle: Integer; [rw]

  property OutLst: TStringList; [rw]

end;

Inheritance

TPsUnicode

|

TObject


TPsUnicode
 | Font
 | FontSize
 | FOntStyle
 | OutLst


Font (TPsUnicode)

FontSize (TPsUnicode)

FOntStyle (TPsUnicode)

OutLst (TPsUnicode)


TPsUnicode
 | create
 | destroy
 | OutputString
 | BlockFor
 | ResetLastFont
 | UnicodeToGlyph


BlockFor (TPsUnicode)

create (TPsUnicode)

destroy (TPsUnicode)

OutputString (TPsUnicode)

ResetLastFont (TPsUnicode)

UnicodeToGlyph (TPsUnicode)


TPsUnicode


TPsUnicode.BlockFor

Declaration

Source position: postscriptunicode.pas line 64

public function TPsUnicode.BlockFor(

  var w: Word

):Integer;


TPsUnicode.create

Declaration

Source position: postscriptunicode.pas line 61

public constructor TPsUnicode.create;


TPsUnicode.destroy

Declaration

Source position: postscriptunicode.pas line 62

public destructor TPsUnicode.destroy; override;


TPsUnicode.Font

Declaration

Source position: postscriptunicode.pas line 67

public property TPsUnicode.Font : string
  read FFont
  write SetFont;


TPsUnicode.FontSize

Declaration

Source position: postscriptunicode.pas line 68

public property TPsUnicode.FontSize : Integer
  read FFontSize
  write SetFontSize;


TPsUnicode.FOntStyle

Declaration

Source position: postscriptunicode.pas line 69

public property TPsUnicode.FOntStyle : Integer
  read FFontStyle
  write SetFontStyle;


TPsUnicode.OutLst

Declaration

Source position: postscriptunicode.pas line 70

public property TPsUnicode.OutLst : TStringList
  read FOutLst
  write FOutLst;


TPsUnicode.OutputString

Declaration

Source position: postscriptunicode.pas line 63

public procedure TPsUnicode.OutputString(

  S: string

);


TPsUnicode.ResetLastFont

Declaration

Source position: postscriptunicode.pas line 65

public procedure TPsUnicode.ResetLastFont;


TPsUnicode.UnicodeToGlyph

Declaration

Source position: postscriptunicode.pas line 66

public function TPsUnicode.UnicodeToGlyph(

  w: Word

):string;


EPrinter

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

EPrinter - Exception handler for printer error

Declaration

Source position: printers.pas line 28

type EPrinter = class(Exception)

Inheritance

EPrinter

EPrinter - Exception handler for printer error
|

Exception
|

TObject


EPrinter
Exception
 | HelpContext
 | Message
TObject


EPrinter
Exception
 | Create
 | CreateFmt
 | CreateRes
 | CreateResFmt
 | CreateHelp
 | CreateFmtHelp
 | CreateResHelp
 | CreateResFmtHelp
 | ToString
TObject
 | Create
 | Destroy
 | newinstance
 | FreeInstance
 | SafeCallException
 | DefaultHandler
 | Free
 | InitInstance
 | CleanupInstance
 | ClassType
 | ClassInfo
 | ClassName
 | ClassNameIs
 | ClassParent
 | InstanceSize
 | InheritsFrom
 | StringMessageTable
 | MethodAddress
 | MethodName
 | FieldAddress
 | AfterConstruction
 | BeforeDestruction
 | DefaultHandlerStr
 | Dispatch
 | DispatchStr
 | GetInterface
 | GetInterfaceByStr
 | GetInterfaceWeak
 | GetInterfaceEntry
 | GetInterfaceEntryByStr
 | GetInterfaceTable
 | UnitName
 | Equals
 | GetHashCode
 | ToString


EPrinter

Exception

TObject


TFilePrinterCanvas

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Declaration

Source position: printers.pas line 116

type TFilePrinterCanvas = class(TPrinterCanvas)

protected

  FOutputFileName: string;

public

  property OutputFileName: string; [rw]

end;

Inheritance

TFilePrinterCanvas
|
TPrinterCanvas | TPrinterCanvas - instance of TCanvas specially designed for printers
|
TCanvas | TCanvas represents a drawing surface which might be attached to a visual control which might be displayed on the screen or to an offscreen bitmap. It contains a number of drawing functions.
|
TFPCustomCanvas
?
TObject


TFilePrinterCanvas
 |  | OutputFileName
TPrinterCanvas
 | ro | Printer
 |  | Title
 | ro | PageHeight
 | ro | PageWidth
 |  | PaperWidth
 |  | PaperHeight
 | ro | PageNumber
 |  | TopMargin
 |  | LeftMargin
 |  | BottomMargin
 |  | RightMargin
 |  | Orientation
 |  | XDPI
 |  | YDPI
TCanvas
 |  | Pixels
 |  | Handle
 |  | TextStyle
pl |  | AntialiasingMode
pl |  | AutoRedraw
pl |  | Brush
pl |  | CopyMode
pl |  | Font
pl | ro | Height
pl |  | Pen
pl |  | Region
pl | ro | Width


TFilePrinterCanvas
TPrinterCanvas
pt | GetLeftMargin
pt | GetTopMargin
pt | GetBottomMargin
pt | GetRightMargin
 | Create
 | BeginDoc
 | NewPage
 | BeginPage
 | EndPage
 | EndDoc
 | Changing
TCanvas
pt | DoCreateDefaultFont
pt | DoCreateDefaultPen
pt | DoCreateDefaultBrush
pt | SetColor
pt | GetColor
pt | SetHeight
pt | GetHeight
pt | SetWidth
pt | GetWidth
pt | SetPenPos
pt | DoLockCanvas
pt | DoUnlockCanvas
pt | DoTextOut
pt | DoGetTextSize
pt | DoGetTextHeight
pt | DoGetTextWidth
pt | DoRectangle
pt | DoRectangleFill
pt | DoRectangleAndFill
pt | DoEllipse
pt | DoEllipseFill
pt | DoEllipseAndFill
pt | DoPolygon
pt | DoPolygonFill
pt | DoPolygonAndFill
pt | DoPolyline
pt | DoPolyBezier
pt | DoFloodFill
pt | DoMoveTo
pt | DoLineTo
pt | DoLine
pt | DoCopyRect
pt | DoDraw
pt | CheckHelper
pt | GetDefaultColor
pt | GetClipRect
pt | SetClipRect
pt | GetClipping
pt | SetClipping
pt | GetPixel
pt | CreateBrush
pt | CreateFont
pt | CreateHandle
pt | CreatePen
pt | CreateRegion
pt | DeselectHandles
pt | PenChanging
pt | FontChanging
pt | BrushChanging
pt | RegionChanging
pt | RealizeAutoRedraw
pt | RealizeAntialiasing
pt | RequiredState
pt | SetHandle
pt | SetInternalPenPos
pt | SetPixel
pt | FreeHandle
 | Create
 | Destroy
 | Lock
 | TryLock
 | Unlock
 | Refresh
 | Changing
 | Changed
 | SaveHandleState
 | RestoreHandleState
 | Arc
 | ArcTo
 | AngleArc
 | BrushCopy
 | Chord
 | CopyRect
 | Draw
 | DrawFocusRect
 | StretchDraw
 | Ellipse
 | FillRect
 | FloodFill
 | Frame3D
 | Frame
 | FrameRect
 | GetTextMetrics
 | GradientFill
 | RadialPie
 | Pie
 | PolyBezier
 | Polygon
 | Polyline
 | Rectangle
 | RoundRect
 | TextOut
 | TextRect
 | TextExtent
 | TextHeight
 | TextWidth
 | TextFitInfo
 | HandleAllocated
 | GetUpdatedHandle


 | AngleArc (TCanvas)
 | Arc (TCanvas)
 | ArcTo (TCanvas)
 | BeginDoc (TPrinterCanvas)
 | BeginPage (TPrinterCanvas)
pt | BrushChanging (TCanvas)
 | BrushCopy (TCanvas)
 | Changed (TCanvas)
 | Changing (TCanvas)
 | Changing (TPrinterCanvas)
pt | CheckHelper (TCanvas)
 | Chord (TCanvas)
 | CopyRect (TCanvas)
 | Create (TCanvas)
 | Create (TPrinterCanvas)
pt | CreateBrush (TCanvas)
pt | CreateFont (TCanvas)
pt | CreateHandle (TCanvas)
pt | CreatePen (TCanvas)
pt | CreateRegion (TCanvas)
pt | DeselectHandles (TCanvas)
 | Destroy (TCanvas)
pt | DoCopyRect (TCanvas)
pt | DoCreateDefaultBrush (TCanvas)
pt | DoCreateDefaultFont (TCanvas)
pt | DoCreateDefaultPen (TCanvas)
pt | DoDraw (TCanvas)
pt | DoEllipse (TCanvas)
pt | DoEllipseAndFill (TCanvas)
pt | DoEllipseFill (TCanvas)
pt | DoFloodFill (TCanvas)
pt | DoGetTextHeight (TCanvas)
pt | DoGetTextSize (TCanvas)
pt | DoGetTextWidth (TCanvas)
pt | DoLine (TCanvas)
pt | DoLineTo (TCanvas)
pt | DoLockCanvas (TCanvas)
pt | DoMoveTo (TCanvas)
pt | DoPolyBezier (TCanvas)
pt | DoPolygon (TCanvas)
pt | DoPolygonAndFill (TCanvas)
pt | DoPolygonFill (TCanvas)
pt | DoPolyline (TCanvas)
pt | DoRectangle (TCanvas)
pt | DoRectangleAndFill (TCanvas)
pt | DoRectangleFill (TCanvas)
pt | DoTextOut (TCanvas)
pt | DoUnlockCanvas (TCanvas)
 | Draw (TCanvas)
 | DrawFocusRect (TCanvas)
 | Ellipse (TCanvas)
 | EndDoc (TPrinterCanvas)
 | EndPage (TPrinterCanvas)
 | FillRect (TCanvas)
 | FloodFill (TCanvas)
pt | FontChanging (TCanvas)
 | Frame (TCanvas)
 | Frame3D (TCanvas)
 | FrameRect (TCanvas)
pt | FreeHandle (TCanvas)
pt | GetBottomMargin (TPrinterCanvas)
pt | GetClipping (TCanvas)
pt | GetClipRect (TCanvas)
pt | GetColor (TCanvas)
pt | GetDefaultColor (TCanvas)
pt | GetHeight (TCanvas)
pt | GetLeftMargin (TPrinterCanvas)
pt | GetPixel (TCanvas)
pt | GetRightMargin (TPrinterCanvas)
 | GetTextMetrics (TCanvas)
pt | GetTopMargin (TPrinterCanvas)
 | GetUpdatedHandle (TCanvas)
pt | GetWidth (TCanvas)
 | GradientFill (TCanvas)
 | HandleAllocated (TCanvas)
 | Lock (TCanvas)
 | NewPage (TPrinterCanvas)
pt | PenChanging (TCanvas)
 | Pie (TCanvas)
 | PolyBezier (TCanvas)
 | Polygon (TCanvas)
 | Polyline (TCanvas)
 | RadialPie (TCanvas)
pt | RealizeAntialiasing (TCanvas)
pt | RealizeAutoRedraw (TCanvas)
 | Rectangle (TCanvas)
 | Refresh (TCanvas)
pt | RegionChanging (TCanvas)
pt | RequiredState (TCanvas)
 | RestoreHandleState (TCanvas)
 | RoundRect (TCanvas)
 | SaveHandleState (TCanvas)
pt | SetClipping (TCanvas)
pt | SetClipRect (TCanvas)
pt | SetColor (TCanvas)
pt | SetHandle (TCanvas)
pt | SetHeight (TCanvas)
pt | SetInternalPenPos (TCanvas)
pt | SetPenPos (TCanvas)
pt | SetPixel (TCanvas)
pt | SetWidth (TCanvas)
 | StretchDraw (TCanvas)
 | TextExtent (TCanvas)
 | TextFitInfo (TCanvas)
 | TextHeight (TCanvas)
 | TextOut (TCanvas)
 | TextRect (TCanvas)
 | TextWidth (TCanvas)
 | TryLock (TCanvas)
 | Unlock (TCanvas)


TFilePrinterCanvas
TPrinterCanvas
TCanvas
pl | OnChange
pl | OnChanging


TFilePrinterCanvas.FOutputFileName

Declaration

Source position: printers.pas line 118

protected TFilePrinterCanvas.FOutputFileName : string;


TFilePrinterCanvas.OutputFileName

Declaration

Source position: printers.pas line 120

public property TFilePrinterCanvas.OutputFileName : string
  read FOutputFileName
  write FOutputFileName;


TFilePrinterCanvasClass

Declaration

Source position: printers.pas line 123

type TFilePrinterCanvasClass = class of TFilePrinterCanvas;


TPaperSize

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

TPaperSize - the size of the paper to be used for the current document with the current printer

Declaration

Source position: printers.pas line 137

type TPaperSize = class(TObject)
public
constructor Create(); overload; |
destructor Destroy; override; |
property DefaultPapers: Boolean; [r]
property Width: Integer; [r]
property Height: Integer; [r]
property PaperName: string; [rw] | PaperName - the name for the paper being used
property DefaultPaperName: string; [r] | DefaultPaperName - the default name for this size of paper
property PaperRect: TPaperRect; [r] | PaperRect - the rectangle dimensions for this paper
property SupportedPapers: TStrings; [r] | SupportedPapers - the list of supported papers for this pape size
property PaperRectOf []: TPaperRect; [r] | PaperRectOf - the Paper Rect corresponding to the given name
end;

Inheritance

TPaperSize

TPaperSize - the size of the paper to be used for the current document with the current printer
|

TObject

Description

TPaperSize - the size of paper to be used for the current document with the current printer

The width and length are in points; there are 72 points per inch.


TPaperSize
 | ro | DefaultPapers
 | ro | Width
 | ro | Height
 |  | PaperName
 | ro | DefaultPaperName
 | ro | PaperRect
 | ro | SupportedPapers
 | ro | PaperRectOf
TObject


ro | DefaultPaperName (TPaperSize)
ro | DefaultPapers (TPaperSize)
ro | Height (TPaperSize)
 | PaperName (TPaperSize)
ro | PaperRect (TPaperSize)
ro | PaperRectOf (TPaperSize)
ro | SupportedPapers (TPaperSize)
ro | Width (TPaperSize)


TPaperSize
 | Create
 | Destroy
TObject
 | Create
 | Destroy
 | newinstance
 | FreeInstance
 | SafeCallException
 | DefaultHandler
 | Free
 | InitInstance
 | CleanupInstance
 | ClassType
 | ClassInfo
 | ClassName
 | ClassNameIs
 | ClassParent
 | InstanceSize
 | InheritsFrom
 | StringMessageTable
 | MethodAddress
 | MethodName
 | FieldAddress
 | AfterConstruction
 | BeforeDestruction
 | DefaultHandlerStr
 | Dispatch
 | DispatchStr
 | GetInterface
 | GetInterfaceByStr
 | GetInterfaceWeak
 | GetInterfaceEntry
 | GetInterfaceEntryByStr
 | GetInterfaceTable
 | UnitName
 | Equals
 | GetHashCode
 | ToString


AfterConstruction (TObject)

BeforeDestruction (TObject)

ClassInfo (TObject)

ClassName (TObject)

ClassNameIs (TObject)

ClassParent (TObject)

ClassType (TObject)

CleanupInstance (TObject)

Create (TObject)

Create (TPaperSize)

DefaultHandler (TObject)

DefaultHandlerStr (TObject)

Destroy (TObject)

Destroy (TPaperSize)

Dispatch (TObject)

DispatchStr (TObject)

Equals (TObject)

FieldAddress (TObject)

Free (TObject)

FreeInstance (TObject)

GetHashCode (TObject)

GetInterface (TObject)

GetInterfaceByStr (TObject)

GetInterfaceEntry (TObject)

GetInterfaceEntryByStr (TObject)

GetInterfaceTable (TObject)

GetInterfaceWeak (TObject)

InheritsFrom (TObject)

InitInstance (TObject)

InstanceSize (TObject)

MethodAddress (TObject)

MethodName (TObject)

newinstance (TObject)

SafeCallException (TObject)

StringMessageTable (TObject)

ToString (TObject)

UnitName (TObject)


TPaperSize

TObject


TPaperSize.DefaultPaperName

DefaultPaperName - the default name for this size of paper

Declaration

Source position: printers.pas line 171

public property TPaperSize.DefaultPaperName : string
  read GetDefaultPaperName;


TPaperSize.DefaultPapers

Declaration

Source position: printers.pas line 167

public property TPaperSize.DefaultPapers : Boolean
  read fDefaultPapers;


TPaperSize.Height

Declaration

Source position: printers.pas line 169

public property TPaperSize.Height : Integer
  read GetPhysPaperHeight;


TPaperSize.PaperName

PaperName - the name for the paper being used

Declaration

Source position: printers.pas line 170

public property TPaperSize.PaperName : string
  read GetPaperName
  write SetPaperName;


TPaperSize.PaperRect

PaperRect - the rectangle dimensions for this paper

Declaration

Source position: printers.pas line 173

public property TPaperSize.PaperRect : TPaperRect
  read GetPaperRect;


TPaperSize.PaperRectOf

PaperRectOf - the Paper Rect corresponding to the given name

Declaration

Source position: printers.pas line 176

public property TPaperSize.PaperRectOf[aName: string] : TPaperRect
  read PaperRectOfName;


TPaperSize.SupportedPapers

SupportedPapers - the list of supported papers for this pape size

Declaration

Source position: printers.pas line 174

public property TPaperSize.SupportedPapers : TStrings
  read GetSupportedPapers;


TPaperSize.Width

Declaration

Source position: printers.pas line 168

public property TPaperSize.Width : Integer
  read GetPhysPaperWidth;


TPrinter

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

TPrinter - class defining printer to be used in Lazarus applications

Declaration

Source position: printers.pas line 190

type TPrinter = class(TObject)
protected
procedure SelectCurrentPrinterOrDefault; | SelectCurrentPrinterOrDefault method for selecting either the current printer or the default
procedure DoBeginDoc; virtual; | DoBeginDoc - method to begin printing the document
procedure DoNewPage; virtual; | DoNewPage - method for beginning a new page
procedure DoBeginPage; virtual;
procedure DoEndPage; virtual;
procedure DoEndDoc(); virtual; | DoEndDoc - method for finishing printing document. aAborded is True if printing has been aborted (eg by operator)
procedure DoAbort; virtual; | DoAbort - method for aborting the printing
procedure DoResetPrintersList; virtual; | DoResetPrintersList - method for resetting the list of printers
procedure DoResetFontsList; virtual; | DoResetFontsList - method for resetting the list of fonts
procedure DoEnumPrinters(); virtual; | DoEnumPrinters - method for producing an enumerated list of printers
procedure DoEnumFonts(); virtual; | DoEnumFonts - method for producing an enumerated list of fonts
procedure DoEnumPapers(); virtual; | DoEnumPapers - method for producing an enumerated list of papers
procedure DoEnumBins(); virtual;
procedure DoInitialization; virtual; | DoInitialization - method for performing initialisation
function DoSetPrinter(); virtual; | DoSetPrinter - returns integer corresponding to specified named printer
function DoGetCopies; virtual; | DoGetCopies - returns the number of copies required
procedure DoSetCopies(); virtual; | DoSetCopies - specifieds the number of copies required
function DoGetOrientation; virtual; | DoGetOrientation - returns the required orientation for printing (landscape of portrait)
procedure DoSetOrientation(); virtual; | DoSetOrientation - specifies the orientation for printing (landscape or portrait)
function DoGetDefaultPaperName; virtual; | DoGetDefaultPaperName - returns the default name for the paper
function DoGetPaperName; virtual; | DoGetPaperName - returns the name of the current paper
procedure DoSetPaperName(); virtual; | DoSetPaperName - specifies the name of the paper
function DoGetDefaultBinName; virtual;
function DoGetBinName; virtual;
procedure DoSetBinName(); virtual;
function DoGetPaperRect(); virtual; | DoGetPaperRect - returns the dimensions of the rectangle for the named paper
function DoGetPrinterState; virtual; | DoGetPrinterState - retruns the printer state
procedure DoDestroy; virtual;
function GetPrinterType; virtual; | GetPrinterType - returns the printer type
function GetCanPrint; virtual; | GetCanPrint - returns True if the printer is able to print
function GetCanRenderCopies; virtual; | GetCanRenderCopies - returns True if the printer is able to render copies
function GetXDPI; virtual; | GetXDPI - returns the number of Dots Per Inch in the X plane
function GetYDPI; virtual; | GetYDPI - returns the number of Dots Per Inch in the Y plane
function GetBins; virtual;
procedure CheckRawMode(); | CheckRawMode - check whether the printer operates in Raw mode (as opposed to PostScript etc)
procedure RawModeChanging; virtual; | RawModeChanging - the raw mode is changing (eg PostScript is being invoked)
procedure PrinterSelected; virtual; | PrinterSelected - method for dealing with a printer that has been selected
function DoGetDefaultCanvasClass; virtual;
property PrinterFlags: TPrinterFlags; [rw]
public
constructor Create; virtual; |
destructor Destroy; override; |
procedure Abort; | Abort - terminate the current printing event (even if it hasn't finished)
procedure BeginDoc; | BeginDoc - start printing the currently selected document
procedure EndDoc; | EndDoc - finish printing the current document
procedure NewPage; | NewPage - start printing on a new page
procedure BeginPage;
procedure EndPage;
procedure Refresh; | Refresh the data for printing, eg after a change
procedure SetPrinter(); | SetPrinter - specify use of the named printer
procedure RestoreDefaultBin; virtual;
function Write(); | Write to a specified Buffer: Count contains the number of bytes for writing, Written contains the number that have been written. Returns True if successful
property PrinterIndex: Integer; [rw] | PrinterIndex - the printer's index in the list of printers
property PrinterName: string; [r]
property PaperSize: TPaperSize; [r] | PaperSize - the size of paper to be used for the current document
property Orientation: TPrinterOrientation; [rw] | The Orientation - for printing the current document (landscape or portrait, normal or reversed)
property PrinterState: TPrinterState; [r] | PrinterState - ready, printing, stopped or undefined
property Copies: Integer; [rw] | Number of Copies of the current document
property Printers: TStrings; [r] | Printers - the list of available printers for printing the current document
property FileName: string; [rw]
property Fonts: TStrings; [r] | the list of available Fonts for the current printer
property Canvas: TCanvas; [r] | The Canvas to be used for laying out the current document ready for printing
property CanvasClass: TPrinterCanvasRef; [rw]
property PageHeight: Integer; [r] | PageHeight - for printing the current document with the defined PaperSize
property PageWidth: Integer; [r] | The PageWidth for the current document with the defined PaperSize
property PageNumber: Integer; [r] | PageNumber - the number of the current page being printed
property Aborted: Boolean; [r] | Aborted - True if printing of the document has been prematurely terminated by operator command
property Printing: Boolean; [r] | Printing - True if document is in process of being printed
property Title: string; [rw] | Title - name for this printer
property PrinterType: TPrinterType; [r] | PrinterType - whether a local or network printer
property CanPrint: Boolean; [r] | CanPrint - True if printing is enabled or not disabled
property CanRenderCopies: Boolean; [r] | CanRenderCopies - True if the printer device can render copies
property XDPI: Integer; [r] | XDPI - number of dots per inch in X-direction
property YDPI: Integer; [r] | YDPI - number of dots per inch in Y direction
property RawMode: Boolean; [rw] | RawMode - true if printer operates in Raw Mode (as opposed to PostScript or some other page description language)
property DefaultBinName: string; [r]
property BinName: string; [rw]
property SupportedBins: TStrings; [r]
end;

Inheritance

TPrinter

TPrinter - class defining printer to be used in Lazarus applications
|

TObject


TPrinter
pt |  | PrinterFlags
 |  | PrinterIndex
 | ro | PrinterName
 | ro | PaperSize
 |  | Orientation
 | ro | PrinterState
 |  | Copies
 | ro | Printers
 |  | FileName
 | ro | Fonts
 | ro | Canvas
 |  | CanvasClass
 | ro | PageHeight
 | ro | PageWidth
 | ro | PageNumber
 | ro | Aborted
 | ro | Printing
 |  | Title
 | ro | PrinterType
 | ro | CanPrint
 | ro | CanRenderCopies
 | ro | XDPI
 | ro | YDPI
 |  | RawMode
 | ro | DefaultBinName
 |  | BinName
 | ro | SupportedBins
TObject


 | ro | Aborted (TPrinter)
 |  | BinName (TPrinter)
 | ro | CanPrint (TPrinter)
 | ro | CanRenderCopies (TPrinter)
 | ro | Canvas (TPrinter)
 |  | CanvasClass (TPrinter)
 |  | Copies (TPrinter)
 | ro | DefaultBinName (TPrinter)
 |  | FileName (TPrinter)
 | ro | Fonts (TPrinter)
 |  | Orientation (TPrinter)
 | ro | PageHeight (TPrinter)
 | ro | PageNumber (TPrinter)
 | ro | PageWidth (TPrinter)
 | ro | PaperSize (TPrinter)
pt |  | PrinterFlags (TPrinter)
 |  | PrinterIndex (TPrinter)
 | ro | PrinterName (TPrinter)
 | ro | Printers (TPrinter)
 | ro | PrinterState (TPrinter)
 | ro | PrinterType (TPrinter)
 | ro | Printing (TPrinter)
 |  | RawMode (TPrinter)
 | ro | SupportedBins (TPrinter)
 |  | Title (TPrinter)
 | ro | XDPI (TPrinter)
 | ro | YDPI (TPrinter)


TPrinter
pt | SelectCurrentPrinterOrDefault
pt | DoBeginDoc
pt | DoNewPage
pt | DoBeginPage
pt | DoEndPage
pt | DoEndDoc
pt | DoAbort
pt | DoResetPrintersList
pt | DoResetFontsList
pt | DoEnumPrinters
pt | DoEnumFonts
pt | DoEnumPapers
pt | DoEnumBins
pt | DoInitialization
pt | DoSetPrinter
pt | DoGetCopies
pt | DoSetCopies
pt | DoGetOrientation
pt | DoSetOrientation
pt | DoGetDefaultPaperName
pt | DoGetPaperName
pt | DoSetPaperName
pt | DoGetDefaultBinName
pt | DoGetBinName
pt | DoSetBinName
pt | DoGetPaperRect
pt | DoGetPrinterState
pt | DoDestroy
pt | GetPrinterType
pt | GetCanPrint
pt | GetCanRenderCopies
pt | GetXDPI
pt | GetYDPI
pt | GetBins
pt | CheckRawMode
pt | RawModeChanging
pt | PrinterSelected
pt | DoGetDefaultCanvasClass
 | Create
 | Destroy
 | Abort
 | BeginDoc
 | EndDoc
 | NewPage
 | BeginPage
 | EndPage
 | Refresh
 | SetPrinter
 | RestoreDefaultBin
 | Write
TObject
 | Create
 | Destroy
 | newinstance
 | FreeInstance
 | SafeCallException
 | DefaultHandler
 | Free
 | InitInstance
 | CleanupInstance
 | ClassType
 | ClassInfo
 | ClassName
 | ClassNameIs
 | ClassParent
 | InstanceSize
 | InheritsFrom
 | StringMessageTable
 | MethodAddress
 | MethodName
 | FieldAddress
 | AfterConstruction
 | BeforeDestruction
 | DefaultHandlerStr
 | Dispatch
 | DispatchStr
 | GetInterface
 | GetInterfaceByStr
 | GetInterfaceWeak
 | GetInterfaceEntry
 | GetInterfaceEntryByStr
 | GetInterfaceTable
 | UnitName
 | Equals
 | GetHashCode
 | ToString


 | Abort (TPrinter)
 | AfterConstruction (TObject)
 | BeforeDestruction (TObject)
 | BeginDoc (TPrinter)
 | BeginPage (TPrinter)
pt | CheckRawMode (TPrinter)
 | ClassInfo (TObject)
 | ClassName (TObject)
 | ClassNameIs (TObject)
 | ClassParent (TObject)
 | ClassType (TObject)
 | CleanupInstance (TObject)
 | Create (TObject)
 | Create (TPrinter)
 | DefaultHandler (TObject)
 | DefaultHandlerStr (TObject)
 | Destroy (TObject)
 | Destroy (TPrinter)
 | Dispatch (TObject)
 | DispatchStr (TObject)
pt | DoAbort (TPrinter)
pt | DoBeginDoc (TPrinter)
pt | DoBeginPage (TPrinter)
pt | DoDestroy (TPrinter)
pt | DoEndDoc (TPrinter)
pt | DoEndPage (TPrinter)
pt | DoEnumBins (TPrinter)
pt | DoEnumFonts (TPrinter)
pt | DoEnumPapers (TPrinter)
pt | DoEnumPrinters (TPrinter)
pt | DoGetBinName (TPrinter)
pt | DoGetCopies (TPrinter)
pt | DoGetDefaultBinName (TPrinter)
pt | DoGetDefaultCanvasClass (TPrinter)
pt | DoGetDefaultPaperName (TPrinter)
pt | DoGetOrientation (TPrinter)
pt | DoGetPaperName (TPrinter)
pt | DoGetPaperRect (TPrinter)
pt | DoGetPrinterState (TPrinter)
pt | DoInitialization (TPrinter)
pt | DoNewPage (TPrinter)
pt | DoResetFontsList (TPrinter)
pt | DoResetPrintersList (TPrinter)
pt | DoSetBinName (TPrinter)
pt | DoSetCopies (TPrinter)
pt | DoSetOrientation (TPrinter)
pt | DoSetPaperName (TPrinter)
pt | DoSetPrinter (TPrinter)
 | EndDoc (TPrinter)
 | EndPage (TPrinter)
 | Equals (TObject)
 | FieldAddress (TObject)
 | Free (TObject)
 | FreeInstance (TObject)
pt | GetBins (TPrinter)
pt | GetCanPrint (TPrinter)
pt | GetCanRenderCopies (TPrinter)
 | GetHashCode (TObject)
 | GetInterface (TObject)
 | GetInterfaceByStr (TObject)
 | GetInterfaceEntry (TObject)
 | GetInterfaceEntryByStr (TObject)
 | GetInterfaceTable (TObject)
 | GetInterfaceWeak (TObject)
pt | GetPrinterType (TPrinter)
pt | GetXDPI (TPrinter)
pt | GetYDPI (TPrinter)
 | InheritsFrom (TObject)
 | InitInstance (TObject)
 | InstanceSize (TObject)
 | MethodAddress (TObject)
 | MethodName (TObject)
 | newinstance (TObject)
 | NewPage (TPrinter)
pt | PrinterSelected (TPrinter)
pt | RawModeChanging (TPrinter)
 | Refresh (TPrinter)
 | RestoreDefaultBin (TPrinter)
 | SafeCallException (TObject)
pt | SelectCurrentPrinterOrDefault (TPrinter)
 | SetPrinter (TPrinter)
 | StringMessageTable (TObject)
 | ToString (TObject)
 | UnitName (TObject)
 | Write (TPrinter)


TPrinter

TObject


TPrinter.Abort

Abort - terminate the current printing event (even if it hasn't finished)

Declaration

Source position: printers.pas line 276

public procedure TPrinter.Abort;


TPrinter.Aborted

Aborted - True if printing of the document has been prematurely terminated by operator command

Declaration

Source position: printers.pas line 302

public property TPrinter.Aborted : Boolean
  read GetAborted;


TPrinter.BeginDoc

BeginDoc - start printing the currently selected document

Declaration

Source position: printers.pas line 277

public procedure TPrinter.BeginDoc;


TPrinter.BeginPage

Declaration

Source position: printers.pas line 280

public procedure TPrinter.BeginPage;


TPrinter.BinName

Declaration

Source position: printers.pas line 312

public property TPrinter.BinName : string
  read GetBinName
  write SetBinName;


TPrinter.CanPrint

CanPrint - True if printing is enabled or not disabled

Declaration

Source position: printers.pas line 306

public property TPrinter.CanPrint : Boolean
  read GetCanPrint;


TPrinter.CanRenderCopies

CanRenderCopies - True if the printer device can render copies

Declaration

Source position: printers.pas line 307

public property TPrinter.CanRenderCopies : Boolean
  read GetCanRenderCopies;

Description

CanRenderCopies - True if the printer device can render copies, ie if TPrinterCapability includes pcCopies


TPrinter.Canvas

The Canvas to be used for laying out the current document ready for printing

Declaration

Source position: printers.pas line 297

public property TPrinter.Canvas : TCanvas
  read GetCanvas;


TPrinter.CanvasClass

Declaration

Source position: printers.pas line 298

public property TPrinter.CanvasClass : TPrinterCanvasRef
  read GetCanvasClass
  write SetCanvasClass;


TPrinter.CheckRawMode

CheckRawMode - check whether the printer operates in Raw mode (as opposed to PostScript etc)

Declaration

Source position: printers.pas line 266

protected procedure TPrinter.CheckRawMode(

  const Value: Boolean;

  Msg: string = ''

);


TPrinter.Copies

Number of Copies of the current document

Declaration

Source position: printers.pas line 293

public property TPrinter.Copies : Integer
  read GetCopies
  write SetCopies;


TPrinter.DefaultBinName

Declaration

Source position: printers.pas line 311

public property TPrinter.DefaultBinName : string
  read GetDefaultBinName;


TPrinter.DoAbort

DoAbort - method for aborting the printing

Declaration

Source position: printers.pas line 236

protected procedure TPrinter.DoAbort; virtual;


TPrinter.DoBeginDoc

DoBeginDoc - method to begin printing the document

Declaration

Source position: printers.pas line 231

protected procedure TPrinter.DoBeginDoc; virtual;


TPrinter.DoBeginPage

Declaration

Source position: printers.pas line 233

protected procedure TPrinter.DoBeginPage; virtual;


TPrinter.DoDestroy

Declaration

Source position: printers.pas line 258

protected procedure TPrinter.DoDestroy; virtual;


TPrinter.DoEndDoc

DoEndDoc - method for finishing printing document. aAborded is True if printing has been aborted (eg by operator)

Declaration

Source position: printers.pas line 235

protected procedure TPrinter.DoEndDoc(

  aAborded: Boolean

); virtual;


TPrinter.DoEndPage

Declaration

Source position: printers.pas line 234

protected procedure TPrinter.DoEndPage; virtual;


TPrinter.DoEnumBins

Declaration

Source position: printers.pas line 243

protected procedure TPrinter.DoEnumBins(

  Lst: TStrings

); virtual;


TPrinter.DoEnumFonts

DoEnumFonts - method for producing an enumerated list of fonts

Declaration

Source position: printers.pas line 241

protected procedure TPrinter.DoEnumFonts(

  Lst: TStrings

); virtual;


TPrinter.DoEnumPapers

DoEnumPapers - method for producing an enumerated list of papers

Declaration

Source position: printers.pas line 242

protected procedure TPrinter.DoEnumPapers(

  Lst: TStrings

); virtual;


TPrinter.DoEnumPrinters

DoEnumPrinters - method for producing an enumerated list of printers

Declaration

Source position: printers.pas line 240

protected procedure TPrinter.DoEnumPrinters(

  Lst: TStrings

); virtual;


TPrinter.DoGetBinName

Declaration

Source position: printers.pas line 254

protected function TPrinter.DoGetBinName: string; virtual;


TPrinter.DoGetCopies

DoGetCopies - returns the number of copies required

Declaration

Source position: printers.pas line 246

protected function TPrinter.DoGetCopies: Integer; virtual;


TPrinter.DoGetDefaultBinName

Declaration

Source position: printers.pas line 253

protected function TPrinter.DoGetDefaultBinName: string; virtual;


TPrinter.DoGetDefaultCanvasClass

Declaration

Source position: printers.pas line 269

protected function TPrinter.DoGetDefaultCanvasClass: TPrinterCanvasRef; virtual;


TPrinter.DoGetDefaultPaperName

DoGetDefaultPaperName - returns the default name for the paper

Declaration

Source position: printers.pas line 250

protected function TPrinter.DoGetDefaultPaperName: string; virtual;


TPrinter.DoGetOrientation

DoGetOrientation - returns the required orientation for printing (landscape of portrait)

Declaration

Source position: printers.pas line 248

protected function TPrinter.DoGetOrientation: TPrinterOrientation; virtual;


TPrinter.DoGetPaperName

DoGetPaperName - returns the name of the current paper

Declaration

Source position: printers.pas line 251

protected function TPrinter.DoGetPaperName: string; virtual;


TPrinter.DoGetPaperRect

DoGetPaperRect - returns the dimensions of the rectangle for the named paper

Declaration

Source position: printers.pas line 256

protected function TPrinter.DoGetPaperRect(

  aName: string;

  var aPaperRc: TPaperRect

):Integer; virtual;


TPrinter.DoGetPrinterState

DoGetPrinterState - retruns the printer state

Declaration

Source position: printers.pas line 257

protected function TPrinter.DoGetPrinterState: TPrinterState; virtual;


TPrinter.DoInitialization

DoInitialization - method for performing initialisation

Declaration

Source position: printers.pas line 244

protected procedure TPrinter.DoInitialization; virtual;


TPrinter.DoNewPage

DoNewPage - method for beginning a new page

Declaration

Source position: printers.pas line 232

protected procedure TPrinter.DoNewPage; virtual;


TPrinter.DoResetFontsList

DoResetFontsList - method for resetting the list of fonts

Declaration

Source position: printers.pas line 238

protected procedure TPrinter.DoResetFontsList; virtual;


TPrinter.DoResetPrintersList

DoResetPrintersList - method for resetting the list of printers

Declaration

Source position: printers.pas line 237

protected procedure TPrinter.DoResetPrintersList; virtual;


TPrinter.DoSetBinName

Declaration

Source position: printers.pas line 255

protected procedure TPrinter.DoSetBinName(

  aName: string

); virtual;


TPrinter.DoSetCopies

DoSetCopies - specifieds the number of copies required

Declaration

Source position: printers.pas line 247

protected procedure TPrinter.DoSetCopies(

  aValue: Integer

); virtual;


TPrinter.DoSetOrientation

DoSetOrientation - specifies the orientation for printing (landscape or portrait)

Declaration

Source position: printers.pas line 249

protected procedure TPrinter.DoSetOrientation(

  aValue: TPrinterOrientation

); virtual;


TPrinter.DoSetPaperName

DoSetPaperName - specifies the name of the paper

Declaration

Source position: printers.pas line 252

protected procedure TPrinter.DoSetPaperName(

  aName: string

); virtual;


TPrinter.DoSetPrinter

DoSetPrinter - returns integer corresponding to specified named printer

Declaration

Source position: printers.pas line 245

protected function TPrinter.DoSetPrinter(

  aName: string

):Integer; virtual;


TPrinter.EndDoc

EndDoc - finish printing the current document

Declaration

Source position: printers.pas line 278

public procedure TPrinter.EndDoc;


TPrinter.EndPage

Declaration

Source position: printers.pas line 281

public procedure TPrinter.EndPage;


TPrinter.FileName

Declaration

Source position: printers.pas line 295

public property TPrinter.FileName : string
  read FFileName
  write FFileName;


TPrinter.Fonts

the list of available Fonts for the current printer

Declaration

Source position: printers.pas line 296

public property TPrinter.Fonts : TStrings
  read GetFonts;


TPrinter.GetBins

Declaration

Source position: printers.pas line 265

protected function TPrinter.GetBins: TStrings; virtual;


TPrinter.GetCanPrint

GetCanPrint - returns True if the printer is able to print

Declaration

Source position: printers.pas line 261

protected function TPrinter.GetCanPrint: Boolean; virtual;


TPrinter.GetCanRenderCopies

GetCanRenderCopies - returns True if the printer is able to render copies

Declaration

Source position: printers.pas line 262

protected function TPrinter.GetCanRenderCopies: Boolean; virtual;


TPrinter.GetPrinterType

GetPrinterType - returns the printer type

Declaration

Source position: printers.pas line 260

protected function TPrinter.GetPrinterType: TPrinterType; virtual;


TPrinter.GetXDPI

GetXDPI - returns the number of Dots Per Inch in the X plane

Declaration

Source position: printers.pas line 263

protected function TPrinter.GetXDPI: Integer; virtual;


TPrinter.GetYDPI

GetYDPI - returns the number of Dots Per Inch in the Y plane

Declaration

Source position: printers.pas line 264

protected function TPrinter.GetYDPI: Integer; virtual;


TPrinter.NewPage

NewPage - start printing on a new page

Declaration

Source position: printers.pas line 279

public procedure TPrinter.NewPage;


TPrinter.Orientation

The Orientation - for printing the current document (landscape or portrait, normal or reversed)

Declaration

Source position: printers.pas line 291

public property TPrinter.Orientation : TPrinterOrientation
  read GetOrientation
  write SetOrientation;


TPrinter.PageHeight

PageHeight - for printing the current document with the defined PaperSize

Declaration

Source position: printers.pas line 299

public property TPrinter.PageHeight : Integer
  read GetPageHeight;


TPrinter.PageNumber

PageNumber - the number of the current page being printed

Declaration

Source position: printers.pas line 301

public property TPrinter.PageNumber : Integer
  read fPageNumber;


TPrinter.PageWidth

The PageWidth for the current document with the defined PaperSize

Declaration

Source position: printers.pas line 300

public property TPrinter.PageWidth : Integer
  read GetPageWidth;


TPrinter.PaperSize

PaperSize - the size of paper to be used for the current document

Declaration

Source position: printers.pas line 290

public property TPrinter.PaperSize : TPaperSize
  read GetPaperSize;


TPrinter.PrinterFlags

Declaration

Source position: printers.pas line 271

protected property TPrinter.PrinterFlags : TPrinterFlags
  read fFlags
  write fFlags;


TPrinter.PrinterIndex

PrinterIndex - the printer's index in the list of printers

Declaration

Source position: printers.pas line 288

public property TPrinter.PrinterIndex : Integer
  read GetPrinterIndex
  write SetPrinterIndex;


TPrinter.PrinterName

Declaration

Source position: printers.pas line 289

public property TPrinter.PrinterName : string
  read GetPrinterName;


TPrinter.Printers

Printers - the list of available printers for printing the current document

Declaration

Source position: printers.pas line 294

public property TPrinter.Printers : TStrings
  read GetPrinters;


TPrinter.PrinterSelected

PrinterSelected - method for dealing with a printer that has been selected

Declaration

Source position: printers.pas line 268

protected procedure TPrinter.PrinterSelected; virtual;


TPrinter.PrinterState

PrinterState - ready, printing, stopped or undefined

Declaration

Source position: printers.pas line 292

public property TPrinter.PrinterState : TPrinterState
  read DoGetPrinterState;


TPrinter.PrinterType

PrinterType - whether a local or network printer

Declaration

Source position: printers.pas line 305

public property TPrinter.PrinterType : TPrinterType
  read GetPrinterType;


TPrinter.Printing

Printing - True if document is in process of being printed

Declaration

Source position: printers.pas line 303

public property TPrinter.Printing : Boolean
  read GetPrinting;


TPrinter.RawMode

RawMode - true if printer operates in Raw Mode (as opposed to PostScript or some other page description language)

Declaration

Source position: printers.pas line 310

public property TPrinter.RawMode : Boolean
  read GetRawMode
  write SetRawMode;

Description

RawMode - true if printer operates in Raw Mode (as opposed to PostScript or some other page description language)

If Raw Mode is being used, text is sent directly to the printer device without formatting, and the Canvas is not used for setting up the pages


TPrinter.RawModeChanging

RawModeChanging - the raw mode is changing (eg PostScript is being invoked)

Declaration

Source position: printers.pas line 267

protected procedure TPrinter.RawModeChanging; virtual;


TPrinter.Refresh

Refresh the data for printing, eg after a change

Declaration

Source position: printers.pas line 282

public procedure TPrinter.Refresh;


TPrinter.RestoreDefaultBin

Declaration

Source position: printers.pas line 284

public procedure TPrinter.RestoreDefaultBin; virtual;


TPrinter.SelectCurrentPrinterOrDefault

SelectCurrentPrinterOrDefault method for selecting either the current printer or the default

Declaration

Source position: printers.pas line 229

protected procedure TPrinter.SelectCurrentPrinterOrDefault;


TPrinter.SetPrinter

SetPrinter - specify use of the named printer

Declaration

Source position: printers.pas line 283

public procedure TPrinter.SetPrinter(

  aName: string

);


TPrinter.SupportedBins

Declaration

Source position: printers.pas line 313

public property TPrinter.SupportedBins : TStrings
  read GetBins;


TPrinter.Title

Title - name for this printer

Declaration

Source position: printers.pas line 304

public property TPrinter.Title : string
  read fTitle
  write fTitle;


TPrinter.Write

Write to a specified Buffer: Count contains the number of bytes for writing, Written contains the number that have been written. Returns True if successful

Declaration

Source position: printers.pas line 285

public function TPrinter.Write(

  const Buffer;

  Count: Integer;

  out Written: Integer

):Boolean; virtual;

function TPrinter.Write(

  const s: ansistring

):Boolean; overload;


TPrinter.XDPI

XDPI - number of dots per inch in X-direction

Declaration

Source position: printers.pas line 308

public property TPrinter.XDPI : Integer
  read GetXDPI;


TPrinter.YDPI

YDPI - number of dots per inch in Y direction

Declaration

Source position: printers.pas line 309

public property TPrinter.YDPI : Integer
  read GetYDPI;


TPrinterCanvas

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

TPrinterCanvas - instance of TCanvas specially designed for printers

Declaration

Source position: printers.pas line 51

type TPrinterCanvas = class(TCanvas)
protected
function GetLeftMargin; | GetLeftMargin - returns the size of teh left margin
function GetTopMargin; | GetTopMargin - returns the size of the top margin
function GetBottomMargin; | GetBottomMargin - returns the size of the bottom margin
function GetRightMargin; | GetRightMargin - returns the size of the right margin
public
constructor Create(); virtual; | Create - constructor to make a canvas for the specified printer type, APrinter
procedure BeginDoc; virtual; | BeginDoc - method to start printing a document
procedure NewPage; virtual; | NewPage - method to start printing a new page
procedure BeginPage; virtual;
procedure EndPage; virtual;
procedure EndDoc; virtual; | EndDoc - method to finish printing a document
procedure Changing; override; | Changing - method for dealing with changes in printing staus
property Printer: TPrinter; [r] | The type of Printer for which this canvas is preparing the document
property Title: string; [rw] | The Title of the current printer canvas
property PageHeight: Integer; [r] | The PageHeight to be used for the current canvas
property PageWidth: Integer; [r] | The PageWidth to be used for the current canvas
property PaperWidth: Integer; [rw]
property PaperHeight: Integer; [rw]
property PageNumber: Integer; [r] | PageNumber - the number of the current page being prepared for printing
property TopMargin: Integer; [rw] | The size of the TopMargin
property LeftMargin: Integer; [rw] | The size of the LeftMargin
property BottomMargin: Integer; [rw] | The size of the BottomMargin
property RightMargin: Integer; [rw] | the size of the RightMargin
property Orientation: TPrinterOrientation; [rw]
property XDPI: Integer; [rw]
property YDPI: Integer; [rw]
end;

Inheritance

TPrinterCanvas | TPrinterCanvas - instance of TCanvas specially designed for printers
|
TCanvas | TCanvas represents a drawing surface which might be attached to a visual control which might be displayed on the screen or to an offscreen bitmap. It contains a number of drawing functions.
|
TFPCustomCanvas
?
TObject


TPrinterCanvas
 | ro | Printer
 |  | Title
 | ro | PageHeight
 | ro | PageWidth
 |  | PaperWidth
 |  | PaperHeight
 | ro | PageNumber
 |  | TopMargin
 |  | LeftMargin
 |  | BottomMargin
 |  | RightMargin
 |  | Orientation
 |  | XDPI
 |  | YDPI
TCanvas
 |  | Pixels
 |  | Handle
 |  | TextStyle
pl |  | AntialiasingMode
pl |  | AutoRedraw
pl |  | Brush
pl |  | CopyMode
pl |  | Font
pl | ro | Height
pl |  | Pen
pl |  | Region
pl | ro | Width


pl |  | AntialiasingMode (TCanvas)
pl |  | AutoRedraw (TCanvas)
 |  | BottomMargin (TPrinterCanvas)
pl |  | Brush (TCanvas)
pl |  | CopyMode (TCanvas)
pl |  | Font (TCanvas)
 |  | Handle (TCanvas)
pl | ro | Height (TCanvas)
 |  | LeftMargin (TPrinterCanvas)
 |  | Orientation (TPrinterCanvas)
 | ro | PageHeight (TPrinterCanvas)
 | ro | PageNumber (TPrinterCanvas)
 | ro | PageWidth (TPrinterCanvas)
 |  | PaperHeight (TPrinterCanvas)
 |  | PaperWidth (TPrinterCanvas)
pl |  | Pen (TCanvas)
 |  | Pixels (TCanvas)
 | ro | Printer (TPrinterCanvas)
pl |  | Region (TCanvas)
 |  | RightMargin (TPrinterCanvas)
 |  | TextStyle (TCanvas)
 |  | Title (TPrinterCanvas)
 |  | TopMargin (TPrinterCanvas)
pl | ro | Width (TCanvas)
 |  | XDPI (TPrinterCanvas)
 |  | YDPI (TPrinterCanvas)


TPrinterCanvas
pt | GetLeftMargin
pt | GetTopMargin
pt | GetBottomMargin
pt | GetRightMargin
 | Create
 | BeginDoc
 | NewPage
 | BeginPage
 | EndPage
 | EndDoc
 | Changing
TCanvas
pt | DoCreateDefaultFont
pt | DoCreateDefaultPen
pt | DoCreateDefaultBrush
pt | SetColor
pt | GetColor
pt | SetHeight
pt | GetHeight
pt | SetWidth
pt | GetWidth
pt | SetPenPos
pt | DoLockCanvas
pt | DoUnlockCanvas
pt | DoTextOut
pt | DoGetTextSize
pt | DoGetTextHeight
pt | DoGetTextWidth
pt | DoRectangle
pt | DoRectangleFill
pt | DoRectangleAndFill
pt | DoEllipse
pt | DoEllipseFill
pt | DoEllipseAndFill
pt | DoPolygon
pt | DoPolygonFill
pt | DoPolygonAndFill
pt | DoPolyline
pt | DoPolyBezier
pt | DoFloodFill
pt | DoMoveTo
pt | DoLineTo
pt | DoLine
pt | DoCopyRect
pt | DoDraw
pt | CheckHelper
pt | GetDefaultColor
pt | GetClipRect
pt | SetClipRect
pt | GetClipping
pt | SetClipping
pt | GetPixel
pt | CreateBrush
pt | CreateFont
pt | CreateHandle
pt | CreatePen
pt | CreateRegion
pt | DeselectHandles
pt | PenChanging
pt | FontChanging
pt | BrushChanging
pt | RegionChanging
pt | RealizeAutoRedraw
pt | RealizeAntialiasing
pt | RequiredState
pt | SetHandle
pt | SetInternalPenPos
pt | SetPixel
pt | FreeHandle
 | Create
 | Destroy
 | Lock
 | TryLock
 | Unlock
 | Refresh
 | Changing
 | Changed
 | SaveHandleState
 | RestoreHandleState
 | Arc
 | ArcTo
 | AngleArc
 | BrushCopy
 | Chord
 | CopyRect
 | Draw
 | DrawFocusRect
 | StretchDraw
 | Ellipse
 | FillRect
 | FloodFill
 | Frame3D
 | Frame
 | FrameRect
 | GetTextMetrics
 | GradientFill
 | RadialPie
 | Pie
 | PolyBezier
 | Polygon
 | Polyline
 | Rectangle
 | RoundRect
 | TextOut
 | TextRect
 | TextExtent
 | TextHeight
 | TextWidth
 | TextFitInfo
 | HandleAllocated
 | GetUpdatedHandle


TPrinterCanvas
TCanvas
pl | OnChange
pl | OnChanging


TPrinterCanvas.BeginDoc

BeginDoc - method to start printing a document

Declaration

Source position: printers.pas line 87

public procedure TPrinterCanvas.BeginDoc; virtual;


TPrinterCanvas.BeginPage

Declaration

Source position: printers.pas line 89

public procedure TPrinterCanvas.BeginPage; virtual;


TPrinterCanvas.BottomMargin

The size of the BottomMargin

Declaration

Source position: printers.pas line 104

public property TPrinterCanvas.BottomMargin : Integer
  read GetBottomMargin
  write FBottomMargin;


TPrinterCanvas.Changing

Changing - method for dealing with changes in printing staus

Declaration

Source position: printers.pas line 92

public procedure TPrinterCanvas.Changing; override;


TPrinterCanvas.Create

Create - constructor to make a canvas for the specified printer type, APrinter

Declaration

Source position: printers.pas line 86

public constructor TPrinterCanvas.Create(

  APrinter: TPrinter

); virtual;


TPrinterCanvas.EndDoc

EndDoc - method to finish printing a document

Declaration

Source position: printers.pas line 91

public procedure TPrinterCanvas.EndDoc; virtual;


TPrinterCanvas.EndPage

Declaration

Source position: printers.pas line 90

public procedure TPrinterCanvas.EndPage; virtual;


TPrinterCanvas.GetBottomMargin

GetBottomMargin - returns the size of the bottom margin

Declaration

Source position: printers.pas line 83

protected function TPrinterCanvas.GetBottomMargin: Integer;


TPrinterCanvas.GetLeftMargin

GetLeftMargin - returns the size of teh left margin

Declaration

Source position: printers.pas line 81

protected function TPrinterCanvas.GetLeftMargin: Integer;


TPrinterCanvas.GetRightMargin

GetRightMargin - returns the size of the right margin

Declaration

Source position: printers.pas line 84

protected function TPrinterCanvas.GetRightMargin: Integer;


TPrinterCanvas.GetTopMargin

GetTopMargin - returns the size of the top margin

Declaration

Source position: printers.pas line 82

protected function TPrinterCanvas.GetTopMargin: Integer;


TPrinterCanvas.LeftMargin

The size of the LeftMargin

Declaration

Source position: printers.pas line 103

public property TPrinterCanvas.LeftMargin : Integer
  read GetLeftMargin
  write FLeftMargin;


TPrinterCanvas.NewPage

NewPage - method to start printing a new page

Declaration

Source position: printers.pas line 88

public procedure TPrinterCanvas.NewPage; virtual;


TPrinterCanvas.Orientation

Declaration

Source position: printers.pas line 106

public property TPrinterCanvas.Orientation : TPrinterOrientation
  read GetOrientation
  write SetOrientation;


TPrinterCanvas.PageHeight

The PageHeight to be used for the current canvas

Declaration

Source position: printers.pas line 97

public property TPrinterCanvas.PageHeight : Integer
  read GetPageHeight;


TPrinterCanvas.PageNumber

PageNumber - the number of the current page being prepared for printing

Declaration

Source position: printers.pas line 101

public property TPrinterCanvas.PageNumber : Integer
  read fPageNum;


TPrinterCanvas.PageWidth

The PageWidth to be used for the current canvas

Declaration

Source position: printers.pas line 98

public property TPrinterCanvas.PageWidth : Integer
  read GetPageWidth;


TPrinterCanvas.PaperHeight

Declaration

Source position: printers.pas line 100

public property TPrinterCanvas.PaperHeight : Integer
  read GetPaperHeight
  write SetPaperHeight;


TPrinterCanvas.PaperWidth

Declaration

Source position: printers.pas line 99

public property TPrinterCanvas.PaperWidth : Integer
  read GetPaperWidth
  write SetPaperWidth;


TPrinterCanvas.Printer

The type of Printer for which this canvas is preparing the document

Declaration

Source position: printers.pas line 94

public property TPrinterCanvas.Printer : TPrinter
  read fPrinter;


TPrinterCanvas.RightMargin

the size of the RightMargin

Declaration

Source position: printers.pas line 105

public property TPrinterCanvas.RightMargin : Integer
  read GetRightMargin
  write FRightMargin;


TPrinterCanvas.Title

The Title of the current printer canvas

Declaration

Source position: printers.pas line 96

public property TPrinterCanvas.Title : string
  read GetTitle
  write SetTitle;


TPrinterCanvas.TopMargin

The size of the TopMargin

Declaration

Source position: printers.pas line 102

public property TPrinterCanvas.TopMargin : Integer
  read GetTopMargin
  write FTopMargin;


TPrinterCanvas.XDPI

Declaration

Source position: printers.pas line 107

public property TPrinterCanvas.XDPI : Integer
  read GetXDPI
  write SetXDPI;


TPrinterCanvas.YDPI

Declaration

Source position: printers.pas line 108

public property TPrinterCanvas.YDPI : Integer
  read GetYDPI
  write SetYDPI;


TPrinterCanvasRef

TPrinterCanvasRef - class of TPrinterCanvas: referenced class

Declaration

Source position: printers.pas line 112

type TPrinterCanvasRef = class of TPrinterCanvas;


TCustomPropertyStorage

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Provides abstract means to Save/Restore properties.

Declaration

Source position: propertystorage.pas line 114

type TCustomPropertyStorage = class(TComponent)
protected
function GetRoot; virtual;
function RootSection; virtual; | Constructs the path name to this section, from the Owners of the Root object.
procedure SaveProperties; virtual; | Saves all linked property collections
procedure RestoreProperties; virtual; | Restores all linked property collections
procedure GetPropertyList(); virtual; abstract; | Builds a list of all linked propery collections
procedure FinishPropertyList(); virtual; | set Objects (i.e. the component of each property)
function DoReadInteger(); virtual; | Reads an integer value, stored as a string.
function DoReadString(); virtual; abstract; | Default OnReadString handler, must be overridden!
procedure DoWriteString(); virtual; abstract; | Default OnWriteString handler, must be overridden!
procedure DoWriteInteger(); virtual; | Writes an Integer value as a String.
procedure DoEraseSections(); virtual; abstract; |
public
constructor Create(); override;
destructor Destroy; override;
procedure Save; virtual; | Saves all linked property collections
procedure Restore; virtual; | Restores all linked property collections
procedure StorageNeeded(); virtual; | Override this to provide a storage object
procedure FreeStorage; virtual; | Override this method to release your storage.
function ReadBoolean(); | Reads an Boolean value, stored as a string.
function ReadString(); | Reads an String value from the RootSection.
function ReadInteger(); | Reads an integer value, stored as a string, from the RootSection.
procedure ReadRect(); | Reads an TRect record, stored as a string.
procedure ReadStrings(); | Reads a list of strings, stored with a Count value.
procedure WriteString(); | Writes an string into the RootSection.
procedure WriteInteger(); | Writes an integer into the RootSection.
procedure WriteBoolean(); | Writes an boolean value into the RootSection.
procedure WriteRect(); | Writes an TRect record into the RootSection.
procedure WriteStrings(); | Writes a list of strings into the RootSection.
procedure EraseSections; |
property StoredValue []: TStoredType; [rw] |
property Root: TComponent; [r] |
property Active: Boolean; [rw] | This determines if the object is active or not.
property StoredValues: TStoredValues; [rw] |
property OnSavingProperties: TNotifyEvent; [rw] | Handler called at the beginning of Save.
property OnSaveProperties: TNotifyEvent; [rw] | Handler called at the end of Save.
property OnRestoringProperties: TNotifyEvent; [rw] | Handler called at the beginning of Restore.
property OnRestoreProperties: TNotifyEvent; [rw] | Handler called at the end of Restore.
property OnSaveException: TPropertyStorageSaveExceptionEvent; [rw]
end;

Inheritance

TCustomPropertyStorage

Provides abstract means to Save/Restore properties.

|

TComponent,IUnknown,IInterfaceComponentReference
|

TPersistent,IFPObserved
|

TObject


TCustomPropertyStorage
 |  | StoredValue
 | ro | Root
 |  | Active
 |  | StoredValues
TComponent
 | ro | ComObject
 | ro | Components
 | ro | ComponentCount
 |  | ComponentIndex
 | ro | ComponentState
 | ro | ComponentStyle
 |  | DesignInfo
 | ro | Owner
 |  | VCLComObject
 |  | Name
 |  | Tag
TPersistent
TObject


TCustomPropertyStorage
pt | GetRoot
pt | RootSection
pt | SaveProperties
pt | RestoreProperties
pt | GetPropertyList
pt | FinishPropertyList
pt | DoReadInteger
pt | DoReadString
pt | DoWriteString
pt | DoWriteInteger
pt | DoEraseSections
 | Create
 | Destroy
 | Save
 | Restore
 | StorageNeeded
 | FreeStorage
 | ReadBoolean
 | ReadString
 | ReadInteger
 | ReadRect
 | ReadStrings
 | WriteString
 | WriteInteger
 | WriteBoolean
 | WriteRect
 | WriteStrings
 | EraseSections
TComponent
 | GetComObject
 | GetComponent
 | GetComponentCount
 | GetComponentIndex
 | Insert
 | ReadLeft
 | ReadTop
 | Remove
 | RemoveNotification
 | SetComponentIndex
 | SetReference
 | WriteLeft
 | WriteTop
 | ChangeName
 | DefineProperties
 | GetChildren
 | GetChildOwner
 | GetChildParent
 | GetOwner
 | Loaded
 | Loading
 | Notification
 | PaletteCreated
 | ReadState
 | SetAncestor
 | SetDesigning
 | SetDesignInstance
 | SetInline
 | SetName
 | SetChildOrder
 | SetParentComponent
 | Updating
 | Updated
 | UpdateRegistry
 | ValidateRename
 | ValidateContainer
 | ValidateInsert
 | QueryInterface
 | _AddRef
 | _Release
 | iicrGetComponent
 | GetTypeInfoCount
 | GetTypeInfo
 | GetIDsOfNames
 | Invoke
 | WriteState
 | Create
 | Destroy
 | BeforeDestruction
 | DestroyComponents
 | Destroying
 | ExecuteAction
 | FindComponent
 | FreeNotification
 | RemoveFreeNotification
 | FreeOnRelease
 | GetEnumerator
 | GetNamePath
 | GetParentComponent
 | HasParent
 | InsertComponent
 | RemoveComponent
 | SafeCallException
 | SetSubComponent
 | UpdateAction
 | IsImplementorOf
 | ReferenceInterface
TPersistent
 | AssignError
 | AssignTo
 | DefineProperties
 | GetOwner
 | Destroy
 | Assign
 | FPOAttachObserver
 | FPODetachObserver
 | FPONotifyObservers
 | GetNamePath
TObject
 | Create
 | Destroy
 | newinstance
 | FreeInstance
 | SafeCallException
 | DefaultHandler
 | Free
 | InitInstance
 | CleanupInstance
 | ClassType
 | ClassInfo
 | ClassName
 | ClassNameIs
 | ClassParent
 | InstanceSize
 | InheritsFrom
 | StringMessageTable
 | MethodAddress
 | MethodName
 | FieldAddress
 | AfterConstruction
 | BeforeDestruction
 | DefaultHandlerStr
 | Dispatch
 | DispatchStr
 | GetInterface
 | GetInterfaceByStr
 | GetInterfaceWeak
 | GetInterfaceEntry
 | GetInterfaceEntryByStr
 | GetInterfaceTable
 | UnitName
 | Equals
 | GetHashCode
 | ToString


 | AssignError (TPersistent)
 | AssignTo (TPersistent)
 | BeforeDestruction (TObject)
 | BeforeDestruction (TComponent)
 | ChangeName (TComponent)
 | ClassInfo (TObject)
 | ClassName (TObject)
 | ClassNameIs (TObject)
 | ClassParent (TObject)
 | ClassType (TObject)
 | CleanupInstance (TObject)
 | Create (TObject)
 | Create (TComponent)
 | Create (TCustomPropertyStorage)
 | DefaultHandler (TObject)
 | DefaultHandlerStr (TObject)
 | DefineProperties (TPersistent)
 | DefineProperties (TComponent)
 | Destroy (TObject)
 | Destroy (TPersistent)
 | Destroy (TComponent)
 | Destroy (TCustomPropertyStorage)
 | DestroyComponents (TComponent)
 | Destroying (TComponent)
 | Dispatch (TObject)
 | DispatchStr (TObject)
pt | DoEraseSections (TCustomPropertyStorage)
pt | DoReadInteger (TCustomPropertyStorage)
pt | DoReadString (TCustomPropertyStorage)
pt | DoWriteInteger (TCustomPropertyStorage)
pt | DoWriteString (TCustomPropertyStorage)
 | Equals (TObject)
 | EraseSections (TCustomPropertyStorage)
 | ExecuteAction (TComponent)
 | FieldAddress (TObject)
 | FindComponent (TComponent)
pt | FinishPropertyList (TCustomPropertyStorage)
 | FPOAttachObserver (TPersistent)
 | FPODetachObserver (TPersistent)
 | FPONotifyObservers (TPersistent)
 | Free (TObject)
 | FreeInstance (TObject)
 | FreeNotification (TComponent)
 | FreeOnRelease (TComponent)
 | FreeStorage (TCustomPropertyStorage)
 | GetChildOwner (TComponent)
 | GetChildParent (TComponent)
 | GetChildren (TComponent)
 | GetComObject (TComponent)
 | GetComponent (TComponent)
 | GetComponentCount (TComponent)
 | GetComponentIndex (TComponent)
 | GetEnumerator (TComponent)
 | GetHashCode (TObject)
 | GetIDsOfNames (TComponent)
 | GetInterface (TObject)
 | GetInterfaceByStr (TObject)
 | GetInterfaceEntry (TObject)
 | GetInterfaceEntryByStr (TObject)
 | GetInterfaceTable (TObject)
 | GetInterfaceWeak (TObject)
 | GetNamePath (TPersistent)
 | GetNamePath (TComponent)
 | GetOwner (TPersistent)
 | GetOwner (TComponent)
 | GetParentComponent (TComponent)
pt | GetPropertyList (TCustomPropertyStorage)
pt | GetRoot (TCustomPropertyStorage)
 | GetTypeInfo (TComponent)
 | GetTypeInfoCount (TComponent)
 | HasParent (TComponent)
 | iicrGetComponent (TComponent)
 | InheritsFrom (TObject)
 | InitInstance (TObject)
 | Insert (TComponent)
 | InsertComponent (TComponent)
 | InstanceSize (TObject)
 | Invoke (TComponent)
 | IsImplementorOf (TComponent)
 | Loaded (TComponent)
 | Loading (TComponent)
 | MethodAddress (TObject)
 | MethodName (TObject)
 | newinstance (TObject)
 | Notification (TComponent)
 | PaletteCreated (TComponent)
 | QueryInterface (TComponent)
 | ReadBoolean (TCustomPropertyStorage)
 | ReadInteger (TCustomPropertyStorage)
 | ReadLeft (TComponent)
 | ReadRect (TCustomPropertyStorage)
 | ReadState (TComponent)
 | ReadString (TCustomPropertyStorage)
 | ReadStrings (TCustomPropertyStorage)
 | ReadTop (TComponent)
 | ReferenceInterface (TComponent)
 | Remove (TComponent)
 | RemoveComponent (TComponent)
 | RemoveFreeNotification (TComponent)
 | RemoveNotification (TComponent)
 | Restore (TCustomPropertyStorage)
pt | RestoreProperties (TCustomPropertyStorage)
pt | RootSection (TCustomPropertyStorage)
 | SafeCallException (TObject)
 | SafeCallException (TComponent)
 | Save (TCustomPropertyStorage)
pt | SaveProperties (TCustomPropertyStorage)
 | SetAncestor (TComponent)
 | SetChildOrder (TComponent)
 | SetComponentIndex (TComponent)
 | SetDesigning (TComponent)
 | SetDesignInstance (TComponent)
 | SetInline (TComponent)
 | SetName (TComponent)
 | SetParentComponent (TComponent)
 | SetReference (TComponent)
 | SetSubComponent (TComponent)
 | StorageNeeded (TCustomPropertyStorage)
 | StringMessageTable (TObject)
 | ToString (TObject)
 | UnitName (TObject)
 | UpdateAction (TComponent)
 | Updated (TComponent)
 | UpdateRegistry (TComponent)
 | Updating (TComponent)
 | ValidateContainer (TComponent)
 | ValidateInsert (TComponent)
 | ValidateRename (TComponent)
 | WriteBoolean (TCustomPropertyStorage)
 | WriteInteger (TCustomPropertyStorage)
 | WriteLeft (TComponent)
 | WriteRect (TCustomPropertyStorage)
 | WriteState (TComponent)
 | WriteString (TCustomPropertyStorage)
 | WriteStrings (TCustomPropertyStorage)
 | WriteTop (TComponent)
 | _AddRef (TComponent)
 | _Release (TComponent)


TCustomPropertyStorage
 | OnSavingProperties
 | OnSaveProperties
 | OnRestoringProperties
 | OnRestoreProperties
 | OnSaveException
TComponent
TPersistent
TObject


TCustomPropertyStorage.Active

This determines if the object is active or not.

Declaration

Source position: propertystorage.pas line 167

public property TCustomPropertyStorage.Active : Boolean
  read FActive
  write FActive
  default True;


TCustomPropertyStorage.Create

Declaration

Source position: propertystorage.pas line 144

public constructor TCustomPropertyStorage.Create(

  AOwner: TComponent

); override;


TCustomPropertyStorage.Destroy

Declaration

Source position: propertystorage.pas line 145

public destructor TCustomPropertyStorage.Destroy; override;


TCustomPropertyStorage.DoEraseSections

Declaration

Source position: propertystorage.pas line 142

protected procedure TCustomPropertyStorage.DoEraseSections(

  const ARootSection: string

); virtual; abstract;

Description

Must be overridden


TCustomPropertyStorage.DoReadInteger

Reads an integer value, stored as a string.

Declaration

Source position: propertystorage.pas line 138

protected function TCustomPropertyStorage.DoReadInteger(

  const Section: string;

  const Ident: string;

  DefaultValue: Integer

):Integer; virtual;


TCustomPropertyStorage.DoReadString

Default OnReadString handler, must be overridden!

Declaration

Source position: propertystorage.pas line 139

protected function TCustomPropertyStorage.DoReadString(

  const Section: string;

  const Ident: string;

  const DefaultValue: string

):string; virtual; abstract;

Arguments

DefaultValue

The default value, when no string was stored.

Function result

The previously stored string.


TCustomPropertyStorage.DoWriteInteger

Writes an Integer value as a String.

Declaration

Source position: propertystorage.pas line 141

protected procedure TCustomPropertyStorage.DoWriteInteger(

  const Section: string;

  const Ident: string;

  Value: Integer

); virtual;


TCustomPropertyStorage.DoWriteString

Default OnWriteString handler, must be overridden!

Declaration

Source position: propertystorage.pas line 140

protected procedure TCustomPropertyStorage.DoWriteString(

  const Section: string;

  const Ident: string;

  const Value: string

); virtual; abstract;

Arguments

Section | The name of the section.
Ident | The name (key) of the property.
Value | The value string to store.


TCustomPropertyStorage.EraseSections

Declaration

Source position: propertystorage.pas line 163

public procedure TCustomPropertyStorage.EraseSections;

See also

TCustomPropertyStorage.DoEraseSections


TCustomPropertyStorage.FinishPropertyList

set Objects (i.e. the component of each property)

Declaration

Source position: propertystorage.pas line 137

protected procedure TCustomPropertyStorage.FinishPropertyList(

  List: TStrings

); virtual;

Description

Reads the Strings[] in the list, retrieves and stores the associated Root or Component object in Objects[].


TCustomPropertyStorage.FreeStorage

Override this method to release your storage.

Declaration

Source position: propertystorage.pas line 150

public procedure TCustomPropertyStorage.FreeStorage; virtual;


TCustomPropertyStorage.GetPropertyList

Builds a list of all linked propery collections

Declaration

Source position: propertystorage.pas line 136

protected procedure TCustomPropertyStorage.GetPropertyList(

  List: TStrings

); virtual; abstract;


TCustomPropertyStorage.OnRestoreProperties

Handler called at the end of Restore.

Declaration

Source position: propertystorage.pas line 172

public property TCustomPropertyStorage.OnRestoreProperties : TNotifyEvent
  read FOnRestoreProperties
  write FOnRestoreProperties;


TCustomPropertyStorage.OnRestoringProperties

Handler called at the beginning of Restore.

Declaration

Source position: propertystorage.pas line 171

public property TCustomPropertyStorage.OnRestoringProperties : TNotifyEvent
  read FOnRestoringProperties
  write FOnRestoringProperties;


TCustomPropertyStorage.OnSaveException

Declaration

Source position: propertystorage.pas line 173

public property TCustomPropertyStorage.OnSaveException : TPropertyStorageSaveExceptionEvent
  read FOnSaveException
  write FOnSaveException;


TCustomPropertyStorage.OnSaveProperties

Handler called at the end of Save.

Declaration

Source position: propertystorage.pas line 170

public property TCustomPropertyStorage.OnSaveProperties : TNotifyEvent
  read FOnSaveProperties
  write FOnSaveProperties;


TCustomPropertyStorage.OnSavingProperties

Handler called at the beginning of Save.

Declaration

Source position: propertystorage.pas line 169

public property TCustomPropertyStorage.OnSavingProperties : TNotifyEvent
  read FOnSavingProperties
  write FOnSavingProperties;


TCustomPropertyStorage.ReadBoolean

Reads an Boolean value, stored as a string.

Declaration

Source position: propertystorage.pas line 151

public function TCustomPropertyStorage.ReadBoolean(

  const Ident: string;

  DefaultValue: Boolean

):Boolean;


TCustomPropertyStorage.ReadInteger

Reads an integer value, stored as a string, from the RootSection.

Declaration

Source position: propertystorage.pas line 153

public function TCustomPropertyStorage.ReadInteger(

  const Ident: string;

  DefaultValue: LongInt

):LongInt;


TCustomPropertyStorage.ReadRect

Reads an TRect record, stored as a string.

Declaration

Source position: propertystorage.pas line 154

public procedure TCustomPropertyStorage.ReadRect(

  const Ident: string;

  out ARect: TRect;

  const Default: TRect

);


TCustomPropertyStorage.ReadString

Reads an String value from the RootSection.

Declaration

Source position: propertystorage.pas line 152

public function TCustomPropertyStorage.ReadString(

  const Ident: string;

  const DefaultValue: string

):string;


TCustomPropertyStorage.ReadStrings

Reads a list of strings, stored with a Count value.

Declaration

Source position: propertystorage.pas line 156

public procedure TCustomPropertyStorage.ReadStrings(

  const Ident: string;

  const List: TStrings;

  const DefaultList: TStrings = Nil

);

Arguments

Ident | The name of the list property.
List | The list to which the strings are added.
DefaultList | A list of default values, used when nothing was stored yet.


TCustomPropertyStorage.Restore

Restores all linked property collections

Declaration

Source position: propertystorage.pas line 147

public procedure TCustomPropertyStorage.Restore; virtual;

Description

Uses RestoreProperties and StoredValues.RestoreValues to do the actual work. At least one of these should be implemented.

All linked property collections are notified, when everything has been restored, or to actually restore the values.

The OnRestoringProperties handler is invoked before the properties are restored, OnRestoreProperties afterwards.

See also

TCustomPropertyStorage.RestoreProperties | Restores all linked property collections
TCustomPropertyStorage.OnRestoreProperties | Handler called at the end of Restore.
TCustomPropertyStorage.OnRestoringProperties | Handler called at the beginning of Restore.
TCustomPropertyStorage.StoredValues |
TCustomPropertyStorage.NotifyLinks | Notifies all connected property collections.


TCustomPropertyStorage.RestoreProperties

Restores all linked property collections

Declaration

Source position: propertystorage.pas line 135

protected procedure TCustomPropertyStorage.RestoreProperties; virtual;


TCustomPropertyStorage.Root

Declaration

Source position: propertystorage.pas line 166

public property TCustomPropertyStorage.Root : TComponent
  read GetRoot;


TCustomPropertyStorage.RootSection

Constructs the path name to this section, from the Owners of the Root object.

Declaration

Source position: propertystorage.pas line 133

protected function TCustomPropertyStorage.RootSection: string; virtual;


TCustomPropertyStorage.Save

Saves all linked property collections

Declaration

Source position: propertystorage.pas line 146

public procedure TCustomPropertyStorage.Save; virtual;

Description

Uses SaveProperties and StoredValues.SaveValues to do the actual work. At least one of these should be implemented.

All linked property collections are notified, when everything has been stored, or to actually store their values.

The OnSavingProperties handler is invoked before the properties are stored, OnSaveProperties afterwards.

See also

TCustomPropertyStorage.SaveProperties | Saves all linked property collections
TCustomPropertyStorage.OnSaveProperties | Handler called at the end of Save.
TCustomPropertyStorage.OnSavingProperties | Handler called at the beginning of Save.
TCustomPropertyStorage.StoredValues |
TCustomPropertyStorage.NotifyLinks | Notifies all connected property collections.


TCustomPropertyStorage.SaveProperties

Saves all linked property collections

Declaration

Source position: propertystorage.pas line 134

protected procedure TCustomPropertyStorage.SaveProperties; virtual;


TCustomPropertyStorage.StorageNeeded

Override this to provide a storage object

Declaration

Source position: propertystorage.pas line 149

public procedure TCustomPropertyStorage.StorageNeeded(

  ReadOnly: Boolean

); virtual;


TCustomPropertyStorage.StoredValue

Declaration

Source position: propertystorage.pas line 165

public property TCustomPropertyStorage.StoredValue[AName: string] : TStoredType
  read GetStoredValue
  write SetStoredValue;


TCustomPropertyStorage.StoredValues

Declaration

Source position: propertystorage.pas line 168

public property TCustomPropertyStorage.StoredValues : TStoredValues
  read FStoredValues
  write SetStoredValues;


TCustomPropertyStorage.WriteBoolean

Writes an boolean value into the RootSection.

Declaration

Source position: propertystorage.pas line 160

public procedure TCustomPropertyStorage.WriteBoolean(

  const Ident: string;

  Value: Boolean

);


TCustomPropertyStorage.WriteInteger

Writes an integer into the RootSection.

Declaration

Source position: propertystorage.pas line 159

public procedure TCustomPropertyStorage.WriteInteger(

  const Ident: string;

  Value: LongInt

);


TCustomPropertyStorage.WriteRect

Writes an TRect record into the RootSection.

Declaration

Source position: propertystorage.pas line 161

public procedure TCustomPropertyStorage.WriteRect(

  const Ident: string;

  const Value: TRect

);


TCustomPropertyStorage.WriteString

Writes an string into the RootSection.

Declaration

Source position: propertystorage.pas line 158

public procedure TCustomPropertyStorage.WriteString(

  const Ident: string;

  const Value: string

);


TCustomPropertyStorage.WriteStrings

Writes a list of strings into the RootSection.

Declaration

Source position: propertystorage.pas line 162

public procedure TCustomPropertyStorage.WriteStrings(

  const Ident: string;

  const List: TStrings

);


TPropertyStorageLink

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Links a storage object to a property collection.

Declaration

Source position: propertystorage.pas line 90

type TPropertyStorageLink = class(TPersistent)
protected
procedure SaveProperties; virtual; | Invokes the OnSave handler.
procedure LoadProperties; virtual; | Invokes the OnLoad handler.
public
destructor Destroy; override;
property Storage: TCustomPropertyStorage; [rw] | Refers to the concrete Storage object.
property RootSection: string; [r] | The path to the root of the Storage object.
property OnSave: TNotifyEvent; [rw] | Supply your handler for saving all properties.
property OnLoad: TNotifyEvent; [rw] | Supply your handler for loading all properties.
end;

Inheritance

TPropertyStorageLink

Links a storage object to a property collection.

|

TPersistent,IFPObserved
|

TObject

Description

Not very useful by itself, Load/Save depends on installed handlers.


TPropertyStorageLink
 |  | Storage
 | ro | RootSection
TPersistent
TObject


ro | RootSection (TPropertyStorageLink)
 | Storage (TPropertyStorageLink)


TPropertyStorageLink
pt | SaveProperties
pt | LoadProperties
 | Destroy
TPersistent
 | AssignError
 | AssignTo
 | DefineProperties
 | GetOwner
 | Destroy
 | Assign
 | FPOAttachObserver
 | FPODetachObserver
 | FPONotifyObservers
 | GetNamePath
TObject
 | Create
 | Destroy
 | newinstance
 | FreeInstance
 | SafeCallException
 | DefaultHandler
 | Free
 | InitInstance
 | CleanupInstance
 | ClassType
 | ClassInfo
 | ClassName
 | ClassNameIs
 | ClassParent
 | InstanceSize
 | InheritsFrom
 | StringMessageTable
 | MethodAddress
 | MethodName
 | FieldAddress
 | AfterConstruction
 | BeforeDestruction
 | DefaultHandlerStr
 | Dispatch
 | DispatchStr
 | GetInterface
 | GetInterfaceByStr
 | GetInterfaceWeak
 | GetInterfaceEntry
 | GetInterfaceEntryByStr
 | GetInterfaceTable
 | UnitName
 | Equals
 | GetHashCode
 | ToString


 | AssignError (TPersistent)
 | AssignTo (TPersistent)
 | BeforeDestruction (TObject)
 | ClassInfo (TObject)
 | ClassName (TObject)
 | ClassNameIs (TObject)
 | ClassParent (TObject)
 | ClassType (TObject)
 | CleanupInstance (TObject)
 | Create (TObject)
 | DefaultHandler (TObject)
 | DefaultHandlerStr (TObject)
 | DefineProperties (TPersistent)
 | Destroy (TObject)
 | Destroy (TPersistent)
 | Destroy (TPropertyStorageLink)
 | Dispatch (TObject)
 | DispatchStr (TObject)
 | Equals (TObject)
 | FieldAddress (TObject)
 | FPOAttachObserver (TPersistent)
 | FPODetachObserver (TPersistent)
 | FPONotifyObservers (TPersistent)
 | Free (TObject)
 | FreeInstance (TObject)
 | GetHashCode (TObject)
 | GetInterface (TObject)
 | GetInterfaceByStr (TObject)
 | GetInterfaceEntry (TObject)
 | GetInterfaceEntryByStr (TObject)
 | GetInterfaceTable (TObject)
 | GetInterfaceWeak (TObject)
 | GetNamePath (TPersistent)
 | GetOwner (TPersistent)
 | InheritsFrom (TObject)
 | InitInstance (TObject)
 | InstanceSize (TObject)
pt | LoadProperties (TPropertyStorageLink)
 | MethodAddress (TObject)
 | MethodName (TObject)
 | newinstance (TObject)
 | SafeCallException (TObject)
pt | SaveProperties (TPropertyStorageLink)
 | StringMessageTable (TObject)
 | ToString (TObject)
 | UnitName (TObject)


TPropertyStorageLink
 | OnSave
 | OnLoad
TPersistent
TObject


TPropertyStorageLink.Destroy

Declaration

Source position: propertystorage.pas line 101

public destructor TPropertyStorageLink.Destroy; override;


TPropertyStorageLink.LoadProperties

Invokes the OnLoad handler.

Declaration

Source position: propertystorage.pas line 99

protected procedure TPropertyStorageLink.LoadProperties; virtual;


TPropertyStorageLink.OnLoad

Supply your handler for loading all properties.

Declaration

Source position: propertystorage.pas line 105

public property TPropertyStorageLink.OnLoad : TNotifyEvent
  read FOnLoad
  write FOnLoad;

See also

TPropertyStorageLink.LoadProperties | Invokes the OnLoad handler.
TPropertyStorageLink.OnSave | Supply your handler for saving all properties.


TPropertyStorageLink.OnSave

Supply your handler for saving all properties.

Declaration

Source position: propertystorage.pas line 104

public property TPropertyStorageLink.OnSave : TNotifyEvent
  read FOnSave
  write FOnSave;

See also

TPropertyStorageLink.SaveProperties | Invokes the OnSave handler.
TPropertyStorageLink.OnLoad | Supply your handler for loading all properties.


TPropertyStorageLink.RootSection

The path to the root of the Storage object.

Declaration

Source position: propertystorage.pas line 103

public property TPropertyStorageLink.RootSection : string
  read GetRootSection;


TPropertyStorageLink.SaveProperties

Invokes the OnSave handler.

Declaration

Source position: propertystorage.pas line 98

protected procedure TPropertyStorageLink.SaveProperties; virtual;


TPropertyStorageLink.Storage

Refers to the concrete Storage object.

Declaration

Source position: propertystorage.pas line 102

public property TPropertyStorageLink.Storage : TCustomPropertyStorage
  read FStorage
  write SetStorage;


TStoredValue

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

A key/value pair, representing an property value, with added Save/Restore features.

Declaration

Source position: propertystorage.pas line 37

type TStoredValue = class(TCollectionItem)
protected
function GetDisplayName; override; | Overridden to return FName/Name.
procedure SetDisplayName(); override;
public
constructor Create(); override;
procedure Assign(); override;
procedure Clear; | Sets Value to the empty string.
procedure Save; virtual; | Saves the value, after invocation of the OnSave handler.
procedure Restore; virtual; | Reads the value and notifies the OnRestore handler.
property StoredValues: TStoredValues; [r] | The Collection containing this object.
published
property Name: string; [rw] | The name of the property.
property Value: TStoredType; [rws] | The value of the property (as String or Variant).
property KeyString: string; [rw] | Encryption key, empty for no encryption.
property OnSave: TStoredValueEvent; [rw] | This handler is invoked before the value is stored.
property OnRestore: TStoredValueEvent; [rw] | This handler is invoked after the value has been loaded.
end;

Inheritance

TStoredValue

A key/value pair, representing an property value, with added Save/Restore features.
|

TCollectionItem
|

TPersistent,IFPObserved
|

TObject


TStoredValue
 | ro | StoredValues
pl |  | Name
pl |  | Value
pl |  | KeyString
TCollectionItem
 | ro | UpdateCount
 |  | Collection
 | ro | ID
 |  | Index
 |  | DisplayName
TPersistent
TObject


 | ro | ID (TCollectionItem)
 |  | Index (TCollectionItem)
pl |  | KeyString (TStoredValue)
pl |  | Name (TStoredValue)
 | ro | StoredValues (TStoredValue)
 | ro | UpdateCount (TCollectionItem)
pl |  | Value (TStoredValue)


TStoredValue
pt | GetDisplayName
pt | SetDisplayName
 | Create
 | Assign
 | Clear
 | Save
 | Restore
TCollectionItem
 | GetIndex
 | SetCollection
 | Changed
 | GetOwner
 | GetDisplayName
 | SetIndex
 | SetDisplayName
 | Create
 | Destroy
 | GetNamePath
TPersistent
 | AssignError
 | AssignTo
 | DefineProperties
 | GetOwner
 | Destroy
 | Assign
 | FPOAttachObserver
 | FPODetachObserver
 | FPONotifyObservers
 | GetNamePath
TObject
 | Create
 | Destroy
 | newinstance
 | FreeInstance
 | SafeCallException
 | DefaultHandler
 | Free
 | InitInstance
 | CleanupInstance
 | ClassType
 | ClassInfo
 | ClassName
 | ClassNameIs
 | ClassParent
 | InstanceSize
 | InheritsFrom
 | StringMessageTable
 | MethodAddress
 | MethodName
 | FieldAddress
 | AfterConstruction
 | BeforeDestruction
 | DefaultHandlerStr
 | Dispatch
 | DispatchStr
 | GetInterface
 | GetInterfaceByStr
 | GetInterfaceWeak
 | GetInterfaceEntry
 | GetInterfaceEntryByStr
 | GetInterfaceTable
 | UnitName
 | Equals
 | GetHashCode
 | ToString


 | AssignError (TPersistent)
 | AssignTo (TPersistent)
 | BeforeDestruction (TObject)
 | Changed (TCollectionItem)
 | ClassInfo (TObject)
 | ClassName (TObject)
 | ClassNameIs (TObject)
 | ClassParent (TObject)
 | ClassType (TObject)
 | CleanupInstance (TObject)
 | Clear (TStoredValue)
 | Create (TObject)
 | Create (TCollectionItem)
 | Create (TStoredValue)
 | DefaultHandler (TObject)
 | DefaultHandlerStr (TObject)
 | DefineProperties (TPersistent)
 | Destroy (TObject)
 | Destroy (TPersistent)
 | Destroy (TCollectionItem)
 | Dispatch (TObject)
 | DispatchStr (TObject)
 | Equals (TObject)
 | FieldAddress (TObject)
 | FPOAttachObserver (TPersistent)
 | FPODetachObserver (TPersistent)
 | FPONotifyObservers (TPersistent)
 | Free (TObject)
 | FreeInstance (TObject)
 | GetDisplayName (TCollectionItem)
pt | GetDisplayName (TStoredValue)
 | GetHashCode (TObject)
 | GetIndex (TCollectionItem)
 | GetInterface (TObject)
 | GetInterfaceByStr (TObject)
 | GetInterfaceEntry (TObject)
 | GetInterfaceEntryByStr (TObject)
 | GetInterfaceTable (TObject)
 | GetInterfaceWeak (TObject)
 | GetNamePath (TPersistent)
 | GetNamePath (TCollectionItem)
 | GetOwner (TPersistent)
 | GetOwner (TCollectionItem)
 | InheritsFrom (TObject)
 | InitInstance (TObject)
 | InstanceSize (TObject)
 | MethodAddress (TObject)
 | MethodName (TObject)
 | newinstance (TObject)
 | Restore (TStoredValue)
 | SafeCallException (TObject)
 | Save (TStoredValue)
 | SetCollection (TCollectionItem)
 | SetDisplayName (TCollectionItem)
pt | SetDisplayName (TStoredValue)
 | SetIndex (TCollectionItem)
 | StringMessageTable (TObject)
 | ToString (TObject)
 | UnitName (TObject)


TStoredValue
pl | OnSave
pl | OnRestore
TCollectionItem
TPersistent
TObject


pl | OnRestore (TStoredValue)
pl | OnSave (TStoredValue)


TStoredValue.Assign

Declaration

Source position: propertystorage.pas line 51

public procedure TStoredValue.Assign(

  Source: TPersistent

); override;


TStoredValue.Clear

Sets Value to the empty string.

Declaration

Source position: propertystorage.pas line 52

public procedure TStoredValue.Clear;


TStoredValue.Create

Declaration

Source position: propertystorage.pas line 50

public constructor TStoredValue.Create(

  ACollection: TCollection

); override;


TStoredValue.GetDisplayName

Overridden to return FName/Name.

Declaration

Source position: propertystorage.pas line 47

protected function TStoredValue.GetDisplayName: string; override;


TStoredValue.KeyString

Encryption key, empty for no encryption.

Declaration

Source position: propertystorage.pas line 59

published property TStoredValue.KeyString : string
  read FKeyString
  write FKeyString;


TStoredValue.Name

The name of the property.

Declaration

Source position: propertystorage.pas line 57

published property TStoredValue.Name : string
  read FName
  write SetDisplayName;


TStoredValue.OnRestore

This handler is invoked after the value has been loaded.

Declaration

Source position: propertystorage.pas line 61

published property TStoredValue.OnRestore : TStoredValueEvent
  read FOnRestore
  write FOnRestore;


TStoredValue.OnSave

This handler is invoked before the value is stored.

Declaration

Source position: propertystorage.pas line 60

published property TStoredValue.OnSave : TStoredValueEvent
  read FOnSave
  write FOnSave;


TStoredValue.Restore

Reads the value and notifies the OnRestore handler.

Declaration

Source position: propertystorage.pas line 54

public procedure TStoredValue.Restore; virtual;

See also

TStoredValue.OnRestore | This handler is invoked after the value has been loaded.
TStoredValue.StoredValues | The Collection containing this object.


TStoredValue.Save

Saves the value, after invocation of the OnSave handler.

Declaration

Source position: propertystorage.pas line 53

public procedure TStoredValue.Save; virtual;

See also

TStoredValue.OnSave | This handler is invoked before the value is stored.
TStoredValue.StoredValues | The Collection containing this object.


TStoredValue.StoredValues

The Collection containing this object.

Declaration

Source position: propertystorage.pas line 55

public property TStoredValue.StoredValues : TStoredValues
  read GetStoredValues;

Description

The collection has a Storage property, used to Save and Restore the value.


TStoredValue.Value

The value of the property (as String or Variant).

Declaration

Source position: propertystorage.pas line 58

published property TStoredValue.Value : TStoredType
  read FValue
  write FValue
  stored IsValueStored;


TStoredValueEvent

Type of an TStoredValue.OnSave and OnRestore notification handler.

Declaration

Source position: propertystorage.pas line 34

type TStoredValueEvent = procedure(

  Sender: TStoredValue;

  var Value: TStoredType

) of object;

Description

Called before a property is saved, after a it has been restored.


TStoredValues

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

A collection of property name/value pairs.

Declaration

Source position: propertystorage.pas line 67

type TStoredValues = class(TOwnedCollection)
public
constructor Create();
function IndexOf(); | Given the name of a property, returns the index of the Item object.
procedure SaveValues; virtual; | Saves all Items into Storage.
procedure RestoreValues; virtual; | Loads all existing Items from Storage.
property Storage: TCustomPropertyStorage; [rw] | The virtual storage object, used to Save and Restore the Values.
property Items []: TStoredValue; default; [rw] | The indexed list of all key/value pairs.
property Values []: TStoredValue; [rw] | The list of key/value pairs, accessible by their key names.
property StoredValue []: TStoredType; [rw] | Retrieves the value for an given key name.
end;

Inheritance

TStoredValues

A collection of property name/value pairs.
|

TOwnedCollection
|

TCollection
|

TPersistent,IFPObserved
|

TObject


TStoredValues
 |  | Storage
 |  | Items
 |  | Values
 |  | StoredValue
TOwnedCollection
TCollection
 |  | PropName
 | ro | UpdateCount
 | ro | Count
 | ro | ItemClass
 |  | Items
TPersistent
TObject


ro | Count (TCollection)
ro | ItemClass (TCollection)
 | Items (TCollection)
 | Items (TStoredValues)
 | PropName (TCollection)
 | Storage (TStoredValues)
 | StoredValue (TStoredValues)
ro | UpdateCount (TCollection)
 | Values (TStoredValues)


TStoredValues
 | Create
 | IndexOf
 | SaveValues
 | RestoreValues
TOwnedCollection
 | GetOwner
 | Create
TCollection
 | GetCount
 | GetPropName
 | InsertItem
 | RemoveItem
 | DoClear
 | GetAttrCount
 | GetAttr
 | GetItemAttr
 | Changed
 | GetItem
 | SetItem
 | SetItemName
 | SetPropName
 | Update
 | Notify
 | Create
 | Destroy
 | Owner
 | Add
 | Assign
 | BeginUpdate
 | Clear
 | EndUpdate
 | Delete
 | GetEnumerator
 | GetNamePath
 | Insert
 | FindItemID
 | Exchange
 | Sort
TPersistent
 | AssignError
 | AssignTo
 | DefineProperties
 | GetOwner
 | Destroy
 | Assign
 | FPOAttachObserver
 | FPODetachObserver
 | FPONotifyObservers
 | GetNamePath
TObject
 | Create
 | Destroy
 | newinstance
 | FreeInstance
 | SafeCallException
 | DefaultHandler
 | Free
 | InitInstance
 | CleanupInstance
 | ClassType
 | ClassInfo
 | ClassName
 | ClassNameIs
 | ClassParent
 | InstanceSize
 | InheritsFrom
 | StringMessageTable
 | MethodAddress
 | MethodName
 | FieldAddress
 | AfterConstruction
 | BeforeDestruction
 | DefaultHandlerStr
 | Dispatch
 | DispatchStr
 | GetInterface
 | GetInterfaceByStr
 | GetInterfaceWeak
 | GetInterfaceEntry
 | GetInterfaceEntryByStr
 | GetInterfaceTable
 | UnitName
 | Equals
 | GetHashCode
 | ToString


Add (TCollection)

AfterConstruction (TObject)

Assign (TPersistent)

Assign (TCollection)

AssignError (TPersistent)

AssignTo (TPersistent)

BeforeDestruction (TObject)

BeginUpdate (TCollection)

Changed (TCollection)

ClassInfo (TObject)

ClassName (TObject)

ClassNameIs (TObject)

ClassParent (TObject)

ClassType (TObject)

CleanupInstance (TObject)

Clear (TCollection)

Create (TObject)

Create (TCollection)

Create (TOwnedCollection)

Create (TStoredValues)

DefaultHandler (TObject)

DefaultHandlerStr (TObject)

DefineProperties (TPersistent)

Delete (TCollection)

Destroy (TObject)

Destroy (TPersistent)

Destroy (TCollection)

Dispatch (TObject)

DispatchStr (TObject)

DoClear (TCollection)

EndUpdate (TCollection)

Equals (TObject)

Exchange (TCollection)

FieldAddress (TObject)

FindItemID (TCollection)

FPOAttachObserver (TPersistent)

FPODetachObserver (TPersistent)

FPONotifyObservers (TPersistent)

Free (TObject)

FreeInstance (TObject)

GetAttr (TCollection)

GetAttrCount (TCollection)

GetCount (TCollection)

GetEnumerator (TCollection)

GetHashCode (TObject)

GetInterface (TObject)

GetInterfaceByStr (TObject)

GetInterfaceEntry (TObject)

GetInterfaceEntryByStr (TObject)

GetInterfaceTable (TObject)

GetInterfaceWeak (TObject)

GetItem (TCollection)

GetItemAttr (TCollection)

GetNamePath (TPersistent)

GetNamePath (TCollection)

GetOwner (TPersistent)

GetOwner (TOwnedCollection)

GetPropName (TCollection)

IndexOf (TStoredValues)

InheritsFrom (TObject)

InitInstance (TObject)

Insert (TCollection)

InsertItem (TCollection)

InstanceSize (TObject)

MethodAddress (TObject)

MethodName (TObject)

newinstance (TObject)

Notify (TCollection)

Owner (TCollection)

RemoveItem (TCollection)

RestoreValues (TStoredValues)

SafeCallException (TObject)

SaveValues (TStoredValues)

SetItem (TCollection)

SetItemName (TCollection)

SetPropName (TCollection)

Sort (TCollection)

StringMessageTable (TObject)

ToString (TObject)

UnitName (TObject)

Update (TCollection)


TStoredValues

TOwnedCollection

TCollection

TPersistent

TObject


TStoredValues.Create

Declaration

Source position: propertystorage.pas line 77

public constructor TStoredValues.Create(

  AOwner: TPersistent

);


TStoredValues.IndexOf

Given the name of a property, returns the index of the Item object.

Declaration

Source position: propertystorage.pas line 78

public function TStoredValues.IndexOf(

  const AName: string

):Integer;


TStoredValues.Items

The indexed list of all key/value pairs.

Declaration

Source position: propertystorage.pas line 82

public property TStoredValues.Items[Index: Integer] : TStoredValue
  read GetItem
  write SetItem;
  default;


TStoredValues.RestoreValues

Loads all existing Items from Storage.

Declaration

Source position: propertystorage.pas line 80

public procedure TStoredValues.RestoreValues; virtual;

Description

The named Items objects must have been created already.

See also

TStoredValues.Storage

The virtual storage object, used to Save and Restore the Values.


TStoredValues.SaveValues

Saves all Items into Storage.

Declaration

Source position: propertystorage.pas line 79

public procedure TStoredValues.SaveValues; virtual;

See also

TStoredValues.Storage

The virtual storage object, used to Save and Restore the Values.


TStoredValues.Storage

The virtual storage object, used to Save and Restore the Values.

Declaration

Source position: propertystorage.pas line 81

public property TStoredValues.Storage : TCustomPropertyStorage
  read FStorage
  write FStorage;


TStoredValues.StoredValue

Retrieves the value for an given key name.

Declaration

Source position: propertystorage.pas line 84

public property TStoredValues.StoredValue[Name: string] : TStoredType
  read GetStoredValue
  write SetStoredValue;


TStoredValues.Values

The list of key/value pairs, accessible by their key names.

Declaration

Source position: propertystorage.pas line 83

public property TStoredValues.Values[Name: string] : TStoredValue
  read GetValue
  write SetValue;


TCustomRubberBand

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

TCustomRubberBand - base class for TRubberBand, for drawing a ring resembling a rubber band around a selection

Declaration

Source position: rubberband.pas line 37

type TCustomRubberBand = class(TWinControl)
protected
class procedure WSRegisterClass; override; | Registers this component class with the current WidgetSet.
public
constructor Create(); override; |
property Shape: TRubberBandShape; [rw] | The Shape of the rubber band device: a line or a rectangle around the selection
end;

Inheritance

TCustomRubberBand | TCustomRubberBand - base class for TRubberBand, for drawing a ring resembling a rubber band around a selection
|
TWinControl | The base class for controls which can contain other (child) controls.
|
TControl | The base class for visible controls.
|
TLCLComponent | The base class for LCL components associated with widgets.
|
TComponent,IUnknown,IInterfaceComponentReference
|
TPersistent,IFPObserved
|
TObject


TCustomRubberBand
 |  | Shape
TWinControl
pt |  | WindowHandle
pt |  | BorderStyle
pt |  | ParentBackground
 |  | BorderWidth
 | ro | BoundsLockCount
 | ro | Brush
 | ro | CachedClientHeight
 | ro | CachedClientWidth
 |  | ChildSizing
 | ro | ControlCount
 | ro | Controls
 |  | DefWndProc
 | ro | DockClientCount
 | ro | DockClients
 |  | DockManager
 |  | DockSite
 |  | DoubleBuffered
 |  | Handle
 | ro | IsFlipped
 | ro | IsResizing
 |  | TabOrder
 |  | TabStop
 |  | ParentDoubleBuffered
 |  | ParentWindow
 | ro | Showing
 |  | UseDockManager
 |  | DesignerDeleting
 | ro | VisibleDockClientCount
TControl
pt | ro | AutoSizing
pt | ro | AutoSizingAll
pt | ro | AutoSizingLockCount
pt |  | ActionLink
pt |  | DesktopFont
pt |  | DragCursor
pt |  | DragKind
pt |  | DragMode
pt |  | MouseCapture
pt |  | ParentColor
pt |  | ParentFont
pt |  | ParentShowHint
pt |  | SessionProperties
pt |  | Text
 | ro | AnchoredControls
 | ro | BaseBounds
 | ro | ReadBounds
 | ro | BaseParentClientSize
 |  | AccessibleDescription
 |  | AccessibleValue
 |  | AccessibleRole
 |  | Action
 |  | Align
 |  | Anchors
 | ro | AnchorSide
 |  | AutoSize
 |  | BorderSpacing
 |  | BoundsRect
 |  | BoundsRectForNewParent
 |  | Caption
 |  | CaptureMouseButtons
 |  | ClientHeight
 | ro | ClientOrigin
 | ro | ClientRect
 |  | ClientWidth
 |  | Color
 |  | Constraints
 | ro | ControlOrigin
 |  | ControlState
 |  | ControlStyle
 |  | Enabled
 |  | Font
 |  | IsControl
 | ro | MouseEntered
 | ro | MouseInClient
 |  | Parent
 |  | PopupMenu
 |  | ShowHint
 |  | Visible
 |  | WindowProc
 |  | DockOrientation
 | ro | Floating
 |  | FloatingDockSiteClass
 |  | HostDockSite
 |  | LRDockWidth
 |  | TBDockHeight
 |  | UndockHeight
 |  | UndockWidth
 |  | BiDiMode
 |  | ParentBiDiMode
pl |  | AnchorSideLeft
pl |  | AnchorSideTop
pl |  | AnchorSideRight
pl |  | AnchorSideBottom
pl |  | Cursor
pl |  | Left
pl |  | Height
pl |  | Hint
pl |  | Top
pl |  | Width
pl |  | HelpType
pl |  | HelpKeyword
pl |  | HelpContext
TLCLComponent
 | ro | LCLRefCount
 | ro | WidgetSetClass
TComponent
 | ro | ComObject
 | ro | Components
 | ro | ComponentCount
 |  | ComponentIndex
 | ro | ComponentState
 | ro | ComponentStyle
 |  | DesignInfo
 | ro | Owner
 |  | VCLComObject
 |  | Name
 |  | Tag
TPersistent
TObject


 |  | AccessibleDescription (TControl)
 |  | AccessibleRole (TControl)
 |  | AccessibleValue (TControl)
 |  | Action (TControl)
pt |  | ActionLink (TControl)
 |  | Align (TControl)
 | ro | AnchoredControls (TControl)
 |  | Anchors (TControl)
 | ro | AnchorSide (TControl)
pl |  | AnchorSideBottom (TControl)
pl |  | AnchorSideLeft (TControl)
pl |  | AnchorSideRight (TControl)
pl |  | AnchorSideTop (TControl)
 |  | AutoSize (TControl)
pt | ro | AutoSizing (TControl)
pt | ro | AutoSizingAll (TControl)
pt | ro | AutoSizingLockCount (TControl)
 | ro | BaseBounds (TControl)
 | ro | BaseParentClientSize (TControl)
 |  | BiDiMode (TControl)
 |  | BorderSpacing (TControl)
pt |  | BorderStyle (TWinControl)
 |  | BorderWidth (TWinControl)
 | ro | BoundsLockCount (TWinControl)
 |  | BoundsRect (TControl)
 |  | BoundsRectForNewParent (TControl)
 | ro | Brush (TWinControl)
 | ro | CachedClientHeight (TWinControl)
 | ro | CachedClientWidth (TWinControl)
 |  | Caption (TControl)
 |  | CaptureMouseButtons (TControl)
 |  | ChildSizing (TWinControl)
 |  | ClientHeight (TControl)
 | ro | ClientOrigin (TControl)
 | ro | ClientRect (TControl)
 |  | ClientWidth (TControl)
 |  | Color (TControl)
 | ro | ComObject (TComponent)
 | ro | ComponentCount (TComponent)
 |  | ComponentIndex (TComponent)
 | ro | Components (TComponent)
 | ro | ComponentState (TComponent)
 | ro | ComponentStyle (TComponent)
 |  | Constraints (TControl)
 | ro | ControlCount (TWinControl)
 | ro | ControlOrigin (TControl)
 | ro | Controls (TWinControl)
 |  | ControlState (TControl)
 |  | ControlStyle (TControl)
pl |  | Cursor (TControl)
 |  | DefWndProc (TWinControl)
 |  | DesignerDeleting (TWinControl)
 |  | DesignInfo (TComponent)
pt |  | DesktopFont (TControl)
 | ro | DockClientCount (TWinControl)
 | ro | DockClients (TWinControl)
 |  | DockManager (TWinControl)
 |  | DockOrientation (TControl)
 |  | DockSite (TWinControl)
 |  | DoubleBuffered (TWinControl)
pt |  | DragCursor (TControl)
pt |  | DragKind (TControl)
pt |  | DragMode (TControl)
 |  | Enabled (TControl)
 | ro | Floating (TControl)
 |  | FloatingDockSiteClass (TControl)
 |  | Font (TControl)
 |  | Handle (TWinControl)
pl |  | Height (TControl)
pl |  | HelpContext (TControl)
pl |  | HelpKeyword (TControl)
pl |  | HelpType (TControl)
pl |  | Hint (TControl)
 |  | HostDockSite (TControl)
 |  | IsControl (TControl)
 | ro | IsFlipped (TWinControl)
 | ro | IsResizing (TWinControl)
 | ro | LCLRefCount (TLCLComponent)
pl |  | Left (TControl)
 |  | LRDockWidth (TControl)
pt |  | MouseCapture (TControl)
 | ro | MouseEntered (TControl)
 | ro | MouseInClient (TControl)
 |  | Name (TComponent)
 | ro | Owner (TComponent)
 |  | Parent (TControl)
pt |  | ParentBackground (TWinControl)
 |  | ParentBiDiMode (TControl)
pt |  | ParentColor (TControl)
 |  | ParentDoubleBuffered (TWinControl)
pt |  | ParentFont (TControl)
pt |  | ParentShowHint (TControl)
 |  | ParentWindow (TWinControl)
 |  | PopupMenu (TControl)
 | ro | ReadBounds (TControl)
pt |  | SessionProperties (TControl)
 |  | Shape (TCustomRubberBand)
 |  | ShowHint (TControl)
 | ro | Showing (TWinControl)
 |  | TabOrder (TWinControl)
 |  | TabStop (TWinControl)
 |  | Tag (TComponent)
 |  | TBDockHeight (TControl)
pt |  | Text (TControl)
pl |  | Top (TControl)
 |  | UndockHeight (TControl)
 |  | UndockWidth (TControl)
 |  | UseDockManager (TWinControl)
 |  | VCLComObject (TComponent)
 |  | Visible (TControl)
 | ro | VisibleDockClientCount (TWinControl)
 | ro | WidgetSetClass (TLCLComponent)
pl |  | Width (TControl)
pt |  | WindowHandle (TWinControl)
 |  | WindowProc (TControl)


TCustomRubberBand
pt | WSRegisterClass
 | Create
TWinControl
pt | WSRegisterClass
pt | AdjustClientRect
pt | GetAdjustedLogicalClientRect
pt | AlignControls
pt | CustomAlignInsertBefore
pt | CustomAlignPosition
pt | DoAlignChildControls
pt | DoChildSizingChange
pt | InvalidatePreferredChildSizes
pt | CanTab
pt | IsClientHeightStored
pt | IsClientWidthStored
pt | DoSendShowHideToInterface
pt | ControlsAligned
pt | DoSendBoundsToInterface
pt | RealizeBounds
pt | RealizeBoundsRecursive
pt | InvalidateBoundsRealized
pt | CreateSubClass
pt | DoConstraintsChange
pt | DoSetBounds
pt | DoAutoSize
pt | DoAllAutoSize
pt | AllAutoSized
pt | CalculatePreferredSize
pt | GetPreferredSizeClientFrame
pt | GetChildren
pt | ChildClassAllowed
pt | PaintControls
pt | PaintHandler
pt | PaintWindow
pt | CreateBrush
pt | ScaleControls
pt | ChangeScale
pt | CMBiDiModeChanged
pt | CMBorderChanged
pt | CMDoubleBufferedChanged
pt | CMEnabledChanged
pt | CMParentDoubleBufferedChanged
pt | CMShowingChanged
pt | CMShowHintChanged
pt | CMVisibleChanged
pt | CMEnter
pt | CMExit
pt | WMContextMenu
pt | WMEraseBkgnd
pt | WMNotify
pt | WMSetFocus
pt | WMKillFocus
pt | WMShowWindow
pt | WMEnter
pt | WMExit
pt | WMKeyDown
pt | WMSysKeyDown
pt | WMKeyUp
pt | WMSysKeyUp
pt | WMChar
pt | WMSysChar
pt | WMPaint
pt | WMDestroy
pt | WMMove
pt | WMSize
pt | WMWindowPosChanged
pt | CNKeyDown
pt | CNSysKeyDown
pt | CNKeyUp
pt | CNSysKeyUp
pt | CNChar
pt | DoDragMsg
pt | DoDockClientMsg
pt | DoUndockClientMsg
pt | DoAddDockClient
pt | DockOver
pt | DoDockOver
pt | DoRemoveDockClient
pt | DoUnDock
pt | GetSiteInfo
pt | GetParentHandle
pt | GetTopParentHandle
pt | ReloadDockedControl
pt | CreateDockManager
pt | SetDockManager
pt | DoFloatMsg
pt | DoGetDockCaption
pt | DoEnter
pt | DoExit
pt | DoKeyDownBeforeInterface
pt | DoRemainingKeyDown
pt | DoRemainingKeyUp
pt | DoKeyPress
pt | DoUTF8KeyPress
pt | DoKeyUpBeforeInterface
pt | ChildKey
pt | SendDialogChar
pt | DialogChar
pt | ControlKeyDown
pt | ControlKeyUp
pt | KeyDown
pt | KeyDownBeforeInterface
pt | KeyDownAfterInterface
pt | KeyPress
pt | KeyUp
pt | KeyUpBeforeInterface
pt | KeyUpAfterInterface
pt | UTF8KeyPress
pt | FindNextControl
pt | SelectFirst
pt | RealGetText
pt | GetBorderStyle
pt | GetClientOrigin
pt | GetClientRect
pt | GetControlOrigin
pt | GetDeviceContext
pt | GetParentBackground
pt | IsControlMouseMsg
pt | CreateHandle
pt | CreateParams
pt | CreateWnd
pt | DestroyHandle
pt | DestroyWnd
pt | DoFlipChildren
pt | FinalizeWnd
pt | FixupTabList
pt | FontChanged
pt | InitializeWnd
pt | Loaded
pt | FormEndUpdated
pt | MainWndProc
pt | ParentFormHandleInitialized
pt | ChildHandlesCreated
pt | GetMouseCapture
pt | RealSetText
pt | RemoveFocus
pt | SendMoveSizeMessages
pt | SetBorderStyle
pt | SetColor
pt | SetChildZPosition
pt | SetParentBackground
pt | ShowControl
pt | UpdateControlState
pt | UpdateShowing
pt | WndProc
pt | WSSetText
 | AutoSizePhases
 | AutoSizeDelayed
 | AutoSizeDelayedReport
 | AutoSizeDelayedHandle
 | BeginUpdateBounds
 | EndUpdateBounds
 | LockRealizeBounds
 | UnlockRealizeBounds
 | ControlAtPos
 | ContainsControl
 | DoAdjustClientRectChange
 | InvalidateClientRectCache
 | ClientRectNeedsInterfaceUpdate
 | SetBounds
 | GetChildrenRect
 | DisableAlign
 | EnableAlign
 | ReAlign
 | ScrollBy_WS
 | ScrollBy
 | WriteLayoutDebugReport
 | AutoAdjustLayout
 | Create
 | CreateParented
 | CreateParentedControl
 | Destroy
 | DockDrop
 | CanFocus
 | CanSetFocus
 | GetControlIndex
 | SetControlIndex
 | Focused
 | PerformTab
 | FindChildControl
 | SelectNext
 | SetTempCursor
 | BroadCast
 | NotifyControls
 | DefaultHandler
 | GetTextLen
 | Invalidate
 | AddControl
 | InsertControl
 | RemoveControl
 | GetEnumeratorControls
 | GetEnumeratorControlsReverse
 | Repaint
 | Update
 | SetFocus
 | FlipChildren
 | ScaleBy
 | GetDockCaption
 | UpdateDockCaption
 | GetTabOrderList
 | HandleAllocated
 | ParentHandlesAllocated
 | HandleNeeded
 | BrushCreated
 | EraseBackground
 | IntfUTF8KeyPress
 | IntfGetDropFilesTarget
 | PaintTo
 | SetShape
TControl
pt | WSRegisterClass
pt | GetCursor
pt | SetCursor
pt | SetVisible
pt | DoOnParentHandleDestruction
pt | DoAutoSize
pt | DoAllAutoSize
pt | BeginAutoSizing
pt | EndAutoSizing
pt | AnchorSideChanged
pt | ForeignAnchorSideChanged
pt | SetAlign
pt | SetAnchors
pt | SetAutoSize
pt | BoundsChanged
pt | CreateControlBorderSpacing
pt | DoConstraintsChange
pt | DoBorderSpacingChange
pt | IsBorderSpacingInnerBorderStored
pt | IsCaptionStored
pt | SendMoveSizeMessages
pt | ConstrainedResize
pt | CalculatePreferredSize
pt | DoOnResize
pt | DoOnChangeBounds
pt | CheckOnChangeBounds
pt | Resize
pt | RequestAlign
pt | UpdateAnchorRules
pt | ChangeBounds
pt | DoSetBounds
pt | ScaleConstraints
pt | ChangeScale
pt | CanAutoSize
pt | SetBiDiMode
pt | SetParentBiDiMode
pt | IsAParentAligning
pt | GetClientOrigin
pt | GetClientRect
pt | GetLogicalClientRect
pt | GetScrolledClientRect
pt | GetClientScrollOffset
pt | GetControlOrigin
pt | IsClientHeightStored
pt | IsClientWidthStored
pt | WidthIsAnchored
pt | HeightIsAnchored
pt | WMCancelMode
pt | WMContextMenu
pt | WMLButtonDown
pt | WMRButtonDown
pt | WMMButtonDown
pt | WMXButtonDown
pt | WMLButtonDBLCLK
pt | WMRButtonDBLCLK
pt | WMMButtonDBLCLK
pt | WMXButtonDBLCLK
pt | WMLButtonTripleCLK
pt | WMRButtonTripleCLK
pt | WMMButtonTripleCLK
pt | WMXButtonTripleCLK
pt | WMLButtonQuadCLK
pt | WMRButtonQuadCLK
pt | WMMButtonQuadCLK
pt | WMXButtonQuadCLK
pt | WMMouseMove
pt | WMLButtonUp
pt | WMRButtonUp
pt | WMMButtonUp
pt | WMXButtonUp
pt | WMMouseWheel
pt | WMMouseHWheel
pt | WMMove
pt | WMSize
pt | WMWindowPosChanged
pt | CMChanged
pt | LMCaptureChanged
pt | CMBiDiModeChanged
pt | CMSysFontChanged
pt | CMEnabledChanged
pt | CMHitTest
pt | CMMouseEnter
pt | CMMouseLeave
pt | CMHintShow
pt | CMParentBiDiModeChanged
pt | CMParentColorChanged
pt | CMParentFontChanged
pt | CMParentShowHintChanged
pt | CMVisibleChanged
pt | CMTextChanged
pt | CMCursorChanged
pt | CalculateDockSizes
pt | CreateFloatingDockSite
pt | GetDockEdge
pt | GetDragImages
pt | GetFloating
pt | GetFloatingDockSiteClass
pt | BeforeDragStart
pt | BeginAutoDrag
pt | DoFloatMsg
pt | DockTrackNoTarget
pt | DoDock
pt | DoDragMsg
pt | DoEndDock
pt | DoEndDrag
pt | DoStartDock
pt | DoStartDrag
pt | DragCanceled
pt | DragOver
pt | PositionDockRect
pt | SetDragMode
pt | GetDefaultDockCaption
pt | Click
pt | DblClick
pt | TripleClick
pt | QuadClick
pt | GetMousePosFromMessage
pt | MouseDown
pt | MouseMove
pt | MouseUp
pt | MouseEnter
pt | MouseLeave
pt | DialogChar
pt | UpdateMouseCursor
pt | Changed
pt | GetPalette
pt | ChildClassAllowed
pt | ReadState
pt | Loaded
pt | LoadedAll
pt | DefineProperties
pt | AssignTo
pt | FormEndUpdated
pt | InvalidateControl
pt | FontChanged
pt | ParentFontChanged
pt | GetAction
pt | RealGetText
pt | RealSetText
pt | TextChanged
pt | GetCachedText
pt | SetAction
pt | SetColor
pt | SetEnabled
pt | SetHint
pt | SetName
pt | SetParent
pt | SetParentComponent
pt | WndProc
pt | ParentFormHandleInitialized
pt | GetMouseCapture
pt | CaptureChanged
pt | Notification
pt | CanTab
pt | GetDeviceContext
pt | GetEnabled
pt | GetPopupMenu
pt | DoOnShowHint
pt | DoMouseWheel
pt | DoMouseWheelDown
pt | DoMouseWheelUp
pt | DoMouseWheelHorz
pt | DoMouseWheelLeft
pt | DoMouseWheelRight
pt | VisibleChanging
pt | VisibleChanged
pt | EnabledChanging
pt | EnabledChanged
pt | AddHandler
pt | RemoveHandler
pt | DoCallNotifyHandler
pt | DoCallKeyEventHandler
pt | DoCallMouseWheelEventHandler
pt | DoContextPopup
pt | SetZOrder
pt | GetControlClassDefaultSize
pt | ColorIsStored
pt | DoAutoAdjustLayout
pt | DoFixDesignFontPPI
pt | DoScaleFontPPI
pt | GetActionLinkClass
pt | ActionChange
 | DragDrop
 | Dock
 | ManualDock
 | ManualFloat
 | ReplaceDockedControl
 | Docked
 | Dragging
 | GetAccessibleObject
 | CreateAccessibleObject
 | GetSelectedChildAccessibleObject
 | GetChildAccessibleObjectAtPos
 | ScaleDesignToForm
 | ScaleFormToDesign
 | Scale96ToForm
 | ScaleFormTo96
 | Scale96ToFont
 | ScaleFontTo96
 | ScaleScreenToFont
 | ScaleFontToScreen
 | Scale96ToScreen
 | ScaleScreenTo96
 | AdjustSize
 | AutoSizePhases
 | AutoSizeDelayed
 | AutoSizeDelayedReport
 | AutoSizeDelayedHandle
 | AnchorToNeighbour
 | AnchorParallel
 | AnchorHorizontalCenterTo
 | AnchorVerticalCenterTo
 | AnchorToCompanion
 | AnchorSame
 | AnchorAsAlign
 | AnchorClient
 | AnchoredControlCount
 | SetBounds
 | SetInitialBounds
 | SetBoundsKeepBase
 | GetPreferredSize
 | GetCanvasScaleFactor
 | GetDefaultWidth
 | GetDefaultHeight
 | GetDefaultColor
 | GetColorResolvingParent
 | GetRGBColorResolvingParent
 | GetSidePosition
 | CNPreferredSizeChanged
 | InvalidatePreferredSize
 | GetAnchorsDependingOnParent
 | DisableAutoSizing
 | EnableAutoSizing
 | UpdateBaseBounds
 | WriteLayoutDebugReport
 | AutoAdjustLayout
 | ShouldAutoAdjust
 | FixDesignFontsPPI
 | ScaleFontsPPI
 | Create
 | Destroy
 | BeforeDestruction
 | EditingDone
 | ExecuteDefaultAction
 | ExecuteCancelAction
 | BeginDrag
 | EndDrag
 | BringToFront
 | HasParent
 | GetParentComponent
 | IsParentOf
 | GetTopParent
 | IsVisible
 | IsControlVisible
 | IsEnabled
 | IsParentColor
 | IsParentFont
 | FormIsUpdating
 | IsProcessingPaintMsg
 | Hide
 | Refresh
 | Repaint
 | Invalidate
 | CheckChildClassAllowed
 | CheckNewParent
 | SendToBack
 | SetTempCursor
 | UpdateRolesForForm
 | ActiveDefaultControlChanged
 | GetTextBuf
 | GetTextLen
 | SetTextBuf
 | Perform
 | ScreenToClient
 | ClientToScreen
 | ScreenToControl
 | ControlToScreen
 | ClientToParent
 | ParentToClient
 | GetChildrenRect
 | Show
 | Update
 | HandleObjectShouldBeVisible
 | ParentDestroyingHandle
 | ParentHandlesAllocated
 | InitiateAction
 | ShowHelp
 | HasHelp
 | RemoveAllHandlersOfObject
 | AddHandlerOnResize
 | RemoveHandlerOnResize
 | AddHandlerOnChangeBounds
 | RemoveHandlerOnChangeBounds
 | AddHandlerOnVisibleChanging
 | RemoveHandlerOnVisibleChanging
 | AddHandlerOnVisibleChanged
 | RemoveHandlerOnVisibleChanged
 | AddHandlerOnEnabledChanged
 | RemoveHandlerOnEnableChanging
 | AddHandlerOnKeyDown
 | RemoveHandlerOnKeyDown
 | AddHandlerOnBeforeDestruction
 | RemoveHandlerOnBeforeDestruction
 | AddHandlerOnMouseWheel
 | RemoveHandlerOnMouseWheel
 | UseRightToLeftAlignment
 | UseRightToLeftReading
 | UseRightToLeftScrollBar
 | IsRightToLeft
TLCLComponent
pt | WSRegisterClass
pt | GetWSComponentClass
 | Create
 | Destroy
 | NewInstance
 | RemoveAllHandlersOfObject
 | IncLCLRefCount
 | DecLCLRefCount
TComponent
 | GetComObject
 | GetComponent
 | GetComponentCount
 | GetComponentIndex
 | Insert
 | ReadLeft
 | ReadTop
 | Remove
 | RemoveNotification
 | SetComponentIndex
 | SetReference
 | WriteLeft
 | WriteTop
 | ChangeName
 | DefineProperties
 | GetChildren
 | GetChildOwner
 | GetChildParent
 | GetOwner
 | Loaded
 | Loading
 | Notification
 | PaletteCreated
 | ReadState
 | SetAncestor
 | SetDesigning
 | SetDesignInstance
 | SetInline
 | SetName
 | SetChildOrder
 | SetParentComponent
 | Updating
 | Updated
 | UpdateRegistry
 | ValidateRename
 | ValidateContainer
 | ValidateInsert
 | QueryInterface
 | _AddRef
 | _Release
 | iicrGetComponent
 | GetTypeInfoCount
 | GetTypeInfo
 | GetIDsOfNames
 | Invoke
 | WriteState
 | Create
 | Destroy
 | BeforeDestruction
 | DestroyComponents
 | Destroying
 | ExecuteAction
 | FindComponent
 | FreeNotification
 | RemoveFreeNotification
 | FreeOnRelease
 | GetEnumerator
 | GetNamePath
 | GetParentComponent
 | HasParent
 | InsertComponent
 | RemoveComponent
 | SafeCallException
 | SetSubComponent
 | UpdateAction
 | IsImplementorOf
 | ReferenceInterface
TPersistent
 | AssignError
 | AssignTo
 | DefineProperties
 | GetOwner
 | Destroy
 | Assign
 | FPOAttachObserver
 | FPODetachObserver
 | FPONotifyObservers
 | GetNamePath
TObject
 | Create
 | Destroy
 | newinstance
 | FreeInstance
 | SafeCallException
 | DefaultHandler
 | Free
 | InitInstance
 | CleanupInstance
 | ClassType
 | ClassInfo
 | ClassName
 | ClassNameIs
 | ClassParent
 | InstanceSize
 | InheritsFrom
 | StringMessageTable
 | MethodAddress
 | MethodName
 | FieldAddress
 | AfterConstruction
 | BeforeDestruction
 | DefaultHandlerStr
 | Dispatch
 | DispatchStr
 | GetInterface
 | GetInterfaceByStr
 | GetInterfaceWeak
 | GetInterfaceEntry
 | GetInterfaceEntryByStr
 | GetInterfaceTable
 | UnitName
 | Equals
 | GetHashCode
 | ToString


pt | ActionChange (TControl)
 | ActiveDefaultControlChanged (TControl)
 | AddControl (TWinControl)
pt | AddHandler (TControl)
 | AddHandlerOnBeforeDestruction (TControl)
 | AddHandlerOnChangeBounds (TControl)
 | AddHandlerOnEnabledChanged (TControl)
 | AddHandlerOnKeyDown (TControl)
 | AddHandlerOnMouseWheel (TControl)
 | AddHandlerOnResize (TControl)
 | AddHandlerOnVisibleChanged (TControl)
 | AddHandlerOnVisibleChanging (TControl)
pt | AdjustClientRect (TWinControl)
 | AdjustSize (TControl)
 | AfterConstruction (TObject)
pt | AlignControls (TWinControl)
pt | AllAutoSized (TWinControl)
 | AnchorAsAlign (TControl)
 | AnchorClient (TControl)
 | AnchoredControlCount (TControl)
 | AnchorHorizontalCenterTo (TControl)
 | AnchorParallel (TControl)
 | AnchorSame (TControl)
pt | AnchorSideChanged (TControl)
 | AnchorToCompanion (TControl)
 | AnchorToNeighbour (TControl)
 | AnchorVerticalCenterTo (TControl)
 | Assign (TPersistent)
 | AssignError (TPersistent)
 | AssignTo (TPersistent)
pt | AssignTo (TControl)
 | AutoAdjustLayout (TControl)
 | AutoAdjustLayout (TWinControl)
 | AutoSizeDelayed (TControl)
 | AutoSizeDelayed (TWinControl)
 | AutoSizeDelayedHandle (TControl)
 | AutoSizeDelayedHandle (TWinControl)
 | AutoSizeDelayedReport (TControl)
 | AutoSizeDelayedReport (TWinControl)
 | AutoSizePhases (TControl)
 | AutoSizePhases (TWinControl)
 | BeforeDestruction (TObject)
 | BeforeDestruction (TComponent)
 | BeforeDestruction (TControl)
pt | BeforeDragStart (TControl)
pt | BeginAutoDrag (TControl)
pt | BeginAutoSizing (TControl)
 | BeginDrag (TControl)
 | BeginUpdateBounds (TWinControl)
pt | BoundsChanged (TControl)
 | BringToFront (TControl)
 | BroadCast (TWinControl)
 | BrushCreated (TWinControl)
pt | CalculateDockSizes (TControl)
pt | CalculatePreferredSize (TControl)
pt | CalculatePreferredSize (TWinControl)
pt | CanAutoSize (TControl)
 | CanFocus (TWinControl)
 | CanSetFocus (TWinControl)
pt | CanTab (TControl)
pt | CanTab (TWinControl)
pt | CaptureChanged (TControl)
pt | ChangeBounds (TControl)
pt | Changed (TControl)
 | ChangeName (TComponent)
pt | ChangeScale (TControl)
pt | ChangeScale (TWinControl)
 | CheckChildClassAllowed (TControl)
 | CheckNewParent (TControl)
pt | CheckOnChangeBounds (TControl)
pt | ChildClassAllowed (TControl)
pt | ChildClassAllowed (TWinControl)
pt | ChildHandlesCreated (TWinControl)
pt | ChildKey (TWinControl)
 | ClassInfo (TObject)
 | ClassName (TObject)
 | ClassNameIs (TObject)
 | ClassParent (TObject)
 | ClassType (TObject)
 | CleanupInstance (TObject)
pt | Click (TControl)
 | ClientRectNeedsInterfaceUpdate (TWinControl)
 | ClientToParent (TControl)
 | ClientToScreen (TControl)
pt | CMBiDiModeChanged (TControl)
pt | CMBiDiModeChanged (TWinControl)
pt | CMBorderChanged (TWinControl)
pt | CMChanged (TControl)
pt | CMCursorChanged (TControl)
pt | CMDoubleBufferedChanged (TWinControl)
pt | CMEnabledChanged (TControl)
pt | CMEnabledChanged (TWinControl)
pt | CMEnter (TWinControl)
pt | CMExit (TWinControl)
pt | CMHintShow (TControl)
pt | CMHitTest (TControl)
pt | CMMouseEnter (TControl)
pt | CMMouseLeave (TControl)
pt | CMParentBiDiModeChanged (TControl)
pt | CMParentColorChanged (TControl)
pt | CMParentDoubleBufferedChanged (TWinControl)
pt | CMParentFontChanged (TControl)
pt | CMParentShowHintChanged (TControl)
pt | CMShowHintChanged (TWinControl)
pt | CMShowingChanged (TWinControl)
pt | CMSysFontChanged (TControl)
pt | CMTextChanged (TControl)
pt | CMVisibleChanged (TControl)
pt | CMVisibleChanged (TWinControl)
pt | CNChar (TWinControl)
pt | CNKeyDown (TWinControl)
pt | CNKeyUp (TWinControl)
 | CNPreferredSizeChanged (TControl)
pt | CNSysKeyDown (TWinControl)
pt | CNSysKeyUp (TWinControl)
pt | ColorIsStored (TControl)
pt | ConstrainedResize (TControl)
 | ContainsControl (TWinControl)
 | ControlAtPos (TWinControl)
pt | ControlKeyDown (TWinControl)
pt | ControlKeyUp (TWinControl)
pt | ControlsAligned (TWinControl)
 | ControlToScreen (TControl)
 | Create (TObject)
 | Create (TComponent)
 | Create (TLCLComponent)
 | Create (TControl)
 | Create (TWinControl)
 | Create (TCustomRubberBand)
 | CreateAccessibleObject (TControl)
pt | CreateBrush (TWinControl)
pt | CreateControlBorderSpacing (TControl)
pt | CreateDockManager (TWinControl)
pt | CreateFloatingDockSite (TControl)
pt | CreateHandle (TWinControl)
pt | CreateParams (TWinControl)
 | CreateParented (TWinControl)
 | CreateParentedControl (TWinControl)
pt | CreateSubClass (TWinControl)
pt | CreateWnd (TWinControl)
pt | CustomAlignInsertBefore (TWinControl)
pt | CustomAlignPosition (TWinControl)
pt | DblClick (TControl)
 | DecLCLRefCount (TLCLComponent)
 | DefaultHandler (TObject)
 | DefaultHandler (TWinControl)
 | DefaultHandlerStr (TObject)
 | DefineProperties (TPersistent)
 | DefineProperties (TComponent)
pt | DefineProperties (TControl)
 | Destroy (TObject)
 | Destroy (TPersistent)
 | Destroy (TComponent)
 | Destroy (TLCLComponent)
 | Destroy (TControl)
 | Destroy (TWinControl)
 | DestroyComponents (TComponent)
pt | DestroyHandle (TWinControl)
 | Destroying (TComponent)
pt | DestroyWnd (TWinControl)
pt | DialogChar (TControl)
pt | DialogChar (TWinControl)
 | DisableAlign (TWinControl)
 | DisableAutoSizing (TControl)
 | Dispatch (TObject)
 | DispatchStr (TObject)
pt | DoAddDockClient (TWinControl)
 | DoAdjustClientRectChange (TWinControl)
pt | DoAlignChildControls (TWinControl)
pt | DoAllAutoSize (TControl)
pt | DoAllAutoSize (TWinControl)
pt | DoAutoAdjustLayout (TControl)
pt | DoAutoSize (TControl)
pt | DoAutoSize (TWinControl)
pt | DoBorderSpacingChange (TControl)
pt | DoCallKeyEventHandler (TControl)
pt | DoCallMouseWheelEventHandler (TControl)
pt | DoCallNotifyHandler (TControl)
pt | DoChildSizingChange (TWinControl)
 | Dock (TControl)
 | DockDrop (TWinControl)
 | Docked (TControl)
pt | DockOver (TWinControl)
pt | DockTrackNoTarget (TControl)
pt | DoConstraintsChange (TControl)
pt | DoConstraintsChange (TWinControl)
pt | DoContextPopup (TControl)
pt | DoDock (TControl)
pt | DoDockClientMsg (TWinControl)
pt | DoDockOver (TWinControl)
pt | DoDragMsg (TControl)
pt | DoDragMsg (TWinControl)
pt | DoEndDock (TControl)
pt | DoEndDrag (TControl)
pt | DoEnter (TWinControl)
pt | DoExit (TWinControl)
pt | DoFixDesignFontPPI (TControl)
pt | DoFlipChildren (TWinControl)
pt | DoFloatMsg (TControl)
pt | DoFloatMsg (TWinControl)
pt | DoGetDockCaption (TWinControl)
pt | DoKeyDownBeforeInterface (TWinControl)
pt | DoKeyPress (TWinControl)
pt | DoKeyUpBeforeInterface (TWinControl)
pt | DoMouseWheel (TControl)
pt | DoMouseWheelDown (TControl)
pt | DoMouseWheelHorz (TControl)
pt | DoMouseWheelLeft (TControl)
pt | DoMouseWheelRight (TControl)
pt | DoMouseWheelUp (TControl)
pt | DoOnChangeBounds (TControl)
pt | DoOnParentHandleDestruction (TControl)
pt | DoOnResize (TControl)
pt | DoOnShowHint (TControl)
pt | DoRemainingKeyDown (TWinControl)
pt | DoRemainingKeyUp (TWinControl)
pt | DoRemoveDockClient (TWinControl)
pt | DoScaleFontPPI (TControl)
pt | DoSendBoundsToInterface (TWinControl)
pt | DoSendShowHideToInterface (TWinControl)
pt | DoSetBounds (TControl)
pt | DoSetBounds (TWinControl)
pt | DoStartDock (TControl)
pt | DoStartDrag (TControl)
pt | DoUnDock (TWinControl)
pt | DoUndockClientMsg (TWinControl)
pt | DoUTF8KeyPress (TWinControl)
pt | DragCanceled (TControl)
 | DragDrop (TControl)
 | Dragging (TControl)
pt | DragOver (TControl)
 | EditingDone (TControl)
 | EnableAlign (TWinControl)
 | EnableAutoSizing (TControl)
pt | EnabledChanged (TControl)
pt | EnabledChanging (TControl)
pt | EndAutoSizing (TControl)
 | EndDrag (TControl)
 | EndUpdateBounds (TWinControl)
 | Equals (TObject)
 | EraseBackground (TWinControl)
 | ExecuteAction (TComponent)
 | ExecuteCancelAction (TControl)
 | ExecuteDefaultAction (TControl)
 | FieldAddress (TObject)
pt | FinalizeWnd (TWinControl)
 | FindChildControl (TWinControl)
 | FindComponent (TComponent)
pt | FindNextControl (TWinControl)
 | FixDesignFontsPPI (TControl)
pt | FixupTabList (TWinControl)
 | FlipChildren (TWinControl)
 | Focused (TWinControl)
pt | FontChanged (TControl)
pt | FontChanged (TWinControl)
pt | ForeignAnchorSideChanged (TControl)
pt | FormEndUpdated (TControl)
pt | FormEndUpdated (TWinControl)
 | FormIsUpdating (TControl)
 | FPOAttachObserver (TPersistent)
 | FPODetachObserver (TPersistent)
 | FPONotifyObservers (TPersistent)
 | Free (TObject)
 | FreeInstance (TObject)
 | FreeNotification (TComponent)
 | FreeOnRelease (TComponent)
 | GetAccessibleObject (TControl)
pt | GetAction (TControl)
pt | GetActionLinkClass (TControl)
pt | GetAdjustedLogicalClientRect (TWinControl)
 | GetAnchorsDependingOnParent (TControl)
pt | GetBorderStyle (TWinControl)
pt | GetCachedText (TControl)
 | GetCanvasScaleFactor (TControl)
 | GetChildAccessibleObjectAtPos (TControl)
 | GetChildOwner (TComponent)
 | GetChildParent (TComponent)
 | GetChildren (TComponent)
pt | GetChildren (TWinControl)
 | GetChildrenRect (TControl)
 | GetChildrenRect (TWinControl)
pt | GetClientOrigin (TControl)
pt | GetClientOrigin (TWinControl)
pt | GetClientRect (TControl)
pt | GetClientRect (TWinControl)
pt | GetClientScrollOffset (TControl)
 | GetColorResolvingParent (TControl)
 | GetComObject (TComponent)
 | GetComponent (TComponent)
 | GetComponentCount (TComponent)
 | GetComponentIndex (TComponent)
pt | GetControlClassDefaultSize (TControl)
 | GetControlIndex (TWinControl)
pt | GetControlOrigin (TControl)
pt | GetControlOrigin (TWinControl)
pt | GetCursor (TControl)
 | GetDefaultColor (TControl)
pt | GetDefaultDockCaption (TControl)
 | GetDefaultHeight (TControl)
 | GetDefaultWidth (TControl)
pt | GetDeviceContext (TControl)
pt | GetDeviceContext (TWinControl)
 | GetDockCaption (TWinControl)
pt | GetDockEdge (TControl)
pt | GetDragImages (TControl)
pt | GetEnabled (TControl)
 | GetEnumerator (TComponent)
 | GetEnumeratorControls (TWinControl)
 | GetEnumeratorControlsReverse (TWinControl)
pt | GetFloating (TControl)
pt | GetFloatingDockSiteClass (TControl)
 | GetHashCode (TObject)
 | GetIDsOfNames (TComponent)
 | GetInterface (TObject)
 | GetInterfaceByStr (TObject)
 | GetInterfaceEntry (TObject)
 | GetInterfaceEntryByStr (TObject)
 | GetInterfaceTable (TObject)
 | GetInterfaceWeak (TObject)
pt | GetLogicalClientRect (TControl)
pt | GetMouseCapture (TControl)
pt | GetMouseCapture (TWinControl)
pt | GetMousePosFromMessage (TControl)
 | GetNamePath (TPersistent)
 | GetNamePath (TComponent)
 | GetOwner (TPersistent)
 | GetOwner (TComponent)
pt | GetPalette (TControl)
pt | GetParentBackground (TWinControl)
 | GetParentComponent (TComponent)
 | GetParentComponent (TControl)
pt | GetParentHandle (TWinControl)
pt | GetPopupMenu (TControl)
 | GetPreferredSize (TControl)
pt | GetPreferredSizeClientFrame (TWinControl)
 | GetRGBColorResolvingParent (TControl)
pt | GetScrolledClientRect (TControl)
 | GetSelectedChildAccessibleObject (TControl)
 | GetSidePosition (TControl)
pt | GetSiteInfo (TWinControl)
 | GetTabOrderList (TWinControl)
 | GetTextBuf (TControl)
 | GetTextLen (TControl)
 | GetTextLen (TWinControl)
 | GetTopParent (TControl)
pt | GetTopParentHandle (TWinControl)
 | GetTypeInfo (TComponent)
 | GetTypeInfoCount (TComponent)
pt | GetWSComponentClass (TLCLComponent)
 | HandleAllocated (TWinControl)
 | HandleNeeded (TWinControl)
 | HandleObjectShouldBeVisible (TControl)
 | HasHelp (TControl)
 | HasParent (TComponent)
 | HasParent (TControl)
pt | HeightIsAnchored (TControl)
 | Hide (TControl)
 | iicrGetComponent (TComponent)
 | IncLCLRefCount (TLCLComponent)
 | InheritsFrom (TObject)
pt | InitializeWnd (TWinControl)
 | InitiateAction (TControl)
 | InitInstance (TObject)
 | Insert (TComponent)
 | InsertComponent (TComponent)
 | InsertControl (TWinControl)
 | InstanceSize (TObject)
 | IntfGetDropFilesTarget (TWinControl)
 | IntfUTF8KeyPress (TWinControl)
 | Invalidate (TControl)
 | Invalidate (TWinControl)
pt | InvalidateBoundsRealized (TWinControl)
 | InvalidateClientRectCache (TWinControl)
pt | InvalidateControl (TControl)
pt | InvalidatePreferredChildSizes (TWinControl)
 | InvalidatePreferredSize (TControl)
 | Invoke (TComponent)
pt | IsAParentAligning (TControl)
pt | IsBorderSpacingInnerBorderStored (TControl)
pt | IsCaptionStored (TControl)
pt | IsClientHeightStored (TControl)
pt | IsClientHeightStored (TWinControl)
pt | IsClientWidthStored (TControl)
pt | IsClientWidthStored (TWinControl)
pt | IsControlMouseMsg (TWinControl)
 | IsControlVisible (TControl)
 | IsEnabled (TControl)
 | IsImplementorOf (TComponent)
 | IsParentColor (TControl)
 | IsParentFont (TControl)
 | IsParentOf (TControl)
 | IsProcessingPaintMsg (TControl)
 | IsRightToLeft (TControl)
 | IsVisible (TControl)
pt | KeyDown (TWinControl)
pt | KeyDownAfterInterface (TWinControl)
pt | KeyDownBeforeInterface (TWinControl)
pt | KeyPress (TWinControl)
pt | KeyUp (TWinControl)
pt | KeyUpAfterInterface (TWinControl)
pt | KeyUpBeforeInterface (TWinControl)
pt | LMCaptureChanged (TControl)
 | Loaded (TComponent)
pt | Loaded (TControl)
pt | Loaded (TWinControl)
pt | LoadedAll (TControl)
 | Loading (TComponent)
 | LockRealizeBounds (TWinControl)
pt | MainWndProc (TWinControl)
 | ManualDock (TControl)
 | ManualFloat (TControl)
 | MethodAddress (TObject)
 | MethodName (TObject)
pt | MouseDown (TControl)
pt | MouseEnter (TControl)
pt | MouseLeave (TControl)
pt | MouseMove (TControl)
pt | MouseUp (TControl)
 | newinstance (TObject)
 | NewInstance (TLCLComponent)
 | Notification (TComponent)
pt | Notification (TControl)
 | NotifyControls (TWinControl)
pt | PaintControls (TWinControl)
pt | PaintHandler (TWinControl)
 | PaintTo (TWinControl)
pt | PaintWindow (TWinControl)
 | PaletteCreated (TComponent)
 | ParentDestroyingHandle (TControl)
pt | ParentFontChanged (TControl)
pt | ParentFormHandleInitialized (TControl)
pt | ParentFormHandleInitialized (TWinControl)
 | ParentHandlesAllocated (TControl)
 | ParentHandlesAllocated (TWinControl)
 | ParentToClient (TControl)
 | Perform (TControl)
 | PerformTab (TWinControl)
pt | PositionDockRect (TControl)
pt | QuadClick (TControl)
 | QueryInterface (TComponent)
 | ReadLeft (TComponent)
 | ReadState (TComponent)
pt | ReadState (TControl)
 | ReadTop (TComponent)
pt | RealGetText (TControl)
pt | RealGetText (TWinControl)
 | ReAlign (TWinControl)
pt | RealizeBounds (TWinControl)
pt | RealizeBoundsRecursive (TWinControl)
pt | RealSetText (TControl)
pt | RealSetText (TWinControl)
 | ReferenceInterface (TComponent)
 | Refresh (TControl)
pt | ReloadDockedControl (TWinControl)
 | Remove (TComponent)
 | RemoveAllHandlersOfObject (TLCLComponent)
 | RemoveAllHandlersOfObject (TControl)
 | RemoveComponent (TComponent)
 | RemoveControl (TWinControl)
pt | RemoveFocus (TWinControl)
 | RemoveFreeNotification (TComponent)
pt | RemoveHandler (TControl)
 | RemoveHandlerOnBeforeDestruction (TControl)
 | RemoveHandlerOnChangeBounds (TControl)
 | RemoveHandlerOnEnableChanging (TControl)
 | RemoveHandlerOnKeyDown (TControl)
 | RemoveHandlerOnMouseWheel (TControl)
 | RemoveHandlerOnResize (TControl)
 | RemoveHandlerOnVisibleChanged (TControl)
 | RemoveHandlerOnVisibleChanging (TControl)
 | RemoveNotification (TComponent)
 | Repaint (TControl)
 | Repaint (TWinControl)
 | ReplaceDockedControl (TControl)
pt | RequestAlign (TControl)
pt | Resize (TControl)
 | SafeCallException (TObject)
 | SafeCallException (TComponent)
 | Scale96ToFont (TControl)
 | Scale96ToForm (TControl)
 | Scale96ToScreen (TControl)
 | ScaleBy (TWinControl)
pt | ScaleConstraints (TControl)
pt | ScaleControls (TWinControl)
 | ScaleDesignToForm (TControl)
 | ScaleFontsPPI (TControl)
 | ScaleFontTo96 (TControl)
 | ScaleFontToScreen (TControl)
 | ScaleFormTo96 (TControl)
 | ScaleFormToDesign (TControl)
 | ScaleScreenTo96 (TControl)
 | ScaleScreenToFont (TControl)
 | ScreenToClient (TControl)
 | ScreenToControl (TControl)
 | ScrollBy (TWinControl)
 | ScrollBy_WS (TWinControl)
pt | SelectFirst (TWinControl)
 | SelectNext (TWinControl)
pt | SendDialogChar (TWinControl)
pt | SendMoveSizeMessages (TControl)
pt | SendMoveSizeMessages (TWinControl)
 | SendToBack (TControl)
pt | SetAction (TControl)
pt | SetAlign (TControl)
 | SetAncestor (TComponent)
pt | SetAnchors (TControl)
pt | SetAutoSize (TControl)
pt | SetBiDiMode (TControl)
pt | SetBorderStyle (TWinControl)
 | SetBounds (TControl)
 | SetBounds (TWinControl)
 | SetBoundsKeepBase (TControl)
 | SetChildOrder (TComponent)
pt | SetChildZPosition (TWinControl)
pt | SetColor (TControl)
pt | SetColor (TWinControl)
 | SetComponentIndex (TComponent)
 | SetControlIndex (TWinControl)
pt | SetCursor (TControl)
 | SetDesigning (TComponent)
 | SetDesignInstance (TComponent)
pt | SetDockManager (TWinControl)
pt | SetDragMode (TControl)
pt | SetEnabled (TControl)
 | SetFocus (TWinControl)
pt | SetHint (TControl)
 | SetInitialBounds (TControl)
 | SetInline (TComponent)
 | SetName (TComponent)
pt | SetName (TControl)
pt | SetParent (TControl)
pt | SetParentBackground (TWinControl)
pt | SetParentBiDiMode (TControl)
 | SetParentComponent (TComponent)
pt | SetParentComponent (TControl)
 | SetReference (TComponent)
 | SetShape (TWinControl)
 | SetSubComponent (TComponent)
 | SetTempCursor (TControl)
 | SetTempCursor (TWinControl)
 | SetTextBuf (TControl)
pt | SetVisible (TControl)
pt | SetZOrder (TControl)
 | ShouldAutoAdjust (TControl)
 | Show (TControl)
pt | ShowControl (TWinControl)
 | ShowHelp (TControl)
 | StringMessageTable (TObject)
pt | TextChanged (TControl)
 | ToString (TObject)
pt | TripleClick (TControl)
 | UnitName (TObject)
 | UnlockRealizeBounds (TWinControl)
 | Update (TControl)
 | Update (TWinControl)
 | UpdateAction (TComponent)
pt | UpdateAnchorRules (TControl)
 | UpdateBaseBounds (TControl)
pt | UpdateControlState (TWinControl)
 | Updated (TComponent)
 | UpdateDockCaption (TWinControl)
pt | UpdateMouseCursor (TControl)
 | UpdateRegistry (TComponent)
 | UpdateRolesForForm (TControl)
pt | UpdateShowing (TWinControl)
 | Updating (TComponent)
 | UseRightToLeftAlignment (TControl)
 | UseRightToLeftReading (TControl)
 | UseRightToLeftScrollBar (TControl)
pt | UTF8KeyPress (TWinControl)
 | ValidateContainer (TComponent)
 | ValidateInsert (TComponent)
 | ValidateRename (TComponent)
pt | VisibleChanged (TControl)
pt | VisibleChanging (TControl)
pt | WidthIsAnchored (TControl)
pt | WMCancelMode (TControl)
pt | WMChar (TWinControl)
pt | WMContextMenu (TControl)
pt | WMContextMenu (TWinControl)
pt | WMDestroy (TWinControl)
pt | WMEnter (TWinControl)
pt | WMEraseBkgnd (TWinControl)
pt | WMExit (TWinControl)
pt | WMKeyDown (TWinControl)
pt | WMKeyUp (TWinControl)
pt | WMKillFocus (TWinControl)
pt | WMLButtonDBLCLK (TControl)
pt | WMLButtonDown (TControl)
pt | WMLButtonQuadCLK (TControl)
pt | WMLButtonTripleCLK (TControl)
pt | WMLButtonUp (TControl)
pt | WMMButtonDBLCLK (TControl)
pt | WMMButtonDown (TControl)
pt | WMMButtonQuadCLK (TControl)
pt | WMMButtonTripleCLK (TControl)
pt | WMMButtonUp (TControl)
pt | WMMouseHWheel (TControl)
pt | WMMouseMove (TControl)
pt | WMMouseWheel (TControl)
pt | WMMove (TControl)
pt | WMMove (TWinControl)
pt | WMNotify (TWinControl)
pt | WMPaint (TWinControl)
pt | WMRButtonDBLCLK (TControl)
pt | WMRButtonDown (TControl)
pt | WMRButtonQuadCLK (TControl)
pt | WMRButtonTripleCLK (TControl)
pt | WMRButtonUp (TControl)
pt | WMSetFocus (TWinControl)
pt | WMShowWindow (TWinControl)
pt | WMSize (TControl)
pt | WMSize (TWinControl)
pt | WMSysChar (TWinControl)
pt | WMSysKeyDown (TWinControl)
pt | WMSysKeyUp (TWinControl)
pt | WMWindowPosChanged (TControl)
pt | WMWindowPosChanged (TWinControl)
pt | WMXButtonDBLCLK (TControl)
pt | WMXButtonDown (TControl)
pt | WMXButtonQuadCLK (TControl)
pt | WMXButtonTripleCLK (TControl)
pt | WMXButtonUp (TControl)
pt | WndProc (TControl)
pt | WndProc (TWinControl)
 | WriteLayoutDebugReport (TControl)
 | WriteLayoutDebugReport (TWinControl)
 | WriteLeft (TComponent)
 | WriteState (TComponent)
 | WriteTop (TComponent)
pt | WSRegisterClass (TLCLComponent)
pt | WSRegisterClass (TControl)
pt | WSRegisterClass (TWinControl)
pt | WSRegisterClass (TCustomRubberBand)
pt | WSSetText (TWinControl)
 | _AddRef (TComponent)
 | _Release (TComponent)


TCustomRubberBand
TWinControl
pt | OnGetSiteInfo
pt | OnGetDockCaption
 | OnAlignInsertBefore
 | OnAlignPosition
 | OnDockDrop
 | OnDockOver
 | OnEnter
 | OnExit
 | OnKeyDown
 | OnKeyPress
 | OnKeyUp
 | OnUnDock
 | OnUTF8KeyPress
TControl
pt | OnConstrainedResize
pt | OnContextPopup
pt | OnDblClick
pt | OnTripleClick
pt | OnQuadClick
pt | OnDragDrop
pt | OnDragOver
pt | OnEndDock
pt | OnEndDrag
pt | OnMouseDown
pt | OnMouseMove
pt | OnMouseUp
pt | OnMouseEnter
pt | OnMouseLeave
pt | OnMouseWheel
pt | OnMouseWheelDown
pt | OnMouseWheelUp
pt | OnMouseWheelHorz
pt | OnMouseWheelLeft
pt | OnMouseWheelRight
pt | OnStartDock
pt | OnStartDrag
pt | OnEditingDone
 | OnChangeBounds
 | OnClick
 | OnResize
 | OnShowHint
TLCLComponent
TComponent
TPersistent
TObject


TCustomRubberBand.Shape

The Shape of the rubber band device: a line or a rectangle around the selection

Declaration

Source position: rubberband.pas line 46

public property TCustomRubberBand.Shape : TRubberBandShape
  read GetShape
  write SetShape
  default rbsLine;


TRubberBand

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

TRubberBand for drawing a ring resembling a rubber band around a selection

Declaration

Source position: rubberband.pas line 49

type TRubberBand = class(TCustomRubberBand) end;

Inheritance

TRubberBand | TRubberBand for drawing a ring resembling a rubber band around a selection
|
TCustomRubberBand | TCustomRubberBand - base class for TRubberBand, for drawing a ring resembling a rubber band around a selection
|
TWinControl | The base class for controls which can contain other (child) controls.
|
TControl | The base class for visible controls.
|
TLCLComponent | The base class for LCL components associated with widgets.
|
TComponent,IUnknown,IInterfaceComponentReference
|
TPersistent,IFPObserved
|
TObject


TRubberBand
TCustomRubberBand
 |  | Shape
TWinControl
pt |  | WindowHandle
pt |  | BorderStyle
pt |  | ParentBackground
 |  | BorderWidth
 | ro | BoundsLockCount
 | ro | Brush
 | ro | CachedClientHeight
 | ro | CachedClientWidth
 |  | ChildSizing
 | ro | ControlCount
 | ro | Controls
 |  | DefWndProc
 | ro | DockClientCount
 | ro | DockClients
 |  | DockManager
 |  | DockSite
 |  | DoubleBuffered
 |  | Handle
 | ro | IsFlipped
 | ro | IsResizing
 |  | TabOrder
 |  | TabStop
 |  | ParentDoubleBuffered
 |  | ParentWindow
 | ro | Showing
 |  | UseDockManager
 |  | DesignerDeleting
 | ro | VisibleDockClientCount
TControl
pt | ro | AutoSizing
pt | ro | AutoSizingAll
pt | ro | AutoSizingLockCount
pt |  | ActionLink
pt |  | DesktopFont
pt |  | DragCursor
pt |  | DragKind
pt |  | DragMode
pt |  | MouseCapture
pt |  | ParentColor
pt |  | ParentFont
pt |  | ParentShowHint
pt |  | SessionProperties
pt |  | Text
 | ro | AnchoredControls
 | ro | BaseBounds
 | ro | ReadBounds
 | ro | BaseParentClientSize
 |  | AccessibleDescription
 |  | AccessibleValue
 |  | AccessibleRole
 |  | Action
 |  | Align
 |  | Anchors
 | ro | AnchorSide
 |  | AutoSize
 |  | BorderSpacing
 |  | BoundsRect
 |  | BoundsRectForNewParent
 |  | Caption
 |  | CaptureMouseButtons
 |  | ClientHeight
 | ro | ClientOrigin
 | ro | ClientRect
 |  | ClientWidth
 |  | Color
 |  | Constraints
 | ro | ControlOrigin
 |  | ControlState
 |  | ControlStyle
 |  | Enabled
 |  | Font
 |  | IsControl
 | ro | MouseEntered
 | ro | MouseInClient
 |  | Parent
 |  | PopupMenu
 |  | ShowHint
 |  | Visible
 |  | WindowProc
 |  | DockOrientation
 | ro | Floating
 |  | FloatingDockSiteClass
 |  | HostDockSite
 |  | LRDockWidth
 |  | TBDockHeight
 |  | UndockHeight
 |  | UndockWidth
 |  | BiDiMode
 |  | ParentBiDiMode
pl |  | AnchorSideLeft
pl |  | AnchorSideTop
pl |  | AnchorSideRight
pl |  | AnchorSideBottom
pl |  | Cursor
pl |  | Left
pl |  | Height
pl |  | Hint
pl |  | Top
pl |  | Width
pl |  | HelpType
pl |  | HelpKeyword
pl |  | HelpContext
TLCLComponent
 | ro | LCLRefCount
 | ro | WidgetSetClass
TComponent
 | ro | ComObject
 | ro | Components
 | ro | ComponentCount
 |  | ComponentIndex
 | ro | ComponentState
 | ro | ComponentStyle
 |  | DesignInfo
 | ro | Owner
 |  | VCLComObject
 |  | Name
 |  | Tag
TPersistent
TObject


TRubberBand
TCustomRubberBand
pt | WSRegisterClass
 | Create
TWinControl
pt | WSRegisterClass
pt | AdjustClientRect
pt | GetAdjustedLogicalClientRect
pt | AlignControls
pt | CustomAlignInsertBefore
pt | CustomAlignPosition
pt | DoAlignChildControls
pt | DoChildSizingChange
pt | InvalidatePreferredChildSizes
pt | CanTab
pt | IsClientHeightStored
pt | IsClientWidthStored
pt | DoSendShowHideToInterface
pt | ControlsAligned
pt | DoSendBoundsToInterface
pt | RealizeBounds
pt | RealizeBoundsRecursive
pt | InvalidateBoundsRealized
pt | CreateSubClass
pt | DoConstraintsChange
pt | DoSetBounds
pt | DoAutoSize
pt | DoAllAutoSize
pt | AllAutoSized
pt | CalculatePreferredSize
pt | GetPreferredSizeClientFrame
pt | GetChildren
pt | ChildClassAllowed
pt | PaintControls
pt | PaintHandler
pt | PaintWindow
pt | CreateBrush
pt | ScaleControls
pt | ChangeScale
pt | CMBiDiModeChanged
pt | CMBorderChanged
pt | CMDoubleBufferedChanged
pt | CMEnabledChanged
pt | CMParentDoubleBufferedChanged
pt | CMShowingChanged
pt | CMShowHintChanged
pt | CMVisibleChanged
pt | CMEnter
pt | CMExit
pt | WMContextMenu
pt | WMEraseBkgnd
pt | WMNotify
pt | WMSetFocus
pt | WMKillFocus
pt | WMShowWindow
pt | WMEnter
pt | WMExit
pt | WMKeyDown
pt | WMSysKeyDown
pt | WMKeyUp
pt | WMSysKeyUp
pt | WMChar
pt | WMSysChar
pt | WMPaint
pt | WMDestroy
pt | WMMove
pt | WMSize
pt | WMWindowPosChanged
pt | CNKeyDown
pt | CNSysKeyDown
pt | CNKeyUp
pt | CNSysKeyUp
pt | CNChar
pt | DoDragMsg
pt | DoDockClientMsg
pt | DoUndockClientMsg
pt | DoAddDockClient
pt | DockOver
pt | DoDockOver
pt | DoRemoveDockClient
pt | DoUnDock
pt | GetSiteInfo
pt | GetParentHandle
pt | GetTopParentHandle
pt | ReloadDockedControl
pt | CreateDockManager
pt | SetDockManager
pt | DoFloatMsg
pt | DoGetDockCaption
pt | DoEnter
pt | DoExit
pt | DoKeyDownBeforeInterface
pt | DoRemainingKeyDown
pt | DoRemainingKeyUp
pt | DoKeyPress
pt | DoUTF8KeyPress
pt | DoKeyUpBeforeInterface
pt | ChildKey
pt | SendDialogChar
pt | DialogChar
pt | ControlKeyDown
pt | ControlKeyUp
pt | KeyDown
pt | KeyDownBeforeInterface
pt | KeyDownAfterInterface
pt | KeyPress
pt | KeyUp
pt | KeyUpBeforeInterface
pt | KeyUpAfterInterface
pt | UTF8KeyPress
pt | FindNextControl
pt | SelectFirst
pt | RealGetText
pt | GetBorderStyle
pt | GetClientOrigin
pt | GetClientRect
pt | GetControlOrigin
pt | GetDeviceContext
pt | GetParentBackground
pt | IsControlMouseMsg
pt | CreateHandle
pt | CreateParams
pt | CreateWnd
pt | DestroyHandle
pt | DestroyWnd
pt | DoFlipChildren
pt | FinalizeWnd
pt | FixupTabList
pt | FontChanged
pt | InitializeWnd
pt | Loaded
pt | FormEndUpdated
pt | MainWndProc
pt | ParentFormHandleInitialized
pt | ChildHandlesCreated
pt | GetMouseCapture
pt | RealSetText
pt | RemoveFocus
pt | SendMoveSizeMessages
pt | SetBorderStyle
pt | SetColor
pt | SetChildZPosition
pt | SetParentBackground
pt | ShowControl
pt | UpdateControlState
pt | UpdateShowing
pt | WndProc
pt | WSSetText
 | AutoSizePhases
 | AutoSizeDelayed
 | AutoSizeDelayedReport
 | AutoSizeDelayedHandle
 | BeginUpdateBounds
 | EndUpdateBounds
 | LockRealizeBounds
 | UnlockRealizeBounds
 | ControlAtPos
 | ContainsControl
 | DoAdjustClientRectChange
 | InvalidateClientRectCache
 | ClientRectNeedsInterfaceUpdate
 | SetBounds
 | GetChildrenRect
 | DisableAlign
 | EnableAlign
 | ReAlign
 | ScrollBy_WS
 | ScrollBy
 | WriteLayoutDebugReport
 | AutoAdjustLayout
 | Create
 | CreateParented
 | CreateParentedControl
 | Destroy
 | DockDrop
 | CanFocus
 | CanSetFocus
 | GetControlIndex
 | SetControlIndex
 | Focused
 | PerformTab
 | FindChildControl
 | SelectNext
 | SetTempCursor
 | BroadCast
 | NotifyControls
 | DefaultHandler
 | GetTextLen
 | Invalidate
 | AddControl
 | InsertControl
 | RemoveControl
 | GetEnumeratorControls
 | GetEnumeratorControlsReverse
 | Repaint
 | Update
 | SetFocus
 | FlipChildren
 | ScaleBy
 | GetDockCaption
 | UpdateDockCaption
 | GetTabOrderList
 | HandleAllocated
 | ParentHandlesAllocated
 | HandleNeeded
 | BrushCreated
 | EraseBackground
 | IntfUTF8KeyPress
 | IntfGetDropFilesTarget
 | PaintTo
 | SetShape
TControl
pt | WSRegisterClass
pt | GetCursor
pt | SetCursor
pt | SetVisible
pt | DoOnParentHandleDestruction
pt | DoAutoSize
pt | DoAllAutoSize
pt | BeginAutoSizing
pt | EndAutoSizing
pt | AnchorSideChanged
pt | ForeignAnchorSideChanged
pt | SetAlign
pt | SetAnchors
pt | SetAutoSize
pt | BoundsChanged
pt | CreateControlBorderSpacing
pt | DoConstraintsChange
pt | DoBorderSpacingChange
pt | IsBorderSpacingInnerBorderStored
pt | IsCaptionStored
pt | SendMoveSizeMessages
pt | ConstrainedResize
pt | CalculatePreferredSize
pt | DoOnResize
pt | DoOnChangeBounds
pt | CheckOnChangeBounds
pt | Resize
pt | RequestAlign
pt | UpdateAnchorRules
pt | ChangeBounds
pt | DoSetBounds
pt | ScaleConstraints
pt | ChangeScale
pt | CanAutoSize
pt | SetBiDiMode
pt | SetParentBiDiMode
pt | IsAParentAligning
pt | GetClientOrigin
pt | GetClientRect
pt | GetLogicalClientRect
pt | GetScrolledClientRect
pt | GetClientScrollOffset
pt | GetControlOrigin
pt | IsClientHeightStored
pt | IsClientWidthStored
pt | WidthIsAnchored
pt | HeightIsAnchored
pt | WMCancelMode
pt | WMContextMenu
pt | WMLButtonDown
pt | WMRButtonDown
pt | WMMButtonDown
pt | WMXButtonDown
pt | WMLButtonDBLCLK
pt | WMRButtonDBLCLK
pt | WMMButtonDBLCLK
pt | WMXButtonDBLCLK
pt | WMLButtonTripleCLK
pt | WMRButtonTripleCLK
pt | WMMButtonTripleCLK
pt | WMXButtonTripleCLK
pt | WMLButtonQuadCLK
pt | WMRButtonQuadCLK
pt | WMMButtonQuadCLK
pt | WMXButtonQuadCLK
pt | WMMouseMove
pt | WMLButtonUp
pt | WMRButtonUp
pt | WMMButtonUp
pt | WMXButtonUp
pt | WMMouseWheel
pt | WMMouseHWheel
pt | WMMove
pt | WMSize
pt | WMWindowPosChanged
pt | CMChanged
pt | LMCaptureChanged
pt | CMBiDiModeChanged
pt | CMSysFontChanged
pt | CMEnabledChanged
pt | CMHitTest
pt | CMMouseEnter
pt | CMMouseLeave
pt | CMHintShow
pt | CMParentBiDiModeChanged
pt | CMParentColorChanged
pt | CMParentFontChanged
pt | CMParentShowHintChanged
pt | CMVisibleChanged
pt | CMTextChanged
pt | CMCursorChanged
pt | CalculateDockSizes
pt | CreateFloatingDockSite
pt | GetDockEdge
pt | GetDragImages
pt | GetFloating
pt | GetFloatingDockSiteClass
pt | BeforeDragStart
pt | BeginAutoDrag
pt | DoFloatMsg
pt | DockTrackNoTarget
pt | DoDock
pt | DoDragMsg
pt | DoEndDock
pt | DoEndDrag
pt | DoStartDock
pt | DoStartDrag
pt | DragCanceled
pt | DragOver
pt | PositionDockRect
pt | SetDragMode
pt | GetDefaultDockCaption
pt | Click
pt | DblClick
pt | TripleClick
pt | QuadClick
pt | GetMousePosFromMessage
pt | MouseDown
pt | MouseMove
pt | MouseUp
pt | MouseEnter
pt | MouseLeave
pt | DialogChar
pt | UpdateMouseCursor
pt | Changed
pt | GetPalette
pt | ChildClassAllowed
pt | ReadState
pt | Loaded
pt | LoadedAll
pt | DefineProperties
pt | AssignTo
pt | FormEndUpdated
pt | InvalidateControl
pt | FontChanged
pt | ParentFontChanged
pt | GetAction
pt | RealGetText
pt | RealSetText
pt | TextChanged
pt | GetCachedText
pt | SetAction
pt | SetColor
pt | SetEnabled
pt | SetHint
pt | SetName
pt | SetParent
pt | SetParentComponent
pt | WndProc
pt | ParentFormHandleInitialized
pt | GetMouseCapture
pt | CaptureChanged
pt | Notification
pt | CanTab
pt | GetDeviceContext
pt | GetEnabled
pt | GetPopupMenu
pt | DoOnShowHint
pt | DoMouseWheel
pt | DoMouseWheelDown
pt | DoMouseWheelUp
pt | DoMouseWheelHorz
pt | DoMouseWheelLeft
pt | DoMouseWheelRight
pt | VisibleChanging
pt | VisibleChanged
pt | EnabledChanging
pt | EnabledChanged
pt | AddHandler
pt | RemoveHandler
pt | DoCallNotifyHandler
pt | DoCallKeyEventHandler
pt | DoCallMouseWheelEventHandler
pt | DoContextPopup
pt | SetZOrder
pt | GetControlClassDefaultSize
pt | ColorIsStored
pt | DoAutoAdjustLayout
pt | DoFixDesignFontPPI
pt | DoScaleFontPPI
pt | GetActionLinkClass
pt | ActionChange
 | DragDrop
 | Dock
 | ManualDock
 | ManualFloat
 | ReplaceDockedControl
 | Docked
 | Dragging
 | GetAccessibleObject
 | CreateAccessibleObject
 | GetSelectedChildAccessibleObject
 | GetChildAccessibleObjectAtPos
 | ScaleDesignToForm
 | ScaleFormToDesign
 | Scale96ToForm
 | ScaleFormTo96
 | Scale96ToFont
 | ScaleFontTo96
 | ScaleScreenToFont
 | ScaleFontToScreen
 | Scale96ToScreen
 | ScaleScreenTo96
 | AdjustSize
 | AutoSizePhases
 | AutoSizeDelayed
 | AutoSizeDelayedReport
 | AutoSizeDelayedHandle
 | AnchorToNeighbour
 | AnchorParallel
 | AnchorHorizontalCenterTo
 | AnchorVerticalCenterTo
 | AnchorToCompanion
 | AnchorSame
 | AnchorAsAlign
 | AnchorClient
 | AnchoredControlCount
 | SetBounds
 | SetInitialBounds
 | SetBoundsKeepBase
 | GetPreferredSize
 | GetCanvasScaleFactor
 | GetDefaultWidth
 | GetDefaultHeight
 | GetDefaultColor
 | GetColorResolvingParent
 | GetRGBColorResolvingParent
 | GetSidePosition
 | CNPreferredSizeChanged
 | InvalidatePreferredSize
 | GetAnchorsDependingOnParent
 | DisableAutoSizing
 | EnableAutoSizing
 | UpdateBaseBounds
 | WriteLayoutDebugReport
 | AutoAdjustLayout
 | ShouldAutoAdjust
 | FixDesignFontsPPI
 | ScaleFontsPPI
 | Create
 | Destroy
 | BeforeDestruction
 | EditingDone
 | ExecuteDefaultAction
 | ExecuteCancelAction
 | BeginDrag
 | EndDrag
 | BringToFront
 | HasParent
 | GetParentComponent
 | IsParentOf
 | GetTopParent
 | IsVisible
 | IsControlVisible
 | IsEnabled
 | IsParentColor
 | IsParentFont
 | FormIsUpdating
 | IsProcessingPaintMsg
 | Hide
 | Refresh
 | Repaint
 | Invalidate
 | CheckChildClassAllowed
 | CheckNewParent
 | SendToBack
 | SetTempCursor
 | UpdateRolesForForm
 | ActiveDefaultControlChanged
 | GetTextBuf
 | GetTextLen
 | SetTextBuf
 | Perform
 | ScreenToClient
 | ClientToScreen
 | ScreenToControl
 | ControlToScreen
 | ClientToParent
 | ParentToClient
 | GetChildrenRect
 | Show
 | Update
 | HandleObjectShouldBeVisible
 | ParentDestroyingHandle
 | ParentHandlesAllocated
 | InitiateAction
 | ShowHelp
 | HasHelp
 | RemoveAllHandlersOfObject
 | AddHandlerOnResize
 | RemoveHandlerOnResize
 | AddHandlerOnChangeBounds
 | RemoveHandlerOnChangeBounds
 | AddHandlerOnVisibleChanging
 | RemoveHandlerOnVisibleChanging
 | AddHandlerOnVisibleChanged
 | RemoveHandlerOnVisibleChanged
 | AddHandlerOnEnabledChanged
 | RemoveHandlerOnEnableChanging
 | AddHandlerOnKeyDown
 | RemoveHandlerOnKeyDown
 | AddHandlerOnBeforeDestruction
 | RemoveHandlerOnBeforeDestruction
 | AddHandlerOnMouseWheel
 | RemoveHandlerOnMouseWheel
 | UseRightToLeftAlignment
 | UseRightToLeftReading
 | UseRightToLeftScrollBar
 | IsRightToLeft
TLCLComponent
pt | WSRegisterClass
pt | GetWSComponentClass
 | Create
 | Destroy
 | NewInstance
 | RemoveAllHandlersOfObject
 | IncLCLRefCount
 | DecLCLRefCount
TComponent
 | GetComObject
 | GetComponent
 | GetComponentCount
 | GetComponentIndex
 | Insert
 | ReadLeft
 | ReadTop
 | Remove
 | RemoveNotification
 | SetComponentIndex
 | SetReference
 | WriteLeft
 | WriteTop
 | ChangeName
 | DefineProperties
 | GetChildren
 | GetChildOwner
 | GetChildParent
 | GetOwner
 | Loaded
 | Loading
 | Notification
 | PaletteCreated
 | ReadState
 | SetAncestor
 | SetDesigning
 | SetDesignInstance
 | SetInline
 | SetName
 | SetChildOrder
 | SetParentComponent
 | Updating
 | Updated
 | UpdateRegistry
 | ValidateRename
 | ValidateContainer
 | ValidateInsert
 | QueryInterface
 | _AddRef
 | _Release
 | iicrGetComponent
 | GetTypeInfoCount
 | GetTypeInfo
 | GetIDsOfNames
 | Invoke
 | WriteState
 | Create
 | Destroy
 | BeforeDestruction
 | DestroyComponents
 | Destroying
 | ExecuteAction
 | FindComponent
 | FreeNotification
 | RemoveFreeNotification
 | FreeOnRelease
 | GetEnumerator
 | GetNamePath
 | GetParentComponent
 | HasParent
 | InsertComponent
 | RemoveComponent
 | SafeCallException
 | SetSubComponent
 | UpdateAction
 | IsImplementorOf
 | ReferenceInterface
TPersistent
 | AssignError
 | AssignTo
 | DefineProperties
 | GetOwner
 | Destroy
 | Assign
 | FPOAttachObserver
 | FPODetachObserver
 | FPONotifyObservers
 | GetNamePath
TObject
 | Create
 | Destroy
 | newinstance
 | FreeInstance
 | SafeCallException
 | DefaultHandler
 | Free
 | InitInstance
 | CleanupInstance
 | ClassType
 | ClassInfo
 | ClassName
 | ClassNameIs
 | ClassParent
 | InstanceSize
 | InheritsFrom
 | StringMessageTable
 | MethodAddress
 | MethodName
 | FieldAddress
 | AfterConstruction
 | BeforeDestruction
 | DefaultHandlerStr
 | Dispatch
 | DispatchStr
 | GetInterface
 | GetInterfaceByStr
 | GetInterfaceWeak
 | GetInterfaceEntry
 | GetInterfaceEntryByStr
 | GetInterfaceTable
 | UnitName
 | Equals
 | GetHashCode
 | ToString


TRubberBand
TCustomRubberBand
TWinControl
pt | OnGetSiteInfo
pt | OnGetDockCaption
 | OnAlignInsertBefore
 | OnAlignPosition
 | OnDockDrop
 | OnDockOver
 | OnEnter
 | OnExit
 | OnKeyDown
 | OnKeyPress
 | OnKeyUp
 | OnUnDock
 | OnUTF8KeyPress
TControl
pt | OnConstrainedResize
pt | OnContextPopup
pt | OnDblClick
pt | OnTripleClick
pt | OnQuadClick
pt | OnDragDrop
pt | OnDragOver
pt | OnEndDock
pt | OnEndDrag
pt | OnMouseDown
pt | OnMouseMove
pt | OnMouseUp
pt | OnMouseEnter
pt | OnMouseLeave
pt | OnMouseWheel
pt | OnMouseWheelDown
pt | OnMouseWheelUp
pt | OnMouseWheelHorz
pt | OnMouseWheelLeft
pt | OnMouseWheelRight
pt | OnStartDock
pt | OnStartDrag
pt | OnEditingDone
 | OnChangeBounds
 | OnClick
 | OnResize
 | OnShowHint
TLCLComponent
TComponent
TPersistent
TObject


TRubberBandShape

Declaration

Source position: rubberband.pas line 29

type TRubberBandShape = (

  rbsLine,

  rbsRectangle

);


EInvalidPath

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Declaration

Source position: shellctrls.pas line 339

type EInvalidPath = class(EShellCtrl)

Inheritance

EInvalidPath
|

EShellCtrl
|

Exception
|

TObject


EInvalidPath
EShellCtrl
Exception
 | HelpContext
 | Message
TObject


EInvalidPath
EShellCtrl
Exception
 | Create
 | CreateFmt
 | CreateRes
 | CreateResFmt
 | CreateHelp
 | CreateFmtHelp
 | CreateResHelp
 | CreateResFmtHelp
 | ToString
TObject
 | Create
 | Destroy
 | newinstance
 | FreeInstance
 | SafeCallException
 | DefaultHandler
 | Free
 | InitInstance
 | CleanupInstance
 | ClassType
 | ClassInfo
 | ClassName
 | ClassNameIs
 | ClassParent
 | InstanceSize
 | InheritsFrom
 | StringMessageTable
 | MethodAddress
 | MethodName
 | FieldAddress
 | AfterConstruction
 | BeforeDestruction
 | DefaultHandlerStr
 | Dispatch
 | DispatchStr
 | GetInterface
 | GetInterfaceByStr
 | GetInterfaceWeak
 | GetInterfaceEntry
 | GetInterfaceEntryByStr
 | GetInterfaceTable
 | UnitName
 | Equals
 | GetHashCode
 | ToString


EInvalidPath

EShellCtrl

Exception

TObject


EShellCtrl

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Declaration

Source position: shellctrls.pas line 338

type EShellCtrl = class(Exception)

Inheritance

EShellCtrl
|

Exception
|

TObject


EShellCtrl
Exception
 | HelpContext
 | Message
TObject


EShellCtrl
Exception
 | Create
 | CreateFmt
 | CreateRes
 | CreateResFmt
 | CreateHelp
 | CreateFmtHelp
 | CreateResHelp
 | CreateResFmtHelp
 | ToString
TObject
 | Create
 | Destroy
 | newinstance
 | FreeInstance
 | SafeCallException
 | DefaultHandler
 | Free
 | InitInstance
 | CleanupInstance
 | ClassType
 | ClassInfo
 | ClassName
 | ClassNameIs
 | ClassParent
 | InstanceSize
 | InheritsFrom
 | StringMessageTable
 | MethodAddress
 | MethodName
 | FieldAddress
 | AfterConstruction
 | BeforeDestruction
 | DefaultHandlerStr
 | Dispatch
 | DispatchStr
 | GetInterface
 | GetInterfaceByStr
 | GetInterfaceWeak
 | GetInterfaceEntry
 | GetInterfaceEntryByStr
 | GetInterfaceTable
 | UnitName
 | Equals
 | GetHashCode
 | ToString


EShellCtrl

Exception

TObject


TCustomShellListView

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

The base class for list view control to display the files, directories and other objects (such as devices) from the file system structure

Declaration

Source position: shellctrls.pas line 196

type TCustomShellListView = class(TCustomListView)
protected
procedure PopulateWithRoot; |
procedure Resize; override; |
property OnFileAdded: TCSLVFileAddedEvent; [rw]
public
constructor Create(); override; |
destructor Destroy; override; |
function GetPathFromItem(); |
property Mask: string; [rw] |
property ObjectTypes: TObjectTypes; [rw] | Indicates which objects should be shown in this control (for example if it should show files and directories or only directories)
property Root: string; [rw] | The most important property of the ShellListView, indicates the directory whose contents will be shown
property ShellTreeView: TCustomShellTreeView; [rw] | Can be utilized to connect this ShellListView to a ShellTreeView
property Items: TListItems; | Collection of items in ListView.
end;

Inheritance

TCustomShellListView | The base class for list view control to display the files, directories and other objects (such as devices) from the file system structure
|
TCustomListView | TCustomListView - the base class for TListView
|
TWinControl | The base class for controls which can contain other (child) controls.
|
TControl | The base class for visible controls.
|
TLCLComponent | The base class for LCL components associated with widgets.
|
TComponent,IUnknown,IInterfaceComponentReference
|
TPersistent,IFPObserved
|
TObject


TCustomShellListView
 |  | Mask
 |  | ObjectTypes
 |  | Root
 |  | ShellTreeView
 | ro | Items
TCustomListView
pt |  | AllocBy
pt |  | AutoSort
pt |  | AutoWidthLastColumn
pt |  | ColumnClick
pt |  | Columns
pt |  | DefaultItemHeight
pt |  | HideSelection
pt |  | HoverTime
pt |  | LargeImages
pt |  | LargeImagesWidth
pt |  | OwnerDraw
pt |  | ScrollBars
pt |  | ShowColumnHeaders
pt |  | ShowWorkAreas
pt |  | SmallImages
pt |  | SmallImagesWidth
pt |  | SortType
pt |  | SortColumn
pt |  | SortDirection
pt |  | StateImages
pt |  | StateImagesWidth
pt |  | ToolTips
pt |  | ViewStyle
 | ro | BoundingRect
 | ro | BorderStyle
 | ro | Canvas
 |  | Checkboxes
 | ro | Column
 | ro | ColumnCount
 |  | DropTarget
 |  | FlatScrollBars
 |  | FullDrag
 |  | GridLines
 |  | HotTrack
 |  | HotTrackStyles
 |  | IconOptions
 |  | ItemFocused
 |  | ItemIndex
 |  | Items
 |  | MultiSelect
 |  | OwnerData
 |  | ReadOnly
 |  | RowSelect
 | ro | SelCount
 |  | Selected
 | ro | LastSelected
 | ro | TabStop
 | ro | TopItem
 |  | ViewOrigin
 | ro | VisibleRowCount
TWinControl
pt |  | WindowHandle
pt |  | BorderStyle
pt |  | ParentBackground
 |  | BorderWidth
 | ro | BoundsLockCount
 | ro | Brush
 | ro | CachedClientHeight
 | ro | CachedClientWidth
 |  | ChildSizing
 | ro | ControlCount
 | ro | Controls
 |  | DefWndProc
 | ro | DockClientCount
 | ro | DockClients
 |  | DockManager
 |  | DockSite
 |  | DoubleBuffered
 |  | Handle
 | ro | IsFlipped
 | ro | IsResizing
 |  | TabOrder
 |  | TabStop
 |  | ParentDoubleBuffered
 |  | ParentWindow
 | ro | Showing
 |  | UseDockManager
 |  | DesignerDeleting
 | ro | VisibleDockClientCount
TControl
pt | ro | AutoSizing
pt | ro | AutoSizingAll
pt | ro | AutoSizingLockCount
pt |  | ActionLink
pt |  | DesktopFont
pt |  | DragCursor
pt |  | DragKind
pt |  | DragMode
pt |  | MouseCapture
pt |  | ParentColor
pt |  | ParentFont
pt |  | ParentShowHint
pt |  | SessionProperties
pt |  | Text
 | ro | AnchoredControls
 | ro | BaseBounds
 | ro | ReadBounds
 | ro | BaseParentClientSize
 |  | AccessibleDescription
 |  | AccessibleValue
 |  | AccessibleRole
 |  | Action
 |  | Align
 |  | Anchors
 | ro | AnchorSide
 |  | AutoSize
 |  | BorderSpacing
 |  | BoundsRect
 |  | BoundsRectForNewParent
 |  | Caption
 |  | CaptureMouseButtons
 |  | ClientHeight
 | ro | ClientOrigin
 | ro | ClientRect
 |  | ClientWidth
 |  | Color
 |  | Constraints
 | ro | ControlOrigin
 |  | ControlState
 |  | ControlStyle
 |  | Enabled
 |  | Font
 |  | IsControl
 | ro | MouseEntered
 | ro | MouseInClient
 |  | Parent
 |  | PopupMenu
 |  | ShowHint
 |  | Visible
 |  | WindowProc
 |  | DockOrientation
 | ro | Floating
 |  | FloatingDockSiteClass
 |  | HostDockSite
 |  | LRDockWidth
 |  | TBDockHeight
 |  | UndockHeight
 |  | UndockWidth
 |  | BiDiMode
 |  | ParentBiDiMode
pl |  | AnchorSideLeft
pl |  | AnchorSideTop
pl |  | AnchorSideRight
pl |  | AnchorSideBottom
pl |  | Cursor
pl |  | Left
pl |  | Height
pl |  | Hint
pl |  | Top
pl |  | Width
pl |  | HelpType
pl |  | HelpKeyword
pl |  | HelpContext
TLCLComponent
 | ro | LCLRefCount
 | ro | WidgetSetClass
TComponent
 | ro | ComObject
 | ro | Components
 | ro | ComponentCount
 |  | ComponentIndex
 | ro | ComponentState
 | ro | ComponentStyle
 |  | DesignInfo
 | ro | Owner
 |  | VCLComObject
 |  | Name
 |  | Tag
TPersistent
TObject


 |  | AccessibleDescription (TControl)
 |  | AccessibleRole (TControl)
 |  | AccessibleValue (TControl)
 |  | Action (TControl)
pt |  | ActionLink (TControl)
 |  | Align (TControl)
pt |  | AllocBy (TCustomListView)
 | ro | AnchoredControls (TControl)
 |  | Anchors (TControl)
 | ro | AnchorSide (TControl)
pl |  | AnchorSideBottom (TControl)
pl |  | AnchorSideLeft (TControl)
pl |  | AnchorSideRight (TControl)
pl |  | AnchorSideTop (TControl)
 |  | AutoSize (TControl)
pt | ro | AutoSizing (TControl)
pt | ro | AutoSizingAll (TControl)
pt | ro | AutoSizingLockCount (TControl)
pt |  | AutoSort (TCustomListView)
pt |  | AutoWidthLastColumn (TCustomListView)
 | ro | BaseBounds (TControl)
 | ro | BaseParentClientSize (TControl)
 |  | BiDiMode (TControl)
 |  | BorderSpacing (TControl)
pt |  | BorderStyle (TWinControl)
 | ro | BorderStyle (TCustomListView)
 |  | BorderWidth (TWinControl)
 | ro | BoundingRect (TCustomListView)
 | ro | BoundsLockCount (TWinControl)
 |  | BoundsRect (TControl)
 |  | BoundsRectForNewParent (TControl)
 | ro | Brush (TWinControl)
 | ro | CachedClientHeight (TWinControl)
 | ro | CachedClientWidth (TWinControl)
 | ro | Canvas (TCustomListView)
 |  | Caption (TControl)
 |  | CaptureMouseButtons (TControl)
 |  | Checkboxes (TCustomListView)
 |  | ChildSizing (TWinControl)
 |  | ClientHeight (TControl)
 | ro | ClientOrigin (TControl)
 | ro | ClientRect (TControl)
 |  | ClientWidth (TControl)
 |  | Color (TControl)
 | ro | Column (TCustomListView)
pt |  | ColumnClick (TCustomListView)
 | ro | ColumnCount (TCustomListView)
pt |  | Columns (TCustomListView)
 | ro | ComObject (TComponent)
 | ro | ComponentCount (TComponent)
 |  | ComponentIndex (TComponent)
 | ro | Components (TComponent)
 | ro | ComponentState (TComponent)
 | ro | ComponentStyle (TComponent)
 |  | Constraints (TControl)
 | ro | ControlCount (TWinControl)
 | ro | ControlOrigin (TControl)
 | ro | Controls (TWinControl)
 |  | ControlState (TControl)
 |  | ControlStyle (TControl)
pl |  | Cursor (TControl)
pt |  | DefaultItemHeight (TCustomListView)
 |  | DefWndProc (TWinControl)
 |  | DesignerDeleting (TWinControl)
 |  | DesignInfo (TComponent)
pt |  | DesktopFont (TControl)
 | ro | DockClientCount (TWinControl)
 | ro | DockClients (TWinControl)
 |  | DockManager (TWinControl)
 |  | DockOrientation (TControl)
 |  | DockSite (TWinControl)
 |  | DoubleBuffered (TWinControl)
pt |  | DragCursor (TControl)
pt |  | DragKind (TControl)
pt |  | DragMode (TControl)
 |  | DropTarget (TCustomListView)
 |  | Enabled (TControl)
 |  | FlatScrollBars (TCustomListView)
 | ro | Floating (TControl)
 |  | FloatingDockSiteClass (TControl)
 |  | Font (TControl)
 |  | FullDrag (TCustomListView)
 |  | GridLines (TCustomListView)
 |  | Handle (TWinControl)
pl |  | Height (TControl)
pl |  | HelpContext (TControl)
pl |  | HelpKeyword (TControl)
pl |  | HelpType (TControl)
pt |  | HideSelection (TCustomListView)
pl |  | Hint (TControl)
 |  | HostDockSite (TControl)
 |  | HotTrack (TCustomListView)
 |  | HotTrackStyles (TCustomListView)
pt |  | HoverTime (TCustomListView)
 |  | IconOptions (TCustomListView)
 |  | IsControl (TControl)
 | ro | IsFlipped (TWinControl)
 | ro | IsResizing (TWinControl)
 |  | ItemFocused (TCustomListView)
 |  | ItemIndex (TCustomListView)
 |  | Items (TCustomListView)
 | ro | Items (TCustomShellListView)
pt |  | LargeImages (TCustomListView)
pt |  | LargeImagesWidth (TCustomListView)
 | ro | LastSelected (TCustomListView)
 | ro | LCLRefCount (TLCLComponent)
pl |  | Left (TControl)
 |  | LRDockWidth (TControl)
 |  | Mask (TCustomShellListView)
pt |  | MouseCapture (TControl)
 | ro | MouseEntered (TControl)
 | ro | MouseInClient (TControl)
 |  | MultiSelect (TCustomListView)
 |  | Name (TComponent)
 |  | ObjectTypes (TCustomShellListView)
 | ro | Owner (TComponent)
 |  | OwnerData (TCustomListView)
pt |  | OwnerDraw (TCustomListView)
 |  | Parent (TControl)
pt |  | ParentBackground (TWinControl)
 |  | ParentBiDiMode (TControl)
pt |  | ParentColor (TControl)
 |  | ParentDoubleBuffered (TWinControl)
pt |  | ParentFont (TControl)
pt |  | ParentShowHint (TControl)
 |  | ParentWindow (TWinControl)
 |  | PopupMenu (TControl)
 | ro | ReadBounds (TControl)
 |  | ReadOnly (TCustomListView)
 |  | Root (TCustomShellListView)
 |  | RowSelect (TCustomListView)
pt |  | ScrollBars (TCustomListView)
 | ro | SelCount (TCustomListView)
 |  | Selected (TCustomListView)
pt |  | SessionProperties (TControl)
 |  | ShellTreeView (TCustomShellListView)
pt |  | ShowColumnHeaders (TCustomListView)
 |  | ShowHint (TControl)
 | ro | Showing (TWinControl)
pt |  | ShowWorkAreas (TCustomListView)
pt |  | SmallImages (TCustomListView)
pt |  | SmallImagesWidth (TCustomListView)
pt |  | SortColumn (TCustomListView)
pt |  | SortDirection (TCustomListView)
pt |  | SortType (TCustomListView)
pt |  | StateImages (TCustomListView)
pt |  | StateImagesWidth (TCustomListView)
 |  | TabOrder (TWinControl)
 |  | TabStop (TWinControl)
 | ro | TabStop (TCustomListView)
 |  | Tag (TComponent)
 |  | TBDockHeight (TControl)
pt |  | Text (TControl)
pt |  | ToolTips (TCustomListView)
pl |  | Top (TControl)
 | ro | TopItem (TCustomListView)
 |  | UndockHeight (TControl)
 |  | UndockWidth (TControl)
 |  | UseDockManager (TWinControl)
 |  | VCLComObject (TComponent)
 |  | ViewOrigin (TCustomListView)
pt |  | ViewStyle (TCustomListView)
 |  | Visible (TControl)
 | ro | VisibleDockClientCount (TWinControl)
 | ro | VisibleRowCount (TCustomListView)
 | ro | WidgetSetClass (TLCLComponent)
pl |  | Width (TControl)
pt |  | WindowHandle (TWinControl)
 |  | WindowProc (TControl)


TCustomShellListView
pt | PopulateWithRoot
pt | Resize
 | Create
 | Destroy
 | GetPathFromItem
TCustomListView
pt | ItemDeleted
pt | ItemInserted
pt | WSRegisterClass
pt | GetControlClassDefaultSize
pt | InitializeWnd
pt | FinalizeWnd
pt | DestroyWnd
pt | BeginAutoDrag
pt | CreateListItem
pt | CreateListItems
pt | CanEdit
pt | Change
pt | ColClick
pt | Delete
pt | DoDeletion
pt | DoInsert
pt | DoItemChecked
pt | DoSelectItem
pt | DoAutoAdjustLayout
pt | DoSetBounds
pt | DoEndEdit
pt | InsertItem
pt | ImageChanged
pt | Loaded
pt | Notification
pt | IsCustomDrawn
pt | CustomDraw
pt | CustomDrawItem
pt | CustomDrawSubItem
pt | IntfCustomDraw
pt | GetUpdateCount
pt | DrawItem
pt | DoGetOwnerData
pt | DoOwnerDataHint
pt | DoOwnerDataStateChange
pt | DblClick
pt | KeyDown
 | Create
 | Destroy
 | AddItem
 | AlphaSort
 | Sort
 | CustomSort
 | BeginUpdate
 | Clear
 | EndUpdate
 | Repaint
 | FindCaption
 | FindData
 | GetHitTestInfoAt
 | GetItemAt
 | GetNearestItem
 | GetNextItem
 | ClearSelection
 | SelectAll
 | IsEditing
TWinControl
pt | WSRegisterClass
pt | AdjustClientRect
pt | GetAdjustedLogicalClientRect
pt | AlignControls
pt | CustomAlignInsertBefore
pt | CustomAlignPosition
pt | DoAlignChildControls
pt | DoChildSizingChange
pt | InvalidatePreferredChildSizes
pt | CanTab
pt | IsClientHeightStored
pt | IsClientWidthStored
pt | DoSendShowHideToInterface
pt | ControlsAligned
pt | DoSendBoundsToInterface
pt | RealizeBounds
pt | RealizeBoundsRecursive
pt | InvalidateBoundsRealized
pt | CreateSubClass
pt | DoConstraintsChange
pt | DoSetBounds
pt | DoAutoSize
pt | DoAllAutoSize
pt | AllAutoSized
pt | CalculatePreferredSize
pt | GetPreferredSizeClientFrame
pt | GetChildren
pt | ChildClassAllowed
pt | PaintControls
pt | PaintHandler
pt | PaintWindow
pt | CreateBrush
pt | ScaleControls
pt | ChangeScale
pt | CMBiDiModeChanged
pt | CMBorderChanged
pt | CMDoubleBufferedChanged
pt | CMEnabledChanged
pt | CMParentDoubleBufferedChanged
pt | CMShowingChanged
pt | CMShowHintChanged
pt | CMVisibleChanged
pt | CMEnter
pt | CMExit
pt | WMContextMenu
pt | WMEraseBkgnd
pt | WMNotify
pt | WMSetFocus
pt | WMKillFocus
pt | WMShowWindow
pt | WMEnter
pt | WMExit
pt | WMKeyDown
pt | WMSysKeyDown
pt | WMKeyUp
pt | WMSysKeyUp
pt | WMChar
pt | WMSysChar
pt | WMPaint
pt | WMDestroy
pt | WMMove
pt | WMSize
pt | WMWindowPosChanged
pt | CNKeyDown
pt | CNSysKeyDown
pt | CNKeyUp
pt | CNSysKeyUp
pt | CNChar
pt | DoDragMsg
pt | DoDockClientMsg
pt | DoUndockClientMsg
pt | DoAddDockClient
pt | DockOver
pt | DoDockOver
pt | DoRemoveDockClient
pt | DoUnDock
pt | GetSiteInfo
pt | GetParentHandle
pt | GetTopParentHandle
pt | ReloadDockedControl
pt | CreateDockManager
pt | SetDockManager
pt | DoFloatMsg
pt | DoGetDockCaption
pt | DoEnter
pt | DoExit
pt | DoKeyDownBeforeInterface
pt | DoRemainingKeyDown
pt | DoRemainingKeyUp
pt | DoKeyPress
pt | DoUTF8KeyPress
pt | DoKeyUpBeforeInterface
pt | ChildKey
pt | SendDialogChar
pt | DialogChar
pt | ControlKeyDown
pt | ControlKeyUp
pt | KeyDown
pt | KeyDownBeforeInterface
pt | KeyDownAfterInterface
pt | KeyPress
pt | KeyUp
pt | KeyUpBeforeInterface
pt | KeyUpAfterInterface
pt | UTF8KeyPress
pt | FindNextControl
pt | SelectFirst
pt | RealGetText
pt | GetBorderStyle
pt | GetClientOrigin
pt | GetClientRect
pt | GetControlOrigin
pt | GetDeviceContext
pt | GetParentBackground
pt | IsControlMouseMsg
pt | CreateHandle
pt | CreateParams
pt | CreateWnd
pt | DestroyHandle
pt | DestroyWnd
pt | DoFlipChildren
pt | FinalizeWnd
pt | FixupTabList
pt | FontChanged
pt | InitializeWnd
pt | Loaded
pt | FormEndUpdated
pt | MainWndProc
pt | ParentFormHandleInitialized
pt | ChildHandlesCreated
pt | GetMouseCapture
pt | RealSetText
pt | RemoveFocus
pt | SendMoveSizeMessages
pt | SetBorderStyle
pt | SetColor
pt | SetChildZPosition
pt | SetParentBackground
pt | ShowControl
pt | UpdateControlState
pt | UpdateShowing
pt | WndProc
pt | WSSetText
 | AutoSizePhases
 | AutoSizeDelayed
 | AutoSizeDelayedReport
 | AutoSizeDelayedHandle
 | BeginUpdateBounds
 | EndUpdateBounds
 | LockRealizeBounds
 | UnlockRealizeBounds
 | ControlAtPos
 | ContainsControl
 | DoAdjustClientRectChange
 | InvalidateClientRectCache
 | ClientRectNeedsInterfaceUpdate
 | SetBounds
 | GetChildrenRect
 | DisableAlign
 | EnableAlign
 | ReAlign
 | ScrollBy_WS
 | ScrollBy
 | WriteLayoutDebugReport
 | AutoAdjustLayout
 | Create
 | CreateParented
 | CreateParentedControl
 | Destroy
 | DockDrop
 | CanFocus
 | CanSetFocus
 | GetControlIndex
 | SetControlIndex
 | Focused
 | PerformTab
 | FindChildControl
 | SelectNext
 | SetTempCursor
 | BroadCast
 | NotifyControls
 | DefaultHandler
 | GetTextLen
 | Invalidate
 | AddControl
 | InsertControl
 | RemoveControl
 | GetEnumeratorControls
 | GetEnumeratorControlsReverse
 | Repaint
 | Update
 | SetFocus
 | FlipChildren
 | ScaleBy
 | GetDockCaption
 | UpdateDockCaption
 | GetTabOrderList
 | HandleAllocated
 | ParentHandlesAllocated
 | HandleNeeded
 | BrushCreated
 | EraseBackground
 | IntfUTF8KeyPress
 | IntfGetDropFilesTarget
 | PaintTo
 | SetShape
TControl
pt | WSRegisterClass
pt | GetCursor
pt | SetCursor
pt | SetVisible
pt | DoOnParentHandleDestruction
pt | DoAutoSize
pt | DoAllAutoSize
pt | BeginAutoSizing
pt | EndAutoSizing
pt | AnchorSideChanged
pt | ForeignAnchorSideChanged
pt | SetAlign
pt | SetAnchors
pt | SetAutoSize
pt | BoundsChanged
pt | CreateControlBorderSpacing
pt | DoConstraintsChange
pt | DoBorderSpacingChange
pt | IsBorderSpacingInnerBorderStored
pt | IsCaptionStored
pt | SendMoveSizeMessages
pt | ConstrainedResize
pt | CalculatePreferredSize
pt | DoOnResize
pt | DoOnChangeBounds
pt | CheckOnChangeBounds
pt | Resize
pt | RequestAlign
pt | UpdateAnchorRules
pt | ChangeBounds
pt | DoSetBounds
pt | ScaleConstraints
pt | ChangeScale
pt | CanAutoSize
pt | SetBiDiMode
pt | SetParentBiDiMode
pt | IsAParentAligning
pt | GetClientOrigin
pt | GetClientRect
pt | GetLogicalClientRect
pt | GetScrolledClientRect
pt | GetClientScrollOffset
pt | GetControlOrigin
pt | IsClientHeightStored
pt | IsClientWidthStored
pt | WidthIsAnchored
pt | HeightIsAnchored
pt | WMCancelMode
pt | WMContextMenu
pt | WMLButtonDown
pt | WMRButtonDown
pt | WMMButtonDown
pt | WMXButtonDown
pt | WMLButtonDBLCLK
pt | WMRButtonDBLCLK
pt | WMMButtonDBLCLK
pt | WMXButtonDBLCLK
pt | WMLButtonTripleCLK
pt | WMRButtonTripleCLK
pt | WMMButtonTripleCLK
pt | WMXButtonTripleCLK
pt | WMLButtonQuadCLK
pt | WMRButtonQuadCLK
pt | WMMButtonQuadCLK
pt | WMXButtonQuadCLK
pt | WMMouseMove
pt | WMLButtonUp
pt | WMRButtonUp
pt | WMMButtonUp
pt | WMXButtonUp
pt | WMMouseWheel
pt | WMMouseHWheel
pt | WMMove
pt | WMSize
pt | WMWindowPosChanged
pt | CMChanged
pt | LMCaptureChanged
pt | CMBiDiModeChanged
pt | CMSysFontChanged
pt | CMEnabledChanged
pt | CMHitTest
pt | CMMouseEnter
pt | CMMouseLeave
pt | CMHintShow
pt | CMParentBiDiModeChanged
pt | CMParentColorChanged
pt | CMParentFontChanged
pt | CMParentShowHintChanged
pt | CMVisibleChanged
pt | CMTextChanged
pt | CMCursorChanged
pt | CalculateDockSizes
pt | CreateFloatingDockSite
pt | GetDockEdge
pt | GetDragImages
pt | GetFloating
pt | GetFloatingDockSiteClass
pt | BeforeDragStart
pt | BeginAutoDrag
pt | DoFloatMsg
pt | DockTrackNoTarget
pt | DoDock
pt | DoDragMsg
pt | DoEndDock
pt | DoEndDrag
pt | DoStartDock
pt | DoStartDrag
pt | DragCanceled
pt | DragOver
pt | PositionDockRect
pt | SetDragMode
pt | GetDefaultDockCaption
pt | Click
pt | DblClick
pt | TripleClick
pt | QuadClick
pt | GetMousePosFromMessage
pt | MouseDown
pt | MouseMove
pt | MouseUp
pt | MouseEnter
pt | MouseLeave
pt | DialogChar
pt | UpdateMouseCursor
pt | Changed
pt | GetPalette
pt | ChildClassAllowed
pt | ReadState
pt | Loaded
pt | LoadedAll
pt | DefineProperties
pt | AssignTo
pt | FormEndUpdated
pt | InvalidateControl
pt | FontChanged
pt | ParentFontChanged
pt | GetAction
pt | RealGetText
pt | RealSetText
pt | TextChanged
pt | GetCachedText
pt | SetAction
pt | SetColor
pt | SetEnabled
pt | SetHint
pt | SetName
pt | SetParent
pt | SetParentComponent
pt | WndProc
pt | ParentFormHandleInitialized
pt | GetMouseCapture
pt | CaptureChanged
pt | Notification
pt | CanTab
pt | GetDeviceContext
pt | GetEnabled
pt | GetPopupMenu
pt | DoOnShowHint
pt | DoMouseWheel
pt | DoMouseWheelDown
pt | DoMouseWheelUp
pt | DoMouseWheelHorz
pt | DoMouseWheelLeft
pt | DoMouseWheelRight
pt | VisibleChanging
pt | VisibleChanged
pt | EnabledChanging
pt | EnabledChanged
pt | AddHandler
pt | RemoveHandler
pt | DoCallNotifyHandler
pt | DoCallKeyEventHandler
pt | DoCallMouseWheelEventHandler
pt | DoContextPopup
pt | SetZOrder
pt | GetControlClassDefaultSize
pt | ColorIsStored
pt | DoAutoAdjustLayout
pt | DoFixDesignFontPPI
pt | DoScaleFontPPI
pt | GetActionLinkClass
pt | ActionChange
 | DragDrop
 | Dock
 | ManualDock
 | ManualFloat
 | ReplaceDockedControl
 | Docked
 | Dragging
 | GetAccessibleObject
 | CreateAccessibleObject
 | GetSelectedChildAccessibleObject
 | GetChildAccessibleObjectAtPos
 | ScaleDesignToForm
 | ScaleFormToDesign
 | Scale96ToForm
 | ScaleFormTo96
 | Scale96ToFont
 | ScaleFontTo96
 | ScaleScreenToFont
 | ScaleFontToScreen
 | Scale96ToScreen
 | ScaleScreenTo96
 | AdjustSize
 | AutoSizePhases
 | AutoSizeDelayed
 | AutoSizeDelayedReport
 | AutoSizeDelayedHandle
 | AnchorToNeighbour
 | AnchorParallel
 | AnchorHorizontalCenterTo
 | AnchorVerticalCenterTo
 | AnchorToCompanion
 | AnchorSame
 | AnchorAsAlign
 | AnchorClient
 | AnchoredControlCount
 | SetBounds
 | SetInitialBounds
 | SetBoundsKeepBase
 | GetPreferredSize
 | GetCanvasScaleFactor
 | GetDefaultWidth
 | GetDefaultHeight
 | GetDefaultColor
 | GetColorResolvingParent
 | GetRGBColorResolvingParent
 | GetSidePosition
 | CNPreferredSizeChanged
 | InvalidatePreferredSize
 | GetAnchorsDependingOnParent
 | DisableAutoSizing
 | EnableAutoSizing
 | UpdateBaseBounds
 | WriteLayoutDebugReport
 | AutoAdjustLayout
 | ShouldAutoAdjust
 | FixDesignFontsPPI
 | ScaleFontsPPI
 | Create
 | Destroy
 | BeforeDestruction
 | EditingDone
 | ExecuteDefaultAction
 | ExecuteCancelAction
 | BeginDrag
 | EndDrag
 | BringToFront
 | HasParent
 | GetParentComponent
 | IsParentOf
 | GetTopParent
 | IsVisible
 | IsControlVisible
 | IsEnabled
 | IsParentColor
 | IsParentFont
 | FormIsUpdating
 | IsProcessingPaintMsg
 | Hide
 | Refresh
 | Repaint
 | Invalidate
 | CheckChildClassAllowed
 | CheckNewParent
 | SendToBack
 | SetTempCursor
 | UpdateRolesForForm
 | ActiveDefaultControlChanged
 | GetTextBuf
 | GetTextLen
 | SetTextBuf
 | Perform
 | ScreenToClient
 | ClientToScreen
 | ScreenToControl
 | ControlToScreen
 | ClientToParent
 | ParentToClient
 | GetChildrenRect
 | Show
 | Update
 | HandleObjectShouldBeVisible
 | ParentDestroyingHandle
 | ParentHandlesAllocated
 | InitiateAction
 | ShowHelp
 | HasHelp
 | RemoveAllHandlersOfObject
 | AddHandlerOnResize
 | RemoveHandlerOnResize
 | AddHandlerOnChangeBounds
 | RemoveHandlerOnChangeBounds
 | AddHandlerOnVisibleChanging
 | RemoveHandlerOnVisibleChanging
 | AddHandlerOnVisibleChanged
 | RemoveHandlerOnVisibleChanged
 | AddHandlerOnEnabledChanged
 | RemoveHandlerOnEnableChanging
 | AddHandlerOnKeyDown
 | RemoveHandlerOnKeyDown
 | AddHandlerOnBeforeDestruction
 | RemoveHandlerOnBeforeDestruction
 | AddHandlerOnMouseWheel
 | RemoveHandlerOnMouseWheel
 | UseRightToLeftAlignment
 | UseRightToLeftReading
 | UseRightToLeftScrollBar
 | IsRightToLeft
TLCLComponent
pt | WSRegisterClass
pt | GetWSComponentClass
 | Create
 | Destroy
 | NewInstance
 | RemoveAllHandlersOfObject
 | IncLCLRefCount
 | DecLCLRefCount
TComponent
 | GetComObject
 | GetComponent
 | GetComponentCount
 | GetComponentIndex
 | Insert
 | ReadLeft
 | ReadTop
 | Remove
 | RemoveNotification
 | SetComponentIndex
 | SetReference
 | WriteLeft
 | WriteTop
 | ChangeName
 | DefineProperties
 | GetChildren
 | GetChildOwner
 | GetChildParent
 | GetOwner
 | Loaded
 | Loading
 | Notification
 | PaletteCreated
 | ReadState
 | SetAncestor
 | SetDesigning
 | SetDesignInstance
 | SetInline
 | SetName
 | SetChildOrder
 | SetParentComponent
 | Updating
 | Updated
 | UpdateRegistry
 | ValidateRename
 | ValidateContainer
 | ValidateInsert
 | QueryInterface
 | _AddRef
 | _Release
 | iicrGetComponent
 | GetTypeInfoCount
 | GetTypeInfo
 | GetIDsOfNames
 | Invoke
 | WriteState
 | Create
 | Destroy
 | BeforeDestruction
 | DestroyComponents
 | Destroying
 | ExecuteAction
 | FindComponent
 | FreeNotification
 | RemoveFreeNotification
 | FreeOnRelease
 | GetEnumerator
 | GetNamePath
 | GetParentComponent
 | HasParent
 | InsertComponent
 | RemoveComponent
 | SafeCallException
 | SetSubComponent
 | UpdateAction
 | IsImplementorOf
 | ReferenceInterface
TPersistent
 | AssignError
 | AssignTo
 | DefineProperties
 | GetOwner
 | Destroy
 | Assign
 | FPOAttachObserver
 | FPODetachObserver
 | FPONotifyObservers
 | GetNamePath
TObject
 | Create
 | Destroy
 | newinstance
 | FreeInstance
 | SafeCallException
 | DefaultHandler
 | Free
 | InitInstance
 | CleanupInstance
 | ClassType
 | ClassInfo
 | ClassName
 | ClassNameIs
 | ClassParent
 | InstanceSize
 | InheritsFrom
 | StringMessageTable
 | MethodAddress
 | MethodName
 | FieldAddress
 | AfterConstruction
 | BeforeDestruction
 | DefaultHandlerStr
 | Dispatch
 | DispatchStr
 | GetInterface
 | GetInterfaceByStr
 | GetInterfaceWeak
 | GetInterfaceEntry
 | GetInterfaceEntryByStr
 | GetInterfaceTable
 | UnitName
 | Equals
 | GetHashCode
 | ToString


pt | ActionChange (TControl)
 | ActiveDefaultControlChanged (TControl)
 | AddControl (TWinControl)
pt | AddHandler (TControl)
 | AddHandlerOnBeforeDestruction (TControl)
 | AddHandlerOnChangeBounds (TControl)
 | AddHandlerOnEnabledChanged (TControl)
 | AddHandlerOnKeyDown (TControl)
 | AddHandlerOnMouseWheel (TControl)
 | AddHandlerOnResize (TControl)
 | AddHandlerOnVisibleChanged (TControl)
 | AddHandlerOnVisibleChanging (TControl)
 | AddItem (TCustomListView)
pt | AdjustClientRect (TWinControl)
 | AdjustSize (TControl)
 | AfterConstruction (TObject)
pt | AlignControls (TWinControl)
pt | AllAutoSized (TWinControl)
 | AlphaSort (TCustomListView)
 | AnchorAsAlign (TControl)
 | AnchorClient (TControl)
 | AnchoredControlCount (TControl)
 | AnchorHorizontalCenterTo (TControl)
 | AnchorParallel (TControl)
 | AnchorSame (TControl)
pt | AnchorSideChanged (TControl)
 | AnchorToCompanion (TControl)
 | AnchorToNeighbour (TControl)
 | AnchorVerticalCenterTo (TControl)
 | Assign (TPersistent)
 | AssignError (TPersistent)
 | AssignTo (TPersistent)
pt | AssignTo (TControl)
 | AutoAdjustLayout (TControl)
 | AutoAdjustLayout (TWinControl)
 | AutoSizeDelayed (TControl)
 | AutoSizeDelayed (TWinControl)
 | AutoSizeDelayedHandle (TControl)
 | AutoSizeDelayedHandle (TWinControl)
 | AutoSizeDelayedReport (TControl)
 | AutoSizeDelayedReport (TWinControl)
 | AutoSizePhases (TControl)
 | AutoSizePhases (TWinControl)
 | BeforeDestruction (TObject)
 | BeforeDestruction (TComponent)
 | BeforeDestruction (TControl)
pt | BeforeDragStart (TControl)
pt | BeginAutoDrag (TControl)
pt | BeginAutoDrag (TCustomListView)
pt | BeginAutoSizing (TControl)
 | BeginDrag (TControl)
 | BeginUpdate (TCustomListView)
 | BeginUpdateBounds (TWinControl)
pt | BoundsChanged (TControl)
 | BringToFront (TControl)
 | BroadCast (TWinControl)
 | BrushCreated (TWinControl)
pt | CalculateDockSizes (TControl)
pt | CalculatePreferredSize (TControl)
pt | CalculatePreferredSize (TWinControl)
pt | CanAutoSize (TControl)
pt | CanEdit (TCustomListView)
 | CanFocus (TWinControl)
 | CanSetFocus (TWinControl)
pt | CanTab (TControl)
pt | CanTab (TWinControl)
pt | CaptureChanged (TControl)
pt | Change (TCustomListView)
pt | ChangeBounds (TControl)
pt | Changed (TControl)
 | ChangeName (TComponent)
pt | ChangeScale (TControl)
pt | ChangeScale (TWinControl)
 | CheckChildClassAllowed (TControl)
 | CheckNewParent (TControl)
pt | CheckOnChangeBounds (TControl)
pt | ChildClassAllowed (TControl)
pt | ChildClassAllowed (TWinControl)
pt | ChildHandlesCreated (TWinControl)
pt | ChildKey (TWinControl)
 | ClassInfo (TObject)
 | ClassName (TObject)
 | ClassNameIs (TObject)
 | ClassParent (TObject)
 | ClassType (TObject)
 | CleanupInstance (TObject)
 | Clear (TCustomListView)
 | ClearSelection (TCustomListView)
pt | Click (TControl)
 | ClientRectNeedsInterfaceUpdate (TWinControl)
 | ClientToParent (TControl)
 | ClientToScreen (TControl)
pt | CMBiDiModeChanged (TControl)
pt | CMBiDiModeChanged (TWinControl)
pt | CMBorderChanged (TWinControl)
pt | CMChanged (TControl)
pt | CMCursorChanged (TControl)
pt | CMDoubleBufferedChanged (TWinControl)
pt | CMEnabledChanged (TControl)
pt | CMEnabledChanged (TWinControl)
pt | CMEnter (TWinControl)
pt | CMExit (TWinControl)
pt | CMHintShow (TControl)
pt | CMHitTest (TControl)
pt | CMMouseEnter (TControl)
pt | CMMouseLeave (TControl)
pt | CMParentBiDiModeChanged (TControl)
pt | CMParentColorChanged (TControl)
pt | CMParentDoubleBufferedChanged (TWinControl)
pt | CMParentFontChanged (TControl)
pt | CMParentShowHintChanged (TControl)
pt | CMShowHintChanged (TWinControl)
pt | CMShowingChanged (TWinControl)
pt | CMSysFontChanged (TControl)
pt | CMTextChanged (TControl)
pt | CMVisibleChanged (TControl)
pt | CMVisibleChanged (TWinControl)
pt | CNChar (TWinControl)
pt | CNKeyDown (TWinControl)
pt | CNKeyUp (TWinControl)
 | CNPreferredSizeChanged (TControl)
pt | CNSysKeyDown (TWinControl)
pt | CNSysKeyUp (TWinControl)
pt | ColClick (TCustomListView)
pt | ColorIsStored (TControl)
pt | ConstrainedResize (TControl)
 | ContainsControl (TWinControl)
 | ControlAtPos (TWinControl)
pt | ControlKeyDown (TWinControl)
pt | ControlKeyUp (TWinControl)
pt | ControlsAligned (TWinControl)
 | ControlToScreen (TControl)
 | Create (TObject)
 | Create (TComponent)
 | Create (TLCLComponent)
 | Create (TControl)
 | Create (TWinControl)
 | Create (TCustomListView)
 | Create (TCustomShellListView)
 | CreateAccessibleObject (TControl)
pt | CreateBrush (TWinControl)
pt | CreateControlBorderSpacing (TControl)
pt | CreateDockManager (TWinControl)
pt | CreateFloatingDockSite (TControl)
pt | CreateHandle (TWinControl)
pt | CreateListItem (TCustomListView)
pt | CreateListItems (TCustomListView)
pt | CreateParams (TWinControl)
 | CreateParented (TWinControl)
 | CreateParentedControl (TWinControl)
pt | CreateSubClass (TWinControl)
pt | CreateWnd (TWinControl)
pt | CustomAlignInsertBefore (TWinControl)
pt | CustomAlignPosition (TWinControl)
pt | CustomDraw (TCustomListView)
pt | CustomDrawItem (TCustomListView)
pt | CustomDrawSubItem (TCustomListView)
 | CustomSort (TCustomListView)
pt | DblClick (TControl)
pt | DblClick (TCustomListView)
 | DecLCLRefCount (TLCLComponent)
 | DefaultHandler (TObject)
 | DefaultHandler (TWinControl)
 | DefaultHandlerStr (TObject)
 | DefineProperties (TPersistent)
 | DefineProperties (TComponent)
pt | DefineProperties (TControl)
pt | Delete (TCustomListView)
 | Destroy (TObject)
 | Destroy (TPersistent)
 | Destroy (TComponent)
 | Destroy (TLCLComponent)
 | Destroy (TControl)
 | Destroy (TWinControl)
 | Destroy (TCustomListView)
 | Destroy (TCustomShellListView)
 | DestroyComponents (TComponent)
pt | DestroyHandle (TWinControl)
 | Destroying (TComponent)
pt | DestroyWnd (TWinControl)
pt | DestroyWnd (TCustomListView)
pt | DialogChar (TControl)
pt | DialogChar (TWinControl)
 | DisableAlign (TWinControl)
 | DisableAutoSizing (TControl)
 | Dispatch (TObject)
 | DispatchStr (TObject)
pt | DoAddDockClient (TWinControl)
 | DoAdjustClientRectChange (TWinControl)
pt | DoAlignChildControls (TWinControl)
pt | DoAllAutoSize (TControl)
pt | DoAllAutoSize (TWinControl)
pt | DoAutoAdjustLayout (TControl)
pt | DoAutoAdjustLayout (TCustomListView)
pt | DoAutoSize (TControl)
pt | DoAutoSize (TWinControl)
pt | DoBorderSpacingChange (TControl)
pt | DoCallKeyEventHandler (TControl)
pt | DoCallMouseWheelEventHandler (TControl)
pt | DoCallNotifyHandler (TControl)
pt | DoChildSizingChange (TWinControl)
 | Dock (TControl)
 | DockDrop (TWinControl)
 | Docked (TControl)
pt | DockOver (TWinControl)
pt | DockTrackNoTarget (TControl)
pt | DoConstraintsChange (TControl)
pt | DoConstraintsChange (TWinControl)
pt | DoContextPopup (TControl)
pt | DoDeletion (TCustomListView)
pt | DoDock (TControl)
pt | DoDockClientMsg (TWinControl)
pt | DoDockOver (TWinControl)
pt | DoDragMsg (TControl)
pt | DoDragMsg (TWinControl)
pt | DoEndDock (TControl)
pt | DoEndDrag (TControl)
pt | DoEndEdit (TCustomListView)
pt | DoEnter (TWinControl)
pt | DoExit (TWinControl)
pt | DoFixDesignFontPPI (TControl)
pt | DoFlipChildren (TWinControl)
pt | DoFloatMsg (TControl)
pt | DoFloatMsg (TWinControl)
pt | DoGetDockCaption (TWinControl)
pt | DoGetOwnerData (TCustomListView)
pt | DoInsert (TCustomListView)
pt | DoItemChecked (TCustomListView)
pt | DoKeyDownBeforeInterface (TWinControl)
pt | DoKeyPress (TWinControl)
pt | DoKeyUpBeforeInterface (TWinControl)
pt | DoMouseWheel (TControl)
pt | DoMouseWheelDown (TControl)
pt | DoMouseWheelHorz (TControl)
pt | DoMouseWheelLeft (TControl)
pt | DoMouseWheelRight (TControl)
pt | DoMouseWheelUp (TControl)
pt | DoOnChangeBounds (TControl)
pt | DoOnParentHandleDestruction (TControl)
pt | DoOnResize (TControl)
pt | DoOnShowHint (TControl)
pt | DoOwnerDataHint (TCustomListView)
pt | DoOwnerDataStateChange (TCustomListView)
pt | DoRemainingKeyDown (TWinControl)
pt | DoRemainingKeyUp (TWinControl)
pt | DoRemoveDockClient (TWinControl)
pt | DoScaleFontPPI (TControl)
pt | DoSelectItem (TCustomListView)
pt | DoSendBoundsToInterface (TWinControl)
pt | DoSendShowHideToInterface (TWinControl)
pt | DoSetBounds (TControl)
pt | DoSetBounds (TWinControl)
pt | DoSetBounds (TCustomListView)
pt | DoStartDock (TControl)
pt | DoStartDrag (TControl)
pt | DoUnDock (TWinControl)
pt | DoUndockClientMsg (TWinControl)
pt | DoUTF8KeyPress (TWinControl)
pt | DragCanceled (TControl)
 | DragDrop (TControl)
 | Dragging (TControl)
pt | DragOver (TControl)
pt | DrawItem (TCustomListView)
 | EditingDone (TControl)
 | EnableAlign (TWinControl)
 | EnableAutoSizing (TControl)
pt | EnabledChanged (TControl)
pt | EnabledChanging (TControl)
pt | EndAutoSizing (TControl)
 | EndDrag (TControl)
 | EndUpdate (TCustomListView)
 | EndUpdateBounds (TWinControl)
 | Equals (TObject)
 | EraseBackground (TWinControl)
 | ExecuteAction (TComponent)
 | ExecuteCancelAction (TControl)
 | ExecuteDefaultAction (TControl)
 | FieldAddress (TObject)
pt | FinalizeWnd (TWinControl)
pt | FinalizeWnd (TCustomListView)
 | FindCaption (TCustomListView)
 | FindChildControl (TWinControl)
 | FindComponent (TComponent)
 | FindData (TCustomListView)
pt | FindNextControl (TWinControl)
 | FixDesignFontsPPI (TControl)
pt | FixupTabList (TWinControl)
 | FlipChildren (TWinControl)
 | Focused (TWinControl)
pt | FontChanged (TControl)
pt | FontChanged (TWinControl)
pt | ForeignAnchorSideChanged (TControl)
pt | FormEndUpdated (TControl)
pt | FormEndUpdated (TWinControl)
 | FormIsUpdating (TControl)
 | FPOAttachObserver (TPersistent)
 | FPODetachObserver (TPersistent)
 | FPONotifyObservers (TPersistent)
 | Free (TObject)
 | FreeInstance (TObject)
 | FreeNotification (TComponent)
 | FreeOnRelease (TComponent)
 | GetAccessibleObject (TControl)
pt | GetAction (TControl)
pt | GetActionLinkClass (TControl)
pt | GetAdjustedLogicalClientRect (TWinControl)
 | GetAnchorsDependingOnParent (TControl)
pt | GetBorderStyle (TWinControl)
pt | GetCachedText (TControl)
 | GetCanvasScaleFactor (TControl)
 | GetChildAccessibleObjectAtPos (TControl)
 | GetChildOwner (TComponent)
 | GetChildParent (TComponent)
 | GetChildren (TComponent)
pt | GetChildren (TWinControl)
 | GetChildrenRect (TControl)
 | GetChildrenRect (TWinControl)
pt | GetClientOrigin (TControl)
pt | GetClientOrigin (TWinControl)
pt | GetClientRect (TControl)
pt | GetClientRect (TWinControl)
pt | GetClientScrollOffset (TControl)
 | GetColorResolvingParent (TControl)
 | GetComObject (TComponent)
 | GetComponent (TComponent)
 | GetComponentCount (TComponent)
 | GetComponentIndex (TComponent)
pt | GetControlClassDefaultSize (TControl)
pt | GetControlClassDefaultSize (TCustomListView)
 | GetControlIndex (TWinControl)
pt | GetControlOrigin (TControl)
pt | GetControlOrigin (TWinControl)
pt | GetCursor (TControl)
 | GetDefaultColor (TControl)
pt | GetDefaultDockCaption (TControl)
 | GetDefaultHeight (TControl)
 | GetDefaultWidth (TControl)
pt | GetDeviceContext (TControl)
pt | GetDeviceContext (TWinControl)
 | GetDockCaption (TWinControl)
pt | GetDockEdge (TControl)
pt | GetDragImages (TControl)
pt | GetEnabled (TControl)
 | GetEnumerator (TComponent)
 | GetEnumeratorControls (TWinControl)
 | GetEnumeratorControlsReverse (TWinControl)
pt | GetFloating (TControl)
pt | GetFloatingDockSiteClass (TControl)
 | GetHashCode (TObject)
 | GetHitTestInfoAt (TCustomListView)
 | GetIDsOfNames (TComponent)
 | GetInterface (TObject)
 | GetInterfaceByStr (TObject)
 | GetInterfaceEntry (TObject)
 | GetInterfaceEntryByStr (TObject)
 | GetInterfaceTable (TObject)
 | GetInterfaceWeak (TObject)
 | GetItemAt (TCustomListView)
pt | GetLogicalClientRect (TControl)
pt | GetMouseCapture (TControl)
pt | GetMouseCapture (TWinControl)
pt | GetMousePosFromMessage (TControl)
 | GetNamePath (TPersistent)
 | GetNamePath (TComponent)
 | GetNearestItem (TCustomListView)
 | GetNextItem (TCustomListView)
 | GetOwner (TPersistent)
 | GetOwner (TComponent)
pt | GetPalette (TControl)
pt | GetParentBackground (TWinControl)
 | GetParentComponent (TComponent)
 | GetParentComponent (TControl)
pt | GetParentHandle (TWinControl)
 | GetPathFromItem (TCustomShellListView)
pt | GetPopupMenu (TControl)
 | GetPreferredSize (TControl)
pt | GetPreferredSizeClientFrame (TWinControl)
 | GetRGBColorResolvingParent (TControl)
pt | GetScrolledClientRect (TControl)
 | GetSelectedChildAccessibleObject (TControl)
 | GetSidePosition (TControl)
pt | GetSiteInfo (TWinControl)
 | GetTabOrderList (TWinControl)
 | GetTextBuf (TControl)
 | GetTextLen (TControl)
 | GetTextLen (TWinControl)
 | GetTopParent (TControl)
pt | GetTopParentHandle (TWinControl)
 | GetTypeInfo (TComponent)
 | GetTypeInfoCount (TComponent)
pt | GetUpdateCount (TCustomListView)
pt | GetWSComponentClass (TLCLComponent)
 | HandleAllocated (TWinControl)
 | HandleNeeded (TWinControl)
 | HandleObjectShouldBeVisible (TControl)
 | HasHelp (TControl)
 | HasParent (TComponent)
 | HasParent (TControl)
pt | HeightIsAnchored (TControl)
 | Hide (TControl)
 | iicrGetComponent (TComponent)
pt | ImageChanged (TCustomListView)
 | IncLCLRefCount (TLCLComponent)
 | InheritsFrom (TObject)
pt | InitializeWnd (TWinControl)
pt | InitializeWnd (TCustomListView)
 | InitiateAction (TControl)
 | InitInstance (TObject)
 | Insert (TComponent)
 | InsertComponent (TComponent)
 | InsertControl (TWinControl)
pt | InsertItem (TCustomListView)
 | InstanceSize (TObject)
pt | IntfCustomDraw (TCustomListView)
 | IntfGetDropFilesTarget (TWinControl)
 | IntfUTF8KeyPress (TWinControl)
 | Invalidate (TControl)
 | Invalidate (TWinControl)
pt | InvalidateBoundsRealized (TWinControl)
 | InvalidateClientRectCache (TWinControl)
pt | InvalidateControl (TControl)
pt | InvalidatePreferredChildSizes (TWinControl)
 | InvalidatePreferredSize (TControl)
 | Invoke (TComponent)
pt | IsAParentAligning (TControl)
pt | IsBorderSpacingInnerBorderStored (TControl)
pt | IsCaptionStored (TControl)
pt | IsClientHeightStored (TControl)
pt | IsClientHeightStored (TWinControl)
pt | IsClientWidthStored (TControl)
pt | IsClientWidthStored (TWinControl)
pt | IsControlMouseMsg (TWinControl)
 | IsControlVisible (TControl)
pt | IsCustomDrawn (TCustomListView)
 | IsEditing (TCustomListView)
 | IsEnabled (TControl)
 | IsImplementorOf (TComponent)
 | IsParentColor (TControl)
 | IsParentFont (TControl)
 | IsParentOf (TControl)
 | IsProcessingPaintMsg (TControl)
 | IsRightToLeft (TControl)
 | IsVisible (TControl)
pt | ItemDeleted (TCustomListView)
pt | ItemInserted (TCustomListView)
pt | KeyDown (TWinControl)
pt | KeyDown (TCustomListView)
pt | KeyDownAfterInterface (TWinControl)
pt | KeyDownBeforeInterface (TWinControl)
pt | KeyPress (TWinControl)
pt | KeyUp (TWinControl)
pt | KeyUpAfterInterface (TWinControl)
pt | KeyUpBeforeInterface (TWinControl)
pt | LMCaptureChanged (TControl)
 | Loaded (TComponent)
pt | Loaded (TControl)
pt | Loaded (TWinControl)
pt | Loaded (TCustomListView)
pt | LoadedAll (TControl)
 | Loading (TComponent)
 | LockRealizeBounds (TWinControl)
pt | MainWndProc (TWinControl)
 | ManualDock (TControl)
 | ManualFloat (TControl)
 | MethodAddress (TObject)
 | MethodName (TObject)
pt | MouseDown (TControl)
pt | MouseEnter (TControl)
pt | MouseLeave (TControl)
pt | MouseMove (TControl)
pt | MouseUp (TControl)
 | newinstance (TObject)
 | NewInstance (TLCLComponent)
 | Notification (TComponent)
pt | Notification (TControl)
pt | Notification (TCustomListView)
 | NotifyControls (TWinControl)
pt | PaintControls (TWinControl)
pt | PaintHandler (TWinControl)
 | PaintTo (TWinControl)
pt | PaintWindow (TWinControl)
 | PaletteCreated (TComponent)
 | ParentDestroyingHandle (TControl)
pt | ParentFontChanged (TControl)
pt | ParentFormHandleInitialized (TControl)
pt | ParentFormHandleInitialized (TWinControl)
 | ParentHandlesAllocated (TControl)
 | ParentHandlesAllocated (TWinControl)
 | ParentToClient (TControl)
 | Perform (TControl)
 | PerformTab (TWinControl)
pt | PopulateWithRoot (TCustomShellListView)
pt | PositionDockRect (TControl)
pt | QuadClick (TControl)
 | QueryInterface (TComponent)
 | ReadLeft (TComponent)
 | ReadState (TComponent)
pt | ReadState (TControl)
 | ReadTop (TComponent)
pt | RealGetText (TControl)
pt | RealGetText (TWinControl)
 | ReAlign (TWinControl)
pt | RealizeBounds (TWinControl)
pt | RealizeBoundsRecursive (TWinControl)
pt | RealSetText (TControl)
pt | RealSetText (TWinControl)
 | ReferenceInterface (TComponent)
 | Refresh (TControl)
pt | ReloadDockedControl (TWinControl)
 | Remove (TComponent)
 | RemoveAllHandlersOfObject (TLCLComponent)
 | RemoveAllHandlersOfObject (TControl)
 | RemoveComponent (TComponent)
 | RemoveControl (TWinControl)
pt | RemoveFocus (TWinControl)
 | RemoveFreeNotification (TComponent)
pt | RemoveHandler (TControl)
 | RemoveHandlerOnBeforeDestruction (TControl)
 | RemoveHandlerOnChangeBounds (TControl)
 | RemoveHandlerOnEnableChanging (TControl)
 | RemoveHandlerOnKeyDown (TControl)
 | RemoveHandlerOnMouseWheel (TControl)
 | RemoveHandlerOnResize (TControl)
 | RemoveHandlerOnVisibleChanged (TControl)
 | RemoveHandlerOnVisibleChanging (TControl)
 | RemoveNotification (TComponent)
 | Repaint (TControl)
 | Repaint (TWinControl)
 | Repaint (TCustomListView)
 | ReplaceDockedControl (TControl)
pt | RequestAlign (TControl)
pt | Resize (TControl)
pt | Resize (TCustomShellListView)
 | SafeCallException (TObject)
 | SafeCallException (TComponent)
 | Scale96ToFont (TControl)
 | Scale96ToForm (TControl)
 | Scale96ToScreen (TControl)
 | ScaleBy (TWinControl)
pt | ScaleConstraints (TControl)
pt | ScaleControls (TWinControl)
 | ScaleDesignToForm (TControl)
 | ScaleFontsPPI (TControl)
 | ScaleFontTo96 (TControl)
 | ScaleFontToScreen (TControl)
 | ScaleFormTo96 (TControl)
 | ScaleFormToDesign (TControl)
 | ScaleScreenTo96 (TControl)
 | ScaleScreenToFont (TControl)
 | ScreenToClient (TControl)
 | ScreenToControl (TControl)
 | ScrollBy (TWinControl)
 | ScrollBy_WS (TWinControl)
 | SelectAll (TCustomListView)
pt | SelectFirst (TWinControl)
 | SelectNext (TWinControl)
pt | SendDialogChar (TWinControl)
pt | SendMoveSizeMessages (TControl)
pt | SendMoveSizeMessages (TWinControl)
 | SendToBack (TControl)
pt | SetAction (TControl)
pt | SetAlign (TControl)
 | SetAncestor (TComponent)
pt | SetAnchors (TControl)
pt | SetAutoSize (TControl)
pt | SetBiDiMode (TControl)
pt | SetBorderStyle (TWinControl)
 | SetBounds (TControl)
 | SetBounds (TWinControl)
 | SetBoundsKeepBase (TControl)
 | SetChildOrder (TComponent)
pt | SetChildZPosition (TWinControl)
pt | SetColor (TControl)
pt | SetColor (TWinControl)
 | SetComponentIndex (TComponent)
 | SetControlIndex (TWinControl)
pt | SetCursor (TControl)
 | SetDesigning (TComponent)
 | SetDesignInstance (TComponent)
pt | SetDockManager (TWinControl)
pt | SetDragMode (TControl)
pt | SetEnabled (TControl)
 | SetFocus (TWinControl)
pt | SetHint (TControl)
 | SetInitialBounds (TControl)
 | SetInline (TComponent)
 | SetName (TComponent)
pt | SetName (TControl)
pt | SetParent (TControl)
pt | SetParentBackground (TWinControl)
pt | SetParentBiDiMode (TControl)
 | SetParentComponent (TComponent)
pt | SetParentComponent (TControl)
 | SetReference (TComponent)
 | SetShape (TWinControl)
 | SetSubComponent (TComponent)
 | SetTempCursor (TControl)
 | SetTempCursor (TWinControl)
 | SetTextBuf (TControl)
pt | SetVisible (TControl)
pt | SetZOrder (TControl)
 | ShouldAutoAdjust (TControl)
 | Show (TControl)
pt | ShowControl (TWinControl)
 | ShowHelp (TControl)
 | Sort (TCustomListView)
 | StringMessageTable (TObject)
pt | TextChanged (TControl)
 | ToString (TObject)
pt | TripleClick (TControl)
 | UnitName (TObject)
 | UnlockRealizeBounds (TWinControl)
 | Update (TControl)
 | Update (TWinControl)
 | UpdateAction (TComponent)
pt | UpdateAnchorRules (TControl)
 | UpdateBaseBounds (TControl)
pt | UpdateControlState (TWinControl)
 | Updated (TComponent)
 | UpdateDockCaption (TWinControl)
pt | UpdateMouseCursor (TControl)
 | UpdateRegistry (TComponent)
 | UpdateRolesForForm (TControl)
pt | UpdateShowing (TWinControl)
 | Updating (TComponent)
 | UseRightToLeftAlignment (TControl)
 | UseRightToLeftReading (TControl)
 | UseRightToLeftScrollBar (TControl)
pt | UTF8KeyPress (TWinControl)
 | ValidateContainer (TComponent)
 | ValidateInsert (TComponent)
 | ValidateRename (TComponent)
pt | VisibleChanged (TControl)
pt | VisibleChanging (TControl)
pt | WidthIsAnchored (TControl)
pt | WMCancelMode (TControl)
pt | WMChar (TWinControl)
pt | WMContextMenu (TControl)
pt | WMContextMenu (TWinControl)
pt | WMDestroy (TWinControl)
pt | WMEnter (TWinControl)
pt | WMEraseBkgnd (TWinControl)
pt | WMExit (TWinControl)
pt | WMKeyDown (TWinControl)
pt | WMKeyUp (TWinControl)
pt | WMKillFocus (TWinControl)
pt | WMLButtonDBLCLK (TControl)
pt | WMLButtonDown (TControl)
pt | WMLButtonQuadCLK (TControl)
pt | WMLButtonTripleCLK (TControl)
pt | WMLButtonUp (TControl)
pt | WMMButtonDBLCLK (TControl)
pt | WMMButtonDown (TControl)
pt | WMMButtonQuadCLK (TControl)
pt | WMMButtonTripleCLK (TControl)
pt | WMMButtonUp (TControl)
pt | WMMouseHWheel (TControl)
pt | WMMouseMove (TControl)
pt | WMMouseWheel (TControl)
pt | WMMove (TControl)
pt | WMMove (TWinControl)
pt | WMNotify (TWinControl)
pt | WMPaint (TWinControl)
pt | WMRButtonDBLCLK (TControl)
pt | WMRButtonDown (TControl)
pt | WMRButtonQuadCLK (TControl)
pt | WMRButtonTripleCLK (TControl)
pt | WMRButtonUp (TControl)
pt | WMSetFocus (TWinControl)
pt | WMShowWindow (TWinControl)
pt | WMSize (TControl)
pt | WMSize (TWinControl)
pt | WMSysChar (TWinControl)
pt | WMSysKeyDown (TWinControl)
pt | WMSysKeyUp (TWinControl)
pt | WMWindowPosChanged (TControl)
pt | WMWindowPosChanged (TWinControl)
pt | WMXButtonDBLCLK (TControl)
pt | WMXButtonDown (TControl)
pt | WMXButtonQuadCLK (TControl)
pt | WMXButtonTripleCLK (TControl)
pt | WMXButtonUp (TControl)
pt | WndProc (TControl)
pt | WndProc (TWinControl)
 | WriteLayoutDebugReport (TControl)
 | WriteLayoutDebugReport (TWinControl)
 | WriteLeft (TComponent)
 | WriteState (TComponent)
 | WriteTop (TComponent)
pt | WSRegisterClass (TLCLComponent)
pt | WSRegisterClass (TControl)
pt | WSRegisterClass (TWinControl)
pt | WSRegisterClass (TCustomListView)
pt | WSSetText (TWinControl)
 | _AddRef (TComponent)
 | _Release (TComponent)


TCustomShellListView
pt | OnFileAdded
TCustomListView
pt | OnChange
pt | OnColumnClick
pt | OnCompare
pt | OnCreateItemClass
pt | OnData
pt | OnDataFind
pt | OnDataHint
pt | OnDataStateChange
pt | OnDeletion
pt | OnEdited
pt | OnEditing
pt | OnInsert
pt | OnItemChecked
pt | OnSelectItem
pt | OnCustomDraw
pt | OnCustomDrawItem
pt | OnCustomDrawSubItem
pt | OnDrawItem
pt | OnAdvancedCustomDraw
pt | OnAdvancedCustomDrawItem
pt | OnAdvancedCustomDrawSubItem
TWinControl
pt | OnGetSiteInfo
pt | OnGetDockCaption
 | OnAlignInsertBefore
 | OnAlignPosition
 | OnDockDrop
 | OnDockOver
 | OnEnter
 | OnExit
 | OnKeyDown
 | OnKeyPress
 | OnKeyUp
 | OnUnDock
 | OnUTF8KeyPress
TControl
pt | OnConstrainedResize
pt | OnContextPopup
pt | OnDblClick
pt | OnTripleClick
pt | OnQuadClick
pt | OnDragDrop
pt | OnDragOver
pt | OnEndDock
pt | OnEndDrag
pt | OnMouseDown
pt | OnMouseMove
pt | OnMouseUp
pt | OnMouseEnter
pt | OnMouseLeave
pt | OnMouseWheel
pt | OnMouseWheelDown
pt | OnMouseWheelUp
pt | OnMouseWheelHorz
pt | OnMouseWheelLeft
pt | OnMouseWheelRight
pt | OnStartDock
pt | OnStartDrag
pt | OnEditingDone
 | OnChangeBounds
 | OnClick
 | OnResize
 | OnShowHint
TLCLComponent
TComponent
TPersistent
TObject


pt | OnAdvancedCustomDraw (TCustomListView)
pt | OnAdvancedCustomDrawItem (TCustomListView)
pt | OnAdvancedCustomDrawSubItem (TCustomListView)
 | OnAlignInsertBefore (TWinControl)
 | OnAlignPosition (TWinControl)
pt | OnChange (TCustomListView)
 | OnChangeBounds (TControl)
 | OnClick (TControl)
pt | OnColumnClick (TCustomListView)
pt | OnCompare (TCustomListView)
pt | OnConstrainedResize (TControl)
pt | OnContextPopup (TControl)
pt | OnCreateItemClass (TCustomListView)
pt | OnCustomDraw (TCustomListView)
pt | OnCustomDrawItem (TCustomListView)
pt | OnCustomDrawSubItem (TCustomListView)
pt | OnData (TCustomListView)
pt | OnDataFind (TCustomListView)
pt | OnDataHint (TCustomListView)
pt | OnDataStateChange (TCustomListView)
pt | OnDblClick (TControl)
pt | OnDeletion (TCustomListView)
 | OnDockDrop (TWinControl)
 | OnDockOver (TWinControl)
pt | OnDragDrop (TControl)
pt | OnDragOver (TControl)
pt | OnDrawItem (TCustomListView)
pt | OnEdited (TCustomListView)
pt | OnEditing (TCustomListView)
pt | OnEditingDone (TControl)
pt | OnEndDock (TControl)
pt | OnEndDrag (TControl)
 | OnEnter (TWinControl)
 | OnExit (TWinControl)
pt | OnFileAdded (TCustomShellListView)
pt | OnGetDockCaption (TWinControl)
pt | OnGetSiteInfo (TWinControl)
pt | OnInsert (TCustomListView)
pt | OnItemChecked (TCustomListView)
 | OnKeyDown (TWinControl)
 | OnKeyPress (TWinControl)
 | OnKeyUp (TWinControl)
pt | OnMouseDown (TControl)
pt | OnMouseEnter (TControl)
pt | OnMouseLeave (TControl)
pt | OnMouseMove (TControl)
pt | OnMouseUp (TControl)
pt | OnMouseWheel (TControl)
pt | OnMouseWheelDown (TControl)
pt | OnMouseWheelHorz (TControl)
pt | OnMouseWheelLeft (TControl)
pt | OnMouseWheelRight (TControl)
pt | OnMouseWheelUp (TControl)
pt | OnQuadClick (TControl)
 | OnResize (TControl)
pt | OnSelectItem (TCustomListView)
 | OnShowHint (TControl)
pt | OnStartDock (TControl)
pt | OnStartDrag (TControl)
pt | OnTripleClick (TControl)
 | OnUnDock (TWinControl)
 | OnUTF8KeyPress (TWinControl)


TCustomShellListView.Create

Declaration

Source position: shellctrls.pas line 214

public constructor TCustomShellListView.Create(

  AOwner: TComponent

); override;


TCustomShellListView.Destroy

Declaration

Source position: shellctrls.pas line 215

public destructor TCustomShellListView.Destroy; override;


TCustomShellListView.GetPathFromItem

Declaration

Source position: shellctrls.pas line 217

public function TCustomShellListView.GetPathFromItem(

  ANode: TListItem

):string;


TCustomShellListView.Mask

Declaration

Source position: shellctrls.pas line 219

public property TCustomShellListView.Mask : string
  read FMask
  write SetMask;


TCustomShellListView.ObjectTypes

Indicates which objects should be shown in this control (for example if it should show files and directories or only directories)

Declaration

Source position: shellctrls.pas line 220

public property TCustomShellListView.ObjectTypes : TObjectTypes
  read FObjectTypes
  write FObjectTypes;

See also

TObjectTypes | Indicates which objects should be visible in a shell control
TCustomShellTreeView.ObjectTypes | Indicates which objects should be shown in this control (for example if it should show files and directories or only directories)


TCustomShellListView.OnFileAdded

Declaration

Source position: shellctrls.pas line 211

protected property TCustomShellListView.OnFileAdded : TCSLVFileAddedEvent
  read FOnFileAdded
  write FOnFileAdded;


TCustomShellListView.PopulateWithRoot

Declaration

Source position: shellctrls.pas line 209

protected procedure TCustomShellListView.PopulateWithRoot;


TCustomShellListView.Resize

Declaration

Source position: shellctrls.pas line 210

protected procedure TCustomShellListView.Resize; override;


TCustomShellListView.Root

The most important property of the ShellListView, indicates the directory whose contents will be shown

Declaration

Source position: shellctrls.pas line 221

public property TCustomShellListView.Root : string
  read FRoot
  write SetRoot;

Description

The most important property of the ShellListView, indicates the directory whose contents will be shown. This property is automatically managed if the property ShellTreeView is filled. If this property is empty, nothing will be shown.


TCustomShellListView.ShellTreeView

Can be utilized to connect this ShellListView to a ShellTreeView

Declaration

Source position: shellctrls.pas line 222

public property TCustomShellListView.ShellTreeView : TCustomShellTreeView
  read FShellTreeView
  write SetShellTreeView;

Description

The ShellListView will show the contents of the currently selected directory in the ShellListView.

See also

TCustomShellTreeView.ShellListView

Can be utilized to connect this ShellTreeView to a ShellListView


TCustomShellTreeView

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

The base class for tree view control to display the files, directories and other objects (such as devices) from the file system structure

Declaration

Source position: shellctrls.pas line 55

type TCustomShellTreeView = class(TCustomTreeView)
protected
procedure DoCreateNodeClass(); override;
procedure Loaded; override;
function CreateNode; override;
function PopulateTreeNodeWithFiles(); |
procedure DoSelectionChanged; override;
function CanExpand(); override;
public
constructor Create(); override; |
destructor Destroy; override; |
class function GetBasePath; | Returns the lowest possible path in the file system hierarchy. For example "/" in UNIXes or "\" in Windows CE
function GetRootPath; | Returns the effective root value, returning the value of GetBasePath() of Root is empty or the Root property value otherwise
class procedure GetFilesInDir(); | Finds all files/directories directly inside a directory
function GetPathFromNode(); | Returns the path (including the file name) from the file system that a particular node prepresents
procedure PopulateWithBaseFiles;
procedure Refresh(); overload;
property ObjectTypes: TObjectTypes; [rw] | Indicates which objects should be shown in this control (for example if it should show files and directories or only directories)
property ShellListView: TCustomShellListView; [rw] | Can be utilized to connect this ShellTreeView to a ShellListView
property FileSortType: TFileSortType; [rw] | Indicates how the items should be sorted in the tree
property Root: string; [rw] | Indicates the directory to start showing the list of items.
property Path: string; [rw]
property Items: TTreeNodes;
end;

Inheritance

TCustomShellTreeView | The base class for tree view control to display the files, directories and other objects (such as devices) from the file system structure
|
TCustomTreeView | TCustomTreeView - ancestor class for TTreeView
|
TCustomControl | The base class for windowed controls which paint themselves.
|
TWinControl | The base class for controls which can contain other (child) controls.
|
TControl | The base class for visible controls.
|
TLCLComponent | The base class for LCL components associated with widgets.
|
TComponent,IUnknown,IInterfaceComponentReference
|
TPersistent,IFPObserved
|
TObject


TCustomShellTreeView
 |  | ObjectTypes
 |  | ShellListView
 |  | FileSortType
 |  | Root
 |  | Path
 | ro | Items
TCustomTreeView
pt | ro | EditingItem
pt | ro | States
 |  | AccessibilityOn
pt |  | AutoExpand
pt | ro | BorderStyle
pt |  | HideSelection
pt |  | HotTrack
pt |  | HotTrackColor
pt |  | Indent
pt |  | MultiSelect
pt |  | ReadOnly
pt |  | RightClickSelect
pt |  | RowSelect
pt |  | ScrolledLeft
pt |  | ScrolledTop
pt |  | ShowButtons
pt |  | ShowLines
pt |  | ShowRoot
pt |  | ShowSeparators
pt |  | SortType
pt |  | ToolTips
 |  | BackgroundColor
 | ro | BorderWidth
 |  | BottomItem
 | ro | Color
 |  | DefaultItemHeight
 |  | DropTarget
 |  | ExpandSignColor
 |  | ExpandSignSize
 |  | ExpandSignType
 |  | Images
 |  | ImagesWidth
 |  | InsertMarkNode
 |  | InsertMarkType
 |  | Items
 |  | KeepCollapsedNodes
 |  | MultiSelectStyle
 |  | Options
 |  | ScrollBars
 |  | Selected
 |  | SelectionColor
 | ro | SelectionCount
 |  | SelectionFontColor
 |  | SelectionFontColorUsed
 | ro | Selections
 |  | SeparatorColor
 |  | StateImages
 |  | StateImagesWidth
 |  | TopItem
 |  | TreeLineColor
 |  | TreeLinePenStyle
pl | ro | TabStop
TCustomControl
 |  | Canvas
 | ro | BorderStyle
TWinControl
pt |  | WindowHandle
pt |  | BorderStyle
pt |  | ParentBackground
 |  | BorderWidth
 | ro | BoundsLockCount
 | ro | Brush
 | ro | CachedClientHeight
 | ro | CachedClientWidth
 |  | ChildSizing
 | ro | ControlCount
 | ro | Controls
 |  | DefWndProc
 | ro | DockClientCount
 | ro | DockClients
 |  | DockManager
 |  | DockSite
 |  | DoubleBuffered
 |  | Handle
 | ro | IsFlipped
 | ro | IsResizing
 |  | TabOrder
 |  | TabStop
 |  | ParentDoubleBuffered
 |  | ParentWindow
 | ro | Showing
 |  | UseDockManager
 |  | DesignerDeleting
 | ro | VisibleDockClientCount
TControl
pt | ro | AutoSizing
pt | ro | AutoSizingAll
pt | ro | AutoSizingLockCount
pt |  | ActionLink
pt |  | DesktopFont
pt |  | DragCursor
pt |  | DragKind
pt |  | DragMode
pt |  | MouseCapture
pt |  | ParentColor
pt |  | ParentFont
pt |  | ParentShowHint
pt |  | SessionProperties
pt |  | Text
 | ro | AnchoredControls
 | ro | BaseBounds
 | ro | ReadBounds
 | ro | BaseParentClientSize
 |  | AccessibleDescription
 |  | AccessibleValue
 |  | AccessibleRole
 |  | Action
 |  | Align
 |  | Anchors
 | ro | AnchorSide
 |  | AutoSize
 |  | BorderSpacing
 |  | BoundsRect
 |  | BoundsRectForNewParent
 |  | Caption
 |  | CaptureMouseButtons
 |  | ClientHeight
 | ro | ClientOrigin
 | ro | ClientRect
 |  | ClientWidth
 |  | Color
 |  | Constraints
 | ro | ControlOrigin
 |  | ControlState
 |  | ControlStyle
 |  | Enabled
 |  | Font
 |  | IsControl
 | ro | MouseEntered
 | ro | MouseInClient
 |  | Parent
 |  | PopupMenu
 |  | ShowHint
 |  | Visible
 |  | WindowProc
 |  | DockOrientation
 | ro | Floating
 |  | FloatingDockSiteClass
 |  | HostDockSite
 |  | LRDockWidth
 |  | TBDockHeight
 |  | UndockHeight
 |  | UndockWidth
 |  | BiDiMode
 |  | ParentBiDiMode
pl |  | AnchorSideLeft
pl |  | AnchorSideTop
pl |  | AnchorSideRight
pl |  | AnchorSideBottom
pl |  | Cursor
pl |  | Left
pl |  | Height
pl |  | Hint
pl |  | Top
pl |  | Width
pl |  | HelpType
pl |  | HelpKeyword
pl |  | HelpContext
TLCLComponent
 | ro | LCLRefCount
 | ro | WidgetSetClass
TComponent
 | ro | ComObject
 | ro | Components
 | ro | ComponentCount
 |  | ComponentIndex
 | ro | ComponentState
 | ro | ComponentStyle
 |  | DesignInfo
 | ro | Owner
 |  | VCLComObject
 |  | Name
 |  | Tag
TPersistent
TObject


 |  | AccessibilityOn (TCustomTreeView)
 |  | AccessibleDescription (TControl)
 |  | AccessibleRole (TControl)
 |  | AccessibleValue (TControl)
 |  | Action (TControl)
pt |  | ActionLink (TControl)
 |  | Align (TControl)
 | ro | AnchoredControls (TControl)
 |  | Anchors (TControl)
 | ro | AnchorSide (TControl)
pl |  | AnchorSideBottom (TControl)
pl |  | AnchorSideLeft (TControl)
pl |  | AnchorSideRight (TControl)
pl |  | AnchorSideTop (TControl)
pt |  | AutoExpand (TCustomTreeView)
 |  | AutoSize (TControl)
pt | ro | AutoSizing (TControl)
pt | ro | AutoSizingAll (TControl)
pt | ro | AutoSizingLockCount (TControl)
 |  | BackgroundColor (TCustomTreeView)
 | ro | BaseBounds (TControl)
 | ro | BaseParentClientSize (TControl)
 |  | BiDiMode (TControl)
 |  | BorderSpacing (TControl)
pt |  | BorderStyle (TWinControl)
 | ro | BorderStyle (TCustomControl)
pt | ro | BorderStyle (TCustomTreeView)
 |  | BorderWidth (TWinControl)
 | ro | BorderWidth (TCustomTreeView)
 |  | BottomItem (TCustomTreeView)
 | ro | BoundsLockCount (TWinControl)
 |  | BoundsRect (TControl)
 |  | BoundsRectForNewParent (TControl)
 | ro | Brush (TWinControl)
 | ro | CachedClientHeight (TWinControl)
 | ro | CachedClientWidth (TWinControl)
 |  | Canvas (TCustomControl)
 |  | Caption (TControl)
 |  | CaptureMouseButtons (TControl)
 |  | ChildSizing (TWinControl)
 |  | ClientHeight (TControl)
 | ro | ClientOrigin (TControl)
 | ro | ClientRect (TControl)
 |  | ClientWidth (TControl)
 |  | Color (TControl)
 | ro | Color (TCustomTreeView)
 | ro | ComObject (TComponent)
 | ro | ComponentCount (TComponent)
 |  | ComponentIndex (TComponent)
 | ro | Components (TComponent)
 | ro | ComponentState (TComponent)
 | ro | ComponentStyle (TComponent)
 |  | Constraints (TControl)
 | ro | ControlCount (TWinControl)
 | ro | ControlOrigin (TControl)
 | ro | Controls (TWinControl)
 |  | ControlState (TControl)
 |  | ControlStyle (TControl)
pl |  | Cursor (TControl)
 |  | DefaultItemHeight (TCustomTreeView)
 |  | DefWndProc (TWinControl)
 |  | DesignerDeleting (TWinControl)
 |  | DesignInfo (TComponent)
pt |  | DesktopFont (TControl)
 | ro | DockClientCount (TWinControl)
 | ro | DockClients (TWinControl)
 |  | DockManager (TWinControl)
 |  | DockOrientation (TControl)
 |  | DockSite (TWinControl)
 |  | DoubleBuffered (TWinControl)
pt |  | DragCursor (TControl)
pt |  | DragKind (TControl)
pt |  | DragMode (TControl)
 |  | DropTarget (TCustomTreeView)
pt | ro | EditingItem (TCustomTreeView)
 |  | Enabled (TControl)
 |  | ExpandSignColor (TCustomTreeView)
 |  | ExpandSignSize (TCustomTreeView)
 |  | ExpandSignType (TCustomTreeView)
 |  | FileSortType (TCustomShellTreeView)
 | ro | Floating (TControl)
 |  | FloatingDockSiteClass (TControl)
 |  | Font (TControl)
 |  | Handle (TWinControl)
pl |  | Height (TControl)
pl |  | HelpContext (TControl)
pl |  | HelpKeyword (TControl)
pl |  | HelpType (TControl)
pt |  | HideSelection (TCustomTreeView)
pl |  | Hint (TControl)
 |  | HostDockSite (TControl)
pt |  | HotTrack (TCustomTreeView)
pt |  | HotTrackColor (TCustomTreeView)
 |  | Images (TCustomTreeView)
 |  | ImagesWidth (TCustomTreeView)
pt |  | Indent (TCustomTreeView)
 |  | InsertMarkNode (TCustomTreeView)
 |  | InsertMarkType (TCustomTreeView)
 |  | IsControl (TControl)
 | ro | IsFlipped (TWinControl)
 | ro | IsResizing (TWinControl)
 |  | Items (TCustomTreeView)
 | ro | Items (TCustomShellTreeView)
 |  | KeepCollapsedNodes (TCustomTreeView)
 | ro | LCLRefCount (TLCLComponent)
pl |  | Left (TControl)
 |  | LRDockWidth (TControl)
pt |  | MouseCapture (TControl)
 | ro | MouseEntered (TControl)
 | ro | MouseInClient (TControl)
pt |  | MultiSelect (TCustomTreeView)
 |  | MultiSelectStyle (TCustomTreeView)
 |  | Name (TComponent)
 |  | ObjectTypes (TCustomShellTreeView)
 |  | Options (TCustomTreeView)
 | ro | Owner (TComponent)
 |  | Parent (TControl)
pt |  | ParentBackground (TWinControl)
 |  | ParentBiDiMode (TControl)
pt |  | ParentColor (TControl)
 |  | ParentDoubleBuffered (TWinControl)
pt |  | ParentFont (TControl)
pt |  | ParentShowHint (TControl)
 |  | ParentWindow (TWinControl)
 |  | Path (TCustomShellTreeView)
 |  | PopupMenu (TControl)
 | ro | ReadBounds (TControl)
pt |  | ReadOnly (TCustomTreeView)
pt |  | RightClickSelect (TCustomTreeView)
 |  | Root (TCustomShellTreeView)
pt |  | RowSelect (TCustomTreeView)
 |  | ScrollBars (TCustomTreeView)
pt |  | ScrolledLeft (TCustomTreeView)
pt |  | ScrolledTop (TCustomTreeView)
 |  | Selected (TCustomTreeView)
 |  | SelectionColor (TCustomTreeView)
 | ro | SelectionCount (TCustomTreeView)
 |  | SelectionFontColor (TCustomTreeView)
 |  | SelectionFontColorUsed (TCustomTreeView)
 | ro | Selections (TCustomTreeView)
 |  | SeparatorColor (TCustomTreeView)
pt |  | SessionProperties (TControl)
 |  | ShellListView (TCustomShellTreeView)
pt |  | ShowButtons (TCustomTreeView)
 |  | ShowHint (TControl)
 | ro | Showing (TWinControl)
pt |  | ShowLines (TCustomTreeView)
pt |  | ShowRoot (TCustomTreeView)
pt |  | ShowSeparators (TCustomTreeView)
pt |  | SortType (TCustomTreeView)
 |  | StateImages (TCustomTreeView)
 |  | StateImagesWidth (TCustomTreeView)
pt | ro | States (TCustomTreeView)
 |  | TabOrder (TWinControl)
 |  | TabStop (TWinControl)
pl | ro | TabStop (TCustomTreeView)
 |  | Tag (TComponent)
 |  | TBDockHeight (TControl)
pt |  | Text (TControl)
pt |  | ToolTips (TCustomTreeView)
pl |  | Top (TControl)
 |  | TopItem (TCustomTreeView)
 |  | TreeLineColor (TCustomTreeView)
 |  | TreeLinePenStyle (TCustomTreeView)
 |  | UndockHeight (TControl)
 |  | UndockWidth (TControl)
 |  | UseDockManager (TWinControl)
 |  | VCLComObject (TComponent)
 |  | Visible (TControl)
 | ro | VisibleDockClientCount (TWinControl)
 | ro | WidgetSetClass (TLCLComponent)
pl |  | Width (TControl)
pt |  | WindowHandle (TWinControl)
 |  | WindowProc (TControl)


TCustomShellTreeView
pt | DoCreateNodeClass
pt | Loaded
pt | CreateNode
pt | PopulateTreeNodeWithFiles
pt | DoSelectionChanged
pt | CanExpand
 | Create
 | Destroy
 | GetBasePath
 | GetRootPath
 | GetFilesInDir
 | GetPathFromNode
 | PopulateWithBaseFiles
 | Refresh
TCustomTreeView
pt | WSRegisterClass
pt | GetControlClassDefaultSize
pt | Added
pt | EditorEditingDone
pt | EditorKeyDown
pt | BeginAutoDrag
pt | BeginEditing
pt | DoDragMsg
pt | CanChange
pt | CanCollapse
pt | CanEdit
pt | CanExpand
pt | CreateNode
pt | CreateNodes
pt | CustomDraw
pt | CustomDrawItem
pt | DefaultItemHeightIsStored
pt | DoAutoAdjustLayout
pt | ExpandSignSizeIsStored
pt | GetDragImages
pt | GetMaxLvl
pt | GetMaxScrollLeft
pt | GetMaxScrollTop
pt | GetNodeAtY
pt | GetNodeDrawAreaHeight
pt | GetNodeDrawAreaWidth
pt | IndentIsStored
pt | IsCustomDrawn
pt | IsNodeVisible
pt | IsNodeHeightFullVisible
pt | IsInsertMarkVisible
pt | MoveSelection
pt | Change
pt | Collapse
pt | CreateWnd
pt | Delete
pt | DestroyWnd
pt | DoCreateNodeClass
pt | DoEndDrag
pt | DoMouseWheel
pt | DoMouseWheelHorz
pt | DoPaint
pt | DoPaintNode
pt | DoStartDrag
pt | DragOver
pt | EndEditing
pt | EnsureNodeIsVisible
pt | Expand
pt | GetImageIndex
pt | GetSelectedIndex
pt | InitializeWnd
pt | KeyDown
pt | Loaded
pt | MouseDown
pt | MouseMove
pt | MouseUp
pt | MouseLeave
pt | NodeChanged
pt | Notification
pt | Paint
pt | ScrollView
pt | SetDragMode
pt | SetOptions
pt | UpdateDefaultItemHeight
pt | UpdateInsertMark
pt | DoSelectionChanged
pt | WMHScroll
pt | WMVScroll
pt | WMLButtonDown
pt | WMSetFocus
pt | WMKillFocus
pt | Resize
 | GetSelectedChildAccessibleObject
 | GetChildAccessibleObjectAtPos
 | Create
 | Destroy
 | AlphaSort
 | ClearSelection
 | ConsistencyCheck
 | CustomSort
 | DefaultTreeViewSort
 | EraseBackground
 | GetHitTestInfoAt
 | GetNodeAt
 | GetInsertMarkAt
 | SetInsertMark
 | SetInsertMarkAt
 | Invalidate
 | IsEditing
 | BeginUpdate
 | EndUpdate
 | FullCollapse
 | FullExpand
 | LoadFromFile
 | LoadFromStream
 | SaveToFile
 | SaveToStream
 | WriteDebugReport
 | LockSelectionChangeEvent
 | UnlockSelectionChangeEvent
 | GetFirstMultiSelected
 | GetLastMultiSelected
 | Select
 | SelectionVisible
 | MakeSelectionVisible
 | ClearInvisibleSelection
 | StoreCurrentSelection
 | ApplyStoredSelection
 | MoveToNextNode
 | MoveToPrevNode
 | MovePageDown
 | MovePageUp
 | MoveHome
 | MoveEnd
TCustomControl
pt | WSRegisterClass
pt | WMPaint
pt | DestroyWnd
pt | PaintWindow
pt | FontChanged
pt | SetColor
pt | Paint
 | Create
 | Destroy
TWinControl
pt | WSRegisterClass
pt | AdjustClientRect
pt | GetAdjustedLogicalClientRect
pt | AlignControls
pt | CustomAlignInsertBefore
pt | CustomAlignPosition
pt | DoAlignChildControls
pt | DoChildSizingChange
pt | InvalidatePreferredChildSizes
pt | CanTab
pt | IsClientHeightStored
pt | IsClientWidthStored
pt | DoSendShowHideToInterface
pt | ControlsAligned
pt | DoSendBoundsToInterface
pt | RealizeBounds
pt | RealizeBoundsRecursive
pt | InvalidateBoundsRealized
pt | CreateSubClass
pt | DoConstraintsChange
pt | DoSetBounds
pt | DoAutoSize
pt | DoAllAutoSize
pt | AllAutoSized
pt | CalculatePreferredSize
pt | GetPreferredSizeClientFrame
pt | GetChildren
pt | ChildClassAllowed
pt | PaintControls
pt | PaintHandler
pt | PaintWindow
pt | CreateBrush
pt | ScaleControls
pt | ChangeScale
pt | CMBiDiModeChanged
pt | CMBorderChanged
pt | CMDoubleBufferedChanged
pt | CMEnabledChanged
pt | CMParentDoubleBufferedChanged
pt | CMShowingChanged
pt | CMShowHintChanged
pt | CMVisibleChanged
pt | CMEnter
pt | CMExit
pt | WMContextMenu
pt | WMEraseBkgnd
pt | WMNotify
pt | WMSetFocus
pt | WMKillFocus
pt | WMShowWindow
pt | WMEnter
pt | WMExit
pt | WMKeyDown
pt | WMSysKeyDown
pt | WMKeyUp
pt | WMSysKeyUp
pt | WMChar
pt | WMSysChar
pt | WMPaint
pt | WMDestroy
pt | WMMove
pt | WMSize
pt | WMWindowPosChanged
pt | CNKeyDown
pt | CNSysKeyDown
pt | CNKeyUp
pt | CNSysKeyUp
pt | CNChar
pt | DoDragMsg
pt | DoDockClientMsg
pt | DoUndockClientMsg
pt | DoAddDockClient
pt | DockOver
pt | DoDockOver
pt | DoRemoveDockClient
pt | DoUnDock
pt | GetSiteInfo
pt | GetParentHandle
pt | GetTopParentHandle
pt | ReloadDockedControl
pt | CreateDockManager
pt | SetDockManager
pt | DoFloatMsg
pt | DoGetDockCaption
pt | DoEnter
pt | DoExit
pt | DoKeyDownBeforeInterface
pt | DoRemainingKeyDown
pt | DoRemainingKeyUp
pt | DoKeyPress
pt | DoUTF8KeyPress
pt | DoKeyUpBeforeInterface
pt | ChildKey
pt | SendDialogChar
pt | DialogChar
pt | ControlKeyDown
pt | ControlKeyUp
pt | KeyDown
pt | KeyDownBeforeInterface
pt | KeyDownAfterInterface
pt | KeyPress
pt | KeyUp
pt | KeyUpBeforeInterface
pt | KeyUpAfterInterface
pt | UTF8KeyPress
pt | FindNextControl
pt | SelectFirst
pt | RealGetText
pt | GetBorderStyle
pt | GetClientOrigin
pt | GetClientRect
pt | GetControlOrigin
pt | GetDeviceContext
pt | GetParentBackground
pt | IsControlMouseMsg
pt | CreateHandle
pt | CreateParams
pt | CreateWnd
pt | DestroyHandle
pt | DestroyWnd
pt | DoFlipChildren
pt | FinalizeWnd
pt | FixupTabList
pt | FontChanged
pt | InitializeWnd
pt | Loaded
pt | FormEndUpdated
pt | MainWndProc
pt | ParentFormHandleInitialized
pt | ChildHandlesCreated
pt | GetMouseCapture
pt | RealSetText
pt | RemoveFocus
pt | SendMoveSizeMessages
pt | SetBorderStyle
pt | SetColor
pt | SetChildZPosition
pt | SetParentBackground
pt | ShowControl
pt | UpdateControlState
pt | UpdateShowing
pt | WndProc
pt | WSSetText
 | AutoSizePhases
 | AutoSizeDelayed
 | AutoSizeDelayedReport
 | AutoSizeDelayedHandle
 | BeginUpdateBounds
 | EndUpdateBounds
 | LockRealizeBounds
 | UnlockRealizeBounds
 | ControlAtPos
 | ContainsControl
 | DoAdjustClientRectChange
 | InvalidateClientRectCache
 | ClientRectNeedsInterfaceUpdate
 | SetBounds
 | GetChildrenRect
 | DisableAlign
 | EnableAlign
 | ReAlign
 | ScrollBy_WS
 | ScrollBy
 | WriteLayoutDebugReport
 | AutoAdjustLayout
 | Create
 | CreateParented
 | CreateParentedControl
 | Destroy
 | DockDrop
 | CanFocus
 | CanSetFocus
 | GetControlIndex
 | SetControlIndex
 | Focused
 | PerformTab
 | FindChildControl
 | SelectNext
 | SetTempCursor
 | BroadCast
 | NotifyControls
 | DefaultHandler
 | GetTextLen
 | Invalidate
 | AddControl
 | InsertControl
 | RemoveControl
 | GetEnumeratorControls
 | GetEnumeratorControlsReverse
 | Repaint
 | Update
 | SetFocus
 | FlipChildren
 | ScaleBy
 | GetDockCaption
 | UpdateDockCaption
 | GetTabOrderList
 | HandleAllocated
 | ParentHandlesAllocated
 | HandleNeeded
 | BrushCreated
 | EraseBackground
 | IntfUTF8KeyPress
 | IntfGetDropFilesTarget
 | PaintTo
 | SetShape
TControl
pt | WSRegisterClass
pt | GetCursor
pt | SetCursor
pt | SetVisible
pt | DoOnParentHandleDestruction
pt | DoAutoSize
pt | DoAllAutoSize
pt | BeginAutoSizing
pt | EndAutoSizing
pt | AnchorSideChanged
pt | ForeignAnchorSideChanged
pt | SetAlign
pt | SetAnchors
pt | SetAutoSize
pt | BoundsChanged
pt | CreateControlBorderSpacing
pt | DoConstraintsChange
pt | DoBorderSpacingChange
pt | IsBorderSpacingInnerBorderStored
pt | IsCaptionStored
pt | SendMoveSizeMessages
pt | ConstrainedResize
pt | CalculatePreferredSize
pt | DoOnResize
pt | DoOnChangeBounds
pt | CheckOnChangeBounds
pt | Resize
pt | RequestAlign
pt | UpdateAnchorRules
pt | ChangeBounds
pt | DoSetBounds
pt | ScaleConstraints
pt | ChangeScale
pt | CanAutoSize
pt | SetBiDiMode
pt | SetParentBiDiMode
pt | IsAParentAligning
pt | GetClientOrigin
pt | GetClientRect
pt | GetLogicalClientRect
pt | GetScrolledClientRect
pt | GetClientScrollOffset
pt | GetControlOrigin
pt | IsClientHeightStored
pt | IsClientWidthStored
pt | WidthIsAnchored
pt | HeightIsAnchored
pt | WMCancelMode
pt | WMContextMenu
pt | WMLButtonDown
pt | WMRButtonDown
pt | WMMButtonDown
pt | WMXButtonDown
pt | WMLButtonDBLCLK
pt | WMRButtonDBLCLK
pt | WMMButtonDBLCLK
pt | WMXButtonDBLCLK
pt | WMLButtonTripleCLK
pt | WMRButtonTripleCLK
pt | WMMButtonTripleCLK
pt | WMXButtonTripleCLK
pt | WMLButtonQuadCLK
pt | WMRButtonQuadCLK
pt | WMMButtonQuadCLK
pt | WMXButtonQuadCLK
pt | WMMouseMove
pt | WMLButtonUp
pt | WMRButtonUp
pt | WMMButtonUp
pt | WMXButtonUp
pt | WMMouseWheel
pt | WMMouseHWheel
pt | WMMove
pt | WMSize
pt | WMWindowPosChanged
pt | CMChanged
pt | LMCaptureChanged
pt | CMBiDiModeChanged
pt | CMSysFontChanged
pt | CMEnabledChanged
pt | CMHitTest
pt | CMMouseEnter
pt | CMMouseLeave
pt | CMHintShow
pt | CMParentBiDiModeChanged
pt | CMParentColorChanged
pt | CMParentFontChanged
pt | CMParentShowHintChanged
pt | CMVisibleChanged
pt | CMTextChanged
pt | CMCursorChanged
pt | CalculateDockSizes
pt | CreateFloatingDockSite
pt | GetDockEdge
pt | GetDragImages
pt | GetFloating
pt | GetFloatingDockSiteClass
pt | BeforeDragStart
pt | BeginAutoDrag
pt | DoFloatMsg
pt | DockTrackNoTarget
pt | DoDock
pt | DoDragMsg
pt | DoEndDock
pt | DoEndDrag
pt | DoStartDock
pt | DoStartDrag
pt | DragCanceled
pt | DragOver
pt | PositionDockRect
pt | SetDragMode
pt | GetDefaultDockCaption
pt | Click
pt | DblClick
pt | TripleClick
pt | QuadClick
pt | GetMousePosFromMessage
pt | MouseDown
pt | MouseMove
pt | MouseUp
pt | MouseEnter
pt | MouseLeave
pt | DialogChar
pt | UpdateMouseCursor
pt | Changed
pt | GetPalette
pt | ChildClassAllowed
pt | ReadState
pt | Loaded
pt | LoadedAll
pt | DefineProperties
pt | AssignTo
pt | FormEndUpdated
pt | InvalidateControl
pt | FontChanged
pt | ParentFontChanged
pt | GetAction
pt | RealGetText
pt | RealSetText
pt | TextChanged
pt | GetCachedText
pt | SetAction
pt | SetColor
pt | SetEnabled
pt | SetHint
pt | SetName
pt | SetParent
pt | SetParentComponent
pt | WndProc
pt | ParentFormHandleInitialized
pt | GetMouseCapture
pt | CaptureChanged
pt | Notification
pt | CanTab
pt | GetDeviceContext
pt | GetEnabled
pt | GetPopupMenu
pt | DoOnShowHint
pt | DoMouseWheel
pt | DoMouseWheelDown
pt | DoMouseWheelUp
pt | DoMouseWheelHorz
pt | DoMouseWheelLeft
pt | DoMouseWheelRight
pt | VisibleChanging
pt | VisibleChanged
pt | EnabledChanging
pt | EnabledChanged
pt | AddHandler
pt | RemoveHandler
pt | DoCallNotifyHandler
pt | DoCallKeyEventHandler
pt | DoCallMouseWheelEventHandler
pt | DoContextPopup
pt | SetZOrder
pt | GetControlClassDefaultSize
pt | ColorIsStored
pt | DoAutoAdjustLayout
pt | DoFixDesignFontPPI
pt | DoScaleFontPPI
pt | GetActionLinkClass
pt | ActionChange
 | DragDrop
 | Dock
 | ManualDock
 | ManualFloat
 | ReplaceDockedControl
 | Docked
 | Dragging
 | GetAccessibleObject
 | CreateAccessibleObject
 | GetSelectedChildAccessibleObject
 | GetChildAccessibleObjectAtPos
 | ScaleDesignToForm
 | ScaleFormToDesign
 | Scale96ToForm
 | ScaleFormTo96
 | Scale96ToFont
 | ScaleFontTo96
 | ScaleScreenToFont
 | ScaleFontToScreen
 | Scale96ToScreen
 | ScaleScreenTo96
 | AdjustSize
 | AutoSizePhases
 | AutoSizeDelayed
 | AutoSizeDelayedReport
 | AutoSizeDelayedHandle
 | AnchorToNeighbour
 | AnchorParallel
 | AnchorHorizontalCenterTo
 | AnchorVerticalCenterTo
 | AnchorToCompanion
 | AnchorSame
 | AnchorAsAlign
 | AnchorClient
 | AnchoredControlCount
 | SetBounds
 | SetInitialBounds
 | SetBoundsKeepBase
 | GetPreferredSize
 | GetCanvasScaleFactor
 | GetDefaultWidth
 | GetDefaultHeight
 | GetDefaultColor
 | GetColorResolvingParent
 | GetRGBColorResolvingParent
 | GetSidePosition
 | CNPreferredSizeChanged
 | InvalidatePreferredSize
 | GetAnchorsDependingOnParent
 | DisableAutoSizing
 | EnableAutoSizing
 | UpdateBaseBounds
 | WriteLayoutDebugReport
 | AutoAdjustLayout
 | ShouldAutoAdjust
 | FixDesignFontsPPI
 | ScaleFontsPPI
 | Create
 | Destroy
 | BeforeDestruction
 | EditingDone
 | ExecuteDefaultAction
 | ExecuteCancelAction
 | BeginDrag
 | EndDrag
 | BringToFront
 | HasParent
 | GetParentComponent
 | IsParentOf
 | GetTopParent
 | IsVisible
 | IsControlVisible
 | IsEnabled
 | IsParentColor
 | IsParentFont
 | FormIsUpdating
 | IsProcessingPaintMsg
 | Hide
 | Refresh
 | Repaint
 | Invalidate
 | CheckChildClassAllowed
 | CheckNewParent
 | SendToBack
 | SetTempCursor
 | UpdateRolesForForm
 | ActiveDefaultControlChanged
 | GetTextBuf
 | GetTextLen
 | SetTextBuf
 | Perform
 | ScreenToClient
 | ClientToScreen
 | ScreenToControl
 | ControlToScreen
 | ClientToParent
 | ParentToClient
 | GetChildrenRect
 | Show
 | Update
 | HandleObjectShouldBeVisible
 | ParentDestroyingHandle
 | ParentHandlesAllocated
 | InitiateAction
 | ShowHelp
 | HasHelp
 | RemoveAllHandlersOfObject
 | AddHandlerOnResize
 | RemoveHandlerOnResize
 | AddHandlerOnChangeBounds
 | RemoveHandlerOnChangeBounds
 | AddHandlerOnVisibleChanging
 | RemoveHandlerOnVisibleChanging
 | AddHandlerOnVisibleChanged
 | RemoveHandlerOnVisibleChanged
 | AddHandlerOnEnabledChanged
 | RemoveHandlerOnEnableChanging
 | AddHandlerOnKeyDown
 | RemoveHandlerOnKeyDown
 | AddHandlerOnBeforeDestruction
 | RemoveHandlerOnBeforeDestruction
 | AddHandlerOnMouseWheel
 | RemoveHandlerOnMouseWheel
 | UseRightToLeftAlignment
 | UseRightToLeftReading
 | UseRightToLeftScrollBar
 | IsRightToLeft
TLCLComponent
pt | WSRegisterClass
pt | GetWSComponentClass
 | Create
 | Destroy
 | NewInstance
 | RemoveAllHandlersOfObject
 | IncLCLRefCount
 | DecLCLRefCount
TComponent
 | GetComObject
 | GetComponent
 | GetComponentCount
 | GetComponentIndex
 | Insert
 | ReadLeft
 | ReadTop
 | Remove
 | RemoveNotification
 | SetComponentIndex
 | SetReference
 | WriteLeft
 | WriteTop
 | ChangeName
 | DefineProperties
 | GetChildren
 | GetChildOwner
 | GetChildParent
 | GetOwner
 | Loaded
 | Loading
 | Notification
 | PaletteCreated
 | ReadState
 | SetAncestor
 | SetDesigning
 | SetDesignInstance
 | SetInline
 | SetName
 | SetChildOrder
 | SetParentComponent
 | Updating
 | Updated
 | UpdateRegistry
 | ValidateRename
 | ValidateContainer
 | ValidateInsert
 | QueryInterface
 | _AddRef
 | _Release
 | iicrGetComponent
 | GetTypeInfoCount
 | GetTypeInfo
 | GetIDsOfNames
 | Invoke
 | WriteState
 | Create
 | Destroy
 | BeforeDestruction
 | DestroyComponents
 | Destroying
 | ExecuteAction
 | FindComponent
 | FreeNotification
 | RemoveFreeNotification
 | FreeOnRelease
 | GetEnumerator
 | GetNamePath
 | GetParentComponent
 | HasParent
 | InsertComponent
 | RemoveComponent
 | SafeCallException
 | SetSubComponent
 | UpdateAction
 | IsImplementorOf
 | ReferenceInterface
TPersistent
 | AssignError
 | AssignTo
 | DefineProperties
 | GetOwner
 | Destroy
 | Assign
 | FPOAttachObserver
 | FPODetachObserver
 | FPONotifyObservers
 | GetNamePath
TObject
 | Create
 | Destroy
 | newinstance
 | FreeInstance
 | SafeCallException
 | DefaultHandler
 | Free
 | InitInstance
 | CleanupInstance
 | ClassType
 | ClassInfo
 | ClassName
 | ClassNameIs
 | ClassParent
 | InstanceSize
 | InheritsFrom
 | StringMessageTable
 | MethodAddress
 | MethodName
 | FieldAddress
 | AfterConstruction
 | BeforeDestruction
 | DefaultHandlerStr
 | Dispatch
 | DispatchStr
 | GetInterface
 | GetInterfaceByStr
 | GetInterfaceWeak
 | GetInterfaceEntry
 | GetInterfaceEntryByStr
 | GetInterfaceTable
 | UnitName
 | Equals
 | GetHashCode
 | ToString


pt | ActionChange (TControl)
 | ActiveDefaultControlChanged (TControl)
 | AddControl (TWinControl)
pt | Added (TCustomTreeView)
pt | AddHandler (TControl)
 | AddHandlerOnBeforeDestruction (TControl)
 | AddHandlerOnChangeBounds (TControl)
 | AddHandlerOnEnabledChanged (TControl)
 | AddHandlerOnKeyDown (TControl)
 | AddHandlerOnMouseWheel (TControl)
 | AddHandlerOnResize (TControl)
 | AddHandlerOnVisibleChanged (TControl)
 | AddHandlerOnVisibleChanging (TControl)
pt | AdjustClientRect (TWinControl)
 | AdjustSize (TControl)
 | AfterConstruction (TObject)
pt | AlignControls (TWinControl)
pt | AllAutoSized (TWinControl)
 | AlphaSort (TCustomTreeView)
 | AnchorAsAlign (TControl)
 | AnchorClient (TControl)
 | AnchoredControlCount (TControl)
 | AnchorHorizontalCenterTo (TControl)
 | AnchorParallel (TControl)
 | AnchorSame (TControl)
pt | AnchorSideChanged (TControl)
 | AnchorToCompanion (TControl)
 | AnchorToNeighbour (TControl)
 | AnchorVerticalCenterTo (TControl)
 | ApplyStoredSelection (TCustomTreeView)
 | Assign (TPersistent)
 | AssignError (TPersistent)
 | AssignTo (TPersistent)
pt | AssignTo (TControl)
 | AutoAdjustLayout (TControl)
 | AutoAdjustLayout (TWinControl)
 | AutoSizeDelayed (TControl)
 | AutoSizeDelayed (TWinControl)
 | AutoSizeDelayedHandle (TControl)
 | AutoSizeDelayedHandle (TWinControl)
 | AutoSizeDelayedReport (TControl)
 | AutoSizeDelayedReport (TWinControl)
 | AutoSizePhases (TControl)
 | AutoSizePhases (TWinControl)
 | BeforeDestruction (TObject)
 | BeforeDestruction (TComponent)
 | BeforeDestruction (TControl)
pt | BeforeDragStart (TControl)
pt | BeginAutoDrag (TControl)
pt | BeginAutoDrag (TCustomTreeView)
pt | BeginAutoSizing (TControl)
 | BeginDrag (TControl)
pt | BeginEditing (TCustomTreeView)
 | BeginUpdate (TCustomTreeView)
 | BeginUpdateBounds (TWinControl)
pt | BoundsChanged (TControl)
 | BringToFront (TControl)
 | BroadCast (TWinControl)
 | BrushCreated (TWinControl)
pt | CalculateDockSizes (TControl)
pt | CalculatePreferredSize (TControl)
pt | CalculatePreferredSize (TWinControl)
pt | CanAutoSize (TControl)
pt | CanChange (TCustomTreeView)
pt | CanCollapse (TCustomTreeView)
pt | CanEdit (TCustomTreeView)
pt | CanExpand (TCustomTreeView)
pt | CanExpand (TCustomShellTreeView)
 | CanFocus (TWinControl)
 | CanSetFocus (TWinControl)
pt | CanTab (TControl)
pt | CanTab (TWinControl)
pt | CaptureChanged (TControl)
pt | Change (TCustomTreeView)
pt | ChangeBounds (TControl)
pt | Changed (TControl)
 | ChangeName (TComponent)
pt | ChangeScale (TControl)
pt | ChangeScale (TWinControl)
 | CheckChildClassAllowed (TControl)
 | CheckNewParent (TControl)
pt | CheckOnChangeBounds (TControl)
pt | ChildClassAllowed (TControl)
pt | ChildClassAllowed (TWinControl)
pt | ChildHandlesCreated (TWinControl)
pt | ChildKey (TWinControl)
 | ClassInfo (TObject)
 | ClassName (TObject)
 | ClassNameIs (TObject)
 | ClassParent (TObject)
 | ClassType (TObject)
 | CleanupInstance (TObject)
 | ClearInvisibleSelection (TCustomTreeView)
 | ClearSelection (TCustomTreeView)
pt | Click (TControl)
 | ClientRectNeedsInterfaceUpdate (TWinControl)
 | ClientToParent (TControl)
 | ClientToScreen (TControl)
pt | CMBiDiModeChanged (TControl)
pt | CMBiDiModeChanged (TWinControl)
pt | CMBorderChanged (TWinControl)
pt | CMChanged (TControl)
pt | CMCursorChanged (TControl)
pt | CMDoubleBufferedChanged (TWinControl)
pt | CMEnabledChanged (TControl)
pt | CMEnabledChanged (TWinControl)
pt | CMEnter (TWinControl)
pt | CMExit (TWinControl)
pt | CMHintShow (TControl)
pt | CMHitTest (TControl)
pt | CMMouseEnter (TControl)
pt | CMMouseLeave (TControl)
pt | CMParentBiDiModeChanged (TControl)
pt | CMParentColorChanged (TControl)
pt | CMParentDoubleBufferedChanged (TWinControl)
pt | CMParentFontChanged (TControl)
pt | CMParentShowHintChanged (TControl)
pt | CMShowHintChanged (TWinControl)
pt | CMShowingChanged (TWinControl)
pt | CMSysFontChanged (TControl)
pt | CMTextChanged (TControl)
pt | CMVisibleChanged (TControl)
pt | CMVisibleChanged (TWinControl)
pt | CNChar (TWinControl)
pt | CNKeyDown (TWinControl)
pt | CNKeyUp (TWinControl)
 | CNPreferredSizeChanged (TControl)
pt | CNSysKeyDown (TWinControl)
pt | CNSysKeyUp (TWinControl)
pt | Collapse (TCustomTreeView)
pt | ColorIsStored (TControl)
 | ConsistencyCheck (TCustomTreeView)
pt | ConstrainedResize (TControl)
 | ContainsControl (TWinControl)
 | ControlAtPos (TWinControl)
pt | ControlKeyDown (TWinControl)
pt | ControlKeyUp (TWinControl)
pt | ControlsAligned (TWinControl)
 | ControlToScreen (TControl)
 | Create (TObject)
 | Create (TComponent)
 | Create (TLCLComponent)
 | Create (TControl)
 | Create (TWinControl)
 | Create (TCustomControl)
 | Create (TCustomTreeView)
 | Create (TCustomShellTreeView)
 | CreateAccessibleObject (TControl)
pt | CreateBrush (TWinControl)
pt | CreateControlBorderSpacing (TControl)
pt | CreateDockManager (TWinControl)
pt | CreateFloatingDockSite (TControl)
pt | CreateHandle (TWinControl)
pt | CreateNode (TCustomTreeView)
pt | CreateNode (TCustomShellTreeView)
pt | CreateNodes (TCustomTreeView)
pt | CreateParams (TWinControl)
 | CreateParented (TWinControl)
 | CreateParentedControl (TWinControl)
pt | CreateSubClass (TWinControl)
pt | CreateWnd (TWinControl)
pt | CreateWnd (TCustomTreeView)
pt | CustomAlignInsertBefore (TWinControl)
pt | CustomAlignPosition (TWinControl)
pt | CustomDraw (TCustomTreeView)
pt | CustomDrawItem (TCustomTreeView)
 | CustomSort (TCustomTreeView)
pt | DblClick (TControl)
 | DecLCLRefCount (TLCLComponent)
 | DefaultHandler (TObject)
 | DefaultHandler (TWinControl)
 | DefaultHandlerStr (TObject)
pt | DefaultItemHeightIsStored (TCustomTreeView)
 | DefaultTreeViewSort (TCustomTreeView)
 | DefineProperties (TPersistent)
 | DefineProperties (TComponent)
pt | DefineProperties (TControl)
pt | Delete (TCustomTreeView)
 | Destroy (TObject)
 | Destroy (TPersistent)
 | Destroy (TComponent)
 | Destroy (TLCLComponent)
 | Destroy (TControl)
 | Destroy (TWinControl)
 | Destroy (TCustomControl)
 | Destroy (TCustomTreeView)
 | Destroy (TCustomShellTreeView)
 | DestroyComponents (TComponent)
pt | DestroyHandle (TWinControl)
 | Destroying (TComponent)
pt | DestroyWnd (TWinControl)
pt | DestroyWnd (TCustomControl)
pt | DestroyWnd (TCustomTreeView)
pt | DialogChar (TControl)
pt | DialogChar (TWinControl)
 | DisableAlign (TWinControl)
 | DisableAutoSizing (TControl)
 | Dispatch (TObject)
 | DispatchStr (TObject)
pt | DoAddDockClient (TWinControl)
 | DoAdjustClientRectChange (TWinControl)
pt | DoAlignChildControls (TWinControl)
pt | DoAllAutoSize (TControl)
pt | DoAllAutoSize (TWinControl)
pt | DoAutoAdjustLayout (TControl)
pt | DoAutoAdjustLayout (TCustomTreeView)
pt | DoAutoSize (TControl)
pt | DoAutoSize (TWinControl)
pt | DoBorderSpacingChange (TControl)
pt | DoCallKeyEventHandler (TControl)
pt | DoCallMouseWheelEventHandler (TControl)
pt | DoCallNotifyHandler (TControl)
pt | DoChildSizingChange (TWinControl)
 | Dock (TControl)
 | DockDrop (TWinControl)
 | Docked (TControl)
pt | DockOver (TWinControl)
pt | DockTrackNoTarget (TControl)
pt | DoConstraintsChange (TControl)
pt | DoConstraintsChange (TWinControl)
pt | DoContextPopup (TControl)
pt | DoCreateNodeClass (TCustomTreeView)
pt | DoCreateNodeClass (TCustomShellTreeView)
pt | DoDock (TControl)
pt | DoDockClientMsg (TWinControl)
pt | DoDockOver (TWinControl)
pt | DoDragMsg (TControl)
pt | DoDragMsg (TWinControl)
pt | DoDragMsg (TCustomTreeView)
pt | DoEndDock (TControl)
pt | DoEndDrag (TControl)
pt | DoEndDrag (TCustomTreeView)
pt | DoEnter (TWinControl)
pt | DoExit (TWinControl)
pt | DoFixDesignFontPPI (TControl)
pt | DoFlipChildren (TWinControl)
pt | DoFloatMsg (TControl)
pt | DoFloatMsg (TWinControl)
pt | DoGetDockCaption (TWinControl)
pt | DoKeyDownBeforeInterface (TWinControl)
pt | DoKeyPress (TWinControl)
pt | DoKeyUpBeforeInterface (TWinControl)
pt | DoMouseWheel (TControl)
pt | DoMouseWheel (TCustomTreeView)
pt | DoMouseWheelDown (TControl)
pt | DoMouseWheelHorz (TControl)
pt | DoMouseWheelHorz (TCustomTreeView)
pt | DoMouseWheelLeft (TControl)
pt | DoMouseWheelRight (TControl)
pt | DoMouseWheelUp (TControl)
pt | DoOnChangeBounds (TControl)
pt | DoOnParentHandleDestruction (TControl)
pt | DoOnResize (TControl)
pt | DoOnShowHint (TControl)
pt | DoPaint (TCustomTreeView)
pt | DoPaintNode (TCustomTreeView)
pt | DoRemainingKeyDown (TWinControl)
pt | DoRemainingKeyUp (TWinControl)
pt | DoRemoveDockClient (TWinControl)
pt | DoScaleFontPPI (TControl)
pt | DoSelectionChanged (TCustomTreeView)
pt | DoSelectionChanged (TCustomShellTreeView)
pt | DoSendBoundsToInterface (TWinControl)
pt | DoSendShowHideToInterface (TWinControl)
pt | DoSetBounds (TControl)
pt | DoSetBounds (TWinControl)
pt | DoStartDock (TControl)
pt | DoStartDrag (TControl)
pt | DoStartDrag (TCustomTreeView)
pt | DoUnDock (TWinControl)
pt | DoUndockClientMsg (TWinControl)
pt | DoUTF8KeyPress (TWinControl)
pt | DragCanceled (TControl)
 | DragDrop (TControl)
 | Dragging (TControl)
pt | DragOver (TControl)
pt | DragOver (TCustomTreeView)
 | EditingDone (TControl)
pt | EditorEditingDone (TCustomTreeView)
pt | EditorKeyDown (TCustomTreeView)
 | EnableAlign (TWinControl)
 | EnableAutoSizing (TControl)
pt | EnabledChanged (TControl)
pt | EnabledChanging (TControl)
pt | EndAutoSizing (TControl)
 | EndDrag (TControl)
pt | EndEditing (TCustomTreeView)
 | EndUpdate (TCustomTreeView)
 | EndUpdateBounds (TWinControl)
pt | EnsureNodeIsVisible (TCustomTreeView)
 | Equals (TObject)
 | EraseBackground (TWinControl)
 | EraseBackground (TCustomTreeView)
 | ExecuteAction (TComponent)
 | ExecuteCancelAction (TControl)
 | ExecuteDefaultAction (TControl)
pt | Expand (TCustomTreeView)
pt | ExpandSignSizeIsStored (TCustomTreeView)
 | FieldAddress (TObject)
pt | FinalizeWnd (TWinControl)
 | FindChildControl (TWinControl)
 | FindComponent (TComponent)
pt | FindNextControl (TWinControl)
 | FixDesignFontsPPI (TControl)
pt | FixupTabList (TWinControl)
 | FlipChildren (TWinControl)
 | Focused (TWinControl)
pt | FontChanged (TControl)
pt | FontChanged (TWinControl)
pt | FontChanged (TCustomControl)
pt | ForeignAnchorSideChanged (TControl)
pt | FormEndUpdated (TControl)
pt | FormEndUpdated (TWinControl)
 | FormIsUpdating (TControl)
 | FPOAttachObserver (TPersistent)
 | FPODetachObserver (TPersistent)
 | FPONotifyObservers (TPersistent)
 | Free (TObject)
 | FreeInstance (TObject)
 | FreeNotification (TComponent)
 | FreeOnRelease (TComponent)
 | FullCollapse (TCustomTreeView)
 | FullExpand (TCustomTreeView)
 | GetAccessibleObject (TControl)
pt | GetAction (TControl)
pt | GetActionLinkClass (TControl)
pt | GetAdjustedLogicalClientRect (TWinControl)
 | GetAnchorsDependingOnParent (TControl)
 | GetBasePath (TCustomShellTreeView)
pt | GetBorderStyle (TWinControl)
pt | GetCachedText (TControl)
 | GetCanvasScaleFactor (TControl)
 | GetChildAccessibleObjectAtPos (TControl)
 | GetChildAccessibleObjectAtPos (TCustomTreeView)
 | GetChildOwner (TComponent)
 | GetChildParent (TComponent)
 | GetChildren (TComponent)
pt | GetChildren (TWinControl)
 | GetChildrenRect (TControl)
 | GetChildrenRect (TWinControl)
pt | GetClientOrigin (TControl)
pt | GetClientOrigin (TWinControl)
pt | GetClientRect (TControl)
pt | GetClientRect (TWinControl)
pt | GetClientScrollOffset (TControl)
 | GetColorResolvingParent (TControl)
 | GetComObject (TComponent)
 | GetComponent (TComponent)
 | GetComponentCount (TComponent)
 | GetComponentIndex (TComponent)
pt | GetControlClassDefaultSize (TControl)
pt | GetControlClassDefaultSize (TCustomTreeView)
 | GetControlIndex (TWinControl)
pt | GetControlOrigin (TControl)
pt | GetControlOrigin (TWinControl)
pt | GetCursor (TControl)
 | GetDefaultColor (TControl)
pt | GetDefaultDockCaption (TControl)
 | GetDefaultHeight (TControl)
 | GetDefaultWidth (TControl)
pt | GetDeviceContext (TControl)
pt | GetDeviceContext (TWinControl)
 | GetDockCaption (TWinControl)
pt | GetDockEdge (TControl)
pt | GetDragImages (TControl)
pt | GetDragImages (TCustomTreeView)
pt | GetEnabled (TControl)
 | GetEnumerator (TComponent)
 | GetEnumeratorControls (TWinControl)
 | GetEnumeratorControlsReverse (TWinControl)
 | GetFilesInDir (TCustomShellTreeView)
 | GetFirstMultiSelected (TCustomTreeView)
pt | GetFloating (TControl)
pt | GetFloatingDockSiteClass (TControl)
 | GetHashCode (TObject)
 | GetHitTestInfoAt (TCustomTreeView)
 | GetIDsOfNames (TComponent)
pt | GetImageIndex (TCustomTreeView)
 | GetInsertMarkAt (TCustomTreeView)
 | GetInterface (TObject)
 | GetInterfaceByStr (TObject)
 | GetInterfaceEntry (TObject)
 | GetInterfaceEntryByStr (TObject)
 | GetInterfaceTable (TObject)
 | GetInterfaceWeak (TObject)
 | GetLastMultiSelected (TCustomTreeView)
pt | GetLogicalClientRect (TControl)
pt | GetMaxLvl (TCustomTreeView)
pt | GetMaxScrollLeft (TCustomTreeView)
pt | GetMaxScrollTop (TCustomTreeView)
pt | GetMouseCapture (TControl)
pt | GetMouseCapture (TWinControl)
pt | GetMousePosFromMessage (TControl)
 | GetNamePath (TPersistent)
 | GetNamePath (TComponent)
 | GetNodeAt (TCustomTreeView)
pt | GetNodeAtY (TCustomTreeView)
pt | GetNodeDrawAreaHeight (TCustomTreeView)
pt | GetNodeDrawAreaWidth (TCustomTreeView)
 | GetOwner (TPersistent)
 | GetOwner (TComponent)
pt | GetPalette (TControl)
pt | GetParentBackground (TWinControl)
 | GetParentComponent (TComponent)
 | GetParentComponent (TControl)
pt | GetParentHandle (TWinControl)
 | GetPathFromNode (TCustomShellTreeView)
pt | GetPopupMenu (TControl)
 | GetPreferredSize (TControl)
pt | GetPreferredSizeClientFrame (TWinControl)
 | GetRGBColorResolvingParent (TControl)
 | GetRootPath (TCustomShellTreeView)
pt | GetScrolledClientRect (TControl)
 | GetSelectedChildAccessibleObject (TControl)
 | GetSelectedChildAccessibleObject (TCustomTreeView)
pt | GetSelectedIndex (TCustomTreeView)
 | GetSidePosition (TControl)
pt | GetSiteInfo (TWinControl)
 | GetTabOrderList (TWinControl)
 | GetTextBuf (TControl)
 | GetTextLen (TControl)
 | GetTextLen (TWinControl)
 | GetTopParent (TControl)
pt | GetTopParentHandle (TWinControl)
 | GetTypeInfo (TComponent)
 | GetTypeInfoCount (TComponent)
pt | GetWSComponentClass (TLCLComponent)
 | HandleAllocated (TWinControl)
 | HandleNeeded (TWinControl)
 | HandleObjectShouldBeVisible (TControl)
 | HasHelp (TControl)
 | HasParent (TComponent)
 | HasParent (TControl)
pt | HeightIsAnchored (TControl)
 | Hide (TControl)
 | iicrGetComponent (TComponent)
 | IncLCLRefCount (TLCLComponent)
pt | IndentIsStored (TCustomTreeView)
 | InheritsFrom (TObject)
pt | InitializeWnd (TWinControl)
pt | InitializeWnd (TCustomTreeView)
 | InitiateAction (TControl)
 | InitInstance (TObject)
 | Insert (TComponent)
 | InsertComponent (TComponent)
 | InsertControl (TWinControl)
 | InstanceSize (TObject)
 | IntfGetDropFilesTarget (TWinControl)
 | IntfUTF8KeyPress (TWinControl)
 | Invalidate (TControl)
 | Invalidate (TWinControl)
 | Invalidate (TCustomTreeView)
pt | InvalidateBoundsRealized (TWinControl)
 | InvalidateClientRectCache (TWinControl)
pt | InvalidateControl (TControl)
pt | InvalidatePreferredChildSizes (TWinControl)
 | InvalidatePreferredSize (TControl)
 | Invoke (TComponent)
pt | IsAParentAligning (TControl)
pt | IsBorderSpacingInnerBorderStored (TControl)
pt | IsCaptionStored (TControl)
pt | IsClientHeightStored (TControl)
pt | IsClientHeightStored (TWinControl)
pt | IsClientWidthStored (TControl)
pt | IsClientWidthStored (TWinControl)
pt | IsControlMouseMsg (TWinControl)
 | IsControlVisible (TControl)
pt | IsCustomDrawn (TCustomTreeView)
 | IsEditing (TCustomTreeView)
 | IsEnabled (TControl)
 | IsImplementorOf (TComponent)
pt | IsInsertMarkVisible (TCustomTreeView)
pt | IsNodeHeightFullVisible (TCustomTreeView)
pt | IsNodeVisible (TCustomTreeView)
 | IsParentColor (TControl)
 | IsParentFont (TControl)
 | IsParentOf (TControl)
 | IsProcessingPaintMsg (TControl)
 | IsRightToLeft (TControl)
 | IsVisible (TControl)
pt | KeyDown (TWinControl)
pt | KeyDown (TCustomTreeView)
pt | KeyDownAfterInterface (TWinControl)
pt | KeyDownBeforeInterface (TWinControl)
pt | KeyPress (TWinControl)
pt | KeyUp (TWinControl)
pt | KeyUpAfterInterface (TWinControl)
pt | KeyUpBeforeInterface (TWinControl)
pt | LMCaptureChanged (TControl)
 | Loaded (TComponent)
pt | Loaded (TControl)
pt | Loaded (TWinControl)
pt | Loaded (TCustomTreeView)
pt | Loaded (TCustomShellTreeView)
pt | LoadedAll (TControl)
 | LoadFromFile (TCustomTreeView)
 | LoadFromStream (TCustomTreeView)
 | Loading (TComponent)
 | LockRealizeBounds (TWinControl)
 | LockSelectionChangeEvent (TCustomTreeView)
pt | MainWndProc (TWinControl)
 | MakeSelectionVisible (TCustomTreeView)
 | ManualDock (TControl)
 | ManualFloat (TControl)
 | MethodAddress (TObject)
 | MethodName (TObject)
pt | MouseDown (TControl)
pt | MouseDown (TCustomTreeView)
pt | MouseEnter (TControl)
pt | MouseLeave (TControl)
pt | MouseLeave (TCustomTreeView)
pt | MouseMove (TControl)
pt | MouseMove (TCustomTreeView)
pt | MouseUp (TControl)
pt | MouseUp (TCustomTreeView)
 | MoveEnd (TCustomTreeView)
 | MoveHome (TCustomTreeView)
 | MovePageDown (TCustomTreeView)
 | MovePageUp (TCustomTreeView)
pt | MoveSelection (TCustomTreeView)
 | MoveToNextNode (TCustomTreeView)
 | MoveToPrevNode (TCustomTreeView)
 | newinstance (TObject)
 | NewInstance (TLCLComponent)
pt | NodeChanged (TCustomTreeView)
 | Notification (TComponent)
pt | Notification (TControl)
pt | Notification (TCustomTreeView)
 | NotifyControls (TWinControl)
pt | Paint (TCustomControl)
pt | Paint (TCustomTreeView)
pt | PaintControls (TWinControl)
pt | PaintHandler (TWinControl)
 | PaintTo (TWinControl)
pt | PaintWindow (TWinControl)
pt | PaintWindow (TCustomControl)
 | PaletteCreated (TComponent)
 | ParentDestroyingHandle (TControl)
pt | ParentFontChanged (TControl)
pt | ParentFormHandleInitialized (TControl)
pt | ParentFormHandleInitialized (TWinControl)
 | ParentHandlesAllocated (TControl)
 | ParentHandlesAllocated (TWinControl)
 | ParentToClient (TControl)
 | Perform (TControl)
 | PerformTab (TWinControl)
pt | PopulateTreeNodeWithFiles (TCustomShellTreeView)
 | PopulateWithBaseFiles (TCustomShellTreeView)
pt | PositionDockRect (TControl)
pt | QuadClick (TControl)
 | QueryInterface (TComponent)
 | ReadLeft (TComponent)
 | ReadState (TComponent)
pt | ReadState (TControl)
 | ReadTop (TComponent)
pt | RealGetText (TControl)
pt | RealGetText (TWinControl)
 | ReAlign (TWinControl)
pt | RealizeBounds (TWinControl)
pt | RealizeBoundsRecursive (TWinControl)
pt | RealSetText (TControl)
pt | RealSetText (TWinControl)
 | ReferenceInterface (TComponent)
 | Refresh (TControl)
 | Refresh (TCustomShellTreeView)
pt | ReloadDockedControl (TWinControl)
 | Remove (TComponent)
 | RemoveAllHandlersOfObject (TLCLComponent)
 | RemoveAllHandlersOfObject (TControl)
 | RemoveComponent (TComponent)
 | RemoveControl (TWinControl)
pt | RemoveFocus (TWinControl)
 | RemoveFreeNotification (TComponent)
pt | RemoveHandler (TControl)
 | RemoveHandlerOnBeforeDestruction (TControl)
 | RemoveHandlerOnChangeBounds (TControl)
 | RemoveHandlerOnEnableChanging (TControl)
 | RemoveHandlerOnKeyDown (TControl)
 | RemoveHandlerOnMouseWheel (TControl)
 | RemoveHandlerOnResize (TControl)
 | RemoveHandlerOnVisibleChanged (TControl)
 | RemoveHandlerOnVisibleChanging (TControl)
 | RemoveNotification (TComponent)
 | Repaint (TControl)
 | Repaint (TWinControl)
 | ReplaceDockedControl (TControl)
pt | RequestAlign (TControl)
pt | Resize (TControl)
pt | Resize (TCustomTreeView)
 | SafeCallException (TObject)
 | SafeCallException (TComponent)
 | SaveToFile (TCustomTreeView)
 | SaveToStream (TCustomTreeView)
 | Scale96ToFont (TControl)
 | Scale96ToForm (TControl)
 | Scale96ToScreen (TControl)
 | ScaleBy (TWinControl)
pt | ScaleConstraints (TControl)
pt | ScaleControls (TWinControl)
 | ScaleDesignToForm (TControl)
 | ScaleFontsPPI (TControl)
 | ScaleFontTo96 (TControl)
 | ScaleFontToScreen (TControl)
 | ScaleFormTo96 (TControl)
 | ScaleFormToDesign (TControl)
 | ScaleScreenTo96 (TControl)
 | ScaleScreenToFont (TControl)
 | ScreenToClient (TControl)
 | ScreenToControl (TControl)
 | ScrollBy (TWinControl)
 | ScrollBy_WS (TWinControl)
pt | ScrollView (TCustomTreeView)
 | Select (TCustomTreeView)
pt | SelectFirst (TWinControl)
 | SelectionVisible (TCustomTreeView)
 | SelectNext (TWinControl)
pt | SendDialogChar (TWinControl)
pt | SendMoveSizeMessages (TControl)
pt | SendMoveSizeMessages (TWinControl)
 | SendToBack (TControl)
pt | SetAction (TControl)
pt | SetAlign (TControl)
 | SetAncestor (TComponent)
pt | SetAnchors (TControl)
pt | SetAutoSize (TControl)
pt | SetBiDiMode (TControl)
pt | SetBorderStyle (TWinControl)
 | SetBounds (TControl)
 | SetBounds (TWinControl)
 | SetBoundsKeepBase (TControl)
 | SetChildOrder (TComponent)
pt | SetChildZPosition (TWinControl)
pt | SetColor (TControl)
pt | SetColor (TWinControl)
pt | SetColor (TCustomControl)
 | SetComponentIndex (TComponent)
 | SetControlIndex (TWinControl)
pt | SetCursor (TControl)
 | SetDesigning (TComponent)
 | SetDesignInstance (TComponent)
pt | SetDockManager (TWinControl)
pt | SetDragMode (TControl)
pt | SetDragMode (TCustomTreeView)
pt | SetEnabled (TControl)
 | SetFocus (TWinControl)
pt | SetHint (TControl)
 | SetInitialBounds (TControl)
 | SetInline (TComponent)
 | SetInsertMark (TCustomTreeView)
 | SetInsertMarkAt (TCustomTreeView)
 | SetName (TComponent)
pt | SetName (TControl)
pt | SetOptions (TCustomTreeView)
pt | SetParent (TControl)
pt | SetParentBackground (TWinControl)
pt | SetParentBiDiMode (TControl)
 | SetParentComponent (TComponent)
pt | SetParentComponent (TControl)
 | SetReference (TComponent)
 | SetShape (TWinControl)
 | SetSubComponent (TComponent)
 | SetTempCursor (TControl)
 | SetTempCursor (TWinControl)
 | SetTextBuf (TControl)
pt | SetVisible (TControl)
pt | SetZOrder (TControl)
 | ShouldAutoAdjust (TControl)
 | Show (TControl)
pt | ShowControl (TWinControl)
 | ShowHelp (TControl)
 | StoreCurrentSelection (TCustomTreeView)
 | StringMessageTable (TObject)
pt | TextChanged (TControl)
 | ToString (TObject)
pt | TripleClick (TControl)
 | UnitName (TObject)
 | UnlockRealizeBounds (TWinControl)
 | UnlockSelectionChangeEvent (TCustomTreeView)
 | Update (TControl)
 | Update (TWinControl)
 | UpdateAction (TComponent)
pt | UpdateAnchorRules (TControl)
 | UpdateBaseBounds (TControl)
pt | UpdateControlState (TWinControl)
 | Updated (TComponent)
pt | UpdateDefaultItemHeight (TCustomTreeView)
 | UpdateDockCaption (TWinControl)
pt | UpdateInsertMark (TCustomTreeView)
pt | UpdateMouseCursor (TControl)
 | UpdateRegistry (TComponent)
 | UpdateRolesForForm (TControl)
pt | UpdateShowing (TWinControl)
 | Updating (TComponent)
 | UseRightToLeftAlignment (TControl)
 | UseRightToLeftReading (TControl)
 | UseRightToLeftScrollBar (TControl)
pt | UTF8KeyPress (TWinControl)
 | ValidateContainer (TComponent)
 | ValidateInsert (TComponent)
 | ValidateRename (TComponent)
pt | VisibleChanged (TControl)
pt | VisibleChanging (TControl)
pt | WidthIsAnchored (TControl)
pt | WMCancelMode (TControl)
pt | WMChar (TWinControl)
pt | WMContextMenu (TControl)
pt | WMContextMenu (TWinControl)
pt | WMDestroy (TWinControl)
pt | WMEnter (TWinControl)
pt | WMEraseBkgnd (TWinControl)
pt | WMExit (TWinControl)
pt | WMHScroll (TCustomTreeView)
pt | WMKeyDown (TWinControl)
pt | WMKeyUp (TWinControl)
pt | WMKillFocus (TWinControl)
pt | WMKillFocus (TCustomTreeView)
pt | WMLButtonDBLCLK (TControl)
pt | WMLButtonDown (TControl)
pt | WMLButtonDown (TCustomTreeView)
pt | WMLButtonQuadCLK (TControl)
pt | WMLButtonTripleCLK (TControl)
pt | WMLButtonUp (TControl)
pt | WMMButtonDBLCLK (TControl)
pt | WMMButtonDown (TControl)
pt | WMMButtonQuadCLK (TControl)
pt | WMMButtonTripleCLK (TControl)
pt | WMMButtonUp (TControl)
pt | WMMouseHWheel (TControl)
pt | WMMouseMove (TControl)
pt | WMMouseWheel (TControl)
pt | WMMove (TControl)
pt | WMMove (TWinControl)
pt | WMNotify (TWinControl)
pt | WMPaint (TWinControl)
pt | WMPaint (TCustomControl)
pt | WMRButtonDBLCLK (TControl)
pt | WMRButtonDown (TControl)
pt | WMRButtonQuadCLK (TControl)
pt | WMRButtonTripleCLK (TControl)
pt | WMRButtonUp (TControl)
pt | WMSetFocus (TWinControl)
pt | WMSetFocus (TCustomTreeView)
pt | WMShowWindow (TWinControl)
pt | WMSize (TControl)
pt | WMSize (TWinControl)
pt | WMSysChar (TWinControl)
pt | WMSysKeyDown (TWinControl)
pt | WMSysKeyUp (TWinControl)
pt | WMVScroll (TCustomTreeView)
pt | WMWindowPosChanged (TControl)
pt | WMWindowPosChanged (TWinControl)
pt | WMXButtonDBLCLK (TControl)
pt | WMXButtonDown (TControl)
pt | WMXButtonQuadCLK (TControl)
pt | WMXButtonTripleCLK (TControl)
pt | WMXButtonUp (TControl)
pt | WndProc (TControl)
pt | WndProc (TWinControl)
 | WriteDebugReport (TCustomTreeView)
 | WriteLayoutDebugReport (TControl)
 | WriteLayoutDebugReport (TWinControl)
 | WriteLeft (TComponent)
 | WriteState (TComponent)
 | WriteTop (TComponent)
pt | WSRegisterClass (TLCLComponent)
pt | WSRegisterClass (TControl)
pt | WSRegisterClass (TWinControl)
pt | WSRegisterClass (TCustomControl)
pt | WSRegisterClass (TCustomTreeView)
pt | WSSetText (TWinControl)
 | _AddRef (TComponent)
 | _Release (TComponent)


TCustomShellTreeView
TCustomTreeView
pt | OnAddition
pt | OnAdvancedCustomDraw
pt | OnAdvancedCustomDrawItem
pt | OnChange
pt | OnChanging
pt | OnCollapsed
pt | OnCollapsing
pt | OnCompare
pt | OnCreateNodeClass
pt | OnCustomCreateItem
pt | OnCustomDraw
pt | OnCustomDrawItem
pt | OnCustomDrawArrow
pt | OnDeletion
pt | OnEdited
pt | OnEditing
pt | OnEditingEnd
pt | OnExpanded
pt | OnExpanding
pt | OnGetImageIndex
pt | OnGetSelectedIndex
pt | OnNodeChanged
pt | OnSelectionChanged
TCustomControl
 | OnPaint
TWinControl
pt | OnGetSiteInfo
pt | OnGetDockCaption
 | OnAlignInsertBefore
 | OnAlignPosition
 | OnDockDrop
 | OnDockOver
 | OnEnter
 | OnExit
 | OnKeyDown
 | OnKeyPress
 | OnKeyUp
 | OnUnDock
 | OnUTF8KeyPress
TControl
pt | OnConstrainedResize
pt | OnContextPopup
pt | OnDblClick
pt | OnTripleClick
pt | OnQuadClick
pt | OnDragDrop
pt | OnDragOver
pt | OnEndDock
pt | OnEndDrag
pt | OnMouseDown
pt | OnMouseMove
pt | OnMouseUp
pt | OnMouseEnter
pt | OnMouseLeave
pt | OnMouseWheel
pt | OnMouseWheelDown
pt | OnMouseWheelUp
pt | OnMouseWheelHorz
pt | OnMouseWheelLeft
pt | OnMouseWheelRight
pt | OnStartDock
pt | OnStartDrag
pt | OnEditingDone
 | OnChangeBounds
 | OnClick
 | OnResize
 | OnShowHint
TLCLComponent
TComponent
TPersistent
TObject


TCustomShellTreeView.Create

Declaration

Source position: shellctrls.pas line 80

public constructor TCustomShellTreeView.Create(

  AOwner: TComponent

); override;


TCustomShellTreeView.Destroy

Declaration

Source position: shellctrls.pas line 81

public destructor TCustomShellTreeView.Destroy; override;


TCustomShellTreeView.DoCreateNodeClass

Declaration

Source position: shellctrls.pas line 70

protected procedure TCustomShellTreeView.DoCreateNodeClass(

  var NewNodeClass: TTreeNodeClass

); override;


TCustomShellTreeView.FileSortType

Indicates how the items should be sorted in the tree

Declaration

Source position: shellctrls.pas line 96

public property TCustomShellTreeView.FileSortType : TFileSortType
  read FFileSortType
  write SetFileSortType;


TCustomShellTreeView.GetBasePath

Returns the lowest possible path in the file system hierarchy. For example "/" in UNIXes or "\" in Windows CE

Declaration

Source position: shellctrls.pas line 84

public class function TCustomShellTreeView.GetBasePath: string;


TCustomShellTreeView.GetFilesInDir

Finds all files/directories directly inside a directory

Declaration

Source position: shellctrls.pas line 86

public class procedure TCustomShellTreeView.GetFilesInDir(

  const ABaseDir: string;

  AMask: string;

  AObjectTypes: TObjectTypes;

  AResult: TStrings;

  AFileSortType: TFileSortType = fstNone

);

Arguments

ABaseDir | The base directory
AMask | A list of masks to utilize to obtain only files which match this mask. The masks should be separated by a semi-comma. For example: "*.exe;*.txt"
AObjectTypes | The kinds of objects to add to the list
AResult | A TStringList object already created should be provided in this parameter to receive the resulting list of files
AFileSortType | Indicates how to sort the items in the list

Description

Helper routine. Finds all files/directories directly inside a directory. Does not recurse inside subdirectories.

AMask may contain multiple file masks separated by ";". Don't add a final ";" after the last mask.


TCustomShellTreeView.GetPathFromNode

Returns the path (including the file name) from the file system that a particular node prepresents

Declaration

Source position: shellctrls.pas line 89

public function TCustomShellTreeView.GetPathFromNode(

  ANode: TTreeNode

):string;


TCustomShellTreeView.GetRootPath

Returns the effective root value, returning the value of GetBasePath() of Root is empty or the Root property value otherwise

Declaration

Source position: shellctrls.pas line 85

public function TCustomShellTreeView.GetRootPath: string;


TCustomShellTreeView.ObjectTypes

Indicates which objects should be shown in this control (for example if it should show files and directories or only directories)

Declaration

Source position: shellctrls.pas line 94

public property TCustomShellTreeView.ObjectTypes : TObjectTypes
  read FObjectTypes
  write SetObjectTypes;

See also

TObjectTypes | Indicates which objects should be visible in a shell control
TCustomShellListView.ObjectTypes | Indicates which objects should be shown in this control (for example if it should show files and directories or only directories)


TCustomShellTreeView.Path

Declaration

Source position: shellctrls.pas line 98

public property TCustomShellTreeView.Path : string
  read GetPath
  write SetPath;


TCustomShellTreeView.PopulateTreeNodeWithFiles

Declaration

Source position: shellctrls.pas line 74

protected function TCustomShellTreeView.PopulateTreeNodeWithFiles(

  ANode: TTreeNode;

  ANodePath: string

):Boolean;

Function result

Returns true if at least one item was added, false otherwise


TCustomShellTreeView.PopulateWithBaseFiles

Declaration

Source position: shellctrls.pas line 90

public procedure TCustomShellTreeView.PopulateWithBaseFiles;


TCustomShellTreeView.Refresh

Declaration

Source position: shellctrls.pas line 91

public procedure TCustomShellTreeView.Refresh(

  ANode: TTreeNode

); overload;


TCustomShellTreeView.Root

Indicates the directory to start showing the list of items.

Declaration

Source position: shellctrls.pas line 97

public property TCustomShellTreeView.Root : string
  read FRoot
  write SetRoot;

Description

Indicates the directory to start showing the list of items. If empty, indicates that the entire file system structure should be shown.


TCustomShellTreeView.ShellListView

Can be utilized to connect this ShellTreeView to a ShellListView

Declaration

Source position: shellctrls.pas line 95

public property TCustomShellTreeView.ShellListView : TCustomShellListView
  read FShellListView
  write SetShellListView;

Description

The ShellListView will show the contents of the currently selected directory in the ShellListView.

See also

TCustomShellListView.ShellTreeView

Can be utilized to connect this ShellListView to a ShellTreeView


TShellListView

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

The main class for list view control to display the files, directories and other objects (such as devices) from the file system structure

Declaration

Source position: shellctrls.pas line 229

type TShellListView = class(TCustomShellListView)
public
property Columns: TListColumns;
published
property Align: TAlign; | Specifies the placement of the control inside its Parent.
property Anchors: TAnchors; | The set of anchor definitions for this control.
property BorderSpacing: TControlBorderSpacing; | Determines the inner and outer border spacing for this control.
property BorderStyle: TBorderStyle; | Allows to show a border (line) around the control,
property BorderWidth: TBorderWidth; | Width of the Border around the control; default is zero.
property Color: TColor; | The background color of the control.
property Constraints: TSizeConstraints; | The minimal and maximal Width and Height of this control.
property DragCursor: TCursor; | The cursor shape shown while the control is dragged.
property DragMode: TDragMode; | Allows the user to drag the control.
property Enabled: Boolean; | Determines whether the control reacts on mouse or keyboard input.
property Font: TFont; | The font to be used for text display in this control.
property HideSelection: Boolean; | If control looses focus, don't paint selection background for selected item(s).
property LargeImages: TCustomImageList; | ImageList object, which contains "big" icons for one if ListView layouts.
property Mask: string;
property MultiSelect: Boolean; | Allow to select several Listview items at a time, using Ctrl+click (select one item more).
property ParentColor: Boolean; | If true, the Color of the control will be the same as the one from the Parent. Default is true.
property ParentFont: Boolean; | If true, the Font of the control will be the same as the one from the Parent. Default is true.
property ParentShowHint: Boolean; | If true, the value of ShowHint for the control will be the same as the one from the Parent. Default is true.
property PopupMenu: TPopupMenu; | A context-sensitive menu that pops up when the right mouse button is clicked over this control
property ReadOnly: Boolean; | Don't allow user to change item captions, by click with a delay.
property RowSelect: Boolean; | In Report view, this allows to highlight entire selected row, until right edge of ListView.
property ScrollBars: TScrollStyle; | Kind of scrollbars in control: vertical, horizontal, none or both. Auto* mean that scrollbars hide automatically.
property ShowColumnHeaders: Boolean; | Show header area in ListView, which shows captions of columns.
property ShowHint: Boolean; | Enables the Hint display.
property SmallImages: TCustomImageList; | ImageList object, which contains "small" icons for one if ListView layouts.
property SortColumn: Integer; | Index of column, by which ListView was last sorted. -1 for none.
property SortType: TSortType; | Sets sorting order for current sorting column: by text, by Data of items, both or none.
property StateImages: TCustomImageList; | ImageList object, which contains "state" icons, for item states: selected, normal, etc.
property TabStop: Boolean; | Allows the user to navigate to this control, by pressing the Tab key.
property TabOrder: TTabOrder; | Determines the sequence of controls, reachable when the user presses the Tab key.
property ToolTips: Boolean; | Automatically show hints (tooltips) for ListView items, when mouse is over items.
property Visible: Boolean; | Allows to show or hide the control, and all of its children.
property ViewStyle: TViewStyle;
property OnChange: TLVChangeEvent; | Called when content of list collection changes.
property OnClick: TNotifyEvent; | Notification handler for mouse clicks.
property OnColumnClick: TLVColumnClickEvent; | Called when user clicks on column's header area.
property OnCompare: TLVCompareEvent; | Called during sorting of list, by one of columns, to compare items.
property OnContextPopup: TContextPopupEvent; | Invoked when a context-sensitive pop-up menu is requested.
property OnDblClick: TNotifyEvent; | Event Handler for double mouse clicks.
property OnDeletion: TLVDeletedEvent; | Called when items are deleted by code.
property OnDragDrop: TDragDropEvent; | This handler determines the action on an drop onto this control, in a drag-drop operation.
property OnDragOver: TDragOverEvent; | Event handler for a control being dragged over this control.
property OnEndDrag: TEndDragEvent; | Notification handler for the end of a dragging operation.
property OnKeyDown: TKeyEvent; | Handler for keyboard key pressed.
property OnKeyPress: TKeyPressEvent; | Handler for a character entered by the user.
property OnKeyUp: TKeyEvent; | Handler for keyboard key released.
property OnMouseDown: TMouseEvent; | Event handler for mouse button going down.
property OnMouseEnter: TNotifyEvent;
property OnMouseLeave: TNotifyEvent;
property OnMouseMove: TMouseMoveEvent; | Event handler for mouse movement within the control.
property OnMouseUp: TMouseEvent; | Event handler for mouse button going up.
property OnMouseWheel: TMouseWheelEvent;
property OnMouseWheelDown: TMouseWheelUpDownEvent;
property OnMouseWheelUp: TMouseWheelUpDownEvent;
property OnMouseWheelHorz: TMouseWheelEvent;
property OnMouseWheelLeft: TMouseWheelUpDownEvent;
property OnMouseWheelRight: TMouseWheelUpDownEvent;
property OnResize: TNotifyEvent; | Notification handler for a resize of the control.
property OnSelectItem: TLVSelectItemEvent; | Called when items are selected or selection changes.
property OnStartDrag: TStartDragEvent; | Event handler for the start of a dragging operation.
property OnUTF8KeyPress: TUTF8KeyPressEvent; | Handler for a character entered by the user.
property OnFileAdded: TCSLVFileAddedEvent;
property ObjectTypes: TObjectTypes; | Indicates which objects should be shown in this control (for example if it should show files and directories or only directories)
property Root: string; | The most important property of the ShellListView, indicates the directory whose contents will be shown
property ShellTreeView: TCustomShellTreeView; | Can be utilized to connect this ShellListView to a ShellTreeView
end;

Inheritance

TShellListView | The main class for list view control to display the files, directories and other objects (such as devices) from the file system structure
|
TCustomShellListView | The base class for list view control to display the files, directories and other objects (such as devices) from the file system structure
|
TCustomListView | TCustomListView - the base class for TListView
|
TWinControl | The base class for controls which can contain other (child) controls.
|
TControl | The base class for visible controls.
|
TLCLComponent | The base class for LCL components associated with widgets.
|
TComponent,IUnknown,IInterfaceComponentReference
|
TPersistent,IFPObserved
|
TObject


TShellListView
 | ro | Columns
pl | ro | Align
pl | ro | Anchors
pl | ro | BorderSpacing
pl | ro | BorderStyle
pl | ro | BorderWidth
pl | ro | Color
pl | ro | Constraints
pl | ro | DragCursor
pl | ro | DragMode
pl | ro | Enabled
pl | ro | Font
pl | ro | HideSelection
pl | ro | LargeImages
pl | ro | Mask
pl | ro | MultiSelect
pl | ro | ParentColor
pl | ro | ParentFont
pl | ro | ParentShowHint
pl | ro | PopupMenu
pl | ro | ReadOnly
pl | ro | RowSelect
pl | ro | ScrollBars
pl | ro | ShowColumnHeaders
pl | ro | ShowHint
pl | ro | SmallImages
pl | ro | SortColumn
pl | ro | SortType
pl | ro | StateImages
pl | ro | TabStop
pl | ro | TabOrder
pl | ro | ToolTips
pl | ro | Visible
pl | ro | ViewStyle
pl | ro | ObjectTypes
pl | ro | Root
pl | ro | ShellTreeView
TCustomShellListView
 |  | Mask
 |  | ObjectTypes
 |  | Root
 |  | ShellTreeView
 | ro | Items
TCustomListView
pt |  | AllocBy
pt |  | AutoSort
pt |  | AutoWidthLastColumn
pt |  | ColumnClick
pt |  | Columns
pt |  | DefaultItemHeight
pt |  | HideSelection
pt |  | HoverTime
pt |  | LargeImages
pt |  | LargeImagesWidth
pt |  | OwnerDraw
pt |  | ScrollBars
pt |  | ShowColumnHeaders
pt |  | ShowWorkAreas
pt |  | SmallImages
pt |  | SmallImagesWidth
pt |  | SortType
pt |  | SortColumn
pt |  | SortDirection
pt |  | StateImages
pt |  | StateImagesWidth
pt |  | ToolTips
pt |  | ViewStyle
 | ro | BoundingRect
 | ro | BorderStyle
 | ro | Canvas
 |  | Checkboxes
 | ro | Column
 | ro | ColumnCount
 |  | DropTarget
 |  | FlatScrollBars
 |  | FullDrag
 |  | GridLines
 |  | HotTrack
 |  | HotTrackStyles
 |  | IconOptions
 |  | ItemFocused
 |  | ItemIndex
 |  | Items
 |  | MultiSelect
 |  | OwnerData
 |  | ReadOnly
 |  | RowSelect
 | ro | SelCount
 |  | Selected
 | ro | LastSelected
 | ro | TabStop
 | ro | TopItem
 |  | ViewOrigin
 | ro | VisibleRowCount
TWinControl
pt |  | WindowHandle
pt |  | BorderStyle
pt |  | ParentBackground
 |  | BorderWidth
 | ro | BoundsLockCount
 | ro | Brush
 | ro | CachedClientHeight
 | ro | CachedClientWidth
 |  | ChildSizing
 | ro | ControlCount
 | ro | Controls
 |  | DefWndProc
 | ro | DockClientCount
 | ro | DockClients
 |  | DockManager
 |  | DockSite
 |  | DoubleBuffered
 |  | Handle
 | ro | IsFlipped
 | ro | IsResizing
 |  | TabOrder
 |  | TabStop
 |  | ParentDoubleBuffered
 |  | ParentWindow
 | ro | Showing
 |  | UseDockManager
 |  | DesignerDeleting
 | ro | VisibleDockClientCount
TControl
pt | ro | AutoSizing
pt | ro | AutoSizingAll
pt | ro | AutoSizingLockCount
pt |  | ActionLink
pt |  | DesktopFont
pt |  | DragCursor
pt |  | DragKind
pt |  | DragMode
pt |  | MouseCapture
pt |  | ParentColor
pt |  | ParentFont
pt |  | ParentShowHint
pt |  | SessionProperties
pt |  | Text
 | ro | AnchoredControls
 | ro | BaseBounds
 | ro | ReadBounds
 | ro | BaseParentClientSize
 |  | AccessibleDescription
 |  | AccessibleValue
 |  | AccessibleRole
 |  | Action
 |  | Align
 |  | Anchors
 | ro | AnchorSide
 |  | AutoSize
 |  | BorderSpacing
 |  | BoundsRect
 |  | BoundsRectForNewParent
 |  | Caption
 |  | CaptureMouseButtons
 |  | ClientHeight
 | ro | ClientOrigin
 | ro | ClientRect
 |  | ClientWidth
 |  | Color
 |  | Constraints
 | ro | ControlOrigin
 |  | ControlState
 |  | ControlStyle
 |  | Enabled
 |  | Font
 |  | IsControl
 | ro | MouseEntered
 | ro | MouseInClient
 |  | Parent
 |  | PopupMenu
 |  | ShowHint
 |  | Visible
 |  | WindowProc
 |  | DockOrientation
 | ro | Floating
 |  | FloatingDockSiteClass
 |  | HostDockSite
 |  | LRDockWidth
 |  | TBDockHeight
 |  | UndockHeight
 |  | UndockWidth
 |  | BiDiMode
 |  | ParentBiDiMode
pl |  | AnchorSideLeft
pl |  | AnchorSideTop
pl |  | AnchorSideRight
pl |  | AnchorSideBottom
pl |  | Cursor
pl |  | Left
pl |  | Height
pl |  | Hint
pl |  | Top
pl |  | Width
pl |  | HelpType
pl |  | HelpKeyword
pl |  | HelpContext
TLCLComponent
 | ro | LCLRefCount
 | ro | WidgetSetClass
TComponent
 | ro | ComObject
 | ro | Components
 | ro | ComponentCount
 |  | ComponentIndex
 | ro | ComponentState
 | ro | ComponentStyle
 |  | DesignInfo
 | ro | Owner
 |  | VCLComObject
 |  | Name
 |  | Tag
TPersistent
TObject


 |  | AccessibleDescription (TControl)
 |  | AccessibleRole (TControl)
 |  | AccessibleValue (TControl)
 |  | Action (TControl)
pt |  | ActionLink (TControl)
 |  | Align (TControl)
pl | ro | Align (TShellListView)
pt |  | AllocBy (TCustomListView)
 | ro | AnchoredControls (TControl)
 |  | Anchors (TControl)
pl | ro | Anchors (TShellListView)
 | ro | AnchorSide (TControl)
pl |  | AnchorSideBottom (TControl)
pl |  | AnchorSideLeft (TControl)
pl |  | AnchorSideRight (TControl)
pl |  | AnchorSideTop (TControl)
 |  | AutoSize (TControl)
pt | ro | AutoSizing (TControl)
pt | ro | AutoSizingAll (TControl)
pt | ro | AutoSizingLockCount (TControl)
pt |  | AutoSort (TCustomListView)
pt |  | AutoWidthLastColumn (TCustomListView)
 | ro | BaseBounds (TControl)
 | ro | BaseParentClientSize (TControl)
 |  | BiDiMode (TControl)
 |  | BorderSpacing (TControl)
pl | ro | BorderSpacing (TShellListView)
pt |  | BorderStyle (TWinControl)
 | ro | BorderStyle (TCustomListView)
pl | ro | BorderStyle (TShellListView)
 |  | BorderWidth (TWinControl)
pl | ro | BorderWidth (TShellListView)
 | ro | BoundingRect (TCustomListView)
 | ro | BoundsLockCount (TWinControl)
 |  | BoundsRect (TControl)
 |  | BoundsRectForNewParent (TControl)
 | ro | Brush (TWinControl)
 | ro | CachedClientHeight (TWinControl)
 | ro | CachedClientWidth (TWinControl)
 | ro | Canvas (TCustomListView)
 |  | Caption (TControl)
 |  | CaptureMouseButtons (TControl)
 |  | Checkboxes (TCustomListView)
 |  | ChildSizing (TWinControl)
 |  | ClientHeight (TControl)
 | ro | ClientOrigin (TControl)
 | ro | ClientRect (TControl)
 |  | ClientWidth (TControl)
 |  | Color (TControl)
pl | ro | Color (TShellListView)
 | ro | Column (TCustomListView)
pt |  | ColumnClick (TCustomListView)
 | ro | ColumnCount (TCustomListView)
pt |  | Columns (TCustomListView)
 | ro | Columns (TShellListView)
 | ro | ComObject (TComponent)
 | ro | ComponentCount (TComponent)
 |  | ComponentIndex (TComponent)
 | ro | Components (TComponent)
 | ro | ComponentState (TComponent)
 | ro | ComponentStyle (TComponent)
 |  | Constraints (TControl)
pl | ro | Constraints (TShellListView)
 | ro | ControlCount (TWinControl)
 | ro | ControlOrigin (TControl)
 | ro | Controls (TWinControl)
 |  | ControlState (TControl)
 |  | ControlStyle (TControl)
pl |  | Cursor (TControl)
pt |  | DefaultItemHeight (TCustomListView)
 |  | DefWndProc (TWinControl)
 |  | DesignerDeleting (TWinControl)
 |  | DesignInfo (TComponent)
pt |  | DesktopFont (TControl)
 | ro | DockClientCount (TWinControl)
 | ro | DockClients (TWinControl)
 |  | DockManager (TWinControl)
 |  | DockOrientation (TControl)
 |  | DockSite (TWinControl)
 |  | DoubleBuffered (TWinControl)
pt |  | DragCursor (TControl)
pl | ro | DragCursor (TShellListView)
pt |  | DragKind (TControl)
pt |  | DragMode (TControl)
pl | ro | DragMode (TShellListView)
 |  | DropTarget (TCustomListView)
 |  | Enabled (TControl)
pl | ro | Enabled (TShellListView)
 |  | FlatScrollBars (TCustomListView)
 | ro | Floating (TControl)
 |  | FloatingDockSiteClass (TControl)
 |  | Font (TControl)
pl | ro | Font (TShellListView)
 |  | FullDrag (TCustomListView)
 |  | GridLines (TCustomListView)
 |  | Handle (TWinControl)
pl |  | Height (TControl)
pl |  | HelpContext (TControl)
pl |  | HelpKeyword (TControl)
pl |  | HelpType (TControl)
pt |  | HideSelection (TCustomListView)
pl | ro | HideSelection (TShellListView)
pl |  | Hint (TControl)
 |  | HostDockSite (TControl)
 |  | HotTrack (TCustomListView)
 |  | HotTrackStyles (TCustomListView)
pt |  | HoverTime (TCustomListView)
 |  | IconOptions (TCustomListView)
 |  | IsControl (TControl)
 | ro | IsFlipped (TWinControl)
 | ro | IsResizing (TWinControl)
 |  | ItemFocused (TCustomListView)
 |  | ItemIndex (TCustomListView)
 |  | Items (TCustomListView)
 | ro | Items (TCustomShellListView)
pt |  | LargeImages (TCustomListView)
pl | ro | LargeImages (TShellListView)
pt |  | LargeImagesWidth (TCustomListView)
 | ro | LastSelected (TCustomListView)
 | ro | LCLRefCount (TLCLComponent)
pl |  | Left (TControl)
 |  | LRDockWidth (TControl)
 |  | Mask (TCustomShellListView)
pl | ro | Mask (TShellListView)
pt |  | MouseCapture (TControl)
 | ro | MouseEntered (TControl)
 | ro | MouseInClient (TControl)
 |  | MultiSelect (TCustomListView)
pl | ro | MultiSelect (TShellListView)
 |  | Name (TComponent)
 |  | ObjectTypes (TCustomShellListView)
pl | ro | ObjectTypes (TShellListView)
 | ro | Owner (TComponent)
 |  | OwnerData (TCustomListView)
pt |  | OwnerDraw (TCustomListView)
 |  | Parent (TControl)
pt |  | ParentBackground (TWinControl)
 |  | ParentBiDiMode (TControl)
pt |  | ParentColor (TControl)
pl | ro | ParentColor (TShellListView)
 |  | ParentDoubleBuffered (TWinControl)
pt |  | ParentFont (TControl)
pl | ro | ParentFont (TShellListView)
pt |  | ParentShowHint (TControl)
pl | ro | ParentShowHint (TShellListView)
 |  | ParentWindow (TWinControl)
 |  | PopupMenu (TControl)
pl | ro | PopupMenu (TShellListView)
 | ro | ReadBounds (TControl)
 |  | ReadOnly (TCustomListView)
pl | ro | ReadOnly (TShellListView)
 |  | Root (TCustomShellListView)
pl | ro | Root (TShellListView)
 |  | RowSelect (TCustomListView)
pl | ro | RowSelect (TShellListView)
pt |  | ScrollBars (TCustomListView)
pl | ro | ScrollBars (TShellListView)
 | ro | SelCount (TCustomListView)
 |  | Selected (TCustomListView)
pt |  | SessionProperties (TControl)
 |  | ShellTreeView (TCustomShellListView)
pl | ro | ShellTreeView (TShellListView)
pt |  | ShowColumnHeaders (TCustomListView)
pl | ro | ShowColumnHeaders (TShellListView)
 |  | ShowHint (TControl)
pl | ro | ShowHint (TShellListView)
 | ro | Showing (TWinControl)
pt |  | ShowWorkAreas (TCustomListView)
pt |  | SmallImages (TCustomListView)
pl | ro | SmallImages (TShellListView)
pt |  | SmallImagesWidth (TCustomListView)
pt |  | SortColumn (TCustomListView)
pl | ro | SortColumn (TShellListView)
pt |  | SortDirection (TCustomListView)
pt |  | SortType (TCustomListView)
pl | ro | SortType (TShellListView)
pt |  | StateImages (TCustomListView)
pl | ro | StateImages (TShellListView)
pt |  | StateImagesWidth (TCustomListView)
 |  | TabOrder (TWinControl)
pl | ro | TabOrder (TShellListView)
 |  | TabStop (TWinControl)
 | ro | TabStop (TCustomListView)
pl | ro | TabStop (TShellListView)
 |  | Tag (TComponent)
 |  | TBDockHeight (TControl)
pt |  | Text (TControl)
pt |  | ToolTips (TCustomListView)
pl | ro | ToolTips (TShellListView)
pl |  | Top (TControl)
 | ro | TopItem (TCustomListView)
 |  | UndockHeight (TControl)
 |  | UndockWidth (TControl)
 |  | UseDockManager (TWinControl)
 |  | VCLComObject (TComponent)
 |  | ViewOrigin (TCustomListView)
pt |  | ViewStyle (TCustomListView)
pl | ro | ViewStyle (TShellListView)
 |  | Visible (TControl)
pl | ro | Visible (TShellListView)
 | ro | VisibleDockClientCount (TWinControl)
 | ro | VisibleRowCount (TCustomListView)
 | ro | WidgetSetClass (TLCLComponent)
pl |  | Width (TControl)
pt |  | WindowHandle (TWinControl)
 |  | WindowProc (TControl)


TShellListView
TCustomShellListView
pt | PopulateWithRoot
pt | Resize
 | Create
 | Destroy
 | GetPathFromItem
TCustomListView
pt | ItemDeleted
pt | ItemInserted
pt | WSRegisterClass
pt | GetControlClassDefaultSize
pt | InitializeWnd
pt | FinalizeWnd
pt | DestroyWnd
pt | BeginAutoDrag
pt | CreateListItem
pt | CreateListItems
pt | CanEdit
pt | Change
pt | ColClick
pt | Delete
pt | DoDeletion
pt | DoInsert
pt | DoItemChecked
pt | DoSelectItem
pt | DoAutoAdjustLayout
pt | DoSetBounds
pt | DoEndEdit
pt | InsertItem
pt | ImageChanged
pt | Loaded
pt | Notification
pt | IsCustomDrawn
pt | CustomDraw
pt | CustomDrawItem
pt | CustomDrawSubItem
pt | IntfCustomDraw
pt | GetUpdateCount
pt | DrawItem
pt | DoGetOwnerData
pt | DoOwnerDataHint
pt | DoOwnerDataStateChange
pt | DblClick
pt | KeyDown
 | Create
 | Destroy
 | AddItem
 | AlphaSort
 | Sort
 | CustomSort
 | BeginUpdate
 | Clear
 | EndUpdate
 | Repaint
 | FindCaption
 | FindData
 | GetHitTestInfoAt
 | GetItemAt
 | GetNearestItem
 | GetNextItem
 | ClearSelection
 | SelectAll
 | IsEditing
TWinControl
pt | WSRegisterClass
pt | AdjustClientRect
pt | GetAdjustedLogicalClientRect
pt | AlignControls
pt | CustomAlignInsertBefore
pt | CustomAlignPosition
pt | DoAlignChildControls
pt | DoChildSizingChange
pt | InvalidatePreferredChildSizes
pt | CanTab
pt | IsClientHeightStored
pt | IsClientWidthStored
pt | DoSendShowHideToInterface
pt | ControlsAligned
pt | DoSendBoundsToInterface
pt | RealizeBounds
pt | RealizeBoundsRecursive
pt | InvalidateBoundsRealized
pt | CreateSubClass
pt | DoConstraintsChange
pt | DoSetBounds
pt | DoAutoSize
pt | DoAllAutoSize
pt | AllAutoSized
pt | CalculatePreferredSize
pt | GetPreferredSizeClientFrame
pt | GetChildren
pt | ChildClassAllowed
pt | PaintControls
pt | PaintHandler
pt | PaintWindow
pt | CreateBrush
pt | ScaleControls
pt | ChangeScale
pt | CMBiDiModeChanged
pt | CMBorderChanged
pt | CMDoubleBufferedChanged
pt | CMEnabledChanged
pt | CMParentDoubleBufferedChanged
pt | CMShowingChanged
pt | CMShowHintChanged
pt | CMVisibleChanged
pt | CMEnter
pt | CMExit
pt | WMContextMenu
pt | WMEraseBkgnd
pt | WMNotify
pt | WMSetFocus
pt | WMKillFocus
pt | WMShowWindow
pt | WMEnter
pt | WMExit
pt | WMKeyDown
pt | WMSysKeyDown
pt | WMKeyUp
pt | WMSysKeyUp
pt | WMChar
pt | WMSysChar
pt | WMPaint
pt | WMDestroy
pt | WMMove
pt | WMSize
pt | WMWindowPosChanged
pt | CNKeyDown
pt | CNSysKeyDown
pt | CNKeyUp
pt | CNSysKeyUp
pt | CNChar
pt | DoDragMsg
pt | DoDockClientMsg
pt | DoUndockClientMsg
pt | DoAddDockClient
pt | DockOver
pt | DoDockOver
pt | DoRemoveDockClient
pt | DoUnDock
pt | GetSiteInfo
pt | GetParentHandle
pt | GetTopParentHandle
pt | ReloadDockedControl
pt | CreateDockManager
pt | SetDockManager
pt | DoFloatMsg
pt | DoGetDockCaption
pt | DoEnter
pt | DoExit
pt | DoKeyDownBeforeInterface
pt | DoRemainingKeyDown
pt | DoRemainingKeyUp
pt | DoKeyPress
pt | DoUTF8KeyPress
pt | DoKeyUpBeforeInterface
pt | ChildKey
pt | SendDialogChar
pt | DialogChar
pt | ControlKeyDown
pt | ControlKeyUp
pt | KeyDown
pt | KeyDownBeforeInterface
pt | KeyDownAfterInterface
pt | KeyPress
pt | KeyUp
pt | KeyUpBeforeInterface
pt | KeyUpAfterInterface
pt | UTF8KeyPress
pt | FindNextControl
pt | SelectFirst
pt | RealGetText
pt | GetBorderStyle
pt | GetClientOrigin
pt | GetClientRect
pt | GetControlOrigin
pt | GetDeviceContext
pt | GetParentBackground
pt | IsControlMouseMsg
pt | CreateHandle
pt | CreateParams
pt | CreateWnd
pt | DestroyHandle
pt | DestroyWnd
pt | DoFlipChildren
pt | FinalizeWnd
pt | FixupTabList
pt | FontChanged
pt | InitializeWnd
pt | Loaded
pt | FormEndUpdated
pt | MainWndProc
pt | ParentFormHandleInitialized
pt | ChildHandlesCreated
pt | GetMouseCapture
pt | RealSetText
pt | RemoveFocus
pt | SendMoveSizeMessages
pt | SetBorderStyle
pt | SetColor
pt | SetChildZPosition
pt | SetParentBackground
pt | ShowControl
pt | UpdateControlState
pt | UpdateShowing
pt | WndProc
pt | WSSetText
 | AutoSizePhases
 | AutoSizeDelayed
 | AutoSizeDelayedReport
 | AutoSizeDelayedHandle
 | BeginUpdateBounds
 | EndUpdateBounds
 | LockRealizeBounds
 | UnlockRealizeBounds
 | ControlAtPos
 | ContainsControl
 | DoAdjustClientRectChange
 | InvalidateClientRectCache
 | ClientRectNeedsInterfaceUpdate
 | SetBounds
 | GetChildrenRect
 | DisableAlign
 | EnableAlign
 | ReAlign
 | ScrollBy_WS
 | ScrollBy
 | WriteLayoutDebugReport
 | AutoAdjustLayout
 | Create
 | CreateParented
 | CreateParentedControl
 | Destroy
 | DockDrop
 | CanFocus
 | CanSetFocus
 | GetControlIndex
 | SetControlIndex
 | Focused
 | PerformTab
 | FindChildControl
 | SelectNext
 | SetTempCursor
 | BroadCast
 | NotifyControls
 | DefaultHandler
 | GetTextLen
 | Invalidate
 | AddControl
 | InsertControl
 | RemoveControl
 | GetEnumeratorControls
 | GetEnumeratorControlsReverse
 | Repaint
 | Update
 | SetFocus
 | FlipChildren
 | ScaleBy
 | GetDockCaption
 | UpdateDockCaption
 | GetTabOrderList
 | HandleAllocated
 | ParentHandlesAllocated
 | HandleNeeded
 | BrushCreated
 | EraseBackground
 | IntfUTF8KeyPress
 | IntfGetDropFilesTarget
 | PaintTo
 | SetShape
TControl
pt | WSRegisterClass
pt | GetCursor
pt | SetCursor
pt | SetVisible
pt | DoOnParentHandleDestruction
pt | DoAutoSize
pt | DoAllAutoSize
pt | BeginAutoSizing
pt | EndAutoSizing
pt | AnchorSideChanged
pt | ForeignAnchorSideChanged
pt | SetAlign
pt | SetAnchors
pt | SetAutoSize
pt | BoundsChanged
pt | CreateControlBorderSpacing
pt | DoConstraintsChange
pt | DoBorderSpacingChange
pt | IsBorderSpacingInnerBorderStored
pt | IsCaptionStored
pt | SendMoveSizeMessages
pt | ConstrainedResize
pt | CalculatePreferredSize
pt | DoOnResize
pt | DoOnChangeBounds
pt | CheckOnChangeBounds
pt | Resize
pt | RequestAlign
pt | UpdateAnchorRules
pt | ChangeBounds
pt | DoSetBounds
pt | ScaleConstraints
pt | ChangeScale
pt | CanAutoSize
pt | SetBiDiMode
pt | SetParentBiDiMode
pt | IsAParentAligning
pt | GetClientOrigin
pt | GetClientRect
pt | GetLogicalClientRect
pt | GetScrolledClientRect
pt | GetClientScrollOffset
pt | GetControlOrigin
pt | IsClientHeightStored
pt | IsClientWidthStored
pt | WidthIsAnchored
pt | HeightIsAnchored
pt | WMCancelMode
pt | WMContextMenu
pt | WMLButtonDown
pt | WMRButtonDown
pt | WMMButtonDown
pt | WMXButtonDown
pt | WMLButtonDBLCLK
pt | WMRButtonDBLCLK
pt | WMMButtonDBLCLK
pt | WMXButtonDBLCLK
pt | WMLButtonTripleCLK
pt | WMRButtonTripleCLK
pt | WMMButtonTripleCLK
pt | WMXButtonTripleCLK
pt | WMLButtonQuadCLK
pt | WMRButtonQuadCLK
pt | WMMButtonQuadCLK
pt | WMXButtonQuadCLK
pt | WMMouseMove
pt | WMLButtonUp
pt | WMRButtonUp
pt | WMMButtonUp
pt | WMXButtonUp
pt | WMMouseWheel
pt | WMMouseHWheel
pt | WMMove
pt | WMSize
pt | WMWindowPosChanged
pt | CMChanged
pt | LMCaptureChanged
pt | CMBiDiModeChanged
pt | CMSysFontChanged
pt | CMEnabledChanged
pt | CMHitTest
pt | CMMouseEnter
pt | CMMouseLeave
pt | CMHintShow
pt | CMParentBiDiModeChanged
pt | CMParentColorChanged
pt | CMParentFontChanged
pt | CMParentShowHintChanged
pt | CMVisibleChanged
pt | CMTextChanged
pt | CMCursorChanged
pt | CalculateDockSizes
pt | CreateFloatingDockSite
pt | GetDockEdge
pt | GetDragImages
pt | GetFloating
pt | GetFloatingDockSiteClass
pt | BeforeDragStart
pt | BeginAutoDrag
pt | DoFloatMsg
pt | DockTrackNoTarget
pt | DoDock
pt | DoDragMsg
pt | DoEndDock
pt | DoEndDrag
pt | DoStartDock
pt | DoStartDrag
pt | DragCanceled
pt | DragOver
pt | PositionDockRect
pt | SetDragMode
pt | GetDefaultDockCaption
pt | Click
pt | DblClick
pt | TripleClick
pt | QuadClick
pt | GetMousePosFromMessage
pt | MouseDown
pt | MouseMove
pt | MouseUp
pt | MouseEnter
pt | MouseLeave
pt | DialogChar
pt | UpdateMouseCursor
pt | Changed
pt | GetPalette
pt | ChildClassAllowed
pt | ReadState
pt | Loaded
pt | LoadedAll
pt | DefineProperties
pt | AssignTo
pt | FormEndUpdated
pt | InvalidateControl
pt | FontChanged
pt | ParentFontChanged
pt | GetAction
pt | RealGetText
pt | RealSetText
pt | TextChanged
pt | GetCachedText
pt | SetAction
pt | SetColor
pt | SetEnabled
pt | SetHint
pt | SetName
pt | SetParent
pt | SetParentComponent
pt | WndProc
pt | ParentFormHandleInitialized
pt | GetMouseCapture
pt | CaptureChanged
pt | Notification
pt | CanTab
pt | GetDeviceContext
pt | GetEnabled
pt | GetPopupMenu
pt | DoOnShowHint
pt | DoMouseWheel
pt | DoMouseWheelDown
pt | DoMouseWheelUp
pt | DoMouseWheelHorz
pt | DoMouseWheelLeft
pt | DoMouseWheelRight
pt | VisibleChanging
pt | VisibleChanged
pt | EnabledChanging
pt | EnabledChanged
pt | AddHandler
pt | RemoveHandler
pt | DoCallNotifyHandler
pt | DoCallKeyEventHandler
pt | DoCallMouseWheelEventHandler
pt | DoContextPopup
pt | SetZOrder
pt | GetControlClassDefaultSize
pt | ColorIsStored
pt | DoAutoAdjustLayout
pt | DoFixDesignFontPPI
pt | DoScaleFontPPI
pt | GetActionLinkClass
pt | ActionChange
 | DragDrop
 | Dock
 | ManualDock
 | ManualFloat
 | ReplaceDockedControl
 | Docked
 | Dragging
 | GetAccessibleObject
 | CreateAccessibleObject
 | GetSelectedChildAccessibleObject
 | GetChildAccessibleObjectAtPos
 | ScaleDesignToForm
 | ScaleFormToDesign
 | Scale96ToForm
 | ScaleFormTo96
 | Scale96ToFont
 | ScaleFontTo96
 | ScaleScreenToFont
 | ScaleFontToScreen
 | Scale96ToScreen
 | ScaleScreenTo96
 | AdjustSize
 | AutoSizePhases
 | AutoSizeDelayed
 | AutoSizeDelayedReport
 | AutoSizeDelayedHandle
 | AnchorToNeighbour
 | AnchorParallel
 | AnchorHorizontalCenterTo
 | AnchorVerticalCenterTo
 | AnchorToCompanion
 | AnchorSame
 | AnchorAsAlign
 | AnchorClient
 | AnchoredControlCount
 | SetBounds
 | SetInitialBounds
 | SetBoundsKeepBase
 | GetPreferredSize
 | GetCanvasScaleFactor
 | GetDefaultWidth
 | GetDefaultHeight
 | GetDefaultColor
 | GetColorResolvingParent
 | GetRGBColorResolvingParent
 | GetSidePosition
 | CNPreferredSizeChanged
 | InvalidatePreferredSize
 | GetAnchorsDependingOnParent
 | DisableAutoSizing
 | EnableAutoSizing
 | UpdateBaseBounds
 | WriteLayoutDebugReport
 | AutoAdjustLayout
 | ShouldAutoAdjust
 | FixDesignFontsPPI
 | ScaleFontsPPI
 | Create
 | Destroy
 | BeforeDestruction
 | EditingDone
 | ExecuteDefaultAction
 | ExecuteCancelAction
 | BeginDrag
 | EndDrag
 | BringToFront
 | HasParent
 | GetParentComponent
 | IsParentOf
 | GetTopParent
 | IsVisible
 | IsControlVisible
 | IsEnabled
 | IsParentColor
 | IsParentFont
 | FormIsUpdating
 | IsProcessingPaintMsg
 | Hide
 | Refresh
 | Repaint
 | Invalidate
 | CheckChildClassAllowed
 | CheckNewParent
 | SendToBack
 | SetTempCursor
 | UpdateRolesForForm
 | ActiveDefaultControlChanged
 | GetTextBuf
 | GetTextLen
 | SetTextBuf
 | Perform
 | ScreenToClient
 | ClientToScreen
 | ScreenToControl
 | ControlToScreen
 | ClientToParent
 | ParentToClient
 | GetChildrenRect
 | Show
 | Update
 | HandleObjectShouldBeVisible
 | ParentDestroyingHandle
 | ParentHandlesAllocated
 | InitiateAction
 | ShowHelp
 | HasHelp
 | RemoveAllHandlersOfObject
 | AddHandlerOnResize
 | RemoveHandlerOnResize
 | AddHandlerOnChangeBounds
 | RemoveHandlerOnChangeBounds
 | AddHandlerOnVisibleChanging
 | RemoveHandlerOnVisibleChanging
 | AddHandlerOnVisibleChanged
 | RemoveHandlerOnVisibleChanged
 | AddHandlerOnEnabledChanged
 | RemoveHandlerOnEnableChanging
 | AddHandlerOnKeyDown
 | RemoveHandlerOnKeyDown
 | AddHandlerOnBeforeDestruction
 | RemoveHandlerOnBeforeDestruction
 | AddHandlerOnMouseWheel
 | RemoveHandlerOnMouseWheel
 | UseRightToLeftAlignment
 | UseRightToLeftReading
 | UseRightToLeftScrollBar
 | IsRightToLeft
TLCLComponent
pt | WSRegisterClass
pt | GetWSComponentClass
 | Create
 | Destroy
 | NewInstance
 | RemoveAllHandlersOfObject
 | IncLCLRefCount
 | DecLCLRefCount
TComponent
 | GetComObject
 | GetComponent
 | GetComponentCount
 | GetComponentIndex
 | Insert
 | ReadLeft
 | ReadTop
 | Remove
 | RemoveNotification
 | SetComponentIndex
 | SetReference
 | WriteLeft
 | WriteTop
 | ChangeName
 | DefineProperties
 | GetChildren
 | GetChildOwner
 | GetChildParent
 | GetOwner
 | Loaded
 | Loading
 | Notification
 | PaletteCreated
 | ReadState
 | SetAncestor
 | SetDesigning
 | SetDesignInstance
 | SetInline
 | SetName
 | SetChildOrder
 | SetParentComponent
 | Updating
 | Updated
 | UpdateRegistry
 | ValidateRename
 | ValidateContainer
 | ValidateInsert
 | QueryInterface
 | _AddRef
 | _Release
 | iicrGetComponent
 | GetTypeInfoCount
 | GetTypeInfo
 | GetIDsOfNames
 | Invoke
 | WriteState
 | Create
 | Destroy
 | BeforeDestruction
 | DestroyComponents
 | Destroying
 | ExecuteAction
 | FindComponent
 | FreeNotification
 | RemoveFreeNotification
 | FreeOnRelease
 | GetEnumerator
 | GetNamePath
 | GetParentComponent
 | HasParent
 | InsertComponent
 | RemoveComponent
 | SafeCallException
 | SetSubComponent
 | UpdateAction
 | IsImplementorOf
 | ReferenceInterface
TPersistent
 | AssignError
 | AssignTo
 | DefineProperties
 | GetOwner
 | Destroy
 | Assign
 | FPOAttachObserver
 | FPODetachObserver
 | FPONotifyObservers
 | GetNamePath
TObject
 | Create
 | Destroy
 | newinstance
 | FreeInstance
 | SafeCallException
 | DefaultHandler
 | Free
 | InitInstance
 | CleanupInstance
 | ClassType
 | ClassInfo
 | ClassName
 | ClassNameIs
 | ClassParent
 | InstanceSize
 | InheritsFrom
 | StringMessageTable
 | MethodAddress
 | MethodName
 | FieldAddress
 | AfterConstruction
 | BeforeDestruction
 | DefaultHandlerStr
 | Dispatch
 | DispatchStr
 | GetInterface
 | GetInterfaceByStr
 | GetInterfaceWeak
 | GetInterfaceEntry
 | GetInterfaceEntryByStr
 | GetInterfaceTable
 | UnitName
 | Equals
 | GetHashCode
 | ToString


TShellListView
pl | ro | OnChange
pl | ro | OnClick
pl | ro | OnColumnClick
pl | ro | OnCompare
pl | ro | OnContextPopup
pl | ro | OnDblClick
pl | ro | OnDeletion
pl | ro | OnDragDrop
pl | ro | OnDragOver
pl | ro | OnEndDrag
pl | ro | OnKeyDown
pl | ro | OnKeyPress
pl | ro | OnKeyUp
pl | ro | OnMouseDown
pl | ro | OnMouseEnter
pl | ro | OnMouseLeave
pl | ro | OnMouseMove
pl | ro | OnMouseUp
pl | ro | OnMouseWheel
pl | ro | OnMouseWheelDown
pl | ro | OnMouseWheelUp
pl | ro | OnMouseWheelHorz
pl | ro | OnMouseWheelLeft
pl | ro | OnMouseWheelRight
pl | ro | OnResize
pl | ro | OnSelectItem
pl | ro | OnStartDrag
pl | ro | OnUTF8KeyPress
pl | ro | OnFileAdded
TCustomShellListView
pt |  | OnFileAdded
TCustomListView
pt |  | OnChange
pt |  | OnColumnClick
pt |  | OnCompare
pt |  | OnCreateItemClass
pt |  | OnData
pt |  | OnDataFind
pt |  | OnDataHint
pt |  | OnDataStateChange
pt |  | OnDeletion
pt |  | OnEdited
pt |  | OnEditing
pt |  | OnInsert
pt |  | OnItemChecked
pt |  | OnSelectItem
pt |  | OnCustomDraw
pt |  | OnCustomDrawItem
pt |  | OnCustomDrawSubItem
pt |  | OnDrawItem
pt |  | OnAdvancedCustomDraw
pt |  | OnAdvancedCustomDrawItem
pt |  | OnAdvancedCustomDrawSubItem
TWinControl
pt |  | OnGetSiteInfo
pt |  | OnGetDockCaption
 |  | OnAlignInsertBefore
 |  | OnAlignPosition
 |  | OnDockDrop
 |  | OnDockOver
 |  | OnEnter
 |  | OnExit
 |  | OnKeyDown
 |  | OnKeyPress
 |  | OnKeyUp
 |  | OnUnDock
 |  | OnUTF8KeyPress
TControl
pt |  | OnConstrainedResize
pt |  | OnContextPopup
pt |  | OnDblClick
pt |  | OnTripleClick
pt |  | OnQuadClick
pt |  | OnDragDrop
pt |  | OnDragOver
pt |  | OnEndDock
pt |  | OnEndDrag
pt |  | OnMouseDown
pt |  | OnMouseMove
pt |  | OnMouseUp
pt |  | OnMouseEnter
pt |  | OnMouseLeave
pt |  | OnMouseWheel
pt |  | OnMouseWheelDown
pt |  | OnMouseWheelUp
pt |  | OnMouseWheelHorz
pt |  | OnMouseWheelLeft
pt |  | OnMouseWheelRight
pt |  | OnStartDock
pt |  | OnStartDrag
pt |  | OnEditingDone
 |  | OnChangeBounds
 |  | OnClick
 |  | OnResize
 |  | OnShowHint
TLCLComponent
TComponent
TPersistent
TObject


pt |  | OnAdvancedCustomDraw (TCustomListView)
pt |  | OnAdvancedCustomDrawItem (TCustomListView)
pt |  | OnAdvancedCustomDrawSubItem (TCustomListView)
 |  | OnAlignInsertBefore (TWinControl)
 |  | OnAlignPosition (TWinControl)
pt |  | OnChange (TCustomListView)
pl | ro | OnChange (TShellListView)
 |  | OnChangeBounds (TControl)
 |  | OnClick (TControl)
pl | ro | OnClick (TShellListView)
pt |  | OnColumnClick (TCustomListView)
pl | ro | OnColumnClick (TShellListView)
pt |  | OnCompare (TCustomListView)
pl | ro | OnCompare (TShellListView)
pt |  | OnConstrainedResize (TControl)
pt |  | OnContextPopup (TControl)
pl | ro | OnContextPopup (TShellListView)
pt |  | OnCreateItemClass (TCustomListView)
pt |  | OnCustomDraw (TCustomListView)
pt |  | OnCustomDrawItem (TCustomListView)
pt |  | OnCustomDrawSubItem (TCustomListView)
pt |  | OnData (TCustomListView)
pt |  | OnDataFind (TCustomListView)
pt |  | OnDataHint (TCustomListView)
pt |  | OnDataStateChange (TCustomListView)
pt |  | OnDblClick (TControl)
pl | ro | OnDblClick (TShellListView)
pt |  | OnDeletion (TCustomListView)
pl | ro | OnDeletion (TShellListView)
 |  | OnDockDrop (TWinControl)
 |  | OnDockOver (TWinControl)
pt |  | OnDragDrop (TControl)
pl | ro | OnDragDrop (TShellListView)
pt |  | OnDragOver (TControl)
pl | ro | OnDragOver (TShellListView)
pt |  | OnDrawItem (TCustomListView)
pt |  | OnEdited (TCustomListView)
pt |  | OnEditing (TCustomListView)
pt |  | OnEditingDone (TControl)
pt |  | OnEndDock (TControl)
pt |  | OnEndDrag (TControl)
pl | ro | OnEndDrag (TShellListView)
 |  | OnEnter (TWinControl)
 |  | OnExit (TWinControl)
pt |  | OnFileAdded (TCustomShellListView)
pl | ro | OnFileAdded (TShellListView)
pt |  | OnGetDockCaption (TWinControl)
pt |  | OnGetSiteInfo (TWinControl)
pt |  | OnInsert (TCustomListView)
pt |  | OnItemChecked (TCustomListView)
 |  | OnKeyDown (TWinControl)
pl | ro | OnKeyDown (TShellListView)
 |  | OnKeyPress (TWinControl)
pl | ro | OnKeyPress (TShellListView)
 |  | OnKeyUp (TWinControl)
pl | ro | OnKeyUp (TShellListView)
pt |  | OnMouseDown (TControl)
pl | ro | OnMouseDown (TShellListView)
pt |  | OnMouseEnter (TControl)
pl | ro | OnMouseEnter (TShellListView)
pt |  | OnMouseLeave (TControl)
pl | ro | OnMouseLeave (TShellListView)
pt |  | OnMouseMove (TControl)
pl | ro | OnMouseMove (TShellListView)
pt |  | OnMouseUp (TControl)
pl | ro | OnMouseUp (TShellListView)
pt |  | OnMouseWheel (TControl)
pl | ro | OnMouseWheel (TShellListView)
pt |  | OnMouseWheelDown (TControl)
pl | ro | OnMouseWheelDown (TShellListView)
pt |  | OnMouseWheelHorz (TControl)
pl | ro | OnMouseWheelHorz (TShellListView)
pt |  | OnMouseWheelLeft (TControl)
pl | ro | OnMouseWheelLeft (TShellListView)
pt |  | OnMouseWheelRight (TControl)
pl | ro | OnMouseWheelRight (TShellListView)
pt |  | OnMouseWheelUp (TControl)
pl | ro | OnMouseWheelUp (TShellListView)
pt |  | OnQuadClick (TControl)
 |  | OnResize (TControl)
pl | ro | OnResize (TShellListView)
pt |  | OnSelectItem (TCustomListView)
pl | ro | OnSelectItem (TShellListView)
 |  | OnShowHint (TControl)
pt |  | OnStartDock (TControl)
pt |  | OnStartDrag (TControl)
pl | ro | OnStartDrag (TShellListView)
pt |  | OnTripleClick (TControl)
 |  | OnUnDock (TWinControl)
 |  | OnUTF8KeyPress (TWinControl)
pl | ro | OnUTF8KeyPress (TShellListView)


TShellListView.Columns

Declaration

Source position: shellctrls.pas line 231

public property TShellListView.Columns : TListColumns;


TShellListView.OnFileAdded

Declaration

Source position: shellctrls.pas line 315

published property TShellListView.OnFileAdded : TCSLVFileAddedEvent;


TShellListView.OnMouseEnter

Declaration

Source position: shellctrls.pas line 301

published property TShellListView.OnMouseEnter : TNotifyEvent;


TShellListView.OnMouseLeave

Declaration

Source position: shellctrls.pas line 302

published property TShellListView.OnMouseLeave : TNotifyEvent;


TShellListView.OnMouseWheel

Declaration

Source position: shellctrls.pas line 305

published property TShellListView.OnMouseWheel : TMouseWheelEvent;


TShellListView.OnMouseWheelDown

Declaration

Source position: shellctrls.pas line 306

published property TShellListView.OnMouseWheelDown : TMouseWheelUpDownEvent;


TShellListView.OnMouseWheelHorz

Declaration

Source position: shellctrls.pas line 308

published property TShellListView.OnMouseWheelHorz : TMouseWheelEvent;


TShellListView.OnMouseWheelLeft

Declaration

Source position: shellctrls.pas line 309

published property TShellListView.OnMouseWheelLeft : TMouseWheelUpDownEvent;


TShellListView.OnMouseWheelRight

Declaration

Source position: shellctrls.pas line 310

published property TShellListView.OnMouseWheelRight : TMouseWheelUpDownEvent;


TShellListView.OnMouseWheelUp

Declaration

Source position: shellctrls.pas line 307

published property TShellListView.OnMouseWheelUp : TMouseWheelUpDownEvent;


TShellTreeNode

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Declaration

Source position: shellctrls.pas line 324

type TShellTreeNode = class(TTreeNode)

protected

  procedure SetBasePath();

public

  function ShortFilename;

  function FullFilename;

  function IsDirectory;

  property BasePath: string; [r]

end;

Inheritance

TShellTreeNode
|

TTreeNode

TTreeNode is a single item that holds data in TTreeView
|

TPersistent,IFPObserved
|

TObject


TShellTreeNode
 | ro | BasePath
TTreeNode
 | ro | AbsoluteIndex
 | ro | Count
 |  | Cut
 |  | Data
 | ro | Deleting
 |  | DropTarget
 |  | Expanded
 |  | Focused
 | ro | Handle
 |  | HasChildren
 |  | Height
 |  | ImageIndex
 |  | Index
 | ro | IsFullHeightVisible
 | ro | IsVisible
 |  | Items
 | ro | Level
 |  | MultiSelected
 |  | NodeEffect
 |  | OverlayIndex
 | ro | Owner
 | ro | Parent
 |  | Selected
 |  | SelectedIndex
 |  | StateIndex
 | ro | States
 | ro | SubTreeCount
 |  | Text
 | ro | Top
 | ro | TreeNodes
 | ro | TreeView
 |  | Visible
TPersistent
TObject


ro | AbsoluteIndex (TTreeNode)
ro | BasePath (TShellTreeNode)
ro | Count (TTreeNode)
 | Cut (TTreeNode)
 | Data (TTreeNode)
ro | Deleting (TTreeNode)
 | DropTarget (TTreeNode)
 | Expanded (TTreeNode)
 | Focused (TTreeNode)
ro | Handle (TTreeNode)
 | HasChildren (TTreeNode)
 | Height (TTreeNode)
 | ImageIndex (TTreeNode)
 | Index (TTreeNode)
ro | IsFullHeightVisible (TTreeNode)
ro | IsVisible (TTreeNode)
 | Items (TTreeNode)
ro | Level (TTreeNode)
 | MultiSelected (TTreeNode)
 | NodeEffect (TTreeNode)
 | OverlayIndex (TTreeNode)
ro | Owner (TTreeNode)
ro | Parent (TTreeNode)
 | Selected (TTreeNode)
 | SelectedIndex (TTreeNode)
 | StateIndex (TTreeNode)
ro | States (TTreeNode)
ro | SubTreeCount (TTreeNode)
 | Text (TTreeNode)
ro | Top (TTreeNode)
ro | TreeNodes (TTreeNode)
ro | TreeView (TTreeNode)
 | Visible (TTreeNode)


TShellTreeNode
pt | SetBasePath
 | ShortFilename
 | FullFilename
 | IsDirectory
TTreeNode
pt | Changed
pt | GetOwner
 | Create
 | Destroy
 | AlphaSort
 | Bottom
 | BottomExpanded
 | CustomSort
 | DefaultTreeViewSort
 | DisplayExpandSignLeft
 | DisplayExpandSignRect
 | DisplayExpandSignRight
 | DisplayIconLeft
 | DisplayRect
 | DisplayStateIconLeft
 | DisplayTextLeft
 | DisplayTextRight
 | EditText
 | FindNode
 | GetFirstChild
 | GetFirstVisibleChild
 | GetHandle
 | GetLastChild
 | GetLastSibling
 | GetLastSubChild
 | GetLastVisibleChild
 | GetNext
 | GetNextChild
 | GetNextExpanded
 | GetNextMultiSelected
 | GetNextSibling
 | GetNextSkipChildren
 | GetNextVisible
 | GetNextVisibleSibling
 | GetParentNodeOfAbsoluteLevel
 | GetPrev
 | GetPrevChild
 | GetPrevExpanded
 | GetPrevMultiSelected
 | GetPrevSibling
 | GetPrevVisible
 | GetPrevVisibleSibling
 | GetTextPath
 | HasAsParent
 | IndexOf
 | IndexOfText
 | Assign
 | Collapse
 | ConsistencyCheck
 | Delete
 | DeleteChildren
 | EndEdit
 | Expand
 | ExpandParents
 | FreeAllNodeData
 | MakeVisible
 | MoveTo
 | MultiSelectGroup
 | Update
 | WriteDebugReport
TPersistent
 | AssignError
 | AssignTo
 | DefineProperties
 | GetOwner
 | Destroy
 | Assign
 | FPOAttachObserver
 | FPODetachObserver
 | FPONotifyObservers
 | GetNamePath
TObject
 | Create
 | Destroy
 | newinstance
 | FreeInstance
 | SafeCallException
 | DefaultHandler
 | Free
 | InitInstance
 | CleanupInstance
 | ClassType
 | ClassInfo
 | ClassName
 | ClassNameIs
 | ClassParent
 | InstanceSize
 | InheritsFrom
 | StringMessageTable
 | MethodAddress
 | MethodName
 | FieldAddress
 | AfterConstruction
 | BeforeDestruction
 | DefaultHandlerStr
 | Dispatch
 | DispatchStr
 | GetInterface
 | GetInterfaceByStr
 | GetInterfaceWeak
 | GetInterfaceEntry
 | GetInterfaceEntryByStr
 | GetInterfaceTable
 | UnitName
 | Equals
 | GetHashCode
 | ToString


 | AfterConstruction (TObject)
 | AlphaSort (TTreeNode)
 | Assign (TPersistent)
 | Assign (TTreeNode)
 | AssignError (TPersistent)
 | AssignTo (TPersistent)
 | BeforeDestruction (TObject)
 | Bottom (TTreeNode)
 | BottomExpanded (TTreeNode)
pt | Changed (TTreeNode)
 | ClassInfo (TObject)
 | ClassName (TObject)
 | ClassNameIs (TObject)
 | ClassParent (TObject)
 | ClassType (TObject)
 | CleanupInstance (TObject)
 | Collapse (TTreeNode)
 | ConsistencyCheck (TTreeNode)
 | Create (TObject)
 | Create (TTreeNode)
 | CustomSort (TTreeNode)
 | DefaultHandler (TObject)
 | DefaultHandlerStr (TObject)
 | DefaultTreeViewSort (TTreeNode)
 | DefineProperties (TPersistent)
 | Delete (TTreeNode)
 | DeleteChildren (TTreeNode)
 | Destroy (TObject)
 | Destroy (TPersistent)
 | Destroy (TTreeNode)
 | Dispatch (TObject)
 | DispatchStr (TObject)
 | DisplayExpandSignLeft (TTreeNode)
 | DisplayExpandSignRect (TTreeNode)
 | DisplayExpandSignRight (TTreeNode)
 | DisplayIconLeft (TTreeNode)
 | DisplayRect (TTreeNode)
 | DisplayStateIconLeft (TTreeNode)
 | DisplayTextLeft (TTreeNode)
 | DisplayTextRight (TTreeNode)
 | EditText (TTreeNode)
 | EndEdit (TTreeNode)
 | Equals (TObject)
 | Expand (TTreeNode)
 | ExpandParents (TTreeNode)
 | FieldAddress (TObject)
 | FindNode (TTreeNode)
 | FPOAttachObserver (TPersistent)
 | FPODetachObserver (TPersistent)
 | FPONotifyObservers (TPersistent)
 | Free (TObject)
 | FreeAllNodeData (TTreeNode)
 | FreeInstance (TObject)
 | FullFilename (TShellTreeNode)
 | GetFirstChild (TTreeNode)
 | GetFirstVisibleChild (TTreeNode)
 | GetHandle (TTreeNode)
 | GetHashCode (TObject)
 | GetInterface (TObject)
 | GetInterfaceByStr (TObject)
 | GetInterfaceEntry (TObject)
 | GetInterfaceEntryByStr (TObject)
 | GetInterfaceTable (TObject)
 | GetInterfaceWeak (TObject)
 | GetLastChild (TTreeNode)
 | GetLastSibling (TTreeNode)
 | GetLastSubChild (TTreeNode)
 | GetLastVisibleChild (TTreeNode)
 | GetNamePath (TPersistent)
 | GetNext (TTreeNode)
 | GetNextChild (TTreeNode)
 | GetNextExpanded (TTreeNode)
 | GetNextMultiSelected (TTreeNode)
 | GetNextSibling (TTreeNode)
 | GetNextSkipChildren (TTreeNode)
 | GetNextVisible (TTreeNode)
 | GetNextVisibleSibling (TTreeNode)
 | GetOwner (TPersistent)
pt | GetOwner (TTreeNode)
 | GetParentNodeOfAbsoluteLevel (TTreeNode)
 | GetPrev (TTreeNode)
 | GetPrevChild (TTreeNode)
 | GetPrevExpanded (TTreeNode)
 | GetPrevMultiSelected (TTreeNode)
 | GetPrevSibling (TTreeNode)
 | GetPrevVisible (TTreeNode)
 | GetPrevVisibleSibling (TTreeNode)
 | GetTextPath (TTreeNode)
 | HasAsParent (TTreeNode)
 | IndexOf (TTreeNode)
 | IndexOfText (TTreeNode)
 | InheritsFrom (TObject)
 | InitInstance (TObject)
 | InstanceSize (TObject)
 | IsDirectory (TShellTreeNode)
 | MakeVisible (TTreeNode)
 | MethodAddress (TObject)
 | MethodName (TObject)
 | MoveTo (TTreeNode)
 | MultiSelectGroup (TTreeNode)
 | newinstance (TObject)
 | SafeCallException (TObject)
pt | SetBasePath (TShellTreeNode)
 | ShortFilename (TShellTreeNode)
 | StringMessageTable (TObject)
 | ToString (TObject)
 | UnitName (TObject)
 | Update (TTreeNode)
 | WriteDebugReport (TTreeNode)


TShellTreeNode

TTreeNode

TPersistent

TObject


TShellTreeNode.BasePath

Declaration

Source position: shellctrls.pas line 335

public property TShellTreeNode.BasePath : string
  read FBasePath;


TShellTreeNode.FullFilename

Declaration

Source position: shellctrls.pas line 332

public function TShellTreeNode.FullFilename: string;


TShellTreeNode.IsDirectory

Declaration

Source position: shellctrls.pas line 333

public function TShellTreeNode.IsDirectory: Boolean;


TShellTreeNode.SetBasePath

Declaration

Source position: shellctrls.pas line 329

protected procedure TShellTreeNode.SetBasePath(

  ABasePath: string

);


TShellTreeNode.ShortFilename

Declaration

Source position: shellctrls.pas line 331

public function TShellTreeNode.ShortFilename: string;


TShellTreeView

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

The main class for tree view control to display the files, directories and other objects (such as devices) from the file system structure

Declaration

Source position: shellctrls.pas line 106

type TShellTreeView = class(TCustomShellTreeView)
published
property Align: TAlign; | Specifies the placement of the control inside its Parent.
property Anchors: TAnchors; | The set of anchor definitions for this control.
property AutoExpand: Boolean; | Unfold a tree-item when user clicks it or an item activated by code.
property BorderSpacing: TControlBorderSpacing; | Determines the inner and outer border spacing for this control.
property BackgroundColor: TColor; | Color of background area of control.
property BorderStyle: TBorderStyle; | Allows to show a border (line) around the control,
property BorderWidth: TBorderWidth; | Width of the Border around the control; default is zero.
property Color: TColor; | The background color of the control.
property Constraints: TSizeConstraints; | The minimal and maximal Width and Height of this control.
property Enabled: Boolean; | Determines whether the control reacts on mouse or keyboard input.
property ExpandSignType: TTreeViewExpandSignType; | Sets shape of expand/collapse (fold/unfold) symbol: plus/minus, empty arrows, filled arrows etc.
property Font: TFont; | The font to be used for text display in this control.
property FileSortType: TFileSortType;
property HideSelection: Boolean;
property HotTrack: Boolean;
property Images: TCustomImageList;
property Indent: Integer;
property ParentColor: Boolean; | If true, the Color of the control will be the same as the one from the Parent. Default is true.
property ParentFont: Boolean; | If true, the Font of the control will be the same as the one from the Parent. Default is true.
property ParentShowHint: Boolean; | If true, the value of ShowHint for the control will be the same as the one from the Parent. Default is true.
property PopupMenu: TPopupMenu; | A context-sensitive menu that pops up when the right mouse button is clicked over this control
property ReadOnly: Boolean; | Don't allow to change item captions by mouse click with a delay.
property RightClickSelect: Boolean; | Right-click also selects tree-item. Else it only calls PopupMenu.
property Root: string;
property RowSelect: Boolean; | When a tree-item is selected, paint selection background with full width.
property ScrollBars: TScrollStyle; | Kind of scrollbars: horizontal, vertical, or both. Auto* mean that scrollbars hide automatically.
property SelectionColor: TColor; | Color used to paint background of item selection.
property ShowButtons: Boolean; | Show expand/collapse (fold/unfold) icons at left side for nodes with sub-nodes.
property ShowHint: Boolean; | Enables the Hint display.
property ShowLines: Boolean; | Show vertical lines at left side. They paint the tree structure for nested nodes.
property ShowRoot: Boolean; | Show the root tree-item which is always present in code but may be hidden for user.
property StateImages: TCustomImageList;
property TabOrder: TTabOrder; | Determines the sequence of controls, reachable when the user presses the Tab key.
property TabStop: Boolean; | Allows the user to navigate to this control, by pressing the Tab key.
property Tag;
property ToolTips: Boolean; | Show tooltip (hint) for a tree-item when the item is too long to fit by width and mouse is over it.
property Visible: Boolean; | Allows to show or hide the control, and all of its children.
property OnAdvancedCustomDraw: TTVAdvancedCustomDrawEvent;
property OnAdvancedCustomDrawItem: TTVAdvancedCustomDrawItemEvent;
property OnChange: TTVChangedEvent; | OnChange - specialised event handler for a change in the TreeView
property OnChanging: TTVChangingEvent; | OnChanging - specialised event handler while TreeView is being changed
property OnClick: TNotifyEvent; | Notification handler for mouse clicks.
property OnCollapsed: TTVExpandedEvent;
property OnCollapsing: TTVCollapsingEvent;
property OnCustomDraw: TTVCustomDrawEvent;
property OnCustomDrawItem: TTVCustomDrawItemEvent;
property OnDblClick: TNotifyEvent;
property OnEdited: TTVEditedEvent;
property OnEditing: TTVEditingEvent;
property OnEnter: TNotifyEvent;
property OnExit: TNotifyEvent;
property OnExpanded: TTVExpandedEvent;
property OnExpanding: TTVExpandingEvent;
property OnGetImageIndex: TTVExpandedEvent;
property OnGetSelectedIndex: TTVExpandedEvent;
property OnKeyDown: TKeyEvent; | Handler for keyboard key pressed.
property OnKeyPress: TKeyPressEvent; | Handler for a character entered by the user.
property OnKeyUp: TKeyEvent; | Handler for keyboard key released.
property OnMouseDown: TMouseEvent; | Event handler for mouse button going down.
property OnMouseEnter: TNotifyEvent;
property OnMouseLeave: TNotifyEvent;
property OnMouseMove: TMouseMoveEvent; | Event handler for mouse movement within the control.
property OnMouseUp: TMouseEvent; | Event handler for mouse button going up.
property OnMouseWheel: TMouseWheelEvent;
property OnMouseWheelDown: TMouseWheelUpDownEvent;
property OnMouseWheelUp: TMouseWheelUpDownEvent;
property OnMouseWheelHorz: TMouseWheelEvent;
property OnMouseWheelLeft: TMouseWheelUpDownEvent;
property OnMouseWheelRight: TMouseWheelUpDownEvent;
property OnSelectionChanged: TNotifyEvent; | OnSelectionChanged - event handler for a change in the selection
property OnShowHint: TControlShowHintEvent; | Event Handler when a hint shall be shown.
property OnUTF8KeyPress: TUTF8KeyPressEvent; | Handler for a character entered by the user.
property Options: TTreeViewOptions; | Set of additional option flags for treeview.
property TreeLineColor: TColor; | Color used to paint vertical lines at left side.
property TreeLinePenStyle: TPenStyle; | Style of TPen, used to paint vertical lines at left side.
property ExpandSignColor: TColor; | Color used to paint expand/collapse (fold/unfold) symbol (i.e. plus/minus symbol).
property ObjectTypes: TObjectTypes; | Indicates which objects should be shown in this control (for example if it should show files and directories or only directories)
property ShellListView: TCustomShellListView; | Can be utilized to connect this ShellTreeView to a ShellListView
end;

Inheritance

TShellTreeView | The main class for tree view control to display the files, directories and other objects (such as devices) from the file system structure
|
TCustomShellTreeView | The base class for tree view control to display the files, directories and other objects (such as devices) from the file system structure
|
TCustomTreeView | TCustomTreeView - ancestor class for TTreeView
|
TCustomControl | The base class for windowed controls which paint themselves.
|
TWinControl | The base class for controls which can contain other (child) controls.
|
TControl | The base class for visible controls.
|
TLCLComponent | The base class for LCL components associated with widgets.
|
TComponent,IUnknown,IInterfaceComponentReference
|
TPersistent,IFPObserved
|
TObject


TShellTreeView
pl | ro | Align
pl | ro | Anchors
pl | ro | AutoExpand
pl | ro | BorderSpacing
pl | ro | BackgroundColor
pl | ro | BorderStyle
pl | ro | BorderWidth
pl | ro | Color
pl | ro | Constraints
pl | ro | Enabled
pl | ro | ExpandSignType
pl | ro | Font
pl | ro | FileSortType
pl | ro | HideSelection
pl | ro | HotTrack
pl | ro | Images
pl | ro | Indent
pl | ro | ParentColor
pl | ro | ParentFont
pl | ro | ParentShowHint
pl | ro | PopupMenu
pl | ro | ReadOnly
pl | ro | RightClickSelect
pl | ro | Root
pl | ro | RowSelect
pl | ro | ScrollBars
pl | ro | SelectionColor
pl | ro | ShowButtons
pl | ro | ShowHint
pl | ro | ShowLines
pl | ro | ShowRoot
pl | ro | StateImages
pl | ro | TabOrder
pl | ro | TabStop
pl | ro | Tag
pl | ro | ToolTips
pl | ro | Visible
pl | ro | Options
pl | ro | TreeLineColor
pl | ro | TreeLinePenStyle
pl | ro | ExpandSignColor
pl | ro | ObjectTypes
pl | ro | ShellListView
TCustomShellTreeView
 |  | ObjectTypes
 |  | ShellListView
 |  | FileSortType
 |  | Root
 |  | Path
 | ro | Items
TCustomTreeView
pt | ro | EditingItem
pt | ro | States
 |  | AccessibilityOn
pt |  | AutoExpand
pt | ro | BorderStyle
pt |  | HideSelection
pt |  | HotTrack
pt |  | HotTrackColor
pt |  | Indent
pt |  | MultiSelect
pt |  | ReadOnly
pt |  | RightClickSelect
pt |  | RowSelect
pt |  | ScrolledLeft
pt |  | ScrolledTop
pt |  | ShowButtons
pt |  | ShowLines
pt |  | ShowRoot
pt |  | ShowSeparators
pt |  | SortType
pt |  | ToolTips
 |  | BackgroundColor
 | ro | BorderWidth
 |  | BottomItem
 | ro | Color
 |  | DefaultItemHeight
 |  | DropTarget
 |  | ExpandSignColor
 |  | ExpandSignSize
 |  | ExpandSignType
 |  | Images
 |  | ImagesWidth
 |  | InsertMarkNode
 |  | InsertMarkType
 |  | Items
 |  | KeepCollapsedNodes
 |  | MultiSelectStyle
 |  | Options
 |  | ScrollBars
 |  | Selected
 |  | SelectionColor
 | ro | SelectionCount
 |  | SelectionFontColor
 |  | SelectionFontColorUsed
 | ro | Selections
 |  | SeparatorColor
 |  | StateImages
 |  | StateImagesWidth
 |  | TopItem
 |  | TreeLineColor
 |  | TreeLinePenStyle
pl | ro | TabStop
TCustomControl
 |  | Canvas
 | ro | BorderStyle
TWinControl
pt |  | WindowHandle
pt |  | BorderStyle
pt |  | ParentBackground
 |  | BorderWidth
 | ro | BoundsLockCount
 | ro | Brush
 | ro | CachedClientHeight
 | ro | CachedClientWidth
 |  | ChildSizing
 | ro | ControlCount
 | ro | Controls
 |  | DefWndProc
 | ro | DockClientCount
 | ro | DockClients
 |  | DockManager
 |  | DockSite
 |  | DoubleBuffered
 |  | Handle
 | ro | IsFlipped
 | ro | IsResizing
 |  | TabOrder
 |  | TabStop
 |  | ParentDoubleBuffered
 |  | ParentWindow
 | ro | Showing
 |  | UseDockManager
 |  | DesignerDeleting
 | ro | VisibleDockClientCount
TControl
pt | ro | AutoSizing
pt | ro | AutoSizingAll
pt | ro | AutoSizingLockCount
pt |  | ActionLink
pt |  | DesktopFont
pt |  | DragCursor
pt |  | DragKind
pt |  | DragMode
pt |  | MouseCapture
pt |  | ParentColor
pt |  | ParentFont
pt |  | ParentShowHint
pt |  | SessionProperties
pt |  | Text
 | ro | AnchoredControls
 | ro | BaseBounds
 | ro | ReadBounds
 | ro | BaseParentClientSize
 |  | AccessibleDescription
 |  | AccessibleValue
 |  | AccessibleRole
 |  | Action
 |  | Align
 |  | Anchors
 | ro | AnchorSide
 |  | AutoSize
 |  | BorderSpacing
 |  | BoundsRect
 |  | BoundsRectForNewParent
 |  | Caption
 |  | CaptureMouseButtons
 |  | ClientHeight
 | ro | ClientOrigin
 | ro | ClientRect
 |  | ClientWidth
 |  | Color
 |  | Constraints
 | ro | ControlOrigin
 |  | ControlState
 |  | ControlStyle
 |  | Enabled
 |  | Font
 |  | IsControl
 | ro | MouseEntered
 | ro | MouseInClient
 |  | Parent
 |  | PopupMenu
 |  | ShowHint
 |  | Visible
 |  | WindowProc
 |  | DockOrientation
 | ro | Floating
 |  | FloatingDockSiteClass
 |  | HostDockSite
 |  | LRDockWidth
 |  | TBDockHeight
 |  | UndockHeight
 |  | UndockWidth
 |  | BiDiMode
 |  | ParentBiDiMode
pl |  | AnchorSideLeft
pl |  | AnchorSideTop
pl |  | AnchorSideRight
pl |  | AnchorSideBottom
pl |  | Cursor
pl |  | Left
pl |  | Height
pl |  | Hint
pl |  | Top
pl |  | Width
pl |  | HelpType
pl |  | HelpKeyword
pl |  | HelpContext
TLCLComponent
 | ro | LCLRefCount
 | ro | WidgetSetClass
TComponent
 | ro | ComObject
 | ro | Components
 | ro | ComponentCount
 |  | ComponentIndex
 | ro | ComponentState
 | ro | ComponentStyle
 |  | DesignInfo
 | ro | Owner
 |  | VCLComObject
 |  | Name
 |  | Tag
TPersistent
TObject


 |  | AccessibilityOn (TCustomTreeView)
 |  | AccessibleDescription (TControl)
 |  | AccessibleRole (TControl)
 |  | AccessibleValue (TControl)
 |  | Action (TControl)
pt |  | ActionLink (TControl)
 |  | Align (TControl)
pl | ro | Align (TShellTreeView)
 | ro | AnchoredControls (TControl)
 |  | Anchors (TControl)
pl | ro | Anchors (TShellTreeView)
 | ro | AnchorSide (TControl)
pl |  | AnchorSideBottom (TControl)
pl |  | AnchorSideLeft (TControl)
pl |  | AnchorSideRight (TControl)
pl |  | AnchorSideTop (TControl)
pt |  | AutoExpand (TCustomTreeView)
pl | ro | AutoExpand (TShellTreeView)
 |  | AutoSize (TControl)
pt | ro | AutoSizing (TControl)
pt | ro | AutoSizingAll (TControl)
pt | ro | AutoSizingLockCount (TControl)
 |  | BackgroundColor (TCustomTreeView)
pl | ro | BackgroundColor (TShellTreeView)
 | ro | BaseBounds (TControl)
 | ro | BaseParentClientSize (TControl)
 |  | BiDiMode (TControl)
 |  | BorderSpacing (TControl)
pl | ro | BorderSpacing (TShellTreeView)
pt |  | BorderStyle (TWinControl)
 | ro | BorderStyle (TCustomControl)
pt | ro | BorderStyle (TCustomTreeView)
pl | ro | BorderStyle (TShellTreeView)
 |  | BorderWidth (TWinControl)
 | ro | BorderWidth (TCustomTreeView)
pl | ro | BorderWidth (TShellTreeView)
 |  | BottomItem (TCustomTreeView)
 | ro | BoundsLockCount (TWinControl)
 |  | BoundsRect (TControl)
 |  | BoundsRectForNewParent (TControl)
 | ro | Brush (TWinControl)
 | ro | CachedClientHeight (TWinControl)
 | ro | CachedClientWidth (TWinControl)
 |  | Canvas (TCustomControl)
 |  | Caption (TControl)
 |  | CaptureMouseButtons (TControl)
 |  | ChildSizing (TWinControl)
 |  | ClientHeight (TControl)
 | ro | ClientOrigin (TControl)
 | ro | ClientRect (TControl)
 |  | ClientWidth (TControl)
 |  | Color (TControl)
 | ro | Color (TCustomTreeView)
pl | ro | Color (TShellTreeView)
 | ro | ComObject (TComponent)
 | ro | ComponentCount (TComponent)
 |  | ComponentIndex (TComponent)
 | ro | Components (TComponent)
 | ro | ComponentState (TComponent)
 | ro | ComponentStyle (TComponent)
 |  | Constraints (TControl)
pl | ro | Constraints (TShellTreeView)
 | ro | ControlCount (TWinControl)
 | ro | ControlOrigin (TControl)
 | ro | Controls (TWinControl)
 |  | ControlState (TControl)
 |  | ControlStyle (TControl)
pl |  | Cursor (TControl)
 |  | DefaultItemHeight (TCustomTreeView)
 |  | DefWndProc (TWinControl)
 |  | DesignerDeleting (TWinControl)
 |  | DesignInfo (TComponent)
pt |  | DesktopFont (TControl)
 | ro | DockClientCount (TWinControl)
 | ro | DockClients (TWinControl)
 |  | DockManager (TWinControl)
 |  | DockOrientation (TControl)
 |  | DockSite (TWinControl)
 |  | DoubleBuffered (TWinControl)
pt |  | DragCursor (TControl)
pt |  | DragKind (TControl)
pt |  | DragMode (TControl)
 |  | DropTarget (TCustomTreeView)
pt | ro | EditingItem (TCustomTreeView)
 |  | Enabled (TControl)
pl | ro | Enabled (TShellTreeView)
 |  | ExpandSignColor (TCustomTreeView)
pl | ro | ExpandSignColor (TShellTreeView)
 |  | ExpandSignSize (TCustomTreeView)
 |  | ExpandSignType (TCustomTreeView)
pl | ro | ExpandSignType (TShellTreeView)
 |  | FileSortType (TCustomShellTreeView)
pl | ro | FileSortType (TShellTreeView)
 | ro | Floating (TControl)
 |  | FloatingDockSiteClass (TControl)
 |  | Font (TControl)
pl | ro | Font (TShellTreeView)
 |  | Handle (TWinControl)
pl |  | Height (TControl)
pl |  | HelpContext (TControl)
pl |  | HelpKeyword (TControl)
pl |  | HelpType (TControl)
pt |  | HideSelection (TCustomTreeView)
pl | ro | HideSelection (TShellTreeView)
pl |  | Hint (TControl)
 |  | HostDockSite (TControl)
pt |  | HotTrack (TCustomTreeView)
pl | ro | HotTrack (TShellTreeView)
pt |  | HotTrackColor (TCustomTreeView)
 |  | Images (TCustomTreeView)
pl | ro | Images (TShellTreeView)
 |  | ImagesWidth (TCustomTreeView)
pt |  | Indent (TCustomTreeView)
pl | ro | Indent (TShellTreeView)
 |  | InsertMarkNode (TCustomTreeView)
 |  | InsertMarkType (TCustomTreeView)
 |  | IsControl (TControl)
 | ro | IsFlipped (TWinControl)
 | ro | IsResizing (TWinControl)
 |  | Items (TCustomTreeView)
 | ro | Items (TCustomShellTreeView)
 |  | KeepCollapsedNodes (TCustomTreeView)
 | ro | LCLRefCount (TLCLComponent)
pl |  | Left (TControl)
 |  | LRDockWidth (TControl)
pt |  | MouseCapture (TControl)
 | ro | MouseEntered (TControl)
 | ro | MouseInClient (TControl)
pt |  | MultiSelect (TCustomTreeView)
 |  | MultiSelectStyle (TCustomTreeView)
 |  | Name (TComponent)
 |  | ObjectTypes (TCustomShellTreeView)
pl | ro | ObjectTypes (TShellTreeView)
 |  | Options (TCustomTreeView)
pl | ro | Options (TShellTreeView)
 | ro | Owner (TComponent)
 |  | Parent (TControl)
pt |  | ParentBackground (TWinControl)
 |  | ParentBiDiMode (TControl)
pt |  | ParentColor (TControl)
pl | ro | ParentColor (TShellTreeView)
 |  | ParentDoubleBuffered (TWinControl)
pt |  | ParentFont (TControl)
pl | ro | ParentFont (TShellTreeView)
pt |  | ParentShowHint (TControl)
pl | ro | ParentShowHint (TShellTreeView)
 |  | ParentWindow (TWinControl)
 |  | Path (TCustomShellTreeView)
 |  | PopupMenu (TControl)
pl | ro | PopupMenu (TShellTreeView)
 | ro | ReadBounds (TControl)
pt |  | ReadOnly (TCustomTreeView)
pl | ro | ReadOnly (TShellTreeView)
pt |  | RightClickSelect (TCustomTreeView)
pl | ro | RightClickSelect (TShellTreeView)
 |  | Root (TCustomShellTreeView)
pl | ro | Root (TShellTreeView)
pt |  | RowSelect (TCustomTreeView)
pl | ro | RowSelect (TShellTreeView)
 |  | ScrollBars (TCustomTreeView)
pl | ro | ScrollBars (TShellTreeView)
pt |  | ScrolledLeft (TCustomTreeView)
pt |  | ScrolledTop (TCustomTreeView)
 |  | Selected (TCustomTreeView)
 |  | SelectionColor (TCustomTreeView)
pl | ro | SelectionColor (TShellTreeView)
 | ro | SelectionCount (TCustomTreeView)
 |  | SelectionFontColor (TCustomTreeView)
 |  | SelectionFontColorUsed (TCustomTreeView)
 | ro | Selections (TCustomTreeView)
 |  | SeparatorColor (TCustomTreeView)
pt |  | SessionProperties (TControl)
 |  | ShellListView (TCustomShellTreeView)
pl | ro | ShellListView (TShellTreeView)
pt |  | ShowButtons (TCustomTreeView)
pl | ro | ShowButtons (TShellTreeView)
 |  | ShowHint (TControl)
pl | ro | ShowHint (TShellTreeView)
 | ro | Showing (TWinControl)
pt |  | ShowLines (TCustomTreeView)
pl | ro | ShowLines (TShellTreeView)
pt |  | ShowRoot (TCustomTreeView)
pl | ro | ShowRoot (TShellTreeView)
pt |  | ShowSeparators (TCustomTreeView)
pt |  | SortType (TCustomTreeView)
 |  | StateImages (TCustomTreeView)
pl | ro | StateImages (TShellTreeView)
 |  | StateImagesWidth (TCustomTreeView)
pt | ro | States (TCustomTreeView)
 |  | TabOrder (TWinControl)
pl | ro | TabOrder (TShellTreeView)
 |  | TabStop (TWinControl)
pl | ro | TabStop (TCustomTreeView)
pl | ro | TabStop (TShellTreeView)
 |  | Tag (TComponent)
pl | ro | Tag (TShellTreeView)
 |  | TBDockHeight (TControl)
pt |  | Text (TControl)
pt |  | ToolTips (TCustomTreeView)
pl | ro | ToolTips (TShellTreeView)
pl |  | Top (TControl)
 |  | TopItem (TCustomTreeView)
 |  | TreeLineColor (TCustomTreeView)
pl | ro | TreeLineColor (TShellTreeView)
 |  | TreeLinePenStyle (TCustomTreeView)
pl | ro | TreeLinePenStyle (TShellTreeView)
 |  | UndockHeight (TControl)
 |  | UndockWidth (TControl)
 |  | UseDockManager (TWinControl)
 |  | VCLComObject (TComponent)
 |  | Visible (TControl)
pl | ro | Visible (TShellTreeView)
 | ro | VisibleDockClientCount (TWinControl)
 | ro | WidgetSetClass (TLCLComponent)
pl |  | Width (TControl)
pt |  | WindowHandle (TWinControl)
 |  | WindowProc (TControl)


TShellTreeView
TCustomShellTreeView
pt | DoCreateNodeClass
pt | Loaded
pt | CreateNode
pt | PopulateTreeNodeWithFiles
pt | DoSelectionChanged
pt | CanExpand
 | Create
 | Destroy
 | GetBasePath
 | GetRootPath
 | GetFilesInDir
 | GetPathFromNode
 | PopulateWithBaseFiles
 | Refresh
TCustomTreeView
pt | WSRegisterClass
pt | GetControlClassDefaultSize
pt | Added
pt | EditorEditingDone
pt | EditorKeyDown
pt | BeginAutoDrag
pt | BeginEditing
pt | DoDragMsg
pt | CanChange
pt | CanCollapse
pt | CanEdit
pt | CanExpand
pt | CreateNode
pt | CreateNodes
pt | CustomDraw
pt | CustomDrawItem
pt | DefaultItemHeightIsStored
pt | DoAutoAdjustLayout
pt | ExpandSignSizeIsStored
pt | GetDragImages
pt | GetMaxLvl
pt | GetMaxScrollLeft
pt | GetMaxScrollTop
pt | GetNodeAtY
pt | GetNodeDrawAreaHeight
pt | GetNodeDrawAreaWidth
pt | IndentIsStored
pt | IsCustomDrawn
pt | IsNodeVisible
pt | IsNodeHeightFullVisible
pt | IsInsertMarkVisible
pt | MoveSelection
pt | Change
pt | Collapse
pt | CreateWnd
pt | Delete
pt | DestroyWnd
pt | DoCreateNodeClass
pt | DoEndDrag
pt | DoMouseWheel
pt | DoMouseWheelHorz
pt | DoPaint
pt | DoPaintNode
pt | DoStartDrag
pt | DragOver
pt | EndEditing
pt | EnsureNodeIsVisible
pt | Expand
pt | GetImageIndex
pt | GetSelectedIndex
pt | InitializeWnd
pt | KeyDown
pt | Loaded
pt | MouseDown
pt | MouseMove
pt | MouseUp
pt | MouseLeave
pt | NodeChanged
pt | Notification
pt | Paint
pt | ScrollView
pt | SetDragMode
pt | SetOptions
pt | UpdateDefaultItemHeight
pt | UpdateInsertMark
pt | DoSelectionChanged
pt | WMHScroll
pt | WMVScroll
pt | WMLButtonDown
pt | WMSetFocus
pt | WMKillFocus
pt | Resize
 | GetSelectedChildAccessibleObject
 | GetChildAccessibleObjectAtPos
 | Create
 | Destroy
 | AlphaSort
 | ClearSelection
 | ConsistencyCheck
 | CustomSort
 | DefaultTreeViewSort
 | EraseBackground
 | GetHitTestInfoAt
 | GetNodeAt
 | GetInsertMarkAt
 | SetInsertMark
 | SetInsertMarkAt
 | Invalidate
 | IsEditing
 | BeginUpdate
 | EndUpdate
 | FullCollapse
 | FullExpand
 | LoadFromFile
 | LoadFromStream
 | SaveToFile
 | SaveToStream
 | WriteDebugReport
 | LockSelectionChangeEvent
 | UnlockSelectionChangeEvent
 | GetFirstMultiSelected
 | GetLastMultiSelected
 | Select
 | SelectionVisible
 | MakeSelectionVisible
 | ClearInvisibleSelection
 | StoreCurrentSelection
 | ApplyStoredSelection
 | MoveToNextNode
 | MoveToPrevNode
 | MovePageDown
 | MovePageUp
 | MoveHome
 | MoveEnd
TCustomControl
pt | WSRegisterClass
pt | WMPaint
pt | DestroyWnd
pt | PaintWindow
pt | FontChanged
pt | SetColor
pt | Paint
 | Create
 | Destroy
TWinControl
pt | WSRegisterClass
pt | AdjustClientRect
pt | GetAdjustedLogicalClientRect
pt | AlignControls
pt | CustomAlignInsertBefore
pt | CustomAlignPosition
pt | DoAlignChildControls
pt | DoChildSizingChange
pt | InvalidatePreferredChildSizes
pt | CanTab
pt | IsClientHeightStored
pt | IsClientWidthStored
pt | DoSendShowHideToInterface
pt | ControlsAligned
pt | DoSendBoundsToInterface
pt | RealizeBounds
pt | RealizeBoundsRecursive
pt | InvalidateBoundsRealized
pt | CreateSubClass
pt | DoConstraintsChange
pt | DoSetBounds
pt | DoAutoSize
pt | DoAllAutoSize
pt | AllAutoSized
pt | CalculatePreferredSize
pt | GetPreferredSizeClientFrame
pt | GetChildren
pt | ChildClassAllowed
pt | PaintControls
pt | PaintHandler
pt | PaintWindow
pt | CreateBrush
pt | ScaleControls
pt | ChangeScale
pt | CMBiDiModeChanged
pt | CMBorderChanged
pt | CMDoubleBufferedChanged
pt | CMEnabledChanged
pt | CMParentDoubleBufferedChanged
pt | CMShowingChanged
pt | CMShowHintChanged
pt | CMVisibleChanged
pt | CMEnter
pt | CMExit
pt | WMContextMenu
pt | WMEraseBkgnd
pt | WMNotify
pt | WMSetFocus
pt | WMKillFocus
pt | WMShowWindow
pt | WMEnter
pt | WMExit
pt | WMKeyDown
pt | WMSysKeyDown
pt | WMKeyUp
pt | WMSysKeyUp
pt | WMChar
pt | WMSysChar
pt | WMPaint
pt | WMDestroy
pt | WMMove
pt | WMSize
pt | WMWindowPosChanged
pt | CNKeyDown
pt | CNSysKeyDown
pt | CNKeyUp
pt | CNSysKeyUp
pt | CNChar
pt | DoDragMsg
pt | DoDockClientMsg
pt | DoUndockClientMsg
pt | DoAddDockClient
pt | DockOver
pt | DoDockOver
pt | DoRemoveDockClient
pt | DoUnDock
pt | GetSiteInfo
pt | GetParentHandle
pt | GetTopParentHandle
pt | ReloadDockedControl
pt | CreateDockManager
pt | SetDockManager
pt | DoFloatMsg
pt | DoGetDockCaption
pt | DoEnter
pt | DoExit
pt | DoKeyDownBeforeInterface
pt | DoRemainingKeyDown
pt | DoRemainingKeyUp
pt | DoKeyPress
pt | DoUTF8KeyPress
pt | DoKeyUpBeforeInterface
pt | ChildKey
pt | SendDialogChar
pt | DialogChar
pt | ControlKeyDown
pt | ControlKeyUp
pt | KeyDown
pt | KeyDownBeforeInterface
pt | KeyDownAfterInterface
pt | KeyPress
pt | KeyUp
pt | KeyUpBeforeInterface
pt | KeyUpAfterInterface
pt | UTF8KeyPress
pt | FindNextControl
pt | SelectFirst
pt | RealGetText
pt | GetBorderStyle
pt | GetClientOrigin
pt | GetClientRect
pt | GetControlOrigin
pt | GetDeviceContext
pt | GetParentBackground
pt | IsControlMouseMsg
pt | CreateHandle
pt | CreateParams
pt | CreateWnd
pt | DestroyHandle
pt | DestroyWnd
pt | DoFlipChildren
pt | FinalizeWnd
pt | FixupTabList
pt | FontChanged
pt | InitializeWnd
pt | Loaded
pt | FormEndUpdated
pt | MainWndProc
pt | ParentFormHandleInitialized
pt | ChildHandlesCreated
pt | GetMouseCapture
pt | RealSetText
pt | RemoveFocus
pt | SendMoveSizeMessages
pt | SetBorderStyle
pt | SetColor
pt | SetChildZPosition
pt | SetParentBackground
pt | ShowControl
pt | UpdateControlState
pt | UpdateShowing
pt | WndProc
pt | WSSetText
 | AutoSizePhases
 | AutoSizeDelayed
 | AutoSizeDelayedReport
 | AutoSizeDelayedHandle
 | BeginUpdateBounds
 | EndUpdateBounds
 | LockRealizeBounds
 | UnlockRealizeBounds
 | ControlAtPos
 | ContainsControl
 | DoAdjustClientRectChange
 | InvalidateClientRectCache
 | ClientRectNeedsInterfaceUpdate
 | SetBounds
 | GetChildrenRect
 | DisableAlign
 | EnableAlign
 | ReAlign
 | ScrollBy_WS
 | ScrollBy
 | WriteLayoutDebugReport
 | AutoAdjustLayout
 | Create
 | CreateParented
 | CreateParentedControl
 | Destroy
 | DockDrop
 | CanFocus
 | CanSetFocus
 | GetControlIndex
 | SetControlIndex
 | Focused
 | PerformTab
 | FindChildControl
 | SelectNext
 | SetTempCursor
 | BroadCast
 | NotifyControls
 | DefaultHandler
 | GetTextLen
 | Invalidate
 | AddControl
 | InsertControl
 | RemoveControl
 | GetEnumeratorControls
 | GetEnumeratorControlsReverse
 | Repaint
 | Update
 | SetFocus
 | FlipChildren
 | ScaleBy
 | GetDockCaption
 | UpdateDockCaption
 | GetTabOrderList
 | HandleAllocated
 | ParentHandlesAllocated
 | HandleNeeded
 | BrushCreated
 | EraseBackground
 | IntfUTF8KeyPress
 | IntfGetDropFilesTarget
 | PaintTo
 | SetShape
TControl
pt | WSRegisterClass
pt | GetCursor
pt | SetCursor
pt | SetVisible
pt | DoOnParentHandleDestruction
pt | DoAutoSize
pt | DoAllAutoSize
pt | BeginAutoSizing
pt | EndAutoSizing
pt | AnchorSideChanged
pt | ForeignAnchorSideChanged
pt | SetAlign
pt | SetAnchors
pt | SetAutoSize
pt | BoundsChanged
pt | CreateControlBorderSpacing
pt | DoConstraintsChange
pt | DoBorderSpacingChange
pt | IsBorderSpacingInnerBorderStored
pt | IsCaptionStored
pt | SendMoveSizeMessages
pt | ConstrainedResize
pt | CalculatePreferredSize
pt | DoOnResize
pt | DoOnChangeBounds
pt | CheckOnChangeBounds
pt | Resize
pt | RequestAlign
pt | UpdateAnchorRules
pt | ChangeBounds
pt | DoSetBounds
pt | ScaleConstraints
pt | ChangeScale
pt | CanAutoSize
pt | SetBiDiMode
pt | SetParentBiDiMode
pt | IsAParentAligning
pt | GetClientOrigin
pt | GetClientRect
pt | GetLogicalClientRect
pt | GetScrolledClientRect
pt | GetClientScrollOffset
pt | GetControlOrigin
pt | IsClientHeightStored
pt | IsClientWidthStored
pt | WidthIsAnchored
pt | HeightIsAnchored
pt | WMCancelMode
pt | WMContextMenu
pt | WMLButtonDown
pt | WMRButtonDown
pt | WMMButtonDown
pt | WMXButtonDown
pt | WMLButtonDBLCLK
pt | WMRButtonDBLCLK
pt | WMMButtonDBLCLK
pt | WMXButtonDBLCLK
pt | WMLButtonTripleCLK
pt | WMRButtonTripleCLK
pt | WMMButtonTripleCLK
pt | WMXButtonTripleCLK
pt | WMLButtonQuadCLK
pt | WMRButtonQuadCLK
pt | WMMButtonQuadCLK
pt | WMXButtonQuadCLK
pt | WMMouseMove
pt | WMLButtonUp
pt | WMRButtonUp
pt | WMMButtonUp
pt | WMXButtonUp
pt | WMMouseWheel
pt | WMMouseHWheel
pt | WMMove
pt | WMSize
pt | WMWindowPosChanged
pt | CMChanged
pt | LMCaptureChanged
pt | CMBiDiModeChanged
pt | CMSysFontChanged
pt | CMEnabledChanged
pt | CMHitTest
pt | CMMouseEnter
pt | CMMouseLeave
pt | CMHintShow
pt | CMParentBiDiModeChanged
pt | CMParentColorChanged
pt | CMParentFontChanged
pt | CMParentShowHintChanged
pt | CMVisibleChanged
pt | CMTextChanged
pt | CMCursorChanged
pt | CalculateDockSizes
pt | CreateFloatingDockSite
pt | GetDockEdge
pt | GetDragImages
pt | GetFloating
pt | GetFloatingDockSiteClass
pt | BeforeDragStart
pt | BeginAutoDrag
pt | DoFloatMsg
pt | DockTrackNoTarget
pt | DoDock
pt | DoDragMsg
pt | DoEndDock
pt | DoEndDrag
pt | DoStartDock
pt | DoStartDrag
pt | DragCanceled
pt | DragOver
pt | PositionDockRect
pt | SetDragMode
pt | GetDefaultDockCaption
pt | Click
pt | DblClick
pt | TripleClick
pt | QuadClick
pt | GetMousePosFromMessage
pt | MouseDown
pt | MouseMove
pt | MouseUp
pt | MouseEnter
pt | MouseLeave
pt | DialogChar
pt | UpdateMouseCursor
pt | Changed
pt | GetPalette
pt | ChildClassAllowed
pt | ReadState
pt | Loaded
pt | LoadedAll
pt | DefineProperties
pt | AssignTo
pt | FormEndUpdated
pt | InvalidateControl
pt | FontChanged
pt | ParentFontChanged
pt | GetAction
pt | RealGetText
pt | RealSetText
pt | TextChanged
pt | GetCachedText
pt | SetAction
pt | SetColor
pt | SetEnabled
pt | SetHint
pt | SetName
pt | SetParent
pt | SetParentComponent
pt | WndProc
pt | ParentFormHandleInitialized
pt | GetMouseCapture
pt | CaptureChanged
pt | Notification
pt | CanTab
pt | GetDeviceContext
pt | GetEnabled
pt | GetPopupMenu
pt | DoOnShowHint
pt | DoMouseWheel
pt | DoMouseWheelDown
pt | DoMouseWheelUp
pt | DoMouseWheelHorz
pt | DoMouseWheelLeft
pt | DoMouseWheelRight
pt | VisibleChanging
pt | VisibleChanged
pt | EnabledChanging
pt | EnabledChanged
pt | AddHandler
pt | RemoveHandler
pt | DoCallNotifyHandler
pt | DoCallKeyEventHandler
pt | DoCallMouseWheelEventHandler
pt | DoContextPopup
pt | SetZOrder
pt | GetControlClassDefaultSize
pt | ColorIsStored
pt | DoAutoAdjustLayout
pt | DoFixDesignFontPPI
pt | DoScaleFontPPI
pt | GetActionLinkClass
pt | ActionChange
 | DragDrop
 | Dock
 | ManualDock
 | ManualFloat
 | ReplaceDockedControl
 | Docked
 | Dragging
 | GetAccessibleObject
 | CreateAccessibleObject
 | GetSelectedChildAccessibleObject
 | GetChildAccessibleObjectAtPos
 | ScaleDesignToForm
 | ScaleFormToDesign
 | Scale96ToForm
 | ScaleFormTo96
 | Scale96ToFont
 | ScaleFontTo96
 | ScaleScreenToFont
 | ScaleFontToScreen
 | Scale96ToScreen
 | ScaleScreenTo96
 | AdjustSize
 | AutoSizePhases
 | AutoSizeDelayed
 | AutoSizeDelayedReport
 | AutoSizeDelayedHandle
 | AnchorToNeighbour
 | AnchorParallel
 | AnchorHorizontalCenterTo
 | AnchorVerticalCenterTo
 | AnchorToCompanion
 | AnchorSame
 | AnchorAsAlign
 | AnchorClient
 | AnchoredControlCount
 | SetBounds
 | SetInitialBounds
 | SetBoundsKeepBase
 | GetPreferredSize
 | GetCanvasScaleFactor
 | GetDefaultWidth
 | GetDefaultHeight
 | GetDefaultColor
 | GetColorResolvingParent
 | GetRGBColorResolvingParent
 | GetSidePosition
 | CNPreferredSizeChanged
 | InvalidatePreferredSize
 | GetAnchorsDependingOnParent
 | DisableAutoSizing
 | EnableAutoSizing
 | UpdateBaseBounds
 | WriteLayoutDebugReport
 | AutoAdjustLayout
 | ShouldAutoAdjust
 | FixDesignFontsPPI
 | ScaleFontsPPI
 | Create
 | Destroy
 | BeforeDestruction
 | EditingDone
 | ExecuteDefaultAction
 | ExecuteCancelAction
 | BeginDrag
 | EndDrag
 | BringToFront
 | HasParent
 | GetParentComponent
 | IsParentOf
 | GetTopParent
 | IsVisible
 | IsControlVisible
 | IsEnabled
 | IsParentColor
 | IsParentFont
 | FormIsUpdating
 | IsProcessingPaintMsg
 | Hide
 | Refresh
 | Repaint
 | Invalidate
 | CheckChildClassAllowed
 | CheckNewParent
 | SendToBack
 | SetTempCursor
 | UpdateRolesForForm
 | ActiveDefaultControlChanged
 | GetTextBuf
 | GetTextLen
 | SetTextBuf
 | Perform
 | ScreenToClient
 | ClientToScreen
 | ScreenToControl
 | ControlToScreen
 | ClientToParent
 | ParentToClient
 | GetChildrenRect
 | Show
 | Update
 | HandleObjectShouldBeVisible
 | ParentDestroyingHandle
 | ParentHandlesAllocated
 | InitiateAction
 | ShowHelp
 | HasHelp
 | RemoveAllHandlersOfObject
 | AddHandlerOnResize
 | RemoveHandlerOnResize
 | AddHandlerOnChangeBounds
 | RemoveHandlerOnChangeBounds
 | AddHandlerOnVisibleChanging
 | RemoveHandlerOnVisibleChanging
 | AddHandlerOnVisibleChanged
 | RemoveHandlerOnVisibleChanged
 | AddHandlerOnEnabledChanged
 | RemoveHandlerOnEnableChanging
 | AddHandlerOnKeyDown
 | RemoveHandlerOnKeyDown
 | AddHandlerOnBeforeDestruction
 | RemoveHandlerOnBeforeDestruction
 | AddHandlerOnMouseWheel
 | RemoveHandlerOnMouseWheel
 | UseRightToLeftAlignment
 | UseRightToLeftReading
 | UseRightToLeftScrollBar
 | IsRightToLeft
TLCLComponent
pt | WSRegisterClass
pt | GetWSComponentClass
 | Create
 | Destroy
 | NewInstance
 | RemoveAllHandlersOfObject
 | IncLCLRefCount
 | DecLCLRefCount
TComponent
 | GetComObject
 | GetComponent
 | GetComponentCount
 | GetComponentIndex
 | Insert
 | ReadLeft
 | ReadTop
 | Remove
 | RemoveNotification
 | SetComponentIndex
 | SetReference
 | WriteLeft
 | WriteTop
 | ChangeName
 | DefineProperties
 | GetChildren
 | GetChildOwner
 | GetChildParent
 | GetOwner
 | Loaded
 | Loading
 | Notification
 | PaletteCreated
 | ReadState
 | SetAncestor
 | SetDesigning
 | SetDesignInstance
 | SetInline
 | SetName
 | SetChildOrder
 | SetParentComponent
 | Updating
 | Updated
 | UpdateRegistry
 | ValidateRename
 | ValidateContainer
 | ValidateInsert
 | QueryInterface
 | _AddRef
 | _Release
 | iicrGetComponent
 | GetTypeInfoCount
 | GetTypeInfo
 | GetIDsOfNames
 | Invoke
 | WriteState
 | Create
 | Destroy
 | BeforeDestruction
 | DestroyComponents
 | Destroying
 | ExecuteAction
 | FindComponent
 | FreeNotification
 | RemoveFreeNotification
 | FreeOnRelease
 | GetEnumerator
 | GetNamePath
 | GetParentComponent
 | HasParent
 | InsertComponent
 | RemoveComponent
 | SafeCallException
 | SetSubComponent
 | UpdateAction
 | IsImplementorOf
 | ReferenceInterface
TPersistent
 | AssignError
 | AssignTo
 | DefineProperties
 | GetOwner
 | Destroy
 | Assign
 | FPOAttachObserver
 | FPODetachObserver
 | FPONotifyObservers
 | GetNamePath
TObject
 | Create
 | Destroy
 | newinstance
 | FreeInstance
 | SafeCallException
 | DefaultHandler
 | Free
 | InitInstance
 | CleanupInstance
 | ClassType
 | ClassInfo
 | ClassName
 | ClassNameIs
 | ClassParent
 | InstanceSize
 | InheritsFrom
 | StringMessageTable
 | MethodAddress
 | MethodName
 | FieldAddress
 | AfterConstruction
 | BeforeDestruction
 | DefaultHandlerStr
 | Dispatch
 | DispatchStr
 | GetInterface
 | GetInterfaceByStr
 | GetInterfaceWeak
 | GetInterfaceEntry
 | GetInterfaceEntryByStr
 | GetInterfaceTable
 | UnitName
 | Equals
 | GetHashCode
 | ToString


TShellTreeView
pl | ro | OnAdvancedCustomDraw
pl | ro | OnAdvancedCustomDrawItem
pl | ro | OnChange
pl | ro | OnChanging
pl | ro | OnClick
pl | ro | OnCollapsed
pl | ro | OnCollapsing
pl | ro | OnCustomDraw
pl | ro | OnCustomDrawItem
pl | ro | OnDblClick
pl | ro | OnEdited
pl | ro | OnEditing
pl | ro | OnEnter
pl | ro | OnExit
pl | ro | OnExpanded
pl | ro | OnExpanding
pl | ro | OnGetImageIndex
pl | ro | OnGetSelectedIndex
pl | ro | OnKeyDown
pl | ro | OnKeyPress
pl | ro | OnKeyUp
pl | ro | OnMouseDown
pl | ro | OnMouseEnter
pl | ro | OnMouseLeave
pl | ro | OnMouseMove
pl | ro | OnMouseUp
pl | ro | OnMouseWheel
pl | ro | OnMouseWheelDown
pl | ro | OnMouseWheelUp
pl | ro | OnMouseWheelHorz
pl | ro | OnMouseWheelLeft
pl | ro | OnMouseWheelRight
pl | ro | OnSelectionChanged
pl | ro | OnShowHint
pl | ro | OnUTF8KeyPress
TCustomShellTreeView
TCustomTreeView
pt |  | OnAddition
pt |  | OnAdvancedCustomDraw
pt |  | OnAdvancedCustomDrawItem
pt |  | OnChange
pt |  | OnChanging
pt |  | OnCollapsed
pt |  | OnCollapsing
pt |  | OnCompare
pt |  | OnCreateNodeClass
pt |  | OnCustomCreateItem
pt |  | OnCustomDraw
pt |  | OnCustomDrawItem
pt |  | OnCustomDrawArrow
pt |  | OnDeletion
pt |  | OnEdited
pt |  | OnEditing
pt |  | OnEditingEnd
pt |  | OnExpanded
pt |  | OnExpanding
pt |  | OnGetImageIndex
pt |  | OnGetSelectedIndex
pt |  | OnNodeChanged
pt |  | OnSelectionChanged
TCustomControl
 |  | OnPaint
TWinControl
pt |  | OnGetSiteInfo
pt |  | OnGetDockCaption
 |  | OnAlignInsertBefore
 |  | OnAlignPosition
 |  | OnDockDrop
 |  | OnDockOver
 |  | OnEnter
 |  | OnExit
 |  | OnKeyDown
 |  | OnKeyPress
 |  | OnKeyUp
 |  | OnUnDock
 |  | OnUTF8KeyPress
TControl
pt |  | OnConstrainedResize
pt |  | OnContextPopup
pt |  | OnDblClick
pt |  | OnTripleClick
pt |  | OnQuadClick
pt |  | OnDragDrop
pt |  | OnDragOver
pt |  | OnEndDock
pt |  | OnEndDrag
pt |  | OnMouseDown
pt |  | OnMouseMove
pt |  | OnMouseUp
pt |  | OnMouseEnter
pt |  | OnMouseLeave
pt |  | OnMouseWheel
pt |  | OnMouseWheelDown
pt |  | OnMouseWheelUp
pt |  | OnMouseWheelHorz
pt |  | OnMouseWheelLeft
pt |  | OnMouseWheelRight
pt |  | OnStartDock
pt |  | OnStartDrag
pt |  | OnEditingDone
 |  | OnChangeBounds
 |  | OnClick
 |  | OnResize
 |  | OnShowHint
TLCLComponent
TComponent
TPersistent
TObject


pt |  | OnAddition (TCustomTreeView)
pt |  | OnAdvancedCustomDraw (TCustomTreeView)
pl | ro | OnAdvancedCustomDraw (TShellTreeView)
pt |  | OnAdvancedCustomDrawItem (TCustomTreeView)
pl | ro | OnAdvancedCustomDrawItem (TShellTreeView)
 |  | OnAlignInsertBefore (TWinControl)
 |  | OnAlignPosition (TWinControl)
pt |  | OnChange (TCustomTreeView)
pl | ro | OnChange (TShellTreeView)
 |  | OnChangeBounds (TControl)
pt |  | OnChanging (TCustomTreeView)
pl | ro | OnChanging (TShellTreeView)
 |  | OnClick (TControl)
pl | ro | OnClick (TShellTreeView)
pt |  | OnCollapsed (TCustomTreeView)
pl | ro | OnCollapsed (TShellTreeView)
pt |  | OnCollapsing (TCustomTreeView)
pl | ro | OnCollapsing (TShellTreeView)
pt |  | OnCompare (TCustomTreeView)
pt |  | OnConstrainedResize (TControl)
pt |  | OnContextPopup (TControl)
pt |  | OnCreateNodeClass (TCustomTreeView)
pt |  | OnCustomCreateItem (TCustomTreeView)
pt |  | OnCustomDraw (TCustomTreeView)
pl | ro | OnCustomDraw (TShellTreeView)
pt |  | OnCustomDrawArrow (TCustomTreeView)
pt |  | OnCustomDrawItem (TCustomTreeView)
pl | ro | OnCustomDrawItem (TShellTreeView)
pt |  | OnDblClick (TControl)
pl | ro | OnDblClick (TShellTreeView)
pt |  | OnDeletion (TCustomTreeView)
 |  | OnDockDrop (TWinControl)
 |  | OnDockOver (TWinControl)
pt |  | OnDragDrop (TControl)
pt |  | OnDragOver (TControl)
pt |  | OnEdited (TCustomTreeView)
pl | ro | OnEdited (TShellTreeView)
pt |  | OnEditing (TCustomTreeView)
pl | ro | OnEditing (TShellTreeView)
pt |  | OnEditingDone (TControl)
pt |  | OnEditingEnd (TCustomTreeView)
pt |  | OnEndDock (TControl)
pt |  | OnEndDrag (TControl)
 |  | OnEnter (TWinControl)
pl | ro | OnEnter (TShellTreeView)
 |  | OnExit (TWinControl)
pl | ro | OnExit (TShellTreeView)
pt |  | OnExpanded (TCustomTreeView)
pl | ro | OnExpanded (TShellTreeView)
pt |  | OnExpanding (TCustomTreeView)
pl | ro | OnExpanding (TShellTreeView)
pt |  | OnGetDockCaption (TWinControl)
pt |  | OnGetImageIndex (TCustomTreeView)
pl | ro | OnGetImageIndex (TShellTreeView)
pt |  | OnGetSelectedIndex (TCustomTreeView)
pl | ro | OnGetSelectedIndex (TShellTreeView)
pt |  | OnGetSiteInfo (TWinControl)
 |  | OnKeyDown (TWinControl)
pl | ro | OnKeyDown (TShellTreeView)
 |  | OnKeyPress (TWinControl)
pl | ro | OnKeyPress (TShellTreeView)
 |  | OnKeyUp (TWinControl)
pl | ro | OnKeyUp (TShellTreeView)
pt |  | OnMouseDown (TControl)
pl | ro | OnMouseDown (TShellTreeView)
pt |  | OnMouseEnter (TControl)
pl | ro | OnMouseEnter (TShellTreeView)
pt |  | OnMouseLeave (TControl)
pl | ro | OnMouseLeave (TShellTreeView)
pt |  | OnMouseMove (TControl)
pl | ro | OnMouseMove (TShellTreeView)
pt |  | OnMouseUp (TControl)
pl | ro | OnMouseUp (TShellTreeView)
pt |  | OnMouseWheel (TControl)
pl | ro | OnMouseWheel (TShellTreeView)
pt |  | OnMouseWheelDown (TControl)
pl | ro | OnMouseWheelDown (TShellTreeView)
pt |  | OnMouseWheelHorz (TControl)
pl | ro | OnMouseWheelHorz (TShellTreeView)
pt |  | OnMouseWheelLeft (TControl)
pl | ro | OnMouseWheelLeft (TShellTreeView)
pt |  | OnMouseWheelRight (TControl)
pl | ro | OnMouseWheelRight (TShellTreeView)
pt |  | OnMouseWheelUp (TControl)
pl | ro | OnMouseWheelUp (TShellTreeView)
pt |  | OnNodeChanged (TCustomTreeView)
 |  | OnPaint (TCustomControl)
pt |  | OnQuadClick (TControl)
 |  | OnResize (TControl)
pt |  | OnSelectionChanged (TCustomTreeView)
pl | ro | OnSelectionChanged (TShellTreeView)
 |  | OnShowHint (TControl)
pl | ro | OnShowHint (TShellTreeView)
pt |  | OnStartDock (TControl)
pt |  | OnStartDrag (TControl)
pt |  | OnTripleClick (TControl)
 |  | OnUnDock (TWinControl)
 |  | OnUTF8KeyPress (TWinControl)
pl | ro | OnUTF8KeyPress (TShellTreeView)


TShellTreeView.HideSelection

Declaration

Source position: shellctrls.pas line 123

published property TShellTreeView.HideSelection : Boolean;


TShellTreeView.HotTrack

Declaration

Source position: shellctrls.pas line 124

published property TShellTreeView.HotTrack : Boolean;


TShellTreeView.Images

Declaration

Source position: shellctrls.pas line 125

published property TShellTreeView.Images : TCustomImageList;


TShellTreeView.Indent

Declaration

Source position: shellctrls.pas line 126

published property TShellTreeView.Indent : Integer;


TShellTreeView.OnAdvancedCustomDraw

Declaration

Source position: shellctrls.pas line 148

published property TShellTreeView.OnAdvancedCustomDraw : TTVAdvancedCustomDrawEvent;


TShellTreeView.OnAdvancedCustomDrawItem

Declaration

Source position: shellctrls.pas line 149

published property TShellTreeView.OnAdvancedCustomDrawItem : TTVAdvancedCustomDrawItemEvent;


TShellTreeView.OnCollapsed

Declaration

Source position: shellctrls.pas line 153

published property TShellTreeView.OnCollapsed : TTVExpandedEvent;


TShellTreeView.OnCollapsing

Declaration

Source position: shellctrls.pas line 154

published property TShellTreeView.OnCollapsing : TTVCollapsingEvent;


TShellTreeView.OnCustomDraw

Declaration

Source position: shellctrls.pas line 155

published property TShellTreeView.OnCustomDraw : TTVCustomDrawEvent;


TShellTreeView.OnCustomDrawItem

Declaration

Source position: shellctrls.pas line 156

published property TShellTreeView.OnCustomDrawItem : TTVCustomDrawItemEvent;


TShellTreeView.OnDblClick

Declaration

Source position: shellctrls.pas line 157

published property TShellTreeView.OnDblClick : TNotifyEvent;


TShellTreeView.OnEdited

Declaration

Source position: shellctrls.pas line 158

published property TShellTreeView.OnEdited : TTVEditedEvent;


TShellTreeView.OnEditing

Declaration

Source position: shellctrls.pas line 159

published property TShellTreeView.OnEditing : TTVEditingEvent;


TShellTreeView.OnEnter

Declaration

Source position: shellctrls.pas line 160

published property TShellTreeView.OnEnter : TNotifyEvent;


TShellTreeView.OnExit

Declaration

Source position: shellctrls.pas line 161

published property TShellTreeView.OnExit : TNotifyEvent;


TShellTreeView.OnExpanded

Declaration

Source position: shellctrls.pas line 162

published property TShellTreeView.OnExpanded : TTVExpandedEvent;


TShellTreeView.OnExpanding

Declaration

Source position: shellctrls.pas line 163

published property TShellTreeView.OnExpanding : TTVExpandingEvent;


TShellTreeView.OnGetImageIndex

Declaration

Source position: shellctrls.pas line 164

published property TShellTreeView.OnGetImageIndex : TTVExpandedEvent;


TShellTreeView.OnGetSelectedIndex

Declaration

Source position: shellctrls.pas line 165

published property TShellTreeView.OnGetSelectedIndex : TTVExpandedEvent;


TShellTreeView.OnMouseEnter

Declaration

Source position: shellctrls.pas line 170

published property TShellTreeView.OnMouseEnter : TNotifyEvent;


TShellTreeView.OnMouseLeave

Declaration

Source position: shellctrls.pas line 171

published property TShellTreeView.OnMouseLeave : TNotifyEvent;


TShellTreeView.OnMouseWheel

Declaration

Source position: shellctrls.pas line 174

published property TShellTreeView.OnMouseWheel : TMouseWheelEvent;


TShellTreeView.OnMouseWheelDown

Declaration

Source position: shellctrls.pas line 175

published property TShellTreeView.OnMouseWheelDown : TMouseWheelUpDownEvent;


TShellTreeView.OnMouseWheelHorz

Declaration

Source position: shellctrls.pas line 177

published property TShellTreeView.OnMouseWheelHorz : TMouseWheelEvent;


TShellTreeView.OnMouseWheelLeft

Declaration

Source position: shellctrls.pas line 178

published property TShellTreeView.OnMouseWheelLeft : TMouseWheelUpDownEvent;


TShellTreeView.OnMouseWheelRight

Declaration

Source position: shellctrls.pas line 179

published property TShellTreeView.OnMouseWheelRight : TMouseWheelUpDownEvent;


TShellTreeView.OnMouseWheelUp

Declaration

Source position: shellctrls.pas line 176

published property TShellTreeView.OnMouseWheelUp : TMouseWheelUpDownEvent;


TShellTreeView.StateImages

Declaration

Source position: shellctrls.pas line 142

published property TShellTreeView.StateImages : TCustomImageList;


TCustomFloatSpinEdit

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

The base class for the float-based spin control

Declaration

Source position: spin.pp line 32

type TCustomFloatSpinEdit = class(TCustomEdit)
protected
class procedure WSRegisterClass; override; | Registers this component class with the current WidgetSet.
function RealGetText; override; |
procedure RealSetText(); override;
procedure TextChanged; override; |
procedure SetDecimals(); virtual; |
procedure SetValue(); virtual; |
procedure SetMaxValue(); virtual; |
procedure SetMinValue(); virtual; |
procedure SetValueEmpty(); virtual; |
procedure SetIncrement(); virtual; |
procedure InitializeWnd; override; |
procedure FinalizeWnd; override; |
procedure Loaded; override; |
procedure KeyPress(); override;
class function GetControlClassDefaultSize; override;
public
constructor Create(); override; |
function GetLimitedValue(); virtual; | Limits the passed value according to spin edit minimum and maximum.
function ValueToStr(); virtual; | Converts the passed value to string according to spin edit settings.
function StrToValue(); virtual; | Converts the passed string to value according to spin edit settings.
property DecimalPlaces: Integer; [rw] | Number of the decimal places shown in spin edit.
property Increment: Double; [rws] | An amount to be incremented/decremented to the value when spin edit up/down arrow button is pushed.
property MinValue: Double; [rw] | Minimal value allowed for the spin edit.
property MaxValue: Double; [rws] | Maximal value allowed for the spin edit.
property Value: Double; [rw] | The value of spin control.
property ValueEmpty: Boolean; [rw] | If the Value property is assigned.
end;

Inheritance

TCustomFloatSpinEdit | The base class for the float-based spin control
|
TCustomEdit | The base class for controls presenting editable text.
|
TWinControl | The base class for controls which can contain other (child) controls.
|
TControl | The base class for visible controls.
|
TLCLComponent | The base class for LCL components associated with widgets.
|
TComponent,IUnknown,IInterfaceComponentReference
|
TPersistent,IFPObserved
|
TObject

Description

The base class for the float-based spin edit control.


TCustomFloatSpinEdit
 |  | DecimalPlaces
 |  | Increment
 |  | MinValue
 |  | MaxValue
 |  | Value
 |  | ValueEmpty
TCustomEdit
pt |  | AutoSelect
pt |  | AutoSelected
pt | ro | ParentColor
 |  | Alignment
 | ro | AutoSize
 | ro | BorderStyle
 | ro | CanUndo
 |  | CaretPos
 |  | CharCase
 |  | EchoMode
 |  | HideSelection
 |  | MaxLength
 |  | Modified
 |  | NumbersOnly
 |  | PasswordChar
 | ro | PopupMenu
 |  | ReadOnly
 |  | SelLength
 |  | SelStart
 |  | SelText
 | ro | TabOrder
 | ro | TabStop
 | ro | Text
 |  | TextHint
TWinControl
pt |  | WindowHandle
pt |  | BorderStyle
pt |  | ParentBackground
 |  | BorderWidth
 | ro | BoundsLockCount
 | ro | Brush
 | ro | CachedClientHeight
 | ro | CachedClientWidth
 |  | ChildSizing
 | ro | ControlCount
 | ro | Controls
 |  | DefWndProc
 | ro | DockClientCount
 | ro | DockClients
 |  | DockManager
 |  | DockSite
 |  | DoubleBuffered
 |  | Handle
 | ro | IsFlipped
 | ro | IsResizing
 |  | TabOrder
 |  | TabStop
 |  | ParentDoubleBuffered
 |  | ParentWindow
 | ro | Showing
 |  | UseDockManager
 |  | DesignerDeleting
 | ro | VisibleDockClientCount
TControl
pt | ro | AutoSizing
pt | ro | AutoSizingAll
pt | ro | AutoSizingLockCount
pt |  | ActionLink
pt |  | DesktopFont
pt |  | DragCursor
pt |  | DragKind
pt |  | DragMode
pt |  | MouseCapture
pt |  | ParentColor
pt |  | ParentFont
pt |  | ParentShowHint
pt |  | SessionProperties
pt |  | Text
 | ro | AnchoredControls
 | ro | BaseBounds
 | ro | ReadBounds
 | ro | BaseParentClientSize
 |  | AccessibleDescription
 |  | AccessibleValue
 |  | AccessibleRole
 |  | Action
 |  | Align
 |  | Anchors
 | ro | AnchorSide
 |  | AutoSize
 |  | BorderSpacing
 |  | BoundsRect
 |  | BoundsRectForNewParent
 |  | Caption
 |  | CaptureMouseButtons
 |  | ClientHeight
 | ro | ClientOrigin
 | ro | ClientRect
 |  | ClientWidth
 |  | Color
 |  | Constraints
 | ro | ControlOrigin
 |  | ControlState
 |  | ControlStyle
 |  | Enabled
 |  | Font
 |  | IsControl
 | ro | MouseEntered
 | ro | MouseInClient
 |  | Parent
 |  | PopupMenu
 |  | ShowHint
 |  | Visible
 |  | WindowProc
 |  | DockOrientation
 | ro | Floating
 |  | FloatingDockSiteClass
 |  | HostDockSite
 |  | LRDockWidth
 |  | TBDockHeight
 |  | UndockHeight
 |  | UndockWidth
 |  | BiDiMode
 |  | ParentBiDiMode
pl |  | AnchorSideLeft
pl |  | AnchorSideTop
pl |  | AnchorSideRight
pl |  | AnchorSideBottom
pl |  | Cursor
pl |  | Left
pl |  | Height
pl |  | Hint
pl |  | Top
pl |  | Width
pl |  | HelpType
pl |  | HelpKeyword
pl |  | HelpContext
TLCLComponent
 | ro | LCLRefCount
 | ro | WidgetSetClass
TComponent
 | ro | ComObject
 | ro | Components
 | ro | ComponentCount
 |  | ComponentIndex
 | ro | ComponentState
 | ro | ComponentStyle
 |  | DesignInfo
 | ro | Owner
 |  | VCLComObject
 |  | Name
 |  | Tag
TPersistent
TObject


 |  | AccessibleDescription (TControl)
 |  | AccessibleRole (TControl)
 |  | AccessibleValue (TControl)
 |  | Action (TControl)
pt |  | ActionLink (TControl)
 |  | Align (TControl)
 |  | Alignment (TCustomEdit)
 | ro | AnchoredControls (TControl)
 |  | Anchors (TControl)
 | ro | AnchorSide (TControl)
pl |  | AnchorSideBottom (TControl)
pl |  | AnchorSideLeft (TControl)
pl |  | AnchorSideRight (TControl)
pl |  | AnchorSideTop (TControl)
pt |  | AutoSelect (TCustomEdit)
pt |  | AutoSelected (TCustomEdit)
 |  | AutoSize (TControl)
 | ro | AutoSize (TCustomEdit)
pt | ro | AutoSizing (TControl)
pt | ro | AutoSizingAll (TControl)
pt | ro | AutoSizingLockCount (TControl)
 | ro | BaseBounds (TControl)
 | ro | BaseParentClientSize (TControl)
 |  | BiDiMode (TControl)
 |  | BorderSpacing (TControl)
pt |  | BorderStyle (TWinControl)
 | ro | BorderStyle (TCustomEdit)
 |  | BorderWidth (TWinControl)
 | ro | BoundsLockCount (TWinControl)
 |  | BoundsRect (TControl)
 |  | BoundsRectForNewParent (TControl)
 | ro | Brush (TWinControl)
 | ro | CachedClientHeight (TWinControl)
 | ro | CachedClientWidth (TWinControl)
 | ro | CanUndo (TCustomEdit)
 |  | Caption (TControl)
 |  | CaptureMouseButtons (TControl)
 |  | CaretPos (TCustomEdit)
 |  | CharCase (TCustomEdit)
 |  | ChildSizing (TWinControl)
 |  | ClientHeight (TControl)
 | ro | ClientOrigin (TControl)
 | ro | ClientRect (TControl)
 |  | ClientWidth (TControl)
 |  | Color (TControl)
 | ro | ComObject (TComponent)
 | ro | ComponentCount (TComponent)
 |  | ComponentIndex (TComponent)
 | ro | Components (TComponent)
 | ro | ComponentState (TComponent)
 | ro | ComponentStyle (TComponent)
 |  | Constraints (TControl)
 | ro | ControlCount (TWinControl)
 | ro | ControlOrigin (TControl)
 | ro | Controls (TWinControl)
 |  | ControlState (TControl)
 |  | ControlStyle (TControl)
pl |  | Cursor (TControl)
 |  | DecimalPlaces (TCustomFloatSpinEdit)
 |  | DefWndProc (TWinControl)
 |  | DesignerDeleting (TWinControl)
 |  | DesignInfo (TComponent)
pt |  | DesktopFont (TControl)
 | ro | DockClientCount (TWinControl)
 | ro | DockClients (TWinControl)
 |  | DockManager (TWinControl)
 |  | DockOrientation (TControl)
 |  | DockSite (TWinControl)
 |  | DoubleBuffered (TWinControl)
pt |  | DragCursor (TControl)
pt |  | DragKind (TControl)
pt |  | DragMode (TControl)
 |  | EchoMode (TCustomEdit)
 |  | Enabled (TControl)
 | ro | Floating (TControl)
 |  | FloatingDockSiteClass (TControl)
 |  | Font (TControl)
 |  | Handle (TWinControl)
pl |  | Height (TControl)
pl |  | HelpContext (TControl)
pl |  | HelpKeyword (TControl)
pl |  | HelpType (TControl)
 |  | HideSelection (TCustomEdit)
pl |  | Hint (TControl)
 |  | HostDockSite (TControl)
 |  | Increment (TCustomFloatSpinEdit)
 |  | IsControl (TControl)
 | ro | IsFlipped (TWinControl)
 | ro | IsResizing (TWinControl)
 | ro | LCLRefCount (TLCLComponent)
pl |  | Left (TControl)
 |  | LRDockWidth (TControl)
 |  | MaxLength (TCustomEdit)
 |  | MaxValue (TCustomFloatSpinEdit)
 |  | MinValue (TCustomFloatSpinEdit)
 |  | Modified (TCustomEdit)
pt |  | MouseCapture (TControl)
 | ro | MouseEntered (TControl)
 | ro | MouseInClient (TControl)
 |  | Name (TComponent)
 |  | NumbersOnly (TCustomEdit)
 | ro | Owner (TComponent)
 |  | Parent (TControl)
pt |  | ParentBackground (TWinControl)
 |  | ParentBiDiMode (TControl)
pt |  | ParentColor (TControl)
pt | ro | ParentColor (TCustomEdit)
 |  | ParentDoubleBuffered (TWinControl)
pt |  | ParentFont (TControl)
pt |  | ParentShowHint (TControl)
 |  | ParentWindow (TWinControl)
 |  | PasswordChar (TCustomEdit)
 |  | PopupMenu (TControl)
 | ro | PopupMenu (TCustomEdit)
 | ro | ReadBounds (TControl)
 |  | ReadOnly (TCustomEdit)
 |  | SelLength (TCustomEdit)
 |  | SelStart (TCustomEdit)
 |  | SelText (TCustomEdit)
pt |  | SessionProperties (TControl)
 |  | ShowHint (TControl)
 | ro | Showing (TWinControl)
 |  | TabOrder (TWinControl)
 | ro | TabOrder (TCustomEdit)
 |  | TabStop (TWinControl)
 | ro | TabStop (TCustomEdit)
 |  | Tag (TComponent)
 |  | TBDockHeight (TControl)
pt |  | Text (TControl)
 | ro | Text (TCustomEdit)
 |  | TextHint (TCustomEdit)
pl |  | Top (TControl)
 |  | UndockHeight (TControl)
 |  | UndockWidth (TControl)
 |  | UseDockManager (TWinControl)
 |  | Value (TCustomFloatSpinEdit)
 |  | ValueEmpty (TCustomFloatSpinEdit)
 |  | VCLComObject (TComponent)
 |  | Visible (TControl)
 | ro | VisibleDockClientCount (TWinControl)
 | ro | WidgetSetClass (TLCLComponent)
pl |  | Width (TControl)
pt |  | WindowHandle (TWinControl)
 |  | WindowProc (TControl)


TCustomFloatSpinEdit
pt | WSRegisterClass
pt | RealGetText
pt | RealSetText
pt | TextChanged
pt | SetDecimals
pt | SetValue
pt | SetMaxValue
pt | SetMinValue
pt | SetValueEmpty
pt | SetIncrement
pt | InitializeWnd
pt | FinalizeWnd
pt | Loaded
pt | KeyPress
pt | GetControlClassDefaultSize
 | Create
 | GetLimitedValue
 | ValueToStr
 | StrToValue
TCustomEdit
pt | WSRegisterClass
pt | CanShowEmulatedTextHint
pt | CreateEmulatedTextHintFont
pt | CalculatePreferredSize
pt | CreateParams
pt | InitializeWnd
pt | TextChanged
pt | FontChanged
pt | Change
pt | DoEnter
pt | DoExit
pt | EditingDone
pt | GetCaretPos
pt | GetNumbersOnly
pt | GetReadOnly
pt | GetSelLength
pt | GetSelStart
pt | GetSelText
pt | GetTextHint
pt | SetCaretPos
pt | SetEchoMode
pt | SetNumbersOnly
pt | SetReadOnly
pt | SetSelLength
pt | SetSelStart
pt | SetSelText
pt | SetTextHint
pt | ChildClassAllowed
pt | GetControlClassDefaultSize
pt | MouseUp
pt | RealSetText
pt | RealGetText
pt | KeyUpAfterInterface
pt | WMChar
pt | CMWantSpecialKey
pt | WndProc
pt | ShouldAutoAdjust
pt | WMSetFocus
pt | WMKillFocus
 | Create
 | Destroy
 | Clear
 | SelectAll
 | ClearSelection
 | CopyToClipboard
 | CutToClipboard
 | PasteFromClipboard
 | Undo
 | RemoveAllHandlersOfObject
 | AddHandlerOnChange
 | RemoveHandlerOnChange
TWinControl
pt | WSRegisterClass
pt | AdjustClientRect
pt | GetAdjustedLogicalClientRect
pt | AlignControls
pt | CustomAlignInsertBefore
pt | CustomAlignPosition
pt | DoAlignChildControls
pt | DoChildSizingChange
pt | InvalidatePreferredChildSizes
pt | CanTab
pt | IsClientHeightStored
pt | IsClientWidthStored
pt | DoSendShowHideToInterface
pt | ControlsAligned
pt | DoSendBoundsToInterface
pt | RealizeBounds
pt | RealizeBoundsRecursive
pt | InvalidateBoundsRealized
pt | CreateSubClass
pt | DoConstraintsChange
pt | DoSetBounds
pt | DoAutoSize
pt | DoAllAutoSize
pt | AllAutoSized
pt | CalculatePreferredSize
pt | GetPreferredSizeClientFrame
pt | GetChildren
pt | ChildClassAllowed
pt | PaintControls
pt | PaintHandler
pt | PaintWindow
pt | CreateBrush
pt | ScaleControls
pt | ChangeScale
pt | CMBiDiModeChanged
pt | CMBorderChanged
pt | CMDoubleBufferedChanged
pt | CMEnabledChanged
pt | CMParentDoubleBufferedChanged
pt | CMShowingChanged
pt | CMShowHintChanged
pt | CMVisibleChanged
pt | CMEnter
pt | CMExit
pt | WMContextMenu
pt | WMEraseBkgnd
pt | WMNotify
pt | WMSetFocus
pt | WMKillFocus
pt | WMShowWindow
pt | WMEnter
pt | WMExit
pt | WMKeyDown
pt | WMSysKeyDown
pt | WMKeyUp
pt | WMSysKeyUp
pt | WMChar
pt | WMSysChar
pt | WMPaint
pt | WMDestroy
pt | WMMove
pt | WMSize
pt | WMWindowPosChanged
pt | CNKeyDown
pt | CNSysKeyDown
pt | CNKeyUp
pt | CNSysKeyUp
pt | CNChar
pt | DoDragMsg
pt | DoDockClientMsg
pt | DoUndockClientMsg
pt | DoAddDockClient
pt | DockOver
pt | DoDockOver
pt | DoRemoveDockClient
pt | DoUnDock
pt | GetSiteInfo
pt | GetParentHandle
pt | GetTopParentHandle
pt | ReloadDockedControl
pt | CreateDockManager
pt | SetDockManager
pt | DoFloatMsg
pt | DoGetDockCaption
pt | DoEnter
pt | DoExit
pt | DoKeyDownBeforeInterface
pt | DoRemainingKeyDown
pt | DoRemainingKeyUp
pt | DoKeyPress
pt | DoUTF8KeyPress
pt | DoKeyUpBeforeInterface
pt | ChildKey
pt | SendDialogChar
pt | DialogChar
pt | ControlKeyDown
pt | ControlKeyUp
pt | KeyDown
pt | KeyDownBeforeInterface
pt | KeyDownAfterInterface
pt | KeyPress
pt | KeyUp
pt | KeyUpBeforeInterface
pt | KeyUpAfterInterface
pt | UTF8KeyPress
pt | FindNextControl
pt | SelectFirst
pt | RealGetText
pt | GetBorderStyle
pt | GetClientOrigin
pt | GetClientRect
pt | GetControlOrigin
pt | GetDeviceContext
pt | GetParentBackground
pt | IsControlMouseMsg
pt | CreateHandle
pt | CreateParams
pt | CreateWnd
pt | DestroyHandle
pt | DestroyWnd
pt | DoFlipChildren
pt | FinalizeWnd
pt | FixupTabList
pt | FontChanged
pt | InitializeWnd
pt | Loaded
pt | FormEndUpdated
pt | MainWndProc
pt | ParentFormHandleInitialized
pt | ChildHandlesCreated
pt | GetMouseCapture
pt | RealSetText
pt | RemoveFocus
pt | SendMoveSizeMessages
pt | SetBorderStyle
pt | SetColor
pt | SetChildZPosition
pt | SetParentBackground
pt | ShowControl
pt | UpdateControlState
pt | UpdateShowing
pt | WndProc
pt | WSSetText
 | AutoSizePhases
 | AutoSizeDelayed
 | AutoSizeDelayedReport
 | AutoSizeDelayedHandle
 | BeginUpdateBounds
 | EndUpdateBounds
 | LockRealizeBounds
 | UnlockRealizeBounds
 | ControlAtPos
 | ContainsControl
 | DoAdjustClientRectChange
 | InvalidateClientRectCache
 | ClientRectNeedsInterfaceUpdate
 | SetBounds
 | GetChildrenRect
 | DisableAlign
 | EnableAlign
 | ReAlign
 | ScrollBy_WS
 | ScrollBy
 | WriteLayoutDebugReport
 | AutoAdjustLayout
 | Create
 | CreateParented
 | CreateParentedControl
 | Destroy
 | DockDrop
 | CanFocus
 | CanSetFocus
 | GetControlIndex
 | SetControlIndex
 | Focused
 | PerformTab
 | FindChildControl
 | SelectNext
 | SetTempCursor
 | BroadCast
 | NotifyControls
 | DefaultHandler
 | GetTextLen
 | Invalidate
 | AddControl
 | InsertControl
 | RemoveControl
 | GetEnumeratorControls
 | GetEnumeratorControlsReverse
 | Repaint
 | Update
 | SetFocus
 | FlipChildren
 | ScaleBy
 | GetDockCaption
 | UpdateDockCaption
 | GetTabOrderList
 | HandleAllocated
 | ParentHandlesAllocated
 | HandleNeeded
 | BrushCreated
 | EraseBackground
 | IntfUTF8KeyPress
 | IntfGetDropFilesTarget
 | PaintTo
 | SetShape
TControl
pt | WSRegisterClass
pt | GetCursor
pt | SetCursor
pt | SetVisible
pt | DoOnParentHandleDestruction
pt | DoAutoSize
pt | DoAllAutoSize
pt | BeginAutoSizing
pt | EndAutoSizing
pt | AnchorSideChanged
pt | ForeignAnchorSideChanged
pt | SetAlign
pt | SetAnchors
pt | SetAutoSize
pt | BoundsChanged
pt | CreateControlBorderSpacing
pt | DoConstraintsChange
pt | DoBorderSpacingChange
pt | IsBorderSpacingInnerBorderStored
pt | IsCaptionStored
pt | SendMoveSizeMessages
pt | ConstrainedResize
pt | CalculatePreferredSize
pt | DoOnResize
pt | DoOnChangeBounds
pt | CheckOnChangeBounds
pt | Resize
pt | RequestAlign
pt | UpdateAnchorRules
pt | ChangeBounds
pt | DoSetBounds
pt | ScaleConstraints
pt | ChangeScale
pt | CanAutoSize
pt | SetBiDiMode
pt | SetParentBiDiMode
pt | IsAParentAligning
pt | GetClientOrigin
pt | GetClientRect
pt | GetLogicalClientRect
pt | GetScrolledClientRect
pt | GetClientScrollOffset
pt | GetControlOrigin
pt | IsClientHeightStored
pt | IsClientWidthStored
pt | WidthIsAnchored
pt | HeightIsAnchored
pt | WMCancelMode
pt | WMContextMenu
pt | WMLButtonDown
pt | WMRButtonDown
pt | WMMButtonDown
pt | WMXButtonDown
pt | WMLButtonDBLCLK
pt | WMRButtonDBLCLK
pt | WMMButtonDBLCLK
pt | WMXButtonDBLCLK
pt | WMLButtonTripleCLK
pt | WMRButtonTripleCLK
pt | WMMButtonTripleCLK
pt | WMXButtonTripleCLK
pt | WMLButtonQuadCLK
pt | WMRButtonQuadCLK
pt | WMMButtonQuadCLK
pt | WMXButtonQuadCLK
pt | WMMouseMove
pt | WMLButtonUp
pt | WMRButtonUp
pt | WMMButtonUp
pt | WMXButtonUp
pt | WMMouseWheel
pt | WMMouseHWheel
pt | WMMove
pt | WMSize
pt | WMWindowPosChanged
pt | CMChanged
pt | LMCaptureChanged
pt | CMBiDiModeChanged
pt | CMSysFontChanged
pt | CMEnabledChanged
pt | CMHitTest
pt | CMMouseEnter
pt | CMMouseLeave
pt | CMHintShow
pt | CMParentBiDiModeChanged
pt | CMParentColorChanged
pt | CMParentFontChanged
pt | CMParentShowHintChanged
pt | CMVisibleChanged
pt | CMTextChanged
pt | CMCursorChanged
pt | CalculateDockSizes
pt | CreateFloatingDockSite
pt | GetDockEdge
pt | GetDragImages
pt | GetFloating
pt | GetFloatingDockSiteClass
pt | BeforeDragStart
pt | BeginAutoDrag
pt | DoFloatMsg
pt | DockTrackNoTarget
pt | DoDock
pt | DoDragMsg
pt | DoEndDock
pt | DoEndDrag
pt | DoStartDock
pt | DoStartDrag
pt | DragCanceled
pt | DragOver
pt | PositionDockRect
pt | SetDragMode
pt | GetDefaultDockCaption
pt | Click
pt | DblClick
pt | TripleClick
pt | QuadClick
pt | GetMousePosFromMessage
pt | MouseDown
pt | MouseMove
pt | MouseUp
pt | MouseEnter
pt | MouseLeave
pt | DialogChar
pt | UpdateMouseCursor
pt | Changed
pt | GetPalette
pt | ChildClassAllowed
pt | ReadState
pt | Loaded
pt | LoadedAll
pt | DefineProperties
pt | AssignTo
pt | FormEndUpdated
pt | InvalidateControl
pt | FontChanged
pt | ParentFontChanged
pt | GetAction
pt | RealGetText
pt | RealSetText
pt | TextChanged
pt | GetCachedText
pt | SetAction
pt | SetColor
pt | SetEnabled
pt | SetHint
pt | SetName
pt | SetParent
pt | SetParentComponent
pt | WndProc
pt | ParentFormHandleInitialized
pt | GetMouseCapture
pt | CaptureChanged
pt | Notification
pt | CanTab
pt | GetDeviceContext
pt | GetEnabled
pt | GetPopupMenu
pt | DoOnShowHint
pt | DoMouseWheel
pt | DoMouseWheelDown
pt | DoMouseWheelUp
pt | DoMouseWheelHorz
pt | DoMouseWheelLeft
pt | DoMouseWheelRight
pt | VisibleChanging
pt | VisibleChanged
pt | EnabledChanging
pt | EnabledChanged
pt | AddHandler
pt | RemoveHandler
pt | DoCallNotifyHandler
pt | DoCallKeyEventHandler
pt | DoCallMouseWheelEventHandler
pt | DoContextPopup
pt | SetZOrder
pt | GetControlClassDefaultSize
pt | ColorIsStored
pt | DoAutoAdjustLayout
pt | DoFixDesignFontPPI
pt | DoScaleFontPPI
pt | GetActionLinkClass
pt | ActionChange
 | DragDrop
 | Dock
 | ManualDock
 | ManualFloat
 | ReplaceDockedControl
 | Docked
 | Dragging
 | GetAccessibleObject
 | CreateAccessibleObject
 | GetSelectedChildAccessibleObject
 | GetChildAccessibleObjectAtPos
 | ScaleDesignToForm
 | ScaleFormToDesign
 | Scale96ToForm
 | ScaleFormTo96
 | Scale96ToFont
 | ScaleFontTo96
 | ScaleScreenToFont
 | ScaleFontToScreen
 | Scale96ToScreen
 | ScaleScreenTo96
 | AdjustSize
 | AutoSizePhases
 | AutoSizeDelayed
 | AutoSizeDelayedReport
 | AutoSizeDelayedHandle
 | AnchorToNeighbour
 | AnchorParallel
 | AnchorHorizontalCenterTo
 | AnchorVerticalCenterTo
 | AnchorToCompanion
 | AnchorSame
 | AnchorAsAlign
 | AnchorClient
 | AnchoredControlCount
 | SetBounds
 | SetInitialBounds
 | SetBoundsKeepBase
 | GetPreferredSize
 | GetCanvasScaleFactor
 | GetDefaultWidth
 | GetDefaultHeight
 | GetDefaultColor
 | GetColorResolvingParent
 | GetRGBColorResolvingParent
 | GetSidePosition
 | CNPreferredSizeChanged
 | InvalidatePreferredSize
 | GetAnchorsDependingOnParent
 | DisableAutoSizing
 | EnableAutoSizing
 | UpdateBaseBounds
 | WriteLayoutDebugReport
 | AutoAdjustLayout
 | ShouldAutoAdjust
 | FixDesignFontsPPI
 | ScaleFontsPPI
 | Create
 | Destroy
 | BeforeDestruction
 | EditingDone
 | ExecuteDefaultAction
 | ExecuteCancelAction
 | BeginDrag
 | EndDrag
 | BringToFront
 | HasParent
 | GetParentComponent
 | IsParentOf
 | GetTopParent
 | IsVisible
 | IsControlVisible
 | IsEnabled
 | IsParentColor
 | IsParentFont
 | FormIsUpdating
 | IsProcessingPaintMsg
 | Hide
 | Refresh
 | Repaint
 | Invalidate
 | CheckChildClassAllowed
 | CheckNewParent
 | SendToBack
 | SetTempCursor
 | UpdateRolesForForm
 | ActiveDefaultControlChanged
 | GetTextBuf
 | GetTextLen
 | SetTextBuf
 | Perform
 | ScreenToClient
 | ClientToScreen
 | ScreenToControl
 | ControlToScreen
 | ClientToParent
 | ParentToClient
 | GetChildrenRect
 | Show
 | Update
 | HandleObjectShouldBeVisible
 | ParentDestroyingHandle
 | ParentHandlesAllocated
 | InitiateAction
 | ShowHelp
 | HasHelp
 | RemoveAllHandlersOfObject
 | AddHandlerOnResize
 | RemoveHandlerOnResize
 | AddHandlerOnChangeBounds
 | RemoveHandlerOnChangeBounds
 | AddHandlerOnVisibleChanging
 | RemoveHandlerOnVisibleChanging
 | AddHandlerOnVisibleChanged
 | RemoveHandlerOnVisibleChanged
 | AddHandlerOnEnabledChanged
 | RemoveHandlerOnEnableChanging
 | AddHandlerOnKeyDown
 | RemoveHandlerOnKeyDown
 | AddHandlerOnBeforeDestruction
 | RemoveHandlerOnBeforeDestruction
 | AddHandlerOnMouseWheel
 | RemoveHandlerOnMouseWheel
 | UseRightToLeftAlignment
 | UseRightToLeftReading
 | UseRightToLeftScrollBar
 | IsRightToLeft
TLCLComponent
pt | WSRegisterClass
pt | GetWSComponentClass
 | Create
 | Destroy
 | NewInstance
 | RemoveAllHandlersOfObject
 | IncLCLRefCount
 | DecLCLRefCount
TComponent
 | GetComObject
 | GetComponent
 | GetComponentCount
 | GetComponentIndex
 | Insert
 | ReadLeft
 | ReadTop
 | Remove
 | RemoveNotification
 | SetComponentIndex
 | SetReference
 | WriteLeft
 | WriteTop
 | ChangeName
 | DefineProperties
 | GetChildren
 | GetChildOwner
 | GetChildParent
 | GetOwner
 | Loaded
 | Loading
 | Notification
 | PaletteCreated
 | ReadState
 | SetAncestor
 | SetDesigning
 | SetDesignInstance
 | SetInline
 | SetName
 | SetChildOrder
 | SetParentComponent
 | Updating
 | Updated
 | UpdateRegistry
 | ValidateRename
 | ValidateContainer
 | ValidateInsert
 | QueryInterface
 | _AddRef
 | _Release
 | iicrGetComponent
 | GetTypeInfoCount
 | GetTypeInfo
 | GetIDsOfNames
 | Invoke
 | WriteState
 | Create
 | Destroy
 | BeforeDestruction
 | DestroyComponents
 | Destroying
 | ExecuteAction
 | FindComponent
 | FreeNotification
 | RemoveFreeNotification
 | FreeOnRelease
 | GetEnumerator
 | GetNamePath
 | GetParentComponent
 | HasParent
 | InsertComponent
 | RemoveComponent
 | SafeCallException
 | SetSubComponent
 | UpdateAction
 | IsImplementorOf
 | ReferenceInterface
TPersistent
 | AssignError
 | AssignTo
 | DefineProperties
 | GetOwner
 | Destroy
 | Assign
 | FPOAttachObserver
 | FPODetachObserver
 | FPONotifyObservers
 | GetNamePath
TObject
 | Create
 | Destroy
 | newinstance
 | FreeInstance
 | SafeCallException
 | DefaultHandler
 | Free
 | InitInstance
 | CleanupInstance
 | ClassType
 | ClassInfo
 | ClassName
 | ClassNameIs
 | ClassParent
 | InstanceSize
 | InheritsFrom
 | StringMessageTable
 | MethodAddress
 | MethodName
 | FieldAddress
 | AfterConstruction
 | BeforeDestruction
 | DefaultHandlerStr
 | Dispatch
 | DispatchStr
 | GetInterface
 | GetInterfaceByStr
 | GetInterfaceWeak
 | GetInterfaceEntry
 | GetInterfaceEntryByStr
 | GetInterfaceTable
 | UnitName
 | Equals
 | GetHashCode
 | ToString


pt | ActionChange (TControl)
 | ActiveDefaultControlChanged (TControl)
 | AddControl (TWinControl)
pt | AddHandler (TControl)
 | AddHandlerOnBeforeDestruction (TControl)
 | AddHandlerOnChange (TCustomEdit)
 | AddHandlerOnChangeBounds (TControl)
 | AddHandlerOnEnabledChanged (TControl)
 | AddHandlerOnKeyDown (TControl)
 | AddHandlerOnMouseWheel (TControl)
 | AddHandlerOnResize (TControl)
 | AddHandlerOnVisibleChanged (TControl)
 | AddHandlerOnVisibleChanging (TControl)
pt | AdjustClientRect (TWinControl)
 | AdjustSize (TControl)
 | AfterConstruction (TObject)
pt | AlignControls (TWinControl)
pt | AllAutoSized (TWinControl)
 | AnchorAsAlign (TControl)
 | AnchorClient (TControl)
 | AnchoredControlCount (TControl)
 | AnchorHorizontalCenterTo (TControl)
 | AnchorParallel (TControl)
 | AnchorSame (TControl)
pt | AnchorSideChanged (TControl)
 | AnchorToCompanion (TControl)
 | AnchorToNeighbour (TControl)
 | AnchorVerticalCenterTo (TControl)
 | Assign (TPersistent)
 | AssignError (TPersistent)
 | AssignTo (TPersistent)
pt | AssignTo (TControl)
 | AutoAdjustLayout (TControl)
 | AutoAdjustLayout (TWinControl)
 | AutoSizeDelayed (TControl)
 | AutoSizeDelayed (TWinControl)
 | AutoSizeDelayedHandle (TControl)
 | AutoSizeDelayedHandle (TWinControl)
 | AutoSizeDelayedReport (TControl)
 | AutoSizeDelayedReport (TWinControl)
 | AutoSizePhases (TControl)
 | AutoSizePhases (TWinControl)
 | BeforeDestruction (TObject)
 | BeforeDestruction (TComponent)
 | BeforeDestruction (TControl)
pt | BeforeDragStart (TControl)
pt | BeginAutoDrag (TControl)
pt | BeginAutoSizing (TControl)
 | BeginDrag (TControl)
 | BeginUpdateBounds (TWinControl)
pt | BoundsChanged (TControl)
 | BringToFront (TControl)
 | BroadCast (TWinControl)
 | BrushCreated (TWinControl)
pt | CalculateDockSizes (TControl)
pt | CalculatePreferredSize (TControl)
pt | CalculatePreferredSize (TWinControl)
pt | CalculatePreferredSize (TCustomEdit)
pt | CanAutoSize (TControl)
 | CanFocus (TWinControl)
 | CanSetFocus (TWinControl)
pt | CanShowEmulatedTextHint (TCustomEdit)
pt | CanTab (TControl)
pt | CanTab (TWinControl)
pt | CaptureChanged (TControl)
pt | Change (TCustomEdit)
pt | ChangeBounds (TControl)
pt | Changed (TControl)
 | ChangeName (TComponent)
pt | ChangeScale (TControl)
pt | ChangeScale (TWinControl)
 | CheckChildClassAllowed (TControl)
 | CheckNewParent (TControl)
pt | CheckOnChangeBounds (TControl)
pt | ChildClassAllowed (TControl)
pt | ChildClassAllowed (TWinControl)
pt | ChildClassAllowed (TCustomEdit)
pt | ChildHandlesCreated (TWinControl)
pt | ChildKey (TWinControl)
 | ClassInfo (TObject)
 | ClassName (TObject)
 | ClassNameIs (TObject)
 | ClassParent (TObject)
 | ClassType (TObject)
 | CleanupInstance (TObject)
 | Clear (TCustomEdit)
 | ClearSelection (TCustomEdit)
pt | Click (TControl)
 | ClientRectNeedsInterfaceUpdate (TWinControl)
 | ClientToParent (TControl)
 | ClientToScreen (TControl)
pt | CMBiDiModeChanged (TControl)
pt | CMBiDiModeChanged (TWinControl)
pt | CMBorderChanged (TWinControl)
pt | CMChanged (TControl)
pt | CMCursorChanged (TControl)
pt | CMDoubleBufferedChanged (TWinControl)
pt | CMEnabledChanged (TControl)
pt | CMEnabledChanged (TWinControl)
pt | CMEnter (TWinControl)
pt | CMExit (TWinControl)
pt | CMHintShow (TControl)
pt | CMHitTest (TControl)
pt | CMMouseEnter (TControl)
pt | CMMouseLeave (TControl)
pt | CMParentBiDiModeChanged (TControl)
pt | CMParentColorChanged (TControl)
pt | CMParentDoubleBufferedChanged (TWinControl)
pt | CMParentFontChanged (TControl)
pt | CMParentShowHintChanged (TControl)
pt | CMShowHintChanged (TWinControl)
pt | CMShowingChanged (TWinControl)
pt | CMSysFontChanged (TControl)
pt | CMTextChanged (TControl)
pt | CMVisibleChanged (TControl)
pt | CMVisibleChanged (TWinControl)
pt | CMWantSpecialKey (TCustomEdit)
pt | CNChar (TWinControl)
pt | CNKeyDown (TWinControl)
pt | CNKeyUp (TWinControl)
 | CNPreferredSizeChanged (TControl)
pt | CNSysKeyDown (TWinControl)
pt | CNSysKeyUp (TWinControl)
pt | ColorIsStored (TControl)
pt | ConstrainedResize (TControl)
 | ContainsControl (TWinControl)
 | ControlAtPos (TWinControl)
pt | ControlKeyDown (TWinControl)
pt | ControlKeyUp (TWinControl)
pt | ControlsAligned (TWinControl)
 | ControlToScreen (TControl)
 | CopyToClipboard (TCustomEdit)
 | Create (TObject)
 | Create (TComponent)
 | Create (TLCLComponent)
 | Create (TControl)
 | Create (TWinControl)
 | Create (TCustomEdit)
 | Create (TCustomFloatSpinEdit)
 | CreateAccessibleObject (TControl)
pt | CreateBrush (TWinControl)
pt | CreateControlBorderSpacing (TControl)
pt | CreateDockManager (TWinControl)
pt | CreateEmulatedTextHintFont (TCustomEdit)
pt | CreateFloatingDockSite (TControl)
pt | CreateHandle (TWinControl)
pt | CreateParams (TWinControl)
pt | CreateParams (TCustomEdit)
 | CreateParented (TWinControl)
 | CreateParentedControl (TWinControl)
pt | CreateSubClass (TWinControl)
pt | CreateWnd (TWinControl)
pt | CustomAlignInsertBefore (TWinControl)
pt | CustomAlignPosition (TWinControl)
 | CutToClipboard (TCustomEdit)
pt | DblClick (TControl)
 | DecLCLRefCount (TLCLComponent)
 | DefaultHandler (TObject)
 | DefaultHandler (TWinControl)
 | DefaultHandlerStr (TObject)
 | DefineProperties (TPersistent)
 | DefineProperties (TComponent)
pt | DefineProperties (TControl)
 | Destroy (TObject)
 | Destroy (TPersistent)
 | Destroy (TComponent)
 | Destroy (TLCLComponent)
 | Destroy (TControl)
 | Destroy (TWinControl)
 | Destroy (TCustomEdit)
 | DestroyComponents (TComponent)
pt | DestroyHandle (TWinControl)
 | Destroying (TComponent)
pt | DestroyWnd (TWinControl)
pt | DialogChar (TControl)
pt | DialogChar (TWinControl)
 | DisableAlign (TWinControl)
 | DisableAutoSizing (TControl)
 | Dispatch (TObject)
 | DispatchStr (TObject)
pt | DoAddDockClient (TWinControl)
 | DoAdjustClientRectChange (TWinControl)
pt | DoAlignChildControls (TWinControl)
pt | DoAllAutoSize (TControl)
pt | DoAllAutoSize (TWinControl)
pt | DoAutoAdjustLayout (TControl)
pt | DoAutoSize (TControl)
pt | DoAutoSize (TWinControl)
pt | DoBorderSpacingChange (TControl)
pt | DoCallKeyEventHandler (TControl)
pt | DoCallMouseWheelEventHandler (TControl)
pt | DoCallNotifyHandler (TControl)
pt | DoChildSizingChange (TWinControl)
 | Dock (TControl)
 | DockDrop (TWinControl)
 | Docked (TControl)
pt | DockOver (TWinControl)
pt | DockTrackNoTarget (TControl)
pt | DoConstraintsChange (TControl)
pt | DoConstraintsChange (TWinControl)
pt | DoContextPopup (TControl)
pt | DoDock (TControl)
pt | DoDockClientMsg (TWinControl)
pt | DoDockOver (TWinControl)
pt | DoDragMsg (TControl)
pt | DoDragMsg (TWinControl)
pt | DoEndDock (TControl)
pt | DoEndDrag (TControl)
pt | DoEnter (TWinControl)
pt | DoEnter (TCustomEdit)
pt | DoExit (TWinControl)
pt | DoExit (TCustomEdit)
pt | DoFixDesignFontPPI (TControl)
pt | DoFlipChildren (TWinControl)
pt | DoFloatMsg (TControl)
pt | DoFloatMsg (TWinControl)
pt | DoGetDockCaption (TWinControl)
pt | DoKeyDownBeforeInterface (TWinControl)
pt | DoKeyPress (TWinControl)
pt | DoKeyUpBeforeInterface (TWinControl)
pt | DoMouseWheel (TControl)
pt | DoMouseWheelDown (TControl)
pt | DoMouseWheelHorz (TControl)
pt | DoMouseWheelLeft (TControl)
pt | DoMouseWheelRight (TControl)
pt | DoMouseWheelUp (TControl)
pt | DoOnChangeBounds (TControl)
pt | DoOnParentHandleDestruction (TControl)
pt | DoOnResize (TControl)
pt | DoOnShowHint (TControl)
pt | DoRemainingKeyDown (TWinControl)
pt | DoRemainingKeyUp (TWinControl)
pt | DoRemoveDockClient (TWinControl)
pt | DoScaleFontPPI (TControl)
pt | DoSendBoundsToInterface (TWinControl)
pt | DoSendShowHideToInterface (TWinControl)
pt | DoSetBounds (TControl)
pt | DoSetBounds (TWinControl)
pt | DoStartDock (TControl)
pt | DoStartDrag (TControl)
pt | DoUnDock (TWinControl)
pt | DoUndockClientMsg (TWinControl)
pt | DoUTF8KeyPress (TWinControl)
pt | DragCanceled (TControl)
 | DragDrop (TControl)
 | Dragging (TControl)
pt | DragOver (TControl)
 | EditingDone (TControl)
pt | EditingDone (TCustomEdit)
 | EnableAlign (TWinControl)
 | EnableAutoSizing (TControl)
pt | EnabledChanged (TControl)
pt | EnabledChanging (TControl)
pt | EndAutoSizing (TControl)
 | EndDrag (TControl)
 | EndUpdateBounds (TWinControl)
 | Equals (TObject)
 | EraseBackground (TWinControl)
 | ExecuteAction (TComponent)
 | ExecuteCancelAction (TControl)
 | ExecuteDefaultAction (TControl)
 | FieldAddress (TObject)
pt | FinalizeWnd (TWinControl)
pt | FinalizeWnd (TCustomFloatSpinEdit)
 | FindChildControl (TWinControl)
 | FindComponent (TComponent)
pt | FindNextControl (TWinControl)
 | FixDesignFontsPPI (TControl)
pt | FixupTabList (TWinControl)
 | FlipChildren (TWinControl)
 | Focused (TWinControl)
pt | FontChanged (TControl)
pt | FontChanged (TWinControl)
pt | FontChanged (TCustomEdit)
pt | ForeignAnchorSideChanged (TControl)
pt | FormEndUpdated (TControl)
pt | FormEndUpdated (TWinControl)
 | FormIsUpdating (TControl)
 | FPOAttachObserver (TPersistent)
 | FPODetachObserver (TPersistent)
 | FPONotifyObservers (TPersistent)
 | Free (TObject)
 | FreeInstance (TObject)
 | FreeNotification (TComponent)
 | FreeOnRelease (TComponent)
 | GetAccessibleObject (TControl)
pt | GetAction (TControl)
pt | GetActionLinkClass (TControl)
pt | GetAdjustedLogicalClientRect (TWinControl)
 | GetAnchorsDependingOnParent (TControl)
pt | GetBorderStyle (TWinControl)
pt | GetCachedText (TControl)
 | GetCanvasScaleFactor (TControl)
pt | GetCaretPos (TCustomEdit)
 | GetChildAccessibleObjectAtPos (TControl)
 | GetChildOwner (TComponent)
 | GetChildParent (TComponent)
 | GetChildren (TComponent)
pt | GetChildren (TWinControl)
 | GetChildrenRect (TControl)
 | GetChildrenRect (TWinControl)
pt | GetClientOrigin (TControl)
pt | GetClientOrigin (TWinControl)
pt | GetClientRect (TControl)
pt | GetClientRect (TWinControl)
pt | GetClientScrollOffset (TControl)
 | GetColorResolvingParent (TControl)
 | GetComObject (TComponent)
 | GetComponent (TComponent)
 | GetComponentCount (TComponent)
 | GetComponentIndex (TComponent)
pt | GetControlClassDefaultSize (TControl)
pt | GetControlClassDefaultSize (TCustomEdit)
pt | GetControlClassDefaultSize (TCustomFloatSpinEdit)
 | GetControlIndex (TWinControl)
pt | GetControlOrigin (TControl)
pt | GetControlOrigin (TWinControl)
pt | GetCursor (TControl)
 | GetDefaultColor (TControl)
pt | GetDefaultDockCaption (TControl)
 | GetDefaultHeight (TControl)
 | GetDefaultWidth (TControl)
pt | GetDeviceContext (TControl)
pt | GetDeviceContext (TWinControl)
 | GetDockCaption (TWinControl)
pt | GetDockEdge (TControl)
pt | GetDragImages (TControl)
pt | GetEnabled (TControl)
 | GetEnumerator (TComponent)
 | GetEnumeratorControls (TWinControl)
 | GetEnumeratorControlsReverse (TWinControl)
pt | GetFloating (TControl)
pt | GetFloatingDockSiteClass (TControl)
 | GetHashCode (TObject)
 | GetIDsOfNames (TComponent)
 | GetInterface (TObject)
 | GetInterfaceByStr (TObject)
 | GetInterfaceEntry (TObject)
 | GetInterfaceEntryByStr (TObject)
 | GetInterfaceTable (TObject)
 | GetInterfaceWeak (TObject)
 | GetLimitedValue (TCustomFloatSpinEdit)
pt | GetLogicalClientRect (TControl)
pt | GetMouseCapture (TControl)
pt | GetMouseCapture (TWinControl)
pt | GetMousePosFromMessage (TControl)
 | GetNamePath (TPersistent)
 | GetNamePath (TComponent)
pt | GetNumbersOnly (TCustomEdit)
 | GetOwner (TPersistent)
 | GetOwner (TComponent)
pt | GetPalette (TControl)
pt | GetParentBackground (TWinControl)
 | GetParentComponent (TComponent)
 | GetParentComponent (TControl)
pt | GetParentHandle (TWinControl)
pt | GetPopupMenu (TControl)
 | GetPreferredSize (TControl)
pt | GetPreferredSizeClientFrame (TWinControl)
pt | GetReadOnly (TCustomEdit)
 | GetRGBColorResolvingParent (TControl)
pt | GetScrolledClientRect (TControl)
 | GetSelectedChildAccessibleObject (TControl)
pt | GetSelLength (TCustomEdit)
pt | GetSelStart (TCustomEdit)
pt | GetSelText (TCustomEdit)
 | GetSidePosition (TControl)
pt | GetSiteInfo (TWinControl)
 | GetTabOrderList (TWinControl)
 | GetTextBuf (TControl)
pt | GetTextHint (TCustomEdit)
 | GetTextLen (TControl)
 | GetTextLen (TWinControl)
 | GetTopParent (TControl)
pt | GetTopParentHandle (TWinControl)
 | GetTypeInfo (TComponent)
 | GetTypeInfoCount (TComponent)
pt | GetWSComponentClass (TLCLComponent)
 | HandleAllocated (TWinControl)
 | HandleNeeded (TWinControl)
 | HandleObjectShouldBeVisible (TControl)
 | HasHelp (TControl)
 | HasParent (TComponent)
 | HasParent (TControl)
pt | HeightIsAnchored (TControl)
 | Hide (TControl)
 | iicrGetComponent (TComponent)
 | IncLCLRefCount (TLCLComponent)
 | InheritsFrom (TObject)
pt | InitializeWnd (TWinControl)
pt | InitializeWnd (TCustomEdit)
pt | InitializeWnd (TCustomFloatSpinEdit)
 | InitiateAction (TControl)
 | InitInstance (TObject)
 | Insert (TComponent)
 | InsertComponent (TComponent)
 | InsertControl (TWinControl)
 | InstanceSize (TObject)
 | IntfGetDropFilesTarget (TWinControl)
 | IntfUTF8KeyPress (TWinControl)
 | Invalidate (TControl)
 | Invalidate (TWinControl)
pt | InvalidateBoundsRealized (TWinControl)
 | InvalidateClientRectCache (TWinControl)
pt | InvalidateControl (TControl)
pt | InvalidatePreferredChildSizes (TWinControl)
 | InvalidatePreferredSize (TControl)
 | Invoke (TComponent)
pt | IsAParentAligning (TControl)
pt | IsBorderSpacingInnerBorderStored (TControl)
pt | IsCaptionStored (TControl)
pt | IsClientHeightStored (TControl)
pt | IsClientHeightStored (TWinControl)
pt | IsClientWidthStored (TControl)
pt | IsClientWidthStored (TWinControl)
pt | IsControlMouseMsg (TWinControl)
 | IsControlVisible (TControl)
 | IsEnabled (TControl)
 | IsImplementorOf (TComponent)
 | IsParentColor (TControl)
 | IsParentFont (TControl)
 | IsParentOf (TControl)
 | IsProcessingPaintMsg (TControl)
 | IsRightToLeft (TControl)
 | IsVisible (TControl)
pt | KeyDown (TWinControl)
pt | KeyDownAfterInterface (TWinControl)
pt | KeyDownBeforeInterface (TWinControl)
pt | KeyPress (TWinControl)
pt | KeyPress (TCustomFloatSpinEdit)
pt | KeyUp (TWinControl)
pt | KeyUpAfterInterface (TWinControl)
pt | KeyUpAfterInterface (TCustomEdit)
pt | KeyUpBeforeInterface (TWinControl)
pt | LMCaptureChanged (TControl)
 | Loaded (TComponent)
pt | Loaded (TControl)
pt | Loaded (TWinControl)
pt | Loaded (TCustomFloatSpinEdit)
pt | LoadedAll (TControl)
 | Loading (TComponent)
 | LockRealizeBounds (TWinControl)
pt | MainWndProc (TWinControl)
 | ManualDock (TControl)
 | ManualFloat (TControl)
 | MethodAddress (TObject)
 | MethodName (TObject)
pt | MouseDown (TControl)
pt | MouseEnter (TControl)
pt | MouseLeave (TControl)
pt | MouseMove (TControl)
pt | MouseUp (TControl)
pt | MouseUp (TCustomEdit)
 | newinstance (TObject)
 | NewInstance (TLCLComponent)
 | Notification (TComponent)
pt | Notification (TControl)
 | NotifyControls (TWinControl)
pt | PaintControls (TWinControl)
pt | PaintHandler (TWinControl)
 | PaintTo (TWinControl)
pt | PaintWindow (TWinControl)
 | PaletteCreated (TComponent)
 | ParentDestroyingHandle (TControl)
pt | ParentFontChanged (TControl)
pt | ParentFormHandleInitialized (TControl)
pt | ParentFormHandleInitialized (TWinControl)
 | ParentHandlesAllocated (TControl)
 | ParentHandlesAllocated (TWinControl)
 | ParentToClient (TControl)
 | PasteFromClipboard (TCustomEdit)
 | Perform (TControl)
 | PerformTab (TWinControl)
pt | PositionDockRect (TControl)
pt | QuadClick (TControl)
 | QueryInterface (TComponent)
 | ReadLeft (TComponent)
 | ReadState (TComponent)
pt | ReadState (TControl)
 | ReadTop (TComponent)
pt | RealGetText (TControl)
pt | RealGetText (TWinControl)
pt | RealGetText (TCustomEdit)
pt | RealGetText (TCustomFloatSpinEdit)
 | ReAlign (TWinControl)
pt | RealizeBounds (TWinControl)
pt | RealizeBoundsRecursive (TWinControl)
pt | RealSetText (TControl)
pt | RealSetText (TWinControl)
pt | RealSetText (TCustomEdit)
pt | RealSetText (TCustomFloatSpinEdit)
 | ReferenceInterface (TComponent)
 | Refresh (TControl)
pt | ReloadDockedControl (TWinControl)
 | Remove (TComponent)
 | RemoveAllHandlersOfObject (TLCLComponent)
 | RemoveAllHandlersOfObject (TControl)
 | RemoveAllHandlersOfObject (TCustomEdit)
 | RemoveComponent (TComponent)
 | RemoveControl (TWinControl)
pt | RemoveFocus (TWinControl)
 | RemoveFreeNotification (TComponent)
pt | RemoveHandler (TControl)
 | RemoveHandlerOnBeforeDestruction (TControl)
 | RemoveHandlerOnChange (TCustomEdit)
 | RemoveHandlerOnChangeBounds (TControl)
 | RemoveHandlerOnEnableChanging (TControl)
 | RemoveHandlerOnKeyDown (TControl)
 | RemoveHandlerOnMouseWheel (TControl)
 | RemoveHandlerOnResize (TControl)
 | RemoveHandlerOnVisibleChanged (TControl)
 | RemoveHandlerOnVisibleChanging (TControl)
 | RemoveNotification (TComponent)
 | Repaint (TControl)
 | Repaint (TWinControl)
 | ReplaceDockedControl (TControl)
pt | RequestAlign (TControl)
pt | Resize (TControl)
 | SafeCallException (TObject)
 | SafeCallException (TComponent)
 | Scale96ToFont (TControl)
 | Scale96ToForm (TControl)
 | Scale96ToScreen (TControl)
 | ScaleBy (TWinControl)
pt | ScaleConstraints (TControl)
pt | ScaleControls (TWinControl)
 | ScaleDesignToForm (TControl)
 | ScaleFontsPPI (TControl)
 | ScaleFontTo96 (TControl)
 | ScaleFontToScreen (TControl)
 | ScaleFormTo96 (TControl)
 | ScaleFormToDesign (TControl)
 | ScaleScreenTo96 (TControl)
 | ScaleScreenToFont (TControl)
 | ScreenToClient (TControl)
 | ScreenToControl (TControl)
 | ScrollBy (TWinControl)
 | ScrollBy_WS (TWinControl)
 | SelectAll (TCustomEdit)
pt | SelectFirst (TWinControl)
 | SelectNext (TWinControl)
pt | SendDialogChar (TWinControl)
pt | SendMoveSizeMessages (TControl)
pt | SendMoveSizeMessages (TWinControl)
 | SendToBack (TControl)
pt | SetAction (TControl)
pt | SetAlign (TControl)
 | SetAncestor (TComponent)
pt | SetAnchors (TControl)
pt | SetAutoSize (TControl)
pt | SetBiDiMode (TControl)
pt | SetBorderStyle (TWinControl)
 | SetBounds (TControl)
 | SetBounds (TWinControl)
 | SetBoundsKeepBase (TControl)
pt | SetCaretPos (TCustomEdit)
 | SetChildOrder (TComponent)
pt | SetChildZPosition (TWinControl)
pt | SetColor (TControl)
pt | SetColor (TWinControl)
 | SetComponentIndex (TComponent)
 | SetControlIndex (TWinControl)
pt | SetCursor (TControl)
pt | SetDecimals (TCustomFloatSpinEdit)
 | SetDesigning (TComponent)
 | SetDesignInstance (TComponent)
pt | SetDockManager (TWinControl)
pt | SetDragMode (TControl)
pt | SetEchoMode (TCustomEdit)
pt | SetEnabled (TControl)
 | SetFocus (TWinControl)
pt | SetHint (TControl)
pt | SetIncrement (TCustomFloatSpinEdit)
 | SetInitialBounds (TControl)
 | SetInline (TComponent)
pt | SetMaxValue (TCustomFloatSpinEdit)
pt | SetMinValue (TCustomFloatSpinEdit)
 | SetName (TComponent)
pt | SetName (TControl)
pt | SetNumbersOnly (TCustomEdit)
pt | SetParent (TControl)
pt | SetParentBackground (TWinControl)
pt | SetParentBiDiMode (TControl)
 | SetParentComponent (TComponent)
pt | SetParentComponent (TControl)
pt | SetReadOnly (TCustomEdit)
 | SetReference (TComponent)
pt | SetSelLength (TCustomEdit)
pt | SetSelStart (TCustomEdit)
pt | SetSelText (TCustomEdit)
 | SetShape (TWinControl)
 | SetSubComponent (TComponent)
 | SetTempCursor (TControl)
 | SetTempCursor (TWinControl)
 | SetTextBuf (TControl)
pt | SetTextHint (TCustomEdit)
pt | SetValue (TCustomFloatSpinEdit)
pt | SetValueEmpty (TCustomFloatSpinEdit)
pt | SetVisible (TControl)
pt | SetZOrder (TControl)
 | ShouldAutoAdjust (TControl)
pt | ShouldAutoAdjust (TCustomEdit)
 | Show (TControl)
pt | ShowControl (TWinControl)
 | ShowHelp (TControl)
 | StringMessageTable (TObject)
 | StrToValue (TCustomFloatSpinEdit)
pt | TextChanged (TControl)
pt | TextChanged (TCustomEdit)
pt | TextChanged (TCustomFloatSpinEdit)
 | ToString (TObject)
pt | TripleClick (TControl)
 | Undo (TCustomEdit)
 | UnitName (TObject)
 | UnlockRealizeBounds (TWinControl)
 | Update (TControl)
 | Update (TWinControl)
 | UpdateAction (TComponent)
pt | UpdateAnchorRules (TControl)
 | UpdateBaseBounds (TControl)
pt | UpdateControlState (TWinControl)
 | Updated (TComponent)
 | UpdateDockCaption (TWinControl)
pt | UpdateMouseCursor (TControl)
 | UpdateRegistry (TComponent)
 | UpdateRolesForForm (TControl)
pt | UpdateShowing (TWinControl)
 | Updating (TComponent)
 | UseRightToLeftAlignment (TControl)
 | UseRightToLeftReading (TControl)
 | UseRightToLeftScrollBar (TControl)
pt | UTF8KeyPress (TWinControl)
 | ValidateContainer (TComponent)
 | ValidateInsert (TComponent)
 | ValidateRename (TComponent)
 | ValueToStr (TCustomFloatSpinEdit)
pt | VisibleChanged (TControl)
pt | VisibleChanging (TControl)
pt | WidthIsAnchored (TControl)
pt | WMCancelMode (TControl)
pt | WMChar (TWinControl)
pt | WMChar (TCustomEdit)
pt | WMContextMenu (TControl)
pt | WMContextMenu (TWinControl)
pt | WMDestroy (TWinControl)
pt | WMEnter (TWinControl)
pt | WMEraseBkgnd (TWinControl)
pt | WMExit (TWinControl)
pt | WMKeyDown (TWinControl)
pt | WMKeyUp (TWinControl)
pt | WMKillFocus (TWinControl)
pt | WMKillFocus (TCustomEdit)
pt | WMLButtonDBLCLK (TControl)
pt | WMLButtonDown (TControl)
pt | WMLButtonQuadCLK (TControl)
pt | WMLButtonTripleCLK (TControl)
pt | WMLButtonUp (TControl)
pt | WMMButtonDBLCLK (TControl)
pt | WMMButtonDown (TControl)
pt | WMMButtonQuadCLK (TControl)
pt | WMMButtonTripleCLK (TControl)
pt | WMMButtonUp (TControl)
pt | WMMouseHWheel (TControl)
pt | WMMouseMove (TControl)
pt | WMMouseWheel (TControl)
pt | WMMove (TControl)
pt | WMMove (TWinControl)
pt | WMNotify (TWinControl)
pt | WMPaint (TWinControl)
pt | WMRButtonDBLCLK (TControl)
pt | WMRButtonDown (TControl)
pt | WMRButtonQuadCLK (TControl)
pt | WMRButtonTripleCLK (TControl)
pt | WMRButtonUp (TControl)
pt | WMSetFocus (TWinControl)
pt | WMSetFocus (TCustomEdit)
pt | WMShowWindow (TWinControl)
pt | WMSize (TControl)
pt | WMSize (TWinControl)
pt | WMSysChar (TWinControl)
pt | WMSysKeyDown (TWinControl)
pt | WMSysKeyUp (TWinControl)
pt | WMWindowPosChanged (TControl)
pt | WMWindowPosChanged (TWinControl)
pt | WMXButtonDBLCLK (TControl)
pt | WMXButtonDown (TControl)
pt | WMXButtonQuadCLK (TControl)
pt | WMXButtonTripleCLK (TControl)
pt | WMXButtonUp (TControl)
pt | WndProc (TControl)
pt | WndProc (TWinControl)
pt | WndProc (TCustomEdit)
 | WriteLayoutDebugReport (TControl)
 | WriteLayoutDebugReport (TWinControl)
 | WriteLeft (TComponent)
 | WriteState (TComponent)
 | WriteTop (TComponent)
pt | WSRegisterClass (TLCLComponent)
pt | WSRegisterClass (TControl)
pt | WSRegisterClass (TWinControl)
pt | WSRegisterClass (TCustomEdit)
pt | WSRegisterClass (TCustomFloatSpinEdit)
pt | WSSetText (TWinControl)
 | _AddRef (TComponent)
 | _Release (TComponent)


TCustomFloatSpinEdit
TCustomEdit
 | OnChange
TWinControl
pt | OnGetSiteInfo
pt | OnGetDockCaption
 | OnAlignInsertBefore
 | OnAlignPosition
 | OnDockDrop
 | OnDockOver
 | OnEnter
 | OnExit
 | OnKeyDown
 | OnKeyPress
 | OnKeyUp
 | OnUnDock
 | OnUTF8KeyPress
TControl
pt | OnConstrainedResize
pt | OnContextPopup
pt | OnDblClick
pt | OnTripleClick
pt | OnQuadClick
pt | OnDragDrop
pt | OnDragOver
pt | OnEndDock
pt | OnEndDrag
pt | OnMouseDown
pt | OnMouseMove
pt | OnMouseUp
pt | OnMouseEnter
pt | OnMouseLeave
pt | OnMouseWheel
pt | OnMouseWheelDown
pt | OnMouseWheelUp
pt | OnMouseWheelHorz
pt | OnMouseWheelLeft
pt | OnMouseWheelRight
pt | OnStartDock
pt | OnStartDrag
pt | OnEditingDone
 | OnChangeBounds
 | OnClick
 | OnResize
 | OnShowHint
TLCLComponent
TComponent
TPersistent
TObject


TCustomFloatSpinEdit.Create

Declaration

Source position: spin.pp line 67

public constructor TCustomFloatSpinEdit.Create(

  TheOwner: TComponent

); override;


TCustomFloatSpinEdit.DecimalPlaces

Number of the decimal places shown in spin edit.

Declaration

Source position: spin.pp line 72

public property TCustomFloatSpinEdit.DecimalPlaces : Integer
  read FDecimals
  write SetDecimals
  default DefDecimals;


TCustomFloatSpinEdit.FinalizeWnd

Declaration

Source position: spin.pp line 62

protected procedure TCustomFloatSpinEdit.FinalizeWnd; override;


TCustomFloatSpinEdit.GetLimitedValue

Limits the passed value according to spin edit minimum and maximum.

Declaration

Source position: spin.pp line 68

public function TCustomFloatSpinEdit.GetLimitedValue(

  const AValue: Double

):Double; virtual;


TCustomFloatSpinEdit.Increment

An amount to be incremented/decremented to the value when spin edit up/down arrow button is pushed.

Declaration

Source position: spin.pp line 73

public property TCustomFloatSpinEdit.Increment : Double
  read FIncrement
  write SetIncrement
  stored IncrementStored;
  nodefault;


TCustomFloatSpinEdit.InitializeWnd

Declaration

Source position: spin.pp line 61

protected procedure TCustomFloatSpinEdit.InitializeWnd; override;


TCustomFloatSpinEdit.KeyPress

Declaration

Source position: spin.pp line 64

protected procedure TCustomFloatSpinEdit.KeyPress(

  var Key: Char

); override;


TCustomFloatSpinEdit.Loaded

Declaration

Source position: spin.pp line 63

protected procedure TCustomFloatSpinEdit.Loaded; override;


TCustomFloatSpinEdit.MaxValue

Maximal value allowed for the spin edit.

Declaration

Source position: spin.pp line 75

public property TCustomFloatSpinEdit.MaxValue : Double
  read FMaxValue
  write SetMaxValue
  stored MaxValueStored;
  nodefault;

Description

Maximal value allowed for the spin edit. Set the MinValue property equal to MaxValue to allow any number to be selected.

See also

TCustomFloatSpinEdit.MinValue | Minimal value allowed for the spin edit.
TCustomFloatSpinEdit.Value | The value of spin control.
TCustomFloatSpinEdit.Increment | An amount to be incremented/decremented to the value when spin edit up/down arrow button is pushed.


TCustomFloatSpinEdit.MinValue

Minimal value allowed for the spin edit.

Declaration

Source position: spin.pp line 74

public property TCustomFloatSpinEdit.MinValue : Double
  read FMinValue
  write SetMinValue;

Description

Minimal value allowed for the spin edit. Set the MinValue property equal to MaxValue to allow any number to be selected.

See also

TCustomFloatSpinEdit.MaxValue | Maximal value allowed for the spin edit.
TCustomFloatSpinEdit.Value | The value of spin control.
TCustomFloatSpinEdit.Increment | An amount to be incremented/decremented to the value when spin edit up/down arrow button is pushed.


TCustomFloatSpinEdit.RealGetText

Declaration

Source position: spin.pp line 52

protected function TCustomFloatSpinEdit.RealGetText: TCaption; override;


TCustomFloatSpinEdit.SetDecimals

Declaration

Source position: spin.pp line 55

protected procedure TCustomFloatSpinEdit.SetDecimals(

  ADecimals: Integer

); virtual;


TCustomFloatSpinEdit.SetIncrement

Declaration

Source position: spin.pp line 60

protected procedure TCustomFloatSpinEdit.SetIncrement(

  const AIncrement: Double

); virtual;


TCustomFloatSpinEdit.SetMaxValue

Declaration

Source position: spin.pp line 57

protected procedure TCustomFloatSpinEdit.SetMaxValue(

  const AValue: Double

); virtual;


TCustomFloatSpinEdit.SetMinValue

Declaration

Source position: spin.pp line 58

protected procedure TCustomFloatSpinEdit.SetMinValue(

  const AValue: Double

); virtual;


TCustomFloatSpinEdit.SetValue

Declaration

Source position: spin.pp line 56

protected procedure TCustomFloatSpinEdit.SetValue(

  const AValue: Double

); virtual;


TCustomFloatSpinEdit.SetValueEmpty

Declaration

Source position: spin.pp line 59

protected procedure TCustomFloatSpinEdit.SetValueEmpty(

  const AValue: Boolean

); virtual;


TCustomFloatSpinEdit.StrToValue

Converts the passed string to value according to spin edit settings.

Declaration

Source position: spin.pp line 70

public function TCustomFloatSpinEdit.StrToValue(

  const S: string

):Double; virtual;


TCustomFloatSpinEdit.TextChanged

Declaration

Source position: spin.pp line 54

protected procedure TCustomFloatSpinEdit.TextChanged; override;


TCustomFloatSpinEdit.Value

The value of spin control.

Declaration

Source position: spin.pp line 76

public property TCustomFloatSpinEdit.Value : Double
  read GetValue
  write SetValue;

See also

TCustomFloatSpinEdit.MinValue | Minimal value allowed for the spin edit.
TCustomFloatSpinEdit.MaxValue | Maximal value allowed for the spin edit.
TCustomFloatSpinEdit.Increment | An amount to be incremented/decremented to the value when spin edit up/down arrow button is pushed.


TCustomFloatSpinEdit.ValueEmpty

If the Value property is assigned.

Declaration

Source position: spin.pp line 77

public property TCustomFloatSpinEdit.ValueEmpty : Boolean
  read FValueEmpty
  write SetValueEmpty
  default False;


TCustomFloatSpinEdit.ValueToStr

Converts the passed value to string according to spin edit settings.

Declaration

Source position: spin.pp line 69

public function TCustomFloatSpinEdit.ValueToStr(

  const AValue: Double

):string; virtual;


TCustomSpinEdit

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

The base class for the integer-based spin control

Declaration

Source position: spin.pp line 137

type TCustomSpinEdit = class(TCustomFloatSpinEdit)
protected
procedure SetMaxValue(); virtual; overload; |
procedure SetMinValue(); virtual; overload; |
procedure SetIncrement(); virtual; overload; |
procedure SetValue(); virtual; overload; |
public
constructor Create(); override; |
property Value: Integer; [rw] | The value of spin control.
property MinValue: Integer; [rw] | Minimal value allowed for the spin edit.
property MaxValue: Integer; [rw] | Maximal valueallowed for the spin edit.
property Increment: Integer; [rw] | The value by which the value of the control should be increased/decresed when the user clicks one of the arrows or one of the keyboard up/down arrows
end;

Inheritance

TCustomSpinEdit | The base class for the integer-based spin control
|
TCustomFloatSpinEdit | The base class for the float-based spin control
|
TCustomEdit | The base class for controls presenting editable text.
|
TWinControl | The base class for controls which can contain other (child) controls.
|
TControl | The base class for visible controls.
|
TLCLComponent | The base class for LCL components associated with widgets.
|
TComponent,IUnknown,IInterfaceComponentReference
|
TPersistent,IFPObserved
|
TObject

Description

A control which can increment and decrement an integer value. It has arrows to allow the user to increment/decrement the value and an edit box for typing it directly.


TCustomSpinEdit
 |  | Value
 |  | MinValue
 |  | MaxValue
 |  | Increment
TCustomFloatSpinEdit
 |  | DecimalPlaces
 |  | Increment
 |  | MinValue
 |  | MaxValue
 |  | Value
 |  | ValueEmpty
TCustomEdit
pt |  | AutoSelect
pt |  | AutoSelected
pt | ro | ParentColor
 |  | Alignment
 | ro | AutoSize
 | ro | BorderStyle
 | ro | CanUndo
 |  | CaretPos
 |  | CharCase
 |  | EchoMode
 |  | HideSelection
 |  | MaxLength
 |  | Modified
 |  | NumbersOnly
 |  | PasswordChar
 | ro | PopupMenu
 |  | ReadOnly
 |  | SelLength
 |  | SelStart
 |  | SelText
 | ro | TabOrder
 | ro | TabStop
 | ro | Text
 |  | TextHint
TWinControl
pt |  | WindowHandle
pt |  | BorderStyle
pt |  | ParentBackground
 |  | BorderWidth
 | ro | BoundsLockCount
 | ro | Brush
 | ro | CachedClientHeight
 | ro | CachedClientWidth
 |  | ChildSizing
 | ro | ControlCount
 | ro | Controls
 |  | DefWndProc
 | ro | DockClientCount
 | ro | DockClients
 |  | DockManager
 |  | DockSite
 |  | DoubleBuffered
 |  | Handle
 | ro | IsFlipped
 | ro | IsResizing
 |  | TabOrder
 |  | TabStop
 |  | ParentDoubleBuffered
 |  | ParentWindow
 | ro | Showing
 |  | UseDockManager
 |  | DesignerDeleting
 | ro | VisibleDockClientCount
TControl
pt | ro | AutoSizing
pt | ro | AutoSizingAll
pt | ro | AutoSizingLockCount
pt |  | ActionLink
pt |  | DesktopFont
pt |  | DragCursor
pt |  | DragKind
pt |  | DragMode
pt |  | MouseCapture
pt |  | ParentColor
pt |  | ParentFont
pt |  | ParentShowHint
pt |  | SessionProperties
pt |  | Text
 | ro | AnchoredControls
 | ro | BaseBounds
 | ro | ReadBounds
 | ro | BaseParentClientSize
 |  | AccessibleDescription
 |  | AccessibleValue
 |  | AccessibleRole
 |  | Action
 |  | Align
 |  | Anchors
 | ro | AnchorSide
 |  | AutoSize
 |  | BorderSpacing
 |  | BoundsRect
 |  | BoundsRectForNewParent
 |  | Caption
 |  | CaptureMouseButtons
 |  | ClientHeight
 | ro | ClientOrigin
 | ro | ClientRect
 |  | ClientWidth
 |  | Color
 |  | Constraints
 | ro | ControlOrigin
 |  | ControlState
 |  | ControlStyle
 |  | Enabled
 |  | Font
 |  | IsControl
 | ro | MouseEntered
 | ro | MouseInClient
 |  | Parent
 |  | PopupMenu
 |  | ShowHint
 |  | Visible
 |  | WindowProc
 |  | DockOrientation
 | ro | Floating
 |  | FloatingDockSiteClass
 |  | HostDockSite
 |  | LRDockWidth
 |  | TBDockHeight
 |  | UndockHeight
 |  | UndockWidth
 |  | BiDiMode
 |  | ParentBiDiMode
pl |  | AnchorSideLeft
pl |  | AnchorSideTop
pl |  | AnchorSideRight
pl |  | AnchorSideBottom
pl |  | Cursor
pl |  | Left
pl |  | Height
pl |  | Hint
pl |  | Top
pl |  | Width
pl |  | HelpType
pl |  | HelpKeyword
pl |  | HelpContext
TLCLComponent
 | ro | LCLRefCount
 | ro | WidgetSetClass
TComponent
 | ro | ComObject
 | ro | Components
 | ro | ComponentCount
 |  | ComponentIndex
 | ro | ComponentState
 | ro | ComponentStyle
 |  | DesignInfo
 | ro | Owner
 |  | VCLComObject
 |  | Name
 |  | Tag
TPersistent
TObject


 |  | AccessibleDescription (TControl)
 |  | AccessibleRole (TControl)
 |  | AccessibleValue (TControl)
 |  | Action (TControl)
pt |  | ActionLink (TControl)
 |  | Align (TControl)
 |  | Alignment (TCustomEdit)
 | ro | AnchoredControls (TControl)
 |  | Anchors (TControl)
 | ro | AnchorSide (TControl)
pl |  | AnchorSideBottom (TControl)
pl |  | AnchorSideLeft (TControl)
pl |  | AnchorSideRight (TControl)
pl |  | AnchorSideTop (TControl)
pt |  | AutoSelect (TCustomEdit)
pt |  | AutoSelected (TCustomEdit)
 |  | AutoSize (TControl)
 | ro | AutoSize (TCustomEdit)
pt | ro | AutoSizing (TControl)
pt | ro | AutoSizingAll (TControl)
pt | ro | AutoSizingLockCount (TControl)
 | ro | BaseBounds (TControl)
 | ro | BaseParentClientSize (TControl)
 |  | BiDiMode (TControl)
 |  | BorderSpacing (TControl)
pt |  | BorderStyle (TWinControl)
 | ro | BorderStyle (TCustomEdit)
 |  | BorderWidth (TWinControl)
 | ro | BoundsLockCount (TWinControl)
 |  | BoundsRect (TControl)
 |  | BoundsRectForNewParent (TControl)
 | ro | Brush (TWinControl)
 | ro | CachedClientHeight (TWinControl)
 | ro | CachedClientWidth (TWinControl)
 | ro | CanUndo (TCustomEdit)
 |  | Caption (TControl)
 |  | CaptureMouseButtons (TControl)
 |  | CaretPos (TCustomEdit)
 |  | CharCase (TCustomEdit)
 |  | ChildSizing (TWinControl)
 |  | ClientHeight (TControl)
 | ro | ClientOrigin (TControl)
 | ro | ClientRect (TControl)
 |  | ClientWidth (TControl)
 |  | Color (TControl)
 | ro | ComObject (TComponent)
 | ro | ComponentCount (TComponent)
 |  | ComponentIndex (TComponent)
 | ro | Components (TComponent)
 | ro | ComponentState (TComponent)
 | ro | ComponentStyle (TComponent)
 |  | Constraints (TControl)
 | ro | ControlCount (TWinControl)
 | ro | ControlOrigin (TControl)
 | ro | Controls (TWinControl)
 |  | ControlState (TControl)
 |  | ControlStyle (TControl)
pl |  | Cursor (TControl)
 |  | DecimalPlaces (TCustomFloatSpinEdit)
 |  | DefWndProc (TWinControl)
 |  | DesignerDeleting (TWinControl)
 |  | DesignInfo (TComponent)
pt |  | DesktopFont (TControl)
 | ro | DockClientCount (TWinControl)
 | ro | DockClients (TWinControl)
 |  | DockManager (TWinControl)
 |  | DockOrientation (TControl)
 |  | DockSite (TWinControl)
 |  | DoubleBuffered (TWinControl)
pt |  | DragCursor (TControl)
pt |  | DragKind (TControl)
pt |  | DragMode (TControl)
 |  | EchoMode (TCustomEdit)
 |  | Enabled (TControl)
 | ro | Floating (TControl)
 |  | FloatingDockSiteClass (TControl)
 |  | Font (TControl)
 |  | Handle (TWinControl)
pl |  | Height (TControl)
pl |  | HelpContext (TControl)
pl |  | HelpKeyword (TControl)
pl |  | HelpType (TControl)
 |  | HideSelection (TCustomEdit)
pl |  | Hint (TControl)
 |  | HostDockSite (TControl)
 |  | Increment (TCustomFloatSpinEdit)
 |  | Increment (TCustomSpinEdit)
 |  | IsControl (TControl)
 | ro | IsFlipped (TWinControl)
 | ro | IsResizing (TWinControl)
 | ro | LCLRefCount (TLCLComponent)
pl |  | Left (TControl)
 |  | LRDockWidth (TControl)
 |  | MaxLength (TCustomEdit)
 |  | MaxValue (TCustomFloatSpinEdit)
 |  | MaxValue (TCustomSpinEdit)
 |  | MinValue (TCustomFloatSpinEdit)
 |  | MinValue (TCustomSpinEdit)
 |  | Modified (TCustomEdit)
pt |  | MouseCapture (TControl)
 | ro | MouseEntered (TControl)
 | ro | MouseInClient (TControl)
 |  | Name (TComponent)
 |  | NumbersOnly (TCustomEdit)
 | ro | Owner (TComponent)
 |  | Parent (TControl)
pt |  | ParentBackground (TWinControl)
 |  | ParentBiDiMode (TControl)
pt |  | ParentColor (TControl)
pt | ro | ParentColor (TCustomEdit)
 |  | ParentDoubleBuffered (TWinControl)
pt |  | ParentFont (TControl)
pt |  | ParentShowHint (TControl)
 |  | ParentWindow (TWinControl)
 |  | PasswordChar (TCustomEdit)
 |  | PopupMenu (TControl)
 | ro | PopupMenu (TCustomEdit)
 | ro | ReadBounds (TControl)
 |  | ReadOnly (TCustomEdit)
 |  | SelLength (TCustomEdit)
 |  | SelStart (TCustomEdit)
 |  | SelText (TCustomEdit)
pt |  | SessionProperties (TControl)
 |  | ShowHint (TControl)
 | ro | Showing (TWinControl)
 |  | TabOrder (TWinControl)
 | ro | TabOrder (TCustomEdit)
 |  | TabStop (TWinControl)
 | ro | TabStop (TCustomEdit)
 |  | Tag (TComponent)
 |  | TBDockHeight (TControl)
pt |  | Text (TControl)
 | ro | Text (TCustomEdit)
 |  | TextHint (TCustomEdit)
pl |  | Top (TControl)
 |  | UndockHeight (TControl)
 |  | UndockWidth (TControl)
 |  | UseDockManager (TWinControl)
 |  | Value (TCustomFloatSpinEdit)
 |  | Value (TCustomSpinEdit)
 |  | ValueEmpty (TCustomFloatSpinEdit)
 |  | VCLComObject (TComponent)
 |  | Visible (TControl)
 | ro | VisibleDockClientCount (TWinControl)
 | ro | WidgetSetClass (TLCLComponent)
pl |  | Width (TControl)
pt |  | WindowHandle (TWinControl)
 |  | WindowProc (TControl)


TCustomSpinEdit
pt | SetMaxValue
pt | SetMinValue
pt | SetIncrement
pt | SetValue
 | Create
TCustomFloatSpinEdit
pt | WSRegisterClass
pt | RealGetText
pt | RealSetText
pt | TextChanged
pt | SetDecimals
pt | SetValue
pt | SetMaxValue
pt | SetMinValue
pt | SetValueEmpty
pt | SetIncrement
pt | InitializeWnd
pt | FinalizeWnd
pt | Loaded
pt | KeyPress
pt | GetControlClassDefaultSize
 | Create
 | GetLimitedValue
 | ValueToStr
 | StrToValue
TCustomEdit
pt | WSRegisterClass
pt | CanShowEmulatedTextHint
pt | CreateEmulatedTextHintFont
pt | CalculatePreferredSize
pt | CreateParams
pt | InitializeWnd
pt | TextChanged
pt | FontChanged
pt | Change
pt | DoEnter
pt | DoExit
pt | EditingDone
pt | GetCaretPos
pt | GetNumbersOnly
pt | GetReadOnly
pt | GetSelLength
pt | GetSelStart
pt | GetSelText
pt | GetTextHint
pt | SetCaretPos
pt | SetEchoMode
pt | SetNumbersOnly
pt | SetReadOnly
pt | SetSelLength
pt | SetSelStart
pt | SetSelText
pt | SetTextHint
pt | ChildClassAllowed
pt | GetControlClassDefaultSize
pt | MouseUp
pt | RealSetText
pt | RealGetText
pt | KeyUpAfterInterface
pt | WMChar
pt | CMWantSpecialKey
pt | WndProc
pt | ShouldAutoAdjust
pt | WMSetFocus
pt | WMKillFocus
 | Create
 | Destroy
 | Clear
 | SelectAll
 | ClearSelection
 | CopyToClipboard
 | CutToClipboard
 | PasteFromClipboard
 | Undo
 | RemoveAllHandlersOfObject
 | AddHandlerOnChange
 | RemoveHandlerOnChange
TWinControl
pt | WSRegisterClass
pt | AdjustClientRect
pt | GetAdjustedLogicalClientRect
pt | AlignControls
pt | CustomAlignInsertBefore
pt | CustomAlignPosition
pt | DoAlignChildControls
pt | DoChildSizingChange
pt | InvalidatePreferredChildSizes
pt | CanTab
pt | IsClientHeightStored
pt | IsClientWidthStored
pt | DoSendShowHideToInterface
pt | ControlsAligned
pt | DoSendBoundsToInterface
pt | RealizeBounds
pt | RealizeBoundsRecursive
pt | InvalidateBoundsRealized
pt | CreateSubClass
pt | DoConstraintsChange
pt | DoSetBounds
pt | DoAutoSize
pt | DoAllAutoSize
pt | AllAutoSized
pt | CalculatePreferredSize
pt | GetPreferredSizeClientFrame
pt | GetChildren
pt | ChildClassAllowed
pt | PaintControls
pt | PaintHandler
pt | PaintWindow
pt | CreateBrush
pt | ScaleControls
pt | ChangeScale
pt | CMBiDiModeChanged
pt | CMBorderChanged
pt | CMDoubleBufferedChanged
pt | CMEnabledChanged
pt | CMParentDoubleBufferedChanged
pt | CMShowingChanged
pt | CMShowHintChanged
pt | CMVisibleChanged
pt | CMEnter
pt | CMExit
pt | WMContextMenu
pt | WMEraseBkgnd
pt | WMNotify
pt | WMSetFocus
pt | WMKillFocus
pt | WMShowWindow
pt | WMEnter
pt | WMExit
pt | WMKeyDown
pt | WMSysKeyDown
pt | WMKeyUp
pt | WMSysKeyUp
pt | WMChar
pt | WMSysChar
pt | WMPaint
pt | WMDestroy
pt | WMMove
pt | WMSize
pt | WMWindowPosChanged
pt | CNKeyDown
pt | CNSysKeyDown
pt | CNKeyUp
pt | CNSysKeyUp
pt | CNChar
pt | DoDragMsg
pt | DoDockClientMsg
pt | DoUndockClientMsg
pt | DoAddDockClient
pt | DockOver
pt | DoDockOver
pt | DoRemoveDockClient
pt | DoUnDock
pt | GetSiteInfo
pt | GetParentHandle
pt | GetTopParentHandle
pt | ReloadDockedControl
pt | CreateDockManager
pt | SetDockManager
pt | DoFloatMsg
pt | DoGetDockCaption
pt | DoEnter
pt | DoExit
pt | DoKeyDownBeforeInterface
pt | DoRemainingKeyDown
pt | DoRemainingKeyUp
pt | DoKeyPress
pt | DoUTF8KeyPress
pt | DoKeyUpBeforeInterface
pt | ChildKey
pt | SendDialogChar
pt | DialogChar
pt | ControlKeyDown
pt | ControlKeyUp
pt | KeyDown
pt | KeyDownBeforeInterface
pt | KeyDownAfterInterface
pt | KeyPress
pt | KeyUp
pt | KeyUpBeforeInterface
pt | KeyUpAfterInterface
pt | UTF8KeyPress
pt | FindNextControl
pt | SelectFirst
pt | RealGetText
pt | GetBorderStyle
pt | GetClientOrigin
pt | GetClientRect
pt | GetControlOrigin
pt | GetDeviceContext
pt | GetParentBackground
pt | IsControlMouseMsg
pt | CreateHandle
pt | CreateParams
pt | CreateWnd
pt | DestroyHandle
pt | DestroyWnd
pt | DoFlipChildren
pt | FinalizeWnd
pt | FixupTabList
pt | FontChanged
pt | InitializeWnd
pt | Loaded
pt | FormEndUpdated
pt | MainWndProc
pt | ParentFormHandleInitialized
pt | ChildHandlesCreated
pt | GetMouseCapture
pt | RealSetText
pt | RemoveFocus
pt | SendMoveSizeMessages
pt | SetBorderStyle
pt | SetColor
pt | SetChildZPosition
pt | SetParentBackground
pt | ShowControl
pt | UpdateControlState
pt | UpdateShowing
pt | WndProc
pt | WSSetText
 | AutoSizePhases
 | AutoSizeDelayed
 | AutoSizeDelayedReport
 | AutoSizeDelayedHandle
 | BeginUpdateBounds
 | EndUpdateBounds
 | LockRealizeBounds
 | UnlockRealizeBounds
 | ControlAtPos
 | ContainsControl
 | DoAdjustClientRectChange
 | InvalidateClientRectCache
 | ClientRectNeedsInterfaceUpdate
 | SetBounds
 | GetChildrenRect
 | DisableAlign
 | EnableAlign
 | ReAlign
 | ScrollBy_WS
 | ScrollBy
 | WriteLayoutDebugReport
 | AutoAdjustLayout
 | Create
 | CreateParented
 | CreateParentedControl
 | Destroy
 | DockDrop
 | CanFocus
 | CanSetFocus
 | GetControlIndex
 | SetControlIndex
 | Focused
 | PerformTab
 | FindChildControl
 | SelectNext
 | SetTempCursor
 | BroadCast
 | NotifyControls
 | DefaultHandler
 | GetTextLen
 | Invalidate
 | AddControl
 | InsertControl
 | RemoveControl
 | GetEnumeratorControls
 | GetEnumeratorControlsReverse
 | Repaint
 | Update
 | SetFocus
 | FlipChildren
 | ScaleBy
 | GetDockCaption
 | UpdateDockCaption
 | GetTabOrderList
 | HandleAllocated
 | ParentHandlesAllocated
 | HandleNeeded
 | BrushCreated
 | EraseBackground
 | IntfUTF8KeyPress
 | IntfGetDropFilesTarget
 | PaintTo
 | SetShape
TControl
pt | WSRegisterClass
pt | GetCursor
pt | SetCursor
pt | SetVisible
pt | DoOnParentHandleDestruction
pt | DoAutoSize
pt | DoAllAutoSize
pt | BeginAutoSizing
pt | EndAutoSizing
pt | AnchorSideChanged
pt | ForeignAnchorSideChanged
pt | SetAlign
pt | SetAnchors
pt | SetAutoSize
pt | BoundsChanged
pt | CreateControlBorderSpacing
pt | DoConstraintsChange
pt | DoBorderSpacingChange
pt | IsBorderSpacingInnerBorderStored
pt | IsCaptionStored
pt | SendMoveSizeMessages
pt | ConstrainedResize
pt | CalculatePreferredSize
pt | DoOnResize
pt | DoOnChangeBounds
pt | CheckOnChangeBounds
pt | Resize
pt | RequestAlign
pt | UpdateAnchorRules
pt | ChangeBounds
pt | DoSetBounds
pt | ScaleConstraints
pt | ChangeScale
pt | CanAutoSize
pt | SetBiDiMode
pt | SetParentBiDiMode
pt | IsAParentAligning
pt | GetClientOrigin
pt | GetClientRect
pt | GetLogicalClientRect
pt | GetScrolledClientRect
pt | GetClientScrollOffset
pt | GetControlOrigin
pt | IsClientHeightStored
pt | IsClientWidthStored
pt | WidthIsAnchored
pt | HeightIsAnchored
pt | WMCancelMode
pt | WMContextMenu
pt | WMLButtonDown
pt | WMRButtonDown
pt | WMMButtonDown
pt | WMXButtonDown
pt | WMLButtonDBLCLK
pt | WMRButtonDBLCLK
pt | WMMButtonDBLCLK
pt | WMXButtonDBLCLK
pt | WMLButtonTripleCLK
pt | WMRButtonTripleCLK
pt | WMMButtonTripleCLK
pt | WMXButtonTripleCLK
pt | WMLButtonQuadCLK
pt | WMRButtonQuadCLK
pt | WMMButtonQuadCLK
pt | WMXButtonQuadCLK
pt | WMMouseMove
pt | WMLButtonUp
pt | WMRButtonUp
pt | WMMButtonUp
pt | WMXButtonUp
pt | WMMouseWheel
pt | WMMouseHWheel
pt | WMMove
pt | WMSize
pt | WMWindowPosChanged
pt | CMChanged
pt | LMCaptureChanged
pt | CMBiDiModeChanged
pt | CMSysFontChanged
pt | CMEnabledChanged
pt | CMHitTest
pt | CMMouseEnter
pt | CMMouseLeave
pt | CMHintShow
pt | CMParentBiDiModeChanged
pt | CMParentColorChanged
pt | CMParentFontChanged
pt | CMParentShowHintChanged
pt | CMVisibleChanged
pt | CMTextChanged
pt | CMCursorChanged
pt | CalculateDockSizes
pt | CreateFloatingDockSite
pt | GetDockEdge
pt | GetDragImages
pt | GetFloating
pt | GetFloatingDockSiteClass
pt | BeforeDragStart
pt | BeginAutoDrag
pt | DoFloatMsg
pt | DockTrackNoTarget
pt | DoDock
pt | DoDragMsg
pt | DoEndDock
pt | DoEndDrag
pt | DoStartDock
pt | DoStartDrag
pt | DragCanceled
pt | DragOver
pt | PositionDockRect
pt | SetDragMode
pt | GetDefaultDockCaption
pt | Click
pt | DblClick
pt | TripleClick
pt | QuadClick
pt | GetMousePosFromMessage
pt | MouseDown
pt | MouseMove
pt | MouseUp
pt | MouseEnter
pt | MouseLeave
pt | DialogChar
pt | UpdateMouseCursor
pt | Changed
pt | GetPalette
pt | ChildClassAllowed
pt | ReadState
pt | Loaded
pt | LoadedAll
pt | DefineProperties
pt | AssignTo
pt | FormEndUpdated
pt | InvalidateControl
pt | FontChanged
pt | ParentFontChanged
pt | GetAction
pt | RealGetText
pt | RealSetText
pt | TextChanged
pt | GetCachedText
pt | SetAction
pt | SetColor
pt | SetEnabled
pt | SetHint
pt | SetName
pt | SetParent
pt | SetParentComponent
pt | WndProc
pt | ParentFormHandleInitialized
pt | GetMouseCapture
pt | CaptureChanged
pt | Notification
pt | CanTab
pt | GetDeviceContext
pt | GetEnabled
pt | GetPopupMenu
pt | DoOnShowHint
pt | DoMouseWheel
pt | DoMouseWheelDown
pt | DoMouseWheelUp
pt | DoMouseWheelHorz
pt | DoMouseWheelLeft
pt | DoMouseWheelRight
pt | VisibleChanging
pt | VisibleChanged
pt | EnabledChanging
pt | EnabledChanged
pt | AddHandler
pt | RemoveHandler
pt | DoCallNotifyHandler
pt | DoCallKeyEventHandler
pt | DoCallMouseWheelEventHandler
pt | DoContextPopup
pt | SetZOrder
pt | GetControlClassDefaultSize
pt | ColorIsStored
pt | DoAutoAdjustLayout
pt | DoFixDesignFontPPI
pt | DoScaleFontPPI
pt | GetActionLinkClass
pt | ActionChange
 | DragDrop
 | Dock
 | ManualDock
 | ManualFloat
 | ReplaceDockedControl
 | Docked
 | Dragging
 | GetAccessibleObject
 | CreateAccessibleObject
 | GetSelectedChildAccessibleObject
 | GetChildAccessibleObjectAtPos
 | ScaleDesignToForm
 | ScaleFormToDesign
 | Scale96ToForm
 | ScaleFormTo96
 | Scale96ToFont
 | ScaleFontTo96
 | ScaleScreenToFont
 | ScaleFontToScreen
 | Scale96ToScreen
 | ScaleScreenTo96
 | AdjustSize
 | AutoSizePhases
 | AutoSizeDelayed
 | AutoSizeDelayedReport
 | AutoSizeDelayedHandle
 | AnchorToNeighbour
 | AnchorParallel
 | AnchorHorizontalCenterTo
 | AnchorVerticalCenterTo
 | AnchorToCompanion
 | AnchorSame
 | AnchorAsAlign
 | AnchorClient
 | AnchoredControlCount
 | SetBounds
 | SetInitialBounds
 | SetBoundsKeepBase
 | GetPreferredSize
 | GetCanvasScaleFactor
 | GetDefaultWidth
 | GetDefaultHeight
 | GetDefaultColor
 | GetColorResolvingParent
 | GetRGBColorResolvingParent
 | GetSidePosition
 | CNPreferredSizeChanged
 | InvalidatePreferredSize
 | GetAnchorsDependingOnParent
 | DisableAutoSizing
 | EnableAutoSizing
 | UpdateBaseBounds
 | WriteLayoutDebugReport
 | AutoAdjustLayout
 | ShouldAutoAdjust
 | FixDesignFontsPPI
 | ScaleFontsPPI
 | Create
 | Destroy
 | BeforeDestruction
 | EditingDone
 | ExecuteDefaultAction
 | ExecuteCancelAction
 | BeginDrag
 | EndDrag
 | BringToFront
 | HasParent
 | GetParentComponent
 | IsParentOf
 | GetTopParent
 | IsVisible
 | IsControlVisible
 | IsEnabled
 | IsParentColor
 | IsParentFont
 | FormIsUpdating
 | IsProcessingPaintMsg
 | Hide
 | Refresh
 | Repaint
 | Invalidate
 | CheckChildClassAllowed
 | CheckNewParent
 | SendToBack
 | SetTempCursor
 | UpdateRolesForForm
 | ActiveDefaultControlChanged
 | GetTextBuf
 | GetTextLen
 | SetTextBuf
 | Perform
 | ScreenToClient
 | ClientToScreen
 | ScreenToControl
 | ControlToScreen
 | ClientToParent
 | ParentToClient
 | GetChildrenRect
 | Show
 | Update
 | HandleObjectShouldBeVisible
 | ParentDestroyingHandle
 | ParentHandlesAllocated
 | InitiateAction
 | ShowHelp
 | HasHelp
 | RemoveAllHandlersOfObject
 | AddHandlerOnResize
 | RemoveHandlerOnResize
 | AddHandlerOnChangeBounds
 | RemoveHandlerOnChangeBounds
 | AddHandlerOnVisibleChanging
 | RemoveHandlerOnVisibleChanging
 | AddHandlerOnVisibleChanged
 | RemoveHandlerOnVisibleChanged
 | AddHandlerOnEnabledChanged
 | RemoveHandlerOnEnableChanging
 | AddHandlerOnKeyDown
 | RemoveHandlerOnKeyDown
 | AddHandlerOnBeforeDestruction
 | RemoveHandlerOnBeforeDestruction
 | AddHandlerOnMouseWheel
 | RemoveHandlerOnMouseWheel
 | UseRightToLeftAlignment
 | UseRightToLeftReading
 | UseRightToLeftScrollBar
 | IsRightToLeft
TLCLComponent
pt | WSRegisterClass
pt | GetWSComponentClass
 | Create
 | Destroy
 | NewInstance
 | RemoveAllHandlersOfObject
 | IncLCLRefCount
 | DecLCLRefCount
TComponent
 | GetComObject
 | GetComponent
 | GetComponentCount
 | GetComponentIndex
 | Insert
 | ReadLeft
 | ReadTop
 | Remove
 | RemoveNotification
 | SetComponentIndex
 | SetReference
 | WriteLeft
 | WriteTop
 | ChangeName
 | DefineProperties
 | GetChildren
 | GetChildOwner
 | GetChildParent
 | GetOwner
 | Loaded
 | Loading
 | Notification
 | PaletteCreated
 | ReadState
 | SetAncestor
 | SetDesigning
 | SetDesignInstance
 | SetInline
 | SetName
 | SetChildOrder
 | SetParentComponent
 | Updating
 | Updated
 | UpdateRegistry
 | ValidateRename
 | ValidateContainer
 | ValidateInsert
 | QueryInterface
 | _AddRef
 | _Release
 | iicrGetComponent
 | GetTypeInfoCount
 | GetTypeInfo
 | GetIDsOfNames
 | Invoke
 | WriteState
 | Create
 | Destroy
 | BeforeDestruction
 | DestroyComponents
 | Destroying
 | ExecuteAction
 | FindComponent
 | FreeNotification
 | RemoveFreeNotification
 | FreeOnRelease
 | GetEnumerator
 | GetNamePath
 | GetParentComponent
 | HasParent
 | InsertComponent
 | RemoveComponent
 | SafeCallException
 | SetSubComponent
 | UpdateAction
 | IsImplementorOf
 | ReferenceInterface
TPersistent
 | AssignError
 | AssignTo
 | DefineProperties
 | GetOwner
 | Destroy
 | Assign
 | FPOAttachObserver
 | FPODetachObserver
 | FPONotifyObservers
 | GetNamePath
TObject
 | Create
 | Destroy
 | newinstance
 | FreeInstance
 | SafeCallException
 | DefaultHandler
 | Free
 | InitInstance
 | CleanupInstance
 | ClassType
 | ClassInfo
 | ClassName
 | ClassNameIs
 | ClassParent
 | InstanceSize
 | InheritsFrom
 | StringMessageTable
 | MethodAddress
 | MethodName
 | FieldAddress
 | AfterConstruction
 | BeforeDestruction
 | DefaultHandlerStr
 | Dispatch
 | DispatchStr
 | GetInterface
 | GetInterfaceByStr
 | GetInterfaceWeak
 | GetInterfaceEntry
 | GetInterfaceEntryByStr
 | GetInterfaceTable
 | UnitName
 | Equals
 | GetHashCode
 | ToString


pt | ActionChange (TControl)
 | ActiveDefaultControlChanged (TControl)
 | AddControl (TWinControl)
pt | AddHandler (TControl)
 | AddHandlerOnBeforeDestruction (TControl)
 | AddHandlerOnChange (TCustomEdit)
 | AddHandlerOnChangeBounds (TControl)
 | AddHandlerOnEnabledChanged (TControl)
 | AddHandlerOnKeyDown (TControl)
 | AddHandlerOnMouseWheel (TControl)
 | AddHandlerOnResize (TControl)
 | AddHandlerOnVisibleChanged (TControl)
 | AddHandlerOnVisibleChanging (TControl)
pt | AdjustClientRect (TWinControl)
 | AdjustSize (TControl)
 | AfterConstruction (TObject)
pt | AlignControls (TWinControl)
pt | AllAutoSized (TWinControl)
 | AnchorAsAlign (TControl)
 | AnchorClient (TControl)
 | AnchoredControlCount (TControl)
 | AnchorHorizontalCenterTo (TControl)
 | AnchorParallel (TControl)
 | AnchorSame (TControl)
pt | AnchorSideChanged (TControl)
 | AnchorToCompanion (TControl)
 | AnchorToNeighbour (TControl)
 | AnchorVerticalCenterTo (TControl)
 | Assign (TPersistent)
 | AssignError (TPersistent)
 | AssignTo (TPersistent)
pt | AssignTo (TControl)
 | AutoAdjustLayout (TControl)
 | AutoAdjustLayout (TWinControl)
 | AutoSizeDelayed (TControl)
 | AutoSizeDelayed (TWinControl)
 | AutoSizeDelayedHandle (TControl)
 | AutoSizeDelayedHandle (TWinControl)
 | AutoSizeDelayedReport (TControl)
 | AutoSizeDelayedReport (TWinControl)
 | AutoSizePhases (TControl)
 | AutoSizePhases (TWinControl)
 | BeforeDestruction (TObject)
 | BeforeDestruction (TComponent)
 | BeforeDestruction (TControl)
pt | BeforeDragStart (TControl)
pt | BeginAutoDrag (TControl)
pt | BeginAutoSizing (TControl)
 | BeginDrag (TControl)
 | BeginUpdateBounds (TWinControl)
pt | BoundsChanged (TControl)
 | BringToFront (TControl)
 | BroadCast (TWinControl)
 | BrushCreated (TWinControl)
pt | CalculateDockSizes (TControl)
pt | CalculatePreferredSize (TControl)
pt | CalculatePreferredSize (TWinControl)
pt | CalculatePreferredSize (TCustomEdit)
pt | CanAutoSize (TControl)
 | CanFocus (TWinControl)
 | CanSetFocus (TWinControl)
pt | CanShowEmulatedTextHint (TCustomEdit)
pt | CanTab (TControl)
pt | CanTab (TWinControl)
pt | CaptureChanged (TControl)
pt | Change (TCustomEdit)
pt | ChangeBounds (TControl)
pt | Changed (TControl)
 | ChangeName (TComponent)
pt | ChangeScale (TControl)
pt | ChangeScale (TWinControl)
 | CheckChildClassAllowed (TControl)
 | CheckNewParent (TControl)
pt | CheckOnChangeBounds (TControl)
pt | ChildClassAllowed (TControl)
pt | ChildClassAllowed (TWinControl)
pt | ChildClassAllowed (TCustomEdit)
pt | ChildHandlesCreated (TWinControl)
pt | ChildKey (TWinControl)
 | ClassInfo (TObject)
 | ClassName (TObject)
 | ClassNameIs (TObject)
 | ClassParent (TObject)
 | ClassType (TObject)
 | CleanupInstance (TObject)
 | Clear (TCustomEdit)
 | ClearSelection (TCustomEdit)
pt | Click (TControl)
 | ClientRectNeedsInterfaceUpdate (TWinControl)
 | ClientToParent (TControl)
 | ClientToScreen (TControl)
pt | CMBiDiModeChanged (TControl)
pt | CMBiDiModeChanged (TWinControl)
pt | CMBorderChanged (TWinControl)
pt | CMChanged (TControl)
pt | CMCursorChanged (TControl)
pt | CMDoubleBufferedChanged (TWinControl)
pt | CMEnabledChanged (TControl)
pt | CMEnabledChanged (TWinControl)
pt | CMEnter (TWinControl)
pt | CMExit (TWinControl)
pt | CMHintShow (TControl)
pt | CMHitTest (TControl)
pt | CMMouseEnter (TControl)
pt | CMMouseLeave (TControl)
pt | CMParentBiDiModeChanged (TControl)
pt | CMParentColorChanged (TControl)
pt | CMParentDoubleBufferedChanged (TWinControl)
pt | CMParentFontChanged (TControl)
pt | CMParentShowHintChanged (TControl)
pt | CMShowHintChanged (TWinControl)
pt | CMShowingChanged (TWinControl)
pt | CMSysFontChanged (TControl)
pt | CMTextChanged (TControl)
pt | CMVisibleChanged (TControl)
pt | CMVisibleChanged (TWinControl)
pt | CMWantSpecialKey (TCustomEdit)
pt | CNChar (TWinControl)
pt | CNKeyDown (TWinControl)
pt | CNKeyUp (TWinControl)
 | CNPreferredSizeChanged (TControl)
pt | CNSysKeyDown (TWinControl)
pt | CNSysKeyUp (TWinControl)
pt | ColorIsStored (TControl)
pt | ConstrainedResize (TControl)
 | ContainsControl (TWinControl)
 | ControlAtPos (TWinControl)
pt | ControlKeyDown (TWinControl)
pt | ControlKeyUp (TWinControl)
pt | ControlsAligned (TWinControl)
 | ControlToScreen (TControl)
 | CopyToClipboard (TCustomEdit)
 | Create (TObject)
 | Create (TComponent)
 | Create (TLCLComponent)
 | Create (TControl)
 | Create (TWinControl)
 | Create (TCustomEdit)
 | Create (TCustomFloatSpinEdit)
 | Create (TCustomSpinEdit)
 | CreateAccessibleObject (TControl)
pt | CreateBrush (TWinControl)
pt | CreateControlBorderSpacing (TControl)
pt | CreateDockManager (TWinControl)
pt | CreateEmulatedTextHintFont (TCustomEdit)
pt | CreateFloatingDockSite (TControl)
pt | CreateHandle (TWinControl)
pt | CreateParams (TWinControl)
pt | CreateParams (TCustomEdit)
 | CreateParented (TWinControl)
 | CreateParentedControl (TWinControl)
pt | CreateSubClass (TWinControl)
pt | CreateWnd (TWinControl)
pt | CustomAlignInsertBefore (TWinControl)
pt | CustomAlignPosition (TWinControl)
 | CutToClipboard (TCustomEdit)
pt | DblClick (TControl)
 | DecLCLRefCount (TLCLComponent)
 | DefaultHandler (TObject)
 | DefaultHandler (TWinControl)
 | DefaultHandlerStr (TObject)
 | DefineProperties (TPersistent)
 | DefineProperties (TComponent)
pt | DefineProperties (TControl)
 | Destroy (TObject)
 | Destroy (TPersistent)
 | Destroy (TComponent)
 | Destroy (TLCLComponent)
 | Destroy (TControl)
 | Destroy (TWinControl)
 | Destroy (TCustomEdit)
 | DestroyComponents (TComponent)
pt | DestroyHandle (TWinControl)
 | Destroying (TComponent)
pt | DestroyWnd (TWinControl)
pt | DialogChar (TControl)
pt | DialogChar (TWinControl)
 | DisableAlign (TWinControl)
 | DisableAutoSizing (TControl)
 | Dispatch (TObject)
 | DispatchStr (TObject)
pt | DoAddDockClient (TWinControl)
 | DoAdjustClientRectChange (TWinControl)
pt | DoAlignChildControls (TWinControl)
pt | DoAllAutoSize (TControl)
pt | DoAllAutoSize (TWinControl)
pt | DoAutoAdjustLayout (TControl)
pt | DoAutoSize (TControl)
pt | DoAutoSize (TWinControl)
pt | DoBorderSpacingChange (TControl)
pt | DoCallKeyEventHandler (TControl)
pt | DoCallMouseWheelEventHandler (TControl)
pt | DoCallNotifyHandler (TControl)
pt | DoChildSizingChange (TWinControl)
 | Dock (TControl)
 | DockDrop (TWinControl)
 | Docked (TControl)
pt | DockOver (TWinControl)
pt | DockTrackNoTarget (TControl)
pt | DoConstraintsChange (TControl)
pt | DoConstraintsChange (TWinControl)
pt | DoContextPopup (TControl)
pt | DoDock (TControl)
pt | DoDockClientMsg (TWinControl)
pt | DoDockOver (TWinControl)
pt | DoDragMsg (TControl)
pt | DoDragMsg (TWinControl)
pt | DoEndDock (TControl)
pt | DoEndDrag (TControl)
pt | DoEnter (TWinControl)
pt | DoEnter (TCustomEdit)
pt | DoExit (TWinControl)
pt | DoExit (TCustomEdit)
pt | DoFixDesignFontPPI (TControl)
pt | DoFlipChildren (TWinControl)
pt | DoFloatMsg (TControl)
pt | DoFloatMsg (TWinControl)
pt | DoGetDockCaption (TWinControl)
pt | DoKeyDownBeforeInterface (TWinControl)
pt | DoKeyPress (TWinControl)
pt | DoKeyUpBeforeInterface (TWinControl)
pt | DoMouseWheel (TControl)
pt | DoMouseWheelDown (TControl)
pt | DoMouseWheelHorz (TControl)
pt | DoMouseWheelLeft (TControl)
pt | DoMouseWheelRight (TControl)
pt | DoMouseWheelUp (TControl)
pt | DoOnChangeBounds (TControl)
pt | DoOnParentHandleDestruction (TControl)
pt | DoOnResize (TControl)
pt | DoOnShowHint (TControl)
pt | DoRemainingKeyDown (TWinControl)
pt | DoRemainingKeyUp (TWinControl)
pt | DoRemoveDockClient (TWinControl)
pt | DoScaleFontPPI (TControl)
pt | DoSendBoundsToInterface (TWinControl)
pt | DoSendShowHideToInterface (TWinControl)
pt | DoSetBounds (TControl)
pt | DoSetBounds (TWinControl)
pt | DoStartDock (TControl)
pt | DoStartDrag (TControl)
pt | DoUnDock (TWinControl)
pt | DoUndockClientMsg (TWinControl)
pt | DoUTF8KeyPress (TWinControl)
pt | DragCanceled (TControl)
 | DragDrop (TControl)
 | Dragging (TControl)
pt | DragOver (TControl)
 | EditingDone (TControl)
pt | EditingDone (TCustomEdit)
 | EnableAlign (TWinControl)
 | EnableAutoSizing (TControl)
pt | EnabledChanged (TControl)
pt | EnabledChanging (TControl)
pt | EndAutoSizing (TControl)
 | EndDrag (TControl)
 | EndUpdateBounds (TWinControl)
 | Equals (TObject)
 | EraseBackground (TWinControl)
 | ExecuteAction (TComponent)
 | ExecuteCancelAction (TControl)
 | ExecuteDefaultAction (TControl)
 | FieldAddress (TObject)
pt | FinalizeWnd (TWinControl)
pt | FinalizeWnd (TCustomFloatSpinEdit)
 | FindChildControl (TWinControl)
 | FindComponent (TComponent)
pt | FindNextControl (TWinControl)
 | FixDesignFontsPPI (TControl)
pt | FixupTabList (TWinControl)
 | FlipChildren (TWinControl)
 | Focused (TWinControl)
pt | FontChanged (TControl)
pt | FontChanged (TWinControl)
pt | FontChanged (TCustomEdit)
pt | ForeignAnchorSideChanged (TControl)
pt | FormEndUpdated (TControl)
pt | FormEndUpdated (TWinControl)
 | FormIsUpdating (TControl)
 | FPOAttachObserver (TPersistent)
 | FPODetachObserver (TPersistent)
 | FPONotifyObservers (TPersistent)
 | Free (TObject)
 | FreeInstance (TObject)
 | FreeNotification (TComponent)
 | FreeOnRelease (TComponent)
 | GetAccessibleObject (TControl)
pt | GetAction (TControl)
pt | GetActionLinkClass (TControl)
pt | GetAdjustedLogicalClientRect (TWinControl)
 | GetAnchorsDependingOnParent (TControl)
pt | GetBorderStyle (TWinControl)
pt | GetCachedText (TControl)
 | GetCanvasScaleFactor (TControl)
pt | GetCaretPos (TCustomEdit)
 | GetChildAccessibleObjectAtPos (TControl)
 | GetChildOwner (TComponent)
 | GetChildParent (TComponent)
 | GetChildren (TComponent)
pt | GetChildren (TWinControl)
 | GetChildrenRect (TControl)
 | GetChildrenRect (TWinControl)
pt | GetClientOrigin (TControl)
pt | GetClientOrigin (TWinControl)
pt | GetClientRect (TControl)
pt | GetClientRect (TWinControl)
pt | GetClientScrollOffset (TControl)
 | GetColorResolvingParent (TControl)
 | GetComObject (TComponent)
 | GetComponent (TComponent)
 | GetComponentCount (TComponent)
 | GetComponentIndex (TComponent)
pt | GetControlClassDefaultSize (TControl)
pt | GetControlClassDefaultSize (TCustomEdit)
pt | GetControlClassDefaultSize (TCustomFloatSpinEdit)
 | GetControlIndex (TWinControl)
pt | GetControlOrigin (TControl)
pt | GetControlOrigin (TWinControl)
pt | GetCursor (TControl)
 | GetDefaultColor (TControl)
pt | GetDefaultDockCaption (TControl)
 | GetDefaultHeight (TControl)
 | GetDefaultWidth (TControl)
pt | GetDeviceContext (TControl)
pt | GetDeviceContext (TWinControl)
 | GetDockCaption (TWinControl)
pt | GetDockEdge (TControl)
pt | GetDragImages (TControl)
pt | GetEnabled (TControl)
 | GetEnumerator (TComponent)
 | GetEnumeratorControls (TWinControl)
 | GetEnumeratorControlsReverse (TWinControl)
pt | GetFloating (TControl)
pt | GetFloatingDockSiteClass (TControl)
 | GetHashCode (TObject)
 | GetIDsOfNames (TComponent)
 | GetInterface (TObject)
 | GetInterfaceByStr (TObject)
 | GetInterfaceEntry (TObject)
 | GetInterfaceEntryByStr (TObject)
 | GetInterfaceTable (TObject)
 | GetInterfaceWeak (TObject)
 | GetLimitedValue (TCustomFloatSpinEdit)
pt | GetLogicalClientRect (TControl)
pt | GetMouseCapture (TControl)
pt | GetMouseCapture (TWinControl)
pt | GetMousePosFromMessage (TControl)
 | GetNamePath (TPersistent)
 | GetNamePath (TComponent)
pt | GetNumbersOnly (TCustomEdit)
 | GetOwner (TPersistent)
 | GetOwner (TComponent)
pt | GetPalette (TControl)
pt | GetParentBackground (TWinControl)
 | GetParentComponent (TComponent)
 | GetParentComponent (TControl)
pt | GetParentHandle (TWinControl)
pt | GetPopupMenu (TControl)
 | GetPreferredSize (TControl)
pt | GetPreferredSizeClientFrame (TWinControl)
pt | GetReadOnly (TCustomEdit)
 | GetRGBColorResolvingParent (TControl)
pt | GetScrolledClientRect (TControl)
 | GetSelectedChildAccessibleObject (TControl)
pt | GetSelLength (TCustomEdit)
pt | GetSelStart (TCustomEdit)
pt | GetSelText (TCustomEdit)
 | GetSidePosition (TControl)
pt | GetSiteInfo (TWinControl)
 | GetTabOrderList (TWinControl)
 | GetTextBuf (TControl)
pt | GetTextHint (TCustomEdit)
 | GetTextLen (TControl)
 | GetTextLen (TWinControl)
 | GetTopParent (TControl)
pt | GetTopParentHandle (TWinControl)
 | GetTypeInfo (TComponent)
 | GetTypeInfoCount (TComponent)
pt | GetWSComponentClass (TLCLComponent)
 | HandleAllocated (TWinControl)
 | HandleNeeded (TWinControl)
 | HandleObjectShouldBeVisible (TControl)
 | HasHelp (TControl)
 | HasParent (TComponent)
 | HasParent (TControl)
pt | HeightIsAnchored (TControl)
 | Hide (TControl)
 | iicrGetComponent (TComponent)
 | IncLCLRefCount (TLCLComponent)
 | InheritsFrom (TObject)
pt | InitializeWnd (TWinControl)
pt | InitializeWnd (TCustomEdit)
pt | InitializeWnd (TCustomFloatSpinEdit)
 | InitiateAction (TControl)
 | InitInstance (TObject)
 | Insert (TComponent)
 | InsertComponent (TComponent)
 | InsertControl (TWinControl)
 | InstanceSize (TObject)
 | IntfGetDropFilesTarget (TWinControl)
 | IntfUTF8KeyPress (TWinControl)
 | Invalidate (TControl)
 | Invalidate (TWinControl)
pt | InvalidateBoundsRealized (TWinControl)
 | InvalidateClientRectCache (TWinControl)
pt | InvalidateControl (TControl)
pt | InvalidatePreferredChildSizes (TWinControl)
 | InvalidatePreferredSize (TControl)
 | Invoke (TComponent)
pt | IsAParentAligning (TControl)
pt | IsBorderSpacingInnerBorderStored (TControl)
pt | IsCaptionStored (TControl)
pt | IsClientHeightStored (TControl)
pt | IsClientHeightStored (TWinControl)
pt | IsClientWidthStored (TControl)
pt | IsClientWidthStored (TWinControl)
pt | IsControlMouseMsg (TWinControl)
 | IsControlVisible (TControl)
 | IsEnabled (TControl)
 | IsImplementorOf (TComponent)
 | IsParentColor (TControl)
 | IsParentFont (TControl)
 | IsParentOf (TControl)
 | IsProcessingPaintMsg (TControl)
 | IsRightToLeft (TControl)
 | IsVisible (TControl)
pt | KeyDown (TWinControl)
pt | KeyDownAfterInterface (TWinControl)
pt | KeyDownBeforeInterface (TWinControl)
pt | KeyPress (TWinControl)
pt | KeyPress (TCustomFloatSpinEdit)
pt | KeyUp (TWinControl)
pt | KeyUpAfterInterface (TWinControl)
pt | KeyUpAfterInterface (TCustomEdit)
pt | KeyUpBeforeInterface (TWinControl)
pt | LMCaptureChanged (TControl)
 | Loaded (TComponent)
pt | Loaded (TControl)
pt | Loaded (TWinControl)
pt | Loaded (TCustomFloatSpinEdit)
pt | LoadedAll (TControl)
 | Loading (TComponent)
 | LockRealizeBounds (TWinControl)
pt | MainWndProc (TWinControl)
 | ManualDock (TControl)
 | ManualFloat (TControl)
 | MethodAddress (TObject)
 | MethodName (TObject)
pt | MouseDown (TControl)
pt | MouseEnter (TControl)
pt | MouseLeave (TControl)
pt | MouseMove (TControl)
pt | MouseUp (TControl)
pt | MouseUp (TCustomEdit)
 | newinstance (TObject)
 | NewInstance (TLCLComponent)
 | Notification (TComponent)
pt | Notification (TControl)
 | NotifyControls (TWinControl)
pt | PaintControls (TWinControl)
pt | PaintHandler (TWinControl)
 | PaintTo (TWinControl)
pt | PaintWindow (TWinControl)
 | PaletteCreated (TComponent)
 | ParentDestroyingHandle (TControl)
pt | ParentFontChanged (TControl)
pt | ParentFormHandleInitialized (TControl)
pt | ParentFormHandleInitialized (TWinControl)
 | ParentHandlesAllocated (TControl)
 | ParentHandlesAllocated (TWinControl)
 | ParentToClient (TControl)
 | PasteFromClipboard (TCustomEdit)
 | Perform (TControl)
 | PerformTab (TWinControl)
pt | PositionDockRect (TControl)
pt | QuadClick (TControl)
 | QueryInterface (TComponent)
 | ReadLeft (TComponent)
 | ReadState (TComponent)
pt | ReadState (TControl)
 | ReadTop (TComponent)
pt | RealGetText (TControl)
pt | RealGetText (TWinControl)
pt | RealGetText (TCustomEdit)
pt | RealGetText (TCustomFloatSpinEdit)
 | ReAlign (TWinControl)
pt | RealizeBounds (TWinControl)
pt | RealizeBoundsRecursive (TWinControl)
pt | RealSetText (TControl)
pt | RealSetText (TWinControl)
pt | RealSetText (TCustomEdit)
pt | RealSetText (TCustomFloatSpinEdit)
 | ReferenceInterface (TComponent)
 | Refresh (TControl)
pt | ReloadDockedControl (TWinControl)
 | Remove (TComponent)
 | RemoveAllHandlersOfObject (TLCLComponent)
 | RemoveAllHandlersOfObject (TControl)
 | RemoveAllHandlersOfObject (TCustomEdit)
 | RemoveComponent (TComponent)
 | RemoveControl (TWinControl)
pt | RemoveFocus (TWinControl)
 | RemoveFreeNotification (TComponent)
pt | RemoveHandler (TControl)
 | RemoveHandlerOnBeforeDestruction (TControl)
 | RemoveHandlerOnChange (TCustomEdit)
 | RemoveHandlerOnChangeBounds (TControl)
 | RemoveHandlerOnEnableChanging (TControl)
 | RemoveHandlerOnKeyDown (TControl)
 | RemoveHandlerOnMouseWheel (TControl)
 | RemoveHandlerOnResize (TControl)
 | RemoveHandlerOnVisibleChanged (TControl)
 | RemoveHandlerOnVisibleChanging (TControl)
 | RemoveNotification (TComponent)
 | Repaint (TControl)
 | Repaint (TWinControl)
 | ReplaceDockedControl (TControl)
pt | RequestAlign (TControl)
pt | Resize (TControl)
 | SafeCallException (TObject)
 | SafeCallException (TComponent)
 | Scale96ToFont (TControl)
 | Scale96ToForm (TControl)
 | Scale96ToScreen (TControl)
 | ScaleBy (TWinControl)
pt | ScaleConstraints (TControl)
pt | ScaleControls (TWinControl)
 | ScaleDesignToForm (TControl)
 | ScaleFontsPPI (TControl)
 | ScaleFontTo96 (TControl)
 | ScaleFontToScreen (TControl)
 | ScaleFormTo96 (TControl)
 | ScaleFormToDesign (TControl)
 | ScaleScreenTo96 (TControl)
 | ScaleScreenToFont (TControl)
 | ScreenToClient (TControl)
 | ScreenToControl (TControl)
 | ScrollBy (TWinControl)
 | ScrollBy_WS (TWinControl)
 | SelectAll (TCustomEdit)
pt | SelectFirst (TWinControl)
 | SelectNext (TWinControl)
pt | SendDialogChar (TWinControl)
pt | SendMoveSizeMessages (TControl)
pt | SendMoveSizeMessages (TWinControl)
 | SendToBack (TControl)
pt | SetAction (TControl)
pt | SetAlign (TControl)
 | SetAncestor (TComponent)
pt | SetAnchors (TControl)
pt | SetAutoSize (TControl)
pt | SetBiDiMode (TControl)
pt | SetBorderStyle (TWinControl)
 | SetBounds (TControl)
 | SetBounds (TWinControl)
 | SetBoundsKeepBase (TControl)
pt | SetCaretPos (TCustomEdit)
 | SetChildOrder (TComponent)
pt | SetChildZPosition (TWinControl)
pt | SetColor (TControl)
pt | SetColor (TWinControl)
 | SetComponentIndex (TComponent)
 | SetControlIndex (TWinControl)
pt | SetCursor (TControl)
pt | SetDecimals (TCustomFloatSpinEdit)
 | SetDesigning (TComponent)
 | SetDesignInstance (TComponent)
pt | SetDockManager (TWinControl)
pt | SetDragMode (TControl)
pt | SetEchoMode (TCustomEdit)
pt | SetEnabled (TControl)
 | SetFocus (TWinControl)
pt | SetHint (TControl)
pt | SetIncrement (TCustomFloatSpinEdit)
pt | SetIncrement (TCustomSpinEdit)
 | SetInitialBounds (TControl)
 | SetInline (TComponent)
pt | SetMaxValue (TCustomFloatSpinEdit)
pt | SetMaxValue (TCustomSpinEdit)
pt | SetMinValue (TCustomFloatSpinEdit)
pt | SetMinValue (TCustomSpinEdit)
 | SetName (TComponent)
pt | SetName (TControl)
pt | SetNumbersOnly (TCustomEdit)
pt | SetParent (TControl)
pt | SetParentBackground (TWinControl)
pt | SetParentBiDiMode (TControl)
 | SetParentComponent (TComponent)
pt | SetParentComponent (TControl)
pt | SetReadOnly (TCustomEdit)
 | SetReference (TComponent)
pt | SetSelLength (TCustomEdit)
pt | SetSelStart (TCustomEdit)
pt | SetSelText (TCustomEdit)
 | SetShape (TWinControl)
 | SetSubComponent (TComponent)
 | SetTempCursor (TControl)
 | SetTempCursor (TWinControl)
 | SetTextBuf (TControl)
pt | SetTextHint (TCustomEdit)
pt | SetValue (TCustomFloatSpinEdit)
pt | SetValue (TCustomSpinEdit)
pt | SetValueEmpty (TCustomFloatSpinEdit)
pt | SetVisible (TControl)
pt | SetZOrder (TControl)
 | ShouldAutoAdjust (TControl)
pt | ShouldAutoAdjust (TCustomEdit)
 | Show (TControl)
pt | ShowControl (TWinControl)
 | ShowHelp (TControl)
 | StringMessageTable (TObject)
 | StrToValue (TCustomFloatSpinEdit)
pt | TextChanged (TControl)
pt | TextChanged (TCustomEdit)
pt | TextChanged (TCustomFloatSpinEdit)
 | ToString (TObject)
pt | TripleClick (TControl)
 | Undo (TCustomEdit)
 | UnitName (TObject)
 | UnlockRealizeBounds (TWinControl)
 | Update (TControl)
 | Update (TWinControl)
 | UpdateAction (TComponent)
pt | UpdateAnchorRules (TControl)
 | UpdateBaseBounds (TControl)
pt | UpdateControlState (TWinControl)
 | Updated (TComponent)
 | UpdateDockCaption (TWinControl)
pt | UpdateMouseCursor (TControl)
 | UpdateRegistry (TComponent)
 | UpdateRolesForForm (TControl)
pt | UpdateShowing (TWinControl)
 | Updating (TComponent)
 | UseRightToLeftAlignment (TControl)
 | UseRightToLeftReading (TControl)
 | UseRightToLeftScrollBar (TControl)
pt | UTF8KeyPress (TWinControl)
 | ValidateContainer (TComponent)
 | ValidateInsert (TComponent)
 | ValidateRename (TComponent)
 | ValueToStr (TCustomFloatSpinEdit)
pt | VisibleChanged (TControl)
pt | VisibleChanging (TControl)
pt | WidthIsAnchored (TControl)
pt | WMCancelMode (TControl)
pt | WMChar (TWinControl)
pt | WMChar (TCustomEdit)
pt | WMContextMenu (TControl)
pt | WMContextMenu (TWinControl)
pt | WMDestroy (TWinControl)
pt | WMEnter (TWinControl)
pt | WMEraseBkgnd (TWinControl)
pt | WMExit (TWinControl)
pt | WMKeyDown (TWinControl)
pt | WMKeyUp (TWinControl)
pt | WMKillFocus (TWinControl)
pt | WMKillFocus (TCustomEdit)
pt | WMLButtonDBLCLK (TControl)
pt | WMLButtonDown (TControl)
pt | WMLButtonQuadCLK (TControl)
pt | WMLButtonTripleCLK (TControl)
pt | WMLButtonUp (TControl)
pt | WMMButtonDBLCLK (TControl)
pt | WMMButtonDown (TControl)
pt | WMMButtonQuadCLK (TControl)
pt | WMMButtonTripleCLK (TControl)
pt | WMMButtonUp (TControl)
pt | WMMouseHWheel (TControl)
pt | WMMouseMove (TControl)
pt | WMMouseWheel (TControl)
pt | WMMove (TControl)
pt | WMMove (TWinControl)
pt | WMNotify (TWinControl)
pt | WMPaint (TWinControl)
pt | WMRButtonDBLCLK (TControl)
pt | WMRButtonDown (TControl)
pt | WMRButtonQuadCLK (TControl)
pt | WMRButtonTripleCLK (TControl)
pt | WMRButtonUp (TControl)
pt | WMSetFocus (TWinControl)
pt | WMSetFocus (TCustomEdit)
pt | WMShowWindow (TWinControl)
pt | WMSize (TControl)
pt | WMSize (TWinControl)
pt | WMSysChar (TWinControl)
pt | WMSysKeyDown (TWinControl)
pt | WMSysKeyUp (TWinControl)
pt | WMWindowPosChanged (TControl)
pt | WMWindowPosChanged (TWinControl)
pt | WMXButtonDBLCLK (TControl)
pt | WMXButtonDown (TControl)
pt | WMXButtonQuadCLK (TControl)
pt | WMXButtonTripleCLK (TControl)
pt | WMXButtonUp (TControl)
pt | WndProc (TControl)
pt | WndProc (TWinControl)
pt | WndProc (TCustomEdit)
 | WriteLayoutDebugReport (TControl)
 | WriteLayoutDebugReport (TWinControl)
 | WriteLeft (TComponent)
 | WriteState (TComponent)
 | WriteTop (TComponent)
pt | WSRegisterClass (TLCLComponent)
pt | WSRegisterClass (TControl)
pt | WSRegisterClass (TWinControl)
pt | WSRegisterClass (TCustomEdit)
pt | WSRegisterClass (TCustomFloatSpinEdit)
pt | WSSetText (TWinControl)
 | _AddRef (TComponent)
 | _Release (TComponent)


TCustomSpinEdit
TCustomFloatSpinEdit
TCustomEdit
 | OnChange
TWinControl
pt | OnGetSiteInfo
pt | OnGetDockCaption
 | OnAlignInsertBefore
 | OnAlignPosition
 | OnDockDrop
 | OnDockOver
 | OnEnter
 | OnExit
 | OnKeyDown
 | OnKeyPress
 | OnKeyUp
 | OnUnDock
 | OnUTF8KeyPress
TControl
pt | OnConstrainedResize
pt | OnContextPopup
pt | OnDblClick
pt | OnTripleClick
pt | OnQuadClick
pt | OnDragDrop
pt | OnDragOver
pt | OnEndDock
pt | OnEndDrag
pt | OnMouseDown
pt | OnMouseMove
pt | OnMouseUp
pt | OnMouseEnter
pt | OnMouseLeave
pt | OnMouseWheel
pt | OnMouseWheelDown
pt | OnMouseWheelUp
pt | OnMouseWheelHorz
pt | OnMouseWheelLeft
pt | OnMouseWheelRight
pt | OnStartDock
pt | OnStartDrag
pt | OnEditingDone
 | OnChangeBounds
 | OnClick
 | OnResize
 | OnShowHint
TLCLComponent
TComponent
TPersistent
TObject


TCustomSpinEdit.Create

Declaration

Source position: spin.pp line 149

public constructor TCustomSpinEdit.Create(

  TheOwner: TComponent

); override;


TCustomSpinEdit.Increment

The value by which the value of the control should be increased/decresed when the user clicks one of the arrows or one of the keyboard up/down arrows

Declaration

Source position: spin.pp line 154

public property TCustomSpinEdit.Increment : Integer
  read GetIncrement
  write SetIncrement
  default 1;

See also

TCustomSpinEdit.MinValue | Minimal value allowed for the spin edit.
TCustomSpinEdit.MaxValue | Maximal valueallowed for the spin edit.
TCustomSpinEdit.Value | The value of spin control.


TCustomSpinEdit.MaxValue

Maximal valueallowed for the spin edit.

Declaration

Source position: spin.pp line 153

public property TCustomSpinEdit.MaxValue : Integer
  read GetMaxValue
  write SetMaxValue
  default 100;

Description

Maximal value allowed for the spin edit. Set the MinValue property equal to MaxValue to allow any number to be selected.

See also

TCustomSpinEdit.MinValue | Minimal value allowed for the spin edit.
TCustomSpinEdit.Value | The value of spin control.
TCustomSpinEdit.Increment | The value by which the value of the control should be increased/decresed when the user clicks one of the arrows or one of the keyboard up/down arrows


TCustomSpinEdit.MinValue

Minimal value allowed for the spin edit.

Declaration

Source position: spin.pp line 152

public property TCustomSpinEdit.MinValue : Integer
  read GetMinValue
  write SetMinValue
  default 0;

Description

Minimal value allowed for the spin edit. Set the MinValue property equal to MaxValue to allow any number to be selected.

See also

TCustomSpinEdit.MaxValue | Maximal valueallowed for the spin edit.
TCustomSpinEdit.Value | The value of spin control.
TCustomSpinEdit.Increment | The value by which the value of the control should be increased/decresed when the user clicks one of the arrows or one of the keyboard up/down arrows


TCustomSpinEdit.SetIncrement

Declaration

Source position: spin.pp line 146

protected procedure TCustomSpinEdit.SetIncrement(

  const AValue: Integer

); virtual; overload;


TCustomSpinEdit.SetMaxValue

Declaration

Source position: spin.pp line 144

protected procedure TCustomSpinEdit.SetMaxValue(

  const AValue: Integer

); virtual; overload;


TCustomSpinEdit.SetMinValue

Declaration

Source position: spin.pp line 145

protected procedure TCustomSpinEdit.SetMinValue(

  const AValue: Integer

); virtual; overload;


TCustomSpinEdit.SetValue

Declaration

Source position: spin.pp line 147

protected procedure TCustomSpinEdit.SetValue(

  const AValue: Integer

); virtual; overload;


TCustomSpinEdit.Value

The value of spin control.

Declaration

Source position: spin.pp line 151

public property TCustomSpinEdit.Value : Integer
  read GetValue
  write SetValue
  default 0;

See also

TCustomSpinEdit.MinValue | Minimal value allowed for the spin edit.
TCustomSpinEdit.MaxValue | Maximal valueallowed for the spin edit.
TCustomSpinEdit.Increment | The value by which the value of the control should be increased/decresed when the user clicks one of the arrows or one of the keyboard up/down arrows


TFloatSpinEdit

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

The main class for the float-based spin control

Declaration

Source position: spin.pp line 82

type TFloatSpinEdit = class(TCustomFloatSpinEdit)
public
property AutoSelected: Boolean; |
published
property Align: TAlign; | Specifies the placement of the control inside its Parent.
property Alignment: TAlignment;
property Anchors: TAnchors; | The set of anchor definitions for this control.
property AutoSelect: Boolean; |
property AutoSize: Boolean; | Allows to automatically adjust the size of the control, according to its content.
property BorderSpacing: TControlBorderSpacing; | Determines the inner and outer border spacing for this control.
property Color: TColor;
property Constraints: TSizeConstraints; | The minimal and maximal Width and Height of this control.
property DecimalPlaces: Integer; |
property Enabled: Boolean; | Determines whether the control reacts on mouse or keyboard input.
property Font: TFont;
property Increment: Double; | An amount to be incremented/decremented to the value when spin edit up/down arrow button is pushed.
property MaxValue: Double; | Maximal value allowed for the spin edit.
property MinValue: Double; | Minimal value allowed for the spin edit.
property OnChange: TNotifyEvent; | The OnChange event is fired when spin edit value has changed.
property OnChangeBounds: TNotifyEvent; |
property OnClick: TNotifyEvent; |
property OnEditingDone: TNotifyEvent; |
property OnEnter: TNotifyEvent; | Handler for control receiving the focus.
property OnExit: TNotifyEvent; | Handler for control loosing the focus. This is a good place for checking the finished user input.
property OnKeyDown: TKeyEvent; | Handler for keyboard key pressed.
property OnKeyPress: TKeyPressEvent; | Handler for a character entered by the user.
property OnKeyUp: TKeyEvent; | Handler for keyboard key released.
property OnMouseDown: TMouseEvent; | Event handler for mouse button going down.
property OnMouseEnter: TNotifyEvent;
property OnMouseLeave: TNotifyEvent;
property OnMouseMove: TMouseMoveEvent; | Event handler for mouse movement within the control.
property OnMouseUp: TMouseEvent; | Event handler for mouse button going up.
property OnMouseWheel: TMouseWheelEvent;
property OnMouseWheelDown: TMouseWheelUpDownEvent;
property OnMouseWheelUp: TMouseWheelUpDownEvent;
property OnMouseWheelHorz: TMouseWheelEvent;
property OnMouseWheelLeft: TMouseWheelUpDownEvent;
property OnMouseWheelRight: TMouseWheelUpDownEvent;
property OnResize: TNotifyEvent; | Notification handler for a resize of the control.
property OnUTF8KeyPress: TUTF8KeyPressEvent; | Handler for a character entered by the user.
property ParentColor: Boolean;
property ParentFont: Boolean;
property ParentShowHint: Boolean; | If true, the value of ShowHint for the control will be the same as the one from the Parent. Default is true.
property PopupMenu: TPopupMenu; | A context-sensitive menu that pops up when the right mouse button is clicked over this control
property ReadOnly: Boolean; |
property ShowHint: Boolean; | Enables the Hint display.
property TabStop: Boolean;
property TabOrder: TTabOrder; | Determines the sequence of controls, reachable when the user presses the Tab key.
property Value: Double; | The value of spin control.
property Visible: Boolean; | Allows to show or hide the control, and all of its children.
end;

Inheritance

TFloatSpinEdit | The main class for the float-based spin control
|
TCustomFloatSpinEdit | The base class for the float-based spin control
|
TCustomEdit | The base class for controls presenting editable text.
|
TWinControl | The base class for controls which can contain other (child) controls.
|
TControl | The base class for visible controls.
|
TLCLComponent | The base class for LCL components associated with widgets.
|
TComponent,IUnknown,IInterfaceComponentReference
|
TPersistent,IFPObserved
|
TObject

Description

The main class for the float-based spin edit control. Use TFloatSpinEdit to allow user to pick float value.

See also

TSpinEdit

The main class for the integer-based spin control


TFloatSpinEdit
 | ro | AutoSelected
pl | ro | Align
pl | ro | Alignment
pl | ro | Anchors
pl | ro | AutoSelect
pl | ro | AutoSize
pl | ro | BorderSpacing
pl | ro | Color
pl | ro | Constraints
pl | ro | DecimalPlaces
pl | ro | Enabled
pl | ro | Font
pl | ro | Increment
pl | ro | MaxValue
pl | ro | MinValue
pl | ro | ParentColor
pl | ro | ParentFont
pl | ro | ParentShowHint
pl | ro | PopupMenu
pl | ro | ReadOnly
pl | ro | ShowHint
pl | ro | TabStop
pl | ro | TabOrder
pl | ro | Value
pl | ro | Visible
TCustomFloatSpinEdit
 |  | DecimalPlaces
 |  | Increment
 |  | MinValue
 |  | MaxValue
 |  | Value
 |  | ValueEmpty
TCustomEdit
pt |  | AutoSelect
pt |  | AutoSelected
pt | ro | ParentColor
 |  | Alignment
 | ro | AutoSize
 | ro | BorderStyle
 | ro | CanUndo
 |  | CaretPos
 |  | CharCase
 |  | EchoMode
 |  | HideSelection
 |  | MaxLength
 |  | Modified
 |  | NumbersOnly
 |  | PasswordChar
 | ro | PopupMenu
 |  | ReadOnly
 |  | SelLength
 |  | SelStart
 |  | SelText
 | ro | TabOrder
 | ro | TabStop
 | ro | Text
 |  | TextHint
TWinControl
pt |  | WindowHandle
pt |  | BorderStyle
pt |  | ParentBackground
 |  | BorderWidth
 | ro | BoundsLockCount
 | ro | Brush
 | ro | CachedClientHeight
 | ro | CachedClientWidth
 |  | ChildSizing
 | ro | ControlCount
 | ro | Controls
 |  | DefWndProc
 | ro | DockClientCount
 | ro | DockClients
 |  | DockManager
 |  | DockSite
 |  | DoubleBuffered
 |  | Handle
 | ro | IsFlipped
 | ro | IsResizing
 |  | TabOrder
 |  | TabStop
 |  | ParentDoubleBuffered
 |  | ParentWindow
 | ro | Showing
 |  | UseDockManager
 |  | DesignerDeleting
 | ro | VisibleDockClientCount
TControl
pt | ro | AutoSizing
pt | ro | AutoSizingAll
pt | ro | AutoSizingLockCount
pt |  | ActionLink
pt |  | DesktopFont
pt |  | DragCursor
pt |  | DragKind
pt |  | DragMode
pt |  | MouseCapture
pt |  | ParentColor
pt |  | ParentFont
pt |  | ParentShowHint
pt |  | SessionProperties
pt |  | Text
 | ro | AnchoredControls
 | ro | BaseBounds
 | ro | ReadBounds
 | ro | BaseParentClientSize
 |  | AccessibleDescription
 |  | AccessibleValue
 |  | AccessibleRole
 |  | Action
 |  | Align
 |  | Anchors
 | ro | AnchorSide
 |  | AutoSize
 |  | BorderSpacing
 |  | BoundsRect
 |  | BoundsRectForNewParent
 |  | Caption
 |  | CaptureMouseButtons
 |  | ClientHeight
 | ro | ClientOrigin
 | ro | ClientRect
 |  | ClientWidth
 |  | Color
 |  | Constraints
 | ro | ControlOrigin
 |  | ControlState
 |  | ControlStyle
 |  | Enabled
 |  | Font
 |  | IsControl
 | ro | MouseEntered
 | ro | MouseInClient
 |  | Parent
 |  | PopupMenu
 |  | ShowHint
 |  | Visible
 |  | WindowProc
 |  | DockOrientation
 | ro | Floating
 |  | FloatingDockSiteClass
 |  | HostDockSite
 |  | LRDockWidth
 |  | TBDockHeight
 |  | UndockHeight
 |  | UndockWidth
 |  | BiDiMode
 |  | ParentBiDiMode
pl |  | AnchorSideLeft
pl |  | AnchorSideTop
pl |  | AnchorSideRight
pl |  | AnchorSideBottom
pl |  | Cursor
pl |  | Left
pl |  | Height
pl |  | Hint
pl |  | Top
pl |  | Width
pl |  | HelpType
pl |  | HelpKeyword
pl |  | HelpContext
TLCLComponent
 | ro | LCLRefCount
 | ro | WidgetSetClass
TComponent
 | ro | ComObject
 | ro | Components
 | ro | ComponentCount
 |  | ComponentIndex
 | ro | ComponentState
 | ro | ComponentStyle
 |  | DesignInfo
 | ro | Owner
 |  | VCLComObject
 |  | Name
 |  | Tag
TPersistent
TObject


 |  | AccessibleDescription (TControl)
 |  | AccessibleRole (TControl)
 |  | AccessibleValue (TControl)
 |  | Action (TControl)
pt |  | ActionLink (TControl)
 |  | Align (TControl)
pl | ro | Align (TFloatSpinEdit)
 |  | Alignment (TCustomEdit)
pl | ro | Alignment (TFloatSpinEdit)
 | ro | AnchoredControls (TControl)
 |  | Anchors (TControl)
pl | ro | Anchors (TFloatSpinEdit)
 | ro | AnchorSide (TControl)
pl |  | AnchorSideBottom (TControl)
pl |  | AnchorSideLeft (TControl)
pl |  | AnchorSideRight (TControl)
pl |  | AnchorSideTop (TControl)
pt |  | AutoSelect (TCustomEdit)
pl | ro | AutoSelect (TFloatSpinEdit)
pt |  | AutoSelected (TCustomEdit)
 | ro | AutoSelected (TFloatSpinEdit)
 |  | AutoSize (TControl)
 | ro | AutoSize (TCustomEdit)
pl | ro | AutoSize (TFloatSpinEdit)
pt | ro | AutoSizing (TControl)
pt | ro | AutoSizingAll (TControl)
pt | ro | AutoSizingLockCount (TControl)
 | ro | BaseBounds (TControl)
 | ro | BaseParentClientSize (TControl)
 |  | BiDiMode (TControl)
 |  | BorderSpacing (TControl)
pl | ro | BorderSpacing (TFloatSpinEdit)
pt |  | BorderStyle (TWinControl)
 | ro | BorderStyle (TCustomEdit)
 |  | BorderWidth (TWinControl)
 | ro | BoundsLockCount (TWinControl)
 |  | BoundsRect (TControl)
 |  | BoundsRectForNewParent (TControl)
 | ro | Brush (TWinControl)
 | ro | CachedClientHeight (TWinControl)
 | ro | CachedClientWidth (TWinControl)
 | ro | CanUndo (TCustomEdit)
 |  | Caption (TControl)
 |  | CaptureMouseButtons (TControl)
 |  | CaretPos (TCustomEdit)
 |  | CharCase (TCustomEdit)
 |  | ChildSizing (TWinControl)
 |  | ClientHeight (TControl)
 | ro | ClientOrigin (TControl)
 | ro | ClientRect (TControl)
 |  | ClientWidth (TControl)
 |  | Color (TControl)
pl | ro | Color (TFloatSpinEdit)
 | ro | ComObject (TComponent)
 | ro | ComponentCount (TComponent)
 |  | ComponentIndex (TComponent)
 | ro | Components (TComponent)
 | ro | ComponentState (TComponent)
 | ro | ComponentStyle (TComponent)
 |  | Constraints (TControl)
pl | ro | Constraints (TFloatSpinEdit)
 | ro | ControlCount (TWinControl)
 | ro | ControlOrigin (TControl)
 | ro | Controls (TWinControl)
 |  | ControlState (TControl)
 |  | ControlStyle (TControl)
pl |  | Cursor (TControl)
 |  | DecimalPlaces (TCustomFloatSpinEdit)
pl | ro | DecimalPlaces (TFloatSpinEdit)
 |  | DefWndProc (TWinControl)
 |  | DesignerDeleting (TWinControl)
 |  | DesignInfo (TComponent)
pt |  | DesktopFont (TControl)
 | ro | DockClientCount (TWinControl)
 | ro | DockClients (TWinControl)
 |  | DockManager (TWinControl)
 |  | DockOrientation (TControl)
 |  | DockSite (TWinControl)
 |  | DoubleBuffered (TWinControl)
pt |  | DragCursor (TControl)
pt |  | DragKind (TControl)
pt |  | DragMode (TControl)
 |  | EchoMode (TCustomEdit)
 |  | Enabled (TControl)
pl | ro | Enabled (TFloatSpinEdit)
 | ro | Floating (TControl)
 |  | FloatingDockSiteClass (TControl)
 |  | Font (TControl)
pl | ro | Font (TFloatSpinEdit)
 |  | Handle (TWinControl)
pl |  | Height (TControl)
pl |  | HelpContext (TControl)
pl |  | HelpKeyword (TControl)
pl |  | HelpType (TControl)
 |  | HideSelection (TCustomEdit)
pl |  | Hint (TControl)
 |  | HostDockSite (TControl)
 |  | Increment (TCustomFloatSpinEdit)
pl | ro | Increment (TFloatSpinEdit)
 |  | IsControl (TControl)
 | ro | IsFlipped (TWinControl)
 | ro | IsResizing (TWinControl)
 | ro | LCLRefCount (TLCLComponent)
pl |  | Left (TControl)
 |  | LRDockWidth (TControl)
 |  | MaxLength (TCustomEdit)
 |  | MaxValue (TCustomFloatSpinEdit)
pl | ro | MaxValue (TFloatSpinEdit)
 |  | MinValue (TCustomFloatSpinEdit)
pl | ro | MinValue (TFloatSpinEdit)
 |  | Modified (TCustomEdit)
pt |  | MouseCapture (TControl)
 | ro | MouseEntered (TControl)
 | ro | MouseInClient (TControl)
 |  | Name (TComponent)
 |  | NumbersOnly (TCustomEdit)
 | ro | Owner (TComponent)
 |  | Parent (TControl)
pt |  | ParentBackground (TWinControl)
 |  | ParentBiDiMode (TControl)
pt |  | ParentColor (TControl)
pt | ro | ParentColor (TCustomEdit)
pl | ro | ParentColor (TFloatSpinEdit)
 |  | ParentDoubleBuffered (TWinControl)
pt |  | ParentFont (TControl)
pl | ro | ParentFont (TFloatSpinEdit)
pt |  | ParentShowHint (TControl)
pl | ro | ParentShowHint (TFloatSpinEdit)
 |  | ParentWindow (TWinControl)
 |  | PasswordChar (TCustomEdit)
 |  | PopupMenu (TControl)
 | ro | PopupMenu (TCustomEdit)
pl | ro | PopupMenu (TFloatSpinEdit)
 | ro | ReadBounds (TControl)
 |  | ReadOnly (TCustomEdit)
pl | ro | ReadOnly (TFloatSpinEdit)
 |  | SelLength (TCustomEdit)
 |  | SelStart (TCustomEdit)
 |  | SelText (TCustomEdit)
pt |  | SessionProperties (TControl)
 |  | ShowHint (TControl)
pl | ro | ShowHint (TFloatSpinEdit)
 | ro | Showing (TWinControl)
 |  | TabOrder (TWinControl)
 | ro | TabOrder (TCustomEdit)
pl | ro | TabOrder (TFloatSpinEdit)
 |  | TabStop (TWinControl)
 | ro | TabStop (TCustomEdit)
pl | ro | TabStop (TFloatSpinEdit)
 |  | Tag (TComponent)
 |  | TBDockHeight (TControl)
pt |  | Text (TControl)
 | ro | Text (TCustomEdit)
 |  | TextHint (TCustomEdit)
pl |  | Top (TControl)
 |  | UndockHeight (TControl)
 |  | UndockWidth (TControl)
 |  | UseDockManager (TWinControl)
 |  | Value (TCustomFloatSpinEdit)
pl | ro | Value (TFloatSpinEdit)
 |  | ValueEmpty (TCustomFloatSpinEdit)
 |  | VCLComObject (TComponent)
 |  | Visible (TControl)
pl | ro | Visible (TFloatSpinEdit)
 | ro | VisibleDockClientCount (TWinControl)
 | ro | WidgetSetClass (TLCLComponent)
pl |  | Width (TControl)
pt |  | WindowHandle (TWinControl)
 |  | WindowProc (TControl)


TFloatSpinEdit
TCustomFloatSpinEdit
pt | WSRegisterClass
pt | RealGetText
pt | RealSetText
pt | TextChanged
pt | SetDecimals
pt | SetValue
pt | SetMaxValue
pt | SetMinValue
pt | SetValueEmpty
pt | SetIncrement
pt | InitializeWnd
pt | FinalizeWnd
pt | Loaded
pt | KeyPress
pt | GetControlClassDefaultSize
 | Create
 | GetLimitedValue
 | ValueToStr
 | StrToValue
TCustomEdit
pt | WSRegisterClass
pt | CanShowEmulatedTextHint
pt | CreateEmulatedTextHintFont
pt | CalculatePreferredSize
pt | CreateParams
pt | InitializeWnd
pt | TextChanged
pt | FontChanged
pt | Change
pt | DoEnter
pt | DoExit
pt | EditingDone
pt | GetCaretPos
pt | GetNumbersOnly
pt | GetReadOnly
pt | GetSelLength
pt | GetSelStart
pt | GetSelText
pt | GetTextHint
pt | SetCaretPos
pt | SetEchoMode
pt | SetNumbersOnly
pt | SetReadOnly
pt | SetSelLength
pt | SetSelStart
pt | SetSelText
pt | SetTextHint
pt | ChildClassAllowed
pt | GetControlClassDefaultSize
pt | MouseUp
pt | RealSetText
pt | RealGetText
pt | KeyUpAfterInterface
pt | WMChar
pt | CMWantSpecialKey
pt | WndProc
pt | ShouldAutoAdjust
pt | WMSetFocus
pt | WMKillFocus
 | Create
 | Destroy
 | Clear
 | SelectAll
 | ClearSelection
 | CopyToClipboard
 | CutToClipboard
 | PasteFromClipboard
 | Undo
 | RemoveAllHandlersOfObject
 | AddHandlerOnChange
 | RemoveHandlerOnChange
TWinControl
pt | WSRegisterClass
pt | AdjustClientRect
pt | GetAdjustedLogicalClientRect
pt | AlignControls
pt | CustomAlignInsertBefore
pt | CustomAlignPosition
pt | DoAlignChildControls
pt | DoChildSizingChange
pt | InvalidatePreferredChildSizes
pt | CanTab
pt | IsClientHeightStored
pt | IsClientWidthStored
pt | DoSendShowHideToInterface
pt | ControlsAligned
pt | DoSendBoundsToInterface
pt | RealizeBounds
pt | RealizeBoundsRecursive
pt | InvalidateBoundsRealized
pt | CreateSubClass
pt | DoConstraintsChange
pt | DoSetBounds
pt | DoAutoSize
pt | DoAllAutoSize
pt | AllAutoSized
pt | CalculatePreferredSize
pt | GetPreferredSizeClientFrame
pt | GetChildren
pt | ChildClassAllowed
pt | PaintControls
pt | PaintHandler
pt | PaintWindow
pt | CreateBrush
pt | ScaleControls
pt | ChangeScale
pt | CMBiDiModeChanged
pt | CMBorderChanged
pt | CMDoubleBufferedChanged
pt | CMEnabledChanged
pt | CMParentDoubleBufferedChanged
pt | CMShowingChanged
pt | CMShowHintChanged
pt | CMVisibleChanged
pt | CMEnter
pt | CMExit
pt | WMContextMenu
pt | WMEraseBkgnd
pt | WMNotify
pt | WMSetFocus
pt | WMKillFocus
pt | WMShowWindow
pt | WMEnter
pt | WMExit
pt | WMKeyDown
pt | WMSysKeyDown
pt | WMKeyUp
pt | WMSysKeyUp
pt | WMChar
pt | WMSysChar
pt | WMPaint
pt | WMDestroy
pt | WMMove
pt | WMSize
pt | WMWindowPosChanged
pt | CNKeyDown
pt | CNSysKeyDown
pt | CNKeyUp
pt | CNSysKeyUp
pt | CNChar
pt | DoDragMsg
pt | DoDockClientMsg
pt | DoUndockClientMsg
pt | DoAddDockClient
pt | DockOver
pt | DoDockOver
pt | DoRemoveDockClient
pt | DoUnDock
pt | GetSiteInfo
pt | GetParentHandle
pt | GetTopParentHandle
pt | ReloadDockedControl
pt | CreateDockManager
pt | SetDockManager
pt | DoFloatMsg
pt | DoGetDockCaption
pt | DoEnter
pt | DoExit
pt | DoKeyDownBeforeInterface
pt | DoRemainingKeyDown
pt | DoRemainingKeyUp
pt | DoKeyPress
pt | DoUTF8KeyPress
pt | DoKeyUpBeforeInterface
pt | ChildKey
pt | SendDialogChar
pt | DialogChar
pt | ControlKeyDown
pt | ControlKeyUp
pt | KeyDown
pt | KeyDownBeforeInterface
pt | KeyDownAfterInterface
pt | KeyPress
pt | KeyUp
pt | KeyUpBeforeInterface
pt | KeyUpAfterInterface
pt | UTF8KeyPress
pt | FindNextControl
pt | SelectFirst
pt | RealGetText
pt | GetBorderStyle
pt | GetClientOrigin
pt | GetClientRect
pt | GetControlOrigin
pt | GetDeviceContext
pt | GetParentBackground
pt | IsControlMouseMsg
pt | CreateHandle
pt | CreateParams
pt | CreateWnd
pt | DestroyHandle
pt | DestroyWnd
pt | DoFlipChildren
pt | FinalizeWnd
pt | FixupTabList
pt | FontChanged
pt | InitializeWnd
pt | Loaded
pt | FormEndUpdated
pt | MainWndProc
pt | ParentFormHandleInitialized
pt | ChildHandlesCreated
pt | GetMouseCapture
pt | RealSetText
pt | RemoveFocus
pt | SendMoveSizeMessages
pt | SetBorderStyle
pt | SetColor
pt | SetChildZPosition
pt | SetParentBackground
pt | ShowControl
pt | UpdateControlState
pt | UpdateShowing
pt | WndProc
pt | WSSetText
 | AutoSizePhases
 | AutoSizeDelayed
 | AutoSizeDelayedReport
 | AutoSizeDelayedHandle
 | BeginUpdateBounds
 | EndUpdateBounds
 | LockRealizeBounds
 | UnlockRealizeBounds
 | ControlAtPos
 | ContainsControl
 | DoAdjustClientRectChange
 | InvalidateClientRectCache
 | ClientRectNeedsInterfaceUpdate
 | SetBounds
 | GetChildrenRect
 | DisableAlign
 | EnableAlign
 | ReAlign
 | ScrollBy_WS
 | ScrollBy
 | WriteLayoutDebugReport
 | AutoAdjustLayout
 | Create
 | CreateParented
 | CreateParentedControl
 | Destroy
 | DockDrop
 | CanFocus
 | CanSetFocus
 | GetControlIndex
 | SetControlIndex
 | Focused
 | PerformTab
 | FindChildControl
 | SelectNext
 | SetTempCursor
 | BroadCast
 | NotifyControls
 | DefaultHandler
 | GetTextLen
 | Invalidate
 | AddControl
 | InsertControl
 | RemoveControl
 | GetEnumeratorControls
 | GetEnumeratorControlsReverse
 | Repaint
 | Update
 | SetFocus
 | FlipChildren
 | ScaleBy
 | GetDockCaption
 | UpdateDockCaption
 | GetTabOrderList
 | HandleAllocated
 | ParentHandlesAllocated
 | HandleNeeded
 | BrushCreated
 | EraseBackground
 | IntfUTF8KeyPress
 | IntfGetDropFilesTarget
 | PaintTo
 | SetShape
TControl
pt | WSRegisterClass
pt | GetCursor
pt | SetCursor
pt | SetVisible
pt | DoOnParentHandleDestruction
pt | DoAutoSize
pt | DoAllAutoSize
pt | BeginAutoSizing
pt | EndAutoSizing
pt | AnchorSideChanged
pt | ForeignAnchorSideChanged
pt | SetAlign
pt | SetAnchors
pt | SetAutoSize
pt | BoundsChanged
pt | CreateControlBorderSpacing
pt | DoConstraintsChange
pt | DoBorderSpacingChange
pt | IsBorderSpacingInnerBorderStored
pt | IsCaptionStored
pt | SendMoveSizeMessages
pt | ConstrainedResize
pt | CalculatePreferredSize
pt | DoOnResize
pt | DoOnChangeBounds
pt | CheckOnChangeBounds
pt | Resize
pt | RequestAlign
pt | UpdateAnchorRules
pt | ChangeBounds
pt | DoSetBounds
pt | ScaleConstraints
pt | ChangeScale
pt | CanAutoSize
pt | SetBiDiMode
pt | SetParentBiDiMode
pt | IsAParentAligning
pt | GetClientOrigin
pt | GetClientRect
pt | GetLogicalClientRect
pt | GetScrolledClientRect
pt | GetClientScrollOffset
pt | GetControlOrigin
pt | IsClientHeightStored
pt | IsClientWidthStored
pt | WidthIsAnchored
pt | HeightIsAnchored
pt | WMCancelMode
pt | WMContextMenu
pt | WMLButtonDown
pt | WMRButtonDown
pt | WMMButtonDown
pt | WMXButtonDown
pt | WMLButtonDBLCLK
pt | WMRButtonDBLCLK
pt | WMMButtonDBLCLK
pt | WMXButtonDBLCLK
pt | WMLButtonTripleCLK
pt | WMRButtonTripleCLK
pt | WMMButtonTripleCLK
pt | WMXButtonTripleCLK
pt | WMLButtonQuadCLK
pt | WMRButtonQuadCLK
pt | WMMButtonQuadCLK
pt | WMXButtonQuadCLK
pt | WMMouseMove
pt | WMLButtonUp
pt | WMRButtonUp
pt | WMMButtonUp
pt | WMXButtonUp
pt | WMMouseWheel
pt | WMMouseHWheel
pt | WMMove
pt | WMSize
pt | WMWindowPosChanged
pt | CMChanged
pt | LMCaptureChanged
pt | CMBiDiModeChanged
pt | CMSysFontChanged
pt | CMEnabledChanged
pt | CMHitTest
pt | CMMouseEnter
pt | CMMouseLeave
pt | CMHintShow
pt | CMParentBiDiModeChanged
pt | CMParentColorChanged
pt | CMParentFontChanged
pt | CMParentShowHintChanged
pt | CMVisibleChanged
pt | CMTextChanged
pt | CMCursorChanged
pt | CalculateDockSizes
pt | CreateFloatingDockSite
pt | GetDockEdge
pt | GetDragImages
pt | GetFloating
pt | GetFloatingDockSiteClass
pt | BeforeDragStart
pt | BeginAutoDrag
pt | DoFloatMsg
pt | DockTrackNoTarget
pt | DoDock
pt | DoDragMsg
pt | DoEndDock
pt | DoEndDrag
pt | DoStartDock
pt | DoStartDrag
pt | DragCanceled
pt | DragOver
pt | PositionDockRect
pt | SetDragMode
pt | GetDefaultDockCaption
pt | Click
pt | DblClick
pt | TripleClick
pt | QuadClick
pt | GetMousePosFromMessage
pt | MouseDown
pt | MouseMove
pt | MouseUp
pt | MouseEnter
pt | MouseLeave
pt | DialogChar
pt | UpdateMouseCursor
pt | Changed
pt | GetPalette
pt | ChildClassAllowed
pt | ReadState
pt | Loaded
pt | LoadedAll
pt | DefineProperties
pt | AssignTo
pt | FormEndUpdated
pt | InvalidateControl
pt | FontChanged
pt | ParentFontChanged
pt | GetAction
pt | RealGetText
pt | RealSetText
pt | TextChanged
pt | GetCachedText
pt | SetAction
pt | SetColor
pt | SetEnabled
pt | SetHint
pt | SetName
pt | SetParent
pt | SetParentComponent
pt | WndProc
pt | ParentFormHandleInitialized
pt | GetMouseCapture
pt | CaptureChanged
pt | Notification
pt | CanTab
pt | GetDeviceContext
pt | GetEnabled
pt | GetPopupMenu
pt | DoOnShowHint
pt | DoMouseWheel
pt | DoMouseWheelDown
pt | DoMouseWheelUp
pt | DoMouseWheelHorz
pt | DoMouseWheelLeft
pt | DoMouseWheelRight
pt | VisibleChanging
pt | VisibleChanged
pt | EnabledChanging
pt | EnabledChanged
pt | AddHandler
pt | RemoveHandler
pt | DoCallNotifyHandler
pt | DoCallKeyEventHandler
pt | DoCallMouseWheelEventHandler
pt | DoContextPopup
pt | SetZOrder
pt | GetControlClassDefaultSize
pt | ColorIsStored
pt | DoAutoAdjustLayout
pt | DoFixDesignFontPPI
pt | DoScaleFontPPI
pt | GetActionLinkClass
pt | ActionChange
 | DragDrop
 | Dock
 | ManualDock
 | ManualFloat
 | ReplaceDockedControl
 | Docked
 | Dragging
 | GetAccessibleObject
 | CreateAccessibleObject
 | GetSelectedChildAccessibleObject
 | GetChildAccessibleObjectAtPos
 | ScaleDesignToForm
 | ScaleFormToDesign
 | Scale96ToForm
 | ScaleFormTo96
 | Scale96ToFont
 | ScaleFontTo96
 | ScaleScreenToFont
 | ScaleFontToScreen
 | Scale96ToScreen
 | ScaleScreenTo96
 | AdjustSize
 | AutoSizePhases
 | AutoSizeDelayed
 | AutoSizeDelayedReport
 | AutoSizeDelayedHandle
 | AnchorToNeighbour
 | AnchorParallel
 | AnchorHorizontalCenterTo
 | AnchorVerticalCenterTo
 | AnchorToCompanion
 | AnchorSame
 | AnchorAsAlign
 | AnchorClient
 | AnchoredControlCount
 | SetBounds
 | SetInitialBounds
 | SetBoundsKeepBase
 | GetPreferredSize
 | GetCanvasScaleFactor
 | GetDefaultWidth
 | GetDefaultHeight
 | GetDefaultColor
 | GetColorResolvingParent
 | GetRGBColorResolvingParent
 | GetSidePosition
 | CNPreferredSizeChanged
 | InvalidatePreferredSize
 | GetAnchorsDependingOnParent
 | DisableAutoSizing
 | EnableAutoSizing
 | UpdateBaseBounds
 | WriteLayoutDebugReport
 | AutoAdjustLayout
 | ShouldAutoAdjust
 | FixDesignFontsPPI
 | ScaleFontsPPI
 | Create
 | Destroy
 | BeforeDestruction
 | EditingDone
 | ExecuteDefaultAction
 | ExecuteCancelAction
 | BeginDrag
 | EndDrag
 | BringToFront
 | HasParent
 | GetParentComponent
 | IsParentOf
 | GetTopParent
 | IsVisible
 | IsControlVisible
 | IsEnabled
 | IsParentColor
 | IsParentFont
 | FormIsUpdating
 | IsProcessingPaintMsg
 | Hide
 | Refresh
 | Repaint
 | Invalidate
 | CheckChildClassAllowed
 | CheckNewParent
 | SendToBack
 | SetTempCursor
 | UpdateRolesForForm
 | ActiveDefaultControlChanged
 | GetTextBuf
 | GetTextLen
 | SetTextBuf
 | Perform
 | ScreenToClient
 | ClientToScreen
 | ScreenToControl
 | ControlToScreen
 | ClientToParent
 | ParentToClient
 | GetChildrenRect
 | Show
 | Update
 | HandleObjectShouldBeVisible
 | ParentDestroyingHandle
 | ParentHandlesAllocated
 | InitiateAction
 | ShowHelp
 | HasHelp
 | RemoveAllHandlersOfObject
 | AddHandlerOnResize
 | RemoveHandlerOnResize
 | AddHandlerOnChangeBounds
 | RemoveHandlerOnChangeBounds
 | AddHandlerOnVisibleChanging
 | RemoveHandlerOnVisibleChanging
 | AddHandlerOnVisibleChanged
 | RemoveHandlerOnVisibleChanged
 | AddHandlerOnEnabledChanged
 | RemoveHandlerOnEnableChanging
 | AddHandlerOnKeyDown
 | RemoveHandlerOnKeyDown
 | AddHandlerOnBeforeDestruction
 | RemoveHandlerOnBeforeDestruction
 | AddHandlerOnMouseWheel
 | RemoveHandlerOnMouseWheel
 | UseRightToLeftAlignment
 | UseRightToLeftReading
 | UseRightToLeftScrollBar
 | IsRightToLeft
TLCLComponent
pt | WSRegisterClass
pt | GetWSComponentClass
 | Create
 | Destroy
 | NewInstance
 | RemoveAllHandlersOfObject
 | IncLCLRefCount
 | DecLCLRefCount
TComponent
 | GetComObject
 | GetComponent
 | GetComponentCount
 | GetComponentIndex
 | Insert
 | ReadLeft
 | ReadTop
 | Remove
 | RemoveNotification
 | SetComponentIndex
 | SetReference
 | WriteLeft
 | WriteTop
 | ChangeName
 | DefineProperties
 | GetChildren
 | GetChildOwner
 | GetChildParent
 | GetOwner
 | Loaded
 | Loading
 | Notification
 | PaletteCreated
 | ReadState
 | SetAncestor
 | SetDesigning
 | SetDesignInstance
 | SetInline
 | SetName
 | SetChildOrder
 | SetParentComponent
 | Updating
 | Updated
 | UpdateRegistry
 | ValidateRename
 | ValidateContainer
 | ValidateInsert
 | QueryInterface
 | _AddRef
 | _Release
 | iicrGetComponent
 | GetTypeInfoCount
 | GetTypeInfo
 | GetIDsOfNames
 | Invoke
 | WriteState
 | Create
 | Destroy
 | BeforeDestruction
 | DestroyComponents
 | Destroying
 | ExecuteAction
 | FindComponent
 | FreeNotification
 | RemoveFreeNotification
 | FreeOnRelease
 | GetEnumerator
 | GetNamePath
 | GetParentComponent
 | HasParent
 | InsertComponent
 | RemoveComponent
 | SafeCallException
 | SetSubComponent
 | UpdateAction
 | IsImplementorOf
 | ReferenceInterface
TPersistent
 | AssignError
 | AssignTo
 | DefineProperties
 | GetOwner
 | Destroy
 | Assign
 | FPOAttachObserver
 | FPODetachObserver
 | FPONotifyObservers
 | GetNamePath
TObject
 | Create
 | Destroy
 | newinstance
 | FreeInstance
 | SafeCallException
 | DefaultHandler
 | Free
 | InitInstance
 | CleanupInstance
 | ClassType
 | ClassInfo
 | ClassName
 | ClassNameIs
 | ClassParent
 | InstanceSize
 | InheritsFrom
 | StringMessageTable
 | MethodAddress
 | MethodName
 | FieldAddress
 | AfterConstruction
 | BeforeDestruction
 | DefaultHandlerStr
 | Dispatch
 | DispatchStr
 | GetInterface
 | GetInterfaceByStr
 | GetInterfaceWeak
 | GetInterfaceEntry
 | GetInterfaceEntryByStr
 | GetInterfaceTable
 | UnitName
 | Equals
 | GetHashCode
 | ToString


TFloatSpinEdit
pl | ro | OnChange
pl | ro | OnChangeBounds
pl | ro | OnClick
pl | ro | OnEditingDone
pl | ro | OnEnter
pl | ro | OnExit
pl | ro | OnKeyDown
pl | ro | OnKeyPress
pl | ro | OnKeyUp
pl | ro | OnMouseDown
pl | ro | OnMouseEnter
pl | ro | OnMouseLeave
pl | ro | OnMouseMove
pl | ro | OnMouseUp
pl | ro | OnMouseWheel
pl | ro | OnMouseWheelDown
pl | ro | OnMouseWheelUp
pl | ro | OnMouseWheelHorz
pl | ro | OnMouseWheelLeft
pl | ro | OnMouseWheelRight
pl | ro | OnResize
pl | ro | OnUTF8KeyPress
TCustomFloatSpinEdit
TCustomEdit
 |  | OnChange
TWinControl
pt |  | OnGetSiteInfo
pt |  | OnGetDockCaption
 |  | OnAlignInsertBefore
 |  | OnAlignPosition
 |  | OnDockDrop
 |  | OnDockOver
 |  | OnEnter
 |  | OnExit
 |  | OnKeyDown
 |  | OnKeyPress
 |  | OnKeyUp
 |  | OnUnDock
 |  | OnUTF8KeyPress
TControl
pt |  | OnConstrainedResize
pt |  | OnContextPopup
pt |  | OnDblClick
pt |  | OnTripleClick
pt |  | OnQuadClick
pt |  | OnDragDrop
pt |  | OnDragOver
pt |  | OnEndDock
pt |  | OnEndDrag
pt |  | OnMouseDown
pt |  | OnMouseMove
pt |  | OnMouseUp
pt |  | OnMouseEnter
pt |  | OnMouseLeave
pt |  | OnMouseWheel
pt |  | OnMouseWheelDown
pt |  | OnMouseWheelUp
pt |  | OnMouseWheelHorz
pt |  | OnMouseWheelLeft
pt |  | OnMouseWheelRight
pt |  | OnStartDock
pt |  | OnStartDrag
pt |  | OnEditingDone
 |  | OnChangeBounds
 |  | OnClick
 |  | OnResize
 |  | OnShowHint
TLCLComponent
TComponent
TPersistent
TObject


pl | ro | OnChange (TFloatSpinEdit)
 |  | OnChangeBounds (TControl)
pl | ro | OnChangeBounds (TFloatSpinEdit)
 |  | OnClick (TControl)
pl | ro | OnClick (TFloatSpinEdit)
pt |  | OnConstrainedResize (TControl)
pt |  | OnContextPopup (TControl)
pt |  | OnDblClick (TControl)
 |  | OnDockDrop (TWinControl)
 |  | OnDockOver (TWinControl)
pt |  | OnDragDrop (TControl)
pt |  | OnDragOver (TControl)
pt |  | OnEditingDone (TControl)
pl | ro | OnEditingDone (TFloatSpinEdit)
pt |  | OnEndDock (TControl)
pt |  | OnEndDrag (TControl)
 |  | OnEnter (TWinControl)
pl | ro | OnEnter (TFloatSpinEdit)
 |  | OnExit (TWinControl)
pl | ro | OnExit (TFloatSpinEdit)
pt |  | OnGetDockCaption (TWinControl)
pt |  | OnGetSiteInfo (TWinControl)
 |  | OnKeyDown (TWinControl)
pl | ro | OnKeyDown (TFloatSpinEdit)
 |  | OnKeyPress (TWinControl)
pl | ro | OnKeyPress (TFloatSpinEdit)
 |  | OnKeyUp (TWinControl)
pl | ro | OnKeyUp (TFloatSpinEdit)
pt |  | OnMouseDown (TControl)
pl | ro | OnMouseDown (TFloatSpinEdit)
pt |  | OnMouseEnter (TControl)
pl | ro | OnMouseEnter (TFloatSpinEdit)
pt |  | OnMouseLeave (TControl)
pl | ro | OnMouseLeave (TFloatSpinEdit)
pt |  | OnMouseMove (TControl)
pl | ro | OnMouseMove (TFloatSpinEdit)
pt |  | OnMouseUp (TControl)
pl | ro | OnMouseUp (TFloatSpinEdit)
pt |  | OnMouseWheel (TControl)
pl | ro | OnMouseWheel (TFloatSpinEdit)
pt |  | OnMouseWheelDown (TControl)
pl | ro | OnMouseWheelDown (TFloatSpinEdit)
pt |  | OnMouseWheelHorz (TControl)
pl | ro | OnMouseWheelHorz (TFloatSpinEdit)
pt |  | OnMouseWheelLeft (TControl)
pl | ro | OnMouseWheelLeft (TFloatSpinEdit)
pt |  | OnMouseWheelRight (TControl)
pl | ro | OnMouseWheelRight (TFloatSpinEdit)
pt |  | OnMouseWheelUp (TControl)
pl | ro | OnMouseWheelUp (TFloatSpinEdit)
pt |  | OnQuadClick (TControl)
 |  | OnResize (TControl)
pl | ro | OnResize (TFloatSpinEdit)
 |  | OnShowHint (TControl)
pt |  | OnStartDock (TControl)
pt |  | OnStartDrag (TControl)
pt |  | OnTripleClick (TControl)
 |  | OnUnDock (TWinControl)
 |  | OnUTF8KeyPress (TWinControl)
pl | ro | OnUTF8KeyPress (TFloatSpinEdit)


TFloatSpinEdit.Alignment

Declaration

Source position: spin.pp line 87

published property TFloatSpinEdit.Alignment : TAlignment;


TFloatSpinEdit.AutoSelect

Declaration

Source position: spin.pp line 89

published property TFloatSpinEdit.AutoSelect : Boolean;


TFloatSpinEdit.AutoSelected

Declaration

Source position: spin.pp line 84

public property TFloatSpinEdit.AutoSelected : Boolean;


TFloatSpinEdit.Color

Declaration

Source position: spin.pp line 92

published property TFloatSpinEdit.Color : TColor;


TFloatSpinEdit.DecimalPlaces

Declaration

Source position: spin.pp line 94

published property TFloatSpinEdit.DecimalPlaces : Integer;


TFloatSpinEdit.Font

Declaration

Source position: spin.pp line 96

published property TFloatSpinEdit.Font : TFont;


TFloatSpinEdit.OnChange

The OnChange event is fired when spin edit value has changed.

Declaration

Source position: spin.pp line 100

published property TFloatSpinEdit.OnChange : TNotifyEvent;

Description

This OnChange event is based on TCustomEdit.OnChange, so it is fired both on changes made by the user and also for changes made by code. A change is defined as a modification which will cause the text displayed on the screen by the control to change. This corresponds to a change in the property Value of the control. The event is called after the change takes place, so the Value property will contain the new value.

See also

TCustomEdit.OnChange | Event handler for any change in text.
TSpinEdit.OnChange | The OnChange event is fired when the spin edit value has changed.


TFloatSpinEdit.OnChangeBounds

Declaration

Source position: spin.pp line 101

published property TFloatSpinEdit.OnChangeBounds : TNotifyEvent;


TFloatSpinEdit.OnClick

Declaration

Source position: spin.pp line 102

published property TFloatSpinEdit.OnClick : TNotifyEvent;


TFloatSpinEdit.OnEditingDone

Declaration

Source position: spin.pp line 103

published property TFloatSpinEdit.OnEditingDone : TNotifyEvent;


TFloatSpinEdit.OnMouseEnter

Declaration

Source position: spin.pp line 110

published property TFloatSpinEdit.OnMouseEnter : TNotifyEvent;


TFloatSpinEdit.OnMouseLeave

Declaration

Source position: spin.pp line 111

published property TFloatSpinEdit.OnMouseLeave : TNotifyEvent;


TFloatSpinEdit.OnMouseWheel

Declaration

Source position: spin.pp line 114

published property TFloatSpinEdit.OnMouseWheel : TMouseWheelEvent;


TFloatSpinEdit.OnMouseWheelDown

Declaration

Source position: spin.pp line 115

published property TFloatSpinEdit.OnMouseWheelDown : TMouseWheelUpDownEvent;


TFloatSpinEdit.OnMouseWheelHorz

Declaration

Source position: spin.pp line 117

published property TFloatSpinEdit.OnMouseWheelHorz : TMouseWheelEvent;


TFloatSpinEdit.OnMouseWheelLeft

Declaration

Source position: spin.pp line 118

published property TFloatSpinEdit.OnMouseWheelLeft : TMouseWheelUpDownEvent;


TFloatSpinEdit.OnMouseWheelRight

Declaration

Source position: spin.pp line 119

published property TFloatSpinEdit.OnMouseWheelRight : TMouseWheelUpDownEvent;


TFloatSpinEdit.OnMouseWheelUp

Declaration

Source position: spin.pp line 116

published property TFloatSpinEdit.OnMouseWheelUp : TMouseWheelUpDownEvent;


TFloatSpinEdit.ParentColor

Declaration

Source position: spin.pp line 122

published property TFloatSpinEdit.ParentColor : Boolean;


TFloatSpinEdit.ParentFont

Declaration

Source position: spin.pp line 123

published property TFloatSpinEdit.ParentFont : Boolean;


TFloatSpinEdit.ReadOnly

Declaration

Source position: spin.pp line 126

published property TFloatSpinEdit.ReadOnly : Boolean;


TFloatSpinEdit.TabStop

Declaration

Source position: spin.pp line 128

published property TFloatSpinEdit.TabStop : Boolean;


TSpinEdit

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

The main class for the integer-based spin control

Declaration

Source position: spin.pp line 160

type TSpinEdit = class(TCustomSpinEdit)
public
property AutoSelected: Boolean; | True when the text selection was established automatically.
published
property Align: TAlign; | Specifies the placement of the control inside its Parent.
property Alignment: TAlignment;
property Anchors: TAnchors; | The set of anchor definitions for this control.
property AutoSelect: Boolean; | If True, the edit control will select all its text when it receives focus or when the Enter key is pressed.
property AutoSize: Boolean; | Allows to automatically adjust the size of the control, according to its content.
property BorderSpacing: TControlBorderSpacing; | Determines the inner and outer border spacing for this control.
property Color: TColor;
property Constraints: TSizeConstraints; | The minimal and maximal Width and Height of this control.
property Enabled: Boolean; | Determines whether the control reacts on mouse or keyboard input.
property Font: TFont;
property Increment: Integer; | The value by which the value of the control should be increased/decresed when the user clicks one of the arrows or one of the keyboard up/down arrows
property MaxValue: Integer; | Maximal valueallowed for the spin edit.
property MinValue: Integer; | Minimal value allowed for the spin edit.
property OnChange: TNotifyEvent; | The OnChange event is fired when the spin edit value has changed.
property OnChangeBounds: TNotifyEvent; | Event handler for a change of the Bounds of the control.
property OnClick: TNotifyEvent; | Notification handler for mouse clicks.
property OnEditingDone: TNotifyEvent;
property OnEnter: TNotifyEvent; | Handler for control receiving the focus.
property OnExit: TNotifyEvent; | Handler for control loosing the focus. This is a good place for checking the finished user input.
property OnKeyDown: TKeyEvent; | Handler for keyboard key pressed.
property OnKeyPress: TKeyPressEvent; | Handler for a character entered by the user.
property OnKeyUp: TKeyEvent; | Handler for keyboard key released.
property OnMouseDown: TMouseEvent; | Event handler for mouse button going down.
property OnMouseEnter: TNotifyEvent;
property OnMouseLeave: TNotifyEvent;
property OnMouseMove: TMouseMoveEvent; | Event handler for mouse movement within the control.
property OnMouseUp: TMouseEvent; | Event handler for mouse button going up.
property OnMouseWheel: TMouseWheelEvent;
property OnMouseWheelDown: TMouseWheelUpDownEvent;
property OnMouseWheelUp: TMouseWheelUpDownEvent;
property OnMouseWheelHorz: TMouseWheelEvent;
property OnMouseWheelLeft: TMouseWheelUpDownEvent;
property OnMouseWheelRight: TMouseWheelUpDownEvent;
property OnResize: TNotifyEvent; | Notification handler for a resize of the control.
property OnUTF8KeyPress: TUTF8KeyPressEvent; | Handler for a character entered by the user.
property ParentColor: Boolean;
property ParentFont: Boolean;
property ParentShowHint: Boolean; | If true, the value of ShowHint for the control will be the same as the one from the Parent. Default is true.
property PopupMenu: TPopupMenu; | A context-sensitive menu that pops up when the right mouse button is clicked over this control
property ReadOnly: Boolean; | Prevents the user from changing the text.
property ShowHint: Boolean; | Enables the Hint display.
property TabStop: Boolean; | Allows the user to navigate to this control, by pressing the Tab key.
property TabOrder: TTabOrder; | Determines the sequence of controls, reachable when the user presses the Tab key.
property Value: Integer; | The value of spin control.
property Visible: Boolean; | Allows to show or hide the control, and all of its children.
end;

Inheritance

TSpinEdit | The main class for the integer-based spin control
|
TCustomSpinEdit | The base class for the integer-based spin control
|
TCustomFloatSpinEdit | The base class for the float-based spin control
|
TCustomEdit | The base class for controls presenting editable text.
|
TWinControl | The base class for controls which can contain other (child) controls.
|
TControl | The base class for visible controls.
|
TLCLComponent | The base class for LCL components associated with widgets.
|
TComponent,IUnknown,IInterfaceComponentReference
|
TPersistent,IFPObserved
|
TObject

Description

The main class for the integer-based spin edit control. Use TSpinEdit to allow user to pick integer value.

See also

TFloatSpinEdit

The main class for the float-based spin control


TSpinEdit
 | ro | AutoSelected
pl | ro | Align
pl | ro | Alignment
pl | ro | Anchors
pl | ro | AutoSelect
pl | ro | AutoSize
pl | ro | BorderSpacing
pl | ro | Color
pl | ro | Constraints
pl | ro | Enabled
pl | ro | Font
pl | ro | Increment
pl | ro | MaxValue
pl | ro | MinValue
pl | ro | ParentColor
pl | ro | ParentFont
pl | ro | ParentShowHint
pl | ro | PopupMenu
pl | ro | ReadOnly
pl | ro | ShowHint
pl | ro | TabStop
pl | ro | TabOrder
pl | ro | Value
pl | ro | Visible
TCustomSpinEdit
 |  | Value
 |  | MinValue
 |  | MaxValue
 |  | Increment
TCustomFloatSpinEdit
 |  | DecimalPlaces
 |  | Increment
 |  | MinValue
 |  | MaxValue
 |  | Value
 |  | ValueEmpty
TCustomEdit
pt |  | AutoSelect
pt |  | AutoSelected
pt | ro | ParentColor
 |  | Alignment
 | ro | AutoSize
 | ro | BorderStyle
 | ro | CanUndo
 |  | CaretPos
 |  | CharCase
 |  | EchoMode
 |  | HideSelection
 |  | MaxLength
 |  | Modified
 |  | NumbersOnly
 |  | PasswordChar
 | ro | PopupMenu
 |  | ReadOnly
 |  | SelLength
 |  | SelStart
 |  | SelText
 | ro | TabOrder
 | ro | TabStop
 | ro | Text
 |  | TextHint
TWinControl
pt |  | WindowHandle
pt |  | BorderStyle
pt |  | ParentBackground
 |  | BorderWidth
 | ro | BoundsLockCount
 | ro | Brush
 | ro | CachedClientHeight
 | ro | CachedClientWidth
 |  | ChildSizing
 | ro | ControlCount
 | ro | Controls
 |  | DefWndProc
 | ro | DockClientCount
 | ro | DockClients
 |  | DockManager
 |  | DockSite
 |  | DoubleBuffered
 |  | Handle
 | ro | IsFlipped
 | ro | IsResizing
 |  | TabOrder
 |  | TabStop
 |  | ParentDoubleBuffered
 |  | ParentWindow
 | ro | Showing
 |  | UseDockManager
 |  | DesignerDeleting
 | ro | VisibleDockClientCount
TControl
pt | ro | AutoSizing
pt | ro | AutoSizingAll
pt | ro | AutoSizingLockCount
pt |  | ActionLink
pt |  | DesktopFont
pt |  | DragCursor
pt |  | DragKind
pt |  | DragMode
pt |  | MouseCapture
pt |  | ParentColor
pt |  | ParentFont
pt |  | ParentShowHint
pt |  | SessionProperties
pt |  | Text
 | ro | AnchoredControls
 | ro | BaseBounds
 | ro | ReadBounds
 | ro | BaseParentClientSize
 |  | AccessibleDescription
 |  | AccessibleValue
 |  | AccessibleRole
 |  | Action
 |  | Align
 |  | Anchors
 | ro | AnchorSide
 |  | AutoSize
 |  | BorderSpacing
 |  | BoundsRect
 |  | BoundsRectForNewParent
 |  | Caption
 |  | CaptureMouseButtons
 |  | ClientHeight
 | ro | ClientOrigin
 | ro | ClientRect
 |  | ClientWidth
 |  | Color
 |  | Constraints
 | ro | ControlOrigin
 |  | ControlState
 |  | ControlStyle
 |  | Enabled
 |  | Font
 |  | IsControl
 | ro | MouseEntered
 | ro | MouseInClient
 |  | Parent
 |  | PopupMenu
 |  | ShowHint
 |  | Visible
 |  | WindowProc
 |  | DockOrientation
 | ro | Floating
 |  | FloatingDockSiteClass
 |  | HostDockSite
 |  | LRDockWidth
 |  | TBDockHeight
 |  | UndockHeight
 |  | UndockWidth
 |  | BiDiMode
 |  | ParentBiDiMode
pl |  | AnchorSideLeft
pl |  | AnchorSideTop
pl |  | AnchorSideRight
pl |  | AnchorSideBottom
pl |  | Cursor
pl |  | Left
pl |  | Height
pl |  | Hint
pl |  | Top
pl |  | Width
pl |  | HelpType
pl |  | HelpKeyword
pl |  | HelpContext
TLCLComponent
 | ro | LCLRefCount
 | ro | WidgetSetClass
TComponent
 | ro | ComObject
 | ro | Components
 | ro | ComponentCount
 |  | ComponentIndex
 | ro | ComponentState
 | ro | ComponentStyle
 |  | DesignInfo
 | ro | Owner
 |  | VCLComObject
 |  | Name
 |  | Tag
TPersistent
TObject


 |  | AccessibleDescription (TControl)
 |  | AccessibleRole (TControl)
 |  | AccessibleValue (TControl)
 |  | Action (TControl)
pt |  | ActionLink (TControl)
 |  | Align (TControl)
pl | ro | Align (TSpinEdit)
 |  | Alignment (TCustomEdit)
pl | ro | Alignment (TSpinEdit)
 | ro | AnchoredControls (TControl)
 |  | Anchors (TControl)
pl | ro | Anchors (TSpinEdit)
 | ro | AnchorSide (TControl)
pl |  | AnchorSideBottom (TControl)
pl |  | AnchorSideLeft (TControl)
pl |  | AnchorSideRight (TControl)
pl |  | AnchorSideTop (TControl)
pt |  | AutoSelect (TCustomEdit)
pl | ro | AutoSelect (TSpinEdit)
pt |  | AutoSelected (TCustomEdit)
 | ro | AutoSelected (TSpinEdit)
 |  | AutoSize (TControl)
 | ro | AutoSize (TCustomEdit)
pl | ro | AutoSize (TSpinEdit)
pt | ro | AutoSizing (TControl)
pt | ro | AutoSizingAll (TControl)
pt | ro | AutoSizingLockCount (TControl)
 | ro | BaseBounds (TControl)
 | ro | BaseParentClientSize (TControl)
 |  | BiDiMode (TControl)
 |  | BorderSpacing (TControl)
pl | ro | BorderSpacing (TSpinEdit)
pt |  | BorderStyle (TWinControl)
 | ro | BorderStyle (TCustomEdit)
 |  | BorderWidth (TWinControl)
 | ro | BoundsLockCount (TWinControl)
 |  | BoundsRect (TControl)
 |  | BoundsRectForNewParent (TControl)
 | ro | Brush (TWinControl)
 | ro | CachedClientHeight (TWinControl)
 | ro | CachedClientWidth (TWinControl)
 | ro | CanUndo (TCustomEdit)
 |  | Caption (TControl)
 |  | CaptureMouseButtons (TControl)
 |  | CaretPos (TCustomEdit)
 |  | CharCase (TCustomEdit)
 |  | ChildSizing (TWinControl)
 |  | ClientHeight (TControl)
 | ro | ClientOrigin (TControl)
 | ro | ClientRect (TControl)
 |  | ClientWidth (TControl)
 |  | Color (TControl)
pl | ro | Color (TSpinEdit)
 | ro | ComObject (TComponent)
 | ro | ComponentCount (TComponent)
 |  | ComponentIndex (TComponent)
 | ro | Components (TComponent)
 | ro | ComponentState (TComponent)
 | ro | ComponentStyle (TComponent)
 |  | Constraints (TControl)
pl | ro | Constraints (TSpinEdit)
 | ro | ControlCount (TWinControl)
 | ro | ControlOrigin (TControl)
 | ro | Controls (TWinControl)
 |  | ControlState (TControl)
 |  | ControlStyle (TControl)
pl |  | Cursor (TControl)
 |  | DecimalPlaces (TCustomFloatSpinEdit)
 |  | DefWndProc (TWinControl)
 |  | DesignerDeleting (TWinControl)
 |  | DesignInfo (TComponent)
pt |  | DesktopFont (TControl)
 | ro | DockClientCount (TWinControl)
 | ro | DockClients (TWinControl)
 |  | DockManager (TWinControl)
 |  | DockOrientation (TControl)
 |  | DockSite (TWinControl)
 |  | DoubleBuffered (TWinControl)
pt |  | DragCursor (TControl)
pt |  | DragKind (TControl)
pt |  | DragMode (TControl)
 |  | EchoMode (TCustomEdit)
 |  | Enabled (TControl)
pl | ro | Enabled (TSpinEdit)
 | ro | Floating (TControl)
 |  | FloatingDockSiteClass (TControl)
 |  | Font (TControl)
pl | ro | Font (TSpinEdit)
 |  | Handle (TWinControl)
pl |  | Height (TControl)
pl |  | HelpContext (TControl)
pl |  | HelpKeyword (TControl)
pl |  | HelpType (TControl)
 |  | HideSelection (TCustomEdit)
pl |  | Hint (TControl)
 |  | HostDockSite (TControl)
 |  | Increment (TCustomFloatSpinEdit)
 |  | Increment (TCustomSpinEdit)
pl | ro | Increment (TSpinEdit)
 |  | IsControl (TControl)
 | ro | IsFlipped (TWinControl)
 | ro | IsResizing (TWinControl)
 | ro | LCLRefCount (TLCLComponent)
pl |  | Left (TControl)
 |  | LRDockWidth (TControl)
 |  | MaxLength (TCustomEdit)
 |  | MaxValue (TCustomFloatSpinEdit)
 |  | MaxValue (TCustomSpinEdit)
pl | ro | MaxValue (TSpinEdit)
 |  | MinValue (TCustomFloatSpinEdit)
 |  | MinValue (TCustomSpinEdit)
pl | ro | MinValue (TSpinEdit)
 |  | Modified (TCustomEdit)
pt |  | MouseCapture (TControl)
 | ro | MouseEntered (TControl)
 | ro | MouseInClient (TControl)
 |  | Name (TComponent)
 |  | NumbersOnly (TCustomEdit)
 | ro | Owner (TComponent)
 |  | Parent (TControl)
pt |  | ParentBackground (TWinControl)
 |  | ParentBiDiMode (TControl)
pt |  | ParentColor (TControl)
pt | ro | ParentColor (TCustomEdit)
pl | ro | ParentColor (TSpinEdit)
 |  | ParentDoubleBuffered (TWinControl)
pt |  | ParentFont (TControl)
pl | ro | ParentFont (TSpinEdit)
pt |  | ParentShowHint (TControl)
pl | ro | ParentShowHint (TSpinEdit)
 |  | ParentWindow (TWinControl)
 |  | PasswordChar (TCustomEdit)
 |  | PopupMenu (TControl)
 | ro | PopupMenu (TCustomEdit)
pl | ro | PopupMenu (TSpinEdit)
 | ro | ReadBounds (TControl)
 |  | ReadOnly (TCustomEdit)
pl | ro | ReadOnly (TSpinEdit)
 |  | SelLength (TCustomEdit)
 |  | SelStart (TCustomEdit)
 |  | SelText (TCustomEdit)
pt |  | SessionProperties (TControl)
 |  | ShowHint (TControl)
pl | ro | ShowHint (TSpinEdit)
 | ro | Showing (TWinControl)
 |  | TabOrder (TWinControl)
 | ro | TabOrder (TCustomEdit)
pl | ro | TabOrder (TSpinEdit)
 |  | TabStop (TWinControl)
 | ro | TabStop (TCustomEdit)
pl | ro | TabStop (TSpinEdit)
 |  | Tag (TComponent)
 |  | TBDockHeight (TControl)
pt |  | Text (TControl)
 | ro | Text (TCustomEdit)
 |  | TextHint (TCustomEdit)
pl |  | Top (TControl)
 |  | UndockHeight (TControl)
 |  | UndockWidth (TControl)
 |  | UseDockManager (TWinControl)
 |  | Value (TCustomFloatSpinEdit)
 |  | Value (TCustomSpinEdit)
pl | ro | Value (TSpinEdit)
 |  | ValueEmpty (TCustomFloatSpinEdit)
 |  | VCLComObject (TComponent)
 |  | Visible (TControl)
pl | ro | Visible (TSpinEdit)
 | ro | VisibleDockClientCount (TWinControl)
 | ro | WidgetSetClass (TLCLComponent)
pl |  | Width (TControl)
pt |  | WindowHandle (TWinControl)
 |  | WindowProc (TControl)


TSpinEdit
TCustomSpinEdit
pt | SetMaxValue
pt | SetMinValue
pt | SetIncrement
pt | SetValue
 | Create
TCustomFloatSpinEdit
pt | WSRegisterClass
pt | RealGetText
pt | RealSetText
pt | TextChanged
pt | SetDecimals
pt | SetValue
pt | SetMaxValue
pt | SetMinValue
pt | SetValueEmpty
pt | SetIncrement
pt | InitializeWnd
pt | FinalizeWnd
pt | Loaded
pt | KeyPress
pt | GetControlClassDefaultSize
 | Create
 | GetLimitedValue
 | ValueToStr
 | StrToValue
TCustomEdit
pt | WSRegisterClass
pt | CanShowEmulatedTextHint
pt | CreateEmulatedTextHintFont
pt | CalculatePreferredSize
pt | CreateParams
pt | InitializeWnd
pt | TextChanged
pt | FontChanged
pt | Change
pt | DoEnter
pt | DoExit
pt | EditingDone
pt | GetCaretPos
pt | GetNumbersOnly
pt | GetReadOnly
pt | GetSelLength
pt | GetSelStart
pt | GetSelText
pt | GetTextHint
pt | SetCaretPos
pt | SetEchoMode
pt | SetNumbersOnly
pt | SetReadOnly
pt | SetSelLength
pt | SetSelStart
pt | SetSelText
pt | SetTextHint
pt | ChildClassAllowed
pt | GetControlClassDefaultSize
pt | MouseUp
pt | RealSetText
pt | RealGetText
pt | KeyUpAfterInterface
pt | WMChar
pt | CMWantSpecialKey
pt | WndProc
pt | ShouldAutoAdjust
pt | WMSetFocus
pt | WMKillFocus
 | Create
 | Destroy
 | Clear
 | SelectAll
 | ClearSelection
 | CopyToClipboard
 | CutToClipboard
 | PasteFromClipboard
 | Undo
 | RemoveAllHandlersOfObject
 | AddHandlerOnChange
 | RemoveHandlerOnChange
TWinControl
pt | WSRegisterClass
pt | AdjustClientRect
pt | GetAdjustedLogicalClientRect
pt | AlignControls
pt | CustomAlignInsertBefore
pt | CustomAlignPosition
pt | DoAlignChildControls
pt | DoChildSizingChange
pt | InvalidatePreferredChildSizes
pt | CanTab
pt | IsClientHeightStored
pt | IsClientWidthStored
pt | DoSendShowHideToInterface
pt | ControlsAligned
pt | DoSendBoundsToInterface
pt | RealizeBounds
pt | RealizeBoundsRecursive
pt | InvalidateBoundsRealized
pt | CreateSubClass
pt | DoConstraintsChange
pt | DoSetBounds
pt | DoAutoSize
pt | DoAllAutoSize
pt | AllAutoSized
pt | CalculatePreferredSize
pt | GetPreferredSizeClientFrame
pt | GetChildren
pt | ChildClassAllowed
pt | PaintControls
pt | PaintHandler
pt | PaintWindow
pt | CreateBrush
pt | ScaleControls
pt | ChangeScale
pt | CMBiDiModeChanged
pt | CMBorderChanged
pt | CMDoubleBufferedChanged
pt | CMEnabledChanged
pt | CMParentDoubleBufferedChanged
pt | CMShowingChanged
pt | CMShowHintChanged
pt | CMVisibleChanged
pt | CMEnter
pt | CMExit
pt | WMContextMenu
pt | WMEraseBkgnd
pt | WMNotify
pt | WMSetFocus
pt | WMKillFocus
pt | WMShowWindow
pt | WMEnter
pt | WMExit
pt | WMKeyDown
pt | WMSysKeyDown
pt | WMKeyUp
pt | WMSysKeyUp
pt | WMChar
pt | WMSysChar
pt | WMPaint
pt | WMDestroy
pt | WMMove
pt | WMSize
pt | WMWindowPosChanged
pt | CNKeyDown
pt | CNSysKeyDown
pt | CNKeyUp
pt | CNSysKeyUp
pt | CNChar
pt | DoDragMsg
pt | DoDockClientMsg
pt | DoUndockClientMsg
pt | DoAddDockClient
pt | DockOver
pt | DoDockOver
pt | DoRemoveDockClient
pt | DoUnDock
pt | GetSiteInfo
pt | GetParentHandle
pt | GetTopParentHandle
pt | ReloadDockedControl
pt | CreateDockManager
pt | SetDockManager
pt | DoFloatMsg
pt | DoGetDockCaption
pt | DoEnter
pt | DoExit
pt | DoKeyDownBeforeInterface
pt | DoRemainingKeyDown
pt | DoRemainingKeyUp
pt | DoKeyPress
pt | DoUTF8KeyPress
pt | DoKeyUpBeforeInterface
pt | ChildKey
pt | SendDialogChar
pt | DialogChar
pt | ControlKeyDown
pt | ControlKeyUp
pt | KeyDown
pt | KeyDownBeforeInterface
pt | KeyDownAfterInterface
pt | KeyPress
pt | KeyUp
pt | KeyUpBeforeInterface
pt | KeyUpAfterInterface
pt | UTF8KeyPress
pt | FindNextControl
pt | SelectFirst
pt | RealGetText
pt | GetBorderStyle
pt | GetClientOrigin
pt | GetClientRect
pt | GetControlOrigin
pt | GetDeviceContext
pt | GetParentBackground
pt | IsControlMouseMsg
pt | CreateHandle
pt | CreateParams
pt | CreateWnd
pt | DestroyHandle
pt | DestroyWnd
pt | DoFlipChildren
pt | FinalizeWnd
pt | FixupTabList
pt | FontChanged
pt | InitializeWnd
pt | Loaded
pt | FormEndUpdated
pt | MainWndProc
pt | ParentFormHandleInitialized
pt | ChildHandlesCreated
pt | GetMouseCapture
pt | RealSetText
pt | RemoveFocus
pt | SendMoveSizeMessages
pt | SetBorderStyle
pt | SetColor
pt | SetChildZPosition
pt | SetParentBackground
pt | ShowControl
pt | UpdateControlState
pt | UpdateShowing
pt | WndProc
pt | WSSetText
 | AutoSizePhases
 | AutoSizeDelayed
 | AutoSizeDelayedReport
 | AutoSizeDelayedHandle
 | BeginUpdateBounds
 | EndUpdateBounds
 | LockRealizeBounds
 | UnlockRealizeBounds
 | ControlAtPos
 | ContainsControl
 | DoAdjustClientRectChange
 | InvalidateClientRectCache
 | ClientRectNeedsInterfaceUpdate
 | SetBounds
 | GetChildrenRect
 | DisableAlign
 | EnableAlign
 | ReAlign
 | ScrollBy_WS
 | ScrollBy
 | WriteLayoutDebugReport
 | AutoAdjustLayout
 | Create
 | CreateParented
 | CreateParentedControl
 | Destroy
 | DockDrop
 | CanFocus
 | CanSetFocus
 | GetControlIndex
 | SetControlIndex
 | Focused
 | PerformTab
 | FindChildControl
 | SelectNext
 | SetTempCursor
 | BroadCast
 | NotifyControls
 | DefaultHandler
 | GetTextLen
 | Invalidate
 | AddControl
 | InsertControl
 | RemoveControl
 | GetEnumeratorControls
 | GetEnumeratorControlsReverse
 | Repaint
 | Update
 | SetFocus
 | FlipChildren
 | ScaleBy
 | GetDockCaption
 | UpdateDockCaption
 | GetTabOrderList
 | HandleAllocated
 | ParentHandlesAllocated
 | HandleNeeded
 | BrushCreated
 | EraseBackground
 | IntfUTF8KeyPress
 | IntfGetDropFilesTarget
 | PaintTo
 | SetShape
TControl
pt | WSRegisterClass
pt | GetCursor
pt | SetCursor
pt | SetVisible
pt | DoOnParentHandleDestruction
pt | DoAutoSize
pt | DoAllAutoSize
pt | BeginAutoSizing
pt | EndAutoSizing
pt | AnchorSideChanged
pt | ForeignAnchorSideChanged
pt | SetAlign
pt | SetAnchors
pt | SetAutoSize
pt | BoundsChanged
pt | CreateControlBorderSpacing
pt | DoConstraintsChange
pt | DoBorderSpacingChange
pt | IsBorderSpacingInnerBorderStored
pt | IsCaptionStored
pt | SendMoveSizeMessages
pt | ConstrainedResize
pt | CalculatePreferredSize
pt | DoOnResize
pt | DoOnChangeBounds
pt | CheckOnChangeBounds
pt | Resize
pt | RequestAlign
pt | UpdateAnchorRules
pt | ChangeBounds
pt | DoSetBounds
pt | ScaleConstraints
pt | ChangeScale
pt | CanAutoSize
pt | SetBiDiMode
pt | SetParentBiDiMode
pt | IsAParentAligning
pt | GetClientOrigin
pt | GetClientRect
pt | GetLogicalClientRect
pt | GetScrolledClientRect
pt | GetClientScrollOffset
pt | GetControlOrigin
pt | IsClientHeightStored
pt | IsClientWidthStored
pt | WidthIsAnchored
pt | HeightIsAnchored
pt | WMCancelMode
pt | WMContextMenu
pt | WMLButtonDown
pt | WMRButtonDown
pt | WMMButtonDown
pt | WMXButtonDown
pt | WMLButtonDBLCLK
pt | WMRButtonDBLCLK
pt | WMMButtonDBLCLK
pt | WMXButtonDBLCLK
pt | WMLButtonTripleCLK
pt | WMRButtonTripleCLK
pt | WMMButtonTripleCLK
pt | WMXButtonTripleCLK
pt | WMLButtonQuadCLK
pt | WMRButtonQuadCLK
pt | WMMButtonQuadCLK
pt | WMXButtonQuadCLK
pt | WMMouseMove
pt | WMLButtonUp
pt | WMRButtonUp
pt | WMMButtonUp
pt | WMXButtonUp
pt | WMMouseWheel
pt | WMMouseHWheel
pt | WMMove
pt | WMSize
pt | WMWindowPosChanged
pt | CMChanged
pt | LMCaptureChanged
pt | CMBiDiModeChanged
pt | CMSysFontChanged
pt | CMEnabledChanged
pt | CMHitTest
pt | CMMouseEnter
pt | CMMouseLeave
pt | CMHintShow
pt | CMParentBiDiModeChanged
pt | CMParentColorChanged
pt | CMParentFontChanged
pt | CMParentShowHintChanged
pt | CMVisibleChanged
pt | CMTextChanged
pt | CMCursorChanged
pt | CalculateDockSizes
pt | CreateFloatingDockSite
pt | GetDockEdge
pt | GetDragImages
pt | GetFloating
pt | GetFloatingDockSiteClass
pt | BeforeDragStart
pt | BeginAutoDrag
pt | DoFloatMsg
pt | DockTrackNoTarget
pt | DoDock
pt | DoDragMsg
pt | DoEndDock
pt | DoEndDrag
pt | DoStartDock
pt | DoStartDrag
pt | DragCanceled
pt | DragOver
pt | PositionDockRect
pt | SetDragMode
pt | GetDefaultDockCaption
pt | Click
pt | DblClick
pt | TripleClick
pt | QuadClick
pt | GetMousePosFromMessage
pt | MouseDown
pt | MouseMove
pt | MouseUp
pt | MouseEnter
pt | MouseLeave
pt | DialogChar
pt | UpdateMouseCursor
pt | Changed
pt | GetPalette
pt | ChildClassAllowed
pt | ReadState
pt | Loaded
pt | LoadedAll
pt | DefineProperties
pt | AssignTo
pt | FormEndUpdated
pt | InvalidateControl
pt | FontChanged
pt | ParentFontChanged
pt | GetAction
pt | RealGetText
pt | RealSetText
pt | TextChanged
pt | GetCachedText
pt | SetAction
pt | SetColor
pt | SetEnabled
pt | SetHint
pt | SetName
pt | SetParent
pt | SetParentComponent
pt | WndProc
pt | ParentFormHandleInitialized
pt | GetMouseCapture
pt | CaptureChanged
pt | Notification
pt | CanTab
pt | GetDeviceContext
pt | GetEnabled
pt | GetPopupMenu
pt | DoOnShowHint
pt | DoMouseWheel
pt | DoMouseWheelDown
pt | DoMouseWheelUp
pt | DoMouseWheelHorz
pt | DoMouseWheelLeft
pt | DoMouseWheelRight
pt | VisibleChanging
pt | VisibleChanged
pt | EnabledChanging
pt | EnabledChanged
pt | AddHandler
pt | RemoveHandler
pt | DoCallNotifyHandler
pt | DoCallKeyEventHandler
pt | DoCallMouseWheelEventHandler
pt | DoContextPopup
pt | SetZOrder
pt | GetControlClassDefaultSize
pt | ColorIsStored
pt | DoAutoAdjustLayout
pt | DoFixDesignFontPPI
pt | DoScaleFontPPI
pt | GetActionLinkClass
pt | ActionChange
 | DragDrop
 | Dock
 | ManualDock
 | ManualFloat
 | ReplaceDockedControl
 | Docked
 | Dragging
 | GetAccessibleObject
 | CreateAccessibleObject
 | GetSelectedChildAccessibleObject
 | GetChildAccessibleObjectAtPos
 | ScaleDesignToForm
 | ScaleFormToDesign
 | Scale96ToForm
 | ScaleFormTo96
 | Scale96ToFont
 | ScaleFontTo96
 | ScaleScreenToFont
 | ScaleFontToScreen
 | Scale96ToScreen
 | ScaleScreenTo96
 | AdjustSize
 | AutoSizePhases
 | AutoSizeDelayed
 | AutoSizeDelayedReport
 | AutoSizeDelayedHandle
 | AnchorToNeighbour
 | AnchorParallel
 | AnchorHorizontalCenterTo
 | AnchorVerticalCenterTo
 | AnchorToCompanion
 | AnchorSame
 | AnchorAsAlign
 | AnchorClient
 | AnchoredControlCount
 | SetBounds
 | SetInitialBounds
 | SetBoundsKeepBase
 | GetPreferredSize
 | GetCanvasScaleFactor
 | GetDefaultWidth
 | GetDefaultHeight
 | GetDefaultColor
 | GetColorResolvingParent
 | GetRGBColorResolvingParent
 | GetSidePosition
 | CNPreferredSizeChanged
 | InvalidatePreferredSize
 | GetAnchorsDependingOnParent
 | DisableAutoSizing
 | EnableAutoSizing
 | UpdateBaseBounds
 | WriteLayoutDebugReport
 | AutoAdjustLayout
 | ShouldAutoAdjust
 | FixDesignFontsPPI
 | ScaleFontsPPI
 | Create
 | Destroy
 | BeforeDestruction
 | EditingDone
 | ExecuteDefaultAction
 | ExecuteCancelAction
 | BeginDrag
 | EndDrag
 | BringToFront
 | HasParent
 | GetParentComponent
 | IsParentOf
 | GetTopParent
 | IsVisible
 | IsControlVisible
 | IsEnabled
 | IsParentColor
 | IsParentFont
 | FormIsUpdating
 | IsProcessingPaintMsg
 | Hide
 | Refresh
 | Repaint
 | Invalidate
 | CheckChildClassAllowed
 | CheckNewParent
 | SendToBack
 | SetTempCursor
 | UpdateRolesForForm
 | ActiveDefaultControlChanged
 | GetTextBuf
 | GetTextLen
 | SetTextBuf
 | Perform
 | ScreenToClient
 | ClientToScreen
 | ScreenToControl
 | ControlToScreen
 | ClientToParent
 | ParentToClient
 | GetChildrenRect
 | Show
 | Update
 | HandleObjectShouldBeVisible
 | ParentDestroyingHandle
 | ParentHandlesAllocated
 | InitiateAction
 | ShowHelp
 | HasHelp
 | RemoveAllHandlersOfObject
 | AddHandlerOnResize
 | RemoveHandlerOnResize
 | AddHandlerOnChangeBounds
 | RemoveHandlerOnChangeBounds
 | AddHandlerOnVisibleChanging
 | RemoveHandlerOnVisibleChanging
 | AddHandlerOnVisibleChanged
 | RemoveHandlerOnVisibleChanged
 | AddHandlerOnEnabledChanged
 | RemoveHandlerOnEnableChanging
 | AddHandlerOnKeyDown
 | RemoveHandlerOnKeyDown
 | AddHandlerOnBeforeDestruction
 | RemoveHandlerOnBeforeDestruction
 | AddHandlerOnMouseWheel
 | RemoveHandlerOnMouseWheel
 | UseRightToLeftAlignment
 | UseRightToLeftReading
 | UseRightToLeftScrollBar
 | IsRightToLeft
TLCLComponent
pt | WSRegisterClass
pt | GetWSComponentClass
 | Create
 | Destroy
 | NewInstance
 | RemoveAllHandlersOfObject
 | IncLCLRefCount
 | DecLCLRefCount
TComponent
 | GetComObject
 | GetComponent
 | GetComponentCount
 | GetComponentIndex
 | Insert
 | ReadLeft
 | ReadTop
 | Remove
 | RemoveNotification
 | SetComponentIndex
 | SetReference
 | WriteLeft
 | WriteTop
 | ChangeName
 | DefineProperties
 | GetChildren
 | GetChildOwner
 | GetChildParent
 | GetOwner
 | Loaded
 | Loading
 | Notification
 | PaletteCreated
 | ReadState
 | SetAncestor
 | SetDesigning
 | SetDesignInstance
 | SetInline
 | SetName
 | SetChildOrder
 | SetParentComponent
 | Updating
 | Updated
 | UpdateRegistry
 | ValidateRename
 | ValidateContainer
 | ValidateInsert
 | QueryInterface
 | _AddRef
 | _Release
 | iicrGetComponent
 | GetTypeInfoCount
 | GetTypeInfo
 | GetIDsOfNames
 | Invoke
 | WriteState
 | Create
 | Destroy
 | BeforeDestruction
 | DestroyComponents
 | Destroying
 | ExecuteAction
 | FindComponent
 | FreeNotification
 | RemoveFreeNotification
 | FreeOnRelease
 | GetEnumerator
 | GetNamePath
 | GetParentComponent
 | HasParent
 | InsertComponent
 | RemoveComponent
 | SafeCallException
 | SetSubComponent
 | UpdateAction
 | IsImplementorOf
 | ReferenceInterface
TPersistent
 | AssignError
 | AssignTo
 | DefineProperties
 | GetOwner
 | Destroy
 | Assign
 | FPOAttachObserver
 | FPODetachObserver
 | FPONotifyObservers
 | GetNamePath
TObject
 | Create
 | Destroy
 | newinstance
 | FreeInstance
 | SafeCallException
 | DefaultHandler
 | Free
 | InitInstance
 | CleanupInstance
 | ClassType
 | ClassInfo
 | ClassName
 | ClassNameIs
 | ClassParent
 | InstanceSize
 | InheritsFrom
 | StringMessageTable
 | MethodAddress
 | MethodName
 | FieldAddress
 | AfterConstruction
 | BeforeDestruction
 | DefaultHandlerStr
 | Dispatch
 | DispatchStr
 | GetInterface
 | GetInterfaceByStr
 | GetInterfaceWeak
 | GetInterfaceEntry
 | GetInterfaceEntryByStr
 | GetInterfaceTable
 | UnitName
 | Equals
 | GetHashCode
 | ToString


TSpinEdit
pl | ro | OnChange
pl | ro | OnChangeBounds
pl | ro | OnClick
pl | ro | OnEditingDone
pl | ro | OnEnter
pl | ro | OnExit
pl | ro | OnKeyDown
pl | ro | OnKeyPress
pl | ro | OnKeyUp
pl | ro | OnMouseDown
pl | ro | OnMouseEnter
pl | ro | OnMouseLeave
pl | ro | OnMouseMove
pl | ro | OnMouseUp
pl | ro | OnMouseWheel
pl | ro | OnMouseWheelDown
pl | ro | OnMouseWheelUp
pl | ro | OnMouseWheelHorz
pl | ro | OnMouseWheelLeft
pl | ro | OnMouseWheelRight
pl | ro | OnResize
pl | ro | OnUTF8KeyPress
TCustomSpinEdit
TCustomFloatSpinEdit
TCustomEdit
 |  | OnChange
TWinControl
pt |  | OnGetSiteInfo
pt |  | OnGetDockCaption
 |  | OnAlignInsertBefore
 |  | OnAlignPosition
 |  | OnDockDrop
 |  | OnDockOver
 |  | OnEnter
 |  | OnExit
 |  | OnKeyDown
 |  | OnKeyPress
 |  | OnKeyUp
 |  | OnUnDock
 |  | OnUTF8KeyPress
TControl
pt |  | OnConstrainedResize
pt |  | OnContextPopup
pt |  | OnDblClick
pt |  | OnTripleClick
pt |  | OnQuadClick
pt |  | OnDragDrop
pt |  | OnDragOver
pt |  | OnEndDock
pt |  | OnEndDrag
pt |  | OnMouseDown
pt |  | OnMouseMove
pt |  | OnMouseUp
pt |  | OnMouseEnter
pt |  | OnMouseLeave
pt |  | OnMouseWheel
pt |  | OnMouseWheelDown
pt |  | OnMouseWheelUp
pt |  | OnMouseWheelHorz
pt |  | OnMouseWheelLeft
pt |  | OnMouseWheelRight
pt |  | OnStartDock
pt |  | OnStartDrag
pt |  | OnEditingDone
 |  | OnChangeBounds
 |  | OnClick
 |  | OnResize
 |  | OnShowHint
TLCLComponent
TComponent
TPersistent
TObject


pl | ro | OnChange (TSpinEdit)
 |  | OnChangeBounds (TControl)
pl | ro | OnChangeBounds (TSpinEdit)
 |  | OnClick (TControl)
pl | ro | OnClick (TSpinEdit)
pt |  | OnConstrainedResize (TControl)
pt |  | OnContextPopup (TControl)
pt |  | OnDblClick (TControl)
 |  | OnDockDrop (TWinControl)
 |  | OnDockOver (TWinControl)
pt |  | OnDragDrop (TControl)
pt |  | OnDragOver (TControl)
pt |  | OnEditingDone (TControl)
pl | ro | OnEditingDone (TSpinEdit)
pt |  | OnEndDock (TControl)
pt |  | OnEndDrag (TControl)
 |  | OnEnter (TWinControl)
pl | ro | OnEnter (TSpinEdit)
 |  | OnExit (TWinControl)
pl | ro | OnExit (TSpinEdit)
pt |  | OnGetDockCaption (TWinControl)
pt |  | OnGetSiteInfo (TWinControl)
 |  | OnKeyDown (TWinControl)
pl | ro | OnKeyDown (TSpinEdit)
 |  | OnKeyPress (TWinControl)
pl | ro | OnKeyPress (TSpinEdit)
 |  | OnKeyUp (TWinControl)
pl | ro | OnKeyUp (TSpinEdit)
pt |  | OnMouseDown (TControl)
pl | ro | OnMouseDown (TSpinEdit)
pt |  | OnMouseEnter (TControl)
pl | ro | OnMouseEnter (TSpinEdit)
pt |  | OnMouseLeave (TControl)
pl | ro | OnMouseLeave (TSpinEdit)
pt |  | OnMouseMove (TControl)
pl | ro | OnMouseMove (TSpinEdit)
pt |  | OnMouseUp (TControl)
pl | ro | OnMouseUp (TSpinEdit)
pt |  | OnMouseWheel (TControl)
pl | ro | OnMouseWheel (TSpinEdit)
pt |  | OnMouseWheelDown (TControl)
pl | ro | OnMouseWheelDown (TSpinEdit)
pt |  | OnMouseWheelHorz (TControl)
pl | ro | OnMouseWheelHorz (TSpinEdit)
pt |  | OnMouseWheelLeft (TControl)
pl | ro | OnMouseWheelLeft (TSpinEdit)
pt |  | OnMouseWheelRight (TControl)
pl | ro | OnMouseWheelRight (TSpinEdit)
pt |  | OnMouseWheelUp (TControl)
pl | ro | OnMouseWheelUp (TSpinEdit)
pt |  | OnQuadClick (TControl)
 |  | OnResize (TControl)
pl | ro | OnResize (TSpinEdit)
 |  | OnShowHint (TControl)
pt |  | OnStartDock (TControl)
pt |  | OnStartDrag (TControl)
pt |  | OnTripleClick (TControl)
 |  | OnUnDock (TWinControl)
 |  | OnUTF8KeyPress (TWinControl)
pl | ro | OnUTF8KeyPress (TSpinEdit)


TSpinEdit.Alignment

Declaration

Source position: spin.pp line 165

published property TSpinEdit.Alignment : TAlignment;


TSpinEdit.Color

Declaration

Source position: spin.pp line 170

published property TSpinEdit.Color : TColor;


TSpinEdit.Font

Declaration

Source position: spin.pp line 173

published property TSpinEdit.Font : TFont;


TSpinEdit.OnChange

The OnChange event is fired when the spin edit value has changed.

Declaration

Source position: spin.pp line 177

published property TSpinEdit.OnChange : TNotifyEvent;

Description

This OnChange event is based on TCustomEdit.OnChange, so it is fired both on changes made by the user and also for changes made by code. A change is defined as a modification which will cause the text displayed on the screen by the control to change. This corresponds to a change in the property Value of the control. The event is called after the change takes place, so the Value property will contain the new value.

See also

TCustomEdit.OnChange | Event handler for any change in text.
TFloatSpinEdit.OnChange | The OnChange event is fired when spin edit value has changed.


TSpinEdit.OnMouseEnter

Declaration

Source position: spin.pp line 187

published property TSpinEdit.OnMouseEnter : TNotifyEvent;


TSpinEdit.OnMouseLeave

Declaration

Source position: spin.pp line 188

published property TSpinEdit.OnMouseLeave : TNotifyEvent;


TSpinEdit.OnMouseWheel

Declaration

Source position: spin.pp line 191

published property TSpinEdit.OnMouseWheel : TMouseWheelEvent;


TSpinEdit.OnMouseWheelDown

Declaration

Source position: spin.pp line 192

published property TSpinEdit.OnMouseWheelDown : TMouseWheelUpDownEvent;


TSpinEdit.OnMouseWheelHorz

Declaration

Source position: spin.pp line 194

published property TSpinEdit.OnMouseWheelHorz : TMouseWheelEvent;


TSpinEdit.OnMouseWheelLeft

Declaration

Source position: spin.pp line 195

published property TSpinEdit.OnMouseWheelLeft : TMouseWheelUpDownEvent;


TSpinEdit.OnMouseWheelRight

Declaration

Source position: spin.pp line 196

published property TSpinEdit.OnMouseWheelRight : TMouseWheelUpDownEvent;


TSpinEdit.OnMouseWheelUp

Declaration

Source position: spin.pp line 193

published property TSpinEdit.OnMouseWheelUp : TMouseWheelUpDownEvent;


TSpinEdit.ParentColor

Declaration

Source position: spin.pp line 199

published property TSpinEdit.ParentColor : Boolean;


TSpinEdit.ParentFont

Declaration

Source position: spin.pp line 200

published property TSpinEdit.ParentFont : Boolean;


TColorSelect

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

TColorSelect - standard action for opening a Colour Selection dialog

Declaration

Source position: stdactns.pas line 413

type TColorSelect = class(TCommonDialogAction)
protected
function GetDialogClass; override; | GetDialogClass - returns the class of dialog associated with this action
published
property Caption: TTranslateString; | The Caption to be used if this action is associated with a visible component
property Dialog: TColorDialog; [r] | The ColorDialog to use with this action
property Enabled: Boolean; | Enabled - whether this action is able to be used (default True)
property HelpContext: THelpContext; | HelpContext - the index for a context-based help message
property HelpKeyword: string; | HelpKeyWord - the keyword of a context-based help message
property HelpType: THelpType; | HelpType - the sort of help message to be offered: default Context-based
property Hint: TTranslateString; | Hint - a pop-up message that appears when the mouse hovers over an object
property ImageIndex: TImageIndex; | ImageIndex - the index number of the image to be associated with this action
property ShortCut: TShortCut; | ShortCut - an index to a shortcut list
property SecondaryShortCuts: TShortCutList; | SecondaryShortCuts - a stringlist containing shortcuts
property Visible: Boolean; | Visible - is this action visible? (default True)
property BeforeExecute: TNotifyEvent; | BeforeExecute - event handler for performance before execution of the action
property OnAccept: TNotifyEvent; | OnAccept - event handler for a press of the Accept button
property OnCancel: TNotifyEvent; | OnCancel - event handler for a press of the Cancel button
property OnHint: THintEvent; | OnHint - action to be taken when a hint is required
end;

Inheritance

TColorSelect | TColorSelect - standard action for opening a Colour Selection dialog
|
TCommonDialogAction | TCommonDialogAction - base class for providing actions associated with Dialogs
|
TCustomAction | TCustomAction is the ancestor class for TAction
|
TContainedAction | TContainedAction - parent class for TCustomAction; defines some properties especially relationships with parents
|
TBasicAction
|
TComponent,IUnknown,IInterfaceComponentReference
|
TPersistent,IFPObserved
|
TObject


TColorSelect
pl | ro | Caption
pl | ro | Dialog
pl | ro | Enabled
pl | ro | HelpContext
pl | ro | HelpKeyword
pl | ro | HelpType
pl | ro | Hint
pl | ro | ImageIndex
pl | ro | ShortCut
pl | ro | SecondaryShortCuts
pl | ro | Visible
pl | ro | BeforeExecute
TCommonDialogAction
 | ro | ExecuteResult
 |  | BeforeExecute
TCustomAction
pt |  | SavedEnabledState
 |  | AutoCheck
 |  | Caption
 |  | Checked
 |  | DisableIfNoHandler
 |  | Enabled
 |  | GroupIndex
 |  | HelpContext
 |  | HelpKeyword
 |  | HelpType
 |  | Hint
 |  | ImageIndex
 |  | SecondaryShortCuts
 |  | ShortCut
 |  | Visible
TContainedAction
 |  | ActionList
 |  | Index
pl |  | Category
TBasicAction
 |  | ActionComponent
TComponent
 | ro | ComObject
 | ro | Components
 | ro | ComponentCount
 |  | ComponentIndex
 | ro | ComponentState
 | ro | ComponentStyle
 |  | DesignInfo
 | ro | Owner
 |  | VCLComObject
 |  | Name
 |  | Tag
TPersistent
TObject


 |  | ActionComponent (TBasicAction)
 |  | ActionList (TContainedAction)
 |  | AutoCheck (TCustomAction)
 |  | BeforeExecute (TCommonDialogAction)
pl | ro | BeforeExecute (TColorSelect)
 |  | Caption (TCustomAction)
pl | ro | Caption (TColorSelect)
pl |  | Category (TContainedAction)
 |  | Checked (TCustomAction)
 | ro | ComObject (TComponent)
 | ro | ComponentCount (TComponent)
 |  | ComponentIndex (TComponent)
 | ro | Components (TComponent)
 | ro | ComponentState (TComponent)
 | ro | ComponentStyle (TComponent)
 |  | DesignInfo (TComponent)
pl | ro | Dialog (TColorSelect)
 |  | DisableIfNoHandler (TCustomAction)
 |  | Enabled (TCustomAction)
pl | ro | Enabled (TColorSelect)
 | ro | ExecuteResult (TCommonDialogAction)
 |  | GroupIndex (TCustomAction)
 |  | HelpContext (TCustomAction)
pl | ro | HelpContext (TColorSelect)
 |  | HelpKeyword (TCustomAction)
pl | ro | HelpKeyword (TColorSelect)
 |  | HelpType (TCustomAction)
pl | ro | HelpType (TColorSelect)
 |  | Hint (TCustomAction)
pl | ro | Hint (TColorSelect)
 |  | ImageIndex (TCustomAction)
pl | ro | ImageIndex (TColorSelect)
 |  | Index (TContainedAction)
 |  | Name (TComponent)
 | ro | Owner (TComponent)
pt |  | SavedEnabledState (TCustomAction)
 |  | SecondaryShortCuts (TCustomAction)
pl | ro | SecondaryShortCuts (TColorSelect)
 |  | ShortCut (TCustomAction)
pl | ro | ShortCut (TColorSelect)
 |  | Tag (TComponent)
 |  | VCLComObject (TComponent)
 |  | Visible (TCustomAction)
pl | ro | Visible (TColorSelect)


TColorSelect
pt | GetDialogClass
TCommonDialogAction
pt | DoAccept
pt | DoBeforeExecute
pt | DoCancel
pt | GetDialogClass
pt | CreateDialog
 | Create
 | Handlestarget
 | ExecuteTarget
TCustomAction
pt | AssignTo
pt | SetName
pt | HandleShortCut
 | Create
 | Destroy
 | DoHint
 | Execute
TContainedAction
pt | ReadState
pt | SetParentComponent
 | Destroy
 | Execute
 | GetParentComponent
 | HasParent
 | Update
TBasicAction
 | Change
 | SetOnExecute
 | Create
 | Destroy
 | HandlesTarget
 | UpdateTarget
 | ExecuteTarget
 | Execute
 | RegisterChanges
 | UnRegisterChanges
 | Update
TComponent
 | GetComObject
 | GetComponent
 | GetComponentCount
 | GetComponentIndex
 | Insert
 | ReadLeft
 | ReadTop
 | Remove
 | RemoveNotification
 | SetComponentIndex
 | SetReference
 | WriteLeft
 | WriteTop
 | ChangeName
 | DefineProperties
 | GetChildren
 | GetChildOwner
 | GetChildParent
 | GetOwner
 | Loaded
 | Loading
 | Notification
 | PaletteCreated
 | ReadState
 | SetAncestor
 | SetDesigning
 | SetDesignInstance
 | SetInline
 | SetName
 | SetChildOrder
 | SetParentComponent
 | Updating
 | Updated
 | UpdateRegistry
 | ValidateRename
 | ValidateContainer
 | ValidateInsert
 | QueryInterface
 | _AddRef
 | _Release
 | iicrGetComponent
 | GetTypeInfoCount
 | GetTypeInfo
 | GetIDsOfNames
 | Invoke
 | WriteState
 | Create
 | Destroy
 | BeforeDestruction
 | DestroyComponents
 | Destroying
 | ExecuteAction
 | FindComponent
 | FreeNotification
 | RemoveFreeNotification
 | FreeOnRelease
 | GetEnumerator
 | GetNamePath
 | GetParentComponent
 | HasParent
 | InsertComponent
 | RemoveComponent
 | SafeCallException
 | SetSubComponent
 | UpdateAction
 | IsImplementorOf
 | ReferenceInterface
TPersistent
 | AssignError
 | AssignTo
 | DefineProperties
 | GetOwner
 | Destroy
 | Assign
 | FPOAttachObserver
 | FPODetachObserver
 | FPONotifyObservers
 | GetNamePath
TObject
 | Create
 | Destroy
 | newinstance
 | FreeInstance
 | SafeCallException
 | DefaultHandler
 | Free
 | InitInstance
 | CleanupInstance
 | ClassType
 | ClassInfo
 | ClassName
 | ClassNameIs
 | ClassParent
 | InstanceSize
 | InheritsFrom
 | StringMessageTable
 | MethodAddress
 | MethodName
 | FieldAddress
 | AfterConstruction
 | BeforeDestruction
 | DefaultHandlerStr
 | Dispatch
 | DispatchStr
 | GetInterface
 | GetInterfaceByStr
 | GetInterfaceWeak
 | GetInterfaceEntry
 | GetInterfaceEntryByStr
 | GetInterfaceTable
 | UnitName
 | Equals
 | GetHashCode
 | ToString


 | AssignError (TPersistent)
 | AssignTo (TPersistent)
pt | AssignTo (TCustomAction)
 | BeforeDestruction (TObject)
 | BeforeDestruction (TComponent)
 | Change (TBasicAction)
 | ChangeName (TComponent)
 | ClassInfo (TObject)
 | ClassName (TObject)
 | ClassNameIs (TObject)
 | ClassParent (TObject)
 | ClassType (TObject)
 | CleanupInstance (TObject)
 | Create (TObject)
 | Create (TComponent)
 | Create (TBasicAction)
 | Create (TCustomAction)
 | Create (TCommonDialogAction)
pt | CreateDialog (TCommonDialogAction)
 | DefaultHandler (TObject)
 | DefaultHandlerStr (TObject)
 | DefineProperties (TPersistent)
 | DefineProperties (TComponent)
 | Destroy (TObject)
 | Destroy (TPersistent)
 | Destroy (TComponent)
 | Destroy (TBasicAction)
 | Destroy (TContainedAction)
 | Destroy (TCustomAction)
 | DestroyComponents (TComponent)
 | Destroying (TComponent)
 | Dispatch (TObject)
 | DispatchStr (TObject)
pt | DoAccept (TCommonDialogAction)
pt | DoBeforeExecute (TCommonDialogAction)
pt | DoCancel (TCommonDialogAction)
 | DoHint (TCustomAction)
 | Equals (TObject)
 | Execute (TBasicAction)
 | Execute (TContainedAction)
 | Execute (TCustomAction)
 | ExecuteAction (TComponent)
 | ExecuteTarget (TBasicAction)
 | ExecuteTarget (TCommonDialogAction)
 | FieldAddress (TObject)
 | FindComponent (TComponent)
 | FPOAttachObserver (TPersistent)
 | FPODetachObserver (TPersistent)
 | FPONotifyObservers (TPersistent)
 | Free (TObject)
 | FreeInstance (TObject)
 | FreeNotification (TComponent)
 | FreeOnRelease (TComponent)
 | GetChildOwner (TComponent)
 | GetChildParent (TComponent)
 | GetChildren (TComponent)
 | GetComObject (TComponent)
 | GetComponent (TComponent)
 | GetComponentCount (TComponent)
 | GetComponentIndex (TComponent)
pt | GetDialogClass (TCommonDialogAction)
pt | GetDialogClass (TColorSelect)
 | GetEnumerator (TComponent)
 | GetHashCode (TObject)
 | GetIDsOfNames (TComponent)
 | GetInterface (TObject)
 | GetInterfaceByStr (TObject)
 | GetInterfaceEntry (TObject)
 | GetInterfaceEntryByStr (TObject)
 | GetInterfaceTable (TObject)
 | GetInterfaceWeak (TObject)
 | GetNamePath (TPersistent)
 | GetNamePath (TComponent)
 | GetOwner (TPersistent)
 | GetOwner (TComponent)
 | GetParentComponent (TComponent)
 | GetParentComponent (TContainedAction)
 | GetTypeInfo (TComponent)
 | GetTypeInfoCount (TComponent)
pt | HandleShortCut (TCustomAction)
 | HandlesTarget (TBasicAction)
 | Handlestarget (TCommonDialogAction)
 | HasParent (TComponent)
 | HasParent (TContainedAction)
 | iicrGetComponent (TComponent)
 | InheritsFrom (TObject)
 | InitInstance (TObject)
 | Insert (TComponent)
 | InsertComponent (TComponent)
 | InstanceSize (TObject)
 | Invoke (TComponent)
 | IsImplementorOf (TComponent)
 | Loaded (TComponent)
 | Loading (TComponent)
 | MethodAddress (TObject)
 | MethodName (TObject)
 | newinstance (TObject)
 | Notification (TComponent)
 | PaletteCreated (TComponent)
 | QueryInterface (TComponent)
 | ReadLeft (TComponent)
 | ReadState (TComponent)
pt | ReadState (TContainedAction)
 | ReadTop (TComponent)
 | ReferenceInterface (TComponent)
 | RegisterChanges (TBasicAction)
 | Remove (TComponent)
 | RemoveComponent (TComponent)
 | RemoveFreeNotification (TComponent)
 | RemoveNotification (TComponent)
 | SafeCallException (TObject)
 | SafeCallException (TComponent)
 | SetAncestor (TComponent)
 | SetChildOrder (TComponent)
 | SetComponentIndex (TComponent)
 | SetDesigning (TComponent)
 | SetDesignInstance (TComponent)
 | SetInline (TComponent)
 | SetName (TComponent)
pt | SetName (TCustomAction)
 | SetOnExecute (TBasicAction)
 | SetParentComponent (TComponent)
pt | SetParentComponent (TContainedAction)
 | SetReference (TComponent)
 | SetSubComponent (TComponent)
 | StringMessageTable (TObject)
 | ToString (TObject)
 | UnitName (TObject)
 | UnRegisterChanges (TBasicAction)
 | Update (TBasicAction)
 | Update (TContainedAction)
 | UpdateAction (TComponent)
 | Updated (TComponent)
 | UpdateRegistry (TComponent)
 | UpdateTarget (TBasicAction)
 | Updating (TComponent)
 | ValidateContainer (TComponent)
 | ValidateInsert (TComponent)
 | ValidateRename (TComponent)
 | WriteLeft (TComponent)
 | WriteState (TComponent)
 | WriteTop (TComponent)
 | _AddRef (TComponent)
 | _Release (TComponent)


TColorSelect
pl | ro | OnAccept
pl | ro | OnCancel
pl | ro | OnHint
TCommonDialogAction
 |  | OnAccept
 |  | OnCancel
pl | ro | OnUpdate
TCustomAction
 |  | OnHint
TContainedAction
TBasicAction
 |  | OnChange
 |  | OnExecute
 |  | OnUpdate
TComponent
TPersistent
TObject


pl | ro | OnAccept (TColorSelect)
 |  | OnCancel (TCommonDialogAction)
pl | ro | OnCancel (TColorSelect)
 |  | OnChange (TBasicAction)
 |  | OnExecute (TBasicAction)
 |  | OnHint (TCustomAction)
pl | ro | OnHint (TColorSelect)
 |  | OnUpdate (TBasicAction)
pl | ro | OnUpdate (TCommonDialogAction)


TColorSelect.Dialog

The ColorDialog to use with this action

Declaration

Source position: stdactns.pas line 420

published property TColorSelect.Dialog : TColorDialog
  read GetDialog;


TCommonDialogAction

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

TCommonDialogAction - base class for providing actions associated with Dialogs

Declaration

Source position: stdactns.pas line 124

type TCommonDialogAction = class(TCustomAction)
protected
FDialog: TCommonDialog; | FDialog - local variable holding the Dialog associated with this action
procedure DoAccept; | DoAccept - perform the code for the OnAccept event
procedure DoBeforeExecute; | DoBeforeExecute - perform the code for the BeforeExecute event
procedure DoCancel; | DoCancel - perform the code for the OnCancel event
function GetDialogClass; virtual; | GetDialogClass - returns the class of dialog associated with this action
procedure CreateDialog; virtual; | CreateDialog - method for creating the dialog
public
constructor Create(); override; |
function Handlestarget(); override; |
procedure ExecuteTarget(); override; |
property ExecuteResult: Boolean; [r] | ExecuteResult - the result of the execution: True if successful
property BeforeExecute: TNotifyEvent; [rw] | BeforeExecute - event handler for performance before execution of the action
property OnAccept: TNotifyEvent; [rw] | OnAccept - event handler for a press of the Accept button
property OnCancel: TNotifyEvent; [rw] | OnCancel - event handler for a press of the Cancel button
published
property OnUpdate;
end;

Inheritance

TCommonDialogAction | TCommonDialogAction - base class for providing actions associated with Dialogs
|
TCustomAction | TCustomAction is the ancestor class for TAction
|
TContainedAction | TContainedAction - parent class for TCustomAction; defines some properties especially relationships with parents
|
TBasicAction
|
TComponent,IUnknown,IInterfaceComponentReference
|
TPersistent,IFPObserved
|
TObject


TCommonDialogAction
 | ro | ExecuteResult
 |  | BeforeExecute
TCustomAction
pt |  | SavedEnabledState
 |  | AutoCheck
 |  | Caption
 |  | Checked
 |  | DisableIfNoHandler
 |  | Enabled
 |  | GroupIndex
 |  | HelpContext
 |  | HelpKeyword
 |  | HelpType
 |  | Hint
 |  | ImageIndex
 |  | SecondaryShortCuts
 |  | ShortCut
 |  | Visible
TContainedAction
 |  | ActionList
 |  | Index
pl |  | Category
TBasicAction
 |  | ActionComponent
TComponent
 | ro | ComObject
 | ro | Components
 | ro | ComponentCount
 |  | ComponentIndex
 | ro | ComponentState
 | ro | ComponentStyle
 |  | DesignInfo
 | ro | Owner
 |  | VCLComObject
 |  | Name
 |  | Tag
TPersistent
TObject


 |  | ActionComponent (TBasicAction)
 |  | ActionList (TContainedAction)
 |  | AutoCheck (TCustomAction)
 |  | BeforeExecute (TCommonDialogAction)
 |  | Caption (TCustomAction)
pl |  | Category (TContainedAction)
 |  | Checked (TCustomAction)
 | ro | ComObject (TComponent)
 | ro | ComponentCount (TComponent)
 |  | ComponentIndex (TComponent)
 | ro | Components (TComponent)
 | ro | ComponentState (TComponent)
 | ro | ComponentStyle (TComponent)
 |  | DesignInfo (TComponent)
 |  | DisableIfNoHandler (TCustomAction)
 |  | Enabled (TCustomAction)
 | ro | ExecuteResult (TCommonDialogAction)
 |  | GroupIndex (TCustomAction)
 |  | HelpContext (TCustomAction)
 |  | HelpKeyword (TCustomAction)
 |  | HelpType (TCustomAction)
 |  | Hint (TCustomAction)
 |  | ImageIndex (TCustomAction)
 |  | Index (TContainedAction)
 |  | Name (TComponent)
 | ro | Owner (TComponent)
pt |  | SavedEnabledState (TCustomAction)
 |  | SecondaryShortCuts (TCustomAction)
 |  | ShortCut (TCustomAction)
 |  | Tag (TComponent)
 |  | VCLComObject (TComponent)
 |  | Visible (TCustomAction)


TCommonDialogAction
pt | DoAccept
pt | DoBeforeExecute
pt | DoCancel
pt | GetDialogClass
pt | CreateDialog
 | Create
 | Handlestarget
 | ExecuteTarget
TCustomAction
pt | AssignTo
pt | SetName
pt | HandleShortCut
 | Create
 | Destroy
 | DoHint
 | Execute
TContainedAction
pt | ReadState
pt | SetParentComponent
 | Destroy
 | Execute
 | GetParentComponent
 | HasParent
 | Update
TBasicAction
 | Change
 | SetOnExecute
 | Create
 | Destroy
 | HandlesTarget
 | UpdateTarget
 | ExecuteTarget
 | Execute
 | RegisterChanges
 | UnRegisterChanges
 | Update
TComponent
 | GetComObject
 | GetComponent
 | GetComponentCount
 | GetComponentIndex
 | Insert
 | ReadLeft
 | ReadTop
 | Remove
 | RemoveNotification
 | SetComponentIndex
 | SetReference
 | WriteLeft
 | WriteTop
 | ChangeName
 | DefineProperties
 | GetChildren
 | GetChildOwner
 | GetChildParent
 | GetOwner
 | Loaded
 | Loading
 | Notification
 | PaletteCreated
 | ReadState
 | SetAncestor
 | SetDesigning
 | SetDesignInstance
 | SetInline
 | SetName
 | SetChildOrder
 | SetParentComponent
 | Updating
 | Updated
 | UpdateRegistry
 | ValidateRename
 | ValidateContainer
 | ValidateInsert
 | QueryInterface
 | _AddRef
 | _Release
 | iicrGetComponent
 | GetTypeInfoCount
 | GetTypeInfo
 | GetIDsOfNames
 | Invoke
 | WriteState
 | Create
 | Destroy
 | BeforeDestruction
 | DestroyComponents
 | Destroying
 | ExecuteAction
 | FindComponent
 | FreeNotification
 | RemoveFreeNotification
 | FreeOnRelease
 | GetEnumerator
 | GetNamePath
 | GetParentComponent
 | HasParent
 | InsertComponent
 | RemoveComponent
 | SafeCallException
 | SetSubComponent
 | UpdateAction
 | IsImplementorOf
 | ReferenceInterface
TPersistent
 | AssignError
 | AssignTo
 | DefineProperties
 | GetOwner
 | Destroy
 | Assign
 | FPOAttachObserver
 | FPODetachObserver
 | FPONotifyObservers
 | GetNamePath
TObject
 | Create
 | Destroy
 | newinstance
 | FreeInstance
 | SafeCallException
 | DefaultHandler
 | Free
 | InitInstance
 | CleanupInstance
 | ClassType
 | ClassInfo
 | ClassName
 | ClassNameIs
 | ClassParent
 | InstanceSize
 | InheritsFrom
 | StringMessageTable
 | MethodAddress
 | MethodName
 | FieldAddress
 | AfterConstruction
 | BeforeDestruction
 | DefaultHandlerStr
 | Dispatch
 | DispatchStr
 | GetInterface
 | GetInterfaceByStr
 | GetInterfaceWeak
 | GetInterfaceEntry
 | GetInterfaceEntryByStr
 | GetInterfaceTable
 | UnitName
 | Equals
 | GetHashCode
 | ToString


 | AssignError (TPersistent)
 | AssignTo (TPersistent)
pt | AssignTo (TCustomAction)
 | BeforeDestruction (TObject)
 | BeforeDestruction (TComponent)
 | Change (TBasicAction)
 | ChangeName (TComponent)
 | ClassInfo (TObject)
 | ClassName (TObject)
 | ClassNameIs (TObject)
 | ClassParent (TObject)
 | ClassType (TObject)
 | CleanupInstance (TObject)
 | Create (TObject)
 | Create (TComponent)
 | Create (TBasicAction)
 | Create (TCustomAction)
 | Create (TCommonDialogAction)
pt | CreateDialog (TCommonDialogAction)
 | DefaultHandler (TObject)
 | DefaultHandlerStr (TObject)
 | DefineProperties (TPersistent)
 | DefineProperties (TComponent)
 | Destroy (TObject)
 | Destroy (TPersistent)
 | Destroy (TComponent)
 | Destroy (TBasicAction)
 | Destroy (TContainedAction)
 | Destroy (TCustomAction)
 | DestroyComponents (TComponent)
 | Destroying (TComponent)
 | Dispatch (TObject)
 | DispatchStr (TObject)
pt | DoAccept (TCommonDialogAction)
pt | DoBeforeExecute (TCommonDialogAction)
pt | DoCancel (TCommonDialogAction)
 | DoHint (TCustomAction)
 | Equals (TObject)
 | Execute (TBasicAction)
 | Execute (TContainedAction)
 | Execute (TCustomAction)
 | ExecuteAction (TComponent)
 | ExecuteTarget (TBasicAction)
 | ExecuteTarget (TCommonDialogAction)
 | FieldAddress (TObject)
 | FindComponent (TComponent)
 | FPOAttachObserver (TPersistent)
 | FPODetachObserver (TPersistent)
 | FPONotifyObservers (TPersistent)
 | Free (TObject)
 | FreeInstance (TObject)
 | FreeNotification (TComponent)
 | FreeOnRelease (TComponent)
 | GetChildOwner (TComponent)
 | GetChildParent (TComponent)
 | GetChildren (TComponent)
 | GetComObject (TComponent)
 | GetComponent (TComponent)
 | GetComponentCount (TComponent)
 | GetComponentIndex (TComponent)
pt | GetDialogClass (TCommonDialogAction)
 | GetEnumerator (TComponent)
 | GetHashCode (TObject)
 | GetIDsOfNames (TComponent)
 | GetInterface (TObject)
 | GetInterfaceByStr (TObject)
 | GetInterfaceEntry (TObject)
 | GetInterfaceEntryByStr (TObject)
 | GetInterfaceTable (TObject)
 | GetInterfaceWeak (TObject)
 | GetNamePath (TPersistent)
 | GetNamePath (TComponent)
 | GetOwner (TPersistent)
 | GetOwner (TComponent)
 | GetParentComponent (TComponent)
 | GetParentComponent (TContainedAction)
 | GetTypeInfo (TComponent)
 | GetTypeInfoCount (TComponent)
pt | HandleShortCut (TCustomAction)
 | HandlesTarget (TBasicAction)
 | Handlestarget (TCommonDialogAction)
 | HasParent (TComponent)
 | HasParent (TContainedAction)
 | iicrGetComponent (TComponent)
 | InheritsFrom (TObject)
 | InitInstance (TObject)
 | Insert (TComponent)
 | InsertComponent (TComponent)
 | InstanceSize (TObject)
 | Invoke (TComponent)
 | IsImplementorOf (TComponent)
 | Loaded (TComponent)
 | Loading (TComponent)
 | MethodAddress (TObject)
 | MethodName (TObject)
 | newinstance (TObject)
 | Notification (TComponent)
 | PaletteCreated (TComponent)
 | QueryInterface (TComponent)
 | ReadLeft (TComponent)
 | ReadState (TComponent)
pt | ReadState (TContainedAction)
 | ReadTop (TComponent)
 | ReferenceInterface (TComponent)
 | RegisterChanges (TBasicAction)
 | Remove (TComponent)
 | RemoveComponent (TComponent)
 | RemoveFreeNotification (TComponent)
 | RemoveNotification (TComponent)
 | SafeCallException (TObject)
 | SafeCallException (TComponent)
 | SetAncestor (TComponent)
 | SetChildOrder (TComponent)
 | SetComponentIndex (TComponent)
 | SetDesigning (TComponent)
 | SetDesignInstance (TComponent)
 | SetInline (TComponent)
 | SetName (TComponent)
pt | SetName (TCustomAction)
 | SetOnExecute (TBasicAction)
 | SetParentComponent (TComponent)
pt | SetParentComponent (TContainedAction)
 | SetReference (TComponent)
 | SetSubComponent (TComponent)
 | StringMessageTable (TObject)
 | ToString (TObject)
 | UnitName (TObject)
 | UnRegisterChanges (TBasicAction)
 | Update (TBasicAction)
 | Update (TContainedAction)
 | UpdateAction (TComponent)
 | Updated (TComponent)
 | UpdateRegistry (TComponent)
 | UpdateTarget (TBasicAction)
 | Updating (TComponent)
 | ValidateContainer (TComponent)
 | ValidateInsert (TComponent)
 | ValidateRename (TComponent)
 | WriteLeft (TComponent)
 | WriteState (TComponent)
 | WriteTop (TComponent)
 | _AddRef (TComponent)
 | _Release (TComponent)


TCommonDialogAction
 |  | OnAccept
 |  | OnCancel
pl | ro | OnUpdate
TCustomAction
 |  | OnHint
TContainedAction
TBasicAction
 |  | OnChange
 |  | OnExecute
 |  | OnUpdate
TComponent
TPersistent
TObject


 |  | OnChange (TBasicAction)
 |  | OnExecute (TBasicAction)
 |  | OnHint (TCustomAction)
 |  | OnUpdate (TBasicAction)
pl | ro | OnUpdate (TCommonDialogAction)


TCommonDialogAction.BeforeExecute

BeforeExecute - event handler for performance before execution of the action

Declaration

Source position: stdactns.pas line 142

public property TCommonDialogAction.BeforeExecute : TNotifyEvent
  read FBeforeExecute
  write FBeforeExecute;


TCommonDialogAction.CreateDialog

CreateDialog - method for creating the dialog

Declaration

Source position: stdactns.pas line 136

protected procedure TCommonDialogAction.CreateDialog; virtual;


TCommonDialogAction.DoAccept

DoAccept - perform the code for the OnAccept event

Declaration

Source position: stdactns.pas line 132

protected procedure TCommonDialogAction.DoAccept;


TCommonDialogAction.DoBeforeExecute

DoBeforeExecute - perform the code for the BeforeExecute event

Declaration

Source position: stdactns.pas line 133

protected procedure TCommonDialogAction.DoBeforeExecute;


TCommonDialogAction.DoCancel

DoCancel - perform the code for the OnCancel event

Declaration

Source position: stdactns.pas line 134

protected procedure TCommonDialogAction.DoCancel;


TCommonDialogAction.ExecuteResult

ExecuteResult - the result of the execution: True if successful

Declaration

Source position: stdactns.pas line 141

public property TCommonDialogAction.ExecuteResult : Boolean
  read FExecuteResult;


TCommonDialogAction.FDialog

FDialog - local variable holding the Dialog associated with this action

Declaration

Source position: stdactns.pas line 131

protected TCommonDialogAction.FDialog : TCommonDialog;


TCommonDialogAction.GetDialogClass

GetDialogClass - returns the class of dialog associated with this action

Declaration

Source position: stdactns.pas line 135

protected function TCommonDialogAction.GetDialogClass: TCommonDialogClass; virtual;


TCommonDialogAction.OnAccept

OnAccept - event handler for a press of the Accept button

Declaration

Source position: stdactns.pas line 143

public property TCommonDialogAction.OnAccept : TNotifyEvent
  read FOnAccept
  write FOnAccept;


TCommonDialogAction.OnCancel

OnCancel - event handler for a press of the Cancel button

Declaration

Source position: stdactns.pas line 144

public property TCommonDialogAction.OnCancel : TNotifyEvent
  read FOnCancel
  write FOnCancel;


TCommonDialogAction.OnUpdate

Declaration

Source position: stdactns.pas line 146

published property TCommonDialogAction.OnUpdate;


TEditAction

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

TEditAction - base class for actions associated with the various Edit menu options

Declaration

Source position: stdactns.pas line 35

type TEditAction = class(TAction)
protected
procedure Notification(); override; |
public
destructor Destroy; override; |
function HandlesTarget(); override; |
property Control: TCustomEdit; [rw] | The Edit Control associated with this action
end;

Inheritance

TEditAction | TEditAction - base class for actions associated with the various Edit menu options
|
TAction | TAction is the basic action object used on the LCL.
|
TCustomAction | TCustomAction is the ancestor class for TAction
|
TContainedAction | TContainedAction - parent class for TCustomAction; defines some properties especially relationships with parents
|
TBasicAction
|
TComponent,IUnknown,IInterfaceComponentReference
|
TPersistent,IFPObserved
|
TObject


TEditAction
 |  | Control
TAction
pl | ro | AutoCheck
pl | ro | Caption
pl | ro | Checked
pl | ro | DisableIfNoHandler
pl | ro | Enabled
pl | ro | GroupIndex
pl | ro | HelpContext
pl | ro | HelpKeyword
pl | ro | HelpType
pl | ro | Hint
pl | ro | ImageIndex
pl | ro | SecondaryShortCuts
pl | ro | ShortCut
pl | ro | Visible
TCustomAction
pt |  | SavedEnabledState
 |  | AutoCheck
 |  | Caption
 |  | Checked
 |  | DisableIfNoHandler
 |  | Enabled
 |  | GroupIndex
 |  | HelpContext
 |  | HelpKeyword
 |  | HelpType
 |  | Hint
 |  | ImageIndex
 |  | SecondaryShortCuts
 |  | ShortCut
 |  | Visible
TContainedAction
 |  | ActionList
 |  | Index
pl |  | Category
TBasicAction
 |  | ActionComponent
TComponent
 | ro | ComObject
 | ro | Components
 | ro | ComponentCount
 |  | ComponentIndex
 | ro | ComponentState
 | ro | ComponentStyle
 |  | DesignInfo
 | ro | Owner
 |  | VCLComObject
 |  | Name
 |  | Tag
TPersistent
TObject


pl | ro | AutoCheck (TAction)
 |  | Caption (TCustomAction)
pl | ro | Caption (TAction)
pl |  | Category (TContainedAction)
 |  | Checked (TCustomAction)
pl | ro | Checked (TAction)
 | ro | ComObject (TComponent)
 | ro | ComponentCount (TComponent)
 |  | ComponentIndex (TComponent)
 | ro | Components (TComponent)
 | ro | ComponentState (TComponent)
 | ro | ComponentStyle (TComponent)
 |  | Control (TEditAction)
 |  | DesignInfo (TComponent)
 |  | DisableIfNoHandler (TCustomAction)
pl | ro | DisableIfNoHandler (TAction)
 |  | Enabled (TCustomAction)
pl | ro | Enabled (TAction)
 |  | GroupIndex (TCustomAction)
pl | ro | GroupIndex (TAction)
 |  | HelpContext (TCustomAction)
pl | ro | HelpContext (TAction)
 |  | HelpKeyword (TCustomAction)
pl | ro | HelpKeyword (TAction)
 |  | HelpType (TCustomAction)
pl | ro | HelpType (TAction)
 |  | Hint (TCustomAction)
pl | ro | Hint (TAction)
 |  | ImageIndex (TCustomAction)
pl | ro | ImageIndex (TAction)
 |  | Index (TContainedAction)
 |  | Name (TComponent)
 | ro | Owner (TComponent)
pt |  | SavedEnabledState (TCustomAction)
 |  | SecondaryShortCuts (TCustomAction)
pl | ro | SecondaryShortCuts (TAction)
 |  | ShortCut (TCustomAction)
pl | ro | ShortCut (TAction)
 |  | Tag (TComponent)
 |  | VCLComObject (TComponent)
 |  | Visible (TCustomAction)
pl | ro | Visible (TAction)


TEditAction
pt | Notification
 | Destroy
 | HandlesTarget
TAction
 | Create
TCustomAction
pt | AssignTo
pt | SetName
pt | HandleShortCut
 | Create
 | Destroy
 | DoHint
 | Execute
TContainedAction
pt | ReadState
pt | SetParentComponent
 | Destroy
 | Execute
 | GetParentComponent
 | HasParent
 | Update
TBasicAction
 | Change
 | SetOnExecute
 | Create
 | Destroy
 | HandlesTarget
 | UpdateTarget
 | ExecuteTarget
 | Execute
 | RegisterChanges
 | UnRegisterChanges
 | Update
TComponent
 | GetComObject
 | GetComponent
 | GetComponentCount
 | GetComponentIndex
 | Insert
 | ReadLeft
 | ReadTop
 | Remove
 | RemoveNotification
 | SetComponentIndex
 | SetReference
 | WriteLeft
 | WriteTop
 | ChangeName
 | DefineProperties
 | GetChildren
 | GetChildOwner
 | GetChildParent
 | GetOwner
 | Loaded
 | Loading
 | Notification
 | PaletteCreated
 | ReadState
 | SetAncestor
 | SetDesigning
 | SetDesignInstance
 | SetInline
 | SetName
 | SetChildOrder
 | SetParentComponent
 | Updating
 | Updated
 | UpdateRegistry
 | ValidateRename
 | ValidateContainer
 | ValidateInsert
 | QueryInterface
 | _AddRef
 | _Release
 | iicrGetComponent
 | GetTypeInfoCount
 | GetTypeInfo
 | GetIDsOfNames
 | Invoke
 | WriteState
 | Create
 | Destroy
 | BeforeDestruction
 | DestroyComponents
 | Destroying
 | ExecuteAction
 | FindComponent
 | FreeNotification
 | RemoveFreeNotification
 | FreeOnRelease
 | GetEnumerator
 | GetNamePath
 | GetParentComponent
 | HasParent
 | InsertComponent
 | RemoveComponent
 | SafeCallException
 | SetSubComponent
 | UpdateAction
 | IsImplementorOf
 | ReferenceInterface
TPersistent
 | AssignError
 | AssignTo
 | DefineProperties
 | GetOwner
 | Destroy
 | Assign
 | FPOAttachObserver
 | FPODetachObserver
 | FPONotifyObservers
 | GetNamePath
TObject
 | Create
 | Destroy
 | newinstance
 | FreeInstance
 | SafeCallException
 | DefaultHandler
 | Free
 | InitInstance
 | CleanupInstance
 | ClassType
 | ClassInfo
 | ClassName
 | ClassNameIs
 | ClassParent
 | InstanceSize
 | InheritsFrom
 | StringMessageTable
 | MethodAddress
 | MethodName
 | FieldAddress
 | AfterConstruction
 | BeforeDestruction
 | DefaultHandlerStr
 | Dispatch
 | DispatchStr
 | GetInterface
 | GetInterfaceByStr
 | GetInterfaceWeak
 | GetInterfaceEntry
 | GetInterfaceEntryByStr
 | GetInterfaceTable
 | UnitName
 | Equals
 | GetHashCode
 | ToString


 | AssignError (TPersistent)
 | AssignTo (TPersistent)
pt | AssignTo (TCustomAction)
 | BeforeDestruction (TObject)
 | BeforeDestruction (TComponent)
 | Change (TBasicAction)
 | ChangeName (TComponent)
 | ClassInfo (TObject)
 | ClassName (TObject)
 | ClassNameIs (TObject)
 | ClassParent (TObject)
 | ClassType (TObject)
 | CleanupInstance (TObject)
 | Create (TObject)
 | Create (TComponent)
 | Create (TBasicAction)
 | Create (TCustomAction)
 | Create (TAction)
 | DefaultHandler (TObject)
 | DefaultHandlerStr (TObject)
 | DefineProperties (TPersistent)
 | DefineProperties (TComponent)
 | Destroy (TObject)
 | Destroy (TPersistent)
 | Destroy (TComponent)
 | Destroy (TBasicAction)
 | Destroy (TContainedAction)
 | Destroy (TCustomAction)
 | Destroy (TEditAction)
 | DestroyComponents (TComponent)
 | Destroying (TComponent)
 | Dispatch (TObject)
 | DispatchStr (TObject)
 | DoHint (TCustomAction)
 | Equals (TObject)
 | Execute (TBasicAction)
 | Execute (TContainedAction)
 | Execute (TCustomAction)
 | ExecuteAction (TComponent)
 | ExecuteTarget (TBasicAction)
 | FieldAddress (TObject)
 | FindComponent (TComponent)
 | FPOAttachObserver (TPersistent)
 | FPODetachObserver (TPersistent)
 | FPONotifyObservers (TPersistent)
 | Free (TObject)
 | FreeInstance (TObject)
 | FreeNotification (TComponent)
 | FreeOnRelease (TComponent)
 | GetChildOwner (TComponent)
 | GetChildParent (TComponent)
 | GetChildren (TComponent)
 | GetComObject (TComponent)
 | GetComponent (TComponent)
 | GetComponentCount (TComponent)
 | GetComponentIndex (TComponent)
 | GetEnumerator (TComponent)
 | GetHashCode (TObject)
 | GetIDsOfNames (TComponent)
 | GetInterface (TObject)
 | GetInterfaceByStr (TObject)
 | GetInterfaceEntry (TObject)
 | GetInterfaceEntryByStr (TObject)
 | GetInterfaceTable (TObject)
 | GetInterfaceWeak (TObject)
 | GetNamePath (TPersistent)
 | GetNamePath (TComponent)
 | GetOwner (TPersistent)
 | GetOwner (TComponent)
 | GetParentComponent (TComponent)
 | GetParentComponent (TContainedAction)
 | GetTypeInfo (TComponent)
 | GetTypeInfoCount (TComponent)
pt | HandleShortCut (TCustomAction)
 | HandlesTarget (TBasicAction)
 | HandlesTarget (TEditAction)
 | HasParent (TComponent)
 | HasParent (TContainedAction)
 | iicrGetComponent (TComponent)
 | InheritsFrom (TObject)
 | InitInstance (TObject)
 | Insert (TComponent)
 | InsertComponent (TComponent)
 | InstanceSize (TObject)
 | Invoke (TComponent)
 | IsImplementorOf (TComponent)
 | Loaded (TComponent)
 | Loading (TComponent)
 | MethodAddress (TObject)
 | MethodName (TObject)
 | newinstance (TObject)
 | Notification (TComponent)
pt | Notification (TEditAction)
 | PaletteCreated (TComponent)
 | QueryInterface (TComponent)
 | ReadLeft (TComponent)
 | ReadState (TComponent)
pt | ReadState (TContainedAction)
 | ReadTop (TComponent)
 | ReferenceInterface (TComponent)
 | RegisterChanges (TBasicAction)
 | Remove (TComponent)
 | RemoveComponent (TComponent)
 | RemoveFreeNotification (TComponent)
 | RemoveNotification (TComponent)
 | SafeCallException (TObject)
 | SafeCallException (TComponent)
 | SetAncestor (TComponent)
 | SetChildOrder (TComponent)
 | SetComponentIndex (TComponent)
 | SetDesigning (TComponent)
 | SetDesignInstance (TComponent)
 | SetInline (TComponent)
 | SetName (TComponent)
pt | SetName (TCustomAction)
 | SetOnExecute (TBasicAction)
 | SetParentComponent (TComponent)
pt | SetParentComponent (TContainedAction)
 | SetReference (TComponent)
 | SetSubComponent (TComponent)
 | StringMessageTable (TObject)
 | ToString (TObject)
 | UnitName (TObject)
 | UnRegisterChanges (TBasicAction)
 | Update (TBasicAction)
 | Update (TContainedAction)
 | UpdateAction (TComponent)
 | Updated (TComponent)
 | UpdateRegistry (TComponent)
 | UpdateTarget (TBasicAction)
 | Updating (TComponent)
 | ValidateContainer (TComponent)
 | ValidateInsert (TComponent)
 | ValidateRename (TComponent)
 | WriteLeft (TComponent)
 | WriteState (TComponent)
 | WriteTop (TComponent)
 | _AddRef (TComponent)
 | _Release (TComponent)


TEditAction
TAction
pl | ro | OnExecute
pl | ro | OnHint
pl | ro | OnUpdate
TCustomAction
 |  | OnHint
TContainedAction
TBasicAction
 |  | OnChange
 |  | OnExecute
 |  | OnUpdate
TComponent
TPersistent
TObject


TEditAction.Control

The Edit Control associated with this action

Declaration

Source position: stdactns.pas line 45

public property TEditAction.Control : TCustomEdit
  read FControl
  write SetControl;


TEditCopy

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

TEditCopy - standard action associated with the Edit Copy menu option

Declaration

Source position: stdactns.pas line 58

type TEditCopy = class(TEditAction)

public

  procedure ExecuteTarget(); override;

  procedure UpdateTarget(); override;

end;

Inheritance

TEditCopy | TEditCopy - standard action associated with the Edit Copy menu option
|
TEditAction | TEditAction - base class for actions associated with the various Edit menu options
|
TAction | TAction is the basic action object used on the LCL.
|
TCustomAction | TCustomAction is the ancestor class for TAction
|
TContainedAction | TContainedAction - parent class for TCustomAction; defines some properties especially relationships with parents
|
TBasicAction
|
TComponent,IUnknown,IInterfaceComponentReference
|
TPersistent,IFPObserved
|
TObject


TEditCopy
TEditAction
 |  | Control
TAction
pl | ro | AutoCheck
pl | ro | Caption
pl | ro | Checked
pl | ro | DisableIfNoHandler
pl | ro | Enabled
pl | ro | GroupIndex
pl | ro | HelpContext
pl | ro | HelpKeyword
pl | ro | HelpType
pl | ro | Hint
pl | ro | ImageIndex
pl | ro | SecondaryShortCuts
pl | ro | ShortCut
pl | ro | Visible
TCustomAction
pt |  | SavedEnabledState
 |  | AutoCheck
 |  | Caption
 |  | Checked
 |  | DisableIfNoHandler
 |  | Enabled
 |  | GroupIndex
 |  | HelpContext
 |  | HelpKeyword
 |  | HelpType
 |  | Hint
 |  | ImageIndex
 |  | SecondaryShortCuts
 |  | ShortCut
 |  | Visible
TContainedAction
 |  | ActionList
 |  | Index
pl |  | Category
TBasicAction
 |  | ActionComponent
TComponent
 | ro | ComObject
 | ro | Components
 | ro | ComponentCount
 |  | ComponentIndex
 | ro | ComponentState
 | ro | ComponentStyle
 |  | DesignInfo
 | ro | Owner
 |  | VCLComObject
 |  | Name
 |  | Tag
TPersistent
TObject


TEditCopy
 | ExecuteTarget
 | UpdateTarget
TEditAction
pt | Notification
 | Destroy
 | HandlesTarget
TAction
 | Create
TCustomAction
pt | AssignTo
pt | SetName
pt | HandleShortCut
 | Create
 | Destroy
 | DoHint
 | Execute
TContainedAction
pt | ReadState
pt | SetParentComponent
 | Destroy
 | Execute
 | GetParentComponent
 | HasParent
 | Update
TBasicAction
 | Change
 | SetOnExecute
 | Create
 | Destroy
 | HandlesTarget
 | UpdateTarget
 | ExecuteTarget
 | Execute
 | RegisterChanges
 | UnRegisterChanges
 | Update
TComponent
 | GetComObject
 | GetComponent
 | GetComponentCount
 | GetComponentIndex
 | Insert
 | ReadLeft
 | ReadTop
 | Remove
 | RemoveNotification
 | SetComponentIndex
 | SetReference
 | WriteLeft
 | WriteTop
 | ChangeName
 | DefineProperties
 | GetChildren
 | GetChildOwner
 | GetChildParent
 | GetOwner
 | Loaded
 | Loading
 | Notification
 | PaletteCreated
 | ReadState
 | SetAncestor
 | SetDesigning
 | SetDesignInstance
 | SetInline
 | SetName
 | SetChildOrder
 | SetParentComponent
 | Updating
 | Updated
 | UpdateRegistry
 | ValidateRename
 | ValidateContainer
 | ValidateInsert
 | QueryInterface
 | _AddRef
 | _Release
 | iicrGetComponent
 | GetTypeInfoCount
 | GetTypeInfo
 | GetIDsOfNames
 | Invoke
 | WriteState
 | Create
 | Destroy
 | BeforeDestruction
 | DestroyComponents
 | Destroying
 | ExecuteAction
 | FindComponent
 | FreeNotification
 | RemoveFreeNotification
 | FreeOnRelease
 | GetEnumerator
 | GetNamePath
 | GetParentComponent
 | HasParent
 | InsertComponent
 | RemoveComponent
 | SafeCallException
 | SetSubComponent
 | UpdateAction
 | IsImplementorOf
 | ReferenceInterface
TPersistent
 | AssignError
 | AssignTo
 | DefineProperties
 | GetOwner
 | Destroy
 | Assign
 | FPOAttachObserver
 | FPODetachObserver
 | FPONotifyObservers
 | GetNamePath
TObject
 | Create
 | Destroy
 | newinstance
 | FreeInstance
 | SafeCallException
 | DefaultHandler
 | Free
 | InitInstance
 | CleanupInstance
 | ClassType
 | ClassInfo
 | ClassName
 | ClassNameIs
 | ClassParent
 | InstanceSize
 | InheritsFrom
 | StringMessageTable
 | MethodAddress
 | MethodName
 | FieldAddress
 | AfterConstruction
 | BeforeDestruction
 | DefaultHandlerStr
 | Dispatch
 | DispatchStr
 | GetInterface
 | GetInterfaceByStr
 | GetInterfaceWeak
 | GetInterfaceEntry
 | GetInterfaceEntryByStr
 | GetInterfaceTable
 | UnitName
 | Equals
 | GetHashCode
 | ToString


 | AssignError (TPersistent)
 | AssignTo (TPersistent)
pt | AssignTo (TCustomAction)
 | BeforeDestruction (TObject)
 | BeforeDestruction (TComponent)
 | Change (TBasicAction)
 | ChangeName (TComponent)
 | ClassInfo (TObject)
 | ClassName (TObject)
 | ClassNameIs (TObject)
 | ClassParent (TObject)
 | ClassType (TObject)
 | CleanupInstance (TObject)
 | Create (TObject)
 | Create (TComponent)
 | Create (TBasicAction)
 | Create (TCustomAction)
 | Create (TAction)
 | DefaultHandler (TObject)
 | DefaultHandlerStr (TObject)
 | DefineProperties (TPersistent)
 | DefineProperties (TComponent)
 | Destroy (TObject)
 | Destroy (TPersistent)
 | Destroy (TComponent)
 | Destroy (TBasicAction)
 | Destroy (TContainedAction)
 | Destroy (TCustomAction)
 | Destroy (TEditAction)
 | DestroyComponents (TComponent)
 | Destroying (TComponent)
 | Dispatch (TObject)
 | DispatchStr (TObject)
 | DoHint (TCustomAction)
 | Equals (TObject)
 | Execute (TBasicAction)
 | Execute (TContainedAction)
 | Execute (TCustomAction)
 | ExecuteAction (TComponent)
 | ExecuteTarget (TBasicAction)
 | ExecuteTarget (TEditCopy)
 | FieldAddress (TObject)
 | FindComponent (TComponent)
 | FPOAttachObserver (TPersistent)
 | FPODetachObserver (TPersistent)
 | FPONotifyObservers (TPersistent)
 | Free (TObject)
 | FreeInstance (TObject)
 | FreeNotification (TComponent)
 | FreeOnRelease (TComponent)
 | GetChildOwner (TComponent)
 | GetChildParent (TComponent)
 | GetChildren (TComponent)
 | GetComObject (TComponent)
 | GetComponent (TComponent)
 | GetComponentCount (TComponent)
 | GetComponentIndex (TComponent)
 | GetEnumerator (TComponent)
 | GetHashCode (TObject)
 | GetIDsOfNames (TComponent)
 | GetInterface (TObject)
 | GetInterfaceByStr (TObject)
 | GetInterfaceEntry (TObject)
 | GetInterfaceEntryByStr (TObject)
 | GetInterfaceTable (TObject)
 | GetInterfaceWeak (TObject)
 | GetNamePath (TPersistent)
 | GetNamePath (TComponent)
 | GetOwner (TPersistent)
 | GetOwner (TComponent)
 | GetParentComponent (TComponent)
 | GetParentComponent (TContainedAction)
 | GetTypeInfo (TComponent)
 | GetTypeInfoCount (TComponent)
pt | HandleShortCut (TCustomAction)
 | HandlesTarget (TBasicAction)
 | HandlesTarget (TEditAction)
 | HasParent (TComponent)
 | HasParent (TContainedAction)
 | iicrGetComponent (TComponent)
 | InheritsFrom (TObject)
 | InitInstance (TObject)
 | Insert (TComponent)
 | InsertComponent (TComponent)
 | InstanceSize (TObject)
 | Invoke (TComponent)
 | IsImplementorOf (TComponent)
 | Loaded (TComponent)
 | Loading (TComponent)
 | MethodAddress (TObject)
 | MethodName (TObject)
 | newinstance (TObject)
 | Notification (TComponent)
pt | Notification (TEditAction)
 | PaletteCreated (TComponent)
 | QueryInterface (TComponent)
 | ReadLeft (TComponent)
 | ReadState (TComponent)
pt | ReadState (TContainedAction)
 | ReadTop (TComponent)
 | ReferenceInterface (TComponent)
 | RegisterChanges (TBasicAction)
 | Remove (TComponent)
 | RemoveComponent (TComponent)
 | RemoveFreeNotification (TComponent)
 | RemoveNotification (TComponent)
 | SafeCallException (TObject)
 | SafeCallException (TComponent)
 | SetAncestor (TComponent)
 | SetChildOrder (TComponent)
 | SetComponentIndex (TComponent)
 | SetDesigning (TComponent)
 | SetDesignInstance (TComponent)
 | SetInline (TComponent)
 | SetName (TComponent)
pt | SetName (TCustomAction)
 | SetOnExecute (TBasicAction)
 | SetParentComponent (TComponent)
pt | SetParentComponent (TContainedAction)
 | SetReference (TComponent)
 | SetSubComponent (TComponent)
 | StringMessageTable (TObject)
 | ToString (TObject)
 | UnitName (TObject)
 | UnRegisterChanges (TBasicAction)
 | Update (TBasicAction)
 | Update (TContainedAction)
 | UpdateAction (TComponent)
 | Updated (TComponent)
 | UpdateRegistry (TComponent)
 | UpdateTarget (TBasicAction)
 | UpdateTarget (TEditCopy)
 | Updating (TComponent)
 | ValidateContainer (TComponent)
 | ValidateInsert (TComponent)
 | ValidateRename (TComponent)
 | WriteLeft (TComponent)
 | WriteState (TComponent)
 | WriteTop (TComponent)
 | _AddRef (TComponent)
 | _Release (TComponent)


TEditCopy
TEditAction
TAction
pl | ro | OnExecute
pl | ro | OnHint
pl | ro | OnUpdate
TCustomAction
 |  | OnHint
TContainedAction
TBasicAction
 |  | OnChange
 |  | OnExecute
 |  | OnUpdate
TComponent
TPersistent
TObject


TEditCut

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

TEditCut- standard action associated with the Edit Cut menu option

Declaration

Source position: stdactns.pas line 50

type TEditCut = class(TEditAction)

public

  procedure ExecuteTarget(); override;

  procedure UpdateTarget(); override;

end;

Inheritance

TEditCut | TEditCut- standard action associated with the Edit Cut menu option
|
TEditAction | TEditAction - base class for actions associated with the various Edit menu options
|
TAction | TAction is the basic action object used on the LCL.
|
TCustomAction | TCustomAction is the ancestor class for TAction
|
TContainedAction | TContainedAction - parent class for TCustomAction; defines some properties especially relationships with parents
|
TBasicAction
|
TComponent,IUnknown,IInterfaceComponentReference
|
TPersistent,IFPObserved
|
TObject


TEditCut
TEditAction
 |  | Control
TAction
pl | ro | AutoCheck
pl | ro | Caption
pl | ro | Checked
pl | ro | DisableIfNoHandler
pl | ro | Enabled
pl | ro | GroupIndex
pl | ro | HelpContext
pl | ro | HelpKeyword
pl | ro | HelpType
pl | ro | Hint
pl | ro | ImageIndex
pl | ro | SecondaryShortCuts
pl | ro | ShortCut
pl | ro | Visible
TCustomAction
pt |  | SavedEnabledState
 |  | AutoCheck
 |  | Caption
 |  | Checked
 |  | DisableIfNoHandler
 |  | Enabled
 |  | GroupIndex
 |  | HelpContext
 |  | HelpKeyword
 |  | HelpType
 |  | Hint
 |  | ImageIndex
 |  | SecondaryShortCuts
 |  | ShortCut
 |  | Visible
TContainedAction
 |  | ActionList
 |  | Index
pl |  | Category
TBasicAction
 |  | ActionComponent
TComponent
 | ro | ComObject
 | ro | Components
 | ro | ComponentCount
 |  | ComponentIndex
 | ro | ComponentState
 | ro | ComponentStyle
 |  | DesignInfo
 | ro | Owner
 |  | VCLComObject
 |  | Name
 |  | Tag
TPersistent
TObject


TEditCut
 | ExecuteTarget
 | UpdateTarget
TEditAction
pt | Notification
 | Destroy
 | HandlesTarget
TAction
 | Create
TCustomAction
pt | AssignTo
pt | SetName
pt | HandleShortCut
 | Create
 | Destroy
 | DoHint
 | Execute
TContainedAction
pt | ReadState
pt | SetParentComponent
 | Destroy
 | Execute
 | GetParentComponent
 | HasParent
 | Update
TBasicAction
 | Change
 | SetOnExecute
 | Create
 | Destroy
 | HandlesTarget
 | UpdateTarget
 | ExecuteTarget
 | Execute
 | RegisterChanges
 | UnRegisterChanges
 | Update
TComponent
 | GetComObject
 | GetComponent
 | GetComponentCount
 | GetComponentIndex
 | Insert
 | ReadLeft
 | ReadTop
 | Remove
 | RemoveNotification
 | SetComponentIndex
 | SetReference
 | WriteLeft
 | WriteTop
 | ChangeName
 | DefineProperties
 | GetChildren
 | GetChildOwner
 | GetChildParent
 | GetOwner
 | Loaded
 | Loading
 | Notification
 | PaletteCreated
 | ReadState
 | SetAncestor
 | SetDesigning
 | SetDesignInstance
 | SetInline
 | SetName
 | SetChildOrder
 | SetParentComponent
 | Updating
 | Updated
 | UpdateRegistry
 | ValidateRename
 | ValidateContainer
 | ValidateInsert
 | QueryInterface
 | _AddRef
 | _Release
 | iicrGetComponent
 | GetTypeInfoCount
 | GetTypeInfo
 | GetIDsOfNames
 | Invoke
 | WriteState
 | Create
 | Destroy
 | BeforeDestruction
 | DestroyComponents
 | Destroying
 | ExecuteAction
 | FindComponent
 | FreeNotification
 | RemoveFreeNotification
 | FreeOnRelease
 | GetEnumerator
 | GetNamePath
 | GetParentComponent
 | HasParent
 | InsertComponent
 | RemoveComponent
 | SafeCallException
 | SetSubComponent
 | UpdateAction
 | IsImplementorOf
 | ReferenceInterface
TPersistent
 | AssignError
 | AssignTo
 | DefineProperties
 | GetOwner
 | Destroy
 | Assign
 | FPOAttachObserver
 | FPODetachObserver
 | FPONotifyObservers
 | GetNamePath
TObject
 | Create
 | Destroy
 | newinstance
 | FreeInstance
 | SafeCallException
 | DefaultHandler
 | Free
 | InitInstance
 | CleanupInstance
 | ClassType
 | ClassInfo
 | ClassName
 | ClassNameIs
 | ClassParent
 | InstanceSize
 | InheritsFrom
 | StringMessageTable
 | MethodAddress
 | MethodName
 | FieldAddress
 | AfterConstruction
 | BeforeDestruction
 | DefaultHandlerStr
 | Dispatch
 | DispatchStr
 | GetInterface
 | GetInterfaceByStr
 | GetInterfaceWeak
 | GetInterfaceEntry
 | GetInterfaceEntryByStr
 | GetInterfaceTable
 | UnitName
 | Equals
 | GetHashCode
 | ToString


 | AssignError (TPersistent)
 | AssignTo (TPersistent)
pt | AssignTo (TCustomAction)
 | BeforeDestruction (TObject)
 | BeforeDestruction (TComponent)
 | Change (TBasicAction)
 | ChangeName (TComponent)
 | ClassInfo (TObject)
 | ClassName (TObject)
 | ClassNameIs (TObject)
 | ClassParent (TObject)
 | ClassType (TObject)
 | CleanupInstance (TObject)
 | Create (TObject)
 | Create (TComponent)
 | Create (TBasicAction)
 | Create (TCustomAction)
 | Create (TAction)
 | DefaultHandler (TObject)
 | DefaultHandlerStr (TObject)
 | DefineProperties (TPersistent)
 | DefineProperties (TComponent)
 | Destroy (TObject)
 | Destroy (TPersistent)
 | Destroy (TComponent)
 | Destroy (TBasicAction)
 | Destroy (TContainedAction)
 | Destroy (TCustomAction)
 | Destroy (TEditAction)
 | DestroyComponents (TComponent)
 | Destroying (TComponent)
 | Dispatch (TObject)
 | DispatchStr (TObject)
 | DoHint (TCustomAction)
 | Equals (TObject)
 | Execute (TBasicAction)
 | Execute (TContainedAction)
 | Execute (TCustomAction)
 | ExecuteAction (TComponent)
 | ExecuteTarget (TBasicAction)
 | ExecuteTarget (TEditCut)
 | FieldAddress (TObject)
 | FindComponent (TComponent)
 | FPOAttachObserver (TPersistent)
 | FPODetachObserver (TPersistent)
 | FPONotifyObservers (TPersistent)
 | Free (TObject)
 | FreeInstance (TObject)
 | FreeNotification (TComponent)
 | FreeOnRelease (TComponent)
 | GetChildOwner (TComponent)
 | GetChildParent (TComponent)
 | GetChildren (TComponent)
 | GetComObject (TComponent)
 | GetComponent (TComponent)
 | GetComponentCount (TComponent)
 | GetComponentIndex (TComponent)
 | GetEnumerator (TComponent)
 | GetHashCode (TObject)
 | GetIDsOfNames (TComponent)
 | GetInterface (TObject)
 | GetInterfaceByStr (TObject)
 | GetInterfaceEntry (TObject)
 | GetInterfaceEntryByStr (TObject)
 | GetInterfaceTable (TObject)
 | GetInterfaceWeak (TObject)
 | GetNamePath (TPersistent)
 | GetNamePath (TComponent)
 | GetOwner (TPersistent)
 | GetOwner (TComponent)
 | GetParentComponent (TComponent)
 | GetParentComponent (TContainedAction)
 | GetTypeInfo (TComponent)
 | GetTypeInfoCount (TComponent)
pt | HandleShortCut (TCustomAction)
 | HandlesTarget (TBasicAction)
 | HandlesTarget (TEditAction)
 | HasParent (TComponent)
 | HasParent (TContainedAction)
 | iicrGetComponent (TComponent)
 | InheritsFrom (TObject)
 | InitInstance (TObject)
 | Insert (TComponent)
 | InsertComponent (TComponent)
 | InstanceSize (TObject)
 | Invoke (TComponent)
 | IsImplementorOf (TComponent)
 | Loaded (TComponent)
 | Loading (TComponent)
 | MethodAddress (TObject)
 | MethodName (TObject)
 | newinstance (TObject)
 | Notification (TComponent)
pt | Notification (TEditAction)
 | PaletteCreated (TComponent)
 | QueryInterface (TComponent)
 | ReadLeft (TComponent)
 | ReadState (TComponent)
pt | ReadState (TContainedAction)
 | ReadTop (TComponent)
 | ReferenceInterface (TComponent)
 | RegisterChanges (TBasicAction)
 | Remove (TComponent)
 | RemoveComponent (TComponent)
 | RemoveFreeNotification (TComponent)
 | RemoveNotification (TComponent)
 | SafeCallException (TObject)
 | SafeCallException (TComponent)
 | SetAncestor (TComponent)
 | SetChildOrder (TComponent)
 | SetComponentIndex (TComponent)
 | SetDesigning (TComponent)
 | SetDesignInstance (TComponent)
 | SetInline (TComponent)
 | SetName (TComponent)
pt | SetName (TCustomAction)
 | SetOnExecute (TBasicAction)
 | SetParentComponent (TComponent)
pt | SetParentComponent (TContainedAction)
 | SetReference (TComponent)
 | SetSubComponent (TComponent)
 | StringMessageTable (TObject)
 | ToString (TObject)
 | UnitName (TObject)
 | UnRegisterChanges (TBasicAction)
 | Update (TBasicAction)
 | Update (TContainedAction)
 | UpdateAction (TComponent)
 | Updated (TComponent)
 | UpdateRegistry (TComponent)
 | UpdateTarget (TBasicAction)
 | UpdateTarget (TEditCut)
 | Updating (TComponent)
 | ValidateContainer (TComponent)
 | ValidateInsert (TComponent)
 | ValidateRename (TComponent)
 | WriteLeft (TComponent)
 | WriteState (TComponent)
 | WriteTop (TComponent)
 | _AddRef (TComponent)
 | _Release (TComponent)


TEditCut
TEditAction
TAction
pl | ro | OnExecute
pl | ro | OnHint
pl | ro | OnUpdate
TCustomAction
 |  | OnHint
TContainedAction
TBasicAction
 |  | OnChange
 |  | OnExecute
 |  | OnUpdate
TComponent
TPersistent
TObject


TEditDelete

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

TEditDelete - standard action associated with the Edit Delete menu option

Declaration

Source position: stdactns.pas line 82

type TEditDelete = class(TEditAction)

public

  procedure ExecuteTarget(); override;

  procedure UpdateTarget(); override;

end;

Inheritance

TEditDelete | TEditDelete - standard action associated with the Edit Delete menu option
|
TEditAction | TEditAction - base class for actions associated with the various Edit menu options
|
TAction | TAction is the basic action object used on the LCL.
|
TCustomAction | TCustomAction is the ancestor class for TAction
|
TContainedAction | TContainedAction - parent class for TCustomAction; defines some properties especially relationships with parents
|
TBasicAction
|
TComponent,IUnknown,IInterfaceComponentReference
|
TPersistent,IFPObserved
|
TObject


TEditDelete
TEditAction
 |  | Control
TAction
pl | ro | AutoCheck
pl | ro | Caption
pl | ro | Checked
pl | ro | DisableIfNoHandler
pl | ro | Enabled
pl | ro | GroupIndex
pl | ro | HelpContext
pl | ro | HelpKeyword
pl | ro | HelpType
pl | ro | Hint
pl | ro | ImageIndex
pl | ro | SecondaryShortCuts
pl | ro | ShortCut
pl | ro | Visible
TCustomAction
pt |  | SavedEnabledState
 |  | AutoCheck
 |  | Caption
 |  | Checked
 |  | DisableIfNoHandler
 |  | Enabled
 |  | GroupIndex
 |  | HelpContext
 |  | HelpKeyword
 |  | HelpType
 |  | Hint
 |  | ImageIndex
 |  | SecondaryShortCuts
 |  | ShortCut
 |  | Visible
TContainedAction
 |  | ActionList
 |  | Index
pl |  | Category
TBasicAction
 |  | ActionComponent
TComponent
 | ro | ComObject
 | ro | Components
 | ro | ComponentCount
 |  | ComponentIndex
 | ro | ComponentState
 | ro | ComponentStyle
 |  | DesignInfo
 | ro | Owner
 |  | VCLComObject
 |  | Name
 |  | Tag
TPersistent
TObject


TEditDelete
 | ExecuteTarget
 | UpdateTarget
TEditAction
pt | Notification
 | Destroy
 | HandlesTarget
TAction
 | Create
TCustomAction
pt | AssignTo
pt | SetName
pt | HandleShortCut
 | Create
 | Destroy
 | DoHint
 | Execute
TContainedAction
pt | ReadState
pt | SetParentComponent
 | Destroy
 | Execute
 | GetParentComponent
 | HasParent
 | Update
TBasicAction
 | Change
 | SetOnExecute
 | Create
 | Destroy
 | HandlesTarget
 | UpdateTarget
 | ExecuteTarget
 | Execute
 | RegisterChanges
 | UnRegisterChanges
 | Update
TComponent
 | GetComObject
 | GetComponent
 | GetComponentCount
 | GetComponentIndex
 | Insert
 | ReadLeft
 | ReadTop
 | Remove
 | RemoveNotification
 | SetComponentIndex
 | SetReference
 | WriteLeft
 | WriteTop
 | ChangeName
 | DefineProperties
 | GetChildren
 | GetChildOwner
 | GetChildParent
 | GetOwner
 | Loaded
 | Loading
 | Notification
 | PaletteCreated
 | ReadState
 | SetAncestor
 | SetDesigning
 | SetDesignInstance
 | SetInline
 | SetName
 | SetChildOrder
 | SetParentComponent
 | Updating
 | Updated
 | UpdateRegistry
 | ValidateRename
 | ValidateContainer
 | ValidateInsert
 | QueryInterface
 | _AddRef
 | _Release
 | iicrGetComponent
 | GetTypeInfoCount
 | GetTypeInfo
 | GetIDsOfNames
 | Invoke
 | WriteState
 | Create
 | Destroy
 | BeforeDestruction
 | DestroyComponents
 | Destroying
 | ExecuteAction
 | FindComponent
 | FreeNotification
 | RemoveFreeNotification
 | FreeOnRelease
 | GetEnumerator
 | GetNamePath
 | GetParentComponent
 | HasParent
 | InsertComponent
 | RemoveComponent
 | SafeCallException
 | SetSubComponent
 | UpdateAction
 | IsImplementorOf
 | ReferenceInterface
TPersistent
 | AssignError
 | AssignTo
 | DefineProperties
 | GetOwner
 | Destroy
 | Assign
 | FPOAttachObserver
 | FPODetachObserver
 | FPONotifyObservers
 | GetNamePath
TObject
 | Create
 | Destroy
 | newinstance
 | FreeInstance
 | SafeCallException
 | DefaultHandler
 | Free
 | InitInstance
 | CleanupInstance
 | ClassType
 | ClassInfo
 | ClassName
 | ClassNameIs
 | ClassParent
 | InstanceSize
 | InheritsFrom
 | StringMessageTable
 | MethodAddress
 | MethodName
 | FieldAddress
 | AfterConstruction
 | BeforeDestruction
 | DefaultHandlerStr
 | Dispatch
 | DispatchStr
 | GetInterface
 | GetInterfaceByStr
 | GetInterfaceWeak
 | GetInterfaceEntry
 | GetInterfaceEntryByStr
 | GetInterfaceTable
 | UnitName
 | Equals
 | GetHashCode
 | ToString


 | AssignError (TPersistent)
 | AssignTo (TPersistent)
pt | AssignTo (TCustomAction)
 | BeforeDestruction (TObject)
 | BeforeDestruction (TComponent)
 | Change (TBasicAction)
 | ChangeName (TComponent)
 | ClassInfo (TObject)
 | ClassName (TObject)
 | ClassNameIs (TObject)
 | ClassParent (TObject)
 | ClassType (TObject)
 | CleanupInstance (TObject)
 | Create (TObject)
 | Create (TComponent)
 | Create (TBasicAction)
 | Create (TCustomAction)
 | Create (TAction)
 | DefaultHandler (TObject)
 | DefaultHandlerStr (TObject)
 | DefineProperties (TPersistent)
 | DefineProperties (TComponent)
 | Destroy (TObject)
 | Destroy (TPersistent)
 | Destroy (TComponent)
 | Destroy (TBasicAction)
 | Destroy (TContainedAction)
 | Destroy (TCustomAction)
 | Destroy (TEditAction)
 | DestroyComponents (TComponent)
 | Destroying (TComponent)
 | Dispatch (TObject)
 | DispatchStr (TObject)
 | DoHint (TCustomAction)
 | Equals (TObject)
 | Execute (TBasicAction)
 | Execute (TContainedAction)
 | Execute (TCustomAction)
 | ExecuteAction (TComponent)
 | ExecuteTarget (TBasicAction)
 | ExecuteTarget (TEditDelete)
 | FieldAddress (TObject)
 | FindComponent (TComponent)
 | FPOAttachObserver (TPersistent)
 | FPODetachObserver (TPersistent)
 | FPONotifyObservers (TPersistent)
 | Free (TObject)
 | FreeInstance (TObject)
 | FreeNotification (TComponent)
 | FreeOnRelease (TComponent)
 | GetChildOwner (TComponent)
 | GetChildParent (TComponent)
 | GetChildren (TComponent)
 | GetComObject (TComponent)
 | GetComponent (TComponent)
 | GetComponentCount (TComponent)
 | GetComponentIndex (TComponent)
 | GetEnumerator (TComponent)
 | GetHashCode (TObject)
 | GetIDsOfNames (TComponent)
 | GetInterface (TObject)
 | GetInterfaceByStr (TObject)
 | GetInterfaceEntry (TObject)
 | GetInterfaceEntryByStr (TObject)
 | GetInterfaceTable (TObject)
 | GetInterfaceWeak (TObject)
 | GetNamePath (TPersistent)
 | GetNamePath (TComponent)
 | GetOwner (TPersistent)
 | GetOwner (TComponent)
 | GetParentComponent (TComponent)
 | GetParentComponent (TContainedAction)
 | GetTypeInfo (TComponent)
 | GetTypeInfoCount (TComponent)
pt | HandleShortCut (TCustomAction)
 | HandlesTarget (TBasicAction)
 | HandlesTarget (TEditAction)
 | HasParent (TComponent)
 | HasParent (TContainedAction)
 | iicrGetComponent (TComponent)
 | InheritsFrom (TObject)
 | InitInstance (TObject)
 | Insert (TComponent)
 | InsertComponent (TComponent)
 | InstanceSize (TObject)
 | Invoke (TComponent)
 | IsImplementorOf (TComponent)
 | Loaded (TComponent)
 | Loading (TComponent)
 | MethodAddress (TObject)
 | MethodName (TObject)
 | newinstance (TObject)
 | Notification (TComponent)
pt | Notification (TEditAction)
 | PaletteCreated (TComponent)
 | QueryInterface (TComponent)
 | ReadLeft (TComponent)
 | ReadState (TComponent)
pt | ReadState (TContainedAction)
 | ReadTop (TComponent)
 | ReferenceInterface (TComponent)
 | RegisterChanges (TBasicAction)
 | Remove (TComponent)
 | RemoveComponent (TComponent)
 | RemoveFreeNotification (TComponent)
 | RemoveNotification (TComponent)
 | SafeCallException (TObject)
 | SafeCallException (TComponent)
 | SetAncestor (TComponent)
 | SetChildOrder (TComponent)
 | SetComponentIndex (TComponent)
 | SetDesigning (TComponent)
 | SetDesignInstance (TComponent)
 | SetInline (TComponent)
 | SetName (TComponent)
pt | SetName (TCustomAction)
 | SetOnExecute (TBasicAction)
 | SetParentComponent (TComponent)
pt | SetParentComponent (TContainedAction)
 | SetReference (TComponent)
 | SetSubComponent (TComponent)
 | StringMessageTable (TObject)
 | ToString (TObject)
 | UnitName (TObject)
 | UnRegisterChanges (TBasicAction)
 | Update (TBasicAction)
 | Update (TContainedAction)
 | UpdateAction (TComponent)
 | Updated (TComponent)
 | UpdateRegistry (TComponent)
 | UpdateTarget (TBasicAction)
 | UpdateTarget (TEditDelete)
 | Updating (TComponent)
 | ValidateContainer (TComponent)
 | ValidateInsert (TComponent)
 | ValidateRename (TComponent)
 | WriteLeft (TComponent)
 | WriteState (TComponent)
 | WriteTop (TComponent)
 | _AddRef (TComponent)
 | _Release (TComponent)


TEditDelete
TEditAction
TAction
pl | ro | OnExecute
pl | ro | OnHint
pl | ro | OnUpdate
TCustomAction
 |  | OnHint
TContainedAction
TBasicAction
 |  | OnChange
 |  | OnExecute
 |  | OnUpdate
TComponent
TPersistent
TObject


TEditPaste

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

TEditPaste - standard action associated with the Edit Paste menu option

Declaration

Source position: stdactns.pas line 64

type TEditPaste = class(TEditAction)

public

  procedure UpdateTarget(); override;

  procedure ExecuteTarget(); override;

end;

Inheritance

TEditPaste | TEditPaste - standard action associated with the Edit Paste menu option
|
TEditAction | TEditAction - base class for actions associated with the various Edit menu options
|
TAction | TAction is the basic action object used on the LCL.
|
TCustomAction | TCustomAction is the ancestor class for TAction
|
TContainedAction | TContainedAction - parent class for TCustomAction; defines some properties especially relationships with parents
|
TBasicAction
|
TComponent,IUnknown,IInterfaceComponentReference
|
TPersistent,IFPObserved
|
TObject


TEditPaste
TEditAction
 |  | Control
TAction
pl | ro | AutoCheck
pl | ro | Caption
pl | ro | Checked
pl | ro | DisableIfNoHandler
pl | ro | Enabled
pl | ro | GroupIndex
pl | ro | HelpContext
pl | ro | HelpKeyword
pl | ro | HelpType
pl | ro | Hint
pl | ro | ImageIndex
pl | ro | SecondaryShortCuts
pl | ro | ShortCut
pl | ro | Visible
TCustomAction
pt |  | SavedEnabledState
 |  | AutoCheck
 |  | Caption
 |  | Checked
 |  | DisableIfNoHandler
 |  | Enabled
 |  | GroupIndex
 |  | HelpContext
 |  | HelpKeyword
 |  | HelpType
 |  | Hint
 |  | ImageIndex
 |  | SecondaryShortCuts
 |  | ShortCut
 |  | Visible
TContainedAction
 |  | ActionList
 |  | Index
pl |  | Category
TBasicAction
 |  | ActionComponent
TComponent
 | ro | ComObject
 | ro | Components
 | ro | ComponentCount
 |  | ComponentIndex
 | ro | ComponentState
 | ro | ComponentStyle
 |  | DesignInfo
 | ro | Owner
 |  | VCLComObject
 |  | Name
 |  | Tag
TPersistent
TObject


TEditPaste
 | UpdateTarget
 | ExecuteTarget
TEditAction
pt | Notification
 | Destroy
 | HandlesTarget
TAction
 | Create
TCustomAction
pt | AssignTo
pt | SetName
pt | HandleShortCut
 | Create
 | Destroy
 | DoHint
 | Execute
TContainedAction
pt | ReadState
pt | SetParentComponent
 | Destroy
 | Execute
 | GetParentComponent
 | HasParent
 | Update
TBasicAction
 | Change
 | SetOnExecute
 | Create
 | Destroy
 | HandlesTarget
 | UpdateTarget
 | ExecuteTarget
 | Execute
 | RegisterChanges
 | UnRegisterChanges
 | Update
TComponent
 | GetComObject
 | GetComponent
 | GetComponentCount
 | GetComponentIndex
 | Insert
 | ReadLeft
 | ReadTop
 | Remove
 | RemoveNotification
 | SetComponentIndex
 | SetReference
 | WriteLeft
 | WriteTop
 | ChangeName
 | DefineProperties
 | GetChildren
 | GetChildOwner
 | GetChildParent
 | GetOwner
 | Loaded
 | Loading
 | Notification
 | PaletteCreated
 | ReadState
 | SetAncestor
 | SetDesigning
 | SetDesignInstance
 | SetInline
 | SetName
 | SetChildOrder
 | SetParentComponent
 | Updating
 | Updated
 | UpdateRegistry
 | ValidateRename
 | ValidateContainer
 | ValidateInsert
 | QueryInterface
 | _AddRef
 | _Release
 | iicrGetComponent
 | GetTypeInfoCount
 | GetTypeInfo
 | GetIDsOfNames
 | Invoke
 | WriteState
 | Create
 | Destroy
 | BeforeDestruction
 | DestroyComponents
 | Destroying
 | ExecuteAction
 | FindComponent
 | FreeNotification
 | RemoveFreeNotification
 | FreeOnRelease
 | GetEnumerator
 | GetNamePath
 | GetParentComponent
 | HasParent
 | InsertComponent
 | RemoveComponent
 | SafeCallException
 | SetSubComponent
 | UpdateAction
 | IsImplementorOf
 | ReferenceInterface
TPersistent
 | AssignError
 | AssignTo
 | DefineProperties
 | GetOwner
 | Destroy
 | Assign
 | FPOAttachObserver
 | FPODetachObserver
 | FPONotifyObservers
 | GetNamePath
TObject
 | Create
 | Destroy
 | newinstance
 | FreeInstance
 | SafeCallException
 | DefaultHandler
 | Free
 | InitInstance
 | CleanupInstance
 | ClassType
 | ClassInfo
 | ClassName
 | ClassNameIs
 | ClassParent
 | InstanceSize
 | InheritsFrom
 | StringMessageTable
 | MethodAddress
 | MethodName
 | FieldAddress
 | AfterConstruction
 | BeforeDestruction
 | DefaultHandlerStr
 | Dispatch
 | DispatchStr
 | GetInterface
 | GetInterfaceByStr
 | GetInterfaceWeak
 | GetInterfaceEntry
 | GetInterfaceEntryByStr
 | GetInterfaceTable
 | UnitName
 | Equals
 | GetHashCode
 | ToString


 | AssignError (TPersistent)
 | AssignTo (TPersistent)
pt | AssignTo (TCustomAction)
 | BeforeDestruction (TObject)
 | BeforeDestruction (TComponent)
 | Change (TBasicAction)
 | ChangeName (TComponent)
 | ClassInfo (TObject)
 | ClassName (TObject)
 | ClassNameIs (TObject)
 | ClassParent (TObject)
 | ClassType (TObject)
 | CleanupInstance (TObject)
 | Create (TObject)
 | Create (TComponent)
 | Create (TBasicAction)
 | Create (TCustomAction)
 | Create (TAction)
 | DefaultHandler (TObject)
 | DefaultHandlerStr (TObject)
 | DefineProperties (TPersistent)
 | DefineProperties (TComponent)
 | Destroy (TObject)
 | Destroy (TPersistent)
 | Destroy (TComponent)
 | Destroy (TBasicAction)
 | Destroy (TContainedAction)
 | Destroy (TCustomAction)
 | Destroy (TEditAction)
 | DestroyComponents (TComponent)
 | Destroying (TComponent)
 | Dispatch (TObject)
 | DispatchStr (TObject)
 | DoHint (TCustomAction)
 | Equals (TObject)
 | Execute (TBasicAction)
 | Execute (TContainedAction)
 | Execute (TCustomAction)
 | ExecuteAction (TComponent)
 | ExecuteTarget (TBasicAction)
 | ExecuteTarget (TEditPaste)
 | FieldAddress (TObject)
 | FindComponent (TComponent)
 | FPOAttachObserver (TPersistent)
 | FPODetachObserver (TPersistent)
 | FPONotifyObservers (TPersistent)
 | Free (TObject)
 | FreeInstance (TObject)
 | FreeNotification (TComponent)
 | FreeOnRelease (TComponent)
 | GetChildOwner (TComponent)
 | GetChildParent (TComponent)
 | GetChildren (TComponent)
 | GetComObject (TComponent)
 | GetComponent (TComponent)
 | GetComponentCount (TComponent)
 | GetComponentIndex (TComponent)
 | GetEnumerator (TComponent)
 | GetHashCode (TObject)
 | GetIDsOfNames (TComponent)
 | GetInterface (TObject)
 | GetInterfaceByStr (TObject)
 | GetInterfaceEntry (TObject)
 | GetInterfaceEntryByStr (TObject)
 | GetInterfaceTable (TObject)
 | GetInterfaceWeak (TObject)
 | GetNamePath (TPersistent)
 | GetNamePath (TComponent)
 | GetOwner (TPersistent)
 | GetOwner (TComponent)
 | GetParentComponent (TComponent)
 | GetParentComponent (TContainedAction)
 | GetTypeInfo (TComponent)
 | GetTypeInfoCount (TComponent)
pt | HandleShortCut (TCustomAction)
 | HandlesTarget (TBasicAction)
 | HandlesTarget (TEditAction)
 | HasParent (TComponent)
 | HasParent (TContainedAction)
 | iicrGetComponent (TComponent)
 | InheritsFrom (TObject)
 | InitInstance (TObject)
 | Insert (TComponent)
 | InsertComponent (TComponent)
 | InstanceSize (TObject)
 | Invoke (TComponent)
 | IsImplementorOf (TComponent)
 | Loaded (TComponent)
 | Loading (TComponent)
 | MethodAddress (TObject)
 | MethodName (TObject)
 | newinstance (TObject)
 | Notification (TComponent)
pt | Notification (TEditAction)
 | PaletteCreated (TComponent)
 | QueryInterface (TComponent)
 | ReadLeft (TComponent)
 | ReadState (TComponent)
pt | ReadState (TContainedAction)
 | ReadTop (TComponent)
 | ReferenceInterface (TComponent)
 | RegisterChanges (TBasicAction)
 | Remove (TComponent)
 | RemoveComponent (TComponent)
 | RemoveFreeNotification (TComponent)
 | RemoveNotification (TComponent)
 | SafeCallException (TObject)
 | SafeCallException (TComponent)
 | SetAncestor (TComponent)
 | SetChildOrder (TComponent)
 | SetComponentIndex (TComponent)
 | SetDesigning (TComponent)
 | SetDesignInstance (TComponent)
 | SetInline (TComponent)
 | SetName (TComponent)
pt | SetName (TCustomAction)
 | SetOnExecute (TBasicAction)
 | SetParentComponent (TComponent)
pt | SetParentComponent (TContainedAction)
 | SetReference (TComponent)
 | SetSubComponent (TComponent)
 | StringMessageTable (TObject)
 | ToString (TObject)
 | UnitName (TObject)
 | UnRegisterChanges (TBasicAction)
 | Update (TBasicAction)
 | Update (TContainedAction)
 | UpdateAction (TComponent)
 | Updated (TComponent)
 | UpdateRegistry (TComponent)
 | UpdateTarget (TBasicAction)
 | UpdateTarget (TEditPaste)
 | Updating (TComponent)
 | ValidateContainer (TComponent)
 | ValidateInsert (TComponent)
 | ValidateRename (TComponent)
 | WriteLeft (TComponent)
 | WriteState (TComponent)
 | WriteTop (TComponent)
 | _AddRef (TComponent)
 | _Release (TComponent)


TEditPaste
TEditAction
TAction
pl | ro | OnExecute
pl | ro | OnHint
pl | ro | OnUpdate
TCustomAction
 |  | OnHint
TContainedAction
TBasicAction
 |  | OnChange
 |  | OnExecute
 |  | OnUpdate
TComponent
TPersistent
TObject


TEditSelectAll

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

TEditSelectAll - standard action associated with the Edit Select All menu option

Declaration

Source position: stdactns.pas line 70

type TEditSelectAll = class(TEditAction)

public

  procedure ExecuteTarget(); override;

  procedure UpdateTarget(); override;

end;

Inheritance

TEditSelectAll | TEditSelectAll - standard action associated with the Edit Select All menu option
|
TEditAction | TEditAction - base class for actions associated with the various Edit menu options
|
TAction | TAction is the basic action object used on the LCL.
|
TCustomAction | TCustomAction is the ancestor class for TAction
|
TContainedAction | TContainedAction - parent class for TCustomAction; defines some properties especially relationships with parents
|
TBasicAction
|
TComponent,IUnknown,IInterfaceComponentReference
|
TPersistent,IFPObserved
|
TObject


TEditSelectAll
TEditAction
 |  | Control
TAction
pl | ro | AutoCheck
pl | ro | Caption
pl | ro | Checked
pl | ro | DisableIfNoHandler
pl | ro | Enabled
pl | ro | GroupIndex
pl | ro | HelpContext
pl | ro | HelpKeyword
pl | ro | HelpType
pl | ro | Hint
pl | ro | ImageIndex
pl | ro | SecondaryShortCuts
pl | ro | ShortCut
pl | ro | Visible
TCustomAction
pt |  | SavedEnabledState
 |  | AutoCheck
 |  | Caption
 |  | Checked
 |  | DisableIfNoHandler
 |  | Enabled
 |  | GroupIndex
 |  | HelpContext
 |  | HelpKeyword
 |  | HelpType
 |  | Hint
 |  | ImageIndex
 |  | SecondaryShortCuts
 |  | ShortCut
 |  | Visible
TContainedAction
 |  | ActionList
 |  | Index
pl |  | Category
TBasicAction
 |  | ActionComponent
TComponent
 | ro | ComObject
 | ro | Components
 | ro | ComponentCount
 |  | ComponentIndex
 | ro | ComponentState
 | ro | ComponentStyle
 |  | DesignInfo
 | ro | Owner
 |  | VCLComObject
 |  | Name
 |  | Tag
TPersistent
TObject


TEditSelectAll
 | ExecuteTarget
 | UpdateTarget
TEditAction
pt | Notification
 | Destroy
 | HandlesTarget
TAction
 | Create
TCustomAction
pt | AssignTo
pt | SetName
pt | HandleShortCut
 | Create
 | Destroy
 | DoHint
 | Execute
TContainedAction
pt | ReadState
pt | SetParentComponent
 | Destroy
 | Execute
 | GetParentComponent
 | HasParent
 | Update
TBasicAction
 | Change
 | SetOnExecute
 | Create
 | Destroy
 | HandlesTarget
 | UpdateTarget
 | ExecuteTarget
 | Execute
 | RegisterChanges
 | UnRegisterChanges
 | Update
TComponent
 | GetComObject
 | GetComponent
 | GetComponentCount
 | GetComponentIndex
 | Insert
 | ReadLeft
 | ReadTop
 | Remove
 | RemoveNotification
 | SetComponentIndex
 | SetReference
 | WriteLeft
 | WriteTop
 | ChangeName
 | DefineProperties
 | GetChildren
 | GetChildOwner
 | GetChildParent
 | GetOwner
 | Loaded
 | Loading
 | Notification
 | PaletteCreated
 | ReadState
 | SetAncestor
 | SetDesigning
 | SetDesignInstance
 | SetInline
 | SetName
 | SetChildOrder
 | SetParentComponent
 | Updating
 | Updated
 | UpdateRegistry
 | ValidateRename
 | ValidateContainer
 | ValidateInsert
 | QueryInterface
 | _AddRef
 | _Release
 | iicrGetComponent
 | GetTypeInfoCount
 | GetTypeInfo
 | GetIDsOfNames
 | Invoke
 | WriteState
 | Create
 | Destroy
 | BeforeDestruction
 | DestroyComponents
 | Destroying
 | ExecuteAction
 | FindComponent
 | FreeNotification
 | RemoveFreeNotification
 | FreeOnRelease
 | GetEnumerator
 | GetNamePath
 | GetParentComponent
 | HasParent
 | InsertComponent
 | RemoveComponent
 | SafeCallException
 | SetSubComponent
 | UpdateAction
 | IsImplementorOf
 | ReferenceInterface
TPersistent
 | AssignError
 | AssignTo
 | DefineProperties
 | GetOwner
 | Destroy
 | Assign
 | FPOAttachObserver
 | FPODetachObserver
 | FPONotifyObservers
 | GetNamePath
TObject
 | Create
 | Destroy
 | newinstance
 | FreeInstance
 | SafeCallException
 | DefaultHandler
 | Free
 | InitInstance
 | CleanupInstance
 | ClassType
 | ClassInfo
 | ClassName
 | ClassNameIs
 | ClassParent
 | InstanceSize
 | InheritsFrom
 | StringMessageTable
 | MethodAddress
 | MethodName
 | FieldAddress
 | AfterConstruction
 | BeforeDestruction
 | DefaultHandlerStr
 | Dispatch
 | DispatchStr
 | GetInterface
 | GetInterfaceByStr
 | GetInterfaceWeak
 | GetInterfaceEntry
 | GetInterfaceEntryByStr
 | GetInterfaceTable
 | UnitName
 | Equals
 | GetHashCode
 | ToString


 | AssignError (TPersistent)
 | AssignTo (TPersistent)
pt | AssignTo (TCustomAction)
 | BeforeDestruction (TObject)
 | BeforeDestruction (TComponent)
 | Change (TBasicAction)
 | ChangeName (TComponent)
 | ClassInfo (TObject)
 | ClassName (TObject)
 | ClassNameIs (TObject)
 | ClassParent (TObject)
 | ClassType (TObject)
 | CleanupInstance (TObject)
 | Create (TObject)
 | Create (TComponent)
 | Create (TBasicAction)
 | Create (TCustomAction)
 | Create (TAction)
 | DefaultHandler (TObject)
 | DefaultHandlerStr (TObject)
 | DefineProperties (TPersistent)
 | DefineProperties (TComponent)
 | Destroy (TObject)
 | Destroy (TPersistent)
 | Destroy (TComponent)
 | Destroy (TBasicAction)
 | Destroy (TContainedAction)
 | Destroy (TCustomAction)
 | Destroy (TEditAction)
 | DestroyComponents (TComponent)
 | Destroying (TComponent)
 | Dispatch (TObject)
 | DispatchStr (TObject)
 | DoHint (TCustomAction)
 | Equals (TObject)
 | Execute (TBasicAction)
 | Execute (TContainedAction)
 | Execute (TCustomAction)
 | ExecuteAction (TComponent)
 | ExecuteTarget (TBasicAction)
 | ExecuteTarget (TEditSelectAll)
 | FieldAddress (TObject)
 | FindComponent (TComponent)
 | FPOAttachObserver (TPersistent)
 | FPODetachObserver (TPersistent)
 | FPONotifyObservers (TPersistent)
 | Free (TObject)
 | FreeInstance (TObject)
 | FreeNotification (TComponent)
 | FreeOnRelease (TComponent)
 | GetChildOwner (TComponent)
 | GetChildParent (TComponent)
 | GetChildren (TComponent)
 | GetComObject (TComponent)
 | GetComponent (TComponent)
 | GetComponentCount (TComponent)
 | GetComponentIndex (TComponent)
 | GetEnumerator (TComponent)
 | GetHashCode (TObject)
 | GetIDsOfNames (TComponent)
 | GetInterface (TObject)
 | GetInterfaceByStr (TObject)
 | GetInterfaceEntry (TObject)
 | GetInterfaceEntryByStr (TObject)
 | GetInterfaceTable (TObject)
 | GetInterfaceWeak (TObject)
 | GetNamePath (TPersistent)
 | GetNamePath (TComponent)
 | GetOwner (TPersistent)
 | GetOwner (TComponent)
 | GetParentComponent (TComponent)
 | GetParentComponent (TContainedAction)
 | GetTypeInfo (TComponent)
 | GetTypeInfoCount (TComponent)
pt | HandleShortCut (TCustomAction)
 | HandlesTarget (TBasicAction)
 | HandlesTarget (TEditAction)
 | HasParent (TComponent)
 | HasParent (TContainedAction)
 | iicrGetComponent (TComponent)
 | InheritsFrom (TObject)
 | InitInstance (TObject)
 | Insert (TComponent)
 | InsertComponent (TComponent)
 | InstanceSize (TObject)
 | Invoke (TComponent)
 | IsImplementorOf (TComponent)
 | Loaded (TComponent)
 | Loading (TComponent)
 | MethodAddress (TObject)
 | MethodName (TObject)
 | newinstance (TObject)
 | Notification (TComponent)
pt | Notification (TEditAction)
 | PaletteCreated (TComponent)
 | QueryInterface (TComponent)
 | ReadLeft (TComponent)
 | ReadState (TComponent)
pt | ReadState (TContainedAction)
 | ReadTop (TComponent)
 | ReferenceInterface (TComponent)
 | RegisterChanges (TBasicAction)
 | Remove (TComponent)
 | RemoveComponent (TComponent)
 | RemoveFreeNotification (TComponent)
 | RemoveNotification (TComponent)
 | SafeCallException (TObject)
 | SafeCallException (TComponent)
 | SetAncestor (TComponent)
 | SetChildOrder (TComponent)
 | SetComponentIndex (TComponent)
 | SetDesigning (TComponent)
 | SetDesignInstance (TComponent)
 | SetInline (TComponent)
 | SetName (TComponent)
pt | SetName (TCustomAction)
 | SetOnExecute (TBasicAction)
 | SetParentComponent (TComponent)
pt | SetParentComponent (TContainedAction)
 | SetReference (TComponent)
 | SetSubComponent (TComponent)
 | StringMessageTable (TObject)
 | ToString (TObject)
 | UnitName (TObject)
 | UnRegisterChanges (TBasicAction)
 | Update (TBasicAction)
 | Update (TContainedAction)
 | UpdateAction (TComponent)
 | Updated (TComponent)
 | UpdateRegistry (TComponent)
 | UpdateTarget (TBasicAction)
 | UpdateTarget (TEditSelectAll)
 | Updating (TComponent)
 | ValidateContainer (TComponent)
 | ValidateInsert (TComponent)
 | ValidateRename (TComponent)
 | WriteLeft (TComponent)
 | WriteState (TComponent)
 | WriteTop (TComponent)
 | _AddRef (TComponent)
 | _Release (TComponent)


TEditSelectAll
TEditAction
TAction
pl | ro | OnExecute
pl | ro | OnHint
pl | ro | OnUpdate
TCustomAction
 |  | OnHint
TContainedAction
TBasicAction
 |  | OnChange
 |  | OnExecute
 |  | OnUpdate
TComponent
TPersistent
TObject


TEditUndo

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

TEditUndo - standard action associated with the Edit Undo menu option

Declaration

Source position: stdactns.pas line 76

type TEditUndo = class(TEditAction)

public

  procedure ExecuteTarget(); override;

  procedure UpdateTarget(); override;

end;

Inheritance

TEditUndo | TEditUndo - standard action associated with the Edit Undo menu option
|
TEditAction | TEditAction - base class for actions associated with the various Edit menu options
|
TAction | TAction is the basic action object used on the LCL.
|
TCustomAction | TCustomAction is the ancestor class for TAction
|
TContainedAction | TContainedAction - parent class for TCustomAction; defines some properties especially relationships with parents
|
TBasicAction
|
TComponent,IUnknown,IInterfaceComponentReference
|
TPersistent,IFPObserved
|
TObject


TEditUndo
TEditAction
 |  | Control
TAction
pl | ro | AutoCheck
pl | ro | Caption
pl | ro | Checked
pl | ro | DisableIfNoHandler
pl | ro | Enabled
pl | ro | GroupIndex
pl | ro | HelpContext
pl | ro | HelpKeyword
pl | ro | HelpType
pl | ro | Hint
pl | ro | ImageIndex
pl | ro | SecondaryShortCuts
pl | ro | ShortCut
pl | ro | Visible
TCustomAction
pt |  | SavedEnabledState
 |  | AutoCheck
 |  | Caption
 |  | Checked
 |  | DisableIfNoHandler
 |  | Enabled
 |  | GroupIndex
 |  | HelpContext
 |  | HelpKeyword
 |  | HelpType
 |  | Hint
 |  | ImageIndex
 |  | SecondaryShortCuts
 |  | ShortCut
 |  | Visible
TContainedAction
 |  | ActionList
 |  | Index
pl |  | Category
TBasicAction
 |  | ActionComponent
TComponent
 | ro | ComObject
 | ro | Components
 | ro | ComponentCount
 |  | ComponentIndex
 | ro | ComponentState
 | ro | ComponentStyle
 |  | DesignInfo
 | ro | Owner
 |  | VCLComObject
 |  | Name
 |  | Tag
TPersistent
TObject


TEditUndo
 | ExecuteTarget
 | UpdateTarget
TEditAction
pt | Notification
 | Destroy
 | HandlesTarget
TAction
 | Create
TCustomAction
pt | AssignTo
pt | SetName
pt | HandleShortCut
 | Create
 | Destroy
 | DoHint
 | Execute
TContainedAction
pt | ReadState
pt | SetParentComponent
 | Destroy
 | Execute
 | GetParentComponent
 | HasParent
 | Update
TBasicAction
 | Change
 | SetOnExecute
 | Create
 | Destroy
 | HandlesTarget
 | UpdateTarget
 | ExecuteTarget
 | Execute
 | RegisterChanges
 | UnRegisterChanges
 | Update
TComponent
 | GetComObject
 | GetComponent
 | GetComponentCount
 | GetComponentIndex
 | Insert
 | ReadLeft
 | ReadTop
 | Remove
 | RemoveNotification
 | SetComponentIndex
 | SetReference
 | WriteLeft
 | WriteTop
 | ChangeName
 | DefineProperties
 | GetChildren
 | GetChildOwner
 | GetChildParent
 | GetOwner
 | Loaded
 | Loading
 | Notification
 | PaletteCreated
 | ReadState
 | SetAncestor
 | SetDesigning
 | SetDesignInstance
 | SetInline
 | SetName
 | SetChildOrder
 | SetParentComponent
 | Updating
 | Updated
 | UpdateRegistry
 | ValidateRename
 | ValidateContainer
 | ValidateInsert
 | QueryInterface
 | _AddRef
 | _Release
 | iicrGetComponent
 | GetTypeInfoCount
 | GetTypeInfo
 | GetIDsOfNames
 | Invoke
 | WriteState
 | Create
 | Destroy
 | BeforeDestruction
 | DestroyComponents
 | Destroying
 | ExecuteAction
 | FindComponent
 | FreeNotification
 | RemoveFreeNotification
 | FreeOnRelease
 | GetEnumerator
 | GetNamePath
 | GetParentComponent
 | HasParent
 | InsertComponent
 | RemoveComponent
 | SafeCallException
 | SetSubComponent
 | UpdateAction
 | IsImplementorOf
 | ReferenceInterface
TPersistent
 | AssignError
 | AssignTo
 | DefineProperties
 | GetOwner
 | Destroy
 | Assign
 | FPOAttachObserver
 | FPODetachObserver
 | FPONotifyObservers
 | GetNamePath
TObject
 | Create
 | Destroy
 | newinstance
 | FreeInstance
 | SafeCallException
 | DefaultHandler
 | Free
 | InitInstance
 | CleanupInstance
 | ClassType
 | ClassInfo
 | ClassName
 | ClassNameIs
 | ClassParent
 | InstanceSize
 | InheritsFrom
 | StringMessageTable
 | MethodAddress
 | MethodName
 | FieldAddress
 | AfterConstruction
 | BeforeDestruction
 | DefaultHandlerStr
 | Dispatch
 | DispatchStr
 | GetInterface
 | GetInterfaceByStr
 | GetInterfaceWeak
 | GetInterfaceEntry
 | GetInterfaceEntryByStr
 | GetInterfaceTable
 | UnitName
 | Equals
 | GetHashCode
 | ToString


 | AssignError (TPersistent)
 | AssignTo (TPersistent)
pt | AssignTo (TCustomAction)
 | BeforeDestruction (TObject)
 | BeforeDestruction (TComponent)
 | Change (TBasicAction)
 | ChangeName (TComponent)
 | ClassInfo (TObject)
 | ClassName (TObject)
 | ClassNameIs (TObject)
 | ClassParent (TObject)
 | ClassType (TObject)
 | CleanupInstance (TObject)
 | Create (TObject)
 | Create (TComponent)
 | Create (TBasicAction)
 | Create (TCustomAction)
 | Create (TAction)
 | DefaultHandler (TObject)
 | DefaultHandlerStr (TObject)
 | DefineProperties (TPersistent)
 | DefineProperties (TComponent)
 | Destroy (TObject)
 | Destroy (TPersistent)
 | Destroy (TComponent)
 | Destroy (TBasicAction)
 | Destroy (TContainedAction)
 | Destroy (TCustomAction)
 | Destroy (TEditAction)
 | DestroyComponents (TComponent)
 | Destroying (TComponent)
 | Dispatch (TObject)
 | DispatchStr (TObject)
 | DoHint (TCustomAction)
 | Equals (TObject)
 | Execute (TBasicAction)
 | Execute (TContainedAction)
 | Execute (TCustomAction)
 | ExecuteAction (TComponent)
 | ExecuteTarget (TBasicAction)
 | ExecuteTarget (TEditUndo)
 | FieldAddress (TObject)
 | FindComponent (TComponent)
 | FPOAttachObserver (TPersistent)
 | FPODetachObserver (TPersistent)
 | FPONotifyObservers (TPersistent)
 | Free (TObject)
 | FreeInstance (TObject)
 | FreeNotification (TComponent)
 | FreeOnRelease (TComponent)
 | GetChildOwner (TComponent)
 | GetChildParent (TComponent)
 | GetChildren (TComponent)
 | GetComObject (TComponent)
 | GetComponent (TComponent)
 | GetComponentCount (TComponent)
 | GetComponentIndex (TComponent)
 | GetEnumerator (TComponent)
 | GetHashCode (TObject)
 | GetIDsOfNames (TComponent)
 | GetInterface (TObject)
 | GetInterfaceByStr (TObject)
 | GetInterfaceEntry (TObject)
 | GetInterfaceEntryByStr (TObject)
 | GetInterfaceTable (TObject)
 | GetInterfaceWeak (TObject)
 | GetNamePath (TPersistent)
 | GetNamePath (TComponent)
 | GetOwner (TPersistent)
 | GetOwner (TComponent)
 | GetParentComponent (TComponent)
 | GetParentComponent (TContainedAction)
 | GetTypeInfo (TComponent)
 | GetTypeInfoCount (TComponent)
pt | HandleShortCut (TCustomAction)
 | HandlesTarget (TBasicAction)
 | HandlesTarget (TEditAction)
 | HasParent (TComponent)
 | HasParent (TContainedAction)
 | iicrGetComponent (TComponent)
 | InheritsFrom (TObject)
 | InitInstance (TObject)
 | Insert (TComponent)
 | InsertComponent (TComponent)
 | InstanceSize (TObject)
 | Invoke (TComponent)
 | IsImplementorOf (TComponent)
 | Loaded (TComponent)
 | Loading (TComponent)
 | MethodAddress (TObject)
 | MethodName (TObject)
 | newinstance (TObject)
 | Notification (TComponent)
pt | Notification (TEditAction)
 | PaletteCreated (TComponent)
 | QueryInterface (TComponent)
 | ReadLeft (TComponent)
 | ReadState (TComponent)
pt | ReadState (TContainedAction)
 | ReadTop (TComponent)
 | ReferenceInterface (TComponent)
 | RegisterChanges (TBasicAction)
 | Remove (TComponent)
 | RemoveComponent (TComponent)
 | RemoveFreeNotification (TComponent)
 | RemoveNotification (TComponent)
 | SafeCallException (TObject)
 | SafeCallException (TComponent)
 | SetAncestor (TComponent)
 | SetChildOrder (TComponent)
 | SetComponentIndex (TComponent)
 | SetDesigning (TComponent)
 | SetDesignInstance (TComponent)
 | SetInline (TComponent)
 | SetName (TComponent)
pt | SetName (TCustomAction)
 | SetOnExecute (TBasicAction)
 | SetParentComponent (TComponent)
pt | SetParentComponent (TContainedAction)
 | SetReference (TComponent)
 | SetSubComponent (TComponent)
 | StringMessageTable (TObject)
 | ToString (TObject)
 | UnitName (TObject)
 | UnRegisterChanges (TBasicAction)
 | Update (TBasicAction)
 | Update (TContainedAction)
 | UpdateAction (TComponent)
 | Updated (TComponent)
 | UpdateRegistry (TComponent)
 | UpdateTarget (TBasicAction)
 | UpdateTarget (TEditUndo)
 | Updating (TComponent)
 | ValidateContainer (TComponent)
 | ValidateInsert (TComponent)
 | ValidateRename (TComponent)
 | WriteLeft (TComponent)
 | WriteState (TComponent)
 | WriteTop (TComponent)
 | _AddRef (TComponent)
 | _Release (TComponent)


TEditUndo
TEditAction
TAction
pl | ro | OnExecute
pl | ro | OnHint
pl | ro | OnUpdate
TCustomAction
 |  | OnHint
TContainedAction
TBasicAction
 |  | OnChange
 |  | OnExecute
 |  | OnUpdate
TComponent
TPersistent
TObject


TFileAction

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

TFileAction - base class for providing actions associated with various file dialogs and menu options

Declaration

Source position: stdactns.pas line 151

type TFileAction = class(TCommonDialogAction)
protected
function GetDialog; | GetDialog - returns a TOpenDialog for use in this File action
property FileName: TFileName; [rw] | The FileName on which this action performs
end;

Inheritance

TFileAction | TFileAction - base class for providing actions associated with various file dialogs and menu options
|
TCommonDialogAction | TCommonDialogAction - base class for providing actions associated with Dialogs
|
TCustomAction | TCustomAction is the ancestor class for TAction
|
TContainedAction | TContainedAction - parent class for TCustomAction; defines some properties especially relationships with parents
|
TBasicAction
|
TComponent,IUnknown,IInterfaceComponentReference
|
TPersistent,IFPObserved
|
TObject


TFileAction
pt |  | FileName
TCommonDialogAction
 | ro | ExecuteResult
 |  | BeforeExecute
TCustomAction
pt |  | SavedEnabledState
 |  | AutoCheck
 |  | Caption
 |  | Checked
 |  | DisableIfNoHandler
 |  | Enabled
 |  | GroupIndex
 |  | HelpContext
 |  | HelpKeyword
 |  | HelpType
 |  | Hint
 |  | ImageIndex
 |  | SecondaryShortCuts
 |  | ShortCut
 |  | Visible
TContainedAction
 |  | ActionList
 |  | Index
pl |  | Category
TBasicAction
 |  | ActionComponent
TComponent
 | ro | ComObject
 | ro | Components
 | ro | ComponentCount
 |  | ComponentIndex
 | ro | ComponentState
 | ro | ComponentStyle
 |  | DesignInfo
 | ro | Owner
 |  | VCLComObject
 |  | Name
 |  | Tag
TPersistent
TObject


 |  | ActionComponent (TBasicAction)
 |  | ActionList (TContainedAction)
 |  | AutoCheck (TCustomAction)
 |  | BeforeExecute (TCommonDialogAction)
 |  | Caption (TCustomAction)
pl |  | Category (TContainedAction)
 |  | Checked (TCustomAction)
 | ro | ComObject (TComponent)
 | ro | ComponentCount (TComponent)
 |  | ComponentIndex (TComponent)
 | ro | Components (TComponent)
 | ro | ComponentState (TComponent)
 | ro | ComponentStyle (TComponent)
 |  | DesignInfo (TComponent)
 |  | DisableIfNoHandler (TCustomAction)
 |  | Enabled (TCustomAction)
 | ro | ExecuteResult (TCommonDialogAction)
pt |  | FileName (TFileAction)
 |  | GroupIndex (TCustomAction)
 |  | HelpContext (TCustomAction)
 |  | HelpKeyword (TCustomAction)
 |  | HelpType (TCustomAction)
 |  | Hint (TCustomAction)
 |  | ImageIndex (TCustomAction)
 |  | Index (TContainedAction)
 |  | Name (TComponent)
 | ro | Owner (TComponent)
pt |  | SavedEnabledState (TCustomAction)
 |  | SecondaryShortCuts (TCustomAction)
 |  | ShortCut (TCustomAction)
 |  | Tag (TComponent)
 |  | VCLComObject (TComponent)
 |  | Visible (TCustomAction)


TFileAction
pt | GetDialog
TCommonDialogAction
pt | DoAccept
pt | DoBeforeExecute
pt | DoCancel
pt | GetDialogClass
pt | CreateDialog
 | Create
 | Handlestarget
 | ExecuteTarget
TCustomAction
pt | AssignTo
pt | SetName
pt | HandleShortCut
 | Create
 | Destroy
 | DoHint
 | Execute
TContainedAction
pt | ReadState
pt | SetParentComponent
 | Destroy
 | Execute
 | GetParentComponent
 | HasParent
 | Update
TBasicAction
 | Change
 | SetOnExecute
 | Create
 | Destroy
 | HandlesTarget
 | UpdateTarget
 | ExecuteTarget
 | Execute
 | RegisterChanges
 | UnRegisterChanges
 | Update
TComponent
 | GetComObject
 | GetComponent
 | GetComponentCount
 | GetComponentIndex
 | Insert
 | ReadLeft
 | ReadTop
 | Remove
 | RemoveNotification
 | SetComponentIndex
 | SetReference
 | WriteLeft
 | WriteTop
 | ChangeName
 | DefineProperties
 | GetChildren
 | GetChildOwner
 | GetChildParent
 | GetOwner
 | Loaded
 | Loading
 | Notification
 | PaletteCreated
 | ReadState
 | SetAncestor
 | SetDesigning
 | SetDesignInstance
 | SetInline
 | SetName
 | SetChildOrder
 | SetParentComponent
 | Updating
 | Updated
 | UpdateRegistry
 | ValidateRename
 | ValidateContainer
 | ValidateInsert
 | QueryInterface
 | _AddRef
 | _Release
 | iicrGetComponent
 | GetTypeInfoCount
 | GetTypeInfo
 | GetIDsOfNames
 | Invoke
 | WriteState
 | Create
 | Destroy
 | BeforeDestruction
 | DestroyComponents
 | Destroying
 | ExecuteAction
 | FindComponent
 | FreeNotification
 | RemoveFreeNotification
 | FreeOnRelease
 | GetEnumerator
 | GetNamePath
 | GetParentComponent
 | HasParent
 | InsertComponent
 | RemoveComponent
 | SafeCallException
 | SetSubComponent
 | UpdateAction
 | IsImplementorOf
 | ReferenceInterface
TPersistent
 | AssignError
 | AssignTo
 | DefineProperties
 | GetOwner
 | Destroy
 | Assign
 | FPOAttachObserver
 | FPODetachObserver
 | FPONotifyObservers
 | GetNamePath
TObject
 | Create
 | Destroy
 | newinstance
 | FreeInstance
 | SafeCallException
 | DefaultHandler
 | Free
 | InitInstance
 | CleanupInstance
 | ClassType
 | ClassInfo
 | ClassName
 | ClassNameIs
 | ClassParent
 | InstanceSize
 | InheritsFrom
 | StringMessageTable
 | MethodAddress
 | MethodName
 | FieldAddress
 | AfterConstruction
 | BeforeDestruction
 | DefaultHandlerStr
 | Dispatch
 | DispatchStr
 | GetInterface
 | GetInterfaceByStr
 | GetInterfaceWeak
 | GetInterfaceEntry
 | GetInterfaceEntryByStr
 | GetInterfaceTable
 | UnitName
 | Equals
 | GetHashCode
 | ToString


 | AssignError (TPersistent)
 | AssignTo (TPersistent)
pt | AssignTo (TCustomAction)
 | BeforeDestruction (TObject)
 | BeforeDestruction (TComponent)
 | Change (TBasicAction)
 | ChangeName (TComponent)
 | ClassInfo (TObject)
 | ClassName (TObject)
 | ClassNameIs (TObject)
 | ClassParent (TObject)
 | ClassType (TObject)
 | CleanupInstance (TObject)
 | Create (TObject)
 | Create (TComponent)
 | Create (TBasicAction)
 | Create (TCustomAction)
 | Create (TCommonDialogAction)
pt | CreateDialog (TCommonDialogAction)
 | DefaultHandler (TObject)
 | DefaultHandlerStr (TObject)
 | DefineProperties (TPersistent)
 | DefineProperties (TComponent)
 | Destroy (TObject)
 | Destroy (TPersistent)
 | Destroy (TComponent)
 | Destroy (TBasicAction)
 | Destroy (TContainedAction)
 | Destroy (TCustomAction)
 | DestroyComponents (TComponent)
 | Destroying (TComponent)
 | Dispatch (TObject)
 | DispatchStr (TObject)
pt | DoAccept (TCommonDialogAction)
pt | DoBeforeExecute (TCommonDialogAction)
pt | DoCancel (TCommonDialogAction)
 | DoHint (TCustomAction)
 | Equals (TObject)
 | Execute (TBasicAction)
 | Execute (TContainedAction)
 | Execute (TCustomAction)
 | ExecuteAction (TComponent)
 | ExecuteTarget (TBasicAction)
 | ExecuteTarget (TCommonDialogAction)
 | FieldAddress (TObject)
 | FindComponent (TComponent)
 | FPOAttachObserver (TPersistent)
 | FPODetachObserver (TPersistent)
 | FPONotifyObservers (TPersistent)
 | Free (TObject)
 | FreeInstance (TObject)
 | FreeNotification (TComponent)
 | FreeOnRelease (TComponent)
 | GetChildOwner (TComponent)
 | GetChildParent (TComponent)
 | GetChildren (TComponent)
 | GetComObject (TComponent)
 | GetComponent (TComponent)
 | GetComponentCount (TComponent)
 | GetComponentIndex (TComponent)
pt | GetDialog (TFileAction)
pt | GetDialogClass (TCommonDialogAction)
 | GetEnumerator (TComponent)
 | GetHashCode (TObject)
 | GetIDsOfNames (TComponent)
 | GetInterface (TObject)
 | GetInterfaceByStr (TObject)
 | GetInterfaceEntry (TObject)
 | GetInterfaceEntryByStr (TObject)
 | GetInterfaceTable (TObject)
 | GetInterfaceWeak (TObject)
 | GetNamePath (TPersistent)
 | GetNamePath (TComponent)
 | GetOwner (TPersistent)
 | GetOwner (TComponent)
 | GetParentComponent (TComponent)
 | GetParentComponent (TContainedAction)
 | GetTypeInfo (TComponent)
 | GetTypeInfoCount (TComponent)
pt | HandleShortCut (TCustomAction)
 | HandlesTarget (TBasicAction)
 | Handlestarget (TCommonDialogAction)
 | HasParent (TComponent)
 | HasParent (TContainedAction)
 | iicrGetComponent (TComponent)
 | InheritsFrom (TObject)
 | InitInstance (TObject)
 | Insert (TComponent)
 | InsertComponent (TComponent)
 | InstanceSize (TObject)
 | Invoke (TComponent)
 | IsImplementorOf (TComponent)
 | Loaded (TComponent)
 | Loading (TComponent)
 | MethodAddress (TObject)
 | MethodName (TObject)
 | newinstance (TObject)
 | Notification (TComponent)
 | PaletteCreated (TComponent)
 | QueryInterface (TComponent)
 | ReadLeft (TComponent)
 | ReadState (TComponent)
pt | ReadState (TContainedAction)
 | ReadTop (TComponent)
 | ReferenceInterface (TComponent)
 | RegisterChanges (TBasicAction)
 | Remove (TComponent)
 | RemoveComponent (TComponent)
 | RemoveFreeNotification (TComponent)
 | RemoveNotification (TComponent)
 | SafeCallException (TObject)
 | SafeCallException (TComponent)
 | SetAncestor (TComponent)
 | SetChildOrder (TComponent)
 | SetComponentIndex (TComponent)
 | SetDesigning (TComponent)
 | SetDesignInstance (TComponent)
 | SetInline (TComponent)
 | SetName (TComponent)
pt | SetName (TCustomAction)
 | SetOnExecute (TBasicAction)
 | SetParentComponent (TComponent)
pt | SetParentComponent (TContainedAction)
 | SetReference (TComponent)
 | SetSubComponent (TComponent)
 | StringMessageTable (TObject)
 | ToString (TObject)
 | UnitName (TObject)
 | UnRegisterChanges (TBasicAction)
 | Update (TBasicAction)
 | Update (TContainedAction)
 | UpdateAction (TComponent)
 | Updated (TComponent)
 | UpdateRegistry (TComponent)
 | UpdateTarget (TBasicAction)
 | Updating (TComponent)
 | ValidateContainer (TComponent)
 | ValidateInsert (TComponent)
 | ValidateRename (TComponent)
 | WriteLeft (TComponent)
 | WriteState (TComponent)
 | WriteTop (TComponent)
 | _AddRef (TComponent)
 | _Release (TComponent)


TFileAction
TCommonDialogAction
 |  | OnAccept
 |  | OnCancel
pl | ro | OnUpdate
TCustomAction
 |  | OnHint
TContainedAction
TBasicAction
 |  | OnChange
 |  | OnExecute
 |  | OnUpdate
TComponent
TPersistent
TObject


TFileAction.FileName

The FileName on which this action performs

Declaration

Source position: stdactns.pas line 157

protected property TFileAction.FileName : TFileName
  read GetFileName
  write SetFileName;


TFileAction.GetDialog

GetDialog - returns a TOpenDialog for use in this File action

Declaration

Source position: stdactns.pas line 156

protected function TFileAction.GetDialog: TOpenDialog;


TFileExit

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

TFileExit - standard action (closing file and terminating application) associated with the File Exit menu option

Declaration

Source position: stdactns.pas line 262

type TFileExit = class(TCustomAction)
public
function HandlesTarget(); override; |
procedure ExecuteTarget(); override; |
published
property Caption: TTranslateString; | The Caption to be used if this action is associated with a visible component
property Enabled: Boolean; | Enabled - whether this action is able to be used (default True)
property HelpContext: THelpContext; | HelpContext - the index for a context-based help message
property HelpKeyword: string; | HelpKeyWord - the keyword of a context-based help message
property HelpType: THelpType; | HelpType - the sort of help message to be offered: default Context-based
property Hint: TTranslateString; | Hint - a pop-up message that appears when the mouse hovers over an object
property ImageIndex: TImageIndex; | ImageIndex - the index number of the image to be associated with this action
property ShortCut: TShortCut; | ShortCut - an index to a shortcut list
property SecondaryShortCuts: TShortCutList; | SecondaryShortCuts - a stringlist containing shortcuts
property Visible: Boolean; | Visible - is this action visible? (default True)
property OnHint: THintEvent; | OnHint - action to be taken when a hint is required
end;

Inheritance

TFileExit | TFileExit - standard action (closing file and terminating application) associated with the File Exit menu option
|
TCustomAction | TCustomAction is the ancestor class for TAction
|
TContainedAction | TContainedAction - parent class for TCustomAction; defines some properties especially relationships with parents
|
TBasicAction
|
TComponent,IUnknown,IInterfaceComponentReference
|
TPersistent,IFPObserved
|
TObject


TFileExit
pl | ro | Caption
pl | ro | Enabled
pl | ro | HelpContext
pl | ro | HelpKeyword
pl | ro | HelpType
pl | ro | Hint
pl | ro | ImageIndex
pl | ro | ShortCut
pl | ro | SecondaryShortCuts
pl | ro | Visible
TCustomAction
pt |  | SavedEnabledState
 |  | AutoCheck
 |  | Caption
 |  | Checked
 |  | DisableIfNoHandler
 |  | Enabled
 |  | GroupIndex
 |  | HelpContext
 |  | HelpKeyword
 |  | HelpType
 |  | Hint
 |  | ImageIndex
 |  | SecondaryShortCuts
 |  | ShortCut
 |  | Visible
TContainedAction
 |  | ActionList
 |  | Index
pl |  | Category
TBasicAction
 |  | ActionComponent
TComponent
 | ro | ComObject
 | ro | Components
 | ro | ComponentCount
 |  | ComponentIndex
 | ro | ComponentState
 | ro | ComponentStyle
 |  | DesignInfo
 | ro | Owner
 |  | VCLComObject
 |  | Name
 |  | Tag
TPersistent
TObject


 |  | ActionComponent (TBasicAction)
 |  | ActionList (TContainedAction)
 |  | AutoCheck (TCustomAction)
 |  | Caption (TCustomAction)
pl | ro | Caption (TFileExit)
pl |  | Category (TContainedAction)
 |  | Checked (TCustomAction)
 | ro | ComObject (TComponent)
 | ro | ComponentCount (TComponent)
 |  | ComponentIndex (TComponent)
 | ro | Components (TComponent)
 | ro | ComponentState (TComponent)
 | ro | ComponentStyle (TComponent)
 |  | DesignInfo (TComponent)
 |  | DisableIfNoHandler (TCustomAction)
 |  | Enabled (TCustomAction)
pl | ro | Enabled (TFileExit)
 |  | GroupIndex (TCustomAction)
 |  | HelpContext (TCustomAction)
pl | ro | HelpContext (TFileExit)
 |  | HelpKeyword (TCustomAction)
pl | ro | HelpKeyword (TFileExit)
 |  | HelpType (TCustomAction)
pl | ro | HelpType (TFileExit)
 |  | Hint (TCustomAction)
pl | ro | Hint (TFileExit)
 |  | ImageIndex (TCustomAction)
pl | ro | ImageIndex (TFileExit)
 |  | Index (TContainedAction)
 |  | Name (TComponent)
 | ro | Owner (TComponent)
pt |  | SavedEnabledState (TCustomAction)
 |  | SecondaryShortCuts (TCustomAction)
pl | ro | SecondaryShortCuts (TFileExit)
 |  | ShortCut (TCustomAction)
pl | ro | ShortCut (TFileExit)
 |  | Tag (TComponent)
 |  | VCLComObject (TComponent)
 |  | Visible (TCustomAction)
pl | ro | Visible (TFileExit)


TFileExit
 | HandlesTarget
 | ExecuteTarget
TCustomAction
pt | AssignTo
pt | SetName
pt | HandleShortCut
 | Create
 | Destroy
 | DoHint
 | Execute
TContainedAction
pt | ReadState
pt | SetParentComponent
 | Destroy
 | Execute
 | GetParentComponent
 | HasParent
 | Update
TBasicAction
 | Change
 | SetOnExecute
 | Create
 | Destroy
 | HandlesTarget
 | UpdateTarget
 | ExecuteTarget
 | Execute
 | RegisterChanges
 | UnRegisterChanges
 | Update
TComponent
 | GetComObject
 | GetComponent
 | GetComponentCount
 | GetComponentIndex
 | Insert
 | ReadLeft
 | ReadTop
 | Remove
 | RemoveNotification
 | SetComponentIndex
 | SetReference
 | WriteLeft
 | WriteTop
 | ChangeName
 | DefineProperties
 | GetChildren
 | GetChildOwner
 | GetChildParent
 | GetOwner
 | Loaded
 | Loading
 | Notification
 | PaletteCreated
 | ReadState
 | SetAncestor
 | SetDesigning
 | SetDesignInstance
 | SetInline
 | SetName
 | SetChildOrder
 | SetParentComponent
 | Updating
 | Updated
 | UpdateRegistry
 | ValidateRename
 | ValidateContainer
 | ValidateInsert
 | QueryInterface
 | _AddRef
 | _Release
 | iicrGetComponent
 | GetTypeInfoCount
 | GetTypeInfo
 | GetIDsOfNames
 | Invoke
 | WriteState
 | Create
 | Destroy
 | BeforeDestruction
 | DestroyComponents
 | Destroying
 | ExecuteAction
 | FindComponent
 | FreeNotification
 | RemoveFreeNotification
 | FreeOnRelease
 | GetEnumerator
 | GetNamePath
 | GetParentComponent
 | HasParent
 | InsertComponent
 | RemoveComponent
 | SafeCallException
 | SetSubComponent
 | UpdateAction
 | IsImplementorOf
 | ReferenceInterface
TPersistent
 | AssignError
 | AssignTo
 | DefineProperties
 | GetOwner
 | Destroy
 | Assign
 | FPOAttachObserver
 | FPODetachObserver
 | FPONotifyObservers
 | GetNamePath
TObject
 | Create
 | Destroy
 | newinstance
 | FreeInstance
 | SafeCallException
 | DefaultHandler
 | Free
 | InitInstance
 | CleanupInstance
 | ClassType
 | ClassInfo
 | ClassName
 | ClassNameIs
 | ClassParent
 | InstanceSize
 | InheritsFrom
 | StringMessageTable
 | MethodAddress
 | MethodName
 | FieldAddress
 | AfterConstruction
 | BeforeDestruction
 | DefaultHandlerStr
 | Dispatch
 | DispatchStr
 | GetInterface
 | GetInterfaceByStr
 | GetInterfaceWeak
 | GetInterfaceEntry
 | GetInterfaceEntryByStr
 | GetInterfaceTable
 | UnitName
 | Equals
 | GetHashCode
 | ToString


 | AssignError (TPersistent)
 | AssignTo (TPersistent)
pt | AssignTo (TCustomAction)
 | BeforeDestruction (TObject)
 | BeforeDestruction (TComponent)
 | Change (TBasicAction)
 | ChangeName (TComponent)
 | ClassInfo (TObject)
 | ClassName (TObject)
 | ClassNameIs (TObject)
 | ClassParent (TObject)
 | ClassType (TObject)
 | CleanupInstance (TObject)
 | Create (TObject)
 | Create (TComponent)
 | Create (TBasicAction)
 | Create (TCustomAction)
 | DefaultHandler (TObject)
 | DefaultHandlerStr (TObject)
 | DefineProperties (TPersistent)
 | DefineProperties (TComponent)
 | Destroy (TObject)
 | Destroy (TPersistent)
 | Destroy (TComponent)
 | Destroy (TBasicAction)
 | Destroy (TContainedAction)
 | Destroy (TCustomAction)
 | DestroyComponents (TComponent)
 | Destroying (TComponent)
 | Dispatch (TObject)
 | DispatchStr (TObject)
 | DoHint (TCustomAction)
 | Equals (TObject)
 | Execute (TBasicAction)
 | Execute (TContainedAction)
 | Execute (TCustomAction)
 | ExecuteAction (TComponent)
 | ExecuteTarget (TBasicAction)
 | ExecuteTarget (TFileExit)
 | FieldAddress (TObject)
 | FindComponent (TComponent)
 | FPOAttachObserver (TPersistent)
 | FPODetachObserver (TPersistent)
 | FPONotifyObservers (TPersistent)
 | Free (TObject)
 | FreeInstance (TObject)
 | FreeNotification (TComponent)
 | FreeOnRelease (TComponent)
 | GetChildOwner (TComponent)
 | GetChildParent (TComponent)
 | GetChildren (TComponent)
 | GetComObject (TComponent)
 | GetComponent (TComponent)
 | GetComponentCount (TComponent)
 | GetComponentIndex (TComponent)
 | GetEnumerator (TComponent)
 | GetHashCode (TObject)
 | GetIDsOfNames (TComponent)
 | GetInterface (TObject)
 | GetInterfaceByStr (TObject)
 | GetInterfaceEntry (TObject)
 | GetInterfaceEntryByStr (TObject)
 | GetInterfaceTable (TObject)
 | GetInterfaceWeak (TObject)
 | GetNamePath (TPersistent)
 | GetNamePath (TComponent)
 | GetOwner (TPersistent)
 | GetOwner (TComponent)
 | GetParentComponent (TComponent)
 | GetParentComponent (TContainedAction)
 | GetTypeInfo (TComponent)
 | GetTypeInfoCount (TComponent)
pt | HandleShortCut (TCustomAction)
 | HandlesTarget (TBasicAction)
 | HandlesTarget (TFileExit)
 | HasParent (TComponent)
 | HasParent (TContainedAction)
 | iicrGetComponent (TComponent)
 | InheritsFrom (TObject)
 | InitInstance (TObject)
 | Insert (TComponent)
 | InsertComponent (TComponent)
 | InstanceSize (TObject)
 | Invoke (TComponent)
 | IsImplementorOf (TComponent)
 | Loaded (TComponent)
 | Loading (TComponent)
 | MethodAddress (TObject)
 | MethodName (TObject)
 | newinstance (TObject)
 | Notification (TComponent)
 | PaletteCreated (TComponent)
 | QueryInterface (TComponent)
 | ReadLeft (TComponent)
 | ReadState (TComponent)
pt | ReadState (TContainedAction)
 | ReadTop (TComponent)
 | ReferenceInterface (TComponent)
 | RegisterChanges (TBasicAction)
 | Remove (TComponent)
 | RemoveComponent (TComponent)
 | RemoveFreeNotification (TComponent)
 | RemoveNotification (TComponent)
 | SafeCallException (TObject)
 | SafeCallException (TComponent)
 | SetAncestor (TComponent)
 | SetChildOrder (TComponent)
 | SetComponentIndex (TComponent)
 | SetDesigning (TComponent)
 | SetDesignInstance (TComponent)
 | SetInline (TComponent)
 | SetName (TComponent)
pt | SetName (TCustomAction)
 | SetOnExecute (TBasicAction)
 | SetParentComponent (TComponent)
pt | SetParentComponent (TContainedAction)
 | SetReference (TComponent)
 | SetSubComponent (TComponent)
 | StringMessageTable (TObject)
 | ToString (TObject)
 | UnitName (TObject)
 | UnRegisterChanges (TBasicAction)
 | Update (TBasicAction)
 | Update (TContainedAction)
 | UpdateAction (TComponent)
 | Updated (TComponent)
 | UpdateRegistry (TComponent)
 | UpdateTarget (TBasicAction)
 | Updating (TComponent)
 | ValidateContainer (TComponent)
 | ValidateInsert (TComponent)
 | ValidateRename (TComponent)
 | WriteLeft (TComponent)
 | WriteState (TComponent)
 | WriteTop (TComponent)
 | _AddRef (TComponent)
 | _Release (TComponent)


TFileExit
pl | ro | OnHint
TCustomAction
 |  | OnHint
TContainedAction
TBasicAction
 |  | OnChange
 |  | OnExecute
 |  | OnUpdate
TComponent
TPersistent
TObject


 |  | OnChange (TBasicAction)
 |  | OnExecute (TBasicAction)
 |  | OnHint (TCustomAction)
pl | ro | OnHint (TFileExit)
 |  | OnUpdate (TBasicAction)


TFileOpen

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

TFileOpen - standard action (including opening a dialog) associated with the File Open menu option

Declaration

Source position: stdactns.pas line 160

type TFileOpen = class(TFileAction)
protected
function GetDialogClass; override; | GetDialogClass - returns the class of dialog associated with this action
published
property Caption: TTranslateString; | The Caption to be used if this action is associated with a visible component
property Dialog: TOpenDialog; [r] | The OpenDialog to be used with this action
property Enabled: Boolean; | Enabled - whether this action is able to be used (default True)
property HelpContext: THelpContext; | HelpContext - the index for a context-based help message
property HelpKeyword: string; | HelpKeyWord - the keyword of a context-based help message
property HelpType: THelpType; | HelpType - the sort of help message to be offered: default Context-based
property Hint: TTranslateString; | Hint - a pop-up message that appears when the mouse hovers over an object
property ImageIndex: TImageIndex; | ImageIndex - the index number of the image to be associated with this action
property ShortCut: TShortCut; | ShortCut - an index to a shortcut list
property SecondaryShortCuts: TShortCutList; | SecondaryShortCuts - a stringlist containing shortcuts
property UseDefaultApp: Boolean; [rw] | UseDefaultApp - if True, the default application should be used with this action
property Visible: Boolean; | Visible - is this action visible? (default True)
property BeforeExecute: TNotifyEvent; | BeforeExecute - event handler for performance before execution of the action
property OnAccept: TNotifyEvent; | OnAccept - event handler for a press of the Accept button
property OnCancel: TNotifyEvent; | OnCancel - event handler for a press of the Cancel button
property OnHint: THintEvent; | OnHint - action to be taken when a hint is required
end;

Inheritance

TFileOpen | TFileOpen - standard action (including opening a dialog) associated with the File Open menu option
|
TFileAction | TFileAction - base class for providing actions associated with various file dialogs and menu options
|
TCommonDialogAction | TCommonDialogAction - base class for providing actions associated with Dialogs
|
TCustomAction | TCustomAction is the ancestor class for TAction
|
TContainedAction | TContainedAction - parent class for TCustomAction; defines some properties especially relationships with parents
|
TBasicAction
|
TComponent,IUnknown,IInterfaceComponentReference
|
TPersistent,IFPObserved
|
TObject


TFileOpen
pl | ro | Caption
pl | ro | Dialog
pl | ro | Enabled
pl | ro | HelpContext
pl | ro | HelpKeyword
pl | ro | HelpType
pl | ro | Hint
pl | ro | ImageIndex
pl | ro | ShortCut
pl | ro | SecondaryShortCuts
pl |  | UseDefaultApp
pl | ro | Visible
pl | ro | BeforeExecute
TFileAction
pt |  | FileName
TCommonDialogAction
 | ro | ExecuteResult
 |  | BeforeExecute
TCustomAction
pt |  | SavedEnabledState
 |  | AutoCheck
 |  | Caption
 |  | Checked
 |  | DisableIfNoHandler
 |  | Enabled
 |  | GroupIndex
 |  | HelpContext
 |  | HelpKeyword
 |  | HelpType
 |  | Hint
 |  | ImageIndex
 |  | SecondaryShortCuts
 |  | ShortCut
 |  | Visible
TContainedAction
 |  | ActionList
 |  | Index
pl |  | Category
TBasicAction
 |  | ActionComponent
TComponent
 | ro | ComObject
 | ro | Components
 | ro | ComponentCount
 |  | ComponentIndex
 | ro | ComponentState
 | ro | ComponentStyle
 |  | DesignInfo
 | ro | Owner
 |  | VCLComObject
 |  | Name
 |  | Tag
TPersistent
TObject


 |  | ActionComponent (TBasicAction)
 |  | ActionList (TContainedAction)
 |  | AutoCheck (TCustomAction)
 |  | BeforeExecute (TCommonDialogAction)
pl | ro | BeforeExecute (TFileOpen)
 |  | Caption (TCustomAction)
pl | ro | Caption (TFileOpen)
pl |  | Category (TContainedAction)
 |  | Checked (TCustomAction)
 | ro | ComObject (TComponent)
 | ro | ComponentCount (TComponent)
 |  | ComponentIndex (TComponent)
 | ro | Components (TComponent)
 | ro | ComponentState (TComponent)
 | ro | ComponentStyle (TComponent)
 |  | DesignInfo (TComponent)
pl | ro | Dialog (TFileOpen)
 |  | DisableIfNoHandler (TCustomAction)
 |  | Enabled (TCustomAction)
pl | ro | Enabled (TFileOpen)
 | ro | ExecuteResult (TCommonDialogAction)
pt |  | FileName (TFileAction)
 |  | GroupIndex (TCustomAction)
 |  | HelpContext (TCustomAction)
pl | ro | HelpContext (TFileOpen)
 |  | HelpKeyword (TCustomAction)
pl | ro | HelpKeyword (TFileOpen)
 |  | HelpType (TCustomAction)
pl | ro | HelpType (TFileOpen)
 |  | Hint (TCustomAction)
pl | ro | Hint (TFileOpen)
 |  | ImageIndex (TCustomAction)
pl | ro | ImageIndex (TFileOpen)
 |  | Index (TContainedAction)
 |  | Name (TComponent)
 | ro | Owner (TComponent)
pt |  | SavedEnabledState (TCustomAction)
 |  | SecondaryShortCuts (TCustomAction)
pl | ro | SecondaryShortCuts (TFileOpen)
 |  | ShortCut (TCustomAction)
pl | ro | ShortCut (TFileOpen)
 |  | Tag (TComponent)
pl |  | UseDefaultApp (TFileOpen)
 |  | VCLComObject (TComponent)
 |  | Visible (TCustomAction)
pl | ro | Visible (TFileOpen)


TFileOpen
pt | GetDialogClass
TFileAction
pt | GetDialog
TCommonDialogAction
pt | DoAccept
pt | DoBeforeExecute
pt | DoCancel
pt | GetDialogClass
pt | CreateDialog
 | Create
 | Handlestarget
 | ExecuteTarget
TCustomAction
pt | AssignTo
pt | SetName
pt | HandleShortCut
 | Create
 | Destroy
 | DoHint
 | Execute
TContainedAction
pt | ReadState
pt | SetParentComponent
 | Destroy
 | Execute
 | GetParentComponent
 | HasParent
 | Update
TBasicAction
 | Change
 | SetOnExecute
 | Create
 | Destroy
 | HandlesTarget
 | UpdateTarget
 | ExecuteTarget
 | Execute
 | RegisterChanges
 | UnRegisterChanges
 | Update
TComponent
 | GetComObject
 | GetComponent
 | GetComponentCount
 | GetComponentIndex
 | Insert
 | ReadLeft
 | ReadTop
 | Remove
 | RemoveNotification
 | SetComponentIndex
 | SetReference
 | WriteLeft
 | WriteTop
 | ChangeName
 | DefineProperties
 | GetChildren
 | GetChildOwner
 | GetChildParent
 | GetOwner
 | Loaded
 | Loading
 | Notification
 | PaletteCreated
 | ReadState
 | SetAncestor
 | SetDesigning
 | SetDesignInstance
 | SetInline
 | SetName
 | SetChildOrder
 | SetParentComponent
 | Updating
 | Updated
 | UpdateRegistry
 | ValidateRename
 | ValidateContainer
 | ValidateInsert
 | QueryInterface
 | _AddRef
 | _Release
 | iicrGetComponent
 | GetTypeInfoCount
 | GetTypeInfo
 | GetIDsOfNames
 | Invoke
 | WriteState
 | Create
 | Destroy
 | BeforeDestruction
 | DestroyComponents
 | Destroying
 | ExecuteAction
 | FindComponent
 | FreeNotification
 | RemoveFreeNotification
 | FreeOnRelease
 | GetEnumerator
 | GetNamePath
 | GetParentComponent
 | HasParent
 | InsertComponent
 | RemoveComponent
 | SafeCallException
 | SetSubComponent
 | UpdateAction
 | IsImplementorOf
 | ReferenceInterface
TPersistent
 | AssignError
 | AssignTo
 | DefineProperties
 | GetOwner
 | Destroy
 | Assign
 | FPOAttachObserver
 | FPODetachObserver
 | FPONotifyObservers
 | GetNamePath
TObject
 | Create
 | Destroy
 | newinstance
 | FreeInstance
 | SafeCallException
 | DefaultHandler
 | Free
 | InitInstance
 | CleanupInstance
 | ClassType
 | ClassInfo
 | ClassName
 | ClassNameIs
 | ClassParent
 | InstanceSize
 | InheritsFrom
 | StringMessageTable
 | MethodAddress
 | MethodName
 | FieldAddress
 | AfterConstruction
 | BeforeDestruction
 | DefaultHandlerStr
 | Dispatch
 | DispatchStr
 | GetInterface
 | GetInterfaceByStr
 | GetInterfaceWeak
 | GetInterfaceEntry
 | GetInterfaceEntryByStr
 | GetInterfaceTable
 | UnitName
 | Equals
 | GetHashCode
 | ToString


 | AssignError (TPersistent)
 | AssignTo (TPersistent)
pt | AssignTo (TCustomAction)
 | BeforeDestruction (TObject)
 | BeforeDestruction (TComponent)
 | Change (TBasicAction)
 | ChangeName (TComponent)
 | ClassInfo (TObject)
 | ClassName (TObject)
 | ClassNameIs (TObject)
 | ClassParent (TObject)
 | ClassType (TObject)
 | CleanupInstance (TObject)
 | Create (TObject)
 | Create (TComponent)
 | Create (TBasicAction)
 | Create (TCustomAction)
 | Create (TCommonDialogAction)
pt | CreateDialog (TCommonDialogAction)
 | DefaultHandler (TObject)
 | DefaultHandlerStr (TObject)
 | DefineProperties (TPersistent)
 | DefineProperties (TComponent)
 | Destroy (TObject)
 | Destroy (TPersistent)
 | Destroy (TComponent)
 | Destroy (TBasicAction)
 | Destroy (TContainedAction)
 | Destroy (TCustomAction)
 | DestroyComponents (TComponent)
 | Destroying (TComponent)
 | Dispatch (TObject)
 | DispatchStr (TObject)
pt | DoAccept (TCommonDialogAction)
pt | DoBeforeExecute (TCommonDialogAction)
pt | DoCancel (TCommonDialogAction)
 | DoHint (TCustomAction)
 | Equals (TObject)
 | Execute (TBasicAction)
 | Execute (TContainedAction)
 | Execute (TCustomAction)
 | ExecuteAction (TComponent)
 | ExecuteTarget (TBasicAction)
 | ExecuteTarget (TCommonDialogAction)
 | FieldAddress (TObject)
 | FindComponent (TComponent)
 | FPOAttachObserver (TPersistent)
 | FPODetachObserver (TPersistent)
 | FPONotifyObservers (TPersistent)
 | Free (TObject)
 | FreeInstance (TObject)
 | FreeNotification (TComponent)
 | FreeOnRelease (TComponent)
 | GetChildOwner (TComponent)
 | GetChildParent (TComponent)
 | GetChildren (TComponent)
 | GetComObject (TComponent)
 | GetComponent (TComponent)
 | GetComponentCount (TComponent)
 | GetComponentIndex (TComponent)
pt | GetDialog (TFileAction)
pt | GetDialogClass (TCommonDialogAction)
pt | GetDialogClass (TFileOpen)
 | GetEnumerator (TComponent)
 | GetHashCode (TObject)
 | GetIDsOfNames (TComponent)
 | GetInterface (TObject)
 | GetInterfaceByStr (TObject)
 | GetInterfaceEntry (TObject)
 | GetInterfaceEntryByStr (TObject)
 | GetInterfaceTable (TObject)
 | GetInterfaceWeak (TObject)
 | GetNamePath (TPersistent)
 | GetNamePath (TComponent)
 | GetOwner (TPersistent)
 | GetOwner (TComponent)
 | GetParentComponent (TComponent)
 | GetParentComponent (TContainedAction)
 | GetTypeInfo (TComponent)
 | GetTypeInfoCount (TComponent)
pt | HandleShortCut (TCustomAction)
 | HandlesTarget (TBasicAction)
 | Handlestarget (TCommonDialogAction)
 | HasParent (TComponent)
 | HasParent (TContainedAction)
 | iicrGetComponent (TComponent)
 | InheritsFrom (TObject)
 | InitInstance (TObject)
 | Insert (TComponent)
 | InsertComponent (TComponent)
 | InstanceSize (TObject)
 | Invoke (TComponent)
 | IsImplementorOf (TComponent)
 | Loaded (TComponent)
 | Loading (TComponent)
 | MethodAddress (TObject)
 | MethodName (TObject)
 | newinstance (TObject)
 | Notification (TComponent)
 | PaletteCreated (TComponent)
 | QueryInterface (TComponent)
 | ReadLeft (TComponent)
 | ReadState (TComponent)
pt | ReadState (TContainedAction)
 | ReadTop (TComponent)
 | ReferenceInterface (TComponent)
 | RegisterChanges (TBasicAction)
 | Remove (TComponent)
 | RemoveComponent (TComponent)
 | RemoveFreeNotification (TComponent)
 | RemoveNotification (TComponent)
 | SafeCallException (TObject)
 | SafeCallException (TComponent)
 | SetAncestor (TComponent)
 | SetChildOrder (TComponent)
 | SetComponentIndex (TComponent)
 | SetDesigning (TComponent)
 | SetDesignInstance (TComponent)
 | SetInline (TComponent)
 | SetName (TComponent)
pt | SetName (TCustomAction)
 | SetOnExecute (TBasicAction)
 | SetParentComponent (TComponent)
pt | SetParentComponent (TContainedAction)
 | SetReference (TComponent)
 | SetSubComponent (TComponent)
 | StringMessageTable (TObject)
 | ToString (TObject)
 | UnitName (TObject)
 | UnRegisterChanges (TBasicAction)
 | Update (TBasicAction)
 | Update (TContainedAction)
 | UpdateAction (TComponent)
 | Updated (TComponent)
 | UpdateRegistry (TComponent)
 | UpdateTarget (TBasicAction)
 | Updating (TComponent)
 | ValidateContainer (TComponent)
 | ValidateInsert (TComponent)
 | ValidateRename (TComponent)
 | WriteLeft (TComponent)
 | WriteState (TComponent)
 | WriteTop (TComponent)
 | _AddRef (TComponent)
 | _Release (TComponent)


TFileOpen
pl | ro | OnAccept
pl | ro | OnCancel
pl | ro | OnHint
TFileAction
TCommonDialogAction
 |  | OnAccept
 |  | OnCancel
pl | ro | OnUpdate
TCustomAction
 |  | OnHint
TContainedAction
TBasicAction
 |  | OnChange
 |  | OnExecute
 |  | OnUpdate
TComponent
TPersistent
TObject


pl | ro | OnAccept (TFileOpen)
 |  | OnCancel (TCommonDialogAction)
pl | ro | OnCancel (TFileOpen)
 |  | OnChange (TBasicAction)
 |  | OnExecute (TBasicAction)
 |  | OnHint (TCustomAction)
pl | ro | OnHint (TFileOpen)
 |  | OnUpdate (TBasicAction)
pl | ro | OnUpdate (TCommonDialogAction)


TFileOpen.Dialog

The OpenDialog to be used with this action

Declaration

Source position: stdactns.pas line 168

published property TFileOpen.Dialog : TOpenDialog
  read GetDialog;


TFileOpen.UseDefaultApp

UseDefaultApp - if True, the default application should be used with this action

Declaration

Source position: stdactns.pas line 177

published property TFileOpen.UseDefaultApp : Boolean
  read FUseDefaultApp
  write FUseDefaultApp
  default False;


TFileOpenWith

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

TFileOpenWith - standard action (including opening a dialog) associated with the File Open With menu option

Declaration

Source position: stdactns.pas line 186

type TFileOpenWith = class(TFileOpen)
published
property FileName: TFileName; [rw] |
property AfterOpen: TNotifyEvent; [rw] | AfterOpen - event handler to be performed after file is opened
end;

Inheritance

TFileOpenWith | TFileOpenWith - standard action (including opening a dialog) associated with the File Open With menu option
|
TFileOpen | TFileOpen - standard action (including opening a dialog) associated with the File Open menu option
|
TFileAction | TFileAction - base class for providing actions associated with various file dialogs and menu options
|
TCommonDialogAction | TCommonDialogAction - base class for providing actions associated with Dialogs
|
TCustomAction | TCustomAction is the ancestor class for TAction
|
TContainedAction | TContainedAction - parent class for TCustomAction; defines some properties especially relationships with parents
|
TBasicAction
|
TComponent,IUnknown,IInterfaceComponentReference
|
TPersistent,IFPObserved
|
TObject

Description

TFileOpenWith - standard action (including opening a dialog) associated with the File Open With menu option

Gives the User an opportunity to choose the application with which to open a file


TFileOpenWith
pl |  | FileName
pl |  | AfterOpen
TFileOpen
pl | ro | Caption
pl | ro | Dialog
pl | ro | Enabled
pl | ro | HelpContext
pl | ro | HelpKeyword
pl | ro | HelpType
pl | ro | Hint
pl | ro | ImageIndex
pl | ro | ShortCut
pl | ro | SecondaryShortCuts
pl |  | UseDefaultApp
pl | ro | Visible
pl | ro | BeforeExecute
TFileAction
pt |  | FileName
TCommonDialogAction
 | ro | ExecuteResult
 |  | BeforeExecute
TCustomAction
pt |  | SavedEnabledState
 |  | AutoCheck
 |  | Caption
 |  | Checked
 |  | DisableIfNoHandler
 |  | Enabled
 |  | GroupIndex
 |  | HelpContext
 |  | HelpKeyword
 |  | HelpType
 |  | Hint
 |  | ImageIndex
 |  | SecondaryShortCuts
 |  | ShortCut
 |  | Visible
TContainedAction
 |  | ActionList
 |  | Index
pl |  | Category
TBasicAction
 |  | ActionComponent
TComponent
 | ro | ComObject
 | ro | Components
 | ro | ComponentCount
 |  | ComponentIndex
 | ro | ComponentState
 | ro | ComponentStyle
 |  | DesignInfo
 | ro | Owner
 |  | VCLComObject
 |  | Name
 |  | Tag
TPersistent
TObject


pl |  | AfterOpen (TFileOpenWith)
 |  | AutoCheck (TCustomAction)
 |  | BeforeExecute (TCommonDialogAction)
pl | ro | BeforeExecute (TFileOpen)
 |  | Caption (TCustomAction)
pl | ro | Caption (TFileOpen)
pl |  | Category (TContainedAction)
 |  | Checked (TCustomAction)
 | ro | ComObject (TComponent)
 | ro | ComponentCount (TComponent)
 |  | ComponentIndex (TComponent)
 | ro | Components (TComponent)
 | ro | ComponentState (TComponent)
 | ro | ComponentStyle (TComponent)
 |  | DesignInfo (TComponent)
pl | ro | Dialog (TFileOpen)
 |  | DisableIfNoHandler (TCustomAction)
 |  | Enabled (TCustomAction)
pl | ro | Enabled (TFileOpen)
 | ro | ExecuteResult (TCommonDialogAction)
pt |  | FileName (TFileAction)
pl |  | FileName (TFileOpenWith)
 |  | GroupIndex (TCustomAction)
 |  | HelpContext (TCustomAction)
pl | ro | HelpContext (TFileOpen)
 |  | HelpKeyword (TCustomAction)
pl | ro | HelpKeyword (TFileOpen)
 |  | HelpType (TCustomAction)
pl | ro | HelpType (TFileOpen)
 |  | Hint (TCustomAction)
pl | ro | Hint (TFileOpen)
 |  | ImageIndex (TCustomAction)
pl | ro | ImageIndex (TFileOpen)
 |  | Index (TContainedAction)
 |  | Name (TComponent)
 | ro | Owner (TComponent)
pt |  | SavedEnabledState (TCustomAction)
 |  | SecondaryShortCuts (TCustomAction)
pl | ro | SecondaryShortCuts (TFileOpen)
 |  | ShortCut (TCustomAction)
pl | ro | ShortCut (TFileOpen)
 |  | Tag (TComponent)
pl |  | UseDefaultApp (TFileOpen)
 |  | VCLComObject (TComponent)
 |  | Visible (TCustomAction)
pl | ro | Visible (TFileOpen)


TFileOpenWith
TFileOpen
pt | GetDialogClass
TFileAction
pt | GetDialog
TCommonDialogAction
pt | DoAccept
pt | DoBeforeExecute
pt | DoCancel
pt | GetDialogClass
pt | CreateDialog
 | Create
 | Handlestarget
 | ExecuteTarget
TCustomAction
pt | AssignTo
pt | SetName
pt | HandleShortCut
 | Create
 | Destroy
 | DoHint
 | Execute
TContainedAction
pt | ReadState
pt | SetParentComponent
 | Destroy
 | Execute
 | GetParentComponent
 | HasParent
 | Update
TBasicAction
 | Change
 | SetOnExecute
 | Create
 | Destroy
 | HandlesTarget
 | UpdateTarget
 | ExecuteTarget
 | Execute
 | RegisterChanges
 | UnRegisterChanges
 | Update
TComponent
 | GetComObject
 | GetComponent
 | GetComponentCount
 | GetComponentIndex
 | Insert
 | ReadLeft
 | ReadTop
 | Remove
 | RemoveNotification
 | SetComponentIndex
 | SetReference
 | WriteLeft
 | WriteTop
 | ChangeName
 | DefineProperties
 | GetChildren
 | GetChildOwner
 | GetChildParent
 | GetOwner
 | Loaded
 | Loading
 | Notification
 | PaletteCreated
 | ReadState
 | SetAncestor
 | SetDesigning
 | SetDesignInstance
 | SetInline
 | SetName
 | SetChildOrder
 | SetParentComponent
 | Updating
 | Updated
 | UpdateRegistry
 | ValidateRename
 | ValidateContainer
 | ValidateInsert
 | QueryInterface
 | _AddRef
 | _Release
 | iicrGetComponent
 | GetTypeInfoCount
 | GetTypeInfo
 | GetIDsOfNames
 | Invoke
 | WriteState
 | Create
 | Destroy
 | BeforeDestruction
 | DestroyComponents
 | Destroying
 | ExecuteAction
 | FindComponent
 | FreeNotification
 | RemoveFreeNotification
 | FreeOnRelease
 | GetEnumerator
 | GetNamePath
 | GetParentComponent
 | HasParent
 | InsertComponent
 | RemoveComponent
 | SafeCallException
 | SetSubComponent
 | UpdateAction
 | IsImplementorOf
 | ReferenceInterface
TPersistent
 | AssignError
 | AssignTo
 | DefineProperties
 | GetOwner
 | Destroy
 | Assign
 | FPOAttachObserver
 | FPODetachObserver
 | FPONotifyObservers
 | GetNamePath
TObject
 | Create
 | Destroy
 | newinstance
 | FreeInstance
 | SafeCallException
 | DefaultHandler
 | Free
 | InitInstance
 | CleanupInstance
 | ClassType
 | ClassInfo
 | ClassName
 | ClassNameIs
 | ClassParent
 | InstanceSize
 | InheritsFrom
 | StringMessageTable
 | MethodAddress
 | MethodName
 | FieldAddress
 | AfterConstruction
 | BeforeDestruction
 | DefaultHandlerStr
 | Dispatch
 | DispatchStr
 | GetInterface
 | GetInterfaceByStr
 | GetInterfaceWeak
 | GetInterfaceEntry
 | GetInterfaceEntryByStr
 | GetInterfaceTable
 | UnitName
 | Equals
 | GetHashCode
 | ToString


TFileOpenWith
TFileOpen
pl | ro | OnAccept
pl | ro | OnCancel
pl | ro | OnHint
TFileAction
TCommonDialogAction
 |  | OnAccept
 |  | OnCancel
pl | ro | OnUpdate
TCustomAction
 |  | OnHint
TContainedAction
TBasicAction
 |  | OnChange
 |  | OnExecute
 |  | OnUpdate
TComponent
TPersistent
TObject


TFileOpenWith.AfterOpen

AfterOpen - event handler to be performed after file is opened

Declaration

Source position: stdactns.pas line 192

published property TFileOpenWith.AfterOpen : TNotifyEvent
  read FAfterOpen
  write FAfterOpen;


TFileOpenWith.FileName

Declaration

Source position: stdactns.pas line 191

published property TFileOpenWith.FileName : TFileName
  read FFileName
  write FFileName;


TFileSaveAs

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

TFileSaveAs - standard action (including opening a dialog) associated with the File Save As menu option

Declaration

Source position: stdactns.pas line 195

type TFileSaveAs = class(TFileAction)
protected
function GetDialogClass; override; | GetDialogClass - returns the class of dialog associated with this action
published
property Caption: TTranslateString; | The Caption to be used if this action is associated with a visible component
property Dialog: TSaveDialog; [r] | The SaveDialog to be used with this action
property Enabled: Boolean; | Enabled - whether this action is able to be used (default True)
property HelpContext: THelpContext; | HelpContext - the index for a context-based help message
property Hint: TTranslateString; | Hint - a pop-up message that appears when the mouse hovers over an object
property ImageIndex: TImageIndex; | ImageIndex - the index number of the image to be associated with this action
property ShortCut: TShortCut; | ShortCut - an index to a shortcut list
property SecondaryShortCuts: TShortCutList; | SecondaryShortCuts - a stringlist containing shortcuts
property Visible: Boolean; | Visible - is this action visible? (default True)
property BeforeExecute: TNotifyEvent; | BeforeExecute - event handler for performance before execution of the action
property OnAccept: TNotifyEvent; | OnAccept - event handler for a press of the Accept button
property OnCancel: TNotifyEvent; | OnCancel - event handler for a press of the Cancel button
property OnHint: THintEvent; | OnHint - action to be taken when a hint is required
end;

Inheritance

TFileSaveAs | TFileSaveAs - standard action (including opening a dialog) associated with the File Save As menu option
|
TFileAction | TFileAction - base class for providing actions associated with various file dialogs and menu options
|
TCommonDialogAction | TCommonDialogAction - base class for providing actions associated with Dialogs
|
TCustomAction | TCustomAction is the ancestor class for TAction
|
TContainedAction | TContainedAction - parent class for TCustomAction; defines some properties especially relationships with parents
|
TBasicAction
|
TComponent,IUnknown,IInterfaceComponentReference
|
TPersistent,IFPObserved
|
TObject

Description

TFileSaveAs - standard action (including opening a dialog) associated with the File Save As menu option

Gives the user an opportunity to select or enter a name to use for saving the file


TFileSaveAs
pl | ro | Caption
pl | ro | Dialog
pl | ro | Enabled
pl | ro | HelpContext
pl | ro | Hint
pl | ro | ImageIndex
pl | ro | ShortCut
pl | ro | SecondaryShortCuts
pl | ro | Visible
pl | ro | BeforeExecute
TFileAction
pt |  | FileName
TCommonDialogAction
 | ro | ExecuteResult
 |  | BeforeExecute
TCustomAction
pt |  | SavedEnabledState
 |  | AutoCheck
 |  | Caption
 |  | Checked
 |  | DisableIfNoHandler
 |  | Enabled
 |  | GroupIndex
 |  | HelpContext
 |  | HelpKeyword
 |  | HelpType
 |  | Hint
 |  | ImageIndex
 |  | SecondaryShortCuts
 |  | ShortCut
 |  | Visible
TContainedAction
 |  | ActionList
 |  | Index
pl |  | Category
TBasicAction
 |  | ActionComponent
TComponent
 | ro | ComObject
 | ro | Components
 | ro | ComponentCount
 |  | ComponentIndex
 | ro | ComponentState
 | ro | ComponentStyle
 |  | DesignInfo
 | ro | Owner
 |  | VCLComObject
 |  | Name
 |  | Tag
TPersistent
TObject


 |  | ActionComponent (TBasicAction)
 |  | ActionList (TContainedAction)
 |  | AutoCheck (TCustomAction)
 |  | BeforeExecute (TCommonDialogAction)
pl | ro | BeforeExecute (TFileSaveAs)
 |  | Caption (TCustomAction)
pl | ro | Caption (TFileSaveAs)
pl |  | Category (TContainedAction)
 |  | Checked (TCustomAction)
 | ro | ComObject (TComponent)
 | ro | ComponentCount (TComponent)
 |  | ComponentIndex (TComponent)
 | ro | Components (TComponent)
 | ro | ComponentState (TComponent)
 | ro | ComponentStyle (TComponent)
 |  | DesignInfo (TComponent)
pl | ro | Dialog (TFileSaveAs)
 |  | DisableIfNoHandler (TCustomAction)
 |  | Enabled (TCustomAction)
pl | ro | Enabled (TFileSaveAs)
 | ro | ExecuteResult (TCommonDialogAction)
pt |  | FileName (TFileAction)
 |  | GroupIndex (TCustomAction)
 |  | HelpContext (TCustomAction)
pl | ro | HelpContext (TFileSaveAs)
 |  | HelpKeyword (TCustomAction)
 |  | HelpType (TCustomAction)
 |  | Hint (TCustomAction)
pl | ro | Hint (TFileSaveAs)
 |  | ImageIndex (TCustomAction)
pl | ro | ImageIndex (TFileSaveAs)
 |  | Index (TContainedAction)
 |  | Name (TComponent)
 | ro | Owner (TComponent)
pt |  | SavedEnabledState (TCustomAction)
 |  | SecondaryShortCuts (TCustomAction)
pl | ro | SecondaryShortCuts (TFileSaveAs)
 |  | ShortCut (TCustomAction)
pl | ro | ShortCut (TFileSaveAs)
 |  | Tag (TComponent)
 |  | VCLComObject (TComponent)
 |  | Visible (TCustomAction)
pl | ro | Visible (TFileSaveAs)


TFileSaveAs
pt | GetDialogClass
TFileAction
pt | GetDialog
TCommonDialogAction
pt | DoAccept
pt | DoBeforeExecute
pt | DoCancel
pt | GetDialogClass
pt | CreateDialog
 | Create
 | Handlestarget
 | ExecuteTarget
TCustomAction
pt | AssignTo
pt | SetName
pt | HandleShortCut
 | Create
 | Destroy
 | DoHint
 | Execute
TContainedAction
pt | ReadState
pt | SetParentComponent
 | Destroy
 | Execute
 | GetParentComponent
 | HasParent
 | Update
TBasicAction
 | Change
 | SetOnExecute
 | Create
 | Destroy
 | HandlesTarget
 | UpdateTarget
 | ExecuteTarget
 | Execute
 | RegisterChanges
 | UnRegisterChanges
 | Update
TComponent
 | GetComObject
 | GetComponent
 | GetComponentCount
 | GetComponentIndex
 | Insert
 | ReadLeft
 | ReadTop
 | Remove
 | RemoveNotification
 | SetComponentIndex
 | SetReference
 | WriteLeft
 | WriteTop
 | ChangeName
 | DefineProperties
 | GetChildren
 | GetChildOwner
 | GetChildParent
 | GetOwner
 | Loaded
 | Loading
 | Notification
 | PaletteCreated
 | ReadState
 | SetAncestor
 | SetDesigning
 | SetDesignInstance
 | SetInline
 | SetName
 | SetChildOrder
 | SetParentComponent
 | Updating
 | Updated
 | UpdateRegistry
 | ValidateRename
 | ValidateContainer
 | ValidateInsert
 | QueryInterface
 | _AddRef
 | _Release
 | iicrGetComponent
 | GetTypeInfoCount
 | GetTypeInfo
 | GetIDsOfNames
 | Invoke
 | WriteState
 | Create
 | Destroy
 | BeforeDestruction
 | DestroyComponents
 | Destroying
 | ExecuteAction
 | FindComponent
 | FreeNotification
 | RemoveFreeNotification
 | FreeOnRelease
 | GetEnumerator
 | GetNamePath
 | GetParentComponent
 | HasParent
 | InsertComponent
 | RemoveComponent
 | SafeCallException
 | SetSubComponent
 | UpdateAction
 | IsImplementorOf
 | ReferenceInterface
TPersistent
 | AssignError
 | AssignTo
 | DefineProperties
 | GetOwner
 | Destroy
 | Assign
 | FPOAttachObserver
 | FPODetachObserver
 | FPONotifyObservers
 | GetNamePath
TObject
 | Create
 | Destroy
 | newinstance
 | FreeInstance
 | SafeCallException
 | DefaultHandler
 | Free
 | InitInstance
 | CleanupInstance
 | ClassType
 | ClassInfo
 | ClassName
 | ClassNameIs
 | ClassParent
 | InstanceSize
 | InheritsFrom
 | StringMessageTable
 | MethodAddress
 | MethodName
 | FieldAddress
 | AfterConstruction
 | BeforeDestruction
 | DefaultHandlerStr
 | Dispatch
 | DispatchStr
 | GetInterface
 | GetInterfaceByStr
 | GetInterfaceWeak
 | GetInterfaceEntry
 | GetInterfaceEntryByStr
 | GetInterfaceTable
 | UnitName
 | Equals
 | GetHashCode
 | ToString


 | AssignError (TPersistent)
 | AssignTo (TPersistent)
pt | AssignTo (TCustomAction)
 | BeforeDestruction (TObject)
 | BeforeDestruction (TComponent)
 | Change (TBasicAction)
 | ChangeName (TComponent)
 | ClassInfo (TObject)
 | ClassName (TObject)
 | ClassNameIs (TObject)
 | ClassParent (TObject)
 | ClassType (TObject)
 | CleanupInstance (TObject)
 | Create (TObject)
 | Create (TComponent)
 | Create (TBasicAction)
 | Create (TCustomAction)
 | Create (TCommonDialogAction)
pt | CreateDialog (TCommonDialogAction)
 | DefaultHandler (TObject)
 | DefaultHandlerStr (TObject)
 | DefineProperties (TPersistent)
 | DefineProperties (TComponent)
 | Destroy (TObject)
 | Destroy (TPersistent)
 | Destroy (TComponent)
 | Destroy (TBasicAction)
 | Destroy (TContainedAction)
 | Destroy (TCustomAction)
 | DestroyComponents (TComponent)
 | Destroying (TComponent)
 | Dispatch (TObject)
 | DispatchStr (TObject)
pt | DoAccept (TCommonDialogAction)
pt | DoBeforeExecute (TCommonDialogAction)
pt | DoCancel (TCommonDialogAction)
 | DoHint (TCustomAction)
 | Equals (TObject)
 | Execute (TBasicAction)
 | Execute (TContainedAction)
 | Execute (TCustomAction)
 | ExecuteAction (TComponent)
 | ExecuteTarget (TBasicAction)
 | ExecuteTarget (TCommonDialogAction)
 | FieldAddress (TObject)
 | FindComponent (TComponent)
 | FPOAttachObserver (TPersistent)
 | FPODetachObserver (TPersistent)
 | FPONotifyObservers (TPersistent)
 | Free (TObject)
 | FreeInstance (TObject)
 | FreeNotification (TComponent)
 | FreeOnRelease (TComponent)
 | GetChildOwner (TComponent)
 | GetChildParent (TComponent)
 | GetChildren (TComponent)
 | GetComObject (TComponent)
 | GetComponent (TComponent)
 | GetComponentCount (TComponent)
 | GetComponentIndex (TComponent)
pt | GetDialog (TFileAction)
pt | GetDialogClass (TCommonDialogAction)
pt | GetDialogClass (TFileSaveAs)
 | GetEnumerator (TComponent)
 | GetHashCode (TObject)
 | GetIDsOfNames (TComponent)
 | GetInterface (TObject)
 | GetInterfaceByStr (TObject)
 | GetInterfaceEntry (TObject)
 | GetInterfaceEntryByStr (TObject)
 | GetInterfaceTable (TObject)
 | GetInterfaceWeak (TObject)
 | GetNamePath (TPersistent)
 | GetNamePath (TComponent)
 | GetOwner (TPersistent)
 | GetOwner (TComponent)
 | GetParentComponent (TComponent)
 | GetParentComponent (TContainedAction)
 | GetTypeInfo (TComponent)
 | GetTypeInfoCount (TComponent)
pt | HandleShortCut (TCustomAction)
 | HandlesTarget (TBasicAction)
 | Handlestarget (TCommonDialogAction)
 | HasParent (TComponent)
 | HasParent (TContainedAction)
 | iicrGetComponent (TComponent)
 | InheritsFrom (TObject)
 | InitInstance (TObject)
 | Insert (TComponent)
 | InsertComponent (TComponent)
 | InstanceSize (TObject)
 | Invoke (TComponent)
 | IsImplementorOf (TComponent)
 | Loaded (TComponent)
 | Loading (TComponent)
 | MethodAddress (TObject)
 | MethodName (TObject)
 | newinstance (TObject)
 | Notification (TComponent)
 | PaletteCreated (TComponent)
 | QueryInterface (TComponent)
 | ReadLeft (TComponent)
 | ReadState (TComponent)
pt | ReadState (TContainedAction)
 | ReadTop (TComponent)
 | ReferenceInterface (TComponent)
 | RegisterChanges (TBasicAction)
 | Remove (TComponent)
 | RemoveComponent (TComponent)
 | RemoveFreeNotification (TComponent)
 | RemoveNotification (TComponent)
 | SafeCallException (TObject)
 | SafeCallException (TComponent)
 | SetAncestor (TComponent)
 | SetChildOrder (TComponent)
 | SetComponentIndex (TComponent)
 | SetDesigning (TComponent)
 | SetDesignInstance (TComponent)
 | SetInline (TComponent)
 | SetName (TComponent)
pt | SetName (TCustomAction)
 | SetOnExecute (TBasicAction)
 | SetParentComponent (TComponent)
pt | SetParentComponent (TContainedAction)
 | SetReference (TComponent)
 | SetSubComponent (TComponent)
 | StringMessageTable (TObject)
 | ToString (TObject)
 | UnitName (TObject)
 | UnRegisterChanges (TBasicAction)
 | Update (TBasicAction)
 | Update (TContainedAction)
 | UpdateAction (TComponent)
 | Updated (TComponent)
 | UpdateRegistry (TComponent)
 | UpdateTarget (TBasicAction)
 | Updating (TComponent)
 | ValidateContainer (TComponent)
 | ValidateInsert (TComponent)
 | ValidateRename (TComponent)
 | WriteLeft (TComponent)
 | WriteState (TComponent)
 | WriteTop (TComponent)
 | _AddRef (TComponent)
 | _Release (TComponent)


TFileSaveAs
pl | ro | OnAccept
pl | ro | OnCancel
pl | ro | OnHint
TFileAction
TCommonDialogAction
 |  | OnAccept
 |  | OnCancel
pl | ro | OnUpdate
TCustomAction
 |  | OnHint
TContainedAction
TBasicAction
 |  | OnChange
 |  | OnExecute
 |  | OnUpdate
TComponent
TPersistent
TObject


pl | ro | OnAccept (TFileSaveAs)
 |  | OnCancel (TCommonDialogAction)
pl | ro | OnCancel (TFileSaveAs)
 |  | OnChange (TBasicAction)
 |  | OnExecute (TBasicAction)
 |  | OnHint (TCustomAction)
pl | ro | OnHint (TFileSaveAs)
 |  | OnUpdate (TBasicAction)
pl | ro | OnUpdate (TCommonDialogAction)


TFileSaveAs.Dialog

The SaveDialog to be used with this action

Declaration

Source position: stdactns.pas line 202

published property TFileSaveAs.Dialog : TSaveDialog
  read GetSaveDialog;


TFontEdit

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

TFontEdit - standard action for opening a Font Edit dialog

Declaration

Source position: stdactns.pas line 388

type TFontEdit = class(TCommonDialogAction)
protected
function GetDialogClass; override; | GetDialogClass - returns the class of dialog associated with this action
published
property Caption: TTranslateString; | The Caption to be used if this action is associated with a visible component
property Dialog: TFontDialog; [r] | The FontDialog to use for this action
property Enabled: Boolean; | Enabled - whether this action is able to be used (default True)
property HelpContext: THelpContext; | HelpContext - the index for a context-based help message
property HelpKeyword: string; | HelpKeyWord - the keyword of a context-based help message
property HelpType: THelpType; | HelpType - the sort of help message to be offered: default Context-based
property Hint: TTranslateString; | Hint - a pop-up message that appears when the mouse hovers over an object
property ImageIndex: TImageIndex; | ImageIndex - the index number of the image to be associated with this action
property ShortCut: TShortCut; | ShortCut - an index to a shortcut list
property SecondaryShortCuts: TShortCutList; | SecondaryShortCuts - a stringlist containing shortcuts
property Visible: Boolean; | Visible - is this action visible? (default True)
property BeforeExecute: TNotifyEvent; | BeforeExecute - event handler for performance before execution of the action
property OnAccept: TNotifyEvent; | OnAccept - event handler for a press of the Accept button
property OnCancel: TNotifyEvent; | OnCancel - event handler for a press of the Cancel button
property OnHint: THintEvent; | OnHint - action to be taken when a hint is required
end;

Inheritance

TFontEdit | TFontEdit - standard action for opening a Font Edit dialog
|
TCommonDialogAction | TCommonDialogAction - base class for providing actions associated with Dialogs
|
TCustomAction | TCustomAction is the ancestor class for TAction
|
TContainedAction | TContainedAction - parent class for TCustomAction; defines some properties especially relationships with parents
|
TBasicAction
|
TComponent,IUnknown,IInterfaceComponentReference
|
TPersistent,IFPObserved
|
TObject


TFontEdit
pl | ro | Caption
pl | ro | Dialog
pl | ro | Enabled
pl | ro | HelpContext
pl | ro | HelpKeyword
pl | ro | HelpType
pl | ro | Hint
pl | ro | ImageIndex
pl | ro | ShortCut
pl | ro | SecondaryShortCuts
pl | ro | Visible
pl | ro | BeforeExecute
TCommonDialogAction
 | ro | ExecuteResult
 |  | BeforeExecute
TCustomAction
pt |  | SavedEnabledState
 |  | AutoCheck
 |  | Caption
 |  | Checked
 |  | DisableIfNoHandler
 |  | Enabled
 |  | GroupIndex
 |  | HelpContext
 |  | HelpKeyword
 |  | HelpType
 |  | Hint
 |  | ImageIndex
 |  | SecondaryShortCuts
 |  | ShortCut
 |  | Visible
TContainedAction
 |  | ActionList
 |  | Index
pl |  | Category
TBasicAction
 |  | ActionComponent
TComponent
 | ro | ComObject
 | ro | Components
 | ro | ComponentCount
 |  | ComponentIndex
 | ro | ComponentState
 | ro | ComponentStyle
 |  | DesignInfo
 | ro | Owner
 |  | VCLComObject
 |  | Name
 |  | Tag
TPersistent
TObject


 |  | ActionComponent (TBasicAction)
 |  | ActionList (TContainedAction)
 |  | AutoCheck (TCustomAction)
 |  | BeforeExecute (TCommonDialogAction)
pl | ro | BeforeExecute (TFontEdit)
 |  | Caption (TCustomAction)
pl | ro | Caption (TFontEdit)
pl |  | Category (TContainedAction)
 |  | Checked (TCustomAction)
 | ro | ComObject (TComponent)
 | ro | ComponentCount (TComponent)
 |  | ComponentIndex (TComponent)
 | ro | Components (TComponent)
 | ro | ComponentState (TComponent)
 | ro | ComponentStyle (TComponent)
 |  | DesignInfo (TComponent)
pl | ro | Dialog (TFontEdit)
 |  | DisableIfNoHandler (TCustomAction)
 |  | Enabled (TCustomAction)
pl | ro | Enabled (TFontEdit)
 | ro | ExecuteResult (TCommonDialogAction)
 |  | GroupIndex (TCustomAction)
 |  | HelpContext (TCustomAction)
pl | ro | HelpContext (TFontEdit)
 |  | HelpKeyword (TCustomAction)
pl | ro | HelpKeyword (TFontEdit)
 |  | HelpType (TCustomAction)
pl | ro | HelpType (TFontEdit)
 |  | Hint (TCustomAction)
pl | ro | Hint (TFontEdit)
 |  | ImageIndex (TCustomAction)
pl | ro | ImageIndex (TFontEdit)
 |  | Index (TContainedAction)
 |  | Name (TComponent)
 | ro | Owner (TComponent)
pt |  | SavedEnabledState (TCustomAction)
 |  | SecondaryShortCuts (TCustomAction)
pl | ro | SecondaryShortCuts (TFontEdit)
 |  | ShortCut (TCustomAction)
pl | ro | ShortCut (TFontEdit)
 |  | Tag (TComponent)
 |  | VCLComObject (TComponent)
 |  | Visible (TCustomAction)
pl | ro | Visible (TFontEdit)


TFontEdit
pt | GetDialogClass
TCommonDialogAction
pt | DoAccept
pt | DoBeforeExecute
pt | DoCancel
pt | GetDialogClass
pt | CreateDialog
 | Create
 | Handlestarget
 | ExecuteTarget
TCustomAction
pt | AssignTo
pt | SetName
pt | HandleShortCut
 | Create
 | Destroy
 | DoHint
 | Execute
TContainedAction
pt | ReadState
pt | SetParentComponent
 | Destroy
 | Execute
 | GetParentComponent
 | HasParent
 | Update
TBasicAction
 | Change
 | SetOnExecute
 | Create
 | Destroy
 | HandlesTarget
 | UpdateTarget
 | ExecuteTarget
 | Execute
 | RegisterChanges
 | UnRegisterChanges
 | Update
TComponent
 | GetComObject
 | GetComponent
 | GetComponentCount
 | GetComponentIndex
 | Insert
 | ReadLeft
 | ReadTop
 | Remove
 | RemoveNotification
 | SetComponentIndex
 | SetReference
 | WriteLeft
 | WriteTop
 | ChangeName
 | DefineProperties
 | GetChildren
 | GetChildOwner
 | GetChildParent
 | GetOwner
 | Loaded
 | Loading
 | Notification
 | PaletteCreated
 | ReadState
 | SetAncestor
 | SetDesigning
 | SetDesignInstance
 | SetInline
 | SetName
 | SetChildOrder
 | SetParentComponent
 | Updating
 | Updated
 | UpdateRegistry
 | ValidateRename
 | ValidateContainer
 | ValidateInsert
 | QueryInterface
 | _AddRef
 | _Release
 | iicrGetComponent
 | GetTypeInfoCount
 | GetTypeInfo
 | GetIDsOfNames
 | Invoke
 | WriteState
 | Create
 | Destroy
 | BeforeDestruction
 | DestroyComponents
 | Destroying
 | ExecuteAction
 | FindComponent
 | FreeNotification
 | RemoveFreeNotification
 | FreeOnRelease
 | GetEnumerator
 | GetNamePath
 | GetParentComponent
 | HasParent
 | InsertComponent
 | RemoveComponent
 | SafeCallException
 | SetSubComponent
 | UpdateAction
 | IsImplementorOf
 | ReferenceInterface
TPersistent
 | AssignError
 | AssignTo
 | DefineProperties
 | GetOwner
 | Destroy
 | Assign
 | FPOAttachObserver
 | FPODetachObserver
 | FPONotifyObservers
 | GetNamePath
TObject
 | Create
 | Destroy
 | newinstance
 | FreeInstance
 | SafeCallException
 | DefaultHandler
 | Free
 | InitInstance
 | CleanupInstance
 | ClassType
 | ClassInfo
 | ClassName
 | ClassNameIs
 | ClassParent
 | InstanceSize
 | InheritsFrom
 | StringMessageTable
 | MethodAddress
 | MethodName
 | FieldAddress
 | AfterConstruction
 | BeforeDestruction
 | DefaultHandlerStr
 | Dispatch
 | DispatchStr
 | GetInterface
 | GetInterfaceByStr
 | GetInterfaceWeak
 | GetInterfaceEntry
 | GetInterfaceEntryByStr
 | GetInterfaceTable
 | UnitName
 | Equals
 | GetHashCode
 | ToString


 | AssignError (TPersistent)
 | AssignTo (TPersistent)
pt | AssignTo (TCustomAction)
 | BeforeDestruction (TObject)
 | BeforeDestruction (TComponent)
 | Change (TBasicAction)
 | ChangeName (TComponent)
 | ClassInfo (TObject)
 | ClassName (TObject)
 | ClassNameIs (TObject)
 | ClassParent (TObject)
 | ClassType (TObject)
 | CleanupInstance (TObject)
 | Create (TObject)
 | Create (TComponent)
 | Create (TBasicAction)
 | Create (TCustomAction)
 | Create (TCommonDialogAction)
pt | CreateDialog (TCommonDialogAction)
 | DefaultHandler (TObject)
 | DefaultHandlerStr (TObject)
 | DefineProperties (TPersistent)
 | DefineProperties (TComponent)
 | Destroy (TObject)
 | Destroy (TPersistent)
 | Destroy (TComponent)
 | Destroy (TBasicAction)
 | Destroy (TContainedAction)
 | Destroy (TCustomAction)
 | DestroyComponents (TComponent)
 | Destroying (TComponent)
 | Dispatch (TObject)
 | DispatchStr (TObject)
pt | DoAccept (TCommonDialogAction)
pt | DoBeforeExecute (TCommonDialogAction)
pt | DoCancel (TCommonDialogAction)
 | DoHint (TCustomAction)
 | Equals (TObject)
 | Execute (TBasicAction)
 | Execute (TContainedAction)
 | Execute (TCustomAction)
 | ExecuteAction (TComponent)
 | ExecuteTarget (TBasicAction)
 | ExecuteTarget (TCommonDialogAction)
 | FieldAddress (TObject)
 | FindComponent (TComponent)
 | FPOAttachObserver (TPersistent)
 | FPODetachObserver (TPersistent)
 | FPONotifyObservers (TPersistent)
 | Free (TObject)
 | FreeInstance (TObject)
 | FreeNotification (TComponent)
 | FreeOnRelease (TComponent)
 | GetChildOwner (TComponent)
 | GetChildParent (TComponent)
 | GetChildren (TComponent)
 | GetComObject (TComponent)
 | GetComponent (TComponent)
 | GetComponentCount (TComponent)
 | GetComponentIndex (TComponent)
pt | GetDialogClass (TCommonDialogAction)
pt | GetDialogClass (TFontEdit)
 | GetEnumerator (TComponent)
 | GetHashCode (TObject)
 | GetIDsOfNames (TComponent)
 | GetInterface (TObject)
 | GetInterfaceByStr (TObject)
 | GetInterfaceEntry (TObject)
 | GetInterfaceEntryByStr (TObject)
 | GetInterfaceTable (TObject)
 | GetInterfaceWeak (TObject)
 | GetNamePath (TPersistent)
 | GetNamePath (TComponent)
 | GetOwner (TPersistent)
 | GetOwner (TComponent)
 | GetParentComponent (TComponent)
 | GetParentComponent (TContainedAction)
 | GetTypeInfo (TComponent)
 | GetTypeInfoCount (TComponent)
pt | HandleShortCut (TCustomAction)
 | HandlesTarget (TBasicAction)
 | Handlestarget (TCommonDialogAction)
 | HasParent (TComponent)
 | HasParent (TContainedAction)
 | iicrGetComponent (TComponent)
 | InheritsFrom (TObject)
 | InitInstance (TObject)
 | Insert (TComponent)
 | InsertComponent (TComponent)
 | InstanceSize (TObject)
 | Invoke (TComponent)
 | IsImplementorOf (TComponent)
 | Loaded (TComponent)
 | Loading (TComponent)
 | MethodAddress (TObject)
 | MethodName (TObject)
 | newinstance (TObject)
 | Notification (TComponent)
 | PaletteCreated (TComponent)
 | QueryInterface (TComponent)
 | ReadLeft (TComponent)
 | ReadState (TComponent)
pt | ReadState (TContainedAction)
 | ReadTop (TComponent)
 | ReferenceInterface (TComponent)
 | RegisterChanges (TBasicAction)
 | Remove (TComponent)
 | RemoveComponent (TComponent)
 | RemoveFreeNotification (TComponent)
 | RemoveNotification (TComponent)
 | SafeCallException (TObject)
 | SafeCallException (TComponent)
 | SetAncestor (TComponent)
 | SetChildOrder (TComponent)
 | SetComponentIndex (TComponent)
 | SetDesigning (TComponent)
 | SetDesignInstance (TComponent)
 | SetInline (TComponent)
 | SetName (TComponent)
pt | SetName (TCustomAction)
 | SetOnExecute (TBasicAction)
 | SetParentComponent (TComponent)
pt | SetParentComponent (TContainedAction)
 | SetReference (TComponent)
 | SetSubComponent (TComponent)
 | StringMessageTable (TObject)
 | ToString (TObject)
 | UnitName (TObject)
 | UnRegisterChanges (TBasicAction)
 | Update (TBasicAction)
 | Update (TContainedAction)
 | UpdateAction (TComponent)
 | Updated (TComponent)
 | UpdateRegistry (TComponent)
 | UpdateTarget (TBasicAction)
 | Updating (TComponent)
 | ValidateContainer (TComponent)
 | ValidateInsert (TComponent)
 | ValidateRename (TComponent)
 | WriteLeft (TComponent)
 | WriteState (TComponent)
 | WriteTop (TComponent)
 | _AddRef (TComponent)
 | _Release (TComponent)


TFontEdit
pl | ro | OnAccept
pl | ro | OnCancel
pl | ro | OnHint
TCommonDialogAction
 |  | OnAccept
 |  | OnCancel
pl | ro | OnUpdate
TCustomAction
 |  | OnHint
TContainedAction
TBasicAction
 |  | OnChange
 |  | OnExecute
 |  | OnUpdate
TComponent
TPersistent
TObject


pl | ro | OnAccept (TFontEdit)
 |  | OnCancel (TCommonDialogAction)
pl | ro | OnCancel (TFontEdit)
 |  | OnChange (TBasicAction)
 |  | OnExecute (TBasicAction)
 |  | OnHint (TCustomAction)
pl | ro | OnHint (TFontEdit)
 |  | OnUpdate (TBasicAction)
pl | ro | OnUpdate (TCommonDialogAction)


TFontEdit.Dialog

The FontDialog to use for this action

Declaration

Source position: stdactns.pas line 395

published property TFontEdit.Dialog : TFontDialog
  read GetDialog;


THelpAction

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

THelpAction - base class for actions associated with the various Help menu options

Declaration

Source position: stdactns.pas line 91

type THelpAction = class(TAction)

public

  constructor Create(); override;

  function HandlesTarget(); override;

  procedure UpdateTarget(); override;

end;

Inheritance

THelpAction | THelpAction - base class for actions associated with the various Help menu options
|
TAction | TAction is the basic action object used on the LCL.
|
TCustomAction | TCustomAction is the ancestor class for TAction
|
TContainedAction | TContainedAction - parent class for TCustomAction; defines some properties especially relationships with parents
|
TBasicAction
|
TComponent,IUnknown,IInterfaceComponentReference
|
TPersistent,IFPObserved
|
TObject


THelpAction
TAction
pl | ro | AutoCheck
pl | ro | Caption
pl | ro | Checked
pl | ro | DisableIfNoHandler
pl | ro | Enabled
pl | ro | GroupIndex
pl | ro | HelpContext
pl | ro | HelpKeyword
pl | ro | HelpType
pl | ro | Hint
pl | ro | ImageIndex
pl | ro | SecondaryShortCuts
pl | ro | ShortCut
pl | ro | Visible
TCustomAction
pt |  | SavedEnabledState
 |  | AutoCheck
 |  | Caption
 |  | Checked
 |  | DisableIfNoHandler
 |  | Enabled
 |  | GroupIndex
 |  | HelpContext
 |  | HelpKeyword
 |  | HelpType
 |  | Hint
 |  | ImageIndex
 |  | SecondaryShortCuts
 |  | ShortCut
 |  | Visible
TContainedAction
 |  | ActionList
 |  | Index
pl |  | Category
TBasicAction
 |  | ActionComponent
TComponent
 | ro | ComObject
 | ro | Components
 | ro | ComponentCount
 |  | ComponentIndex
 | ro | ComponentState
 | ro | ComponentStyle
 |  | DesignInfo
 | ro | Owner
 |  | VCLComObject
 |  | Name
 |  | Tag
TPersistent
TObject


THelpAction
 | Create
 | HandlesTarget
 | UpdateTarget
TAction
 | Create
TCustomAction
pt | AssignTo
pt | SetName
pt | HandleShortCut
 | Create
 | Destroy
 | DoHint
 | Execute
TContainedAction
pt | ReadState
pt | SetParentComponent
 | Destroy
 | Execute
 | GetParentComponent
 | HasParent
 | Update
TBasicAction
 | Change
 | SetOnExecute
 | Create
 | Destroy
 | HandlesTarget
 | UpdateTarget
 | ExecuteTarget
 | Execute
 | RegisterChanges
 | UnRegisterChanges
 | Update
TComponent
 | GetComObject
 | GetComponent
 | GetComponentCount
 | GetComponentIndex
 | Insert
 | ReadLeft
 | ReadTop
 | Remove
 | RemoveNotification
 | SetComponentIndex
 | SetReference
 | WriteLeft
 | WriteTop
 | ChangeName
 | DefineProperties
 | GetChildren
 | GetChildOwner
 | GetChildParent
 | GetOwner
 | Loaded
 | Loading
 | Notification
 | PaletteCreated
 | ReadState
 | SetAncestor
 | SetDesigning
 | SetDesignInstance
 | SetInline
 | SetName
 | SetChildOrder
 | SetParentComponent
 | Updating
 | Updated
 | UpdateRegistry
 | ValidateRename
 | ValidateContainer
 | ValidateInsert
 | QueryInterface
 | _AddRef
 | _Release
 | iicrGetComponent
 | GetTypeInfoCount
 | GetTypeInfo
 | GetIDsOfNames
 | Invoke
 | WriteState
 | Create
 | Destroy
 | BeforeDestruction
 | DestroyComponents
 | Destroying
 | ExecuteAction
 | FindComponent
 | FreeNotification
 | RemoveFreeNotification
 | FreeOnRelease
 | GetEnumerator
 | GetNamePath
 | GetParentComponent
 | HasParent
 | InsertComponent
 | RemoveComponent
 | SafeCallException
 | SetSubComponent
 | UpdateAction
 | IsImplementorOf
 | ReferenceInterface
TPersistent
 | AssignError
 | AssignTo
 | DefineProperties
 | GetOwner
 | Destroy
 | Assign
 | FPOAttachObserver
 | FPODetachObserver
 | FPONotifyObservers
 | GetNamePath
TObject
 | Create
 | Destroy
 | newinstance
 | FreeInstance
 | SafeCallException
 | DefaultHandler
 | Free
 | InitInstance
 | CleanupInstance
 | ClassType
 | ClassInfo
 | ClassName
 | ClassNameIs
 | ClassParent
 | InstanceSize
 | InheritsFrom
 | StringMessageTable
 | MethodAddress
 | MethodName
 | FieldAddress
 | AfterConstruction
 | BeforeDestruction
 | DefaultHandlerStr
 | Dispatch
 | DispatchStr
 | GetInterface
 | GetInterfaceByStr
 | GetInterfaceWeak
 | GetInterfaceEntry
 | GetInterfaceEntryByStr
 | GetInterfaceTable
 | UnitName
 | Equals
 | GetHashCode
 | ToString


 | AssignError (TPersistent)
 | AssignTo (TPersistent)
pt | AssignTo (TCustomAction)
 | BeforeDestruction (TObject)
 | BeforeDestruction (TComponent)
 | Change (TBasicAction)
 | ChangeName (TComponent)
 | ClassInfo (TObject)
 | ClassName (TObject)
 | ClassNameIs (TObject)
 | ClassParent (TObject)
 | ClassType (TObject)
 | CleanupInstance (TObject)
 | Create (TObject)
 | Create (TComponent)
 | Create (TBasicAction)
 | Create (TCustomAction)
 | Create (TAction)
 | Create (THelpAction)
 | DefaultHandler (TObject)
 | DefaultHandlerStr (TObject)
 | DefineProperties (TPersistent)
 | DefineProperties (TComponent)
 | Destroy (TObject)
 | Destroy (TPersistent)
 | Destroy (TComponent)
 | Destroy (TBasicAction)
 | Destroy (TContainedAction)
 | Destroy (TCustomAction)
 | DestroyComponents (TComponent)
 | Destroying (TComponent)
 | Dispatch (TObject)
 | DispatchStr (TObject)
 | DoHint (TCustomAction)
 | Equals (TObject)
 | Execute (TBasicAction)
 | Execute (TContainedAction)
 | Execute (TCustomAction)
 | ExecuteAction (TComponent)
 | ExecuteTarget (TBasicAction)
 | FieldAddress (TObject)
 | FindComponent (TComponent)
 | FPOAttachObserver (TPersistent)
 | FPODetachObserver (TPersistent)
 | FPONotifyObservers (TPersistent)
 | Free (TObject)
 | FreeInstance (TObject)
 | FreeNotification (TComponent)
 | FreeOnRelease (TComponent)
 | GetChildOwner (TComponent)
 | GetChildParent (TComponent)
 | GetChildren (TComponent)
 | GetComObject (TComponent)
 | GetComponent (TComponent)
 | GetComponentCount (TComponent)
 | GetComponentIndex (TComponent)
 | GetEnumerator (TComponent)
 | GetHashCode (TObject)
 | GetIDsOfNames (TComponent)
 | GetInterface (TObject)
 | GetInterfaceByStr (TObject)
 | GetInterfaceEntry (TObject)
 | GetInterfaceEntryByStr (TObject)
 | GetInterfaceTable (TObject)
 | GetInterfaceWeak (TObject)
 | GetNamePath (TPersistent)
 | GetNamePath (TComponent)
 | GetOwner (TPersistent)
 | GetOwner (TComponent)
 | GetParentComponent (TComponent)
 | GetParentComponent (TContainedAction)
 | GetTypeInfo (TComponent)
 | GetTypeInfoCount (TComponent)
pt | HandleShortCut (TCustomAction)
 | HandlesTarget (TBasicAction)
 | HandlesTarget (THelpAction)
 | HasParent (TComponent)
 | HasParent (TContainedAction)
 | iicrGetComponent (TComponent)
 | InheritsFrom (TObject)
 | InitInstance (TObject)
 | Insert (TComponent)
 | InsertComponent (TComponent)
 | InstanceSize (TObject)
 | Invoke (TComponent)
 | IsImplementorOf (TComponent)
 | Loaded (TComponent)
 | Loading (TComponent)
 | MethodAddress (TObject)
 | MethodName (TObject)
 | newinstance (TObject)
 | Notification (TComponent)
 | PaletteCreated (TComponent)
 | QueryInterface (TComponent)
 | ReadLeft (TComponent)
 | ReadState (TComponent)
pt | ReadState (TContainedAction)
 | ReadTop (TComponent)
 | ReferenceInterface (TComponent)
 | RegisterChanges (TBasicAction)
 | Remove (TComponent)
 | RemoveComponent (TComponent)
 | RemoveFreeNotification (TComponent)
 | RemoveNotification (TComponent)
 | SafeCallException (TObject)
 | SafeCallException (TComponent)
 | SetAncestor (TComponent)
 | SetChildOrder (TComponent)
 | SetComponentIndex (TComponent)
 | SetDesigning (TComponent)
 | SetDesignInstance (TComponent)
 | SetInline (TComponent)
 | SetName (TComponent)
pt | SetName (TCustomAction)
 | SetOnExecute (TBasicAction)
 | SetParentComponent (TComponent)
pt | SetParentComponent (TContainedAction)
 | SetReference (TComponent)
 | SetSubComponent (TComponent)
 | StringMessageTable (TObject)
 | ToString (TObject)
 | UnitName (TObject)
 | UnRegisterChanges (TBasicAction)
 | Update (TBasicAction)
 | Update (TContainedAction)
 | UpdateAction (TComponent)
 | Updated (TComponent)
 | UpdateRegistry (TComponent)
 | UpdateTarget (TBasicAction)
 | UpdateTarget (THelpAction)
 | Updating (TComponent)
 | ValidateContainer (TComponent)
 | ValidateInsert (TComponent)
 | ValidateRename (TComponent)
 | WriteLeft (TComponent)
 | WriteState (TComponent)
 | WriteTop (TComponent)
 | _AddRef (TComponent)
 | _Release (TComponent)


THelpAction
TAction
pl | ro | OnExecute
pl | ro | OnHint
pl | ro | OnUpdate
TCustomAction
 |  | OnHint
TContainedAction
TBasicAction
 |  | OnChange
 |  | OnExecute
 |  | OnUpdate
TComponent
TPersistent
TObject


THelpContents

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

THelpContents - standard action associated with the Help Contents menu option

Declaration

Source position: stdactns.pas line 98

type THelpContents = class(THelpAction)

public

  procedure ExecuteTarget(); override;

end;

Inheritance

THelpContents | THelpContents - standard action associated with the Help Contents menu option
|
THelpAction | THelpAction - base class for actions associated with the various Help menu options
|
TAction | TAction is the basic action object used on the LCL.
|
TCustomAction | TCustomAction is the ancestor class for TAction
|
TContainedAction | TContainedAction - parent class for TCustomAction; defines some properties especially relationships with parents
|
TBasicAction
|
TComponent,IUnknown,IInterfaceComponentReference
|
TPersistent,IFPObserved
|
TObject


THelpContents
THelpAction
TAction
pl | ro | AutoCheck
pl | ro | Caption
pl | ro | Checked
pl | ro | DisableIfNoHandler
pl | ro | Enabled
pl | ro | GroupIndex
pl | ro | HelpContext
pl | ro | HelpKeyword
pl | ro | HelpType
pl | ro | Hint
pl | ro | ImageIndex
pl | ro | SecondaryShortCuts
pl | ro | ShortCut
pl | ro | Visible
TCustomAction
pt |  | SavedEnabledState
 |  | AutoCheck
 |  | Caption
 |  | Checked
 |  | DisableIfNoHandler
 |  | Enabled
 |  | GroupIndex
 |  | HelpContext
 |  | HelpKeyword
 |  | HelpType
 |  | Hint
 |  | ImageIndex
 |  | SecondaryShortCuts
 |  | ShortCut
 |  | Visible
TContainedAction
 |  | ActionList
 |  | Index
pl |  | Category
TBasicAction
 |  | ActionComponent
TComponent
 | ro | ComObject
 | ro | Components
 | ro | ComponentCount
 |  | ComponentIndex
 | ro | ComponentState
 | ro | ComponentStyle
 |  | DesignInfo
 | ro | Owner
 |  | VCLComObject
 |  | Name
 |  | Tag
TPersistent
TObject


THelpContents
 | ExecuteTarget
THelpAction
 | Create
 | HandlesTarget
 | UpdateTarget
TAction
 | Create
TCustomAction
pt | AssignTo
pt | SetName
pt | HandleShortCut
 | Create
 | Destroy
 | DoHint
 | Execute
TContainedAction
pt | ReadState
pt | SetParentComponent
 | Destroy
 | Execute
 | GetParentComponent
 | HasParent
 | Update
TBasicAction
 | Change
 | SetOnExecute
 | Create
 | Destroy
 | HandlesTarget
 | UpdateTarget
 | ExecuteTarget
 | Execute
 | RegisterChanges
 | UnRegisterChanges
 | Update
TComponent
 | GetComObject
 | GetComponent
 | GetComponentCount
 | GetComponentIndex
 | Insert
 | ReadLeft
 | ReadTop
 | Remove
 | RemoveNotification
 | SetComponentIndex
 | SetReference
 | WriteLeft
 | WriteTop
 | ChangeName
 | DefineProperties
 | GetChildren
 | GetChildOwner
 | GetChildParent
 | GetOwner
 | Loaded
 | Loading
 | Notification
 | PaletteCreated
 | ReadState
 | SetAncestor
 | SetDesigning
 | SetDesignInstance
 | SetInline
 | SetName
 | SetChildOrder
 | SetParentComponent
 | Updating
 | Updated
 | UpdateRegistry
 | ValidateRename
 | ValidateContainer
 | ValidateInsert
 | QueryInterface
 | _AddRef
 | _Release
 | iicrGetComponent
 | GetTypeInfoCount
 | GetTypeInfo
 | GetIDsOfNames
 | Invoke
 | WriteState
 | Create
 | Destroy
 | BeforeDestruction
 | DestroyComponents
 | Destroying
 | ExecuteAction
 | FindComponent
 | FreeNotification
 | RemoveFreeNotification
 | FreeOnRelease
 | GetEnumerator
 | GetNamePath
 | GetParentComponent
 | HasParent
 | InsertComponent
 | RemoveComponent
 | SafeCallException
 | SetSubComponent
 | UpdateAction
 | IsImplementorOf
 | ReferenceInterface
TPersistent
 | AssignError
 | AssignTo
 | DefineProperties
 | GetOwner
 | Destroy
 | Assign
 | FPOAttachObserver
 | FPODetachObserver
 | FPONotifyObservers
 | GetNamePath
TObject
 | Create
 | Destroy
 | newinstance
 | FreeInstance
 | SafeCallException
 | DefaultHandler
 | Free
 | InitInstance
 | CleanupInstance
 | ClassType
 | ClassInfo
 | ClassName
 | ClassNameIs
 | ClassParent
 | InstanceSize
 | InheritsFrom
 | StringMessageTable
 | MethodAddress
 | MethodName
 | FieldAddress
 | AfterConstruction
 | BeforeDestruction
 | DefaultHandlerStr
 | Dispatch
 | DispatchStr
 | GetInterface
 | GetInterfaceByStr
 | GetInterfaceWeak
 | GetInterfaceEntry
 | GetInterfaceEntryByStr
 | GetInterfaceTable
 | UnitName
 | Equals
 | GetHashCode
 | ToString


 | AssignError (TPersistent)
 | AssignTo (TPersistent)
pt | AssignTo (TCustomAction)
 | BeforeDestruction (TObject)
 | BeforeDestruction (TComponent)
 | Change (TBasicAction)
 | ChangeName (TComponent)
 | ClassInfo (TObject)
 | ClassName (TObject)
 | ClassNameIs (TObject)
 | ClassParent (TObject)
 | ClassType (TObject)
 | CleanupInstance (TObject)
 | Create (TObject)
 | Create (TComponent)
 | Create (TBasicAction)
 | Create (TCustomAction)
 | Create (TAction)
 | Create (THelpAction)
 | DefaultHandler (TObject)
 | DefaultHandlerStr (TObject)
 | DefineProperties (TPersistent)
 | DefineProperties (TComponent)
 | Destroy (TObject)
 | Destroy (TPersistent)
 | Destroy (TComponent)
 | Destroy (TBasicAction)
 | Destroy (TContainedAction)
 | Destroy (TCustomAction)
 | DestroyComponents (TComponent)
 | Destroying (TComponent)
 | Dispatch (TObject)
 | DispatchStr (TObject)
 | DoHint (TCustomAction)
 | Equals (TObject)
 | Execute (TBasicAction)
 | Execute (TContainedAction)
 | Execute (TCustomAction)
 | ExecuteAction (TComponent)
 | ExecuteTarget (TBasicAction)
 | ExecuteTarget (THelpContents)
 | FieldAddress (TObject)
 | FindComponent (TComponent)
 | FPOAttachObserver (TPersistent)
 | FPODetachObserver (TPersistent)
 | FPONotifyObservers (TPersistent)
 | Free (TObject)
 | FreeInstance (TObject)
 | FreeNotification (TComponent)
 | FreeOnRelease (TComponent)
 | GetChildOwner (TComponent)
 | GetChildParent (TComponent)
 | GetChildren (TComponent)
 | GetComObject (TComponent)
 | GetComponent (TComponent)
 | GetComponentCount (TComponent)
 | GetComponentIndex (TComponent)
 | GetEnumerator (TComponent)
 | GetHashCode (TObject)
 | GetIDsOfNames (TComponent)
 | GetInterface (TObject)
 | GetInterfaceByStr (TObject)
 | GetInterfaceEntry (TObject)
 | GetInterfaceEntryByStr (TObject)
 | GetInterfaceTable (TObject)
 | GetInterfaceWeak (TObject)
 | GetNamePath (TPersistent)
 | GetNamePath (TComponent)
 | GetOwner (TPersistent)
 | GetOwner (TComponent)
 | GetParentComponent (TComponent)
 | GetParentComponent (TContainedAction)
 | GetTypeInfo (TComponent)
 | GetTypeInfoCount (TComponent)
pt | HandleShortCut (TCustomAction)
 | HandlesTarget (TBasicAction)
 | HandlesTarget (THelpAction)
 | HasParent (TComponent)
 | HasParent (TContainedAction)
 | iicrGetComponent (TComponent)
 | InheritsFrom (TObject)
 | InitInstance (TObject)
 | Insert (TComponent)
 | InsertComponent (TComponent)
 | InstanceSize (TObject)
 | Invoke (TComponent)
 | IsImplementorOf (TComponent)
 | Loaded (TComponent)
 | Loading (TComponent)
 | MethodAddress (TObject)
 | MethodName (TObject)
 | newinstance (TObject)
 | Notification (TComponent)
 | PaletteCreated (TComponent)
 | QueryInterface (TComponent)
 | ReadLeft (TComponent)
 | ReadState (TComponent)
pt | ReadState (TContainedAction)
 | ReadTop (TComponent)
 | ReferenceInterface (TComponent)
 | RegisterChanges (TBasicAction)
 | Remove (TComponent)
 | RemoveComponent (TComponent)
 | RemoveFreeNotification (TComponent)
 | RemoveNotification (TComponent)
 | SafeCallException (TObject)
 | SafeCallException (TComponent)
 | SetAncestor (TComponent)
 | SetChildOrder (TComponent)
 | SetComponentIndex (TComponent)
 | SetDesigning (TComponent)
 | SetDesignInstance (TComponent)
 | SetInline (TComponent)
 | SetName (TComponent)
pt | SetName (TCustomAction)
 | SetOnExecute (TBasicAction)
 | SetParentComponent (TComponent)
pt | SetParentComponent (TContainedAction)
 | SetReference (TComponent)
 | SetSubComponent (TComponent)
 | StringMessageTable (TObject)
 | ToString (TObject)
 | UnitName (TObject)
 | UnRegisterChanges (TBasicAction)
 | Update (TBasicAction)
 | Update (TContainedAction)
 | UpdateAction (TComponent)
 | Updated (TComponent)
 | UpdateRegistry (TComponent)
 | UpdateTarget (TBasicAction)
 | UpdateTarget (THelpAction)
 | Updating (TComponent)
 | ValidateContainer (TComponent)
 | ValidateInsert (TComponent)
 | ValidateRename (TComponent)
 | WriteLeft (TComponent)
 | WriteState (TComponent)
 | WriteTop (TComponent)
 | _AddRef (TComponent)
 | _Release (TComponent)


THelpContents
THelpAction
TAction
pl | ro | OnExecute
pl | ro | OnHint
pl | ro | OnUpdate
TCustomAction
 |  | OnHint
TContainedAction
TBasicAction
 |  | OnChange
 |  | OnExecute
 |  | OnUpdate
TComponent
TPersistent
TObject


THelpContextAction

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

THelpContextAction - standard action for providing context-sensitive Help

Declaration

Source position: stdactns.pas line 113

type THelpContextAction = class(THelpAction)

public

  procedure ExecuteTarget(); override;

  procedure UpdateTarget(); override;

end;

Inheritance

THelpContextAction | THelpContextAction - standard action for providing context-sensitive Help
|
THelpAction | THelpAction - base class for actions associated with the various Help menu options
|
TAction | TAction is the basic action object used on the LCL.
|
TCustomAction | TCustomAction is the ancestor class for TAction
|
TContainedAction | TContainedAction - parent class for TCustomAction; defines some properties especially relationships with parents
|
TBasicAction
|
TComponent,IUnknown,IInterfaceComponentReference
|
TPersistent,IFPObserved
|
TObject


THelpContextAction
THelpAction
TAction
pl | ro | AutoCheck
pl | ro | Caption
pl | ro | Checked
pl | ro | DisableIfNoHandler
pl | ro | Enabled
pl | ro | GroupIndex
pl | ro | HelpContext
pl | ro | HelpKeyword
pl | ro | HelpType
pl | ro | Hint
pl | ro | ImageIndex
pl | ro | SecondaryShortCuts
pl | ro | ShortCut
pl | ro | Visible
TCustomAction
pt |  | SavedEnabledState
 |  | AutoCheck
 |  | Caption
 |  | Checked
 |  | DisableIfNoHandler
 |  | Enabled
 |  | GroupIndex
 |  | HelpContext
 |  | HelpKeyword
 |  | HelpType
 |  | Hint
 |  | ImageIndex
 |  | SecondaryShortCuts
 |  | ShortCut
 |  | Visible
TContainedAction
 |  | ActionList
 |  | Index
pl |  | Category
TBasicAction
 |  | ActionComponent
TComponent
 | ro | ComObject
 | ro | Components
 | ro | ComponentCount
 |  | ComponentIndex
 | ro | ComponentState
 | ro | ComponentStyle
 |  | DesignInfo
 | ro | Owner
 |  | VCLComObject
 |  | Name
 |  | Tag
TPersistent
TObject


THelpContextAction
 | ExecuteTarget
 | UpdateTarget
THelpAction
 | Create
 | HandlesTarget
 | UpdateTarget
TAction
 | Create
TCustomAction
pt | AssignTo
pt | SetName
pt | HandleShortCut
 | Create
 | Destroy
 | DoHint
 | Execute
TContainedAction
pt | ReadState
pt | SetParentComponent
 | Destroy
 | Execute
 | GetParentComponent
 | HasParent
 | Update
TBasicAction
 | Change
 | SetOnExecute
 | Create
 | Destroy
 | HandlesTarget
 | UpdateTarget
 | ExecuteTarget
 | Execute
 | RegisterChanges
 | UnRegisterChanges
 | Update
TComponent
 | GetComObject
 | GetComponent
 | GetComponentCount
 | GetComponentIndex
 | Insert
 | ReadLeft
 | ReadTop
 | Remove
 | RemoveNotification
 | SetComponentIndex
 | SetReference
 | WriteLeft
 | WriteTop
 | ChangeName
 | DefineProperties
 | GetChildren
 | GetChildOwner
 | GetChildParent
 | GetOwner
 | Loaded
 | Loading
 | Notification
 | PaletteCreated
 | ReadState
 | SetAncestor
 | SetDesigning
 | SetDesignInstance
 | SetInline
 | SetName
 | SetChildOrder
 | SetParentComponent
 | Updating
 | Updated
 | UpdateRegistry
 | ValidateRename
 | ValidateContainer
 | ValidateInsert
 | QueryInterface
 | _AddRef
 | _Release
 | iicrGetComponent
 | GetTypeInfoCount
 | GetTypeInfo
 | GetIDsOfNames
 | Invoke
 | WriteState
 | Create
 | Destroy
 | BeforeDestruction
 | DestroyComponents
 | Destroying
 | ExecuteAction
 | FindComponent
 | FreeNotification
 | RemoveFreeNotification
 | FreeOnRelease
 | GetEnumerator
 | GetNamePath
 | GetParentComponent
 | HasParent
 | InsertComponent
 | RemoveComponent
 | SafeCallException
 | SetSubComponent
 | UpdateAction
 | IsImplementorOf
 | ReferenceInterface
TPersistent
 | AssignError
 | AssignTo
 | DefineProperties
 | GetOwner
 | Destroy
 | Assign
 | FPOAttachObserver
 | FPODetachObserver
 | FPONotifyObservers
 | GetNamePath
TObject
 | Create
 | Destroy
 | newinstance
 | FreeInstance
 | SafeCallException
 | DefaultHandler
 | Free
 | InitInstance
 | CleanupInstance
 | ClassType
 | ClassInfo
 | ClassName
 | ClassNameIs
 | ClassParent
 | InstanceSize
 | InheritsFrom
 | StringMessageTable
 | MethodAddress
 | MethodName
 | FieldAddress
 | AfterConstruction
 | BeforeDestruction
 | DefaultHandlerStr
 | Dispatch
 | DispatchStr
 | GetInterface
 | GetInterfaceByStr
 | GetInterfaceWeak
 | GetInterfaceEntry
 | GetInterfaceEntryByStr
 | GetInterfaceTable
 | UnitName
 | Equals
 | GetHashCode
 | ToString


 | AssignError (TPersistent)
 | AssignTo (TPersistent)
pt | AssignTo (TCustomAction)
 | BeforeDestruction (TObject)
 | BeforeDestruction (TComponent)
 | Change (TBasicAction)
 | ChangeName (TComponent)
 | ClassInfo (TObject)
 | ClassName (TObject)
 | ClassNameIs (TObject)
 | ClassParent (TObject)
 | ClassType (TObject)
 | CleanupInstance (TObject)
 | Create (TObject)
 | Create (TComponent)
 | Create (TBasicAction)
 | Create (TCustomAction)
 | Create (TAction)
 | Create (THelpAction)
 | DefaultHandler (TObject)
 | DefaultHandlerStr (TObject)
 | DefineProperties (TPersistent)
 | DefineProperties (TComponent)
 | Destroy (TObject)
 | Destroy (TPersistent)
 | Destroy (TComponent)
 | Destroy (TBasicAction)
 | Destroy (TContainedAction)
 | Destroy (TCustomAction)
 | DestroyComponents (TComponent)
 | Destroying (TComponent)
 | Dispatch (TObject)
 | DispatchStr (TObject)
 | DoHint (TCustomAction)
 | Equals (TObject)
 | Execute (TBasicAction)
 | Execute (TContainedAction)
 | Execute (TCustomAction)
 | ExecuteAction (TComponent)
 | ExecuteTarget (TBasicAction)
 | ExecuteTarget (THelpContextAction)
 | FieldAddress (TObject)
 | FindComponent (TComponent)
 | FPOAttachObserver (TPersistent)
 | FPODetachObserver (TPersistent)
 | FPONotifyObservers (TPersistent)
 | Free (TObject)
 | FreeInstance (TObject)
 | FreeNotification (TComponent)
 | FreeOnRelease (TComponent)
 | GetChildOwner (TComponent)
 | GetChildParent (TComponent)
 | GetChildren (TComponent)
 | GetComObject (TComponent)
 | GetComponent (TComponent)
 | GetComponentCount (TComponent)
 | GetComponentIndex (TComponent)
 | GetEnumerator (TComponent)
 | GetHashCode (TObject)
 | GetIDsOfNames (TComponent)
 | GetInterface (TObject)
 | GetInterfaceByStr (TObject)
 | GetInterfaceEntry (TObject)
 | GetInterfaceEntryByStr (TObject)
 | GetInterfaceTable (TObject)
 | GetInterfaceWeak (TObject)
 | GetNamePath (TPersistent)
 | GetNamePath (TComponent)
 | GetOwner (TPersistent)
 | GetOwner (TComponent)
 | GetParentComponent (TComponent)
 | GetParentComponent (TContainedAction)
 | GetTypeInfo (TComponent)
 | GetTypeInfoCount (TComponent)
pt | HandleShortCut (TCustomAction)
 | HandlesTarget (TBasicAction)
 | HandlesTarget (THelpAction)
 | HasParent (TComponent)
 | HasParent (TContainedAction)
 | iicrGetComponent (TComponent)
 | InheritsFrom (TObject)
 | InitInstance (TObject)
 | Insert (TComponent)
 | InsertComponent (TComponent)
 | InstanceSize (TObject)
 | Invoke (TComponent)
 | IsImplementorOf (TComponent)
 | Loaded (TComponent)
 | Loading (TComponent)
 | MethodAddress (TObject)
 | MethodName (TObject)
 | newinstance (TObject)
 | Notification (TComponent)
 | PaletteCreated (TComponent)
 | QueryInterface (TComponent)
 | ReadLeft (TComponent)
 | ReadState (TComponent)
pt | ReadState (TContainedAction)
 | ReadTop (TComponent)
 | ReferenceInterface (TComponent)
 | RegisterChanges (TBasicAction)
 | Remove (TComponent)
 | RemoveComponent (TComponent)
 | RemoveFreeNotification (TComponent)
 | RemoveNotification (TComponent)
 | SafeCallException (TObject)
 | SafeCallException (TComponent)
 | SetAncestor (TComponent)
 | SetChildOrder (TComponent)
 | SetComponentIndex (TComponent)
 | SetDesigning (TComponent)
 | SetDesignInstance (TComponent)
 | SetInline (TComponent)
 | SetName (TComponent)
pt | SetName (TCustomAction)
 | SetOnExecute (TBasicAction)
 | SetParentComponent (TComponent)
pt | SetParentComponent (TContainedAction)
 | SetReference (TComponent)
 | SetSubComponent (TComponent)
 | StringMessageTable (TObject)
 | ToString (TObject)
 | UnitName (TObject)
 | UnRegisterChanges (TBasicAction)
 | Update (TBasicAction)
 | Update (TContainedAction)
 | UpdateAction (TComponent)
 | Updated (TComponent)
 | UpdateRegistry (TComponent)
 | UpdateTarget (TBasicAction)
 | UpdateTarget (THelpAction)
 | UpdateTarget (THelpContextAction)
 | Updating (TComponent)
 | ValidateContainer (TComponent)
 | ValidateInsert (TComponent)
 | ValidateRename (TComponent)
 | WriteLeft (TComponent)
 | WriteState (TComponent)
 | WriteTop (TComponent)
 | _AddRef (TComponent)
 | _Release (TComponent)


THelpContextAction
THelpAction
TAction
pl | ro | OnExecute
pl | ro | OnHint
pl | ro | OnUpdate
TCustomAction
 |  | OnHint
TContainedAction
TBasicAction
 |  | OnChange
 |  | OnExecute
 |  | OnUpdate
TComponent
TPersistent
TObject


THelpOnHelp

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

THelpOnHelp - standard action associated with the Help On Help menu item (ie how to get help)

Declaration

Source position: stdactns.pas line 108

type THelpOnHelp = class(THelpAction)

public

  procedure ExecuteTarget(); override;

end;

Inheritance

THelpOnHelp | THelpOnHelp - standard action associated with the Help On Help menu item (ie how to get help)
|
THelpAction | THelpAction - base class for actions associated with the various Help menu options
|
TAction | TAction is the basic action object used on the LCL.
|
TCustomAction | TCustomAction is the ancestor class for TAction
|
TContainedAction | TContainedAction - parent class for TCustomAction; defines some properties especially relationships with parents
|
TBasicAction
|
TComponent,IUnknown,IInterfaceComponentReference
|
TPersistent,IFPObserved
|
TObject


THelpOnHelp
THelpAction
TAction
pl | ro | AutoCheck
pl | ro | Caption
pl | ro | Checked
pl | ro | DisableIfNoHandler
pl | ro | Enabled
pl | ro | GroupIndex
pl | ro | HelpContext
pl | ro | HelpKeyword
pl | ro | HelpType
pl | ro | Hint
pl | ro | ImageIndex
pl | ro | SecondaryShortCuts
pl | ro | ShortCut
pl | ro | Visible
TCustomAction
pt |  | SavedEnabledState
 |  | AutoCheck
 |  | Caption
 |  | Checked
 |  | DisableIfNoHandler
 |  | Enabled
 |  | GroupIndex
 |  | HelpContext
 |  | HelpKeyword
 |  | HelpType
 |  | Hint
 |  | ImageIndex
 |  | SecondaryShortCuts
 |  | ShortCut
 |  | Visible
TContainedAction
 |  | ActionList
 |  | Index
pl |  | Category
TBasicAction
 |  | ActionComponent
TComponent
 | ro | ComObject
 | ro | Components
 | ro | ComponentCount
 |  | ComponentIndex
 | ro | ComponentState
 | ro | ComponentStyle
 |  | DesignInfo
 | ro | Owner
 |  | VCLComObject
 |  | Name
 |  | Tag
TPersistent
TObject


THelpOnHelp
 | ExecuteTarget
THelpAction
 | Create
 | HandlesTarget
 | UpdateTarget
TAction
 | Create
TCustomAction
pt | AssignTo
pt | SetName
pt | HandleShortCut
 | Create
 | Destroy
 | DoHint
 | Execute
TContainedAction
pt | ReadState
pt | SetParentComponent
 | Destroy
 | Execute
 | GetParentComponent
 | HasParent
 | Update
TBasicAction
 | Change
 | SetOnExecute
 | Create
 | Destroy
 | HandlesTarget
 | UpdateTarget
 | ExecuteTarget
 | Execute
 | RegisterChanges
 | UnRegisterChanges
 | Update
TComponent
 | GetComObject
 | GetComponent
 | GetComponentCount
 | GetComponentIndex
 | Insert
 | ReadLeft
 | ReadTop
 | Remove
 | RemoveNotification
 | SetComponentIndex
 | SetReference
 | WriteLeft
 | WriteTop
 | ChangeName
 | DefineProperties
 | GetChildren
 | GetChildOwner
 | GetChildParent
 | GetOwner
 | Loaded
 | Loading
 | Notification
 | PaletteCreated
 | ReadState
 | SetAncestor
 | SetDesigning
 | SetDesignInstance
 | SetInline
 | SetName
 | SetChildOrder
 | SetParentComponent
 | Updating
 | Updated
 | UpdateRegistry
 | ValidateRename
 | ValidateContainer
 | ValidateInsert
 | QueryInterface
 | _AddRef
 | _Release
 | iicrGetComponent
 | GetTypeInfoCount
 | GetTypeInfo
 | GetIDsOfNames
 | Invoke
 | WriteState
 | Create
 | Destroy
 | BeforeDestruction
 | DestroyComponents
 | Destroying
 | ExecuteAction
 | FindComponent
 | FreeNotification
 | RemoveFreeNotification
 | FreeOnRelease
 | GetEnumerator
 | GetNamePath
 | GetParentComponent
 | HasParent
 | InsertComponent
 | RemoveComponent
 | SafeCallException
 | SetSubComponent
 | UpdateAction
 | IsImplementorOf
 | ReferenceInterface
TPersistent
 | AssignError
 | AssignTo
 | DefineProperties
 | GetOwner
 | Destroy
 | Assign
 | FPOAttachObserver
 | FPODetachObserver
 | FPONotifyObservers
 | GetNamePath
TObject
 | Create
 | Destroy
 | newinstance
 | FreeInstance
 | SafeCallException
 | DefaultHandler
 | Free
 | InitInstance
 | CleanupInstance
 | ClassType
 | ClassInfo
 | ClassName
 | ClassNameIs
 | ClassParent
 | InstanceSize
 | InheritsFrom
 | StringMessageTable
 | MethodAddress
 | MethodName
 | FieldAddress
 | AfterConstruction
 | BeforeDestruction
 | DefaultHandlerStr
 | Dispatch
 | DispatchStr
 | GetInterface
 | GetInterfaceByStr
 | GetInterfaceWeak
 | GetInterfaceEntry
 | GetInterfaceEntryByStr
 | GetInterfaceTable
 | UnitName
 | Equals
 | GetHashCode
 | ToString


 | AssignError (TPersistent)
 | AssignTo (TPersistent)
pt | AssignTo (TCustomAction)
 | BeforeDestruction (TObject)
 | BeforeDestruction (TComponent)
 | Change (TBasicAction)
 | ChangeName (TComponent)
 | ClassInfo (TObject)
 | ClassName (TObject)
 | ClassNameIs (TObject)
 | ClassParent (TObject)
 | ClassType (TObject)
 | CleanupInstance (TObject)
 | Create (TObject)
 | Create (TComponent)
 | Create (TBasicAction)
 | Create (TCustomAction)
 | Create (TAction)
 | Create (THelpAction)
 | DefaultHandler (TObject)
 | DefaultHandlerStr (TObject)
 | DefineProperties (TPersistent)
 | DefineProperties (TComponent)
 | Destroy (TObject)
 | Destroy (TPersistent)
 | Destroy (TComponent)
 | Destroy (TBasicAction)
 | Destroy (TContainedAction)
 | Destroy (TCustomAction)
 | DestroyComponents (TComponent)
 | Destroying (TComponent)
 | Dispatch (TObject)
 | DispatchStr (TObject)
 | DoHint (TCustomAction)
 | Equals (TObject)
 | Execute (TBasicAction)
 | Execute (TContainedAction)
 | Execute (TCustomAction)
 | ExecuteAction (TComponent)
 | ExecuteTarget (TBasicAction)
 | ExecuteTarget (THelpOnHelp)
 | FieldAddress (TObject)
 | FindComponent (TComponent)
 | FPOAttachObserver (TPersistent)
 | FPODetachObserver (TPersistent)
 | FPONotifyObservers (TPersistent)
 | Free (TObject)
 | FreeInstance (TObject)
 | FreeNotification (TComponent)
 | FreeOnRelease (TComponent)
 | GetChildOwner (TComponent)
 | GetChildParent (TComponent)
 | GetChildren (TComponent)
 | GetComObject (TComponent)
 | GetComponent (TComponent)
 | GetComponentCount (TComponent)
 | GetComponentIndex (TComponent)
 | GetEnumerator (TComponent)
 | GetHashCode (TObject)
 | GetIDsOfNames (TComponent)
 | GetInterface (TObject)
 | GetInterfaceByStr (TObject)
 | GetInterfaceEntry (TObject)
 | GetInterfaceEntryByStr (TObject)
 | GetInterfaceTable (TObject)
 | GetInterfaceWeak (TObject)
 | GetNamePath (TPersistent)
 | GetNamePath (TComponent)
 | GetOwner (TPersistent)
 | GetOwner (TComponent)
 | GetParentComponent (TComponent)
 | GetParentComponent (TContainedAction)
 | GetTypeInfo (TComponent)
 | GetTypeInfoCount (TComponent)
pt | HandleShortCut (TCustomAction)
 | HandlesTarget (TBasicAction)
 | HandlesTarget (THelpAction)
 | HasParent (TComponent)
 | HasParent (TContainedAction)
 | iicrGetComponent (TComponent)
 | InheritsFrom (TObject)
 | InitInstance (TObject)
 | Insert (TComponent)
 | InsertComponent (TComponent)
 | InstanceSize (TObject)
 | Invoke (TComponent)
 | IsImplementorOf (TComponent)
 | Loaded (TComponent)
 | Loading (TComponent)
 | MethodAddress (TObject)
 | MethodName (TObject)
 | newinstance (TObject)
 | Notification (TComponent)
 | PaletteCreated (TComponent)
 | QueryInterface (TComponent)
 | ReadLeft (TComponent)
 | ReadState (TComponent)
pt | ReadState (TContainedAction)
 | ReadTop (TComponent)
 | ReferenceInterface (TComponent)
 | RegisterChanges (TBasicAction)
 | Remove (TComponent)
 | RemoveComponent (TComponent)
 | RemoveFreeNotification (TComponent)
 | RemoveNotification (TComponent)
 | SafeCallException (TObject)
 | SafeCallException (TComponent)
 | SetAncestor (TComponent)
 | SetChildOrder (TComponent)
 | SetComponentIndex (TComponent)
 | SetDesigning (TComponent)
 | SetDesignInstance (TComponent)
 | SetInline (TComponent)
 | SetName (TComponent)
pt | SetName (TCustomAction)
 | SetOnExecute (TBasicAction)
 | SetParentComponent (TComponent)
pt | SetParentComponent (TContainedAction)
 | SetReference (TComponent)
 | SetSubComponent (TComponent)
 | StringMessageTable (TObject)
 | ToString (TObject)
 | UnitName (TObject)
 | UnRegisterChanges (TBasicAction)
 | Update (TBasicAction)
 | Update (TContainedAction)
 | UpdateAction (TComponent)
 | Updated (TComponent)
 | UpdateRegistry (TComponent)
 | UpdateTarget (TBasicAction)
 | UpdateTarget (THelpAction)
 | Updating (TComponent)
 | ValidateContainer (TComponent)
 | ValidateInsert (TComponent)
 | ValidateRename (TComponent)
 | WriteLeft (TComponent)
 | WriteState (TComponent)
 | WriteTop (TComponent)
 | _AddRef (TComponent)
 | _Release (TComponent)


THelpOnHelp
THelpAction
TAction
pl | ro | OnExecute
pl | ro | OnHint
pl | ro | OnUpdate
TCustomAction
 |  | OnHint
TContainedAction
TBasicAction
 |  | OnChange
 |  | OnExecute
 |  | OnUpdate
TComponent
TPersistent
TObject


THelpOnHelp.ExecuteTarget

Declaration

Source position: stdactns.pas line 110

public procedure THelpOnHelp.ExecuteTarget(

  Target: TObject

); override;


THelpTopicSearch

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

THelpTopicSearch - standard action associated with the Help Topic Search menu option

Declaration

Source position: stdactns.pas line 103

type THelpTopicSearch = class(THelpAction)

public

  procedure ExecuteTarget(); override;

end;

Inheritance

THelpTopicSearch | THelpTopicSearch - standard action associated with the Help Topic Search menu option
|
THelpAction | THelpAction - base class for actions associated with the various Help menu options
|
TAction | TAction is the basic action object used on the LCL.
|
TCustomAction | TCustomAction is the ancestor class for TAction
|
TContainedAction | TContainedAction - parent class for TCustomAction; defines some properties especially relationships with parents
|
TBasicAction
|
TComponent,IUnknown,IInterfaceComponentReference
|
TPersistent,IFPObserved
|
TObject


THelpTopicSearch
THelpAction
TAction
pl | ro | AutoCheck
pl | ro | Caption
pl | ro | Checked
pl | ro | DisableIfNoHandler
pl | ro | Enabled
pl | ro | GroupIndex
pl | ro | HelpContext
pl | ro | HelpKeyword
pl | ro | HelpType
pl | ro | Hint
pl | ro | ImageIndex
pl | ro | SecondaryShortCuts
pl | ro | ShortCut
pl | ro | Visible
TCustomAction
pt |  | SavedEnabledState
 |  | AutoCheck
 |  | Caption
 |  | Checked
 |  | DisableIfNoHandler
 |  | Enabled
 |  | GroupIndex
 |  | HelpContext
 |  | HelpKeyword
 |  | HelpType
 |  | Hint
 |  | ImageIndex
 |  | SecondaryShortCuts
 |  | ShortCut
 |  | Visible
TContainedAction
 |  | ActionList
 |  | Index
pl |  | Category
TBasicAction
 |  | ActionComponent
TComponent
 | ro | ComObject
 | ro | Components
 | ro | ComponentCount
 |  | ComponentIndex
 | ro | ComponentState
 | ro | ComponentStyle
 |  | DesignInfo
 | ro | Owner
 |  | VCLComObject
 |  | Name
 |  | Tag
TPersistent
TObject


THelpTopicSearch
 | ExecuteTarget
THelpAction
 | Create
 | HandlesTarget
 | UpdateTarget
TAction
 | Create
TCustomAction
pt | AssignTo
pt | SetName
pt | HandleShortCut
 | Create
 | Destroy
 | DoHint
 | Execute
TContainedAction
pt | ReadState
pt | SetParentComponent
 | Destroy
 | Execute
 | GetParentComponent
 | HasParent
 | Update
TBasicAction
 | Change
 | SetOnExecute
 | Create
 | Destroy
 | HandlesTarget
 | UpdateTarget
 | ExecuteTarget
 | Execute
 | RegisterChanges
 | UnRegisterChanges
 | Update
TComponent
 | GetComObject
 | GetComponent
 | GetComponentCount
 | GetComponentIndex
 | Insert
 | ReadLeft
 | ReadTop
 | Remove
 | RemoveNotification
 | SetComponentIndex
 | SetReference
 | WriteLeft
 | WriteTop
 | ChangeName
 | DefineProperties
 | GetChildren
 | GetChildOwner
 | GetChildParent
 | GetOwner
 | Loaded
 | Loading
 | Notification
 | PaletteCreated
 | ReadState
 | SetAncestor
 | SetDesigning
 | SetDesignInstance
 | SetInline
 | SetName
 | SetChildOrder
 | SetParentComponent
 | Updating
 | Updated
 | UpdateRegistry
 | ValidateRename
 | ValidateContainer
 | ValidateInsert
 | QueryInterface
 | _AddRef
 | _Release
 | iicrGetComponent
 | GetTypeInfoCount
 | GetTypeInfo
 | GetIDsOfNames
 | Invoke
 | WriteState
 | Create
 | Destroy
 | BeforeDestruction
 | DestroyComponents
 | Destroying
 | ExecuteAction
 | FindComponent
 | FreeNotification
 | RemoveFreeNotification
 | FreeOnRelease
 | GetEnumerator
 | GetNamePath
 | GetParentComponent
 | HasParent
 | InsertComponent
 | RemoveComponent
 | SafeCallException
 | SetSubComponent
 | UpdateAction
 | IsImplementorOf
 | ReferenceInterface
TPersistent
 | AssignError
 | AssignTo
 | DefineProperties
 | GetOwner
 | Destroy
 | Assign
 | FPOAttachObserver
 | FPODetachObserver
 | FPONotifyObservers
 | GetNamePath
TObject
 | Create
 | Destroy
 | newinstance
 | FreeInstance
 | SafeCallException
 | DefaultHandler
 | Free
 | InitInstance
 | CleanupInstance
 | ClassType
 | ClassInfo
 | ClassName
 | ClassNameIs
 | ClassParent
 | InstanceSize
 | InheritsFrom
 | StringMessageTable
 | MethodAddress
 | MethodName
 | FieldAddress
 | AfterConstruction
 | BeforeDestruction
 | DefaultHandlerStr
 | Dispatch
 | DispatchStr
 | GetInterface
 | GetInterfaceByStr
 | GetInterfaceWeak
 | GetInterfaceEntry
 | GetInterfaceEntryByStr
 | GetInterfaceTable
 | UnitName
 | Equals
 | GetHashCode
 | ToString


 | AssignError (TPersistent)
 | AssignTo (TPersistent)
pt | AssignTo (TCustomAction)
 | BeforeDestruction (TObject)
 | BeforeDestruction (TComponent)
 | Change (TBasicAction)
 | ChangeName (TComponent)
 | ClassInfo (TObject)
 | ClassName (TObject)
 | ClassNameIs (TObject)
 | ClassParent (TObject)
 | ClassType (TObject)
 | CleanupInstance (TObject)
 | Create (TObject)
 | Create (TComponent)
 | Create (TBasicAction)
 | Create (TCustomAction)
 | Create (TAction)
 | Create (THelpAction)
 | DefaultHandler (TObject)
 | DefaultHandlerStr (TObject)
 | DefineProperties (TPersistent)
 | DefineProperties (TComponent)
 | Destroy (TObject)
 | Destroy (TPersistent)
 | Destroy (TComponent)
 | Destroy (TBasicAction)
 | Destroy (TContainedAction)
 | Destroy (TCustomAction)
 | DestroyComponents (TComponent)
 | Destroying (TComponent)
 | Dispatch (TObject)
 | DispatchStr (TObject)
 | DoHint (TCustomAction)
 | Equals (TObject)
 | Execute (TBasicAction)
 | Execute (TContainedAction)
 | Execute (TCustomAction)
 | ExecuteAction (TComponent)
 | ExecuteTarget (TBasicAction)
 | ExecuteTarget (THelpTopicSearch)
 | FieldAddress (TObject)
 | FindComponent (TComponent)
 | FPOAttachObserver (TPersistent)
 | FPODetachObserver (TPersistent)
 | FPONotifyObservers (TPersistent)
 | Free (TObject)
 | FreeInstance (TObject)
 | FreeNotification (TComponent)
 | FreeOnRelease (TComponent)
 | GetChildOwner (TComponent)
 | GetChildParent (TComponent)
 | GetChildren (TComponent)
 | GetComObject (TComponent)
 | GetComponent (TComponent)
 | GetComponentCount (TComponent)
 | GetComponentIndex (TComponent)
 | GetEnumerator (TComponent)
 | GetHashCode (TObject)
 | GetIDsOfNames (TComponent)
 | GetInterface (TObject)
 | GetInterfaceByStr (TObject)
 | GetInterfaceEntry (TObject)
 | GetInterfaceEntryByStr (TObject)
 | GetInterfaceTable (TObject)
 | GetInterfaceWeak (TObject)
 | GetNamePath (TPersistent)
 | GetNamePath (TComponent)
 | GetOwner (TPersistent)
 | GetOwner (TComponent)
 | GetParentComponent (TComponent)
 | GetParentComponent (TContainedAction)
 | GetTypeInfo (TComponent)
 | GetTypeInfoCount (TComponent)
pt | HandleShortCut (TCustomAction)
 | HandlesTarget (TBasicAction)
 | HandlesTarget (THelpAction)
 | HasParent (TComponent)
 | HasParent (TContainedAction)
 | iicrGetComponent (TComponent)
 | InheritsFrom (TObject)
 | InitInstance (TObject)
 | Insert (TComponent)
 | InsertComponent (TComponent)
 | InstanceSize (TObject)
 | Invoke (TComponent)
 | IsImplementorOf (TComponent)
 | Loaded (TComponent)
 | Loading (TComponent)
 | MethodAddress (TObject)
 | MethodName (TObject)
 | newinstance (TObject)
 | Notification (TComponent)
 | PaletteCreated (TComponent)
 | QueryInterface (TComponent)
 | ReadLeft (TComponent)
 | ReadState (TComponent)
pt | ReadState (TContainedAction)
 | ReadTop (TComponent)
 | ReferenceInterface (TComponent)
 | RegisterChanges (TBasicAction)
 | Remove (TComponent)
 | RemoveComponent (TComponent)
 | RemoveFreeNotification (TComponent)
 | RemoveNotification (TComponent)
 | SafeCallException (TObject)
 | SafeCallException (TComponent)
 | SetAncestor (TComponent)
 | SetChildOrder (TComponent)
 | SetComponentIndex (TComponent)
 | SetDesigning (TComponent)
 | SetDesignInstance (TComponent)
 | SetInline (TComponent)
 | SetName (TComponent)
pt | SetName (TCustomAction)
 | SetOnExecute (TBasicAction)
 | SetParentComponent (TComponent)
pt | SetParentComponent (TContainedAction)
 | SetReference (TComponent)
 | SetSubComponent (TComponent)
 | StringMessageTable (TObject)
 | ToString (TObject)
 | UnitName (TObject)
 | UnRegisterChanges (TBasicAction)
 | Update (TBasicAction)
 | Update (TContainedAction)
 | UpdateAction (TComponent)
 | Updated (TComponent)
 | UpdateRegistry (TComponent)
 | UpdateTarget (TBasicAction)
 | UpdateTarget (THelpAction)
 | Updating (TComponent)
 | ValidateContainer (TComponent)
 | ValidateInsert (TComponent)
 | ValidateRename (TComponent)
 | WriteLeft (TComponent)
 | WriteState (TComponent)
 | WriteTop (TComponent)
 | _AddRef (TComponent)
 | _Release (TComponent)


THelpTopicSearch
THelpAction
TAction
pl | ro | OnExecute
pl | ro | OnHint
pl | ro | OnUpdate
TCustomAction
 |  | OnHint
TContainedAction
TBasicAction
 |  | OnChange
 |  | OnExecute
 |  | OnUpdate
TComponent
TPersistent
TObject


THintAction

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

THintAction - standard action for dealing with requests for a Hint

Declaration

Source position: stdactns.pas line 30

type THintAction = class(TCustomHintAction) end;

Inheritance

THintAction | THintAction - standard action for dealing with requests for a Hint
|
TCustomHintAction | Action taken when a new value is assigned to #lcl.Forms.TApplication.Hint, and no OnHint handler is available.
|
TCustomAction | TCustomAction is the ancestor class for TAction
|
TContainedAction | TContainedAction - parent class for TCustomAction; defines some properties especially relationships with parents
|
TBasicAction
|
TComponent,IUnknown,IInterfaceComponentReference
|
TPersistent,IFPObserved
|
TObject


THintAction
TCustomHintAction
pl | ro | Hint
TCustomAction
pt |  | SavedEnabledState
 |  | AutoCheck
 |  | Caption
 |  | Checked
 |  | DisableIfNoHandler
 |  | Enabled
 |  | GroupIndex
 |  | HelpContext
 |  | HelpKeyword
 |  | HelpType
 |  | Hint
 |  | ImageIndex
 |  | SecondaryShortCuts
 |  | ShortCut
 |  | Visible
TContainedAction
 |  | ActionList
 |  | Index
pl |  | Category
TBasicAction
 |  | ActionComponent
TComponent
 | ro | ComObject
 | ro | Components
 | ro | ComponentCount
 |  | ComponentIndex
 | ro | ComponentState
 | ro | ComponentStyle
 |  | DesignInfo
 | ro | Owner
 |  | VCLComObject
 |  | Name
 |  | Tag
TPersistent
TObject


THintAction
TCustomHintAction
TCustomAction
pt | AssignTo
pt | SetName
pt | HandleShortCut
 | Create
 | Destroy
 | DoHint
 | Execute
TContainedAction
pt | ReadState
pt | SetParentComponent
 | Destroy
 | Execute
 | GetParentComponent
 | HasParent
 | Update
TBasicAction
 | Change
 | SetOnExecute
 | Create
 | Destroy
 | HandlesTarget
 | UpdateTarget
 | ExecuteTarget
 | Execute
 | RegisterChanges
 | UnRegisterChanges
 | Update
TComponent
 | GetComObject
 | GetComponent
 | GetComponentCount
 | GetComponentIndex
 | Insert
 | ReadLeft
 | ReadTop
 | Remove
 | RemoveNotification
 | SetComponentIndex
 | SetReference
 | WriteLeft
 | WriteTop
 | ChangeName
 | DefineProperties
 | GetChildren
 | GetChildOwner
 | GetChildParent
 | GetOwner
 | Loaded
 | Loading
 | Notification
 | PaletteCreated
 | ReadState
 | SetAncestor
 | SetDesigning
 | SetDesignInstance
 | SetInline
 | SetName
 | SetChildOrder
 | SetParentComponent
 | Updating
 | Updated
 | UpdateRegistry
 | ValidateRename
 | ValidateContainer
 | ValidateInsert
 | QueryInterface
 | _AddRef
 | _Release
 | iicrGetComponent
 | GetTypeInfoCount
 | GetTypeInfo
 | GetIDsOfNames
 | Invoke
 | WriteState
 | Create
 | Destroy
 | BeforeDestruction
 | DestroyComponents
 | Destroying
 | ExecuteAction
 | FindComponent
 | FreeNotification
 | RemoveFreeNotification
 | FreeOnRelease
 | GetEnumerator
 | GetNamePath
 | GetParentComponent
 | HasParent
 | InsertComponent
 | RemoveComponent
 | SafeCallException
 | SetSubComponent
 | UpdateAction
 | IsImplementorOf
 | ReferenceInterface
TPersistent
 | AssignError
 | AssignTo
 | DefineProperties
 | GetOwner
 | Destroy
 | Assign
 | FPOAttachObserver
 | FPODetachObserver
 | FPONotifyObservers
 | GetNamePath
TObject
 | Create
 | Destroy
 | newinstance
 | FreeInstance
 | SafeCallException
 | DefaultHandler
 | Free
 | InitInstance
 | CleanupInstance
 | ClassType
 | ClassInfo
 | ClassName
 | ClassNameIs
 | ClassParent
 | InstanceSize
 | InheritsFrom
 | StringMessageTable
 | MethodAddress
 | MethodName
 | FieldAddress
 | AfterConstruction
 | BeforeDestruction
 | DefaultHandlerStr
 | Dispatch
 | DispatchStr
 | GetInterface
 | GetInterfaceByStr
 | GetInterfaceWeak
 | GetInterfaceEntry
 | GetInterfaceEntryByStr
 | GetInterfaceTable
 | UnitName
 | Equals
 | GetHashCode
 | ToString


THintAction
TCustomHintAction
TCustomAction
 | OnHint
TContainedAction
TBasicAction
 | OnChange
 | OnExecute
 | OnUpdate
TComponent
TPersistent
TObject


TSearchAction

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

TSearchAction - base class for the actions associated with the various Search menu options

Declaration

Source position: stdactns.pas line 284

type TSearchAction = class(TCommonDialogAction)
protected
FControl: TCustomEdit; | FControl - local variable holding the control for use with this action
procedure CreateDialog; override; | CreateDialog - method for creating the dialog
procedure Notification(); override; |
procedure UpdateControl(); | UpdateControl - brings the control performing the action up to date
function PerformSearch; | PerformSearch - returns True if the search is to be performed
procedure ShowNotFound; virtual; | ShowNotFound - method to display the 'Not Found' message
public
constructor Create(); override; |
destructor Destroy; override; |
function HandlesTarget(); override; |
procedure Search(); virtual; | Performs the Search
procedure UpdateTarget(); override; |
procedure ExecuteTarget(); override; |
end;

Inheritance

TSearchAction | TSearchAction - base class for the actions associated with the various Search menu options
|
TCommonDialogAction | TCommonDialogAction - base class for providing actions associated with Dialogs
|
TCustomAction | TCustomAction is the ancestor class for TAction
|
TContainedAction | TContainedAction - parent class for TCustomAction; defines some properties especially relationships with parents
|
TBasicAction
|
TComponent,IUnknown,IInterfaceComponentReference
|
TPersistent,IFPObserved
|
TObject


TSearchAction
TCommonDialogAction
 | ro | ExecuteResult
 |  | BeforeExecute
TCustomAction
pt |  | SavedEnabledState
 |  | AutoCheck
 |  | Caption
 |  | Checked
 |  | DisableIfNoHandler
 |  | Enabled
 |  | GroupIndex
 |  | HelpContext
 |  | HelpKeyword
 |  | HelpType
 |  | Hint
 |  | ImageIndex
 |  | SecondaryShortCuts
 |  | ShortCut
 |  | Visible
TContainedAction
 |  | ActionList
 |  | Index
pl |  | Category
TBasicAction
 |  | ActionComponent
TComponent
 | ro | ComObject
 | ro | Components
 | ro | ComponentCount
 |  | ComponentIndex
 | ro | ComponentState
 | ro | ComponentStyle
 |  | DesignInfo
 | ro | Owner
 |  | VCLComObject
 |  | Name
 |  | Tag
TPersistent
TObject


TSearchAction
pt | CreateDialog
pt | Notification
pt | UpdateControl
pt | PerformSearch
pt | ShowNotFound
 | Create
 | Destroy
 | HandlesTarget
 | Search
 | UpdateTarget
 | ExecuteTarget
TCommonDialogAction
pt | DoAccept
pt | DoBeforeExecute
pt | DoCancel
pt | GetDialogClass
pt | CreateDialog
 | Create
 | Handlestarget
 | ExecuteTarget
TCustomAction
pt | AssignTo
pt | SetName
pt | HandleShortCut
 | Create
 | Destroy
 | DoHint
 | Execute
TContainedAction
pt | ReadState
pt | SetParentComponent
 | Destroy
 | Execute
 | GetParentComponent
 | HasParent
 | Update
TBasicAction
 | Change
 | SetOnExecute
 | Create
 | Destroy
 | HandlesTarget
 | UpdateTarget
 | ExecuteTarget
 | Execute
 | RegisterChanges
 | UnRegisterChanges
 | Update
TComponent
 | GetComObject
 | GetComponent
 | GetComponentCount
 | GetComponentIndex
 | Insert
 | ReadLeft
 | ReadTop
 | Remove
 | RemoveNotification
 | SetComponentIndex
 | SetReference
 | WriteLeft
 | WriteTop
 | ChangeName
 | DefineProperties
 | GetChildren
 | GetChildOwner
 | GetChildParent
 | GetOwner
 | Loaded
 | Loading
 | Notification
 | PaletteCreated
 | ReadState
 | SetAncestor
 | SetDesigning
 | SetDesignInstance
 | SetInline
 | SetName
 | SetChildOrder
 | SetParentComponent
 | Updating
 | Updated
 | UpdateRegistry
 | ValidateRename
 | ValidateContainer
 | ValidateInsert
 | QueryInterface
 | _AddRef
 | _Release
 | iicrGetComponent
 | GetTypeInfoCount
 | GetTypeInfo
 | GetIDsOfNames
 | Invoke
 | WriteState
 | Create
 | Destroy
 | BeforeDestruction
 | DestroyComponents
 | Destroying
 | ExecuteAction
 | FindComponent
 | FreeNotification
 | RemoveFreeNotification
 | FreeOnRelease
 | GetEnumerator
 | GetNamePath
 | GetParentComponent
 | HasParent
 | InsertComponent
 | RemoveComponent
 | SafeCallException
 | SetSubComponent
 | UpdateAction
 | IsImplementorOf
 | ReferenceInterface
TPersistent
 | AssignError
 | AssignTo
 | DefineProperties
 | GetOwner
 | Destroy
 | Assign
 | FPOAttachObserver
 | FPODetachObserver
 | FPONotifyObservers
 | GetNamePath
TObject
 | Create
 | Destroy
 | newinstance
 | FreeInstance
 | SafeCallException
 | DefaultHandler
 | Free
 | InitInstance
 | CleanupInstance
 | ClassType
 | ClassInfo
 | ClassName
 | ClassNameIs
 | ClassParent
 | InstanceSize
 | InheritsFrom
 | StringMessageTable
 | MethodAddress
 | MethodName
 | FieldAddress
 | AfterConstruction
 | BeforeDestruction
 | DefaultHandlerStr
 | Dispatch
 | DispatchStr
 | GetInterface
 | GetInterfaceByStr
 | GetInterfaceWeak
 | GetInterfaceEntry
 | GetInterfaceEntryByStr
 | GetInterfaceTable
 | UnitName
 | Equals
 | GetHashCode
 | ToString


 | AssignError (TPersistent)
 | AssignTo (TPersistent)
pt | AssignTo (TCustomAction)
 | BeforeDestruction (TObject)
 | BeforeDestruction (TComponent)
 | Change (TBasicAction)
 | ChangeName (TComponent)
 | ClassInfo (TObject)
 | ClassName (TObject)
 | ClassNameIs (TObject)
 | ClassParent (TObject)
 | ClassType (TObject)
 | CleanupInstance (TObject)
 | Create (TObject)
 | Create (TComponent)
 | Create (TBasicAction)
 | Create (TCustomAction)
 | Create (TCommonDialogAction)
 | Create (TSearchAction)
pt | CreateDialog (TCommonDialogAction)
pt | CreateDialog (TSearchAction)
 | DefaultHandler (TObject)
 | DefaultHandlerStr (TObject)
 | DefineProperties (TPersistent)
 | DefineProperties (TComponent)
 | Destroy (TObject)
 | Destroy (TPersistent)
 | Destroy (TComponent)
 | Destroy (TBasicAction)
 | Destroy (TContainedAction)
 | Destroy (TCustomAction)
 | Destroy (TSearchAction)
 | DestroyComponents (TComponent)
 | Destroying (TComponent)
 | Dispatch (TObject)
 | DispatchStr (TObject)
pt | DoAccept (TCommonDialogAction)
pt | DoBeforeExecute (TCommonDialogAction)
pt | DoCancel (TCommonDialogAction)
 | DoHint (TCustomAction)
 | Equals (TObject)
 | Execute (TBasicAction)
 | Execute (TContainedAction)
 | Execute (TCustomAction)
 | ExecuteAction (TComponent)
 | ExecuteTarget (TBasicAction)
 | ExecuteTarget (TCommonDialogAction)
 | ExecuteTarget (TSearchAction)
 | FieldAddress (TObject)
 | FindComponent (TComponent)
 | FPOAttachObserver (TPersistent)
 | FPODetachObserver (TPersistent)
 | FPONotifyObservers (TPersistent)
 | Free (TObject)
 | FreeInstance (TObject)
 | FreeNotification (TComponent)
 | FreeOnRelease (TComponent)
 | GetChildOwner (TComponent)
 | GetChildParent (TComponent)
 | GetChildren (TComponent)
 | GetComObject (TComponent)
 | GetComponent (TComponent)
 | GetComponentCount (TComponent)
 | GetComponentIndex (TComponent)
pt | GetDialogClass (TCommonDialogAction)
 | GetEnumerator (TComponent)
 | GetHashCode (TObject)
 | GetIDsOfNames (TComponent)
 | GetInterface (TObject)
 | GetInterfaceByStr (TObject)
 | GetInterfaceEntry (TObject)
 | GetInterfaceEntryByStr (TObject)
 | GetInterfaceTable (TObject)
 | GetInterfaceWeak (TObject)
 | GetNamePath (TPersistent)
 | GetNamePath (TComponent)
 | GetOwner (TPersistent)
 | GetOwner (TComponent)
 | GetParentComponent (TComponent)
 | GetParentComponent (TContainedAction)
 | GetTypeInfo (TComponent)
 | GetTypeInfoCount (TComponent)
pt | HandleShortCut (TCustomAction)
 | HandlesTarget (TBasicAction)
 | Handlestarget (TCommonDialogAction)
 | HandlesTarget (TSearchAction)
 | HasParent (TComponent)
 | HasParent (TContainedAction)
 | iicrGetComponent (TComponent)
 | InheritsFrom (TObject)
 | InitInstance (TObject)
 | Insert (TComponent)
 | InsertComponent (TComponent)
 | InstanceSize (TObject)
 | Invoke (TComponent)
 | IsImplementorOf (TComponent)
 | Loaded (TComponent)
 | Loading (TComponent)
 | MethodAddress (TObject)
 | MethodName (TObject)
 | newinstance (TObject)
 | Notification (TComponent)
pt | Notification (TSearchAction)
 | PaletteCreated (TComponent)
pt | PerformSearch (TSearchAction)
 | QueryInterface (TComponent)
 | ReadLeft (TComponent)
 | ReadState (TComponent)
pt | ReadState (TContainedAction)
 | ReadTop (TComponent)
 | ReferenceInterface (TComponent)
 | RegisterChanges (TBasicAction)
 | Remove (TComponent)
 | RemoveComponent (TComponent)
 | RemoveFreeNotification (TComponent)
 | RemoveNotification (TComponent)
 | SafeCallException (TObject)
 | SafeCallException (TComponent)
 | Search (TSearchAction)
 | SetAncestor (TComponent)
 | SetChildOrder (TComponent)
 | SetComponentIndex (TComponent)
 | SetDesigning (TComponent)
 | SetDesignInstance (TComponent)
 | SetInline (TComponent)
 | SetName (TComponent)
pt | SetName (TCustomAction)
 | SetOnExecute (TBasicAction)
 | SetParentComponent (TComponent)
pt | SetParentComponent (TContainedAction)
 | SetReference (TComponent)
 | SetSubComponent (TComponent)
pt | ShowNotFound (TSearchAction)
 | StringMessageTable (TObject)
 | ToString (TObject)
 | UnitName (TObject)
 | UnRegisterChanges (TBasicAction)
 | Update (TBasicAction)
 | Update (TContainedAction)
 | UpdateAction (TComponent)
pt | UpdateControl (TSearchAction)
 | Updated (TComponent)
 | UpdateRegistry (TComponent)
 | UpdateTarget (TBasicAction)
 | UpdateTarget (TSearchAction)
 | Updating (TComponent)
 | ValidateContainer (TComponent)
 | ValidateInsert (TComponent)
 | ValidateRename (TComponent)
 | WriteLeft (TComponent)
 | WriteState (TComponent)
 | WriteTop (TComponent)
 | _AddRef (TComponent)
 | _Release (TComponent)


TSearchAction
TCommonDialogAction
 |  | OnAccept
 |  | OnCancel
pl | ro | OnUpdate
TCustomAction
 |  | OnHint
TContainedAction
TBasicAction
 |  | OnChange
 |  | OnExecute
 |  | OnUpdate
TComponent
TPersistent
TObject


TSearchAction.FControl

FControl - local variable holding the control for use with this action

Declaration

Source position: stdactns.pas line 286

protected TSearchAction.FControl : TCustomEdit;


TSearchAction.PerformSearch

PerformSearch - returns True if the search is to be performed

Declaration

Source position: stdactns.pas line 290

protected function TSearchAction.PerformSearch: Boolean;


TSearchAction.Search

Performs the Search

Declaration

Source position: stdactns.pas line 296

public procedure TSearchAction.Search(

  Sender: TObject

); virtual;


TSearchAction.ShowNotFound

ShowNotFound - method to display the 'Not Found' message

Declaration

Source position: stdactns.pas line 291

protected procedure TSearchAction.ShowNotFound; virtual;


TSearchAction.UpdateControl

UpdateControl - brings the control performing the action up to date

Declaration

Source position: stdactns.pas line 289

protected procedure TSearchAction.UpdateControl(

  NewControl: TCustomEdit

);


TSearchFind

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

TSearchFind - the action associated with a Search and Find dialog (as opposed to search and replace)

Declaration

Source position: stdactns.pas line 303

type TSearchFind = class(TSearchAction)
protected
function GetDialogClass; override; | GetDialogClass - returns the class of dialog associated with this action
published
property Caption: TTranslateString; | The Caption to be used if this action is associated with a visible component
property Dialog: TFindDialog; [r] | The FindDialog to be used with this action
property Enabled: Boolean; | Enabled - whether this action is able to be used (default True)
property HelpContext: THelpContext; | HelpContext - the index for a context-based help message
property HelpKeyword: string; | HelpKeyWord - the keyword of a context-based help message
property HelpType: THelpType; | HelpType - the sort of help message to be offered: default Context-based
property Hint: TTranslateString; | Hint - a pop-up message that appears when the mouse hovers over an object
property ImageIndex: TImageIndex; | ImageIndex - the index number of the image to be associated with this action
property ShortCut: TShortCut; | ShortCut - an index to a shortcut list
property SecondaryShortCuts: TShortCutList; | SecondaryShortCuts - a stringlist containing shortcuts
property Visible: Boolean; | Visible - is this action visible? (default True)
property BeforeExecute: TNotifyEvent; | BeforeExecute - event handler for performance before execution of the action
property OnAccept: TNotifyEvent; | OnAccept - event handler for a press of the Accept button
property OnCancel: TNotifyEvent; | OnCancel - event handler for a press of the Cancel button
property OnHint: THintEvent; | OnHint - action to be taken when a hint is required
end;

Inheritance

TSearchFind | TSearchFind - the action associated with a Search and Find dialog (as opposed to search and replace)
|
TSearchAction | TSearchAction - base class for the actions associated with the various Search menu options
|
TCommonDialogAction | TCommonDialogAction - base class for providing actions associated with Dialogs
|
TCustomAction | TCustomAction is the ancestor class for TAction
|
TContainedAction | TContainedAction - parent class for TCustomAction; defines some properties especially relationships with parents
|
TBasicAction
|
TComponent,IUnknown,IInterfaceComponentReference
|
TPersistent,IFPObserved
|
TObject


TSearchFind
pl | ro | Caption
pl | ro | Dialog
pl | ro | Enabled
pl | ro | HelpContext
pl | ro | HelpKeyword
pl | ro | HelpType
pl | ro | Hint
pl | ro | ImageIndex
pl | ro | ShortCut
pl | ro | SecondaryShortCuts
pl | ro | Visible
pl | ro | BeforeExecute
TSearchAction
TCommonDialogAction
 | ro | ExecuteResult
 |  | BeforeExecute
TCustomAction
pt |  | SavedEnabledState
 |  | AutoCheck
 |  | Caption
 |  | Checked
 |  | DisableIfNoHandler
 |  | Enabled
 |  | GroupIndex
 |  | HelpContext
 |  | HelpKeyword
 |  | HelpType
 |  | Hint
 |  | ImageIndex
 |  | SecondaryShortCuts
 |  | ShortCut
 |  | Visible
TContainedAction
 |  | ActionList
 |  | Index
pl |  | Category
TBasicAction
 |  | ActionComponent
TComponent
 | ro | ComObject
 | ro | Components
 | ro | ComponentCount
 |  | ComponentIndex
 | ro | ComponentState
 | ro | ComponentStyle
 |  | DesignInfo
 | ro | Owner
 |  | VCLComObject
 |  | Name
 |  | Tag
TPersistent
TObject


 |  | ActionComponent (TBasicAction)
 |  | ActionList (TContainedAction)
 |  | AutoCheck (TCustomAction)
 |  | BeforeExecute (TCommonDialogAction)
pl | ro | BeforeExecute (TSearchFind)
 |  | Caption (TCustomAction)
pl | ro | Caption (TSearchFind)
pl |  | Category (TContainedAction)
 |  | Checked (TCustomAction)
 | ro | ComObject (TComponent)
 | ro | ComponentCount (TComponent)
 |  | ComponentIndex (TComponent)
 | ro | Components (TComponent)
 | ro | ComponentState (TComponent)
 | ro | ComponentStyle (TComponent)
 |  | DesignInfo (TComponent)
pl | ro | Dialog (TSearchFind)
 |  | DisableIfNoHandler (TCustomAction)
 |  | Enabled (TCustomAction)
pl | ro | Enabled (TSearchFind)
 | ro | ExecuteResult (TCommonDialogAction)
 |  | GroupIndex (TCustomAction)
 |  | HelpContext (TCustomAction)
pl | ro | HelpContext (TSearchFind)
 |  | HelpKeyword (TCustomAction)
pl | ro | HelpKeyword (TSearchFind)
 |  | HelpType (TCustomAction)
pl | ro | HelpType (TSearchFind)
 |  | Hint (TCustomAction)
pl | ro | Hint (TSearchFind)
 |  | ImageIndex (TCustomAction)
pl | ro | ImageIndex (TSearchFind)
 |  | Index (TContainedAction)
 |  | Name (TComponent)
 | ro | Owner (TComponent)
pt |  | SavedEnabledState (TCustomAction)
 |  | SecondaryShortCuts (TCustomAction)
pl | ro | SecondaryShortCuts (TSearchFind)
 |  | ShortCut (TCustomAction)
pl | ro | ShortCut (TSearchFind)
 |  | Tag (TComponent)
 |  | VCLComObject (TComponent)
 |  | Visible (TCustomAction)
pl | ro | Visible (TSearchFind)


TSearchFind
pt | GetDialogClass
TSearchAction
pt | CreateDialog
pt | Notification
pt | UpdateControl
pt | PerformSearch
pt | ShowNotFound
 | Create
 | Destroy
 | HandlesTarget
 | Search
 | UpdateTarget
 | ExecuteTarget
TCommonDialogAction
pt | DoAccept
pt | DoBeforeExecute
pt | DoCancel
pt | GetDialogClass
pt | CreateDialog
 | Create
 | Handlestarget
 | ExecuteTarget
TCustomAction
pt | AssignTo
pt | SetName
pt | HandleShortCut
 | Create
 | Destroy
 | DoHint
 | Execute
TContainedAction
pt | ReadState
pt | SetParentComponent
 | Destroy
 | Execute
 | GetParentComponent
 | HasParent
 | Update
TBasicAction
 | Change
 | SetOnExecute
 | Create
 | Destroy
 | HandlesTarget
 | UpdateTarget
 | ExecuteTarget
 | Execute
 | RegisterChanges
 | UnRegisterChanges
 | Update
TComponent
 | GetComObject
 | GetComponent
 | GetComponentCount
 | GetComponentIndex
 | Insert
 | ReadLeft
 | ReadTop
 | Remove
 | RemoveNotification
 | SetComponentIndex
 | SetReference
 | WriteLeft
 | WriteTop
 | ChangeName
 | DefineProperties
 | GetChildren
 | GetChildOwner
 | GetChildParent
 | GetOwner
 | Loaded
 | Loading
 | Notification
 | PaletteCreated
 | ReadState
 | SetAncestor
 | SetDesigning
 | SetDesignInstance
 | SetInline
 | SetName
 | SetChildOrder
 | SetParentComponent
 | Updating
 | Updated
 | UpdateRegistry
 | ValidateRename
 | ValidateContainer
 | ValidateInsert
 | QueryInterface
 | _AddRef
 | _Release
 | iicrGetComponent
 | GetTypeInfoCount
 | GetTypeInfo
 | GetIDsOfNames
 | Invoke
 | WriteState
 | Create
 | Destroy
 | BeforeDestruction
 | DestroyComponents
 | Destroying
 | ExecuteAction
 | FindComponent
 | FreeNotification
 | RemoveFreeNotification
 | FreeOnRelease
 | GetEnumerator
 | GetNamePath
 | GetParentComponent
 | HasParent
 | InsertComponent
 | RemoveComponent
 | SafeCallException
 | SetSubComponent
 | UpdateAction
 | IsImplementorOf
 | ReferenceInterface
TPersistent
 | AssignError
 | AssignTo
 | DefineProperties
 | GetOwner
 | Destroy
 | Assign
 | FPOAttachObserver
 | FPODetachObserver
 | FPONotifyObservers
 | GetNamePath
TObject
 | Create
 | Destroy
 | newinstance
 | FreeInstance
 | SafeCallException
 | DefaultHandler
 | Free
 | InitInstance
 | CleanupInstance
 | ClassType
 | ClassInfo
 | ClassName
 | ClassNameIs
 | ClassParent
 | InstanceSize
 | InheritsFrom
 | StringMessageTable
 | MethodAddress
 | MethodName
 | FieldAddress
 | AfterConstruction
 | BeforeDestruction
 | DefaultHandlerStr
 | Dispatch
 | DispatchStr
 | GetInterface
 | GetInterfaceByStr
 | GetInterfaceWeak
 | GetInterfaceEntry
 | GetInterfaceEntryByStr
 | GetInterfaceTable
 | UnitName
 | Equals
 | GetHashCode
 | ToString


 | AssignError (TPersistent)
 | AssignTo (TPersistent)
pt | AssignTo (TCustomAction)
 | BeforeDestruction (TObject)
 | BeforeDestruction (TComponent)
 | Change (TBasicAction)
 | ChangeName (TComponent)
 | ClassInfo (TObject)
 | ClassName (TObject)
 | ClassNameIs (TObject)
 | ClassParent (TObject)
 | ClassType (TObject)
 | CleanupInstance (TObject)
 | Create (TObject)
 | Create (TComponent)
 | Create (TBasicAction)
 | Create (TCustomAction)
 | Create (TCommonDialogAction)
 | Create (TSearchAction)
pt | CreateDialog (TCommonDialogAction)
pt | CreateDialog (TSearchAction)
 | DefaultHandler (TObject)
 | DefaultHandlerStr (TObject)
 | DefineProperties (TPersistent)
 | DefineProperties (TComponent)
 | Destroy (TObject)
 | Destroy (TPersistent)
 | Destroy (TComponent)
 | Destroy (TBasicAction)
 | Destroy (TContainedAction)
 | Destroy (TCustomAction)
 | Destroy (TSearchAction)
 | DestroyComponents (TComponent)
 | Destroying (TComponent)
 | Dispatch (TObject)
 | DispatchStr (TObject)
pt | DoAccept (TCommonDialogAction)
pt | DoBeforeExecute (TCommonDialogAction)
pt | DoCancel (TCommonDialogAction)
 | DoHint (TCustomAction)
 | Equals (TObject)
 | Execute (TBasicAction)
 | Execute (TContainedAction)
 | Execute (TCustomAction)
 | ExecuteAction (TComponent)
 | ExecuteTarget (TBasicAction)
 | ExecuteTarget (TCommonDialogAction)
 | ExecuteTarget (TSearchAction)
 | FieldAddress (TObject)
 | FindComponent (TComponent)
 | FPOAttachObserver (TPersistent)
 | FPODetachObserver (TPersistent)
 | FPONotifyObservers (TPersistent)
 | Free (TObject)
 | FreeInstance (TObject)
 | FreeNotification (TComponent)
 | FreeOnRelease (TComponent)
 | GetChildOwner (TComponent)
 | GetChildParent (TComponent)
 | GetChildren (TComponent)
 | GetComObject (TComponent)
 | GetComponent (TComponent)
 | GetComponentCount (TComponent)
 | GetComponentIndex (TComponent)
pt | GetDialogClass (TCommonDialogAction)
pt | GetDialogClass (TSearchFind)
 | GetEnumerator (TComponent)
 | GetHashCode (TObject)
 | GetIDsOfNames (TComponent)
 | GetInterface (TObject)
 | GetInterfaceByStr (TObject)
 | GetInterfaceEntry (TObject)
 | GetInterfaceEntryByStr (TObject)
 | GetInterfaceTable (TObject)
 | GetInterfaceWeak (TObject)
 | GetNamePath (TPersistent)
 | GetNamePath (TComponent)
 | GetOwner (TPersistent)
 | GetOwner (TComponent)
 | GetParentComponent (TComponent)
 | GetParentComponent (TContainedAction)
 | GetTypeInfo (TComponent)
 | GetTypeInfoCount (TComponent)
pt | HandleShortCut (TCustomAction)
 | HandlesTarget (TBasicAction)
 | Handlestarget (TCommonDialogAction)
 | HandlesTarget (TSearchAction)
 | HasParent (TComponent)
 | HasParent (TContainedAction)
 | iicrGetComponent (TComponent)
 | InheritsFrom (TObject)
 | InitInstance (TObject)
 | Insert (TComponent)
 | InsertComponent (TComponent)
 | InstanceSize (TObject)
 | Invoke (TComponent)
 | IsImplementorOf (TComponent)
 | Loaded (TComponent)
 | Loading (TComponent)
 | MethodAddress (TObject)
 | MethodName (TObject)
 | newinstance (TObject)
 | Notification (TComponent)
pt | Notification (TSearchAction)
 | PaletteCreated (TComponent)
pt | PerformSearch (TSearchAction)
 | QueryInterface (TComponent)
 | ReadLeft (TComponent)
 | ReadState (TComponent)
pt | ReadState (TContainedAction)
 | ReadTop (TComponent)
 | ReferenceInterface (TComponent)
 | RegisterChanges (TBasicAction)
 | Remove (TComponent)
 | RemoveComponent (TComponent)
 | RemoveFreeNotification (TComponent)
 | RemoveNotification (TComponent)
 | SafeCallException (TObject)
 | SafeCallException (TComponent)
 | Search (TSearchAction)
 | SetAncestor (TComponent)
 | SetChildOrder (TComponent)
 | SetComponentIndex (TComponent)
 | SetDesigning (TComponent)
 | SetDesignInstance (TComponent)
 | SetInline (TComponent)
 | SetName (TComponent)
pt | SetName (TCustomAction)
 | SetOnExecute (TBasicAction)
 | SetParentComponent (TComponent)
pt | SetParentComponent (TContainedAction)
 | SetReference (TComponent)
 | SetSubComponent (TComponent)
pt | ShowNotFound (TSearchAction)
 | StringMessageTable (TObject)
 | ToString (TObject)
 | UnitName (TObject)
 | UnRegisterChanges (TBasicAction)
 | Update (TBasicAction)
 | Update (TContainedAction)
 | UpdateAction (TComponent)
pt | UpdateControl (TSearchAction)
 | Updated (TComponent)
 | UpdateRegistry (TComponent)
 | UpdateTarget (TBasicAction)
 | UpdateTarget (TSearchAction)
 | Updating (TComponent)
 | ValidateContainer (TComponent)
 | ValidateInsert (TComponent)
 | ValidateRename (TComponent)
 | WriteLeft (TComponent)
 | WriteState (TComponent)
 | WriteTop (TComponent)
 | _AddRef (TComponent)
 | _Release (TComponent)


TSearchFind
pl | ro | OnAccept
pl | ro | OnCancel
pl | ro | OnHint
TSearchAction
TCommonDialogAction
 |  | OnAccept
 |  | OnCancel
pl | ro | OnUpdate
TCustomAction
 |  | OnHint
TContainedAction
TBasicAction
 |  | OnChange
 |  | OnExecute
 |  | OnUpdate
TComponent
TPersistent
TObject


pl | ro | OnAccept (TSearchFind)
 |  | OnCancel (TCommonDialogAction)
pl | ro | OnCancel (TSearchFind)
 |  | OnChange (TBasicAction)
 |  | OnExecute (TBasicAction)
 |  | OnHint (TCustomAction)
pl | ro | OnHint (TSearchFind)
 |  | OnUpdate (TBasicAction)
pl | ro | OnUpdate (TCommonDialogAction)


TSearchFind.Dialog

The FindDialog to be used with this action

Declaration

Source position: stdactns.pas line 310

published property TSearchFind.Dialog : TFindDialog
  read GetFindDialog;


TSearchFindFirst

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

TSearchFindFirst - Search action to find the first match

Declaration

Source position: stdactns.pas line 356

type TSearchFindFirst = class(TSearchFind) end;

Inheritance

TSearchFindFirst | TSearchFindFirst - Search action to find the first match
|
TSearchFind | TSearchFind - the action associated with a Search and Find dialog (as opposed to search and replace)
|
TSearchAction | TSearchAction - base class for the actions associated with the various Search menu options
|
TCommonDialogAction | TCommonDialogAction - base class for providing actions associated with Dialogs
|
TCustomAction | TCustomAction is the ancestor class for TAction
|
TContainedAction | TContainedAction - parent class for TCustomAction; defines some properties especially relationships with parents
|
TBasicAction
|
TComponent,IUnknown,IInterfaceComponentReference
|
TPersistent,IFPObserved
|
TObject


TSearchFindFirst
TSearchFind
pl | ro | Caption
pl | ro | Dialog
pl | ro | Enabled
pl | ro | HelpContext
pl | ro | HelpKeyword
pl | ro | HelpType
pl | ro | Hint
pl | ro | ImageIndex
pl | ro | ShortCut
pl | ro | SecondaryShortCuts
pl | ro | Visible
pl | ro | BeforeExecute
TSearchAction
TCommonDialogAction
 | ro | ExecuteResult
 |  | BeforeExecute
TCustomAction
pt |  | SavedEnabledState
 |  | AutoCheck
 |  | Caption
 |  | Checked
 |  | DisableIfNoHandler
 |  | Enabled
 |  | GroupIndex
 |  | HelpContext
 |  | HelpKeyword
 |  | HelpType
 |  | Hint
 |  | ImageIndex
 |  | SecondaryShortCuts
 |  | ShortCut
 |  | Visible
TContainedAction
 |  | ActionList
 |  | Index
pl |  | Category
TBasicAction
 |  | ActionComponent
TComponent
 | ro | ComObject
 | ro | Components
 | ro | ComponentCount
 |  | ComponentIndex
 | ro | ComponentState
 | ro | ComponentStyle
 |  | DesignInfo
 | ro | Owner
 |  | VCLComObject
 |  | Name
 |  | Tag
TPersistent
TObject


TSearchFindFirst
TSearchFind
pt | GetDialogClass
TSearchAction
pt | CreateDialog
pt | Notification
pt | UpdateControl
pt | PerformSearch
pt | ShowNotFound
 | Create
 | Destroy
 | HandlesTarget
 | Search
 | UpdateTarget
 | ExecuteTarget
TCommonDialogAction
pt | DoAccept
pt | DoBeforeExecute
pt | DoCancel
pt | GetDialogClass
pt | CreateDialog
 | Create
 | Handlestarget
 | ExecuteTarget
TCustomAction
pt | AssignTo
pt | SetName
pt | HandleShortCut
 | Create
 | Destroy
 | DoHint
 | Execute
TContainedAction
pt | ReadState
pt | SetParentComponent
 | Destroy
 | Execute
 | GetParentComponent
 | HasParent
 | Update
TBasicAction
 | Change
 | SetOnExecute
 | Create
 | Destroy
 | HandlesTarget
 | UpdateTarget
 | ExecuteTarget
 | Execute
 | RegisterChanges
 | UnRegisterChanges
 | Update
TComponent
 | GetComObject
 | GetComponent
 | GetComponentCount
 | GetComponentIndex
 | Insert
 | ReadLeft
 | ReadTop
 | Remove
 | RemoveNotification
 | SetComponentIndex
 | SetReference
 | WriteLeft
 | WriteTop
 | ChangeName
 | DefineProperties
 | GetChildren
 | GetChildOwner
 | GetChildParent
 | GetOwner
 | Loaded
 | Loading
 | Notification
 | PaletteCreated
 | ReadState
 | SetAncestor
 | SetDesigning
 | SetDesignInstance
 | SetInline
 | SetName
 | SetChildOrder
 | SetParentComponent
 | Updating
 | Updated
 | UpdateRegistry
 | ValidateRename
 | ValidateContainer
 | ValidateInsert
 | QueryInterface
 | _AddRef
 | _Release
 | iicrGetComponent
 | GetTypeInfoCount
 | GetTypeInfo
 | GetIDsOfNames
 | Invoke
 | WriteState
 | Create
 | Destroy
 | BeforeDestruction
 | DestroyComponents
 | Destroying
 | ExecuteAction
 | FindComponent
 | FreeNotification
 | RemoveFreeNotification
 | FreeOnRelease
 | GetEnumerator
 | GetNamePath
 | GetParentComponent
 | HasParent
 | InsertComponent
 | RemoveComponent
 | SafeCallException
 | SetSubComponent
 | UpdateAction
 | IsImplementorOf
 | ReferenceInterface
TPersistent
 | AssignError
 | AssignTo
 | DefineProperties
 | GetOwner
 | Destroy
 | Assign
 | FPOAttachObserver
 | FPODetachObserver
 | FPONotifyObservers
 | GetNamePath
TObject
 | Create
 | Destroy
 | newinstance
 | FreeInstance
 | SafeCallException
 | DefaultHandler
 | Free
 | InitInstance
 | CleanupInstance
 | ClassType
 | ClassInfo
 | ClassName
 | ClassNameIs
 | ClassParent
 | InstanceSize
 | InheritsFrom
 | StringMessageTable
 | MethodAddress
 | MethodName
 | FieldAddress
 | AfterConstruction
 | BeforeDestruction
 | DefaultHandlerStr
 | Dispatch
 | DispatchStr
 | GetInterface
 | GetInterfaceByStr
 | GetInterfaceWeak
 | GetInterfaceEntry
 | GetInterfaceEntryByStr
 | GetInterfaceTable
 | UnitName
 | Equals
 | GetHashCode
 | ToString


TSearchFindFirst
TSearchFind
pl | ro | OnAccept
pl | ro | OnCancel
pl | ro | OnHint
TSearchAction
TCommonDialogAction
 |  | OnAccept
 |  | OnCancel
pl | ro | OnUpdate
TCustomAction
 |  | OnHint
TContainedAction
TBasicAction
 |  | OnChange
 |  | OnExecute
 |  | OnUpdate
TComponent
TPersistent
TObject


TSearchFindNext

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

TSearchFindNext - search action to find the next match

Declaration

Source position: stdactns.pas line 361

type TSearchFindNext = class(TCustomAction)
public
constructor Create(); override;
function HandlesTarget(); override;
procedure UpdateTarget(); override;
procedure ExecuteTarget(); override;
procedure Notification(); override;
published
property Caption: TTranslateString; | The Caption to be used if this action is associated with a visible component
property Enabled: Boolean; | Enabled - whether this action is able to be used (default True)
property HelpContext: THelpContext; | HelpContext - the index for a context-based help message
property HelpKeyword: string; | HelpKeyWord - the keyword of a context-based help message
property HelpType: THelpType; | HelpType - the sort of help message to be offered: default Context-based
property Hint: TTranslateString; | Hint - a pop-up message that appears when the mouse hovers over an object
property ImageIndex: TImageIndex; | ImageIndex - the index number of the image to be associated with this action
property SearchFind: TSearchFind; [rw] | The SearchFind action to use for searching
property ShortCut: TShortCut; | ShortCut - an index to a shortcut list
property SecondaryShortCuts: TShortCutList; | SecondaryShortCuts - a stringlist containing shortcuts
property Visible: Boolean; | Visible - is this action visible? (default True)
property OnHint: THintEvent; | OnHint - action to be taken when a hint is required
end;

Inheritance

TSearchFindNext | TSearchFindNext - search action to find the next match
|
TCustomAction | TCustomAction is the ancestor class for TAction
|
TContainedAction | TContainedAction - parent class for TCustomAction; defines some properties especially relationships with parents
|
TBasicAction
|
TComponent,IUnknown,IInterfaceComponentReference
|
TPersistent,IFPObserved
|
TObject


TSearchFindNext
pl | ro | Caption
pl | ro | Enabled
pl | ro | HelpContext
pl | ro | HelpKeyword
pl | ro | HelpType
pl | ro | Hint
pl | ro | ImageIndex
pl |  | SearchFind
pl | ro | ShortCut
pl | ro | SecondaryShortCuts
pl | ro | Visible
TCustomAction
pt |  | SavedEnabledState
 |  | AutoCheck
 |  | Caption
 |  | Checked
 |  | DisableIfNoHandler
 |  | Enabled
 |  | GroupIndex
 |  | HelpContext
 |  | HelpKeyword
 |  | HelpType
 |  | Hint
 |  | ImageIndex
 |  | SecondaryShortCuts
 |  | ShortCut
 |  | Visible
TContainedAction
 |  | ActionList
 |  | Index
pl |  | Category
TBasicAction
 |  | ActionComponent
TComponent
 | ro | ComObject
 | ro | Components
 | ro | ComponentCount
 |  | ComponentIndex
 | ro | ComponentState
 | ro | ComponentStyle
 |  | DesignInfo
 | ro | Owner
 |  | VCLComObject
 |  | Name
 |  | Tag
TPersistent
TObject


 |  | ActionComponent (TBasicAction)
 |  | ActionList (TContainedAction)
 |  | AutoCheck (TCustomAction)
 |  | Caption (TCustomAction)
pl | ro | Caption (TSearchFindNext)
pl |  | Category (TContainedAction)
 |  | Checked (TCustomAction)
 | ro | ComObject (TComponent)
 | ro | ComponentCount (TComponent)
 |  | ComponentIndex (TComponent)
 | ro | Components (TComponent)
 | ro | ComponentState (TComponent)
 | ro | ComponentStyle (TComponent)
 |  | DesignInfo (TComponent)
 |  | DisableIfNoHandler (TCustomAction)
 |  | Enabled (TCustomAction)
pl | ro | Enabled (TSearchFindNext)
 |  | GroupIndex (TCustomAction)
 |  | HelpContext (TCustomAction)
pl | ro | HelpContext (TSearchFindNext)
 |  | HelpKeyword (TCustomAction)
pl | ro | HelpKeyword (TSearchFindNext)
 |  | HelpType (TCustomAction)
pl | ro | HelpType (TSearchFindNext)
 |  | Hint (TCustomAction)
pl | ro | Hint (TSearchFindNext)
 |  | ImageIndex (TCustomAction)
pl | ro | ImageIndex (TSearchFindNext)
 |  | Index (TContainedAction)
 |  | Name (TComponent)
 | ro | Owner (TComponent)
pt |  | SavedEnabledState (TCustomAction)
pl |  | SearchFind (TSearchFindNext)
 |  | SecondaryShortCuts (TCustomAction)
pl | ro | SecondaryShortCuts (TSearchFindNext)
 |  | ShortCut (TCustomAction)
pl | ro | ShortCut (TSearchFindNext)
 |  | Tag (TComponent)
 |  | VCLComObject (TComponent)
 |  | Visible (TCustomAction)
pl | ro | Visible (TSearchFindNext)


TSearchFindNext
 | Create
 | HandlesTarget
 | UpdateTarget
 | ExecuteTarget
 | Notification
TCustomAction
pt | AssignTo
pt | SetName
pt | HandleShortCut
 | Create
 | Destroy
 | DoHint
 | Execute
TContainedAction
pt | ReadState
pt | SetParentComponent
 | Destroy
 | Execute
 | GetParentComponent
 | HasParent
 | Update
TBasicAction
 | Change
 | SetOnExecute
 | Create
 | Destroy
 | HandlesTarget
 | UpdateTarget
 | ExecuteTarget
 | Execute
 | RegisterChanges
 | UnRegisterChanges
 | Update
TComponent
 | GetComObject
 | GetComponent
 | GetComponentCount
 | GetComponentIndex
 | Insert
 | ReadLeft
 | ReadTop
 | Remove
 | RemoveNotification
 | SetComponentIndex
 | SetReference
 | WriteLeft
 | WriteTop
 | ChangeName
 | DefineProperties
 | GetChildren
 | GetChildOwner
 | GetChildParent
 | GetOwner
 | Loaded
 | Loading
 | Notification
 | PaletteCreated
 | ReadState
 | SetAncestor
 | SetDesigning
 | SetDesignInstance
 | SetInline
 | SetName
 | SetChildOrder
 | SetParentComponent
 | Updating
 | Updated
 | UpdateRegistry
 | ValidateRename
 | ValidateContainer
 | ValidateInsert
 | QueryInterface
 | _AddRef
 | _Release
 | iicrGetComponent
 | GetTypeInfoCount
 | GetTypeInfo
 | GetIDsOfNames
 | Invoke
 | WriteState
 | Create
 | Destroy
 | BeforeDestruction
 | DestroyComponents
 | Destroying
 | ExecuteAction
 | FindComponent
 | FreeNotification
 | RemoveFreeNotification
 | FreeOnRelease
 | GetEnumerator
 | GetNamePath
 | GetParentComponent
 | HasParent
 | InsertComponent
 | RemoveComponent
 | SafeCallException
 | SetSubComponent
 | UpdateAction
 | IsImplementorOf
 | ReferenceInterface
TPersistent
 | AssignError
 | AssignTo
 | DefineProperties
 | GetOwner
 | Destroy
 | Assign
 | FPOAttachObserver
 | FPODetachObserver
 | FPONotifyObservers
 | GetNamePath
TObject
 | Create
 | Destroy
 | newinstance
 | FreeInstance
 | SafeCallException
 | DefaultHandler
 | Free
 | InitInstance
 | CleanupInstance
 | ClassType
 | ClassInfo
 | ClassName
 | ClassNameIs
 | ClassParent
 | InstanceSize
 | InheritsFrom
 | StringMessageTable
 | MethodAddress
 | MethodName
 | FieldAddress
 | AfterConstruction
 | BeforeDestruction
 | DefaultHandlerStr
 | Dispatch
 | DispatchStr
 | GetInterface
 | GetInterfaceByStr
 | GetInterfaceWeak
 | GetInterfaceEntry
 | GetInterfaceEntryByStr
 | GetInterfaceTable
 | UnitName
 | Equals
 | GetHashCode
 | ToString


 | AssignError (TPersistent)
 | AssignTo (TPersistent)
pt | AssignTo (TCustomAction)
 | BeforeDestruction (TObject)
 | BeforeDestruction (TComponent)
 | Change (TBasicAction)
 | ChangeName (TComponent)
 | ClassInfo (TObject)
 | ClassName (TObject)
 | ClassNameIs (TObject)
 | ClassParent (TObject)
 | ClassType (TObject)
 | CleanupInstance (TObject)
 | Create (TObject)
 | Create (TComponent)
 | Create (TBasicAction)
 | Create (TCustomAction)
 | Create (TSearchFindNext)
 | DefaultHandler (TObject)
 | DefaultHandlerStr (TObject)
 | DefineProperties (TPersistent)
 | DefineProperties (TComponent)
 | Destroy (TObject)
 | Destroy (TPersistent)
 | Destroy (TComponent)
 | Destroy (TBasicAction)
 | Destroy (TContainedAction)
 | Destroy (TCustomAction)
 | DestroyComponents (TComponent)
 | Destroying (TComponent)
 | Dispatch (TObject)
 | DispatchStr (TObject)
 | DoHint (TCustomAction)
 | Equals (TObject)
 | Execute (TBasicAction)
 | Execute (TContainedAction)
 | Execute (TCustomAction)
 | ExecuteAction (TComponent)
 | ExecuteTarget (TBasicAction)
 | ExecuteTarget (TSearchFindNext)
 | FieldAddress (TObject)
 | FindComponent (TComponent)
 | FPOAttachObserver (TPersistent)
 | FPODetachObserver (TPersistent)
 | FPONotifyObservers (TPersistent)
 | Free (TObject)
 | FreeInstance (TObject)
 | FreeNotification (TComponent)
 | FreeOnRelease (TComponent)
 | GetChildOwner (TComponent)
 | GetChildParent (TComponent)
 | GetChildren (TComponent)
 | GetComObject (TComponent)
 | GetComponent (TComponent)
 | GetComponentCount (TComponent)
 | GetComponentIndex (TComponent)
 | GetEnumerator (TComponent)
 | GetHashCode (TObject)
 | GetIDsOfNames (TComponent)
 | GetInterface (TObject)
 | GetInterfaceByStr (TObject)
 | GetInterfaceEntry (TObject)
 | GetInterfaceEntryByStr (TObject)
 | GetInterfaceTable (TObject)
 | GetInterfaceWeak (TObject)
 | GetNamePath (TPersistent)
 | GetNamePath (TComponent)
 | GetOwner (TPersistent)
 | GetOwner (TComponent)
 | GetParentComponent (TComponent)
 | GetParentComponent (TContainedAction)
 | GetTypeInfo (TComponent)
 | GetTypeInfoCount (TComponent)
pt | HandleShortCut (TCustomAction)
 | HandlesTarget (TBasicAction)
 | HandlesTarget (TSearchFindNext)
 | HasParent (TComponent)
 | HasParent (TContainedAction)
 | iicrGetComponent (TComponent)
 | InheritsFrom (TObject)
 | InitInstance (TObject)
 | Insert (TComponent)
 | InsertComponent (TComponent)
 | InstanceSize (TObject)
 | Invoke (TComponent)
 | IsImplementorOf (TComponent)
 | Loaded (TComponent)
 | Loading (TComponent)
 | MethodAddress (TObject)
 | MethodName (TObject)
 | newinstance (TObject)
 | Notification (TComponent)
 | Notification (TSearchFindNext)
 | PaletteCreated (TComponent)
 | QueryInterface (TComponent)
 | ReadLeft (TComponent)
 | ReadState (TComponent)
pt | ReadState (TContainedAction)
 | ReadTop (TComponent)
 | ReferenceInterface (TComponent)
 | RegisterChanges (TBasicAction)
 | Remove (TComponent)
 | RemoveComponent (TComponent)
 | RemoveFreeNotification (TComponent)
 | RemoveNotification (TComponent)
 | SafeCallException (TObject)
 | SafeCallException (TComponent)
 | SetAncestor (TComponent)
 | SetChildOrder (TComponent)
 | SetComponentIndex (TComponent)
 | SetDesigning (TComponent)
 | SetDesignInstance (TComponent)
 | SetInline (TComponent)
 | SetName (TComponent)
pt | SetName (TCustomAction)
 | SetOnExecute (TBasicAction)
 | SetParentComponent (TComponent)
pt | SetParentComponent (TContainedAction)
 | SetReference (TComponent)
 | SetSubComponent (TComponent)
 | StringMessageTable (TObject)
 | ToString (TObject)
 | UnitName (TObject)
 | UnRegisterChanges (TBasicAction)
 | Update (TBasicAction)
 | Update (TContainedAction)
 | UpdateAction (TComponent)
 | Updated (TComponent)
 | UpdateRegistry (TComponent)
 | UpdateTarget (TBasicAction)
 | UpdateTarget (TSearchFindNext)
 | Updating (TComponent)
 | ValidateContainer (TComponent)
 | ValidateInsert (TComponent)
 | ValidateRename (TComponent)
 | WriteLeft (TComponent)
 | WriteState (TComponent)
 | WriteTop (TComponent)
 | _AddRef (TComponent)
 | _Release (TComponent)


TSearchFindNext
pl | ro | OnHint
TCustomAction
 |  | OnHint
TContainedAction
TBasicAction
 |  | OnChange
 |  | OnExecute
 |  | OnUpdate
TComponent
TPersistent
TObject


 |  | OnChange (TBasicAction)
 |  | OnExecute (TBasicAction)
 |  | OnHint (TCustomAction)
pl | ro | OnHint (TSearchFindNext)
 |  | OnUpdate (TBasicAction)


TSearchFindNext.SearchFind

The SearchFind action to use for searching

Declaration

Source position: stdactns.pas line 379

published property TSearchFindNext.SearchFind : TSearchFind
  read FSearchFind
  write SetSearchFind;


TSearchReplace

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

TSearchReplace - action associated with the Search and Replace menu option and dialogs

Declaration

Source position: stdactns.pas line 328

type TSearchReplace = class(TSearchAction)
protected
function GetDialogClass; override; | GetDialogClass - returns the class of dialog associated with this action
procedure CreateDialog; override; | CreateDialog - method for creating the dialog
public
procedure Replace(); virtual; | Replace - the method to perform the Replace action once the specified text has been found
published
property Caption: TTranslateString; | The Caption to be used if this action is associated with a visible component
property Dialog: TReplaceDialog; [r] | The ReplaceDialog to be used with this action
property Enabled: Boolean; | Enabled - whether this action is able to be used (default True)
property HelpContext: THelpContext; | HelpContext - the index for a context-based help message
property HelpKeyword: string; | HelpKeyWord - the keyword of a context-based help message
property HelpType: THelpType; | HelpType - the sort of help message to be offered: default Context-based
property Hint: TTranslateString; | Hint - a pop-up message that appears when the mouse hovers over an object
property ImageIndex: TImageIndex; | ImageIndex - the index number of the image to be associated with this action
property ShortCut: TShortCut; | ShortCut - an index to a shortcut list
property SecondaryShortCuts: TShortCutList; | SecondaryShortCuts - a stringlist containing shortcuts
property Visible: Boolean; | Visible - is this action visible? (default True)
property BeforeExecute: TNotifyEvent; | BeforeExecute - event handler for performance before execution of the action
property OnAccept: TNotifyEvent; | OnAccept - event handler for a press of the Accept button
property OnCancel: TNotifyEvent; | OnCancel - event handler for a press of the Cancel button
property OnHint: THintEvent; | OnHint - action to be taken when a hint is required
end;

Inheritance

TSearchReplace | TSearchReplace - action associated with the Search and Replace menu option and dialogs
|
TSearchAction | TSearchAction - base class for the actions associated with the various Search menu options
|
TCommonDialogAction | TCommonDialogAction - base class for providing actions associated with Dialogs
|
TCustomAction | TCustomAction is the ancestor class for TAction
|
TContainedAction | TContainedAction - parent class for TCustomAction; defines some properties especially relationships with parents
|
TBasicAction
|
TComponent,IUnknown,IInterfaceComponentReference
|
TPersistent,IFPObserved
|
TObject


TSearchReplace
pl | ro | Caption
pl | ro | Dialog
pl | ro | Enabled
pl | ro | HelpContext
pl | ro | HelpKeyword
pl | ro | HelpType
pl | ro | Hint
pl | ro | ImageIndex
pl | ro | ShortCut
pl | ro | SecondaryShortCuts
pl | ro | Visible
pl | ro | BeforeExecute
TSearchAction
TCommonDialogAction
 | ro | ExecuteResult
 |  | BeforeExecute
TCustomAction
pt |  | SavedEnabledState
 |  | AutoCheck
 |  | Caption
 |  | Checked
 |  | DisableIfNoHandler
 |  | Enabled
 |  | GroupIndex
 |  | HelpContext
 |  | HelpKeyword
 |  | HelpType
 |  | Hint
 |  | ImageIndex
 |  | SecondaryShortCuts
 |  | ShortCut
 |  | Visible
TContainedAction
 |  | ActionList
 |  | Index
pl |  | Category
TBasicAction
 |  | ActionComponent
TComponent
 | ro | ComObject
 | ro | Components
 | ro | ComponentCount
 |  | ComponentIndex
 | ro | ComponentState
 | ro | ComponentStyle
 |  | DesignInfo
 | ro | Owner
 |  | VCLComObject
 |  | Name
 |  | Tag
TPersistent
TObject


 |  | ActionComponent (TBasicAction)
 |  | ActionList (TContainedAction)
 |  | AutoCheck (TCustomAction)
 |  | BeforeExecute (TCommonDialogAction)
pl | ro | BeforeExecute (TSearchReplace)
 |  | Caption (TCustomAction)
pl | ro | Caption (TSearchReplace)
pl |  | Category (TContainedAction)
 |  | Checked (TCustomAction)
 | ro | ComObject (TComponent)
 | ro | ComponentCount (TComponent)
 |  | ComponentIndex (TComponent)
 | ro | Components (TComponent)
 | ro | ComponentState (TComponent)
 | ro | ComponentStyle (TComponent)
 |  | DesignInfo (TComponent)
pl | ro | Dialog (TSearchReplace)
 |  | DisableIfNoHandler (TCustomAction)
 |  | Enabled (TCustomAction)
pl | ro | Enabled (TSearchReplace)
 | ro | ExecuteResult (TCommonDialogAction)
 |  | GroupIndex (TCustomAction)
 |  | HelpContext (TCustomAction)
pl | ro | HelpContext (TSearchReplace)
 |  | HelpKeyword (TCustomAction)
pl | ro | HelpKeyword (TSearchReplace)
 |  | HelpType (TCustomAction)
pl | ro | HelpType (TSearchReplace)
 |  | Hint (TCustomAction)
pl | ro | Hint (TSearchReplace)
 |  | ImageIndex (TCustomAction)
pl | ro | ImageIndex (TSearchReplace)
 |  | Index (TContainedAction)
 |  | Name (TComponent)
 | ro | Owner (TComponent)
pt |  | SavedEnabledState (TCustomAction)
 |  | SecondaryShortCuts (TCustomAction)
pl | ro | SecondaryShortCuts (TSearchReplace)
 |  | ShortCut (TCustomAction)
pl | ro | ShortCut (TSearchReplace)
 |  | Tag (TComponent)
 |  | VCLComObject (TComponent)
 |  | Visible (TCustomAction)
pl | ro | Visible (TSearchReplace)


TSearchReplace
pt | GetDialogClass
pt | CreateDialog
 | Replace
TSearchAction
pt | CreateDialog
pt | Notification
pt | UpdateControl
pt | PerformSearch
pt | ShowNotFound
 | Create
 | Destroy
 | HandlesTarget
 | Search
 | UpdateTarget
 | ExecuteTarget
TCommonDialogAction
pt | DoAccept
pt | DoBeforeExecute
pt | DoCancel
pt | GetDialogClass
pt | CreateDialog
 | Create
 | Handlestarget
 | ExecuteTarget
TCustomAction
pt | AssignTo
pt | SetName
pt | HandleShortCut
 | Create
 | Destroy
 | DoHint
 | Execute
TContainedAction
pt | ReadState
pt | SetParentComponent
 | Destroy
 | Execute
 | GetParentComponent
 | HasParent
 | Update
TBasicAction
 | Change
 | SetOnExecute
 | Create
 | Destroy
 | HandlesTarget
 | UpdateTarget
 | ExecuteTarget
 | Execute
 | RegisterChanges
 | UnRegisterChanges
 | Update
TComponent
 | GetComObject
 | GetComponent
 | GetComponentCount
 | GetComponentIndex
 | Insert
 | ReadLeft
 | ReadTop
 | Remove
 | RemoveNotification
 | SetComponentIndex
 | SetReference
 | WriteLeft
 | WriteTop
 | ChangeName
 | DefineProperties
 | GetChildren
 | GetChildOwner
 | GetChildParent
 | GetOwner
 | Loaded
 | Loading
 | Notification
 | PaletteCreated
 | ReadState
 | SetAncestor
 | SetDesigning
 | SetDesignInstance
 | SetInline
 | SetName
 | SetChildOrder
 | SetParentComponent
 | Updating
 | Updated
 | UpdateRegistry
 | ValidateRename
 | ValidateContainer
 | ValidateInsert
 | QueryInterface
 | _AddRef
 | _Release
 | iicrGetComponent
 | GetTypeInfoCount
 | GetTypeInfo
 | GetIDsOfNames
 | Invoke
 | WriteState
 | Create
 | Destroy
 | BeforeDestruction
 | DestroyComponents
 | Destroying
 | ExecuteAction
 | FindComponent
 | FreeNotification
 | RemoveFreeNotification
 | FreeOnRelease
 | GetEnumerator
 | GetNamePath
 | GetParentComponent
 | HasParent
 | InsertComponent
 | RemoveComponent
 | SafeCallException
 | SetSubComponent
 | UpdateAction
 | IsImplementorOf
 | ReferenceInterface
TPersistent
 | AssignError
 | AssignTo
 | DefineProperties
 | GetOwner
 | Destroy
 | Assign
 | FPOAttachObserver
 | FPODetachObserver
 | FPONotifyObservers
 | GetNamePath
TObject
 | Create
 | Destroy
 | newinstance
 | FreeInstance
 | SafeCallException
 | DefaultHandler
 | Free
 | InitInstance
 | CleanupInstance
 | ClassType
 | ClassInfo
 | ClassName
 | ClassNameIs
 | ClassParent
 | InstanceSize
 | InheritsFrom
 | StringMessageTable
 | MethodAddress
 | MethodName
 | FieldAddress
 | AfterConstruction
 | BeforeDestruction
 | DefaultHandlerStr
 | Dispatch
 | DispatchStr
 | GetInterface
 | GetInterfaceByStr
 | GetInterfaceWeak
 | GetInterfaceEntry
 | GetInterfaceEntryByStr
 | GetInterfaceTable
 | UnitName
 | Equals
 | GetHashCode
 | ToString


 | AssignError (TPersistent)
 | AssignTo (TPersistent)
pt | AssignTo (TCustomAction)
 | BeforeDestruction (TObject)
 | BeforeDestruction (TComponent)
 | Change (TBasicAction)
 | ChangeName (TComponent)
 | ClassInfo (TObject)
 | ClassName (TObject)
 | ClassNameIs (TObject)
 | ClassParent (TObject)
 | ClassType (TObject)
 | CleanupInstance (TObject)
 | Create (TObject)
 | Create (TComponent)
 | Create (TBasicAction)
 | Create (TCustomAction)
 | Create (TCommonDialogAction)
 | Create (TSearchAction)
pt | CreateDialog (TCommonDialogAction)
pt | CreateDialog (TSearchAction)
pt | CreateDialog (TSearchReplace)
 | DefaultHandler (TObject)
 | DefaultHandlerStr (TObject)
 | DefineProperties (TPersistent)
 | DefineProperties (TComponent)
 | Destroy (TObject)
 | Destroy (TPersistent)
 | Destroy (TComponent)
 | Destroy (TBasicAction)
 | Destroy (TContainedAction)
 | Destroy (TCustomAction)
 | Destroy (TSearchAction)
 | DestroyComponents (TComponent)
 | Destroying (TComponent)
 | Dispatch (TObject)
 | DispatchStr (TObject)
pt | DoAccept (TCommonDialogAction)
pt | DoBeforeExecute (TCommonDialogAction)
pt | DoCancel (TCommonDialogAction)
 | DoHint (TCustomAction)
 | Equals (TObject)
 | Execute (TBasicAction)
 | Execute (TContainedAction)
 | Execute (TCustomAction)
 | ExecuteAction (TComponent)
 | ExecuteTarget (TBasicAction)
 | ExecuteTarget (TCommonDialogAction)
 | ExecuteTarget (TSearchAction)
 | FieldAddress (TObject)
 | FindComponent (TComponent)
 | FPOAttachObserver (TPersistent)
 | FPODetachObserver (TPersistent)
 | FPONotifyObservers (TPersistent)
 | Free (TObject)
 | FreeInstance (TObject)
 | FreeNotification (TComponent)
 | FreeOnRelease (TComponent)
 | GetChildOwner (TComponent)
 | GetChildParent (TComponent)
 | GetChildren (TComponent)
 | GetComObject (TComponent)
 | GetComponent (TComponent)
 | GetComponentCount (TComponent)
 | GetComponentIndex (TComponent)
pt | GetDialogClass (TCommonDialogAction)
pt | GetDialogClass (TSearchReplace)
 | GetEnumerator (TComponent)
 | GetHashCode (TObject)
 | GetIDsOfNames (TComponent)
 | GetInterface (TObject)
 | GetInterfaceByStr (TObject)
 | GetInterfaceEntry (TObject)
 | GetInterfaceEntryByStr (TObject)
 | GetInterfaceTable (TObject)
 | GetInterfaceWeak (TObject)
 | GetNamePath (TPersistent)
 | GetNamePath (TComponent)
 | GetOwner (TPersistent)
 | GetOwner (TComponent)
 | GetParentComponent (TComponent)
 | GetParentComponent (TContainedAction)
 | GetTypeInfo (TComponent)
 | GetTypeInfoCount (TComponent)
pt | HandleShortCut (TCustomAction)
 | HandlesTarget (TBasicAction)
 | Handlestarget (TCommonDialogAction)
 | HandlesTarget (TSearchAction)
 | HasParent (TComponent)
 | HasParent (TContainedAction)
 | iicrGetComponent (TComponent)
 | InheritsFrom (TObject)
 | InitInstance (TObject)
 | Insert (TComponent)
 | InsertComponent (TComponent)
 | InstanceSize (TObject)
 | Invoke (TComponent)
 | IsImplementorOf (TComponent)
 | Loaded (TComponent)
 | Loading (TComponent)
 | MethodAddress (TObject)
 | MethodName (TObject)
 | newinstance (TObject)
 | Notification (TComponent)
pt | Notification (TSearchAction)
 | PaletteCreated (TComponent)
pt | PerformSearch (TSearchAction)
 | QueryInterface (TComponent)
 | ReadLeft (TComponent)
 | ReadState (TComponent)
pt | ReadState (TContainedAction)
 | ReadTop (TComponent)
 | ReferenceInterface (TComponent)
 | RegisterChanges (TBasicAction)
 | Remove (TComponent)
 | RemoveComponent (TComponent)
 | RemoveFreeNotification (TComponent)
 | RemoveNotification (TComponent)
 | Replace (TSearchReplace)
 | SafeCallException (TObject)
 | SafeCallException (TComponent)
 | Search (TSearchAction)
 | SetAncestor (TComponent)
 | SetChildOrder (TComponent)
 | SetComponentIndex (TComponent)
 | SetDesigning (TComponent)
 | SetDesignInstance (TComponent)
 | SetInline (TComponent)
 | SetName (TComponent)
pt | SetName (TCustomAction)
 | SetOnExecute (TBasicAction)
 | SetParentComponent (TComponent)
pt | SetParentComponent (TContainedAction)
 | SetReference (TComponent)
 | SetSubComponent (TComponent)
pt | ShowNotFound (TSearchAction)
 | StringMessageTable (TObject)
 | ToString (TObject)
 | UnitName (TObject)
 | UnRegisterChanges (TBasicAction)
 | Update (TBasicAction)
 | Update (TContainedAction)
 | UpdateAction (TComponent)
pt | UpdateControl (TSearchAction)
 | Updated (TComponent)
 | UpdateRegistry (TComponent)
 | UpdateTarget (TBasicAction)
 | UpdateTarget (TSearchAction)
 | Updating (TComponent)
 | ValidateContainer (TComponent)
 | ValidateInsert (TComponent)
 | ValidateRename (TComponent)
 | WriteLeft (TComponent)
 | WriteState (TComponent)
 | WriteTop (TComponent)
 | _AddRef (TComponent)
 | _Release (TComponent)


TSearchReplace
pl | ro | OnAccept
pl | ro | OnCancel
pl | ro | OnHint
TSearchAction
TCommonDialogAction
 |  | OnAccept
 |  | OnCancel
pl | ro | OnUpdate
TCustomAction
 |  | OnHint
TContainedAction
TBasicAction
 |  | OnChange
 |  | OnExecute
 |  | OnUpdate
TComponent
TPersistent
TObject


pl | ro | OnAccept (TSearchReplace)
 |  | OnCancel (TCommonDialogAction)
pl | ro | OnCancel (TSearchReplace)
 |  | OnChange (TBasicAction)
 |  | OnExecute (TBasicAction)
 |  | OnHint (TCustomAction)
pl | ro | OnHint (TSearchReplace)
 |  | OnUpdate (TBasicAction)
pl | ro | OnUpdate (TCommonDialogAction)


TSearchReplace.Dialog

The ReplaceDialog to be used with this action

Declaration

Source position: stdactns.pas line 338

published property TSearchReplace.Dialog : TReplaceDialog
  read GetReplaceDialog;


TSearchReplace.Replace

Replace - the method to perform the Replace action once the specified text has been found

Declaration

Source position: stdactns.pas line 335

public procedure TSearchReplace.Replace(

  Sender: TObject

); virtual;


TButton

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

A push button control.

Declaration

Source position: stdctrls.pp line 1234

type TButton = class(TCustomButton)
published
property Action: TBasicAction; | The Action associated with this control.
property Align: TAlign; | Specifies the placement of the control inside its Parent.
property Anchors: TAnchors; | The set of anchor definitions for this control.
property AutoSize: Boolean; | Allows to automatically adjust the size of the control, according to its content.
property BidiMode: TBiDiMode; | Customization (of text controls) in bidirectional reading environments.
property BorderSpacing: TControlBorderSpacing; | Determines the inner and outer border spacing for this control.
property Cancel: Boolean; | True if this is the modal Cancel button.
property Caption: TCaption; | The text describing the control to the user.
property Color: TColor; | The background color of the control.
property Constraints: TSizeConstraints; | The minimal and maximal Width and Height of this control.
property Default: Boolean; | True if this is the modal Default button.
property DoubleBuffered: Boolean;
property DragCursor: TCursor; | The cursor shape shown while the control is dragged.
property DragKind: TDragKind;
property DragMode: TDragMode; | Allows the user to drag the control.
property Enabled: Boolean; | Determines whether the control reacts on mouse or keyboard input.
property Font: TFont; | The font to be used for text display in this control.
property ParentBidiMode: Boolean; | Allows to use the BiDiMode settings of Parent. Default is true.
property ModalResult: TModalResult; | When clicked, the button will close the form and return its ModalResult. (unless mrNone)
property OnChangeBounds: TNotifyEvent; | Event handler for a change of the Bounds of the control.
property OnClick: TNotifyEvent; | Notification handler for mouse clicks.
property OnContextPopup: TContextPopupEvent; | Invoked when a context-sensitive pop-up menu is requested.
property OnDragDrop: TDragDropEvent; | This handler determines the action on an drop onto this control, in a drag-drop operation.
property OnDragOver: TDragOverEvent; | Event handler for a control being dragged over this control.
property OnEndDrag: TEndDragEvent; | Notification handler for the end of a dragging operation.
property OnEnter: TNotifyEvent; | Handler for control receiving the focus.
property OnExit: TNotifyEvent; | Handler for control loosing the focus. This is a good place for checking the finished user input.
property OnKeyDown: TKeyEvent; | Handler for keyboard key pressed.
property OnKeyPress: TKeyPressEvent; | Handler for a character entered by the user.
property OnKeyUp: TKeyEvent; | Handler for keyboard key released.
property OnMouseDown: TMouseEvent; | Event handler for mouse button going down.
property OnMouseEnter: TNotifyEvent; | Event handler for mouse entering the area of the control.
property OnMouseLeave: TNotifyEvent; | Event handler for mouse leaving the area of the control.
property OnMouseMove: TMouseMoveEvent; | Event handler for mouse movement within the control.
property OnMouseUp: TMouseEvent; | Event handler for mouse button going up.
property OnMouseWheel: TMouseWheelEvent;
property OnMouseWheelDown: TMouseWheelUpDownEvent;
property OnMouseWheelUp: TMouseWheelUpDownEvent;
property OnResize: TNotifyEvent; | Notification handler for a resize of the control.
property OnStartDrag: TStartDragEvent; | Event handler for the start of a dragging operation.
property OnUTF8KeyPress: TUTF8KeyPressEvent; | Handler for a character entered by the user.
property ParentDoubleBuffered: Boolean;
property ParentFont: Boolean; | If true, the Font of the control will be the same as the one from the Parent. Default is true.
property ParentShowHint: Boolean; | If true, the value of ShowHint for the control will be the same as the one from the Parent. Default is true.
property PopupMenu: TPopupMenu; | A context-sensitive menu that pops up when the right mouse button is clicked over this control
property ShowHint: Boolean; | Enables the Hint display.
property TabOrder: TTabOrder; | Determines the sequence of controls, reachable when the user presses the Tab key.
property TabStop: Boolean; | Allows the user to navigate to this control, by pressing the Tab key.
property Visible: Boolean; | Allows to show or hide the control, and all of its children.
end;

Inheritance

TButton | A push button control.
|
TCustomButton | The base class for clickable buttons (TButton and TBitBtn).
|
TButtonControl | The base class for various button controls.
|
TWinControl | The base class for controls which can contain other (child) controls.
|
TControl | The base class for visible controls.
|
TLCLComponent | The base class for LCL components associated with widgets.
|
TComponent,IUnknown,IInterfaceComponentReference
|
TPersistent,IFPObserved
|
TObject


TButton
pl | ro | Action
pl | ro | Align
pl | ro | Anchors
pl | ro | AutoSize
pl | ro | BidiMode
pl | ro | BorderSpacing
pl | ro | Cancel
pl | ro | Caption
pl | ro | Color
pl | ro | Constraints
pl | ro | Default
pl | ro | DoubleBuffered
pl | ro | DragCursor
pl | ro | DragKind
pl | ro | DragMode
pl | ro | Enabled
pl | ro | Font
pl | ro | ParentBidiMode
pl | ro | ModalResult
pl | ro | ParentDoubleBuffered
pl | ro | ParentFont
pl | ro | ParentShowHint
pl | ro | PopupMenu
pl | ro | ShowHint
pl | ro | TabOrder
pl | ro | TabStop
pl | ro | Visible
TCustomButton
pt | ro | ParentColor
 | ro | Active
 |  | Default
 |  | ModalResult
 | ro | ShortCut
 | ro | ShortCutKey2
 |  | Cancel
 | ro | Color
 | ro | TabStop
TButtonControl
pt |  | Checked
pt |  | ClicksDisabled
TWinControl
pt |  | WindowHandle
pt |  | BorderStyle
pt |  | ParentBackground
 |  | BorderWidth
 | ro | BoundsLockCount
 | ro | Brush
 | ro | CachedClientHeight
 | ro | CachedClientWidth
 |  | ChildSizing
 | ro | ControlCount
 | ro | Controls
 |  | DefWndProc
 | ro | DockClientCount
 | ro | DockClients
 |  | DockManager
 |  | DockSite
 |  | DoubleBuffered
 |  | Handle
 | ro | IsFlipped
 | ro | IsResizing
 |  | TabOrder
 |  | TabStop
 |  | ParentDoubleBuffered
 |  | ParentWindow
 | ro | Showing
 |  | UseDockManager
 |  | DesignerDeleting
 | ro | VisibleDockClientCount
TControl
pt | ro | AutoSizing
pt | ro | AutoSizingAll
pt | ro | AutoSizingLockCount
pt |  | ActionLink
pt |  | DesktopFont
pt |  | DragCursor
pt |  | DragKind
pt |  | DragMode
pt |  | MouseCapture
pt |  | ParentColor
pt |  | ParentFont
pt |  | ParentShowHint
pt |  | SessionProperties
pt |  | Text
 | ro | AnchoredControls
 | ro | BaseBounds
 | ro | ReadBounds
 | ro | BaseParentClientSize
 |  | AccessibleDescription
 |  | AccessibleValue
 |  | AccessibleRole
 |  | Action
 |  | Align
 |  | Anchors
 | ro | AnchorSide
 |  | AutoSize
 |  | BorderSpacing
 |  | BoundsRect
 |  | BoundsRectForNewParent
 |  | Caption
 |  | CaptureMouseButtons
 |  | ClientHeight
 | ro | ClientOrigin
 | ro | ClientRect
 |  | ClientWidth
 |  | Color
 |  | Constraints
 | ro | ControlOrigin
 |  | ControlState
 |  | ControlStyle
 |  | Enabled
 |  | Font
 |  | IsControl
 | ro | MouseEntered
 | ro | MouseInClient
 |  | Parent
 |  | PopupMenu
 |  | ShowHint
 |  | Visible
 |  | WindowProc
 |  | DockOrientation
 | ro | Floating
 |  | FloatingDockSiteClass
 |  | HostDockSite
 |  | LRDockWidth
 |  | TBDockHeight
 |  | UndockHeight
 |  | UndockWidth
 |  | BiDiMode
 |  | ParentBiDiMode
pl |  | AnchorSideLeft
pl |  | AnchorSideTop
pl |  | AnchorSideRight
pl |  | AnchorSideBottom
pl |  | Cursor
pl |  | Left
pl |  | Height
pl |  | Hint
pl |  | Top
pl |  | Width
pl |  | HelpType
pl |  | HelpKeyword
pl |  | HelpContext
TLCLComponent
 | ro | LCLRefCount
 | ro | WidgetSetClass
TComponent
 | ro | ComObject
 | ro | Components
 | ro | ComponentCount
 |  | ComponentIndex
 | ro | ComponentState
 | ro | ComponentStyle
 |  | DesignInfo
 | ro | Owner
 |  | VCLComObject
 |  | Name
 |  | Tag
TPersistent
TObject


 |  | AccessibleDescription (TControl)
 |  | AccessibleRole (TControl)
 |  | AccessibleValue (TControl)
 |  | Action (TControl)
pl | ro | Action (TButton)
pt |  | ActionLink (TControl)
 | ro | Active (TCustomButton)
 |  | Align (TControl)
pl | ro | Align (TButton)
 | ro | AnchoredControls (TControl)
 |  | Anchors (TControl)
pl | ro | Anchors (TButton)
 | ro | AnchorSide (TControl)
pl |  | AnchorSideBottom (TControl)
pl |  | AnchorSideLeft (TControl)
pl |  | AnchorSideRight (TControl)
pl |  | AnchorSideTop (TControl)
 |  | AutoSize (TControl)
pl | ro | AutoSize (TButton)
pt | ro | AutoSizing (TControl)
pt | ro | AutoSizingAll (TControl)
pt | ro | AutoSizingLockCount (TControl)
 | ro | BaseBounds (TControl)
 | ro | BaseParentClientSize (TControl)
 |  | BiDiMode (TControl)
pl | ro | BidiMode (TButton)
 |  | BorderSpacing (TControl)
pl | ro | BorderSpacing (TButton)
pt |  | BorderStyle (TWinControl)
 |  | BorderWidth (TWinControl)
 | ro | BoundsLockCount (TWinControl)
 |  | BoundsRect (TControl)
 |  | BoundsRectForNewParent (TControl)
 | ro | Brush (TWinControl)
 | ro | CachedClientHeight (TWinControl)
 | ro | CachedClientWidth (TWinControl)
 |  | Cancel (TCustomButton)
pl | ro | Cancel (TButton)
 |  | Caption (TControl)
pl | ro | Caption (TButton)
 |  | CaptureMouseButtons (TControl)
pt |  | Checked (TButtonControl)
 |  | ChildSizing (TWinControl)
pt |  | ClicksDisabled (TButtonControl)
 |  | ClientHeight (TControl)
 | ro | ClientOrigin (TControl)
 | ro | ClientRect (TControl)
 |  | ClientWidth (TControl)
 |  | Color (TControl)
 | ro | Color (TCustomButton)
pl | ro | Color (TButton)
 | ro | ComObject (TComponent)
 | ro | ComponentCount (TComponent)
 |  | ComponentIndex (TComponent)
 | ro | Components (TComponent)
 | ro | ComponentState (TComponent)
 | ro | ComponentStyle (TComponent)
 |  | Constraints (TControl)
pl | ro | Constraints (TButton)
 | ro | ControlCount (TWinControl)
 | ro | ControlOrigin (TControl)
 | ro | Controls (TWinControl)
 |  | ControlState (TControl)
 |  | ControlStyle (TControl)
pl |  | Cursor (TControl)
 |  | Default (TCustomButton)
pl | ro | Default (TButton)
 |  | DefWndProc (TWinControl)
 |  | DesignerDeleting (TWinControl)
 |  | DesignInfo (TComponent)
pt |  | DesktopFont (TControl)
 | ro | DockClientCount (TWinControl)
 | ro | DockClients (TWinControl)
 |  | DockManager (TWinControl)
 |  | DockOrientation (TControl)
 |  | DockSite (TWinControl)
 |  | DoubleBuffered (TWinControl)
pl | ro | DoubleBuffered (TButton)
pt |  | DragCursor (TControl)
pl | ro | DragCursor (TButton)
pt |  | DragKind (TControl)
pl | ro | DragKind (TButton)
pt |  | DragMode (TControl)
pl | ro | DragMode (TButton)
 |  | Enabled (TControl)
pl | ro | Enabled (TButton)
 | ro | Floating (TControl)
 |  | FloatingDockSiteClass (TControl)
 |  | Font (TControl)
pl | ro | Font (TButton)
 |  | Handle (TWinControl)
pl |  | Height (TControl)
pl |  | HelpContext (TControl)
pl |  | HelpKeyword (TControl)
pl |  | HelpType (TControl)
pl |  | Hint (TControl)
 |  | HostDockSite (TControl)
 |  | IsControl (TControl)
 | ro | IsFlipped (TWinControl)
 | ro | IsResizing (TWinControl)
 | ro | LCLRefCount (TLCLComponent)
pl |  | Left (TControl)
 |  | LRDockWidth (TControl)
 |  | ModalResult (TCustomButton)
pl | ro | ModalResult (TButton)
pt |  | MouseCapture (TControl)
 | ro | MouseEntered (TControl)
 | ro | MouseInClient (TControl)
 |  | Name (TComponent)
 | ro | Owner (TComponent)
 |  | Parent (TControl)
pt |  | ParentBackground (TWinControl)
 |  | ParentBiDiMode (TControl)
pl | ro | ParentBidiMode (TButton)
pt |  | ParentColor (TControl)
pt | ro | ParentColor (TCustomButton)
 |  | ParentDoubleBuffered (TWinControl)
pl | ro | ParentDoubleBuffered (TButton)
pt |  | ParentFont (TControl)
pl | ro | ParentFont (TButton)
pt |  | ParentShowHint (TControl)
pl | ro | ParentShowHint (TButton)
 |  | ParentWindow (TWinControl)
 |  | PopupMenu (TControl)
pl | ro | PopupMenu (TButton)
 | ro | ReadBounds (TControl)
pt |  | SessionProperties (TControl)
 | ro | ShortCut (TCustomButton)
 | ro | ShortCutKey2 (TCustomButton)
 |  | ShowHint (TControl)
pl | ro | ShowHint (TButton)
 | ro | Showing (TWinControl)
 |  | TabOrder (TWinControl)
pl | ro | TabOrder (TButton)
 |  | TabStop (TWinControl)
 | ro | TabStop (TCustomButton)
pl | ro | TabStop (TButton)
 |  | Tag (TComponent)
 |  | TBDockHeight (TControl)
pt |  | Text (TControl)
pl |  | Top (TControl)
 |  | UndockHeight (TControl)
 |  | UndockWidth (TControl)
 |  | UseDockManager (TWinControl)
 |  | VCLComObject (TComponent)
 |  | Visible (TControl)
pl | ro | Visible (TButton)
 | ro | VisibleDockClientCount (TWinControl)
 | ro | WidgetSetClass (TLCLComponent)
pl |  | Width (TControl)
pt |  | WindowHandle (TWinControl)
 |  | WindowProc (TControl)


TButton
TCustomButton
pt | WSRegisterClass
pt | CreateWnd
pt | CreateParams
pt | ControlKeyDown
pt | ControlKeyUp
pt | DialogChar
pt | ChildClassAllowed
pt | GetControlClassDefaultSize
pt | WSSetDefault
pt | WSSetText
pt | TextChanged
pt | Loaded
pt | UpdateDefaultCancel
 | Create
 | Click
 | ExecuteDefaultAction
 | ExecuteCancelAction
 | ActiveDefaultControlChanged
 | UpdateRolesForForm
 | UseRightToLeftAlignment
TButtonControl
pt | WSRegisterClass
pt | GetActionLinkClass
pt | GetChecked
pt | SetChecked
pt | DoOnChange
pt | Click
 | Create
TWinControl
pt | WSRegisterClass
pt | AdjustClientRect
pt | GetAdjustedLogicalClientRect
pt | AlignControls
pt | CustomAlignInsertBefore
pt | CustomAlignPosition
pt | DoAlignChildControls
pt | DoChildSizingChange
pt | InvalidatePreferredChildSizes
pt | CanTab
pt | IsClientHeightStored
pt | IsClientWidthStored
pt | DoSendShowHideToInterface
pt | ControlsAligned
pt | DoSendBoundsToInterface
pt | RealizeBounds
pt | RealizeBoundsRecursive
pt | InvalidateBoundsRealized
pt | CreateSubClass
pt | DoConstraintsChange
pt | DoSetBounds
pt | DoAutoSize
pt | DoAllAutoSize
pt | AllAutoSized
pt | CalculatePreferredSize
pt | GetPreferredSizeClientFrame
pt | GetChildren
pt | ChildClassAllowed
pt | PaintControls
pt | PaintHandler
pt | PaintWindow
pt | CreateBrush
pt | ScaleControls
pt | ChangeScale
pt | CMBiDiModeChanged
pt | CMBorderChanged
pt | CMDoubleBufferedChanged
pt | CMEnabledChanged
pt | CMParentDoubleBufferedChanged
pt | CMShowingChanged
pt | CMShowHintChanged
pt | CMVisibleChanged
pt | CMEnter
pt | CMExit
pt | WMContextMenu
pt | WMEraseBkgnd
pt | WMNotify
pt | WMSetFocus
pt | WMKillFocus
pt | WMShowWindow
pt | WMEnter
pt | WMExit
pt | WMKeyDown
pt | WMSysKeyDown
pt | WMKeyUp
pt | WMSysKeyUp
pt | WMChar
pt | WMSysChar
pt | WMPaint
pt | WMDestroy
pt | WMMove
pt | WMSize
pt | WMWindowPosChanged
pt | CNKeyDown
pt | CNSysKeyDown
pt | CNKeyUp
pt | CNSysKeyUp
pt | CNChar
pt | DoDragMsg
pt | DoDockClientMsg
pt | DoUndockClientMsg
pt | DoAddDockClient
pt | DockOver
pt | DoDockOver
pt | DoRemoveDockClient
pt | DoUnDock
pt | GetSiteInfo
pt | GetParentHandle
pt | GetTopParentHandle
pt | ReloadDockedControl
pt | CreateDockManager
pt | SetDockManager
pt | DoFloatMsg
pt | DoGetDockCaption
pt | DoEnter
pt | DoExit
pt | DoKeyDownBeforeInterface
pt | DoRemainingKeyDown
pt | DoRemainingKeyUp
pt | DoKeyPress
pt | DoUTF8KeyPress
pt | DoKeyUpBeforeInterface
pt | ChildKey
pt | SendDialogChar
pt | DialogChar
pt | ControlKeyDown
pt | ControlKeyUp
pt | KeyDown
pt | KeyDownBeforeInterface
pt | KeyDownAfterInterface
pt | KeyPress
pt | KeyUp
pt | KeyUpBeforeInterface
pt | KeyUpAfterInterface
pt | UTF8KeyPress
pt | FindNextControl
pt | SelectFirst
pt | RealGetText
pt | GetBorderStyle
pt | GetClientOrigin
pt | GetClientRect
pt | GetControlOrigin
pt | GetDeviceContext
pt | GetParentBackground
pt | IsControlMouseMsg
pt | CreateHandle
pt | CreateParams
pt | CreateWnd
pt | DestroyHandle
pt | DestroyWnd
pt | DoFlipChildren
pt | FinalizeWnd
pt | FixupTabList
pt | FontChanged
pt | InitializeWnd
pt | Loaded
pt | FormEndUpdated
pt | MainWndProc
pt | ParentFormHandleInitialized
pt | ChildHandlesCreated
pt | GetMouseCapture
pt | RealSetText
pt | RemoveFocus
pt | SendMoveSizeMessages
pt | SetBorderStyle
pt | SetColor
pt | SetChildZPosition
pt | SetParentBackground
pt | ShowControl
pt | UpdateControlState
pt | UpdateShowing
pt | WndProc
pt | WSSetText
 | AutoSizePhases
 | AutoSizeDelayed
 | AutoSizeDelayedReport
 | AutoSizeDelayedHandle
 | BeginUpdateBounds
 | EndUpdateBounds
 | LockRealizeBounds
 | UnlockRealizeBounds
 | ControlAtPos
 | ContainsControl
 | DoAdjustClientRectChange
 | InvalidateClientRectCache
 | ClientRectNeedsInterfaceUpdate
 | SetBounds
 | GetChildrenRect
 | DisableAlign
 | EnableAlign
 | ReAlign
 | ScrollBy_WS
 | ScrollBy
 | WriteLayoutDebugReport
 | AutoAdjustLayout
 | Create
 | CreateParented
 | CreateParentedControl
 | Destroy
 | DockDrop
 | CanFocus
 | CanSetFocus
 | GetControlIndex
 | SetControlIndex
 | Focused
 | PerformTab
 | FindChildControl
 | SelectNext
 | SetTempCursor
 | BroadCast
 | NotifyControls
 | DefaultHandler
 | GetTextLen
 | Invalidate
 | AddControl
 | InsertControl
 | RemoveControl
 | GetEnumeratorControls
 | GetEnumeratorControlsReverse
 | Repaint
 | Update
 | SetFocus
 | FlipChildren
 | ScaleBy
 | GetDockCaption
 | UpdateDockCaption
 | GetTabOrderList
 | HandleAllocated
 | ParentHandlesAllocated
 | HandleNeeded
 | BrushCreated
 | EraseBackground
 | IntfUTF8KeyPress
 | IntfGetDropFilesTarget
 | PaintTo
 | SetShape
TControl
pt | WSRegisterClass
pt | GetCursor
pt | SetCursor
pt | SetVisible
pt | DoOnParentHandleDestruction
pt | DoAutoSize
pt | DoAllAutoSize
pt | BeginAutoSizing
pt | EndAutoSizing
pt | AnchorSideChanged
pt | ForeignAnchorSideChanged
pt | SetAlign
pt | SetAnchors
pt | SetAutoSize
pt | BoundsChanged
pt | CreateControlBorderSpacing
pt | DoConstraintsChange
pt | DoBorderSpacingChange
pt | IsBorderSpacingInnerBorderStored
pt | IsCaptionStored
pt | SendMoveSizeMessages
pt | ConstrainedResize
pt | CalculatePreferredSize
pt | DoOnResize
pt | DoOnChangeBounds
pt | CheckOnChangeBounds
pt | Resize
pt | RequestAlign
pt | UpdateAnchorRules
pt | ChangeBounds
pt | DoSetBounds
pt | ScaleConstraints
pt | ChangeScale
pt | CanAutoSize
pt | SetBiDiMode
pt | SetParentBiDiMode
pt | IsAParentAligning
pt | GetClientOrigin
pt | GetClientRect
pt | GetLogicalClientRect
pt | GetScrolledClientRect
pt | GetClientScrollOffset
pt | GetControlOrigin
pt | IsClientHeightStored
pt | IsClientWidthStored
pt | WidthIsAnchored
pt | HeightIsAnchored
pt | WMCancelMode
pt | WMContextMenu
pt | WMLButtonDown
pt | WMRButtonDown
pt | WMMButtonDown
pt | WMXButtonDown
pt | WMLButtonDBLCLK
pt | WMRButtonDBLCLK
pt | WMMButtonDBLCLK
pt | WMXButtonDBLCLK
pt | WMLButtonTripleCLK
pt | WMRButtonTripleCLK
pt | WMMButtonTripleCLK
pt | WMXButtonTripleCLK
pt | WMLButtonQuadCLK
pt | WMRButtonQuadCLK
pt | WMMButtonQuadCLK
pt | WMXButtonQuadCLK
pt | WMMouseMove
pt | WMLButtonUp
pt | WMRButtonUp
pt | WMMButtonUp
pt | WMXButtonUp
pt | WMMouseWheel
pt | WMMouseHWheel
pt | WMMove
pt | WMSize
pt | WMWindowPosChanged
pt | CMChanged
pt | LMCaptureChanged
pt | CMBiDiModeChanged
pt | CMSysFontChanged
pt | CMEnabledChanged
pt | CMHitTest
pt | CMMouseEnter
pt | CMMouseLeave
pt | CMHintShow
pt | CMParentBiDiModeChanged
pt | CMParentColorChanged
pt | CMParentFontChanged
pt | CMParentShowHintChanged
pt | CMVisibleChanged
pt | CMTextChanged
pt | CMCursorChanged
pt | CalculateDockSizes
pt | CreateFloatingDockSite
pt | GetDockEdge
pt | GetDragImages
pt | GetFloating
pt | GetFloatingDockSiteClass
pt | BeforeDragStart
pt | BeginAutoDrag
pt | DoFloatMsg
pt | DockTrackNoTarget
pt | DoDock
pt | DoDragMsg
pt | DoEndDock
pt | DoEndDrag
pt | DoStartDock
pt | DoStartDrag
pt | DragCanceled
pt | DragOver
pt | PositionDockRect
pt | SetDragMode
pt | GetDefaultDockCaption
pt | Click
pt | DblClick
pt | TripleClick
pt | QuadClick
pt | GetMousePosFromMessage
pt | MouseDown
pt | MouseMove
pt | MouseUp
pt | MouseEnter
pt | MouseLeave
pt | DialogChar
pt | UpdateMouseCursor
pt | Changed
pt | GetPalette
pt | ChildClassAllowed
pt | ReadState
pt | Loaded
pt | LoadedAll
pt | DefineProperties
pt | AssignTo
pt | FormEndUpdated
pt | InvalidateControl
pt | FontChanged
pt | ParentFontChanged
pt | GetAction
pt | RealGetText
pt | RealSetText
pt | TextChanged
pt | GetCachedText
pt | SetAction
pt | SetColor
pt | SetEnabled
pt | SetHint
pt | SetName
pt | SetParent
pt | SetParentComponent
pt | WndProc
pt | ParentFormHandleInitialized
pt | GetMouseCapture
pt | CaptureChanged
pt | Notification
pt | CanTab
pt | GetDeviceContext
pt | GetEnabled
pt | GetPopupMenu
pt | DoOnShowHint
pt | DoMouseWheel
pt | DoMouseWheelDown
pt | DoMouseWheelUp
pt | DoMouseWheelHorz
pt | DoMouseWheelLeft
pt | DoMouseWheelRight
pt | VisibleChanging
pt | VisibleChanged
pt | EnabledChanging
pt | EnabledChanged
pt | AddHandler
pt | RemoveHandler
pt | DoCallNotifyHandler
pt | DoCallKeyEventHandler
pt | DoCallMouseWheelEventHandler
pt | DoContextPopup
pt | SetZOrder
pt | GetControlClassDefaultSize
pt | ColorIsStored
pt | DoAutoAdjustLayout
pt | DoFixDesignFontPPI
pt | DoScaleFontPPI
pt | GetActionLinkClass
pt | ActionChange
 | DragDrop
 | Dock
 | ManualDock
 | ManualFloat
 | ReplaceDockedControl
 | Docked
 | Dragging
 | GetAccessibleObject
 | CreateAccessibleObject
 | GetSelectedChildAccessibleObject
 | GetChildAccessibleObjectAtPos
 | ScaleDesignToForm
 | ScaleFormToDesign
 | Scale96ToForm
 | ScaleFormTo96
 | Scale96ToFont
 | ScaleFontTo96
 | ScaleScreenToFont
 | ScaleFontToScreen
 | Scale96ToScreen
 | ScaleScreenTo96
 | AdjustSize
 | AutoSizePhases
 | AutoSizeDelayed
 | AutoSizeDelayedReport
 | AutoSizeDelayedHandle
 | AnchorToNeighbour
 | AnchorParallel
 | AnchorHorizontalCenterTo
 | AnchorVerticalCenterTo
 | AnchorToCompanion
 | AnchorSame
 | AnchorAsAlign
 | AnchorClient
 | AnchoredControlCount
 | SetBounds
 | SetInitialBounds
 | SetBoundsKeepBase
 | GetPreferredSize
 | GetCanvasScaleFactor
 | GetDefaultWidth
 | GetDefaultHeight
 | GetDefaultColor
 | GetColorResolvingParent
 | GetRGBColorResolvingParent
 | GetSidePosition
 | CNPreferredSizeChanged
 | InvalidatePreferredSize
 | GetAnchorsDependingOnParent
 | DisableAutoSizing
 | EnableAutoSizing
 | UpdateBaseBounds
 | WriteLayoutDebugReport
 | AutoAdjustLayout
 | ShouldAutoAdjust
 | FixDesignFontsPPI
 | ScaleFontsPPI
 | Create
 | Destroy
 | BeforeDestruction
 | EditingDone
 | ExecuteDefaultAction
 | ExecuteCancelAction
 | BeginDrag
 | EndDrag
 | BringToFront
 | HasParent
 | GetParentComponent
 | IsParentOf
 | GetTopParent
 | IsVisible
 | IsControlVisible
 | IsEnabled
 | IsParentColor
 | IsParentFont
 | FormIsUpdating
 | IsProcessingPaintMsg
 | Hide
 | Refresh
 | Repaint
 | Invalidate
 | CheckChildClassAllowed
 | CheckNewParent
 | SendToBack
 | SetTempCursor
 | UpdateRolesForForm
 | ActiveDefaultControlChanged
 | GetTextBuf
 | GetTextLen
 | SetTextBuf
 | Perform
 | ScreenToClient
 | ClientToScreen
 | ScreenToControl
 | ControlToScreen
 | ClientToParent
 | ParentToClient
 | GetChildrenRect
 | Show
 | Update
 | HandleObjectShouldBeVisible
 | ParentDestroyingHandle
 | ParentHandlesAllocated
 | InitiateAction
 | ShowHelp
 | HasHelp
 | RemoveAllHandlersOfObject
 | AddHandlerOnResize
 | RemoveHandlerOnResize
 | AddHandlerOnChangeBounds
 | RemoveHandlerOnChangeBounds
 | AddHandlerOnVisibleChanging
 | RemoveHandlerOnVisibleChanging
 | AddHandlerOnVisibleChanged
 | RemoveHandlerOnVisibleChanged
 | AddHandlerOnEnabledChanged
 | RemoveHandlerOnEnableChanging
 | AddHandlerOnKeyDown
 | RemoveHandlerOnKeyDown
 | AddHandlerOnBeforeDestruction
 | RemoveHandlerOnBeforeDestruction
 | AddHandlerOnMouseWheel
 | RemoveHandlerOnMouseWheel
 | UseRightToLeftAlignment
 | UseRightToLeftReading
 | UseRightToLeftScrollBar
 | IsRightToLeft
TLCLComponent
pt | WSRegisterClass
pt | GetWSComponentClass
 | Create
 | Destroy
 | NewInstance
 | RemoveAllHandlersOfObject
 | IncLCLRefCount
 | DecLCLRefCount
TComponent
 | GetComObject
 | GetComponent
 | GetComponentCount
 | GetComponentIndex
 | Insert
 | ReadLeft
 | ReadTop
 | Remove
 | RemoveNotification
 | SetComponentIndex
 | SetReference
 | WriteLeft
 | WriteTop
 | ChangeName
 | DefineProperties
 | GetChildren
 | GetChildOwner
 | GetChildParent
 | GetOwner
 | Loaded
 | Loading
 | Notification
 | PaletteCreated
 | ReadState
 | SetAncestor
 | SetDesigning
 | SetDesignInstance
 | SetInline
 | SetName
 | SetChildOrder
 | SetParentComponent
 | Updating
 | Updated
 | UpdateRegistry
 | ValidateRename
 | ValidateContainer
 | ValidateInsert
 | QueryInterface
 | _AddRef
 | _Release
 | iicrGetComponent
 | GetTypeInfoCount
 | GetTypeInfo
 | GetIDsOfNames
 | Invoke
 | WriteState
 | Create
 | Destroy
 | BeforeDestruction
 | DestroyComponents
 | Destroying
 | ExecuteAction
 | FindComponent
 | FreeNotification
 | RemoveFreeNotification
 | FreeOnRelease
 | GetEnumerator
 | GetNamePath
 | GetParentComponent
 | HasParent
 | InsertComponent
 | RemoveComponent
 | SafeCallException
 | SetSubComponent
 | UpdateAction
 | IsImplementorOf
 | ReferenceInterface
TPersistent
 | AssignError
 | AssignTo
 | DefineProperties
 | GetOwner
 | Destroy
 | Assign
 | FPOAttachObserver
 | FPODetachObserver
 | FPONotifyObservers
 | GetNamePath
TObject
 | Create
 | Destroy
 | newinstance
 | FreeInstance
 | SafeCallException
 | DefaultHandler
 | Free
 | InitInstance
 | CleanupInstance
 | ClassType
 | ClassInfo
 | ClassName
 | ClassNameIs
 | ClassParent
 | InstanceSize
 | InheritsFrom
 | StringMessageTable
 | MethodAddress
 | MethodName
 | FieldAddress
 | AfterConstruction
 | BeforeDestruction
 | DefaultHandlerStr
 | Dispatch
 | DispatchStr
 | GetInterface
 | GetInterfaceByStr
 | GetInterfaceWeak
 | GetInterfaceEntry
 | GetInterfaceEntryByStr
 | GetInterfaceTable
 | UnitName
 | Equals
 | GetHashCode
 | ToString


pt | ActionChange (TControl)
 | ActiveDefaultControlChanged (TControl)
 | ActiveDefaultControlChanged (TCustomButton)
 | AddControl (TWinControl)
pt | AddHandler (TControl)
 | AddHandlerOnBeforeDestruction (TControl)
 | AddHandlerOnChangeBounds (TControl)
 | AddHandlerOnEnabledChanged (TControl)
 | AddHandlerOnKeyDown (TControl)
 | AddHandlerOnMouseWheel (TControl)
 | AddHandlerOnResize (TControl)
 | AddHandlerOnVisibleChanged (TControl)
 | AddHandlerOnVisibleChanging (TControl)
pt | AdjustClientRect (TWinControl)
 | AdjustSize (TControl)
 | AfterConstruction (TObject)
pt | AlignControls (TWinControl)
pt | AllAutoSized (TWinControl)
 | AnchorAsAlign (TControl)
 | AnchorClient (TControl)
 | AnchoredControlCount (TControl)
 | AnchorHorizontalCenterTo (TControl)
 | AnchorParallel (TControl)
 | AnchorSame (TControl)
pt | AnchorSideChanged (TControl)
 | AnchorToCompanion (TControl)
 | AnchorToNeighbour (TControl)
 | AnchorVerticalCenterTo (TControl)
 | Assign (TPersistent)
 | AssignError (TPersistent)
 | AssignTo (TPersistent)
pt | AssignTo (TControl)
 | AutoAdjustLayout (TControl)
 | AutoAdjustLayout (TWinControl)
 | AutoSizeDelayed (TControl)
 | AutoSizeDelayed (TWinControl)
 | AutoSizeDelayedHandle (TControl)
 | AutoSizeDelayedHandle (TWinControl)
 | AutoSizeDelayedReport (TControl)
 | AutoSizeDelayedReport (TWinControl)
 | AutoSizePhases (TControl)
 | AutoSizePhases (TWinControl)
 | BeforeDestruction (TObject)
 | BeforeDestruction (TComponent)
 | BeforeDestruction (TControl)
pt | BeforeDragStart (TControl)
pt | BeginAutoDrag (TControl)
pt | BeginAutoSizing (TControl)
 | BeginDrag (TControl)
 | BeginUpdateBounds (TWinControl)
pt | BoundsChanged (TControl)
 | BringToFront (TControl)
 | BroadCast (TWinControl)
 | BrushCreated (TWinControl)
pt | CalculateDockSizes (TControl)
pt | CalculatePreferredSize (TControl)
pt | CalculatePreferredSize (TWinControl)
pt | CanAutoSize (TControl)
 | CanFocus (TWinControl)
 | CanSetFocus (TWinControl)
pt | CanTab (TControl)
pt | CanTab (TWinControl)
pt | CaptureChanged (TControl)
pt | ChangeBounds (TControl)
pt | Changed (TControl)
 | ChangeName (TComponent)
pt | ChangeScale (TControl)
pt | ChangeScale (TWinControl)
 | CheckChildClassAllowed (TControl)
 | CheckNewParent (TControl)
pt | CheckOnChangeBounds (TControl)
pt | ChildClassAllowed (TControl)
pt | ChildClassAllowed (TWinControl)
pt | ChildClassAllowed (TCustomButton)
pt | ChildHandlesCreated (TWinControl)
pt | ChildKey (TWinControl)
 | ClassInfo (TObject)
 | ClassName (TObject)
 | ClassNameIs (TObject)
 | ClassParent (TObject)
 | ClassType (TObject)
 | CleanupInstance (TObject)
pt | Click (TControl)
pt | Click (TButtonControl)
 | Click (TCustomButton)
 | ClientRectNeedsInterfaceUpdate (TWinControl)
 | ClientToParent (TControl)
 | ClientToScreen (TControl)
pt | CMBiDiModeChanged (TControl)
pt | CMBiDiModeChanged (TWinControl)
pt | CMBorderChanged (TWinControl)
pt | CMChanged (TControl)
pt | CMCursorChanged (TControl)
pt | CMDoubleBufferedChanged (TWinControl)
pt | CMEnabledChanged (TControl)
pt | CMEnabledChanged (TWinControl)
pt | CMEnter (TWinControl)
pt | CMExit (TWinControl)
pt | CMHintShow (TControl)
pt | CMHitTest (TControl)
pt | CMMouseEnter (TControl)
pt | CMMouseLeave (TControl)
pt | CMParentBiDiModeChanged (TControl)
pt | CMParentColorChanged (TControl)
pt | CMParentDoubleBufferedChanged (TWinControl)
pt | CMParentFontChanged (TControl)
pt | CMParentShowHintChanged (TControl)
pt | CMShowHintChanged (TWinControl)
pt | CMShowingChanged (TWinControl)
pt | CMSysFontChanged (TControl)
pt | CMTextChanged (TControl)
pt | CMVisibleChanged (TControl)
pt | CMVisibleChanged (TWinControl)
pt | CNChar (TWinControl)
pt | CNKeyDown (TWinControl)
pt | CNKeyUp (TWinControl)
 | CNPreferredSizeChanged (TControl)
pt | CNSysKeyDown (TWinControl)
pt | CNSysKeyUp (TWinControl)
pt | ColorIsStored (TControl)
pt | ConstrainedResize (TControl)
 | ContainsControl (TWinControl)
 | ControlAtPos (TWinControl)
pt | ControlKeyDown (TWinControl)
pt | ControlKeyDown (TCustomButton)
pt | ControlKeyUp (TWinControl)
pt | ControlKeyUp (TCustomButton)
pt | ControlsAligned (TWinControl)
 | ControlToScreen (TControl)
 | Create (TObject)
 | Create (TComponent)
 | Create (TLCLComponent)
 | Create (TControl)
 | Create (TWinControl)
 | Create (TButtonControl)
 | Create (TCustomButton)
 | CreateAccessibleObject (TControl)
pt | CreateBrush (TWinControl)
pt | CreateControlBorderSpacing (TControl)
pt | CreateDockManager (TWinControl)
pt | CreateFloatingDockSite (TControl)
pt | CreateHandle (TWinControl)
pt | CreateParams (TWinControl)
pt | CreateParams (TCustomButton)
 | CreateParented (TWinControl)
 | CreateParentedControl (TWinControl)
pt | CreateSubClass (TWinControl)
pt | CreateWnd (TWinControl)
pt | CreateWnd (TCustomButton)
pt | CustomAlignInsertBefore (TWinControl)
pt | CustomAlignPosition (TWinControl)
pt | DblClick (TControl)
 | DecLCLRefCount (TLCLComponent)
 | DefaultHandler (TObject)
 | DefaultHandler (TWinControl)
 | DefaultHandlerStr (TObject)
 | DefineProperties (TPersistent)
 | DefineProperties (TComponent)
pt | DefineProperties (TControl)
 | Destroy (TObject)
 | Destroy (TPersistent)
 | Destroy (TComponent)
 | Destroy (TLCLComponent)
 | Destroy (TControl)
 | Destroy (TWinControl)
 | DestroyComponents (TComponent)
pt | DestroyHandle (TWinControl)
 | Destroying (TComponent)
pt | DestroyWnd (TWinControl)
pt | DialogChar (TControl)
pt | DialogChar (TWinControl)
pt | DialogChar (TCustomButton)
 | DisableAlign (TWinControl)
 | DisableAutoSizing (TControl)
 | Dispatch (TObject)
 | DispatchStr (TObject)
pt | DoAddDockClient (TWinControl)
 | DoAdjustClientRectChange (TWinControl)
pt | DoAlignChildControls (TWinControl)
pt | DoAllAutoSize (TControl)
pt | DoAllAutoSize (TWinControl)
pt | DoAutoAdjustLayout (TControl)
pt | DoAutoSize (TControl)
pt | DoAutoSize (TWinControl)
pt | DoBorderSpacingChange (TControl)
pt | DoCallKeyEventHandler (TControl)
pt | DoCallMouseWheelEventHandler (TControl)
pt | DoCallNotifyHandler (TControl)
pt | DoChildSizingChange (TWinControl)
 | Dock (TControl)
 | DockDrop (TWinControl)
 | Docked (TControl)
pt | DockOver (TWinControl)
pt | DockTrackNoTarget (TControl)
pt | DoConstraintsChange (TControl)
pt | DoConstraintsChange (TWinControl)
pt | DoContextPopup (TControl)
pt | DoDock (TControl)
pt | DoDockClientMsg (TWinControl)
pt | DoDockOver (TWinControl)
pt | DoDragMsg (TControl)
pt | DoDragMsg (TWinControl)
pt | DoEndDock (TControl)
pt | DoEndDrag (TControl)
pt | DoEnter (TWinControl)
pt | DoExit (TWinControl)
pt | DoFixDesignFontPPI (TControl)
pt | DoFlipChildren (TWinControl)
pt | DoFloatMsg (TControl)
pt | DoFloatMsg (TWinControl)
pt | DoGetDockCaption (TWinControl)
pt | DoKeyDownBeforeInterface (TWinControl)
pt | DoKeyPress (TWinControl)
pt | DoKeyUpBeforeInterface (TWinControl)
pt | DoMouseWheel (TControl)
pt | DoMouseWheelDown (TControl)
pt | DoMouseWheelHorz (TControl)
pt | DoMouseWheelLeft (TControl)
pt | DoMouseWheelRight (TControl)
pt | DoMouseWheelUp (TControl)
pt | DoOnChange (TButtonControl)
pt | DoOnChangeBounds (TControl)
pt | DoOnParentHandleDestruction (TControl)
pt | DoOnResize (TControl)
pt | DoOnShowHint (TControl)
pt | DoRemainingKeyDown (TWinControl)
pt | DoRemainingKeyUp (TWinControl)
pt | DoRemoveDockClient (TWinControl)
pt | DoScaleFontPPI (TControl)
pt | DoSendBoundsToInterface (TWinControl)
pt | DoSendShowHideToInterface (TWinControl)
pt | DoSetBounds (TControl)
pt | DoSetBounds (TWinControl)
pt | DoStartDock (TControl)
pt | DoStartDrag (TControl)
pt | DoUnDock (TWinControl)
pt | DoUndockClientMsg (TWinControl)
pt | DoUTF8KeyPress (TWinControl)
pt | DragCanceled (TControl)
 | DragDrop (TControl)
 | Dragging (TControl)
pt | DragOver (TControl)
 | EditingDone (TControl)
 | EnableAlign (TWinControl)
 | EnableAutoSizing (TControl)
pt | EnabledChanged (TControl)
pt | EnabledChanging (TControl)
pt | EndAutoSizing (TControl)
 | EndDrag (TControl)
 | EndUpdateBounds (TWinControl)
 | Equals (TObject)
 | EraseBackground (TWinControl)
 | ExecuteAction (TComponent)
 | ExecuteCancelAction (TControl)
 | ExecuteCancelAction (TCustomButton)
 | ExecuteDefaultAction (TControl)
 | ExecuteDefaultAction (TCustomButton)
 | FieldAddress (TObject)
pt | FinalizeWnd (TWinControl)
 | FindChildControl (TWinControl)
 | FindComponent (TComponent)
pt | FindNextControl (TWinControl)
 | FixDesignFontsPPI (TControl)
pt | FixupTabList (TWinControl)
 | FlipChildren (TWinControl)
 | Focused (TWinControl)
pt | FontChanged (TControl)
pt | FontChanged (TWinControl)
pt | ForeignAnchorSideChanged (TControl)
pt | FormEndUpdated (TControl)
pt | FormEndUpdated (TWinControl)
 | FormIsUpdating (TControl)
 | FPOAttachObserver (TPersistent)
 | FPODetachObserver (TPersistent)
 | FPONotifyObservers (TPersistent)
 | Free (TObject)
 | FreeInstance (TObject)
 | FreeNotification (TComponent)
 | FreeOnRelease (TComponent)
 | GetAccessibleObject (TControl)
pt | GetAction (TControl)
pt | GetActionLinkClass (TControl)
pt | GetActionLinkClass (TButtonControl)
pt | GetAdjustedLogicalClientRect (TWinControl)
 | GetAnchorsDependingOnParent (TControl)
pt | GetBorderStyle (TWinControl)
pt | GetCachedText (TControl)
 | GetCanvasScaleFactor (TControl)
pt | GetChecked (TButtonControl)
 | GetChildAccessibleObjectAtPos (TControl)
 | GetChildOwner (TComponent)
 | GetChildParent (TComponent)
 | GetChildren (TComponent)
pt | GetChildren (TWinControl)
 | GetChildrenRect (TControl)
 | GetChildrenRect (TWinControl)
pt | GetClientOrigin (TControl)
pt | GetClientOrigin (TWinControl)
pt | GetClientRect (TControl)
pt | GetClientRect (TWinControl)
pt | GetClientScrollOffset (TControl)
 | GetColorResolvingParent (TControl)
 | GetComObject (TComponent)
 | GetComponent (TComponent)
 | GetComponentCount (TComponent)
 | GetComponentIndex (TComponent)
pt | GetControlClassDefaultSize (TControl)
pt | GetControlClassDefaultSize (TCustomButton)
 | GetControlIndex (TWinControl)
pt | GetControlOrigin (TControl)
pt | GetControlOrigin (TWinControl)
pt | GetCursor (TControl)
 | GetDefaultColor (TControl)
pt | GetDefaultDockCaption (TControl)
 | GetDefaultHeight (TControl)
 | GetDefaultWidth (TControl)
pt | GetDeviceContext (TControl)
pt | GetDeviceContext (TWinControl)
 | GetDockCaption (TWinControl)
pt | GetDockEdge (TControl)
pt | GetDragImages (TControl)
pt | GetEnabled (TControl)
 | GetEnumerator (TComponent)
 | GetEnumeratorControls (TWinControl)
 | GetEnumeratorControlsReverse (TWinControl)
pt | GetFloating (TControl)
pt | GetFloatingDockSiteClass (TControl)
 | GetHashCode (TObject)
 | GetIDsOfNames (TComponent)
 | GetInterface (TObject)
 | GetInterfaceByStr (TObject)
 | GetInterfaceEntry (TObject)
 | GetInterfaceEntryByStr (TObject)
 | GetInterfaceTable (TObject)
 | GetInterfaceWeak (TObject)
pt | GetLogicalClientRect (TControl)
pt | GetMouseCapture (TControl)
pt | GetMouseCapture (TWinControl)
pt | GetMousePosFromMessage (TControl)
 | GetNamePath (TPersistent)
 | GetNamePath (TComponent)
 | GetOwner (TPersistent)
 | GetOwner (TComponent)
pt | GetPalette (TControl)
pt | GetParentBackground (TWinControl)
 | GetParentComponent (TComponent)
 | GetParentComponent (TControl)
pt | GetParentHandle (TWinControl)
pt | GetPopupMenu (TControl)
 | GetPreferredSize (TControl)
pt | GetPreferredSizeClientFrame (TWinControl)
 | GetRGBColorResolvingParent (TControl)
pt | GetScrolledClientRect (TControl)
 | GetSelectedChildAccessibleObject (TControl)
 | GetSidePosition (TControl)
pt | GetSiteInfo (TWinControl)
 | GetTabOrderList (TWinControl)
 | GetTextBuf (TControl)
 | GetTextLen (TControl)
 | GetTextLen (TWinControl)
 | GetTopParent (TControl)
pt | GetTopParentHandle (TWinControl)
 | GetTypeInfo (TComponent)
 | GetTypeInfoCount (TComponent)
pt | GetWSComponentClass (TLCLComponent)
 | HandleAllocated (TWinControl)
 | HandleNeeded (TWinControl)
 | HandleObjectShouldBeVisible (TControl)
 | HasHelp (TControl)
 | HasParent (TComponent)
 | HasParent (TControl)
pt | HeightIsAnchored (TControl)
 | Hide (TControl)
 | iicrGetComponent (TComponent)
 | IncLCLRefCount (TLCLComponent)
 | InheritsFrom (TObject)
pt | InitializeWnd (TWinControl)
 | InitiateAction (TControl)
 | InitInstance (TObject)
 | Insert (TComponent)
 | InsertComponent (TComponent)
 | InsertControl (TWinControl)
 | InstanceSize (TObject)
 | IntfGetDropFilesTarget (TWinControl)
 | IntfUTF8KeyPress (TWinControl)
 | Invalidate (TControl)
 | Invalidate (TWinControl)
pt | InvalidateBoundsRealized (TWinControl)
 | InvalidateClientRectCache (TWinControl)
pt | InvalidateControl (TControl)
pt | InvalidatePreferredChildSizes (TWinControl)
 | InvalidatePreferredSize (TControl)
 | Invoke (TComponent)
pt | IsAParentAligning (TControl)
pt | IsBorderSpacingInnerBorderStored (TControl)
pt | IsCaptionStored (TControl)
pt | IsClientHeightStored (TControl)
pt | IsClientHeightStored (TWinControl)
pt | IsClientWidthStored (TControl)
pt | IsClientWidthStored (TWinControl)
pt | IsControlMouseMsg (TWinControl)
 | IsControlVisible (TControl)
 | IsEnabled (TControl)
 | IsImplementorOf (TComponent)
 | IsParentColor (TControl)
 | IsParentFont (TControl)
 | IsParentOf (TControl)
 | IsProcessingPaintMsg (TControl)
 | IsRightToLeft (TControl)
 | IsVisible (TControl)
pt | KeyDown (TWinControl)
pt | KeyDownAfterInterface (TWinControl)
pt | KeyDownBeforeInterface (TWinControl)
pt | KeyPress (TWinControl)
pt | KeyUp (TWinControl)
pt | KeyUpAfterInterface (TWinControl)
pt | KeyUpBeforeInterface (TWinControl)
pt | LMCaptureChanged (TControl)
 | Loaded (TComponent)
pt | Loaded (TControl)
pt | Loaded (TWinControl)
pt | Loaded (TCustomButton)
pt | LoadedAll (TControl)
 | Loading (TComponent)
 | LockRealizeBounds (TWinControl)
pt | MainWndProc (TWinControl)
 | ManualDock (TControl)
 | ManualFloat (TControl)
 | MethodAddress (TObject)
 | MethodName (TObject)
pt | MouseDown (TControl)
pt | MouseEnter (TControl)
pt | MouseLeave (TControl)
pt | MouseMove (TControl)
pt | MouseUp (TControl)
 | newinstance (TObject)
 | NewInstance (TLCLComponent)
 | Notification (TComponent)
pt | Notification (TControl)
 | NotifyControls (TWinControl)
pt | PaintControls (TWinControl)
pt | PaintHandler (TWinControl)
 | PaintTo (TWinControl)
pt | PaintWindow (TWinControl)
 | PaletteCreated (TComponent)
 | ParentDestroyingHandle (TControl)
pt | ParentFontChanged (TControl)
pt | ParentFormHandleInitialized (TControl)
pt | ParentFormHandleInitialized (TWinControl)
 | ParentHandlesAllocated (TControl)
 | ParentHandlesAllocated (TWinControl)
 | ParentToClient (TControl)
 | Perform (TControl)
 | PerformTab (TWinControl)
pt | PositionDockRect (TControl)
pt | QuadClick (TControl)
 | QueryInterface (TComponent)
 | ReadLeft (TComponent)
 | ReadState (TComponent)
pt | ReadState (TControl)
 | ReadTop (TComponent)
pt | RealGetText (TControl)
pt | RealGetText (TWinControl)
 | ReAlign (TWinControl)
pt | RealizeBounds (TWinControl)
pt | RealizeBoundsRecursive (TWinControl)
pt | RealSetText (TControl)
pt | RealSetText (TWinControl)
 | ReferenceInterface (TComponent)
 | Refresh (TControl)
pt | ReloadDockedControl (TWinControl)
 | Remove (TComponent)
 | RemoveAllHandlersOfObject (TLCLComponent)
 | RemoveAllHandlersOfObject (TControl)
 | RemoveComponent (TComponent)
 | RemoveControl (TWinControl)
pt | RemoveFocus (TWinControl)
 | RemoveFreeNotification (TComponent)
pt | RemoveHandler (TControl)
 | RemoveHandlerOnBeforeDestruction (TControl)
 | RemoveHandlerOnChangeBounds (TControl)
 | RemoveHandlerOnEnableChanging (TControl)
 | RemoveHandlerOnKeyDown (TControl)
 | RemoveHandlerOnMouseWheel (TControl)
 | RemoveHandlerOnResize (TControl)
 | RemoveHandlerOnVisibleChanged (TControl)
 | RemoveHandlerOnVisibleChanging (TControl)
 | RemoveNotification (TComponent)
 | Repaint (TControl)
 | Repaint (TWinControl)
 | ReplaceDockedControl (TControl)
pt | RequestAlign (TControl)
pt | Resize (TControl)
 | SafeCallException (TObject)
 | SafeCallException (TComponent)
 | Scale96ToFont (TControl)
 | Scale96ToForm (TControl)
 | Scale96ToScreen (TControl)
 | ScaleBy (TWinControl)
pt | ScaleConstraints (TControl)
pt | ScaleControls (TWinControl)
 | ScaleDesignToForm (TControl)
 | ScaleFontsPPI (TControl)
 | ScaleFontTo96 (TControl)
 | ScaleFontToScreen (TControl)
 | ScaleFormTo96 (TControl)
 | ScaleFormToDesign (TControl)
 | ScaleScreenTo96 (TControl)
 | ScaleScreenToFont (TControl)
 | ScreenToClient (TControl)
 | ScreenToControl (TControl)
 | ScrollBy (TWinControl)
 | ScrollBy_WS (TWinControl)
pt | SelectFirst (TWinControl)
 | SelectNext (TWinControl)
pt | SendDialogChar (TWinControl)
pt | SendMoveSizeMessages (TControl)
pt | SendMoveSizeMessages (TWinControl)
 | SendToBack (TControl)
pt | SetAction (TControl)
pt | SetAlign (TControl)
 | SetAncestor (TComponent)
pt | SetAnchors (TControl)
pt | SetAutoSize (TControl)
pt | SetBiDiMode (TControl)
pt | SetBorderStyle (TWinControl)
 | SetBounds (TControl)
 | SetBounds (TWinControl)
 | SetBoundsKeepBase (TControl)
pt | SetChecked (TButtonControl)
 | SetChildOrder (TComponent)
pt | SetChildZPosition (TWinControl)
pt | SetColor (TControl)
pt | SetColor (TWinControl)
 | SetComponentIndex (TComponent)
 | SetControlIndex (TWinControl)
pt | SetCursor (TControl)
 | SetDesigning (TComponent)
 | SetDesignInstance (TComponent)
pt | SetDockManager (TWinControl)
pt | SetDragMode (TControl)
pt | SetEnabled (TControl)
 | SetFocus (TWinControl)
pt | SetHint (TControl)
 | SetInitialBounds (TControl)
 | SetInline (TComponent)
 | SetName (TComponent)
pt | SetName (TControl)
pt | SetParent (TControl)
pt | SetParentBackground (TWinControl)
pt | SetParentBiDiMode (TControl)
 | SetParentComponent (TComponent)
pt | SetParentComponent (TControl)
 | SetReference (TComponent)
 | SetShape (TWinControl)
 | SetSubComponent (TComponent)
 | SetTempCursor (TControl)
 | SetTempCursor (TWinControl)
 | SetTextBuf (TControl)
pt | SetVisible (TControl)
pt | SetZOrder (TControl)
 | ShouldAutoAdjust (TControl)
 | Show (TControl)
pt | ShowControl (TWinControl)
 | ShowHelp (TControl)
 | StringMessageTable (TObject)
pt | TextChanged (TControl)
pt | TextChanged (TCustomButton)
 | ToString (TObject)
pt | TripleClick (TControl)
 | UnitName (TObject)
 | UnlockRealizeBounds (TWinControl)
 | Update (TControl)
 | Update (TWinControl)
 | UpdateAction (TComponent)
pt | UpdateAnchorRules (TControl)
 | UpdateBaseBounds (TControl)
pt | UpdateControlState (TWinControl)
 | Updated (TComponent)
pt | UpdateDefaultCancel (TCustomButton)
 | UpdateDockCaption (TWinControl)
pt | UpdateMouseCursor (TControl)
 | UpdateRegistry (TComponent)
 | UpdateRolesForForm (TControl)
 | UpdateRolesForForm (TCustomButton)
pt | UpdateShowing (TWinControl)
 | Updating (TComponent)
 | UseRightToLeftAlignment (TControl)
 | UseRightToLeftAlignment (TCustomButton)
 | UseRightToLeftReading (TControl)
 | UseRightToLeftScrollBar (TControl)
pt | UTF8KeyPress (TWinControl)
 | ValidateContainer (TComponent)
 | ValidateInsert (TComponent)
 | ValidateRename (TComponent)
pt | VisibleChanged (TControl)
pt | VisibleChanging (TControl)
pt | WidthIsAnchored (TControl)
pt | WMCancelMode (TControl)
pt | WMChar (TWinControl)
pt | WMContextMenu (TControl)
pt | WMContextMenu (TWinControl)
pt | WMDestroy (TWinControl)
pt | WMEnter (TWinControl)
pt | WMEraseBkgnd (TWinControl)
pt | WMExit (TWinControl)
pt | WMKeyDown (TWinControl)
pt | WMKeyUp (TWinControl)
pt | WMKillFocus (TWinControl)
pt | WMLButtonDBLCLK (TControl)
pt | WMLButtonDown (TControl)
pt | WMLButtonQuadCLK (TControl)
pt | WMLButtonTripleCLK (TControl)
pt | WMLButtonUp (TControl)
pt | WMMButtonDBLCLK (TControl)
pt | WMMButtonDown (TControl)
pt | WMMButtonQuadCLK (TControl)
pt | WMMButtonTripleCLK (TControl)
pt | WMMButtonUp (TControl)
pt | WMMouseHWheel (TControl)
pt | WMMouseMove (TControl)
pt | WMMouseWheel (TControl)
pt | WMMove (TControl)
pt | WMMove (TWinControl)
pt | WMNotify (TWinControl)
pt | WMPaint (TWinControl)
pt | WMRButtonDBLCLK (TControl)
pt | WMRButtonDown (TControl)
pt | WMRButtonQuadCLK (TControl)
pt | WMRButtonTripleCLK (TControl)
pt | WMRButtonUp (TControl)
pt | WMSetFocus (TWinControl)
pt | WMShowWindow (TWinControl)
pt | WMSize (TControl)
pt | WMSize (TWinControl)
pt | WMSysChar (TWinControl)
pt | WMSysKeyDown (TWinControl)
pt | WMSysKeyUp (TWinControl)
pt | WMWindowPosChanged (TControl)
pt | WMWindowPosChanged (TWinControl)
pt | WMXButtonDBLCLK (TControl)
pt | WMXButtonDown (TControl)
pt | WMXButtonQuadCLK (TControl)
pt | WMXButtonTripleCLK (TControl)
pt | WMXButtonUp (TControl)
pt | WndProc (TControl)
pt | WndProc (TWinControl)
 | WriteLayoutDebugReport (TControl)
 | WriteLayoutDebugReport (TWinControl)
 | WriteLeft (TComponent)
 | WriteState (TComponent)
 | WriteTop (TComponent)
pt | WSRegisterClass (TLCLComponent)
pt | WSRegisterClass (TControl)
pt | WSRegisterClass (TWinControl)
pt | WSRegisterClass (TButtonControl)
pt | WSRegisterClass (TCustomButton)
pt | WSSetDefault (TCustomButton)
pt | WSSetText (TWinControl)
pt | WSSetText (TCustomButton)
 | _AddRef (TComponent)
 | _Release (TComponent)


TButton
pl | ro | OnChangeBounds
pl | ro | OnClick
pl | ro | OnContextPopup
pl | ro | OnDragDrop
pl | ro | OnDragOver
pl | ro | OnEndDrag
pl | ro | OnEnter
pl | ro | OnExit
pl | ro | OnKeyDown
pl | ro | OnKeyPress
pl | ro | OnKeyUp
pl | ro | OnMouseDown
pl | ro | OnMouseEnter
pl | ro | OnMouseLeave
pl | ro | OnMouseMove
pl | ro | OnMouseUp
pl | ro | OnMouseWheel
pl | ro | OnMouseWheelDown
pl | ro | OnMouseWheelUp
pl | ro | OnResize
pl | ro | OnStartDrag
pl | ro | OnUTF8KeyPress
TCustomButton
TButtonControl
pt |  | OnChange
TWinControl
pt |  | OnGetSiteInfo
pt |  | OnGetDockCaption
 |  | OnAlignInsertBefore
 |  | OnAlignPosition
 |  | OnDockDrop
 |  | OnDockOver
 |  | OnEnter
 |  | OnExit
 |  | OnKeyDown
 |  | OnKeyPress
 |  | OnKeyUp
 |  | OnUnDock
 |  | OnUTF8KeyPress
TControl
pt |  | OnConstrainedResize
pt |  | OnContextPopup
pt |  | OnDblClick
pt |  | OnTripleClick
pt |  | OnQuadClick
pt |  | OnDragDrop
pt |  | OnDragOver
pt |  | OnEndDock
pt |  | OnEndDrag
pt |  | OnMouseDown
pt |  | OnMouseMove
pt |  | OnMouseUp
pt |  | OnMouseEnter
pt |  | OnMouseLeave
pt |  | OnMouseWheel
pt |  | OnMouseWheelDown
pt |  | OnMouseWheelUp
pt |  | OnMouseWheelHorz
pt |  | OnMouseWheelLeft
pt |  | OnMouseWheelRight
pt |  | OnStartDock
pt |  | OnStartDrag
pt |  | OnEditingDone
 |  | OnChangeBounds
 |  | OnClick
 |  | OnResize
 |  | OnShowHint
TLCLComponent
TComponent
TPersistent
TObject


TButton.DoubleBuffered

Declaration

Source position: stdctrls.pp line 1247

published property TButton.DoubleBuffered : Boolean;


TButton.DragKind

Declaration

Source position: stdctrls.pp line 1249

published property TButton.DragKind : TDragKind;


TButton.OnMouseWheel

Declaration

Source position: stdctrls.pp line 1271

published property TButton.OnMouseWheel : TMouseWheelEvent;


TButton.OnMouseWheelDown

Declaration

Source position: stdctrls.pp line 1272

published property TButton.OnMouseWheelDown : TMouseWheelUpDownEvent;


TButton.OnMouseWheelUp

Declaration

Source position: stdctrls.pp line 1273

published property TButton.OnMouseWheelUp : TMouseWheelUpDownEvent;


TButton.ParentDoubleBuffered

Declaration

Source position: stdctrls.pp line 1277

published property TButton.ParentDoubleBuffered : Boolean;


TButtonActionLink

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Links an button to an action.

Declaration

Source position: stdctrls.pp line 1167

type TButtonActionLink = class(TWinControlActionLink)
protected
FClientButton: TButtonControl; | The button to which this action applies.
procedure AssignClient(); override; | Installs the client button.
procedure SetChecked(); override; | Sets the Checked property of the linked button.
public
function IsCheckedLinked; override; | Is the action's Checked property linked to the client?
end;

Inheritance

TButtonActionLink

Links an button to an action.
|

TWinControlActionLink
?

TObject


TButtonActionLink


TButtonActionLink
pt | AssignClient
pt | SetChecked
 | IsCheckedLinked


pt | AssignClient (TButtonActionLink)
 | IsCheckedLinked (TButtonActionLink)
pt | SetChecked (TButtonActionLink)


TButtonActionLink.AssignClient

Installs the client button.

Declaration

Source position: stdctrls.pp line 1170

protected procedure TButtonActionLink.AssignClient(

  AClient: TObject

); override;

See also

TBasicActionLink.AssignClient


TButtonActionLink.FClientButton

The button to which this action applies.

Declaration

Source position: stdctrls.pp line 1169

protected TButtonActionLink.FClientButton : TButtonControl;


TButtonActionLink.SetChecked

Sets the Checked property of the linked button.

Declaration

Source position: stdctrls.pp line 1171

protected procedure TButtonActionLink.SetChecked(

  Value: Boolean

); override;

See also

TActionLink.SetChecked

SetChecked - specifies the value of the Checked property: True or False


TButtonActionLinkClass

class of TButtonActionLink

Declaration

Source position: stdctrls.pp line 1176

type TButtonActionLinkClass = class of TButtonActionLink;


TButtonControl

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

The base class for various button controls.

Declaration

Source position: stdctrls.pp line 1144

type TButtonControl = class(TWinControl)
protected
class procedure WSRegisterClass; override; | Registers this component class with the current WidgetSet.
function GetActionLinkClass; override;
function GetChecked; virtual;
procedure SetChecked(); virtual;
procedure DoOnChange; virtual; | Invokes the OnChange handler.
procedure Click; override; | Invokes the OnClick and ActionLink.Execute handlers.
property Checked: Boolean; [rws] | The state of the check mark. Here always False, can be implemented in derived classes.
property ClicksDisabled: Boolean; [rw] | Allows to disable clicks, without showing the button as disabled.
property OnChange: TNotifyEvent; [rw] | Handler for any change in properties of the control.
public
constructor Create(); override;
end;

Inheritance

TButtonControl | The base class for various button controls.
|
TWinControl | The base class for controls which can contain other (child) controls.
|
TControl | The base class for visible controls.
|
TLCLComponent | The base class for LCL components associated with widgets.
|
TComponent,IUnknown,IInterfaceComponentReference
|
TPersistent,IFPObserved
|
TObject


TButtonControl
pt |  | Checked
pt |  | ClicksDisabled
TWinControl
pt |  | WindowHandle
pt |  | BorderStyle
pt |  | ParentBackground
 |  | BorderWidth
 | ro | BoundsLockCount
 | ro | Brush
 | ro | CachedClientHeight
 | ro | CachedClientWidth
 |  | ChildSizing
 | ro | ControlCount
 | ro | Controls
 |  | DefWndProc
 | ro | DockClientCount
 | ro | DockClients
 |  | DockManager
 |  | DockSite
 |  | DoubleBuffered
 |  | Handle
 | ro | IsFlipped
 | ro | IsResizing
 |  | TabOrder
 |  | TabStop
 |  | ParentDoubleBuffered
 |  | ParentWindow
 | ro | Showing
 |  | UseDockManager
 |  | DesignerDeleting
 | ro | VisibleDockClientCount
TControl
pt | ro | AutoSizing
pt | ro | AutoSizingAll
pt | ro | AutoSizingLockCount
pt |  | ActionLink
pt |  | DesktopFont
pt |  | DragCursor
pt |  | DragKind
pt |  | DragMode
pt |  | MouseCapture
pt |  | ParentColor
pt |  | ParentFont
pt |  | ParentShowHint
pt |  | SessionProperties
pt |  | Text
 | ro | AnchoredControls
 | ro | BaseBounds
 | ro | ReadBounds
 | ro | BaseParentClientSize
 |  | AccessibleDescription
 |  | AccessibleValue
 |  | AccessibleRole
 |  | Action
 |  | Align
 |  | Anchors
 | ro | AnchorSide
 |  | AutoSize
 |  | BorderSpacing
 |  | BoundsRect
 |  | BoundsRectForNewParent
 |  | Caption
 |  | CaptureMouseButtons
 |  | ClientHeight
 | ro | ClientOrigin
 | ro | ClientRect
 |  | ClientWidth
 |  | Color
 |  | Constraints
 | ro | ControlOrigin
 |  | ControlState
 |  | ControlStyle
 |  | Enabled
 |  | Font
 |  | IsControl
 | ro | MouseEntered
 | ro | MouseInClient
 |  | Parent
 |  | PopupMenu
 |  | ShowHint
 |  | Visible
 |  | WindowProc
 |  | DockOrientation
 | ro | Floating
 |  | FloatingDockSiteClass
 |  | HostDockSite
 |  | LRDockWidth
 |  | TBDockHeight
 |  | UndockHeight
 |  | UndockWidth
 |  | BiDiMode
 |  | ParentBiDiMode
pl |  | AnchorSideLeft
pl |  | AnchorSideTop
pl |  | AnchorSideRight
pl |  | AnchorSideBottom
pl |  | Cursor
pl |  | Left
pl |  | Height
pl |  | Hint
pl |  | Top
pl |  | Width
pl |  | HelpType
pl |  | HelpKeyword
pl |  | HelpContext
TLCLComponent
 | ro | LCLRefCount
 | ro | WidgetSetClass
TComponent
 | ro | ComObject
 | ro | Components
 | ro | ComponentCount
 |  | ComponentIndex
 | ro | ComponentState
 | ro | ComponentStyle
 |  | DesignInfo
 | ro | Owner
 |  | VCLComObject
 |  | Name
 |  | Tag
TPersistent
TObject


 |  | AccessibleDescription (TControl)
 |  | AccessibleRole (TControl)
 |  | AccessibleValue (TControl)
 |  | Action (TControl)
pt |  | ActionLink (TControl)
 |  | Align (TControl)
 | ro | AnchoredControls (TControl)
 |  | Anchors (TControl)
 | ro | AnchorSide (TControl)
pl |  | AnchorSideBottom (TControl)
pl |  | AnchorSideLeft (TControl)
pl |  | AnchorSideRight (TControl)
pl |  | AnchorSideTop (TControl)
 |  | AutoSize (TControl)
pt | ro | AutoSizing (TControl)
pt | ro | AutoSizingAll (TControl)
pt | ro | AutoSizingLockCount (TControl)
 | ro | BaseBounds (TControl)
 | ro | BaseParentClientSize (TControl)
 |  | BiDiMode (TControl)
 |  | BorderSpacing (TControl)
pt |  | BorderStyle (TWinControl)
 |  | BorderWidth (TWinControl)
 | ro | BoundsLockCount (TWinControl)
 |  | BoundsRect (TControl)
 |  | BoundsRectForNewParent (TControl)
 | ro | Brush (TWinControl)
 | ro | CachedClientHeight (TWinControl)
 | ro | CachedClientWidth (TWinControl)
 |  | Caption (TControl)
 |  | CaptureMouseButtons (TControl)
pt |  | Checked (TButtonControl)
 |  | ChildSizing (TWinControl)
pt |  | ClicksDisabled (TButtonControl)
 |  | ClientHeight (TControl)
 | ro | ClientOrigin (TControl)
 | ro | ClientRect (TControl)
 |  | ClientWidth (TControl)
 |  | Color (TControl)
 | ro | ComObject (TComponent)
 | ro | ComponentCount (TComponent)
 |  | ComponentIndex (TComponent)
 | ro | Components (TComponent)
 | ro | ComponentState (TComponent)
 | ro | ComponentStyle (TComponent)
 |  | Constraints (TControl)
 | ro | ControlCount (TWinControl)
 | ro | ControlOrigin (TControl)
 | ro | Controls (TWinControl)
 |  | ControlState (TControl)
 |  | ControlStyle (TControl)
pl |  | Cursor (TControl)
 |  | DefWndProc (TWinControl)
 |  | DesignerDeleting (TWinControl)
 |  | DesignInfo (TComponent)
pt |  | DesktopFont (TControl)
 | ro | DockClientCount (TWinControl)
 | ro | DockClients (TWinControl)
 |  | DockManager (TWinControl)
 |  | DockOrientation (TControl)
 |  | DockSite (TWinControl)
 |  | DoubleBuffered (TWinControl)
pt |  | DragCursor (TControl)
pt |  | DragKind (TControl)
pt |  | DragMode (TControl)
 |  | Enabled (TControl)
 | ro | Floating (TControl)
 |  | FloatingDockSiteClass (TControl)
 |  | Font (TControl)
 |  | Handle (TWinControl)
pl |  | Height (TControl)
pl |  | HelpContext (TControl)
pl |  | HelpKeyword (TControl)
pl |  | HelpType (TControl)
pl |  | Hint (TControl)
 |  | HostDockSite (TControl)
 |  | IsControl (TControl)
 | ro | IsFlipped (TWinControl)
 | ro | IsResizing (TWinControl)
 | ro | LCLRefCount (TLCLComponent)
pl |  | Left (TControl)
 |  | LRDockWidth (TControl)
pt |  | MouseCapture (TControl)
 | ro | MouseEntered (TControl)
 | ro | MouseInClient (TControl)
 |  | Name (TComponent)
 | ro | Owner (TComponent)
 |  | Parent (TControl)
pt |  | ParentBackground (TWinControl)
 |  | ParentBiDiMode (TControl)
pt |  | ParentColor (TControl)
 |  | ParentDoubleBuffered (TWinControl)
pt |  | ParentFont (TControl)
pt |  | ParentShowHint (TControl)
 |  | ParentWindow (TWinControl)
 |  | PopupMenu (TControl)
 | ro | ReadBounds (TControl)
pt |  | SessionProperties (TControl)
 |  | ShowHint (TControl)
 | ro | Showing (TWinControl)
 |  | TabOrder (TWinControl)
 |  | TabStop (TWinControl)
 |  | Tag (TComponent)
 |  | TBDockHeight (TControl)
pt |  | Text (TControl)
pl |  | Top (TControl)
 |  | UndockHeight (TControl)
 |  | UndockWidth (TControl)
 |  | UseDockManager (TWinControl)
 |  | VCLComObject (TComponent)
 |  | Visible (TControl)
 | ro | VisibleDockClientCount (TWinControl)
 | ro | WidgetSetClass (TLCLComponent)
pl |  | Width (TControl)
pt |  | WindowHandle (TWinControl)
 |  | WindowProc (TControl)


TButtonControl
pt | WSRegisterClass
pt | GetActionLinkClass
pt | GetChecked
pt | SetChecked
pt | DoOnChange
pt | Click
 | Create
TWinControl
pt | WSRegisterClass
pt | AdjustClientRect
pt | GetAdjustedLogicalClientRect
pt | AlignControls
pt | CustomAlignInsertBefore
pt | CustomAlignPosition
pt | DoAlignChildControls
pt | DoChildSizingChange
pt | InvalidatePreferredChildSizes
pt | CanTab
pt | IsClientHeightStored
pt | IsClientWidthStored
pt | DoSendShowHideToInterface
pt | ControlsAligned
pt | DoSendBoundsToInterface
pt | RealizeBounds
pt | RealizeBoundsRecursive
pt | InvalidateBoundsRealized
pt | CreateSubClass
pt | DoConstraintsChange
pt | DoSetBounds
pt | DoAutoSize
pt | DoAllAutoSize
pt | AllAutoSized
pt | CalculatePreferredSize
pt | GetPreferredSizeClientFrame
pt | GetChildren
pt | ChildClassAllowed
pt | PaintControls
pt | PaintHandler
pt | PaintWindow
pt | CreateBrush
pt | ScaleControls
pt | ChangeScale
pt | CMBiDiModeChanged
pt | CMBorderChanged
pt | CMDoubleBufferedChanged
pt | CMEnabledChanged
pt | CMParentDoubleBufferedChanged
pt | CMShowingChanged
pt | CMShowHintChanged
pt | CMVisibleChanged
pt | CMEnter
pt | CMExit
pt | WMContextMenu
pt | WMEraseBkgnd
pt | WMNotify
pt | WMSetFocus
pt | WMKillFocus
pt | WMShowWindow
pt | WMEnter
pt | WMExit
pt | WMKeyDown
pt | WMSysKeyDown
pt | WMKeyUp
pt | WMSysKeyUp
pt | WMChar
pt | WMSysChar
pt | WMPaint
pt | WMDestroy
pt | WMMove
pt | WMSize
pt | WMWindowPosChanged
pt | CNKeyDown
pt | CNSysKeyDown
pt | CNKeyUp
pt | CNSysKeyUp
pt | CNChar
pt | DoDragMsg
pt | DoDockClientMsg
pt | DoUndockClientMsg
pt | DoAddDockClient
pt | DockOver
pt | DoDockOver
pt | DoRemoveDockClient
pt | DoUnDock
pt | GetSiteInfo
pt | GetParentHandle
pt | GetTopParentHandle
pt | ReloadDockedControl
pt | CreateDockManager
pt | SetDockManager
pt | DoFloatMsg
pt | DoGetDockCaption
pt | DoEnter
pt | DoExit
pt | DoKeyDownBeforeInterface
pt | DoRemainingKeyDown
pt | DoRemainingKeyUp
pt | DoKeyPress
pt | DoUTF8KeyPress
pt | DoKeyUpBeforeInterface
pt | ChildKey
pt | SendDialogChar
pt | DialogChar
pt | ControlKeyDown
pt | ControlKeyUp
pt | KeyDown
pt | KeyDownBeforeInterface
pt | KeyDownAfterInterface
pt | KeyPress
pt | KeyUp
pt | KeyUpBeforeInterface
pt | KeyUpAfterInterface
pt | UTF8KeyPress
pt | FindNextControl
pt | SelectFirst
pt | RealGetText
pt | GetBorderStyle
pt | GetClientOrigin
pt | GetClientRect
pt | GetControlOrigin
pt | GetDeviceContext
pt | GetParentBackground
pt | IsControlMouseMsg
pt | CreateHandle
pt | CreateParams
pt | CreateWnd
pt | DestroyHandle
pt | DestroyWnd
pt | DoFlipChildren
pt | FinalizeWnd
pt | FixupTabList
pt | FontChanged
pt | InitializeWnd
pt | Loaded
pt | FormEndUpdated
pt | MainWndProc
pt | ParentFormHandleInitialized
pt | ChildHandlesCreated
pt | GetMouseCapture
pt | RealSetText
pt | RemoveFocus
pt | SendMoveSizeMessages
pt | SetBorderStyle
pt | SetColor
pt | SetChildZPosition
pt | SetParentBackground
pt | ShowControl
pt | UpdateControlState
pt | UpdateShowing
pt | WndProc
pt | WSSetText
 | AutoSizePhases
 | AutoSizeDelayed
 | AutoSizeDelayedReport
 | AutoSizeDelayedHandle
 | BeginUpdateBounds
 | EndUpdateBounds
 | LockRealizeBounds
 | UnlockRealizeBounds
 | ControlAtPos
 | ContainsControl
 | DoAdjustClientRectChange
 | InvalidateClientRectCache
 | ClientRectNeedsInterfaceUpdate
 | SetBounds
 | GetChildrenRect
 | DisableAlign
 | EnableAlign
 | ReAlign
 | ScrollBy_WS
 | ScrollBy
 | WriteLayoutDebugReport
 | AutoAdjustLayout
 | Create
 | CreateParented
 | CreateParentedControl
 | Destroy
 | DockDrop
 | CanFocus
 | CanSetFocus
 | GetControlIndex
 | SetControlIndex
 | Focused
 | PerformTab
 | FindChildControl
 | SelectNext
 | SetTempCursor
 | BroadCast
 | NotifyControls
 | DefaultHandler
 | GetTextLen
 | Invalidate
 | AddControl
 | InsertControl
 | RemoveControl
 | GetEnumeratorControls
 | GetEnumeratorControlsReverse
 | Repaint
 | Update
 | SetFocus
 | FlipChildren
 | ScaleBy
 | GetDockCaption
 | UpdateDockCaption
 | GetTabOrderList
 | HandleAllocated
 | ParentHandlesAllocated
 | HandleNeeded
 | BrushCreated
 | EraseBackground
 | IntfUTF8KeyPress
 | IntfGetDropFilesTarget
 | PaintTo
 | SetShape
TControl
pt | WSRegisterClass
pt | GetCursor
pt | SetCursor
pt | SetVisible
pt | DoOnParentHandleDestruction
pt | DoAutoSize
pt | DoAllAutoSize
pt | BeginAutoSizing
pt | EndAutoSizing
pt | AnchorSideChanged
pt | ForeignAnchorSideChanged
pt | SetAlign
pt | SetAnchors
pt | SetAutoSize
pt | BoundsChanged
pt | CreateControlBorderSpacing
pt | DoConstraintsChange
pt | DoBorderSpacingChange
pt | IsBorderSpacingInnerBorderStored
pt | IsCaptionStored
pt | SendMoveSizeMessages
pt | ConstrainedResize
pt | CalculatePreferredSize
pt | DoOnResize
pt | DoOnChangeBounds
pt | CheckOnChangeBounds
pt | Resize
pt | RequestAlign
pt | UpdateAnchorRules
pt | ChangeBounds
pt | DoSetBounds
pt | ScaleConstraints
pt | ChangeScale
pt | CanAutoSize
pt | SetBiDiMode
pt | SetParentBiDiMode
pt | IsAParentAligning
pt | GetClientOrigin
pt | GetClientRect
pt | GetLogicalClientRect
pt | GetScrolledClientRect
pt | GetClientScrollOffset
pt | GetControlOrigin
pt | IsClientHeightStored
pt | IsClientWidthStored
pt | WidthIsAnchored
pt | HeightIsAnchored
pt | WMCancelMode
pt | WMContextMenu
pt | WMLButtonDown
pt | WMRButtonDown
pt | WMMButtonDown
pt | WMXButtonDown
pt | WMLButtonDBLCLK
pt | WMRButtonDBLCLK
pt | WMMButtonDBLCLK
pt | WMXButtonDBLCLK
pt | WMLButtonTripleCLK
pt | WMRButtonTripleCLK
pt | WMMButtonTripleCLK
pt | WMXButtonTripleCLK
pt | WMLButtonQuadCLK
pt | WMRButtonQuadCLK
pt | WMMButtonQuadCLK
pt | WMXButtonQuadCLK
pt | WMMouseMove
pt | WMLButtonUp
pt | WMRButtonUp
pt | WMMButtonUp
pt | WMXButtonUp
pt | WMMouseWheel
pt | WMMouseHWheel
pt | WMMove
pt | WMSize
pt | WMWindowPosChanged
pt | CMChanged
pt | LMCaptureChanged
pt | CMBiDiModeChanged
pt | CMSysFontChanged
pt | CMEnabledChanged
pt | CMHitTest
pt | CMMouseEnter
pt | CMMouseLeave
pt | CMHintShow
pt | CMParentBiDiModeChanged
pt | CMParentColorChanged
pt | CMParentFontChanged
pt | CMParentShowHintChanged
pt | CMVisibleChanged
pt | CMTextChanged
pt | CMCursorChanged
pt | CalculateDockSizes
pt | CreateFloatingDockSite
pt | GetDockEdge
pt | GetDragImages
pt | GetFloating
pt | GetFloatingDockSiteClass
pt | BeforeDragStart
pt | BeginAutoDrag
pt | DoFloatMsg
pt | DockTrackNoTarget
pt | DoDock
pt | DoDragMsg
pt | DoEndDock
pt | DoEndDrag
pt | DoStartDock
pt | DoStartDrag
pt | DragCanceled
pt | DragOver
pt | PositionDockRect
pt | SetDragMode
pt | GetDefaultDockCaption
pt | Click
pt | DblClick
pt | TripleClick
pt | QuadClick
pt | GetMousePosFromMessage
pt | MouseDown
pt | MouseMove
pt | MouseUp
pt | MouseEnter
pt | MouseLeave
pt | DialogChar
pt | UpdateMouseCursor
pt | Changed
pt | GetPalette
pt | ChildClassAllowed
pt | ReadState
pt | Loaded
pt | LoadedAll
pt | DefineProperties
pt | AssignTo
pt | FormEndUpdated
pt | InvalidateControl
pt | FontChanged
pt | ParentFontChanged
pt | GetAction
pt | RealGetText
pt | RealSetText
pt | TextChanged
pt | GetCachedText
pt | SetAction
pt | SetColor
pt | SetEnabled
pt | SetHint
pt | SetName
pt | SetParent
pt | SetParentComponent
pt | WndProc
pt | ParentFormHandleInitialized
pt | GetMouseCapture
pt | CaptureChanged
pt | Notification
pt | CanTab
pt | GetDeviceContext
pt | GetEnabled
pt | GetPopupMenu
pt | DoOnShowHint
pt | DoMouseWheel
pt | DoMouseWheelDown
pt | DoMouseWheelUp
pt | DoMouseWheelHorz
pt | DoMouseWheelLeft
pt | DoMouseWheelRight
pt | VisibleChanging
pt | VisibleChanged
pt | EnabledChanging
pt | EnabledChanged
pt | AddHandler
pt | RemoveHandler
pt | DoCallNotifyHandler
pt | DoCallKeyEventHandler
pt | DoCallMouseWheelEventHandler
pt | DoContextPopup
pt | SetZOrder
pt | GetControlClassDefaultSize
pt | ColorIsStored
pt | DoAutoAdjustLayout
pt | DoFixDesignFontPPI
pt | DoScaleFontPPI
pt | GetActionLinkClass
pt | ActionChange
 | DragDrop
 | Dock
 | ManualDock
 | ManualFloat
 | ReplaceDockedControl
 | Docked
 | Dragging
 | GetAccessibleObject
 | CreateAccessibleObject
 | GetSelectedChildAccessibleObject
 | GetChildAccessibleObjectAtPos
 | ScaleDesignToForm
 | ScaleFormToDesign
 | Scale96ToForm
 | ScaleFormTo96
 | Scale96ToFont
 | ScaleFontTo96
 | ScaleScreenToFont
 | ScaleFontToScreen
 | Scale96ToScreen
 | ScaleScreenTo96
 | AdjustSize
 | AutoSizePhases
 | AutoSizeDelayed
 | AutoSizeDelayedReport
 | AutoSizeDelayedHandle
 | AnchorToNeighbour
 | AnchorParallel
 | AnchorHorizontalCenterTo
 | AnchorVerticalCenterTo
 | AnchorToCompanion
 | AnchorSame
 | AnchorAsAlign
 | AnchorClient
 | AnchoredControlCount
 | SetBounds
 | SetInitialBounds
 | SetBoundsKeepBase
 | GetPreferredSize
 | GetCanvasScaleFactor
 | GetDefaultWidth
 | GetDefaultHeight
 | GetDefaultColor
 | GetColorResolvingParent
 | GetRGBColorResolvingParent
 | GetSidePosition
 | CNPreferredSizeChanged
 | InvalidatePreferredSize
 | GetAnchorsDependingOnParent
 | DisableAutoSizing
 | EnableAutoSizing
 | UpdateBaseBounds
 | WriteLayoutDebugReport
 | AutoAdjustLayout
 | ShouldAutoAdjust
 | FixDesignFontsPPI
 | ScaleFontsPPI
 | Create
 | Destroy
 | BeforeDestruction
 | EditingDone
 | ExecuteDefaultAction
 | ExecuteCancelAction
 | BeginDrag
 | EndDrag
 | BringToFront
 | HasParent
 | GetParentComponent
 | IsParentOf
 | GetTopParent
 | IsVisible
 | IsControlVisible
 | IsEnabled
 | IsParentColor
 | IsParentFont
 | FormIsUpdating
 | IsProcessingPaintMsg
 | Hide
 | Refresh
 | Repaint
 | Invalidate
 | CheckChildClassAllowed
 | CheckNewParent
 | SendToBack
 | SetTempCursor
 | UpdateRolesForForm
 | ActiveDefaultControlChanged
 | GetTextBuf
 | GetTextLen
 | SetTextBuf
 | Perform
 | ScreenToClient
 | ClientToScreen
 | ScreenToControl
 | ControlToScreen
 | ClientToParent
 | ParentToClient
 | GetChildrenRect
 | Show
 | Update
 | HandleObjectShouldBeVisible
 | ParentDestroyingHandle
 | ParentHandlesAllocated
 | InitiateAction
 | ShowHelp
 | HasHelp
 | RemoveAllHandlersOfObject
 | AddHandlerOnResize
 | RemoveHandlerOnResize
 | AddHandlerOnChangeBounds
 | RemoveHandlerOnChangeBounds
 | AddHandlerOnVisibleChanging
 | RemoveHandlerOnVisibleChanging
 | AddHandlerOnVisibleChanged
 | RemoveHandlerOnVisibleChanged
 | AddHandlerOnEnabledChanged
 | RemoveHandlerOnEnableChanging
 | AddHandlerOnKeyDown
 | RemoveHandlerOnKeyDown
 | AddHandlerOnBeforeDestruction
 | RemoveHandlerOnBeforeDestruction
 | AddHandlerOnMouseWheel
 | RemoveHandlerOnMouseWheel
 | UseRightToLeftAlignment
 | UseRightToLeftReading
 | UseRightToLeftScrollBar
 | IsRightToLeft
TLCLComponent
pt | WSRegisterClass
pt | GetWSComponentClass
 | Create
 | Destroy
 | NewInstance
 | RemoveAllHandlersOfObject
 | IncLCLRefCount
 | DecLCLRefCount
TComponent
 | GetComObject
 | GetComponent
 | GetComponentCount
 | GetComponentIndex
 | Insert
 | ReadLeft
 | ReadTop
 | Remove
 | RemoveNotification
 | SetComponentIndex
 | SetReference
 | WriteLeft
 | WriteTop
 | ChangeName
 | DefineProperties
 | GetChildren
 | GetChildOwner
 | GetChildParent
 | GetOwner
 | Loaded
 | Loading
 | Notification
 | PaletteCreated
 | ReadState
 | SetAncestor
 | SetDesigning
 | SetDesignInstance
 | SetInline
 | SetName
 | SetChildOrder
 | SetParentComponent
 | Updating
 | Updated
 | UpdateRegistry
 | ValidateRename
 | ValidateContainer
 | ValidateInsert
 | QueryInterface
 | _AddRef
 | _Release
 | iicrGetComponent
 | GetTypeInfoCount
 | GetTypeInfo
 | GetIDsOfNames
 | Invoke
 | WriteState
 | Create
 | Destroy
 | BeforeDestruction
 | DestroyComponents
 | Destroying
 | ExecuteAction
 | FindComponent
 | FreeNotification
 | RemoveFreeNotification
 | FreeOnRelease
 | GetEnumerator
 | GetNamePath
 | GetParentComponent
 | HasParent
 | InsertComponent
 | RemoveComponent
 | SafeCallException
 | SetSubComponent
 | UpdateAction
 | IsImplementorOf
 | ReferenceInterface
TPersistent
 | AssignError
 | AssignTo
 | DefineProperties
 | GetOwner
 | Destroy
 | Assign
 | FPOAttachObserver
 | FPODetachObserver
 | FPONotifyObservers
 | GetNamePath
TObject
 | Create
 | Destroy
 | newinstance
 | FreeInstance
 | SafeCallException
 | DefaultHandler
 | Free
 | InitInstance
 | CleanupInstance
 | ClassType
 | ClassInfo
 | ClassName
 | ClassNameIs
 | ClassParent
 | InstanceSize
 | InheritsFrom
 | StringMessageTable
 | MethodAddress
 | MethodName
 | FieldAddress
 | AfterConstruction
 | BeforeDestruction
 | DefaultHandlerStr
 | Dispatch
 | DispatchStr
 | GetInterface
 | GetInterfaceByStr
 | GetInterfaceWeak
 | GetInterfaceEntry
 | GetInterfaceEntryByStr
 | GetInterfaceTable
 | UnitName
 | Equals
 | GetHashCode
 | ToString


pt | ActionChange (TControl)
 | ActiveDefaultControlChanged (TControl)
 | AddControl (TWinControl)
pt | AddHandler (TControl)
 | AddHandlerOnBeforeDestruction (TControl)
 | AddHandlerOnChangeBounds (TControl)
 | AddHandlerOnEnabledChanged (TControl)
 | AddHandlerOnKeyDown (TControl)
 | AddHandlerOnMouseWheel (TControl)
 | AddHandlerOnResize (TControl)
 | AddHandlerOnVisibleChanged (TControl)
 | AddHandlerOnVisibleChanging (TControl)
pt | AdjustClientRect (TWinControl)
 | AdjustSize (TControl)
 | AfterConstruction (TObject)
pt | AlignControls (TWinControl)
pt | AllAutoSized (TWinControl)
 | AnchorAsAlign (TControl)
 | AnchorClient (TControl)
 | AnchoredControlCount (TControl)
 | AnchorHorizontalCenterTo (TControl)
 | AnchorParallel (TControl)
 | AnchorSame (TControl)
pt | AnchorSideChanged (TControl)
 | AnchorToCompanion (TControl)
 | AnchorToNeighbour (TControl)
 | AnchorVerticalCenterTo (TControl)
 | Assign (TPersistent)
 | AssignError (TPersistent)
 | AssignTo (TPersistent)
pt | AssignTo (TControl)
 | AutoAdjustLayout (TControl)
 | AutoAdjustLayout (TWinControl)
 | AutoSizeDelayed (TControl)
 | AutoSizeDelayed (TWinControl)
 | AutoSizeDelayedHandle (TControl)
 | AutoSizeDelayedHandle (TWinControl)
 | AutoSizeDelayedReport (TControl)
 | AutoSizeDelayedReport (TWinControl)
 | AutoSizePhases (TControl)
 | AutoSizePhases (TWinControl)
 | BeforeDestruction (TObject)
 | BeforeDestruction (TComponent)
 | BeforeDestruction (TControl)
pt | BeforeDragStart (TControl)
pt | BeginAutoDrag (TControl)
pt | BeginAutoSizing (TControl)
 | BeginDrag (TControl)
 | BeginUpdateBounds (TWinControl)
pt | BoundsChanged (TControl)
 | BringToFront (TControl)
 | BroadCast (TWinControl)
 | BrushCreated (TWinControl)
pt | CalculateDockSizes (TControl)
pt | CalculatePreferredSize (TControl)
pt | CalculatePreferredSize (TWinControl)
pt | CanAutoSize (TControl)
 | CanFocus (TWinControl)
 | CanSetFocus (TWinControl)
pt | CanTab (TControl)
pt | CanTab (TWinControl)
pt | CaptureChanged (TControl)
pt | ChangeBounds (TControl)
pt | Changed (TControl)
 | ChangeName (TComponent)
pt | ChangeScale (TControl)
pt | ChangeScale (TWinControl)
 | CheckChildClassAllowed (TControl)
 | CheckNewParent (TControl)
pt | CheckOnChangeBounds (TControl)
pt | ChildClassAllowed (TControl)
pt | ChildClassAllowed (TWinControl)
pt | ChildHandlesCreated (TWinControl)
pt | ChildKey (TWinControl)
 | ClassInfo (TObject)
 | ClassName (TObject)
 | ClassNameIs (TObject)
 | ClassParent (TObject)
 | ClassType (TObject)
 | CleanupInstance (TObject)
pt | Click (TControl)
pt | Click (TButtonControl)
 | ClientRectNeedsInterfaceUpdate (TWinControl)
 | ClientToParent (TControl)
 | ClientToScreen (TControl)
pt | CMBiDiModeChanged (TControl)
pt | CMBiDiModeChanged (TWinControl)
pt | CMBorderChanged (TWinControl)
pt | CMChanged (TControl)
pt | CMCursorChanged (TControl)
pt | CMDoubleBufferedChanged (TWinControl)
pt | CMEnabledChanged (TControl)
pt | CMEnabledChanged (TWinControl)
pt | CMEnter (TWinControl)
pt | CMExit (TWinControl)
pt | CMHintShow (TControl)
pt | CMHitTest (TControl)
pt | CMMouseEnter (TControl)
pt | CMMouseLeave (TControl)
pt | CMParentBiDiModeChanged (TControl)
pt | CMParentColorChanged (TControl)
pt | CMParentDoubleBufferedChanged (TWinControl)
pt | CMParentFontChanged (TControl)
pt | CMParentShowHintChanged (TControl)
pt | CMShowHintChanged (TWinControl)
pt | CMShowingChanged (TWinControl)
pt | CMSysFontChanged (TControl)
pt | CMTextChanged (TControl)
pt | CMVisibleChanged (TControl)
pt | CMVisibleChanged (TWinControl)
pt | CNChar (TWinControl)
pt | CNKeyDown (TWinControl)
pt | CNKeyUp (TWinControl)
 | CNPreferredSizeChanged (TControl)
pt | CNSysKeyDown (TWinControl)
pt | CNSysKeyUp (TWinControl)
pt | ColorIsStored (TControl)
pt | ConstrainedResize (TControl)
 | ContainsControl (TWinControl)
 | ControlAtPos (TWinControl)
pt | ControlKeyDown (TWinControl)
pt | ControlKeyUp (TWinControl)
pt | ControlsAligned (TWinControl)
 | ControlToScreen (TControl)
 | Create (TObject)
 | Create (TComponent)
 | Create (TLCLComponent)
 | Create (TControl)
 | Create (TWinControl)
 | Create (TButtonControl)
 | CreateAccessibleObject (TControl)
pt | CreateBrush (TWinControl)
pt | CreateControlBorderSpacing (TControl)
pt | CreateDockManager (TWinControl)
pt | CreateFloatingDockSite (TControl)
pt | CreateHandle (TWinControl)
pt | CreateParams (TWinControl)
 | CreateParented (TWinControl)
 | CreateParentedControl (TWinControl)
pt | CreateSubClass (TWinControl)
pt | CreateWnd (TWinControl)
pt | CustomAlignInsertBefore (TWinControl)
pt | CustomAlignPosition (TWinControl)
pt | DblClick (TControl)
 | DecLCLRefCount (TLCLComponent)
 | DefaultHandler (TObject)
 | DefaultHandler (TWinControl)
 | DefaultHandlerStr (TObject)
 | DefineProperties (TPersistent)
 | DefineProperties (TComponent)
pt | DefineProperties (TControl)
 | Destroy (TObject)
 | Destroy (TPersistent)
 | Destroy (TComponent)
 | Destroy (TLCLComponent)
 | Destroy (TControl)
 | Destroy (TWinControl)
 | DestroyComponents (TComponent)
pt | DestroyHandle (TWinControl)
 | Destroying (TComponent)
pt | DestroyWnd (TWinControl)
pt | DialogChar (TControl)
pt | DialogChar (TWinControl)
 | DisableAlign (TWinControl)
 | DisableAutoSizing (TControl)
 | Dispatch (TObject)
 | DispatchStr (TObject)
pt | DoAddDockClient (TWinControl)
 | DoAdjustClientRectChange (TWinControl)
pt | DoAlignChildControls (TWinControl)
pt | DoAllAutoSize (TControl)
pt | DoAllAutoSize (TWinControl)
pt | DoAutoAdjustLayout (TControl)
pt | DoAutoSize (TControl)
pt | DoAutoSize (TWinControl)
pt | DoBorderSpacingChange (TControl)
pt | DoCallKeyEventHandler (TControl)
pt | DoCallMouseWheelEventHandler (TControl)
pt | DoCallNotifyHandler (TControl)
pt | DoChildSizingChange (TWinControl)
 | Dock (TControl)
 | DockDrop (TWinControl)
 | Docked (TControl)
pt | DockOver (TWinControl)
pt | DockTrackNoTarget (TControl)
pt | DoConstraintsChange (TControl)
pt | DoConstraintsChange (TWinControl)
pt | DoContextPopup (TControl)
pt | DoDock (TControl)
pt | DoDockClientMsg (TWinControl)
pt | DoDockOver (TWinControl)
pt | DoDragMsg (TControl)
pt | DoDragMsg (TWinControl)
pt | DoEndDock (TControl)
pt | DoEndDrag (TControl)
pt | DoEnter (TWinControl)
pt | DoExit (TWinControl)
pt | DoFixDesignFontPPI (TControl)
pt | DoFlipChildren (TWinControl)
pt | DoFloatMsg (TControl)
pt | DoFloatMsg (TWinControl)
pt | DoGetDockCaption (TWinControl)
pt | DoKeyDownBeforeInterface (TWinControl)
pt | DoKeyPress (TWinControl)
pt | DoKeyUpBeforeInterface (TWinControl)
pt | DoMouseWheel (TControl)
pt | DoMouseWheelDown (TControl)
pt | DoMouseWheelHorz (TControl)
pt | DoMouseWheelLeft (TControl)
pt | DoMouseWheelRight (TControl)
pt | DoMouseWheelUp (TControl)
pt | DoOnChange (TButtonControl)
pt | DoOnChangeBounds (TControl)
pt | DoOnParentHandleDestruction (TControl)
pt | DoOnResize (TControl)
pt | DoOnShowHint (TControl)
pt | DoRemainingKeyDown (TWinControl)
pt | DoRemainingKeyUp (TWinControl)
pt | DoRemoveDockClient (TWinControl)
pt | DoScaleFontPPI (TControl)
pt | DoSendBoundsToInterface (TWinControl)
pt | DoSendShowHideToInterface (TWinControl)
pt | DoSetBounds (TControl)
pt | DoSetBounds (TWinControl)
pt | DoStartDock (TControl)
pt | DoStartDrag (TControl)
pt | DoUnDock (TWinControl)
pt | DoUndockClientMsg (TWinControl)
pt | DoUTF8KeyPress (TWinControl)
pt | DragCanceled (TControl)
 | DragDrop (TControl)
 | Dragging (TControl)
pt | DragOver (TControl)
 | EditingDone (TControl)
 | EnableAlign (TWinControl)
 | EnableAutoSizing (TControl)
pt | EnabledChanged (TControl)
pt | EnabledChanging (TControl)
pt | EndAutoSizing (TControl)
 | EndDrag (TControl)
 | EndUpdateBounds (TWinControl)
 | Equals (TObject)
 | EraseBackground (TWinControl)
 | ExecuteAction (TComponent)
 | ExecuteCancelAction (TControl)
 | ExecuteDefaultAction (TControl)
 | FieldAddress (TObject)
pt | FinalizeWnd (TWinControl)
 | FindChildControl (TWinControl)
 | FindComponent (TComponent)
pt | FindNextControl (TWinControl)
 | FixDesignFontsPPI (TControl)
pt | FixupTabList (TWinControl)
 | FlipChildren (TWinControl)
 | Focused (TWinControl)
pt | FontChanged (TControl)
pt | FontChanged (TWinControl)
pt | ForeignAnchorSideChanged (TControl)
pt | FormEndUpdated (TControl)
pt | FormEndUpdated (TWinControl)
 | FormIsUpdating (TControl)
 | FPOAttachObserver (TPersistent)
 | FPODetachObserver (TPersistent)
 | FPONotifyObservers (TPersistent)
 | Free (TObject)
 | FreeInstance (TObject)
 | FreeNotification (TComponent)
 | FreeOnRelease (TComponent)
 | GetAccessibleObject (TControl)
pt | GetAction (TControl)
pt | GetActionLinkClass (TControl)
pt | GetActionLinkClass (TButtonControl)
pt | GetAdjustedLogicalClientRect (TWinControl)
 | GetAnchorsDependingOnParent (TControl)
pt | GetBorderStyle (TWinControl)
pt | GetCachedText (TControl)
 | GetCanvasScaleFactor (TControl)
pt | GetChecked (TButtonControl)
 | GetChildAccessibleObjectAtPos (TControl)
 | GetChildOwner (TComponent)
 | GetChildParent (TComponent)
 | GetChildren (TComponent)
pt | GetChildren (TWinControl)
 | GetChildrenRect (TControl)
 | GetChildrenRect (TWinControl)
pt | GetClientOrigin (TControl)
pt | GetClientOrigin (TWinControl)
pt | GetClientRect (TControl)
pt | GetClientRect (TWinControl)
pt | GetClientScrollOffset (TControl)
 | GetColorResolvingParent (TControl)
 | GetComObject (TComponent)
 | GetComponent (TComponent)
 | GetComponentCount (TComponent)
 | GetComponentIndex (TComponent)
pt | GetControlClassDefaultSize (TControl)
 | GetControlIndex (TWinControl)
pt | GetControlOrigin (TControl)
pt | GetControlOrigin (TWinControl)
pt | GetCursor (TControl)
 | GetDefaultColor (TControl)
pt | GetDefaultDockCaption (TControl)
 | GetDefaultHeight (TControl)
 | GetDefaultWidth (TControl)
pt | GetDeviceContext (TControl)
pt | GetDeviceContext (TWinControl)
 | GetDockCaption (TWinControl)
pt | GetDockEdge (TControl)
pt | GetDragImages (TControl)
pt | GetEnabled (TControl)
 | GetEnumerator (TComponent)
 | GetEnumeratorControls (TWinControl)
 | GetEnumeratorControlsReverse (TWinControl)
pt | GetFloating (TControl)
pt | GetFloatingDockSiteClass (TControl)
 | GetHashCode (TObject)
 | GetIDsOfNames (TComponent)
 | GetInterface (TObject)
 | GetInterfaceByStr (TObject)
 | GetInterfaceEntry (TObject)
 | GetInterfaceEntryByStr (TObject)
 | GetInterfaceTable (TObject)
 | GetInterfaceWeak (TObject)
pt | GetLogicalClientRect (TControl)
pt | GetMouseCapture (TControl)
pt | GetMouseCapture (TWinControl)
pt | GetMousePosFromMessage (TControl)
 | GetNamePath (TPersistent)
 | GetNamePath (TComponent)
 | GetOwner (TPersistent)
 | GetOwner (TComponent)
pt | GetPalette (TControl)
pt | GetParentBackground (TWinControl)
 | GetParentComponent (TComponent)
 | GetParentComponent (TControl)
pt | GetParentHandle (TWinControl)
pt | GetPopupMenu (TControl)
 | GetPreferredSize (TControl)
pt | GetPreferredSizeClientFrame (TWinControl)
 | GetRGBColorResolvingParent (TControl)
pt | GetScrolledClientRect (TControl)
 | GetSelectedChildAccessibleObject (TControl)
 | GetSidePosition (TControl)
pt | GetSiteInfo (TWinControl)
 | GetTabOrderList (TWinControl)
 | GetTextBuf (TControl)
 | GetTextLen (TControl)
 | GetTextLen (TWinControl)
 | GetTopParent (TControl)
pt | GetTopParentHandle (TWinControl)
 | GetTypeInfo (TComponent)
 | GetTypeInfoCount (TComponent)
pt | GetWSComponentClass (TLCLComponent)
 | HandleAllocated (TWinControl)
 | HandleNeeded (TWinControl)
 | HandleObjectShouldBeVisible (TControl)
 | HasHelp (TControl)
 | HasParent (TComponent)
 | HasParent (TControl)
pt | HeightIsAnchored (TControl)
 | Hide (TControl)
 | iicrGetComponent (TComponent)
 | IncLCLRefCount (TLCLComponent)
 | InheritsFrom (TObject)
pt | InitializeWnd (TWinControl)
 | InitiateAction (TControl)
 | InitInstance (TObject)
 | Insert (TComponent)
 | InsertComponent (TComponent)
 | InsertControl (TWinControl)
 | InstanceSize (TObject)
 | IntfGetDropFilesTarget (TWinControl)
 | IntfUTF8KeyPress (TWinControl)
 | Invalidate (TControl)
 | Invalidate (TWinControl)
pt | InvalidateBoundsRealized (TWinControl)
 | InvalidateClientRectCache (TWinControl)
pt | InvalidateControl (TControl)
pt | InvalidatePreferredChildSizes (TWinControl)
 | InvalidatePreferredSize (TControl)
 | Invoke (TComponent)
pt | IsAParentAligning (TControl)
pt | IsBorderSpacingInnerBorderStored (TControl)
pt | IsCaptionStored (TControl)
pt | IsClientHeightStored (TControl)
pt | IsClientHeightStored (TWinControl)
pt | IsClientWidthStored (TControl)
pt | IsClientWidthStored (TWinControl)
pt | IsControlMouseMsg (TWinControl)
 | IsControlVisible (TControl)
 | IsEnabled (TControl)
 | IsImplementorOf (TComponent)
 | IsParentColor (TControl)
 | IsParentFont (TControl)
 | IsParentOf (TControl)
 | IsProcessingPaintMsg (TControl)
 | IsRightToLeft (TControl)
 | IsVisible (TControl)
pt | KeyDown (TWinControl)
pt | KeyDownAfterInterface (TWinControl)
pt | KeyDownBeforeInterface (TWinControl)
pt | KeyPress (TWinControl)
pt | KeyUp (TWinControl)
pt | KeyUpAfterInterface (TWinControl)
pt | KeyUpBeforeInterface (TWinControl)
pt | LMCaptureChanged (TControl)
 | Loaded (TComponent)
pt | Loaded (TControl)
pt | Loaded (TWinControl)
pt | LoadedAll (TControl)
 | Loading (TComponent)
 | LockRealizeBounds (TWinControl)
pt | MainWndProc (TWinControl)
 | ManualDock (TControl)
 | ManualFloat (TControl)
 | MethodAddress (TObject)
 | MethodName (TObject)
pt | MouseDown (TControl)
pt | MouseEnter (TControl)
pt | MouseLeave (TControl)
pt | MouseMove (TControl)
pt | MouseUp (TControl)
 | newinstance (TObject)
 | NewInstance (TLCLComponent)
 | Notification (TComponent)
pt | Notification (TControl)
 | NotifyControls (TWinControl)
pt | PaintControls (TWinControl)
pt | PaintHandler (TWinControl)
 | PaintTo (TWinControl)
pt | PaintWindow (TWinControl)
 | PaletteCreated (TComponent)
 | ParentDestroyingHandle (TControl)
pt | ParentFontChanged (TControl)
pt | ParentFormHandleInitialized (TControl)
pt | ParentFormHandleInitialized (TWinControl)
 | ParentHandlesAllocated (TControl)
 | ParentHandlesAllocated (TWinControl)
 | ParentToClient (TControl)
 | Perform (TControl)
 | PerformTab (TWinControl)
pt | PositionDockRect (TControl)
pt | QuadClick (TControl)
 | QueryInterface (TComponent)
 | ReadLeft (TComponent)
 | ReadState (TComponent)
pt | ReadState (TControl)
 | ReadTop (TComponent)
pt | RealGetText (TControl)
pt | RealGetText (TWinControl)
 | ReAlign (TWinControl)
pt | RealizeBounds (TWinControl)
pt | RealizeBoundsRecursive (TWinControl)
pt | RealSetText (TControl)
pt | RealSetText (TWinControl)
 | ReferenceInterface (TComponent)
 | Refresh (TControl)
pt | ReloadDockedControl (TWinControl)
 | Remove (TComponent)
 | RemoveAllHandlersOfObject (TLCLComponent)
 | RemoveAllHandlersOfObject (TControl)
 | RemoveComponent (TComponent)
 | RemoveControl (TWinControl)
pt | RemoveFocus (TWinControl)
 | RemoveFreeNotification (TComponent)
pt | RemoveHandler (TControl)
 | RemoveHandlerOnBeforeDestruction (TControl)
 | RemoveHandlerOnChangeBounds (TControl)
 | RemoveHandlerOnEnableChanging (TControl)
 | RemoveHandlerOnKeyDown (TControl)
 | RemoveHandlerOnMouseWheel (TControl)
 | RemoveHandlerOnResize (TControl)
 | RemoveHandlerOnVisibleChanged (TControl)
 | RemoveHandlerOnVisibleChanging (TControl)
 | RemoveNotification (TComponent)
 | Repaint (TControl)
 | Repaint (TWinControl)
 | ReplaceDockedControl (TControl)
pt | RequestAlign (TControl)
pt | Resize (TControl)
 | SafeCallException (TObject)
 | SafeCallException (TComponent)
 | Scale96ToFont (TControl)
 | Scale96ToForm (TControl)
 | Scale96ToScreen (TControl)
 | ScaleBy (TWinControl)
pt | ScaleConstraints (TControl)
pt | ScaleControls (TWinControl)
 | ScaleDesignToForm (TControl)
 | ScaleFontsPPI (TControl)
 | ScaleFontTo96 (TControl)
 | ScaleFontToScreen (TControl)
 | ScaleFormTo96 (TControl)
 | ScaleFormToDesign (TControl)
 | ScaleScreenTo96 (TControl)
 | ScaleScreenToFont (TControl)
 | ScreenToClient (TControl)
 | ScreenToControl (TControl)
 | ScrollBy (TWinControl)
 | ScrollBy_WS (TWinControl)
pt | SelectFirst (TWinControl)
 | SelectNext (TWinControl)
pt | SendDialogChar (TWinControl)
pt | SendMoveSizeMessages (TControl)
pt | SendMoveSizeMessages (TWinControl)
 | SendToBack (TControl)
pt | SetAction (TControl)
pt | SetAlign (TControl)
 | SetAncestor (TComponent)
pt | SetAnchors (TControl)
pt | SetAutoSize (TControl)
pt | SetBiDiMode (TControl)
pt | SetBorderStyle (TWinControl)
 | SetBounds (TControl)
 | SetBounds (TWinControl)
 | SetBoundsKeepBase (TControl)
pt | SetChecked (TButtonControl)
 | SetChildOrder (TComponent)
pt | SetChildZPosition (TWinControl)
pt | SetColor (TControl)
pt | SetColor (TWinControl)
 | SetComponentIndex (TComponent)
 | SetControlIndex (TWinControl)
pt | SetCursor (TControl)
 | SetDesigning (TComponent)
 | SetDesignInstance (TComponent)
pt | SetDockManager (TWinControl)
pt | SetDragMode (TControl)
pt | SetEnabled (TControl)
 | SetFocus (TWinControl)
pt | SetHint (TControl)
 | SetInitialBounds (TControl)
 | SetInline (TComponent)
 | SetName (TComponent)
pt | SetName (TControl)
pt | SetParent (TControl)
pt | SetParentBackground (TWinControl)
pt | SetParentBiDiMode (TControl)
 | SetParentComponent (TComponent)
pt | SetParentComponent (TControl)
 | SetReference (TComponent)
 | SetShape (TWinControl)
 | SetSubComponent (TComponent)
 | SetTempCursor (TControl)
 | SetTempCursor (TWinControl)
 | SetTextBuf (TControl)
pt | SetVisible (TControl)
pt | SetZOrder (TControl)
 | ShouldAutoAdjust (TControl)
 | Show (TControl)
pt | ShowControl (TWinControl)
 | ShowHelp (TControl)
 | StringMessageTable (TObject)
pt | TextChanged (TControl)
 | ToString (TObject)
pt | TripleClick (TControl)
 | UnitName (TObject)
 | UnlockRealizeBounds (TWinControl)
 | Update (TControl)
 | Update (TWinControl)
 | UpdateAction (TComponent)
pt | UpdateAnchorRules (TControl)
 | UpdateBaseBounds (TControl)
pt | UpdateControlState (TWinControl)
 | Updated (TComponent)
 | UpdateDockCaption (TWinControl)
pt | UpdateMouseCursor (TControl)
 | UpdateRegistry (TComponent)
 | UpdateRolesForForm (TControl)
pt | UpdateShowing (TWinControl)
 | Updating (TComponent)
 | UseRightToLeftAlignment (TControl)
 | UseRightToLeftReading (TControl)
 | UseRightToLeftScrollBar (TControl)
pt | UTF8KeyPress (TWinControl)
 | ValidateContainer (TComponent)
 | ValidateInsert (TComponent)
 | ValidateRename (TComponent)
pt | VisibleChanged (TControl)
pt | VisibleChanging (TControl)
pt | WidthIsAnchored (TControl)
pt | WMCancelMode (TControl)
pt | WMChar (TWinControl)
pt | WMContextMenu (TControl)
pt | WMContextMenu (TWinControl)
pt | WMDestroy (TWinControl)
pt | WMEnter (TWinControl)
pt | WMEraseBkgnd (TWinControl)
pt | WMExit (TWinControl)
pt | WMKeyDown (TWinControl)
pt | WMKeyUp (TWinControl)
pt | WMKillFocus (TWinControl)
pt | WMLButtonDBLCLK (TControl)
pt | WMLButtonDown (TControl)
pt | WMLButtonQuadCLK (TControl)
pt | WMLButtonTripleCLK (TControl)
pt | WMLButtonUp (TControl)
pt | WMMButtonDBLCLK (TControl)
pt | WMMButtonDown (TControl)
pt | WMMButtonQuadCLK (TControl)
pt | WMMButtonTripleCLK (TControl)
pt | WMMButtonUp (TControl)
pt | WMMouseHWheel (TControl)
pt | WMMouseMove (TControl)
pt | WMMouseWheel (TControl)
pt | WMMove (TControl)
pt | WMMove (TWinControl)
pt | WMNotify (TWinControl)
pt | WMPaint (TWinControl)
pt | WMRButtonDBLCLK (TControl)
pt | WMRButtonDown (TControl)
pt | WMRButtonQuadCLK (TControl)
pt | WMRButtonTripleCLK (TControl)
pt | WMRButtonUp (TControl)
pt | WMSetFocus (TWinControl)
pt | WMShowWindow (TWinControl)
pt | WMSize (TControl)
pt | WMSize (TWinControl)
pt | WMSysChar (TWinControl)
pt | WMSysKeyDown (TWinControl)
pt | WMSysKeyUp (TWinControl)
pt | WMWindowPosChanged (TControl)
pt | WMWindowPosChanged (TWinControl)
pt | WMXButtonDBLCLK (TControl)
pt | WMXButtonDown (TControl)
pt | WMXButtonQuadCLK (TControl)
pt | WMXButtonTripleCLK (TControl)
pt | WMXButtonUp (TControl)
pt | WndProc (TControl)
pt | WndProc (TWinControl)
 | WriteLayoutDebugReport (TControl)
 | WriteLayoutDebugReport (TWinControl)
 | WriteLeft (TComponent)
 | WriteState (TComponent)
 | WriteTop (TComponent)
pt | WSRegisterClass (TLCLComponent)
pt | WSRegisterClass (TControl)
pt | WSRegisterClass (TWinControl)
pt | WSRegisterClass (TButtonControl)
pt | WSSetText (TWinControl)
 | _AddRef (TComponent)
 | _Release (TComponent)


TButtonControl
pt | OnChange
TWinControl
pt | OnGetSiteInfo
pt | OnGetDockCaption
 | OnAlignInsertBefore
 | OnAlignPosition
 | OnDockDrop
 | OnDockOver
 | OnEnter
 | OnExit
 | OnKeyDown
 | OnKeyPress
 | OnKeyUp
 | OnUnDock
 | OnUTF8KeyPress
TControl
pt | OnConstrainedResize
pt | OnContextPopup
pt | OnDblClick
pt | OnTripleClick
pt | OnQuadClick
pt | OnDragDrop
pt | OnDragOver
pt | OnEndDock
pt | OnEndDrag
pt | OnMouseDown
pt | OnMouseMove
pt | OnMouseUp
pt | OnMouseEnter
pt | OnMouseLeave
pt | OnMouseWheel
pt | OnMouseWheelDown
pt | OnMouseWheelUp
pt | OnMouseWheelHorz
pt | OnMouseWheelLeft
pt | OnMouseWheelRight
pt | OnStartDock
pt | OnStartDrag
pt | OnEditingDone
 | OnChangeBounds
 | OnClick
 | OnResize
 | OnShowHint
TLCLComponent
TComponent
TPersistent
TObject


TButtonControl.Checked

The state of the check mark. Here always False, can be implemented in derived classes.

Declaration

Source position: stdctrls.pp line 1158

protected property TButtonControl.Checked : Boolean
  read GetChecked
  write SetChecked
  stored IsCheckedStored
  default False;


TButtonControl.ClicksDisabled

Allows to disable clicks, without showing the button as disabled.

Declaration

Source position: stdctrls.pp line 1159

protected property TButtonControl.ClicksDisabled : Boolean
  read FClicksDisabled
  write FClicksDisabled;


TButtonControl.Create

Declaration

Source position: stdctrls.pp line 1162

public constructor TButtonControl.Create(

  TheOwner: TComponent

); override;


TButtonControl.DoOnChange

Invokes the OnChange handler.

Declaration

Source position: stdctrls.pp line 1155

protected procedure TButtonControl.DoOnChange; virtual;


TButtonControl.GetActionLinkClass

Declaration

Source position: stdctrls.pp line 1152

protected function TButtonControl.GetActionLinkClass: TControlActionLinkClass; override;


TButtonControl.OnChange

Handler for any change in properties of the control.

Declaration

Source position: stdctrls.pp line 1160

protected property TButtonControl.OnChange : TNotifyEvent
  read FOnChange
  write FOnChange;


TCheckBox

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

A label with a box which can contain a check mark.

Declaration

Source position: stdctrls.pp line 1337

type TCheckBox = class(TCustomCheckBox)
public
constructor Create(); override;
published
property Action: TBasicAction; | The Action associated with this control.
property Align: TAlign; | Specifies the placement of the control inside its Parent.
property Alignment: TLeftRight;
property AllowGrayed: Boolean; | Allows the check box to be in a "grayed" state.
property Anchors: TAnchors; | The set of anchor definitions for this control.
property AutoSize: Boolean; | TCheckBox default is True
property BidiMode: TBiDiMode; | Customization (of text controls) in bidirectional reading environments.
property BorderSpacing: TControlBorderSpacing; | Determines the inner and outer border spacing for this control.
property Caption: TCaption; | The text describing the control to the user.
property Checked: Boolean; | The state of the check mark. Here always False, can be implemented in derived classes.
property Color: TColor; | The background color of the control.
property Constraints: TSizeConstraints; | The minimal and maximal Width and Height of this control.
property DoubleBuffered: Boolean;
property DragCursor: TCursor; | The cursor shape shown while the control is dragged.
property DragKind: TDragKind; | The operation when the control is dragged - Drag or Dock.
property DragMode: TDragMode; | Allows the user to drag the control.
property Enabled: Boolean; | Determines whether the control reacts on mouse or keyboard input.
property Font: TFont; | The font to be used for text display in this control.
property Hint: TTranslateString; | The text to show in the Hint window for this control.
property OnChange: TNotifyEvent; | Handler for any change in properties of the control.
property OnChangeBounds: TNotifyEvent; | Event handler for a change of the Bounds of the control.
property OnClick: TNotifyEvent; | Notification handler for mouse clicks.
property OnContextPopup: TContextPopupEvent; | Invoked when a context-sensitive pop-up menu is requested.
property OnDragDrop: TDragDropEvent; | This handler determines the action on an drop onto this control, in a drag-drop operation.
property OnDragOver: TDragOverEvent; | Event handler for a control being dragged over this control.
property OnEditingDone: TNotifyEvent; | Event handler when editing is done.
property OnEndDrag: TEndDragEvent; | Notification handler for the end of a dragging operation.
property OnEnter: TNotifyEvent; | Handler for control receiving the focus.
property OnExit: TNotifyEvent; | Handler for control loosing the focus. This is a good place for checking the finished user input.
property OnKeyPress: TKeyPressEvent; | Handler for a character entered by the user.
property OnKeyDown: TKeyEvent; | Handler for keyboard key pressed.
property OnKeyUp: TKeyEvent; | Handler for keyboard key released.
property OnMouseDown: TMouseEvent; | Event handler for mouse button going down.
property OnMouseEnter: TNotifyEvent; | Event handler for mouse entering the area of the control.
property OnMouseLeave: TNotifyEvent; | Event handler for mouse leaving the area of the control.
property OnMouseMove: TMouseMoveEvent; | Event handler for mouse movement within the control.
property OnMouseUp: TMouseEvent; | Event handler for mouse button going up.
property OnMouseWheel: TMouseWheelEvent;
property OnMouseWheelDown: TMouseWheelUpDownEvent;
property OnMouseWheelUp: TMouseWheelUpDownEvent;
property OnResize: TNotifyEvent; | Notification handler for a resize of the control.
property OnStartDrag: TStartDragEvent; | Event handler for the start of a dragging operation.
property OnUTF8KeyPress: TUTF8KeyPressEvent; | Handler for a character entered by the user.
property ParentColor: Boolean; | If true, the Color of the control will be the same as the one from the Parent. Default is true.
property ParentDoubleBuffered: Boolean;
property ParentFont: Boolean; | If true, the Font of the control will be the same as the one from the Parent. Default is true.
property ParentShowHint: Boolean; | If true, the value of ShowHint for the control will be the same as the one from the Parent. Default is true.
property ParentBidiMode: Boolean; | Allows to use the BiDiMode settings of Parent. Default is true.
property PopupMenu: TPopupMenu; | A context-sensitive menu that pops up when the right mouse button is clicked over this control
property ShowHint: Boolean; | Enables the Hint display.
property State: TCheckBoxState; | Indicates whether the check box is checked (selected), unchecked (deselected) or grayed (disabled).
property TabOrder: TTabOrder; | Determines the sequence of controls, reachable when the user presses the Tab key.
property TabStop: Boolean; | Allows the user to navigate to this control, by pressing the Tab key.
property Visible: Boolean; | Allows to show or hide the control, and all of its children.
end;

Inheritance

TCheckBox | A label with a box which can contain a check mark.
|
TCustomCheckBox | The base class for checkbox components.
|
TButtonControl | The base class for various button controls.
|
TWinControl | The base class for controls which can contain other (child) controls.
|
TControl | The base class for visible controls.
|
TLCLComponent | The base class for LCL components associated with widgets.
|
TComponent,IUnknown,IInterfaceComponentReference
|
TPersistent,IFPObserved
|
TObject

See also

HowToUseStdCtrls

How to use StdCtrls, ComCtrls or ExtCtrls


TCheckBox
pl | ro | Action
pl | ro | Align
pl | ro | Alignment
pl | ro | AllowGrayed
pl | ro | Anchors
pl | ro | AutoSize
pl | ro | BidiMode
pl | ro | BorderSpacing
pl | ro | Caption
pl | ro | Checked
pl | ro | Color
pl | ro | Constraints
pl | ro | DoubleBuffered
pl | ro | DragCursor
pl | ro | DragKind
pl | ro | DragMode
pl | ro | Enabled
pl | ro | Font
pl | ro | Hint
pl | ro | ParentColor
pl | ro | ParentDoubleBuffered
pl | ro | ParentFont
pl | ro | ParentShowHint
pl | ro | ParentBidiMode
pl | ro | PopupMenu
pl | ro | ShowHint
pl | ro | State
pl | ro | TabOrder
pl | ro | TabStop
pl | ro | Visible
TCustomCheckBox
 |  | Alignment
 |  | AllowGrayed
 |  | State
 | ro | ShortCut
 | ro | ShortCutKey2
TButtonControl
pt |  | Checked
pt |  | ClicksDisabled
TWinControl
pt |  | WindowHandle
pt |  | BorderStyle
pt |  | ParentBackground
 |  | BorderWidth
 | ro | BoundsLockCount
 | ro | Brush
 | ro | CachedClientHeight
 | ro | CachedClientWidth
 |  | ChildSizing
 | ro | ControlCount
 | ro | Controls
 |  | DefWndProc
 | ro | DockClientCount
 | ro | DockClients
 |  | DockManager
 |  | DockSite
 |  | DoubleBuffered
 |  | Handle
 | ro | IsFlipped
 | ro | IsResizing
 |  | TabOrder
 |  | TabStop
 |  | ParentDoubleBuffered
 |  | ParentWindow
 | ro | Showing
 |  | UseDockManager
 |  | DesignerDeleting
 | ro | VisibleDockClientCount
TControl
pt | ro | AutoSizing
pt | ro | AutoSizingAll
pt | ro | AutoSizingLockCount
pt |  | ActionLink
pt |  | DesktopFont
pt |  | DragCursor
pt |  | DragKind
pt |  | DragMode
pt |  | MouseCapture
pt |  | ParentColor
pt |  | ParentFont
pt |  | ParentShowHint
pt |  | SessionProperties
pt |  | Text
 | ro | AnchoredControls
 | ro | BaseBounds
 | ro | ReadBounds
 | ro | BaseParentClientSize
 |  | AccessibleDescription
 |  | AccessibleValue
 |  | AccessibleRole
 |  | Action
 |  | Align
 |  | Anchors
 | ro | AnchorSide
 |  | AutoSize
 |  | BorderSpacing
 |  | BoundsRect
 |  | BoundsRectForNewParent
 |  | Caption
 |  | CaptureMouseButtons
 |  | ClientHeight
 | ro | ClientOrigin
 | ro | ClientRect
 |  | ClientWidth
 |  | Color
 |  | Constraints
 | ro | ControlOrigin
 |  | ControlState
 |  | ControlStyle
 |  | Enabled
 |  | Font
 |  | IsControl
 | ro | MouseEntered
 | ro | MouseInClient
 |  | Parent
 |  | PopupMenu
 |  | ShowHint
 |  | Visible
 |  | WindowProc
 |  | DockOrientation
 | ro | Floating
 |  | FloatingDockSiteClass
 |  | HostDockSite
 |  | LRDockWidth
 |  | TBDockHeight
 |  | UndockHeight
 |  | UndockWidth
 |  | BiDiMode
 |  | ParentBiDiMode
pl |  | AnchorSideLeft
pl |  | AnchorSideTop
pl |  | AnchorSideRight
pl |  | AnchorSideBottom
pl |  | Cursor
pl |  | Left
pl |  | Height
pl |  | Hint
pl |  | Top
pl |  | Width
pl |  | HelpType
pl |  | HelpKeyword
pl |  | HelpContext
TLCLComponent
 | ro | LCLRefCount
 | ro | WidgetSetClass
TComponent
 | ro | ComObject
 | ro | Components
 | ro | ComponentCount
 |  | ComponentIndex
 | ro | ComponentState
 | ro | ComponentStyle
 |  | DesignInfo
 | ro | Owner
 |  | VCLComObject
 |  | Name
 |  | Tag
TPersistent
TObject


 |  | AccessibleDescription (TControl)
 |  | AccessibleRole (TControl)
 |  | AccessibleValue (TControl)
 |  | Action (TControl)
pl | ro | Action (TCheckBox)
pt |  | ActionLink (TControl)
 |  | Align (TControl)
pl | ro | Align (TCheckBox)
 |  | Alignment (TCustomCheckBox)
pl | ro | Alignment (TCheckBox)
 |  | AllowGrayed (TCustomCheckBox)
pl | ro | AllowGrayed (TCheckBox)
 | ro | AnchoredControls (TControl)
 |  | Anchors (TControl)
pl | ro | Anchors (TCheckBox)
 | ro | AnchorSide (TControl)
pl |  | AnchorSideBottom (TControl)
pl |  | AnchorSideLeft (TControl)
pl |  | AnchorSideRight (TControl)
pl |  | AnchorSideTop (TControl)
 |  | AutoSize (TControl)
pl | ro | AutoSize (TCheckBox)
pt | ro | AutoSizing (TControl)
pt | ro | AutoSizingAll (TControl)
pt | ro | AutoSizingLockCount (TControl)
 | ro | BaseBounds (TControl)
 | ro | BaseParentClientSize (TControl)
 |  | BiDiMode (TControl)
pl | ro | BidiMode (TCheckBox)
 |  | BorderSpacing (TControl)
pl | ro | BorderSpacing (TCheckBox)
pt |  | BorderStyle (TWinControl)
 |  | BorderWidth (TWinControl)
 | ro | BoundsLockCount (TWinControl)
 |  | BoundsRect (TControl)
 |  | BoundsRectForNewParent (TControl)
 | ro | Brush (TWinControl)
 | ro | CachedClientHeight (TWinControl)
 | ro | CachedClientWidth (TWinControl)
 |  | Caption (TControl)
pl | ro | Caption (TCheckBox)
 |  | CaptureMouseButtons (TControl)
pt |  | Checked (TButtonControl)
pl | ro | Checked (TCheckBox)
 |  | ChildSizing (TWinControl)
pt |  | ClicksDisabled (TButtonControl)
 |  | ClientHeight (TControl)
 | ro | ClientOrigin (TControl)
 | ro | ClientRect (TControl)
 |  | ClientWidth (TControl)
 |  | Color (TControl)
pl | ro | Color (TCheckBox)
 | ro | ComObject (TComponent)
 | ro | ComponentCount (TComponent)
 |  | ComponentIndex (TComponent)
 | ro | Components (TComponent)
 | ro | ComponentState (TComponent)
 | ro | ComponentStyle (TComponent)
 |  | Constraints (TControl)
pl | ro | Constraints (TCheckBox)
 | ro | ControlCount (TWinControl)
 | ro | ControlOrigin (TControl)
 | ro | Controls (TWinControl)
 |  | ControlState (TControl)
 |  | ControlStyle (TControl)
pl |  | Cursor (TControl)
 |  | DefWndProc (TWinControl)
 |  | DesignerDeleting (TWinControl)
 |  | DesignInfo (TComponent)
pt |  | DesktopFont (TControl)
 | ro | DockClientCount (TWinControl)
 | ro | DockClients (TWinControl)
 |  | DockManager (TWinControl)
 |  | DockOrientation (TControl)
 |  | DockSite (TWinControl)
 |  | DoubleBuffered (TWinControl)
pl | ro | DoubleBuffered (TCheckBox)
pt |  | DragCursor (TControl)
pl | ro | DragCursor (TCheckBox)
pt |  | DragKind (TControl)
pl | ro | DragKind (TCheckBox)
pt |  | DragMode (TControl)
pl | ro | DragMode (TCheckBox)
 |  | Enabled (TControl)
pl | ro | Enabled (TCheckBox)
 | ro | Floating (TControl)
 |  | FloatingDockSiteClass (TControl)
 |  | Font (TControl)
pl | ro | Font (TCheckBox)
 |  | Handle (TWinControl)
pl |  | Height (TControl)
pl |  | HelpContext (TControl)
pl |  | HelpKeyword (TControl)
pl |  | HelpType (TControl)
pl |  | Hint (TControl)
pl | ro | Hint (TCheckBox)
 |  | HostDockSite (TControl)
 |  | IsControl (TControl)
 | ro | IsFlipped (TWinControl)
 | ro | IsResizing (TWinControl)
 | ro | LCLRefCount (TLCLComponent)
pl |  | Left (TControl)
 |  | LRDockWidth (TControl)
pt |  | MouseCapture (TControl)
 | ro | MouseEntered (TControl)
 | ro | MouseInClient (TControl)
 |  | Name (TComponent)
 | ro | Owner (TComponent)
 |  | Parent (TControl)
pt |  | ParentBackground (TWinControl)
 |  | ParentBiDiMode (TControl)
pl | ro | ParentBidiMode (TCheckBox)
pt |  | ParentColor (TControl)
pl | ro | ParentColor (TCheckBox)
 |  | ParentDoubleBuffered (TWinControl)
pl | ro | ParentDoubleBuffered (TCheckBox)
pt |  | ParentFont (TControl)
pl | ro | ParentFont (TCheckBox)
pt |  | ParentShowHint (TControl)
pl | ro | ParentShowHint (TCheckBox)
 |  | ParentWindow (TWinControl)
 |  | PopupMenu (TControl)
pl | ro | PopupMenu (TCheckBox)
 | ro | ReadBounds (TControl)
pt |  | SessionProperties (TControl)
 | ro | ShortCut (TCustomCheckBox)
 | ro | ShortCutKey2 (TCustomCheckBox)
 |  | ShowHint (TControl)
pl | ro | ShowHint (TCheckBox)
 | ro | Showing (TWinControl)
 |  | State (TCustomCheckBox)
pl | ro | State (TCheckBox)
 |  | TabOrder (TWinControl)
pl | ro | TabOrder (TCheckBox)
 |  | TabStop (TWinControl)
pl | ro | TabStop (TCheckBox)
 |  | Tag (TComponent)
 |  | TBDockHeight (TControl)
pt |  | Text (TControl)
pl |  | Top (TControl)
 |  | UndockHeight (TControl)
 |  | UndockWidth (TControl)
 |  | UseDockManager (TWinControl)
 |  | VCLComObject (TComponent)
 |  | Visible (TControl)
pl | ro | Visible (TCheckBox)
 | ro | VisibleDockClientCount (TWinControl)
 | ro | WidgetSetClass (TLCLComponent)
pl |  | Width (TControl)
pt |  | WindowHandle (TWinControl)
 |  | WindowProc (TControl)


TCheckBox
 | Create
TCustomCheckBox
pt | WSRegisterClass
pt | Click
pt | DoClickOnChange
pt | RetrieveState
pt | InitializeWnd
pt | Toggle
pt | DialogChar
pt | GetChecked
pt | SetChecked
pt | RealSetText
pt | ApplyChanges
pt | GetControlClassDefaultSize
pt | Loaded
pt | WSSetText
pt | TextChanged
pt | CreateParams
 | Create
TButtonControl
pt | WSRegisterClass
pt | GetActionLinkClass
pt | GetChecked
pt | SetChecked
pt | DoOnChange
pt | Click
 | Create
TWinControl
pt | WSRegisterClass
pt | AdjustClientRect
pt | GetAdjustedLogicalClientRect
pt | AlignControls
pt | CustomAlignInsertBefore
pt | CustomAlignPosition
pt | DoAlignChildControls
pt | DoChildSizingChange
pt | InvalidatePreferredChildSizes
pt | CanTab
pt | IsClientHeightStored
pt | IsClientWidthStored
pt | DoSendShowHideToInterface
pt | ControlsAligned
pt | DoSendBoundsToInterface
pt | RealizeBounds
pt | RealizeBoundsRecursive
pt | InvalidateBoundsRealized
pt | CreateSubClass
pt | DoConstraintsChange
pt | DoSetBounds
pt | DoAutoSize
pt | DoAllAutoSize
pt | AllAutoSized
pt | CalculatePreferredSize
pt | GetPreferredSizeClientFrame
pt | GetChildren
pt | ChildClassAllowed
pt | PaintControls
pt | PaintHandler
pt | PaintWindow
pt | CreateBrush
pt | ScaleControls
pt | ChangeScale
pt | CMBiDiModeChanged
pt | CMBorderChanged
pt | CMDoubleBufferedChanged
pt | CMEnabledChanged
pt | CMParentDoubleBufferedChanged
pt | CMShowingChanged
pt | CMShowHintChanged
pt | CMVisibleChanged
pt | CMEnter
pt | CMExit
pt | WMContextMenu
pt | WMEraseBkgnd
pt | WMNotify
pt | WMSetFocus
pt | WMKillFocus
pt | WMShowWindow
pt | WMEnter
pt | WMExit
pt | WMKeyDown
pt | WMSysKeyDown
pt | WMKeyUp
pt | WMSysKeyUp
pt | WMChar
pt | WMSysChar
pt | WMPaint
pt | WMDestroy
pt | WMMove
pt | WMSize
pt | WMWindowPosChanged
pt | CNKeyDown
pt | CNSysKeyDown
pt | CNKeyUp
pt | CNSysKeyUp
pt | CNChar
pt | DoDragMsg
pt | DoDockClientMsg
pt | DoUndockClientMsg
pt | DoAddDockClient
pt | DockOver
pt | DoDockOver
pt | DoRemoveDockClient
pt | DoUnDock
pt | GetSiteInfo
pt | GetParentHandle
pt | GetTopParentHandle
pt | ReloadDockedControl
pt | CreateDockManager
pt | SetDockManager
pt | DoFloatMsg
pt | DoGetDockCaption
pt | DoEnter
pt | DoExit
pt | DoKeyDownBeforeInterface
pt | DoRemainingKeyDown
pt | DoRemainingKeyUp
pt | DoKeyPress
pt | DoUTF8KeyPress
pt | DoKeyUpBeforeInterface
pt | ChildKey
pt | SendDialogChar
pt | DialogChar
pt | ControlKeyDown
pt | ControlKeyUp
pt | KeyDown
pt | KeyDownBeforeInterface
pt | KeyDownAfterInterface
pt | KeyPress
pt | KeyUp
pt | KeyUpBeforeInterface
pt | KeyUpAfterInterface
pt | UTF8KeyPress
pt | FindNextControl
pt | SelectFirst
pt | RealGetText
pt | GetBorderStyle
pt | GetClientOrigin
pt | GetClientRect
pt | GetControlOrigin
pt | GetDeviceContext
pt | GetParentBackground
pt | IsControlMouseMsg
pt | CreateHandle
pt | CreateParams
pt | CreateWnd
pt | DestroyHandle
pt | DestroyWnd
pt | DoFlipChildren
pt | FinalizeWnd
pt | FixupTabList
pt | FontChanged
pt | InitializeWnd
pt | Loaded
pt | FormEndUpdated
pt | MainWndProc
pt | ParentFormHandleInitialized
pt | ChildHandlesCreated
pt | GetMouseCapture
pt | RealSetText
pt | RemoveFocus
pt | SendMoveSizeMessages
pt | SetBorderStyle
pt | SetColor
pt | SetChildZPosition
pt | SetParentBackground
pt | ShowControl
pt | UpdateControlState
pt | UpdateShowing
pt | WndProc
pt | WSSetText
 | AutoSizePhases
 | AutoSizeDelayed
 | AutoSizeDelayedReport
 | AutoSizeDelayedHandle
 | BeginUpdateBounds
 | EndUpdateBounds
 | LockRealizeBounds
 | UnlockRealizeBounds
 | ControlAtPos
 | ContainsControl
 | DoAdjustClientRectChange
 | InvalidateClientRectCache
 | ClientRectNeedsInterfaceUpdate
 | SetBounds
 | GetChildrenRect
 | DisableAlign
 | EnableAlign
 | ReAlign
 | ScrollBy_WS
 | ScrollBy
 | WriteLayoutDebugReport
 | AutoAdjustLayout
 | Create
 | CreateParented
 | CreateParentedControl
 | Destroy
 | DockDrop
 | CanFocus
 | CanSetFocus
 | GetControlIndex
 | SetControlIndex
 | Focused
 | PerformTab
 | FindChildControl
 | SelectNext
 | SetTempCursor
 | BroadCast
 | NotifyControls
 | DefaultHandler
 | GetTextLen
 | Invalidate
 | AddControl
 | InsertControl
 | RemoveControl
 | GetEnumeratorControls
 | GetEnumeratorControlsReverse
 | Repaint
 | Update
 | SetFocus
 | FlipChildren
 | ScaleBy
 | GetDockCaption
 | UpdateDockCaption
 | GetTabOrderList
 | HandleAllocated
 | ParentHandlesAllocated
 | HandleNeeded
 | BrushCreated
 | EraseBackground
 | IntfUTF8KeyPress
 | IntfGetDropFilesTarget
 | PaintTo
 | SetShape
TControl
pt | WSRegisterClass
pt | GetCursor
pt | SetCursor
pt | SetVisible
pt | DoOnParentHandleDestruction
pt | DoAutoSize
pt | DoAllAutoSize
pt | BeginAutoSizing
pt | EndAutoSizing
pt | AnchorSideChanged
pt | ForeignAnchorSideChanged
pt | SetAlign
pt | SetAnchors
pt | SetAutoSize
pt | BoundsChanged
pt | CreateControlBorderSpacing
pt | DoConstraintsChange
pt | DoBorderSpacingChange
pt | IsBorderSpacingInnerBorderStored
pt | IsCaptionStored
pt | SendMoveSizeMessages
pt | ConstrainedResize
pt | CalculatePreferredSize
pt | DoOnResize
pt | DoOnChangeBounds
pt | CheckOnChangeBounds
pt | Resize
pt | RequestAlign
pt | UpdateAnchorRules
pt | ChangeBounds
pt | DoSetBounds
pt | ScaleConstraints
pt | ChangeScale
pt | CanAutoSize
pt | SetBiDiMode
pt | SetParentBiDiMode
pt | IsAParentAligning
pt | GetClientOrigin
pt | GetClientRect
pt | GetLogicalClientRect
pt | GetScrolledClientRect
pt | GetClientScrollOffset
pt | GetControlOrigin
pt | IsClientHeightStored
pt | IsClientWidthStored
pt | WidthIsAnchored
pt | HeightIsAnchored
pt | WMCancelMode
pt | WMContextMenu
pt | WMLButtonDown
pt | WMRButtonDown
pt | WMMButtonDown
pt | WMXButtonDown
pt | WMLButtonDBLCLK
pt | WMRButtonDBLCLK
pt | WMMButtonDBLCLK
pt | WMXButtonDBLCLK
pt | WMLButtonTripleCLK
pt | WMRButtonTripleCLK
pt | WMMButtonTripleCLK
pt | WMXButtonTripleCLK
pt | WMLButtonQuadCLK
pt | WMRButtonQuadCLK
pt | WMMButtonQuadCLK
pt | WMXButtonQuadCLK
pt | WMMouseMove
pt | WMLButtonUp
pt | WMRButtonUp
pt | WMMButtonUp
pt | WMXButtonUp
pt | WMMouseWheel
pt | WMMouseHWheel
pt | WMMove
pt | WMSize
pt | WMWindowPosChanged
pt | CMChanged
pt | LMCaptureChanged
pt | CMBiDiModeChanged
pt | CMSysFontChanged
pt | CMEnabledChanged
pt | CMHitTest
pt | CMMouseEnter
pt | CMMouseLeave
pt | CMHintShow
pt | CMParentBiDiModeChanged
pt | CMParentColorChanged
pt | CMParentFontChanged
pt | CMParentShowHintChanged
pt | CMVisibleChanged
pt | CMTextChanged
pt | CMCursorChanged
pt | CalculateDockSizes
pt | CreateFloatingDockSite
pt | GetDockEdge
pt | GetDragImages
pt | GetFloating
pt | GetFloatingDockSiteClass
pt | BeforeDragStart
pt | BeginAutoDrag
pt | DoFloatMsg
pt | DockTrackNoTarget
pt | DoDock
pt | DoDragMsg
pt | DoEndDock
pt | DoEndDrag
pt | DoStartDock
pt | DoStartDrag
pt | DragCanceled
pt | DragOver
pt | PositionDockRect
pt | SetDragMode
pt | GetDefaultDockCaption
pt | Click
pt | DblClick
pt | TripleClick
pt | QuadClick
pt | GetMousePosFromMessage
pt | MouseDown
pt | MouseMove
pt | MouseUp
pt | MouseEnter
pt | MouseLeave
pt | DialogChar
pt | UpdateMouseCursor
pt | Changed
pt | GetPalette
pt | ChildClassAllowed
pt | ReadState
pt | Loaded
pt | LoadedAll
pt | DefineProperties
pt | AssignTo
pt | FormEndUpdated
pt | InvalidateControl
pt | FontChanged
pt | ParentFontChanged
pt | GetAction
pt | RealGetText
pt | RealSetText
pt | TextChanged
pt | GetCachedText
pt | SetAction
pt | SetColor
pt | SetEnabled
pt | SetHint
pt | SetName
pt | SetParent
pt | SetParentComponent
pt | WndProc
pt | ParentFormHandleInitialized
pt | GetMouseCapture
pt | CaptureChanged
pt | Notification
pt | CanTab
pt | GetDeviceContext
pt | GetEnabled
pt | GetPopupMenu
pt | DoOnShowHint
pt | DoMouseWheel
pt | DoMouseWheelDown
pt | DoMouseWheelUp
pt | DoMouseWheelHorz
pt | DoMouseWheelLeft
pt | DoMouseWheelRight
pt | VisibleChanging
pt | VisibleChanged
pt | EnabledChanging
pt | EnabledChanged
pt | AddHandler
pt | RemoveHandler
pt | DoCallNotifyHandler
pt | DoCallKeyEventHandler
pt | DoCallMouseWheelEventHandler
pt | DoContextPopup
pt | SetZOrder
pt | GetControlClassDefaultSize
pt | ColorIsStored
pt | DoAutoAdjustLayout
pt | DoFixDesignFontPPI
pt | DoScaleFontPPI
pt | GetActionLinkClass
pt | ActionChange
 | DragDrop
 | Dock
 | ManualDock
 | ManualFloat
 | ReplaceDockedControl
 | Docked
 | Dragging
 | GetAccessibleObject
 | CreateAccessibleObject
 | GetSelectedChildAccessibleObject
 | GetChildAccessibleObjectAtPos
 | ScaleDesignToForm
 | ScaleFormToDesign
 | Scale96ToForm
 | ScaleFormTo96
 | Scale96ToFont
 | ScaleFontTo96
 | ScaleScreenToFont
 | ScaleFontToScreen
 | Scale96ToScreen
 | ScaleScreenTo96
 | AdjustSize
 | AutoSizePhases
 | AutoSizeDelayed
 | AutoSizeDelayedReport
 | AutoSizeDelayedHandle
 | AnchorToNeighbour
 | AnchorParallel
 | AnchorHorizontalCenterTo
 | AnchorVerticalCenterTo
 | AnchorToCompanion
 | AnchorSame
 | AnchorAsAlign
 | AnchorClient
 | AnchoredControlCount
 | SetBounds
 | SetInitialBounds
 | SetBoundsKeepBase
 | GetPreferredSize
 | GetCanvasScaleFactor
 | GetDefaultWidth
 | GetDefaultHeight
 | GetDefaultColor
 | GetColorResolvingParent
 | GetRGBColorResolvingParent
 | GetSidePosition
 | CNPreferredSizeChanged
 | InvalidatePreferredSize
 | GetAnchorsDependingOnParent
 | DisableAutoSizing
 | EnableAutoSizing
 | UpdateBaseBounds
 | WriteLayoutDebugReport
 | AutoAdjustLayout
 | ShouldAutoAdjust
 | FixDesignFontsPPI
 | ScaleFontsPPI
 | Create
 | Destroy
 | BeforeDestruction
 | EditingDone
 | ExecuteDefaultAction
 | ExecuteCancelAction
 | BeginDrag
 | EndDrag
 | BringToFront
 | HasParent
 | GetParentComponent
 | IsParentOf
 | GetTopParent
 | IsVisible
 | IsControlVisible
 | IsEnabled
 | IsParentColor
 | IsParentFont
 | FormIsUpdating
 | IsProcessingPaintMsg
 | Hide
 | Refresh
 | Repaint
 | Invalidate
 | CheckChildClassAllowed
 | CheckNewParent
 | SendToBack
 | SetTempCursor
 | UpdateRolesForForm
 | ActiveDefaultControlChanged
 | GetTextBuf
 | GetTextLen
 | SetTextBuf
 | Perform
 | ScreenToClient
 | ClientToScreen
 | ScreenToControl
 | ControlToScreen
 | ClientToParent
 | ParentToClient
 | GetChildrenRect
 | Show
 | Update
 | HandleObjectShouldBeVisible
 | ParentDestroyingHandle
 | ParentHandlesAllocated
 | InitiateAction
 | ShowHelp
 | HasHelp
 | RemoveAllHandlersOfObject
 | AddHandlerOnResize
 | RemoveHandlerOnResize
 | AddHandlerOnChangeBounds
 | RemoveHandlerOnChangeBounds
 | AddHandlerOnVisibleChanging
 | RemoveHandlerOnVisibleChanging
 | AddHandlerOnVisibleChanged
 | RemoveHandlerOnVisibleChanged
 | AddHandlerOnEnabledChanged
 | RemoveHandlerOnEnableChanging
 | AddHandlerOnKeyDown
 | RemoveHandlerOnKeyDown
 | AddHandlerOnBeforeDestruction
 | RemoveHandlerOnBeforeDestruction
 | AddHandlerOnMouseWheel
 | RemoveHandlerOnMouseWheel
 | UseRightToLeftAlignment
 | UseRightToLeftReading
 | UseRightToLeftScrollBar
 | IsRightToLeft
TLCLComponent
pt | WSRegisterClass
pt | GetWSComponentClass
 | Create
 | Destroy
 | NewInstance
 | RemoveAllHandlersOfObject
 | IncLCLRefCount
 | DecLCLRefCount
TComponent
 | GetComObject
 | GetComponent
 | GetComponentCount
 | GetComponentIndex
 | Insert
 | ReadLeft
 | ReadTop
 | Remove
 | RemoveNotification
 | SetComponentIndex
 | SetReference
 | WriteLeft
 | WriteTop
 | ChangeName
 | DefineProperties
 | GetChildren
 | GetChildOwner
 | GetChildParent
 | GetOwner
 | Loaded
 | Loading
 | Notification
 | PaletteCreated
 | ReadState
 | SetAncestor
 | SetDesigning
 | SetDesignInstance
 | SetInline
 | SetName
 | SetChildOrder
 | SetParentComponent
 | Updating
 | Updated
 | UpdateRegistry
 | ValidateRename
 | ValidateContainer
 | ValidateInsert
 | QueryInterface
 | _AddRef
 | _Release
 | iicrGetComponent
 | GetTypeInfoCount
 | GetTypeInfo
 | GetIDsOfNames
 | Invoke
 | WriteState
 | Create
 | Destroy
 | BeforeDestruction
 | DestroyComponents
 | Destroying
 | ExecuteAction
 | FindComponent
 | FreeNotification
 | RemoveFreeNotification
 | FreeOnRelease
 | GetEnumerator
 | GetNamePath
 | GetParentComponent
 | HasParent
 | InsertComponent
 | RemoveComponent
 | SafeCallException
 | SetSubComponent
 | UpdateAction
 | IsImplementorOf
 | ReferenceInterface
TPersistent
 | AssignError
 | AssignTo
 | DefineProperties
 | GetOwner
 | Destroy
 | Assign
 | FPOAttachObserver
 | FPODetachObserver
 | FPONotifyObservers
 | GetNamePath
TObject
 | Create
 | Destroy
 | newinstance
 | FreeInstance
 | SafeCallException
 | DefaultHandler
 | Free
 | InitInstance
 | CleanupInstance
 | ClassType
 | ClassInfo
 | ClassName
 | ClassNameIs
 | ClassParent
 | InstanceSize
 | InheritsFrom
 | StringMessageTable
 | MethodAddress
 | MethodName
 | FieldAddress
 | AfterConstruction
 | BeforeDestruction
 | DefaultHandlerStr
 | Dispatch
 | DispatchStr
 | GetInterface
 | GetInterfaceByStr
 | GetInterfaceWeak
 | GetInterfaceEntry
 | GetInterfaceEntryByStr
 | GetInterfaceTable
 | UnitName
 | Equals
 | GetHashCode
 | ToString


pt | ActionChange (TControl)
 | ActiveDefaultControlChanged (TControl)
 | AddControl (TWinControl)
pt | AddHandler (TControl)
 | AddHandlerOnBeforeDestruction (TControl)
 | AddHandlerOnChangeBounds (TControl)
 | AddHandlerOnEnabledChanged (TControl)
 | AddHandlerOnKeyDown (TControl)
 | AddHandlerOnMouseWheel (TControl)
 | AddHandlerOnResize (TControl)
 | AddHandlerOnVisibleChanged (TControl)
 | AddHandlerOnVisibleChanging (TControl)
pt | AdjustClientRect (TWinControl)
 | AdjustSize (TControl)
 | AfterConstruction (TObject)
pt | AlignControls (TWinControl)
pt | AllAutoSized (TWinControl)
 | AnchorAsAlign (TControl)
 | AnchorClient (TControl)
 | AnchoredControlCount (TControl)
 | AnchorHorizontalCenterTo (TControl)
 | AnchorParallel (TControl)
 | AnchorSame (TControl)
pt | AnchorSideChanged (TControl)
 | AnchorToCompanion (TControl)
 | AnchorToNeighbour (TControl)
 | AnchorVerticalCenterTo (TControl)
pt | ApplyChanges (TCustomCheckBox)
 | Assign (TPersistent)
 | AssignError (TPersistent)
 | AssignTo (TPersistent)
pt | AssignTo (TControl)
 | AutoAdjustLayout (TControl)
 | AutoAdjustLayout (TWinControl)
 | AutoSizeDelayed (TControl)
 | AutoSizeDelayed (TWinControl)
 | AutoSizeDelayedHandle (TControl)
 | AutoSizeDelayedHandle (TWinControl)
 | AutoSizeDelayedReport (TControl)
 | AutoSizeDelayedReport (TWinControl)
 | AutoSizePhases (TControl)
 | AutoSizePhases (TWinControl)
 | BeforeDestruction (TObject)
 | BeforeDestruction (TComponent)
 | BeforeDestruction (TControl)
pt | BeforeDragStart (TControl)
pt | BeginAutoDrag (TControl)
pt | BeginAutoSizing (TControl)
 | BeginDrag (TControl)
 | BeginUpdateBounds (TWinControl)
pt | BoundsChanged (TControl)
 | BringToFront (TControl)
 | BroadCast (TWinControl)
 | BrushCreated (TWinControl)
pt | CalculateDockSizes (TControl)
pt | CalculatePreferredSize (TControl)
pt | CalculatePreferredSize (TWinControl)
pt | CanAutoSize (TControl)
 | CanFocus (TWinControl)
 | CanSetFocus (TWinControl)
pt | CanTab (TControl)
pt | CanTab (TWinControl)
pt | CaptureChanged (TControl)
pt | ChangeBounds (TControl)
pt | Changed (TControl)
 | ChangeName (TComponent)
pt | ChangeScale (TControl)
pt | ChangeScale (TWinControl)
 | CheckChildClassAllowed (TControl)
 | CheckNewParent (TControl)
pt | CheckOnChangeBounds (TControl)
pt | ChildClassAllowed (TControl)
pt | ChildClassAllowed (TWinControl)
pt | ChildHandlesCreated (TWinControl)
pt | ChildKey (TWinControl)
 | ClassInfo (TObject)
 | ClassName (TObject)
 | ClassNameIs (TObject)
 | ClassParent (TObject)
 | ClassType (TObject)
 | CleanupInstance (TObject)
pt | Click (TControl)
pt | Click (TButtonControl)
pt | Click (TCustomCheckBox)
 | ClientRectNeedsInterfaceUpdate (TWinControl)
 | ClientToParent (TControl)
 | ClientToScreen (TControl)
pt | CMBiDiModeChanged (TControl)
pt | CMBiDiModeChanged (TWinControl)
pt | CMBorderChanged (TWinControl)
pt | CMChanged (TControl)
pt | CMCursorChanged (TControl)
pt | CMDoubleBufferedChanged (TWinControl)
pt | CMEnabledChanged (TControl)
pt | CMEnabledChanged (TWinControl)
pt | CMEnter (TWinControl)
pt | CMExit (TWinControl)
pt | CMHintShow (TControl)
pt | CMHitTest (TControl)
pt | CMMouseEnter (TControl)
pt | CMMouseLeave (TControl)
pt | CMParentBiDiModeChanged (TControl)
pt | CMParentColorChanged (TControl)
pt | CMParentDoubleBufferedChanged (TWinControl)
pt | CMParentFontChanged (TControl)
pt | CMParentShowHintChanged (TControl)
pt | CMShowHintChanged (TWinControl)
pt | CMShowingChanged (TWinControl)
pt | CMSysFontChanged (TControl)
pt | CMTextChanged (TControl)
pt | CMVisibleChanged (TControl)
pt | CMVisibleChanged (TWinControl)
pt | CNChar (TWinControl)
pt | CNKeyDown (TWinControl)
pt | CNKeyUp (TWinControl)
 | CNPreferredSizeChanged (TControl)
pt | CNSysKeyDown (TWinControl)
pt | CNSysKeyUp (TWinControl)
pt | ColorIsStored (TControl)
pt | ConstrainedResize (TControl)
 | ContainsControl (TWinControl)
 | ControlAtPos (TWinControl)
pt | ControlKeyDown (TWinControl)
pt | ControlKeyUp (TWinControl)
pt | ControlsAligned (TWinControl)
 | ControlToScreen (TControl)
 | Create (TObject)
 | Create (TComponent)
 | Create (TLCLComponent)
 | Create (TControl)
 | Create (TWinControl)
 | Create (TButtonControl)
 | Create (TCustomCheckBox)
 | Create (TCheckBox)
 | CreateAccessibleObject (TControl)
pt | CreateBrush (TWinControl)
pt | CreateControlBorderSpacing (TControl)
pt | CreateDockManager (TWinControl)
pt | CreateFloatingDockSite (TControl)
pt | CreateHandle (TWinControl)
pt | CreateParams (TWinControl)
pt | CreateParams (TCustomCheckBox)
 | CreateParented (TWinControl)
 | CreateParentedControl (TWinControl)
pt | CreateSubClass (TWinControl)
pt | CreateWnd (TWinControl)
pt | CustomAlignInsertBefore (TWinControl)
pt | CustomAlignPosition (TWinControl)
pt | DblClick (TControl)
 | DecLCLRefCount (TLCLComponent)
 | DefaultHandler (TObject)
 | DefaultHandler (TWinControl)
 | DefaultHandlerStr (TObject)
 | DefineProperties (TPersistent)
 | DefineProperties (TComponent)
pt | DefineProperties (TControl)
 | Destroy (TObject)
 | Destroy (TPersistent)
 | Destroy (TComponent)
 | Destroy (TLCLComponent)
 | Destroy (TControl)
 | Destroy (TWinControl)
 | DestroyComponents (TComponent)
pt | DestroyHandle (TWinControl)
 | Destroying (TComponent)
pt | DestroyWnd (TWinControl)
pt | DialogChar (TControl)
pt | DialogChar (TWinControl)
pt | DialogChar (TCustomCheckBox)
 | DisableAlign (TWinControl)
 | DisableAutoSizing (TControl)
 | Dispatch (TObject)
 | DispatchStr (TObject)
pt | DoAddDockClient (TWinControl)
 | DoAdjustClientRectChange (TWinControl)
pt | DoAlignChildControls (TWinControl)
pt | DoAllAutoSize (TControl)
pt | DoAllAutoSize (TWinControl)
pt | DoAutoAdjustLayout (TControl)
pt | DoAutoSize (TControl)
pt | DoAutoSize (TWinControl)
pt | DoBorderSpacingChange (TControl)
pt | DoCallKeyEventHandler (TControl)
pt | DoCallMouseWheelEventHandler (TControl)
pt | DoCallNotifyHandler (TControl)
pt | DoChildSizingChange (TWinControl)
 | Dock (TControl)
 | DockDrop (TWinControl)
 | Docked (TControl)
pt | DockOver (TWinControl)
pt | DockTrackNoTarget (TControl)
pt | DoClickOnChange (TCustomCheckBox)
pt | DoConstraintsChange (TControl)
pt | DoConstraintsChange (TWinControl)
pt | DoContextPopup (TControl)
pt | DoDock (TControl)
pt | DoDockClientMsg (TWinControl)
pt | DoDockOver (TWinControl)
pt | DoDragMsg (TControl)
pt | DoDragMsg (TWinControl)
pt | DoEndDock (TControl)
pt | DoEndDrag (TControl)
pt | DoEnter (TWinControl)
pt | DoExit (TWinControl)
pt | DoFixDesignFontPPI (TControl)
pt | DoFlipChildren (TWinControl)
pt | DoFloatMsg (TControl)
pt | DoFloatMsg (TWinControl)
pt | DoGetDockCaption (TWinControl)
pt | DoKeyDownBeforeInterface (TWinControl)
pt | DoKeyPress (TWinControl)
pt | DoKeyUpBeforeInterface (TWinControl)
pt | DoMouseWheel (TControl)
pt | DoMouseWheelDown (TControl)
pt | DoMouseWheelHorz (TControl)
pt | DoMouseWheelLeft (TControl)
pt | DoMouseWheelRight (TControl)
pt | DoMouseWheelUp (TControl)
pt | DoOnChange (TButtonControl)
pt | DoOnChangeBounds (TControl)
pt | DoOnParentHandleDestruction (TControl)
pt | DoOnResize (TControl)
pt | DoOnShowHint (TControl)
pt | DoRemainingKeyDown (TWinControl)
pt | DoRemainingKeyUp (TWinControl)
pt | DoRemoveDockClient (TWinControl)
pt | DoScaleFontPPI (TControl)
pt | DoSendBoundsToInterface (TWinControl)
pt | DoSendShowHideToInterface (TWinControl)
pt | DoSetBounds (TControl)
pt | DoSetBounds (TWinControl)
pt | DoStartDock (TControl)
pt | DoStartDrag (TControl)
pt | DoUnDock (TWinControl)
pt | DoUndockClientMsg (TWinControl)
pt | DoUTF8KeyPress (TWinControl)
pt | DragCanceled (TControl)
 | DragDrop (TControl)
 | Dragging (TControl)
pt | DragOver (TControl)
 | EditingDone (TControl)
 | EnableAlign (TWinControl)
 | EnableAutoSizing (TControl)
pt | EnabledChanged (TControl)
pt | EnabledChanging (TControl)
pt | EndAutoSizing (TControl)
 | EndDrag (TControl)
 | EndUpdateBounds (TWinControl)
 | Equals (TObject)
 | EraseBackground (TWinControl)
 | ExecuteAction (TComponent)
 | ExecuteCancelAction (TControl)
 | ExecuteDefaultAction (TControl)
 | FieldAddress (TObject)
pt | FinalizeWnd (TWinControl)
 | FindChildControl (TWinControl)
 | FindComponent (TComponent)
pt | FindNextControl (TWinControl)
 | FixDesignFontsPPI (TControl)
pt | FixupTabList (TWinControl)
 | FlipChildren (TWinControl)
 | Focused (TWinControl)
pt | FontChanged (TControl)
pt | FontChanged (TWinControl)
pt | ForeignAnchorSideChanged (TControl)
pt | FormEndUpdated (TControl)
pt | FormEndUpdated (TWinControl)
 | FormIsUpdating (TControl)
 | FPOAttachObserver (TPersistent)
 | FPODetachObserver (TPersistent)
 | FPONotifyObservers (TPersistent)
 | Free (TObject)
 | FreeInstance (TObject)
 | FreeNotification (TComponent)
 | FreeOnRelease (TComponent)
 | GetAccessibleObject (TControl)
pt | GetAction (TControl)
pt | GetActionLinkClass (TControl)
pt | GetActionLinkClass (TButtonControl)
pt | GetAdjustedLogicalClientRect (TWinControl)
 | GetAnchorsDependingOnParent (TControl)
pt | GetBorderStyle (TWinControl)
pt | GetCachedText (TControl)
 | GetCanvasScaleFactor (TControl)
pt | GetChecked (TButtonControl)
pt | GetChecked (TCustomCheckBox)
 | GetChildAccessibleObjectAtPos (TControl)
 | GetChildOwner (TComponent)
 | GetChildParent (TComponent)
 | GetChildren (TComponent)
pt | GetChildren (TWinControl)
 | GetChildrenRect (TControl)
 | GetChildrenRect (TWinControl)
pt | GetClientOrigin (TControl)
pt | GetClientOrigin (TWinControl)
pt | GetClientRect (TControl)
pt | GetClientRect (TWinControl)
pt | GetClientScrollOffset (TControl)
 | GetColorResolvingParent (TControl)
 | GetComObject (TComponent)
 | GetComponent (TComponent)
 | GetComponentCount (TComponent)
 | GetComponentIndex (TComponent)
pt | GetControlClassDefaultSize (TControl)
pt | GetControlClassDefaultSize (TCustomCheckBox)
 | GetControlIndex (TWinControl)
pt | GetControlOrigin (TControl)
pt | GetControlOrigin (TWinControl)
pt | GetCursor (TControl)
 | GetDefaultColor (TControl)
pt | GetDefaultDockCaption (TControl)
 | GetDefaultHeight (TControl)
 | GetDefaultWidth (TControl)
pt | GetDeviceContext (TControl)
pt | GetDeviceContext (TWinControl)
 | GetDockCaption (TWinControl)
pt | GetDockEdge (TControl)
pt | GetDragImages (TControl)
pt | GetEnabled (TControl)
 | GetEnumerator (TComponent)
 | GetEnumeratorControls (TWinControl)
 | GetEnumeratorControlsReverse (TWinControl)
pt | GetFloating (TControl)
pt | GetFloatingDockSiteClass (TControl)
 | GetHashCode (TObject)
 | GetIDsOfNames (TComponent)
 | GetInterface (TObject)
 | GetInterfaceByStr (TObject)
 | GetInterfaceEntry (TObject)
 | GetInterfaceEntryByStr (TObject)
 | GetInterfaceTable (TObject)
 | GetInterfaceWeak (TObject)
pt | GetLogicalClientRect (TControl)
pt | GetMouseCapture (TControl)
pt | GetMouseCapture (TWinControl)
pt | GetMousePosFromMessage (TControl)
 | GetNamePath (TPersistent)
 | GetNamePath (TComponent)
 | GetOwner (TPersistent)
 | GetOwner (TComponent)
pt | GetPalette (TControl)
pt | GetParentBackground (TWinControl)
 | GetParentComponent (TComponent)
 | GetParentComponent (TControl)
pt | GetParentHandle (TWinControl)
pt | GetPopupMenu (TControl)
 | GetPreferredSize (TControl)
pt | GetPreferredSizeClientFrame (TWinControl)
 | GetRGBColorResolvingParent (TControl)
pt | GetScrolledClientRect (TControl)
 | GetSelectedChildAccessibleObject (TControl)
 | GetSidePosition (TControl)
pt | GetSiteInfo (TWinControl)
 | GetTabOrderList (TWinControl)
 | GetTextBuf (TControl)
 | GetTextLen (TControl)
 | GetTextLen (TWinControl)
 | GetTopParent (TControl)
pt | GetTopParentHandle (TWinControl)
 | GetTypeInfo (TComponent)
 | GetTypeInfoCount (TComponent)
pt | GetWSComponentClass (TLCLComponent)
 | HandleAllocated (TWinControl)
 | HandleNeeded (TWinControl)
 | HandleObjectShouldBeVisible (TControl)
 | HasHelp (TControl)
 | HasParent (TComponent)
 | HasParent (TControl)
pt | HeightIsAnchored (TControl)
 | Hide (TControl)
 | iicrGetComponent (TComponent)
 | IncLCLRefCount (TLCLComponent)
 | InheritsFrom (TObject)
pt | InitializeWnd (TWinControl)
pt | InitializeWnd (TCustomCheckBox)
 | InitiateAction (TControl)
 | InitInstance (TObject)
 | Insert (TComponent)
 | InsertComponent (TComponent)
 | InsertControl (TWinControl)
 | InstanceSize (TObject)
 | IntfGetDropFilesTarget (TWinControl)
 | IntfUTF8KeyPress (TWinControl)
 | Invalidate (TControl)
 | Invalidate (TWinControl)
pt | InvalidateBoundsRealized (TWinControl)
 | InvalidateClientRectCache (TWinControl)
pt | InvalidateControl (TControl)
pt | InvalidatePreferredChildSizes (TWinControl)
 | InvalidatePreferredSize (TControl)
 | Invoke (TComponent)
pt | IsAParentAligning (TControl)
pt | IsBorderSpacingInnerBorderStored (TControl)
pt | IsCaptionStored (TControl)
pt | IsClientHeightStored (TControl)
pt | IsClientHeightStored (TWinControl)
pt | IsClientWidthStored (TControl)
pt | IsClientWidthStored (TWinControl)
pt | IsControlMouseMsg (TWinControl)
 | IsControlVisible (TControl)
 | IsEnabled (TControl)
 | IsImplementorOf (TComponent)
 | IsParentColor (TControl)
 | IsParentFont (TControl)
 | IsParentOf (TControl)
 | IsProcessingPaintMsg (TControl)
 | IsRightToLeft (TControl)
 | IsVisible (TControl)
pt | KeyDown (TWinControl)
pt | KeyDownAfterInterface (TWinControl)
pt | KeyDownBeforeInterface (TWinControl)
pt | KeyPress (TWinControl)
pt | KeyUp (TWinControl)
pt | KeyUpAfterInterface (TWinControl)
pt | KeyUpBeforeInterface (TWinControl)
pt | LMCaptureChanged (TControl)
 | Loaded (TComponent)
pt | Loaded (TControl)
pt | Loaded (TWinControl)
pt | Loaded (TCustomCheckBox)
pt | LoadedAll (TControl)
 | Loading (TComponent)
 | LockRealizeBounds (TWinControl)
pt | MainWndProc (TWinControl)
 | ManualDock (TControl)
 | ManualFloat (TControl)
 | MethodAddress (TObject)
 | MethodName (TObject)
pt | MouseDown (TControl)
pt | MouseEnter (TControl)
pt | MouseLeave (TControl)
pt | MouseMove (TControl)
pt | MouseUp (TControl)
 | newinstance (TObject)
 | NewInstance (TLCLComponent)
 | Notification (TComponent)
pt | Notification (TControl)
 | NotifyControls (TWinControl)
pt | PaintControls (TWinControl)
pt | PaintHandler (TWinControl)
 | PaintTo (TWinControl)
pt | PaintWindow (TWinControl)
 | PaletteCreated (TComponent)
 | ParentDestroyingHandle (TControl)
pt | ParentFontChanged (TControl)
pt | ParentFormHandleInitialized (TControl)
pt | ParentFormHandleInitialized (TWinControl)
 | ParentHandlesAllocated (TControl)
 | ParentHandlesAllocated (TWinControl)
 | ParentToClient (TControl)
 | Perform (TControl)
 | PerformTab (TWinControl)
pt | PositionDockRect (TControl)
pt | QuadClick (TControl)
 | QueryInterface (TComponent)
 | ReadLeft (TComponent)
 | ReadState (TComponent)
pt | ReadState (TControl)
 | ReadTop (TComponent)
pt | RealGetText (TControl)
pt | RealGetText (TWinControl)
 | ReAlign (TWinControl)
pt | RealizeBounds (TWinControl)
pt | RealizeBoundsRecursive (TWinControl)
pt | RealSetText (TControl)
pt | RealSetText (TWinControl)
pt | RealSetText (TCustomCheckBox)
 | ReferenceInterface (TComponent)
 | Refresh (TControl)
pt | ReloadDockedControl (TWinControl)
 | Remove (TComponent)
 | RemoveAllHandlersOfObject (TLCLComponent)
 | RemoveAllHandlersOfObject (TControl)
 | RemoveComponent (TComponent)
 | RemoveControl (TWinControl)
pt | RemoveFocus (TWinControl)
 | RemoveFreeNotification (TComponent)
pt | RemoveHandler (TControl)
 | RemoveHandlerOnBeforeDestruction (TControl)
 | RemoveHandlerOnChangeBounds (TControl)
 | RemoveHandlerOnEnableChanging (TControl)
 | RemoveHandlerOnKeyDown (TControl)
 | RemoveHandlerOnMouseWheel (TControl)
 | RemoveHandlerOnResize (TControl)
 | RemoveHandlerOnVisibleChanged (TControl)
 | RemoveHandlerOnVisibleChanging (TControl)
 | RemoveNotification (TComponent)
 | Repaint (TControl)
 | Repaint (TWinControl)
 | ReplaceDockedControl (TControl)
pt | RequestAlign (TControl)
pt | Resize (TControl)
pt | RetrieveState (TCustomCheckBox)
 | SafeCallException (TObject)
 | SafeCallException (TComponent)
 | Scale96ToFont (TControl)
 | Scale96ToForm (TControl)
 | Scale96ToScreen (TControl)
 | ScaleBy (TWinControl)
pt | ScaleConstraints (TControl)
pt | ScaleControls (TWinControl)
 | ScaleDesignToForm (TControl)
 | ScaleFontsPPI (TControl)
 | ScaleFontTo96 (TControl)
 | ScaleFontToScreen (TControl)
 | ScaleFormTo96 (TControl)
 | ScaleFormToDesign (TControl)
 | ScaleScreenTo96 (TControl)
 | ScaleScreenToFont (TControl)
 | ScreenToClient (TControl)
 | ScreenToControl (TControl)
 | ScrollBy (TWinControl)
 | ScrollBy_WS (TWinControl)
pt | SelectFirst (TWinControl)
 | SelectNext (TWinControl)
pt | SendDialogChar (TWinControl)
pt | SendMoveSizeMessages (TControl)
pt | SendMoveSizeMessages (TWinControl)
 | SendToBack (TControl)
pt | SetAction (TControl)
pt | SetAlign (TControl)
 | SetAncestor (TComponent)
pt | SetAnchors (TControl)
pt | SetAutoSize (TControl)
pt | SetBiDiMode (TControl)
pt | SetBorderStyle (TWinControl)
 | SetBounds (TControl)
 | SetBounds (TWinControl)
 | SetBoundsKeepBase (TControl)
pt | SetChecked (TButtonControl)
pt | SetChecked (TCustomCheckBox)
 | SetChildOrder (TComponent)
pt | SetChildZPosition (TWinControl)
pt | SetColor (TControl)
pt | SetColor (TWinControl)
 | SetComponentIndex (TComponent)
 | SetControlIndex (TWinControl)
pt | SetCursor (TControl)
 | SetDesigning (TComponent)
 | SetDesignInstance (TComponent)
pt | SetDockManager (TWinControl)
pt | SetDragMode (TControl)
pt | SetEnabled (TControl)
 | SetFocus (TWinControl)
pt | SetHint (TControl)
 | SetInitialBounds (TControl)
 | SetInline (TComponent)
 | SetName (TComponent)
pt | SetName (TControl)
pt | SetParent (TControl)
pt | SetParentBackground (TWinControl)
pt | SetParentBiDiMode (TControl)
 | SetParentComponent (TComponent)
pt | SetParentComponent (TControl)
 | SetReference (TComponent)
 | SetShape (TWinControl)
 | SetSubComponent (TComponent)
 | SetTempCursor (TControl)
 | SetTempCursor (TWinControl)
 | SetTextBuf (TControl)
pt | SetVisible (TControl)
pt | SetZOrder (TControl)
 | ShouldAutoAdjust (TControl)
 | Show (TControl)
pt | ShowControl (TWinControl)
 | ShowHelp (TControl)
 | StringMessageTable (TObject)
pt | TextChanged (TControl)
pt | TextChanged (TCustomCheckBox)
pt | Toggle (TCustomCheckBox)
 | ToString (TObject)
pt | TripleClick (TControl)
 | UnitName (TObject)
 | UnlockRealizeBounds (TWinControl)
 | Update (TControl)
 | Update (TWinControl)
 | UpdateAction (TComponent)
pt | UpdateAnchorRules (TControl)
 | UpdateBaseBounds (TControl)
pt | UpdateControlState (TWinControl)
 | Updated (TComponent)
 | UpdateDockCaption (TWinControl)
pt | UpdateMouseCursor (TControl)
 | UpdateRegistry (TComponent)
 | UpdateRolesForForm (TControl)
pt | UpdateShowing (TWinControl)
 | Updating (TComponent)
 | UseRightToLeftAlignment (TControl)
 | UseRightToLeftReading (TControl)
 | UseRightToLeftScrollBar (TControl)
pt | UTF8KeyPress (TWinControl)
 | ValidateContainer (TComponent)
 | ValidateInsert (TComponent)
 | ValidateRename (TComponent)
pt | VisibleChanged (TControl)
pt | VisibleChanging (TControl)
pt | WidthIsAnchored (TControl)
pt | WMCancelMode (TControl)
pt | WMChar (TWinControl)
pt | WMContextMenu (TControl)
pt | WMContextMenu (TWinControl)
pt | WMDestroy (TWinControl)
pt | WMEnter (TWinControl)
pt | WMEraseBkgnd (TWinControl)
pt | WMExit (TWinControl)
pt | WMKeyDown (TWinControl)
pt | WMKeyUp (TWinControl)
pt | WMKillFocus (TWinControl)
pt | WMLButtonDBLCLK (TControl)
pt | WMLButtonDown (TControl)
pt | WMLButtonQuadCLK (TControl)
pt | WMLButtonTripleCLK (TControl)
pt | WMLButtonUp (TControl)
pt | WMMButtonDBLCLK (TControl)
pt | WMMButtonDown (TControl)
pt | WMMButtonQuadCLK (TControl)
pt | WMMButtonTripleCLK (TControl)
pt | WMMButtonUp (TControl)
pt | WMMouseHWheel (TControl)
pt | WMMouseMove (TControl)
pt | WMMouseWheel (TControl)
pt | WMMove (TControl)
pt | WMMove (TWinControl)
pt | WMNotify (TWinControl)
pt | WMPaint (TWinControl)
pt | WMRButtonDBLCLK (TControl)
pt | WMRButtonDown (TControl)
pt | WMRButtonQuadCLK (TControl)
pt | WMRButtonTripleCLK (TControl)
pt | WMRButtonUp (TControl)
pt | WMSetFocus (TWinControl)
pt | WMShowWindow (TWinControl)
pt | WMSize (TControl)
pt | WMSize (TWinControl)
pt | WMSysChar (TWinControl)
pt | WMSysKeyDown (TWinControl)
pt | WMSysKeyUp (TWinControl)
pt | WMWindowPosChanged (TControl)
pt | WMWindowPosChanged (TWinControl)
pt | WMXButtonDBLCLK (TControl)
pt | WMXButtonDown (TControl)
pt | WMXButtonQuadCLK (TControl)
pt | WMXButtonTripleCLK (TControl)
pt | WMXButtonUp (TControl)
pt | WndProc (TControl)
pt | WndProc (TWinControl)
 | WriteLayoutDebugReport (TControl)
 | WriteLayoutDebugReport (TWinControl)
 | WriteLeft (TComponent)
 | WriteState (TComponent)
 | WriteTop (TComponent)
pt | WSRegisterClass (TLCLComponent)
pt | WSRegisterClass (TControl)
pt | WSRegisterClass (TWinControl)
pt | WSRegisterClass (TButtonControl)
pt | WSRegisterClass (TCustomCheckBox)
pt | WSSetText (TWinControl)
pt | WSSetText (TCustomCheckBox)
 | _AddRef (TComponent)
 | _Release (TComponent)


TCheckBox
pl | ro | OnChange
pl | ro | OnChangeBounds
pl | ro | OnClick
pl | ro | OnContextPopup
pl | ro | OnDragDrop
pl | ro | OnDragOver
pl | ro | OnEditingDone
pl | ro | OnEndDrag
pl | ro | OnEnter
pl | ro | OnExit
pl | ro | OnKeyPress
pl | ro | OnKeyDown
pl | ro | OnKeyUp
pl | ro | OnMouseDown
pl | ro | OnMouseEnter
pl | ro | OnMouseLeave
pl | ro | OnMouseMove
pl | ro | OnMouseUp
pl | ro | OnMouseWheel
pl | ro | OnMouseWheelDown
pl | ro | OnMouseWheelUp
pl | ro | OnResize
pl | ro | OnStartDrag
pl | ro | OnUTF8KeyPress
TCustomCheckBox
 | ro | OnChange
TButtonControl
pt |  | OnChange
TWinControl
pt |  | OnGetSiteInfo
pt |  | OnGetDockCaption
 |  | OnAlignInsertBefore
 |  | OnAlignPosition
 |  | OnDockDrop
 |  | OnDockOver
 |  | OnEnter
 |  | OnExit
 |  | OnKeyDown
 |  | OnKeyPress
 |  | OnKeyUp
 |  | OnUnDock
 |  | OnUTF8KeyPress
TControl
pt |  | OnConstrainedResize
pt |  | OnContextPopup
pt |  | OnDblClick
pt |  | OnTripleClick
pt |  | OnQuadClick
pt |  | OnDragDrop
pt |  | OnDragOver
pt |  | OnEndDock
pt |  | OnEndDrag
pt |  | OnMouseDown
pt |  | OnMouseMove
pt |  | OnMouseUp
pt |  | OnMouseEnter
pt |  | OnMouseLeave
pt |  | OnMouseWheel
pt |  | OnMouseWheelDown
pt |  | OnMouseWheelUp
pt |  | OnMouseWheelHorz
pt |  | OnMouseWheelLeft
pt |  | OnMouseWheelRight
pt |  | OnStartDock
pt |  | OnStartDrag
pt |  | OnEditingDone
 |  | OnChangeBounds
 |  | OnClick
 |  | OnResize
 |  | OnShowHint
TLCLComponent
TComponent
TPersistent
TObject


pt |  | OnChange (TButtonControl)
 | ro | OnChange (TCustomCheckBox)
pl | ro | OnChange (TCheckBox)
 |  | OnChangeBounds (TControl)
pl | ro | OnChangeBounds (TCheckBox)
 |  | OnClick (TControl)
pl | ro | OnClick (TCheckBox)
pt |  | OnConstrainedResize (TControl)
pt |  | OnContextPopup (TControl)
pl | ro | OnContextPopup (TCheckBox)
pt |  | OnDblClick (TControl)
 |  | OnDockDrop (TWinControl)
 |  | OnDockOver (TWinControl)
pt |  | OnDragDrop (TControl)
pl | ro | OnDragDrop (TCheckBox)
pt |  | OnDragOver (TControl)
pl | ro | OnDragOver (TCheckBox)
pt |  | OnEditingDone (TControl)
pl | ro | OnEditingDone (TCheckBox)
pt |  | OnEndDock (TControl)
pt |  | OnEndDrag (TControl)
pl | ro | OnEndDrag (TCheckBox)
 |  | OnEnter (TWinControl)
pl | ro | OnEnter (TCheckBox)
 |  | OnExit (TWinControl)
pl | ro | OnExit (TCheckBox)
pt |  | OnGetDockCaption (TWinControl)
pt |  | OnGetSiteInfo (TWinControl)
 |  | OnKeyDown (TWinControl)
pl | ro | OnKeyDown (TCheckBox)
 |  | OnKeyPress (TWinControl)
pl | ro | OnKeyPress (TCheckBox)
 |  | OnKeyUp (TWinControl)
pl | ro | OnKeyUp (TCheckBox)
pt |  | OnMouseDown (TControl)
pl | ro | OnMouseDown (TCheckBox)
pt |  | OnMouseEnter (TControl)
pl | ro | OnMouseEnter (TCheckBox)
pt |  | OnMouseLeave (TControl)
pl | ro | OnMouseLeave (TCheckBox)
pt |  | OnMouseMove (TControl)
pl | ro | OnMouseMove (TCheckBox)
pt |  | OnMouseUp (TControl)
pl | ro | OnMouseUp (TCheckBox)
pt |  | OnMouseWheel (TControl)
pl | ro | OnMouseWheel (TCheckBox)
pt |  | OnMouseWheelDown (TControl)
pl | ro | OnMouseWheelDown (TCheckBox)
pt |  | OnMouseWheelHorz (TControl)
pt |  | OnMouseWheelLeft (TControl)
pt |  | OnMouseWheelRight (TControl)
pt |  | OnMouseWheelUp (TControl)
pl | ro | OnMouseWheelUp (TCheckBox)
pt |  | OnQuadClick (TControl)
 |  | OnResize (TControl)
pl | ro | OnResize (TCheckBox)
 |  | OnShowHint (TControl)
pt |  | OnStartDock (TControl)
pt |  | OnStartDrag (TControl)
pl | ro | OnStartDrag (TCheckBox)
pt |  | OnTripleClick (TControl)
 |  | OnUnDock (TWinControl)
 |  | OnUTF8KeyPress (TWinControl)
pl | ro | OnUTF8KeyPress (TCheckBox)


TCheckBox.Alignment

Declaration

Source position: stdctrls.pp line 1343

published property TCheckBox.Alignment : TLeftRight;


TCheckBox.AutoSize

TCheckBox default is True

Declaration

Source position: stdctrls.pp line 1346

published property TCheckBox.AutoSize : Boolean
  default True;


TCheckBox.Create

Declaration

Source position: stdctrls.pp line 1339

public constructor TCheckBox.Create(

  TheOwner: TComponent

); override;


TCheckBox.DoubleBuffered

Declaration

Source position: stdctrls.pp line 1353

published property TCheckBox.DoubleBuffered : Boolean;


TCheckBox.OnMouseWheel

Declaration

Source position: stdctrls.pp line 1378

published property TCheckBox.OnMouseWheel : TMouseWheelEvent;


TCheckBox.OnMouseWheelDown

Declaration

Source position: stdctrls.pp line 1379

published property TCheckBox.OnMouseWheelDown : TMouseWheelUpDownEvent;


TCheckBox.OnMouseWheelUp

Declaration

Source position: stdctrls.pp line 1380

published property TCheckBox.OnMouseWheelUp : TMouseWheelUpDownEvent;


TCheckBox.ParentDoubleBuffered

Declaration

Source position: stdctrls.pp line 1385

published property TCheckBox.ParentDoubleBuffered : Boolean;


TCheckBoxState

The states of a checkbox - Unchecked, Checked or Greyed.

Declaration

Source position: stdctrls.pp line 1289

type TCheckBoxState = (

  cbUnchecked,

  cbChecked,

  cbGrayed

);


TComboBox

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

A combination of an edit box and a (drop-down) list allowing one of several options to be chosen.

Declaration

Source position: stdctrls.pp line 419

type TComboBox = class(TCustomComboBox)
published
property Align: TAlign; | Specifies the placement of the control inside its Parent.
property Anchors: TAnchors; | The set of anchor definitions for this control.
property ArrowKeysTraverseList: Boolean; | Allows the operator to use also the keyboard Arrow keys to move through the list.
property AutoComplete: Boolean; | Allows to select items from partial input, of the begin of the item text.
property AutoCompleteText: TComboBoxAutoCompleteText; | Options for the behavior of the Auto-Complete feature.
property AutoDropDown: Boolean; | Makes the drop-down list appear as soon as the user starts entering text.
property AutoSelect: Boolean; | Selects the entire content of the edit box when the control receives the focus.
property AutoSize: Boolean; | Allows to automatically adjust the size of the control, according to its content.
property BidiMode: TBiDiMode; | Customization (of text controls) in bidirectional reading environments.
property BorderSpacing: TControlBorderSpacing; | Determines the inner and outer border spacing for this control.
property BorderStyle: TBorderStyle;
property CharCase: TEditCharCase; | Indicates how text is converted during input (upper, lower, or as entered).
property Color: TColor; | The background color of the control.
property Constraints: TSizeConstraints; | The minimal and maximal Width and Height of this control.
property DoubleBuffered: Boolean;
property DragCursor: TCursor; | The cursor shape shown while the control is dragged.
property DragKind: TDragKind;
property DragMode: TDragMode; | Allows the user to drag the control.
property DropDownCount: Integer; | The height of the drop-down list, measured in number of items.
property Enabled: Boolean; | Determines whether the control reacts on mouse or keyboard input.
property Font: TFont; | The font to be used for text display in this control.
property ItemHeight: Integer; | The default height of a list item.
property ItemIndex: Integer; | The index of the currently selected item, -1 if none is selected.
property Items: TStrings; | The list of all items in the control.
property ItemWidth: Integer; | The minimum width of the items in the drop-down list.
property MaxLength: Integer; | The maximum length of user input.
property OnChange: TNotifyEvent; | Event handler for user changed text in the edit box.
property OnChangeBounds: TNotifyEvent; | Event handler for a change of the Bounds of the control.
property OnClick: TNotifyEvent; | Notification handler for mouse clicks.
property OnCloseUp: TNotifyEvent; | Handler invoked when the drop-down list closes.
property OnContextPopup: TContextPopupEvent; | Invoked when a context-sensitive pop-up menu is requested.
property OnDblClick: TNotifyEvent; | Event Handler for double mouse clicks.
property OnDragDrop: TDragDropEvent; | This handler determines the action on an drop onto this control, in a drag-drop operation.
property OnDragOver: TDragOverEvent; | Event handler for a control being dragged over this control.
property OnDrawItem: TDrawItemEvent; | Handler for special painting of an item (in owner-draw mode).
property OnEndDrag: TEndDragEvent; | Notification handler for the end of a dragging operation.
property OnDropDown: TNotifyEvent; | Handler invoked when the list has dropped down.
property OnEditingDone: TNotifyEvent; | Event handler when editing is done.
property OnEnter: TNotifyEvent; | Handler for control receiving the focus.
property OnExit: TNotifyEvent; | Handler for control loosing the focus. This is a good place for checking the finished user input.
property OnGetItems: TNotifyEvent;
property OnKeyDown: TKeyEvent; | Handler for keyboard key pressed.
property OnKeyPress: TKeyPressEvent; | Handler for a character entered by the user.
property OnKeyUp: TKeyEvent; | Handler for keyboard key released.
property OnMeasureItem: TMeasureItemEvent; | Handler invoked when the height of an item is required.
property OnMouseDown: TMouseEvent; | Event handler for mouse button going down.
property OnMouseEnter: TNotifyEvent;
property OnMouseLeave: TNotifyEvent;
property OnMouseMove: TMouseMoveEvent; | Event handler for mouse movement within the control.
property OnMouseUp: TMouseEvent; | Event handler for mouse button going up.
property OnMouseWheel: TMouseWheelEvent;
property OnMouseWheelDown: TMouseWheelUpDownEvent;
property OnMouseWheelUp: TMouseWheelUpDownEvent;
property OnSelect: TNotifyEvent; | Handler invoked when an item is selected.
property OnStartDrag: TStartDragEvent; | Event handler for the start of a dragging operation.
property OnUTF8KeyPress: TUTF8KeyPressEvent; | Handler for a character entered by the user.
property ParentBidiMode: Boolean; | Allows to use the BiDiMode settings of Parent. Default is true.
property ParentColor: Boolean; | If true, the Color of the control will be the same as the one from the Parent. Default is true.
property ParentDoubleBuffered: Boolean;
property ParentFont: Boolean; | If true, the Font of the control will be the same as the one from the Parent. Default is true.
property ParentShowHint: Boolean; | If true, the value of ShowHint for the control will be the same as the one from the Parent. Default is true.
property PopupMenu: TPopupMenu; | A context-sensitive menu that pops up when the right mouse button is clicked over this control
property ReadOnly: Boolean; deprecated ; | Disallows entry of free text.
property ShowHint: Boolean; | Enables the Hint display.
property Sorted: Boolean; | Determines whether the list entries are sorted.
property Style: TComboBoxStyle; | Appearance and behaviour of the ComboBox (static/drop-down, owner-draw...).
property TabOrder: TTabOrder; | Determines the sequence of controls, reachable when the user presses the Tab key.
property TabStop: Boolean; | Allows the user to navigate to this control, by pressing the Tab key.
property Text: TCaption; | The string appearing in the edit box.
property Visible: Boolean; | Allows to show or hide the control, and all of its children.
end;

Inheritance

TComboBox | A combination of an edit box and a (drop-down) list allowing one of several options to be chosen.
|
TCustomComboBox | The base class for ComboBox components.
|
TWinControl | The base class for controls which can contain other (child) controls.
|
TControl | The base class for visible controls.
|
TLCLComponent | The base class for LCL components associated with widgets.
|
TComponent,IUnknown,IInterfaceComponentReference
|
TPersistent,IFPObserved
|
TObject

Description

The Text property reflects the text entered into the edit box, or selected from the list.

The selectable values are kept in the Items list. Clicking on the ellipsis (...), next to Items in the Object Inspector, opens an editor which allows the designer to populate the Items list.

At run-time, the entry selected from the list replaces the text in the edit box, and ItemIndex holds the (zero-based) index number of the selected item.

If no value is selected from the drop-down list, the default text (if any) remains, or any information typed directly into Text will be returned, and ItemIndex takes the value of -1

See also

HowToUseStdCtrls

How to use StdCtrls, ComCtrls or ExtCtrls


TComboBox
pl | ro | Align
pl | ro | Anchors
pl | ro | ArrowKeysTraverseList
pl | ro | AutoComplete
pl | ro | AutoCompleteText
pl | ro | AutoDropDown
pl | ro | AutoSelect
pl | ro | AutoSize
pl | ro | BidiMode
pl | ro | BorderSpacing
pl | ro | BorderStyle
pl | ro | CharCase
pl | ro | Color
pl | ro | Constraints
pl | ro | DoubleBuffered
pl | ro | DragCursor
pl | ro | DragKind
pl | ro | DragMode
pl | ro | DropDownCount
pl | ro | Enabled
pl | ro | Font
pl | ro | ItemHeight
pl | ro | ItemIndex
pl | ro | Items
pl | ro | ItemWidth
pl | ro | MaxLength
pl | ro | ParentBidiMode
pl | ro | ParentColor
pl | ro | ParentDoubleBuffered
pl | ro | ParentFont
pl | ro | ParentShowHint
pl | ro | PopupMenu
pl | ro | ReadOnly
pl | ro | ShowHint
pl | ro | Sorted
pl | ro | Style
pl | ro | TabOrder
pl | ro | TabStop
pl | ro | Text
pl | ro | Visible
TCustomComboBox
pt |  | ItemHeight
pt |  | ItemWidth
pt |  | MaxLength
pt | ro | ParentColor
pt |  | Sorted
 |  | CharCase
 |  | DroppedDown
 |  | DroppingDown
 |  | AutoComplete
 |  | AutoCompleteText
 |  | AutoDropDown
 |  | AutoSelect
 |  | AutoSelected
 | ro | AutoSize
 |  | ArrowKeysTraverseList
 | ro | Canvas
 |  | DropDownCount
 |  | Items
 |  | ItemIndex
 |  | ReadOnly
 |  | SelLength
 |  | SelStart
 |  | SelText
 |  | Style
 | ro | TabStop
 | ro | Text
TWinControl
pt |  | WindowHandle
pt |  | BorderStyle
pt |  | ParentBackground
 |  | BorderWidth
 | ro | BoundsLockCount
 | ro | Brush
 | ro | CachedClientHeight
 | ro | CachedClientWidth
 |  | ChildSizing
 | ro | ControlCount
 | ro | Controls
 |  | DefWndProc
 | ro | DockClientCount
 | ro | DockClients
 |  | DockManager
 |  | DockSite
 |  | DoubleBuffered
 |  | Handle
 | ro | IsFlipped
 | ro | IsResizing
 |  | TabOrder
 |  | TabStop
 |  | ParentDoubleBuffered
 |  | ParentWindow
 | ro | Showing
 |  | UseDockManager
 |  | DesignerDeleting
 | ro | VisibleDockClientCount
TControl
pt | ro | AutoSizing
pt | ro | AutoSizingAll
pt | ro | AutoSizingLockCount
pt |  | ActionLink
pt |  | DesktopFont
pt |  | DragCursor
pt |  | DragKind
pt |  | DragMode
pt |  | MouseCapture
pt |  | ParentColor
pt |  | ParentFont
pt |  | ParentShowHint
pt |  | SessionProperties
pt |  | Text
 | ro | AnchoredControls
 | ro | BaseBounds
 | ro | ReadBounds
 | ro | BaseParentClientSize
 |  | AccessibleDescription
 |  | AccessibleValue
 |  | AccessibleRole
 |  | Action
 |  | Align
 |  | Anchors
 | ro | AnchorSide
 |  | AutoSize
 |  | BorderSpacing
 |  | BoundsRect
 |  | BoundsRectForNewParent
 |  | Caption
 |  | CaptureMouseButtons
 |  | ClientHeight
 | ro | ClientOrigin
 | ro | ClientRect
 |  | ClientWidth
 |  | Color
 |  | Constraints
 | ro | ControlOrigin
 |  | ControlState
 |  | ControlStyle
 |  | Enabled
 |  | Font
 |  | IsControl
 | ro | MouseEntered
 | ro | MouseInClient
 |  | Parent
 |  | PopupMenu
 |  | ShowHint
 |  | Visible
 |  | WindowProc
 |  | DockOrientation
 | ro | Floating
 |  | FloatingDockSiteClass
 |  | HostDockSite
 |  | LRDockWidth
 |  | TBDockHeight
 |  | UndockHeight
 |  | UndockWidth
 |  | BiDiMode
 |  | ParentBiDiMode
pl |  | AnchorSideLeft
pl |  | AnchorSideTop
pl |  | AnchorSideRight
pl |  | AnchorSideBottom
pl |  | Cursor
pl |  | Left
pl |  | Height
pl |  | Hint
pl |  | Top
pl |  | Width
pl |  | HelpType
pl |  | HelpKeyword
pl |  | HelpContext
TLCLComponent
 | ro | LCLRefCount
 | ro | WidgetSetClass
TComponent
 | ro | ComObject
 | ro | Components
 | ro | ComponentCount
 |  | ComponentIndex
 | ro | ComponentState
 | ro | ComponentStyle
 |  | DesignInfo
 | ro | Owner
 |  | VCLComObject
 |  | Name
 |  | Tag
TPersistent
TObject


 |  | AccessibleDescription (TControl)
 |  | AccessibleRole (TControl)
 |  | AccessibleValue (TControl)
 |  | Action (TControl)
pt |  | ActionLink (TControl)
 |  | Align (TControl)
pl | ro | Align (TComboBox)
 | ro | AnchoredControls (TControl)
 |  | Anchors (TControl)
pl | ro | Anchors (TComboBox)
 | ro | AnchorSide (TControl)
pl |  | AnchorSideBottom (TControl)
pl |  | AnchorSideLeft (TControl)
pl |  | AnchorSideRight (TControl)
pl |  | AnchorSideTop (TControl)
 |  | ArrowKeysTraverseList (TCustomComboBox)
pl | ro | ArrowKeysTraverseList (TComboBox)
 |  | AutoComplete (TCustomComboBox)
pl | ro | AutoComplete (TComboBox)
 |  | AutoCompleteText (TCustomComboBox)
pl | ro | AutoCompleteText (TComboBox)
 |  | AutoDropDown (TCustomComboBox)
pl | ro | AutoDropDown (TComboBox)
 |  | AutoSelect (TCustomComboBox)
pl | ro | AutoSelect (TComboBox)
 |  | AutoSelected (TCustomComboBox)
 |  | AutoSize (TControl)
 | ro | AutoSize (TCustomComboBox)
pl | ro | AutoSize (TComboBox)
pt | ro | AutoSizing (TControl)
pt | ro | AutoSizingAll (TControl)
pt | ro | AutoSizingLockCount (TControl)
 | ro | BaseBounds (TControl)
 | ro | BaseParentClientSize (TControl)
 |  | BiDiMode (TControl)
pl | ro | BidiMode (TComboBox)
 |  | BorderSpacing (TControl)
pl | ro | BorderSpacing (TComboBox)
pt |  | BorderStyle (TWinControl)
pl | ro | BorderStyle (TComboBox)
 |  | BorderWidth (TWinControl)
 | ro | BoundsLockCount (TWinControl)
 |  | BoundsRect (TControl)
 |  | BoundsRectForNewParent (TControl)
 | ro | Brush (TWinControl)
 | ro | CachedClientHeight (TWinControl)
 | ro | CachedClientWidth (TWinControl)
 | ro | Canvas (TCustomComboBox)
 |  | Caption (TControl)
 |  | CaptureMouseButtons (TControl)
 |  | CharCase (TCustomComboBox)
pl | ro | CharCase (TComboBox)
 |  | ChildSizing (TWinControl)
 |  | ClientHeight (TControl)
 | ro | ClientOrigin (TControl)
 | ro | ClientRect (TControl)
 |  | ClientWidth (TControl)
 |  | Color (TControl)
pl | ro | Color (TComboBox)
 | ro | ComObject (TComponent)
 | ro | ComponentCount (TComponent)
 |  | ComponentIndex (TComponent)
 | ro | Components (TComponent)
 | ro | ComponentState (TComponent)
 | ro | ComponentStyle (TComponent)
 |  | Constraints (TControl)
pl | ro | Constraints (TComboBox)
 | ro | ControlCount (TWinControl)
 | ro | ControlOrigin (TControl)
 | ro | Controls (TWinControl)
 |  | ControlState (TControl)
 |  | ControlStyle (TControl)
pl |  | Cursor (TControl)
 |  | DefWndProc (TWinControl)
 |  | DesignerDeleting (TWinControl)
 |  | DesignInfo (TComponent)
pt |  | DesktopFont (TControl)
 | ro | DockClientCount (TWinControl)
 | ro | DockClients (TWinControl)
 |  | DockManager (TWinControl)
 |  | DockOrientation (TControl)
 |  | DockSite (TWinControl)
 |  | DoubleBuffered (TWinControl)
pl | ro | DoubleBuffered (TComboBox)
pt |  | DragCursor (TControl)
pl | ro | DragCursor (TComboBox)
pt |  | DragKind (TControl)
pl | ro | DragKind (TComboBox)
pt |  | DragMode (TControl)
pl | ro | DragMode (TComboBox)
 |  | DropDownCount (TCustomComboBox)
pl | ro | DropDownCount (TComboBox)
 |  | DroppedDown (TCustomComboBox)
 |  | DroppingDown (TCustomComboBox)
 |  | Enabled (TControl)
pl | ro | Enabled (TComboBox)
 | ro | Floating (TControl)
 |  | FloatingDockSiteClass (TControl)
 |  | Font (TControl)
pl | ro | Font (TComboBox)
 |  | Handle (TWinControl)
pl |  | Height (TControl)
pl |  | HelpContext (TControl)
pl |  | HelpKeyword (TControl)
pl |  | HelpType (TControl)
pl |  | Hint (TControl)
 |  | HostDockSite (TControl)
 |  | IsControl (TControl)
 | ro | IsFlipped (TWinControl)
 | ro | IsResizing (TWinControl)
pt |  | ItemHeight (TCustomComboBox)
pl | ro | ItemHeight (TComboBox)
 |  | ItemIndex (TCustomComboBox)
pl | ro | ItemIndex (TComboBox)
 |  | Items (TCustomComboBox)
pl | ro | Items (TComboBox)
pt |  | ItemWidth (TCustomComboBox)
pl | ro | ItemWidth (TComboBox)
 | ro | LCLRefCount (TLCLComponent)
pl |  | Left (TControl)
 |  | LRDockWidth (TControl)
pt |  | MaxLength (TCustomComboBox)
pl | ro | MaxLength (TComboBox)
pt |  | MouseCapture (TControl)
 | ro | MouseEntered (TControl)
 | ro | MouseInClient (TControl)
 |  | Name (TComponent)
 | ro | Owner (TComponent)
 |  | Parent (TControl)
pt |  | ParentBackground (TWinControl)
 |  | ParentBiDiMode (TControl)
pl | ro | ParentBidiMode (TComboBox)
pt |  | ParentColor (TControl)
pt | ro | ParentColor (TCustomComboBox)
pl | ro | ParentColor (TComboBox)
 |  | ParentDoubleBuffered (TWinControl)
pl | ro | ParentDoubleBuffered (TComboBox)
pt |  | ParentFont (TControl)
pl | ro | ParentFont (TComboBox)
pt |  | ParentShowHint (TControl)
pl | ro | ParentShowHint (TComboBox)
 |  | ParentWindow (TWinControl)
 |  | PopupMenu (TControl)
pl | ro | PopupMenu (TComboBox)
 | ro | ReadBounds (TControl)
 |  | ReadOnly (TCustomComboBox)
pl | ro | ReadOnly (TComboBox)
 |  | SelLength (TCustomComboBox)
 |  | SelStart (TCustomComboBox)
 |  | SelText (TCustomComboBox)
pt |  | SessionProperties (TControl)
 |  | ShowHint (TControl)
pl | ro | ShowHint (TComboBox)
 | ro | Showing (TWinControl)
pt |  | Sorted (TCustomComboBox)
pl | ro | Sorted (TComboBox)
 |  | Style (TCustomComboBox)
pl | ro | Style (TComboBox)
 |  | TabOrder (TWinControl)
pl | ro | TabOrder (TComboBox)
 |  | TabStop (TWinControl)
 | ro | TabStop (TCustomComboBox)
pl | ro | TabStop (TComboBox)
 |  | Tag (TComponent)
 |  | TBDockHeight (TControl)
pt |  | Text (TControl)
 | ro | Text (TCustomComboBox)
pl | ro | Text (TComboBox)
pl |  | Top (TControl)
 |  | UndockHeight (TControl)
 |  | UndockWidth (TControl)
 |  | UseDockManager (TWinControl)
 |  | VCLComObject (TComponent)
 |  | Visible (TControl)
pl | ro | Visible (TComboBox)
 | ro | VisibleDockClientCount (TWinControl)
 | ro | WidgetSetClass (TLCLComponent)
pl |  | Width (TControl)
pt |  | WindowHandle (TWinControl)
 |  | WindowProc (TControl)


TComboBox
TCustomComboBox
pt | WSRegisterClass
pt | CreateParams
pt | InitializeWnd
pt | DestroyWnd
pt | DoEnter
pt | DoExit
pt | DrawItem
pt | KeyUpAfterInterface
pt | MeasureItem
pt | GetControlClassDefaultSize
pt | LMChanged
pt | CMWantSpecialKey
pt | Change
pt | Select
pt | DropDown
pt | GetItems
pt | SetItems
pt | CloseUp
pt | AdjustDropDown
pt | DoAutoAdjustLayout
pt | GetItemCount
pt | GetItemHeight
pt | GetSelLength
pt | GetSelStart
pt | GetSelText
pt | GetItemIndex
pt | GetMaxLength
pt | SetDropDownCount
pt | SetDroppedDown
pt | SetItemHeight
pt | SetItemIndex
pt | SetMaxLength
pt | SetSelLength
pt | SetSelStart
pt | SetSelText
pt | SetSorted
pt | SetStyle
pt | RealSetText
pt | KeyDown
pt | KeyUp
pt | UTF8KeyPress
pt | MouseUp
pt | SelectItem
pt | ShouldAutoAdjust
 | Create
 | Destroy
 | IntfGetItems
 | AddItem
 | AddHistoryItem
 | Clear
 | ClearSelection
 | SelectAll
TWinControl
pt | WSRegisterClass
pt | AdjustClientRect
pt | GetAdjustedLogicalClientRect
pt | AlignControls
pt | CustomAlignInsertBefore
pt | CustomAlignPosition
pt | DoAlignChildControls
pt | DoChildSizingChange
pt | InvalidatePreferredChildSizes
pt | CanTab
pt | IsClientHeightStored
pt | IsClientWidthStored
pt | DoSendShowHideToInterface
pt | ControlsAligned
pt | DoSendBoundsToInterface
pt | RealizeBounds
pt | RealizeBoundsRecursive
pt | InvalidateBoundsRealized
pt | CreateSubClass
pt | DoConstraintsChange
pt | DoSetBounds
pt | DoAutoSize
pt | DoAllAutoSize
pt | AllAutoSized
pt | CalculatePreferredSize
pt | GetPreferredSizeClientFrame
pt | GetChildren
pt | ChildClassAllowed
pt | PaintControls
pt | PaintHandler
pt | PaintWindow
pt | CreateBrush
pt | ScaleControls
pt | ChangeScale
pt | CMBiDiModeChanged
pt | CMBorderChanged
pt | CMDoubleBufferedChanged
pt | CMEnabledChanged
pt | CMParentDoubleBufferedChanged
pt | CMShowingChanged
pt | CMShowHintChanged
pt | CMVisibleChanged
pt | CMEnter
pt | CMExit
pt | WMContextMenu
pt | WMEraseBkgnd
pt | WMNotify
pt | WMSetFocus
pt | WMKillFocus
pt | WMShowWindow
pt | WMEnter
pt | WMExit
pt | WMKeyDown
pt | WMSysKeyDown
pt | WMKeyUp
pt | WMSysKeyUp
pt | WMChar
pt | WMSysChar
pt | WMPaint
pt | WMDestroy
pt | WMMove
pt | WMSize
pt | WMWindowPosChanged
pt | CNKeyDown
pt | CNSysKeyDown
pt | CNKeyUp
pt | CNSysKeyUp
pt | CNChar
pt | DoDragMsg
pt | DoDockClientMsg
pt | DoUndockClientMsg
pt | DoAddDockClient
pt | DockOver
pt | DoDockOver
pt | DoRemoveDockClient
pt | DoUnDock
pt | GetSiteInfo
pt | GetParentHandle
pt | GetTopParentHandle
pt | ReloadDockedControl
pt | CreateDockManager
pt | SetDockManager
pt | DoFloatMsg
pt | DoGetDockCaption
pt | DoEnter
pt | DoExit
pt | DoKeyDownBeforeInterface
pt | DoRemainingKeyDown
pt | DoRemainingKeyUp
pt | DoKeyPress
pt | DoUTF8KeyPress
pt | DoKeyUpBeforeInterface
pt | ChildKey
pt | SendDialogChar
pt | DialogChar
pt | ControlKeyDown
pt | ControlKeyUp
pt | KeyDown
pt | KeyDownBeforeInterface
pt | KeyDownAfterInterface
pt | KeyPress
pt | KeyUp
pt | KeyUpBeforeInterface
pt | KeyUpAfterInterface
pt | UTF8KeyPress
pt | FindNextControl
pt | SelectFirst
pt | RealGetText
pt | GetBorderStyle
pt | GetClientOrigin
pt | GetClientRect
pt | GetControlOrigin
pt | GetDeviceContext
pt | GetParentBackground
pt | IsControlMouseMsg
pt | CreateHandle
pt | CreateParams
pt | CreateWnd
pt | DestroyHandle
pt | DestroyWnd
pt | DoFlipChildren
pt | FinalizeWnd
pt | FixupTabList
pt | FontChanged
pt | InitializeWnd
pt | Loaded
pt | FormEndUpdated
pt | MainWndProc
pt | ParentFormHandleInitialized
pt | ChildHandlesCreated
pt | GetMouseCapture
pt | RealSetText
pt | RemoveFocus
pt | SendMoveSizeMessages
pt | SetBorderStyle
pt | SetColor
pt | SetChildZPosition
pt | SetParentBackground
pt | ShowControl
pt | UpdateControlState
pt | UpdateShowing
pt | WndProc
pt | WSSetText
 | AutoSizePhases
 | AutoSizeDelayed
 | AutoSizeDelayedReport
 | AutoSizeDelayedHandle
 | BeginUpdateBounds
 | EndUpdateBounds
 | LockRealizeBounds
 | UnlockRealizeBounds
 | ControlAtPos
 | ContainsControl
 | DoAdjustClientRectChange
 | InvalidateClientRectCache
 | ClientRectNeedsInterfaceUpdate
 | SetBounds
 | GetChildrenRect
 | DisableAlign
 | EnableAlign
 | ReAlign
 | ScrollBy_WS
 | ScrollBy
 | WriteLayoutDebugReport
 | AutoAdjustLayout
 | Create
 | CreateParented
 | CreateParentedControl
 | Destroy
 | DockDrop
 | CanFocus
 | CanSetFocus
 | GetControlIndex
 | SetControlIndex
 | Focused
 | PerformTab
 | FindChildControl
 | SelectNext
 | SetTempCursor
 | BroadCast
 | NotifyControls
 | DefaultHandler
 | GetTextLen
 | Invalidate
 | AddControl
 | InsertControl
 | RemoveControl
 | GetEnumeratorControls
 | GetEnumeratorControlsReverse
 | Repaint
 | Update
 | SetFocus
 | FlipChildren
 | ScaleBy
 | GetDockCaption
 | UpdateDockCaption
 | GetTabOrderList
 | HandleAllocated
 | ParentHandlesAllocated
 | HandleNeeded
 | BrushCreated
 | EraseBackground
 | IntfUTF8KeyPress
 | IntfGetDropFilesTarget
 | PaintTo
 | SetShape
TControl
pt | WSRegisterClass
pt | GetCursor
pt | SetCursor
pt | SetVisible
pt | DoOnParentHandleDestruction
pt | DoAutoSize
pt | DoAllAutoSize
pt | BeginAutoSizing
pt | EndAutoSizing
pt | AnchorSideChanged
pt | ForeignAnchorSideChanged
pt | SetAlign
pt | SetAnchors
pt | SetAutoSize
pt | BoundsChanged
pt | CreateControlBorderSpacing
pt | DoConstraintsChange
pt | DoBorderSpacingChange
pt | IsBorderSpacingInnerBorderStored
pt | IsCaptionStored
pt | SendMoveSizeMessages
pt | ConstrainedResize
pt | CalculatePreferredSize
pt | DoOnResize
pt | DoOnChangeBounds
pt | CheckOnChangeBounds
pt | Resize
pt | RequestAlign
pt | UpdateAnchorRules
pt | ChangeBounds
pt | DoSetBounds
pt | ScaleConstraints
pt | ChangeScale
pt | CanAutoSize
pt | SetBiDiMode
pt | SetParentBiDiMode
pt | IsAParentAligning
pt | GetClientOrigin
pt | GetClientRect
pt | GetLogicalClientRect
pt | GetScrolledClientRect
pt | GetClientScrollOffset
pt | GetControlOrigin
pt | IsClientHeightStored
pt | IsClientWidthStored
pt | WidthIsAnchored
pt | HeightIsAnchored
pt | WMCancelMode
pt | WMContextMenu
pt | WMLButtonDown
pt | WMRButtonDown
pt | WMMButtonDown
pt | WMXButtonDown
pt | WMLButtonDBLCLK
pt | WMRButtonDBLCLK
pt | WMMButtonDBLCLK
pt | WMXButtonDBLCLK
pt | WMLButtonTripleCLK
pt | WMRButtonTripleCLK
pt | WMMButtonTripleCLK
pt | WMXButtonTripleCLK
pt | WMLButtonQuadCLK
pt | WMRButtonQuadCLK
pt | WMMButtonQuadCLK
pt | WMXButtonQuadCLK
pt | WMMouseMove
pt | WMLButtonUp
pt | WMRButtonUp
pt | WMMButtonUp
pt | WMXButtonUp
pt | WMMouseWheel
pt | WMMouseHWheel
pt | WMMove
pt | WMSize
pt | WMWindowPosChanged
pt | CMChanged
pt | LMCaptureChanged
pt | CMBiDiModeChanged
pt | CMSysFontChanged
pt | CMEnabledChanged
pt | CMHitTest
pt | CMMouseEnter
pt | CMMouseLeave
pt | CMHintShow
pt | CMParentBiDiModeChanged
pt | CMParentColorChanged
pt | CMParentFontChanged
pt | CMParentShowHintChanged
pt | CMVisibleChanged
pt | CMTextChanged
pt | CMCursorChanged
pt | CalculateDockSizes
pt | CreateFloatingDockSite
pt | GetDockEdge
pt | GetDragImages
pt | GetFloating
pt | GetFloatingDockSiteClass
pt | BeforeDragStart
pt | BeginAutoDrag
pt | DoFloatMsg
pt | DockTrackNoTarget
pt | DoDock
pt | DoDragMsg
pt | DoEndDock
pt | DoEndDrag
pt | DoStartDock
pt | DoStartDrag
pt | DragCanceled
pt | DragOver
pt | PositionDockRect
pt | SetDragMode
pt | GetDefaultDockCaption
pt | Click
pt | DblClick
pt | TripleClick
pt | QuadClick
pt | GetMousePosFromMessage
pt | MouseDown
pt | MouseMove
pt | MouseUp
pt | MouseEnter
pt | MouseLeave
pt | DialogChar
pt | UpdateMouseCursor
pt | Changed
pt | GetPalette
pt | ChildClassAllowed
pt | ReadState
pt | Loaded
pt | LoadedAll
pt | DefineProperties
pt | AssignTo
pt | FormEndUpdated
pt | InvalidateControl
pt | FontChanged
pt | ParentFontChanged
pt | GetAction
pt | RealGetText
pt | RealSetText
pt | TextChanged
pt | GetCachedText
pt | SetAction
pt | SetColor
pt | SetEnabled
pt | SetHint
pt | SetName
pt | SetParent
pt | SetParentComponent
pt | WndProc
pt | ParentFormHandleInitialized
pt | GetMouseCapture
pt | CaptureChanged
pt | Notification
pt | CanTab
pt | GetDeviceContext
pt | GetEnabled
pt | GetPopupMenu
pt | DoOnShowHint
pt | DoMouseWheel
pt | DoMouseWheelDown
pt | DoMouseWheelUp
pt | DoMouseWheelHorz
pt | DoMouseWheelLeft
pt | DoMouseWheelRight
pt | VisibleChanging
pt | VisibleChanged
pt | EnabledChanging
pt | EnabledChanged
pt | AddHandler
pt | RemoveHandler
pt | DoCallNotifyHandler
pt | DoCallKeyEventHandler
pt | DoCallMouseWheelEventHandler
pt | DoContextPopup
pt | SetZOrder
pt | GetControlClassDefaultSize
pt | ColorIsStored
pt | DoAutoAdjustLayout
pt | DoFixDesignFontPPI
pt | DoScaleFontPPI
pt | GetActionLinkClass
pt | ActionChange
 | DragDrop
 | Dock
 | ManualDock
 | ManualFloat
 | ReplaceDockedControl
 | Docked
 | Dragging
 | GetAccessibleObject
 | CreateAccessibleObject
 | GetSelectedChildAccessibleObject
 | GetChildAccessibleObjectAtPos
 | ScaleDesignToForm
 | ScaleFormToDesign
 | Scale96ToForm
 | ScaleFormTo96
 | Scale96ToFont
 | ScaleFontTo96
 | ScaleScreenToFont
 | ScaleFontToScreen
 | Scale96ToScreen
 | ScaleScreenTo96
 | AdjustSize
 | AutoSizePhases
 | AutoSizeDelayed
 | AutoSizeDelayedReport
 | AutoSizeDelayedHandle
 | AnchorToNeighbour
 | AnchorParallel
 | AnchorHorizontalCenterTo
 | AnchorVerticalCenterTo
 | AnchorToCompanion
 | AnchorSame
 | AnchorAsAlign
 | AnchorClient
 | AnchoredControlCount
 | SetBounds
 | SetInitialBounds
 | SetBoundsKeepBase
 | GetPreferredSize
 | GetCanvasScaleFactor
 | GetDefaultWidth
 | GetDefaultHeight
 | GetDefaultColor
 | GetColorResolvingParent
 | GetRGBColorResolvingParent
 | GetSidePosition
 | CNPreferredSizeChanged
 | InvalidatePreferredSize
 | GetAnchorsDependingOnParent
 | DisableAutoSizing
 | EnableAutoSizing
 | UpdateBaseBounds
 | WriteLayoutDebugReport
 | AutoAdjustLayout
 | ShouldAutoAdjust
 | FixDesignFontsPPI
 | ScaleFontsPPI
 | Create
 | Destroy
 | BeforeDestruction
 | EditingDone
 | ExecuteDefaultAction
 | ExecuteCancelAction
 | BeginDrag
 | EndDrag
 | BringToFront
 | HasParent
 | GetParentComponent
 | IsParentOf
 | GetTopParent
 | IsVisible
 | IsControlVisible
 | IsEnabled
 | IsParentColor
 | IsParentFont
 | FormIsUpdating
 | IsProcessingPaintMsg
 | Hide
 | Refresh
 | Repaint
 | Invalidate
 | CheckChildClassAllowed
 | CheckNewParent
 | SendToBack
 | SetTempCursor
 | UpdateRolesForForm
 | ActiveDefaultControlChanged
 | GetTextBuf
 | GetTextLen
 | SetTextBuf
 | Perform
 | ScreenToClient
 | ClientToScreen
 | ScreenToControl
 | ControlToScreen
 | ClientToParent
 | ParentToClient
 | GetChildrenRect
 | Show
 | Update
 | HandleObjectShouldBeVisible
 | ParentDestroyingHandle
 | ParentHandlesAllocated
 | InitiateAction
 | ShowHelp
 | HasHelp
 | RemoveAllHandlersOfObject
 | AddHandlerOnResize
 | RemoveHandlerOnResize
 | AddHandlerOnChangeBounds
 | RemoveHandlerOnChangeBounds
 | AddHandlerOnVisibleChanging
 | RemoveHandlerOnVisibleChanging
 | AddHandlerOnVisibleChanged
 | RemoveHandlerOnVisibleChanged
 | AddHandlerOnEnabledChanged
 | RemoveHandlerOnEnableChanging
 | AddHandlerOnKeyDown
 | RemoveHandlerOnKeyDown
 | AddHandlerOnBeforeDestruction
 | RemoveHandlerOnBeforeDestruction
 | AddHandlerOnMouseWheel
 | RemoveHandlerOnMouseWheel
 | UseRightToLeftAlignment
 | UseRightToLeftReading
 | UseRightToLeftScrollBar
 | IsRightToLeft
TLCLComponent
pt | WSRegisterClass
pt | GetWSComponentClass
 | Create
 | Destroy
 | NewInstance
 | RemoveAllHandlersOfObject
 | IncLCLRefCount
 | DecLCLRefCount
TComponent
 | GetComObject
 | GetComponent
 | GetComponentCount
 | GetComponentIndex
 | Insert
 | ReadLeft
 | ReadTop
 | Remove
 | RemoveNotification
 | SetComponentIndex
 | SetReference
 | WriteLeft
 | WriteTop
 | ChangeName
 | DefineProperties
 | GetChildren
 | GetChildOwner
 | GetChildParent
 | GetOwner
 | Loaded
 | Loading
 | Notification
 | PaletteCreated
 | ReadState
 | SetAncestor
 | SetDesigning
 | SetDesignInstance
 | SetInline
 | SetName
 | SetChildOrder
 | SetParentComponent
 | Updating
 | Updated
 | UpdateRegistry
 | ValidateRename
 | ValidateContainer
 | ValidateInsert
 | QueryInterface
 | _AddRef
 | _Release
 | iicrGetComponent
 | GetTypeInfoCount
 | GetTypeInfo
 | GetIDsOfNames
 | Invoke
 | WriteState
 | Create
 | Destroy
 | BeforeDestruction
 | DestroyComponents
 | Destroying
 | ExecuteAction
 | FindComponent
 | FreeNotification
 | RemoveFreeNotification
 | FreeOnRelease
 | GetEnumerator
 | GetNamePath
 | GetParentComponent
 | HasParent
 | InsertComponent
 | RemoveComponent
 | SafeCallException
 | SetSubComponent
 | UpdateAction
 | IsImplementorOf
 | ReferenceInterface
TPersistent
 | AssignError
 | AssignTo
 | DefineProperties
 | GetOwner
 | Destroy
 | Assign
 | FPOAttachObserver
 | FPODetachObserver
 | FPONotifyObservers
 | GetNamePath
TObject
 | Create
 | Destroy
 | newinstance
 | FreeInstance
 | SafeCallException
 | DefaultHandler
 | Free
 | InitInstance
 | CleanupInstance
 | ClassType
 | ClassInfo
 | ClassName
 | ClassNameIs
 | ClassParent
 | InstanceSize
 | InheritsFrom
 | StringMessageTable
 | MethodAddress
 | MethodName
 | FieldAddress
 | AfterConstruction
 | BeforeDestruction
 | DefaultHandlerStr
 | Dispatch
 | DispatchStr
 | GetInterface
 | GetInterfaceByStr
 | GetInterfaceWeak
 | GetInterfaceEntry
 | GetInterfaceEntryByStr
 | GetInterfaceTable
 | UnitName
 | Equals
 | GetHashCode
 | ToString


pt | ActionChange (TControl)
 | ActiveDefaultControlChanged (TControl)
 | AddControl (TWinControl)
pt | AddHandler (TControl)
 | AddHandlerOnBeforeDestruction (TControl)
 | AddHandlerOnChangeBounds (TControl)
 | AddHandlerOnEnabledChanged (TControl)
 | AddHandlerOnKeyDown (TControl)
 | AddHandlerOnMouseWheel (TControl)
 | AddHandlerOnResize (TControl)
 | AddHandlerOnVisibleChanged (TControl)
 | AddHandlerOnVisibleChanging (TControl)
 | AddHistoryItem (TCustomComboBox)
 | AddItem (TCustomComboBox)
pt | AdjustClientRect (TWinControl)
pt | AdjustDropDown (TCustomComboBox)
 | AdjustSize (TControl)
 | AfterConstruction (TObject)
pt | AlignControls (TWinControl)
pt | AllAutoSized (TWinControl)
 | AnchorAsAlign (TControl)
 | AnchorClient (TControl)
 | AnchoredControlCount (TControl)
 | AnchorHorizontalCenterTo (TControl)
 | AnchorParallel (TControl)
 | AnchorSame (TControl)
pt | AnchorSideChanged (TControl)
 | AnchorToCompanion (TControl)
 | AnchorToNeighbour (TControl)
 | AnchorVerticalCenterTo (TControl)
 | Assign (TPersistent)
 | AssignError (TPersistent)
 | AssignTo (TPersistent)
pt | AssignTo (TControl)
 | AutoAdjustLayout (TControl)
 | AutoAdjustLayout (TWinControl)
 | AutoSizeDelayed (TControl)
 | AutoSizeDelayed (TWinControl)
 | AutoSizeDelayedHandle (TControl)
 | AutoSizeDelayedHandle (TWinControl)
 | AutoSizeDelayedReport (TControl)
 | AutoSizeDelayedReport (TWinControl)
 | AutoSizePhases (TControl)
 | AutoSizePhases (TWinControl)
 | BeforeDestruction (TObject)
 | BeforeDestruction (TComponent)
 | BeforeDestruction (TControl)
pt | BeforeDragStart (TControl)
pt | BeginAutoDrag (TControl)
pt | BeginAutoSizing (TControl)
 | BeginDrag (TControl)
 | BeginUpdateBounds (TWinControl)
pt | BoundsChanged (TControl)
 | BringToFront (TControl)
 | BroadCast (TWinControl)
 | BrushCreated (TWinControl)
pt | CalculateDockSizes (TControl)
pt | CalculatePreferredSize (TControl)
pt | CalculatePreferredSize (TWinControl)
pt | CanAutoSize (TControl)
 | CanFocus (TWinControl)
 | CanSetFocus (TWinControl)
pt | CanTab (TControl)
pt | CanTab (TWinControl)
pt | CaptureChanged (TControl)
pt | Change (TCustomComboBox)
pt | ChangeBounds (TControl)
pt | Changed (TControl)
 | ChangeName (TComponent)
pt | ChangeScale (TControl)
pt | ChangeScale (TWinControl)
 | CheckChildClassAllowed (TControl)
 | CheckNewParent (TControl)
pt | CheckOnChangeBounds (TControl)
pt | ChildClassAllowed (TControl)
pt | ChildClassAllowed (TWinControl)
pt | ChildHandlesCreated (TWinControl)
pt | ChildKey (TWinControl)
 | ClassInfo (TObject)
 | ClassName (TObject)
 | ClassNameIs (TObject)
 | ClassParent (TObject)
 | ClassType (TObject)
 | CleanupInstance (TObject)
 | Clear (TCustomComboBox)
 | ClearSelection (TCustomComboBox)
pt | Click (TControl)
 | ClientRectNeedsInterfaceUpdate (TWinControl)
 | ClientToParent (TControl)
 | ClientToScreen (TControl)
pt | CloseUp (TCustomComboBox)
pt | CMBiDiModeChanged (TControl)
pt | CMBiDiModeChanged (TWinControl)
pt | CMBorderChanged (TWinControl)
pt | CMChanged (TControl)
pt | CMCursorChanged (TControl)
pt | CMDoubleBufferedChanged (TWinControl)
pt | CMEnabledChanged (TControl)
pt | CMEnabledChanged (TWinControl)
pt | CMEnter (TWinControl)
pt | CMExit (TWinControl)
pt | CMHintShow (TControl)
pt | CMHitTest (TControl)
pt | CMMouseEnter (TControl)
pt | CMMouseLeave (TControl)
pt | CMParentBiDiModeChanged (TControl)
pt | CMParentColorChanged (TControl)
pt | CMParentDoubleBufferedChanged (TWinControl)
pt | CMParentFontChanged (TControl)
pt | CMParentShowHintChanged (TControl)
pt | CMShowHintChanged (TWinControl)
pt | CMShowingChanged (TWinControl)
pt | CMSysFontChanged (TControl)
pt | CMTextChanged (TControl)
pt | CMVisibleChanged (TControl)
pt | CMVisibleChanged (TWinControl)
pt | CMWantSpecialKey (TCustomComboBox)
pt | CNChar (TWinControl)
pt | CNKeyDown (TWinControl)
pt | CNKeyUp (TWinControl)
 | CNPreferredSizeChanged (TControl)
pt | CNSysKeyDown (TWinControl)
pt | CNSysKeyUp (TWinControl)
pt | ColorIsStored (TControl)
pt | ConstrainedResize (TControl)
 | ContainsControl (TWinControl)
 | ControlAtPos (TWinControl)
pt | ControlKeyDown (TWinControl)
pt | ControlKeyUp (TWinControl)
pt | ControlsAligned (TWinControl)
 | ControlToScreen (TControl)
 | Create (TObject)
 | Create (TComponent)
 | Create (TLCLComponent)
 | Create (TControl)
 | Create (TWinControl)
 | Create (TCustomComboBox)
 | CreateAccessibleObject (TControl)
pt | CreateBrush (TWinControl)
pt | CreateControlBorderSpacing (TControl)
pt | CreateDockManager (TWinControl)
pt | CreateFloatingDockSite (TControl)
pt | CreateHandle (TWinControl)
pt | CreateParams (TWinControl)
pt | CreateParams (TCustomComboBox)
 | CreateParented (TWinControl)
 | CreateParentedControl (TWinControl)
pt | CreateSubClass (TWinControl)
pt | CreateWnd (TWinControl)
pt | CustomAlignInsertBefore (TWinControl)
pt | CustomAlignPosition (TWinControl)
pt | DblClick (TControl)
 | DecLCLRefCount (TLCLComponent)
 | DefaultHandler (TObject)
 | DefaultHandler (TWinControl)
 | DefaultHandlerStr (TObject)
 | DefineProperties (TPersistent)
 | DefineProperties (TComponent)
pt | DefineProperties (TControl)
 | Destroy (TObject)
 | Destroy (TPersistent)
 | Destroy (TComponent)
 | Destroy (TLCLComponent)
 | Destroy (TControl)
 | Destroy (TWinControl)
 | Destroy (TCustomComboBox)
 | DestroyComponents (TComponent)
pt | DestroyHandle (TWinControl)
 | Destroying (TComponent)
pt | DestroyWnd (TWinControl)
pt | DestroyWnd (TCustomComboBox)
pt | DialogChar (TControl)
pt | DialogChar (TWinControl)
 | DisableAlign (TWinControl)
 | DisableAutoSizing (TControl)
 | Dispatch (TObject)
 | DispatchStr (TObject)
pt | DoAddDockClient (TWinControl)
 | DoAdjustClientRectChange (TWinControl)
pt | DoAlignChildControls (TWinControl)
pt | DoAllAutoSize (TControl)
pt | DoAllAutoSize (TWinControl)
pt | DoAutoAdjustLayout (TControl)
pt | DoAutoAdjustLayout (TCustomComboBox)
pt | DoAutoSize (TControl)
pt | DoAutoSize (TWinControl)
pt | DoBorderSpacingChange (TControl)
pt | DoCallKeyEventHandler (TControl)
pt | DoCallMouseWheelEventHandler (TControl)
pt | DoCallNotifyHandler (TControl)
pt | DoChildSizingChange (TWinControl)
 | Dock (TControl)
 | DockDrop (TWinControl)
 | Docked (TControl)
pt | DockOver (TWinControl)
pt | DockTrackNoTarget (TControl)
pt | DoConstraintsChange (TControl)
pt | DoConstraintsChange (TWinControl)
pt | DoContextPopup (TControl)
pt | DoDock (TControl)
pt | DoDockClientMsg (TWinControl)
pt | DoDockOver (TWinControl)
pt | DoDragMsg (TControl)
pt | DoDragMsg (TWinControl)
pt | DoEndDock (TControl)
pt | DoEndDrag (TControl)
pt | DoEnter (TWinControl)
pt | DoEnter (TCustomComboBox)
pt | DoExit (TWinControl)
pt | DoExit (TCustomComboBox)
pt | DoFixDesignFontPPI (TControl)
pt | DoFlipChildren (TWinControl)
pt | DoFloatMsg (TControl)
pt | DoFloatMsg (TWinControl)
pt | DoGetDockCaption (TWinControl)
pt | DoKeyDownBeforeInterface (TWinControl)
pt | DoKeyPress (TWinControl)
pt | DoKeyUpBeforeInterface (TWinControl)
pt | DoMouseWheel (TControl)
pt | DoMouseWheelDown (TControl)
pt | DoMouseWheelHorz (TControl)
pt | DoMouseWheelLeft (TControl)
pt | DoMouseWheelRight (TControl)
pt | DoMouseWheelUp (TControl)
pt | DoOnChangeBounds (TControl)
pt | DoOnParentHandleDestruction (TControl)
pt | DoOnResize (TControl)
pt | DoOnShowHint (TControl)
pt | DoRemainingKeyDown (TWinControl)
pt | DoRemainingKeyUp (TWinControl)
pt | DoRemoveDockClient (TWinControl)
pt | DoScaleFontPPI (TControl)
pt | DoSendBoundsToInterface (TWinControl)
pt | DoSendShowHideToInterface (TWinControl)
pt | DoSetBounds (TControl)
pt | DoSetBounds (TWinControl)
pt | DoStartDock (TControl)
pt | DoStartDrag (TControl)
pt | DoUnDock (TWinControl)
pt | DoUndockClientMsg (TWinControl)
pt | DoUTF8KeyPress (TWinControl)
pt | DragCanceled (TControl)
 | DragDrop (TControl)
 | Dragging (TControl)
pt | DragOver (TControl)
pt | DrawItem (TCustomComboBox)
pt | DropDown (TCustomComboBox)
 | EditingDone (TControl)
 | EnableAlign (TWinControl)
 | EnableAutoSizing (TControl)
pt | EnabledChanged (TControl)
pt | EnabledChanging (TControl)
pt | EndAutoSizing (TControl)
 | EndDrag (TControl)
 | EndUpdateBounds (TWinControl)
 | Equals (TObject)
 | EraseBackground (TWinControl)
 | ExecuteAction (TComponent)
 | ExecuteCancelAction (TControl)
 | ExecuteDefaultAction (TControl)
 | FieldAddress (TObject)
pt | FinalizeWnd (TWinControl)
 | FindChildControl (TWinControl)
 | FindComponent (TComponent)
pt | FindNextControl (TWinControl)
 | FixDesignFontsPPI (TControl)
pt | FixupTabList (TWinControl)
 | FlipChildren (TWinControl)
 | Focused (TWinControl)
pt | FontChanged (TControl)
pt | FontChanged (TWinControl)
pt | ForeignAnchorSideChanged (TControl)
pt | FormEndUpdated (TControl)
pt | FormEndUpdated (TWinControl)
 | FormIsUpdating (TControl)
 | FPOAttachObserver (TPersistent)
 | FPODetachObserver (TPersistent)
 | FPONotifyObservers (TPersistent)
 | Free (TObject)
 | FreeInstance (TObject)
 | FreeNotification (TComponent)
 | FreeOnRelease (TComponent)
 | GetAccessibleObject (TControl)
pt | GetAction (TControl)
pt | GetActionLinkClass (TControl)
pt | GetAdjustedLogicalClientRect (TWinControl)
 | GetAnchorsDependingOnParent (TControl)
pt | GetBorderStyle (TWinControl)
pt | GetCachedText (TControl)
 | GetCanvasScaleFactor (TControl)
 | GetChildAccessibleObjectAtPos (TControl)
 | GetChildOwner (TComponent)
 | GetChildParent (TComponent)
 | GetChildren (TComponent)
pt | GetChildren (TWinControl)
 | GetChildrenRect (TControl)
 | GetChildrenRect (TWinControl)
pt | GetClientOrigin (TControl)
pt | GetClientOrigin (TWinControl)
pt | GetClientRect (TControl)
pt | GetClientRect (TWinControl)
pt | GetClientScrollOffset (TControl)
 | GetColorResolvingParent (TControl)
 | GetComObject (TComponent)
 | GetComponent (TComponent)
 | GetComponentCount (TComponent)
 | GetComponentIndex (TComponent)
pt | GetControlClassDefaultSize (TControl)
pt | GetControlClassDefaultSize (TCustomComboBox)
 | GetControlIndex (TWinControl)
pt | GetControlOrigin (TControl)
pt | GetControlOrigin (TWinControl)
pt | GetCursor (TControl)
 | GetDefaultColor (TControl)
pt | GetDefaultDockCaption (TControl)
 | GetDefaultHeight (TControl)
 | GetDefaultWidth (TControl)
pt | GetDeviceContext (TControl)
pt | GetDeviceContext (TWinControl)
 | GetDockCaption (TWinControl)
pt | GetDockEdge (TControl)
pt | GetDragImages (TControl)
pt | GetEnabled (TControl)
 | GetEnumerator (TComponent)
 | GetEnumeratorControls (TWinControl)
 | GetEnumeratorControlsReverse (TWinControl)
pt | GetFloating (TControl)
pt | GetFloatingDockSiteClass (TControl)
 | GetHashCode (TObject)
 | GetIDsOfNames (TComponent)
 | GetInterface (TObject)
 | GetInterfaceByStr (TObject)
 | GetInterfaceEntry (TObject)
 | GetInterfaceEntryByStr (TObject)
 | GetInterfaceTable (TObject)
 | GetInterfaceWeak (TObject)
pt | GetItemCount (TCustomComboBox)
pt | GetItemHeight (TCustomComboBox)
pt | GetItemIndex (TCustomComboBox)
pt | GetItems (TCustomComboBox)
pt | GetLogicalClientRect (TControl)
pt | GetMaxLength (TCustomComboBox)
pt | GetMouseCapture (TControl)
pt | GetMouseCapture (TWinControl)
pt | GetMousePosFromMessage (TControl)
 | GetNamePath (TPersistent)
 | GetNamePath (TComponent)
 | GetOwner (TPersistent)
 | GetOwner (TComponent)
pt | GetPalette (TControl)
pt | GetParentBackground (TWinControl)
 | GetParentComponent (TComponent)
 | GetParentComponent (TControl)
pt | GetParentHandle (TWinControl)
pt | GetPopupMenu (TControl)
 | GetPreferredSize (TControl)
pt | GetPreferredSizeClientFrame (TWinControl)
 | GetRGBColorResolvingParent (TControl)
pt | GetScrolledClientRect (TControl)
 | GetSelectedChildAccessibleObject (TControl)
pt | GetSelLength (TCustomComboBox)
pt | GetSelStart (TCustomComboBox)
pt | GetSelText (TCustomComboBox)
 | GetSidePosition (TControl)
pt | GetSiteInfo (TWinControl)
 | GetTabOrderList (TWinControl)
 | GetTextBuf (TControl)
 | GetTextLen (TControl)
 | GetTextLen (TWinControl)
 | GetTopParent (TControl)
pt | GetTopParentHandle (TWinControl)
 | GetTypeInfo (TComponent)
 | GetTypeInfoCount (TComponent)
pt | GetWSComponentClass (TLCLComponent)
 | HandleAllocated (TWinControl)
 | HandleNeeded (TWinControl)
 | HandleObjectShouldBeVisible (TControl)
 | HasHelp (TControl)
 | HasParent (TComponent)
 | HasParent (TControl)
pt | HeightIsAnchored (TControl)
 | Hide (TControl)
 | iicrGetComponent (TComponent)
 | IncLCLRefCount (TLCLComponent)
 | InheritsFrom (TObject)
pt | InitializeWnd (TWinControl)
pt | InitializeWnd (TCustomComboBox)
 | InitiateAction (TControl)
 | InitInstance (TObject)
 | Insert (TComponent)
 | InsertComponent (TComponent)
 | InsertControl (TWinControl)
 | InstanceSize (TObject)
 | IntfGetDropFilesTarget (TWinControl)
 | IntfGetItems (TCustomComboBox)
 | IntfUTF8KeyPress (TWinControl)
 | Invalidate (TControl)
 | Invalidate (TWinControl)
pt | InvalidateBoundsRealized (TWinControl)
 | InvalidateClientRectCache (TWinControl)
pt | InvalidateControl (TControl)
pt | InvalidatePreferredChildSizes (TWinControl)
 | InvalidatePreferredSize (TControl)
 | Invoke (TComponent)
pt | IsAParentAligning (TControl)
pt | IsBorderSpacingInnerBorderStored (TControl)
pt | IsCaptionStored (TControl)
pt | IsClientHeightStored (TControl)
pt | IsClientHeightStored (TWinControl)
pt | IsClientWidthStored (TControl)
pt | IsClientWidthStored (TWinControl)
pt | IsControlMouseMsg (TWinControl)
 | IsControlVisible (TControl)
 | IsEnabled (TControl)
 | IsImplementorOf (TComponent)
 | IsParentColor (TControl)
 | IsParentFont (TControl)
 | IsParentOf (TControl)
 | IsProcessingPaintMsg (TControl)
 | IsRightToLeft (TControl)
 | IsVisible (TControl)
pt | KeyDown (TWinControl)
pt | KeyDown (TCustomComboBox)
pt | KeyDownAfterInterface (TWinControl)
pt | KeyDownBeforeInterface (TWinControl)
pt | KeyPress (TWinControl)
pt | KeyUp (TWinControl)
pt | KeyUp (TCustomComboBox)
pt | KeyUpAfterInterface (TWinControl)
pt | KeyUpAfterInterface (TCustomComboBox)
pt | KeyUpBeforeInterface (TWinControl)
pt | LMCaptureChanged (TControl)
pt | LMChanged (TCustomComboBox)
 | Loaded (TComponent)
pt | Loaded (TControl)
pt | Loaded (TWinControl)
pt | LoadedAll (TControl)
 | Loading (TComponent)
 | LockRealizeBounds (TWinControl)
pt | MainWndProc (TWinControl)
 | ManualDock (TControl)
 | ManualFloat (TControl)
pt | MeasureItem (TCustomComboBox)
 | MethodAddress (TObject)
 | MethodName (TObject)
pt | MouseDown (TControl)
pt | MouseEnter (TControl)
pt | MouseLeave (TControl)
pt | MouseMove (TControl)
pt | MouseUp (TControl)
pt | MouseUp (TCustomComboBox)
 | newinstance (TObject)
 | NewInstance (TLCLComponent)
 | Notification (TComponent)
pt | Notification (TControl)
 | NotifyControls (TWinControl)
pt | PaintControls (TWinControl)
pt | PaintHandler (TWinControl)
 | PaintTo (TWinControl)
pt | PaintWindow (TWinControl)
 | PaletteCreated (TComponent)
 | ParentDestroyingHandle (TControl)
pt | ParentFontChanged (TControl)
pt | ParentFormHandleInitialized (TControl)
pt | ParentFormHandleInitialized (TWinControl)
 | ParentHandlesAllocated (TControl)
 | ParentHandlesAllocated (TWinControl)
 | ParentToClient (TControl)
 | Perform (TControl)
 | PerformTab (TWinControl)
pt | PositionDockRect (TControl)
pt | QuadClick (TControl)
 | QueryInterface (TComponent)
 | ReadLeft (TComponent)
 | ReadState (TComponent)
pt | ReadState (TControl)
 | ReadTop (TComponent)
pt | RealGetText (TControl)
pt | RealGetText (TWinControl)
 | ReAlign (TWinControl)
pt | RealizeBounds (TWinControl)
pt | RealizeBoundsRecursive (TWinControl)
pt | RealSetText (TControl)
pt | RealSetText (TWinControl)
pt | RealSetText (TCustomComboBox)
 | ReferenceInterface (TComponent)
 | Refresh (TControl)
pt | ReloadDockedControl (TWinControl)
 | Remove (TComponent)
 | RemoveAllHandlersOfObject (TLCLComponent)
 | RemoveAllHandlersOfObject (TControl)
 | RemoveComponent (TComponent)
 | RemoveControl (TWinControl)
pt | RemoveFocus (TWinControl)
 | RemoveFreeNotification (TComponent)
pt | RemoveHandler (TControl)
 | RemoveHandlerOnBeforeDestruction (TControl)
 | RemoveHandlerOnChangeBounds (TControl)
 | RemoveHandlerOnEnableChanging (TControl)
 | RemoveHandlerOnKeyDown (TControl)
 | RemoveHandlerOnMouseWheel (TControl)
 | RemoveHandlerOnResize (TControl)
 | RemoveHandlerOnVisibleChanged (TControl)
 | RemoveHandlerOnVisibleChanging (TControl)
 | RemoveNotification (TComponent)
 | Repaint (TControl)
 | Repaint (TWinControl)
 | ReplaceDockedControl (TControl)
pt | RequestAlign (TControl)
pt | Resize (TControl)
 | SafeCallException (TObject)
 | SafeCallException (TComponent)
 | Scale96ToFont (TControl)
 | Scale96ToForm (TControl)
 | Scale96ToScreen (TControl)
 | ScaleBy (TWinControl)
pt | ScaleConstraints (TControl)
pt | ScaleControls (TWinControl)
 | ScaleDesignToForm (TControl)
 | ScaleFontsPPI (TControl)
 | ScaleFontTo96 (TControl)
 | ScaleFontToScreen (TControl)
 | ScaleFormTo96 (TControl)
 | ScaleFormToDesign (TControl)
 | ScaleScreenTo96 (TControl)
 | ScaleScreenToFont (TControl)
 | ScreenToClient (TControl)
 | ScreenToControl (TControl)
 | ScrollBy (TWinControl)
 | ScrollBy_WS (TWinControl)
pt | Select (TCustomComboBox)
 | SelectAll (TCustomComboBox)
pt | SelectFirst (TWinControl)
pt | SelectItem (TCustomComboBox)
 | SelectNext (TWinControl)
pt | SendDialogChar (TWinControl)
pt | SendMoveSizeMessages (TControl)
pt | SendMoveSizeMessages (TWinControl)
 | SendToBack (TControl)
pt | SetAction (TControl)
pt | SetAlign (TControl)
 | SetAncestor (TComponent)
pt | SetAnchors (TControl)
pt | SetAutoSize (TControl)
pt | SetBiDiMode (TControl)
pt | SetBorderStyle (TWinControl)
 | SetBounds (TControl)
 | SetBounds (TWinControl)
 | SetBoundsKeepBase (TControl)
 | SetChildOrder (TComponent)
pt | SetChildZPosition (TWinControl)
pt | SetColor (TControl)
pt | SetColor (TWinControl)
 | SetComponentIndex (TComponent)
 | SetControlIndex (TWinControl)
pt | SetCursor (TControl)
 | SetDesigning (TComponent)
 | SetDesignInstance (TComponent)
pt | SetDockManager (TWinControl)
pt | SetDragMode (TControl)
pt | SetDropDownCount (TCustomComboBox)
pt | SetDroppedDown (TCustomComboBox)
pt | SetEnabled (TControl)
 | SetFocus (TWinControl)
pt | SetHint (TControl)
 | SetInitialBounds (TControl)
 | SetInline (TComponent)
pt | SetItemHeight (TCustomComboBox)
pt | SetItemIndex (TCustomComboBox)
pt | SetItems (TCustomComboBox)
pt | SetMaxLength (TCustomComboBox)
 | SetName (TComponent)
pt | SetName (TControl)
pt | SetParent (TControl)
pt | SetParentBackground (TWinControl)
pt | SetParentBiDiMode (TControl)
 | SetParentComponent (TComponent)
pt | SetParentComponent (TControl)
 | SetReference (TComponent)
pt | SetSelLength (TCustomComboBox)
pt | SetSelStart (TCustomComboBox)
pt | SetSelText (TCustomComboBox)
 | SetShape (TWinControl)
pt | SetSorted (TCustomComboBox)
pt | SetStyle (TCustomComboBox)
 | SetSubComponent (TComponent)
 | SetTempCursor (TControl)
 | SetTempCursor (TWinControl)
 | SetTextBuf (TControl)
pt | SetVisible (TControl)
pt | SetZOrder (TControl)
 | ShouldAutoAdjust (TControl)
pt | ShouldAutoAdjust (TCustomComboBox)
 | Show (TControl)
pt | ShowControl (TWinControl)
 | ShowHelp (TControl)
 | StringMessageTable (TObject)
pt | TextChanged (TControl)
 | ToString (TObject)
pt | TripleClick (TControl)
 | UnitName (TObject)
 | UnlockRealizeBounds (TWinControl)
 | Update (TControl)
 | Update (TWinControl)
 | UpdateAction (TComponent)
pt | UpdateAnchorRules (TControl)
 | UpdateBaseBounds (TControl)
pt | UpdateControlState (TWinControl)
 | Updated (TComponent)
 | UpdateDockCaption (TWinControl)
pt | UpdateMouseCursor (TControl)
 | UpdateRegistry (TComponent)
 | UpdateRolesForForm (TControl)
pt | UpdateShowing (TWinControl)
 | Updating (TComponent)
 | UseRightToLeftAlignment (TControl)
 | UseRightToLeftReading (TControl)
 | UseRightToLeftScrollBar (TControl)
pt | UTF8KeyPress (TWinControl)
pt | UTF8KeyPress (TCustomComboBox)
 | ValidateContainer (TComponent)
 | ValidateInsert (TComponent)
 | ValidateRename (TComponent)
pt | VisibleChanged (TControl)
pt | VisibleChanging (TControl)
pt | WidthIsAnchored (TControl)
pt | WMCancelMode (TControl)
pt | WMChar (TWinControl)
pt | WMContextMenu (TControl)
pt | WMContextMenu (TWinControl)
pt | WMDestroy (TWinControl)
pt | WMEnter (TWinControl)
pt | WMEraseBkgnd (TWinControl)
pt | WMExit (TWinControl)
pt | WMKeyDown (TWinControl)
pt | WMKeyUp (TWinControl)
pt | WMKillFocus (TWinControl)
pt | WMLButtonDBLCLK (TControl)
pt | WMLButtonDown (TControl)
pt | WMLButtonQuadCLK (TControl)
pt | WMLButtonTripleCLK (TControl)
pt | WMLButtonUp (TControl)
pt | WMMButtonDBLCLK (TControl)
pt | WMMButtonDown (TControl)
pt | WMMButtonQuadCLK (TControl)
pt | WMMButtonTripleCLK (TControl)
pt | WMMButtonUp (TControl)
pt | WMMouseHWheel (TControl)
pt | WMMouseMove (TControl)
pt | WMMouseWheel (TControl)
pt | WMMove (TControl)
pt | WMMove (TWinControl)
pt | WMNotify (TWinControl)
pt | WMPaint (TWinControl)
pt | WMRButtonDBLCLK (TControl)
pt | WMRButtonDown (TControl)
pt | WMRButtonQuadCLK (TControl)
pt | WMRButtonTripleCLK (TControl)
pt | WMRButtonUp (TControl)
pt | WMSetFocus (TWinControl)
pt | WMShowWindow (TWinControl)
pt | WMSize (TControl)
pt | WMSize (TWinControl)
pt | WMSysChar (TWinControl)
pt | WMSysKeyDown (TWinControl)
pt | WMSysKeyUp (TWinControl)
pt | WMWindowPosChanged (TControl)
pt | WMWindowPosChanged (TWinControl)
pt | WMXButtonDBLCLK (TControl)
pt | WMXButtonDown (TControl)
pt | WMXButtonQuadCLK (TControl)
pt | WMXButtonTripleCLK (TControl)
pt | WMXButtonUp (TControl)
pt | WndProc (TControl)
pt | WndProc (TWinControl)
 | WriteLayoutDebugReport (TControl)
 | WriteLayoutDebugReport (TWinControl)
 | WriteLeft (TComponent)
 | WriteState (TComponent)
 | WriteTop (TComponent)
pt | WSRegisterClass (TLCLComponent)
pt | WSRegisterClass (TControl)
pt | WSRegisterClass (TWinControl)
pt | WSRegisterClass (TCustomComboBox)
pt | WSSetText (TWinControl)
 | _AddRef (TComponent)
 | _Release (TComponent)


TComboBox
pl | ro | OnChange
pl | ro | OnChangeBounds
pl | ro | OnClick
pl | ro | OnCloseUp
pl | ro | OnContextPopup
pl | ro | OnDblClick
pl | ro | OnDragDrop
pl | ro | OnDragOver
pl | ro | OnDrawItem
pl | ro | OnEndDrag
pl | ro | OnDropDown
pl | ro | OnEditingDone
pl | ro | OnEnter
pl | ro | OnExit
pl | ro | OnGetItems
pl | ro | OnKeyDown
pl | ro | OnKeyPress
pl | ro | OnKeyUp
pl | ro | OnMeasureItem
pl | ro | OnMouseDown
pl | ro | OnMouseEnter
pl | ro | OnMouseLeave
pl | ro | OnMouseMove
pl | ro | OnMouseUp
pl | ro | OnMouseWheel
pl | ro | OnMouseWheelDown
pl | ro | OnMouseWheelUp
pl | ro | OnSelect
pl | ro | OnStartDrag
pl | ro | OnUTF8KeyPress
TCustomComboBox
pt |  | OnChange
pt |  | OnCloseUp
pt |  | OnDrawItem
pt |  | OnDropDown
pt |  | OnGetItems
pt |  | OnMeasureItem
pt |  | OnSelect
TWinControl
pt |  | OnGetSiteInfo
pt |  | OnGetDockCaption
 |  | OnAlignInsertBefore
 |  | OnAlignPosition
 |  | OnDockDrop
 |  | OnDockOver
 |  | OnEnter
 |  | OnExit
 |  | OnKeyDown
 |  | OnKeyPress
 |  | OnKeyUp
 |  | OnUnDock
 |  | OnUTF8KeyPress
TControl
pt |  | OnConstrainedResize
pt |  | OnContextPopup
pt |  | OnDblClick
pt |  | OnTripleClick
pt |  | OnQuadClick
pt |  | OnDragDrop
pt |  | OnDragOver
pt |  | OnEndDock
pt |  | OnEndDrag
pt |  | OnMouseDown
pt |  | OnMouseMove
pt |  | OnMouseUp
pt |  | OnMouseEnter
pt |  | OnMouseLeave
pt |  | OnMouseWheel
pt |  | OnMouseWheelDown
pt |  | OnMouseWheelUp
pt |  | OnMouseWheelHorz
pt |  | OnMouseWheelLeft
pt |  | OnMouseWheelRight
pt |  | OnStartDock
pt |  | OnStartDrag
pt |  | OnEditingDone
 |  | OnChangeBounds
 |  | OnClick
 |  | OnResize
 |  | OnShowHint
TLCLComponent
TComponent
TPersistent
TObject


pt |  | OnChange (TCustomComboBox)
pl | ro | OnChange (TComboBox)
 |  | OnChangeBounds (TControl)
pl | ro | OnChangeBounds (TComboBox)
 |  | OnClick (TControl)
pl | ro | OnClick (TComboBox)
pt |  | OnCloseUp (TCustomComboBox)
pl | ro | OnCloseUp (TComboBox)
pt |  | OnConstrainedResize (TControl)
pt |  | OnContextPopup (TControl)
pl | ro | OnContextPopup (TComboBox)
pt |  | OnDblClick (TControl)
pl | ro | OnDblClick (TComboBox)
 |  | OnDockDrop (TWinControl)
 |  | OnDockOver (TWinControl)
pt |  | OnDragDrop (TControl)
pl | ro | OnDragDrop (TComboBox)
pt |  | OnDragOver (TControl)
pl | ro | OnDragOver (TComboBox)
pt |  | OnDrawItem (TCustomComboBox)
pl | ro | OnDrawItem (TComboBox)
pt |  | OnDropDown (TCustomComboBox)
pl | ro | OnDropDown (TComboBox)
pt |  | OnEditingDone (TControl)
pl | ro | OnEditingDone (TComboBox)
pt |  | OnEndDock (TControl)
pt |  | OnEndDrag (TControl)
pl | ro | OnEndDrag (TComboBox)
 |  | OnEnter (TWinControl)
pl | ro | OnEnter (TComboBox)
 |  | OnExit (TWinControl)
pl | ro | OnExit (TComboBox)
pt |  | OnGetDockCaption (TWinControl)
pt |  | OnGetItems (TCustomComboBox)
pl | ro | OnGetItems (TComboBox)
pt |  | OnGetSiteInfo (TWinControl)
 |  | OnKeyDown (TWinControl)
pl | ro | OnKeyDown (TComboBox)
 |  | OnKeyPress (TWinControl)
pl | ro | OnKeyPress (TComboBox)
 |  | OnKeyUp (TWinControl)
pl | ro | OnKeyUp (TComboBox)
pt |  | OnMeasureItem (TCustomComboBox)
pl | ro | OnMeasureItem (TComboBox)
pt |  | OnMouseDown (TControl)
pl | ro | OnMouseDown (TComboBox)
pt |  | OnMouseEnter (TControl)
pl | ro | OnMouseEnter (TComboBox)
pt |  | OnMouseLeave (TControl)
pl | ro | OnMouseLeave (TComboBox)
pt |  | OnMouseMove (TControl)
pl | ro | OnMouseMove (TComboBox)
pt |  | OnMouseUp (TControl)
pl | ro | OnMouseUp (TComboBox)
pt |  | OnMouseWheel (TControl)
pl | ro | OnMouseWheel (TComboBox)
pt |  | OnMouseWheelDown (TControl)
pl | ro | OnMouseWheelDown (TComboBox)
pt |  | OnMouseWheelHorz (TControl)
pt |  | OnMouseWheelLeft (TControl)
pt |  | OnMouseWheelRight (TControl)
pt |  | OnMouseWheelUp (TControl)
pl | ro | OnMouseWheelUp (TComboBox)
pt |  | OnQuadClick (TControl)
 |  | OnResize (TControl)
pt |  | OnSelect (TCustomComboBox)
pl | ro | OnSelect (TComboBox)
 |  | OnShowHint (TControl)
pt |  | OnStartDock (TControl)
pt |  | OnStartDrag (TControl)
pl | ro | OnStartDrag (TComboBox)
pt |  | OnTripleClick (TControl)
 |  | OnUnDock (TWinControl)
 |  | OnUTF8KeyPress (TWinControl)
pl | ro | OnUTF8KeyPress (TComboBox)


TComboBox.BorderStyle

Declaration

Source position: stdctrls.pp line 431

published property TComboBox.BorderStyle : TBorderStyle;


TComboBox.DoubleBuffered

Declaration

Source position: stdctrls.pp line 435

published property TComboBox.DoubleBuffered : Boolean;


TComboBox.DragKind

Declaration

Source position: stdctrls.pp line 437

published property TComboBox.DragKind : TDragKind;


TComboBox.OnMouseEnter

Declaration

Source position: stdctrls.pp line 467

published property TComboBox.OnMouseEnter : TNotifyEvent;


TComboBox.OnMouseLeave

Declaration

Source position: stdctrls.pp line 468

published property TComboBox.OnMouseLeave : TNotifyEvent;


TComboBox.OnMouseWheel

Declaration

Source position: stdctrls.pp line 471

published property TComboBox.OnMouseWheel : TMouseWheelEvent;


TComboBox.OnMouseWheelDown

Declaration

Source position: stdctrls.pp line 472

published property TComboBox.OnMouseWheelDown : TMouseWheelUpDownEvent;


TComboBox.OnMouseWheelUp

Declaration

Source position: stdctrls.pp line 473

published property TComboBox.OnMouseWheelUp : TMouseWheelUpDownEvent;


TComboBox.ParentDoubleBuffered

Declaration

Source position: stdctrls.pp line 479

published property TComboBox.ParentDoubleBuffered : Boolean;


TComboBoxAutoCompleteText

Set of TComboBoxAutoCompleteTextOption.

Declaration

Source position: stdctrls.pp line 245

type TComboBoxAutoCompleteText = set of (
cbactEnabled, | Enable Auto-Completion feature.
cbactEndOfLineComplete, | Perform Auto-Complete only when cursor is at the end of the string.
cbactRetainPrefixCase, | Retains the case of characters user has typed. This option has no effect if cbactEndOfLineComplete is not set.
cbactSearchCaseSensitive, | Search completion string with case sensitivity.
cbactSearchAscending | Search completion strings in ascending order, if set. Otherwise search in descending order.
);


TComboBoxAutoCompleteTextOption

Defines the behavior of the AutoComplete feature in a combobox control.

Declaration

Source position: stdctrls.pp line 238

type TComboBoxAutoCompleteTextOption = (
cbactEnabled, | Enable Auto-Completion feature.
cbactEndOfLineComplete, | Perform Auto-Complete only when cursor is at the end of the string.
cbactRetainPrefixCase, | Retains the case of characters user has typed. This option has no effect if cbactEndOfLineComplete is not set.
cbactSearchCaseSensitive, | Search completion string with case sensitivity.
cbactSearchAscending | Search completion strings in ascending order, if set. Otherwise search in descending order.
);

Description

  • cbactEnabled: Enable Auto-Completion feature.
  • cbactEndOfLineComplete: Perform Auto-Complete only when cursor is at the end of the string.
  • cbactRetainPrefixCase: Retains the case of characters user has typed. (This option has no effect if cbactEndOfLineComplete is False)
  • cbactSearchCaseSensitive: Search completion string with case sensitivity.
  • cbactSearchAscending: Search completion string in ascending order. (False will search in descending order)


TComboBoxStyle

The styles of a combobox.

Declaration

Source position: stdctrls.pp line 250

type TComboBoxStyle = (
csDropDown, | The box has a drop-down list.
csSimple, | The box has a fixed size list.
csDropDownList, | The box has a drop-down list, from which entries can be selected (manual text entry disabled).
csOwnerDrawFixed, | The drop-down list elements are owner drawn and have a common fixed height.
csOwnerDrawVariable, | The drop-down list elements are owner drawn and have an individual height.
csOwnerDrawEditableFixed,
csOwnerDrawEditableVariable
);


TCustomButton

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

The base class for clickable buttons (TButton and TBitBtn).

Declaration

Source position: stdctrls.pp line 1181

type TCustomButton = class(TButtonControl)
protected
class procedure WSRegisterClass; override; | Registers this component class with the current WidgetSet.
procedure CreateWnd; override;
procedure CreateParams(); override;
procedure ControlKeyDown(); override; | Lets the Application handle an navigation key.
procedure ControlKeyUp(); override; | Lets the Application handle an navigation key.
function DialogChar(); override; | Do something useful with accelerators etc.
function ChildClassAllowed(); override; | Returns True if the given class is allowed for child controls.
class function GetControlClassDefaultSize; override;
property ParentColor: Boolean; | If true, the Color of the control will be the same as the one from the Parent. Default is true.
procedure WSSetDefault; | Notify the widget of dynamic changes of the Default property.
procedure WSSetText(); override; | Notify the widgetset of changes in the Caption and/or accelerator.
procedure TextChanged; override; | Handles changes of the Text property.
procedure Loaded; override;
procedure UpdateDefaultCancel; | Update the parent form's Default and Cancel properties.
public
constructor Create(); override;
procedure Click; override; | Propagates ModalResult to the parent form, before further processing.
procedure ExecuteDefaultAction; override; | Invoke Click if the control is Active or Default.
procedure ExecuteCancelAction; override; | Invoke Click if the control is the Cancel button.
procedure ActiveDefaultControlChanged(); override; | Notification of a changed active DefaultControl of a form.
procedure UpdateRolesForForm; override; | Internal method, called by a Form when its DefaultControl or CancelControl has changed.
function UseRightToLeftAlignment; override; | True when BiDiMode is bdRightToLeft.
property Active: Boolean; [rs] | True if this control is the Cancel or Default button.
property Default: Boolean; [rw] | True if this is the modal Default button.
property ModalResult: TModalResult; [rw] | When clicked, the button will close the form and return its ModalResult. (unless mrNone)
property ShortCut: TShortcut; [r] |
property ShortCutKey2: TShortcut; [r] |
property Cancel: Boolean; [rw] | True if this is the modal Cancel button.
property Color: TColor; | The background color of the control.
property TabStop: Boolean; | Allows the user to navigate to this control, by pressing the Tab key.
end;

Inheritance

TCustomButton | The base class for clickable buttons (TButton and TBitBtn).
|
TButtonControl | The base class for various button controls.
|
TWinControl | The base class for controls which can contain other (child) controls.
|
TControl | The base class for visible controls.
|
TLCLComponent | The base class for LCL components associated with widgets.
|
TComponent,IUnknown,IInterfaceComponentReference
|
TPersistent,IFPObserved
|
TObject


TCustomButton
pt | ro | ParentColor
 | ro | Active
 |  | Default
 |  | ModalResult
 | ro | ShortCut
 | ro | ShortCutKey2
 |  | Cancel
 | ro | Color
 | ro | TabStop
TButtonControl
pt |  | Checked
pt |  | ClicksDisabled
TWinControl
pt |  | WindowHandle
pt |  | BorderStyle
pt |  | ParentBackground
 |  | BorderWidth
 | ro | BoundsLockCount
 | ro | Brush
 | ro | CachedClientHeight
 | ro | CachedClientWidth
 |  | ChildSizing
 | ro | ControlCount
 | ro | Controls
 |  | DefWndProc
 | ro | DockClientCount
 | ro | DockClients
 |  | DockManager
 |  | DockSite
 |  | DoubleBuffered
 |  | Handle
 | ro | IsFlipped
 | ro | IsResizing
 |  | TabOrder
 |  | TabStop
 |  | ParentDoubleBuffered
 |  | ParentWindow
 | ro | Showing
 |  | UseDockManager
 |  | DesignerDeleting
 | ro | VisibleDockClientCount
TControl
pt | ro | AutoSizing
pt | ro | AutoSizingAll
pt | ro | AutoSizingLockCount
pt |  | ActionLink
pt |  | DesktopFont
pt |  | DragCursor
pt |  | DragKind
pt |  | DragMode
pt |  | MouseCapture
pt |  | ParentColor
pt |  | ParentFont
pt |  | ParentShowHint
pt |  | SessionProperties
pt |  | Text
 | ro | AnchoredControls
 | ro | BaseBounds
 | ro | ReadBounds
 | ro | BaseParentClientSize
 |  | AccessibleDescription
 |  | AccessibleValue
 |  | AccessibleRole
 |  | Action
 |  | Align
 |  | Anchors
 | ro | AnchorSide
 |  | AutoSize
 |  | BorderSpacing
 |  | BoundsRect
 |  | BoundsRectForNewParent
 |  | Caption
 |  | CaptureMouseButtons
 |  | ClientHeight
 | ro | ClientOrigin
 | ro | ClientRect
 |  | ClientWidth
 |  | Color
 |  | Constraints
 | ro | ControlOrigin
 |  | ControlState
 |  | ControlStyle
 |  | Enabled
 |  | Font
 |  | IsControl
 | ro | MouseEntered
 | ro | MouseInClient
 |  | Parent
 |  | PopupMenu
 |  | ShowHint
 |  | Visible
 |  | WindowProc
 |  | DockOrientation
 | ro | Floating
 |  | FloatingDockSiteClass
 |  | HostDockSite
 |  | LRDockWidth
 |  | TBDockHeight
 |  | UndockHeight
 |  | UndockWidth
 |  | BiDiMode
 |  | ParentBiDiMode
pl |  | AnchorSideLeft
pl |  | AnchorSideTop
pl |  | AnchorSideRight
pl |  | AnchorSideBottom
pl |  | Cursor
pl |  | Left
pl |  | Height
pl |  | Hint
pl |  | Top
pl |  | Width
pl |  | HelpType
pl |  | HelpKeyword
pl |  | HelpContext
TLCLComponent
 | ro | LCLRefCount
 | ro | WidgetSetClass
TComponent
 | ro | ComObject
 | ro | Components
 | ro | ComponentCount
 |  | ComponentIndex
 | ro | ComponentState
 | ro | ComponentStyle
 |  | DesignInfo
 | ro | Owner
 |  | VCLComObject
 |  | Name
 |  | Tag
TPersistent
TObject


 |  | AccessibleDescription (TControl)
 |  | AccessibleRole (TControl)
 |  | AccessibleValue (TControl)
 |  | Action (TControl)
pt |  | ActionLink (TControl)
 | ro | Active (TCustomButton)
 |  | Align (TControl)
 | ro | AnchoredControls (TControl)
 |  | Anchors (TControl)
 | ro | AnchorSide (TControl)
pl |  | AnchorSideBottom (TControl)
pl |  | AnchorSideLeft (TControl)
pl |  | AnchorSideRight (TControl)
pl |  | AnchorSideTop (TControl)
 |  | AutoSize (TControl)
pt | ro | AutoSizing (TControl)
pt | ro | AutoSizingAll (TControl)
pt | ro | AutoSizingLockCount (TControl)
 | ro | BaseBounds (TControl)
 | ro | BaseParentClientSize (TControl)
 |  | BiDiMode (TControl)
 |  | BorderSpacing (TControl)
pt |  | BorderStyle (TWinControl)
 |  | BorderWidth (TWinControl)
 | ro | BoundsLockCount (TWinControl)
 |  | BoundsRect (TControl)
 |  | BoundsRectForNewParent (TControl)
 | ro | Brush (TWinControl)
 | ro | CachedClientHeight (TWinControl)
 | ro | CachedClientWidth (TWinControl)
 |  | Cancel (TCustomButton)
 |  | Caption (TControl)
 |  | CaptureMouseButtons (TControl)
pt |  | Checked (TButtonControl)
 |  | ChildSizing (TWinControl)
pt |  | ClicksDisabled (TButtonControl)
 |  | ClientHeight (TControl)
 | ro | ClientOrigin (TControl)
 | ro | ClientRect (TControl)
 |  | ClientWidth (TControl)
 |  | Color (TControl)
 | ro | Color (TCustomButton)
 | ro | ComObject (TComponent)
 | ro | ComponentCount (TComponent)
 |  | ComponentIndex (TComponent)
 | ro | Components (TComponent)
 | ro | ComponentState (TComponent)
 | ro | ComponentStyle (TComponent)
 |  | Constraints (TControl)
 | ro | ControlCount (TWinControl)
 | ro | ControlOrigin (TControl)
 | ro | Controls (TWinControl)
 |  | ControlState (TControl)
 |  | ControlStyle (TControl)
pl |  | Cursor (TControl)
 |  | Default (TCustomButton)
 |  | DefWndProc (TWinControl)
 |  | DesignerDeleting (TWinControl)
 |  | DesignInfo (TComponent)
pt |  | DesktopFont (TControl)
 | ro | DockClientCount (TWinControl)
 | ro | DockClients (TWinControl)
 |  | DockManager (TWinControl)
 |  | DockOrientation (TControl)
 |  | DockSite (TWinControl)
 |  | DoubleBuffered (TWinControl)
pt |  | DragCursor (TControl)
pt |  | DragKind (TControl)
pt |  | DragMode (TControl)
 |  | Enabled (TControl)
 | ro | Floating (TControl)
 |  | FloatingDockSiteClass (TControl)
 |  | Font (TControl)
 |  | Handle (TWinControl)
pl |  | Height (TControl)
pl |  | HelpContext (TControl)
pl |  | HelpKeyword (TControl)
pl |  | HelpType (TControl)
pl |  | Hint (TControl)
 |  | HostDockSite (TControl)
 |  | IsControl (TControl)
 | ro | IsFlipped (TWinControl)
 | ro | IsResizing (TWinControl)
 | ro | LCLRefCount (TLCLComponent)
pl |  | Left (TControl)
 |  | LRDockWidth (TControl)
 |  | ModalResult (TCustomButton)
pt |  | MouseCapture (TControl)
 | ro | MouseEntered (TControl)
 | ro | MouseInClient (TControl)
 |  | Name (TComponent)
 | ro | Owner (TComponent)
 |  | Parent (TControl)
pt |  | ParentBackground (TWinControl)
 |  | ParentBiDiMode (TControl)
pt |  | ParentColor (TControl)
pt | ro | ParentColor (TCustomButton)
 |  | ParentDoubleBuffered (TWinControl)
pt |  | ParentFont (TControl)
pt |  | ParentShowHint (TControl)
 |  | ParentWindow (TWinControl)
 |  | PopupMenu (TControl)
 | ro | ReadBounds (TControl)
pt |  | SessionProperties (TControl)
 | ro | ShortCut (TCustomButton)
 | ro | ShortCutKey2 (TCustomButton)
 |  | ShowHint (TControl)
 | ro | Showing (TWinControl)
 |  | TabOrder (TWinControl)
 |  | TabStop (TWinControl)
 | ro | TabStop (TCustomButton)
 |  | Tag (TComponent)
 |  | TBDockHeight (TControl)
pt |  | Text (TControl)
pl |  | Top (TControl)
 |  | UndockHeight (TControl)
 |  | UndockWidth (TControl)
 |  | UseDockManager (TWinControl)
 |  | VCLComObject (TComponent)
 |  | Visible (TControl)
 | ro | VisibleDockClientCount (TWinControl)
 | ro | WidgetSetClass (TLCLComponent)
pl |  | Width (TControl)
pt |  | WindowHandle (TWinControl)
 |  | WindowProc (TControl)


TCustomButton
pt | WSRegisterClass
pt | CreateWnd
pt | CreateParams
pt | ControlKeyDown
pt | ControlKeyUp
pt | DialogChar
pt | ChildClassAllowed
pt | GetControlClassDefaultSize
pt | WSSetDefault
pt | WSSetText
pt | TextChanged
pt | Loaded
pt | UpdateDefaultCancel
 | Create
 | Click
 | ExecuteDefaultAction
 | ExecuteCancelAction
 | ActiveDefaultControlChanged
 | UpdateRolesForForm
 | UseRightToLeftAlignment
TButtonControl
pt | WSRegisterClass
pt | GetActionLinkClass
pt | GetChecked
pt | SetChecked
pt | DoOnChange
pt | Click
 | Create
TWinControl
pt | WSRegisterClass
pt | AdjustClientRect
pt | GetAdjustedLogicalClientRect
pt | AlignControls
pt | CustomAlignInsertBefore
pt | CustomAlignPosition
pt | DoAlignChildControls
pt | DoChildSizingChange
pt | InvalidatePreferredChildSizes
pt | CanTab
pt | IsClientHeightStored
pt | IsClientWidthStored
pt | DoSendShowHideToInterface
pt | ControlsAligned
pt | DoSendBoundsToInterface
pt | RealizeBounds
pt | RealizeBoundsRecursive
pt | InvalidateBoundsRealized
pt | CreateSubClass
pt | DoConstraintsChange
pt | DoSetBounds
pt | DoAutoSize
pt | DoAllAutoSize
pt | AllAutoSized
pt | CalculatePreferredSize
pt | GetPreferredSizeClientFrame
pt | GetChildren
pt | ChildClassAllowed
pt | PaintControls
pt | PaintHandler
pt | PaintWindow
pt | CreateBrush
pt | ScaleControls
pt | ChangeScale
pt | CMBiDiModeChanged
pt | CMBorderChanged
pt | CMDoubleBufferedChanged
pt | CMEnabledChanged
pt | CMParentDoubleBufferedChanged
pt | CMShowingChanged
pt | CMShowHintChanged
pt | CMVisibleChanged
pt | CMEnter
pt | CMExit
pt | WMContextMenu
pt | WMEraseBkgnd
pt | WMNotify
pt | WMSetFocus
pt | WMKillFocus
pt | WMShowWindow
pt | WMEnter
pt | WMExit
pt | WMKeyDown
pt | WMSysKeyDown
pt | WMKeyUp
pt | WMSysKeyUp
pt | WMChar
pt | WMSysChar
pt | WMPaint
pt | WMDestroy
pt | WMMove
pt | WMSize
pt | WMWindowPosChanged
pt | CNKeyDown
pt | CNSysKeyDown
pt | CNKeyUp
pt | CNSysKeyUp
pt | CNChar
pt | DoDragMsg
pt | DoDockClientMsg
pt | DoUndockClientMsg
pt | DoAddDockClient
pt | DockOver
pt | DoDockOver
pt | DoRemoveDockClient
pt | DoUnDock
pt | GetSiteInfo
pt | GetParentHandle
pt | GetTopParentHandle
pt | ReloadDockedControl
pt | CreateDockManager
pt | SetDockManager
pt | DoFloatMsg
pt | DoGetDockCaption
pt | DoEnter
pt | DoExit
pt | DoKeyDownBeforeInterface
pt | DoRemainingKeyDown
pt | DoRemainingKeyUp
pt | DoKeyPress
pt | DoUTF8KeyPress
pt | DoKeyUpBeforeInterface
pt | ChildKey
pt | SendDialogChar
pt | DialogChar
pt | ControlKeyDown
pt | ControlKeyUp
pt | KeyDown
pt | KeyDownBeforeInterface
pt | KeyDownAfterInterface
pt | KeyPress
pt | KeyUp
pt | KeyUpBeforeInterface
pt | KeyUpAfterInterface
pt | UTF8KeyPress
pt | FindNextControl
pt | SelectFirst
pt | RealGetText
pt | GetBorderStyle
pt | GetClientOrigin
pt | GetClientRect
pt | GetControlOrigin
pt | GetDeviceContext
pt | GetParentBackground
pt | IsControlMouseMsg
pt | CreateHandle
pt | CreateParams
pt | CreateWnd
pt | DestroyHandle
pt | DestroyWnd
pt | DoFlipChildren
pt | FinalizeWnd
pt | FixupTabList
pt | FontChanged
pt | InitializeWnd
pt | Loaded
pt | FormEndUpdated
pt | MainWndProc
pt | ParentFormHandleInitialized
pt | ChildHandlesCreated
pt | GetMouseCapture
pt | RealSetText
pt | RemoveFocus
pt | SendMoveSizeMessages
pt | SetBorderStyle
pt | SetColor
pt | SetChildZPosition
pt | SetParentBackground
pt | ShowControl
pt | UpdateControlState
pt | UpdateShowing
pt | WndProc
pt | WSSetText
 | AutoSizePhases
 | AutoSizeDelayed
 | AutoSizeDelayedReport
 | AutoSizeDelayedHandle
 | BeginUpdateBounds
 | EndUpdateBounds
 | LockRealizeBounds
 | UnlockRealizeBounds
 | ControlAtPos
 | ContainsControl
 | DoAdjustClientRectChange
 | InvalidateClientRectCache
 | ClientRectNeedsInterfaceUpdate
 | SetBounds
 | GetChildrenRect
 | DisableAlign
 | EnableAlign
 | ReAlign
 | ScrollBy_WS
 | ScrollBy
 | WriteLayoutDebugReport
 | AutoAdjustLayout
 | Create
 | CreateParented
 | CreateParentedControl
 | Destroy
 | DockDrop
 | CanFocus
 | CanSetFocus
 | GetControlIndex
 | SetControlIndex
 | Focused
 | PerformTab
 | FindChildControl
 | SelectNext
 | SetTempCursor
 | BroadCast
 | NotifyControls
 | DefaultHandler
 | GetTextLen
 | Invalidate
 | AddControl
 | InsertControl
 | RemoveControl
 | GetEnumeratorControls
 | GetEnumeratorControlsReverse
 | Repaint
 | Update
 | SetFocus
 | FlipChildren
 | ScaleBy
 | GetDockCaption
 | UpdateDockCaption
 | GetTabOrderList
 | HandleAllocated
 | ParentHandlesAllocated
 | HandleNeeded
 | BrushCreated
 | EraseBackground
 | IntfUTF8KeyPress
 | IntfGetDropFilesTarget
 | PaintTo
 | SetShape
TControl
pt | WSRegisterClass
pt | GetCursor
pt | SetCursor
pt | SetVisible
pt | DoOnParentHandleDestruction
pt | DoAutoSize
pt | DoAllAutoSize
pt | BeginAutoSizing
pt | EndAutoSizing
pt | AnchorSideChanged
pt | ForeignAnchorSideChanged
pt | SetAlign
pt | SetAnchors
pt | SetAutoSize
pt | BoundsChanged
pt | CreateControlBorderSpacing
pt | DoConstraintsChange
pt | DoBorderSpacingChange
pt | IsBorderSpacingInnerBorderStored
pt | IsCaptionStored
pt | SendMoveSizeMessages
pt | ConstrainedResize
pt | CalculatePreferredSize
pt | DoOnResize
pt | DoOnChangeBounds
pt | CheckOnChangeBounds
pt | Resize
pt | RequestAlign
pt | UpdateAnchorRules
pt | ChangeBounds
pt | DoSetBounds
pt | ScaleConstraints
pt | ChangeScale
pt | CanAutoSize
pt | SetBiDiMode
pt | SetParentBiDiMode
pt | IsAParentAligning
pt | GetClientOrigin
pt | GetClientRect
pt | GetLogicalClientRect
pt | GetScrolledClientRect
pt | GetClientScrollOffset
pt | GetControlOrigin
pt | IsClientHeightStored
pt | IsClientWidthStored
pt | WidthIsAnchored
pt | HeightIsAnchored
pt | WMCancelMode
pt | WMContextMenu
pt | WMLButtonDown
pt | WMRButtonDown
pt | WMMButtonDown
pt | WMXButtonDown
pt | WMLButtonDBLCLK
pt | WMRButtonDBLCLK
pt | WMMButtonDBLCLK
pt | WMXButtonDBLCLK
pt | WMLButtonTripleCLK
pt | WMRButtonTripleCLK
pt | WMMButtonTripleCLK
pt | WMXButtonTripleCLK
pt | WMLButtonQuadCLK
pt | WMRButtonQuadCLK
pt | WMMButtonQuadCLK
pt | WMXButtonQuadCLK
pt | WMMouseMove
pt | WMLButtonUp
pt | WMRButtonUp
pt | WMMButtonUp
pt | WMXButtonUp
pt | WMMouseWheel
pt | WMMouseHWheel
pt | WMMove
pt | WMSize
pt | WMWindowPosChanged
pt | CMChanged
pt | LMCaptureChanged
pt | CMBiDiModeChanged
pt | CMSysFontChanged
pt | CMEnabledChanged
pt | CMHitTest
pt | CMMouseEnter
pt | CMMouseLeave
pt | CMHintShow
pt | CMParentBiDiModeChanged
pt | CMParentColorChanged
pt | CMParentFontChanged
pt | CMParentShowHintChanged
pt | CMVisibleChanged
pt | CMTextChanged
pt | CMCursorChanged
pt | CalculateDockSizes
pt | CreateFloatingDockSite
pt | GetDockEdge
pt | GetDragImages
pt | GetFloating
pt | GetFloatingDockSiteClass
pt | BeforeDragStart
pt | BeginAutoDrag
pt | DoFloatMsg
pt | DockTrackNoTarget
pt | DoDock
pt | DoDragMsg
pt | DoEndDock
pt | DoEndDrag
pt | DoStartDock
pt | DoStartDrag
pt | DragCanceled
pt | DragOver
pt | PositionDockRect
pt | SetDragMode
pt | GetDefaultDockCaption
pt | Click
pt | DblClick
pt | TripleClick
pt | QuadClick
pt | GetMousePosFromMessage
pt | MouseDown
pt | MouseMove
pt | MouseUp
pt | MouseEnter
pt | MouseLeave
pt | DialogChar
pt | UpdateMouseCursor
pt | Changed
pt | GetPalette
pt | ChildClassAllowed
pt | ReadState
pt | Loaded
pt | LoadedAll
pt | DefineProperties
pt | AssignTo
pt | FormEndUpdated
pt | InvalidateControl
pt | FontChanged
pt | ParentFontChanged
pt | GetAction
pt | RealGetText
pt | RealSetText
pt | TextChanged
pt | GetCachedText
pt | SetAction
pt | SetColor
pt | SetEnabled
pt | SetHint
pt | SetName
pt | SetParent
pt | SetParentComponent
pt | WndProc
pt | ParentFormHandleInitialized
pt | GetMouseCapture
pt | CaptureChanged
pt | Notification
pt | CanTab
pt | GetDeviceContext
pt | GetEnabled
pt | GetPopupMenu
pt | DoOnShowHint
pt | DoMouseWheel
pt | DoMouseWheelDown
pt | DoMouseWheelUp
pt | DoMouseWheelHorz
pt | DoMouseWheelLeft
pt | DoMouseWheelRight
pt | VisibleChanging
pt | VisibleChanged
pt | EnabledChanging
pt | EnabledChanged
pt | AddHandler
pt | RemoveHandler
pt | DoCallNotifyHandler
pt | DoCallKeyEventHandler
pt | DoCallMouseWheelEventHandler
pt | DoContextPopup
pt | SetZOrder
pt | GetControlClassDefaultSize
pt | ColorIsStored
pt | DoAutoAdjustLayout
pt | DoFixDesignFontPPI
pt | DoScaleFontPPI
pt | GetActionLinkClass
pt | ActionChange
 | DragDrop
 | Dock
 | ManualDock
 | ManualFloat
 | ReplaceDockedControl
 | Docked
 | Dragging
 | GetAccessibleObject
 | CreateAccessibleObject
 | GetSelectedChildAccessibleObject
 | GetChildAccessibleObjectAtPos
 | ScaleDesignToForm
 | ScaleFormToDesign
 | Scale96ToForm
 | ScaleFormTo96
 | Scale96ToFont
 | ScaleFontTo96
 | ScaleScreenToFont
 | ScaleFontToScreen
 | Scale96ToScreen
 | ScaleScreenTo96
 | AdjustSize
 | AutoSizePhases
 | AutoSizeDelayed
 | AutoSizeDelayedReport
 | AutoSizeDelayedHandle
 | AnchorToNeighbour
 | AnchorParallel
 | AnchorHorizontalCenterTo
 | AnchorVerticalCenterTo
 | AnchorToCompanion
 | AnchorSame
 | AnchorAsAlign
 | AnchorClient
 | AnchoredControlCount
 | SetBounds
 | SetInitialBounds
 | SetBoundsKeepBase
 | GetPreferredSize
 | GetCanvasScaleFactor
 | GetDefaultWidth
 | GetDefaultHeight
 | GetDefaultColor
 | GetColorResolvingParent
 | GetRGBColorResolvingParent
 | GetSidePosition
 | CNPreferredSizeChanged
 | InvalidatePreferredSize
 | GetAnchorsDependingOnParent
 | DisableAutoSizing
 | EnableAutoSizing
 | UpdateBaseBounds
 | WriteLayoutDebugReport
 | AutoAdjustLayout
 | ShouldAutoAdjust
 | FixDesignFontsPPI
 | ScaleFontsPPI
 | Create
 | Destroy
 | BeforeDestruction
 | EditingDone
 | ExecuteDefaultAction
 | ExecuteCancelAction
 | BeginDrag
 | EndDrag
 | BringToFront
 | HasParent
 | GetParentComponent
 | IsParentOf
 | GetTopParent
 | IsVisible
 | IsControlVisible
 | IsEnabled
 | IsParentColor
 | IsParentFont
 | FormIsUpdating
 | IsProcessingPaintMsg
 | Hide
 | Refresh
 | Repaint
 | Invalidate
 | CheckChildClassAllowed
 | CheckNewParent
 | SendToBack
 | SetTempCursor
 | UpdateRolesForForm
 | ActiveDefaultControlChanged
 | GetTextBuf
 | GetTextLen
 | SetTextBuf
 | Perform
 | ScreenToClient
 | ClientToScreen
 | ScreenToControl
 | ControlToScreen
 | ClientToParent
 | ParentToClient
 | GetChildrenRect
 | Show
 | Update
 | HandleObjectShouldBeVisible
 | ParentDestroyingHandle
 | ParentHandlesAllocated
 | InitiateAction
 | ShowHelp
 | HasHelp
 | RemoveAllHandlersOfObject
 | AddHandlerOnResize
 | RemoveHandlerOnResize
 | AddHandlerOnChangeBounds
 | RemoveHandlerOnChangeBounds
 | AddHandlerOnVisibleChanging
 | RemoveHandlerOnVisibleChanging
 | AddHandlerOnVisibleChanged
 | RemoveHandlerOnVisibleChanged
 | AddHandlerOnEnabledChanged
 | RemoveHandlerOnEnableChanging
 | AddHandlerOnKeyDown
 | RemoveHandlerOnKeyDown
 | AddHandlerOnBeforeDestruction
 | RemoveHandlerOnBeforeDestruction
 | AddHandlerOnMouseWheel
 | RemoveHandlerOnMouseWheel
 | UseRightToLeftAlignment
 | UseRightToLeftReading
 | UseRightToLeftScrollBar
 | IsRightToLeft
TLCLComponent
pt | WSRegisterClass
pt | GetWSComponentClass
 | Create
 | Destroy
 | NewInstance
 | RemoveAllHandlersOfObject
 | IncLCLRefCount
 | DecLCLRefCount
TComponent
 | GetComObject
 | GetComponent
 | GetComponentCount
 | GetComponentIndex
 | Insert
 | ReadLeft
 | ReadTop
 | Remove
 | RemoveNotification
 | SetComponentIndex
 | SetReference
 | WriteLeft
 | WriteTop
 | ChangeName
 | DefineProperties
 | GetChildren
 | GetChildOwner
 | GetChildParent
 | GetOwner
 | Loaded
 | Loading
 | Notification
 | PaletteCreated
 | ReadState
 | SetAncestor
 | SetDesigning
 | SetDesignInstance
 | SetInline
 | SetName
 | SetChildOrder
 | SetParentComponent
 | Updating
 | Updated
 | UpdateRegistry
 | ValidateRename
 | ValidateContainer
 | ValidateInsert
 | QueryInterface
 | _AddRef
 | _Release
 | iicrGetComponent
 | GetTypeInfoCount
 | GetTypeInfo
 | GetIDsOfNames
 | Invoke
 | WriteState
 | Create
 | Destroy
 | BeforeDestruction
 | DestroyComponents
 | Destroying
 | ExecuteAction
 | FindComponent
 | FreeNotification
 | RemoveFreeNotification
 | FreeOnRelease
 | GetEnumerator
 | GetNamePath
 | GetParentComponent
 | HasParent
 | InsertComponent
 | RemoveComponent
 | SafeCallException
 | SetSubComponent
 | UpdateAction
 | IsImplementorOf
 | ReferenceInterface
TPersistent
 | AssignError
 | AssignTo
 | DefineProperties
 | GetOwner
 | Destroy
 | Assign
 | FPOAttachObserver
 | FPODetachObserver
 | FPONotifyObservers
 | GetNamePath
TObject
 | Create
 | Destroy
 | newinstance
 | FreeInstance
 | SafeCallException
 | DefaultHandler
 | Free
 | InitInstance
 | CleanupInstance
 | ClassType
 | ClassInfo
 | ClassName
 | ClassNameIs
 | ClassParent
 | InstanceSize
 | InheritsFrom
 | StringMessageTable
 | MethodAddress
 | MethodName
 | FieldAddress
 | AfterConstruction
 | BeforeDestruction
 | DefaultHandlerStr
 | Dispatch
 | DispatchStr
 | GetInterface
 | GetInterfaceByStr
 | GetInterfaceWeak
 | GetInterfaceEntry
 | GetInterfaceEntryByStr
 | GetInterfaceTable
 | UnitName
 | Equals
 | GetHashCode
 | ToString


TCustomButton
TButtonControl
pt | OnChange
TWinControl
pt | OnGetSiteInfo
pt | OnGetDockCaption
 | OnAlignInsertBefore
 | OnAlignPosition
 | OnDockDrop
 | OnDockOver
 | OnEnter
 | OnExit
 | OnKeyDown
 | OnKeyPress
 | OnKeyUp
 | OnUnDock
 | OnUTF8KeyPress
TControl
pt | OnConstrainedResize
pt | OnContextPopup
pt | OnDblClick
pt | OnTripleClick
pt | OnQuadClick
pt | OnDragDrop
pt | OnDragOver
pt | OnEndDock
pt | OnEndDrag
pt | OnMouseDown
pt | OnMouseMove
pt | OnMouseUp
pt | OnMouseEnter
pt | OnMouseLeave
pt | OnMouseWheel
pt | OnMouseWheelDown
pt | OnMouseWheelUp
pt | OnMouseWheelHorz
pt | OnMouseWheelLeft
pt | OnMouseWheelRight
pt | OnStartDock
pt | OnStartDrag
pt | OnEditingDone
 | OnChangeBounds
 | OnClick
 | OnResize
 | OnShowHint
TLCLComponent
TComponent
TPersistent
TObject


TCustomButton.Active

True if this control is the Cancel or Default button.

Declaration

Source position: stdctrls.pp line 1221

public property TCustomButton.Active : Boolean
  read FActive
  stored False;


TCustomButton.Cancel

True if this is the modal Cancel button.

Declaration

Source position: stdctrls.pp line 1226

public property TCustomButton.Cancel : Boolean
  read FCancel
  write SetCancel
  default False;

Description

Pressing ESC in a modal form is equivalent to pressing the Cancel button.


TCustomButton.Click

Propagates ModalResult to the parent form, before further processing.

Declaration

Source position: stdctrls.pp line 1214

public procedure TCustomButton.Click; override;

See also

TControl.Click

Invokes the OnClick and ActionLink.Execute handlers.


TCustomButton.Create

Declaration

Source position: stdctrls.pp line 1213

public constructor TCustomButton.Create(

  TheOwner: TComponent

); override;


TCustomButton.CreateParams

Declaration

Source position: stdctrls.pp line 1200

protected procedure TCustomButton.CreateParams(

  var Params: TCreateParams

); override;


TCustomButton.CreateWnd

Declaration

Source position: stdctrls.pp line 1199

protected procedure TCustomButton.CreateWnd; override;


TCustomButton.Default

True if this is the modal Default button.

Declaration

Source position: stdctrls.pp line 1222

public property TCustomButton.Default : Boolean
  read FDefault
  write SetDefault
  default False;

Description

Pressing ENTER in a modal form is equivalent to pressing the Default button.


TCustomButton.ExecuteCancelAction

Invoke Click if the control is the Cancel button.

Declaration

Source position: stdctrls.pp line 1216

public procedure TCustomButton.ExecuteCancelAction; override;

See also

TControl.ExecuteCancelAction

Called when ESCAPE is hit or the CANCEL button is clicked - signifying CANCEL.


TCustomButton.ExecuteDefaultAction

Invoke Click if the control is Active or Default.

Declaration

Source position: stdctrls.pp line 1215

public procedure TCustomButton.ExecuteDefaultAction; override;

See also

TControl.ExecuteDefaultAction

Called when the RETURN button is pressed, signifying default action.


TCustomButton.GetControlClassDefaultSize

Declaration

Source position: stdctrls.pp line 1205

protected class function TCustomButton.GetControlClassDefaultSize: TSize; override;


TCustomButton.Loaded

Declaration

Source position: stdctrls.pp line 1210

protected procedure TCustomButton.Loaded; override;


TCustomButton.ModalResult

When clicked, the button will close the form and return its ModalResult. (unless mrNone)

Declaration

Source position: stdctrls.pp line 1223

public property TCustomButton.ModalResult : TModalResult
  read FModalResult
  write SetModalResult
  default mrNone;


TCustomButton.ShortCut

Declaration

Source position: stdctrls.pp line 1224

public property TCustomButton.ShortCut : TShortcut
  read FShortCut;


TCustomButton.ShortCutKey2

Declaration

Source position: stdctrls.pp line 1225

public property TCustomButton.ShortCutKey2 : TShortcut
  read FShortCutKey2;


TCustomButton.UpdateDefaultCancel

Update the parent form's Default and Cancel properties.

Declaration

Source position: stdctrls.pp line 1211

protected procedure TCustomButton.UpdateDefaultCancel;


TCustomButton.WSSetDefault

Notify the widget of dynamic changes of the Default property.

Declaration

Source position: stdctrls.pp line 1207

protected procedure TCustomButton.WSSetDefault;


TCustomButton.WSSetText

Notify the widgetset of changes in the Caption and/or accelerator.

Declaration

Source position: stdctrls.pp line 1208

protected procedure TCustomButton.WSSetText(

  const AText: string

); override;


TCustomCheckBox

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

The base class for checkbox components.

Declaration

Source position: stdctrls.pp line 1293

type TCustomCheckBox = class(TButtonControl)
protected
class procedure WSRegisterClass; override; | Registers this component class with the current WidgetSet.
procedure Click; override; | Invokes the OnClick and ActionLink.Execute handlers.
procedure DoClickOnChange; virtual; | Invokes either the OnClick or OnChange handler.
function RetrieveState; | Retrieves the checkbox state from the widget.
procedure InitializeWnd; override;
procedure Toggle; virtual; | Alternate between checked and unchecked state.
function DialogChar(); override; | Do something useful with accelerators etc.
function GetChecked; override; | The state of the check mark. Here always False, can be implemented in derived classes.
procedure SetChecked(); override; | The state of the check mark. Here always False, can be implemented in derived classes.
procedure RealSetText(); override; | Sets the Caption property.
procedure ApplyChanges; virtual; | Asks the widget to update the visual appearance of the object.
class function GetControlClassDefaultSize; override;
procedure Loaded; override;
procedure WSSetText(); override; | Sends text to the widget (from WM_SETTEXT?).
procedure TextChanged; override; | Handles changes of the Text property.
procedure CreateParams(); override;
public
constructor Create(); override;
property Alignment: TLeftRight; [rw]
property AllowGrayed: Boolean; [rw] | Allows the check box to be in a "grayed" state.
property State: TCheckBoxState; [rw] | Indicates whether the check box is checked (selected), unchecked (deselected) or grayed (disabled).
property ShortCut: TShortcut; [r] |
property ShortCutKey2: TShortcut; [r] |
property OnChange: TNotifyEvent; | Handler for any change in properties of the control.
end;

Inheritance

TCustomCheckBox | The base class for checkbox components.
|
TButtonControl | The base class for various button controls.
|
TWinControl | The base class for controls which can contain other (child) controls.
|
TControl | The base class for visible controls.
|
TLCLComponent | The base class for LCL components associated with widgets.
|
TComponent,IUnknown,IInterfaceComponentReference
|
TPersistent,IFPObserved
|
TObject

Description

Check boxes present the user with options that can be selected (checked) or deselected (unchecked).

See also

TCheckBox

A label with a box which can contain a check mark.


TCustomCheckBox
 |  | Alignment
 |  | AllowGrayed
 |  | State
 | ro | ShortCut
 | ro | ShortCutKey2
TButtonControl
pt |  | Checked
pt |  | ClicksDisabled
TWinControl
pt |  | WindowHandle
pt |  | BorderStyle
pt |  | ParentBackground
 |  | BorderWidth
 | ro | BoundsLockCount
 | ro | Brush
 | ro | CachedClientHeight
 | ro | CachedClientWidth
 |  | ChildSizing
 | ro | ControlCount
 | ro | Controls
 |  | DefWndProc
 | ro | DockClientCount
 | ro | DockClients
 |  | DockManager
 |  | DockSite
 |  | DoubleBuffered
 |  | Handle
 | ro | IsFlipped
 | ro | IsResizing
 |  | TabOrder
 |  | TabStop
 |  | ParentDoubleBuffered
 |  | ParentWindow
 | ro | Showing
 |  | UseDockManager
 |  | DesignerDeleting
 | ro | VisibleDockClientCount
TControl
pt | ro | AutoSizing
pt | ro | AutoSizingAll
pt | ro | AutoSizingLockCount
pt |  | ActionLink
pt |  | DesktopFont
pt |  | DragCursor
pt |  | DragKind
pt |  | DragMode
pt |  | MouseCapture
pt |  | ParentColor
pt |  | ParentFont
pt |  | ParentShowHint
pt |  | SessionProperties
pt |  | Text
 | ro | AnchoredControls
 | ro | BaseBounds
 | ro | ReadBounds
 | ro | BaseParentClientSize
 |  | AccessibleDescription
 |  | AccessibleValue
 |  | AccessibleRole
 |  | Action
 |  | Align
 |  | Anchors
 | ro | AnchorSide
 |  | AutoSize
 |  | BorderSpacing
 |  | BoundsRect
 |  | BoundsRectForNewParent
 |  | Caption
 |  | CaptureMouseButtons
 |  | ClientHeight
 | ro | ClientOrigin
 | ro | ClientRect
 |  | ClientWidth
 |  | Color
 |  | Constraints
 | ro | ControlOrigin
 |  | ControlState
 |  | ControlStyle
 |  | Enabled
 |  | Font
 |  | IsControl
 | ro | MouseEntered
 | ro | MouseInClient
 |  | Parent
 |  | PopupMenu
 |  | ShowHint
 |  | Visible
 |  | WindowProc
 |  | DockOrientation
 | ro | Floating
 |  | FloatingDockSiteClass
 |  | HostDockSite
 |  | LRDockWidth
 |  | TBDockHeight
 |  | UndockHeight
 |  | UndockWidth
 |  | BiDiMode
 |  | ParentBiDiMode
pl |  | AnchorSideLeft
pl |  | AnchorSideTop
pl |  | AnchorSideRight
pl |  | AnchorSideBottom
pl |  | Cursor
pl |  | Left
pl |  | Height
pl |  | Hint
pl |  | Top
pl |  | Width
pl |  | HelpType
pl |  | HelpKeyword
pl |  | HelpContext
TLCLComponent
 | ro | LCLRefCount
 | ro | WidgetSetClass
TComponent
 | ro | ComObject
 | ro | Components
 | ro | ComponentCount
 |  | ComponentIndex
 | ro | ComponentState
 | ro | ComponentStyle
 |  | DesignInfo
 | ro | Owner
 |  | VCLComObject
 |  | Name
 |  | Tag
TPersistent
TObject


 |  | AccessibleDescription (TControl)
 |  | AccessibleRole (TControl)
 |  | AccessibleValue (TControl)
 |  | Action (TControl)
pt |  | ActionLink (TControl)
 |  | Align (TControl)
 |  | Alignment (TCustomCheckBox)
 |  | AllowGrayed (TCustomCheckBox)
 | ro | AnchoredControls (TControl)
 |  | Anchors (TControl)
 | ro | AnchorSide (TControl)
pl |  | AnchorSideBottom (TControl)
pl |  | AnchorSideLeft (TControl)
pl |  | AnchorSideRight (TControl)
pl |  | AnchorSideTop (TControl)
 |  | AutoSize (TControl)
pt | ro | AutoSizing (TControl)
pt | ro | AutoSizingAll (TControl)
pt | ro | AutoSizingLockCount (TControl)
 | ro | BaseBounds (TControl)
 | ro | BaseParentClientSize (TControl)
 |  | BiDiMode (TControl)
 |  | BorderSpacing (TControl)
pt |  | BorderStyle (TWinControl)
 |  | BorderWidth (TWinControl)
 | ro | BoundsLockCount (TWinControl)
 |  | BoundsRect (TControl)
 |  | BoundsRectForNewParent (TControl)
 | ro | Brush (TWinControl)
 | ro | CachedClientHeight (TWinControl)
 | ro | CachedClientWidth (TWinControl)
 |  | Caption (TControl)
 |  | CaptureMouseButtons (TControl)
pt |  | Checked (TButtonControl)
 |  | ChildSizing (TWinControl)
pt |  | ClicksDisabled (TButtonControl)
 |  | ClientHeight (TControl)
 | ro | ClientOrigin (TControl)
 | ro | ClientRect (TControl)
 |  | ClientWidth (TControl)
 |  | Color (TControl)
 | ro | ComObject (TComponent)
 | ro | ComponentCount (TComponent)
 |  | ComponentIndex (TComponent)
 | ro | Components (TComponent)
 | ro | ComponentState (TComponent)
 | ro | ComponentStyle (TComponent)
 |  | Constraints (TControl)
 | ro | ControlCount (TWinControl)
 | ro | ControlOrigin (TControl)
 | ro | Controls (TWinControl)
 |  | ControlState (TControl)
 |  | ControlStyle (TControl)
pl |  | Cursor (TControl)
 |  | DefWndProc (TWinControl)
 |  | DesignerDeleting (TWinControl)
 |  | DesignInfo (TComponent)
pt |  | DesktopFont (TControl)
 | ro | DockClientCount (TWinControl)
 | ro | DockClients (TWinControl)
 |  | DockManager (TWinControl)
 |  | DockOrientation (TControl)
 |  | DockSite (TWinControl)
 |  | DoubleBuffered (TWinControl)
pt |  | DragCursor (TControl)
pt |  | DragKind (TControl)
pt |  | DragMode (TControl)
 |  | Enabled (TControl)
 | ro | Floating (TControl)
 |  | FloatingDockSiteClass (TControl)
 |  | Font (TControl)
 |  | Handle (TWinControl)
pl |  | Height (TControl)
pl |  | HelpContext (TControl)
pl |  | HelpKeyword (TControl)
pl |  | HelpType (TControl)
pl |  | Hint (TControl)
 |  | HostDockSite (TControl)
 |  | IsControl (TControl)
 | ro | IsFlipped (TWinControl)
 | ro | IsResizing (TWinControl)
 | ro | LCLRefCount (TLCLComponent)
pl |  | Left (TControl)
 |  | LRDockWidth (TControl)
pt |  | MouseCapture (TControl)
 | ro | MouseEntered (TControl)
 | ro | MouseInClient (TControl)
 |  | Name (TComponent)
 | ro | Owner (TComponent)
 |  | Parent (TControl)
pt |  | ParentBackground (TWinControl)
 |  | ParentBiDiMode (TControl)
pt |  | ParentColor (TControl)
 |  | ParentDoubleBuffered (TWinControl)
pt |  | ParentFont (TControl)
pt |  | ParentShowHint (TControl)
 |  | ParentWindow (TWinControl)
 |  | PopupMenu (TControl)
 | ro | ReadBounds (TControl)
pt |  | SessionProperties (TControl)
 | ro | ShortCut (TCustomCheckBox)
 | ro | ShortCutKey2 (TCustomCheckBox)
 |  | ShowHint (TControl)
 | ro | Showing (TWinControl)
 |  | State (TCustomCheckBox)
 |  | TabOrder (TWinControl)
 |  | TabStop (TWinControl)
 |  | Tag (TComponent)
 |  | TBDockHeight (TControl)
pt |  | Text (TControl)
pl |  | Top (TControl)
 |  | UndockHeight (TControl)
 |  | UndockWidth (TControl)
 |  | UseDockManager (TWinControl)
 |  | VCLComObject (TComponent)
 |  | Visible (TControl)
 | ro | VisibleDockClientCount (TWinControl)
 | ro | WidgetSetClass (TLCLComponent)
pl |  | Width (TControl)
pt |  | WindowHandle (TWinControl)
 |  | WindowProc (TControl)


TCustomCheckBox
pt | WSRegisterClass
pt | Click
pt | DoClickOnChange
pt | RetrieveState
pt | InitializeWnd
pt | Toggle
pt | DialogChar
pt | GetChecked
pt | SetChecked
pt | RealSetText
pt | ApplyChanges
pt | GetControlClassDefaultSize
pt | Loaded
pt | WSSetText
pt | TextChanged
pt | CreateParams
 | Create
TButtonControl
pt | WSRegisterClass
pt | GetActionLinkClass
pt | GetChecked
pt | SetChecked
pt | DoOnChange
pt | Click
 | Create
TWinControl
pt | WSRegisterClass
pt | AdjustClientRect
pt | GetAdjustedLogicalClientRect
pt | AlignControls
pt | CustomAlignInsertBefore
pt | CustomAlignPosition
pt | DoAlignChildControls
pt | DoChildSizingChange
pt | InvalidatePreferredChildSizes
pt | CanTab
pt | IsClientHeightStored
pt | IsClientWidthStored
pt | DoSendShowHideToInterface
pt | ControlsAligned
pt | DoSendBoundsToInterface
pt | RealizeBounds
pt | RealizeBoundsRecursive
pt | InvalidateBoundsRealized
pt | CreateSubClass
pt | DoConstraintsChange
pt | DoSetBounds
pt | DoAutoSize
pt | DoAllAutoSize
pt | AllAutoSized
pt | CalculatePreferredSize
pt | GetPreferredSizeClientFrame
pt | GetChildren
pt | ChildClassAllowed
pt | PaintControls
pt | PaintHandler
pt | PaintWindow
pt | CreateBrush
pt | ScaleControls
pt | ChangeScale
pt | CMBiDiModeChanged
pt | CMBorderChanged
pt | CMDoubleBufferedChanged
pt | CMEnabledChanged
pt | CMParentDoubleBufferedChanged
pt | CMShowingChanged
pt | CMShowHintChanged
pt | CMVisibleChanged
pt | CMEnter
pt | CMExit
pt | WMContextMenu
pt | WMEraseBkgnd
pt | WMNotify
pt | WMSetFocus
pt | WMKillFocus
pt | WMShowWindow
pt | WMEnter
pt | WMExit
pt | WMKeyDown
pt | WMSysKeyDown
pt | WMKeyUp
pt | WMSysKeyUp
pt | WMChar
pt | WMSysChar
pt | WMPaint
pt | WMDestroy
pt | WMMove
pt | WMSize
pt | WMWindowPosChanged
pt | CNKeyDown
pt | CNSysKeyDown
pt | CNKeyUp
pt | CNSysKeyUp
pt | CNChar
pt | DoDragMsg
pt | DoDockClientMsg
pt | DoUndockClientMsg
pt | DoAddDockClient
pt | DockOver
pt | DoDockOver
pt | DoRemoveDockClient
pt | DoUnDock
pt | GetSiteInfo
pt | GetParentHandle
pt | GetTopParentHandle
pt | ReloadDockedControl
pt | CreateDockManager
pt | SetDockManager
pt | DoFloatMsg
pt | DoGetDockCaption
pt | DoEnter
pt | DoExit
pt | DoKeyDownBeforeInterface
pt | DoRemainingKeyDown
pt | DoRemainingKeyUp
pt | DoKeyPress
pt | DoUTF8KeyPress
pt | DoKeyUpBeforeInterface
pt | ChildKey
pt | SendDialogChar
pt | DialogChar
pt | ControlKeyDown
pt | ControlKeyUp
pt | KeyDown
pt | KeyDownBeforeInterface
pt | KeyDownAfterInterface
pt | KeyPress
pt | KeyUp
pt | KeyUpBeforeInterface
pt | KeyUpAfterInterface
pt | UTF8KeyPress
pt | FindNextControl
pt | SelectFirst
pt | RealGetText
pt | GetBorderStyle
pt | GetClientOrigin
pt | GetClientRect
pt | GetControlOrigin
pt | GetDeviceContext
pt | GetParentBackground
pt | IsControlMouseMsg
pt | CreateHandle
pt | CreateParams
pt | CreateWnd
pt | DestroyHandle
pt | DestroyWnd
pt | DoFlipChildren
pt | FinalizeWnd
pt | FixupTabList
pt | FontChanged
pt | InitializeWnd
pt | Loaded
pt | FormEndUpdated
pt | MainWndProc
pt | ParentFormHandleInitialized
pt | ChildHandlesCreated
pt | GetMouseCapture
pt | RealSetText
pt | RemoveFocus
pt | SendMoveSizeMessages
pt | SetBorderStyle
pt | SetColor
pt | SetChildZPosition
pt | SetParentBackground
pt | ShowControl
pt | UpdateControlState
pt | UpdateShowing
pt | WndProc
pt | WSSetText
 | AutoSizePhases
 | AutoSizeDelayed
 | AutoSizeDelayedReport
 | AutoSizeDelayedHandle
 | BeginUpdateBounds
 | EndUpdateBounds
 | LockRealizeBounds
 | UnlockRealizeBounds
 | ControlAtPos
 | ContainsControl
 | DoAdjustClientRectChange
 | InvalidateClientRectCache
 | ClientRectNeedsInterfaceUpdate
 | SetBounds
 | GetChildrenRect
 | DisableAlign
 | EnableAlign
 | ReAlign
 | ScrollBy_WS
 | ScrollBy
 | WriteLayoutDebugReport
 | AutoAdjustLayout
 | Create
 | CreateParented
 | CreateParentedControl
 | Destroy
 | DockDrop
 | CanFocus
 | CanSetFocus
 | GetControlIndex
 | SetControlIndex
 | Focused
 | PerformTab
 | FindChildControl
 | SelectNext
 | SetTempCursor
 | BroadCast
 | NotifyControls
 | DefaultHandler
 | GetTextLen
 | Invalidate
 | AddControl
 | InsertControl
 | RemoveControl
 | GetEnumeratorControls
 | GetEnumeratorControlsReverse
 | Repaint
 | Update
 | SetFocus
 | FlipChildren
 | ScaleBy
 | GetDockCaption
 | UpdateDockCaption
 | GetTabOrderList
 | HandleAllocated
 | ParentHandlesAllocated
 | HandleNeeded
 | BrushCreated
 | EraseBackground
 | IntfUTF8KeyPress
 | IntfGetDropFilesTarget
 | PaintTo
 | SetShape
TControl
pt | WSRegisterClass
pt | GetCursor
pt | SetCursor
pt | SetVisible
pt | DoOnParentHandleDestruction
pt | DoAutoSize
pt | DoAllAutoSize
pt | BeginAutoSizing
pt | EndAutoSizing
pt | AnchorSideChanged
pt | ForeignAnchorSideChanged
pt | SetAlign
pt | SetAnchors
pt | SetAutoSize
pt | BoundsChanged
pt | CreateControlBorderSpacing
pt | DoConstraintsChange
pt | DoBorderSpacingChange
pt | IsBorderSpacingInnerBorderStored
pt | IsCaptionStored
pt | SendMoveSizeMessages
pt | ConstrainedResize
pt | CalculatePreferredSize
pt | DoOnResize
pt | DoOnChangeBounds
pt | CheckOnChangeBounds
pt | Resize
pt | RequestAlign
pt | UpdateAnchorRules
pt | ChangeBounds
pt | DoSetBounds
pt | ScaleConstraints
pt | ChangeScale
pt | CanAutoSize
pt | SetBiDiMode
pt | SetParentBiDiMode
pt | IsAParentAligning
pt | GetClientOrigin
pt | GetClientRect
pt | GetLogicalClientRect
pt | GetScrolledClientRect
pt | GetClientScrollOffset
pt | GetControlOrigin
pt | IsClientHeightStored
pt | IsClientWidthStored
pt | WidthIsAnchored
pt | HeightIsAnchored
pt | WMCancelMode
pt | WMContextMenu
pt | WMLButtonDown
pt | WMRButtonDown
pt | WMMButtonDown
pt | WMXButtonDown
pt | WMLButtonDBLCLK
pt | WMRButtonDBLCLK
pt | WMMButtonDBLCLK
pt | WMXButtonDBLCLK
pt | WMLButtonTripleCLK
pt | WMRButtonTripleCLK
pt | WMMButtonTripleCLK
pt | WMXButtonTripleCLK
pt | WMLButtonQuadCLK
pt | WMRButtonQuadCLK
pt | WMMButtonQuadCLK
pt | WMXButtonQuadCLK
pt | WMMouseMove
pt | WMLButtonUp
pt | WMRButtonUp
pt | WMMButtonUp
pt | WMXButtonUp
pt | WMMouseWheel
pt | WMMouseHWheel
pt | WMMove
pt | WMSize
pt | WMWindowPosChanged
pt | CMChanged
pt | LMCaptureChanged
pt | CMBiDiModeChanged
pt | CMSysFontChanged
pt | CMEnabledChanged
pt | CMHitTest
pt | CMMouseEnter
pt | CMMouseLeave
pt | CMHintShow
pt | CMParentBiDiModeChanged
pt | CMParentColorChanged
pt | CMParentFontChanged
pt | CMParentShowHintChanged
pt | CMVisibleChanged
pt | CMTextChanged
pt | CMCursorChanged
pt | CalculateDockSizes
pt | CreateFloatingDockSite
pt | GetDockEdge
pt | GetDragImages
pt | GetFloating
pt | GetFloatingDockSiteClass
pt | BeforeDragStart
pt | BeginAutoDrag
pt | DoFloatMsg
pt | DockTrackNoTarget
pt | DoDock
pt | DoDragMsg
pt | DoEndDock
pt | DoEndDrag
pt | DoStartDock
pt | DoStartDrag
pt | DragCanceled
pt | DragOver
pt | PositionDockRect
pt | SetDragMode
pt | GetDefaultDockCaption
pt | Click
pt | DblClick
pt | TripleClick
pt | QuadClick
pt | GetMousePosFromMessage
pt | MouseDown
pt | MouseMove
pt | MouseUp
pt | MouseEnter
pt | MouseLeave
pt | DialogChar
pt | UpdateMouseCursor
pt | Changed
pt | GetPalette
pt | ChildClassAllowed
pt | ReadState
pt | Loaded
pt | LoadedAll
pt | DefineProperties
pt | AssignTo
pt | FormEndUpdated
pt | InvalidateControl
pt | FontChanged
pt | ParentFontChanged
pt | GetAction
pt | RealGetText
pt | RealSetText
pt | TextChanged
pt | GetCachedText
pt | SetAction
pt | SetColor
pt | SetEnabled
pt | SetHint
pt | SetName
pt | SetParent
pt | SetParentComponent
pt | WndProc
pt | ParentFormHandleInitialized
pt | GetMouseCapture
pt | CaptureChanged
pt | Notification
pt | CanTab
pt | GetDeviceContext
pt | GetEnabled
pt | GetPopupMenu
pt | DoOnShowHint
pt | DoMouseWheel
pt | DoMouseWheelDown
pt | DoMouseWheelUp
pt | DoMouseWheelHorz
pt | DoMouseWheelLeft
pt | DoMouseWheelRight
pt | VisibleChanging
pt | VisibleChanged
pt | EnabledChanging
pt | EnabledChanged
pt | AddHandler
pt | RemoveHandler
pt | DoCallNotifyHandler
pt | DoCallKeyEventHandler
pt | DoCallMouseWheelEventHandler
pt | DoContextPopup
pt | SetZOrder
pt | GetControlClassDefaultSize
pt | ColorIsStored
pt | DoAutoAdjustLayout
pt | DoFixDesignFontPPI
pt | DoScaleFontPPI
pt | GetActionLinkClass
pt | ActionChange
 | DragDrop
 | Dock
 | ManualDock
 | ManualFloat
 | ReplaceDockedControl
 | Docked
 | Dragging
 | GetAccessibleObject
 | CreateAccessibleObject
 | GetSelectedChildAccessibleObject
 | GetChildAccessibleObjectAtPos
 | ScaleDesignToForm
 | ScaleFormToDesign
 | Scale96ToForm
 | ScaleFormTo96
 | Scale96ToFont
 | ScaleFontTo96
 | ScaleScreenToFont
 | ScaleFontToScreen
 | Scale96ToScreen
 | ScaleScreenTo96
 | AdjustSize
 | AutoSizePhases
 | AutoSizeDelayed
 | AutoSizeDelayedReport
 | AutoSizeDelayedHandle
 | AnchorToNeighbour
 | AnchorParallel
 | AnchorHorizontalCenterTo
 | AnchorVerticalCenterTo
 | AnchorToCompanion
 | AnchorSame
 | AnchorAsAlign
 | AnchorClient
 | AnchoredControlCount
 | SetBounds
 | SetInitialBounds
 | SetBoundsKeepBase
 | GetPreferredSize
 | GetCanvasScaleFactor
 | GetDefaultWidth
 | GetDefaultHeight
 | GetDefaultColor
 | GetColorResolvingParent
 | GetRGBColorResolvingParent
 | GetSidePosition
 | CNPreferredSizeChanged
 | InvalidatePreferredSize
 | GetAnchorsDependingOnParent
 | DisableAutoSizing
 | EnableAutoSizing
 | UpdateBaseBounds
 | WriteLayoutDebugReport
 | AutoAdjustLayout
 | ShouldAutoAdjust
 | FixDesignFontsPPI
 | ScaleFontsPPI
 | Create
 | Destroy
 | BeforeDestruction
 | EditingDone
 | ExecuteDefaultAction
 | ExecuteCancelAction
 | BeginDrag
 | EndDrag
 | BringToFront
 | HasParent
 | GetParentComponent
 | IsParentOf
 | GetTopParent
 | IsVisible
 | IsControlVisible
 | IsEnabled
 | IsParentColor
 | IsParentFont
 | FormIsUpdating
 | IsProcessingPaintMsg
 | Hide
 | Refresh
 | Repaint
 | Invalidate
 | CheckChildClassAllowed
 | CheckNewParent
 | SendToBack
 | SetTempCursor
 | UpdateRolesForForm
 | ActiveDefaultControlChanged
 | GetTextBuf
 | GetTextLen
 | SetTextBuf
 | Perform
 | ScreenToClient
 | ClientToScreen
 | ScreenToControl
 | ControlToScreen
 | ClientToParent
 | ParentToClient
 | GetChildrenRect
 | Show
 | Update
 | HandleObjectShouldBeVisible
 | ParentDestroyingHandle
 | ParentHandlesAllocated
 | InitiateAction
 | ShowHelp
 | HasHelp
 | RemoveAllHandlersOfObject
 | AddHandlerOnResize
 | RemoveHandlerOnResize
 | AddHandlerOnChangeBounds
 | RemoveHandlerOnChangeBounds
 | AddHandlerOnVisibleChanging
 | RemoveHandlerOnVisibleChanging
 | AddHandlerOnVisibleChanged
 | RemoveHandlerOnVisibleChanged
 | AddHandlerOnEnabledChanged
 | RemoveHandlerOnEnableChanging
 | AddHandlerOnKeyDown
 | RemoveHandlerOnKeyDown
 | AddHandlerOnBeforeDestruction
 | RemoveHandlerOnBeforeDestruction
 | AddHandlerOnMouseWheel
 | RemoveHandlerOnMouseWheel
 | UseRightToLeftAlignment
 | UseRightToLeftReading
 | UseRightToLeftScrollBar
 | IsRightToLeft
TLCLComponent
pt | WSRegisterClass
pt | GetWSComponentClass
 | Create
 | Destroy
 | NewInstance
 | RemoveAllHandlersOfObject
 | IncLCLRefCount
 | DecLCLRefCount
TComponent
 | GetComObject
 | GetComponent
 | GetComponentCount
 | GetComponentIndex
 | Insert
 | ReadLeft
 | ReadTop
 | Remove
 | RemoveNotification
 | SetComponentIndex
 | SetReference
 | WriteLeft
 | WriteTop
 | ChangeName
 | DefineProperties
 | GetChildren
 | GetChildOwner
 | GetChildParent
 | GetOwner
 | Loaded
 | Loading
 | Notification
 | PaletteCreated
 | ReadState
 | SetAncestor
 | SetDesigning
 | SetDesignInstance
 | SetInline
 | SetName
 | SetChildOrder
 | SetParentComponent
 | Updating
 | Updated
 | UpdateRegistry
 | ValidateRename
 | ValidateContainer
 | ValidateInsert
 | QueryInterface
 | _AddRef
 | _Release
 | iicrGetComponent
 | GetTypeInfoCount
 | GetTypeInfo
 | GetIDsOfNames
 | Invoke
 | WriteState
 | Create
 | Destroy
 | BeforeDestruction
 | DestroyComponents
 | Destroying
 | ExecuteAction
 | FindComponent
 | FreeNotification
 | RemoveFreeNotification
 | FreeOnRelease
 | GetEnumerator
 | GetNamePath
 | GetParentComponent
 | HasParent
 | InsertComponent
 | RemoveComponent
 | SafeCallException
 | SetSubComponent
 | UpdateAction
 | IsImplementorOf
 | ReferenceInterface
TPersistent
 | AssignError
 | AssignTo
 | DefineProperties
 | GetOwner
 | Destroy
 | Assign
 | FPOAttachObserver
 | FPODetachObserver
 | FPONotifyObservers
 | GetNamePath
TObject
 | Create
 | Destroy
 | newinstance
 | FreeInstance
 | SafeCallException
 | DefaultHandler
 | Free
 | InitInstance
 | CleanupInstance
 | ClassType
 | ClassInfo
 | ClassName
 | ClassNameIs
 | ClassParent
 | InstanceSize
 | InheritsFrom
 | StringMessageTable
 | MethodAddress
 | MethodName
 | FieldAddress
 | AfterConstruction
 | BeforeDestruction
 | DefaultHandlerStr
 | Dispatch
 | DispatchStr
 | GetInterface
 | GetInterfaceByStr
 | GetInterfaceWeak
 | GetInterfaceEntry
 | GetInterfaceEntryByStr
 | GetInterfaceTable
 | UnitName
 | Equals
 | GetHashCode
 | ToString


pt | ActionChange (TControl)
 | ActiveDefaultControlChanged (TControl)
 | AddControl (TWinControl)
pt | AddHandler (TControl)
 | AddHandlerOnBeforeDestruction (TControl)
 | AddHandlerOnChangeBounds (TControl)
 | AddHandlerOnEnabledChanged (TControl)
 | AddHandlerOnKeyDown (TControl)
 | AddHandlerOnMouseWheel (TControl)
 | AddHandlerOnResize (TControl)
 | AddHandlerOnVisibleChanged (TControl)
 | AddHandlerOnVisibleChanging (TControl)
pt | AdjustClientRect (TWinControl)
 | AdjustSize (TControl)
 | AfterConstruction (TObject)
pt | AlignControls (TWinControl)
pt | AllAutoSized (TWinControl)
 | AnchorAsAlign (TControl)
 | AnchorClient (TControl)
 | AnchoredControlCount (TControl)
 | AnchorHorizontalCenterTo (TControl)
 | AnchorParallel (TControl)
 | AnchorSame (TControl)
pt | AnchorSideChanged (TControl)
 | AnchorToCompanion (TControl)
 | AnchorToNeighbour (TControl)
 | AnchorVerticalCenterTo (TControl)
pt | ApplyChanges (TCustomCheckBox)
 | Assign (TPersistent)
 | AssignError (TPersistent)
 | AssignTo (TPersistent)
pt | AssignTo (TControl)
 | AutoAdjustLayout (TControl)
 | AutoAdjustLayout (TWinControl)
 | AutoSizeDelayed (TControl)
 | AutoSizeDelayed (TWinControl)
 | AutoSizeDelayedHandle (TControl)
 | AutoSizeDelayedHandle (TWinControl)
 | AutoSizeDelayedReport (TControl)
 | AutoSizeDelayedReport (TWinControl)
 | AutoSizePhases (TControl)
 | AutoSizePhases (TWinControl)
 | BeforeDestruction (TObject)
 | BeforeDestruction (TComponent)
 | BeforeDestruction (TControl)
pt | BeforeDragStart (TControl)
pt | BeginAutoDrag (TControl)
pt | BeginAutoSizing (TControl)
 | BeginDrag (TControl)
 | BeginUpdateBounds (TWinControl)
pt | BoundsChanged (TControl)
 | BringToFront (TControl)
 | BroadCast (TWinControl)
 | BrushCreated (TWinControl)
pt | CalculateDockSizes (TControl)
pt | CalculatePreferredSize (TControl)
pt | CalculatePreferredSize (TWinControl)
pt | CanAutoSize (TControl)
 | CanFocus (TWinControl)
 | CanSetFocus (TWinControl)
pt | CanTab (TControl)
pt | CanTab (TWinControl)
pt | CaptureChanged (TControl)
pt | ChangeBounds (TControl)
pt | Changed (TControl)
 | ChangeName (TComponent)
pt | ChangeScale (TControl)
pt | ChangeScale (TWinControl)
 | CheckChildClassAllowed (TControl)
 | CheckNewParent (TControl)
pt | CheckOnChangeBounds (TControl)
pt | ChildClassAllowed (TControl)
pt | ChildClassAllowed (TWinControl)
pt | ChildHandlesCreated (TWinControl)
pt | ChildKey (TWinControl)
 | ClassInfo (TObject)
 | ClassName (TObject)
 | ClassNameIs (TObject)
 | ClassParent (TObject)
 | ClassType (TObject)
 | CleanupInstance (TObject)
pt | Click (TControl)
pt | Click (TButtonControl)
pt | Click (TCustomCheckBox)
 | ClientRectNeedsInterfaceUpdate (TWinControl)
 | ClientToParent (TControl)
 | ClientToScreen (TControl)
pt | CMBiDiModeChanged (TControl)
pt | CMBiDiModeChanged (TWinControl)
pt | CMBorderChanged (TWinControl)
pt | CMChanged (TControl)
pt | CMCursorChanged (TControl)
pt | CMDoubleBufferedChanged (TWinControl)
pt | CMEnabledChanged (TControl)
pt | CMEnabledChanged (TWinControl)
pt | CMEnter (TWinControl)
pt | CMExit (TWinControl)
pt | CMHintShow (TControl)
pt | CMHitTest (TControl)
pt | CMMouseEnter (TControl)
pt | CMMouseLeave (TControl)
pt | CMParentBiDiModeChanged (TControl)
pt | CMParentColorChanged (TControl)
pt | CMParentDoubleBufferedChanged (TWinControl)
pt | CMParentFontChanged (TControl)
pt | CMParentShowHintChanged (TControl)
pt | CMShowHintChanged (TWinControl)
pt | CMShowingChanged (TWinControl)
pt | CMSysFontChanged (TControl)
pt | CMTextChanged (TControl)
pt | CMVisibleChanged (TControl)
pt | CMVisibleChanged (TWinControl)
pt | CNChar (TWinControl)
pt | CNKeyDown (TWinControl)
pt | CNKeyUp (TWinControl)
 | CNPreferredSizeChanged (TControl)
pt | CNSysKeyDown (TWinControl)
pt | CNSysKeyUp (TWinControl)
pt | ColorIsStored (TControl)
pt | ConstrainedResize (TControl)
 | ContainsControl (TWinControl)
 | ControlAtPos (TWinControl)
pt | ControlKeyDown (TWinControl)
pt | ControlKeyUp (TWinControl)
pt | ControlsAligned (TWinControl)
 | ControlToScreen (TControl)
 | Create (TObject)
 | Create (TComponent)
 | Create (TLCLComponent)
 | Create (TControl)
 | Create (TWinControl)
 | Create (TButtonControl)
 | Create (TCustomCheckBox)
 | CreateAccessibleObject (TControl)
pt | CreateBrush (TWinControl)
pt | CreateControlBorderSpacing (TControl)
pt | CreateDockManager (TWinControl)
pt | CreateFloatingDockSite (TControl)
pt | CreateHandle (TWinControl)
pt | CreateParams (TWinControl)
pt | CreateParams (TCustomCheckBox)
 | CreateParented (TWinControl)
 | CreateParentedControl (TWinControl)
pt | CreateSubClass (TWinControl)
pt | CreateWnd (TWinControl)
pt | CustomAlignInsertBefore (TWinControl)
pt | CustomAlignPosition (TWinControl)
pt | DblClick (TControl)
 | DecLCLRefCount (TLCLComponent)
 | DefaultHandler (TObject)
 | DefaultHandler (TWinControl)
 | DefaultHandlerStr (TObject)
 | DefineProperties (TPersistent)
 | DefineProperties (TComponent)
pt | DefineProperties (TControl)
 | Destroy (TObject)
 | Destroy (TPersistent)
 | Destroy (TComponent)
 | Destroy (TLCLComponent)
 | Destroy (TControl)
 | Destroy (TWinControl)
 | DestroyComponents (TComponent)
pt | DestroyHandle (TWinControl)
 | Destroying (TComponent)
pt | DestroyWnd (TWinControl)
pt | DialogChar (TControl)
pt | DialogChar (TWinControl)
pt | DialogChar (TCustomCheckBox)
 | DisableAlign (TWinControl)
 | DisableAutoSizing (TControl)
 | Dispatch (TObject)
 | DispatchStr (TObject)
pt | DoAddDockClient (TWinControl)
 | DoAdjustClientRectChange (TWinControl)
pt | DoAlignChildControls (TWinControl)
pt | DoAllAutoSize (TControl)
pt | DoAllAutoSize (TWinControl)
pt | DoAutoAdjustLayout (TControl)
pt | DoAutoSize (TControl)
pt | DoAutoSize (TWinControl)
pt | DoBorderSpacingChange (TControl)
pt | DoCallKeyEventHandler (TControl)
pt | DoCallMouseWheelEventHandler (TControl)
pt | DoCallNotifyHandler (TControl)
pt | DoChildSizingChange (TWinControl)
 | Dock (TControl)
 | DockDrop (TWinControl)
 | Docked (TControl)
pt | DockOver (TWinControl)
pt | DockTrackNoTarget (TControl)
pt | DoClickOnChange (TCustomCheckBox)
pt | DoConstraintsChange (TControl)
pt | DoConstraintsChange (TWinControl)
pt | DoContextPopup (TControl)
pt | DoDock (TControl)
pt | DoDockClientMsg (TWinControl)
pt | DoDockOver (TWinControl)
pt | DoDragMsg (TControl)
pt | DoDragMsg (TWinControl)
pt | DoEndDock (TControl)
pt | DoEndDrag (TControl)
pt | DoEnter (TWinControl)
pt | DoExit (TWinControl)
pt | DoFixDesignFontPPI (TControl)
pt | DoFlipChildren (TWinControl)
pt | DoFloatMsg (TControl)
pt | DoFloatMsg (TWinControl)
pt | DoGetDockCaption (TWinControl)
pt | DoKeyDownBeforeInterface (TWinControl)
pt | DoKeyPress (TWinControl)
pt | DoKeyUpBeforeInterface (TWinControl)
pt | DoMouseWheel (TControl)
pt | DoMouseWheelDown (TControl)
pt | DoMouseWheelHorz (TControl)
pt | DoMouseWheelLeft (TControl)
pt | DoMouseWheelRight (TControl)
pt | DoMouseWheelUp (TControl)
pt | DoOnChange (TButtonControl)
pt | DoOnChangeBounds (TControl)
pt | DoOnParentHandleDestruction (TControl)
pt | DoOnResize (TControl)
pt | DoOnShowHint (TControl)
pt | DoRemainingKeyDown (TWinControl)
pt | DoRemainingKeyUp (TWinControl)
pt | DoRemoveDockClient (TWinControl)
pt | DoScaleFontPPI (TControl)
pt | DoSendBoundsToInterface (TWinControl)
pt | DoSendShowHideToInterface (TWinControl)
pt | DoSetBounds (TControl)
pt | DoSetBounds (TWinControl)
pt | DoStartDock (TControl)
pt | DoStartDrag (TControl)
pt | DoUnDock (TWinControl)
pt | DoUndockClientMsg (TWinControl)
pt | DoUTF8KeyPress (TWinControl)
pt | DragCanceled (TControl)
 | DragDrop (TControl)
 | Dragging (TControl)
pt | DragOver (TControl)
 | EditingDone (TControl)
 | EnableAlign (TWinControl)
 | EnableAutoSizing (TControl)
pt | EnabledChanged (TControl)
pt | EnabledChanging (TControl)
pt | EndAutoSizing (TControl)
 | EndDrag (TControl)
 | EndUpdateBounds (TWinControl)
 | Equals (TObject)
 | EraseBackground (TWinControl)
 | ExecuteAction (TComponent)
 | ExecuteCancelAction (TControl)
 | ExecuteDefaultAction (TControl)
 | FieldAddress (TObject)
pt | FinalizeWnd (TWinControl)
 | FindChildControl (TWinControl)
 | FindComponent (TComponent)
pt | FindNextControl (TWinControl)
 | FixDesignFontsPPI (TControl)
pt | FixupTabList (TWinControl)
 | FlipChildren (TWinControl)
 | Focused (TWinControl)
pt | FontChanged (TControl)
pt | FontChanged (TWinControl)
pt | ForeignAnchorSideChanged (TControl)
pt | FormEndUpdated (TControl)
pt | FormEndUpdated (TWinControl)
 | FormIsUpdating (TControl)
 | FPOAttachObserver (TPersistent)
 | FPODetachObserver (TPersistent)
 | FPONotifyObservers (TPersistent)
 | Free (TObject)
 | FreeInstance (TObject)
 | FreeNotification (TComponent)
 | FreeOnRelease (TComponent)
 | GetAccessibleObject (TControl)
pt | GetAction (TControl)
pt | GetActionLinkClass (TControl)
pt | GetActionLinkClass (TButtonControl)
pt | GetAdjustedLogicalClientRect (TWinControl)
 | GetAnchorsDependingOnParent (TControl)
pt | GetBorderStyle (TWinControl)
pt | GetCachedText (TControl)
 | GetCanvasScaleFactor (TControl)
pt | GetChecked (TButtonControl)
pt | GetChecked (TCustomCheckBox)
 | GetChildAccessibleObjectAtPos (TControl)
 | GetChildOwner (TComponent)
 | GetChildParent (TComponent)
 | GetChildren (TComponent)
pt | GetChildren (TWinControl)
 | GetChildrenRect (TControl)
 | GetChildrenRect (TWinControl)
pt | GetClientOrigin (TControl)
pt | GetClientOrigin (TWinControl)
pt | GetClientRect (TControl)
pt | GetClientRect (TWinControl)
pt | GetClientScrollOffset (TControl)
 | GetColorResolvingParent (TControl)
 | GetComObject (TComponent)
 | GetComponent (TComponent)
 | GetComponentCount (TComponent)
 | GetComponentIndex (TComponent)
pt | GetControlClassDefaultSize (TControl)
pt | GetControlClassDefaultSize (TCustomCheckBox)
 | GetControlIndex (TWinControl)
pt | GetControlOrigin (TControl)
pt | GetControlOrigin (TWinControl)
pt | GetCursor (TControl)
 | GetDefaultColor (TControl)
pt | GetDefaultDockCaption (TControl)
 | GetDefaultHeight (TControl)
 | GetDefaultWidth (TControl)
pt | GetDeviceContext (TControl)
pt | GetDeviceContext (TWinControl)
 | GetDockCaption (TWinControl)
pt | GetDockEdge (TControl)
pt | GetDragImages (TControl)
pt | GetEnabled (TControl)
 | GetEnumerator (TComponent)
 | GetEnumeratorControls (TWinControl)
 | GetEnumeratorControlsReverse (TWinControl)
pt | GetFloating (TControl)
pt | GetFloatingDockSiteClass (TControl)
 | GetHashCode (TObject)
 | GetIDsOfNames (TComponent)
 | GetInterface (TObject)
 | GetInterfaceByStr (TObject)
 | GetInterfaceEntry (TObject)
 | GetInterfaceEntryByStr (TObject)
 | GetInterfaceTable (TObject)
 | GetInterfaceWeak (TObject)
pt | GetLogicalClientRect (TControl)
pt | GetMouseCapture (TControl)
pt | GetMouseCapture (TWinControl)
pt | GetMousePosFromMessage (TControl)
 | GetNamePath (TPersistent)
 | GetNamePath (TComponent)
 | GetOwner (TPersistent)
 | GetOwner (TComponent)
pt | GetPalette (TControl)
pt | GetParentBackground (TWinControl)
 | GetParentComponent (TComponent)
 | GetParentComponent (TControl)
pt | GetParentHandle (TWinControl)
pt | GetPopupMenu (TControl)
 | GetPreferredSize (TControl)
pt | GetPreferredSizeClientFrame (TWinControl)
 | GetRGBColorResolvingParent (TControl)
pt | GetScrolledClientRect (TControl)
 | GetSelectedChildAccessibleObject (TControl)
 | GetSidePosition (TControl)
pt | GetSiteInfo (TWinControl)
 | GetTabOrderList (TWinControl)
 | GetTextBuf (TControl)
 | GetTextLen (TControl)
 | GetTextLen (TWinControl)
 | GetTopParent (TControl)
pt | GetTopParentHandle (TWinControl)
 | GetTypeInfo (TComponent)
 | GetTypeInfoCount (TComponent)
pt | GetWSComponentClass (TLCLComponent)
 | HandleAllocated (TWinControl)
 | HandleNeeded (TWinControl)
 | HandleObjectShouldBeVisible (TControl)
 | HasHelp (TControl)
 | HasParent (TComponent)
 | HasParent (TControl)
pt | HeightIsAnchored (TControl)
 | Hide (TControl)
 | iicrGetComponent (TComponent)
 | IncLCLRefCount (TLCLComponent)
 | InheritsFrom (TObject)
pt | InitializeWnd (TWinControl)
pt | InitializeWnd (TCustomCheckBox)
 | InitiateAction (TControl)
 | InitInstance (TObject)
 | Insert (TComponent)
 | InsertComponent (TComponent)
 | InsertControl (TWinControl)
 | InstanceSize (TObject)
 | IntfGetDropFilesTarget (TWinControl)
 | IntfUTF8KeyPress (TWinControl)
 | Invalidate (TControl)
 | Invalidate (TWinControl)
pt | InvalidateBoundsRealized (TWinControl)
 | InvalidateClientRectCache (TWinControl)
pt | InvalidateControl (TControl)
pt | InvalidatePreferredChildSizes (TWinControl)
 | InvalidatePreferredSize (TControl)
 | Invoke (TComponent)
pt | IsAParentAligning (TControl)
pt | IsBorderSpacingInnerBorderStored (TControl)
pt | IsCaptionStored (TControl)
pt | IsClientHeightStored (TControl)
pt | IsClientHeightStored (TWinControl)
pt | IsClientWidthStored (TControl)
pt | IsClientWidthStored (TWinControl)
pt | IsControlMouseMsg (TWinControl)
 | IsControlVisible (TControl)
 | IsEnabled (TControl)
 | IsImplementorOf (TComponent)
 | IsParentColor (TControl)
 | IsParentFont (TControl)
 | IsParentOf (TControl)
 | IsProcessingPaintMsg (TControl)
 | IsRightToLeft (TControl)
 | IsVisible (TControl)
pt | KeyDown (TWinControl)
pt | KeyDownAfterInterface (TWinControl)
pt | KeyDownBeforeInterface (TWinControl)
pt | KeyPress (TWinControl)
pt | KeyUp (TWinControl)
pt | KeyUpAfterInterface (TWinControl)
pt | KeyUpBeforeInterface (TWinControl)
pt | LMCaptureChanged (TControl)
 | Loaded (TComponent)
pt | Loaded (TControl)
pt | Loaded (TWinControl)
pt | Loaded (TCustomCheckBox)
pt | LoadedAll (TControl)
 | Loading (TComponent)
 | LockRealizeBounds (TWinControl)
pt | MainWndProc (TWinControl)
 | ManualDock (TControl)
 | ManualFloat (TControl)
 | MethodAddress (TObject)
 | MethodName (TObject)
pt | MouseDown (TControl)
pt | MouseEnter (TControl)
pt | MouseLeave (TControl)
pt | MouseMove (TControl)
pt | MouseUp (TControl)
 | newinstance (TObject)
 | NewInstance (TLCLComponent)
 | Notification (TComponent)
pt | Notification (TControl)
 | NotifyControls (TWinControl)
pt | PaintControls (TWinControl)
pt | PaintHandler (TWinControl)
 | PaintTo (TWinControl)
pt | PaintWindow (TWinControl)
 | PaletteCreated (TComponent)
 | ParentDestroyingHandle (TControl)
pt | ParentFontChanged (TControl)
pt | ParentFormHandleInitialized (TControl)
pt | ParentFormHandleInitialized (TWinControl)
 | ParentHandlesAllocated (TControl)
 | ParentHandlesAllocated (TWinControl)
 | ParentToClient (TControl)
 | Perform (TControl)
 | PerformTab (TWinControl)
pt | PositionDockRect (TControl)
pt | QuadClick (TControl)
 | QueryInterface (TComponent)
 | ReadLeft (TComponent)
 | ReadState (TComponent)
pt | ReadState (TControl)
 | ReadTop (TComponent)
pt | RealGetText (TControl)
pt | RealGetText (TWinControl)
 | ReAlign (TWinControl)
pt | RealizeBounds (TWinControl)
pt | RealizeBoundsRecursive (TWinControl)
pt | RealSetText (TControl)
pt | RealSetText (TWinControl)
pt | RealSetText (TCustomCheckBox)
 | ReferenceInterface (TComponent)
 | Refresh (TControl)
pt | ReloadDockedControl (TWinControl)
 | Remove (TComponent)
 | RemoveAllHandlersOfObject (TLCLComponent)
 | RemoveAllHandlersOfObject (TControl)
 | RemoveComponent (TComponent)
 | RemoveControl (TWinControl)
pt | RemoveFocus (TWinControl)
 | RemoveFreeNotification (TComponent)
pt | RemoveHandler (TControl)
 | RemoveHandlerOnBeforeDestruction (TControl)
 | RemoveHandlerOnChangeBounds (TControl)
 | RemoveHandlerOnEnableChanging (TControl)
 | RemoveHandlerOnKeyDown (TControl)
 | RemoveHandlerOnMouseWheel (TControl)
 | RemoveHandlerOnResize (TControl)
 | RemoveHandlerOnVisibleChanged (TControl)
 | RemoveHandlerOnVisibleChanging (TControl)
 | RemoveNotification (TComponent)
 | Repaint (TControl)
 | Repaint (TWinControl)
 | ReplaceDockedControl (TControl)
pt | RequestAlign (TControl)
pt | Resize (TControl)
pt | RetrieveState (TCustomCheckBox)
 | SafeCallException (TObject)
 | SafeCallException (TComponent)
 | Scale96ToFont (TControl)
 | Scale96ToForm (TControl)
 | Scale96ToScreen (TControl)
 | ScaleBy (TWinControl)
pt | ScaleConstraints (TControl)
pt | ScaleControls (TWinControl)
 | ScaleDesignToForm (TControl)
 | ScaleFontsPPI (TControl)
 | ScaleFontTo96 (TControl)
 | ScaleFontToScreen (TControl)
 | ScaleFormTo96 (TControl)
 | ScaleFormToDesign (TControl)
 | ScaleScreenTo96 (TControl)
 | ScaleScreenToFont (TControl)
 | ScreenToClient (TControl)
 | ScreenToControl (TControl)
 | ScrollBy (TWinControl)
 | ScrollBy_WS (TWinControl)
pt | SelectFirst (TWinControl)
 | SelectNext (TWinControl)
pt | SendDialogChar (TWinControl)
pt | SendMoveSizeMessages (TControl)
pt | SendMoveSizeMessages (TWinControl)
 | SendToBack (TControl)
pt | SetAction (TControl)
pt | SetAlign (TControl)
 | SetAncestor (TComponent)
pt | SetAnchors (TControl)
pt | SetAutoSize (TControl)
pt | SetBiDiMode (TControl)
pt | SetBorderStyle (TWinControl)
 | SetBounds (TControl)
 | SetBounds (TWinControl)
 | SetBoundsKeepBase (TControl)
pt | SetChecked (TButtonControl)
pt | SetChecked (TCustomCheckBox)
 | SetChildOrder (TComponent)
pt | SetChildZPosition (TWinControl)
pt | SetColor (TControl)
pt | SetColor (TWinControl)
 | SetComponentIndex (TComponent)
 | SetControlIndex (TWinControl)
pt | SetCursor (TControl)
 | SetDesigning (TComponent)
 | SetDesignInstance (TComponent)
pt | SetDockManager (TWinControl)
pt | SetDragMode (TControl)
pt | SetEnabled (TControl)
 | SetFocus (TWinControl)
pt | SetHint (TControl)
 | SetInitialBounds (TControl)
 | SetInline (TComponent)
 | SetName (TComponent)
pt | SetName (TControl)
pt | SetParent (TControl)
pt | SetParentBackground (TWinControl)
pt | SetParentBiDiMode (TControl)
 | SetParentComponent (TComponent)
pt | SetParentComponent (TControl)
 | SetReference (TComponent)
 | SetShape (TWinControl)
 | SetSubComponent (TComponent)
 | SetTempCursor (TControl)
 | SetTempCursor (TWinControl)
 | SetTextBuf (TControl)
pt | SetVisible (TControl)
pt | SetZOrder (TControl)
 | ShouldAutoAdjust (TControl)
 | Show (TControl)
pt | ShowControl (TWinControl)
 | ShowHelp (TControl)
 | StringMessageTable (TObject)
pt | TextChanged (TControl)
pt | TextChanged (TCustomCheckBox)
pt | Toggle (TCustomCheckBox)
 | ToString (TObject)
pt | TripleClick (TControl)
 | UnitName (TObject)
 | UnlockRealizeBounds (TWinControl)
 | Update (TControl)
 | Update (TWinControl)
 | UpdateAction (TComponent)
pt | UpdateAnchorRules (TControl)
 | UpdateBaseBounds (TControl)
pt | UpdateControlState (TWinControl)
 | Updated (TComponent)
 | UpdateDockCaption (TWinControl)
pt | UpdateMouseCursor (TControl)
 | UpdateRegistry (TComponent)
 | UpdateRolesForForm (TControl)
pt | UpdateShowing (TWinControl)
 | Updating (TComponent)
 | UseRightToLeftAlignment (TControl)
 | UseRightToLeftReading (TControl)
 | UseRightToLeftScrollBar (TControl)
pt | UTF8KeyPress (TWinControl)
 | ValidateContainer (TComponent)
 | ValidateInsert (TComponent)
 | ValidateRename (TComponent)
pt | VisibleChanged (TControl)
pt | VisibleChanging (TControl)
pt | WidthIsAnchored (TControl)
pt | WMCancelMode (TControl)
pt | WMChar (TWinControl)
pt | WMContextMenu (TControl)
pt | WMContextMenu (TWinControl)
pt | WMDestroy (TWinControl)
pt | WMEnter (TWinControl)
pt | WMEraseBkgnd (TWinControl)
pt | WMExit (TWinControl)
pt | WMKeyDown (TWinControl)
pt | WMKeyUp (TWinControl)
pt | WMKillFocus (TWinControl)
pt | WMLButtonDBLCLK (TControl)
pt | WMLButtonDown (TControl)
pt | WMLButtonQuadCLK (TControl)
pt | WMLButtonTripleCLK (TControl)
pt | WMLButtonUp (TControl)
pt | WMMButtonDBLCLK (TControl)
pt | WMMButtonDown (TControl)
pt | WMMButtonQuadCLK (TControl)
pt | WMMButtonTripleCLK (TControl)
pt | WMMButtonUp (TControl)
pt | WMMouseHWheel (TControl)
pt | WMMouseMove (TControl)
pt | WMMouseWheel (TControl)
pt | WMMove (TControl)
pt | WMMove (TWinControl)
pt | WMNotify (TWinControl)
pt | WMPaint (TWinControl)
pt | WMRButtonDBLCLK (TControl)
pt | WMRButtonDown (TControl)
pt | WMRButtonQuadCLK (TControl)
pt | WMRButtonTripleCLK (TControl)
pt | WMRButtonUp (TControl)
pt | WMSetFocus (TWinControl)
pt | WMShowWindow (TWinControl)
pt | WMSize (TControl)
pt | WMSize (TWinControl)
pt | WMSysChar (TWinControl)
pt | WMSysKeyDown (TWinControl)
pt | WMSysKeyUp (TWinControl)
pt | WMWindowPosChanged (TControl)
pt | WMWindowPosChanged (TWinControl)
pt | WMXButtonDBLCLK (TControl)
pt | WMXButtonDown (TControl)
pt | WMXButtonQuadCLK (TControl)
pt | WMXButtonTripleCLK (TControl)
pt | WMXButtonUp (TControl)
pt | WndProc (TControl)
pt | WndProc (TWinControl)
 | WriteLayoutDebugReport (TControl)
 | WriteLayoutDebugReport (TWinControl)
 | WriteLeft (TComponent)
 | WriteState (TComponent)
 | WriteTop (TComponent)
pt | WSRegisterClass (TLCLComponent)
pt | WSRegisterClass (TControl)
pt | WSRegisterClass (TWinControl)
pt | WSRegisterClass (TButtonControl)
pt | WSRegisterClass (TCustomCheckBox)
pt | WSSetText (TWinControl)
pt | WSSetText (TCustomCheckBox)
 | _AddRef (TComponent)
 | _Release (TComponent)


TCustomCheckBox
 | ro | OnChange
TButtonControl
pt |  | OnChange
TWinControl
pt |  | OnGetSiteInfo
pt |  | OnGetDockCaption
 |  | OnAlignInsertBefore
 |  | OnAlignPosition
 |  | OnDockDrop
 |  | OnDockOver
 |  | OnEnter
 |  | OnExit
 |  | OnKeyDown
 |  | OnKeyPress
 |  | OnKeyUp
 |  | OnUnDock
 |  | OnUTF8KeyPress
TControl
pt |  | OnConstrainedResize
pt |  | OnContextPopup
pt |  | OnDblClick
pt |  | OnTripleClick
pt |  | OnQuadClick
pt |  | OnDragDrop
pt |  | OnDragOver
pt |  | OnEndDock
pt |  | OnEndDrag
pt |  | OnMouseDown
pt |  | OnMouseMove
pt |  | OnMouseUp
pt |  | OnMouseEnter
pt |  | OnMouseLeave
pt |  | OnMouseWheel
pt |  | OnMouseWheelDown
pt |  | OnMouseWheelUp
pt |  | OnMouseWheelHorz
pt |  | OnMouseWheelLeft
pt |  | OnMouseWheelRight
pt |  | OnStartDock
pt |  | OnStartDrag
pt |  | OnEditingDone
 |  | OnChangeBounds
 |  | OnClick
 |  | OnResize
 |  | OnShowHint
TLCLComponent
TComponent
TPersistent
TObject


pt |  | OnChange (TButtonControl)
 | ro | OnChange (TCustomCheckBox)
 |  | OnChangeBounds (TControl)
 |  | OnClick (TControl)
pt |  | OnConstrainedResize (TControl)
pt |  | OnContextPopup (TControl)
pt |  | OnDblClick (TControl)
 |  | OnDockDrop (TWinControl)
 |  | OnDockOver (TWinControl)
pt |  | OnDragDrop (TControl)
pt |  | OnDragOver (TControl)
pt |  | OnEditingDone (TControl)
pt |  | OnEndDock (TControl)
pt |  | OnEndDrag (TControl)
 |  | OnEnter (TWinControl)
 |  | OnExit (TWinControl)
pt |  | OnGetDockCaption (TWinControl)
pt |  | OnGetSiteInfo (TWinControl)
 |  | OnKeyDown (TWinControl)
 |  | OnKeyPress (TWinControl)
 |  | OnKeyUp (TWinControl)
pt |  | OnMouseDown (TControl)
pt |  | OnMouseEnter (TControl)
pt |  | OnMouseLeave (TControl)
pt |  | OnMouseMove (TControl)
pt |  | OnMouseUp (TControl)
pt |  | OnMouseWheel (TControl)
pt |  | OnMouseWheelDown (TControl)
pt |  | OnMouseWheelHorz (TControl)
pt |  | OnMouseWheelLeft (TControl)
pt |  | OnMouseWheelRight (TControl)
pt |  | OnMouseWheelUp (TControl)
pt |  | OnQuadClick (TControl)
 |  | OnResize (TControl)
 |  | OnShowHint (TControl)
pt |  | OnStartDock (TControl)
pt |  | OnStartDrag (TControl)
pt |  | OnTripleClick (TControl)
 |  | OnUnDock (TWinControl)
 |  | OnUTF8KeyPress (TWinControl)


TCustomCheckBox.Alignment

Declaration

Source position: stdctrls.pp line 1325

public property TCustomCheckBox.Alignment : TLeftRight
  read GetAlignment
  write SetAlignment
  default taRightJustify;


TCustomCheckBox.AllowGrayed

Allows the check box to be in a "grayed" state.

Declaration

Source position: stdctrls.pp line 1326

public property TCustomCheckBox.AllowGrayed : Boolean
  read FAllowGrayed
  write FAllowGrayed
  default False;

Description

If AllowGrayed is set to True, the check box has three possible states: checked, unchecked and grayed. If AllowGrayed is set to False, the check box has only two possible states: checked and unchecked.

Example

{ This example uses a check box on a form. When the application runs,
  the check box is initially checked. When the user clicks it,
  the check box is unchecked. Clicking it again grays the check box. }
procedure TForm1.FormCreate(Sender: TObject);
begin
  Checkbox1.AllowGrayed := True;
  Checkbox1.State := cbChecked;
end;


TCustomCheckBox.ApplyChanges

Asks the widget to update the visual appearance of the object.

Declaration

Source position: stdctrls.pp line 1316

protected procedure TCustomCheckBox.ApplyChanges; virtual;


TCustomCheckBox.Create

Declaration

Source position: stdctrls.pp line 1323

public constructor TCustomCheckBox.Create(

  TheOwner: TComponent

); override;


TCustomCheckBox.CreateParams

Declaration

Source position: stdctrls.pp line 1321

protected procedure TCustomCheckBox.CreateParams(

  var Params: TCreateParams

); override;


TCustomCheckBox.DoClickOnChange

Invokes either the OnClick or OnChange handler.

Declaration

Source position: stdctrls.pp line 1308

protected procedure TCustomCheckBox.DoClickOnChange; virtual;


TCustomCheckBox.GetControlClassDefaultSize

Declaration

Source position: stdctrls.pp line 1317

protected class function TCustomCheckBox.GetControlClassDefaultSize: TSize; override;


TCustomCheckBox.InitializeWnd

Declaration

Source position: stdctrls.pp line 1310

protected procedure TCustomCheckBox.InitializeWnd; override;


TCustomCheckBox.Loaded

Declaration

Source position: stdctrls.pp line 1318

protected procedure TCustomCheckBox.Loaded; override;


TCustomCheckBox.RetrieveState

Retrieves the checkbox state from the widget.

Declaration

Source position: stdctrls.pp line 1309

protected function TCustomCheckBox.RetrieveState: TCheckBoxState;


TCustomCheckBox.ShortCut

Declaration

Source position: stdctrls.pp line 1328

public property TCustomCheckBox.ShortCut : TShortcut
  read FShortCut;


TCustomCheckBox.ShortCutKey2

Declaration

Source position: stdctrls.pp line 1329

public property TCustomCheckBox.ShortCutKey2 : TShortcut
  read FShortCutKey2;


TCustomCheckBox.State

Indicates whether the check box is checked (selected), unchecked (deselected) or grayed (disabled).

Declaration

Source position: stdctrls.pp line 1327

public property TCustomCheckBox.State : TCheckBoxState
  read GetState
  write SetState
  default cbUnchecked;

Description

See TCheckBoxState for possible values of State.

Example

{ This example uses a check box on a form. When the application runs,
  the check box is initially checked. When the user clicks it,
  the check box is unchecked. Clicking it again grays the check box. }
procedure TForm1.FormCreate(Sender: TObject);
begin
  Checkbox1.AllowGrayed := True;
  Checkbox1.State := cbChecked;
end;


TCustomCheckBox.Toggle

Alternate between checked and unchecked state.

Declaration

Source position: stdctrls.pp line 1311

protected procedure TCustomCheckBox.Toggle; virtual;


TCustomComboBox

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

The base class for ComboBox components.

Declaration

Source position: stdctrls.pp line 269

type TCustomComboBox = class(TWinControl)
protected
class procedure WSRegisterClass; override; | Registers this component class with the current WidgetSet.
procedure CreateParams(); override;
procedure InitializeWnd; override;
procedure DestroyWnd; override;
procedure DoEnter; override; | Selects the entire text when AutoSelect is True.
procedure DoExit; override; | Clears AutoSelect, then calls inherited DoExit
procedure DrawItem(); virtual; | Draws an item, using the OnDrawItem handler if one is installed.
procedure KeyUpAfterInterface(); override;
procedure MeasureItem(); virtual; | Invokes the OnMeasureItem handler, to get the height of the item in the drop-down list.
class function GetControlClassDefaultSize; override;
procedure LMChanged(); message; | Notification of a change in the edit box.
procedure CMWantSpecialKey(); message;
procedure Change; virtual; | Invokes the OnChange handler, signaling an change in the edit box.
procedure Select; virtual; | Invokes the OnSelect handler.
procedure DropDown; virtual; | Invokes the OnDropDown handler.
procedure GetItems; virtual; | Invokes the OnGetItems handler.
procedure SetItems(); virtual;
procedure CloseUp; virtual; | Called whenever the list hides.
procedure AdjustDropDown; virtual; | Adjusts the extent of the DropDown list.
procedure DoAutoAdjustLayout(); override;
function GetItemCount; | Returns the number of list items.
function GetItemHeight; virtual;
function GetSelLength; virtual;
function GetSelStart; virtual;
function GetSelText; virtual;
function GetItemIndex; virtual;
function GetMaxLength; virtual;
procedure SetDropDownCount(); virtual;
procedure SetDroppedDown(); virtual;
procedure SetItemHeight(); virtual;
procedure SetItemIndex(); virtual;
procedure SetMaxLength(); virtual;
procedure SetSelLength(); virtual;
procedure SetSelStart(); virtual;
procedure SetSelText(); virtual;
procedure SetSorted(); virtual;
procedure SetStyle(); virtual;
procedure RealSetText(); override; | Adjusts ItemIndex according to the new edit box content.
procedure KeyDown(); override; | Filters TAB and RETURN key when used to traverse the list.
procedure KeyUp(); override; | Invokes the OnKeyUp handler.
procedure UTF8KeyPress(); override; | UTF8KeyPress converts character case if required then calls inherited method
procedure MouseUp(); override; | AutoSelect when left mouse is clicked for the 1st time after having focus.
function SelectItem(); | Selects the item with the given text.
procedure ShouldAutoAdjust(); override;
property ItemHeight: Integer; [rw] | The default height of a list item.
property ItemWidth: Integer; [rw] | The minimum width of the items in the drop-down list.
property MaxLength: Integer; [rw] | The maximum length of user input.
property OnChange: TNotifyEvent; [rw] | Event handler for user changed text in the edit box.
property OnCloseUp: TNotifyEvent; [rw] | Handler invoked when the drop-down list closes.
property OnDrawItem: TDrawItemEvent; [rw] | Handler for special painting of an item (in owner-draw mode).
property OnDropDown: TNotifyEvent; [rw] | Handler invoked when the list has dropped down.
property OnGetItems: TNotifyEvent; [rw] | Handler invoked when widgetset items list can be populated
property OnMeasureItem: TMeasureItemEvent; [rw] | Handler invoked when the height of an item is required.
property OnSelect: TNotifyEvent; [rw] | Handler invoked when an item is selected.
property ParentColor: Boolean; | If true, the Color of the control will be the same as the one from the Parent. Default is true.
property Sorted: Boolean; [rw] | Determines whether the list entries are sorted.
public
constructor Create(); override;
destructor Destroy; override;
procedure IntfGetItems; | Called whenever the items can be just-in-time populated.
procedure AddItem(); virtual; | Adds an item to the Items list.
procedure AddHistoryItem(); | Add an item as the first entry in History List.
procedure Clear; virtual; | Removes all items from the list, clears the edit box.
procedure ClearSelection; | Unselect a possibly selected item (ItemIndex becomes -1).
property CharCase: TEditCharCase; [rw] | Indicates how text is converted during input (upper, lower, or as entered).
property DroppedDown: Boolean; [rw] | Indicates whether the drop-down list has appeared.
property DroppingDown: Boolean; [rw] deprecated ;
procedure SelectAll; | Select the entire text in the edit box.
property AutoComplete: Boolean; [rw] | Allows to select items from partial input, of the begin of the item text.
property AutoCompleteText: TComboBoxAutoCompleteText; [rw] | Options for the behavior of the Auto-Complete feature.
property AutoDropDown: Boolean; [rw] | Makes the drop-down list appear as soon as the user starts entering text.
property AutoSelect: Boolean; [rw] | Selects the entire content of the edit box when the control receives the focus.
property AutoSelected: Boolean; [rw] | True indicates that the selection was marked automatically by the control.
property AutoSize: Boolean; | TCustomComboBox default is True
property ArrowKeysTraverseList: Boolean; [rw] | Allows the operator to use also the keyboard Arrow keys to move through the list.
property Canvas: TCanvas; [r]
property DropDownCount: Integer; [rw] | The height of the drop-down list, measured in number of items.
property Items: TStrings; [rw] | The list of all items in the control.
property ItemIndex: Integer; [rw] | The index of the currently selected item, -1 if none is selected.
property ReadOnly: Boolean; [rws] | Disallows entry of free text.
property SelLength: Integer; [rw] | The number of selected UTF-8 characters in the edit box.
property SelStart: Integer; [rw] | The zero-based UTF-8 index of the begin of the selection in the edit box.
property SelText: string; [rw] | The selected text in the edit box.
property Style: TComboBoxStyle; [rw] | Appearance and behaviour of the ComboBox (static/drop-down, owner-draw...).
property TabStop: Boolean; | Allows the user to navigate to this control, by pressing the Tab key.
property Text: TCaption; | The string appearing in the edit box.
end;

Inheritance

TCustomComboBox | The base class for ComboBox components.
|
TWinControl | The base class for controls which can contain other (child) controls.
|
TControl | The base class for visible controls.
|
TLCLComponent | The base class for LCL components associated with widgets.
|
TComponent,IUnknown,IInterfaceComponentReference
|
TPersistent,IFPObserved
|
TObject

Description

A ComboBox combines an edit box with an item list. The list can be either static (always visible), or drops down when needed.

Depending on the ComboBox Style the user can type text into the edit box, or he can select items from the Items list.

Despite similarities in appearance to TCustomEdit and TCustomList, the class inherits no properties from these classes (Delphi compatible).

It has some interesting properties including AutoComplete and AutoCompleteText, AutoDropDown and the ability to create and add a History display.


TCustomComboBox
pt |  | ItemHeight
pt |  | ItemWidth
pt |  | MaxLength
pt | ro | ParentColor
pt |  | Sorted
 |  | CharCase
 |  | DroppedDown
 |  | DroppingDown
 |  | AutoComplete
 |  | AutoCompleteText
 |  | AutoDropDown
 |  | AutoSelect
 |  | AutoSelected
 | ro | AutoSize
 |  | ArrowKeysTraverseList
 | ro | Canvas
 |  | DropDownCount
 |  | Items
 |  | ItemIndex
 |  | ReadOnly
 |  | SelLength
 |  | SelStart
 |  | SelText
 |  | Style
 | ro | TabStop
 | ro | Text
TWinControl
pt |  | WindowHandle
pt |  | BorderStyle
pt |  | ParentBackground
 |  | BorderWidth
 | ro | BoundsLockCount
 | ro | Brush
 | ro | CachedClientHeight
 | ro | CachedClientWidth
 |  | ChildSizing
 | ro | ControlCount
 | ro | Controls
 |  | DefWndProc
 | ro | DockClientCount
 | ro | DockClients
 |  | DockManager
 |  | DockSite
 |  | DoubleBuffered
 |  | Handle
 | ro | IsFlipped
 | ro | IsResizing
 |  | TabOrder
 |  | TabStop
 |  | ParentDoubleBuffered
 |  | ParentWindow
 | ro | Showing
 |  | UseDockManager
 |  | DesignerDeleting
 | ro | VisibleDockClientCount
TControl
pt | ro | AutoSizing
pt | ro | AutoSizingAll
pt | ro | AutoSizingLockCount
pt |  | ActionLink
pt |  | DesktopFont
pt |  | DragCursor
pt |  | DragKind
pt |  | DragMode
pt |  | MouseCapture
pt |  | ParentColor
pt |  | ParentFont
pt |  | ParentShowHint
pt |  | SessionProperties
pt |  | Text
 | ro | AnchoredControls
 | ro | BaseBounds
 | ro | ReadBounds
 | ro | BaseParentClientSize
 |  | AccessibleDescription
 |  | AccessibleValue
 |  | AccessibleRole
 |  | Action
 |  | Align
 |  | Anchors
 | ro | AnchorSide
 |  | AutoSize
 |  | BorderSpacing
 |  | BoundsRect
 |  | BoundsRectForNewParent
 |  | Caption
 |  | CaptureMouseButtons
 |  | ClientHeight
 | ro | ClientOrigin
 | ro | ClientRect
 |  | ClientWidth
 |  | Color
 |  | Constraints
 | ro | ControlOrigin
 |  | ControlState
 |  | ControlStyle
 |  | Enabled
 |  | Font
 |  | IsControl
 | ro | MouseEntered
 | ro | MouseInClient
 |  | Parent
 |  | PopupMenu
 |  | ShowHint
 |  | Visible
 |  | WindowProc
 |  | DockOrientation
 | ro | Floating
 |  | FloatingDockSiteClass
 |  | HostDockSite
 |  | LRDockWidth
 |  | TBDockHeight
 |  | UndockHeight
 |  | UndockWidth
 |  | BiDiMode
 |  | ParentBiDiMode
pl |  | AnchorSideLeft
pl |  | AnchorSideTop
pl |  | AnchorSideRight
pl |  | AnchorSideBottom
pl |  | Cursor
pl |  | Left
pl |  | Height
pl |  | Hint
pl |  | Top
pl |  | Width
pl |  | HelpType
pl |  | HelpKeyword
pl |  | HelpContext
TLCLComponent
 | ro | LCLRefCount
 | ro | WidgetSetClass
TComponent
 | ro | ComObject
 | ro | Components
 | ro | ComponentCount
 |  | ComponentIndex
 | ro | ComponentState
 | ro | ComponentStyle
 |  | DesignInfo
 | ro | Owner
 |  | VCLComObject
 |  | Name
 |  | Tag
TPersistent
TObject


 |  | AccessibleDescription (TControl)
 |  | AccessibleRole (TControl)
 |  | AccessibleValue (TControl)
 |  | Action (TControl)
pt |  | ActionLink (TControl)
 |  | Align (TControl)
 | ro | AnchoredControls (TControl)
 |  | Anchors (TControl)
 | ro | AnchorSide (TControl)
pl |  | AnchorSideBottom (TControl)
pl |  | AnchorSideLeft (TControl)
pl |  | AnchorSideRight (TControl)
pl |  | AnchorSideTop (TControl)
 |  | ArrowKeysTraverseList (TCustomComboBox)
 |  | AutoComplete (TCustomComboBox)
 |  | AutoCompleteText (TCustomComboBox)
 |  | AutoDropDown (TCustomComboBox)
 |  | AutoSelect (TCustomComboBox)
 |  | AutoSelected (TCustomComboBox)
 |  | AutoSize (TControl)
 | ro | AutoSize (TCustomComboBox)
pt | ro | AutoSizing (TControl)
pt | ro | AutoSizingAll (TControl)
pt | ro | AutoSizingLockCount (TControl)
 | ro | BaseBounds (TControl)
 | ro | BaseParentClientSize (TControl)
 |  | BiDiMode (TControl)
 |  | BorderSpacing (TControl)
pt |  | BorderStyle (TWinControl)
 |  | BorderWidth (TWinControl)
 | ro | BoundsLockCount (TWinControl)
 |  | BoundsRect (TControl)
 |  | BoundsRectForNewParent (TControl)
 | ro | Brush (TWinControl)
 | ro | CachedClientHeight (TWinControl)
 | ro | CachedClientWidth (TWinControl)
 | ro | Canvas (TCustomComboBox)
 |  | Caption (TControl)
 |  | CaptureMouseButtons (TControl)
 |  | CharCase (TCustomComboBox)
 |  | ChildSizing (TWinControl)
 |  | ClientHeight (TControl)
 | ro | ClientOrigin (TControl)
 | ro | ClientRect (TControl)
 |  | ClientWidth (TControl)
 |  | Color (TControl)
 | ro | ComObject (TComponent)
 | ro | ComponentCount (TComponent)
 |  | ComponentIndex (TComponent)
 | ro | Components (TComponent)
 | ro | ComponentState (TComponent)
 | ro | ComponentStyle (TComponent)
 |  | Constraints (TControl)
 | ro | ControlCount (TWinControl)
 | ro | ControlOrigin (TControl)
 | ro | Controls (TWinControl)
 |  | ControlState (TControl)
 |  | ControlStyle (TControl)
pl |  | Cursor (TControl)
 |  | DefWndProc (TWinControl)
 |  | DesignerDeleting (TWinControl)
 |  | DesignInfo (TComponent)
pt |  | DesktopFont (TControl)
 | ro | DockClientCount (TWinControl)
 | ro | DockClients (TWinControl)
 |  | DockManager (TWinControl)
 |  | DockOrientation (TControl)
 |  | DockSite (TWinControl)
 |  | DoubleBuffered (TWinControl)
pt |  | DragCursor (TControl)
pt |  | DragKind (TControl)
pt |  | DragMode (TControl)
 |  | DropDownCount (TCustomComboBox)
 |  | DroppedDown (TCustomComboBox)
 |  | DroppingDown (TCustomComboBox)
 |  | Enabled (TControl)
 | ro | Floating (TControl)
 |  | FloatingDockSiteClass (TControl)
 |  | Font (TControl)
 |  | Handle (TWinControl)
pl |  | Height (TControl)
pl |  | HelpContext (TControl)
pl |  | HelpKeyword (TControl)
pl |  | HelpType (TControl)
pl |  | Hint (TControl)
 |  | HostDockSite (TControl)
 |  | IsControl (TControl)
 | ro | IsFlipped (TWinControl)
 | ro | IsResizing (TWinControl)
pt |  | ItemHeight (TCustomComboBox)
 |  | ItemIndex (TCustomComboBox)
 |  | Items (TCustomComboBox)
pt |  | ItemWidth (TCustomComboBox)
 | ro | LCLRefCount (TLCLComponent)
pl |  | Left (TControl)
 |  | LRDockWidth (TControl)
pt |  | MaxLength (TCustomComboBox)
pt |  | MouseCapture (TControl)
 | ro | MouseEntered (TControl)
 | ro | MouseInClient (TControl)
 |  | Name (TComponent)
 | ro | Owner (TComponent)
 |  | Parent (TControl)
pt |  | ParentBackground (TWinControl)
 |  | ParentBiDiMode (TControl)
pt |  | ParentColor (TControl)
pt | ro | ParentColor (TCustomComboBox)
 |  | ParentDoubleBuffered (TWinControl)
pt |  | ParentFont (TControl)
pt |  | ParentShowHint (TControl)
 |  | ParentWindow (TWinControl)
 |  | PopupMenu (TControl)
 | ro | ReadBounds (TControl)
 |  | ReadOnly (TCustomComboBox)
 |  | SelLength (TCustomComboBox)
 |  | SelStart (TCustomComboBox)
 |  | SelText (TCustomComboBox)
pt |  | SessionProperties (TControl)
 |  | ShowHint (TControl)
 | ro | Showing (TWinControl)
pt |  | Sorted (TCustomComboBox)
 |  | Style (TCustomComboBox)
 |  | TabOrder (TWinControl)
 |  | TabStop (TWinControl)
 | ro | TabStop (TCustomComboBox)
 |  | Tag (TComponent)
 |  | TBDockHeight (TControl)
pt |  | Text (TControl)
 | ro | Text (TCustomComboBox)
pl |  | Top (TControl)
 |  | UndockHeight (TControl)
 |  | UndockWidth (TControl)
 |  | UseDockManager (TWinControl)
 |  | VCLComObject (TComponent)
 |  | Visible (TControl)
 | ro | VisibleDockClientCount (TWinControl)
 | ro | WidgetSetClass (TLCLComponent)
pl |  | Width (TControl)
pt |  | WindowHandle (TWinControl)
 |  | WindowProc (TControl)


TCustomComboBox
pt | WSRegisterClass
pt | CreateParams
pt | InitializeWnd
pt | DestroyWnd
pt | DoEnter
pt | DoExit
pt | DrawItem
pt | KeyUpAfterInterface
pt | MeasureItem
pt | GetControlClassDefaultSize
pt | LMChanged
pt | CMWantSpecialKey
pt | Change
pt | Select
pt | DropDown
pt | GetItems
pt | SetItems
pt | CloseUp
pt | AdjustDropDown
pt | DoAutoAdjustLayout
pt | GetItemCount
pt | GetItemHeight
pt | GetSelLength
pt | GetSelStart
pt | GetSelText
pt | GetItemIndex
pt | GetMaxLength
pt | SetDropDownCount
pt | SetDroppedDown
pt | SetItemHeight
pt | SetItemIndex
pt | SetMaxLength
pt | SetSelLength
pt | SetSelStart
pt | SetSelText
pt | SetSorted
pt | SetStyle
pt | RealSetText
pt | KeyDown
pt | KeyUp
pt | UTF8KeyPress
pt | MouseUp
pt | SelectItem
pt | ShouldAutoAdjust
 | Create
 | Destroy
 | IntfGetItems
 | AddItem
 | AddHistoryItem
 | Clear
 | ClearSelection
 | SelectAll
TWinControl
pt | WSRegisterClass
pt | AdjustClientRect
pt | GetAdjustedLogicalClientRect
pt | AlignControls
pt | CustomAlignInsertBefore
pt | CustomAlignPosition
pt | DoAlignChildControls
pt | DoChildSizingChange
pt | InvalidatePreferredChildSizes
pt | CanTab
pt | IsClientHeightStored
pt | IsClientWidthStored
pt | DoSendShowHideToInterface
pt | ControlsAligned
pt | DoSendBoundsToInterface
pt | RealizeBounds
pt | RealizeBoundsRecursive
pt | InvalidateBoundsRealized
pt | CreateSubClass
pt | DoConstraintsChange
pt | DoSetBounds
pt | DoAutoSize
pt | DoAllAutoSize
pt | AllAutoSized
pt | CalculatePreferredSize
pt | GetPreferredSizeClientFrame
pt | GetChildren
pt | ChildClassAllowed
pt | PaintControls
pt | PaintHandler
pt | PaintWindow
pt | CreateBrush
pt | ScaleControls
pt | ChangeScale
pt | CMBiDiModeChanged
pt | CMBorderChanged
pt | CMDoubleBufferedChanged
pt | CMEnabledChanged
pt | CMParentDoubleBufferedChanged
pt | CMShowingChanged
pt | CMShowHintChanged
pt | CMVisibleChanged
pt | CMEnter
pt | CMExit
pt | WMContextMenu
pt | WMEraseBkgnd
pt | WMNotify
pt | WMSetFocus
pt | WMKillFocus
pt | WMShowWindow
pt | WMEnter
pt | WMExit
pt | WMKeyDown
pt | WMSysKeyDown
pt | WMKeyUp
pt | WMSysKeyUp
pt | WMChar
pt | WMSysChar
pt | WMPaint
pt | WMDestroy
pt | WMMove
pt | WMSize
pt | WMWindowPosChanged
pt | CNKeyDown
pt | CNSysKeyDown
pt | CNKeyUp
pt | CNSysKeyUp
pt | CNChar
pt | DoDragMsg
pt | DoDockClientMsg
pt | DoUndockClientMsg
pt | DoAddDockClient
pt | DockOver
pt | DoDockOver
pt | DoRemoveDockClient
pt | DoUnDock
pt | GetSiteInfo
pt | GetParentHandle
pt | GetTopParentHandle
pt | ReloadDockedControl
pt | CreateDockManager
pt | SetDockManager
pt | DoFloatMsg
pt | DoGetDockCaption
pt | DoEnter
pt | DoExit
pt | DoKeyDownBeforeInterface
pt | DoRemainingKeyDown
pt | DoRemainingKeyUp
pt | DoKeyPress
pt | DoUTF8KeyPress
pt | DoKeyUpBeforeInterface
pt | ChildKey
pt | SendDialogChar
pt | DialogChar
pt | ControlKeyDown
pt | ControlKeyUp
pt | KeyDown
pt | KeyDownBeforeInterface
pt | KeyDownAfterInterface
pt | KeyPress
pt | KeyUp
pt | KeyUpBeforeInterface
pt | KeyUpAfterInterface
pt | UTF8KeyPress
pt | FindNextControl
pt | SelectFirst
pt | RealGetText
pt | GetBorderStyle
pt | GetClientOrigin
pt | GetClientRect
pt | GetControlOrigin
pt | GetDeviceContext
pt | GetParentBackground
pt | IsControlMouseMsg
pt | CreateHandle
pt | CreateParams
pt | CreateWnd
pt | DestroyHandle
pt | DestroyWnd
pt | DoFlipChildren
pt | FinalizeWnd
pt | FixupTabList
pt | FontChanged
pt | InitializeWnd
pt | Loaded
pt | FormEndUpdated
pt | MainWndProc
pt | ParentFormHandleInitialized
pt | ChildHandlesCreated
pt | GetMouseCapture
pt | RealSetText
pt | RemoveFocus
pt | SendMoveSizeMessages
pt | SetBorderStyle
pt | SetColor
pt | SetChildZPosition
pt | SetParentBackground
pt | ShowControl
pt | UpdateControlState
pt | UpdateShowing
pt | WndProc
pt | WSSetText
 | AutoSizePhases
 | AutoSizeDelayed
 | AutoSizeDelayedReport
 | AutoSizeDelayedHandle
 | BeginUpdateBounds
 | EndUpdateBounds
 | LockRealizeBounds
 | UnlockRealizeBounds
 | ControlAtPos
 | ContainsControl
 | DoAdjustClientRectChange
 | InvalidateClientRectCache
 | ClientRectNeedsInterfaceUpdate
 | SetBounds
 | GetChildrenRect
 | DisableAlign
 | EnableAlign
 | ReAlign
 | ScrollBy_WS
 | ScrollBy
 | WriteLayoutDebugReport
 | AutoAdjustLayout
 | Create
 | CreateParented
 | CreateParentedControl
 | Destroy
 | DockDrop
 | CanFocus
 | CanSetFocus
 | GetControlIndex
 | SetControlIndex
 | Focused
 | PerformTab
 | FindChildControl
 | SelectNext
 | SetTempCursor
 | BroadCast
 | NotifyControls
 | DefaultHandler
 | GetTextLen
 | Invalidate
 | AddControl
 | InsertControl
 | RemoveControl
 | GetEnumeratorControls
 | GetEnumeratorControlsReverse
 | Repaint
 | Update
 | SetFocus
 | FlipChildren
 | ScaleBy
 | GetDockCaption
 | UpdateDockCaption
 | GetTabOrderList
 | HandleAllocated
 | ParentHandlesAllocated
 | HandleNeeded
 | BrushCreated
 | EraseBackground
 | IntfUTF8KeyPress
 | IntfGetDropFilesTarget
 | PaintTo
 | SetShape
TControl
pt | WSRegisterClass
pt | GetCursor
pt | SetCursor
pt | SetVisible
pt | DoOnParentHandleDestruction
pt | DoAutoSize
pt | DoAllAutoSize
pt | BeginAutoSizing
pt | EndAutoSizing
pt | AnchorSideChanged
pt | ForeignAnchorSideChanged
pt | SetAlign
pt | SetAnchors
pt | SetAutoSize
pt | BoundsChanged
pt | CreateControlBorderSpacing
pt | DoConstraintsChange
pt | DoBorderSpacingChange
pt | IsBorderSpacingInnerBorderStored
pt | IsCaptionStored
pt | SendMoveSizeMessages
pt | ConstrainedResize
pt | CalculatePreferredSize
pt | DoOnResize
pt | DoOnChangeBounds
pt | CheckOnChangeBounds
pt | Resize
pt | RequestAlign
pt | UpdateAnchorRules
pt | ChangeBounds
pt | DoSetBounds
pt | ScaleConstraints
pt | ChangeScale
pt | CanAutoSize
pt | SetBiDiMode
pt | SetParentBiDiMode
pt | IsAParentAligning
pt | GetClientOrigin
pt | GetClientRect
pt | GetLogicalClientRect
pt | GetScrolledClientRect
pt | GetClientScrollOffset
pt | GetControlOrigin
pt | IsClientHeightStored
pt | IsClientWidthStored
pt | WidthIsAnchored
pt | HeightIsAnchored
pt | WMCancelMode
pt | WMContextMenu
pt | WMLButtonDown
pt | WMRButtonDown
pt | WMMButtonDown
pt | WMXButtonDown
pt | WMLButtonDBLCLK
pt | WMRButtonDBLCLK
pt | WMMButtonDBLCLK
pt | WMXButtonDBLCLK
pt | WMLButtonTripleCLK
pt | WMRButtonTripleCLK
pt | WMMButtonTripleCLK
pt | WMXButtonTripleCLK
pt | WMLButtonQuadCLK
pt | WMRButtonQuadCLK
pt | WMMButtonQuadCLK
pt | WMXButtonQuadCLK
pt | WMMouseMove
pt | WMLButtonUp
pt | WMRButtonUp
pt | WMMButtonUp
pt | WMXButtonUp
pt | WMMouseWheel
pt | WMMouseHWheel
pt | WMMove
pt | WMSize
pt | WMWindowPosChanged
pt | CMChanged
pt | LMCaptureChanged
pt | CMBiDiModeChanged
pt | CMSysFontChanged
pt | CMEnabledChanged
pt | CMHitTest
pt | CMMouseEnter
pt | CMMouseLeave
pt | CMHintShow
pt | CMParentBiDiModeChanged
pt | CMParentColorChanged
pt | CMParentFontChanged
pt | CMParentShowHintChanged
pt | CMVisibleChanged
pt | CMTextChanged
pt | CMCursorChanged
pt | CalculateDockSizes
pt | CreateFloatingDockSite
pt | GetDockEdge
pt | GetDragImages
pt | GetFloating
pt | GetFloatingDockSiteClass
pt | BeforeDragStart
pt | BeginAutoDrag
pt | DoFloatMsg
pt | DockTrackNoTarget
pt | DoDock
pt | DoDragMsg
pt | DoEndDock
pt | DoEndDrag
pt | DoStartDock
pt | DoStartDrag
pt | DragCanceled
pt | DragOver
pt | PositionDockRect
pt | SetDragMode
pt | GetDefaultDockCaption
pt | Click
pt | DblClick
pt | TripleClick
pt | QuadClick
pt | GetMousePosFromMessage
pt | MouseDown
pt | MouseMove
pt | MouseUp
pt | MouseEnter
pt | MouseLeave
pt | DialogChar
pt | UpdateMouseCursor
pt | Changed
pt | GetPalette
pt | ChildClassAllowed
pt | ReadState
pt | Loaded
pt | LoadedAll
pt | DefineProperties
pt | AssignTo
pt | FormEndUpdated
pt | InvalidateControl
pt | FontChanged
pt | ParentFontChanged
pt | GetAction
pt | RealGetText
pt | RealSetText
pt | TextChanged
pt | GetCachedText
pt | SetAction
pt | SetColor
pt | SetEnabled
pt | SetHint
pt | SetName
pt | SetParent
pt | SetParentComponent
pt | WndProc
pt | ParentFormHandleInitialized
pt | GetMouseCapture
pt | CaptureChanged
pt | Notification
pt | CanTab
pt | GetDeviceContext
pt | GetEnabled
pt | GetPopupMenu
pt | DoOnShowHint
pt | DoMouseWheel
pt | DoMouseWheelDown
pt | DoMouseWheelUp
pt | DoMouseWheelHorz
pt | DoMouseWheelLeft
pt | DoMouseWheelRight
pt | VisibleChanging
pt | VisibleChanged
pt | EnabledChanging
pt | EnabledChanged
pt | AddHandler
pt | RemoveHandler
pt | DoCallNotifyHandler
pt | DoCallKeyEventHandler
pt | DoCallMouseWheelEventHandler
pt | DoContextPopup
pt | SetZOrder
pt | GetControlClassDefaultSize
pt | ColorIsStored
pt | DoAutoAdjustLayout
pt | DoFixDesignFontPPI
pt | DoScaleFontPPI
pt | GetActionLinkClass
pt | ActionChange
 | DragDrop
 | Dock
 | ManualDock
 | ManualFloat
 | ReplaceDockedControl
 | Docked
 | Dragging
 | GetAccessibleObject
 | CreateAccessibleObject
 | GetSelectedChildAccessibleObject
 | GetChildAccessibleObjectAtPos
 | ScaleDesignToForm
 | ScaleFormToDesign
 | Scale96ToForm
 | ScaleFormTo96
 | Scale96ToFont
 | ScaleFontTo96
 | ScaleScreenToFont
 | ScaleFontToScreen
 | Scale96ToScreen
 | ScaleScreenTo96
 | AdjustSize
 | AutoSizePhases
 | AutoSizeDelayed
 | AutoSizeDelayedReport
 | AutoSizeDelayedHandle
 | AnchorToNeighbour
 | AnchorParallel
 | AnchorHorizontalCenterTo
 | AnchorVerticalCenterTo
 | AnchorToCompanion
 | AnchorSame
 | AnchorAsAlign
 | AnchorClient
 | AnchoredControlCount
 | SetBounds
 | SetInitialBounds
 | SetBoundsKeepBase
 | GetPreferredSize
 | GetCanvasScaleFactor
 | GetDefaultWidth
 | GetDefaultHeight
 | GetDefaultColor
 | GetColorResolvingParent
 | GetRGBColorResolvingParent
 | GetSidePosition
 | CNPreferredSizeChanged
 | InvalidatePreferredSize
 | GetAnchorsDependingOnParent
 | DisableAutoSizing
 | EnableAutoSizing
 | UpdateBaseBounds
 | WriteLayoutDebugReport
 | AutoAdjustLayout
 | ShouldAutoAdjust
 | FixDesignFontsPPI
 | ScaleFontsPPI
 | Create
 | Destroy
 | BeforeDestruction
 | EditingDone
 | ExecuteDefaultAction
 | ExecuteCancelAction
 | BeginDrag
 | EndDrag
 | BringToFront
 | HasParent
 | GetParentComponent
 | IsParentOf
 | GetTopParent
 | IsVisible
 | IsControlVisible
 | IsEnabled
 | IsParentColor
 | IsParentFont
 | FormIsUpdating
 | IsProcessingPaintMsg
 | Hide
 | Refresh
 | Repaint
 | Invalidate
 | CheckChildClassAllowed
 | CheckNewParent
 | SendToBack
 | SetTempCursor
 | UpdateRolesForForm
 | ActiveDefaultControlChanged
 | GetTextBuf
 | GetTextLen
 | SetTextBuf
 | Perform
 | ScreenToClient
 | ClientToScreen
 | ScreenToControl
 | ControlToScreen
 | ClientToParent
 | ParentToClient
 | GetChildrenRect
 | Show
 | Update
 | HandleObjectShouldBeVisible
 | ParentDestroyingHandle
 | ParentHandlesAllocated
 | InitiateAction
 | ShowHelp
 | HasHelp
 | RemoveAllHandlersOfObject
 | AddHandlerOnResize
 | RemoveHandlerOnResize
 | AddHandlerOnChangeBounds
 | RemoveHandlerOnChangeBounds
 | AddHandlerOnVisibleChanging
 | RemoveHandlerOnVisibleChanging
 | AddHandlerOnVisibleChanged
 | RemoveHandlerOnVisibleChanged
 | AddHandlerOnEnabledChanged
 | RemoveHandlerOnEnableChanging
 | AddHandlerOnKeyDown
 | RemoveHandlerOnKeyDown
 | AddHandlerOnBeforeDestruction
 | RemoveHandlerOnBeforeDestruction
 | AddHandlerOnMouseWheel
 | RemoveHandlerOnMouseWheel
 | UseRightToLeftAlignment
 | UseRightToLeftReading
 | UseRightToLeftScrollBar
 | IsRightToLeft
TLCLComponent
pt | WSRegisterClass
pt | GetWSComponentClass
 | Create
 | Destroy
 | NewInstance
 | RemoveAllHandlersOfObject
 | IncLCLRefCount
 | DecLCLRefCount
TComponent
 | GetComObject
 | GetComponent
 | GetComponentCount
 | GetComponentIndex
 | Insert
 | ReadLeft
 | ReadTop
 | Remove
 | RemoveNotification
 | SetComponentIndex
 | SetReference
 | WriteLeft
 | WriteTop
 | ChangeName
 | DefineProperties
 | GetChildren
 | GetChildOwner
 | GetChildParent
 | GetOwner
 | Loaded
 | Loading
 | Notification
 | PaletteCreated
 | ReadState
 | SetAncestor
 | SetDesigning
 | SetDesignInstance
 | SetInline
 | SetName
 | SetChildOrder
 | SetParentComponent
 | Updating
 | Updated
 | UpdateRegistry
 | ValidateRename
 | ValidateContainer
 | ValidateInsert
 | QueryInterface
 | _AddRef
 | _Release
 | iicrGetComponent
 | GetTypeInfoCount
 | GetTypeInfo
 | GetIDsOfNames
 | Invoke
 | WriteState
 | Create
 | Destroy
 | BeforeDestruction
 | DestroyComponents
 | Destroying
 | ExecuteAction
 | FindComponent
 | FreeNotification
 | RemoveFreeNotification
 | FreeOnRelease
 | GetEnumerator
 | GetNamePath
 | GetParentComponent
 | HasParent
 | InsertComponent
 | RemoveComponent
 | SafeCallException
 | SetSubComponent
 | UpdateAction
 | IsImplementorOf
 | ReferenceInterface
TPersistent
 | AssignError
 | AssignTo
 | DefineProperties
 | GetOwner
 | Destroy
 | Assign
 | FPOAttachObserver
 | FPODetachObserver
 | FPONotifyObservers
 | GetNamePath
TObject
 | Create
 | Destroy
 | newinstance
 | FreeInstance
 | SafeCallException
 | DefaultHandler
 | Free
 | InitInstance
 | CleanupInstance
 | ClassType
 | ClassInfo
 | ClassName
 | ClassNameIs
 | ClassParent
 | InstanceSize
 | InheritsFrom
 | StringMessageTable
 | MethodAddress
 | MethodName
 | FieldAddress
 | AfterConstruction
 | BeforeDestruction
 | DefaultHandlerStr
 | Dispatch
 | DispatchStr
 | GetInterface
 | GetInterfaceByStr
 | GetInterfaceWeak
 | GetInterfaceEntry
 | GetInterfaceEntryByStr
 | GetInterfaceTable
 | UnitName
 | Equals
 | GetHashCode
 | ToString


TCustomComboBox
pt | OnChange
pt | OnCloseUp
pt | OnDrawItem
pt | OnDropDown
pt | OnGetItems
pt | OnMeasureItem
pt | OnSelect
TWinControl
pt | OnGetSiteInfo
pt | OnGetDockCaption
 | OnAlignInsertBefore
 | OnAlignPosition
 | OnDockDrop
 | OnDockOver
 | OnEnter
 | OnExit
 | OnKeyDown
 | OnKeyPress
 | OnKeyUp
 | OnUnDock
 | OnUTF8KeyPress
TControl
pt | OnConstrainedResize
pt | OnContextPopup
pt | OnDblClick
pt | OnTripleClick
pt | OnQuadClick
pt | OnDragDrop
pt | OnDragOver
pt | OnEndDock
pt | OnEndDrag
pt | OnMouseDown
pt | OnMouseMove
pt | OnMouseUp
pt | OnMouseEnter
pt | OnMouseLeave
pt | OnMouseWheel
pt | OnMouseWheelDown
pt | OnMouseWheelUp
pt | OnMouseWheelHorz
pt | OnMouseWheelLeft
pt | OnMouseWheelRight
pt | OnStartDock
pt | OnStartDrag
pt | OnEditingDone
 | OnChangeBounds
 | OnClick
 | OnResize
 | OnShowHint
TLCLComponent
TComponent
TPersistent
TObject


TCustomComboBox.AddHistoryItem

Add an item as the first entry in History List.

Declaration

Source position: stdctrls.pp line 381

public procedure TCustomComboBox.AddHistoryItem(

  const Item: string;

  MaxHistoryCount: Integer;

  SetAsText: Boolean;

  CaseSensitive: Boolean

);

procedure TCustomComboBox.AddHistoryItem(

  const Item: string;

  AnObject: TObject;

  MaxHistoryCount: Integer;

  SetAsText: Boolean;

  CaseSensitive: Boolean

);

Arguments

Item | The string to be added to the list.
MaxHistoryCount | The maximum number of items that can be added to the history.
SetAsText | When True the string also is copied into the edit box.
CaseSensitive | True means that the list can contain multiple items with the same text, differing in case.

Arguments

Item | The string to be added to the list.
AnObject | The object associated with the item; can be Nil.
MaxHistoryCount | The maximum number of items that can be added to the history.
SetAsText | When True the string also is copied into the edit box.
CaseSensitive | True means that the list can contain multiple items with the same text, differing in case.

Description

When the item is already in the history list, it is moved to the begin of the list.

Otherwise the item is added as the first entry; when the list is full, the last item is removed.

See also

TCustomComboBox.AutoComplete

Allows to select items from partial input, of the begin of the item text.


TCustomComboBox.AddItem

Adds an item to the Items list.

Declaration

Source position: stdctrls.pp line 380

public procedure TCustomComboBox.AddItem(

  const Item: string;

  AnObject: TObject

); virtual;

Arguments

Item | The item text.
AnObject | The associated object, can be Nil.


TCustomComboBox.AdjustDropDown

Adjusts the extent of the DropDown list.

Declaration

Source position: stdctrls.pp line 334

protected procedure TCustomComboBox.AdjustDropDown; virtual;


TCustomComboBox.ArrowKeysTraverseList

Allows the operator to use also the keyboard Arrow keys to move through the list.

Declaration

Source position: stdctrls.pp line 401

public property TCustomComboBox.ArrowKeysTraverseList : Boolean
  read FArrowKeysTraverseList
  write SetArrowKeysTraverseList
  default True;


TCustomComboBox.AutoComplete

Allows to select items from partial input, of the begin of the item text.

Declaration

Source position: stdctrls.pp line 391

public property TCustomComboBox.AutoComplete : Boolean
  read GetAutoComplete
  write SetAutoComplete
  default False;

Description

The first matching item is selected. The user can continue entering characters, until the desired (or no) matching item is selected.

See also

TCustomComboBox.AutoCompleteText

Options for the behavior of the Auto-Complete feature.


TCustomComboBox.AutoCompleteText

Options for the behavior of the Auto-Complete feature.

Declaration

Source position: stdctrls.pp line 393

public property TCustomComboBox.AutoCompleteText : TComboBoxAutoCompleteText
  read FAutoCompleteText
  write FAutoCompleteText
  default DefaultComboBoxAutoCompleteText;

Description

  • Enabled: Enable Auto-Completion feature.
  • EndOfLineComplete: Perform Auto-Complete only when cursor is at the end of the string.
  • RetainPrefixCase: Retains the case of characters user has typed. (This option has no effect if cbactEndOfLineComplete is False)
  • SearchCaseSensitive: Search completion string with case sensitivity.
  • SearchAscending: Search completion string in accending order. (False will search in descending order)

This property exists as a Set of Options, so zero or more options may be operational

See also

TComboBoxAutoCompleteTextOption

Defines the behavior of the AutoComplete feature in a combobox control.


TCustomComboBox.AutoDropDown

Makes the drop-down list appear as soon as the user starts entering text.

Declaration

Source position: stdctrls.pp line 396

public property TCustomComboBox.AutoDropDown : Boolean
  read FAutoDropDown
  write FAutoDropDown
  default False;

Description

If False, the drop-down list only appears when the down button to the right of the edit box is clicked.


TCustomComboBox.AutoSelect

Selects the entire content of the edit box when the control receives the focus.

Declaration

Source position: stdctrls.pp line 398

public property TCustomComboBox.AutoSelect : Boolean
  read FAutoSelect
  write FAutoSelect
  default True;

Description

When True, the edit control will select all its text when:

  • It receives focus
  • The Enter key is pressed.
  • A new item is selected.

See also

TCustomComboBox.AutoSelected

True indicates that the selection was marked automatically by the control.


TCustomComboBox.AutoSelected

True indicates that the selection was marked automatically by the control.

Declaration

Source position: stdctrls.pp line 399

public property TCustomComboBox.AutoSelected : Boolean
  read FAutoSelected
  write FAutoSelected;

Description

True indicates that the combobox control has just performed an AutoSelect operation so that subsequent mouse-clicks and keystrokes proceed normally without selecting the text.

False is set when the combobox control loses focus.

See also

TCustomComboBox.AutoSelect

Selects the entire content of the edit box when the control receives the focus.


TCustomComboBox.AutoSize

TCustomComboBox default is True

Declaration

Source position: stdctrls.pp line 400

public property TCustomComboBox.AutoSize : Boolean
  default True;


TCustomComboBox.Canvas

Declaration

Source position: stdctrls.pp line 403

public property TCustomComboBox.Canvas : TCanvas
  read FCanvas;


TCustomComboBox.Change

Invokes the OnChange handler, signaling an change in the edit box.

Declaration

Source position: stdctrls.pp line 328

protected procedure TCustomComboBox.Change; virtual;


TCustomComboBox.CharCase

Indicates how text is converted during input (upper, lower, or as entered).

Declaration

Source position: stdctrls.pp line 387

public property TCustomComboBox.CharCase : TEditCharCase
  read FCharCase
  write SetCharCase
  default ecNormal;


TCustomComboBox.Clear

Removes all items from the list, clears the edit box.

Declaration

Source position: stdctrls.pp line 385

public procedure TCustomComboBox.Clear; virtual;


TCustomComboBox.ClearSelection

Unselect a possibly selected item (ItemIndex becomes -1).

Declaration

Source position: stdctrls.pp line 386

public procedure TCustomComboBox.ClearSelection;

Description

The text selection is not affected. Set SelLength to zero to remove a selection from the text box.

See also

TCustomComboBox.SelLength

The number of selected UTF-8 characters in the edit box.


TCustomComboBox.CloseUp

Called whenever the list hides.

Declaration

Source position: stdctrls.pp line 333

protected procedure TCustomComboBox.CloseUp; virtual;

Description

Handles selection in the edit box, also invokes the OnEditingDone and OnCloseUp handlers.


TCustomComboBox.CMWantSpecialKey

Declaration

Source position: stdctrls.pp line 327

protected procedure TCustomComboBox.CMWantSpecialKey(

  var Message: TCMWantSpecialKey

); message;


TCustomComboBox.Create

Declaration

Source position: stdctrls.pp line 377

public constructor TCustomComboBox.Create(

  TheOwner: TComponent

); override;


TCustomComboBox.CreateParams

Declaration

Source position: stdctrls.pp line 316

protected procedure TCustomComboBox.CreateParams(

  var Params: TCreateParams

); override;


TCustomComboBox.Destroy

Declaration

Source position: stdctrls.pp line 378

public destructor TCustomComboBox.Destroy; override;


TCustomComboBox.DestroyWnd

Declaration

Source position: stdctrls.pp line 318

protected procedure TCustomComboBox.DestroyWnd; override;


TCustomComboBox.DoAutoAdjustLayout

Declaration

Source position: stdctrls.pp line 335

protected procedure TCustomComboBox.DoAutoAdjustLayout(

  const AMode: TLayoutAdjustmentPolicy;

  const AXProportion: Double;

  const AYProportion: Double

); override;


TCustomComboBox.DoExit

Clears AutoSelect, then calls inherited DoExit

Declaration

Source position: stdctrls.pp line 320

protected procedure TCustomComboBox.DoExit; override;

See also

TWinControl.DoExit

Invoke the OnExit event handler.


TCustomComboBox.DrawItem

Draws an item, using the OnDrawItem handler if one is installed.

Declaration

Source position: stdctrls.pp line 321

protected procedure TCustomComboBox.DrawItem(

  Index: Integer;

  ARect: TRect;

  State: TOwnerDrawState

); virtual;

Arguments

Index | The item to draw.
ARect | The area to paint in the Canvas.
State | The state of the item (selected...).

Description

Software emulation of OnDrawItem event, in OwnerDraw mode.

Calls the OnDrawItem handler, if installed. Otherwise default painting is performed (InternalDrawItem).

See also

TCustomComboBox.OnDrawItem | Handler for special painting of an item (in owner-draw mode).
TDrawItemEvent | The handler type for painting a single item of owner-draw list and combo boxes.


TCustomComboBox.DropDownCount

The height of the drop-down list, measured in number of items.

Declaration

Source position: stdctrls.pp line 404

public property TCustomComboBox.DropDownCount : Integer
  read FDropDownCount
  write SetDropDownCount
  default 8;


TCustomComboBox.DroppedDown

Indicates whether the drop-down list has appeared.

Declaration

Source position: stdctrls.pp line 388

public property TCustomComboBox.DroppedDown : Boolean
  read GetDroppedDown
  write SetDroppedDown;

Description

Setting this property opens or closes the drop-down list.


TCustomComboBox.DroppingDown

[Overview][Constants][Types][Classes][Procedures and functions][Index] Reference for unit 'StdCtrls' (#lcl)

TCustomComboBox.DroppingDown (deprecated)

Declaration

Source position: stdctrls.pp line 389

public property TCustomComboBox.DroppingDown : Boolean
  read FDroppingDown
  write FDroppingDown;


TCustomComboBox.GetControlClassDefaultSize

Declaration

Source position: stdctrls.pp line 325

protected class function TCustomComboBox.GetControlClassDefaultSize: TSize; override;


TCustomComboBox.GetItemCount

Returns the number of list items.

Declaration

Source position: stdctrls.pp line 338

protected function TCustomComboBox.GetItemCount: Integer;

Function result

The Items.Count.


TCustomComboBox.InitializeWnd

Declaration

Source position: stdctrls.pp line 317

protected procedure TCustomComboBox.InitializeWnd; override;


TCustomComboBox.IntfGetItems

Called whenever the items can be just-in-time populated.

Declaration

Source position: stdctrls.pp line 379

public procedure TCustomComboBox.IntfGetItems;

Description

Gets list of items from the interface. Invokes GetItems, which calls the OnGetItems handler.


TCustomComboBox.ItemHeight

The default height of a list item.

Declaration

Source position: stdctrls.pp line 363

protected property TCustomComboBox.ItemHeight : Integer
  read GetItemHeight
  write SetItemHeight;

Description

In owner-draw mode the value can be adjusted by the application, otherwise it is determined by the widget.

See also

TCustomComboBox.OnMeasureItem

Handler invoked when the height of an item is required.


TCustomComboBox.ItemIndex

The index of the currently selected item, -1 if none is selected.

Declaration

Source position: stdctrls.pp line 406

public property TCustomComboBox.ItemIndex : Integer
  read GetItemIndex
  write SetItemIndex
  default - 1;

Description

Setting the ItemIndex selects the item in the list.

The first list item has index 0, up to ListCount-1.

If no item is selected, ItemIndex is -1.

See also

TCustomComboBox | The base class for ComboBox components.
TCustomComboBox.Items | The list of all items in the control.


TCustomComboBox.Items

The list of all items in the control.

Declaration

Source position: stdctrls.pp line 405

public property TCustomComboBox.Items : TStrings
  read FItems
  write SetItems;

Description

The Items strings are displayed in the static or drop-down list of the control.

Reading allows one to access the contents of the list (TStrings compatible).

Assign another string list to replace the items.

See also

TCustomComboBox.ItemIndex

The index of the currently selected item, -1 if none is selected.

#rtl.Classes.TStrings


TCustomComboBox.ItemWidth

The minimum width of the items in the drop-down list.

Declaration

Source position: stdctrls.pp line 364

protected property TCustomComboBox.ItemWidth : Integer
  read GetItemWidth
  write SetItemWidth
  default 0;


TCustomComboBox.KeyDown

Filters TAB and RETURN key when used to traverse the list.

Declaration

Source position: stdctrls.pp line 356

protected procedure TCustomComboBox.KeyDown(

  var Key: Word;

  Shift: TShiftState

); override;

Arguments

Key | The pressed key.
Shift | The state of the modifier keys and mouse buttons.

Description

The inherited method provides software emulation of the event handler OnKeyDown which acts if a key has been pressed and is still down

See also

TWinControl.KeyDown

Invokes the OnKeyDown handler.


TCustomComboBox.LMChanged

Notification of a change in the edit box.

Declaration

Source position: stdctrls.pp line 326

protected procedure TCustomComboBox.LMChanged(

  var Msg

); message;


TCustomComboBox.MaxLength

The maximum length of user input.

Declaration

Source position: stdctrls.pp line 365

protected property TCustomComboBox.MaxLength : Integer
  read GetMaxLength
  write SetMaxLength
  default 0;

Description

Set MaxLength to e.g. the fixed length of a string field, where the input is stored later.


TCustomComboBox.MeasureItem

Invokes the OnMeasureItem handler, to get the height of the item in the drop-down list.

Declaration

Source position: stdctrls.pp line 324

protected procedure TCustomComboBox.MeasureItem(

  Index: Integer;

  var TheHeight: Integer

); virtual;

Arguments

Index | The index of the item whose height is required.
TheHeight | The height of the item, in pixels, adjustable by the OnMeasureItem handler.

See also

TCustomComboBox.OnMeasureItem

Handler invoked when the height of an item is required.


TCustomComboBox.MouseUp

AutoSelect when left mouse is clicked for the 1st time after having focus.

Declaration

Source position: stdctrls.pp line 359

protected procedure TCustomComboBox.MouseUp(

  Button: TMouseButton;

  Shift: TShiftState;

  X: Integer;

  Y: Integer

); override;

See also

AutoSelect | Selects the entire content of the edit box when the control receives the focus.
TControl.MouseUp | Invokes the OnMouseUp handler.


TCustomComboBox.OnChange

Event handler for user changed text in the edit box.

Declaration

Source position: stdctrls.pp line 366

protected property TCustomComboBox.OnChange : TNotifyEvent
  read FOnChange
  write FOnChange;

Description

This event covers only changes made by the user, not by code. Note that this differs from how other OnChange events work, for example TEdit.OnChange is triggered by code text changes. This event is also triggered when the selection is changed by using the combo box list.

See also

TCustomEdit.OnChange

Event handler for any change in text.


TCustomComboBox.OnCloseUp

Handler invoked when the drop-down list closes.

Declaration

Source position: stdctrls.pp line 367

protected property TCustomComboBox.OnCloseUp : TNotifyEvent
  read FOnCloseUp
  write FOnCloseUp;


TCustomComboBox.OnDrawItem

Handler for special painting of an item (in owner-draw mode).

Declaration

Source position: stdctrls.pp line 368

protected property TCustomComboBox.OnDrawItem : TDrawItemEvent
  read FOnDrawItem
  write FOnDrawItem;

See also

TDrawItemEvent

The handler type for painting a single item of owner-draw list and combo boxes.


TCustomComboBox.OnDropDown

Handler invoked when the list has dropped down.

Declaration

Source position: stdctrls.pp line 369

protected property TCustomComboBox.OnDropDown : TNotifyEvent
  read FOnDropDown
  write FOnDropDown;


TCustomComboBox.OnGetItems

Handler invoked when widgetset items list can be populated

Declaration

Source position: stdctrls.pp line 370

protected property TCustomComboBox.OnGetItems : TNotifyEvent
  read FOnGetItems
  write FOnGetItems;

Description

Some widgetsets like gtk call this just before the list drops down, while others do it on handle creation. This event allows one to handle both cases with one event.

See also

TCustomComboBox.IntfGetItems

Called whenever the items can be just-in-time populated.


TCustomComboBox.OnMeasureItem

Handler invoked when the height of an item is required.

Declaration

Source position: stdctrls.pp line 371

protected property TCustomComboBox.OnMeasureItem : TMeasureItemEvent
  read FOnMeasureItem
  write FOnMeasureItem;

See also

TMeasureItemEvent

The handler type for the determination of the Height of a single item in owner-draw list and combo boxes.


TCustomComboBox.OnSelect

Handler invoked when an item is selected.

Declaration

Source position: stdctrls.pp line 373

protected property TCustomComboBox.OnSelect : TNotifyEvent
  read FOnSelect
  write FOnSelect;


TCustomComboBox.ReadOnly

Disallows entry of free text.

Declaration

Source position: stdctrls.pp line 407

public property TCustomComboBox.ReadOnly : Boolean
  read GetReadOnly
  write SetReadOnly
  stored False;

Description

When True, only items from the list are accepted, by direct selection from the list or AutoComplete.

See also

TCustomComboBox.AutoComplete

Allows to select items from partial input, of the begin of the item text.


TCustomComboBox.RealSetText

Adjusts ItemIndex according to the new edit box content.

Declaration

Source position: stdctrls.pp line 355

protected procedure TCustomComboBox.RealSetText(

  const AValue: TCaption

); override;

Arguments

AValue

The new content of the edit box.

Description

If the text AValue occurs in the list of strings, then sets the Itemindex, otherwise does the default action which is to store text as a string rather than performing read-write to a PChar buffer

See also

TControl.RealSetText

Sets the Caption property.


TCustomComboBox.Select

Invokes the OnSelect handler.

Declaration

Source position: stdctrls.pp line 329

protected procedure TCustomComboBox.Select; virtual;

Description

Called whenever the user changes the ItemIndex. For Delphi compatibility ignore when user unselects by changing Text.


TCustomComboBox.SelectAll

Select the entire text in the edit box.

Declaration

Source position: stdctrls.pp line 390

public procedure TCustomComboBox.SelectAll;


TCustomComboBox.SelectItem

Selects the item with the given text.

Declaration

Source position: stdctrls.pp line 360

protected function TCustomComboBox.SelectItem(

  const AnItem: string

):Boolean;

Arguments

AnItem

The text to find in Items.

Function result

True when a matching item was found and selected.

Description

When a matching item was found, invokes the OnClick and OnSelect handlers.

See also

OnClick

OnSelect

Handler invoked when an item is selected.


TCustomComboBox.SelLength

The number of selected UTF-8 characters in the edit box.

Declaration

Source position: stdctrls.pp line 408

public property TCustomComboBox.SelLength : Integer
  read GetSelLength
  write SetSelLength;

See also

TCustomComboBox.SelStart | The zero-based UTF-8 index of the begin of the selection in the edit box.
TCustomComboBox.SelText | The selected text in the edit box.


TCustomComboBox.SelStart

The zero-based UTF-8 index of the begin of the selection in the edit box.

Declaration

Source position: stdctrls.pp line 409

public property TCustomComboBox.SelStart : Integer
  read GetSelStart
  write SetSelStart;

Description

If text is selected, this is the starting position, otherwise the cursor position.

When no text is selected, SelStart is the cursor position, and SelLength=0.

Writing moves the cursor, and removes the selection. Set SelLength after changing SelStart, to establish a new selection.

SelStart is a zero-based UTF-8 index into Text, in contrast to usual 1-based string indices. A value 1 means the second UTF-8 character.

See also

TCustomComboBox.SelLength | The number of selected UTF-8 characters in the edit box.
TCustomComboBox.SelText | The selected text in the edit box.


TCustomComboBox.SelText

The selected text in the edit box.

Declaration

Source position: stdctrls.pp line 410

public property TCustomComboBox.SelText : string
  read GetSelText
  write SetSelText;

Description

This string is defined by SelStart and SelLength. Assign an new string to replace the selected text.

See also

TCustomComboBox.SelStart | The zero-based UTF-8 index of the begin of the selection in the edit box.
TCustomComboBox.SelLength | The number of selected UTF-8 characters in the edit box.


TCustomComboBox.ShouldAutoAdjust

Declaration

Source position: stdctrls.pp line 361

protected procedure TCustomComboBox.ShouldAutoAdjust(

  var AWidth: Boolean;

  var AHeight: Boolean

); override;


TCustomComboBox.Sorted

Determines whether the list entries are sorted.

Declaration

Source position: stdctrls.pp line 375

protected property TCustomComboBox.Sorted : Boolean
  read FSorted
  write SetSorted
  default False;

Description

Setting this property to True enforces ascending alphanumeric case-insensitive sorting of the list. When True, new entries are added in sort order, not to the end of the list.


TCustomComboBox.Style

Appearance and behaviour of the ComboBox (static/drop-down, owner-draw...).

Declaration

Source position: stdctrls.pp line 411

public property TCustomComboBox.Style : TComboBoxStyle
  read FStyle
  write SetStyle
  default csDropDown;

Description

The Style is quite Windows centric, reflecting the evolution of ComboBox styles.

Basic styles are

  • csSimple: edit box with a static list (no drop-down).
  • csDropDown: edit box with a drop-down list.
  • csDropDownList: strings can not be entered by the user, only selected from the drop-down list.

Later owner-drawn drop-down lists have been added, with

  • csOwnerDrawFixed: all items in the drop-down list have the same height.
  • csOwnerDrawVariable: every item can have a different height.

The ReadOnly property affects the edit box behaviour even in the owner-draw styles.


TCustomComboBox.Text

The string appearing in the edit box.

Declaration

Source position: stdctrls.pp line 413

public property TCustomComboBox.Text : TCaption;

Description

Setting Text selects a possibly matching item in the list.

If an item is selected from the list, it replaces the contents of Text.

Free user input can be disallowed by the ReadOnly property, so that only strings from the list can be selected.

Text completion can be established by the AutoComplete property.

See also

TCustomComboBox.ReadOnly | Disallows entry of free text.
TCustomComboBox.Style | Appearance and behaviour of the ComboBox (static/drop-down, owner-draw...).
TCustomComboBox.AutoComplete | Allows to select items from partial input, of the begin of the item text.


TCustomEdit

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

The base class for controls presenting editable text.

Declaration

Source position: stdctrls.pp line 728

type TCustomEdit = class(TWinControl)
protected
Type
TEmulatedTextHintStatus = (
thsHidden,
thsShowing,
thsChanging
);
FEmulatedTextHintStatus: TEmulatedTextHintStatus;
class procedure WSRegisterClass; override; | Registers this component class with the current WidgetSet.
function CanShowEmulatedTextHint; virtual;
function CreateEmulatedTextHintFont; virtual;
procedure CalculatePreferredSize(); override; | Override this method to return the preferred height and width.
procedure CreateParams(); override;
procedure InitializeWnd; override;
procedure TextChanged; override; | Handles changes of the Text property.
procedure FontChanged(); override;
procedure Change; virtual;
procedure DoEnter; override; | Invokes the OnEnter handler, then selects the entire text when AutoSelect is True.
procedure DoExit; override;
procedure EditingDone; override;
function GetCaretPos; virtual;
function GetNumbersOnly; virtual;
function GetReadOnly; virtual;
function GetSelLength; virtual;
function GetSelStart; virtual;
function GetSelText; virtual;
function GetTextHint; virtual;
procedure SetCaretPos(); virtual;
procedure SetEchoMode(); virtual;
procedure SetNumbersOnly(); virtual;
procedure SetReadOnly(); virtual;
procedure SetSelLength(); virtual;
procedure SetSelStart(); virtual;
procedure SetSelText(); virtual;
procedure SetTextHint(); virtual;
function ChildClassAllowed(); override; | Returns True if the given class is allowed for child controls.
class function GetControlClassDefaultSize; override;
procedure MouseUp(); override; | Invokes the OnMouseUp handler.
procedure RealSetText(); override; | Sets the Caption property.
function RealGetText; override;
procedure KeyUpAfterInterface(); override;
procedure WMChar(); message; | Handler for message sent by the widget, after it has handled the keypress itself.
procedure CMWantSpecialKey(); message;
procedure WndProc(); override;
procedure ShouldAutoAdjust(); override;
procedure WMSetFocus(); message;
procedure WMKillFocus(); message;
property AutoSelect: Boolean; [rw] | If True, the edit control will select all its text when it receives focus or when the Enter key is pressed.
property AutoSelected: Boolean; [rw] | True when the text selection was established automatically.
property ParentColor: Boolean; | If true, the Color of the control will be the same as the one from the Parent. Default is true.
public
constructor Create(); override;
destructor Destroy; override;
procedure Clear; | Deletes all text.
procedure SelectAll; | Selects the entire text in the control.
procedure ClearSelection; virtual; | Deletes (removes) the selected text.
procedure CopyToClipboard; virtual; | Copies the selected text into the clipboard.
procedure CutToClipboard; virtual; | Moves the selected text into the clipboard (removes it from the control).
procedure PasteFromClipboard; virtual; | Inserts text from the clipboard at the current position, possibly replacing the selected text.
procedure Undo; virtual; | Reverts the last edit action.
procedure RemoveAllHandlersOfObject(); override;
procedure AddHandlerOnChange();
procedure RemoveHandlerOnChange();
property Alignment: TAlignment; [rw] | The horizontal adjustment of the text - left, right, or centered.
property AutoSize: Boolean; | TCustomEdit defaults to True
property BorderStyle: TBorderStyle; | Allows to show a border (line) around the control,
property CanUndo: Boolean; [r] | Indicates whether recent changes can be reverted.
property CaretPos: TPoint; [rw] | The position of the text cursor.
property CharCase: TEditCharCase; [rw] | Allows to force the text into all upper or lower case.
property EchoMode: TEchoMode; [rw] | Allows to modify the text display, useful for entering passwords.
property HideSelection: Boolean; [rw] | Allows to hide the selection, when the control doesn't have the focus.
property MaxLength: Integer; [rw] | The maximum length of the text; zero for unlimited.
property Modified: Boolean; [rw] | True when the text has changed.
property NumbersOnly: Boolean; [rw]
property OnChange: TNotifyEvent; [rw] | Event handler for any change in text.
property PasswordChar: Char; [rw] | Allows to obfuscate the displayed text, showing all characters as PasswordChar.
property PopupMenu: TPopupMenu; | A context-sensitive menu that pops up when the right mouse button is clicked over this control
property ReadOnly: Boolean; [rw] | Prevents the user from changing the text.
property SelLength: Integer; [rw] | The number of currently selected characters.
property SelStart: Integer; [rw] | The zero-based index of the first character in the selection.
property SelText: string; [rw] | The selected text in the edit box.
property TabOrder: TTabOrder; | Determines the sequence of controls, reachable when the user presses the Tab key.
property TabStop: Boolean; | Allows the user to navigate to this control, by pressing the Tab key.
property Text: TCaption; | The text in the edit box.
property TextHint: TTranslateString; [rw] | Default text shown when the Text property is empty and control has no focus.
end;

Inheritance

TCustomEdit | The base class for controls presenting editable text.
|
TWinControl | The base class for controls which can contain other (child) controls.
|
TControl | The base class for visible controls.
|
TLCLComponent | The base class for LCL components associated with widgets.
|
TComponent,IUnknown,IInterfaceComponentReference
|
TPersistent,IFPObserved
|
TObject

Description

This class implements various visual attributes of the control and its contained text, as well as simple editing and clipboard operations.

Text attributes (bold, italic...) are not supported.


TCustomEdit
pt |  | AutoSelect
pt |  | AutoSelected
pt | ro | ParentColor
 |  | Alignment
 | ro | AutoSize
 | ro | BorderStyle
 | ro | CanUndo
 |  | CaretPos
 |  | CharCase
 |  | EchoMode
 |  | HideSelection
 |  | MaxLength
 |  | Modified
 |  | NumbersOnly
 |  | PasswordChar
 | ro | PopupMenu
 |  | ReadOnly
 |  | SelLength
 |  | SelStart
 |  | SelText
 | ro | TabOrder
 | ro | TabStop
 | ro | Text
 |  | TextHint
TWinControl
pt |  | WindowHandle
pt |  | BorderStyle
pt |  | ParentBackground
 |  | BorderWidth
 | ro | BoundsLockCount
 | ro | Brush
 | ro | CachedClientHeight
 | ro | CachedClientWidth
 |  | ChildSizing
 | ro | ControlCount
 | ro | Controls
 |  | DefWndProc
 | ro | DockClientCount
 | ro | DockClients
 |  | DockManager
 |  | DockSite
 |  | DoubleBuffered
 |  | Handle
 | ro | IsFlipped
 | ro | IsResizing
 |  | TabOrder
 |  | TabStop
 |  | ParentDoubleBuffered
 |  | ParentWindow
 | ro | Showing
 |  | UseDockManager
 |  | DesignerDeleting
 | ro | VisibleDockClientCount
TControl
pt | ro | AutoSizing
pt | ro | AutoSizingAll
pt | ro | AutoSizingLockCount
pt |  | ActionLink
pt |  | DesktopFont
pt |  | DragCursor
pt |  | DragKind
pt |  | DragMode
pt |  | MouseCapture
pt |  | ParentColor
pt |  | ParentFont
pt |  | ParentShowHint
pt |  | SessionProperties
pt |  | Text
 | ro | AnchoredControls
 | ro | BaseBounds
 | ro | ReadBounds
 | ro | BaseParentClientSize
 |  | AccessibleDescription
 |  | AccessibleValue
 |  | AccessibleRole
 |  | Action
 |  | Align
 |  | Anchors
 | ro | AnchorSide
 |  | AutoSize
 |  | BorderSpacing
 |  | BoundsRect
 |  | BoundsRectForNewParent
 |  | Caption
 |  | CaptureMouseButtons
 |  | ClientHeight
 | ro | ClientOrigin
 | ro | ClientRect
 |  | ClientWidth
 |  | Color
 |  | Constraints
 | ro | ControlOrigin
 |  | ControlState
 |  | ControlStyle
 |  | Enabled
 |  | Font
 |  | IsControl
 | ro | MouseEntered
 | ro | MouseInClient
 |  | Parent
 |  | PopupMenu
 |  | ShowHint
 |  | Visible
 |  | WindowProc
 |  | DockOrientation
 | ro | Floating
 |  | FloatingDockSiteClass
 |  | HostDockSite
 |  | LRDockWidth
 |  | TBDockHeight
 |  | UndockHeight
 |  | UndockWidth
 |  | BiDiMode
 |  | ParentBiDiMode
pl |  | AnchorSideLeft
pl |  | AnchorSideTop
pl |  | AnchorSideRight
pl |  | AnchorSideBottom
pl |  | Cursor
pl |  | Left
pl |  | Height
pl |  | Hint
pl |  | Top
pl |  | Width
pl |  | HelpType
pl |  | HelpKeyword
pl |  | HelpContext
TLCLComponent
 | ro | LCLRefCount
 | ro | WidgetSetClass
TComponent
 | ro | ComObject
 | ro | Components
 | ro | ComponentCount
 |  | ComponentIndex
 | ro | ComponentState
 | ro | ComponentStyle
 |  | DesignInfo
 | ro | Owner
 |  | VCLComObject
 |  | Name
 |  | Tag
TPersistent
TObject


 |  | AccessibleDescription (TControl)
 |  | AccessibleRole (TControl)
 |  | AccessibleValue (TControl)
 |  | Action (TControl)
pt |  | ActionLink (TControl)
 |  | Align (TControl)
 |  | Alignment (TCustomEdit)
 | ro | AnchoredControls (TControl)
 |  | Anchors (TControl)
 | ro | AnchorSide (TControl)
pl |  | AnchorSideBottom (TControl)
pl |  | AnchorSideLeft (TControl)
pl |  | AnchorSideRight (TControl)
pl |  | AnchorSideTop (TControl)
pt |  | AutoSelect (TCustomEdit)
pt |  | AutoSelected (TCustomEdit)
 |  | AutoSize (TControl)
 | ro | AutoSize (TCustomEdit)
pt | ro | AutoSizing (TControl)
pt | ro | AutoSizingAll (TControl)
pt | ro | AutoSizingLockCount (TControl)
 | ro | BaseBounds (TControl)
 | ro | BaseParentClientSize (TControl)
 |  | BiDiMode (TControl)
 |  | BorderSpacing (TControl)
pt |  | BorderStyle (TWinControl)
 | ro | BorderStyle (TCustomEdit)
 |  | BorderWidth (TWinControl)
 | ro | BoundsLockCount (TWinControl)
 |  | BoundsRect (TControl)
 |  | BoundsRectForNewParent (TControl)
 | ro | Brush (TWinControl)
 | ro | CachedClientHeight (TWinControl)
 | ro | CachedClientWidth (TWinControl)
 | ro | CanUndo (TCustomEdit)
 |  | Caption (TControl)
 |  | CaptureMouseButtons (TControl)
 |  | CaretPos (TCustomEdit)
 |  | CharCase (TCustomEdit)
 |  | ChildSizing (TWinControl)
 |  | ClientHeight (TControl)
 | ro | ClientOrigin (TControl)
 | ro | ClientRect (TControl)
 |  | ClientWidth (TControl)
 |  | Color (TControl)
 | ro | ComObject (TComponent)
 | ro | ComponentCount (TComponent)
 |  | ComponentIndex (TComponent)
 | ro | Components (TComponent)
 | ro | ComponentState (TComponent)
 | ro | ComponentStyle (TComponent)
 |  | Constraints (TControl)
 | ro | ControlCount (TWinControl)
 | ro | ControlOrigin (TControl)
 | ro | Controls (TWinControl)
 |  | ControlState (TControl)
 |  | ControlStyle (TControl)
pl |  | Cursor (TControl)
 |  | DefWndProc (TWinControl)
 |  | DesignerDeleting (TWinControl)
 |  | DesignInfo (TComponent)
pt |  | DesktopFont (TControl)
 | ro | DockClientCount (TWinControl)
 | ro | DockClients (TWinControl)
 |  | DockManager (TWinControl)
 |  | DockOrientation (TControl)
 |  | DockSite (TWinControl)
 |  | DoubleBuffered (TWinControl)
pt |  | DragCursor (TControl)
pt |  | DragKind (TControl)
pt |  | DragMode (TControl)
 |  | EchoMode (TCustomEdit)
 |  | Enabled (TControl)
 | ro | Floating (TControl)
 |  | FloatingDockSiteClass (TControl)
 |  | Font (TControl)
 |  | Handle (TWinControl)
pl |  | Height (TControl)
pl |  | HelpContext (TControl)
pl |  | HelpKeyword (TControl)
pl |  | HelpType (TControl)
 |  | HideSelection (TCustomEdit)
pl |  | Hint (TControl)
 |  | HostDockSite (TControl)
 |  | IsControl (TControl)
 | ro | IsFlipped (TWinControl)
 | ro | IsResizing (TWinControl)
 | ro | LCLRefCount (TLCLComponent)
pl |  | Left (TControl)
 |  | LRDockWidth (TControl)
 |  | MaxLength (TCustomEdit)
 |  | Modified (TCustomEdit)
pt |  | MouseCapture (TControl)
 | ro | MouseEntered (TControl)
 | ro | MouseInClient (TControl)
 |  | Name (TComponent)
 |  | NumbersOnly (TCustomEdit)
 | ro | Owner (TComponent)
 |  | Parent (TControl)
pt |  | ParentBackground (TWinControl)
 |  | ParentBiDiMode (TControl)
pt |  | ParentColor (TControl)
pt | ro | ParentColor (TCustomEdit)
 |  | ParentDoubleBuffered (TWinControl)
pt |  | ParentFont (TControl)
pt |  | ParentShowHint (TControl)
 |  | ParentWindow (TWinControl)
 |  | PasswordChar (TCustomEdit)
 |  | PopupMenu (TControl)
 | ro | PopupMenu (TCustomEdit)
 | ro | ReadBounds (TControl)
 |  | ReadOnly (TCustomEdit)
 |  | SelLength (TCustomEdit)
 |  | SelStart (TCustomEdit)
 |  | SelText (TCustomEdit)
pt |  | SessionProperties (TControl)
 |  | ShowHint (TControl)
 | ro | Showing (TWinControl)
 |  | TabOrder (TWinControl)
 | ro | TabOrder (TCustomEdit)
 |  | TabStop (TWinControl)
 | ro | TabStop (TCustomEdit)
 |  | Tag (TComponent)
 |  | TBDockHeight (TControl)
pt |  | Text (TControl)
 | ro | Text (TCustomEdit)
 |  | TextHint (TCustomEdit)
pl |  | Top (TControl)
 |  | UndockHeight (TControl)
 |  | UndockWidth (TControl)
 |  | UseDockManager (TWinControl)
 |  | VCLComObject (TComponent)
 |  | Visible (TControl)
 | ro | VisibleDockClientCount (TWinControl)
 | ro | WidgetSetClass (TLCLComponent)
pl |  | Width (TControl)
pt |  | WindowHandle (TWinControl)
 |  | WindowProc (TControl)


TCustomEdit
pt | WSRegisterClass
pt | CanShowEmulatedTextHint
pt | CreateEmulatedTextHintFont
pt | CalculatePreferredSize
pt | CreateParams
pt | InitializeWnd
pt | TextChanged
pt | FontChanged
pt | Change
pt | DoEnter
pt | DoExit
pt | EditingDone
pt | GetCaretPos
pt | GetNumbersOnly
pt | GetReadOnly
pt | GetSelLength
pt | GetSelStart
pt | GetSelText
pt | GetTextHint
pt | SetCaretPos
pt | SetEchoMode
pt | SetNumbersOnly
pt | SetReadOnly
pt | SetSelLength
pt | SetSelStart
pt | SetSelText
pt | SetTextHint
pt | ChildClassAllowed
pt | GetControlClassDefaultSize
pt | MouseUp
pt | RealSetText
pt | RealGetText
pt | KeyUpAfterInterface
pt | WMChar
pt | CMWantSpecialKey
pt | WndProc
pt | ShouldAutoAdjust
pt | WMSetFocus
pt | WMKillFocus
 | Create
 | Destroy
 | Clear
 | SelectAll
 | ClearSelection
 | CopyToClipboard
 | CutToClipboard
 | PasteFromClipboard
 | Undo
 | RemoveAllHandlersOfObject
 | AddHandlerOnChange
 | RemoveHandlerOnChange
TWinControl
pt | WSRegisterClass
pt | AdjustClientRect
pt | GetAdjustedLogicalClientRect
pt | AlignControls
pt | CustomAlignInsertBefore
pt | CustomAlignPosition
pt | DoAlignChildControls
pt | DoChildSizingChange
pt | InvalidatePreferredChildSizes
pt | CanTab
pt | IsClientHeightStored
pt | IsClientWidthStored
pt | DoSendShowHideToInterface
pt | ControlsAligned
pt | DoSendBoundsToInterface
pt | RealizeBounds
pt | RealizeBoundsRecursive
pt | InvalidateBoundsRealized
pt | CreateSubClass
pt | DoConstraintsChange
pt | DoSetBounds
pt | DoAutoSize
pt | DoAllAutoSize
pt | AllAutoSized
pt | CalculatePreferredSize
pt | GetPreferredSizeClientFrame
pt | GetChildren
pt | ChildClassAllowed
pt | PaintControls
pt | PaintHandler
pt | PaintWindow
pt | CreateBrush
pt | ScaleControls
pt | ChangeScale
pt | CMBiDiModeChanged
pt | CMBorderChanged
pt | CMDoubleBufferedChanged
pt | CMEnabledChanged
pt | CMParentDoubleBufferedChanged
pt | CMShowingChanged
pt | CMShowHintChanged
pt | CMVisibleChanged
pt | CMEnter
pt | CMExit
pt | WMContextMenu
pt | WMEraseBkgnd
pt | WMNotify
pt | WMSetFocus
pt | WMKillFocus
pt | WMShowWindow
pt | WMEnter
pt | WMExit
pt | WMKeyDown
pt | WMSysKeyDown
pt | WMKeyUp
pt | WMSysKeyUp
pt | WMChar
pt | WMSysChar
pt | WMPaint
pt | WMDestroy
pt | WMMove
pt | WMSize
pt | WMWindowPosChanged
pt | CNKeyDown
pt | CNSysKeyDown
pt | CNKeyUp
pt | CNSysKeyUp
pt | CNChar
pt | DoDragMsg
pt | DoDockClientMsg
pt | DoUndockClientMsg
pt | DoAddDockClient
pt | DockOver
pt | DoDockOver
pt | DoRemoveDockClient
pt | DoUnDock
pt | GetSiteInfo
pt | GetParentHandle
pt | GetTopParentHandle
pt | ReloadDockedControl
pt | CreateDockManager
pt | SetDockManager
pt | DoFloatMsg
pt | DoGetDockCaption
pt | DoEnter
pt | DoExit
pt | DoKeyDownBeforeInterface
pt | DoRemainingKeyDown
pt | DoRemainingKeyUp
pt | DoKeyPress
pt | DoUTF8KeyPress
pt | DoKeyUpBeforeInterface
pt | ChildKey
pt | SendDialogChar
pt | DialogChar
pt | ControlKeyDown
pt | ControlKeyUp
pt | KeyDown
pt | KeyDownBeforeInterface
pt | KeyDownAfterInterface
pt | KeyPress
pt | KeyUp
pt | KeyUpBeforeInterface
pt | KeyUpAfterInterface
pt | UTF8KeyPress
pt | FindNextControl
pt | SelectFirst
pt | RealGetText
pt | GetBorderStyle
pt | GetClientOrigin
pt | GetClientRect
pt | GetControlOrigin
pt | GetDeviceContext
pt | GetParentBackground
pt | IsControlMouseMsg
pt | CreateHandle
pt | CreateParams
pt | CreateWnd
pt | DestroyHandle
pt | DestroyWnd
pt | DoFlipChildren
pt | FinalizeWnd
pt | FixupTabList
pt | FontChanged
pt | InitializeWnd
pt | Loaded
pt | FormEndUpdated
pt | MainWndProc
pt | ParentFormHandleInitialized
pt | ChildHandlesCreated
pt | GetMouseCapture
pt | RealSetText
pt | RemoveFocus
pt | SendMoveSizeMessages
pt | SetBorderStyle
pt | SetColor
pt | SetChildZPosition
pt | SetParentBackground
pt | ShowControl
pt | UpdateControlState
pt | UpdateShowing
pt | WndProc
pt | WSSetText
 | AutoSizePhases
 | AutoSizeDelayed
 | AutoSizeDelayedReport
 | AutoSizeDelayedHandle
 | BeginUpdateBounds
 | EndUpdateBounds
 | LockRealizeBounds
 | UnlockRealizeBounds
 | ControlAtPos
 | ContainsControl
 | DoAdjustClientRectChange
 | InvalidateClientRectCache
 | ClientRectNeedsInterfaceUpdate
 | SetBounds
 | GetChildrenRect
 | DisableAlign
 | EnableAlign
 | ReAlign
 | ScrollBy_WS
 | ScrollBy
 | WriteLayoutDebugReport
 | AutoAdjustLayout
 | Create
 | CreateParented
 | CreateParentedControl
 | Destroy
 | DockDrop
 | CanFocus
 | CanSetFocus
 | GetControlIndex
 | SetControlIndex
 | Focused
 | PerformTab
 | FindChildControl
 | SelectNext
 | SetTempCursor
 | BroadCast
 | NotifyControls
 | DefaultHandler
 | GetTextLen
 | Invalidate
 | AddControl
 | InsertControl
 | RemoveControl
 | GetEnumeratorControls
 | GetEnumeratorControlsReverse
 | Repaint
 | Update
 | SetFocus
 | FlipChildren
 | ScaleBy
 | GetDockCaption
 | UpdateDockCaption
 | GetTabOrderList
 | HandleAllocated
 | ParentHandlesAllocated
 | HandleNeeded
 | BrushCreated
 | EraseBackground
 | IntfUTF8KeyPress
 | IntfGetDropFilesTarget
 | PaintTo
 | SetShape
TControl
pt | WSRegisterClass
pt | GetCursor
pt | SetCursor
pt | SetVisible
pt | DoOnParentHandleDestruction
pt | DoAutoSize
pt | DoAllAutoSize
pt | BeginAutoSizing
pt | EndAutoSizing
pt | AnchorSideChanged
pt | ForeignAnchorSideChanged
pt | SetAlign
pt | SetAnchors
pt | SetAutoSize
pt | BoundsChanged
pt | CreateControlBorderSpacing
pt | DoConstraintsChange
pt | DoBorderSpacingChange
pt | IsBorderSpacingInnerBorderStored
pt | IsCaptionStored
pt | SendMoveSizeMessages
pt | ConstrainedResize
pt | CalculatePreferredSize
pt | DoOnResize
pt | DoOnChangeBounds
pt | CheckOnChangeBounds
pt | Resize
pt | RequestAlign
pt | UpdateAnchorRules
pt | ChangeBounds
pt | DoSetBounds
pt | ScaleConstraints
pt | ChangeScale
pt | CanAutoSize
pt | SetBiDiMode
pt | SetParentBiDiMode
pt | IsAParentAligning
pt | GetClientOrigin
pt | GetClientRect
pt | GetLogicalClientRect
pt | GetScrolledClientRect
pt | GetClientScrollOffset
pt | GetControlOrigin
pt | IsClientHeightStored
pt | IsClientWidthStored
pt | WidthIsAnchored
pt | HeightIsAnchored
pt | WMCancelMode
pt | WMContextMenu
pt | WMLButtonDown
pt | WMRButtonDown
pt | WMMButtonDown
pt | WMXButtonDown
pt | WMLButtonDBLCLK
pt | WMRButtonDBLCLK
pt | WMMButtonDBLCLK
pt | WMXButtonDBLCLK
pt | WMLButtonTripleCLK
pt | WMRButtonTripleCLK
pt | WMMButtonTripleCLK
pt | WMXButtonTripleCLK
pt | WMLButtonQuadCLK
pt | WMRButtonQuadCLK
pt | WMMButtonQuadCLK
pt | WMXButtonQuadCLK
pt | WMMouseMove
pt | WMLButtonUp
pt | WMRButtonUp
pt | WMMButtonUp
pt | WMXButtonUp
pt | WMMouseWheel
pt | WMMouseHWheel
pt | WMMove
pt | WMSize
pt | WMWindowPosChanged
pt | CMChanged
pt | LMCaptureChanged
pt | CMBiDiModeChanged
pt | CMSysFontChanged
pt | CMEnabledChanged
pt | CMHitTest
pt | CMMouseEnter
pt | CMMouseLeave
pt | CMHintShow
pt | CMParentBiDiModeChanged
pt | CMParentColorChanged
pt | CMParentFontChanged
pt | CMParentShowHintChanged
pt | CMVisibleChanged
pt | CMTextChanged
pt | CMCursorChanged
pt | CalculateDockSizes
pt | CreateFloatingDockSite
pt | GetDockEdge
pt | GetDragImages
pt | GetFloating
pt | GetFloatingDockSiteClass
pt | BeforeDragStart
pt | BeginAutoDrag
pt | DoFloatMsg
pt | DockTrackNoTarget
pt | DoDock
pt | DoDragMsg
pt | DoEndDock
pt | DoEndDrag
pt | DoStartDock
pt | DoStartDrag
pt | DragCanceled
pt | DragOver
pt | PositionDockRect
pt | SetDragMode
pt | GetDefaultDockCaption
pt | Click
pt | DblClick
pt | TripleClick
pt | QuadClick
pt | GetMousePosFromMessage
pt | MouseDown
pt | MouseMove
pt | MouseUp
pt | MouseEnter
pt | MouseLeave
pt | DialogChar
pt | UpdateMouseCursor
pt | Changed
pt | GetPalette
pt | ChildClassAllowed
pt | ReadState
pt | Loaded
pt | LoadedAll
pt | DefineProperties
pt | AssignTo
pt | FormEndUpdated
pt | InvalidateControl
pt | FontChanged
pt | ParentFontChanged
pt | GetAction
pt | RealGetText
pt | RealSetText
pt | TextChanged
pt | GetCachedText
pt | SetAction
pt | SetColor
pt | SetEnabled
pt | SetHint
pt | SetName
pt | SetParent
pt | SetParentComponent
pt | WndProc
pt | ParentFormHandleInitialized
pt | GetMouseCapture
pt | CaptureChanged
pt | Notification
pt | CanTab
pt | GetDeviceContext
pt | GetEnabled
pt | GetPopupMenu
pt | DoOnShowHint
pt | DoMouseWheel
pt | DoMouseWheelDown
pt | DoMouseWheelUp
pt | DoMouseWheelHorz
pt | DoMouseWheelLeft
pt | DoMouseWheelRight
pt | VisibleChanging
pt | VisibleChanged
pt | EnabledChanging
pt | EnabledChanged
pt | AddHandler
pt | RemoveHandler
pt | DoCallNotifyHandler
pt | DoCallKeyEventHandler
pt | DoCallMouseWheelEventHandler
pt | DoContextPopup
pt | SetZOrder
pt | GetControlClassDefaultSize
pt | ColorIsStored
pt | DoAutoAdjustLayout
pt | DoFixDesignFontPPI
pt | DoScaleFontPPI
pt | GetActionLinkClass
pt | ActionChange
 | DragDrop
 | Dock
 | ManualDock
 | ManualFloat
 | ReplaceDockedControl
 | Docked
 | Dragging
 | GetAccessibleObject
 | CreateAccessibleObject
 | GetSelectedChildAccessibleObject
 | GetChildAccessibleObjectAtPos
 | ScaleDesignToForm
 | ScaleFormToDesign
 | Scale96ToForm
 | ScaleFormTo96
 | Scale96ToFont
 | ScaleFontTo96
 | ScaleScreenToFont
 | ScaleFontToScreen
 | Scale96ToScreen
 | ScaleScreenTo96
 | AdjustSize
 | AutoSizePhases
 | AutoSizeDelayed
 | AutoSizeDelayedReport
 | AutoSizeDelayedHandle
 | AnchorToNeighbour
 | AnchorParallel
 | AnchorHorizontalCenterTo
 | AnchorVerticalCenterTo
 | AnchorToCompanion
 | AnchorSame
 | AnchorAsAlign
 | AnchorClient
 | AnchoredControlCount
 | SetBounds
 | SetInitialBounds
 | SetBoundsKeepBase
 | GetPreferredSize
 | GetCanvasScaleFactor
 | GetDefaultWidth
 | GetDefaultHeight
 | GetDefaultColor
 | GetColorResolvingParent
 | GetRGBColorResolvingParent
 | GetSidePosition
 | CNPreferredSizeChanged
 | InvalidatePreferredSize
 | GetAnchorsDependingOnParent
 | DisableAutoSizing
 | EnableAutoSizing
 | UpdateBaseBounds
 | WriteLayoutDebugReport
 | AutoAdjustLayout
 | ShouldAutoAdjust
 | FixDesignFontsPPI
 | ScaleFontsPPI
 | Create
 | Destroy
 | BeforeDestruction
 | EditingDone
 | ExecuteDefaultAction
 | ExecuteCancelAction
 | BeginDrag
 | EndDrag
 | BringToFront
 | HasParent
 | GetParentComponent
 | IsParentOf
 | GetTopParent
 | IsVisible
 | IsControlVisible
 | IsEnabled
 | IsParentColor
 | IsParentFont
 | FormIsUpdating
 | IsProcessingPaintMsg
 | Hide
 | Refresh
 | Repaint
 | Invalidate
 | CheckChildClassAllowed
 | CheckNewParent
 | SendToBack
 | SetTempCursor
 | UpdateRolesForForm
 | ActiveDefaultControlChanged
 | GetTextBuf
 | GetTextLen
 | SetTextBuf
 | Perform
 | ScreenToClient
 | ClientToScreen
 | ScreenToControl
 | ControlToScreen
 | ClientToParent
 | ParentToClient
 | GetChildrenRect
 | Show
 | Update
 | HandleObjectShouldBeVisible
 | ParentDestroyingHandle
 | ParentHandlesAllocated
 | InitiateAction
 | ShowHelp
 | HasHelp
 | RemoveAllHandlersOfObject
 | AddHandlerOnResize
 | RemoveHandlerOnResize
 | AddHandlerOnChangeBounds
 | RemoveHandlerOnChangeBounds
 | AddHandlerOnVisibleChanging
 | RemoveHandlerOnVisibleChanging
 | AddHandlerOnVisibleChanged
 | RemoveHandlerOnVisibleChanged
 | AddHandlerOnEnabledChanged
 | RemoveHandlerOnEnableChanging
 | AddHandlerOnKeyDown
 | RemoveHandlerOnKeyDown
 | AddHandlerOnBeforeDestruction
 | RemoveHandlerOnBeforeDestruction
 | AddHandlerOnMouseWheel
 | RemoveHandlerOnMouseWheel
 | UseRightToLeftAlignment
 | UseRightToLeftReading
 | UseRightToLeftScrollBar
 | IsRightToLeft
TLCLComponent
pt | WSRegisterClass
pt | GetWSComponentClass
 | Create
 | Destroy
 | NewInstance
 | RemoveAllHandlersOfObject
 | IncLCLRefCount
 | DecLCLRefCount
TComponent
 | GetComObject
 | GetComponent
 | GetComponentCount
 | GetComponentIndex
 | Insert
 | ReadLeft
 | ReadTop
 | Remove
 | RemoveNotification
 | SetComponentIndex
 | SetReference
 | WriteLeft
 | WriteTop
 | ChangeName
 | DefineProperties
 | GetChildren
 | GetChildOwner
 | GetChildParent
 | GetOwner
 | Loaded
 | Loading
 | Notification
 | PaletteCreated
 | ReadState
 | SetAncestor
 | SetDesigning
 | SetDesignInstance
 | SetInline
 | SetName
 | SetChildOrder
 | SetParentComponent
 | Updating
 | Updated
 | UpdateRegistry
 | ValidateRename
 | ValidateContainer
 | ValidateInsert
 | QueryInterface
 | _AddRef
 | _Release
 | iicrGetComponent
 | GetTypeInfoCount
 | GetTypeInfo
 | GetIDsOfNames
 | Invoke
 | WriteState
 | Create
 | Destroy
 | BeforeDestruction
 | DestroyComponents
 | Destroying
 | ExecuteAction
 | FindComponent
 | FreeNotification
 | RemoveFreeNotification
 | FreeOnRelease
 | GetEnumerator
 | GetNamePath
 | GetParentComponent
 | HasParent
 | InsertComponent
 | RemoveComponent
 | SafeCallException
 | SetSubComponent
 | UpdateAction
 | IsImplementorOf
 | ReferenceInterface
TPersistent
 | AssignError
 | AssignTo
 | DefineProperties
 | GetOwner
 | Destroy
 | Assign
 | FPOAttachObserver
 | FPODetachObserver
 | FPONotifyObservers
 | GetNamePath
TObject
 | Create
 | Destroy
 | newinstance
 | FreeInstance
 | SafeCallException
 | DefaultHandler
 | Free
 | InitInstance
 | CleanupInstance
 | ClassType
 | ClassInfo
 | ClassName
 | ClassNameIs
 | ClassParent
 | InstanceSize
 | InheritsFrom
 | StringMessageTable
 | MethodAddress
 | MethodName
 | FieldAddress
 | AfterConstruction
 | BeforeDestruction
 | DefaultHandlerStr
 | Dispatch
 | DispatchStr
 | GetInterface
 | GetInterfaceByStr
 | GetInterfaceWeak
 | GetInterfaceEntry
 | GetInterfaceEntryByStr
 | GetInterfaceTable
 | UnitName
 | Equals
 | GetHashCode
 | ToString


pt | ActionChange (TControl)
 | ActiveDefaultControlChanged (TControl)
 | AddControl (TWinControl)
pt | AddHandler (TControl)
 | AddHandlerOnBeforeDestruction (TControl)
 | AddHandlerOnChange (TCustomEdit)
 | AddHandlerOnChangeBounds (TControl)
 | AddHandlerOnEnabledChanged (TControl)
 | AddHandlerOnKeyDown (TControl)
 | AddHandlerOnMouseWheel (TControl)
 | AddHandlerOnResize (TControl)
 | AddHandlerOnVisibleChanged (TControl)
 | AddHandlerOnVisibleChanging (TControl)
pt | AdjustClientRect (TWinControl)
 | AdjustSize (TControl)
 | AfterConstruction (TObject)
pt | AlignControls (TWinControl)
pt | AllAutoSized (TWinControl)
 | AnchorAsAlign (TControl)
 | AnchorClient (TControl)
 | AnchoredControlCount (TControl)
 | AnchorHorizontalCenterTo (TControl)
 | AnchorParallel (TControl)
 | AnchorSame (TControl)
pt | AnchorSideChanged (TControl)
 | AnchorToCompanion (TControl)
 | AnchorToNeighbour (TControl)
 | AnchorVerticalCenterTo (TControl)
 | Assign (TPersistent)
 | AssignError (TPersistent)
 | AssignTo (TPersistent)
pt | AssignTo (TControl)
 | AutoAdjustLayout (TControl)
 | AutoAdjustLayout (TWinControl)
 | AutoSizeDelayed (TControl)
 | AutoSizeDelayed (TWinControl)
 | AutoSizeDelayedHandle (TControl)
 | AutoSizeDelayedHandle (TWinControl)
 | AutoSizeDelayedReport (TControl)
 | AutoSizeDelayedReport (TWinControl)
 | AutoSizePhases (TControl)
 | AutoSizePhases (TWinControl)
 | BeforeDestruction (TObject)
 | BeforeDestruction (TComponent)
 | BeforeDestruction (TControl)
pt | BeforeDragStart (TControl)
pt | BeginAutoDrag (TControl)
pt | BeginAutoSizing (TControl)
 | BeginDrag (TControl)
 | BeginUpdateBounds (TWinControl)
pt | BoundsChanged (TControl)
 | BringToFront (TControl)
 | BroadCast (TWinControl)
 | BrushCreated (TWinControl)
pt | CalculateDockSizes (TControl)
pt | CalculatePreferredSize (TControl)
pt | CalculatePreferredSize (TWinControl)
pt | CalculatePreferredSize (TCustomEdit)
pt | CanAutoSize (TControl)
 | CanFocus (TWinControl)
 | CanSetFocus (TWinControl)
pt | CanShowEmulatedTextHint (TCustomEdit)
pt | CanTab (TControl)
pt | CanTab (TWinControl)
pt | CaptureChanged (TControl)
pt | Change (TCustomEdit)
pt | ChangeBounds (TControl)
pt | Changed (TControl)
 | ChangeName (TComponent)
pt | ChangeScale (TControl)
pt | ChangeScale (TWinControl)
 | CheckChildClassAllowed (TControl)
 | CheckNewParent (TControl)
pt | CheckOnChangeBounds (TControl)
pt | ChildClassAllowed (TControl)
pt | ChildClassAllowed (TWinControl)
pt | ChildClassAllowed (TCustomEdit)
pt | ChildHandlesCreated (TWinControl)
pt | ChildKey (TWinControl)
 | ClassInfo (TObject)
 | ClassName (TObject)
 | ClassNameIs (TObject)
 | ClassParent (TObject)
 | ClassType (TObject)
 | CleanupInstance (TObject)
 | Clear (TCustomEdit)
 | ClearSelection (TCustomEdit)
pt | Click (TControl)
 | ClientRectNeedsInterfaceUpdate (TWinControl)
 | ClientToParent (TControl)
 | ClientToScreen (TControl)
pt | CMBiDiModeChanged (TControl)
pt | CMBiDiModeChanged (TWinControl)
pt | CMBorderChanged (TWinControl)
pt | CMChanged (TControl)
pt | CMCursorChanged (TControl)
pt | CMDoubleBufferedChanged (TWinControl)
pt | CMEnabledChanged (TControl)
pt | CMEnabledChanged (TWinControl)
pt | CMEnter (TWinControl)
pt | CMExit (TWinControl)
pt | CMHintShow (TControl)
pt | CMHitTest (TControl)
pt | CMMouseEnter (TControl)
pt | CMMouseLeave (TControl)
pt | CMParentBiDiModeChanged (TControl)
pt | CMParentColorChanged (TControl)
pt | CMParentDoubleBufferedChanged (TWinControl)
pt | CMParentFontChanged (TControl)
pt | CMParentShowHintChanged (TControl)
pt | CMShowHintChanged (TWinControl)
pt | CMShowingChanged (TWinControl)
pt | CMSysFontChanged (TControl)
pt | CMTextChanged (TControl)
pt | CMVisibleChanged (TControl)
pt | CMVisibleChanged (TWinControl)
pt | CMWantSpecialKey (TCustomEdit)
pt | CNChar (TWinControl)
pt | CNKeyDown (TWinControl)
pt | CNKeyUp (TWinControl)
 | CNPreferredSizeChanged (TControl)
pt | CNSysKeyDown (TWinControl)
pt | CNSysKeyUp (TWinControl)
pt | ColorIsStored (TControl)
pt | ConstrainedResize (TControl)
 | ContainsControl (TWinControl)
 | ControlAtPos (TWinControl)
pt | ControlKeyDown (TWinControl)
pt | ControlKeyUp (TWinControl)
pt | ControlsAligned (TWinControl)
 | ControlToScreen (TControl)
 | CopyToClipboard (TCustomEdit)
 | Create (TObject)
 | Create (TComponent)
 | Create (TLCLComponent)
 | Create (TControl)
 | Create (TWinControl)
 | Create (TCustomEdit)
 | CreateAccessibleObject (TControl)
pt | CreateBrush (TWinControl)
pt | CreateControlBorderSpacing (TControl)
pt | CreateDockManager (TWinControl)
pt | CreateEmulatedTextHintFont (TCustomEdit)
pt | CreateFloatingDockSite (TControl)
pt | CreateHandle (TWinControl)
pt | CreateParams (TWinControl)
pt | CreateParams (TCustomEdit)
 | CreateParented (TWinControl)
 | CreateParentedControl (TWinControl)
pt | CreateSubClass (TWinControl)
pt | CreateWnd (TWinControl)
pt | CustomAlignInsertBefore (TWinControl)
pt | CustomAlignPosition (TWinControl)
 | CutToClipboard (TCustomEdit)
pt | DblClick (TControl)
 | DecLCLRefCount (TLCLComponent)
 | DefaultHandler (TObject)
 | DefaultHandler (TWinControl)
 | DefaultHandlerStr (TObject)
 | DefineProperties (TPersistent)
 | DefineProperties (TComponent)
pt | DefineProperties (TControl)
 | Destroy (TObject)
 | Destroy (TPersistent)
 | Destroy (TComponent)
 | Destroy (TLCLComponent)
 | Destroy (TControl)
 | Destroy (TWinControl)
 | Destroy (TCustomEdit)
 | DestroyComponents (TComponent)
pt | DestroyHandle (TWinControl)
 | Destroying (TComponent)
pt | DestroyWnd (TWinControl)
pt | DialogChar (TControl)
pt | DialogChar (TWinControl)
 | DisableAlign (TWinControl)
 | DisableAutoSizing (TControl)
 | Dispatch (TObject)
 | DispatchStr (TObject)
pt | DoAddDockClient (TWinControl)
 | DoAdjustClientRectChange (TWinControl)
pt | DoAlignChildControls (TWinControl)
pt | DoAllAutoSize (TControl)
pt | DoAllAutoSize (TWinControl)
pt | DoAutoAdjustLayout (TControl)
pt | DoAutoSize (TControl)
pt | DoAutoSize (TWinControl)
pt | DoBorderSpacingChange (TControl)
pt | DoCallKeyEventHandler (TControl)
pt | DoCallMouseWheelEventHandler (TControl)
pt | DoCallNotifyHandler (TControl)
pt | DoChildSizingChange (TWinControl)
 | Dock (TControl)
 | DockDrop (TWinControl)
 | Docked (TControl)
pt | DockOver (TWinControl)
pt | DockTrackNoTarget (TControl)
pt | DoConstraintsChange (TControl)
pt | DoConstraintsChange (TWinControl)
pt | DoContextPopup (TControl)
pt | DoDock (TControl)
pt | DoDockClientMsg (TWinControl)
pt | DoDockOver (TWinControl)
pt | DoDragMsg (TControl)
pt | DoDragMsg (TWinControl)
pt | DoEndDock (TControl)
pt | DoEndDrag (TControl)
pt | DoEnter (TWinControl)
pt | DoEnter (TCustomEdit)
pt | DoExit (TWinControl)
pt | DoExit (TCustomEdit)
pt | DoFixDesignFontPPI (TControl)
pt | DoFlipChildren (TWinControl)
pt | DoFloatMsg (TControl)
pt | DoFloatMsg (TWinControl)
pt | DoGetDockCaption (TWinControl)
pt | DoKeyDownBeforeInterface (TWinControl)
pt | DoKeyPress (TWinControl)
pt | DoKeyUpBeforeInterface (TWinControl)
pt | DoMouseWheel (TControl)
pt | DoMouseWheelDown (TControl)
pt | DoMouseWheelHorz (TControl)
pt | DoMouseWheelLeft (TControl)
pt | DoMouseWheelRight (TControl)
pt | DoMouseWheelUp (TControl)
pt | DoOnChangeBounds (TControl)
pt | DoOnParentHandleDestruction (TControl)
pt | DoOnResize (TControl)
pt | DoOnShowHint (TControl)
pt | DoRemainingKeyDown (TWinControl)
pt | DoRemainingKeyUp (TWinControl)
pt | DoRemoveDockClient (TWinControl)
pt | DoScaleFontPPI (TControl)
pt | DoSendBoundsToInterface (TWinControl)
pt | DoSendShowHideToInterface (TWinControl)
pt | DoSetBounds (TControl)
pt | DoSetBounds (TWinControl)
pt | DoStartDock (TControl)
pt | DoStartDrag (TControl)
pt | DoUnDock (TWinControl)
pt | DoUndockClientMsg (TWinControl)
pt | DoUTF8KeyPress (TWinControl)
pt | DragCanceled (TControl)
 | DragDrop (TControl)
 | Dragging (TControl)
pt | DragOver (TControl)
 | EditingDone (TControl)
pt | EditingDone (TCustomEdit)
 | EnableAlign (TWinControl)
 | EnableAutoSizing (TControl)
pt | EnabledChanged (TControl)
pt | EnabledChanging (TControl)
pt | EndAutoSizing (TControl)
 | EndDrag (TControl)
 | EndUpdateBounds (TWinControl)
 | Equals (TObject)
 | EraseBackground (TWinControl)
 | ExecuteAction (TComponent)
 | ExecuteCancelAction (TControl)
 | ExecuteDefaultAction (TControl)
 | FieldAddress (TObject)
pt | FinalizeWnd (TWinControl)
 | FindChildControl (TWinControl)
 | FindComponent (TComponent)
pt | FindNextControl (TWinControl)
 | FixDesignFontsPPI (TControl)
pt | FixupTabList (TWinControl)
 | FlipChildren (TWinControl)
 | Focused (TWinControl)
pt | FontChanged (TControl)
pt | FontChanged (TWinControl)
pt | FontChanged (TCustomEdit)
pt | ForeignAnchorSideChanged (TControl)
pt | FormEndUpdated (TControl)
pt | FormEndUpdated (TWinControl)
 | FormIsUpdating (TControl)
 | FPOAttachObserver (TPersistent)
 | FPODetachObserver (TPersistent)
 | FPONotifyObservers (TPersistent)
 | Free (TObject)
 | FreeInstance (TObject)
 | FreeNotification (TComponent)
 | FreeOnRelease (TComponent)
 | GetAccessibleObject (TControl)
pt | GetAction (TControl)
pt | GetActionLinkClass (TControl)
pt | GetAdjustedLogicalClientRect (TWinControl)
 | GetAnchorsDependingOnParent (TControl)
pt | GetBorderStyle (TWinControl)
pt | GetCachedText (TControl)
 | GetCanvasScaleFactor (TControl)
pt | GetCaretPos (TCustomEdit)
 | GetChildAccessibleObjectAtPos (TControl)
 | GetChildOwner (TComponent)
 | GetChildParent (TComponent)
 | GetChildren (TComponent)
pt | GetChildren (TWinControl)
 | GetChildrenRect (TControl)
 | GetChildrenRect (TWinControl)
pt | GetClientOrigin (TControl)
pt | GetClientOrigin (TWinControl)
pt | GetClientRect (TControl)
pt | GetClientRect (TWinControl)
pt | GetClientScrollOffset (TControl)
 | GetColorResolvingParent (TControl)
 | GetComObject (TComponent)
 | GetComponent (TComponent)
 | GetComponentCount (TComponent)
 | GetComponentIndex (TComponent)
pt | GetControlClassDefaultSize (TControl)
pt | GetControlClassDefaultSize (TCustomEdit)
 | GetControlIndex (TWinControl)
pt | GetControlOrigin (TControl)
pt | GetControlOrigin (TWinControl)
pt | GetCursor (TControl)
 | GetDefaultColor (TControl)
pt | GetDefaultDockCaption (TControl)
 | GetDefaultHeight (TControl)
 | GetDefaultWidth (TControl)
pt | GetDeviceContext (TControl)
pt | GetDeviceContext (TWinControl)
 | GetDockCaption (TWinControl)
pt | GetDockEdge (TControl)
pt | GetDragImages (TControl)
pt | GetEnabled (TControl)
 | GetEnumerator (TComponent)
 | GetEnumeratorControls (TWinControl)
 | GetEnumeratorControlsReverse (TWinControl)
pt | GetFloating (TControl)
pt | GetFloatingDockSiteClass (TControl)
 | GetHashCode (TObject)
 | GetIDsOfNames (TComponent)
 | GetInterface (TObject)
 | GetInterfaceByStr (TObject)
 | GetInterfaceEntry (TObject)
 | GetInterfaceEntryByStr (TObject)
 | GetInterfaceTable (TObject)
 | GetInterfaceWeak (TObject)
pt | GetLogicalClientRect (TControl)
pt | GetMouseCapture (TControl)
pt | GetMouseCapture (TWinControl)
pt | GetMousePosFromMessage (TControl)
 | GetNamePath (TPersistent)
 | GetNamePath (TComponent)
pt | GetNumbersOnly (TCustomEdit)
 | GetOwner (TPersistent)
 | GetOwner (TComponent)
pt | GetPalette (TControl)
pt | GetParentBackground (TWinControl)
 | GetParentComponent (TComponent)
 | GetParentComponent (TControl)
pt | GetParentHandle (TWinControl)
pt | GetPopupMenu (TControl)
 | GetPreferredSize (TControl)
pt | GetPreferredSizeClientFrame (TWinControl)
pt | GetReadOnly (TCustomEdit)
 | GetRGBColorResolvingParent (TControl)
pt | GetScrolledClientRect (TControl)
 | GetSelectedChildAccessibleObject (TControl)
pt | GetSelLength (TCustomEdit)
pt | GetSelStart (TCustomEdit)
pt | GetSelText (TCustomEdit)
 | GetSidePosition (TControl)
pt | GetSiteInfo (TWinControl)
 | GetTabOrderList (TWinControl)
 | GetTextBuf (TControl)
pt | GetTextHint (TCustomEdit)
 | GetTextLen (TControl)
 | GetTextLen (TWinControl)
 | GetTopParent (TControl)
pt | GetTopParentHandle (TWinControl)
 | GetTypeInfo (TComponent)
 | GetTypeInfoCount (TComponent)
pt | GetWSComponentClass (TLCLComponent)
 | HandleAllocated (TWinControl)
 | HandleNeeded (TWinControl)
 | HandleObjectShouldBeVisible (TControl)
 | HasHelp (TControl)
 | HasParent (TComponent)
 | HasParent (TControl)
pt | HeightIsAnchored (TControl)
 | Hide (TControl)
 | iicrGetComponent (TComponent)
 | IncLCLRefCount (TLCLComponent)
 | InheritsFrom (TObject)
pt | InitializeWnd (TWinControl)
pt | InitializeWnd (TCustomEdit)
 | InitiateAction (TControl)
 | InitInstance (TObject)
 | Insert (TComponent)
 | InsertComponent (TComponent)
 | InsertControl (TWinControl)
 | InstanceSize (TObject)
 | IntfGetDropFilesTarget (TWinControl)
 | IntfUTF8KeyPress (TWinControl)
 | Invalidate (TControl)
 | Invalidate (TWinControl)
pt | InvalidateBoundsRealized (TWinControl)
 | InvalidateClientRectCache (TWinControl)
pt | InvalidateControl (TControl)
pt | InvalidatePreferredChildSizes (TWinControl)
 | InvalidatePreferredSize (TControl)
 | Invoke (TComponent)
pt | IsAParentAligning (TControl)
pt | IsBorderSpacingInnerBorderStored (TControl)
pt | IsCaptionStored (TControl)
pt | IsClientHeightStored (TControl)
pt | IsClientHeightStored (TWinControl)
pt | IsClientWidthStored (TControl)
pt | IsClientWidthStored (TWinControl)
pt | IsControlMouseMsg (TWinControl)
 | IsControlVisible (TControl)
 | IsEnabled (TControl)
 | IsImplementorOf (TComponent)
 | IsParentColor (TControl)
 | IsParentFont (TControl)
 | IsParentOf (TControl)
 | IsProcessingPaintMsg (TControl)
 | IsRightToLeft (TControl)
 | IsVisible (TControl)
pt | KeyDown (TWinControl)
pt | KeyDownAfterInterface (TWinControl)
pt | KeyDownBeforeInterface (TWinControl)
pt | KeyPress (TWinControl)
pt | KeyUp (TWinControl)
pt | KeyUpAfterInterface (TWinControl)
pt | KeyUpAfterInterface (TCustomEdit)
pt | KeyUpBeforeInterface (TWinControl)
pt | LMCaptureChanged (TControl)
 | Loaded (TComponent)
pt | Loaded (TControl)
pt | Loaded (TWinControl)
pt | LoadedAll (TControl)
 | Loading (TComponent)
 | LockRealizeBounds (TWinControl)
pt | MainWndProc (TWinControl)
 | ManualDock (TControl)
 | ManualFloat (TControl)
 | MethodAddress (TObject)
 | MethodName (TObject)
pt | MouseDown (TControl)
pt | MouseEnter (TControl)
pt | MouseLeave (TControl)
pt | MouseMove (TControl)
pt | MouseUp (TControl)
pt | MouseUp (TCustomEdit)
 | newinstance (TObject)
 | NewInstance (TLCLComponent)
 | Notification (TComponent)
pt | Notification (TControl)
 | NotifyControls (TWinControl)
pt | PaintControls (TWinControl)
pt | PaintHandler (TWinControl)
 | PaintTo (TWinControl)
pt | PaintWindow (TWinControl)
 | PaletteCreated (TComponent)
 | ParentDestroyingHandle (TControl)
pt | ParentFontChanged (TControl)
pt | ParentFormHandleInitialized (TControl)
pt | ParentFormHandleInitialized (TWinControl)
 | ParentHandlesAllocated (TControl)
 | ParentHandlesAllocated (TWinControl)
 | ParentToClient (TControl)
 | PasteFromClipboard (TCustomEdit)
 | Perform (TControl)
 | PerformTab (TWinControl)
pt | PositionDockRect (TControl)
pt | QuadClick (TControl)
 | QueryInterface (TComponent)
 | ReadLeft (TComponent)
 | ReadState (TComponent)
pt | ReadState (TControl)
 | ReadTop (TComponent)
pt | RealGetText (TControl)
pt | RealGetText (TWinControl)
pt | RealGetText (TCustomEdit)
 | ReAlign (TWinControl)
pt | RealizeBounds (TWinControl)
pt | RealizeBoundsRecursive (TWinControl)
pt | RealSetText (TControl)
pt | RealSetText (TWinControl)
pt | RealSetText (TCustomEdit)
 | ReferenceInterface (TComponent)
 | Refresh (TControl)
pt | ReloadDockedControl (TWinControl)
 | Remove (TComponent)
 | RemoveAllHandlersOfObject (TLCLComponent)
 | RemoveAllHandlersOfObject (TControl)
 | RemoveAllHandlersOfObject (TCustomEdit)
 | RemoveComponent (TComponent)
 | RemoveControl (TWinControl)
pt | RemoveFocus (TWinControl)
 | RemoveFreeNotification (TComponent)
pt | RemoveHandler (TControl)
 | RemoveHandlerOnBeforeDestruction (TControl)
 | RemoveHandlerOnChange (TCustomEdit)
 | RemoveHandlerOnChangeBounds (TControl)
 | RemoveHandlerOnEnableChanging (TControl)
 | RemoveHandlerOnKeyDown (TControl)
 | RemoveHandlerOnMouseWheel (TControl)
 | RemoveHandlerOnResize (TControl)
 | RemoveHandlerOnVisibleChanged (TControl)
 | RemoveHandlerOnVisibleChanging (TControl)
 | RemoveNotification (TComponent)
 | Repaint (TControl)
 | Repaint (TWinControl)
 | ReplaceDockedControl (TControl)
pt | RequestAlign (TControl)
pt | Resize (TControl)
 | SafeCallException (TObject)
 | SafeCallException (TComponent)
 | Scale96ToFont (TControl)
 | Scale96ToForm (TControl)
 | Scale96ToScreen (TControl)
 | ScaleBy (TWinControl)
pt | ScaleConstraints (TControl)
pt | ScaleControls (TWinControl)
 | ScaleDesignToForm (TControl)
 | ScaleFontsPPI (TControl)
 | ScaleFontTo96 (TControl)
 | ScaleFontToScreen (TControl)
 | ScaleFormTo96 (TControl)
 | ScaleFormToDesign (TControl)
 | ScaleScreenTo96 (TControl)
 | ScaleScreenToFont (TControl)
 | ScreenToClient (TControl)
 | ScreenToControl (TControl)
 | ScrollBy (TWinControl)
 | ScrollBy_WS (TWinControl)
 | SelectAll (TCustomEdit)
pt | SelectFirst (TWinControl)
 | SelectNext (TWinControl)
pt | SendDialogChar (TWinControl)
pt | SendMoveSizeMessages (TControl)
pt | SendMoveSizeMessages (TWinControl)
 | SendToBack (TControl)
pt | SetAction (TControl)
pt | SetAlign (TControl)
 | SetAncestor (TComponent)
pt | SetAnchors (TControl)
pt | SetAutoSize (TControl)
pt | SetBiDiMode (TControl)
pt | SetBorderStyle (TWinControl)
 | SetBounds (TControl)
 | SetBounds (TWinControl)
 | SetBoundsKeepBase (TControl)
pt | SetCaretPos (TCustomEdit)
 | SetChildOrder (TComponent)
pt | SetChildZPosition (TWinControl)
pt | SetColor (TControl)
pt | SetColor (TWinControl)
 | SetComponentIndex (TComponent)
 | SetControlIndex (TWinControl)
pt | SetCursor (TControl)
 | SetDesigning (TComponent)
 | SetDesignInstance (TComponent)
pt | SetDockManager (TWinControl)
pt | SetDragMode (TControl)
pt | SetEchoMode (TCustomEdit)
pt | SetEnabled (TControl)
 | SetFocus (TWinControl)
pt | SetHint (TControl)
 | SetInitialBounds (TControl)
 | SetInline (TComponent)
 | SetName (TComponent)
pt | SetName (TControl)
pt | SetNumbersOnly (TCustomEdit)
pt | SetParent (TControl)
pt | SetParentBackground (TWinControl)
pt | SetParentBiDiMode (TControl)
 | SetParentComponent (TComponent)
pt | SetParentComponent (TControl)
pt | SetReadOnly (TCustomEdit)
 | SetReference (TComponent)
pt | SetSelLength (TCustomEdit)
pt | SetSelStart (TCustomEdit)
pt | SetSelText (TCustomEdit)
 | SetShape (TWinControl)
 | SetSubComponent (TComponent)
 | SetTempCursor (TControl)
 | SetTempCursor (TWinControl)
 | SetTextBuf (TControl)
pt | SetTextHint (TCustomEdit)
pt | SetVisible (TControl)
pt | SetZOrder (TControl)
 | ShouldAutoAdjust (TControl)
pt | ShouldAutoAdjust (TCustomEdit)
 | Show (TControl)
pt | ShowControl (TWinControl)
 | ShowHelp (TControl)
 | StringMessageTable (TObject)
pt | TextChanged (TControl)
pt | TextChanged (TCustomEdit)
 | ToString (TObject)
pt | TripleClick (TControl)
 | Undo (TCustomEdit)
 | UnitName (TObject)
 | UnlockRealizeBounds (TWinControl)
 | Update (TControl)
 | Update (TWinControl)
 | UpdateAction (TComponent)
pt | UpdateAnchorRules (TControl)
 | UpdateBaseBounds (TControl)
pt | UpdateControlState (TWinControl)
 | Updated (TComponent)
 | UpdateDockCaption (TWinControl)
pt | UpdateMouseCursor (TControl)
 | UpdateRegistry (TComponent)
 | UpdateRolesForForm (TControl)
pt | UpdateShowing (TWinControl)
 | Updating (TComponent)
 | UseRightToLeftAlignment (TControl)
 | UseRightToLeftReading (TControl)
 | UseRightToLeftScrollBar (TControl)
pt | UTF8KeyPress (TWinControl)
 | ValidateContainer (TComponent)
 | ValidateInsert (TComponent)
 | ValidateRename (TComponent)
pt | VisibleChanged (TControl)
pt | VisibleChanging (TControl)
pt | WidthIsAnchored (TControl)
pt | WMCancelMode (TControl)
pt | WMChar (TWinControl)
pt | WMChar (TCustomEdit)
pt | WMContextMenu (TControl)
pt | WMContextMenu (TWinControl)
pt | WMDestroy (TWinControl)
pt | WMEnter (TWinControl)
pt | WMEraseBkgnd (TWinControl)
pt | WMExit (TWinControl)
pt | WMKeyDown (TWinControl)
pt | WMKeyUp (TWinControl)
pt | WMKillFocus (TWinControl)
pt | WMKillFocus (TCustomEdit)
pt | WMLButtonDBLCLK (TControl)
pt | WMLButtonDown (TControl)
pt | WMLButtonQuadCLK (TControl)
pt | WMLButtonTripleCLK (TControl)
pt | WMLButtonUp (TControl)
pt | WMMButtonDBLCLK (TControl)
pt | WMMButtonDown (TControl)
pt | WMMButtonQuadCLK (TControl)
pt | WMMButtonTripleCLK (TControl)
pt | WMMButtonUp (TControl)
pt | WMMouseHWheel (TControl)
pt | WMMouseMove (TControl)
pt | WMMouseWheel (TControl)
pt | WMMove (TControl)
pt | WMMove (TWinControl)
pt | WMNotify (TWinControl)
pt | WMPaint (TWinControl)
pt | WMRButtonDBLCLK (TControl)
pt | WMRButtonDown (TControl)
pt | WMRButtonQuadCLK (TControl)
pt | WMRButtonTripleCLK (TControl)
pt | WMRButtonUp (TControl)
pt | WMSetFocus (TWinControl)
pt | WMSetFocus (TCustomEdit)
pt | WMShowWindow (TWinControl)
pt | WMSize (TControl)
pt | WMSize (TWinControl)
pt | WMSysChar (TWinControl)
pt | WMSysKeyDown (TWinControl)
pt | WMSysKeyUp (TWinControl)
pt | WMWindowPosChanged (TControl)
pt | WMWindowPosChanged (TWinControl)
pt | WMXButtonDBLCLK (TControl)
pt | WMXButtonDown (TControl)
pt | WMXButtonQuadCLK (TControl)
pt | WMXButtonTripleCLK (TControl)
pt | WMXButtonUp (TControl)
pt | WndProc (TControl)
pt | WndProc (TWinControl)
pt | WndProc (TCustomEdit)
 | WriteLayoutDebugReport (TControl)
 | WriteLayoutDebugReport (TWinControl)
 | WriteLeft (TComponent)
 | WriteState (TComponent)
 | WriteTop (TComponent)
pt | WSRegisterClass (TLCLComponent)
pt | WSRegisterClass (TControl)
pt | WSRegisterClass (TWinControl)
pt | WSRegisterClass (TCustomEdit)
pt | WSSetText (TWinControl)
 | _AddRef (TComponent)
 | _Release (TComponent)


TCustomEdit
 | OnChange
TWinControl
pt | OnGetSiteInfo
pt | OnGetDockCaption
 | OnAlignInsertBefore
 | OnAlignPosition
 | OnDockDrop
 | OnDockOver
 | OnEnter
 | OnExit
 | OnKeyDown
 | OnKeyPress
 | OnKeyUp
 | OnUnDock
 | OnUTF8KeyPress
TControl
pt | OnConstrainedResize
pt | OnContextPopup
pt | OnDblClick
pt | OnTripleClick
pt | OnQuadClick
pt | OnDragDrop
pt | OnDragOver
pt | OnEndDock
pt | OnEndDrag
pt | OnMouseDown
pt | OnMouseMove
pt | OnMouseUp
pt | OnMouseEnter
pt | OnMouseLeave
pt | OnMouseWheel
pt | OnMouseWheelDown
pt | OnMouseWheelUp
pt | OnMouseWheelHorz
pt | OnMouseWheelLeft
pt | OnMouseWheelRight
pt | OnStartDock
pt | OnStartDrag
pt | OnEditingDone
 | OnChangeBounds
 | OnClick
 | OnResize
 | OnShowHint
TLCLComponent
TComponent
TPersistent
TObject


TCustomEdit.AddHandlerOnChange

Declaration

Source position: stdctrls.pp line 820

public procedure TCustomEdit.AddHandlerOnChange(

  const AnOnChangeEvent: TNotifyEvent;

  AsFirst: Boolean = False

);


TCustomEdit.Alignment

The horizontal adjustment of the text - left, right, or centered.

Declaration

Source position: stdctrls.pp line 824

public property TCustomEdit.Alignment : TAlignment
  read FAlignment
  write SetAlignment
  default taLeftJustify;


TCustomEdit.AutoSelect

If True, the edit control will select all its text when it receives focus or when the Enter key is pressed.

Declaration

Source position: stdctrls.pp line 805

protected property TCustomEdit.AutoSelect : Boolean
  read FAutoSelect
  write FAutoSelect
  default True;


TCustomEdit.AutoSelected

True when the text selection was established automatically.

Declaration

Source position: stdctrls.pp line 806

protected property TCustomEdit.AutoSelected : Boolean
  read FAutoSelected
  write FAutoSelected;

See also

TCustomEdit.AutoSelect

If True, the edit control will select all its text when it receives focus or when the Enter key is pressed.


TCustomEdit.AutoSize

TCustomEdit defaults to True

Declaration

Source position: stdctrls.pp line 825

public property TCustomEdit.AutoSize : Boolean
  default True;


TCustomEdit.CanShowEmulatedTextHint

Declaration

Source position: stdctrls.pp line 765

protected function TCustomEdit.CanShowEmulatedTextHint: Boolean; virtual;


TCustomEdit.CanUndo

Indicates whether recent changes can be reverted.

Declaration

Source position: stdctrls.pp line 827

public property TCustomEdit.CanUndo : Boolean
  read GetCanUndo;


TCustomEdit.CaretPos

The position of the text cursor.

Declaration

Source position: stdctrls.pp line 828

public property TCustomEdit.CaretPos : TPoint
  read GetCaretPos
  write SetCaretPos;

Description

Character positions are relative to the string, independent of LTR/RTL display. The position reflects logical (UTF-8) characters.

Position zero is right before the first character.

If there is a selection, the caret is considered to be right after the last selected character.


TCustomEdit.Change

Declaration

Source position: stdctrls.pp line 773

protected procedure TCustomEdit.Change; virtual;


TCustomEdit.CharCase

Allows to force the text into all upper or lower case.

Declaration

Source position: stdctrls.pp line 829

public property TCustomEdit.CharCase : TEditCharCase
  read FCharCase
  write SetCharCase
  default ecNormal;

Description

The following conversions can be specified:

  • Unchanged
  • All upper case letters
  • All lower case letters
Remark: According conversions apply to the entire text, and can not be reverted.


TCustomEdit.Clear

Deletes all text.

Declaration

Source position: stdctrls.pp line 811

public procedure TCustomEdit.Clear;


TCustomEdit.ClearSelection

Deletes (removes) the selected text.

Declaration

Source position: stdctrls.pp line 813

public procedure TCustomEdit.ClearSelection; virtual;


TCustomEdit.CMWantSpecialKey

Declaration

Source position: stdctrls.pp line 799

protected procedure TCustomEdit.CMWantSpecialKey(

  var Message: TCMWantSpecialKey

); message;


TCustomEdit.CopyToClipboard

Copies the selected text into the clipboard.

Declaration

Source position: stdctrls.pp line 814

public procedure TCustomEdit.CopyToClipboard; virtual;


TCustomEdit.Create

Declaration

Source position: stdctrls.pp line 809

public constructor TCustomEdit.Create(

  AOwner: TComponent

); override;


TCustomEdit.CreateEmulatedTextHintFont

Declaration

Source position: stdctrls.pp line 766

protected function TCustomEdit.CreateEmulatedTextHintFont: TFont; virtual;


TCustomEdit.CreateParams

Declaration

Source position: stdctrls.pp line 769

protected procedure TCustomEdit.CreateParams(

  var Params: TCreateParams

); override;


TCustomEdit.CutToClipboard

Moves the selected text into the clipboard (removes it from the control).

Declaration

Source position: stdctrls.pp line 815

public procedure TCustomEdit.CutToClipboard; virtual;


TCustomEdit.DoEnter

Invokes the OnEnter handler, then selects the entire text when AutoSelect is True.

Declaration

Source position: stdctrls.pp line 774

protected procedure TCustomEdit.DoEnter; override;

Description

This special handling is required when the control is entered by keystrokes, not by a mouse click.

See also

TWinControl.DoEnter

Invokes the OnEnter event handler.


TCustomEdit.DoExit

Declaration

Source position: stdctrls.pp line 775

protected procedure TCustomEdit.DoExit; override;


TCustomEdit.EchoMode

Allows to modify the text display, useful for entering passwords.

Declaration

Source position: stdctrls.pp line 830

public property TCustomEdit.EchoMode : TEchoMode
  read FEchoMode
  write SetEchoMode
  default emNormal;

Description

The following conversions can be specified:

  • emNormal: Unchanged
  • emNone: All spaces
  • emPassword: All PasswordChars
Remark: According conversions apply to the entire text, and can not be reverted.


TCustomEdit.EditingDone

Declaration

Source position: stdctrls.pp line 776

protected procedure TCustomEdit.EditingDone; override;


TCustomEdit.FEmulatedTextHintStatus

Declaration

Source position: stdctrls.pp line 762

protected TCustomEdit.FEmulatedTextHintStatus : TEmulatedTextHintStatus;


TCustomEdit.GetControlClassDefaultSize

Declaration

Source position: stdctrls.pp line 793

protected class function TCustomEdit.GetControlClassDefaultSize: TSize; override;


TCustomEdit.GetNumbersOnly

Declaration

Source position: stdctrls.pp line 778

protected function TCustomEdit.GetNumbersOnly: Boolean; virtual;


TCustomEdit.GetTextHint

Declaration

Source position: stdctrls.pp line 783

protected function TCustomEdit.GetTextHint: TTranslateString; virtual;


TCustomEdit.HideSelection

Allows to hide the selection, when the control doesn't have the focus.

Declaration

Source position: stdctrls.pp line 831

public property TCustomEdit.HideSelection : Boolean
  read FHideSelection
  write SetHideSelection
  default True;


TCustomEdit.KeyUpAfterInterface

Declaration

Source position: stdctrls.pp line 797

protected procedure TCustomEdit.KeyUpAfterInterface(

  var Key: Word;

  Shift: TShiftState

); override;


TCustomEdit.MaxLength

The maximum length of the text; zero for unlimited.

Declaration

Source position: stdctrls.pp line 832

public property TCustomEdit.MaxLength : Integer
  read FMaxLength
  write SetMaxLength
  default 0;

Description

In Delphi MaxLength only limits user input. The LCL instead restricts the maximum length of the contained text; this simplifies the implementation for non-Win32 widgetsets.


TCustomEdit.Modified

True when the text has changed.

Declaration

Source position: stdctrls.pp line 833

public property TCustomEdit.Modified : Boolean
  read GetModified
  write SetModified;

Description

Reset whenever the changed text was stored (saved) by code.


TCustomEdit.NumbersOnly

Declaration

Source position: stdctrls.pp line 834

public property TCustomEdit.NumbersOnly : Boolean
  read GetNumbersOnly
  write SetNumbersOnly
  default False;


TCustomEdit.OnChange

Event handler for any change in text.

Declaration

Source position: stdctrls.pp line 835

public property TCustomEdit.OnChange : TNotifyEvent
  read FOnChange
  write FOnChange;

Description

Text changes which trigger OnChange include changing the text programatically and also changing it by the user, for example using the keyboard or a virtual keyboard. Note that some OnChange events in other classes might not be trigerred on programatical changes, for example TComboBox.OnChange. This event should not happen when only starting up a form, without any extra code.

See also

TCustomComboBox.OnChange

Event handler for user changed text in the edit box.


TCustomEdit.PasswordChar

Allows to obfuscate the displayed text, showing all characters as PasswordChar.

Declaration

Source position: stdctrls.pp line 836

public property TCustomEdit.PasswordChar : Char
  read FPasswordChar
  write SetPasswordChar
  default #0;

Description

Typically used in password input, to hide the input from other viewers.

Remark: Malware still can read the Text property (WM_GETTEXT), to get the real text.

See also

TCustomEdit.EchoMode

Allows to modify the text display, useful for entering passwords.


TCustomEdit.PasteFromClipboard

Inserts text from the clipboard at the current position, possibly replacing the selected text.

Declaration

Source position: stdctrls.pp line 816

public procedure TCustomEdit.PasteFromClipboard; virtual;


TCustomEdit.ReadOnly

Prevents the user from changing the text.

Declaration

Source position: stdctrls.pp line 838

public property TCustomEdit.ReadOnly : Boolean
  read GetReadOnly
  write SetReadOnly
  default False;


TCustomEdit.RemoveAllHandlersOfObject

Declaration

Source position: stdctrls.pp line 819

public procedure TCustomEdit.RemoveAllHandlersOfObject(

  AnObject: TObject

); override;


TCustomEdit.RemoveHandlerOnChange

Declaration

Source position: stdctrls.pp line 822

public procedure TCustomEdit.RemoveHandlerOnChange(

  const AnOnChangeEvent: TNotifyEvent

);


TCustomEdit.SelectAll

Selects the entire text in the control.

Declaration

Source position: stdctrls.pp line 812

public procedure TCustomEdit.SelectAll;


TCustomEdit.SelLength

The number of currently selected characters.

Declaration

Source position: stdctrls.pp line 839

public property TCustomEdit.SelLength : Integer
  read GetSelLength
  write SetSelLength;

See also

TCustomEdit.SelText | The selected text in the edit box.
TCustomEdit.SelStart | The zero-based index of the first character in the selection.
TCustomComboBox.SelStart | The zero-based UTF-8 index of the begin of the selection in the edit box.


TCustomEdit.SelStart

The zero-based index of the first character in the selection.

Declaration

Source position: stdctrls.pp line 840

public property TCustomEdit.SelStart : Integer
  read GetSelStart
  write SetSelStart;

See also

TCustomEdit.SelLength | The number of currently selected characters.
TCustomComboBox.SelStart | The zero-based UTF-8 index of the begin of the selection in the edit box.


TCustomEdit.SelText

The selected text in the edit box.

Declaration

Source position: stdctrls.pp line 841

public property TCustomEdit.SelText : string
  read GetSelText
  write SetSelText;

Description

Assign an new string to replace the selected text.

See also

TCustomEdit.SelLength | The number of currently selected characters.
TCustomEdit.SelStart | The zero-based index of the first character in the selection.
TCustomComboBox.SelStart | The zero-based UTF-8 index of the begin of the selection in the edit box.


TCustomEdit.SetNumbersOnly

Declaration

Source position: stdctrls.pp line 786

protected procedure TCustomEdit.SetNumbersOnly(

  Value: Boolean

); virtual;


TCustomEdit.SetTextHint

Declaration

Source position: stdctrls.pp line 791

protected procedure TCustomEdit.SetTextHint(

  const AValue: TTranslateString

); virtual;


TCustomEdit.ShouldAutoAdjust

Declaration

Source position: stdctrls.pp line 801

protected procedure TCustomEdit.ShouldAutoAdjust(

  var AWidth: Boolean;

  var AHeight: Boolean

); override;


TCustomEdit.TEmulatedTextHintStatus

Declaration

Source position: stdctrls.pp line 760

protected type TCustomEdit.TEmulatedTextHintStatus = (

  thsHidden,

  thsShowing,

  thsChanging

);


TCustomEdit.Text

The text in the edit box.

Declaration

Source position: stdctrls.pp line 844

public property TCustomEdit.Text : TCaption;


TCustomEdit.TextHint

Default text shown when the Text property is empty and control has no focus.

Declaration

Source position: stdctrls.pp line 845

public property TCustomEdit.TextHint : TTranslateString
  read GetTextHint
  write SetTextHint;

Description

TextHint fills the TCustomEdit with the value assigned to it, whenever the control's Text property is empty and the control does not have focus. Hint only (and always if showhint = true) displays a baloontip when the mouse is over the control.


TCustomEdit.Undo

Reverts the last edit action.

Declaration

Source position: stdctrls.pp line 817

public procedure TCustomEdit.Undo; virtual;


TCustomGroupBox

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

The base class for TGroupBox, TRadioGroup and TCheckGroup.

Declaration

Source position: stdctrls.pp line 164

type TCustomGroupBox = class(TWinControl)

protected

  class procedure WSRegisterClass; override;

Registers this component class with the current WidgetSet.

  class function GetControlClassDefaultSize; override;

  procedure CreateParams(); override;

public

  constructor Create(); override;

end;

Inheritance

TCustomGroupBox | The base class for TGroupBox, TRadioGroup and TCheckGroup.
|
TWinControl | The base class for controls which can contain other (child) controls.
|
TControl | The base class for visible controls.
|
TLCLComponent | The base class for LCL components associated with widgets.
|
TComponent,IUnknown,IInterfaceComponentReference
|
TPersistent,IFPObserved
|
TObject


TCustomGroupBox
TWinControl
pt |  | WindowHandle
pt |  | BorderStyle
pt |  | ParentBackground
 |  | BorderWidth
 | ro | BoundsLockCount
 | ro | Brush
 | ro | CachedClientHeight
 | ro | CachedClientWidth
 |  | ChildSizing
 | ro | ControlCount
 | ro | Controls
 |  | DefWndProc
 | ro | DockClientCount
 | ro | DockClients
 |  | DockManager
 |  | DockSite
 |  | DoubleBuffered
 |  | Handle
 | ro | IsFlipped
 | ro | IsResizing
 |  | TabOrder
 |  | TabStop
 |  | ParentDoubleBuffered
 |  | ParentWindow
 | ro | Showing
 |  | UseDockManager
 |  | DesignerDeleting
 | ro | VisibleDockClientCount
TControl
pt | ro | AutoSizing
pt | ro | AutoSizingAll
pt | ro | AutoSizingLockCount
pt |  | ActionLink
pt |  | DesktopFont
pt |  | DragCursor
pt |  | DragKind
pt |  | DragMode
pt |  | MouseCapture
pt |  | ParentColor
pt |  | ParentFont
pt |  | ParentShowHint
pt |  | SessionProperties
pt |  | Text
 | ro | AnchoredControls
 | ro | BaseBounds
 | ro | ReadBounds
 | ro | BaseParentClientSize
 |  | AccessibleDescription
 |  | AccessibleValue
 |  | AccessibleRole
 |  | Action
 |  | Align
 |  | Anchors
 | ro | AnchorSide
 |  | AutoSize
 |  | BorderSpacing
 |  | BoundsRect
 |  | BoundsRectForNewParent
 |  | Caption
 |  | CaptureMouseButtons
 |  | ClientHeight
 | ro | ClientOrigin
 | ro | ClientRect
 |  | ClientWidth
 |  | Color
 |  | Constraints
 | ro | ControlOrigin
 |  | ControlState
 |  | ControlStyle
 |  | Enabled
 |  | Font
 |  | IsControl
 | ro | MouseEntered
 | ro | MouseInClient
 |  | Parent
 |  | PopupMenu
 |  | ShowHint
 |  | Visible
 |  | WindowProc
 |  | DockOrientation
 | ro | Floating
 |  | FloatingDockSiteClass
 |  | HostDockSite
 |  | LRDockWidth
 |  | TBDockHeight
 |  | UndockHeight
 |  | UndockWidth
 |  | BiDiMode
 |  | ParentBiDiMode
pl |  | AnchorSideLeft
pl |  | AnchorSideTop
pl |  | AnchorSideRight
pl |  | AnchorSideBottom
pl |  | Cursor
pl |  | Left
pl |  | Height
pl |  | Hint
pl |  | Top
pl |  | Width
pl |  | HelpType
pl |  | HelpKeyword
pl |  | HelpContext
TLCLComponent
 | ro | LCLRefCount
 | ro | WidgetSetClass
TComponent
 | ro | ComObject
 | ro | Components
 | ro | ComponentCount
 |  | ComponentIndex
 | ro | ComponentState
 | ro | ComponentStyle
 |  | DesignInfo
 | ro | Owner
 |  | VCLComObject
 |  | Name
 |  | Tag
TPersistent
TObject


TCustomGroupBox
pt | WSRegisterClass
pt | GetControlClassDefaultSize
pt | CreateParams
 | Create
TWinControl
pt | WSRegisterClass
pt | AdjustClientRect
pt | GetAdjustedLogicalClientRect
pt | AlignControls
pt | CustomAlignInsertBefore
pt | CustomAlignPosition
pt | DoAlignChildControls
pt | DoChildSizingChange
pt | InvalidatePreferredChildSizes
pt | CanTab
pt | IsClientHeightStored
pt | IsClientWidthStored
pt | DoSendShowHideToInterface
pt | ControlsAligned
pt | DoSendBoundsToInterface
pt | RealizeBounds
pt | RealizeBoundsRecursive
pt | InvalidateBoundsRealized
pt | CreateSubClass
pt | DoConstraintsChange
pt | DoSetBounds
pt | DoAutoSize
pt | DoAllAutoSize
pt | AllAutoSized
pt | CalculatePreferredSize
pt | GetPreferredSizeClientFrame
pt | GetChildren
pt | ChildClassAllowed
pt | PaintControls
pt | PaintHandler
pt | PaintWindow
pt | CreateBrush
pt | ScaleControls
pt | ChangeScale
pt | CMBiDiModeChanged
pt | CMBorderChanged
pt | CMDoubleBufferedChanged
pt | CMEnabledChanged
pt | CMParentDoubleBufferedChanged
pt | CMShowingChanged
pt | CMShowHintChanged
pt | CMVisibleChanged
pt | CMEnter
pt | CMExit
pt | WMContextMenu
pt | WMEraseBkgnd
pt | WMNotify
pt | WMSetFocus
pt | WMKillFocus
pt | WMShowWindow
pt | WMEnter
pt | WMExit
pt | WMKeyDown
pt | WMSysKeyDown
pt | WMKeyUp
pt | WMSysKeyUp
pt | WMChar
pt | WMSysChar
pt | WMPaint
pt | WMDestroy
pt | WMMove
pt | WMSize
pt | WMWindowPosChanged
pt | CNKeyDown
pt | CNSysKeyDown
pt | CNKeyUp
pt | CNSysKeyUp
pt | CNChar
pt | DoDragMsg
pt | DoDockClientMsg
pt | DoUndockClientMsg
pt | DoAddDockClient
pt | DockOver
pt | DoDockOver
pt | DoRemoveDockClient
pt | DoUnDock
pt | GetSiteInfo
pt | GetParentHandle
pt | GetTopParentHandle
pt | ReloadDockedControl
pt | CreateDockManager
pt | SetDockManager
pt | DoFloatMsg
pt | DoGetDockCaption
pt | DoEnter
pt | DoExit
pt | DoKeyDownBeforeInterface
pt | DoRemainingKeyDown
pt | DoRemainingKeyUp
pt | DoKeyPress
pt | DoUTF8KeyPress
pt | DoKeyUpBeforeInterface
pt | ChildKey
pt | SendDialogChar
pt | DialogChar
pt | ControlKeyDown
pt | ControlKeyUp
pt | KeyDown
pt | KeyDownBeforeInterface
pt | KeyDownAfterInterface
pt | KeyPress
pt | KeyUp
pt | KeyUpBeforeInterface
pt | KeyUpAfterInterface
pt | UTF8KeyPress
pt | FindNextControl
pt | SelectFirst
pt | RealGetText
pt | GetBorderStyle
pt | GetClientOrigin
pt | GetClientRect
pt | GetControlOrigin
pt | GetDeviceContext
pt | GetParentBackground
pt | IsControlMouseMsg
pt | CreateHandle
pt | CreateParams
pt | CreateWnd
pt | DestroyHandle
pt | DestroyWnd
pt | DoFlipChildren
pt | FinalizeWnd
pt | FixupTabList
pt | FontChanged
pt | InitializeWnd
pt | Loaded
pt | FormEndUpdated
pt | MainWndProc
pt | ParentFormHandleInitialized
pt | ChildHandlesCreated
pt | GetMouseCapture
pt | RealSetText
pt | RemoveFocus
pt | SendMoveSizeMessages
pt | SetBorderStyle
pt | SetColor
pt | SetChildZPosition
pt | SetParentBackground
pt | ShowControl
pt | UpdateControlState
pt | UpdateShowing
pt | WndProc
pt | WSSetText
 | AutoSizePhases
 | AutoSizeDelayed
 | AutoSizeDelayedReport
 | AutoSizeDelayedHandle
 | BeginUpdateBounds
 | EndUpdateBounds
 | LockRealizeBounds
 | UnlockRealizeBounds
 | ControlAtPos
 | ContainsControl
 | DoAdjustClientRectChange
 | InvalidateClientRectCache
 | ClientRectNeedsInterfaceUpdate
 | SetBounds
 | GetChildrenRect
 | DisableAlign
 | EnableAlign
 | ReAlign
 | ScrollBy_WS
 | ScrollBy
 | WriteLayoutDebugReport
 | AutoAdjustLayout
 | Create
 | CreateParented
 | CreateParentedControl
 | Destroy
 | DockDrop
 | CanFocus
 | CanSetFocus
 | GetControlIndex
 | SetControlIndex
 | Focused
 | PerformTab
 | FindChildControl
 | SelectNext
 | SetTempCursor
 | BroadCast
 | NotifyControls
 | DefaultHandler
 | GetTextLen
 | Invalidate
 | AddControl
 | InsertControl
 | RemoveControl
 | GetEnumeratorControls
 | GetEnumeratorControlsReverse
 | Repaint
 | Update
 | SetFocus
 | FlipChildren
 | ScaleBy
 | GetDockCaption
 | UpdateDockCaption
 | GetTabOrderList
 | HandleAllocated
 | ParentHandlesAllocated
 | HandleNeeded
 | BrushCreated
 | EraseBackground
 | IntfUTF8KeyPress
 | IntfGetDropFilesTarget
 | PaintTo
 | SetShape
TControl
pt | WSRegisterClass
pt | GetCursor
pt | SetCursor
pt | SetVisible
pt | DoOnParentHandleDestruction
pt | DoAutoSize
pt | DoAllAutoSize
pt | BeginAutoSizing
pt | EndAutoSizing
pt | AnchorSideChanged
pt | ForeignAnchorSideChanged
pt | SetAlign
pt | SetAnchors
pt | SetAutoSize
pt | BoundsChanged
pt | CreateControlBorderSpacing
pt | DoConstraintsChange
pt | DoBorderSpacingChange
pt | IsBorderSpacingInnerBorderStored
pt | IsCaptionStored
pt | SendMoveSizeMessages
pt | ConstrainedResize
pt | CalculatePreferredSize
pt | DoOnResize
pt | DoOnChangeBounds
pt | CheckOnChangeBounds
pt | Resize
pt | RequestAlign
pt | UpdateAnchorRules
pt | ChangeBounds
pt | DoSetBounds
pt | ScaleConstraints
pt | ChangeScale
pt | CanAutoSize
pt | SetBiDiMode
pt | SetParentBiDiMode
pt | IsAParentAligning
pt | GetClientOrigin
pt | GetClientRect
pt | GetLogicalClientRect
pt | GetScrolledClientRect
pt | GetClientScrollOffset
pt | GetControlOrigin
pt | IsClientHeightStored
pt | IsClientWidthStored
pt | WidthIsAnchored
pt | HeightIsAnchored
pt | WMCancelMode
pt | WMContextMenu
pt | WMLButtonDown
pt | WMRButtonDown
pt | WMMButtonDown
pt | WMXButtonDown
pt | WMLButtonDBLCLK
pt | WMRButtonDBLCLK
pt | WMMButtonDBLCLK
pt | WMXButtonDBLCLK
pt | WMLButtonTripleCLK
pt | WMRButtonTripleCLK
pt | WMMButtonTripleCLK
pt | WMXButtonTripleCLK
pt | WMLButtonQuadCLK
pt | WMRButtonQuadCLK
pt | WMMButtonQuadCLK
pt | WMXButtonQuadCLK
pt | WMMouseMove
pt | WMLButtonUp
pt | WMRButtonUp
pt | WMMButtonUp
pt | WMXButtonUp
pt | WMMouseWheel
pt | WMMouseHWheel
pt | WMMove
pt | WMSize
pt | WMWindowPosChanged
pt | CMChanged
pt | LMCaptureChanged
pt | CMBiDiModeChanged
pt | CMSysFontChanged
pt | CMEnabledChanged
pt | CMHitTest
pt | CMMouseEnter
pt | CMMouseLeave
pt | CMHintShow
pt | CMParentBiDiModeChanged
pt | CMParentColorChanged
pt | CMParentFontChanged
pt | CMParentShowHintChanged
pt | CMVisibleChanged
pt | CMTextChanged
pt | CMCursorChanged
pt | CalculateDockSizes
pt | CreateFloatingDockSite
pt | GetDockEdge
pt | GetDragImages
pt | GetFloating
pt | GetFloatingDockSiteClass
pt | BeforeDragStart
pt | BeginAutoDrag
pt | DoFloatMsg
pt | DockTrackNoTarget
pt | DoDock
pt | DoDragMsg
pt | DoEndDock
pt | DoEndDrag
pt | DoStartDock
pt | DoStartDrag
pt | DragCanceled
pt | DragOver
pt | PositionDockRect
pt | SetDragMode
pt | GetDefaultDockCaption
pt | Click
pt | DblClick
pt | TripleClick
pt | QuadClick
pt | GetMousePosFromMessage
pt | MouseDown
pt | MouseMove
pt | MouseUp
pt | MouseEnter
pt | MouseLeave
pt | DialogChar
pt | UpdateMouseCursor
pt | Changed
pt | GetPalette
pt | ChildClassAllowed
pt | ReadState
pt | Loaded
pt | LoadedAll
pt | DefineProperties
pt | AssignTo
pt | FormEndUpdated
pt | InvalidateControl
pt | FontChanged
pt | ParentFontChanged
pt | GetAction
pt | RealGetText
pt | RealSetText
pt | TextChanged
pt | GetCachedText
pt | SetAction
pt | SetColor
pt | SetEnabled
pt | SetHint
pt | SetName
pt | SetParent
pt | SetParentComponent
pt | WndProc
pt | ParentFormHandleInitialized
pt | GetMouseCapture
pt | CaptureChanged
pt | Notification
pt | CanTab
pt | GetDeviceContext
pt | GetEnabled
pt | GetPopupMenu
pt | DoOnShowHint
pt | DoMouseWheel
pt | DoMouseWheelDown
pt | DoMouseWheelUp
pt | DoMouseWheelHorz
pt | DoMouseWheelLeft
pt | DoMouseWheelRight
pt | VisibleChanging
pt | VisibleChanged
pt | EnabledChanging
pt | EnabledChanged
pt | AddHandler
pt | RemoveHandler
pt | DoCallNotifyHandler
pt | DoCallKeyEventHandler
pt | DoCallMouseWheelEventHandler
pt | DoContextPopup
pt | SetZOrder
pt | GetControlClassDefaultSize
pt | ColorIsStored
pt | DoAutoAdjustLayout
pt | DoFixDesignFontPPI
pt | DoScaleFontPPI
pt | GetActionLinkClass
pt | ActionChange
 | DragDrop
 | Dock
 | ManualDock
 | ManualFloat
 | ReplaceDockedControl
 | Docked
 | Dragging
 | GetAccessibleObject
 | CreateAccessibleObject
 | GetSelectedChildAccessibleObject
 | GetChildAccessibleObjectAtPos
 | ScaleDesignToForm
 | ScaleFormToDesign
 | Scale96ToForm
 | ScaleFormTo96
 | Scale96ToFont
 | ScaleFontTo96
 | ScaleScreenToFont
 | ScaleFontToScreen
 | Scale96ToScreen
 | ScaleScreenTo96
 | AdjustSize
 | AutoSizePhases
 | AutoSizeDelayed
 | AutoSizeDelayedReport
 | AutoSizeDelayedHandle
 | AnchorToNeighbour
 | AnchorParallel
 | AnchorHorizontalCenterTo
 | AnchorVerticalCenterTo
 | AnchorToCompanion
 | AnchorSame
 | AnchorAsAlign
 | AnchorClient
 | AnchoredControlCount
 | SetBounds
 | SetInitialBounds
 | SetBoundsKeepBase
 | GetPreferredSize
 | GetCanvasScaleFactor
 | GetDefaultWidth
 | GetDefaultHeight
 | GetDefaultColor
 | GetColorResolvingParent
 | GetRGBColorResolvingParent
 | GetSidePosition
 | CNPreferredSizeChanged
 | InvalidatePreferredSize
 | GetAnchorsDependingOnParent
 | DisableAutoSizing
 | EnableAutoSizing
 | UpdateBaseBounds
 | WriteLayoutDebugReport
 | AutoAdjustLayout
 | ShouldAutoAdjust
 | FixDesignFontsPPI
 | ScaleFontsPPI
 | Create
 | Destroy
 | BeforeDestruction
 | EditingDone
 | ExecuteDefaultAction
 | ExecuteCancelAction
 | BeginDrag
 | EndDrag
 | BringToFront
 | HasParent
 | GetParentComponent
 | IsParentOf
 | GetTopParent
 | IsVisible
 | IsControlVisible
 | IsEnabled
 | IsParentColor
 | IsParentFont
 | FormIsUpdating
 | IsProcessingPaintMsg
 | Hide
 | Refresh
 | Repaint
 | Invalidate
 | CheckChildClassAllowed
 | CheckNewParent
 | SendToBack
 | SetTempCursor
 | UpdateRolesForForm
 | ActiveDefaultControlChanged
 | GetTextBuf
 | GetTextLen
 | SetTextBuf
 | Perform
 | ScreenToClient
 | ClientToScreen
 | ScreenToControl
 | ControlToScreen
 | ClientToParent
 | ParentToClient
 | GetChildrenRect
 | Show
 | Update
 | HandleObjectShouldBeVisible
 | ParentDestroyingHandle
 | ParentHandlesAllocated
 | InitiateAction
 | ShowHelp
 | HasHelp
 | RemoveAllHandlersOfObject
 | AddHandlerOnResize
 | RemoveHandlerOnResize
 | AddHandlerOnChangeBounds
 | RemoveHandlerOnChangeBounds
 | AddHandlerOnVisibleChanging
 | RemoveHandlerOnVisibleChanging
 | AddHandlerOnVisibleChanged
 | RemoveHandlerOnVisibleChanged
 | AddHandlerOnEnabledChanged
 | RemoveHandlerOnEnableChanging
 | AddHandlerOnKeyDown
 | RemoveHandlerOnKeyDown
 | AddHandlerOnBeforeDestruction
 | RemoveHandlerOnBeforeDestruction
 | AddHandlerOnMouseWheel
 | RemoveHandlerOnMouseWheel
 | UseRightToLeftAlignment
 | UseRightToLeftReading
 | UseRightToLeftScrollBar
 | IsRightToLeft
TLCLComponent
pt | WSRegisterClass
pt | GetWSComponentClass
 | Create
 | Destroy
 | NewInstance
 | RemoveAllHandlersOfObject
 | IncLCLRefCount
 | DecLCLRefCount
TComponent
 | GetComObject
 | GetComponent
 | GetComponentCount
 | GetComponentIndex
 | Insert
 | ReadLeft
 | ReadTop
 | Remove
 | RemoveNotification
 | SetComponentIndex
 | SetReference
 | WriteLeft
 | WriteTop
 | ChangeName
 | DefineProperties
 | GetChildren
 | GetChildOwner
 | GetChildParent
 | GetOwner
 | Loaded
 | Loading
 | Notification
 | PaletteCreated
 | ReadState
 | SetAncestor
 | SetDesigning
 | SetDesignInstance
 | SetInline
 | SetName
 | SetChildOrder
 | SetParentComponent
 | Updating
 | Updated
 | UpdateRegistry
 | ValidateRename
 | ValidateContainer
 | ValidateInsert
 | QueryInterface
 | _AddRef
 | _Release
 | iicrGetComponent
 | GetTypeInfoCount
 | GetTypeInfo
 | GetIDsOfNames
 | Invoke
 | WriteState
 | Create
 | Destroy
 | BeforeDestruction
 | DestroyComponents
 | Destroying
 | ExecuteAction
 | FindComponent
 | FreeNotification
 | RemoveFreeNotification
 | FreeOnRelease
 | GetEnumerator
 | GetNamePath
 | GetParentComponent
 | HasParent
 | InsertComponent
 | RemoveComponent
 | SafeCallException
 | SetSubComponent
 | UpdateAction
 | IsImplementorOf
 | ReferenceInterface
TPersistent
 | AssignError
 | AssignTo
 | DefineProperties
 | GetOwner
 | Destroy
 | Assign
 | FPOAttachObserver
 | FPODetachObserver
 | FPONotifyObservers
 | GetNamePath
TObject
 | Create
 | Destroy
 | newinstance
 | FreeInstance
 | SafeCallException
 | DefaultHandler
 | Free
 | InitInstance
 | CleanupInstance
 | ClassType
 | ClassInfo
 | ClassName
 | ClassNameIs
 | ClassParent
 | InstanceSize
 | InheritsFrom
 | StringMessageTable
 | MethodAddress
 | MethodName
 | FieldAddress
 | AfterConstruction
 | BeforeDestruction
 | DefaultHandlerStr
 | Dispatch
 | DispatchStr
 | GetInterface
 | GetInterfaceByStr
 | GetInterfaceWeak
 | GetInterfaceEntry
 | GetInterfaceEntryByStr
 | GetInterfaceTable
 | UnitName
 | Equals
 | GetHashCode
 | ToString


pt | ActionChange (TControl)
 | ActiveDefaultControlChanged (TControl)
 | AddControl (TWinControl)
pt | AddHandler (TControl)
 | AddHandlerOnBeforeDestruction (TControl)
 | AddHandlerOnChangeBounds (TControl)
 | AddHandlerOnEnabledChanged (TControl)
 | AddHandlerOnKeyDown (TControl)
 | AddHandlerOnMouseWheel (TControl)
 | AddHandlerOnResize (TControl)
 | AddHandlerOnVisibleChanged (TControl)
 | AddHandlerOnVisibleChanging (TControl)
pt | AdjustClientRect (TWinControl)
 | AdjustSize (TControl)
 | AfterConstruction (TObject)
pt | AlignControls (TWinControl)
pt | AllAutoSized (TWinControl)
 | AnchorAsAlign (TControl)
 | AnchorClient (TControl)
 | AnchoredControlCount (TControl)
 | AnchorHorizontalCenterTo (TControl)
 | AnchorParallel (TControl)
 | AnchorSame (TControl)
pt | AnchorSideChanged (TControl)
 | AnchorToCompanion (TControl)
 | AnchorToNeighbour (TControl)
 | AnchorVerticalCenterTo (TControl)
 | Assign (TPersistent)
 | AssignError (TPersistent)
 | AssignTo (TPersistent)
pt | AssignTo (TControl)
 | AutoAdjustLayout (TControl)
 | AutoAdjustLayout (TWinControl)
 | AutoSizeDelayed (TControl)
 | AutoSizeDelayed (TWinControl)
 | AutoSizeDelayedHandle (TControl)
 | AutoSizeDelayedHandle (TWinControl)
 | AutoSizeDelayedReport (TControl)
 | AutoSizeDelayedReport (TWinControl)
 | AutoSizePhases (TControl)
 | AutoSizePhases (TWinControl)
 | BeforeDestruction (TObject)
 | BeforeDestruction (TComponent)
 | BeforeDestruction (TControl)
pt | BeforeDragStart (TControl)
pt | BeginAutoDrag (TControl)
pt | BeginAutoSizing (TControl)
 | BeginDrag (TControl)
 | BeginUpdateBounds (TWinControl)
pt | BoundsChanged (TControl)
 | BringToFront (TControl)
 | BroadCast (TWinControl)
 | BrushCreated (TWinControl)
pt | CalculateDockSizes (TControl)
pt | CalculatePreferredSize (TControl)
pt | CalculatePreferredSize (TWinControl)
pt | CanAutoSize (TControl)
 | CanFocus (TWinControl)
 | CanSetFocus (TWinControl)
pt | CanTab (TControl)
pt | CanTab (TWinControl)
pt | CaptureChanged (TControl)
pt | ChangeBounds (TControl)
pt | Changed (TControl)
 | ChangeName (TComponent)
pt | ChangeScale (TControl)
pt | ChangeScale (TWinControl)
 | CheckChildClassAllowed (TControl)
 | CheckNewParent (TControl)
pt | CheckOnChangeBounds (TControl)
pt | ChildClassAllowed (TControl)
pt | ChildClassAllowed (TWinControl)
pt | ChildHandlesCreated (TWinControl)
pt | ChildKey (TWinControl)
 | ClassInfo (TObject)
 | ClassName (TObject)
 | ClassNameIs (TObject)
 | ClassParent (TObject)
 | ClassType (TObject)
 | CleanupInstance (TObject)
pt | Click (TControl)
 | ClientRectNeedsInterfaceUpdate (TWinControl)
 | ClientToParent (TControl)
 | ClientToScreen (TControl)
pt | CMBiDiModeChanged (TControl)
pt | CMBiDiModeChanged (TWinControl)
pt | CMBorderChanged (TWinControl)
pt | CMChanged (TControl)
pt | CMCursorChanged (TControl)
pt | CMDoubleBufferedChanged (TWinControl)
pt | CMEnabledChanged (TControl)
pt | CMEnabledChanged (TWinControl)
pt | CMEnter (TWinControl)
pt | CMExit (TWinControl)
pt | CMHintShow (TControl)
pt | CMHitTest (TControl)
pt | CMMouseEnter (TControl)
pt | CMMouseLeave (TControl)
pt | CMParentBiDiModeChanged (TControl)
pt | CMParentColorChanged (TControl)
pt | CMParentDoubleBufferedChanged (TWinControl)
pt | CMParentFontChanged (TControl)
pt | CMParentShowHintChanged (TControl)
pt | CMShowHintChanged (TWinControl)
pt | CMShowingChanged (TWinControl)
pt | CMSysFontChanged (TControl)
pt | CMTextChanged (TControl)
pt | CMVisibleChanged (TControl)
pt | CMVisibleChanged (TWinControl)
pt | CNChar (TWinControl)
pt | CNKeyDown (TWinControl)
pt | CNKeyUp (TWinControl)
 | CNPreferredSizeChanged (TControl)
pt | CNSysKeyDown (TWinControl)
pt | CNSysKeyUp (TWinControl)
pt | ColorIsStored (TControl)
pt | ConstrainedResize (TControl)
 | ContainsControl (TWinControl)
 | ControlAtPos (TWinControl)
pt | ControlKeyDown (TWinControl)
pt | ControlKeyUp (TWinControl)
pt | ControlsAligned (TWinControl)
 | ControlToScreen (TControl)
 | Create (TObject)
 | Create (TComponent)
 | Create (TLCLComponent)
 | Create (TControl)
 | Create (TWinControl)
 | Create (TCustomGroupBox)
 | CreateAccessibleObject (TControl)
pt | CreateBrush (TWinControl)
pt | CreateControlBorderSpacing (TControl)
pt | CreateDockManager (TWinControl)
pt | CreateFloatingDockSite (TControl)
pt | CreateHandle (TWinControl)
pt | CreateParams (TWinControl)
pt | CreateParams (TCustomGroupBox)
 | CreateParented (TWinControl)
 | CreateParentedControl (TWinControl)
pt | CreateSubClass (TWinControl)
pt | CreateWnd (TWinControl)
pt | CustomAlignInsertBefore (TWinControl)
pt | CustomAlignPosition (TWinControl)
pt | DblClick (TControl)
 | DecLCLRefCount (TLCLComponent)
 | DefaultHandler (TObject)
 | DefaultHandler (TWinControl)
 | DefaultHandlerStr (TObject)
 | DefineProperties (TPersistent)
 | DefineProperties (TComponent)
pt | DefineProperties (TControl)
 | Destroy (TObject)
 | Destroy (TPersistent)
 | Destroy (TComponent)
 | Destroy (TLCLComponent)
 | Destroy (TControl)
 | Destroy (TWinControl)
 | DestroyComponents (TComponent)
pt | DestroyHandle (TWinControl)
 | Destroying (TComponent)
pt | DestroyWnd (TWinControl)
pt | DialogChar (TControl)
pt | DialogChar (TWinControl)
 | DisableAlign (TWinControl)
 | DisableAutoSizing (TControl)
 | Dispatch (TObject)
 | DispatchStr (TObject)
pt | DoAddDockClient (TWinControl)
 | DoAdjustClientRectChange (TWinControl)
pt | DoAlignChildControls (TWinControl)
pt | DoAllAutoSize (TControl)
pt | DoAllAutoSize (TWinControl)
pt | DoAutoAdjustLayout (TControl)
pt | DoAutoSize (TControl)
pt | DoAutoSize (TWinControl)
pt | DoBorderSpacingChange (TControl)
pt | DoCallKeyEventHandler (TControl)
pt | DoCallMouseWheelEventHandler (TControl)
pt | DoCallNotifyHandler (TControl)
pt | DoChildSizingChange (TWinControl)
 | Dock (TControl)
 | DockDrop (TWinControl)
 | Docked (TControl)
pt | DockOver (TWinControl)
pt | DockTrackNoTarget (TControl)
pt | DoConstraintsChange (TControl)
pt | DoConstraintsChange (TWinControl)
pt | DoContextPopup (TControl)
pt | DoDock (TControl)
pt | DoDockClientMsg (TWinControl)
pt | DoDockOver (TWinControl)
pt | DoDragMsg (TControl)
pt | DoDragMsg (TWinControl)
pt | DoEndDock (TControl)
pt | DoEndDrag (TControl)
pt | DoEnter (TWinControl)
pt | DoExit (TWinControl)
pt | DoFixDesignFontPPI (TControl)
pt | DoFlipChildren (TWinControl)
pt | DoFloatMsg (TControl)
pt | DoFloatMsg (TWinControl)
pt | DoGetDockCaption (TWinControl)
pt | DoKeyDownBeforeInterface (TWinControl)
pt | DoKeyPress (TWinControl)
pt | DoKeyUpBeforeInterface (TWinControl)
pt | DoMouseWheel (TControl)
pt | DoMouseWheelDown (TControl)
pt | DoMouseWheelHorz (TControl)
pt | DoMouseWheelLeft (TControl)
pt | DoMouseWheelRight (TControl)
pt | DoMouseWheelUp (TControl)
pt | DoOnChangeBounds (TControl)
pt | DoOnParentHandleDestruction (TControl)
pt | DoOnResize (TControl)
pt | DoOnShowHint (TControl)
pt | DoRemainingKeyDown (TWinControl)
pt | DoRemainingKeyUp (TWinControl)
pt | DoRemoveDockClient (TWinControl)
pt | DoScaleFontPPI (TControl)
pt | DoSendBoundsToInterface (TWinControl)
pt | DoSendShowHideToInterface (TWinControl)
pt | DoSetBounds (TControl)
pt | DoSetBounds (TWinControl)
pt | DoStartDock (TControl)
pt | DoStartDrag (TControl)
pt | DoUnDock (TWinControl)
pt | DoUndockClientMsg (TWinControl)
pt | DoUTF8KeyPress (TWinControl)
pt | DragCanceled (TControl)
 | DragDrop (TControl)
 | Dragging (TControl)
pt | DragOver (TControl)
 | EditingDone (TControl)
 | EnableAlign (TWinControl)
 | EnableAutoSizing (TControl)
pt | EnabledChanged (TControl)
pt | EnabledChanging (TControl)
pt | EndAutoSizing (TControl)
 | EndDrag (TControl)
 | EndUpdateBounds (TWinControl)
 | Equals (TObject)
 | EraseBackground (TWinControl)
 | ExecuteAction (TComponent)
 | ExecuteCancelAction (TControl)
 | ExecuteDefaultAction (TControl)
 | FieldAddress (TObject)
pt | FinalizeWnd (TWinControl)
 | FindChildControl (TWinControl)
 | FindComponent (TComponent)
pt | FindNextControl (TWinControl)
 | FixDesignFontsPPI (TControl)
pt | FixupTabList (TWinControl)
 | FlipChildren (TWinControl)
 | Focused (TWinControl)
pt | FontChanged (TControl)
pt | FontChanged (TWinControl)
pt | ForeignAnchorSideChanged (TControl)
pt | FormEndUpdated (TControl)
pt | FormEndUpdated (TWinControl)
 | FormIsUpdating (TControl)
 | FPOAttachObserver (TPersistent)
 | FPODetachObserver (TPersistent)
 | FPONotifyObservers (TPersistent)
 | Free (TObject)
 | FreeInstance (TObject)
 | FreeNotification (TComponent)
 | FreeOnRelease (TComponent)
 | GetAccessibleObject (TControl)
pt | GetAction (TControl)
pt | GetActionLinkClass (TControl)
pt | GetAdjustedLogicalClientRect (TWinControl)
 | GetAnchorsDependingOnParent (TControl)
pt | GetBorderStyle (TWinControl)
pt | GetCachedText (TControl)
 | GetCanvasScaleFactor (TControl)
 | GetChildAccessibleObjectAtPos (TControl)
 | GetChildOwner (TComponent)
 | GetChildParent (TComponent)
 | GetChildren (TComponent)
pt | GetChildren (TWinControl)
 | GetChildrenRect (TControl)
 | GetChildrenRect (TWinControl)
pt | GetClientOrigin (TControl)
pt | GetClientOrigin (TWinControl)
pt | GetClientRect (TControl)
pt | GetClientRect (TWinControl)
pt | GetClientScrollOffset (TControl)
 | GetColorResolvingParent (TControl)
 | GetComObject (TComponent)
 | GetComponent (TComponent)
 | GetComponentCount (TComponent)
 | GetComponentIndex (TComponent)
pt | GetControlClassDefaultSize (TControl)
pt | GetControlClassDefaultSize (TCustomGroupBox)
 | GetControlIndex (TWinControl)
pt | GetControlOrigin (TControl)
pt | GetControlOrigin (TWinControl)
pt | GetCursor (TControl)
 | GetDefaultColor (TControl)
pt | GetDefaultDockCaption (TControl)
 | GetDefaultHeight (TControl)
 | GetDefaultWidth (TControl)
pt | GetDeviceContext (TControl)
pt | GetDeviceContext (TWinControl)
 | GetDockCaption (TWinControl)
pt | GetDockEdge (TControl)
pt | GetDragImages (TControl)
pt | GetEnabled (TControl)
 | GetEnumerator (TComponent)
 | GetEnumeratorControls (TWinControl)
 | GetEnumeratorControlsReverse (TWinControl)
pt | GetFloating (TControl)
pt | GetFloatingDockSiteClass (TControl)
 | GetHashCode (TObject)
 | GetIDsOfNames (TComponent)
 | GetInterface (TObject)
 | GetInterfaceByStr (TObject)
 | GetInterfaceEntry (TObject)
 | GetInterfaceEntryByStr (TObject)
 | GetInterfaceTable (TObject)
 | GetInterfaceWeak (TObject)
pt | GetLogicalClientRect (TControl)
pt | GetMouseCapture (TControl)
pt | GetMouseCapture (TWinControl)
pt | GetMousePosFromMessage (TControl)
 | GetNamePath (TPersistent)
 | GetNamePath (TComponent)
 | GetOwner (TPersistent)
 | GetOwner (TComponent)
pt | GetPalette (TControl)
pt | GetParentBackground (TWinControl)
 | GetParentComponent (TComponent)
 | GetParentComponent (TControl)
pt | GetParentHandle (TWinControl)
pt | GetPopupMenu (TControl)
 | GetPreferredSize (TControl)
pt | GetPreferredSizeClientFrame (TWinControl)
 | GetRGBColorResolvingParent (TControl)
pt | GetScrolledClientRect (TControl)
 | GetSelectedChildAccessibleObject (TControl)
 | GetSidePosition (TControl)
pt | GetSiteInfo (TWinControl)
 | GetTabOrderList (TWinControl)
 | GetTextBuf (TControl)
 | GetTextLen (TControl)
 | GetTextLen (TWinControl)
 | GetTopParent (TControl)
pt | GetTopParentHandle (TWinControl)
 | GetTypeInfo (TComponent)
 | GetTypeInfoCount (TComponent)
pt | GetWSComponentClass (TLCLComponent)
 | HandleAllocated (TWinControl)
 | HandleNeeded (TWinControl)
 | HandleObjectShouldBeVisible (TControl)
 | HasHelp (TControl)
 | HasParent (TComponent)
 | HasParent (TControl)
pt | HeightIsAnchored (TControl)
 | Hide (TControl)
 | iicrGetComponent (TComponent)
 | IncLCLRefCount (TLCLComponent)
 | InheritsFrom (TObject)
pt | InitializeWnd (TWinControl)
 | InitiateAction (TControl)
 | InitInstance (TObject)
 | Insert (TComponent)
 | InsertComponent (TComponent)
 | InsertControl (TWinControl)
 | InstanceSize (TObject)
 | IntfGetDropFilesTarget (TWinControl)
 | IntfUTF8KeyPress (TWinControl)
 | Invalidate (TControl)
 | Invalidate (TWinControl)
pt | InvalidateBoundsRealized (TWinControl)
 | InvalidateClientRectCache (TWinControl)
pt | InvalidateControl (TControl)
pt | InvalidatePreferredChildSizes (TWinControl)
 | InvalidatePreferredSize (TControl)
 | Invoke (TComponent)
pt | IsAParentAligning (TControl)
pt | IsBorderSpacingInnerBorderStored (TControl)
pt | IsCaptionStored (TControl)
pt | IsClientHeightStored (TControl)
pt | IsClientHeightStored (TWinControl)
pt | IsClientWidthStored (TControl)
pt | IsClientWidthStored (TWinControl)
pt | IsControlMouseMsg (TWinControl)
 | IsControlVisible (TControl)
 | IsEnabled (TControl)
 | IsImplementorOf (TComponent)
 | IsParentColor (TControl)
 | IsParentFont (TControl)
 | IsParentOf (TControl)
 | IsProcessingPaintMsg (TControl)
 | IsRightToLeft (TControl)
 | IsVisible (TControl)
pt | KeyDown (TWinControl)
pt | KeyDownAfterInterface (TWinControl)
pt | KeyDownBeforeInterface (TWinControl)
pt | KeyPress (TWinControl)
pt | KeyUp (TWinControl)
pt | KeyUpAfterInterface (TWinControl)
pt | KeyUpBeforeInterface (TWinControl)
pt | LMCaptureChanged (TControl)
 | Loaded (TComponent)
pt | Loaded (TControl)
pt | Loaded (TWinControl)
pt | LoadedAll (TControl)
 | Loading (TComponent)
 | LockRealizeBounds (TWinControl)
pt | MainWndProc (TWinControl)
 | ManualDock (TControl)
 | ManualFloat (TControl)
 | MethodAddress (TObject)
 | MethodName (TObject)
pt | MouseDown (TControl)
pt | MouseEnter (TControl)
pt | MouseLeave (TControl)
pt | MouseMove (TControl)
pt | MouseUp (TControl)
 | newinstance (TObject)
 | NewInstance (TLCLComponent)
 | Notification (TComponent)
pt | Notification (TControl)
 | NotifyControls (TWinControl)
pt | PaintControls (TWinControl)
pt | PaintHandler (TWinControl)
 | PaintTo (TWinControl)
pt | PaintWindow (TWinControl)
 | PaletteCreated (TComponent)
 | ParentDestroyingHandle (TControl)
pt | ParentFontChanged (TControl)
pt | ParentFormHandleInitialized (TControl)
pt | ParentFormHandleInitialized (TWinControl)
 | ParentHandlesAllocated (TControl)
 | ParentHandlesAllocated (TWinControl)
 | ParentToClient (TControl)
 | Perform (TControl)
 | PerformTab (TWinControl)
pt | PositionDockRect (TControl)
pt | QuadClick (TControl)
 | QueryInterface (TComponent)
 | ReadLeft (TComponent)
 | ReadState (TComponent)
pt | ReadState (TControl)
 | ReadTop (TComponent)
pt | RealGetText (TControl)
pt | RealGetText (TWinControl)
 | ReAlign (TWinControl)
pt | RealizeBounds (TWinControl)
pt | RealizeBoundsRecursive (TWinControl)
pt | RealSetText (TControl)
pt | RealSetText (TWinControl)
 | ReferenceInterface (TComponent)
 | Refresh (TControl)
pt | ReloadDockedControl (TWinControl)
 | Remove (TComponent)
 | RemoveAllHandlersOfObject (TLCLComponent)
 | RemoveAllHandlersOfObject (TControl)
 | RemoveComponent (TComponent)
 | RemoveControl (TWinControl)
pt | RemoveFocus (TWinControl)
 | RemoveFreeNotification (TComponent)
pt | RemoveHandler (TControl)
 | RemoveHandlerOnBeforeDestruction (TControl)
 | RemoveHandlerOnChangeBounds (TControl)
 | RemoveHandlerOnEnableChanging (TControl)
 | RemoveHandlerOnKeyDown (TControl)
 | RemoveHandlerOnMouseWheel (TControl)
 | RemoveHandlerOnResize (TControl)
 | RemoveHandlerOnVisibleChanged (TControl)
 | RemoveHandlerOnVisibleChanging (TControl)
 | RemoveNotification (TComponent)
 | Repaint (TControl)
 | Repaint (TWinControl)
 | ReplaceDockedControl (TControl)
pt | RequestAlign (TControl)
pt | Resize (TControl)
 | SafeCallException (TObject)
 | SafeCallException (TComponent)
 | Scale96ToFont (TControl)
 | Scale96ToForm (TControl)
 | Scale96ToScreen (TControl)
 | ScaleBy (TWinControl)
pt | ScaleConstraints (TControl)
pt | ScaleControls (TWinControl)
 | ScaleDesignToForm (TControl)
 | ScaleFontsPPI (TControl)
 | ScaleFontTo96 (TControl)
 | ScaleFontToScreen (TControl)
 | ScaleFormTo96 (TControl)
 | ScaleFormToDesign (TControl)
 | ScaleScreenTo96 (TControl)
 | ScaleScreenToFont (TControl)
 | ScreenToClient (TControl)
 | ScreenToControl (TControl)
 | ScrollBy (TWinControl)
 | ScrollBy_WS (TWinControl)
pt | SelectFirst (TWinControl)
 | SelectNext (TWinControl)
pt | SendDialogChar (TWinControl)
pt | SendMoveSizeMessages (TControl)
pt | SendMoveSizeMessages (TWinControl)
 | SendToBack (TControl)
pt | SetAction (TControl)
pt | SetAlign (TControl)
 | SetAncestor (TComponent)
pt | SetAnchors (TControl)
pt | SetAutoSize (TControl)
pt | SetBiDiMode (TControl)
pt | SetBorderStyle (TWinControl)
 | SetBounds (TControl)
 | SetBounds (TWinControl)
 | SetBoundsKeepBase (TControl)
 | SetChildOrder (TComponent)
pt | SetChildZPosition (TWinControl)
pt | SetColor (TControl)
pt | SetColor (TWinControl)
 | SetComponentIndex (TComponent)
 | SetControlIndex (TWinControl)
pt | SetCursor (TControl)
 | SetDesigning (TComponent)
 | SetDesignInstance (TComponent)
pt | SetDockManager (TWinControl)
pt | SetDragMode (TControl)
pt | SetEnabled (TControl)
 | SetFocus (TWinControl)
pt | SetHint (TControl)
 | SetInitialBounds (TControl)
 | SetInline (TComponent)
 | SetName (TComponent)
pt | SetName (TControl)
pt | SetParent (TControl)
pt | SetParentBackground (TWinControl)
pt | SetParentBiDiMode (TControl)
 | SetParentComponent (TComponent)
pt | SetParentComponent (TControl)
 | SetReference (TComponent)
 | SetShape (TWinControl)
 | SetSubComponent (TComponent)
 | SetTempCursor (TControl)
 | SetTempCursor (TWinControl)
 | SetTextBuf (TControl)
pt | SetVisible (TControl)
pt | SetZOrder (TControl)
 | ShouldAutoAdjust (TControl)
 | Show (TControl)
pt | ShowControl (TWinControl)
 | ShowHelp (TControl)
 | StringMessageTable (TObject)
pt | TextChanged (TControl)
 | ToString (TObject)
pt | TripleClick (TControl)
 | UnitName (TObject)
 | UnlockRealizeBounds (TWinControl)
 | Update (TControl)
 | Update (TWinControl)
 | UpdateAction (TComponent)
pt | UpdateAnchorRules (TControl)
 | UpdateBaseBounds (TControl)
pt | UpdateControlState (TWinControl)
 | Updated (TComponent)
 | UpdateDockCaption (TWinControl)
pt | UpdateMouseCursor (TControl)
 | UpdateRegistry (TComponent)
 | UpdateRolesForForm (TControl)
pt | UpdateShowing (TWinControl)
 | Updating (TComponent)
 | UseRightToLeftAlignment (TControl)
 | UseRightToLeftReading (TControl)
 | UseRightToLeftScrollBar (TControl)
pt | UTF8KeyPress (TWinControl)
 | ValidateContainer (TComponent)
 | ValidateInsert (TComponent)
 | ValidateRename (TComponent)
pt | VisibleChanged (TControl)
pt | VisibleChanging (TControl)
pt | WidthIsAnchored (TControl)
pt | WMCancelMode (TControl)
pt | WMChar (TWinControl)
pt | WMContextMenu (TControl)
pt | WMContextMenu (TWinControl)
pt | WMDestroy (TWinControl)
pt | WMEnter (TWinControl)
pt | WMEraseBkgnd (TWinControl)
pt | WMExit (TWinControl)
pt | WMKeyDown (TWinControl)
pt | WMKeyUp (TWinControl)
pt | WMKillFocus (TWinControl)
pt | WMLButtonDBLCLK (TControl)
pt | WMLButtonDown (TControl)
pt | WMLButtonQuadCLK (TControl)
pt | WMLButtonTripleCLK (TControl)
pt | WMLButtonUp (TControl)
pt | WMMButtonDBLCLK (TControl)
pt | WMMButtonDown (TControl)
pt | WMMButtonQuadCLK (TControl)
pt | WMMButtonTripleCLK (TControl)
pt | WMMButtonUp (TControl)
pt | WMMouseHWheel (TControl)
pt | WMMouseMove (TControl)
pt | WMMouseWheel (TControl)
pt | WMMove (TControl)
pt | WMMove (TWinControl)
pt | WMNotify (TWinControl)
pt | WMPaint (TWinControl)
pt | WMRButtonDBLCLK (TControl)
pt | WMRButtonDown (TControl)
pt | WMRButtonQuadCLK (TControl)
pt | WMRButtonTripleCLK (TControl)
pt | WMRButtonUp (TControl)
pt | WMSetFocus (TWinControl)
pt | WMShowWindow (TWinControl)
pt | WMSize (TControl)
pt | WMSize (TWinControl)
pt | WMSysChar (TWinControl)
pt | WMSysKeyDown (TWinControl)
pt | WMSysKeyUp (TWinControl)
pt | WMWindowPosChanged (TControl)
pt | WMWindowPosChanged (TWinControl)
pt | WMXButtonDBLCLK (TControl)
pt | WMXButtonDown (TControl)
pt | WMXButtonQuadCLK (TControl)
pt | WMXButtonTripleCLK (TControl)
pt | WMXButtonUp (TControl)
pt | WndProc (TControl)
pt | WndProc (TWinControl)
 | WriteLayoutDebugReport (TControl)
 | WriteLayoutDebugReport (TWinControl)
 | WriteLeft (TComponent)
 | WriteState (TComponent)
 | WriteTop (TComponent)
pt | WSRegisterClass (TLCLComponent)
pt | WSRegisterClass (TControl)
pt | WSRegisterClass (TWinControl)
pt | WSRegisterClass (TCustomGroupBox)
pt | WSSetText (TWinControl)
 | _AddRef (TComponent)
 | _Release (TComponent)


TCustomGroupBox
TWinControl
pt | OnGetSiteInfo
pt | OnGetDockCaption
 | OnAlignInsertBefore
 | OnAlignPosition
 | OnDockDrop
 | OnDockOver
 | OnEnter
 | OnExit
 | OnKeyDown
 | OnKeyPress
 | OnKeyUp
 | OnUnDock
 | OnUTF8KeyPress
TControl
pt | OnConstrainedResize
pt | OnContextPopup
pt | OnDblClick
pt | OnTripleClick
pt | OnQuadClick
pt | OnDragDrop
pt | OnDragOver
pt | OnEndDock
pt | OnEndDrag
pt | OnMouseDown
pt | OnMouseMove
pt | OnMouseUp
pt | OnMouseEnter
pt | OnMouseLeave
pt | OnMouseWheel
pt | OnMouseWheelDown
pt | OnMouseWheelUp
pt | OnMouseWheelHorz
pt | OnMouseWheelLeft
pt | OnMouseWheelRight
pt | OnStartDock
pt | OnStartDrag
pt | OnEditingDone
 | OnChangeBounds
 | OnClick
 | OnResize
 | OnShowHint
TLCLComponent
TComponent
TPersistent
TObject


TCustomGroupBox.Create

Declaration

Source position: stdctrls.pp line 170

public constructor TCustomGroupBox.Create(

  AOwner: TComponent

); override;


TCustomGroupBox.CreateParams

Declaration

Source position: stdctrls.pp line 168

protected procedure TCustomGroupBox.CreateParams(

  var Params: TCreateParams

); override;


TCustomGroupBox.GetControlClassDefaultSize

Declaration

Source position: stdctrls.pp line 167

protected class function TCustomGroupBox.GetControlClassDefaultSize: TSize; override;


TCustomLabel

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

The base class for TLabel.

Declaration

Source position: stdctrls.pp line 1521

type TCustomLabel = class(TGraphicControl)
protected
class procedure WSRegisterClass; override; | Registers this component class with the current WidgetSet.
function CanTab; override; | Always False, as you can't tab to a label.
procedure DoMeasureTextPosition(); virtual; | Determines the origin of the text, within the control.
function HasMultiLine; | Searches for newline characters in the text.
procedure CalculatePreferredSize(); override; | Override this method to return the preferred height and width.
procedure CalculateSize(); | Determines the text extent, base on a maximum field width.
procedure DoAutoSize; override; | For internal use only - call AdjustSize instead!
function DialogChar(); override; | Do something useful with accelerators etc.
procedure TextChanged; override; | Handles changes of the Text property.
procedure DoSetBounds(); override;
procedure FontChanged(); override; | Handles changes of the Font property.
class function GetControlClassDefaultSize; override;
procedure WMActivate(); message; | Defers the focus to the FocusControl.
procedure Notification(); override; | Notification handler for insertion or deletion of components.
function GetLabelText; virtual; | Returns the Caption string.
function GetTransparent;
procedure SetColor(); override;
procedure SetFocusControl();
procedure SetLayout();
procedure SetShowAccelChar();
procedure SetTransparent();
procedure SetWordWrap();
procedure Loaded; override;
procedure UpdateSize; | Handles OptimalFill.
property Alignment: TAlignment; [rw] | Horizontal text justification (centered, left- or right-justified).
property FocusControl: TWinControl; [rw] | The control associated with the label and its accelerator key (AccelChar).
property Layout: TTextLayout; [rw] | Vertical alignment of the text (at top, bottom or centered).
property ShowAccelChar: Boolean; [rw] | Underlines the character in the label that acts as an accelerator with a shortcut key.
property Transparent: Boolean; [rw] | Whether the viewer can see through the control. The default value is true
property WordWrap: Boolean; [rw] | Allows text to wrap into multiple lines, when the text is too long for the available Width.
property OptimalFill: Boolean; [rw] | If True, the font size is adjusted for optimal fill of the available space.
public
constructor Create(); override;
function CalcFittingFontHeight(); | Calculate the maximum height of the font needed to fit the available space, given the MaxWidth and MaxHeight constraints
function ColorIsStored; override;
function AdjustFontForOptimalFill; | If True, attempts to adjust font for an optimal fill of the space available.
procedure Paint; override; | Override this method with your own painting code.
procedure SetBounds(); override;
property AutoSize: Boolean; | Allows to automatically adjust the size of the control, according to its content.
property Color: TColor; | The background color of the control.
end;

Inheritance

TCustomLabel | The base class for TLabel.
|
TGraphicControl | TGraphicControl is the base class for all lightweight controls.
|
TControl | The base class for visible controls.
|
TLCLComponent | The base class for LCL components associated with widgets.
|
TComponent,IUnknown,IInterfaceComponentReference
|
TPersistent,IFPObserved
|
TObject


TCustomLabel
pt |  | Alignment
pt |  | FocusControl
pt |  | Layout
pt |  | ShowAccelChar
pt |  | Transparent
pt |  | WordWrap
pt |  | OptimalFill
 | ro | AutoSize
 | ro | Color
TGraphicControl
 | ro | Canvas
TControl
pt | ro | AutoSizing
pt | ro | AutoSizingAll
pt | ro | AutoSizingLockCount
pt |  | ActionLink
pt |  | DesktopFont
pt |  | DragCursor
pt |  | DragKind
pt |  | DragMode
pt |  | MouseCapture
pt |  | ParentColor
pt |  | ParentFont
pt |  | ParentShowHint
pt |  | SessionProperties
pt |  | Text
 | ro | AnchoredControls
 | ro | BaseBounds
 | ro | ReadBounds
 | ro | BaseParentClientSize
 |  | AccessibleDescription
 |  | AccessibleValue
 |  | AccessibleRole
 |  | Action
 |  | Align
 |  | Anchors
 | ro | AnchorSide
 |  | AutoSize
 |  | BorderSpacing
 |  | BoundsRect
 |  | BoundsRectForNewParent
 |  | Caption
 |  | CaptureMouseButtons
 |  | ClientHeight
 | ro | ClientOrigin
 | ro | ClientRect
 |  | ClientWidth
 |  | Color
 |  | Constraints
 | ro | ControlOrigin
 |  | ControlState
 |  | ControlStyle
 |  | Enabled
 |  | Font
 |  | IsControl
 | ro | MouseEntered
 | ro | MouseInClient
 |  | Parent
 |  | PopupMenu
 |  | ShowHint
 |  | Visible
 |  | WindowProc
 |  | DockOrientation
 | ro | Floating
 |  | FloatingDockSiteClass
 |  | HostDockSite
 |  | LRDockWidth
 |  | TBDockHeight
 |  | UndockHeight
 |  | UndockWidth
 |  | BiDiMode
 |  | ParentBiDiMode
pl |  | AnchorSideLeft
pl |  | AnchorSideTop
pl |  | AnchorSideRight
pl |  | AnchorSideBottom
pl |  | Cursor
pl |  | Left
pl |  | Height
pl |  | Hint
pl |  | Top
pl |  | Width
pl |  | HelpType
pl |  | HelpKeyword
pl |  | HelpContext
TLCLComponent
 | ro | LCLRefCount
 | ro | WidgetSetClass
TComponent
 | ro | ComObject
 | ro | Components
 | ro | ComponentCount
 |  | ComponentIndex
 | ro | ComponentState
 | ro | ComponentStyle
 |  | DesignInfo
 | ro | Owner
 |  | VCLComObject
 |  | Name
 |  | Tag
TPersistent
TObject


 |  | AccessibleDescription (TControl)
 |  | AccessibleRole (TControl)
 |  | AccessibleValue (TControl)
 |  | Action (TControl)
pt |  | ActionLink (TControl)
 |  | Align (TControl)
pt |  | Alignment (TCustomLabel)
 | ro | AnchoredControls (TControl)
 |  | Anchors (TControl)
 | ro | AnchorSide (TControl)
pl |  | AnchorSideBottom (TControl)
pl |  | AnchorSideLeft (TControl)
pl |  | AnchorSideRight (TControl)
pl |  | AnchorSideTop (TControl)
 |  | AutoSize (TControl)
 | ro | AutoSize (TCustomLabel)
pt | ro | AutoSizing (TControl)
pt | ro | AutoSizingAll (TControl)
pt | ro | AutoSizingLockCount (TControl)
 | ro | BaseBounds (TControl)
 | ro | BaseParentClientSize (TControl)
 |  | BiDiMode (TControl)
 |  | BorderSpacing (TControl)
 |  | BoundsRect (TControl)
 |  | BoundsRectForNewParent (TControl)
 | ro | Canvas (TGraphicControl)
 |  | Caption (TControl)
 |  | CaptureMouseButtons (TControl)
 |  | ClientHeight (TControl)
 | ro | ClientOrigin (TControl)
 | ro | ClientRect (TControl)
 |  | ClientWidth (TControl)
 |  | Color (TControl)
 | ro | Color (TCustomLabel)
 | ro | ComObject (TComponent)
 | ro | ComponentCount (TComponent)
 |  | ComponentIndex (TComponent)
 | ro | Components (TComponent)
 | ro | ComponentState (TComponent)
 | ro | ComponentStyle (TComponent)
 |  | Constraints (TControl)
 | ro | ControlOrigin (TControl)
 |  | ControlState (TControl)
 |  | ControlStyle (TControl)
pl |  | Cursor (TControl)
 |  | DesignInfo (TComponent)
pt |  | DesktopFont (TControl)
 |  | DockOrientation (TControl)
pt |  | DragCursor (TControl)
pt |  | DragKind (TControl)
pt |  | DragMode (TControl)
 |  | Enabled (TControl)
 | ro | Floating (TControl)
 |  | FloatingDockSiteClass (TControl)
pt |  | FocusControl (TCustomLabel)
 |  | Font (TControl)
pl |  | Height (TControl)
pl |  | HelpContext (TControl)
pl |  | HelpKeyword (TControl)
pl |  | HelpType (TControl)
pl |  | Hint (TControl)
 |  | HostDockSite (TControl)
 |  | IsControl (TControl)
pt |  | Layout (TCustomLabel)
 | ro | LCLRefCount (TLCLComponent)
pl |  | Left (TControl)
 |  | LRDockWidth (TControl)
pt |  | MouseCapture (TControl)
 | ro | MouseEntered (TControl)
 | ro | MouseInClient (TControl)
 |  | Name (TComponent)
pt |  | OptimalFill (TCustomLabel)
 | ro | Owner (TComponent)
 |  | Parent (TControl)
 |  | ParentBiDiMode (TControl)
pt |  | ParentColor (TControl)
pt |  | ParentFont (TControl)
pt |  | ParentShowHint (TControl)
 |  | PopupMenu (TControl)
 | ro | ReadBounds (TControl)
pt |  | SessionProperties (TControl)
pt |  | ShowAccelChar (TCustomLabel)
 |  | ShowHint (TControl)
 |  | Tag (TComponent)
 |  | TBDockHeight (TControl)
pt |  | Text (TControl)
pl |  | Top (TControl)
pt |  | Transparent (TCustomLabel)
 |  | UndockHeight (TControl)
 |  | UndockWidth (TControl)
 |  | VCLComObject (TComponent)
 |  | Visible (TControl)
 | ro | WidgetSetClass (TLCLComponent)
pl |  | Width (TControl)
 |  | WindowProc (TControl)
pt |  | WordWrap (TCustomLabel)


TCustomLabel
pt | WSRegisterClass
pt | CanTab
pt | DoMeasureTextPosition
pt | HasMultiLine
pt | CalculatePreferredSize
pt | CalculateSize
pt | DoAutoSize
pt | DialogChar
pt | TextChanged
pt | DoSetBounds
pt | FontChanged
pt | GetControlClassDefaultSize
pt | WMActivate
pt | Notification
pt | GetLabelText
pt | GetTransparent
pt | SetColor
pt | SetFocusControl
pt | SetLayout
pt | SetShowAccelChar
pt | SetTransparent
pt | SetWordWrap
pt | Loaded
pt | UpdateSize
 | Create
 | CalcFittingFontHeight
 | ColorIsStored
 | AdjustFontForOptimalFill
 | Paint
 | SetBounds
TGraphicControl
pt | WSRegisterClass
pt | FontChanged
pt | Paint
pt | DoOnChangeBounds
pt | DoOnParentHandleDestruction
pt | CMCursorChanged
 | Create
 | Destroy
TControl
pt | WSRegisterClass
pt | GetCursor
pt | SetCursor
pt | SetVisible
pt | DoOnParentHandleDestruction
pt | DoAutoSize
pt | DoAllAutoSize
pt | BeginAutoSizing
pt | EndAutoSizing
pt | AnchorSideChanged
pt | ForeignAnchorSideChanged
pt | SetAlign
pt | SetAnchors
pt | SetAutoSize
pt | BoundsChanged
pt | CreateControlBorderSpacing
pt | DoConstraintsChange
pt | DoBorderSpacingChange
pt | IsBorderSpacingInnerBorderStored
pt | IsCaptionStored
pt | SendMoveSizeMessages
pt | ConstrainedResize
pt | CalculatePreferredSize
pt | DoOnResize
pt | DoOnChangeBounds
pt | CheckOnChangeBounds
pt | Resize
pt | RequestAlign
pt | UpdateAnchorRules
pt | ChangeBounds
pt | DoSetBounds
pt | ScaleConstraints
pt | ChangeScale
pt | CanAutoSize
pt | SetBiDiMode
pt | SetParentBiDiMode
pt | IsAParentAligning
pt | GetClientOrigin
pt | GetClientRect
pt | GetLogicalClientRect
pt | GetScrolledClientRect
pt | GetClientScrollOffset
pt | GetControlOrigin
pt | IsClientHeightStored
pt | IsClientWidthStored
pt | WidthIsAnchored
pt | HeightIsAnchored
pt | WMCancelMode
pt | WMContextMenu
pt | WMLButtonDown
pt | WMRButtonDown
pt | WMMButtonDown
pt | WMXButtonDown
pt | WMLButtonDBLCLK
pt | WMRButtonDBLCLK
pt | WMMButtonDBLCLK
pt | WMXButtonDBLCLK
pt | WMLButtonTripleCLK
pt | WMRButtonTripleCLK
pt | WMMButtonTripleCLK
pt | WMXButtonTripleCLK
pt | WMLButtonQuadCLK
pt | WMRButtonQuadCLK
pt | WMMButtonQuadCLK
pt | WMXButtonQuadCLK
pt | WMMouseMove
pt | WMLButtonUp
pt | WMRButtonUp
pt | WMMButtonUp
pt | WMXButtonUp
pt | WMMouseWheel
pt | WMMouseHWheel
pt | WMMove
pt | WMSize
pt | WMWindowPosChanged
pt | CMChanged
pt | LMCaptureChanged
pt | CMBiDiModeChanged
pt | CMSysFontChanged
pt | CMEnabledChanged
pt | CMHitTest
pt | CMMouseEnter
pt | CMMouseLeave
pt | CMHintShow
pt | CMParentBiDiModeChanged
pt | CMParentColorChanged
pt | CMParentFontChanged
pt | CMParentShowHintChanged
pt | CMVisibleChanged
pt | CMTextChanged
pt | CMCursorChanged
pt | CalculateDockSizes
pt | CreateFloatingDockSite
pt | GetDockEdge
pt | GetDragImages
pt | GetFloating
pt | GetFloatingDockSiteClass
pt | BeforeDragStart
pt | BeginAutoDrag
pt | DoFloatMsg
pt | DockTrackNoTarget
pt | DoDock
pt | DoDragMsg
pt | DoEndDock
pt | DoEndDrag
pt | DoStartDock
pt | DoStartDrag
pt | DragCanceled
pt | DragOver
pt | PositionDockRect
pt | SetDragMode
pt | GetDefaultDockCaption
pt | Click
pt | DblClick
pt | TripleClick
pt | QuadClick
pt | GetMousePosFromMessage
pt | MouseDown
pt | MouseMove
pt | MouseUp
pt | MouseEnter
pt | MouseLeave
pt | DialogChar
pt | UpdateMouseCursor
pt | Changed
pt | GetPalette
pt | ChildClassAllowed
pt | ReadState
pt | Loaded
pt | LoadedAll
pt | DefineProperties
pt | AssignTo
pt | FormEndUpdated
pt | InvalidateControl
pt | FontChanged
pt | ParentFontChanged
pt | GetAction
pt | RealGetText
pt | RealSetText
pt | TextChanged
pt | GetCachedText
pt | SetAction
pt | SetColor
pt | SetEnabled
pt | SetHint
pt | SetName
pt | SetParent
pt | SetParentComponent
pt | WndProc
pt | ParentFormHandleInitialized
pt | GetMouseCapture
pt | CaptureChanged
pt | Notification
pt | CanTab
pt | GetDeviceContext
pt | GetEnabled
pt | GetPopupMenu
pt | DoOnShowHint
pt | DoMouseWheel
pt | DoMouseWheelDown
pt | DoMouseWheelUp
pt | DoMouseWheelHorz
pt | DoMouseWheelLeft
pt | DoMouseWheelRight
pt | VisibleChanging
pt | VisibleChanged
pt | EnabledChanging
pt | EnabledChanged
pt | AddHandler
pt | RemoveHandler
pt | DoCallNotifyHandler
pt | DoCallKeyEventHandler
pt | DoCallMouseWheelEventHandler
pt | DoContextPopup
pt | SetZOrder
pt | GetControlClassDefaultSize
pt | ColorIsStored
pt | DoAutoAdjustLayout
pt | DoFixDesignFontPPI
pt | DoScaleFontPPI
pt | GetActionLinkClass
pt | ActionChange
 | DragDrop
 | Dock
 | ManualDock
 | ManualFloat
 | ReplaceDockedControl
 | Docked
 | Dragging
 | GetAccessibleObject
 | CreateAccessibleObject
 | GetSelectedChildAccessibleObject
 | GetChildAccessibleObjectAtPos
 | ScaleDesignToForm
 | ScaleFormToDesign
 | Scale96ToForm
 | ScaleFormTo96
 | Scale96ToFont
 | ScaleFontTo96
 | ScaleScreenToFont
 | ScaleFontToScreen
 | Scale96ToScreen
 | ScaleScreenTo96
 | AdjustSize
 | AutoSizePhases
 | AutoSizeDelayed
 | AutoSizeDelayedReport
 | AutoSizeDelayedHandle
 | AnchorToNeighbour
 | AnchorParallel
 | AnchorHorizontalCenterTo
 | AnchorVerticalCenterTo
 | AnchorToCompanion
 | AnchorSame
 | AnchorAsAlign
 | AnchorClient
 | AnchoredControlCount
 | SetBounds
 | SetInitialBounds
 | SetBoundsKeepBase
 | GetPreferredSize
 | GetCanvasScaleFactor
 | GetDefaultWidth
 | GetDefaultHeight
 | GetDefaultColor
 | GetColorResolvingParent
 | GetRGBColorResolvingParent
 | GetSidePosition
 | CNPreferredSizeChanged
 | InvalidatePreferredSize
 | GetAnchorsDependingOnParent
 | DisableAutoSizing
 | EnableAutoSizing
 | UpdateBaseBounds
 | WriteLayoutDebugReport
 | AutoAdjustLayout
 | ShouldAutoAdjust
 | FixDesignFontsPPI
 | ScaleFontsPPI
 | Create
 | Destroy
 | BeforeDestruction
 | EditingDone
 | ExecuteDefaultAction
 | ExecuteCancelAction
 | BeginDrag
 | EndDrag
 | BringToFront
 | HasParent
 | GetParentComponent
 | IsParentOf
 | GetTopParent
 | IsVisible
 | IsControlVisible
 | IsEnabled
 | IsParentColor
 | IsParentFont
 | FormIsUpdating
 | IsProcessingPaintMsg
 | Hide
 | Refresh
 | Repaint
 | Invalidate
 | CheckChildClassAllowed
 | CheckNewParent
 | SendToBack
 | SetTempCursor
 | UpdateRolesForForm
 | ActiveDefaultControlChanged
 | GetTextBuf
 | GetTextLen
 | SetTextBuf
 | Perform
 | ScreenToClient
 | ClientToScreen
 | ScreenToControl
 | ControlToScreen
 | ClientToParent
 | ParentToClient
 | GetChildrenRect
 | Show
 | Update
 | HandleObjectShouldBeVisible
 | ParentDestroyingHandle
 | ParentHandlesAllocated
 | InitiateAction
 | ShowHelp
 | HasHelp
 | RemoveAllHandlersOfObject
 | AddHandlerOnResize
 | RemoveHandlerOnResize
 | AddHandlerOnChangeBounds
 | RemoveHandlerOnChangeBounds
 | AddHandlerOnVisibleChanging
 | RemoveHandlerOnVisibleChanging
 | AddHandlerOnVisibleChanged
 | RemoveHandlerOnVisibleChanged
 | AddHandlerOnEnabledChanged
 | RemoveHandlerOnEnableChanging
 | AddHandlerOnKeyDown
 | RemoveHandlerOnKeyDown
 | AddHandlerOnBeforeDestruction
 | RemoveHandlerOnBeforeDestruction
 | AddHandlerOnMouseWheel
 | RemoveHandlerOnMouseWheel
 | UseRightToLeftAlignment
 | UseRightToLeftReading
 | UseRightToLeftScrollBar
 | IsRightToLeft
TLCLComponent
pt | WSRegisterClass
pt | GetWSComponentClass
 | Create
 | Destroy
 | NewInstance
 | RemoveAllHandlersOfObject
 | IncLCLRefCount
 | DecLCLRefCount
TComponent
 | GetComObject
 | GetComponent
 | GetComponentCount
 | GetComponentIndex
 | Insert
 | ReadLeft
 | ReadTop
 | Remove
 | RemoveNotification
 | SetComponentIndex
 | SetReference
 | WriteLeft
 | WriteTop
 | ChangeName
 | DefineProperties
 | GetChildren
 | GetChildOwner
 | GetChildParent
 | GetOwner
 | Loaded
 | Loading
 | Notification
 | PaletteCreated
 | ReadState
 | SetAncestor
 | SetDesigning
 | SetDesignInstance
 | SetInline
 | SetName
 | SetChildOrder
 | SetParentComponent
 | Updating
 | Updated
 | UpdateRegistry
 | ValidateRename
 | ValidateContainer
 | ValidateInsert
 | QueryInterface
 | _AddRef
 | _Release
 | iicrGetComponent
 | GetTypeInfoCount
 | GetTypeInfo
 | GetIDsOfNames
 | Invoke
 | WriteState
 | Create
 | Destroy
 | BeforeDestruction
 | DestroyComponents
 | Destroying
 | ExecuteAction
 | FindComponent
 | FreeNotification
 | RemoveFreeNotification
 | FreeOnRelease
 | GetEnumerator
 | GetNamePath
 | GetParentComponent
 | HasParent
 | InsertComponent
 | RemoveComponent
 | SafeCallException
 | SetSubComponent
 | UpdateAction
 | IsImplementorOf
 | ReferenceInterface
TPersistent
 | AssignError
 | AssignTo
 | DefineProperties
 | GetOwner
 | Destroy
 | Assign
 | FPOAttachObserver
 | FPODetachObserver
 | FPONotifyObservers
 | GetNamePath
TObject
 | Create
 | Destroy
 | newinstance
 | FreeInstance
 | SafeCallException
 | DefaultHandler
 | Free
 | InitInstance
 | CleanupInstance
 | ClassType
 | ClassInfo
 | ClassName
 | ClassNameIs
 | ClassParent
 | InstanceSize
 | InheritsFrom
 | StringMessageTable
 | MethodAddress
 | MethodName
 | FieldAddress
 | AfterConstruction
 | BeforeDestruction
 | DefaultHandlerStr
 | Dispatch
 | DispatchStr
 | GetInterface
 | GetInterfaceByStr
 | GetInterfaceWeak
 | GetInterfaceEntry
 | GetInterfaceEntryByStr
 | GetInterfaceTable
 | UnitName
 | Equals
 | GetHashCode
 | ToString


pt | ActionChange (TControl)
 | ActiveDefaultControlChanged (TControl)
pt | AddHandler (TControl)
 | AddHandlerOnBeforeDestruction (TControl)
 | AddHandlerOnChangeBounds (TControl)
 | AddHandlerOnEnabledChanged (TControl)
 | AddHandlerOnKeyDown (TControl)
 | AddHandlerOnMouseWheel (TControl)
 | AddHandlerOnResize (TControl)
 | AddHandlerOnVisibleChanged (TControl)
 | AddHandlerOnVisibleChanging (TControl)
 | AdjustFontForOptimalFill (TCustomLabel)
 | AdjustSize (TControl)
 | AfterConstruction (TObject)
 | AnchorAsAlign (TControl)
 | AnchorClient (TControl)
 | AnchoredControlCount (TControl)
 | AnchorHorizontalCenterTo (TControl)
 | AnchorParallel (TControl)
 | AnchorSame (TControl)
pt | AnchorSideChanged (TControl)
 | AnchorToCompanion (TControl)
 | AnchorToNeighbour (TControl)
 | AnchorVerticalCenterTo (TControl)
 | Assign (TPersistent)
 | AssignError (TPersistent)
 | AssignTo (TPersistent)
pt | AssignTo (TControl)
 | AutoAdjustLayout (TControl)
 | AutoSizeDelayed (TControl)
 | AutoSizeDelayedHandle (TControl)
 | AutoSizeDelayedReport (TControl)
 | AutoSizePhases (TControl)
 | BeforeDestruction (TObject)
 | BeforeDestruction (TComponent)
 | BeforeDestruction (TControl)
pt | BeforeDragStart (TControl)
pt | BeginAutoDrag (TControl)
pt | BeginAutoSizing (TControl)
 | BeginDrag (TControl)
pt | BoundsChanged (TControl)
 | BringToFront (TControl)
 | CalcFittingFontHeight (TCustomLabel)
pt | CalculateDockSizes (TControl)
pt | CalculatePreferredSize (TControl)
pt | CalculatePreferredSize (TCustomLabel)
pt | CalculateSize (TCustomLabel)
pt | CanAutoSize (TControl)
pt | CanTab (TControl)
pt | CanTab (TCustomLabel)
pt | CaptureChanged (TControl)
pt | ChangeBounds (TControl)
pt | Changed (TControl)
 | ChangeName (TComponent)
pt | ChangeScale (TControl)
 | CheckChildClassAllowed (TControl)
 | CheckNewParent (TControl)
pt | CheckOnChangeBounds (TControl)
pt | ChildClassAllowed (TControl)
 | ClassInfo (TObject)
 | ClassName (TObject)
 | ClassNameIs (TObject)
 | ClassParent (TObject)
 | ClassType (TObject)
 | CleanupInstance (TObject)
pt | Click (TControl)
 | ClientToParent (TControl)
 | ClientToScreen (TControl)
pt | CMBiDiModeChanged (TControl)
pt | CMChanged (TControl)
pt | CMCursorChanged (TControl)
pt | CMCursorChanged (TGraphicControl)
pt | CMEnabledChanged (TControl)
pt | CMHintShow (TControl)
pt | CMHitTest (TControl)
pt | CMMouseEnter (TControl)
pt | CMMouseLeave (TControl)
pt | CMParentBiDiModeChanged (TControl)
pt | CMParentColorChanged (TControl)
pt | CMParentFontChanged (TControl)
pt | CMParentShowHintChanged (TControl)
pt | CMSysFontChanged (TControl)
pt | CMTextChanged (TControl)
pt | CMVisibleChanged (TControl)
 | CNPreferredSizeChanged (TControl)
pt | ColorIsStored (TControl)
 | ColorIsStored (TCustomLabel)
pt | ConstrainedResize (TControl)
 | ControlToScreen (TControl)
 | Create (TObject)
 | Create (TComponent)
 | Create (TLCLComponent)
 | Create (TControl)
 | Create (TGraphicControl)
 | Create (TCustomLabel)
 | CreateAccessibleObject (TControl)
pt | CreateControlBorderSpacing (TControl)
pt | CreateFloatingDockSite (TControl)
pt | DblClick (TControl)
 | DecLCLRefCount (TLCLComponent)
 | DefaultHandler (TObject)
 | DefaultHandlerStr (TObject)
 | DefineProperties (TPersistent)
 | DefineProperties (TComponent)
pt | DefineProperties (TControl)
 | Destroy (TObject)
 | Destroy (TPersistent)
 | Destroy (TComponent)
 | Destroy (TLCLComponent)
 | Destroy (TControl)
 | Destroy (TGraphicControl)
 | DestroyComponents (TComponent)
 | Destroying (TComponent)
pt | DialogChar (TControl)
pt | DialogChar (TCustomLabel)
 | DisableAutoSizing (TControl)
 | Dispatch (TObject)
 | DispatchStr (TObject)
pt | DoAllAutoSize (TControl)
pt | DoAutoAdjustLayout (TControl)
pt | DoAutoSize (TControl)
pt | DoAutoSize (TCustomLabel)
pt | DoBorderSpacingChange (TControl)
pt | DoCallKeyEventHandler (TControl)
pt | DoCallMouseWheelEventHandler (TControl)
pt | DoCallNotifyHandler (TControl)
 | Dock (TControl)
 | Docked (TControl)
pt | DockTrackNoTarget (TControl)
pt | DoConstraintsChange (TControl)
pt | DoContextPopup (TControl)
pt | DoDock (TControl)
pt | DoDragMsg (TControl)
pt | DoEndDock (TControl)
pt | DoEndDrag (TControl)
pt | DoFixDesignFontPPI (TControl)
pt | DoFloatMsg (TControl)
pt | DoMeasureTextPosition (TCustomLabel)
pt | DoMouseWheel (TControl)
pt | DoMouseWheelDown (TControl)
pt | DoMouseWheelHorz (TControl)
pt | DoMouseWheelLeft (TControl)
pt | DoMouseWheelRight (TControl)
pt | DoMouseWheelUp (TControl)
pt | DoOnChangeBounds (TControl)
pt | DoOnChangeBounds (TGraphicControl)
pt | DoOnParentHandleDestruction (TControl)
pt | DoOnParentHandleDestruction (TGraphicControl)
pt | DoOnResize (TControl)
pt | DoOnShowHint (TControl)
pt | DoScaleFontPPI (TControl)
pt | DoSetBounds (TControl)
pt | DoSetBounds (TCustomLabel)
pt | DoStartDock (TControl)
pt | DoStartDrag (TControl)
pt | DragCanceled (TControl)
 | DragDrop (TControl)
 | Dragging (TControl)
pt | DragOver (TControl)
 | EditingDone (TControl)
 | EnableAutoSizing (TControl)
pt | EnabledChanged (TControl)
pt | EnabledChanging (TControl)
pt | EndAutoSizing (TControl)
 | EndDrag (TControl)
 | Equals (TObject)
 | ExecuteAction (TComponent)
 | ExecuteCancelAction (TControl)
 | ExecuteDefaultAction (TControl)
 | FieldAddress (TObject)
 | FindComponent (TComponent)
 | FixDesignFontsPPI (TControl)
pt | FontChanged (TControl)
pt | FontChanged (TGraphicControl)
pt | FontChanged (TCustomLabel)
pt | ForeignAnchorSideChanged (TControl)
pt | FormEndUpdated (TControl)
 | FormIsUpdating (TControl)
 | FPOAttachObserver (TPersistent)
 | FPODetachObserver (TPersistent)
 | FPONotifyObservers (TPersistent)
 | Free (TObject)
 | FreeInstance (TObject)
 | FreeNotification (TComponent)
 | FreeOnRelease (TComponent)
 | GetAccessibleObject (TControl)
pt | GetAction (TControl)
pt | GetActionLinkClass (TControl)
 | GetAnchorsDependingOnParent (TControl)
pt | GetCachedText (TControl)
 | GetCanvasScaleFactor (TControl)
 | GetChildAccessibleObjectAtPos (TControl)
 | GetChildOwner (TComponent)
 | GetChildParent (TComponent)
 | GetChildren (TComponent)
 | GetChildrenRect (TControl)
pt | GetClientOrigin (TControl)
pt | GetClientRect (TControl)
pt | GetClientScrollOffset (TControl)
 | GetColorResolvingParent (TControl)
 | GetComObject (TComponent)
 | GetComponent (TComponent)
 | GetComponentCount (TComponent)
 | GetComponentIndex (TComponent)
pt | GetControlClassDefaultSize (TControl)
pt | GetControlClassDefaultSize (TCustomLabel)
pt | GetControlOrigin (TControl)
pt | GetCursor (TControl)
 | GetDefaultColor (TControl)
pt | GetDefaultDockCaption (TControl)
 | GetDefaultHeight (TControl)
 | GetDefaultWidth (TControl)
pt | GetDeviceContext (TControl)
pt | GetDockEdge (TControl)
pt | GetDragImages (TControl)
pt | GetEnabled (TControl)
 | GetEnumerator (TComponent)
pt | GetFloating (TControl)
pt | GetFloatingDockSiteClass (TControl)
 | GetHashCode (TObject)
 | GetIDsOfNames (TComponent)
 | GetInterface (TObject)
 | GetInterfaceByStr (TObject)
 | GetInterfaceEntry (TObject)
 | GetInterfaceEntryByStr (TObject)
 | GetInterfaceTable (TObject)
 | GetInterfaceWeak (TObject)
pt | GetLabelText (TCustomLabel)
pt | GetLogicalClientRect (TControl)
pt | GetMouseCapture (TControl)
pt | GetMousePosFromMessage (TControl)
 | GetNamePath (TPersistent)
 | GetNamePath (TComponent)
 | GetOwner (TPersistent)
 | GetOwner (TComponent)
pt | GetPalette (TControl)
 | GetParentComponent (TComponent)
 | GetParentComponent (TControl)
pt | GetPopupMenu (TControl)
 | GetPreferredSize (TControl)
 | GetRGBColorResolvingParent (TControl)
pt | GetScrolledClientRect (TControl)
 | GetSelectedChildAccessibleObject (TControl)
 | GetSidePosition (TControl)
 | GetTextBuf (TControl)
 | GetTextLen (TControl)
 | GetTopParent (TControl)
pt | GetTransparent (TCustomLabel)
 | GetTypeInfo (TComponent)
 | GetTypeInfoCount (TComponent)
pt | GetWSComponentClass (TLCLComponent)
 | HandleObjectShouldBeVisible (TControl)
 | HasHelp (TControl)
pt | HasMultiLine (TCustomLabel)
 | HasParent (TComponent)
 | HasParent (TControl)
pt | HeightIsAnchored (TControl)
 | Hide (TControl)
 | iicrGetComponent (TComponent)
 | IncLCLRefCount (TLCLComponent)
 | InheritsFrom (TObject)
 | InitiateAction (TControl)
 | InitInstance (TObject)
 | Insert (TComponent)
 | InsertComponent (TComponent)
 | InstanceSize (TObject)
 | Invalidate (TControl)
pt | InvalidateControl (TControl)
 | InvalidatePreferredSize (TControl)
 | Invoke (TComponent)
pt | IsAParentAligning (TControl)
pt | IsBorderSpacingInnerBorderStored (TControl)
pt | IsCaptionStored (TControl)
pt | IsClientHeightStored (TControl)
pt | IsClientWidthStored (TControl)
 | IsControlVisible (TControl)
 | IsEnabled (TControl)
 | IsImplementorOf (TComponent)
 | IsParentColor (TControl)
 | IsParentFont (TControl)
 | IsParentOf (TControl)
 | IsProcessingPaintMsg (TControl)
 | IsRightToLeft (TControl)
 | IsVisible (TControl)
pt | LMCaptureChanged (TControl)
 | Loaded (TComponent)
pt | Loaded (TControl)
pt | Loaded (TCustomLabel)
pt | LoadedAll (TControl)
 | Loading (TComponent)
 | ManualDock (TControl)
 | ManualFloat (TControl)
 | MethodAddress (TObject)
 | MethodName (TObject)
pt | MouseDown (TControl)
pt | MouseEnter (TControl)
pt | MouseLeave (TControl)
pt | MouseMove (TControl)
pt | MouseUp (TControl)
 | newinstance (TObject)
 | NewInstance (TLCLComponent)
 | Notification (TComponent)
pt | Notification (TControl)
pt | Notification (TCustomLabel)
pt | Paint (TGraphicControl)
 | Paint (TCustomLabel)
 | PaletteCreated (TComponent)
 | ParentDestroyingHandle (TControl)
pt | ParentFontChanged (TControl)
pt | ParentFormHandleInitialized (TControl)
 | ParentHandlesAllocated (TControl)
 | ParentToClient (TControl)
 | Perform (TControl)
pt | PositionDockRect (TControl)
pt | QuadClick (TControl)
 | QueryInterface (TComponent)
 | ReadLeft (TComponent)
 | ReadState (TComponent)
pt | ReadState (TControl)
 | ReadTop (TComponent)
pt | RealGetText (TControl)
pt | RealSetText (TControl)
 | ReferenceInterface (TComponent)
 | Refresh (TControl)
 | Remove (TComponent)
 | RemoveAllHandlersOfObject (TLCLComponent)
 | RemoveAllHandlersOfObject (TControl)
 | RemoveComponent (TComponent)
 | RemoveFreeNotification (TComponent)
pt | RemoveHandler (TControl)
 | RemoveHandlerOnBeforeDestruction (TControl)
 | RemoveHandlerOnChangeBounds (TControl)
 | RemoveHandlerOnEnableChanging (TControl)
 | RemoveHandlerOnKeyDown (TControl)
 | RemoveHandlerOnMouseWheel (TControl)
 | RemoveHandlerOnResize (TControl)
 | RemoveHandlerOnVisibleChanged (TControl)
 | RemoveHandlerOnVisibleChanging (TControl)
 | RemoveNotification (TComponent)
 | Repaint (TControl)
 | ReplaceDockedControl (TControl)
pt | RequestAlign (TControl)
pt | Resize (TControl)
 | SafeCallException (TObject)
 | SafeCallException (TComponent)
 | Scale96ToFont (TControl)
 | Scale96ToForm (TControl)
 | Scale96ToScreen (TControl)
pt | ScaleConstraints (TControl)
 | ScaleDesignToForm (TControl)
 | ScaleFontsPPI (TControl)
 | ScaleFontTo96 (TControl)
 | ScaleFontToScreen (TControl)
 | ScaleFormTo96 (TControl)
 | ScaleFormToDesign (TControl)
 | ScaleScreenTo96 (TControl)
 | ScaleScreenToFont (TControl)
 | ScreenToClient (TControl)
 | ScreenToControl (TControl)
pt | SendMoveSizeMessages (TControl)
 | SendToBack (TControl)
pt | SetAction (TControl)
pt | SetAlign (TControl)
 | SetAncestor (TComponent)
pt | SetAnchors (TControl)
pt | SetAutoSize (TControl)
pt | SetBiDiMode (TControl)
 | SetBounds (TControl)
 | SetBounds (TCustomLabel)
 | SetBoundsKeepBase (TControl)
 | SetChildOrder (TComponent)
pt | SetColor (TControl)
pt | SetColor (TCustomLabel)
 | SetComponentIndex (TComponent)
pt | SetCursor (TControl)
 | SetDesigning (TComponent)
 | SetDesignInstance (TComponent)
pt | SetDragMode (TControl)
pt | SetEnabled (TControl)
pt | SetFocusControl (TCustomLabel)
pt | SetHint (TControl)
 | SetInitialBounds (TControl)
 | SetInline (TComponent)
pt | SetLayout (TCustomLabel)
 | SetName (TComponent)
pt | SetName (TControl)
pt | SetParent (TControl)
pt | SetParentBiDiMode (TControl)
 | SetParentComponent (TComponent)
pt | SetParentComponent (TControl)
 | SetReference (TComponent)
pt | SetShowAccelChar (TCustomLabel)
 | SetSubComponent (TComponent)
 | SetTempCursor (TControl)
 | SetTextBuf (TControl)
pt | SetTransparent (TCustomLabel)
pt | SetVisible (TControl)
pt | SetWordWrap (TCustomLabel)
pt | SetZOrder (TControl)
 | ShouldAutoAdjust (TControl)
 | Show (TControl)
 | ShowHelp (TControl)
 | StringMessageTable (TObject)
pt | TextChanged (TControl)
pt | TextChanged (TCustomLabel)
 | ToString (TObject)
pt | TripleClick (TControl)
 | UnitName (TObject)
 | Update (TControl)
 | UpdateAction (TComponent)
pt | UpdateAnchorRules (TControl)
 | UpdateBaseBounds (TControl)
 | Updated (TComponent)
pt | UpdateMouseCursor (TControl)
 | UpdateRegistry (TComponent)
 | UpdateRolesForForm (TControl)
pt | UpdateSize (TCustomLabel)
 | Updating (TComponent)
 | UseRightToLeftAlignment (TControl)
 | UseRightToLeftReading (TControl)
 | UseRightToLeftScrollBar (TControl)
 | ValidateContainer (TComponent)
 | ValidateInsert (TComponent)
 | ValidateRename (TComponent)
pt | VisibleChanged (TControl)
pt | VisibleChanging (TControl)
pt | WidthIsAnchored (TControl)
pt | WMActivate (TCustomLabel)
pt | WMCancelMode (TControl)
pt | WMContextMenu (TControl)
pt | WMLButtonDBLCLK (TControl)
pt | WMLButtonDown (TControl)
pt | WMLButtonQuadCLK (TControl)
pt | WMLButtonTripleCLK (TControl)
pt | WMLButtonUp (TControl)
pt | WMMButtonDBLCLK (TControl)
pt | WMMButtonDown (TControl)
pt | WMMButtonQuadCLK (TControl)
pt | WMMButtonTripleCLK (TControl)
pt | WMMButtonUp (TControl)
pt | WMMouseHWheel (TControl)
pt | WMMouseMove (TControl)
pt | WMMouseWheel (TControl)
pt | WMMove (TControl)
pt | WMRButtonDBLCLK (TControl)
pt | WMRButtonDown (TControl)
pt | WMRButtonQuadCLK (TControl)
pt | WMRButtonTripleCLK (TControl)
pt | WMRButtonUp (TControl)
pt | WMSize (TControl)
pt | WMWindowPosChanged (TControl)
pt | WMXButtonDBLCLK (TControl)
pt | WMXButtonDown (TControl)
pt | WMXButtonQuadCLK (TControl)
pt | WMXButtonTripleCLK (TControl)
pt | WMXButtonUp (TControl)
pt | WndProc (TControl)
 | WriteLayoutDebugReport (TControl)
 | WriteLeft (TComponent)
 | WriteState (TComponent)
 | WriteTop (TComponent)
pt | WSRegisterClass (TLCLComponent)
pt | WSRegisterClass (TControl)
pt | WSRegisterClass (TGraphicControl)
pt | WSRegisterClass (TCustomLabel)
 | _AddRef (TComponent)
 | _Release (TComponent)


TCustomLabel
TGraphicControl
pt | OnPaint
TControl
pt | OnConstrainedResize
pt | OnContextPopup
pt | OnDblClick
pt | OnTripleClick
pt | OnQuadClick
pt | OnDragDrop
pt | OnDragOver
pt | OnEndDock
pt | OnEndDrag
pt | OnMouseDown
pt | OnMouseMove
pt | OnMouseUp
pt | OnMouseEnter
pt | OnMouseLeave
pt | OnMouseWheel
pt | OnMouseWheelDown
pt | OnMouseWheelUp
pt | OnMouseWheelHorz
pt | OnMouseWheelLeft
pt | OnMouseWheelRight
pt | OnStartDock
pt | OnStartDrag
pt | OnEditingDone
 | OnChangeBounds
 | OnClick
 | OnResize
 | OnShowHint
TLCLComponent
TComponent
TPersistent
TObject


TCustomLabel.AdjustFontForOptimalFill

If True, attempts to adjust font for an optimal fill of the space available.

Declaration

Source position: stdctrls.pp line 1577

public function TCustomLabel.AdjustFontForOptimalFill: Boolean;


TCustomLabel.Alignment

Horizontal text justification (centered, left- or right-justified).

Declaration

Source position: stdctrls.pp line 1564

protected property TCustomLabel.Alignment : TAlignment
  read FAlignment
  write SetAlignment
  default taLeftJustify;

See also

TCustomLabel.Layout

Vertical alignment of the text (at top, bottom or centered).


TCustomLabel.CalcFittingFontHeight

Calculate the maximum height of the font needed to fit the available space, given the MaxWidth and MaxHeight constraints

Declaration

Source position: stdctrls.pp line 1573

public function TCustomLabel.CalcFittingFontHeight(

  const TheText: string;

  MaxWidth: Integer;

  MaxHeight: Integer;

  out FontHeight: Integer;

  out NeededWidth: Integer;

  out NeededHeight: Integer

):Boolean;


TCustomLabel.CalculateSize

Determines the text extent, base on a maximum field width.

Declaration

Source position: stdctrls.pp line 1541

protected procedure TCustomLabel.CalculateSize(

  MaxWidth: Integer;

  var NeededWidth: Integer;

  var NeededHeight: Integer

);

Arguments

MaxWidth

Where wordwrap may start.


TCustomLabel.CanTab

Always False, as you can't tab to a label.

Declaration

Source position: stdctrls.pp line 1534

protected function TCustomLabel.CanTab: Boolean; override;

See also

TControl.CanTab

If True, the Tab key can be used to navigate to this control.


TCustomLabel.Create

Declaration

Source position: stdctrls.pp line 1572

public constructor TCustomLabel.Create(

  TheOwner: TComponent

); override;


TCustomLabel.DoMeasureTextPosition

Determines the origin of the text, within the control.

Declaration

Source position: stdctrls.pp line 1535

protected procedure TCustomLabel.DoMeasureTextPosition(

  var TextTop: Integer;

  var TextLeft: Integer

); virtual;


TCustomLabel.DoSetBounds

Declaration

Source position: stdctrls.pp line 1546

protected procedure TCustomLabel.DoSetBounds(

  ALeft: Integer;

  ATop: Integer;

  AWidth: Integer;

  AHeight: Integer

); override;


TCustomLabel.FocusControl

The control associated with the label and its accelerator key (AccelChar).

Declaration

Source position: stdctrls.pp line 1565

protected property TCustomLabel.FocusControl : TWinControl
  read FFocusControl
  write SetFocusControl;

Description

Set FocusControl to the control that shall receive the focus, when the label's accelerator key is pressed.

A label control cannot receive the focus (it's read-only), but can display an accelerator key indicator, just as menu entries can do.
A windowed control (Edit...) can receive focus, but cannot indicate an accelerator key.

Using a combination of both an label and another control allows one to specify both the accelerator key, in the label's caption, and make the other control receive the focus when the user presses that accelerator key.

An accelerator key is marked by an ampersand '&' in the label's caption, immediately preceding the character to be used as the accelerator key. The marked character appears underlined on screen, when ShowAccelChar=True.

E.g. when you have a NameEdit1 control on a form, preceded by a label NameLabel1, you can set NameLabel1.FocusControl to NameEdit1, and NameLabel1.Caption to '&Name'. This makes the NameLabel1 displayed as 'Name'.

See also

TCustomLabel.ShowAccelChar

Underlines the character in the label that acts as an accelerator with a shortcut key.


TCustomLabel.GetControlClassDefaultSize

Declaration

Source position: stdctrls.pp line 1548

protected class function TCustomLabel.GetControlClassDefaultSize: TSize; override;


TCustomLabel.GetLabelText

Returns the Caption string.

Declaration

Source position: stdctrls.pp line 1553

protected function TCustomLabel.GetLabelText: string; virtual;


TCustomLabel.HasMultiLine

Searches for newline characters in the text.

Declaration

Source position: stdctrls.pp line 1537

protected function TCustomLabel.HasMultiLine: Boolean;


TCustomLabel.Layout

Vertical alignment of the text (at top, bottom or centered).

Declaration

Source position: stdctrls.pp line 1566

protected property TCustomLabel.Layout : TTextLayout
  read FLayout
  write SetLayout
  default tlTop;

See also

TCustomLabel.Alignment

Horizontal text justification (centered, left- or right-justified).


TCustomLabel.Loaded

Declaration

Source position: stdctrls.pp line 1561

protected procedure TCustomLabel.Loaded; override;


TCustomLabel.OptimalFill

If True, the font size is adjusted for optimal fill of the available space.

Declaration

Source position: stdctrls.pp line 1570

protected property TCustomLabel.OptimalFill : Boolean
  read FOptimalFill
  write SetOptimalFill
  default False;


TCustomLabel.SetBounds

Declaration

Source position: stdctrls.pp line 1579

public procedure TCustomLabel.SetBounds(

  aLeft: Integer;

  aTop: Integer;

  aWidth: Integer;

  aHeight: Integer

); override;


TCustomLabel.ShowAccelChar

Underlines the character in the label that acts as an accelerator with a shortcut key.

Declaration

Source position: stdctrls.pp line 1567

protected property TCustomLabel.ShowAccelChar : Boolean
  read FShowAccelChar
  write SetShowAccelChar
  default True;

Description

When False, ampersands '&' in the label's caption are displayed as ordinary characters (as in the Object Inspector).

When True, the character following the ampersand appears underlined, and when the user presses the accelerator key (CTRL+character), the text cursor jumps to the associated FocusControl.

See also

TCustomLabel.FocusControl

The control associated with the label and its accelerator key (AccelChar).


TCustomLabel.Transparent

Whether the viewer can see through the control. The default value is true

Declaration

Source position: stdctrls.pp line 1568

protected property TCustomLabel.Transparent : Boolean
  read GetTransparent
  write SetTransparent
  default True;

Description

Opaque Labels have their enclosing rectangle filled with the background color of the label. This can be the color of the Parent control, when ParentColor is True. Setting Transparent to True makes the label transparent, not hiding any background details.

Note that the default value of this property in the LCL is true, which is different from the default value in Delphi.

See also

#LCL.Controls.TControl.ParentColor

If true, the Color of the control will be the same as the one from the Parent. Default is true.


TCustomLabel.UpdateSize

Handles OptimalFill.

Declaration

Source position: stdctrls.pp line 1562

protected procedure TCustomLabel.UpdateSize;


TCustomLabel.WMActivate

Defers the focus to the FocusControl.

Declaration

Source position: stdctrls.pp line 1550

protected procedure TCustomLabel.WMActivate(

  var Message: TLMActivate

); message;


TCustomLabel.WordWrap

Allows text to wrap into multiple lines, when the text is too long for the available Width.

Declaration

Source position: stdctrls.pp line 1569

protected property TCustomLabel.WordWrap : Boolean
  read FWordWrap
  write SetWordWrap
  default False;

Description

When False, the text is truncated at the right margin of the control.

WordWrap=true and AutoSize=true requires that the Width is fixed, e.g. by anchoring the left and right side.


TCustomListBox

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

The base class for TListBox.

Declaration

Source position: stdctrls.pp line 505

type TCustomListBox = class(TWinControl)
protected
class procedure WSRegisterClass; override; | Registers this component class with the current WidgetSet.
procedure AssignItemDataToCache(); virtual; | Copy selection state into the cache.
procedure AssignCacheToItemData(); virtual; | Sends the cached selection state to the widget.
procedure BeforeDragStart; override;
procedure BeginAutoDrag; override; | For internal use: user has started dragging the control.
function CalculateStandardItemHeight; | Determine the standard Height of the items, when no widget has yet been created.
procedure CreateParams(); override;
procedure InitializeWnd; override; | Copies the Items into the widget.
procedure DestroyWnd; override;
procedure FinalizeWnd; override; | Caches the Items stored in the widget.
class function GetControlClassDefaultSize; override;
procedure CheckIndex(); | Assures that the index is inside the Items list bounds.
function GetItemHeight;
function GetItemIndex; virtual;
function GetSelCount;
function GetSelected();
function GetCachedDataSize; virtual; | Returns the size of a cached item.
function GetCachedData(); | Returns an pointer to the cached item data.
procedure SetExtendedSelect(); virtual;
procedure SetItemIndex(); virtual;
procedure SetItems(); virtual;
procedure SetItemHeight();
procedure SetMultiSelect(); virtual;
procedure SetSelected();
procedure SetSorted(); virtual;
procedure SetStyle(); virtual;
procedure DrawItem(); virtual; | Paints an item in owner-draw mode.
procedure DoAutoAdjustLayout(); override;
procedure DoSelectionChange(); virtual; | Invokes the OnSelectionChange handler.
procedure SendItemIndex; | Sends the ItemIndex to the widget.
procedure WMGetDlgCode(); message;
public
constructor Create(); override;
destructor Destroy; override;
procedure AddItem(); | Adds an item to the list.
procedure Click; override; | Invokes the OnClick and ActionLink.Execute handlers.
procedure Clear; virtual; | Removes all items from the list.
procedure ClearSelection; | Unselects all items.
function GetIndexAtXY(); | Find the item at the given client coordinates.
function GetIndexAtY();
function GetSelectedText; | Get the text of all selected items in one string.
function ItemAtPos(); | Get the item index for the given client coordinates.
function ItemRect(); | Returns the client area of an item (including scrolling).
function ItemVisible(); | Returns True if the item is at least partially visible in the scrolled list.
function ItemFullyVisible(); | Returns True if the item is fully visible in the scrolled list.
procedure LockSelectionChange; | Blocks selection changes during update of the widget.
procedure MakeCurrentVisible; | Makes the item at ItemIndex visible, possibly scrolling the list.
procedure MeasureItem(); virtual; | Request the Height of a list item, using the OnMeasureItem handler.
procedure SelectAll; virtual; | Selects all items in the list (in ExtendedSelect mode).
procedure DeleteSelected; virtual;
procedure UnlockSelectionChange; | Unlocks previously locked selection changes.
property Align: TAlign; | Specifies the placement of the control inside its Parent.
property Anchors: TAnchors; | The set of anchor definitions for this control.
property BorderStyle: TBorderStyle; | Allows to show a border (line) around the control,
property Canvas: TCanvas; [r]
property ClickOnSelChange: Boolean; [rw] | Allows selection changes to generate a Click event.
property Columns: Integer; [rw] | The number of visible vertical columns.
property Constraints: TSizeConstraints; | The minimal and maximal Width and Height of this control.
property Count: Integer; [r] | The number of items in the list.
property ExtendedSelect: Boolean; [rw] | True when a contiguous range of items can be selected by a SHIFT-click. Default True.
property Font: TFont; | The font to be used for text display in this control.
property IntegralHeight: Boolean; [rw] | Not implemented: shrink the Height of the widget, so that it only shows fully visible rows.
property ItemHeight: Integer; [rw] | The default height of all items.
property ItemIndex: Integer; [rw] | The currently selected item, -1 if none.
property Items: TStrings; [rw] | The list of all items in the control.
property MultiSelect: Boolean; [rw] | Allows to select more than one Item from the list, using CTRL-click.
property OnChangeBounds: TNotifyEvent; | Event handler for a change of the Bounds of the control.
property OnClick: TNotifyEvent; | Notification handler for mouse clicks.
property OnDblClick: TNotifyEvent; | Event Handler for double mouse clicks.
property OnDrawItem: TDrawItemEvent; [rw] | Handler for special painting of an item (in owner-draw mode).
property OnEnter: TNotifyEvent; | Handler for control receiving the focus.
property OnExit: TNotifyEvent; | Handler for control loosing the focus. This is a good place for checking the finished user input.
property OnKeyDown: TKeyEvent; | Handler for keyboard key pressed.
property OnKeyPress: TKeyPressEvent; | Handler for a character entered by the user.
property OnKeyUp: TKeyEvent; | Handler for keyboard key released.
property OnMeasureItem: TMeasureItemEvent; [rw] | Handler invoked when the height of an item is required.
property OnMouseDown: TMouseEvent; | Event handler for mouse button going down.
property OnMouseEnter: TNotifyEvent; | Event handler for mouse entering the area of the control.
property OnMouseLeave: TNotifyEvent; | Event handler for mouse leaving the area of the control.
property OnMouseMove: TMouseMoveEvent; | Event handler for mouse movement within the control.
property OnMouseUp: TMouseEvent; | Event handler for mouse button going up.
property OnMouseWheel: TMouseWheelEvent; | Event handler for mouse wheel turned.
property OnMouseWheelDown: TMouseWheelUpDownEvent; | Notification handler for downward movement of mouse wheel.
property OnMouseWheelUp: TMouseWheelUpDownEvent; | Notification handler for upward movement of mouse wheel.
property OnResize: TNotifyEvent; | Notification handler for a resize of the control.
property OnSelectionChange: TSelectionChangeEvent; [rw] | Handler invoked when an item is selected.
property OnUTF8KeyPress: TUTF8KeyPressEvent; | Handler for a character entered by the user.
property Options: TListBoxOptions; [rw]
property ParentColor: Boolean; | If true, the Color of the control will be the same as the one from the Parent. Default is true.
property ParentFont: Boolean; | If true, the Font of the control will be the same as the one from the Parent. Default is true.
property ParentShowHint: Boolean; | If true, the value of ShowHint for the control will be the same as the one from the Parent. Default is true.
property PopupMenu: TPopupMenu; | A context-sensitive menu that pops up when the right mouse button is clicked over this control
property ScrollWidth: Integer; [rw] | The virtual width of the ListBox, in pixels.
property SelCount: Integer; [r] | The number of selected iems in the list.
property Selected []: Boolean; [rw] | Get or set the Selected state of an item.
property ShowHint: Boolean; | Enables the Hint display.
property Sorted: Boolean; [rw] | Determines whether the list entries are sorted.
property Style: TListBoxStyle; [rw] | Appearance of the ListBox - normal, owner-draw fixed, or owner-draw variable.
property TabOrder: TTabOrder; | Determines the sequence of controls, reachable when the user presses the Tab key.
property TabStop: Boolean; | Allows the user to navigate to this control, by pressing the Tab key.
property TopIndex: Integer; [rw] | Index of the first visible (topmost) item.
property Visible: Boolean; | Allows to show or hide the control, and all of its children.
end;

Inheritance

TCustomListBox | The base class for TListBox.
|
TWinControl | The base class for controls which can contain other (child) controls.
|
TControl | The base class for visible controls.
|
TLCLComponent | The base class for LCL components associated with widgets.
|
TComponent,IUnknown,IInterfaceComponentReference
|
TPersistent,IFPObserved
|
TObject


TCustomListBox
 | ro | Align
 | ro | Anchors
 | ro | BorderStyle
 | ro | Canvas
 |  | ClickOnSelChange
 |  | Columns
 | ro | Constraints
 | ro | Count
 |  | ExtendedSelect
 | ro | Font
 |  | IntegralHeight
 |  | ItemHeight
 |  | ItemIndex
 |  | Items
 |  | MultiSelect
 |  | Options
 | ro | ParentColor
 | ro | ParentFont
 | ro | ParentShowHint
 | ro | PopupMenu
 |  | ScrollWidth
 | ro | SelCount
 |  | Selected
 | ro | ShowHint
 |  | Sorted
 |  | Style
 | ro | TabOrder
 | ro | TabStop
 |  | TopIndex
 | ro | Visible
TWinControl
pt |  | WindowHandle
pt |  | BorderStyle
pt |  | ParentBackground
 |  | BorderWidth
 | ro | BoundsLockCount
 | ro | Brush
 | ro | CachedClientHeight
 | ro | CachedClientWidth
 |  | ChildSizing
 | ro | ControlCount
 | ro | Controls
 |  | DefWndProc
 | ro | DockClientCount
 | ro | DockClients
 |  | DockManager
 |  | DockSite
 |  | DoubleBuffered
 |  | Handle
 | ro | IsFlipped
 | ro | IsResizing
 |  | TabOrder
 |  | TabStop
 |  | ParentDoubleBuffered
 |  | ParentWindow
 | ro | Showing
 |  | UseDockManager
 |  | DesignerDeleting
 | ro | VisibleDockClientCount
TControl
pt | ro | AutoSizing
pt | ro | AutoSizingAll
pt | ro | AutoSizingLockCount
pt |  | ActionLink
pt |  | DesktopFont
pt |  | DragCursor
pt |  | DragKind
pt |  | DragMode
pt |  | MouseCapture
pt |  | ParentColor
pt |  | ParentFont
pt |  | ParentShowHint
pt |  | SessionProperties
pt |  | Text
 | ro | AnchoredControls
 | ro | BaseBounds
 | ro | ReadBounds
 | ro | BaseParentClientSize
 |  | AccessibleDescription
 |  | AccessibleValue
 |  | AccessibleRole
 |  | Action
 |  | Align
 |  | Anchors
 | ro | AnchorSide
 |  | AutoSize
 |  | BorderSpacing
 |  | BoundsRect
 |  | BoundsRectForNewParent
 |  | Caption
 |  | CaptureMouseButtons
 |  | ClientHeight
 | ro | ClientOrigin
 | ro | ClientRect
 |  | ClientWidth
 |  | Color
 |  | Constraints
 | ro | ControlOrigin
 |  | ControlState
 |  | ControlStyle
 |  | Enabled
 |  | Font
 |  | IsControl
 | ro | MouseEntered
 | ro | MouseInClient
 |  | Parent
 |  | PopupMenu
 |  | ShowHint
 |  | Visible
 |  | WindowProc
 |  | DockOrientation
 | ro | Floating
 |  | FloatingDockSiteClass
 |  | HostDockSite
 |  | LRDockWidth
 |  | TBDockHeight
 |  | UndockHeight
 |  | UndockWidth
 |  | BiDiMode
 |  | ParentBiDiMode
pl |  | AnchorSideLeft
pl |  | AnchorSideTop
pl |  | AnchorSideRight
pl |  | AnchorSideBottom
pl |  | Cursor
pl |  | Left
pl |  | Height
pl |  | Hint
pl |  | Top
pl |  | Width
pl |  | HelpType
pl |  | HelpKeyword
pl |  | HelpContext
TLCLComponent
 | ro | LCLRefCount
 | ro | WidgetSetClass
TComponent
 | ro | ComObject
 | ro | Components
 | ro | ComponentCount
 |  | ComponentIndex
 | ro | ComponentState
 | ro | ComponentStyle
 |  | DesignInfo
 | ro | Owner
 |  | VCLComObject
 |  | Name
 |  | Tag
TPersistent
TObject


 |  | AccessibleDescription (TControl)
 |  | AccessibleRole (TControl)
 |  | AccessibleValue (TControl)
 |  | Action (TControl)
pt |  | ActionLink (TControl)
 |  | Align (TControl)
 | ro | Align (TCustomListBox)
 | ro | AnchoredControls (TControl)
 |  | Anchors (TControl)
 | ro | Anchors (TCustomListBox)
 | ro | AnchorSide (TControl)
pl |  | AnchorSideBottom (TControl)
pl |  | AnchorSideLeft (TControl)
pl |  | AnchorSideRight (TControl)
pl |  | AnchorSideTop (TControl)
 |  | AutoSize (TControl)
pt | ro | AutoSizing (TControl)
pt | ro | AutoSizingAll (TControl)
pt | ro | AutoSizingLockCount (TControl)
 | ro | BaseBounds (TControl)
 | ro | BaseParentClientSize (TControl)
 |  | BiDiMode (TControl)
 |  | BorderSpacing (TControl)
pt |  | BorderStyle (TWinControl)
 | ro | BorderStyle (TCustomListBox)
 |  | BorderWidth (TWinControl)
 | ro | BoundsLockCount (TWinControl)
 |  | BoundsRect (TControl)
 |  | BoundsRectForNewParent (TControl)
 | ro | Brush (TWinControl)
 | ro | CachedClientHeight (TWinControl)
 | ro | CachedClientWidth (TWinControl)
 | ro | Canvas (TCustomListBox)
 |  | Caption (TControl)
 |  | CaptureMouseButtons (TControl)
 |  | ChildSizing (TWinControl)
 |  | ClickOnSelChange (TCustomListBox)
 |  | ClientHeight (TControl)
 | ro | ClientOrigin (TControl)
 | ro | ClientRect (TControl)
 |  | ClientWidth (TControl)
 |  | Color (TControl)
 |  | Columns (TCustomListBox)
 | ro | ComObject (TComponent)
 | ro | ComponentCount (TComponent)
 |  | ComponentIndex (TComponent)
 | ro | Components (TComponent)
 | ro | ComponentState (TComponent)
 | ro | ComponentStyle (TComponent)
 |  | Constraints (TControl)
 | ro | Constraints (TCustomListBox)
 | ro | ControlCount (TWinControl)
 | ro | ControlOrigin (TControl)
 | ro | Controls (TWinControl)
 |  | ControlState (TControl)
 |  | ControlStyle (TControl)
 | ro | Count (TCustomListBox)
pl |  | Cursor (TControl)
 |  | DefWndProc (TWinControl)
 |  | DesignerDeleting (TWinControl)
 |  | DesignInfo (TComponent)
pt |  | DesktopFont (TControl)
 | ro | DockClientCount (TWinControl)
 | ro | DockClients (TWinControl)
 |  | DockManager (TWinControl)
 |  | DockOrientation (TControl)
 |  | DockSite (TWinControl)
 |  | DoubleBuffered (TWinControl)
pt |  | DragCursor (TControl)
pt |  | DragKind (TControl)
pt |  | DragMode (TControl)
 |  | Enabled (TControl)
 |  | ExtendedSelect (TCustomListBox)
 | ro | Floating (TControl)
 |  | FloatingDockSiteClass (TControl)
 |  | Font (TControl)
 | ro | Font (TCustomListBox)
 |  | Handle (TWinControl)
pl |  | Height (TControl)
pl |  | HelpContext (TControl)
pl |  | HelpKeyword (TControl)
pl |  | HelpType (TControl)
pl |  | Hint (TControl)
 |  | HostDockSite (TControl)
 |  | IntegralHeight (TCustomListBox)
 |  | IsControl (TControl)
 | ro | IsFlipped (TWinControl)
 | ro | IsResizing (TWinControl)
 |  | ItemHeight (TCustomListBox)
 |  | ItemIndex (TCustomListBox)
 |  | Items (TCustomListBox)
 | ro | LCLRefCount (TLCLComponent)
pl |  | Left (TControl)
 |  | LRDockWidth (TControl)
pt |  | MouseCapture (TControl)
 | ro | MouseEntered (TControl)
 | ro | MouseInClient (TControl)
 |  | MultiSelect (TCustomListBox)
 |  | Name (TComponent)
 |  | Options (TCustomListBox)
 | ro | Owner (TComponent)
 |  | Parent (TControl)
pt |  | ParentBackground (TWinControl)
 |  | ParentBiDiMode (TControl)
pt |  | ParentColor (TControl)
 | ro | ParentColor (TCustomListBox)
 |  | ParentDoubleBuffered (TWinControl)
pt |  | ParentFont (TControl)
 | ro | ParentFont (TCustomListBox)
pt |  | ParentShowHint (TControl)
 | ro | ParentShowHint (TCustomListBox)
 |  | ParentWindow (TWinControl)
 |  | PopupMenu (TControl)
 | ro | PopupMenu (TCustomListBox)
 | ro | ReadBounds (TControl)
 |  | ScrollWidth (TCustomListBox)
 | ro | SelCount (TCustomListBox)
 |  | Selected (TCustomListBox)
pt |  | SessionProperties (TControl)
 |  | ShowHint (TControl)
 | ro | ShowHint (TCustomListBox)
 | ro | Showing (TWinControl)
 |  | Sorted (TCustomListBox)
 |  | Style (TCustomListBox)
 |  | TabOrder (TWinControl)
 | ro | TabOrder (TCustomListBox)
 |  | TabStop (TWinControl)
 | ro | TabStop (TCustomListBox)
 |  | Tag (TComponent)
 |  | TBDockHeight (TControl)
pt |  | Text (TControl)
pl |  | Top (TControl)
 |  | TopIndex (TCustomListBox)
 |  | UndockHeight (TControl)
 |  | UndockWidth (TControl)
 |  | UseDockManager (TWinControl)
 |  | VCLComObject (TComponent)
 |  | Visible (TControl)
 | ro | Visible (TCustomListBox)
 | ro | VisibleDockClientCount (TWinControl)
 | ro | WidgetSetClass (TLCLComponent)
pl |  | Width (TControl)
pt |  | WindowHandle (TWinControl)
 |  | WindowProc (TControl)


TCustomListBox
pt | WSRegisterClass
pt | AssignItemDataToCache
pt | AssignCacheToItemData
pt | BeforeDragStart
pt | BeginAutoDrag
pt | CalculateStandardItemHeight
pt | CreateParams
pt | InitializeWnd
pt | DestroyWnd
pt | FinalizeWnd
pt | GetControlClassDefaultSize
pt | CheckIndex
pt | GetItemHeight
pt | GetItemIndex
pt | GetSelCount
pt | GetSelected
pt | GetCachedDataSize
pt | GetCachedData
pt | SetExtendedSelect
pt | SetItemIndex
pt | SetItems
pt | SetItemHeight
pt | SetMultiSelect
pt | SetSelected
pt | SetSorted
pt | SetStyle
pt | DrawItem
pt | DoAutoAdjustLayout
pt | DoSelectionChange
pt | SendItemIndex
pt | WMGetDlgCode
 | Create
 | Destroy
 | AddItem
 | Click
 | Clear
 | ClearSelection
 | GetIndexAtXY
 | GetIndexAtY
 | GetSelectedText
 | ItemAtPos
 | ItemRect
 | ItemVisible
 | ItemFullyVisible
 | LockSelectionChange
 | MakeCurrentVisible
 | MeasureItem
 | SelectAll
 | DeleteSelected
 | UnlockSelectionChange
TWinControl
pt | WSRegisterClass
pt | AdjustClientRect
pt | GetAdjustedLogicalClientRect
pt | AlignControls
pt | CustomAlignInsertBefore
pt | CustomAlignPosition
pt | DoAlignChildControls
pt | DoChildSizingChange
pt | InvalidatePreferredChildSizes
pt | CanTab
pt | IsClientHeightStored
pt | IsClientWidthStored
pt | DoSendShowHideToInterface
pt | ControlsAligned
pt | DoSendBoundsToInterface
pt | RealizeBounds
pt | RealizeBoundsRecursive
pt | InvalidateBoundsRealized
pt | CreateSubClass
pt | DoConstraintsChange
pt | DoSetBounds
pt | DoAutoSize
pt | DoAllAutoSize
pt | AllAutoSized
pt | CalculatePreferredSize
pt | GetPreferredSizeClientFrame
pt | GetChildren
pt | ChildClassAllowed
pt | PaintControls
pt | PaintHandler
pt | PaintWindow
pt | CreateBrush
pt | ScaleControls
pt | ChangeScale
pt | CMBiDiModeChanged
pt | CMBorderChanged
pt | CMDoubleBufferedChanged
pt | CMEnabledChanged
pt | CMParentDoubleBufferedChanged
pt | CMShowingChanged
pt | CMShowHintChanged
pt | CMVisibleChanged
pt | CMEnter
pt | CMExit
pt | WMContextMenu
pt | WMEraseBkgnd
pt | WMNotify
pt | WMSetFocus
pt | WMKillFocus
pt | WMShowWindow
pt | WMEnter
pt | WMExit
pt | WMKeyDown
pt | WMSysKeyDown
pt | WMKeyUp
pt | WMSysKeyUp
pt | WMChar
pt | WMSysChar
pt | WMPaint
pt | WMDestroy
pt | WMMove
pt | WMSize
pt | WMWindowPosChanged
pt | CNKeyDown
pt | CNSysKeyDown
pt | CNKeyUp
pt | CNSysKeyUp
pt | CNChar
pt | DoDragMsg
pt | DoDockClientMsg
pt | DoUndockClientMsg
pt | DoAddDockClient
pt | DockOver
pt | DoDockOver
pt | DoRemoveDockClient
pt | DoUnDock
pt | GetSiteInfo
pt | GetParentHandle
pt | GetTopParentHandle
pt | ReloadDockedControl
pt | CreateDockManager
pt | SetDockManager
pt | DoFloatMsg
pt | DoGetDockCaption
pt | DoEnter
pt | DoExit
pt | DoKeyDownBeforeInterface
pt | DoRemainingKeyDown
pt | DoRemainingKeyUp
pt | DoKeyPress
pt | DoUTF8KeyPress
pt | DoKeyUpBeforeInterface
pt | ChildKey
pt | SendDialogChar
pt | DialogChar
pt | ControlKeyDown
pt | ControlKeyUp
pt | KeyDown
pt | KeyDownBeforeInterface
pt | KeyDownAfterInterface
pt | KeyPress
pt | KeyUp
pt | KeyUpBeforeInterface
pt | KeyUpAfterInterface
pt | UTF8KeyPress
pt | FindNextControl
pt | SelectFirst
pt | RealGetText
pt | GetBorderStyle
pt | GetClientOrigin
pt | GetClientRect
pt | GetControlOrigin
pt | GetDeviceContext
pt | GetParentBackground
pt | IsControlMouseMsg
pt | CreateHandle
pt | CreateParams
pt | CreateWnd
pt | DestroyHandle
pt | DestroyWnd
pt | DoFlipChildren
pt | FinalizeWnd
pt | FixupTabList
pt | FontChanged
pt | InitializeWnd
pt | Loaded
pt | FormEndUpdated
pt | MainWndProc
pt | ParentFormHandleInitialized
pt | ChildHandlesCreated
pt | GetMouseCapture
pt | RealSetText
pt | RemoveFocus
pt | SendMoveSizeMessages
pt | SetBorderStyle
pt | SetColor
pt | SetChildZPosition
pt | SetParentBackground
pt | ShowControl
pt | UpdateControlState
pt | UpdateShowing
pt | WndProc
pt | WSSetText
 | AutoSizePhases
 | AutoSizeDelayed
 | AutoSizeDelayedReport
 | AutoSizeDelayedHandle
 | BeginUpdateBounds
 | EndUpdateBounds
 | LockRealizeBounds
 | UnlockRealizeBounds
 | ControlAtPos
 | ContainsControl
 | DoAdjustClientRectChange
 | InvalidateClientRectCache
 | ClientRectNeedsInterfaceUpdate
 | SetBounds
 | GetChildrenRect
 | DisableAlign
 | EnableAlign
 | ReAlign
 | ScrollBy_WS
 | ScrollBy
 | WriteLayoutDebugReport
 | AutoAdjustLayout
 | Create
 | CreateParented
 | CreateParentedControl
 | Destroy
 | DockDrop
 | CanFocus
 | CanSetFocus
 | GetControlIndex
 | SetControlIndex
 | Focused
 | PerformTab
 | FindChildControl
 | SelectNext
 | SetTempCursor
 | BroadCast
 | NotifyControls
 | DefaultHandler
 | GetTextLen
 | Invalidate
 | AddControl
 | InsertControl
 | RemoveControl
 | GetEnumeratorControls
 | GetEnumeratorControlsReverse
 | Repaint
 | Update
 | SetFocus
 | FlipChildren
 | ScaleBy
 | GetDockCaption
 | UpdateDockCaption
 | GetTabOrderList
 | HandleAllocated
 | ParentHandlesAllocated
 | HandleNeeded
 | BrushCreated
 | EraseBackground
 | IntfUTF8KeyPress
 | IntfGetDropFilesTarget
 | PaintTo
 | SetShape
TControl
pt | WSRegisterClass
pt | GetCursor
pt | SetCursor
pt | SetVisible
pt | DoOnParentHandleDestruction
pt | DoAutoSize
pt | DoAllAutoSize
pt | BeginAutoSizing
pt | EndAutoSizing
pt | AnchorSideChanged
pt | ForeignAnchorSideChanged
pt | SetAlign
pt | SetAnchors
pt | SetAutoSize
pt | BoundsChanged
pt | CreateControlBorderSpacing
pt | DoConstraintsChange
pt | DoBorderSpacingChange
pt | IsBorderSpacingInnerBorderStored
pt | IsCaptionStored
pt | SendMoveSizeMessages
pt | ConstrainedResize
pt | CalculatePreferredSize
pt | DoOnResize
pt | DoOnChangeBounds
pt | CheckOnChangeBounds
pt | Resize
pt | RequestAlign
pt | UpdateAnchorRules
pt | ChangeBounds
pt | DoSetBounds
pt | ScaleConstraints
pt | ChangeScale
pt | CanAutoSize
pt | SetBiDiMode
pt | SetParentBiDiMode
pt | IsAParentAligning
pt | GetClientOrigin
pt | GetClientRect
pt | GetLogicalClientRect
pt | GetScrolledClientRect
pt | GetClientScrollOffset
pt | GetControlOrigin
pt | IsClientHeightStored
pt | IsClientWidthStored
pt | WidthIsAnchored
pt | HeightIsAnchored
pt | WMCancelMode
pt | WMContextMenu
pt | WMLButtonDown
pt | WMRButtonDown
pt | WMMButtonDown
pt | WMXButtonDown
pt | WMLButtonDBLCLK
pt | WMRButtonDBLCLK
pt | WMMButtonDBLCLK
pt | WMXButtonDBLCLK
pt | WMLButtonTripleCLK
pt | WMRButtonTripleCLK
pt | WMMButtonTripleCLK
pt | WMXButtonTripleCLK
pt | WMLButtonQuadCLK
pt | WMRButtonQuadCLK
pt | WMMButtonQuadCLK
pt | WMXButtonQuadCLK
pt | WMMouseMove
pt | WMLButtonUp
pt | WMRButtonUp
pt | WMMButtonUp
pt | WMXButtonUp
pt | WMMouseWheel
pt | WMMouseHWheel
pt | WMMove
pt | WMSize
pt | WMWindowPosChanged
pt | CMChanged
pt | LMCaptureChanged
pt | CMBiDiModeChanged
pt | CMSysFontChanged
pt | CMEnabledChanged
pt | CMHitTest
pt | CMMouseEnter
pt | CMMouseLeave
pt | CMHintShow
pt | CMParentBiDiModeChanged
pt | CMParentColorChanged
pt | CMParentFontChanged
pt | CMParentShowHintChanged
pt | CMVisibleChanged
pt | CMTextChanged
pt | CMCursorChanged
pt | CalculateDockSizes
pt | CreateFloatingDockSite
pt | GetDockEdge
pt | GetDragImages
pt | GetFloating
pt | GetFloatingDockSiteClass
pt | BeforeDragStart
pt | BeginAutoDrag
pt | DoFloatMsg
pt | DockTrackNoTarget
pt | DoDock
pt | DoDragMsg
pt | DoEndDock
pt | DoEndDrag
pt | DoStartDock
pt | DoStartDrag
pt | DragCanceled
pt | DragOver
pt | PositionDockRect
pt | SetDragMode
pt | GetDefaultDockCaption
pt | Click
pt | DblClick
pt | TripleClick
pt | QuadClick
pt | GetMousePosFromMessage
pt | MouseDown
pt | MouseMove
pt | MouseUp
pt | MouseEnter
pt | MouseLeave
pt | DialogChar
pt | UpdateMouseCursor
pt | Changed
pt | GetPalette
pt | ChildClassAllowed
pt | ReadState
pt | Loaded
pt | LoadedAll
pt | DefineProperties
pt | AssignTo
pt | FormEndUpdated
pt | InvalidateControl
pt | FontChanged
pt | ParentFontChanged
pt | GetAction
pt | RealGetText
pt | RealSetText
pt | TextChanged
pt | GetCachedText
pt | SetAction
pt | SetColor
pt | SetEnabled
pt | SetHint
pt | SetName
pt | SetParent
pt | SetParentComponent
pt | WndProc
pt | ParentFormHandleInitialized
pt | GetMouseCapture
pt | CaptureChanged
pt | Notification
pt | CanTab
pt | GetDeviceContext
pt | GetEnabled
pt | GetPopupMenu
pt | DoOnShowHint
pt | DoMouseWheel
pt | DoMouseWheelDown
pt | DoMouseWheelUp
pt | DoMouseWheelHorz
pt | DoMouseWheelLeft
pt | DoMouseWheelRight
pt | VisibleChanging
pt | VisibleChanged
pt | EnabledChanging
pt | EnabledChanged
pt | AddHandler
pt | RemoveHandler
pt | DoCallNotifyHandler
pt | DoCallKeyEventHandler
pt | DoCallMouseWheelEventHandler
pt | DoContextPopup
pt | SetZOrder
pt | GetControlClassDefaultSize
pt | ColorIsStored
pt | DoAutoAdjustLayout
pt | DoFixDesignFontPPI
pt | DoScaleFontPPI
pt | GetActionLinkClass
pt | ActionChange
 | DragDrop
 | Dock
 | ManualDock
 | ManualFloat
 | ReplaceDockedControl
 | Docked
 | Dragging
 | GetAccessibleObject
 | CreateAccessibleObject
 | GetSelectedChildAccessibleObject
 | GetChildAccessibleObjectAtPos
 | ScaleDesignToForm
 | ScaleFormToDesign
 | Scale96ToForm
 | ScaleFormTo96
 | Scale96ToFont
 | ScaleFontTo96
 | ScaleScreenToFont
 | ScaleFontToScreen
 | Scale96ToScreen
 | ScaleScreenTo96
 | AdjustSize
 | AutoSizePhases
 | AutoSizeDelayed
 | AutoSizeDelayedReport
 | AutoSizeDelayedHandle
 | AnchorToNeighbour
 | AnchorParallel
 | AnchorHorizontalCenterTo
 | AnchorVerticalCenterTo
 | AnchorToCompanion
 | AnchorSame
 | AnchorAsAlign
 | AnchorClient
 | AnchoredControlCount
 | SetBounds
 | SetInitialBounds
 | SetBoundsKeepBase
 | GetPreferredSize
 | GetCanvasScaleFactor
 | GetDefaultWidth
 | GetDefaultHeight
 | GetDefaultColor
 | GetColorResolvingParent
 | GetRGBColorResolvingParent
 | GetSidePosition
 | CNPreferredSizeChanged
 | InvalidatePreferredSize
 | GetAnchorsDependingOnParent
 | DisableAutoSizing
 | EnableAutoSizing
 | UpdateBaseBounds
 | WriteLayoutDebugReport
 | AutoAdjustLayout
 | ShouldAutoAdjust
 | FixDesignFontsPPI
 | ScaleFontsPPI
 | Create
 | Destroy
 | BeforeDestruction
 | EditingDone
 | ExecuteDefaultAction
 | ExecuteCancelAction
 | BeginDrag
 | EndDrag
 | BringToFront
 | HasParent
 | GetParentComponent
 | IsParentOf
 | GetTopParent
 | IsVisible
 | IsControlVisible
 | IsEnabled
 | IsParentColor
 | IsParentFont
 | FormIsUpdating
 | IsProcessingPaintMsg
 | Hide
 | Refresh
 | Repaint
 | Invalidate
 | CheckChildClassAllowed
 | CheckNewParent
 | SendToBack
 | SetTempCursor
 | UpdateRolesForForm
 | ActiveDefaultControlChanged
 | GetTextBuf
 | GetTextLen
 | SetTextBuf
 | Perform
 | ScreenToClient
 | ClientToScreen
 | ScreenToControl
 | ControlToScreen
 | ClientToParent
 | ParentToClient
 | GetChildrenRect
 | Show
 | Update
 | HandleObjectShouldBeVisible
 | ParentDestroyingHandle
 | ParentHandlesAllocated
 | InitiateAction
 | ShowHelp
 | HasHelp
 | RemoveAllHandlersOfObject
 | AddHandlerOnResize
 | RemoveHandlerOnResize
 | AddHandlerOnChangeBounds
 | RemoveHandlerOnChangeBounds
 | AddHandlerOnVisibleChanging
 | RemoveHandlerOnVisibleChanging
 | AddHandlerOnVisibleChanged
 | RemoveHandlerOnVisibleChanged
 | AddHandlerOnEnabledChanged
 | RemoveHandlerOnEnableChanging
 | AddHandlerOnKeyDown
 | RemoveHandlerOnKeyDown
 | AddHandlerOnBeforeDestruction
 | RemoveHandlerOnBeforeDestruction
 | AddHandlerOnMouseWheel
 | RemoveHandlerOnMouseWheel
 | UseRightToLeftAlignment
 | UseRightToLeftReading
 | UseRightToLeftScrollBar
 | IsRightToLeft
TLCLComponent
pt | WSRegisterClass
pt | GetWSComponentClass
 | Create
 | Destroy
 | NewInstance
 | RemoveAllHandlersOfObject
 | IncLCLRefCount
 | DecLCLRefCount
TComponent
 | GetComObject
 | GetComponent
 | GetComponentCount
 | GetComponentIndex
 | Insert
 | ReadLeft
 | ReadTop
 | Remove
 | RemoveNotification
 | SetComponentIndex
 | SetReference
 | WriteLeft
 | WriteTop
 | ChangeName
 | DefineProperties
 | GetChildren
 | GetChildOwner
 | GetChildParent
 | GetOwner
 | Loaded
 | Loading
 | Notification
 | PaletteCreated
 | ReadState
 | SetAncestor
 | SetDesigning
 | SetDesignInstance
 | SetInline
 | SetName
 | SetChildOrder
 | SetParentComponent
 | Updating
 | Updated
 | UpdateRegistry
 | ValidateRename
 | ValidateContainer
 | ValidateInsert
 | QueryInterface
 | _AddRef
 | _Release
 | iicrGetComponent
 | GetTypeInfoCount
 | GetTypeInfo
 | GetIDsOfNames
 | Invoke
 | WriteState
 | Create
 | Destroy
 | BeforeDestruction
 | DestroyComponents
 | Destroying
 | ExecuteAction
 | FindComponent
 | FreeNotification
 | RemoveFreeNotification
 | FreeOnRelease
 | GetEnumerator
 | GetNamePath
 | GetParentComponent
 | HasParent
 | InsertComponent
 | RemoveComponent
 | SafeCallException
 | SetSubComponent
 | UpdateAction
 | IsImplementorOf
 | ReferenceInterface
TPersistent
 | AssignError
 | AssignTo
 | DefineProperties
 | GetOwner
 | Destroy
 | Assign
 | FPOAttachObserver
 | FPODetachObserver
 | FPONotifyObservers
 | GetNamePath
TObject
 | Create
 | Destroy
 | newinstance
 | FreeInstance
 | SafeCallException
 | DefaultHandler
 | Free
 | InitInstance
 | CleanupInstance
 | ClassType
 | ClassInfo
 | ClassName
 | ClassNameIs
 | ClassParent
 | InstanceSize
 | InheritsFrom
 | StringMessageTable
 | MethodAddress
 | MethodName
 | FieldAddress
 | AfterConstruction
 | BeforeDestruction
 | DefaultHandlerStr
 | Dispatch
 | DispatchStr
 | GetInterface
 | GetInterfaceByStr
 | GetInterfaceWeak
 | GetInterfaceEntry
 | GetInterfaceEntryByStr
 | GetInterfaceTable
 | UnitName
 | Equals
 | GetHashCode
 | ToString


pt | ActionChange (TControl)
 | ActiveDefaultControlChanged (TControl)
 | AddControl (TWinControl)
pt | AddHandler (TControl)
 | AddHandlerOnBeforeDestruction (TControl)
 | AddHandlerOnChangeBounds (TControl)
 | AddHandlerOnEnabledChanged (TControl)
 | AddHandlerOnKeyDown (TControl)
 | AddHandlerOnMouseWheel (TControl)
 | AddHandlerOnResize (TControl)
 | AddHandlerOnVisibleChanged (TControl)
 | AddHandlerOnVisibleChanging (TControl)
 | AddItem (TCustomListBox)
pt | AdjustClientRect (TWinControl)
 | AdjustSize (TControl)
 | AfterConstruction (TObject)
pt | AlignControls (TWinControl)
pt | AllAutoSized (TWinControl)
 | AnchorAsAlign (TControl)
 | AnchorClient (TControl)
 | AnchoredControlCount (TControl)
 | AnchorHorizontalCenterTo (TControl)
 | AnchorParallel (TControl)
 | AnchorSame (TControl)
pt | AnchorSideChanged (TControl)
 | AnchorToCompanion (TControl)
 | AnchorToNeighbour (TControl)
 | AnchorVerticalCenterTo (TControl)
 | Assign (TPersistent)
pt | AssignCacheToItemData (TCustomListBox)
 | AssignError (TPersistent)
pt | AssignItemDataToCache (TCustomListBox)
 | AssignTo (TPersistent)
pt | AssignTo (TControl)
 | AutoAdjustLayout (TControl)
 | AutoAdjustLayout (TWinControl)
 | AutoSizeDelayed (TControl)
 | AutoSizeDelayed (TWinControl)
 | AutoSizeDelayedHandle (TControl)
 | AutoSizeDelayedHandle (TWinControl)
 | AutoSizeDelayedReport (TControl)
 | AutoSizeDelayedReport (TWinControl)
 | AutoSizePhases (TControl)
 | AutoSizePhases (TWinControl)
 | BeforeDestruction (TObject)
 | BeforeDestruction (TComponent)
 | BeforeDestruction (TControl)
pt | BeforeDragStart (TControl)
pt | BeforeDragStart (TCustomListBox)
pt | BeginAutoDrag (TControl)
pt | BeginAutoDrag (TCustomListBox)
pt | BeginAutoSizing (TControl)
 | BeginDrag (TControl)
 | BeginUpdateBounds (TWinControl)
pt | BoundsChanged (TControl)
 | BringToFront (TControl)
 | BroadCast (TWinControl)
 | BrushCreated (TWinControl)
pt | CalculateDockSizes (TControl)
pt | CalculatePreferredSize (TControl)
pt | CalculatePreferredSize (TWinControl)
pt | CalculateStandardItemHeight (TCustomListBox)
pt | CanAutoSize (TControl)
 | CanFocus (TWinControl)
 | CanSetFocus (TWinControl)
pt | CanTab (TControl)
pt | CanTab (TWinControl)
pt | CaptureChanged (TControl)
pt | ChangeBounds (TControl)
pt | Changed (TControl)
 | ChangeName (TComponent)
pt | ChangeScale (TControl)
pt | ChangeScale (TWinControl)
 | CheckChildClassAllowed (TControl)
pt | CheckIndex (TCustomListBox)
 | CheckNewParent (TControl)
pt | CheckOnChangeBounds (TControl)
pt | ChildClassAllowed (TControl)
pt | ChildClassAllowed (TWinControl)
pt | ChildHandlesCreated (TWinControl)
pt | ChildKey (TWinControl)
 | ClassInfo (TObject)
 | ClassName (TObject)
 | ClassNameIs (TObject)
 | ClassParent (TObject)
 | ClassType (TObject)
 | CleanupInstance (TObject)
 | Clear (TCustomListBox)
 | ClearSelection (TCustomListBox)
pt | Click (TControl)
 | Click (TCustomListBox)
 | ClientRectNeedsInterfaceUpdate (TWinControl)
 | ClientToParent (TControl)
 | ClientToScreen (TControl)
pt | CMBiDiModeChanged (TControl)
pt | CMBiDiModeChanged (TWinControl)
pt | CMBorderChanged (TWinControl)
pt | CMChanged (TControl)
pt | CMCursorChanged (TControl)
pt | CMDoubleBufferedChanged (TWinControl)
pt | CMEnabledChanged (TControl)
pt | CMEnabledChanged (TWinControl)
pt | CMEnter (TWinControl)
pt | CMExit (TWinControl)
pt | CMHintShow (TControl)
pt | CMHitTest (TControl)
pt | CMMouseEnter (TControl)
pt | CMMouseLeave (TControl)
pt | CMParentBiDiModeChanged (TControl)
pt | CMParentColorChanged (TControl)
pt | CMParentDoubleBufferedChanged (TWinControl)
pt | CMParentFontChanged (TControl)
pt | CMParentShowHintChanged (TControl)
pt | CMShowHintChanged (TWinControl)
pt | CMShowingChanged (TWinControl)
pt | CMSysFontChanged (TControl)
pt | CMTextChanged (TControl)
pt | CMVisibleChanged (TControl)
pt | CMVisibleChanged (TWinControl)
pt | CNChar (TWinControl)
pt | CNKeyDown (TWinControl)
pt | CNKeyUp (TWinControl)
 | CNPreferredSizeChanged (TControl)
pt | CNSysKeyDown (TWinControl)
pt | CNSysKeyUp (TWinControl)
pt | ColorIsStored (TControl)
pt | ConstrainedResize (TControl)
 | ContainsControl (TWinControl)
 | ControlAtPos (TWinControl)
pt | ControlKeyDown (TWinControl)
pt | ControlKeyUp (TWinControl)
pt | ControlsAligned (TWinControl)
 | ControlToScreen (TControl)
 | Create (TObject)
 | Create (TComponent)
 | Create (TLCLComponent)
 | Create (TControl)
 | Create (TWinControl)
 | Create (TCustomListBox)
 | CreateAccessibleObject (TControl)
pt | CreateBrush (TWinControl)
pt | CreateControlBorderSpacing (TControl)
pt | CreateDockManager (TWinControl)
pt | CreateFloatingDockSite (TControl)
pt | CreateHandle (TWinControl)
pt | CreateParams (TWinControl)
pt | CreateParams (TCustomListBox)
 | CreateParented (TWinControl)
 | CreateParentedControl (TWinControl)
pt | CreateSubClass (TWinControl)
pt | CreateWnd (TWinControl)
pt | CustomAlignInsertBefore (TWinControl)
pt | CustomAlignPosition (TWinControl)
pt | DblClick (TControl)
 | DecLCLRefCount (TLCLComponent)
 | DefaultHandler (TObject)
 | DefaultHandler (TWinControl)
 | DefaultHandlerStr (TObject)
 | DefineProperties (TPersistent)
 | DefineProperties (TComponent)
pt | DefineProperties (TControl)
 | DeleteSelected (TCustomListBox)
 | Destroy (TObject)
 | Destroy (TPersistent)
 | Destroy (TComponent)
 | Destroy (TLCLComponent)
 | Destroy (TControl)
 | Destroy (TWinControl)
 | Destroy (TCustomListBox)
 | DestroyComponents (TComponent)
pt | DestroyHandle (TWinControl)
 | Destroying (TComponent)
pt | DestroyWnd (TWinControl)
pt | DestroyWnd (TCustomListBox)
pt | DialogChar (TControl)
pt | DialogChar (TWinControl)
 | DisableAlign (TWinControl)
 | DisableAutoSizing (TControl)
 | Dispatch (TObject)
 | DispatchStr (TObject)
pt | DoAddDockClient (TWinControl)
 | DoAdjustClientRectChange (TWinControl)
pt | DoAlignChildControls (TWinControl)
pt | DoAllAutoSize (TControl)
pt | DoAllAutoSize (TWinControl)
pt | DoAutoAdjustLayout (TControl)
pt | DoAutoAdjustLayout (TCustomListBox)
pt | DoAutoSize (TControl)
pt | DoAutoSize (TWinControl)
pt | DoBorderSpacingChange (TControl)
pt | DoCallKeyEventHandler (TControl)
pt | DoCallMouseWheelEventHandler (TControl)
pt | DoCallNotifyHandler (TControl)
pt | DoChildSizingChange (TWinControl)
 | Dock (TControl)
 | DockDrop (TWinControl)
 | Docked (TControl)
pt | DockOver (TWinControl)
pt | DockTrackNoTarget (TControl)
pt | DoConstraintsChange (TControl)
pt | DoConstraintsChange (TWinControl)
pt | DoContextPopup (TControl)
pt | DoDock (TControl)
pt | DoDockClientMsg (TWinControl)
pt | DoDockOver (TWinControl)
pt | DoDragMsg (TControl)
pt | DoDragMsg (TWinControl)
pt | DoEndDock (TControl)
pt | DoEndDrag (TControl)
pt | DoEnter (TWinControl)
pt | DoExit (TWinControl)
pt | DoFixDesignFontPPI (TControl)
pt | DoFlipChildren (TWinControl)
pt | DoFloatMsg (TControl)
pt | DoFloatMsg (TWinControl)
pt | DoGetDockCaption (TWinControl)
pt | DoKeyDownBeforeInterface (TWinControl)
pt | DoKeyPress (TWinControl)
pt | DoKeyUpBeforeInterface (TWinControl)
pt | DoMouseWheel (TControl)
pt | DoMouseWheelDown (TControl)
pt | DoMouseWheelHorz (TControl)
pt | DoMouseWheelLeft (TControl)
pt | DoMouseWheelRight (TControl)
pt | DoMouseWheelUp (TControl)
pt | DoOnChangeBounds (TControl)
pt | DoOnParentHandleDestruction (TControl)
pt | DoOnResize (TControl)
pt | DoOnShowHint (TControl)
pt | DoRemainingKeyDown (TWinControl)
pt | DoRemainingKeyUp (TWinControl)
pt | DoRemoveDockClient (TWinControl)
pt | DoScaleFontPPI (TControl)
pt | DoSelectionChange (TCustomListBox)
pt | DoSendBoundsToInterface (TWinControl)
pt | DoSendShowHideToInterface (TWinControl)
pt | DoSetBounds (TControl)
pt | DoSetBounds (TWinControl)
pt | DoStartDock (TControl)
pt | DoStartDrag (TControl)
pt | DoUnDock (TWinControl)
pt | DoUndockClientMsg (TWinControl)
pt | DoUTF8KeyPress (TWinControl)
pt | DragCanceled (TControl)
 | DragDrop (TControl)
 | Dragging (TControl)
pt | DragOver (TControl)
pt | DrawItem (TCustomListBox)
 | EditingDone (TControl)
 | EnableAlign (TWinControl)
 | EnableAutoSizing (TControl)
pt | EnabledChanged (TControl)
pt | EnabledChanging (TControl)
pt | EndAutoSizing (TControl)
 | EndDrag (TControl)
 | EndUpdateBounds (TWinControl)
 | Equals (TObject)
 | EraseBackground (TWinControl)
 | ExecuteAction (TComponent)
 | ExecuteCancelAction (TControl)
 | ExecuteDefaultAction (TControl)
 | FieldAddress (TObject)
pt | FinalizeWnd (TWinControl)
pt | FinalizeWnd (TCustomListBox)
 | FindChildControl (TWinControl)
 | FindComponent (TComponent)
pt | FindNextControl (TWinControl)
 | FixDesignFontsPPI (TControl)
pt | FixupTabList (TWinControl)
 | FlipChildren (TWinControl)
 | Focused (TWinControl)
pt | FontChanged (TControl)
pt | FontChanged (TWinControl)
pt | ForeignAnchorSideChanged (TControl)
pt | FormEndUpdated (TControl)
pt | FormEndUpdated (TWinControl)
 | FormIsUpdating (TControl)
 | FPOAttachObserver (TPersistent)
 | FPODetachObserver (TPersistent)
 | FPONotifyObservers (TPersistent)
 | Free (TObject)
 | FreeInstance (TObject)
 | FreeNotification (TComponent)
 | FreeOnRelease (TComponent)
 | GetAccessibleObject (TControl)
pt | GetAction (TControl)
pt | GetActionLinkClass (TControl)
pt | GetAdjustedLogicalClientRect (TWinControl)
 | GetAnchorsDependingOnParent (TControl)
pt | GetBorderStyle (TWinControl)
pt | GetCachedData (TCustomListBox)
pt | GetCachedDataSize (TCustomListBox)
pt | GetCachedText (TControl)
 | GetCanvasScaleFactor (TControl)
 | GetChildAccessibleObjectAtPos (TControl)
 | GetChildOwner (TComponent)
 | GetChildParent (TComponent)
 | GetChildren (TComponent)
pt | GetChildren (TWinControl)
 | GetChildrenRect (TControl)
 | GetChildrenRect (TWinControl)
pt | GetClientOrigin (TControl)
pt | GetClientOrigin (TWinControl)
pt | GetClientRect (TControl)
pt | GetClientRect (TWinControl)
pt | GetClientScrollOffset (TControl)
 | GetColorResolvingParent (TControl)
 | GetComObject (TComponent)
 | GetComponent (TComponent)
 | GetComponentCount (TComponent)
 | GetComponentIndex (TComponent)
pt | GetControlClassDefaultSize (TControl)
pt | GetControlClassDefaultSize (TCustomListBox)
 | GetControlIndex (TWinControl)
pt | GetControlOrigin (TControl)
pt | GetControlOrigin (TWinControl)
pt | GetCursor (TControl)
 | GetDefaultColor (TControl)
pt | GetDefaultDockCaption (TControl)
 | GetDefaultHeight (TControl)
 | GetDefaultWidth (TControl)
pt | GetDeviceContext (TControl)
pt | GetDeviceContext (TWinControl)
 | GetDockCaption (TWinControl)
pt | GetDockEdge (TControl)
pt | GetDragImages (TControl)
pt | GetEnabled (TControl)
 | GetEnumerator (TComponent)
 | GetEnumeratorControls (TWinControl)
 | GetEnumeratorControlsReverse (TWinControl)
pt | GetFloating (TControl)
pt | GetFloatingDockSiteClass (TControl)
 | GetHashCode (TObject)
 | GetIDsOfNames (TComponent)
 | GetIndexAtXY (TCustomListBox)
 | GetIndexAtY (TCustomListBox)
 | GetInterface (TObject)
 | GetInterfaceByStr (TObject)
 | GetInterfaceEntry (TObject)
 | GetInterfaceEntryByStr (TObject)
 | GetInterfaceTable (TObject)
 | GetInterfaceWeak (TObject)
pt | GetItemHeight (TCustomListBox)
pt | GetItemIndex (TCustomListBox)
pt | GetLogicalClientRect (TControl)
pt | GetMouseCapture (TControl)
pt | GetMouseCapture (TWinControl)
pt | GetMousePosFromMessage (TControl)
 | GetNamePath (TPersistent)
 | GetNamePath (TComponent)
 | GetOwner (TPersistent)
 | GetOwner (TComponent)
pt | GetPalette (TControl)
pt | GetParentBackground (TWinControl)
 | GetParentComponent (TComponent)
 | GetParentComponent (TControl)
pt | GetParentHandle (TWinControl)
pt | GetPopupMenu (TControl)
 | GetPreferredSize (TControl)
pt | GetPreferredSizeClientFrame (TWinControl)
 | GetRGBColorResolvingParent (TControl)
pt | GetScrolledClientRect (TControl)
pt | GetSelCount (TCustomListBox)
pt | GetSelected (TCustomListBox)
 | GetSelectedChildAccessibleObject (TControl)
 | GetSelectedText (TCustomListBox)
 | GetSidePosition (TControl)
pt | GetSiteInfo (TWinControl)
 | GetTabOrderList (TWinControl)
 | GetTextBuf (TControl)
 | GetTextLen (TControl)
 | GetTextLen (TWinControl)
 | GetTopParent (TControl)
pt | GetTopParentHandle (TWinControl)
 | GetTypeInfo (TComponent)
 | GetTypeInfoCount (TComponent)
pt | GetWSComponentClass (TLCLComponent)
 | HandleAllocated (TWinControl)
 | HandleNeeded (TWinControl)
 | HandleObjectShouldBeVisible (TControl)
 | HasHelp (TControl)
 | HasParent (TComponent)
 | HasParent (TControl)
pt | HeightIsAnchored (TControl)
 | Hide (TControl)
 | iicrGetComponent (TComponent)
 | IncLCLRefCount (TLCLComponent)
 | InheritsFrom (TObject)
pt | InitializeWnd (TWinControl)
pt | InitializeWnd (TCustomListBox)
 | InitiateAction (TControl)
 | InitInstance (TObject)
 | Insert (TComponent)
 | InsertComponent (TComponent)
 | InsertControl (TWinControl)
 | InstanceSize (TObject)
 | IntfGetDropFilesTarget (TWinControl)
 | IntfUTF8KeyPress (TWinControl)
 | Invalidate (TControl)
 | Invalidate (TWinControl)
pt | InvalidateBoundsRealized (TWinControl)
 | InvalidateClientRectCache (TWinControl)
pt | InvalidateControl (TControl)
pt | InvalidatePreferredChildSizes (TWinControl)
 | InvalidatePreferredSize (TControl)
 | Invoke (TComponent)
pt | IsAParentAligning (TControl)
pt | IsBorderSpacingInnerBorderStored (TControl)
pt | IsCaptionStored (TControl)
pt | IsClientHeightStored (TControl)
pt | IsClientHeightStored (TWinControl)
pt | IsClientWidthStored (TControl)
pt | IsClientWidthStored (TWinControl)
pt | IsControlMouseMsg (TWinControl)
 | IsControlVisible (TControl)
 | IsEnabled (TControl)
 | IsImplementorOf (TComponent)
 | IsParentColor (TControl)
 | IsParentFont (TControl)
 | IsParentOf (TControl)
 | IsProcessingPaintMsg (TControl)
 | IsRightToLeft (TControl)
 | IsVisible (TControl)
 | ItemAtPos (TCustomListBox)
 | ItemFullyVisible (TCustomListBox)
 | ItemRect (TCustomListBox)
 | ItemVisible (TCustomListBox)
pt | KeyDown (TWinControl)
pt | KeyDownAfterInterface (TWinControl)
pt | KeyDownBeforeInterface (TWinControl)
pt | KeyPress (TWinControl)
pt | KeyUp (TWinControl)
pt | KeyUpAfterInterface (TWinControl)
pt | KeyUpBeforeInterface (TWinControl)
pt | LMCaptureChanged (TControl)
 | Loaded (TComponent)
pt | Loaded (TControl)
pt | Loaded (TWinControl)
pt | LoadedAll (TControl)
 | Loading (TComponent)
 | LockRealizeBounds (TWinControl)
 | LockSelectionChange (TCustomListBox)
pt | MainWndProc (TWinControl)
 | MakeCurrentVisible (TCustomListBox)
 | ManualDock (TControl)
 | ManualFloat (TControl)
 | MeasureItem (TCustomListBox)
 | MethodAddress (TObject)
 | MethodName (TObject)
pt | MouseDown (TControl)
pt | MouseEnter (TControl)
pt | MouseLeave (TControl)
pt | MouseMove (TControl)
pt | MouseUp (TControl)
 | newinstance (TObject)
 | NewInstance (TLCLComponent)
 | Notification (TComponent)
pt | Notification (TControl)
 | NotifyControls (TWinControl)
pt | PaintControls (TWinControl)
pt | PaintHandler (TWinControl)
 | PaintTo (TWinControl)
pt | PaintWindow (TWinControl)
 | PaletteCreated (TComponent)
 | ParentDestroyingHandle (TControl)
pt | ParentFontChanged (TControl)
pt | ParentFormHandleInitialized (TControl)
pt | ParentFormHandleInitialized (TWinControl)
 | ParentHandlesAllocated (TControl)
 | ParentHandlesAllocated (TWinControl)
 | ParentToClient (TControl)
 | Perform (TControl)
 | PerformTab (TWinControl)
pt | PositionDockRect (TControl)
pt | QuadClick (TControl)
 | QueryInterface (TComponent)
 | ReadLeft (TComponent)
 | ReadState (TComponent)
pt | ReadState (TControl)
 | ReadTop (TComponent)
pt | RealGetText (TControl)
pt | RealGetText (TWinControl)
 | ReAlign (TWinControl)
pt | RealizeBounds (TWinControl)
pt | RealizeBoundsRecursive (TWinControl)
pt | RealSetText (TControl)
pt | RealSetText (TWinControl)
 | ReferenceInterface (TComponent)
 | Refresh (TControl)
pt | ReloadDockedControl (TWinControl)
 | Remove (TComponent)
 | RemoveAllHandlersOfObject (TLCLComponent)
 | RemoveAllHandlersOfObject (TControl)
 | RemoveComponent (TComponent)
 | RemoveControl (TWinControl)
pt | RemoveFocus (TWinControl)
 | RemoveFreeNotification (TComponent)
pt | RemoveHandler (TControl)
 | RemoveHandlerOnBeforeDestruction (TControl)
 | RemoveHandlerOnChangeBounds (TControl)
 | RemoveHandlerOnEnableChanging (TControl)
 | RemoveHandlerOnKeyDown (TControl)
 | RemoveHandlerOnMouseWheel (TControl)
 | RemoveHandlerOnResize (TControl)
 | RemoveHandlerOnVisibleChanged (TControl)
 | RemoveHandlerOnVisibleChanging (TControl)
 | RemoveNotification (TComponent)
 | Repaint (TControl)
 | Repaint (TWinControl)
 | ReplaceDockedControl (TControl)
pt | RequestAlign (TControl)
pt | Resize (TControl)
 | SafeCallException (TObject)
 | SafeCallException (TComponent)
 | Scale96ToFont (TControl)
 | Scale96ToForm (TControl)
 | Scale96ToScreen (TControl)
 | ScaleBy (TWinControl)
pt | ScaleConstraints (TControl)
pt | ScaleControls (TWinControl)
 | ScaleDesignToForm (TControl)
 | ScaleFontsPPI (TControl)
 | ScaleFontTo96 (TControl)
 | ScaleFontToScreen (TControl)
 | ScaleFormTo96 (TControl)
 | ScaleFormToDesign (TControl)
 | ScaleScreenTo96 (TControl)
 | ScaleScreenToFont (TControl)
 | ScreenToClient (TControl)
 | ScreenToControl (TControl)
 | ScrollBy (TWinControl)
 | ScrollBy_WS (TWinControl)
 | SelectAll (TCustomListBox)
pt | SelectFirst (TWinControl)
 | SelectNext (TWinControl)
pt | SendDialogChar (TWinControl)
pt | SendItemIndex (TCustomListBox)
pt | SendMoveSizeMessages (TControl)
pt | SendMoveSizeMessages (TWinControl)
 | SendToBack (TControl)
pt | SetAction (TControl)
pt | SetAlign (TControl)
 | SetAncestor (TComponent)
pt | SetAnchors (TControl)
pt | SetAutoSize (TControl)
pt | SetBiDiMode (TControl)
pt | SetBorderStyle (TWinControl)
 | SetBounds (TControl)
 | SetBounds (TWinControl)
 | SetBoundsKeepBase (TControl)
 | SetChildOrder (TComponent)
pt | SetChildZPosition (TWinControl)
pt | SetColor (TControl)
pt | SetColor (TWinControl)
 | SetComponentIndex (TComponent)
 | SetControlIndex (TWinControl)
pt | SetCursor (TControl)
 | SetDesigning (TComponent)
 | SetDesignInstance (TComponent)
pt | SetDockManager (TWinControl)
pt | SetDragMode (TControl)
pt | SetEnabled (TControl)
pt | SetExtendedSelect (TCustomListBox)
 | SetFocus (TWinControl)
pt | SetHint (TControl)
 | SetInitialBounds (TControl)
 | SetInline (TComponent)
pt | SetItemHeight (TCustomListBox)
pt | SetItemIndex (TCustomListBox)
pt | SetItems (TCustomListBox)
pt | SetMultiSelect (TCustomListBox)
 | SetName (TComponent)
pt | SetName (TControl)
pt | SetParent (TControl)
pt | SetParentBackground (TWinControl)
pt | SetParentBiDiMode (TControl)
 | SetParentComponent (TComponent)
pt | SetParentComponent (TControl)
 | SetReference (TComponent)
pt | SetSelected (TCustomListBox)
 | SetShape (TWinControl)
pt | SetSorted (TCustomListBox)
pt | SetStyle (TCustomListBox)
 | SetSubComponent (TComponent)
 | SetTempCursor (TControl)
 | SetTempCursor (TWinControl)
 | SetTextBuf (TControl)
pt | SetVisible (TControl)
pt | SetZOrder (TControl)
 | ShouldAutoAdjust (TControl)
 | Show (TControl)
pt | ShowControl (TWinControl)
 | ShowHelp (TControl)
 | StringMessageTable (TObject)
pt | TextChanged (TControl)
 | ToString (TObject)
pt | TripleClick (TControl)
 | UnitName (TObject)
 | UnlockRealizeBounds (TWinControl)
 | UnlockSelectionChange (TCustomListBox)
 | Update (TControl)
 | Update (TWinControl)
 | UpdateAction (TComponent)
pt | UpdateAnchorRules (TControl)
 | UpdateBaseBounds (TControl)
pt | UpdateControlState (TWinControl)
 | Updated (TComponent)
 | UpdateDockCaption (TWinControl)
pt | UpdateMouseCursor (TControl)
 | UpdateRegistry (TComponent)
 | UpdateRolesForForm (TControl)
pt | UpdateShowing (TWinControl)
 | Updating (TComponent)
 | UseRightToLeftAlignment (TControl)
 | UseRightToLeftReading (TControl)
 | UseRightToLeftScrollBar (TControl)
pt | UTF8KeyPress (TWinControl)
 | ValidateContainer (TComponent)
 | ValidateInsert (TComponent)
 | ValidateRename (TComponent)
pt | VisibleChanged (TControl)
pt | VisibleChanging (TControl)
pt | WidthIsAnchored (TControl)
pt | WMCancelMode (TControl)
pt | WMChar (TWinControl)
pt | WMContextMenu (TControl)
pt | WMContextMenu (TWinControl)
pt | WMDestroy (TWinControl)
pt | WMEnter (TWinControl)
pt | WMEraseBkgnd (TWinControl)
pt | WMExit (TWinControl)
pt | WMGetDlgCode (TCustomListBox)
pt | WMKeyDown (TWinControl)
pt | WMKeyUp (TWinControl)
pt | WMKillFocus (TWinControl)
pt | WMLButtonDBLCLK (TControl)
pt | WMLButtonDown (TControl)
pt | WMLButtonQuadCLK (TControl)
pt | WMLButtonTripleCLK (TControl)
pt | WMLButtonUp (TControl)
pt | WMMButtonDBLCLK (TControl)
pt | WMMButtonDown (TControl)
pt | WMMButtonQuadCLK (TControl)
pt | WMMButtonTripleCLK (TControl)
pt | WMMButtonUp (TControl)
pt | WMMouseHWheel (TControl)
pt | WMMouseMove (TControl)
pt | WMMouseWheel (TControl)
pt | WMMove (TControl)
pt | WMMove (TWinControl)
pt | WMNotify (TWinControl)
pt | WMPaint (TWinControl)
pt | WMRButtonDBLCLK (TControl)
pt | WMRButtonDown (TControl)
pt | WMRButtonQuadCLK (TControl)
pt | WMRButtonTripleCLK (TControl)
pt | WMRButtonUp (TControl)
pt | WMSetFocus (TWinControl)
pt | WMShowWindow (TWinControl)
pt | WMSize (TControl)
pt | WMSize (TWinControl)
pt | WMSysChar (TWinControl)
pt | WMSysKeyDown (TWinControl)
pt | WMSysKeyUp (TWinControl)
pt | WMWindowPosChanged (TControl)
pt | WMWindowPosChanged (TWinControl)
pt | WMXButtonDBLCLK (TControl)
pt | WMXButtonDown (TControl)
pt | WMXButtonQuadCLK (TControl)
pt | WMXButtonTripleCLK (TControl)
pt | WMXButtonUp (TControl)
pt | WndProc (TControl)
pt | WndProc (TWinControl)
 | WriteLayoutDebugReport (TControl)
 | WriteLayoutDebugReport (TWinControl)
 | WriteLeft (TComponent)
 | WriteState (TComponent)
 | WriteTop (TComponent)
pt | WSRegisterClass (TLCLComponent)
pt | WSRegisterClass (TControl)
pt | WSRegisterClass (TWinControl)
pt | WSRegisterClass (TCustomListBox)
pt | WSSetText (TWinControl)
 | _AddRef (TComponent)
 | _Release (TComponent)


TCustomListBox
 | ro | OnChangeBounds
 | ro | OnClick
 | ro | OnDblClick
 |  | OnDrawItem
 | ro | OnEnter
 | ro | OnExit
 | ro | OnKeyDown
 | ro | OnKeyPress
 | ro | OnKeyUp
 |  | OnMeasureItem
 | ro | OnMouseDown
 | ro | OnMouseEnter
 | ro | OnMouseLeave
 | ro | OnMouseMove
 | ro | OnMouseUp
 | ro | OnMouseWheel
 | ro | OnMouseWheelDown
 | ro | OnMouseWheelUp
 | ro | OnResize
 |  | OnSelectionChange
 | ro | OnUTF8KeyPress
TWinControl
pt |  | OnGetSiteInfo
pt |  | OnGetDockCaption
 |  | OnAlignInsertBefore
 |  | OnAlignPosition
 |  | OnDockDrop
 |  | OnDockOver
 |  | OnEnter
 |  | OnExit
 |  | OnKeyDown
 |  | OnKeyPress
 |  | OnKeyUp
 |  | OnUnDock
 |  | OnUTF8KeyPress
TControl
pt |  | OnConstrainedResize
pt |  | OnContextPopup
pt |  | OnDblClick
pt |  | OnTripleClick
pt |  | OnQuadClick
pt |  | OnDragDrop
pt |  | OnDragOver
pt |  | OnEndDock
pt |  | OnEndDrag
pt |  | OnMouseDown
pt |  | OnMouseMove
pt |  | OnMouseUp
pt |  | OnMouseEnter
pt |  | OnMouseLeave
pt |  | OnMouseWheel
pt |  | OnMouseWheelDown
pt |  | OnMouseWheelUp
pt |  | OnMouseWheelHorz
pt |  | OnMouseWheelLeft
pt |  | OnMouseWheelRight
pt |  | OnStartDock
pt |  | OnStartDrag
pt |  | OnEditingDone
 |  | OnChangeBounds
 |  | OnClick
 |  | OnResize
 |  | OnShowHint
TLCLComponent
TComponent
TPersistent
TObject


TCustomListBox.AddItem

Adds an item to the list.

Declaration

Source position: stdctrls.pp line 579

public procedure TCustomListBox.AddItem(

  const Item: string;

  AnObject: TObject

);

Arguments

Item | The item text.
AnObject | The associated object, can be Nil.

See also

TCustomListBox.Items

The list of all items in the control.


TCustomListBox.AssignCacheToItemData

Sends the cached selection state to the widget.

Declaration

Source position: stdctrls.pp line 546

protected procedure TCustomListBox.AssignCacheToItemData(

  const AIndex: Integer;

  const AData: Pointer

); virtual;


TCustomListBox.AssignItemDataToCache

Copy selection state into the cache.

Declaration

Source position: stdctrls.pp line 545

protected procedure TCustomListBox.AssignItemDataToCache(

  const AIndex: Integer;

  const AData: Pointer

); virtual;


TCustomListBox.BeforeDragStart

Declaration

Source position: stdctrls.pp line 547

protected procedure TCustomListBox.BeforeDragStart; override;


TCustomListBox.CalculateStandardItemHeight

Determine the standard Height of the items, when no widget has yet been created.

Declaration

Source position: stdctrls.pp line 549

protected function TCustomListBox.CalculateStandardItemHeight: Integer;


TCustomListBox.Canvas

Declaration

Source position: stdctrls.pp line 600

public property TCustomListBox.Canvas : TCanvas
  read FCanvas;


TCustomListBox.CheckIndex

Assures that the index is inside the Items list bounds.

Declaration

Source position: stdctrls.pp line 555

protected procedure TCustomListBox.CheckIndex(

  const AIndex: Integer

);

Errors

Raises an IndexOutOfBounds exception when the index is out of bounds.


TCustomListBox.Clear

Removes all items from the list.

Declaration

Source position: stdctrls.pp line 581

public procedure TCustomListBox.Clear; virtual;

See also

TCustomListBox.Items

The list of all items in the control.


TCustomListBox.ClearSelection

Unselects all items.

Declaration

Source position: stdctrls.pp line 582

public procedure TCustomListBox.ClearSelection;

See also

TCustomListBox.Items

The list of all items in the control.


TCustomListBox.ClickOnSelChange

Allows selection changes to generate a Click event.

Declaration

Source position: stdctrls.pp line 601

public property TCustomListBox.ClickOnSelChange : Boolean
  read FClickOnSelChange
  write FClickOnSelChange
  default True;

Description

Delphi generates an OnClick event when the selection changes. The LCL adds a more specific OnSelectionChange event. Set ClickOnSelChange to False, when selection changes should be handled only in OnSelectionChange, and should not generate an OnClick event (Delphi compatible).


TCustomListBox.Columns

The number of visible vertical columns.

Declaration

Source position: stdctrls.pp line 603

public property TCustomListBox.Columns : Integer
  read FColumns
  write SetColumns
  default 0;

Description

A ListBox can have multiple columns, not only multiple rows.

When Columns is greater than zero, it specifies the number of columns that are visible without horizontal scrolling. I.e. the width of a single column becomes Width/Columns.


TCustomListBox.Count

The number of items in the list.

Declaration

Source position: stdctrls.pp line 605

public property TCustomListBox.Count : Integer
  read GetCount;


TCustomListBox.Create

Declaration

Source position: stdctrls.pp line 577

public constructor TCustomListBox.Create(

  TheOwner: TComponent

); override;


TCustomListBox.CreateParams

Declaration

Source position: stdctrls.pp line 550

protected procedure TCustomListBox.CreateParams(

  var Params: TCreateParams

); override;


TCustomListBox.DeleteSelected

Declaration

Source position: stdctrls.pp line 594

public procedure TCustomListBox.DeleteSelected; virtual;


TCustomListBox.Destroy

Declaration

Source position: stdctrls.pp line 578

public destructor TCustomListBox.Destroy; override;


TCustomListBox.DoAutoAdjustLayout

Declaration

Source position: stdctrls.pp line 571

protected procedure TCustomListBox.DoAutoAdjustLayout(

  const AMode: TLayoutAdjustmentPolicy;

  const AXProportion: Double;

  const AYProportion: Double

); override;


TCustomListBox.DrawItem

Paints an item in owner-draw mode.

Declaration

Source position: stdctrls.pp line 570

protected procedure TCustomListBox.DrawItem(

  Index: Integer;

  ARect: TRect;

  State: TOwnerDrawState

); virtual;

See also

TDrawItemEvent

The handler type for painting a single item of owner-draw list and combo boxes.


TCustomListBox.ExtendedSelect

True when a contiguous range of items can be selected by a SHIFT-click. Default True.

Declaration

Source position: stdctrls.pp line 606

public property TCustomListBox.ExtendedSelect : Boolean
  read FExtendedSelect
  write SetExtendedSelect
  default True;

Description

Normally a click into the list selects one item, and deselects all other items.

When MultiSelect is True, the user can select/deselect further items with CTRL-click.

When ExtendedSelect also is True, the user can SHIFT-click on an item, to select all items between this and the last selected item.


TCustomListBox.FinalizeWnd

Caches the Items stored in the widget.

Declaration

Source position: stdctrls.pp line 553

protected procedure TCustomListBox.FinalizeWnd; override;

See also

TWinControl.FinalizeWnd

Prepare to remove the window (gets called before the Handle is destroyed).


TCustomListBox.GetCachedData

Returns an pointer to the cached item data.

Declaration

Source position: stdctrls.pp line 561

protected function TCustomListBox.GetCachedData(

  const AIndex: Integer

):Pointer;

Errors

Raises an InvalidOperation exception when the cache is invalid, i.e. when the widget has been created.


TCustomListBox.GetCachedDataSize

Returns the size of a cached item.

Declaration

Source position: stdctrls.pp line 560

protected function TCustomListBox.GetCachedDataSize: Integer; virtual;


TCustomListBox.GetControlClassDefaultSize

Declaration

Source position: stdctrls.pp line 554

protected class function TCustomListBox.GetControlClassDefaultSize: TSize; override;


TCustomListBox.GetIndexAtXY

Find the item at the given client coordinates.

Declaration

Source position: stdctrls.pp line 583

public function TCustomListBox.GetIndexAtXY(

  X: Integer;

  Y: Integer

):Integer;

Arguments

X | The X client coordinate.
Y | The Y client coordinate.

Function result

The item index, -1 if no item could be found.


TCustomListBox.GetSelectedText

Get the text of all selected items in one string.

Declaration

Source position: stdctrls.pp line 585

public function TCustomListBox.GetSelectedText: string;

Function result

The item strings, one per line.


TCustomListBox.InitializeWnd

Copies the Items into the widget.

Declaration

Source position: stdctrls.pp line 551

protected procedure TCustomListBox.InitializeWnd; override;

See also

TWinControl.InitializeWnd

Copies cached control properties to the just created widget.


TCustomListBox.IntegralHeight

Not implemented: shrink the Height of the widget, so that it only shows fully visible rows.

Declaration

Source position: stdctrls.pp line 608

public property TCustomListBox.IntegralHeight : Boolean
  read FIntegralHeight
  write FIntegralHeight
  default False;


TCustomListBox.ItemAtPos

Get the item index for the given client coordinates.

Declaration

Source position: stdctrls.pp line 586

public function TCustomListBox.ItemAtPos(

  const Pos: TPoint;

  Existing: Boolean

):Integer;

Arguments

Pos | The item position.
Existing | True when the index is requested for insertion of a new item.

Function result

The calculated item index, can be out of the Items bounds.

See also

TCustomListBox.GetIndexAtXY

Find the item at the given client coordinates.


TCustomListBox.ItemFullyVisible

Returns True if the item is fully visible in the scrolled list.

Declaration

Source position: stdctrls.pp line 589

public function TCustomListBox.ItemFullyVisible(

  Index: Integer

):Boolean;

See also

TCustomListBox.ItemVisible

Returns True if the item is at least partially visible in the scrolled list.


TCustomListBox.ItemHeight

The default height of all items.

Declaration

Source position: stdctrls.pp line 609

public property TCustomListBox.ItemHeight : Integer
  read GetItemHeight
  write SetItemHeight;


TCustomListBox.ItemIndex

The currently selected item, -1 if none.

Declaration

Source position: stdctrls.pp line 610

public property TCustomListBox.ItemIndex : Integer
  read GetItemIndex
  write SetItemIndex
  default - 1;

Description

If MultiSelect is True, ItemIndex represents the selected item which also has the focus.

See also

TCustomListBox | The base class for TListBox.
TCustomListBox.Items | The list of all items in the control.
TCustomListBox.MultiSelect | Allows to select more than one Item from the list, using CTRL-click.
TCustomListBox.ExtendedSelect | True when a contiguous range of items can be selected by a SHIFT-click. Default True.


TCustomListBox.ItemRect

Returns the client area of an item (including scrolling).

Declaration

Source position: stdctrls.pp line 587

public function TCustomListBox.ItemRect(

  Index: Integer

):TRect;

Arguments

Index

The tentative item index.

Function result

The item area; all zeroes for an invalid item index.

Description

Only an index from 0 to ItemCount is considered valid, i.e. the result is valid also for the next item, that will be added subsequently.


TCustomListBox.Items

The list of all items in the control.

Declaration

Source position: stdctrls.pp line 611

public property TCustomListBox.Items : TStrings
  read FItems
  write SetItems;

Description

Reading allows one to access the contents of the list (TStrings compatible).

Assign another string list to replace the items.

See also

TCustomListBox.ItemIndex

The currently selected item, -1 if none.

#rtl.Classes.TStrings


TCustomListBox.ItemVisible

Returns True if the item is at least partially visible in the scrolled list.

Declaration

Source position: stdctrls.pp line 588

public function TCustomListBox.ItemVisible(

  Index: Integer

):Boolean;

See also

TCustomListBox.ItemFullyVisible

Returns True if the item is fully visible in the scrolled list.


TCustomListBox.LockSelectionChange

Blocks selection changes during update of the widget.

Declaration

Source position: stdctrls.pp line 590

public procedure TCustomListBox.LockSelectionChange;


TCustomListBox.MakeCurrentVisible

Makes the item at ItemIndex visible, possibly scrolling the list.

Declaration

Source position: stdctrls.pp line 591

public procedure TCustomListBox.MakeCurrentVisible;


TCustomListBox.MeasureItem

Request the Height of a list item, using the OnMeasureItem handler.

Declaration

Source position: stdctrls.pp line 592

public procedure TCustomListBox.MeasureItem(

  Index: Integer;

  var TheHeight: Integer

); virtual;

Arguments

Index | The item index.
TheHeight | The height of the item in pixels, can be changed by the handler.

See also

TCustomListBox.OnMeasureItem

Handler invoked when the height of an item is required.


TCustomListBox.MultiSelect

Allows to select more than one Item from the list, using CTRL-click.

Declaration

Source position: stdctrls.pp line 612

public property TCustomListBox.MultiSelect : Boolean
  read FMultiSelect
  write SetMultiSelect
  default False;

See also

TCustomListBox.ExtendedSelect | True when a contiguous range of items can be selected by a SHIFT-click. Default True.
TCustomListBox.ItemIndex | The currently selected item, -1 if none.


TCustomListBox.OnDrawItem

Handler for special painting of an item (in owner-draw mode).

Declaration

Source position: stdctrls.pp line 616

public property TCustomListBox.OnDrawItem : TDrawItemEvent
  read FOnDrawItem
  write FOnDrawItem;

See also

TDrawItemEvent

The handler type for painting a single item of owner-draw list and combo boxes.


TCustomListBox.OnMeasureItem

Handler invoked when the height of an item is required.

Declaration

Source position: stdctrls.pp line 622

public property TCustomListBox.OnMeasureItem : TMeasureItemEvent
  read FOnMeasureItem
  write FOnMeasureItem;

See also

TMeasureItemEvent

The handler type for the determination of the Height of a single item in owner-draw list and combo boxes.


TCustomListBox.OnSelectionChange

Handler invoked when an item is selected.

Declaration

Source position: stdctrls.pp line 632

public property TCustomListBox.OnSelectionChange : TSelectionChangeEvent
  read FOnSelectionChange
  write FOnSelectionChange;


TCustomListBox.Options

Declaration

Source position: stdctrls.pp line 635

public property TCustomListBox.Options : TListBoxOptions
  read FOptions
  write FOptions
  default DefOptions;


TCustomListBox.ScrollWidth

The virtual width of the ListBox, in pixels.

Declaration

Source position: stdctrls.pp line 640

public property TCustomListBox.ScrollWidth : Integer
  read GetScrollWidth
  write SetScrollWidth
  default 0;

Description

This property determines, how far the listbox can be scrolled horizontally. In a multi-column ListBox it also determines the total number of vertical columns, together with Columns.

See also

TCustomListBox.Columns

The number of visible vertical columns.


TCustomListBox.SelCount

The number of selected iems in the list.

Declaration

Source position: stdctrls.pp line 641

public property TCustomListBox.SelCount : Integer
  read GetSelCount;

See also

TCustomListBox.Selected

Get or set the Selected state of an item.


TCustomListBox.SelectAll

Selects all items in the list (in ExtendedSelect mode).

Declaration

Source position: stdctrls.pp line 593

public procedure TCustomListBox.SelectAll; virtual;

See also

TCustomListBox.ExtendedSelect

True when a contiguous range of items can be selected by a SHIFT-click. Default True.


TCustomListBox.Selected

Get or set the Selected state of an item.

Declaration

Source position: stdctrls.pp line 642

public property TCustomListBox.Selected[Index: Integer] : Boolean
  read GetSelected
  write SetSelected;


TCustomListBox.SendItemIndex

Sends the ItemIndex to the widget.

Declaration

Source position: stdctrls.pp line 574

protected procedure TCustomListBox.SendItemIndex;


TCustomListBox.Sorted

Determines whether the list entries are sorted.

Declaration

Source position: stdctrls.pp line 644

public property TCustomListBox.Sorted : Boolean
  read FSorted
  write SetSorted
  default False;

Description

Setting this property to True enforces ascending alphanumeric case-insensitive sorting of the list. When True, new entries are added in sort order, not to the end of the list.


TCustomListBox.Style

Appearance of the ListBox - normal, owner-draw fixed, or owner-draw variable.

Declaration

Source position: stdctrls.pp line 645

public property TCustomListBox.Style : TListBoxStyle
  read FStyle
  write SetStyle
  default lbStandard;


TCustomListBox.TopIndex

Index of the first visible (topmost) item.

Declaration

Source position: stdctrls.pp line 648

public property TCustomListBox.TopIndex : Integer
  read GetTopIndex
  write SetTopIndex
  default 0;

See also

TCustomListBox.MakeVisible


TCustomListBox.UnlockSelectionChange

Unlocks previously locked selection changes.

Declaration

Source position: stdctrls.pp line 595

public procedure TCustomListBox.UnlockSelectionChange;


TCustomListBox.WMGetDlgCode

Declaration

Source position: stdctrls.pp line 575

protected procedure TCustomListBox.WMGetDlgCode(

  var Message: TLMNoParams

); message;


TCustomMemo

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

The base class for multi-line text controls.

Declaration

Source position: stdctrls.pp line 868

type TCustomMemo = class(TCustomEdit)
protected
class procedure WSRegisterClass; override; | Registers this component class with the current WidgetSet.
procedure CreateParams(); override;
procedure InitializeWnd; override;
procedure FinalizeWnd; override;
function RealGetText; override; | Returns the contents of Lines.Text
procedure RealSetText(); override; | Replaces Lines.Text.
function GetCachedText(); override; | Returns the cached Text property (FCaption).
function GetCaretPos; override;
procedure KeyUpAfterInterface(); override;
procedure SetCaretPos(); override;
procedure SetLines();
procedure SetWantReturns();
procedure SetWantTabs();
procedure SetWordWrap();
procedure SetScrollBars();
procedure Loaded; override;
procedure CMWantSpecialKey(); message;
procedure WMGetDlgCode(); message;
class function GetControlClassDefaultSize; override;
procedure UTF8KeyPress(); override;
function CanShowEmulatedTextHint; override;
public
constructor Create(); override;
destructor Destroy; override;
procedure Append(); | Appends a line to the text.
procedure ScrollBy(); override;
property Lines: TStrings; [rw] | An array with one string for every line (paragraph) in the control. Whilst it type is TStrings you cannot store Objects inside it.
property HorzScrollBar: TMemoScrollbar; [rw] | The horizontal scroll bar for this control.
property VertScrollBar: TMemoScrollbar; [rw] | The vertical scroll bar for this control.
property ScrollBars: TScrollStyle; [rw] | Adds vertical and/or horizontal scrollbars to the control.
property WantReturns: Boolean; [rw] | Allows the user to insert Return characters (line breaks) into the text.
property WantTabs: Boolean; [rw] | Allows to enter Tab characters into the text.
property WordWrap: Boolean; [rw] | Allows long logical lines (paragraphs) to wrap into multiple display lines.
end;

Inheritance

TCustomMemo | The base class for multi-line text controls.
|
TCustomEdit | The base class for controls presenting editable text.
|
TWinControl | The base class for controls which can contain other (child) controls.
|
TControl | The base class for visible controls.
|
TLCLComponent | The base class for LCL components associated with widgets.
|
TComponent,IUnknown,IInterfaceComponentReference
|
TPersistent,IFPObserved
|
TObject

Description

The text in a multi-line control can be accessed in two ways:

  • Lines allows access to every single line.
  • Lines.Text represents the entire text as one string.

The overhead involved with every property depends on the internal representation representation of the text, in the widget. In either case multiple changes to the Text property should be done in a local copy, written back after all changes have been applied.

The logical lines (paragraphs) in Lines do not always match the displayed lines. When WordWrap is True, every paragraph can wrap into multiple display lines.

See also

TCustomMemo.Lines

An array with one string for every line (paragraph) in the control. Whilst it type is TStrings you cannot store Objects inside it.


TCustomMemo
 |  | Lines
 |  | HorzScrollBar
 |  | VertScrollBar
 |  | ScrollBars
 |  | WantReturns
 |  | WantTabs
 |  | WordWrap
TCustomEdit
pt |  | AutoSelect
pt |  | AutoSelected
pt | ro | ParentColor
 |  | Alignment
 | ro | AutoSize
 | ro | BorderStyle
 | ro | CanUndo
 |  | CaretPos
 |  | CharCase
 |  | EchoMode
 |  | HideSelection
 |  | MaxLength
 |  | Modified
 |  | NumbersOnly
 |  | PasswordChar
 | ro | PopupMenu
 |  | ReadOnly
 |  | SelLength
 |  | SelStart
 |  | SelText
 | ro | TabOrder
 | ro | TabStop
 | ro | Text
 |  | TextHint
TWinControl
pt |  | WindowHandle
pt |  | BorderStyle
pt |  | ParentBackground
 |  | BorderWidth
 | ro | BoundsLockCount
 | ro | Brush
 | ro | CachedClientHeight
 | ro | CachedClientWidth
 |  | ChildSizing
 | ro | ControlCount
 | ro | Controls
 |  | DefWndProc
 | ro | DockClientCount
 | ro | DockClients
 |  | DockManager
 |  | DockSite
 |  | DoubleBuffered
 |  | Handle
 | ro | IsFlipped
 | ro | IsResizing
 |  | TabOrder
 |  | TabStop
 |  | ParentDoubleBuffered
 |  | ParentWindow
 | ro | Showing
 |  | UseDockManager
 |  | DesignerDeleting
 | ro | VisibleDockClientCount
TControl
pt | ro | AutoSizing
pt | ro | AutoSizingAll
pt | ro | AutoSizingLockCount
pt |  | ActionLink
pt |  | DesktopFont
pt |  | DragCursor
pt |  | DragKind
pt |  | DragMode
pt |  | MouseCapture
pt |  | ParentColor
pt |  | ParentFont
pt |  | ParentShowHint
pt |  | SessionProperties
pt |  | Text
 | ro | AnchoredControls
 | ro | BaseBounds
 | ro | ReadBounds
 | ro | BaseParentClientSize
 |  | AccessibleDescription
 |  | AccessibleValue
 |  | AccessibleRole
 |  | Action
 |  | Align
 |  | Anchors
 | ro | AnchorSide
 |  | AutoSize
 |  | BorderSpacing
 |  | BoundsRect
 |  | BoundsRectForNewParent
 |  | Caption
 |  | CaptureMouseButtons
 |  | ClientHeight
 | ro | ClientOrigin
 | ro | ClientRect
 |  | ClientWidth
 |  | Color
 |  | Constraints
 | ro | ControlOrigin
 |  | ControlState
 |  | ControlStyle
 |  | Enabled
 |  | Font
 |  | IsControl
 | ro | MouseEntered
 | ro | MouseInClient
 |  | Parent
 |  | PopupMenu
 |  | ShowHint
 |  | Visible
 |  | WindowProc
 |  | DockOrientation
 | ro | Floating
 |  | FloatingDockSiteClass
 |  | HostDockSite
 |  | LRDockWidth
 |  | TBDockHeight
 |  | UndockHeight
 |  | UndockWidth
 |  | BiDiMode
 |  | ParentBiDiMode
pl |  | AnchorSideLeft
pl |  | AnchorSideTop
pl |  | AnchorSideRight
pl |  | AnchorSideBottom
pl |  | Cursor
pl |  | Left
pl |  | Height
pl |  | Hint
pl |  | Top
pl |  | Width
pl |  | HelpType
pl |  | HelpKeyword
pl |  | HelpContext
TLCLComponent
 | ro | LCLRefCount
 | ro | WidgetSetClass
TComponent
 | ro | ComObject
 | ro | Components
 | ro | ComponentCount
 |  | ComponentIndex
 | ro | ComponentState
 | ro | ComponentStyle
 |  | DesignInfo
 | ro | Owner
 |  | VCLComObject
 |  | Name
 |  | Tag
TPersistent
TObject


 |  | AccessibleDescription (TControl)
 |  | AccessibleRole (TControl)
 |  | AccessibleValue (TControl)
 |  | Action (TControl)
pt |  | ActionLink (TControl)
 |  | Align (TControl)
 |  | Alignment (TCustomEdit)
 | ro | AnchoredControls (TControl)
 |  | Anchors (TControl)
 | ro | AnchorSide (TControl)
pl |  | AnchorSideBottom (TControl)
pl |  | AnchorSideLeft (TControl)
pl |  | AnchorSideRight (TControl)
pl |  | AnchorSideTop (TControl)
pt |  | AutoSelect (TCustomEdit)
pt |  | AutoSelected (TCustomEdit)
 |  | AutoSize (TControl)
 | ro | AutoSize (TCustomEdit)
pt | ro | AutoSizing (TControl)
pt | ro | AutoSizingAll (TControl)
pt | ro | AutoSizingLockCount (TControl)
 | ro | BaseBounds (TControl)
 | ro | BaseParentClientSize (TControl)
 |  | BiDiMode (TControl)
 |  | BorderSpacing (TControl)
pt |  | BorderStyle (TWinControl)
 | ro | BorderStyle (TCustomEdit)
 |  | BorderWidth (TWinControl)
 | ro | BoundsLockCount (TWinControl)
 |  | BoundsRect (TControl)
 |  | BoundsRectForNewParent (TControl)
 | ro | Brush (TWinControl)
 | ro | CachedClientHeight (TWinControl)
 | ro | CachedClientWidth (TWinControl)
 | ro | CanUndo (TCustomEdit)
 |  | Caption (TControl)
 |  | CaptureMouseButtons (TControl)
 |  | CaretPos (TCustomEdit)
 |  | CharCase (TCustomEdit)
 |  | ChildSizing (TWinControl)
 |  | ClientHeight (TControl)
 | ro | ClientOrigin (TControl)
 | ro | ClientRect (TControl)
 |  | ClientWidth (TControl)
 |  | Color (TControl)
 | ro | ComObject (TComponent)
 | ro | ComponentCount (TComponent)
 |  | ComponentIndex (TComponent)
 | ro | Components (TComponent)
 | ro | ComponentState (TComponent)
 | ro | ComponentStyle (TComponent)
 |  | Constraints (TControl)
 | ro | ControlCount (TWinControl)
 | ro | ControlOrigin (TControl)
 | ro | Controls (TWinControl)
 |  | ControlState (TControl)
 |  | ControlStyle (TControl)
pl |  | Cursor (TControl)
 |  | DefWndProc (TWinControl)
 |  | DesignerDeleting (TWinControl)
 |  | DesignInfo (TComponent)
pt |  | DesktopFont (TControl)
 | ro | DockClientCount (TWinControl)
 | ro | DockClients (TWinControl)
 |  | DockManager (TWinControl)
 |  | DockOrientation (TControl)
 |  | DockSite (TWinControl)
 |  | DoubleBuffered (TWinControl)
pt |  | DragCursor (TControl)
pt |  | DragKind (TControl)
pt |  | DragMode (TControl)
 |  | EchoMode (TCustomEdit)
 |  | Enabled (TControl)
 | ro | Floating (TControl)
 |  | FloatingDockSiteClass (TControl)
 |  | Font (TControl)
 |  | Handle (TWinControl)
pl |  | Height (TControl)
pl |  | HelpContext (TControl)
pl |  | HelpKeyword (TControl)
pl |  | HelpType (TControl)
 |  | HideSelection (TCustomEdit)
pl |  | Hint (TControl)
 |  | HorzScrollBar (TCustomMemo)
 |  | HostDockSite (TControl)
 |  | IsControl (TControl)
 | ro | IsFlipped (TWinControl)
 | ro | IsResizing (TWinControl)
 | ro | LCLRefCount (TLCLComponent)
pl |  | Left (TControl)
 |  | Lines (TCustomMemo)
 |  | LRDockWidth (TControl)
 |  | MaxLength (TCustomEdit)
 |  | Modified (TCustomEdit)
pt |  | MouseCapture (TControl)
 | ro | MouseEntered (TControl)
 | ro | MouseInClient (TControl)
 |  | Name (TComponent)
 |  | NumbersOnly (TCustomEdit)
 | ro | Owner (TComponent)
 |  | Parent (TControl)
pt |  | ParentBackground (TWinControl)
 |  | ParentBiDiMode (TControl)
pt |  | ParentColor (TControl)
pt | ro | ParentColor (TCustomEdit)
 |  | ParentDoubleBuffered (TWinControl)
pt |  | ParentFont (TControl)
pt |  | ParentShowHint (TControl)
 |  | ParentWindow (TWinControl)
 |  | PasswordChar (TCustomEdit)
 |  | PopupMenu (TControl)
 | ro | PopupMenu (TCustomEdit)
 | ro | ReadBounds (TControl)
 |  | ReadOnly (TCustomEdit)
 |  | ScrollBars (TCustomMemo)
 |  | SelLength (TCustomEdit)
 |  | SelStart (TCustomEdit)
 |  | SelText (TCustomEdit)
pt |  | SessionProperties (TControl)
 |  | ShowHint (TControl)
 | ro | Showing (TWinControl)
 |  | TabOrder (TWinControl)
 | ro | TabOrder (TCustomEdit)
 |  | TabStop (TWinControl)
 | ro | TabStop (TCustomEdit)
 |  | Tag (TComponent)
 |  | TBDockHeight (TControl)
pt |  | Text (TControl)
 | ro | Text (TCustomEdit)
 |  | TextHint (TCustomEdit)
pl |  | Top (TControl)
 |  | UndockHeight (TControl)
 |  | UndockWidth (TControl)
 |  | UseDockManager (TWinControl)
 |  | VCLComObject (TComponent)
 |  | VertScrollBar (TCustomMemo)
 |  | Visible (TControl)
 | ro | VisibleDockClientCount (TWinControl)
 |  | WantReturns (TCustomMemo)
 |  | WantTabs (TCustomMemo)
 | ro | WidgetSetClass (TLCLComponent)
pl |  | Width (TControl)
pt |  | WindowHandle (TWinControl)
 |  | WindowProc (TControl)
 |  | WordWrap (TCustomMemo)


TCustomMemo
pt | WSRegisterClass
pt | CreateParams
pt | InitializeWnd
pt | FinalizeWnd
pt | RealGetText
pt | RealSetText
pt | GetCachedText
pt | GetCaretPos
pt | KeyUpAfterInterface
pt | SetCaretPos
pt | SetLines
pt | SetWantReturns
pt | SetWantTabs
pt | SetWordWrap
pt | SetScrollBars
pt | Loaded
pt | CMWantSpecialKey
pt | WMGetDlgCode
pt | GetControlClassDefaultSize
pt | UTF8KeyPress
pt | CanShowEmulatedTextHint
 | Create
 | Destroy
 | Append
 | ScrollBy
TCustomEdit
pt | WSRegisterClass
pt | CanShowEmulatedTextHint
pt | CreateEmulatedTextHintFont
pt | CalculatePreferredSize
pt | CreateParams
pt | InitializeWnd
pt | TextChanged
pt | FontChanged
pt | Change
pt | DoEnter
pt | DoExit
pt | EditingDone
pt | GetCaretPos
pt | GetNumbersOnly
pt | GetReadOnly
pt | GetSelLength
pt | GetSelStart
pt | GetSelText
pt | GetTextHint
pt | SetCaretPos
pt | SetEchoMode
pt | SetNumbersOnly
pt | SetReadOnly
pt | SetSelLength
pt | SetSelStart
pt | SetSelText
pt | SetTextHint
pt | ChildClassAllowed
pt | GetControlClassDefaultSize
pt | MouseUp
pt | RealSetText
pt | RealGetText
pt | KeyUpAfterInterface
pt | WMChar
pt | CMWantSpecialKey
pt | WndProc
pt | ShouldAutoAdjust
pt | WMSetFocus
pt | WMKillFocus
 | Create
 | Destroy
 | Clear
 | SelectAll
 | ClearSelection
 | CopyToClipboard
 | CutToClipboard
 | PasteFromClipboard
 | Undo
 | RemoveAllHandlersOfObject
 | AddHandlerOnChange
 | RemoveHandlerOnChange
TWinControl
pt | WSRegisterClass
pt | AdjustClientRect
pt | GetAdjustedLogicalClientRect
pt | AlignControls
pt | CustomAlignInsertBefore
pt | CustomAlignPosition
pt | DoAlignChildControls
pt | DoChildSizingChange
pt | InvalidatePreferredChildSizes
pt | CanTab
pt | IsClientHeightStored
pt | IsClientWidthStored
pt | DoSendShowHideToInterface
pt | ControlsAligned
pt | DoSendBoundsToInterface
pt | RealizeBounds
pt | RealizeBoundsRecursive
pt | InvalidateBoundsRealized
pt | CreateSubClass
pt | DoConstraintsChange
pt | DoSetBounds
pt | DoAutoSize
pt | DoAllAutoSize
pt | AllAutoSized
pt | CalculatePreferredSize
pt | GetPreferredSizeClientFrame
pt | GetChildren
pt | ChildClassAllowed
pt | PaintControls
pt | PaintHandler
pt | PaintWindow
pt | CreateBrush
pt | ScaleControls
pt | ChangeScale
pt | CMBiDiModeChanged
pt | CMBorderChanged
pt | CMDoubleBufferedChanged
pt | CMEnabledChanged
pt | CMParentDoubleBufferedChanged
pt | CMShowingChanged
pt | CMShowHintChanged
pt | CMVisibleChanged
pt | CMEnter
pt | CMExit
pt | WMContextMenu
pt | WMEraseBkgnd
pt | WMNotify
pt | WMSetFocus
pt | WMKillFocus
pt | WMShowWindow
pt | WMEnter
pt | WMExit
pt | WMKeyDown
pt | WMSysKeyDown
pt | WMKeyUp
pt | WMSysKeyUp
pt | WMChar
pt | WMSysChar
pt | WMPaint
pt | WMDestroy
pt | WMMove
pt | WMSize
pt | WMWindowPosChanged
pt | CNKeyDown
pt | CNSysKeyDown
pt | CNKeyUp
pt | CNSysKeyUp
pt | CNChar
pt | DoDragMsg
pt | DoDockClientMsg
pt | DoUndockClientMsg
pt | DoAddDockClient
pt | DockOver
pt | DoDockOver
pt | DoRemoveDockClient
pt | DoUnDock
pt | GetSiteInfo
pt | GetParentHandle
pt | GetTopParentHandle
pt | ReloadDockedControl
pt | CreateDockManager
pt | SetDockManager
pt | DoFloatMsg
pt | DoGetDockCaption
pt | DoEnter
pt | DoExit
pt | DoKeyDownBeforeInterface
pt | DoRemainingKeyDown
pt | DoRemainingKeyUp
pt | DoKeyPress
pt | DoUTF8KeyPress
pt | DoKeyUpBeforeInterface
pt | ChildKey
pt | SendDialogChar
pt | DialogChar
pt | ControlKeyDown
pt | ControlKeyUp
pt | KeyDown
pt | KeyDownBeforeInterface
pt | KeyDownAfterInterface
pt | KeyPress
pt | KeyUp
pt | KeyUpBeforeInterface
pt | KeyUpAfterInterface
pt | UTF8KeyPress
pt | FindNextControl
pt | SelectFirst
pt | RealGetText
pt | GetBorderStyle
pt | GetClientOrigin
pt | GetClientRect
pt | GetControlOrigin
pt | GetDeviceContext
pt | GetParentBackground
pt | IsControlMouseMsg
pt | CreateHandle
pt | CreateParams
pt | CreateWnd
pt | DestroyHandle
pt | DestroyWnd
pt | DoFlipChildren
pt | FinalizeWnd
pt | FixupTabList
pt | FontChanged
pt | InitializeWnd
pt | Loaded
pt | FormEndUpdated
pt | MainWndProc
pt | ParentFormHandleInitialized
pt | ChildHandlesCreated
pt | GetMouseCapture
pt | RealSetText
pt | RemoveFocus
pt | SendMoveSizeMessages
pt | SetBorderStyle
pt | SetColor
pt | SetChildZPosition
pt | SetParentBackground
pt | ShowControl
pt | UpdateControlState
pt | UpdateShowing
pt | WndProc
pt | WSSetText
 | AutoSizePhases
 | AutoSizeDelayed
 | AutoSizeDelayedReport
 | AutoSizeDelayedHandle
 | BeginUpdateBounds
 | EndUpdateBounds
 | LockRealizeBounds
 | UnlockRealizeBounds
 | ControlAtPos
 | ContainsControl
 | DoAdjustClientRectChange
 | InvalidateClientRectCache
 | ClientRectNeedsInterfaceUpdate
 | SetBounds
 | GetChildrenRect
 | DisableAlign
 | EnableAlign
 | ReAlign
 | ScrollBy_WS
 | ScrollBy
 | WriteLayoutDebugReport
 | AutoAdjustLayout
 | Create
 | CreateParented
 | CreateParentedControl
 | Destroy
 | DockDrop
 | CanFocus
 | CanSetFocus
 | GetControlIndex
 | SetControlIndex
 | Focused
 | PerformTab
 | FindChildControl
 | SelectNext
 | SetTempCursor
 | BroadCast
 | NotifyControls
 | DefaultHandler
 | GetTextLen
 | Invalidate
 | AddControl
 | InsertControl
 | RemoveControl
 | GetEnumeratorControls
 | GetEnumeratorControlsReverse
 | Repaint
 | Update
 | SetFocus
 | FlipChildren
 | ScaleBy
 | GetDockCaption
 | UpdateDockCaption
 | GetTabOrderList
 | HandleAllocated
 | ParentHandlesAllocated
 | HandleNeeded
 | BrushCreated
 | EraseBackground
 | IntfUTF8KeyPress
 | IntfGetDropFilesTarget
 | PaintTo
 | SetShape
TControl
pt | WSRegisterClass
pt | GetCursor
pt | SetCursor
pt | SetVisible
pt | DoOnParentHandleDestruction
pt | DoAutoSize
pt | DoAllAutoSize
pt | BeginAutoSizing
pt | EndAutoSizing
pt | AnchorSideChanged
pt | ForeignAnchorSideChanged
pt | SetAlign
pt | SetAnchors
pt | SetAutoSize
pt | BoundsChanged
pt | CreateControlBorderSpacing
pt | DoConstraintsChange
pt | DoBorderSpacingChange
pt | IsBorderSpacingInnerBorderStored
pt | IsCaptionStored
pt | SendMoveSizeMessages
pt | ConstrainedResize
pt | CalculatePreferredSize
pt | DoOnResize
pt | DoOnChangeBounds
pt | CheckOnChangeBounds
pt | Resize
pt | RequestAlign
pt | UpdateAnchorRules
pt | ChangeBounds
pt | DoSetBounds
pt | ScaleConstraints
pt | ChangeScale
pt | CanAutoSize
pt | SetBiDiMode
pt | SetParentBiDiMode
pt | IsAParentAligning
pt | GetClientOrigin
pt | GetClientRect
pt | GetLogicalClientRect
pt | GetScrolledClientRect
pt | GetClientScrollOffset
pt | GetControlOrigin
pt | IsClientHeightStored
pt | IsClientWidthStored
pt | WidthIsAnchored
pt | HeightIsAnchored
pt | WMCancelMode
pt | WMContextMenu
pt | WMLButtonDown
pt | WMRButtonDown
pt | WMMButtonDown
pt | WMXButtonDown
pt | WMLButtonDBLCLK
pt | WMRButtonDBLCLK
pt | WMMButtonDBLCLK
pt | WMXButtonDBLCLK
pt | WMLButtonTripleCLK
pt | WMRButtonTripleCLK
pt | WMMButtonTripleCLK
pt | WMXButtonTripleCLK
pt | WMLButtonQuadCLK
pt | WMRButtonQuadCLK
pt | WMMButtonQuadCLK
pt | WMXButtonQuadCLK
pt | WMMouseMove
pt | WMLButtonUp
pt | WMRButtonUp
pt | WMMButtonUp
pt | WMXButtonUp
pt | WMMouseWheel
pt | WMMouseHWheel
pt | WMMove
pt | WMSize
pt | WMWindowPosChanged
pt | CMChanged
pt | LMCaptureChanged
pt | CMBiDiModeChanged
pt | CMSysFontChanged
pt | CMEnabledChanged
pt | CMHitTest
pt | CMMouseEnter
pt | CMMouseLeave
pt | CMHintShow
pt | CMParentBiDiModeChanged
pt | CMParentColorChanged
pt | CMParentFontChanged
pt | CMParentShowHintChanged
pt | CMVisibleChanged
pt | CMTextChanged
pt | CMCursorChanged
pt | CalculateDockSizes
pt | CreateFloatingDockSite
pt | GetDockEdge
pt | GetDragImages
pt | GetFloating
pt | GetFloatingDockSiteClass
pt | BeforeDragStart
pt | BeginAutoDrag
pt | DoFloatMsg
pt | DockTrackNoTarget
pt | DoDock
pt | DoDragMsg
pt | DoEndDock
pt | DoEndDrag
pt | DoStartDock
pt | DoStartDrag
pt | DragCanceled
pt | DragOver
pt | PositionDockRect
pt | SetDragMode
pt | GetDefaultDockCaption
pt | Click
pt | DblClick
pt | TripleClick
pt | QuadClick
pt | GetMousePosFromMessage
pt | MouseDown
pt | MouseMove
pt | MouseUp
pt | MouseEnter
pt | MouseLeave
pt | DialogChar
pt | UpdateMouseCursor
pt | Changed
pt | GetPalette
pt | ChildClassAllowed
pt | ReadState
pt | Loaded
pt | LoadedAll
pt | DefineProperties
pt | AssignTo
pt | FormEndUpdated
pt | InvalidateControl
pt | FontChanged
pt | ParentFontChanged
pt | GetAction
pt | RealGetText
pt | RealSetText
pt | TextChanged
pt | GetCachedText
pt | SetAction
pt | SetColor
pt | SetEnabled
pt | SetHint
pt | SetName
pt | SetParent
pt | SetParentComponent
pt | WndProc
pt | ParentFormHandleInitialized
pt | GetMouseCapture
pt | CaptureChanged
pt | Notification
pt | CanTab
pt | GetDeviceContext
pt | GetEnabled
pt | GetPopupMenu
pt | DoOnShowHint
pt | DoMouseWheel
pt | DoMouseWheelDown
pt | DoMouseWheelUp
pt | DoMouseWheelHorz
pt | DoMouseWheelLeft
pt | DoMouseWheelRight
pt | VisibleChanging
pt | VisibleChanged
pt | EnabledChanging
pt | EnabledChanged
pt | AddHandler
pt | RemoveHandler
pt | DoCallNotifyHandler
pt | DoCallKeyEventHandler
pt | DoCallMouseWheelEventHandler
pt | DoContextPopup
pt | SetZOrder
pt | GetControlClassDefaultSize
pt | ColorIsStored
pt | DoAutoAdjustLayout
pt | DoFixDesignFontPPI
pt | DoScaleFontPPI
pt | GetActionLinkClass
pt | ActionChange
 | DragDrop
 | Dock
 | ManualDock
 | ManualFloat
 | ReplaceDockedControl
 | Docked
 | Dragging
 | GetAccessibleObject
 | CreateAccessibleObject
 | GetSelectedChildAccessibleObject
 | GetChildAccessibleObjectAtPos
 | ScaleDesignToForm
 | ScaleFormToDesign
 | Scale96ToForm
 | ScaleFormTo96
 | Scale96ToFont
 | ScaleFontTo96
 | ScaleScreenToFont
 | ScaleFontToScreen
 | Scale96ToScreen
 | ScaleScreenTo96
 | AdjustSize
 | AutoSizePhases
 | AutoSizeDelayed
 | AutoSizeDelayedReport
 | AutoSizeDelayedHandle
 | AnchorToNeighbour
 | AnchorParallel
 | AnchorHorizontalCenterTo
 | AnchorVerticalCenterTo
 | AnchorToCompanion
 | AnchorSame
 | AnchorAsAlign
 | AnchorClient
 | AnchoredControlCount
 | SetBounds
 | SetInitialBounds
 | SetBoundsKeepBase
 | GetPreferredSize
 | GetCanvasScaleFactor
 | GetDefaultWidth
 | GetDefaultHeight
 | GetDefaultColor
 | GetColorResolvingParent
 | GetRGBColorResolvingParent
 | GetSidePosition
 | CNPreferredSizeChanged
 | InvalidatePreferredSize
 | GetAnchorsDependingOnParent
 | DisableAutoSizing
 | EnableAutoSizing
 | UpdateBaseBounds
 | WriteLayoutDebugReport
 | AutoAdjustLayout
 | ShouldAutoAdjust
 | FixDesignFontsPPI
 | ScaleFontsPPI
 | Create
 | Destroy
 | BeforeDestruction
 | EditingDone
 | ExecuteDefaultAction
 | ExecuteCancelAction
 | BeginDrag
 | EndDrag
 | BringToFront
 | HasParent
 | GetParentComponent
 | IsParentOf
 | GetTopParent
 | IsVisible
 | IsControlVisible
 | IsEnabled
 | IsParentColor
 | IsParentFont
 | FormIsUpdating
 | IsProcessingPaintMsg
 | Hide
 | Refresh
 | Repaint
 | Invalidate
 | CheckChildClassAllowed
 | CheckNewParent
 | SendToBack
 | SetTempCursor
 | UpdateRolesForForm
 | ActiveDefaultControlChanged
 | GetTextBuf
 | GetTextLen
 | SetTextBuf
 | Perform
 | ScreenToClient
 | ClientToScreen
 | ScreenToControl
 | ControlToScreen
 | ClientToParent
 | ParentToClient
 | GetChildrenRect
 | Show
 | Update
 | HandleObjectShouldBeVisible
 | ParentDestroyingHandle
 | ParentHandlesAllocated
 | InitiateAction
 | ShowHelp
 | HasHelp
 | RemoveAllHandlersOfObject
 | AddHandlerOnResize
 | RemoveHandlerOnResize
 | AddHandlerOnChangeBounds
 | RemoveHandlerOnChangeBounds
 | AddHandlerOnVisibleChanging
 | RemoveHandlerOnVisibleChanging
 | AddHandlerOnVisibleChanged
 | RemoveHandlerOnVisibleChanged
 | AddHandlerOnEnabledChanged
 | RemoveHandlerOnEnableChanging
 | AddHandlerOnKeyDown
 | RemoveHandlerOnKeyDown
 | AddHandlerOnBeforeDestruction
 | RemoveHandlerOnBeforeDestruction
 | AddHandlerOnMouseWheel
 | RemoveHandlerOnMouseWheel
 | UseRightToLeftAlignment
 | UseRightToLeftReading
 | UseRightToLeftScrollBar
 | IsRightToLeft
TLCLComponent
pt | WSRegisterClass
pt | GetWSComponentClass
 | Create
 | Destroy
 | NewInstance
 | RemoveAllHandlersOfObject
 | IncLCLRefCount
 | DecLCLRefCount
TComponent
 | GetComObject
 | GetComponent
 | GetComponentCount
 | GetComponentIndex
 | Insert
 | ReadLeft
 | ReadTop
 | Remove
 | RemoveNotification
 | SetComponentIndex
 | SetReference
 | WriteLeft
 | WriteTop
 | ChangeName
 | DefineProperties
 | GetChildren
 | GetChildOwner
 | GetChildParent
 | GetOwner
 | Loaded
 | Loading
 | Notification
 | PaletteCreated
 | ReadState
 | SetAncestor
 | SetDesigning
 | SetDesignInstance
 | SetInline
 | SetName
 | SetChildOrder
 | SetParentComponent
 | Updating
 | Updated
 | UpdateRegistry
 | ValidateRename
 | ValidateContainer
 | ValidateInsert
 | QueryInterface
 | _AddRef
 | _Release
 | iicrGetComponent
 | GetTypeInfoCount
 | GetTypeInfo
 | GetIDsOfNames
 | Invoke
 | WriteState
 | Create
 | Destroy
 | BeforeDestruction
 | DestroyComponents
 | Destroying
 | ExecuteAction
 | FindComponent
 | FreeNotification
 | RemoveFreeNotification
 | FreeOnRelease
 | GetEnumerator
 | GetNamePath
 | GetParentComponent
 | HasParent
 | InsertComponent
 | RemoveComponent
 | SafeCallException
 | SetSubComponent
 | UpdateAction
 | IsImplementorOf
 | ReferenceInterface
TPersistent
 | AssignError
 | AssignTo
 | DefineProperties
 | GetOwner
 | Destroy
 | Assign
 | FPOAttachObserver
 | FPODetachObserver
 | FPONotifyObservers
 | GetNamePath
TObject
 | Create
 | Destroy
 | newinstance
 | FreeInstance
 | SafeCallException
 | DefaultHandler
 | Free
 | InitInstance
 | CleanupInstance
 | ClassType
 | ClassInfo
 | ClassName
 | ClassNameIs
 | ClassParent
 | InstanceSize
 | InheritsFrom
 | StringMessageTable
 | MethodAddress
 | MethodName
 | FieldAddress
 | AfterConstruction
 | BeforeDestruction
 | DefaultHandlerStr
 | Dispatch
 | DispatchStr
 | GetInterface
 | GetInterfaceByStr
 | GetInterfaceWeak
 | GetInterfaceEntry
 | GetInterfaceEntryByStr
 | GetInterfaceTable
 | UnitName
 | Equals
 | GetHashCode
 | ToString


pt | ActionChange (TControl)
 | ActiveDefaultControlChanged (TControl)
 | AddControl (TWinControl)
pt | AddHandler (TControl)
 | AddHandlerOnBeforeDestruction (TControl)
 | AddHandlerOnChange (TCustomEdit)
 | AddHandlerOnChangeBounds (TControl)
 | AddHandlerOnEnabledChanged (TControl)
 | AddHandlerOnKeyDown (TControl)
 | AddHandlerOnMouseWheel (TControl)
 | AddHandlerOnResize (TControl)
 | AddHandlerOnVisibleChanged (TControl)
 | AddHandlerOnVisibleChanging (TControl)
pt | AdjustClientRect (TWinControl)
 | AdjustSize (TControl)
 | AfterConstruction (TObject)
pt | AlignControls (TWinControl)
pt | AllAutoSized (TWinControl)
 | AnchorAsAlign (TControl)
 | AnchorClient (TControl)
 | AnchoredControlCount (TControl)
 | AnchorHorizontalCenterTo (TControl)
 | AnchorParallel (TControl)
 | AnchorSame (TControl)
pt | AnchorSideChanged (TControl)
 | AnchorToCompanion (TControl)
 | AnchorToNeighbour (TControl)
 | AnchorVerticalCenterTo (TControl)
 | Append (TCustomMemo)
 | Assign (TPersistent)
 | AssignError (TPersistent)
 | AssignTo (TPersistent)
pt | AssignTo (TControl)
 | AutoAdjustLayout (TControl)
 | AutoAdjustLayout (TWinControl)
 | AutoSizeDelayed (TControl)
 | AutoSizeDelayed (TWinControl)
 | AutoSizeDelayedHandle (TControl)
 | AutoSizeDelayedHandle (TWinControl)
 | AutoSizeDelayedReport (TControl)
 | AutoSizeDelayedReport (TWinControl)
 | AutoSizePhases (TControl)
 | AutoSizePhases (TWinControl)
 | BeforeDestruction (TObject)
 | BeforeDestruction (TComponent)
 | BeforeDestruction (TControl)
pt | BeforeDragStart (TControl)
pt | BeginAutoDrag (TControl)
pt | BeginAutoSizing (TControl)
 | BeginDrag (TControl)
 | BeginUpdateBounds (TWinControl)
pt | BoundsChanged (TControl)
 | BringToFront (TControl)
 | BroadCast (TWinControl)
 | BrushCreated (TWinControl)
pt | CalculateDockSizes (TControl)
pt | CalculatePreferredSize (TControl)
pt | CalculatePreferredSize (TWinControl)
pt | CalculatePreferredSize (TCustomEdit)
pt | CanAutoSize (TControl)
 | CanFocus (TWinControl)
 | CanSetFocus (TWinControl)
pt | CanShowEmulatedTextHint (TCustomEdit)
pt | CanShowEmulatedTextHint (TCustomMemo)
pt | CanTab (TControl)
pt | CanTab (TWinControl)
pt | CaptureChanged (TControl)
pt | Change (TCustomEdit)
pt | ChangeBounds (TControl)
pt | Changed (TControl)
 | ChangeName (TComponent)
pt | ChangeScale (TControl)
pt | ChangeScale (TWinControl)
 | CheckChildClassAllowed (TControl)
 | CheckNewParent (TControl)
pt | CheckOnChangeBounds (TControl)
pt | ChildClassAllowed (TControl)
pt | ChildClassAllowed (TWinControl)
pt | ChildClassAllowed (TCustomEdit)
pt | ChildHandlesCreated (TWinControl)
pt | ChildKey (TWinControl)
 | ClassInfo (TObject)
 | ClassName (TObject)
 | ClassNameIs (TObject)
 | ClassParent (TObject)
 | ClassType (TObject)
 | CleanupInstance (TObject)
 | Clear (TCustomEdit)
 | ClearSelection (TCustomEdit)
pt | Click (TControl)
 | ClientRectNeedsInterfaceUpdate (TWinControl)
 | ClientToParent (TControl)
 | ClientToScreen (TControl)
pt | CMBiDiModeChanged (TControl)
pt | CMBiDiModeChanged (TWinControl)
pt | CMBorderChanged (TWinControl)
pt | CMChanged (TControl)
pt | CMCursorChanged (TControl)
pt | CMDoubleBufferedChanged (TWinControl)
pt | CMEnabledChanged (TControl)
pt | CMEnabledChanged (TWinControl)
pt | CMEnter (TWinControl)
pt | CMExit (TWinControl)
pt | CMHintShow (TControl)
pt | CMHitTest (TControl)
pt | CMMouseEnter (TControl)
pt | CMMouseLeave (TControl)
pt | CMParentBiDiModeChanged (TControl)
pt | CMParentColorChanged (TControl)
pt | CMParentDoubleBufferedChanged (TWinControl)
pt | CMParentFontChanged (TControl)
pt | CMParentShowHintChanged (TControl)
pt | CMShowHintChanged (TWinControl)
pt | CMShowingChanged (TWinControl)
pt | CMSysFontChanged (TControl)
pt | CMTextChanged (TControl)
pt | CMVisibleChanged (TControl)
pt | CMVisibleChanged (TWinControl)
pt | CMWantSpecialKey (TCustomEdit)
pt | CMWantSpecialKey (TCustomMemo)
pt | CNChar (TWinControl)
pt | CNKeyDown (TWinControl)
pt | CNKeyUp (TWinControl)
 | CNPreferredSizeChanged (TControl)
pt | CNSysKeyDown (TWinControl)
pt | CNSysKeyUp (TWinControl)
pt | ColorIsStored (TControl)
pt | ConstrainedResize (TControl)
 | ContainsControl (TWinControl)
 | ControlAtPos (TWinControl)
pt | ControlKeyDown (TWinControl)
pt | ControlKeyUp (TWinControl)
pt | ControlsAligned (TWinControl)
 | ControlToScreen (TControl)
 | CopyToClipboard (TCustomEdit)
 | Create (TObject)
 | Create (TComponent)
 | Create (TLCLComponent)
 | Create (TControl)
 | Create (TWinControl)
 | Create (TCustomEdit)
 | Create (TCustomMemo)
 | CreateAccessibleObject (TControl)
pt | CreateBrush (TWinControl)
pt | CreateControlBorderSpacing (TControl)
pt | CreateDockManager (TWinControl)
pt | CreateEmulatedTextHintFont (TCustomEdit)
pt | CreateFloatingDockSite (TControl)
pt | CreateHandle (TWinControl)
pt | CreateParams (TWinControl)
pt | CreateParams (TCustomEdit)
pt | CreateParams (TCustomMemo)
 | CreateParented (TWinControl)
 | CreateParentedControl (TWinControl)
pt | CreateSubClass (TWinControl)
pt | CreateWnd (TWinControl)
pt | CustomAlignInsertBefore (TWinControl)
pt | CustomAlignPosition (TWinControl)
 | CutToClipboard (TCustomEdit)
pt | DblClick (TControl)
 | DecLCLRefCount (TLCLComponent)
 | DefaultHandler (TObject)
 | DefaultHandler (TWinControl)
 | DefaultHandlerStr (TObject)
 | DefineProperties (TPersistent)
 | DefineProperties (TComponent)
pt | DefineProperties (TControl)
 | Destroy (TObject)
 | Destroy (TPersistent)
 | Destroy (TComponent)
 | Destroy (TLCLComponent)
 | Destroy (TControl)
 | Destroy (TWinControl)
 | Destroy (TCustomEdit)
 | Destroy (TCustomMemo)
 | DestroyComponents (TComponent)
pt | DestroyHandle (TWinControl)
 | Destroying (TComponent)
pt | DestroyWnd (TWinControl)
pt | DialogChar (TControl)
pt | DialogChar (TWinControl)
 | DisableAlign (TWinControl)
 | DisableAutoSizing (TControl)
 | Dispatch (TObject)
 | DispatchStr (TObject)
pt | DoAddDockClient (TWinControl)
 | DoAdjustClientRectChange (TWinControl)
pt | DoAlignChildControls (TWinControl)
pt | DoAllAutoSize (TControl)
pt | DoAllAutoSize (TWinControl)
pt | DoAutoAdjustLayout (TControl)
pt | DoAutoSize (TControl)
pt | DoAutoSize (TWinControl)
pt | DoBorderSpacingChange (TControl)
pt | DoCallKeyEventHandler (TControl)
pt | DoCallMouseWheelEventHandler (TControl)
pt | DoCallNotifyHandler (TControl)
pt | DoChildSizingChange (TWinControl)
 | Dock (TControl)
 | DockDrop (TWinControl)
 | Docked (TControl)
pt | DockOver (TWinControl)
pt | DockTrackNoTarget (TControl)
pt | DoConstraintsChange (TControl)
pt | DoConstraintsChange (TWinControl)
pt | DoContextPopup (TControl)
pt | DoDock (TControl)
pt | DoDockClientMsg (TWinControl)
pt | DoDockOver (TWinControl)
pt | DoDragMsg (TControl)
pt | DoDragMsg (TWinControl)
pt | DoEndDock (TControl)
pt | DoEndDrag (TControl)
pt | DoEnter (TWinControl)
pt | DoEnter (TCustomEdit)
pt | DoExit (TWinControl)
pt | DoExit (TCustomEdit)
pt | DoFixDesignFontPPI (TControl)
pt | DoFlipChildren (TWinControl)
pt | DoFloatMsg (TControl)
pt | DoFloatMsg (TWinControl)
pt | DoGetDockCaption (TWinControl)
pt | DoKeyDownBeforeInterface (TWinControl)
pt | DoKeyPress (TWinControl)
pt | DoKeyUpBeforeInterface (TWinControl)
pt | DoMouseWheel (TControl)
pt | DoMouseWheelDown (TControl)
pt | DoMouseWheelHorz (TControl)
pt | DoMouseWheelLeft (TControl)
pt | DoMouseWheelRight (TControl)
pt | DoMouseWheelUp (TControl)
pt | DoOnChangeBounds (TControl)
pt | DoOnParentHandleDestruction (TControl)
pt | DoOnResize (TControl)
pt | DoOnShowHint (TControl)
pt | DoRemainingKeyDown (TWinControl)
pt | DoRemainingKeyUp (TWinControl)
pt | DoRemoveDockClient (TWinControl)
pt | DoScaleFontPPI (TControl)
pt | DoSendBoundsToInterface (TWinControl)
pt | DoSendShowHideToInterface (TWinControl)
pt | DoSetBounds (TControl)
pt | DoSetBounds (TWinControl)
pt | DoStartDock (TControl)
pt | DoStartDrag (TControl)
pt | DoUnDock (TWinControl)
pt | DoUndockClientMsg (TWinControl)
pt | DoUTF8KeyPress (TWinControl)
pt | DragCanceled (TControl)
 | DragDrop (TControl)
 | Dragging (TControl)
pt | DragOver (TControl)
 | EditingDone (TControl)
pt | EditingDone (TCustomEdit)
 | EnableAlign (TWinControl)
 | EnableAutoSizing (TControl)
pt | EnabledChanged (TControl)
pt | EnabledChanging (TControl)
pt | EndAutoSizing (TControl)
 | EndDrag (TControl)
 | EndUpdateBounds (TWinControl)
 | Equals (TObject)
 | EraseBackground (TWinControl)
 | ExecuteAction (TComponent)
 | ExecuteCancelAction (TControl)
 | ExecuteDefaultAction (TControl)
 | FieldAddress (TObject)
pt | FinalizeWnd (TWinControl)
pt | FinalizeWnd (TCustomMemo)
 | FindChildControl (TWinControl)
 | FindComponent (TComponent)
pt | FindNextControl (TWinControl)
 | FixDesignFontsPPI (TControl)
pt | FixupTabList (TWinControl)
 | FlipChildren (TWinControl)
 | Focused (TWinControl)
pt | FontChanged (TControl)
pt | FontChanged (TWinControl)
pt | FontChanged (TCustomEdit)
pt | ForeignAnchorSideChanged (TControl)
pt | FormEndUpdated (TControl)
pt | FormEndUpdated (TWinControl)
 | FormIsUpdating (TControl)
 | FPOAttachObserver (TPersistent)
 | FPODetachObserver (TPersistent)
 | FPONotifyObservers (TPersistent)
 | Free (TObject)
 | FreeInstance (TObject)
 | FreeNotification (TComponent)
 | FreeOnRelease (TComponent)
 | GetAccessibleObject (TControl)
pt | GetAction (TControl)
pt | GetActionLinkClass (TControl)
pt | GetAdjustedLogicalClientRect (TWinControl)
 | GetAnchorsDependingOnParent (TControl)
pt | GetBorderStyle (TWinControl)
pt | GetCachedText (TControl)
pt | GetCachedText (TCustomMemo)
 | GetCanvasScaleFactor (TControl)
pt | GetCaretPos (TCustomEdit)
pt | GetCaretPos (TCustomMemo)
 | GetChildAccessibleObjectAtPos (TControl)
 | GetChildOwner (TComponent)
 | GetChildParent (TComponent)
 | GetChildren (TComponent)
pt | GetChildren (TWinControl)
 | GetChildrenRect (TControl)
 | GetChildrenRect (TWinControl)
pt | GetClientOrigin (TControl)
pt | GetClientOrigin (TWinControl)
pt | GetClientRect (TControl)
pt | GetClientRect (TWinControl)
pt | GetClientScrollOffset (TControl)
 | GetColorResolvingParent (TControl)
 | GetComObject (TComponent)
 | GetComponent (TComponent)
 | GetComponentCount (TComponent)
 | GetComponentIndex (TComponent)
pt | GetControlClassDefaultSize (TControl)
pt | GetControlClassDefaultSize (TCustomEdit)
pt | GetControlClassDefaultSize (TCustomMemo)
 | GetControlIndex (TWinControl)
pt | GetControlOrigin (TControl)
pt | GetControlOrigin (TWinControl)
pt | GetCursor (TControl)
 | GetDefaultColor (TControl)
pt | GetDefaultDockCaption (TControl)
 | GetDefaultHeight (TControl)
 | GetDefaultWidth (TControl)
pt | GetDeviceContext (TControl)
pt | GetDeviceContext (TWinControl)
 | GetDockCaption (TWinControl)
pt | GetDockEdge (TControl)
pt | GetDragImages (TControl)
pt | GetEnabled (TControl)
 | GetEnumerator (TComponent)
 | GetEnumeratorControls (TWinControl)
 | GetEnumeratorControlsReverse (TWinControl)
pt | GetFloating (TControl)
pt | GetFloatingDockSiteClass (TControl)
 | GetHashCode (TObject)
 | GetIDsOfNames (TComponent)
 | GetInterface (TObject)
 | GetInterfaceByStr (TObject)
 | GetInterfaceEntry (TObject)
 | GetInterfaceEntryByStr (TObject)
 | GetInterfaceTable (TObject)
 | GetInterfaceWeak (TObject)
pt | GetLogicalClientRect (TControl)
pt | GetMouseCapture (TControl)
pt | GetMouseCapture (TWinControl)
pt | GetMousePosFromMessage (TControl)
 | GetNamePath (TPersistent)
 | GetNamePath (TComponent)
pt | GetNumbersOnly (TCustomEdit)
 | GetOwner (TPersistent)
 | GetOwner (TComponent)
pt | GetPalette (TControl)
pt | GetParentBackground (TWinControl)
 | GetParentComponent (TComponent)
 | GetParentComponent (TControl)
pt | GetParentHandle (TWinControl)
pt | GetPopupMenu (TControl)
 | GetPreferredSize (TControl)
pt | GetPreferredSizeClientFrame (TWinControl)
pt | GetReadOnly (TCustomEdit)
 | GetRGBColorResolvingParent (TControl)
pt | GetScrolledClientRect (TControl)
 | GetSelectedChildAccessibleObject (TControl)
pt | GetSelLength (TCustomEdit)
pt | GetSelStart (TCustomEdit)
pt | GetSelText (TCustomEdit)
 | GetSidePosition (TControl)
pt | GetSiteInfo (TWinControl)
 | GetTabOrderList (TWinControl)
 | GetTextBuf (TControl)
pt | GetTextHint (TCustomEdit)
 | GetTextLen (TControl)
 | GetTextLen (TWinControl)
 | GetTopParent (TControl)
pt | GetTopParentHandle (TWinControl)
 | GetTypeInfo (TComponent)
 | GetTypeInfoCount (TComponent)
pt | GetWSComponentClass (TLCLComponent)
 | HandleAllocated (TWinControl)
 | HandleNeeded (TWinControl)
 | HandleObjectShouldBeVisible (TControl)
 | HasHelp (TControl)
 | HasParent (TComponent)
 | HasParent (TControl)
pt | HeightIsAnchored (TControl)
 | Hide (TControl)
 | iicrGetComponent (TComponent)
 | IncLCLRefCount (TLCLComponent)
 | InheritsFrom (TObject)
pt | InitializeWnd (TWinControl)
pt | InitializeWnd (TCustomEdit)
pt | InitializeWnd (TCustomMemo)
 | InitiateAction (TControl)
 | InitInstance (TObject)
 | Insert (TComponent)
 | InsertComponent (TComponent)
 | InsertControl (TWinControl)
 | InstanceSize (TObject)
 | IntfGetDropFilesTarget (TWinControl)
 | IntfUTF8KeyPress (TWinControl)
 | Invalidate (TControl)
 | Invalidate (TWinControl)
pt | InvalidateBoundsRealized (TWinControl)
 | InvalidateClientRectCache (TWinControl)
pt | InvalidateControl (TControl)
pt | InvalidatePreferredChildSizes (TWinControl)
 | InvalidatePreferredSize (TControl)
 | Invoke (TComponent)
pt | IsAParentAligning (TControl)
pt | IsBorderSpacingInnerBorderStored (TControl)
pt | IsCaptionStored (TControl)
pt | IsClientHeightStored (TControl)
pt | IsClientHeightStored (TWinControl)
pt | IsClientWidthStored (TControl)
pt | IsClientWidthStored (TWinControl)
pt | IsControlMouseMsg (TWinControl)
 | IsControlVisible (TControl)
 | IsEnabled (TControl)
 | IsImplementorOf (TComponent)
 | IsParentColor (TControl)
 | IsParentFont (TControl)
 | IsParentOf (TControl)
 | IsProcessingPaintMsg (TControl)
 | IsRightToLeft (TControl)
 | IsVisible (TControl)
pt | KeyDown (TWinControl)
pt | KeyDownAfterInterface (TWinControl)
pt | KeyDownBeforeInterface (TWinControl)
pt | KeyPress (TWinControl)
pt | KeyUp (TWinControl)
pt | KeyUpAfterInterface (TWinControl)
pt | KeyUpAfterInterface (TCustomEdit)
pt | KeyUpAfterInterface (TCustomMemo)
pt | KeyUpBeforeInterface (TWinControl)
pt | LMCaptureChanged (TControl)
 | Loaded (TComponent)
pt | Loaded (TControl)
pt | Loaded (TWinControl)
pt | Loaded (TCustomMemo)
pt | LoadedAll (TControl)
 | Loading (TComponent)
 | LockRealizeBounds (TWinControl)
pt | MainWndProc (TWinControl)
 | ManualDock (TControl)
 | ManualFloat (TControl)
 | MethodAddress (TObject)
 | MethodName (TObject)
pt | MouseDown (TControl)
pt | MouseEnter (TControl)
pt | MouseLeave (TControl)
pt | MouseMove (TControl)
pt | MouseUp (TControl)
pt | MouseUp (TCustomEdit)
 | newinstance (TObject)
 | NewInstance (TLCLComponent)
 | Notification (TComponent)
pt | Notification (TControl)
 | NotifyControls (TWinControl)
pt | PaintControls (TWinControl)
pt | PaintHandler (TWinControl)
 | PaintTo (TWinControl)
pt | PaintWindow (TWinControl)
 | PaletteCreated (TComponent)
 | ParentDestroyingHandle (TControl)
pt | ParentFontChanged (TControl)
pt | ParentFormHandleInitialized (TControl)
pt | ParentFormHandleInitialized (TWinControl)
 | ParentHandlesAllocated (TControl)
 | ParentHandlesAllocated (TWinControl)
 | ParentToClient (TControl)
 | PasteFromClipboard (TCustomEdit)
 | Perform (TControl)
 | PerformTab (TWinControl)
pt | PositionDockRect (TControl)
pt | QuadClick (TControl)
 | QueryInterface (TComponent)
 | ReadLeft (TComponent)
 | ReadState (TComponent)
pt | ReadState (TControl)
 | ReadTop (TComponent)
pt | RealGetText (TControl)
pt | RealGetText (TWinControl)
pt | RealGetText (TCustomEdit)
pt | RealGetText (TCustomMemo)
 | ReAlign (TWinControl)
pt | RealizeBounds (TWinControl)
pt | RealizeBoundsRecursive (TWinControl)
pt | RealSetText (TControl)
pt | RealSetText (TWinControl)
pt | RealSetText (TCustomEdit)
pt | RealSetText (TCustomMemo)
 | ReferenceInterface (TComponent)
 | Refresh (TControl)
pt | ReloadDockedControl (TWinControl)
 | Remove (TComponent)
 | RemoveAllHandlersOfObject (TLCLComponent)
 | RemoveAllHandlersOfObject (TControl)
 | RemoveAllHandlersOfObject (TCustomEdit)
 | RemoveComponent (TComponent)
 | RemoveControl (TWinControl)
pt | RemoveFocus (TWinControl)
 | RemoveFreeNotification (TComponent)
pt | RemoveHandler (TControl)
 | RemoveHandlerOnBeforeDestruction (TControl)
 | RemoveHandlerOnChange (TCustomEdit)
 | RemoveHandlerOnChangeBounds (TControl)
 | RemoveHandlerOnEnableChanging (TControl)
 | RemoveHandlerOnKeyDown (TControl)
 | RemoveHandlerOnMouseWheel (TControl)
 | RemoveHandlerOnResize (TControl)
 | RemoveHandlerOnVisibleChanged (TControl)
 | RemoveHandlerOnVisibleChanging (TControl)
 | RemoveNotification (TComponent)
 | Repaint (TControl)
 | Repaint (TWinControl)
 | ReplaceDockedControl (TControl)
pt | RequestAlign (TControl)
pt | Resize (TControl)
 | SafeCallException (TObject)
 | SafeCallException (TComponent)
 | Scale96ToFont (TControl)
 | Scale96ToForm (TControl)
 | Scale96ToScreen (TControl)
 | ScaleBy (TWinControl)
pt | ScaleConstraints (TControl)
pt | ScaleControls (TWinControl)
 | ScaleDesignToForm (TControl)
 | ScaleFontsPPI (TControl)
 | ScaleFontTo96 (TControl)
 | ScaleFontToScreen (TControl)
 | ScaleFormTo96 (TControl)
 | ScaleFormToDesign (TControl)
 | ScaleScreenTo96 (TControl)
 | ScaleScreenToFont (TControl)
 | ScreenToClient (TControl)
 | ScreenToControl (TControl)
 | ScrollBy (TWinControl)
 | ScrollBy (TCustomMemo)
 | ScrollBy_WS (TWinControl)
 | SelectAll (TCustomEdit)
pt | SelectFirst (TWinControl)
 | SelectNext (TWinControl)
pt | SendDialogChar (TWinControl)
pt | SendMoveSizeMessages (TControl)
pt | SendMoveSizeMessages (TWinControl)
 | SendToBack (TControl)
pt | SetAction (TControl)
pt | SetAlign (TControl)
 | SetAncestor (TComponent)
pt | SetAnchors (TControl)
pt | SetAutoSize (TControl)
pt | SetBiDiMode (TControl)
pt | SetBorderStyle (TWinControl)
 | SetBounds (TControl)
 | SetBounds (TWinControl)
 | SetBoundsKeepBase (TControl)
pt | SetCaretPos (TCustomEdit)
pt | SetCaretPos (TCustomMemo)
 | SetChildOrder (TComponent)
pt | SetChildZPosition (TWinControl)
pt | SetColor (TControl)
pt | SetColor (TWinControl)
 | SetComponentIndex (TComponent)
 | SetControlIndex (TWinControl)
pt | SetCursor (TControl)
 | SetDesigning (TComponent)
 | SetDesignInstance (TComponent)
pt | SetDockManager (TWinControl)
pt | SetDragMode (TControl)
pt | SetEchoMode (TCustomEdit)
pt | SetEnabled (TControl)
 | SetFocus (TWinControl)
pt | SetHint (TControl)
 | SetInitialBounds (TControl)
 | SetInline (TComponent)
pt | SetLines (TCustomMemo)
 | SetName (TComponent)
pt | SetName (TControl)
pt | SetNumbersOnly (TCustomEdit)
pt | SetParent (TControl)
pt | SetParentBackground (TWinControl)
pt | SetParentBiDiMode (TControl)
 | SetParentComponent (TComponent)
pt | SetParentComponent (TControl)
pt | SetReadOnly (TCustomEdit)
 | SetReference (TComponent)
pt | SetScrollBars (TCustomMemo)
pt | SetSelLength (TCustomEdit)
pt | SetSelStart (TCustomEdit)
pt | SetSelText (TCustomEdit)
 | SetShape (TWinControl)
 | SetSubComponent (TComponent)
 | SetTempCursor (TControl)
 | SetTempCursor (TWinControl)
 | SetTextBuf (TControl)
pt | SetTextHint (TCustomEdit)
pt | SetVisible (TControl)
pt | SetWantReturns (TCustomMemo)
pt | SetWantTabs (TCustomMemo)
pt | SetWordWrap (TCustomMemo)
pt | SetZOrder (TControl)
 | ShouldAutoAdjust (TControl)
pt | ShouldAutoAdjust (TCustomEdit)
 | Show (TControl)
pt | ShowControl (TWinControl)
 | ShowHelp (TControl)
 | StringMessageTable (TObject)
pt | TextChanged (TControl)
pt | TextChanged (TCustomEdit)
 | ToString (TObject)
pt | TripleClick (TControl)
 | Undo (TCustomEdit)
 | UnitName (TObject)
 | UnlockRealizeBounds (TWinControl)
 | Update (TControl)
 | Update (TWinControl)
 | UpdateAction (TComponent)
pt | UpdateAnchorRules (TControl)
 | UpdateBaseBounds (TControl)
pt | UpdateControlState (TWinControl)
 | Updated (TComponent)
 | UpdateDockCaption (TWinControl)
pt | UpdateMouseCursor (TControl)
 | UpdateRegistry (TComponent)
 | UpdateRolesForForm (TControl)
pt | UpdateShowing (TWinControl)
 | Updating (TComponent)
 | UseRightToLeftAlignment (TControl)
 | UseRightToLeftReading (TControl)
 | UseRightToLeftScrollBar (TControl)
pt | UTF8KeyPress (TWinControl)
pt | UTF8KeyPress (TCustomMemo)
 | ValidateContainer (TComponent)
 | ValidateInsert (TComponent)
 | ValidateRename (TComponent)
pt | VisibleChanged (TControl)
pt | VisibleChanging (TControl)
pt | WidthIsAnchored (TControl)
pt | WMCancelMode (TControl)
pt | WMChar (TWinControl)
pt | WMChar (TCustomEdit)
pt | WMContextMenu (TControl)
pt | WMContextMenu (TWinControl)
pt | WMDestroy (TWinControl)
pt | WMEnter (TWinControl)
pt | WMEraseBkgnd (TWinControl)
pt | WMExit (TWinControl)
pt | WMGetDlgCode (TCustomMemo)
pt | WMKeyDown (TWinControl)
pt | WMKeyUp (TWinControl)
pt | WMKillFocus (TWinControl)
pt | WMKillFocus (TCustomEdit)
pt | WMLButtonDBLCLK (TControl)
pt | WMLButtonDown (TControl)
pt | WMLButtonQuadCLK (TControl)
pt | WMLButtonTripleCLK (TControl)
pt | WMLButtonUp (TControl)
pt | WMMButtonDBLCLK (TControl)
pt | WMMButtonDown (TControl)
pt | WMMButtonQuadCLK (TControl)
pt | WMMButtonTripleCLK (TControl)
pt | WMMButtonUp (TControl)
pt | WMMouseHWheel (TControl)
pt | WMMouseMove (TControl)
pt | WMMouseWheel (TControl)
pt | WMMove (TControl)
pt | WMMove (TWinControl)
pt | WMNotify (TWinControl)
pt | WMPaint (TWinControl)
pt | WMRButtonDBLCLK (TControl)
pt | WMRButtonDown (TControl)
pt | WMRButtonQuadCLK (TControl)
pt | WMRButtonTripleCLK (TControl)
pt | WMRButtonUp (TControl)
pt | WMSetFocus (TWinControl)
pt | WMSetFocus (TCustomEdit)
pt | WMShowWindow (TWinControl)
pt | WMSize (TControl)
pt | WMSize (TWinControl)
pt | WMSysChar (TWinControl)
pt | WMSysKeyDown (TWinControl)
pt | WMSysKeyUp (TWinControl)
pt | WMWindowPosChanged (TControl)
pt | WMWindowPosChanged (TWinControl)
pt | WMXButtonDBLCLK (TControl)
pt | WMXButtonDown (TControl)
pt | WMXButtonQuadCLK (TControl)
pt | WMXButtonTripleCLK (TControl)
pt | WMXButtonUp (TControl)
pt | WndProc (TControl)
pt | WndProc (TWinControl)
pt | WndProc (TCustomEdit)
 | WriteLayoutDebugReport (TControl)
 | WriteLayoutDebugReport (TWinControl)
 | WriteLeft (TComponent)
 | WriteState (TComponent)
 | WriteTop (TComponent)
pt | WSRegisterClass (TLCLComponent)
pt | WSRegisterClass (TControl)
pt | WSRegisterClass (TWinControl)
pt | WSRegisterClass (TCustomEdit)
pt | WSRegisterClass (TCustomMemo)
pt | WSSetText (TWinControl)
 | _AddRef (TComponent)
 | _Release (TComponent)


TCustomMemo
TCustomEdit
 | OnChange
TWinControl
pt | OnGetSiteInfo
pt | OnGetDockCaption
 | OnAlignInsertBefore
 | OnAlignPosition
 | OnDockDrop
 | OnDockOver
 | OnEnter
 | OnExit
 | OnKeyDown
 | OnKeyPress
 | OnKeyUp
 | OnUnDock
 | OnUTF8KeyPress
TControl
pt | OnConstrainedResize
pt | OnContextPopup
pt | OnDblClick
pt | OnTripleClick
pt | OnQuadClick
pt | OnDragDrop
pt | OnDragOver
pt | OnEndDock
pt | OnEndDrag
pt | OnMouseDown
pt | OnMouseMove
pt | OnMouseUp
pt | OnMouseEnter
pt | OnMouseLeave
pt | OnMouseWheel
pt | OnMouseWheelDown
pt | OnMouseWheelUp
pt | OnMouseWheelHorz
pt | OnMouseWheelLeft
pt | OnMouseWheelRight
pt | OnStartDock
pt | OnStartDrag
pt | OnEditingDone
 | OnChangeBounds
 | OnClick
 | OnResize
 | OnShowHint
TLCLComponent
TComponent
TPersistent
TObject


TCustomMemo.Append

Appends a line to the text.

Declaration

Source position: stdctrls.pp line 904

public procedure TCustomMemo.Append(

  const Value: string

);

Arguments

Value

The text in the line.


TCustomMemo.CanShowEmulatedTextHint

Declaration

Source position: stdctrls.pp line 900

protected function TCustomMemo.CanShowEmulatedTextHint: Boolean; override;


TCustomMemo.CMWantSpecialKey

Declaration

Source position: stdctrls.pp line 896

protected procedure TCustomMemo.CMWantSpecialKey(

  var Message: TCMWantSpecialKey

); message;


TCustomMemo.Create

Declaration

Source position: stdctrls.pp line 902

public constructor TCustomMemo.Create(

  AOwner: TComponent

); override;


TCustomMemo.CreateParams

Declaration

Source position: stdctrls.pp line 881

protected procedure TCustomMemo.CreateParams(

  var Params: TCreateParams

); override;


TCustomMemo.Destroy

Declaration

Source position: stdctrls.pp line 903

public destructor TCustomMemo.Destroy; override;


TCustomMemo.FinalizeWnd

Declaration

Source position: stdctrls.pp line 883

protected procedure TCustomMemo.FinalizeWnd; override;


TCustomMemo.GetControlClassDefaultSize

Declaration

Source position: stdctrls.pp line 898

protected class function TCustomMemo.GetControlClassDefaultSize: TSize; override;

Function result

Returns the default size, stored as a TPoint


TCustomMemo.HorzScrollBar

The horizontal scroll bar for this control.

Declaration

Source position: stdctrls.pp line 908

public property TCustomMemo.HorzScrollBar : TMemoScrollbar
  read FHorzScrollBar
  write SetHorzScrollBar;


TCustomMemo.InitializeWnd

Declaration

Source position: stdctrls.pp line 882

protected procedure TCustomMemo.InitializeWnd; override;


TCustomMemo.Lines

An array with one string for every line (paragraph) in the control. Whilst it type is TStrings you cannot store Objects inside it.

Declaration

Source position: stdctrls.pp line 907

public property TCustomMemo.Lines : TStrings
  read FLines
  write SetLines;


TCustomMemo.Loaded

Declaration

Source position: stdctrls.pp line 895

protected procedure TCustomMemo.Loaded; override;


TCustomMemo.RealGetText

Returns the contents of Lines.Text

Declaration

Source position: stdctrls.pp line 884

protected function TCustomMemo.RealGetText: TCaption; override;

Function result

The entire text in one string.

See also

TControl.RealGetText

Returns the Caption property.

#rtl.Classes.TStrings.Text


TCustomMemo.RealSetText

Replaces Lines.Text.

Declaration

Source position: stdctrls.pp line 885

protected procedure TCustomMemo.RealSetText(

  const Value: TCaption

); override;

Arguments

Value

The entire text in one string. Lines are separated by LineFeed (LF) and/or CarriageReturn (CR) characters.

See also

TControl.RealSetText

Sets the Caption property.


TCustomMemo.ScrollBars

Adds vertical and/or horizontal scrollbars to the control.

Declaration

Source position: stdctrls.pp line 910

public property TCustomMemo.ScrollBars : TScrollStyle
  read FScrollBars
  write SetScrollBars
  default ssNone;


TCustomMemo.ScrollBy

Declaration

Source position: stdctrls.pp line 905

public procedure TCustomMemo.ScrollBy(

  DeltaX: Integer;

  DeltaY: Integer

); override;


TCustomMemo.UTF8KeyPress

Declaration

Source position: stdctrls.pp line 899

protected procedure TCustomMemo.UTF8KeyPress(

  var UTF8Key: TUTF8Char

); override;


TCustomMemo.VertScrollBar

The vertical scroll bar for this control.

Declaration

Source position: stdctrls.pp line 909

public property TCustomMemo.VertScrollBar : TMemoScrollbar
  read FVertScrollBar
  write SetVertScrollBar;


TCustomMemo.WantReturns

Allows the user to insert Return characters (line breaks) into the text.

Declaration

Source position: stdctrls.pp line 911

public property TCustomMemo.WantReturns : Boolean
  read FWantReturns
  write SetWantReturns
  default True;

Description

The Enter key typically is used to press the default button in a form, so that it cannot be used to add line breaks into the text.

Setting WantReturns to True allows one to enter line breaks, when the control has the focus.

Even if WantReturns is False, CTRL-Enter inserts an line break.

See also

TCustomMemo.WantTabs

Allows to enter Tab characters into the text.


TCustomMemo.WantTabs

Allows to enter Tab characters into the text.

Declaration

Source position: stdctrls.pp line 912

public property TCustomMemo.WantTabs : Boolean
  read FWantTabs
  write SetWantTabs
  default False;

Description

The Tab key is normally used to move the focus to the next control, so that it cannot be used to add Tabs to the text.

When WantTabs is True, the Tab key inserts a Tab character into the text, instead of moving the focus to then next control.

Even if WantTabs is True, the user can Tab into the control, but not out again.

See also

TCustomMemo.WantReturns

Allows the user to insert Return characters (line breaks) into the text.


TCustomMemo.WMGetDlgCode

Declaration

Source position: stdctrls.pp line 897

protected procedure TCustomMemo.WMGetDlgCode(

  var Message: TLMGetDlgCode

); message;


TCustomMemo.WordWrap

Allows long logical lines (paragraphs) to wrap into multiple display lines.

Declaration

Source position: stdctrls.pp line 913

public property TCustomMemo.WordWrap : Boolean
  read FWordWrap
  write SetWordWrap
  default True;

Description

When False, long lines are truncated at the right margin of the control, unless the text can be scrolled horizontally.


TCustomScrollBar

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

The base class for TScrollBar.

Declaration

Source position: stdctrls.pp line 67

type TCustomScrollBar = class(TWinControl)
protected
class procedure WSRegisterClass; override; | Registers this component class with the current WidgetSet.
class function GetControlClassDefaultSize; override;
procedure CreateParams(); override;
procedure CreateWnd; override; | CreateWnd - calls inherited CreateWnd then initialises various Scroll Info properties
procedure Change; virtual; | Invokes the OnChange handler.
procedure Scroll(); virtual; | Invokes the OnScroll handler.
procedure CalculatePreferredSize(); override;
public
constructor Create(); override;
procedure SetParams(); | Defines the Max and Min values, the size of the page and the position of the scroller
property Kind: TScrollBarKind; [rw] | The scrollbar orientation, horizontal or vertical.
property LargeChange: TScrollBarInc; [rw] | The distance to scroll on an click beneath the slider.
property Max: Integer; [rw] | The maximum value, for the bottom or rightmost position.
property Min: Integer; [rw] | The minimum value, for the top or leftmost position.
property PageSize: Integer; [rw] | The size of the slider, relative to the total scroll range.
property Position: Integer; [rw] | The position value of the slider in the ScrollBar.
property SmallChange: TScrollBarInc; [rw] | The distance to scroll on an click on the up/down buttons.
property TabStop: Boolean; | Allows the user to navigate to this control, by pressing the Tab key.
property OnChange: TNotifyEvent; [rw] | Event handler for any change of the Position.
property OnScroll: TScrollEvent; [rw] | Handler for a scrolling event by mouse, keyboard or code.
end;

Inheritance

TCustomScrollBar | The base class for TScrollBar.
|
TWinControl | The base class for controls which can contain other (child) controls.
|
TControl | The base class for visible controls.
|
TLCLComponent | The base class for LCL components associated with widgets.
|
TComponent,IUnknown,IInterfaceComponentReference
|
TPersistent,IFPObserved
|
TObject


TCustomScrollBar
 |  | Kind
 |  | LargeChange
 |  | Max
 |  | Min
 |  | PageSize
 |  | Position
 |  | SmallChange
 | ro | TabStop
TWinControl
pt |  | WindowHandle
pt |  | BorderStyle
pt |  | ParentBackground
 |  | BorderWidth
 | ro | BoundsLockCount
 | ro | Brush
 | ro | CachedClientHeight
 | ro | CachedClientWidth
 |  | ChildSizing
 | ro | ControlCount
 | ro | Controls
 |  | DefWndProc
 | ro | DockClientCount
 | ro | DockClients
 |  | DockManager
 |  | DockSite
 |  | DoubleBuffered
 |  | Handle
 | ro | IsFlipped
 | ro | IsResizing
 |  | TabOrder
 |  | TabStop
 |  | ParentDoubleBuffered
 |  | ParentWindow
 | ro | Showing
 |  | UseDockManager
 |  | DesignerDeleting
 | ro | VisibleDockClientCount
TControl
pt | ro | AutoSizing
pt | ro | AutoSizingAll
pt | ro | AutoSizingLockCount
pt |  | ActionLink
pt |  | DesktopFont
pt |  | DragCursor
pt |  | DragKind
pt |  | DragMode
pt |  | MouseCapture
pt |  | ParentColor
pt |  | ParentFont
pt |  | ParentShowHint
pt |  | SessionProperties
pt |  | Text
 | ro | AnchoredControls
 | ro | BaseBounds
 | ro | ReadBounds
 | ro | BaseParentClientSize
 |  | AccessibleDescription
 |  | AccessibleValue
 |  | AccessibleRole
 |  | Action
 |  | Align
 |  | Anchors
 | ro | AnchorSide
 |  | AutoSize
 |  | BorderSpacing
 |  | BoundsRect
 |  | BoundsRectForNewParent
 |  | Caption
 |  | CaptureMouseButtons
 |  | ClientHeight
 | ro | ClientOrigin
 | ro | ClientRect
 |  | ClientWidth
 |  | Color
 |  | Constraints
 | ro | ControlOrigin
 |  | ControlState
 |  | ControlStyle
 |  | Enabled
 |  | Font
 |  | IsControl
 | ro | MouseEntered
 | ro | MouseInClient
 |  | Parent
 |  | PopupMenu
 |  | ShowHint
 |  | Visible
 |  | WindowProc
 |  | DockOrientation
 | ro | Floating
 |  | FloatingDockSiteClass
 |  | HostDockSite
 |  | LRDockWidth
 |  | TBDockHeight
 |  | UndockHeight
 |  | UndockWidth
 |  | BiDiMode
 |  | ParentBiDiMode
pl |  | AnchorSideLeft
pl |  | AnchorSideTop
pl |  | AnchorSideRight
pl |  | AnchorSideBottom
pl |  | Cursor
pl |  | Left
pl |  | Height
pl |  | Hint
pl |  | Top
pl |  | Width
pl |  | HelpType
pl |  | HelpKeyword
pl |  | HelpContext
TLCLComponent
 | ro | LCLRefCount
 | ro | WidgetSetClass
TComponent
 | ro | ComObject
 | ro | Components
 | ro | ComponentCount
 |  | ComponentIndex
 | ro | ComponentState
 | ro | ComponentStyle
 |  | DesignInfo
 | ro | Owner
 |  | VCLComObject
 |  | Name
 |  | Tag
TPersistent
TObject


 |  | AccessibleDescription (TControl)
 |  | AccessibleRole (TControl)
 |  | AccessibleValue (TControl)
 |  | Action (TControl)
pt |  | ActionLink (TControl)
 |  | Align (TControl)
 | ro | AnchoredControls (TControl)
 |  | Anchors (TControl)
 | ro | AnchorSide (TControl)
pl |  | AnchorSideBottom (TControl)
pl |  | AnchorSideLeft (TControl)
pl |  | AnchorSideRight (TControl)
pl |  | AnchorSideTop (TControl)
 |  | AutoSize (TControl)
pt | ro | AutoSizing (TControl)
pt | ro | AutoSizingAll (TControl)
pt | ro | AutoSizingLockCount (TControl)
 | ro | BaseBounds (TControl)
 | ro | BaseParentClientSize (TControl)
 |  | BiDiMode (TControl)
 |  | BorderSpacing (TControl)
pt |  | BorderStyle (TWinControl)
 |  | BorderWidth (TWinControl)
 | ro | BoundsLockCount (TWinControl)
 |  | BoundsRect (TControl)
 |  | BoundsRectForNewParent (TControl)
 | ro | Brush (TWinControl)
 | ro | CachedClientHeight (TWinControl)
 | ro | CachedClientWidth (TWinControl)
 |  | Caption (TControl)
 |  | CaptureMouseButtons (TControl)
 |  | ChildSizing (TWinControl)
 |  | ClientHeight (TControl)
 | ro | ClientOrigin (TControl)
 | ro | ClientRect (TControl)
 |  | ClientWidth (TControl)
 |  | Color (TControl)
 | ro | ComObject (TComponent)
 | ro | ComponentCount (TComponent)
 |  | ComponentIndex (TComponent)
 | ro | Components (TComponent)
 | ro | ComponentState (TComponent)
 | ro | ComponentStyle (TComponent)
 |  | Constraints (TControl)
 | ro | ControlCount (TWinControl)
 | ro | ControlOrigin (TControl)
 | ro | Controls (TWinControl)
 |  | ControlState (TControl)
 |  | ControlStyle (TControl)
pl |  | Cursor (TControl)
 |  | DefWndProc (TWinControl)
 |  | DesignerDeleting (TWinControl)
 |  | DesignInfo (TComponent)
pt |  | DesktopFont (TControl)
 | ro | DockClientCount (TWinControl)
 | ro | DockClients (TWinControl)
 |  | DockManager (TWinControl)
 |  | DockOrientation (TControl)
 |  | DockSite (TWinControl)
 |  | DoubleBuffered (TWinControl)
pt |  | DragCursor (TControl)
pt |  | DragKind (TControl)
pt |  | DragMode (TControl)
 |  | Enabled (TControl)
 | ro | Floating (TControl)
 |  | FloatingDockSiteClass (TControl)
 |  | Font (TControl)
 |  | Handle (TWinControl)
pl |  | Height (TControl)
pl |  | HelpContext (TControl)
pl |  | HelpKeyword (TControl)
pl |  | HelpType (TControl)
pl |  | Hint (TControl)
 |  | HostDockSite (TControl)
 |  | IsControl (TControl)
 | ro | IsFlipped (TWinControl)
 | ro | IsResizing (TWinControl)
 |  | Kind (TCustomScrollBar)
 |  | LargeChange (TCustomScrollBar)
 | ro | LCLRefCount (TLCLComponent)
pl |  | Left (TControl)
 |  | LRDockWidth (TControl)
 |  | Max (TCustomScrollBar)
 |  | Min (TCustomScrollBar)
pt |  | MouseCapture (TControl)
 | ro | MouseEntered (TControl)
 | ro | MouseInClient (TControl)
 |  | Name (TComponent)
 | ro | Owner (TComponent)
 |  | PageSize (TCustomScrollBar)
 |  | Parent (TControl)
pt |  | ParentBackground (TWinControl)
 |  | ParentBiDiMode (TControl)
pt |  | ParentColor (TControl)
 |  | ParentDoubleBuffered (TWinControl)
pt |  | ParentFont (TControl)
pt |  | ParentShowHint (TControl)
 |  | ParentWindow (TWinControl)
 |  | PopupMenu (TControl)
 |  | Position (TCustomScrollBar)
 | ro | ReadBounds (TControl)
pt |  | SessionProperties (TControl)
 |  | ShowHint (TControl)
 | ro | Showing (TWinControl)
 |  | SmallChange (TCustomScrollBar)
 |  | TabOrder (TWinControl)
 |  | TabStop (TWinControl)
 | ro | TabStop (TCustomScrollBar)
 |  | Tag (TComponent)
 |  | TBDockHeight (TControl)
pt |  | Text (TControl)
pl |  | Top (TControl)
 |  | UndockHeight (TControl)
 |  | UndockWidth (TControl)
 |  | UseDockManager (TWinControl)
 |  | VCLComObject (TComponent)
 |  | Visible (TControl)
 | ro | VisibleDockClientCount (TWinControl)
 | ro | WidgetSetClass (TLCLComponent)
pl |  | Width (TControl)
pt |  | WindowHandle (TWinControl)
 |  | WindowProc (TControl)


TCustomScrollBar
pt | WSRegisterClass
pt | GetControlClassDefaultSize
pt | CreateParams
pt | CreateWnd
pt | Change
pt | Scroll
pt | CalculatePreferredSize
 | Create
 | SetParams
TWinControl
pt | WSRegisterClass
pt | AdjustClientRect
pt | GetAdjustedLogicalClientRect
pt | AlignControls
pt | CustomAlignInsertBefore
pt | CustomAlignPosition
pt | DoAlignChildControls
pt | DoChildSizingChange
pt | InvalidatePreferredChildSizes
pt | CanTab
pt | IsClientHeightStored
pt | IsClientWidthStored
pt | DoSendShowHideToInterface
pt | ControlsAligned
pt | DoSendBoundsToInterface
pt | RealizeBounds
pt | RealizeBoundsRecursive
pt | InvalidateBoundsRealized
pt | CreateSubClass
pt | DoConstraintsChange
pt | DoSetBounds
pt | DoAutoSize
pt | DoAllAutoSize
pt | AllAutoSized
pt | CalculatePreferredSize
pt | GetPreferredSizeClientFrame
pt | GetChildren
pt | ChildClassAllowed
pt | PaintControls
pt | PaintHandler
pt | PaintWindow
pt | CreateBrush
pt | ScaleControls
pt | ChangeScale
pt | CMBiDiModeChanged
pt | CMBorderChanged
pt | CMDoubleBufferedChanged
pt | CMEnabledChanged
pt | CMParentDoubleBufferedChanged
pt | CMShowingChanged
pt | CMShowHintChanged
pt | CMVisibleChanged
pt | CMEnter
pt | CMExit
pt | WMContextMenu
pt | WMEraseBkgnd
pt | WMNotify
pt | WMSetFocus
pt | WMKillFocus
pt | WMShowWindow
pt | WMEnter
pt | WMExit
pt | WMKeyDown
pt | WMSysKeyDown
pt | WMKeyUp
pt | WMSysKeyUp
pt | WMChar
pt | WMSysChar
pt | WMPaint
pt | WMDestroy
pt | WMMove
pt | WMSize
pt | WMWindowPosChanged
pt | CNKeyDown
pt | CNSysKeyDown
pt | CNKeyUp
pt | CNSysKeyUp
pt | CNChar
pt | DoDragMsg
pt | DoDockClientMsg
pt | DoUndockClientMsg
pt | DoAddDockClient
pt | DockOver
pt | DoDockOver
pt | DoRemoveDockClient
pt | DoUnDock
pt | GetSiteInfo
pt | GetParentHandle
pt | GetTopParentHandle
pt | ReloadDockedControl
pt | CreateDockManager
pt | SetDockManager
pt | DoFloatMsg
pt | DoGetDockCaption
pt | DoEnter
pt | DoExit
pt | DoKeyDownBeforeInterface
pt | DoRemainingKeyDown
pt | DoRemainingKeyUp
pt | DoKeyPress
pt | DoUTF8KeyPress
pt | DoKeyUpBeforeInterface
pt | ChildKey
pt | SendDialogChar
pt | DialogChar
pt | ControlKeyDown
pt | ControlKeyUp
pt | KeyDown
pt | KeyDownBeforeInterface
pt | KeyDownAfterInterface
pt | KeyPress
pt | KeyUp
pt | KeyUpBeforeInterface
pt | KeyUpAfterInterface
pt | UTF8KeyPress
pt | FindNextControl
pt | SelectFirst
pt | RealGetText
pt | GetBorderStyle
pt | GetClientOrigin
pt | GetClientRect
pt | GetControlOrigin
pt | GetDeviceContext
pt | GetParentBackground
pt | IsControlMouseMsg
pt | CreateHandle
pt | CreateParams
pt | CreateWnd
pt | DestroyHandle
pt | DestroyWnd
pt | DoFlipChildren
pt | FinalizeWnd
pt | FixupTabList
pt | FontChanged
pt | InitializeWnd
pt | Loaded
pt | FormEndUpdated
pt | MainWndProc
pt | ParentFormHandleInitialized
pt | ChildHandlesCreated
pt | GetMouseCapture
pt | RealSetText
pt | RemoveFocus
pt | SendMoveSizeMessages
pt | SetBorderStyle
pt | SetColor
pt | SetChildZPosition
pt | SetParentBackground
pt | ShowControl
pt | UpdateControlState
pt | UpdateShowing
pt | WndProc
pt | WSSetText
 | AutoSizePhases
 | AutoSizeDelayed
 | AutoSizeDelayedReport
 | AutoSizeDelayedHandle
 | BeginUpdateBounds
 | EndUpdateBounds
 | LockRealizeBounds
 | UnlockRealizeBounds
 | ControlAtPos
 | ContainsControl
 | DoAdjustClientRectChange
 | InvalidateClientRectCache
 | ClientRectNeedsInterfaceUpdate
 | SetBounds
 | GetChildrenRect
 | DisableAlign
 | EnableAlign
 | ReAlign
 | ScrollBy_WS
 | ScrollBy
 | WriteLayoutDebugReport
 | AutoAdjustLayout
 | Create
 | CreateParented
 | CreateParentedControl
 | Destroy
 | DockDrop
 | CanFocus
 | CanSetFocus
 | GetControlIndex
 | SetControlIndex
 | Focused
 | PerformTab
 | FindChildControl
 | SelectNext
 | SetTempCursor
 | BroadCast
 | NotifyControls
 | DefaultHandler
 | GetTextLen
 | Invalidate
 | AddControl
 | InsertControl
 | RemoveControl
 | GetEnumeratorControls
 | GetEnumeratorControlsReverse
 | Repaint
 | Update
 | SetFocus
 | FlipChildren
 | ScaleBy
 | GetDockCaption
 | UpdateDockCaption
 | GetTabOrderList
 | HandleAllocated
 | ParentHandlesAllocated
 | HandleNeeded
 | BrushCreated
 | EraseBackground
 | IntfUTF8KeyPress
 | IntfGetDropFilesTarget
 | PaintTo
 | SetShape
TControl
pt | WSRegisterClass
pt | GetCursor
pt | SetCursor
pt | SetVisible
pt | DoOnParentHandleDestruction
pt | DoAutoSize
pt | DoAllAutoSize
pt | BeginAutoSizing
pt | EndAutoSizing
pt | AnchorSideChanged
pt | ForeignAnchorSideChanged
pt | SetAlign
pt | SetAnchors
pt | SetAutoSize
pt | BoundsChanged
pt | CreateControlBorderSpacing
pt | DoConstraintsChange
pt | DoBorderSpacingChange
pt | IsBorderSpacingInnerBorderStored
pt | IsCaptionStored
pt | SendMoveSizeMessages
pt | ConstrainedResize
pt | CalculatePreferredSize
pt | DoOnResize
pt | DoOnChangeBounds
pt | CheckOnChangeBounds
pt | Resize
pt | RequestAlign
pt | UpdateAnchorRules
pt | ChangeBounds
pt | DoSetBounds
pt | ScaleConstraints
pt | ChangeScale
pt | CanAutoSize
pt | SetBiDiMode
pt | SetParentBiDiMode
pt | IsAParentAligning
pt | GetClientOrigin
pt | GetClientRect
pt | GetLogicalClientRect
pt | GetScrolledClientRect
pt | GetClientScrollOffset
pt | GetControlOrigin
pt | IsClientHeightStored
pt | IsClientWidthStored
pt | WidthIsAnchored
pt | HeightIsAnchored
pt | WMCancelMode
pt | WMContextMenu
pt | WMLButtonDown
pt | WMRButtonDown
pt | WMMButtonDown
pt | WMXButtonDown
pt | WMLButtonDBLCLK
pt | WMRButtonDBLCLK
pt | WMMButtonDBLCLK
pt | WMXButtonDBLCLK
pt | WMLButtonTripleCLK
pt | WMRButtonTripleCLK
pt | WMMButtonTripleCLK
pt | WMXButtonTripleCLK
pt | WMLButtonQuadCLK
pt | WMRButtonQuadCLK
pt | WMMButtonQuadCLK
pt | WMXButtonQuadCLK
pt | WMMouseMove
pt | WMLButtonUp
pt | WMRButtonUp
pt | WMMButtonUp
pt | WMXButtonUp
pt | WMMouseWheel
pt | WMMouseHWheel
pt | WMMove
pt | WMSize
pt | WMWindowPosChanged
pt | CMChanged
pt | LMCaptureChanged
pt | CMBiDiModeChanged
pt | CMSysFontChanged
pt | CMEnabledChanged
pt | CMHitTest
pt | CMMouseEnter
pt | CMMouseLeave
pt | CMHintShow
pt | CMParentBiDiModeChanged
pt | CMParentColorChanged
pt | CMParentFontChanged
pt | CMParentShowHintChanged
pt | CMVisibleChanged
pt | CMTextChanged
pt | CMCursorChanged
pt | CalculateDockSizes
pt | CreateFloatingDockSite
pt | GetDockEdge
pt | GetDragImages
pt | GetFloating
pt | GetFloatingDockSiteClass
pt | BeforeDragStart
pt | BeginAutoDrag
pt | DoFloatMsg
pt | DockTrackNoTarget
pt | DoDock
pt | DoDragMsg
pt | DoEndDock
pt | DoEndDrag
pt | DoStartDock
pt | DoStartDrag
pt | DragCanceled
pt | DragOver
pt | PositionDockRect
pt | SetDragMode
pt | GetDefaultDockCaption
pt | Click
pt | DblClick
pt | TripleClick
pt | QuadClick
pt | GetMousePosFromMessage
pt | MouseDown
pt | MouseMove
pt | MouseUp
pt | MouseEnter
pt | MouseLeave
pt | DialogChar
pt | UpdateMouseCursor
pt | Changed
pt | GetPalette
pt | ChildClassAllowed
pt | ReadState
pt | Loaded
pt | LoadedAll
pt | DefineProperties
pt | AssignTo
pt | FormEndUpdated
pt | InvalidateControl
pt | FontChanged
pt | ParentFontChanged
pt | GetAction
pt | RealGetText
pt | RealSetText
pt | TextChanged
pt | GetCachedText
pt | SetAction
pt | SetColor
pt | SetEnabled
pt | SetHint
pt | SetName
pt | SetParent
pt | SetParentComponent
pt | WndProc
pt | ParentFormHandleInitialized
pt | GetMouseCapture
pt | CaptureChanged
pt | Notification
pt | CanTab
pt | GetDeviceContext
pt | GetEnabled
pt | GetPopupMenu
pt | DoOnShowHint
pt | DoMouseWheel
pt | DoMouseWheelDown
pt | DoMouseWheelUp
pt | DoMouseWheelHorz
pt | DoMouseWheelLeft
pt | DoMouseWheelRight
pt | VisibleChanging
pt | VisibleChanged
pt | EnabledChanging
pt | EnabledChanged
pt | AddHandler
pt | RemoveHandler
pt | DoCallNotifyHandler
pt | DoCallKeyEventHandler
pt | DoCallMouseWheelEventHandler
pt | DoContextPopup
pt | SetZOrder
pt | GetControlClassDefaultSize
pt | ColorIsStored
pt | DoAutoAdjustLayout
pt | DoFixDesignFontPPI
pt | DoScaleFontPPI
pt | GetActionLinkClass
pt | ActionChange
 | DragDrop
 | Dock
 | ManualDock
 | ManualFloat
 | ReplaceDockedControl
 | Docked
 | Dragging
 | GetAccessibleObject
 | CreateAccessibleObject
 | GetSelectedChildAccessibleObject
 | GetChildAccessibleObjectAtPos
 | ScaleDesignToForm
 | ScaleFormToDesign
 | Scale96ToForm
 | ScaleFormTo96
 | Scale96ToFont
 | ScaleFontTo96
 | ScaleScreenToFont
 | ScaleFontToScreen
 | Scale96ToScreen
 | ScaleScreenTo96
 | AdjustSize
 | AutoSizePhases
 | AutoSizeDelayed
 | AutoSizeDelayedReport
 | AutoSizeDelayedHandle
 | AnchorToNeighbour
 | AnchorParallel
 | AnchorHorizontalCenterTo
 | AnchorVerticalCenterTo
 | AnchorToCompanion
 | AnchorSame
 | AnchorAsAlign
 | AnchorClient
 | AnchoredControlCount
 | SetBounds
 | SetInitialBounds
 | SetBoundsKeepBase
 | GetPreferredSize
 | GetCanvasScaleFactor
 | GetDefaultWidth
 | GetDefaultHeight
 | GetDefaultColor
 | GetColorResolvingParent
 | GetRGBColorResolvingParent
 | GetSidePosition
 | CNPreferredSizeChanged
 | InvalidatePreferredSize
 | GetAnchorsDependingOnParent
 | DisableAutoSizing
 | EnableAutoSizing
 | UpdateBaseBounds
 | WriteLayoutDebugReport
 | AutoAdjustLayout
 | ShouldAutoAdjust
 | FixDesignFontsPPI
 | ScaleFontsPPI
 | Create
 | Destroy
 | BeforeDestruction
 | EditingDone
 | ExecuteDefaultAction
 | ExecuteCancelAction
 | BeginDrag
 | EndDrag
 | BringToFront
 | HasParent
 | GetParentComponent
 | IsParentOf
 | GetTopParent
 | IsVisible
 | IsControlVisible
 | IsEnabled
 | IsParentColor
 | IsParentFont
 | FormIsUpdating
 | IsProcessingPaintMsg
 | Hide
 | Refresh
 | Repaint
 | Invalidate
 | CheckChildClassAllowed
 | CheckNewParent
 | SendToBack
 | SetTempCursor
 | UpdateRolesForForm
 | ActiveDefaultControlChanged
 | GetTextBuf
 | GetTextLen
 | SetTextBuf
 | Perform
 | ScreenToClient
 | ClientToScreen
 | ScreenToControl
 | ControlToScreen
 | ClientToParent
 | ParentToClient
 | GetChildrenRect
 | Show
 | Update
 | HandleObjectShouldBeVisible
 | ParentDestroyingHandle
 | ParentHandlesAllocated
 | InitiateAction
 | ShowHelp
 | HasHelp
 | RemoveAllHandlersOfObject
 | AddHandlerOnResize
 | RemoveHandlerOnResize
 | AddHandlerOnChangeBounds
 | RemoveHandlerOnChangeBounds
 | AddHandlerOnVisibleChanging
 | RemoveHandlerOnVisibleChanging
 | AddHandlerOnVisibleChanged
 | RemoveHandlerOnVisibleChanged
 | AddHandlerOnEnabledChanged
 | RemoveHandlerOnEnableChanging
 | AddHandlerOnKeyDown
 | RemoveHandlerOnKeyDown
 | AddHandlerOnBeforeDestruction
 | RemoveHandlerOnBeforeDestruction
 | AddHandlerOnMouseWheel
 | RemoveHandlerOnMouseWheel
 | UseRightToLeftAlignment
 | UseRightToLeftReading
 | UseRightToLeftScrollBar
 | IsRightToLeft
TLCLComponent
pt | WSRegisterClass
pt | GetWSComponentClass
 | Create
 | Destroy
 | NewInstance
 | RemoveAllHandlersOfObject
 | IncLCLRefCount
 | DecLCLRefCount
TComponent
 | GetComObject
 | GetComponent
 | GetComponentCount
 | GetComponentIndex
 | Insert
 | ReadLeft
 | ReadTop
 | Remove
 | RemoveNotification
 | SetComponentIndex
 | SetReference
 | WriteLeft
 | WriteTop
 | ChangeName
 | DefineProperties
 | GetChildren
 | GetChildOwner
 | GetChildParent
 | GetOwner
 | Loaded
 | Loading
 | Notification
 | PaletteCreated
 | ReadState
 | SetAncestor
 | SetDesigning
 | SetDesignInstance
 | SetInline
 | SetName
 | SetChildOrder
 | SetParentComponent
 | Updating
 | Updated
 | UpdateRegistry
 | ValidateRename
 | ValidateContainer
 | ValidateInsert
 | QueryInterface
 | _AddRef
 | _Release
 | iicrGetComponent
 | GetTypeInfoCount
 | GetTypeInfo
 | GetIDsOfNames
 | Invoke
 | WriteState
 | Create
 | Destroy
 | BeforeDestruction
 | DestroyComponents
 | Destroying
 | ExecuteAction
 | FindComponent
 | FreeNotification
 | RemoveFreeNotification
 | FreeOnRelease
 | GetEnumerator
 | GetNamePath
 | GetParentComponent
 | HasParent
 | InsertComponent
 | RemoveComponent
 | SafeCallException
 | SetSubComponent
 | UpdateAction
 | IsImplementorOf
 | ReferenceInterface
TPersistent
 | AssignError
 | AssignTo
 | DefineProperties
 | GetOwner
 | Destroy
 | Assign
 | FPOAttachObserver
 | FPODetachObserver
 | FPONotifyObservers
 | GetNamePath
TObject
 | Create
 | Destroy
 | newinstance
 | FreeInstance
 | SafeCallException
 | DefaultHandler
 | Free
 | InitInstance
 | CleanupInstance
 | ClassType
 | ClassInfo
 | ClassName
 | ClassNameIs
 | ClassParent
 | InstanceSize
 | InheritsFrom
 | StringMessageTable
 | MethodAddress
 | MethodName
 | FieldAddress
 | AfterConstruction
 | BeforeDestruction
 | DefaultHandlerStr
 | Dispatch
 | DispatchStr
 | GetInterface
 | GetInterfaceByStr
 | GetInterfaceWeak
 | GetInterfaceEntry
 | GetInterfaceEntryByStr
 | GetInterfaceTable
 | UnitName
 | Equals
 | GetHashCode
 | ToString


pt | ActionChange (TControl)
 | ActiveDefaultControlChanged (TControl)
 | AddControl (TWinControl)
pt | AddHandler (TControl)
 | AddHandlerOnBeforeDestruction (TControl)
 | AddHandlerOnChangeBounds (TControl)
 | AddHandlerOnEnabledChanged (TControl)
 | AddHandlerOnKeyDown (TControl)
 | AddHandlerOnMouseWheel (TControl)
 | AddHandlerOnResize (TControl)
 | AddHandlerOnVisibleChanged (TControl)
 | AddHandlerOnVisibleChanging (TControl)
pt | AdjustClientRect (TWinControl)
 | AdjustSize (TControl)
 | AfterConstruction (TObject)
pt | AlignControls (TWinControl)
pt | AllAutoSized (TWinControl)
 | AnchorAsAlign (TControl)
 | AnchorClient (TControl)
 | AnchoredControlCount (TControl)
 | AnchorHorizontalCenterTo (TControl)
 | AnchorParallel (TControl)
 | AnchorSame (TControl)
pt | AnchorSideChanged (TControl)
 | AnchorToCompanion (TControl)
 | AnchorToNeighbour (TControl)
 | AnchorVerticalCenterTo (TControl)
 | Assign (TPersistent)
 | AssignError (TPersistent)
 | AssignTo (TPersistent)
pt | AssignTo (TControl)
 | AutoAdjustLayout (TControl)
 | AutoAdjustLayout (TWinControl)
 | AutoSizeDelayed (TControl)
 | AutoSizeDelayed (TWinControl)
 | AutoSizeDelayedHandle (TControl)
 | AutoSizeDelayedHandle (TWinControl)
 | AutoSizeDelayedReport (TControl)
 | AutoSizeDelayedReport (TWinControl)
 | AutoSizePhases (TControl)
 | AutoSizePhases (TWinControl)
 | BeforeDestruction (TObject)
 | BeforeDestruction (TComponent)
 | BeforeDestruction (TControl)
pt | BeforeDragStart (TControl)
pt | BeginAutoDrag (TControl)
pt | BeginAutoSizing (TControl)
 | BeginDrag (TControl)
 | BeginUpdateBounds (TWinControl)
pt | BoundsChanged (TControl)
 | BringToFront (TControl)
 | BroadCast (TWinControl)
 | BrushCreated (TWinControl)
pt | CalculateDockSizes (TControl)
pt | CalculatePreferredSize (TControl)
pt | CalculatePreferredSize (TWinControl)
pt | CalculatePreferredSize (TCustomScrollBar)
pt | CanAutoSize (TControl)
 | CanFocus (TWinControl)
 | CanSetFocus (TWinControl)
pt | CanTab (TControl)
pt | CanTab (TWinControl)
pt | CaptureChanged (TControl)
pt | Change (TCustomScrollBar)
pt | ChangeBounds (TControl)
pt | Changed (TControl)
 | ChangeName (TComponent)
pt | ChangeScale (TControl)
pt | ChangeScale (TWinControl)
 | CheckChildClassAllowed (TControl)
 | CheckNewParent (TControl)
pt | CheckOnChangeBounds (TControl)
pt | ChildClassAllowed (TControl)
pt | ChildClassAllowed (TWinControl)
pt | ChildHandlesCreated (TWinControl)
pt | ChildKey (TWinControl)
 | ClassInfo (TObject)
 | ClassName (TObject)
 | ClassNameIs (TObject)
 | ClassParent (TObject)
 | ClassType (TObject)
 | CleanupInstance (TObject)
pt | Click (TControl)
 | ClientRectNeedsInterfaceUpdate (TWinControl)
 | ClientToParent (TControl)
 | ClientToScreen (TControl)
pt | CMBiDiModeChanged (TControl)
pt | CMBiDiModeChanged (TWinControl)
pt | CMBorderChanged (TWinControl)
pt | CMChanged (TControl)
pt | CMCursorChanged (TControl)
pt | CMDoubleBufferedChanged (TWinControl)
pt | CMEnabledChanged (TControl)
pt | CMEnabledChanged (TWinControl)
pt | CMEnter (TWinControl)
pt | CMExit (TWinControl)
pt | CMHintShow (TControl)
pt | CMHitTest (TControl)
pt | CMMouseEnter (TControl)
pt | CMMouseLeave (TControl)
pt | CMParentBiDiModeChanged (TControl)
pt | CMParentColorChanged (TControl)
pt | CMParentDoubleBufferedChanged (TWinControl)
pt | CMParentFontChanged (TControl)
pt | CMParentShowHintChanged (TControl)
pt | CMShowHintChanged (TWinControl)
pt | CMShowingChanged (TWinControl)
pt | CMSysFontChanged (TControl)
pt | CMTextChanged (TControl)
pt | CMVisibleChanged (TControl)
pt | CMVisibleChanged (TWinControl)
pt | CNChar (TWinControl)
pt | CNKeyDown (TWinControl)
pt | CNKeyUp (TWinControl)
 | CNPreferredSizeChanged (TControl)
pt | CNSysKeyDown (TWinControl)
pt | CNSysKeyUp (TWinControl)
pt | ColorIsStored (TControl)
pt | ConstrainedResize (TControl)
 | ContainsControl (TWinControl)
 | ControlAtPos (TWinControl)
pt | ControlKeyDown (TWinControl)
pt | ControlKeyUp (TWinControl)
pt | ControlsAligned (TWinControl)
 | ControlToScreen (TControl)
 | Create (TObject)
 | Create (TComponent)
 | Create (TLCLComponent)
 | Create (TControl)
 | Create (TWinControl)
 | Create (TCustomScrollBar)
 | CreateAccessibleObject (TControl)
pt | CreateBrush (TWinControl)
pt | CreateControlBorderSpacing (TControl)
pt | CreateDockManager (TWinControl)
pt | CreateFloatingDockSite (TControl)
pt | CreateHandle (TWinControl)
pt | CreateParams (TWinControl)
pt | CreateParams (TCustomScrollBar)
 | CreateParented (TWinControl)
 | CreateParentedControl (TWinControl)
pt | CreateSubClass (TWinControl)
pt | CreateWnd (TWinControl)
pt | CreateWnd (TCustomScrollBar)
pt | CustomAlignInsertBefore (TWinControl)
pt | CustomAlignPosition (TWinControl)
pt | DblClick (TControl)
 | DecLCLRefCount (TLCLComponent)
 | DefaultHandler (TObject)
 | DefaultHandler (TWinControl)
 | DefaultHandlerStr (TObject)
 | DefineProperties (TPersistent)
 | DefineProperties (TComponent)
pt | DefineProperties (TControl)
 | Destroy (TObject)
 | Destroy (TPersistent)
 | Destroy (TComponent)
 | Destroy (TLCLComponent)
 | Destroy (TControl)
 | Destroy (TWinControl)
 | DestroyComponents (TComponent)
pt | DestroyHandle (TWinControl)
 | Destroying (TComponent)
pt | DestroyWnd (TWinControl)
pt | DialogChar (TControl)
pt | DialogChar (TWinControl)
 | DisableAlign (TWinControl)
 | DisableAutoSizing (TControl)
 | Dispatch (TObject)
 | DispatchStr (TObject)
pt | DoAddDockClient (TWinControl)
 | DoAdjustClientRectChange (TWinControl)
pt | DoAlignChildControls (TWinControl)
pt | DoAllAutoSize (TControl)
pt | DoAllAutoSize (TWinControl)
pt | DoAutoAdjustLayout (TControl)
pt | DoAutoSize (TControl)
pt | DoAutoSize (TWinControl)
pt | DoBorderSpacingChange (TControl)
pt | DoCallKeyEventHandler (TControl)
pt | DoCallMouseWheelEventHandler (TControl)
pt | DoCallNotifyHandler (TControl)
pt | DoChildSizingChange (TWinControl)
 | Dock (TControl)
 | DockDrop (TWinControl)
 | Docked (TControl)
pt | DockOver (TWinControl)
pt | DockTrackNoTarget (TControl)
pt | DoConstraintsChange (TControl)
pt | DoConstraintsChange (TWinControl)
pt | DoContextPopup (TControl)
pt | DoDock (TControl)
pt | DoDockClientMsg (TWinControl)
pt | DoDockOver (TWinControl)
pt | DoDragMsg (TControl)
pt | DoDragMsg (TWinControl)
pt | DoEndDock (TControl)
pt | DoEndDrag (TControl)
pt | DoEnter (TWinControl)
pt | DoExit (TWinControl)
pt | DoFixDesignFontPPI (TControl)
pt | DoFlipChildren (TWinControl)
pt | DoFloatMsg (TControl)
pt | DoFloatMsg (TWinControl)
pt | DoGetDockCaption (TWinControl)
pt | DoKeyDownBeforeInterface (TWinControl)
pt | DoKeyPress (TWinControl)
pt | DoKeyUpBeforeInterface (TWinControl)
pt | DoMouseWheel (TControl)
pt | DoMouseWheelDown (TControl)
pt | DoMouseWheelHorz (TControl)
pt | DoMouseWheelLeft (TControl)
pt | DoMouseWheelRight (TControl)
pt | DoMouseWheelUp (TControl)
pt | DoOnChangeBounds (TControl)
pt | DoOnParentHandleDestruction (TControl)
pt | DoOnResize (TControl)
pt | DoOnShowHint (TControl)
pt | DoRemainingKeyDown (TWinControl)
pt | DoRemainingKeyUp (TWinControl)
pt | DoRemoveDockClient (TWinControl)
pt | DoScaleFontPPI (TControl)
pt | DoSendBoundsToInterface (TWinControl)
pt | DoSendShowHideToInterface (TWinControl)
pt | DoSetBounds (TControl)
pt | DoSetBounds (TWinControl)
pt | DoStartDock (TControl)
pt | DoStartDrag (TControl)
pt | DoUnDock (TWinControl)
pt | DoUndockClientMsg (TWinControl)
pt | DoUTF8KeyPress (TWinControl)
pt | DragCanceled (TControl)
 | DragDrop (TControl)
 | Dragging (TControl)
pt | DragOver (TControl)
 | EditingDone (TControl)
 | EnableAlign (TWinControl)
 | EnableAutoSizing (TControl)
pt | EnabledChanged (TControl)
pt | EnabledChanging (TControl)
pt | EndAutoSizing (TControl)
 | EndDrag (TControl)
 | EndUpdateBounds (TWinControl)
 | Equals (TObject)
 | EraseBackground (TWinControl)
 | ExecuteAction (TComponent)
 | ExecuteCancelAction (TControl)
 | ExecuteDefaultAction (TControl)
 | FieldAddress (TObject)
pt | FinalizeWnd (TWinControl)
 | FindChildControl (TWinControl)
 | FindComponent (TComponent)
pt | FindNextControl (TWinControl)
 | FixDesignFontsPPI (TControl)
pt | FixupTabList (TWinControl)
 | FlipChildren (TWinControl)
 | Focused (TWinControl)
pt | FontChanged (TControl)
pt | FontChanged (TWinControl)
pt | ForeignAnchorSideChanged (TControl)
pt | FormEndUpdated (TControl)
pt | FormEndUpdated (TWinControl)
 | FormIsUpdating (TControl)
 | FPOAttachObserver (TPersistent)
 | FPODetachObserver (TPersistent)
 | FPONotifyObservers (TPersistent)
 | Free (TObject)
 | FreeInstance (TObject)
 | FreeNotification (TComponent)
 | FreeOnRelease (TComponent)
 | GetAccessibleObject (TControl)
pt | GetAction (TControl)
pt | GetActionLinkClass (TControl)
pt | GetAdjustedLogicalClientRect (TWinControl)
 | GetAnchorsDependingOnParent (TControl)
pt | GetBorderStyle (TWinControl)
pt | GetCachedText (TControl)
 | GetCanvasScaleFactor (TControl)
 | GetChildAccessibleObjectAtPos (TControl)
 | GetChildOwner (TComponent)
 | GetChildParent (TComponent)
 | GetChildren (TComponent)
pt | GetChildren (TWinControl)
 | GetChildrenRect (TControl)
 | GetChildrenRect (TWinControl)
pt | GetClientOrigin (TControl)
pt | GetClientOrigin (TWinControl)
pt | GetClientRect (TControl)
pt | GetClientRect (TWinControl)
pt | GetClientScrollOffset (TControl)
 | GetColorResolvingParent (TControl)
 | GetComObject (TComponent)
 | GetComponent (TComponent)
 | GetComponentCount (TComponent)
 | GetComponentIndex (TComponent)
pt | GetControlClassDefaultSize (TControl)
pt | GetControlClassDefaultSize (TCustomScrollBar)
 | GetControlIndex (TWinControl)
pt | GetControlOrigin (TControl)
pt | GetControlOrigin (TWinControl)
pt | GetCursor (TControl)
 | GetDefaultColor (TControl)
pt | GetDefaultDockCaption (TControl)
 | GetDefaultHeight (TControl)
 | GetDefaultWidth (TControl)
pt | GetDeviceContext (TControl)
pt | GetDeviceContext (TWinControl)
 | GetDockCaption (TWinControl)
pt | GetDockEdge (TControl)
pt | GetDragImages (TControl)
pt | GetEnabled (TControl)
 | GetEnumerator (TComponent)
 | GetEnumeratorControls (TWinControl)
 | GetEnumeratorControlsReverse (TWinControl)
pt | GetFloating (TControl)
pt | GetFloatingDockSiteClass (TControl)
 | GetHashCode (TObject)
 | GetIDsOfNames (TComponent)
 | GetInterface (TObject)
 | GetInterfaceByStr (TObject)
 | GetInterfaceEntry (TObject)
 | GetInterfaceEntryByStr (TObject)
 | GetInterfaceTable (TObject)
 | GetInterfaceWeak (TObject)
pt | GetLogicalClientRect (TControl)
pt | GetMouseCapture (TControl)
pt | GetMouseCapture (TWinControl)
pt | GetMousePosFromMessage (TControl)
 | GetNamePath (TPersistent)
 | GetNamePath (TComponent)
 | GetOwner (TPersistent)
 | GetOwner (TComponent)
pt | GetPalette (TControl)
pt | GetParentBackground (TWinControl)
 | GetParentComponent (TComponent)
 | GetParentComponent (TControl)
pt | GetParentHandle (TWinControl)
pt | GetPopupMenu (TControl)
 | GetPreferredSize (TControl)
pt | GetPreferredSizeClientFrame (TWinControl)
 | GetRGBColorResolvingParent (TControl)
pt | GetScrolledClientRect (TControl)
 | GetSelectedChildAccessibleObject (TControl)
 | GetSidePosition (TControl)
pt | GetSiteInfo (TWinControl)
 | GetTabOrderList (TWinControl)
 | GetTextBuf (TControl)
 | GetTextLen (TControl)
 | GetTextLen (TWinControl)
 | GetTopParent (TControl)
pt | GetTopParentHandle (TWinControl)
 | GetTypeInfo (TComponent)
 | GetTypeInfoCount (TComponent)
pt | GetWSComponentClass (TLCLComponent)
 | HandleAllocated (TWinControl)
 | HandleNeeded (TWinControl)
 | HandleObjectShouldBeVisible (TControl)
 | HasHelp (TControl)
 | HasParent (TComponent)
 | HasParent (TControl)
pt | HeightIsAnchored (TControl)
 | Hide (TControl)
 | iicrGetComponent (TComponent)
 | IncLCLRefCount (TLCLComponent)
 | InheritsFrom (TObject)
pt | InitializeWnd (TWinControl)
 | InitiateAction (TControl)
 | InitInstance (TObject)
 | Insert (TComponent)
 | InsertComponent (TComponent)
 | InsertControl (TWinControl)
 | InstanceSize (TObject)
 | IntfGetDropFilesTarget (TWinControl)
 | IntfUTF8KeyPress (TWinControl)
 | Invalidate (TControl)
 | Invalidate (TWinControl)
pt | InvalidateBoundsRealized (TWinControl)
 | InvalidateClientRectCache (TWinControl)
pt | InvalidateControl (TControl)
pt | InvalidatePreferredChildSizes (TWinControl)
 | InvalidatePreferredSize (TControl)
 | Invoke (TComponent)
pt | IsAParentAligning (TControl)
pt | IsBorderSpacingInnerBorderStored (TControl)
pt | IsCaptionStored (TControl)
pt | IsClientHeightStored (TControl)
pt | IsClientHeightStored (TWinControl)
pt | IsClientWidthStored (TControl)
pt | IsClientWidthStored (TWinControl)
pt | IsControlMouseMsg (TWinControl)
 | IsControlVisible (TControl)
 | IsEnabled (TControl)
 | IsImplementorOf (TComponent)
 | IsParentColor (TControl)
 | IsParentFont (TControl)
 | IsParentOf (TControl)
 | IsProcessingPaintMsg (TControl)
 | IsRightToLeft (TControl)
 | IsVisible (TControl)
pt | KeyDown (TWinControl)
pt | KeyDownAfterInterface (TWinControl)
pt | KeyDownBeforeInterface (TWinControl)
pt | KeyPress (TWinControl)
pt | KeyUp (TWinControl)
pt | KeyUpAfterInterface (TWinControl)
pt | KeyUpBeforeInterface (TWinControl)
pt | LMCaptureChanged (TControl)
 | Loaded (TComponent)
pt | Loaded (TControl)
pt | Loaded (TWinControl)
pt | LoadedAll (TControl)
 | Loading (TComponent)
 | LockRealizeBounds (TWinControl)
pt | MainWndProc (TWinControl)
 | ManualDock (TControl)
 | ManualFloat (TControl)
 | MethodAddress (TObject)
 | MethodName (TObject)
pt | MouseDown (TControl)
pt | MouseEnter (TControl)
pt | MouseLeave (TControl)
pt | MouseMove (TControl)
pt | MouseUp (TControl)
 | newinstance (TObject)
 | NewInstance (TLCLComponent)
 | Notification (TComponent)
pt | Notification (TControl)
 | NotifyControls (TWinControl)
pt | PaintControls (TWinControl)
pt | PaintHandler (TWinControl)
 | PaintTo (TWinControl)
pt | PaintWindow (TWinControl)
 | PaletteCreated (TComponent)
 | ParentDestroyingHandle (TControl)
pt | ParentFontChanged (TControl)
pt | ParentFormHandleInitialized (TControl)
pt | ParentFormHandleInitialized (TWinControl)
 | ParentHandlesAllocated (TControl)
 | ParentHandlesAllocated (TWinControl)
 | ParentToClient (TControl)
 | Perform (TControl)
 | PerformTab (TWinControl)
pt | PositionDockRect (TControl)
pt | QuadClick (TControl)
 | QueryInterface (TComponent)
 | ReadLeft (TComponent)
 | ReadState (TComponent)
pt | ReadState (TControl)
 | ReadTop (TComponent)
pt | RealGetText (TControl)
pt | RealGetText (TWinControl)
 | ReAlign (TWinControl)
pt | RealizeBounds (TWinControl)
pt | RealizeBoundsRecursive (TWinControl)
pt | RealSetText (TControl)
pt | RealSetText (TWinControl)
 | ReferenceInterface (TComponent)
 | Refresh (TControl)
pt | ReloadDockedControl (TWinControl)
 | Remove (TComponent)
 | RemoveAllHandlersOfObject (TLCLComponent)
 | RemoveAllHandlersOfObject (TControl)
 | RemoveComponent (TComponent)
 | RemoveControl (TWinControl)
pt | RemoveFocus (TWinControl)
 | RemoveFreeNotification (TComponent)
pt | RemoveHandler (TControl)
 | RemoveHandlerOnBeforeDestruction (TControl)
 | RemoveHandlerOnChangeBounds (TControl)
 | RemoveHandlerOnEnableChanging (TControl)
 | RemoveHandlerOnKeyDown (TControl)
 | RemoveHandlerOnMouseWheel (TControl)
 | RemoveHandlerOnResize (TControl)
 | RemoveHandlerOnVisibleChanged (TControl)
 | RemoveHandlerOnVisibleChanging (TControl)
 | RemoveNotification (TComponent)
 | Repaint (TControl)
 | Repaint (TWinControl)
 | ReplaceDockedControl (TControl)
pt | RequestAlign (TControl)
pt | Resize (TControl)
 | SafeCallException (TObject)
 | SafeCallException (TComponent)
 | Scale96ToFont (TControl)
 | Scale96ToForm (TControl)
 | Scale96ToScreen (TControl)
 | ScaleBy (TWinControl)
pt | ScaleConstraints (TControl)
pt | ScaleControls (TWinControl)
 | ScaleDesignToForm (TControl)
 | ScaleFontsPPI (TControl)
 | ScaleFontTo96 (TControl)
 | ScaleFontToScreen (TControl)
 | ScaleFormTo96 (TControl)
 | ScaleFormToDesign (TControl)
 | ScaleScreenTo96 (TControl)
 | ScaleScreenToFont (TControl)
 | ScreenToClient (TControl)
 | ScreenToControl (TControl)
pt | Scroll (TCustomScrollBar)
 | ScrollBy (TWinControl)
 | ScrollBy_WS (TWinControl)
pt | SelectFirst (TWinControl)
 | SelectNext (TWinControl)
pt | SendDialogChar (TWinControl)
pt | SendMoveSizeMessages (TControl)
pt | SendMoveSizeMessages (TWinControl)
 | SendToBack (TControl)
pt | SetAction (TControl)
pt | SetAlign (TControl)
 | SetAncestor (TComponent)
pt | SetAnchors (TControl)
pt | SetAutoSize (TControl)
pt | SetBiDiMode (TControl)
pt | SetBorderStyle (TWinControl)
 | SetBounds (TControl)
 | SetBounds (TWinControl)
 | SetBoundsKeepBase (TControl)
 | SetChildOrder (TComponent)
pt | SetChildZPosition (TWinControl)
pt | SetColor (TControl)
pt | SetColor (TWinControl)
 | SetComponentIndex (TComponent)
 | SetControlIndex (TWinControl)
pt | SetCursor (TControl)
 | SetDesigning (TComponent)
 | SetDesignInstance (TComponent)
pt | SetDockManager (TWinControl)
pt | SetDragMode (TControl)
pt | SetEnabled (TControl)
 | SetFocus (TWinControl)
pt | SetHint (TControl)
 | SetInitialBounds (TControl)
 | SetInline (TComponent)
 | SetName (TComponent)
pt | SetName (TControl)
 | SetParams (TCustomScrollBar)
pt | SetParent (TControl)
pt | SetParentBackground (TWinControl)
pt | SetParentBiDiMode (TControl)
 | SetParentComponent (TComponent)
pt | SetParentComponent (TControl)
 | SetReference (TComponent)
 | SetShape (TWinControl)
 | SetSubComponent (TComponent)
 | SetTempCursor (TControl)
 | SetTempCursor (TWinControl)
 | SetTextBuf (TControl)
pt | SetVisible (TControl)
pt | SetZOrder (TControl)
 | ShouldAutoAdjust (TControl)
 | Show (TControl)
pt | ShowControl (TWinControl)
 | ShowHelp (TControl)
 | StringMessageTable (TObject)
pt | TextChanged (TControl)
 | ToString (TObject)
pt | TripleClick (TControl)
 | UnitName (TObject)
 | UnlockRealizeBounds (TWinControl)
 | Update (TControl)
 | Update (TWinControl)
 | UpdateAction (TComponent)
pt | UpdateAnchorRules (TControl)
 | UpdateBaseBounds (TControl)
pt | UpdateControlState (TWinControl)
 | Updated (TComponent)
 | UpdateDockCaption (TWinControl)
pt | UpdateMouseCursor (TControl)
 | UpdateRegistry (TComponent)
 | UpdateRolesForForm (TControl)
pt | UpdateShowing (TWinControl)
 | Updating (TComponent)
 | UseRightToLeftAlignment (TControl)
 | UseRightToLeftReading (TControl)
 | UseRightToLeftScrollBar (TControl)
pt | UTF8KeyPress (TWinControl)
 | ValidateContainer (TComponent)
 | ValidateInsert (TComponent)
 | ValidateRename (TComponent)
pt | VisibleChanged (TControl)
pt | VisibleChanging (TControl)
pt | WidthIsAnchored (TControl)
pt | WMCancelMode (TControl)
pt | WMChar (TWinControl)
pt | WMContextMenu (TControl)
pt | WMContextMenu (TWinControl)
pt | WMDestroy (TWinControl)
pt | WMEnter (TWinControl)
pt | WMEraseBkgnd (TWinControl)
pt | WMExit (TWinControl)
pt | WMKeyDown (TWinControl)
pt | WMKeyUp (TWinControl)
pt | WMKillFocus (TWinControl)
pt | WMLButtonDBLCLK (TControl)
pt | WMLButtonDown (TControl)
pt | WMLButtonQuadCLK (TControl)
pt | WMLButtonTripleCLK (TControl)
pt | WMLButtonUp (TControl)
pt | WMMButtonDBLCLK (TControl)
pt | WMMButtonDown (TControl)
pt | WMMButtonQuadCLK (TControl)
pt | WMMButtonTripleCLK (TControl)
pt | WMMButtonUp (TControl)
pt | WMMouseHWheel (TControl)
pt | WMMouseMove (TControl)
pt | WMMouseWheel (TControl)
pt | WMMove (TControl)
pt | WMMove (TWinControl)
pt | WMNotify (TWinControl)
pt | WMPaint (TWinControl)
pt | WMRButtonDBLCLK (TControl)
pt | WMRButtonDown (TControl)
pt | WMRButtonQuadCLK (TControl)
pt | WMRButtonTripleCLK (TControl)
pt | WMRButtonUp (TControl)
pt | WMSetFocus (TWinControl)
pt | WMShowWindow (TWinControl)
pt | WMSize (TControl)
pt | WMSize (TWinControl)
pt | WMSysChar (TWinControl)
pt | WMSysKeyDown (TWinControl)
pt | WMSysKeyUp (TWinControl)
pt | WMWindowPosChanged (TControl)
pt | WMWindowPosChanged (TWinControl)
pt | WMXButtonDBLCLK (TControl)
pt | WMXButtonDown (TControl)
pt | WMXButtonQuadCLK (TControl)
pt | WMXButtonTripleCLK (TControl)
pt | WMXButtonUp (TControl)
pt | WndProc (TControl)
pt | WndProc (TWinControl)
 | WriteLayoutDebugReport (TControl)
 | WriteLayoutDebugReport (TWinControl)
 | WriteLeft (TComponent)
 | WriteState (TComponent)
 | WriteTop (TComponent)
pt | WSRegisterClass (TLCLComponent)
pt | WSRegisterClass (TControl)
pt | WSRegisterClass (TWinControl)
pt | WSRegisterClass (TCustomScrollBar)
pt | WSSetText (TWinControl)
 | _AddRef (TComponent)
 | _Release (TComponent)


TCustomScrollBar
 | OnChange
 | OnScroll
TWinControl
pt | OnGetSiteInfo
pt | OnGetDockCaption
 | OnAlignInsertBefore
 | OnAlignPosition
 | OnDockDrop
 | OnDockOver
 | OnEnter
 | OnExit
 | OnKeyDown
 | OnKeyPress
 | OnKeyUp
 | OnUnDock
 | OnUTF8KeyPress
TControl
pt | OnConstrainedResize
pt | OnContextPopup
pt | OnDblClick
pt | OnTripleClick
pt | OnQuadClick
pt | OnDragDrop
pt | OnDragOver
pt | OnEndDock
pt | OnEndDrag
pt | OnMouseDown
pt | OnMouseMove
pt | OnMouseUp
pt | OnMouseEnter
pt | OnMouseLeave
pt | OnMouseWheel
pt | OnMouseWheelDown
pt | OnMouseWheelUp
pt | OnMouseWheelHorz
pt | OnMouseWheelLeft
pt | OnMouseWheelRight
pt | OnStartDock
pt | OnStartDrag
pt | OnEditingDone
 | OnChangeBounds
 | OnClick
 | OnResize
 | OnShowHint
TLCLComponent
TComponent
TPersistent
TObject


 | OnAlignInsertBefore (TWinControl)
 | OnAlignPosition (TWinControl)
 | OnChange (TCustomScrollBar)
 | OnChangeBounds (TControl)
 | OnClick (TControl)
pt | OnConstrainedResize (TControl)
pt | OnContextPopup (TControl)
pt | OnDblClick (TControl)
 | OnDockDrop (TWinControl)
 | OnDockOver (TWinControl)
pt | OnDragDrop (TControl)
pt | OnDragOver (TControl)
pt | OnEditingDone (TControl)
pt | OnEndDock (TControl)
pt | OnEndDrag (TControl)
 | OnEnter (TWinControl)
 | OnExit (TWinControl)
pt | OnGetDockCaption (TWinControl)
pt | OnGetSiteInfo (TWinControl)
 | OnKeyDown (TWinControl)
 | OnKeyPress (TWinControl)
 | OnKeyUp (TWinControl)
pt | OnMouseDown (TControl)
pt | OnMouseEnter (TControl)
pt | OnMouseLeave (TControl)
pt | OnMouseMove (TControl)
pt | OnMouseUp (TControl)
pt | OnMouseWheel (TControl)
pt | OnMouseWheelDown (TControl)
pt | OnMouseWheelHorz (TControl)
pt | OnMouseWheelLeft (TControl)
pt | OnMouseWheelRight (TControl)
pt | OnMouseWheelUp (TControl)
pt | OnQuadClick (TControl)
 | OnResize (TControl)
 | OnScroll (TCustomScrollBar)
 | OnShowHint (TControl)
pt | OnStartDock (TControl)
pt | OnStartDrag (TControl)
pt | OnTripleClick (TControl)
 | OnUnDock (TWinControl)
 | OnUTF8KeyPress (TWinControl)


TCustomScrollBar.CalculatePreferredSize

Declaration

Source position: stdctrls.pp line 97

protected procedure TCustomScrollBar.CalculatePreferredSize(

  var PreferredWidth: Integer;

  var PreferredHeight: Integer;

  WithThemeSpace: Boolean

); override;


TCustomScrollBar.Create

Declaration

Source position: stdctrls.pp line 100

public constructor TCustomScrollBar.Create(

  AOwner: TComponent

); override;


TCustomScrollBar.CreateParams

Declaration

Source position: stdctrls.pp line 93

protected procedure TCustomScrollBar.CreateParams(

  var Params: TCreateParams

); override;

Arguments

Params

The parameter list.


TCustomScrollBar.CreateWnd

CreateWnd - calls inherited CreateWnd then initialises various Scroll Info properties

Declaration

Source position: stdctrls.pp line 94

protected procedure TCustomScrollBar.CreateWnd; override;

Description

CreateWnd - calls inherited CreateWnd then initialises various Scroll Info properties

The inherited method creates the interface object, sets parameters and assigns the handle

Then the size of scrollbar, maximum and minimum values, page size and position of scrollbar are set

See also

TWinControl.CreateWnd

Creates the interface object (widget) and assigns it to Handle.


TCustomScrollBar.GetControlClassDefaultSize

Declaration

Source position: stdctrls.pp line 92

protected class function TCustomScrollBar.GetControlClassDefaultSize: TSize; override;


TCustomScrollBar.Kind

The scrollbar orientation, horizontal or vertical.

Declaration

Source position: stdctrls.pp line 104

public property TCustomScrollBar.Kind : TScrollBarKind
  read FKind
  write SetKind
  default sbHorizontal;


TCustomScrollBar.LargeChange

The distance to scroll on an click beneath the slider.

Declaration

Source position: stdctrls.pp line 105

public property TCustomScrollBar.LargeChange : TScrollBarInc
  read FLargeChange
  write FLargeChange
  default 1;

Description

A large change is produced by clicks on the blank area above or below the slider; it is rather analogous to the Page Down or Page Up functions of the Keyboard, and is typically set up to move the slider and the control contents by a full page (window size).


TCustomScrollBar.Max

The maximum value, for the bottom or rightmost position.

Declaration

Source position: stdctrls.pp line 106

public property TCustomScrollBar.Max : Integer
  read FMax
  write SetMax
  default 100;


TCustomScrollBar.Min

The minimum value, for the top or leftmost position.

Declaration

Source position: stdctrls.pp line 107

public property TCustomScrollBar.Min : Integer
  read FMin
  write SetMin
  default 0;


TCustomScrollBar.OnChange

Event handler for any change of the Position.

Declaration

Source position: stdctrls.pp line 112

public property TCustomScrollBar.OnChange : TNotifyEvent
  read FOnChange
  write FOnChange;

See also

TCustomScrollBar.OnScroll

Handler for a scrolling event by mouse, keyboard or code.


TCustomScrollBar.OnScroll

Handler for a scrolling event by mouse, keyboard or code.

Declaration

Source position: stdctrls.pp line 113

public property TCustomScrollBar.OnScroll : TScrollEvent
  read FOnScroll
  write FOnScroll;

Description

The handler can override the new position, based on the scrolling parameters.


TCustomScrollBar.PageSize

The size of the slider, relative to the total scroll range.

Declaration

Source position: stdctrls.pp line 108

public property TCustomScrollBar.PageSize : Integer
  read FPageSize
  write SetPageSize;


TCustomScrollBar.Position

The position value of the slider in the ScrollBar.

Declaration

Source position: stdctrls.pp line 109

public property TCustomScrollBar.Position : Integer
  read FPosition
  write SetPosition
  default 0;


TCustomScrollBar.SetParams

Defines the Max and Min values, the size of the page and the position of the scroller

Declaration

Source position: stdctrls.pp line 101

public procedure TCustomScrollBar.SetParams(

  APosition: Integer;

  AMin: Integer;

  AMax: Integer;

  APageSize: Integer

);

procedure TCustomScrollBar.SetParams(

  APosition: Integer;

  AMin: Integer;

  AMax: Integer

);


TCustomScrollBar.SmallChange

The distance to scroll on an click on the up/down buttons.

Declaration

Source position: stdctrls.pp line 110

public property TCustomScrollBar.SmallChange : TScrollBarInc
  read FSmallChange
  write FSmallChange
  default 1;

Description

A small change occurs when the up or down buttons are clicked, or by up/down keyboard commands. It is typically used for scrolling by a few pixels, or by a single row or column of text.


TCustomStaticText

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

The base class for TStaticText.

Declaration

Source position: stdctrls.pp line 1056

type TCustomStaticText = class(TWinControl)
protected
class procedure WSRegisterClass; override; | Registers this component class with the current WidgetSet.
function GetLabelText; virtual; | Returns the Caption of the control.
procedure RealSetText(); override;
procedure Notification(); override; | Notification handler for insertion or deletion of components.
procedure SetFocusControl(); virtual;
procedure SetShowAccelChar(); virtual;
function DialogChar(); override; | Do something useful with accelerators etc.
class function GetControlClassDefaultSize; override; | Returns the default size for this class of controls (when added to a form).
public
constructor Create(); override;
property Alignment: TAlignment; [rw] | The horizontal adjustment of the text - centered, left- or right-justified.
property BorderStyle: TStaticBorderStyle; [rw] | The border shown around the control.
property FocusControl: TWinControl; [rw] | The control that shall receive the focus instead of this control.
property ShowAccelChar: Boolean; [rw] | Makes the accelerator character stand out (underlined) of the displayed text.
property Transparent: Boolean; [rw] | Makes the control either opaque or transparent.
end;

Inheritance

TCustomStaticText | The base class for TStaticText.
|
TWinControl | The base class for controls which can contain other (child) controls.
|
TControl | The base class for visible controls.
|
TLCLComponent | The base class for LCL components associated with widgets.
|
TComponent,IUnknown,IInterfaceComponentReference
|
TPersistent,IFPObserved
|
TObject


TCustomStaticText
 |  | Alignment
 |  | BorderStyle
 |  | FocusControl
 |  | ShowAccelChar
 |  | Transparent
TWinControl
pt |  | WindowHandle
pt |  | BorderStyle
pt |  | ParentBackground
 |  | BorderWidth
 | ro | BoundsLockCount
 | ro | Brush
 | ro | CachedClientHeight
 | ro | CachedClientWidth
 |  | ChildSizing
 | ro | ControlCount
 | ro | Controls
 |  | DefWndProc
 | ro | DockClientCount
 | ro | DockClients
 |  | DockManager
 |  | DockSite
 |  | DoubleBuffered
 |  | Handle
 | ro | IsFlipped
 | ro | IsResizing
 |  | TabOrder
 |  | TabStop
 |  | ParentDoubleBuffered
 |  | ParentWindow
 | ro | Showing
 |  | UseDockManager
 |  | DesignerDeleting
 | ro | VisibleDockClientCount
TControl
pt | ro | AutoSizing
pt | ro | AutoSizingAll
pt | ro | AutoSizingLockCount
pt |  | ActionLink
pt |  | DesktopFont
pt |  | DragCursor
pt |  | DragKind
pt |  | DragMode
pt |  | MouseCapture
pt |  | ParentColor
pt |  | ParentFont
pt |  | ParentShowHint
pt |  | SessionProperties
pt |  | Text
 | ro | AnchoredControls
 | ro | BaseBounds
 | ro | ReadBounds
 | ro | BaseParentClientSize
 |  | AccessibleDescription
 |  | AccessibleValue
 |  | AccessibleRole
 |  | Action
 |  | Align
 |  | Anchors
 | ro | AnchorSide
 |  | AutoSize
 |  | BorderSpacing
 |  | BoundsRect
 |  | BoundsRectForNewParent
 |  | Caption
 |  | CaptureMouseButtons
 |  | ClientHeight
 | ro | ClientOrigin
 | ro | ClientRect
 |  | ClientWidth
 |  | Color
 |  | Constraints
 | ro | ControlOrigin
 |  | ControlState
 |  | ControlStyle
 |  | Enabled
 |  | Font
 |  | IsControl
 | ro | MouseEntered
 | ro | MouseInClient
 |  | Parent
 |  | PopupMenu
 |  | ShowHint
 |  | Visible
 |  | WindowProc
 |  | DockOrientation
 | ro | Floating
 |  | FloatingDockSiteClass
 |  | HostDockSite
 |  | LRDockWidth
 |  | TBDockHeight
 |  | UndockHeight
 |  | UndockWidth
 |  | BiDiMode
 |  | ParentBiDiMode
pl |  | AnchorSideLeft
pl |  | AnchorSideTop
pl |  | AnchorSideRight
pl |  | AnchorSideBottom
pl |  | Cursor
pl |  | Left
pl |  | Height
pl |  | Hint
pl |  | Top
pl |  | Width
pl |  | HelpType
pl |  | HelpKeyword
pl |  | HelpContext
TLCLComponent
 | ro | LCLRefCount
 | ro | WidgetSetClass
TComponent
 | ro | ComObject
 | ro | Components
 | ro | ComponentCount
 |  | ComponentIndex
 | ro | ComponentState
 | ro | ComponentStyle
 |  | DesignInfo
 | ro | Owner
 |  | VCLComObject
 |  | Name
 |  | Tag
TPersistent
TObject


 |  | AccessibleDescription (TControl)
 |  | AccessibleRole (TControl)
 |  | AccessibleValue (TControl)
 |  | Action (TControl)
pt |  | ActionLink (TControl)
 |  | Align (TControl)
 |  | Alignment (TCustomStaticText)
 | ro | AnchoredControls (TControl)
 |  | Anchors (TControl)
 | ro | AnchorSide (TControl)
pl |  | AnchorSideBottom (TControl)
pl |  | AnchorSideLeft (TControl)
pl |  | AnchorSideRight (TControl)
pl |  | AnchorSideTop (TControl)
 |  | AutoSize (TControl)
pt | ro | AutoSizing (TControl)
pt | ro | AutoSizingAll (TControl)
pt | ro | AutoSizingLockCount (TControl)
 | ro | BaseBounds (TControl)
 | ro | BaseParentClientSize (TControl)
 |  | BiDiMode (TControl)
 |  | BorderSpacing (TControl)
pt |  | BorderStyle (TWinControl)
 |  | BorderStyle (TCustomStaticText)
 |  | BorderWidth (TWinControl)
 | ro | BoundsLockCount (TWinControl)
 |  | BoundsRect (TControl)
 |  | BoundsRectForNewParent (TControl)
 | ro | Brush (TWinControl)
 | ro | CachedClientHeight (TWinControl)
 | ro | CachedClientWidth (TWinControl)
 |  | Caption (TControl)
 |  | CaptureMouseButtons (TControl)
 |  | ChildSizing (TWinControl)
 |  | ClientHeight (TControl)
 | ro | ClientOrigin (TControl)
 | ro | ClientRect (TControl)
 |  | ClientWidth (TControl)
 |  | Color (TControl)
 | ro | ComObject (TComponent)
 | ro | ComponentCount (TComponent)
 |  | ComponentIndex (TComponent)
 | ro | Components (TComponent)
 | ro | ComponentState (TComponent)
 | ro | ComponentStyle (TComponent)
 |  | Constraints (TControl)
 | ro | ControlCount (TWinControl)
 | ro | ControlOrigin (TControl)
 | ro | Controls (TWinControl)
 |  | ControlState (TControl)
 |  | ControlStyle (TControl)
pl |  | Cursor (TControl)
 |  | DefWndProc (TWinControl)
 |  | DesignerDeleting (TWinControl)
 |  | DesignInfo (TComponent)
pt |  | DesktopFont (TControl)
 | ro | DockClientCount (TWinControl)
 | ro | DockClients (TWinControl)
 |  | DockManager (TWinControl)
 |  | DockOrientation (TControl)
 |  | DockSite (TWinControl)
 |  | DoubleBuffered (TWinControl)
pt |  | DragCursor (TControl)
pt |  | DragKind (TControl)
pt |  | DragMode (TControl)
 |  | Enabled (TControl)
 | ro | Floating (TControl)
 |  | FloatingDockSiteClass (TControl)
 |  | FocusControl (TCustomStaticText)
 |  | Font (TControl)
 |  | Handle (TWinControl)
pl |  | Height (TControl)
pl |  | HelpContext (TControl)
pl |  | HelpKeyword (TControl)
pl |  | HelpType (TControl)
pl |  | Hint (TControl)
 |  | HostDockSite (TControl)
 |  | IsControl (TControl)
 | ro | IsFlipped (TWinControl)
 | ro | IsResizing (TWinControl)
 | ro | LCLRefCount (TLCLComponent)
pl |  | Left (TControl)
 |  | LRDockWidth (TControl)
pt |  | MouseCapture (TControl)
 | ro | MouseEntered (TControl)
 | ro | MouseInClient (TControl)
 |  | Name (TComponent)
 | ro | Owner (TComponent)
 |  | Parent (TControl)
pt |  | ParentBackground (TWinControl)
 |  | ParentBiDiMode (TControl)
pt |  | ParentColor (TControl)
 |  | ParentDoubleBuffered (TWinControl)
pt |  | ParentFont (TControl)
pt |  | ParentShowHint (TControl)
 |  | ParentWindow (TWinControl)
 |  | PopupMenu (TControl)
 | ro | ReadBounds (TControl)
pt |  | SessionProperties (TControl)
 |  | ShowAccelChar (TCustomStaticText)
 |  | ShowHint (TControl)
 | ro | Showing (TWinControl)
 |  | TabOrder (TWinControl)
 |  | TabStop (TWinControl)
 |  | Tag (TComponent)
 |  | TBDockHeight (TControl)
pt |  | Text (TControl)
pl |  | Top (TControl)
 |  | Transparent (TCustomStaticText)
 |  | UndockHeight (TControl)
 |  | UndockWidth (TControl)
 |  | UseDockManager (TWinControl)
 |  | VCLComObject (TComponent)
 |  | Visible (TControl)
 | ro | VisibleDockClientCount (TWinControl)
 | ro | WidgetSetClass (TLCLComponent)
pl |  | Width (TControl)
pt |  | WindowHandle (TWinControl)
 |  | WindowProc (TControl)


TCustomStaticText
pt | WSRegisterClass
pt | GetLabelText
pt | RealSetText
pt | Notification
pt | SetFocusControl
pt | SetShowAccelChar
pt | DialogChar
pt | GetControlClassDefaultSize
 | Create
TWinControl
pt | WSRegisterClass
pt | AdjustClientRect
pt | GetAdjustedLogicalClientRect
pt | AlignControls
pt | CustomAlignInsertBefore
pt | CustomAlignPosition
pt | DoAlignChildControls
pt | DoChildSizingChange
pt | InvalidatePreferredChildSizes
pt | CanTab
pt | IsClientHeightStored
pt | IsClientWidthStored
pt | DoSendShowHideToInterface
pt | ControlsAligned
pt | DoSendBoundsToInterface
pt | RealizeBounds
pt | RealizeBoundsRecursive
pt | InvalidateBoundsRealized
pt | CreateSubClass
pt | DoConstraintsChange
pt | DoSetBounds
pt | DoAutoSize
pt | DoAllAutoSize
pt | AllAutoSized
pt | CalculatePreferredSize
pt | GetPreferredSizeClientFrame
pt | GetChildren
pt | ChildClassAllowed
pt | PaintControls
pt | PaintHandler
pt | PaintWindow
pt | CreateBrush
pt | ScaleControls
pt | ChangeScale
pt | CMBiDiModeChanged
pt | CMBorderChanged
pt | CMDoubleBufferedChanged
pt | CMEnabledChanged
pt | CMParentDoubleBufferedChanged
pt | CMShowingChanged
pt | CMShowHintChanged
pt | CMVisibleChanged
pt | CMEnter
pt | CMExit
pt | WMContextMenu
pt | WMEraseBkgnd
pt | WMNotify
pt | WMSetFocus
pt | WMKillFocus
pt | WMShowWindow
pt | WMEnter
pt | WMExit
pt | WMKeyDown
pt | WMSysKeyDown
pt | WMKeyUp
pt | WMSysKeyUp
pt | WMChar
pt | WMSysChar
pt | WMPaint
pt | WMDestroy
pt | WMMove
pt | WMSize
pt | WMWindowPosChanged
pt | CNKeyDown
pt | CNSysKeyDown
pt | CNKeyUp
pt | CNSysKeyUp
pt | CNChar
pt | DoDragMsg
pt | DoDockClientMsg
pt | DoUndockClientMsg
pt | DoAddDockClient
pt | DockOver
pt | DoDockOver
pt | DoRemoveDockClient
pt | DoUnDock
pt | GetSiteInfo
pt | GetParentHandle
pt | GetTopParentHandle
pt | ReloadDockedControl
pt | CreateDockManager
pt | SetDockManager
pt | DoFloatMsg
pt | DoGetDockCaption
pt | DoEnter
pt | DoExit
pt | DoKeyDownBeforeInterface
pt | DoRemainingKeyDown
pt | DoRemainingKeyUp
pt | DoKeyPress
pt | DoUTF8KeyPress
pt | DoKeyUpBeforeInterface
pt | ChildKey
pt | SendDialogChar
pt | DialogChar
pt | ControlKeyDown
pt | ControlKeyUp
pt | KeyDown
pt | KeyDownBeforeInterface
pt | KeyDownAfterInterface
pt | KeyPress
pt | KeyUp
pt | KeyUpBeforeInterface
pt | KeyUpAfterInterface
pt | UTF8KeyPress
pt | FindNextControl
pt | SelectFirst
pt | RealGetText
pt | GetBorderStyle
pt | GetClientOrigin
pt | GetClientRect
pt | GetControlOrigin
pt | GetDeviceContext
pt | GetParentBackground
pt | IsControlMouseMsg
pt | CreateHandle
pt | CreateParams
pt | CreateWnd
pt | DestroyHandle
pt | DestroyWnd
pt | DoFlipChildren
pt | FinalizeWnd
pt | FixupTabList
pt | FontChanged
pt | InitializeWnd
pt | Loaded
pt | FormEndUpdated
pt | MainWndProc
pt | ParentFormHandleInitialized
pt | ChildHandlesCreated
pt | GetMouseCapture
pt | RealSetText
pt | RemoveFocus
pt | SendMoveSizeMessages
pt | SetBorderStyle
pt | SetColor
pt | SetChildZPosition
pt | SetParentBackground
pt | ShowControl
pt | UpdateControlState
pt | UpdateShowing
pt | WndProc
pt | WSSetText
 | AutoSizePhases
 | AutoSizeDelayed
 | AutoSizeDelayedReport
 | AutoSizeDelayedHandle
 | BeginUpdateBounds
 | EndUpdateBounds
 | LockRealizeBounds
 | UnlockRealizeBounds
 | ControlAtPos
 | ContainsControl
 | DoAdjustClientRectChange
 | InvalidateClientRectCache
 | ClientRectNeedsInterfaceUpdate
 | SetBounds
 | GetChildrenRect
 | DisableAlign
 | EnableAlign
 | ReAlign
 | ScrollBy_WS
 | ScrollBy
 | WriteLayoutDebugReport
 | AutoAdjustLayout
 | Create
 | CreateParented
 | CreateParentedControl
 | Destroy
 | DockDrop
 | CanFocus
 | CanSetFocus
 | GetControlIndex
 | SetControlIndex
 | Focused
 | PerformTab
 | FindChildControl
 | SelectNext
 | SetTempCursor
 | BroadCast
 | NotifyControls
 | DefaultHandler
 | GetTextLen
 | Invalidate
 | AddControl
 | InsertControl
 | RemoveControl
 | GetEnumeratorControls
 | GetEnumeratorControlsReverse
 | Repaint
 | Update
 | SetFocus
 | FlipChildren
 | ScaleBy
 | GetDockCaption
 | UpdateDockCaption
 | GetTabOrderList
 | HandleAllocated
 | ParentHandlesAllocated
 | HandleNeeded
 | BrushCreated
 | EraseBackground
 | IntfUTF8KeyPress
 | IntfGetDropFilesTarget
 | PaintTo
 | SetShape
TControl
pt | WSRegisterClass
pt | GetCursor
pt | SetCursor
pt | SetVisible
pt | DoOnParentHandleDestruction
pt | DoAutoSize
pt | DoAllAutoSize
pt | BeginAutoSizing
pt | EndAutoSizing
pt | AnchorSideChanged
pt | ForeignAnchorSideChanged
pt | SetAlign
pt | SetAnchors
pt | SetAutoSize
pt | BoundsChanged
pt | CreateControlBorderSpacing
pt | DoConstraintsChange
pt | DoBorderSpacingChange
pt | IsBorderSpacingInnerBorderStored
pt | IsCaptionStored
pt | SendMoveSizeMessages
pt | ConstrainedResize
pt | CalculatePreferredSize
pt | DoOnResize
pt | DoOnChangeBounds
pt | CheckOnChangeBounds
pt | Resize
pt | RequestAlign
pt | UpdateAnchorRules
pt | ChangeBounds
pt | DoSetBounds
pt | ScaleConstraints
pt | ChangeScale
pt | CanAutoSize
pt | SetBiDiMode
pt | SetParentBiDiMode
pt | IsAParentAligning
pt | GetClientOrigin
pt | GetClientRect
pt | GetLogicalClientRect
pt | GetScrolledClientRect
pt | GetClientScrollOffset
pt | GetControlOrigin
pt | IsClientHeightStored
pt | IsClientWidthStored
pt | WidthIsAnchored
pt | HeightIsAnchored
pt | WMCancelMode
pt | WMContextMenu
pt | WMLButtonDown
pt | WMRButtonDown
pt | WMMButtonDown
pt | WMXButtonDown
pt | WMLButtonDBLCLK
pt | WMRButtonDBLCLK
pt | WMMButtonDBLCLK
pt | WMXButtonDBLCLK
pt | WMLButtonTripleCLK
pt | WMRButtonTripleCLK
pt | WMMButtonTripleCLK
pt | WMXButtonTripleCLK
pt | WMLButtonQuadCLK
pt | WMRButtonQuadCLK
pt | WMMButtonQuadCLK
pt | WMXButtonQuadCLK
pt | WMMouseMove
pt | WMLButtonUp
pt | WMRButtonUp
pt | WMMButtonUp
pt | WMXButtonUp
pt | WMMouseWheel
pt | WMMouseHWheel
pt | WMMove
pt | WMSize
pt | WMWindowPosChanged
pt | CMChanged
pt | LMCaptureChanged
pt | CMBiDiModeChanged
pt | CMSysFontChanged
pt | CMEnabledChanged
pt | CMHitTest
pt | CMMouseEnter
pt | CMMouseLeave
pt | CMHintShow
pt | CMParentBiDiModeChanged
pt | CMParentColorChanged
pt | CMParentFontChanged
pt | CMParentShowHintChanged
pt | CMVisibleChanged
pt | CMTextChanged
pt | CMCursorChanged
pt | CalculateDockSizes
pt | CreateFloatingDockSite
pt | GetDockEdge
pt | GetDragImages
pt | GetFloating
pt | GetFloatingDockSiteClass
pt | BeforeDragStart
pt | BeginAutoDrag
pt | DoFloatMsg
pt | DockTrackNoTarget
pt | DoDock
pt | DoDragMsg
pt | DoEndDock
pt | DoEndDrag
pt | DoStartDock
pt | DoStartDrag
pt | DragCanceled
pt | DragOver
pt | PositionDockRect
pt | SetDragMode
pt | GetDefaultDockCaption
pt | Click
pt | DblClick
pt | TripleClick
pt | QuadClick
pt | GetMousePosFromMessage
pt | MouseDown
pt | MouseMove
pt | MouseUp
pt | MouseEnter
pt | MouseLeave
pt | DialogChar
pt | UpdateMouseCursor
pt | Changed
pt | GetPalette
pt | ChildClassAllowed
pt | ReadState
pt | Loaded
pt | LoadedAll
pt | DefineProperties
pt | AssignTo
pt | FormEndUpdated
pt | InvalidateControl
pt | FontChanged
pt | ParentFontChanged
pt | GetAction
pt | RealGetText
pt | RealSetText
pt | TextChanged
pt | GetCachedText
pt | SetAction
pt | SetColor
pt | SetEnabled
pt | SetHint
pt | SetName
pt | SetParent
pt | SetParentComponent
pt | WndProc
pt | ParentFormHandleInitialized
pt | GetMouseCapture
pt | CaptureChanged
pt | Notification
pt | CanTab
pt | GetDeviceContext
pt | GetEnabled
pt | GetPopupMenu
pt | DoOnShowHint
pt | DoMouseWheel
pt | DoMouseWheelDown
pt | DoMouseWheelUp
pt | DoMouseWheelHorz
pt | DoMouseWheelLeft
pt | DoMouseWheelRight
pt | VisibleChanging
pt | VisibleChanged
pt | EnabledChanging
pt | EnabledChanged
pt | AddHandler
pt | RemoveHandler
pt | DoCallNotifyHandler
pt | DoCallKeyEventHandler
pt | DoCallMouseWheelEventHandler
pt | DoContextPopup
pt | SetZOrder
pt | GetControlClassDefaultSize
pt | ColorIsStored
pt | DoAutoAdjustLayout
pt | DoFixDesignFontPPI
pt | DoScaleFontPPI
pt | GetActionLinkClass
pt | ActionChange
 | DragDrop
 | Dock
 | ManualDock
 | ManualFloat
 | ReplaceDockedControl
 | Docked
 | Dragging
 | GetAccessibleObject
 | CreateAccessibleObject
 | GetSelectedChildAccessibleObject
 | GetChildAccessibleObjectAtPos
 | ScaleDesignToForm
 | ScaleFormToDesign
 | Scale96ToForm
 | ScaleFormTo96
 | Scale96ToFont
 | ScaleFontTo96
 | ScaleScreenToFont
 | ScaleFontToScreen
 | Scale96ToScreen
 | ScaleScreenTo96
 | AdjustSize
 | AutoSizePhases
 | AutoSizeDelayed
 | AutoSizeDelayedReport
 | AutoSizeDelayedHandle
 | AnchorToNeighbour
 | AnchorParallel
 | AnchorHorizontalCenterTo
 | AnchorVerticalCenterTo
 | AnchorToCompanion
 | AnchorSame
 | AnchorAsAlign
 | AnchorClient
 | AnchoredControlCount
 | SetBounds
 | SetInitialBounds
 | SetBoundsKeepBase
 | GetPreferredSize
 | GetCanvasScaleFactor
 | GetDefaultWidth
 | GetDefaultHeight
 | GetDefaultColor
 | GetColorResolvingParent
 | GetRGBColorResolvingParent
 | GetSidePosition
 | CNPreferredSizeChanged
 | InvalidatePreferredSize
 | GetAnchorsDependingOnParent
 | DisableAutoSizing
 | EnableAutoSizing
 | UpdateBaseBounds
 | WriteLayoutDebugReport
 | AutoAdjustLayout
 | ShouldAutoAdjust
 | FixDesignFontsPPI
 | ScaleFontsPPI
 | Create
 | Destroy
 | BeforeDestruction
 | EditingDone
 | ExecuteDefaultAction
 | ExecuteCancelAction
 | BeginDrag
 | EndDrag
 | BringToFront
 | HasParent
 | GetParentComponent
 | IsParentOf
 | GetTopParent
 | IsVisible
 | IsControlVisible
 | IsEnabled
 | IsParentColor
 | IsParentFont
 | FormIsUpdating
 | IsProcessingPaintMsg
 | Hide
 | Refresh
 | Repaint
 | Invalidate
 | CheckChildClassAllowed
 | CheckNewParent
 | SendToBack
 | SetTempCursor
 | UpdateRolesForForm
 | ActiveDefaultControlChanged
 | GetTextBuf
 | GetTextLen
 | SetTextBuf
 | Perform
 | ScreenToClient
 | ClientToScreen
 | ScreenToControl
 | ControlToScreen
 | ClientToParent
 | ParentToClient
 | GetChildrenRect
 | Show
 | Update
 | HandleObjectShouldBeVisible
 | ParentDestroyingHandle
 | ParentHandlesAllocated
 | InitiateAction
 | ShowHelp
 | HasHelp
 | RemoveAllHandlersOfObject
 | AddHandlerOnResize
 | RemoveHandlerOnResize
 | AddHandlerOnChangeBounds
 | RemoveHandlerOnChangeBounds
 | AddHandlerOnVisibleChanging
 | RemoveHandlerOnVisibleChanging
 | AddHandlerOnVisibleChanged
 | RemoveHandlerOnVisibleChanged
 | AddHandlerOnEnabledChanged
 | RemoveHandlerOnEnableChanging
 | AddHandlerOnKeyDown
 | RemoveHandlerOnKeyDown
 | AddHandlerOnBeforeDestruction
 | RemoveHandlerOnBeforeDestruction
 | AddHandlerOnMouseWheel
 | RemoveHandlerOnMouseWheel
 | UseRightToLeftAlignment
 | UseRightToLeftReading
 | UseRightToLeftScrollBar
 | IsRightToLeft
TLCLComponent
pt | WSRegisterClass
pt | GetWSComponentClass
 | Create
 | Destroy
 | NewInstance
 | RemoveAllHandlersOfObject
 | IncLCLRefCount
 | DecLCLRefCount
TComponent
 | GetComObject
 | GetComponent
 | GetComponentCount
 | GetComponentIndex
 | Insert
 | ReadLeft
 | ReadTop
 | Remove
 | RemoveNotification
 | SetComponentIndex
 | SetReference
 | WriteLeft
 | WriteTop
 | ChangeName
 | DefineProperties
 | GetChildren
 | GetChildOwner
 | GetChildParent
 | GetOwner
 | Loaded
 | Loading
 | Notification
 | PaletteCreated
 | ReadState
 | SetAncestor
 | SetDesigning
 | SetDesignInstance
 | SetInline
 | SetName
 | SetChildOrder
 | SetParentComponent
 | Updating
 | Updated
 | UpdateRegistry
 | ValidateRename
 | ValidateContainer
 | ValidateInsert
 | QueryInterface
 | _AddRef
 | _Release
 | iicrGetComponent
 | GetTypeInfoCount
 | GetTypeInfo
 | GetIDsOfNames
 | Invoke
 | WriteState
 | Create
 | Destroy
 | BeforeDestruction
 | DestroyComponents
 | Destroying
 | ExecuteAction
 | FindComponent
 | FreeNotification
 | RemoveFreeNotification
 | FreeOnRelease
 | GetEnumerator
 | GetNamePath
 | GetParentComponent
 | HasParent
 | InsertComponent
 | RemoveComponent
 | SafeCallException
 | SetSubComponent
 | UpdateAction
 | IsImplementorOf
 | ReferenceInterface
TPersistent
 | AssignError
 | AssignTo
 | DefineProperties
 | GetOwner
 | Destroy
 | Assign
 | FPOAttachObserver
 | FPODetachObserver
 | FPONotifyObservers
 | GetNamePath
TObject
 | Create
 | Destroy
 | newinstance
 | FreeInstance
 | SafeCallException
 | DefaultHandler
 | Free
 | InitInstance
 | CleanupInstance
 | ClassType
 | ClassInfo
 | ClassName
 | ClassNameIs
 | ClassParent
 | InstanceSize
 | InheritsFrom
 | StringMessageTable
 | MethodAddress
 | MethodName
 | FieldAddress
 | AfterConstruction
 | BeforeDestruction
 | DefaultHandlerStr
 | Dispatch
 | DispatchStr
 | GetInterface
 | GetInterfaceByStr
 | GetInterfaceWeak
 | GetInterfaceEntry
 | GetInterfaceEntryByStr
 | GetInterfaceTable
 | UnitName
 | Equals
 | GetHashCode
 | ToString


pt | ActionChange (TControl)
 | ActiveDefaultControlChanged (TControl)
 | AddControl (TWinControl)
pt | AddHandler (TControl)
 | AddHandlerOnBeforeDestruction (TControl)
 | AddHandlerOnChangeBounds (TControl)
 | AddHandlerOnEnabledChanged (TControl)
 | AddHandlerOnKeyDown (TControl)
 | AddHandlerOnMouseWheel (TControl)
 | AddHandlerOnResize (TControl)
 | AddHandlerOnVisibleChanged (TControl)
 | AddHandlerOnVisibleChanging (TControl)
pt | AdjustClientRect (TWinControl)
 | AdjustSize (TControl)
 | AfterConstruction (TObject)
pt | AlignControls (TWinControl)
pt | AllAutoSized (TWinControl)
 | AnchorAsAlign (TControl)
 | AnchorClient (TControl)
 | AnchoredControlCount (TControl)
 | AnchorHorizontalCenterTo (TControl)
 | AnchorParallel (TControl)
 | AnchorSame (TControl)
pt | AnchorSideChanged (TControl)
 | AnchorToCompanion (TControl)
 | AnchorToNeighbour (TControl)
 | AnchorVerticalCenterTo (TControl)
 | Assign (TPersistent)
 | AssignError (TPersistent)
 | AssignTo (TPersistent)
pt | AssignTo (TControl)
 | AutoAdjustLayout (TControl)
 | AutoAdjustLayout (TWinControl)
 | AutoSizeDelayed (TControl)
 | AutoSizeDelayed (TWinControl)
 | AutoSizeDelayedHandle (TControl)
 | AutoSizeDelayedHandle (TWinControl)
 | AutoSizeDelayedReport (TControl)
 | AutoSizeDelayedReport (TWinControl)
 | AutoSizePhases (TControl)
 | AutoSizePhases (TWinControl)
 | BeforeDestruction (TObject)
 | BeforeDestruction (TComponent)
 | BeforeDestruction (TControl)
pt | BeforeDragStart (TControl)
pt | BeginAutoDrag (TControl)
pt | BeginAutoSizing (TControl)
 | BeginDrag (TControl)
 | BeginUpdateBounds (TWinControl)
pt | BoundsChanged (TControl)
 | BringToFront (TControl)
 | BroadCast (TWinControl)
 | BrushCreated (TWinControl)
pt | CalculateDockSizes (TControl)
pt | CalculatePreferredSize (TControl)
pt | CalculatePreferredSize (TWinControl)
pt | CanAutoSize (TControl)
 | CanFocus (TWinControl)
 | CanSetFocus (TWinControl)
pt | CanTab (TControl)
pt | CanTab (TWinControl)
pt | CaptureChanged (TControl)
pt | ChangeBounds (TControl)
pt | Changed (TControl)
 | ChangeName (TComponent)
pt | ChangeScale (TControl)
pt | ChangeScale (TWinControl)
 | CheckChildClassAllowed (TControl)
 | CheckNewParent (TControl)
pt | CheckOnChangeBounds (TControl)
pt | ChildClassAllowed (TControl)
pt | ChildClassAllowed (TWinControl)
pt | ChildHandlesCreated (TWinControl)
pt | ChildKey (TWinControl)
 | ClassInfo (TObject)
 | ClassName (TObject)
 | ClassNameIs (TObject)
 | ClassParent (TObject)
 | ClassType (TObject)
 | CleanupInstance (TObject)
pt | Click (TControl)
 | ClientRectNeedsInterfaceUpdate (TWinControl)
 | ClientToParent (TControl)
 | ClientToScreen (TControl)
pt | CMBiDiModeChanged (TControl)
pt | CMBiDiModeChanged (TWinControl)
pt | CMBorderChanged (TWinControl)
pt | CMChanged (TControl)
pt | CMCursorChanged (TControl)
pt | CMDoubleBufferedChanged (TWinControl)
pt | CMEnabledChanged (TControl)
pt | CMEnabledChanged (TWinControl)
pt | CMEnter (TWinControl)
pt | CMExit (TWinControl)
pt | CMHintShow (TControl)
pt | CMHitTest (TControl)
pt | CMMouseEnter (TControl)
pt | CMMouseLeave (TControl)
pt | CMParentBiDiModeChanged (TControl)
pt | CMParentColorChanged (TControl)
pt | CMParentDoubleBufferedChanged (TWinControl)
pt | CMParentFontChanged (TControl)
pt | CMParentShowHintChanged (TControl)
pt | CMShowHintChanged (TWinControl)
pt | CMShowingChanged (TWinControl)
pt | CMSysFontChanged (TControl)
pt | CMTextChanged (TControl)
pt | CMVisibleChanged (TControl)
pt | CMVisibleChanged (TWinControl)
pt | CNChar (TWinControl)
pt | CNKeyDown (TWinControl)
pt | CNKeyUp (TWinControl)
 | CNPreferredSizeChanged (TControl)
pt | CNSysKeyDown (TWinControl)
pt | CNSysKeyUp (TWinControl)
pt | ColorIsStored (TControl)
pt | ConstrainedResize (TControl)
 | ContainsControl (TWinControl)
 | ControlAtPos (TWinControl)
pt | ControlKeyDown (TWinControl)
pt | ControlKeyUp (TWinControl)
pt | ControlsAligned (TWinControl)
 | ControlToScreen (TControl)
 | Create (TObject)
 | Create (TComponent)
 | Create (TLCLComponent)
 | Create (TControl)
 | Create (TWinControl)
 | Create (TCustomStaticText)
 | CreateAccessibleObject (TControl)
pt | CreateBrush (TWinControl)
pt | CreateControlBorderSpacing (TControl)
pt | CreateDockManager (TWinControl)
pt | CreateFloatingDockSite (TControl)
pt | CreateHandle (TWinControl)
pt | CreateParams (TWinControl)
 | CreateParented (TWinControl)
 | CreateParentedControl (TWinControl)
pt | CreateSubClass (TWinControl)
pt | CreateWnd (TWinControl)
pt | CustomAlignInsertBefore (TWinControl)
pt | CustomAlignPosition (TWinControl)
pt | DblClick (TControl)
 | DecLCLRefCount (TLCLComponent)
 | DefaultHandler (TObject)
 | DefaultHandler (TWinControl)
 | DefaultHandlerStr (TObject)
 | DefineProperties (TPersistent)
 | DefineProperties (TComponent)
pt | DefineProperties (TControl)
 | Destroy (TObject)
 | Destroy (TPersistent)
 | Destroy (TComponent)
 | Destroy (TLCLComponent)
 | Destroy (TControl)
 | Destroy (TWinControl)
 | DestroyComponents (TComponent)
pt | DestroyHandle (TWinControl)
 | Destroying (TComponent)
pt | DestroyWnd (TWinControl)
pt | DialogChar (TControl)
pt | DialogChar (TWinControl)
pt | DialogChar (TCustomStaticText)
 | DisableAlign (TWinControl)
 | DisableAutoSizing (TControl)
 | Dispatch (TObject)
 | DispatchStr (TObject)
pt | DoAddDockClient (TWinControl)
 | DoAdjustClientRectChange (TWinControl)
pt | DoAlignChildControls (TWinControl)
pt | DoAllAutoSize (TControl)
pt | DoAllAutoSize (TWinControl)
pt | DoAutoAdjustLayout (TControl)
pt | DoAutoSize (TControl)
pt | DoAutoSize (TWinControl)
pt | DoBorderSpacingChange (TControl)
pt | DoCallKeyEventHandler (TControl)
pt | DoCallMouseWheelEventHandler (TControl)
pt | DoCallNotifyHandler (TControl)
pt | DoChildSizingChange (TWinControl)
 | Dock (TControl)
 | DockDrop (TWinControl)
 | Docked (TControl)
pt | DockOver (TWinControl)
pt | DockTrackNoTarget (TControl)
pt | DoConstraintsChange (TControl)
pt | DoConstraintsChange (TWinControl)
pt | DoContextPopup (TControl)
pt | DoDock (TControl)
pt | DoDockClientMsg (TWinControl)
pt | DoDockOver (TWinControl)
pt | DoDragMsg (TControl)
pt | DoDragMsg (TWinControl)
pt | DoEndDock (TControl)
pt | DoEndDrag (TControl)
pt | DoEnter (TWinControl)
pt | DoExit (TWinControl)
pt | DoFixDesignFontPPI (TControl)
pt | DoFlipChildren (TWinControl)
pt | DoFloatMsg (TControl)
pt | DoFloatMsg (TWinControl)
pt | DoGetDockCaption (TWinControl)
pt | DoKeyDownBeforeInterface (TWinControl)
pt | DoKeyPress (TWinControl)
pt | DoKeyUpBeforeInterface (TWinControl)
pt | DoMouseWheel (TControl)
pt | DoMouseWheelDown (TControl)
pt | DoMouseWheelHorz (TControl)
pt | DoMouseWheelLeft (TControl)
pt | DoMouseWheelRight (TControl)
pt | DoMouseWheelUp (TControl)
pt | DoOnChangeBounds (TControl)
pt | DoOnParentHandleDestruction (TControl)
pt | DoOnResize (TControl)
pt | DoOnShowHint (TControl)
pt | DoRemainingKeyDown (TWinControl)
pt | DoRemainingKeyUp (TWinControl)
pt | DoRemoveDockClient (TWinControl)
pt | DoScaleFontPPI (TControl)
pt | DoSendBoundsToInterface (TWinControl)
pt | DoSendShowHideToInterface (TWinControl)
pt | DoSetBounds (TControl)
pt | DoSetBounds (TWinControl)
pt | DoStartDock (TControl)
pt | DoStartDrag (TControl)
pt | DoUnDock (TWinControl)
pt | DoUndockClientMsg (TWinControl)
pt | DoUTF8KeyPress (TWinControl)
pt | DragCanceled (TControl)
 | DragDrop (TControl)
 | Dragging (TControl)
pt | DragOver (TControl)
 | EditingDone (TControl)
 | EnableAlign (TWinControl)
 | EnableAutoSizing (TControl)
pt | EnabledChanged (TControl)
pt | EnabledChanging (TControl)
pt | EndAutoSizing (TControl)
 | EndDrag (TControl)
 | EndUpdateBounds (TWinControl)
 | Equals (TObject)
 | EraseBackground (TWinControl)
 | ExecuteAction (TComponent)
 | ExecuteCancelAction (TControl)
 | ExecuteDefaultAction (TControl)
 | FieldAddress (TObject)
pt | FinalizeWnd (TWinControl)
 | FindChildControl (TWinControl)
 | FindComponent (TComponent)
pt | FindNextControl (TWinControl)
 | FixDesignFontsPPI (TControl)
pt | FixupTabList (TWinControl)
 | FlipChildren (TWinControl)
 | Focused (TWinControl)
pt | FontChanged (TControl)
pt | FontChanged (TWinControl)
pt | ForeignAnchorSideChanged (TControl)
pt | FormEndUpdated (TControl)
pt | FormEndUpdated (TWinControl)
 | FormIsUpdating (TControl)
 | FPOAttachObserver (TPersistent)
 | FPODetachObserver (TPersistent)
 | FPONotifyObservers (TPersistent)
 | Free (TObject)
 | FreeInstance (TObject)
 | FreeNotification (TComponent)
 | FreeOnRelease (TComponent)
 | GetAccessibleObject (TControl)
pt | GetAction (TControl)
pt | GetActionLinkClass (TControl)
pt | GetAdjustedLogicalClientRect (TWinControl)
 | GetAnchorsDependingOnParent (TControl)
pt | GetBorderStyle (TWinControl)
pt | GetCachedText (TControl)
 | GetCanvasScaleFactor (TControl)
 | GetChildAccessibleObjectAtPos (TControl)
 | GetChildOwner (TComponent)
 | GetChildParent (TComponent)
 | GetChildren (TComponent)
pt | GetChildren (TWinControl)
 | GetChildrenRect (TControl)
 | GetChildrenRect (TWinControl)
pt | GetClientOrigin (TControl)
pt | GetClientOrigin (TWinControl)
pt | GetClientRect (TControl)
pt | GetClientRect (TWinControl)
pt | GetClientScrollOffset (TControl)
 | GetColorResolvingParent (TControl)
 | GetComObject (TComponent)
 | GetComponent (TComponent)
 | GetComponentCount (TComponent)
 | GetComponentIndex (TComponent)
pt | GetControlClassDefaultSize (TControl)
pt | GetControlClassDefaultSize (TCustomStaticText)
 | GetControlIndex (TWinControl)
pt | GetControlOrigin (TControl)
pt | GetControlOrigin (TWinControl)
pt | GetCursor (TControl)
 | GetDefaultColor (TControl)
pt | GetDefaultDockCaption (TControl)
 | GetDefaultHeight (TControl)
 | GetDefaultWidth (TControl)
pt | GetDeviceContext (TControl)
pt | GetDeviceContext (TWinControl)
 | GetDockCaption (TWinControl)
pt | GetDockEdge (TControl)
pt | GetDragImages (TControl)
pt | GetEnabled (TControl)
 | GetEnumerator (TComponent)
 | GetEnumeratorControls (TWinControl)
 | GetEnumeratorControlsReverse (TWinControl)
pt | GetFloating (TControl)
pt | GetFloatingDockSiteClass (TControl)
 | GetHashCode (TObject)
 | GetIDsOfNames (TComponent)
 | GetInterface (TObject)
 | GetInterfaceByStr (TObject)
 | GetInterfaceEntry (TObject)
 | GetInterfaceEntryByStr (TObject)
 | GetInterfaceTable (TObject)
 | GetInterfaceWeak (TObject)
pt | GetLabelText (TCustomStaticText)
pt | GetLogicalClientRect (TControl)
pt | GetMouseCapture (TControl)
pt | GetMouseCapture (TWinControl)
pt | GetMousePosFromMessage (TControl)
 | GetNamePath (TPersistent)
 | GetNamePath (TComponent)
 | GetOwner (TPersistent)
 | GetOwner (TComponent)
pt | GetPalette (TControl)
pt | GetParentBackground (TWinControl)
 | GetParentComponent (TComponent)
 | GetParentComponent (TControl)
pt | GetParentHandle (TWinControl)
pt | GetPopupMenu (TControl)
 | GetPreferredSize (TControl)
pt | GetPreferredSizeClientFrame (TWinControl)
 | GetRGBColorResolvingParent (TControl)
pt | GetScrolledClientRect (TControl)
 | GetSelectedChildAccessibleObject (TControl)
 | GetSidePosition (TControl)
pt | GetSiteInfo (TWinControl)
 | GetTabOrderList (TWinControl)
 | GetTextBuf (TControl)
 | GetTextLen (TControl)
 | GetTextLen (TWinControl)
 | GetTopParent (TControl)
pt | GetTopParentHandle (TWinControl)
 | GetTypeInfo (TComponent)
 | GetTypeInfoCount (TComponent)
pt | GetWSComponentClass (TLCLComponent)
 | HandleAllocated (TWinControl)
 | HandleNeeded (TWinControl)
 | HandleObjectShouldBeVisible (TControl)
 | HasHelp (TControl)
 | HasParent (TComponent)
 | HasParent (TControl)
pt | HeightIsAnchored (TControl)
 | Hide (TControl)
 | iicrGetComponent (TComponent)
 | IncLCLRefCount (TLCLComponent)
 | InheritsFrom (TObject)
pt | InitializeWnd (TWinControl)
 | InitiateAction (TControl)
 | InitInstance (TObject)
 | Insert (TComponent)
 | InsertComponent (TComponent)
 | InsertControl (TWinControl)
 | InstanceSize (TObject)
 | IntfGetDropFilesTarget (TWinControl)
 | IntfUTF8KeyPress (TWinControl)
 | Invalidate (TControl)
 | Invalidate (TWinControl)
pt | InvalidateBoundsRealized (TWinControl)
 | InvalidateClientRectCache (TWinControl)
pt | InvalidateControl (TControl)
pt | InvalidatePreferredChildSizes (TWinControl)
 | InvalidatePreferredSize (TControl)
 | Invoke (TComponent)
pt | IsAParentAligning (TControl)
pt | IsBorderSpacingInnerBorderStored (TControl)
pt | IsCaptionStored (TControl)
pt | IsClientHeightStored (TControl)
pt | IsClientHeightStored (TWinControl)
pt | IsClientWidthStored (TControl)
pt | IsClientWidthStored (TWinControl)
pt | IsControlMouseMsg (TWinControl)
 | IsControlVisible (TControl)
 | IsEnabled (TControl)
 | IsImplementorOf (TComponent)
 | IsParentColor (TControl)
 | IsParentFont (TControl)
 | IsParentOf (TControl)
 | IsProcessingPaintMsg (TControl)
 | IsRightToLeft (TControl)
 | IsVisible (TControl)
pt | KeyDown (TWinControl)
pt | KeyDownAfterInterface (TWinControl)
pt | KeyDownBeforeInterface (TWinControl)
pt | KeyPress (TWinControl)
pt | KeyUp (TWinControl)
pt | KeyUpAfterInterface (TWinControl)
pt | KeyUpBeforeInterface (TWinControl)
pt | LMCaptureChanged (TControl)
 | Loaded (TComponent)
pt | Loaded (TControl)
pt | Loaded (TWinControl)
pt | LoadedAll (TControl)
 | Loading (TComponent)
 | LockRealizeBounds (TWinControl)
pt | MainWndProc (TWinControl)
 | ManualDock (TControl)
 | ManualFloat (TControl)
 | MethodAddress (TObject)
 | MethodName (TObject)
pt | MouseDown (TControl)
pt | MouseEnter (TControl)
pt | MouseLeave (TControl)
pt | MouseMove (TControl)
pt | MouseUp (TControl)
 | newinstance (TObject)
 | NewInstance (TLCLComponent)
 | Notification (TComponent)
pt | Notification (TControl)
pt | Notification (TCustomStaticText)
 | NotifyControls (TWinControl)
pt | PaintControls (TWinControl)
pt | PaintHandler (TWinControl)
 | PaintTo (TWinControl)
pt | PaintWindow (TWinControl)
 | PaletteCreated (TComponent)
 | ParentDestroyingHandle (TControl)
pt | ParentFontChanged (TControl)
pt | ParentFormHandleInitialized (TControl)
pt | ParentFormHandleInitialized (TWinControl)
 | ParentHandlesAllocated (TControl)
 | ParentHandlesAllocated (TWinControl)
 | ParentToClient (TControl)
 | Perform (TControl)
 | PerformTab (TWinControl)
pt | PositionDockRect (TControl)
pt | QuadClick (TControl)
 | QueryInterface (TComponent)
 | ReadLeft (TComponent)
 | ReadState (TComponent)
pt | ReadState (TControl)
 | ReadTop (TComponent)
pt | RealGetText (TControl)
pt | RealGetText (TWinControl)
 | ReAlign (TWinControl)
pt | RealizeBounds (TWinControl)
pt | RealizeBoundsRecursive (TWinControl)
pt | RealSetText (TControl)
pt | RealSetText (TWinControl)
pt | RealSetText (TCustomStaticText)
 | ReferenceInterface (TComponent)
 | Refresh (TControl)
pt | ReloadDockedControl (TWinControl)
 | Remove (TComponent)
 | RemoveAllHandlersOfObject (TLCLComponent)
 | RemoveAllHandlersOfObject (TControl)
 | RemoveComponent (TComponent)
 | RemoveControl (TWinControl)
pt | RemoveFocus (TWinControl)
 | RemoveFreeNotification (TComponent)
pt | RemoveHandler (TControl)
 | RemoveHandlerOnBeforeDestruction (TControl)
 | RemoveHandlerOnChangeBounds (TControl)
 | RemoveHandlerOnEnableChanging (TControl)
 | RemoveHandlerOnKeyDown (TControl)
 | RemoveHandlerOnMouseWheel (TControl)
 | RemoveHandlerOnResize (TControl)
 | RemoveHandlerOnVisibleChanged (TControl)
 | RemoveHandlerOnVisibleChanging (TControl)
 | RemoveNotification (TComponent)
 | Repaint (TControl)
 | Repaint (TWinControl)
 | ReplaceDockedControl (TControl)
pt | RequestAlign (TControl)
pt | Resize (TControl)
 | SafeCallException (TObject)
 | SafeCallException (TComponent)
 | Scale96ToFont (TControl)
 | Scale96ToForm (TControl)
 | Scale96ToScreen (TControl)
 | ScaleBy (TWinControl)
pt | ScaleConstraints (TControl)
pt | ScaleControls (TWinControl)
 | ScaleDesignToForm (TControl)
 | ScaleFontsPPI (TControl)
 | ScaleFontTo96 (TControl)
 | ScaleFontToScreen (TControl)
 | ScaleFormTo96 (TControl)
 | ScaleFormToDesign (TControl)
 | ScaleScreenTo96 (TControl)
 | ScaleScreenToFont (TControl)
 | ScreenToClient (TControl)
 | ScreenToControl (TControl)
 | ScrollBy (TWinControl)
 | ScrollBy_WS (TWinControl)
pt | SelectFirst (TWinControl)
 | SelectNext (TWinControl)
pt | SendDialogChar (TWinControl)
pt | SendMoveSizeMessages (TControl)
pt | SendMoveSizeMessages (TWinControl)
 | SendToBack (TControl)
pt | SetAction (TControl)
pt | SetAlign (TControl)
 | SetAncestor (TComponent)
pt | SetAnchors (TControl)
pt | SetAutoSize (TControl)
pt | SetBiDiMode (TControl)
pt | SetBorderStyle (TWinControl)
 | SetBounds (TControl)
 | SetBounds (TWinControl)
 | SetBoundsKeepBase (TControl)
 | SetChildOrder (TComponent)
pt | SetChildZPosition (TWinControl)
pt | SetColor (TControl)
pt | SetColor (TWinControl)
 | SetComponentIndex (TComponent)
 | SetControlIndex (TWinControl)
pt | SetCursor (TControl)
 | SetDesigning (TComponent)
 | SetDesignInstance (TComponent)
pt | SetDockManager (TWinControl)
pt | SetDragMode (TControl)
pt | SetEnabled (TControl)
 | SetFocus (TWinControl)
pt | SetFocusControl (TCustomStaticText)
pt | SetHint (TControl)
 | SetInitialBounds (TControl)
 | SetInline (TComponent)
 | SetName (TComponent)
pt | SetName (TControl)
pt | SetParent (TControl)
pt | SetParentBackground (TWinControl)
pt | SetParentBiDiMode (TControl)
 | SetParentComponent (TComponent)
pt | SetParentComponent (TControl)
 | SetReference (TComponent)
 | SetShape (TWinControl)
pt | SetShowAccelChar (TCustomStaticText)
 | SetSubComponent (TComponent)
 | SetTempCursor (TControl)
 | SetTempCursor (TWinControl)
 | SetTextBuf (TControl)
pt | SetVisible (TControl)
pt | SetZOrder (TControl)
 | ShouldAutoAdjust (TControl)
 | Show (TControl)
pt | ShowControl (TWinControl)
 | ShowHelp (TControl)
 | StringMessageTable (TObject)
pt | TextChanged (TControl)
 | ToString (TObject)
pt | TripleClick (TControl)
 | UnitName (TObject)
 | UnlockRealizeBounds (TWinControl)
 | Update (TControl)
 | Update (TWinControl)
 | UpdateAction (TComponent)
pt | UpdateAnchorRules (TControl)
 | UpdateBaseBounds (TControl)
pt | UpdateControlState (TWinControl)
 | Updated (TComponent)
 | UpdateDockCaption (TWinControl)
pt | UpdateMouseCursor (TControl)
 | UpdateRegistry (TComponent)
 | UpdateRolesForForm (TControl)
pt | UpdateShowing (TWinControl)
 | Updating (TComponent)
 | UseRightToLeftAlignment (TControl)
 | UseRightToLeftReading (TControl)
 | UseRightToLeftScrollBar (TControl)
pt | UTF8KeyPress (TWinControl)
 | ValidateContainer (TComponent)
 | ValidateInsert (TComponent)
 | ValidateRename (TComponent)
pt | VisibleChanged (TControl)
pt | VisibleChanging (TControl)
pt | WidthIsAnchored (TControl)
pt | WMCancelMode (TControl)
pt | WMChar (TWinControl)
pt | WMContextMenu (TControl)
pt | WMContextMenu (TWinControl)
pt | WMDestroy (TWinControl)
pt | WMEnter (TWinControl)
pt | WMEraseBkgnd (TWinControl)
pt | WMExit (TWinControl)
pt | WMKeyDown (TWinControl)
pt | WMKeyUp (TWinControl)
pt | WMKillFocus (TWinControl)
pt | WMLButtonDBLCLK (TControl)
pt | WMLButtonDown (TControl)
pt | WMLButtonQuadCLK (TControl)
pt | WMLButtonTripleCLK (TControl)
pt | WMLButtonUp (TControl)
pt | WMMButtonDBLCLK (TControl)
pt | WMMButtonDown (TControl)
pt | WMMButtonQuadCLK (TControl)
pt | WMMButtonTripleCLK (TControl)
pt | WMMButtonUp (TControl)
pt | WMMouseHWheel (TControl)
pt | WMMouseMove (TControl)
pt | WMMouseWheel (TControl)
pt | WMMove (TControl)
pt | WMMove (TWinControl)
pt | WMNotify (TWinControl)
pt | WMPaint (TWinControl)
pt | WMRButtonDBLCLK (TControl)
pt | WMRButtonDown (TControl)
pt | WMRButtonQuadCLK (TControl)
pt | WMRButtonTripleCLK (TControl)
pt | WMRButtonUp (TControl)
pt | WMSetFocus (TWinControl)
pt | WMShowWindow (TWinControl)
pt | WMSize (TControl)
pt | WMSize (TWinControl)
pt | WMSysChar (TWinControl)
pt | WMSysKeyDown (TWinControl)
pt | WMSysKeyUp (TWinControl)
pt | WMWindowPosChanged (TControl)
pt | WMWindowPosChanged (TWinControl)
pt | WMXButtonDBLCLK (TControl)
pt | WMXButtonDown (TControl)
pt | WMXButtonQuadCLK (TControl)
pt | WMXButtonTripleCLK (TControl)
pt | WMXButtonUp (TControl)
pt | WndProc (TControl)
pt | WndProc (TWinControl)
 | WriteLayoutDebugReport (TControl)
 | WriteLayoutDebugReport (TWinControl)
 | WriteLeft (TComponent)
 | WriteState (TComponent)
 | WriteTop (TComponent)
pt | WSRegisterClass (TLCLComponent)
pt | WSRegisterClass (TControl)
pt | WSRegisterClass (TWinControl)
pt | WSRegisterClass (TCustomStaticText)
pt | WSSetText (TWinControl)
 | _AddRef (TComponent)
 | _Release (TComponent)


TCustomStaticText
TWinControl
pt | OnGetSiteInfo
pt | OnGetDockCaption
 | OnAlignInsertBefore
 | OnAlignPosition
 | OnDockDrop
 | OnDockOver
 | OnEnter
 | OnExit
 | OnKeyDown
 | OnKeyPress
 | OnKeyUp
 | OnUnDock
 | OnUTF8KeyPress
TControl
pt | OnConstrainedResize
pt | OnContextPopup
pt | OnDblClick
pt | OnTripleClick
pt | OnQuadClick
pt | OnDragDrop
pt | OnDragOver
pt | OnEndDock
pt | OnEndDrag
pt | OnMouseDown
pt | OnMouseMove
pt | OnMouseUp
pt | OnMouseEnter
pt | OnMouseLeave
pt | OnMouseWheel
pt | OnMouseWheelDown
pt | OnMouseWheelUp
pt | OnMouseWheelHorz
pt | OnMouseWheelLeft
pt | OnMouseWheelRight
pt | OnStartDock
pt | OnStartDrag
pt | OnEditingDone
 | OnChangeBounds
 | OnClick
 | OnResize
 | OnShowHint
TLCLComponent
TComponent
TPersistent
TObject


TCustomStaticText.Alignment

The horizontal adjustment of the text - centered, left- or right-justified.

Declaration

Source position: stdctrls.pp line 1078

public property TCustomStaticText.Alignment : TAlignment
  read FAlignment
  write SetAlignment
  default taLeftJustify;


TCustomStaticText.BorderStyle

The border shown around the control.

Declaration

Source position: stdctrls.pp line 1079

public property TCustomStaticText.BorderStyle : TStaticBorderStyle
  read FStaticBorderStyle
  write SetStaticBorderStyle
  default sbsNone;


TCustomStaticText.Create

Declaration

Source position: stdctrls.pp line 1077

public constructor TCustomStaticText.Create(

  AOwner: TComponent

); override;


TCustomStaticText.FocusControl

The control that shall receive the focus instead of this control.

Declaration

Source position: stdctrls.pp line 1080

public property TCustomStaticText.FocusControl : TWinControl
  read FFocusControl
  write SetFocusControl;


TCustomStaticText.GetLabelText

Returns the Caption of the control.

Declaration

Source position: stdctrls.pp line 1069

protected function TCustomStaticText.GetLabelText: string; virtual;

Function result

The Caption text.


TCustomStaticText.RealSetText

Declaration

Source position: stdctrls.pp line 1070

protected procedure TCustomStaticText.RealSetText(

  const AValue: TCaption

); override;


TCustomStaticText.ShowAccelChar

Makes the accelerator character stand out (underlined) of the displayed text.

Declaration

Source position: stdctrls.pp line 1081

public property TCustomStaticText.ShowAccelChar : Boolean
  read FShowAccelChar
  write SetShowAccelChar
  default True;


TCustomStaticText.Transparent

Makes the control either opaque or transparent.

Declaration

Source position: stdctrls.pp line 1082

public property TCustomStaticText.Transparent : Boolean
  read GetTransparent
  write SetTransparent
  default True;


TEdit

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

A control with a single line of editable text.

Declaration

Source position: stdctrls.pp line 919

type TEdit = class(TCustomEdit)
public
property AutoSelected: Boolean; | True when the text selection was established automatically.
published
property Align: TAlign; | Specifies the placement of the control inside its Parent.
property Alignment: TAlignment; | The horizontal adjustment of the text - left, right, or centered.
property Anchors: TAnchors; | The set of anchor definitions for this control.
property AutoSize: Boolean; | Allows to automatically adjust the size of the control, according to its content.
property AutoSelect: Boolean; | If True, the edit control will select all its text when it receives focus or when the Enter key is pressed.
property BidiMode: TBiDiMode; | Customization (of text controls) in bidirectional reading environments.
property BorderSpacing: TControlBorderSpacing; | Determines the inner and outer border spacing for this control.
property BorderStyle: TBorderStyle; | Allows to show a border (line) around the control,
property CharCase: TEditCharCase; | Allows to force the text into all upper or lower case.
property Color: TColor; | The background color of the control.
property Constraints: TSizeConstraints; | The minimal and maximal Width and Height of this control.
property DoubleBuffered: Boolean;
property DragCursor: TCursor; | The cursor shape shown while the control is dragged.
property DragKind: TDragKind; | The operation when the control is dragged - Drag or Dock.
property DragMode: TDragMode; | Allows the user to drag the control.
property EchoMode: TEchoMode; | Allows to modify the text display, useful for entering passwords.
property Enabled: Boolean; | Determines whether the control reacts on mouse or keyboard input.
property Font: TFont; | The font to be used for text display in this control.
property HideSelection: Boolean; | Allows to hide the selection, when the control doesn't have the focus.
property MaxLength: Integer; | The maximum length of the text; zero for unlimited.
property NumbersOnly: Boolean;
property ParentBidiMode: Boolean; | Allows to use the BiDiMode settings of Parent. Default is true.
property OnChange: TNotifyEvent; | Event handler for any change in text.
property OnChangeBounds: TNotifyEvent; | Event handler for a change of the Bounds of the control.
property OnClick: TNotifyEvent; | Notification handler for mouse clicks.
property OnContextPopup: TContextPopupEvent; | Invoked when a context-sensitive pop-up menu is requested.
property OnDblClick: TNotifyEvent; | Event Handler for double mouse clicks.
property OnDragDrop: TDragDropEvent; | This handler determines the action on an drop onto this control, in a drag-drop operation.
property OnDragOver: TDragOverEvent; | Event handler for a control being dragged over this control.
property OnEditingDone: TNotifyEvent; | Event handler when editing is done.
property OnEndDrag: TEndDragEvent; | Notification handler for the end of a dragging operation.
property OnEnter: TNotifyEvent; | Handler for control receiving the focus.
property OnExit: TNotifyEvent; | Handler for control loosing the focus. This is a good place for checking the finished user input.
property OnKeyDown: TKeyEvent; | Handler for keyboard key pressed.
property OnKeyPress: TKeyPressEvent; | Handler for a character entered by the user.
property OnKeyUp: TKeyEvent; | Handler for keyboard key released.
property OnMouseDown: TMouseEvent; | Event handler for mouse button going down.
property OnMouseEnter: TNotifyEvent; | Event handler for mouse entering the area of the control.
property OnMouseLeave: TNotifyEvent; | Event handler for mouse leaving the area of the control.
property OnMouseMove: TMouseMoveEvent; | Event handler for mouse movement within the control.
property OnMouseUp: TMouseEvent; | Event handler for mouse button going up.
property OnMouseWheel: TMouseWheelEvent;
property OnMouseWheelDown: TMouseWheelUpDownEvent;
property OnMouseWheelUp: TMouseWheelUpDownEvent;
property OnResize: TNotifyEvent; | Notification handler for a resize of the control.
property OnStartDrag: TStartDragEvent; | Event handler for the start of a dragging operation.
property OnUTF8KeyPress: TUTF8KeyPressEvent; | Handler for a character entered by the user.
property ParentColor: Boolean; | If true, the Color of the control will be the same as the one from the Parent. Default is true.
property ParentDoubleBuffered: Boolean;
property ParentFont: Boolean; | If true, the Font of the control will be the same as the one from the Parent. Default is true.
property ParentShowHint: Boolean; | If true, the value of ShowHint for the control will be the same as the one from the Parent. Default is true.
property PasswordChar: Char; | Allows to obfuscate the displayed text, showing all characters as PasswordChar.
property PopupMenu: TPopupMenu; | A context-sensitive menu that pops up when the right mouse button is clicked over this control
property ReadOnly: Boolean; | Prevents the user from changing the text.
property ShowHint: Boolean; | Enables the Hint display.
property TabStop: Boolean; | Allows the user to navigate to this control, by pressing the Tab key.
property TabOrder: TTabOrder; | Determines the sequence of controls, reachable when the user presses the Tab key.
property Text: TCaption; | The text in the edit box.
property TextHint: TTranslateString;
property Visible: Boolean; | Allows to show or hide the control, and all of its children.
end;

Inheritance

TEdit | A control with a single line of editable text.
|
TCustomEdit | The base class for controls presenting editable text.
|
TWinControl | The base class for controls which can contain other (child) controls.
|
TControl | The base class for visible controls.
|
TLCLComponent | The base class for LCL components associated with widgets.
|
TComponent,IUnknown,IInterfaceComponentReference
|
TPersistent,IFPObserved
|
TObject

See also

HowToUseStdCtrls | How to use StdCtrls, ComCtrls or ExtCtrls
TMemo | Control for editable multi-line text.


TEdit
 | ro | AutoSelected
pl | ro | Align
pl | ro | Alignment
pl | ro | Anchors
pl | ro | AutoSize
pl | ro | AutoSelect
pl | ro | BidiMode
pl | ro | BorderSpacing
pl | ro | BorderStyle
pl | ro | CharCase
pl | ro | Color
pl | ro | Constraints
pl | ro | DoubleBuffered
pl | ro | DragCursor
pl | ro | DragKind
pl | ro | DragMode
pl | ro | EchoMode
pl | ro | Enabled
pl | ro | Font
pl | ro | HideSelection
pl | ro | MaxLength
pl | ro | NumbersOnly
pl | ro | ParentBidiMode
pl | ro | ParentColor
pl | ro | ParentDoubleBuffered
pl | ro | ParentFont
pl | ro | ParentShowHint
pl | ro | PasswordChar
pl | ro | PopupMenu
pl | ro | ReadOnly
pl | ro | ShowHint
pl | ro | TabStop
pl | ro | TabOrder
pl | ro | Text
pl | ro | TextHint
pl | ro | Visible
TCustomEdit
pt |  | AutoSelect
pt |  | AutoSelected
pt | ro | ParentColor
 |  | Alignment
 | ro | AutoSize
 | ro | BorderStyle
 | ro | CanUndo
 |  | CaretPos
 |  | CharCase
 |  | EchoMode
 |  | HideSelection
 |  | MaxLength
 |  | Modified
 |  | NumbersOnly
 |  | PasswordChar
 | ro | PopupMenu
 |  | ReadOnly
 |  | SelLength
 |  | SelStart
 |  | SelText
 | ro | TabOrder
 | ro | TabStop
 | ro | Text
 |  | TextHint
TWinControl
pt |  | WindowHandle
pt |  | BorderStyle
pt |  | ParentBackground
 |  | BorderWidth
 | ro | BoundsLockCount
 | ro | Brush
 | ro | CachedClientHeight
 | ro | CachedClientWidth
 |  | ChildSizing
 | ro | ControlCount
 | ro | Controls
 |  | DefWndProc
 | ro | DockClientCount
 | ro | DockClients
 |  | DockManager
 |  | DockSite
 |  | DoubleBuffered
 |  | Handle
 | ro | IsFlipped
 | ro | IsResizing
 |  | TabOrder
 |  | TabStop
 |  | ParentDoubleBuffered
 |  | ParentWindow
 | ro | Showing
 |  | UseDockManager
 |  | DesignerDeleting
 | ro | VisibleDockClientCount
TControl
pt | ro | AutoSizing
pt | ro | AutoSizingAll
pt | ro | AutoSizingLockCount
pt |  | ActionLink
pt |  | DesktopFont
pt |  | DragCursor
pt |  | DragKind
pt |  | DragMode
pt |  | MouseCapture
pt |  | ParentColor
pt |  | ParentFont
pt |  | ParentShowHint
pt |  | SessionProperties
pt |  | Text
 | ro | AnchoredControls
 | ro | BaseBounds
 | ro | ReadBounds
 | ro | BaseParentClientSize
 |  | AccessibleDescription
 |  | AccessibleValue
 |  | AccessibleRole
 |  | Action
 |  | Align
 |  | Anchors
 | ro | AnchorSide
 |  | AutoSize
 |  | BorderSpacing
 |  | BoundsRect
 |  | BoundsRectForNewParent
 |  | Caption
 |  | CaptureMouseButtons
 |  | ClientHeight
 | ro | ClientOrigin
 | ro | ClientRect
 |  | ClientWidth
 |  | Color
 |  | Constraints
 | ro | ControlOrigin
 |  | ControlState
 |  | ControlStyle
 |  | Enabled
 |  | Font
 |  | IsControl
 | ro | MouseEntered
 | ro | MouseInClient
 |  | Parent
 |  | PopupMenu
 |  | ShowHint
 |  | Visible
 |  | WindowProc
 |  | DockOrientation
 | ro | Floating
 |  | FloatingDockSiteClass
 |  | HostDockSite
 |  | LRDockWidth
 |  | TBDockHeight
 |  | UndockHeight
 |  | UndockWidth
 |  | BiDiMode
 |  | ParentBiDiMode
pl |  | AnchorSideLeft
pl |  | AnchorSideTop
pl |  | AnchorSideRight
pl |  | AnchorSideBottom
pl |  | Cursor
pl |  | Left
pl |  | Height
pl |  | Hint
pl |  | Top
pl |  | Width
pl |  | HelpType
pl |  | HelpKeyword
pl |  | HelpContext
TLCLComponent
 | ro | LCLRefCount
 | ro | WidgetSetClass
TComponent
 | ro | ComObject
 | ro | Components
 | ro | ComponentCount
 |  | ComponentIndex
 | ro | ComponentState
 | ro | ComponentStyle
 |  | DesignInfo
 | ro | Owner
 |  | VCLComObject
 |  | Name
 |  | Tag
TPersistent
TObject


 |  | AccessibleDescription (TControl)
 |  | AccessibleRole (TControl)
 |  | AccessibleValue (TControl)
 |  | Action (TControl)
pt |  | ActionLink (TControl)
 |  | Align (TControl)
pl | ro | Align (TEdit)
 |  | Alignment (TCustomEdit)
pl | ro | Alignment (TEdit)
 | ro | AnchoredControls (TControl)
 |  | Anchors (TControl)
pl | ro | Anchors (TEdit)
 | ro | AnchorSide (TControl)
pl |  | AnchorSideBottom (TControl)
pl |  | AnchorSideLeft (TControl)
pl |  | AnchorSideRight (TControl)
pl |  | AnchorSideTop (TControl)
pt |  | AutoSelect (TCustomEdit)
pl | ro | AutoSelect (TEdit)
pt |  | AutoSelected (TCustomEdit)
 | ro | AutoSelected (TEdit)
 |  | AutoSize (TControl)
 | ro | AutoSize (TCustomEdit)
pl | ro | AutoSize (TEdit)
pt | ro | AutoSizing (TControl)
pt | ro | AutoSizingAll (TControl)
pt | ro | AutoSizingLockCount (TControl)
 | ro | BaseBounds (TControl)
 | ro | BaseParentClientSize (TControl)
 |  | BiDiMode (TControl)
pl | ro | BidiMode (TEdit)
 |  | BorderSpacing (TControl)
pl | ro | BorderSpacing (TEdit)
pt |  | BorderStyle (TWinControl)
 | ro | BorderStyle (TCustomEdit)
pl | ro | BorderStyle (TEdit)
 |  | BorderWidth (TWinControl)
 | ro | BoundsLockCount (TWinControl)
 |  | BoundsRect (TControl)
 |  | BoundsRectForNewParent (TControl)
 | ro | Brush (TWinControl)
 | ro | CachedClientHeight (TWinControl)
 | ro | CachedClientWidth (TWinControl)
 | ro | CanUndo (TCustomEdit)
 |  | Caption (TControl)
 |  | CaptureMouseButtons (TControl)
 |  | CaretPos (TCustomEdit)
 |  | CharCase (TCustomEdit)
pl | ro | CharCase (TEdit)
 |  | ChildSizing (TWinControl)
 |  | ClientHeight (TControl)
 | ro | ClientOrigin (TControl)
 | ro | ClientRect (TControl)
 |  | ClientWidth (TControl)
 |  | Color (TControl)
pl | ro | Color (TEdit)
 | ro | ComObject (TComponent)
 | ro | ComponentCount (TComponent)
 |  | ComponentIndex (TComponent)
 | ro | Components (TComponent)
 | ro | ComponentState (TComponent)
 | ro | ComponentStyle (TComponent)
 |  | Constraints (TControl)
pl | ro | Constraints (TEdit)
 | ro | ControlCount (TWinControl)
 | ro | ControlOrigin (TControl)
 | ro | Controls (TWinControl)
 |  | ControlState (TControl)
 |  | ControlStyle (TControl)
pl |  | Cursor (TControl)
 |  | DefWndProc (TWinControl)
 |  | DesignerDeleting (TWinControl)
 |  | DesignInfo (TComponent)
pt |  | DesktopFont (TControl)
 | ro | DockClientCount (TWinControl)
 | ro | DockClients (TWinControl)
 |  | DockManager (TWinControl)
 |  | DockOrientation (TControl)
 |  | DockSite (TWinControl)
 |  | DoubleBuffered (TWinControl)
pl | ro | DoubleBuffered (TEdit)
pt |  | DragCursor (TControl)
pl | ro | DragCursor (TEdit)
pt |  | DragKind (TControl)
pl | ro | DragKind (TEdit)
pt |  | DragMode (TControl)
pl | ro | DragMode (TEdit)
 |  | EchoMode (TCustomEdit)
pl | ro | EchoMode (TEdit)
 |  | Enabled (TControl)
pl | ro | Enabled (TEdit)
 | ro | Floating (TControl)
 |  | FloatingDockSiteClass (TControl)
 |  | Font (TControl)
pl | ro | Font (TEdit)
 |  | Handle (TWinControl)
pl |  | Height (TControl)
pl |  | HelpContext (TControl)
pl |  | HelpKeyword (TControl)
pl |  | HelpType (TControl)
 |  | HideSelection (TCustomEdit)
pl | ro | HideSelection (TEdit)
pl |  | Hint (TControl)
 |  | HostDockSite (TControl)
 |  | IsControl (TControl)
 | ro | IsFlipped (TWinControl)
 | ro | IsResizing (TWinControl)
 | ro | LCLRefCount (TLCLComponent)
pl |  | Left (TControl)
 |  | LRDockWidth (TControl)
 |  | MaxLength (TCustomEdit)
pl | ro | MaxLength (TEdit)
 |  | Modified (TCustomEdit)
pt |  | MouseCapture (TControl)
 | ro | MouseEntered (TControl)
 | ro | MouseInClient (TControl)
 |  | Name (TComponent)
 |  | NumbersOnly (TCustomEdit)
pl | ro | NumbersOnly (TEdit)
 | ro | Owner (TComponent)
 |  | Parent (TControl)
pt |  | ParentBackground (TWinControl)
 |  | ParentBiDiMode (TControl)
pl | ro | ParentBidiMode (TEdit)
pt |  | ParentColor (TControl)
pt | ro | ParentColor (TCustomEdit)
pl | ro | ParentColor (TEdit)
 |  | ParentDoubleBuffered (TWinControl)
pl | ro | ParentDoubleBuffered (TEdit)
pt |  | ParentFont (TControl)
pl | ro | ParentFont (TEdit)
pt |  | ParentShowHint (TControl)
pl | ro | ParentShowHint (TEdit)
 |  | ParentWindow (TWinControl)
 |  | PasswordChar (TCustomEdit)
pl | ro | PasswordChar (TEdit)
 |  | PopupMenu (TControl)
 | ro | PopupMenu (TCustomEdit)
pl | ro | PopupMenu (TEdit)
 | ro | ReadBounds (TControl)
 |  | ReadOnly (TCustomEdit)
pl | ro | ReadOnly (TEdit)
 |  | SelLength (TCustomEdit)
 |  | SelStart (TCustomEdit)
 |  | SelText (TCustomEdit)
pt |  | SessionProperties (TControl)
 |  | ShowHint (TControl)
pl | ro | ShowHint (TEdit)
 | ro | Showing (TWinControl)
 |  | TabOrder (TWinControl)
 | ro | TabOrder (TCustomEdit)
pl | ro | TabOrder (TEdit)
 |  | TabStop (TWinControl)
 | ro | TabStop (TCustomEdit)
pl | ro | TabStop (TEdit)
 |  | Tag (TComponent)
 |  | TBDockHeight (TControl)
pt |  | Text (TControl)
 | ro | Text (TCustomEdit)
pl | ro | Text (TEdit)
 |  | TextHint (TCustomEdit)
pl | ro | TextHint (TEdit)
pl |  | Top (TControl)
 |  | UndockHeight (TControl)
 |  | UndockWidth (TControl)
 |  | UseDockManager (TWinControl)
 |  | VCLComObject (TComponent)
 |  | Visible (TControl)
pl | ro | Visible (TEdit)
 | ro | VisibleDockClientCount (TWinControl)
 | ro | WidgetSetClass (TLCLComponent)
pl |  | Width (TControl)
pt |  | WindowHandle (TWinControl)
 |  | WindowProc (TControl)


TEdit
TCustomEdit
pt | WSRegisterClass
pt | CanShowEmulatedTextHint
pt | CreateEmulatedTextHintFont
pt | CalculatePreferredSize
pt | CreateParams
pt | InitializeWnd
pt | TextChanged
pt | FontChanged
pt | Change
pt | DoEnter
pt | DoExit
pt | EditingDone
pt | GetCaretPos
pt | GetNumbersOnly
pt | GetReadOnly
pt | GetSelLength
pt | GetSelStart
pt | GetSelText
pt | GetTextHint
pt | SetCaretPos
pt | SetEchoMode
pt | SetNumbersOnly
pt | SetReadOnly
pt | SetSelLength
pt | SetSelStart
pt | SetSelText
pt | SetTextHint
pt | ChildClassAllowed
pt | GetControlClassDefaultSize
pt | MouseUp
pt | RealSetText
pt | RealGetText
pt | KeyUpAfterInterface
pt | WMChar
pt | CMWantSpecialKey
pt | WndProc
pt | ShouldAutoAdjust
pt | WMSetFocus
pt | WMKillFocus
 | Create
 | Destroy
 | Clear
 | SelectAll
 | ClearSelection
 | CopyToClipboard
 | CutToClipboard
 | PasteFromClipboard
 | Undo
 | RemoveAllHandlersOfObject
 | AddHandlerOnChange
 | RemoveHandlerOnChange
TWinControl
pt | WSRegisterClass
pt | AdjustClientRect
pt | GetAdjustedLogicalClientRect
pt | AlignControls
pt | CustomAlignInsertBefore
pt | CustomAlignPosition
pt | DoAlignChildControls
pt | DoChildSizingChange
pt | InvalidatePreferredChildSizes
pt | CanTab
pt | IsClientHeightStored
pt | IsClientWidthStored
pt | DoSendShowHideToInterface
pt | ControlsAligned
pt | DoSendBoundsToInterface
pt | RealizeBounds
pt | RealizeBoundsRecursive
pt | InvalidateBoundsRealized
pt | CreateSubClass
pt | DoConstraintsChange
pt | DoSetBounds
pt | DoAutoSize
pt | DoAllAutoSize
pt | AllAutoSized
pt | CalculatePreferredSize
pt | GetPreferredSizeClientFrame
pt | GetChildren
pt | ChildClassAllowed
pt | PaintControls
pt | PaintHandler
pt | PaintWindow
pt | CreateBrush
pt | ScaleControls
pt | ChangeScale
pt | CMBiDiModeChanged
pt | CMBorderChanged
pt | CMDoubleBufferedChanged
pt | CMEnabledChanged
pt | CMParentDoubleBufferedChanged
pt | CMShowingChanged
pt | CMShowHintChanged
pt | CMVisibleChanged
pt | CMEnter
pt | CMExit
pt | WMContextMenu
pt | WMEraseBkgnd
pt | WMNotify
pt | WMSetFocus
pt | WMKillFocus
pt | WMShowWindow
pt | WMEnter
pt | WMExit
pt | WMKeyDown
pt | WMSysKeyDown
pt | WMKeyUp
pt | WMSysKeyUp
pt | WMChar
pt | WMSysChar
pt | WMPaint
pt | WMDestroy
pt | WMMove
pt | WMSize
pt | WMWindowPosChanged
pt | CNKeyDown
pt | CNSysKeyDown
pt | CNKeyUp
pt | CNSysKeyUp
pt | CNChar
pt | DoDragMsg
pt | DoDockClientMsg
pt | DoUndockClientMsg
pt | DoAddDockClient
pt | DockOver
pt | DoDockOver
pt | DoRemoveDockClient
pt | DoUnDock
pt | GetSiteInfo
pt | GetParentHandle
pt | GetTopParentHandle
pt | ReloadDockedControl
pt | CreateDockManager
pt | SetDockManager
pt | DoFloatMsg
pt | DoGetDockCaption
pt | DoEnter
pt | DoExit
pt | DoKeyDownBeforeInterface
pt | DoRemainingKeyDown
pt | DoRemainingKeyUp
pt | DoKeyPress
pt | DoUTF8KeyPress
pt | DoKeyUpBeforeInterface
pt | ChildKey
pt | SendDialogChar
pt | DialogChar
pt | ControlKeyDown
pt | ControlKeyUp
pt | KeyDown
pt | KeyDownBeforeInterface
pt | KeyDownAfterInterface
pt | KeyPress
pt | KeyUp
pt | KeyUpBeforeInterface
pt | KeyUpAfterInterface
pt | UTF8KeyPress
pt | FindNextControl
pt | SelectFirst
pt | RealGetText
pt | GetBorderStyle
pt | GetClientOrigin
pt | GetClientRect
pt | GetControlOrigin
pt | GetDeviceContext
pt | GetParentBackground
pt | IsControlMouseMsg
pt | CreateHandle
pt | CreateParams
pt | CreateWnd
pt | DestroyHandle
pt | DestroyWnd
pt | DoFlipChildren
pt | FinalizeWnd
pt | FixupTabList
pt | FontChanged
pt | InitializeWnd
pt | Loaded
pt | FormEndUpdated
pt | MainWndProc
pt | ParentFormHandleInitialized
pt | ChildHandlesCreated
pt | GetMouseCapture
pt | RealSetText
pt | RemoveFocus
pt | SendMoveSizeMessages
pt | SetBorderStyle
pt | SetColor
pt | SetChildZPosition
pt | SetParentBackground
pt | ShowControl
pt | UpdateControlState
pt | UpdateShowing
pt | WndProc
pt | WSSetText
 | AutoSizePhases
 | AutoSizeDelayed
 | AutoSizeDelayedReport
 | AutoSizeDelayedHandle
 | BeginUpdateBounds
 | EndUpdateBounds
 | LockRealizeBounds
 | UnlockRealizeBounds
 | ControlAtPos
 | ContainsControl
 | DoAdjustClientRectChange
 | InvalidateClientRectCache
 | ClientRectNeedsInterfaceUpdate
 | SetBounds
 | GetChildrenRect
 | DisableAlign
 | EnableAlign
 | ReAlign
 | ScrollBy_WS
 | ScrollBy
 | WriteLayoutDebugReport
 | AutoAdjustLayout
 | Create
 | CreateParented
 | CreateParentedControl
 | Destroy
 | DockDrop
 | CanFocus
 | CanSetFocus
 | GetControlIndex
 | SetControlIndex
 | Focused
 | PerformTab
 | FindChildControl
 | SelectNext
 | SetTempCursor
 | BroadCast
 | NotifyControls
 | DefaultHandler
 | GetTextLen
 | Invalidate
 | AddControl
 | InsertControl
 | RemoveControl
 | GetEnumeratorControls
 | GetEnumeratorControlsReverse
 | Repaint
 | Update
 | SetFocus
 | FlipChildren
 | ScaleBy
 | GetDockCaption
 | UpdateDockCaption
 | GetTabOrderList
 | HandleAllocated
 | ParentHandlesAllocated
 | HandleNeeded
 | BrushCreated
 | EraseBackground
 | IntfUTF8KeyPress
 | IntfGetDropFilesTarget
 | PaintTo
 | SetShape
TControl
pt | WSRegisterClass
pt | GetCursor
pt | SetCursor
pt | SetVisible
pt | DoOnParentHandleDestruction
pt | DoAutoSize
pt | DoAllAutoSize
pt | BeginAutoSizing
pt | EndAutoSizing
pt | AnchorSideChanged
pt | ForeignAnchorSideChanged
pt | SetAlign
pt | SetAnchors
pt | SetAutoSize
pt | BoundsChanged
pt | CreateControlBorderSpacing
pt | DoConstraintsChange
pt | DoBorderSpacingChange
pt | IsBorderSpacingInnerBorderStored
pt | IsCaptionStored
pt | SendMoveSizeMessages
pt | ConstrainedResize
pt | CalculatePreferredSize
pt | DoOnResize
pt | DoOnChangeBounds
pt | CheckOnChangeBounds
pt | Resize
pt | RequestAlign
pt | UpdateAnchorRules
pt | ChangeBounds
pt | DoSetBounds
pt | ScaleConstraints
pt | ChangeScale
pt | CanAutoSize
pt | SetBiDiMode
pt | SetParentBiDiMode
pt | IsAParentAligning
pt | GetClientOrigin
pt | GetClientRect
pt | GetLogicalClientRect
pt | GetScrolledClientRect
pt | GetClientScrollOffset
pt | GetControlOrigin
pt | IsClientHeightStored
pt | IsClientWidthStored
pt | WidthIsAnchored
pt | HeightIsAnchored
pt | WMCancelMode
pt | WMContextMenu
pt | WMLButtonDown
pt | WMRButtonDown
pt | WMMButtonDown
pt | WMXButtonDown
pt | WMLButtonDBLCLK
pt | WMRButtonDBLCLK
pt | WMMButtonDBLCLK
pt | WMXButtonDBLCLK
pt | WMLButtonTripleCLK
pt | WMRButtonTripleCLK
pt | WMMButtonTripleCLK
pt | WMXButtonTripleCLK
pt | WMLButtonQuadCLK
pt | WMRButtonQuadCLK
pt | WMMButtonQuadCLK
pt | WMXButtonQuadCLK
pt | WMMouseMove
pt | WMLButtonUp
pt | WMRButtonUp
pt | WMMButtonUp
pt | WMXButtonUp
pt | WMMouseWheel
pt | WMMouseHWheel
pt | WMMove
pt | WMSize
pt | WMWindowPosChanged
pt | CMChanged
pt | LMCaptureChanged
pt | CMBiDiModeChanged
pt | CMSysFontChanged
pt | CMEnabledChanged
pt | CMHitTest
pt | CMMouseEnter
pt | CMMouseLeave
pt | CMHintShow
pt | CMParentBiDiModeChanged
pt | CMParentColorChanged
pt | CMParentFontChanged
pt | CMParentShowHintChanged
pt | CMVisibleChanged
pt | CMTextChanged
pt | CMCursorChanged
pt | CalculateDockSizes
pt | CreateFloatingDockSite
pt | GetDockEdge
pt | GetDragImages
pt | GetFloating
pt | GetFloatingDockSiteClass
pt | BeforeDragStart
pt | BeginAutoDrag
pt | DoFloatMsg
pt | DockTrackNoTarget
pt | DoDock
pt | DoDragMsg
pt | DoEndDock
pt | DoEndDrag
pt | DoStartDock
pt | DoStartDrag
pt | DragCanceled
pt | DragOver
pt | PositionDockRect
pt | SetDragMode
pt | GetDefaultDockCaption
pt | Click
pt | DblClick
pt | TripleClick
pt | QuadClick
pt | GetMousePosFromMessage
pt | MouseDown
pt | MouseMove
pt | MouseUp
pt | MouseEnter
pt | MouseLeave
pt | DialogChar
pt | UpdateMouseCursor
pt | Changed
pt | GetPalette
pt | ChildClassAllowed
pt | ReadState
pt | Loaded
pt | LoadedAll
pt | DefineProperties
pt | AssignTo
pt | FormEndUpdated
pt | InvalidateControl
pt | FontChanged
pt | ParentFontChanged
pt | GetAction
pt | RealGetText
pt | RealSetText
pt | TextChanged
pt | GetCachedText
pt | SetAction
pt | SetColor
pt | SetEnabled
pt | SetHint
pt | SetName
pt | SetParent
pt | SetParentComponent
pt | WndProc
pt | ParentFormHandleInitialized
pt | GetMouseCapture
pt | CaptureChanged
pt | Notification
pt | CanTab
pt | GetDeviceContext
pt | GetEnabled
pt | GetPopupMenu
pt | DoOnShowHint
pt | DoMouseWheel
pt | DoMouseWheelDown
pt | DoMouseWheelUp
pt | DoMouseWheelHorz
pt | DoMouseWheelLeft
pt | DoMouseWheelRight
pt | VisibleChanging
pt | VisibleChanged
pt | EnabledChanging
pt | EnabledChanged
pt | AddHandler
pt | RemoveHandler
pt | DoCallNotifyHandler
pt | DoCallKeyEventHandler
pt | DoCallMouseWheelEventHandler
pt | DoContextPopup
pt | SetZOrder
pt | GetControlClassDefaultSize
pt | ColorIsStored
pt | DoAutoAdjustLayout
pt | DoFixDesignFontPPI
pt | DoScaleFontPPI
pt | GetActionLinkClass
pt | ActionChange
 | DragDrop
 | Dock
 | ManualDock
 | ManualFloat
 | ReplaceDockedControl
 | Docked
 | Dragging
 | GetAccessibleObject
 | CreateAccessibleObject
 | GetSelectedChildAccessibleObject
 | GetChildAccessibleObjectAtPos
 | ScaleDesignToForm
 | ScaleFormToDesign
 | Scale96ToForm
 | ScaleFormTo96
 | Scale96ToFont
 | ScaleFontTo96
 | ScaleScreenToFont
 | ScaleFontToScreen
 | Scale96ToScreen
 | ScaleScreenTo96
 | AdjustSize
 | AutoSizePhases
 | AutoSizeDelayed
 | AutoSizeDelayedReport
 | AutoSizeDelayedHandle
 | AnchorToNeighbour
 | AnchorParallel
 | AnchorHorizontalCenterTo
 | AnchorVerticalCenterTo
 | AnchorToCompanion
 | AnchorSame
 | AnchorAsAlign
 | AnchorClient
 | AnchoredControlCount
 | SetBounds
 | SetInitialBounds
 | SetBoundsKeepBase
 | GetPreferredSize
 | GetCanvasScaleFactor
 | GetDefaultWidth
 | GetDefaultHeight
 | GetDefaultColor
 | GetColorResolvingParent
 | GetRGBColorResolvingParent
 | GetSidePosition
 | CNPreferredSizeChanged
 | InvalidatePreferredSize
 | GetAnchorsDependingOnParent
 | DisableAutoSizing
 | EnableAutoSizing
 | UpdateBaseBounds
 | WriteLayoutDebugReport
 | AutoAdjustLayout
 | ShouldAutoAdjust
 | FixDesignFontsPPI
 | ScaleFontsPPI
 | Create
 | Destroy
 | BeforeDestruction
 | EditingDone
 | ExecuteDefaultAction
 | ExecuteCancelAction
 | BeginDrag
 | EndDrag
 | BringToFront
 | HasParent
 | GetParentComponent
 | IsParentOf
 | GetTopParent
 | IsVisible
 | IsControlVisible
 | IsEnabled
 | IsParentColor
 | IsParentFont
 | FormIsUpdating
 | IsProcessingPaintMsg
 | Hide
 | Refresh
 | Repaint
 | Invalidate
 | CheckChildClassAllowed
 | CheckNewParent
 | SendToBack
 | SetTempCursor
 | UpdateRolesForForm
 | ActiveDefaultControlChanged
 | GetTextBuf
 | GetTextLen
 | SetTextBuf
 | Perform
 | ScreenToClient
 | ClientToScreen
 | ScreenToControl
 | ControlToScreen
 | ClientToParent
 | ParentToClient
 | GetChildrenRect
 | Show
 | Update
 | HandleObjectShouldBeVisible
 | ParentDestroyingHandle
 | ParentHandlesAllocated
 | InitiateAction
 | ShowHelp
 | HasHelp
 | RemoveAllHandlersOfObject
 | AddHandlerOnResize
 | RemoveHandlerOnResize
 | AddHandlerOnChangeBounds
 | RemoveHandlerOnChangeBounds
 | AddHandlerOnVisibleChanging
 | RemoveHandlerOnVisibleChanging
 | AddHandlerOnVisibleChanged
 | RemoveHandlerOnVisibleChanged
 | AddHandlerOnEnabledChanged
 | RemoveHandlerOnEnableChanging
 | AddHandlerOnKeyDown
 | RemoveHandlerOnKeyDown
 | AddHandlerOnBeforeDestruction
 | RemoveHandlerOnBeforeDestruction
 | AddHandlerOnMouseWheel
 | RemoveHandlerOnMouseWheel
 | UseRightToLeftAlignment
 | UseRightToLeftReading
 | UseRightToLeftScrollBar
 | IsRightToLeft
TLCLComponent
pt | WSRegisterClass
pt | GetWSComponentClass
 | Create
 | Destroy
 | NewInstance
 | RemoveAllHandlersOfObject
 | IncLCLRefCount
 | DecLCLRefCount
TComponent
 | GetComObject
 | GetComponent
 | GetComponentCount
 | GetComponentIndex
 | Insert
 | ReadLeft
 | ReadTop
 | Remove
 | RemoveNotification
 | SetComponentIndex
 | SetReference
 | WriteLeft
 | WriteTop
 | ChangeName
 | DefineProperties
 | GetChildren
 | GetChildOwner
 | GetChildParent
 | GetOwner
 | Loaded
 | Loading
 | Notification
 | PaletteCreated
 | ReadState
 | SetAncestor
 | SetDesigning
 | SetDesignInstance
 | SetInline
 | SetName
 | SetChildOrder
 | SetParentComponent
 | Updating
 | Updated
 | UpdateRegistry
 | ValidateRename
 | ValidateContainer
 | ValidateInsert
 | QueryInterface
 | _AddRef
 | _Release
 | iicrGetComponent
 | GetTypeInfoCount
 | GetTypeInfo
 | GetIDsOfNames
 | Invoke
 | WriteState
 | Create
 | Destroy
 | BeforeDestruction
 | DestroyComponents
 | Destroying
 | ExecuteAction
 | FindComponent
 | FreeNotification
 | RemoveFreeNotification
 | FreeOnRelease
 | GetEnumerator
 | GetNamePath
 | GetParentComponent
 | HasParent
 | InsertComponent
 | RemoveComponent
 | SafeCallException
 | SetSubComponent
 | UpdateAction
 | IsImplementorOf
 | ReferenceInterface
TPersistent
 | AssignError
 | AssignTo
 | DefineProperties
 | GetOwner
 | Destroy
 | Assign
 | FPOAttachObserver
 | FPODetachObserver
 | FPONotifyObservers
 | GetNamePath
TObject
 | Create
 | Destroy
 | newinstance
 | FreeInstance
 | SafeCallException
 | DefaultHandler
 | Free
 | InitInstance
 | CleanupInstance
 | ClassType
 | ClassInfo
 | ClassName
 | ClassNameIs
 | ClassParent
 | InstanceSize
 | InheritsFrom
 | StringMessageTable
 | MethodAddress
 | MethodName
 | FieldAddress
 | AfterConstruction
 | BeforeDestruction
 | DefaultHandlerStr
 | Dispatch
 | DispatchStr
 | GetInterface
 | GetInterfaceByStr
 | GetInterfaceWeak
 | GetInterfaceEntry
 | GetInterfaceEntryByStr
 | GetInterfaceTable
 | UnitName
 | Equals
 | GetHashCode
 | ToString


TEdit
pl | ro | OnChange
pl | ro | OnChangeBounds
pl | ro | OnClick
pl | ro | OnContextPopup
pl | ro | OnDblClick
pl | ro | OnDragDrop
pl | ro | OnDragOver
pl | ro | OnEditingDone
pl | ro | OnEndDrag
pl | ro | OnEnter
pl | ro | OnExit
pl | ro | OnKeyDown
pl | ro | OnKeyPress
pl | ro | OnKeyUp
pl | ro | OnMouseDown
pl | ro | OnMouseEnter
pl | ro | OnMouseLeave
pl | ro | OnMouseMove
pl | ro | OnMouseUp
pl | ro | OnMouseWheel
pl | ro | OnMouseWheelDown
pl | ro | OnMouseWheelUp
pl | ro | OnResize
pl | ro | OnStartDrag
pl | ro | OnUTF8KeyPress
TCustomEdit
 |  | OnChange
TWinControl
pt |  | OnGetSiteInfo
pt |  | OnGetDockCaption
 |  | OnAlignInsertBefore
 |  | OnAlignPosition
 |  | OnDockDrop
 |  | OnDockOver
 |  | OnEnter
 |  | OnExit
 |  | OnKeyDown
 |  | OnKeyPress
 |  | OnKeyUp
 |  | OnUnDock
 |  | OnUTF8KeyPress
TControl
pt |  | OnConstrainedResize
pt |  | OnContextPopup
pt |  | OnDblClick
pt |  | OnTripleClick
pt |  | OnQuadClick
pt |  | OnDragDrop
pt |  | OnDragOver
pt |  | OnEndDock
pt |  | OnEndDrag
pt |  | OnMouseDown
pt |  | OnMouseMove
pt |  | OnMouseUp
pt |  | OnMouseEnter
pt |  | OnMouseLeave
pt |  | OnMouseWheel
pt |  | OnMouseWheelDown
pt |  | OnMouseWheelUp
pt |  | OnMouseWheelHorz
pt |  | OnMouseWheelLeft
pt |  | OnMouseWheelRight
pt |  | OnStartDock
pt |  | OnStartDrag
pt |  | OnEditingDone
 |  | OnChangeBounds
 |  | OnClick
 |  | OnResize
 |  | OnShowHint
TLCLComponent
TComponent
TPersistent
TObject


pl | ro | OnChange (TEdit)
 |  | OnChangeBounds (TControl)
pl | ro | OnChangeBounds (TEdit)
 |  | OnClick (TControl)
pl | ro | OnClick (TEdit)
pt |  | OnConstrainedResize (TControl)
pt |  | OnContextPopup (TControl)
pl | ro | OnContextPopup (TEdit)
pt |  | OnDblClick (TControl)
pl | ro | OnDblClick (TEdit)
 |  | OnDockDrop (TWinControl)
 |  | OnDockOver (TWinControl)
pt |  | OnDragDrop (TControl)
pl | ro | OnDragDrop (TEdit)
pt |  | OnDragOver (TControl)
pl | ro | OnDragOver (TEdit)
pt |  | OnEditingDone (TControl)
pl | ro | OnEditingDone (TEdit)
pt |  | OnEndDock (TControl)
pt |  | OnEndDrag (TControl)
pl | ro | OnEndDrag (TEdit)
 |  | OnEnter (TWinControl)
pl | ro | OnEnter (TEdit)
 |  | OnExit (TWinControl)
pl | ro | OnExit (TEdit)
pt |  | OnGetDockCaption (TWinControl)
pt |  | OnGetSiteInfo (TWinControl)
 |  | OnKeyDown (TWinControl)
pl | ro | OnKeyDown (TEdit)
 |  | OnKeyPress (TWinControl)
pl | ro | OnKeyPress (TEdit)
 |  | OnKeyUp (TWinControl)
pl | ro | OnKeyUp (TEdit)
pt |  | OnMouseDown (TControl)
pl | ro | OnMouseDown (TEdit)
pt |  | OnMouseEnter (TControl)
pl | ro | OnMouseEnter (TEdit)
pt |  | OnMouseLeave (TControl)
pl | ro | OnMouseLeave (TEdit)
pt |  | OnMouseMove (TControl)
pl | ro | OnMouseMove (TEdit)
pt |  | OnMouseUp (TControl)
pl | ro | OnMouseUp (TEdit)
pt |  | OnMouseWheel (TControl)
pl | ro | OnMouseWheel (TEdit)
pt |  | OnMouseWheelDown (TControl)
pl | ro | OnMouseWheelDown (TEdit)
pt |  | OnMouseWheelHorz (TControl)
pt |  | OnMouseWheelLeft (TControl)
pt |  | OnMouseWheelRight (TControl)
pt |  | OnMouseWheelUp (TControl)
pl | ro | OnMouseWheelUp (TEdit)
pt |  | OnQuadClick (TControl)
 |  | OnResize (TControl)
pl | ro | OnResize (TEdit)
 |  | OnShowHint (TControl)
pt |  | OnStartDock (TControl)
pt |  | OnStartDrag (TControl)
pl | ro | OnStartDrag (TEdit)
pt |  | OnTripleClick (TControl)
 |  | OnUnDock (TWinControl)
 |  | OnUTF8KeyPress (TWinControl)
pl | ro | OnUTF8KeyPress (TEdit)


TEdit.DoubleBuffered

Declaration

Source position: stdctrls.pp line 934

published property TEdit.DoubleBuffered : Boolean;


TEdit.NumbersOnly

Declaration

Source position: stdctrls.pp line 943

published property TEdit.NumbersOnly : Boolean;


TEdit.OnMouseWheel

Declaration

Source position: stdctrls.pp line 964

published property TEdit.OnMouseWheel : TMouseWheelEvent;


TEdit.OnMouseWheelDown

Declaration

Source position: stdctrls.pp line 965

published property TEdit.OnMouseWheelDown : TMouseWheelUpDownEvent;


TEdit.OnMouseWheelUp

Declaration

Source position: stdctrls.pp line 966

published property TEdit.OnMouseWheelUp : TMouseWheelUpDownEvent;


TEdit.ParentDoubleBuffered

Declaration

Source position: stdctrls.pp line 971

published property TEdit.ParentDoubleBuffered : Boolean;


TEditCharCase

The case of text displayed in an edit box or combobox.

Declaration

Source position: stdctrls.pp line 38

type TEditCharCase = (
ecNormal, | Normal mode - no conversion.
ecUppercase, | Converts every entered character to upper case.
ecLowerCase | Converts every entered character to lower case.
);


TGroupBox

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

A container that allows a number of objects to be grouped physically and conceptually on a form.

Declaration

Source position: stdctrls.pp line 176

type TGroupBox = class(TCustomGroupBox)
published
property Align: TAlign; | Specifies the placement of the control inside its Parent.
property Anchors: TAnchors; | The set of anchor definitions for this control.
property AutoSize: Boolean; | Allows to automatically adjust the size of the control, according to its content.
property BidiMode: TBiDiMode; | Customization (of text controls) in bidirectional reading environments.
property BorderSpacing: TControlBorderSpacing; | Determines the inner and outer border spacing for this control.
property Caption: TCaption; | The text describing the control to the user.
property ChildSizing: TControlChildSizing; | Parameters for child control arrangement and spacing.
property ClientHeight: Integer; | The height of the client area of the control.
property ClientWidth: Integer; | The width of the client area of the control.
property Color: TColor; | The background color of the control.
property Constraints: TSizeConstraints; | The minimal and maximal Width and Height of this control.
property DockSite: Boolean; | Allows to drag-dock other controls into this control.
property DoubleBuffered: Boolean;
property DragCursor: TCursor; | The cursor shape shown while the control is dragged.
property DragKind: TDragKind; | The operation when the control is dragged - Drag or Dock.
property DragMode: TDragMode; | Allows the user to drag the control.
property Enabled: Boolean; | Determines whether the control reacts on mouse or keyboard input.
property Font: TFont; | The font to be used for text display in this control.
property ParentBidiMode: Boolean; | Allows to use the BiDiMode settings of Parent. Default is true.
property ParentColor: Boolean; | If true, the Color of the control will be the same as the one from the Parent. Default is true.
property ParentDoubleBuffered: Boolean;
property ParentFont: Boolean; | If true, the Font of the control will be the same as the one from the Parent. Default is true.
property ParentShowHint: Boolean; | If true, the value of ShowHint for the control will be the same as the one from the Parent. Default is true.
property PopupMenu: TPopupMenu; | A context-sensitive menu that pops up when the right mouse button is clicked over this control
property ShowHint: Boolean; | Enables the Hint display.
property TabOrder: TTabOrder; | Determines the sequence of controls, reachable when the user presses the Tab key.
property TabStop: Boolean; | Allows the user to navigate to this control, by pressing the Tab key.
property Visible: Boolean; | Allows to show or hide the control, and all of its children.
property OnChangeBounds: TNotifyEvent; | Event handler for a change of the Bounds of the control.
property OnClick: TNotifyEvent; | Notification handler for mouse clicks.
property OnContextPopup: TContextPopupEvent; | Invoked when a context-sensitive pop-up menu is requested.
property OnDblClick: TNotifyEvent; | Event Handler for double mouse clicks.
property OnDragDrop: TDragDropEvent; | This handler determines the action on an drop onto this control, in a drag-drop operation.
property OnDockDrop: TDockDropEvent; | Notification handler for the drop of a control to be docked.
property OnDockOver: TDockOverEvent; | Event handler for moves of a control over this docksite. Determines acceptance or rejection of an possible drop.
property OnDragOver: TDragOverEvent; | Event handler for a control being dragged over this control.
property OnEndDock: TEndDragEvent; | Notification handler for the end of a docking operation.
property OnEndDrag: TEndDragEvent; | Notification handler for the end of a dragging operation.
property OnEnter: TNotifyEvent; | Handler for control receiving the focus.
property OnExit: TNotifyEvent; | Handler for control loosing the focus. This is a good place for checking the finished user input.
property OnGetSiteInfo: TGetSiteInfoEvent; | Provides information about the DockSite.
property OnKeyDown: TKeyEvent; | Handler for keyboard key pressed.
property OnKeyPress: TKeyPressEvent; | Handler for a character entered by the user.
property OnKeyUp: TKeyEvent; | Handler for keyboard key released.
property OnMouseDown: TMouseEvent; | Event handler for mouse button going down.
property OnMouseEnter: TNotifyEvent; | Event handler for mouse entering the area of the control.
property OnMouseLeave: TNotifyEvent; | Event handler for mouse leaving the area of the control.
property OnMouseMove: TMouseMoveEvent; | Event handler for mouse movement within the control.
property OnMouseUp: TMouseEvent; | Event handler for mouse button going up.
property OnMouseWheel: TMouseWheelEvent;
property OnMouseWheelDown: TMouseWheelUpDownEvent;
property OnMouseWheelUp: TMouseWheelUpDownEvent;
property OnResize: TNotifyEvent; | Notification handler for a resize of the control.
property OnStartDock: TStartDockEvent; | Event handler for the start of a docking operation.
property OnStartDrag: TStartDragEvent; | Event handler for the start of a dragging operation.
property OnUnDock: TUnDockEvent; | Event handler for control being undocked from this DockSite.
property OnUTF8KeyPress: TUTF8KeyPressEvent; | Handler for a character entered by the user.
end;

Inheritance

TGroupBox | A container that allows a number of objects to be grouped physically and conceptually on a form.
|
TCustomGroupBox | The base class for TGroupBox, TRadioGroup and TCheckGroup.
|
TWinControl | The base class for controls which can contain other (child) controls.
|
TControl | The base class for visible controls.
|
TLCLComponent | The base class for LCL components associated with widgets.
|
TComponent,IUnknown,IInterfaceComponentReference
|
TPersistent,IFPObserved
|
TObject

Description

The objects can be moved around together and have certain properties in common.

See also

HowToUseStdCtrls

How to use StdCtrls, ComCtrls or ExtCtrls


TGroupBox
pl | ro | Align
pl | ro | Anchors
pl | ro | AutoSize
pl | ro | BidiMode
pl | ro | BorderSpacing
pl | ro | Caption
pl | ro | ChildSizing
pl | ro | ClientHeight
pl | ro | ClientWidth
pl | ro | Color
pl | ro | Constraints
pl | ro | DockSite
pl | ro | DoubleBuffered
pl | ro | DragCursor
pl | ro | DragKind
pl | ro | DragMode
pl | ro | Enabled
pl | ro | Font
pl | ro | ParentBidiMode
pl | ro | ParentColor
pl | ro | ParentDoubleBuffered
pl | ro | ParentFont
pl | ro | ParentShowHint
pl | ro | PopupMenu
pl | ro | ShowHint
pl | ro | TabOrder
pl | ro | TabStop
pl | ro | Visible
TCustomGroupBox
TWinControl
pt |  | WindowHandle
pt |  | BorderStyle
pt |  | ParentBackground
 |  | BorderWidth
 | ro | BoundsLockCount
 | ro | Brush
 | ro | CachedClientHeight
 | ro | CachedClientWidth
 |  | ChildSizing
 | ro | ControlCount
 | ro | Controls
 |  | DefWndProc
 | ro | DockClientCount
 | ro | DockClients
 |  | DockManager
 |  | DockSite
 |  | DoubleBuffered
 |  | Handle
 | ro | IsFlipped
 | ro | IsResizing
 |  | TabOrder
 |  | TabStop
 |  | ParentDoubleBuffered
 |  | ParentWindow
 | ro | Showing
 |  | UseDockManager
 |  | DesignerDeleting
 | ro | VisibleDockClientCount
TControl
pt | ro | AutoSizing
pt | ro | AutoSizingAll
pt | ro | AutoSizingLockCount
pt |  | ActionLink
pt |  | DesktopFont
pt |  | DragCursor
pt |  | DragKind
pt |  | DragMode
pt |  | MouseCapture
pt |  | ParentColor
pt |  | ParentFont
pt |  | ParentShowHint
pt |  | SessionProperties
pt |  | Text
 | ro | AnchoredControls
 | ro | BaseBounds
 | ro | ReadBounds
 | ro | BaseParentClientSize
 |  | AccessibleDescription
 |  | AccessibleValue
 |  | AccessibleRole
 |  | Action
 |  | Align
 |  | Anchors
 | ro | AnchorSide
 |  | AutoSize
 |  | BorderSpacing
 |  | BoundsRect
 |  | BoundsRectForNewParent
 |  | Caption
 |  | CaptureMouseButtons
 |  | ClientHeight
 | ro | ClientOrigin
 | ro | ClientRect
 |  | ClientWidth
 |  | Color
 |  | Constraints
 | ro | ControlOrigin
 |  | ControlState
 |  | ControlStyle
 |  | Enabled
 |  | Font
 |  | IsControl
 | ro | MouseEntered
 | ro | MouseInClient
 |  | Parent
 |  | PopupMenu
 |  | ShowHint
 |  | Visible
 |  | WindowProc
 |  | DockOrientation
 | ro | Floating
 |  | FloatingDockSiteClass
 |  | HostDockSite
 |  | LRDockWidth
 |  | TBDockHeight
 |  | UndockHeight
 |  | UndockWidth
 |  | BiDiMode
 |  | ParentBiDiMode
pl |  | AnchorSideLeft
pl |  | AnchorSideTop
pl |  | AnchorSideRight
pl |  | AnchorSideBottom
pl |  | Cursor
pl |  | Left
pl |  | Height
pl |  | Hint
pl |  | Top
pl |  | Width
pl |  | HelpType
pl |  | HelpKeyword
pl |  | HelpContext
TLCLComponent
 | ro | LCLRefCount
 | ro | WidgetSetClass
TComponent
 | ro | ComObject
 | ro | Components
 | ro | ComponentCount
 |  | ComponentIndex
 | ro | ComponentState
 | ro | ComponentStyle
 |  | DesignInfo
 | ro | Owner
 |  | VCLComObject
 |  | Name
 |  | Tag
TPersistent
TObject


 |  | AccessibleDescription (TControl)
 |  | AccessibleRole (TControl)
 |  | AccessibleValue (TControl)
 |  | Action (TControl)
pt |  | ActionLink (TControl)
 |  | Align (TControl)
pl | ro | Align (TGroupBox)
 | ro | AnchoredControls (TControl)
 |  | Anchors (TControl)
pl | ro | Anchors (TGroupBox)
 | ro | AnchorSide (TControl)
pl |  | AnchorSideBottom (TControl)
pl |  | AnchorSideLeft (TControl)
pl |  | AnchorSideRight (TControl)
pl |  | AnchorSideTop (TControl)
 |  | AutoSize (TControl)
pl | ro | AutoSize (TGroupBox)
pt | ro | AutoSizing (TControl)
pt | ro | AutoSizingAll (TControl)
pt | ro | AutoSizingLockCount (TControl)
 | ro | BaseBounds (TControl)
 | ro | BaseParentClientSize (TControl)
 |  | BiDiMode (TControl)
pl | ro | BidiMode (TGroupBox)
 |  | BorderSpacing (TControl)
pl | ro | BorderSpacing (TGroupBox)
pt |  | BorderStyle (TWinControl)
 |  | BorderWidth (TWinControl)
 | ro | BoundsLockCount (TWinControl)
 |  | BoundsRect (TControl)
 |  | BoundsRectForNewParent (TControl)
 | ro | Brush (TWinControl)
 | ro | CachedClientHeight (TWinControl)
 | ro | CachedClientWidth (TWinControl)
 |  | Caption (TControl)
pl | ro | Caption (TGroupBox)
 |  | CaptureMouseButtons (TControl)
 |  | ChildSizing (TWinControl)
pl | ro | ChildSizing (TGroupBox)
 |  | ClientHeight (TControl)
pl | ro | ClientHeight (TGroupBox)
 | ro | ClientOrigin (TControl)
 | ro | ClientRect (TControl)
 |  | ClientWidth (TControl)
pl | ro | ClientWidth (TGroupBox)
 |  | Color (TControl)
pl | ro | Color (TGroupBox)
 | ro | ComObject (TComponent)
 | ro | ComponentCount (TComponent)
 |  | ComponentIndex (TComponent)
 | ro | Components (TComponent)
 | ro | ComponentState (TComponent)
 | ro | ComponentStyle (TComponent)
 |  | Constraints (TControl)
pl | ro | Constraints (TGroupBox)
 | ro | ControlCount (TWinControl)
 | ro | ControlOrigin (TControl)
 | ro | Controls (TWinControl)
 |  | ControlState (TControl)
 |  | ControlStyle (TControl)
pl |  | Cursor (TControl)
 |  | DefWndProc (TWinControl)
 |  | DesignerDeleting (TWinControl)
 |  | DesignInfo (TComponent)
pt |  | DesktopFont (TControl)
 | ro | DockClientCount (TWinControl)
 | ro | DockClients (TWinControl)
 |  | DockManager (TWinControl)
 |  | DockOrientation (TControl)
 |  | DockSite (TWinControl)
pl | ro | DockSite (TGroupBox)
 |  | DoubleBuffered (TWinControl)
pl | ro | DoubleBuffered (TGroupBox)
pt |  | DragCursor (TControl)
pl | ro | DragCursor (TGroupBox)
pt |  | DragKind (TControl)
pl | ro | DragKind (TGroupBox)
pt |  | DragMode (TControl)
pl | ro | DragMode (TGroupBox)
 |  | Enabled (TControl)
pl | ro | Enabled (TGroupBox)
 | ro | Floating (TControl)
 |  | FloatingDockSiteClass (TControl)
 |  | Font (TControl)
pl | ro | Font (TGroupBox)
 |  | Handle (TWinControl)
pl |  | Height (TControl)
pl |  | HelpContext (TControl)
pl |  | HelpKeyword (TControl)
pl |  | HelpType (TControl)
pl |  | Hint (TControl)
 |  | HostDockSite (TControl)
 |  | IsControl (TControl)
 | ro | IsFlipped (TWinControl)
 | ro | IsResizing (TWinControl)
 | ro | LCLRefCount (TLCLComponent)
pl |  | Left (TControl)
 |  | LRDockWidth (TControl)
pt |  | MouseCapture (TControl)
 | ro | MouseEntered (TControl)
 | ro | MouseInClient (TControl)
 |  | Name (TComponent)
 | ro | Owner (TComponent)
 |  | Parent (TControl)
pt |  | ParentBackground (TWinControl)
 |  | ParentBiDiMode (TControl)
pl | ro | ParentBidiMode (TGroupBox)
pt |  | ParentColor (TControl)
pl | ro | ParentColor (TGroupBox)
 |  | ParentDoubleBuffered (TWinControl)
pl | ro | ParentDoubleBuffered (TGroupBox)
pt |  | ParentFont (TControl)
pl | ro | ParentFont (TGroupBox)
pt |  | ParentShowHint (TControl)
pl | ro | ParentShowHint (TGroupBox)
 |  | ParentWindow (TWinControl)
 |  | PopupMenu (TControl)
pl | ro | PopupMenu (TGroupBox)
 | ro | ReadBounds (TControl)
pt |  | SessionProperties (TControl)
 |  | ShowHint (TControl)
pl | ro | ShowHint (TGroupBox)
 | ro | Showing (TWinControl)
 |  | TabOrder (TWinControl)
pl | ro | TabOrder (TGroupBox)
 |  | TabStop (TWinControl)
pl | ro | TabStop (TGroupBox)
 |  | Tag (TComponent)
 |  | TBDockHeight (TControl)
pt |  | Text (TControl)
pl |  | Top (TControl)
 |  | UndockHeight (TControl)
 |  | UndockWidth (TControl)
 |  | UseDockManager (TWinControl)
 |  | VCLComObject (TComponent)
 |  | Visible (TControl)
pl | ro | Visible (TGroupBox)
 | ro | VisibleDockClientCount (TWinControl)
 | ro | WidgetSetClass (TLCLComponent)
pl |  | Width (TControl)
pt |  | WindowHandle (TWinControl)
 |  | WindowProc (TControl)


TGroupBox
TCustomGroupBox
pt | WSRegisterClass
pt | GetControlClassDefaultSize
pt | CreateParams
 | Create
TWinControl
pt | WSRegisterClass
pt | AdjustClientRect
pt | GetAdjustedLogicalClientRect
pt | AlignControls
pt | CustomAlignInsertBefore
pt | CustomAlignPosition
pt | DoAlignChildControls
pt | DoChildSizingChange
pt | InvalidatePreferredChildSizes
pt | CanTab
pt | IsClientHeightStored
pt | IsClientWidthStored
pt | DoSendShowHideToInterface
pt | ControlsAligned
pt | DoSendBoundsToInterface
pt | RealizeBounds
pt | RealizeBoundsRecursive
pt | InvalidateBoundsRealized
pt | CreateSubClass
pt | DoConstraintsChange
pt | DoSetBounds
pt | DoAutoSize
pt | DoAllAutoSize
pt | AllAutoSized
pt | CalculatePreferredSize
pt | GetPreferredSizeClientFrame
pt | GetChildren
pt | ChildClassAllowed
pt | PaintControls
pt | PaintHandler
pt | PaintWindow
pt | CreateBrush
pt | ScaleControls
pt | ChangeScale
pt | CMBiDiModeChanged
pt | CMBorderChanged
pt | CMDoubleBufferedChanged
pt | CMEnabledChanged
pt | CMParentDoubleBufferedChanged
pt | CMShowingChanged
pt | CMShowHintChanged
pt | CMVisibleChanged
pt | CMEnter
pt | CMExit
pt | WMContextMenu
pt | WMEraseBkgnd
pt | WMNotify
pt | WMSetFocus
pt | WMKillFocus
pt | WMShowWindow
pt | WMEnter
pt | WMExit
pt | WMKeyDown
pt | WMSysKeyDown
pt | WMKeyUp
pt | WMSysKeyUp
pt | WMChar
pt | WMSysChar
pt | WMPaint
pt | WMDestroy
pt | WMMove
pt | WMSize
pt | WMWindowPosChanged
pt | CNKeyDown
pt | CNSysKeyDown
pt | CNKeyUp
pt | CNSysKeyUp
pt | CNChar
pt | DoDragMsg
pt | DoDockClientMsg
pt | DoUndockClientMsg
pt | DoAddDockClient
pt | DockOver
pt | DoDockOver
pt | DoRemoveDockClient
pt | DoUnDock
pt | GetSiteInfo
pt | GetParentHandle
pt | GetTopParentHandle
pt | ReloadDockedControl
pt | CreateDockManager
pt | SetDockManager
pt | DoFloatMsg
pt | DoGetDockCaption
pt | DoEnter
pt | DoExit
pt | DoKeyDownBeforeInterface
pt | DoRemainingKeyDown
pt | DoRemainingKeyUp
pt | DoKeyPress
pt | DoUTF8KeyPress
pt | DoKeyUpBeforeInterface
pt | ChildKey
pt | SendDialogChar
pt | DialogChar
pt | ControlKeyDown
pt | ControlKeyUp
pt | KeyDown
pt | KeyDownBeforeInterface
pt | KeyDownAfterInterface
pt | KeyPress
pt | KeyUp
pt | KeyUpBeforeInterface
pt | KeyUpAfterInterface
pt | UTF8KeyPress
pt | FindNextControl
pt | SelectFirst
pt | RealGetText
pt | GetBorderStyle
pt | GetClientOrigin
pt | GetClientRect
pt | GetControlOrigin
pt | GetDeviceContext
pt | GetParentBackground
pt | IsControlMouseMsg
pt | CreateHandle
pt | CreateParams
pt | CreateWnd
pt | DestroyHandle
pt | DestroyWnd
pt | DoFlipChildren
pt | FinalizeWnd
pt | FixupTabList
pt | FontChanged
pt | InitializeWnd
pt | Loaded
pt | FormEndUpdated
pt | MainWndProc
pt | ParentFormHandleInitialized
pt | ChildHandlesCreated
pt | GetMouseCapture
pt | RealSetText
pt | RemoveFocus
pt | SendMoveSizeMessages
pt | SetBorderStyle
pt | SetColor
pt | SetChildZPosition
pt | SetParentBackground
pt | ShowControl
pt | UpdateControlState
pt | UpdateShowing
pt | WndProc
pt | WSSetText
 | AutoSizePhases
 | AutoSizeDelayed
 | AutoSizeDelayedReport
 | AutoSizeDelayedHandle
 | BeginUpdateBounds
 | EndUpdateBounds
 | LockRealizeBounds
 | UnlockRealizeBounds
 | ControlAtPos
 | ContainsControl
 | DoAdjustClientRectChange
 | InvalidateClientRectCache
 | ClientRectNeedsInterfaceUpdate
 | SetBounds
 | GetChildrenRect
 | DisableAlign
 | EnableAlign
 | ReAlign
 | ScrollBy_WS
 | ScrollBy
 | WriteLayoutDebugReport
 | AutoAdjustLayout
 | Create
 | CreateParented
 | CreateParentedControl
 | Destroy
 | DockDrop
 | CanFocus
 | CanSetFocus
 | GetControlIndex
 | SetControlIndex
 | Focused
 | PerformTab
 | FindChildControl
 | SelectNext
 | SetTempCursor
 | BroadCast
 | NotifyControls
 | DefaultHandler
 | GetTextLen
 | Invalidate
 | AddControl
 | InsertControl
 | RemoveControl
 | GetEnumeratorControls
 | GetEnumeratorControlsReverse
 | Repaint
 | Update
 | SetFocus
 | FlipChildren
 | ScaleBy
 | GetDockCaption
 | UpdateDockCaption
 | GetTabOrderList
 | HandleAllocated
 | ParentHandlesAllocated
 | HandleNeeded
 | BrushCreated
 | EraseBackground
 | IntfUTF8KeyPress
 | IntfGetDropFilesTarget
 | PaintTo
 | SetShape
TControl
pt | WSRegisterClass
pt | GetCursor
pt | SetCursor
pt | SetVisible
pt | DoOnParentHandleDestruction
pt | DoAutoSize
pt | DoAllAutoSize
pt | BeginAutoSizing
pt | EndAutoSizing
pt | AnchorSideChanged
pt | ForeignAnchorSideChanged
pt | SetAlign
pt | SetAnchors
pt | SetAutoSize
pt | BoundsChanged
pt | CreateControlBorderSpacing
pt | DoConstraintsChange
pt | DoBorderSpacingChange
pt | IsBorderSpacingInnerBorderStored
pt | IsCaptionStored
pt | SendMoveSizeMessages
pt | ConstrainedResize
pt | CalculatePreferredSize
pt | DoOnResize
pt | DoOnChangeBounds
pt | CheckOnChangeBounds
pt | Resize
pt | RequestAlign
pt | UpdateAnchorRules
pt | ChangeBounds
pt | DoSetBounds
pt | ScaleConstraints
pt | ChangeScale
pt | CanAutoSize
pt | SetBiDiMode
pt | SetParentBiDiMode
pt | IsAParentAligning
pt | GetClientOrigin
pt | GetClientRect
pt | GetLogicalClientRect
pt | GetScrolledClientRect
pt | GetClientScrollOffset
pt | GetControlOrigin
pt | IsClientHeightStored
pt | IsClientWidthStored
pt | WidthIsAnchored
pt | HeightIsAnchored
pt | WMCancelMode
pt | WMContextMenu
pt | WMLButtonDown
pt | WMRButtonDown
pt | WMMButtonDown
pt | WMXButtonDown
pt | WMLButtonDBLCLK
pt | WMRButtonDBLCLK
pt | WMMButtonDBLCLK
pt | WMXButtonDBLCLK
pt | WMLButtonTripleCLK
pt | WMRButtonTripleCLK
pt | WMMButtonTripleCLK
pt | WMXButtonTripleCLK
pt | WMLButtonQuadCLK
pt | WMRButtonQuadCLK
pt | WMMButtonQuadCLK
pt | WMXButtonQuadCLK
pt | WMMouseMove
pt | WMLButtonUp
pt | WMRButtonUp
pt | WMMButtonUp
pt | WMXButtonUp
pt | WMMouseWheel
pt | WMMouseHWheel
pt | WMMove
pt | WMSize
pt | WMWindowPosChanged
pt | CMChanged
pt | LMCaptureChanged
pt | CMBiDiModeChanged
pt | CMSysFontChanged
pt | CMEnabledChanged
pt | CMHitTest
pt | CMMouseEnter
pt | CMMouseLeave
pt | CMHintShow
pt | CMParentBiDiModeChanged
pt | CMParentColorChanged
pt | CMParentFontChanged
pt | CMParentShowHintChanged
pt | CMVisibleChanged
pt | CMTextChanged
pt | CMCursorChanged
pt | CalculateDockSizes
pt | CreateFloatingDockSite
pt | GetDockEdge
pt | GetDragImages
pt | GetFloating
pt | GetFloatingDockSiteClass
pt | BeforeDragStart
pt | BeginAutoDrag
pt | DoFloatMsg
pt | DockTrackNoTarget
pt | DoDock
pt | DoDragMsg
pt | DoEndDock
pt | DoEndDrag
pt | DoStartDock
pt | DoStartDrag
pt | DragCanceled
pt | DragOver
pt | PositionDockRect
pt | SetDragMode
pt | GetDefaultDockCaption
pt | Click
pt | DblClick
pt | TripleClick
pt | QuadClick
pt | GetMousePosFromMessage
pt | MouseDown
pt | MouseMove
pt | MouseUp
pt | MouseEnter
pt | MouseLeave
pt | DialogChar
pt | UpdateMouseCursor
pt | Changed
pt | GetPalette
pt | ChildClassAllowed
pt | ReadState
pt | Loaded
pt | LoadedAll
pt | DefineProperties
pt | AssignTo
pt | FormEndUpdated
pt | InvalidateControl
pt | FontChanged
pt | ParentFontChanged
pt | GetAction
pt | RealGetText
pt | RealSetText
pt | TextChanged
pt | GetCachedText
pt | SetAction
pt | SetColor
pt | SetEnabled
pt | SetHint
pt | SetName
pt | SetParent
pt | SetParentComponent
pt | WndProc
pt | ParentFormHandleInitialized
pt | GetMouseCapture
pt | CaptureChanged
pt | Notification
pt | CanTab
pt | GetDeviceContext
pt | GetEnabled
pt | GetPopupMenu
pt | DoOnShowHint
pt | DoMouseWheel
pt | DoMouseWheelDown
pt | DoMouseWheelUp
pt | DoMouseWheelHorz
pt | DoMouseWheelLeft
pt | DoMouseWheelRight
pt | VisibleChanging
pt | VisibleChanged
pt | EnabledChanging
pt | EnabledChanged
pt | AddHandler
pt | RemoveHandler
pt | DoCallNotifyHandler
pt | DoCallKeyEventHandler
pt | DoCallMouseWheelEventHandler
pt | DoContextPopup
pt | SetZOrder
pt | GetControlClassDefaultSize
pt | ColorIsStored
pt | DoAutoAdjustLayout
pt | DoFixDesignFontPPI
pt | DoScaleFontPPI
pt | GetActionLinkClass
pt | ActionChange
 | DragDrop
 | Dock
 | ManualDock
 | ManualFloat
 | ReplaceDockedControl
 | Docked
 | Dragging
 | GetAccessibleObject
 | CreateAccessibleObject
 | GetSelectedChildAccessibleObject
 | GetChildAccessibleObjectAtPos
 | ScaleDesignToForm
 | ScaleFormToDesign
 | Scale96ToForm
 | ScaleFormTo96
 | Scale96ToFont
 | ScaleFontTo96
 | ScaleScreenToFont
 | ScaleFontToScreen
 | Scale96ToScreen
 | ScaleScreenTo96
 | AdjustSize
 | AutoSizePhases
 | AutoSizeDelayed
 | AutoSizeDelayedReport
 | AutoSizeDelayedHandle
 | AnchorToNeighbour
 | AnchorParallel
 | AnchorHorizontalCenterTo
 | AnchorVerticalCenterTo
 | AnchorToCompanion
 | AnchorSame
 | AnchorAsAlign
 | AnchorClient
 | AnchoredControlCount
 | SetBounds
 | SetInitialBounds
 | SetBoundsKeepBase
 | GetPreferredSize
 | GetCanvasScaleFactor
 | GetDefaultWidth
 | GetDefaultHeight
 | GetDefaultColor
 | GetColorResolvingParent
 | GetRGBColorResolvingParent
 | GetSidePosition
 | CNPreferredSizeChanged
 | InvalidatePreferredSize
 | GetAnchorsDependingOnParent
 | DisableAutoSizing
 | EnableAutoSizing
 | UpdateBaseBounds
 | WriteLayoutDebugReport
 | AutoAdjustLayout
 | ShouldAutoAdjust
 | FixDesignFontsPPI
 | ScaleFontsPPI
 | Create
 | Destroy
 | BeforeDestruction
 | EditingDone
 | ExecuteDefaultAction
 | ExecuteCancelAction
 | BeginDrag
 | EndDrag
 | BringToFront
 | HasParent
 | GetParentComponent
 | IsParentOf
 | GetTopParent
 | IsVisible
 | IsControlVisible
 | IsEnabled
 | IsParentColor
 | IsParentFont
 | FormIsUpdating
 | IsProcessingPaintMsg
 | Hide
 | Refresh
 | Repaint
 | Invalidate
 | CheckChildClassAllowed
 | CheckNewParent
 | SendToBack
 | SetTempCursor
 | UpdateRolesForForm
 | ActiveDefaultControlChanged
 | GetTextBuf
 | GetTextLen
 | SetTextBuf
 | Perform
 | ScreenToClient
 | ClientToScreen
 | ScreenToControl
 | ControlToScreen
 | ClientToParent
 | ParentToClient
 | GetChildrenRect
 | Show
 | Update
 | HandleObjectShouldBeVisible
 | ParentDestroyingHandle
 | ParentHandlesAllocated
 | InitiateAction
 | ShowHelp
 | HasHelp
 | RemoveAllHandlersOfObject
 | AddHandlerOnResize
 | RemoveHandlerOnResize
 | AddHandlerOnChangeBounds
 | RemoveHandlerOnChangeBounds
 | AddHandlerOnVisibleChanging
 | RemoveHandlerOnVisibleChanging
 | AddHandlerOnVisibleChanged
 | RemoveHandlerOnVisibleChanged
 | AddHandlerOnEnabledChanged
 | RemoveHandlerOnEnableChanging
 | AddHandlerOnKeyDown
 | RemoveHandlerOnKeyDown
 | AddHandlerOnBeforeDestruction
 | RemoveHandlerOnBeforeDestruction
 | AddHandlerOnMouseWheel
 | RemoveHandlerOnMouseWheel
 | UseRightToLeftAlignment
 | UseRightToLeftReading
 | UseRightToLeftScrollBar
 | IsRightToLeft
TLCLComponent
pt | WSRegisterClass
pt | GetWSComponentClass
 | Create
 | Destroy
 | NewInstance
 | RemoveAllHandlersOfObject
 | IncLCLRefCount
 | DecLCLRefCount
TComponent
 | GetComObject
 | GetComponent
 | GetComponentCount
 | GetComponentIndex
 | Insert
 | ReadLeft
 | ReadTop
 | Remove
 | RemoveNotification
 | SetComponentIndex
 | SetReference
 | WriteLeft
 | WriteTop
 | ChangeName
 | DefineProperties
 | GetChildren
 | GetChildOwner
 | GetChildParent
 | GetOwner
 | Loaded
 | Loading
 | Notification
 | PaletteCreated
 | ReadState
 | SetAncestor
 | SetDesigning
 | SetDesignInstance
 | SetInline
 | SetName
 | SetChildOrder
 | SetParentComponent
 | Updating
 | Updated
 | UpdateRegistry
 | ValidateRename
 | ValidateContainer
 | ValidateInsert
 | QueryInterface
 | _AddRef
 | _Release
 | iicrGetComponent
 | GetTypeInfoCount
 | GetTypeInfo
 | GetIDsOfNames
 | Invoke
 | WriteState
 | Create
 | Destroy
 | BeforeDestruction
 | DestroyComponents
 | Destroying
 | ExecuteAction
 | FindComponent
 | FreeNotification
 | RemoveFreeNotification
 | FreeOnRelease
 | GetEnumerator
 | GetNamePath
 | GetParentComponent
 | HasParent
 | InsertComponent
 | RemoveComponent
 | SafeCallException
 | SetSubComponent
 | UpdateAction
 | IsImplementorOf
 | ReferenceInterface
TPersistent
 | AssignError
 | AssignTo
 | DefineProperties
 | GetOwner
 | Destroy
 | Assign
 | FPOAttachObserver
 | FPODetachObserver
 | FPONotifyObservers
 | GetNamePath
TObject
 | Create
 | Destroy
 | newinstance
 | FreeInstance
 | SafeCallException
 | DefaultHandler
 | Free
 | InitInstance
 | CleanupInstance
 | ClassType
 | ClassInfo
 | ClassName
 | ClassNameIs
 | ClassParent
 | InstanceSize
 | InheritsFrom
 | StringMessageTable
 | MethodAddress
 | MethodName
 | FieldAddress
 | AfterConstruction
 | BeforeDestruction
 | DefaultHandlerStr
 | Dispatch
 | DispatchStr
 | GetInterface
 | GetInterfaceByStr
 | GetInterfaceWeak
 | GetInterfaceEntry
 | GetInterfaceEntryByStr
 | GetInterfaceTable
 | UnitName
 | Equals
 | GetHashCode
 | ToString


TGroupBox
pl | ro | OnChangeBounds
pl | ro | OnClick
pl | ro | OnContextPopup
pl | ro | OnDblClick
pl | ro | OnDragDrop
pl | ro | OnDockDrop
pl | ro | OnDockOver
pl | ro | OnDragOver
pl | ro | OnEndDock
pl | ro | OnEndDrag
pl | ro | OnEnter
pl | ro | OnExit
pl | ro | OnGetSiteInfo
pl | ro | OnKeyDown
pl | ro | OnKeyPress
pl | ro | OnKeyUp
pl | ro | OnMouseDown
pl | ro | OnMouseEnter
pl | ro | OnMouseLeave
pl | ro | OnMouseMove
pl | ro | OnMouseUp
pl | ro | OnMouseWheel
pl | ro | OnMouseWheelDown
pl | ro | OnMouseWheelUp
pl | ro | OnResize
pl | ro | OnStartDock
pl | ro | OnStartDrag
pl | ro | OnUnDock
pl | ro | OnUTF8KeyPress
TCustomGroupBox
TWinControl
pt |  | OnGetSiteInfo
pt |  | OnGetDockCaption
 |  | OnAlignInsertBefore
 |  | OnAlignPosition
 |  | OnDockDrop
 |  | OnDockOver
 |  | OnEnter
 |  | OnExit
 |  | OnKeyDown
 |  | OnKeyPress
 |  | OnKeyUp
 |  | OnUnDock
 |  | OnUTF8KeyPress
TControl
pt |  | OnConstrainedResize
pt |  | OnContextPopup
pt |  | OnDblClick
pt |  | OnTripleClick
pt |  | OnQuadClick
pt |  | OnDragDrop
pt |  | OnDragOver
pt |  | OnEndDock
pt |  | OnEndDrag
pt |  | OnMouseDown
pt |  | OnMouseMove
pt |  | OnMouseUp
pt |  | OnMouseEnter
pt |  | OnMouseLeave
pt |  | OnMouseWheel
pt |  | OnMouseWheelDown
pt |  | OnMouseWheelUp
pt |  | OnMouseWheelHorz
pt |  | OnMouseWheelLeft
pt |  | OnMouseWheelRight
pt |  | OnStartDock
pt |  | OnStartDrag
pt |  | OnEditingDone
 |  | OnChangeBounds
 |  | OnClick
 |  | OnResize
 |  | OnShowHint
TLCLComponent
TComponent
TPersistent
TObject


pl | ro | OnChangeBounds (TGroupBox)
 |  | OnClick (TControl)
pl | ro | OnClick (TGroupBox)
pt |  | OnConstrainedResize (TControl)
pt |  | OnContextPopup (TControl)
pl | ro | OnContextPopup (TGroupBox)
pt |  | OnDblClick (TControl)
pl | ro | OnDblClick (TGroupBox)
 |  | OnDockDrop (TWinControl)
pl | ro | OnDockDrop (TGroupBox)
 |  | OnDockOver (TWinControl)
pl | ro | OnDockOver (TGroupBox)
pt |  | OnDragDrop (TControl)
pl | ro | OnDragDrop (TGroupBox)
pt |  | OnDragOver (TControl)
pl | ro | OnDragOver (TGroupBox)
pt |  | OnEditingDone (TControl)
pt |  | OnEndDock (TControl)
pl | ro | OnEndDock (TGroupBox)
pt |  | OnEndDrag (TControl)
pl | ro | OnEndDrag (TGroupBox)
 |  | OnEnter (TWinControl)
pl | ro | OnEnter (TGroupBox)
 |  | OnExit (TWinControl)
pl | ro | OnExit (TGroupBox)
pt |  | OnGetDockCaption (TWinControl)
pt |  | OnGetSiteInfo (TWinControl)
pl | ro | OnGetSiteInfo (TGroupBox)
 |  | OnKeyDown (TWinControl)
pl | ro | OnKeyDown (TGroupBox)
 |  | OnKeyPress (TWinControl)
pl | ro | OnKeyPress (TGroupBox)
 |  | OnKeyUp (TWinControl)
pl | ro | OnKeyUp (TGroupBox)
pt |  | OnMouseDown (TControl)
pl | ro | OnMouseDown (TGroupBox)
pt |  | OnMouseEnter (TControl)
pl | ro | OnMouseEnter (TGroupBox)
pt |  | OnMouseLeave (TControl)
pl | ro | OnMouseLeave (TGroupBox)
pt |  | OnMouseMove (TControl)
pl | ro | OnMouseMove (TGroupBox)
pt |  | OnMouseUp (TControl)
pl | ro | OnMouseUp (TGroupBox)
pt |  | OnMouseWheel (TControl)
pl | ro | OnMouseWheel (TGroupBox)
pt |  | OnMouseWheelDown (TControl)
pl | ro | OnMouseWheelDown (TGroupBox)
pt |  | OnMouseWheelHorz (TControl)
pt |  | OnMouseWheelLeft (TControl)
pt |  | OnMouseWheelRight (TControl)
pt |  | OnMouseWheelUp (TControl)
pl | ro | OnMouseWheelUp (TGroupBox)
pt |  | OnQuadClick (TControl)
 |  | OnResize (TControl)
pl | ro | OnResize (TGroupBox)
 |  | OnShowHint (TControl)
pt |  | OnStartDock (TControl)
pl | ro | OnStartDock (TGroupBox)
pt |  | OnStartDrag (TControl)
pl | ro | OnStartDrag (TGroupBox)
pt |  | OnTripleClick (TControl)
 |  | OnUnDock (TWinControl)
pl | ro | OnUnDock (TGroupBox)
 |  | OnUTF8KeyPress (TWinControl)
pl | ro | OnUTF8KeyPress (TGroupBox)


TGroupBox.DoubleBuffered

Declaration

Source position: stdctrls.pp line 190

published property TGroupBox.DoubleBuffered : Boolean;


TGroupBox.OnMouseWheel

Declaration

Source position: stdctrls.pp line 227

published property TGroupBox.OnMouseWheel : TMouseWheelEvent;


TGroupBox.OnMouseWheelDown

Declaration

Source position: stdctrls.pp line 228

published property TGroupBox.OnMouseWheelDown : TMouseWheelUpDownEvent;


TGroupBox.OnMouseWheelUp

Declaration

Source position: stdctrls.pp line 229

published property TGroupBox.OnMouseWheelUp : TMouseWheelUpDownEvent;


TGroupBox.ParentDoubleBuffered

Declaration

Source position: stdctrls.pp line 198

published property TGroupBox.ParentDoubleBuffered : Boolean;


TLabel

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Control to show static text, possibly in multiple lines.

Declaration

Source position: stdctrls.pp line 1587

type TLabel = class(TCustomLabel)
published
property Align: TAlign; | Specifies the placement of the control inside its Parent.
property Alignment: TAlignment; | Horizontal text justification (centered, left- or right-justified).
property Anchors: TAnchors; | The set of anchor definitions for this control.
property AutoSize: Boolean; | Allows to automatically adjust the size of the control, according to its content.
property BidiMode: TBiDiMode; | Customization (of text controls) in bidirectional reading environments.
property BorderSpacing: TControlBorderSpacing; | Determines the inner and outer border spacing for this control.
property Caption: TCaption; | The text describing the control to the user.
property Color: TColor; | The background color of the control.
property Constraints: TSizeConstraints; | The minimal and maximal Width and Height of this control.
property DragCursor: TCursor; | The cursor shape shown while the control is dragged.
property DragKind: TDragKind; | The operation when the control is dragged - Drag or Dock.
property DragMode: TDragMode; | Allows the user to drag the control.
property Enabled: Boolean; | Determines whether the control reacts on mouse or keyboard input.
property FocusControl: TWinControl; | The control associated with the label and its accelerator key (AccelChar).
property Font: TFont; | The font to be used for text display in this control.
property Layout: TTextLayout; | Vertical alignment of the text (at top, bottom or centered).
property ParentBidiMode: Boolean; | Allows to use the BiDiMode settings of Parent. Default is true.
property ParentColor: Boolean; | If true, the Color of the control will be the same as the one from the Parent. Default is true.
property ParentFont: Boolean; | If true, the Font of the control will be the same as the one from the Parent. Default is true.
property ParentShowHint: Boolean; | If true, the value of ShowHint for the control will be the same as the one from the Parent. Default is true.
property PopupMenu: TPopupMenu; | A context-sensitive menu that pops up when the right mouse button is clicked over this control
property ShowAccelChar: Boolean; | Underlines the character in the label that acts as an accelerator with a shortcut key.
property ShowHint: Boolean; | Enables the Hint display.
property Transparent: Boolean; | Whether the viewer can see through the control. The default value is true
property Visible: Boolean; | Allows to show or hide the control, and all of its children.
property WordWrap: Boolean; | Allows text to wrap into multiple lines, when the text is too long for the available Width.
property OnChangeBounds: TNotifyEvent; | Event handler for a change of the Bounds of the control.
property OnClick: TNotifyEvent; | Notification handler for mouse clicks.
property OnContextPopup: TContextPopupEvent; | Invoked when a context-sensitive pop-up menu is requested.
property OnDblClick: TNotifyEvent; | Event Handler for double mouse clicks.
property OnDragDrop: TDragDropEvent; | This handler determines the action on an drop onto this control, in a drag-drop operation.
property OnDragOver: TDragOverEvent; | Event handler for a control being dragged over this control.
property OnEndDrag: TEndDragEvent; | Notification handler for the end of a dragging operation.
property OnMouseDown: TMouseEvent; | Event handler for mouse button going down.
property OnMouseEnter: TNotifyEvent; | Event handler for mouse entering the area of the control.
property OnMouseLeave: TNotifyEvent; | Event handler for mouse leaving the area of the control.
property OnMouseMove: TMouseMoveEvent; | Event handler for mouse movement within the control.
property OnMouseUp: TMouseEvent; | Event handler for mouse button going up.
property OnMouseWheel: TMouseWheelEvent;
property OnMouseWheelDown: TMouseWheelUpDownEvent;
property OnMouseWheelUp: TMouseWheelUpDownEvent;
property OnMouseWheelHorz: TMouseWheelEvent;
property OnMouseWheelLeft: TMouseWheelUpDownEvent;
property OnMouseWheelRight: TMouseWheelUpDownEvent;
property OnResize: TNotifyEvent; | Notification handler for a resize of the control.
property OnStartDrag: TStartDragEvent; | Event handler for the start of a dragging operation.
property OptimalFill: Boolean; | If True, the font size is adjusted for optimal fill of the available space.
end;

Inheritance

TLabel | Control to show static text, possibly in multiple lines.
|
TCustomLabel | The base class for TLabel.
|
TGraphicControl | TGraphicControl is the base class for all lightweight controls.
|
TControl | The base class for visible controls.
|
TLCLComponent | The base class for LCL components associated with widgets.
|
TComponent,IUnknown,IInterfaceComponentReference
|
TPersistent,IFPObserved
|
TObject

See also

HowToUseStdCtrls | How to use StdCtrls, ComCtrls or ExtCtrls
TStaticText | Control to display an constant text.


TLabel
pl | ro | Align
pl | ro | Alignment
pl | ro | Anchors
pl | ro | AutoSize
pl | ro | BidiMode
pl | ro | BorderSpacing
pl | ro | Caption
pl | ro | Color
pl | ro | Constraints
pl | ro | DragCursor
pl | ro | DragKind
pl | ro | DragMode
pl | ro | Enabled
pl | ro | FocusControl
pl | ro | Font
pl | ro | Layout
pl | ro | ParentBidiMode
pl | ro | ParentColor
pl | ro | ParentFont
pl | ro | ParentShowHint
pl | ro | PopupMenu
pl | ro | ShowAccelChar
pl | ro | ShowHint
pl | ro | Transparent
pl | ro | Visible
pl | ro | WordWrap
pl | ro | OptimalFill
TCustomLabel
pt |  | Alignment
pt |  | FocusControl
pt |  | Layout
pt |  | ShowAccelChar
pt |  | Transparent
pt |  | WordWrap
pt |  | OptimalFill
 | ro | AutoSize
 | ro | Color
TGraphicControl
 | ro | Canvas
TControl
pt | ro | AutoSizing
pt | ro | AutoSizingAll
pt | ro | AutoSizingLockCount
pt |  | ActionLink
pt |  | DesktopFont
pt |  | DragCursor
pt |  | DragKind
pt |  | DragMode
pt |  | MouseCapture
pt |  | ParentColor
pt |  | ParentFont
pt |  | ParentShowHint
pt |  | SessionProperties
pt |  | Text
 | ro | AnchoredControls
 | ro | BaseBounds
 | ro | ReadBounds
 | ro | BaseParentClientSize
 |  | AccessibleDescription
 |  | AccessibleValue
 |  | AccessibleRole
 |  | Action
 |  | Align
 |  | Anchors
 | ro | AnchorSide
 |  | AutoSize
 |  | BorderSpacing
 |  | BoundsRect
 |  | BoundsRectForNewParent
 |  | Caption
 |  | CaptureMouseButtons
 |  | ClientHeight
 | ro | ClientOrigin
 | ro | ClientRect
 |  | ClientWidth
 |  | Color
 |  | Constraints
 | ro | ControlOrigin
 |  | ControlState
 |  | ControlStyle
 |  | Enabled
 |  | Font
 |  | IsControl
 | ro | MouseEntered
 | ro | MouseInClient
 |  | Parent
 |  | PopupMenu
 |  | ShowHint
 |  | Visible
 |  | WindowProc
 |  | DockOrientation
 | ro | Floating
 |  | FloatingDockSiteClass
 |  | HostDockSite
 |  | LRDockWidth
 |  | TBDockHeight
 |  | UndockHeight
 |  | UndockWidth
 |  | BiDiMode
 |  | ParentBiDiMode
pl |  | AnchorSideLeft
pl |  | AnchorSideTop
pl |  | AnchorSideRight
pl |  | AnchorSideBottom
pl |  | Cursor
pl |  | Left
pl |  | Height
pl |  | Hint
pl |  | Top
pl |  | Width
pl |  | HelpType
pl |  | HelpKeyword
pl |  | HelpContext
TLCLComponent
 | ro | LCLRefCount
 | ro | WidgetSetClass
TComponent
 | ro | ComObject
 | ro | Components
 | ro | ComponentCount
 |  | ComponentIndex
 | ro | ComponentState
 | ro | ComponentStyle
 |  | DesignInfo
 | ro | Owner
 |  | VCLComObject
 |  | Name
 |  | Tag
TPersistent
TObject


 |  | AccessibleDescription (TControl)
 |  | AccessibleRole (TControl)
 |  | AccessibleValue (TControl)
 |  | Action (TControl)
pt |  | ActionLink (TControl)
 |  | Align (TControl)
pl | ro | Align (TLabel)
pt |  | Alignment (TCustomLabel)
pl | ro | Alignment (TLabel)
 | ro | AnchoredControls (TControl)
 |  | Anchors (TControl)
pl | ro | Anchors (TLabel)
 | ro | AnchorSide (TControl)
pl |  | AnchorSideBottom (TControl)
pl |  | AnchorSideLeft (TControl)
pl |  | AnchorSideRight (TControl)
pl |  | AnchorSideTop (TControl)
 |  | AutoSize (TControl)
 | ro | AutoSize (TCustomLabel)
pl | ro | AutoSize (TLabel)
pt | ro | AutoSizing (TControl)
pt | ro | AutoSizingAll (TControl)
pt | ro | AutoSizingLockCount (TControl)
 | ro | BaseBounds (TControl)
 | ro | BaseParentClientSize (TControl)
 |  | BiDiMode (TControl)
pl | ro | BidiMode (TLabel)
 |  | BorderSpacing (TControl)
pl | ro | BorderSpacing (TLabel)
 |  | BoundsRect (TControl)
 |  | BoundsRectForNewParent (TControl)
 | ro | Canvas (TGraphicControl)
 |  | Caption (TControl)
pl | ro | Caption (TLabel)
 |  | CaptureMouseButtons (TControl)
 |  | ClientHeight (TControl)
 | ro | ClientOrigin (TControl)
 | ro | ClientRect (TControl)
 |  | ClientWidth (TControl)
 |  | Color (TControl)
 | ro | Color (TCustomLabel)
pl | ro | Color (TLabel)
 | ro | ComObject (TComponent)
 | ro | ComponentCount (TComponent)
 |  | ComponentIndex (TComponent)
 | ro | Components (TComponent)
 | ro | ComponentState (TComponent)
 | ro | ComponentStyle (TComponent)
 |  | Constraints (TControl)
pl | ro | Constraints (TLabel)
 | ro | ControlOrigin (TControl)
 |  | ControlState (TControl)
 |  | ControlStyle (TControl)
pl |  | Cursor (TControl)
 |  | DesignInfo (TComponent)
pt |  | DesktopFont (TControl)
 |  | DockOrientation (TControl)
pt |  | DragCursor (TControl)
pl | ro | DragCursor (TLabel)
pt |  | DragKind (TControl)
pl | ro | DragKind (TLabel)
pt |  | DragMode (TControl)
pl | ro | DragMode (TLabel)
 |  | Enabled (TControl)
pl | ro | Enabled (TLabel)
 | ro | Floating (TControl)
 |  | FloatingDockSiteClass (TControl)
pt |  | FocusControl (TCustomLabel)
pl | ro | FocusControl (TLabel)
 |  | Font (TControl)
pl | ro | Font (TLabel)
pl |  | Height (TControl)
pl |  | HelpContext (TControl)
pl |  | HelpKeyword (TControl)
pl |  | HelpType (TControl)
pl |  | Hint (TControl)
 |  | HostDockSite (TControl)
 |  | IsControl (TControl)
pt |  | Layout (TCustomLabel)
pl | ro | Layout (TLabel)
 | ro | LCLRefCount (TLCLComponent)
pl |  | Left (TControl)
 |  | LRDockWidth (TControl)
pt |  | MouseCapture (TControl)
 | ro | MouseEntered (TControl)
 | ro | MouseInClient (TControl)
 |  | Name (TComponent)
pt |  | OptimalFill (TCustomLabel)
pl | ro | OptimalFill (TLabel)
 | ro | Owner (TComponent)
 |  | Parent (TControl)
 |  | ParentBiDiMode (TControl)
pl | ro | ParentBidiMode (TLabel)
pt |  | ParentColor (TControl)
pl | ro | ParentColor (TLabel)
pt |  | ParentFont (TControl)
pl | ro | ParentFont (TLabel)
pt |  | ParentShowHint (TControl)
pl | ro | ParentShowHint (TLabel)
 |  | PopupMenu (TControl)
pl | ro | PopupMenu (TLabel)
 | ro | ReadBounds (TControl)
pt |  | SessionProperties (TControl)
pt |  | ShowAccelChar (TCustomLabel)
pl | ro | ShowAccelChar (TLabel)
 |  | ShowHint (TControl)
pl | ro | ShowHint (TLabel)
 |  | Tag (TComponent)
 |  | TBDockHeight (TControl)
pt |  | Text (TControl)
pl |  | Top (TControl)
pt |  | Transparent (TCustomLabel)
pl | ro | Transparent (TLabel)
 |  | UndockHeight (TControl)
 |  | UndockWidth (TControl)
 |  | VCLComObject (TComponent)
 |  | Visible (TControl)
pl | ro | Visible (TLabel)
 | ro | WidgetSetClass (TLCLComponent)
pl |  | Width (TControl)
 |  | WindowProc (TControl)
pt |  | WordWrap (TCustomLabel)
pl | ro | WordWrap (TLabel)


TLabel
TCustomLabel
pt | WSRegisterClass
pt | CanTab
pt | DoMeasureTextPosition
pt | HasMultiLine
pt | CalculatePreferredSize
pt | CalculateSize
pt | DoAutoSize
pt | DialogChar
pt | TextChanged
pt | DoSetBounds
pt | FontChanged
pt | GetControlClassDefaultSize
pt | WMActivate
pt | Notification
pt | GetLabelText
pt | GetTransparent
pt | SetColor
pt | SetFocusControl
pt | SetLayout
pt | SetShowAccelChar
pt | SetTransparent
pt | SetWordWrap
pt | Loaded
pt | UpdateSize
 | Create
 | CalcFittingFontHeight
 | ColorIsStored
 | AdjustFontForOptimalFill
 | Paint
 | SetBounds
TGraphicControl
pt | WSRegisterClass
pt | FontChanged
pt | Paint
pt | DoOnChangeBounds
pt | DoOnParentHandleDestruction
pt | CMCursorChanged
 | Create
 | Destroy
TControl
pt | WSRegisterClass
pt | GetCursor
pt | SetCursor
pt | SetVisible
pt | DoOnParentHandleDestruction
pt | DoAutoSize
pt | DoAllAutoSize
pt | BeginAutoSizing
pt | EndAutoSizing
pt | AnchorSideChanged
pt | ForeignAnchorSideChanged
pt | SetAlign
pt | SetAnchors
pt | SetAutoSize
pt | BoundsChanged
pt | CreateControlBorderSpacing
pt | DoConstraintsChange
pt | DoBorderSpacingChange
pt | IsBorderSpacingInnerBorderStored
pt | IsCaptionStored
pt | SendMoveSizeMessages
pt | ConstrainedResize
pt | CalculatePreferredSize
pt | DoOnResize
pt | DoOnChangeBounds
pt | CheckOnChangeBounds
pt | Resize
pt | RequestAlign
pt | UpdateAnchorRules
pt | ChangeBounds
pt | DoSetBounds
pt | ScaleConstraints
pt | ChangeScale
pt | CanAutoSize
pt | SetBiDiMode
pt | SetParentBiDiMode
pt | IsAParentAligning
pt | GetClientOrigin
pt | GetClientRect
pt | GetLogicalClientRect
pt | GetScrolledClientRect
pt | GetClientScrollOffset
pt | GetControlOrigin
pt | IsClientHeightStored
pt | IsClientWidthStored
pt | WidthIsAnchored
pt | HeightIsAnchored
pt | WMCancelMode
pt | WMContextMenu
pt | WMLButtonDown
pt | WMRButtonDown
pt | WMMButtonDown
pt | WMXButtonDown
pt | WMLButtonDBLCLK
pt | WMRButtonDBLCLK
pt | WMMButtonDBLCLK
pt | WMXButtonDBLCLK
pt | WMLButtonTripleCLK
pt | WMRButtonTripleCLK
pt | WMMButtonTripleCLK
pt | WMXButtonTripleCLK
pt | WMLButtonQuadCLK
pt | WMRButtonQuadCLK
pt | WMMButtonQuadCLK
pt | WMXButtonQuadCLK
pt | WMMouseMove
pt | WMLButtonUp
pt | WMRButtonUp
pt | WMMButtonUp
pt | WMXButtonUp
pt | WMMouseWheel
pt | WMMouseHWheel
pt | WMMove
pt | WMSize
pt | WMWindowPosChanged
pt | CMChanged
pt | LMCaptureChanged
pt | CMBiDiModeChanged
pt | CMSysFontChanged
pt | CMEnabledChanged
pt | CMHitTest
pt | CMMouseEnter
pt | CMMouseLeave
pt | CMHintShow
pt | CMParentBiDiModeChanged
pt | CMParentColorChanged
pt | CMParentFontChanged
pt | CMParentShowHintChanged
pt | CMVisibleChanged
pt | CMTextChanged
pt | CMCursorChanged
pt | CalculateDockSizes
pt | CreateFloatingDockSite
pt | GetDockEdge
pt | GetDragImages
pt | GetFloating
pt | GetFloatingDockSiteClass
pt | BeforeDragStart
pt | BeginAutoDrag
pt | DoFloatMsg
pt | DockTrackNoTarget
pt | DoDock
pt | DoDragMsg
pt | DoEndDock
pt | DoEndDrag
pt | DoStartDock
pt | DoStartDrag
pt | DragCanceled
pt | DragOver
pt | PositionDockRect
pt | SetDragMode
pt | GetDefaultDockCaption
pt | Click
pt | DblClick
pt | TripleClick
pt | QuadClick
pt | GetMousePosFromMessage
pt | MouseDown
pt | MouseMove
pt | MouseUp
pt | MouseEnter
pt | MouseLeave
pt | DialogChar
pt | UpdateMouseCursor
pt | Changed
pt | GetPalette
pt | ChildClassAllowed
pt | ReadState
pt | Loaded
pt | LoadedAll
pt | DefineProperties
pt | AssignTo
pt | FormEndUpdated
pt | InvalidateControl
pt | FontChanged
pt | ParentFontChanged
pt | GetAction
pt | RealGetText
pt | RealSetText
pt | TextChanged
pt | GetCachedText
pt | SetAction
pt | SetColor
pt | SetEnabled
pt | SetHint
pt | SetName
pt | SetParent
pt | SetParentComponent
pt | WndProc
pt | ParentFormHandleInitialized
pt | GetMouseCapture
pt | CaptureChanged
pt | Notification
pt | CanTab
pt | GetDeviceContext
pt | GetEnabled
pt | GetPopupMenu
pt | DoOnShowHint
pt | DoMouseWheel
pt | DoMouseWheelDown
pt | DoMouseWheelUp
pt | DoMouseWheelHorz
pt | DoMouseWheelLeft
pt | DoMouseWheelRight
pt | VisibleChanging
pt | VisibleChanged
pt | EnabledChanging
pt | EnabledChanged
pt | AddHandler
pt | RemoveHandler
pt | DoCallNotifyHandler
pt | DoCallKeyEventHandler
pt | DoCallMouseWheelEventHandler
pt | DoContextPopup
pt | SetZOrder
pt | GetControlClassDefaultSize
pt | ColorIsStored
pt | DoAutoAdjustLayout
pt | DoFixDesignFontPPI
pt | DoScaleFontPPI
pt | GetActionLinkClass
pt | ActionChange
 | DragDrop
 | Dock
 | ManualDock
 | ManualFloat
 | ReplaceDockedControl
 | Docked
 | Dragging
 | GetAccessibleObject
 | CreateAccessibleObject
 | GetSelectedChildAccessibleObject
 | GetChildAccessibleObjectAtPos
 | ScaleDesignToForm
 | ScaleFormToDesign
 | Scale96ToForm
 | ScaleFormTo96
 | Scale96ToFont
 | ScaleFontTo96
 | ScaleScreenToFont
 | ScaleFontToScreen
 | Scale96ToScreen
 | ScaleScreenTo96
 | AdjustSize
 | AutoSizePhases
 | AutoSizeDelayed
 | AutoSizeDelayedReport
 | AutoSizeDelayedHandle
 | AnchorToNeighbour
 | AnchorParallel
 | AnchorHorizontalCenterTo
 | AnchorVerticalCenterTo
 | AnchorToCompanion
 | AnchorSame
 | AnchorAsAlign
 | AnchorClient
 | AnchoredControlCount
 | SetBounds
 | SetInitialBounds
 | SetBoundsKeepBase
 | GetPreferredSize
 | GetCanvasScaleFactor
 | GetDefaultWidth
 | GetDefaultHeight
 | GetDefaultColor
 | GetColorResolvingParent
 | GetRGBColorResolvingParent
 | GetSidePosition
 | CNPreferredSizeChanged
 | InvalidatePreferredSize
 | GetAnchorsDependingOnParent
 | DisableAutoSizing
 | EnableAutoSizing
 | UpdateBaseBounds
 | WriteLayoutDebugReport
 | AutoAdjustLayout
 | ShouldAutoAdjust
 | FixDesignFontsPPI
 | ScaleFontsPPI
 | Create
 | Destroy
 | BeforeDestruction
 | EditingDone
 | ExecuteDefaultAction
 | ExecuteCancelAction
 | BeginDrag
 | EndDrag
 | BringToFront
 | HasParent
 | GetParentComponent
 | IsParentOf
 | GetTopParent
 | IsVisible
 | IsControlVisible
 | IsEnabled
 | IsParentColor
 | IsParentFont
 | FormIsUpdating
 | IsProcessingPaintMsg
 | Hide
 | Refresh
 | Repaint
 | Invalidate
 | CheckChildClassAllowed
 | CheckNewParent
 | SendToBack
 | SetTempCursor
 | UpdateRolesForForm
 | ActiveDefaultControlChanged
 | GetTextBuf
 | GetTextLen
 | SetTextBuf
 | Perform
 | ScreenToClient
 | ClientToScreen
 | ScreenToControl
 | ControlToScreen
 | ClientToParent
 | ParentToClient
 | GetChildrenRect
 | Show
 | Update
 | HandleObjectShouldBeVisible
 | ParentDestroyingHandle
 | ParentHandlesAllocated
 | InitiateAction
 | ShowHelp
 | HasHelp
 | RemoveAllHandlersOfObject
 | AddHandlerOnResize
 | RemoveHandlerOnResize
 | AddHandlerOnChangeBounds
 | RemoveHandlerOnChangeBounds
 | AddHandlerOnVisibleChanging
 | RemoveHandlerOnVisibleChanging
 | AddHandlerOnVisibleChanged
 | RemoveHandlerOnVisibleChanged
 | AddHandlerOnEnabledChanged
 | RemoveHandlerOnEnableChanging
 | AddHandlerOnKeyDown
 | RemoveHandlerOnKeyDown
 | AddHandlerOnBeforeDestruction
 | RemoveHandlerOnBeforeDestruction
 | AddHandlerOnMouseWheel
 | RemoveHandlerOnMouseWheel
 | UseRightToLeftAlignment
 | UseRightToLeftReading
 | UseRightToLeftScrollBar
 | IsRightToLeft
TLCLComponent
pt | WSRegisterClass
pt | GetWSComponentClass
 | Create
 | Destroy
 | NewInstance
 | RemoveAllHandlersOfObject
 | IncLCLRefCount
 | DecLCLRefCount
TComponent
 | GetComObject
 | GetComponent
 | GetComponentCount
 | GetComponentIndex
 | Insert
 | ReadLeft
 | ReadTop
 | Remove
 | RemoveNotification
 | SetComponentIndex
 | SetReference
 | WriteLeft
 | WriteTop
 | ChangeName
 | DefineProperties
 | GetChildren
 | GetChildOwner
 | GetChildParent
 | GetOwner
 | Loaded
 | Loading
 | Notification
 | PaletteCreated
 | ReadState
 | SetAncestor
 | SetDesigning
 | SetDesignInstance
 | SetInline
 | SetName
 | SetChildOrder
 | SetParentComponent
 | Updating
 | Updated
 | UpdateRegistry
 | ValidateRename
 | ValidateContainer
 | ValidateInsert
 | QueryInterface
 | _AddRef
 | _Release
 | iicrGetComponent
 | GetTypeInfoCount
 | GetTypeInfo
 | GetIDsOfNames
 | Invoke
 | WriteState
 | Create
 | Destroy
 | BeforeDestruction
 | DestroyComponents
 | Destroying
 | ExecuteAction
 | FindComponent
 | FreeNotification
 | RemoveFreeNotification
 | FreeOnRelease
 | GetEnumerator
 | GetNamePath
 | GetParentComponent
 | HasParent
 | InsertComponent
 | RemoveComponent
 | SafeCallException
 | SetSubComponent
 | UpdateAction
 | IsImplementorOf
 | ReferenceInterface
TPersistent
 | AssignError
 | AssignTo
 | DefineProperties
 | GetOwner
 | Destroy
 | Assign
 | FPOAttachObserver
 | FPODetachObserver
 | FPONotifyObservers
 | GetNamePath
TObject
 | Create
 | Destroy
 | newinstance
 | FreeInstance
 | SafeCallException
 | DefaultHandler
 | Free
 | InitInstance
 | CleanupInstance
 | ClassType
 | ClassInfo
 | ClassName
 | ClassNameIs
 | ClassParent
 | InstanceSize
 | InheritsFrom
 | StringMessageTable
 | MethodAddress
 | MethodName
 | FieldAddress
 | AfterConstruction
 | BeforeDestruction
 | DefaultHandlerStr
 | Dispatch
 | DispatchStr
 | GetInterface
 | GetInterfaceByStr
 | GetInterfaceWeak
 | GetInterfaceEntry
 | GetInterfaceEntryByStr
 | GetInterfaceTable
 | UnitName
 | Equals
 | GetHashCode
 | ToString


TLabel
pl | ro | OnChangeBounds
pl | ro | OnClick
pl | ro | OnContextPopup
pl | ro | OnDblClick
pl | ro | OnDragDrop
pl | ro | OnDragOver
pl | ro | OnEndDrag
pl | ro | OnMouseDown
pl | ro | OnMouseEnter
pl | ro | OnMouseLeave
pl | ro | OnMouseMove
pl | ro | OnMouseUp
pl | ro | OnMouseWheel
pl | ro | OnMouseWheelDown
pl | ro | OnMouseWheelUp
pl | ro | OnMouseWheelHorz
pl | ro | OnMouseWheelLeft
pl | ro | OnMouseWheelRight
pl | ro | OnResize
pl | ro | OnStartDrag
TCustomLabel
TGraphicControl
pt |  | OnPaint
TControl
pt |  | OnConstrainedResize
pt |  | OnContextPopup
pt |  | OnDblClick
pt |  | OnTripleClick
pt |  | OnQuadClick
pt |  | OnDragDrop
pt |  | OnDragOver
pt |  | OnEndDock
pt |  | OnEndDrag
pt |  | OnMouseDown
pt |  | OnMouseMove
pt |  | OnMouseUp
pt |  | OnMouseEnter
pt |  | OnMouseLeave
pt |  | OnMouseWheel
pt |  | OnMouseWheelDown
pt |  | OnMouseWheelUp
pt |  | OnMouseWheelHorz
pt |  | OnMouseWheelLeft
pt |  | OnMouseWheelRight
pt |  | OnStartDock
pt |  | OnStartDrag
pt |  | OnEditingDone
 |  | OnChangeBounds
 |  | OnClick
 |  | OnResize
 |  | OnShowHint
TLCLComponent
TComponent
TPersistent
TObject


pl | ro | OnChangeBounds (TLabel)
 |  | OnClick (TControl)
pl | ro | OnClick (TLabel)
pt |  | OnConstrainedResize (TControl)
pt |  | OnContextPopup (TControl)
pl | ro | OnContextPopup (TLabel)
pt |  | OnDblClick (TControl)
pl | ro | OnDblClick (TLabel)
pt |  | OnDragDrop (TControl)
pl | ro | OnDragDrop (TLabel)
pt |  | OnDragOver (TControl)
pl | ro | OnDragOver (TLabel)
pt |  | OnEditingDone (TControl)
pt |  | OnEndDock (TControl)
pt |  | OnEndDrag (TControl)
pl | ro | OnEndDrag (TLabel)
pt |  | OnMouseDown (TControl)
pl | ro | OnMouseDown (TLabel)
pt |  | OnMouseEnter (TControl)
pl | ro | OnMouseEnter (TLabel)
pt |  | OnMouseLeave (TControl)
pl | ro | OnMouseLeave (TLabel)
pt |  | OnMouseMove (TControl)
pl | ro | OnMouseMove (TLabel)
pt |  | OnMouseUp (TControl)
pl | ro | OnMouseUp (TLabel)
pt |  | OnMouseWheel (TControl)
pl | ro | OnMouseWheel (TLabel)
pt |  | OnMouseWheelDown (TControl)
pl | ro | OnMouseWheelDown (TLabel)
pt |  | OnMouseWheelHorz (TControl)
pl | ro | OnMouseWheelHorz (TLabel)
pt |  | OnMouseWheelLeft (TControl)
pl | ro | OnMouseWheelLeft (TLabel)
pt |  | OnMouseWheelRight (TControl)
pl | ro | OnMouseWheelRight (TLabel)
pt |  | OnMouseWheelUp (TControl)
pl | ro | OnMouseWheelUp (TLabel)
pt |  | OnPaint (TGraphicControl)
pt |  | OnQuadClick (TControl)
 |  | OnResize (TControl)
pl | ro | OnResize (TLabel)
 |  | OnShowHint (TControl)
pt |  | OnStartDock (TControl)
pt |  | OnStartDrag (TControl)
pl | ro | OnStartDrag (TLabel)
pt |  | OnTripleClick (TControl)


TLabel.OnMouseWheel

Declaration

Source position: stdctrls.pp line 1627

published property TLabel.OnMouseWheel : TMouseWheelEvent;


TLabel.OnMouseWheelDown

Declaration

Source position: stdctrls.pp line 1628

published property TLabel.OnMouseWheelDown : TMouseWheelUpDownEvent;


TLabel.OnMouseWheelHorz

Declaration

Source position: stdctrls.pp line 1630

published property TLabel.OnMouseWheelHorz : TMouseWheelEvent;


TLabel.OnMouseWheelLeft

Declaration

Source position: stdctrls.pp line 1631

published property TLabel.OnMouseWheelLeft : TMouseWheelUpDownEvent;


TLabel.OnMouseWheelRight

Declaration

Source position: stdctrls.pp line 1632

published property TLabel.OnMouseWheelRight : TMouseWheelUpDownEvent;


TLabel.OnMouseWheelUp

Declaration

Source position: stdctrls.pp line 1629

published property TLabel.OnMouseWheelUp : TMouseWheelUpDownEvent;


TListBox

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

A scrollable list of strings.

Declaration

Source position: stdctrls.pp line 655

type TListBox = class(TCustomListBox)
published
property Align: TAlign; | Specifies the placement of the control inside its Parent.
property Anchors: TAnchors; | The set of anchor definitions for this control.
property BidiMode: TBiDiMode; | Customization (of text controls) in bidirectional reading environments.
property BorderSpacing: TControlBorderSpacing; | Determines the inner and outer border spacing for this control.
property BorderStyle: TBorderStyle; | Allows to show a border (line) around the control,
property ClickOnSelChange: Boolean; | Allows selection changes to generate a Click event.
property Color: TColor; | The background color of the control.
property Columns: Integer; | The number of visible vertical columns.
property Constraints: TSizeConstraints; | The minimal and maximal Width and Height of this control.
property DoubleBuffered: Boolean;
property DragCursor: TCursor; | The cursor shape shown while the control is dragged.
property DragKind: TDragKind; | The operation when the control is dragged - Drag or Dock.
property DragMode: TDragMode; | Allows the user to drag the control.
property ExtendedSelect: Boolean; | True when a contiguous range of items can be selected by a SHIFT-click. Default True.
property Enabled: Boolean; | Determines whether the control reacts on mouse or keyboard input.
property Font: TFont; | The font to be used for text display in this control.
property IntegralHeight: Boolean; | Not implemented: shrink the Height of the widget, so that it only shows fully visible rows.
property Items: TStrings; | The list of all items in the control.
property ItemHeight: Integer; | The default height of all items.
property ItemIndex: Integer;
property MultiSelect: Boolean; | Allows to select more than one Item from the list, using CTRL-click.
property OnChangeBounds: TNotifyEvent; | Event handler for a change of the Bounds of the control.
property OnClick: TNotifyEvent; | Notification handler for mouse clicks.
property OnContextPopup: TContextPopupEvent; | Invoked when a context-sensitive pop-up menu is requested.
property OnDblClick: TNotifyEvent; | Event Handler for double mouse clicks.
property OnDragDrop: TDragDropEvent; | This handler determines the action on an drop onto this control, in a drag-drop operation.
property OnDragOver: TDragOverEvent; | Event handler for a control being dragged over this control.
property OnDrawItem: TDrawItemEvent; | Handler for special painting of an item (in owner-draw mode).
property OnEnter: TNotifyEvent; | Handler for control receiving the focus.
property OnEndDrag: TEndDragEvent; | Notification handler for the end of a dragging operation.
property OnExit: TNotifyEvent; | Handler for control loosing the focus. This is a good place for checking the finished user input.
property OnKeyPress: TKeyPressEvent; | Handler for a character entered by the user.
property OnKeyDown: TKeyEvent; | Handler for keyboard key pressed.
property OnKeyUp: TKeyEvent; | Handler for keyboard key released.
property OnMeasureItem: TMeasureItemEvent; | Handler invoked when the height of an item is required.
property OnMouseDown: TMouseEvent; | Event handler for mouse button going down.
property OnMouseEnter: TNotifyEvent; | Event handler for mouse entering the area of the control.
property OnMouseLeave: TNotifyEvent; | Event handler for mouse leaving the area of the control.
property OnMouseMove: TMouseMoveEvent; | Event handler for mouse movement within the control.
property OnMouseUp: TMouseEvent; | Event handler for mouse button going up.
property OnMouseWheel: TMouseWheelEvent; | Event handler for mouse wheel turned.
property OnMouseWheelDown: TMouseWheelUpDownEvent; | Notification handler for downward movement of mouse wheel.
property OnMouseWheelUp: TMouseWheelUpDownEvent; | Notification handler for upward movement of mouse wheel.
property OnMouseWheelHorz: TMouseWheelEvent;
property OnMouseWheelLeft: TMouseWheelUpDownEvent;
property OnMouseWheelRight: TMouseWheelUpDownEvent;
property OnResize: TNotifyEvent; | Notification handler for a resize of the control.
property OnSelectionChange: TSelectionChangeEvent; | Handler invoked when an item is selected.
property OnShowHint: TControlShowHintEvent; | Event Handler when a hint shall be shown.
property OnStartDrag: TStartDragEvent;
property OnUTF8KeyPress: TUTF8KeyPressEvent; | Handler for a character entered by the user.
property Options: TListBoxOptions;
property ParentBidiMode: Boolean;
property ParentColor: Boolean; | If true, the Color of the control will be the same as the one from the Parent. Default is true.
property ParentDoubleBuffered: Boolean;
property ParentShowHint: Boolean;
property ParentFont: Boolean; | If true, the Font of the control will be the same as the one from the Parent. Default is true.
property PopupMenu: TPopupMenu; | A context-sensitive menu that pops up when the right mouse button is clicked over this control
property ScrollWidth: Integer;
property ShowHint: Boolean; | Enables the Hint display.
property Sorted: Boolean; | Determines whether the list entries are sorted.
property Style: TListBoxStyle; | Appearance of the ListBox - normal, owner-draw fixed, or owner-draw variable.
property TabOrder: TTabOrder; | Determines the sequence of controls, reachable when the user presses the Tab key.
property TabStop: Boolean; | Allows the user to navigate to this control, by pressing the Tab key.
property TopIndex: Integer; | Index of the first visible (topmost) item.
property Visible: Boolean; | Allows to show or hide the control, and all of its children.
end;

Inheritance

TListBox | A scrollable list of strings.
|
TCustomListBox | The base class for TListBox.
|
TWinControl | The base class for controls which can contain other (child) controls.
|
TControl | The base class for visible controls.
|
TLCLComponent | The base class for LCL components associated with widgets.
|
TComponent,IUnknown,IInterfaceComponentReference
|
TPersistent,IFPObserved
|
TObject

Description

The strings are stored in the Items list.

At design time a click on the ellipsis (...) next to the Items entry in the Object Inspector opens an string-list editor, in which the individual text-strings for the list items can be entered or edited. The editor also allows the entries to be sorted alphabetically in normal or reverse order.

See also

TComboBox | A combination of an edit box and a (drop-down) list allowing one of several options to be chosen.
HowToUseStdCtrls | How to use StdCtrls, ComCtrls or ExtCtrls


TListBox
pl | ro | Align
pl | ro | Anchors
pl | ro | BidiMode
pl | ro | BorderSpacing
pl | ro | BorderStyle
pl | ro | ClickOnSelChange
pl | ro | Color
pl | ro | Columns
pl | ro | Constraints
pl | ro | DoubleBuffered
pl | ro | DragCursor
pl | ro | DragKind
pl | ro | DragMode
pl | ro | ExtendedSelect
pl | ro | Enabled
pl | ro | Font
pl | ro | IntegralHeight
pl | ro | Items
pl | ro | ItemHeight
pl | ro | ItemIndex
pl | ro | MultiSelect
pl | ro | Options
pl | ro | ParentBidiMode
pl | ro | ParentColor
pl | ro | ParentDoubleBuffered
pl | ro | ParentShowHint
pl | ro | ParentFont
pl | ro | PopupMenu
pl | ro | ScrollWidth
pl | ro | ShowHint
pl | ro | Sorted
pl | ro | Style
pl | ro | TabOrder
pl | ro | TabStop
pl | ro | TopIndex
pl | ro | Visible
TCustomListBox
 | ro | Align
 | ro | Anchors
 | ro | BorderStyle
 | ro | Canvas
 |  | ClickOnSelChange
 |  | Columns
 | ro | Constraints
 | ro | Count
 |  | ExtendedSelect
 | ro | Font
 |  | IntegralHeight
 |  | ItemHeight
 |  | ItemIndex
 |  | Items
 |  | MultiSelect
 |  | Options
 | ro | ParentColor
 | ro | ParentFont
 | ro | ParentShowHint
 | ro | PopupMenu
 |  | ScrollWidth
 | ro | SelCount
 |  | Selected
 | ro | ShowHint
 |  | Sorted
 |  | Style
 | ro | TabOrder
 | ro | TabStop
 |  | TopIndex
 | ro | Visible
TWinControl
pt |  | WindowHandle
pt |  | BorderStyle
pt |  | ParentBackground
 |  | BorderWidth
 | ro | BoundsLockCount
 | ro | Brush
 | ro | CachedClientHeight
 | ro | CachedClientWidth
 |  | ChildSizing
 | ro | ControlCount
 | ro | Controls
 |  | DefWndProc
 | ro | DockClientCount
 | ro | DockClients
 |  | DockManager
 |  | DockSite
 |  | DoubleBuffered
 |  | Handle
 | ro | IsFlipped
 | ro | IsResizing
 |  | TabOrder
 |  | TabStop
 |  | ParentDoubleBuffered
 |  | ParentWindow
 | ro | Showing
 |  | UseDockManager
 |  | DesignerDeleting
 | ro | VisibleDockClientCount
TControl
pt | ro | AutoSizing
pt | ro | AutoSizingAll
pt | ro | AutoSizingLockCount
pt |  | ActionLink
pt |  | DesktopFont
pt |  | DragCursor
pt |  | DragKind
pt |  | DragMode
pt |  | MouseCapture
pt |  | ParentColor
pt |  | ParentFont
pt |  | ParentShowHint
pt |  | SessionProperties
pt |  | Text
 | ro | AnchoredControls
 | ro | BaseBounds
 | ro | ReadBounds
 | ro | BaseParentClientSize
 |  | AccessibleDescription
 |  | AccessibleValue
 |  | AccessibleRole
 |  | Action
 |  | Align
 |  | Anchors
 | ro | AnchorSide
 |  | AutoSize
 |  | BorderSpacing
 |  | BoundsRect
 |  | BoundsRectForNewParent
 |  | Caption
 |  | CaptureMouseButtons
 |  | ClientHeight
 | ro | ClientOrigin
 | ro | ClientRect
 |  | ClientWidth
 |  | Color
 |  | Constraints
 | ro | ControlOrigin
 |  | ControlState
 |  | ControlStyle
 |  | Enabled
 |  | Font
 |  | IsControl
 | ro | MouseEntered
 | ro | MouseInClient
 |  | Parent
 |  | PopupMenu
 |  | ShowHint
 |  | Visible
 |  | WindowProc
 |  | DockOrientation
 | ro | Floating
 |  | FloatingDockSiteClass
 |  | HostDockSite
 |  | LRDockWidth
 |  | TBDockHeight
 |  | UndockHeight
 |  | UndockWidth
 |  | BiDiMode
 |  | ParentBiDiMode
pl |  | AnchorSideLeft
pl |  | AnchorSideTop
pl |  | AnchorSideRight
pl |  | AnchorSideBottom
pl |  | Cursor
pl |  | Left
pl |  | Height
pl |  | Hint
pl |  | Top
pl |  | Width
pl |  | HelpType
pl |  | HelpKeyword
pl |  | HelpContext
TLCLComponent
 | ro | LCLRefCount
 | ro | WidgetSetClass
TComponent
 | ro | ComObject
 | ro | Components
 | ro | ComponentCount
 |  | ComponentIndex
 | ro | ComponentState
 | ro | ComponentStyle
 |  | DesignInfo
 | ro | Owner
 |  | VCLComObject
 |  | Name
 |  | Tag
TPersistent
TObject


 |  | AccessibleDescription (TControl)
 |  | AccessibleRole (TControl)
 |  | AccessibleValue (TControl)
 |  | Action (TControl)
pt |  | ActionLink (TControl)
 |  | Align (TControl)
 | ro | Align (TCustomListBox)
pl | ro | Align (TListBox)
 | ro | AnchoredControls (TControl)
 |  | Anchors (TControl)
 | ro | Anchors (TCustomListBox)
pl | ro | Anchors (TListBox)
 | ro | AnchorSide (TControl)
pl |  | AnchorSideBottom (TControl)
pl |  | AnchorSideLeft (TControl)
pl |  | AnchorSideRight (TControl)
pl |  | AnchorSideTop (TControl)
 |  | AutoSize (TControl)
pt | ro | AutoSizing (TControl)
pt | ro | AutoSizingAll (TControl)
pt | ro | AutoSizingLockCount (TControl)
 | ro | BaseBounds (TControl)
 | ro | BaseParentClientSize (TControl)
 |  | BiDiMode (TControl)
pl | ro | BidiMode (TListBox)
 |  | BorderSpacing (TControl)
pl | ro | BorderSpacing (TListBox)
pt |  | BorderStyle (TWinControl)
 | ro | BorderStyle (TCustomListBox)
pl | ro | BorderStyle (TListBox)
 |  | BorderWidth (TWinControl)
 | ro | BoundsLockCount (TWinControl)
 |  | BoundsRect (TControl)
 |  | BoundsRectForNewParent (TControl)
 | ro | Brush (TWinControl)
 | ro | CachedClientHeight (TWinControl)
 | ro | CachedClientWidth (TWinControl)
 | ro | Canvas (TCustomListBox)
 |  | Caption (TControl)
 |  | CaptureMouseButtons (TControl)
 |  | ChildSizing (TWinControl)
 |  | ClickOnSelChange (TCustomListBox)
pl | ro | ClickOnSelChange (TListBox)
 |  | ClientHeight (TControl)
 | ro | ClientOrigin (TControl)
 | ro | ClientRect (TControl)
 |  | ClientWidth (TControl)
 |  | Color (TControl)
pl | ro | Color (TListBox)
 |  | Columns (TCustomListBox)
pl | ro | Columns (TListBox)
 | ro | ComObject (TComponent)
 | ro | ComponentCount (TComponent)
 |  | ComponentIndex (TComponent)
 | ro | Components (TComponent)
 | ro | ComponentState (TComponent)
 | ro | ComponentStyle (TComponent)
 |  | Constraints (TControl)
 | ro | Constraints (TCustomListBox)
pl | ro | Constraints (TListBox)
 | ro | ControlCount (TWinControl)
 | ro | ControlOrigin (TControl)
 | ro | Controls (TWinControl)
 |  | ControlState (TControl)
 |  | ControlStyle (TControl)
 | ro | Count (TCustomListBox)
pl |  | Cursor (TControl)
 |  | DefWndProc (TWinControl)
 |  | DesignerDeleting (TWinControl)
 |  | DesignInfo (TComponent)
pt |  | DesktopFont (TControl)
 | ro | DockClientCount (TWinControl)
 | ro | DockClients (TWinControl)
 |  | DockManager (TWinControl)
 |  | DockOrientation (TControl)
 |  | DockSite (TWinControl)
 |  | DoubleBuffered (TWinControl)
pl | ro | DoubleBuffered (TListBox)
pt |  | DragCursor (TControl)
pl | ro | DragCursor (TListBox)
pt |  | DragKind (TControl)
pl | ro | DragKind (TListBox)
pt |  | DragMode (TControl)
pl | ro | DragMode (TListBox)
 |  | Enabled (TControl)
pl | ro | Enabled (TListBox)
 |  | ExtendedSelect (TCustomListBox)
pl | ro | ExtendedSelect (TListBox)
 | ro | Floating (TControl)
 |  | FloatingDockSiteClass (TControl)
 |  | Font (TControl)
 | ro | Font (TCustomListBox)
pl | ro | Font (TListBox)
 |  | Handle (TWinControl)
pl |  | Height (TControl)
pl |  | HelpContext (TControl)
pl |  | HelpKeyword (TControl)
pl |  | HelpType (TControl)
pl |  | Hint (TControl)
 |  | HostDockSite (TControl)
 |  | IntegralHeight (TCustomListBox)
pl | ro | IntegralHeight (TListBox)
 |  | IsControl (TControl)
 | ro | IsFlipped (TWinControl)
 | ro | IsResizing (TWinControl)
 |  | ItemHeight (TCustomListBox)
pl | ro | ItemHeight (TListBox)
 |  | ItemIndex (TCustomListBox)
pl | ro | ItemIndex (TListBox)
 |  | Items (TCustomListBox)
pl | ro | Items (TListBox)
 | ro | LCLRefCount (TLCLComponent)
pl |  | Left (TControl)
 |  | LRDockWidth (TControl)
pt |  | MouseCapture (TControl)
 | ro | MouseEntered (TControl)
 | ro | MouseInClient (TControl)
 |  | MultiSelect (TCustomListBox)
pl | ro | MultiSelect (TListBox)
 |  | Name (TComponent)
 |  | Options (TCustomListBox)
pl | ro | Options (TListBox)
 | ro | Owner (TComponent)
 |  | Parent (TControl)
pt |  | ParentBackground (TWinControl)
 |  | ParentBiDiMode (TControl)
pl | ro | ParentBidiMode (TListBox)
pt |  | ParentColor (TControl)
 | ro | ParentColor (TCustomListBox)
pl | ro | ParentColor (TListBox)
 |  | ParentDoubleBuffered (TWinControl)
pl | ro | ParentDoubleBuffered (TListBox)
pt |  | ParentFont (TControl)
 | ro | ParentFont (TCustomListBox)
pl | ro | ParentFont (TListBox)
pt |  | ParentShowHint (TControl)
 | ro | ParentShowHint (TCustomListBox)
pl | ro | ParentShowHint (TListBox)
 |  | ParentWindow (TWinControl)
 |  | PopupMenu (TControl)
 | ro | PopupMenu (TCustomListBox)
pl | ro | PopupMenu (TListBox)
 | ro | ReadBounds (TControl)
 |  | ScrollWidth (TCustomListBox)
pl | ro | ScrollWidth (TListBox)
 | ro | SelCount (TCustomListBox)
 |  | Selected (TCustomListBox)
pt |  | SessionProperties (TControl)
 |  | ShowHint (TControl)
 | ro | ShowHint (TCustomListBox)
pl | ro | ShowHint (TListBox)
 | ro | Showing (TWinControl)
 |  | Sorted (TCustomListBox)
pl | ro | Sorted (TListBox)
 |  | Style (TCustomListBox)
pl | ro | Style (TListBox)
 |  | TabOrder (TWinControl)
 | ro | TabOrder (TCustomListBox)
pl | ro | TabOrder (TListBox)
 |  | TabStop (TWinControl)
 | ro | TabStop (TCustomListBox)
pl | ro | TabStop (TListBox)
 |  | Tag (TComponent)
 |  | TBDockHeight (TControl)
pt |  | Text (TControl)
pl |  | Top (TControl)
 |  | TopIndex (TCustomListBox)
pl | ro | TopIndex (TListBox)
 |  | UndockHeight (TControl)
 |  | UndockWidth (TControl)
 |  | UseDockManager (TWinControl)
 |  | VCLComObject (TComponent)
 |  | Visible (TControl)
 | ro | Visible (TCustomListBox)
pl | ro | Visible (TListBox)
 | ro | VisibleDockClientCount (TWinControl)
 | ro | WidgetSetClass (TLCLComponent)
pl |  | Width (TControl)
pt |  | WindowHandle (TWinControl)
 |  | WindowProc (TControl)


TListBox
TCustomListBox
pt | WSRegisterClass
pt | AssignItemDataToCache
pt | AssignCacheToItemData
pt | BeforeDragStart
pt | BeginAutoDrag
pt | CalculateStandardItemHeight
pt | CreateParams
pt | InitializeWnd
pt | DestroyWnd
pt | FinalizeWnd
pt | GetControlClassDefaultSize
pt | CheckIndex
pt | GetItemHeight
pt | GetItemIndex
pt | GetSelCount
pt | GetSelected
pt | GetCachedDataSize
pt | GetCachedData
pt | SetExtendedSelect
pt | SetItemIndex
pt | SetItems
pt | SetItemHeight
pt | SetMultiSelect
pt | SetSelected
pt | SetSorted
pt | SetStyle
pt | DrawItem
pt | DoAutoAdjustLayout
pt | DoSelectionChange
pt | SendItemIndex
pt | WMGetDlgCode
 | Create
 | Destroy
 | AddItem
 | Click
 | Clear
 | ClearSelection
 | GetIndexAtXY
 | GetIndexAtY
 | GetSelectedText
 | ItemAtPos
 | ItemRect
 | ItemVisible
 | ItemFullyVisible
 | LockSelectionChange
 | MakeCurrentVisible
 | MeasureItem
 | SelectAll
 | DeleteSelected
 | UnlockSelectionChange
TWinControl
pt | WSRegisterClass
pt | AdjustClientRect
pt | GetAdjustedLogicalClientRect
pt | AlignControls
pt | CustomAlignInsertBefore
pt | CustomAlignPosition
pt | DoAlignChildControls
pt | DoChildSizingChange
pt | InvalidatePreferredChildSizes
pt | CanTab
pt | IsClientHeightStored
pt | IsClientWidthStored
pt | DoSendShowHideToInterface
pt | ControlsAligned
pt | DoSendBoundsToInterface
pt | RealizeBounds
pt | RealizeBoundsRecursive
pt | InvalidateBoundsRealized
pt | CreateSubClass
pt | DoConstraintsChange
pt | DoSetBounds
pt | DoAutoSize
pt | DoAllAutoSize
pt | AllAutoSized
pt | CalculatePreferredSize
pt | GetPreferredSizeClientFrame
pt | GetChildren
pt | ChildClassAllowed
pt | PaintControls
pt | PaintHandler
pt | PaintWindow
pt | CreateBrush
pt | ScaleControls
pt | ChangeScale
pt | CMBiDiModeChanged
pt | CMBorderChanged
pt | CMDoubleBufferedChanged
pt | CMEnabledChanged
pt | CMParentDoubleBufferedChanged
pt | CMShowingChanged
pt | CMShowHintChanged
pt | CMVisibleChanged
pt | CMEnter
pt | CMExit
pt | WMContextMenu
pt | WMEraseBkgnd
pt | WMNotify
pt | WMSetFocus
pt | WMKillFocus
pt | WMShowWindow
pt | WMEnter
pt | WMExit
pt | WMKeyDown
pt | WMSysKeyDown
pt | WMKeyUp
pt | WMSysKeyUp
pt | WMChar
pt | WMSysChar
pt | WMPaint
pt | WMDestroy
pt | WMMove
pt | WMSize
pt | WMWindowPosChanged
pt | CNKeyDown
pt | CNSysKeyDown
pt | CNKeyUp
pt | CNSysKeyUp
pt | CNChar
pt | DoDragMsg
pt | DoDockClientMsg
pt | DoUndockClientMsg
pt | DoAddDockClient
pt | DockOver
pt | DoDockOver
pt | DoRemoveDockClient
pt | DoUnDock
pt | GetSiteInfo
pt | GetParentHandle
pt | GetTopParentHandle
pt | ReloadDockedControl
pt | CreateDockManager
pt | SetDockManager
pt | DoFloatMsg
pt | DoGetDockCaption
pt | DoEnter
pt | DoExit
pt | DoKeyDownBeforeInterface
pt | DoRemainingKeyDown
pt | DoRemainingKeyUp
pt | DoKeyPress
pt | DoUTF8KeyPress
pt | DoKeyUpBeforeInterface
pt | ChildKey
pt | SendDialogChar
pt | DialogChar
pt | ControlKeyDown
pt | ControlKeyUp
pt | KeyDown
pt | KeyDownBeforeInterface
pt | KeyDownAfterInterface
pt | KeyPress
pt | KeyUp
pt | KeyUpBeforeInterface
pt | KeyUpAfterInterface
pt | UTF8KeyPress
pt | FindNextControl
pt | SelectFirst
pt | RealGetText
pt | GetBorderStyle
pt | GetClientOrigin
pt | GetClientRect
pt | GetControlOrigin
pt | GetDeviceContext
pt | GetParentBackground
pt | IsControlMouseMsg
pt | CreateHandle
pt | CreateParams
pt | CreateWnd
pt | DestroyHandle
pt | DestroyWnd
pt | DoFlipChildren
pt | FinalizeWnd
pt | FixupTabList
pt | FontChanged
pt | InitializeWnd
pt | Loaded
pt | FormEndUpdated
pt | MainWndProc
pt | ParentFormHandleInitialized
pt | ChildHandlesCreated
pt | GetMouseCapture
pt | RealSetText
pt | RemoveFocus
pt | SendMoveSizeMessages
pt | SetBorderStyle
pt | SetColor
pt | SetChildZPosition
pt | SetParentBackground
pt | ShowControl
pt | UpdateControlState
pt | UpdateShowing
pt | WndProc
pt | WSSetText
 | AutoSizePhases
 | AutoSizeDelayed
 | AutoSizeDelayedReport
 | AutoSizeDelayedHandle
 | BeginUpdateBounds
 | EndUpdateBounds
 | LockRealizeBounds
 | UnlockRealizeBounds
 | ControlAtPos
 | ContainsControl
 | DoAdjustClientRectChange
 | InvalidateClientRectCache
 | ClientRectNeedsInterfaceUpdate
 | SetBounds
 | GetChildrenRect
 | DisableAlign
 | EnableAlign
 | ReAlign
 | ScrollBy_WS
 | ScrollBy
 | WriteLayoutDebugReport
 | AutoAdjustLayout
 | Create
 | CreateParented
 | CreateParentedControl
 | Destroy
 | DockDrop
 | CanFocus
 | CanSetFocus
 | GetControlIndex
 | SetControlIndex
 | Focused
 | PerformTab
 | FindChildControl
 | SelectNext
 | SetTempCursor
 | BroadCast
 | NotifyControls
 | DefaultHandler
 | GetTextLen
 | Invalidate
 | AddControl
 | InsertControl
 | RemoveControl
 | GetEnumeratorControls
 | GetEnumeratorControlsReverse
 | Repaint
 | Update
 | SetFocus
 | FlipChildren
 | ScaleBy
 | GetDockCaption
 | UpdateDockCaption
 | GetTabOrderList
 | HandleAllocated
 | ParentHandlesAllocated
 | HandleNeeded
 | BrushCreated
 | EraseBackground
 | IntfUTF8KeyPress
 | IntfGetDropFilesTarget
 | PaintTo
 | SetShape
TControl
pt | WSRegisterClass
pt | GetCursor
pt | SetCursor
pt | SetVisible
pt | DoOnParentHandleDestruction
pt | DoAutoSize
pt | DoAllAutoSize
pt | BeginAutoSizing
pt | EndAutoSizing
pt | AnchorSideChanged
pt | ForeignAnchorSideChanged
pt | SetAlign
pt | SetAnchors
pt | SetAutoSize
pt | BoundsChanged
pt | CreateControlBorderSpacing
pt | DoConstraintsChange
pt | DoBorderSpacingChange
pt | IsBorderSpacingInnerBorderStored
pt | IsCaptionStored
pt | SendMoveSizeMessages
pt | ConstrainedResize
pt | CalculatePreferredSize
pt | DoOnResize
pt | DoOnChangeBounds
pt | CheckOnChangeBounds
pt | Resize
pt | RequestAlign
pt | UpdateAnchorRules
pt | ChangeBounds
pt | DoSetBounds
pt | ScaleConstraints
pt | ChangeScale
pt | CanAutoSize
pt | SetBiDiMode
pt | SetParentBiDiMode
pt | IsAParentAligning
pt | GetClientOrigin
pt | GetClientRect
pt | GetLogicalClientRect
pt | GetScrolledClientRect
pt | GetClientScrollOffset
pt | GetControlOrigin
pt | IsClientHeightStored
pt | IsClientWidthStored
pt | WidthIsAnchored
pt | HeightIsAnchored
pt | WMCancelMode
pt | WMContextMenu
pt | WMLButtonDown
pt | WMRButtonDown
pt | WMMButtonDown
pt | WMXButtonDown
pt | WMLButtonDBLCLK
pt | WMRButtonDBLCLK
pt | WMMButtonDBLCLK
pt | WMXButtonDBLCLK
pt | WMLButtonTripleCLK
pt | WMRButtonTripleCLK
pt | WMMButtonTripleCLK
pt | WMXButtonTripleCLK
pt | WMLButtonQuadCLK
pt | WMRButtonQuadCLK
pt | WMMButtonQuadCLK
pt | WMXButtonQuadCLK
pt | WMMouseMove
pt | WMLButtonUp
pt | WMRButtonUp
pt | WMMButtonUp
pt | WMXButtonUp
pt | WMMouseWheel
pt | WMMouseHWheel
pt | WMMove
pt | WMSize
pt | WMWindowPosChanged
pt | CMChanged
pt | LMCaptureChanged
pt | CMBiDiModeChanged
pt | CMSysFontChanged
pt | CMEnabledChanged
pt | CMHitTest
pt | CMMouseEnter
pt | CMMouseLeave
pt | CMHintShow
pt | CMParentBiDiModeChanged
pt | CMParentColorChanged
pt | CMParentFontChanged
pt | CMParentShowHintChanged
pt | CMVisibleChanged
pt | CMTextChanged
pt | CMCursorChanged
pt | CalculateDockSizes
pt | CreateFloatingDockSite
pt | GetDockEdge
pt | GetDragImages
pt | GetFloating
pt | GetFloatingDockSiteClass
pt | BeforeDragStart
pt | BeginAutoDrag
pt | DoFloatMsg
pt | DockTrackNoTarget
pt | DoDock
pt | DoDragMsg
pt | DoEndDock
pt | DoEndDrag
pt | DoStartDock
pt | DoStartDrag
pt | DragCanceled
pt | DragOver
pt | PositionDockRect
pt | SetDragMode
pt | GetDefaultDockCaption
pt | Click
pt | DblClick
pt | TripleClick
pt | QuadClick
pt | GetMousePosFromMessage
pt | MouseDown
pt | MouseMove
pt | MouseUp
pt | MouseEnter
pt | MouseLeave
pt | DialogChar
pt | UpdateMouseCursor
pt | Changed
pt | GetPalette
pt | ChildClassAllowed
pt | ReadState
pt | Loaded
pt | LoadedAll
pt | DefineProperties
pt | AssignTo
pt | FormEndUpdated
pt | InvalidateControl
pt | FontChanged
pt | ParentFontChanged
pt | GetAction
pt | RealGetText
pt | RealSetText
pt | TextChanged
pt | GetCachedText
pt | SetAction
pt | SetColor
pt | SetEnabled
pt | SetHint
pt | SetName
pt | SetParent
pt | SetParentComponent
pt | WndProc
pt | ParentFormHandleInitialized
pt | GetMouseCapture
pt | CaptureChanged
pt | Notification
pt | CanTab
pt | GetDeviceContext
pt | GetEnabled
pt | GetPopupMenu
pt | DoOnShowHint
pt | DoMouseWheel
pt | DoMouseWheelDown
pt | DoMouseWheelUp
pt | DoMouseWheelHorz
pt | DoMouseWheelLeft
pt | DoMouseWheelRight
pt | VisibleChanging
pt | VisibleChanged
pt | EnabledChanging
pt | EnabledChanged
pt | AddHandler
pt | RemoveHandler
pt | DoCallNotifyHandler
pt | DoCallKeyEventHandler
pt | DoCallMouseWheelEventHandler
pt | DoContextPopup
pt | SetZOrder
pt | GetControlClassDefaultSize
pt | ColorIsStored
pt | DoAutoAdjustLayout
pt | DoFixDesignFontPPI
pt | DoScaleFontPPI
pt | GetActionLinkClass
pt | ActionChange
 | DragDrop
 | Dock
 | ManualDock
 | ManualFloat
 | ReplaceDockedControl
 | Docked
 | Dragging
 | GetAccessibleObject
 | CreateAccessibleObject
 | GetSelectedChildAccessibleObject
 | GetChildAccessibleObjectAtPos
 | ScaleDesignToForm
 | ScaleFormToDesign
 | Scale96ToForm
 | ScaleFormTo96
 | Scale96ToFont
 | ScaleFontTo96
 | ScaleScreenToFont
 | ScaleFontToScreen
 | Scale96ToScreen
 | ScaleScreenTo96
 | AdjustSize
 | AutoSizePhases
 | AutoSizeDelayed
 | AutoSizeDelayedReport
 | AutoSizeDelayedHandle
 | AnchorToNeighbour
 | AnchorParallel
 | AnchorHorizontalCenterTo
 | AnchorVerticalCenterTo
 | AnchorToCompanion
 | AnchorSame
 | AnchorAsAlign
 | AnchorClient
 | AnchoredControlCount
 | SetBounds
 | SetInitialBounds
 | SetBoundsKeepBase
 | GetPreferredSize
 | GetCanvasScaleFactor
 | GetDefaultWidth
 | GetDefaultHeight
 | GetDefaultColor
 | GetColorResolvingParent
 | GetRGBColorResolvingParent
 | GetSidePosition
 | CNPreferredSizeChanged
 | InvalidatePreferredSize
 | GetAnchorsDependingOnParent
 | DisableAutoSizing
 | EnableAutoSizing
 | UpdateBaseBounds
 | WriteLayoutDebugReport
 | AutoAdjustLayout
 | ShouldAutoAdjust
 | FixDesignFontsPPI
 | ScaleFontsPPI
 | Create
 | Destroy
 | BeforeDestruction
 | EditingDone
 | ExecuteDefaultAction
 | ExecuteCancelAction
 | BeginDrag
 | EndDrag
 | BringToFront
 | HasParent
 | GetParentComponent
 | IsParentOf
 | GetTopParent
 | IsVisible
 | IsControlVisible
 | IsEnabled
 | IsParentColor
 | IsParentFont
 | FormIsUpdating
 | IsProcessingPaintMsg
 | Hide
 | Refresh
 | Repaint
 | Invalidate
 | CheckChildClassAllowed
 | CheckNewParent
 | SendToBack
 | SetTempCursor
 | UpdateRolesForForm
 | ActiveDefaultControlChanged
 | GetTextBuf
 | GetTextLen
 | SetTextBuf
 | Perform
 | ScreenToClient
 | ClientToScreen
 | ScreenToControl
 | ControlToScreen
 | ClientToParent
 | ParentToClient
 | GetChildrenRect
 | Show
 | Update
 | HandleObjectShouldBeVisible
 | ParentDestroyingHandle
 | ParentHandlesAllocated
 | InitiateAction
 | ShowHelp
 | HasHelp
 | RemoveAllHandlersOfObject
 | AddHandlerOnResize
 | RemoveHandlerOnResize
 | AddHandlerOnChangeBounds
 | RemoveHandlerOnChangeBounds
 | AddHandlerOnVisibleChanging
 | RemoveHandlerOnVisibleChanging
 | AddHandlerOnVisibleChanged
 | RemoveHandlerOnVisibleChanged
 | AddHandlerOnEnabledChanged
 | RemoveHandlerOnEnableChanging
 | AddHandlerOnKeyDown
 | RemoveHandlerOnKeyDown
 | AddHandlerOnBeforeDestruction
 | RemoveHandlerOnBeforeDestruction
 | AddHandlerOnMouseWheel
 | RemoveHandlerOnMouseWheel
 | UseRightToLeftAlignment
 | UseRightToLeftReading
 | UseRightToLeftScrollBar
 | IsRightToLeft
TLCLComponent
pt | WSRegisterClass
pt | GetWSComponentClass
 | Create
 | Destroy
 | NewInstance
 | RemoveAllHandlersOfObject
 | IncLCLRefCount
 | DecLCLRefCount
TComponent
 | GetComObject
 | GetComponent
 | GetComponentCount
 | GetComponentIndex
 | Insert
 | ReadLeft
 | ReadTop
 | Remove
 | RemoveNotification
 | SetComponentIndex
 | SetReference
 | WriteLeft
 | WriteTop
 | ChangeName
 | DefineProperties
 | GetChildren
 | GetChildOwner
 | GetChildParent
 | GetOwner
 | Loaded
 | Loading
 | Notification
 | PaletteCreated
 | ReadState
 | SetAncestor
 | SetDesigning
 | SetDesignInstance
 | SetInline
 | SetName
 | SetChildOrder
 | SetParentComponent
 | Updating
 | Updated
 | UpdateRegistry
 | ValidateRename
 | ValidateContainer
 | ValidateInsert
 | QueryInterface
 | _AddRef
 | _Release
 | iicrGetComponent
 | GetTypeInfoCount
 | GetTypeInfo
 | GetIDsOfNames
 | Invoke
 | WriteState
 | Create
 | Destroy
 | BeforeDestruction
 | DestroyComponents
 | Destroying
 | ExecuteAction
 | FindComponent
 | FreeNotification
 | RemoveFreeNotification
 | FreeOnRelease
 | GetEnumerator
 | GetNamePath
 | GetParentComponent
 | HasParent
 | InsertComponent
 | RemoveComponent
 | SafeCallException
 | SetSubComponent
 | UpdateAction
 | IsImplementorOf
 | ReferenceInterface
TPersistent
 | AssignError
 | AssignTo
 | DefineProperties
 | GetOwner
 | Destroy
 | Assign
 | FPOAttachObserver
 | FPODetachObserver
 | FPONotifyObservers
 | GetNamePath
TObject
 | Create
 | Destroy
 | newinstance
 | FreeInstance
 | SafeCallException
 | DefaultHandler
 | Free
 | InitInstance
 | CleanupInstance
 | ClassType
 | ClassInfo
 | ClassName
 | ClassNameIs
 | ClassParent
 | InstanceSize
 | InheritsFrom
 | StringMessageTable
 | MethodAddress
 | MethodName
 | FieldAddress
 | AfterConstruction
 | BeforeDestruction
 | DefaultHandlerStr
 | Dispatch
 | DispatchStr
 | GetInterface
 | GetInterfaceByStr
 | GetInterfaceWeak
 | GetInterfaceEntry
 | GetInterfaceEntryByStr
 | GetInterfaceTable
 | UnitName
 | Equals
 | GetHashCode
 | ToString


TListBox
pl | ro | OnChangeBounds
pl | ro | OnClick
pl | ro | OnContextPopup
pl | ro | OnDblClick
pl | ro | OnDragDrop
pl | ro | OnDragOver
pl | ro | OnDrawItem
pl | ro | OnEnter
pl | ro | OnEndDrag
pl | ro | OnExit
pl | ro | OnKeyPress
pl | ro | OnKeyDown
pl | ro | OnKeyUp
pl | ro | OnMeasureItem
pl | ro | OnMouseDown
pl | ro | OnMouseEnter
pl | ro | OnMouseLeave
pl | ro | OnMouseMove
pl | ro | OnMouseUp
pl | ro | OnMouseWheel
pl | ro | OnMouseWheelDown
pl | ro | OnMouseWheelUp
pl | ro | OnMouseWheelHorz
pl | ro | OnMouseWheelLeft
pl | ro | OnMouseWheelRight
pl | ro | OnResize
pl | ro | OnSelectionChange
pl | ro | OnShowHint
pl | ro | OnStartDrag
pl | ro | OnUTF8KeyPress
TCustomListBox
 | ro | OnChangeBounds
 | ro | OnClick
 | ro | OnDblClick
 |  | OnDrawItem
 | ro | OnEnter
 | ro | OnExit
 | ro | OnKeyDown
 | ro | OnKeyPress
 | ro | OnKeyUp
 |  | OnMeasureItem
 | ro | OnMouseDown
 | ro | OnMouseEnter
 | ro | OnMouseLeave
 | ro | OnMouseMove
 | ro | OnMouseUp
 | ro | OnMouseWheel
 | ro | OnMouseWheelDown
 | ro | OnMouseWheelUp
 | ro | OnResize
 |  | OnSelectionChange
 | ro | OnUTF8KeyPress
TWinControl
pt |  | OnGetSiteInfo
pt |  | OnGetDockCaption
 |  | OnAlignInsertBefore
 |  | OnAlignPosition
 |  | OnDockDrop
 |  | OnDockOver
 |  | OnEnter
 |  | OnExit
 |  | OnKeyDown
 |  | OnKeyPress
 |  | OnKeyUp
 |  | OnUnDock
 |  | OnUTF8KeyPress
TControl
pt |  | OnConstrainedResize
pt |  | OnContextPopup
pt |  | OnDblClick
pt |  | OnTripleClick
pt |  | OnQuadClick
pt |  | OnDragDrop
pt |  | OnDragOver
pt |  | OnEndDock
pt |  | OnEndDrag
pt |  | OnMouseDown
pt |  | OnMouseMove
pt |  | OnMouseUp
pt |  | OnMouseEnter
pt |  | OnMouseLeave
pt |  | OnMouseWheel
pt |  | OnMouseWheelDown
pt |  | OnMouseWheelUp
pt |  | OnMouseWheelHorz
pt |  | OnMouseWheelLeft
pt |  | OnMouseWheelRight
pt |  | OnStartDock
pt |  | OnStartDrag
pt |  | OnEditingDone
 |  | OnChangeBounds
 |  | OnClick
 |  | OnResize
 |  | OnShowHint
TLCLComponent
TComponent
TPersistent
TObject


 | ro | OnChangeBounds (TCustomListBox)
pl | ro | OnChangeBounds (TListBox)
 |  | OnClick (TControl)
 | ro | OnClick (TCustomListBox)
pl | ro | OnClick (TListBox)
pt |  | OnConstrainedResize (TControl)
pt |  | OnContextPopup (TControl)
pl | ro | OnContextPopup (TListBox)
pt |  | OnDblClick (TControl)
 | ro | OnDblClick (TCustomListBox)
pl | ro | OnDblClick (TListBox)
 |  | OnDockDrop (TWinControl)
 |  | OnDockOver (TWinControl)
pt |  | OnDragDrop (TControl)
pl | ro | OnDragDrop (TListBox)
pt |  | OnDragOver (TControl)
pl | ro | OnDragOver (TListBox)
 |  | OnDrawItem (TCustomListBox)
pl | ro | OnDrawItem (TListBox)
pt |  | OnEditingDone (TControl)
pt |  | OnEndDock (TControl)
pt |  | OnEndDrag (TControl)
pl | ro | OnEndDrag (TListBox)
 |  | OnEnter (TWinControl)
 | ro | OnEnter (TCustomListBox)
pl | ro | OnEnter (TListBox)
 |  | OnExit (TWinControl)
 | ro | OnExit (TCustomListBox)
pl | ro | OnExit (TListBox)
pt |  | OnGetDockCaption (TWinControl)
pt |  | OnGetSiteInfo (TWinControl)
 |  | OnKeyDown (TWinControl)
 | ro | OnKeyDown (TCustomListBox)
pl | ro | OnKeyDown (TListBox)
 |  | OnKeyPress (TWinControl)
 | ro | OnKeyPress (TCustomListBox)
pl | ro | OnKeyPress (TListBox)
 |  | OnKeyUp (TWinControl)
 | ro | OnKeyUp (TCustomListBox)
pl | ro | OnKeyUp (TListBox)
 |  | OnMeasureItem (TCustomListBox)
pl | ro | OnMeasureItem (TListBox)
pt |  | OnMouseDown (TControl)
 | ro | OnMouseDown (TCustomListBox)
pl | ro | OnMouseDown (TListBox)
pt |  | OnMouseEnter (TControl)
 | ro | OnMouseEnter (TCustomListBox)
pl | ro | OnMouseEnter (TListBox)
pt |  | OnMouseLeave (TControl)
 | ro | OnMouseLeave (TCustomListBox)
pl | ro | OnMouseLeave (TListBox)
pt |  | OnMouseMove (TControl)
 | ro | OnMouseMove (TCustomListBox)
pl | ro | OnMouseMove (TListBox)
pt |  | OnMouseUp (TControl)
 | ro | OnMouseUp (TCustomListBox)
pl | ro | OnMouseUp (TListBox)
pt |  | OnMouseWheel (TControl)
 | ro | OnMouseWheel (TCustomListBox)
pl | ro | OnMouseWheel (TListBox)
pt |  | OnMouseWheelDown (TControl)
 | ro | OnMouseWheelDown (TCustomListBox)
pl | ro | OnMouseWheelDown (TListBox)
pt |  | OnMouseWheelHorz (TControl)
pl | ro | OnMouseWheelHorz (TListBox)
pt |  | OnMouseWheelLeft (TControl)
pl | ro | OnMouseWheelLeft (TListBox)
pt |  | OnMouseWheelRight (TControl)
pl | ro | OnMouseWheelRight (TListBox)
pt |  | OnMouseWheelUp (TControl)
 | ro | OnMouseWheelUp (TCustomListBox)
pl | ro | OnMouseWheelUp (TListBox)
pt |  | OnQuadClick (TControl)
 |  | OnResize (TControl)
 | ro | OnResize (TCustomListBox)
pl | ro | OnResize (TListBox)
 |  | OnSelectionChange (TCustomListBox)
pl | ro | OnSelectionChange (TListBox)
 |  | OnShowHint (TControl)
pl | ro | OnShowHint (TListBox)
pt |  | OnStartDock (TControl)
pt |  | OnStartDrag (TControl)
pl | ro | OnStartDrag (TListBox)
pt |  | OnTripleClick (TControl)
 |  | OnUnDock (TWinControl)
 |  | OnUTF8KeyPress (TWinControl)
 | ro | OnUTF8KeyPress (TCustomListBox)
pl | ro | OnUTF8KeyPress (TListBox)


TListBox.DoubleBuffered

Declaration

Source position: stdctrls.pp line 666

published property TListBox.DoubleBuffered : Boolean;


TListBox.OnMouseWheelHorz

Declaration

Source position: stdctrls.pp line 700

published property TListBox.OnMouseWheelHorz : TMouseWheelEvent;


TListBox.OnMouseWheelLeft

Declaration

Source position: stdctrls.pp line 701

published property TListBox.OnMouseWheelLeft : TMouseWheelUpDownEvent;


TListBox.OnMouseWheelRight

Declaration

Source position: stdctrls.pp line 702

published property TListBox.OnMouseWheelRight : TMouseWheelUpDownEvent;


TListBox.OnStartDrag

Declaration

Source position: stdctrls.pp line 706

published property TListBox.OnStartDrag : TStartDragEvent;


TListBox.Options

Declaration

Source position: stdctrls.pp line 708

published property TListBox.Options : TListBoxOptions;


TListBox.ParentBidiMode

Declaration

Source position: stdctrls.pp line 709

published property TListBox.ParentBidiMode : Boolean;


TListBox.ParentDoubleBuffered

Declaration

Source position: stdctrls.pp line 711

published property TListBox.ParentDoubleBuffered : Boolean;


TListBox.ParentShowHint

Declaration

Source position: stdctrls.pp line 712

published property TListBox.ParentShowHint : Boolean;


TListBoxOption

Declaration

Source position: stdctrls.pp line 498

type TListBoxOption = (

  lboDrawFocusRect

);


TListBoxOptions

Declaration

Source position: stdctrls.pp line 501

type TListBoxOptions = set of (

  lboDrawFocusRect

);


TListBoxStyle

Determines how items are drawn in a ListBox.

Declaration

Source position: stdctrls.pp line 496

type TListBoxStyle = (
lbStandard, | Items drawn by the widget.
lbOwnerDrawFixed, | Items drawn by user code, all items have the same height.
lbOwnerDrawVariable, | Items drawn by user code, every item can have a different height.
lbVirtual
);


TMemo

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Control for editable multi-line text.

Declaration

Source position: stdctrls.pp line 988

type TMemo = class(TCustomMemo)
published
property Align: TAlign; | Specifies the placement of the control inside its Parent.
property Alignment: TAlignment;
property Anchors: TAnchors; | The set of anchor definitions for this control.
property BidiMode: TBiDiMode; | Customization (of text controls) in bidirectional reading environments.
property BorderSpacing: TControlBorderSpacing; | Determines the inner and outer border spacing for this control.
property BorderStyle: TBorderStyle; | Allows to show a border (line) around the control,
property CharCase: TEditCharCase;
property Color: TColor; | The background color of the control.
property Constraints: TSizeConstraints; | The minimal and maximal Width and Height of this control.
property DoubleBuffered: Boolean;
property DragCursor: TCursor; | The cursor shape shown while the control is dragged.
property DragKind: TDragKind; | The operation when the control is dragged - Drag or Dock.
property DragMode: TDragMode; | Allows the user to drag the control.
property Enabled: Boolean; | Determines whether the control reacts on mouse or keyboard input.
property Font: TFont; | The font to be used for text display in this control.
property HideSelection: Boolean;
property Lines: TStrings; | An array with one string for every line (paragraph) in the control. Whilst it type is TStrings you cannot store Objects inside it.
property MaxLength: Integer; | The maximum length of the text; zero for unlimited.
property OnChange: TNotifyEvent; | Event handler for any change in text.
property OnClick: TNotifyEvent; | Notification handler for mouse clicks.
property OnContextPopup: TContextPopupEvent; | Invoked when a context-sensitive pop-up menu is requested.
property OnDblClick: TNotifyEvent; | Event Handler for double mouse clicks.
property OnDragDrop: TDragDropEvent; | This handler determines the action on an drop onto this control, in a drag-drop operation.
property OnDragOver: TDragOverEvent; | Event handler for a control being dragged over this control.
property OnEditingDone: TNotifyEvent; | Event handler when editing is done.
property OnEndDrag: TEndDragEvent; | Notification handler for the end of a dragging operation.
property OnEnter: TNotifyEvent; | Handler for control receiving the focus.
property OnExit: TNotifyEvent; | Handler for control loosing the focus. This is a good place for checking the finished user input.
property OnKeyDown: TKeyEvent; | Handler for keyboard key pressed.
property OnKeyPress: TKeyPressEvent; | Handler for a character entered by the user.
property OnKeyUp: TKeyEvent; | Handler for keyboard key released.
property OnMouseDown: TMouseEvent; | Event handler for mouse button going down.
property OnMouseEnter: TNotifyEvent; | Event handler for mouse entering the area of the control.
property OnMouseLeave: TNotifyEvent; | Event handler for mouse leaving the area of the control.
property OnMouseMove: TMouseMoveEvent; | Event handler for mouse movement within the control.
property OnMouseUp: TMouseEvent; | Event handler for mouse button going up.
property OnMouseWheel: TMouseWheelEvent; | Event handler for mouse wheel turned.
property OnMouseWheelDown: TMouseWheelUpDownEvent; | Notification handler for downward movement of mouse wheel.
property OnMouseWheelUp: TMouseWheelUpDownEvent; | Notification handler for upward movement of mouse wheel.
property OnMouseWheelHorz: TMouseWheelEvent;
property OnMouseWheelLeft: TMouseWheelUpDownEvent;
property OnMouseWheelRight: TMouseWheelUpDownEvent;
property OnStartDrag: TStartDragEvent; | Event handler for the start of a dragging operation.
property OnUTF8KeyPress: TUTF8KeyPressEvent; | Handler for a character entered by the user.
property ParentBidiMode: Boolean; | Allows to use the BiDiMode settings of Parent. Default is true.
property ParentColor: Boolean; | If true, the Color of the control will be the same as the one from the Parent. Default is true.
property ParentDoubleBuffered: Boolean;
property ParentFont: Boolean; | If true, the Font of the control will be the same as the one from the Parent. Default is true.
property PopupMenu: TPopupMenu; | A context-sensitive menu that pops up when the right mouse button is clicked over this control
property ParentShowHint: Boolean; | If true, the value of ShowHint for the control will be the same as the one from the Parent. Default is true.
property ReadOnly: Boolean; | Prevents the user from changing the text.
property ScrollBars: TScrollStyle; | Adds vertical and/or horizontal scrollbars to the control.
property ShowHint: Boolean; | Enables the Hint display.
property TabOrder: TTabOrder; | Determines the sequence of controls, reachable when the user presses the Tab key.
property TabStop: Boolean; | Allows the user to navigate to this control, by pressing the Tab key.
property Visible: Boolean; | Allows to show or hide the control, and all of its children.
property WantReturns: Boolean; | Allows the user to insert Return characters (line breaks) into the text.
property WantTabs: Boolean; | Allows to enter Tab characters into the text.
property WordWrap: Boolean; | Allows long logical lines (paragraphs) to wrap into multiple display lines.
end;

Inheritance

TMemo | Control for editable multi-line text.
|
TCustomMemo | The base class for multi-line text controls.
|
TCustomEdit | The base class for controls presenting editable text.
|
TWinControl | The base class for controls which can contain other (child) controls.
|
TControl | The base class for visible controls.
|
TLCLComponent | The base class for LCL components associated with widgets.
|
TComponent,IUnknown,IInterfaceComponentReference
|
TPersistent,IFPObserved
|
TObject

Description

The textual data is held as an array of strings in Lines, where it can be edited

See also

HowToUseStdCtrls | How to use StdCtrls, ComCtrls or ExtCtrls
TEdit | A control with a single line of editable text.


TMemo
pl | ro | Align
pl | ro | Alignment
pl | ro | Anchors
pl | ro | BidiMode
pl | ro | BorderSpacing
pl | ro | BorderStyle
pl | ro | CharCase
pl | ro | Color
pl | ro | Constraints
pl | ro | DoubleBuffered
pl | ro | DragCursor
pl | ro | DragKind
pl | ro | DragMode
pl | ro | Enabled
pl | ro | Font
pl | ro | HideSelection
pl | ro | Lines
pl | ro | MaxLength
pl | ro | ParentBidiMode
pl | ro | ParentColor
pl | ro | ParentDoubleBuffered
pl | ro | ParentFont
pl | ro | PopupMenu
pl | ro | ParentShowHint
pl | ro | ReadOnly
pl | ro | ScrollBars
pl | ro | ShowHint
pl | ro | TabOrder
pl | ro | TabStop
pl | ro | Visible
pl | ro | WantReturns
pl | ro | WantTabs
pl | ro | WordWrap
TCustomMemo
 |  | Lines
 |  | HorzScrollBar
 |  | VertScrollBar
 |  | ScrollBars
 |  | WantReturns
 |  | WantTabs
 |  | WordWrap
TCustomEdit
pt |  | AutoSelect
pt |  | AutoSelected
pt | ro | ParentColor
 |  | Alignment
 | ro | AutoSize
 | ro | BorderStyle
 | ro | CanUndo
 |  | CaretPos
 |  | CharCase
 |  | EchoMode
 |  | HideSelection
 |  | MaxLength
 |  | Modified
 |  | NumbersOnly
 |  | PasswordChar
 | ro | PopupMenu
 |  | ReadOnly
 |  | SelLength
 |  | SelStart
 |  | SelText
 | ro | TabOrder
 | ro | TabStop
 | ro | Text
 |  | TextHint
TWinControl
pt |  | WindowHandle
pt |  | BorderStyle
pt |  | ParentBackground
 |  | BorderWidth
 | ro | BoundsLockCount
 | ro | Brush
 | ro | CachedClientHeight
 | ro | CachedClientWidth
 |  | ChildSizing
 | ro | ControlCount
 | ro | Controls
 |  | DefWndProc
 | ro | DockClientCount
 | ro | DockClients
 |  | DockManager
 |  | DockSite
 |  | DoubleBuffered
 |  | Handle
 | ro | IsFlipped
 | ro | IsResizing
 |  | TabOrder
 |  | TabStop
 |  | ParentDoubleBuffered
 |  | ParentWindow
 | ro | Showing
 |  | UseDockManager
 |  | DesignerDeleting
 | ro | VisibleDockClientCount
TControl
pt | ro | AutoSizing
pt | ro | AutoSizingAll
pt | ro | AutoSizingLockCount
pt |  | ActionLink
pt |  | DesktopFont
pt |  | DragCursor
pt |  | DragKind
pt |  | DragMode
pt |  | MouseCapture
pt |  | ParentColor
pt |  | ParentFont
pt |  | ParentShowHint
pt |  | SessionProperties
pt |  | Text
 | ro | AnchoredControls
 | ro | BaseBounds
 | ro | ReadBounds
 | ro | BaseParentClientSize
 |  | AccessibleDescription
 |  | AccessibleValue
 |  | AccessibleRole
 |  | Action
 |  | Align
 |  | Anchors
 | ro | AnchorSide
 |  | AutoSize
 |  | BorderSpacing
 |  | BoundsRect
 |  | BoundsRectForNewParent
 |  | Caption
 |  | CaptureMouseButtons
 |  | ClientHeight
 | ro | ClientOrigin
 | ro | ClientRect
 |  | ClientWidth
 |  | Color
 |  | Constraints
 | ro | ControlOrigin
 |  | ControlState
 |  | ControlStyle
 |  | Enabled
 |  | Font
 |  | IsControl
 | ro | MouseEntered
 | ro | MouseInClient
 |  | Parent
 |  | PopupMenu
 |  | ShowHint
 |  | Visible
 |  | WindowProc
 |  | DockOrientation
 | ro | Floating
 |  | FloatingDockSiteClass
 |  | HostDockSite
 |  | LRDockWidth
 |  | TBDockHeight
 |  | UndockHeight
 |  | UndockWidth
 |  | BiDiMode
 |  | ParentBiDiMode
pl |  | AnchorSideLeft
pl |  | AnchorSideTop
pl |  | AnchorSideRight
pl |  | AnchorSideBottom
pl |  | Cursor
pl |  | Left
pl |  | Height
pl |  | Hint
pl |  | Top
pl |  | Width
pl |  | HelpType
pl |  | HelpKeyword
pl |  | HelpContext
TLCLComponent
 | ro | LCLRefCount
 | ro | WidgetSetClass
TComponent
 | ro | ComObject
 | ro | Components
 | ro | ComponentCount
 |  | ComponentIndex
 | ro | ComponentState
 | ro | ComponentStyle
 |  | DesignInfo
 | ro | Owner
 |  | VCLComObject
 |  | Name
 |  | Tag
TPersistent
TObject


 |  | AccessibleDescription (TControl)
 |  | AccessibleRole (TControl)
 |  | AccessibleValue (TControl)
 |  | Action (TControl)
pt |  | ActionLink (TControl)
 |  | Align (TControl)
pl | ro | Align (TMemo)
 |  | Alignment (TCustomEdit)
pl | ro | Alignment (TMemo)
 | ro | AnchoredControls (TControl)
 |  | Anchors (TControl)
pl | ro | Anchors (TMemo)
 | ro | AnchorSide (TControl)
pl |  | AnchorSideBottom (TControl)
pl |  | AnchorSideLeft (TControl)
pl |  | AnchorSideRight (TControl)
pl |  | AnchorSideTop (TControl)
pt |  | AutoSelect (TCustomEdit)
pt |  | AutoSelected (TCustomEdit)
 |  | AutoSize (TControl)
 | ro | AutoSize (TCustomEdit)
pt | ro | AutoSizing (TControl)
pt | ro | AutoSizingAll (TControl)
pt | ro | AutoSizingLockCount (TControl)
 | ro | BaseBounds (TControl)
 | ro | BaseParentClientSize (TControl)
 |  | BiDiMode (TControl)
pl | ro | BidiMode (TMemo)
 |  | BorderSpacing (TControl)
pl | ro | BorderSpacing (TMemo)
pt |  | BorderStyle (TWinControl)
 | ro | BorderStyle (TCustomEdit)
pl | ro | BorderStyle (TMemo)
 |  | BorderWidth (TWinControl)
 | ro | BoundsLockCount (TWinControl)
 |  | BoundsRect (TControl)
 |  | BoundsRectForNewParent (TControl)
 | ro | Brush (TWinControl)
 | ro | CachedClientHeight (TWinControl)
 | ro | CachedClientWidth (TWinControl)
 | ro | CanUndo (TCustomEdit)
 |  | Caption (TControl)
 |  | CaptureMouseButtons (TControl)
 |  | CaretPos (TCustomEdit)
 |  | CharCase (TCustomEdit)
pl | ro | CharCase (TMemo)
 |  | ChildSizing (TWinControl)
 |  | ClientHeight (TControl)
 | ro | ClientOrigin (TControl)
 | ro | ClientRect (TControl)
 |  | ClientWidth (TControl)
 |  | Color (TControl)
pl | ro | Color (TMemo)
 | ro | ComObject (TComponent)
 | ro | ComponentCount (TComponent)
 |  | ComponentIndex (TComponent)
 | ro | Components (TComponent)
 | ro | ComponentState (TComponent)
 | ro | ComponentStyle (TComponent)
 |  | Constraints (TControl)
pl | ro | Constraints (TMemo)
 | ro | ControlCount (TWinControl)
 | ro | ControlOrigin (TControl)
 | ro | Controls (TWinControl)
 |  | ControlState (TControl)
 |  | ControlStyle (TControl)
pl |  | Cursor (TControl)
 |  | DefWndProc (TWinControl)
 |  | DesignerDeleting (TWinControl)
 |  | DesignInfo (TComponent)
pt |  | DesktopFont (TControl)
 | ro | DockClientCount (TWinControl)
 | ro | DockClients (TWinControl)
 |  | DockManager (TWinControl)
 |  | DockOrientation (TControl)
 |  | DockSite (TWinControl)
 |  | DoubleBuffered (TWinControl)
pl | ro | DoubleBuffered (TMemo)
pt |  | DragCursor (TControl)
pl | ro | DragCursor (TMemo)
pt |  | DragKind (TControl)
pl | ro | DragKind (TMemo)
pt |  | DragMode (TControl)
pl | ro | DragMode (TMemo)
 |  | EchoMode (TCustomEdit)
 |  | Enabled (TControl)
pl | ro | Enabled (TMemo)
 | ro | Floating (TControl)
 |  | FloatingDockSiteClass (TControl)
 |  | Font (TControl)
pl | ro | Font (TMemo)
 |  | Handle (TWinControl)
pl |  | Height (TControl)
pl |  | HelpContext (TControl)
pl |  | HelpKeyword (TControl)
pl |  | HelpType (TControl)
 |  | HideSelection (TCustomEdit)
pl | ro | HideSelection (TMemo)
pl |  | Hint (TControl)
 |  | HorzScrollBar (TCustomMemo)
 |  | HostDockSite (TControl)
 |  | IsControl (TControl)
 | ro | IsFlipped (TWinControl)
 | ro | IsResizing (TWinControl)
 | ro | LCLRefCount (TLCLComponent)
pl |  | Left (TControl)
 |  | Lines (TCustomMemo)
pl | ro | Lines (TMemo)
 |  | LRDockWidth (TControl)
 |  | MaxLength (TCustomEdit)
pl | ro | MaxLength (TMemo)
 |  | Modified (TCustomEdit)
pt |  | MouseCapture (TControl)
 | ro | MouseEntered (TControl)
 | ro | MouseInClient (TControl)
 |  | Name (TComponent)
 |  | NumbersOnly (TCustomEdit)
 | ro | Owner (TComponent)
 |  | Parent (TControl)
pt |  | ParentBackground (TWinControl)
 |  | ParentBiDiMode (TControl)
pl | ro | ParentBidiMode (TMemo)
pt |  | ParentColor (TControl)
pt | ro | ParentColor (TCustomEdit)
pl | ro | ParentColor (TMemo)
 |  | ParentDoubleBuffered (TWinControl)
pl | ro | ParentDoubleBuffered (TMemo)
pt |  | ParentFont (TControl)
pl | ro | ParentFont (TMemo)
pt |  | ParentShowHint (TControl)
pl | ro | ParentShowHint (TMemo)
 |  | ParentWindow (TWinControl)
 |  | PasswordChar (TCustomEdit)
 |  | PopupMenu (TControl)
 | ro | PopupMenu (TCustomEdit)
pl | ro | PopupMenu (TMemo)
 | ro | ReadBounds (TControl)
 |  | ReadOnly (TCustomEdit)
pl | ro | ReadOnly (TMemo)
 |  | ScrollBars (TCustomMemo)
pl | ro | ScrollBars (TMemo)
 |  | SelLength (TCustomEdit)
 |  | SelStart (TCustomEdit)
 |  | SelText (TCustomEdit)
pt |  | SessionProperties (TControl)
 |  | ShowHint (TControl)
pl | ro | ShowHint (TMemo)
 | ro | Showing (TWinControl)
 |  | TabOrder (TWinControl)
 | ro | TabOrder (TCustomEdit)
pl | ro | TabOrder (TMemo)
 |  | TabStop (TWinControl)
 | ro | TabStop (TCustomEdit)
pl | ro | TabStop (TMemo)
 |  | Tag (TComponent)
 |  | TBDockHeight (TControl)
pt |  | Text (TControl)
 | ro | Text (TCustomEdit)
 |  | TextHint (TCustomEdit)
pl |  | Top (TControl)
 |  | UndockHeight (TControl)
 |  | UndockWidth (TControl)
 |  | UseDockManager (TWinControl)
 |  | VCLComObject (TComponent)
 |  | VertScrollBar (TCustomMemo)
 |  | Visible (TControl)
pl | ro | Visible (TMemo)
 | ro | VisibleDockClientCount (TWinControl)
 |  | WantReturns (TCustomMemo)
pl | ro | WantReturns (TMemo)
 |  | WantTabs (TCustomMemo)
pl | ro | WantTabs (TMemo)
 | ro | WidgetSetClass (TLCLComponent)
pl |  | Width (TControl)
pt |  | WindowHandle (TWinControl)
 |  | WindowProc (TControl)
 |  | WordWrap (TCustomMemo)
pl | ro | WordWrap (TMemo)


TMemo
TCustomMemo
pt | WSRegisterClass
pt | CreateParams
pt | InitializeWnd
pt | FinalizeWnd
pt | RealGetText
pt | RealSetText
pt | GetCachedText
pt | GetCaretPos
pt | KeyUpAfterInterface
pt | SetCaretPos
pt | SetLines
pt | SetWantReturns
pt | SetWantTabs
pt | SetWordWrap
pt | SetScrollBars
pt | Loaded
pt | CMWantSpecialKey
pt | WMGetDlgCode
pt | GetControlClassDefaultSize
pt | UTF8KeyPress
pt | CanShowEmulatedTextHint
 | Create
 | Destroy
 | Append
 | ScrollBy
TCustomEdit
pt | WSRegisterClass
pt | CanShowEmulatedTextHint
pt | CreateEmulatedTextHintFont
pt | CalculatePreferredSize
pt | CreateParams
pt | InitializeWnd
pt | TextChanged
pt | FontChanged
pt | Change
pt | DoEnter
pt | DoExit
pt | EditingDone
pt | GetCaretPos
pt | GetNumbersOnly
pt | GetReadOnly
pt | GetSelLength
pt | GetSelStart
pt | GetSelText
pt | GetTextHint
pt | SetCaretPos
pt | SetEchoMode
pt | SetNumbersOnly
pt | SetReadOnly
pt | SetSelLength
pt | SetSelStart
pt | SetSelText
pt | SetTextHint
pt | ChildClassAllowed
pt | GetControlClassDefaultSize
pt | MouseUp
pt | RealSetText
pt | RealGetText
pt | KeyUpAfterInterface
pt | WMChar
pt | CMWantSpecialKey
pt | WndProc
pt | ShouldAutoAdjust
pt | WMSetFocus
pt | WMKillFocus
 | Create
 | Destroy
 | Clear
 | SelectAll
 | ClearSelection
 | CopyToClipboard
 | CutToClipboard
 | PasteFromClipboard
 | Undo
 | RemoveAllHandlersOfObject
 | AddHandlerOnChange
 | RemoveHandlerOnChange
TWinControl
pt | WSRegisterClass
pt | AdjustClientRect
pt | GetAdjustedLogicalClientRect
pt | AlignControls
pt | CustomAlignInsertBefore
pt | CustomAlignPosition
pt | DoAlignChildControls
pt | DoChildSizingChange
pt | InvalidatePreferredChildSizes
pt | CanTab
pt | IsClientHeightStored
pt | IsClientWidthStored
pt | DoSendShowHideToInterface
pt | ControlsAligned
pt | DoSendBoundsToInterface
pt | RealizeBounds
pt | RealizeBoundsRecursive
pt | InvalidateBoundsRealized
pt | CreateSubClass
pt | DoConstraintsChange
pt | DoSetBounds
pt | DoAutoSize
pt | DoAllAutoSize
pt | AllAutoSized
pt | CalculatePreferredSize
pt | GetPreferredSizeClientFrame
pt | GetChildren
pt | ChildClassAllowed
pt | PaintControls
pt | PaintHandler
pt | PaintWindow
pt | CreateBrush
pt | ScaleControls
pt | ChangeScale
pt | CMBiDiModeChanged
pt | CMBorderChanged
pt | CMDoubleBufferedChanged
pt | CMEnabledChanged
pt | CMParentDoubleBufferedChanged
pt | CMShowingChanged
pt | CMShowHintChanged
pt | CMVisibleChanged
pt | CMEnter
pt | CMExit
pt | WMContextMenu
pt | WMEraseBkgnd
pt | WMNotify
pt | WMSetFocus
pt | WMKillFocus
pt | WMShowWindow
pt | WMEnter
pt | WMExit
pt | WMKeyDown
pt | WMSysKeyDown
pt | WMKeyUp
pt | WMSysKeyUp
pt | WMChar
pt | WMSysChar
pt | WMPaint
pt | WMDestroy
pt | WMMove
pt | WMSize
pt | WMWindowPosChanged
pt | CNKeyDown
pt | CNSysKeyDown
pt | CNKeyUp
pt | CNSysKeyUp
pt | CNChar
pt | DoDragMsg
pt | DoDockClientMsg
pt | DoUndockClientMsg
pt | DoAddDockClient
pt | DockOver
pt | DoDockOver
pt | DoRemoveDockClient
pt | DoUnDock
pt | GetSiteInfo
pt | GetParentHandle
pt | GetTopParentHandle
pt | ReloadDockedControl
pt | CreateDockManager
pt | SetDockManager
pt | DoFloatMsg
pt | DoGetDockCaption
pt | DoEnter
pt | DoExit
pt | DoKeyDownBeforeInterface
pt | DoRemainingKeyDown
pt | DoRemainingKeyUp
pt | DoKeyPress
pt | DoUTF8KeyPress
pt | DoKeyUpBeforeInterface
pt | ChildKey
pt | SendDialogChar
pt | DialogChar
pt | ControlKeyDown
pt | ControlKeyUp
pt | KeyDown
pt | KeyDownBeforeInterface
pt | KeyDownAfterInterface
pt | KeyPress
pt | KeyUp
pt | KeyUpBeforeInterface
pt | KeyUpAfterInterface
pt | UTF8KeyPress
pt | FindNextControl
pt | SelectFirst
pt | RealGetText
pt | GetBorderStyle
pt | GetClientOrigin
pt | GetClientRect
pt | GetControlOrigin
pt | GetDeviceContext
pt | GetParentBackground
pt | IsControlMouseMsg
pt | CreateHandle
pt | CreateParams
pt | CreateWnd
pt | DestroyHandle
pt | DestroyWnd
pt | DoFlipChildren
pt | FinalizeWnd
pt | FixupTabList
pt | FontChanged
pt | InitializeWnd
pt | Loaded
pt | FormEndUpdated
pt | MainWndProc
pt | ParentFormHandleInitialized
pt | ChildHandlesCreated
pt | GetMouseCapture
pt | RealSetText
pt | RemoveFocus
pt | SendMoveSizeMessages
pt | SetBorderStyle
pt | SetColor
pt | SetChildZPosition
pt | SetParentBackground
pt | ShowControl
pt | UpdateControlState
pt | UpdateShowing
pt | WndProc
pt | WSSetText
 | AutoSizePhases
 | AutoSizeDelayed
 | AutoSizeDelayedReport
 | AutoSizeDelayedHandle
 | BeginUpdateBounds
 | EndUpdateBounds
 | LockRealizeBounds
 | UnlockRealizeBounds
 | ControlAtPos
 | ContainsControl
 | DoAdjustClientRectChange
 | InvalidateClientRectCache
 | ClientRectNeedsInterfaceUpdate
 | SetBounds
 | GetChildrenRect
 | DisableAlign
 | EnableAlign
 | ReAlign
 | ScrollBy_WS
 | ScrollBy
 | WriteLayoutDebugReport
 | AutoAdjustLayout
 | Create
 | CreateParented
 | CreateParentedControl
 | Destroy
 | DockDrop
 | CanFocus
 | CanSetFocus
 | GetControlIndex
 | SetControlIndex
 | Focused
 | PerformTab
 | FindChildControl
 | SelectNext
 | SetTempCursor
 | BroadCast
 | NotifyControls
 | DefaultHandler
 | GetTextLen
 | Invalidate
 | AddControl
 | InsertControl
 | RemoveControl
 | GetEnumeratorControls
 | GetEnumeratorControlsReverse
 | Repaint
 | Update
 | SetFocus
 | FlipChildren
 | ScaleBy
 | GetDockCaption
 | UpdateDockCaption
 | GetTabOrderList
 | HandleAllocated
 | ParentHandlesAllocated
 | HandleNeeded
 | BrushCreated
 | EraseBackground
 | IntfUTF8KeyPress
 | IntfGetDropFilesTarget
 | PaintTo
 | SetShape
TControl
pt | WSRegisterClass
pt | GetCursor
pt | SetCursor
pt | SetVisible
pt | DoOnParentHandleDestruction
pt | DoAutoSize
pt | DoAllAutoSize
pt | BeginAutoSizing
pt | EndAutoSizing
pt | AnchorSideChanged
pt | ForeignAnchorSideChanged
pt | SetAlign
pt | SetAnchors
pt | SetAutoSize
pt | BoundsChanged
pt | CreateControlBorderSpacing
pt | DoConstraintsChange
pt | DoBorderSpacingChange
pt | IsBorderSpacingInnerBorderStored
pt | IsCaptionStored
pt | SendMoveSizeMessages
pt | ConstrainedResize
pt | CalculatePreferredSize
pt | DoOnResize
pt | DoOnChangeBounds
pt | CheckOnChangeBounds
pt | Resize
pt | RequestAlign
pt | UpdateAnchorRules
pt | ChangeBounds
pt | DoSetBounds
pt | ScaleConstraints
pt | ChangeScale
pt | CanAutoSize
pt | SetBiDiMode
pt | SetParentBiDiMode
pt | IsAParentAligning
pt | GetClientOrigin
pt | GetClientRect
pt | GetLogicalClientRect
pt | GetScrolledClientRect
pt | GetClientScrollOffset
pt | GetControlOrigin
pt | IsClientHeightStored
pt | IsClientWidthStored
pt | WidthIsAnchored
pt | HeightIsAnchored
pt | WMCancelMode
pt | WMContextMenu
pt | WMLButtonDown
pt | WMRButtonDown
pt | WMMButtonDown
pt | WMXButtonDown
pt | WMLButtonDBLCLK
pt | WMRButtonDBLCLK
pt | WMMButtonDBLCLK
pt | WMXButtonDBLCLK
pt | WMLButtonTripleCLK
pt | WMRButtonTripleCLK
pt | WMMButtonTripleCLK
pt | WMXButtonTripleCLK
pt | WMLButtonQuadCLK
pt | WMRButtonQuadCLK
pt | WMMButtonQuadCLK
pt | WMXButtonQuadCLK
pt | WMMouseMove
pt | WMLButtonUp
pt | WMRButtonUp
pt | WMMButtonUp
pt | WMXButtonUp
pt | WMMouseWheel
pt | WMMouseHWheel
pt | WMMove
pt | WMSize
pt | WMWindowPosChanged
pt | CMChanged
pt | LMCaptureChanged
pt | CMBiDiModeChanged
pt | CMSysFontChanged
pt | CMEnabledChanged
pt | CMHitTest
pt | CMMouseEnter
pt | CMMouseLeave
pt | CMHintShow
pt | CMParentBiDiModeChanged
pt | CMParentColorChanged
pt | CMParentFontChanged
pt | CMParentShowHintChanged
pt | CMVisibleChanged
pt | CMTextChanged
pt | CMCursorChanged
pt | CalculateDockSizes
pt | CreateFloatingDockSite
pt | GetDockEdge
pt | GetDragImages
pt | GetFloating
pt | GetFloatingDockSiteClass
pt | BeforeDragStart
pt | BeginAutoDrag
pt | DoFloatMsg
pt | DockTrackNoTarget
pt | DoDock
pt | DoDragMsg
pt | DoEndDock
pt | DoEndDrag
pt | DoStartDock
pt | DoStartDrag
pt | DragCanceled
pt | DragOver
pt | PositionDockRect
pt | SetDragMode
pt | GetDefaultDockCaption
pt | Click
pt | DblClick
pt | TripleClick
pt | QuadClick
pt | GetMousePosFromMessage
pt | MouseDown
pt | MouseMove
pt | MouseUp
pt | MouseEnter
pt | MouseLeave
pt | DialogChar
pt | UpdateMouseCursor
pt | Changed
pt | GetPalette
pt | ChildClassAllowed
pt | ReadState
pt | Loaded
pt | LoadedAll
pt | DefineProperties
pt | AssignTo
pt | FormEndUpdated
pt | InvalidateControl
pt | FontChanged
pt | ParentFontChanged
pt | GetAction
pt | RealGetText
pt | RealSetText
pt | TextChanged
pt | GetCachedText
pt | SetAction
pt | SetColor
pt | SetEnabled
pt | SetHint
pt | SetName
pt | SetParent
pt | SetParentComponent
pt | WndProc
pt | ParentFormHandleInitialized
pt | GetMouseCapture
pt | CaptureChanged
pt | Notification
pt | CanTab
pt | GetDeviceContext
pt | GetEnabled
pt | GetPopupMenu
pt | DoOnShowHint
pt | DoMouseWheel
pt | DoMouseWheelDown
pt | DoMouseWheelUp
pt | DoMouseWheelHorz
pt | DoMouseWheelLeft
pt | DoMouseWheelRight
pt | VisibleChanging
pt | VisibleChanged
pt | EnabledChanging
pt | EnabledChanged
pt | AddHandler
pt | RemoveHandler
pt | DoCallNotifyHandler
pt | DoCallKeyEventHandler
pt | DoCallMouseWheelEventHandler
pt | DoContextPopup
pt | SetZOrder
pt | GetControlClassDefaultSize
pt | ColorIsStored
pt | DoAutoAdjustLayout
pt | DoFixDesignFontPPI
pt | DoScaleFontPPI
pt | GetActionLinkClass
pt | ActionChange
 | DragDrop
 | Dock
 | ManualDock
 | ManualFloat
 | ReplaceDockedControl
 | Docked
 | Dragging
 | GetAccessibleObject
 | CreateAccessibleObject
 | GetSelectedChildAccessibleObject
 | GetChildAccessibleObjectAtPos
 | ScaleDesignToForm
 | ScaleFormToDesign
 | Scale96ToForm
 | ScaleFormTo96
 | Scale96ToFont
 | ScaleFontTo96
 | ScaleScreenToFont
 | ScaleFontToScreen
 | Scale96ToScreen
 | ScaleScreenTo96
 | AdjustSize
 | AutoSizePhases
 | AutoSizeDelayed
 | AutoSizeDelayedReport
 | AutoSizeDelayedHandle
 | AnchorToNeighbour
 | AnchorParallel
 | AnchorHorizontalCenterTo
 | AnchorVerticalCenterTo
 | AnchorToCompanion
 | AnchorSame
 | AnchorAsAlign
 | AnchorClient
 | AnchoredControlCount
 | SetBounds
 | SetInitialBounds
 | SetBoundsKeepBase
 | GetPreferredSize
 | GetCanvasScaleFactor
 | GetDefaultWidth
 | GetDefaultHeight
 | GetDefaultColor
 | GetColorResolvingParent
 | GetRGBColorResolvingParent
 | GetSidePosition
 | CNPreferredSizeChanged
 | InvalidatePreferredSize
 | GetAnchorsDependingOnParent
 | DisableAutoSizing
 | EnableAutoSizing
 | UpdateBaseBounds
 | WriteLayoutDebugReport
 | AutoAdjustLayout
 | ShouldAutoAdjust
 | FixDesignFontsPPI
 | ScaleFontsPPI
 | Create
 | Destroy
 | BeforeDestruction
 | EditingDone
 | ExecuteDefaultAction
 | ExecuteCancelAction
 | BeginDrag
 | EndDrag
 | BringToFront
 | HasParent
 | GetParentComponent
 | IsParentOf
 | GetTopParent
 | IsVisible
 | IsControlVisible
 | IsEnabled
 | IsParentColor
 | IsParentFont
 | FormIsUpdating
 | IsProcessingPaintMsg
 | Hide
 | Refresh
 | Repaint
 | Invalidate
 | CheckChildClassAllowed
 | CheckNewParent
 | SendToBack
 | SetTempCursor
 | UpdateRolesForForm
 | ActiveDefaultControlChanged
 | GetTextBuf
 | GetTextLen
 | SetTextBuf
 | Perform
 | ScreenToClient
 | ClientToScreen
 | ScreenToControl
 | ControlToScreen
 | ClientToParent
 | ParentToClient
 | GetChildrenRect
 | Show
 | Update
 | HandleObjectShouldBeVisible
 | ParentDestroyingHandle
 | ParentHandlesAllocated
 | InitiateAction
 | ShowHelp
 | HasHelp
 | RemoveAllHandlersOfObject
 | AddHandlerOnResize
 | RemoveHandlerOnResize
 | AddHandlerOnChangeBounds
 | RemoveHandlerOnChangeBounds
 | AddHandlerOnVisibleChanging
 | RemoveHandlerOnVisibleChanging
 | AddHandlerOnVisibleChanged
 | RemoveHandlerOnVisibleChanged
 | AddHandlerOnEnabledChanged
 | RemoveHandlerOnEnableChanging
 | AddHandlerOnKeyDown
 | RemoveHandlerOnKeyDown
 | AddHandlerOnBeforeDestruction
 | RemoveHandlerOnBeforeDestruction
 | AddHandlerOnMouseWheel
 | RemoveHandlerOnMouseWheel
 | UseRightToLeftAlignment
 | UseRightToLeftReading
 | UseRightToLeftScrollBar
 | IsRightToLeft
TLCLComponent
pt | WSRegisterClass
pt | GetWSComponentClass
 | Create
 | Destroy
 | NewInstance
 | RemoveAllHandlersOfObject
 | IncLCLRefCount
 | DecLCLRefCount
TComponent
 | GetComObject
 | GetComponent
 | GetComponentCount
 | GetComponentIndex
 | Insert
 | ReadLeft
 | ReadTop
 | Remove
 | RemoveNotification
 | SetComponentIndex
 | SetReference
 | WriteLeft
 | WriteTop
 | ChangeName
 | DefineProperties
 | GetChildren
 | GetChildOwner
 | GetChildParent
 | GetOwner
 | Loaded
 | Loading
 | Notification
 | PaletteCreated
 | ReadState
 | SetAncestor
 | SetDesigning
 | SetDesignInstance
 | SetInline
 | SetName
 | SetChildOrder
 | SetParentComponent
 | Updating
 | Updated
 | UpdateRegistry
 | ValidateRename
 | ValidateContainer
 | ValidateInsert
 | QueryInterface
 | _AddRef
 | _Release
 | iicrGetComponent
 | GetTypeInfoCount
 | GetTypeInfo
 | GetIDsOfNames
 | Invoke
 | WriteState
 | Create
 | Destroy
 | BeforeDestruction
 | DestroyComponents
 | Destroying
 | ExecuteAction
 | FindComponent
 | FreeNotification
 | RemoveFreeNotification
 | FreeOnRelease
 | GetEnumerator
 | GetNamePath
 | GetParentComponent
 | HasParent
 | InsertComponent
 | RemoveComponent
 | SafeCallException
 | SetSubComponent
 | UpdateAction
 | IsImplementorOf
 | ReferenceInterface
TPersistent
 | AssignError
 | AssignTo
 | DefineProperties
 | GetOwner
 | Destroy
 | Assign
 | FPOAttachObserver
 | FPODetachObserver
 | FPONotifyObservers
 | GetNamePath
TObject
 | Create
 | Destroy
 | newinstance
 | FreeInstance
 | SafeCallException
 | DefaultHandler
 | Free
 | InitInstance
 | CleanupInstance
 | ClassType
 | ClassInfo
 | ClassName
 | ClassNameIs
 | ClassParent
 | InstanceSize
 | InheritsFrom
 | StringMessageTable
 | MethodAddress
 | MethodName
 | FieldAddress
 | AfterConstruction
 | BeforeDestruction
 | DefaultHandlerStr
 | Dispatch
 | DispatchStr
 | GetInterface
 | GetInterfaceByStr
 | GetInterfaceWeak
 | GetInterfaceEntry
 | GetInterfaceEntryByStr
 | GetInterfaceTable
 | UnitName
 | Equals
 | GetHashCode
 | ToString


TMemo
pl | ro | OnChange
pl | ro | OnClick
pl | ro | OnContextPopup
pl | ro | OnDblClick
pl | ro | OnDragDrop
pl | ro | OnDragOver
pl | ro | OnEditingDone
pl | ro | OnEndDrag
pl | ro | OnEnter
pl | ro | OnExit
pl | ro | OnKeyDown
pl | ro | OnKeyPress
pl | ro | OnKeyUp
pl | ro | OnMouseDown
pl | ro | OnMouseEnter
pl | ro | OnMouseLeave
pl | ro | OnMouseMove
pl | ro | OnMouseUp
pl | ro | OnMouseWheel
pl | ro | OnMouseWheelDown
pl | ro | OnMouseWheelUp
pl | ro | OnMouseWheelHorz
pl | ro | OnMouseWheelLeft
pl | ro | OnMouseWheelRight
pl | ro | OnStartDrag
pl | ro | OnUTF8KeyPress
TCustomMemo
TCustomEdit
 |  | OnChange
TWinControl
pt |  | OnGetSiteInfo
pt |  | OnGetDockCaption
 |  | OnAlignInsertBefore
 |  | OnAlignPosition
 |  | OnDockDrop
 |  | OnDockOver
 |  | OnEnter
 |  | OnExit
 |  | OnKeyDown
 |  | OnKeyPress
 |  | OnKeyUp
 |  | OnUnDock
 |  | OnUTF8KeyPress
TControl
pt |  | OnConstrainedResize
pt |  | OnContextPopup
pt |  | OnDblClick
pt |  | OnTripleClick
pt |  | OnQuadClick
pt |  | OnDragDrop
pt |  | OnDragOver
pt |  | OnEndDock
pt |  | OnEndDrag
pt |  | OnMouseDown
pt |  | OnMouseMove
pt |  | OnMouseUp
pt |  | OnMouseEnter
pt |  | OnMouseLeave
pt |  | OnMouseWheel
pt |  | OnMouseWheelDown
pt |  | OnMouseWheelUp
pt |  | OnMouseWheelHorz
pt |  | OnMouseWheelLeft
pt |  | OnMouseWheelRight
pt |  | OnStartDock
pt |  | OnStartDrag
pt |  | OnEditingDone
 |  | OnChangeBounds
 |  | OnClick
 |  | OnResize
 |  | OnShowHint
TLCLComponent
TComponent
TPersistent
TObject


pl | ro | OnChange (TMemo)
 |  | OnChangeBounds (TControl)
 |  | OnClick (TControl)
pl | ro | OnClick (TMemo)
pt |  | OnConstrainedResize (TControl)
pt |  | OnContextPopup (TControl)
pl | ro | OnContextPopup (TMemo)
pt |  | OnDblClick (TControl)
pl | ro | OnDblClick (TMemo)
 |  | OnDockDrop (TWinControl)
 |  | OnDockOver (TWinControl)
pt |  | OnDragDrop (TControl)
pl | ro | OnDragDrop (TMemo)
pt |  | OnDragOver (TControl)
pl | ro | OnDragOver (TMemo)
pt |  | OnEditingDone (TControl)
pl | ro | OnEditingDone (TMemo)
pt |  | OnEndDock (TControl)
pt |  | OnEndDrag (TControl)
pl | ro | OnEndDrag (TMemo)
 |  | OnEnter (TWinControl)
pl | ro | OnEnter (TMemo)
 |  | OnExit (TWinControl)
pl | ro | OnExit (TMemo)
pt |  | OnGetDockCaption (TWinControl)
pt |  | OnGetSiteInfo (TWinControl)
 |  | OnKeyDown (TWinControl)
pl | ro | OnKeyDown (TMemo)
 |  | OnKeyPress (TWinControl)
pl | ro | OnKeyPress (TMemo)
 |  | OnKeyUp (TWinControl)
pl | ro | OnKeyUp (TMemo)
pt |  | OnMouseDown (TControl)
pl | ro | OnMouseDown (TMemo)
pt |  | OnMouseEnter (TControl)
pl | ro | OnMouseEnter (TMemo)
pt |  | OnMouseLeave (TControl)
pl | ro | OnMouseLeave (TMemo)
pt |  | OnMouseMove (TControl)
pl | ro | OnMouseMove (TMemo)
pt |  | OnMouseUp (TControl)
pl | ro | OnMouseUp (TMemo)
pt |  | OnMouseWheel (TControl)
pl | ro | OnMouseWheel (TMemo)
pt |  | OnMouseWheelDown (TControl)
pl | ro | OnMouseWheelDown (TMemo)
pt |  | OnMouseWheelHorz (TControl)
pl | ro | OnMouseWheelHorz (TMemo)
pt |  | OnMouseWheelLeft (TControl)
pl | ro | OnMouseWheelLeft (TMemo)
pt |  | OnMouseWheelRight (TControl)
pl | ro | OnMouseWheelRight (TMemo)
pt |  | OnMouseWheelUp (TControl)
pl | ro | OnMouseWheelUp (TMemo)
pt |  | OnQuadClick (TControl)
 |  | OnResize (TControl)
 |  | OnShowHint (TControl)
pt |  | OnStartDock (TControl)
pt |  | OnStartDrag (TControl)
pl | ro | OnStartDrag (TMemo)
pt |  | OnTripleClick (TControl)
 |  | OnUnDock (TWinControl)
 |  | OnUTF8KeyPress (TWinControl)
pl | ro | OnUTF8KeyPress (TMemo)


TMemo.DoubleBuffered

Declaration

Source position: stdctrls.pp line 999

published property TMemo.DoubleBuffered : Boolean;


TMemo.OnMouseWheelHorz

Declaration

Source position: stdctrls.pp line 1029

published property TMemo.OnMouseWheelHorz : TMouseWheelEvent;


TMemo.OnMouseWheelLeft

Declaration

Source position: stdctrls.pp line 1030

published property TMemo.OnMouseWheelLeft : TMouseWheelUpDownEvent;


TMemo.OnMouseWheelRight

Declaration

Source position: stdctrls.pp line 1031

published property TMemo.OnMouseWheelRight : TMouseWheelUpDownEvent;


TMemo.ParentDoubleBuffered

Declaration

Source position: stdctrls.pp line 1036

published property TMemo.ParentDoubleBuffered : Boolean;


TMemoScrollbar

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

A ScrollBar for use in Memo Boxes.

Declaration

Source position: stdctrls.pp line 851

type TMemoScrollbar = class(TControlScrollBar)
protected
function GetHorzScrollBar; override; | Get the horizontal scrollbar of Control.
function GetVertScrollBar; override; | Get the vertical scrollbar of Control.
public
property Increment: TScrollBarInc; | The small Position increment, applicable to the scrollbar arrows.
property Page: TScrollBarInc; | The slider size, Position increment applicable to the scrollbar area beneath the slider.
property Smooth: Boolean; | Enables smooth scrolling, with automatic adjustment of Increment and Page.
property Position: Integer; | Position of the slider, 0..Range-Page.
property Range: Integer; | The virtual size of the Parent Control.
property Size: Integer; | The adjustable size of the scroll bar.
property Visible: Boolean; | Definitely hides the scrollbar when False (default True).
end;

Inheritance

TMemoScrollbar | A ScrollBar for use in Memo Boxes.
|
TControlScrollBar | Type of a scrollbar in a #lcl.Forms.TScrollingWinControl.
|
TPersistent,IFPObserved
|
TObject

Description

Scroll Bar specifically for use in Memo Boxes. Inherits most of its properties from its ancestor, TControlScrollBar


TMemoScrollbar
 | ro | Increment
 | ro | Page
 | ro | Smooth
 | ro | Position
 | ro | Range
 | ro | Size
 | ro | Visible
TControlScrollBar
 | ro | Kind
 | ro | Size
pl |  | Increment
pl |  | Page
pl |  | Smooth
pl |  | Position
pl |  | Range
pl |  | Tracking
pl |  | Visible
TPersistent
TObject


pl |  | Increment (TControlScrollBar)
 | ro | Increment (TMemoScrollbar)
 | ro | Kind (TControlScrollBar)
pl |  | Page (TControlScrollBar)
 | ro | Page (TMemoScrollbar)
pl |  | Position (TControlScrollBar)
 | ro | Position (TMemoScrollbar)
pl |  | Range (TControlScrollBar)
 | ro | Range (TMemoScrollbar)
 | ro | Size (TControlScrollBar)
 | ro | Size (TMemoScrollbar)
pl |  | Smooth (TControlScrollBar)
 | ro | Smooth (TMemoScrollbar)
pl |  | Tracking (TControlScrollBar)
pl |  | Visible (TControlScrollBar)
 | ro | Visible (TMemoScrollbar)


TMemoScrollbar
pt | GetHorzScrollBar
pt | GetVertScrollBar
TControlScrollBar
pt | ControlHandle
pt | GetAutoScroll
pt | GetIncrement
pt | GetPage
pt | GetPosition
pt | GetRange
pt | GetSize
pt | GetSmooth
pt | HandleAllocated
pt | IsRangeStored
pt | ControlUpdateScrollBars
pt | InternalSetRange
pt | ScrollHandler
pt | SetIncrement
pt | SetPage
pt | SetPosition
pt | SetRange
pt | SetSmooth
pt | SetTracking
pt | SetVisible
pt | UpdateScrollBar
pt | InvalidateScrollInfo
pt | GetHorzScrollBar
pt | GetVertScrollBar
pt | ScrollBarShouldBeVisible
 | Create
 | Assign
 | IsScrollBarVisible
 | ScrollPos
 | GetOtherScrollBar
 | ControlSize
 | ClientSize
 | ClientSizeWithBar
 | ClientSizeWithoutBar
TPersistent
 | AssignError
 | AssignTo
 | DefineProperties
 | GetOwner
 | Destroy
 | Assign
 | FPOAttachObserver
 | FPODetachObserver
 | FPONotifyObservers
 | GetNamePath
TObject
 | Create
 | Destroy
 | newinstance
 | FreeInstance
 | SafeCallException
 | DefaultHandler
 | Free
 | InitInstance
 | CleanupInstance
 | ClassType
 | ClassInfo
 | ClassName
 | ClassNameIs
 | ClassParent
 | InstanceSize
 | InheritsFrom
 | StringMessageTable
 | MethodAddress
 | MethodName
 | FieldAddress
 | AfterConstruction
 | BeforeDestruction
 | DefaultHandlerStr
 | Dispatch
 | DispatchStr
 | GetInterface
 | GetInterfaceByStr
 | GetInterfaceWeak
 | GetInterfaceEntry
 | GetInterfaceEntryByStr
 | GetInterfaceTable
 | UnitName
 | Equals
 | GetHashCode
 | ToString


 | AssignError (TPersistent)
 | AssignTo (TPersistent)
 | BeforeDestruction (TObject)
 | ClassInfo (TObject)
 | ClassName (TObject)
 | ClassNameIs (TObject)
 | ClassParent (TObject)
 | ClassType (TObject)
 | CleanupInstance (TObject)
 | ClientSize (TControlScrollBar)
 | ClientSizeWithBar (TControlScrollBar)
 | ClientSizeWithoutBar (TControlScrollBar)
pt | ControlHandle (TControlScrollBar)
 | ControlSize (TControlScrollBar)
pt | ControlUpdateScrollBars (TControlScrollBar)
 | Create (TObject)
 | Create (TControlScrollBar)
 | DefaultHandler (TObject)
 | DefaultHandlerStr (TObject)
 | DefineProperties (TPersistent)
 | Destroy (TObject)
 | Destroy (TPersistent)
 | Dispatch (TObject)
 | DispatchStr (TObject)
 | Equals (TObject)
 | FieldAddress (TObject)
 | FPOAttachObserver (TPersistent)
 | FPODetachObserver (TPersistent)
 | FPONotifyObservers (TPersistent)
 | Free (TObject)
 | FreeInstance (TObject)
pt | GetAutoScroll (TControlScrollBar)
 | GetHashCode (TObject)
pt | GetHorzScrollBar (TControlScrollBar)
pt | GetHorzScrollBar (TMemoScrollbar)
pt | GetIncrement (TControlScrollBar)
 | GetInterface (TObject)
 | GetInterfaceByStr (TObject)
 | GetInterfaceEntry (TObject)
 | GetInterfaceEntryByStr (TObject)
 | GetInterfaceTable (TObject)
 | GetInterfaceWeak (TObject)
 | GetNamePath (TPersistent)
 | GetOtherScrollBar (TControlScrollBar)
 | GetOwner (TPersistent)
pt | GetPage (TControlScrollBar)
pt | GetPosition (TControlScrollBar)
pt | GetRange (TControlScrollBar)
pt | GetSize (TControlScrollBar)
pt | GetSmooth (TControlScrollBar)
pt | GetVertScrollBar (TControlScrollBar)
pt | GetVertScrollBar (TMemoScrollbar)
pt | HandleAllocated (TControlScrollBar)
 | InheritsFrom (TObject)
 | InitInstance (TObject)
 | InstanceSize (TObject)
pt | InternalSetRange (TControlScrollBar)
pt | InvalidateScrollInfo (TControlScrollBar)
pt | IsRangeStored (TControlScrollBar)
 | IsScrollBarVisible (TControlScrollBar)
 | MethodAddress (TObject)
 | MethodName (TObject)
 | newinstance (TObject)
 | SafeCallException (TObject)
pt | ScrollBarShouldBeVisible (TControlScrollBar)
pt | ScrollHandler (TControlScrollBar)
 | ScrollPos (TControlScrollBar)
pt | SetIncrement (TControlScrollBar)
pt | SetPage (TControlScrollBar)
pt | SetPosition (TControlScrollBar)
pt | SetRange (TControlScrollBar)
pt | SetSmooth (TControlScrollBar)
pt | SetTracking (TControlScrollBar)
pt | SetVisible (TControlScrollBar)
 | StringMessageTable (TObject)
 | ToString (TObject)
 | UnitName (TObject)
pt | UpdateScrollBar (TControlScrollBar)


TMemoScrollbar

TControlScrollBar

TPersistent

TObject


TRadioButton

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

A selection button that works with other Radio Buttons in a mutually exclusive way - if one button is selected, none of the others in the group can be selected.

Declaration

Source position: stdctrls.pp line 1456

type TRadioButton = class(TCustomCheckBox)
protected
class procedure WSRegisterClass; override; | Registers this component class with the current WidgetSet.
procedure ApplyChanges; override; | Asks the widget to update the visual appearance of the object.
function DialogChar(); override; | Do something useful with accelerators etc.
procedure RealSetText(); override; | Sets the Caption property.
procedure DoClickOnChange; override;
procedure CreateParams(); override;
public
constructor Create(); override;
published
property Align: TAlign; | Specifies the placement of the control inside its Parent.
property Alignment: TLeftRight;
property Anchors: TAnchors; | The set of anchor definitions for this control.
property AutoSize: Boolean; | Allows to automatically adjust the size of the control, according to its content.
property BidiMode: TBiDiMode; | Customization (of text controls) in bidirectional reading environments.
property BorderSpacing: TControlBorderSpacing; | Determines the inner and outer border spacing for this control.
property Caption: TCaption; | The text describing the control to the user.
property Checked: Boolean; | The state of the check mark. Here always False, can be implemented in derived classes.
property Color: TColor; | The background color of the control.
property Constraints: TSizeConstraints; | The minimal and maximal Width and Height of this control.
property DoubleBuffered: Boolean;
property DragCursor: TCursor; | The cursor shape shown while the control is dragged.
property DragKind: TDragKind; | The operation when the control is dragged - Drag or Dock.
property DragMode: TDragMode; | Allows the user to drag the control.
property Enabled: Boolean; | Determines whether the control reacts on mouse or keyboard input.
property Font: TFont; | The font to be used for text display in this control.
property Hint: TTranslateString; | The text to show in the Hint window for this control.
property OnChange: TNotifyEvent; | Handler for any change in properties of the control.
property OnChangeBounds: TNotifyEvent; | Event handler for a change of the Bounds of the control.
property OnClick: TNotifyEvent; | Notification handler for mouse clicks.
property OnContextPopup: TContextPopupEvent; | Invoked when a context-sensitive pop-up menu is requested.
property OnDragDrop: TDragDropEvent; | This handler determines the action on an drop onto this control, in a drag-drop operation.
property OnDragOver: TDragOverEvent; | Event handler for a control being dragged over this control.
property OnEndDrag: TEndDragEvent; | Notification handler for the end of a dragging operation.
property OnEnter: TNotifyEvent; | Handler for control receiving the focus.
property OnExit: TNotifyEvent; | Handler for control loosing the focus. This is a good place for checking the finished user input.
property OnKeyDown: TKeyEvent;
property OnKeyPress: TKeyPressEvent;
property OnKeyUp: TKeyEvent;
property OnMouseDown: TMouseEvent; | Event handler for mouse button going down.
property OnMouseEnter: TNotifyEvent; | Event handler for mouse entering the area of the control.
property OnMouseLeave: TNotifyEvent; | Event handler for mouse leaving the area of the control.
property OnMouseMove: TMouseMoveEvent; | Event handler for mouse movement within the control.
property OnMouseUp: TMouseEvent; | Event handler for mouse button going up.
property OnMouseWheel: TMouseWheelEvent;
property OnMouseWheelDown: TMouseWheelUpDownEvent;
property OnMouseWheelUp: TMouseWheelUpDownEvent;
property OnResize: TNotifyEvent; | Notification handler for a resize of the control.
property OnStartDrag: TStartDragEvent; | Event handler for the start of a dragging operation.
property ParentBidiMode: Boolean; | Allows to use the BiDiMode settings of Parent. Default is true.
property ParentColor: Boolean; | If true, the Color of the control will be the same as the one from the Parent. Default is true.
property ParentDoubleBuffered: Boolean;
property ParentFont: Boolean; | If true, the Font of the control will be the same as the one from the Parent. Default is true.
property ParentShowHint: Boolean; | If true, the value of ShowHint for the control will be the same as the one from the Parent. Default is true.
property PopupMenu: TPopupMenu; | A context-sensitive menu that pops up when the right mouse button is clicked over this control
property ShowHint: Boolean; | Enables the Hint display.
property TabOrder: TTabOrder; | Determines the sequence of controls, reachable when the user presses the Tab key.
property TabStop: Boolean; | Allows the user to navigate to this control, by pressing the Tab key.
property Visible: Boolean; | Allows to show or hide the control, and all of its children.
end;

Inheritance

TRadioButton | A selection button that works with other Radio Buttons in a mutually exclusive way - if one button is selected, none of the others in the group can be selected.
|
TCustomCheckBox | The base class for checkbox components.
|
TButtonControl | The base class for various button controls.
|
TWinControl | The base class for controls which can contain other (child) controls.
|
TControl | The base class for visible controls.
|
TLCLComponent | The base class for LCL components associated with widgets.
|
TComponent,IUnknown,IInterfaceComponentReference
|
TPersistent,IFPObserved
|
TObject

Description

The Application Programmer is responsible for ensuring that the OnClick event handler for each button has a unique Action, and that the Actions of the other (deselected and therefore inactive) buttons are turned off.

TRadioGroup behaves differently from a group of TRadioButton controls placed arbitrarily around a form.

In the case of TRadioButton, the mutual exclusivity is a feature that applies to any RadioButton anywhere in the Form, and the RadioButtons can be rearranged in any order or placed anywhere within the containing Form, while in TRadioGroup the exclusivity applies only to buttons within the Group, which are ordered strictly according to their ItemIndex within the Items stringlist.

TRadioButton is an entity in itself, with a number of additional properties, whereas the buttons within TRadioGroup are not separate entities, but rather are simply entries in a list of strings, each of which is associated with the on-screen image of a RadioButton.

The example shows the difference between the use of TRadioButton and TRadioGroup

See also

HowToUseStdCtrls | How to use StdCtrls, ComCtrls or ExtCtrls
TRadioGroup | TRadioGroup : A group of related but mutually exclusive radio buttons, requiring the user to select one af a set of alternatives

Example

{Using TRadioGroup with three entries in Items:
Index 0: Red
Index 1: Amber
Index 2: Green}

procedure TTrivialForm1.RadioGroup1Click(Sender: TObject);
begin
  case RadioGroup1.ItemIndex of
  0:   Shape1.brush.color := clRed;
  1:   Shape1.brush.color := clYellow;
  2:   Shape1.brush.color := clGreen
  end
end;

{Using three separate RadioButtons}

procedure TForm1.RadioButton1Click(Sender: TObject);
begin
  Shape1.brush.color := clRed
end;

procedure TForm1.RadioButton2Click(Sender: TObject);
begin
  Shape1.brush.color := clYellow
end;

procedure TForm1.RadioButton3Click(Sender: TObject);
begin
  Shape1.brush.color := clGreen
end;


TRadioButton
pl | ro | Align
pl | ro | Alignment
pl | ro | Anchors
pl | ro | AutoSize
pl | ro | BidiMode
pl | ro | BorderSpacing
pl | ro | Caption
pl | ro | Checked
pl | ro | Color
pl | ro | Constraints
pl | ro | DoubleBuffered
pl | ro | DragCursor
pl | ro | DragKind
pl | ro | DragMode
pl | ro | Enabled
pl | ro | Font
pl | ro | Hint
pl | ro | ParentBidiMode
pl | ro | ParentColor
pl | ro | ParentDoubleBuffered
pl | ro | ParentFont
pl | ro | ParentShowHint
pl | ro | PopupMenu
pl | ro | ShowHint
pl | ro | TabOrder
pl | ro | TabStop
pl | ro | Visible
TCustomCheckBox
 |  | Alignment
 |  | AllowGrayed
 |  | State
 | ro | ShortCut
 | ro | ShortCutKey2
TButtonControl
pt |  | Checked
pt |  | ClicksDisabled
TWinControl
pt |  | WindowHandle
pt |  | BorderStyle
pt |  | ParentBackground
 |  | BorderWidth
 | ro | BoundsLockCount
 | ro | Brush
 | ro | CachedClientHeight
 | ro | CachedClientWidth
 |  | ChildSizing
 | ro | ControlCount
 | ro | Controls
 |  | DefWndProc
 | ro | DockClientCount
 | ro | DockClients
 |  | DockManager
 |  | DockSite
 |  | DoubleBuffered
 |  | Handle
 | ro | IsFlipped
 | ro | IsResizing
 |  | TabOrder
 |  | TabStop
 |  | ParentDoubleBuffered
 |  | ParentWindow
 | ro | Showing
 |  | UseDockManager
 |  | DesignerDeleting
 | ro | VisibleDockClientCount
TControl
pt | ro | AutoSizing
pt | ro | AutoSizingAll
pt | ro | AutoSizingLockCount
pt |  | ActionLink
pt |  | DesktopFont
pt |  | DragCursor
pt |  | DragKind
pt |  | DragMode
pt |  | MouseCapture
pt |  | ParentColor
pt |  | ParentFont
pt |  | ParentShowHint
pt |  | SessionProperties
pt |  | Text
 | ro | AnchoredControls
 | ro | BaseBounds
 | ro | ReadBounds
 | ro | BaseParentClientSize
 |  | AccessibleDescription
 |  | AccessibleValue
 |  | AccessibleRole
 |  | Action
 |  | Align
 |  | Anchors
 | ro | AnchorSide
 |  | AutoSize
 |  | BorderSpacing
 |  | BoundsRect
 |  | BoundsRectForNewParent
 |  | Caption
 |  | CaptureMouseButtons
 |  | ClientHeight
 | ro | ClientOrigin
 | ro | ClientRect
 |  | ClientWidth
 |  | Color
 |  | Constraints
 | ro | ControlOrigin
 |  | ControlState
 |  | ControlStyle
 |  | Enabled
 |  | Font
 |  | IsControl
 | ro | MouseEntered
 | ro | MouseInClient
 |  | Parent
 |  | PopupMenu
 |  | ShowHint
 |  | Visible
 |  | WindowProc
 |  | DockOrientation
 | ro | Floating
 |  | FloatingDockSiteClass
 |  | HostDockSite
 |  | LRDockWidth
 |  | TBDockHeight
 |  | UndockHeight
 |  | UndockWidth
 |  | BiDiMode
 |  | ParentBiDiMode
pl |  | AnchorSideLeft
pl |  | AnchorSideTop
pl |  | AnchorSideRight
pl |  | AnchorSideBottom
pl |  | Cursor
pl |  | Left
pl |  | Height
pl |  | Hint
pl |  | Top
pl |  | Width
pl |  | HelpType
pl |  | HelpKeyword
pl |  | HelpContext
TLCLComponent
 | ro | LCLRefCount
 | ro | WidgetSetClass
TComponent
 | ro | ComObject
 | ro | Components
 | ro | ComponentCount
 |  | ComponentIndex
 | ro | ComponentState
 | ro | ComponentStyle
 |  | DesignInfo
 | ro | Owner
 |  | VCLComObject
 |  | Name
 |  | Tag
TPersistent
TObject


 |  | AccessibleDescription (TControl)
 |  | AccessibleRole (TControl)
 |  | AccessibleValue (TControl)
 |  | Action (TControl)
pt |  | ActionLink (TControl)
 |  | Align (TControl)
pl | ro | Align (TRadioButton)
 |  | Alignment (TCustomCheckBox)
pl | ro | Alignment (TRadioButton)
 |  | AllowGrayed (TCustomCheckBox)
 | ro | AnchoredControls (TControl)
 |  | Anchors (TControl)
pl | ro | Anchors (TRadioButton)
 | ro | AnchorSide (TControl)
pl |  | AnchorSideBottom (TControl)
pl |  | AnchorSideLeft (TControl)
pl |  | AnchorSideRight (TControl)
pl |  | AnchorSideTop (TControl)
 |  | AutoSize (TControl)
pl | ro | AutoSize (TRadioButton)
pt | ro | AutoSizing (TControl)
pt | ro | AutoSizingAll (TControl)
pt | ro | AutoSizingLockCount (TControl)
 | ro | BaseBounds (TControl)
 | ro | BaseParentClientSize (TControl)
 |  | BiDiMode (TControl)
pl | ro | BidiMode (TRadioButton)
 |  | BorderSpacing (TControl)
pl | ro | BorderSpacing (TRadioButton)
pt |  | BorderStyle (TWinControl)
 |  | BorderWidth (TWinControl)
 | ro | BoundsLockCount (TWinControl)
 |  | BoundsRect (TControl)
 |  | BoundsRectForNewParent (TControl)
 | ro | Brush (TWinControl)
 | ro | CachedClientHeight (TWinControl)
 | ro | CachedClientWidth (TWinControl)
 |  | Caption (TControl)
pl | ro | Caption (TRadioButton)
 |  | CaptureMouseButtons (TControl)
pt |  | Checked (TButtonControl)
pl | ro | Checked (TRadioButton)
 |  | ChildSizing (TWinControl)
pt |  | ClicksDisabled (TButtonControl)
 |  | ClientHeight (TControl)
 | ro | ClientOrigin (TControl)
 | ro | ClientRect (TControl)
 |  | ClientWidth (TControl)
 |  | Color (TControl)
pl | ro | Color (TRadioButton)
 | ro | ComObject (TComponent)
 | ro | ComponentCount (TComponent)
 |  | ComponentIndex (TComponent)
 | ro | Components (TComponent)
 | ro | ComponentState (TComponent)
 | ro | ComponentStyle (TComponent)
 |  | Constraints (TControl)
pl | ro | Constraints (TRadioButton)
 | ro | ControlCount (TWinControl)
 | ro | ControlOrigin (TControl)
 | ro | Controls (TWinControl)
 |  | ControlState (TControl)
 |  | ControlStyle (TControl)
pl |  | Cursor (TControl)
 |  | DefWndProc (TWinControl)
 |  | DesignerDeleting (TWinControl)
 |  | DesignInfo (TComponent)
pt |  | DesktopFont (TControl)
 | ro | DockClientCount (TWinControl)
 | ro | DockClients (TWinControl)
 |  | DockManager (TWinControl)
 |  | DockOrientation (TControl)
 |  | DockSite (TWinControl)
 |  | DoubleBuffered (TWinControl)
pl | ro | DoubleBuffered (TRadioButton)
pt |  | DragCursor (TControl)
pl | ro | DragCursor (TRadioButton)
pt |  | DragKind (TControl)
pl | ro | DragKind (TRadioButton)
pt |  | DragMode (TControl)
pl | ro | DragMode (TRadioButton)
 |  | Enabled (TControl)
pl | ro | Enabled (TRadioButton)
 | ro | Floating (TControl)
 |  | FloatingDockSiteClass (TControl)
 |  | Font (TControl)
pl | ro | Font (TRadioButton)
 |  | Handle (TWinControl)
pl |  | Height (TControl)
pl |  | HelpContext (TControl)
pl |  | HelpKeyword (TControl)
pl |  | HelpType (TControl)
pl |  | Hint (TControl)
pl | ro | Hint (TRadioButton)
 |  | HostDockSite (TControl)
 |  | IsControl (TControl)
 | ro | IsFlipped (TWinControl)
 | ro | IsResizing (TWinControl)
 | ro | LCLRefCount (TLCLComponent)
pl |  | Left (TControl)
 |  | LRDockWidth (TControl)
pt |  | MouseCapture (TControl)
 | ro | MouseEntered (TControl)
 | ro | MouseInClient (TControl)
 |  | Name (TComponent)
 | ro | Owner (TComponent)
 |  | Parent (TControl)
pt |  | ParentBackground (TWinControl)
 |  | ParentBiDiMode (TControl)
pl | ro | ParentBidiMode (TRadioButton)
pt |  | ParentColor (TControl)
pl | ro | ParentColor (TRadioButton)
 |  | ParentDoubleBuffered (TWinControl)
pl | ro | ParentDoubleBuffered (TRadioButton)
pt |  | ParentFont (TControl)
pl | ro | ParentFont (TRadioButton)
pt |  | ParentShowHint (TControl)
pl | ro | ParentShowHint (TRadioButton)
 |  | ParentWindow (TWinControl)
 |  | PopupMenu (TControl)
pl | ro | PopupMenu (TRadioButton)
 | ro | ReadBounds (TControl)
pt |  | SessionProperties (TControl)
 | ro | ShortCut (TCustomCheckBox)
 | ro | ShortCutKey2 (TCustomCheckBox)
 |  | ShowHint (TControl)
pl | ro | ShowHint (TRadioButton)
 | ro | Showing (TWinControl)
 |  | State (TCustomCheckBox)
 |  | TabOrder (TWinControl)
pl | ro | TabOrder (TRadioButton)
 |  | TabStop (TWinControl)
pl | ro | TabStop (TRadioButton)
 |  | Tag (TComponent)
 |  | TBDockHeight (TControl)
pt |  | Text (TControl)
pl |  | Top (TControl)
 |  | UndockHeight (TControl)
 |  | UndockWidth (TControl)
 |  | UseDockManager (TWinControl)
 |  | VCLComObject (TComponent)
 |  | Visible (TControl)
pl | ro | Visible (TRadioButton)
 | ro | VisibleDockClientCount (TWinControl)
 | ro | WidgetSetClass (TLCLComponent)
pl |  | Width (TControl)
pt |  | WindowHandle (TWinControl)
 |  | WindowProc (TControl)


TRadioButton
pt | WSRegisterClass
pt | ApplyChanges
pt | DialogChar
pt | RealSetText
pt | DoClickOnChange
pt | CreateParams
 | Create
TCustomCheckBox
pt | WSRegisterClass
pt | Click
pt | DoClickOnChange
pt | RetrieveState
pt | InitializeWnd
pt | Toggle
pt | DialogChar
pt | GetChecked
pt | SetChecked
pt | RealSetText
pt | ApplyChanges
pt | GetControlClassDefaultSize
pt | Loaded
pt | WSSetText
pt | TextChanged
pt | CreateParams
 | Create
TButtonControl
pt | WSRegisterClass
pt | GetActionLinkClass
pt | GetChecked
pt | SetChecked
pt | DoOnChange
pt | Click
 | Create
TWinControl
pt | WSRegisterClass
pt | AdjustClientRect
pt | GetAdjustedLogicalClientRect
pt | AlignControls
pt | CustomAlignInsertBefore
pt | CustomAlignPosition
pt | DoAlignChildControls
pt | DoChildSizingChange
pt | InvalidatePreferredChildSizes
pt | CanTab
pt | IsClientHeightStored
pt | IsClientWidthStored
pt | DoSendShowHideToInterface
pt | ControlsAligned
pt | DoSendBoundsToInterface
pt | RealizeBounds
pt | RealizeBoundsRecursive
pt | InvalidateBoundsRealized
pt | CreateSubClass
pt | DoConstraintsChange
pt | DoSetBounds
pt | DoAutoSize
pt | DoAllAutoSize
pt | AllAutoSized
pt | CalculatePreferredSize
pt | GetPreferredSizeClientFrame
pt | GetChildren
pt | ChildClassAllowed
pt | PaintControls
pt | PaintHandler
pt | PaintWindow
pt | CreateBrush
pt | ScaleControls
pt | ChangeScale
pt | CMBiDiModeChanged
pt | CMBorderChanged
pt | CMDoubleBufferedChanged
pt | CMEnabledChanged
pt | CMParentDoubleBufferedChanged
pt | CMShowingChanged
pt | CMShowHintChanged
pt | CMVisibleChanged
pt | CMEnter
pt | CMExit
pt | WMContextMenu
pt | WMEraseBkgnd
pt | WMNotify
pt | WMSetFocus
pt | WMKillFocus
pt | WMShowWindow
pt | WMEnter
pt | WMExit
pt | WMKeyDown
pt | WMSysKeyDown
pt | WMKeyUp
pt | WMSysKeyUp
pt | WMChar
pt | WMSysChar
pt | WMPaint
pt | WMDestroy
pt | WMMove
pt | WMSize
pt | WMWindowPosChanged
pt | CNKeyDown
pt | CNSysKeyDown
pt | CNKeyUp
pt | CNSysKeyUp
pt | CNChar
pt | DoDragMsg
pt | DoDockClientMsg
pt | DoUndockClientMsg
pt | DoAddDockClient
pt | DockOver
pt | DoDockOver
pt | DoRemoveDockClient
pt | DoUnDock
pt | GetSiteInfo
pt | GetParentHandle
pt | GetTopParentHandle
pt | ReloadDockedControl
pt | CreateDockManager
pt | SetDockManager
pt | DoFloatMsg
pt | DoGetDockCaption
pt | DoEnter
pt | DoExit
pt | DoKeyDownBeforeInterface
pt | DoRemainingKeyDown
pt | DoRemainingKeyUp
pt | DoKeyPress
pt | DoUTF8KeyPress
pt | DoKeyUpBeforeInterface
pt | ChildKey
pt | SendDialogChar
pt | DialogChar
pt | ControlKeyDown
pt | ControlKeyUp
pt | KeyDown
pt | KeyDownBeforeInterface
pt | KeyDownAfterInterface
pt | KeyPress
pt | KeyUp
pt | KeyUpBeforeInterface
pt | KeyUpAfterInterface
pt | UTF8KeyPress
pt | FindNextControl
pt | SelectFirst
pt | RealGetText
pt | GetBorderStyle
pt | GetClientOrigin
pt | GetClientRect
pt | GetControlOrigin
pt | GetDeviceContext
pt | GetParentBackground
pt | IsControlMouseMsg
pt | CreateHandle
pt | CreateParams
pt | CreateWnd
pt | DestroyHandle
pt | DestroyWnd
pt | DoFlipChildren
pt | FinalizeWnd
pt | FixupTabList
pt | FontChanged
pt | InitializeWnd
pt | Loaded
pt | FormEndUpdated
pt | MainWndProc
pt | ParentFormHandleInitialized
pt | ChildHandlesCreated
pt | GetMouseCapture
pt | RealSetText
pt | RemoveFocus
pt | SendMoveSizeMessages
pt | SetBorderStyle
pt | SetColor
pt | SetChildZPosition
pt | SetParentBackground
pt | ShowControl
pt | UpdateControlState
pt | UpdateShowing
pt | WndProc
pt | WSSetText
 | AutoSizePhases
 | AutoSizeDelayed
 | AutoSizeDelayedReport
 | AutoSizeDelayedHandle
 | BeginUpdateBounds
 | EndUpdateBounds
 | LockRealizeBounds
 | UnlockRealizeBounds
 | ControlAtPos
 | ContainsControl
 | DoAdjustClientRectChange
 | InvalidateClientRectCache
 | ClientRectNeedsInterfaceUpdate
 | SetBounds
 | GetChildrenRect
 | DisableAlign
 | EnableAlign
 | ReAlign
 | ScrollBy_WS
 | ScrollBy
 | WriteLayoutDebugReport
 | AutoAdjustLayout
 | Create
 | CreateParented
 | CreateParentedControl
 | Destroy
 | DockDrop
 | CanFocus
 | CanSetFocus
 | GetControlIndex
 | SetControlIndex
 | Focused
 | PerformTab
 | FindChildControl
 | SelectNext
 | SetTempCursor
 | BroadCast
 | NotifyControls
 | DefaultHandler
 | GetTextLen
 | Invalidate
 | AddControl
 | InsertControl
 | RemoveControl
 | GetEnumeratorControls
 | GetEnumeratorControlsReverse
 | Repaint
 | Update
 | SetFocus
 | FlipChildren
 | ScaleBy
 | GetDockCaption
 | UpdateDockCaption
 | GetTabOrderList
 | HandleAllocated
 | ParentHandlesAllocated
 | HandleNeeded
 | BrushCreated
 | EraseBackground
 | IntfUTF8KeyPress
 | IntfGetDropFilesTarget
 | PaintTo
 | SetShape
TControl
pt | WSRegisterClass
pt | GetCursor
pt | SetCursor
pt | SetVisible
pt | DoOnParentHandleDestruction
pt | DoAutoSize
pt | DoAllAutoSize
pt | BeginAutoSizing
pt | EndAutoSizing
pt | AnchorSideChanged
pt | ForeignAnchorSideChanged
pt | SetAlign
pt | SetAnchors
pt | SetAutoSize
pt | BoundsChanged
pt | CreateControlBorderSpacing
pt | DoConstraintsChange
pt | DoBorderSpacingChange
pt | IsBorderSpacingInnerBorderStored
pt | IsCaptionStored
pt | SendMoveSizeMessages
pt | ConstrainedResize
pt | CalculatePreferredSize
pt | DoOnResize
pt | DoOnChangeBounds
pt | CheckOnChangeBounds
pt | Resize
pt | RequestAlign
pt | UpdateAnchorRules
pt | ChangeBounds
pt | DoSetBounds
pt | ScaleConstraints
pt | ChangeScale
pt | CanAutoSize
pt | SetBiDiMode
pt | SetParentBiDiMode
pt | IsAParentAligning
pt | GetClientOrigin
pt | GetClientRect
pt | GetLogicalClientRect
pt | GetScrolledClientRect
pt | GetClientScrollOffset
pt | GetControlOrigin
pt | IsClientHeightStored
pt | IsClientWidthStored
pt | WidthIsAnchored
pt | HeightIsAnchored
pt | WMCancelMode
pt | WMContextMenu
pt | WMLButtonDown
pt | WMRButtonDown
pt | WMMButtonDown
pt | WMXButtonDown
pt | WMLButtonDBLCLK
pt | WMRButtonDBLCLK
pt | WMMButtonDBLCLK
pt | WMXButtonDBLCLK
pt | WMLButtonTripleCLK
pt | WMRButtonTripleCLK
pt | WMMButtonTripleCLK
pt | WMXButtonTripleCLK
pt | WMLButtonQuadCLK
pt | WMRButtonQuadCLK
pt | WMMButtonQuadCLK
pt | WMXButtonQuadCLK
pt | WMMouseMove
pt | WMLButtonUp
pt | WMRButtonUp
pt | WMMButtonUp
pt | WMXButtonUp
pt | WMMouseWheel
pt | WMMouseHWheel
pt | WMMove
pt | WMSize
pt | WMWindowPosChanged
pt | CMChanged
pt | LMCaptureChanged
pt | CMBiDiModeChanged
pt | CMSysFontChanged
pt | CMEnabledChanged
pt | CMHitTest
pt | CMMouseEnter
pt | CMMouseLeave
pt | CMHintShow
pt | CMParentBiDiModeChanged
pt | CMParentColorChanged
pt | CMParentFontChanged
pt | CMParentShowHintChanged
pt | CMVisibleChanged
pt | CMTextChanged
pt | CMCursorChanged
pt | CalculateDockSizes
pt | CreateFloatingDockSite
pt | GetDockEdge
pt | GetDragImages
pt | GetFloating
pt | GetFloatingDockSiteClass
pt | BeforeDragStart
pt | BeginAutoDrag
pt | DoFloatMsg
pt | DockTrackNoTarget
pt | DoDock
pt | DoDragMsg
pt | DoEndDock
pt | DoEndDrag
pt | DoStartDock
pt | DoStartDrag
pt | DragCanceled
pt | DragOver
pt | PositionDockRect
pt | SetDragMode
pt | GetDefaultDockCaption
pt | Click
pt | DblClick
pt | TripleClick
pt | QuadClick
pt | GetMousePosFromMessage
pt | MouseDown
pt | MouseMove
pt | MouseUp
pt | MouseEnter
pt | MouseLeave
pt | DialogChar
pt | UpdateMouseCursor
pt | Changed
pt | GetPalette
pt | ChildClassAllowed
pt | ReadState
pt | Loaded
pt | LoadedAll
pt | DefineProperties
pt | AssignTo
pt | FormEndUpdated
pt | InvalidateControl
pt | FontChanged
pt | ParentFontChanged
pt | GetAction
pt | RealGetText
pt | RealSetText
pt | TextChanged
pt | GetCachedText
pt | SetAction
pt | SetColor
pt | SetEnabled
pt | SetHint
pt | SetName
pt | SetParent
pt | SetParentComponent
pt | WndProc
pt | ParentFormHandleInitialized
pt | GetMouseCapture
pt | CaptureChanged
pt | Notification
pt | CanTab
pt | GetDeviceContext
pt | GetEnabled
pt | GetPopupMenu
pt | DoOnShowHint
pt | DoMouseWheel
pt | DoMouseWheelDown
pt | DoMouseWheelUp
pt | DoMouseWheelHorz
pt | DoMouseWheelLeft
pt | DoMouseWheelRight
pt | VisibleChanging
pt | VisibleChanged
pt | EnabledChanging
pt | EnabledChanged
pt | AddHandler
pt | RemoveHandler
pt | DoCallNotifyHandler
pt | DoCallKeyEventHandler
pt | DoCallMouseWheelEventHandler
pt | DoContextPopup
pt | SetZOrder
pt | GetControlClassDefaultSize
pt | ColorIsStored
pt | DoAutoAdjustLayout
pt | DoFixDesignFontPPI
pt | DoScaleFontPPI
pt | GetActionLinkClass
pt | ActionChange
 | DragDrop
 | Dock
 | ManualDock
 | ManualFloat
 | ReplaceDockedControl
 | Docked
 | Dragging
 | GetAccessibleObject
 | CreateAccessibleObject
 | GetSelectedChildAccessibleObject
 | GetChildAccessibleObjectAtPos
 | ScaleDesignToForm
 | ScaleFormToDesign
 | Scale96ToForm
 | ScaleFormTo96
 | Scale96ToFont
 | ScaleFontTo96
 | ScaleScreenToFont
 | ScaleFontToScreen
 | Scale96ToScreen
 | ScaleScreenTo96
 | AdjustSize
 | AutoSizePhases
 | AutoSizeDelayed
 | AutoSizeDelayedReport
 | AutoSizeDelayedHandle
 | AnchorToNeighbour
 | AnchorParallel
 | AnchorHorizontalCenterTo
 | AnchorVerticalCenterTo
 | AnchorToCompanion
 | AnchorSame
 | AnchorAsAlign
 | AnchorClient
 | AnchoredControlCount
 | SetBounds
 | SetInitialBounds
 | SetBoundsKeepBase
 | GetPreferredSize
 | GetCanvasScaleFactor
 | GetDefaultWidth
 | GetDefaultHeight
 | GetDefaultColor
 | GetColorResolvingParent
 | GetRGBColorResolvingParent
 | GetSidePosition
 | CNPreferredSizeChanged
 | InvalidatePreferredSize
 | GetAnchorsDependingOnParent
 | DisableAutoSizing
 | EnableAutoSizing
 | UpdateBaseBounds
 | WriteLayoutDebugReport
 | AutoAdjustLayout
 | ShouldAutoAdjust
 | FixDesignFontsPPI
 | ScaleFontsPPI
 | Create
 | Destroy
 | BeforeDestruction
 | EditingDone
 | ExecuteDefaultAction
 | ExecuteCancelAction
 | BeginDrag
 | EndDrag
 | BringToFront
 | HasParent
 | GetParentComponent
 | IsParentOf
 | GetTopParent
 | IsVisible
 | IsControlVisible
 | IsEnabled
 | IsParentColor
 | IsParentFont
 | FormIsUpdating
 | IsProcessingPaintMsg
 | Hide
 | Refresh
 | Repaint
 | Invalidate
 | CheckChildClassAllowed
 | CheckNewParent
 | SendToBack
 | SetTempCursor
 | UpdateRolesForForm
 | ActiveDefaultControlChanged
 | GetTextBuf
 | GetTextLen
 | SetTextBuf
 | Perform
 | ScreenToClient
 | ClientToScreen
 | ScreenToControl
 | ControlToScreen
 | ClientToParent
 | ParentToClient
 | GetChildrenRect
 | Show
 | Update
 | HandleObjectShouldBeVisible
 | ParentDestroyingHandle
 | ParentHandlesAllocated
 | InitiateAction
 | ShowHelp
 | HasHelp
 | RemoveAllHandlersOfObject
 | AddHandlerOnResize
 | RemoveHandlerOnResize
 | AddHandlerOnChangeBounds
 | RemoveHandlerOnChangeBounds
 | AddHandlerOnVisibleChanging
 | RemoveHandlerOnVisibleChanging
 | AddHandlerOnVisibleChanged
 | RemoveHandlerOnVisibleChanged
 | AddHandlerOnEnabledChanged
 | RemoveHandlerOnEnableChanging
 | AddHandlerOnKeyDown
 | RemoveHandlerOnKeyDown
 | AddHandlerOnBeforeDestruction
 | RemoveHandlerOnBeforeDestruction
 | AddHandlerOnMouseWheel
 | RemoveHandlerOnMouseWheel
 | UseRightToLeftAlignment
 | UseRightToLeftReading
 | UseRightToLeftScrollBar
 | IsRightToLeft
TLCLComponent
pt | WSRegisterClass
pt | GetWSComponentClass
 | Create
 | Destroy
 | NewInstance
 | RemoveAllHandlersOfObject
 | IncLCLRefCount
 | DecLCLRefCount
TComponent
 | GetComObject
 | GetComponent
 | GetComponentCount
 | GetComponentIndex
 | Insert
 | ReadLeft
 | ReadTop
 | Remove
 | RemoveNotification
 | SetComponentIndex
 | SetReference
 | WriteLeft
 | WriteTop
 | ChangeName
 | DefineProperties
 | GetChildren
 | GetChildOwner
 | GetChildParent
 | GetOwner
 | Loaded
 | Loading
 | Notification
 | PaletteCreated
 | ReadState
 | SetAncestor
 | SetDesigning
 | SetDesignInstance
 | SetInline
 | SetName
 | SetChildOrder
 | SetParentComponent
 | Updating
 | Updated
 | UpdateRegistry
 | ValidateRename
 | ValidateContainer
 | ValidateInsert
 | QueryInterface
 | _AddRef
 | _Release
 | iicrGetComponent
 | GetTypeInfoCount
 | GetTypeInfo
 | GetIDsOfNames
 | Invoke
 | WriteState
 | Create
 | Destroy
 | BeforeDestruction
 | DestroyComponents
 | Destroying
 | ExecuteAction
 | FindComponent
 | FreeNotification
 | RemoveFreeNotification
 | FreeOnRelease
 | GetEnumerator
 | GetNamePath
 | GetParentComponent
 | HasParent
 | InsertComponent
 | RemoveComponent
 | SafeCallException
 | SetSubComponent
 | UpdateAction
 | IsImplementorOf
 | ReferenceInterface
TPersistent
 | AssignError
 | AssignTo
 | DefineProperties
 | GetOwner
 | Destroy
 | Assign
 | FPOAttachObserver
 | FPODetachObserver
 | FPONotifyObservers
 | GetNamePath
TObject
 | Create
 | Destroy
 | newinstance
 | FreeInstance
 | SafeCallException
 | DefaultHandler
 | Free
 | InitInstance
 | CleanupInstance
 | ClassType
 | ClassInfo
 | ClassName
 | ClassNameIs
 | ClassParent
 | InstanceSize
 | InheritsFrom
 | StringMessageTable
 | MethodAddress
 | MethodName
 | FieldAddress
 | AfterConstruction
 | BeforeDestruction
 | DefaultHandlerStr
 | Dispatch
 | DispatchStr
 | GetInterface
 | GetInterfaceByStr
 | GetInterfaceWeak
 | GetInterfaceEntry
 | GetInterfaceEntryByStr
 | GetInterfaceTable
 | UnitName
 | Equals
 | GetHashCode
 | ToString


pt | ActionChange (TControl)
 | ActiveDefaultControlChanged (TControl)
 | AddControl (TWinControl)
pt | AddHandler (TControl)
 | AddHandlerOnBeforeDestruction (TControl)
 | AddHandlerOnChangeBounds (TControl)
 | AddHandlerOnEnabledChanged (TControl)
 | AddHandlerOnKeyDown (TControl)
 | AddHandlerOnMouseWheel (TControl)
 | AddHandlerOnResize (TControl)
 | AddHandlerOnVisibleChanged (TControl)
 | AddHandlerOnVisibleChanging (TControl)
pt | AdjustClientRect (TWinControl)
 | AdjustSize (TControl)
 | AfterConstruction (TObject)
pt | AlignControls (TWinControl)
pt | AllAutoSized (TWinControl)
 | AnchorAsAlign (TControl)
 | AnchorClient (TControl)
 | AnchoredControlCount (TControl)
 | AnchorHorizontalCenterTo (TControl)
 | AnchorParallel (TControl)
 | AnchorSame (TControl)
pt | AnchorSideChanged (TControl)
 | AnchorToCompanion (TControl)
 | AnchorToNeighbour (TControl)
 | AnchorVerticalCenterTo (TControl)
pt | ApplyChanges (TCustomCheckBox)
pt | ApplyChanges (TRadioButton)
 | Assign (TPersistent)
 | AssignError (TPersistent)
 | AssignTo (TPersistent)
pt | AssignTo (TControl)
 | AutoAdjustLayout (TControl)
 | AutoAdjustLayout (TWinControl)
 | AutoSizeDelayed (TControl)
 | AutoSizeDelayed (TWinControl)
 | AutoSizeDelayedHandle (TControl)
 | AutoSizeDelayedHandle (TWinControl)
 | AutoSizeDelayedReport (TControl)
 | AutoSizeDelayedReport (TWinControl)
 | AutoSizePhases (TControl)
 | AutoSizePhases (TWinControl)
 | BeforeDestruction (TObject)
 | BeforeDestruction (TComponent)
 | BeforeDestruction (TControl)
pt | BeforeDragStart (TControl)
pt | BeginAutoDrag (TControl)
pt | BeginAutoSizing (TControl)
 | BeginDrag (TControl)
 | BeginUpdateBounds (TWinControl)
pt | BoundsChanged (TControl)
 | BringToFront (TControl)
 | BroadCast (TWinControl)
 | BrushCreated (TWinControl)
pt | CalculateDockSizes (TControl)
pt | CalculatePreferredSize (TControl)
pt | CalculatePreferredSize (TWinControl)
pt | CanAutoSize (TControl)
 | CanFocus (TWinControl)
 | CanSetFocus (TWinControl)
pt | CanTab (TControl)
pt | CanTab (TWinControl)
pt | CaptureChanged (TControl)
pt | ChangeBounds (TControl)
pt | Changed (TControl)
 | ChangeName (TComponent)
pt | ChangeScale (TControl)
pt | ChangeScale (TWinControl)
 | CheckChildClassAllowed (TControl)
 | CheckNewParent (TControl)
pt | CheckOnChangeBounds (TControl)
pt | ChildClassAllowed (TControl)
pt | ChildClassAllowed (TWinControl)
pt | ChildHandlesCreated (TWinControl)
pt | ChildKey (TWinControl)
 | ClassInfo (TObject)
 | ClassName (TObject)
 | ClassNameIs (TObject)
 | ClassParent (TObject)
 | ClassType (TObject)
 | CleanupInstance (TObject)
pt | Click (TControl)
pt | Click (TButtonControl)
pt | Click (TCustomCheckBox)
 | ClientRectNeedsInterfaceUpdate (TWinControl)
 | ClientToParent (TControl)
 | ClientToScreen (TControl)
pt | CMBiDiModeChanged (TControl)
pt | CMBiDiModeChanged (TWinControl)
pt | CMBorderChanged (TWinControl)
pt | CMChanged (TControl)
pt | CMCursorChanged (TControl)
pt | CMDoubleBufferedChanged (TWinControl)
pt | CMEnabledChanged (TControl)
pt | CMEnabledChanged (TWinControl)
pt | CMEnter (TWinControl)
pt | CMExit (TWinControl)
pt | CMHintShow (TControl)
pt | CMHitTest (TControl)
pt | CMMouseEnter (TControl)
pt | CMMouseLeave (TControl)
pt | CMParentBiDiModeChanged (TControl)
pt | CMParentColorChanged (TControl)
pt | CMParentDoubleBufferedChanged (TWinControl)
pt | CMParentFontChanged (TControl)
pt | CMParentShowHintChanged (TControl)
pt | CMShowHintChanged (TWinControl)
pt | CMShowingChanged (TWinControl)
pt | CMSysFontChanged (TControl)
pt | CMTextChanged (TControl)
pt | CMVisibleChanged (TControl)
pt | CMVisibleChanged (TWinControl)
pt | CNChar (TWinControl)
pt | CNKeyDown (TWinControl)
pt | CNKeyUp (TWinControl)
 | CNPreferredSizeChanged (TControl)
pt | CNSysKeyDown (TWinControl)
pt | CNSysKeyUp (TWinControl)
pt | ColorIsStored (TControl)
pt | ConstrainedResize (TControl)
 | ContainsControl (TWinControl)
 | ControlAtPos (TWinControl)
pt | ControlKeyDown (TWinControl)
pt | ControlKeyUp (TWinControl)
pt | ControlsAligned (TWinControl)
 | ControlToScreen (TControl)
 | Create (TObject)
 | Create (TComponent)
 | Create (TLCLComponent)
 | Create (TControl)
 | Create (TWinControl)
 | Create (TButtonControl)
 | Create (TCustomCheckBox)
 | Create (TRadioButton)
 | CreateAccessibleObject (TControl)
pt | CreateBrush (TWinControl)
pt | CreateControlBorderSpacing (TControl)
pt | CreateDockManager (TWinControl)
pt | CreateFloatingDockSite (TControl)
pt | CreateHandle (TWinControl)
pt | CreateParams (TWinControl)
pt | CreateParams (TCustomCheckBox)
pt | CreateParams (TRadioButton)
 | CreateParented (TWinControl)
 | CreateParentedControl (TWinControl)
pt | CreateSubClass (TWinControl)
pt | CreateWnd (TWinControl)
pt | CustomAlignInsertBefore (TWinControl)
pt | CustomAlignPosition (TWinControl)
pt | DblClick (TControl)
 | DecLCLRefCount (TLCLComponent)
 | DefaultHandler (TObject)
 | DefaultHandler (TWinControl)
 | DefaultHandlerStr (TObject)
 | DefineProperties (TPersistent)
 | DefineProperties (TComponent)
pt | DefineProperties (TControl)
 | Destroy (TObject)
 | Destroy (TPersistent)
 | Destroy (TComponent)
 | Destroy (TLCLComponent)
 | Destroy (TControl)
 | Destroy (TWinControl)
 | DestroyComponents (TComponent)
pt | DestroyHandle (TWinControl)
 | Destroying (TComponent)
pt | DestroyWnd (TWinControl)
pt | DialogChar (TControl)
pt | DialogChar (TWinControl)
pt | DialogChar (TCustomCheckBox)
pt | DialogChar (TRadioButton)
 | DisableAlign (TWinControl)
 | DisableAutoSizing (TControl)
 | Dispatch (TObject)
 | DispatchStr (TObject)
pt | DoAddDockClient (TWinControl)
 | DoAdjustClientRectChange (TWinControl)
pt | DoAlignChildControls (TWinControl)
pt | DoAllAutoSize (TControl)
pt | DoAllAutoSize (TWinControl)
pt | DoAutoAdjustLayout (TControl)
pt | DoAutoSize (TControl)
pt | DoAutoSize (TWinControl)
pt | DoBorderSpacingChange (TControl)
pt | DoCallKeyEventHandler (TControl)
pt | DoCallMouseWheelEventHandler (TControl)
pt | DoCallNotifyHandler (TControl)
pt | DoChildSizingChange (TWinControl)
 | Dock (TControl)
 | DockDrop (TWinControl)
 | Docked (TControl)
pt | DockOver (TWinControl)
pt | DockTrackNoTarget (TControl)
pt | DoClickOnChange (TCustomCheckBox)
pt | DoClickOnChange (TRadioButton)
pt | DoConstraintsChange (TControl)
pt | DoConstraintsChange (TWinControl)
pt | DoContextPopup (TControl)
pt | DoDock (TControl)
pt | DoDockClientMsg (TWinControl)
pt | DoDockOver (TWinControl)
pt | DoDragMsg (TControl)
pt | DoDragMsg (TWinControl)
pt | DoEndDock (TControl)
pt | DoEndDrag (TControl)
pt | DoEnter (TWinControl)
pt | DoExit (TWinControl)
pt | DoFixDesignFontPPI (TControl)
pt | DoFlipChildren (TWinControl)
pt | DoFloatMsg (TControl)
pt | DoFloatMsg (TWinControl)
pt | DoGetDockCaption (TWinControl)
pt | DoKeyDownBeforeInterface (TWinControl)
pt | DoKeyPress (TWinControl)
pt | DoKeyUpBeforeInterface (TWinControl)
pt | DoMouseWheel (TControl)
pt | DoMouseWheelDown (TControl)
pt | DoMouseWheelHorz (TControl)
pt | DoMouseWheelLeft (TControl)
pt | DoMouseWheelRight (TControl)
pt | DoMouseWheelUp (TControl)
pt | DoOnChange (TButtonControl)
pt | DoOnChangeBounds (TControl)
pt | DoOnParentHandleDestruction (TControl)
pt | DoOnResize (TControl)
pt | DoOnShowHint (TControl)
pt | DoRemainingKeyDown (TWinControl)
pt | DoRemainingKeyUp (TWinControl)
pt | DoRemoveDockClient (TWinControl)
pt | DoScaleFontPPI (TControl)
pt | DoSendBoundsToInterface (TWinControl)
pt | DoSendShowHideToInterface (TWinControl)
pt | DoSetBounds (TControl)
pt | DoSetBounds (TWinControl)
pt | DoStartDock (TControl)
pt | DoStartDrag (TControl)
pt | DoUnDock (TWinControl)
pt | DoUndockClientMsg (TWinControl)
pt | DoUTF8KeyPress (TWinControl)
pt | DragCanceled (TControl)
 | DragDrop (TControl)
 | Dragging (TControl)
pt | DragOver (TControl)
 | EditingDone (TControl)
 | EnableAlign (TWinControl)
 | EnableAutoSizing (TControl)
pt | EnabledChanged (TControl)
pt | EnabledChanging (TControl)
pt | EndAutoSizing (TControl)
 | EndDrag (TControl)
 | EndUpdateBounds (TWinControl)
 | Equals (TObject)
 | EraseBackground (TWinControl)
 | ExecuteAction (TComponent)
 | ExecuteCancelAction (TControl)
 | ExecuteDefaultAction (TControl)
 | FieldAddress (TObject)
pt | FinalizeWnd (TWinControl)
 | FindChildControl (TWinControl)
 | FindComponent (TComponent)
pt | FindNextControl (TWinControl)
 | FixDesignFontsPPI (TControl)
pt | FixupTabList (TWinControl)
 | FlipChildren (TWinControl)
 | Focused (TWinControl)
pt | FontChanged (TControl)
pt | FontChanged (TWinControl)
pt | ForeignAnchorSideChanged (TControl)
pt | FormEndUpdated (TControl)
pt | FormEndUpdated (TWinControl)
 | FormIsUpdating (TControl)
 | FPOAttachObserver (TPersistent)
 | FPODetachObserver (TPersistent)
 | FPONotifyObservers (TPersistent)
 | Free (TObject)
 | FreeInstance (TObject)
 | FreeNotification (TComponent)
 | FreeOnRelease (TComponent)
 | GetAccessibleObject (TControl)
pt | GetAction (TControl)
pt | GetActionLinkClass (TControl)
pt | GetActionLinkClass (TButtonControl)
pt | GetAdjustedLogicalClientRect (TWinControl)
 | GetAnchorsDependingOnParent (TControl)
pt | GetBorderStyle (TWinControl)
pt | GetCachedText (TControl)
 | GetCanvasScaleFactor (TControl)
pt | GetChecked (TButtonControl)
pt | GetChecked (TCustomCheckBox)
 | GetChildAccessibleObjectAtPos (TControl)
 | GetChildOwner (TComponent)
 | GetChildParent (TComponent)
 | GetChildren (TComponent)
pt | GetChildren (TWinControl)
 | GetChildrenRect (TControl)
 | GetChildrenRect (TWinControl)
pt | GetClientOrigin (TControl)
pt | GetClientOrigin (TWinControl)
pt | GetClientRect (TControl)
pt | GetClientRect (TWinControl)
pt | GetClientScrollOffset (TControl)
 | GetColorResolvingParent (TControl)
 | GetComObject (TComponent)
 | GetComponent (TComponent)
 | GetComponentCount (TComponent)
 | GetComponentIndex (TComponent)
pt | GetControlClassDefaultSize (TControl)
pt | GetControlClassDefaultSize (TCustomCheckBox)
 | GetControlIndex (TWinControl)
pt | GetControlOrigin (TControl)
pt | GetControlOrigin (TWinControl)
pt | GetCursor (TControl)
 | GetDefaultColor (TControl)
pt | GetDefaultDockCaption (TControl)
 | GetDefaultHeight (TControl)
 | GetDefaultWidth (TControl)
pt | GetDeviceContext (TControl)
pt | GetDeviceContext (TWinControl)
 | GetDockCaption (TWinControl)
pt | GetDockEdge (TControl)
pt | GetDragImages (TControl)
pt | GetEnabled (TControl)
 | GetEnumerator (TComponent)
 | GetEnumeratorControls (TWinControl)
 | GetEnumeratorControlsReverse (TWinControl)
pt | GetFloating (TControl)
pt | GetFloatingDockSiteClass (TControl)
 | GetHashCode (TObject)
 | GetIDsOfNames (TComponent)
 | GetInterface (TObject)
 | GetInterfaceByStr (TObject)
 | GetInterfaceEntry (TObject)
 | GetInterfaceEntryByStr (TObject)
 | GetInterfaceTable (TObject)
 | GetInterfaceWeak (TObject)
pt | GetLogicalClientRect (TControl)
pt | GetMouseCapture (TControl)
pt | GetMouseCapture (TWinControl)
pt | GetMousePosFromMessage (TControl)
 | GetNamePath (TPersistent)
 | GetNamePath (TComponent)
 | GetOwner (TPersistent)
 | GetOwner (TComponent)
pt | GetPalette (TControl)
pt | GetParentBackground (TWinControl)
 | GetParentComponent (TComponent)
 | GetParentComponent (TControl)
pt | GetParentHandle (TWinControl)
pt | GetPopupMenu (TControl)
 | GetPreferredSize (TControl)
pt | GetPreferredSizeClientFrame (TWinControl)
 | GetRGBColorResolvingParent (TControl)
pt | GetScrolledClientRect (TControl)
 | GetSelectedChildAccessibleObject (TControl)
 | GetSidePosition (TControl)
pt | GetSiteInfo (TWinControl)
 | GetTabOrderList (TWinControl)
 | GetTextBuf (TControl)
 | GetTextLen (TControl)
 | GetTextLen (TWinControl)
 | GetTopParent (TControl)
pt | GetTopParentHandle (TWinControl)
 | GetTypeInfo (TComponent)
 | GetTypeInfoCount (TComponent)
pt | GetWSComponentClass (TLCLComponent)
 | HandleAllocated (TWinControl)
 | HandleNeeded (TWinControl)
 | HandleObjectShouldBeVisible (TControl)
 | HasHelp (TControl)
 | HasParent (TComponent)
 | HasParent (TControl)
pt | HeightIsAnchored (TControl)
 | Hide (TControl)
 | iicrGetComponent (TComponent)
 | IncLCLRefCount (TLCLComponent)
 | InheritsFrom (TObject)
pt | InitializeWnd (TWinControl)
pt | InitializeWnd (TCustomCheckBox)
 | InitiateAction (TControl)
 | InitInstance (TObject)
 | Insert (TComponent)
 | InsertComponent (TComponent)
 | InsertControl (TWinControl)
 | InstanceSize (TObject)
 | IntfGetDropFilesTarget (TWinControl)
 | IntfUTF8KeyPress (TWinControl)
 | Invalidate (TControl)
 | Invalidate (TWinControl)
pt | InvalidateBoundsRealized (TWinControl)
 | InvalidateClientRectCache (TWinControl)
pt | InvalidateControl (TControl)
pt | InvalidatePreferredChildSizes (TWinControl)
 | InvalidatePreferredSize (TControl)
 | Invoke (TComponent)
pt | IsAParentAligning (TControl)
pt | IsBorderSpacingInnerBorderStored (TControl)
pt | IsCaptionStored (TControl)
pt | IsClientHeightStored (TControl)
pt | IsClientHeightStored (TWinControl)
pt | IsClientWidthStored (TControl)
pt | IsClientWidthStored (TWinControl)
pt | IsControlMouseMsg (TWinControl)
 | IsControlVisible (TControl)
 | IsEnabled (TControl)
 | IsImplementorOf (TComponent)
 | IsParentColor (TControl)
 | IsParentFont (TControl)
 | IsParentOf (TControl)
 | IsProcessingPaintMsg (TControl)
 | IsRightToLeft (TControl)
 | IsVisible (TControl)
pt | KeyDown (TWinControl)
pt | KeyDownAfterInterface (TWinControl)
pt | KeyDownBeforeInterface (TWinControl)
pt | KeyPress (TWinControl)
pt | KeyUp (TWinControl)
pt | KeyUpAfterInterface (TWinControl)
pt | KeyUpBeforeInterface (TWinControl)
pt | LMCaptureChanged (TControl)
 | Loaded (TComponent)
pt | Loaded (TControl)
pt | Loaded (TWinControl)
pt | Loaded (TCustomCheckBox)
pt | LoadedAll (TControl)
 | Loading (TComponent)
 | LockRealizeBounds (TWinControl)
pt | MainWndProc (TWinControl)
 | ManualDock (TControl)
 | ManualFloat (TControl)
 | MethodAddress (TObject)
 | MethodName (TObject)
pt | MouseDown (TControl)
pt | MouseEnter (TControl)
pt | MouseLeave (TControl)
pt | MouseMove (TControl)
pt | MouseUp (TControl)
 | newinstance (TObject)
 | NewInstance (TLCLComponent)
 | Notification (TComponent)
pt | Notification (TControl)
 | NotifyControls (TWinControl)
pt | PaintControls (TWinControl)
pt | PaintHandler (TWinControl)
 | PaintTo (TWinControl)
pt | PaintWindow (TWinControl)
 | PaletteCreated (TComponent)
 | ParentDestroyingHandle (TControl)
pt | ParentFontChanged (TControl)
pt | ParentFormHandleInitialized (TControl)
pt | ParentFormHandleInitialized (TWinControl)
 | ParentHandlesAllocated (TControl)
 | ParentHandlesAllocated (TWinControl)
 | ParentToClient (TControl)
 | Perform (TControl)
 | PerformTab (TWinControl)
pt | PositionDockRect (TControl)
pt | QuadClick (TControl)
 | QueryInterface (TComponent)
 | ReadLeft (TComponent)
 | ReadState (TComponent)
pt | ReadState (TControl)
 | ReadTop (TComponent)
pt | RealGetText (TControl)
pt | RealGetText (TWinControl)
 | ReAlign (TWinControl)
pt | RealizeBounds (TWinControl)
pt | RealizeBoundsRecursive (TWinControl)
pt | RealSetText (TControl)
pt | RealSetText (TWinControl)
pt | RealSetText (TCustomCheckBox)
pt | RealSetText (TRadioButton)
 | ReferenceInterface (TComponent)
 | Refresh (TControl)
pt | ReloadDockedControl (TWinControl)
 | Remove (TComponent)
 | RemoveAllHandlersOfObject (TLCLComponent)
 | RemoveAllHandlersOfObject (TControl)
 | RemoveComponent (TComponent)
 | RemoveControl (TWinControl)
pt | RemoveFocus (TWinControl)
 | RemoveFreeNotification (TComponent)
pt | RemoveHandler (TControl)
 | RemoveHandlerOnBeforeDestruction (TControl)
 | RemoveHandlerOnChangeBounds (TControl)
 | RemoveHandlerOnEnableChanging (TControl)
 | RemoveHandlerOnKeyDown (TControl)
 | RemoveHandlerOnMouseWheel (TControl)
 | RemoveHandlerOnResize (TControl)
 | RemoveHandlerOnVisibleChanged (TControl)
 | RemoveHandlerOnVisibleChanging (TControl)
 | RemoveNotification (TComponent)
 | Repaint (TControl)
 | Repaint (TWinControl)
 | ReplaceDockedControl (TControl)
pt | RequestAlign (TControl)
pt | Resize (TControl)
pt | RetrieveState (TCustomCheckBox)
 | SafeCallException (TObject)
 | SafeCallException (TComponent)
 | Scale96ToFont (TControl)
 | Scale96ToForm (TControl)
 | Scale96ToScreen (TControl)
 | ScaleBy (TWinControl)
pt | ScaleConstraints (TControl)
pt | ScaleControls (TWinControl)
 | ScaleDesignToForm (TControl)
 | ScaleFontsPPI (TControl)
 | ScaleFontTo96 (TControl)
 | ScaleFontToScreen (TControl)
 | ScaleFormTo96 (TControl)
 | ScaleFormToDesign (TControl)
 | ScaleScreenTo96 (TControl)
 | ScaleScreenToFont (TControl)
 | ScreenToClient (TControl)
 | ScreenToControl (TControl)
 | ScrollBy (TWinControl)
 | ScrollBy_WS (TWinControl)
pt | SelectFirst (TWinControl)
 | SelectNext (TWinControl)
pt | SendDialogChar (TWinControl)
pt | SendMoveSizeMessages (TControl)
pt | SendMoveSizeMessages (TWinControl)
 | SendToBack (TControl)
pt | SetAction (TControl)
pt | SetAlign (TControl)
 | SetAncestor (TComponent)
pt | SetAnchors (TControl)
pt | SetAutoSize (TControl)
pt | SetBiDiMode (TControl)
pt | SetBorderStyle (TWinControl)
 | SetBounds (TControl)
 | SetBounds (TWinControl)
 | SetBoundsKeepBase (TControl)
pt | SetChecked (TButtonControl)
pt | SetChecked (TCustomCheckBox)
 | SetChildOrder (TComponent)
pt | SetChildZPosition (TWinControl)
pt | SetColor (TControl)
pt | SetColor (TWinControl)
 | SetComponentIndex (TComponent)
 | SetControlIndex (TWinControl)
pt | SetCursor (TControl)
 | SetDesigning (TComponent)
 | SetDesignInstance (TComponent)
pt | SetDockManager (TWinControl)
pt | SetDragMode (TControl)
pt | SetEnabled (TControl)
 | SetFocus (TWinControl)
pt | SetHint (TControl)
 | SetInitialBounds (TControl)
 | SetInline (TComponent)
 | SetName (TComponent)
pt | SetName (TControl)
pt | SetParent (TControl)
pt | SetParentBackground (TWinControl)
pt | SetParentBiDiMode (TControl)
 | SetParentComponent (TComponent)
pt | SetParentComponent (TControl)
 | SetReference (TComponent)
 | SetShape (TWinControl)
 | SetSubComponent (TComponent)
 | SetTempCursor (TControl)
 | SetTempCursor (TWinControl)
 | SetTextBuf (TControl)
pt | SetVisible (TControl)
pt | SetZOrder (TControl)
 | ShouldAutoAdjust (TControl)
 | Show (TControl)
pt | ShowControl (TWinControl)
 | ShowHelp (TControl)
 | StringMessageTable (TObject)
pt | TextChanged (TControl)
pt | TextChanged (TCustomCheckBox)
pt | Toggle (TCustomCheckBox)
 | ToString (TObject)
pt | TripleClick (TControl)
 | UnitName (TObject)
 | UnlockRealizeBounds (TWinControl)
 | Update (TControl)
 | Update (TWinControl)
 | UpdateAction (TComponent)
pt | UpdateAnchorRules (TControl)
 | UpdateBaseBounds (TControl)
pt | UpdateControlState (TWinControl)
 | Updated (TComponent)
 | UpdateDockCaption (TWinControl)
pt | UpdateMouseCursor (TControl)
 | UpdateRegistry (TComponent)
 | UpdateRolesForForm (TControl)
pt | UpdateShowing (TWinControl)
 | Updating (TComponent)
 | UseRightToLeftAlignment (TControl)
 | UseRightToLeftReading (TControl)
 | UseRightToLeftScrollBar (TControl)
pt | UTF8KeyPress (TWinControl)
 | ValidateContainer (TComponent)
 | ValidateInsert (TComponent)
 | ValidateRename (TComponent)
pt | VisibleChanged (TControl)
pt | VisibleChanging (TControl)
pt | WidthIsAnchored (TControl)
pt | WMCancelMode (TControl)
pt | WMChar (TWinControl)
pt | WMContextMenu (TControl)
pt | WMContextMenu (TWinControl)
pt | WMDestroy (TWinControl)
pt | WMEnter (TWinControl)
pt | WMEraseBkgnd (TWinControl)
pt | WMExit (TWinControl)
pt | WMKeyDown (TWinControl)
pt | WMKeyUp (TWinControl)
pt | WMKillFocus (TWinControl)
pt | WMLButtonDBLCLK (TControl)
pt | WMLButtonDown (TControl)
pt | WMLButtonQuadCLK (TControl)
pt | WMLButtonTripleCLK (TControl)
pt | WMLButtonUp (TControl)
pt | WMMButtonDBLCLK (TControl)
pt | WMMButtonDown (TControl)
pt | WMMButtonQuadCLK (TControl)
pt | WMMButtonTripleCLK (TControl)
pt | WMMButtonUp (TControl)
pt | WMMouseHWheel (TControl)
pt | WMMouseMove (TControl)
pt | WMMouseWheel (TControl)
pt | WMMove (TControl)
pt | WMMove (TWinControl)
pt | WMNotify (TWinControl)
pt | WMPaint (TWinControl)
pt | WMRButtonDBLCLK (TControl)
pt | WMRButtonDown (TControl)
pt | WMRButtonQuadCLK (TControl)
pt | WMRButtonTripleCLK (TControl)
pt | WMRButtonUp (TControl)
pt | WMSetFocus (TWinControl)
pt | WMShowWindow (TWinControl)
pt | WMSize (TControl)
pt | WMSize (TWinControl)
pt | WMSysChar (TWinControl)
pt | WMSysKeyDown (TWinControl)
pt | WMSysKeyUp (TWinControl)
pt | WMWindowPosChanged (TControl)
pt | WMWindowPosChanged (TWinControl)
pt | WMXButtonDBLCLK (TControl)
pt | WMXButtonDown (TControl)
pt | WMXButtonQuadCLK (TControl)
pt | WMXButtonTripleCLK (TControl)
pt | WMXButtonUp (TControl)
pt | WndProc (TControl)
pt | WndProc (TWinControl)
 | WriteLayoutDebugReport (TControl)
 | WriteLayoutDebugReport (TWinControl)
 | WriteLeft (TComponent)
 | WriteState (TComponent)
 | WriteTop (TComponent)
pt | WSRegisterClass (TLCLComponent)
pt | WSRegisterClass (TControl)
pt | WSRegisterClass (TWinControl)
pt | WSRegisterClass (TButtonControl)
pt | WSRegisterClass (TCustomCheckBox)
pt | WSRegisterClass (TRadioButton)
pt | WSSetText (TWinControl)
pt | WSSetText (TCustomCheckBox)
 | _AddRef (TComponent)
 | _Release (TComponent)


TRadioButton
pl | ro | OnChange
pl | ro | OnChangeBounds
pl | ro | OnClick
pl | ro | OnContextPopup
pl | ro | OnDragDrop
pl | ro | OnDragOver
pl | ro | OnEndDrag
pl | ro | OnEnter
pl | ro | OnExit
pl | ro | OnKeyDown
pl | ro | OnKeyPress
pl | ro | OnKeyUp
pl | ro | OnMouseDown
pl | ro | OnMouseEnter
pl | ro | OnMouseLeave
pl | ro | OnMouseMove
pl | ro | OnMouseUp
pl | ro | OnMouseWheel
pl | ro | OnMouseWheelDown
pl | ro | OnMouseWheelUp
pl | ro | OnResize
pl | ro | OnStartDrag
TCustomCheckBox
 | ro | OnChange
TButtonControl
pt |  | OnChange
TWinControl
pt |  | OnGetSiteInfo
pt |  | OnGetDockCaption
 |  | OnAlignInsertBefore
 |  | OnAlignPosition
 |  | OnDockDrop
 |  | OnDockOver
 |  | OnEnter
 |  | OnExit
 |  | OnKeyDown
 |  | OnKeyPress
 |  | OnKeyUp
 |  | OnUnDock
 |  | OnUTF8KeyPress
TControl
pt |  | OnConstrainedResize
pt |  | OnContextPopup
pt |  | OnDblClick
pt |  | OnTripleClick
pt |  | OnQuadClick
pt |  | OnDragDrop
pt |  | OnDragOver
pt |  | OnEndDock
pt |  | OnEndDrag
pt |  | OnMouseDown
pt |  | OnMouseMove
pt |  | OnMouseUp
pt |  | OnMouseEnter
pt |  | OnMouseLeave
pt |  | OnMouseWheel
pt |  | OnMouseWheelDown
pt |  | OnMouseWheelUp
pt |  | OnMouseWheelHorz
pt |  | OnMouseWheelLeft
pt |  | OnMouseWheelRight
pt |  | OnStartDock
pt |  | OnStartDrag
pt |  | OnEditingDone
 |  | OnChangeBounds
 |  | OnClick
 |  | OnResize
 |  | OnShowHint
TLCLComponent
TComponent
TPersistent
TObject


pt |  | OnChange (TButtonControl)
 | ro | OnChange (TCustomCheckBox)
pl | ro | OnChange (TRadioButton)
 |  | OnChangeBounds (TControl)
pl | ro | OnChangeBounds (TRadioButton)
 |  | OnClick (TControl)
pl | ro | OnClick (TRadioButton)
pt |  | OnConstrainedResize (TControl)
pt |  | OnContextPopup (TControl)
pl | ro | OnContextPopup (TRadioButton)
pt |  | OnDblClick (TControl)
 |  | OnDockDrop (TWinControl)
 |  | OnDockOver (TWinControl)
pt |  | OnDragDrop (TControl)
pl | ro | OnDragDrop (TRadioButton)
pt |  | OnDragOver (TControl)
pl | ro | OnDragOver (TRadioButton)
pt |  | OnEditingDone (TControl)
pt |  | OnEndDock (TControl)
pt |  | OnEndDrag (TControl)
pl | ro | OnEndDrag (TRadioButton)
 |  | OnEnter (TWinControl)
pl | ro | OnEnter (TRadioButton)
 |  | OnExit (TWinControl)
pl | ro | OnExit (TRadioButton)
pt |  | OnGetDockCaption (TWinControl)
pt |  | OnGetSiteInfo (TWinControl)
 |  | OnKeyDown (TWinControl)
pl | ro | OnKeyDown (TRadioButton)
 |  | OnKeyPress (TWinControl)
pl | ro | OnKeyPress (TRadioButton)
 |  | OnKeyUp (TWinControl)
pl | ro | OnKeyUp (TRadioButton)
pt |  | OnMouseDown (TControl)
pl | ro | OnMouseDown (TRadioButton)
pt |  | OnMouseEnter (TControl)
pl | ro | OnMouseEnter (TRadioButton)
pt |  | OnMouseLeave (TControl)
pl | ro | OnMouseLeave (TRadioButton)
pt |  | OnMouseMove (TControl)
pl | ro | OnMouseMove (TRadioButton)
pt |  | OnMouseUp (TControl)
pl | ro | OnMouseUp (TRadioButton)
pt |  | OnMouseWheel (TControl)
pl | ro | OnMouseWheel (TRadioButton)
pt |  | OnMouseWheelDown (TControl)
pl | ro | OnMouseWheelDown (TRadioButton)
pt |  | OnMouseWheelHorz (TControl)
pt |  | OnMouseWheelLeft (TControl)
pt |  | OnMouseWheelRight (TControl)
pt |  | OnMouseWheelUp (TControl)
pl | ro | OnMouseWheelUp (TRadioButton)
pt |  | OnQuadClick (TControl)
 |  | OnResize (TControl)
pl | ro | OnResize (TRadioButton)
 |  | OnShowHint (TControl)
pt |  | OnStartDock (TControl)
pt |  | OnStartDrag (TControl)
pl | ro | OnStartDrag (TRadioButton)
pt |  | OnTripleClick (TControl)
 |  | OnUnDock (TWinControl)
 |  | OnUTF8KeyPress (TWinControl)


TRadioButton.Alignment

Declaration

Source position: stdctrls.pp line 1468

published property TRadioButton.Alignment : TLeftRight;


TRadioButton.Create

Declaration

Source position: stdctrls.pp line 1465

public constructor TRadioButton.Create(

  TheOwner: TComponent

); override;


TRadioButton.CreateParams

Declaration

Source position: stdctrls.pp line 1463

protected procedure TRadioButton.CreateParams(

  var Params: TCreateParams

); override;


TRadioButton.DoClickOnChange

Declaration

Source position: stdctrls.pp line 1462

protected procedure TRadioButton.DoClickOnChange; override;


TRadioButton.DoubleBuffered

Declaration

Source position: stdctrls.pp line 1477

published property TRadioButton.DoubleBuffered : Boolean;


TRadioButton.OnKeyDown

Declaration

Source position: stdctrls.pp line 1493

published property TRadioButton.OnKeyDown : TKeyEvent;


TRadioButton.OnKeyPress

Declaration

Source position: stdctrls.pp line 1494

published property TRadioButton.OnKeyPress : TKeyPressEvent;


TRadioButton.OnKeyUp

Declaration

Source position: stdctrls.pp line 1495

published property TRadioButton.OnKeyUp : TKeyEvent;


TRadioButton.OnMouseWheel

Declaration

Source position: stdctrls.pp line 1501

published property TRadioButton.OnMouseWheel : TMouseWheelEvent;


TRadioButton.OnMouseWheelDown

Declaration

Source position: stdctrls.pp line 1502

published property TRadioButton.OnMouseWheelDown : TMouseWheelUpDownEvent;


TRadioButton.OnMouseWheelUp

Declaration

Source position: stdctrls.pp line 1503

published property TRadioButton.OnMouseWheelUp : TMouseWheelUpDownEvent;


TRadioButton.ParentDoubleBuffered

Declaration

Source position: stdctrls.pp line 1508

published property TRadioButton.ParentDoubleBuffered : Boolean;


TScrollBar

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

A control that allows the user to scroll the content of an associated control by moving an slider.

Declaration

Source position: stdctrls.pp line 119

type TScrollBar = class(TCustomScrollBar)
published
property Align: TAlign; | Specifies the placement of the control inside its Parent.
property Anchors: TAnchors; | The set of anchor definitions for this control.
property BidiMode: TBiDiMode; | Customization (of text controls) in bidirectional reading environments.
property BorderSpacing: TControlBorderSpacing; | Determines the inner and outer border spacing for this control.
property Constraints: TSizeConstraints; | The minimal and maximal Width and Height of this control.
property DoubleBuffered: Boolean;
property DragCursor: TCursor; | The cursor shape shown while the control is dragged.
property DragKind: TDragKind; | The operation when the control is dragged - Drag or Dock.
property DragMode: TDragMode; | Allows the user to drag the control.
property Enabled: Boolean; | Determines whether the control reacts on mouse or keyboard input.
property Kind: TScrollBarKind; | The scrollbar orientation, horizontal or vertical.
property LargeChange: TScrollBarInc; | The distance to scroll on an click beneath the slider.
property Max: Integer; | The maximum value, for the bottom or rightmost position.
property Min: Integer; | The minimum value, for the top or leftmost position.
property PageSize: Integer; | The size of the slider, relative to the total scroll range.
property ParentBidiMode: Boolean; | Allows to use the BiDiMode settings of Parent. Default is true.
property ParentDoubleBuffered: Boolean;
property ParentShowHint: Boolean; | If true, the value of ShowHint for the control will be the same as the one from the Parent. Default is true.
property PopupMenu: TPopupMenu; | A context-sensitive menu that pops up when the right mouse button is clicked over this control
property Position: Integer; | The position value of the slider in the ScrollBar.
property ShowHint: Boolean; | Enables the Hint display.
property SmallChange: TScrollBarInc; | The distance to scroll on an click on the up/down buttons.
property TabOrder: TTabOrder; | Determines the sequence of controls, reachable when the user presses the Tab key.
property TabStop: Boolean; | Allows the user to navigate to this control, by pressing the Tab key.
property Visible: Boolean; | Allows to show or hide the control, and all of its children.
property OnChange: TNotifyEvent; | Event handler for any change of the Position.
property OnContextPopup: TContextPopupEvent; | Invoked when a context-sensitive pop-up menu is requested.
property OnDragDrop: TDragDropEvent; | This handler determines the action on an drop onto this control, in a drag-drop operation.
property OnDragOver: TDragOverEvent; | Event handler for a control being dragged over this control.
property OnEndDrag: TEndDragEvent; | Notification handler for the end of a dragging operation.
property OnEnter: TNotifyEvent; | Handler for control receiving the focus.
property OnExit: TNotifyEvent; | Handler for control loosing the focus. This is a good place for checking the finished user input.
property OnKeyDown: TKeyEvent; | Handler for keyboard key pressed.
property OnKeyPress: TKeyPressEvent; | Handler for a character entered by the user.
property OnKeyUp: TKeyEvent; | Handler for keyboard key released.
property OnScroll: TScrollEvent; | Handler for a scrolling event by mouse, keyboard or code.
property OnStartDrag: TStartDragEvent; | Event handler for the start of a dragging operation.
property OnUTF8KeyPress: TUTF8KeyPressEvent; | Handler for a character entered by the user.
end;

Inheritance

TScrollBar | A control that allows the user to scroll the content of an associated control by moving an slider.
|
TCustomScrollBar | The base class for TScrollBar.
|
TWinControl | The base class for controls which can contain other (child) controls.
|
TControl | The base class for visible controls.
|
TLCLComponent | The base class for LCL components associated with widgets.
|
TComponent,IUnknown,IInterfaceComponentReference
|
TPersistent,IFPObserved
|
TObject

Description

A control that allows the user to scroll the content of a window, by moving an slider.

It appears as a long rectangular track bar, within which a smaller contrasting block or slider can move up and down (or from side to side in a horizontal ScrollBar).

It has small triangular indicators or pointers on one or both ends of the bar, depending on the widgetset. Clicking with the mouse on one of the pointers moves the slider a small distance (SmallChange) in the specified direction.

Clicking with the mouse in the blank area of the scrollbar above or below the slider makes the slider move by a larger increment (LargeChange).

The slider can also be moved by clicking on it with the mouse, and holding down the button while moving the mouse. The slider then follows the mouse until the button is released.

If the mouse has a scrollwheel, the slider also can be moved by rotating the wheel.

The arrow keys or the Page Up/Page Down keys on the keyboard can be used to move the slider, too.

The location of the slider along the track is held in the Position property. It's the programmer's responsibility to ensure that the content of the window is scrolled to the new Position of the scrollbar.

See also

TCustomScrollBar.OnChange | Event handler for any change of the Position.
HowToUseStdCtrls | How to use StdCtrls, ComCtrls or ExtCtrls


TScrollBar
pl | ro | Align
pl | ro | Anchors
pl | ro | BidiMode
pl | ro | BorderSpacing
pl | ro | Constraints
pl | ro | DoubleBuffered
pl | ro | DragCursor
pl | ro | DragKind
pl | ro | DragMode
pl | ro | Enabled
pl | ro | Kind
pl | ro | LargeChange
pl | ro | Max
pl | ro | Min
pl | ro | PageSize
pl | ro | ParentBidiMode
pl | ro | ParentDoubleBuffered
pl | ro | ParentShowHint
pl | ro | PopupMenu
pl | ro | Position
pl | ro | ShowHint
pl | ro | SmallChange
pl | ro | TabOrder
pl | ro | TabStop
pl | ro | Visible
TCustomScrollBar
 |  | Kind
 |  | LargeChange
 |  | Max
 |  | Min
 |  | PageSize
 |  | Position
 |  | SmallChange
 | ro | TabStop
TWinControl
pt |  | WindowHandle
pt |  | BorderStyle
pt |  | ParentBackground
 |  | BorderWidth
 | ro | BoundsLockCount
 | ro | Brush
 | ro | CachedClientHeight
 | ro | CachedClientWidth
 |  | ChildSizing
 | ro | ControlCount
 | ro | Controls
 |  | DefWndProc
 | ro | DockClientCount
 | ro | DockClients
 |  | DockManager
 |  | DockSite
 |  | DoubleBuffered
 |  | Handle
 | ro | IsFlipped
 | ro | IsResizing
 |  | TabOrder
 |  | TabStop
 |  | ParentDoubleBuffered
 |  | ParentWindow
 | ro | Showing
 |  | UseDockManager
 |  | DesignerDeleting
 | ro | VisibleDockClientCount
TControl
pt | ro | AutoSizing
pt | ro | AutoSizingAll
pt | ro | AutoSizingLockCount
pt |  | ActionLink
pt |  | DesktopFont
pt |  | DragCursor
pt |  | DragKind
pt |  | DragMode
pt |  | MouseCapture
pt |  | ParentColor
pt |  | ParentFont
pt |  | ParentShowHint
pt |  | SessionProperties
pt |  | Text
 | ro | AnchoredControls
 | ro | BaseBounds
 | ro | ReadBounds
 | ro | BaseParentClientSize
 |  | AccessibleDescription
 |  | AccessibleValue
 |  | AccessibleRole
 |  | Action
 |  | Align
 |  | Anchors
 | ro | AnchorSide
 |  | AutoSize
 |  | BorderSpacing
 |  | BoundsRect
 |  | BoundsRectForNewParent
 |  | Caption
 |  | CaptureMouseButtons
 |  | ClientHeight
 | ro | ClientOrigin
 | ro | ClientRect
 |  | ClientWidth
 |  | Color
 |  | Constraints
 | ro | ControlOrigin
 |  | ControlState
 |  | ControlStyle
 |  | Enabled
 |  | Font
 |  | IsControl
 | ro | MouseEntered
 | ro | MouseInClient
 |  | Parent
 |  | PopupMenu
 |  | ShowHint
 |  | Visible
 |  | WindowProc
 |  | DockOrientation
 | ro | Floating
 |  | FloatingDockSiteClass
 |  | HostDockSite
 |  | LRDockWidth
 |  | TBDockHeight
 |  | UndockHeight
 |  | UndockWidth
 |  | BiDiMode
 |  | ParentBiDiMode
pl |  | AnchorSideLeft
pl |  | AnchorSideTop
pl |  | AnchorSideRight
pl |  | AnchorSideBottom
pl |  | Cursor
pl |  | Left
pl |  | Height
pl |  | Hint
pl |  | Top
pl |  | Width
pl |  | HelpType
pl |  | HelpKeyword
pl |  | HelpContext
TLCLComponent
 | ro | LCLRefCount
 | ro | WidgetSetClass
TComponent
 | ro | ComObject
 | ro | Components
 | ro | ComponentCount
 |  | ComponentIndex
 | ro | ComponentState
 | ro | ComponentStyle
 |  | DesignInfo
 | ro | Owner
 |  | VCLComObject
 |  | Name
 |  | Tag
TPersistent
TObject


 |  | AccessibleDescription (TControl)
 |  | AccessibleRole (TControl)
 |  | AccessibleValue (TControl)
 |  | Action (TControl)
pt |  | ActionLink (TControl)
 |  | Align (TControl)
pl | ro | Align (TScrollBar)
 | ro | AnchoredControls (TControl)
 |  | Anchors (TControl)
pl | ro | Anchors (TScrollBar)
 | ro | AnchorSide (TControl)
pl |  | AnchorSideBottom (TControl)
pl |  | AnchorSideLeft (TControl)
pl |  | AnchorSideRight (TControl)
pl |  | AnchorSideTop (TControl)
 |  | AutoSize (TControl)
pt | ro | AutoSizing (TControl)
pt | ro | AutoSizingAll (TControl)
pt | ro | AutoSizingLockCount (TControl)
 | ro | BaseBounds (TControl)
 | ro | BaseParentClientSize (TControl)
 |  | BiDiMode (TControl)
pl | ro | BidiMode (TScrollBar)
 |  | BorderSpacing (TControl)
pl | ro | BorderSpacing (TScrollBar)
pt |  | BorderStyle (TWinControl)
 |  | BorderWidth (TWinControl)
 | ro | BoundsLockCount (TWinControl)
 |  | BoundsRect (TControl)
 |  | BoundsRectForNewParent (TControl)
 | ro | Brush (TWinControl)
 | ro | CachedClientHeight (TWinControl)
 | ro | CachedClientWidth (TWinControl)
 |  | Caption (TControl)
 |  | CaptureMouseButtons (TControl)
 |  | ChildSizing (TWinControl)
 |  | ClientHeight (TControl)
 | ro | ClientOrigin (TControl)
 | ro | ClientRect (TControl)
 |  | ClientWidth (TControl)
 |  | Color (TControl)
 | ro | ComObject (TComponent)
 | ro | ComponentCount (TComponent)
 |  | ComponentIndex (TComponent)
 | ro | Components (TComponent)
 | ro | ComponentState (TComponent)
 | ro | ComponentStyle (TComponent)
 |  | Constraints (TControl)
pl | ro | Constraints (TScrollBar)
 | ro | ControlCount (TWinControl)
 | ro | ControlOrigin (TControl)
 | ro | Controls (TWinControl)
 |  | ControlState (TControl)
 |  | ControlStyle (TControl)
pl |  | Cursor (TControl)
 |  | DefWndProc (TWinControl)
 |  | DesignerDeleting (TWinControl)
 |  | DesignInfo (TComponent)
pt |  | DesktopFont (TControl)
 | ro | DockClientCount (TWinControl)
 | ro | DockClients (TWinControl)
 |  | DockManager (TWinControl)
 |  | DockOrientation (TControl)
 |  | DockSite (TWinControl)
 |  | DoubleBuffered (TWinControl)
pl | ro | DoubleBuffered (TScrollBar)
pt |  | DragCursor (TControl)
pl | ro | DragCursor (TScrollBar)
pt |  | DragKind (TControl)
pl | ro | DragKind (TScrollBar)
pt |  | DragMode (TControl)
pl | ro | DragMode (TScrollBar)
 |  | Enabled (TControl)
pl | ro | Enabled (TScrollBar)
 | ro | Floating (TControl)
 |  | FloatingDockSiteClass (TControl)
 |  | Font (TControl)
 |  | Handle (TWinControl)
pl |  | Height (TControl)
pl |  | HelpContext (TControl)
pl |  | HelpKeyword (TControl)
pl |  | HelpType (TControl)
pl |  | Hint (TControl)
 |  | HostDockSite (TControl)
 |  | IsControl (TControl)
 | ro | IsFlipped (TWinControl)
 | ro | IsResizing (TWinControl)
 |  | Kind (TCustomScrollBar)
pl | ro | Kind (TScrollBar)
 |  | LargeChange (TCustomScrollBar)
pl | ro | LargeChange (TScrollBar)
 | ro | LCLRefCount (TLCLComponent)
pl |  | Left (TControl)
 |  | LRDockWidth (TControl)
 |  | Max (TCustomScrollBar)
pl | ro | Max (TScrollBar)
 |  | Min (TCustomScrollBar)
pl | ro | Min (TScrollBar)
pt |  | MouseCapture (TControl)
 | ro | MouseEntered (TControl)
 | ro | MouseInClient (TControl)
 |  | Name (TComponent)
 | ro | Owner (TComponent)
 |  | PageSize (TCustomScrollBar)
pl | ro | PageSize (TScrollBar)
 |  | Parent (TControl)
pt |  | ParentBackground (TWinControl)
 |  | ParentBiDiMode (TControl)
pl | ro | ParentBidiMode (TScrollBar)
pt |  | ParentColor (TControl)
 |  | ParentDoubleBuffered (TWinControl)
pl | ro | ParentDoubleBuffered (TScrollBar)
pt |  | ParentFont (TControl)
pt |  | ParentShowHint (TControl)
pl | ro | ParentShowHint (TScrollBar)
 |  | ParentWindow (TWinControl)
 |  | PopupMenu (TControl)
pl | ro | PopupMenu (TScrollBar)
 |  | Position (TCustomScrollBar)
pl | ro | Position (TScrollBar)
 | ro | ReadBounds (TControl)
pt |  | SessionProperties (TControl)
 |  | ShowHint (TControl)
pl | ro | ShowHint (TScrollBar)
 | ro | Showing (TWinControl)
 |  | SmallChange (TCustomScrollBar)
pl | ro | SmallChange (TScrollBar)
 |  | TabOrder (TWinControl)
pl | ro | TabOrder (TScrollBar)
 |  | TabStop (TWinControl)
 | ro | TabStop (TCustomScrollBar)
pl | ro | TabStop (TScrollBar)
 |  | Tag (TComponent)
 |  | TBDockHeight (TControl)
pt |  | Text (TControl)
pl |  | Top (TControl)
 |  | UndockHeight (TControl)
 |  | UndockWidth (TControl)
 |  | UseDockManager (TWinControl)
 |  | VCLComObject (TComponent)
 |  | Visible (TControl)
pl | ro | Visible (TScrollBar)
 | ro | VisibleDockClientCount (TWinControl)
 | ro | WidgetSetClass (TLCLComponent)
pl |  | Width (TControl)
pt |  | WindowHandle (TWinControl)
 |  | WindowProc (TControl)


TScrollBar
TCustomScrollBar
pt | WSRegisterClass
pt | GetControlClassDefaultSize
pt | CreateParams
pt | CreateWnd
pt | Change
pt | Scroll
pt | CalculatePreferredSize
 | Create
 | SetParams
TWinControl
pt | WSRegisterClass
pt | AdjustClientRect
pt | GetAdjustedLogicalClientRect
pt | AlignControls
pt | CustomAlignInsertBefore
pt | CustomAlignPosition
pt | DoAlignChildControls
pt | DoChildSizingChange
pt | InvalidatePreferredChildSizes
pt | CanTab
pt | IsClientHeightStored
pt | IsClientWidthStored
pt | DoSendShowHideToInterface
pt | ControlsAligned
pt | DoSendBoundsToInterface
pt | RealizeBounds
pt | RealizeBoundsRecursive
pt | InvalidateBoundsRealized
pt | CreateSubClass
pt | DoConstraintsChange
pt | DoSetBounds
pt | DoAutoSize
pt | DoAllAutoSize
pt | AllAutoSized
pt | CalculatePreferredSize
pt | GetPreferredSizeClientFrame
pt | GetChildren
pt | ChildClassAllowed
pt | PaintControls
pt | PaintHandler
pt | PaintWindow
pt | CreateBrush
pt | ScaleControls
pt | ChangeScale
pt | CMBiDiModeChanged
pt | CMBorderChanged
pt | CMDoubleBufferedChanged
pt | CMEnabledChanged
pt | CMParentDoubleBufferedChanged
pt | CMShowingChanged
pt | CMShowHintChanged
pt | CMVisibleChanged
pt | CMEnter
pt | CMExit
pt | WMContextMenu
pt | WMEraseBkgnd
pt | WMNotify
pt | WMSetFocus
pt | WMKillFocus
pt | WMShowWindow
pt | WMEnter
pt | WMExit
pt | WMKeyDown
pt | WMSysKeyDown
pt | WMKeyUp
pt | WMSysKeyUp
pt | WMChar
pt | WMSysChar
pt | WMPaint
pt | WMDestroy
pt | WMMove
pt | WMSize
pt | WMWindowPosChanged
pt | CNKeyDown
pt | CNSysKeyDown
pt | CNKeyUp
pt | CNSysKeyUp
pt | CNChar
pt | DoDragMsg
pt | DoDockClientMsg
pt | DoUndockClientMsg
pt | DoAddDockClient
pt | DockOver
pt | DoDockOver
pt | DoRemoveDockClient
pt | DoUnDock
pt | GetSiteInfo
pt | GetParentHandle
pt | GetTopParentHandle
pt | ReloadDockedControl
pt | CreateDockManager
pt | SetDockManager
pt | DoFloatMsg
pt | DoGetDockCaption
pt | DoEnter
pt | DoExit
pt | DoKeyDownBeforeInterface
pt | DoRemainingKeyDown
pt | DoRemainingKeyUp
pt | DoKeyPress
pt | DoUTF8KeyPress
pt | DoKeyUpBeforeInterface
pt | ChildKey
pt | SendDialogChar
pt | DialogChar
pt | ControlKeyDown
pt | ControlKeyUp
pt | KeyDown
pt | KeyDownBeforeInterface
pt | KeyDownAfterInterface
pt | KeyPress
pt | KeyUp
pt | KeyUpBeforeInterface
pt | KeyUpAfterInterface
pt | UTF8KeyPress
pt | FindNextControl
pt | SelectFirst
pt | RealGetText
pt | GetBorderStyle
pt | GetClientOrigin
pt | GetClientRect
pt | GetControlOrigin
pt | GetDeviceContext
pt | GetParentBackground
pt | IsControlMouseMsg
pt | CreateHandle
pt | CreateParams
pt | CreateWnd
pt | DestroyHandle
pt | DestroyWnd
pt | DoFlipChildren
pt | FinalizeWnd
pt | FixupTabList
pt | FontChanged
pt | InitializeWnd
pt | Loaded
pt | FormEndUpdated
pt | MainWndProc
pt | ParentFormHandleInitialized
pt | ChildHandlesCreated
pt | GetMouseCapture
pt | RealSetText
pt | RemoveFocus
pt | SendMoveSizeMessages
pt | SetBorderStyle
pt | SetColor
pt | SetChildZPosition
pt | SetParentBackground
pt | ShowControl
pt | UpdateControlState
pt | UpdateShowing
pt | WndProc
pt | WSSetText
 | AutoSizePhases
 | AutoSizeDelayed
 | AutoSizeDelayedReport
 | AutoSizeDelayedHandle
 | BeginUpdateBounds
 | EndUpdateBounds
 | LockRealizeBounds
 | UnlockRealizeBounds
 | ControlAtPos
 | ContainsControl
 | DoAdjustClientRectChange
 | InvalidateClientRectCache
 | ClientRectNeedsInterfaceUpdate
 | SetBounds
 | GetChildrenRect
 | DisableAlign
 | EnableAlign
 | ReAlign
 | ScrollBy_WS
 | ScrollBy
 | WriteLayoutDebugReport
 | AutoAdjustLayout
 | Create
 | CreateParented
 | CreateParentedControl
 | Destroy
 | DockDrop
 | CanFocus
 | CanSetFocus
 | GetControlIndex
 | SetControlIndex
 | Focused
 | PerformTab
 | FindChildControl
 | SelectNext
 | SetTempCursor
 | BroadCast
 | NotifyControls
 | DefaultHandler
 | GetTextLen
 | Invalidate
 | AddControl
 | InsertControl
 | RemoveControl
 | GetEnumeratorControls
 | GetEnumeratorControlsReverse
 | Repaint
 | Update
 | SetFocus
 | FlipChildren
 | ScaleBy
 | GetDockCaption
 | UpdateDockCaption
 | GetTabOrderList
 | HandleAllocated
 | ParentHandlesAllocated
 | HandleNeeded
 | BrushCreated
 | EraseBackground
 | IntfUTF8KeyPress
 | IntfGetDropFilesTarget
 | PaintTo
 | SetShape
TControl
pt | WSRegisterClass
pt | GetCursor
pt | SetCursor
pt | SetVisible
pt | DoOnParentHandleDestruction
pt | DoAutoSize
pt | DoAllAutoSize
pt | BeginAutoSizing
pt | EndAutoSizing
pt | AnchorSideChanged
pt | ForeignAnchorSideChanged
pt | SetAlign
pt | SetAnchors
pt | SetAutoSize
pt | BoundsChanged
pt | CreateControlBorderSpacing
pt | DoConstraintsChange
pt | DoBorderSpacingChange
pt | IsBorderSpacingInnerBorderStored
pt | IsCaptionStored
pt | SendMoveSizeMessages
pt | ConstrainedResize
pt | CalculatePreferredSize
pt | DoOnResize
pt | DoOnChangeBounds
pt | CheckOnChangeBounds
pt | Resize
pt | RequestAlign
pt | UpdateAnchorRules
pt | ChangeBounds
pt | DoSetBounds
pt | ScaleConstraints
pt | ChangeScale
pt | CanAutoSize
pt | SetBiDiMode
pt | SetParentBiDiMode
pt | IsAParentAligning
pt | GetClientOrigin
pt | GetClientRect
pt | GetLogicalClientRect
pt | GetScrolledClientRect
pt | GetClientScrollOffset
pt | GetControlOrigin
pt | IsClientHeightStored
pt | IsClientWidthStored
pt | WidthIsAnchored
pt | HeightIsAnchored
pt | WMCancelMode
pt | WMContextMenu
pt | WMLButtonDown
pt | WMRButtonDown
pt | WMMButtonDown
pt | WMXButtonDown
pt | WMLButtonDBLCLK
pt | WMRButtonDBLCLK
pt | WMMButtonDBLCLK
pt | WMXButtonDBLCLK
pt | WMLButtonTripleCLK
pt | WMRButtonTripleCLK
pt | WMMButtonTripleCLK
pt | WMXButtonTripleCLK
pt | WMLButtonQuadCLK
pt | WMRButtonQuadCLK
pt | WMMButtonQuadCLK
pt | WMXButtonQuadCLK
pt | WMMouseMove
pt | WMLButtonUp
pt | WMRButtonUp
pt | WMMButtonUp
pt | WMXButtonUp
pt | WMMouseWheel
pt | WMMouseHWheel
pt | WMMove
pt | WMSize
pt | WMWindowPosChanged
pt | CMChanged
pt | LMCaptureChanged
pt | CMBiDiModeChanged
pt | CMSysFontChanged
pt | CMEnabledChanged
pt | CMHitTest
pt | CMMouseEnter
pt | CMMouseLeave
pt | CMHintShow
pt | CMParentBiDiModeChanged
pt | CMParentColorChanged
pt | CMParentFontChanged
pt | CMParentShowHintChanged
pt | CMVisibleChanged
pt | CMTextChanged
pt | CMCursorChanged
pt | CalculateDockSizes
pt | CreateFloatingDockSite
pt | GetDockEdge
pt | GetDragImages
pt | GetFloating
pt | GetFloatingDockSiteClass
pt | BeforeDragStart
pt | BeginAutoDrag
pt | DoFloatMsg
pt | DockTrackNoTarget
pt | DoDock
pt | DoDragMsg
pt | DoEndDock
pt | DoEndDrag
pt | DoStartDock
pt | DoStartDrag
pt | DragCanceled
pt | DragOver
pt | PositionDockRect
pt | SetDragMode
pt | GetDefaultDockCaption
pt | Click
pt | DblClick
pt | TripleClick
pt | QuadClick
pt | GetMousePosFromMessage
pt | MouseDown
pt | MouseMove
pt | MouseUp
pt | MouseEnter
pt | MouseLeave
pt | DialogChar
pt | UpdateMouseCursor
pt | Changed
pt | GetPalette
pt | ChildClassAllowed
pt | ReadState
pt | Loaded
pt | LoadedAll
pt | DefineProperties
pt | AssignTo
pt | FormEndUpdated
pt | InvalidateControl
pt | FontChanged
pt | ParentFontChanged
pt | GetAction
pt | RealGetText
pt | RealSetText
pt | TextChanged
pt | GetCachedText
pt | SetAction
pt | SetColor
pt | SetEnabled
pt | SetHint
pt | SetName
pt | SetParent
pt | SetParentComponent
pt | WndProc
pt | ParentFormHandleInitialized
pt | GetMouseCapture
pt | CaptureChanged
pt | Notification
pt | CanTab
pt | GetDeviceContext
pt | GetEnabled
pt | GetPopupMenu
pt | DoOnShowHint
pt | DoMouseWheel
pt | DoMouseWheelDown
pt | DoMouseWheelUp
pt | DoMouseWheelHorz
pt | DoMouseWheelLeft
pt | DoMouseWheelRight
pt | VisibleChanging
pt | VisibleChanged
pt | EnabledChanging
pt | EnabledChanged
pt | AddHandler
pt | RemoveHandler
pt | DoCallNotifyHandler
pt | DoCallKeyEventHandler
pt | DoCallMouseWheelEventHandler
pt | DoContextPopup
pt | SetZOrder
pt | GetControlClassDefaultSize
pt | ColorIsStored
pt | DoAutoAdjustLayout
pt | DoFixDesignFontPPI
pt | DoScaleFontPPI
pt | GetActionLinkClass
pt | ActionChange
 | DragDrop
 | Dock
 | ManualDock
 | ManualFloat
 | ReplaceDockedControl
 | Docked
 | Dragging
 | GetAccessibleObject
 | CreateAccessibleObject
 | GetSelectedChildAccessibleObject
 | GetChildAccessibleObjectAtPos
 | ScaleDesignToForm
 | ScaleFormToDesign
 | Scale96ToForm
 | ScaleFormTo96
 | Scale96ToFont
 | ScaleFontTo96
 | ScaleScreenToFont
 | ScaleFontToScreen
 | Scale96ToScreen
 | ScaleScreenTo96
 | AdjustSize
 | AutoSizePhases
 | AutoSizeDelayed
 | AutoSizeDelayedReport
 | AutoSizeDelayedHandle
 | AnchorToNeighbour
 | AnchorParallel
 | AnchorHorizontalCenterTo
 | AnchorVerticalCenterTo
 | AnchorToCompanion
 | AnchorSame
 | AnchorAsAlign
 | AnchorClient
 | AnchoredControlCount
 | SetBounds
 | SetInitialBounds
 | SetBoundsKeepBase
 | GetPreferredSize
 | GetCanvasScaleFactor
 | GetDefaultWidth
 | GetDefaultHeight
 | GetDefaultColor
 | GetColorResolvingParent
 | GetRGBColorResolvingParent
 | GetSidePosition
 | CNPreferredSizeChanged
 | InvalidatePreferredSize
 | GetAnchorsDependingOnParent
 | DisableAutoSizing
 | EnableAutoSizing
 | UpdateBaseBounds
 | WriteLayoutDebugReport
 | AutoAdjustLayout
 | ShouldAutoAdjust
 | FixDesignFontsPPI
 | ScaleFontsPPI
 | Create
 | Destroy
 | BeforeDestruction
 | EditingDone
 | ExecuteDefaultAction
 | ExecuteCancelAction
 | BeginDrag
 | EndDrag
 | BringToFront
 | HasParent
 | GetParentComponent
 | IsParentOf
 | GetTopParent
 | IsVisible
 | IsControlVisible
 | IsEnabled
 | IsParentColor
 | IsParentFont
 | FormIsUpdating
 | IsProcessingPaintMsg
 | Hide
 | Refresh
 | Repaint
 | Invalidate
 | CheckChildClassAllowed
 | CheckNewParent
 | SendToBack
 | SetTempCursor
 | UpdateRolesForForm
 | ActiveDefaultControlChanged
 | GetTextBuf
 | GetTextLen
 | SetTextBuf
 | Perform
 | ScreenToClient
 | ClientToScreen
 | ScreenToControl
 | ControlToScreen
 | ClientToParent
 | ParentToClient
 | GetChildrenRect
 | Show
 | Update
 | HandleObjectShouldBeVisible
 | ParentDestroyingHandle
 | ParentHandlesAllocated
 | InitiateAction
 | ShowHelp
 | HasHelp
 | RemoveAllHandlersOfObject
 | AddHandlerOnResize
 | RemoveHandlerOnResize
 | AddHandlerOnChangeBounds
 | RemoveHandlerOnChangeBounds
 | AddHandlerOnVisibleChanging
 | RemoveHandlerOnVisibleChanging
 | AddHandlerOnVisibleChanged
 | RemoveHandlerOnVisibleChanged
 | AddHandlerOnEnabledChanged
 | RemoveHandlerOnEnableChanging
 | AddHandlerOnKeyDown
 | RemoveHandlerOnKeyDown
 | AddHandlerOnBeforeDestruction
 | RemoveHandlerOnBeforeDestruction
 | AddHandlerOnMouseWheel
 | RemoveHandlerOnMouseWheel
 | UseRightToLeftAlignment
 | UseRightToLeftReading
 | UseRightToLeftScrollBar
 | IsRightToLeft
TLCLComponent
pt | WSRegisterClass
pt | GetWSComponentClass
 | Create
 | Destroy
 | NewInstance
 | RemoveAllHandlersOfObject
 | IncLCLRefCount
 | DecLCLRefCount
TComponent
 | GetComObject
 | GetComponent
 | GetComponentCount
 | GetComponentIndex
 | Insert
 | ReadLeft
 | ReadTop
 | Remove
 | RemoveNotification
 | SetComponentIndex
 | SetReference
 | WriteLeft
 | WriteTop
 | ChangeName
 | DefineProperties
 | GetChildren
 | GetChildOwner
 | GetChildParent
 | GetOwner
 | Loaded
 | Loading
 | Notification
 | PaletteCreated
 | ReadState
 | SetAncestor
 | SetDesigning
 | SetDesignInstance
 | SetInline
 | SetName
 | SetChildOrder
 | SetParentComponent
 | Updating
 | Updated
 | UpdateRegistry
 | ValidateRename
 | ValidateContainer
 | ValidateInsert
 | QueryInterface
 | _AddRef
 | _Release
 | iicrGetComponent
 | GetTypeInfoCount
 | GetTypeInfo
 | GetIDsOfNames
 | Invoke
 | WriteState
 | Create
 | Destroy
 | BeforeDestruction
 | DestroyComponents
 | Destroying
 | ExecuteAction
 | FindComponent
 | FreeNotification
 | RemoveFreeNotification
 | FreeOnRelease
 | GetEnumerator
 | GetNamePath
 | GetParentComponent
 | HasParent
 | InsertComponent
 | RemoveComponent
 | SafeCallException
 | SetSubComponent
 | UpdateAction
 | IsImplementorOf
 | ReferenceInterface
TPersistent
 | AssignError
 | AssignTo
 | DefineProperties
 | GetOwner
 | Destroy
 | Assign
 | FPOAttachObserver
 | FPODetachObserver
 | FPONotifyObservers
 | GetNamePath
TObject
 | Create
 | Destroy
 | newinstance
 | FreeInstance
 | SafeCallException
 | DefaultHandler
 | Free
 | InitInstance
 | CleanupInstance
 | ClassType
 | ClassInfo
 | ClassName
 | ClassNameIs
 | ClassParent
 | InstanceSize
 | InheritsFrom
 | StringMessageTable
 | MethodAddress
 | MethodName
 | FieldAddress
 | AfterConstruction
 | BeforeDestruction
 | DefaultHandlerStr
 | Dispatch
 | DispatchStr
 | GetInterface
 | GetInterfaceByStr
 | GetInterfaceWeak
 | GetInterfaceEntry
 | GetInterfaceEntryByStr
 | GetInterfaceTable
 | UnitName
 | Equals
 | GetHashCode
 | ToString


TScrollBar
pl | ro | OnChange
pl | ro | OnContextPopup
pl | ro | OnDragDrop
pl | ro | OnDragOver
pl | ro | OnEndDrag
pl | ro | OnEnter
pl | ro | OnExit
pl | ro | OnKeyDown
pl | ro | OnKeyPress
pl | ro | OnKeyUp
pl | ro | OnScroll
pl | ro | OnStartDrag
pl | ro | OnUTF8KeyPress
TCustomScrollBar
 |  | OnChange
 |  | OnScroll
TWinControl
pt |  | OnGetSiteInfo
pt |  | OnGetDockCaption
 |  | OnAlignInsertBefore
 |  | OnAlignPosition
 |  | OnDockDrop
 |  | OnDockOver
 |  | OnEnter
 |  | OnExit
 |  | OnKeyDown
 |  | OnKeyPress
 |  | OnKeyUp
 |  | OnUnDock
 |  | OnUTF8KeyPress
TControl
pt |  | OnConstrainedResize
pt |  | OnContextPopup
pt |  | OnDblClick
pt |  | OnTripleClick
pt |  | OnQuadClick
pt |  | OnDragDrop
pt |  | OnDragOver
pt |  | OnEndDock
pt |  | OnEndDrag
pt |  | OnMouseDown
pt |  | OnMouseMove
pt |  | OnMouseUp
pt |  | OnMouseEnter
pt |  | OnMouseLeave
pt |  | OnMouseWheel
pt |  | OnMouseWheelDown
pt |  | OnMouseWheelUp
pt |  | OnMouseWheelHorz
pt |  | OnMouseWheelLeft
pt |  | OnMouseWheelRight
pt |  | OnStartDock
pt |  | OnStartDrag
pt |  | OnEditingDone
 |  | OnChangeBounds
 |  | OnClick
 |  | OnResize
 |  | OnShowHint
TLCLComponent
TComponent
TPersistent
TObject


pl | ro | OnChange (TScrollBar)
 |  | OnChangeBounds (TControl)
 |  | OnClick (TControl)
pt |  | OnConstrainedResize (TControl)
pt |  | OnContextPopup (TControl)
pl | ro | OnContextPopup (TScrollBar)
pt |  | OnDblClick (TControl)
 |  | OnDockDrop (TWinControl)
 |  | OnDockOver (TWinControl)
pt |  | OnDragDrop (TControl)
pl | ro | OnDragDrop (TScrollBar)
pt |  | OnDragOver (TControl)
pl | ro | OnDragOver (TScrollBar)
pt |  | OnEditingDone (TControl)
pt |  | OnEndDock (TControl)
pt |  | OnEndDrag (TControl)
pl | ro | OnEndDrag (TScrollBar)
 |  | OnEnter (TWinControl)
pl | ro | OnEnter (TScrollBar)
 |  | OnExit (TWinControl)
pl | ro | OnExit (TScrollBar)
pt |  | OnGetDockCaption (TWinControl)
pt |  | OnGetSiteInfo (TWinControl)
 |  | OnKeyDown (TWinControl)
pl | ro | OnKeyDown (TScrollBar)
 |  | OnKeyPress (TWinControl)
pl | ro | OnKeyPress (TScrollBar)
 |  | OnKeyUp (TWinControl)
pl | ro | OnKeyUp (TScrollBar)
pt |  | OnMouseDown (TControl)
pt |  | OnMouseEnter (TControl)
pt |  | OnMouseLeave (TControl)
pt |  | OnMouseMove (TControl)
pt |  | OnMouseUp (TControl)
pt |  | OnMouseWheel (TControl)
pt |  | OnMouseWheelDown (TControl)
pt |  | OnMouseWheelHorz (TControl)
pt |  | OnMouseWheelLeft (TControl)
pt |  | OnMouseWheelRight (TControl)
pt |  | OnMouseWheelUp (TControl)
pt |  | OnQuadClick (TControl)
 |  | OnResize (TControl)
 |  | OnScroll (TCustomScrollBar)
pl | ro | OnScroll (TScrollBar)
 |  | OnShowHint (TControl)
pt |  | OnStartDock (TControl)
pt |  | OnStartDrag (TControl)
pl | ro | OnStartDrag (TScrollBar)
pt |  | OnTripleClick (TControl)
 |  | OnUnDock (TWinControl)
 |  | OnUTF8KeyPress (TWinControl)
pl | ro | OnUTF8KeyPress (TScrollBar)


TScrollBar.DoubleBuffered

Declaration

Source position: stdctrls.pp line 126

published property TScrollBar.DoubleBuffered : Boolean;


TScrollBar.ParentDoubleBuffered

Declaration

Source position: stdctrls.pp line 137

published property TScrollBar.ParentDoubleBuffered : Boolean;


TStaticText

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Control to display an constant text.

Declaration

Source position: stdctrls.pp line 1088

type TStaticText = class(TCustomStaticText)
published
property Align: TAlign; | Specifies the placement of the control inside its Parent.
property Alignment: TAlignment; | The horizontal adjustment of the text - centered, left- or right-justified.
property Anchors: TAnchors; | The set of anchor definitions for this control.
property AutoSize: Boolean; | Allows to automatically adjust the size of the control, according to its content.
property BidiMode: TBiDiMode; | Customization (of text controls) in bidirectional reading environments.
property BorderSpacing: TControlBorderSpacing; | Determines the inner and outer border spacing for this control.
property BorderStyle: TStaticBorderStyle;
property Caption: TCaption; | The text to show.
property Color: TColor; | The background color of the control.
property Constraints: TSizeConstraints; | The minimal and maximal Width and Height of this control.
property DoubleBuffered: Boolean;
property DragCursor: TCursor; | The cursor shape shown while the control is dragged.
property DragKind: TDragKind; | The operation when the control is dragged - Drag or Dock.
property DragMode: TDragMode; | Allows the user to drag the control.
property Enabled: Boolean;
property FocusControl: TWinControl; | The control that shall receive the focus instead of this control.
property Font: TFont; | The font to be used for text display in this control.
property OnChangeBounds: TNotifyEvent; | Event handler for a change of the Bounds of the control.
property OnClick: TNotifyEvent; | Notification handler for mouse clicks.
property OnContextPopup: TContextPopupEvent; | Invoked when a context-sensitive pop-up menu is requested.
property OnDblClick: TNotifyEvent; | Event Handler for double mouse clicks.
property OnDragDrop: TDragDropEvent; | This handler determines the action on an drop onto this control, in a drag-drop operation.
property OnDragOver: TDragOverEvent; | Event handler for a control being dragged over this control.
property OnEndDrag: TEndDragEvent; | Notification handler for the end of a dragging operation.
property OnMouseDown: TMouseEvent; | Event handler for mouse button going down.
property OnMouseEnter: TNotifyEvent; | Event handler for mouse entering the area of the control.
property OnMouseLeave: TNotifyEvent; | Event handler for mouse leaving the area of the control.
property OnMouseMove: TMouseMoveEvent; | Event handler for mouse movement within the control.
property OnMouseUp: TMouseEvent; | Event handler for mouse button going up.
property OnMouseWheel: TMouseWheelEvent;
property OnMouseWheelDown: TMouseWheelUpDownEvent;
property OnMouseWheelUp: TMouseWheelUpDownEvent;
property OnMouseWheelHorz: TMouseWheelEvent;
property OnMouseWheelLeft: TMouseWheelUpDownEvent;
property OnMouseWheelRight: TMouseWheelUpDownEvent;
property OnResize: TNotifyEvent; | Notification handler for a resize of the control.
property OnStartDrag: TStartDragEvent; | Event handler for the start of a dragging operation.
property ParentBidiMode: Boolean; | Allows to use the BiDiMode settings of Parent. Default is true.
property ParentFont: Boolean; | If true, the Font of the control will be the same as the one from the Parent. Default is true.
property ParentColor: Boolean; | If true, the Color of the control will be the same as the one from the Parent. Default is true.
property ParentDoubleBuffered: Boolean;
property ParentShowHint: Boolean;
property PopupMenu: TPopupMenu;
property ShowAccelChar: Boolean; | Makes the accelerator character stand out (underlined) of the displayed text.
property ShowHint: Boolean;
property TabOrder: TTabOrder; | Determines the sequence of controls, reachable when the user presses the Tab key.
property TabStop: Boolean; | Allows the user to navigate to this control, by pressing the Tab key.
property Transparent: Boolean;
property Visible: Boolean; | Allows to show or hide the control, and all of its children.
end;

Inheritance

TStaticText | Control to display an constant text.
|
TCustomStaticText | The base class for TStaticText.
|
TWinControl | The base class for controls which can contain other (child) controls.
|
TControl | The base class for visible controls.
|
TLCLComponent | The base class for LCL components associated with widgets.
|
TComponent,IUnknown,IInterfaceComponentReference
|
TPersistent,IFPObserved
|
TObject

Description

This control can be used instead of TLabel, when a TWinControl is required.

See also

HowToUseStdCtrls

How to use StdCtrls, ComCtrls or ExtCtrls


TStaticText
pl | ro | Align
pl | ro | Alignment
pl | ro | Anchors
pl | ro | AutoSize
pl | ro | BidiMode
pl | ro | BorderSpacing
pl | ro | BorderStyle
pl | ro | Caption
pl | ro | Color
pl | ro | Constraints
pl | ro | DoubleBuffered
pl | ro | DragCursor
pl | ro | DragKind
pl | ro | DragMode
pl | ro | Enabled
pl | ro | FocusControl
pl | ro | Font
pl | ro | ParentBidiMode
pl | ro | ParentFont
pl | ro | ParentColor
pl | ro | ParentDoubleBuffered
pl | ro | ParentShowHint
pl | ro | PopupMenu
pl | ro | ShowAccelChar
pl | ro | ShowHint
pl | ro | TabOrder
pl | ro | TabStop
pl | ro | Transparent
pl | ro | Visible
TCustomStaticText
 |  | Alignment
 |  | BorderStyle
 |  | FocusControl
 |  | ShowAccelChar
 |  | Transparent
TWinControl
pt |  | WindowHandle
pt |  | BorderStyle
pt |  | ParentBackground
 |  | BorderWidth
 | ro | BoundsLockCount
 | ro | Brush
 | ro | CachedClientHeight
 | ro | CachedClientWidth
 |  | ChildSizing
 | ro | ControlCount
 | ro | Controls
 |  | DefWndProc
 | ro | DockClientCount
 | ro | DockClients
 |  | DockManager
 |  | DockSite
 |  | DoubleBuffered
 |  | Handle
 | ro | IsFlipped
 | ro | IsResizing
 |  | TabOrder
 |  | TabStop
 |  | ParentDoubleBuffered
 |  | ParentWindow
 | ro | Showing
 |  | UseDockManager
 |  | DesignerDeleting
 | ro | VisibleDockClientCount
TControl
pt | ro | AutoSizing
pt | ro | AutoSizingAll
pt | ro | AutoSizingLockCount
pt |  | ActionLink
pt |  | DesktopFont
pt |  | DragCursor
pt |  | DragKind
pt |  | DragMode
pt |  | MouseCapture
pt |  | ParentColor
pt |  | ParentFont
pt |  | ParentShowHint
pt |  | SessionProperties
pt |  | Text
 | ro | AnchoredControls
 | ro | BaseBounds
 | ro | ReadBounds
 | ro | BaseParentClientSize
 |  | AccessibleDescription
 |  | AccessibleValue
 |  | AccessibleRole
 |  | Action
 |  | Align
 |  | Anchors
 | ro | AnchorSide
 |  | AutoSize
 |  | BorderSpacing
 |  | BoundsRect
 |  | BoundsRectForNewParent
 |  | Caption
 |  | CaptureMouseButtons
 |  | ClientHeight
 | ro | ClientOrigin
 | ro | ClientRect
 |  | ClientWidth
 |  | Color
 |  | Constraints
 | ro | ControlOrigin
 |  | ControlState
 |  | ControlStyle
 |  | Enabled
 |  | Font
 |  | IsControl
 | ro | MouseEntered
 | ro | MouseInClient
 |  | Parent
 |  | PopupMenu
 |  | ShowHint
 |  | Visible
 |  | WindowProc
 |  | DockOrientation
 | ro | Floating
 |  | FloatingDockSiteClass
 |  | HostDockSite
 |  | LRDockWidth
 |  | TBDockHeight
 |  | UndockHeight
 |  | UndockWidth
 |  | BiDiMode
 |  | ParentBiDiMode
pl |  | AnchorSideLeft
pl |  | AnchorSideTop
pl |  | AnchorSideRight
pl |  | AnchorSideBottom
pl |  | Cursor
pl |  | Left
pl |  | Height
pl |  | Hint
pl |  | Top
pl |  | Width
pl |  | HelpType
pl |  | HelpKeyword
pl |  | HelpContext
TLCLComponent
 | ro | LCLRefCount
 | ro | WidgetSetClass
TComponent
 | ro | ComObject
 | ro | Components
 | ro | ComponentCount
 |  | ComponentIndex
 | ro | ComponentState
 | ro | ComponentStyle
 |  | DesignInfo
 | ro | Owner
 |  | VCLComObject
 |  | Name
 |  | Tag
TPersistent
TObject


 |  | AccessibleDescription (TControl)
 |  | AccessibleRole (TControl)
 |  | AccessibleValue (TControl)
 |  | Action (TControl)
pt |  | ActionLink (TControl)
 |  | Align (TControl)
pl | ro | Align (TStaticText)
 |  | Alignment (TCustomStaticText)
pl | ro | Alignment (TStaticText)
 | ro | AnchoredControls (TControl)
 |  | Anchors (TControl)
pl | ro | Anchors (TStaticText)
 | ro | AnchorSide (TControl)
pl |  | AnchorSideBottom (TControl)
pl |  | AnchorSideLeft (TControl)
pl |  | AnchorSideRight (TControl)
pl |  | AnchorSideTop (TControl)
 |  | AutoSize (TControl)
pl | ro | AutoSize (TStaticText)
pt | ro | AutoSizing (TControl)
pt | ro | AutoSizingAll (TControl)
pt | ro | AutoSizingLockCount (TControl)
 | ro | BaseBounds (TControl)
 | ro | BaseParentClientSize (TControl)
 |  | BiDiMode (TControl)
pl | ro | BidiMode (TStaticText)
 |  | BorderSpacing (TControl)
pl | ro | BorderSpacing (TStaticText)
pt |  | BorderStyle (TWinControl)
 |  | BorderStyle (TCustomStaticText)
pl | ro | BorderStyle (TStaticText)
 |  | BorderWidth (TWinControl)
 | ro | BoundsLockCount (TWinControl)
 |  | BoundsRect (TControl)
 |  | BoundsRectForNewParent (TControl)
 | ro | Brush (TWinControl)
 | ro | CachedClientHeight (TWinControl)
 | ro | CachedClientWidth (TWinControl)
 |  | Caption (TControl)
pl | ro | Caption (TStaticText)
 |  | CaptureMouseButtons (TControl)
 |  | ChildSizing (TWinControl)
 |  | ClientHeight (TControl)
 | ro | ClientOrigin (TControl)
 | ro | ClientRect (TControl)
 |  | ClientWidth (TControl)
 |  | Color (TControl)
pl | ro | Color (TStaticText)
 | ro | ComObject (TComponent)
 | ro | ComponentCount (TComponent)
 |  | ComponentIndex (TComponent)
 | ro | Components (TComponent)
 | ro | ComponentState (TComponent)
 | ro | ComponentStyle (TComponent)
 |  | Constraints (TControl)
pl | ro | Constraints (TStaticText)
 | ro | ControlCount (TWinControl)
 | ro | ControlOrigin (TControl)
 | ro | Controls (TWinControl)
 |  | ControlState (TControl)
 |  | ControlStyle (TControl)
pl |  | Cursor (TControl)
 |  | DefWndProc (TWinControl)
 |  | DesignerDeleting (TWinControl)
 |  | DesignInfo (TComponent)
pt |  | DesktopFont (TControl)
 | ro | DockClientCount (TWinControl)
 | ro | DockClients (TWinControl)
 |  | DockManager (TWinControl)
 |  | DockOrientation (TControl)
 |  | DockSite (TWinControl)
 |  | DoubleBuffered (TWinControl)
pl | ro | DoubleBuffered (TStaticText)
pt |  | DragCursor (TControl)
pl | ro | DragCursor (TStaticText)
pt |  | DragKind (TControl)
pl | ro | DragKind (TStaticText)
pt |  | DragMode (TControl)
pl | ro | DragMode (TStaticText)
 |  | Enabled (TControl)
pl | ro | Enabled (TStaticText)
 | ro | Floating (TControl)
 |  | FloatingDockSiteClass (TControl)
 |  | FocusControl (TCustomStaticText)
pl | ro | FocusControl (TStaticText)
 |  | Font (TControl)
pl | ro | Font (TStaticText)
 |  | Handle (TWinControl)
pl |  | Height (TControl)
pl |  | HelpContext (TControl)
pl |  | HelpKeyword (TControl)
pl |  | HelpType (TControl)
pl |  | Hint (TControl)
 |  | HostDockSite (TControl)
 |  | IsControl (TControl)
 | ro | IsFlipped (TWinControl)
 | ro | IsResizing (TWinControl)
 | ro | LCLRefCount (TLCLComponent)
pl |  | Left (TControl)
 |  | LRDockWidth (TControl)
pt |  | MouseCapture (TControl)
 | ro | MouseEntered (TControl)
 | ro | MouseInClient (TControl)
 |  | Name (TComponent)
 | ro | Owner (TComponent)
 |  | Parent (TControl)
pt |  | ParentBackground (TWinControl)
 |  | ParentBiDiMode (TControl)
pl | ro | ParentBidiMode (TStaticText)
pt |  | ParentColor (TControl)
pl | ro | ParentColor (TStaticText)
 |  | ParentDoubleBuffered (TWinControl)
pl | ro | ParentDoubleBuffered (TStaticText)
pt |  | ParentFont (TControl)
pl | ro | ParentFont (TStaticText)
pt |  | ParentShowHint (TControl)
pl | ro | ParentShowHint (TStaticText)
 |  | ParentWindow (TWinControl)
 |  | PopupMenu (TControl)
pl | ro | PopupMenu (TStaticText)
 | ro | ReadBounds (TControl)
pt |  | SessionProperties (TControl)
 |  | ShowAccelChar (TCustomStaticText)
pl | ro | ShowAccelChar (TStaticText)
 |  | ShowHint (TControl)
pl | ro | ShowHint (TStaticText)
 | ro | Showing (TWinControl)
 |  | TabOrder (TWinControl)
pl | ro | TabOrder (TStaticText)
 |  | TabStop (TWinControl)
pl | ro | TabStop (TStaticText)
 |  | Tag (TComponent)
 |  | TBDockHeight (TControl)
pt |  | Text (TControl)
pl |  | Top (TControl)
 |  | Transparent (TCustomStaticText)
pl | ro | Transparent (TStaticText)
 |  | UndockHeight (TControl)
 |  | UndockWidth (TControl)
 |  | UseDockManager (TWinControl)
 |  | VCLComObject (TComponent)
 |  | Visible (TControl)
pl | ro | Visible (TStaticText)
 | ro | VisibleDockClientCount (TWinControl)
 | ro | WidgetSetClass (TLCLComponent)
pl |  | Width (TControl)
pt |  | WindowHandle (TWinControl)
 |  | WindowProc (TControl)


TStaticText
TCustomStaticText
pt | WSRegisterClass
pt | GetLabelText
pt | RealSetText
pt | Notification
pt | SetFocusControl
pt | SetShowAccelChar
pt | DialogChar
pt | GetControlClassDefaultSize
 | Create
TWinControl
pt | WSRegisterClass
pt | AdjustClientRect
pt | GetAdjustedLogicalClientRect
pt | AlignControls
pt | CustomAlignInsertBefore
pt | CustomAlignPosition
pt | DoAlignChildControls
pt | DoChildSizingChange
pt | InvalidatePreferredChildSizes
pt | CanTab
pt | IsClientHeightStored
pt | IsClientWidthStored
pt | DoSendShowHideToInterface
pt | ControlsAligned
pt | DoSendBoundsToInterface
pt | RealizeBounds
pt | RealizeBoundsRecursive
pt | InvalidateBoundsRealized
pt | CreateSubClass
pt | DoConstraintsChange
pt | DoSetBounds
pt | DoAutoSize
pt | DoAllAutoSize
pt | AllAutoSized
pt | CalculatePreferredSize
pt | GetPreferredSizeClientFrame
pt | GetChildren
pt | ChildClassAllowed
pt | PaintControls
pt | PaintHandler
pt | PaintWindow
pt | CreateBrush
pt | ScaleControls
pt | ChangeScale
pt | CMBiDiModeChanged
pt | CMBorderChanged
pt | CMDoubleBufferedChanged
pt | CMEnabledChanged
pt | CMParentDoubleBufferedChanged
pt | CMShowingChanged
pt | CMShowHintChanged
pt | CMVisibleChanged
pt | CMEnter
pt | CMExit
pt | WMContextMenu
pt | WMEraseBkgnd
pt | WMNotify
pt | WMSetFocus
pt | WMKillFocus
pt | WMShowWindow
pt | WMEnter
pt | WMExit
pt | WMKeyDown
pt | WMSysKeyDown
pt | WMKeyUp
pt | WMSysKeyUp
pt | WMChar
pt | WMSysChar
pt | WMPaint
pt | WMDestroy
pt | WMMove
pt | WMSize
pt | WMWindowPosChanged
pt | CNKeyDown
pt | CNSysKeyDown
pt | CNKeyUp
pt | CNSysKeyUp
pt | CNChar
pt | DoDragMsg
pt | DoDockClientMsg
pt | DoUndockClientMsg
pt | DoAddDockClient
pt | DockOver
pt | DoDockOver
pt | DoRemoveDockClient
pt | DoUnDock
pt | GetSiteInfo
pt | GetParentHandle
pt | GetTopParentHandle
pt | ReloadDockedControl
pt | CreateDockManager
pt | SetDockManager
pt | DoFloatMsg
pt | DoGetDockCaption
pt | DoEnter
pt | DoExit
pt | DoKeyDownBeforeInterface
pt | DoRemainingKeyDown
pt | DoRemainingKeyUp
pt | DoKeyPress
pt | DoUTF8KeyPress
pt | DoKeyUpBeforeInterface
pt | ChildKey
pt | SendDialogChar
pt | DialogChar
pt | ControlKeyDown
pt | ControlKeyUp
pt | KeyDown
pt | KeyDownBeforeInterface
pt | KeyDownAfterInterface
pt | KeyPress
pt | KeyUp
pt | KeyUpBeforeInterface
pt | KeyUpAfterInterface
pt | UTF8KeyPress
pt | FindNextControl
pt | SelectFirst
pt | RealGetText
pt | GetBorderStyle
pt | GetClientOrigin
pt | GetClientRect
pt | GetControlOrigin
pt | GetDeviceContext
pt | GetParentBackground
pt | IsControlMouseMsg
pt | CreateHandle
pt | CreateParams
pt | CreateWnd
pt | DestroyHandle
pt | DestroyWnd
pt | DoFlipChildren
pt | FinalizeWnd
pt | FixupTabList
pt | FontChanged
pt | InitializeWnd
pt | Loaded
pt | FormEndUpdated
pt | MainWndProc
pt | ParentFormHandleInitialized
pt | ChildHandlesCreated
pt | GetMouseCapture
pt | RealSetText
pt | RemoveFocus
pt | SendMoveSizeMessages
pt | SetBorderStyle
pt | SetColor
pt | SetChildZPosition
pt | SetParentBackground
pt | ShowControl
pt | UpdateControlState
pt | UpdateShowing
pt | WndProc
pt | WSSetText
 | AutoSizePhases
 | AutoSizeDelayed
 | AutoSizeDelayedReport
 | AutoSizeDelayedHandle
 | BeginUpdateBounds
 | EndUpdateBounds
 | LockRealizeBounds
 | UnlockRealizeBounds
 | ControlAtPos
 | ContainsControl
 | DoAdjustClientRectChange
 | InvalidateClientRectCache
 | ClientRectNeedsInterfaceUpdate
 | SetBounds
 | GetChildrenRect
 | DisableAlign
 | EnableAlign
 | ReAlign
 | ScrollBy_WS
 | ScrollBy
 | WriteLayoutDebugReport
 | AutoAdjustLayout
 | Create
 | CreateParented
 | CreateParentedControl
 | Destroy
 | DockDrop
 | CanFocus
 | CanSetFocus
 | GetControlIndex
 | SetControlIndex
 | Focused
 | PerformTab
 | FindChildControl
 | SelectNext
 | SetTempCursor
 | BroadCast
 | NotifyControls
 | DefaultHandler
 | GetTextLen
 | Invalidate
 | AddControl
 | InsertControl
 | RemoveControl
 | GetEnumeratorControls
 | GetEnumeratorControlsReverse
 | Repaint
 | Update
 | SetFocus
 | FlipChildren
 | ScaleBy
 | GetDockCaption
 | UpdateDockCaption
 | GetTabOrderList
 | HandleAllocated
 | ParentHandlesAllocated
 | HandleNeeded
 | BrushCreated
 | EraseBackground
 | IntfUTF8KeyPress
 | IntfGetDropFilesTarget
 | PaintTo
 | SetShape
TControl
pt | WSRegisterClass
pt | GetCursor
pt | SetCursor
pt | SetVisible
pt | DoOnParentHandleDestruction
pt | DoAutoSize
pt | DoAllAutoSize
pt | BeginAutoSizing
pt | EndAutoSizing
pt | AnchorSideChanged
pt | ForeignAnchorSideChanged
pt | SetAlign
pt | SetAnchors
pt | SetAutoSize
pt | BoundsChanged
pt | CreateControlBorderSpacing
pt | DoConstraintsChange
pt | DoBorderSpacingChange
pt | IsBorderSpacingInnerBorderStored
pt | IsCaptionStored
pt | SendMoveSizeMessages
pt | ConstrainedResize
pt | CalculatePreferredSize
pt | DoOnResize
pt | DoOnChangeBounds
pt | CheckOnChangeBounds
pt | Resize
pt | RequestAlign
pt | UpdateAnchorRules
pt | ChangeBounds
pt | DoSetBounds
pt | ScaleConstraints
pt | ChangeScale
pt | CanAutoSize
pt | SetBiDiMode
pt | SetParentBiDiMode
pt | IsAParentAligning
pt | GetClientOrigin
pt | GetClientRect
pt | GetLogicalClientRect
pt | GetScrolledClientRect
pt | GetClientScrollOffset
pt | GetControlOrigin
pt | IsClientHeightStored
pt | IsClientWidthStored
pt | WidthIsAnchored
pt | HeightIsAnchored
pt | WMCancelMode
pt | WMContextMenu
pt | WMLButtonDown
pt | WMRButtonDown
pt | WMMButtonDown
pt | WMXButtonDown
pt | WMLButtonDBLCLK
pt | WMRButtonDBLCLK
pt | WMMButtonDBLCLK
pt | WMXButtonDBLCLK
pt | WMLButtonTripleCLK
pt | WMRButtonTripleCLK
pt | WMMButtonTripleCLK
pt | WMXButtonTripleCLK
pt | WMLButtonQuadCLK
pt | WMRButtonQuadCLK
pt | WMMButtonQuadCLK
pt | WMXButtonQuadCLK
pt | WMMouseMove
pt | WMLButtonUp
pt | WMRButtonUp
pt | WMMButtonUp
pt | WMXButtonUp
pt | WMMouseWheel
pt | WMMouseHWheel
pt | WMMove
pt | WMSize
pt | WMWindowPosChanged
pt | CMChanged
pt | LMCaptureChanged
pt | CMBiDiModeChanged
pt | CMSysFontChanged
pt | CMEnabledChanged
pt | CMHitTest
pt | CMMouseEnter
pt | CMMouseLeave
pt | CMHintShow
pt | CMParentBiDiModeChanged
pt | CMParentColorChanged
pt | CMParentFontChanged
pt | CMParentShowHintChanged
pt | CMVisibleChanged
pt | CMTextChanged
pt | CMCursorChanged
pt | CalculateDockSizes
pt | CreateFloatingDockSite
pt | GetDockEdge
pt | GetDragImages
pt | GetFloating
pt | GetFloatingDockSiteClass
pt | BeforeDragStart
pt | BeginAutoDrag
pt | DoFloatMsg
pt | DockTrackNoTarget
pt | DoDock
pt | DoDragMsg
pt | DoEndDock
pt | DoEndDrag
pt | DoStartDock
pt | DoStartDrag
pt | DragCanceled
pt | DragOver
pt | PositionDockRect
pt | SetDragMode
pt | GetDefaultDockCaption
pt | Click
pt | DblClick
pt | TripleClick
pt | QuadClick
pt | GetMousePosFromMessage
pt | MouseDown
pt | MouseMove
pt | MouseUp
pt | MouseEnter
pt | MouseLeave
pt | DialogChar
pt | UpdateMouseCursor
pt | Changed
pt | GetPalette
pt | ChildClassAllowed
pt | ReadState
pt | Loaded
pt | LoadedAll
pt | DefineProperties
pt | AssignTo
pt | FormEndUpdated
pt | InvalidateControl
pt | FontChanged
pt | ParentFontChanged
pt | GetAction
pt | RealGetText
pt | RealSetText
pt | TextChanged
pt | GetCachedText
pt | SetAction
pt | SetColor
pt | SetEnabled
pt | SetHint
pt | SetName
pt | SetParent
pt | SetParentComponent
pt | WndProc
pt | ParentFormHandleInitialized
pt | GetMouseCapture
pt | CaptureChanged
pt | Notification
pt | CanTab
pt | GetDeviceContext
pt | GetEnabled
pt | GetPopupMenu
pt | DoOnShowHint
pt | DoMouseWheel
pt | DoMouseWheelDown
pt | DoMouseWheelUp
pt | DoMouseWheelHorz
pt | DoMouseWheelLeft
pt | DoMouseWheelRight
pt | VisibleChanging
pt | VisibleChanged
pt | EnabledChanging
pt | EnabledChanged
pt | AddHandler
pt | RemoveHandler
pt | DoCallNotifyHandler
pt | DoCallKeyEventHandler
pt | DoCallMouseWheelEventHandler
pt | DoContextPopup
pt | SetZOrder
pt | GetControlClassDefaultSize
pt | ColorIsStored
pt | DoAutoAdjustLayout
pt | DoFixDesignFontPPI
pt | DoScaleFontPPI
pt | GetActionLinkClass
pt | ActionChange
 | DragDrop
 | Dock
 | ManualDock
 | ManualFloat
 | ReplaceDockedControl
 | Docked
 | Dragging
 | GetAccessibleObject
 | CreateAccessibleObject
 | GetSelectedChildAccessibleObject
 | GetChildAccessibleObjectAtPos
 | ScaleDesignToForm
 | ScaleFormToDesign
 | Scale96ToForm
 | ScaleFormTo96
 | Scale96ToFont
 | ScaleFontTo96
 | ScaleScreenToFont
 | ScaleFontToScreen
 | Scale96ToScreen
 | ScaleScreenTo96
 | AdjustSize
 | AutoSizePhases
 | AutoSizeDelayed
 | AutoSizeDelayedReport
 | AutoSizeDelayedHandle
 | AnchorToNeighbour
 | AnchorParallel
 | AnchorHorizontalCenterTo
 | AnchorVerticalCenterTo
 | AnchorToCompanion
 | AnchorSame
 | AnchorAsAlign
 | AnchorClient
 | AnchoredControlCount
 | SetBounds
 | SetInitialBounds
 | SetBoundsKeepBase
 | GetPreferredSize
 | GetCanvasScaleFactor
 | GetDefaultWidth
 | GetDefaultHeight
 | GetDefaultColor
 | GetColorResolvingParent
 | GetRGBColorResolvingParent
 | GetSidePosition
 | CNPreferredSizeChanged
 | InvalidatePreferredSize
 | GetAnchorsDependingOnParent
 | DisableAutoSizing
 | EnableAutoSizing
 | UpdateBaseBounds
 | WriteLayoutDebugReport
 | AutoAdjustLayout
 | ShouldAutoAdjust
 | FixDesignFontsPPI
 | ScaleFontsPPI
 | Create
 | Destroy
 | BeforeDestruction
 | EditingDone
 | ExecuteDefaultAction
 | ExecuteCancelAction
 | BeginDrag
 | EndDrag
 | BringToFront
 | HasParent
 | GetParentComponent
 | IsParentOf
 | GetTopParent
 | IsVisible
 | IsControlVisible
 | IsEnabled
 | IsParentColor
 | IsParentFont
 | FormIsUpdating
 | IsProcessingPaintMsg
 | Hide
 | Refresh
 | Repaint
 | Invalidate
 | CheckChildClassAllowed
 | CheckNewParent
 | SendToBack
 | SetTempCursor
 | UpdateRolesForForm
 | ActiveDefaultControlChanged
 | GetTextBuf
 | GetTextLen
 | SetTextBuf
 | Perform
 | ScreenToClient
 | ClientToScreen
 | ScreenToControl
 | ControlToScreen
 | ClientToParent
 | ParentToClient
 | GetChildrenRect
 | Show
 | Update
 | HandleObjectShouldBeVisible
 | ParentDestroyingHandle
 | ParentHandlesAllocated
 | InitiateAction
 | ShowHelp
 | HasHelp
 | RemoveAllHandlersOfObject
 | AddHandlerOnResize
 | RemoveHandlerOnResize
 | AddHandlerOnChangeBounds
 | RemoveHandlerOnChangeBounds
 | AddHandlerOnVisibleChanging
 | RemoveHandlerOnVisibleChanging
 | AddHandlerOnVisibleChanged
 | RemoveHandlerOnVisibleChanged
 | AddHandlerOnEnabledChanged
 | RemoveHandlerOnEnableChanging
 | AddHandlerOnKeyDown
 | RemoveHandlerOnKeyDown
 | AddHandlerOnBeforeDestruction
 | RemoveHandlerOnBeforeDestruction
 | AddHandlerOnMouseWheel
 | RemoveHandlerOnMouseWheel
 | UseRightToLeftAlignment
 | UseRightToLeftReading
 | UseRightToLeftScrollBar
 | IsRightToLeft
TLCLComponent
pt | WSRegisterClass
pt | GetWSComponentClass
 | Create
 | Destroy
 | NewInstance
 | RemoveAllHandlersOfObject
 | IncLCLRefCount
 | DecLCLRefCount
TComponent
 | GetComObject
 | GetComponent
 | GetComponentCount
 | GetComponentIndex
 | Insert
 | ReadLeft
 | ReadTop
 | Remove
 | RemoveNotification
 | SetComponentIndex
 | SetReference
 | WriteLeft
 | WriteTop
 | ChangeName
 | DefineProperties
 | GetChildren
 | GetChildOwner
 | GetChildParent
 | GetOwner
 | Loaded
 | Loading
 | Notification
 | PaletteCreated
 | ReadState
 | SetAncestor
 | SetDesigning
 | SetDesignInstance
 | SetInline
 | SetName
 | SetChildOrder
 | SetParentComponent
 | Updating
 | Updated
 | UpdateRegistry
 | ValidateRename
 | ValidateContainer
 | ValidateInsert
 | QueryInterface
 | _AddRef
 | _Release
 | iicrGetComponent
 | GetTypeInfoCount
 | GetTypeInfo
 | GetIDsOfNames
 | Invoke
 | WriteState
 | Create
 | Destroy
 | BeforeDestruction
 | DestroyComponents
 | Destroying
 | ExecuteAction
 | FindComponent
 | FreeNotification
 | RemoveFreeNotification
 | FreeOnRelease
 | GetEnumerator
 | GetNamePath
 | GetParentComponent
 | HasParent
 | InsertComponent
 | RemoveComponent
 | SafeCallException
 | SetSubComponent
 | UpdateAction
 | IsImplementorOf
 | ReferenceInterface
TPersistent
 | AssignError
 | AssignTo
 | DefineProperties
 | GetOwner
 | Destroy
 | Assign
 | FPOAttachObserver
 | FPODetachObserver
 | FPONotifyObservers
 | GetNamePath
TObject
 | Create
 | Destroy
 | newinstance
 | FreeInstance
 | SafeCallException
 | DefaultHandler
 | Free
 | InitInstance
 | CleanupInstance
 | ClassType
 | ClassInfo
 | ClassName
 | ClassNameIs
 | ClassParent
 | InstanceSize
 | InheritsFrom
 | StringMessageTable
 | MethodAddress
 | MethodName
 | FieldAddress
 | AfterConstruction
 | BeforeDestruction
 | DefaultHandlerStr
 | Dispatch
 | DispatchStr
 | GetInterface
 | GetInterfaceByStr
 | GetInterfaceWeak
 | GetInterfaceEntry
 | GetInterfaceEntryByStr
 | GetInterfaceTable
 | UnitName
 | Equals
 | GetHashCode
 | ToString


TStaticText
pl | ro | OnChangeBounds
pl | ro | OnClick
pl | ro | OnContextPopup
pl | ro | OnDblClick
pl | ro | OnDragDrop
pl | ro | OnDragOver
pl | ro | OnEndDrag
pl | ro | OnMouseDown
pl | ro | OnMouseEnter
pl | ro | OnMouseLeave
pl | ro | OnMouseMove
pl | ro | OnMouseUp
pl | ro | OnMouseWheel
pl | ro | OnMouseWheelDown
pl | ro | OnMouseWheelUp
pl | ro | OnMouseWheelHorz
pl | ro | OnMouseWheelLeft
pl | ro | OnMouseWheelRight
pl | ro | OnResize
pl | ro | OnStartDrag
TCustomStaticText
TWinControl
pt |  | OnGetSiteInfo
pt |  | OnGetDockCaption
 |  | OnAlignInsertBefore
 |  | OnAlignPosition
 |  | OnDockDrop
 |  | OnDockOver
 |  | OnEnter
 |  | OnExit
 |  | OnKeyDown
 |  | OnKeyPress
 |  | OnKeyUp
 |  | OnUnDock
 |  | OnUTF8KeyPress
TControl
pt |  | OnConstrainedResize
pt |  | OnContextPopup
pt |  | OnDblClick
pt |  | OnTripleClick
pt |  | OnQuadClick
pt |  | OnDragDrop
pt |  | OnDragOver
pt |  | OnEndDock
pt |  | OnEndDrag
pt |  | OnMouseDown
pt |  | OnMouseMove
pt |  | OnMouseUp
pt |  | OnMouseEnter
pt |  | OnMouseLeave
pt |  | OnMouseWheel
pt |  | OnMouseWheelDown
pt |  | OnMouseWheelUp
pt |  | OnMouseWheelHorz
pt |  | OnMouseWheelLeft
pt |  | OnMouseWheelRight
pt |  | OnStartDock
pt |  | OnStartDrag
pt |  | OnEditingDone
 |  | OnChangeBounds
 |  | OnClick
 |  | OnResize
 |  | OnShowHint
TLCLComponent
TComponent
TPersistent
TObject


pl | ro | OnChangeBounds (TStaticText)
 |  | OnClick (TControl)
pl | ro | OnClick (TStaticText)
pt |  | OnConstrainedResize (TControl)
pt |  | OnContextPopup (TControl)
pl | ro | OnContextPopup (TStaticText)
pt |  | OnDblClick (TControl)
pl | ro | OnDblClick (TStaticText)
 |  | OnDockDrop (TWinControl)
 |  | OnDockOver (TWinControl)
pt |  | OnDragDrop (TControl)
pl | ro | OnDragDrop (TStaticText)
pt |  | OnDragOver (TControl)
pl | ro | OnDragOver (TStaticText)
pt |  | OnEditingDone (TControl)
pt |  | OnEndDock (TControl)
pt |  | OnEndDrag (TControl)
pl | ro | OnEndDrag (TStaticText)
 |  | OnEnter (TWinControl)
 |  | OnExit (TWinControl)
pt |  | OnGetDockCaption (TWinControl)
pt |  | OnGetSiteInfo (TWinControl)
 |  | OnKeyDown (TWinControl)
 |  | OnKeyPress (TWinControl)
 |  | OnKeyUp (TWinControl)
pt |  | OnMouseDown (TControl)
pl | ro | OnMouseDown (TStaticText)
pt |  | OnMouseEnter (TControl)
pl | ro | OnMouseEnter (TStaticText)
pt |  | OnMouseLeave (TControl)
pl | ro | OnMouseLeave (TStaticText)
pt |  | OnMouseMove (TControl)
pl | ro | OnMouseMove (TStaticText)
pt |  | OnMouseUp (TControl)
pl | ro | OnMouseUp (TStaticText)
pt |  | OnMouseWheel (TControl)
pl | ro | OnMouseWheel (TStaticText)
pt |  | OnMouseWheelDown (TControl)
pl | ro | OnMouseWheelDown (TStaticText)
pt |  | OnMouseWheelHorz (TControl)
pl | ro | OnMouseWheelHorz (TStaticText)
pt |  | OnMouseWheelLeft (TControl)
pl | ro | OnMouseWheelLeft (TStaticText)
pt |  | OnMouseWheelRight (TControl)
pl | ro | OnMouseWheelRight (TStaticText)
pt |  | OnMouseWheelUp (TControl)
pl | ro | OnMouseWheelUp (TStaticText)
pt |  | OnQuadClick (TControl)
 |  | OnResize (TControl)
pl | ro | OnResize (TStaticText)
 |  | OnShowHint (TControl)
pt |  | OnStartDock (TControl)
pt |  | OnStartDrag (TControl)
pl | ro | OnStartDrag (TStaticText)
pt |  | OnTripleClick (TControl)
 |  | OnUnDock (TWinControl)
 |  | OnUTF8KeyPress (TWinControl)


TStaticText.Caption

The text to show.

Declaration

Source position: stdctrls.pp line 1097

published property TStaticText.Caption : TCaption;


TStaticText.DoubleBuffered

Declaration

Source position: stdctrls.pp line 1100

published property TStaticText.DoubleBuffered : Boolean;


TStaticText.Enabled

Declaration

Source position: stdctrls.pp line 1104

published property TStaticText.Enabled : Boolean;


TStaticText.OnMouseWheel

Declaration

Source position: stdctrls.pp line 1119

published property TStaticText.OnMouseWheel : TMouseWheelEvent;


TStaticText.OnMouseWheelDown

Declaration

Source position: stdctrls.pp line 1120

published property TStaticText.OnMouseWheelDown : TMouseWheelUpDownEvent;


TStaticText.OnMouseWheelHorz

Declaration

Source position: stdctrls.pp line 1122

published property TStaticText.OnMouseWheelHorz : TMouseWheelEvent;


TStaticText.OnMouseWheelLeft

Declaration

Source position: stdctrls.pp line 1123

published property TStaticText.OnMouseWheelLeft : TMouseWheelUpDownEvent;


TStaticText.OnMouseWheelRight

Declaration

Source position: stdctrls.pp line 1124

published property TStaticText.OnMouseWheelRight : TMouseWheelUpDownEvent;


TStaticText.OnMouseWheelUp

Declaration

Source position: stdctrls.pp line 1121

published property TStaticText.OnMouseWheelUp : TMouseWheelUpDownEvent;


TStaticText.ParentDoubleBuffered

Declaration

Source position: stdctrls.pp line 1130

published property TStaticText.ParentDoubleBuffered : Boolean;


TStaticText.ParentShowHint

Declaration

Source position: stdctrls.pp line 1131

published property TStaticText.ParentShowHint : Boolean;


TStaticText.PopupMenu

Declaration

Source position: stdctrls.pp line 1132

published property TStaticText.PopupMenu : TPopupMenu;


TStaticText.ShowHint

Declaration

Source position: stdctrls.pp line 1134

published property TStaticText.ShowHint : Boolean;


TToggleBox

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

A labelled box capable of being checked or unchecked

Declaration

Source position: stdctrls.pp line 1399

type TToggleBox = class(TCustomCheckBox)
protected
class procedure WSRegisterClass; override; | Registers this component class with the current WidgetSet.
class function GetControlClassDefaultSize; override;
procedure CreateParams(); override;
property ParentColor: Boolean;
public
constructor Create(); override;
published
property AllowGrayed: Boolean; | Allows the check box to be in a "grayed" state.
property Align: TAlign;
property Anchors: TAnchors; | The set of anchor definitions for this control.
property AutoSize: Boolean; | Allows to automatically adjust the size of the control, according to its content.
property BidiMode: TBiDiMode;
property BorderSpacing: TControlBorderSpacing; | Determines the inner and outer border spacing for this control.
property Caption: TCaption; | The text describing the control to the user.
property Checked: Boolean; | The state of the check mark. Here always False, can be implemented in derived classes.
property Color: TColor;
property Constraints: TSizeConstraints;
property DoubleBuffered: Boolean;
property DragCursor: TCursor; | The cursor shape shown while the control is dragged.
property DragKind: TDragKind; | The operation when the control is dragged - Drag or Dock.
property DragMode: TDragMode; | Allows the user to drag the control.
property Enabled: Boolean; | Determines whether the control reacts on mouse or keyboard input.
property Font: TFont;
property Hint: TTranslateString; | The text to show in the Hint window for this control.
property OnChange: TNotifyEvent; | Handler for any change in properties of the control.
property OnClick: TNotifyEvent; | Notification handler for mouse clicks.
property OnDragDrop: TDragDropEvent; | This handler determines the action on an drop onto this control, in a drag-drop operation.
property OnDragOver: TDragOverEvent; | Event handler for a control being dragged over this control.
property OnEndDrag: TEndDragEvent; | Notification handler for the end of a dragging operation.
property OnEnter: TNotifyEvent; | Handler for control receiving the focus.
property OnExit: TNotifyEvent; | Handler for control loosing the focus. This is a good place for checking the finished user input.
property OnMouseDown: TMouseEvent; | Event handler for mouse button going down.
property OnMouseEnter: TNotifyEvent;
property OnMouseLeave: TNotifyEvent;
property OnMouseMove: TMouseMoveEvent; | Event handler for mouse movement within the control.
property OnMouseUp: TMouseEvent; | Event handler for mouse button going up.
property OnMouseWheel: TMouseWheelEvent;
property OnMouseWheelDown: TMouseWheelUpDownEvent;
property OnMouseWheelUp: TMouseWheelUpDownEvent;
property OnStartDrag: TStartDragEvent; | Event handler for the start of a dragging operation.
property ParentBidiMode: Boolean;
property ParentDoubleBuffered: Boolean;
property ParentFont: Boolean;
property ParentShowHint: Boolean; | If true, the value of ShowHint for the control will be the same as the one from the Parent. Default is true.
property PopupMenu: TPopupMenu; | A context-sensitive menu that pops up when the right mouse button is clicked over this control
property ShowHint: Boolean; | Enables the Hint display.
property State: TCheckBoxState; | Indicates whether the check box is checked (selected), unchecked (deselected) or grayed (disabled).
property TabOrder: TTabOrder; | Determines the sequence of controls, reachable when the user presses the Tab key.
property TabStop: Boolean; | Allows the user to navigate to this control, by pressing the Tab key.
property Visible: Boolean; | Allows to show or hide the control, and all of its children.
end;

Inheritance

TToggleBox | A labelled box capable of being checked or unchecked
|
TCustomCheckBox | The base class for checkbox components.
|
TButtonControl | The base class for various button controls.
|
TWinControl | The base class for controls which can contain other (child) controls.
|
TControl | The base class for visible controls.
|
TLCLComponent | The base class for LCL components associated with widgets.
|
TComponent,IUnknown,IInterfaceComponentReference
|
TPersistent,IFPObserved
|
TObject

Description

The Application Programmer is responsible for ensuring that the OnClick event handler recognises the State of the box, takes the appropriate Action and places the State into the next appropriate value

See also

HowToUseStdCtrls

How to use StdCtrls, ComCtrls or ExtCtrls


TToggleBox
pt | ro | ParentColor
pl | ro | AllowGrayed
pl | ro | Align
pl | ro | Anchors
pl | ro | AutoSize
pl | ro | BidiMode
pl | ro | BorderSpacing
pl | ro | Caption
pl | ro | Checked
pl | ro | Color
pl | ro | Constraints
pl | ro | DoubleBuffered
pl | ro | DragCursor
pl | ro | DragKind
pl | ro | DragMode
pl | ro | Enabled
pl | ro | Font
pl | ro | Hint
pl | ro | ParentBidiMode
pl | ro | ParentDoubleBuffered
pl | ro | ParentFont
pl | ro | ParentShowHint
pl | ro | PopupMenu
pl | ro | ShowHint
pl | ro | State
pl | ro | TabOrder
pl | ro | TabStop
pl | ro | Visible
TCustomCheckBox
 |  | Alignment
 |  | AllowGrayed
 |  | State
 | ro | ShortCut
 | ro | ShortCutKey2
TButtonControl
pt |  | Checked
pt |  | ClicksDisabled
TWinControl
pt |  | WindowHandle
pt |  | BorderStyle
pt |  | ParentBackground
 |  | BorderWidth
 | ro | BoundsLockCount
 | ro | Brush
 | ro | CachedClientHeight
 | ro | CachedClientWidth
 |  | ChildSizing
 | ro | ControlCount
 | ro | Controls
 |  | DefWndProc
 | ro | DockClientCount
 | ro | DockClients
 |  | DockManager
 |  | DockSite
 |  | DoubleBuffered
 |  | Handle
 | ro | IsFlipped
 | ro | IsResizing
 |  | TabOrder
 |  | TabStop
 |  | ParentDoubleBuffered
 |  | ParentWindow
 | ro | Showing
 |  | UseDockManager
 |  | DesignerDeleting
 | ro | VisibleDockClientCount
TControl
pt | ro | AutoSizing
pt | ro | AutoSizingAll
pt | ro | AutoSizingLockCount
pt |  | ActionLink
pt |  | DesktopFont
pt |  | DragCursor
pt |  | DragKind
pt |  | DragMode
pt |  | MouseCapture
pt |  | ParentColor
pt |  | ParentFont
pt |  | ParentShowHint
pt |  | SessionProperties
pt |  | Text
 | ro | AnchoredControls
 | ro | BaseBounds
 | ro | ReadBounds
 | ro | BaseParentClientSize
 |  | AccessibleDescription
 |  | AccessibleValue
 |  | AccessibleRole
 |  | Action
 |  | Align
 |  | Anchors
 | ro | AnchorSide
 |  | AutoSize
 |  | BorderSpacing
 |  | BoundsRect
 |  | BoundsRectForNewParent
 |  | Caption
 |  | CaptureMouseButtons
 |  | ClientHeight
 | ro | ClientOrigin
 | ro | ClientRect
 |  | ClientWidth
 |  | Color
 |  | Constraints
 | ro | ControlOrigin
 |  | ControlState
 |  | ControlStyle
 |  | Enabled
 |  | Font
 |  | IsControl
 | ro | MouseEntered
 | ro | MouseInClient
 |  | Parent
 |  | PopupMenu
 |  | ShowHint
 |  | Visible
 |  | WindowProc
 |  | DockOrientation
 | ro | Floating
 |  | FloatingDockSiteClass
 |  | HostDockSite
 |  | LRDockWidth
 |  | TBDockHeight
 |  | UndockHeight
 |  | UndockWidth
 |  | BiDiMode
 |  | ParentBiDiMode
pl |  | AnchorSideLeft
pl |  | AnchorSideTop
pl |  | AnchorSideRight
pl |  | AnchorSideBottom
pl |  | Cursor
pl |  | Left
pl |  | Height
pl |  | Hint
pl |  | Top
pl |  | Width
pl |  | HelpType
pl |  | HelpKeyword
pl |  | HelpContext
TLCLComponent
 | ro | LCLRefCount
 | ro | WidgetSetClass
TComponent
 | ro | ComObject
 | ro | Components
 | ro | ComponentCount
 |  | ComponentIndex
 | ro | ComponentState
 | ro | ComponentStyle
 |  | DesignInfo
 | ro | Owner
 |  | VCLComObject
 |  | Name
 |  | Tag
TPersistent
TObject


 |  | AccessibleDescription (TControl)
 |  | AccessibleRole (TControl)
 |  | AccessibleValue (TControl)
 |  | Action (TControl)
pt |  | ActionLink (TControl)
 |  | Align (TControl)
pl | ro | Align (TToggleBox)
 |  | Alignment (TCustomCheckBox)
 |  | AllowGrayed (TCustomCheckBox)
pl | ro | AllowGrayed (TToggleBox)
 | ro | AnchoredControls (TControl)
 |  | Anchors (TControl)
pl | ro | Anchors (TToggleBox)
 | ro | AnchorSide (TControl)
pl |  | AnchorSideBottom (TControl)
pl |  | AnchorSideLeft (TControl)
pl |  | AnchorSideRight (TControl)
pl |  | AnchorSideTop (TControl)
 |  | AutoSize (TControl)
pl | ro | AutoSize (TToggleBox)
pt | ro | AutoSizing (TControl)
pt | ro | AutoSizingAll (TControl)
pt | ro | AutoSizingLockCount (TControl)
 | ro | BaseBounds (TControl)
 | ro | BaseParentClientSize (TControl)
 |  | BiDiMode (TControl)
pl | ro | BidiMode (TToggleBox)
 |  | BorderSpacing (TControl)
pl | ro | BorderSpacing (TToggleBox)
pt |  | BorderStyle (TWinControl)
 |  | BorderWidth (TWinControl)
 | ro | BoundsLockCount (TWinControl)
 |  | BoundsRect (TControl)
 |  | BoundsRectForNewParent (TControl)
 | ro | Brush (TWinControl)
 | ro | CachedClientHeight (TWinControl)
 | ro | CachedClientWidth (TWinControl)
 |  | Caption (TControl)
pl | ro | Caption (TToggleBox)
 |  | CaptureMouseButtons (TControl)
pt |  | Checked (TButtonControl)
pl | ro | Checked (TToggleBox)
 |  | ChildSizing (TWinControl)
pt |  | ClicksDisabled (TButtonControl)
 |  | ClientHeight (TControl)
 | ro | ClientOrigin (TControl)
 | ro | ClientRect (TControl)
 |  | ClientWidth (TControl)
 |  | Color (TControl)
pl | ro | Color (TToggleBox)
 | ro | ComObject (TComponent)
 | ro | ComponentCount (TComponent)
 |  | ComponentIndex (TComponent)
 | ro | Components (TComponent)
 | ro | ComponentState (TComponent)
 | ro | ComponentStyle (TComponent)
 |  | Constraints (TControl)
pl | ro | Constraints (TToggleBox)
 | ro | ControlCount (TWinControl)
 | ro | ControlOrigin (TControl)
 | ro | Controls (TWinControl)
 |  | ControlState (TControl)
 |  | ControlStyle (TControl)
pl |  | Cursor (TControl)
 |  | DefWndProc (TWinControl)
 |  | DesignerDeleting (TWinControl)
 |  | DesignInfo (TComponent)
pt |  | DesktopFont (TControl)
 | ro | DockClientCount (TWinControl)
 | ro | DockClients (TWinControl)
 |  | DockManager (TWinControl)
 |  | DockOrientation (TControl)
 |  | DockSite (TWinControl)
 |  | DoubleBuffered (TWinControl)
pl | ro | DoubleBuffered (TToggleBox)
pt |  | DragCursor (TControl)
pl | ro | DragCursor (TToggleBox)
pt |  | DragKind (TControl)
pl | ro | DragKind (TToggleBox)
pt |  | DragMode (TControl)
pl | ro | DragMode (TToggleBox)
 |  | Enabled (TControl)
pl | ro | Enabled (TToggleBox)
 | ro | Floating (TControl)
 |  | FloatingDockSiteClass (TControl)
 |  | Font (TControl)
pl | ro | Font (TToggleBox)
 |  | Handle (TWinControl)
pl |  | Height (TControl)
pl |  | HelpContext (TControl)
pl |  | HelpKeyword (TControl)
pl |  | HelpType (TControl)
pl |  | Hint (TControl)
pl | ro | Hint (TToggleBox)
 |  | HostDockSite (TControl)
 |  | IsControl (TControl)
 | ro | IsFlipped (TWinControl)
 | ro | IsResizing (TWinControl)
 | ro | LCLRefCount (TLCLComponent)
pl |  | Left (TControl)
 |  | LRDockWidth (TControl)
pt |  | MouseCapture (TControl)
 | ro | MouseEntered (TControl)
 | ro | MouseInClient (TControl)
 |  | Name (TComponent)
 | ro | Owner (TComponent)
 |  | Parent (TControl)
pt |  | ParentBackground (TWinControl)
 |  | ParentBiDiMode (TControl)
pl | ro | ParentBidiMode (TToggleBox)
pt |  | ParentColor (TControl)
pt | ro | ParentColor (TToggleBox)
 |  | ParentDoubleBuffered (TWinControl)
pl | ro | ParentDoubleBuffered (TToggleBox)
pt |  | ParentFont (TControl)
pl | ro | ParentFont (TToggleBox)
pt |  | ParentShowHint (TControl)
pl | ro | ParentShowHint (TToggleBox)
 |  | ParentWindow (TWinControl)
 |  | PopupMenu (TControl)
pl | ro | PopupMenu (TToggleBox)
 | ro | ReadBounds (TControl)
pt |  | SessionProperties (TControl)
 | ro | ShortCut (TCustomCheckBox)
 | ro | ShortCutKey2 (TCustomCheckBox)
 |  | ShowHint (TControl)
pl | ro | ShowHint (TToggleBox)
 | ro | Showing (TWinControl)
 |  | State (TCustomCheckBox)
pl | ro | State (TToggleBox)
 |  | TabOrder (TWinControl)
pl | ro | TabOrder (TToggleBox)
 |  | TabStop (TWinControl)
pl | ro | TabStop (TToggleBox)
 |  | Tag (TComponent)
 |  | TBDockHeight (TControl)
pt |  | Text (TControl)
pl |  | Top (TControl)
 |  | UndockHeight (TControl)
 |  | UndockWidth (TControl)
 |  | UseDockManager (TWinControl)
 |  | VCLComObject (TComponent)
 |  | Visible (TControl)
pl | ro | Visible (TToggleBox)
 | ro | VisibleDockClientCount (TWinControl)
 | ro | WidgetSetClass (TLCLComponent)
pl |  | Width (TControl)
pt |  | WindowHandle (TWinControl)
 |  | WindowProc (TControl)


TToggleBox
pt | WSRegisterClass
pt | GetControlClassDefaultSize
pt | CreateParams
 | Create
TCustomCheckBox
pt | WSRegisterClass
pt | Click
pt | DoClickOnChange
pt | RetrieveState
pt | InitializeWnd
pt | Toggle
pt | DialogChar
pt | GetChecked
pt | SetChecked
pt | RealSetText
pt | ApplyChanges
pt | GetControlClassDefaultSize
pt | Loaded
pt | WSSetText
pt | TextChanged
pt | CreateParams
 | Create
TButtonControl
pt | WSRegisterClass
pt | GetActionLinkClass
pt | GetChecked
pt | SetChecked
pt | DoOnChange
pt | Click
 | Create
TWinControl
pt | WSRegisterClass
pt | AdjustClientRect
pt | GetAdjustedLogicalClientRect
pt | AlignControls
pt | CustomAlignInsertBefore
pt | CustomAlignPosition
pt | DoAlignChildControls
pt | DoChildSizingChange
pt | InvalidatePreferredChildSizes
pt | CanTab
pt | IsClientHeightStored
pt | IsClientWidthStored
pt | DoSendShowHideToInterface
pt | ControlsAligned
pt | DoSendBoundsToInterface
pt | RealizeBounds
pt | RealizeBoundsRecursive
pt | InvalidateBoundsRealized
pt | CreateSubClass
pt | DoConstraintsChange
pt | DoSetBounds
pt | DoAutoSize
pt | DoAllAutoSize
pt | AllAutoSized
pt | CalculatePreferredSize
pt | GetPreferredSizeClientFrame
pt | GetChildren
pt | ChildClassAllowed
pt | PaintControls
pt | PaintHandler
pt | PaintWindow
pt | CreateBrush
pt | ScaleControls
pt | ChangeScale
pt | CMBiDiModeChanged
pt | CMBorderChanged
pt | CMDoubleBufferedChanged
pt | CMEnabledChanged
pt | CMParentDoubleBufferedChanged
pt | CMShowingChanged
pt | CMShowHintChanged
pt | CMVisibleChanged
pt | CMEnter
pt | CMExit
pt | WMContextMenu
pt | WMEraseBkgnd
pt | WMNotify
pt | WMSetFocus
pt | WMKillFocus
pt | WMShowWindow
pt | WMEnter
pt | WMExit
pt | WMKeyDown
pt | WMSysKeyDown
pt | WMKeyUp
pt | WMSysKeyUp
pt | WMChar
pt | WMSysChar
pt | WMPaint
pt | WMDestroy
pt | WMMove
pt | WMSize
pt | WMWindowPosChanged
pt | CNKeyDown
pt | CNSysKeyDown
pt | CNKeyUp
pt | CNSysKeyUp
pt | CNChar
pt | DoDragMsg
pt | DoDockClientMsg
pt | DoUndockClientMsg
pt | DoAddDockClient
pt | DockOver
pt | DoDockOver
pt | DoRemoveDockClient
pt | DoUnDock
pt | GetSiteInfo
pt | GetParentHandle
pt | GetTopParentHandle
pt | ReloadDockedControl
pt | CreateDockManager
pt | SetDockManager
pt | DoFloatMsg
pt | DoGetDockCaption
pt | DoEnter
pt | DoExit
pt | DoKeyDownBeforeInterface
pt | DoRemainingKeyDown
pt | DoRemainingKeyUp
pt | DoKeyPress
pt | DoUTF8KeyPress
pt | DoKeyUpBeforeInterface
pt | ChildKey
pt | SendDialogChar
pt | DialogChar
pt | ControlKeyDown
pt | ControlKeyUp
pt | KeyDown
pt | KeyDownBeforeInterface
pt | KeyDownAfterInterface
pt | KeyPress
pt | KeyUp
pt | KeyUpBeforeInterface
pt | KeyUpAfterInterface
pt | UTF8KeyPress
pt | FindNextControl
pt | SelectFirst
pt | RealGetText
pt | GetBorderStyle
pt | GetClientOrigin
pt | GetClientRect
pt | GetControlOrigin
pt | GetDeviceContext
pt | GetParentBackground
pt | IsControlMouseMsg
pt | CreateHandle
pt | CreateParams
pt | CreateWnd
pt | DestroyHandle
pt | DestroyWnd
pt | DoFlipChildren
pt | FinalizeWnd
pt | FixupTabList
pt | FontChanged
pt | InitializeWnd
pt | Loaded
pt | FormEndUpdated
pt | MainWndProc
pt | ParentFormHandleInitialized
pt | ChildHandlesCreated
pt | GetMouseCapture
pt | RealSetText
pt | RemoveFocus
pt | SendMoveSizeMessages
pt | SetBorderStyle
pt | SetColor
pt | SetChildZPosition
pt | SetParentBackground
pt | ShowControl
pt | UpdateControlState
pt | UpdateShowing
pt | WndProc
pt | WSSetText
 | AutoSizePhases
 | AutoSizeDelayed
 | AutoSizeDelayedReport
 | AutoSizeDelayedHandle
 | BeginUpdateBounds
 | EndUpdateBounds
 | LockRealizeBounds
 | UnlockRealizeBounds
 | ControlAtPos
 | ContainsControl
 | DoAdjustClientRectChange
 | InvalidateClientRectCache
 | ClientRectNeedsInterfaceUpdate
 | SetBounds
 | GetChildrenRect
 | DisableAlign
 | EnableAlign
 | ReAlign
 | ScrollBy_WS
 | ScrollBy
 | WriteLayoutDebugReport
 | AutoAdjustLayout
 | Create
 | CreateParented
 | CreateParentedControl
 | Destroy
 | DockDrop
 | CanFocus
 | CanSetFocus
 | GetControlIndex
 | SetControlIndex
 | Focused
 | PerformTab
 | FindChildControl
 | SelectNext
 | SetTempCursor
 | BroadCast
 | NotifyControls
 | DefaultHandler
 | GetTextLen
 | Invalidate
 | AddControl
 | InsertControl
 | RemoveControl
 | GetEnumeratorControls
 | GetEnumeratorControlsReverse
 | Repaint
 | Update
 | SetFocus
 | FlipChildren
 | ScaleBy
 | GetDockCaption
 | UpdateDockCaption
 | GetTabOrderList
 | HandleAllocated
 | ParentHandlesAllocated
 | HandleNeeded
 | BrushCreated
 | EraseBackground
 | IntfUTF8KeyPress
 | IntfGetDropFilesTarget
 | PaintTo
 | SetShape
TControl
pt | WSRegisterClass
pt | GetCursor
pt | SetCursor
pt | SetVisible
pt | DoOnParentHandleDestruction
pt | DoAutoSize
pt | DoAllAutoSize
pt | BeginAutoSizing
pt | EndAutoSizing
pt | AnchorSideChanged
pt | ForeignAnchorSideChanged
pt | SetAlign
pt | SetAnchors
pt | SetAutoSize
pt | BoundsChanged
pt | CreateControlBorderSpacing
pt | DoConstraintsChange
pt | DoBorderSpacingChange
pt | IsBorderSpacingInnerBorderStored
pt | IsCaptionStored
pt | SendMoveSizeMessages
pt | ConstrainedResize
pt | CalculatePreferredSize
pt | DoOnResize
pt | DoOnChangeBounds
pt | CheckOnChangeBounds
pt | Resize
pt | RequestAlign
pt | UpdateAnchorRules
pt | ChangeBounds
pt | DoSetBounds
pt | ScaleConstraints
pt | ChangeScale
pt | CanAutoSize
pt | SetBiDiMode
pt | SetParentBiDiMode
pt | IsAParentAligning
pt | GetClientOrigin
pt | GetClientRect
pt | GetLogicalClientRect
pt | GetScrolledClientRect
pt | GetClientScrollOffset
pt | GetControlOrigin
pt | IsClientHeightStored
pt | IsClientWidthStored
pt | WidthIsAnchored
pt | HeightIsAnchored
pt | WMCancelMode
pt | WMContextMenu
pt | WMLButtonDown
pt | WMRButtonDown
pt | WMMButtonDown
pt | WMXButtonDown
pt | WMLButtonDBLCLK
pt | WMRButtonDBLCLK
pt | WMMButtonDBLCLK
pt | WMXButtonDBLCLK
pt | WMLButtonTripleCLK
pt | WMRButtonTripleCLK
pt | WMMButtonTripleCLK
pt | WMXButtonTripleCLK
pt | WMLButtonQuadCLK
pt | WMRButtonQuadCLK
pt | WMMButtonQuadCLK
pt | WMXButtonQuadCLK
pt | WMMouseMove
pt | WMLButtonUp
pt | WMRButtonUp
pt | WMMButtonUp
pt | WMXButtonUp
pt | WMMouseWheel
pt | WMMouseHWheel
pt | WMMove
pt | WMSize
pt | WMWindowPosChanged
pt | CMChanged
pt | LMCaptureChanged
pt | CMBiDiModeChanged
pt | CMSysFontChanged
pt | CMEnabledChanged
pt | CMHitTest
pt | CMMouseEnter
pt | CMMouseLeave
pt | CMHintShow
pt | CMParentBiDiModeChanged
pt | CMParentColorChanged
pt | CMParentFontChanged
pt | CMParentShowHintChanged
pt | CMVisibleChanged
pt | CMTextChanged
pt | CMCursorChanged
pt | CalculateDockSizes
pt | CreateFloatingDockSite
pt | GetDockEdge
pt | GetDragImages
pt | GetFloating
pt | GetFloatingDockSiteClass
pt | BeforeDragStart
pt | BeginAutoDrag
pt | DoFloatMsg
pt | DockTrackNoTarget
pt | DoDock
pt | DoDragMsg
pt | DoEndDock
pt | DoEndDrag
pt | DoStartDock
pt | DoStartDrag
pt | DragCanceled
pt | DragOver
pt | PositionDockRect
pt | SetDragMode
pt | GetDefaultDockCaption
pt | Click
pt | DblClick
pt | TripleClick
pt | QuadClick
pt | GetMousePosFromMessage
pt | MouseDown
pt | MouseMove
pt | MouseUp
pt | MouseEnter
pt | MouseLeave
pt | DialogChar
pt | UpdateMouseCursor
pt | Changed
pt | GetPalette
pt | ChildClassAllowed
pt | ReadState
pt | Loaded
pt | LoadedAll
pt | DefineProperties
pt | AssignTo
pt | FormEndUpdated
pt | InvalidateControl
pt | FontChanged
pt | ParentFontChanged
pt | GetAction
pt | RealGetText
pt | RealSetText
pt | TextChanged
pt | GetCachedText
pt | SetAction
pt | SetColor
pt | SetEnabled
pt | SetHint
pt | SetName
pt | SetParent
pt | SetParentComponent
pt | WndProc
pt | ParentFormHandleInitialized
pt | GetMouseCapture
pt | CaptureChanged
pt | Notification
pt | CanTab
pt | GetDeviceContext
pt | GetEnabled
pt | GetPopupMenu
pt | DoOnShowHint
pt | DoMouseWheel
pt | DoMouseWheelDown
pt | DoMouseWheelUp
pt | DoMouseWheelHorz
pt | DoMouseWheelLeft
pt | DoMouseWheelRight
pt | VisibleChanging
pt | VisibleChanged
pt | EnabledChanging
pt | EnabledChanged
pt | AddHandler
pt | RemoveHandler
pt | DoCallNotifyHandler
pt | DoCallKeyEventHandler
pt | DoCallMouseWheelEventHandler
pt | DoContextPopup
pt | SetZOrder
pt | GetControlClassDefaultSize
pt | ColorIsStored
pt | DoAutoAdjustLayout
pt | DoFixDesignFontPPI
pt | DoScaleFontPPI
pt | GetActionLinkClass
pt | ActionChange
 | DragDrop
 | Dock
 | ManualDock
 | ManualFloat
 | ReplaceDockedControl
 | Docked
 | Dragging
 | GetAccessibleObject
 | CreateAccessibleObject
 | GetSelectedChildAccessibleObject
 | GetChildAccessibleObjectAtPos
 | ScaleDesignToForm
 | ScaleFormToDesign
 | Scale96ToForm
 | ScaleFormTo96
 | Scale96ToFont
 | ScaleFontTo96
 | ScaleScreenToFont
 | ScaleFontToScreen
 | Scale96ToScreen
 | ScaleScreenTo96
 | AdjustSize
 | AutoSizePhases
 | AutoSizeDelayed
 | AutoSizeDelayedReport
 | AutoSizeDelayedHandle
 | AnchorToNeighbour
 | AnchorParallel
 | AnchorHorizontalCenterTo
 | AnchorVerticalCenterTo
 | AnchorToCompanion
 | AnchorSame
 | AnchorAsAlign
 | AnchorClient
 | AnchoredControlCount
 | SetBounds
 | SetInitialBounds
 | SetBoundsKeepBase
 | GetPreferredSize
 | GetCanvasScaleFactor
 | GetDefaultWidth
 | GetDefaultHeight
 | GetDefaultColor
 | GetColorResolvingParent
 | GetRGBColorResolvingParent
 | GetSidePosition
 | CNPreferredSizeChanged
 | InvalidatePreferredSize
 | GetAnchorsDependingOnParent
 | DisableAutoSizing
 | EnableAutoSizing
 | UpdateBaseBounds
 | WriteLayoutDebugReport
 | AutoAdjustLayout
 | ShouldAutoAdjust
 | FixDesignFontsPPI
 | ScaleFontsPPI
 | Create
 | Destroy
 | BeforeDestruction
 | EditingDone
 | ExecuteDefaultAction
 | ExecuteCancelAction
 | BeginDrag
 | EndDrag
 | BringToFront
 | HasParent
 | GetParentComponent
 | IsParentOf
 | GetTopParent
 | IsVisible
 | IsControlVisible
 | IsEnabled
 | IsParentColor
 | IsParentFont
 | FormIsUpdating
 | IsProcessingPaintMsg
 | Hide
 | Refresh
 | Repaint
 | Invalidate
 | CheckChildClassAllowed
 | CheckNewParent
 | SendToBack
 | SetTempCursor
 | UpdateRolesForForm
 | ActiveDefaultControlChanged
 | GetTextBuf
 | GetTextLen
 | SetTextBuf
 | Perform
 | ScreenToClient
 | ClientToScreen
 | ScreenToControl
 | ControlToScreen
 | ClientToParent
 | ParentToClient
 | GetChildrenRect
 | Show
 | Update
 | HandleObjectShouldBeVisible
 | ParentDestroyingHandle
 | ParentHandlesAllocated
 | InitiateAction
 | ShowHelp
 | HasHelp
 | RemoveAllHandlersOfObject
 | AddHandlerOnResize
 | RemoveHandlerOnResize
 | AddHandlerOnChangeBounds
 | RemoveHandlerOnChangeBounds
 | AddHandlerOnVisibleChanging
 | RemoveHandlerOnVisibleChanging
 | AddHandlerOnVisibleChanged
 | RemoveHandlerOnVisibleChanged
 | AddHandlerOnEnabledChanged
 | RemoveHandlerOnEnableChanging
 | AddHandlerOnKeyDown
 | RemoveHandlerOnKeyDown
 | AddHandlerOnBeforeDestruction
 | RemoveHandlerOnBeforeDestruction
 | AddHandlerOnMouseWheel
 | RemoveHandlerOnMouseWheel
 | UseRightToLeftAlignment
 | UseRightToLeftReading
 | UseRightToLeftScrollBar
 | IsRightToLeft
TLCLComponent
pt | WSRegisterClass
pt | GetWSComponentClass
 | Create
 | Destroy
 | NewInstance
 | RemoveAllHandlersOfObject
 | IncLCLRefCount
 | DecLCLRefCount
TComponent
 | GetComObject
 | GetComponent
 | GetComponentCount
 | GetComponentIndex
 | Insert
 | ReadLeft
 | ReadTop
 | Remove
 | RemoveNotification
 | SetComponentIndex
 | SetReference
 | WriteLeft
 | WriteTop
 | ChangeName
 | DefineProperties
 | GetChildren
 | GetChildOwner
 | GetChildParent
 | GetOwner
 | Loaded
 | Loading
 | Notification
 | PaletteCreated
 | ReadState
 | SetAncestor
 | SetDesigning
 | SetDesignInstance
 | SetInline
 | SetName
 | SetChildOrder
 | SetParentComponent
 | Updating
 | Updated
 | UpdateRegistry
 | ValidateRename
 | ValidateContainer
 | ValidateInsert
 | QueryInterface
 | _AddRef
 | _Release
 | iicrGetComponent
 | GetTypeInfoCount
 | GetTypeInfo
 | GetIDsOfNames
 | Invoke
 | WriteState
 | Create
 | Destroy
 | BeforeDestruction
 | DestroyComponents
 | Destroying
 | ExecuteAction
 | FindComponent
 | FreeNotification
 | RemoveFreeNotification
 | FreeOnRelease
 | GetEnumerator
 | GetNamePath
 | GetParentComponent
 | HasParent
 | InsertComponent
 | RemoveComponent
 | SafeCallException
 | SetSubComponent
 | UpdateAction
 | IsImplementorOf
 | ReferenceInterface
TPersistent
 | AssignError
 | AssignTo
 | DefineProperties
 | GetOwner
 | Destroy
 | Assign
 | FPOAttachObserver
 | FPODetachObserver
 | FPONotifyObservers
 | GetNamePath
TObject
 | Create
 | Destroy
 | newinstance
 | FreeInstance
 | SafeCallException
 | DefaultHandler
 | Free
 | InitInstance
 | CleanupInstance
 | ClassType
 | ClassInfo
 | ClassName
 | ClassNameIs
 | ClassParent
 | InstanceSize
 | InheritsFrom
 | StringMessageTable
 | MethodAddress
 | MethodName
 | FieldAddress
 | AfterConstruction
 | BeforeDestruction
 | DefaultHandlerStr
 | Dispatch
 | DispatchStr
 | GetInterface
 | GetInterfaceByStr
 | GetInterfaceWeak
 | GetInterfaceEntry
 | GetInterfaceEntryByStr
 | GetInterfaceTable
 | UnitName
 | Equals
 | GetHashCode
 | ToString


pt | ActionChange (TControl)
 | ActiveDefaultControlChanged (TControl)
 | AddControl (TWinControl)
pt | AddHandler (TControl)
 | AddHandlerOnBeforeDestruction (TControl)
 | AddHandlerOnChangeBounds (TControl)
 | AddHandlerOnEnabledChanged (TControl)
 | AddHandlerOnKeyDown (TControl)
 | AddHandlerOnMouseWheel (TControl)
 | AddHandlerOnResize (TControl)
 | AddHandlerOnVisibleChanged (TControl)
 | AddHandlerOnVisibleChanging (TControl)
pt | AdjustClientRect (TWinControl)
 | AdjustSize (TControl)
 | AfterConstruction (TObject)
pt | AlignControls (TWinControl)
pt | AllAutoSized (TWinControl)
 | AnchorAsAlign (TControl)
 | AnchorClient (TControl)
 | AnchoredControlCount (TControl)
 | AnchorHorizontalCenterTo (TControl)
 | AnchorParallel (TControl)
 | AnchorSame (TControl)
pt | AnchorSideChanged (TControl)
 | AnchorToCompanion (TControl)
 | AnchorToNeighbour (TControl)
 | AnchorVerticalCenterTo (TControl)
pt | ApplyChanges (TCustomCheckBox)
 | Assign (TPersistent)
 | AssignError (TPersistent)
 | AssignTo (TPersistent)
pt | AssignTo (TControl)
 | AutoAdjustLayout (TControl)
 | AutoAdjustLayout (TWinControl)
 | AutoSizeDelayed (TControl)
 | AutoSizeDelayed (TWinControl)
 | AutoSizeDelayedHandle (TControl)
 | AutoSizeDelayedHandle (TWinControl)
 | AutoSizeDelayedReport (TControl)
 | AutoSizeDelayedReport (TWinControl)
 | AutoSizePhases (TControl)
 | AutoSizePhases (TWinControl)
 | BeforeDestruction (TObject)
 | BeforeDestruction (TComponent)
 | BeforeDestruction (TControl)
pt | BeforeDragStart (TControl)
pt | BeginAutoDrag (TControl)
pt | BeginAutoSizing (TControl)
 | BeginDrag (TControl)
 | BeginUpdateBounds (TWinControl)
pt | BoundsChanged (TControl)
 | BringToFront (TControl)
 | BroadCast (TWinControl)
 | BrushCreated (TWinControl)
pt | CalculateDockSizes (TControl)
pt | CalculatePreferredSize (TControl)
pt | CalculatePreferredSize (TWinControl)
pt | CanAutoSize (TControl)
 | CanFocus (TWinControl)
 | CanSetFocus (TWinControl)
pt | CanTab (TControl)
pt | CanTab (TWinControl)
pt | CaptureChanged (TControl)
pt | ChangeBounds (TControl)
pt | Changed (TControl)
 | ChangeName (TComponent)
pt | ChangeScale (TControl)
pt | ChangeScale (TWinControl)
 | CheckChildClassAllowed (TControl)
 | CheckNewParent (TControl)
pt | CheckOnChangeBounds (TControl)
pt | ChildClassAllowed (TControl)
pt | ChildClassAllowed (TWinControl)
pt | ChildHandlesCreated (TWinControl)
pt | ChildKey (TWinControl)
 | ClassInfo (TObject)
 | ClassName (TObject)
 | ClassNameIs (TObject)
 | ClassParent (TObject)
 | ClassType (TObject)
 | CleanupInstance (TObject)
pt | Click (TControl)
pt | Click (TButtonControl)
pt | Click (TCustomCheckBox)
 | ClientRectNeedsInterfaceUpdate (TWinControl)
 | ClientToParent (TControl)
 | ClientToScreen (TControl)
pt | CMBiDiModeChanged (TControl)
pt | CMBiDiModeChanged (TWinControl)
pt | CMBorderChanged (TWinControl)
pt | CMChanged (TControl)
pt | CMCursorChanged (TControl)
pt | CMDoubleBufferedChanged (TWinControl)
pt | CMEnabledChanged (TControl)
pt | CMEnabledChanged (TWinControl)
pt | CMEnter (TWinControl)
pt | CMExit (TWinControl)
pt | CMHintShow (TControl)
pt | CMHitTest (TControl)
pt | CMMouseEnter (TControl)
pt | CMMouseLeave (TControl)
pt | CMParentBiDiModeChanged (TControl)
pt | CMParentColorChanged (TControl)
pt | CMParentDoubleBufferedChanged (TWinControl)
pt | CMParentFontChanged (TControl)
pt | CMParentShowHintChanged (TControl)
pt | CMShowHintChanged (TWinControl)
pt | CMShowingChanged (TWinControl)
pt | CMSysFontChanged (TControl)
pt | CMTextChanged (TControl)
pt | CMVisibleChanged (TControl)
pt | CMVisibleChanged (TWinControl)
pt | CNChar (TWinControl)
pt | CNKeyDown (TWinControl)
pt | CNKeyUp (TWinControl)
 | CNPreferredSizeChanged (TControl)
pt | CNSysKeyDown (TWinControl)
pt | CNSysKeyUp (TWinControl)
pt | ColorIsStored (TControl)
pt | ConstrainedResize (TControl)
 | ContainsControl (TWinControl)
 | ControlAtPos (TWinControl)
pt | ControlKeyDown (TWinControl)
pt | ControlKeyUp (TWinControl)
pt | ControlsAligned (TWinControl)
 | ControlToScreen (TControl)
 | Create (TObject)
 | Create (TComponent)
 | Create (TLCLComponent)
 | Create (TControl)
 | Create (TWinControl)
 | Create (TButtonControl)
 | Create (TCustomCheckBox)
 | Create (TToggleBox)
 | CreateAccessibleObject (TControl)
pt | CreateBrush (TWinControl)
pt | CreateControlBorderSpacing (TControl)
pt | CreateDockManager (TWinControl)
pt | CreateFloatingDockSite (TControl)
pt | CreateHandle (TWinControl)
pt | CreateParams (TWinControl)
pt | CreateParams (TCustomCheckBox)
pt | CreateParams (TToggleBox)
 | CreateParented (TWinControl)
 | CreateParentedControl (TWinControl)
pt | CreateSubClass (TWinControl)
pt | CreateWnd (TWinControl)
pt | CustomAlignInsertBefore (TWinControl)
pt | CustomAlignPosition (TWinControl)
pt | DblClick (TControl)
 | DecLCLRefCount (TLCLComponent)
 | DefaultHandler (TObject)
 | DefaultHandler (TWinControl)
 | DefaultHandlerStr (TObject)
 | DefineProperties (TPersistent)
 | DefineProperties (TComponent)
pt | DefineProperties (TControl)
 | Destroy (TObject)
 | Destroy (TPersistent)
 | Destroy (TComponent)
 | Destroy (TLCLComponent)
 | Destroy (TControl)
 | Destroy (TWinControl)
 | DestroyComponents (TComponent)
pt | DestroyHandle (TWinControl)
 | Destroying (TComponent)
pt | DestroyWnd (TWinControl)
pt | DialogChar (TControl)
pt | DialogChar (TWinControl)
pt | DialogChar (TCustomCheckBox)
 | DisableAlign (TWinControl)
 | DisableAutoSizing (TControl)
 | Dispatch (TObject)
 | DispatchStr (TObject)
pt | DoAddDockClient (TWinControl)
 | DoAdjustClientRectChange (TWinControl)
pt | DoAlignChildControls (TWinControl)
pt | DoAllAutoSize (TControl)
pt | DoAllAutoSize (TWinControl)
pt | DoAutoAdjustLayout (TControl)
pt | DoAutoSize (TControl)
pt | DoAutoSize (TWinControl)
pt | DoBorderSpacingChange (TControl)
pt | DoCallKeyEventHandler (TControl)
pt | DoCallMouseWheelEventHandler (TControl)
pt | DoCallNotifyHandler (TControl)
pt | DoChildSizingChange (TWinControl)
 | Dock (TControl)
 | DockDrop (TWinControl)
 | Docked (TControl)
pt | DockOver (TWinControl)
pt | DockTrackNoTarget (TControl)
pt | DoClickOnChange (TCustomCheckBox)
pt | DoConstraintsChange (TControl)
pt | DoConstraintsChange (TWinControl)
pt | DoContextPopup (TControl)
pt | DoDock (TControl)
pt | DoDockClientMsg (TWinControl)
pt | DoDockOver (TWinControl)
pt | DoDragMsg (TControl)
pt | DoDragMsg (TWinControl)
pt | DoEndDock (TControl)
pt | DoEndDrag (TControl)
pt | DoEnter (TWinControl)
pt | DoExit (TWinControl)
pt | DoFixDesignFontPPI (TControl)
pt | DoFlipChildren (TWinControl)
pt | DoFloatMsg (TControl)
pt | DoFloatMsg (TWinControl)
pt | DoGetDockCaption (TWinControl)
pt | DoKeyDownBeforeInterface (TWinControl)
pt | DoKeyPress (TWinControl)
pt | DoKeyUpBeforeInterface (TWinControl)
pt | DoMouseWheel (TControl)
pt | DoMouseWheelDown (TControl)
pt | DoMouseWheelHorz (TControl)
pt | DoMouseWheelLeft (TControl)
pt | DoMouseWheelRight (TControl)
pt | DoMouseWheelUp (TControl)
pt | DoOnChange (TButtonControl)
pt | DoOnChangeBounds (TControl)
pt | DoOnParentHandleDestruction (TControl)
pt | DoOnResize (TControl)
pt | DoOnShowHint (TControl)
pt | DoRemainingKeyDown (TWinControl)
pt | DoRemainingKeyUp (TWinControl)
pt | DoRemoveDockClient (TWinControl)
pt | DoScaleFontPPI (TControl)
pt | DoSendBoundsToInterface (TWinControl)
pt | DoSendShowHideToInterface (TWinControl)
pt | DoSetBounds (TControl)
pt | DoSetBounds (TWinControl)
pt | DoStartDock (TControl)
pt | DoStartDrag (TControl)
pt | DoUnDock (TWinControl)
pt | DoUndockClientMsg (TWinControl)
pt | DoUTF8KeyPress (TWinControl)
pt | DragCanceled (TControl)
 | DragDrop (TControl)
 | Dragging (TControl)
pt | DragOver (TControl)
 | EditingDone (TControl)
 | EnableAlign (TWinControl)
 | EnableAutoSizing (TControl)
pt | EnabledChanged (TControl)
pt | EnabledChanging (TControl)
pt | EndAutoSizing (TControl)
 | EndDrag (TControl)
 | EndUpdateBounds (TWinControl)
 | Equals (TObject)
 | EraseBackground (TWinControl)
 | ExecuteAction (TComponent)
 | ExecuteCancelAction (TControl)
 | ExecuteDefaultAction (TControl)
 | FieldAddress (TObject)
pt | FinalizeWnd (TWinControl)
 | FindChildControl (TWinControl)
 | FindComponent (TComponent)
pt | FindNextControl (TWinControl)
 | FixDesignFontsPPI (TControl)
pt | FixupTabList (TWinControl)
 | FlipChildren (TWinControl)
 | Focused (TWinControl)
pt | FontChanged (TControl)
pt | FontChanged (TWinControl)
pt | ForeignAnchorSideChanged (TControl)
pt | FormEndUpdated (TControl)
pt | FormEndUpdated (TWinControl)
 | FormIsUpdating (TControl)
 | FPOAttachObserver (TPersistent)
 | FPODetachObserver (TPersistent)
 | FPONotifyObservers (TPersistent)
 | Free (TObject)
 | FreeInstance (TObject)
 | FreeNotification (TComponent)
 | FreeOnRelease (TComponent)
 | GetAccessibleObject (TControl)
pt | GetAction (TControl)
pt | GetActionLinkClass (TControl)
pt | GetActionLinkClass (TButtonControl)
pt | GetAdjustedLogicalClientRect (TWinControl)
 | GetAnchorsDependingOnParent (TControl)
pt | GetBorderStyle (TWinControl)
pt | GetCachedText (TControl)
 | GetCanvasScaleFactor (TControl)
pt | GetChecked (TButtonControl)
pt | GetChecked (TCustomCheckBox)
 | GetChildAccessibleObjectAtPos (TControl)
 | GetChildOwner (TComponent)
 | GetChildParent (TComponent)
 | GetChildren (TComponent)
pt | GetChildren (TWinControl)
 | GetChildrenRect (TControl)
 | GetChildrenRect (TWinControl)
pt | GetClientOrigin (TControl)
pt | GetClientOrigin (TWinControl)
pt | GetClientRect (TControl)
pt | GetClientRect (TWinControl)
pt | GetClientScrollOffset (TControl)
 | GetColorResolvingParent (TControl)
 | GetComObject (TComponent)
 | GetComponent (TComponent)
 | GetComponentCount (TComponent)
 | GetComponentIndex (TComponent)
pt | GetControlClassDefaultSize (TControl)
pt | GetControlClassDefaultSize (TCustomCheckBox)
pt | GetControlClassDefaultSize (TToggleBox)
 | GetControlIndex (TWinControl)
pt | GetControlOrigin (TControl)
pt | GetControlOrigin (TWinControl)
pt | GetCursor (TControl)
 | GetDefaultColor (TControl)
pt | GetDefaultDockCaption (TControl)
 | GetDefaultHeight (TControl)
 | GetDefaultWidth (TControl)
pt | GetDeviceContext (TControl)
pt | GetDeviceContext (TWinControl)
 | GetDockCaption (TWinControl)
pt | GetDockEdge (TControl)
pt | GetDragImages (TControl)
pt | GetEnabled (TControl)
 | GetEnumerator (TComponent)
 | GetEnumeratorControls (TWinControl)
 | GetEnumeratorControlsReverse (TWinControl)
pt | GetFloating (TControl)
pt | GetFloatingDockSiteClass (TControl)
 | GetHashCode (TObject)
 | GetIDsOfNames (TComponent)
 | GetInterface (TObject)
 | GetInterfaceByStr (TObject)
 | GetInterfaceEntry (TObject)
 | GetInterfaceEntryByStr (TObject)
 | GetInterfaceTable (TObject)
 | GetInterfaceWeak (TObject)
pt | GetLogicalClientRect (TControl)
pt | GetMouseCapture (TControl)
pt | GetMouseCapture (TWinControl)
pt | GetMousePosFromMessage (TControl)
 | GetNamePath (TPersistent)
 | GetNamePath (TComponent)
 | GetOwner (TPersistent)
 | GetOwner (TComponent)
pt | GetPalette (TControl)
pt | GetParentBackground (TWinControl)
 | GetParentComponent (TComponent)
 | GetParentComponent (TControl)
pt | GetParentHandle (TWinControl)
pt | GetPopupMenu (TControl)
 | GetPreferredSize (TControl)
pt | GetPreferredSizeClientFrame (TWinControl)
 | GetRGBColorResolvingParent (TControl)
pt | GetScrolledClientRect (TControl)
 | GetSelectedChildAccessibleObject (TControl)
 | GetSidePosition (TControl)
pt | GetSiteInfo (TWinControl)
 | GetTabOrderList (TWinControl)
 | GetTextBuf (TControl)
 | GetTextLen (TControl)
 | GetTextLen (TWinControl)
 | GetTopParent (TControl)
pt | GetTopParentHandle (TWinControl)
 | GetTypeInfo (TComponent)
 | GetTypeInfoCount (TComponent)
pt | GetWSComponentClass (TLCLComponent)
 | HandleAllocated (TWinControl)
 | HandleNeeded (TWinControl)
 | HandleObjectShouldBeVisible (TControl)
 | HasHelp (TControl)
 | HasParent (TComponent)
 | HasParent (TControl)
pt | HeightIsAnchored (TControl)
 | Hide (TControl)
 | iicrGetComponent (TComponent)
 | IncLCLRefCount (TLCLComponent)
 | InheritsFrom (TObject)
pt | InitializeWnd (TWinControl)
pt | InitializeWnd (TCustomCheckBox)
 | InitiateAction (TControl)
 | InitInstance (TObject)
 | Insert (TComponent)
 | InsertComponent (TComponent)
 | InsertControl (TWinControl)
 | InstanceSize (TObject)
 | IntfGetDropFilesTarget (TWinControl)
 | IntfUTF8KeyPress (TWinControl)
 | Invalidate (TControl)
 | Invalidate (TWinControl)
pt | InvalidateBoundsRealized (TWinControl)
 | InvalidateClientRectCache (TWinControl)
pt | InvalidateControl (TControl)
pt | InvalidatePreferredChildSizes (TWinControl)
 | InvalidatePreferredSize (TControl)
 | Invoke (TComponent)
pt | IsAParentAligning (TControl)
pt | IsBorderSpacingInnerBorderStored (TControl)
pt | IsCaptionStored (TControl)
pt | IsClientHeightStored (TControl)
pt | IsClientHeightStored (TWinControl)
pt | IsClientWidthStored (TControl)
pt | IsClientWidthStored (TWinControl)
pt | IsControlMouseMsg (TWinControl)
 | IsControlVisible (TControl)
 | IsEnabled (TControl)
 | IsImplementorOf (TComponent)
 | IsParentColor (TControl)
 | IsParentFont (TControl)
 | IsParentOf (TControl)
 | IsProcessingPaintMsg (TControl)
 | IsRightToLeft (TControl)
 | IsVisible (TControl)
pt | KeyDown (TWinControl)
pt | KeyDownAfterInterface (TWinControl)
pt | KeyDownBeforeInterface (TWinControl)
pt | KeyPress (TWinControl)
pt | KeyUp (TWinControl)
pt | KeyUpAfterInterface (TWinControl)
pt | KeyUpBeforeInterface (TWinControl)
pt | LMCaptureChanged (TControl)
 | Loaded (TComponent)
pt | Loaded (TControl)
pt | Loaded (TWinControl)
pt | Loaded (TCustomCheckBox)
pt | LoadedAll (TControl)
 | Loading (TComponent)
 | LockRealizeBounds (TWinControl)
pt | MainWndProc (TWinControl)
 | ManualDock (TControl)
 | ManualFloat (TControl)
 | MethodAddress (TObject)
 | MethodName (TObject)
pt | MouseDown (TControl)
pt | MouseEnter (TControl)
pt | MouseLeave (TControl)
pt | MouseMove (TControl)
pt | MouseUp (TControl)
 | newinstance (TObject)
 | NewInstance (TLCLComponent)
 | Notification (TComponent)
pt | Notification (TControl)
 | NotifyControls (TWinControl)
pt | PaintControls (TWinControl)
pt | PaintHandler (TWinControl)
 | PaintTo (TWinControl)
pt | PaintWindow (TWinControl)
 | PaletteCreated (TComponent)
 | ParentDestroyingHandle (TControl)
pt | ParentFontChanged (TControl)
pt | ParentFormHandleInitialized (TControl)
pt | ParentFormHandleInitialized (TWinControl)
 | ParentHandlesAllocated (TControl)
 | ParentHandlesAllocated (TWinControl)
 | ParentToClient (TControl)
 | Perform (TControl)
 | PerformTab (TWinControl)
pt | PositionDockRect (TControl)
pt | QuadClick (TControl)
 | QueryInterface (TComponent)
 | ReadLeft (TComponent)
 | ReadState (TComponent)
pt | ReadState (TControl)
 | ReadTop (TComponent)
pt | RealGetText (TControl)
pt | RealGetText (TWinControl)
 | ReAlign (TWinControl)
pt | RealizeBounds (TWinControl)
pt | RealizeBoundsRecursive (TWinControl)
pt | RealSetText (TControl)
pt | RealSetText (TWinControl)
pt | RealSetText (TCustomCheckBox)
 | ReferenceInterface (TComponent)
 | Refresh (TControl)
pt | ReloadDockedControl (TWinControl)
 | Remove (TComponent)
 | RemoveAllHandlersOfObject (TLCLComponent)
 | RemoveAllHandlersOfObject (TControl)
 | RemoveComponent (TComponent)
 | RemoveControl (TWinControl)
pt | RemoveFocus (TWinControl)
 | RemoveFreeNotification (TComponent)
pt | RemoveHandler (TControl)
 | RemoveHandlerOnBeforeDestruction (TControl)
 | RemoveHandlerOnChangeBounds (TControl)
 | RemoveHandlerOnEnableChanging (TControl)
 | RemoveHandlerOnKeyDown (TControl)
 | RemoveHandlerOnMouseWheel (TControl)
 | RemoveHandlerOnResize (TControl)
 | RemoveHandlerOnVisibleChanged (TControl)
 | RemoveHandlerOnVisibleChanging (TControl)
 | RemoveNotification (TComponent)
 | Repaint (TControl)
 | Repaint (TWinControl)
 | ReplaceDockedControl (TControl)
pt | RequestAlign (TControl)
pt | Resize (TControl)
pt | RetrieveState (TCustomCheckBox)
 | SafeCallException (TObject)
 | SafeCallException (TComponent)
 | Scale96ToFont (TControl)
 | Scale96ToForm (TControl)
 | Scale96ToScreen (TControl)
 | ScaleBy (TWinControl)
pt | ScaleConstraints (TControl)
pt | ScaleControls (TWinControl)
 | ScaleDesignToForm (TControl)
 | ScaleFontsPPI (TControl)
 | ScaleFontTo96 (TControl)
 | ScaleFontToScreen (TControl)
 | ScaleFormTo96 (TControl)
 | ScaleFormToDesign (TControl)
 | ScaleScreenTo96 (TControl)
 | ScaleScreenToFont (TControl)
 | ScreenToClient (TControl)
 | ScreenToControl (TControl)
 | ScrollBy (TWinControl)
 | ScrollBy_WS (TWinControl)
pt | SelectFirst (TWinControl)
 | SelectNext (TWinControl)
pt | SendDialogChar (TWinControl)
pt | SendMoveSizeMessages (TControl)
pt | SendMoveSizeMessages (TWinControl)
 | SendToBack (TControl)
pt | SetAction (TControl)
pt | SetAlign (TControl)
 | SetAncestor (TComponent)
pt | SetAnchors (TControl)
pt | SetAutoSize (TControl)
pt | SetBiDiMode (TControl)
pt | SetBorderStyle (TWinControl)
 | SetBounds (TControl)
 | SetBounds (TWinControl)
 | SetBoundsKeepBase (TControl)
pt | SetChecked (TButtonControl)
pt | SetChecked (TCustomCheckBox)
 | SetChildOrder (TComponent)
pt | SetChildZPosition (TWinControl)
pt | SetColor (TControl)
pt | SetColor (TWinControl)
 | SetComponentIndex (TComponent)
 | SetControlIndex (TWinControl)
pt | SetCursor (TControl)
 | SetDesigning (TComponent)
 | SetDesignInstance (TComponent)
pt | SetDockManager (TWinControl)
pt | SetDragMode (TControl)
pt | SetEnabled (TControl)
 | SetFocus (TWinControl)
pt | SetHint (TControl)
 | SetInitialBounds (TControl)
 | SetInline (TComponent)
 | SetName (TComponent)
pt | SetName (TControl)
pt | SetParent (TControl)
pt | SetParentBackground (TWinControl)
pt | SetParentBiDiMode (TControl)
 | SetParentComponent (TComponent)
pt | SetParentComponent (TControl)
 | SetReference (TComponent)
 | SetShape (TWinControl)
 | SetSubComponent (TComponent)
 | SetTempCursor (TControl)
 | SetTempCursor (TWinControl)
 | SetTextBuf (TControl)
pt | SetVisible (TControl)
pt | SetZOrder (TControl)
 | ShouldAutoAdjust (TControl)
 | Show (TControl)
pt | ShowControl (TWinControl)
 | ShowHelp (TControl)
 | StringMessageTable (TObject)
pt | TextChanged (TControl)
pt | TextChanged (TCustomCheckBox)
pt | Toggle (TCustomCheckBox)
 | ToString (TObject)
pt | TripleClick (TControl)
 | UnitName (TObject)
 | UnlockRealizeBounds (TWinControl)
 | Update (TControl)
 | Update (TWinControl)
 | UpdateAction (TComponent)
pt | UpdateAnchorRules (TControl)
 | UpdateBaseBounds (TControl)
pt | UpdateControlState (TWinControl)
 | Updated (TComponent)
 | UpdateDockCaption (TWinControl)
pt | UpdateMouseCursor (TControl)
 | UpdateRegistry (TComponent)
 | UpdateRolesForForm (TControl)
pt | UpdateShowing (TWinControl)
 | Updating (TComponent)
 | UseRightToLeftAlignment (TControl)
 | UseRightToLeftReading (TControl)
 | UseRightToLeftScrollBar (TControl)
pt | UTF8KeyPress (TWinControl)
 | ValidateContainer (TComponent)
 | ValidateInsert (TComponent)
 | ValidateRename (TComponent)
pt | VisibleChanged (TControl)
pt | VisibleChanging (TControl)
pt | WidthIsAnchored (TControl)
pt | WMCancelMode (TControl)
pt | WMChar (TWinControl)
pt | WMContextMenu (TControl)
pt | WMContextMenu (TWinControl)
pt | WMDestroy (TWinControl)
pt | WMEnter (TWinControl)
pt | WMEraseBkgnd (TWinControl)
pt | WMExit (TWinControl)
pt | WMKeyDown (TWinControl)
pt | WMKeyUp (TWinControl)
pt | WMKillFocus (TWinControl)
pt | WMLButtonDBLCLK (TControl)
pt | WMLButtonDown (TControl)
pt | WMLButtonQuadCLK (TControl)
pt | WMLButtonTripleCLK (TControl)
pt | WMLButtonUp (TControl)
pt | WMMButtonDBLCLK (TControl)
pt | WMMButtonDown (TControl)
pt | WMMButtonQuadCLK (TControl)
pt | WMMButtonTripleCLK (TControl)
pt | WMMButtonUp (TControl)
pt | WMMouseHWheel (TControl)
pt | WMMouseMove (TControl)
pt | WMMouseWheel (TControl)
pt | WMMove (TControl)
pt | WMMove (TWinControl)
pt | WMNotify (TWinControl)
pt | WMPaint (TWinControl)
pt | WMRButtonDBLCLK (TControl)
pt | WMRButtonDown (TControl)
pt | WMRButtonQuadCLK (TControl)
pt | WMRButtonTripleCLK (TControl)
pt | WMRButtonUp (TControl)
pt | WMSetFocus (TWinControl)
pt | WMShowWindow (TWinControl)
pt | WMSize (TControl)
pt | WMSize (TWinControl)
pt | WMSysChar (TWinControl)
pt | WMSysKeyDown (TWinControl)
pt | WMSysKeyUp (TWinControl)
pt | WMWindowPosChanged (TControl)
pt | WMWindowPosChanged (TWinControl)
pt | WMXButtonDBLCLK (TControl)
pt | WMXButtonDown (TControl)
pt | WMXButtonQuadCLK (TControl)
pt | WMXButtonTripleCLK (TControl)
pt | WMXButtonUp (TControl)
pt | WndProc (TControl)
pt | WndProc (TWinControl)
 | WriteLayoutDebugReport (TControl)
 | WriteLayoutDebugReport (TWinControl)
 | WriteLeft (TComponent)
 | WriteState (TComponent)
 | WriteTop (TComponent)
pt | WSRegisterClass (TLCLComponent)
pt | WSRegisterClass (TControl)
pt | WSRegisterClass (TWinControl)
pt | WSRegisterClass (TButtonControl)
pt | WSRegisterClass (TCustomCheckBox)
pt | WSRegisterClass (TToggleBox)
pt | WSSetText (TWinControl)
pt | WSSetText (TCustomCheckBox)
 | _AddRef (TComponent)
 | _Release (TComponent)


TToggleBox
pl | ro | OnChange
pl | ro | OnClick
pl | ro | OnDragDrop
pl | ro | OnDragOver
pl | ro | OnEndDrag
pl | ro | OnEnter
pl | ro | OnExit
pl | ro | OnMouseDown
pl | ro | OnMouseEnter
pl | ro | OnMouseLeave
pl | ro | OnMouseMove
pl | ro | OnMouseUp
pl | ro | OnMouseWheel
pl | ro | OnMouseWheelDown
pl | ro | OnMouseWheelUp
pl | ro | OnStartDrag
TCustomCheckBox
 | ro | OnChange
TButtonControl
pt |  | OnChange
TWinControl
pt |  | OnGetSiteInfo
pt |  | OnGetDockCaption
 |  | OnAlignInsertBefore
 |  | OnAlignPosition
 |  | OnDockDrop
 |  | OnDockOver
 |  | OnEnter
 |  | OnExit
 |  | OnKeyDown
 |  | OnKeyPress
 |  | OnKeyUp
 |  | OnUnDock
 |  | OnUTF8KeyPress
TControl
pt |  | OnConstrainedResize
pt |  | OnContextPopup
pt |  | OnDblClick
pt |  | OnTripleClick
pt |  | OnQuadClick
pt |  | OnDragDrop
pt |  | OnDragOver
pt |  | OnEndDock
pt |  | OnEndDrag
pt |  | OnMouseDown
pt |  | OnMouseMove
pt |  | OnMouseUp
pt |  | OnMouseEnter
pt |  | OnMouseLeave
pt |  | OnMouseWheel
pt |  | OnMouseWheelDown
pt |  | OnMouseWheelUp
pt |  | OnMouseWheelHorz
pt |  | OnMouseWheelLeft
pt |  | OnMouseWheelRight
pt |  | OnStartDock
pt |  | OnStartDrag
pt |  | OnEditingDone
 |  | OnChangeBounds
 |  | OnClick
 |  | OnResize
 |  | OnShowHint
TLCLComponent
TComponent
TPersistent
TObject


pt |  | OnChange (TButtonControl)
 | ro | OnChange (TCustomCheckBox)
pl | ro | OnChange (TToggleBox)
 |  | OnChangeBounds (TControl)
 |  | OnClick (TControl)
pl | ro | OnClick (TToggleBox)
pt |  | OnConstrainedResize (TControl)
pt |  | OnContextPopup (TControl)
pt |  | OnDblClick (TControl)
 |  | OnDockDrop (TWinControl)
 |  | OnDockOver (TWinControl)
pt |  | OnDragDrop (TControl)
pl | ro | OnDragDrop (TToggleBox)
pt |  | OnDragOver (TControl)
pl | ro | OnDragOver (TToggleBox)
pt |  | OnEditingDone (TControl)
pt |  | OnEndDock (TControl)
pt |  | OnEndDrag (TControl)
pl | ro | OnEndDrag (TToggleBox)
 |  | OnEnter (TWinControl)
pl | ro | OnEnter (TToggleBox)
 |  | OnExit (TWinControl)
pl | ro | OnExit (TToggleBox)
pt |  | OnGetDockCaption (TWinControl)
pt |  | OnGetSiteInfo (TWinControl)
 |  | OnKeyDown (TWinControl)
 |  | OnKeyPress (TWinControl)
 |  | OnKeyUp (TWinControl)
pt |  | OnMouseDown (TControl)
pl | ro | OnMouseDown (TToggleBox)
pt |  | OnMouseEnter (TControl)
pl | ro | OnMouseEnter (TToggleBox)
pt |  | OnMouseLeave (TControl)
pl | ro | OnMouseLeave (TToggleBox)
pt |  | OnMouseMove (TControl)
pl | ro | OnMouseMove (TToggleBox)
pt |  | OnMouseUp (TControl)
pl | ro | OnMouseUp (TToggleBox)
pt |  | OnMouseWheel (TControl)
pl | ro | OnMouseWheel (TToggleBox)
pt |  | OnMouseWheelDown (TControl)
pl | ro | OnMouseWheelDown (TToggleBox)
pt |  | OnMouseWheelHorz (TControl)
pt |  | OnMouseWheelLeft (TControl)
pt |  | OnMouseWheelRight (TControl)
pt |  | OnMouseWheelUp (TControl)
pl | ro | OnMouseWheelUp (TToggleBox)
pt |  | OnQuadClick (TControl)
 |  | OnResize (TControl)
 |  | OnShowHint (TControl)
pt |  | OnStartDock (TControl)
pt |  | OnStartDrag (TControl)
pl | ro | OnStartDrag (TToggleBox)
pt |  | OnTripleClick (TControl)
 |  | OnUnDock (TWinControl)
 |  | OnUTF8KeyPress (TWinControl)


TToggleBox.Align

Declaration

Source position: stdctrls.pp line 1409

published property TToggleBox.Align : TAlign;


TToggleBox.BidiMode

Declaration

Source position: stdctrls.pp line 1412

published property TToggleBox.BidiMode : TBiDiMode;


TToggleBox.Color

Declaration

Source position: stdctrls.pp line 1416

published property TToggleBox.Color : TColor;


TToggleBox.Constraints

Declaration

Source position: stdctrls.pp line 1417

published property TToggleBox.Constraints : TSizeConstraints;


TToggleBox.Create

Declaration

Source position: stdctrls.pp line 1406

public constructor TToggleBox.Create(

  TheOwner: TComponent

); override;


TToggleBox.CreateParams

Declaration

Source position: stdctrls.pp line 1403

protected procedure TToggleBox.CreateParams(

  var Params: TCreateParams

); override;


TToggleBox.DoubleBuffered

Declaration

Source position: stdctrls.pp line 1418

published property TToggleBox.DoubleBuffered : Boolean;


TToggleBox.Font

Declaration

Source position: stdctrls.pp line 1423

published property TToggleBox.Font : TFont;


TToggleBox.OnMouseEnter

Declaration

Source position: stdctrls.pp line 1433

published property TToggleBox.OnMouseEnter : TNotifyEvent;


TToggleBox.OnMouseLeave

Declaration

Source position: stdctrls.pp line 1434

published property TToggleBox.OnMouseLeave : TNotifyEvent;


TToggleBox.OnMouseWheel

Declaration

Source position: stdctrls.pp line 1437

published property TToggleBox.OnMouseWheel : TMouseWheelEvent;


TToggleBox.OnMouseWheelDown

Declaration

Source position: stdctrls.pp line 1438

published property TToggleBox.OnMouseWheelDown : TMouseWheelUpDownEvent;


TToggleBox.OnMouseWheelUp

Declaration

Source position: stdctrls.pp line 1439

published property TToggleBox.OnMouseWheelUp : TMouseWheelUpDownEvent;


TToggleBox.ParentBidiMode

Declaration

Source position: stdctrls.pp line 1441

published property TToggleBox.ParentBidiMode : Boolean;


TToggleBox.ParentColor

Declaration

Source position: stdctrls.pp line 1404

protected property TToggleBox.ParentColor : Boolean
  default False;


TToggleBox.ParentDoubleBuffered

Declaration

Source position: stdctrls.pp line 1442

published property TToggleBox.ParentDoubleBuffered : Boolean;


TToggleBox.ParentFont

Declaration

Source position: stdctrls.pp line 1443

published property TToggleBox.ParentFont : Boolean;


TThemeServices

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Declaration

Source position: themes.pas line 423

type TThemeServices = class(TObject)

protected

  function InitThemes; virtual;

  procedure UnloadThemeData; virtual;

  function UseThemes; virtual;

  function ThemedControlsEnabled; virtual;

  function InternalColorToRGB(); virtual;

  procedure InternalDrawParentBackground(); virtual;

public

  constructor Create;

  destructor Destroy; override;

  procedure IntfDoOnThemeChange; virtual;

  function IsDisabled();

  function IsPushed();

  function IsHot();

  function IsChecked();

  function IsMixed();

  function GetElementDetails();

  function GetDetailSize(); virtual;

  function GetDetailRegion(); virtual;

  function GetStockImage(); virtual;

  function GetOption(); virtual;

  function GetTextExtent(); virtual;

  function ColorToRGB();

  function ContentRect(); virtual;

  procedure DrawEdge(); virtual;

  procedure DrawElement(); virtual;

  procedure DrawIcon();

  procedure DrawParentBackground();

  procedure DrawText();

  function HasTransparentParts(); virtual;

  procedure PaintBorder(); virtual;

  procedure UpdateThemes;

  property DottedBrush: HBRUSH; [r]

  property ThemesAvailable: Boolean; [r]

  property ThemesEnabled: Boolean; [r]

  property OnThemeChange: TNotifyEvent; [rw]

end;

Inheritance

TThemeServices

|

TObject


TThemeServices
 | ro | DottedBrush
 | ro | ThemesAvailable
 | ro | ThemesEnabled
TObject


ro | DottedBrush (TThemeServices)
ro | ThemesAvailable (TThemeServices)
ro | ThemesEnabled (TThemeServices)


TThemeServices
pt | InitThemes
pt | UnloadThemeData
pt | UseThemes
pt | ThemedControlsEnabled
pt | InternalColorToRGB
pt | InternalDrawParentBackground
 | Create
 | Destroy
 | IntfDoOnThemeChange
 | IsDisabled
 | IsPushed
 | IsHot
 | IsChecked
 | IsMixed
 | GetElementDetails
 | GetDetailSize
 | GetDetailRegion
 | GetStockImage
 | GetOption
 | GetTextExtent
 | ColorToRGB
 | ContentRect
 | DrawEdge
 | DrawElement
 | DrawIcon
 | DrawParentBackground
 | DrawText
 | HasTransparentParts
 | PaintBorder
 | UpdateThemes
TObject
 | Create
 | Destroy
 | newinstance
 | FreeInstance
 | SafeCallException
 | DefaultHandler
 | Free
 | InitInstance
 | CleanupInstance
 | ClassType
 | ClassInfo
 | ClassName
 | ClassNameIs
 | ClassParent
 | InstanceSize
 | InheritsFrom
 | StringMessageTable
 | MethodAddress
 | MethodName
 | FieldAddress
 | AfterConstruction
 | BeforeDestruction
 | DefaultHandlerStr
 | Dispatch
 | DispatchStr
 | GetInterface
 | GetInterfaceByStr
 | GetInterfaceWeak
 | GetInterfaceEntry
 | GetInterfaceEntryByStr
 | GetInterfaceTable
 | UnitName
 | Equals
 | GetHashCode
 | ToString


 | AfterConstruction (TObject)
 | BeforeDestruction (TObject)
 | ClassInfo (TObject)
 | ClassName (TObject)
 | ClassNameIs (TObject)
 | ClassParent (TObject)
 | ClassType (TObject)
 | CleanupInstance (TObject)
 | ColorToRGB (TThemeServices)
 | ContentRect (TThemeServices)
 | Create (TObject)
 | Create (TThemeServices)
 | DefaultHandler (TObject)
 | DefaultHandlerStr (TObject)
 | Destroy (TObject)
 | Destroy (TThemeServices)
 | Dispatch (TObject)
 | DispatchStr (TObject)
 | DrawEdge (TThemeServices)
 | DrawElement (TThemeServices)
 | DrawIcon (TThemeServices)
 | DrawParentBackground (TThemeServices)
 | DrawText (TThemeServices)
 | Equals (TObject)
 | FieldAddress (TObject)
 | Free (TObject)
 | FreeInstance (TObject)
 | GetDetailRegion (TThemeServices)
 | GetDetailSize (TThemeServices)
 | GetElementDetails (TThemeServices)
 | GetHashCode (TObject)
 | GetInterface (TObject)
 | GetInterfaceByStr (TObject)
 | GetInterfaceEntry (TObject)
 | GetInterfaceEntryByStr (TObject)
 | GetInterfaceTable (TObject)
 | GetInterfaceWeak (TObject)
 | GetOption (TThemeServices)
 | GetStockImage (TThemeServices)
 | GetTextExtent (TThemeServices)
 | HasTransparentParts (TThemeServices)
 | InheritsFrom (TObject)
 | InitInstance (TObject)
pt | InitThemes (TThemeServices)
 | InstanceSize (TObject)
pt | InternalColorToRGB (TThemeServices)
pt | InternalDrawParentBackground (TThemeServices)
 | IntfDoOnThemeChange (TThemeServices)
 | IsChecked (TThemeServices)
 | IsDisabled (TThemeServices)
 | IsHot (TThemeServices)
 | IsMixed (TThemeServices)
 | IsPushed (TThemeServices)
 | MethodAddress (TObject)
 | MethodName (TObject)
 | newinstance (TObject)
 | PaintBorder (TThemeServices)
 | SafeCallException (TObject)
 | StringMessageTable (TObject)
pt | ThemedControlsEnabled (TThemeServices)
 | ToString (TObject)
 | UnitName (TObject)
pt | UnloadThemeData (TThemeServices)
 | UpdateThemes (TThemeServices)
pt | UseThemes (TThemeServices)


TThemeServices

OnThemeChange

TObject


TThemeServices.ColorToRGB

Declaration

Source position: themes.pas line 484

public function TThemeServices.ColorToRGB(

  Color: LongInt;

  Details: PThemedElementDetails = Nil

):COLORREF;


TThemeServices.ContentRect

Declaration

Source position: themes.pas line 485

public function TThemeServices.ContentRect(

  DC: HDC;

  Details: TThemedElementDetails;

  BoundingRect: TRect

):TRect; virtual;


TThemeServices.Create

Declaration

Source position: themes.pas line 442

public constructor TThemeServices.Create;


TThemeServices.Destroy

Declaration

Source position: themes.pas line 443

public destructor TThemeServices.Destroy; override;


TThemeServices.DottedBrush

Declaration

Source position: themes.pas line 501

public property TThemeServices.DottedBrush : HBRUSH
  read GetDottedBrush;


TThemeServices.DrawEdge

Declaration

Source position: themes.pas line 486

public procedure TThemeServices.DrawEdge(

  DC: HDC;

  Details: TThemedElementDetails;

  const R: TRect;

  Edge: Cardinal;

  Flags: Cardinal;

  AContentRect: PRect = Nil

); virtual;


TThemeServices.DrawElement

Declaration

Source position: themes.pas line 488

public procedure TThemeServices.DrawElement(

  DC: HDC;

  Details: TThemedElementDetails;

  const R: TRect;

  ClipRect: PRect = Nil

); virtual;


TThemeServices.DrawIcon

Declaration

Source position: themes.pas line 489

public procedure TThemeServices.DrawIcon(

  DC: HDC;

  Details: TThemedElementDetails;

  const R: TRect;

  himl: HIMAGELIST;

  Index: Integer

); virtual; overload;

procedure TThemeServices.DrawIcon(

  ACanvas: TPersistent;

  Details: TThemedElementDetails;

  const P: TPoint;

  AImageList: TPersistent;

  Index: Integer;

  AImageWidth: Integer = 0;

  ARefControl: TPersistent = Nil

); virtual; overload;


TThemeServices.DrawParentBackground

Declaration

Source position: themes.pas line 492

public procedure TThemeServices.DrawParentBackground(

  Window: HWND;

  Target: HDC;

  Details: PThemedElementDetails;

  OnlyIfTransparent: Boolean;

  Bounds: PRect = Nil

);


TThemeServices.DrawText

Declaration

Source position: themes.pas line 494

public procedure TThemeServices.DrawText(

  DC: HDC;

  Details: TThemedElementDetails;

  const S: string;

  R: TRect;

  Flags: Cardinal;

  Flags2: Cardinal

); virtual; overload;

procedure TThemeServices.DrawText(

  ACanvas: TPersistent;

  Details: TThemedElementDetails;

  const S: string;

  R: TRect;

  Flags: Cardinal;

  Flags2: Cardinal

); virtual; overload;


TThemeServices.GetDetailRegion

Declaration

Source position: themes.pas line 479

public function TThemeServices.GetDetailRegion(

  DC: HDC;

  Details: TThemedElementDetails;

  const R: TRect

):HRGN; virtual;


TThemeServices.GetDetailSize

Declaration

Source position: themes.pas line 478

public function TThemeServices.GetDetailSize(

  Details: TThemedElementDetails

):TSize; virtual;


TThemeServices.GetElementDetails

Declaration

Source position: themes.pas line 453

public function TThemeServices.GetElementDetails(

  Detail: TThemedButton

):TThemedElementDetails; overload;

function TThemeServices.GetElementDetails(

  Detail: TThemedClock

):TThemedElementDetails; overload;

function TThemeServices.GetElementDetails(

  Detail: TThemedComboBox

):TThemedElementDetails; overload;

function TThemeServices.GetElementDetails(

  Detail: TThemedEdit

):TThemedElementDetails; overload;

function TThemeServices.GetElementDetails(

  Detail: TThemedExplorerBar

):TThemedElementDetails; overload;

function TThemeServices.GetElementDetails(

  Detail: TThemedHeader

):TThemedElementDetails; overload;

function TThemeServices.GetElementDetails(

  Detail: TThemedListview

):TThemedElementDetails; overload;

function TThemeServices.GetElementDetails(

  Detail: TThemedMenu

):TThemedElementDetails; overload;

function TThemeServices.GetElementDetails(

  Detail: TThemedPage

):TThemedElementDetails; overload;

function TThemeServices.GetElementDetails(

  Detail: TThemedProgress

):TThemedElementDetails; overload;

function TThemeServices.GetElementDetails(

  Detail: TThemedRebar

):TThemedElementDetails; overload;

function TThemeServices.GetElementDetails(

  Detail: TThemedScrollBar

):TThemedElementDetails; overload;

function TThemeServices.GetElementDetails(

  Detail: TThemedSpin

):TThemedElementDetails; overload;

function TThemeServices.GetElementDetails(

  Detail: TThemedStartPanel

):TThemedElementDetails; overload;

function TThemeServices.GetElementDetails(

  Detail: TThemedStatus

):TThemedElementDetails; overload;

function TThemeServices.GetElementDetails(

  Detail: TThemedTab

):TThemedElementDetails; overload;

function TThemeServices.GetElementDetails(

  Detail: TThemedTaskBand

):TThemedElementDetails; overload;

function TThemeServices.GetElementDetails(

  Detail: TThemedTaskBar

):TThemedElementDetails; overload;

function TThemeServices.GetElementDetails(

  Detail: TThemedToolBar

):TThemedElementDetails; overload;

function TThemeServices.GetElementDetails(

  Detail: TThemedToolTip

):TThemedElementDetails; overload;

function TThemeServices.GetElementDetails(

  Detail: TThemedTrackBar

):TThemedElementDetails; overload;

function TThemeServices.GetElementDetails(

  Detail: TThemedTrayNotify

):TThemedElementDetails; overload;

function TThemeServices.GetElementDetails(

  Detail: TThemedTreeview

):TThemedElementDetails; overload;

function TThemeServices.GetElementDetails(

  Detail: TThemedWindow

):TThemedElementDetails; overload;


TThemeServices.GetOption

Declaration

Source position: themes.pas line 481

public function TThemeServices.GetOption(

  AOption: TThemeOption

):Integer; virtual;


TThemeServices.GetStockImage

Declaration

Source position: themes.pas line 480

public function TThemeServices.GetStockImage(

  StockID: LongInt;

  out Image: HBITMAP;

  out Mask: HBITMAP

):Boolean; virtual;


TThemeServices.GetTextExtent

Declaration

Source position: themes.pas line 482

public function TThemeServices.GetTextExtent(

  DC: HDC;

  Details: TThemedElementDetails;

  const S: string;

  Flags: Cardinal;

  BoundingRect: PRect

):TRect; virtual;


TThemeServices.HasTransparentParts

Declaration

Source position: themes.pas line 497

public function TThemeServices.HasTransparentParts(

  Details: TThemedElementDetails

):Boolean; virtual;


TThemeServices.InitThemes

Declaration

Source position: themes.pas line 434

protected function TThemeServices.InitThemes: Boolean; virtual;


TThemeServices.InternalColorToRGB

Declaration

Source position: themes.pas line 439

protected function TThemeServices.InternalColorToRGB(

  Details: TThemedElementDetails;

  Color: LongInt

):COLORREF; virtual;


TThemeServices.InternalDrawParentBackground

Declaration

Source position: themes.pas line 440

protected procedure TThemeServices.InternalDrawParentBackground(

  Window: HWND;

  Target: HDC;

  Bounds: PRect

); virtual;


TThemeServices.IntfDoOnThemeChange

Declaration

Source position: themes.pas line 444

public procedure TThemeServices.IntfDoOnThemeChange; virtual;


TThemeServices.IsChecked

Declaration

Source position: themes.pas line 450

public function TThemeServices.IsChecked(

  Details: TThemedElementDetails

):Boolean;


TThemeServices.IsDisabled

Declaration

Source position: themes.pas line 447

public function TThemeServices.IsDisabled(

  Details: TThemedElementDetails

):Boolean;


TThemeServices.IsHot

Declaration

Source position: themes.pas line 449

public function TThemeServices.IsHot(

  Details: TThemedElementDetails

):Boolean;


TThemeServices.IsMixed

Declaration

Source position: themes.pas line 451

public function TThemeServices.IsMixed(

  Details: TThemedElementDetails

):Boolean;


TThemeServices.IsPushed

Declaration

Source position: themes.pas line 448

public function TThemeServices.IsPushed(

  Details: TThemedElementDetails

):Boolean;


TThemeServices.OnThemeChange

Declaration

Source position: themes.pas line 505

public property TThemeServices.OnThemeChange : TNotifyEvent
  read FOnThemeChange
  write FOnThemeChange;


TThemeServices.PaintBorder

Declaration

Source position: themes.pas line 498

public procedure TThemeServices.PaintBorder(

  Control: TObject;

  EraseLRCorner: Boolean

); virtual;


TThemeServices.ThemedControlsEnabled

Declaration

Source position: themes.pas line 437

protected function TThemeServices.ThemedControlsEnabled: Boolean; virtual;


TThemeServices.ThemesAvailable

Declaration

Source position: themes.pas line 502

public property TThemeServices.ThemesAvailable : Boolean
  read FThemesAvailable;


TThemeServices.ThemesEnabled

Declaration

Source position: themes.pas line 503

public property TThemeServices.ThemesEnabled : Boolean
  read GetThemesEnabled;


TThemeServices.UnloadThemeData

Declaration

Source position: themes.pas line 435

protected procedure TThemeServices.UnloadThemeData; virtual;


TThemeServices.UpdateThemes

Declaration

Source position: themes.pas line 499

public procedure TThemeServices.UpdateThemes;


TThemeServices.UseThemes

Declaration

Source position: themes.pas line 436

protected function TThemeServices.UseThemes: Boolean; virtual;


TToolWindow

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Declaration

Source position: toolwin.pp line 50

type TToolWindow = class(TCustomControl)

protected

  FUpdateCount: Integer;

  procedure AdjustClientRect(); override;

  procedure Paint; override;

public

  constructor Create(); override;

  procedure BeginUpdate; virtual;

  procedure EndUpdate; virtual;

  property EdgeBorders: TEdgeBorders; [rw]

  property EdgeInner: TEdgeStyle; [rw]

  property EdgeOuter: TEdgeStyle; [rw]

end;

Inheritance

TToolWindow |
|
TCustomControl | The base class for windowed controls which paint themselves.
|
TWinControl | The base class for controls which can contain other (child) controls.
|
TControl | The base class for visible controls.
|
TLCLComponent | The base class for LCL components associated with widgets.
|
TComponent,IUnknown,IInterfaceComponentReference
|
TPersistent,IFPObserved
|
TObject


TItemProp

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Declaration

Source position: valedit.pas line 21

type TItemProp = class(TPersistent)

protected

  procedure AssignTo(); override;

public

  constructor Create();

  destructor Destroy; override;

published

  property EditMask: string; [rw]

  property EditStyle: TEditStyle; [rw]

  property KeyDesc: string; [rw]

  property PickList: TStrings; [rw]

  property MaxLength: Integer; [rw]

  property ReadOnly: Boolean; [rw]

end;

Inheritance

TItemProp
|

TPersistent,IFPObserved
|

TObject


TItemPropList

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Declaration

Source position: valedit.pas line 55

type TItemPropList = class

public

  procedure Add();

  procedure Assign();

  procedure Clear;

  procedure Delete();

  procedure Exchange();

  procedure Insert();

  constructor Create();

  destructor Destroy; override;

  property Count: Integer; [r]

  property Items []: TItemProp; default; [rw]

end;

Inheritance

TItemPropList
|

TObject


TValueListEditor

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

A visual component for editing Key-Value pairs.

Declaration

Source position: valedit.pas line 119

type TValueListEditor = class(TCustomStringGrid)

protected

  class procedure WSRegisterClass; override;

  procedure SetFixedCols(); override;

  procedure ShowColumnTitles;

  procedure AdjustRowCount; virtual;

  procedure ColRowExchanged(); override;

  procedure ColRowDeleted(); override;

  procedure DefineCellsProperty(); override;

  procedure InvalidateCachedRow;

  procedure GetAutoFillColumnInfo(); override;

  function GetEditText(); override;

  function GetCells(); override;

  function GetDefaultEditor(); override;

  function GetRowCount;

  procedure KeyDown(); override;

  procedure ResetDefaultColWidths; override;

  procedure SetCells(); override;

  procedure SetEditText(); override;

  procedure SetFixedRows(); override;

  procedure SetRowCount();

  procedure Sort();

  procedure TitlesChanged();

  function ValidateEntry(); override;

public

  constructor Create(); override;

  destructor Destroy; override;

  procedure Clear;

  procedure DeleteColRow();

  procedure DeleteRow(); override;

  procedure DeleteCol(); override;

  function FindRow();

  procedure InsertColRow();

  function InsertRow();

  procedure InsertRowWithValues();

  procedure ExchangeColRow(); override;

  function IsEmptyRow();

  procedure MoveColRow();

  function RestoreCurrentRow;

  property Modified: Boolean;

  property Keys []: string; [rw]

  property Values []: string; [rw]

  property ItemProps []: TItemProp; [rw]

published

  property Align: TAlign;

  property AlternateColor: TColor;

  property Anchors: TAnchors;

  property AutoAdvance: TAutoAdvance;

  property AutoEdit: Boolean;

  property BiDiMode: TBiDiMode;

  property BorderSpacing: TControlBorderSpacing;

  property BorderStyle: TBorderStyle;

  property Color: TColor;

  property Constraints: TSizeConstraints;

  property DefaultColWidth: Integer;

  property DefaultDrawing: Boolean;

  property DefaultRowHeight: Integer;

  property DragCursor: TCursor;

  property DragKind: TDragKind;

  property DragMode: TDragMode;

  property Enabled: Boolean;

  property ExtendedSelect: Boolean;

  property FixedColor: TColor;

  property FixedCols: Integer;

  property Flat: Boolean;

  property Font: TFont;

  property GridLineWidth: Integer;

  property HeaderHotZones: TGridZoneSet;

  property HeaderPushZones: TGridZoneSet;

  property MouseWheelOption: TMouseWheelOption;

  property ParentBiDiMode: Boolean;

  property ParentColor: Boolean;

  property ParentFont: Boolean;

  property ParentShowHint: Boolean;

  property PopupMenu: TPopupMenu;

  property RowCount: Integer; [rw]

  property ScrollBars: TScrollStyle;

  property ShowHint: Boolean;

  property TabOrder: TTabOrder;

  property TabStop: Boolean;

  property TitleFont: TFont;

  property TitleImageList: TImageList;

  property TitleStyle: TTitleStyle;

  property UseXORFeatures: Boolean;

  property Visible: Boolean;

  property VisibleColCount: Integer;

  property VisibleRowCount: Integer;

  property OnBeforeSelection: TOnSelectEvent;

  property OnButtonClick: TOnSelectEvent;

  property OnChangeBounds: TNotifyEvent;

  property OnCheckboxToggled: TToggledCheckboxEvent;

  property OnClick: TNotifyEvent;

  property OnColRowDeleted: TGridOperationEvent;

  property OnColRowExchanged: TGridOperationEvent;

  property OnColRowInserted: TGridOperationEvent;

  property OnColRowMoved: TGridOperationEvent;

  property OnCompareCells: TOnCompareCells;

  property OnContextPopup: TContextPopupEvent;

  property OnDragDrop: TDragDropEvent;

  property OnDragOver: TDragOverEvent;

  property OnDblClick: TNotifyEvent;

  property OnDrawCell: TOnDrawCell;

  property OnEditButtonClick: TNotifyEvent; deprecated ;

  property OnEditingDone: TNotifyEvent;

  property OnEndDock: TEndDragEvent;

  property OnEndDrag: TEndDragEvent;

  property OnEnter: TNotifyEvent;

  property OnExit: TNotifyEvent;

  property OnGetEditMask: TGetEditEvent;

  property OnGetEditText: TGetEditEvent;

  property OnHeaderClick: THdrEvent;

  property OnHeaderSized: THdrEvent;

  property OnHeaderSizing: THeaderSizingEvent;

  property OnKeyDown: TKeyEvent;

  property OnKeyPress: TKeyPressEvent;

  property OnKeyUp: TKeyEvent;

  property OnMouseDown: TMouseEvent;

  property OnMouseEnter: TNotifyEvent;

  property OnMouseLeave: TNotifyEvent;

  property OnMouseMove: TMouseMoveEvent;

  property OnMouseUp: TMouseEvent;

  property OnMouseWheel: TMouseWheelEvent;

  property OnMouseWheelDown: TMouseWheelUpDownEvent;

  property OnMouseWheelUp: TMouseWheelUpDownEvent;

  property OnMouseWheelHorz: TMouseWheelEvent;

  property OnMouseWheelLeft: TMouseWheelUpDownEvent;

  property OnMouseWheelRight: TMouseWheelUpDownEvent;

  property OnPickListSelect: TNotifyEvent;

  property OnPrepareCanvas: TOnPrepareCanvasEvent;

  property OnResize: TNotifyEvent;

  property OnSelectEditor: TSelectEditorEvent;

  property OnSelection: TOnSelectEvent;

  property OnSelectCell: TOnSelectCellEvent;

  property OnSetEditText: TSetEditEvent;

  property OnShowHint: TControlShowHintEvent;

  property OnStartDock: TStartDockEvent;

  property OnStartDrag: TStartDragEvent;

  property OnTopLeftChanged: TNotifyEvent;

  property OnUserCheckboxBitmap: TUserCheckBoxBitmapEvent;

  property OnUTF8KeyPress: TUTF8KeyPressEvent;

  property OnValidateEntry: TValidateEntryEvent;

  property DisplayOptions: TDisplayOptions; [rw]

  property DoubleBuffered: Boolean;

  property DropDownRows: Integer; [rw]

  property KeyOptions: TKeyOptions; [rw]

  property Options: TGridOptions; [rw]

  property Strings: TValueListStrings; [rw]

  property TitleCaptions: TStrings; [rw]

  property OnGetPickList: TGetPickListEvent; [rw]

  property OnStringsChange: TNotifyEvent; [rw]

  property OnStringsChanging: TNotifyEvent; [rw]

  property OnValidate: TOnValidateEvent; [rw]

end;

Inheritance

TValueListEditor | A visual component for editing Key-Value pairs.
|
TCustomStringGrid | TCustomStringGrid - base class for TStringGrid
|
TCustomDrawGrid | TCustomDrawGrid - Base Class for drawn grids including TDrawGrid and TStringGrid
|
TCustomGrid | TCustomGrid - the base class for all grid controls
|
TCustomControl | The base class for windowed controls which paint themselves.
|
TWinControl | The base class for controls which can contain other (child) controls.
|
TControl | The base class for visible controls.
|
TLCLComponent | The base class for LCL components associated with widgets.
|
TComponent,IUnknown,IInterfaceComponentReference
|
TPersistent,IFPObserved
|
TObject

Description

Displays a two column grid where the first column is read only, listing the key names. The second column is for editing the associated values. The value colunm supports masks, combobox selection and popup-dialog though an ellipse-button.

See also

TStringGrid

TStringGrid - a specialised grid for displaying strings (text material) in a matrix of columns and rows


TValueListStrings

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Declaration

Source position: valedit.pas line 80

type TValueListStrings = class(TStringList)

protected

  procedure InsertItem();

  procedure Put(); override;

public

  constructor Create();

  destructor Destroy; override;

  procedure Assign(); override;

  procedure Clear; override;

  procedure CustomSort(); override;

  procedure Delete(); override;

  procedure Exchange(); override;

end;

Inheritance

TValueListStrings
|

TStringList
|

TStrings
|

TPersistent,IFPObserved
|

TObject


TWSControl

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Declaration

Source position: wscontrols.pp line 85

type TWSControl = class(TWSLCLComponent)

published

  class procedure AddControl(); virtual;

  class function GetConstraints(); virtual;

  class function GetDefaultColor(); virtual;

  class procedure ConstraintWidth(); virtual;

  class procedure ConstraintHeight(); virtual;

  class function GetCanvasScaleFactor(); virtual;

end;

Inheritance

TWSControl
|

TWSLCLComponent
?

TObject


TWSCustomControl

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Declaration

Source position: wscontrols.pp line 153

type TWSCustomControl = class(TWSWinControl) end;

Inheritance

TWSCustomControl
|

TWSWinControl
|

TWSControl
|

TWSLCLComponent
?

TObject


TWSDragImageListResolution

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Declaration

Source position: wscontrols.pp line 56

type TWSDragImageListResolution = class(TWSCustomImageListResolution)

published

  class function BeginDrag(); virtual;

  class function DragMove(); virtual;

  class procedure EndDrag(); virtual;

  class function HideDragImage(); virtual;

  class function ShowDragImage(); virtual;

end;

Inheritance

TWSDragImageListResolution
|

TWSCustomImageListResolution
?

TObject


TWSGraphicControl

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Declaration

Source position: wscontrols.pp line 147

type TWSGraphicControl = class(TWSControl) end;

Inheritance

TWSGraphicControl
|

TWSControl
|

TWSLCLComponent
?

TObject


TWSImageList

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Declaration

Source position: wscontrols.pp line 159

type TWSImageList = class(TWSDragImageListResolution) end;

Inheritance

TWSImageList
|

TWSDragImageListResolution
|

TWSCustomImageListResolution
?

TObject


TWSLazAccessibleObject

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Declaration

Source position: wscontrols.pp line 71

type TWSLazAccessibleObject = class(TWSObject)

public

  class function CreateHandle(); virtual;

  class procedure DestroyHandle(); virtual;

  class procedure SetAccessibleDescription(); virtual;

  class procedure SetAccessibleValue(); virtual;

  class procedure SetAccessibleRole(); virtual;

  class procedure SetPosition(); virtual;

  class procedure SetSize(); virtual;

end;

Inheritance

TWSLazAccessibleObject
|

TWSObject
?

TObject


TWSWinControl

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Declaration

Source position: wscontrols.pp line 103

type TWSWinControl = class(TWSControl)

published

  class function CanFocus(); virtual;

  class function GetClientBounds(); virtual;

  class function GetClientRect(); virtual;

  class procedure GetPreferredSize(); virtual;

Returns the preferred size of a widget, independent of current Width, Height, child controls and scrollbars

  class function GetDefaultClientRect(); virtual;

  class function GetDesignInteractive(); virtual;

  class function GetDoubleBuffered(); virtual;

  class function GetText(); virtual;

  class function GetTextLen(); virtual;

  class procedure SetBiDiMode(); virtual;

  class procedure SetBorderStyle(); virtual;

  class procedure SetBounds(); virtual;

  class procedure SetColor(); virtual;

  class procedure SetChildZPosition(); virtual;

  class procedure SetFont(); virtual;

  class procedure SetPos(); virtual;

  class procedure SetSize(); virtual;

  class procedure SetText(); virtual;

  class procedure SetCursor(); virtual;

  class procedure SetShape(); virtual;

  class procedure AdaptBounds(); virtual;

  class procedure ConstraintsChange(); virtual;

  class function CreateHandle(); virtual;

  class procedure DestroyHandle(); virtual;

  class procedure DefaultWndHandler(); virtual;

  class procedure Invalidate(); virtual;

  class procedure PaintTo(); virtual;

  class procedure Repaint(); virtual;

  class procedure ShowHide(); virtual;

  class procedure ScrollBy(); virtual;

end;

Inheritance

TWSWinControl
|

TWSControl
|

TWSLCLComponent
?

TObject


TCustomXMLPropStorage

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Implements the base class for the XML Form's Session Properties Storage.

Declaration

Source position: xmlpropstorage.pas line 38

type TCustomXMLPropStorage = class(TFormPropertyStorage)
protected
function GetXMLFileName; virtual; | Getter for the property TCustomXMLPropStorage.FileName.
function RootSection; override; | Returns the name of the RootSection.
function FixPath(); virtual; | Turns '.' notation into '/' notation for the xpath-ish XMLConf underlayer.
property XMLConfig: TPropStorageXMLConfig; [r] | Property to access the TPropStorageXMLConfig.
public
procedure StorageNeeded(); override; | Aks the underlying storage object for an entry
procedure FreeStorage; override; | Frees an entry from the underlying storage object.
function DoReadString(); override; | Implements the actual reading of a value from the underlying storage container.
procedure DoWriteString(); override; | Implements the actual writing of a value from the underlying storage container.
procedure DoEraseSections(); override; | Erases a section from the underlying storage container.
property FileName: string; [rw] | Name of the file where the property data is saved in XML format.
property RootNodePath: string; [rw] | Name of the root object path on your XML file.
end;

Inheritance

TCustomXMLPropStorage | Implements the base class for the XML Form's Session Properties Storage.
|
TFormPropertyStorage | TFormPropertyStorage - class for storage of a Form's properties
|
TControlPropertyStorage |
|
TCustomPropertyStorage | Provides abstract means to Save/Restore properties.
|
TComponent,IUnknown,IInterfaceComponentReference
|
TPersistent,IFPObserved
|
TObject


TPropStorageXMLConfig

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Wrapper class around XMLConf.TXMLConfig.

Declaration

Source position: xmlpropstorage.pas line 28

type TPropStorageXMLConfig = class(TXMLConfig)
public
procedure DeleteSubNodes(); | Deletes sub nodes on a path.
procedure LoadFromStream(); virtual; | Loads XML content from a stream.
procedure SaveToStream(); virtual; | Saves XML content to a stream.
property XMLDoc: TXMLDocument; [r] | Contains the XML document.
end;

Inheritance

TPropStorageXMLConfig

Wrapper class around XMLConf.TXMLConfig.
|

TXMLConfig
?

TObject


TXMLConfigStorage

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

This class is present on the source but seems not be used.

Declaration

Source position: xmlpropstorage.pas line 76

type TXMLConfigStorage = class(TConfigStorage)

protected

  function GetFullPathValue();

  procedure SetFullPathValue();

  procedure SetDeleteFullPathValue();

  procedure DeleteFullPath(); override;

  procedure DeleteFullPathValue(); override;

public

  procedure Clear; override;

  constructor Create();

  destructor Destroy; override;

  property XMLConfig: TXMLConfig; [r]

  property FreeXMLConfig: Boolean; [rw]

  procedure WriteToDisk; override;

  function GetFilename; override;

  procedure SaveToStream(); virtual;

end;

Inheritance

TXMLConfigStorage

This class is present on the source but seems not be used.
|

TConfigStorage
|

TObject


TXMLPropStorage

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Implements the final class for the XML Form Session Properties storage.

Declaration

Source position: xmlpropstorage.pas line 62

type TXMLPropStorage = class(TCustomXMLPropStorage)
published
property StoredValues: TStoredValues; |
property FileName: string; | Name of the file where the property data is saved in XML format.
property RootNodePath: string; | Name of the root object path on your XML file.
property Active: Boolean; | This determines if the object is active or not.
property OnSavingProperties: TNotifyEvent; | Handler called at the beginning of Save.
property OnSaveProperties: TNotifyEvent; | Handler called at the end of Save.
property OnRestoringProperties: TNotifyEvent; | Handler called at the beginning of Restore.
property OnRestoreProperties: TNotifyEvent; | Handler called at the end of Restore.
end;

Inheritance

TXMLPropStorage | Implements the final class for the XML Form Session Properties storage.
|
TCustomXMLPropStorage | Implements the base class for the XML Form's Session Properties Storage.
|
TFormPropertyStorage | TFormPropertyStorage - class for storage of a Form's properties
|
TControlPropertyStorage |
|
TCustomPropertyStorage | Provides abstract means to Save/Restore properties.
|
TComponent,IUnknown,IInterfaceComponentReference
|
TPersistent,IFPObserved
|
TObject

See also

TForm.SessionProperties
TINIPropStorage | Implements the final class for the INI Form Session Properties storage.
TJSONPropStorage | Implements the final class for the JSON Form Session Properties storage.


CreateAction

Declaration

Source position: actnlist.pas line 288

function CreateAction(

  TheOwner: TComponent;

  ActionClass: TBasicActionClass

):TBasicAction;


CreateActionProc

Declaration

Source position: actnlist.pas line 299

const CreateActionProc: function( = Nil;

  TheOwner: TComponent;

  ActionClass: TBasicActionClass

):TBasicAction


EnumRegisteredActions

Declaration

Source position: actnlist.pas line 287

procedure EnumRegisteredActions(

  Proc: TEnumActionProc;

  Info: Pointer

);


EnumRegisteredActionsProc

Declaration

Source position: actnlist.pas line 297

const EnumRegisteredActionsProc: procedure( = Nil;

  Proc: TEnumActionProc;

  Info: Pointer

)


Register

Declaration

Source position: actnlist.pas line 306

procedure Register;


RegisterActions

Declaration

Source position: actnlist.pas line 284

procedure RegisterActions(

  const CategoryName: string;

  const AClasses: array of TBasicActionClass;

  Resource: TComponentClass

);


RegisterActionsProc

Declaration

Source position: actnlist.pas line 292

const RegisterActionsProc: procedure( = Nil;

  const CategoryName: string;

  const AClasses: array of TBasicActionClass;

  Resource: TComponentClass

)


UnRegisterActions

Declaration

Source position: actnlist.pas line 286

procedure UnRegisterActions(

  const AClasses: array of TBasicActionClass

);


UnRegisterActionsProc

Declaration

Source position: actnlist.pas line 295

const UnRegisterActionsProc: procedure( = Nil;

  const AClasses: array of TBasicActionClass

)


Register

Declaration

Source position: arrow.pp line 94

procedure Register;


Register

Declaration

Source position: asyncprocess.pp line 56

procedure Register;


Register

Declaration

Source position: buttonpanel.pas line 159

procedure Register;


BidiAdjustButtonLayout

Declaration

Source position: buttons.pp line 488

function BidiAdjustButtonLayout(

  IsRightToLeft: Boolean;

  Layout: TButtonLayout

):TButtonLayout;


dbgs

Declaration

Source position: buttons.pp line 490

function dbgs(

  Kind: TBitBtnKind

):string; overload;


GetButtonCaption

Declaration

Source position: buttons.pp line 485

function GetButtonCaption(

  idButton: Integer

):string;


GetButtonIcon

Declaration

Source position: buttons.pp line 487

function GetButtonIcon(

  idButton: Integer

):TCustomBitmap;


GetDefaultButtonIcon

Declaration

Source position: buttons.pp line 486

function GetDefaultButtonIcon(

  idButton: Integer;

  ScalePercent: Integer = 100

):TCustomBitmap;


GetLCLDefaultBtnGlyph

GetLCLDefaultBtnGlyph - generic method to return the LCL default button glyph of the specified Kind

Declaration

Source position: buttons.pp line 479

function GetLCLDefaultBtnGlyph(

  Kind: TBitBtnKind

):TGraphic;


LoadGlyphFromLazarusResource

LoadGlyphFromLazarusResource - generic method to load a button glyph with specified name from a Lazarus Resource file (.lrs)

Declaration

Source position: buttons.pp line 481

procedure LoadGlyphFromLazarusResource(

  AGlyph: TButtonGlyph;

  const AName: string

);


LoadGlyphFromResourceName

Declaration

Source position: buttons.pp line 480

procedure LoadGlyphFromResourceName(

  AGlyph: TButtonGlyph;

  Instance: THandle;

  const AName: string

);


LoadGlyphFromStock

Declaration

Source position: buttons.pp line 482

procedure LoadGlyphFromStock(

  AGlyph: TButtonGlyph;

  idButton: Integer

);


Register

Declaration

Source position: buttons.pp line 492

procedure Register;


Register

Declaration

Source position: calendar.pp line 160

procedure Register;


Register

Declaration

Source position: checklst.pas line 152

procedure Register;


CF_Bitmap

Declaration

Source position: clipbrd.pp line 137

function CF_Bitmap: TClipboardFormat;


CF_Component

Declaration

Source position: clipbrd.pp line 141

function CF_Component: TClipboardFormat;


CF_HTML

Declaration

Source position: clipbrd.pp line 142

function CF_HTML: TClipboardFormat;


CF_MetaFilePict

Declaration

Source position: clipbrd.pp line 139

function CF_MetaFilePict: TClipboardFormat;


CF_Object

Declaration

Source position: clipbrd.pp line 140

function CF_Object: TClipboardFormat;


CF_Picture

Declaration

Source position: clipbrd.pp line 138

function CF_Picture: TClipboardFormat;


CF_Text

Declaration

Source position: clipbrd.pp line 136

function CF_Text: TClipboardFormat;


Clipboard

Clipboard the function called to access the clipboard with an optional type specifier

Declaration

Source position: clipbrd.pp line 236

function Clipboard: TClipboard;

function Clipboard(

  ClipboardType: TClipboardType

):TClipboard;

Function result

Returns a variable of type TClipboard

Arguments

ClipboardType

ClipboardType - optional argument to specify type of clipboard

Description

The Clipboard is available on most platforms and normally used by Copy/Paste.


FreeAllClipboards

FreeAllClipboards - frees all existing clipboards, releasing their resources

Declaration

Source position: clipbrd.pp line 243

procedure FreeAllClipboards;


PrimarySelection

PrimarySelection - the first selection if multiple clipboards exist

Declaration

Source position: clipbrd.pp line 238

function PrimarySelection: TClipboard;

Function result

Returns a variable of type TClipboard

Description

The PrimarySelection is available on platforms like X. Normally when the user selects some text with the mouse the primary selection is set and when the user clicks the middle mouse button the text is copied to the mouse position. On platforms without multiple clipboards, the PrimarySelection still works in the LCL application, but does not communicate with other applications.


RegisterClipboardFormat

RegisterClipboardFormat add the supplied format name to the register of clipboard formats

Declaration

Source position: clipbrd.pp line 245

function RegisterClipboardFormat(

  const Format: string

):TClipboardFormat;

Arguments

Format

The name of the required format as a string

Function result

Returns the registered clipoard format


SecondarySelection

SecondarySelection - the second selection if multiple clipboards exist

Declaration

Source position: clipbrd.pp line 239

function SecondarySelection: TClipboard;

Function result

Returns a variable of type TClipboard

Description

The SecondarySelection is available on platforms like X. See PrimarySelection for more details. There is no standard how to use the secondary selection, so it is free to use. X supports a dozen more selections, but they are not supported by the LCL.


SetClipboard

SetClipboard - sets up and returns a NewClipboard, with an optional type specifier

Declaration

Source position: clipbrd.pp line 237

function SetClipboard(

  NewClipboard: TClipboard

):TClipboard;

function SetClipboard(

  ClipboardType: TClipboardType;

  NewClipboard: TClipboard

):TClipboard;

Arguments

NewClipboard

NewClipboard - the new clipboard to be set up

Function result

Returns a variable of type TClipboard

Arguments

ClipboardType | ClipboardType - optional argument to specify type of clipboard
NewClipboard | NewClipboard - the new clipboard to be set up


Register

Register procedure for colorbox

Declaration

Source position: colorbox.pas line 279

procedure Register;

Description

This procedure registers the component to the Addtional menu


Register

Declaration

Source position: comboex.pas line 399

procedure Register;


CompareExpandedNodes

Function to compare the node text of two nodes.

Declaration

Source position: comctrls.pp line 4055

function CompareExpandedNodes(

  Data1: Pointer;

  Data2: Pointer

):Integer;

Description

This function does an ANSICompare on the NodeText of two nodes. The parameters Data1 and Data2 are pointers to the nodes to be compared. The result is the same is the result from ANSICompareText.

-1: The nodetext from the first node is lower then the nodetext from the second.

0: The nodetext-s from both nodes are equal.

1: The nodetext from the first node is higher then the nodetext from the second.


CompareTextWithExpandedNode

Function to compare the given text with the nodetextof the specified node.

Declaration

Source position: comctrls.pp line 4056

function CompareTextWithExpandedNode(

  Key: Pointer;

  Data: Pointer

):Integer;

Description

This function does an ANSICompare on the NodeText of two nodes. The parameters Data1 and Data2 are pointers to the nodes to be compared. The result is the same is the result from ANSICompareText.

-1: The given text is lower then the nodetext from the given node.

0: The given text is equal to the nodetext from the given node.

1: The given text is higher then the nodetext from the given node.


DbgS

Declaration

Source position: comctrls.pp line 4057

function DbgS(

  Opt: TCTabControlOptions

):string; overload;


Register

Procedure used to register the components.

Declaration

Source position: comctrls.pp line 4059

procedure Register;


RegisterCustomPage

Declaration

Source position: comctrls.pp line 4063

procedure RegisterCustomPage;


RegisterCustomTabControl

Declaration

Source position: comctrls.pp line 4064

procedure RegisterCustomTabControl;


AdjustBorderSpace

Adjust space round border of this control

Declaration

Source position: controls.pp line 2756

procedure AdjustBorderSpace(

  var RemainingClientRect: TRect;

  var CurBorderSpace: TRect;

  Left: Integer;

  Top: Integer;

  Right: Integer;

  Bottom: Integer

);

procedure AdjustBorderSpace(

  var RemainingClientRect: TRect;

  var CurBorderSpace: TRect;

  const Space: TRect

);

Description

RemainingClientRect: remaining clientrect without CurBorderSpace

CurBorderSpace: current borderspace around RemainingClientRect

Left, Top, Right, Bottom: apply these borderspaces to CurBorderSpace

CurBorderSpace will be set to the maximum of CurBorderSpace and Left, Top, Right, Bottom.

RemainingClientRect will shrink.

RemainingClientRect will not shrink to negative size.


assign(Variant):TCaption

Declaration

Source position: controls.pp line 2777

operator operator :=(

  AVariant: Variant

):TCaption;


BidiFlipAlignment

Declaration

Source position: controls.pp line 2763

function BidiFlipAlignment(

  Alignment: TAlignment;

  Flip: Boolean = True

):TAlignment;


BidiFlipAnchors

Declaration

Source position: controls.pp line 2764

function BidiFlipAnchors(

  Control: TControl;

  Flip: Boolean

):TAnchors;


BidiFlipRect

Declaration

Source position: controls.pp line 2765

function BidiFlipRect(

  const Rect: TRect;

  const ParentRect: TRect;

  const Flip: Boolean

):TRect;


CancelDrag

Declaration

Source position: controls.pp line 2732

procedure CancelDrag;


ChangeBiDiModeAlignment

Declaration

Source position: controls.pp line 2766

procedure ChangeBiDiModeAlignment(

  var Alignment: TAlignment

);


CheckMouseButtonDownUp

Declaration

Source position: controls.pp line 2749

function CheckMouseButtonDownUp(

  const AWinHandle: THandle;

  const AWinControl: TWinControl;

  var LastMouse: TLastMouseInfo;

  const AMousePos: TPoint;

  const AButton: Byte;

  const AMouseDown: Boolean

):Cardinal;


CheckTransparentWindow

Declaration

Source position: controls.pp line 2748

procedure CheckTransparentWindow(

  var Handle: THandle;

  var AWinControl: TWinControl

);


CompareDataObjectWithLazAccessibleObject

Declaration

Source position: controls.pp line 2780

function CompareDataObjectWithLazAccessibleObject(

  o: Pointer;

  ao: Pointer

):Integer;


CompareLazAccessibleObjectsByDataObject

Declaration

Source position: controls.pp line 2779

function CompareLazAccessibleObjectsByDataObject(

  o1: Pointer;

  o2: Pointer

):Integer;


CursorToIdent

Uses look-up table to find cursor identifier corresponding to integer cursor constant

Declaration

Source position: controls.pp line 2745

function CursorToIdent(

  Cursor: LongInt;

  var Ident: string

):Boolean;

Function result

Returns true if a valid entry is found in the look-up table


CursorToString

Returns a string for the name of the cursor as identified by an integer constant

Declaration

Source position: controls.pp line 2742

function CursorToString(

  Cursor: TCursor

):string;

Function result

Returns a string with the name of the cursor type corresponding to the integer constant

Description

Calls CursorToIdent to find correct entry in look-up table

See also

#lcl.Controls.CursorToIdent

Uses look-up table to find cursor identifier corresponding to integer cursor constant


DbgS

Converts items of several data types into strings, for debug output.

Declaration

Source position: controls.pp line 2768

function DbgS(

  a: TAnchorKind

):string; overload;

function DbgS(

  Anchors: TAnchors

):string; overload;

function DbgS(

  a: TAlign

):string; overload;

function DbgS(

  a: TAnchorKind;

  Side: TAnchorSideReference

):string; overload;

function DbgS(

  p: TControlAutoSizePhase

):string; overload;

function DbgS(

  Phases: TControlAutoSizePhases

):string; overload;

function DbgS(

  cst: TControlStyleType

):string; overload;

function DbgS(

  cs: TControlStyle

):string; overload;

Function result

The string representing the given parameter(s).

Arguments

Phases

All elements in this set will be shown as a comma-separated list.

Errors

[The parameters should have unique names, for every type]


FindControl

Return the TWinControl of the given Handle.

Declaration

Source position: controls.pp line 2717

function FindControl(

  Handle: HWND

):TWinControl;

Description

The result is very interface specific. Use FindOwnerControl when Handle may be a non-TWinControl handle.

See also

FindOwnerControl

Returns the TWinControl for the given Handle; the parent control for a non-TWinControl Handle.


FindControlAtPosition

Get control at screen position.

Declaration

Source position: controls.pp line 2715

function FindControlAtPosition(

  const Position: TPoint;

  AllowDisabled: Boolean

):TControl;

Arguments

Position | The screen position.
AllowDisabled | Also find disabled controls, if True.

Function result

The control at Position; Nil if none.

Description

When AllowDisabled is True, also a disabled control will be found. In the current implementation AllowDisabled is ignored (assumed to be True). First a window at the given screen position is searched, then a control within it.


FindDragTarget

Get control at screen position.

Declaration

Source position: controls.pp line 2714

function FindDragTarget(

  const Position: TPoint;

  AllowDisabled: Boolean

):TControl;

Arguments

Position | The screen position.
AllowDisabled | Also find disabled controls, if True.

Function result

The control at Position; Nil if none.

Description

Disabled controls should be excluded, but are not due to an bug in FindControlAtPosition.


FindLCLControl

Returns the TControl that currently is visible at a screen position.

Declaration

Source position: controls.pp line 2719

function FindLCLControl(

  const ScreenPos: TPoint

):TControl;

Description

The result is not reliable during resizing.


FindLCLWindow

Find the window and its owning control at the given screen coordinates.

Declaration

Source position: controls.pp line 2716

function FindLCLWindow(

  const ScreenPos: TPoint;

  AllowDisabled: Boolean = True

):TWinControl;

Function result

The control at the ScreenPos; Nil if none was found.


FindOwnerControl

Returns the TWinControl for the given Handle; the parent control for a non-TWinControl Handle.

Declaration

Source position: controls.pp line 2718

function FindOwnerControl(

  Handle: HWND

):TWinControl;

Description

Handle can also be a child handle (of a TControl), in which case the returned control is the parent of the desired control. Parent, not Owner as suggested by the function name!

[Remark] The function recursively tries GetParent(Handle), so the result depends on the implementation (meaning) of a parent handle.


GetCaptureControl

Returns the current capturing TControl.

Declaration

Source position: controls.pp line 2735

function GetCaptureControl: TControl;

Description

Note: For the interface only a Handle = TWinControl can capture. The LCL extends this to allow TControl capture the mouse.


GetCursorValues

Declaration

Source position: controls.pp line 2744

procedure GetCursorValues(

  Proc: TGetStrProc

);


GetKeyShiftState

Declaration

Source position: controls.pp line 2754

function GetKeyShiftState: TShiftState;


GetModalResultStr

[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] Reference for unit 'Controls' (#lcl)

GetModalResultStr (deprecated)

Declaration

Source position: controls.pp line 66

function GetModalResultStr(

  ModalResult: TModalResult

):ShortString;


IdentToCursor

Searches the Cursor name table for the given cursor name; returns True if found.

Declaration

Source position: controls.pp line 2746

function IdentToCursor(

  const Ident: string;

  var Cursor: LongInt

):Boolean;

Arguments

Ident | The name of the cursor for which the numeric value is sought.
Cursor | The numeric value of the named cursor.

Function result

Returns True if a valid entry was found in the look-up table.

Description

If found, the cursor value (handle) is returned in Cursor.


IsColorDefault

Declaration

Source position: controls.pp line 2761

function IsColorDefault(

  AControl: TControl

):Boolean;


MoveWindowOrg

Declaration

Source position: controls.pp line 2722

procedure MoveWindowOrg(

  dc: HDC;

  X: Integer;

  Y: Integer

);


RecreateWnd

Create the widget for a TWinControl

Declaration

Source position: controls.pp line 2725

procedure RecreateWnd(

  const AWinControl: TWinControl

);

Description

This function was originally member of TWincontrol.

From a VCL point of view that made perfectly sense since the VCL knows when a win32 widget has to be recreated when properties have changed.

The LCL however doesn't know, the widgetset does. To avoid old VCL behaviour and to provide a central function to the widgetset, it is moved here.


Register

Register the components provided by this unit or package, so that they can be instantiated.

Declaration

Source position: controls.pp line 2783

procedure Register;

Description

Also can be used to register the controls required by an application.

See also

#rtl.classes.registercomponents


SendAppMessage

Declaration

Source position: controls.pp line 2721

function SendAppMessage(

  Msg: Cardinal;

  WParam: WPARAM;

  LParam: LPARAM

):LongInt;


SetCaptureControl

Set the mouse capture to AWinControl or its child at the given coordinates

Declaration

Source position: controls.pp line 2733

procedure SetCaptureControl(

  AWinControl: TWinControl;

  const Position: TPoint

);

procedure SetCaptureControl(

  Control: TControl

);


StringToCursor

StringToCursor - returns the cursor value corresponding to the name supplied

Declaration

Source position: controls.pp line 2743

function StringToCursor(

  const S: string

):TCursor;

Arguments

S

The name of the cursor for which the numeric value is sought

Function result

The numeric cursor value from the look-up table

Description

StringToCursor - returns the cursor value corresponding to the name supplied

Finds the numeric cursor value corresponding to the name S in the cursor look-up table


GetDefaultDrawer

Declaration

Source position: customdrawndrawers.pas line 437

function GetDefaultDrawer: TCDDrawer;


GetDrawer

Declaration

Source position: customdrawndrawers.pas line 438

function GetDrawer(

  AStyle: TCDDrawStyle

):TCDDrawer;


RegisterDrawer

Declaration

Source position: customdrawndrawers.pas line 436

procedure RegisterDrawer(

  ADrawer: TCDDrawer;

  AStyle: TCDDrawStyle

);


Register

Declaration

Source position: dbactns.pp line 129

procedure Register;


ChangeDataSource

Declaration

Source position: dbctrls.pp line 1479

procedure ChangeDataSource(

  AControl: TControl;

  Link: TDataLink;

  NewDataSource: TDataSource

);


Register

Declaration

Source position: dbctrls.pp line 1482

procedure Register;


Register

Declaration

Source position: dbextctrls.pp line 68

procedure Register;


Register

Declaration

Source position: dbgrids.pas line 677

procedure Register;


CreateMessageDialog

Declaration

Source position: dialogs.pp line 706

function CreateMessageDialog(

  const aMsg: string;

  DlgType: TMsgDlgType;

  Buttons: TMsgDlgButtons

):TForm; overload;

function CreateMessageDialog(

  const aCaption: string;

  const aMsg: string;

  DlgType: TMsgDlgType;

  Buttons: TMsgDlgButtons

):TForm; overload;


dbgs

Declaration

Source position: dialogs.pp line 780

function dbgs(

  Option: TOpenOption

):string; overload;

function dbgs(

  Options: TOpenOptions

):string; overload;


DefaultInputDialog

Declaration

Source position: dialogs.pp line 765

function DefaultInputDialog(

  const InputCaption: string;

  const InputPrompt: string;

  MaskInput: Boolean;

  var Value: string

):Boolean;


DefaultMessageBox

Declaration

Source position: dialogs.pp line 727

function DefaultMessageBox(

  Text: PChar;

  Caption: PChar;

  Flags: LongInt

):Integer;


DefaultPromptDialog

Declaration

Source position: dialogs.pp line 710

function DefaultPromptDialog(

  const DialogCaption: string;

  const DialogMessage: string;

  DialogType: LongInt;

  Buttons: PLongint;

  ButtonCount: LongInt;

  DefaultIndex: LongInt;

  EscapeResult: LongInt;

  UseDefaultPos: Boolean;

  X: LongInt;

  Y: LongInt

):LongInt;


DefaultQuestionDialog

Declaration

Source position: dialogs.pp line 721

function DefaultQuestionDialog(

  const aCaption: string;

  const aMsg: string;

  DlgType: LongInt;

  Buttons: TDialogButtons;

  HelpCtx: LongInt

):LongInt;


DialogCopyToClipboard

Declaration

Source position: dialogs.pp line 741

procedure DialogCopyToClipboard(

  Self: TObject;

  Sender: TObject;

  var Key: Word;

  Shift: TShiftState

);


ExtractColorIndexAndColor

Declaration

Source position: dialogs.pp line 773

function ExtractColorIndexAndColor(

  const AColorList: TStrings;

  const AIndex: Integer;

  out ColorIndex: Integer;

  out ColorValue: TColor

):Boolean;


GetDialogCaption

Declaration

Source position: dialogs.pp line 777

function GetDialogCaption(

  idDiag: Integer

):string;


GetDialogIcon

Declaration

Source position: dialogs.pp line 778

function GetDialogIcon(

  idDiag: Integer

):TCustomBitmap;


InputBox

Displays a box with defined title and prompt, and expects user input in a text box

Declaration

Source position: dialogs.pp line 729

function InputBox(

  const ACaption: string;

  const APrompt: string;

  const ADefault: string

):string;

Arguments

ACaption | The caption for the dialogbox
APrompt | The text asking the user for his input
ADefault | Default value for dialog box

Function result

The result of this function is the string the user entered in the editbox or the default string .

Description

Displays a box with defined title and prompt, and expects user input in a text box . A default string can optionally be displayed in the text box. The user-entered or default string is returned as the function result.

If the user selects the OK button, the text in the text box is returned. If the user selects the Cancel button, the default string is returned.

See also

ShowMessage

Show Message

Example

uses
  Forms, LCLType, Dialogs, Controls;

procedure TryInputBox;
var
  userstring: string;
begin
  userstring := InputBox ('Get some text input',
                          'Please type in some information',
                          'Some sample text');
  ShowMessage(userstring);
end;


InputCombo

Declaration

Source position: dialogs.pp line 768

function InputCombo(

  const ACaption: string;

  const APrompt: string;

  const AList: TStrings

):Integer;

function InputCombo(

  const ACaption: string;

  const APrompt: string;

  const AList: array of string

):Integer;


InputComboEx

Declaration

Source position: dialogs.pp line 770

function InputComboEx(

  const ACaption: string;

  const APrompt: string;

  const AList: TStrings;

  AllowCustomText: Boolean = False

):string;

function InputComboEx(

  const ACaption: string;

  const APrompt: string;

  const AList: array of string;

  AllowCustomText: Boolean = False

):string;


InputQuery

Use InputQuery to show a dialog box to get some input from the user

Declaration

Source position: dialogs.pp line 761

function InputQuery(

  const ACaption: string;

  const APrompt: string;

  MaskInput: Boolean;

  var Value: string

):Boolean;

function InputQuery(

  const ACaption: string;

  const APrompt: string;

  var Value: string

):Boolean;

function InputQuery(

  const ACaption: string;

  const APrompts: array of string;

  var AValues: array of string;

  ACloseEvent: TInputCloseQueryEvent = Nil

):Boolean;

Arguments

ACaption | The caption for the dialogbox
APrompt | The text asking the user for his input.
MaskInput | Determines if the dialog shows *s or the actual input.
Value | The value the user entered.

Function result

Result is True if the user pressed OK or hit RETURN in the dialog box. If the user pressed Cancel or the dialog was closed without pressing a button the result will be false.

Arguments

ACaption | The caption for the dialogbox
APrompt | The text asking the user for his input.
Value | The value the user entered.

Arguments

ACaption

The caption for the dialogbox

Description

Two versions of this function which displays a prompt and expects user input of textual data;

The first includes a MaskInput boolean argument
which determines whether the user input is masked out by asterisks in the text-input box
(like during entry of a password),
the second omits this property.

The text entered by the user is returned in the variable argument 'Value'. The function result is a boolean which returns TRUE if the OK button was pressed, or FALSE if the box was closed by any other mechanism (such as clicking the 'Close' icon on the top title bar).

Omitting the MaskInput argument is equivalent to setting it FALSE.

See also

InputBox | Displays a box with defined title and prompt, and expects user input in a text box
PasswordBox | Password Box

Example

 Uses forms, lcltype, dialogs, controls;

 procedure TryInputQuery;
 var QueryResult: boolean;
   userstring: string;
 begin
   if InputQuery ('Question', 'Type in some data', TRUE, userstring)
   then ShowMessage (userstring)
   else
   begin
     InputQuery ('Don''t be silly', 'Please try again', userstring);
     ShowMessage (userstring)
   end
 end;


MessageDlg

Message Dialog

Declaration

Source position: dialogs.pp line 691

function MessageDlg(

  const aMsg: string;

  DlgType: TMsgDlgType;

  Buttons: TMsgDlgButtons;

  HelpCtx: LongInt

):TModalResult; overload;

function MessageDlg(

  const aCaption: string;

  const aMsg: string;

  DlgType: TMsgDlgType;

  Buttons: TMsgDlgButtons;

  HelpCtx: LongInt

):TModalResult; overload;

function MessageDlg(

  const aCaption: string;

  const aMsg: string;

  DlgType: TMsgDlgType;

  Buttons: TMsgDlgButtons;

  HelpCtx: LongInt;

  DefaultButton: TMsgDlgBtn

):TModalResult; overload;

function MessageDlg(

  const aMsg: string;

  DlgType: TMsgDlgType;

  Buttons: TMsgDlgButtons;

  HelpCtx: LongInt;

  DefaultButton: TMsgDlgBtn

):TModalResult; overload;

function MessageDlg(

  const aCaption: string;

  const aMsg: string;

  DlgType: TMsgDlgType;

  Buttons: TMsgDlgButtons;

  const HelpKeyword: string

):TModalResult; overload;

Arguments

aMsg | The message to be shown.
DlgType | The type of dialog to be shown
Buttons | Determines the buttons shown on the messagedialog
HelpCtx | HelpCtx is used to specify which topic from the help should be shown.

Function result

The result of this function is the button the user pressed to close the dialog.
This is expresed as an integer.
If the user clicks the [X]-bordericon, the return value will be mrCancel.
If the user presses the escape key, the result depends on the widgetset:
- if the widgetset has implemented a native dialog, the result will be mrCancel.
- otherwise the result will be mrCancel, mrNo or mrOk (in that order) if mbCancel, mbNo or mbOk is present (the dialog will not close (when the Escape key is pressed) if none of these buttons are present).

Arguments

aCaption | Used to set the caption of the messagedialog.
aMsg | The message to be shown.
DlgType | The type of dialog to be shown
Buttons | Determines the buttons shown on the messagedialog
HelpCtx | HelpCtx is used to specify which topic from the help should be shown.

Arguments

aCaption | Used to set the caption of the messagedialog.
aMsg | The message to be shown.
DlgType | The type of dialog to be shown
Buttons | Determines the buttons shown on the messagedialog
HelpCtx | HelpCtx is used to specify which topic from the help should be shown.

Arguments

aMsg | The message to be shown.
DlgType | The type of dialog to be shown
Buttons | Determines the buttons shown on the messagedialog
HelpCtx | HelpCtx is used to specify which topic from the help should be shown.

Arguments

aCaption | Used to set the caption of the messagedialog.
aMsg | The message to be shown.
DlgType | The type of dialog to be shown
Buttons | Determines the buttons shown on the messagedialog

Description

Show a message to the user and receive his response.
There are four versions of this function.
The first version displays a dialog with the standard caption,
the second, third and fourth versions enable you to set the caption.

The third version allows for a Default button;
the fourth version contains a help keyword instead of using context-based help.

If the first 'Caption' argument is missing, no caption is shown on the box.

This is the most complete and elaborate of the message dialogs,
and allows the programmer considerable control over the appearance of the dialog box.

The arguments defining the kind of box and its icon are types rather than integer constants,
and the buttons can be specified as a set in square brackets
eg [mbRetry, mbIgnore, mbAbort, mbCancel].

The HelpCtx argument allows the use of Context Help

The return value from the Function is the identity of the button pressed,
expressed as an integer (see the constant definitions in TControl , [mrNone..mrAll]).
If the user clicks the [X]-bordericon, the return value will be mrCancel.
If the user presses the escape key, the result depends on the widgetset:
- if the widgetset has implemented a native dialog, the result will be mrCancel.
- otherwise the result will be mrCancel, mrNo or mrOk (in that order) if mbCancel, mbNo or mbOk is present (the dialog will not close (when the Escape key is pressed) if none of these buttons are present).

Example

 Uses forms, dialogs, lcltype, controls;

 procedure TryMessageDlg;
 begin
   if MessageDlg ('Question', 'Do you wish to Execute?', mtConfirmation,
                  [mbYes, mbNo, mbIgnore],0) = mrYes
   then { Execute rest of Program };
  end;


MessageDlgPos

An extended MessageDlg function.

Declaration

Source position: dialogs.pp line 701

function MessageDlgPos(

  const aMsg: string;

  DlgType: TMsgDlgType;

  Buttons: TMsgDlgButtons;

  HelpCtx: LongInt;

  X: Integer;

  Y: Integer

):TModalResult; overload;

Arguments

aMsg | The message to be shown.
DlgType | The type of dialog to be shown
Buttons | Determines the buttons shown on the messagedialog
HelpCtx | HelpCtx is used to specify which topic from the help should be shown.
X | X specifies the position of the left side of the dialog
Y | Y specifies the position of the top side of the dialog

Function result

The result of this function is the button the user pressed to close the dialog.
This is expresed as an integer.
If the user clicks the [X]-bordericon, the return value will be mrCancel.
If the user presses the escape key, the result depends on the widgetset:
- if the widgetset has implemented a native dialog, the result will be mrCancel.
- otherwise the result will be mrCancel, mrNo or mrOk (in that order) if mbCancel, mbNo or mbOk is present (the dialog will not close (when the Escape key is pressed) if none of these buttons are present).

Description

This function performs the same function as the MessageDlg function.
It has been extended with parameters to place the dialog on a certain postion on the screen instead of in the centre of the screen.
The MessageDlgPos function does not enable you to choose the caption of the dialog.


MessageDlgPosHelp

An extended MessageDlgPos function.

Declaration

Source position: dialogs.pp line 703

function MessageDlgPosHelp(

  const aMsg: string;

  DlgType: TMsgDlgType;

  Buttons: TMsgDlgButtons;

  HelpCtx: LongInt;

  X: Integer;

  Y: Integer;

  const HelpFileName: string

):TModalResult; overload;

Arguments

aMsg | The message to be shown.
DlgType | The type of dialog to be shown
Buttons | Determines the buttons shown on the messagedialog
HelpCtx | HelpCtx is used to specify which topic from the help should be shown.
X | X specifies the position of the left side of the dialog
Y | Y specifies the position of the top side of the dialog
HelpFileName | The Helpfile that has to be shown when the user presses F1

Function result

The result of this function is the button the user pressed to close the dialog.
This is expresed as an integer.
If the user clicks the [X]-bordericon, the return value will be mrCancel.
If the user presses the escape key, the result depends on the widgetset:
- if the widgetset has implemented a native dialog, the result will be mrCancel.
- otherwise the result will be mrCancel, mrNo or mrOk (in that order) if mbCancel, mbNo or mbOk is present (the dialog will not close (when the Escape key is pressed) if none of these buttons are present).

Description

This function enables you to specify a Helpfile which has to be shown when the user presses F1.


PasswordBox

Password Box

Declaration

Source position: dialogs.pp line 730

function PasswordBox(

  const ACaption: string;

  const APrompt: string

):string;

Arguments

ACaption | The caption for the dialog
APrompt | A prompt to ask for the users input.

Function result

The string the user entered.

Description

PasswordBox: a specialised form of the InputQuery.
The editbox on the dialog box will mask the input.
The only parameters are aCaption and aPrompt.
Behaves very similarly to the InputQuery function with MaskInput = TRUE;
the difference is that the password that was typed in is returned as the result of the function (like InputBox).

See also

InputQuery | Use InputQuery to show a dialog box to get some input from the user
InputBox | Displays a box with defined title and prompt, and expects user input in a text box


QuestionDlg

Show a question to the user and get a response

Declaration

Source position: dialogs.pp line 717

function QuestionDlg(

  const aCaption: string;

  const aMsg: string;

  DlgType: TMsgDlgType;

  Buttons: array of Const;

  HelpCtx: LongInt

):TModalResult; overload;

function QuestionDlg(

  const aCaption: string;

  const aMsg: string;

  DlgType: TMsgDlgType;

  Buttons: array of Const;

  const HelpKeyword: string

):TModalResult; overload;

Arguments

aCaption | Used to set the caption of the question dialog.
aMsg | The question to be shown.
DlgType | The type of dialog to be shown in fact which icon will be shown.
Buttons | An array of return values and caption for the buttons on the question dialog.
HelpCtx | HelpCtx is used to specify which topic from the help should be shown.

Function result

The result of this function is the button the user pressed to close the dialog.

Arguments

aCaption | Used to set the caption of the question dialog.
aMsg | The question to be shown.
DlgType | The type of dialog to be shown in fact which icon will be shown.
Buttons | An array of return values and caption for the buttons on the question dialog.

Description

QuestionDlg has the same functionality as MessageDlg except for the parameter Buttons which is of a different type.
You can define your own captions and return values of this function.

Buttons is a list of TModalResult (defined as constants [mrNone..MrYesToAll] in Controls) and strings.
For each TModalResult a button is created.
To set a custom caption, add a string after a button. You can use the special string parameters 'isdefault' and 'iscancel' to setup the default and cancel buttons.

The default TModalResults defined in controls.pp (mrNone..mrLast) don't need a caption. The default captions will be used.

You can mark one default button using the 'IsDefault' option. When the user presses 'Return' this button is triggered.

Some widgetsets provide an Escape key and/or a close button. This results in mrCancel even if it is not in the given button list. Use the 'IsCancel' option to redirect it to a button of your choice. You can combine 'IsDefault' and 'IsCancel'.

case QuestionDlg('COPYING',
                   'Abort?',
                   mtConfirmation,
                   [mrNo, '&No','IsDefault',
                   mrYes,'&Yes'],0)
of
   mrYes : ShowMessage('You clicked Yes');
   mrNo : ShowMessage('You clicked No');
else
  // mrCancel
  ShowMessage('You cancelled the dialog.');
end;

See also

MessageDlg | Message Dialog
InputQuery | Use InputQuery to show a dialog box to get some input from the user


Register

Register the components used in the current application, so that they can be recognised

Declaration

Source position: dialogs.pp line 783

procedure Register;

See also

#rtl.classes.registercomponents


RegisterDialogForCopyToClipboard

Declaration

Source position: dialogs.pp line 740

procedure RegisterDialogForCopyToClipboard(

  const ADlg: TCustomForm

);


SelectDirectory

A function that allows one to user to select a directory.

Declaration

Source position: dialogs.pp line 754

function SelectDirectory(

  const Caption: string;

  const InitialDirectory: string;

  out Directory: string

):Boolean;

function SelectDirectory(

  const Caption: string;

  const InitialDirectory: string;

  out Directory: string;

  ShowHidden: Boolean;

  HelpCtx: LongInt = 0

):Boolean;

function SelectDirectory(

  out Directory: string;

  Options: TSelectDirOpts;

  HelpCtx: LongInt

):Boolean;

Arguments

Caption | A constant which sets the caption of the shown dialog.
InitialDirectory | The directory the dialog should start in.
Directory | A variable which on exit contains the selected directory.

Function result

A boolean indicating if the user selected a directory and pressed OK.

Arguments

Caption | A constant which sets the caption of the shown dialog.
InitialDirectory | The directory the dialog should start in.
Directory | A variable which on exit contains the selected directory.
ShowHidden | A boolean constant indicating whether hidden folders should be shown too.

Arguments

Directory

A variable which on exit contains the selected directory.

Description

This function will show a dialog which allows the user to select the required directory when the directory structure is displayed as a tree.
Under Windows the caption from the resulting dialog cannot be set, but the label above the directory tree will have this value.
There are two version of this function, the second one having the ability to indicate whether hidden folders should be shown as well.


ShowMessage

Show Message

Declaration

Source position: dialogs.pp line 724

procedure ShowMessage(

  const aMsg: string

);

Arguments

aMsg

A string constant containing the message to be shown.

Description

Procedure ShowMessage (const Msg: string);
The simplest message dialog: takes a simple string as argument,
displays it in a stereotyped box,
and waits for a mouse-click or enter-key event
before returning to the calling routine or program.

This is a modal procedure call,
that is the box is displayed, receives focus,
and does not relinquish focus until the OK box is clicked or otherwise selected.

See also

forms.TApplication.MessageBox

Display an message dialog with several response buttons.

Example

 Program LazMessage;
 Uses Dialogs;
 begin
   ShowMessage ('This is a message from Lazarus')
 end.


ShowMessageFmt

Shows a message assembled from a format string and an array of arguments.

Declaration

Source position: dialogs.pp line 725

procedure ShowMessageFmt(

  const aMsg: string;

  Params: array of Const

);

Arguments

aMsg | The format string
Params | The parameters to be inserted in the message.

Description

This procedure is an extension to the ShowMessage procedure. The parameters it takes are the same as the Format function.

See also

ShowMessage

Show Message


ShowMessagePos

Shows a message box at a given screen position.

Declaration

Source position: dialogs.pp line 726

procedure ShowMessagePos(

  const aMsg: string;

  X: Integer;

  Y: Integer

);

Arguments

aMsg | A string constant which is the message to ne shown.
X | The horizontal position of the messagebox.
Y | The vertical position of the messagebox.

Description

Shows a message box at a given screen position.

See also

ShowMessage

Show Message


Register

Declaration

Source position: editbtn.pas line 895

procedure Register;


Frame3D

Declaration

Source position: extctrls.pp line 1676

procedure Frame3D(

  ACanvas: TCanvas;

  var ARect: TRect;

  TopColor: TColor;

  BottomColor: TColor;

  const FrameWidth: Integer

);


Register

Declaration

Source position: extctrls.pp line 1679

procedure Register;


Register

Declaration

Source position: extdlgs.pas line 225

procedure Register;


CalculatePentagonPoints

Declaration

Source position: extgraphics.pas line 80

procedure CalculatePentagonPoints(

  const PentagonRect: TRect;

  var P1: TPoint;

  var P2: TPoint;

  var P3: TPoint;

  var P4: TPoint;

  var P5: TPoint

);


InitPolygon

Declaration

Source position: extgraphics.pas line 77

procedure InitPolygon(

  Canvas: TCanvas;

  PaintRect: TRect;

  RadAngle: Extended;

  InitShapeProc: TInitShapeProc

);


LinesPointOfIntersection

Declaration

Source position: extgraphics.pas line 82

function LinesPointOfIntersection(

  const Line1a: TPoint;

  const Line1b: TPoint;

  const Line2a: TPoint;

  const line2b: TPoint

):TPoint;


Paint2HeadArrow

Declaration

Source position: extgraphics.pas line 30

procedure Paint2HeadArrow(

  Canvas: TCanvas;

  const PaintRect: TRect;

  RadAngle: Extended = 0.0

);


PaintBarbadosTrident

Declaration

Source position: extgraphics.pas line 32

procedure PaintBarbadosTrident(

  Canvas: TCanvas;

  const PaintRect: TRect;

  RadAngle: Extended = 0.0

);


PaintBigI

Declaration

Source position: extgraphics.pas line 34

procedure PaintBigI(

  Canvas: TCanvas;

  const PaintRect: TRect;

  RadAngle: Extended = 0.0

);


PaintBoldArrow

Declaration

Source position: extgraphics.pas line 36

procedure PaintBoldArrow(

  Canvas: TCanvas;

  const PaintRect: TRect;

  RadAngle: Extended = 0.0

);


PaintCanadianMaple

Declaration

Source position: extgraphics.pas line 38

procedure PaintCanadianMaple(

  Canvas: TCanvas;

  const PaintRect: TRect;

  RadAngle: Extended = 0.0

);


PaintChevronArrow

Declaration

Source position: extgraphics.pas line 40

procedure PaintChevronArrow(

  Canvas: TCanvas;

  const PaintRect: TRect;

  RadAngle: Extended = 0.0

);


PaintCross

Declaration

Source position: extgraphics.pas line 69

procedure PaintCross(

  Canvas: TCanvas;

  XLeft: Integer;

  YUp: Integer;

  XRight: Integer;

  YLow: Integer;

  CrossX1: Integer;

  CrossX2: Integer;

  CrossY1: Integer;

  CrossY2: Integer

);


PaintFivePointLineStar

Declaration

Source position: extgraphics.pas line 73

procedure PaintFivePointLineStar(

  Canvas: TCanvas;

  const PaintRect: TRect

);


PaintFivePointStar

Declaration

Source position: extgraphics.pas line 42

procedure PaintFivePointStar(

  Canvas: TCanvas;

  const PaintRect: TRect;

  RadAngle: Extended = 0.0

);


PaintHalfEllipse

Declaration

Source position: extgraphics.pas line 71

procedure PaintHalfEllipse(

  Canvas: TCanvas;

  const PaintRect: TRect;

  AHalfEllipseDirection: TShapeDirection

);


PaintHexagon

Declaration

Source position: extgraphics.pas line 44

procedure PaintHexagon(

  Canvas: TCanvas;

  const PaintRect: TRect;

  RadAngle: Extended = 0.0

);


PaintNotchedArrow

Declaration

Source position: extgraphics.pas line 46

procedure PaintNotchedArrow(

  Canvas: TCanvas;

  const PaintRect: TRect;

  RadAngle: Extended = 0.0

);


PaintOctogon

Declaration

Source position: extgraphics.pas line 48

procedure PaintOctogon(

  Canvas: TCanvas;

  const PaintRect: TRect;

  RadAngle: Extended = 0.0

);


PaintPentagon

Declaration

Source position: extgraphics.pas line 50

procedure PaintPentagon(

  Canvas: TCanvas;

  const PaintRect: TRect;

  RadAngle: Extended = 0.0

);


PaintPlus

Declaration

Source position: extgraphics.pas line 52

procedure PaintPlus(

  Canvas: TCanvas;

  const PaintRect: TRect;

  RadAngle: Extended = 0.0

);


PaintQuadrangle

Declaration

Source position: extgraphics.pas line 54

procedure PaintQuadrangle(

  Canvas: TCanvas;

  const PaintRect: TRect;

  RadAngle: Extended = 0.0

);


PaintRightTriangle

Declaration

Source position: extgraphics.pas line 56

procedure PaintRightTriangle(

  Canvas: TCanvas;

  const PaintRect: TRect;

  RadAngle: Extended = 0.0

);


PaintStarN

Declaration

Source position: extgraphics.pas line 74

procedure PaintStarN(

  Canvas: TCanvas;

  cx: Integer;

  cy: Integer;

  r: Integer;

  n: Integer;

  a: Integer

);


PaintTriangle

Declaration

Source position: extgraphics.pas line 58

procedure PaintTriangle(

  Canvas: TCanvas;

  const PaintRect: TRect;

  RadAngle: Extended = 0.0

);


PaintTriangular

Declaration

Source position: extgraphics.pas line 60

procedure PaintTriangular(

  Canvas: TCanvas;

  const PaintRect: TRect;

  RadAngle: Extended = 0.0;

  RightLeftFactor: extended = 0.5

);


PaintValve

Declaration

Source position: extgraphics.pas line 62

procedure PaintValve(

  Canvas: TCanvas;

  const PaintRect: TRect;

  RadAngle: Extended = 0.0

);


PaintVArrow

Declaration

Source position: extgraphics.pas line 64

procedure PaintVArrow(

  Canvas: TCanvas;

  const PaintRect: TRect;

  RadAngle: Extended = 0.0

);


MiniMizeName

Returns a shortened version of a file name, so that it fits on the given MaxWidth

Declaration

Source position: filectrl.pp line 225

function MiniMizeName(

  FileName: string;

  Canvas: TCanvas;

  MaxWidth: Integer

):string;

Description

This function will return a shortened version of FileName, so that it fits on the given MaxWidth. It uses the Font currently selected in the given Canvas.

For example: C:\Documents and Settings\User\Application Data\Microsoft\Word\custom.dic would become something like: C:\...\Word\custom.dic


Register

Declaration

Source position: filectrl.pp line 227

procedure Register;


CreateWidgetset

Creates the widgetset

Declaration

Source position: forms.pp line 1868

procedure CreateWidgetset(

  AWidgetsetClass: TWidgetSetClass

);


dbgs

Formats various typed values into readable text.

Declaration

Source position: forms.pp line 1811

function dbgs(

  const State: TWindowState

):string; overload;

function dbgs(

  const Action: TCloseAction

):string; overload;

function dbgs(

  const Kind: TScrollBarKind

):string; overload;

Function result

The formatted value.


FindRootDesigner

Declaration

Source position: forms.pp line 1835

function FindRootDesigner(

  APersistent: TPersistent

):TIDesigner;


FreeWidgetSet

Destroys almost all singletons

Declaration

Source position: forms.pp line 1869

procedure FreeWidgetSet;


GetDesignerForm

Declaration

Source position: forms.pp line 1830

function GetDesignerForm(

  Control: TControl

):TCustomForm;

function GetDesignerForm(

  APersistent: TPersistent

):TCustomForm;


GetFirstParentForm

Does a recursive search for the first Parent of type TCustomForm.

Declaration

Source position: forms.pp line 1831

function GetFirstParentForm(

  Control: TControl

):TCustomForm;


GetLongHint

Returns the long version of an Hint string.

Declaration

Source position: forms.pp line 1844

function GetLongHint(

  const Hint: string

):string;

See also

GetShortHint

Returns the short version of an Hint string.


GetParentDesignControl

Declaration

Source position: forms.pp line 1836

function GetParentDesignControl(

  Control: TControl

):TCustomDesignControl;


GetParentForm

The topmost Form containing Control.

Declaration

Source position: forms.pp line 1829

function GetParentForm(

  Control: TControl;

  TopForm: Boolean = True

):TCustomForm;


GetShortHint

Returns the short version of an Hint string.

Declaration

Source position: forms.pp line 1843

function GetShortHint(

  const Hint: string

):string;

Arguments

Hint

The string containing both an short and long Hint.

Function result

The short (or complete) Hint.

Description

A short Hint is separated from the long Hint by an '|'. When no such character is found, the whole Hint is returned.


GetTopFormSkipNonDocked

Declaration

Source position: forms.pp line 1832

function GetTopFormSkipNonDocked(

  Control: TControl

):TCustomForm;


IsAccel

Searches for the given virtual key, used as an accelerator.

Declaration

Source position: forms.pp line 1839

function IsAccel(

  VK: Word;

  const Str: string

):Boolean;

Arguments

VK | The virtual key (uppercase ASCII) to find.
Str | The string to scan.

Function result

True when the key is used as an accelerator.

Description

An accelerator consists of an ampersand followed by the accelerator key. Duplicate ampersands are ignored, they denote an literal (displayed) ampersand.


KeyboardStateToShiftState

Declaration

Source position: forms.pp line 1806

function KeyboardStateToShiftState: TShiftState;


KeyDataToShiftState

Converts modifier keys from the LParam of a keyboard message (WM_KEYUP for example) to a TShiftState

Declaration

Source position: forms.pp line 1805

function KeyDataToShiftState(

  KeyData: PtrInt

):TShiftState;

See also

#RTL.Classes.TShiftState
KeysToShiftState | Converts modifier keys from the LParam of a mouse message to a TShiftState.
ShiftStateToKeys | Converts a shift state into a key state value compatible with the key state of a Windows API LParam
#LCL.LCLType.MK_Shift | A key state constant to represent the shift key, equivalent to ssShift from TShiftState
#LCL.LCLType.MK_Control | A key state constant to represent the control key, equivalent to ssCtrl from TShiftState
#LCL.LCLType.MK_LButton | A key state constant to represent the left mouse button, equivalent to ssLeft from TShiftState
#LCL.LCLType.MK_RButton | A key state constant to represent the right mouse button, equivalent to ssRight from TShiftState
#LCL.LCLType.MK_MButton | A key state constant to represent the middle mouse button, equivalent to ssMiddle from TShiftState
#LCL.LCLType.MK_XBUTTON1 | A key state constant to represent the first extra mouse button, equivalent to ssExtra1 from TShiftState
#LCL.LCLType.MK_XBUTTON2 | A key state constant to represent the second extra mouse button, equivalent to ssExtra2 from TShiftState


KeysToShiftState

Converts modifier keys from the LParam of a mouse message to a TShiftState.

Declaration

Source position: forms.pp line 1804

function KeysToShiftState(

  Keys: PtrUInt

):TShiftState;

Arguments

Keys

The asynchronous keyboard state

See also

#RTL.Classes.TShiftState
ShiftStateToKeys | Converts a shift state into a key state value compatible with the key state of a Windows API LParam
KeyDataToShiftState | Converts modifier keys from the LParam of a keyboard message (WM_KEYUP for example) to a TShiftState
#LCL.LCLType.MK_Shift | A key state constant to represent the shift key, equivalent to ssShift from TShiftState
#LCL.LCLType.MK_Control | A key state constant to represent the control key, equivalent to ssCtrl from TShiftState
#LCL.LCLType.MK_LButton | A key state constant to represent the left mouse button, equivalent to ssLeft from TShiftState
#LCL.LCLType.MK_RButton | A key state constant to represent the right mouse button, equivalent to ssRight from TShiftState
#LCL.LCLType.MK_MButton | A key state constant to represent the middle mouse button, equivalent to ssMiddle from TShiftState
#LCL.LCLType.MK_XBUTTON1 | A key state constant to represent the first extra mouse button, equivalent to ssExtra1 from TShiftState
#LCL.LCLType.MK_XBUTTON2 | A key state constant to represent the second extra mouse button, equivalent to ssExtra2 from TShiftState


NeedParentDesignControl

Declaration

Source position: forms.pp line 1837

function NeedParentDesignControl(

  Control: TControl

):TCustomDesignControl;


NotifyApplicationUserInput

Invokes all application user input handlers.

Declaration

Source position: forms.pp line 1840

procedure NotifyApplicationUserInput(

  Target: TControl;

  Msg: Cardinal

);

Arguments

Msg

The message to process.


Register

Registers a few components, declared in this unit.

Declaration

Source position: forms.pp line 1871

procedure Register;


RestoreFocusState

Remembers the control in LastFocusedControl.

Declaration

Source position: forms.pp line 1819

procedure RestoreFocusState(

  FocusState: TFocusState

);

See also

SaveFocusState

Returns the remembered control


SaveFocusState

Returns the remembered control

Declaration

Source position: forms.pp line 1818

function SaveFocusState: TFocusState;

See also

RestoreFocusState

Remembers the control in LastFocusedControl.


ShiftStateToKeys

Converts a shift state into a key state value compatible with the key state of a Windows API LParam

Declaration

Source position: forms.pp line 1807

function ShiftStateToKeys(

  ShiftState: TShiftState

):PtrUInt;

Description

The Keys value is of the type PtrUInt and is a or'ed combination of the following constants: MK_Shift, MK_Control, MK_LButton, MK_RButton, MK_MButton, MK_XBUTTON1 and MK_XBUTTON2

See also

#RTL.Classes.TShiftState
KeysToShiftState | Converts modifier keys from the LParam of a mouse message to a TShiftState.
KeyDataToShiftState | Converts modifier keys from the LParam of a keyboard message (WM_KEYUP for example) to a TShiftState
#LCL.LCLType.MK_Shift | A key state constant to represent the shift key, equivalent to ssShift from TShiftState
#LCL.LCLType.MK_Control | A key state constant to represent the control key, equivalent to ssCtrl from TShiftState
#LCL.LCLType.MK_LButton | A key state constant to represent the left mouse button, equivalent to ssLeft from TShiftState
#LCL.LCLType.MK_RButton | A key state constant to represent the right mouse button, equivalent to ssRight from TShiftState
#LCL.LCLType.MK_MButton | A key state constant to represent the middle mouse button, equivalent to ssMiddle from TShiftState
#LCL.LCLType.MK_XBUTTON1 | A key state constant to represent the first extra mouse button, equivalent to ssExtra1 from TShiftState
#LCL.LCLType.MK_XBUTTON2 | A key state constant to represent the second extra mouse button, equivalent to ssExtra2 from TShiftState


StrToWindowState

StrToWindowState - converts a string to a Window state

Declaration

Source position: forms.pp line 1810

function StrToWindowState(

  const Name: string

):TWindowState;


ValidParentForm

Declaration

Source position: forms.pp line 1833

function ValidParentForm(

  Control: TControl;

  TopForm: Boolean = True

):TCustomForm;


WindowStateToStr

WindowStateToStr - converts a Window state to a string

Declaration

Source position: forms.pp line 1809

function WindowStateToStr(

  const State: TWindowState

):string;


AllocPatternBitmap

Declaration

Source position: graphics.pp line 1977

function AllocPatternBitmap(

  colorBG: TColor;

  colorFG: TColor

):TBitmap;


Blue

Finds the Blue component of the supplied colour

Declaration

Source position: graphics.pp line 1908

function Blue(

  rgb: TColorRef

):Byte;

Arguments

rgb

The colour for processing, expressed as a RGB value

Function result

Returns the Blue component of the colour specified in RGB


CharsetToIdent

Declaration

Source position: graphics.pp line 1920

function CharsetToIdent(

  Charset: LongInt;

  out Ident: string

):Boolean;


ClearXLFDHeight

Declaration

Source position: graphics.pp line 1930

function ClearXLFDHeight(

  const LongFontName: string

):string;


ClearXLFDItem

Declaration

Source position: graphics.pp line 1929

function ClearXLFDItem(

  const LongFontName: string;

  Index: Integer

):string;


ClearXLFDPitch

Declaration

Source position: graphics.pp line 1931

function ClearXLFDPitch(

  const LongFontName: string

):string;


ClearXLFDStyle

Declaration

Source position: graphics.pp line 1932

function ClearXLFDStyle(

  const LongFontName: string

):string;


ColorIndex

Declaration

Source position: graphics.pp line 1897

function ColorIndex(

  Color: LongInt;

  out Index: Integer

):Boolean;


ColorToIdent

ColorToIdent - given a Color value, find its name (Ident) in the look-up table of Colors

Declaration

Source position: graphics.pp line 1895

function ColorToIdent(

  Color: LongInt;

  out Ident: string

):Boolean;

Arguments

Color | the Color value to be sought in the look-up table
Ident | Ident - the name of the supplied Color as found in the look-up table of Colors

Function result

Returns True if there is a valid entry in the Colors look-up table


ColorToRGB

ColorToRGB - given a Color value, converts into RGB

Declaration

Source position: graphics.pp line 1899

function ColorToRGB(

  Color: TColor

):LongInt;

Arguments

Color

The original Color for processing

Function result

Returns the original Color transformed to RGB


ColorToString

ColorToString - given a colour value, returns a corresponding colour name like 'Green'

Declaration

Source position: graphics.pp line 1900

function ColorToString(

  Color: TColor

):AnsiString;

Arguments

Color

The Color value for processing

Function result

Returns the name of the colour, expressed as a string (like 'Green')


CreateBitmapFromFPImage

Declaration

Source position: graphics.pp line 1976

function CreateBitmapFromFPImage(

  Img: TFPCustomImage

):TBitmap;


CreateBitmapFromLazarusResource

CreateBitmapFromLazarusResource - creates a bitmap image using data read into a stream from a Lazarus Resource (.LRS)

Declaration

Source position: graphics.pp line 1969

function CreateBitmapFromLazarusResource(

  const AName: string

):TCustomBitmap;

function CreateBitmapFromLazarusResource(

  const AName: string;

  AMinimumClass: TCustomBitmapClass

):TCustomBitmap;

function CreateBitmapFromLazarusResource(

  AHandle: TLResource

):TCustomBitmap;

function CreateBitmapFromLazarusResource(

  AHandle: TLResource;

  AMinimumClass: TCustomBitmapClass

):TCustomBitmap;

Arguments

AName

AName - name of the bitmap to be created

Function result

Returns a Bitmap of type TCustomBitMap

Arguments

AName | AName - name of the bitmap to be created
AMinimumClass | AMinimumClass - optional specifier for class of resource

Arguments

AHandle

AHandle - optional handle supplied for resource

Arguments

AHandle | AHandle - optional handle supplied for resource
AMinimumClass | AMinimumClass - optional specifier for class of resource


CreateBitmapFromResourceName

Declaration

Source position: graphics.pp line 1968

function CreateBitmapFromResourceName(

  Instance: THandle;

  const ResName: string

):TCustomBitmap;


CreateCompatibleBitmaps

Declaration

Source position: graphics.pp line 1974

function CreateCompatibleBitmaps(

  const ARawImage: TRawImage;

  out ABitmap: HBITMAP;

  out AMask: HBITMAP;

  ASkipMask: Boolean = False

):Boolean;


CreateGraphicFromResourceName

Declaration

Source position: graphics.pp line 1967

function CreateGraphicFromResourceName(

  Instance: THandle;

  const ResName: string

):TGraphic;


DbgS

Declaration

Source position: graphics.pp line 2020

function DbgS(

  const Style: TFontStyles

):string; overload;


DecColor

DecColor - decrease the component RGBs of a colour by the quantity specified (usually results in a darker colour overall)

Declaration

Source position: graphics.pp line 1905

function DecColor(

  AColor: TColor;

  AQuantity: Byte

):TColor;

Arguments

AColor | AColor - the original colour for processing
AQuantity | AQuantity - the amount by which the colour is to be changed

Function result

Returns a copy of the original colour, decremented by a specified amount


ExtractFamilyFromXLFDName

Declaration

Source position: graphics.pp line 1928

function ExtractFamilyFromXLFDName(

  const XLFDName: string

):string;


ExtractXLFDItem

Declaration

Source position: graphics.pp line 1927

function ExtractXLFDItem(

  const XLFDName: string;

  Index: Integer

):string;


FontNameToPangoFontDescStr

Declaration

Source position: graphics.pp line 1934

procedure FontNameToPangoFontDescStr(

  const LongFontName: string;

  out aFamily: string;

  out aStyle: string;

  out aSize: Integer;

  out aSizeInPixels: Boolean

);


FPColorToTColor

FPColorToTColor - converts a colour specified as a FPColor to a colour of type TColor

Declaration

Source position: graphics.pp line 1914

function FPColorToTColor(

  const FPColor: TFPColor

):TColor;

Arguments

FPColor

The colour for processing, expressed as a FPColor

Function result

Returns the colour specified in FPColor as a colour of type TColor


FPColorToTColorRef

Declaration

Source position: graphics.pp line 1913

function FPColorToTColorRef(

  const FPColor: TFPColor

):TColorRef;


GetCharsetValues

Declaration

Source position: graphics.pp line 1919

procedure GetCharsetValues(

  Proc: TGetStrProc

);


GetColorValues

Declaration

Source position: graphics.pp line 1903

procedure GetColorValues(

  Proc: TGetColorStringProc

);


GetDefFontCharSet

Declaration

Source position: graphics.pp line 1924

function GetDefFontCharSet: TFontCharSet;


GetFontData

Declaration

Source position: graphics.pp line 1922

function GetFontData(

  Font: HFONT

):TFontData;


GetGraphicClassForFileExtension

Declaration

Source position: graphics.pp line 1888

function GetGraphicClassForFileExtension(

  const FileExt: string

):TGraphicClass;


GraphicExtension

Declaration

Source position: graphics.pp line 1886

function GraphicExtension(

  GraphicClass: TGraphicClass

):string;


GraphicFileMask

Declaration

Source position: graphics.pp line 1887

function GraphicFileMask(

  GraphicClass: TGraphicClass

):string;


GraphicFilter

Declaration

Source position: graphics.pp line 1885

function GraphicFilter(

  GraphicClass: TGraphicClass

):string;


Green

Finds the Green component of the supplied colour

Declaration

Source position: graphics.pp line 1909

function Green(

  rgb: TColorRef

):Byte;

Arguments

rgb

The colour for processing, expressed as RGB

Function result

Returns the Green component of the colour specified in RGB


IdentEntry

IdentEntry - checks that a given Entry exists in a Map of colour names

Declaration

Source position: graphics.pp line 1894

function IdentEntry(

  Entry: LongInt;

  out MapEntry: TIdentMapEntry

):Boolean;

Arguments

Entry | Entry - a numeric index into the table of colours
MapEntry | MapEntry - the record of Value, Name returned from the look-up table of Colors

Function result

True if Entry was a valid index into the Colour look-up table

Description

IdentEntry - checks that a given Entry exists in a Map of colour names

A list of system Colors is specified as a look-up table of indices (Entry) and names (MapEntry)

This function checks that the value in Entry is within the permitted range, and returns the data pair Value, Name of the corresponding colour in MapEntry.

If Entry is out of range the Result is False

Errors

If Entry is out of the range [0..High(Colours)] the Result is returned as False


IdentToCharset

Declaration

Source position: graphics.pp line 1921

function IdentToCharset(

  const Ident: string;

  out Charset: LongInt

):Boolean;


IdentToColor

IdentToColor - given a colour identifier (name) returns the colour value

Declaration

Source position: graphics.pp line 1896

function IdentToColor(

  const Ident: string;

  out Color: LongInt

):Boolean;

Arguments

Ident | Ident - the suppied name for the required Color
Color | The Color returned from the look-up table, with the name supplied in Ident

Function result

Returns True if Ident is part of a valid entry in the look-up table of Colors


InvertColor

InvertColor - returns the complementary colour to the supplied value - helps to produce a 'negative' image

Declaration

Source position: graphics.pp line 1904

function InvertColor(

  AColor: TColor

):TColor;

Arguments

AColor

AColor - the original colour for processing

Function result

Returns the inverse of the original colour (ie a 'negative' effect)


IsFontNameXLogicalFontDesc

Declaration

Source position: graphics.pp line 1925

function IsFontNameXLogicalFontDesc(

  const LongFontName: string

):Boolean;


IsSysColor

Declaration

Source position: graphics.pp line 1906

function IsSysColor(

  AColor: TColorRef

):Boolean;


LazResourceXPMToPPChar

Declaration

Source position: graphics.pp line 1959

function LazResourceXPMToPPChar(

  const ResourceName: string

):PPChar;


LoadBitmapFromLazarusResource

[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] Reference for unit 'Graphics' (#lcl)

LoadBitmapFromLazarusResource (deprecated)

Deprecated - technically a bitmap is created, not loaded

Declaration

Source position: graphics.pp line 1963

function LoadBitmapFromLazarusResource(

  const ResourceName: string

):TBitmap;


LoadBitmapFromLazarusResourceHandle

[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] Reference for unit 'Graphics' (#lcl)

LoadBitmapFromLazarusResourceHandle (deprecated)

Deprecated - technically a bitmap is created, not loaded

Declaration

Source position: graphics.pp line 1964

function LoadBitmapFromLazarusResourceHandle(

  Handle: TLResource

):TBitmap;


LoadCursorFromLazarusResource

LoadCursorFromLazarusResource - loads a named cursor handle from the Lazarus Resource (.LRS)

Declaration

Source position: graphics.pp line 1962

function LoadCursorFromLazarusResource(

  ACursorName: string

):HCURSOR;


ReadXPMFromStream

Declaration

Source position: graphics.pp line 1960

function ReadXPMFromStream(

  Stream: TStream;

  Size: Integer

):PPChar;


ReadXPMSize

Declaration

Source position: graphics.pp line 1961

function ReadXPMSize(

  XPM: PPChar;

  var Width: Integer;

  var Height: Integer;

  var ColorCount: Integer

):Boolean;


Red

Finds the Red component of the supplied colour

Declaration

Source position: graphics.pp line 1910

function Red(

  rgb: TColorRef

):Byte;

Arguments

rgb

The colour for processing, expressed as RGB

Function result

Returns the Red component of the colour specified in RGB


RedGreenBlue

RedGreenBlue - decomposes a composite colour into its component Red, Green and Blue values

Declaration

Source position: graphics.pp line 1912

procedure RedGreenBlue(

  rgb: TColorRef;

  out Red: Byte;

  out Green: Byte;

  out Blue: Byte

);

Arguments

rgb | The colour for processing, expressed as RGB
Red | The Red component of the colour defined in RGB
Green | The Greencomponent of the colour defined in RGB
Blue | The Blue component of the colour defined in RGB


Register

Declaration

Source position: graphics.pp line 2025

procedure Register;


RGBToColor

RGBToColor - assembles the supplied values for Red, Green and Blue into a composite colour

Declaration

Source position: graphics.pp line 1911

function RGBToColor(

  R: Byte;

  G: Byte;

  B: Byte

):TColor;


ScaleX

Declaration

Source position: graphics.pp line 2022

function ScaleX(

  const SizeX: Integer;

  const FromDPI: Integer

):Integer;


ScaleY

Declaration

Source position: graphics.pp line 2023

function ScaleY(

  const SizeY: Integer;

  const FromDPI: Integer

):Integer;


StringToColor

StringToColor - given a colour name like 'clBlue', returns the corresponding colour value

Declaration

Source position: graphics.pp line 1901

function StringToColor(

  const S: shortstring

):TColor;

Arguments

S

S - the name of the required colour, expressed as a string

Function result

Returns the colour corresponding to the name in String S


StringToColorDef

Declaration

Source position: graphics.pp line 1902

function StringToColorDef(

  const S: shortstring;

  const DefaultValue: TColor

):TColor;


SysColorToSysColorIndex

SysColorToSysColorIndex - if Color is one of the system colours, returns the Index of the system colour

Declaration

Source position: graphics.pp line 1898

function SysColorToSysColorIndex(

  Color: TColor

):Integer;

Arguments

Color

The Color for processing

Function result

Returns the Index value of the Color if it is a system colour, otherwise returns -1

Errors

If Color is not a system color, returns -1


TColorToFPColor

TColorToFPColor - converts a colour of type TColor to one specified as a FPColor

Declaration

Source position: graphics.pp line 1915

function TColorToFPColor(

  const c: TColorRef

):TFPColor; overload;

function TColorToFPColor(

  const c: TColor

):TFPColor; overload;

Arguments

c

c - the supplied colour specified as type TColor

Function result

Returns the colour specified as a FPColor

Arguments

c

c - the supplied colour specified as type TColor


TestStreamIsBMP

Declaration

Source position: graphics.pp line 1953

function TestStreamIsBMP(

  const AStream: TStream

):Boolean;


TestStreamIsCursor

Declaration

Source position: graphics.pp line 1956

function TestStreamIsCursor(

  const AStream: TStream

):Boolean;


TestStreamIsIcon

Declaration

Source position: graphics.pp line 1955

function TestStreamIsIcon(

  const AStream: TStream

):Boolean;


TestStreamIsXPM

Declaration

Source position: graphics.pp line 1954

function TestStreamIsXPM(

  const AStream: TStream

):Boolean;


UpdateHandleObjects

Declaration

Source position: graphics.pp line 2026

procedure UpdateHandleObjects;


XLFDHeightIsSet

Declaration

Source position: graphics.pp line 1933

function XLFDHeightIsSet(

  const LongFontName: string

):Boolean;


XLFDNameToLogFont

Declaration

Source position: graphics.pp line 1926

function XLFDNameToLogFont(

  const XLFDName: string

):TLogFont;


XPMToPPChar

Declaration

Source position: graphics.pp line 1958

function XPMToPPChar(

  const XPM: string

):PPChar;


add(Extended,TFloatPoint):TFloatPoint

Declaration

Source position: graphmath.pp line 96

operator operator +(

  Addend1: Extended;

  const Addend2: TFloatPoint

):TFloatPoint;


add(TFloatPoint,Extended):TFloatPoint

Declaration

Source position: graphmath.pp line 95

operator operator +(

  const Addend1: TFloatPoint;

  Addend2: Extended

):TFloatPoint;


add(TFloatPoint,TFloatPoint):TFloatPoint

Declaration

Source position: graphmath.pp line 94

operator operator +(

  const Addend1: TFloatPoint;

  const Addend2: TFloatPoint

):TFloatPoint;


add(TFloatPoint,TPoint):TFloatPoint

Declaration

Source position: graphmath.pp line 97

operator operator +(

  const Addend1: TFloatPoint;

  const Addend2: TPoint

):TFloatPoint;


add(TPoint,TFloatPoint):TFloatPoint

Declaration

Source position: graphmath.pp line 98

operator operator +(

  const Addend1: TPoint;

  const Addend2: TFloatPoint

):TFloatPoint;


Angles2Coords

Angles2Coords - convert an Eccentric Angle and an Angle-Length, into the coords for Start and End Radial-Points

Declaration

Source position: graphmath.pp line 45

procedure Angles2Coords(

  X: Integer;

  Y: Integer;

  Width: Integer;

  Height: Integer;

  Angle1: Extended;

  Angle2: Extended;

  var SX: Integer;

  var SY: Integer;

  var EX: Integer;

  var EY: Integer

);

Description

Method: Angles2Coords

Params:   x,y,width,height,angle1,angle2, sx, sy, ex, ey
  Returns:  Nothing

  Use Angles2Coords to convert an Eccentric(aka Radial) Angle and an
  Angle-Length, such as are used in X-Windows and GTK, into the coords,
  for Start and End Radial-Points, such as are used in the Windows API Arc
  Pie and Chord routines. The angles are 1/16th of a degree. For example, a
  full circle equals 5760 (16*360). Positive values of Angle and AngleLength
  mean counter-clockwise while negative values mean clockwise direction.
  Zero degrees is at the 3 o'clock position.


Arc2Bezier

Arc2Bezier - convert an Arc and ArcLength into a Bezier Aproximation of the Arc.

Declaration

Source position: graphmath.pp line 48

procedure Arc2Bezier(

  X: LongInt;

  Y: LongInt;

  Width: LongInt;

  Height: LongInt;

  Angle1: Extended;

  Angle2: Extended;

  Rotation: Extended;

  var Points: TBezier

);

Description

Method: Arc2Bezier

Params:   X, Y, Width, Height, Angle1, Angle2, Rotation, Points, Count
  Returns:  Nothing

  Use Arc2Bezier to convert an Arc and ArcLength into a Bezier Aproximation
  of the Arc. The Rotation parameter accepts a Rotation-Angle for a rotated
  Ellipse'- for a non-rotated ellipse this value would be 0, or 360. If the
  AngleLength is greater than 90 degrees, or is equal to 0, it automatically
  exits, as Bezier cannot accurately aproximate any angle greater then 90
  degrees, and in fact for best result no angle greater than 45 should be
  converted, instead an array of Bezier's should be created, each Bezier
  descibing a portion of the total arc no greater than 45 degrees. The angles
  are 1/16th of a degree. For example, a full circle equals 5760 (16*360).
  Positive values of Angle and AngleLength mean counter-clockwise while
  negative values mean clockwise direction. Zero degrees is at the 3 o'clock
  position.


assign(TFloatPoint):TPoint

Declaration

Source position: graphmath.pp line 119

operator operator :=(

  const Value: TFloatPoint

):TPoint;


assign(TPoint):TFloatPoint

Declaration

Source position: graphmath.pp line 121

operator operator :=(

  const Value: TPoint

):TFloatPoint;


Bezier

Declaration

Source position: graphmath.pp line 51

function Bezier(

  const C1: TFloatPoint;

  const C2: TFloatPoint;

  const C3: TFloatPoint;

  const C4: TFloatPoint

):TBezier; overload;

function Bezier(

  const C1: TPoint;

  const C2: TPoint;

  const C3: TPoint;

  const C4: TPoint

):TBezier; overload;


Bezier2Polyline

Bezier2Polyline - convert a 4-Point Bezier into a Pointer Array of TPoint and a Count variable

Declaration

Source position: graphmath.pp line 54

procedure Bezier2Polyline(

  const Bezier: TBezier;

  var Points: PPoint;

  var Count: LongInt

);

Description

Method: Bezier2Polyline

Params:   Bezier, Points, Count
  Returns:  Nothing

  Use BezierToPolyline to convert a 4-Point Bezier into a Pointer Array of
  TPoint and a Count variable which can then be used within either a Polyline,
  or Polygon routine. It is primarily for use within PolyBezier2Polyline. If
  Points is not initialized or Count is less then 0, it is set to nil and
  the array starts at 0, otherwise it tries to append points
  to the array starting at Count. Points should ALWAYS be Freed when done
  by calling to ReallocMem(Points, 0) or FreeMem.


BezierArcPoints

BezierArcPoints - convert an Arc and ArcLength into a Pointer Array of TPoints for use with Polyline or Polygon

Declaration

Source position: graphmath.pp line 57

procedure BezierArcPoints(

  X: LongInt;

  Y: LongInt;

  Width: LongInt;

  Height: LongInt;

  Angle1: Extended;

  Angle2: Extended;

  Rotation: Extended;

  var Points: PPoint;

  var Count: LongInt

);

Description

Method: BezierArcPoints

Params:   X, Y, Width, Height, Angle1, Angle2, Rotation, Points, Count
  Returns:  Nothing

  Use BezierArcPoints to convert an Arc and ArcLength into a Pointer Array
  of TPoints for use with Polyline or Polygon. The Rotation parameter accepts
  a Rotation-Angle for a rotated Ellipse'- for a non-rotated ellipse this
  value would be 0, or 360. The result is an Aproximation based on 1 or more
  Beziers. If the AngleLength is greater than 90 degrees, it calls
  PolyBezierArcPoints, otherwise it Converts the angles into a Bezier by
  calling to Arc2Bezier, and then converts the Bezier into an array of Points
  by calling to Bezier2Polyline. The angles are 1/16th of a degree. For example,
  a full circle equals 5760 (16*360). Positive values of Angle and AngleLength
  mean counter-clockwise while negative values mean clockwise direction. Zero
  degrees is at the 3'o clock position. If Points is not initialized or Count
  is less then 0, it is set to nil and the array starts at 0,
  otherwise it tries to append points to the array starting at Count. Points
  should ALWAYS be Freed when done by calling ReallocMem(Points, 0) or FreeMem.


BezierMidPoint

BezierMidPoint - get the Mid-Point of any 4-Point Bezier. It is primarily for use in SplitBezier.

Declaration

Source position: graphmath.pp line 60

function BezierMidPoint(

  const Bezier: TBezier

):TFloatPoint;


Coords2Angles

Coords2Angles - convert the coords for Start and End Radial-Points into an Eccentric counter clockwise Angle and an Angle-Length

Declaration

Source position: graphmath.pp line 62

procedure Coords2Angles(

  X: Integer;

  Y: Integer;

  Width: Integer;

  Height: Integer;

  SX: Integer;

  SY: Integer;

  EX: Integer;

  EY: Integer;

  var Angle1: Extended;

  var Angle2: Extended

);

Description

Method: Coords2Angles

Params:   x,y,width,height,sx,sy,ex,ey, angle1,angle2
  Returns:  Nothing

  Use Coords2Angles to convert the coords for Start and End Radial-Points, such
  as are used in the Windows API Arc Pie and Chord routines, into an Eccentric
  (aka Radial) counter clockwise Angle and an Angle-Length, such as are used in
  X-Windows and GTK. The angles angle1 and angle2 are returned in 1/16th of a
  degree. For example, a full circle equals 5760 (16*360). Zero degrees is at
  the 3 o'clock position.


Distance

Declaration

Source position: graphmath.pp line 65

function Distance(

  const PT1: TPoint;

  const Pt2: TPoint

):Extended; overload;

function Distance(

  const Pt: TFloatPoint;

  const SP: TFloatPoint;

  const EP: TFloatPoint

):Extended; overload;


divide(TFloatPoint,Extended):TFloatPoint

Declaration

Source position: graphmath.pp line 112

operator operator /(

  const Dividend: TFloatPoint;

  Divisor: Extended

):TFloatPoint;


divide(TFloatPoint,TFloatPoint):TFloatPoint

Declaration

Source position: graphmath.pp line 111

operator operator /(

  const Dividend: TFloatPoint;

  const Divisor: TFloatPoint

):TFloatPoint;


divide(TFloatPoint,TPoint):TFloatPoint

Declaration

Source position: graphmath.pp line 113

operator operator /(

  const Dividend: TFloatPoint;

  const Divisor: TPoint

):TFloatPoint;


divide(TPoint,TFloatPoint):TFloatPoint

Declaration

Source position: graphmath.pp line 114

operator operator /(

  const Dividend: TPoint;

  const Divisor: TFloatPoint

):TFloatPoint;


EccentricAngle

EccentricAngle - get the Eccentric Angle of a given point on any non-rotated ellipse

Declaration

Source position: graphmath.pp line 68

function EccentricAngle(

  const PT: TPoint;

  const Rect: TRect

):Extended;

Description

Method: EccentricAngle

Params:   Pt, Rect
  Returns:  Extended

  Use EccentricAngle to get the Eccentric( aka Radial ) Angle of a given
  point on any non-rotated ellipse. It is primarily for use in Coords2Angles.
  The result is in 1/16th of a degree. For example, a full circle equals
  5760 (16*360).  Zero degrees is at the 3 o'clock position.


EllipseRadialLength

EllipseRadialLength - Radial-Length of non-rotated ellipse at any given Eccentric Angle

Declaration

Source position: graphmath.pp line 70

function EllipseRadialLength(

  const Rect: TRect;

  EccentricAngle: Extended

):LongInt;

Description

Method: EllipseRadialLength

Params:   Rect, EccentricAngle
  Returns:  Longint

  Use EllipseRadialLength to get the Radial-Length of non-rotated ellipse at
  any given Eccentric( aka Radial ) Angle. It is primarily for use in other
  routines such as RadialPoint. The Eccentric angle is in 1/16th of a degree.
  For example, a full circle equals 5760 (16*360).  Zero degrees is at the
  3 o'clock position.


equal(TFloatPoint,TFloatPoint):Boolean

Declaration

Source position: graphmath.pp line 117

operator operator =(

  const Compare1: TFloatPoint;

  const Compare2: TFloatPoint

):Boolean;


equal(TPoint,TPoint):Boolean

Declaration

Source position: graphmath.pp line 116

operator operator =(

  const Compare1: TPoint;

  const Compare2: TPoint

):Boolean;


equal(TRect,TRect):Boolean

Declaration

Source position: graphmath.pp line 123

operator operator =(

  const Compare1: TRect;

  const Compare2: TRect

):Boolean;


FloatPoint

FloatPoint - it is essentialy like Classes.Point in use, except that it accepts Extended Parameters. It is Primarily for use with and in Bezier routines.

Declaration

Source position: graphmath.pp line 72

function FloatPoint(

  AX: Extended;

  AY: Extended

):TFloatPoint;


LineEndPoint

LineEndPoint - get the End-Point of a line of any given Length at any given angle with any given Start-Point

Declaration

Source position: graphmath.pp line 74

function LineEndPoint(

  const StartPoint: TPoint;

  Angle: Extended;

  Length: Extended

):TPoint;

Description

Method: LineEndPoint

Params:   StartPoint, Angle, Length
  Returns:  TPoint

  Use LineEndPoint to get the End-Point of a line of any given Length at
  any given angle with any given Start-Point. It is primarily for use in
  other routines such as RadialPoint. The angle is in 1/16th of a degree.
  For example, a full circle equals 5760 (16*360).  Zero degrees is at the
  3 o'clock position.


multiply(Extended,TFloatPoint):TFloatPoint

Declaration

Source position: graphmath.pp line 107

operator operator *(

  Multiplicand: Extended;

  const Multiplier: TFloatPoint

):TFloatPoint;


multiply(TFloatPoint,Extended):TFloatPoint

Declaration

Source position: graphmath.pp line 106

operator operator *(

  const Multiplicand: TFloatPoint;

  Multiplier: Extended

):TFloatPoint;


multiply(TFloatPoint,TFloatPoint):TFloatPoint

Declaration

Source position: graphmath.pp line 105

operator operator *(

  const Multiplicand: TFloatPoint;

  const Multiplier: TFloatPoint

):TFloatPoint;


multiply(TFloatPoint,TPoint):TFloatPoint

Declaration

Source position: graphmath.pp line 108

operator operator *(

  const Multiplicand: TFloatPoint;

  const Multiplier: TPoint

):TFloatPoint;


multiply(TPoint,TFloatPoint):TFloatPoint

Declaration

Source position: graphmath.pp line 109

operator operator *(

  const Multiplicand: TPoint;

  const Multiplier: TFloatPoint

):TFloatPoint;


PolyBezier2Polyline

Declaration

Source position: graphmath.pp line 76

procedure PolyBezier2Polyline(

  Beziers: array of TBezier;

  var Points: PPoint;

  var Count: LongInt

); overload;

procedure PolyBezier2Polyline(

  Beziers: array of TPoint;

  var Points: PPoint;

  var Count: LongInt;

  Continuous: Boolean

); overload;

procedure PolyBezier2Polyline(

  Beziers: PPoint;

  BCount: LongInt;

  var Points: PPoint;

  var Count: LongInt;

  Continuous: Boolean

); overload;


PolyBezierArcPoints

PolyBezierArcPoints - convert an Arc and ArcLength into a Pointer Array of TPoints for use with Polyline or Polygon

Declaration

Source position: graphmath.pp line 85

procedure PolyBezierArcPoints(

  X: LongInt;

  Y: LongInt;

  Width: LongInt;

  Height: LongInt;

  Angle1: Extended;

  Angle2: Extended;

  Rotation: Extended;

  var Points: PPoint;

  var Count: LongInt

);

Description

Method: PolyBezierArcPoints

Params:   X, Y, Width, Height, Angle1, Angle2, Rotation, Points, Count
  Returns:  Nothing

  Use PolyBezierArcPoints to convert an Arc and ArcLength into a Pointer Array
  of TPoints for use with Polyline or Polygon. The Rotation parameter accepts
  a Rotation-Angle for a rotated Ellipse'- for a non-rotated ellipse this
  value would be 0, or 360. The result is an Aproximation based on 1 or more
  Beziers. If the AngleLength is greater than 45 degrees, it recursively breaks
  the Arc into Arcs of 45 degrees or less, and converts them into Beziers with
  BezierArcPoints. The angles are 1/16th of a degree. For example, a full circle
  equals 5760 (16*360). Positive values of Angle and AngleLength mean
  counter-clockwise while negative values mean clockwise direction. Zero
  degrees is at the 3'o clock position. Points is automatically initialized,
  so any existing information is lost, and the array starts at 0. Points
  should ALWAYS be Freed when done by calling to ReallocMem(Points, 0).


Quadrant

Determine the Quadrant of any point, given the Center

Declaration

Source position: graphmath.pp line 88

function Quadrant(

  const PT: TPoint;

  const Center: TPoint

):Integer;

Description

Method: Quadrant

Params:   PT, Center
  Returns:  Integer

  Use Quadrant to determine the Quadrant of any point, given the Center.
  It is primarily for use in other routines such as EccentricAngle. A result
  of 1-4 represents the primary 4 quardants. A result of 5-8 means the point
  lies on one of the Axis', 5 = -Y Axis, 6 = +X Axis, 7 = +Y Axis, and
  8 = -X Axis. A result of -1 means that it does not fall in any quadrant,
  that is, it is the Center.


RadialPoint

Get the RadialPoint at any given Eccentric angle on any non-rotated ellipse

Declaration

Source position: graphmath.pp line 90

function RadialPoint(

  EccentricAngle: Extended;

  const Rect: TRect

):TPoint;

Description

Method: RadialPoint

Params:   EccentricAngle, Rect
  Returns:  TPoint

  Use RadialPoint to get the Radial-Point at any given Eccentric( aka Radial )
  angle on any non-rotated ellipse. It is primarily for use in Angles2Coords.
  The EccentricAngle is in 1/16th of a degree. For example, a full circle
  equals 5760 (16*360).  Zero degrees is at the 3 o'clock position.


SplitBezier

SplitBezier - split any 4-Point Bezier into two 4-Point Beziers: a 'Left' and a 'Right'

Declaration

Source position: graphmath.pp line 92

procedure SplitBezier(

  const Bezier: TBezier;

  var Left: TBezier;

  var Right: TBezier

);

Description

Method: SplitBezier

Params:   Bezier, Left, Right
  Returns:  Nothing

  Use SplitBezier to split any 4-Point Bezier into two 4-Point Beziers:
  a 'Left' and a 'Right'. It is primarily for use in Bezier2Polyline.


subtract(TFloatPoint,Extended):TFloatPoint

Declaration

Source position: graphmath.pp line 100

operator operator -(

  const Minuend: TFloatPoint;

  Subtrahend: Extended

):TFloatPoint;


subtract(TFloatPoint,TFloatPoint):TFloatPoint

Declaration

Source position: graphmath.pp line 101

operator operator -(

  const Minuend: TFloatPoint;

  const Subtrahend: TFloatPoint

):TFloatPoint;


subtract(TFloatPoint,TPoint):TFloatPoint

Declaration

Source position: graphmath.pp line 102

operator operator -(

  const Minuend: TFloatPoint;

  const Subtrahend: TPoint

):TFloatPoint;


subtract(TPoint,TFloatPoint):TFloatPoint

Declaration

Source position: graphmath.pp line 103

operator operator -(

  const Minuend: TPoint;

  const Subtrahend: TFloatPoint

):TFloatPoint;


AntiAliasedStretchDrawBitmap

Declaration

Source position: graphutil.pp line 42

procedure AntiAliasedStretchDrawBitmap(

  SourceBitmap: TCustomBitmap;

  DestBitmap: TCustomBitmap;

  DestWidth: Integer;

  DestHeight: Integer

);


ColorAdjustLuma

Declaration

Source position: graphutil.pp line 59

function ColorAdjustLuma(

  clrRGB: TColor;

  n: Integer;

  fScale: Bool

):TColor;


ColorHLSToRGB

Declaration

Source position: graphutil.pp line 58

function ColorHLSToRGB(

  Hue: Word;

  Luminance: Word;

  Saturation: Word

):TColorRef;


ColorRGBToHLS

Declaration

Source position: graphutil.pp line 57

procedure ColorRGBToHLS(

  clrRGB: COLORREF;

  var Hue: Word;

  var Luminance: Word;

  var Saturation: Word

);


ColorToGray

Declaration

Source position: graphutil.pp line 27

function ColorToGray(

  const AColor: TColor

):Byte;


ColorToHLS

Declaration

Source position: graphutil.pp line 28

procedure ColorToHLS(

  const AColor: TColor;

  out H: Byte;

  out L: Byte;

  out S: Byte

);


DrawArrow

Declaration

Source position: graphutil.pp line 50

procedure DrawArrow(

  Canvas: TCanvas;

  Direction: TScrollDirection;

  Location: TPoint;

  Size: LongInt;

  ArrowType: TArrowType = atSolid

);

procedure DrawArrow(

  Canvas: TCanvas;

  p1: TPoint;

  p2: TPoint;

  ArrowType: TArrowType = atSolid

);

procedure DrawArrow(

  Canvas: TCanvas;

  p1: TPoint;

  p2: TPoint;

  ArrowLen: LongInt;

  ArrowAngleRad: float = NiceArrowAngle;

  ArrowType: TArrowType = atSolid

);


DrawGradientWindow

Declaration

Source position: graphutil.pp line 39

procedure DrawGradientWindow(

  Canvas: TCanvas;

  WindowRect: TRect;

  TitleHeight: Integer;

  BaseColor: TColor

);


DrawVerticalGradient

Declaration

Source position: graphutil.pp line 36

procedure DrawVerticalGradient(

  Canvas: TCanvas;

  ARect: TRect;

  TopColor: TColor;

  BottomColor: TColor

);


FloodFill

Declaration

Source position: graphutil.pp line 54

procedure FloodFill(

  Canvas: TCanvas;

  X: Integer;

  Y: Integer;

  lColor: TColor;

  FillStyle: TFillStyle

);


GetHighLightColor

Declaration

Source position: graphutil.pp line 60

function GetHighLightColor(

  const Color: TColor;

  Luminance: Integer = 19

):TColor;


GetShadowColor

Declaration

Source position: graphutil.pp line 61

function GetShadowColor(

  const Color: TColor;

  Luminance: Integer = - 50

):TColor;


HLStoColor

Declaration

Source position: graphutil.pp line 30

function HLStoColor(

  const H: Byte;

  const L: Byte;

  const S: Byte

):TColor;


HLStoRGB

Declaration

Source position: graphutil.pp line 31

procedure HLStoRGB(

  const H: Byte;

  const L: Byte;

  const S: Byte;

  out R: Byte;

  out G: Byte;

  out B: Byte

);


NormalizeRect

Declaration

Source position: graphutil.pp line 64

function NormalizeRect(

  const R: TRect

):TRect;


RGBtoHLS

Declaration

Source position: graphutil.pp line 29

procedure RGBtoHLS(

  const R: Byte;

  const G: Byte;

  const B: Byte;

  out H: Byte;

  out L: Byte;

  out S: Byte

);


WaveTo

Declaration

Source position: graphutil.pp line 65

procedure WaveTo(

  ADC: HDC;

  X: Integer;

  Y: Integer;

  R: Integer

);


DrawRubberRect

Draw rubberband rect

Declaration

Source position: grids.pas line 1876

procedure DrawRubberRect(

  Canvas: TCanvas;

  aRect: TRect;

  Color: TColor;

  DrawBits: Byte = BF_RECT

);

Description

Draw a rubberband around the provided cellrect Segunda linea de texto


FreeWorkingCanvas

Declaration

Source position: grids.pas line 1878

procedure FreeWorkingCanvas(

  canvas: TCanvas

);


GetWorkingCanvas

Declaration

Source position: grids.pas line 1877

function GetWorkingCanvas(

  const Canvas: TCanvas

):TCanvas;


Register

Declaration

Source position: grids.pas line 1880

procedure Register;


dbgs

Declaration

Source position: helpintfs.pas line 290

function dbgs(

  HelpResult: TShowHelpResult

):string; overload;


ShowHelp

Declaration

Source position: helpintfs.pas line 285

function ShowHelp(

  const URL: string;

  const Title: string;

  const MimeType: string;

  var ErrMsg: string

):TShowHelpResult;


ShowHelpFile

Declaration

Source position: helpintfs.pas line 281

function ShowHelpFile(

  const Filename: string;

  const Title: string;

  const MimeType: string;

  var ErrMsg: string

):TShowHelpResult;


ShowHelpFileOrError

Declaration

Source position: helpintfs.pas line 283

function ShowHelpFileOrError(

  const Filename: string;

  const Title: string;

  const MimeType: string

):TShowHelpResult;


ShowHelpForContext

Declaration

Source position: helpintfs.pas line 248

function ShowHelpForContext(

  HelpDatabaseID: THelpDatabaseID;

  HelpContext: THelpContext;

  var ErrMsg: string

):TShowHelpResult; overload;

function ShowHelpForContext(

  HelpContext: THelpContext;

  var ErrMsg: string

):TShowHelpResult; overload;


ShowHelpForDirective

Declaration

Source position: helpintfs.pas line 262

function ShowHelpForDirective(

  HelpDatabaseID: THelpDatabaseID;

  const HelpDirective: string;

  var ErrMsg: string

):TShowHelpResult; overload;

function ShowHelpForDirective(

  const HelpDirective: string;

  var ErrMsg: string

):TShowHelpResult; overload;


ShowHelpForKeyword

Declaration

Source position: helpintfs.pas line 256

function ShowHelpForKeyword(

  HelpDatabaseID: THelpDatabaseID;

  const HelpKeyword: string;

  var ErrMsg: string

):TShowHelpResult; overload;

function ShowHelpForKeyword(

  const HelpKeyword: string;

  var ErrMsg: string

):TShowHelpResult; overload;


ShowHelpForMessageLine

Declaration

Source position: helpintfs.pas line 275

function ShowHelpForMessageLine(

  const MessageLine: string;

  MessageParts: TStrings;

  var ErrMsg: string

):TShowHelpResult;


ShowHelpForPascalContexts

Declaration

Source position: helpintfs.pas line 268

function ShowHelpForPascalContexts(

  const Filename: string;

  const SourcePosition: TPoint;

  ListOfPascalHelpContextList: TList;

  var ErrMsg: string

):TShowHelpResult;


ShowHelpOrError

Declaration

Source position: helpintfs.pas line 287

function ShowHelpOrError(

  const URL: string;

  const Title: string;

  const MimeType: string

):TShowHelpResult;


ShowHelpOrErrorForContext

Declaration

Source position: helpintfs.pas line 246

function ShowHelpOrErrorForContext(

  HelpDatabaseID: THelpDatabaseID;

  HelpContext: THelpContext

):TShowHelpResult; overload;


ShowHelpOrErrorForKeyword

Declaration

Source position: helpintfs.pas line 254

function ShowHelpOrErrorForKeyword(

  HelpDatabaseID: THelpDatabaseID;

  const HelpKeyword: string

):TShowHelpResult;


ShowHelpOrErrorForMessageLine

Declaration

Source position: helpintfs.pas line 277

function ShowHelpOrErrorForMessageLine(

  const MessageLine: string;

  MessageParts: TStrings

):TShowHelpResult;


ShowHelpOrErrorForSourcePosition

Declaration

Source position: helpintfs.pas line 271

function ShowHelpOrErrorForSourcePosition(

  const Filename: string;

  const SourcePosition: TPoint

):TShowHelpResult;


ShowTableOfContents

Declaration

Source position: helpintfs.pas line 242

function ShowTableOfContents: TShowHelpResult;

function ShowTableOfContents(

  var ErrMsg: string

):TShowHelpResult;


GetDataTypeRGB

Declaration

Source position: icnstypes.pas line 173

function GetDataTypeRGB(

  Width: Integer;

  Height: Integer;

  var FourChar: FourCharCode

):TicnsIconType;


GetIcnsIconType

Declaration

Source position: icnstypes.pas line 170

function GetIcnsIconType(

  const StrIconType: FourCharCode

):TicnsIconType;


GetMaskType8bit

Declaration

Source position: icnstypes.pas line 174

function GetMaskType8bit(

  Width: Integer;

  Height: Integer;

  var FourChar: FourCharCode

):TicnsIconType;


GetImageListCache

Declaration

Source position: imagelistcache.pas line 79

function GetImageListCache: TImageListCache;


GetDefaultGlyph

Declaration

Source position: imglist.pp line 470

function GetDefaultGlyph(

  ResourceName: string;

  ScalePercent: Integer = 100;

  IgnoreMissingResource: Boolean = False

):TCustomBitmap;


LCLGlyphs

Declaration

Source position: imglist.pp line 469

function LCLGlyphs: TLCLGlyphs;


Register

Registers TIniPropStorage on the 'Misc' tab of the component pallete.

Declaration

Source position: inipropstorage.pas line 66

procedure Register;


GetDefaultLCLWidgetType

Declaration

Source position: interfacebase.pp line 174

function GetDefaultLCLWidgetType: TLCLPlatform;


GetLCLWidgetTypeName

Declaration

Source position: interfacebase.pp line 175

function GetLCLWidgetTypeName: string;


AddAlphaToDescription

Declaration

Source position: intfgraphics.pas line 679

function AddAlphaToDescription(

  var ADesc: TRawImageDescription;

  APrec: Byte

):Boolean;


dbgs

Declaration

Source position: intfgraphics.pas line 689

function dbgs(

  const FPColor: TFPColor

):string; overload;


DefaultReaderDescription

Declaration

Source position: intfgraphics.pas line 682

procedure DefaultReaderDescription(

  AWidth: Integer;

  AHeight: Integer;

  ADepth: Byte;

  out ADesc: TRawImageDescription

);


GetDescriptionFromBitmap

Declaration

Source position: intfgraphics.pas line 678

function GetDescriptionFromBitmap(

  ABitmap: HBITMAP;

  AWidth: Integer = - 1;

  AHeight: Integer = - 1

):TRawImageDescription;


GetDescriptionFromDevice

Declaration

Source position: intfgraphics.pas line 677

function GetDescriptionFromDevice(

  ADC: HDC;

  AWidth: Integer = - 1;

  AHeight: Integer = - 1

):TRawImageDescription;


QueryDescription

Declaration

Source position: intfgraphics.pas line 675

function QueryDescription(

  AFlags: TRawImageQueryFlags;

  AWidth: Integer = - 1;

  AHeight: Integer = - 1

):TRawImageDescription;

procedure QueryDescription(

  var ADesc: TRawImageDescription;

  AFlags: TRawImageQueryFlags;

  AWidth: Integer = - 1;

  AHeight: Integer = - 1

);


ReadCompleteStreamToStream

Declaration

Source position: intfgraphics.pas line 686

procedure ReadCompleteStreamToStream(

  SrcStream: TStream;

  DestStream: TStream;

  StartSize: Integer

);


ReadCompleteStreamToString

Declaration

Source position: intfgraphics.pas line 685

function ReadCompleteStreamToString(

  Str: TStream;

  StartSize: Integer

):string;


Register

Registers TJSONPropStorage on the 'Misc' tab of the component pallete.

Declaration

Source position: jsonpropstorage.pas line 61

procedure Register;


LazMessageDlg

Declaration

Source position: lazdialogs.pas line 85

function LazMessageDlg(

  const aCaption: string;

  const aMsg: string;

  DlgType: TMsgDlgType;

  Buttons: TMsgDlgButtons;

  HelpCtx: LongInt

):Integer;

function LazMessageDlg(

  const aMsg: string;

  DlgType: TMsgDlgType;

  Buttons: TMsgDlgButtons;

  HelpCtx: LongInt

):Integer;


Register

Declaration

Source position: lazhelphtml.pas line 116

procedure Register;


AppendURLPathDelim

Declaration

Source position: lazhelpintf.pas line 600

function AppendURLPathDelim(

  const URLPath: string

):string;


ChompURLParams

Declaration

Source position: lazhelpintf.pas line 594

function ChompURLParams(

  const URL: string

):string;


CombineURL

Declaration

Source position: lazhelpintf.pas line 590

function CombineURL(

  const URLScheme: string;

  const URLPath: string;

  const URLParams: string

):string;


CreateLCLHelpSystem

Declaration

Source position: lazhelpintf.pas line 576

procedure CreateLCLHelpSystem;


CreateListAndAdd

Declaration

Source position: lazhelpintf.pas line 602

procedure CreateListAndAdd(

  const AnObject: TObject;

  var List: TList;

  OnlyIfNotExists: Boolean

);


CreateNodeQueryListAndAdd

Declaration

Source position: lazhelpintf.pas line 604

procedure CreateNodeQueryListAndAdd(

  const ANode: THelpNode;

  const QueryItem: THelpQueryItem;

  var List: THelpNodeQueryList;

  OnlyIfNotExists: Boolean

);


ExtractURLDirectory

Declaration

Source position: lazhelpintf.pas line 596

function ExtractURLDirectory(

  const URL: string

):string;


ExtractURLPath

Declaration

Source position: lazhelpintf.pas line 595

function ExtractURLPath(

  const URL: string

):string;


FilenameToURL

Declaration

Source position: lazhelpintf.pas line 586

function FilenameToURL(

  const Filename: string

):string;


FilenameToURLPath

Declaration

Source position: lazhelpintf.pas line 587

function FilenameToURLPath(

  const Filename: string

):string;


FindURLPathEnd

Declaration

Source position: lazhelpintf.pas line 593

function FindURLPathEnd(

  const URL: string

):Integer;


FindURLPathStart

Declaration

Source position: lazhelpintf.pas line 592

function FindURLPathStart(

  const URL: string

):Integer;


FreeLCLHelpSystem

Declaration

Source position: lazhelpintf.pas line 577

procedure FreeLCLHelpSystem;


FreeUnusedLCLHelpSystem

Declaration

Source position: lazhelpintf.pas line 578

procedure FreeUnusedLCLHelpSystem;


IsFileURL

Declaration

Source position: lazhelpintf.pas line 599

function IsFileURL(

  const URL: string

):Boolean;


SplitURL

Declaration

Source position: lazhelpintf.pas line 589

procedure SplitURL(

  const URL: string;

  out URLScheme: string;

  out URLPath: string;

  out URLParams: string

);


TrimUrl

Declaration

Source position: lazhelpintf.pas line 597

function TrimUrl(

  const URL: string

):string;


TrimURLPath

Declaration

Source position: lazhelpintf.pas line 598

function TrimURLPath(

  const URLPath: string

):string;


URLFilenameIsAbsolute

Declaration

Source position: lazhelpintf.pas line 591

function URLFilenameIsAbsolute(

  const URLPath: string

):Boolean;


URLPathToFilename

Declaration

Source position: lazhelpintf.pas line 588

function URLPathToFilename(

  const URLPath: string

):string;


IsPointInPolygon

Declaration

Source position: lazregions.pas line 107

function IsPointInPolygon(

  AX: Integer;

  AY: Integer;

  const APolygon: array of TPoint

):Boolean;


AddEventHandler

Declaration

Source position: lclintfh.inc line 34

function AddEventHandler(

  AHandle: THandle;

  AFlags: dword;

  AEventHandler: TWaitHandleEvent;

  AData: PtrInt

):PEventHandler;


AddPipeEventHandler

Declaration

Source position: lclintfh.inc line 36

function AddPipeEventHandler(

  AHandle: THandle;

  AEventHandler: TPipeEvent;

  AData: PtrInt

):PPipeEventHandler;


AddProcessEventHandler

Declaration

Source position: lclintfh.inc line 35

function AddProcessEventHandler(

  AHandle: THandle;

  AEventHandler: TChildExitEvent;

  AData: PtrInt

):PProcessEventHandler;


AdjustWindowRectEx

Declaration

Source position: winapih.inc line 297

function AdjustWindowRectEx(

  var Rect: TRect;

  Style1: Word;

  MenuExist: Boolean;

  Style2: Word

):Boolean;


AllocateHWnd

Declaration

Source position: lclintfh.inc line 37

function AllocateHWnd(

  Method: TLCLWndMethod

):HWND;


AngleChord

Draws a filled Chord described by two angles.

Declaration

Source position: winapih.inc line 36

function AngleChord(

  DC: HDC;

  x1: Integer;

  y1: Integer;

  x2: Integer;

  y2: Integer;

  angle1: Integer;

  angle2: Integer

):Boolean;

Arguments

angle1 | The starting angle in 1/16 degrees, starting right and continuing counter-clockwise.
angle2 | The ending angle in 1/16 degrees, starting right and continuing counter-clockwise.

Function result

False on failure.

Description

AngleChord is a Lazarus addition, similar to the Windows API Chord, but uses angles to control the location of the chord inside the ellipse instead of two points like the Windows API Chord.

A Chord is a section of an ellipse between two angles (angle1 and angle2), closed by a straight line (secant). It's equivalent to a Pie without the triangle between the arc and the center of the ellipse.

The curve part of the chord is defined by the ellipse which fits in the bounding rectangle specified by the coordinates x1, y1, x2 and y2.

The Chord is outlined by the current Pen and filled with the current Brush.

See also

LCLIntf.Pie | Draws a filled pie-shaped wedge, from an ellipse and two radials.
Graphics.TCanvas.Chord | Chord draws a filled Chord-shape on the canvas
Graphics.TCanvas.Pie | Pie draws a filled Pie-shaped wedge on the canvas


Arc

Draws an elliptical curve.

Declaration

Source position: winapih.inc line 35

function Arc(

  DC: HDC;

  Left: Integer;

  Top: Integer;

  Right: Integer;

  Bottom: Integer;

  Angle16Deg: Integer;

  Angle16DegLength: Integer

):Boolean;

Arguments

Angle16Deg | The starting angle in 1/16 degrees, starting right and continuing counter-clockwise.
Angle16DegLength | The length of the arc. A positive value indicates that it goes counter-clockwise from the start angle and a negative value that it goes clockwise

Description

Use Arc to draw an elliptically curved line with the current Pen.

The angles Angle16Deg and Angle16DegLength are measure in 1/16th of a degree. For example, a full circle equals 5760 (16*360). Positive values of Angle16Deg and Angle16DegLength mean counter-clockwise rotation while negative values mean a clockwise direction, from the point of view of who looks at the screen.

Zero degrees is at the 3'o clock position (right).


AskUser

Declaration

Source position: lclintfh.inc line 38

function AskUser(

  const DialogCaption: string;

  const DialogMessage: string;

  DialogType: LongInt;

  Buttons: TDialogButtons;

  HelpCtx: LongInt

):LongInt;


BeginPaint

Start painting in a window.

Declaration

Source position: winapih.inc line 38

function BeginPaint(

  Handle: HWND;

  var PS: TPaintStruct

):HDC;

Arguments

Handle | The window Handle.
PS | Will receive painting information.

Function result

A Device Context for the window, Nil on failure.

Description

This function is for use in WM_PAINT handlers only. Not all platforms allow for painting outside WM_PAINT messages.

BeginPaint prepares the specified window for painting and fills a PAINTSTRUCT structure with information about the painting.


BitBlt

Copies a section of a Canvas to another one, performing a raster operation (ROP).

Declaration

Source position: winapih.inc line 39

function BitBlt(

  DestDC: HDC;

  X: Integer;

  Y: Integer;

  Width: Integer;

  Height: Integer;

  SrcDC: HDC;

  XSrc: Integer;

  YSrc: Integer;

  Rop: DWORD

):Boolean;

Arguments

DestDC | The destination Device Context.
X | The origin in the destination DC.
Y | The origin in the destination DC.
Width | The image size.
Height | The image size.
SrcDC | The source Device Context.
XSrc | The origin in the source DC.
YSrc | The origin in the source DC.
Rop | The raster operation.

Function result

False on failure.

Description

This routine implements the equivalent Windows GDI API of the same name in all platforms supported by Lazarus. It copies a section of a Canvas to another one, without any stretching. It allows one to select the kind of operation which should be performed to draw the pixels into the destination in the parameter ROP. Allowed operations go from simply copying the pixels without change to inverting them and also to executing logical operations involving the source pixels and the previously existing pixels in the destination Canvas.

For normal usage one should only use SRCOPY in the ROP parameter, other operations may not be supported by all widgetsets.

There exist 16 raster operations, according to the possible combinations of two (boolean) values. Excluding the NOP case, that doesn't modify the target area, the possible values for ROP are:

  • BLACKNESS - Fills the destination rectangle with black
  • DSTINVERT - Inverts the colors of the destination area
  • MERGECOPY - Fills the destination area with (Src and Pattern)
  • MERGEPAINT - Fills the destination area with (Dst or not Src)
  • NOTSRCCOPY - Fills the destination area with (not Src)
  • NOTSRCERASE - Fills the destination area with (not (Dst or Src))
  • PATCOPY - Fills the destination area with (Pattern)
  • PATINVERT - Fills the destination area with (Dst xor Pattern)
  • PATPAINT - Fills the destination area with (Dst or (not Src) or Pattern)
  • SRCAND - Fills the destination area with (Dst and Src)
  • SRCCOPY - Fills the destination area with Src
  • SRCERASE - Fills the destination area with ((not Dst) and Src)
  • SRCINVERT - Fills the destination area with (Dst xor Src)
  • SRCPAINT - Combines the colors of the source and the destination using the operator OR on each pixel
  • WHITENESS - Fills the destination rectangle with white

These flags can be added to above ROPs:

  • CAPTUREBLT - Includes windows which are on top of the specified Canvas. This option is not recommended and is very hard to implement in all supported platforms.
  • NOMIRRORBITMAP - Prevents the bitmap from being mirrored. (The coordinates are sorted before painting?)

See also

#lcl.LCLType.BLACKNESS | Ternary raster operation (Dst op Src op Pattern): Fills the destination area with all black.
#lcl.LCLType.DSTINVERT | Ternary raster operation (Dst op Src op Pattern): Fills the destination area with (not Dst)
#lcl.LCLType.MERGECOPY | Ternary raster operation (Dst op Src op Pattern): Fills the destination area with (Src and Pattern)
#lcl.LCLType.MERGEPAINT | Ternary raster operation (Dst op Src op Pattern): Fills the destination area with (Dst or not Src)
#lcl.LCLType.NOTSRCCOPY | Ternary raster operation (Dst op Src op Pattern): Fills the destination area with (not Src)
#lcl.LCLType.NOTSRCERASE | Ternary raster operation (Dst op Src op Pattern): Fills the destination area with (not (Dst or Src))
#lcl.LCLType.SRCCOPY | Ternary raster operation (Dst op Src op Pattern): Fills the destination area with Src.
#lcl.LCLType.PATINVERT | Ternary raster operation (Dst op Src op Pattern): Fills the destination area with (Dst xor Pattern)
#lcl.LCLType.PATPAINT | Ternary raster operation (Dst op Src op Pattern): Fills the destination area with (Dst or (not Src) or Pattern)
#lcl.LCLType.SRCAND | Ternary raster operation (Dst op Src op Pattern): Fills the destination area with (Dst and Src)
#lcl.LCLType.SRCCOPY | Ternary raster operation (Dst op Src op Pattern): Fills the destination area with Src.
#lcl.LCLType.SRCERASE | Ternary raster operation (Dst op Src op Pattern): Fills the destination area with ((not Dst) and Src)
#lcl.LCLType.SRCINVERT | Ternary raster operation (Dst op Src op Pattern): Fills the destination area with (Dst xor Src)
#lcl.LCLType.SRCPAINT | Ternary raster operation (Dst op Src op Pattern): Fills the destination area with (Dst or Src)
#lcl.LCLType.WHITENESS | Ternary raster operation (Dst op Src op Pattern): Fills the destination area with all white.


CallDefaultWndHandler

Declaration

Source position: lclintfh.inc line 40

procedure CallDefaultWndHandler(

  Sender: TObject;

  var Message

);


CallNextHookEx

Calls the next procedure in the hook chain.

Declaration

Source position: winapih.inc line 41

function CallNextHookEx(

  hhk: HHOOK;

  ncode: Integer;

  WParam: WPARAM;

  LParam: LPARAM

):Integer;

Arguments

hhk | Handle of the current hook.
ncode | The Hook code (message ID).
WParam | Message parameter.
LParam | Message parameter.

Function result

Depends on the Hook type.


CallWindowProc

Calls another Window procedure, to handle a message.

Declaration

Source position: winapih.inc line 42

function CallWindowProc(

  lpPrevWndFunc: TFarProc;

  Handle: HWND;

  Msg: UINT;

  WParam: WPARAM;

  LParam: LPARAM

):Integer;


CharLower

Declaration

Source position: winapih.inc line 300

function CharLower(

  c: Char

):Char;


CharLowerBuff

Declaration

Source position: winapih.inc line 301

function CharLowerBuff(

  pStr: PChar;

  Len: Integer

):Integer;


CharUpper

Declaration

Source position: winapih.inc line 302

function CharUpper(

  c: Char

):Char;


CharUpperBuff

Declaration

Source position: winapih.inc line 303

function CharUpperBuff(

  pStr: PChar;

  Len: Integer

):Integer;


ClientToScreen

Converts (relative) Client coordinates into absolute Screen coordinates.

Declaration

Source position: winapih.inc line 46

function ClientToScreen(

  Handle: HWND;

  var P: TPoint

):Boolean;

Arguments

Handle | The window with the client area.
P | The point to convert.

Function result

False on failure.

See also

ScreenToClient

Converts absolute Screen coordinates into Client relative coordinates.


ClipboardFormatNeedsNullByte

Declaration

Source position: lclintfh.inc line 51

function ClipboardFormatNeedsNullByte(

  const AFormat: TPredefinedClipboardFormat

):Boolean;


ClipboardFormatToMimeType

Declaration

Source position: lclintfh.inc line 41

function ClipboardFormatToMimeType(

  FormatID: TClipboardFormat

):string;


ClipboardGetData

Declaration

Source position: lclintfh.inc line 42

function ClipboardGetData(

  ClipboardType: TClipboardType;

  FormatID: TClipboardFormat;

  Stream: TStream

):Boolean;


ClipboardGetFormats

Declaration

Source position: lclintfh.inc line 45

function ClipboardGetFormats(

  ClipboardType: TClipboardType;

  var Count: Integer;

  var List: PClipboardFormat

):Boolean;


ClipboardGetOwnerShip

Declaration

Source position: lclintfh.inc line 47

function ClipboardGetOwnerShip(

  ClipboardType: TClipboardType;

  OnRequestProc: TClipboardRequestEvent;

  FormatCount: Integer;

  Formats: PClipboardFormat

):Boolean;


ClipboardRegisterFormat

Declaration

Source position: lclintfh.inc line 50

function ClipboardRegisterFormat(

  const AMimeType: string

):TClipboardFormat;


CombineRgn

Combines two regions.

Declaration

Source position: winapih.inc line 47

function CombineRgn(

  Dest: HRGN;

  Src1: HRGN;

  Src2: HRGN;

  fnCombineMode: LongInt

):LongInt;

Arguments

Dest | The Handle of the destination region. This region must already exist!
Src1 | The handle of a region to combine.
Src2 | The handle of a region to combine.
fnCombineMode | How the regions are combined.

Description

The following parameters are present in this function:
Dest - The Handle of a region which will receive the result of the operation
Src1 - One of the two regions to combine
Src2 - The other region to combinee
fnCombineMode - The method to use to combine the regions.
As for the parameter fnCombineMode, the following constants from the unit LCLType can be used:
RGN_AND	- The result is the intersection of the two combined regions.
RGN_COPY - The result is a copy of the region Src1
RGN_DIFF - Combines the parts of Src1 that are not part of Src2.
RGN_OR - The result is the union of the two regions.
RGN_XOR - The result is the union of two combined regions except for any overlapping areas.


CopyRect

Declaration

Source position: winapih.inc line 304

function CopyRect(

  var DestRect: TRect;

  const SrcRect: TRect

):Boolean;


CreateBitmap

Creates a bitmap object.

Declaration

Source position: winapih.inc line 48

function CreateBitmap(

  Width: Integer;

  Height: Integer;

  Planes: LongInt;

  BitCount: LongInt;

  BitmapBits: Pointer

):HBITMAP;

Arguments

Planes | The number of color planes.
BitCount | The number of color bits per pixel and plane.
BitmapBits | The bitmap pixels. Scanlines must be word-aligned.

Function result

The bitmap Handle, zero on failure.


CreateBrushIndirect

Creates a brush object (bitmap).

Declaration

Source position: winapih.inc line 49

function CreateBrushIndirect(

  const LogBrush: TLogBrush

):HBRUSH;

Arguments

LogBrush

Description of the brush.

Function result

The brush Handle, zero on failure.

Description

A brush is used to fill image areas (background...). It has a color and a pattern, e.g. BS_SOLID.


CreateBrushWithRadialGradient

Declaration

Source position: winapih.inc line 50

function CreateBrushWithRadialGradient(

  const LogBrush: TLogRadialGradient

):HBRUSH;


CreateCaret

Creates a Caret (text cursor).

Declaration

Source position: winapih.inc line 51

function CreateCaret(

  Handle: HWND;

  Bitmap: HBITMAP;

  width: Integer;

  Height: Integer

):Boolean;

Arguments

Handle | The window that owns the caret.
Bitmap | Bitmap Handle, or zero for a solid (black) caret, 1 for a grey caret.
width | The width of the caret, in logical units.
Height | The height of the caret, in logical units.

Function result

False on failure.

Description

This description is taken from the WinAPI, no guarantee for other platforms.


CreateCompatibleBitmap

Creates a bitmap that is compatible with the given DC.

Declaration

Source position: winapih.inc line 52

function CreateCompatibleBitmap(

  DC: HDC;

  Width: Integer;

  Height: Integer

):HBITMAP;

Arguments

DC | The Device Context for the bitmap.
Width | The bitmap width in pixels.
Height | The bitmap height in pixels.

Function result

The bitmap handle, zero on failure.


CreateCompatibleDC

Creates an memory Device Context, compatible with the device of the given DC.

Declaration

Source position: winapih.inc line 53

function CreateCompatibleDC(

  DC: HDC

):HDC;

Arguments

DC

The device DC.

Function result

The memory DC, zero on failure.


CreateDIBitmap

Creates a Device Dependent Bitmap (DDB) from a Device Independent Bitmap (DIB).

Declaration

Source position: winapih.inc line 54

function CreateDIBitmap(

  DC: HDC;

  var InfoHeader: TBitmapInfoHeader;

  dwUsage: DWORD;

  InitBits: PChar;

  var InitInfo: TBitmapInfo;

  wUsage: UINT

):HBITMAP;

Arguments

DC | The context for the DDB.
InfoHeader | The bitmap info header.
InitBits | An array containing the bitmap pixels.
InitInfo | CBM_INIT when InitBits contains valid data, else zero.

Function result

The bitmap handle, zero on failure.


CreateDIBSection

Creates a bitmap into which the application can write.

Declaration

Source position: winapih.inc line 57

function CreateDIBSection(

  DC: HDC;

  const BitmapInfo: tagBITMAPINFO;

  Usage: UINT;

  var Bits: Pointer;

  SectionHandle: THandle;

  Offset: DWORD

):HBITMAP;

Arguments

DC | The DC for the bitmap.
BitmapInfo | Contains all information about the bitmap, except the pixels.
Usage | The type of the bitmap colors, e.g. DIB_RGB_COLORS.
Bits | Pointer to the bitmap pixels.
SectionHandle | Zero or the Handle of a file-mapping object, from which the bitmap is initialized (needs CreateFileMapping).
Offset | The offset to the bitmap bits in the file-mapping object.

Function result

The bitmap Handle, zero on failure.


CreateEllipticRgn

Creates an elliptic region.

Declaration

Source position: winapih.inc line 59

function CreateEllipticRgn(

  X1: Integer;

  Y1: Integer;

  X2: Integer;

  Y2: Integer

):HRGN;

Function result

The region Handle, zero on failure.


CreateEllipticRgnIndirect

Declaration

Source position: winapih.inc line 305

function CreateEllipticRgnIndirect(

  const ARect: TRect

):HRGN;


CreateEmptyRegion

Declaration

Source position: lclintfh.inc line 52

function CreateEmptyRegion: HRGN;


CreateFont

Declaration

Source position: winapih.inc line 306

function CreateFont(

  Height: Integer;

  Width: Integer;

  Escapement: Integer;

  Orientation: Integer;

  Weight: Integer;

  Italic: Byte;

  Underline: Byte;

  StrikeOut: Byte;

  CharSet: Byte;

  OutputPrecision: Byte;

  ClipPrecision: Byte;

  Quality: Byte;

  PitchAndFamily: Byte;

  FaceName: PChar

):HFONT;


CreateFontIndirect

Creates an logical font, selectable into any DC.

Declaration

Source position: winapih.inc line 62

function CreateFontIndirect(

  const LogFont: TLogFont

):HFONT;

Arguments

LogFont

The font description.

Function result

The font handle, zero on failure.

See also

CreateFontIndirectEx

Creates an logical font, selectable into any DC. Allows for an long fontname.


CreateFontIndirectEx

Creates an logical font, selectable into any DC. Allows for an long fontname.

Declaration

Source position: winapih.inc line 63

function CreateFontIndirectEx(

  const LogFont: TLogFont;

  const LongFontName: string

):HFONT;

Arguments

LogFont | The font description.
LongFontName | The font name, can be longer than 32 characters.

Function result

The font handle, zero on failure.

See also

CreateFontIndirect

Creates an logical font, selectable into any DC.


CreateIconIndirect

Creates an icon or cursor.

Declaration

Source position: winapih.inc line 64

function CreateIconIndirect(

  IconInfo: PIconInfo

):HICON;

Function result

The Handle, zero on failure.


CreatePalette

Creates a logical palette, selectable into any DC.

Declaration

Source position: winapih.inc line 65

function CreatePalette(

  const LogPalette: TLOGPALETTE

):HPALETTE;

Function result

The palette Handle, zero on failure.


CreatePatternBrush

Creates a logical brush, selectable into any DC.

Declaration

Source position: winapih.inc line 66

function CreatePatternBrush(

  ABitmap: HBITMAP

):HBRUSH;

Arguments

ABitmap

The bitmap to use for the brush.

Function result

The brush handle, zero on failure.

Description

The bitmap pattern is repeated for areas of larger width or height, it should allow for smooth transitions.

Monochrome bitmaps obtain the actual text (0) or background (1) color of the DC.


CreatePen

Declaration

Source position: winapih.inc line 309

function CreatePen(

  Style: Integer;

  Width: Integer;

  Color: TColorRef

):HPEN;


CreatePenIndirect

Creates an logical Pen, selectable into any DC.

Declaration

Source position: winapih.inc line 68

function CreatePenIndirect(

  const LogPen: TLogPen

):HPEN;

Function result

The pen Handle, zero on failure.


CreatePixmapIndirect

Declaration

Source position: lclintfh.inc line 53

function CreatePixmapIndirect(

  const Data: Pointer;

  const TransColor: LongInt

):HBITMAP;


CreatePolygonRgn

Creates a polygonial region.

Declaration

Source position: winapih.inc line 69

function CreatePolygonRgn(

  Points: PPoint;

  NumPts: Integer;

  FillMode: Integer

):HRGN;

Arguments

Points | The array of points.
NumPts | The number of points in Points.
FillMode | Can be ALTERNATE or WINDING.

Function result

The region Handle, zero on failure.

Description

The last point is connected to the first point, to close the region.


CreateRectRgn

Creates a rectangular region.

Declaration

Source position: winapih.inc line 70

function CreateRectRgn(

  X1: Integer;

  Y1: Integer;

  X2: Integer;

  Y2: Integer

):HRGN;

Function result

The region handle, zero on failure.


CreateRectRgnIndirect

Declaration

Source position: winapih.inc line 310

function CreateRectRgnIndirect(

  const ARect: TRect

):HRGN;


CreateRegionCopy

Declaration

Source position: lclintfh.inc line 54

function CreateRegionCopy(

  SrcRGN: HRGN

):HRGN;


CreateRoundRectRgn

Creates a rectangular region with rounded corners. All parameters in logical units.

Declaration

Source position: winapih.inc line 72

function CreateRoundRectRgn(

  X1: Integer;

  Y1: Integer;

  X2: Integer;

  Y2: Integer;

  nWidthEllipse: Integer;

  nHeightEllipse: Integer

):HRGN;

Arguments

nWidthEllipse | The extent of the ellipse, used for the rounded corners.
nHeightEllipse | The extent of the ellipse, used for the rounded corners.

Function result

The region Handle, zero on failure.


CreateRubberBand

Declaration

Source position: lclintfh.inc line 55

function CreateRubberBand(

  const ARect: TRect;

  const ABrush: HBRUSH = 0

):HWND;


CreateSolidBrush

Declaration

Source position: winapih.inc line 311

function CreateSolidBrush(

  Color: TColorRef

):HBRUSH;


CreateStandardCursor

Declaration

Source position: lclintfh.inc line 56

function CreateStandardCursor(

  ACursor: SmallInt

):HCURSOR;


DCClipRegionValid

Declaration

Source position: lclintfh.inc line 58

function DCClipRegionValid(

  DC: HDC

):Boolean;


DeallocateHWnd

Declaration

Source position: lclintfh.inc line 59

procedure DeallocateHWnd(

  Wnd: HWND

);


DeleteCriticalSection

Deletes an unowned crititcal section.

Declaration

Source position: winapih.inc line 74

procedure DeleteCriticalSection(

  var CritSection: TCriticalSection

);

Errors

Results are unpredictable when the section is owned, i.e. has been entered but not yet left.


DeleteDC

Deletes an Device Context, created by CreateDC.

Declaration

Source position: winapih.inc line 75

function DeleteDC(

  hDC: HDC

):Boolean;

Function result

False on failure.

See also

ReleaseDC

Releases an Device Context obtained by GetDC.


DeleteObject

Frees an GDI object.

Declaration

Source position: winapih.inc line 76

function DeleteObject(

  GDIObject: HGDIOBJ

):Boolean;

Function result

False on failure.

Description

The bitmap of a pattern brush is not destroyed with the brush.

Errors

The function fails when the Handle is selected into an DC.


DestroyCaret

Destroys the caret but doesn't free the bitmap.

Declaration

Source position: winapih.inc line 77

function DestroyCaret(

  Handle: HWND

):Boolean;

Arguments

Handle

Handle of the window with the caret.

Function result

False on failure.


DestroyCursor

Destroys an mouse cursor.

Declaration

Source position: winapih.inc line 78

function DestroyCursor(

  Handle: HCURSOR

):Boolean;

Arguments

Handle

The cursor Handle.

Function result

False on failure.


DestroyIcon

Destroys an icon.

Declaration

Source position: winapih.inc line 79

function DestroyIcon(

  Handle: HICON

):Boolean;

Function result

False on failure.


DestroyRubberBand

Declaration

Source position: lclintfh.inc line 60

procedure DestroyRubberBand(

  ARubberBand: HWND

);


DPtoLP

Converts an array of Device Points (coordinates) into Logical Points.

Declaration

Source position: winapih.inc line 81

function DPtoLP(

  DC: HDC;

  var Points;

  Count: Integer

):Bool;

Arguments

DC | The device context, containing the coordinate mapping information.
Points | An array of points.
Count | The number of points to convert.

Function result

False on failure.


DrawDefaultDockImage

Declaration

Source position: lclintfh.inc line 61

procedure DrawDefaultDockImage(

  AOldRect: TRect;

  ANewRect: TRect;

  AOperation: TDockImageOperation

);


DrawEdge

Draws one or more edges of a rectangle.

Declaration

Source position: winapih.inc line 84

function DrawEdge(

  DC: HDC;

  var Rect: TRect;

  edge: Cardinal;

  grfFlags: Cardinal

):Boolean;


DrawFocusRect

Shows or hides a floating rectangle.

Declaration

Source position: winapih.inc line 83

function DrawFocusRect(

  DC: HDC;

  const Rect: TRect

):Boolean;


DrawFrameControl

Draws a window frame control, of the specified type and style.

Declaration

Source position: winapih.inc line 82

function DrawFrameControl(

  DC: HDC;

  const Rect: TRect;

  uType: Cardinal;

  uState: Cardinal

):Boolean;

Function result

False on failure.


DrawGrid

Declaration

Source position: lclintfh.inc line 62

procedure DrawGrid(

  DC: HDC;

  const R: TRect;

  DX: Integer;

  DY: Integer

);


DrawText

Draws formatted text within a rectangle.

Declaration

Source position: winapih.inc line 85

function DrawText(

  DC: HDC;

  Str: PChar;

  Count: Integer;

  var Rect: TRect;

  Flags: Cardinal

):Integer;


Ellipse

Draws a filled circle or ellipse, bounded by a rectangle.

Declaration

Source position: winapih.inc line 95

function Ellipse(

  DC: HDC;

  x1: Integer;

  y1: Integer;

  x2: Integer;

  y2: Integer

):Boolean;


EnableScrollBar

Enables or disables the arrows of a scrollbar control, or of the scrollbars of a window.

Declaration

Source position: winapih.inc line 87

function EnableScrollBar(

  Wnd: HWND;

  wSBflags: Cardinal;

  wArrows: Cardinal

):Boolean;


EnableWindow

Enables or disables mouse and keyboard input to the specified window or control.

Declaration

Source position: winapih.inc line 88

function EnableWindow(

  hWnd: HWND;

  bEnable: Boolean

):Boolean;


EndPaint

Ends painting a window, started with BeginPaint.

Declaration

Source position: winapih.inc line 89

function EndPaint(

  Handle: HWND;

  var PS: TPaintStruct

):Integer;


EnterCriticalSection

Enters a critical section.

Declaration

Source position: winapih.inc line 90

procedure EnterCriticalSection(

  var CritSection: TCriticalSection

); overload;


EnumDisplayMonitors

Invokes a callback function for every available display monitor.

Declaration

Source position: winapih.inc line 91

function EnumDisplayMonitors(

  hdc: HDC;

  lprcClip: PRect;

  lpfnEnum: MonitorEnumProc;

  dwData: LPARAM

):LongBool;


EnumFontFamilies

Invokes a callback function for every font available on a specified device.

Declaration

Source position: winapih.inc line 92

function EnumFontFamilies(

  DC: HDC;

  Family: Pchar;

  EnumFontFamProc: FontEnumProc;

  LParam: LPARAM

):LongInt;


EnumFontFamiliesEx

Invokes a callback function for every available font that matches certain criteria.

Declaration

Source position: winapih.inc line 93

function EnumFontFamiliesEx(

  DC: HDC;

  lpLogFont: PLogFont;

  Callback: FontEnumExProc;

  Lparam: LPARAM;

  Flags: dword

):LongInt;


EqualRect

Returns True when the rectangles are identical.

Declaration

Source position: winapih.inc line 313

function EqualRect(

  const lprc1: TRect;

  const lprc2: TRect

):Boolean;


EqualRgn

Declaration

Source position: winapih.inc line 97

function EqualRgn(

  Rgn1: HRGN;

  Rgn2: HRGN

):Boolean;


ExcludeClipRect

Excludes a rectangle from the clipping region, i.e. allows one to paint within the rectangle.

Declaration

Source position: winapih.inc line 98

function ExcludeClipRect(

  dc: HDC;

  Left: Integer;

  Top: Integer;

  Right: Integer;

  Bottom: Integer

):Integer;


ExcludeClipRgn

Declaration

Source position: lclintfh.inc line 134

function ExcludeClipRgn(

  dc: HDC;

  rgn: HRGN

):Integer;


ExtCreatePen

Creates an logical pen, selectable into any DC.

Declaration

Source position: winapih.inc line 99

function ExtCreatePen(

  dwPenStyle: DWord;

  dwWidth: DWord;

  const lplb: TLogBrush;

  dwStyleCount: DWord;

  lpStyle: PDWord

):HPEN;


ExtSelectClipRGN

Combines the passed Region with the current clipping region.

Declaration

Source position: winapih.inc line 101

function ExtSelectClipRGN(

  dc: HDC;

  rgn: HRGN;

  Mode: LongInt

):Integer;


ExtTextOut

Draws an string without formatting (single line).

Declaration

Source position: winapih.inc line 100

function ExtTextOut(

  DC: HDC;

  X: Integer;

  Y: Integer;

  Options: LongInt;

  Rect: PRect;

  Str: PChar;

  Count: LongInt;

  Dx: PInteger

):Boolean;


ExtUTF8Out

Declaration

Source position: lclintfh.inc line 64

function ExtUTF8Out(

  DC: HDC;

  X: Integer;

  Y: Integer;

  Options: LongInt;

  Rect: PRect;

  Str: PChar;

  Count: LongInt;

  Dx: PInteger

):Boolean;


FillRect

Fills a rectangle by using the specified brush.

Declaration

Source position: winapih.inc line 103

function FillRect(

  DC: HDC;

  const Rect: TRect;

  Brush: HBRUSH

):Boolean;


FillRgn

Fills a region using the specified brush.

Declaration

Source position: winapih.inc line 104

function FillRgn(

  DC: HDC;

  RegionHnd: HRGN;

  hbr: HBRUSH

):Bool;


FindDefaultBrowser

Declaration

Source position: lclintf.pas line 80

function FindDefaultBrowser(

  out ABrowser: string;

  out AParams: string

):Boolean;


FloodFill

Fills an area of the display surface with the current brush.

Declaration

Source position: winapih.inc line 105

function FloodFill(

  DC: HDC;

  X: Integer;

  Y: Integer;

  Color: TGraphicsColor;

  FillStyle: TGraphicsFillStyle;

  Brush: HBRUSH

):Boolean;


FontCanUTF8

[Overview][Types][Procedures and functions][Variables][Index] Reference for unit 'LCLIntf' (#lcl)

FontCanUTF8 (deprecated)

Declaration

Source position: lclintfh.inc line 66

function FontCanUTF8(

  Font: HFONT

):Boolean;


FontIsMonoSpace

Declaration

Source position: lclintfh.inc line 67

function FontIsMonoSpace(

  Font: HFONT

):Boolean;


Frame3d

Declaration

Source position: lclintfh.inc line 68

function Frame3d(

  DC: HDC;

  var ARect: TRect;

  const FrameWidth: Integer;

  const Style: TGraphicsBevelCut

):Boolean;


FrameRect

Draws a border around a rectangle.

Declaration

Source position: winapih.inc line 109

function FrameRect(

  DC: HDC;

  const ARect: TRect;

  hBr: HBRUSH

):Integer;


GetAcceleratorString

Declaration

Source position: lclintfh.inc line 70

function GetAcceleratorString(

  const AVKey: Byte;

  const AShiftState: TShiftState

):string;


GetActiveWindow

Returns the Handle of the active window of the calling thread.

Declaration

Source position: winapih.inc line 111

function GetActiveWindow: HWND;


GetAvailableNativeCanvasTypes

Declaration

Source position: lclintfh.inc line 71

function GetAvailableNativeCanvasTypes(

  DC: HDC;

  AAllowFallbackToParent: Boolean = False

):TNativeCanvasTypes;


GetAvailableNativeHandleTypes

Declaration

Source position: lclintfh.inc line 72

function GetAvailableNativeHandleTypes(

  Handle: HWND;

  AAllowFallbackToParent: Boolean = False

):TNativeHandleTypes;


GetBitmapBits

Fills an buffer with the bitmap bits.

Declaration

Source position: winapih.inc line 112

function GetBitmapBits(

  Bitmap: HBITMAP;

  Count: LongInt;

  Bits: Pointer

):LongInt;


GetBkColor

Returns the background color of an device context.

Declaration

Source position: winapih.inc line 113

function GetBkColor(

  DC: HDC

):TColorRef;


GetBValue

Extracts the blue color value from a COLORREF.

Declaration

Source position: winapih.inc line 319

function GetBValue(

  RGB: DWORD

):Byte;


GetCapture

Returns the window that captures mouse messages.

Declaration

Source position: winapih.inc line 114

function GetCapture: HWND;


GetCaretPos

Returns the caret position, in client coordinates.

Declaration

Source position: winapih.inc line 115

function GetCaretPos(

  var lpPoint: TPoint

):Boolean;


GetCaretRespondToFocus

Declaration

Source position: lclintfh.inc line 73

function GetCaretRespondToFocus(

  handle: HWND;

  var ShowHideOnFocus: Boolean

):Boolean;


GetCharABCWidths

Returns the ABC widths of an range of character codes.

Declaration

Source position: winapih.inc line 121

function GetCharABCWidths(

  DC: HDC;

  p2: UINT;

  p3: UINT;

  const ABCStructs

):Boolean;


GetClientBounds

Declaration

Source position: lclintfh.inc line 74

function GetClientBounds(

  handle: HWND;

  var ARect: TRect

):Boolean;


GetClientRect

Returns the client rectangle of a control. Left and Top are always 0.

Declaration

Source position: winapih.inc line 116

function GetClientRect(

  handle: HWND;

  var Rect: TRect

):Boolean;

Description

The client rectangle is the size of the inner area of a control, where the child controls are visible.

A child control with Align=alClient will completely fill the clientrect.


GetClipBox

Returns the smallest rectangle which includes the entire clipping region of an device context.

Declaration

Source position: winapih.inc line 117

function GetClipBox(

  DC: HDC;

  lpRect: PRect

):LongInt;


GetClipRGN

Returns the clipping region of an device context.

Declaration

Source position: winapih.inc line 118

function GetClipRGN(

  DC: HDC;

  RGN: HRGN

):LongInt;


GetCmdLineParamDescForInterface

Declaration

Source position: lclintfh.inc line 75

function GetCmdLineParamDescForInterface: string;


GetControlConstraints

Declaration

Source position: lclintfh.inc line 76

function GetControlConstraints(

  Constraints: TObject

):Boolean;


GetCurrentObject

Returns an currently selected object in an device context.

Declaration

Source position: winapih.inc line 119

function GetCurrentObject(

  DC: HDC;

  uObjectType: UINT

):HGDIOBJ;


GetCursorPos

Declaration

Source position: winapih.inc line 120

function GetCursorPos(

  var lpPoint: TPoint

):Boolean;


GetDC

Returns the handle of an Device Context (DC) for the client area of a window.

Declaration

Source position: winapih.inc line 122

function GetDC(

  hWnd: HWND

):HDC;


GetDCOriginRelativeToWindow

Declaration

Source position: lclintfh.inc line 77

function GetDCOriginRelativeToWindow(

  PaintDC: HDC;

  WindowHandle: HWND;

  var OriginDiff: TPoint

):Boolean;


GetDesignerDC

Declaration

Source position: lclintfh.inc line 78

function GetDesignerDC(

  WindowHandle: HWND

):HDC;


GetDeviceCaps

Returns various device specific informations.

Declaration

Source position: winapih.inc line 123

function GetDeviceCaps(

  DC: HDC;

  Index: Integer

):Integer;

Description

Returns informations about any DC, which might be the screen DC representing the monitor, a control canvas or a offscreen bitmap canvas. The following constants can be utilized in the index argument:

  • HORZSIZE
  • VERTSIZE
  • HORZRES
  • BITSPIXEL
  • PLANES
  • SIZEPALETTE
  • LOGPIXELSX - the DPI in the X axis
  • LOGPIXELSY - the DPI in the Y axis
  • VERTRES
  • NUMRESERVED
An example showing how to obtain the screen DPI for the X axis using GetDeviceCaps, which is the method utilized by TScreen.PixelsPerInch:

var
  DC: HDC;
begin
  DC := GetDC(0);
  FDPI := GetDeviceCaps(DC,LOGPIXELSX); // DPI in pixels per inch
  ReleaseDC(0, DC);
end;

See also

#lcl.Forms.TScreen.PixelsPerInch | The number of screen pixels for an virtual inch (DPI), in vertical direction.
#lcl.LCLType.HORZSIZE | Horizontal size in millimeters
#lcl.LCLType.VERTSIZE | Vertical size in millimeters.
#lcl.LCLType.HORZRES | Horizontal width in pixels
#lcl.LCLType.BITSPIXEL | Number of bits per pixel
#lcl.LCLType.PLANES | Number of color planes.
#lcl.LCLType.SIZEPALETTE | Number of entries in the color palette
#lcl.LCLType.LOGPIXELSX | The number of pixels per logical inch, in X (horizontal) direction.
#lcl.LCLType.LOGPIXELSY | The number of pixels per logical inch, in Y (vertical) direction.
#lcl.LCLType.VERTRES | Vertical height in pixels
#lcl.LCLType.NUMRESERVED | Number of reserved entries in the color palette


GetDeviceSize

Declaration

Source position: lclintfh.inc line 79

function GetDeviceSize(

  DC: HDC;

  var p: TPoint

):Boolean;


GetDIBits

Fills an buffer with the bitmap bits.

Declaration

Source position: winapih.inc line 124

function GetDIBits(

  DC: HDC;

  Bitmap: HBITMAP;

  StartScan: UINT;

  NumScans: UINT;

  Bits: Pointer;

  var BitInfo: BITMAPINFO;

  Usage: UINT

):Integer;

Arguments

Bitmap | The (device dependent) bitmap handle.
Bits | Pointer to the output buffer, or Nil to get the required dimensions.


GetDoubleClickTime

Returns the double-click time, in milliseconds.

Declaration

Source position: winapih.inc line 125

function GetDoubleClickTime: UINT;


GetDpiForMonitor

Declaration

Source position: winapih.inc line 133

function GetDpiForMonitor(

  hmonitor: HMONITOR;

  dpiType: TMonitorDpiType;

  out dpiX: UINT;

  out dpiY: UINT

):HRESULT;


GetFocus

Returns the handle of the window that has the focus in the current thread.

Declaration

Source position: winapih.inc line 126

function GetFocus: HWND;


GetFontLanguageInfo

Returns language information about the currently selected font.

Declaration

Source position: winapih.inc line 127

function GetFontLanguageInfo(

  DC: HDC

):DWord;


GetForegroundWindow

Returns the window that the user is currently working with, session wide.

Declaration

Source position: winapih.inc line 128

function GetForegroundWindow: HWND;


GetGValue

Extracts the green color value from a COLORREF.

Declaration

Source position: winapih.inc line 318

function GetGValue(

  RGB: DWORD

):Byte;


GetIconInfo

Returns information about an Icon or Cursor.

Declaration

Source position: winapih.inc line 129

function GetIconInfo(

  AIcon: HICON;

  AIconInfo: PIconInfo

):Boolean;


GetKeyState

The status of a virtual key.

Declaration

Source position: winapih.inc line 130

function GetKeyState(

  nVirtKey: Integer

):SmallInt;


GetLCLOwnerObject

Declaration

Source position: lclintfh.inc line 80

function GetLCLOwnerObject(

  Handle: HWND

):TObject;


GetMapMode

Returns the mapping mode of an device context.

Declaration

Source position: winapih.inc line 131

function GetMapMode(

  DC: HDC

):Integer;


GetMonitorInfo

Returns information about an display monitor.

Declaration

Source position: winapih.inc line 132

function GetMonitorInfo(

  hMonitor: HMONITOR;

  lpmi: PMonitorInfo

):Boolean;


GetNativeCanvas

Declaration

Source position: lclintfh.inc line 81

function GetNativeCanvas(

  DC: HDC;

  AHandleType: TNativeCanvasType;

  AAllowFallbackToParent: Boolean = False

):PtrInt;


GetNativeHandle

Declaration

Source position: lclintfh.inc line 82

function GetNativeHandle(

  Handle: HWND;

  AHandleType: TNativeHandleType;

  AAllowFallbackToParent: Boolean = False

):PtrInt;


GetObject

Returns information about a graphics object.

Declaration

Source position: winapih.inc line 134

function GetObject(

  GDIObject: HGDIOBJ;

  BufSize: Integer;

  Buf: Pointer

):Integer;


GetPaletteEntries

Retrieves an range of color entries from a logical palette.

Declaration

Source position: winapih.inc line 135

function GetPaletteEntries(

  Palette: HPALETTE;

  StartIndex: UINT;

  NumEntries: UINT;

  var PaletteEntries

):UINT;


GetParent

Returns the parent window of a window.

Declaration

Source position: winapih.inc line 137

function GetParent(

  Handle: HWND

):HWND;


GetProp

Retrieves an property value for a window.

Declaration

Source position: winapih.inc line 138

function GetProp(

  Handle: HWND;

  Str: PChar

):Pointer;


GetRGBIntValues

Extracts the red, green and blue color values from a COLORREF.

Declaration

Source position: winapih.inc line 321

procedure GetRGBIntValues(

  RGB: DWORD;

  out R: Integer;

  out G: Integer;

  out B: Integer

);


GetRGBValues

Extracts the red, green and blue color values from a COLORREF.

Declaration

Source position: winapih.inc line 320

procedure GetRGBValues(

  RGB: DWORD;

  out R: Byte;

  out G: Byte;

  out B: Byte

);


GetRgnBox

Returns the bounding rectangle of a region, containing the entire region.

Declaration

Source position: winapih.inc line 139

function GetRgnBox(

  RGN: HRGN;

  lpRect: PRect

):LongInt;


GetROP2

The current Foreground Mixing Mode in an device context.

Declaration

Source position: winapih.inc line 140

function GetROP2(

  DC: HDC

):Integer;


GetRValue

Extracts the red color value from a COLORREF.

Declaration

Source position: winapih.inc line 317

function GetRValue(

  RGB: DWORD

):Byte;


GetScrollBarSize

Declaration

Source position: lclintfh.inc line 83

function GetScrollBarSize(

  Handle: HWND;

  SBStyle: Integer

):Integer;


GetScrollbarVisible

Declaration

Source position: lclintfh.inc line 84

function GetScrollbarVisible(

  Handle: HWND;

  SBStyle: Integer

):Boolean;


GetScrollInfo

Returns all or selected information about a ScrollBar.

Declaration

Source position: winapih.inc line 141

function GetScrollInfo(

  Handle: HWND;

  SBStyle: Integer;

  var ScrollInfo: TScrollInfo

):Boolean;

Arguments

Handle | The ScrollBar or window handle.
SBStyle | The ScrollBar kind.
ScrollInfo | Receives the values indicated in fMask.

Function result

False on failure.

See also

#lcl.LCLType.tagScrollInfo | The Scrollbar properties parameter record.
SetScrollInfo |


GetScrollPos

Returns the scollbar position.

Declaration

Source position: winapih.inc line 315

function GetScrollPos(

  Handle: HWND;

  nBar: Integer

):Integer;

Function result

The position, zero if the scrollbar is not visible.

Description

If the scrollbar is not visible, then the return value is 0.


GetScrollRange

Returns the minimum and maximum Position values of a ScrollBar.

Declaration

Source position: winapih.inc line 316

function GetScrollRange(

  Handle: HWND;

  nBar: Integer;

  var lpMinPos: Integer;

  var lpMaxPos: Integer

):Boolean;


GetStockObject

Retrieves a handle to one of the predefined graphic objects.

Declaration

Source position: winapih.inc line 144

function GetStockObject(

  Value: Integer

):THandle;


GetSysColor

Retrieves the system color for standard display elements.

Declaration

Source position: winapih.inc line 145

function GetSysColor(

  nIndex: Integer

):DWORD;


GetSysColorBrush

Retrieves a system brush for standard display elements.

Declaration

Source position: winapih.inc line 146

function GetSysColorBrush(

  nIndex: Integer

):HBRUSH;


GetSystemMetrics

Retrieves various system metrics.

Declaration

Source position: winapih.inc line 149

function GetSystemMetrics(

  nIndex: Integer

):Integer;


GetSystemPaletteEntries

Retrieves an range of color entries from the system palette for a device.

Declaration

Source position: winapih.inc line 147

function GetSystemPaletteEntries(

  DC: HDC;

  StartIndex: UINT;

  NumEntries: UINT;

  var PaletteEntries

):UINT;


GetTextColor

The current text color in an device context.

Declaration

Source position: winapih.inc line 150

function GetTextColor(

  DC: HDC

):TColorRef;


GetTextExtentExPoint

Calculates the number of characters, that fit into some horizontal space.

Declaration

Source position: winapih.inc line 151

function GetTextExtentExPoint(

  DC: HDC;

  Str: PChar;

  Count: Integer;

  MaxWidth: Integer;

  MaxCount: PInteger;

  PartialWidths: PInteger;

  var Size: TSize

):Boolean;


GetTextExtentPoint

Computes the display width and height of an string.

Declaration

Source position: winapih.inc line 152

function GetTextExtentPoint(

  DC: HDC;

  Str: PChar;

  Count: Integer;

  var Size: TSize

):Boolean;


GetTextExtentPoint32

Computes the display width and height of an string.

Declaration

Source position: winapih.inc line 153

function GetTextExtentPoint32(

  DC: HDC;

  Str: PChar;

  Count: Integer;

  var Size: TSize

):Boolean;


GetTextMetrics

Retrieves the metrics for the currently selected font.

Declaration

Source position: winapih.inc line 154

function GetTextMetrics(

  DC: HDC;

  var TM: TTextMetric

):Boolean;


GetTickCount

Declaration

Source position: lclintf.pas line 73

function GetTickCount: DWord;


GetTickCount64

Declaration

Source position: lclintf.pas line 74

function GetTickCount64: QWord;


GetViewPortExtEx

Returns the size of the viewport of an device context.

Declaration

Source position: winapih.inc line 155

function GetViewPortExtEx(

  DC: HDC;

  Size: PSize

):Integer;


GetViewPortOrgEx

Returns the origin of the viewport of an device context.

Declaration

Source position: winapih.inc line 156

function GetViewPortOrgEx(

  DC: HDC;

  P: PPoint

):Integer;


GetWindowExtEx

Returns the extent of a window, in logical units.

Declaration

Source position: winapih.inc line 157

function GetWindowExtEx(

  DC: HDC;

  Size: PSize

):Integer;


GetWindowLong

Returns attributes of a window.

Declaration

Source position: winapih.inc line 158

function GetWindowLong(

  Handle: HWND;

  int: Integer

):PtrInt;


GetWindowOrgEx

Retrieves the window origin of an device context, in logical units.

Declaration

Source position: winapih.inc line 161

function GetWindowOrgEx(

  dc: HDC;

  var P: TPoint

):Integer;

function GetWindowOrgEx(

  dc: HDC;

  P: PPoint

):Integer;


GetWindowRect

Retrieves the bounding rectangle of a window, including the window decoration in screen coordinates.

Declaration

Source position: winapih.inc line 159

function GetWindowRect(

  Handle: HWND;

  var Rect: TRect

):Integer;

Description

Retrieves the bounding rectangle of a window, including the window decoration. The coordinates are given relative to the upper-left corner of the screen in screen.

See also

GetWindowSize | Returns the Width and Height of a window, including the window decoration.
SetWindowPos | Changes the size, position, and Z order of a window.
#lcl.Forms.TCustomForm.Width
#lcl.Forms.TCustomForm.Height


GetWindowRelativePosition

Declaration

Source position: lclintfh.inc line 85

function GetWindowRelativePosition(

  Handle: HWND;

  var Left: Integer;

  var Top: Integer

):Boolean;


GetWindowSize

Returns the Width and Height of a window, including the window decoration.

Declaration

Source position: winapih.inc line 160

function GetWindowSize(

  Handle: HWND;

  var Width: Integer;

  var Height: Integer

):Boolean;

Description

This function is a Lazarus addition and does not exist in the Windows API. It returns the Width and Height of a window, including the window decoration. To get the size of a form without the window decoration just use TCustomForm.Width and TCustomForm.Height or TCustomForm.ClientWidth and TCustomForm.ClientHeight.

See also

GetWindowRect

Retrieves the bounding rectangle of a window, including the window decoration in screen coordinates.

#lcl.Forms.TCustomForm.Width

#lcl.Forms.TCustomForm.Height

#lcl.Forms.TCustomForm.ClientWidth

#lcl.Forms.TCustomForm.ClientHeight


GradientFill

Fills rectangle or triangle areas with gradient colors.

Declaration

Source position: winapih.inc line 163

function GradientFill(

  DC: HDC;

  Vertices: PTriVertex;

  NumVertices: LongInt;

  Meshes: Pointer;

  NumMeshes: LongInt;

  Mode: LongInt

):Boolean;


HideCaret

Removes the caret from the screen.

Declaration

Source position: winapih.inc line 166

function HideCaret(

  hWnd: HWND

):Boolean;


IndexToOverlayMask

Converts an imagelist index into an overlay index.

Declaration

Source position: winapih.inc line 323

function IndexToOverlayMask(

  iOverlay: UINT

):UINT;

Arguments

iOverlay

The imagelist index of the overlay.

Function result

Ready for combination with another imagelist index.


InflateRect

Inflates the rectangle in all directions.

Declaration

Source position: winapih.inc line 324

function InflateRect(

  var ARect: TRect;

  dx: Integer;

  dy: Integer

):Boolean;

Arguments

ARect | This rectangle is modified.
dx | The horizontal increase, negative to decrease.
dy | The vertical increase, negative to decrease.

Function result

Always True.

Description

The deltas are applied to every side, i.e. the width and height increase by the double amount.

Positive values inflate, negative values deflate.

The rectangle is clipped so that width and height never can become negative.

This method can be used to add or subtract a border around the rectangle.


InitializeCriticalSection

Initializes a Critical Section object.

Declaration

Source position: winapih.inc line 170

procedure InitializeCriticalSection(

  var CritSection: TCriticalSection

);


IntersectClipRect

Shrinks the clipping region of an Device Context to a rectangular boundary, e.g. a text area.

Declaration

Source position: winapih.inc line 171

function IntersectClipRect(

  dc: HDC;

  Left: Integer;

  Top: Integer;

  Right: Integer;

  Bottom: Integer

):Integer;

Function result

The region type, zero on failure.

Description

The result can be one of the following constants:
Error NullRegion SimpleRegion ComplexRegion Region_Error

See also

#lcl.LCLType.Region_Error


IntersectRect

Intersects SrcRect1 and SrcRect2 into DestRect.

Declaration

Source position: winapih.inc line 325

function IntersectRect(

  var DestRect: TRect;

  const SrcRect1: TRect;

  const SrcRect2: TRect

):Boolean;

Arguments

DestRect

Receives the intersection.

Function result

False when the rectangles don't overlap.

Description

Intersecting means that DestRect will be the overlapping area of SrcRect1 and SrcRect2.

If SrcRect1 and SrcRect2 do not overlap the Result is false, else true.


IntfSendsUTF8KeyPress

[Overview][Types][Procedures and functions][Variables][Index] Reference for unit 'LCLIntf' (#lcl)

IntfSendsUTF8KeyPress (deprecated)

Declaration

Source position: lclintfh.inc line 87

function IntfSendsUTF8KeyPress: Boolean;


InvalidateFrame

Declaration

Source position: lclintfh.inc line 88

function InvalidateFrame(

  aHandle: HWND;

  ARect: PRect;

  bErase: Boolean;

  BorderWidth: Integer

):Boolean;


InvalidateRect

Marks a display area for repaint.

Declaration

Source position: winapih.inc line 173

function InvalidateRect(

  aHandle: HWND;

  ARect: PRect;

  bErase: Boolean

):Boolean;


InvalidateRgn

Marks a display area for repaint.

Declaration

Source position: winapih.inc line 174

function InvalidateRgn(

  Handle: HWND;

  Rgn: HRGN;

  Erase: Boolean

):Boolean;


IsCDIntfControl

Declaration

Source position: lclintfh.inc line 91

function IsCDIntfControl(

  AWinControl: TObject

):Boolean;


IsCharAlphaNumeric

Checks for ASCII letter or digit characters.

Declaration

Source position: winapih.inc line 326

function IsCharAlphaNumeric(

  c: Char

):Boolean;

Function result

True when the character is a letter or digit.


IsDBCSLeadByte

Declaration

Source position: winapih.inc line 176

function IsDBCSLeadByte(

  TestChar: Byte

):Boolean;


IsDesignerDC

Declaration

Source position: lclintfh.inc line 89

function IsDesignerDC(

  WindowHandle: HWND;

  DC: HDC

):Boolean;


IsIconic

True when the window is minimized.

Declaration

Source position: winapih.inc line 178

function IsIconic(

  handle: HWND

):Boolean;


IsMobilePlatform

Declaration

Source position: lclintfh.inc line 90

function IsMobilePlatform: Boolean;


IsRectEmpty

Returns True if the rectangle is empty.

Declaration

Source position: winapih.inc line 327

function IsRectEmpty(

  const ARect: TRect

):Boolean;

Function result

True if the rectangle is empty.

Description

IsEmptyRect returns true if the area of the rectangle is empty, i.e. has a zero or negative width or height.


IsWindow

Checks whether a handle refers to a window.

Declaration

Source position: winapih.inc line 179

function IsWindow(

  handle: HWND

):Boolean;


IsWindowEnabled

Determines whether a window can receive mouse and keyboard input.

Declaration

Source position: winapih.inc line 180

function IsWindowEnabled(

  handle: HWND

):Boolean;


IsWindowVisible

The definite Visible state of a window.

Declaration

Source position: winapih.inc line 181

function IsWindowVisible(

  handle: HWND

):Boolean;


IsZoomed

True when the window is maximized.

Declaration

Source position: winapih.inc line 182

function IsZoomed(

  handle: HWND

):Boolean;


KillTimer

Removes an timer.

Declaration

Source position: winapih.inc line 329

function KillTimer(

  Wnd: HWND;

  uIDEvent: UINT_PTR

):Bool;

Arguments

Wnd | The window handle associated with the timer, can be zero.
uIDEvent | The timer ID.

Function result

Zero on failure!

See also

SetTimer

Creates or resets an timer for the given time interval.


LeaveCriticalSection

Releases a critical section, for use by other threads.

Declaration

Source position: winapih.inc line 186

procedure LeaveCriticalSection(

  var CritSection: TCriticalSection

); overload;


LineTo

Draws a line from the current position up to, but not including, the specified point.

Declaration

Source position: winapih.inc line 187

function LineTo(

  DC: HDC;

  X: Integer;

  Y: Integer

):Boolean;


LoadBitmap

Declaration

Source position: winapih.inc line 188

function LoadBitmap(

  hInstance: THandle;

  lpBitmapName: PChar

):HBITMAP;


LoadCursor

Declaration

Source position: winapih.inc line 189

function LoadCursor(

  hInstance: THandle;

  lpCursorName: PChar

):HCURSOR;


LoadIcon

Declaration

Source position: winapih.inc line 190

function LoadIcon(

  hInstance: THandle;

  lpIconName: PChar

):HICON;


LPtoDP

Converts logical coordinates into device coordinates.

Declaration

Source position: winapih.inc line 191

function LPtoDP(

  DC: HDC;

  var Points;

  Count: Integer

):Bool;


MakeLong

Copies two words into a double word.

Declaration

Source position: winapih.inc line 331

function MakeLong(

  A: Word;

  B: Word

):DWORD;

Arguments

A | The low word.
B | The high word.

Function result

The combined doubleword.


MakeLParam

Copies two words into a double word, usable as a message lParam.

Declaration

Source position: winapih.inc line 335

function MakeLParam(

  l: Word;

  h: Word

):LPARAM;

Arguments

l | The low word.
h | The high word.


MakeLResult

Copies two words into a double word, usable as a message Result.

Declaration

Source position: winapih.inc line 336

function MakeLResult(

  l: Word;

  h: Word

):LRESULT;

Arguments

l | The low word.
h | The high word.


MakeROP4

Declaration

Source position: winapih.inc line 332

function MakeROP4(

  fore: DWORD;

  back: DWORD

):DWORD;


MakeWord

Copies two bytes into a word.

Declaration

Source position: winapih.inc line 333

function MakeWord(

  A: Byte;

  B: Byte

):Word;

Arguments

A | The low byte.
B | The high byte.


MakeWParam

Copies two words into a double word, usable as a message wParam.

Declaration

Source position: winapih.inc line 334

function MakeWParam(

  l: Word;

  h: Word

):WPARAM;

Arguments

l | The low word.
h | The high word.

Description

The result has the size of an pointer.


MaskBlt

Copies part of an source DC into an destination DC, using the specified foreground and background raster operations.

Declaration

Source position: winapih.inc line 196

function MaskBlt(

  DestDC: HDC;

  X: Integer;

  Y: Integer;

  Width: Integer;

  Height: Integer;

  SrcDC: HDC;

  XSrc: Integer;

  YSrc: Integer;

  Mask: HBITMAP;

  XMask: Integer;

  YMask: Integer;

  Rop: DWORD

):Boolean;

function MaskBlt(

  DestDC: HDC;

  X: Integer;

  Y: Integer;

  Width: Integer;

  Height: Integer;

  SrcDC: HDC;

  XSrc: Integer;

  YSrc: Integer;

  Mask: HBITMAP;

  XMask: Integer;

  YMask: Integer

):Boolean;

Description

MaskBlt behaves like BitBlt when no mask bitmap is specified. It does a SRCOPY operation when also no Rop is specified. See BitBlt for general information about raster operations.

Rop contains both a foreground and a background raster operation (see MakeROP4). When a (monochrome) mask bitmap is present, its bits select either the foreground (1) or background (0) raster operation.

See also

BitBlt | Copies a section of a Canvas to another one, performing a raster operation (ROP).
MakeROP4 |


MessageBox

The MessageBox function displays an modal dialog, with the given text, caption, icon and buttons.

Declaration

Source position: winapih.inc line 198

function MessageBox(

  hWnd: HWND;

  lpText: PChar;

  lpCaption: PChar;

  uType: Cardinal = MB_OK

):Integer;


MonitorFromPoint

Finds an monitor from screen coordinates.

Declaration

Source position: winapih.inc line 199

function MonitorFromPoint(

  ptScreenCoords: TPoint;

  dwFlags: DWord

):HMONITOR;


MonitorFromRect

Declaration

Source position: winapih.inc line 200

function MonitorFromRect(

  lprcScreenCoords: PRect;

  dwFlags: DWord

):HMONITOR;


MonitorFromWindow

Finds the monitor covering most of a window.

Declaration

Source position: winapih.inc line 201

function MonitorFromWindow(

  hWnd: HWND;

  dwFlags: DWord

):HMONITOR;


MoveToEx

Moves the current position to the specified point.

Declaration

Source position: winapih.inc line 203

function MoveToEx(

  DC: HDC;

  X: Integer;

  Y: Integer;

  OldPoint: PPoint

):Boolean;


MoveWindowOrgEx

Declaration

Source position: lclintfh.inc line 93

function MoveWindowOrgEx(

  dc: HDC;

  dX: Integer;

  dY: Integer

):Boolean;


MsgKeyDataToShiftState

Declaration

Source position: lclintf.pas line 71

function MsgKeyDataToShiftState(

  KeyData: PtrInt

):TShiftState;


NotifyUser

Declaration

Source position: lclintfh.inc line 137

procedure NotifyUser(

  const DialogMessage: string;

  DialogType: LongInt

);

procedure NotifyUser(

  const DialogCaption: string;

  const DialogMessage: string;

  DialogType: LongInt

);


NotifyUserAtXY

Declaration

Source position: lclintfh.inc line 139

procedure NotifyUserAtXY(

  const DialogMessage: string;

  DialogType: LongInt;

  X: LongInt;

  Y: LongInt

);

procedure NotifyUserAtXY(

  const DialogCaption: string;

  const DialogMessage: string;

  DialogType: LongInt;

  X: LongInt;

  Y: LongInt

);


OffsetRect

Move Left/Right by dx, Top/Bottom by dy. Return Top and Left are >= 0.

Declaration

Source position: winapih.inc line 338

function OffsetRect(

  var Rect: TRect;

  dx: Integer;

  dy: Integer

):Boolean;

Function result

False if resulting Top or Left are negative.


OffsetRgn

Moves a region relative.

Declaration

Source position: winapih.inc line 206

function OffsetRgn(

  RGN: HRGN;

  nXOffset: Integer;

  nYOffset: Integer

):Integer;


OpenDocument

Declaration

Source position: lclintf.pas line 83

function OpenDocument(

  APath: string

):Boolean;


OpenDocumentWidgetsetImplementation

Declaration

Source position: lclintf.pas line 93

var OpenDocumentWidgetsetImplementation: TOpenParamStringProc = Nil;


OpenURL

Open a given URL with the default browser

Declaration

Source position: lclintf.pas line 82

function OpenURL(

  AURL: string

):Boolean;

Description

The function uses FindDefaultBrowser to find the default browser. If it can be found it starts it and returns true. The AURL is passed as parameter. AURL must be an URL like http://www.lazarus.freepascal.org or file:///tmp/test.txt or file://C:\test.txt.


OpenURLWidgetsetImplementation

Declaration

Source position: lclintf.pas line 92

var OpenURLWidgetsetImplementation: TOpenParamStringProc = Nil;


PaintRgn

Declaration

Source position: winapih.inc line 208

function PaintRgn(

  DC: HDC;

  RGN: HRGN

):Boolean;


PeekMessage

Declaration

Source position: winapih.inc line 209

function PeekMessage(

  var lpMsg: TMsg;

  Handle: HWND;

  wMsgFilterMin: UINT;

  wMsgFilterMax: UINT;

  wRemoveMsg: UINT

):Boolean;


Pie

Draws a filled pie-shaped wedge, from an ellipse and two radials.

Declaration

Source position: winapih.inc line 210

function Pie(

  DC: HDC;

  x1: Integer;

  y1: Integer;

  x2: Integer;

  y2: Integer;

  sx: Integer;

  sy: Integer;

  ex: Integer;

  ey: Integer

):Boolean;


PointToSmallPoint

Declaration

Source position: winapih.inc line 341

function PointToSmallPoint(

  const P: TPoint

):TSmallPoint;


PointToSmallPointNoChecks

Declaration

Source position: winapih.inc line 342

function PointToSmallPointNoChecks(

  const P: TPoint

):TSmallPoint;


PolyBezier

Draws Bézier curves

Declaration

Source position: winapih.inc line 211

function PolyBezier(

  DC: HDC;

  Points: PPoint;

  NumPts: Integer;

  Filled: Boolean;

  Continuous: Boolean

):Boolean;

Description

Use Polybezier to draw cubic Bézier curves. The first curve is drawn from the first point to the fourth point with the second and third points being the control points. If the Continuous flag is TRUE then each subsequent curve requires three more points, using the end-point of the previous Curve as its starting point, the first and second points being used as its control points, and the third point its end-point. If the continous flag is set to FALSE, then each subsequent Curve requires 4 additional points, which are used exactly as in the first curve. Any additonal points which do not add up to a full bezier(4 for Continuous, 3 otherwise) are ignored. There must be at least 4 points for an drawing to occur. If the Filled Flag is set to TRUE then the resulting Poly-Bézier will be drawn as a Polygon.


Polygon

Draws a Polygon

Declaration

Source position: winapih.inc line 212

function Polygon(

  DC: HDC;

  Points: PPoint;

  NumPts: Integer;

  Winding: Boolean

):Boolean;

Description

Use Polygon to draw a closed, many-sided shape on the canvas, using the value of Pen. After drawing the complete shape, Polygon fills the shape using the value of Brush. The Points parameter is an array of points that give the vertices of the polygon. Winding determines how the polygon is filled. When Winding is True, Polygon fills the shape using the Winding fill algorithm. When Winding is False, Polygon uses the even-odd (alternative) fill algorithm. StartIndex gives the index of the first point in the array to use. All points before this are ignored. NumPts indicates the number of points to use, starting at StartIndex. If NumPts is -1 (the default), Polygon uses all points from StartIndex to the end of the array. The first point is always connected to the last point. To draw a polygon on the canvas, without filling it, use the Polyline method, specifying the first point a second time at the end.


Polyline

Draws a sequence of lines

Declaration

Source position: winapih.inc line 213

function Polyline(

  DC: HDC;

  Points: PPoint;

  NumPts: Integer

):Boolean;

Description

Use Polyline to connect a set of points on the canvas. If you specify only two points, Polyline draws a single line. The Points parameter is an array of points to be connected. StartIndex identifies the first point in the array to use. NumPts indicates the number of points to use. If NumPts is -1 (the default), PolyLine uses all the points from StartIndex to the end of the array. Calling the MoveTo function with the value of the first point, and then repeatedly calling LineTo with all subsequent points will draw the same image on the canvas. However, unlike LineTo, Polyline does not change the value of PenPos.


PostMessage

Sends a message to a window.

Declaration

Source position: winapih.inc line 214

function PostMessage(

  Handle: HWND;

  Msg: Cardinal;

  WParam: WPARAM;

  LParam: LPARAM

):Boolean;

Description

This method is a thread-safe solution to send messages to windows. Those messages will be handled in the message loop of the application and therefore can be sent from any thread. They are not immediate, but they will awake the main thread if it is waiting for messages. These messages can be handled by procedures with the keyword message in the class of a form for example. One would then use the handle of this form as the Handle parameter of this routine. Custom messages should always have an identification number (represented by the parameter Msg) larger then the constant LM_USER. The two parameters WParam and LParam will be passed along to the window together with the Msg identification number.

The difference between SendMessage and PostMessage is the way that they return control to the calling thread. With SendMessage control is not returned until the window that the message was sent to has completed processing the sent message, however with PostMessage control is returned immediately.

See also

LCLIntf.SendMessage

Sends a message directed to a window to the message pool of the application


PredefinedClipboardFormat

Declaration

Source position: lclintf.pas line 69

function PredefinedClipboardFormat(

  AFormat: TPredefinedClipboardFormat

):TClipboardFormat;


PromptUser

Declaration

Source position: lclintfh.inc line 95

function PromptUser(

  const DialogCaption: string;

  const DialogMessage: string;

  DialogType: LongInt;

  Buttons: PLongint;

  ButtonCount: LongInt;

  DefaultIndex: LongInt;

  EscapeResult: LongInt

):LongInt;

function PromptUser(

  const DialogMessage: string;

  DialogType: LongInt;

  Buttons: array of LongInt;

  DefaultIndex: LongInt;

  EscapeResult: LongInt

):LongInt;

function PromptUser(

  const DialogMessage: string;

  DialogType: LongInt;

  Buttons: PLongint;

  ButtonCount: LongInt;

  DefaultIndex: LongInt;

  EscapeResult: LongInt

):LongInt;

function PromptUser(

  const DialogCaption: string;

  const DialogMessage: string;

  DialogType: LongInt;

  Buttons: array of LongInt;

  DefaultIndex: LongInt;

  EscapeResult: LongInt

):LongInt;


PromptUserAtXY

Declaration

Source position: lclintfh.inc line 96

function PromptUserAtXY(

  const DialogCaption: string;

  const DialogMessage: string;

  DialogType: LongInt;

  Buttons: PLongint;

  ButtonCount: LongInt;

  DefaultIndex: LongInt;

  EscapeResult: LongInt;

  X: LongInt;

  Y: LongInt

):LongInt;

function PromptUserAtXY(

  const DialogMessage: string;

  DialogType: LongInt;

  Buttons: array of LongInt;

  DefaultIndex: LongInt;

  EscapeResult: LongInt;

  X: LongInt;

  Y: LongInt

):LongInt;

function PromptUserAtXY(

  const DialogMessage: string;

  DialogType: LongInt;

  Buttons: PLongint;

  ButtonCount: LongInt;

  DefaultIndex: LongInt;

  EscapeResult: LongInt;

  X: LongInt;

  Y: LongInt

):LongInt;

function PromptUserAtXY(

  const DialogCaption: string;

  const DialogMessage: string;

  DialogType: LongInt;

  Buttons: array of LongInt;

  DefaultIndex: LongInt;

  EscapeResult: LongInt;

  X: LongInt;

  Y: LongInt

):LongInt;


PtInRect

Checks whether a Point is within a Rect.

Declaration

Source position: winapih.inc line 340

function PtInRect(

  const Rect: TRect;

  const Point: TPoint

):Boolean;

Function result

True when Point is within Rect.

Description

Top and Left side are part of the rectangle, but Bottom and Right side are outside.


PtInRegion

Declaration

Source position: winapih.inc line 215

function PtInRegion(

  RGN: HRGN;

  X: Integer;

  Y: Integer

):Boolean;


RadialArc

Declaration

Source position: lclintfh.inc line 98

function RadialArc(

  DC: HDC;

  left: Integer;

  top: Integer;

  right: Integer;

  bottom: Integer;

  sx: Integer;

  sy: Integer;

  ex: Integer;

  ey: Integer

):Boolean;


RadialChord

Declaration

Source position: lclintfh.inc line 99

function RadialChord(

  DC: HDC;

  x1: Integer;

  y1: Integer;

  x2: Integer;

  y2: Integer;

  sx: Integer;

  sy: Integer;

  ex: Integer;

  ey: Integer

):Boolean;


RadialPie

Declaration

Source position: lclintfh.inc line 100

function RadialPie(

  DC: HDC;

  x1: Integer;

  y1: Integer;

  x2: Integer;

  y2: Integer;

  Angle1: Integer;

  Angle2: Integer

):Boolean;


RawImage_CreateBitmaps

Declaration

Source position: lclintfh.inc line 101

function RawImage_CreateBitmaps(

  const ARawImage: TRawImage;

  out ABitmap: HBITMAP;

  out AMask: HBITMAP;

  ASkipMask: Boolean = False

):Boolean;


RawImage_DescriptionFromBitmap

Declaration

Source position: lclintfh.inc line 102

function RawImage_DescriptionFromBitmap(

  ABitmap: HBITMAP;

  out ADesc: TRawImageDescription

):Boolean;


RawImage_DescriptionFromDevice

Declaration

Source position: lclintfh.inc line 103

function RawImage_DescriptionFromDevice(

  ADC: HDC;

  out ADesc: TRawImageDescription

):Boolean;


RawImage_FromBitmap

Declaration

Source position: lclintfh.inc line 104

function RawImage_FromBitmap(

  out ARawImage: TRawImage;

  ABitmap: HBITMAP;

  AMask: HBITMAP;

  ARect: PRect = Nil

):Boolean;


RawImage_FromDevice

Declaration

Source position: lclintfh.inc line 105

function RawImage_FromDevice(

  out ARawImage: TRawImage;

  ADC: HDC;

  const ARect: TRect

):Boolean;


RawImage_QueryDescription

Declaration

Source position: lclintfh.inc line 106

function RawImage_QueryDescription(

  AFlags: TRawImageQueryFlags;

  var ADesc: TRawImageDescription

):Boolean;


RealizePalette

Declaration

Source position: winapih.inc line 218

function RealizePalette(

  DC: HDC

):Cardinal;


Rectangle

Declaration

Source position: winapih.inc line 219

function Rectangle(

  DC: HDC;

  X1: Integer;

  Y1: Integer;

  X2: Integer;

  Y2: Integer

):Boolean;


RectInRegion

Declaration

Source position: winapih.inc line 220

function RectInRegion(

  RGN: HRGN;

  ARect: TRect

):Boolean;


RectVisible

Declaration

Source position: winapih.inc line 221

function RectVisible(

  DC: HDC;

  const ARect: TRect

):Boolean;


RedrawWindow

Redraws (part of) a window.

Declaration

Source position: winapih.inc line 222

function RedrawWindow(

  Wnd: HWND;

  lprcUpdate: PRect;

  hrgnUpdate: HRGN;

  flags: UINT

):Boolean;


RegroupMenuItem

Declaration

Source position: lclintfh.inc line 107

function RegroupMenuItem(

  hndMenu: HMENU;

  GroupIndex: Integer

):Boolean;


ReleaseCapture

Restores normal mouse input processing, after SetCapture.

Declaration

Source position: winapih.inc line 223

function ReleaseCapture: Boolean;


ReleaseDC

Releases an Device Context obtained by GetDC.

Declaration

Source position: winapih.inc line 224

function ReleaseDC(

  hWnd: HWND;

  DC: HDC

):Integer;

Arguments

hWnd

The window associated with the DC.

Function result

Zero on failure.

See also

DeleteDC

Deletes an Device Context, created by CreateDC.


ReleaseDesignerDC

Declaration

Source position: lclintfh.inc line 108

function ReleaseDesignerDC(

  hWnd: HWND;

  DC: HDC

):Integer;


RemoveEventHandler

Declaration

Source position: lclintfh.inc line 109

procedure RemoveEventHandler(

  var AHandler: PEventHandler

);


RemovePipeEventHandler

Declaration

Source position: lclintfh.inc line 111

procedure RemovePipeEventHandler(

  var AHandler: PPipeEventHandler

);


RemoveProcessEventHandler

Declaration

Source position: lclintfh.inc line 110

procedure RemoveProcessEventHandler(

  var AHandler: PProcessEventHandler

);


RemoveProp

Removes a named property from a window.

Declaration

Source position: winapih.inc line 225

function RemoveProp(

  Handle: HWND;

  Str: PChar

):THandle;


RequestInput

Declaration

Source position: lclintfh.inc line 112

function RequestInput(

  const InputCaption: string;

  const InputPrompt: string;

  MaskInput: Boolean;

  var Value: string

):Boolean;


RestoreDC

Restores an Device Context (DC) to an previously saved state.

Declaration

Source position: winapih.inc line 226

function RestoreDC(

  DC: HDC;

  SavedDC: Integer

):Boolean;


RGB

Combines Red, Green and Blue values into an TColorRef value.

Declaration

Source position: winapih.inc line 344

function RGB(

  R: Byte;

  G: Byte;

  B: Byte

):TColorRef;

Arguments

R | The value of the red channel. zero indicates no contribution, 255 indicates a full red channel.
G | The value of the green channel
B | The value of the blue channel

Function result

The combined COLORREF created with the given color channels.

Description

The bytes are shifted into place, following the format $00bbggrr, which is the format of the Windows API type COLORREF. Their actual physical order depends on the endianness of the machine.


RoundRect

Declaration

Source position: winapih.inc line 227

function RoundRect(

  DC: HDC;

  X1: Integer;

  Y1: Integer;

  X2: Integer;

  Y2: Integer;

  RX: Integer;

  RY: Integer

):Boolean;


SaveDC

Saves the state of an Device Context in the context stack.

Declaration

Source position: winapih.inc line 229

function SaveDC(

  DC: HDC

):Integer;


ScreenToClient

Converts absolute Screen coordinates into Client relative coordinates.

Declaration

Source position: winapih.inc line 230

function ScreenToClient(

  Handle: HWND;

  var P: TPoint

):Integer;

Arguments

Handle | The window with the client area.
P | The point to convert.

Function result

False on failure.

See also

ClientToScreen

Converts (relative) Client coordinates into absolute Screen coordinates.


ScrollWindow

Scrolls the content of a window, by a number of pixels.

Declaration

Source position: winapih.inc line 346

function ScrollWindow(

  hWnd: HWND;

  XAmount: Integer;

  YAmount: Integer;

  Rect: PRect;

  ClipRect: PRect

):Boolean;

Arguments

XAmount | Horizontal distance (positive to scroll right)
YAmount | Vertical distance (positive to scroll down)
Rect | The part of the window, that is to be scrolled.
ClipRect | Pixels falling outside this rectangle are lost.

See also

ScrollWindowEx


ScrollWindowEx

Declaration

Source position: winapih.inc line 232

function ScrollWindowEx(

  hWnd: HWND;

  dx: Integer;

  dy: Integer;

  prcScroll: PRect;

  prcClip: PRect;

  hrgnUpdate: HRGN;

  prcUpdate: PRect;

  flags: UINT

):Boolean;


SelectClipRGN

Sets the ClipRegion of an DeviceContext.

Declaration

Source position: winapih.inc line 233

function SelectClipRGN(

  DC: HDC;

  RGN: HRGN

):LongInt;


SelectObject

Selects an object into an device context.

Declaration

Source position: winapih.inc line 234

function SelectObject(

  DC: HDC;

  GDIObj: HGDIOBJ

):HGDIOBJ;


SelectPalette

Declaration

Source position: winapih.inc line 235

function SelectPalette(

  DC: HDC;

  Palette: HPALETTE;

  ForceBackground: Boolean

):HPALETTE;


SendCachedLCLMessages

Declaration

Source position: lclintfh.inc line 114

procedure SendCachedLCLMessages;


SendMessage

Sends a message directed to a window to the message pool of the application

Declaration

Source position: winapih.inc line 236

function SendMessage(

  HandleWnd: HWND;

  Msg: Cardinal;

  WParam: WPARAM;

  LParam: LPARAM

):LRESULT;

Arguments

HandleWnd

The handle of the window to receive the message.

Description

This method is a thread-safe solution to send messages to windows. Those messages will be handled in the message loop of the application and therefore can be sent from any thread. They are not immediate, but they will awake the main thread if it is waiting for messages. These messages can be handled by procedures with the keyword message in the class of a form for example. One would then use the handle of this form as the HandleWnd parameter of this routine. Custom messages should always have an identification number (represented by the parameter Msg) larger then the constant LM_USER. The two parameters WParam and LParam will be passed along to the window together with the Msg identification number.

The difference between SendMessage and PostMessage is the way that they return control to the calling thread. With SendMessage control is not returned until the window that the message was sent to has completed processing the sent message, however with PostMessage control is returned immediately.

See also

LCLIntf.PostMessage

Sends a message to a window.


SetActiveWindow

Sets focus to the specified window, if the application is on top.

Declaration

Source position: winapih.inc line 237

function SetActiveWindow(

  Handle: HWND

):HWND;


SetBkColor

Sets the current background color of an decice context.

Declaration

Source position: winapih.inc line 238

function SetBkColor(

  DC: HDC;

  Color: TColorRef

):TColorRef;


SetBkMode

Sets the background mix mode (transparency) of an device context.

Declaration

Source position: winapih.inc line 239

function SetBkMode(

  DC: HDC;

  bkMode: Integer

):Integer;


SetCapture

Sets the mouse capture to the specified window.

Declaration

Source position: winapih.inc line 240

function SetCapture(

  AHandle: HWND

):HWND;


SetCaretPos

Moves the Caret to the specified coordinates.

Declaration

Source position: winapih.inc line 241

function SetCaretPos(

  X: Integer;

  Y: Integer

):Boolean;


SetCaretPosEx

Moves the Caret into a window.

Declaration

Source position: winapih.inc line 242

function SetCaretPosEx(

  handle: HWND;

  X: Integer;

  Y: Integer

):Boolean;


SetCaretRespondToFocus

Declaration

Source position: lclintfh.inc line 115

function SetCaretRespondToFocus(

  handle: HWND;

  ShowHideOnFocus: Boolean

):Boolean;


SetComboMinDropDownSize

Declaration

Source position: lclintfh.inc line 116

function SetComboMinDropDownSize(

  Handle: HWND;

  MinItemsWidth: Integer;

  MinItemsHeight: Integer;

  MinItemCount: Integer

):Boolean;


SetCursor

Changes the shape of the mouse cursor.

Declaration

Source position: winapih.inc line 243

function SetCursor(

  hCursor: HICON

):HCURSOR;


SetCursorPos

Changes the position of the mouse cursor.

Declaration

Source position: winapih.inc line 244

function SetCursorPos(

  X: Integer;

  Y: Integer

):Boolean;


SetEventHandlerFlags

Declaration

Source position: lclintfh.inc line 117

procedure SetEventHandlerFlags(

  AHandler: PEventHandler;

  NewFlags: dword

);


SetFocus

Sets the keyboard input focus to the specified window.

Declaration

Source position: winapih.inc line 245

function SetFocus(

  hWnd: HWND

):HWND;


SetForegroundWindow

Moves a window in front of all other windows, and activates it.

Declaration

Source position: winapih.inc line 246

function SetForegroundWindow(

  hWnd: HWND

):Boolean;


SetMapMode

Sets the mapping mode of an device context.

Declaration

Source position: winapih.inc line 247

function SetMapMode(

  DC: HDC;

  fnMapMode: Integer

):Integer;


SetMenu

Assigns a menu to a window.

Declaration

Source position: winapih.inc line 248

function SetMenu(

  AWindowHandle: HWND;

  AMenuHandle: HMENU

):Boolean;


SetParent

Changes the parent of a window.

Declaration

Source position: winapih.inc line 249

function SetParent(

  hWndChild: HWND;

  hWndParent: HWND

):HWND;


SetProp

Adds a property to a window.

Declaration

Source position: winapih.inc line 250

function SetProp(

  Handle: HWND;

  Str: PChar;

  Data: Pointer

):Boolean;


SetRect

Copies coordinates into a rectangle.

Declaration

Source position: winapih.inc line 347

function SetRect(

  var ARect: TRect;

  aLeft: Integer;

  aTop: Integer;

  aRight: Integer;

  aBottom: Integer

):Boolean;

Function result

Always True.


SetRectEmpty

Clears the rectangle to all zero coordinates.

Declaration

Source position: winapih.inc line 348

function SetRectEmpty(

  var ARect: TRect

):Boolean;

Function result

Always True.


SetRectRgn

Declaration

Source position: winapih.inc line 252

function SetRectRgn(

  aRGN: HRGN;

  X1: Integer;

  Y1: Integer;

  X2: Integer;

  Y2: Integer

):Boolean;


SetROP2

Sets the Foreground Mixing Mode in an device context.

Declaration

Source position: winapih.inc line 254

function SetROP2(

  DC: HDC;

  Mode: Integer

):Integer;


SetRubberBandRect

Declaration

Source position: lclintfh.inc line 118

procedure SetRubberBandRect(

  const ARubberBand: HWND;

  const ARect: TRect

);


SetScrollInfo

Declaration

Source position: winapih.inc line 255

function SetScrollInfo(

  Handle: HWND;

  SBStyle: Integer;

  ScrollInfo: TScrollInfo;

  Redraw: Boolean

):Integer;


SetScrollPos

Changes the Position of an ScrollBar slider.

Declaration

Source position: winapih.inc line 349

function SetScrollPos(

  Handle: HWND;

  nBar: Integer;

  nPos: Integer;

  bRedraw: Boolean

):Integer;

Arguments

Handle | The ScrollBar or Window Handle.
nBar | SB_CTL means a ScrollBar control.
nPos | The new Position.
bRedraw | True forces a repaint.

Function result

The previous Position, zero if invisible.

Description

The SetScrollPos function sets the position of the scroll box (thumb) in the specified scroll bar and, if requested, redraws the scroll bar to reflect the new position of the scroll box.

See also

SetScrollInfo


SetScrollRange

Sets the minimum and maximum position values of an ScrollBar.

Declaration

Source position: winapih.inc line 350

function SetScrollRange(

  Handle: HWND;

  nBar: Integer;

  nMinPos: Integer;

  nMaxPos: Integer;

  bRedraw: Boolean

):Boolean;

Function result

Always True.

See also

SetScrollInfo


SetStretchBltMode

Sets the StrechBlt mode for an device context.

Declaration

Source position: winapih.inc line 258

function SetStretchBltMode(

  DC: HDC;

  StretchMode: Integer

):Integer;


SetSysColors

Sets the colors for one or more display elements of window borders and desktop.

Declaration

Source position: winapih.inc line 259

function SetSysColors(

  cElements: Integer;

  const lpaElements;

  const lpaRgbValues

):Boolean;


SetTextCharacterExtra

Sets extra intercharacter spacing in text output.

Declaration

Source position: winapih.inc line 260

function SetTextCharacterExtra(

  _hdc: HDC;

  nCharExtra: Integer

):Integer;


SetTextColor

Sets the text color in an device context.

Declaration

Source position: winapih.inc line 261

function SetTextColor(

  DC: HDC;

  Color: TColorRef

):TColorRef;


SetTimer

Creates or resets an timer for the given time interval.

Declaration

Source position: winapih.inc line 351

function SetTimer(

  Wnd: HWND;

  nIDEvent: UINT_PTR;

  uElapse: UINT;

  lpTimerFunc: TTimerProc

):UINT_PTR;

Arguments

Wnd | The window associated with the timer.
nIDEvent | The ID of the timer, ignored when Wnd is zero.
uElapse | The time interval to wait.
lpTimerFunc | The callback procedure, can be Nil.

Function result

The timer ID, or zero on failure.

Description

Every timer has a unique ID, which is reported in the timer message and can be used to reset or kill the timer.

When the time has elapsed, the callback procedure is invoked. If no procedure is given, a WM_TIMER message is sent to the window. If also no window is given, the function fails.

When the timer already exists, it is reset to the new interval.

See also

KillTimer | Removes an timer.
#lcl.LCLType.TTimerProc |


SetViewPortExtEx

Sets the extent of the viewport for a device context.

Declaration

Source position: winapih.inc line 264

function SetViewPortExtEx(

  DC: HDC;

  XExtent: Integer;

  YExtent: Integer;

  OldSize: PSize

):Boolean;


SetViewPortOrgEx

Sets the device origin corresponding to the window origin (0,0) in an device context.

Declaration

Source position: winapih.inc line 265

function SetViewPortOrgEx(

  DC: HDC;

  NewX: Integer;

  NewY: Integer;

  OldPoint: PPoint

):Boolean;


SetWindowExtEx

Sets the extent of the window for an device context.

Declaration

Source position: winapih.inc line 266

function SetWindowExtEx(

  DC: HDC;

  XExtent: Integer;

  YExtent: Integer;

  OldSize: PSize

):Boolean;


SetWindowLong

Sets an attribute of a window.

Declaration

Source position: winapih.inc line 263

function SetWindowLong(

  Handle: HWND;

  Idx: Integer;

  NewLong: PtrInt

):PtrInt;


SetWindowOrgEx

Specifies which window point maps to the viewport origin (0,0).

Declaration

Source position: winapih.inc line 267

function SetWindowOrgEx(

  dc: HDC;

  NewX: Integer;

  NewY: Integer;

  OldPoint: PPoint

):Boolean;


SetWindowPos

Changes the size, position, and Z order of a window.

Declaration

Source position: winapih.inc line 268

function SetWindowPos(

  hWnd: HWND;

  hWndInsertAfter: HWND;

  X: Integer;

  Y: Integer;

  cx: Integer;

  cy: Integer;

  uFlags: UINT

):Boolean;


SetWindowRgn

Defines the visible region of a window or control

Declaration

Source position: winapih.inc line 270

function SetWindowRgn(

  hWnd: HWND;

  hRgn: HRGN;

  bRedraw: Boolean

):LongInt;

Description

This function sets the visible region of a window or control. It's parameters are: hWnd - The handle of the window or control hRgn - The handle to the region which contains the visible section of the window or control bRedraw - True if the control or window should be repainted following the call of this function, false otherwise See also the wiki documentation: http://wiki.lazarus.freepascal.org/LCL_Tips#Creating_a_non-rectangular_window_or_control

See also

TWinControl.SetShape | Specifies the (non-rectangular) shape of the widget.
LCLIntf.CreateRectRgn | Creates a rectangular region.


ShowCaret

Shows the Caret (text cursor).

Declaration

Source position: winapih.inc line 271

function ShowCaret(

  hWnd: HWND

):Boolean;


ShowScrollBar

Shows or hides a ScrollBar.

Declaration

Source position: winapih.inc line 272

function ShowScrollBar(

  Handle: HWND;

  wBar: Integer;

  bShow: Boolean

):Boolean;


ShowSelectItemDialog

Declaration

Source position: lclintfh.inc line 119

function ShowSelectItemDialog(

  const AItems: TStrings;

  APos: TPoint

):Boolean;


ShowWindow

Shows a window in an specific state.

Declaration

Source position: winapih.inc line 273

function ShowWindow(

  hWnd: HWND;

  nCmdShow: Integer

):Boolean;


SmallPointToPoint

Converts an TSmallPoint into an TPoint.

Declaration

Source position: winapih.inc line 352

function SmallPointToPoint(

  const P: TSmallPoint

):Tpoint;


StretchBlt

Copies a rectangular region into an device context, shrinking or stretching it as required.

Declaration

Source position: winapih.inc line 274

function StretchBlt(

  DestDC: HDC;

  X: Integer;

  Y: Integer;

  Width: Integer;

  Height: Integer;

  SrcDC: HDC;

  XSrc: Integer;

  YSrc: Integer;

  SrcWidth: Integer;

  SrcHeight: Integer;

  Rop: Cardinal

):Boolean;


StretchDIBits

Copies a rectangular region from a DIB into an device context, shrinking or stretching it as required.

Declaration

Source position: winapih.inc line 275

function StretchDIBits(

  DC: HDC;

  DestX: Integer;

  DestY: Integer;

  DestWidth: Integer;

  DestHeight: Integer;

  SrcX: Integer;

  SrcY: Integer;

  SrcWidth: Integer;

  SrcHeight: Integer;

  Bits: Pointer;

  var BitsInfo: TBitmapInfo;

  Usage: UINT;

  Rop: DWORD

):Integer;


StretchMaskBlt

Declaration

Source position: lclintfh.inc line 120

function StretchMaskBlt(

  DestDC: HDC;

  X: Integer;

  Y: Integer;

  Width: Integer;

  Height: Integer;

  SrcDC: HDC;

  XSrc: Integer;

  YSrc: Integer;

  SrcWidth: Integer;

  SrcHeight: Integer;

  Mask: HBITMAP;

  XMask: Integer;

  YMask: Integer;

  Rop: DWORD

):Boolean;


SubtractRect

Computes the bounding box of the geometric difference of two rectangles.

Declaration

Source position: winapih.inc line 353

function SubtractRect(

  out lprcDst: TRect;

  const lprcSrc1: TRect;

  const lprcSrc2: TRect

):Boolean;

Arguments

lprcSrc2

The rectangle to subtract.

Function result

False when the resulting rectangle is empty.

Description

When the rectangles do not overlap completely in either x or y direction, the result is the first rectangle (lprcSrc1).

Otherwise the overlapping area is excluded from the first rectangle.

The bounding box is the rectangle that covers the entire resulting area.


SystemParametersInfo

Retrieves or sets one of the system-wide parameters.

Declaration

Source position: winapih.inc line 279

function SystemParametersInfo(

  uiAction: DWord;

  uiParam: DWord;

  pvParam: Pointer;

  fWinIni: DWord

):LongBool;


TextOut

Draws an string without formatting (single line).

Declaration

Source position: winapih.inc line 281

function TextOut(

  DC: HDC;

  X: Integer;

  Y: Integer;

  Str: Pchar;

  Count: Integer

):Boolean;


TextUTF8Out

Declaration

Source position: lclintfh.inc line 122

function TextUTF8Out(

  DC: HDC;

  X: Integer;

  Y: Integer;

  Str: PChar;

  Count: LongInt

):Boolean;


UnionRect

Computes the bounding box of the union of two rectangles.

Declaration

Source position: winapih.inc line 355

function UnionRect(

  var DestRect: TRect;

  const SrcRect1: TRect;

  const SrcRect2: TRect

):Boolean;

Function result

False when the resulting rectangle is empty, i.e. when both source rectangles are empty.

Description

The bounding box is the rectangle that covers the entire resulting area. Here the result covers both rectangles.

The rectangles can be disjoint.

Rectangles with a zero or negative width or height are treated as empty rectangles (ignored).


UpdateWindow

Forces an immediate repaint of a window, if required.

Declaration

Source position: winapih.inc line 283

function UpdateWindow(

  Handle: HWND

):Boolean;


WindowFromPoint

Finds the window containing the specified point.

Declaration

Source position: winapih.inc line 287

function WindowFromPoint(

  Point: TPoint

):HWND;


DeliverMessage

Declaration

Source position: lclmessageglue.pas line 32

function DeliverMessage(

  const Target: TObject;

  var AMessage

):PtrInt;


LCLSendActivateMsg

Declaration

Source position: lclmessageglue.pas line 35

function LCLSendActivateMsg(

  const Target: TControl;

  Active: Word;

  Minimized: Boolean;

  ActiveWindow: HWND = 0

):PtrInt;


LCLSendCaptureChangedMsg

Declaration

Source position: lclmessageglue.pas line 45

function LCLSendCaptureChangedMsg(

  const Target: TControl

):PtrInt;


LCLSendChangedMsg

Declaration

Source position: lclmessageglue.pas line 48

function LCLSendChangedMsg(

  const Target: TControl;

  ItemIndex: WPARAM = 0

):PtrInt;


LCLSendCharEvent

Declaration

Source position: lclmessageglue.pas line 68

function LCLSendCharEvent(

  const Target: TControl;

  var CharCode: Word;

  KeyData: PtrInt;

  BeforeEvent: Boolean;

  IsSysKey: Boolean;

  ANotifyUserInput: Boolean

):PtrInt;


LCLSendClickedMsg

Declaration

Source position: lclmessageglue.pas line 49

function LCLSendClickedMsg(

  const Target: TControl

):PtrInt;


LCLSendCloseQueryMsg

Declaration

Source position: lclmessageglue.pas line 72

function LCLSendCloseQueryMsg(

  const Target: TControl

):PtrInt;


LCLSendCloseUpMsg

Declaration

Source position: lclmessageglue.pas line 80

function LCLSendCloseUpMsg(

  const Target: TControl

):PtrInt;


LCLSendConfigureEventMsg

Declaration

Source position: lclmessageglue.pas line 63

function LCLSendConfigureEventMsg(

  const Target: TControl

):PtrInt;


LCLSendCopyToClipboardMsg

Declaration

Source position: lclmessageglue.pas line 61

function LCLSendCopyToClipboardMsg(

  const Target: TControl

):PtrInt;


LCLSendCutToClipboardMsg

Declaration

Source position: lclmessageglue.pas line 60

function LCLSendCutToClipboardMsg(

  const Target: TControl

):PtrInt;


LCLSendDayChangedMsg

Declaration

Source position: lclmessageglue.pas line 76

function LCLSendDayChangedMsg(

  const Target: TControl

):PtrInt;


LCLSendDestroyMsg

Declaration

Source position: lclmessageglue.pas line 47

function LCLSendDestroyMsg(

  const Target: TControl

):PtrInt;


LCLSendDragStartMsg

Declaration

Source position: lclmessageglue.pas line 73

function LCLSendDragStartMsg(

  const Target: TControl

):PtrInt;


LCLSendDrawListItemMsg

Declaration

Source position: lclmessageglue.pas line 78

function LCLSendDrawListItemMsg(

  const Target: TControl;

  const DrawListItemStruct: PDrawListItemStruct

):PtrInt;


LCLSendDropDownMsg

Declaration

Source position: lclmessageglue.pas line 79

function LCLSendDropDownMsg(

  const Target: TControl

):PtrInt;


LCLSendEraseBackgroundMsg

Declaration

Source position: lclmessageglue.pas line 65

function LCLSendEraseBackgroundMsg(

  const Target: TWinControl;

  const DC: HDC

):PtrInt;


LCLSendExitMsg

Declaration

Source position: lclmessageglue.pas line 71

function LCLSendExitMsg(

  const Target: TControl

):PtrInt;


LCLSendKeyDownEvent

Declaration

Source position: lclmessageglue.pas line 66

function LCLSendKeyDownEvent(

  const Target: TControl;

  var CharCode: Word;

  KeyData: PtrInt;

  BeforeEvent: Boolean;

  IsSysKey: Boolean

):PtrInt;


LCLSendKeyUpEvent

Declaration

Source position: lclmessageglue.pas line 67

function LCLSendKeyUpEvent(

  const Target: TControl;

  var CharCode: Word;

  KeyData: PtrInt;

  BeforeEvent: Boolean;

  IsSysKey: Boolean

):PtrInt;


LCLSendKillCharMsg

Declaration

Source position: lclmessageglue.pas line 57

function LCLSendKillCharMsg(

  const Target: TControl

):PtrInt;


LCLSendKillFocusMsg

Declaration

Source position: lclmessageglue.pas line 37

function LCLSendKillFocusMsg(

  const Target: TControl

):PtrInt;


LCLSendKillLineMsg

Declaration

Source position: lclmessageglue.pas line 59

function LCLSendKillLineMsg(

  const Target: TControl

):PtrInt;


LCLSendKillWordMsg

Declaration

Source position: lclmessageglue.pas line 58

function LCLSendKillWordMsg(

  const Target: TControl

):PtrInt;


LCLSendMonthChangedMsg

Declaration

Source position: lclmessageglue.pas line 74

function LCLSendMonthChangedMsg(

  const Target: TControl

):PtrInt;


LCLSendMouseDownMsg

Declaration

Source position: lclmessageglue.pas line 42

function LCLSendMouseDownMsg(

  const Target: TControl;

  XPos: SmallInt;

  YPos: SmallInt;

  Button: TMouseButton;

  ShiftState: TShiftState = []

):PtrInt;


LCLSendMouseEnterMsg

Declaration

Source position: lclmessageglue.pas line 50

function LCLSendMouseEnterMsg(

  const Target: TControl

):PtrInt;


LCLSendMouseLeaveMsg

Declaration

Source position: lclmessageglue.pas line 51

function LCLSendMouseLeaveMsg(

  const Target: TControl

):PtrInt;


LCLSendMouseMoveMsg

Declaration

Source position: lclmessageglue.pas line 41

function LCLSendMouseMoveMsg(

  const Target: TControl;

  XPos: SmallInt;

  YPos: SmallInt;

  ShiftState: TShiftState = []

):PtrInt;


LCLSendMouseMultiClickMsg

Declaration

Source position: lclmessageglue.pas line 77

function LCLSendMouseMultiClickMsg(

  const Target: TControl;

  XPos: SmallInt;

  YPos: SmallInt;

  Button: TMouseButton;

  ClickCount: Byte = 2;

  ShiftState: TShiftState = []

):PtrInt;


LCLSendMouseUpMsg

Declaration

Source position: lclmessageglue.pas line 43

function LCLSendMouseUpMsg(

  const Target: TControl;

  XPos: SmallInt;

  YPos: SmallInt;

  Button: TMouseButton;

  ShiftState: TShiftState = []

):PtrInt;


LCLSendMouseWheelMsg

Declaration

Source position: lclmessageglue.pas line 44

function LCLSendMouseWheelMsg(

  const Target: TControl;

  XPos: SmallInt;

  YPos: SmallInt;

  WheelDelta: SmallInt;

  ShiftState: TShiftState = []

):PtrInt;


LCLSendMoveMsg

Declaration

Source position: lclmessageglue.pas line 40

function LCLSendMoveMsg(

  const Target: TControl;

  XPos: SmallInt;

  YPos: SmallInt;

  MoveType: PtrInt = Move_Default;

  FromInterface: Boolean = True

):PtrInt;


LCLSendMovePageMsg

Declaration

Source position: lclmessageglue.pas line 54

function LCLSendMovePageMsg(

  const Target: TControl

):PtrInt;


LCLSendMoveToColumnMsg

Declaration

Source position: lclmessageglue.pas line 56

function LCLSendMoveToColumnMsg(

  const Target: TControl

):PtrInt;


LCLSendMoveToRowMsg

Declaration

Source position: lclmessageglue.pas line 55

function LCLSendMoveToRowMsg(

  const Target: TControl

):PtrInt;


LCLSendMoveWordMsg

Declaration

Source position: lclmessageglue.pas line 53

function LCLSendMoveWordMsg(

  const Target: TControl

):PtrInt;


LCLSendPaintMsg

Declaration

Source position: lclmessageglue.pas line 64

function LCLSendPaintMsg(

  const Target: TControl;

  const DC: HDC;

  const PaintStruct: PPaintStruct

):PtrInt;


LCLSendPasteFromClipboardMsg

Declaration

Source position: lclmessageglue.pas line 62

function LCLSendPasteFromClipboardMsg(

  const Target: TControl

):PtrInt;


LCLSendSelectionChangedMsg

Declaration

Source position: lclmessageglue.pas line 46

function LCLSendSelectionChangedMsg(

  const Target: TControl

):PtrInt;


LCLSendSetEditableMsg

Declaration

Source position: lclmessageglue.pas line 52

function LCLSendSetEditableMsg(

  const Target: TControl

):PtrInt;


LCLSendSetFocusMsg

Declaration

Source position: lclmessageglue.pas line 36

function LCLSendSetFocusMsg(

  const Target: TControl

):PtrInt;


LCLSendShowWindowMsg

Declaration

Source position: lclmessageglue.pas line 38

function LCLSendShowWindowMsg(

  const Target: TControl;

  Show: Boolean;

  Status: LPARAM = 0

):PtrInt;


LCLSendSizeMsg

Declaration

Source position: lclmessageglue.pas line 39

function LCLSendSizeMsg(

  const Target: TControl;

  Width: Word;

  Height: Word;

  SizeType: LongInt;

  FromInterface: Boolean = True

):PtrInt;


LCLSendTimerMsg

Declaration

Source position: lclmessageglue.pas line 70

function LCLSendTimerMsg(

  const Target: TControl;

  TimerID: WPARAM;

  TimerProc: LPARAM

):PtrInt;


LCLSendUTF8KeyPress

Declaration

Source position: lclmessageglue.pas line 69

function LCLSendUTF8KeyPress(

  const Target: TWinControl;

  AUTF8Char: TUTF8Char;

  IsSysKey: Boolean

):PtrInt;


LCLSendYearChangedMsg

Declaration

Source position: lclmessageglue.pas line 75

function LCLSendYearChangedMsg(

  const Target: TControl

):PtrInt;


SendSimpleMessage

Declaration

Source position: lclmessageglue.pas line 33

function SendSimpleMessage(

  const Target: TControl;

  Msg: Cardinal

):PtrInt;


DirNameToLCLPlatform

Declaration

Source position: lclplatformdef.pas line 40

function DirNameToLCLPlatform(

  const ADirName: string

):TLCLPlatform;


GetBuildLCLWidgetType

Declaration

Source position: lclplatformdef.pas line 41

function GetBuildLCLWidgetType: TLCLPlatform;


CalculateLeftTopWidthHeight

Converts coordinates into kind of a rectangle with positive Width and Height.

Declaration

Source position: lclproc.pas line 129

procedure CalculateLeftTopWidthHeight(

  X1: Integer;

  Y1: Integer;

  X2: Integer;

  Y2: Integer;

  out Left: Integer;

  out Top: Integer;

  out Width: Integer;

  out Height: Integer

);


CallInterfaceFinalizationHandlers

Invokes the registered handlers.

Declaration

Source position: lclproc.pas line 123

procedure CallInterfaceFinalizationHandlers;


CallInterfaceInitializationHandlers

Invokes the registered handlers.

Declaration

Source position: lclproc.pas line 121

procedure CallInterfaceInitializationHandlers;


ClassCase

Declaration

Source position: lclproc.pas line 299

function ClassCase(

  const AClass: TClass;

  const ACase: array of TClass

):Integer; overload;

function ClassCase(

  const AClass: TClass;

  const ACase: array of TClass;

  const ADecendant: Boolean

):Integer; overload;


CloseDebugOutput

Declaration

Source position: lclproc.pas line 191

procedure CloseDebugOutput;


CompareCaret

Declaration

Source position: lclproc.pas line 138

function CompareCaret(

  const FirstCaret: TPoint;

  const SecondCaret: TPoint

):Integer;


CompareDebugLCLItemInfos

Compare function for the TDebugLCLItems AVL tree

Declaration

Source position: lclproc.pas line 76

function CompareDebugLCLItemInfos(

  Data1: Pointer;

  Data2: Pointer

):Integer;

Description

Compares the Item addresses.


CompareHandles

Compares two Handles, returning the Sign of the difference.

Declaration

Source position: lclproc.pas line 135

function CompareHandles(

  h1: THandle;

  h2: THandle

):Integer;


CompareItemWithDebugLCLItemInfo

Compare function for TDebugLCLItems.FindInfo.

Declaration

Source position: lclproc.pas line 77

function CompareItemWithDebugLCLItemInfo(

  Item: Pointer;

  DebugItemInfo: Pointer

):Integer;


CompareMethods

Returns true when both method references are equal.

Declaration

Source position: lclproc.pas line 139

function CompareMethods(

  const m1: TMethod;

  const m2: TMethod

):Boolean;


ComparePointers

Compares two pointers, returning the Sign of the difference.

Declaration

Source position: lclproc.pas line 134

function ComparePointers(

  p1: Pointer;

  p2: Pointer

):Integer;

Function result

+1 if p1 is higher than p2, -1 if p2 is higher than p1, 0 if both are equal.


ComparePoints

Compares the coordinates (y first) and returns the Sign of the difference.

Declaration

Source position: lclproc.pas line 137

function ComparePoints(

  const p1: TPoint;

  const p2: TPoint

):Integer;


CompareRect

Returns True when the two rectangles are equal.

Declaration

Source position: lclproc.pas line 136

function CompareRect(

  R1: PRect;

  R2: PRect

):Boolean;


CreateFirstIdentifier

Replaces last digits with 1

Declaration

Source position: lclproc.pas line 318

function CreateFirstIdentifier(

  const Identifier: string

):string;

Description

For example Name321 becomes Name1


CreateNextIdentifier

Deprecated, see #LazUtils.LazUTF8 for replacements.

Declaration

Source position: lclproc.pas line 319

function CreateNextIdentifier(

  const Identifier: string

):string;


DbgAppendToFile

Appends a line to the given file

Declaration

Source position: lclproc.pas line 284

procedure DbgAppendToFile(

  FileName: string;

  S: string

);


DbgAppendToFileWithoutLn

Appends (preformatted) text to an file

Declaration

Source position: lclproc.pas line 285

procedure DbgAppendToFileWithoutLn(

  FileName: string;

  S: string

);


dbgHex

Provides an hex dump of an Int64, (sign + absolute value).

Declaration

Source position: lclproc.pas line 267

function dbgHex(

  i: Int64

):string; overload;


dbgMemRange

Provides an hex dump of a memory section.

Declaration

Source position: lclproc.pas line 264

function dbgMemRange(

  P: PByte;

  Count: Integer;

  Width: Integer = 0

):string; overload;

Arguments

P | The start address.
Count | The number of bytes to dump.
Width | The number of bytes per line, zero for no line breaks.

Function result

The formatted dump.


dbgMemStream

Provides an hex dump of an memory stream.

Declaration

Source position: lclproc.pas line 265

function dbgMemStream(

  MemStream: TCustomMemoryStream;

  Count: Integer

):string; overload;

Arguments

Count

The maximum number of bytes to dump.

Errors

The dump starts at the current stream position, the position moves to the end of the dumped range.


dbgObjMem

Provides an hex dump of an TObject.

Declaration

Source position: lclproc.pas line 266

function dbgObjMem(

  AnObject: TObject

):string; overload;


DbgOut

Declaration

Source position: lclproc.pas line 151

procedure DbgOut(

  const s: string = ''

); overload;

procedure DbgOut(

  Args: array of Const

); overload;

procedure DbgOut(

  const S: string;

  Args: array of Const

); overload;

procedure DbgOut(

  const s1: string;

  const s2: string;

  const s3: string = '';

  const s4: string = '';

  const s5: string = '';

  const s6: string = '';

  const s7: string = '';

  const s8: string = '';

  const s9: string = '';

  const s10: string = '';

  const s11: string = '';

  const s12: string = '';

  const s13: string = '';

  const s14: string = '';

  const s15: string = '';

  const s16: string = '';

  const s17: string = '';

  const s18: string = ''

); overload;


DbgOutThreadLog

Declaration

Source position: lclproc.pas line 279

procedure DbgOutThreadLog(

  const Msg: string

); overload;


DbgS

Formats debug output for various argument types (overloaded).

Declaration

Source position: lclproc.pas line 249

function DbgS(

  const c: Cardinal

):string; overload;

function DbgS(

  const i: LongInt

):string; overload;

function DbgS(

  const i: Int64

):string; overload;

function DbgS(

  const q: QWord

):string; overload;

function DbgS(

  const r: TRect

):string; overload;

function DbgS(

  const p: TPoint

):string; overload;

function DbgS(

  const p: pointer

):string; overload;

function DbgS(

  const e: extended;

  MaxDecimals: Integer = 999

):string; overload;

function DbgS(

  const b: Boolean

):string; overload;

function DbgS(

  const s: TComponentState

):string; overload;

function DbgS(

  const m: TMethod

):string; overload;

function DbgS(

  const i1: Integer;

  const i2: Integer;

  const i3: Integer;

  const i4: Integer

):string; overload;

function DbgS(

  const Shift: TShiftState

):string; overload;

function DbgS(

  const ASize: TSize

):string; overload;

function DbgS(

  const ATM: TTextMetric

):string; overload;

function DbgS(

  const AScrollInfo: TScrollInfo

):string; overload;

function DbgS(

  const AVariant: Variant

):string; overload;

Description

  • boolean: "True" or "False".
  • pointer: hexidecimal address.
  • TRect, TPoint: shows the x/y coordinates.
  • TComponentState: set.
  • TObject: Name:ClassName.
  • TClass: ClassName.
  • string, WideString: chars > #126 are translated into #nn (#nnnn) format.

Errors

""


DbgSaveData

Writes data into an file

Declaration

Source position: lclproc.pas line 283

procedure DbgSaveData(

  FileName: string;

  AData: PChar;

  ADataSize: PtrUInt

);


DbgSName

Returns the component or class name.

Declaration

Source position: lclproc.pas line 260

function DbgSName(

  const p: TObject

):string; overload;

function DbgSName(

  const p: TClass

):string; overload;


DbgStr

Converts control characters or above #126 into #hex format.

Declaration

Source position: lclproc.pas line 262

function DbgStr(

  const StringWithSpecialChars: string

):string; overload;


DbgsVKCode

Translates an virtual key code into its VK_... name.

Declaration

Source position: lclproc.pas line 272

function DbgsVKCode(

  c: Word

):string;


DbgSWindowPosFlags

Provides an dump of SetWindowPosition flags.

Declaration

Source position: lclproc.pas line 268

function DbgSWindowPosFlags(

  Flags: UINT

):string;


DbgWideStr

Converts control characters or above #126 into #hex format.

Declaration

Source position: lclproc.pas line 263

function DbgWideStr(

  const StringWithSpecialChars: widestring

):string; overload;


DebugLn

Writes a number of strings (heavily overloaded) to the debug output

Declaration

Source position: lclproc.pas line 161

procedure DebugLn(

  const s: string = ''

); overload;

procedure DebugLn(

  Args: array of Const

); overload;

procedure DebugLn(

  const S: string;

  Args: array of Const

); overload;

procedure DebugLn(

  const s1: string;

  const s2: string;

  const s3: string = '';

  const s4: string = '';

  const s5: string = '';

  const s6: string = '';

  const s7: string = '';

  const s8: string = '';

  const s9: string = '';

  const s10: string = '';

  const s11: string = '';

  const s12: string = '';

  const s13: string = '';

  const s14: string = '';

  const s15: string = '';

  const s16: string = '';

  const s17: string = '';

  const s18: string = ''

); overload;

Arguments

s

A single string, or a Format string when followed by an argument list.

Arguments

Args

Writes the formatted dump of the typed arguments.

Arguments

S | A single string, or a Format string when followed by an argument list.
Args | Writes the formatted dump of the typed arguments.


DebugLnEnter

Declaration

Source position: lclproc.pas line 171

procedure DebugLnEnter(

  const s: string = ''

); overload;

procedure DebugLnEnter(

  Args: array of Const

); overload;

procedure DebugLnEnter(

  s: string;

  Args: array of Const

); overload;

procedure DebugLnEnter(

  const s1: string;

  const s2: string;

  const s3: string = '';

  const s4: string = '';

  const s5: string = '';

  const s6: string = '';

  const s7: string = '';

  const s8: string = '';

  const s9: string = '';

  const s10: string = '';

  const s11: string = '';

  const s12: string = '';

  const s13: string = '';

  const s14: string = '';

  const s15: string = '';

  const s16: string = '';

  const s17: string = '';

  const s18: string = ''

); overload;


DebugLnExit

Declaration

Source position: lclproc.pas line 181

procedure DebugLnExit(

  const s: string = ''

); overload;

procedure DebugLnExit(

  Args: array of Const

); overload;

procedure DebugLnExit(

  s: string;

  Args: array of Const

); overload;

procedure DebugLnExit(

  const s1: string;

  const s2: string;

  const s3: string = '';

  const s4: string = '';

  const s5: string = '';

  const s6: string = '';

  const s7: string = '';

  const s8: string = '';

  const s9: string = '';

  const s10: string = '';

  const s11: string = '';

  const s12: string = '';

  const s13: string = '';

  const s14: string = '';

  const s15: string = '';

  const s16: string = '';

  const s17: string = '';

  const s18: string = ''

); overload;


DebuglnThreadLog

Declaration

Source position: lclproc.pas line 280

procedure DebuglnThreadLog(

  const Msg: string

); overload;

procedure DebuglnThreadLog(

  Args: array of Const

); overload;

procedure DebuglnThreadLog; overload;


DeleteAmpersands

Replaces all '&x' with 'x', and returns the position of the first adjusted letter in the resulting string.

Declaration

Source position: lclproc.pas line 132

function DeleteAmpersands(

  var Str: string

):LongInt;

Function result

Position of the first adjusted non-ampersand letter.


FreeThenNil

Free the TObject, before setting the reference to Nil.

Declaration

Source position: lclproc.pas line 115

procedure FreeThenNil(

  var obj

);

Arguments

obj

The object reference (variable).


GetCompleteText

Find an string in a list, given its first few characters.

Declaration

Source position: lclproc.pas line 97

function GetCompleteText(

  const sText: string;

  iSelStart: Integer;

  bCaseSensitive: Boolean;

  bSearchAscending: Boolean;

  slTextList: TStrings

):string;

Arguments

sText | The begin of the string to find.
iSelStart | The list index where the search should start.
bCaseSensitive | True means case-sensitive comparison
bSearchAscending | True means search ascending from iSelStart
slTextList | The list to search.

Function result

The found string.


GetEnumValueDef

Finds an enum member by name

Declaration

Source position: lclproc.pas line 87

function GetEnumValueDef(

  TypeInfo: PTypeInfo;

  const Name: string;

  const DefaultValue: Integer

):Integer;

Arguments

TypeInfo | The enum TypeInfo.
Name | The member name.
DefaultValue | The value returned when the element was not found.

Function result

The member ordinal


GetPart

Declaration

Source position: lclproc.pas line 289

function GetPart(

  const ASkipTo: string;

  const AnEnd: string;

  var ASource: string;

  const AnIgnoreCase: Boolean = False;

  const AnUpdateSource: Boolean = True

):string; overload;

function GetPart(

  const ASkipTo: array of string;

  const AnEnd: array of string;

  var ASource: string;

  const AnIgnoreCase: Boolean = False;

  const AnUpdateSource: Boolean = True

):string; overload;


IsEditableTextKey

Declaration

Source position: lclproc.pas line 99

function IsEditableTextKey(

  Key: Word

):Boolean;

Arguments

Key

The virtual key code.


IsFontNameDefault

Declaration

Source position: lclproc.pas line 321

function IsFontNameDefault(

  const AName: string

):Boolean;


KeyAndShiftStateToKeyString

Declaration

Source position: lclproc.pas line 90

function KeyAndShiftStateToKeyString(

  Key: Word;

  ShiftState: TShiftState

):string;


KeyStringIsIrregular

Declaration

Source position: lclproc.pas line 91

function KeyStringIsIrregular(

  const s: string

):Boolean;


MakeMinMax

Eventually swaps the variable contents, so that i1 is not higher than i2.

Declaration

Source position: lclproc.pas line 128

procedure MakeMinMax(

  var i1: Integer;

  var i2: Integer

);

Arguments

i1 | Receives the minimum value of both variables.
i2 | Receives the maximum value of both variables.


MergeSort

Sorting TStrings or TFPList.

Declaration

Source position: lclproc.pas line 83

procedure MergeSort(

  List: TFPList;

  const OnCompare: TListSortCompare

); overload;

procedure MergeSort(

  List: TFPList;

  StartIndex: Integer;

  EndIndex: Integer;

  const OnCompare: TListSortCompare

); overload;

procedure MergeSort(

  List: TStrings;

  const OnCompare: TStringsSortCompare

); overload;

Arguments

List | The list to sort (overloaded type).
OnCompare | The sort compare function.

Arguments

List | The list to sort (overloaded type).
OnCompare | The sort compare function.

Arguments

List | The list to sort (overloaded type).
OnCompare | The sort compare function.


MoveRect

Makes the rectangle originate at the given coordinates.

Declaration

Source position: lclproc.pas line 126

procedure MoveRect(

  var ARect: TRect;

  x: Integer;

  y: Integer

);


MoveRectToFit

Adjusts an rectangle to fit entirely into another one.

Declaration

Source position: lclproc.pas line 127

procedure MoveRectToFit(

  var ARect: TRect;

  const MaxRect: TRect

);

Arguments

MaxRect

The bounding rectangle.


OffsetRect

Increments the TopLeft and BottomRight coordinates of the rectangle.

Declaration

Source position: lclproc.pas line 125

function OffsetRect(

  var ARect: TRect;

  dx: Integer;

  dy: Integer

):Boolean;

Function result

True when the TopLeft coordinates are all positive.


OwnerFormDesignerModified

Declaration

Source position: lclproc.pas line 114

procedure OwnerFormDesignerModified(

  AComponent: TComponent

);


OwnerFormDesignerModifiedProc

Declaration

Source position: lclproc.pas line 111

var OwnerFormDesignerModifiedProc: TOwnerFormDesignerModifiedProc = Nil;


RaiseGDBException

Raises an exception.

Declaration

Source position: lclproc.pas line 148

procedure RaiseGDBException(

  const Msg: string

);

Description

Normally, GDB does not catch fpc Exception objects, therefore this procedure raises a standard divide by zero exception which is catched by GDB.


RegisterInterfaceFinalizationHandler

Declaration

Source position: lclproc.pas line 122

procedure RegisterInterfaceFinalizationHandler(

  p: TProcedure

);


RegisterInterfaceInitializationHandler

Declaration

Source position: lclproc.pas line 120

procedure RegisterInterfaceInitializationHandler(

  p: TProcedure

);


RoundToCardinal

Returns the rounded value as an Cardinal.

Declaration

Source position: lclproc.pas line 142

function RoundToCardinal(

  const e: Extended

):Cardinal;


RoundToInt

Returns the rounded value as an Integer.

Declaration

Source position: lclproc.pas line 141

function RoundToInt(

  const e: Extended

):Integer;


SendApplicationMessage

Declaration

Source position: lclproc.pas line 113

function SendApplicationMessage(

  Msg: Cardinal;

  WParam: WPARAM;

  LParam: LPARAM

):LongInt;


SendApplicationMessageFunction

Declaration

Source position: lclproc.pas line 110

var SendApplicationMessageFunction: TSendApplicationMessageFunction = Nil;


ShortCutToText

Returns the textual representation of an shortcut

Declaration

Source position: lclproc.pas line 92

function ShortCutToText(

  ShortCut: TShortCut

):string;


ShortCutToTextRaw

Declaration

Source position: lclproc.pas line 93

function ShortCutToTextRaw(

  ShortCut: TShortCut

):string;


StringCase

Declaration

Source position: lclproc.pas line 297

function StringCase(

  const AString: string;

  const ACase: array of string

):Integer; overload;

function StringCase(

  const AString: string;

  const ACase: array of string;

  const AIgnoreCase: Boolean;

  const APartial: Boolean

):Integer; overload;


StripLN

Strips everything after (and including) an CR or LF.

Declaration

Source position: lclproc.pas line 288

function StripLN(

  const ALine: string

):string;


StrToDouble

Converts an numeric string into an Double value.

Declaration

Source position: lclproc.pas line 145

function StrToDouble(

  const s: string

):Double;


SwapCase

Toggles the case of all ASCII characters in an string.

Declaration

Source position: lclproc.pas line 294

function SwapCase(

  const S: string

):string;


TextToShortCut

Converts the textual representation of an shortcut into an shortcut

Declaration

Source position: lclproc.pas line 94

function TextToShortCut(

  const ShortCutText: string

):TShortCut;


TextToShortCutRaw

Declaration

Source position: lclproc.pas line 95

function TextToShortCutRaw(

  const ShortCutText: string

):TShortCut;


TextToSingleLine

Compresses multi-line text into a single line.

Declaration

Source position: lclproc.pas line 293

function TextToSingleLine(

  const AText: string

):string;

Description

Ensures the covenient look of multiline string
  when displaying it in the single line
  * Replaces CR and LF with spaces
  * Removes duplicate spaces


TruncToCardinal

Returns the rounded value as an Cardinal.

Declaration

Source position: lclproc.pas line 144

function TruncToCardinal(

  const e: Extended

):Cardinal;


TruncToInt

Returns the truncated value as an Integer.

Declaration

Source position: lclproc.pas line 143

function TruncToInt(

  const e: Extended

):Integer;


UnicodeToUTF16

Deprecated, see #LazUtils.LazUTF8 for replacements.

Declaration

Source position: lclproc.pas line 315

function UnicodeToUTF16(

  u: Cardinal

):UTF16String;


UTF16CharacterLength

Deprecated, see #LazUtils.LazUTF8 for replacements.

Declaration

Source position: lclproc.pas line 311

function UTF16CharacterLength(

  p: PWideChar

):Integer;


UTF16CharacterToUnicode

Deprecated, see #LazUtils.LazUTF8 for replacements.

Declaration

Source position: lclproc.pas line 314

function UTF16CharacterToUnicode(

  p: PWideChar;

  out CharLen: Integer

):Cardinal;


UTF16Length

Deprecated, see #LazUtils.LazUTF8 for replacements.

Declaration

Source position: lclproc.pas line 312

function UTF16Length(

  const s: UTF16String

):PtrInt;

function UTF16Length(

  p: PWideChar;

  WordCount: PtrInt

):PtrInt;


CompareDescPtrWithBlockResDesc

Declaration

Source position: lclrescache.pas line 150

function CompareDescPtrWithBlockResDesc(

  DescPtr: Pointer;

  Item: TBlockResourceCacheDescriptor

):Integer;


ComparePHandleWithResourceCacheItem

Declaration

Source position: lclrescache.pas line 148

function ComparePHandleWithResourceCacheItem(

  HandlePtr: PLCLHandle;

  Item: TResourceCacheItem

):Integer;


DefaultFont

Declaration

Source position: lcltaskdialog.pas line 417

function DefaultFont: TFont;


UnAmp

Declaration

Source position: lcltaskdialog.pas line 392

function UnAmp(

  const s: string

):string;


GetDefaultLang

Declaration

Source position: lcltranslator.pas line 84

function GetDefaultLang: string;


SetDefaultLang

Declaration

Source position: lcltranslator.pas line 83

procedure SetDefaultLang(

  Lang: string;

  Dir: string = '';

  LocaleFileName: string = '';

  ForceUpdate: Boolean = True

);


Char2VK

Declaration

Source position: lcltype.pp line 2981

function Char2VK(

  C: Char

):Word;


CharSetToString

Declaration

Source position: lcltype.pp line 2986

function CharSetToString(

  const Charset: Integer

):string;


CS_To_String

Declaration

Source position: lcltype.pp line 2976

function CS_To_String(

  CompStyle: Integer

):string;


HiWord

Declaration

Source position: lcltype.pp line 2979

function HiWord(

  i: Integer

):Word;


KeyToShortCut

Declaration

Source position: lcltype.pp line 2985

function KeyToShortCut(

  const Key: Word;

  const Shift: TShiftState

):TShortCut;


LoWord

Declaration

Source position: lcltype.pp line 2980

function LoWord(

  i: Integer

):Word;


MathRound

Declaration

Source position: lcltype.pp line 2983

function MathRound(

  AValue: ValReal

):Int64;


MulDiv

Declaration

Source position: lcltype.pp line 2984

function MulDiv(

  nNumber: Integer;

  nNumerator: Integer;

  nDenominator: Integer

):Integer;


StringToCharset

Declaration

Source position: lcltype.pp line 2987

function StringToCharset(

  Charset: string

):Byte;


VK2Char

Declaration

Source position: lcltype.pp line 2982

function VK2Char(

  AVK: Word

):Char;


ControlIsAnchoredIndirectly

Declaration

Source position: ldocktree.pas line 214

function ControlIsAnchoredIndirectly(

  StartControl: TControl;

  Side: TAnchorKind;

  DestControl: TControl

):Boolean;


CountAnchoredControls

Declaration

Source position: ldocktree.pas line 210

function CountAnchoredControls(

  Control: TControl;

  Side: TAnchorKind

):Integer;


GetAnchorControlsRect

Declaration

Source position: ldocktree.pas line 216

procedure GetAnchorControlsRect(

  Control: TControl;

  out ARect: TAnchorControlsRect

);


GetEnclosedControls

Declaration

Source position: ldocktree.pas line 220

function GetEnclosedControls(

  const ARect: TAnchorControlsRect

):TFPList;


GetEnclosingControlRect

Declaration

Source position: ldocktree.pas line 218

function GetEnclosingControlRect(

  ControlList: TFPList;

  out ARect: TAnchorControlsRect

):Boolean;


GetLazDockSplitter

Declaration

Source position: ldocktree.pas line 206

function GetLazDockSplitter(

  Control: TControl;

  Side: TAnchorKind;

  out Splitter: TLazDockSplitter

):Boolean;


GetLazDockSplitterOrParent

Declaration

Source position: ldocktree.pas line 208

function GetLazDockSplitterOrParent(

  Control: TControl;

  Side: TAnchorKind;

  out AnchorControl: TControl

):Boolean;


NeighbourCanBeShrinked

Declaration

Source position: ldocktree.pas line 212

function NeighbourCanBeShrinked(

  EnlargeControl: TControl;

  Neighbour: TControl;

  Side: TAnchorKind

):Boolean;


GetMessageName

Declaration

Source position: lmessages.pp line 864

function GetMessageName(

  const AMessage: Integer

):string;


BinaryToLazarusResourceCode

Declaration

Source position: lresources.pp line 515

procedure BinaryToLazarusResourceCode(

  BinStream: TStream;

  ResStream: TStream;

  const ResourceName: string;

  const ResourceType: string

);

Description

FPC is not optimized for building a constant string out of thousands of lines. It needs huge amounts of memory and becomes very slow. Therefore big files are split into several strings.


CompareComponents

Declaration

Source position: lresources.pp line 512

function CompareComponents(

  Component1: TComponent;

  Component2: TComponent

):Boolean;


CompareLRPositionLinkWithLFMPosition

Declaration

Source position: lresources.pp line 602

function CompareLRPositionLinkWithLFMPosition(

  Item1: Pointer;

  Item2: Pointer

):Integer;


CompareLRPositionLinkWithLRSPosition

Declaration

Source position: lresources.pp line 603

function CompareLRPositionLinkWithLRSPosition(

  Item1: Pointer;

  Item2: Pointer

):Integer;


CompareMemStreams

Declaration

Source position: lresources.pp line 513

function CompareMemStreams(

  Stream1: TCustomMemoryStream;

  Stream2: TCustomMemoryStream

):Boolean;


ConvertEndianBigDoubleToLRSExtended

Declaration

Source position: lresources.pp line 555

procedure ConvertEndianBigDoubleToLRSExtended(

  BigEndianDouble: Pointer;

  LRSExtended: Pointer

);


ConvertLEDoubleToLRSExtended

Declaration

Source position: lresources.pp line 558

procedure ConvertLEDoubleToLRSExtended(

  LEDouble: Pointer;

  LRSExtended: Pointer

);


ConvertLRSExtendedToDouble

Declaration

Source position: lresources.pp line 554

function ConvertLRSExtendedToDouble(

  p: Pointer

):Double;


CreateLFMFile

Declaration

Source position: lresources.pp line 528

function CreateLFMFile(

  AComponent: TComponent;

  LFMStream: TStream

):Integer;


CreateLRSReader

Declaration

Source position: lresources.pp line 481

function CreateLRSReader(

  s: TStream;

  var DestroyDriver: Boolean

):TReader;


CreateLRSWriter

Declaration

Source position: lresources.pp line 482

function CreateLRSWriter(

  s: TStream;

  var DestroyDriver: Boolean

):TWriter;


DefineRectProperty

Declaration

Source position: lresources.pp line 549

procedure DefineRectProperty(

  Filer: TFiler;

  const Name: string;

  ARect: PRect;

  DefaultRect: PRect

);


FindLFMClassName

Declaration

Source position: lresources.pp line 519

function FindLFMClassName(

  LFMStream: TStream

):AnsiString;


FindResourceLFM

Declaration

Source position: lresources.pp line 547

function FindResourceLFM(

  ResName: string

):HRSRC;


FloatToLFMStr

Declaration

Source position: lresources.pp line 599

function FloatToLFMStr(

  const Value: extended;

  Precision: Integer;

  Digits: Integer

):string;


FormDataToText

Declaration

Source position: lresources.pp line 544

procedure FormDataToText(

  FormStream: TStream;

  TextStream: TStream;

  aFormat: TLRSStreamOriginalFormat = sofUnknown

);


GetClassNameFromLRSStream

Declaration

Source position: lresources.pp line 484

function GetClassNameFromLRSStream(

  s: TStream;

  out IsInherited: Boolean

):shortstring;


GetComponentInfoFromLRSStream

Declaration

Source position: lresources.pp line 485

procedure GetComponentInfoFromLRSStream(

  s: TStream;

  out ComponentName: string;

  out ComponentClassName: string;

  out IsInherited: Boolean

);


InitLazResourceComponent

Declaration

Source position: lresources.pp line 479

function InitLazResourceComponent(

  Instance: TComponent;

  RootAncestor: TClass

):Boolean;


InitResourceComponent

Declaration

Source position: lresources.pp line 477

function InitResourceComponent(

  Instance: TComponent;

  RootAncestor: TClass

):Boolean;


LFMtoLRSfile

Declaration

Source position: lresources.pp line 517

function LFMtoLRSfile(

  const LFMfilename: string

):Boolean;


LFMtoLRSstream

Declaration

Source position: lresources.pp line 518

function LFMtoLRSstream(

  LFMStream: TStream;

  LRSStream: TStream

):Boolean;


LoadComponentFromConfig

Declaration

Source position: lresources.pp line 505

procedure LoadComponentFromConfig(

  Config: TConfigStorage;

  const Path: string;

  var RootComponent: TComponent;

  OnFindComponentClass: TFindComponentClassEvent;

  TheOwner: TComponent = Nil;

  Parent: TComponent = Nil

);


LRSObjectBinaryToText

Declaration

Source position: lresources.pp line 533

procedure LRSObjectBinaryToText(

  Input: TStream;

  Output: TStream

);


LRSObjectResourceToText

Declaration

Source position: lresources.pp line 539

procedure LRSObjectResourceToText(

  Input: TStream;

  Output: TStream

);


LRSObjectResToText

Declaration

Source position: lresources.pp line 540

procedure LRSObjectResToText(

  Input: TStream;

  Output: TStream;

  var OriginalFormat: TLRSStreamOriginalFormat

);


LRSObjectTextToBinary

Declaration

Source position: lresources.pp line 534

procedure LRSObjectTextToBinary(

  Input: TStream;

  Output: TStream;

  Links: TLRPositionLinks = Nil

);


LRSObjectToText

Declaration

Source position: lresources.pp line 536

procedure LRSObjectToText(

  Input: TStream;

  Output: TStream;

  var OriginalFormat: TLRSStreamOriginalFormat

);


ReadComponentFromBinaryStream

Declaration

Source position: lresources.pp line 490

procedure ReadComponentFromBinaryStream(

  AStream: TStream;

  var RootComponent: TComponent;

  OnFindComponentClass: TFindComponentClassEvent;

  TheOwner: TComponent = Nil;

  Parent: TComponent = Nil;

  ReaderRoot: TComponent = Nil

);


ReadComponentFromTextStream

Declaration

Source position: lresources.pp line 498

procedure ReadComponentFromTextStream(

  AStream: TStream;

  var RootComponent: TComponent;

  OnFindComponentClass: TFindComponentClassEvent;

  TheOwner: TComponent = Nil;

  Parent: TComponent = Nil

);


ReadLFMHeader

Declaration

Source position: lresources.pp line 520

procedure ReadLFMHeader(

  LFMStream: TStream;

  out LFMType: string;

  out LFMComponentName: string;

  out LFMClassName: string

);

procedure ReadLFMHeader(

  const LFMSource: string;

  out LFMClassName: string;

  out LFMType: string

);

procedure ReadLFMHeader(

  const LFMSource: string;

  out LFMType: string;

  out LFMComponentName: string;

  out LFMClassName: string

);


ReadLFMHeaderFromFile

Declaration

Source position: lresources.pp line 526

function ReadLFMHeaderFromFile(

  const Filename: string;

  out LFMType: string;

  out LFMComponentName: string;

  out LFMClassName: string

):Boolean;


ReadLRSByte

Declaration

Source position: lresources.pp line 562

function ReadLRSByte(

  s: TStream

):Byte;


ReadLRSCardinal

Declaration

Source position: lresources.pp line 566

function ReadLRSCardinal(

  s: TStream

):Cardinal;


ReadLRSCurrency

Declaration

Source position: lresources.pp line 571

function ReadLRSCurrency(

  s: TStream

):Currency;


ReadLRSDouble

Declaration

Source position: lresources.pp line 569

function ReadLRSDouble(

  s: TStream

):Double;


ReadLRSEndianLittleExtendedAsDouble

Declaration

Source position: lresources.pp line 573

function ReadLRSEndianLittleExtendedAsDouble(

  s: TStream

):Double;


ReadLRSExtended

Declaration

Source position: lresources.pp line 570

function ReadLRSExtended(

  s: TStream

):Extended;


ReadLRSInt64

Declaration

Source position: lresources.pp line 567

function ReadLRSInt64(

  s: TStream

):Int64;


ReadLRSInt64MB

Declaration

Source position: lresources.pp line 575

function ReadLRSInt64MB(

  s: TStream

):Int64;


ReadLRSInteger

Declaration

Source position: lresources.pp line 565

function ReadLRSInteger(

  s: TStream

):Integer;


ReadLRSShortInt

Declaration

Source position: lresources.pp line 561

function ReadLRSShortInt(

  s: TStream

):ShortInt;


ReadLRSSingle

Declaration

Source position: lresources.pp line 568

function ReadLRSSingle(

  s: TStream

):Single;


ReadLRSSmallInt

Declaration

Source position: lresources.pp line 563

function ReadLRSSmallInt(

  s: TStream

):SmallInt;


ReadLRSValueType

Declaration

Source position: lresources.pp line 574

function ReadLRSValueType(

  s: TStream

):TValueType;


ReadLRSWideString

Declaration

Source position: lresources.pp line 572

function ReadLRSWideString(

  s: TStream

):WideString;


ReadLRSWord

Declaration

Source position: lresources.pp line 564

function ReadLRSWord(

  s: TStream

):Word;


Register

Registers the component TLazComponentQueue.

Declaration

Source position: lresources.pp line 608

procedure Register;


RegisterPropertyToSkip

Declaration

Source position: lresources.pp line 605

procedure RegisterPropertyToSkip(

  PersistentClass: TPersistentClass;

  const PropertyName: string;

  const Note: string;

  const HelpKeyWord: string

);


ReverseByteOrderInWords

Declaration

Source position: lresources.pp line 553

procedure ReverseByteOrderInWords(

  p: PWord;

  Count: Integer

);


ReverseBytes

Declaration

Source position: lresources.pp line 552

procedure ReverseBytes(

  p: Pointer;

  Count: Integer

);


SaveComponentToConfig

Declaration

Source position: lresources.pp line 503

procedure SaveComponentToConfig(

  Config: TConfigStorage;

  const Path: string;

  AComponent: TComponent

);


TestFormStreamFormat

Declaration

Source position: lresources.pp line 543

function TestFormStreamFormat(

  Stream: TStream

):TLRSStreamOriginalFormat;


WriteComponentAsBinaryToStream

Declaration

Source position: lresources.pp line 488

procedure WriteComponentAsBinaryToStream(

  AStream: TStream;

  AComponent: TComponent

);


WriteComponentAsTextToStream

Declaration

Source position: lresources.pp line 496

procedure WriteComponentAsTextToStream(

  AStream: TStream;

  AComponent: TComponent

);


WriteLRS10BytesReversed

Declaration

Source position: lresources.pp line 592

procedure WriteLRS10BytesReversed(

  s: TStream;

  p: Pointer

);


WriteLRS4BytesReversed

Declaration

Source position: lresources.pp line 590

procedure WriteLRS4BytesReversed(

  s: TStream;

  p: Pointer

);


WriteLRS8BytesReversed

Declaration

Source position: lresources.pp line 591

procedure WriteLRS8BytesReversed(

  s: TStream;

  p: Pointer

);


WriteLRSCardinal

Declaration

Source position: lresources.pp line 580

procedure WriteLRSCardinal(

  s: TStream;

  const c: Cardinal

);


WriteLRSCurrency

Declaration

Source position: lresources.pp line 585

procedure WriteLRSCurrency(

  s: TStream;

  const c: Currency

);


WriteLRSDouble

Declaration

Source position: lresources.pp line 582

procedure WriteLRSDouble(

  s: TStream;

  const d: Double

);


WriteLRSDoubleAsExtended

Declaration

Source position: lresources.pp line 596

procedure WriteLRSDoubleAsExtended(

  s: TStream;

  ADouble: PByte

);


WriteLRSEndianBigDoubleAsEndianLittleExtended

Declaration

Source position: lresources.pp line 594

procedure WriteLRSEndianBigDoubleAsEndianLittleExtended(

  s: TStream;

  EndBigDouble: PByte

);


WriteLRSExtended

Declaration

Source position: lresources.pp line 583

procedure WriteLRSExtended(

  s: TStream;

  const e: extended

);


WriteLRSInt64

Declaration

Source position: lresources.pp line 584

procedure WriteLRSInt64(

  s: TStream;

  const i: Int64

);


WriteLRSInt64MB

Writes an integer value, using the smallest possible representation.

Declaration

Source position: lresources.pp line 587

procedure WriteLRSInt64MB(

  s: TStream;

  const Value: Int64

);


WriteLRSInteger

Declaration

Source position: lresources.pp line 579

procedure WriteLRSInteger(

  s: TStream;

  const i: Integer

);


WriteLRSNull

Declaration

Source position: lresources.pp line 593

procedure WriteLRSNull(

  s: TStream;

  Count: Integer

);


WriteLRSReversedWord

Declaration

Source position: lresources.pp line 589

procedure WriteLRSReversedWord(

  s: TStream;

  w: Word

);


WriteLRSReversedWords

Declaration

Source position: lresources.pp line 597

procedure WriteLRSReversedWords(

  s: TStream;

  p: Pointer;

  Count: Integer

);


WriteLRSSingle

Declaration

Source position: lresources.pp line 581

procedure WriteLRSSingle(

  s: TStream;

  const si: Single

);


WriteLRSSmallInt

Declaration

Source position: lresources.pp line 577

procedure WriteLRSSmallInt(

  s: TStream;

  const i: SmallInt

);


WriteLRSWideStringContent

Declaration

Source position: lresources.pp line 586

procedure WriteLRSWideStringContent(

  s: TStream;

  const w: WideString

);


WriteLRSWord

Declaration

Source position: lresources.pp line 578

procedure WriteLRSWord(

  s: TStream;

  const w: Word

);


FormatMaskText

Declaration

Source position: maskedit.pp line 351

function FormatMaskText(

  const AEditMask: string;

  const Value: string

):string;


Register

Declaration

Source position: maskedit.pp line 354

procedure Register;


SplitEditMask

Declaration

Source position: maskedit.pp line 352

procedure SplitEditMask(

  AEditMask: string;

  out AMaskPart: string;

  out AMaskSave: Boolean;

  out ASpaceChar: Char

);


NewItem

Declaration

Source position: menus.pp line 460

function NewItem(

  const ACaption: string;

  AShortCut: TShortCut;

  AChecked: Boolean;

  TheEnabled: Boolean;

  TheOnClick: TNotifyEvent;

  hCtx: THelpContext;

  const AName: string

):TMenuItem;


NewLine

Declaration

Source position: menus.pp line 463

function NewLine: TMenuItem;


NewMenu

Declaration

Source position: menus.pp line 452

function NewMenu(

  Owner: TComponent;

  const AName: string;

  const Items: array of TMenuItem

):TMainMenu;


NewPopupMenu

Declaration

Source position: menus.pp line 454

function NewPopupMenu(

  Owner: TComponent;

  const AName: string;

  Alignment: TPopupAlignment;

  AutoPopup: Boolean;

  const Items: array of TMenuItem

):TPopupMenu;


NewSubMenu

Declaration

Source position: menus.pp line 457

function NewSubMenu(

  const ACaption: string;

  hCtx: THelpContext;

  const AName: string;

  const Items: array of TMenuItem;

  TheEnabled: Boolean = True

):TMenuItem;


Register

Declaration

Source position: menus.pp line 467

procedure Register;


ShortCut

Declaration

Source position: menus.pp line 443

function ShortCut(

  const Key: Word;

  const Shift: TShiftState

):TShortCut;


ShortCutToKey

Declaration

Source position: menus.pp line 444

procedure ShortCutToKey(

  const ShortCut: TShortCut;

  out Key: Word;

  out Shift: TShiftState

);


StripHotkey

Declaration

Source position: menus.pp line 465

function StripHotkey(

  const Text: string

):string;


Register

Declaration

Source position: pairsplitter.pas line 156

procedure Register;


Register

Declaration

Source position: popupnotifier.pas line 112

procedure Register;


Register

Declaration

Source position: registerlcl.pas line 20

procedure Register;


RegisterLCLBase

Declaration

Source position: registerlcl.pas line 21

procedure RegisterLCLBase;


DbgS

Declaration

Source position: shellctrls.pas line 341

function DbgS(

  OT: TObjectTypes

):string; overload;


Register

Declaration

Source position: shellctrls.pas line 343

procedure Register;


Register

Declaration

Source position: spin.pp line 212

procedure Register;


Register

Declaration

Source position: stdactns.pas line 463

procedure Register;


Register

Registers the components declared in this unit.

Declaration

Source position: stdctrls.pp line 1638

procedure Register;


ThemedElementDetailsEqual

Declaration

Source position: themes.pas line 509

function ThemedElementDetailsEqual(

  const D1: TThemedElementDetails;

  const D2: TThemedElementDetails

):Boolean;


ThemeServices

Declaration

Source position: themes.pas line 508

function ThemeServices: TThemeServices;


Register

Declaration

Source position: valedit.pas line 323

procedure Register;


RegisterControl

Declaration

Source position: wscontrols.pp line 165

procedure RegisterControl;


RegisterCustomControl

Declaration

Source position: wscontrols.pp line 168

procedure RegisterCustomControl;


RegisterDragImageListResolution

Declaration

Source position: wscontrols.pp line 163

procedure RegisterDragImageListResolution;


RegisterGraphicControl

Declaration

Source position: wscontrols.pp line 167

procedure RegisterGraphicControl;


RegisterLazAccessibleObject

Declaration

Source position: wscontrols.pp line 164

procedure RegisterLazAccessibleObject;


RegisterWinControl

Declaration

Source position: wscontrols.pp line 166

procedure RegisterWinControl;


Register

Registers TXMLPropStorage on the 'Misc' tab of the component pallete.

Declaration

Source position: xmlpropstorage.pas line 107

procedure Register;


Reference for package 'lcl'

Lazarus Component Library

Units

ActnList | Defines classes for Actions and Lists of actions to be used with LCL components
alllclunits | AllLCLUnits - a dummy unit containing a Uses clause listing all the units in the Lazarus Component Library - probably used as a checklist for building Lazarus
Arrow | Defines the Arrow symbol widely used in Forms
AsyncProcess |
ButtonPanel | A special panel containing a row of BitButtons
Buttons | Defines several specialist button classes
Calendar | Classes defining Calendar, a graphic allowing the user to select a date
CheckLst | Classes defining the CheckBox placed beside list items in a CheckList
Clipbrd | Definitions for the Clipboard to hold Cut or Copied data for Pasting
ColorBox | Defines Classes for selecting colour from a list or ComboBox
ComboEx |
ComCtrls | Several controls commonly used in Lazarus forms
Controls | This unit contains basic classes for visual controls.
CustomDrawn_Android |
CustomDrawn_Common |
CustomDrawnControls |
CustomDrawnDrawers |
CustomDrawn_Mac |
CustomDrawn_WinXP |
CustomTimer | Contains definition of base class for TTimer
DBActns | Standard actions to be used for navigating and manipulating datasets derived from external databases
DBCtrls | Data-Aware controls commonly used for viewing and operating on information held in databases
DBExtCtrls | dbextctrls.pp contains extended database controls
DBGrids | Data-aware grids to display and operate on information in a database
DefaultTranslator |
Dialogs | Some dialogs commonly used in Lazarus applications. Look at the Procedures as well as the Classes
EditBtn | Defines some special Edit Boxes with attached Speed Buttons
ExtCtrls | Some extra controls commonly used in Lazarus forms
ExtDlgs | Some useful extra dialogs such as Calendar, Calculator and Open/Save Picture
ExtGraphics |
FileCtrl | Class definitions for a box with a list of files for selection
Forms | Contains definitions and descriptions for constructing the Forms which are the basis of the Lazarus Graphical User Interface
Graphics | Unit contains definitions for many fundamental classes and types used in graphic applications
GraphMath | A Set of Mathematical Helper routines to simply Cross-Platfrom Canvas drawing etc
GraphUtil |
Grids | Classes for displaying tabular data in the form of a grid of rows and columns
GroupedEdit |
HelpIntfs |
IcnsTypes |
ImageListCache |
ImgList | Contains definitions for TCustomImageList, the base class for TImageList.
IndustrialBase |
IniPropStorage | Contains a component that stores Form Session Properties in INI format.
InterfaceBase | Provides an platform independent widgetset and helper functions.
IntfGraphics | Classes and functions for easy handling of raw images (interface images)
JSONPropStorage | Contains a component that stores Form Session Properties in JSON format.
LazCanvas |
LazDeviceApis | LCL APIs for accessing hardware sensors (such as Accelerometer, GPS, etc) and integrated elements of the system (such as Calendar, Contacts, etc)
LazDialogs |
LazFreeTypeIntfDrawer |
LazHelpHTML |
LazHelpIntf |
LazRegions |
LCL
LCLClasses | Defines the base class for all LCL TComponents including controls
LCLIntf | Contains winapi like functions for Delphi compatibility.
LCLMemManager |
LCLMessageGlue |
LCLPlatformDef |
LCLProc | Useful lower level helper functions and classes
LCLResCache | Types and methods to cache interface resources
LCLStrConsts | This unit contains all resource strings of the LCL
LCLTaskDialog |
LCLTranslator |
LCLType | This unit is being created specifically for compatibility with Delphi. It should only be used for constants and type definitions that are included in the Delphi Windows unit. This is only done for compatibiltiy.
LCLUnicodeData | Container for Unicode, Inc copyrighted data.
LCLVersion | Contains the version number constants of the LCL.
LDockTree | This unit defines TLazDockTree, the default TDockTree for the LCL
LMessages |
LResources | This unit maintains and stores all standard Lazarus resources in the global LazarusResources list and provides methods and types for component streaming.
MaskEdit | Defines classes for Mask Editing, ie editing with a masking string in place to obscure the text being entered
Menus | Menus to be used in Forms created with the Lazarus IDE
PairSplitter |
PopupNotifier | Contains the TPopupNotifier visual component
PostScriptCanvas |
PostScriptPrinter |
PostScriptUnicode
Printers | Defines Printers to be used as output from Lazarus applications
PropertyStorage |
RegisterLCL |
RubberBand | Describes TRubberBand, for drawing a ring resembling a rubber band around a selection
ShellCtrls | Controls which display files and directories
Spin | This unit contains classes for spin edit controls.
StdActns | Defines some standard actions to be used in Action Lists in the LCL
StdCtrls | Several standard controls used in most Lazarus forms
Themes | For manipulation of display Themes, mostly in a Windows XP (and later) environment
TmSchema |
Toolwin |
UTrace |
ValEdit |
WSControls
XMLPropStorage | Contains a component that stores Form Session Properties in XML format.

Description

The Lazarus Component Library is a set of visual components to create gui applications.


Index of all identifiers in package 'lcl'

A B C D E F G H I J K L M N O P Q R S T U V W X

A

aaDown | ahtActivate | AppDoNotCallAsyncQueue
aaLeft | ahtDeactivate | AppendURLPathDelim
aaLeftDown | ahtDropFiles | AppIdleEndSent
aaLeftUp | ahtEndSession | AppInitialized
aaNone | ahtException | Application
aaRight | ahtGetMainFormHandle | ApplicationActionComponent
aaRightDown | ahtHelp | AppNoExceptionMessages
aaRightUp | ahtHint | AppWaiting
_ABC | ahtIdle | ARABIC_CHARSET
ABS_DOWNDISABLED | ahtIdleEnd | Arc
ABS_DOWNHOT | ahtKeyDownAfter | Arc2Bezier
ABS_DOWNHOVER | ahtKeyDownBefore | Arrow
ABS_DOWNNORMAL | ahtMinimize | ARROWBTNSTATES
ABS_DOWNPRESSED | ahtModalBegin | ascoAdd
ABS_LEFTDISABLED | ahtModalEnd | ascoChangeSide
ABS_LEFTHOT | ahtQueryEndSession | ascoRemove
ABS_LEFTHOVER | ahtRestore | AskUser
ABS_LEFTNORMAL | ahtShowHint | asNormal
ABS_LEFTPRESSED | ahttHideHint | asrBottom
ABS_RIGHTDISABLED | ahttNone | asrCenter
ABS_RIGHTHOT | ahttReshowHint | asrLeft
ABS_RIGHTHOVER | ahttShowHint | asrRight
ABS_RIGHTNORMAL | ahtUserInput | asrTop
ABS_RIGHTPRESSED | akBottom | assign(TFloatPoint):TPoint
ABS_UPDISABLED | akLeft | assign(TPoint):TFloatPoint
ABS_UPHOT | akRight | assign(Variant):TCaption
ABS_UPHOVER | akTop | asSuspended
ABS_UPNORMAL | alBottom | asSuspendedEnabled
ABS_UPPRESSED | alClient | AsyncProcess
Accelerometer | alCustom | atArrows
acoAutoAppend | alLeft | atDefault
acoAutoSuggest | alllclunits | atDesktop
acoFilterPrefixes | AllocateHWnd | atDown
acoRtlReading | AllocPatternBitmap | atDown
acoSearch | alNone | atKeyPadDevice
acoUpDownKeyDropsList | alRight | atLeft
acoUseTab | ALTERNATE | atLeft
ActivePopupMenu | alTop | atMobileEmulator
ActnList | amDontCare | atPDA
adbDefault | amOff | atRight
adbFalse | amOn | atRight
adbTrue | AnchorAlign | atSolid
AddAlphaToDescription | AnchorReferenceSide | atTablet
AddEventHandler | AngleChord | atTV
add(Extended,TFloatPoint):TFloatPoint | Angles2Coords | atUp
AddPipeEventHandler | anoArrowToSelectNextInParent | atUp
AddProcessEventHandler | anoEscapeForCancelControl | AW_BUTTON
add(TFloatPoint,Extended):TFloatPoint | anoF1ForHelp | AW_COMMANDAREA
add(TFloatPoint,TFloatPoint):TFloatPoint | anoReturnForDefaultControl | AW_CONTENTAREA
add(TFloatPoint,TPoint):TFloatPoint | anoTabToSelectNext | AW_HEADERAREA
add(TPoint,TFloatPoint):TFloatPoint | ANSI_CHARSET | AW_S_CONTENTAREA_NOMARGIN
AdjustBorderSpace | ANSI_FIXED_FONT | AW_S_HEADERAREA_NOMARGIN
AdjustWindowRectEx | ANSI_VAR_FONT | AW_S_TITLEBAR_ACTIVE
aedOkCancelDialog | ANTIALIASED_QUALITY | AW_S_TITLEBAR_INACTIVE
aedOkMessageBox | AntiAliasedStretchDrawBitmap | AW_TITLEBAR
AEROWIZARDPARTS | AppActive |
AEROWIZARDSTYLEPARTS | AppDestroying |

B

BACKGROUNDSTATES | BITMAP | bsBDiagonal
BACKGROUNDWITHBORDERSTATES | BITMAPCOREHEADER | bsBottomLine
BALLOONSTATES | BITMAPCOREINFO | bsBox
BALLOONSTEMSTATES | BITMAPFILEHEADER | bsClear
BALTIC_CHARSET | BITMAPINFO | bsCross
BARBACKGROUNDSTATES | BITMAPINFOHEADER | BS_DEFPUSHBUTTON
BARITEMSTATES | BITSPIXEL | bsDiagCross
BDR_INNER | bkAbort | bsDialog
BDR_OUTER | bkAll | BS_DIBPATTERN
BDR_RAISED | bkCancel | BS_DIBPATTERN8X8
BDR_RAISEDINNER | bkClose | BS_DIBPATTERNPT
BDR_RAISEDOUTER | bkCustom | bsDisabled
BDR_SUNKEN | bkHelp | bsDown
BDR_SUNKENINNER | bkIgnore | bsExclusive
BDR_SUNKENOUTER | BKMODE_LAST | bsFDiagonal
BeginPaint | bkNo | bsFrame
Bezier | bkNoToAll | BS_GROUPBOX
Bezier2Polyline | bkOK | BS_HATCHED
BezierArcPoints | bkRetry | BS_HOLLOW
BezierMidPoint | bkYes | bsHorizontal
BF_ADJUST | bkYesToAll | bsHot
BF_BOTTOM | BLACK_BRUSH | BS_INDEXED
BF_BOTTOMLEFT | BLACKNESS | bsLeftLine
BF_BOTTOMRIGHT | BLACKONWHITE | bsLowered
BF_DIAGONAL | BLACK_PEN | BS_MONOPATTERN
BF_DIAGONAL_ENDBOTTOMLEFT | blGlyphBottom | bsNone
BF_DIAGONAL_ENDBOTTOMRIGHT | blGlyphLeft | BS_NULL
BF_DIAGONAL_ENDTOPLEFT | blGlyphRight | BS_OWNERDRAW
BF_DIAGONAL_ENDTOPRIGHT | blGlyphTop | BS_PATTERN
bfError | Blue | BS_PATTERN8X8
BF_FLAT | bmClick | BS_PUSHBUTTON
bfInfo | bmDblClick | BS_PUSHLIKE
BF_LEFT | bmDDB | BS_RADIOBUTTON
BF_MIDDLE | bmDIB | bsRaised
BF_MONO | bmMoving | BS_RIGHTBUTTON
bfNone | bmNone | bsRightLine
BF_RECT | bmNone | bsSingle
BF_RIGHT | bmReady | bsSizeable
BF_SOFT | boCloseCancelOK | bsSizeToolWin
BF_TOP | boCloseOKCancel | bsSolid
BF_TOPLEFT | boDefault | BS_SOLID
BF_TOPRIGHT | BODYSTATES | bsSpacer
bfWarning | Bool | bsToolWindow
BGDrawn | BORDER_HSCROLLSTATES | bsTopLine
BGTYPE | BORDER_HVSCROLLSTATES | bsUp
BI_BITFIELDS | BORDER_NOSCROLLSTATES | bsVertical
BidiAdjustButtonLayout | BORDERSTATES | BT_BORDERFILL
BidiFlipAlignment | BORDERTYPE | BT_ELLIPSE
BidiFlipAnchors | BORDER_VSCROLLSTATES | BT_IMAGEFILE
BidiFlipRect | BP_CHECKBOX | btNext
biHelp | BP_COMMANDLINK | BT_NONE
biMaximize | BP_COMMANDLINKGLYPH | btPrev
biMinimize | BP_GROUPBOX | BT_RECT
BinaryToLazarusResourceCode | bpoFrame | BT_ROUNDRECT
BI_RGB | bpoGrabber | BuildLCLWidgetType
BI_RLE4 | bpoGradient | ButtonPanel
BI_RLE8 | bpoRoundRect | BUTTONPARTS
biSystemMenu | BP_PUSHBUTTON | Buttons
BitBlt | BP_RADIOBUTTON | BUTTONSTYLEPARTS
BitBtnImages | BP_USERBUTTON | bvLowered
BitBtnKindToMsgDlgBtn | BrushResourceCache | bvNone
BitBtnModalResults | BS_3STATE | bvRaised
BitBtnResNames | BS_AUTOCHECKBOX | bvSpace

C

CA_CENTER | CLIP_CHARACTER_PRECIS | COLOR_INFOBK
caFree | CLIP_DEFAULT_PRECIS | COLOR_INFOTEXT
caHide | CLIP_EMBEDDED | COLOR_MENU
CalculateLeftTopWidthHeight | CLIP_LH_ANGLES | COLOR_MENUBAR
CalculatePentagonPoints | CLIP_MASK | COLOR_MENUHILIGHT
CA_LEFT | CLIP_STROKE_PRECIS | COLOR_MENUTEXT
Calendar | CLIP_TT_ALWAYS | COLORONCOLOR
CallDefaultWndHandler | clLime | COLORREF
CallInterfaceFinalizationHandlers | clLtGray | ColorRGBToHLS
CallInterfaceInitializationHandlers | clMaroon | COLOR_SCROLLBAR
CallNextHookEx | clMask | ColorToGray
CallWindowProc | clMedGray | ColorToHLS
caMinimize | clMenu | ColorToIdent
CancelDrag | clMenuBar | ColorToRGB
caNone | clMenuHighlight | ColorToString
capfAllowDisabled | clMenuText | COLOR_WINDOW
capfAllowWinControls | clMoneyGreen | COLOR_WINDOWFRAME
capfHasScrollOffset | clNavy | COLOR_WINDOWTEXT
capfOnlyClientAreas | clNone | colValue
capfOnlyWinControls | CLOCKPARTS | CombineRgn
capfRecursive | CLOCKSTATES | CombineURL
CAPTIONSTATES | ClockwiseAnchor | COMBOBOXPARTS
CA_RIGHT | clOlive | COMBOBOXSTYLEPARTS
caspChangingProperties | CLOSEBUTTONSTATES | COMBOBOXSTYLESTATES
caspComputingBounds | CloseDebugOutput | ComboEx
caspCreatingHandles | CLOSESTATES | ComCtrls
caspNone | CLP_TIME | COMMANDLINKGLYPHSTATES
caspRealizingBounds | clPurple | COMMANDLINKSTATES
caspShowing | CLR_DEFAULT | COMMUNICATIONSPARTS
cbactEnabled | clRed | COMMUNICATIONSSTYLEPARTS
cbactEndOfLineComplete | CLR_INVALID | CompareCaret
cbactRetainPrefixCase | CLR_NONE | CompareComponents
cbactSearchAscending | clScrollBar | CompareDataObjectWithLazAccessibleObject
cbactSearchCaseSensitive | CLS_HOT | CompareDebugLCLItemInfos
CBB_DISABLED | clSilver | CompareDescPtrWithBlockResDesc
CBB_FOCUSED | clSkyBlue | CompareExpandedNodes
CBB_HOT | CLS_NORMAL | CompareHandles
CBB_NORMAL | CLS_PRESSED | CompareItemWithDebugLCLItemInfo
cbCancel | clTeal | CompareLazAccessibleObjectsByDataObject
CBCB_DISABLED | clVerticalThenHorizontal | CompareLRPositionLinkWithLFMPosition
CBCB_HOT | clWhite | CompareLRPositionLinkWithLRSPosition
CBCB_NORMAL | clWindow | CompareMemStreams
CBCB_PRESSED | clWindowFrame | CompareMethods
cbChecked | clWindowText | ComparePHandleWithResourceCacheItem
cbClose | clYellow | ComparePointers
cbCustomColor | CM_ACTIONEXECUTE | ComparePoints
cbCustomColors | CM_ACTIONEXECUTE | CompareRect
cbExtendedColors | CM_ACTIONUPDATE | CompareTextWithExpandedNode
cbGrayed | CM_ACTIONUPDATE | ComplexRegion
cbIncludeDefault | CM_ACTIVATE | constCellPadding
cbIncludeNone | CM_ACTIVATE | constColRowBorderTolerance
CBM_INIT | CM_ALLCHILDRENFLIPPED | constRubberSpace
CBN_CLOSEUP | CM_ALLCHILDRENFLIPPED | CONTENTALIGNMENT
CBN_DBLCLK | CM_APPKEYDOWN | CONTENTAREASTATES
CBN_DROPDOWN | CM_APPKEYDOWN | CONTENTLINKSTATES
CBN_EDITCHANGE | CM_APPSHOWBTNGLYPHCHANGED | CONTENTPANESTATES
CBN_EDITUPDATE | CM_APPSHOWBTNGLYPHCHANGED | ControlIsAnchoredIndirectly
CBN_ERRSPACE | CM_APPSHOWMENUGLYPHCHANGED | CONTROLLABELSTATES
CBN_KILLFOCUS | CM_APPSHOWMENUGLYPHCHANGED | CONTROLPANELPARTS
cbNo | CM_APPSYSCOMMAND | CONTROLPANELSTYLEPARTS
CBN_SELCHANGE | CM_APPSYSCOMMAND | Controls
CBN_SELENDCANCEL | cMask_AllChars | ConvertEndianBigDoubleToLRSExtended
CBN_SELENDOK | cMask_AllCharsFixed | ConvertLEDoubleToLRSExtended
CBN_SETFOCUS | cMask_AlphaNum | ConvertLRSExtendedToDouble
cbOK | cMask_AlphaNumFixed | Coords2Angles
cbPrettyNames | cMask_Binary | CopyRect
cbRetry | cMask_BinaryFixed | COPYSTATES
CBRO_DISABLED | cMask_DateSeparator | coRighttoLeft
CBRO_HOT | cMask_Hex | CountAnchoredControls
CBRO_NORMAL | cMask_HexFixed | CPANEL_BANNERAREA
CBRO_PRESSED | cMask_HourSeparator | CPANEL_BODYTEXT
cbsAuto | cMask_Letter | CPANEL_BODYTITLE
CBS_AUTOHSCROLL | cMask_LetterFixed | CPANEL_BUTTON
cbsButton | cMask_LowerCase | CPANEL_CONTENTLINK
cbsButtonColumn | cMask_NoLeadingBlanks | CPANEL_CONTENTPANE
cbsCheckboxColumn | cMask_Number | CPANEL_CONTENTPANELABEL
CBS_CHECKEDDISABLED | cMask_NumberFixed | CPANEL_CONTENTPANELINE
CBS_CHECKEDHOT | cMask_NumberPlusMin | CPANEL_GROUPTEXT
CBS_CHECKEDNORMAL | cMask_SpecialChar | CPANEL_HELPLINK
CBS_CHECKEDPRESSED | cMask_UpperCase | CPANEL_LARGECOMMANDAREA
CBS_DISABLED | CM_BASE | CPANEL_MESSAGETEXT
CBS_DROPDOWN | CM_BASE | CPANEL_NAVIGATIONPANE
CBS_DROPDOWNLIST | CM_BIDIMODECHANGED | CPANEL_NAVIGATIONPANELABEL
cbsEllipsis | CM_BIDIMODECHANGED | CPANEL_NAVIGATIONPANELINE
CBS_EXCLUDEDDISABLED | cmBlackness | CPANEL_SECTIONTITLELINK
CBS_EXCLUDEDHOT | CM_BORDERCHANGED | CPANEL_SMALLCOMMANDAREA
CBS_EXCLUDEDNORMAL | CM_BORDERCHANGED | CPANEL_TASKLINK
CBS_EXCLUDEDPRESSED | CM_BUFFEREDPRINTCLIENT | CPANEL_TITLE
CBS_HASSTRINGS | CM_BUFFEREDPRINTCLIENT | CP_BACKGROUND
CBS_HOT | CM_BUTTONPRESSED | CP_BORDER
CBS_IMPLICITDISABLED | CM_BUTTONPRESSED | CPCL_DISABLED
CBS_IMPLICITHOT | CM_CANCELMODE | CPCL_HOT
CBS_IMPLICITNORMAL | CM_CANCELMODE | CPCL_NORMAL
CBS_IMPLICITPRESSED | CM_CHANGED | CPCL_PRESSED
CBS_MIXEDDISABLED | CM_CHANGED | cpCopy
CBS_MIXEDHOT | CM_CHILDKEY | CP_CUEBANNER
CBS_MIXEDNORMAL | CM_CHILDKEY | cpDate
CBS_MIXEDPRESSED | CM_COLORCHANGED | CP_DROPDOWNBUTTON
cbsNone | CM_COLORCHANGED | CP_DROPDOWNBUTTONLEFT
CBS_NORMAL | CM_CONTROLCHANGE | CP_DROPDOWNBUTTONRIGHT
CBS_OWNERDRAWFIXED | CM_CONTROLCHANGE | CPHL_DISABLED
CBS_OWNERDRAWVARIABLE | CM_CONTROLLISTCHANGE | CPHL_HOT
cbsPickList | CM_CONTROLLISTCHANGE | CPHL_NORMAL
CBS_PUSHED | CM_CONTROLLISTCHANGING | CPHL_PRESSED
CBS_SIMPLE | CM_CONTROLLISTCHANGING | cpNoWhere
CBS_SORT | CM_CREATEPOPUP | cpPaste
cbStandardColors | CM_CREATEPOPUP | CP_READONLY
CBS_UNCHECKEDDISABLED | CM_CTL3DCHANGED | CPSTL_HOT
CBS_UNCHECKEDHOT | CM_CTL3DCHANGED | CPSTL_NORMAL
CBS_UNCHECKEDNORMAL | CM_CURSORCHANGED | cpTitle
CBS_UNCHECKEDPRESSED | CM_CURSORCHANGED | cpTitleBtn
cbSystemColors | CM_CUSTOMGESTURESCHANGED | cpTitleMonth
CBTBS_DISABLED | CM_CUSTOMGESTURESCHANGED | cpTitleYear
CBTBS_FOCUSED | CM_DEACTIVATE | CPTL_DISABLED
CBTBS_HOT | CM_DEACTIVATE | CPTL_HOT
CBTBS_NORMAL | CM_DESIGNHITTEST | CPTL_NORMAL
cbUnchecked | CM_DESIGNHITTEST | CPTL_PAGE
CBXS_DISABLED | CM_DESTROYHANDLE | CPTL_PRESSED
CBXS_HOT | CM_DESTROYHANDLE | CP_TRANSPARENTBACKGROUND
CBXSL_DISABLED | CM_DIALOGCHAR | cpWeekNumber
CBXSL_HOT | CM_DIALOGCHAR | crAppStart
CBXSL_NORMAL | CM_DIALOGHANDLE | crArrow
CBXSL_PRESSED | CM_DIALOGHANDLE | crCross
CBXS_NORMAL | CM_DIALOGKEY | crDefault
CBXS_PRESSED | CM_DIALOGKEY | crDrag
CBXSR_DISABLED | CMDLGS_DEFAULTED | CreateAction
CBXSR_HOT | CMDLGS_DISABLED | CreateActionProc
CBXSR_NORMAL | CMDLGS_HOT | CreateBitmap
CBXSR_PRESSED | CMDLGS_NORMAL | CreateBitmapFromFPImage
cbYes | CMDLGS_PRESSED | CreateBitmapFromLazarusResource
ccaCenter | CMDLS_DEFAULTED | CreateBitmapFromResourceName
ccaFill | CMDLS_DEFAULTED_ANIMATING | CreateBrushIndirect
ccaLeftTop | CMDLS_DISABLED | CreateBrushWithRadialGradient
ccaRightBottom | CMDLS_HOT | CreateCaret
CCHDEVICENAME | CMDLS_NORMAL | CreateCompatibleBitmap
cclLeftToRightThenTopToBottom | CMDLS_PRESSED | CreateCompatibleBitmaps
cclNone | CM_DOCKCLIENT | CreateCompatibleDC
cclTopToBottomThenLeftToRight | CM_DOCKCLIENT | CreateDIBitmap
CCS_ADJUSTABLE | CM_DOCKNOTIFICATION | CreateDIBSection
CCS_BOTTOM | CM_DOCKNOTIFICATION | CreateEllipticRgn
CCS_LEFT | CM_DOCWINDOWACTIVATE | CreateEllipticRgnIndirect
CCS_NODIVIDER | CM_DOCWINDOWACTIVATE | CreateEmptyRegion
CCS_NOMOVEX | CM_DOUBLEBUFFEREDCHANGED | CreateFirstIdentifier
CCS_NOMOVEY | CM_DOUBLEBUFFEREDCHANGED | CreateFont
CCS_NOPARENTALIGN | CM_DRAG | CreateFontIndirect
CCS_NORESIZE | CM_DRAG | CreateFontIndirectEx
CCS_RIGHT | cmDstInvert | CreateGraphicFromResourceName
CCS_TOP | CM_ENABLEDCHANGED | CreateIconIndirect
CCS_VERT | CM_ENABLEDCHANGED | CreateLCLHelpSystem
cdDefault | CM_ENTER | CreateLFMFile
CDDRAWSTYLE_COUNT | CM_ENTER | CREATELINKSTATES
cddTestStr | CM_EXIT | CreateListAndAdd
cdecWSNOCanCloseSupport | CM_EXIT | CreateLRSReader
cdecWSPerformsDoCanClose | CM_FLOAT | CreateLRSWriter
cdecWSPerformsDoClose | CM_FLOAT | CreateMessageDialog
cdecWSPerformsDoShow | CM_FOCUSCHANGED | CreateNextIdentifier
cDefaultColorRectOffset | CM_FOCUSCHANGED | CreateNodeQueryListAndAdd
cDefaultColorRectWidth | CM_FONTCHANGE | CreatePalette
cdGrabber | CM_FONTCHANGE | CreatePatternBrush
cDialogSuffix | CM_FONTCHANGED | CreatePen
cdPostErase | CM_FONTCHANGED | CreatePenIndirect
cdPostPaint | CM_GESTURE | CreatePixmapIndirect
cdPreErase | CM_GESTURE | CreatePolygonRgn
cdPrePaint | CM_GESTUREMANAGERCHANGED | CreateRectRgn
cdRestricted | CM_GESTUREMANAGERCHANGED | CreateRectRgnIndirect
cdrNotifyItemdraw | CM_GETDATALINK | CreateRegionCopy
cdrNotifyItemerase | CM_GETDATALINK | CreateRoundRectRgn
cdrNotifyPosterase | CM_GOTFOCUS | CreateRubberBand
cdrNotifyPostpaint | CM_GOTFOCUS | CreateSolidBrush
cdrNotifySubitemdraw | CM_HINTSHOW | CreateStandardCursor
cdrSkipDefault | CM_HINTSHOW | CreateWidgetset
cdsChecked | CM_HINTSHOWPAUSE | crffCancel
cdsDefault | CM_HINTSHOWPAUSE | crffDefault
cdsDisabled | CM_HITTEST | crHandPoint
cdsFocused | CM_HITTEST | crHelp
cdsGrayed | CM_ICONCHANGED | crHigh
cdsHot | CM_ICONCHANGED | crHourGlass
cdsIndeterminate | CM_INPUTLANGCHANGE | crHSplit
cdsMarked | CM_INPUTLANGCHANGE | crIBeam
cdsSelected | CM_INVALIDATE | crLow
cerExit | CM_INVALIDATE | crMultiDrag
cerSignal | CM_INVALIDATEDOCKHOST | crNo
cfAutoSizeNeeded | CM_INVALIDATEDOCKHOST | crNoDrop
cfBaseBoundsValid | CM_INVOKEHELP | crNone
CF_Bitmap | CM_INVOKEHELP | crsAnchorAligning
cfBoundsRectForNewParentValid | CM_ISSHORTCUT | crsHomogenousChildResize
cfClientHeightLoaded | CM_ISSHORTCUT | crsHomogenousSpaceResize
cfClientWidthLoaded | CM_ISTOOLCONTROL | crSize
CF_Component | CM_ISTOOLCONTROL | crSizeAll
cfHeightLoaded | CM_LCLOFFSET | crSizeE
CF_HTML | CM_LCLOFFSET | crSizeN
cfKillAdjustSize | CM_LOSTFOCUS | crSizeNE
cfKillChangeBounds | CM_LOSTFOCUS | crSizeNESW
cfKillInvalidatePreferredSize | CM_MENUCHANGED | crSizeNS
cfLeftLoaded | CM_MENUCHANGED | crSizeNW
cfLoading | cmMergeCopy | crSizeNWSE
CF_MetaFilePict | cmMergePaint | crSizeS
CF_Object | CM_MOUSEACTIVATE | crSizeSE
cfOnChangeBoundsNeeded | CM_MOUSEACTIVATE | crSizeSW
CF_Picture | CM_MOUSEENTER | crSizeW
cfPreferredMinSizeValid | CM_MOUSEENTER | crSizeWE
cfPreferredSizeValid | CM_MOUSELEAVE | crSQLWait
cfProcessingWMPaint | CM_MOUSELEAVE | crsScaleChilds
CF_Text | CM_MOUSEWHEEL | crUpArrow
cfTopLoaded | CM_MOUSEWHEEL | crVSplit
cfWidthLoaded | cmNotSrcCopy | csAcceptsControls
ChangeBiDiModeAlignment | cmNotSrcErase | csActionClient
ChangeDataSource | CM_PARENTBIDIMODECHANGED | CS_ACTIVE
Char2VK | CM_PARENTBIDIMODECHANGED | csArrow
Char_All | CM_PARENTCOLORCHANGED | csAutoSize0x0
Char_AllDownCase | CM_PARENTCOLORCHANGED | csAutoSizeKeepChildLeft
Char_AllFixed | CM_PARENTCTL3DCHANGED | csAutoSizeKeepChildTop
Char_AllFixedDownCase | CM_PARENTCTL3DCHANGED | csBitBtn
Char_AllFixedUpCase | CM_PARENTDOUBLEBUFFEREDCHANGED | csBrushValid
Char_AllUpCase | CM_PARENTDOUBLEBUFFEREDCHANGED | csButton
Char_AlphaNum | CM_PARENTFONTCHANGED | csCalendar
Char_AlphaNumDownCase | CM_PARENTFONTCHANGED | csCaptureMouse
Char_AlphaNumFixed | CM_PARENTSHOWHINTCHANGED | csCheckbox
Char_AlphaNumFixedDownCase | CM_PARENTSHOWHINTCHANGED | csCheckListBox
Char_AlphaNumFixedUpCase | CM_PARENTTABLETOPTIONSCHANGED | csClicked
Char_AlphaNumUpCase | CM_PARENTTABLETOPTIONSCHANGED | csClickEvents
Char_Binary | cmPatCopy | csCListBox
Char_BinaryFixed | cmPatInvert | csColorDialog
Char_DateSeparator | cmPatPaint | csComboBox
Char_Hex | CM_POPUPHWNDDESTROY | csCreating
Char_HexDownCase | CM_POPUPHWNDDESTROY | csCustomPaint
Char_HexFixed | CM_RECREATEWND | csDesignFixedBounds
Char_HexFixedDownCase | CM_RECREATEWND | csDesignInteractive
Char_HexFixedUpCase | CM_RELEASE | csDesignNoSmoothResize
Char_HexUpCase | CM_RELEASE | csDestroyingHandle
Char_HourSeparator | CM_SETACTIVECONTROL | CS_DISABLED
Char_Letter | CM_SETACTIVECONTROL | csDisplayDragImage
Char_LetterDownCase | CM_SHOWHINTCHANGED | csDocking
Char_LetterFixed | CM_SHOWHINTCHANGED | csDoubleClicks
Char_LetterFixedDownCase | CM_SHOWINGCHANGED | csDropDown
Char_LetterFixedUpCase | CM_SHOWINGCHANGED | csDropDownList
Char_LetterUpCase | cmSrcAnd | csEdit
CharLower | cmSrcCopy | csExCaseSensitive
CharLowerBuff | cmSrcErase | csExDropDown
Char_Number | cmSrcInvert | csExDropDownList
Char_NumberFixed | cmSrcPaint | csExNoEditImage
Char_NumberPlusMin | CM_STANDARDGESTURESCHANGED | csExNoEditImageIndent
CharsetToIdent | CM_STANDARDGESTURESCHANGED | csExNoSizeLimit
CharSetToString | CM_SYSCOLORCHANGE | csExPathWordBreak
Char_Start | CM_SYSCOLORCHANGE | csExSimple
Char_Stop | CM_SYSFONTCHANGED | csfDownArrow
CharUpper | CM_SYSFONTCHANGED | csfEnabled
CharUpperBuff | CM_TABLETOPTIONSCHANGED | csfHasFocus
CHECKBOXSTATES | CM_TABLETOPTIONSCHANGED | csfHorizontal
CheckLst | CM_TABSTOPCHANGED | csFileDialog
CheckMouseButtonDownUp | CM_TABSTOPCHANGED | csFixed
CheckTransparentWindow | CM_TEXTCHANGED | csFixedHeight
CHEVRONSTATES | CM_TEXTCHANGED | csFixedWidth
CHEVRONVERTSTATES | CM_THEMECHANGED | csfLeftArrow
CHEVS_HOT | CM_THEMECHANGED | csfMouseOver
CHEVS_NORMAL | CM_TIMECHANGE | csFocusing
CHEVS_PRESSED | CM_TIMECHANGE | csfOff
CHEVSV_HOT | CM_UIACTIVATE | csfOn
CHEVSV_NORMAL | CM_UIACTIVATE | csFontDialog
CHEVSV_PRESSED | CM_UIDEACTIVATE | csFontValid
CHINESEBIG5_CHARSET | CM_UIDEACTIVATE | csForm
ChompURLParams | CM_UNDOCKCLIENT | csfPartiallyOn
cHotkeyPrefix | CM_UNDOCKCLIENT | csfRaised
chpAll | CM_UNTHEMECONTROL | csFramed
chpAllNoDefault | CM_UNTHEMECONTROL | csfReadOnly
chpTruncOnly | CM_UPDATEACTIONS | csfRightArrow
chtOnBeforeDestruction | CM_UPDATEACTIONS | csfRightToLeft
chtOnChangeBounds | CM_VISIBLECHANGED | csfSunken
chtOnEnabledChanged | CM_VISIBLECHANGED | csfTopDown
chtOnEnabledChanging | CM_WANTSPECIALKEY | csfUpArrow
chtOnKeyDown | CM_WANTSPECIALKEY | csfVertical
chtOnMouseWheel | cmWhiteness | csGroupBox
chtOnMouseWheelHorz | CM_WINDOWHOOK | csHandleValid
chtOnResize | CM_WINDOWHOOK | csHasCancelAction
chtOnVisibleChanged | CM_WININICHANGE | csHasDefaultAction
chtOnVisibleChanging | CM_WININICHANGE | csHintWindow
cidButton | CN_BASE | CS_HREDRAW
cidCheckBox | CN_BASE | CS_INACTIVE
cidComboBox | CN_CHAR | csLButtonDown
cidControl | CN_CHAR | csLefttoRight
cidCTabControl | CN_CHARTOITEM | csListBox
cidEdit | CN_CHARTOITEM | csListView
cidGroupBox | CN_COMMAND | csMainMenu
cidListBox | CN_COMMAND | csMemo
cidListView | CN_COMPAREITEM | csMenuBar
cidMenu | CN_COMPAREITEM | csMenuEvents
cidPanel | CN_CTLCOLORBTN | csMenuItem
cidPopUp | CN_CTLCOLORBTN | csMultiClicks
cidProgressBar | CN_CTLCOLORDLG | csNeedsBorderPaint
cidRadioButton | CN_CTLCOLORDLG | csNoDesignSelectable
cidScrollBar | CN_CTLCOLOREDIT | csNoDesignVisible
cidStaticText | CN_CTLCOLOREDIT | csNoFocus
cidToolBar | CN_CTLCOLORLISTBOX | csNone
cidTrackBar | CN_CTLCOLORLISTBOX | csNonLCL
cInputQueryEditSizePercents | CN_CTLCOLORMSGBOX | csNoStdEvents
cInputQueryEditSizePixels | CN_CTLCOLORMSGBOX | csNotebook
cInputQuerySpacingSize | CN_CTLCOLORSCROLLBAR | csOpaque
cl3DDkShadow | CN_CTLCOLORSCROLLBAR | csOpenFileDialog
cl3DFace | CN_CTLCOLORSTATIC | csOwnedChildrenNotSelectable
cl3DHiLight | CN_CTLCOLORSTATIC | csOwnerDrawEditableFixed
cl3DLight | CN_DELETEITEM | csOwnerDrawEditableVariable
cl3DShadow | CN_DELETEITEM | csOwnerDrawFixed
clActiveBorder | CN_DRAWITEM | csOwnerDrawVariable
clActiveCaption | CN_DRAWITEM | csPage
clAppWorkspace | CN_DROPDOWNCLOSED | csPaintCopy
clAqua | CN_HSCROLL | csPairSplitter
ClassCase | CN_HSCROLL | csPairSplitterSide
clBackground | CN_KEYDOWN | csPalette
clBlack | CN_KEYDOWN | csPanel
clBlue | CN_KEYUP | csParentBackground
clBtnFace | CN_KEYUP | csPenvalid
clBtnHighlight | CN_MEASUREITEM | csPopupMenu
clBtnHiLight | CN_MEASUREITEM | csPreviewFileControl
clBtnShadow | CN_NOTIFY | csPreviewFileDialog
clBtnText | CN_NOTIFY | csProgressBar
clCaptionText | CN_PARENTNOTIFY | csQuadClicks
clColorDesktop | CN_PARENTNOTIFY | csRadioButton
clCream | CN_SYSCHAR | csReadingState
clDefault | CN_SYSCHAR | csReflector
clDkGray | CN_SYSKEYDOWN | csRegionValid
clDontMask | CN_SYSKEYDOWN | csReplicatable
CLEARTYPE_NATURAL_QUALITY | CN_SYSKEYUP | csRequiresKeyboardInput
CLEARTYPE_QUALITY | CN_SYSKEYUP | csSaveFileDialog
ClearXLFDHeight | CN_VKEYTOITEM | csScrollBar
ClearXLFDItem | CN_VKEYTOITEM | csScrollBox
ClearXLFDPitch | CN_VSCROLL | csScrolledWindow
ClearXLFDStyle | CN_VSCROLL | csSelectDirectoryDialog
clfARGB32 | coDesignOrder | csSetCaption
clfBGR24 | coFieldIndexOrder | csSimple
clfBGRA32 | colKey | csSpinedit
clFirstSpecialColor | COLLAPSEBUTTONSTATES | csStaticText
clForm | COLOR_3DDKSHADOW | csStatusBar
clfOther | COLOR_3DFACE | CSST_TAB
clfRGB16_R5G6B5 | COLOR_3DHIGHLIGHT | CSTB_HOT
clfRGB24 | COLOR_3DHILIGHT | CSTB_NORMAL
clfRGB24UpsideDown | COLOR_3DLIGHT | CSTB_SELECTED
clfRGBA32 | COLOR_3DSHADOW | csToggleBox
clFuchsia | COLOR_ACTIVEBORDER | CS_To_String
clGradientActiveCaption | COLOR_ACTIVECAPTION | csTrackBar
clGradientInactiveCaption | ColorAdjustLuma | csTripleClicks
clGray | COLOR_APPWORKSPACE | csVisibleSetInLoading
clGrayText | COLOR_BACKGROUND | CS_VREDRAW
clGreen | ColorBox | csWinControl
clHighlight | COLOR_BTNFACE | ctClipboard
clHighlightText | COLOR_BTNHIGHLIGHT | ctImage
clHorizontalThenVertical | COLOR_BTNHILIGHT | ctPrimarySelection
clHotLight | COLOR_BTNSHADOW | ctSecondarySelection
ClientToScreen | COLOR_BTNTEXT | ctState
clInactiveBorder | COLOR_CAPTIONTEXT | ctText
clInactiveCaption | COLOR_DESKTOP | CUEBANNERSTATES
clInactiveCaptionText | COLOR_ENDCOLORS | CursorToIdent
cLineCaption | COLOR_FORM | CursorToString
clInfoBk | COLOR_GRADIENTACTIVECAPTION | CustomDrawn_Android
clInfoText | COLOR_GRADIENTINACTIVECAPTION | CustomDrawn_Common
Clipboard | COLOR_GRAYTEXT | CustomDrawnControls
ClipboardFormatNeedsNullByte | COLOR_HIGHLIGHT | CustomDrawnDrawers
ClipboardFormatToMimeType | COLOR_HIGHLIGHTTEXT | CustomDrawn_Mac
ClipboardGetData | ColorHLSToRGB | CustomDrawn_WinXP
ClipboardGetFormats | COLOR_HOTLIGHT | CustomTimer
ClipboardGetOwnerShip | COLOR_INACTIVEBORDER | cvCentury
ClipboardRegisterFormat | COLOR_INACTIVECAPTION | cvDecade
ClipboardTypeName | COLOR_INACTIVECAPTIONTEXT | cvMonth
Clipbrd | ColorIndex | cvYear

D

DATEBORDERSTATES | DeleteObject | DNHZS_HOT
DATEPICKERPARTS | DeliverMessage | DNHZS_NORMAL
DATEPICKERSTYLEPARTS | DesignerMenuItemClick | DNHZS_PRESSED
DATETEXTSTATES | DestroyCaret | DNS_DISABLED
DBActns | DestroyCursor | DNS_HOT
DBCtrls | DestroyIcon | DNS_NORMAL
DBExtCtrls | DestroyRubberBand | DNS_PRESSED
DbgAppendToFile | Device | doAutoColResize
DbgAppendToFileWithoutLn | DEVICE_DEFAULT_FONT | DockAlignOrientations
dbgHex | DEVICE_FONTTYPE | DockSplitterClass
dbgMemRange | DFC_BUTTON | doColumnTitles
dbgMemStream | DFC_CAPTION | doDMY
dbgObjMem | DFC_MENU | doHorizontal
DbgOut | DFCS_ADJUSTRECT | doKeyColFixed
DbgOutThreadLog | DFCS_BUTTON3STATE | doMDY
DBGrids | DFCS_BUTTONCHECK | doNone
DbgS | DFCS_BUTTONPUSH | doNoOrient
DbgS | DFCS_BUTTONRADIO | doPages
dbgs | DFCS_BUTTONRADIOIMAGE | doVertical
DbgS | DFCS_BUTTONRADIOMASK | DOWNHORZSTATES
DbgS | DFCS_CAPTIONCLOSE | DOWNSTATES
dbgs | DFCS_CAPTIONHELP | doYMd
dbgs | DFCS_CAPTIONMAX | DP_DATEBORDER
dbgs | DFCS_CAPTIONMIN | DP_DATETEXT
DbgS | DFCS_CAPTIONRESTORE | DPDB_DISABLED
dbgs | DFCS_CHECKED | DPDB_FOCUSED
DbgSaveData | DFC_SCROLL | DPDB_HOT
DbgSName | DFCS_FLAT | DPDB_NORMAL
DbgStr | DFCS_HOT | DPDT_DISABLED
DbgsVKCode | DFCS_INACTIVE | DPDT_NORMAL
DbgSWindowPosFlags | DFCS_MENUARROW | DPDT_SELECTED
DbgWideStr | DFCS_MENUBULLET | DPSCBR_DISABLED
dbMove | DFCS_MENUCHECK | DPSCBR_HOT
DBNavButtonResourceName | DFCS_MONO | DPSCBR_NORMAL
dbNone | DFCS_PUSHED | DPSCBR_PRESSED
dbResize | DFCS_SCROLLCOMBOBOX | DP_SHOWCALENDARBUTTONRIGHT
DC_BRUSH | DFCS_SCROLLDOWN | DPtoLP
DCClipRegionValid | DFCS_SCROLLLEFT | DRAFT_QUALITY
DC_PEN | DFCS_SCROLLRIGHT | DRAGDROPPARTS
dctBrush | DFCS_SCROLLSIZEGRIP | DRAGDROPSTYLEPARTS
dctFont | DFCS_SCROLLUP | DragManager
DD_COPY | DFCS_TRANSPARENT | DrawArrow
DDCOPY_HIGHLIGHT | dgAlwaysShowEditor | DrawDefaultDockImage
DDCOPY_NOHIGHLIGHT | dgAlwaysShowSelection | DrawEdge
DD_CREATELINK | dgAnyButtonCanSelect | DrawFocusRect
DDCREATELINK_HIGHLIGHT | dgAutoSizeColumns | DrawFrameControl
DDCREATELINK_NOHIGHLIGHT | dgCancelOnExit | DrawGradientWindow
DD_IMAGEBG | dgCellEllipsis | DrawGrid
DD_MOVE | dgCellHints | DrawItemStruct
DDMOVE_HIGHLIGHT | dgColLines | DrawRubberRect
DDMOVE_NOHIGHLIGHT | dgColumnMove | DrawText
DD_NONE | dgColumnResize | DrawVerticalGradient
DDNONE_HIGHLIGHT | dgConfirmDelete | drBounds
DDNONE_NOHIGHLIGHT | dgDblClickAutoSize | drIcon
DD_TEXTBG | dgDisableDelete | drLabel
DD_UPDATEMETADATA | dgDisableInsert | DROPDOWNBUTTONLEFTSTATES
DDUPDATEMETADATA_HIGHLIGHT | dgDisplayMemoText | DROPDOWNBUTTONRIGHTSTATES
DDUPDATEMETADATA_NOHIGHLIGHT | dgeAutoColumns | drSelectBounds
DD_WARNING | dgeCheckboxColumn | dsAndroid
DDWARNING_HIGHLIGHT | dgEditing | dsCommon
DDWARNING_NOHIGHLIGHT | dgHeaderHotTracking | dsDefault
DeallocateHWnd | dgHeaderPushedLook | dsDragEnter
DebugLn | dgIndicator | dsDragLeave
DebugLnEnter | dgMultiselect | dsDragMove
DebugLnExit | dgPersistentMultiSelect | dsExtra1
DebuglnThreadLog | dgRowHighlight | dsExtra10
DecColor | dgRowLines | dsExtra2
DefaultApplicationBiDiMode | dgRowSelect | dsExtra3
DefaultBlank | dgTabs | dsExtra4
DefaultBorderIcons | dgThumbTracking | dsExtra5
DEFAULT_CHARSET | dgTitles | dsExtra6
DefaultComboBoxAutoCompleteText | dgTruncCellHints | dsExtra7
DefaultDBNavigatorButtons | dhiClose | dsExtra8
DefaultDisplaySettings | dhiRestore | dsExtra9
DefaultDockManagerClass | DialogCopyToClipboard | dsFocus
DefaultFont | Dialogs | dsGNOME
DefaultGridOptions | DIB_PAL_COLORS | dsGradient
DefaultGridOptions2 | DIB_RGB_COLORS | dsKDEPlastique
DEFAULT_GUI_FONT | DIBSECTION | dsMacOSX
DefaultInputDialog | DirNameToLCLPlatform | dsNoMonthChange
DefaultLogFont | disHide | dsNormal
DefaultMessageBox | disMove | dsNormal
DefaultMultiSelectStyle | disShow | dsSelected
DefaultOpenDialogOptions | Distance | dsShowDayNames
DEFAULT_PALETTE | divide(TFloatPoint,Extended):TFloatPoint | dsShowHeadings
DEFAULT_PITCH | divide(TFloatPoint,TFloatPoint):TFloatPoint | dsShowWeekNumbers
DefaultPromptDialog | divide(TFloatPoint,TPoint):TFloatPoint | dsStartMonday
DEFAULT_QUALITY | divide(TPoint,TFloatPoint):TFloatPoint | DSTINVERT
DefaultQuestionDialog | dkDock | dsTransparent
DefaultReaderDescription | dkDrag | dsWin2000
DefaultSideForAnchorKind | DKGRAY_BRUSH | dsWinCE
DefaultStyle | dkOpen | dsWindows7
DefaultTaskDialog | dkPictureOpen | dsWinXP
DefaultTranslator | dkPictureSave | DT_BOTTOM
DefaultTreeNodeExpandSignSize | dkSave | DT_CALCRECT
DefaultTreeNodeHeight | DLGC_WANTALLKEYS | DT_CENTER
DefaultTreeViewOptions | DLGC_WANTARROWS | dtControl
DEFAUTOADJPADDING | DLGC_WANTCHARS | DT_EDITCONTROL
DefBtnColors | DLGC_WANTTAB | DT_END_ELLIPSIS
DEFBUTTONWIDTH | dmActiveForm | DT_EXPANDTABS
DEFCOLWIDTH | dmAutomatic | dtfUpdateAllNeeded
DefFontData | dmDesktop | DT_INTERNAL
DefHintColor | dmDragCancel | dtItem
DefHintHidePause | dmDragDrop | DT_LEFT
DefHintHidePausePerChar | dmDragEnter | DT_MODIFYSTRING
DefHintPause | dmDragLeave | DT_NOCLIP
DefHintShortPause | dmDragMove | DT_NOPREFIX
DEFIMAGEPADDING | dmFindTarget | DT_RIGHT
DEFINDICATORCOLWIDTH | dmkEMail | DT_RTLREADING
DefineRectProperty | dmkMMS | DT_SINGLELINE
DefShowButtons | dmkSMS | dtSubItem
DefShowGlyphs | dmMainForm | DT_TOP
DeleteAmpersands | dmManual | DT_VCENTER
DeleteCriticalSection | dmPrimary | DT_WORDBREAK
DeleteDC | DNHZS_DISABLED |

E

EASTEUROPE_CHARSET | EDITSTYLEPARTS | EPSN_DISABLED
ebBottom | EDITTEXTSTATES | EPSN_FOCUSED
EBHC_HOT | EGraphicException | EPSN_HOT
EBHC_NORMAL | EGridException | EPSN_NORMAL
EBHC_PRESSED | EHelpSystemException | EPSV_DISABLED
EBHP_HOT | EInterfaceCritical | EPSV_FOCUSED
EBHP_NORMAL | EInterfaceError | EPSV_HOT
EBHP_PRESSED | EInterfaceException | EPSV_NORMAL
EBHP_SELECTEDHOT | EInterfaceWarning | EqualRect
EBHP_SELECTEDNORMAL | EInvalidCodePoint | EqualRgn
EBHP_SELECTEDPRESSED | EInvalidDate | equal(TFloatPoint,TFloatPoint):Boolean
ebLeft | EInvalidGraphic | equal(TPoint,TPoint):Boolean
EBM_HOT | EInvalidGraphicOperation | equal(TRect,TRect):Boolean
EBM_NORMAL | EInvalidGridOperation | Error
EBM_PRESSED | EInvalidPath | ES_AUTOHSCROLL
EBNGC_HOT | EInvalidUtf8 | ES_AUTOVSCROLL
EBNGC_NORMAL | ELayoutException | ES_CENTER
EBNGC_PRESSED | Ellipse | EScrollBar
EBNGE_HOT | EllipseRadialLength | esEllipsis
EBNGE_NORMAL | EMenuError | EShellCtrl
EBNGE_PRESSED | emNone | ES_LEFT
EBP_HEADERBACKGROUND | emNormal | esLowered
EBP_HEADERCLOSE | emPassword | ES_MULTILINE
EBP_HEADERPIN | EMP_MARKUPTEXT | ES_NOHIDESEL
EBP_IEBARMENU | EMPTYMARKUPPARTS | esNone
EBP_NORMALGROUPBACKGROUND | EMT_LINKTEXT | ES_NUMBER
EBP_NORMALGROUPCOLLAPSE | EMT_NORMALTEXT | esPickList
EBP_NORMALGROUPEXPAND | EnableScrollBar | esRaised
EBP_NORMALGROUPHEAD | EnableWindow | ES_READONLY
EBP_SPECIALGROUPBACKGROUND | EndPaint | ES_RIGHT
EBP_SPECIALGROUPCOLLAPSE | EnterCriticalSection | esSimple
EBP_SPECIALGROUPEXPAND | EnumDisplayMonitors | ES_WANTRETURN
EBP_SPECIALGROUPHEAD | EnumFontFamilies | ETO_CLIPPED
ebRight | EnumFontFamiliesEx | ETO_OPAQUE
EBS_ASSIST | ENUMLOGFONT | ETO_RTLREADING
EBS_DISABLED | ENUMLOGFONTA | ETreeNodeError
EBS_FOCUSED | ENUMLOGFONTEX | ETreeViewError
EBSGC_HOT | ENUMLOGFONTEXA | ETS_ASSIST
EBSGC_NORMAL | ENUMLOGFONTEXW | ETS_CUEBANNER
EBSGC_PRESSED | ENUMLOGFONTW | ETS_DISABLED
EBSGE_HOT | EnumRegisteredActions | ETS_FOCUSED
EBSGE_NORMAL | EnumRegisteredActionsProc | ETS_HOT
EBSGE_PRESSED | EO_AUTOSIZE | ETS_NORMAL
EBS_HOT | EO_HOOKKEYDOWN | ETS_READONLY
EBS_NORMAL | EO_HOOKKEYPRESS | ETS_SELECTED
EBS_READONLY | EO_HOOKKEYUP | ExceptionObject
ebTop | EO_IMPLEMENTED | ExcludeClipRect
EBWBS_DISABLED | EO_SELECTALL | ExcludeClipRgn
EBWBS_FOCUSED | EP_BACKGROUND | EXPANDBUTTONSTATES
EBWBS_HOT | EP_BACKGROUNDWITHBORDER | EXPANDOBUTTONSTATES
EBWBS_NORMAL | EP_CARET | EXPLORERBARPARTS
EccentricAngle | EP_EDITBORDER_HSCROLL | EXPLORERBARSTYLEPARTS
ecLowerCase | EP_EDITBORDER_HVSCROLL | ExtCreatePen
ecNormal | EP_EDITBORDER_NOSCROLL | ExtCtrls
ecUppercase | EP_EDITBORDER_VSCROLL | ExtDlgs
EDBEditError | EP_EDITTEXT | ExtendedColorCount
EDGE_BUMP | EP_PASSWORD | ExtGraphics
EDGE_ETCHED | EPrinter | EXTLOGPEN
EDGE_RAISED | EPSH_DISABLED | ExtractColorIndexAndColor
EDGE_SUNKEN | EPSH_FOCUSED | ExtractFamilyFromXLFDName
EDITBORDER_HSCROLLSTATES | EPSH_HOT | ExtractURLDirectory
EDITBORDER_HVSCROLLSTATES | EPSH_NORMAL | ExtractURLPath
EDITBORDER_NOSCROLLSTATES | EPSHV_DISABLED | ExtractXLFDItem
EDITBORDER_VSCROLLSTATES | EPSHV_FOCUSED | ExtSelectClipRGN
EditBtn | EPSHV_HOT | ExtTextOut
EDITPARTS | EPSHV_NORMAL | ExtUTF8Out

F

FBS_EMPHASIZED | FLYOUT_DIVIDER | fsBottomTopLeftRight
FBS_NORMAL | FLYOUT_HEADER | fsBottomTopRightLeft
FCS_ISO_10646_1 | FLYOUT_LABEL | FS_CHINESESIMP
FCS_ISO_8859_1 | FLYOUT_LINK | FS_CHINESETRAD
FCS_ISO_8859_10 | FLYOUT_LINKAREA | fsCreatedMDIChild
FCS_ISO_8859_15 | FLYOUT_LINKHEADER | fsCreating
FCS_ISO_8859_2 | FLYOUTLINK_HOVER | FS_CYRILLIC
FCS_ISO_8859_3 | FLYOUTLINK_NORMAL | fsDisableAutoSize
FCS_ISO_8859_4 | FLYOUTPARTS | fsFirstShow
FCS_ISO_8859_5 | FLYOUTSTYLEPARTS | fsFormStyleChanged
FCS_ISO_8859_6 | FLYOUT_WINDOW | FS_GREEK
FCS_ISO_8859_7 | fmAlternate | FS_HEBREW
FCS_ISO_8859_8 | fmWinding | FS_INACTIVE
FCS_ISO_8859_9 | FontCanUTF8 | fsItalic
fdAnsiOnly | FontCharsets | FS_JISJAPAN
fdApplyButton | FontEnumExProc | FS_JOHAB
fdEffects | FontEnumProc | FS_LATIN1
fdFixedPitchOnly | FontIsMonoSpace | FS_LATIN2
fdForceFontExist | FontNameToPangoFontDescStr | fsLeftRightBottomTop
fdLimitSize | FontResourceCache | fsLeftRightTopBottom
fdNoFaceSel | FormatMaskText | fsMDIChild
fdNoOEMFonts | FormDataToText | fsMDIForm
fdNoSimulations | Forms | fsModal
fdNoSizeSel | FOUNDRYCHAR_CLOSE | fsNormal
fdNoStyleSel | FOUNDRYCHAR_OPEN | fsoCaseSensitive
fdNoVectorFonts | FourCharCode | fsoMatchOnlyAtStart
fdScalableOnly | FPColorToTColor | fsRightLeftBottomTop
fdShowHelp | FPColorToTColorRef | fsRightLeftTopBottom
fdTrueTypeOnly | fpDefault | fsShowing
fdWysiwyg | fpFixed | fsSplash
FF_DECORATIVE | fpVariable | fsStayOnTop
FF_DONTCARE | fqAntialiased | fsStrikeOut
FF_MODERN | fqCleartype | fsSurface
FF_ROMAN | fqCleartypeNatural | FS_SYMBOL
FF_SCRIPT | fqDefault | fsSystemStayOnTop
FF_SWISS | fqDraft | fstAlphabet
fhtClose | fqNonAntialiased | fstFoldersFirst
fhtCreate | fqProof | FS_THAI
fhtFirstShow | Frame3d | fstNone
FileCtrl | Frame3D | fsTopBottomLeftRight
FilenameToURL | FrameRect | fsTopBottomRightLeft
FilenameToURLPath | FRAMESTATES | FS_TURKISH
FillRect | frButtonsAtBottom | fsUnderline
FillRgn | frDisableMatchCase | FS_VIETNAMESE
FILLSTATES | frDisableUpDown | fsVisible
FILLTYPE | frDisableWholeWord | FS_WANSUNG
FILLVERTSTATES | frDown | ftArchive
FindControl | FreeAllClipboards | ftDirectory
FindControlAtPosition | FreeLCLHelpSystem | ftHidden
FindDefaultBrowser | FreeThenNil | FT_HORZGRADIENT
FindDragTarget | FreeUnusedLCLHelpSystem | ftNormal
FindLCLControl | FreeWidgetSet | FT_RADIALGRADIENT
FindLCLWindow | FreeWorkingCanvas | ftReadOnly
FindLFMClassName | frEntireScope | FT_SOLID
FindOwnerControl | frFindNext | ftSystem
FindResourceLFM | frHideEntireScope | FT_TILEIMAGE
FindRootDesigner | frHideMatchCase | FT_VERTGRADIENT
FindURLPathEnd | frHidePromptOnReplace | ftVolumeID
FindURLPathStart | frHideUpDown | FW_BLACK
FIXED_PITCH | frHideWholeWord | FW_BOLD
fkCommand | frMatchCase | FW_DEMIBOLD
fkHandle | frPromptOnReplace | FW_DONTCARE
fkShortCut | frReplace | FW_EXTRABOLD
FLH_HOVER | frReplaceAll | FW_EXTRALIGHT
FLH_NORMAL | frShowHelp | FW_HEAVY
FloatPoint | frWholeWord | FW_LIGHT
FloatToLFMStr | FS_ACTIVE | FW_MEDIUM
FloodFill | fsAllNonSystemStayOnTop | FW_NORMAL
FloodFill | fsAllStayOnTop | FW_REGULAR
FLS_DISABLED | FS_ARABIC | FW_SEMIBOLD
FLS_EMPHASIZED | FS_BALTIC | FW_THIN
FLS_NORMAL | fsBold | FW_ULTRABOLD
FLS_SELECTED | fsBorder | FW_ULTRALIGHT
FLYOUT_BODY | fsBorderStyleChanged |

G

GB2312_CHARSET | GetPaletteEntries | goFixedHorzLine
GBS_DISABLED | GetParent | goFixedRowNumbering
GBS_NORMAL | GetParentDesignControl | goFixedVertLine
GCP_DBCS | GetParentForm | goHeaderHotTracking
gdHorizontal | GetPart | goHeaderPushedLook
gdVertical | GetProp | goHorzLine
GetAcceleratorString | GetRGBIntValues | goRangeSelect
GetActiveWindow | GetRGBValues | goRelaxedRowSelect
GetAnchorControlsRect | GetRgnBox | goRowHighlight
GetAvailableNativeCanvasTypes | GetROP2 | goRowMoving
GetAvailableNativeHandleTypes | GetRValue | goRowSelect
GetBitmapBits | GetScrollBarSize | goRowSizing
GetBkColor | GetScrollbarVisible | goScrollKeepVisible
GetBuildLCLWidgetType | GetScrollInfo | goScrollToLastCol
GetButtonCaption | GetScrollPos | goScrollToLastRow
GetButtonIcon | GetScrollRange | goSelectionActive
GetBValue | GetShadowColor | goSmoothScroll
GetCapture | GetShortHint | goTabs
GetCaptureControl | GetStockObject | goThumbTracking
GetCaretPos | GetSysColor | goTruncCellHints
GetCaretRespondToFocus | GetSysColorBrush | goVertLine
GetCharABCWidths | GetSystemMetrics | GradientFill
GetCharsetValues | GetSystemPaletteEntries | GRADIENT_FILL_RECT_H
GetClassNameFromLRSStream | GetTextColor | GRADIENT_FILL_RECT_V
GetClientBounds | GetTextExtentExPoint | GRADIENT_FILL_TRIANGLE
GetClientRect | GetTextExtentPoint | GRADIENTRECT
GetClipBox | GetTextExtentPoint32 | GRADIENTTRIANGLE
GetClipRGN | GetTextMetrics | GraphicExtension
GetCmdLineParamDescForInterface | GetTickCount | GraphicFileMask
GetColorValues | GetTickCount64 | GraphicFilter
GetCompleteText | GetTopFormSkipNonDocked | Graphics
GetComponentInfoFromLRSStream | GetViewPortExtEx | GraphMath
GetControlConstraints | GetViewPortOrgEx | GraphUtil
GetCurrentObject | GetWindowExtEx | GRAY_BRUSH
GetCursorPos | GetWindowLong | GREEK_CHARSET
GetCursorValues | GetWindowOrgEx | Green
GetDataTypeRGB | GetWindowRect | GRIDCELLBACKGROUNDSTATES
GetDC | GetWindowRelativePosition | GRIDCELLSTATES
GetDCOriginRelativeToWindow | GetWindowSize | GRIDCELLUPPERSTATES
GetDefaultBitBtnGlyph | GetWorkingCanvas | GRIDFILEVERSION
GetDefaultButtonIcon | gfAutoEditPending | Grids
GetDefaultDrawer | gfClientRectChange | GROUPBOXSTATES
GetDefaultGlyph | gfColumnsLocked | GroupedEdit
GetDefaultLang | gfEditingDone | GROUPHEADERLINESTATES
GetDefaultLCLWidgetType | gfEditorTab | GROUPHEADERSTATES
GetDefFontCharSet | gfEditorUpdateLock | gsAddingAutoColumns
GetDescriptionFromBitmap | gfNeedsSelectActive | gsAutoSized
GetDescriptionFromDevice | gfPainting | gsButton
GetDesignerDC | gfRevEditorTab | gsButtonColumnClicking
GetDesignerForm | gfSizingStarted | gsColMoving
GetDeviceCaps | GFST_DPI | gsColSizing
GetDeviceSize | GFST_NONE | gsDouble
GetDialogCaption | GFST_SIZE | gsGripper
GetDialogIcon | gfUpdatingScrollbar | gsHeaderClicking
GetDIBits | gfUpdatingSize | gsHorLines
GetDoubleClickTime | gfVisualChange | gsLoadingGrid
GetDpiForMonitor | GLPS_CLOSED | gsmAlways
GetDrawer | GLPS_OPENED | gsmApplication
GetEnclosedControls | GLYPHCOUNT | gsmNever
GetEnclosingControlRect | GLYPHFONTSIZINGTYPE | gsmSystem
GetEnumValueDef | GlyphsArr | gsNormal
GetFirstParentForm | GLYPHSTATES | gsRemovingAutoColumns
GetFocus | GLYPHTYPE | gsRowMoving
GetFontData | GM_GETGRID | gsRowSizing
GetFontLanguageInfo | GM_GETVALUE | gsSelecting
GetForegroundWindow | gmrAllMustExist | gsSimple
GetGraphicClassForFileExtension | GM_READY | gsStartEditing
GetGValue | gmrIgnoreAll | gsUpdatingData
GetHighLightColor | gmrOneMustExist | gsVerLines
GetIcnsIconType | GM_SELECTALL | GT_FONTGLYPH
GetIconInfo | GM_SETBOUNDS | GT_IMAGEGLYPH
GetImageListCache | GM_SETGRID | gtmGlyph
GetKeyShiftState | GM_SETMASK | gtmOpaque
GetKeyState | GM_SETPOS | gtmTransparent
GetLazDockSplitter | GM_SETVALUE | GT_NONE
GetLazDockSplitterOrParent | goAlwaysShowEditor | GUID_ObjInspInterface
GetLCLDefaultBtnGlyph | goAutoAddRows | GWL_EXSTYLE
GetLCLOwnerObject | goAutoAddRowsSkipContentCheck | GWL_HINSTANCE
GetLCLWidgetTypeName | goCellEllipsis | GWL_HWNDPARENT
GetLongHint | goCellHints | GWL_ID
GetMapMode | goColMoving | GWL_STYLE
GetMaskType8bit | goColSizing | GWL_USERDATA
GetMessageName | goColSpanning | GWL_WNDPROC
GetModalResultStr | goDblClickAutoSize | gzFixedCells
GetMonitorInfo | goDontScrollPartCell | gzFixedCols
GetNativeCanvas | goDrawFocusSelected | gzFixedRows
GetNativeHandle | goEditing | gzInvalid
GetObject | goFixedColSizing | gzNormal

H

HA_CENTER | hhsHelpBrowserNotExecutable | HP_HEADERDROPDOWNFILTER
HA_LEFT | hhsHelpBrowserNotFound | HP_HEADERITEM
HALFTONE | hhsHelpErrorWhileExecuting | HP_HEADERITEMLEFT
HALIGN | hhsHelpNoHTMLBrowserFound | HP_HEADERITEMRIGHT
HANDLE | hhsHelpNoHTMLBrowserFoundPleaseDefineOne | HP_HEADEROVERFLOW
HANGEUL_CHARSET | hhsHelpTheHelpDatabaseWasUnableToFindFile | HP_HEADERSORTARROW
HA_RIGHT | hhsHelpTheMacroSInBrowserParamsWillBeReplacedByTheURL | HRGN
HBG_DETAILS | HICON | HSAS_SORTEDDOWN
HBG_ICON | HideCaret | HSAS_SORTEDUP
HBITMAP | HILS_HOT | HS_BDIAGONAL
HBRUSH | HILS_NORMAL | HS_CROSS
HBS_DISABLED | HILS_PRESSED | HS_DIAGCROSS
HBS_HOT | HIMAGELIST | HS_FDIAGONAL
HBS_NORMAL | HINST | HS_HORIZONTAL
HBS_PUSHED | HintWindowClass | hsHot
HCURSOR | HIRS_HOT | hsNormal
HDC | HIRS_NORMAL | hsPressed
HDDFS_HOT | HIRS_PRESSED | HSS_DISABLED
HDDFS_NORMAL | HIS_HOT | HSS_HOT
HDDFS_SOFTHOT | HIS_ICONHOT | HSS_NORMAL
HDDS_HOT | HIS_ICONNORMAL | HSS_PUSHED
HDDS_NORMAL | HIS_ICONPRESSED | HS_VERTICAL
HDDS_SOFTHOT | HIS_ICONSORTEDHOT | htAbove
HDN_FIRST | HIS_ICONSORTEDNORMAL | htBelow
HDN_LAST | HIS_ICONSORTEDPRESSED | HTCAPTION
HEADERAREASTATES | HIS_NORMAL | HTCLIENT
HEADERCLOSESTATES | HIS_PRESSED | HTERROR
HEADERDROPDOWNFILTERSTATES | HIS_SORTEDHOT | htHandPoint
HEADERDROPDOWNSTATES | HIS_SORTEDNORMAL | htNowhere
HEADERITEMLEFTSTATES | HIS_SORTEDPRESSED | HTNOWHERE
HEADERITEMRIGHTSTATES | HiWord | htOnButton
HEADERITEMSTATES | HKEY | htOnIcon
HEADEROVERFLOWSTATES | HLS_LINKTEXT | htOnIndent
HEADERPARTS | HLS_NORMALTEXT | htOnItem
HEADERPINSTATES | HLStoColor | htOnLabel
HEADERSORTARROWSTATES | HLStoRGB | htOnRight
HEADERSTYLEPARTS | HMENU | htOnStateIcon
HEADERSTYLESTATES | HMONITOR | HTS_DISABLED
HEBREW_CHARSET | hntContext | HTS_HOT
HELPBUTTONSTATES | hntID | HTS_NORMAL
HELP_COMMAND | hntURL | HTS_PUSHED
HELP_CONTEXT | hntURLContext | htToLeft
HelpDatabases | hntURLID | htToRight
HELPINFO_MENUITEM | hntURLIDContext | HTTRANSPARENT
HELPINFO_WINDOW | HOFS_HOT | htUnderlineCold
HelpIntfs | HOFS_NORMAL | htUnderlineHot
HELPLINKSTATES | HOLLOW_BRUSH | HWND
HelpManager | HORZRES | HWND_BOTTOM
HelpViewers | HORZSCROLLSTATES | HWND_NOTOPMOST
HFONT | HORZSIZE | HWND_TOP
HGDIOBJ | HORZTHUMBSTATES | HWND_TOPMOST
HGLOBAL | HOTGLYPHSTATES | HYPERLINKSTATES
HGLPS_CLOSED | HPALETTE | HYPERLINKTEXTSTATES
HGLPS_OPENED | HPEN |
HHOOK | HP_HEADERDROPDOWN |

I

iaLeft | IDYES | InitPolygon
iaTop | ID_YES | InitResourceComponent
ICE_ALPHA | IEBARMENUSTATES | InputBox
ICE_GLOW | ifData | InputCombo
ICE_NONE | ifExactString | InputComboEx
ICE_PULSE | ifNearest | InputDialogFunction
ICE_SHADOW | ifPartialString | InputQuery
icnsDataTypes | ifsAlt | InterfaceBase
icnsIconTypeInfo | ifsCtrl | IntersectClipRect
icnsMaskToImageMap | ifsVK_CMD | IntersectRect
icnsMaskTypes | ifsVK_HELP | IntfGraphics
icnsRGB | ifsVK_META | IntfSendsUTF8KeyPress
IcnsTypes | ifsVK_SHIFT | InvalidateFrame
icnsWithAlpha | ifsVK_SUPER | InvalidateRect
ICONEFFECT | ifsVK_UNKNOWN | InvalidateRgn
IDABORT | IImageCacheListener | INVALID_HANDLE_VALUE
ID_ABORT | iit256PixelDataARGB | InvertColor
idButtonAbort | iit512PixelDataARGB | IObjInspInterface
idButtonAll | iitHuge1BitMask | IsAccel
idButtonBase | iitHuge32BitData | IsCDIntfControl
idButtonCancel | iitHuge4BitData | IsCharAlphaNumeric
idButtonClose | iitHuge8BitData | IsColorDefault
idButtonHelp | iitHuge8BitMask | IsDBCSLeadByte
idButtonIgnore | iitLarge1BitMask | IsDesignerDC
idButtonNo | iitLarge32BitData | IsEditableTextKey
idButtonNoToAll | iitLarge4BitData | IsFileURL
idButtonOk | iitLarge8BitData | IsFontNameDefault
idButtonOpen | iitLarge8BitMask | IsFontNameXLogicalFontDesc
idButtonRetry | iitMini1BitMask | IsFormDesign
idButtonSave | iitMini4BitData | IsIconic
idButtonShield | iitMini8BitData | IsMobilePlatform
idButtonYes | iitNone | IsPointInPolygon
idButtonYesToAll | iitSmall1BitMask | IsRectEmpty
IDCANCEL | iitSmall32BitData | IsSysColor
ID_CANCEL | iitSmall4BitData | IST_DPI
IDCLOSE | iitSmall8BitData | IST_NONE
ID_CLOSE | iitSmall8BitMask | IST_SIZE
idDialogBase | iitThumbnail32BitData | IsWindow
idDialogConfirm | iitThumbnail8BitMask | IsWindowEnabled
idDialogError | ILazImageReader | IsWindowVisible
idDialogInfo | ILazImageWriter | IsZoomed
idDialogShield | IL_HORIZONTAL | itaOnIdle
idDialogWarning | IL_VERTICAL | itaOnIdleEnd
IdentEntry | IMAGE_BITMAP | itaOnUserInput
IdentToCharset | IMAGE_CURSOR | itCell
IdentToColor | IMAGE_ENHMETAFILE | itColumn
IdentToCursor | IMAGE_ICON | ITEMSTATES
IDHELP | IMAGELAYOUT | itFixed
ID_HELP | ImageListCache | itFixedColumn
IDIGNORE | IMAGESELECTTYPE | itFixedRow
ID_IGNORE | ImgList | itImage
IDNO | IndexToOverlayMask | itMask
ID_NO | IndustrialBase | itNormal
IDOK | InflateRect | itRow
ID_OK | IniPropStorage | itSelected
IDRETRY | InitializeCriticalSection |
ID_RETRY | InitLazResourceComponent |

J

JOHAB_CHARSET JSONPropStorage

K

keyAdd | KF_UP | kLarge4BitData
KeyAndShiftStateToKeyString | kHuge1BitMask | kLarge8BitData
KeyboardStateToShiftState | kHuge32BitData | kLarge8BitMask
KeyDataToShiftState | kHuge4BitData | kMini1BitMask
keyDelete | kHuge8BitData | kMini4BitData
keyEdit | kHuge8BitMask | kMini8BitData
KeysToShiftState | kibAutomatic | kSmall1BitMask
KeyStringIsIrregular | kibDoesntRequire | kSmall32BitData
KeyToShortCut | kibRequires | kSmall4BitData
keyUnique | kIconFamilyType | kSmall8BitData
KF_ALTDOWN | kIconServices256PixelDataARGB | kSmall8BitMask
KF_DLGMODE | kIconServices512PixelDataARGB | kThumbnail32BitData
KF_EXTENDED | KillTimer | kThumbnail8BitMask
KF_MENUMODE | kLarge1BitMask |
KF_REPEAT | kLarge32BitData |

L

LABELSTATES | lcReceivesLMClearCutCopyPasteReliably | LoadGlyphFromLazarusResource
lapAutoAdjustForDPI | lcSendsUTF8KeyPress | LoadGlyphFromResourceName
lapAutoAdjustWithoutHorizontalScrolling | lcTextHint | LoadGlyphFromStock
lapDefault | lcTransparentWindow | LoadIcon
lapFixedLayout | ldhpAll | LoadIconFunction
larAnimation | ldhpCaption | LOGBRUSH
larButton | ldhpCloseButton | LOGFONT
larCell | ldhpRestoreButton | LOGFONTA
larChart | ldkOpenDesktop | LOGFONTW
larCheckBox | ldkOpenPDA | LOGOFFBUTTONSSTATES
larClock | ldkSaveDesktop | LOGPALETTE
larColorPicker | ldkSavePDA | LOGPEN
larComboBox | ldkSelectDirectory | LOGPIXELSX
larDateField | LDockTree | LOGPIXELSY
larGrid | LeaveCriticalSection | LoWord
larGroup | LF_FACESIZE | lpAbove
larIgnore | lffItemsMoving | LPARAM
larImage | lffItemsSorting | lpBelow
larLabel | lffPreparingSorting | lpCarbon
larListBox | lffSelectedValid | lpCocoa
larListItem | LF_FULLFACESIZE | lpCustomDrawn
larMenuBar | LFMtoLRSfile | lpfpGUI
larMenuItem | LFMtoLRSstream | lpGtk
larProgressIndicator | lifCreated | lpGtk2
larRadioButton | lifDestroying | lpGtk3
larResizeGrip | LineEndPoint | LP_HYPERLINK
larScrollBar | LinesPointOfIntersection | lpLeft
larSpinner | LineTo | LPLOGFONT
larTabControl | LINKHEADERSTATES | lpMUI
larTextEditorMultiline | LINKPARTS | lpNoGUI
larTextEditorSingleline | LINKSTATES | lpQT
larTrackBar | lisCut | lpQt5
larTreeItem | lisDropTarget | lpRight
larTreeView | lisFocused | LPtoDP
larWindow | lisfWSItemsCreated | lpWin32
LazarusResources | lisLCLResourceSNotFound | lpWinCE
LazCanvas | LISS_DISABLED | LR_COLOR
LazDeviceApis | lisSelected | LR_COPYDELETEORG
LazDialogs | LISS_HOT | LR_COPYFROMRESOURCE
LazFreeTypeIntfDrawer | LISS_HOTSELECTED | LR_COPYRETURNORG
LazHelpHTML | LISS_NORMAL | LR_CREATEDIBSECTION
LazHelpIntf | LISS_SELECTED | lrdeBitfield
LazLongRec | LISS_SELECTEDNOTFOCUS | LR_DEFAULTCOLOR
LazMessageDlg | LISTBOXPARTS | LR_DEFAULTSIZE
LazRegions | LISTBOXSTYLEPARTS | lrdeHuffman
LazResourceXPMToPPChar | LISTITEMSTATES | lrdeJpeg
LazTiffExtraPrefix | LISTVIEWPARTS | lrdePng
LazTiffHostComputer | LISTVIEWSTYLEPARTS | lrdeRGB
LazTiffMake | LM_ACTIVATE | lrdeRLE
LazTiffModel | LM_ACTIVATEITEM | LResources
LazTiffSoftware | LM_CANCELMODE | LRESULT
LBCP_BORDER_HSCROLL | LM_CAPTURECHANGED | LR_LOADFROMFILE
LBCP_BORDER_HVSCROLL | LM_CHANGED | LR_LOADMAP3DCOLORS
LBCP_BORDER_NOSCROLL | LM_CHAR | LR_LOADTRANSPARENT
LBCP_BORDER_VSCROLL | LM_CHARTOITEM | lrmmAuto
LBCP_ITEM | LM_CHECKRESIZE | lrmmColor
lboDrawFocusRect | LM_CLEAR | lrmmNone
lbOwnerDrawFixed | LM_CLICKED | LR_MONOCHROME
lbOwnerDrawVariable | LM_CLOSEQUERY | LRSComment
LBPSH_DISABLED | LM_COMMAND | LR_SHARED
LBPSH_FOCUSED | LM_COMPAREITEM | lrsitCollection
LBPSH_HOT | LM_CONFIGUREEVENT | lrsitComponent
LBPSH_NORMAL | LM_CONTEXTMENU | lrsitList
LBPSHV_DISABLED | LM_COPY | lrsitProperty
LBPSHV_FOCUSED | LM_CREATE | LRSObjectBinaryToText
LBPSHV_HOT | LM_CTLCOLORBTN | LRSObjectReaderClass
LBPSHV_NORMAL | LM_CTLCOLORDLG | LRSObjectResourceToText
LBPSI_HOT | LM_CTLCOLOREDIT | LRSObjectResToText
LBPSI_HOTSELECTED | LM_CTLCOLORLISTBOX | LRSObjectTextToBinary
LBPSI_SELECTED | LM_CTLCOLORMSGBOX | LRSObjectToText
LBPSI_SELECTEDNOTFOCUS | LM_CTLCOLORSCROLLBAR | LRSObjectWriterClass
LBPSN_DISABLED | LM_CTLCOLORSTATIC | lrsowsisDataWritten
LBPSN_FOCUSED | LM_CUT | lrsowsisHeaderWritten
LBPSN_HOT | LM_DAYCHANGED | lrsowsisStarted
LBPSN_NORMAL | LM_DEFERREDEDIT | LRSTranslator
LBPSV_DISABLED | LM_DELETEITEM | LR_VGACOLOR
LBPSV_FOCUSED | LM_DESTROY | LTGRAY_BRUSH
LBPSV_HOT | LM_DPICHANGED | LVCB_HOVER
LBPSV_NORMAL | LM_DRAGSTART | LVCB_NORMAL
LBS_DISABLENOSCROLL | LM_DRAWITEM | LVCB_PUSHED
LBS_EXTENDEDSEL | LM_DRAWLISTITEM | LVEB_HOVER
LBS_HASSTRINGS | LM_DROPFILES | LVEB_NORMAL
LBS_MULTICOLUMN | LM_ENABLE | LVEB_PUSHED
LBS_MULTIPLESEL | LM_ENTER | LVGH_CLOSE
LBS_NODATA | LM_ERASEBKGND | LVGH_CLOSEHOT
LBS_NOINTEGRALHEIGHT | LMessages | LVGH_CLOSEMIXEDSELECTION
LBS_NOREDRAW | LM_EXIT | LVGH_CLOSEMIXEDSELECTIONHOT
LBS_NOSEL | LM_FOCUS | LVGH_CLOSESELECTED
LBS_NOTIFY | LM_GETDLGCODE | LVGH_CLOSESELECTEDHOT
LBS_OWNERDRAWFIXED | LM_GETTEXTLENGTH | LVGH_CLOSESELECTEDNOTFOCUSED
LBS_OWNERDRAWVARIABLE | LM_GRABFOCUS | LVGH_CLOSESELECTEDNOTFOCUSEDHOT
LBS_SORT | LM_HELP | LVGHL_CLOSE
LBS_STANDARD | LM_HSCROLL | LVGHL_CLOSEHOT
lbStandard | LM_INTERFACEFIRST | LVGHL_CLOSEMIXEDSELECTION
LBS_USETABSTOPS | LM_INTERFACELAST | LVGHL_CLOSEMIXEDSELECTIONHOT
LBS_WANTKEYBOARDINPUT | LM_KEYDOWN | LVGHL_CLOSESELECTED
lbVirtual | LM_KEYFIRST | LVGHL_CLOSESELECTEDHOT
lcAccessibilitySupport | LM_KEYLAST | LVGHL_CLOSESELECTEDNOTFOCUSED
lcAllowChildControlsInNativeControls | LM_KEYUP | LVGHL_CLOSESELECTEDNOTFOCUSEDHOT
lcAntialiasingEnabledByDefault | LM_KILLCHAR | LVGHL_OPEN
lcApplicationTitle | LM_KILLFOCUS | LVGHL_OPENHOT
lcApplicationWindow | LM_KILLLINE | LVGHL_OPENMIXEDSELECTION
lcAsyncProcess | LM_KILLWORD | LVGHL_OPENMIXEDSELECTIONHOT
lcCanDrawOutsideOnPaint | LM_LBUTTONDBLCLK | LVGHL_OPENSELECTED
lcDragDockStartOnTitleClick | LM_LBUTTONDOWN | LVGHL_OPENSELECTEDHOT
lcEmulatedMDI | LM_LBUTTONQUADCLK | LVGHL_OPENSELECTEDNOTFOCUSED
lcFormIcon | LM_LBUTTONTRIPLECLK | LVGHL_OPENSELECTEDNOTFOCUSEDHOT
LCL | LM_LBUTTONUP | LVGH_OPEN
LCL_CAPABILITY_NO | LM_LCL | LVGH_OPENHOT
LCL_CAPABILITY_YES | LM_LEAVE | LVGH_OPENMIXEDSELECTION
LCLClasses | LM_MBUTTONDBLCLK | LVGH_OPENMIXEDSELECTIONHOT
lcl_fullversion | LM_MBUTTONDOWN | LVGH_OPENSELECTED
LCLGlyphs | LM_MBUTTONQUADCLK | LVGH_OPENSELECTEDHOT
LCLIntf | LM_MBUTTONTRIPLECLK | LVGH_OPENSELECTEDNOTFOCUSED
lcl_major | LM_MBUTTONUP | LVGH_OPENSELECTEDNOTFOCUSEDHOT
LCLMemManager | LM_MEASUREITEM | LVIF_IMAGE
LCLMessageGlue | LM_MONTHCHANGED | LVIF_INDENT
lcLMHelpSupport | LM_MOUSEENTER | LVIF_NORECOMPUTE
lcl_minor | LM_MOUSEFIRST | LVIF_PARAM
lcl_patch | LM_MOUSEFIRST2 | LVIF_STATE
LCLPlatformDef | LM_MOUSEHWHEEL | LVIF_TEXT
LCLPlatformDirNames | LM_MOUSELAST | lvilLarge
LCLPlatformDisplayNames | LM_MOUSELAST2 | lvilSmall
LCLProc | LM_MOUSELEAVE | lvilState
lcl_release | LM_MOUSEMOVE | LVIS_ACTIVATING
LCLResCache | LM_MOUSEWHEEL | LVIS_CUT
lcl_revision_func | LM_MOVE | LVIS_DROPHILITED
LCLSendActivateMsg | LM_MOVEPAGE | LVIS_FOCUSED
LCLSendCaptureChangedMsg | LM_MOVETOCOLUMN | LVIS_OVERLAYMASK
LCLSendChangedMsg | LM_MOVETOROW | LVIS_SELECTED
LCLSendCharEvent | LM_MOVEWORD | LVIS_STATEIMAGEMASK
LCLSendClickedMsg | LM_NCACTIVATE | LVN_BEGINDRAG
LCLSendCloseQueryMsg | LM_NCCALCSIZE | LVN_BEGINLABELEDIT
LCLSendCloseUpMsg | LM_NCHITTEST | LVN_BEGINRDRAG
LCLSendConfigureEventMsg | LM_NCLBUTTONDBLCLK | LVN_BEGINSCROLL
LCLSendCopyToClipboardMsg | LM_NCLBUTTONDOWN | LVN_COLUMNCLICK
LCLSendCutToClipboardMsg | LM_NCLBUTTONUP | LVN_DELETEALLITEMS
LCLSendDayChangedMsg | LM_NCMOUSEMOVE | LVN_DELETEITEM
LCLSendDestroyMsg | LM_NCPAINT | LVN_ENDLABELEDIT
LCLSendDragStartMsg | LM_NOTIFY | LVN_ENDSCROLL
LCLSendDrawListItemMsg | LM_NOTIFYFORMAT | LVN_FIRST
LCLSendDropDownMsg | LM_NULL | LVN_GETDISPINFO
LCLSendEraseBackgroundMsg | LM_PAINT | LVN_GETINFOTIP
LCLSendExitMsg | LM_PARENTNOTIFY | LVN_HOTTRACK
LCLSendKeyDownEvent | LM_PASTE | LVN_INCREMENTALSEARCH
LCLSendKeyUpEvent | LM_QUIT | LVN_INSERTITEM
LCLSendKillCharMsg | LM_RBUTTONDBLCLK | LVN_ITEMACTIVATE
LCLSendKillFocusMsg | LM_RBUTTONDOWN | LVN_ITEMCHANGED
LCLSendKillLineMsg | LM_RBUTTONQUADCLK | LVN_ITEMCHANGING
LCLSendKillWordMsg | LM_RBUTTONTRIPLECLK | LVN_KEYDOWN
LCLSendMonthChangedMsg | LM_RBUTTONUP | LVN_LAST
LCLSendMouseDownMsg | LM_RELEASED | LVN_MARQUEEBEGIN
LCLSendMouseEnterMsg | LM_SELCHANGE | LVN_ODCACHEHINT
LCLSendMouseLeaveMsg | LM_SETCURSOR | LVN_ODFINDITEM
LCLSendMouseMoveMsg | LM_SETEDITABLE | LVN_ODSTATECHANGED
LCLSendMouseMultiClickMsg | LM_SETFOCUS | LVN_SETDISPINFO
LCLSendMouseUpMsg | LM_SETFONT | lvpAutoArrange
LCLSendMouseWheelMsg | LM_SHOWWINDOW | lvpCheckboxes
LCLSendMoveMsg | LM_SIZE | LVP_COLLAPSEBUTTON
LCLSendMovePageMsg | LM_SYSCHAR | lvpColumnClick
LCLSendMoveToColumnMsg | LM_SYSCOMMAND | LVP_COLUMNDETAIL
LCLSendMoveToRowMsg | LM_SYSKEYDOWN | LVP_EMPTYTEXT
LCLSendMoveWordMsg | LM_SYSKEYUP | LVP_EXPANDBUTTON
LCLSendPaintMsg | LM_TIMER | lvpFlatScrollBars
LCLSendPasteFromClipboardMsg | LM_UNKNOWN | lvpFullDrag
LCLSendSelectionChangedMsg | LM_USER | lvpGridLines
LCLSendSetEditableMsg | LM_VKEYTOITEM | LVP_GROUPHEADER
LCLSendSetFocusMsg | LM_VSCROLL | LVP_GROUPHEADERLINE
LCLSendShowWindowMsg | LM_WINDOWPOSCHANGED | lvpHideSelection
LCLSendSizeMsg | LM_WINDOWPOSCHANGING | lvpHotTrack
LCLSendTimerMsg | LM_XBUTTONDBLCLK | LVP_LISTDETAIL
LCLSendUTF8KeyPress | LM_XBUTTONDOWN | LVP_LISTGROUP
LCLSendYearChangedMsg | LM_XBUTTONQUADCLK | LVP_LISTITEM
LCLStrConsts | LM_XBUTTONTRIPLECLK | LVP_LISTSORTEDDETAIL
LCLStreamID | LM_XBUTTONUP | lvpMultiSelect
LCLTaskDialog | LM_YEARCHANGED | lvpOwnerDraw
LCLTranslator | LoadBitmap | lvpReadOnly
LCLType | LoadBitmapFromLazarusResource | lvpRowSelect
LCLUnicodeData | LoadBitmapFromLazarusResourceHandle | lvpShowColumnHeaders
LCLVersion | LoadBitmapFunction | lvpShowWorkAreas
lcl_version | LoadComponentFromConfig | lvpToolTips
lcModalWindow | LoadCursor | lvpWrapText
lcNeedMininimizeAppWithMainForm | LoadCursorFromLazarusResource |
lcRadialGradientBrush | LoadCursorFunction |

M

MAC_CHARSET | MCNN_DISABLED | MK_DOUBLECLICK
MainAlignAnchor | MCNN_HOT | MK_LBUTTON
MakeLong | MCNN_NORMAL | MK_MBUTTON
MakeLParam | MCNN_PRESSED | MK_QUADCLICK
MakeLResult | MCNP_DISABLED | MK_RBUTTON
MakeMinMax | MCNP_HOT | MK_SHIFT
MakeROP4 | MCNP_NORMAL | MK_TRIPLECLICK
MakeWord | MCNP_PRESSED | MK_XBUTTON1
MakeWParam | MCTGC_HASSTATE | MK_XBUTTON2
MARKUPTEXTSTATES | MCTGC_HASSTATEHOT | MM_ANISOTROPIC
MaskBlt | MCTGC_HOT | MM_HIENGLISH
MaskEdit | MCTGC_TODAY | MM_HIMETRIC
MaskFieldSeparator | MCTGCU_HASSTATE | MM_ISOTROPIC
MaskNoSave | MCTGCU_HASSTATEHOT | MM_LOENGLISH
MathRound | MCTGCU_HOT | MM_LOMETRIC
MAXBS_DISABLED | MC_TRAILINGGRIDCELL | MM_TEXT
MAXBS_HOT | MC_TRAILINGGRIDCELLUPPER | MM_TWIPS
MAXBS_NORMAL | mdNearest | MNCS_ACTIVE
MAXBS_PUSHED | mdNull | MNCS_DISABLED
MAXBUTTONSTATES | MDP_NEWAPPBUTTON | MNCS_INACTIVE
MAXBYTE | mdPrimary | MONITOR_DEFAULTTONEAREST
MAXCAPTIONSTATES | MDP_SEPERATOR | MONITOR_DEFAULTTONULL
MAXCHAR | MDS_CHECKED | MONITOR_DEFAULTTOPRIMARY
MAXDWORD | MDS_DISABLED | MONITOR_DPI_TYPE
MAXLONG | MDS_HOT | MonitorEnumProc
MAXSHORT | MDS_HOTCHECKED | MonitorFromPoint
MAXSTRETCHBLTMODE | MDS_NORMAL | MonitorFromRect
MAX_SYS_COLORS | MDS_PRESSED | MonitorFromWindow
MaxUnicodeBlocks | MDT_ANGULAR_DPI | MONITORINFOF_PRIMARY
MAXWORD | MDT_DEFAULT | MONITOR_UNIMPL
mbAbort | MDT_EFFECTIVE_DPI | MONO_FONT
mbAbortRetryIgnore | MDT_RAW_DPI | MONTHCALPARTS
MB_ABORTRETRYIGNORE | MENUBANDPARTS | MOREPROGRAMSARROWBACKSTATES
MB_ACTIVE | MENUBANDSTATES | MOREPROGRAMSARROWSTATES
mbAll | MENU_BARBACKGROUND | MOREPROGRAMSTABSTATES
mbCancel | MENU_BARITEM | Mouse
MB_CANCELTRYCONTINUE | MENU_CHEVRON_TMSCHEMA | Move_Default
mbClose | MENU_MENUBARDROPDOWN_TMSCHEMA | MoveRect
MB_DEFBUTTON1 | MENU_MENUBARITEM_TMSCHEMA | MoveRectToFit
MB_DEFBUTTON2 | MENU_MENUDROPDOWN_TMSCHEMA | Move_SourceIsInterface
MB_DEFBUTTON3 | MENU_MENUITEM_TMSCHEMA | MOVESTATES
MB_DEFBUTTON4 | MENUPARTS | MoveToEx
mbExtra1 | MENU_POPUPBACKGROUND | MoveWindowOrg
mbExtra2 | MENU_POPUPBORDERS | MoveWindowOrgEx
mbHelp | MENU_POPUPCHECK | MPI_DISABLED
MB_HELP | MENU_POPUPCHECKBACKGROUND | MPI_DISABLEDHOT
MB_ICONASTERISK | MENU_POPUPGUTTER | MPI_HOT
MB_ICONERROR | MENU_POPUPITEM | MPI_NORMAL
MB_ICONEXCLAMATION | MENU_POPUPSEPARATOR | mrAbort
MB_ICONHAND | MENU_POPUPSUBMENU | mrAll
MB_ICONINFORMATION | Menus | mrCancel
MB_ICONQUESTION | MENU_SEPARATOR_TMSCHEMA | mrClose
MB_ICONSTOP | MENUSTYLEPARTS | mrIgnore
MB_ICONWARNING | MENU_SYSTEMCLOSE | mrLast
MBI_DISABLED | MENU_SYSTEMMAXIMIZE | mrNo
MBI_DISABLEDHOT | MENU_SYSTEMMINIMIZE | mrNone
MBI_DISABLEDPUSHED | MENU_SYSTEMRESTORE | mrNoToAll
mbIgnore | MERGECOPY | mrOK
MBI_HOT | MERGEPAINT | mrRetry
MB_INACTIVE | MergeSort | mrYes
MBI_NORMAL | MessageBox | mrYesToAll
MBI_PUSHED | MessageBoxFunction | msControlSelect
mbLeft | MessageDlg | _MSG
mbMiddle | MessageDlgPos | MsgDlgBtnToBitBtnKind
mbNo | MessageDlgPosHelp | MSGF_DIALOGBOX
mbNoToAll | Messaging | MSGF_MENU
mbOK | metTrimLeft | MSGF_MESSAGEBOX
MB_OK | metTrimRight | MSGF_MOVE
mbOKCancel | MF_BITMAP | MSGF_NEXTWINDOW
MB_OKCANCEL | MF_BYCOMMAND | MSGF_SCROLLBAR
mbRetry | MF_BYHANDLE | MSGF_SIZE
MB_RETRYCANCEL | MF_BYPOSITION | MsgKeyDataToShiftState
mbRight | MF_CHECKED | MSM_DISABLED
mbYes | MF_DEFAULT | MSM_NORMAL
mbYesNo | MF_DISABLED | msShiftSelect
MB_YESNO | MF_ENABLED | msSiblingOnly
mbYesNoCancel | MF_GRAYED | mssNoService
MB_YESNOCANCEL | MF_HELP | mssRadioOff
mbYesToAll | MF_HILITE | mssReceivedSuccessfully
MC_BACKGROUND | MF_MENUBARBREAK | mssReceivingGeneralError
MCB_BITMAP | MF_MENUBREAK | mssSendingGeneralError
MCB_DISABLED | MF_MOUSESELECT | mssSentSuccessfully
MCB_NORMAL | MF_OWNERDRAW | msVisibleOnly
MC_BORDERS | MF_POPUP | MSYSC_DISABLED
MC_BULLETDISABLED | MF_RIGHTJUSTIFY | MSYSC_NORMAL
MC_BULLETNORMAL | MF_SEPARATOR | MSYSMN_DISABLED
MC_CHECKMARKDISABLED | MF_STRING | MSYSMN_NORMAL
MC_CHECKMARKNORMAL | MF_SYSMENU | MSYSMX_DISABLED
MC_COLHEADERSPLITTER | MF_UNCHECKED | MSYSMX_NORMAL
MCGCB_HOT | MF_UNHILITE | MSYSR_DISABLED
MCGCB_SELECTED | MF_UNSUPPORTED | MSYSR_NORMAL
MCGCB_SELECTEDHOT | MF_USECHECKBITMAPS | mtConfirmation
MCGCB_SELECTEDNOTFOCUSED | mihtDestroy | mtCustom
MCGCB_TODAY | MINBS_DISABLED | mtError
MCGC_HASSTATE | MINBS_HOT | mtInformation
MCGC_HASSTATEHOT | MINBS_NORMAL | mtWarning
MCGC_HOT | MINBS_PUSHED | MulDiv
MCGC_TODAY | MINBUTTONSTATES | multiply(Extended,TFloatPoint):TFloatPoint
MCGCU_HASSTATE | MINCAPTIONSTATES | multiply(TFloatPoint,Extended):TFloatPoint
MCGCU_HASSTATEHOT | MINCHAR | multiply(TFloatPoint,TFloatPoint):TFloatPoint
MCGCU_HOT | MiniMizeName | multiply(TFloatPoint,TPoint):TFloatPoint
MC_GRIDBACKGROUND | MinimumDialogButtonHeight | multiply(TPoint,TFloatPoint):TFloatPoint
MC_GRIDCELL | MinimumDialogButtonWidth | mwCursor
MC_GRIDCELLBACKGROUND | MINLONG | mwGrid
MC_GRIDCELLUPPER | MINSHORT | MXCS_ACTIVE
MC_NAVNEXT | MK_ALT | MXCS_DISABLED
MC_NAVPREV | MK_CONTROL | MXCS_INACTIVE

N

naAdd | nboHidePageListPopup | NM_FIRST
naAddChild | nboKeyboardTabSwitch | NMHDR
naAddChildFirst | nboMultiLine | NM_HOVER
naAddFirst | nboShowAddTabButton | NM_KEYDOWN
naInsert | nboShowCloseButtons | NM_KILLFOCUS
naInsertBehind | nbPost | NM_LAST
NAV_BACKBUTTON | nbPrior | _NM_LISTVIEW
NAV_BACKBUTTONSTATES | nbRefresh | NM_LISTVIEW
NAV_BB_DISABLED | nbsDown | NM_NCHITTEST
NAV_BB_HOT | nbsHot | NM_OUTOFMEMORY
NAV_BB_NORMAL | nbsUp | NM_RCLICK
NAV_BB_PRESSED | ncCalcSizeParams | NM_RDBLCLK
NAV_FB_DISABLED | ncDataChanged | NM_RELEASEDCAPTURE
NAV_FB_HOT | ncHeightChanged | NM_RETURN
NAV_FB_NORMAL | ncImageEffect | NM_SETCURSOR
NAV_FB_PRESSED | ncImageIndex | NM_SETFOCUS
navFocusableButtons | ncOverlayIndex | NONANTIALIASED_QUALITY
NAV_FORWARDBUTTON | ncParentChanged | NONESTATES
NAV_FORWARDBUTTONSTATES | ncSelectedIndex | NORMALGROUPCOLLAPSESTATES
NAVIGATIONPARTS | ncStateIndex | NORMALGROUPEXPANDSTATES
NAV_MB_DISABLED | ncTextChanged | NormalizeRect
NAV_MB_HOT | nctLazCanvas | NotifyApplicationUserInput
NAV_MB_NORMAL | nctWindowsDC | NotifyUser
NAV_MB_PRESSED | ncVisibility | NotifyUserAtXY
NAV_MENUBUTTON | NeedParentDesignControl | NOTSRCCOPY
NAV_MENUBUTTONSTATES | NeighbourCanBeShrinked | NOTSRCERASE
NAVNEXTSTATES | NewItem | nsBound
NAVPREVSTATES | NewLine | nsCut
nbCancel | NewMenu | nsDeleting
nbcMultiLine | NewPopupMenu | nsDropHilited
nbcPageListPopup | NewStyleControls | nsExpanded
nbcShowAddTabButton | NewSubMenu | nsFocused
nbcShowCloseButtons | ngDisabled | nsHasChildren
nbcTabsSizeable | ngEnabled | nsMultiSelected
nbDelete | nhtCocoaNSWindow | nsSelected
nbdHorizontal | nhtQtQWidget | nsVisible
nbdVertical | nhtWindowsHWND | NULL_BRUSH
nbEdit | nhtX11TWindow | NullDate
nbFirst | NiceArrowAngle | NULL_PEN
nbInsert | NM_CHAR | NullRegion
nbLast | NM_CLICK | NUMCOLORS
nbNext | NM_CUSTOMDRAW | NUMRESERVED
nboDoChangeOnSetIndex | NM_DBLCLK |

O

OBJ_BITMAP | ODS_SELECTED | OnListViewDialogResult
OBJ_BRUSH | ODT_BUTTON | OnLoadGraphicFromClipboardFormat
OBJ_COLORSPACE | ODT_COMBOBOX | OnLoadSaveClipBrdGraphicValid
OBJ_DC | ODT_HEADER | OnMenuPopupHandler
OBJ_ENHMETADC | ODT_LISTBOX | OnSaveGraphicToClipboardFormat
OBJ_ENHMETAFILE | ODT_LISTVIEW | OnShowSelectItemDialogResult
OBJ_EXTPEN | ODT_MENU | OPAQUE
OBJ_FONT | ODT_STATIC | OPENBOXSTATES
OBJ_MEMDC | ODT_TAB | OpenDocument
OBJ_METADC | OEM_CHARSET | OpenDocumentWidgetsetImplementation
OBJ_METAFILE | OEM_FIXED_FONT | OpenURL
OBJ_PAL | ofAllowMultiSelect | OpenURLWidgetsetImplementation
OBJ_PEN | ofAutoPreview | OppositeAnchor
OBJ_REGION | ofCreatePrompt | OT_ABOVELASTBUTTON
ObjStreamMaskChildPos | ofDontAddToRecent | OT_BELOWLASTBUTTON
ObjStreamMaskInherited | ofEnableIncludeNotify | OT_BOTTOMLEFT
ObjStreamMaskInline | ofEnableSizing | OT_BOTTOMMIDDLE
ODA_DRAWENTIRE | ofExtensionDifferent | OT_BOTTOMRIGHT
ODA_FOCUS | ofFileMustExist | otFolders
ODA_SELECT | ofForceShowHidden | otHidden
odBackgroundPainted | OffsetRect | OT_LEFTOFCAPTION
odChecked | OffsetRect | OT_LEFTOFLASTBUTTON
odComboBoxEdit | OffsetRgn | OT_MIDDLELEFT
odDefault | OFFSETTYPE | OT_MIDDLERIGHT
odDisabled | ofHideReadOnly | otNonFolders
odFocused | ofNoChangeDir | OT_RIGHTOFCAPTION
odGrayed | ofNoDereferenceLinks | OT_RIGHTOFLASTBUTTON
odHotLight | ofNoLongNames | OT_TOPLEFT
odInactive | ofNoNetworkButton | OT_TOPMIDDLE
odNoAccel | ofNoReadOnlyReturn | OT_TOPRIGHT
odNoFocusRect | ofNoResolveLinks | OUT_CHARACTER_PRECIS
odReserved1 | ofNoTestFileCreate | OUT_DEFAULT_PRECIS
odReserved2 | ofNoValidate | OUT_DEVICE_PRECIS
ODS_CHECKED | ofOldStyleDialog | OUT_OUTLINE_PRECIS
ODS_COMBOBOXEDIT | ofOverwritePrompt | OUT_RASTER_PRECIS
ODS_DEFAULT | ofPathMustExist | OUT_SCREEN_OUTLINE_PRECIS
ODS_DISABLED | ofReadOnly | OUT_STRING_PRECIS
odSelected | ofShareAware | OUT_STROKE_PRECIS
ODS_FOCUS | ofShowHelp | OUT_TT_ONLY_PRECIS
ODS_GRAYED | ofViewDetail | OUT_TT_PRECIS
ODS_HOTLIGHT | OldProcPointer | OwnerFormDesignerModified
ODS_INACTIVE | OnDrawDockImage | OwnerFormDesignerModifiedProc
ODS_NOACCEL | OnGetDesignerForm |
ODS_NOFOCUSRECT | OnGetSystemFont |

P

PABC | pf1bit | poScreenCenter
paCenter | pf24bit | poSelection
PAGEPARTS | pf32bit | PositionInfo
Paint2HeadArrow | pf4bit | PostMessage
PaintBarbadosTrident | pf8bit | PostScriptCanvas
PaintBigI | pfAdded | PostScriptPrinter
PaintBoldArrow | pfAdding | PostScriptUnicode
PaintCanadianMaple | pfCustom | poWarning
PaintChevronArrow | pfDevice | poWorkAreaCenter
PaintCross | pfInserting | PPaintStruct
PaintFivePointLineStar | pfRemoving | PPaletteEntry
PaintFivePointStar | PGlyph | PP_BAR
PaintHalfEllipse | PGradientRect | PP_BARVERT
PaintHexagon | PGradientTriangle | ppBorder
PaintNotchedArrow | PGridMessage | PP_CHUNK
PaintOctogon | PGRP_DOWN | PP_CHUNKVERT
PaintPentagon | PGRP_DOWNHORZ | PP_FILL
PaintPlus | PGRP_UP | PP_FILLVERT
PaintQuadrangle | PGRP_UPHORZ | PPipeEventHandler
PaintRgn | PHandle | PP_MOVEOVERLAY
PaintRightTriangle | PHelpInfo | PP_MOVEOVERLAYVERT
PaintStarN | PHintInfo | PPoint
PAINTSTRUCT | PHKEY | PP_PULSEOVERLAY
PaintTriangle | PIcnsRec | PP_PULSEOVERLAYVERT
PaintTriangular | PIconInfo | PProcessEventHandler
PaintValve | Pie | PPSPattern
PaintVArrow | pihcConst | ppText
PairSplitter | pihcFilename | PP_TRANSPARENTBAR
palCustom | pihcParameterList | PP_TRANSPARENTBARVERT
palDefault | pihcProcedure | ppWidth
paLeft | pihcProperty | prAllPages
PALETTEENTRY | pihcSourceName | prBroken
palFallback | pihcType | prCanWrite
palNative | pihcVariable | prCurrentPage
palUserConfig | PImageCacheItem | prDataAvailable
paRight | PInt | PRect
PArrayNode | PIXELFORMAT_BPP | PredefinedClipboardFormat
PasswordBox | pjsBevel | PredefinedClipboardMimeTypes
PAsyncCallQueueItem | pjsMiter | PRemovedProperty
PATCOPY | pjsRound | PRGBAQuad
PATINVERT | PLANES | PRGBQUAD
PATPAINT | PLCLMemManagerItem | PRGBTriple
PBBS_NORMAL | PLMessage | PrimarySelection
PBBS_PARTIAL | PLMMouseEvent | Printer
PBBVS_NORMAL | PLogBrush | Printers
PBBVS_PARTIAL | PLogFont | PROGRESSPARTS
pbCancel | PLogFontA | PROGRESSSTYLEPARTS
pbClose | PLogFontW | PromptDialogFunction
PBFS_ERROR | PLogPalette | PromptUser
PBFS_NORMAL | PLogPen | PromptUserAtXY
PBFS_PARTIAL | PLRPositionLink | PROOF_QUALITY
PBFS_PAUSED | PLRSORStackItem | PropertiesToSkip
PBFVS_ERROR | PLRSOWStackItem | PropertyStorage
PBFVS_NORMAL | pmAuto | prPageNums
PBFVS_PARTIAL | PMaxLogPalette | prSelection
PBFVS_PAUSED | pmBlack | PS_ALTERNATE
pbHelp | pmCopy | psClear
pbHorizontal | PMeasureItemStruct | PS_COSMETIC
PBitmap | pmExplicit | PScreenInfo
PBitmapCoreHeader | pmGPS | PScrollInfo
PBitmapCoreInfo | pmMask | psDash
PBitmapFileHeader | pmMaskNotPen | PS_DASH
PBitmapInfo | pmMaskPenNot | psDashDot
PBitmapInfoHeader | pmMerge | PS_DASHDOT
pbLowered | pmMergeNotPen | psDashDotDot
pbNone | pmMergePenNot | PS_DASHDOTDOT
pbOK | pmNetwork | psDot
pbRaised | pmNone | PS_DOT
pbRightToLeft | pmNop | PS_ENDCAP_FLAT
PBS_DEFAULTED | PM_Noremove | PS_ENDCAP_MASK
PBS_DEFAULTED_ANIMATING | pmNot | PS_ENDCAP_ROUND
PBS_DISABLED | pmNotCopy | PS_ENDCAP_SQUARE
PBS_HOT | pmNotMask | PS_GEOMETRIC
PBS_NORMAL | pmNotMerge | psInsideframe
PBS_PRESSED | pmNotXor | PS_INSIDEFRAME
pbstMarquee | PModalResult | PS_JOIN_BEVEL
pbstNormal | PMonitorInfo | PS_JOIN_MASK
pbTopDown | PMonitorInfoEx | PS_JOIN_MITER
pbVertical | PMonitorInfoExW | PS_JOIN_ROUND
pcCollation | PM_Remove | psNoDefine
pcCopies | PMsg | PS_NULL
PCellProps | pmWhite | PSocketEventHandler
pcfBitmap | pmXor | psOwnerDraw
pcfComponent | PNCCalcSizeParams | psPattern
pcfCustomData | PNMHdr | psPrinting
pcfIcon | PNMListView | psReady
pcfMetaFilePict | PNodeCache | psSolid
pcfObject | poBeforeBeginDoc | PS_SOLID
pcfPicture | poDefault | psStopped
pcfPixmap | poDefaultPosOnly | PS_STYLE_MASK
pcfText | poDefaultSizeOnly | psText
PClipboardFormat | poDesigned | pstHorizontal
PColor | poDesktopCenter | pstVertical
PColRowProps | poDisablePrintToFile | PS_TYPE_MASK
PControlBorderSpacingDefault | poHeaderClick | PS_USERSTYLE
pcOrientation | poHelp | ptA
PCriticalSection | PointToSmallPoint | PTaskDialog
pcsClipping | PointToSmallPointNoChecks | ptB
pcsClipSaved | poLandscape | ptC
pcsPosValid | PolyBezier | ptColored
PCursorRec | PolyBezier2Polyline | PTextMetric
PDelphiNodeInfo | PolyBezierArcPoints | PTextMetricA
PDIBSection | POLYFILL_LAST | PTextMetricW
PDrawItemStruct | Polygon | PThemedElementDetails
PDrawListItemStruct | Polyline | PtInRect
pecFlat | poMainFormCenter | PtInRegion
pecRound | poNone | ptLocal
pecSquare | poOwnerFormCenter | ptNetWork
PeekMessage | poPageNums | PTriVertex
PenResourceCache | poPortrait | ptUncolored
PEnumLogFont | poPrintToFile | PUSHBUTTONSTATES
PEnumLogFontA | POPUPCHECKBACKGROUNDSTATES | PUTF16String
PEnumLogFontEx | POPUPCHECKSTATES | PWindowPos
PEnumLogFontExA | POPUPITEMSTATES | PWindowPos
PEnumLogFontExW | PopupNotifier | PWndClass
PEnumLogFontW | POPUPSUBMENUSTATES | PWndClassA
PEventHandler | poRestore | PWndClassEx
PExtLogPen | poReverseLandscape | PWndClassExA
pf15bit | poReversePortrait | PWndClassExW
pf16bit | poSave | PWndClassW

Q

Quadrant | QuestionDialogFunction
QueryDescription | QuestionDlg

R

R2_BLACK | RestoreDC | rsIconImageSize
R2_COPYPEN | RestoreFocusState | rsIconImageSizeChange
R2_LAST | ReverseByteOrderInWords | rsIconNoCurrent
R2_MASKNOTPEN | ReverseBytes | rsInactiveBorderColorCaption
R2_MASKPEN | rfmOddEven | rsInactiveCaptionColorCaption
R2_MASKPENNOT | rfmWinding | rsInactiveCaptionText
R2_MERGENOTPEN | RGB | rsIndexOutOfBounds
R2_MERGEPEN | RGBQUAD | rsIndexOutOfRange
R2_MERGEPENNOT | RGBToColor | rsInfoBkColorCaption
R2_NOP | RGBtoHLS | rsInfoTextColorCaption
R2_NOT | RGBTRIPLE | rsInsertRecordHint
R2_NOTCOPYPEN | rgnAnd | rsInvalidDate
R2_NOTMASKPEN | RGN_AND | rsInvalidDateRangeHint
R2_NOTMERGEPEN | rgnCombine | rsInvalidFormObjectStream
R2_NOTXORPEN | rgnCopy | rsInvalidPropertyValue
R2_WHITE | RGN_COPY | rsInvalidStreamFormat
R2_XORPEN | rgnDiff | rsIsAlreadyAssociatedWith
RadialArc | RGN_DIFF | rsJpeg
RadialChord | rgnNewRect | rsLastRecordHint
RadialPie | rgnOr | rsLimeColorCaption
RadialPoint | RGN_OR | rsLine
RADIOBUTTONSTATES | rgnXOR | rsListIndexExceedsBounds
RaiseGDBException | RGN_XOR | rsMaroonColorCaption
RASTER_FONTTYPE | RoundRect | rsMbAbort
RawImage_CreateBitmaps | RoundToCardinal | rsMbAll
RawImage_DescriptionFromBitmap | RoundToInt | rsMbCancel
RawImage_DescriptionFromDevice | RP_BACKGROUND | rsMbClose
RawImage_FromBitmap | RP_BAND | rsMbHelp
RawImage_FromDevice | RP_CHEVRON | rsMbIgnore
RawImage_QueryDescription | RP_CHEVRONVERT | rsMbNo
RBS_CHECKEDDISABLED | RP_GRIPPER | rsMbNoToAll
RBS_CHECKEDHOT | RP_GRIPPERVERT | rsMbOK
RBS_CHECKEDNORMAL | RP_SPLITTER | rsmbOpen
RBS_CHECKEDPRESSED | RP_SPLITTERVERT | rsMbRetry
RBS_DISABLED | rs3DDkShadowColorCaption | rsmbSave
RBS_HOT | rs3DLightColorCaption | rsmbUnlock
rbsLine | rsAControlCanNotHaveItselfAsParent | rsMbYes
RBS_NORMAL | rsActiveBorderColorCaption | rsMbYesToAll
RBS_PUSHED | rsActiveCaptionColorCaption | rsMedGrayColorCaption
rbsRectangle | rsAllFiles | rsMenuBarColorCaption
RBS_UNCHECKEDDISABLED | rsAppWorkspaceColorCaption | rsMenuColorCaption
RBS_UNCHECKEDHOT | rsAquaColorCaption | rsMenuHighlightColorCaption
RBS_UNCHECKEDNORMAL | rsASCannotHaveAsParent | rsMenuTextColorCaption
RBS_UNCHECKEDPRESSED | rsBackgroundColorCaption | rsmMulti
RDW_ALLCHILDREN | rsBackward | rsModified
RDW_ERASE | rsBitmaps | rsMoneyGreenColorCaption
RDW_ERASENOW | rsBlackColorCaption | rsmSingle
RDW_FRAME | rsBlank | rsMtAuthentication
RDW_INTERNALPAINT | rsBlueColorCaption | rsMtConfirmation
RDW_INVALIDATE | rsBtnFaceColorCaption | rsMtCustom
RDW_NOCHILDREN | rsBtnHighlightColorCaption | rsMtError
RDW_NOERASE | rsBtnShadowColorCaption | rsMtInformation
RDW_NOFRAME | rsBtnTextColorCaption | rsMtWarning
RDW_NOINTERNALPAINT | rsCalculator | rsNavyColorCaption
RDW_UPDATENOW | rsCancelRecordHint | rsNextRecordHint
RDW_VALIDATE | rsCanNotFocus | rsNone
ReadCompleteStreamToStream | rsCanvasDoesNotAllowDrawing | rsNoneColorCaption
ReadCompleteStreamToString | rsCaptionTextColorCaption | rsNotAValidGridFile
ReadComponentFromBinaryStream | rsCaseSensitive | rsNoWidgetSet
ReadComponentFromTextStream | rsControlClassCantContainChildClass | rsOliveColorCaption
ReadLFMHeader | rsControlHasNoParentFormOrFrame | rsPattern
ReadLFMHeaderFromFile | rsControlHasNoParentWindow | rsPickDate
ReadLRSByte | rsControlIsNotAParent | rsPixmap
ReadLRSCardinal | rsCreamColorCaption | rsPortableBitmap
ReadLRSCurrency | rsCursor | rsPortableGrayMap
ReadLRSDouble | rsCustomColorCaption | rsPortableNetworkGraphic
ReadLRSEndianLittleExtendedAsDouble | rsDefaultColorCaption | rsPortablePixmap
ReadLRSExtended | rsDefaultFileInfoValue | rsPostRecordHint
ReadLRSInt64 | rsDeleteRecord | rsPressOkToIgnoreAndRiskDataCorruptionPressAbortToK
ReadLRSInt64MB | rsDeleteRecordHint | rsPriorRecordHint
ReadLRSInteger | rsDirection | rsPromptOnReplace
ReadLRSShortInt | rsDirectory | rsPropertyDoesNotExist
ReadLRSSingle | rsDoCopy | rsPurpleColorCaption
ReadLRSSmallInt | rsDoPaste | rsqtOptionDoGrab
ReadLRSValueType | rsDuplicateIconFormat | rsqtOptionGraphicsStyle
ReadLRSWideString | rsEditRecordHint | rsqtOptionNoGrab
ReadLRSWord | rsEntireScope | rsqtOptionReverse
READONLYSTATES | rsError | rsqtOptionSession
ReadXPMFromStream | rsErrorCreatingDeviceContext | rsqtOptionStyle
ReadXPMSize | rsErrorOccurredInAtAddressFrame | rsqtOptionStyleSheet
RealizePalette | rsErrorWhileSavingBitmap | rsqtOptionSync
REBARPARTS | rsException | rsqtOptionWidgetCount
REBARSTYLEPARTS | rsfdDirectoryMustExist | rsqtOptionX11BgColor
RecreateWnd | rsfdDirectoryNotExist | rsqtOptionX11BtnColor
Rectangle | rsfdFileAlreadyExists | rsqtOptionX11CMap
RectInRegion | rsfdFileMustExist | rsqtOptionX11Display
RectVisible | rsfdFileNotExist | rsqtOptionX11FgColor
Red | rsfdFileReadOnly | rsqtOptionX11Font
RedGreenBlue | rsfdFileReadOnlyTitle | rsqtOptionX11Geometry
RedrawWindow | rsfdFileSaveAs | rsqtOptionX11IM
Region_Error | rsfdOpenFile | rsqtOptionX11InputStyle
Register | rsfdOverwriteFile | rsqtOptionX11Name
Register | rsfdPathMustExist | rsqtOptionX11NCols
Register | rsfdPathNoExist | rsqtOptionX11Title
Register | rsfdSelectDirectory | rsqtOptionX11Visual
Register | rsFileInfoFileNotFound | rsRasterImageEndUpdate
Register | rsFileInformation | rsRasterImageSaveInUpdate
Register | rsFilter | rsRasterImageUpdateAll
Register | rsFind | rsRedColorCaption
Register | rsFindMore | rsRefreshRecordsHint
Register | rsFirstRecordHint | rsReplace
Register | rsFixedColsTooBig | rsReplaceAll
Register | rsFixedRowsTooBig | rsResourceNotFound
Register | rsFormColorCaption | rsScrollBarColorCaption
Register | rsFormResourceSNotFoundForResourcelessFormsCreateNew | rsScrollBarOutOfRange
Register | rsFormStreamingError | rsSelectcolorTitle
Register | rsForward | rsSelectFontTitle
Register | rsFuchsiaColorCaption | rsSilverColorCaption
Register | rsgdkOptionDebug | rsSize
Register | rsgdkOptionNoDebug | rsSkyBlueColorCaption
Register | rsGIF | rsTCustomTabControlAccessibilityDescription
Register | rsgOptionFatalWarnings | rsTealColorCaption
Register | rsGradientActiveCaptionColorCaption | rsText
Register | rsGradientInactiveCaptionColorCaption | rsTheBuiltInURLIsReadOnlyChangeTheBaseURLInstead
Register | rsGraphic | rsTiff
Register | rsGrayColorCaption | rsTPanelAccessibilityDescription
Register | rsGrayTextColorCaption | rsTSplitterAccessibilityDescription
Register | rsGreenColorCaption | rsTTreeViewAccessibilityDescription
Register | rsGridFileDoesNotExist | rsUnableToLoadDefaultFont
Register | rsGridHasNoCols | rsUnknownErrorPleaseReportThisBug
Register | rsGridHasNoRows | rsUnknownPictureExtension
Register | rsGridIndexOutOfRange | rsUnknownPictureFormat
Register | rsGroupIndexCannotBeLessThanPrevious | rsUnsupportedBitmapFormat
Register | rsgtkFilter | rsUnsupportedClipboardFormat
Register | rsgtkHistory | rsUpdate
Register | rsgtkOptionClass | rsVLEDuplicateKey
Register | rsgtkOptionDebug | rsVLEInvalidRowColOperation
Register | rsgtkOptionDisplay | rsVLEKey
Register | rsgtkOptionModule | rsVLEValue
RegisterActions | rsgtkOptionName | rsWarningUnreleasedDCsDump
RegisterActionsProc | rsgtkOptionNoDebug | rsWarningUnreleasedGDIObjectsDump
RegisterClipboardFormat | rsgtkOptionNoTransient | rsWarningUnreleasedMessagesInQueue
RegisterControl | rsgtkOptionNoXshm | rsWarningUnreleasedTimerInfos
RegisterCustomControl | rsgtkOptionSync | rsWarningUnremovedPaintMessages
RegisterCustomPage | rsHelp | rsWhiteColorCaption
RegisterCustomTabControl | rsHelpAlreadyRegistered | rsWholeWordsOnly
RegisterDialogForCopyToClipboard | rsHelpContextNotFound | rsWin32Error
RegisterDragImageListResolution | rsHelpDatabaseNotFound | rsWin32Warning
RegisterDrawer | rsHelpError | rsWindowColorCaption
RegisterGraphicControl | rsHelpHelpContextNotFound | rsWindowFrameColorCaption
RegisterInterfaceFinalizationHandler | rsHelpHelpContextNotFoundInDatabase | rsWindowTextColorCaption
RegisterInterfaceInitializationHandler | rsHelpHelpDatabaseDidNotFoundAViewerForAHelpPageOfType | rsYellowColorCaption
RegisterLazAccessibleObject | rsHelpHelpDatabaseNotFound | RT_ACCELERATOR
RegisterLCL | rsHelpHelpForDirectiveNotFound | RT_ANICURSOR
RegisterLCLBase | rsHelpHelpForDirectiveNotFoundInDatabase | RT_ANIICON
RegisterPropertyToSkip | rsHelpHelpKeywordNotFound | RT_BITMAP
RegisterWinControl | rsHelpHelpKeywordNotFoundInDatabase | RT_CURSOR
RegroupMenuItem | rsHelpHelpNodeHasNoHelpDatabase | RT_DIALOG
ReleaseCapture | rsHelpNoHelpFoundForSource | RT_FONT
ReleaseDC | rsHelpNoHelpNodesAvailable | RT_FONTDIR
ReleaseDesignerDC | rsHelpNotFound | RT_GROUP_CURSOR
RemoveEventHandler | rsHelpNotRegistered | RT_GROUP_ICON
RemovePipeEventHandler | rsHelpSelectorError | RT_HTML
RemoveProcessEventHandler | rsHelpThereIsNoViewerForHelpType | RT_ICON
RemoveProp | rsHelpViewerError | RT_MANIFEST
RequestInput | rsHelpViewerNotFound | RT_MENU
RequireDerivedFormResource | rsHighlightColorCaption | RT_MESSAGETABLE
ResBtnCalculator | rsHighlightTextColorCaption | RT_RCDATA
ResBtnCalendar | rsHotLightColorCaption | RT_STRING
ResBtnFileOpen | rsIcns | RT_VERSION
ResBtnListFilter | rsIcon | RubberBand
ResBtnSelDir | rsIconImageEmpty | RUSSIAN_CHARSET
ResBtnTime | rsIconImageFormat |
RESTOREBUTTONSTATES | rsIconImageFormatChange |

S

SaveComponentToConfig | SM_CXBORDER | SPI_SETHANDHELD
SaveDC | SM_CXCURSOR | SPI_SETHIGHCONTRAST
SaveFocusState | SM_CXDLGFRAME | SPI_SETHOTTRACKING
SB_BOTH | SM_CXDOUBLECLK | SPI_SETICONMETRICS
SB_BOTTOM | SM_CXDRAG | SPI_SETICONS
SB_CTL | SM_CXEDGE | SPI_SETICONTITLELOGFONT
SB_ENDSCROLL | SM_CXFIXEDFRAME | SPI_SETICONTITLEWRAP
sbgAlways | SM_CXFRAME | SPI_SETKEYBOARDCUES
sbgNever | SM_CXFULLSCREEN | SPI_SETKEYBOARDDELAY
sbgSystem | SM_CXHSCROLL | SPI_SETKEYBOARDPREF
sbHorizontal | SM_CXHTHUMB | SPI_SETKEYBOARDSPEED
SB_Horz | SM_CXICON | SPI_SETLANGTOGGLE
SB_LEFT | SM_CXICONSPACING | SPI_SETLISTBOXSMOOTHSCROLLING
SB_LINEDOWN | SM_CXMAXIMIZED | SPI_SETLOWPOWERACTIVE
SB_LINELEFT | SM_CXMAXTRACK | SPI_SETLOWPOWERTIMEOUT
SB_LINERIGHT | SM_CXMENUCHECK | SPI_SETMENUANIMATION
SB_LINEUP | SM_CXMENUSIZE | SPI_SETMENUDROPALIGNMENT
SB_PAGEDOWN | SM_CXMIN | SPI_SETMENUFADE
SB_PAGELEFT | SM_CXMINIMIZED | SPI_SETMENUSHOWDELAY
SB_PAGERIGHT | SM_CXMINSPACING | SPI_SETMENUUNDERLINES
SB_PAGEUP | SM_CXMINTRACK | SPI_SETMINIMIZEDMETRICS
SBP_ARROWBTN | SM_CXSCREEN | SPI_SETMOUSE
SBP_GRIPPERHORZ | SM_CXSIZE | SPI_SETMOUSEBUTTONSWAP
SBP_GRIPPERVERT | SM_CXSIZEFRAME | SPI_SETMOUSECLICKLOCK
SBP_LOWERTRACKHORZ | SM_CXSMICON | SPI_SETMOUSECLICKLOCKTIME
SBP_LOWERTRACKVERT | SM_CXSMSIZE | SPI_SETMOUSEHOVERHEIGHT
SB_POLICY_CONTINUOUS | SM_CXVIRTUALSCREEN | SPI_SETMOUSEHOVERTIME
SB_POLICY_DELAYED | SM_CXVSCROLL | SPI_SETMOUSEHOVERWIDTH
SB_POLICY_DISCONTINUOUS | SM_CYBORDER | SPI_SETMOUSEKEYS
SBP_SIZEBOX | SM_CYCAPTION | SPI_SETMOUSESONAR
SBP_THUMBBTNHORZ | SM_CYCURSOR | SPI_SETMOUSESPEED
SBP_THUMBBTNVERT | SM_CYDLGFRAME | SPI_SETMOUSETRAILS
SBP_UPPERTRACKHORZ | SM_CYDOUBLECLK | SPI_SETMOUSEVANISH
SBP_UPPERTRACKVERT | SM_CYDRAG | SPI_SETNONCLIENTMETRICS
SB_RIGHT | SM_CYEDGE | SPI_SETPENWINDOWS
SBS_BOTTOMALIGN | SM_CYFIXEDFRAME | SPI_SETPOWEROFFACTIVE
SBS_DISABLED | SM_CYFRAME | SPI_SETPOWEROFFTIMEOUT
SBS_HORZ | SM_CYFULLSCREEN | SPI_SETSCREENREADER
SBS_HOT | SM_CYHSCROLL | SPI_SETSCREENSAVEACTIVE
SBS_LEFTALIGN | SM_CYICON | SPI_SETSCREENSAVERRUNNING
sbsNone | SM_CYICONSPACING | SPI_SETSCREENSAVETIMEOUT
SBS_NORMAL | SM_CYKANJIWINDOW | SPI_SETSELECTIONFADE
SBS_PUSHED | SM_CYMAXIMIZED | SPI_SETSERIALKEYS
SBS_RIGHTALIGN | SM_CYMAXTRACK | SPI_SETSHOWIMEUI
sbsSingle | SM_CYMENU | SPI_SETSHOWSOUNDS
SBS_SIZEBOX | SM_CYMENUCHECK | SPI_SETSNAPTODEFBUTTON
SBS_SIZEBOXBOTTOMRIGHTALIGN | SM_CYMENUSIZE | SPI_SETSOUNDSENTRY
SBS_SIZEBOXTOPLEFTALIGN | SM_CYMIN | SPI_SETSTICKYKEYS
SBS_SIZEGRIP | SM_CYMINIMIZED | SPI_SETTOGGLEKEYS
sbsSunken | SM_CYMINSPACING | SPI_SETTOOLTIPANIMATION
SBS_TOPALIGN | SM_CYMINTRACK | SPI_SETTOOLTIPFADE
SBS_VERT | SM_CYSCREEN | SPI_SETUIEFFECTS
SB_THUMBPOSITION | SM_CYSIZE | SPI_SETWHEELSCROLLLINES
SB_THUMBTRACK | SM_CYSIZEFRAME | SPI_SETWORKAREA
SB_TOP | SM_CYSMCAPTION | SplitBezier
SB_Vert | SM_CYSMICON | SplitEditMask
sbVertical | SM_CYSMSIZE | SPLITS_HOT
ScaleX | SM_CYVIRTUALSCREEN | SPLITS_NORMAL
ScaleY | SM_CYVSCROLL | SPLITS_PRESSED
sCannotFocus | SM_CYVTHUMB | SPLITSV_HOT
sCannotSetDesignTimePPI | SM_DBCSENABLED | SPLITSV_NORMAL
SC_ARRANGE | SM_DEBUG | SPLITSV_PRESSED
scBottom | sMenuIndexError | SPLITTERSTATES
SC_CLOSE | sMenuItemIsNil | SPLITTERVERTSTATES
SC_CONTEXTHELP | sMenuNotFound | SplitURL
SC_DEFAULT | SmkcAlt | SPLS_HOT
scEndScroll | SmkcBkSp | SPLS_NORMAL
SC_HOTKEY | SmkcCtrl | SPLS_PRESSED
SC_HSCROLL | SmkcDel | SPMPT_DISABLED
SC_KEYMENU | SmkcDown | SPMPT_FOCUSED
scLineDown | SmkcEnd | SPMPT_HOT
scLineUp | SmkcEnter | SPMPT_NORMAL
SC_MAXIMIZE | SmkcEsc | SPMPT_SELECTED
scMeta | SmkcHome | SPNP_DOWN
SC_MINIMIZE | SmkcIns | SPNP_DOWNHORZ
SC_MONITORPOWER | SmkcLeft | SPNP_UP
SC_MOUSEMENU | SmkcMeta | SPNP_UPHORZ
SC_MOVE | SmkcPgDn | SPOB_DISABLED
SC_NEXTWINDOW | SmkcPgUp | SPOB_FOCUSED
scoAdviceHeightAsMax | SmkcRight | SPOB_HOT
scoAdviceHeightAsMin | SmkcShift | SPOB_NORMAL
scoAdviceWidthAsMax | SmkcSpace | SPOB_SELECTED
scoAdviceWidthAsMin | SmkcTab | SP_PANE
scPageDown | SmkcUp | SPP_LOGOFF
scPageUp | SM_LCLHasFormAlphaBlend | SPP_LOGOFFBUTTONS
scPosition | SM_LCLMAXIMIZEDHEIGHT | SPP_LOGOFFSPLITBUTTONDROPDOWN
SC_PREVWINDOW | SM_LCLMAXIMIZEDWIDTH | SPP_MOREPROGRAMS
SCRBS_DISABLED | SM_MENUDROPALIGNMENT | SPP_MOREPROGRAMSARROW
SCRBS_HOT | SM_MIDEASTENABLED | SPP_MOREPROGRAMSARROWBACK
SCRBS_HOVER | SM_MOUSEPRESENT | SPP_MOREPROGRAMSTAB
SCRBS_NORMAL | SM_MOUSEWHEELPRESENT | SPP_NSCHOST
SCRBS_PRESSED | SM_NETWORK | SPP_OPENBOX
Screen | SM_PENWINDOWS | SPP_PLACESLIST
ScreenInfo | SM_REMOTESESSION | SPP_PLACESLISTSEPARATOR
ScreenToClient | SM_RESERVED1 | SPP_PREVIEW
SC_RESTORE | SM_RESERVED2 | SPP_PROGLIST
SCROLLBARPARTS | SM_RESERVED3 | SPP_PROGLISTSEPARATOR
SCROLLBARSTYLEPARTS | SM_RESERVED4 | SPP_SEARCHVIEW
SCROLLBARSTYLESTATES | SM_SAMEDISPLAYFORMAT | SPP_SOFTWAREEXPLORER
ScrollWindow | SM_SECURE | SPP_TOPMATCH
ScrollWindowEx | SM_SHOWSOUNDS | SPP_USERPANE
SC_SCREENSAVE | SM_SLOWMACHINE | SPP_USERPICTURE
SC_SEPARATOR | SM_SWAPBUTTON | SPSB_HOT
SC_SIZE | SM_SWSCROLLBARSPACING | SPSB_NORMAL
SC_TASKLIST | SM_XVIRTUALSCREEN | SPSB_PRESSED
scTop | SM_YVIRTUALSCREEN | SPSE_DISABLED
scTrack | snActiveControlChanged | SPSE_FOCUSED
SC_VSCROLL | snActiveFormChanged | SPSE_HOT
sdAbove | snFormAdded | SPSE_NORMAL
sdAll | snFormVisibleChanged | SPSE_SELECTED
sdAllowCreate | sNoTimers | SPS_HOT
sdAscending | snRemoveForm | SPS_NORMAL
sdBelow | soAll | SPS_PRESSED
sdDescending | soAscending | SRCAND
sdDown | soAttributes | SRCCOPY
sdLeft | soContent | SRCERASE
sdLeft | soDescending | SRCINVERT
sdPerformCreate | soDesign | SRCPAINT
sdPrompt | sofBinary | srRotation_0
sdRight | sofText | srRotation_180
sdRight | SOFTWAREEXPLORERSTATES | srRotation_270
sdUp | sofUnknown | srRotation_90
sDuplicateMenus | soPosition | ssAutoBoth
SecondarySelection | sParentRequired | ssAutoHorizontal
SECTIONTITLELINKSTATES | SParExpected | ssAutoVertical
SelectClipRGN | SParInvalidFloat | ssBoth
SelectDirectory | SParInvalidInteger | ssFlat
SelectObject | SParLocInfo | sShellCtrlsBytes
SelectPalette | SParUnterminatedBinValue | sShellCtrlsInvalidPath
SendApplicationMessage | SParUnterminatedString | sShellCtrlsInvalidPathRelative
SendApplicationMessageFunction | SParWrongTokenSymbol | sShellCtrlsInvalidRoot
SendAppMessage | SParWrongTokenType | sShellCtrlsKB
SendCachedLCLMessages | SPECIALGROUPCOLLAPSESTATES | sShellCtrlsMB
SendMessage | SPECIALGROUPEXPANDSTATES | sShellCtrlsName
SendSimpleMessage | SP_GRIPPER | sShellCtrlsSelectedItemDoesNotExists
SetActiveWindow | SP_GRIPPERPANE | sShellCtrlsSize
SetBkColor | SPI_GETACCESSTIMEOUT | sShellCtrlsType
SetBkMode | SPI_GETACTIVEWINDOWTRACKING | ssHorizontal
SetCapture | SPI_GETACTIVEWNDTRKTIMEOUT | ssHotTrack
SetCaptureControl | SPI_GETACTIVEWNDTRKZORDER | ssModifier
SetCaretPos | SPI_GETANIMATION | ssNone
SetCaretPosEx | SPI_GETBEEP | ssRegular
SetCaretRespondToFocus | SPI_GETBLOCKSENDINPUTRESETS | ssVertical
SetClipboard | SPI_GETBORDER | stAlways
SetComboMinDropDownSize | SPI_GETCARETWIDTH | StandardColorsCount
SetCursor | SPI_GETCOMBOBOXANIMATION | STANDARDSTATES
SetCursorPos | SPI_GETCURSORSHADOW | STARTPANELPARTS
SetDefaultLang | SPI_GETDEFAULTINPUTLANG | STATICPARTS
SetEventHandlerFlags | SPI_GETDESKWALLPAPER | STAT_TEXT
SetFocus | SPI_GETDRAGFULLWINDOWS | STATUSPARTS
SetForegroundWindow | SPI_GETDROPSHADOW | STATUSSTYLEPARTS
SetMapMode | SPI_GETFASTTASKSWITCH | stBoth
SetMenu | SPI_GETFILTERKEYS | stCircle
SetParent | SPI_GETFLATMENU | StdActns
SetProp | SPI_GETFOCUSBORDERHEIGHT | stData
SetRect | SPI_GETFOCUSBORDERWIDTH | StdCtrls
SetRectEmpty | SPI_GETFONTSMOOTHING | stDefault
SetRectRgn | SPI_GETFONTSMOOTHINGCONTRAST | stDiamond
SetROP2 | SPI_GETFONTSMOOTHINGORIENTATION | stEllipse
SetRubberBandRect | SPI_GETFONTSMOOTHINGTYPE | stEtchedIn
SetScrollInfo | SPI_GETFOREGROUNDFLASHCOUNT | stEtchedOut
SetScrollPos | SPI_GETFOREGROUNDLOCKTIMEOUT | stFilled
SetScrollRange | SPI_GETGRADIENTCAPTIONS | stIn
SetStretchBltMode | SPI_GETGRIDGRANULARITY | stNever
SetSysColors | SPI_GETHIGHCONTRAST | stNone
SetTextCharacterExtra | SPI_GETHOTTRACKING | stNone
SetTextColor | SPI_GETICONMETRICS | STOCK_LAST
SetTimer | SPI_GETICONTITLELOGFONT | stOut
SetViewPortExtEx | SPI_GETICONTITLEWRAP | stRectangle
SetViewPortOrgEx | SPI_GETKEYBOARDCUES | StretchBlt
SetWindowExtEx | SPI_GETKEYBOARDDELAY | StretchDIBits
SetWindowLong | SPI_GETKEYBOARDPREF | StretchMaskBlt
SetWindowOrgEx | SPI_GETKEYBOARDSPEED | StringCase
SetWindowPos | SPI_GETLISTBOXSMOOTHSCROLLING | StringToCharset
SetWindowRgn | SPI_GETLOWPOWERACTIVE | StringToColor
sfHint | SPI_GETLOWPOWERTIMEOUT | StringToColorDef
sfIcon | SPI_GETMENUANIMATION | StringToCursor
sfMenu | SPI_GETMENUDROPALIGNMENT | StripHotkey
sfSystem | SPI_GETMENUFADE | StripLN
ShellCtrls | SPI_GETMENUSHOWDELAY | stRoundRect
SHIFTJIS_CHARSET | SPI_GETMENUUNDERLINES | stRoundSquare
ShiftStateToKeys | SPI_GETMINIMIZEDMETRICS | StrToDouble
Short | SPI_GETMOUSE | StrToWindowState
ShortCut | SPI_GETMOUSECLICKLOCK | stSquare
ShortCutToKey | SPI_GETMOUSECLICKLOCKTIME | stSquaredDiamond
ShortCutToText | SPI_GETMOUSEHOVERHEIGHT | stStar
ShortCutToTextRaw | SPI_GETMOUSEHOVERTIME | stStarDown
SHOWCALENDARBUTTONRIGHTSTATES | SPI_GETMOUSEHOVERWIDTH | ST_STRETCH
ShowCaret | SPI_GETMOUSEKEYS | stText
ShowHelp | SPI_GETMOUSESONAR | ST_TILE
ShowHelpFile | SPI_GETMOUSESPEED | stTriangle
ShowHelpFileOrError | SPI_GETMOUSETRAILS | stTriangleDown
ShowHelpForContext | SPI_GETMOUSEVANISH | stTriangleLeft
ShowHelpForDirective | SPI_GETNONCLIENTMETRICS | stTriangleRight
ShowHelpForKeyword | SPI_GETPOWEROFFACTIVE | ST_TRUESIZE
ShowHelpForMessageLine | SPI_GETPOWEROFFTIMEOUT | SubtractRect
ShowHelpForPascalContexts | SPI_GETSCREENREADER | subtract(TFloatPoint,Extended):TFloatPoint
ShowHelpOrError | SPI_GETSCREENSAVEACTIVE | subtract(TFloatPoint,TFloatPoint):TFloatPoint
ShowHelpOrErrorForContext | SPI_GETSCREENSAVERRUNNING | subtract(TFloatPoint,TPoint):TFloatPoint
ShowHelpOrErrorForKeyword | SPI_GETSCREENSAVETIMEOUT | subtract(TPoint,TFloatPoint):TFloatPoint
ShowHelpOrErrorForMessageLine | SPI_GETSELECTIONFADE | SwapCase
ShowHelpOrErrorForSourcePosition | SPI_GETSERIALKEYS | SW_ERASE
ShowMessage | SPI_GETSHOWIMEUI | SW_HIDE
ShowMessageFmt | SPI_GETSHOWSOUNDS | SW_INVALIDATE
ShowMessagePos | SPI_GETSNAPTODEFBUTTON | SW_MAX
ShowScrollBar | SPI_GETSOUNDSENTRY | SW_MAXIMIZE
ShowSelectItemDialog | SPI_GETSTICKYKEYS | SW_MINIMIZE
ShowTableOfContents | SPI_GETTOGGLEKEYS | SW_NORMAL
ShowWindow | SPI_GETTOOLTIPANIMATION | SWP_ASYNCWINDOWPOS
shrCancel | SPI_GETTOOLTIPFADE | SWP_DEFERERASE
shrContextNotFound | SPI_GETUIEFFECTS | SWP_DRAWFRAME
shrDatabaseNotFound | SPI_GETWHEELSCROLLLINES | SWP_FRAMECHANGED
shrHelpNotFound | SPI_GETWINDOWSEXTENSION | SWP_HIDEWINDOW
shrNone | SPI_GETWORKAREA | SWP_NOACTIVATE
shrSelectorError | SPI_ICONHORIZONTALSPACING | SWP_NOCOPYBITS
shrSuccess | SPI_ICONVERTICALSPACING | SWP_NOMOVE
shrViewerError | SPI_LANGDRIVER | SWP_NOOWNERZORDER
shrViewerNotFound | Spin | SWP_NOREDRAW
SIF_ALL | SPINPARTS | SWP_NOREPOSITION
SIF_DISABLENOSCROLL | SPINSTYLEPARTS | SWP_NOSENDCHANGING
SIF_PAGE | SPI_SCREENSAVERRUNNING | SWP_NOSIZE
SIF_POS | SPI_SETACCESSTIMEOUT | SWP_NOZORDER
SIF_RANGE | SPI_SETACTIVEWINDOWTRACKING | SWP_SHOWWINDOW
SIF_TRACKPOS | SPI_SETACTIVEWNDTRKTIMEOUT | SWP_SourceIsInterface
SIF_UPDATEPOLICY | SPI_SETACTIVEWNDTRKZORDER | SWP_STATECHANGED
SimpleRegion | SPI_SETANIMATION | SW_RESTORE
sInvalidActionCreation | SPI_SETBEEP | SW_SCROLLCHILDREN
sInvalidActionEnumeration | SPI_SETBLOCKSENDINPUTRESETS | SW_SHOW
sInvalidActionRegistration | SPI_SETBORDER | SW_SHOWDEFAULT
sInvalidActionUnregistration | SPI_SETCARETWIDTH | SW_SHOWFULLSCREEN
sInvalidCharSet | SPI_SETCOMBOBOXANIMATION | SW_SHOWMAXIMIZED
SInvalidCodePoint | SPI_SETCURSORS | SW_SHOWMINIMIZED
sInvalidImageSize | SPI_SETCURSORSHADOW | SW_SHOWMINNOACTIVE
sInvalidIndex | SPI_SETDEFAULTINPUTLANG | SW_SHOWNA
SIZEBOXSTATES | SPI_SETDESKPATTERN | SW_SHOWNOACTIVATE
SIZEFULLSCREEN | SPI_SETDESKWALLPAPER | SW_SHOWNORMAL
SIZE_FULLSCREEN | SPI_SETDOUBLECLICKTIME | SW_SMOOTHSCROLL
SIZEICONIC | SPI_SETDOUBLECLKHEIGHT | SYMBOL_CHARSET
SIZE_MAXHIDE | SPI_SETDOUBLECLKWIDTH | SYSBUTTONSTATES
SIZE_MAXIMIZED | SPI_SETDRAGFULLWINDOWS | SYS_COLOR_BASE
SIZE_MAXSHOW | SPI_SETDRAGHEIGHT | SysColorToSysColorIndex
SIZE_MINIMIZED | SPI_SETDRAGWIDTH | SYSTEMCLOSESTATES
SIZENORMAL | SPI_SETDROPSHADOW | SYSTEM_FIXED_FONT
SIZEPALETTE | SPI_SETFASTTASKSWITCH | SYSTEM_FONT
SIZE_RESTORED | SPI_SETFILTERKEYS | SYSTEMMAXIMIZESTATES
Size_SourceIsInterface | SPI_SETFLATMENU | SYSTEMMINIMIZESTATES
SIZEZOOMHIDE | SPI_SETFOCUSBORDERHEIGHT | SystemParametersInfo
SIZEZOOMSHOW | SPI_SETFOCUSBORDERWIDTH | SYSTEMRESTORESTATES
SIZINGTYPE | SPI_SETFONTSMOOTHING | SZB_HALFBOTTOMLEFTALIGN
SmallPointToPoint | SPI_SETFONTSMOOTHINGCONTRAST | SZB_HALFBOTTOMRIGHTALIGN
SM_ARRANGE | SPI_SETFONTSMOOTHINGORIENTATION | SZB_HALFTOPLEFTALIGN
SMaskEditNoMatch | SPI_SETFONTSMOOTHINGTYPE | SZB_HALFTOPRIGHTALIGN
SM_CLEANBOOT | SPI_SETFOREGROUNDFLASHCOUNT | SZB_LEFTALIGN
SM_CMETRICS | SPI_SETFOREGROUNDLOCKTIMEOUT | SZB_RIGHTALIGN
SM_CMONITORS | SPI_SETGRADIENTCAPTIONS | SZB_TOPLEFTALIGN
SM_CMOUSEBUTTONS | SPI_SETGRIDGRANULARITY | SZB_TOPRIGHTALIGN

T

taAdd | TFPImageBitmap | TPortableNetworkGraphic
taAddFirst | TFPImageBitmapClass | TPosition
TA_BASELINE | tfPositionRelativeToWindow | TPostScript
TABC | TFPSharpInterpolation | TPostScriptCanvas
TABITEMBOTHEDGESTATES | TFrame | TPostScriptCanvas
TABITEMLEFTEDGESTATES | tfRtlLayout | TPostScriptPrinterCanvas
TABITEMRIGHTEDGESTATES | tfShowMarqueeProgressBar | TPOTranslator
TABITEMSTATES | tfShowProgressBar | tpPageDontCare
TA_BOTTOM | tfUseCommandLinks | tpPageRoot
TABP_AEROWIZARDBODY | tfUseCommandLinksNoIcon | tpProgressDontCare
TABPARTS | tfUseHiconFooter | tpProgressRoot
TABP_BODY | tfUseHiconMain | TPredefinedClipboardFormat
TABP_PANE | tfVerificationFlagChecked | TPrefixOption
TABP_TABITEM | TGEEdit | TPrepareDbGridCanvasEvent
TABP_TABITEMBOTHEDGE | TGEEditClass | TPreviewFileControl
TABP_TABITEMLEFTEDGE | TGetCellHintEvent | TPreviewFileDialog
TABP_TABITEMRIGHTEDGE | TGetCheckboxStateEvent | tpRight
TABP_TOPTABITEM | TGetChildProc | TPrintDialogOption
TABP_TOPTABITEMBOTHEDGE | TGetColorsEvent | TPrintDialogOptions
TABP_TOPTABITEMLEFTEDGE | TGetColorStringProc | TPrinter
TABP_TOPTABITEMRIGHTEDGE | TGetDbEditMaskEvent | TPrinterCanvas
TABSTATES | TGetDefaultBitBtnGlyph | TPrinterCanvasRef
TAbstractGroupedEdit | TGetDesignerFormEvent | TPrinterCapabilities
TAbstractTranslator | TGetDockCaptionEvent | TPrinterCapability
TABSTYLEPARTS | TGetEditEvent | TPrinterFlags
TAcceptDateEvent | TGetHandleEvent | TPrinterOrientation
TAcceptFileNameEvent | TGetPickListEvent | TPrinterState
TAcceptTimeEvent | TGetSiteInfoEvent | TPrinterType
TAcceptValueEvent | TGIFImage | TPrintRange
TA_CENTER | TGlyph | TProcedure
TAction | TGlyphShowMode | TProcedureOfObject
TActionEvent | TGlyphTransparencyMode | TProgressBar
TActionLink | TGrabStyle | TProgressBarOrientation
TActionLinkClass | TGradientDirection | TProgressBarStyle
TActionList | TGradientRect | TProgressEvent
TActionListEnumerator | TGradientTriangle | TProgressStage
TActionListState | TGraphic | TPromptDialogFunction
TAddMode | TGraphicClass | TPropertiesToSkip
tagBITMAP | TGraphicControl | TPropertyStorageLink
tagBITMAPCOREHEADER | TGraphicsObject | TPropertyStorageSaveExceptionEvent
tagBITMAPCOREINFO | TGridColumn | TPropertyToSkip
tagBITMAPFILEHEADER | TGridColumns | TPropStorageXMLConfig
tagBITMAPINFO | TGridColumnTitle | TpsBounds
tagBITMAPINFOHEADER | TGridCoord | TPsCanvasState
tagDIBSECTION | TGridDataCache | TPsCanvasStatus
tagDrawItemStruct | TGridDrawState | TP_SEPARATOR
tagENUMLOGFONT | TGridFlags | TP_SEPARATORVERT
tagENUMLOGFONTA | TGridFlagsOption | TPSObject
tagENUMLOGFONTEX | TGridMessage | TPSPaintType
tagENUMLOGFONTEXA | TGridOperationEvent | TPSPattern
tagENUMLOGFONTEXW | TGridOption | TPSPen
tagENUMLOGFONTW | TGridOption2 | TP_SPLITBUTTON
tagEXTLOGPEN | TGridOptions | TP_SPLITBUTTONDROPDOWN
tagGRADIENTRECT | TGridOptions2 | TpsPoint
tagGRADIENTTRIANGLE | TGridPropertyBackup | TPSTileType
tagHELPINFO | TGridRect | TPsUnicode
tagLOGBRUSH | TGridRectArray | tpTop
tagLOGFONT | TGridSaveOptions | tpUpDisabled
tagLOGFONTA | TGridState | tpUpHorzDisabled
tagLOGFONTW | TGridZone | tpUpHorzHot
tagLOGPALETTE | TGridZoneSet | tpUpHorzNormal
tagLOGPEN | TGroupBox | tpUpHorzPressed
tagMonitorInfo | THAI_CHARSET | tpUpHot
tagMonitorInfoEx | THandle | tpUpNormal
tagMonitorInfoExW | THandleResourceCache | tpUpPressed
tagMSG | THdrEvent | TQueryEndSessionEvent
tagNCCalcSize_Params | THeaderControl | TQuestionDialogFunction
tagNMHDR | THeaderSection | TraceFileName
tagNMLISTVIEW | THeaderSectionClass | TRACKBARPARTS
tagPAINTSTRUCT | THeaderSections | TRACKBARSTYLEPARTS
tagPALETTEENTRY | THeaderSectionState | TRACKBARSTYLESTATES
tagRGBQUAD | THeaderSizingEvent | TRACKSTATES
tagRGBTRIPLE | THelpAction | TRACKVERTSTATES
tagScrollInfo | THelpBasePathObject | TRadioButton
tagTEXTMETRIC | THelpBaseURLObject | TRadioGroup
tagTextMetricA | THelpContents | TRAILINGGRIDCELLSTATES
tagTEXTMETRICW | THelpContextAction | TRAILINGGRIDCELLUPPERSTATES
tagTRIVERTEX | THelpDatabase | TRangeSelectMode
tagWindowPos | THelpDatabaseClass | TRANSPARENT
tagWINDOWPOS | THelpDatabaseID | TRANSPARENTBACKGROUNDSTATES
tagWNDCLASS | THelpDatabases | TRANSPARENTBARSTATES
tagWNDCLASSA | THelpDBIClass | TRANSPARENTBARVERTSTATES
tagWNDCLASSEX | THelpDBIMessage | TRasterImage
tagWNDCLASSEXA | THelpDBISourceDirectories | TRasterImageClass
tagWNDCLASSEXW | THelpDBISourceDirectory | TRAYNOTIFYPARTS
tagWNDCLASSW | THelpDBISourceFile | trBandChecked
taInsert | THelpDBItem | trBandDisabled
TA_LEFT | THelpEvent | trBandHot
TAlign | THelpInfo | trBandHotChecked
TAlignInfo | THelpManager | trBandNormal
TAlignInsertBeforeEvent | THelpNode | trBandPressed
TAlignPositionEvent | THelpNodeQuery | trBottom
TAlignSet | THelpNodeQueryList | trChevronDisabled
TA_MASK | THelpNodeType | trChevronHot
TAnchorControlsRect | THelpOnHelp | trChevronNormal
TAnchorKind | THelpQuery | trChevronPressed
TAnchors | THelpQueryClass | trChevronVertDisabled
TAnchorSide | THelpQueryContext | trChevronVertHot
TAnchorSideChangeOperation | THelpQueryDirective | trChevronVertNormal
TAnchorSideReference | THelpQueryItem | trChevronVertPressed
TA_NOUPDATECP | THelpQueryKeyword | TREEITEMSTATES
TAntialiasingMode | THelpQueryMessage | TREEVIEWPARTS
TAppHintTimerType | THelpQueryNode | TREEVIEWSTYLEPARTS
TApplication | THelpQueryPascalContexts | TRegion
TApplicationDoubleBuffered | THelpQuerySourcePosition | TRegionCombineMode
TApplicationExceptionDlg | THelpQueryTOC | TRegionOperation
TApplicationFlag | THelpTopicSearch | TRegionOperations
TApplicationFlags | THelpViewer | TRegionOperationType
TApplicationHandlerType | THelpViewerClass | TREIS_DISABLED
TApplicationMainLoop | THelpViewers | TREIS_HOT
TApplicationNavigationOption | ThemedElementDetailsEqual | TREIS_HOTSELECTED
TApplicationNavigationOptions | ThemeManagerCopyright | TREIS_NORMAL
TApplicationProperties | Themes | TREIS_SELECTED
TApplicationShowGlyphs | ThemeServices | TREIS_SELECTEDNOTFOCUS
TApplicationType | ThemesImageDrawEvent | TReplaceDialog
TA_RIGHT | thHeaderDontCare | TResizeStyle
TArrayNode | thHeaderItemHot | TResourceCache
TArrayNodesTree | thHeaderItemLeftHot | TResourceCacheDescriptor
TArrow | thHeaderItemLeftNormal | TResourceCacheDescriptorClass
TArrowType | thHeaderItemLeftPressed | TResourceCacheItem
TArrowType | thHeaderItemNormal | TResourceCacheItemClass
TA_RTLREADING | thHeaderItemPressed | TResourceType
TASKBANDPARTS | thHeaderItemRightHot | TRGBAQuad
TASKBARPARTS | thHeaderItemRightNormal | TRGBAQuadArray
TASKDIALOGPARTS | thHeaderItemRightPressed | TRGBQuad
TASKDIALOGSTYLEPARTS | thHeaderRoot | TRGBTriple
TaskDialog_Translate | thHeaderSortArrowSortedDown | trGripper
TASKLINKSTATES | thHeaderSortArrowSortedUp | trGripperVert
TAssertErrorAddrType | THintAction | trHorizontal
TAssertErrorProc | THintEvent | TrimUrl
TAsyncCallQueue | THintInfo | TrimURLPath
TAsyncCallQueueItem | THintInfoAtMouse | TRIVERTEX
TAsyncCallQueues | THintWindow | trLeft
TAsyncProcess | THintWindowClass | TRowSize
TA_TOP | THintWindowRendered | trRebarDontCare
TA_UPDATECP | THitTest | trRebarRoot
TAutoAdvance | THitTests | trRight
TAutoCompleteOption | THTMLBrowserHelpViewer | TRS_NORMAL
TAutoCompleteOptions | THTMLHelpDatabase | trTop
TBalloonFlags | THUMBBOTTOMSTATES | TRubberBand
TBandDragEvent | THUMBLEFTSTATES | TRubberBandShape
TBandDrawingStyle | THUMBRIGHTSTATES | TRUESIZESCALINGTYPE
TBandInfoEvent | THUMBSTATES | TRUETYPE_FONTTYPE
TBandMove | THUMBTOPSTATES | TruncToCardinal
TBandMoveEvent | THUMBVERTSTATES | TruncToInt
TBandPaintEvent | TIBES_DISABLED | trVertical
TBandPaintOption | TIBES_FOCUSED | TRVS_NORMAL
TBandPaintOptions | TIBES_HOT | tsArrowBtnDownDisabled
tbButtonDontCare | TIBES_NORMAL | tsArrowBtnDownHot
tbButtonRoot | TIBES_SELECTED | tsArrowBtnDownNormal
tbCheckBoxCheckedDisabled | tiBlank | tsArrowBtnDownPressed
tbCheckBoxCheckedHot | TIcnsIcon | tsArrowBtnLeftDisabled
tbCheckBoxCheckedNormal | TicnsIconInfo | tsArrowBtnLeftHot
tbCheckBoxCheckedPressed | TicnsIconType | tsArrowBtnLeftNormal
tbCheckBoxMixedDisabled | TicnsIconTypes | tsArrowBtnLeftPressed
tbCheckBoxMixedHot | TIcnsList | tsArrowBtnRightDisabled
tbCheckBoxMixedNormal | TIcnsRec | tsArrowBtnRightHot
tbCheckBoxMixedPressed | TIcon | tsArrowBtnRightNormal
tbCheckBoxUncheckedDisabled | TIconArrangement | tsArrowBtnRightPressed
tbCheckBoxUncheckedHot | TIconFamilyElement | tsArrowBtnUpDisabled
tbCheckBoxUncheckedNormal | TIconFamilyResource | tsArrowBtnUpHot
tbCheckBoxUncheckedPressed | TIconImage | tsArrowBtnUpNormal
tbDefault | TIconImageClass | tsArrowBtnUpPressed
TBeforeShowPageEvent | TIconInfo | tsAuto
TBevel | TIconOptions | TSaveColumnEvent
TBevelCut | TICSSTATES | TSaveDialog
TBevelShape | TICSVERTSTATES | TSaveOptions
TBevelStyle | TIDesigner | TSavePictureDialog
TBevelWidth | TIdleEvent | TSBCreatePanelClassEvent
TBezier | TIdleTimer | tsButtons
tbfArrowPressed | TIdleTimerAutoEvent | TScaledImageListResolution
tbfDropDownMenuShown | TIdleTimerAutoEvents | TS_CHECKED
tbfMouseInArrow | tiError | TS_CONTROLLABEL_DISABLED
tbfPlacingControls | tiInformation | TS_CONTROLLABEL_NORMAL
tbfPressed | tikButton | TScreen
tbfUpdateVisibleBarNeeded | tikCheckButton | TScreenControlEvent
tbGroupBoxDisabled | tikDivider | TScreenFormEvent
tbGroupBoxNormal | tikDropDownButton | TScreenInfo
TBitBtn | tikSeparator | TScreenNotification
TBitBtnKind | TILES_DISABLED | TScreenRotation
TBitBtnKinds | TILES_FOCUSED | TScrollBar
TBitmap | TILES_HOT | TScrollBarInc
TBitmapCoreHeader | TILES_NORMAL | TScrollBarKind
TBitmapCoreInfo | TILES_SELECTED | TScrollBarStyle
TBitmapFileHeader | TImage | TScrollBox
TBitmapHandleType | TImageCacheItem | TScrollCode
TBitmapInfo | TImageCacheItems | TScrollDirection
TBitmapInfoHeader | TImageIndex | TScrollEvent
tbLeftButton | TImageList | TScrollInfo
TBlockResourceCache | TImageListCache | TScrollingWinControl
TBlockResourceCacheDescriptor | TImageListHelper | TScrollStyle
tbMultiButton | TImagePaintBackgroundEvent | TS_DISABLED
TBN_First | TImageType | tsDownDisabled
TBN_Last | TIndustrialBase | tsDownHorzDisabled
TBookmarkedRecordEnumerator | TIniFileClass | tsDownHorzHot
TBookmarkedRecordEnumeratorOptions | TIniPropStorage | tsDownHorzNormal
TBookmarkList | TInitShapeProc | tsDownHorzPressed
TBorderIcon | tiNotUsed | tsDownHot
TBorderIcons | TInputCloseQueryEvent | tsDownNormal
TBorderStyle | TInputDialogFunction | tsDownPressed
TBorderWidth | TInternalMask | TSearchAction
TBoundLabel | TIntfFreeTypeDrawer | TSearchDirection
TBP_BACKGROUNDBOTTOM | tiQuestion | TSearchFind
TBP_BACKGROUNDLEFT | TIRES_DISABLED | TSearchFindFirst
TBP_BACKGROUNDRIGHT | TIRES_FOCUSED | TSearchFindNext
TBP_BACKGROUNDTOP | TIRES_HOT | TSearchReplace
TBP_SIZINGBARBOTTOM | TIRES_NORMAL | TSectionDragEvent
TBP_SIZINGBARLEFT | TIRES_SELECTED | TSectionTrackState
TBP_SIZINGBARRIGHT | TIS_DISABLED | TSelectDirectoryDialog
TBP_SIZINGBARTOP | TIS_FOCUSED | TSelectDirOpt
tbPushButtonDefaulted | TIsFormDesignFunction | TSelectDirOpts
tbPushButtonDisabled | tiShield | TSelectEditorEvent
tbPushButtonHot | TIS_HOT | TSelectionChangeEvent
tbPushButtonNormal | tiskArrow | TSendApplicationMessageFunction
tbPushButtonPressed | tiskMain | TSetCheckboxStateEvent
tbRadioButtonCheckedDisabled | TIS_NORMAL | TSetEditEvent
tbRadioButtonCheckedHot | TIS_SELECTED | tsFlatButtons
tbRadioButtonCheckedNormal | TItemChange | tsGripper
tbRadioButtonCheckedPressed | TItemFind | tsGripperHorzDisabled
tbRadioButtonUncheckedDisabled | TItemProp | tsGripperHorzHot
tbRadioButtonUncheckedHot | TItemPropList | tsGripperHorzNormal
tbRadioButtonUncheckedNormal | TItemType | tsGripperHorzPressed
tbRadioButtonUncheckedPressed | TITLEBARSTATES | tsGripperPane
tbRightButton | tiWarning | tsGripperVertDisabled
TBrush | TJPEGImage | tsGripperVertHot
TBrushHandleCache | TJPEGPerformance | tsGripperVertNormal
TBrushStyle | TJPEGQualityRange | tsGripperVertPressed
tbsButton | TJSONPropStorage | TShadowType
tbsButtonDrop | TKeyboardInputBehavior | TShape
tbsCheck | TKeyBoardState | TShapeDirection
tbsDivider | TKeyEvent | TShapeType
tbsDropDown | TKeyOption | TSharedBitmap
tbSingleButton | TKeyOptions | TSharedCursorImage
tbsSeparator | TKeyPressEvent | TSharedCustomBitmap
tbUserButton | TKeyValuePair | TSharedGIFImage
TButton | TKP_THUMB | TSharedIcnsIcon
TButtonActionLink | TKP_THUMBBOTTOM | TSharedIcon
TButtonActionLinkClass | TKP_THUMBLEFT | TSharedImage
TButtonCellEditor | TKP_THUMBRIGHT | TSharedJpegImage
TButtonControl | TKP_THUMBTOP | TSharedPixmap
TButtonGlyph | TKP_THUMBVERT | TSharedPortableAnyMapGraphic
TButtonLayout | TKP_TICS | TSharedPortableNetworkGraphic
TButtonOrder | TKP_TICSVERT | TSharedRasterImage
TButtonPanel | TKP_TRACK | TSharedRasterImageClass
TButtonState | TKP_TRACKVERT | TSharedTiffImage
TCalcEdit | TKS_NORMAL | TShellListView
TCalculatorDialog | TLabel | TShellTreeNode
TCalendar | TLabeledEdit | TShellTreeView
TCalendarDialog | TLabelPosition | TShortCutEvent
TCalendarPart | TLastMouseInfo | TShortCutList
TCalendarView | TLayoutAdjustmentPolicy | TS_HOT
TCanOffsetEvent | TLazAccelerometer | TS_HOTCHECKED
TCanResizeEvent | TLazAccessibilityRole | TShowHelpResult
TCanvas | TLazAccessibleObject | TShowHelpResults
TCanvasOrientation | TLazAccessibleObjectEnumerator | TShowHintEvent
TCanvasState | TLazarusFileDialogForm | TShowInTaskbar
TCanvasStates | TLazarusResourceStream | TS_HYPERLINK_DISABLED
TCaption | TLazAVLPalette | TS_HYPERLINK_HOT
TCaptureMouseButtons | TLazCanvas | TS_HYPERLINK_NORMAL
tcbCancel | TLazCanvasImageFormat | TS_HYPERLINK_PRESSED
tcbClose | TLazCanvasState | TSizeConstraints
tcbNo | TLazComponentQueue | TSizeConstraintsOption
tcbOk | TLazDevice | TSizeConstraintsOptions
tcbRetry | TLazDeviceMessage | TSizingRec
tcbYes | TLazDeviceMessageKind | tsLazarus
tcClockDontCare | TLazDockForm | tsLowerTrackHorzDisabled
tcClockRoot | TLazDockHeaderPart | tsLowerTrackHorzHot
tcComboBoxDontCare | TLazDockPage | tsLowerTrackHorzNormal
tcComboBoxRoot | TLazDockPages | tsLowerTrackHorzPressed
TCDButton | TLazDockSplitter | tsLowerTrackVertDisabled
TCDButtonControl | TLazDockTree | tsLowerTrackVertHot
TCDBUTTON_DEFAULT_COLOR | TLazDockZone | tsLowerTrackVertNormal
TCDButtonStateEx | TLazFileDialogKind | tsLowerTrackVertPressed
TCDCheckBox | TLazIntfHorizLineProc | tsManual
TCDCHECKBOX_SQUARE_HALF_HEIGHT | TLazIntfImage | tsNative
TCDCHECKBOX_SQUARE_HEIGHT | TLazIntfImageGetPixelAtProc | TS_NEARHOT
TCDColorPalette | TLazIntfImageGetPixelProc | tsNone
TCDComboBox | TLazIntfImageMask | TS_NORMAL
TCDCOMBOBOX_DEFAULT_HEIGHT | TLazIntfImageSetPixelAtProc | TSocketEvent
TCDControl | TLazIntfImageSetPixelProc | TSortDirection
TCDCONTROL_CAPTION_HEIGHT | TLazMessageDialog | TSortOrder
TCDCONTROL_CAPTION_WIDTH | TLazMessaging | TSortType
TCDControlClass | TLazMessagingStatus | TS_OTHERSIDEHOT
TCDControlID | TLazOpenDialog | TSpacingSize
TCDControlState | TLazPositionInfo | tsPane
TCDControlStateEx | TLazPositionMethod | TSpeedButton
TCDControlStateFlag | TLazReaderBMP | TSpeedButtonActionLink
TCDCTABCONTROL_CLOSE_BUTTON_POS_X | TLazReaderDIB | TSpinEdit
TCDCTABCONTROL_CLOSE_BUTTON_POS_Y | TLazReaderDIBEncoding | TSplitter
TCDCTABCONTROL_CLOSE_TAB_BUTTON_EXTRA_SPACING | TLazReaderDIBInfo | tspLogOff
TCDCTABCONTROL_CLOSE_TAB_BUTTON_WIDTH | TLazReaderIcnsPart | tspLogOffButtonsHot
TCDCTabControlStateEx | TLazReaderIconDIB | tspLogOffButtonsNormal
TCDCTABCONTROL_TAB_HEIGHT | TLazReaderMaskMode | tspLogOffButtonsPressed
TCDCTABCONTROL_TAB_LEFT_POS | TLazReaderPNG | tspMorePrograms
TCDCTABCONTROL_TAB_WIDTH | TLazReaderTiff | tspMoreProgramsArrowHot
TCDCustomTabControl | TLazReaderXPM | tspMoreProgramsArrowNormal
TCDDrawer | TLazRegion | tspMoreProgramsArrowPressed
TCDDrawerAndroid | TLazRegionEllipse | tspPlacesList
TCDDrawerCommon | TLazRegionFillMode | tspPlacesListSeparator
TCDDrawerMac | TLazRegionPart | tspPreview
TCDDrawerWinXP | TLazRegionPolygon | tspProgList
TCDDrawStyle | TLazRegionRect | tspProgListSeparator
TCDEdit | TLazRegionWithChilds | TS_PRESSED
TCDEDIT_BACKGROUND_COLOR | TLazSaveDialog | tspStartPanelDontCare
TCDEDIT_BOTTOM_TEXT_SPACING | TLazSelectDirectoryDialog | tspStartPanelRoot
TCDEDIT_LEFT_TEXT_SPACING | TLazWriterBMP | tspUserPane
TCDEDIT_RIGHT_TEXT_SPACING | TLazWriterPNG | tspUserPicture
TCDEDIT_SELECTED_BACKGROUND_COLOR | TLazWriterTiff | tsScrollBarDontCare
TCDEDIT_SELECTED_TEXT_COLOR | TLazWriterXPM | tsScrollBarRoot
TCDEditStateEx | TLBGetColorsEvent | tsSizeBoxLeftAlign
TCDEDIT_TEXT_COLOR | tlBottom | tsSizeBoxRightAlign
TCDEDIT_TOP_TEXT_SPACING | tlCenter | TSS_NORMAL
TCDGroupBox | TLCLCapability | tsSpinDontCare
TCDListItems | TLCLComponent | tsSpinRoot
TCDListView | TLCLEnumItemsMethod | tsStandard
TCDLISTVIEW_COLUMN_LEFT_SPACING | TLCLGlyphs | tsStatusDontCare
TCDLISTVIEW_COLUMN_RIGHT_SPACING | TLCLGlyphsMissingResources | tsStatusRoot
TCDLISTVIEW_COLUMN_TEXT_LEFT_SPACING | TLCLIntfHandle | TSST_DPI
TCDLISTVIEW_LINE_BOTTOM_SPACING | TLCLMemManager | TSST_NONE
TCDLISTVIEW_LINE_TOP_SPACING | TLCLMemManagerItem | TSST_SIZE
TCDListViewStateEx | TLCLNonFreeMemManager | tsTabs
TCDPageControl | TLCLPlatform | TStartDockEvent
TCDPaletteKind | TLCLPlatforms | TStartDragEvent
TCDPanel | TLCLReferenceComponent | TStaticBorderStyle
TCDPanelStateEx | TLCLTextMetric | TStaticText
TCDPositionedControl | TLCLWndMethod | TStatusBar
TCDPositionedCStateEx | tlEmptyText | TStatusPanel
TCDProgressBar | TListBox | TStatusPanelBevel
TCDProgressBarStateEx | TListBoxOption | TStatusPanelClass
TCDRadioButton | TListBoxOptions | TStatusPanels
TCDRADIOBUTTON_CIRCLE_HEIGHT | TListBoxStyle | TStatusPanelStyle
tcDropDownButtonDisabled | TListChangeEvent | TST_CONTINUOUS
tcDropDownButtonHot | TListColumn | tsThumbBtnHorzDisabled
tcDropDownButtonNormal | TListColumns | tsThumbBtnHorzHot
tcDropDownButtonPressed | TListCompareEvent | tsThumbBtnHorzNormal
TCDScrollableControl | TListControlItem | tsThumbBtnHorzPressed
TCDScrollBar | TListControlItems | tsThumbBtnVertDisabled
TCDSCROLLBAR_BUTTON_WIDTH | TListHotTrackStyle | tsThumbBtnVertHot
TCDSCROLLBAR_LEFT_BUTTON_POS | TListHotTrackStyles | tsThumbBtnVertNormal
TCDSCROLLBAR_LEFT_SPACING | TListItem | tsThumbBtnVertPressed
TCDSCROLLBAR_RIGHT_BUTTON_POS | TListItemClass | TST_NONE
TCDSCROLLBAR_RIGHT_SPACING | TListItemFlag | TStockFont
TCDSpinEdit | TListItemFlags | TStoredType
TCDSpinStateEx | TListItems | TStoredValue
TCDStaticText | TListItemsCompare | TStoredValueEvent
TCDTabControl | TListItemsEnumerator | TStoredValues
TCDTabSheet | TListItemsFlag | tsTrackBegin
TCDToolBar | TListItemsFlags | tsTrackEnd
TCDTOOLBAR_DEFAULT_HEIGHT | TListItemsSortType | tsTrackMove
TCDToolBarItem | TListItemState | TStreamSizeType
TCDTOOLBAR_ITEM_ARROW_RESERVED_WIDTH | TListItemStates | TStringCellEditor
TCDTOOLBAR_ITEM_ARROW_WIDTH | TListView | TStringFunc
TCDTOOLBAR_ITEM_BUTTON_DEFAULT_WIDTH | TListViewFlag | TStringGrid
TCDToolbarItemKind | TListViewFlags | TStringGridStrings
TCDTOOLBAR_ITEM_SEPARATOR_DEFAULT_WIDTH | TListViewImageList | TStringsSortCompare
TCDTOOLBAR_ITEM_SPACING | TListViewProperties | TST_SINGLE
TCDToolbarItemSubpartKind | TListViewProperty | tsUpDisabled
TCDToolBarStateEx | TListWithEvent | tsUpHorzDisabled
TCDTrackBar | tlListDetail | tsUpHorzHot
TCDTRACKBAR_FRAME_HEIGHT | tlListGroup | tsUpHorzNormal
TCDTRACKBAR_LEFT_SPACING | tlListItemDisabled | tsUpHorzPressed
TCDTRACKBAR_RIGHT_SPACING | tlListItemHot | tsUpHot
TCDTRACKBAR_TOP_SPACING | tlListItemNormal | tsUpNormal
TCDWSEventCapabilities | tlListItemSelected | tsUpperTrackHorzDisabled
TCDWSEventCapability | tlListItemSelectedNotFocus | tsUpperTrackHorzHot
TCellHintPriority | tlListSortDetail | tsUpperTrackHorzNormal
TCellProcessEvent | tlListviewDontCare | tsUpperTrackHorzPressed
TCellProcessType | tlListviewRoot | tsUpperTrackVertDisabled
TCellProps | TLMActivate | tsUpperTrackVertHot
TChangeLink | TLMChar | tsUpperTrackVertNormal
TCheckBox | TLMCommand | tsUpperTrackVertPressed
TCheckBoxState | TLMContextMenu | tsUpPressed
TCheckComboBox | TLMCopy | TSVS_NORMAL
TCheckComboItemState | TLMCut | TTabChangingEvent
TCheckGroup | TLMDestroy | TTabControl
TCheckGroupClicked | TLMDrawItems | TTabControlNoteBookStrings
TCheckItemChange | TLMDrawListItem | TTabControlStrings
TCheckItemEvent | TLMEnter | TTabGetImageEvent
TCheckListBox | TLMEraseBkgnd | TTabOrder
TCheckListClicked | TLMessage | TTabPosition
TChildControlResizeStyle | TLMExit | TTabSheet
TChildExitEvent | TLMGetDlgCode | TTabStyle
TChildExitReason | TLMGetText | TTaskBarBehavior
TClipboard | TLMGetTextLength | TTaskDialog
TClipboardData | TLMHelp | TTaskDialog
TClipboardFormat | TLMHScroll | TTaskDialogBaseButtonItem
TClipboardRequestEvent | TLMKey | TTaskDialogButtonClickedEvent
TClipboardType | TLMKeyDown | TTaskDialogButtonItem
TCloseAction | TLMKeyUp | TTaskDialogButtons
TCloseEvent | TLMKILLFOCUS | TTaskDialogButtonsEnumerator
TCloseQueryEvent | TLMLButtonDblClk | TTaskDialogCommonButton
TCMCancelMode | TLMLButtonDown | TTaskDialogCommonButtons
TCMChanged | TLMLButtonQuadClk | TTaskDialogElement
TCMChildKey | TLMLButtonTripleClk | TTaskDialogEx
TCMControlChange | TLMLButtonUp | TTaskDialogFlag
TCMControlListChange | TLMMButtonDblClk | TTaskDialogFlag
TCMDesignHitTest | TLMMButtonDown | TTaskDialogFlags
TCMDialogChar | TLMMButtonQuadClk | TTaskDialogFlags
TCMDialogKey | TLMMButtonTripleClk | TTaskDialogFooterIcon
TCMEnter | TLMMButtonUp | TTaskDialogIcon
TCMExit | TLMMeasureItem | TTaskDialogIcon
TCMHintShow | TLMMouse | TTaskDialogImplementation
TCMHintShowPause | TLMMouseEvent | TTaskDialogRadioButtonItem
TCMHitTest | TLMMouseMove | TTaskDialogTranslate
TCMMouseWheel | TLMMove | TTaskDlgClickEvent
TCMWantSpecialKey | TLMNCActivate | ttbButtonChecked
TCN_First | TLMNCCalcSize | ttbButtonCheckedHot
TCN_FIRST | TLMNCHITTEST | ttbButtonDisabled
TCN_LAST | TLMNoParams | ttbButtonHot
TCN_SELCHANGE | TLMNotify | ttbButtonNormal
TCN_SELCHANGING | TLMNotifyFormat | ttbButtonPressed
TColor | TLMPaint | ttbDropDownButtonChecked
TColorBox | TLMPaste | ttbDropDownButtonCheckedHot
TColorBoxStyle | TLMRButtonDblClk | ttbDropDownButtonDisabled
TColorBoxStyles | TLMRButtonDown | ttbDropDownButtonHot
TColorButton | TLMRButtonQuadClk | ttbDropDownButtonNormal
TColorDialog | TLMRButtonTripleClk | ttbDropDownButtonPressed
TColorListBox | TLMRButtonUp | ttbFlashButton
TColorRef | TLMScroll | ttbGroupCount
TColorSelect | TLMSetCursor | ttBody
TColorToFPColor | TLMSetFocus | ttBranch
TColRowProps | TLMSetText | ttbSeparatorChecked
TColumn | TLMShowWindow | ttbSeparatorCheckedHot
TColumnButtonStyle | TLMSize | ttbSeparatorDisabled
TColumnLayout | TLMSysChar | ttbSeparatorHot
TColumnOrder | TLMSysColorChange | ttbSeparatorNormal
TColumnTitle | TLMSysCommand | ttbSeparatorPressed
TComboBox | TLMSysDeadChar | ttbSeparatorVertChecked
TComboBoxAutoCompleteText | TLMSysKeyDown | ttbSeparatorVertCheckedHot
TComboBoxAutoCompleteTextOption | TLMSysKeyUp | ttbSeparatorVertDisabled
TComboBoxEx | TLMSystemError | ttbSeparatorVertHot
TComboBoxExStyle | TLMTimeChange | ttbSeparatorVertNormal
TComboBoxExStyleEx | TLMTimer | ttbSeparatorVertPressed
TComboBoxExStyles | TLMVScroll | TTBS_LINK
TComboBoxStyle | TLMWindowPosChanged | TTBS_NORMAL
TComboExItem | TLMWindowPosChanging | ttbSplitButtonChecked
TComboExItems | TLMWindowPosMsg | ttbSplitButtonCheckedHot
TCommonButton | TLMXButtonDblClk | ttbSplitButtonDisabled
TCommonButtons | TLMXButtonDown | ttbSplitButtonDropDownChecked
TCommonDialog | TLMXButtonQuadClk | ttbSplitButtonDropDownCheckedHot
TCommonDialogAction | TLMXButtonTripleClk | ttbSplitButtonDropDownDisabled
TCommonDialogClass | TLMXButtonUp | ttbSplitButtonDropDownHot
TComponentDataLink | TLoadBitmapFunction | ttbSplitButtonDropDownNormal
TCompositeCellEditor | TLoadCursorFunction | ttbSplitButtonDropDownPressed
TConstrainedResizeEvent | TLoadIconFunction | ttbSplitButtonHot
TConstraintSize | TLogBrush | ttbSplitButtonNormal
TContainedAction | TLogFont | ttbSplitButtonPressed
TContainedActionClass | TLogFontA | TTBSS_POINTINGDOWNCENTERED
TContextPopupEvent | TLogFontW | TTBSS_POINTINGDOWNLEFTWALL
TControl | TLogGradientStop | TTBSS_POINTINGDOWNRIGHTWALL
TControlActionLink | TLOGPALETTE | TTBSS_POINTINGUPCENTERED
TControlActionLinkClass | TLogPen | TTBSS_POINTINGUPLEFTWALL
TControlAtPosFlag | TLogRadialGradient | TTBSS_POINTINGUPRIGHTWALL
TControlAtPosFlags | TLResource | ttbTaskBandDontCare
TControlAutoSizePhase | TLResourceList | ttbTaskBandRoot
TControlAutoSizePhases | TLRPositionLink | ttbThumbBottomDisabled
TControlBar | TLRPositionLinks | ttbThumbBottomFocused
TControlBorderSpacing | TLRSItemType | ttbThumbBottomHot
TControlBorderSpacingDefault | TLRSObjectReader | ttbThumbBottomNormal
TControlBorderStyle | TLRSObjectReaderClass | ttbThumbBottomPressed
TControlCanvas | TLRSObjectWriter | ttbThumbDisabled
TControlCellAlign | TLRSObjectWriterClass | ttbThumbFocused
TControlCellAligns | TLRSORStackItem | ttbThumbHot
TControlChildrenLayout | TLRSOWStackItem | ttbThumbLeftDisabled
TControlChildSizing | TLRSOWStackItemState | ttbThumbLeftFocused
TControlClass | TLRSStreamOriginalFormat | ttbThumbLeftHot
TControlFlag | tlTop | ttbThumbLeftNormal
TControlFlags | TLVAdvancedCustomDrawEvent | ttbThumbLeftPressed
TControlHandlerType | TLVAdvancedCustomDrawItemEvent | ttbThumbNormal
TControlPropertyStorage | TLVAdvancedCustomDrawSubItemEvent | ttbThumbPressed
TControlRoleForForm | TLVChangeEvent | ttbThumbRightDisabled
TControlRolesForForm | TLVCheckedItemEvent | ttbThumbRightFocused
TControlScrollBar | TLVColumnClickEvent | ttbThumbRightHot
TControlShowHintEvent | TLVColumnRClickEvent | ttbThumbRightNormal
TControlState | TLVCompare | ttbThumbRightPressed
TControlStateType | TLVCompareEvent | ttbThumbTics
TControlStyle | TLVCreateItemClassEvent | ttbThumbTicsVert
TControlStyleType | TLVCustomDrawEvent | ttbThumbTopDisabled
TCoolBand | TLVCustomDrawItemEvent | ttbThumbTopFocused
TCoolBandMaximize | TLVCustomDrawSubItemEvent | ttbThumbTopHot
TCoolBands | TLVDataEvent | ttbThumbTopNormal
TCoolBar | TLVDataFindEvent | ttbThumbTopPressed
TCopymode | TLVDataHintEvent | ttbThumbVertDisabled
TCreateParams | TLVDataStateChangeEvent | ttbThumbVertFocused
TCriticalSection | TLVDeletedEvent | ttbThumbVertHot
TCSLVFileAddedEvent | TLVDrawItemEvent | ttbThumbVertNormal
TCTabControlCapabilities | TLVEditedEvent | ttbThumbVertPressed
TCTabControlCapability | TLVEditingEvent | ttbTimeNormal
TCTabControlOption | TLVInsertEvent | ttbToolBarDontCare
TCTabControlOptions | TLVSelectItemEvent | ttbToolBarRoot
tcTimeNormal | TMainMenu | ttbTrack
TCtrlBand | TMaskEdit | ttbTrackBarDontCare
TCtrlBands | TMaskeditTrimType | ttbTrackBarRoot
TCursor | tMaskedType | ttbTrackVert
TCursorDesign | tmAuto | ttConstant
TCursorImage | TMaxLogPalette | TTCS_HOT
TCursorImageImage | tmBarBackgroundActive | TTCS_NORMAL
TCursorRec | tmBarBackgroundInactive | TTCS_PRESSED
TCustomAbstractGroupedEdit | tmBarItemDisabled | TTextLayout
TCustomAction | tmBarItemDisabledHot | TTextMetric
TCustomActionList | tmBarItemDisabledPushed | TTextMetricA
TCustomBitBtn | tmBarItemHot | TTextMetricW
TCustomBitmap | tmBarItemNormal | TTextStyle
TCustomBitmapClass | tmBarItemPushed | ttFast
TCustomButton | tmBoth | ttGlyphClosed
TCustomButtonPanel | tmBottomRight | ttGlyphOpened
TCustomCalendar | tmChevron | TThemedButton
TCustomCheckBox | TMeasureItemEvent | TThemedClock
TCustomCheckCombo | TMeasureItemStruct | TThemedComboBox
TCustomCheckGroup | TMemo | TThemedEdit
TCustomCheckListBox | TMemoScrollbar | TThemedElement
TCustomColorBox | TMenu | TThemedElementDetails
TCustomColorListBox | TMenuActionLink | TThemedExplorerBar
TCustomComboBox | TMenuActionLinkClass | TThemedHeader
TCustomComboBoxEx | TMenuChangeEvent | TThemedListview
TCustomControl | TMenuDrawItemEvent | TThemedMenu
TCustomControlBar | TMenuItem | TThemedPage
TCustomControlFilterEdit | TMenuItemClass | TThemedProgress
TCustomCoolBar | TMenuItemEnumerator | TThemedRebar
TCustomCopyToClipboardDialog | TMenuItemHandlerType | TThemedScrollBar
TCustomData | TMenuMeasureItemEvent | TThemedSpin
TCustomDateEvent | TMessageBoxFunction | TThemedStartPanel
TCustomDBComboBox | TMethodList | TThemedStatus
TCustomDBGrid | tmFixed | TThemedTab
TCustomDBListBox | tmMenuBarDropDown | TThemedTaskBand
TCustomDesignControl | tmMenuBarItem | TThemedTaskBar
TCustomDockForm | tmMenuDontCare | TThemedToolBar
TCustomDrawGrid | tmMenuDropDown | TThemedToolTip
TCustomDrawResult | tmMenuItemDemoted | TThemedTrackBar
TCustomDrawResultFlag | tmMenuItemNormal | TThemedTrayNotify
TCustomDrawStage | tmMenuItemSelected | TThemedTreeview
TCustomDrawState | tmMenuRoot | TThemedWindow
TCustomDrawStateFlag | TModalDialogFinished | TThemeOption
TCustomDrawTarget | TModalResult | TThemeServices
TCustomEdit | TMonitor | TThemesImageDrawEvent
TCustomEditButton | TMonitorDefaultTo | ttHotGlyphClosed
TCustomFileListBox | TMonitorDpiType | ttHotGlyphOpened
TCustomFilterComboBox | TMonitorInfo | TTIBES_DISABLED
TCustomFloatSpinEdit | TMonitorInfoEx | TTIBES_FOCUSED
TCustomFlowPanel | TMonitorInfoExW | TTIBES_HOT
TCustomForm | TMonitorList | TTIBES_NORMAL
TCustomFormClass | TMouse | TTIBES_SELECTED
TCustomFrame | TMouseButton | TTickMark
TCustomFrameClass | TMouseEvent | TTickStyle
TCustomGrid | TMouseMoveEvent | TTiffImage
TCustomGroupBox | TMouseWheelEvent | TTiffUnit
TCustomHCCreateSectionClassEvent | TMouseWheelOption | TTILES_DISABLED
TCustomHeaderControl | TMouseWheelUpDownEvent | TTILES_FOCUSED
TCustomHintAction | TMovedEvent | TTILES_HOT
TCustomIcon | tmPopupBackground | TTILES_NORMAL
TCustomIdleTimer | tmPopupBorders | TTILES_SELECTED
TCustomImage | tmPopupBulletDisabled | TTimeEdit
TCustomImageList | tmPopupBulletNormal | TTimer
TCustomImageListGetWidthForPPI | tmPopupCheckBackgroundBitmap | TTimerProc
TCustomImageListResolution | tmPopupCheckBackgroundDisabled | TTIRES_DISABLED
TCustomImageListResolutionClass | tmPopupCheckBackgroundNormal | TTIRES_FOCUSED
TCustomImageListResolutionEnumerator | tmPopupCheckMarkDisabled | TTIRES_HOT
TCustomImageListResolutions | tmPopupCheckMarkNormal | TTIRES_NORMAL
TCustomIniPropStorage | tmPopupGutter | TTIRES_SELECTED
TCustomJSONPropStorage | tmPopupItemDisabled | TTIS_DISABLED
TCustomLabel | tmPopupItemDisabledHot | TTIS_FOCUSED
TCustomLabeledEdit | tmPopupItemHot | TTIS_HOT
TCustomLazComponentQueue | tmPopupItemNormal | TTIS_NORMAL
TCustomListBox | tmPopupSeparator | TTIS_SELECTED
TCustomListView | tmPopupSubmenuDisabled | ttItemDisabled
TCustomListViewEditor | tmPopupSubmenuNormal | ttItemHot
TCustomMaskEdit | TmSchema | ttItemNormal
TCustomMemo | tmSeparator | ttItemSelected
TCustomPage | TMsg | ttItemSelectedNotFocus
TCustomPageClass | TMsgDlgBtn | TTitleStyle
TCustomPairSplitter | TMsgDlgButtons | ttnAnimBackground
TCustomPanel | TMsgDlgType | ttnBackground
TCustomPrintDialog | tmSystemCloseDisabled | TTN_FIRST
TCustomPrinterSetupDialog | tmSystemCloseNormal | TTN_LAST
TCustomProgressBar | tmSystemMaximizeDisabled | ttNoDistortion
TCustomPropertyStorage | tmSystemMaximizeNormal | ttnTrayNotifyDontCare
TCustomRadioGroup | tmSystemMinimizeDisabled | ttnTrayNotifyRoot
TCustomRubberBand | tmSystemMinimizeNormal | TToggleBox
TCustomScrollBar | tmSystemRestoreDisabled | TToggledCheckboxEvent
TCustomSectionNotifyEvent | tmSystemRestoreNormal | TToolBar
TCustomSectionTrackEvent | TMT_ACCENTCOLORHINT | TToolBarEnumerator
TCustomShellListView | TMT_ACTIVEBORDER | TToolBarFlag
TCustomShellTreeView | TMT_ACTIVECAPTION | TToolBarFlags
TCustomSpeedButton | TMT_ALIAS | TToolBarOnPaintButton
TCustomSpinEdit | TMT_ALPHALEVEL | TToolButton
TCustomSplitter | TMT_ALPHATHRESHOLD | TToolButtonActionLink
TCustomStaticText | TMT_ALWAYSSHOWSIZINGBAR | TToolButtonActionLinkClass
TCustomStringGrid | TMT_ANIMATIONBUTTONRECT | TToolButtonFlag
TCustomTabControl | TMT_ANIMATIONDELAY | TToolButtonFlags
TCustomTaskDialog | TMT_ANIMATIONDURATION | TToolButtonStyle
TCustomTimeEvent | TMT_APPWORKSPACE | TToolWindow
TCustomTimer | TMT_ATLASIMAGE | ttPane
TCustomTrackBar | TMT_ATLASINPUTIMAGE | TTP_BALLOON
TCustomTrayIcon | TMT_ATLASRECT | TTP_BALLOONSTEM
TCustomTreeView | TMT_AUTHOR | TTP_BALLOONTITLE
TCustomUpDown | TMT_AUTOSIZE | TTP_CLOSE
TCustomXMLPropStorage | TMT_BACKGROUND | ttpFlashButtonGroupMenu
TDataEvent | TMT_BGFILL | TTP_STANDARD
TDataSetAction | TMT_BGTYPE | TTP_STANDARDTITLE
TDataSetCancel | TMT_BITMAPREF | TTP_WRENCH
TDataSetDelete | TMT_BLENDCOLOR | TTrackBar
TDataSetEdit | TMT_BODYFONT | TTrackBarOrientation
TDataSetFirst | TMT_BODYTEXTCOLOR | TTrackBarScalePos
TDataSetInsert | TMT_BOOL | TTrackButton
TDataSetLast | TMT_BORDERCOLOR | TTranslateString
TDataSetNext | TMT_BORDERCOLORHINT | TTransparentMode
TDataSetPost | TMT_BORDERONLY | TTrayIcon
TDataSetPrior | TMT_BORDERSIZE | TTreeNode
TDataSetRefresh | TMT_BORDERTYPE | TTreeNodeArray
TDataSetScrolledEvent | TMT_BTNFACE | TTreeNodeChangeReason
TDateEdit | TMT_BTNHIGHLIGHT | TTreeNodeClass
TDateOrder | TMT_BTNSHADOW | TTreeNodeCompare
TDBCalendar | TMT_BTNTEXT | TTreeNodeExpandedState
TDBCheckBox | TMT_BUTTONALTERNATEFACE | TTreeNodeInfo
TDBComboBox | TMT_CAPTIONBARHEIGHT | TTreeNodes
TDBCustomNavigator | TMT_CAPTIONBARWIDTH | TTreeNodesEnumerator
TDBDateEdit | TMT_CAPTIONFONT | TTreeView
TDBEdit | TMT_CAPTIONMARGINS | TTreeViewExpandSignType
TDBGrid | TMT_CAPTIONTEXT | TTreeViewInsertMarkType
TDbGridCellHintEvent | TMT_CHARSET | TTreeViewOption
TDbGridCheckBoxBitmapEvent | TMT_CLASSICVALUE | TTreeViewOptions
TDbGridCheckboxStateEvent | TMT_COLOR | TTreeViewState
TDBGridClickEvent | TMT_COLORIZATIONCOLOR | TTreeViewStates
TDBGridColumns | TMT_COLORIZATIONOPACITY | TTrianglePoints
TDbGridExtraOption | TMT_COLORSCHEMES | TTriPts
TDbGridExtraOptions | TMT_COMPANY | TTriVertex
TDBGridOption | TMT_COMPOSITED | TTSS_LINK
TDbGridOptions | TMT_COMPOSITEDOPAQUE | TTSS_NORMAL
TDbGridSelEditorEvent | TMT_CONTENTALIGNMENT | ttTabDontCare
TDbGridStatus | TMT_CONTENTMARGINS | ttTabItemBothEdgeDisabled
TDbGridStatusItem | TMT_COPYRIGHT | ttTabItemBothEdgeFocused
TDBGroupBox | TMT_CSSNAME | ttTabItemBothEdgeHot
TDBImage | TMT_CUSTOMSPLITRECT | ttTabItemBothEdgeNormal
TDBListBox | TMT_DEFAULTPANESIZE | ttTabItemBothEdgeSelected
TDBLookup | TMT_DESCRIPTION | ttTabItemDisabled
TDBLookupComboBox | TMT_DIBDATA | ttTabItemFocused
TDBLookupListBox | TMT_DISKSTREAM | ttTabItemHot
TDBMemo | TMT_DISPLAYNAME | ttTabItemLeftEdgeDisabled
TDBNavButton | TMT_DKSHADOW3D | ttTabItemLeftEdgeFocused
TDBNavButtonDirection | TMT_DRAWBORDERS | ttTabItemLeftEdgeHot
TDBNavButtonSet | TMT_EDGEDKSHADOWCOLOR | ttTabItemLeftEdgeNormal
TDBNavButtonStyle | TMT_EDGEFILLCOLOR | ttTabItemLeftEdgeSelected
TDBNavButtonType | TMT_EDGEHIGHLIGHTCOLOR | ttTabItemNormal
TDBNavClickEvent | TMT_EDGELIGHTCOLOR | ttTabItemRightEdgeDisabled
TDBNavDataLink | TMT_EDGESHADOWCOLOR | ttTabItemRightEdgeFocused
TDBNavFocusableButton | TMT_ENUM | ttTabItemRightEdgeHot
TDBNavGlyph | TMT_FILENAME | ttTabItemRightEdgeNormal
TDBNavigator | TMT_FILLCOLOR | ttTabItemRightEdgeSelected
TDBNavigatorOption | TMT_FILLCOLORHINT | ttTabItemSelected
TDBNavigatorOptions | TMT_FILLTYPE | ttTabRoot
TDBRadioGroup | TMT_FIRSTBOOL | ttTaskBarDontCare
TDBText | TMT_FIRSTCOLOR | ttTaskBarRoot
TDebugLCLItemInfo | TMT_FIRSTFONT | tttBaloonLink
TDebugLCLItems | TMT_FIRSTINT | tttBaloonNormal
tdeContent | TMT_FIRST_RCSTRING_NAME | tttBaloonTitleLink
tdeEdit | TMT_FIRSTSIZE | tttBaloonTitleNormal
tdeExpandedInfo | TMT_FIRSTSTRING | tttCloseHot
TDefaultColorType | TMT_FLATMENUS | tttCloseNormal
TDefaultMonitor | TMT_FONT | tttClosePressed
TDefaultTranslator | TMT_FRAMESPERSECOND | ttTopTabItemBothEdgeDisabled
tdeFooter | TMT_FROMCOLOR1 | ttTopTabItemBothEdgeFocused
TDelphiNodeInfo | TMT_FROMCOLOR2 | ttTopTabItemBothEdgeHot
tdeMainInstruction | TMT_FROMCOLOR3 | ttTopTabItemBothEdgeNormal
TDestroyResolutionHandleEvent | TMT_FROMCOLOR4 | ttTopTabItemBothEdgeSelected
tdeVerif | TMT_FROMCOLOR5 | ttTopTabItemDisabled
tdfAllowDialogCancellation | TMT_FROMHUE1 | ttTopTabItemFocused
tdfCallbackTimer | TMT_FROMHUE2 | ttTopTabItemHot
tdfCanBeMinimized | TMT_FROMHUE3 | ttTopTabItemLeftEdgeDisabled
tdfEnableHyperLinks | TMT_FROMHUE4 | ttTopTabItemLeftEdgeFocused
tdfExpandByDefault | TMT_FROMHUE5 | ttTopTabItemLeftEdgeHot
tdfExpandFooterArea | TMT_GLOWCOLOR | ttTopTabItemLeftEdgeNormal
tdfNoDefaultRadioButton | TMT_GLOWINTENSITY | ttTopTabItemLeftEdgeSelected
tdfPositionRelativeToWindow | TMT_GLYPHDIBDATA | ttTopTabItemNormal
tdfQuery | TMT_GLYPHFONT | ttTopTabItemRightEdgeDisabled
tdfQueryFieldFocused | TMT_GLYPHFONTSIZINGTYPE | ttTopTabItemRightEdgeFocused
tdfQueryMasked | TMT_GLYPHIMAGEFILE | ttTopTabItemRightEdgeHot
tdfRtlLayout | TMT_GLYPHINDEX | ttTopTabItemRightEdgeNormal
tdfShowMarqueeProgressBar | TMT_GLYPHONLY | ttTopTabItemRightEdgeSelected
tdfShowProgressBar | TMT_GLYPHTEXTCOLOR | ttTopTabItemSelected
tdfUseCommandLinks | TMT_GLYPHTRANSPARENT | ttTreeviewDontCare
tdfUseCommandLinksNoIcon | TMT_GLYPHTRANSPARENTCOLOR | ttTreeviewRoot
tdfUseHIconFooter | TMT_GLYPHTYPE | tttStandardLink
tdfUseHIconMain | TMT_GRADIENTACTIVECAPTION | tttStandardNormal
tdfVerificationFlagChecked | TMT_GRADIENTCOLOR1 | tttStandardTitleLink
TDialogButton | TMT_GRADIENTCOLOR2 | tttStandardTitleNormal
TDialogButtons | TMT_GRADIENTCOLOR3 | tttToolTipDontCare
TDialogKind | TMT_GRADIENTCOLOR4 | tttToolTipRoot
TDialogResultEvent | TMT_GRADIENTCOLOR5 | TTVAdvancedCustomDrawEvent
TDIBSection | TMT_GRADIENTINACTIVECAPTION | TTVAdvancedCustomDrawItemEvent
tdiError | TMT_GRADIENTRATIO1 | TTVChangedEvent
tdiInformation | TMT_GRADIENTRATIO2 | TTVChangingEvent
tdiNone | TMT_GRADIENTRATIO3 | TTVCollapsingEvent
tdiQuestion | TMT_GRADIENTRATIO4 | TTVCompareEvent
TDirectoryEdit | TMT_GRADIENTRATIO5 | TTVCreateNodeClassEvent
tdiShield | TMT_GRAYTEXT | TTVCustomCreateNodeEvent
TDisplayCode | TMT_HALIGN | TTVCustomDrawArrowEvent
TDisplayOption | TMT_HBITMAP | TTVCustomDrawEvent
TDisplayOptions | TMT_HEADING1FONT | TTVCustomDrawItemEvent
TDisplaySetting | TMT_HEADING1TEXTCOLOR | TTVEditedEvent
TDisplaySettings | TMT_HEADING2FONT | TTVEditingEndEvent
tdiWarning | TMT_HEADING2TEXTCOLOR | TTVEditingEvent
TDLG_BUTTONSECTION | TMT_HEIGHT | TTVExpandedEvent
TDLG_BUTTONWRAPPER | TMT_HIGHLIGHT | TTVExpandingEvent
TDLG_COMMANDLINKPANE | TMT_HIGHLIGHTTEXT | TTVGetNodeText
TDLG_CONTENTICON | TMT_HOTTRACKING | TTVNodeChangedEvent
TDLG_CONTENTPANE | TMT_ICONEFFECT | TTWS_HOT
TDLG_CONTROLPANE | TMT_ICONTITLEFONT | TTWS_NORMAL
TDLGCPS_STANDALONE | TMT_IMAGECOUNT | TTWS_PRESSED
TDLGEBS_EXPANDEDHOVER | TMT_IMAGEFILE | TUBS_DISABLED
TDLGEBS_EXPANDEDNORMAL | TMT_IMAGEFILE1 | TUBS_FOCUSED
TDLGEBS_EXPANDEDPRESSED | TMT_IMAGEFILE2 | TUBS_HOT
TDLGEBS_HOVER | TMT_IMAGEFILE3 | TUBS_NORMAL
TDLGEBS_NORMAL | TMT_IMAGEFILE4 | TUBS_PRESSED
TDLGEBS_PRESSED | TMT_IMAGEFILE5 | tuCentimeter
TDLG_EXPANDEDCONTENT | TMT_IMAGELAYOUT | TUDAlignButton
TDLG_EXPANDEDFOOTERAREA | TMT_IMAGESELECTTYPE | TUDBtnType
TDLG_EXPANDOBUTTON | TMT_INACTIVEBORDER | TUDChangingEvent
TDLG_EXPANDOTEXT | TMT_INACTIVECAPTION | TUDChangingEventEx
TDLG_FOOTNOTEAREA | TMT_INACTIVECAPTIONTEXT | TUDClickEvent
TDLG_FOOTNOTEPANE | TMT_INFOBK | TUDOrientation
TDLG_FOOTNOTESEPARATOR | TMT_INFOTEXT | tuInch
TDLG_IMAGEALIGNMENT | TMT_INT | TUNBPages
TDLG_MAINICON | TMT_INTEGRALSIZING | TUnDockEvent
TDLG_MAININSTRUCTIONPANE | TMT_INTLIST | TUnicodeBlock
TDLG_PRIMARYPANEL | TMT_LASTBOOL | TUnicodeBlock
TDLG_PROGRESSBAR | TMT_LASTCOLOR | tuNone
TDLG_RADIOBUTTONPANE | TMT_LASTFONT | TUpdateTranslator
TDLG_SECONDARYPANEL | TMT_LASTINT | TUpDown
TDLG_VERIFICATIONTEXT | TMT_LAST_RCSTRING_NAME | TUpDownDirection
TDockDropEvent | TMT_LASTSIZE | TURKISH_CHARSET
TDockHeaderImageKind | TMT_LASTSTRING | TUS_DISABLED
TDockHeaderImages | TMT_LASTUPDATED | TUserCheckBoxBitmapEvent
TDockHeaderMouseState | TMT_LIGHT3D | TUS_FOCUSED
TDockImageOperation | TMT_LOCALIZEDMIRRORIMAGE | TUS_HOT
TDockManager | TMT_MARGINS | TUS_NORMAL
TDockManagerClass | TMT_MENU | TUS_PRESSED
TDockOrientation | TMT_MENUBAR | TUTF8Char
TDockOverEvent | TMT_MENUBARHEIGHT | TUTF8KeyPressEvent
TDockTree | TMT_MENUBARWIDTH | TUTF8Parser
TDockTreeFlag | TMT_MENUFONT | TUTS_DISABLED
TDockTreeFlags | TMT_MENUHILIGHT | TUTS_FOCUSED
TDockZone | TMT_MENUTEXT | TUTS_HOT
TDockZoneClass | TMT_MINCOLORDEPTH | TUTS_NORMAL
TDP_FLASHBUTTON | TMT_MINDPI1 | TUTS_PRESSED
TDP_FLASHBUTTONGROUPMENU | TMT_MINDPI2 | tuUnknown
TDP_GROUPCOUNT | TMT_MINDPI3 | TUVLS_DISABLED
TDragBand | TMT_MINDPI4 | TUVLS_FOCUSED
TDragControlObject | TMT_MINDPI5 | TUVLS_HOT
TDragControlObjectEx | TMT_MINSIZE | TUVLS_NORMAL
TDragDockObject | TMT_MINSIZE1 | TUVLS_PRESSED
TDragDockObjectEx | TMT_MINSIZE2 | TUVRS_DISABLED
TDragDropEvent | TMT_MINSIZE3 | TUVRS_FOCUSED
TDragImageList | TMT_MINSIZE4 | TUVRS_HOT
TDragImageListResolution | TMT_MINSIZE5 | TUVRS_NORMAL
TDragKind | TMT_MIRRORIMAGE | TUVRS_PRESSED
TDragManager | TMT_MSGBOXFONT | TUVS_DISABLED
TDragMessage | TMT_NAME | TUVS_FOCUSED
TDragMode | TMT_NOETCHEDEFFECT | TUVS_HOT
TDragObject | TMT_NORMALSIZE | TUVS_NORMAL
TDragObjectClass | TMT_OFFSET | TUVS_PRESSED
TDragObjectEx | TMT_OFFSETTYPE | TValidateEntryEvent
TDragOverEvent | TMT_OPACITY | TValueListEditor
TDragState | tmTopLeft | TValueListStrings
TDrawColumnCellEvent | TMT_PADDEDBORDERWIDTH | tvestArrow
TDrawDockImageEvent | TMT_PIXELSPERFRAME | tvestArrowFill
TDrawGrid | TMT_POSITION | tvestPlusMinus
TDrawingStyle | TMT_PROGRESSCHUNKSIZE | tvestTheme
TDrawItemEvent | TMT_PROGRESSSPACESIZE | TViewStyle
TDrawItemStruct | TMT_RECT | tvimAsFirstChild
TDrawListItemStruct | TMT_RESERVEDHIGH | tvimAsNextSibling
TDrawPanelEvent | TMT_RESERVEDLOW | tvimAsPrevSibling
TDrawTabEvent | TMT_ROUNDCORNERHEIGHT | tvimNone
TDropFilesEvent | TMT_ROUNDCORNERWIDTH | TVirtualGrid
TEbEdit | TMT_SATURATION | TVleSortCol
tebExplorerBarDontCare | TMT_SCALEDBACKGROUND | TVN_FIRST
tebExplorerBarRoot | TMT_SCROLLBAR | TVN_LAST
tebHeaderBackgroundHot | TMT_SCROLLBARHEIGHT | tvoAllowMultiselect
tebHeaderBackgroundNormal | TMT_SCROLLBARWIDTH | tvoAutoExpand
tebHeaderBackgroundPressed | TMT_SHADOWCOLOR | tvoAutoInsertMark
tebHeaderCloseHot | TMT_SIZE | tvoAutoItemHeight
tebHeaderCloseNormal | TMT_SIZES | tvoFocusedPainting
tebHeaderClosePressed | TMT_SIZINGBORDERWIDTH | tvoHideSelection
tebHeaderPinHot | TMT_SIZINGMARGINS | tvoHotTrack
tebHeaderPinNormal | TMT_SIZINGTYPE | tvoKeepCollapsedNodes
tebHeaderPinPressed | TMT_SMALLCAPTIONFONT | tvoNoDoubleClickExpand
tebHeaderPinSelectedHot | TMT_SMCAPTIONBARHEIGHT | tvoReadOnly
tebHeaderPinSelectedNormal | TMT_SMCAPTIONBARWIDTH | tvoRightClickSelect
tebHeaderPinSelectedPressed | TMT_SOURCEGROW | tvoRowSelect
tebIEBarMenuHot | TMT_SOURCESHRINK | tvoShowButtons
tebIEBarMenuNormal | TMT_STATUSFONT | tvoShowLines
tebIEBarMenuPressed | TMT_STREAM | tvoShowRoot
tebNormalGroupBackground | TMT_STRING | tvoShowSeparators
tebNormalGroupCollapseHot | TMT_TEXT | tvoThemedDraw
tebNormalGroupCollapseNormal | TMT_TEXTAPPLYOVERLAY | tvoToolTips
tebNormalGroupCollapsePressed | TMT_TEXTBORDERCOLOR | TVP_BRANCH
tebNormalGroupExpandHot | TMT_TEXTBORDERSIZE | TVP_GLYPH
tebNormalGroupExpandNormal | TMT_TEXTCOLOR | TVP_HOTGLYPH
tebNormalGroupExpandPressed | TMT_TEXTCOLORHINT | TVP_TREEITEM
tebNormalGroupHead | TMT_TEXTGLOW | tvsBottomItemNeedsUpdate
tebSpecialGroupBackground | TMT_TEXTGLOWSIZE | tvsCanvasChanged
tebSpecialGroupCollapseHot | TMT_TEXTITALIC | tvsDblClicked
tebSpecialGroupCollapsePressed | TMT_TEXTSHADOWCOLOR | tvsDragged
tebSpecialGroupCollapseSpecial | TMT_TEXTSHADOWOFFSET | tvsEditOnMouseUp
tebSpecialGroupExpandHot | TMT_TEXTSHADOWTYPE | tvsIsEditing
tebSpecialGroupExpandPressed | TMT_TOCOLOR1 | tvsManualNotify
tebSpecialGroupExpandSpecial | TMT_TOCOLOR2 | tvsMaxLvlNeedsUpdate
tebSpecialGroupHead | TMT_TOCOLOR3 | tvsMaxRightNeedsUpdate
teButton | TMT_TOCOLOR4 | tvsPainting
TEchoMode | TMT_TOCOLOR5 | tvsQuadClicked
teClock | TMT_TOHUE1 | tvsScrollbarChanged
teComboBox | TMT_TOHUE2 | tvsSelectionChanged
TEdgeBorder | TMT_TOHUE3 | tvsSingleSelectOnMouseUp
TEdgeBorders | TMT_TOHUE4 | tvsStateChanging
TEdgeStyle | TMT_TOHUE5 | tvsTopItemNeedsUpdate
TEdit | TMT_TOOLTIP | tvsTopsNeedsUpdate
TEditAction | TMT_TRANSITIONDURATIONS | tvsTripleClicked
TEditButton | TMT_TRANSPARENT | tvsUpdating
TEditCharCase | TMT_TRANSPARENTCOLOR | TWaitHandleEvent
TEditCopy | TMT_TRUESIZESCALINGTYPE | twCaptionActive
TEditCut | TMT_TRUESIZESTRETCHMARK | twCaptionDisabled
TEditDelete | TMT_UNIFORMSIZING | twCaptionInactive
TEditorItem | TMT_URL | twCaptionSizingTemplate
TEditPaste | TMT_USERPICTURE | twCloseButtonDisabled
TEditSelectAll | TMT_VALIGN | twCloseButtonHot
TEditSpeedButton | TMT_VERSION | twCloseButtonInactive
TEditStyle | TMTVS_RESERVEDHIGH | twCloseButtonNormal
TEditUndo | TMTVS_RESERVEDLOW | twCloseButtonPushed
teEdit | TMT_WIDTH | twDialog
teEditCaret | TMT_WINDOW | twFrameBottomActive
teEditDontCare | TMT_WINDOWFRAME | twFrameBottomInactive
teEditRoot | TMT_WINDOWTEXT | twFrameBottomSizingTemplate
teEditTextAssist | TMT_XMLNAME | twFrameLeftActive
teEditTextDisabled | TMultiSelectStyle | twFrameLeftInactive
teEditTextFocused | TMultiSelectStyles | twFrameLeftSizingTemplate
teEditTextHot | TNativeCanvasType | twFrameRightActive
teEditTextNormal | TNativeCanvasTypes | twFrameRightInactive
teEditTextReadOnly | TNativeHandleType | twFrameRightSizingTemplate
teEditTextSelected | TNativeHandleTypes | twHelpButtonDisabled
teExplorerBar | TNavigateBtn | twHelpButtonHot
teHeader | TNBBasePages | twHelpButtonInactive
teListView | TNBBasePagesClass | twHelpButtonNormal
teMenu | TNBNoPages | twHelpButtonPushed
TEmulatedTaskDialog | TNBPages | twHorzScrollDisabled
TEndDragEvent | TNCCalcSizeParams | twHorzScrollHot
TEnumActionProc | TNewTextMetric | twHorzScrollNormal
TEnumLogFont | TNewTextMetricEx | twHorzScrollPushed
TEnumLogFontA | TNMHdr | twHorzThumbDisabled
TEnumLogFontEx | TNMListView | twHorzThumbHot
TEnumLogFontExA | TNodeAttachMode | twHorzThumbNormal
TEnumLogFontExW | TNodeCache | twHorzThumbPushed
TEnumLogFontW | TNodeState | TWidgetSet
tePage | TNodeStates | TWidgetSetClass
teProgress | TNotebook | TWidth
teRebar | TNoteBookStringsTabControl | TWinControl
teScrollBar | TNoteBookStringsTabControlClass | TWinControlActionLink
teSpin | TNotifierForm | TWinControlActionLinkClass
teStartPanel | TNotifierXButton | TWinControlClass
teStatus | TNotifierXButtonButtonState | TWinControlEnumerator
TestFormStreamFormat | TNP_ANIMBACKGROUND | TWinControlFlag
TestStreamIsBMP | TNP_BACKGROUND | TWinControlFlags
TestStreamIsCursor | TNumGlyphs | TWindowPos
TestStreamIsIcon | TObjectType | TWindowPos
TestStreamIsXPM | TObjectTypes | TWindowState
teTab | TOldTreeNodeInfo | twMaxButtonDisabled
teTaskBand | TOnCompareCells | twMaxButtonHot
teTaskBar | TOnDBImageRead | twMaxButtonInactive
teToolBar | TOnDBImageWrite | twMaxButtonNormal
teToolTip | TOnDrawCell | twMaxButtonPushed
teTrackBar | TOnFindDefaultBrowser | twMaxCaptionActive
teTrayNotify | TOnGetSystemFont | twMaxCaptionDisabled
teTreeview | TOnHelpDBFindViewer | twMaxCaptionInactive
teWindow | TOnLoadGraphicFromClipboardFormat | twMDICloseButtonDisabled
TExceptionEvent | TOnMessagingStatus | twMDICloseButtonHot
TEXT_BODYTEXT | TOnPrepareCanvasEvent | twMDICloseButtonInactive
TEXT_BODYTITLE | TOnReadRawImageBits | twMDICloseButtonNormal
TExtCommonDialog | TOnSaveGraphicToClipboardFormat | twMDICloseButtonPushed
TEXT_CONTROLLABEL | TOnSelectCellEvent | twMDIHelpButtonDisabled
TEXT_EXPANDED | TOnSelectEvent | twMDIHelpButtonHot
TEXT_HYPERLINKTEXT | TOnShowSelectItemDialogResult | twMDIHelpButtonInactive
TEXT_INSTRUCTION | TOnUserAddedPage | twMDIHelpButtonNormal
TEXT_LABEL | TOnUserInputEvent | twMDIHelpButtonPushed
TExtLogPen | TOnValidateEvent | twMDIMinButtonDisabled
TEXT_MAININSTRUCTION | TOnWriteRawImageBits | twMDIMinButtonHot
TExtMemoryStream | TOOLBARPARTS | twMDIMinButtonInactive
TEXTMETRIC | TOOLBARSTYLEPARTS | twMDIMinButtonNormal
TEXTMETRICA | TOOLBARSTYLESTATES | twMDIMinButtonPushed
TEXTMETRICW | TOOLTIPPARTS | twMDIRestoreButtonDisabled
TextOut | TOOLTIPSTYLEPARTS | twMDIRestoreButtonHot
TEXT_SECONDARYTEXT | Toolwin | twMDIRestoreButtonInactive
TEXTSHADOWTYPE | TOpenDialog | twMDIRestoreButtonNormal
TEXTSTYLEPARTS | TOpenOption | twMDIRestoreButtonPushed
TextToShortCut | TOpenOptions | twMDISysButtonDisabled
TextToShortCutRaw | TOpenParamStringProc | twMDISysButtonHot
TextToSingleLine | TOpenPictureDialog | twMDISysButtonInactive
TextUTF8Out | TOPTABITEMBOTHEDGESTATES | twMDISysButtonNormal
tfAllowDialogCancellation | TOPTABITEMLEFTEDGESTATES | twMDISysButtonPushed
TFarProc | TOPTABITEMRIGHTEDGESTATES | twMinButtonDisabled
tfCallbackTimer | TOPTABITEMSTATES | twMinButtonHot
tfCanBeMinimized | toShowButtonImages | twMinButtonInactive
tfEnableHyperlinks | toShowMenuImages | twMinButtonNormal
tfExpandedByDefault | toUseGlyphEffects | twMinButtonPushed
tfExpandFooterArea | TOverlay | twMinCaptionActive
tfiBlank | TOwnerDataListItem | twMinCaptionDisabled
TFieldDataLink | TOwnerDataListItems | twMinCaptionInactive
tfiError | TOwnerDrawState | TWndClass
tfiInformation | TOwnerDrawState | TWndClassA
TFileAction | TOwnerDrawStateType | TWndClassEx
TFileAttr | TOwnerFormDesignerModifiedProc | TWndClassExA
TFileDialog | TPage | TWndClassExW
TFileExit | TPageControl | TWndClassW
TFileListBox | TPageFlag | TWndMethod
TFileNameEdit | TPageFlags | TWrapAfter
TFileOpen | TPaintBox | twRestoreButtonDisabled
TFileOpenWith | TPaintStruct | twRestoreButtonHot
TFilePrinterCanvas | TPairSplitter | twRestoreButtonInactive
TFilePrinterCanvasClass | TPairSplitterSide | twRestoreButtonNormal
TFilerSignature | TPairSplitterType | twRestoreButtonPushed
TFileSaveAs | TPaletteEntry | TWSControl
TFileSortType | TPanel | TWSControlClass
TFileType | TPanelBevel | TWSCustomControl
TFillMode | TPanelBitBtn | TWSDragImageListResolution
TFillStyle | TPanelButton | TWSDragImageListResolutionClass
TFilterComboBox | TPanelButtons | TWSGraphicControl
TFilterItemEvent | TPanelPart | TWSImageList
TFilterItemExEvent | TPanelParts | TWSLazAccessibleObject
TFilterStringOption | TPaperItem | TWSLazAccessibleObjectClass
TFilterStringOptions | TPaperRect | twSmallCaptionActive
TFindDialog | TPaperSize | twSmallCaptionDisabled
TFindItemKind | TPascalHelpContext | twSmallCaptionInactive
TFindOption | TPascalHelpContextList | twSmallCaptionSizingTemplate
TFindOptions | TPascalHelpContextPtr | twSmallCloseButtonDisabled
tfiQuestion | TPascalHelpContextType | twSmallCloseButtonHot
tfiShield | tpBar | twSmallCloseButtonInactive
tfiWarning | tpBarVert | twSmallCloseButtonNormal
TFloatPoint | tpBottom | twSmallCloseButtonPushed
TFloatSpinEdit | TP_BUTTON | twSmallFrameBottomActive
TFlowPanel | tpChunk | twSmallFrameBottomInactive
TFlowPanelControl | tpChunkVert | twSmallFrameBottomSizingTemplate
TFlowPanelControlList | tpDownDisabled | twSmallFrameLeftActive
TFlowStyle | tpDownHorzDisabled | twSmallFrameLeftInactive
tfNoDefaultRadioButton | tpDownHorzHot | twSmallFrameLeftSizingTemplate
TFNTimerProc | tpDownHorzNormal | twSmallFrameRightActive
TFNWndProc | tpDownHorzPressed | twSmallFrameRightInactive
TFocusControlEvent | tpDownHot | twSmallFrameRightSizingTemplate
TFocusState | tpDownNormal | twSmallMaxCaptionActive
TFont | tpDownPressed | twSmallMaxCaptionDisabled
TFontCharSet | TP_DROPDOWNBUTTON | twSmallMaxCaptionInactive
TFontData | TP_DROPDOWNBUTTONGLYPH | twSmallMinCaptionActive
TFontDataName | TPen | twSmallMinCaptionDisabled
TFontDialog | TPenEndCap | twSmallMinCaptionInactive
TFontDialogOption | TPenHandleCache | TWSTimerProc
TFontDialogOptions | TPenHandleCacheDescriptor | TWSWinControl
TFontEdit | TPenJoinStyle | TWSWinControlClass
TFontHandleCache | TPenMode | twSysButtonDisabled
TFontHandleCacheDescriptor | TPenPattern | twSysButtonHot
TFontName | TPenStyle | twSysButtonInactive
TFontPitch | TPickListCellEditor | twSysButtonNormal
TFontQuality | TPicture | twSysButtonPushed
TFontSignature | TPipeEvent | TWSZPosition
TFontStyle | TPipeReason | twVertScrollDisabled
TFontStyles | TPipeReasons | twVertScrollHot
TFontStylesbase | TPixelFormat | twVertScrollNormal
TForEachZoneProc | TPixmap | twVertScrollPushed
TForm | TPlacementOperation | twVertThumbDisabled
TFormBorderStyle | tpLeft | twVertThumbHot
TFormClass | TPointArray | twVertThumbNormal
TFormHandlerType | TPopupAlignment | twVertThumbPushed
TFormPropertyStorage | TPopupMenu | twWindowDontCare
TFormState | TPopupMode | twWindowRoot
TFormStateType | TPopupNotifier | TXMLConfigStorage
TFormStyle | TPortableAnyMapGraphic | TXMLPropStorage

U

udBottom | UnRegisterActions | UPS_DISABLED
udHorizontal | UnRegisterActionsProc | UPS_HOT
udLeft | UpdateHandleObjects | UPS_NORMAL
udRight | UPDATEMETADATASTATES | UPS_PRESSED
udTop | UpdateWindow | UPSTATES
udVertical | updDown | URLFilenameIsAbsolute
UINT | updNone | URLPathToFilename
UINT_PTR | updUp | UTF16CharacterLength
ULONG_PTR | UPHORZSTATES | UTF16CharacterToUnicode
UnAmp | UPHZS_DISABLED | UTF16Length
UnicodeBlocks | UPHZS_HOT | UTF16String
UnicodeToUTF16 | UPHZS_NORMAL | UTrace
UnionRect | UPHZS_PRESSED |

V

VA_BOTTOM | VK_K | VK_SUBTRACT
VA_CENTER | VK_KANA | VK_T
ValEdit | VK_KANJI | VK_TAB
ValidMenuHotkeys | VK_L | VK_U
ValidParentForm | VK_LAUNCH_APP1 | VK_UNDEFINED
VALIGN | VK_LAUNCH_APP2 | VK_UNKNOWN
varCellpadding | VK_LAUNCH_MAIL | VK_UP
varColRowBorderTolerance | VK_LAUNCH_MEDIA_SELECT | VK_V
VARIABLE_PITCH | VK_LBUTTON | VK_VOLUME_DOWN
varRubberSpace | VK_LCL_ALT | VK_VOLUME_MUTE
VA_TOP | VK_LCL_AT | VK_VOLUME_UP
VERTRES | VK_LCL_BACKSLASH | VK_W
VERTSCROLLSTATES | VK_LCL_CALL | VK_X
VERTSIZE | VK_LCL_CAPSLOCK | VK_XBUTTON1
VERTTHUMBSTATES | VK_LCL_CLOSE_BRAKET | VK_XBUTTON2
VIETNAMESE_CHARSET | VK_LCL_COMMA | VK_Y
VK_0 | VK_LCL_ENDCALL | VK_Z
VK_1 | VK_LCL_EQUAL | VK_ZOOM
VK_2 | VK_LCL_LALT | VSCLASS_AEROWIZARD
VK2Char | VK_LCL_MINUS | VSCLASS_AEROWIZARDSTYLE
VK_3 | VK_LCL_OPEN_BRAKET | VSCLASS_BUTTON
VK_4 | VK_LCL_POINT | VSCLASS_BUTTONSTYLE
VK_5 | VK_LCL_POWER | VSCLASS_CLOCK
VK_6 | VK_LCL_QUOTE | VSCLASS_COMBOBOX
VK_7 | VK_LCL_RALT | VSCLASS_COMBOBOXSTYLE
VK_8 | VK_LCL_SEMI_COMMA | VSCLASS_COMMUNICATIONS
VK_9 | VK_LCL_SLASH | VSCLASS_COMMUNICATIONSSTYLE
VK_A | VK_LCL_TILDE | VSCLASS_CONTROLPANEL
VK_ACCEPT | VK_LCONTROL | VSCLASS_CONTROLPANELSTYLE
VK_ADD | VK_LEFT | VSCLASS_DATEPICKER
VK_APPS | VK_LMENU | VSCLASS_DATEPICKERSTYLE
VK_ATTN | VK_LSHIFT | VSCLASS_DRAGDROP
VK_B | VK_LWIN | VSCLASS_DRAGDROPSTYLE
VK_BACK | VK_M | VSCLASS_EDIT
VK_BROWSER_BACK | VK_MBUTTON | VSCLASS_EDITSTYLE
VK_BROWSER_FAVORITES | VK_MEDIA_NEXT_TRACK | VSCLASS_EMPTYMARKUP
VK_BROWSER_FORWARD | VK_MEDIA_PLAY_PAUSE | VSCLASS_EXPLORERBAR
VK_BROWSER_HOME | VK_MEDIA_PREV_TRACK | VSCLASS_EXPLORERBARSTYLE
VK_BROWSER_REFRESH | VK_MEDIA_STOP | VSCLASS_FLYOUT
VK_BROWSER_SEARCH | VK_MENU | VSCLASS_FLYOUTSTYLE
VK_BROWSER_STOP | VK_MODECHANGE | VSCLASS_HEADER
VK_C | VK_MULTIPLY | VSCLASS_HEADERSTYLE
VK_CANCEL | VK_N | VSCLASS_LINK
VK_CAPITAL | VK_NEXT | VSCLASS_LISTBOX
VK_CLEAR | VK_NONAME | VSCLASS_LISTBOXSTYLE
VK_CONTROL | VK_NONCONVERT | VSCLASS_LISTVIEW
VK_CONVERT | VK_NUMLOCK | VSCLASS_LISTVIEWSTYLE
VK_CRSEL | VK_NUMPAD0 | VSCLASS_MENU
VK_D | VK_NUMPAD1 | VSCLASS_MENUBAND
VK_DECIMAL | VK_NUMPAD2 | VSCLASS_MENUSTYLE
VK_DELETE | VK_NUMPAD3 | VSCLASS_MONTHCAL
VK_DIVIDE | VK_NUMPAD4 | VSCLASS_NAVIGATION
VK_DOWN | VK_NUMPAD5 | VSCLASS_PAGE
VK_E | VK_NUMPAD6 | VSCLASS_PROGRESS
VK_END | VK_NUMPAD7 | VSCLASS_PROGRESSSTYLE
VK_EREOF | VK_NUMPAD8 | VSCLASS_REBAR
VK_ESCAPE | VK_NUMPAD9 | VSCLASS_REBARSTYLE
VK_EXECUTE | VK_O | VSCLASS_SCROLLBAR
VK_EXSEL | VK_OEM_1 | VSCLASS_SCROLLBARSTYLE
VK_F | VK_OEM_102 | VSCLASS_SPIN
VK_F1 | VK_OEM_2 | VSCLASS_SPINSTYLE
VK_F10 | VK_OEM_3 | VSCLASS_STARTPANEL
VK_F11 | VK_OEM_4 | VSCLASS_STATIC
VK_F12 | VK_OEM_5 | VSCLASS_STATUS
VK_F13 | VK_OEM_6 | VSCLASS_STATUSSTYLE
VK_F14 | VK_OEM_7 | VSCLASS_TAB
VK_F15 | VK_OEM_8 | VSCLASS_TABSTYLE
VK_F16 | VK_OEM_CLEAR | VSCLASS_TASKBAND
VK_F17 | VK_OEM_COMMA | VSCLASS_TASKBAR
VK_F18 | VK_OEM_MINUS | VSCLASS_TASKDIALOG
VK_F19 | VK_OEM_PERIOD | VSCLASS_TASKDIALOGSTYLE
VK_F2 | VK_OEM_PLUS | VSCLASS_TEXTSTYLE
VK_F20 | VK_P | VSCLASS_TOOLBAR
VK_F21 | VK_PA1 | VSCLASS_TOOLBARSTYLE
VK_F22 | VK_PAUSE | VSCLASS_TOOLTIP
VK_F23 | VK_PLAY | VSCLASS_TOOLTIPSTYLE
VK_F24 | VK_PRINT | VSCLASS_TRACKBAR
VK_F3 | VK_PRIOR | VSCLASS_TRACKBARSTYLE
VK_F4 | VK_PROCESSKEY | VSCLASS_TRAYNOTIFY
VK_F5 | VK_Q | VSCLASS_TREEVIEW
VK_F6 | VK_R | VSCLASS_TREEVIEWSTYLE
VK_F7 | VK_RBUTTON | VSCLASS_WINDOW
VK_F8 | VK_RCONTROL | VSCLASS_WINDOWSTYLE
VK_F9 | VK_RETURN | vsIcon
VK_FINAL | VK_RIGHT | vsList
VK_G | VK_RMENU | vsReport
VK_H | VK_RSHIFT | VSS_DISABLED
VK_HANGUL | VK_RWIN | VSS_HOT
VK_HANJA | VK_S | vsSmallIcon
VK_HELP | VK_SCROLL | VSS_NORMAL
VK_HIGHESTVALUE | VK_SELECT | VSS_PUSHED
VK_HOME | VK_SEPARATOR | VTS_DISABLED
VK_I | VK_SHIFT | VTS_HOT
VK_INSERT | VK_SLEEP | VTS_NORMAL
VK_J | VK_SNAPSHOT | VTS_PUSHED
VK_JUNJA | VK_SPACE |

W

WA_ACTIVE | WP_FRAMERIGHT | WS_CHILD
waAuto | WP_FRAMERIGHTSIZINGTEMPLATE | WS_CHILDWINDOW
waAvoid | WP_HELPBUTTON | WS_CLIPCHILDREN
WA_CLICKACTIVE | WP_HORZSCROLL | WS_CLIPSIBLINGS
waForbid | WP_HORZTHUMB | WSControls
waForce | WP_MAXBUTTON | WS_DISABLED
WA_INACTIVE | WP_MAXCAPTION | WS_DLGFRAME
WARNINGSTATES | WP_MDICLOSEBUTTON | WS_EX_ACCEPTFILES
WaveTo | WP_MDIHELPBUTTON | WS_EX_APPWINDOW
wcfAdjustedLogicalClientRectValid | WP_MDIMINBUTTON | WS_EX_CLIENTEDGE
wcfAligningControls | WP_MDIRESTOREBUTTON | WS_EX_CONTEXTHELP
wcfAllAutoSizing | WP_MDISYSBUTTON | WS_EX_CONTROLPARENT
wcfBoundsRealized | WP_MINBUTTON | WS_EX_DLGMODALFRAME
wcfClientRectNeedsUpdate | WP_MINCAPTION | WS_EX_LEFT
wcfColorChanged | WP_RESTOREBUTTON | WS_EX_LEFTSCROLLBAR
wcfCreatingChildHandles | WP_SMALLCAPTION | WS_EX_LTRREADING
wcfCreatingHandle | WP_SMALLCAPTIONSIZINGTEMPLATE | WS_EX_MDICHILD
wcfEraseBackground | WP_SMALLCLOSEBUTTON | WS_EX_NOPARENTNOTIFY
wcfFontChanged | WP_SMALLFRAMEBOTTOM | WS_EX_OVERLAPPEDWINDOW
wcfHandleVisible | WP_SMALLFRAMEBOTTOMSIZINGTEMPLATE | WS_EX_PALETTEWINDOW
wcfInitializing | WP_SMALLFRAMELEFT | WS_EX_RIGHT
wcfKillIntfSetBounds | WP_SMALLFRAMELEFTSIZINGTEMPLATE | WS_EX_RIGHTSCROLLBAR
wcfRealizingBounds | WP_SMALLFRAMERIGHT | WS_EX_RTLREADING
wcfUpdateShowing | WP_SMALLFRAMERIGHTSIZINGTEMPLATE | WS_EX_STATICEDGE
WHITE_BRUSH | WP_SMALLMAXCAPTION | WS_EX_TOOLWINDOW
WHITENESS | WP_SMALLMINCAPTION | WS_EX_TOPMOST
WHITEONBLACK | WP_SYSBUTTON | WS_EX_TRANSPARENT
WHITE_PEN | WP_VERTSCROLL | WS_EX_WINDOWEDGE
WidgetSet | WP_VERTTHUMB | wsFullScreen
WINDING | WRENCHSTATES | WS_GROUP
WindowFromPoint | WriteComponentAsBinaryToStream | WS_HSCROLL
WINDOWPARTS | WriteComponentAsTextToStream | WS_ICONIC
WindowPos | WriteLRS10BytesReversed | WS_MAXIMIZE
WINDOWPOS | WriteLRS4BytesReversed | WS_MAXIMIZEBOX
WindowStateToStr | WriteLRS8BytesReversed | wsMaximized
WINDOWSTYLEPARTS | WriteLRSCardinal | WS_MINIMIZE
WM_USER | WriteLRSCurrency | WS_MINIMIZEBOX
WNDCLASS | WriteLRSDouble | wsMinimized
WNDCLASSA | WriteLRSDoubleAsExtended | wsNormal
WNDCLASSEX | WriteLRSEndianBigDoubleAsEndianLittleExtended | WS_OVERLAPPED
WNDCLASSEXA | WriteLRSExtended | WS_OVERLAPPEDWINDOW
WNDCLASSEXW | WriteLRSInt64 | WS_POPUP
WNDCLASSW | WriteLRSInt64MB | WS_POPUPWINDOW
WPARAM | WriteLRSInteger | WS_SIZEBOX
WP_CAPTION | WriteLRSNull | WS_SYSMENU
WP_CAPTIONSIZINGTEMPLATE | WriteLRSReversedWord | WS_TABSTOP
WP_CLOSEBUTTON | WriteLRSReversedWords | WS_THICKFRAME
WP_DIALOG | WriteLRSSingle | WS_TILED
WP_FRAME | WriteLRSSmallInt | WS_TILEDWINDOW
WP_FRAMEBOTTOM | WriteLRSWideStringContent | WS_VISIBLE
WP_FRAMEBOTTOMSIZINGTEMPLATE | WriteLRSWord | WS_VSCROLL
WP_FRAMELEFT | WS_BORDER | wszpBack
WP_FRAMELEFTSIZINGTEMPLATE | WS_CAPTION | wszpFront

X

XLFD_AVG_WIDTH | XLFDNameToLogFont | XLFD_STYLENAME
XLFD_CHARSET_COD | XLFD_PIXELSIZE | XLFD_WEIGHTNAME
XLFD_CHARSET_REG | XLFD_POINTSIZE | XLFD_WIDTHNAME
XLFD_FAMILY | XLFD_RESX | XMLPropStorage
XLFD_FONTNAME_REG | XLFD_RESY | XPMToPPChar
XLFD_FOUNDRY | XLFD_SLANT |
XLFDHeightIsSet | XLFD_SPACING |


Class hierarchy

  • TObject
    • TActionListEnumerator (ActnList)
    • TArrayNode (IntfGraphics)
    • TArrayNodesTree (IntfGraphics)
    • TAvlTreeNodeEnumerator
      • TLazAccessibleObjectEnumerator (Controls)
    • TBookmarkedRecordEnumerator (DBGrids)
    • TBookmarkList (DBGrids)
    • TCDColorPalette (CustomDrawnDrawers)
    • TCDControlStateEx (CustomDrawnDrawers)
      • TCDButtonStateEx (CustomDrawnDrawers)
      • TCDCTabControlStateEx (CustomDrawnDrawers)
      • TCDEditStateEx (CustomDrawnDrawers)
      • TCDListViewStateEx (CustomDrawnDrawers)
      • TCDPanelStateEx (CustomDrawnDrawers)
      • TCDPositionedCStateEx (CustomDrawnDrawers)
        • TCDSpinStateEx (CustomDrawnDrawers)
      • TCDProgressBarStateEx (CustomDrawnDrawers)
      • TCDToolBarStateEx (CustomDrawnDrawers)
    • TCDDrawer (CustomDrawnDrawers)
      • TCDDrawerCommon (CustomDrawn_Common)
        • TCDDrawerAndroid (CustomDrawn_Android)
        • TCDDrawerMac (CustomDrawn_Mac)
        • TCDDrawerWinXP (CustomDrawn_WinXP)
    • TCDListItems (CustomDrawnDrawers)
    • TCDToolBarItem (CustomDrawnDrawers)
    • TCheckComboItemState (ComboEx)
    • TCtrlBand (ExtCtrls)
    • TCtrlBands (ExtCtrls)
    • TCustomImageListResolutionEnumerator (ImgList)
    • TDebugLCLItemInfo (LCLProc)
    • TDebugLCLItems (LCLProc)
    • TDockZone (Controls)
      • TLazDockZone (LDockTree)
    • TDragObject (Controls)
      • TDragControlObject (Controls)
        • TDragControlObjectEx (Controls)
      • TDragDockObject (Controls)
        • TDragDockObjectEx (Controls)
      • TDragObjectEx (Controls)
    • TFPCustomBrush
      • TBrush (Graphics)
    • TFPCustomCanvas
      • TCanvas (Graphics)
        • TControlCanvas (Controls)
        • TPrinterCanvas (Printers)
          • TFilePrinterCanvas (Printers)
            • TPostScriptPrinterCanvas (PostScriptCanvas)
              • TPostScriptCanvas (PostScriptCanvas)
    • TFPCustomFont
      • TFont (Graphics)
    • TFPCustomImage
      • TLazIntfImage (IntfGraphics)
      • TLazIntfImageMask (IntfGraphics)
    • TFPCustomImageReader
      • TLazReaderDIB (IntfGraphics)
        • TLazReaderBMP (IntfGraphics)
        • TLazReaderIconDIB (IntfGraphics)
      • TLazReaderIcnsPart (IntfGraphics)
      • TLazReaderXPM (IntfGraphics)
    • TFPCustomImageWriter
      • TLazWriterXPM (IntfGraphics)
    • TFPCustomInterpolation
      • TFPSharpInterpolation (LazCanvas)
    • TFPCustomPen
      • TPen (Graphics)
    • TFPCustomRegion
      • TLazRegion (LazRegions)
        • TLazRegionWithChilds (LazRegions)
    • TFPImageCanvas
      • TLazCanvas (LazCanvas)
    • TFPPalette
      • TLazAVLPalette (IntfGraphics)
    • TFPReaderPNG
      • TLazReaderPNG (IntfGraphics)
    • TFPReaderTiff
      • TLazReaderTiff (IntfGraphics)
    • TFPWriterBMP
      • TLazWriterBMP (IntfGraphics)
    • TFPWriterPNG
      • TLazWriterPNG (IntfGraphics)
    • TFPWriterTiff
      • TLazWriterTiff (IntfGraphics)
    • THelpNodeQuery (LazHelpIntf)
    • THelpNodeQueryList (LazHelpIntf)
    • THelpQueryItem (LazHelpIntf)
      • TPascalHelpContextList (LazHelpIntf)
    • THelpViewers (LazHelpIntf)
    • TIconImage (Graphics)
      • TCursorImageImage (Graphics)
    • TImageListCache (ImageListCache)
    • TItemPropList (ValEdit)
    • TLazAccelerometer (LazDeviceApis)
    • TLazAccessibleObject (Controls)
    • TLazCanvasState (LazCanvas)
    • TLazDevice (LazDeviceApis)
    • TLazDeviceMessage (LazDeviceApis)
    • TLazMessaging (LazDeviceApis)
    • TLazPositionInfo (LazDeviceApis)
    • TLazRegionPart (LazRegions)
      • TLazRegionEllipse (LazRegions)
      • TLazRegionPolygon (LazRegions)
      • TLazRegionRect (LazRegions)
    • TLCLMemManager (LCLMemManager)
    • TLCLNonFreeMemManager (LCLMemManager)
    • TListItemsEnumerator (ComCtrls)
    • TLResource (LResources)
    • TLRPositionLinks (LResources)
    • TMenuItemEnumerator (Menus)
    • TMouse (Controls)
    • TObject
      • TPersistent
        • TComponent
          • TLCLComponent (LCLClasses)
            • TMenuItem (Menus)
    • TObject
      • TPersistent
        • TDockManager (Controls)
    • TObject
      • TPersistent
        • TCollectionItem
          • TTaskDialogBaseButtonItem (Dialogs)
    • TObject
      • Exception
        • EDBEditError (MaskEdit)
    • TObject
      • TPersistent
        • TComponent
          • TCustomPropertyStorage (PropertyStorage)
            • TControlPropertyStorage (Controls)
              • TFormPropertyStorage (Forms)
                • TCustomXMLPropStorage (XMLPropStorage)
                  • TXMLPropStorage (XMLPropStorage)
    • TObject
      • TPersistent
        • TComponent
          • TLCLComponent (LCLClasses)
            • TControl (Controls)
              • TWinControl (Controls)
                • TCustomComboBox (StdCtrls)
                  • TCustomDBComboBox (DBCtrls)
                    • TDBLookupComboBox (DBCtrls)
    • TObject
      • TPersistent
        • TComponent
          • TLCLComponent (LCLClasses)
            • TControl (Controls)
              • TWinControl (Controls)
                • TCustomEdit (StdCtrls)
                  • TCustomLabeledEdit (ExtCtrls)
    • TObject
      • Exception
        • EMenuError (Menus)
    • TObject
      • TPSObject (PostScriptPrinter)
        • TPSPen (PostScriptPrinter)
    • TObject
      • TPersistent
        • TComponent
          • TLCLComponent (LCLClasses)
            • TControl (Controls)
              • TWinControl (Controls)
                • TCustomCalendar (Calendar)
                  • TCalendar (Calendar)
    • TObject
      • TPersistent
        • TComponent
          • TBasicAction
            • TContainedAction (ActnList)
              • TCustomAction (ActnList)
                • TCommonDialogAction (StdActns)
                  • TSearchAction (StdActns)
                    • TSearchFind (StdActns)
    • TObject
      • TPersistent
        • TComponent
          • TLCLComponent (LCLClasses)
            • TCustomImageList (ImgList)
              • TDragImageList (Controls)
    • TObject
      • TPersistent
        • TComponent
          • TLCLComponent (LCLClasses)
            • TControl (Controls)
              • TWinControl (Controls)
                • TButtonControl (StdCtrls)
    • TObject
      • TPersistent
        • TControlScrollBar (Forms)
    • TObject
      • TPersistent
        • TComponent
          • TCustomTimer (CustomTimer)
    • TObject
      • TPersistent
        • TComponent
          • TLCLComponent (LCLClasses)
            • TControl (Controls)
              • TWinControl (Controls)
                • TCustomControl (Controls)
                  • TCustomPanel (ExtCtrls)
                    • TDBCustomNavigator (DBCtrls)
                      • TDBNavigator (DBCtrls)
    • TObject
      • TPersistent
        • TComponent
          • TLCLComponent (LCLClasses)
            • TControl (Controls)
              • TWinControl (Controls)
                • TCustomListView (ComCtrls)
                  • TListView (ComCtrls)
    • TObject
      • TPersistent
        • TComponent
          • TLCLComponent (LCLClasses)
            • TControl (Controls)
              • TWinControl (Controls)
                • TCustomControl (Controls)
                  • TScrollingWinControl (Forms)
                    • TCustomDesignControl (Forms)
                      • TCustomForm (Forms)
                        • THintWindow (Forms)
    • TObject
      • TPersistent
        • TComponent
          • TLCLComponent (LCLClasses)
            • TControl (Controls)
              • TGraphicControl (Controls)
                • TCustomLabel (StdCtrls)
                  • TBoundLabel (ExtCtrls)
    • TObject
      • TPersistent
        • TComponent
          • TLCLComponent (LCLClasses)
            • TControl (Controls)
              • TWinControl (Controls)
                • TCustomControl (Controls)
                  • TCustomAbstractGroupedEdit (GroupedEdit)
                    • TCustomEditButton (EditBtn)
    • TObject
      • TPostScriptCanvas (PostScriptPrinter)
    • TObject
      • TPersistent
        • TGraphic (Graphics)
          • TRasterImage (Graphics)
            • TCustomBitmap (Graphics)
              • TFPImageBitmap (Graphics)
                • TPortableAnyMapGraphic (Graphics)
    • TObject
      • TPersistent
        • TComponent
          • TLCLComponent (LCLClasses)
            • TControl (Controls)
              • TWinControl (Controls)
                • TCustomComboBox (StdCtrls)
                  • TCustomCheckCombo (ComboEx)
                    • TCheckComboBox (ComboEx)
    • TObject
      • TPersistent
        • TControlBorderSpacing (Controls)
    • TObject
      • TPostScript (PostScriptPrinter)
    • TObject
      • TPersistent
        • TComponent
          • TCustomPropertyStorage (PropertyStorage)
            • TControlPropertyStorage (Controls)
              • TFormPropertyStorage (Forms)
                • TCustomIniPropStorage (IniPropStorage)
                  • TIniPropStorage (IniPropStorage)
    • TObject
      • TPersistent
        • TComponent
          • TBasicAction
            • TContainedAction (ActnList)
              • TCustomAction (ActnList)
                • TAction (ActnList)
                  • TEditAction (StdActns)
                    • TEditPaste (StdActns)
    • TObject
      • TPSObject (PostScriptPrinter)
    • TObject
      • TPersistent
        • TComponent
          • TLCLComponent (LCLClasses)
            • TControl (Controls)
              • TWinControl (Controls)
                • TCustomPage (ComCtrls)
                  • TLazDockPage (LDockTree)
    • TObject
      • TPersistent
        • TComponent
          • TPopupNotifier (PopupNotifier)
    • TObject
      • TPersistent
        • THelpQuery (HelpIntfs)
          • THelpQueryNode (LazHelpIntf)
    • TObject
      • TPersistent
        • TComponent
          • TLCLComponent (LCLClasses)
            • TCommonDialog (Dialogs)
              • TFileDialog (Dialogs)
                • TOpenDialog (Dialogs)
                  • TSelectDirectoryDialog (Dialogs)
    • TObject
      • TPersistent
        • TComponent
          • TLCLComponent (LCLClasses)
            • TControl (Controls)
              • TWinControl (Controls)
                • TCustomListBox (StdCtrls)
                  • TCustomFileListBox (FileCtrl)
                    • TFileListBox (FileCtrl)
    • TObject
      • TPersistent
        • TComponent
          • TLCLComponent (LCLClasses)
            • TControl (Controls)
              • TWinControl (Controls)
                • TCustomPage (ComCtrls)
    • TObject
      • TPersistent
        • TComponent
          • TLCLComponent (LCLClasses)
            • TControl (Controls)
              • TWinControl (Controls)
                • TCustomControl (Controls)
                  • TCustomGrid (Grids)
                    • TCustomDrawGrid (Grids)
                      • TCustomStringGrid (Grids)
                        • TValueListEditor (ValEdit)
    • TObject
      • TPersistent
        • TComponent
          • TLCLComponent (LCLClasses)
            • TControl (Controls)
              • TWinControl (Controls)
                • TCustomControl (Controls)
                  • TCDControl (CustomDrawnControls)
                    • TCDCustomTabControl (CustomDrawnControls)
                      • TCDPageControl (CustomDrawnControls)
    • TObject
      • TPersistent
        • TComponent
          • TLCLComponent (LCLClasses)
            • TControl (Controls)
              • TWinControl (Controls)
                • TCustomComboBox (StdCtrls)
                  • TCustomComboBoxEx (ComboEx)
                    • TComboBoxEx (ComboEx)
    • TObject
      • TPersistent
        • TComponent
          • TBasicAction
            • TContainedAction (ActnList)
              • TCustomAction (ActnList)
    • TObject
      • TPersistent
        • TComponent
          • TLCLComponent (LCLClasses)
            • TCommonDialog (Dialogs)
              • TFileDialog (Dialogs)
                • TOpenDialog (Dialogs)
                  • TLazOpenDialog (LazDialogs)
                    • TLazSelectDirectoryDialog (LazDialogs)
    • TObject
      • TPersistent
        • TComponent
          • TCustomLazComponentQueue (LResources)
    • TObject
      • TPersistent
        • TComponent
          • TCustomPropertyStorage (PropertyStorage)
            • TControlPropertyStorage (Controls)
              • TFormPropertyStorage (Forms)
                • TCustomXMLPropStorage (XMLPropStorage)
    • TObject
      • TPersistent
        • TComponent
          • TBasicAction
            • TContainedAction (ActnList)
              • TCustomAction (ActnList)
                • TCustomHintAction (Forms)
                  • THintAction (StdActns)
    • TObject
      • TPersistent
        • THelpNode (LazHelpIntf)
    • TObject
      • TPersistent
        • THelpQuery (HelpIntfs)
          • THelpQuerySourcePosition (HelpIntfs)
    • TObject
      • TPersistent
        • TComponent
          • TLCLComponent (LCLClasses)
            • TCustomActionList (ActnList)
    • TObject
      • TPersistent
        • TComponent
          • TLCLComponent (LCLClasses)
            • TLCLReferenceComponent (LCLClasses)
              • TCustomImageListResolution (ImgList)
                • TDragImageListResolution (Controls)
    • TObject
      • TStream
        • TCustomMemoryStream
          • TLazarusResourceStream (LResources)
    • TObject
      • TPersistent
        • TComponent
          • TLCLComponent (LCLClasses)
            • TControl (Controls)
              • TWinControl (Controls)
                • TCustomScrollBar (StdCtrls)
                  • TScrollBar (StdCtrls)
    • TObject
      • TPersistent
        • TComponent
          • TLCLComponent (LCLClasses)
            • TControl (Controls)
              • TWinControl (Controls)
                • TCustomEdit (StdCtrls)
                  • TCustomMaskEdit (MaskEdit)
                    • TGEEdit (GroupedEdit)
    • TObject
      • TPersistent
        • TComponent
          • TLCLComponent (LCLClasses)
            • TCommonDialog (Dialogs)
              • TFontDialog (Dialogs)
    • TObject
      • TPersistent
        • TComponent
          • TLCLComponent (LCLClasses)
            • TControl (Controls)
              • TWinControl (Controls)
                • TCustomEdit (StdCtrls)
                  • TCustomMaskEdit (MaskEdit)
    • TObject
      • TPersistent
        • TGraphic (Graphics)
          • TRasterImage (Graphics)
            • TCustomBitmap (Graphics)
              • TFPImageBitmap (Graphics)
                • TGIFImage (Graphics)
    • TObject
      • TPersistent
        • TComponent
          • TLCLComponent (LCLClasses)
            • TControl (Controls)
              • TWinControl (Controls)
                • TCustomListBox (StdCtrls)
                  • TCustomCheckListBox (CheckLst)
                    • TCheckListBox (CheckLst)
    • TObject
      • TPersistent
        • TComponent
          • TBasicAction
            • TContainedAction (ActnList)
              • TCustomAction (ActnList)
                • TAction (ActnList)
                  • TEditAction (StdActns)
                    • TEditUndo (StdActns)
    • TObject
      • TPersistent
        • TGraphic (Graphics)
          • TRasterImage (Graphics)
    • TObject
      • TCustomImageListResolutions (ImgList)
    • TObject
      • TPersistent
        • TCollectionItem
          • TListColumn (ComCtrls)
    • TObject
      • TPersistent
        • TComponent
          • TLCLComponent (LCLClasses)
            • TControl (Controls)
              • TWinControl (Controls)
                • TCustomControl (Controls)
                  • TCDControl (CustomDrawnControls)
                    • TCDCustomTabControl (CustomDrawnControls)
    • TObject
      • TPersistent
        • TComponent
          • TLCLComponent (LCLClasses)
            • TControl (Controls)
              • TWinControl (Controls)
                • TCustomControl (Controls)
                  • TScrollingWinControl (Forms)
                    • TCustomDesignControl (Forms)
    • TObject
      • TPersistent
        • TComponent
          • TLCLComponent (LCLClasses)
            • TCommonDialog (Dialogs)
              • TExtCommonDialog (ExtDlgs)
                • TCalendarDialog (ExtDlgs)
    • TObject
      • TPersistent
        • TStrings
          • TUNBPages (ExtCtrls)
    • TObject
      • TPersistent
        • TDataLink
          • TFieldDataLink (DBCtrls)
    • TObject
      • Exception
        • EInvalidDate (Calendar)
    • TObject
      • TPersistent
        • TComponent
          • TLCLComponent (LCLClasses)
            • TControl (Controls)
              • TWinControl (Controls)
                • TCustomControl (Controls)
                  • TCustomPanel (ExtCtrls)
                    • TPanel (ExtCtrls)
    • TObject
      • TPersistent
        • TComponent
          • TBasicAction
            • TContainedAction (ActnList)
              • TCustomAction (ActnList)
                • TAction (ActnList)
                  • TEditAction (StdActns)
                    • TEditCut (StdActns)
    • TObject
      • TPersistent
        • TComponent
          • TDragManager (Controls)
    • TObject
      • TPersistent
        • TComponent
          • TLCLComponent (LCLClasses)
            • TControl (Controls)
              • TWinControl (Controls)
                • TCustomControl (Controls)
                  • TScrollingWinControl (Forms)
                    • TScrollBox (Forms)
    • TObject
      • TPersistent
        • TComponent
          • TDBLookup (DBCtrls)
    • TObject
      • TPersistent
        • TComponent
          • TBasicAction
            • TContainedAction (ActnList)
              • TCustomAction (ActnList)
                • TAction (ActnList)
                  • TDataSetAction (DBActns)
                    • TDataSetFirst (DBActns)
    • TObject
      • TPersistent
        • TComponent
          • TLCLComponent (LCLClasses)
            • TControl (Controls)
              • TWinControl (Controls)
                • TButtonControl (StdCtrls)
                  • TCustomCheckBox (StdCtrls)
                    • TDBCheckBox (DBCtrls)
    • TObject
      • TPersistent
        • TCollection
          • TListColumns (ComCtrls)
    • TObject
      • TPersistent
        • TComponent
          • TBasicAction
            • TContainedAction (ActnList)
              • TCustomAction (ActnList)
                • TAction (ActnList)
                  • TDataSetAction (DBActns)
                    • TDataSetPrior (DBActns)
    • TObject
      • TPersistent
        • TCollection
          • TOwnedCollection
            • TFlowPanelControlList (ExtCtrls)
    • TObject
      • TPersistent
        • TComponent
          • TCustomTaskDialog (Dialogs)
            • TTaskDialog (Dialogs)
    • TObject
      • TPersistent
        • TComponent
          • TLCLComponent (LCLClasses)
            • TControl (Controls)
              • TWinControl (Controls)
                • TCustomTrackBar (ComCtrls)
    • TObject
      • TPersistent
        • TClipboard (Clipbrd)
    • TObject
      • TPersistent
        • TComponent
          • TLCLComponent (LCLClasses)
            • TControl (Controls)
              • TWinControl (Controls)
                • TCustomPairSplitter (PairSplitter)
    • TObject
      • TPersistent
        • TComponent
          • TLCLComponent (LCLClasses)
            • TControl (Controls)
              • TWinControl (Controls)
                • TCustomControl (Controls)
                  • TCustomAbstractGroupedEdit (GroupedEdit)
                    • TCustomEditButton (EditBtn)
                      • TFileNameEdit (EditBtn)
    • TObject
      • TPersistent
        • TStrings
          • TNBBasePages (ComCtrls)
    • TObject
      • TPersistent
        • TComponent
          • TLCLComponent (LCLClasses)
            • TControl (Controls)
              • TWinControl (Controls)
                • TCustomTabControl (ComCtrls)
                  • TPageControl (ComCtrls)
                    • TNoteBookStringsTabControl (ComCtrls)
    • TObject
      • TPersistent
        • TComponent
          • TLCLComponent (LCLClasses)
            • TControl (Controls)
              • TWinControl (Controls)
                • TCustomControl (Controls)
                  • TCustomPanel (ExtCtrls)
                    • TDBCustomNavigator (DBCtrls)
    • TObject
      • TAbstractTranslator (LResources)
        • TUpdateTranslator (LCLTranslator)
          • TDefaultTranslator (LCLTranslator)
    • TObject
      • TPersistent
        • TComponent
          • TBasicAction
            • TContainedAction (ActnList)
              • TCustomAction (ActnList)
                • TCommonDialogAction (StdActns)
                  • TFileAction (StdActns)
                    • TFileOpen (StdActns)
    • TObject
      • TPersistent
        • TComponent
          • TLCLComponent (LCLClasses)
            • TControl (Controls)
              • TGraphicControl (Controls)
                • TCustomSpeedButton (Buttons)
                  • TSpeedButton (Buttons)
                    • TEditSpeedButton (EditBtn)
    • TObject
      • TFreeTypeDrawer
        • TIntfFreeTypeDrawer (LazFreeTypeIntfDrawer)
    • TObject
      • TPersistent
        • TComponent
          • TLCLComponent (LCLClasses)
            • TControl (Controls)
              • TWinControl (Controls)
                • TCustomRubberBand (RubberBand)
    • TObject
      • TPersistent
        • TComponent
          • TLCLComponent (LCLClasses)
            • TControl (Controls)
              • TWinControl (Controls)
                • TCustomControl (Controls)
                  • TCustomPanel (ExtCtrls)
                    • TCustomControlBar (ExtCtrls)
    • TObject
      • TPersistent
        • TCollectionItem
          • TListControlItem (ComboEx)
    • TObject
      • TPersistent
        • TComponent
          • TLCLComponent (LCLClasses)
            • TControl (Controls)
              • TWinControl (Controls)
                • TCustomEdit (StdCtrls)
                  • TCustomFloatSpinEdit (Spin)
    • TObject
      • TPersistent
        • THelpBasePathObject (LazHelpIntf)
    • TObject
      • Exception
        • EGridException (Grids)
    • TObject
      • TPersistent
        • TCollection
          • TDialogButtons (InterfaceBase)
    • TObject
      • TPersistent
        • TGraphic (Graphics)
    • TObject
      • TPersistent
        • TGraphic (Graphics)
          • TRasterImage (Graphics)
            • TCustomBitmap (Graphics)
              • TFPImageBitmap (Graphics)
                • TJPEGImage (Graphics)
    • TObject
      • TAbstractObjectReader
        • TLRSObjectReader (LResources)
    • TObject
      • TPersistent
        • TComponent
          • TLCLComponent (LCLClasses)
            • TControl (Controls)
              • TWinControl (Controls)
                • TCustomControl (Controls)
                  • TCDControl (CustomDrawnControls)
                    • TCDButtonControl (CustomDrawnControls)
                      • TCDButton (CustomDrawnControls)
    • TObject
      • TPersistent
        • TComponent
          • TLCLComponent (LCLClasses)
            • TControl (Controls)
              • TWinControl (Controls)
                • TCustomControl (Controls)
                  • TCustomAbstractGroupedEdit (GroupedEdit)
                    • TCustomEditButton (EditBtn)
                      • TDateEdit (EditBtn)
    • TObject
      • Exception
        • EScrollBar (Forms)
    • TObject
      • TPersistent
        • TComponent
          • TLCLComponent (LCLClasses)
            • TControl (Controls)
              • TWinControl (Controls)
                • TCustomGroupBox (StdCtrls)
                  • TCustomRadioGroup (ExtCtrls)
                    • TDBRadioGroup (DBCtrls)
    • TObject
      • TPersistent
        • TGraphic (Graphics)
          • TRasterImage (Graphics)
            • TCustomBitmap (Graphics)
              • TFPImageBitmap (Graphics)
                • TBitmap (Graphics)
    • TObject
      • TPersistent
        • TComponent
          • TLCLComponent (LCLClasses)
            • TControl (Controls)
              • TGraphicControl (Controls)
                • TCustomImage (ExtCtrls)
                  • TDBImage (DBCtrls)
    • TObject
      • TPersistent
        • TComponent
          • TLCLComponent (LCLClasses)
            • TCommonDialog (Dialogs)
              • TFileDialog (Dialogs)
                • TOpenDialog (Dialogs)
    • TObject
      • THelpManager (HelpIntfs)
        • THelpDatabases (LazHelpIntf)
    • TObject
      • TPersistent
        • TDataLink
          • TComponentDataLink (DBGrids)
    • TObject
      • TPersistent
        • TComponent
          • TCustomLazComponentQueue (LResources)
            • TLazComponentQueue (LResources)
    • TObject
      • TPersistent
        • TComponent
          • TBasicAction
            • TContainedAction (ActnList)
              • TCustomAction (ActnList)
                • TFileExit (StdActns)
    • TObject
      • Exception
        • ETreeNodeError (ComCtrls)
          • ETreeViewError (ComCtrls)
    • TObject
      • TWidgetSet (InterfaceBase)
    • TObject
      • TConfigStorage
        • TXMLConfigStorage (XMLPropStorage)
    • TObject
      • TPersistent
        • TListItems (ComCtrls)
    • TObject
      • TPersistent
        • TComponent
          • TLCLComponent (LCLClasses)
            • TControl (Controls)
              • TWinControl (Controls)
                • TCustomGroupBox (StdCtrls)
                  • TGroupBox (StdCtrls)
    • TObject
      • TMonitor (Forms)
    • TObject
      • TPersistent
        • TComponent
          • TLCLComponent (LCLClasses)
            • TControl (Controls)
              • TWinControl (Controls)
                • TCustomControl (Controls)
                  • TCustomSplitter (ExtCtrls)
                    • TLazDockSplitter (LDockTree)
    • TObject
      • TPersistent
        • TComponent
          • TLCLComponent (LCLClasses)
            • TCustomTrayIcon (ExtCtrls)
              • TTrayIcon (ExtCtrls)
    • TObject
      • TPersistent
        • TCollectionItem
          • TStatusPanel (ComCtrls)
    • TObject
      • TPersistent
        • TComponent
          • THelpViewer (LazHelpIntf)
            • THTMLBrowserHelpViewer (LazHelpHTML)
    • TObject
      • TPersistent
        • TComponent
          • TLCLComponent (LCLClasses)
            • TControl (Controls)
              • TWinControl (Controls)
                • TCustomControl (Controls)
                  • TCDControl (CustomDrawnControls)
                    • TCDProgressBar (CustomDrawnControls)
    • TObject
      • TPersistent
        • THelpQuery (HelpIntfs)
          • THelpQueryContext (HelpIntfs)
    • TObject
      • TPersistent
        • THelpDBItem (LazHelpIntf)
          • THelpDBIMessage (LazHelpIntf)
    • TObject
      • TPersistent
        • TComponent
          • TLCLComponent (LCLClasses)
            • TControl (Controls)
              • TWinControl (Controls)
                • TCustomEdit (StdCtrls)
                  • TCustomFloatSpinEdit (Spin)
                    • TCustomSpinEdit (Spin)
                      • TSpinEdit (Spin)
    • TObject
      • Exception
        • EInterfaceException (InterfaceBase)
    • TObject
      • TPersistent
        • TComponent
          • TLCLComponent (LCLClasses)
            • TControl (Controls)
              • TWinControl (Controls)
                • TCustomControl (Controls)
                  • TCustomPanel (ExtCtrls)
                    • TCustomFlowPanel (ExtCtrls)
    • TObject
      • TPersistent
        • TCollection
          • TGridColumns (Grids)
    • TObject
      • TPersistent
        • TComponent
          • TLCLComponent (LCLClasses)
            • TMenu (Menus)
    • TObject
      • TPersistent
        • TStrings
          • TTabControlStrings (ComCtrls)
            • TTabControlNoteBookStrings (ComCtrls)
    • TObject
      • TPersistent
        • TListItems (ComCtrls)
          • TOwnerDataListItems (ComCtrls)
    • TObject
      • TPersistent
        • TComponent
          • TLCLComponent (LCLClasses)
            • TControl (Controls)
              • TWinControl (Controls)
                • TCustomControl (Controls)
                  • TCustomAbstractGroupedEdit (GroupedEdit)
                    • TCustomEditButton (EditBtn)
                      • TCalcEdit (EditBtn)
    • TObject
      • TPersistent
        • TStrings
          • TTabControlStrings (ComCtrls)
    • TObject
      • TPersistent
        • TComponent
          • TLCLComponent (LCLClasses)
            • TControl (Controls)
              • TWinControl (Controls)
                • TCustomTabControl (ComCtrls)
                  • TLazDockPages (LDockTree)
    • TObject
      • TPersistent
        • TComponent
          • TLCLComponent (LCLClasses)
            • TControl (Controls)
              • TWinControl (Controls)
                • TCustomEdit (StdCtrls)
                  • TCustomMaskEdit (MaskEdit)
                    • TGEEdit (GroupedEdit)
                      • TEbEdit (EditBtn)
    • TObject
      • TPersistent
        • TComponent
          • TBasicAction
            • TContainedAction (ActnList)
              • TCustomAction (ActnList)
                • TCommonDialogAction (StdActns)
                  • TFontEdit (StdActns)
    • TObject
      • TPersistent
        • TComponent
          • TBasicAction
            • TContainedAction (ActnList)
              • TCustomAction (ActnList)
                • TCommonDialogAction (StdActns)
                  • TFileAction (StdActns)
                    • TFileSaveAs (StdActns)
    • TObject
      • TPersistent
        • TComponent
          • TLCLComponent (LCLClasses)
            • TControl (Controls)
              • TWinControl (Controls)
                • TCustomCalendar (Calendar)
    • TObject
      • TPersistent
        • TComponent
          • TCustomPropertyStorage (PropertyStorage)
            • TControlPropertyStorage (Controls)
    • TObject
      • TPersistent
        • TStrings
          • TNBBasePages (ComCtrls)
            • TNBNoPages (ComCtrls)
    • TObject
      • TPSPattern (PostScriptPrinter)
    • TObject
      • TPersistent
        • TComponent
          • TLCLComponent (LCLClasses)
            • TControl (Controls)
              • TWinControl (Controls)
                • TCustomEdit (StdCtrls)
    • TObject
      • TPersistent
        • TComponent
          • TLCLComponent (LCLClasses)
            • TCommonDialog (Dialogs)
              • TCustomPrintDialog (Dialogs)
    • TObject
      • TPersistent
        • TCollectionItem
          • TGridColumn (Grids)
    • TObject
      • TPersistent
        • TComponent
          • TLCLComponent (LCLClasses)
            • TControl (Controls)
              • TGraphicControl (Controls)
                • TCustomSpeedButton (Buttons)
    • TObject
      • TPersistent
        • TComponent
          • TLCLComponent (LCLClasses)
            • TControl (Controls)
              • TWinControl (Controls)
                • TCustomComboBox (StdCtrls)
                  • TCustomFilterComboBox (FileCtrl)
    • TObject
      • TPersistent
        • TGraphic (Graphics)
          • TRasterImage (Graphics)
            • TCustomIcon (Graphics)
              • TCursorImage (Graphics)
    • TObject
      • TPersistent
        • TListItem (ComCtrls)
          • TOwnerDataListItem (ComCtrls)
    • TObject
      • TPersistent
        • TComponent
          • TBasicAction
            • TContainedAction (ActnList)
              • TCustomAction (ActnList)
                • TAction (ActnList)
                  • THelpAction (StdActns)
                    • THelpContents (StdActns)
    • TObject
      • TPersistent
        • TComponent
          • TLCLComponent (LCLClasses)
            • TControl (Controls)
              • TWinControl (Controls)
                • TButtonControl (StdCtrls)
                  • TCustomButton (StdCtrls)
                    • TCustomBitBtn (Buttons)
                      • TPanelBitBtn (ButtonPanel)
    • TObject
      • TPersistent
        • TComponent
          • TLCLComponent (LCLClasses)
            • TLCLReferenceComponent (LCLClasses)
              • TCustomImageListResolution (ImgList)
    • TObject
      • TPersistent
        • TComponent
          • TLCLComponent (LCLClasses)
            • TControl (Controls)
              • TWinControl (Controls)
                • TCustomControl (Controls)
                  • TCDControl (CustomDrawnControls)
                    • TCDPositionedControl (CustomDrawnControls)
                      • TCDTrackBar (CustomDrawnControls)
    • TObject
      • TPersistent
        • TComponent
          • TLCLComponent (LCLClasses)
            • TControl (Controls)
              • TWinControl (Controls)
                • TButtonControl (StdCtrls)
                  • TCustomButton (StdCtrls)
                    • TCustomBitBtn (Buttons)
    • TObject
      • TPersistent
        • TCollectionItem
          • TListControlItem (ComboEx)
            • TComboExItem (ComboEx)
    • TObject
      • TPersistent
        • TComponent
          • TLCLComponent (LCLClasses)
            • TControl (Controls)
              • TWinControl (Controls)
                • TCustomComboBox (StdCtrls)
                  • TCustomCheckCombo (ComboEx)
    • TObject
      • TPersistent
        • TComponent
          • TLCLComponent (LCLClasses)
            • TControl (Controls)
              • TWinControl (Controls)
                • TCustomListBox (StdCtrls)
                  • TCustomColorListBox (ColorBox)
    • TObject
      • TPersistent
        • TComponent
          • TLCLComponent (LCLClasses)
            • TCommonDialog (Dialogs)
    • TObject
      • TPersistent
        • TComponent
          • TLCLComponent (LCLClasses)
            • TApplicationProperties (Forms)
    • TObject
      • TPersistent
        • TComponent
          • TLCLComponent (LCLClasses)
            • TControl (Controls)
              • TWinControl (Controls)
                • TCustomControl (Controls)
                  • TCDControl (CustomDrawnControls)
                    • TCDEdit (CustomDrawnControls)
    • TObject
      • TPersistent
        • TComponent
          • TLCLComponent (LCLClasses)
            • TControl (Controls)
              • TWinControl (Controls)
                • TCustomListBox (StdCtrls)
                  • TCustomDBListBox (DBCtrls)
    • TObject
      • TPersistent
        • TComponent
          • TLCLComponent (LCLClasses)
            • TControl (Controls)
              • TWinControl (Controls)
                • TCustomControl (Controls)
                  • TCustomAbstractGroupedEdit (GroupedEdit)
                    • TCustomEditButton (EditBtn)
                      • TEditButton (EditBtn)
    • TObject
      • TPersistent
        • TCollectionItem
          • TTaskDialogBaseButtonItem (Dialogs)
            • TTaskDialogRadioButtonItem (Dialogs)
    • TObject
      • TPersistent
        • TControlScrollBar (Forms)
          • TMemoScrollbar (StdCtrls)
    • TObject
      • TPersistent
        • TComponent
          • TLCLComponent (LCLClasses)
            • TControl (Controls)
              • TWinControl (Controls)
                • TCustomListBox (StdCtrls)
                  • TCustomCheckListBox (CheckLst)
    • TObject
      • TPersistent
        • TCollectionItem
          • TGridColumn (Grids)
            • TColumn (DBGrids)
    • TObject
      • TPersistent
        • TComponent
          • TLCLComponent (LCLClasses)
            • TControl (Controls)
              • TWinControl (Controls)
                • TCustomListView (ComCtrls)
                  • TCustomShellListView (ShellCtrls)
                    • TShellListView (ShellCtrls)
    • TObject
      • TPersistent
        • TComponent
          • TLCLComponent (LCLClasses)
            • TControl (Controls)
              • TGraphicControl (Controls)
                • TCustomLabel (StdCtrls)
                  • TLabel (StdCtrls)
    • TObject
      • TPersistent
        • TComponent
          • TBasicAction
            • TContainedAction (ActnList)
              • TCustomAction (ActnList)
                • TAction (ActnList)
                  • TDataSetAction (DBActns)
                    • TDataSetPost (DBActns)
    • TObject
      • TPersistent
        • TComponent
          • TBasicAction
            • TContainedAction (ActnList)
              • TCustomAction (ActnList)
                • TAction (ActnList)
                  • THelpAction (StdActns)
                    • THelpContextAction (StdActns)
    • TObject
      • TPersistent
        • TComponent
          • TLCLComponent (LCLClasses)
            • TControl (Controls)
              • TGraphicControl (Controls)
                • TBevel (ExtCtrls)
    • TObject
      • TPersistent
        • TComponent
          • TBasicAction
            • TContainedAction (ActnList)
              • TCustomAction (ActnList)
                • TAction (ActnList)
                  • TEditAction (StdActns)
                    • TEditCopy (StdActns)
    • TObject
      • TButtonGlyph (Buttons)
    • TObject
      • TPersistent
        • TComponent
          • TCustomTimer (CustomTimer)
            • TCustomIdleTimer (ExtCtrls)
              • TIdleTimer (ExtCtrls)
    • TObject
      • TPersistent
        • TComponent
          • TCustomApplication
            • TApplication (Forms)
    • TObject
      • TPersistent
        • TComponent
          • TLCLComponent (LCLClasses)
            • TControl (Controls)
              • TWinControl (Controls)
                • TCustomEdit (StdCtrls)
                  • TCustomMemo (StdCtrls)
    • TObject
      • TPersistent
        • TComponent
          • TLCLComponent (LCLClasses)
            • TControl (Controls)
              • TWinControl (Controls)
                • TCustomControl (Controls)
                  • TNotifierXButton (PopupNotifier)
    • TObject
      • TPersistent
        • TComponent
          • TLCLComponent (LCLClasses)
            • TCommonDialog (Dialogs)
              • TFileDialog (Dialogs)
                • TOpenDialog (Dialogs)
                  • TSaveDialog (Dialogs)
    • TObject
      • TPersistent
        • TComponent
          • TLCLComponent (LCLClasses)
            • TControl (Controls)
              • TWinControl (Controls)
                • TButtonControl (StdCtrls)
                  • TCustomButton (StdCtrls)
                    • TButton (StdCtrls)
    • TObject
      • TChangeLink (ImgList)
    • TObject
      • TPersistent
        • TComponent
          • TLCLComponent (LCLClasses)
            • TCustomImageList (ImgList)
              • TLCLGlyphs (ImgList)
    • TObject
      • TPersistent
        • TComponent
          • TLCLComponent (LCLClasses)
            • TControl (Controls)
              • TWinControl (Controls)
                • TCustomControl (Controls)
                  • TScrollingWinControl (Forms)
                    • TCustomDesignControl (Forms)
                      • TCustomForm (Forms)
                        • THintWindow (Forms)
                          • THintWindowRendered (Forms)
    • TObject
      • TThemeServices (Themes)
    • TObject
      • TPersistent
        • TComponent
          • TLCLComponent (LCLClasses)
            • TControl (Controls)
              • TWinControl (Controls)
                • TCustomScrollBar (StdCtrls)
    • TObject
      • TPersistent
        • TComponent
          • TLCLComponent (LCLClasses)
            • TControl (Controls)
              • TWinControl (Controls)
                • TStatusBar (ComCtrls)
    • TObject
      • TPersistent
        • TComponent
          • TLCLComponent (LCLClasses)
            • TCommonDialog (Dialogs)
              • TFileDialog (Dialogs)
                • TOpenDialog (Dialogs)
                  • TLazOpenDialog (LazDialogs)
    • TObject
      • TPersistent
        • TComponent
          • TLCLComponent (LCLClasses)
            • TControl (Controls)
              • TWinControl (Controls)
                • TCustomControl (Controls)
                  • TCustomAbstractGroupedEdit (GroupedEdit)
                    • TCustomEditButton (EditBtn)
                      • TDirectoryEdit (EditBtn)
    • TObject
      • TPersistent
        • TComponent
          • THelpDatabase (LazHelpIntf)
            • THTMLHelpDatabase (LazHelpHTML)
    • TObject
      • TPersistent
        • THelpDBItem (LazHelpIntf)
          • THelpDBISourceFile (LazHelpIntf)
            • THelpDBISourceDirectory (LazHelpIntf)
    • TObject
      • TPersistent
        • TComponent
          • TLCLComponent (LCLClasses)
            • TControl (Controls)
              • TWinControl (Controls)
                • TCustomComboBox (StdCtrls)
    • TObject
      • TPersistent
        • TPicture (Graphics)
    • TObject
      • TPersistent
        • TComponent
          • TBasicAction
            • TContainedAction (ActnList)
              • TCustomAction (ActnList)
                • TCommonDialogAction (StdActns)
    • TObject
      • TPersistent
        • TComponent
          • TLCLComponent (LCLClasses)
            • TControl (Controls)
              • TGraphicControl (Controls)
                • TCustomSpeedButton (Buttons)
                  • TColorButton (Dialogs)
    • TObject
      • TPersistent
        • TComponent
          • TLCLComponent (LCLClasses)
            • TCommonDialog (Dialogs)
              • TFindDialog (Dialogs)
                • TReplaceDialog (Dialogs)
    • TObject
      • TPersistent
        • TComponent
          • TLCLComponent (LCLClasses)
            • TControl (Controls)
              • TGraphicControl (Controls)
                • TCustomImage (ExtCtrls)
                  • TImage (ExtCtrls)
    • TObject
      • TPersistent
        • TComponent
          • TBasicAction
            • TContainedAction (ActnList)
              • TCustomAction (ActnList)
                • TAction (ActnList)
                  • TDataSetAction (DBActns)
                    • TDataSetRefresh (DBActns)
    • TObject
      • TPersistent
        • TComponent
          • TBasicAction
            • TContainedAction (ActnList)
              • TCustomAction (ActnList)
                • TAction (ActnList)
                  • TDataSetAction (DBActns)
                    • TDataSetNext (DBActns)
    • TObject
      • TPersistent
        • TComponent
          • TLCLComponent (LCLClasses)
            • TControl (Controls)
              • TWinControl (Controls)
                • TCustomGroupBox (StdCtrls)
                  • TCustomCheckGroup (ExtCtrls)
    • TObject
      • TPersistent
        • TComponent
          • THelpViewer (LazHelpIntf)
    • TObject
      • TPersistent
        • TItemProp (ValEdit)
    • TObject
      • TPersistent
        • TComponent
          • TLCLComponent (LCLClasses)
            • TControl (Controls)
              • TWinControl (Controls)
                • TCustomControl (Controls)
                  • TCustomHeaderControl (ComCtrls)
    • TObject
      • TPersistent
        • TComponent
          • TLCLComponent (LCLClasses)
            • TControl (Controls)
              • TWinControl (Controls)
                • TCustomControl (Controls)
                  • TCustomPanel (ExtCtrls)
                    • TCustomButtonPanel (ButtonPanel)
    • TObject
      • TPersistent
        • TComponent
          • TLCLComponent (LCLClasses)
            • TControl (Controls)
              • TWinControl (Controls)
                • TCustomControl (Controls)
                  • TCustomHeaderControl (ComCtrls)
                    • THeaderControl (ComCtrls)
    • TObject
      • TPersistent
        • TComponent
          • TBasicAction
            • TContainedAction (ActnList)
              • TCustomAction (ActnList)
                • TAction (ActnList)
                  • THelpAction (StdActns)
                    • THelpOnHelp (StdActns)
    • TObject
      • TPersistent
        • TComponent
          • TLCLComponent (LCLClasses)
            • TCommonDialog (Dialogs)
              • TCustomPrinterSetupDialog (Dialogs)
    • TObject
      • TPersistent
        • THelpQuery (HelpIntfs)
          • THelpQueryMessage (HelpIntfs)
    • TObject
      • TPersistent
        • TComponent
          • TLCLComponent (LCLClasses)
            • TControl (Controls)
              • TWinControl (Controls)
                • TCustomProgressBar (ComCtrls)
    • TObject
      • TPersistent
        • TCollection
          • TOwnedCollection
            • TListControlItems (ComboEx)
              • TComboExItems (ComboEx)
    • TObject
      • TPersistent
        • TComponent
          • TLCLComponent (LCLClasses)
            • TCommonDialog (Dialogs)
              • TFileDialog (Dialogs)
                • TOpenDialog (Dialogs)
                  • TPreviewFileDialog (ExtDlgs)
    • TObject
      • TPersistent
        • TComponent
          • TLCLComponent (LCLClasses)
            • TControl (Controls)
              • TWinControl (Controls)
                • TCustomControl (Controls)
                  • TCDControl (CustomDrawnControls)
                    • TCDPanel (CustomDrawnControls)
    • TObject
      • TPersistent
        • TGridColumnTitle (Grids)
          • TColumnTitle (DBGrids)
    • TObject
      • TUTF8Parser (LResources)
    • TObject
      • TPersistent
        • TComponent
          • TBasicAction
            • TContainedAction (ActnList)
              • TCustomAction (ActnList)
                • TAction (ActnList)
                  • TDataSetAction (DBActns)
                    • TDataSetDelete (DBActns)
    • TObject
      • TPersistent
        • TCollection
          • TOwnedCollection
            • TTaskDialogButtons (Dialogs)
    • TObject
      • TAbstractTranslator (LResources)
        • TUpdateTranslator (LCLTranslator)
    • TObject
      • TPersistent
        • TComponent
          • TLCLComponent (LCLClasses)
            • TControl (Controls)
              • TGraphicControl (Controls)
                • TCustomLabel (StdCtrls)
    • TObject
      • TAbstractTranslator (LResources)
        • TUpdateTranslator (LCLTranslator)
          • TPOTranslator (LCLTranslator)
    • TObject
      • TPersistent
        • TComponent
          • TLCLComponent (LCLClasses)
            • TControl (Controls)
              • TWinControl (Controls)
                • TCustomControl (Controls)
                  • TToolWindow (Toolwin)
                    • TCustomCoolBar (ComCtrls)
                      • TCoolBar (ComCtrls)
    • TObject
      • Exception
        • EHelpSystemException (HelpIntfs)
    • TObject
      • TPersistent
        • TComponent
          • TLCLComponent (LCLClasses)
            • TControl (Controls)
              • TWinControl (Controls)
                • TCustomControl (Controls)
                  • TScrollingWinControl (Forms)
    • TObject
      • TPersistent
        • TComponent
          • TLCLComponent (LCLClasses)
            • TCommonDialog (Dialogs)
              • TFindDialog (Dialogs)
    • TObject
      • TPersistent
        • TComponent
          • TLCLComponent (LCLClasses)
            • TControl (Controls)
              • TGraphicControl (Controls)
                • TCustomImage (ExtCtrls)
    • TObject
      • TPaperSize (Printers)
    • TObject
      • TPersistent
        • TComponent
          • TLCLComponent (LCLClasses)
            • TControl (Controls)
              • TWinControl (Controls)
                • TCustomControl (Controls)
                  • TCDControl (CustomDrawnControls)
                    • TCDEdit (CustomDrawnControls)
                      • TCDComboBox (CustomDrawnControls)
    • TObject
      • TPersistent
        • TComponent
          • TLCLComponent (LCLClasses)
            • TControl (Controls)
              • TWinControl (Controls)
                • TCustomControl (Controls)
                  • TCustomGrid (Grids)
                    • TCustomDrawGrid (Grids)
                      • TCustomStringGrid (Grids)
                        • TStringGrid (Grids)
    • TObject
      • TPersistent
        • TComponent
          • TLCLComponent (LCLClasses)
            • TCommonDialog (Dialogs)
              • TFileDialog (Dialogs)
                • TOpenDialog (Dialogs)
                  • TLazOpenDialog (LazDialogs)
                    • TLazSaveDialog (LazDialogs)
    • TObject
      • TPersistent
        • TGraphicsObject (Graphics)
    • TObject
      • TPersistent
        • TComponent
          • TCustomPropertyStorage (PropertyStorage)
    • TObject
      • TPersistent
        • TComponent
          • TLCLComponent (LCLClasses)
            • TControl (Controls)
              • TWinControl (Controls)
                • TCustomControl (Controls)
                  • TCDControl (CustomDrawnControls)
                    • TCDToolBar (CustomDrawnControls)
    • TObject
      • TIDesigner (Forms)
    • TObject
      • TPersistent
        • TComponent
          • TLCLComponent (LCLClasses)
            • TControl (Controls)
              • TWinControl (Controls)
                • TCustomControl (Controls)
                  • TScrollingWinControl (Forms)
                    • TCustomDesignControl (Forms)
                      • TCustomForm (Forms)
                        • TForm (Forms)
                          • TEmulatedTaskDialog (LCLTaskDialog)
    • TObject
      • TPersistent
        • TStrings
          • TStringList
            • TValueListStrings (ValEdit)
    • TObject
      • TPersistent
        • TComponent
          • TLCLComponent (LCLClasses)
            • TControl (Controls)
              • TWinControl (Controls)
                • TCustomTabControl (ComCtrls)
                  • TTabControl (ComCtrls)
    • TObject
      • Exception
        • EGraphicException (Graphics)
          • EInvalidGraphicOperation (Graphics)
    • TObject
      • TPersistent
        • TComponent
          • TLCLComponent (LCLClasses)
            • TControl (Controls)
              • TWinControl (Controls)
                • TCustomControl (Controls)
                  • TCDControl (CustomDrawnControls)
                    • TCDGroupBox (CustomDrawnControls)
    • TObject
      • TAbstractTranslator (LResources)
    • TObject
      • TPersistent
        • TComponent
          • TLCLComponent (LCLClasses)
            • TControl (Controls)
              • TWinControl (Controls)
                • TCustomControl (Controls)
                  • TCDControl (CustomDrawnControls)
                    • TCDPositionedControl (CustomDrawnControls)
                      • TCDScrollBar (CustomDrawnControls)
    • TObject
      • Exception
        • EInvalidUtf8 (MaskEdit)
    • TObject
      • TPersistent
        • TComponent
          • TLCLComponent (LCLClasses)
            • TControl (Controls)
              • TWinControl (Controls)
                • TCustomControl (Controls)
                  • TCustomGrid (Grids)
                    • TCustomDrawGrid (Grids)
    • TObject
      • TPersistent
        • TComponent
          • TLCLComponent (LCLClasses)
            • TControl (Controls)
              • TWinControl (Controls)
                • TPairSplitterSide (PairSplitter)
    • TObject
      • TPersistent
        • TComponent
          • TLCLComponent (LCLClasses)
            • TControl (Controls)
              • TWinControl (Controls)
                • TCustomEdit (StdCtrls)
                  • TCustomMemo (StdCtrls)
                    • TMemo (StdCtrls)
    • TObject
      • TPersistent
        • TComponent
          • TLCLComponent (LCLClasses)
            • TControl (Controls)
              • TWinControl (Controls)
                • TCustomControl (Controls)
                  • TScrollingWinControl (Forms)
                    • TCustomDesignControl (Forms)
                      • TCustomForm (Forms)
    • TObject
      • TPersistent
        • TComponent
          • TLCLComponent (LCLClasses)
            • TControl (Controls)
              • TWinControl (Controls)
                • TCustomCalendar (Calendar)
                  • TCalendar (Calendar)
                    • TDBCalendar (DBCtrls)
    • TObject
      • Exception
        • EInterfaceException (InterfaceBase)
          • EInterfaceWarning (InterfaceBase)
    • TObject
      • TPersistent
        • THelpDBItem (LazHelpIntf)
          • THelpDBIClass (LazHelpIntf)
    • TObject
      • TPersistent
        • TComponent
          • TBasicAction
            • TContainedAction (ActnList)
              • TCustomAction (ActnList)
                • TAction (ActnList)
                  • TEditAction (StdActns)
    • TObject
      • TPersistent
        • TComponent
          • TLCLComponent (LCLClasses)
            • TCommonDialog (Dialogs)
              • TFileDialog (Dialogs)
                • TOpenDialog (Dialogs)
                  • TPreviewFileDialog (ExtDlgs)
                    • TOpenPictureDialog (ExtDlgs)
    • TObject
      • TPersistent
        • TCollection
          • TOwnedCollection
            • TListControlItems (ComboEx)
    • TObject
      • TPersistent
        • TAnchorSide (Controls)
    • TObject
      • TPersistent
        • TComponent
          • TBasicAction
            • TContainedAction (ActnList)
              • TCustomAction (ActnList)
                • TAction (ActnList)
                  • TDataSetAction (DBActns)
                    • TDataSetLast (DBActns)
    • TObject
      • TPersistent
        • TComponent
          • TLCLComponent (LCLClasses)
            • TControl (Controls)
              • TWinControl (Controls)
                • TCustomControl (Controls)
                  • TCDControl (CustomDrawnControls)
                    • TCDCustomTabControl (CustomDrawnControls)
                      • TCDTabControl (CustomDrawnControls)
    • TObject
      • TPersistent
        • TComponent
          • TLCLComponent (LCLClasses)
            • TControl (Controls)
              • TWinControl (Controls)
                • TCustomControl (Controls)
                  • TCDControl (CustomDrawnControls)
                    • TCDButtonControl (CustomDrawnControls)
    • TObject
      • TPersistent
        • TComponent
          • TLCLComponent (LCLClasses)
            • TControl (Controls)
              • TGraphicControl (Controls)
                • TIndustrialBase (IndustrialBase)
    • TObject
      • TPersistent
        • TComponent
          • TBasicAction
            • TContainedAction (ActnList)
              • TCustomAction (ActnList)
                • TAction (ActnList)
                  • THelpAction (StdActns)
                    • THelpTopicSearch (StdActns)
    • TObject
      • TPersistent
        • TCollectionItem
          • TStoredValue (PropertyStorage)
    • TObject
      • THelpManager (HelpIntfs)
    • TObject
      • TPersistent
        • TComponent
          • TLCLComponent (LCLClasses)
            • TControl (Controls)
              • TWinControl (Controls)
                • TCustomGroupBox (StdCtrls)
                  • TCustomRadioGroup (ExtCtrls)
    • TObject
      • TPersistent
        • TGraphic (Graphics)
          • TRasterImage (Graphics)
            • TCustomIcon (Graphics)
    • TObject
      • TPersistent
        • TComponent
          • TBasicAction
            • TContainedAction (ActnList)
              • TCustomAction (ActnList)
                • TAction (ActnList)
                  • TDataSetAction (DBActns)
                    • TDataSetInsert (DBActns)
    • TObject
      • TPersistent
        • TComponent
          • TLCLComponent (LCLClasses)
            • TMenu (Menus)
              • TPopupMenu (Menus)
    • TObject
      • TPersistent
        • TComponent
          • TLCLComponent (LCLClasses)
            • TControl (Controls)
              • TWinControl (Controls)
                • TCustomControl (Controls)
                  • TCustomPanel (ExtCtrls)
                    • TCustomControlBar (ExtCtrls)
                      • TControlBar (ExtCtrls)
    • TObject
      • TPersistent
        • TComponent
          • TLCLComponent (LCLClasses)
            • TControl (Controls)
              • TWinControl (Controls)
                • TCustomControl (Controls)
                  • TCDControl (CustomDrawnControls)
                    • TCDScrollableControl (CustomDrawnControls)
    • TObject
      • TPersistent
        • TComponent
          • TLCLComponent (LCLClasses)
            • TControl (Controls)
              • TWinControl (Controls)
                • TCustomListBox (StdCtrls)
                  • TCustomDBListBox (DBCtrls)
                    • TDBListBox (DBCtrls)
    • TObject
      • TPersistent
        • TComponent
          • TLCLComponent (LCLClasses)
            • TControl (Controls)
              • TWinControl (Controls)
                • TCustomControl (Controls)
                  • TPage (ExtCtrls)
    • TObject
      • TPersistent
        • TComponent
          • TLCLComponent (LCLClasses)
            • TControl (Controls)
              • TWinControl (Controls)
                • TCustomListView (ComCtrls)
    • TObject
      • TPersistent
        • TCollection
          • TGridColumns (Grids)
            • TDBGridColumns (DBGrids)
    • TObject
      • TPersistent
        • TComponent
          • TLCLComponent (LCLClasses)
            • TControl (Controls)
              • TWinControl (Controls)
                • TCustomControl (Controls)
                  • TScrollingWinControl (Forms)
                    • TCustomDesignControl (Forms)
                      • TCustomForm (Forms)
                        • TCustomDockForm (Forms)
    • TObject
      • TPersistent
        • TComponent
          • TLCLComponent (LCLClasses)
            • TControl (Controls)
              • TWinControl (Controls)
                • TCustomGroupBox (StdCtrls)
                  • TDBGroupBox (DBCtrls)
    • TObject
      • TPersistent
        • TComponent
          • TLCLComponent (LCLClasses)
            • TControl (Controls)
              • TWinControl (Controls)
                • TCustomRubberBand (RubberBand)
                  • TRubberBand (RubberBand)
    • TObject
      • TPersistent
        • TComponent
          • TCustomPropertyStorage (PropertyStorage)
            • TControlPropertyStorage (Controls)
              • TFormPropertyStorage (Forms)
                • TCustomJSONPropStorage (JSONPropStorage)
    • TObject
      • TPersistent
        • TTreeNode (ComCtrls)
          • TShellTreeNode (ShellCtrls)
    • TObject
      • TPersistent
        • TComponent
          • TProcess
            • TProcessUTF8
              • TAsyncProcess (AsyncProcess)
    • TObject
      • TPersistent
        • TComponent
          • TLCLComponent (LCLClasses)
            • TControl (Controls)
              • TWinControl (Controls)
                • TButtonControl (StdCtrls)
                  • TCustomCheckBox (StdCtrls)
                    • TRadioButton (StdCtrls)
    • TObject
      • TPersistent
        • TComponent
          • TLCLComponent (LCLClasses)
            • TControl (Controls)
              • TGraphicControl (Controls)
    • TObject
      • TPersistent
        • TComponent
          • TLCLComponent (LCLClasses)
            • TControl (Controls)
              • TWinControl (Controls)
                • TCustomControl (Controls)
                  • TCustomTreeView (ComCtrls)
                    • TCustomShellTreeView (ShellCtrls)
                      • TShellTreeView (ShellCtrls)
    • TObject
      • TPersistent
        • TComponent
          • TLCLComponent (LCLClasses)
            • TControl (Controls)
              • TWinControl (Controls)
                • TButtonControl (StdCtrls)
                  • TCustomCheckBox (StdCtrls)
    • TObject
      • TLResourceList (LResources)
    • TObject
      • TPersistent
        • TComponent
          • TLCLComponent (LCLClasses)
            • TControl (Controls)
              • TWinControl (Controls)
                • TCustomControl (Controls)
                  • TCustomAbstractGroupedEdit (GroupedEdit)
                    • TAbstractGroupedEdit (GroupedEdit)
    • TObject
      • TPersistent
        • TComponent
          • TLCLComponent (LCLClasses)
            • TControl (Controls)
              • TGraphicControl (Controls)
                • TCustomLabel (StdCtrls)
                  • TDBText (DBCtrls)
    • TObject
      • TPersistent
        • TTreeNode (ComCtrls)
    • TObject
      • TPersistent
        • TComponent
          • TLCLComponent (LCLClasses)
            • TControl (Controls)
              • TWinControl (Controls)
                • TCustomControl (Controls)
                  • TCDTabSheet (CustomDrawnControls)
    • TObject
      • TPersistent
        • TDockManager (Controls)
          • TDockTree (Controls)
    • TObject
      • TPersistent
        • THelpQuery (HelpIntfs)
          • THelpQuerySourcePosition (HelpIntfs)
            • THelpQueryPascalContexts (HelpIntfs)
    • TObject
      • TPersistent
        • THelpQuery (HelpIntfs)
          • THelpQueryDirective (HelpIntfs)
    • TObject
      • TPersistent
        • TComponent
          • TLCLComponent (LCLClasses)
            • TControl (Controls)
              • TWinControl (Controls)
                • TCustomControl (Controls)
                  • TToolWindow (Toolwin)
                    • TCustomCoolBar (ComCtrls)
    • TObject
      • TPersistent
        • TGraphic (Graphics)
          • TRasterImage (Graphics)
            • TCustomBitmap (Graphics)
    • TObject
      • TPersistent
        • TComponent
          • TLCLComponent (LCLClasses)
            • TControl (Controls)
              • TWinControl (Controls)
                • TCustomComboBox (StdCtrls)
                  • TCustomColorBox (ColorBox)
    • TObject
      • TPersistent
        • TComponent
          • TLCLComponent (LCLClasses)
            • TControl (Controls)
              • TWinControl (Controls)
                • TCustomControl (Controls)
                  • TCustomAbstractGroupedEdit (GroupedEdit)
    • TObject
      • TPersistent
        • TComponent
          • TBasicAction
            • TContainedAction (ActnList)
              • TCustomAction (ActnList)
                • TCommonDialogAction (StdActns)
                  • TFileAction (StdActns)
    • TObject
      • TPersistent
        • TComponent
          • TLCLComponent (LCLClasses)
            • TControl (Controls)
    • TObject
      • TBasicActionLink
        • TActionLink (ActnList)
          • TControlActionLink (Controls)
            • TToolButtonActionLink (ComCtrls)
    • TObject
      • TPersistent
        • TComponent
          • TLCLComponent (LCLClasses)
            • TControl (Controls)
              • TWinControl (Controls)
                • TButtonControl (StdCtrls)
                  • TCustomCheckBox (StdCtrls)
                    • TCheckBox (StdCtrls)
    • TObject
      • TPersistent
        • THelpQuery (HelpIntfs)
    • TObject
      • TPersistent
        • TComponent
          • TLCLComponent (LCLClasses)
            • TControl (Controls)
              • TWinControl (Controls)
                • TCustomControl (Controls)
                  • TCustomAbstractGroupedEdit (GroupedEdit)
                    • TCustomEditButton (EditBtn)
                      • TCustomControlFilterEdit (EditBtn)
    • TObject
      • Exception
        • EShellCtrl (ShellCtrls)
          • EInvalidPath (ShellCtrls)
    • TObject
      • TPersistent
        • TCollection
          • TOwnedCollection
            • TStoredValues (PropertyStorage)
    • TObject
      • TPersistent
        • THelpQuery (HelpIntfs)
          • THelpQueryClass (HelpIntfs)
    • TObject
      • TPersistent
        • TComponent
          • TLCLComponent (LCLClasses)
            • TControl (Controls)
              • TWinControl (Controls)
                • TCustomControl (Controls)
                  • TCustomUpDown (ComCtrls)
                    • TUpDown (ComCtrls)
    • TObject
      • TPersistent
        • TComponent
          • TLCLComponent (LCLClasses)
            • TControl (Controls)
              • TWinControl (Controls)
                • TCustomStaticText (StdCtrls)
    • TObject
      • TPersistent
        • TComponent
          • TLCLComponent (LCLClasses)
            • TControl (Controls)
              • TWinControl (Controls)
                • TCustomControl (Controls)
                  • TCDControl (CustomDrawnControls)
    • TObject
      • TPersistent
        • TComponent
          • TCustomTaskDialog (Dialogs)
    • TObject
      • TPersistent
        • TComponent
          • THelpDatabase (LazHelpIntf)
    • TObject
      • TPersistent
        • TComponent
          • TLCLComponent (LCLClasses)
            • TControl (Controls)
              • TWinControl (Controls)
                • TPreviewFileControl (ExtDlgs)
    • TObject
      • TPersistent
        • TComponent
          • TLCLComponent (LCLClasses)
            • TControl (Controls)
              • TWinControl (Controls)
                • TCustomComboBox (StdCtrls)
                  • TCustomDBComboBox (DBCtrls)
                    • TDBComboBox (DBCtrls)
    • TObject
      • TPersistent
        • TComponent
          • TLCLComponent (LCLClasses)
            • TScreen (Forms)
    • TObject
      • TPersistent
        • TComponent
          • TBasicAction
            • TContainedAction (ActnList)
              • TCustomAction (ActnList)
                • TAction (ActnList)
                  • TEditAction (StdActns)
                    • TEditDelete (StdActns)
    • TObject
      • TPersistent
        • TComponent
          • TLCLComponent (LCLClasses)
            • TControl (Controls)
              • TGraphicControl (Controls)
                • TShape (ExtCtrls)
    • TObject
      • TPersistent
        • TComponent
          • TLCLComponent (LCLClasses)
            • TControl (Controls)
              • TWinControl (Controls)
                • TCustomControl (Controls)
                  • TCustomAbstractGroupedEdit (GroupedEdit)
                    • TCustomEditButton (EditBtn)
                      • TDateEdit (EditBtn)
                        • TDBDateEdit (DBExtCtrls)
    • TObject
      • TPersistent
        • TComponent
          • TLCLComponent (LCLClasses)
            • TControl (Controls)
              • TWinControl (Controls)
                • TCustomControl (Controls)
                  • TCustomSplitter (ExtCtrls)
                    • TSplitter (ExtCtrls)
    • TObject
      • TPersistent
        • TComponent
          • TLCLComponent (LCLClasses)
            • TControl (Controls)
              • TWinControl (Controls)
                • TCustomControl (Controls)
                  • TScrollingWinControl (Forms)
                    • TCustomDesignControl (Forms)
                      • TCustomForm (Forms)
                        • TForm (Forms)
    • TObject
      • TPersistent
        • TComponent
          • TLCLComponent (LCLClasses)
            • TControl (Controls)
              • TWinControl (Controls)
                • TCustomControl (Controls)
                  • TCustomUpDown (ComCtrls)
    • TObject
      • TPersistent
        • TComponent
          • TLCLComponent (LCLClasses)
            • TControl (Controls)
              • TWinControl (Controls)
                • TCustomTabControl (ComCtrls)
    • TObject
      • TPersistent
        • TComponent
          • TBasicAction
            • TContainedAction (ActnList)
              • TCustomAction (ActnList)
                • TAction (ActnList)
                  • THelpAction (StdActns)
    • TObject
      • TPersistent
        • TComponent
          • TLCLComponent (LCLClasses)
            • TControl (Controls)
              • TWinControl (Controls)
                • TCustomControl (Controls)
                  • TCustomPanel (ExtCtrls)
    • TObject
      • TPersistent
        • TComponent
          • TLCLComponent (LCLClasses)
            • TControl (Controls)
              • TWinControl (Controls)
                • TCustomProgressBar (ComCtrls)
                  • TProgressBar (ComCtrls)
    • TObject
      • TPrinter (Printers)
    • TObject
      • TStream
        • TCustomMemoryStream
          • TMemoryStream
            • TExtMemoryStream (LCLMemManager)
    • TObject
      • TPersistent
        • TComponent
          • TLCLComponent (LCLClasses)
            • TControl (Controls)
              • TWinControl (Controls)
                • TCustomTrackBar (ComCtrls)
                  • TTrackBar (ComCtrls)
    • TObject
      • TPersistent
        • TComponent
          • TLCLComponent (LCLClasses)
            • TControl (Controls)
              • TWinControl (Controls)
                • TCustomControl (Controls)
                  • TCustomSplitter (ExtCtrls)
    • TObject
      • TPersistent
        • TComponent
          • TLCLComponent (LCLClasses)
            • TCustomActionList (ActnList)
              • TActionList (ActnList)
    • TObject
      • Exception
        • EGraphicException (Graphics)
          • EInvalidGraphic (Graphics)
    • TObject
      • TPersistent
        • TComponent
          • TLCLComponent (LCLClasses)
            • TControl (Controls)
              • TWinControl (Controls)
                • TCustomEdit (StdCtrls)
                  • TCustomFloatSpinEdit (Spin)
                    • TCustomSpinEdit (Spin)
    • TObject
      • TPersistent
        • TCollection
          • THeaderSections (ComCtrls)
    • TObject
      • TPersistent
        • TComponent
          • TLCLComponent (LCLClasses)
            • TControl (Controls)
              • TWinControl (Controls)
                • TCustomControl (Controls)
                  • TCustomGrid (Grids)
                    • TCustomDrawGrid (Grids)
                      • TCustomStringGrid (Grids)
    • TObject
      • TPersistent
        • TComponent
          • TCustomPropertyStorage (PropertyStorage)
            • TControlPropertyStorage (Controls)
              • TFormPropertyStorage (Forms)
    • TObject
      • TPersistent
        • THelpQuery (HelpIntfs)
          • THelpQueryKeyword (HelpIntfs)
    • TObject
      • TPersistent
        • TComponent
          • TLCLComponent (LCLClasses)
            • TControl (Controls)
              • TWinControl (Controls)
                • TCustomControl (Controls)
                  • TCustomGrid (Grids)
                    • TCustomDBGrid (DBGrids)
    • TObject
      • TPersistent
        • TComponent
          • TLCLComponent (LCLClasses)
            • TControl (Controls)
              • TWinControl (Controls)
                • TCustomGroupBox (StdCtrls)
                  • TCustomCheckGroup (ExtCtrls)
                    • TCheckGroup (ExtCtrls)
    • TObject
      • TPersistent
        • TComponent
          • TLCLComponent (LCLClasses)
            • TCommonDialog (Dialogs)
              • TFileDialog (Dialogs)
    • TObject
      • TPersistent
        • TComponent
          • TLCLComponent (LCLClasses)
            • TControl (Controls)
              • TWinControl (Controls)
                • TButtonControl (StdCtrls)
                  • TCustomButton (StdCtrls)
                    • TButton (StdCtrls)
                      • TButtonCellEditor (Grids)
    • TObject
      • Exception
        • EShellCtrl (ShellCtrls)
    • TObject
      • TPersistent
        • THelpDBItem (LazHelpIntf)
          • THelpDBISourceFile (LazHelpIntf)
    • TObject
      • TPersistent
        • THelpQuery (HelpIntfs)
          • THelpQueryTOC (HelpIntfs)
    • TObject
      • TPersistent
        • TComponent
          • TLCLComponent (LCLClasses)
            • TControl (Controls)
              • TWinControl (Controls)
                • TCustomEdit (StdCtrls)
                  • TCustomMaskEdit (MaskEdit)
                    • TStringCellEditor (Grids)
    • TObject
      • TPersistent
        • TComponent
          • TLCLComponent (LCLClasses)
            • TControl (Controls)
              • TWinControl (Controls)
                • TCustomComboBox (StdCtrls)
                  • TCustomComboBoxEx (ComboEx)
    • TObject
      • TPersistent
        • TComponent
          • TLCLComponent (LCLClasses)
            • TCommonDialog (Dialogs)
              • TExtCommonDialog (ExtDlgs)
    • TObject
      • TPersistent
        • TGridColumnTitle (Grids)
    • TObject
      • TPersistent
        • TComponent
          • TBasicAction
            • TContainedAction (ActnList)
    • TObject
      • TList
        • TPropertiesToSkip (LResources)
    • TObject
      • TPersistent
        • TGraphic (Graphics)
          • TRasterImage (Graphics)
            • TCustomBitmap (Graphics)
              • TFPImageBitmap (Graphics)
                • TTiffImage (Graphics)
    • TObject
      • TPersistent
        • TGraphic (Graphics)
          • TRasterImage (Graphics)
            • TCustomBitmap (Graphics)
              • TFPImageBitmap (Graphics)
    • TObject
      • TPersistent
        • TComponent
          • TLCLComponent (LCLClasses)
            • TControl (Controls)
              • TWinControl (Controls)
                • TCustomEdit (StdCtrls)
                  • TEdit (StdCtrls)
    • TObject
      • TAbstractObjectWriter
        • TLRSObjectWriter (LResources)
    • TObject
      • TPersistent
        • TComponent
          • TLCLComponent (LCLClasses)
            • TControl (Controls)
              • TWinControl (Controls)
    • TObject
      • TPersistent
        • TStrings
          • TStringList
            • TShortCutList (ActnList)
    • TObject
      • TPersistent
        • TComponent
          • TLCLComponent (LCLClasses)
            • TControl (Controls)
              • TWinControl (Controls)
                • TCustomComboBox (StdCtrls)
                  • TCustomDBComboBox (DBCtrls)
    • TObject
      • TBasicActionLink
        • TActionLink (ActnList)
          • TControlActionLink (Controls)
    • TObject
      • TPersistent
        • TComponent
          • TLCLComponent (LCLClasses)
            • TControl (Controls)
              • TWinControl (Controls)
                • TCustomControl (Controls)
    • TObject
      • TPersistent
        • TComponent
          • TLCLComponent (LCLClasses)
            • TControl (Controls)
              • TWinControl (Controls)
                • TCustomPairSplitter (PairSplitter)
                  • TPairSplitter (PairSplitter)
    • TObject
      • TPersistent
        • TCollection
          • TStatusPanels (ComCtrls)
    • TObject
      • TPersistent
        • TComponent
          • TLCLComponent (LCLClasses)
            • TControl (Controls)
              • TWinControl (Controls)
                • TCustomControl (Controls)
                  • TCDControl (CustomDrawnControls)
                    • TCDEdit (CustomDrawnControls)
                      • TCDSpinEdit (CustomDrawnControls)
    • TObject
      • TPersistent
        • TCollection
          • TCoolBands (ComCtrls)
    • TObject
      • TPersistent
        • TComponent
          • TLCLComponent (LCLClasses)
            • TLCLReferenceComponent (LCLClasses)
    • TObject
      • TPersistent
        • TStrings
          • TNBBasePages (ComCtrls)
            • TNBPages (ComCtrls)
    • TObject
      • TPersistent
        • TComponent
          • TLCLComponent (LCLClasses)
            • TCommonDialog (Dialogs)
              • TColorDialog (Dialogs)
    • TObject
      • TPersistent
        • TComponent
          • TLCLComponent (LCLClasses)
            • TControl (Controls)
              • TWinControl (Controls)
                • TCustomEdit (StdCtrls)
                  • TCustomLabeledEdit (ExtCtrls)
                    • TLabeledEdit (ExtCtrls)
    • TObject
      • TPersistent
        • TComponent
          • TLCLComponent (LCLClasses)
            • TControl (Controls)
              • TWinControl (Controls)
                • TCustomListBox (StdCtrls)
                  • TCustomColorListBox (ColorBox)
                    • TColorListBox (ColorBox)
    • TObject
      • TPersistent
        • TControlChildSizing (Controls)
    • TObject
      • TPersistent
        • TComponent
          • TLCLComponent (LCLClasses)
            • TControl (Controls)
              • TWinControl (Controls)
                • TButtonControl (StdCtrls)
                  • TCustomButton (StdCtrls)
                    • TCustomBitBtn (Buttons)
                      • TBitBtn (Buttons)
    • TObject
      • TPersistent
        • TComponent
          • TLCLComponent (LCLClasses)
            • TCustomTrayIcon (ExtCtrls)
    • TObject
      • TPersistent
        • TComponent
          • TLCLComponent (LCLClasses)
            • TControl (Controls)
              • TWinControl (Controls)
                • TCustomGroupBox (StdCtrls)
                  • TCustomRadioGroup (ExtCtrls)
                    • TRadioGroup (ExtCtrls)
    • TObject
      • TPersistent
        • TComponent
          • TLCLComponent (LCLClasses)
            • TCommonDialog (Dialogs)
              • TExtCommonDialog (ExtDlgs)
                • TCalculatorDialog (ExtDlgs)
    • TObject
      • TPersistent
        • TComponent
          • TLCLComponent (LCLClasses)
            • TControl (Controls)
              • TWinControl (Controls)
                • TCustomControl (Controls)
                  • TToolWindow (Toolwin)
                    • TToolBar (ComCtrls)
    • TObject
      • TPersistent
        • TComponent
          • TBasicAction
            • TContainedAction (ActnList)
              • TCustomAction (ActnList)
                • TAction (ActnList)
                  • TDataSetAction (DBActns)
    • TObject
      • TPersistent
        • TIconOptions (ComCtrls)
    • TObject
      • TPersistent
        • TComponent
          • TLCLComponent (LCLClasses)
            • TControl (Controls)
              • TWinControl (Controls)
                • TCustomControl (Controls)
                  • TToolWindow (Toolwin)
    • TObject
      • TPersistent
        • TComponent
          • TCustomPropertyStorage (PropertyStorage)
            • TControlPropertyStorage (Controls)
              • TFormPropertyStorage (Forms)
                • TCustomIniPropStorage (IniPropStorage)
    • TObject
      • TPersistent
        • TComponent
          • TLCLComponent (LCLClasses)
            • TControl (Controls)
              • TWinControl (Controls)
                • TCustomControl (Controls)
                  • TNotebook (ExtCtrls)
    • TObject
      • TPersistent
        • TCollectionItem
          • TCoolBand (ComCtrls)
    • TObject
      • TPersistent
        • TComponent
          • TBasicAction
            • TContainedAction (ActnList)
              • TCustomAction (ActnList)
                • TAction (ActnList)
    • TObject
      • TPersistent
        • TComponent
          • TBasicAction
            • TContainedAction (ActnList)
              • TCustomAction (ActnList)
                • TCommonDialogAction (StdActns)
                  • TSearchAction (StdActns)
                    • TSearchFind (StdActns)
                      • TSearchFindFirst (StdActns)
    • TObject
      • TList
        • TListWithEvent (LCLType)
    • TObject
      • TPersistent
        • TComponent
          • TLCLComponent (LCLClasses)
            • TControl (Controls)
              • TWinControl (Controls)
                • TCustomEdit (StdCtrls)
                  • TCustomFloatSpinEdit (Spin)
                    • TFloatSpinEdit (Spin)
    • TObject
      • Exception
        • EInterfaceException (InterfaceBase)
          • EInterfaceError (InterfaceBase)
    • TObject
      • TPersistent
        • TComponent
          • TLCLComponent (LCLClasses)
            • TControl (Controls)
              • TWinControl (Controls)
                • TCustomListBox (StdCtrls)
                  • TCustomFileListBox (FileCtrl)
    • TObject
      • TBasicActionLink
        • TActionLink (ActnList)
    • TObject
      • TPersistent
        • TComponent
          • TLCLComponent (LCLClasses)
            • TControl (Controls)
              • TWinControl (Controls)
                • TCustomControl (Controls)
                  • TCustomGrid (Grids)
    • TObject
      • TPersistent
        • TComponent
          • TCustomPropertyStorage (PropertyStorage)
            • TControlPropertyStorage (Controls)
              • TFormPropertyStorage (Forms)
                • TCustomJSONPropStorage (JSONPropStorage)
                  • TJSONPropStorage (JSONPropStorage)
    • TObject
      • TPersistent
        • TComponent
          • TLCLComponent (LCLClasses)
            • TControl (Controls)
              • TWinControl (Controls)
                • TCustomTabControl (ComCtrls)
                  • TPageControl (ComCtrls)
    • TObject
      • TPersistent
        • TComponent
          • TLCLComponent (LCLClasses)
            • TCustomImageList (ImgList)
              • TDragImageList (Controls)
                • TImageList (Controls)
    • TObject
      • TPersistent
        • TComponent
          • TLCLComponent (LCLClasses)
            • TControl (Controls)
              • TWinControl (Controls)
                • TCompositeCellEditor (Grids)
    • TObject
      • TList
        • TIcnsList (Graphics)
    • TObject
      • TPersistent
        • TDockManager (Controls)
          • TDockTree (Controls)
            • TLazDockTree (LDockTree)
    • TObject
      • TPersistent
        • TComponent
          • TLCLComponent (LCLClasses)
            • TControl (Controls)
              • TWinControl (Controls)
                • TCustomControl (Controls)
                  • TCustomPanel (ExtCtrls)
                    • TCustomFlowPanel (ExtCtrls)
                      • TFlowPanel (ExtCtrls)
    • TObject
      • TPersistent
        • TComponent
          • TLCLComponent (LCLClasses)
            • TControl (Controls)
              • TGraphicControl (Controls)
                • TToolButton (ComCtrls)
    • TObject
      • TPersistent
        • TComponent
          • TBasicAction
            • TContainedAction (ActnList)
              • TCustomAction (ActnList)
                • TAction (ActnList)
                  • TDataSetAction (DBActns)
                    • TDataSetCancel (DBActns)
    • TObject
      • TPersistent
        • TComponent
          • TBasicAction
            • TContainedAction (ActnList)
              • TCustomAction (ActnList)
                • TCommonDialogAction (StdActns)
                  • TSearchAction (StdActns)
    • TObject
      • TPersistent
        • TComponent
          • TLCLComponent (LCLClasses)
            • TControl (Controls)
              • TWinControl (Controls)
                • TCustomComboBox (StdCtrls)
                  • TCustomFilterComboBox (FileCtrl)
                    • TFilterComboBox (FileCtrl)
    • TObject
      • TPersistent
        • THelpBaseURLObject (LazHelpIntf)
    • TObject
      • TPersistent
        • TComponent
          • TLCLComponent (LCLClasses)
            • TControl (Controls)
              • TGraphicControl (Controls)
                • TIndustrialBase (IndustrialBase)
                  • TArrow (Arrow)
    • TObject
      • TPersistent
        • TComponent
          • TLCLComponent (LCLClasses)
            • TControl (Controls)
              • TWinControl (Controls)
                • TButtonControl (StdCtrls)
                  • TCustomButton (StdCtrls)
                    • TCustomBitBtn (Buttons)
                      • TBitBtn (Buttons)
                        • TDBNavFocusableButton (DBCtrls)
    • TObject
      • TPersistent
        • TStrings
          • TStringGridStrings (Grids)
    • TObject
      • TPersistent
        • TComponent
          • TLCLComponent (LCLClasses)
            • TControl (Controls)
              • TWinControl (Controls)
                • TCustomListBox (StdCtrls)
    • TObject
      • TPersistent
        • TComponent
          • TLCLComponent (LCLClasses)
            • TControl (Controls)
              • TWinControl (Controls)
                • TCustomEdit (StdCtrls)
                  • TCustomMemo (StdCtrls)
                    • TDBMemo (DBCtrls)
    • TObject
      • TPersistent
        • TComponent
          • TLCLComponent (LCLClasses)
            • TControl (Controls)
              • TWinControl (Controls)
                • TCustomControl (Controls)
                  • TCustomTreeView (ComCtrls)
                    • TTreeView (ComCtrls)
    • TObject
      • TPersistent
        • TComponent
          • TLCLComponent (LCLClasses)
            • TControl (Controls)
              • TWinControl (Controls)
                • TCustomControl (Controls)
                  • TCustomPanel (ExtCtrls)
                    • TCustomButtonPanel (ButtonPanel)
                      • TButtonPanel (ButtonPanel)
    • TObject
      • TPersistent
        • TComponent
          • TCustomTimer (CustomTimer)
            • TCustomIdleTimer (ExtCtrls)
    • TObject
      • TPersistent
        • TGraphic (Graphics)
          • TRasterImage (Graphics)
            • TCustomBitmap (Graphics)
              • TFPImageBitmap (Graphics)
                • TPortableNetworkGraphic (Graphics)
    • TObject
      • TPersistent
        • TGraphic (Graphics)
          • TRasterImage (Graphics)
            • TCustomBitmap (Graphics)
              • TFPImageBitmap (Graphics)
                • TPixmap (Graphics)
    • TObject
      • TPersistent
        • TComponent
          • TLCLComponent (LCLClasses)
            • TControl (Controls)
              • TWinControl (Controls)
                • TCustomControl (Controls)
                  • TCDControl (CustomDrawnControls)
                    • TCDButtonControl (CustomDrawnControls)
                      • TCDRadioButton (CustomDrawnControls)
    • TObject
      • TPersistent
        • TComponent
          • TLCLComponent (LCLClasses)
            • TControl (Controls)
              • TWinControl (Controls)
                • TCustomControl (Controls)
                  • TScrollingWinControl (Forms)
                    • TCustomDesignControl (Forms)
                      • TCustomForm (Forms)
                        • TForm (Forms)
                          • TLazarusFileDialogForm (LazDialogs)
    • TObject
      • TPersistent
        • TGraphicsObject (Graphics)
          • TRegion (Graphics)
    • TObject
      • TPersistent
        • TComponent
          • TLCLComponent (LCLClasses)
            • TControl (Controls)
              • TWinControl (Controls)
                • TCustomControl (Controls)
                  • TScrollingWinControl (Forms)
                    • TCustomDesignControl (Forms)
                      • TCustomFrame (Forms)
    • TObject
      • TPersistent
        • THelpDBItem (LazHelpIntf)
          • THelpDBISourceFile (LazHelpIntf)
            • THelpDBISourceDirectory (LazHelpIntf)
              • THelpDBISourceDirectories (LazHelpIntf)
    • TObject
      • TPersistent
        • TComponent
          • TLCLComponent (LCLClasses)
            • TControl (Controls)
              • TWinControl (Controls)
                • TCustomEdit (StdCtrls)
                  • TCustomListViewEditor (ComCtrls)
    • TObject
      • TPersistent
        • TComponent
          • TBasicAction
            • TContainedAction (ActnList)
              • TCustomAction (ActnList)
                • TAction (ActnList)
                  • TDataSetAction (DBActns)
                    • TDataSetEdit (DBActns)
    • TObject
      • TList
        • TImageCacheItems (ImageListCache)
    • TObject
      • TPersistent
        • TComponent
          • TBasicAction
            • TContainedAction (ActnList)
              • TCustomAction (ActnList)
                • TCommonDialogAction (StdActns)
                  • TSearchAction (StdActns)
                    • TSearchReplace (StdActns)
    • TObject
      • Exception
        • ETreeNodeError (ComCtrls)
    • TObject
      • TPersistent
        • TComponent
          • TLCLComponent (LCLClasses)
            • TMenu (Menus)
              • TMainMenu (Menus)
    • TObject
      • TPersistent
        • TComponent
          • TLCLComponent (LCLClasses)
            • TControl (Controls)
              • TWinControl (Controls)
                • TCustomStaticText (StdCtrls)
                  • TStaticText (StdCtrls)
    • TObject
      • TPersistent
        • TComponent
          • TLCLComponent (LCLClasses)
            • TControl (Controls)
              • TWinControl (Controls)
                • TCustomControl (Controls)
                  • TCustomGrid (Grids)
                    • TCustomDrawGrid (Grids)
                      • TDrawGrid (Grids)
    • TObject
      • Exception
        • EInterfaceException (InterfaceBase)
          • EInterfaceCritical (InterfaceBase)
    • TObject
      • TPersistent
        • TComponent
          • TLCLComponent (LCLClasses)
            • TControl (Controls)
              • TWinControl (Controls)
                • TCustomControl (Controls)
                  • TScrollingWinControl (Forms)
                    • TCustomDesignControl (Forms)
                      • TCustomForm (Forms)
                        • THintWindow (Forms)
                          • TNotifierForm (PopupNotifier)
    • TObject
      • TPersistent
        • TTreeNodes (ComCtrls)
    • TObject
      • TPersistent
        • TComponent
          • TLCLComponent (LCLClasses)
            • TControl (Controls)
              • TWinControl (Controls)
                • TCustomComboBox (StdCtrls)
                  • TPickListCellEditor (Grids)
    • TObject
      • Exception
        • EInvalidUtf8 (MaskEdit)
          • EInvalidCodePoint (MaskEdit)
    • TObject
      • TPersistent
        • TComponent
          • TLCLComponent (LCLClasses)
            • TControl (Controls)
              • TWinControl (Controls)
                • TCustomControl (Controls)
                  • TCDControl (CustomDrawnControls)
                    • TCDScrollableControl (CustomDrawnControls)
                      • TCDListView (CustomDrawnControls)
    • TObject
      • TPersistent
        • TComponent
          • TLCLComponent (LCLClasses)
            • TControl (Controls)
              • TWinControl (Controls)
                • TCustomListBox (StdCtrls)
                  • TCustomDBListBox (DBCtrls)
                    • TDBLookupListBox (DBCtrls)
    • TObject
      • TPersistent
        • TComponent
          • TLCLComponent (LCLClasses)
            • TControl (Controls)
              • TWinControl (Controls)
                • TButtonControl (StdCtrls)
                  • TCustomCheckBox (StdCtrls)
                    • TToggleBox (StdCtrls)
    • TObject
      • TPersistent
        • TComponent
          • TLCLComponent (LCLClasses)
            • TCustomImageList (ImgList)
    • TObject
      • TPersistent
        • TComponent
          • TBasicAction
            • TContainedAction (ActnList)
              • TCustomAction (ActnList)
                • TAction (ActnList)
                  • TEditAction (StdActns)
                    • TEditSelectAll (StdActns)
    • TObject
      • TPersistent
        • TComponent
          • TLCLComponent (LCLClasses)
            • TControl (Controls)
              • TGraphicControl (Controls)
                • TCustomSpeedButton (Buttons)
                  • TSpeedButton (Buttons)
    • TObject
      • TPersistent
        • TCollectionItem
          • TFlowPanelControl (ExtCtrls)
    • TObject
      • TBasicActionLink
        • TActionLink (ActnList)
          • TControlActionLink (Controls)
            • TSpeedButtonActionLink (Buttons)
    • TObject
      • TPersistent
        • TComponent
          • TLCLComponent (LCLClasses)
            • TControl (Controls)
              • TWinControl (Controls)
                • TCustomControl (Controls)
                  • TCDControl (CustomDrawnControls)
                    • TCDPositionedControl (CustomDrawnControls)
    • TObject
      • TPersistent
        • TComponent
          • TLCLComponent (LCLClasses)
            • TControl (Controls)
              • TWinControl (Controls)
                • TCustomListBox (StdCtrls)
                  • TListBox (StdCtrls)
    • TObject
      • TPersistent
        • TListItem (ComCtrls)
    • TObject
      • TPersistent
        • TComponent
          • TLCLComponent (LCLClasses)
            • TControl (Controls)
              • TWinControl (Controls)
                • TCustomGroupBox (StdCtrls)
    • TObject
      • TPersistent
        • TComponent
          • TLCLComponent (LCLClasses)
            • TControl (Controls)
              • TWinControl (Controls)
                • TCustomControl (Controls)
                  • TCDControl (CustomDrawnControls)
                    • TCDStaticText (CustomDrawnControls)
    • TObject
      • TPersistent
        • TGraphic (Graphics)
          • TRasterImage (Graphics)
            • TCustomIcon (Graphics)
              • TIcon (Graphics)
    • TObject
      • TPersistent
        • TComponent
          • TLCLComponent (LCLClasses)
            • TControl (Controls)
              • TWinControl (Controls)
                • TCustomControl (Controls)
                  • TScrollingWinControl (Forms)
                    • TCustomDesignControl (Forms)
                      • TCustomFrame (Forms)
                        • TFrame (Forms)
    • TObject
      • TPersistent
        • TComponent
          • TLCLComponent (LCLClasses)
            • TControl (Controls)
              • TWinControl (Controls)
                • TCustomEdit (StdCtrls)
                  • TCustomMaskEdit (MaskEdit)
                    • TDBEdit (DBCtrls)
    • TObject
      • TPersistent
        • TCollectionItem
          • TDialogButton (InterfaceBase)
    • TObject
      • TPersistent
        • TGraphic (Graphics)
          • TRasterImage (Graphics)
            • TCustomIcon (Graphics)
              • TIcnsIcon (Graphics)
    • TObject
      • TPersistent
        • TComponent
          • TLCLComponent (LCLClasses)
            • TControl (Controls)
              • TWinControl (Controls)
                • TCustomControl (Controls)
                  • TScrollingWinControl (Forms)
                    • TCustomDesignControl (Forms)
                      • TCustomForm (Forms)
                        • TLazDockForm (LDockTree)
    • TObject
      • TPersistent
        • TComponent
          • TBasicAction
            • TContainedAction (ActnList)
              • TCustomAction (ActnList)
                • TCustomHintAction (Forms)
    • TObject
      • TPersistent
        • TComponent
          • TLCLComponent (LCLClasses)
            • TControl (Controls)
              • TWinControl (Controls)
                • TCustomComboBox (StdCtrls)
                  • TCustomColorBox (ColorBox)
                    • TColorBox (ColorBox)
    • TObject
      • TPersistent
        • TComponent
          • TLCLComponent (LCLClasses)
            • TControl (Controls)
              • TWinControl (Controls)
                • TCustomEdit (StdCtrls)
                  • TCustomMaskEdit (MaskEdit)
                    • TMaskEdit (MaskEdit)
    • TObject
      • TPersistent
        • TComponent
          • TLCLComponent (LCLClasses)
            • TControl (Controls)
              • TGraphicControl (Controls)
                • TPaintBox (ExtCtrls)
    • TObject
      • TPersistent
        • TComponent
          • TCustomTimer (CustomTimer)
            • TTimer (ExtCtrls)
    • TObject
      • TPersistent
        • TComponent
          • TLCLComponent (LCLClasses)
            • TControl (Controls)
              • TWinControl (Controls)
                • TButtonControl (StdCtrls)
                  • TCustomButton (StdCtrls)
    • TObject
      • TPersistent
        • TCollectionItem
          • TTaskDialogBaseButtonItem (Dialogs)
            • TTaskDialogButtonItem (Dialogs)
    • TObject
      • Exception
        • EPrinter (Printers)
    • TObject
      • Exception
        • EGraphicException (Graphics)
    • TObject
      • TPersistent
        • TComponent
          • TLCLComponent (LCLClasses)
            • TControl (Controls)
              • TWinControl (Controls)
                • TCustomControl (Controls)
                  • TCustomGrid (Grids)
                    • TCustomDBGrid (DBGrids)
                      • TDBGrid (DBGrids)
    • TObject
      • TPersistent
        • TComponent
          • TLCLComponent (LCLClasses)
    • TObject
      • TPersistent
        • TComponent
          • TLCLComponent (LCLClasses)
            • TControl (Controls)
              • TWinControl (Controls)
                • TCustomControl (Controls)
                  • TCustomAbstractGroupedEdit (GroupedEdit)
                    • TCustomEditButton (EditBtn)
                      • TTimeEdit (EditBtn)
    • TObject
      • TList
        • TMonitorList (Forms)
    • TObject
      • TPersistent
        • TComponent
          • TLCLComponent (LCLClasses)
            • TControl (Controls)
              • TWinControl (Controls)
                • TCustomControl (Controls)
                  • TScrollingWinControl (Forms)
                    • TCustomDesignControl (Forms)
                      • TCustomForm (Forms)
                        • TForm (Forms)
                          • TLazMessageDialog (LazDialogs)
    • TObject
      • TPersistent
        • TSizeConstraints (Controls)
    • TObject
      • TPersistent
        • TComponent
          • TLCLComponent (LCLClasses)
            • TControl (Controls)
              • TWinControl (Controls)
                • TCustomControl (Controls)
                  • TScrollingWinControl (Forms)
                    • TCustomDesignControl (Forms)
                      • TCustomForm (Forms)
                        • TForm (Forms)
                          • TCustomCopyToClipboardDialog (Dialogs)
    • TObject
      • TPersistent
        • THelpDBItem (LazHelpIntf)
    • TObject
      • TPersistent
        • TComponent
          • TLCLComponent (LCLClasses)
            • TCommonDialog (Dialogs)
              • TFileDialog (Dialogs)
                • TOpenDialog (Dialogs)
                  • TPreviewFileDialog (ExtDlgs)
                    • TOpenPictureDialog (ExtDlgs)
                      • TSavePictureDialog (ExtDlgs)
    • TObject
      • TPersistent
        • TComponent
          • TLCLComponent (LCLClasses)
            • TControl (Controls)
              • TWinControl (Controls)
                • TCustomPage (ComCtrls)
                  • TTabSheet (ComCtrls)
    • TObject
      • Exception
        • EInvalidGridOperation (DBGrids)
    • TObject
      • TPersistent
        • TCollectionItem
          • THeaderSection (ComCtrls)
    • TObject
      • Exception
        • ELayoutException (Controls)
    • TObject
      • TPersistent
        • TDataLink
          • TDBNavDataLink (DBCtrls)
    • TObject
      • TPersistent
        • TPropertyStorageLink (PropertyStorage)
    • TObject
      • TPersistent
        • TComponent
          • TBasicAction
            • TContainedAction (ActnList)
              • TCustomAction (ActnList)
                • TCommonDialogAction (StdActns)
                  • TColorSelect (StdActns)
    • TObject
      • TPersistent
        • TComponent
          • TBasicAction
            • TContainedAction (ActnList)
              • TCustomAction (ActnList)
                • TSearchFindNext (StdActns)
    • TObject
      • TPersistent
        • TComponent
          • TLCLComponent (LCLClasses)
            • TControl (Controls)
              • TWinControl (Controls)
                • TCustomControl (Controls)
                  • TCDControl (CustomDrawnControls)
                    • TCDButtonControl (CustomDrawnControls)
                      • TCDCheckBox (CustomDrawnControls)
    • TObject
      • TPersistent
        • TComponent
          • TLCLComponent (LCLClasses)
            • TControl (Controls)
              • TWinControl (Controls)
                • TCustomControl (Controls)
                  • TCustomTreeView (ComCtrls)
                    • TCustomShellTreeView (ShellCtrls)
    • TObject
      • TPersistent
        • TComponent
          • TLCLComponent (LCLClasses)
            • TControl (Controls)
              • TWinControl (Controls)
                • TCustomListView (ComCtrls)
                  • TCustomShellListView (ShellCtrls)
    • TObject
      • TPersistent
        • TComponent
          • TLCLComponent (LCLClasses)
            • TControl (Controls)
              • TGraphicControl (Controls)
                • TCustomSpeedButton (Buttons)
                  • TSpeedButton (Buttons)
                    • TDBNavButton (DBCtrls)
    • TObject
      • TPersistent
        • TComponent
          • TBasicAction
            • TContainedAction (ActnList)
              • TCustomAction (ActnList)
                • TCommonDialogAction (StdActns)
                  • TFileAction (StdActns)
                    • TFileOpen (StdActns)
                      • TFileOpenWith (StdActns)
    • TObject
      • TPersistent
        • TComponent
          • TLCLComponent (LCLClasses)
            • TControl (Controls)
              • TWinControl (Controls)
                • TCustomControl (Controls)
                  • TCustomTreeView (ComCtrls)
    • TObject
      • TPersistent
        • TComponent
          • TLCLComponent (LCLClasses)
            • TControl (Controls)
              • TWinControl (Controls)
                • TCustomComboBox (StdCtrls)
                  • TComboBox (StdCtrls)
    • TObject
      • TBasicActionLink
        • TActionLink (ActnList)
          • TMenuActionLink (Menus)
    • TPsUnicode (PostScriptUnicode)
    • TResourceCache (LCLResCache)
      • TFontHandleCache (Graphics)
      • THandleResourceCache (LCLResCache)
        • TBlockResourceCache (LCLResCache)
          • TBrushHandleCache (Graphics)
      • TPenHandleCache (Graphics)
    • TResourceCacheDescriptor (LCLResCache)
      • TBlockResourceCacheDescriptor (LCLResCache)
      • TFontHandleCacheDescriptor (Graphics)
      • TPenHandleCacheDescriptor (Graphics)
    • TResourceCacheItem (LCLResCache)
    • TSharedImage (Graphics)
      • TSharedRasterImage (Graphics)
        • TSharedCustomBitmap (Graphics)
          • TSharedBitmap (Graphics)
          • TSharedGIFImage (Graphics)
          • TSharedJpegImage (Graphics)
          • TSharedPixmap (Graphics)
          • TSharedPortableAnyMapGraphic (Graphics)
          • TSharedPortableNetworkGraphic (Graphics)
          • TSharedTiffImage (Graphics)
        • TSharedIcon (Graphics)
          • TSharedCursorImage (Graphics)
          • TSharedIcnsIcon (Graphics)
    • TTaskDialogButtonsEnumerator (Dialogs)
    • TToolBarEnumerator (ComCtrls)
    • TTreeNodeExpandedState (ComCtrls)
    • TTreeNodesEnumerator (ComCtrls)
    • TVirtualGrid (Grids)
    • TWinControlActionLink
      • TButtonActionLink (StdCtrls)
    • TWinControlEnumerator (Controls)
    • TWSCustomImageListResolution
      • TWSDragImageListResolution (WSControls)
        • TWSImageList (WSControls)
    • TWSLCLComponent
      • TWSControl (WSControls)
        • TWSGraphicControl (WSControls)
        • TWSWinControl (WSControls)
          • TWSCustomControl (WSControls)
    • TWSObject
      • TWSLazAccessibleObject (WSControls)
    • TXMLConfig
      • TPropStorageXMLConfig (XMLPropStorage)


ApplicationActionComponent

Declaration

Source position: actnlist.pas line 303

var ApplicationActionComponent: TComponent = Nil;


Reference for unit 'ActnList'

Defines classes for Actions and Lists of actions to be used with LCL components

uses
System,
Classes,
sysutils,
LCLStrConsts, | This unit contains all resource strings of the LCL
LCLType, | This unit is being created specifically for compatibility with Delphi. It should only be used for constants and type definitions that are included in the Delphi Windows unit. This is only done for compatibiltiy.
LCLProc, | Useful lower level helper functions and classes
LCLIntf, | Contains winapi like functions for Delphi compatibility.
ImgList, | Contains definitions for TCustomImageList, the base class for TImageList.
LCLClasses, | Defines the base class for all LCL TComponents including controls
LMessages; |


Reference for unit 'ActnList': Constants

CreateActionProc

EnumRegisteredActionsProc

RegisterActionsProc

UnRegisterActionsProc


Reference for unit 'ActnList': Types

TActionEvent |
TActionLinkClass | TActionLinkClass - class of TActionLink
TActionListState |
TContainedActionClass |
TEnumActionProc |
THintEvent |


Reference for unit 'ActnList': Classes

TAction | TAction is the basic action object used on the LCL.
TActionLink | A link between an action and a client class
TActionList | TActionList - The basic actions list class
TActionListEnumerator
TContainedAction | TContainedAction - parent class for TCustomAction; defines some properties especially relationships with parents
TCustomAction | TCustomAction is the ancestor class for TAction
TCustomActionList | TCustomActionList - the ancestor class for TActionList
TShortCutList | TShortCutList - a list of shortcuts for actions in an ActionList


Reference for unit 'ActnList': Procedures and functions

CreateAction

EnumRegisteredActions

Register

RegisterActions

UnRegisterActions


Reference for unit 'ActnList': Variables

ApplicationActionComponent


Index of all identifiers in unit 'ActnList'

A C E R T U

A

ApplicationActionComponent | asSuspended
asNormal | asSuspendedEnabled

C

CreateAction CreateActionProc

E

EnumRegisteredActions EnumRegisteredActionsProc

R

Register RegisterActions RegisterActionsProc

T

TAction | TActionListEnumerator | TCustomActionList
TActionEvent | TActionListState | TEnumActionProc
TActionLink | TContainedAction | THintEvent
TActionLinkClass | TContainedActionClass | TShortCutList
TActionList | TCustomAction |

U

UnRegisterActions UnRegisterActionsProc


TActionListState

Declaration

Source position: actnlist.pas line 74

type TActionListState = (

  asNormal,

  asSuspended,

  asSuspendedEnabled

);


TEnumActionProc

Declaration

Source position: actnlist.pas line 281

type TEnumActionProc = procedure(

  const Category: string;

  ActionClass: TBasicActionClass;

  Info: Pointer

) of object;


THintEvent

Declaration

Source position: actnlist.pas line 148

type THintEvent = procedure(

  var HintStr: string;

  var CanShow: Boolean

) of object;


Reference for unit 'alllclunits'

AllLCLUnits - a dummy unit containing a Uses clause listing all the units in the Lazarus Component Library - probably used as a checklist for building Lazarus

uses
System,
CheckLst, | Classes defining the CheckBox placed beside list items in a CheckList
Clipbrd, | Definitions for the Clipboard to hold Cut or Copied data for Pasting
ColorBox, | Defines Classes for selecting colour from a list or ComboBox
ComCtrls, | Several controls commonly used in Lazarus forms
Controls, | This unit contains basic classes for visual controls.
CustomTimer, | Contains definition of base class for TTimer
DBActns, | Standard actions to be used for navigating and manipulating datasets derived from external databases
DBCtrls, | Data-Aware controls commonly used for viewing and operating on information held in databases
DBGrids, | Data-aware grids to display and operate on information in a database
DefaultTranslator, |
Dialogs, | Some dialogs commonly used in Lazarus applications. Look at the Procedures as well as the Classes
ExtCtrls, | Some extra controls commonly used in Lazarus forms
ExtDlgs, | Some useful extra dialogs such as Calendar, Calculator and Open/Save Picture
ExtGraphics, |
FileCtrl, | Class definitions for a box with a list of files for selection
Forms, | Contains definitions and descriptions for constructing the Forms which are the basis of the Lazarus Graphical User Interface
Graphics, | Unit contains definitions for many fundamental classes and types used in graphic applications
GraphMath, | A Set of Mathematical Helper routines to simply Cross-Platfrom Canvas drawing etc
GraphUtil, |
Grids, | Classes for displaying tabular data in the form of a grid of rows and columns
HelpIntfs, |
IcnsTypes, |
ImageListCache, |
ImgList, | Contains definitions for TCustomImageList, the base class for TImageList.
IniPropStorage, | Contains a component that stores Form Session Properties in INI format.
InterfaceBase, | Provides an platform independent widgetset and helper functions.
IntfGraphics, | Classes and functions for easy handling of raw images (interface images)
LazHelpHTML, |
LazHelpIntf, |
LCLClasses, | Defines the base class for all LCL TComponents including controls
LCLIntf, | Contains winapi like functions for Delphi compatibility.
LCLMemManager, |
LCLMessageGlue, |
LCLProc, | Useful lower level helper functions and classes
LCLResCache, | Types and methods to cache interface resources
LCLStrConsts, | This unit contains all resource strings of the LCL
LCLType, | This unit is being created specifically for compatibility with Delphi. It should only be used for constants and type definitions that are included in the Delphi Windows unit. This is only done for compatibiltiy.
Menus, | Menus to be used in Forms created with the Lazarus IDE
LCLUnicodeData, | Container for Unicode, Inc copyrighted data.
LCLVersion, | Contains the version number constants of the LCL.
LMessages, |
LResources, | This unit maintains and stores all standard Lazarus resources in the global LazarusResources list and provides methods and types for component streaming.
MaskEdit, | Defines classes for Mask Editing, ie editing with a masking string in place to obscure the text being entered
PairSplitter, |
PopupNotifier, | Contains the TPopupNotifier visual component
PostScriptCanvas, |
PostScriptPrinter, |
PostScriptUnicode,
Printers, | Defines Printers to be used as output from Lazarus applications
PropertyStorage, |
RubberBand, | Describes TRubberBand, for drawing a ring resembling a rubber band around a selection
ShellCtrls, | Controls which display files and directories
Spin, | This unit contains classes for spin edit controls.
StdActns, | Defines some standard actions to be used in Action Lists in the LCL
StdCtrls, | Several standard controls used in most Lazarus forms
Themes, | For manipulation of display Themes, mostly in a Windows XP (and later) environment
TmSchema, |
Toolwin, |
UTrace, |
XMLPropStorage, | Contains a component that stores Form Session Properties in XML format.
TimePopup,
Messages, |
WSButtons, |
WSCalendar, |
WSCheckLst, |
WSComCtrls, |
WSControls,
WSDesigner,
WSDialogs, |
WSExtCtrls, |
WSExtDlgs, |
WSFactory,
WSForms, |
WSGrids, |
WSImgList, |
WSLCLClasses,
WSMenus, |
WSPairSplitter, |
WSProc, |
WSReferences,
WSSpin, |
WSStdCtrls, |
WSToolwin, |
ActnList, | Defines classes for Actions and Lists of actions to be used with LCL components
AsyncProcess, |
ButtonPanel, | A special panel containing a row of BitButtons
Buttons, | Defines several specialist button classes
Calendar, | Classes defining Calendar, a graphic allowing the user to select a date
RegisterLCL, |
ValEdit, |
LazCanvas, |
LazDialogs, |
LazRegions, |
CustomDrawn_Common, |
CustomDrawnControls, |
CustomDrawnDrawers, |
LazDeviceApis, | LCL APIs for accessing hardware sensors (such as Accelerometer, GPS, etc) and integrated elements of the system (such as Calendar, Contacts, etc)
LDockTree, | This unit defines TLazDockTree, the default TDockTree for the LCL
LazFreeTypeIntfDrawer, |
CustomDrawn_WinXP, |
CustomDrawn_Android, |
Arrow, | Defines the Arrow symbol widely used in Forms
EditBtn, | Defines some special Edit Boxes with attached Speed Buttons
ComboEx, |
DBExtCtrls, | dbextctrls.pp contains extended database controls
CustomDrawn_Mac, |
CalcForm,
LCLTranslator, |
GroupedEdit, |
LCLTaskDialog, |
WSLazDeviceAPIS,
LCLPlatformDef, |
IndustrialBase, |
JSONPropStorage, | Contains a component that stores Form Session Properties in JSON format.
LCLExceptionStackTrace,
LazarusPackageIntf;


Index of all identifiers in unit 'alllclunits'

The latest version of this document can be found at lazarus-ccr.sourceforge.net .


Reference for unit 'Arrow'

Defines the Arrow symbol widely used in Forms

uses
System,
Classes,
Types,
math,
Controls, | This unit contains basic classes for visual controls.
Graphics, | Unit contains definitions for many fundamental classes and types used in graphic applications
IndustrialBase; |


Reference for unit 'Arrow': Types

TArrowType

TShadowType

TTrianglePoints

TTriPts


Reference for unit 'Arrow': Classes

TArrow

TArrow - an arrow symbol widely used in forms


Reference for unit 'Arrow': Procedures and functions

Register


Index of all identifiers in unit 'Arrow'

A P R S T

A

atDown | atRight
atLeft | atUp

P

ptA ptB ptC

R

Register

S

stEtchedIn | stFilled | stNone
stEtchedOut | stIn | stOut

T

TArrow | TShadowType | TTriPts
TArrowType | TTrianglePoints |


TShadowType

Declaration

Source position: arrow.pp line 27

type TShadowType = (

  stNone,

  stIn,

  stOut,

  stEtchedIn,

  stEtchedOut,

  stFilled

);


TTrianglePoints

Declaration

Source position: arrow.pp line 29

type TTrianglePoints = array [TTriPts] of TPoint;


TTriPts

Declaration

Source position: arrow.pp line 28

type TTriPts = (

  ptA,

  ptB,

  ptC

);


Reference for unit 'AsyncProcess'

uses
System,
Classes,
process,
FileUtil,
UTF8Process,
InterfaceBase, | Provides an platform independent widgetset and helper functions.
LCLIntf; | Contains winapi like functions for Delphi compatibility.


Reference for unit 'AsyncProcess': Classes

TAsyncProcess


Reference for unit 'AsyncProcess': Procedures and functions

Register


Index of all identifiers in unit 'AsyncProcess'

R T

R

Register

T

TAsyncProcess


DefShowButtons

Declaration

Source position: buttonpanel.pas line 25

const DefShowButtons = [pbOK, pbCancel, pbClose, pbHelp];


DefShowGlyphs

Declaration

Source position: buttonpanel.pas line 26

const DefShowGlyphs = [pbOK, pbCancel, pbClose, pbHelp];


Reference for unit 'ButtonPanel'

A special panel containing a row of BitButtons

uses
System,
Math,
Types,
sysutils,
Classes,
LCLProc, | Useful lower level helper functions and classes
Controls, | This unit contains basic classes for visual controls.
ExtCtrls, | Some extra controls commonly used in Lazarus forms
StdCtrls, | Several standard controls used in most Lazarus forms
Buttons, | Defines several specialist button classes
Forms, | Contains definitions and descriptions for constructing the Forms which are the basis of the Lazarus Graphical User Interface
GraphType, |
Graphics, | Unit contains definitions for many fundamental classes and types used in graphic applications
LMessages, |
Themes, | For manipulation of display Themes, mostly in a Windows XP (and later) environment
LCLType; | This unit is being created specifically for compatibility with Delphi. It should only be used for constants and type definitions that are included in the Delphi Windows unit. This is only done for compatibiltiy.


Reference for unit 'ButtonPanel': Constants

DefShowButtons

DefShowGlyphs


Reference for unit 'ButtonPanel': Types

TButtonOrder

TPanelButton

TPanelButtons


Reference for unit 'ButtonPanel': Classes

TButtonPanel | TButtonPanel - a panel containing BitButtons
TCustomButtonPanel | TCustomButtonPanel - base class for TButtonPanel, a panel containing BitButtons
TPanelBitBtn | TPanelBitBtn - special class of BitButton for use in ButtonPanels


Reference for unit 'ButtonPanel': Procedures and functions

Register


Index of all identifiers in unit 'ButtonPanel'

B D P R T

B

boCloseCancelOK boCloseOKCancel boDefault

D

DefShowButtons DefShowGlyphs

P

pbCancel | pbHelp
pbClose | pbOK

R

Register

T

TButtonOrder | TCustomButtonPanel | TPanelButton
TButtonPanel | TPanelBitBtn | TPanelButtons


TButtonOrder

Declaration

Source position: buttonpanel.pas line 20

type TButtonOrder = (

  boDefault,

  boCloseCancelOK,

  boCloseOKCancel

);


TPanelButton

Declaration

Source position: buttonpanel.pas line 21

type TPanelButton = (

  pbOK,

  pbCancel,

  pbClose,

  pbHelp

);


TPanelButtons

Declaration

Source position: buttonpanel.pas line 22

type TPanelButtons = set of (

  pbOK,

  pbCancel,

  pbClose,

  pbHelp

);


BitBtnImages

Declaration

Source position: buttons.pp line 500

const BitBtnImages: array [TBitBtnKind] of LongInt = (idButtonBase, idButtonOk, idButtonCancel, idButtonHelp, idButtonYes, idButtonNo, idButtonClose, idButtonAbort, idButtonRetry, idButtonIgnore, idButtonAll, idButtonNoToAll, idButtonYesToAll);


BitBtnModalResults

Declaration

Source position: buttons.pp line 495

const BitBtnModalResults: array [TBitBtnKind] of TModalResult = (0, mrOK, mrCancel, 0, mrYes, mrNo, mrClose, mrAbort, mrRetry, mrIgnore, mrAll, mrNoToAll, mrYesToAll);


BitBtnResNames

Declaration

Source position: buttons.pp line 505

const BitBtnResNames: array [idButtonOk..idButtonNoToAll] of string = ('btn_ok', 'btn_cancel', 'btn_help', 'btn_yes', 'btn_no', 'btn_close', 'btn_abort', 'btn_retry', 'btn_ignore', 'btn_all', 'btn_all', 'btn_no');


GetDefaultBitBtnGlyph

Declaration

Source position: buttons.pp line 477

var GetDefaultBitBtnGlyph: TGetDefaultBitBtnGlyph = Nil;


Reference for unit 'Buttons'

Defines several specialist button classes

uses
System,
Types,
Classes,
sysutils,
Math,
LCLType, | This unit is being created specifically for compatibility with Delphi. It should only be used for constants and type definitions that are included in the Delphi Windows unit. This is only done for compatibiltiy.
LCLProc, | Useful lower level helper functions and classes
LCLIntf, | Contains winapi like functions for Delphi compatibility.
LCLStrConsts, | This unit contains all resource strings of the LCL
GraphType, |
Graphics, | Unit contains definitions for many fundamental classes and types used in graphic applications
ImgList, | Contains definitions for TCustomImageList, the base class for TImageList.
ActnList, | Defines classes for Actions and Lists of actions to be used with LCL components
Controls, | This unit contains basic classes for visual controls.
StdCtrls, | Several standard controls used in most Lazarus forms
LMessages, |
Forms, | Contains definitions and descriptions for constructing the Forms which are the basis of the Lazarus Graphical User Interface
Themes, | For manipulation of display Themes, mostly in a Windows XP (and later) environment
Menus, | Menus to be used in Forms created with the Lazarus IDE
LResources, | This unit maintains and stores all standard Lazarus resources in the global LazarusResources list and provides methods and types for component streaming.
ImageListCache, |
LazUtilities;


Reference for unit 'Buttons': Constants

BitBtnImages

BitBtnModalResults

BitBtnResNames


Reference for unit 'Buttons': Types

TBitBtnKind | TBitBtnKind - enumerated type of possible kinds of BitButtons.
TBitBtnKinds | TBitBtnKinds - set of TBitBtnKind
TButtonLayout | A set of constants to define the position of a glyph on a button.
TButtonState | A set of constants to define the state of a SpeedButton.
TGetDefaultBitBtnGlyph | TGetDefaultBitBtnGlyph - generic method to return a default Bit Button Glyph of specified Kind
TGlyphTransparencyMode
TNumGlyphs |


Reference for unit 'Buttons': Classes

TBitBtn | A Button with a small image attached
TButtonGlyph | A small image that can be attached to buttons
TCustomBitBtn | TCustomBitBtn - the ancestor class for TBitBtn.
TCustomSpeedButton | The ancestor class for TSpeedButton
TSpeedButton | A Button used to represent states (checked or not, etc)
TSpeedButtonActionLink | Links a TSpeedButton with an action.


Reference for unit 'Buttons': Procedures and functions

BidiAdjustButtonLayout
dbgs
GetButtonCaption
GetButtonIcon
GetDefaultButtonIcon
GetLCLDefaultBtnGlyph | GetLCLDefaultBtnGlyph - generic method to return the LCL default button glyph of the specified Kind
LoadGlyphFromLazarusResource | LoadGlyphFromLazarusResource - generic method to load a button glyph with specified name from a Lazarus Resource file (.lrs)
LoadGlyphFromResourceName
LoadGlyphFromStock
Register |


Reference for unit 'Buttons': Variables

GetDefaultBitBtnGlyph


Index of all identifiers in unit 'Buttons'

B D G L R T

B

BidiAdjustButtonLayout | bkHelp | blGlyphLeft
BitBtnImages | bkIgnore | blGlyphRight
BitBtnModalResults | bkNo | blGlyphTop
BitBtnResNames | bkNoToAll | bsDisabled
bkAbort | bkOK | bsDown
bkAll | bkRetry | bsExclusive
bkCancel | bkYes | bsHot
bkClose | bkYesToAll | bsUp
bkCustom | blGlyphBottom |

D

dbgs

G

GetButtonCaption | GetDefaultButtonIcon | gtmOpaque
GetButtonIcon | GetLCLDefaultBtnGlyph | gtmTransparent
GetDefaultBitBtnGlyph | gtmGlyph |

L

LoadGlyphFromLazarusResource LoadGlyphFromResourceName LoadGlyphFromStock

R

Register

T

TBitBtn | TButtonState | TNumGlyphs
TBitBtnKind | TCustomBitBtn | TSpeedButton
TBitBtnKinds | TCustomSpeedButton | TSpeedButtonActionLink
TButtonGlyph | TGetDefaultBitBtnGlyph |
TButtonLayout | TGlyphTransparencyMode |


TButtonLayout

A set of constants to define the position of a glyph on a button.

Declaration

Source position: buttons.pp line 43

type TButtonLayout = (

  blGlyphLeft,

  blGlyphRight,

  blGlyphTop,

  blGlyphBottom

);


TButtonState

A set of constants to define the state of a SpeedButton.

Declaration

Source position: buttons.pp line 51

type TButtonState = (

  bsUp,

  bsDisabled,

  bsDown,

  bsExclusive,

  bsHot

);


TGetDefaultBitBtnGlyph

TGetDefaultBitBtnGlyph - generic method to return a default Bit Button Glyph of specified Kind

Declaration

Source position: buttons.pp line 475

type TGetDefaultBitBtnGlyph = function(

  Kind: TBitBtnKind;

  var Handled: Boolean

):TBitmap;


TGlyphTransparencyMode

Declaration

Source position: buttons.pp line 68

type TGlyphTransparencyMode = (

  gtmGlyph,

  gtmOpaque,

  gtmTransparent

);


TNumGlyphs

Declaration

Source position: buttons.pp line 65

type TNumGlyphs = 1..5;


DefaultDisplaySettings

Declaration

Source position: calendar.pp line 45

const DefaultDisplaySettings = [dsShowHeadings, dsShowDayNames];


Reference for unit 'Calendar'

Classes defining Calendar, a graphic allowing the user to select a date

uses
System,
Types,
sysutils,
Classes,
LCLType, | This unit is being created specifically for compatibility with Delphi. It should only be used for constants and type definitions that are included in the Delphi Windows unit. This is only done for compatibiltiy.
LCLStrConsts, | This unit contains all resource strings of the LCL
LMessages, |
Controls, | This unit contains basic classes for visual controls.
LResources; | This unit maintains and stores all standard Lazarus resources in the global LazarusResources list and provides methods and types for component streaming.


Reference for unit 'Calendar': Constants

DefaultDisplaySettings


Reference for unit 'Calendar': Types

TCalendarPart

TCalendarView

TDisplaySetting

TDisplaySettings


Reference for unit 'Calendar': Classes

EInvalidDate | EInvalidDate - exception handler when a non-valid date is selected
TCalendar | TCalendar - a graphic allowing the user to select a date which is returned as data to the calling routine
TCustomCalendar | TCustomCalendar - base class for TCalendar, a graphic for selecting a date


Reference for unit 'Calendar': Procedures and functions

Register


Index of all identifiers in unit 'Calendar'

C D E R T

C

cpDate | cpTitleMonth | cvDecade
cpNoWhere | cpTitleYear | cvMonth
cpTitle | cpWeekNumber | cvYear
cpTitleBtn | cvCentury |

D

DefaultDisplaySettings | dsShowDayNames | dsShowWeekNumbers
dsNoMonthChange | dsShowHeadings | dsStartMonday

E

EInvalidDate

R

Register

T

TCalendar | TCalendarView | TDisplaySetting
TCalendarPart | TCustomCalendar | TDisplaySettings


TDisplaySetting

Declaration

Source position: calendar.pp line 36

type TDisplaySetting = (

  dsShowHeadings,

  dsShowDayNames,

  dsNoMonthChange,

  dsShowWeekNumbers,

  dsStartMonday

);


TDisplaySettings

Declaration

Source position: calendar.pp line 43

type TDisplaySettings = set of (

  dsShowHeadings,

  dsShowDayNames,

  dsNoMonthChange,

  dsShowWeekNumbers,

  dsStartMonday

);


Reference for unit 'CheckLst'

Classes defining the CheckBox placed beside list items in a CheckList

uses
System,
Classes,
sysutils,
Math,
LCLProc, | Useful lower level helper functions and classes
LCLType, | This unit is being created specifically for compatibility with Delphi. It should only be used for constants and type definitions that are included in the Delphi Windows unit. This is only done for compatibiltiy.
GraphType, |
Graphics, | Unit contains definitions for many fundamental classes and types used in graphic applications
LMessages, |
LResources, | This unit maintains and stores all standard Lazarus resources in the global LazarusResources list and provides methods and types for component streaming.
Controls, | This unit contains basic classes for visual controls.
StdCtrls, | Several standard controls used in most Lazarus forms
LCLIntf; | Contains winapi like functions for Delphi compatibility.


Reference for unit 'CheckLst': Types

TCheckListClicked


Reference for unit 'CheckLst': Classes

TCheckListBox | TCheckListBox - the box found beside each item on a CheckList
TCustomCheckListBox | TCustomCheckListBox - base class for TCheckListBox, the box found on CheckLists


Reference for unit 'CheckLst': Procedures and functions

Register


Index of all identifiers in unit 'CheckLst'

R T

R

Register

T

TCheckListBox TCheckListClicked TCustomCheckListBox


TCheckListClicked

Declaration

Source position: checklst.pas line 29

type TCheckListClicked = procedure(

  Sender: TObject;

  Index: Integer

) of object;


Reference for unit 'Clipbrd'

Definitions for the Clipboard to hold Cut or Copied data for Pasting

uses
System,
Classes,
sysutils,
fasthtmlparser,
LCLType, | This unit is being created specifically for compatibility with Delphi. It should only be used for constants and type definitions that are included in the Delphi Windows unit. This is only done for compatibiltiy.
LCLIntf, | Contains winapi like functions for Delphi compatibility.
LResources, | This unit maintains and stores all standard Lazarus resources in the global LazarusResources list and provides methods and types for component streaming.
Graphics, | Unit contains definitions for many fundamental classes and types used in graphic applications
FPCAdds, |
LazUTF8,
LazTracer;


Reference for unit 'Clipbrd': Types

TClipboardData


Reference for unit 'Clipbrd': Classes

TClipboard

TClipboard - area for holding information that has been cut or copied, ready for pasting


Reference for unit 'Clipbrd': Procedures and functions

CF_Bitmap |
CF_Component |
CF_HTML
CF_MetaFilePict |
CF_Object |
CF_Picture |
CF_Text |
Clipboard | Clipboard the function called to access the clipboard with an optional type specifier
FreeAllClipboards | FreeAllClipboards - frees all existing clipboards, releasing their resources
PrimarySelection | PrimarySelection - the first selection if multiple clipboards exist
RegisterClipboardFormat | RegisterClipboardFormat add the supplied format name to the register of clipboard formats
SecondarySelection | SecondarySelection - the second selection if multiple clipboards exist
SetClipboard | SetClipboard - sets up and returns a NewClipboard, with an optional type specifier


Index of all identifiers in unit 'Clipbrd'

C F P R S T

C

CF_Bitmap | CF_MetaFilePict | CF_Text
CF_Component | CF_Object | Clipboard
CF_HTML | CF_Picture |

F

FreeAllClipboards

P

PrimarySelection

R

RegisterClipboardFormat

S

SecondarySelection SetClipboard

T

TClipboard TClipboardData


cDefaultColorRectOffset

Declaration

Source position: colorbox.pas line 28

const cDefaultColorRectOffset = 3;


cDefaultColorRectWidth

Declaration

Source position: colorbox.pas line 27

const cDefaultColorRectWidth = 14;


Reference for unit 'ColorBox'

Defines Classes for selecting colour from a list or ComboBox

uses
System,
LResources, | This unit maintains and stores all standard Lazarus resources in the global LazarusResources list and provides methods and types for component streaming.
sysutils,
Types,
Classes,
LCLProc, | Useful lower level helper functions and classes
LCLType, | This unit is being created specifically for compatibility with Delphi. It should only be used for constants and type definitions that are included in the Delphi Windows unit. This is only done for compatibiltiy.
LCLStrConsts, | This unit contains all resource strings of the LCL
Graphics, | Unit contains definitions for many fundamental classes and types used in graphic applications
Controls, | This unit contains basic classes for visual controls.
Forms, | Contains definitions and descriptions for constructing the Forms which are the basis of the Lazarus Graphical User Interface
Dialogs, | Some dialogs commonly used in Lazarus applications. Look at the Procedures as well as the Classes
StdCtrls; | Several standard controls used in most Lazarus forms


Reference for unit 'ColorBox': Constants

cDefaultColorRectOffset

cDefaultColorRectWidth


Reference for unit 'ColorBox': Types

TColorBoxStyle

TColorBoxStyle - set of TColorBoxStyles

TColorBoxStyles

TGetColorsEvent

TLBGetColorsEvent


Reference for unit 'ColorBox': Classes

TColorBox | TColorBox - presents the user with a ComboBox with a drop-down list from which to select a colour
TColorListBox | TColorListBox - a box containing a simple list of colours from which to select
TCustomColorBox | TCustomColorBox - base class for TColorBox
TCustomColorListBox | TCustomColorListBox - base class for TColorListBox


Reference for unit 'ColorBox': Procedures and functions

Register

Register procedure for colorbox


Index of all identifiers in unit 'ColorBox'

C R T

C

cbCustomColor | cbIncludeNone | cDefaultColorRectOffset
cbCustomColors | cbPrettyNames | cDefaultColorRectWidth
cbExtendedColors | cbStandardColors |
cbIncludeDefault | cbSystemColors |

R

Register

T

TColorBox | TColorListBox | TGetColorsEvent
TColorBoxStyle | TCustomColorBox | TLBGetColorsEvent
TColorBoxStyles | TCustomColorListBox |


TGetColorsEvent

Declaration

Source position: colorbox.pas line 43

type TGetColorsEvent = procedure(

  Sender: TCustomColorBox;

  Items: TStrings

) of object;


TLBGetColorsEvent

Declaration

Source position: colorbox.pas line 163

type TLBGetColorsEvent = procedure(

  Sender: TCustomColorListBox;

  Items: TStrings

) of object;


Reference for unit 'ComboEx'

uses
System,
Classes,
sysutils,
Types,
LCLIntf, | Contains winapi like functions for Delphi compatibility.
LCLType, | This unit is being created specifically for compatibility with Delphi. It should only be used for constants and type definitions that are included in the Delphi Windows unit. This is only done for compatibiltiy.
LMessages, |
LResources, | This unit maintains and stores all standard Lazarus resources in the global LazarusResources list and provides methods and types for component streaming.
LazLoggerBase,
ImgList, | Contains definitions for TCustomImageList, the base class for TImageList.
Controls, | This unit contains basic classes for visual controls.
StdCtrls, | Several standard controls used in most Lazarus forms
ComCtrls, | Several controls commonly used in Lazarus forms
ExtCtrls, | Some extra controls commonly used in Lazarus forms
Graphics, | Unit contains definitions for many fundamental classes and types used in graphic applications
GraphUtil, |
Themes, | For manipulation of display Themes, mostly in a Windows XP (and later) environment
Forms; | Contains definitions and descriptions for constructing the Forms which are the basis of the Lazarus Graphical User Interface


Reference for unit 'ComboEx': Types

TAutoCompleteOption

TAutoCompleteOptions

TCheckItemChange

TComboBoxExStyle

TComboBoxExStyleEx

TComboBoxExStyles

TCustomData

TListCompareEvent

TListItemsCompare

TListItemsSortType


Reference for unit 'ComboEx': Classes

TCheckComboBox

TCheckComboItemState

TComboBoxEx

TComboExItem

TComboExItems

TCustomCheckCombo

TCustomComboBoxEx

TListControlItem

TListControlItems


Reference for unit 'ComboEx': Procedures and functions

Register


Index of all identifiers in unit 'ComboEx'

A C R T

A

acoAutoAppend | acoRtlReading | acoUseTab
acoAutoSuggest | acoSearch |
acoFilterPrefixes | acoUpDownKeyDropsList |

C

csExCaseSensitive | csExNoEditImage | csExPathWordBreak
csExDropDown | csExNoEditImageIndent | csExSimple
csExDropDownList | csExNoSizeLimit |

R

Register

T

TAutoCompleteOption | TComboBoxExStyleEx | TListCompareEvent
TAutoCompleteOptions | TComboBoxExStyles | TListControlItem
TCheckComboBox | TComboExItem | TListControlItems
TCheckComboItemState | TComboExItems | TListItemsCompare
TCheckItemChange | TCustomCheckCombo | TListItemsSortType
TComboBoxEx | TCustomComboBoxEx |
TComboBoxExStyle | TCustomData |


TAutoCompleteOption

Declaration

Source position: comboex.pas line 40

type TAutoCompleteOption = (

  acoAutoSuggest,

  acoAutoAppend,

  acoSearch,

  acoFilterPrefixes,

  acoUseTab,

  acoUpDownKeyDropsList,

  acoRtlReading

);


TAutoCompleteOptions

Declaration

Source position: comboex.pas line 42

type TAutoCompleteOptions = set of (

  acoAutoSuggest,

  acoAutoAppend,

  acoSearch,

  acoFilterPrefixes,

  acoUseTab,

  acoUpDownKeyDropsList,

  acoRtlReading

);


TCheckItemChange

Declaration

Source position: comboex.pas line 52

type TCheckItemChange = procedure(

  Sender: TObject;

  AIndex: Integer

) of object;


TCustomData

Declaration

Source position: comboex.pas line 47

type TCustomData = Pointer;


TListCompareEvent

Declaration

Source position: comboex.pas line 54

type TListCompareEvent = function(

  AList: TListControlItems;

  AItem1: TListControlItem;

  AItem2: TListControlItem

):Integer of object;


TListItemsCompare

Declaration

Source position: comboex.pas line 49

type TListItemsCompare = function(

  AList: TListControlItems;

  AItem1: Integer;

  AItem2: Integer

):Integer;


TListItemsSortType

Declaration

Source position: comboex.pas line 50

type TListItemsSortType = TSortType;


CN_DROPDOWNCLOSED

Message constant.

Declaration

Source position: comctrls.pp line 2007

const CN_DROPDOWNCLOSED = LM_USER + $1000;


DefaultMultiSelectStyle

Declaration

Source position: comctrls.pp line 3285

const DefaultMultiSelectStyle = [msControlSelect];


DefaultTreeNodeExpandSignSize

Declaration

Source position: comctrls.pp line 3287

const DefaultTreeNodeExpandSignSize = 9;


DefaultTreeNodeHeight

Declaration

Source position: comctrls.pp line 3286

const DefaultTreeNodeHeight = 20;


DefaultTreeViewOptions

A set of TreeViewOptions which are set be default.

Declaration

Source position: comctrls.pp line 3282

const DefaultTreeViewOptions = [tvoShowRoot, tvoShowLines, tvoShowButtons, tvoHideSelection, tvoToolTips, tvoKeepCollapsedNodes, tvoAutoItemHeight, tvoThemedDraw];

Description

A series of defaults used to set the options of a TreeView object when first placed on a form. This set consists of the following items:

tvoShowRoot,
    tvoShowLines,
    tvoShowButtons,
    tvoHideSelection,
    tvoToolTips,
    tvoKeepCollapsedNodes,
    tvoAutoItemHeight

For the meaning of these options, see the documentation of TTreeView.


Reference for unit 'ComCtrls'

Several controls commonly used in Lazarus forms

uses
System,
sysutils,
Types,
Classes,
Math,
Laz_AVL_Tree,
LazUTF8,
LazUTF8Classes,
LazLoggerBase,
LazUtilities,
LCLStrConsts, | This unit contains all resource strings of the LCL
LResources, | This unit maintains and stores all standard Lazarus resources in the global LazarusResources list and provides methods and types for component streaming.
LCLIntf, | Contains winapi like functions for Delphi compatibility.
LCLType, | This unit is being created specifically for compatibility with Delphi. It should only be used for constants and type definitions that are included in the Delphi Windows unit. This is only done for compatibiltiy.
LMessages, |
WSLCLClasses,
WSReferences,
LCLProc, | Useful lower level helper functions and classes
GraphType,
Graphics, | Unit contains definitions for many fundamental classes and types used in graphic applications
ImgList, | Contains definitions for TCustomImageList, the base class for TImageList.
ActnList, | Defines classes for Actions and Lists of actions to be used with LCL components
Themes, | For manipulation of display Themes, mostly in a Windows XP (and later) environment
Menus, | Menus to be used in Forms created with the Lazarus IDE
Controls, | This unit contains basic classes for visual controls.
Forms, | Contains definitions and descriptions for constructing the Forms which are the basis of the Lazarus Graphical User Interface
StdCtrls, | Several standard controls used in most Lazarus forms
ExtCtrls, | Some extra controls commonly used in Lazarus forms
Toolwin, |
Buttons; | Defines several specialist button classes


Reference for unit 'ComCtrls': Constants

CN_DROPDOWNCLOSED | Message constant.
DefaultMultiSelectStyle
DefaultTreeNodeExpandSignSize
DefaultTreeNodeHeight
DefaultTreeViewOptions | A set of TreeViewOptions which are set be default.
LCLStreamID | A constant for the identifier of a LCL stream
TCN_First
TCN_SELCHANGE
TCN_SELCHANGING


Reference for unit 'ComCtrls': Types

PDelphiNodeInfo | A pointer to TDelphiNodeInfo
PNodeCache | PNodeCache - pointer to TNodeCache
TAddMode | TAddMode - enumerated type containing a series of constants to determine the place where a node should be placed in a tree.
TCoolBandMaximize
TCTabControlCapabilities | TCTabControlCapabilities - set of TCTabControlCapability
TCTabControlCapability | TCTabControlCapability - enumerated type containing possible capabilities of a notebook
TCTabControlOption | TCTabControlOption - Show the close button on a tab, allow multi-line tabs
TCTabControlOptions | TCTabControlOptions - set of TCTabControlOption
TCustomDrawResult | TCustomDrawResult - set of TCustomDrawResultFlag
TCustomDrawResultFlag | TCustomDrawResultFlag - enumerated type, a series of flags to signify the result of a drawing process
TCustomDrawStage | TCustomDrawStage a series of constants to define the drawing stages.
TCustomDrawState | TCustomDrawState - set of TCustomDrawStateFlag
TCustomDrawStateFlag | TCustomDrawStateFlag - series of flags to define the DrawState
TCustomDrawTarget | TCustomDrawTarget - enumerated type controlling how a target object is to be drawn
TCustomHCCreateSectionClassEvent | TCustomHCCreateSectionClassEvent - generic event handler method for custom creation of header control
TCustomPageClass | TCustomPageClass - class of TCustomPage
TCustomSectionNotifyEvent | TCustomSectionNotifyEvent - generic event notification method for header section
TCustomSectionTrackEvent | TCustomSectionTrackEvent - generic event handling method for custom tracking a header section
TDelphiNodeInfo | TDelphiNodeInfo - record structure for Tree Node information (for Delphi compatability)
TDisplayCode | TDisplayCode - enumerated type denoting how items are displayed
TDragBand
TDrawPanelEvent
TDrawTabEvent | TDrawTabEvent - generic event handling procedure for drawing a tab with given index at the specified rectangle
TGrabStyle
THeaderSectionClass | THeaderSectionClass - class of THeaderSection
THeaderSectionState | THeaderSectionState - enumerated type containing possible selection states for header
THitTest | THitTest - enumerated type giving permissable results of a hit test (position of a mouse click etc relative to objects on a form)
THitTests | THitTests - set of THitTest
TIconArrangement
TItemChange | TItemChange - enumerated type for kind of change: in text, in image or in state
TItemFind
TListHotTrackStyle | TListHotTrackStyle - enumerated type denoting the style of HotTrack
TListHotTrackStyles | TListHotTrackStyles - set of TListHotTrackStyle
TListItemClass
TListItemFlag | TListItemFlag - enumerated type, a flag denoting a list item is being destroyed or created
TListItemFlags | TListItemFlags - set of TListItemFlag
TListItemsFlag
TListItemsFlags
TListItemState | TListItemState - enumerated type denoting the state of a list item
TListItemStates | TListItemStates - set of TListItemState
TListViewFlag | TListViewFlag - enumerated type (currently containing only one value) for List View flag
TListViewFlags | TListViewFlags - set of TListViewFlag
TListViewImageList | TListViewImageList - enumerated type denoting the category of image list
TListViewProperties | TListViewProperties - set of TListViewProperty
TListViewProperty | TListViewProperty - enumerated type: a series of constants denoting the properties of a listview
TLVAdvancedCustomDrawEvent | TLVAdvancedCustomDrawEvent - generic event handling method for List View custom drawing
TLVAdvancedCustomDrawItemEvent
TLVAdvancedCustomDrawSubItemEvent | TLVAdvancedCustomDrawSubItemEvent - generic event handling method for List View custom subitem drawing
TLVChangeEvent | TLVChangeEvent - generic event handler method for change in List View
TLVCheckedItemEvent
TLVColumnClickEvent | TLVColumnClickEvent - generic event handler method for a click on a List View column
TLVColumnRClickEvent | TLVColumnRClickEvent - generic event handler method for a right click on a List View column
TLVCompare
TLVCompareEvent | TLVCompareEvent - generic event handler method for List View comparison
TLVCreateItemClassEvent
TLVCustomDrawEvent | TLVCustomDrawEvent - generic event handler method for List View custom drawing
TLVCustomDrawItemEvent | TLVCustomDrawItemEvent - generic event handling method for List View item drawing
TLVCustomDrawSubItemEvent | TLVCustomDrawSubItemEvent - generic event handling method for List View subitem drawing
TLVDataEvent
TLVDataFindEvent
TLVDataHintEvent
TLVDataStateChangeEvent
TLVDeletedEvent | TLVDeletedEvent - generic event handler method for deleted items in List View
TLVDrawItemEvent
TLVEditedEvent
TLVEditingEvent
TLVInsertEvent | TLVInsertEvent - generic event handler method for List View insertion
TLVSelectItemEvent | TLVSelectItemEvent - generic event handler method for List View selection
TMultiSelectStyle
TMultiSelectStyles
TNBBasePagesClass
TNodeAttachMode | TNodeAttachMode - enumerated type denoting mode of attachment of TreeNodes
TNodeCache | TNodeCache - a cache (temporary storage record) for a TTreeNode and its index
TNodeState | TNodeState - enumerated type denoting the status of a TreeNode
TNodeStates | TNodeStates - set of TNodeState
TNoteBookStringsTabControlClass
TOldTreeNodeInfo | TOldTreeNodeInfo - record type (old version) for Tree Node information
TPageFlag
TPageFlags
TPanelPart | TPanelPart - enumerated type listing the possible parts that comprise a Panel
TPanelParts | TPanelParts - set ot TPanelPart
TProgressBarOrientation | TProgressBarOrientation - enumerated type with a series of constants denoting the orientation of the progress bar
TProgressBarStyle
TSBCreatePanelClassEvent | TSBCreatePanelClassEvent - generic event handling procedure for creating a Status Bar panel class
TSearchDirection
TSectionDragEvent | TSectionDragEvent - generic event handling method for dragging a header section
TSectionTrackState | TSectionTrackState - enumerated type for tracking the state of a header section
TSortDirection
TSortType | TSortType - enumerated type, a series of constants signifying that there is no sorting or that sorting is according to data, test or both
TStatusPanelBevel | TStatusPanelBevel - enumerated type for panel bevel style
TStatusPanelClass | TStatusPanelClass - set of TStatusPanel
TStatusPanelStyle | TStatusPanelStyle - enumerated type for panel style
TTabChangingEvent | TTabChangingEvent - generic event handling method for a change in a notebook Tab
TTabGetImageEvent | TTabGetImageEvent - generic event handling method for getting an image for a Tab
TTabPosition | TTabPosition - enumerated type for position of tab relative to page: top, bottom, left or right
TTabStyle | TTabStyle
TTickMark | TTickMark - enumerated type denoting position of tick marks relative to the TrackBar
TTickStyle | TTickStyle - enumerated type denoting style of tick marks
TToolBarFlag | TToolBarFlag - enumerated type for flags denoting status of ToolBar
TToolBarFlags | TToolBarFlags - set of TToolBarFlag
TToolBarOnPaintButton
TToolButtonActionLinkClass | TToolButtonActionLinkClass - class of TToolButtonActionLink
TToolButtonFlag | TToolButtonFlag - a series of flags that can be set by pressing the mouse on the control
TToolButtonFlags | TToolButtonFlags - set of TToolButtonFlag
TToolButtonStyle | TToolButtonStyle - enumerated type that determines the style of the tool buttons.
TTrackBarOrientation | TTrackBarOrientation - enumerated type denoting horizontal or vertical orientation for TrackBar
TTrackBarScalePos | TTrackBarScalePos - enumerated type denoting position of the scale for a TrackBar
TTreeNodeArray | TTreeNodeArray - pointer to a TTreeNode
TTreeNodeChangeReason
TTreeNodeClass
TTreeNodeCompare | TTreeNodeCompare - generic function to compare Tree Nodes: returns -1 if Node1 is less than Node2, zero if equal, +1 if Node1 is greater
TTreeNodeInfo | TTreeNodeInfo - record structure for (new) Tree Node information
TTreeViewExpandSignType | TTreeViewExpandSignType - enumerated type for specifying the symbol type to appear in treeviews to denote whether or not the node is expanded: either a +- sign or an arrow
TTreeViewInsertMarkType |
TTreeViewOption | TTreeViewOption - enumerated type containing the permissible values for Options in TreeViews
TTreeViewOptions | TTreeViewOptions - set of TTreeViewOption
TTreeViewState | TTreeViewState - enumerated type containing the permissible values for state of a TTreeView
TTreeViewStates | TTreeViewStates - set of TTreeViewState
TTVAdvancedCustomDrawEvent | TTVAdvancedCustomDrawEvent - generic event handler method for Tree View advanced custom drawing
TTVAdvancedCustomDrawItemEvent | TTVAdvancedCustomDrawItemEvent - generic event handler method for Tree View Item advanced custom drawing
TTVChangedEvent | TTVChangedEvent - generic event handling method for a changed Tree Node
TTVChangingEvent | TTVChangingEvent - a generic event handling method for changing a specified Tree Node if AllowChange is True
TTVCollapsingEvent | TTVCollapsingEvent - generic event handling method for collapsing a Tree Node if AllowCollapse is True
TTVCompareEvent | TTVCompareEvent - generic event handling method for comparing two Tree Nodes
TTVCreateNodeClassEvent
TTVCustomCreateNodeEvent | TTVCustomCreateNodeEvent - generic event handling method for Tree View node creation
TTVCustomDrawArrowEvent
TTVCustomDrawEvent | TTVCustomDrawEvent - generic event handling method for Tree View custom drawing
TTVCustomDrawItemEvent | TTVCustomDrawItemEvent - generic event handling method for Tree View Item custom drawing
TTVEditedEvent | TTVEditedEvent - generic event handling method for a node that has been edited
TTVEditingEndEvent
TTVEditingEvent | TTVEditingEvent - generic event handling method for editing a specified node if AllowEdit is True
TTVExpandedEvent | TTVExpandedEvent - generic event handling method for a Tree Node that has been expanded
TTVExpandingEvent | TTVExpandingEvent - generic event handling method for expanding a tree node if AllowExpansion is True
TTVGetNodeText
TTVNodeChangedEvent
TUDAlignButton | TUDAlignButton - enumerated type contains constants for alignment of an UpDown button
TUDBtnType | TUDBtnType - enumerated type with constants describing the buttons of an UpDown control: Next or Previous
TUDChangingEvent | TUDChangingEvent - generic event handling procedure for changes in UpDown button
TUDChangingEventEx
TUDClickEvent | TUDClickEvent - generic event handling procedure for clicking on an UpDown button
TUDOrientation | TUDOrientation - enumerated type with constants for orientation of UpDown button (Horizontal or Vertical)
TUpDownDirection
TViewStyle | TViewStyle - enumerated type for style of view
TWidth | ImageIndex


Reference for unit 'ComCtrls': Classes

ETreeNodeError | ETreeNodeError - exception type for errors arising from the code of TTreeNode
ETreeViewError | ETreeViewError - exception type for errors arising from the code of TTreeView
TCoolBand
TCoolBands
TCoolBar
TCustomCoolBar
TCustomHeaderControl | TCustomHeaderControl - base class for THeaderControl, a header strip of user-designed sections which allow selection of pages or actions
TCustomListView | TCustomListView - the base class for TListView
TCustomListViewEditor
TCustomPage | TCustomPage: The base type for Page
TCustomProgressBar | The ancestor class for TProgressBar
TCustomTabControl | TCustomTabControl - base class for TTabControl, a series of Tabs along the edge of a display area; selection of a Tab governs the contents of the DisplayRect
TCustomTrackBar | TCustomTrackBar - the base class for TTrackBar
TCustomTreeView | TCustomTreeView - ancestor class for TTreeView
TCustomUpDown | TCustomUpDown - base class for TUpDown - a pair of arrow-like buttons which are used to increment or decrement some controlled variable; often attached to a scroll-bar but can also control a digital numeric display
THeaderControl | THeaderControl, a header strip of user-designed sections which allow selection of pages or actions
THeaderSection | THeaderSection - the individual sections of a THeaderControl, each of which can be used to control its own option, selection etc
THeaderSections | THeaderSections - a collection of Items ot type THeaderSection, the individual parts of a THeaderControl
TIconOptions
TListColumn | TListColumn - an individual column in a multi-column List control
TListColumns | TListColumns - a collection of Items of type TListColumn (the columns appearing in a multi-column list)
TListItem | TListItem - the ancestor class for the Items in TCustomListView and TListView
TListItems | TListItems - a list of items with a cache of the last accessed item
TListItemsEnumerator
TListView | TListView - a window showing a list of Items which may or may not have associated icons
TNBBasePages
TNBNoPages
TNBPages | TNBPages - NoteBook Pages: an array of strings containing the names of the pages
TNoteBookStringsTabControl
TOwnerDataListItem
TOwnerDataListItems
TPageControl | TPageControl - provides a series of tabs along the edge of a multi-page component to allow selection of one of the pages (TTabSheet) of the component.
TProgressBar | TProgress Bar - a bar that depicts what proportion of a process has been completed
TStatusBar | TStatusBar - a strip along the bottom of a form for displaying information on current status
TStatusPanel | TStatusPanel - one of the panels contained in a StatusBar
TStatusPanels | TStatusPanels - the collection of Status Panels in this StatusBar
TTabControl | TTabControl - a series of Tabs along the edge of a display area; selection of a Tab governs the contents of the DisplayRect
TTabControlNoteBookStrings | TTabControlNoteBookStrings - instance of TTabControlStrings for use with a TNoteBook
TTabControlStrings | TTabControlStrings - the Strings that appear on the tabs of TTabControl
TTabSheet | TTabSheet - individual page of a TPageControl; a more elaborate version of TPage
TToolBar
TToolBarEnumerator
TToolButton | TToolButton is a button control in a TToolBar object.
TToolButtonActionLink | TToolButtonActionLink - links a ToolButton on the ToolBar to an Action on an ActionList
TTrackBar | TTrackBar: a device which allows the user to determine the value of a variable using a quasi-analog slider
TTreeNode | TTreeNode is a single item that holds data in TTreeView
TTreeNodeExpandedState | TTreeNodeExpandedState - class to store and restore the expanded state of a TTreeView. The nodes are identified by their Text property.
TTreeNodes | A collection or list of TTreeNode
TTreeNodesEnumerator
TTreeView | TTreeView is a control that displays a hierarchical list of items
TUpDown | TUpDown - a pair of arrow-like buttons which are used to increment or decrement some controlled variable; often attached to a scroll-bar but can also control a digital numeric display


Reference for unit 'ComCtrls': Procedures and functions

CompareExpandedNodes | Function to compare the node text of two nodes.
CompareTextWithExpandedNode | Function to compare the given text with the nodetextof the specified node.
DbgS
Register | Procedure used to register the components.
RegisterCustomPage
RegisterCustomTabControl


Index of all identifiers in unit 'ComCtrls'

B C D E G H I L M N P R S T U V

B

bmClick | bmNone | btPrev
bmDblClick | btNext |

C

cdPostErase | cdrSkipDefault | cdsSelected
cdPostPaint | cdsChecked | CN_DROPDOWNCLOSED
cdPreErase | cdsDefault | CompareExpandedNodes
cdPrePaint | cdsDisabled | CompareTextWithExpandedNode
cdrNotifyItemdraw | cdsFocused | ctImage
cdrNotifyItemerase | cdsGrayed | ctState
cdrNotifyPosterase | cdsHot | ctText
cdrNotifyPostpaint | cdsIndeterminate |
cdrNotifySubitemdraw | cdsMarked |

D

DbgS | DefaultTreeNodeExpandSignSize | drLabel
dbMove | DefaultTreeNodeHeight | drSelectBounds
dbNone | DefaultTreeViewOptions | dtControl
dbResize | drBounds | dtItem
DefaultMultiSelectStyle | drIcon | dtSubItem

E

ETreeNodeError ETreeViewError

G

gsButton | gsGripper | gsSimple
gsDouble | gsHorLines | gsVerLines

H

hsHot | htNowhere | htOnRight
hsNormal | htOnButton | htOnStateIcon
hsPressed | htOnIcon | htToLeft
htAbove | htOnIndent | htToRight
htBelow | htOnItem | htUnderlineCold
htHandPoint | htOnLabel | htUnderlineHot

I

iaLeft | ifData | ifNearest
iaTop | ifExactString | ifPartialString

L

LCLStreamID | lisSelected | lvpHotTrack
lffItemsMoving | lvilLarge | lvpMultiSelect
lffItemsSorting | lvilSmall | lvpOwnerDraw
lffPreparingSorting | lvilState | lvpReadOnly
lffSelectedValid | lvpAutoArrange | lvpRowSelect
lifCreated | lvpCheckboxes | lvpShowColumnHeaders
lifDestroying | lvpColumnClick | lvpShowWorkAreas
lisCut | lvpFlatScrollBars | lvpToolTips
lisDropTarget | lvpFullDrag | lvpWrapText
lisFocused | lvpGridLines |
lisfWSItemsCreated | lvpHideSelection |

M

msControlSelect | msSiblingOnly
msShiftSelect | msVisibleOnly

N

naAdd | nboKeyboardTabSwitch | ncVisibility
naAddChild | nboMultiLine | nsBound
naAddChildFirst | nboShowAddTabButton | nsCut
naAddFirst | nboShowCloseButtons | nsDeleting
naInsert | ncDataChanged | nsDropHilited
naInsertBehind | ncHeightChanged | nsExpanded
nbcMultiLine | ncImageEffect | nsFocused
nbcPageListPopup | ncImageIndex | nsHasChildren
nbcShowAddTabButton | ncOverlayIndex | nsMultiSelected
nbcShowCloseButtons | ncParentChanged | nsSelected
nbcTabsSizeable | ncSelectedIndex | nsVisible
nboDoChangeOnSetIndex | ncStateIndex |
nboHidePageListPopup | ncTextChanged |

P

pbHorizontal | pbTopDown | PNodeCache
pbLowered | pbVertical | ppBorder
pbNone | PDelphiNodeInfo | ppText
pbRaised | pfAdded | ppWidth
pbRightToLeft | pfAdding | psOwnerDraw
pbstMarquee | pfInserting | psText
pbstNormal | pfRemoving |

R

Register RegisterCustomPage RegisterCustomTabControl

S

sdAbove | sdDescending | stData
sdAll | sdLeft | stNone
sdAscending | sdRight | stText
sdBelow | stBoth |

T

taAdd | TLVCreateItemClassEvent | TTrackBarOrientation
taAddFirst | TLVCustomDrawEvent | TTrackBarScalePos
TAddMode | TLVCustomDrawItemEvent | TTreeNode
taInsert | TLVCustomDrawSubItemEvent | TTreeNodeArray
tbfArrowPressed | TLVDataEvent | TTreeNodeChangeReason
tbfDropDownMenuShown | TLVDataFindEvent | TTreeNodeClass
tbfMouseInArrow | TLVDataHintEvent | TTreeNodeCompare
tbfPlacingControls | TLVDataStateChangeEvent | TTreeNodeExpandedState
tbfPressed | TLVDeletedEvent | TTreeNodeInfo
tbfUpdateVisibleBarNeeded | TLVDrawItemEvent | TTreeNodes
tbsButton | TLVEditedEvent | TTreeNodesEnumerator
tbsButtonDrop | TLVEditingEvent | TTreeView
tbsCheck | TLVInsertEvent | TTreeViewExpandSignType
tbsDivider | TLVSelectItemEvent | TTreeViewInsertMarkType
tbsDropDown | tmBoth | TTreeViewOption
tbsSeparator | tmBottomRight | TTreeViewOptions
TCN_First | tmTopLeft | TTreeViewState
TCN_SELCHANGE | TMultiSelectStyle | TTreeViewStates
TCN_SELCHANGING | TMultiSelectStyles | TTVAdvancedCustomDrawEvent
TCoolBand | TNBBasePages | TTVAdvancedCustomDrawItemEvent
TCoolBandMaximize | TNBBasePagesClass | TTVChangedEvent
TCoolBands | TNBNoPages | TTVChangingEvent
TCoolBar | TNBPages | TTVCollapsingEvent
TCTabControlCapabilities | TNodeAttachMode | TTVCompareEvent
TCTabControlCapability | TNodeCache | TTVCreateNodeClassEvent
TCTabControlOption | TNodeState | TTVCustomCreateNodeEvent
TCTabControlOptions | TNodeStates | TTVCustomDrawArrowEvent
TCustomCoolBar | TNoteBookStringsTabControl | TTVCustomDrawEvent
TCustomDrawResult | TNoteBookStringsTabControlClass | TTVCustomDrawItemEvent
TCustomDrawResultFlag | TOldTreeNodeInfo | TTVEditedEvent
TCustomDrawStage | TOwnerDataListItem | TTVEditingEndEvent
TCustomDrawState | TOwnerDataListItems | TTVEditingEvent
TCustomDrawStateFlag | TPageControl | TTVExpandedEvent
TCustomDrawTarget | TPageFlag | TTVExpandingEvent
TCustomHCCreateSectionClassEvent | TPageFlags | TTVGetNodeText
TCustomHeaderControl | TPanelPart | TTVNodeChangedEvent
TCustomListView | TPanelParts | TUDAlignButton
TCustomListViewEditor | tpBottom | TUDBtnType
TCustomPage | tpLeft | TUDChangingEvent
TCustomPageClass | tpRight | TUDChangingEventEx
TCustomProgressBar | TProgressBar | TUDClickEvent
TCustomSectionNotifyEvent | TProgressBarOrientation | TUDOrientation
TCustomSectionTrackEvent | TProgressBarStyle | TUpDown
TCustomTabControl | tpTop | TUpDownDirection
TCustomTrackBar | trBottom | tvestArrow
TCustomTreeView | trHorizontal | tvestArrowFill
TCustomUpDown | trLeft | tvestPlusMinus
TDelphiNodeInfo | trRight | tvestTheme
TDisplayCode | trTop | TViewStyle
TDragBand | trVertical | tvimAsFirstChild
TDrawPanelEvent | tsAuto | tvimAsNextSibling
TDrawTabEvent | TSBCreatePanelClassEvent | tvimAsPrevSibling
TGrabStyle | tsButtons | tvimNone
THeaderControl | TSearchDirection | tvoAllowMultiselect
THeaderSection | TSectionDragEvent | tvoAutoExpand
THeaderSectionClass | TSectionTrackState | tvoAutoInsertMark
THeaderSections | tsFlatButtons | tvoAutoItemHeight
THeaderSectionState | tsManual | tvoFocusedPainting
THitTest | tsNone | tvoHideSelection
THitTests | TSortDirection | tvoHotTrack
TIconArrangement | TSortType | tvoKeepCollapsedNodes
TIconOptions | tsTabs | tvoNoDoubleClickExpand
TItemChange | TStatusBar | tvoReadOnly
TItemFind | TStatusPanel | tvoRightClickSelect
TListColumn | TStatusPanelBevel | tvoRowSelect
TListColumns | TStatusPanelClass | tvoShowButtons
TListHotTrackStyle | TStatusPanels | tvoShowLines
TListHotTrackStyles | TStatusPanelStyle | tvoShowRoot
TListItem | tsTrackBegin | tvoShowSeparators
TListItemClass | tsTrackEnd | tvoThemedDraw
TListItemFlag | tsTrackMove | tvoToolTips
TListItemFlags | TTabChangingEvent | tvsBottomItemNeedsUpdate
TListItems | TTabControl | tvsCanvasChanged
TListItemsEnumerator | TTabControlNoteBookStrings | tvsDblClicked
TListItemsFlag | TTabControlStrings | tvsDragged
TListItemsFlags | TTabGetImageEvent | tvsEditOnMouseUp
TListItemState | TTabPosition | tvsIsEditing
TListItemStates | TTabSheet | tvsManualNotify
TListView | TTabStyle | tvsMaxLvlNeedsUpdate
TListViewFlag | TTickMark | tvsMaxRightNeedsUpdate
TListViewFlags | TTickStyle | tvsPainting
TListViewImageList | TToolBar | tvsQuadClicked
TListViewProperties | TToolBarEnumerator | tvsScrollbarChanged
TListViewProperty | TToolBarFlag | tvsSelectionChanged
TLVAdvancedCustomDrawEvent | TToolBarFlags | tvsSingleSelectOnMouseUp
TLVAdvancedCustomDrawItemEvent | TToolBarOnPaintButton | tvsStateChanging
TLVAdvancedCustomDrawSubItemEvent | TToolButton | tvsTopItemNeedsUpdate
TLVChangeEvent | TToolButtonActionLink | tvsTopsNeedsUpdate
TLVCheckedItemEvent | TToolButtonActionLinkClass | tvsTripleClicked
TLVColumnClickEvent | TToolButtonFlag | tvsUpdating
TLVColumnRClickEvent | TToolButtonFlags | TWidth
TLVCompare | TToolButtonStyle |
TLVCompareEvent | TTrackBar |

U

udBottom | udRight | updDown
udHorizontal | udTop | updNone
udLeft | udVertical | updUp

V

vsIcon | vsReport
vsList | vsSmallIcon


LCLStreamID

A constant for the identifier of a LCL stream

Declaration

Source position: comctrls.pp line 2859

const LCLStreamID = - 7;


PDelphiNodeInfo

A pointer to TDelphiNodeInfo

Declaration

Source position: comctrls.pp line 2925

type PDelphiNodeInfo = ^TDelphiNodeInfo;


PNodeCache

PNodeCache - pointer to TNodeCache

Declaration

Source position: comctrls.pp line 3125

type PNodeCache = ^TNodeCache;


TAddMode

TAddMode - enumerated type containing a series of constants to determine the place where a node should be placed in a tree.

Declaration

Source position: comctrls.pp line 2835

type TAddMode = (

  taAddFirst,

  taAdd,

  taInsert

);

Description

This sets consist of three values:

taAdd: Adds the node as the last child.

taAddFirst: Adds the node as the first child.

taInsert: Adds the node in front another node.

This set is used in TTreeNode.InternalMove and TTreeNodes.InternalAddObject


TCN_First

Declaration

Source position: comctrls.pp line 4051

const TCN_First = 0 - 550;


TCN_SELCHANGE

Declaration

Source position: comctrls.pp line 4052

const TCN_SELCHANGE = TCN_FIRST - 1;


TCN_SELCHANGING

Declaration

Source position: comctrls.pp line 4053

const TCN_SELCHANGING = TCN_FIRST - 2;


TCTabControlCapabilities

TCTabControlCapabilities - set of TCTabControlCapability

Declaration

Source position: comctrls.pp line 368

type TCTabControlCapabilities = set of (

  nbcShowCloseButtons,

  nbcMultiLine,

  nbcPageListPopup,

  nbcShowAddTabButton,

  nbcTabsSizeable

);


TCTabControlCapability

TCTabControlCapability - enumerated type containing possible capabilities of a notebook

Declaration

Source position: comctrls.pp line 365

type TCTabControlCapability = (

  nbcShowCloseButtons,

  nbcMultiLine,

  nbcPageListPopup,

  nbcShowAddTabButton,

  nbcTabsSizeable

);

Description

nbcShowCloseButtons, nbcMultiLine, nbcPageListPopup, nbcShowAddTabButton


TCTabControlOption

TCTabControlOption - Show the close button on a tab, allow multi-line tabs

Declaration

Source position: comctrls.pp line 361

type TCTabControlOption = (

  nboShowCloseButtons,

  nboMultiLine,

  nboHidePageListPopup,

  nboKeyboardTabSwitch,

  nboShowAddTabButton,

  nboDoChangeOnSetIndex

);


TCTabControlOptions

TCTabControlOptions - set of TCTabControlOption

Declaration

Source position: comctrls.pp line 364

type TCTabControlOptions = set of (

  nboShowCloseButtons,

  nboMultiLine,

  nboHidePageListPopup,

  nboKeyboardTabSwitch,

  nboShowAddTabButton,

  nboDoChangeOnSetIndex

);


TCustomDrawResult

TCustomDrawResult - set of TCustomDrawResultFlag

Declaration

Source position: comctrls.pp line 955

type TCustomDrawResult = set of (

  cdrSkipDefault,

  cdrNotifyPostpaint,

  cdrNotifyItemdraw,

  cdrNotifySubitemdraw,

  cdrNotifyPosterase,

  cdrNotifyItemerase

);


TCustomDrawResultFlag

TCustomDrawResultFlag - enumerated type, a series of flags to signify the result of a drawing process

Declaration

Source position: comctrls.pp line 947

type TCustomDrawResultFlag = (

  cdrSkipDefault,

  cdrNotifyPostpaint,

  cdrNotifyItemdraw,

  cdrNotifySubitemdraw,

  cdrNotifyPosterase,

  cdrNotifyItemerase

);


TCustomDrawStage

TCustomDrawStage a series of constants to define the drawing stages.

Declaration

Source position: comctrls.pp line 928

type TCustomDrawStage = (

  cdPrePaint,

  cdPostPaint,

  cdPreErase,

  cdPostErase

);

Description

So far I've only seen cdPrePaint used in this unit.


TCustomDrawState

TCustomDrawState - set of TCustomDrawStateFlag

Declaration

Source position: comctrls.pp line 945

type TCustomDrawState = set of (

  cdsSelected,

  cdsGrayed,

  cdsDisabled,

  cdsChecked,

  cdsFocused,

  cdsDefault,

  cdsHot,

  cdsMarked,

  cdsIndeterminate

);

Description

TCustomDrawState determines how a item will be drawn.


TCustomDrawStateFlag

TCustomDrawStateFlag - series of flags to define the DrawState

Declaration

Source position: comctrls.pp line 934

type TCustomDrawStateFlag = (

  cdsSelected,

  cdsGrayed,

  cdsDisabled,

  cdsChecked,

  cdsFocused,

  cdsDefault,

  cdsHot,

  cdsMarked,

  cdsIndeterminate

);

Description

TCustomDrawStateFlag consists of the following constants:

  • cdsSelected,
  • cdsGrayed,
  • cdsDisabled,
  • cdsChecked,
  • cdsFocused,
  • cdsDefault,
  • cdsHot,
  • cdsMarked,
  • cdsIndeterminate


TCustomDrawTarget

TCustomDrawTarget - enumerated type controlling how a target object is to be drawn

Declaration

Source position: comctrls.pp line 923

type TCustomDrawTarget = (

  dtControl,

  dtItem,

  dtSubItem

);


TCustomHCCreateSectionClassEvent

TCustomHCCreateSectionClassEvent - generic event handler method for custom creation of header control

Declaration

Source position: comctrls.pp line 3912

type TCustomHCCreateSectionClassEvent = procedure(

  Sender: TCustomHeaderControl;

  var SectionClass: THeaderSectionClass

) of object;


TCustomSectionNotifyEvent

TCustomSectionNotifyEvent - generic event notification method for header section

Declaration

Source position: comctrls.pp line 3910

type TCustomSectionNotifyEvent = procedure(

  HeaderControl: TCustomHeaderControl;

  Section: THeaderSection

) of object;


TCustomSectionTrackEvent

TCustomSectionTrackEvent - generic event handling method for custom tracking a header section

Declaration

Source position: comctrls.pp line 3907

type TCustomSectionTrackEvent = procedure(

  HeaderControl: TCustomHeaderControl;

  Section: THeaderSection;

  Width: Integer;

  State: TSectionTrackState

) of object;


TDelphiNodeInfo

TDelphiNodeInfo - record structure for Tree Node information (for Delphi compatability)

Declaration

Source position: comctrls.pp line 2926

type TDelphiNodeInfo = packed record

  ImageIndex: Integer;

  SelectedIndex: Integer;

  StateIndex: Integer;

  OverlayIndex: Integer;

  Data: Cardinal;

  Count: Integer;

  Text: string;

end;


TDisplayCode

TDisplayCode - enumerated type denoting how items are displayed

Declaration

Source position: comctrls.pp line 970

type TDisplayCode = (

  drBounds,

  drIcon,

  drLabel,

  drSelectBounds

);


TDragBand

Declaration

Source position: comctrls.pp line 2378

type TDragBand = (

  dbNone,

  dbMove,

  dbResize

);


TDrawPanelEvent

Declaration

Source position: comctrls.pp line 115

type TDrawPanelEvent = procedure(

  StatusBar: TStatusBar;

  Panel: TStatusPanel;

  const Rect: TRect

) of object;


TDrawTabEvent

TDrawTabEvent - generic event handling procedure for drawing a tab with given index at the specified rectangle

Declaration

Source position: comctrls.pp line 370

type TDrawTabEvent = procedure(

  Control: TCustomTabControl;

  TabIndex: Integer;

  const Rect: TRect;

  AActive: Boolean

) of object;


TGrabStyle

Declaration

Source position: comctrls.pp line 2377

type TGrabStyle = (

  gsSimple,

  gsDouble,

  gsHorLines,

  gsVerLines,

  gsGripper,

  gsButton

);


THitTest

THitTest - enumerated type giving permissable results of a hit test (position of a mouse click etc relative to objects on a form)

Declaration

Source position: comctrls.pp line 41

type THitTest = (

  htAbove,

  htBelow,

  htNowhere,

  htOnItem,

  htOnButton,

  htOnIcon,

  htOnIndent,

  htOnLabel,

  htOnRight,

  htOnStateIcon,

  htToLeft,

  htToRight

);


THitTests

THitTests - set of THitTest

Declaration

Source position: comctrls.pp line 43

type THitTests = set of (

  htAbove,

  htBelow,

  htNowhere,

  htOnItem,

  htOnButton,

  htOnIcon,

  htOnIndent,

  htOnLabel,

  htOnRight,

  htOnStateIcon,

  htToLeft,

  htToRight

);


TIconArrangement

Declaration

Source position: comctrls.pp line 974

type TIconArrangement = (

  iaTop,

  iaLeft

);


TItemChange

TItemChange - enumerated type for kind of change: in text, in image or in state

Declaration

Source position: comctrls.pp line 1264

type TItemChange = (

  ctText,

  ctImage,

  ctState

);


TItemFind

Declaration

Source position: comctrls.pp line 1267

type TItemFind = (

  ifData,

  ifPartialString,

  ifExactString,

  ifNearest

);


TListHotTrackStyle

TListHotTrackStyle - enumerated type denoting the style of HotTrack

Declaration

Source position: comctrls.pp line 1342

type TListHotTrackStyle = (
htHandPoint, | For current ListView item, show HandPoint mouse cursor.
htUnderlineCold, | For current ListView item, show pale underline.
htUnderlineHot | For current ListView item, show bold underline.
);


TListHotTrackStyles

TListHotTrackStyles - set of TListHotTrackStyle

Declaration

Source position: comctrls.pp line 1343

type TListHotTrackStyles = set of (
htHandPoint, | For current ListView item, show HandPoint mouse cursor.
htUnderlineCold, | For current ListView item, show pale underline.
htUnderlineHot | For current ListView item, show bold underline.
);


TListItemsFlag

Declaration

Source position: comctrls.pp line 1109

type TListItemsFlag = (

  lisfWSItemsCreated

);


TListItemsFlags

Declaration

Source position: comctrls.pp line 1110

type TListItemsFlags = set of (

  lisfWSItemsCreated

);


TListItemState

TListItemState - enumerated type denoting the state of a list item

Declaration

Source position: comctrls.pp line 964

type TListItemState = (

  lisCut,

  lisDropTarget,

  lisFocused,

  lisSelected

);


TListItemStates

TListItemStates - set of TListItemState

Declaration

Source position: comctrls.pp line 965

type TListItemStates = set of (

  lisCut,

  lisDropTarget,

  lisFocused,

  lisSelected

);


TLVAdvancedCustomDrawEvent

TLVAdvancedCustomDrawEvent - generic event handling method for List View custom drawing

Declaration

Source position: comctrls.pp line 1310

type TLVAdvancedCustomDrawEvent = procedure(

  Sender: TCustomListView;

  const ARect: TRect;

  Stage: TCustomDrawStage;

  var DefaultDraw: Boolean

) of object;


TLVAdvancedCustomDrawItemEvent

Declaration

Source position: comctrls.pp line 1312

type TLVAdvancedCustomDrawItemEvent = procedure(

  Sender: TCustomListView;

  Item: TListItem;

  State: TCustomDrawState;

  Stage: TCustomDrawStage;

  var DefaultDraw: Boolean

) of object;


TLVAdvancedCustomDrawSubItemEvent

TLVAdvancedCustomDrawSubItemEvent - generic event handling method for List View custom subitem drawing

Declaration

Source position: comctrls.pp line 1315

type TLVAdvancedCustomDrawSubItemEvent = procedure(

  Sender: TCustomListView;

  Item: TListItem;

  SubItem: Integer;

  State: TCustomDrawState;

  Stage: TCustomDrawStage;

  var DefaultDraw: Boolean

) of object;


TLVChangeEvent

TLVChangeEvent - generic event handler method for change in List View

Declaration

Source position: comctrls.pp line 1270

type TLVChangeEvent = procedure(

  Sender: TObject;

  Item: TListItem;

  Change: TItemChange

) of object;


TLVCheckedItemEvent

Declaration

Source position: comctrls.pp line 1298

type TLVCheckedItemEvent = procedure(

  Sender: TObject;

  Item: TListItem

) of object;


TLVColumnClickEvent

TLVColumnClickEvent - generic event handler method for a click on a List View column

Declaration

Source position: comctrls.pp line 1282

type TLVColumnClickEvent = procedure(

  Sender: TObject;

  Column: TListColumn

) of object;


TLVColumnRClickEvent

TLVColumnRClickEvent - generic event handler method for a right click on a List View column

Declaration

Source position: comctrls.pp line 1284

type TLVColumnRClickEvent = procedure(

  Sender: TObject;

  Column: TListColumn;

  Point: TPoint

) of object;


TLVCompare

Declaration

Source position: comctrls.pp line 1286

type TLVCompare = function(

  Item1: TListItem;

  Item2: TListItem;

  AOptionalParam: PtrInt

):Integer;


TLVCompareEvent

TLVCompareEvent - generic event handler method for List View comparison

Declaration

Source position: comctrls.pp line 1287

type TLVCompareEvent = procedure(

  Sender: TObject;

  Item1: TListItem;

  Item2: TListItem;

  Data: Integer;

  var Compare: Integer

) of object;


TLVCreateItemClassEvent

Declaration

Source position: comctrls.pp line 1318

type TLVCreateItemClassEvent = procedure(

  Sender: TCustomListView;

  var ItemClass: TListItemClass

) of object;


TLVCustomDrawEvent

TLVCustomDrawEvent - generic event handler method for List View custom drawing

Declaration

Source position: comctrls.pp line 1301

type TLVCustomDrawEvent = procedure(

  Sender: TCustomListView;

  const ARect: TRect;

  var DefaultDraw: Boolean

) of object;


TLVCustomDrawItemEvent

TLVCustomDrawItemEvent - generic event handling method for List View item drawing

Declaration

Source position: comctrls.pp line 1303

type TLVCustomDrawItemEvent = procedure(

  Sender: TCustomListView;

  Item: TListItem;

  State: TCustomDrawState;

  var DefaultDraw: Boolean

) of object;


TLVCustomDrawSubItemEvent

TLVCustomDrawSubItemEvent - generic event handling method for List View subitem drawing

Declaration

Source position: comctrls.pp line 1305

type TLVCustomDrawSubItemEvent = procedure(

  Sender: TCustomListView;

  Item: TListItem;

  SubItem: Integer;

  State: TCustomDrawState;

  var DefaultDraw: Boolean

) of object;


TLVDataEvent

Declaration

Source position: comctrls.pp line 1297

type TLVDataEvent = TLVDeletedEvent;


TLVDataFindEvent

Declaration

Source position: comctrls.pp line 1273

type TLVDataFindEvent = procedure(

  Sender: TObject;

  AFind: TItemFind;

  const AFindString: string;

  const AFindPosition: TPoint;

  AFindData: Pointer;

  AStartIndex: Integer;

  ADirection: TSearchDirection;

  AWrap: Boolean;

  var AIndex: Integer

) of object;


TLVDataHintEvent

Declaration

Source position: comctrls.pp line 1278

type TLVDataHintEvent = procedure(

  Sender: TObject;

  StartIndex: Integer;

  EndIndex: Integer

) of object;


TLVDataStateChangeEvent

Declaration

Source position: comctrls.pp line 1279

type TLVDataStateChangeEvent = procedure(

  Sender: TObject;

  StartIndex: Integer;

  EndIndex: Integer;

  OldState: TListItemStates;

  NewState: TListItemStates

) of object;


TLVDeletedEvent

TLVDeletedEvent - generic event handler method for deleted items in List View

Declaration

Source position: comctrls.pp line 1289

type TLVDeletedEvent = procedure(

  Sender: TObject;

  Item: TListItem

) of object;


TLVDrawItemEvent

Declaration

Source position: comctrls.pp line 1308

type TLVDrawItemEvent = procedure(

  Sender: TCustomListView;

  AItem: TListItem;

  ARect: TRect;

  AState: TOwnerDrawState

) of object;


TLVEditedEvent

Declaration

Source position: comctrls.pp line 1293

type TLVEditedEvent = procedure(

  Sender: TObject;

  Item: TListItem;

  var AValue: string

) of object;


TLVEditingEvent

Declaration

Source position: comctrls.pp line 1291

type TLVEditingEvent = procedure(

  Sender: TObject;

  Item: TListItem;

  var AllowEdit: Boolean

) of object;


TLVInsertEvent

TLVInsertEvent - generic event handler method for List View insertion

Declaration

Source position: comctrls.pp line 1296

type TLVInsertEvent = TLVDeletedEvent;


TLVSelectItemEvent

TLVSelectItemEvent - generic event handler method for List View selection

Declaration

Source position: comctrls.pp line 1299

type TLVSelectItemEvent = procedure(

  Sender: TObject;

  Item: TListItem;

  Selected: Boolean

) of object;


TMultiSelectStyle

Declaration

Source position: comctrls.pp line 2838

type TMultiSelectStyle = set of (
msControlSelect, | Allow to select one additonal item by Ctrl+click.
msShiftSelect, | Allow to select a range of items (from previous current item to clicked one) by Shift+click.
msVisibleOnly, | When selecting a range with Shift+click, select only visible (unfolded) items.
msSiblingOnly | When selecting a range with Shift+click, touch only siblings of previous current item.
);


TMultiSelectStyles

Declaration

Source position: comctrls.pp line 2837

type TMultiSelectStyles = (
msControlSelect, | Allow to select one additonal item by Ctrl+click.
msShiftSelect, | Allow to select a range of items (from previous current item to clicked one) by Shift+click.
msVisibleOnly, | When selecting a range with Shift+click, select only visible (unfolded) items.
msSiblingOnly | When selecting a range with Shift+click, touch only siblings of previous current item.
);


TNodeAttachMode

TNodeAttachMode - enumerated type denoting mode of attachment of TreeNodes

Declaration

Source position: comctrls.pp line 2826

type TNodeAttachMode = (

  naAdd,

  naAddFirst,

  naAddChild,

  naAddChildFirst,

  naInsert,

  naInsertBehind

);

Description

TNodeAttachMode - enumerated type denoting mode of attachment of TreeNodes

naAdd,           // add as last sibling of Destination
    naAddFirst,      // add as first sibling of Destination
    naAddChild,      // add as last child of Destination
    naAddChildFirst, // add as first child of Destination
    naInsert,        // insert in front of Destination
    naInsertBehind   // insert behind Destination


TNodeCache

TNodeCache - a cache (temporary storage record) for a TTreeNode and its index

Declaration

Source position: comctrls.pp line 3126

type TNodeCache = record

  CacheNode: TTreeNode;

  CacheIndex: Integer;

end;


TNodeState

TNodeState - enumerated type denoting the status of a TreeNode

Declaration

Source position: comctrls.pp line 2812

type TNodeState = (

  nsCut,

  nsDropHilited,

  nsFocused,

  nsSelected,

  nsMultiSelected,

  nsExpanded,

  nsHasChildren,

  nsDeleting,

  nsVisible,

  nsBound

);

Description

Cut, DropHilited, Focused, Selected, MultiSelected, Expanded, HasChildren, Deleting, Bound


TNodeStates

TNodeStates - set of TNodeState

Declaration

Source position: comctrls.pp line 2825

type TNodeStates = set of (

  nsCut,

  nsDropHilited,

  nsFocused,

  nsSelected,

  nsMultiSelected,

  nsExpanded,

  nsHasChildren,

  nsDeleting,

  nsVisible,

  nsBound

);


TOldTreeNodeInfo

TOldTreeNodeInfo - record type (old version) for Tree Node information

Declaration

Source position: comctrls.pp line 2899

type TOldTreeNodeInfo = packed record

  ImageIndex: Integer;

  SelectedIndex: Integer;

  StateIndex: Integer;

  OverlayIndex: Integer;

  Data: PtrUInt;

  Count: Integer;

  Height: Integer;

  Expanded: Boolean;

  TextLen: Integer;

end;


TPageFlag

Declaration

Source position: comctrls.pp line 228

type TPageFlag = (

  pfAdded,

  pfAdding,

  pfRemoving,

  pfInserting

);


TPageFlags

Declaration

Source position: comctrls.pp line 234

type TPageFlags = set of (

  pfAdded,

  pfAdding,

  pfRemoving,

  pfInserting

);


TPanelPart

TPanelPart - enumerated type listing the possible parts that comprise a Panel

Declaration

Source position: comctrls.pp line 50

type TPanelPart = (

  ppText,

  ppBorder,

  ppWidth

);


TPanelParts

TPanelParts - set ot TPanelPart

Declaration

Source position: comctrls.pp line 55

type TPanelParts = set of (

  ppText,

  ppBorder,

  ppWidth

);


TSBCreatePanelClassEvent

TSBCreatePanelClassEvent - generic event handling procedure for creating a Status Bar panel class

Declaration

Source position: comctrls.pp line 112

type TSBCreatePanelClassEvent = procedure(

  Sender: TStatusBar;

  var PanelClass: TStatusPanelClass

) of object;


TSearchDirection

Declaration

Source position: comctrls.pp line 1268

type TSearchDirection = (

  sdLeft,

  sdRight,

  sdAbove,

  sdBelow,

  sdAll

);


TSectionDragEvent

TSectionDragEvent - generic event handling method for dragging a header section

Declaration

Source position: comctrls.pp line 3908

type TSectionDragEvent = procedure(

  Sender: TObject;

  FromSection: THeaderSection;

  ToSection: THeaderSection;

  var AllowDrag: Boolean

) of object;


TSectionTrackState

TSectionTrackState - enumerated type for tracking the state of a header section

Declaration

Source position: comctrls.pp line 3906

type TSectionTrackState = (

  tsTrackBegin,

  tsTrackMove,

  tsTrackEnd

);


TSortDirection

Declaration

Source position: comctrls.pp line 1353

type TSortDirection = (

  sdAscending,

  sdDescending

);


TSortType

TSortType - enumerated type, a series of constants signifying that there is no sorting or that sorting is according to data, test or both

Declaration

Source position: comctrls.pp line 962

type TSortType = (

  stNone,

  stData,

  stText,

  stBoth

);


TTabChangingEvent

TTabChangingEvent - generic event handling method for a change in a notebook Tab

Declaration

Source position: comctrls.pp line 350

type TTabChangingEvent = procedure(

  Sender: TObject;

  var AllowChange: Boolean

) of object;


TTabGetImageEvent

TTabGetImageEvent - generic event handling method for getting an image for a Tab

Declaration

Source position: comctrls.pp line 357

type TTabGetImageEvent = procedure(

  Sender: TObject;

  TabIndex: Integer;

  var ImageIndex: Integer

) of object;


TTabPosition

TTabPosition - enumerated type for position of tab relative to page: top, bottom, left or right

Declaration

Source position: comctrls.pp line 353

type TTabPosition = (

  tpTop,

  tpBottom,

  tpLeft,

  tpRight

);


TTabStyle

TTabStyle

Declaration

Source position: comctrls.pp line 355

type TTabStyle = (

  tsTabs,

  tsButtons,

  tsFlatButtons

);


TTickMark

TTickMark - enumerated type denoting position of tick marks relative to the TrackBar

Declaration

Source position: comctrls.pp line 2670

type TTickMark = (

  tmBottomRight,

  tmTopLeft,

  tmBoth

);


TTickStyle

TTickStyle - enumerated type denoting style of tick marks

Declaration

Source position: comctrls.pp line 2671

type TTickStyle = (

  tsNone,

  tsAuto,

  tsManual

);


TToolBarFlag

TToolBarFlag - enumerated type for flags denoting status of ToolBar

Declaration

Source position: comctrls.pp line 2195

type TToolBarFlag = (

  tbfUpdateVisibleBarNeeded,

  tbfPlacingControls

);


TToolBarFlags

TToolBarFlags - set of TToolBarFlag

Declaration

Source position: comctrls.pp line 2200

type TToolBarFlags = set of (

  tbfUpdateVisibleBarNeeded,

  tbfPlacingControls

);


TToolBarOnPaintButton

Declaration

Source position: comctrls.pp line 2193

type TToolBarOnPaintButton = procedure(

  Sender: TToolButton;

  State: Integer

) of object;


TToolButtonFlag

TToolButtonFlag - a series of flags that can be set by pressing the mouse on the control

Declaration

Source position: comctrls.pp line 2020

type TToolButtonFlag = (

  tbfPressed,

  tbfArrowPressed,

  tbfMouseInArrow,

  tbfDropDownMenuShown

);

Description

tbfPressed, // set while mouse is pressed on button

tbfArrowPressed // set while mouse is pressed on arrow button


TToolButtonFlags

TToolButtonFlags - set of TToolButtonFlag

Declaration

Source position: comctrls.pp line 2027

type TToolButtonFlags = set of (

  tbfPressed,

  tbfArrowPressed,

  tbfMouseInArrow,

  tbfDropDownMenuShown

);


TToolButtonStyle

TToolButtonStyle - enumerated type that determines the style of the tool buttons.

Declaration

Source position: comctrls.pp line 2010

type TToolButtonStyle = (

  tbsButton,

  tbsCheck,

  tbsDropDown,

  tbsSeparator,

  tbsDivider,

  tbsButtonDrop

);

Description

These are the possible values of Style:

  • tbsButton - The button appears and functions like a normal button.
  • tbsCheck - Clicking the button toggles the Down property. Once selected, the button remains selected until clicked again.
  • tbsDivider - The button appears as a vertical line on the toolbar (used to separate other controls).
  • tbsDropDown - The button displays a downwards-pointing arrow (suitable for accessing a drop-down menu).
  • tbsSeparator - The button appears as an empty space on the toolbar (used to separate other controls).

See also

#LCL.ComCtrls.TToolButton

TToolButton is a button control in a TToolBar object.

Example

{ To use this example, create a new application and add the example code
  to the unit. Remember to add the ComCtls unit in the uses clause. }

procedure AddButtons(ToolBar: TToolBar; const ButtonCaptions: array of String);
var
  i: integer;
begin
  for i := 0 to High(ButtonCaptions) do
  begin
    with TToolButton.Create(ToolBar) do
    begin
      Parent := ToolBar;
      Caption := ButtonCaptions[i];
      if (ButtonCaptions[i] = '|') then
        Style := tbsSeparator
      else
        Style := tbsButton;
      AutoSize := True;
    end;
  end;
end;

procedure TForm1.FormCreate(Sender: TObject);
var
  ToolBar: TToolBar;
begin
  ToolBar := TToolBar.Create(Self);
  ToolBar.Parent := Self;
  ShowMessage(IntToStr(ToolBar.ButtonCount));
  AddButtons(ToolBar, ['New', 'Save', '|', 'Cut', 'Copy', 'Paste']);
  ToolBar.ShowCaptions := True;
  ToolBar.Height := 40;
  ToolBar.ButtonWidth := 75;
  ShowMessage(IntToStr(ToolBar.ButtonCount));
end;


TTreeNodeInfo

TTreeNodeInfo - record structure for (new) Tree Node information

Declaration

Source position: comctrls.pp line 2912

type TTreeNodeInfo = packed record

  ImageIndex: Integer;

  SelectedIndex: Integer;

  StateIndex: Integer;

  OverlayIndex: Integer;

  Count: Integer;

  Height: Integer;

  Expanded: Boolean;

  TextLen: Integer;

end;


TTVAdvancedCustomDrawEvent

TTVAdvancedCustomDrawEvent - generic event handler method for Tree View advanced custom drawing

Declaration

Source position: comctrls.pp line 2886

type TTVAdvancedCustomDrawEvent = procedure(

  Sender: TCustomTreeView;

  const ARect: TRect;

  Stage: TCustomDrawStage;

  var DefaultDraw: Boolean

) of object;


TTVAdvancedCustomDrawItemEvent

TTVAdvancedCustomDrawItemEvent - generic event handler method for Tree View Item advanced custom drawing

Declaration

Source position: comctrls.pp line 2889

type TTVAdvancedCustomDrawItemEvent = procedure(

  Sender: TCustomTreeView;

  Node: TTreeNode;

  State: TCustomDrawState;

  Stage: TCustomDrawStage;

  var PaintImages: Boolean;

  var DefaultDraw: Boolean

) of object;


TTVChangedEvent

TTVChangedEvent - generic event handling method for a changed Tree Node

Declaration

Source position: comctrls.pp line 2864

type TTVChangedEvent = procedure(

  Sender: TObject;

  Node: TTreeNode

) of object;


TTVChangingEvent

TTVChangingEvent - a generic event handling method for changing a specified Tree Node if AllowChange is True

Declaration

Source position: comctrls.pp line 2862

type TTVChangingEvent = procedure(

  Sender: TObject;

  Node: TTreeNode;

  var AllowChange: Boolean

) of object;


TTVCollapsingEvent

TTVCollapsingEvent - generic event handling method for collapsing a Tree Node if AllowCollapse is True

Declaration

Source position: comctrls.pp line 2875

type TTVCollapsingEvent = procedure(

  Sender: TObject;

  Node: TTreeNode;

  var AllowCollapse: Boolean

) of object;


TTVCompareEvent

TTVCompareEvent - generic event handling method for comparing two Tree Nodes

Declaration

Source position: comctrls.pp line 2878

type TTVCompareEvent = procedure(

  Sender: TObject;

  Node1: TTreeNode;

  Node2: TTreeNode;

  var Compare: Integer

) of object;


TTVCreateNodeClassEvent

Declaration

Source position: comctrls.pp line 2894

type TTVCreateNodeClassEvent = procedure(

  Sender: TCustomTreeView;

  var NodeClass: TTreeNodeClass

) of object;


TTVCustomCreateNodeEvent

TTVCustomCreateNodeEvent - generic event handling method for Tree View node creation

Declaration

Source position: comctrls.pp line 2892

type TTVCustomCreateNodeEvent = procedure(

  Sender: TCustomTreeView;

  var ATreeNode: TTreeNode

) of object;


TTVCustomDrawArrowEvent

Declaration

Source position: comctrls.pp line 2884

type TTVCustomDrawArrowEvent = procedure(

  Sender: TCustomTreeView;

  const ARect: TRect;

  ACollapsed: Boolean

) of object;


TTVCustomDrawEvent

TTVCustomDrawEvent - generic event handling method for Tree View custom drawing

Declaration

Source position: comctrls.pp line 2880

type TTVCustomDrawEvent = procedure(

  Sender: TCustomTreeView;

  const ARect: TRect;

  var DefaultDraw: Boolean

) of object;


TTVCustomDrawItemEvent

TTVCustomDrawItemEvent - generic event handling method for Tree View Item custom drawing

Declaration

Source position: comctrls.pp line 2882

type TTVCustomDrawItemEvent = procedure(

  Sender: TCustomTreeView;

  Node: TTreeNode;

  State: TCustomDrawState;

  var DefaultDraw: Boolean

) of object;


TTVEditedEvent

TTVEditedEvent - generic event handling method for a node that has been edited

Declaration

Source position: comctrls.pp line 2871

type TTVEditedEvent = procedure(

  Sender: TObject;

  Node: TTreeNode;

  var S: string

) of object;


TTVEditingEndEvent

Declaration

Source position: comctrls.pp line 2869

type TTVEditingEndEvent = procedure(

  Sender: TObject;

  Node: TTreeNode;

  Cancel: Boolean

) of object;


TTVEditingEvent

TTVEditingEvent - generic event handling method for editing a specified node if AllowEdit is True

Declaration

Source position: comctrls.pp line 2867

type TTVEditingEvent = procedure(

  Sender: TObject;

  Node: TTreeNode;

  var AllowEdit: Boolean

) of object;


TTVExpandedEvent

TTVExpandedEvent - generic event handling method for a Tree Node that has been expanded

Declaration

Source position: comctrls.pp line 2877

type TTVExpandedEvent = procedure(

  Sender: TObject;

  Node: TTreeNode

) of object;


TTVExpandingEvent

TTVExpandingEvent - generic event handling method for expanding a tree node if AllowExpansion is True

Declaration

Source position: comctrls.pp line 2873

type TTVExpandingEvent = procedure(

  Sender: TObject;

  Node: TTreeNode;

  var AllowExpansion: Boolean

) of object;


TTVGetNodeText

Declaration

Source position: comctrls.pp line 3797

type TTVGetNodeText = function(

  Node: TTreeNode

):string of object;


TTVNodeChangedEvent

Declaration

Source position: comctrls.pp line 2865

type TTVNodeChangedEvent = procedure(

  Sender: TObject;

  Node: TTreeNode;

  ChangeReason: TTreeNodeChangeReason

) of object;


TUDAlignButton

TUDAlignButton - enumerated type contains constants for alignment of an UpDown button

Declaration

Source position: comctrls.pp line 1861

type TUDAlignButton = (

  udLeft,

  udRight,

  udTop,

  udBottom

);


TUDBtnType

TUDBtnType - enumerated type with constants describing the buttons of an UpDown control: Next or Previous

Declaration

Source position: comctrls.pp line 1864

type TUDBtnType = (

  btNext,

  btPrev

);


TUDChangingEvent

TUDChangingEvent - generic event handling procedure for changes in UpDown button

Declaration

Source position: comctrls.pp line 1866

type TUDChangingEvent = procedure(

  Sender: TObject;

  var AllowChange: Boolean

) of object;


TUDChangingEventEx

Declaration

Source position: comctrls.pp line 1867

type TUDChangingEventEx = procedure(

  Sender: TObject;

  var AllowChange: Boolean;

  NewValue: SmallInt;

  Direction: TUpDownDirection

) of object;


TUDClickEvent

TUDClickEvent - generic event handling procedure for clicking on an UpDown button

Declaration

Source position: comctrls.pp line 1865

type TUDClickEvent = procedure(

  Sender: TObject;

  Button: TUDBtnType

) of object;


TUDOrientation

TUDOrientation - enumerated type with constants for orientation of UpDown button (Horizontal or Vertical)

Declaration

Source position: comctrls.pp line 1862

type TUDOrientation = (

  udHorizontal,

  udVertical

);


TViewStyle

TViewStyle - enumerated type for style of view

Declaration

Source position: comctrls.pp line 1265

type TViewStyle = (

  vsIcon,

  vsSmallIcon,

  vsList,

  vsReport

);


TWidth

ImageIndex

Declaration

Source position: comctrls.pp line 1189

type TWidth = 0..MaxInt;


AnchorAlign

Declaration

Source position: controls.pp line 2667

const AnchorAlign: array [TAlign] of TAnchors = ([akLeft, akTop], [akLeft, akTop, akRight], [akLeft, akRight, akBottom], [akLeft, akTop, akBottom], [akRight, akTop, akBottom], [akLeft, akTop, akRight, akBottom], [akLeft, akTop]);


How multiple controls can be aligned and resized together, at runtime.

The tree-style layout of a form allows one to specify table-style areas, with a common width or height of all controls in the same area (using container controls like e.g. TPanel).

Delphi introduced control anchoring to the sides of the Parent control. This means when a control in a form has Anchors[akRight]=True, its right side keeps its distance from the right side of its Parent, when its Parent is resized.

The default anchors [akLeft,akTop] keep every control anchored to the origin (TopLeft) of their Parent control (of form). This will cause controls to disappear when the form is shrinked, or the user has to scroll through the form's client area.

When a control shall e.g. use the available space, left over to its right, Anchors=[akLeft,akRight] will result in a variable-width control.

The Align property allows one to stack controls at their Parent's sides, e.g. all controls with Align=alTop are stacked at the top of their Parent. The remaining space in the Parent can be occupied by a single control, of Align=alClient.

Both Anchors and Align are tightly coupled, changing one property will affect the other one. This is harmless in so far, as the IDE (form designer) keeps all adjustments in sync, free of conflicts.

Some people found this approved layout method too restrictive, and too complicated to use, and now LCL controls also can be anchored freely to each other. This layout management is traditionally referred to as "Anchor Docking", even if it is not related to docking at all.

Remark: This freedom requires that the GUI designer is responsible for consistent anchor specifications, which do not result in unresolvable cyclic references or other contradictions.

Anchor docking allows one to anchor every side of a control to an arbitrary side of another control, i.e. the left side of an Edit control can be anchored to the right side of its associated Label.

Example1
    --------
      If you want to have the top of B the same as the top of C:
       +-----+  +-----+
       |  B  |  |  C  |
       |     |  +-----+
       +-----+
      use
        B.AnchorSide[akTop].Control:=C;
        B.AnchorSide[akTop].Side:=asrTop;

When you want to have a gap between both controls, set e.g. B.Borderspacing.Right to the desired amount. Setting C.Borderspacing.Left will have the same effect, and both can be used together; the resulting gap then reflects the maximum value of both properties.

BorderSpacing is in effect even for controls without special anchoring, when AutoSize is used.

Anchor docking also allows one to center a control relative to another control.

Example2
    --------
      For centering A relative to B:
            +-------+
      +---+ |       |
      | A | |   B   |
      +---+ |       |
            +-------+
      use
        A.AnchorSide[akTop].Side:=asrCenter;
        A.AnchorSide[akTop].Control:=B;
      Or use this, it's equivalent:
        A.AnchorSide[akBottom].Side:=asrCenter;
        A.AnchorSide[akBottom].Control:=B;

TControlChildSizing and TControlChildrenLayout offers additional means for aligning and separating controls.


AnchorReferenceSide

Declaration

Source position: controls.pp line 2703

const AnchorReferenceSide: array [TAnchorKind,TAnchorSideReference] of TAnchorKind = ((akTop, akBottom, akTop), (akLeft, akRight, akLeft), (akTop, akBottom, akTop), (akLeft, akRight, akLeft));


asrLeft

Anchor to the left side (=asrTop).

Declaration

Source position: controls.pp line 176

const asrLeft = asrTop;


asrRight

Anchor to the right side (=asrBottom).

Declaration

Source position: controls.pp line 177

const asrRight = asrBottom;


[Previous][Up] Reference for unit 'Controls' (#lcl)

AutoSize - boolean property that permits the size of a control to be adjusted automatically

[deverses an review!!!] AutoSize is a boolean property found in many classes; it permits the size of a control to be adjusted automatically to accommodate differences in the text or graphic contained therein, and allows most efficient use of available space

Many controls call TControl.DoAutoSize to perform the actual auto-sizing.

IMPORTANT: Many Delphi controls override this method and many call this method directly after setting some properties.

During handle creation not all interfaces can create complete Device Contexts which are needed to calculate things like text size.

That's why you should always call AdjustSize instead of DoAutoSize.

TControl.AdjustSize calls DoAutoSize in a smart fashion.

During loading and handle creation the calls are delayed.

This method initially does the same as TWinControl.DoAutoSize. But since DoAutoSize is commonly overriden by descendant components, it is not useful to perform all tests, which can result in too much overhead. To reduce this the LCL calls AdjustSize instead.

When setting AutoSize = true the LCL autosizes the control in width and height. This is one of the most complex parts of the LCL, because the result depends on nearly a hundred properties. Let's start simple:

The LCL will only autosize the Width or Height if it is free to resize. In other words - the width is not autosized if:

  • the left and right side is anchored. You can anchor the sides with the Anchors property or by setting the Align property to alTop, alBottom or alClient
  • the Width and Height are bound by the Constraints properties. The Contraints can also be overriden by the widgetset. For example the winapi does not allow resizing the height of a combobox. And the gtk widgetset does not allow resizing the width of a vertical scrollbar

The new size is calculated by the protected method TControl.CalculatePreferredSize. This method asks the widgetset for an appropriate Width and Height. For example a TButton has preferred Width and Height. A TComboBox has only a preferred Height. The preferred Width is returned as 0 and so the LCL does not autosize the Width - it keeps the width unaltered. Finally a TMemo has no preferred Width or Height. Therefore AutoSize has no effect on a TMemo.

Some controls override this method. For example the TGraphicControl descendants like TLabel have no window handle and so cannot query the widgetset. They must calculate their preferred Width and Height themselves.

The widgetsets must override the GetPreferredSize method for each widget class that has a preferred size (Width or Height or both).

Parent.AutoSize

The above described the simple explanation. The real algorithm provides far more possibilities and is therefore far more complex.

Properties / Methods

  • Left
  • Top

If Parent is not nil then Left, Top are the pixel distance to the top, left pixel of the parent's client area (not scrolled). Remember the client area is always without the frame and scrollbars of the parent. For Delphi users: Some VCL controls like TGroupbox define the client area as the whole control including the frame and some not - the LCL is more consistent, and therefore Delphi incompatible. Left and Top can be negative or bigger than the client area. Some widgetsets define a minimum/maximum somewhere around 10.000 or more.

When the client area is scrolled the Left and Top are kept unchanged.

During resizing/moving Left and Top are not always in sync with the coordinates of the Handle object.

If Parent=nil then Left, Top depend on the widgetset and the window manager. Till Lazarus 0.9.25 this is typically the screen coordinate of the left,top of the client area of the form. This is Delphi incompatible. It is planned to change this to the Left, Top of the window.

Hint:

Each time you change Left and Top the LCL moves instantly. If you want to change both Left and Top use instead:

with Button1 do
    SetBounds(NewLeft,NewTop,Width,Height);
  • Width
  • Height

The Size in pixels must not be negative, and most widgetsets do not allow Width=0 and/or Height=0. Some controls on some platforms define a bigger minimum constraint. Instead of sizing a control to Width=0 and/or Height=0, set Visible=false. During resizing/moving Width and Height are not always in sync with the size of the Handle object.

  • BoundsRect

Same as Bounds(Left,Top,Width,Height).

Common newbie mistake:

BoundsRect.Left:=3; // WRONG: common newbie mistake

This has no effect, because reading BoundsRect is a function. It creates a temporary TRect on the stack.

  • ClientRect

Left and Top are always 0,0. Width and Height are the visible size in pixels of the client area. Remember the client area is without the frame and without scrollbars. In a scrollable client area the logical client area can be bigger than the visible.

  • ClientOrigin

Returns the screen coordinate of the top left coordinate 0,0 of the client area. Note that this value is the position as stored in the interface and is not always in sync with the LCL. When a control is moved, the LCL sets the bounds to the desired position and sends a move message to the interface. It is up to the interface to handle moves instantly or queued.

  • LCLIntf.GetClientBounds

Returns the client bounds of a control. Like ClientRect, but Left and Top are the pixel distances to the control's left, top. For example on a TGroupBox the Left, Top are the width and height of the left and top frame border. Scrolling has no effect on GetClientBounds.

  • LCLIntf.GetWindowRect

After the call, ARect will be the control area in screen coordinates. That means, Left and Top will be the screen coordinate of the TopLeft pixel of the Handle object and Right and Bottom will be the screen coordinate of the BottomRight pixel.

  • FBaseBoundsLock: integer

Increased/Decreased by LockBaseBounds/UnlockBaseBounds. Used to keep FBaseBounds during SetBounds calls.

  • FBaseParentClientSize: TPoint

The Parent.ClientRect size valid for the FBaseBounds. FBaseBounds and FBaseParentClientSize are used to calculate the distance for akRight (akBottom). When the parent is resized, the LCL knows what distance to keep.

  • FBoundsRectForNewParent: TRect

When changing the Parent of a control the Handle is recreated and many things can happen. Especially for docking forms the process is too unreliable. Therefore the BoundsRect is saved. The VCL uses a similar mechanism.

  • FLastDoChangeBounds: TRect

Used to avoid calling OnChangeBounds with the same coordinates. This reduces user defined autosizing.

  • FLastResizeClientHeight: integer
  • FLastResizeClientWidth: integer
  • FLastResizeHeight: integer
  • FLastResizeWidth: integer

Used to avoid calling OnResize with the same coordinates. This reduces user defined autosizing.

  • FLoadedClientSize: TPoint

During loading many things are delayed and many things are set and worse: in the wrong order. That's why SetClientWidth/SetClientHeight calls are stored and set at end of loading again. This way the LCL can restore the distances (e.g. akRight) used during designing.

  • FReadBounds: TRect

Same as FLoadedClientSize, but for SetLeft, SetTop, SetWidth, SetHeight.

  • procedure SetBoundsRectForNewParent(const AValue: TRect);

Used to set FBoundsRectForNewParent. See above.

  • procedure SetInitialBounds(aLeft, aTop, aWidth, aHeight: integer); virtual;

A smart version of SetBounds, reducing overhead during creation and loading.

  • procedure UpdateBaseBounds(StoreBounds, StoreParentClientSize, UseLoadedValues: boolean); virtual;

Commit current bounds to base bounds.

  • procedure SetClientHeight(Value: Integer);
  • procedure SetClientSize(Value: TPoint);
  • procedure SetClientWidth(Value: Integer);

Exists for Delphi compatibility too. Resizes the control, to get the wanted ClientRect size.

  • procedure ChangeBounds(ALeft, ATop, AWidth, AHeight: integer); virtual;

This is the internal SetBounds. Applies constraints, updates base bounds, calls OnChangeBound, OnResize, locks bounds.

  • procedure DoSetBounds(ALeft, ATop, AWidth, AHeight: integer); virtual;

This really sets the FLeft, FTop, FWidth, FHeight private variables.

  • procedure SetBounds(aLeft, aTop, aWidth, aHeight: integer); virtual;

This is the standard procedure overriden by many Delphi controls. TWinControl overrides it too.

Ignores calls when bounds are locked; lock the FBoundsRealized to avoid overhead to the interface during auto sizing.

ChangeBounds is not locked this way.

  • Function GetClientOrigin: TPoint; virtual;

Screen coordinate of Left, Top of client area.

  • Function GetClientRect: TRect; virtual;

Size of client area. (always Left=0, Top=0)

  • Function GetScrolledClientRect: TRect; virtual;

Visible client area in ClientRect.

  • function GetChildsRect(Scrolled: boolean): TRect; virtual;

Returns the Client rectangle relative to the control's Left, Top. If Scrolled is true, the rectangle is moved by the current scrolling values (for an example see TScrollingWincontrol).

  • function GetClientScrollOffset: TPoint; virtual;

Returns the scrolling offset of the client area.

  • function GetControlOrigin: TPoint; virtual;

Returns the screen coordinate of the topleft coordinate 0,0 of the control area. (The topleft pixel of the control on the screen) Note that this value is the position as stored in the interface and is not always in sync with the LCL. When a control is moved, the LCL sets the bounds to the wanted position and sends a move message to the interface. It is up to the interface to handle moves instantly or queued.


bvLowered

Declaration

Source position: controls.pp line 76

const bvLowered = GraphType.bvLowered;


bvNone

Declaration

Source position: controls.pp line 75

const bvNone = GraphType.bvNone;


bvRaised

Declaration

Source position: controls.pp line 77

const bvRaised = GraphType.bvRaised;


bvSpace

Declaration

Source position: controls.pp line 78

const bvSpace = GraphType.bvSpace;


ClockwiseAnchor

Declaration

Source position: controls.pp line 2691

const ClockwiseAnchor: array [TAnchorKind] of TAnchorKind = (akRight, akTop, akBottom, akLeft);


CM_ACTIONEXECUTE

Declaration

Source position: controlconsts.inc line 78

const CM_ACTIONEXECUTE = CM_BASE + 64;


CM_ACTIONUPDATE

Declaration

Source position: controlconsts.inc line 77

const CM_ACTIONUPDATE = CM_BASE + 63;


CM_ACTIVATE

Declaration

Source position: controlconsts.inc line 14

const CM_ACTIVATE = CM_BASE + 0;


CM_ALLCHILDRENFLIPPED

Declaration

Source position: controlconsts.inc line 76

const CM_ALLCHILDRENFLIPPED = CM_BASE + 62;


CM_APPKEYDOWN

[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] Reference for unit 'Controls' (#lcl)

CM_APPKEYDOWN (unimplemented)

Declaration

Source position: controlconsts.inc line 36

const CM_APPKEYDOWN = CM_BASE + 22;


CM_APPSHOWBTNGLYPHCHANGED

Declaration

Source position: controlconsts.inc line 104

const CM_APPSHOWBTNGLYPHCHANGED = CM_BASE + CM_LCLOFFSET + 68;


CM_APPSHOWMENUGLYPHCHANGED

Declaration

Source position: controlconsts.inc line 105

const CM_APPSHOWMENUGLYPHCHANGED = CM_BASE + CM_LCLOFFSET + 69;


CM_APPSYSCOMMAND

Declaration

Source position: controlconsts.inc line 37

const CM_APPSYSCOMMAND = CM_BASE + 23;


CM_BASE

Declaration

Source position: controlconsts.inc line 12

const CM_BASE = $B000;


CM_BIDIMODECHANGED

Declaration

Source position: controlconsts.inc line 74

const CM_BIDIMODECHANGED = CM_BASE + 60;


CM_BORDERCHANGED

Declaration

Source position: controlconsts.inc line 73

const CM_BORDERCHANGED = CM_BASE + 59;


CM_BUFFEREDPRINTCLIENT

[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] Reference for unit 'Controls' (#lcl)

CM_BUFFEREDPRINTCLIENT (unimplemented)

Declaration

Source position: controlconsts.inc line 91

const CM_BUFFEREDPRINTCLIENT = CM_BASE + 77;


CM_BUTTONPRESSED

Declaration

Source position: controlconsts.inc line 38

const CM_BUTTONPRESSED = CM_BASE + 24;


CM_CANCELMODE

[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] Reference for unit 'Controls' (#lcl)

CM_CANCELMODE (unimplemented)

Declaration

Source position: controlconsts.inc line 18

const CM_CANCELMODE = CM_BASE + 4;


CM_CHANGED

Declaration

Source position: controlconsts.inc line 69

const CM_CHANGED = CM_BASE + 55;


CM_CHILDKEY

Declaration

Source position: controlconsts.inc line 60

const CM_CHILDKEY = CM_BASE + 46;


CM_COLORCHANGED

Declaration

Source position: controlconsts.inc line 27

const CM_COLORCHANGED = CM_BASE + 13;


CM_CONTROLCHANGE

Declaration

Source position: controlconsts.inc line 68

const CM_CONTROLCHANGE = CM_BASE + 54;


CM_CONTROLLISTCHANGE

Declaration

Source position: controlconsts.inc line 58

const CM_CONTROLLISTCHANGE = CM_BASE + 44;


CM_CONTROLLISTCHANGING

[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] Reference for unit 'Controls' (#lcl)

CM_CONTROLLISTCHANGING (unimplemented)

Declaration

Source position: controlconsts.inc line 90

const CM_CONTROLLISTCHANGING = CM_BASE + 76;


CM_CREATEPOPUP

[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] Reference for unit 'Controls' (#lcl)

CM_CREATEPOPUP (unimplemented)

Declaration

Source position: controlconsts.inc line 87

const CM_CREATEPOPUP = CM_BASE + 73;


CM_CTL3DCHANGED

[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] Reference for unit 'Controls' (#lcl)

CM_CTL3DCHANGED (unimplemented)

Declaration

Source position: controlconsts.inc line 30

const CM_CTL3DCHANGED = CM_BASE + 16;


CM_CURSORCHANGED

Declaration

Source position: controlconsts.inc line 29

const CM_CURSORCHANGED = CM_BASE + 15;


CM_CUSTOMGESTURESCHANGED

[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] Reference for unit 'Controls' (#lcl)

CM_CUSTOMGESTURESCHANGED (unimplemented)

Declaration

Source position: controlconsts.inc line 97

const CM_CUSTOMGESTURESCHANGED = CM_BASE + 83;


CM_DEACTIVATE

Declaration

Source position: controlconsts.inc line 15

const CM_DEACTIVATE = CM_BASE + 1;


CM_DESIGNHITTEST

Declaration

Source position: controlconsts.inc line 42

const CM_DESIGNHITTEST = CM_BASE + 28;


CM_DESTROYHANDLE

[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] Reference for unit 'Controls' (#lcl)

CM_DESTROYHANDLE (unimplemented)

Declaration

Source position: controlconsts.inc line 88

const CM_DESTROYHANDLE = CM_BASE + 74;


CM_DIALOGCHAR

[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] Reference for unit 'Controls' (#lcl)

CM_DIALOGCHAR (unimplemented)

Declaration

Source position: controlconsts.inc line 20

const CM_DIALOGCHAR = CM_BASE + 6;


CM_DIALOGHANDLE

[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] Reference for unit 'Controls' (#lcl)

CM_DIALOGHANDLE (unimplemented)

Declaration

Source position: controlconsts.inc line 63

const CM_DIALOGHANDLE = CM_BASE + 49;


CM_DIALOGKEY

[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] Reference for unit 'Controls' (#lcl)

CM_DIALOGKEY (unimplemented)

Declaration

Source position: controlconsts.inc line 19

const CM_DIALOGKEY = CM_BASE + 5;


CM_DOCKCLIENT

[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] Reference for unit 'Controls' (#lcl)

CM_DOCKCLIENT (unimplemented)

Declaration

Source position: controlconsts.inc line 70

const CM_DOCKCLIENT = CM_BASE + 56;


CM_DOCKNOTIFICATION

Declaration

Source position: controlconsts.inc line 80

const CM_DOCKNOTIFICATION = CM_BASE + 66;


CM_DOCWINDOWACTIVATE

[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] Reference for unit 'Controls' (#lcl)

CM_DOCWINDOWACTIVATE (unimplemented)

Declaration

Source position: controlconsts.inc line 57

const CM_DOCWINDOWACTIVATE = CM_BASE + 43;


CM_DOUBLEBUFFEREDCHANGED

Declaration

Source position: controlconsts.inc line 93

const CM_DOUBLEBUFFEREDCHANGED = CM_BASE + 79;


CM_DRAG

[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] Reference for unit 'Controls' (#lcl)

CM_DRAG (unimplemented)

Declaration

Source position: controlconsts.inc line 61

const CM_DRAG = CM_BASE + 47;


CM_ENABLEDCHANGED

Declaration

Source position: controlconsts.inc line 26

const CM_ENABLEDCHANGED = CM_BASE + 12;


CM_ENTER

Declaration

Source position: controlconsts.inc line 40

const CM_ENTER = CM_BASE + 26;


CM_EXIT

Declaration

Source position: controlconsts.inc line 41

const CM_EXIT = CM_BASE + 27;


CM_FLOAT

[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] Reference for unit 'Controls' (#lcl)

CM_FLOAT (unimplemented)

Declaration

Source position: controlconsts.inc line 72

const CM_FLOAT = CM_BASE + 58;


CM_FOCUSCHANGED

Declaration

Source position: controlconsts.inc line 21

const CM_FOCUSCHANGED = CM_BASE + 7;


CM_FONTCHANGE

Declaration

Source position: controlconsts.inc line 52

const CM_FONTCHANGE = CM_BASE + 38;


CM_FONTCHANGED

Declaration

Source position: controlconsts.inc line 28

const CM_FONTCHANGED = CM_BASE + 14;


CM_GESTURE

[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] Reference for unit 'Controls' (#lcl)

CM_GESTURE (unimplemented)

Declaration

Source position: controlconsts.inc line 96

const CM_GESTURE = CM_BASE + 82;


CM_GESTUREMANAGERCHANGED

[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] Reference for unit 'Controls' (#lcl)

CM_GESTUREMANAGERCHANGED (unimplemented)

Declaration

Source position: controlconsts.inc line 98

const CM_GESTUREMANAGERCHANGED = CM_BASE + 84;


CM_GETDATALINK

Declaration

Source position: controlconsts.inc line 59

const CM_GETDATALINK = CM_BASE + 45;


CM_GOTFOCUS

[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] Reference for unit 'Controls' (#lcl)

CM_GOTFOCUS (unimplemented)

Declaration

Source position: controlconsts.inc line 16

const CM_GOTFOCUS = CM_BASE + 2;


CM_HINTSHOW

Declaration

Source position: controlconsts.inc line 62

const CM_HINTSHOW = CM_BASE + 48;


CM_HINTSHOWPAUSE

Declaration

Source position: controlconsts.inc line 79

const CM_HINTSHOWPAUSE = CM_BASE + 65;


CM_HITTEST

Declaration

Source position: controlconsts.inc line 24

const CM_HITTEST = CM_BASE + 10;


CM_ICONCHANGED

Declaration

Source position: controlconsts.inc line 43

const CM_ICONCHANGED = CM_BASE + 29;


CM_INPUTLANGCHANGE

[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] Reference for unit 'Controls' (#lcl)

CM_INPUTLANGCHANGE (unimplemented)

Declaration

Source position: controlconsts.inc line 100

const CM_INPUTLANGCHANGE = CM_BASE + 86;


CM_INVALIDATE

[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] Reference for unit 'Controls' (#lcl)

CM_INVALIDATE (unimplemented)

Declaration

Source position: controlconsts.inc line 66

const CM_INVALIDATE = CM_BASE + 52;


CM_INVALIDATEDOCKHOST

[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] Reference for unit 'Controls' (#lcl)

CM_INVALIDATEDOCKHOST (unimplemented)

Declaration

Source position: controlconsts.inc line 84

const CM_INVALIDATEDOCKHOST = CM_BASE + 70;


CM_INVOKEHELP

[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] Reference for unit 'Controls' (#lcl)

CM_INVOKEHELP (unimplemented)

Declaration

Source position: controlconsts.inc line 45

const CM_INVOKEHELP = CM_BASE + 31;


CM_ISSHORTCUT

[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] Reference for unit 'Controls' (#lcl)

CM_ISSHORTCUT (unimplemented)

Declaration

Source position: controlconsts.inc line 82

const CM_ISSHORTCUT = CM_BASE + 68;


CM_ISTOOLCONTROL

[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] Reference for unit 'Controls' (#lcl)

CM_ISTOOLCONTROL (unimplemented)

Declaration

Source position: controlconsts.inc line 64

const CM_ISTOOLCONTROL = CM_BASE + 50;


CM_LCLOFFSET

Declaration

Source position: controlconsts.inc line 13

const CM_LCLOFFSET = $100;


CM_LOSTFOCUS

[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] Reference for unit 'Controls' (#lcl)

CM_LOSTFOCUS (unimplemented)

Declaration

Source position: controlconsts.inc line 17

const CM_LOSTFOCUS = CM_BASE + 3;


CM_MENUCHANGED

Declaration

Source position: controlconsts.inc line 35

const CM_MENUCHANGED = CM_BASE + 21;


CM_MOUSEACTIVATE

[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] Reference for unit 'Controls' (#lcl)

CM_MOUSEACTIVATE (unimplemented)

Declaration

Source position: controlconsts.inc line 89

const CM_MOUSEACTIVATE = CM_BASE + 75;


CM_MOUSEENTER

Declaration

Source position: controlconsts.inc line 33

const CM_MOUSEENTER = CM_BASE + 19;


CM_MOUSELEAVE

Declaration

Source position: controlconsts.inc line 34

const CM_MOUSELEAVE = CM_BASE + 20;


CM_MOUSEWHEEL

Declaration

Source position: controlconsts.inc line 81

const CM_MOUSEWHEEL = CM_BASE + 67;


CM_PARENTBIDIMODECHANGED

Declaration

Source position: controlconsts.inc line 75

const CM_PARENTBIDIMODECHANGED = CM_BASE + 61;


CM_PARENTCOLORCHANGED

Declaration

Source position: controlconsts.inc line 23

const CM_PARENTCOLORCHANGED = CM_BASE + 9;


CM_PARENTCTL3DCHANGED

[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] Reference for unit 'Controls' (#lcl)

CM_PARENTCTL3DCHANGED (unimplemented)

Declaration

Source position: controlconsts.inc line 31

const CM_PARENTCTL3DCHANGED = CM_BASE + 17;


CM_PARENTDOUBLEBUFFEREDCHANGED

Declaration

Source position: controlconsts.inc line 94

const CM_PARENTDOUBLEBUFFEREDCHANGED = CM_BASE + 80;


CM_PARENTFONTCHANGED

Declaration

Source position: controlconsts.inc line 22

const CM_PARENTFONTCHANGED = CM_BASE + 8;


CM_PARENTSHOWHINTCHANGED

Declaration

Source position: controlconsts.inc line 49

const CM_PARENTSHOWHINTCHANGED = CM_BASE + 35;


CM_PARENTTABLETOPTIONSCHANGED

[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] Reference for unit 'Controls' (#lcl)

CM_PARENTTABLETOPTIONSCHANGED (unimplemented)

Declaration

Source position: controlconsts.inc line 102

const CM_PARENTTABLETOPTIONSCHANGED = CM_BASE + 88;


CM_POPUPHWNDDESTROY

[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] Reference for unit 'Controls' (#lcl)

CM_POPUPHWNDDESTROY (unimplemented)

Declaration

Source position: controlconsts.inc line 86

const CM_POPUPHWNDDESTROY = CM_BASE + 72;


CM_RECREATEWND

[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] Reference for unit 'Controls' (#lcl)

CM_RECREATEWND (unimplemented)

Declaration

Source position: controlconsts.inc line 65

const CM_RECREATEWND = CM_BASE + 51;


CM_RELEASE

Declaration

Source position: controlconsts.inc line 47

const CM_RELEASE = CM_BASE + 33;


CM_SETACTIVECONTROL

[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] Reference for unit 'Controls' (#lcl)

CM_SETACTIVECONTROL (unimplemented)

Declaration

Source position: controlconsts.inc line 85

const CM_SETACTIVECONTROL = CM_BASE + 71;


CM_SHOWHINTCHANGED

Declaration

Source position: controlconsts.inc line 48

const CM_SHOWHINTCHANGED = CM_BASE + 34;


CM_SHOWINGCHANGED

Declaration

Source position: controlconsts.inc line 39

const CM_SHOWINGCHANGED = CM_BASE + 25;


CM_STANDARDGESTURESCHANGED

[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] Reference for unit 'Controls' (#lcl)

CM_STANDARDGESTURESCHANGED (unimplemented)

Declaration

Source position: controlconsts.inc line 99

const CM_STANDARDGESTURESCHANGED = CM_BASE + 85;


CM_SYSCOLORCHANGE

[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] Reference for unit 'Controls' (#lcl)

CM_SYSCOLORCHANGE (unimplemented)

Declaration

Source position: controlconsts.inc line 50

const CM_SYSCOLORCHANGE = CM_BASE + 36;


CM_SYSFONTCHANGED

Declaration

Source position: controlconsts.inc line 67

const CM_SYSFONTCHANGED = CM_BASE + 53;


CM_TABLETOPTIONSCHANGED

[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] Reference for unit 'Controls' (#lcl)

CM_TABLETOPTIONSCHANGED (unimplemented)

Declaration

Source position: controlconsts.inc line 101

const CM_TABLETOPTIONSCHANGED = CM_BASE + 87;


CM_TABSTOPCHANGED

Declaration

Source position: controlconsts.inc line 54

const CM_TABSTOPCHANGED = CM_BASE + 40;


CM_TEXTCHANGED

Declaration

Source position: controlconsts.inc line 32

const CM_TEXTCHANGED = CM_BASE + 18;


CM_THEMECHANGED

[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] Reference for unit 'Controls' (#lcl)

CM_THEMECHANGED (unimplemented)

Declaration

Source position: controlconsts.inc line 95

const CM_THEMECHANGED = CM_BASE + 81;


CM_TIMECHANGE

[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] Reference for unit 'Controls' (#lcl)

CM_TIMECHANGE (unimplemented)

Declaration

Source position: controlconsts.inc line 53

const CM_TIMECHANGE = CM_BASE + 39;


CM_UIACTIVATE

Declaration

Source position: controlconsts.inc line 55

const CM_UIACTIVATE = CM_BASE + 41;


CM_UIDEACTIVATE

[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] Reference for unit 'Controls' (#lcl)

CM_UIDEACTIVATE (unimplemented)

Declaration

Source position: controlconsts.inc line 56

const CM_UIDEACTIVATE = CM_BASE + 42;


CM_UNDOCKCLIENT

[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] Reference for unit 'Controls' (#lcl)

CM_UNDOCKCLIENT (unimplemented)

Declaration

Source position: controlconsts.inc line 71

const CM_UNDOCKCLIENT = CM_BASE + 57;


CM_UNTHEMECONTROL

[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] Reference for unit 'Controls' (#lcl)

CM_UNTHEMECONTROL (unimplemented)

Declaration

Source position: controlconsts.inc line 92

const CM_UNTHEMECONTROL = CM_BASE + 78;


CM_UPDATEACTIONS

[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] Reference for unit 'Controls' (#lcl)

CM_UPDATEACTIONS (unimplemented)

Declaration

Source position: controlconsts.inc line 83

const CM_UPDATEACTIONS = CM_BASE + 69;


CM_VISIBLECHANGED

Declaration

Source position: controlconsts.inc line 25

const CM_VISIBLECHANGED = CM_BASE + 11;


CM_WANTSPECIALKEY

Declaration

Source position: controlconsts.inc line 44

const CM_WANTSPECIALKEY = CM_BASE + 30;


CM_WINDOWHOOK

[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] Reference for unit 'Controls' (#lcl)

CM_WINDOWHOOK (unimplemented)

Declaration

Source position: controlconsts.inc line 46

const CM_WINDOWHOOK = CM_BASE + 32;


CM_WININICHANGE

[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] Reference for unit 'Controls' (#lcl)

CM_WININICHANGE (unimplemented)

Declaration

Source position: controlconsts.inc line 51

const CM_WININICHANGE = CM_BASE + 37;


CN_BASE

Declaration

Source position: controlconsts.inc line 107

const CN_BASE = $BC00;


CN_CHAR

Declaration

Source position: controlconsts.inc line 127

const CN_CHAR = CN_BASE + LM_CHAR;


CN_CHARTOITEM

Declaration

Source position: controlconsts.inc line 108

const CN_CHARTOITEM = CN_BASE + LM_CHARTOITEM;


CN_COMMAND

Declaration

Source position: controlconsts.inc line 109

const CN_COMMAND = CN_BASE + LM_COMMAND;


CN_COMPAREITEM

Declaration

Source position: controlconsts.inc line 110

const CN_COMPAREITEM = CN_BASE + LM_COMPAREITEM;


CN_CTLCOLORBTN

Declaration

Source position: controlconsts.inc line 111

const CN_CTLCOLORBTN = CN_BASE + LM_CTLCOLORBTN;


CN_CTLCOLORDLG

Declaration

Source position: controlconsts.inc line 112

const CN_CTLCOLORDLG = CN_BASE + LM_CTLCOLORDLG;


CN_CTLCOLOREDIT

Declaration

Source position: controlconsts.inc line 113

const CN_CTLCOLOREDIT = CN_BASE + LM_CTLCOLOREDIT;


CN_CTLCOLORLISTBOX

Declaration

Source position: controlconsts.inc line 114

const CN_CTLCOLORLISTBOX = CN_BASE + LM_CTLCOLORLISTBOX;


CN_CTLCOLORMSGBOX

Declaration

Source position: controlconsts.inc line 115

const CN_CTLCOLORMSGBOX = CN_BASE + LM_CTLCOLORMSGBOX;


CN_CTLCOLORSCROLLBAR

Declaration

Source position: controlconsts.inc line 116

const CN_CTLCOLORSCROLLBAR = CN_BASE + LM_CTLCOLORSCROLLBAR;


CN_CTLCOLORSTATIC

Declaration

Source position: controlconsts.inc line 117

const CN_CTLCOLORSTATIC = CN_BASE + LM_CTLCOLORSTATIC;


CN_DELETEITEM

Declaration

Source position: controlconsts.inc line 118

const CN_DELETEITEM = CN_BASE + LM_DELETEITEM;


CN_DRAWITEM

Declaration

Source position: controlconsts.inc line 119

const CN_DRAWITEM = CN_BASE + LM_DRAWITEM;


CN_HSCROLL

Declaration

Source position: controlconsts.inc line 120

const CN_HSCROLL = CN_BASE + LM_HSCROLL;


CN_KEYDOWN

Declaration

Source position: controlconsts.inc line 125

const CN_KEYDOWN = CN_BASE + LM_KEYDOWN;


CN_KEYUP

Declaration

Source position: controlconsts.inc line 126

const CN_KEYUP = CN_BASE + LM_KEYUP;


CN_MEASUREITEM

Declaration

Source position: controlconsts.inc line 121

const CN_MEASUREITEM = CN_BASE + LM_MEASUREITEM;


CN_NOTIFY

Declaration

Source position: controlconsts.inc line 131

const CN_NOTIFY = CN_BASE + LM_NOTIFY;


CN_PARENTNOTIFY

Declaration

Source position: controlconsts.inc line 122

const CN_PARENTNOTIFY = CN_BASE + LM_PARENTNOTIFY;


CN_SYSCHAR

Declaration

Source position: controlconsts.inc line 130

const CN_SYSCHAR = CN_BASE + LM_SYSCHAR;


CN_SYSKEYDOWN

Declaration

Source position: controlconsts.inc line 129

const CN_SYSKEYDOWN = CN_BASE + LM_SYSKEYDOWN;


CN_SYSKEYUP

Declaration

Source position: controlconsts.inc line 128

const CN_SYSKEYUP = CN_BASE + LM_SYSKEYUP;


CN_VKEYTOITEM

Declaration

Source position: controlconsts.inc line 123

const CN_VKEYTOITEM = CN_BASE + LM_VKEYTOITEM;


CN_VSCROLL

Declaration

Source position: controlconsts.inc line 124

const CN_VSCROLL = CN_BASE + LM_VSCROLL;


The coordinates of a control can be specified or retrieved in various ways.

The following description applies to members of TControl and TWinControl.

Every control has an origin (Top, Left) and extent (Width, Height). The origin is relative to its Parent control (client coordinates) or, for floating controls (forms) with Parent=Nil, relative to the screen.

The BoundsRect describes the TopLeft and BottomRight coordinates of the control, relative to its Parent.

The BoundsRectForNewParent holds the new coordinates, to be used when the Parent of the control is changed later.

The ClientRect describes the internal (client) area of a container control (TWinControl), excluding borders. Its Top and Left are always zero. In a TScrollingWinControl...

BaseBounds holds the designed Bounds, to be used e.g. when a scale factor is set later.

GetControlOrigin returns the origin in screen coordinates. These values are not always in sync with the true screen position, managed by the widgetset.

ScreenToClient returns the client coordinates of an point given in the screen coordinates, i.e. the coordinates relative to the control's client origin.

ClientToScreen returns the screen coordinats for an point in client coordinates.


crAppStart

Application starting cursor.

Declaration

Source position: controls.pp line 233

const crAppStart = TCursor(- 19);


crArrow

The Arrow cursor, which is the most common and the default one in most cases

Declaration

Source position: controls.pp line 208

const crArrow = TCursor(- 2);


crCross

A cursor utilized for graphics, for pixel or rectangle selection, often in the shape of a cross

Declaration

Source position: controls.pp line 209

const crCross = TCursor(- 3);


crDefault

Indicates that the default cursor from the system should be utilized

Declaration

Source position: controls.pp line 206

const crDefault = TCursor(0);


crDrag

A cursor to indicate that one can drop a dragged item in this area

Declaration

Source position: controls.pp line 226

const crDrag = TCursor(- 12);


crHandPoint

Pointing hand cursor constant (-21)

Declaration

Source position: controls.pp line 235

const crHandPoint = TCursor(- 21);


crHelp

"What's This" Help cursor constant (-20)

Declaration

Source position: controls.pp line 234

const crHelp = TCursor(- 20);


crHigh

Highest defined cursor constant (0).

Declaration

Source position: controls.pp line 204

const crHigh = TCursor(0);


crHourGlass

Busy cursor constant, utilized to indicate that one should wait while an action is done

Declaration

Source position: controls.pp line 225

const crHourGlass = TCursor(- 11);


crHSplit

Horizontal Splitter cursor constant (-14)

Declaration

Source position: controls.pp line 228

const crHSplit = TCursor(- 14);


crIBeam

A text cursor, for setting insertion point. Often used in text editors

Declaration

Source position: controls.pp line 210

const crIBeam = TCursor(- 4);


crLow

Lowest defined cursor constant (-30).

Declaration

Source position: controls.pp line 238

const crLow = TCursor(- 30);


crMultiDrag

Multiple Object dragging cursor constant (-16)

Declaration

Source position: controls.pp line 230

const crMultiDrag = TCursor(- 16);


crNo

Shows a negative sign. See also crNoDrop.

Declaration

Source position: controls.pp line 232

const crNo = TCursor(- 18);


crNoDrop

A cursor to indicate that one cannot drop a dragged item in this area

Declaration

Source position: controls.pp line 227

const crNoDrop = TCursor(- 13);


crNone

Indicates that the cursor should be invisible

Declaration

Source position: controls.pp line 207

const crNone = TCursor(- 1);


crSize

A generic sizing cursor, to indicate that here one may drag to resize something. Is the same as crSizeAll.

Declaration

Source position: controls.pp line 211

const crSize = TCursor(- 22);


crSizeAll

All Directions sizing cursor constant (-22)

Declaration

Source position: controls.pp line 236

const crSizeAll = TCursor(- 22);


crSizeE

A cursor for resizing which has an arrow pointing to the right, to indicate resizing possibility in this direction

Declaration

Source position: controls.pp line 220

const crSizeE = TCursor(- 27);


crSizeN

A cursor for resizing which has an arrow pointing upwards, to indicate resizing possibility in this direction

Declaration

Source position: controls.pp line 217

const crSizeN = TCursor(- 24);


crSizeNE

A cursor for resizing which has an arrow pointing to the right-top corner, to indicate resizing possibility in this direction

Declaration

Source position: controls.pp line 218

const crSizeNE = TCursor(- 25);


crSizeNESW

A cursor for resizing which runs diagonally from NorthEast to SouthWest (-6)

Declaration

Source position: controls.pp line 212

const crSizeNESW = TCursor(- 6);


crSizeNS

A cursor for resizing which cursor runs from North to South (-7)

Declaration

Source position: controls.pp line 213

const crSizeNS = TCursor(- 7);


crSizeNW

A cursor for resizing which has an arrow pointing to the left-top corner, to indicate resizing possibility in this direction

Declaration

Source position: controls.pp line 216

const crSizeNW = TCursor(- 23);


crSizeNWSE

A cursor for resizing which cursor runs from NorthWest to SouthEast

Declaration

Source position: controls.pp line 214

const crSizeNWSE = TCursor(- 8);


crSizeS

A cursor for resizing which has an arrow pointing downwards, to indicate resizing possibility in this direction

Declaration

Source position: controls.pp line 222

const crSizeS = TCursor(- 29);


crSizeSE

A cursor for resizing which has an arrow pointing to the right-bottom corner, to indicate resizing possibility in this direction

Declaration

Source position: controls.pp line 223

const crSizeSE = TCursor(- 30);


crSizeSW

A cursor for resizing which has an arrow pointing to the left-bottom corner, to indicate resizing possibility in this direction

Declaration

Source position: controls.pp line 221

const crSizeSW = TCursor(- 28);


crSizeW

A cursor for resizing which has an arrow pointing to the left, to indicate resizing possibility in this direction

Declaration

Source position: controls.pp line 219

const crSizeW = TCursor(- 26);


crSizeWE

A cursor for resizing which has an arrow with two points, one to the left and another to the right, to indicate resizing possibility in both directions.

Declaration

Source position: controls.pp line 215

const crSizeWE = TCursor(- 9);


crSQLWait

Waiting for SQL cursor constant (-17)

Declaration

Source position: controls.pp line 231

const crSQLWait = TCursor(- 17);


crUpArrow

Up Arrow cursor constant (-10)

Declaration

Source position: controls.pp line 224

const crUpArrow = TCursor(- 10);


crVSplit

Vertical Split cursor constant (-15)

Declaration

Source position: controls.pp line 229

const crVSplit = TCursor(- 15);


csMultiClicks

Set of styles which require/provide multiple clicks on a control.

Declaration

Source position: controls.pp line 282

const csMultiClicks = [csDoubleClicks, csTripleClicks, csQuadClicks];


DefaultDockManagerClass

The default DockManager to create for a DockSite.

Declaration

Source position: controls.pp line 2730

var DefaultDockManagerClass: TDockManagerClass = ;


DefaultSideForAnchorKind

Declaration

Source position: controls.pp line 2697

const DefaultSideForAnchorKind: array [TAnchorKind] of TAnchorSideReference = (asrBottom, asrBottom, asrTop, asrTop);


DockSplitterClass

Declaration

Source position: controls.pp line 2638

var DockSplitterClass: TControlClass = Nil;


DragManager

The current DragManager (always TDragManagerDefault).

Declaration

Source position: controls.pp line 599

var DragManager: TDragManager = Nil;

Description

A DragManager can be implemented only in the Controls unit, because it must access private elements of the other classes, declared in this unit.


fsAllNonSystemStayOnTop

Set of form styles, except those which make a form stay on top of all other forms of the system

Declaration

Source position: controls.pp line 201

const fsAllNonSystemStayOnTop = [fsStayOnTop];

See also

TFormStyle

Defines special form behaviour.


fsAllStayOnTop

Set of form styles, which make a form stay on top.

Declaration

Source position: controls.pp line 200

const fsAllStayOnTop = [fsStayOnTop, fsSystemStayOnTop];

See also

TFormStyle

Defines special form behaviour.


fsBorder

Declaration

Source position: controls.pp line 73

const fsBorder = GraphType.fsBorder;


fsSurface

Declaration

Source position: controls.pp line 72

const fsSurface = GraphType.fsSurface;


GUID_ObjInspInterface

Declaration

Source position: controls.pp line 84

const GUID_ObjInspInterface = '{37417989-8C8F-4A2D-9D26-0FA377E8D8CC}';


Reference for unit 'Controls'

This unit contains basic classes for visual controls.

uses
System,
Classes,
sysutils,
typinfo,
Types,
Laz_AVL_Tree,
LCLStrConsts, | This unit contains all resource strings of the LCL
LCLType, | This unit is being created specifically for compatibility with Delphi. It should only be used for constants and type definitions that are included in the Delphi Windows unit. This is only done for compatibiltiy.
LCLProc, | Useful lower level helper functions and classes
GraphType, |
Graphics, | Unit contains definitions for many fundamental classes and types used in graphic applications
LMessages, |
LCLIntf, | Contains winapi like functions for Delphi compatibility.
InterfaceBase, | Provides an platform independent widgetset and helper functions.
ImgList, | Contains definitions for TCustomImageList, the base class for TImageList.
PropertyStorage, |
Menus, | Menus to be used in Forms created with the Lazarus IDE
ActnList, | Defines classes for Actions and Lists of actions to be used with LCL components
LCLClasses, | Defines the base class for all LCL TComponents including controls
LResources, | This unit maintains and stores all standard Lazarus resources in the global LazarusResources list and provides methods and types for component streaming.
LCLPlatformDef, |
LazMethodList,
LazLoggerBase,
LazUtilities,
UITypes;

Related topics

Anchoring Controls | How multiple controls can be aligned and resized together, at runtime.
Control coordinates | The coordinates of a control can be specified or retrieved in various ways.
AutoSize | AutoSize - boolean property that permits the size of a control to be adjusted automatically


Reference for unit 'Controls': Constants

AnchorAlign |
AnchorReferenceSide |
asrLeft | Anchor to the left side (=asrTop).
asrRight | Anchor to the right side (=asrBottom).
bvLowered |
bvNone |
bvRaised |
bvSpace |
ClockwiseAnchor |
CM_ACTIONEXECUTE
CM_ACTIONUPDATE
CM_ACTIVATE
CM_ALLCHILDRENFLIPPED
CM_APPKEYDOWN
CM_APPSHOWBTNGLYPHCHANGED
CM_APPSHOWMENUGLYPHCHANGED
CM_APPSYSCOMMAND
CM_BASE
CM_BIDIMODECHANGED
CM_BORDERCHANGED
CM_BUFFEREDPRINTCLIENT
CM_BUTTONPRESSED
CM_CANCELMODE
CM_CHANGED
CM_CHILDKEY
CM_COLORCHANGED
CM_CONTROLCHANGE
CM_CONTROLLISTCHANGE
CM_CONTROLLISTCHANGING
CM_CREATEPOPUP
CM_CTL3DCHANGED
CM_CURSORCHANGED
CM_CUSTOMGESTURESCHANGED
CM_DEACTIVATE
CM_DESIGNHITTEST
CM_DESTROYHANDLE
CM_DIALOGCHAR
CM_DIALOGHANDLE
CM_DIALOGKEY
CM_DOCKCLIENT
CM_DOCKNOTIFICATION
CM_DOCWINDOWACTIVATE
CM_DOUBLEBUFFEREDCHANGED
CM_DRAG
CM_ENABLEDCHANGED
CM_ENTER
CM_EXIT
CM_FLOAT
CM_FOCUSCHANGED
CM_FONTCHANGE
CM_FONTCHANGED
CM_GESTURE
CM_GESTUREMANAGERCHANGED
CM_GETDATALINK
CM_GOTFOCUS
CM_HINTSHOW
CM_HINTSHOWPAUSE
CM_HITTEST
CM_ICONCHANGED
CM_INPUTLANGCHANGE
CM_INVALIDATE
CM_INVALIDATEDOCKHOST
CM_INVOKEHELP
CM_ISSHORTCUT
CM_ISTOOLCONTROL
CM_LCLOFFSET
CM_LOSTFOCUS
CM_MENUCHANGED
CM_MOUSEACTIVATE
CM_MOUSEENTER
CM_MOUSELEAVE
CM_MOUSEWHEEL
CM_PARENTBIDIMODECHANGED
CM_PARENTCOLORCHANGED
CM_PARENTCTL3DCHANGED
CM_PARENTDOUBLEBUFFEREDCHANGED
CM_PARENTFONTCHANGED
CM_PARENTSHOWHINTCHANGED
CM_PARENTTABLETOPTIONSCHANGED
CM_POPUPHWNDDESTROY
CM_RECREATEWND
CM_RELEASE
CM_SETACTIVECONTROL
CM_SHOWHINTCHANGED
CM_SHOWINGCHANGED
CM_STANDARDGESTURESCHANGED
CM_SYSCOLORCHANGE
CM_SYSFONTCHANGED
CM_TABLETOPTIONSCHANGED
CM_TABSTOPCHANGED
CM_TEXTCHANGED
CM_THEMECHANGED
CM_TIMECHANGE
CM_UIACTIVATE
CM_UIDEACTIVATE
CM_UNDOCKCLIENT
CM_UNTHEMECONTROL
CM_UPDATEACTIONS
CM_VISIBLECHANGED
CM_WANTSPECIALKEY
CM_WINDOWHOOK
CM_WININICHANGE
CN_BASE
CN_CHAR
CN_CHARTOITEM
CN_COMMAND
CN_COMPAREITEM
CN_CTLCOLORBTN
CN_CTLCOLORDLG
CN_CTLCOLOREDIT
CN_CTLCOLORLISTBOX
CN_CTLCOLORMSGBOX
CN_CTLCOLORSCROLLBAR
CN_CTLCOLORSTATIC
CN_DELETEITEM
CN_DRAWITEM
CN_HSCROLL
CN_KEYDOWN
CN_KEYUP
CN_MEASUREITEM
CN_NOTIFY
CN_PARENTNOTIFY
CN_SYSCHAR
CN_SYSKEYDOWN
CN_SYSKEYUP
CN_VKEYTOITEM
CN_VSCROLL
crAppStart | Application starting cursor.
crArrow | The Arrow cursor, which is the most common and the default one in most cases
crCross | A cursor utilized for graphics, for pixel or rectangle selection, often in the shape of a cross
crDefault | Indicates that the default cursor from the system should be utilized
crDrag | A cursor to indicate that one can drop a dragged item in this area
crHandPoint | Pointing hand cursor constant (-21)
crHelp | "What's This" Help cursor constant (-20)
crHigh | Highest defined cursor constant (0).
crHourGlass | Busy cursor constant, utilized to indicate that one should wait while an action is done
crHSplit | Horizontal Splitter cursor constant (-14)
crIBeam | A text cursor, for setting insertion point. Often used in text editors
crLow | Lowest defined cursor constant (-30).
crMultiDrag | Multiple Object dragging cursor constant (-16)
crNo | Shows a negative sign. See also crNoDrop.
crNoDrop | A cursor to indicate that one cannot drop a dragged item in this area
crNone | Indicates that the cursor should be invisible
crSize | A generic sizing cursor, to indicate that here one may drag to resize something. Is the same as crSizeAll.
crSizeAll | All Directions sizing cursor constant (-22)
crSizeE | A cursor for resizing which has an arrow pointing to the right, to indicate resizing possibility in this direction
crSizeN | A cursor for resizing which has an arrow pointing upwards, to indicate resizing possibility in this direction
crSizeNE | A cursor for resizing which has an arrow pointing to the right-top corner, to indicate resizing possibility in this direction
crSizeNESW | A cursor for resizing which runs diagonally from NorthEast to SouthWest (-6)
crSizeNS | A cursor for resizing which cursor runs from North to South (-7)
crSizeNW | A cursor for resizing which has an arrow pointing to the left-top corner, to indicate resizing possibility in this direction
crSizeNWSE | A cursor for resizing which cursor runs from NorthWest to SouthEast
crSizeS | A cursor for resizing which has an arrow pointing downwards, to indicate resizing possibility in this direction
crSizeSE | A cursor for resizing which has an arrow pointing to the right-bottom corner, to indicate resizing possibility in this direction
crSizeSW | A cursor for resizing which has an arrow pointing to the left-bottom corner, to indicate resizing possibility in this direction
crSizeW | A cursor for resizing which has an arrow pointing to the left, to indicate resizing possibility in this direction
crSizeWE | A cursor for resizing which has an arrow with two points, one to the left and another to the right, to indicate resizing possibility in both directions.
crSQLWait | Waiting for SQL cursor constant (-17)
crUpArrow | Up Arrow cursor constant (-10)
crVSplit | Vertical Split cursor constant (-15)
csMultiClicks | Set of styles which require/provide multiple clicks on a control.
DefaultSideForAnchorKind |
fsAllNonSystemStayOnTop | Set of form styles, except those which make a form stay on top of all other forms of the system
fsAllStayOnTop | Set of form styles, which make a form stay on top.
fsBorder |
fsSurface |
GUID_ObjInspInterface
MainAlignAnchor |
mrAbort | Modal dialog aborted.
mrAll | Modal dialog left with All button.
mrCancel | Modal dialog left with Cancel button.
mrClose | Modal dialog left with Close button.
mrIgnore | Modal dialog left with Ignore button.
mrLast | Last (highest) value of modal results.
mrNo | Modal dialog left with No button.
mrNone | Modal dialog left with None button.
mrNoToAll | Modal dialog left with NoToAll button.
mrOK | Modal dialog left with OK button.
mrRetry | Modal dialog left with Retry button.
mrYes | Modal dialog left with Yes button.
mrYesToAll | Modal dialog left with YesToAll button.
OppositeAnchor |
ssModifier


Reference for unit 'Controls': Types

PControlBorderSpacingDefault
PHintInfo |
TAlign | Alignment options for a control, within its Parent control.
TAlignInfo | Used in custom alignment (alCustom).
TAlignInsertBeforeEvent | Type of an OnAlignInsertBefore handler.
TAlignPositionEvent | Type of an OnAlignPosition handler.
TAlignSet | Set of alignment options.
TAnchorKind | The control side to be anchored.
TAnchors
TAnchorSideChangeOperation | Operations in TControl.ForeignAnchorSideChanged.
TAnchorSideReference | The side of another control, to which this control's side is anchored.
TBevelCut
TBorderStyle | Possible types of borders (with or without border).
TBorderWidth | Integer type for TWinControl.BorderWidth.
TCaption | A string type for the caption of a control: may be translated
TCaptureMouseButtons |
TChildControlResizeStyle | Modes for resizing child controls.
TCMCancelMode |
TCMChanged
TCMChildKey |
TCMControlChange |
TCMControlListChange |
TCMDesignHitTest
TCMDialogChar |
TCMDialogKey |
TCMEnter |
TCMExit |
TCMHitTest
TCMMouseWheel | Parameters of a CMMouseWheel message.
TConstrainedResizeEvent |
TConstraintSize | Range of the control size constraints.
TContextPopupEvent | Handler type for OnContextPopup.
TControlActionLinkClass | Class of TControlActionLink.
TControlAtPosFlag | Flags for finding a control at given (client) position.
TControlAtPosFlags
TControlAutoSizePhase |
TControlAutoSizePhases
TControlBorderSpacingDefault | Defines the default values for TControlBorderSpacing.
TControlBorderStyle | Possible types of control borders (with or without border).
TControlCellAlign | Modes for aligning a control in a table cell.
TControlCellAligns
TControlChildrenLayout | Modes for wrapping controls.
TControlClass | TControlClass - class of TControl
TControlFlag | Flags mostly for pending actions.
TControlFlags
TControlHandlerType | Notification handler types.
TControlRoleForForm | Possible default actions on special keys.
TControlRolesForForm
TControlShowHintEvent | Handler type for OnShowHint.
TControlState | Set of permissible Control states
TControlStateType | State flags of a Control
TControlStyle | Set of control styles.
TControlStyleType | TControlStyleType - enumerated type describing features of the Control
TCursor | TCursor - integer type defining range of values for cursor shapes.
TDockDropEvent | The type of an OnDockDrop handler.
TDockManagerClass | The DockManager class type, for use when a DockManager is automatically created.
TDockOrientation | Orientation of DockZones and docked controls, similar to TAlign.
TDockOverEvent | The type of an OnDockOver handler.
TDockTreeFlag |
TDockTreeFlags
TDockZoneClass | Class of TDockZone.
TDragDropEvent | The type of an OnDragDrop notification handler.
TDragKind | Indicates whether the control performs drag-drop or drag-dock.
TDragMessage | DragManager message types.
TDragMode | Indicates whether dragging can start automatically.
TDragObjectClass | A TDragObject class type.
TDragOverEvent | The type of an OnDragOver handler.
TDragState | State changes while dragging - when mouse enters, leaves or moves over a control.
TDrawDockImageEvent
TEndDragEvent | The type of an OnEndDrag handler.
TForEachZoneProc | The type of an ForEachZone callback procedure, currently unused.
TFormBorderStyle | Style of a form's border.
TFormStyle | Defines special form behaviour.
TGetChildProc | Type of a callback method, to be called for all children of a control.
TGetDockCaptionEvent |
TGetSiteInfoEvent | An OnGetSiteInfo handler returns information about a docksite.
THintInfo |
TKeyEvent |
TKeyPressEvent |
TLayoutAdjustmentPolicy | Indicates the policy for the LCL to execute automatic adjustments in the form layout
TLazAccessibilityRole | Indicates the role which a accessible object takes in the user interface
TMouseButton | Enumeration of recognized mouse buttons.
TMouseEvent |
TMouseMoveEvent |
TMouseWheelEvent | Type of an OnMouseWheel event handler.
TMouseWheelUpDownEvent | Type of OnMouseWheelUp/Down event handlers.
TSizeConstraintsOption |
TSizeConstraintsOptions
TSpacingSize |
TStartDockEvent | The type of an OnStartDock handler.
TStartDragEvent | The type of an OnStartDrag handler.
TTabOrder | Type of TWinControl.TabOrder.
TUnDockEvent | The type of an OnUnDock handler.
TUTF8KeyPressEvent
TWinControlActionLink
TWinControlActionLinkClass | Class of TWinControlActionLink
TWinControlClass | TWinControlClass - class of TWinControl
TWinControlFlag | State flags of TWinControl.
TWinControlFlags | Set of TWinControlFlag.
TWndMethod | Method type for WindowProc handlers.


Reference for unit 'Controls': Classes

ELayoutException
IObjInspInterface
TAnchorSide | Specifies how the side of a control is anchored to other controls.
TControl | The base class for visible controls.
TControlActionLink | Links an Action to a control.
TControlBorderSpacing | Describes the (minimum) spacing around a control.
TControlCanvas | The base class for the canvas property of several graphic controls, such as TGraphicControl and TCustomControl
TControlChildSizing | How Child controls are to be sized relative to parent.
TControlPropertyStorage |
TCustomControl | The base class for windowed controls which paint themselves.
TDockManager | The layout manager for a docksite.
TDockTree | A docking manager for tree-style layouts.
TDockZone | Represents an node in an TDockTree.
TDragControlObject | A drag object for dragging a control.
TDragControlObjectEx | A drag object for dragging a control.
TDragDockObject | A drag object for drag-dock.
TDragDockObjectEx | A drag object for docking, that is automatically destroyed after use.
TDragImageList | A list of Images used in dragging.
TDragImageListResolution
TDragManager | The abstract base class for managing the dragging of controls (to be dropped or docked).
TDragObject | Base class for managing drag operations and user feedback.
TDragObjectEx | Base class for managing drag operations and user feedback.
TGraphicControl | TGraphicControl is the base class for all lightweight controls.
TImageList
TImageListHelper
TLazAccessibleObject | Represents an accessible object with which the user of a accessibility tool can interact.
TLazAccessibleObjectEnumerator
TMouse | Some properties of the Mouse.
TSizeConstraints | Holds maximum and minimum values that can be used in sizing objects.
TWinControl | The base class for controls which can contain other (child) controls.
TWinControlEnumerator


Reference for unit 'Controls': Procedures and functions

AdjustBorderSpace | Adjust space round border of this control
assign(Variant):TCaption |
BidiFlipAlignment |
BidiFlipAnchors |
BidiFlipRect |
CancelDrag |
ChangeBiDiModeAlignment |
CheckMouseButtonDownUp
CheckTransparentWindow
CompareDataObjectWithLazAccessibleObject
CompareLazAccessibleObjectsByDataObject
CursorToIdent | Uses look-up table to find cursor identifier corresponding to integer cursor constant
CursorToString | Returns a string for the name of the cursor as identified by an integer constant
DbgS | Converts items of several data types into strings, for debug output.
FindControl | Return the TWinControl of the given Handle.
FindControlAtPosition | Get control at screen position.
FindDragTarget | Get control at screen position.
FindLCLControl | Returns the TControl that currently is visible at a screen position.
FindLCLWindow | Find the window and its owning control at the given screen coordinates.
FindOwnerControl | Returns the TWinControl for the given Handle; the parent control for a non-TWinControl Handle.
GetCaptureControl | Returns the current capturing TControl.
GetCursorValues |
GetKeyShiftState |
GetModalResultStr
IdentToCursor | Searches the Cursor name table for the given cursor name; returns True if found.
IsColorDefault |
MoveWindowOrg |
RecreateWnd | Create the widget for a TWinControl
Register | Register the components provided by this unit or package, so that they can be instantiated.
SendAppMessage |
SetCaptureControl | Set the mouse capture to AWinControl or its child at the given coordinates
StringToCursor | StringToCursor - returns the cursor value corresponding to the name supplied


Reference for unit 'Controls': Variables

DefaultDockManagerClass | The default DockManager to create for a DockSite.
DockSplitterClass |
DragManager | The current DragManager (always TDragManagerDefault).
Mouse | The global Mouse object.
NewStyleControls |
OnDrawDockImage


Index of all identifiers in unit 'Controls'

A B C D E F G I L M N O P R S T W

A

AdjustBorderSpace | alLeft | ascoRemove
akBottom | alNone | asrBottom
akLeft | alRight | asrCenter
akRight | alTop | asrLeft
akTop | AnchorAlign | asrRight
alBottom | AnchorReferenceSide | asrTop
alClient | ascoAdd | assign(Variant):TCaption
alCustom | ascoChangeSide |

B

BidiFlipAlignment | bsSingle | bvNone
BidiFlipAnchors | bsSizeable | bvRaised
BidiFlipRect | bsSizeToolWin | bvSpace
bsDialog | bsToolWindow |
bsNone | bvLowered |

C

CancelDrag | CM_ENABLEDCHANGED | crArrow
capfAllowDisabled | CM_ENTER | crCross
capfAllowWinControls | CM_EXIT | crDefault
capfHasScrollOffset | CM_FLOAT | crDrag
capfOnlyClientAreas | CM_FOCUSCHANGED | crffCancel
capfOnlyWinControls | CM_FONTCHANGE | crffDefault
capfRecursive | CM_FONTCHANGED | crHandPoint
caspChangingProperties | CM_GESTURE | crHelp
caspComputingBounds | CM_GESTUREMANAGERCHANGED | crHigh
caspCreatingHandles | CM_GETDATALINK | crHourGlass
caspNone | CM_GOTFOCUS | crHSplit
caspRealizingBounds | CM_HINTSHOW | crIBeam
caspShowing | CM_HINTSHOWPAUSE | crLow
ccaCenter | CM_HITTEST | crMultiDrag
ccaFill | CM_ICONCHANGED | crNo
ccaLeftTop | CM_INPUTLANGCHANGE | crNoDrop
ccaRightBottom | CM_INVALIDATE | crNone
cclLeftToRightThenTopToBottom | CM_INVALIDATEDOCKHOST | crsAnchorAligning
cclNone | CM_INVOKEHELP | crsHomogenousChildResize
cclTopToBottomThenLeftToRight | CM_ISSHORTCUT | crsHomogenousSpaceResize
cfAutoSizeNeeded | CM_ISTOOLCONTROL | crSize
cfBaseBoundsValid | CM_LCLOFFSET | crSizeAll
cfBoundsRectForNewParentValid | CM_LOSTFOCUS | crSizeE
cfClientHeightLoaded | CM_MENUCHANGED | crSizeN
cfClientWidthLoaded | CM_MOUSEACTIVATE | crSizeNE
cfHeightLoaded | CM_MOUSEENTER | crSizeNESW
cfKillAdjustSize | CM_MOUSELEAVE | crSizeNS
cfKillChangeBounds | CM_MOUSEWHEEL | crSizeNW
cfKillInvalidatePreferredSize | CM_PARENTBIDIMODECHANGED | crSizeNWSE
cfLeftLoaded | CM_PARENTCOLORCHANGED | crSizeS
cfLoading | CM_PARENTCTL3DCHANGED | crSizeSE
cfOnChangeBoundsNeeded | CM_PARENTDOUBLEBUFFEREDCHANGED | crSizeSW
cfPreferredMinSizeValid | CM_PARENTFONTCHANGED | crSizeW
cfPreferredSizeValid | CM_PARENTSHOWHINTCHANGED | crSizeWE
cfProcessingWMPaint | CM_PARENTTABLETOPTIONSCHANGED | crSQLWait
cfTopLoaded | CM_POPUPHWNDDESTROY | crsScaleChilds
cfWidthLoaded | CM_RECREATEWND | crUpArrow
ChangeBiDiModeAlignment | CM_RELEASE | crVSplit
CheckMouseButtonDownUp | CM_SETACTIVECONTROL | csAcceptsControls
CheckTransparentWindow | CM_SHOWHINTCHANGED | csActionClient
chtOnBeforeDestruction | CM_SHOWINGCHANGED | csAutoSize0x0
chtOnChangeBounds | CM_STANDARDGESTURESCHANGED | csAutoSizeKeepChildLeft
chtOnEnabledChanged | CM_SYSCOLORCHANGE | csAutoSizeKeepChildTop
chtOnEnabledChanging | CM_SYSFONTCHANGED | csCaptureMouse
chtOnKeyDown | CM_TABLETOPTIONSCHANGED | csClicked
chtOnMouseWheel | CM_TABSTOPCHANGED | csClickEvents
chtOnMouseWheelHorz | CM_TEXTCHANGED | csCreating
chtOnResize | CM_THEMECHANGED | csCustomPaint
chtOnVisibleChanged | CM_TIMECHANGE | csDesignFixedBounds
chtOnVisibleChanging | CM_UIACTIVATE | csDesignInteractive
ClockwiseAnchor | CM_UIDEACTIVATE | csDesignNoSmoothResize
CM_ACTIONEXECUTE | CM_UNDOCKCLIENT | csDestroyingHandle
CM_ACTIONUPDATE | CM_UNTHEMECONTROL | csDisplayDragImage
CM_ACTIVATE | CM_UPDATEACTIONS | csDocking
CM_ALLCHILDRENFLIPPED | CM_VISIBLECHANGED | csDoubleClicks
CM_APPKEYDOWN | CM_WANTSPECIALKEY | csFixedHeight
CM_APPSHOWBTNGLYPHCHANGED | CM_WINDOWHOOK | csFixedWidth
CM_APPSHOWMENUGLYPHCHANGED | CM_WININICHANGE | csFocusing
CM_APPSYSCOMMAND | CN_BASE | csFramed
CM_BASE | CN_CHAR | csHasCancelAction
CM_BIDIMODECHANGED | CN_CHARTOITEM | csHasDefaultAction
CM_BORDERCHANGED | CN_COMMAND | csLButtonDown
CM_BUFFEREDPRINTCLIENT | CN_COMPAREITEM | csMenuEvents
CM_BUTTONPRESSED | CN_CTLCOLORBTN | csMultiClicks
CM_CANCELMODE | CN_CTLCOLORDLG | csNeedsBorderPaint
CM_CHANGED | CN_CTLCOLOREDIT | csNoDesignSelectable
CM_CHILDKEY | CN_CTLCOLORLISTBOX | csNoDesignVisible
CM_COLORCHANGED | CN_CTLCOLORMSGBOX | csNoFocus
CM_CONTROLCHANGE | CN_CTLCOLORSCROLLBAR | csNoStdEvents
CM_CONTROLLISTCHANGE | CN_CTLCOLORSTATIC | csOpaque
CM_CONTROLLISTCHANGING | CN_DELETEITEM | csOwnedChildrenNotSelectable
CM_CREATEPOPUP | CN_DRAWITEM | csPaintCopy
CM_CTL3DCHANGED | CN_HSCROLL | csPalette
CM_CURSORCHANGED | CN_KEYDOWN | csParentBackground
CM_CUSTOMGESTURESCHANGED | CN_KEYUP | csQuadClicks
CM_DEACTIVATE | CN_MEASUREITEM | csReadingState
CM_DESIGNHITTEST | CN_NOTIFY | csReflector
CM_DESTROYHANDLE | CN_PARENTNOTIFY | csReplicatable
CM_DIALOGCHAR | CN_SYSCHAR | csRequiresKeyboardInput
CM_DIALOGHANDLE | CN_SYSKEYDOWN | csSetCaption
CM_DIALOGKEY | CN_SYSKEYUP | csTripleClicks
CM_DOCKCLIENT | CN_VKEYTOITEM | csVisibleSetInLoading
CM_DOCKNOTIFICATION | CN_VSCROLL | CursorToIdent
CM_DOCWINDOWACTIVATE | CompareDataObjectWithLazAccessibleObject | CursorToString
CM_DOUBLEBUFFEREDCHANGED | CompareLazAccessibleObjectsByDataObject |
CM_DRAG | crAppStart |

D

DbgS | dmDragEnter | doPages
DefaultDockManagerClass | dmDragLeave | doVertical
DefaultSideForAnchorKind | dmDragMove | DragManager
dkDock | dmFindTarget | dsDragEnter
dkDrag | dmManual | dsDragLeave
dmAutomatic | DockSplitterClass | dsDragMove
dmDragCancel | doHorizontal | dtfUpdateAllNeeded
dmDragDrop | doNoOrient |

E

ELayoutException

F

FindControl | fsAllNonSystemStayOnTop | fsSplash
FindControlAtPosition | fsAllStayOnTop | fsStayOnTop
FindDragTarget | fsBorder | fsSurface
FindLCLControl | fsMDIChild | fsSystemStayOnTop
FindLCLWindow | fsMDIForm |
FindOwnerControl | fsNormal |

G

GetCaptureControl | GetKeyShiftState | GUID_ObjInspInterface
GetCursorValues | GetModalResultStr |

I

IdentToCursor IObjInspInterface IsColorDefault

L

lapAutoAdjustForDPI | larDateField | larResizeGrip
lapAutoAdjustWithoutHorizontalScrolling | larGrid | larScrollBar
lapDefault | larGroup | larSpinner
lapFixedLayout | larIgnore | larTabControl
larAnimation | larImage | larTextEditorMultiline
larButton | larLabel | larTextEditorSingleline
larCell | larListBox | larTrackBar
larChart | larListItem | larTreeItem
larCheckBox | larMenuBar | larTreeView
larClock | larMenuItem | larWindow
larColorPicker | larProgressIndicator |
larComboBox | larRadioButton |

M

MainAlignAnchor | MoveWindowOrg | mrNo
mbExtra1 | mrAbort | mrNone
mbExtra2 | mrAll | mrNoToAll
mbLeft | mrCancel | mrOK
mbMiddle | mrClose | mrRetry
mbRight | mrIgnore | mrYes
Mouse | mrLast | mrYesToAll

N

NewStyleControls

O

OnDrawDockImage OppositeAnchor

P

PControlBorderSpacingDefault PHintInfo

R

RecreateWnd Register

S

scoAdviceHeightAsMax | scoAdviceWidthAsMin | ssModifier
scoAdviceHeightAsMin | SendAppMessage | StringToCursor
scoAdviceWidthAsMax | SetCaptureControl |

T

TAlign | TControlCellAligns | TDrawDockImageEvent
TAlignInfo | TControlChildrenLayout | TEndDragEvent
TAlignInsertBeforeEvent | TControlChildSizing | TForEachZoneProc
TAlignPositionEvent | TControlClass | TFormBorderStyle
TAlignSet | TControlFlag | TFormStyle
TAnchorKind | TControlFlags | TGetChildProc
TAnchors | TControlHandlerType | TGetDockCaptionEvent
TAnchorSide | TControlPropertyStorage | TGetSiteInfoEvent
TAnchorSideChangeOperation | TControlRoleForForm | TGraphicControl
TAnchorSideReference | TControlRolesForForm | THintInfo
TBevelCut | TControlShowHintEvent | TImageList
TBorderStyle | TControlState | TImageListHelper
TBorderWidth | TControlStateType | TKeyEvent
TCaption | TControlStyle | TKeyPressEvent
TCaptureMouseButtons | TControlStyleType | TLayoutAdjustmentPolicy
TChildControlResizeStyle | TCursor | TLazAccessibilityRole
TCMCancelMode | TCustomControl | TLazAccessibleObject
TCMChanged | TDockDropEvent | TLazAccessibleObjectEnumerator
TCMChildKey | TDockManager | TMouse
TCMControlChange | TDockManagerClass | TMouseButton
TCMControlListChange | TDockOrientation | TMouseEvent
TCMDesignHitTest | TDockOverEvent | TMouseMoveEvent
TCMDialogChar | TDockTree | TMouseWheelEvent
TCMDialogKey | TDockTreeFlag | TMouseWheelUpDownEvent
TCMEnter | TDockTreeFlags | TSizeConstraints
TCMExit | TDockZone | TSizeConstraintsOption
TCMHitTest | TDockZoneClass | TSizeConstraintsOptions
TCMMouseWheel | TDragControlObject | TSpacingSize
TConstrainedResizeEvent | TDragControlObjectEx | TStartDockEvent
TConstraintSize | TDragDockObject | TStartDragEvent
TContextPopupEvent | TDragDockObjectEx | TTabOrder
TControl | TDragDropEvent | TUnDockEvent
TControlActionLink | TDragImageList | TUTF8KeyPressEvent
TControlActionLinkClass | TDragImageListResolution | TWinControl
TControlAtPosFlag | TDragKind | TWinControlActionLink
TControlAtPosFlags | TDragManager | TWinControlActionLinkClass
TControlAutoSizePhase | TDragMessage | TWinControlClass
TControlAutoSizePhases | TDragMode | TWinControlEnumerator
TControlBorderSpacing | TDragObject | TWinControlFlag
TControlBorderSpacingDefault | TDragObjectClass | TWinControlFlags
TControlBorderStyle | TDragObjectEx | TWndMethod
TControlCanvas | TDragOverEvent |
TControlCellAlign | TDragState |

W

wcfAdjustedLogicalClientRectValid | wcfColorChanged | wcfHandleVisible
wcfAligningControls | wcfCreatingChildHandles | wcfInitializing
wcfAllAutoSizing | wcfCreatingHandle | wcfKillIntfSetBounds
wcfBoundsRealized | wcfEraseBackground | wcfRealizingBounds
wcfClientRectNeedsUpdate | wcfFontChanged | wcfUpdateShowing


MainAlignAnchor

Declaration

Source position: controls.pp line 2676

const MainAlignAnchor: array [TAlign] of TAnchorKind = (akLeft, akTop, akBottom, akLeft, akRight, akLeft, akLeft);


Mouse

The global Mouse object.

Declaration

Source position: controls.pp line 2739

var Mouse: TMouse = ;


mrAbort

Modal dialog aborted.

Declaration

Source position: controls.pp line 55

const mrAbort = UITypes.mrAbort;


mrAll

Modal dialog left with All button.

Declaration

Source position: controls.pp line 60

const mrAll = UITypes.mrAll;


mrCancel

Modal dialog left with Cancel button.

Declaration

Source position: controls.pp line 54

const mrCancel = UITypes.mrCancel;


mrClose

Modal dialog left with Close button.

Declaration

Source position: controls.pp line 63

const mrClose = UITypes.mrClose;


mrIgnore

Modal dialog left with Ignore button.

Declaration

Source position: controls.pp line 57

const mrIgnore = UITypes.mrIgnore;


mrLast

Last (highest) value of modal results.

Declaration

Source position: controls.pp line 64

const mrLast = UITypes.mrLast;


mrNo

Modal dialog left with No button.

Declaration

Source position: controls.pp line 59

const mrNo = UITypes.mrNo;


mrNone

Modal dialog left with None button.

Declaration

Source position: controls.pp line 52

const mrNone = UITypes.mrNone;


mrNoToAll

Modal dialog left with NoToAll button.

Declaration

Source position: controls.pp line 61

const mrNoToAll = UITypes.mrNoToAll;


mrOK

Modal dialog left with OK button.

Declaration

Source position: controls.pp line 53

const mrOK = UITypes.mrOK;


mrRetry

Modal dialog left with Retry button.

Declaration

Source position: controls.pp line 56

const mrRetry = UITypes.mrRetry;


mrYes

Modal dialog left with Yes button.

Declaration

Source position: controls.pp line 58

const mrYes = UITypes.mrYes;


mrYesToAll

Modal dialog left with YesToAll button.

Declaration

Source position: controls.pp line 62

const mrYesToAll = UITypes.mrYesToAll;


NewStyleControls

Declaration

Source position: controls.pp line 2738

var NewStyleControls: Boolean = ;


OnDrawDockImage

Declaration

Source position: controls.pp line 527

var OnDrawDockImage: TDrawDockImageEvent = Nil;


OppositeAnchor

Declaration

Source position: controls.pp line 2685

const OppositeAnchor: array [TAnchorKind] of TAnchorKind = (akBottom, akRight, akLeft, akTop);


PControlBorderSpacingDefault

Declaration

Source position: controls.pp line 744

type PControlBorderSpacingDefault = ^TControlBorderSpacingDefault;


PHintInfo

Declaration

Source position: controls.pp line 323

type PHintInfo = ^THintInfo;


ssModifier

Declaration

Source position: controls.pp line 82

const ssModifier = ssCtrl;


TAlign

Alignment options for a control, within its Parent control.

Declaration

Source position: controls.pp line 169

type TAlign = (
alNone, | Control has fixed size and position
alTop, | Control stacked at top, full width.
alBottom, | Control stacked at bottom, full width.
alLeft, | Control stacked at left, full height.
alRight, | Control stacked at right, full height.
alClient, | Control fills remaining client area.
alCustom | Control has special alignment.
);

Description

A control can be aligned as:

alNone
fixed position and extent
alTop
stacked at top, full width
alBottom
stacked at bottom, full width
alLeft
stacked at left, full height
alRight
stacked at right, full height
alClient
filling entire remaining client area
alCustom
other alignment, in drag-dock: notebook

At most one control can have alClient alignment.

The order of multiple controls of the same (stackable) alignment is determined by their Left or Top coordinate.

The precedence of conflicting alignment requests (e.g. one at top, one at right) is resolved


TAlignInfo

Used in custom alignment (alCustom).

Declaration

Source position: controls.pp line 1964

type TAlignInfo = record
AlignList: TFPList; | The list of controls currently being aligned.
ControlIndex: Integer; | Index of current control.
Align: TAlign; | The kind of alignment currently processed (always alCustom).
Scratch: Integer; | For internal use.
end;

Description

This record was added only after D7. It's used in CustomInsertBefore and CustomAlignPosition methods and handlers.

See also

TWinControl.CustomAlignPosition | Returns the aligned position of a custom-aligned child control, using the OnAlignPosition handler.
TWinControl.CustomAlignInsertBefore | Returns the placement order of custom-aligned child controls, using the OnAlignInsertBefore handler.


TAlignInsertBeforeEvent

Type of an OnAlignInsertBefore handler.

Declaration

Source position: controls.pp line 1973

type TAlignInsertBeforeEvent = function(

  Sender: TWinControl;

  Control1: TControl;

  Control2: TControl

):Boolean of object;

Arguments

Sender

The Parent control

Function result

True if Control2 shall be placed before Control1 is placed.

Description

The handler determines the order, in which both controls are aligned later.

See also

TWinControl.CustomAlignInsertBefore

Returns the placement order of custom-aligned child controls, using the OnAlignInsertBefore handler.


TAlignPositionEvent

Type of an OnAlignPosition handler.

Declaration

Source position: controls.pp line 1974

type TAlignPositionEvent = procedure(

  Sender: TWinControl;

  Control: TControl;

  var NewLeft: Integer;

  var NewTop: Integer;

  var NewWidth: Integer;

  var NewHeight: Integer;

  var AlignRect: TRect;

  AlignInfo: TAlignInfo

) of object;

Arguments

Sender | The Parent control
Control | The control to place.
AlignRect | The remaining ClientRect
AlignInfo | Information about the current align process

Description

The handler positions Control by changing the given coordinates.

See also

TWinControl.CustomAlignPosition

Returns the aligned position of a custom-aligned child control, using the OnAlignPosition handler.


TAlignSet

Set of alignment options.

Declaration

Source position: controls.pp line 170

type TAlignSet = set of (
alNone, | Control has fixed size and position
alTop, | Control stacked at top, full width.
alBottom, | Control stacked at bottom, full width.
alLeft, | Control stacked at left, full height.
alRight, | Control stacked at right, full height.
alClient, | Control fills remaining client area.
alCustom | Control has special alignment.
);


TAnchorKind

The control side to be anchored.

Declaration

Source position: controls.pp line 171

type TAnchorKind = (
akTop, | Top side (or center vertically).
akLeft, | Left side (or center horizonally).
akRight, | Right side (or center horizontally).
akBottom | Bottom side (or center vertically).
);

Description

With asrCenter the sides mean horizontal or vertical alignment, of the control's center.


TAnchors

Declaration

Source position: controls.pp line 172

type TAnchors = set of (
akTop, | Top side (or center vertically).
akLeft, | Left side (or center horizonally).
akRight, | Right side (or center horizontally).
akBottom | Bottom side (or center vertically).
);


TBevelCut

Declaration

Source position: controls.pp line 195

type TBevelCut = TGraphicsBevelCut;


TBorderStyle

Possible types of borders (with or without border).

Declaration

Source position: controls.pp line 186

type TBorderStyle = bsNone..bsSingle;


TBorderWidth

Integer type for TWinControl.BorderWidth.

Declaration

Source position: controls.pp line 1769

type TBorderWidth = 0..MaxInt;


TCaption

A string type for the caption of a control: may be translated

Declaration

Source position: controls.pp line 180

type TCaption = TTranslateString;


TCaptureMouseButtons

Declaration

Source position: controls.pp line 241

type TCaptureMouseButtons = set of (
mbLeft, | Represents the left mouse button. It might be physically the right button if the system is configured to act like that, for example for a left handled person.
mbRight, | Represents the right mouse button. It might be physically the left button if the system is configured to act like that, for example for a left handled person.
mbMiddle, | Represents the middle mouse button.
mbExtra1, | Represents the first extra mouse button.
mbExtra2 | Represents the second extra mouse button.
);


TChildControlResizeStyle

Modes for resizing child controls.

Declaration

Source position: controls.pp line 1854

type TChildControlResizeStyle = (
crsAnchorAligning, | Using TControl.Anchors (Delphi compatible).
crsScaleChilds, | Scale children, keep space between children fixed.
crsHomogenousChildResize, | Enlarge children equally, i.e. by the same amount of pixels.
crsHomogenousSpaceResize | Enlarge space between children equally.
);


TCMCancelMode

Declaration

Source position: controls.pp line 143

type TCMCancelMode = record

  Msg: Cardinal;

  Unused: Integer;

  Sender: TControl;

  Result: LongInt;

end;


TCMChanged

Declaration

Source position: controls.pp line 123

type TCMChanged = record

  Msg: Cardinal;

  Unused: LongInt;

  Child: TControl;

  Result: LongInt;

end;


TCMChildKey

Declaration

Source position: controls.pp line 150

type TCMChildKey = record
Msg: Cardinal; |
UnusedMsg: Cardinal;
Unused: Word;
CharCode: Word; | VK_XXX constants for TLMKeyDown/Up, ASCII for TLMChar.
Unused2: LongInt;
Sender: TWinControl; |
Result: LRESULT; |
end;


TCMControlChange

Declaration

Source position: controls.pp line 116

type TCMControlChange = record

  Msg: Cardinal;

  Control: TControl;

  Inserting: LongBool;

  Result: LRESULT;

end;


TCMControlListChange

Declaration

Source position: controls.pp line 130

type TCMControlListChange = record

  Msg: Cardinal;

  Control: TControl;

  Inserting: LongBool;

  Result: LRESULT;

end;


TCMDesignHitTest

Declaration

Source position: controls.pp line 114

type TCMDesignHitTest = TLMMouse;


TCMDialogChar

Declaration

Source position: controls.pp line 137

type TCMDialogChar = TLMKey;


TCMDialogKey

Declaration

Source position: controls.pp line 138

type TCMDialogKey = TLMKey;


TCMEnter

Declaration

Source position: controls.pp line 140

type TCMEnter = TLMEnter;


TCMExit

Declaration

Source position: controls.pp line 141

type TCMExit = TLMExit;


TCMHitTest

Declaration

Source position: controls.pp line 113

type TCMHitTest = TLMNCHITTEST;


TCMMouseWheel

Parameters of a CMMouseWheel message.

Declaration

Source position: controls.pp line 99

type TCMMouseWheel = record
MSg: Cardinal; | The exact Message ID (WM_MOUSEWHEEL?).
ShiftState: TShiftState; | State of modifier keys and mouse buttons.
Unused: Byte; | inserted for alignment only.
WheelDelta: SmallInt;
case Integer of
0: (
XPos: SmallInt; | Mouse X position.
YPos: SmallInt; | Mouse Y position.
);
1: (
Pos: TSmallPoint; | Mouse position.
Result: LRESULT; | Zero indicates that the message was handled.
);
end;

Description

Details held include:
          the Message associated with the wheel;
          the shift state (ie whether Shift, Alt, Control etc keys have been pressed);
          mouse position and the message Result.


TConstrainedResizeEvent

Declaration

Source position: controls.pp line 692

type TConstrainedResizeEvent = procedure(

  Sender: TObject;

  var MinWidth: TConstraintSize;

  var MinHeight: TConstraintSize;

  var MaxWidth: TConstraintSize;

  var MaxHeight: TConstraintSize

) of object;


TConstraintSize

Range of the control size constraints.

Declaration

Source position: controls.pp line 634

type TConstraintSize = 0..MaxInt;


TContextPopupEvent

Handler type for OnContextPopup.

Declaration

Source position: controls.pp line 944

type TContextPopupEvent = procedure(

  Sender: TObject;

  MousePos: TPoint;

  var Handled: Boolean

) of object;

Arguments

Sender | The clicked control.
MousePos | Mouse position in client coordinates; (-1,-1) if the event was not generated by a click.
Handled | Set Handled to True when everything was handled; False shows the associated PopupMenu, by default.


TControlAtPosFlag

Flags for finding a control at given (client) position.

Declaration

Source position: controls.pp line 1953

type TControlAtPosFlag = (
capfAllowDisabled, | If set: include disabled controls.
capfAllowWinControls, | If set: include TWinControls, in addition to TControls.
capfOnlyClientAreas, | If set: hit client areas only.
capfRecursive, | If set: recurse into grand children.
capfHasScrollOffset, | If set: scroll offset is already included in the coordinates.
capfOnlyWinControls
);

Description

capfAllowDisabled: include disabled controls. capfAllowWinControls: do not find WinControls if False. capfOnlyClientAreas: hit client areas only. capfRecursive: search into child controls. capfHasScrollOffset: scroll offset is already included in the coordinates.

See also

TWinControl.ControlAtPos

Get the child control at the given client position.


TControlAtPosFlags

Declaration

Source position: controls.pp line 1961

type TControlAtPosFlags = set of (
capfAllowDisabled, | If set: include disabled controls.
capfAllowWinControls, | If set: include TWinControls, in addition to TControls.
capfOnlyClientAreas, | If set: hit client areas only.
capfRecursive, | If set: recurse into grand children.
capfHasScrollOffset, | If set: scroll offset is already included in the coordinates.
capfOnlyWinControls
);


TControlAutoSizePhase

Declaration

Source position: controls.pp line 931

type TControlAutoSizePhase = (
caspNone, |
caspChangingProperties, |
caspCreatingHandles, | create/destroy handles
caspComputingBounds, |
caspRealizingBounds, |
caspShowing | make handles visible
);


TControlAutoSizePhases

Declaration

Source position: controls.pp line 939

type TControlAutoSizePhases = set of (
caspNone, |
caspChangingProperties, |
caspCreatingHandles, | create/destroy handles
caspComputingBounds, |
caspRealizingBounds, |
caspShowing | make handles visible
);


TControlBorderStyle

Possible types of control borders (with or without border).

Declaration

Source position: controls.pp line 187

type TControlBorderStyle = TBorderStyle;

Description

A subset of TFormBorderStyle, listing only the styles available to a control that is not a form.


TControlCellAlign

Modes for aligning a control in a table cell.

Declaration

Source position: controls.pp line 726

type TControlCellAlign = (

  ccaFill,

  ccaLeftTop,

  ccaRightBottom,

  ccaCenter

);


TControlCellAligns

Declaration

Source position: controls.pp line 732

type TControlCellAligns = set of (

  ccaFill,

  ccaLeftTop,

  ccaRightBottom,

  ccaCenter

);


TControlChildrenLayout

Modes for wrapping controls.

Declaration

Source position: controls.pp line 1864

type TControlChildrenLayout = (
cclNone, | No wrapping
cclLeftToRightThenTopToBottom, | Arrange in rows If BiDiMode not bdLeftToRight then it becomes RightToLeft.
cclTopToBottomThenLeftToRight | Arrange in columns
);


TControlClass

TControlClass - class of TControl

Declaration

Source position: controls.pp line 96

type TControlClass = class of TControl;


TControlFlag

Flags mostly for pending actions.

Declaration

Source position: controls.pp line 947

type TControlFlag = (
cfLoading, | set by TControl.ReadState, unset by TControl.Loaded when all on form finished loading
cfAutoSizeNeeded, | Set when AutoSize was delayed
cfLeftLoaded, | Set when Left was set during loading.
cfTopLoaded, | Set when Top was set during loading.
cfWidthLoaded, | Set when Width was set during loading.
cfHeightLoaded, | Set when Height was set during loading.
cfClientWidthLoaded, | Set when ClientWidth was set during loading.
cfClientHeightLoaded, | Set when ClientHeight was set during loading.
cfBoundsRectForNewParentValid, | Set when BoundsRectForNewParent has been initialized.
cfBaseBoundsValid, |
cfPreferredSizeValid, | Set when PreferredSize has been calculated (CalculatePreferredSize).
cfPreferredMinSizeValid, |
cfOnChangeBoundsNeeded, |
cfProcessingWMPaint, | Set (in WndProc) while processing an LM_PAINT message.
cfKillChangeBounds, |
cfKillInvalidatePreferredSize, |
cfKillAdjustSize |
);


TControlFlags

Declaration

Source position: controls.pp line 966

type TControlFlags = set of (
cfLoading, | set by TControl.ReadState, unset by TControl.Loaded when all on form finished loading
cfAutoSizeNeeded, | Set when AutoSize was delayed
cfLeftLoaded, | Set when Left was set during loading.
cfTopLoaded, | Set when Top was set during loading.
cfWidthLoaded, | Set when Width was set during loading.
cfHeightLoaded, | Set when Height was set during loading.
cfClientWidthLoaded, | Set when ClientWidth was set during loading.
cfClientHeightLoaded, | Set when ClientHeight was set during loading.
cfBoundsRectForNewParentValid, | Set when BoundsRectForNewParent has been initialized.
cfBaseBoundsValid, |
cfPreferredSizeValid, | Set when PreferredSize has been calculated (CalculatePreferredSize).
cfPreferredMinSizeValid, |
cfOnChangeBoundsNeeded, |
cfProcessingWMPaint, | Set (in WndProc) while processing an LM_PAINT message.
cfKillChangeBounds, |
cfKillInvalidatePreferredSize, |
cfKillAdjustSize |
);


TControlHandlerType

Notification handler types.

Declaration

Source position: controls.pp line 968

type TControlHandlerType = (
chtOnResize, | Notification request for OnResize.
chtOnChangeBounds, | Notification request for OnChangeBounds.
chtOnVisibleChanging, | Notification request for OnVisibleChanging.
chtOnVisibleChanged, | Notification request for OnVisibleChanged.
chtOnEnabledChanging, | Notification request for OnEnabledChanging.
chtOnEnabledChanged, | Notification request for OnEnabledChanged.
chtOnKeyDown, | Notification request for OnKeyDown.
chtOnBeforeDestruction,
chtOnMouseWheel,
chtOnMouseWheelHorz
);

Description

Notification handlers only receive an Sender, and must know themselves why they have been invoked.


TControlRoleForForm

Possible default actions on special keys.

Declaration

Source position: controls.pp line 189

type TControlRoleForForm = (
crffDefault, | This control is notified when the user presses Return.
crffCancel | This control is notified when the user presses Escape.
);


TControlRolesForForm

Declaration

Source position: controls.pp line 193

type TControlRolesForForm = set of (
crffDefault, | This control is notified when the user presses Return.
crffCancel | This control is notified when the user presses Escape.
);


TControlShowHintEvent

Handler type for OnShowHint.

Declaration

Source position: controls.pp line 943

type TControlShowHintEvent = procedure(

  Sender: TObject;

  HintInfo: PHintInfo

) of object;


TControlState

Set of permissible Control states

Declaration

Source position: controls.pp line 299

type TControlState = set of (

  csLButtonDown,

  csClicked,

  csPalette,

  csReadingState,

  csFocusing,

  csCreating,

  csPaintCopy,

  csCustomPaint,

  csDestroyingHandle,

  csDocking,

  csVisibleSetInLoading

);


TControlStateType

State flags of a Control

Declaration

Source position: controls.pp line 286

type TControlStateType = (

  csLButtonDown,

  csClicked,

  csPalette,

  csReadingState,

  csFocusing,

  csCreating,

  csPaintCopy,

  csCustomPaint,

  csDestroyingHandle,

  csDocking,

  csVisibleSetInLoading

);

Description

Enumerated type comprising

csLButtonDown,
    csClicked,
    csPalette,
    csReadingState,
    csAlignmentNeeded,
    csFocusing,
    csCreating,
    csPaintCopy,
    csCustomPaint,
    csDestroyingHandle,
    csDocking,
    csVisibleSetInLoading


TControlStyle

Set of control styles.

Declaration

Source position: controls.pp line 279

type TControlStyle = set of (
csAcceptsControls, | Indicates that one can add child controls to this control in the form designer.
csCaptureMouse, |
csDesignInteractive, | wants mouse events in design mode
csClickEvents, |
csFramed, |
csSetCaption, | As long as Name=Text, changing the Name will set the Caption.
csOpaque, |
csDoubleClicks, | Indicates that the control understands mouse double clicks
csTripleClicks, | Indicates that the control understands mouse triple clicks
csQuadClicks, | Indicates that the control understands mouse quadruple clicks
csFixedWidth, | Indicates that the control cannot change its width
csFixedHeight, | Indicates that the control cannot change its height (e.g. combobox)
csNoDesignVisible, | Indicates that the control is invisible in the form designer
csReplicatable, |
csNoStdEvents, |
csDisplayDragImage, | display images from dragimagelist during drag operation over control
csReflector, |
csActionClient, |
csMenuEvents, |
csNoFocus, | Indicates that the control cannot receive focus
csNeedsBorderPaint, | [not implemented]
csParentBackground, | [not implemented]
csDesignNoSmoothResize, | no WYSIWYG resizing in designer
csDesignFixedBounds, | control can not be moved nor resized in designer
csHasDefaultAction, | control implements useful ExecuteDefaultAction
csHasCancelAction, | control implements useful ExecuteCancelAction
csNoDesignSelectable, | control can not be selected at design time
csOwnedChildrenNotSelectable, | child controls owned by this control are NOT selectable in the designer
csAutoSize0x0, | if the preferred size is 0x0 then control is shrinked to 0x0
csAutoSizeKeepChildLeft, | when AutoSize=true do not move children horizontally
csAutoSizeKeepChildTop, | when AutoSize=true do not move children vertically
csRequiresKeyboardInput | Indicates that a control requires keyboard input to be utilized by the user. This information is utilized in Android and other platforms so that the virtual keyboard is activated when the control receives focus and the device has no hardware keyboard
);


TControlStyleType

TControlStyleType - enumerated type describing features of the Control

Declaration

Source position: controls.pp line 245

type TControlStyleType = (
csAcceptsControls, | Indicates that one can add child controls to this control in the form designer.
csCaptureMouse, |
csDesignInteractive, | wants mouse events in design mode
csClickEvents, |
csFramed, |
csSetCaption, | As long as Name=Text, changing the Name will set the Caption.
csOpaque, |
csDoubleClicks, | Indicates that the control understands mouse double clicks
csTripleClicks, | Indicates that the control understands mouse triple clicks
csQuadClicks, | Indicates that the control understands mouse quadruple clicks
csFixedWidth, | Indicates that the control cannot change its width
csFixedHeight, | Indicates that the control cannot change its height (e.g. combobox)
csNoDesignVisible, | Indicates that the control is invisible in the form designer
csReplicatable, |
csNoStdEvents, |
csDisplayDragImage, | display images from dragimagelist during drag operation over control
csReflector, |
csActionClient, |
csMenuEvents, |
csNoFocus, | Indicates that the control cannot receive focus
csNeedsBorderPaint, | [not implemented]
csParentBackground, | [not implemented]
csDesignNoSmoothResize, | no WYSIWYG resizing in designer
csDesignFixedBounds, | control can not be moved nor resized in designer
csHasDefaultAction, | control implements useful ExecuteDefaultAction
csHasCancelAction, | control implements useful ExecuteCancelAction
csNoDesignSelectable, | control can not be selected at design time
csOwnedChildrenNotSelectable, | child controls owned by this control are NOT selectable in the designer
csAutoSize0x0, | if the preferred size is 0x0 then control is shrinked to 0x0
csAutoSizeKeepChildLeft, | when AutoSize=true do not move children horizontally
csAutoSizeKeepChildTop, | when AutoSize=true do not move children vertically
csRequiresKeyboardInput | Indicates that a control requires keyboard input to be utilized by the user. This information is utilized in Android and other platforms so that the virtual keyboard is activated when the control receives focus and the device has no hardware keyboard
);


TCursor

TCursor - integer type defining range of values for cursor shapes.

Declaration

Source position: controls.pp line 181

type TCursor = - 32768..32767;

Description

Allowed values are:

Standard cursors
  crDefault     = TCursor(0);   //current cursor unchanged
  crNone        = TCursor(-1);  //hide cursor
  crArrow       = TCursor(-2);  //normal cursor
  crCross       = TCursor(-3);  //graphics cursor, for pixel or rectangle selection
  crIBeam       = TCursor(-4);  //text cursor, for setting insertion point
Sizing cursors
  crSize        = TCursor(-22);
  crSizeAll     = TCursor(-22);
  crSizeNESW    = TCursor(-6); // diagonal north east - south west
  crSizeNS      = TCursor(-7);
  crSizeNWSE    = TCursor(-8);
  crSizeWE      = TCursor(-9);
  crSizeNW      = TCursor(-23);
  crSizeN       = TCursor(-24);
  crSizeNE      = TCursor(-25);
  crSizeW       = TCursor(-26);
  crSizeE       = TCursor(-27);
  crSizeSW      = TCursor(-28);
  crSizeS       = TCursor(-29);
  crSizeSE      = TCursor(-30);
DragDrop cursors
  crDrag        = TCursor(-12); //dragging, drop allowed
  crNoDrop      = TCursor(-13); //dragging, drop disallowed/rejected
  crMultiDrag   = TCursor(-16); //dragging multiple items
  crNo          = TCursor(-18);
Splitter cursors
  crHSplit      = TCursor(-14);
  crVSplit      = TCursor(-15);
More cursors
  crUpArrow     = TCursor(-10);
  crHourGlass   = TCursor(-11); //busy
  crSQLWait     = TCursor(-17);
  crAppStart    = TCursor(-19);
  crHelp        = TCursor(-20);
  crHandPoint   = TCursor(-21);


TDockDropEvent

The type of an OnDockDrop handler.

Declaration

Source position: controls.pp line 512

type TDockDropEvent = procedure(

  Sender: TObject;

  Source: TDragDockObject;

  X: Integer;

  Y: Integer

) of object;

Arguments

Sender | The drop target (docksite control).
Source | The DragDock object, containing information about the dragged object.

Description

An OnDockDrop event is sent by the drop target (dock site) on the drop of a dragged object.

See also

TDragDropEvent

The type of an OnDragDrop notification handler.


TDockOrientation

Orientation of DockZones and docked controls, similar to TAlign.

Declaration

Source position: controls.pp line 506

type TDockOrientation = (
doNoOrient, | no orientation applies (like alNone)
doHorizontal, | siblings are arranged horizontally, children top-to-bottom
doVertical, | siblings are arranged vertically, children left-to-right
doPages | children are pages in a tabbed control
);

Description

This is a Delphi relict, bound to TDockTree and not very useful in application code.
All DockZones in an DockTree have a unique orientation, horizontal or vertical, indicating how controls are arranged in this zone. When a control is docked into a zone, it obtains the orientation of that zone.

Remark: The control's orientation can be stored as the opposite of the zone, depending on the used DockManager.


TDockOverEvent

The type of an OnDockOver handler.

Declaration

Source position: controls.pp line 514

type TDockOverEvent = procedure(

  Sender: TObject;

  Source: TDragDockObject;

  X: Integer;

  Y: Integer;

  State: TDragState;

  var Accept: Boolean

) of object;

Arguments

Sender

The possible drop target.

Description

An OnDockOver event is sent by a dock site, when an object is dragged over it. The handler can specify whether a drop will be accepted or rejected.

See also

TDragOverEvent

The type of an OnDragOver handler.


TDragDropEvent

The type of an OnDragDrop notification handler.

Declaration

Source position: controls.pp line 442

type TDragDropEvent = procedure(

  Sender: TObject;

  Source: TObject;

  X: Integer;

  Y: Integer

) of object;

Arguments

Sender | The target control of the drop.
Source | The dragged control.
X | The client coordinates of the drop.
Y | The client coordinates of the drop.

Description

An OnDragDrop event is generated by the target control, on the drop of a dragged object.

See also

TDockDropEvent | The type of an OnDockDrop handler.
TEndDragEvent | The type of an OnEndDrag handler.
TControl.OnDragDrop | This handler determines the action on an drop onto this control, in a drag-drop operation.


TDragKind

Indicates whether the control performs drag-drop or drag-dock.

Declaration

Source position: controls.pp line 434

type TDragKind = (
dkDrag, | Control is dragged for dropping.
dkDock | Control is dragged for docking.
);


TDragMessage

DragManager message types.

Declaration

Source position: controls.pp line 437

type TDragMessage = (
dmDragEnter, | mouse enters control
dmDragLeave, | mouse leaves control
dmDragMove, | mouse moves over control (after dmDragEnter)
dmDragDrop, | control dropped
dmDragCancel, | dragging aborted
dmFindTarget | find possible target control under the mouse
);

Description

All messages are sent to the target control, except dmDragDrop and dmDragCancel is sent to the source control.

dmDragEnter: mouse enters control
dmDragLeave: mouse leaves control
dmDragMove: mouse moves over control (after dmDragEnter)
dmDragDrop: control dropped
dmDragCancel: dragging aborted
dmFindTarget: find child control under the mouse


TDragMode

Indicates whether dragging can start automatically.

Declaration

Source position: controls.pp line 435

type TDragMode = (
dmManual, | Dragging can start only by explicit code.
dmAutomatic | Dragging starts when the left mouse button is pressed on the control.
);


TDragOverEvent

The type of an OnDragOver handler.

Declaration

Source position: controls.pp line 440

type TDragOverEvent = procedure(

  Sender: TObject;

  Source: TObject;

  X: Integer;

  Y: Integer;

  State: TDragState;

  var Accept: Boolean

) of object;

Arguments

Sender | The possible drop target (control).
Source | The object (TDragObject or TControl) being dragged.
X | X coordinate of the mouse on screen.
Y | Y coordinate of the mouse on screen.
State | The current DragState (entering, leaving or moving over the target).
Accept | Set Accept to False to reject an drop (default is True).

Description

An OnDragOver event is sent by a control, when an object is dragged over it. The handler can specify whether a drop will be accepted or rejected.

Remark: Source is polymorphic, can be either the DragObject or the dragged control! This depends on DragObject.AutoCreated, for no sane reason :-(

See also

TDockOverEvent

The type of an OnDockOver handler.


TDragState

State changes while dragging - when mouse enters, leaves or moves over a control.

Declaration

Source position: controls.pp line 436

type TDragState = (
dsDragEnter, | Mouse has just entered the control.
dsDragLeave, | Mouse has just left the control.
dsDragMove | Mouse is moving over the control.
);

Description

These values are sent with drag messages, allowing the control to perform special actions while the mouse moves over it.


TDrawDockImageEvent

Declaration

Source position: controls.pp line 524

type TDrawDockImageEvent = procedure(

  Sender: TObject;

  AOldRect: TRect;

  ANewRect: TRect;

  AOperation: TDockImageOperation

);


TEndDragEvent

The type of an OnEndDrag handler.

Declaration

Source position: controls.pp line 444

type TEndDragEvent = procedure(

  Sender: TObject;

  Target: TObject;

  X: Integer;

  Y: Integer

) of object;

Arguments

Sender | The dragged control
Target | The drop target (control), or Nil if cancel'd.
X | The mouse coordinate, in client coordinates if dropped, else in screen coordinates.
Y | The mouse coordinate, in client coordinates if dropped, else in screen coordinates.

Description

An OnEndDrag event is sent by a dragged control, when dragging is finished. This happens regardless of whether the operation was drag-drop or drag-dock, and whether the operation ended with a drop or was cancel'd.

Check Target=Nil to distinguish between a drop and a cancel'd operation (Nil).

See also

TDragDropEvent | The type of an OnDragDrop notification handler.
TDockDropEvent | The type of an OnDockDrop handler.


TForEachZoneProc

The type of an ForEachZone callback procedure, currently unused.

Declaration

Source position: controls.pp line 2586

type TForEachZoneProc = procedure(

  Zone: TDockZone

) of object;

Arguments

Zone

The iterated zone.


TFormBorderStyle

Style of a form's border.

Declaration

Source position: controls.pp line 184

type TFormBorderStyle = (
bsNone, | No border at all.
bsSingle, | Single line border, the form cannot be resized.
bsSizeable, | The form can be resized (standard).
bsDialog, | The form is a dialog, cannot be resized.
bsToolWindow, | Single line border, small caption, not resizeable.
bsSizeToolWin | Small caption, form can be resized.
);


TFormStyle

Defines special form behaviour.

Declaration

Source position: controls.pp line 183

type TFormStyle = (
fsNormal, | An ordinary (overlapping) form.
fsMDIChild, | The form is an MDI child.
fsMDIForm, | The form is an MDI parent form, containing MDI child forms.
fsStayOnTop, | The form is in the foreground, on top of all other application forms.
fsSplash, | A splash form.
fsSystemStayOnTop | The form stays system-wide on top.
);


TGetChildProc

Type of a callback method, to be called for all children of a control.

Declaration

Source position: controls.pp line 1771

type TGetChildProc = procedure(

  Child: TComponent

) of object;

Arguments

Child

The child control.

See also

TWinControl.GetChildren

Calls Proc with every child control, owned by Root.


TGetDockCaptionEvent

Declaration

Source position: controls.pp line 426

type TGetDockCaptionEvent = procedure(

  Sender: TObject;

  AControl: TControl;

  var ACaption: string

) of object;


TGetSiteInfoEvent

An OnGetSiteInfo handler returns information about a docksite.

Declaration

Source position: controls.pp line 521

type TGetSiteInfoEvent = procedure(

  Sender: TObject;

  DockClient: TControl;

  var InfluenceRect: TRect;

  MousePos: TPoint;

  var CanDock: Boolean

) of object;

Arguments

Sender | The dock site near the mouse pointer.
DockClient | The dragged control.
InfluenceRect | The screen rectangle within which a drop or mouse move will be directed to this docksite.
MousePos | The current position of the mouse.
CanDock | Set CanDock to False to reject docking.

Description

An OnGetSiteInfo event is sent by the DragManager to all docksites. The handler can adjust the snapping rectangle (InfluenceRect), and can reject an drop.


THintInfo

Declaration

Source position: controls.pp line 324

type THintInfo = record
HintControl: TControl; |
HintWindowClass: TWinControlClass; |
HintPos: TPoint; |
HintMaxWidth: Integer; |
HintColor: TColor; |
CursorRect: TRect; |
CursorPos: TPoint; |
ReshowTimeout: Integer; | If set to a value >0 call after value milliseconds OnShowHint again
HideTimeout: Integer; | Duration in ms how long the hint is shown
HintStr: string; |
HintData: Pointer; |
end;


TKeyEvent

Declaration

Source position: controls.pp line 413

type TKeyEvent = procedure(

  Sender: TObject;

  var Key: Word;

  Shift: TShiftState

) of object;


TKeyPressEvent

Declaration

Source position: controls.pp line 414

type TKeyPressEvent = procedure(

  Sender: TObject;

  var Key: Char

) of object;


TLayoutAdjustmentPolicy

Indicates the policy for the LCL to execute automatic adjustments in the form layout

Declaration

Source position: controls.pp line 981

type TLayoutAdjustmentPolicy = (

  lapDefault,

  lapFixedLayout,

  lapAutoAdjustWithoutHorizontalScrolling,

  lapAutoAdjustForDPI

);


TLazAccessibilityRole

Indicates the role which a accessible object takes in the user interface

Declaration

Source position: controls.pp line 990

type TLazAccessibilityRole = (
larAnimation, | An object that displays an animation
larButton, | A button
larCell, | A cell in a table
larChart, | An object that displays a graphical representation of data
larCheckBox, | An object that can be checked or unchecked, or sometimes in an intermediary state
larClock, | A clock displaying time
larColorPicker, | A control which allows selecting a color
larComboBox, | A list of choices that the user can select from
larDateField, | A controls which displays and possibly allows one to choose a date
larGrid, | A grid control which displays cells
larGroup, | A control which groups others, such as a TGroupBox
larIgnore, | Something to be ignored. For example a blank space between other objects
larImage, | A graphic or picture or an icon
larLabel, | A text label as usually placed near other widgets
larListBox, | A list of items, from which the user can select one or more items
larListItem, | An item in a list of items
larMenuBar, | A main menu bar
larMenuItem, | A item in a menu
larProgressIndicator, | A control which shows a progress indication
larRadioButton, | A radio button, see for example TRadioButton
larResizeGrip, | A grip that the user can drag to change the size of widgets
larScrollBar, | A control to scroll another one
larSpinner, | A control which allows one to increment / decrement a value
larTabControl, | A control with tabs, like TPageControl
larTextEditorMultiline, | A multi-line text editor (for example: TMemo, SynEdit)
larTextEditorSingleline, | A single-line text editor (for example: TEdit)
larTrackBar, | A control which allows one to drag a slider
larTreeView, | A list of items in a tree structure
larTreeItem, | An item in a tree structure
larWindow | A top level window
);

See also

TLazAccessibleObject

Represents an accessible object with which the user of a accessibility tool can interact.


TSpacingSize

Declaration

Source position: controls.pp line 725

type TSpacingSize = Integer;


TStartDockEvent

The type of an OnStartDock handler.

Declaration

Source position: controls.pp line 519

type TStartDockEvent = procedure(

  Sender: TObject;

  var DragObject: TDragDockObject

) of object;

Arguments

Sender | The control being dragged.
DragObject | Supply your own TDragDockObject, or leave it Nil to request automatic creation.

Description

An OnStartDock event is sent by a control when it shall be dragged and its DragKind is dkDock. The handler can provide a specific DragDock object, else a standard TDragDockObjectEx is automatically created by the DragManager.

See also

TStartDragEvent

The type of an OnStartDrag handler.


TStartDragEvent

The type of an OnStartDrag handler.

Declaration

Source position: controls.pp line 443

type TStartDragEvent = procedure(

  Sender: TObject;

  var DragObject: TDragObject

) of object;

Arguments

Sender | The control to be dragged.
DragObject | Supply your own DragObject, or leave it Nil for automatic creation.

Description

An OnStartDrag event is generated by a control when it shall be dragged and its DragKind is dkDrag. The handler can provide a specific DragDrop object, else a standard TDragDropObjectEx is automatically created by the DragManager.

See also

TStartDragEvent

The type of an OnStartDrag handler.


TTabOrder

Type of TWinControl.TabOrder.

Declaration

Source position: controls.pp line 941

type TTabOrder = - 1..32767;


TUnDockEvent

The type of an OnUnDock handler.

Declaration

Source position: controls.pp line 517

type TUnDockEvent = procedure(

  Sender: TObject;

  Client: TControl;

  NewTarget: TWinControl;

  var Allow: Boolean

) of object;

Arguments

Sender | The docksite from which the object is undocked.
Client | The control to be undocked.
NewTarget | The new docksite for Client, Nil when undocked into floating state.
Allow | Set Allow to False to reject undocking.

Description

An UnDock event is sent by a dock site, before a control is undocked from it. The handler can reject undocking, by setting Allow to False.


TUTF8KeyPressEvent

Declaration

Source position: controls.pp line 415

type TUTF8KeyPressEvent = procedure(

  Sender: TObject;

  var UTF8Key: TUTF8Char

) of object;


TWinControlFlag

State flags of TWinControl.

Declaration

Source position: controls.pp line 1934

type TWinControlFlag = (
wcfClientRectNeedsUpdate, |
wcfColorChanged, |
wcfFontChanged, | Set if font was changed before handle creation.
wcfAllAutoSizing, | Set during DoAllAutosize.
wcfAligningControls, | Set during TWinControl.AlignControls
wcfEraseBackground, |
wcfCreatingHandle, | Set while constructing the handle of this control.
wcfInitializing, | Set while initializing during handle creation.
wcfCreatingChildHandles, | Set while constructing the handles of the children.
wcfRealizingBounds, | Set inside RealizeBoundsRecursive.
wcfBoundsRealized, | Set before bounds are sent to the widget. Used to suppress consequential size messages, sent by the widget.
wcfUpdateShowing, |
wcfHandleVisible, |
wcfAdjustedLogicalClientRectValid, | Set when the adjusted ClientRect is valid.
wcfKillIntfSetBounds |
);


TWinControlFlags

Set of TWinControlFlag.

Declaration

Source position: controls.pp line 1951

type TWinControlFlags = set of (
wcfClientRectNeedsUpdate, |
wcfColorChanged, |
wcfFontChanged, | Set if font was changed before handle creation.
wcfAllAutoSizing, | Set during DoAllAutosize.
wcfAligningControls, | Set during TWinControl.AlignControls
wcfEraseBackground, |
wcfCreatingHandle, | Set while constructing the handle of this control.
wcfInitializing, | Set while initializing during handle creation.
wcfCreatingChildHandles, | Set while constructing the handles of the children.
wcfRealizingBounds, | Set inside RealizeBoundsRecursive.
wcfBoundsRealized, | Set before bounds are sent to the widget. Used to suppress consequential size messages, sent by the widget.
wcfUpdateShowing, |
wcfHandleVisible, |
wcfAdjustedLogicalClientRectValid, | Set when the adjusted ClientRect is valid.
wcfKillIntfSetBounds |
);


TWndMethod

Method type for WindowProc handlers.

Declaration

Source position: controls.pp line 243

type TWndMethod = procedure(

  var TheMessage: TLMessage

) of object;


Reference for unit 'CustomDrawn_Android'

uses
System,
Classes,
sysutils,
Types,
Math,
fpcanvas,
fpimgcanv,
fpimage,
Graphics, | Unit contains definitions for many fundamental classes and types used in graphic applications
Controls, | This unit contains basic classes for visual controls.
LCLType, | This unit is being created specifically for compatibility with Delphi. It should only be used for constants and type definitions that are included in the Delphi Windows unit. This is only done for compatibiltiy.
LCLIntf, | Contains winapi like functions for Delphi compatibility.
IntfGraphics, | Classes and functions for easy handling of raw images (interface images)
LResources, | This unit maintains and stores all standard Lazarus resources in the global LazarusResources list and provides methods and types for component streaming.
Forms, | Contains definitions and descriptions for constructing the Forms which are the basis of the Lazarus Graphical User Interface
CustomDrawnDrawers, |
CustomDrawn_Common; |


Reference for unit 'CustomDrawn_Android': Classes

TCDDrawerAndroid


Index of all identifiers in unit 'CustomDrawn_Android'

T

T

TCDDrawerAndroid


Reference for unit 'CustomDrawn_Common'

uses
System,
Classes,
sysutils,
Types,
Math,
fpcanvas,
fpimage,
lazutf8,
Graphics, | Unit contains definitions for many fundamental classes and types used in graphic applications
Controls, | This unit contains basic classes for visual controls.
LCLType, | This unit is being created specifically for compatibility with Delphi. It should only be used for constants and type definitions that are included in the Delphi Windows unit. This is only done for compatibiltiy.
StdCtrls, | Several standard controls used in most Lazarus forms
ComCtrls, | Several controls commonly used in Lazarus forms
Forms, | Contains definitions and descriptions for constructing the Forms which are the basis of the Lazarus Graphical User Interface
CustomDrawnDrawers, |
ExtCtrls; | Some extra controls commonly used in Lazarus forms


Reference for unit 'CustomDrawn_Common': Classes

TCDDrawerCommon


Index of all identifiers in unit 'CustomDrawn_Common'

T

T

TCDDrawerCommon


Reference for unit 'CustomDrawn_Mac'

uses
System,
Classes,
sysutils,
Types,
fpcanvas,
fpimage,
Math,
Graphics, | Unit contains definitions for many fundamental classes and types used in graphic applications
Controls, | This unit contains basic classes for visual controls.
LCLType, | This unit is being created specifically for compatibility with Delphi. It should only be used for constants and type definitions that are included in the Delphi Windows unit. This is only done for compatibiltiy.
CustomDrawnDrawers, |
CustomDrawn_Common; |


Reference for unit 'CustomDrawn_Mac': Classes

TCDDrawerMac


Index of all identifiers in unit 'CustomDrawn_Mac'

T

T

TCDDrawerMac


Reference for unit 'CustomDrawn_WinXP'

uses
System,
Classes,
sysutils,
Types,
fpcanvas,
fpimage,
Graphics, | Unit contains definitions for many fundamental classes and types used in graphic applications
Controls, | This unit contains basic classes for visual controls.
LCLType, | This unit is being created specifically for compatibility with Delphi. It should only be used for constants and type definitions that are included in the Delphi Windows unit. This is only done for compatibiltiy.
CustomDrawnDrawers, |
CustomDrawn_Common; |


Reference for unit 'CustomDrawn_WinXP': Classes

TCDDrawerWinXP


Index of all identifiers in unit 'CustomDrawn_WinXP'

T

T

TCDDrawerWinXP


Reference for unit 'CustomDrawnControls'

uses
System,
Classes,
sysutils,
contnrs,
Math,
Types,
LazUTF8,
LCLType, | This unit is being created specifically for compatibility with Delphi. It should only be used for constants and type definitions that are included in the Delphi Windows unit. This is only done for compatibiltiy.
LCLProc, | Useful lower level helper functions and classes
LCLIntf, | Contains winapi like functions for Delphi compatibility.
LCLMessageGlue, |
LMessages, |
Messages,
Forms, | Contains definitions and descriptions for constructing the Forms which are the basis of the Lazarus Graphical User Interface
Graphics, | Unit contains definitions for many fundamental classes and types used in graphic applications
Controls, | This unit contains basic classes for visual controls.
StdCtrls, | Several standard controls used in most Lazarus forms
ExtCtrls, | Some extra controls commonly used in Lazarus forms
ComCtrls, | Several controls commonly used in Lazarus forms
Buttons, | Defines several specialist button classes
CustomDrawnDrawers; |


Reference for unit 'CustomDrawnControls': Types

TCDControlClass

TKeyboardInputBehavior

TOnUserAddedPage


Reference for unit 'CustomDrawnControls': Classes

TCDButton

TCDButtonControl

TCDCheckBox

TCDComboBox

TCDControl

TCDCustomTabControl

TCDEdit

TCDGroupBox

TCDListView

TCDPageControl

TCDPanel

TCDPositionedControl

TCDProgressBar

TCDRadioButton

TCDScrollableControl

TCDScrollBar

TCDSpinEdit

TCDStaticText

TCDTabControl

TCDTabSheet

TCDToolBar

TCDTrackBar


Index of all identifiers in unit 'CustomDrawnControls'

K T

K

kibAutomatic kibDoesntRequire kibRequires

T

TCDButton | TCDListView | TCDStaticText
TCDButtonControl | TCDPageControl | TCDTabControl
TCDCheckBox | TCDPanel | TCDTabSheet
TCDComboBox | TCDPositionedControl | TCDToolBar
TCDControl | TCDProgressBar | TCDTrackBar
TCDControlClass | TCDRadioButton | TKeyboardInputBehavior
TCDCustomTabControl | TCDScrollableControl | TOnUserAddedPage
TCDEdit | TCDScrollBar |
TCDGroupBox | TCDSpinEdit |


TKeyboardInputBehavior

Declaration

Source position: customdrawncontrols.pas line 302

type TKeyboardInputBehavior = (

  kibAutomatic,

  kibRequires,

  kibDoesntRequire

);


TOnUserAddedPage

Declaration

Source position: customdrawncontrols.pas line 672

type TOnUserAddedPage = procedure(

  Sender: TObject;

  APage: TCDTabSheet

) of object;


CDDRAWSTYLE_COUNT

Declaration

Source position: customdrawndrawers.pas line 13

const CDDRAWSTYLE_COUNT = 19;


cddTestStr

Declaration

Source position: customdrawndrawers.pas line 15

const cddTestStr = 'ŹÇ';


DefaultStyle

Declaration

Source position: customdrawndrawers.pas line 441

var DefaultStyle: TCDDrawStyle = dsCommon;


Reference for unit 'CustomDrawnDrawers'

uses
System,
Classes,
sysutils,
Types,
fpcanvas,
fpimage,
Controls, | This unit contains basic classes for visual controls.
Graphics, | Unit contains definitions for many fundamental classes and types used in graphic applications
ComCtrls, | Several controls commonly used in Lazarus forms
ExtCtrls, | Some extra controls commonly used in Lazarus forms
LazUTF8;


Reference for unit 'CustomDrawnDrawers': Constants

CDDRAWSTYLE_COUNT

cddTestStr

TCDBUTTON_DEFAULT_COLOR

TCDCHECKBOX_SQUARE_HALF_HEIGHT

TCDCHECKBOX_SQUARE_HEIGHT

TCDCOMBOBOX_DEFAULT_HEIGHT

TCDCONTROL_CAPTION_HEIGHT

TCDCONTROL_CAPTION_WIDTH

TCDCTABCONTROL_CLOSE_BUTTON_POS_X

TCDCTABCONTROL_CLOSE_BUTTON_POS_Y

TCDCTABCONTROL_CLOSE_TAB_BUTTON_EXTRA_SPACING

TCDCTABCONTROL_CLOSE_TAB_BUTTON_WIDTH

TCDCTABCONTROL_TAB_HEIGHT

TCDCTABCONTROL_TAB_LEFT_POS

TCDCTABCONTROL_TAB_WIDTH

TCDEDIT_BACKGROUND_COLOR

TCDEDIT_BOTTOM_TEXT_SPACING

TCDEDIT_LEFT_TEXT_SPACING

TCDEDIT_RIGHT_TEXT_SPACING

TCDEDIT_SELECTED_BACKGROUND_COLOR

TCDEDIT_SELECTED_TEXT_COLOR

TCDEDIT_TEXT_COLOR

TCDEDIT_TOP_TEXT_SPACING

TCDLISTVIEW_COLUMN_LEFT_SPACING

TCDLISTVIEW_COLUMN_RIGHT_SPACING

TCDLISTVIEW_COLUMN_TEXT_LEFT_SPACING

TCDLISTVIEW_LINE_BOTTOM_SPACING

TCDLISTVIEW_LINE_TOP_SPACING

TCDRADIOBUTTON_CIRCLE_HEIGHT

TCDSCROLLBAR_BUTTON_WIDTH

TCDSCROLLBAR_LEFT_BUTTON_POS

TCDSCROLLBAR_LEFT_SPACING

TCDSCROLLBAR_RIGHT_BUTTON_POS

TCDSCROLLBAR_RIGHT_SPACING

TCDTOOLBAR_DEFAULT_HEIGHT

TCDTOOLBAR_ITEM_ARROW_RESERVED_WIDTH

TCDTOOLBAR_ITEM_ARROW_WIDTH

TCDTOOLBAR_ITEM_BUTTON_DEFAULT_WIDTH

TCDTOOLBAR_ITEM_SEPARATOR_DEFAULT_WIDTH

TCDTOOLBAR_ITEM_SPACING

TCDTRACKBAR_FRAME_HEIGHT

TCDTRACKBAR_LEFT_SPACING

TCDTRACKBAR_RIGHT_SPACING

TCDTRACKBAR_TOP_SPACING


Reference for unit 'CustomDrawnDrawers': Types

TCDControlID

TCDControlState

TCDControlStateFlag

TCDDrawStyle

TCDPaletteKind

TCDToolbarItemKind

TCDToolbarItemSubpartKind


Reference for unit 'CustomDrawnDrawers': Classes

TCDButtonStateEx

TCDColorPalette

TCDControlStateEx

TCDCTabControlStateEx

TCDDrawer

TCDEditStateEx

TCDListItems

TCDListViewStateEx

TCDPanelStateEx

TCDPositionedCStateEx

TCDProgressBarStateEx

TCDSpinStateEx

TCDToolBarItem

TCDToolBarStateEx


Reference for unit 'CustomDrawnDrawers': Procedures and functions

GetDefaultDrawer

GetDrawer

RegisterDrawer


Reference for unit 'CustomDrawnDrawers': Variables

DefaultStyle


Index of all identifiers in unit 'CustomDrawnDrawers'

C D G P R T

C

CDDRAWSTYLE_COUNT | cidPopUp | csfOff
cddTestStr | cidProgressBar | csfOn
cidButton | cidRadioButton | csfPartiallyOn
cidCheckBox | cidScrollBar | csfRaised
cidComboBox | cidStaticText | csfReadOnly
cidControl | cidToolBar | csfRightArrow
cidCTabControl | cidTrackBar | csfRightToLeft
cidEdit | csfDownArrow | csfSunken
cidGroupBox | csfEnabled | csfTopDown
cidListBox | csfHasFocus | csfUpArrow
cidListView | csfHorizontal | csfVertical
cidMenu | csfLeftArrow |
cidPanel | csfMouseOver |

D

DefaultStyle | dsExtra3 | dsGNOME
dsAndroid | dsExtra4 | dsKDEPlastique
dsCommon | dsExtra5 | dsMacOSX
dsDefault | dsExtra6 | dsWin2000
dsExtra1 | dsExtra7 | dsWinCE
dsExtra10 | dsExtra8 | dsWindows7
dsExtra2 | dsExtra9 | dsWinXP

G

GetDefaultDrawer GetDrawer

P

palCustom | palFallback | palUserConfig
palDefault | palNative |

R

RegisterDrawer

T

TCDBUTTON_DEFAULT_COLOR | TCDEDIT_LEFT_TEXT_SPACING | TCDSpinStateEx
TCDButtonStateEx | TCDEDIT_RIGHT_TEXT_SPACING | TCDTOOLBAR_DEFAULT_HEIGHT
TCDCHECKBOX_SQUARE_HALF_HEIGHT | TCDEDIT_SELECTED_BACKGROUND_COLOR | TCDToolBarItem
TCDCHECKBOX_SQUARE_HEIGHT | TCDEDIT_SELECTED_TEXT_COLOR | TCDTOOLBAR_ITEM_ARROW_RESERVED_WIDTH
TCDColorPalette | TCDEditStateEx | TCDTOOLBAR_ITEM_ARROW_WIDTH
TCDCOMBOBOX_DEFAULT_HEIGHT | TCDEDIT_TEXT_COLOR | TCDTOOLBAR_ITEM_BUTTON_DEFAULT_WIDTH
TCDCONTROL_CAPTION_HEIGHT | TCDEDIT_TOP_TEXT_SPACING | TCDToolbarItemKind
TCDCONTROL_CAPTION_WIDTH | TCDListItems | TCDTOOLBAR_ITEM_SEPARATOR_DEFAULT_WIDTH
TCDControlID | TCDLISTVIEW_COLUMN_LEFT_SPACING | TCDTOOLBAR_ITEM_SPACING
TCDControlState | TCDLISTVIEW_COLUMN_RIGHT_SPACING | TCDToolbarItemSubpartKind
TCDControlStateEx | TCDLISTVIEW_COLUMN_TEXT_LEFT_SPACING | TCDToolBarStateEx
TCDControlStateFlag | TCDLISTVIEW_LINE_BOTTOM_SPACING | TCDTRACKBAR_FRAME_HEIGHT
TCDCTABCONTROL_CLOSE_BUTTON_POS_X | TCDLISTVIEW_LINE_TOP_SPACING | TCDTRACKBAR_LEFT_SPACING
TCDCTABCONTROL_CLOSE_BUTTON_POS_Y | TCDListViewStateEx | TCDTRACKBAR_RIGHT_SPACING
TCDCTABCONTROL_CLOSE_TAB_BUTTON_EXTRA_SPACING | TCDPaletteKind | TCDTRACKBAR_TOP_SPACING
TCDCTABCONTROL_CLOSE_TAB_BUTTON_WIDTH | TCDPanelStateEx | tikButton
TCDCTabControlStateEx | TCDPositionedCStateEx | tikCheckButton
TCDCTABCONTROL_TAB_HEIGHT | TCDProgressBarStateEx | tikDivider
TCDCTABCONTROL_TAB_LEFT_POS | TCDRADIOBUTTON_CIRCLE_HEIGHT | tikDropDownButton
TCDCTABCONTROL_TAB_WIDTH | TCDSCROLLBAR_BUTTON_WIDTH | tikSeparator
TCDDrawer | TCDSCROLLBAR_LEFT_BUTTON_POS | tiskArrow
TCDDrawStyle | TCDSCROLLBAR_LEFT_SPACING | tiskMain
TCDEDIT_BACKGROUND_COLOR | TCDSCROLLBAR_RIGHT_BUTTON_POS |
TCDEDIT_BOTTOM_TEXT_SPACING | TCDSCROLLBAR_RIGHT_SPACING |


TCDBUTTON_DEFAULT_COLOR

Declaration

Source position: customdrawndrawers.pas line 74

const TCDBUTTON_DEFAULT_COLOR = $10000;


TCDCHECKBOX_SQUARE_HALF_HEIGHT

Declaration

Source position: customdrawndrawers.pas line 23

const TCDCHECKBOX_SQUARE_HALF_HEIGHT = $500;


TCDCHECKBOX_SQUARE_HEIGHT

Declaration

Source position: customdrawndrawers.pas line 24

const TCDCHECKBOX_SQUARE_HEIGHT = $501;


TCDCOMBOBOX_DEFAULT_HEIGHT

Declaration

Source position: customdrawndrawers.pas line 28

const TCDCOMBOBOX_DEFAULT_HEIGHT = $801;


TCDCONTROL_CAPTION_HEIGHT

Declaration

Source position: customdrawndrawers.pas line 59

const TCDCONTROL_CAPTION_HEIGHT = $101;


TCDCONTROL_CAPTION_WIDTH

Declaration

Source position: customdrawndrawers.pas line 58

const TCDCONTROL_CAPTION_WIDTH = $100;


TCDControlID

Declaration

Source position: customdrawndrawers.pas line 270

type TCDControlID = (

  cidControl,

  cidMenu,

  cidPopUp,

  cidButton,

  cidEdit,

  cidCheckBox,

  cidRadioButton,

  cidListBox,

  cidComboBox,

  cidScrollBar,

  cidGroupBox,

  cidPanel,

  cidStaticText,

  cidTrackBar,

  cidProgressBar,

  cidListView,

  cidToolBar,

  cidCTabControl

);


TCDControlState

Declaration

Source position: customdrawndrawers.pas line 136

type TCDControlState = set of (

  csfEnabled,

  csfRaised,

  csfSunken,

  csfHasFocus,

  csfReadOnly,

  csfMouseOver,

  csfOn,

  csfOff,

  csfPartiallyOn,

  csfHorizontal,

  csfVertical,

  csfRightToLeft,

  csfTopDown,

  csfLeftArrow,

  csfRightArrow,

  csfDownArrow,

  csfUpArrow

);


TCDControlStateFlag

Declaration

Source position: customdrawndrawers.pas line 95

type TCDControlStateFlag = (

  csfEnabled,

  csfRaised,

  csfSunken,

  csfHasFocus,

  csfReadOnly,

  csfMouseOver,

  csfOn,

  csfOff,

  csfPartiallyOn,

  csfHorizontal,

  csfVertical,

  csfRightToLeft,

  csfTopDown,

  csfLeftArrow,

  csfRightArrow,

  csfDownArrow,

  csfUpArrow

);


TCDCTABCONTROL_CLOSE_BUTTON_POS_X

Declaration

Source position: customdrawndrawers.pas line 64

const TCDCTABCONTROL_CLOSE_BUTTON_POS_X = $2603;


TCDCTABCONTROL_CLOSE_BUTTON_POS_Y

Declaration

Source position: customdrawndrawers.pas line 65

const TCDCTABCONTROL_CLOSE_BUTTON_POS_Y = $2604;


TCDCTABCONTROL_CLOSE_TAB_BUTTON_EXTRA_SPACING

Declaration

Source position: customdrawndrawers.pas line 55

const TCDCTABCONTROL_CLOSE_TAB_BUTTON_EXTRA_SPACING = $2601;


TCDCTABCONTROL_CLOSE_TAB_BUTTON_WIDTH

Declaration

Source position: customdrawndrawers.pas line 54

const TCDCTABCONTROL_CLOSE_TAB_BUTTON_WIDTH = $2600;


TCDCTABCONTROL_TAB_HEIGHT

Declaration

Source position: customdrawndrawers.pas line 61

const TCDCTABCONTROL_TAB_HEIGHT = $2600;


TCDCTABCONTROL_TAB_LEFT_POS

Declaration

Source position: customdrawndrawers.pas line 63

const TCDCTABCONTROL_TAB_LEFT_POS = $2602;


TCDCTABCONTROL_TAB_WIDTH

Declaration

Source position: customdrawndrawers.pas line 62

const TCDCTABCONTROL_TAB_WIDTH = $2601;


TCDDrawStyle

Declaration

Source position: customdrawndrawers.pas line 78

type TCDDrawStyle = (

  dsDefault = 0,

  dsCommon,

  dsWinCE,

  dsWin2000,

  dsWinXP,

  dsWindows7,

  dsKDEPlastique,

  dsGNOME,

  dsMacOSX,

  dsAndroid,

  dsExtra1,

  dsExtra2,

  dsExtra3,

  dsExtra4,

  dsExtra5,

  dsExtra6,

  dsExtra7,

  dsExtra8,

  dsExtra9,

  dsExtra10

);


TCDEDIT_BACKGROUND_COLOR

Declaration

Source position: customdrawndrawers.pas line 68

const TCDEDIT_BACKGROUND_COLOR = $400;


TCDEDIT_BOTTOM_TEXT_SPACING

Declaration

Source position: customdrawndrawers.pas line 21

const TCDEDIT_BOTTOM_TEXT_SPACING = $403;


TCDEDIT_LEFT_TEXT_SPACING

Declaration

Source position: customdrawndrawers.pas line 18

const TCDEDIT_LEFT_TEXT_SPACING = $400;


TCDEDIT_RIGHT_TEXT_SPACING

Declaration

Source position: customdrawndrawers.pas line 19

const TCDEDIT_RIGHT_TEXT_SPACING = $401;


TCDEDIT_SELECTED_BACKGROUND_COLOR

Declaration

Source position: customdrawndrawers.pas line 70

const TCDEDIT_SELECTED_BACKGROUND_COLOR = $402;


TCDEDIT_SELECTED_TEXT_COLOR

Declaration

Source position: customdrawndrawers.pas line 71

const TCDEDIT_SELECTED_TEXT_COLOR = $403;


TCDEDIT_TEXT_COLOR

Declaration

Source position: customdrawndrawers.pas line 69

const TCDEDIT_TEXT_COLOR = $401;


TCDEDIT_TOP_TEXT_SPACING

Declaration

Source position: customdrawndrawers.pas line 20

const TCDEDIT_TOP_TEXT_SPACING = $402;


TCDLISTVIEW_COLUMN_LEFT_SPACING

Declaration

Source position: customdrawndrawers.pas line 41

const TCDLISTVIEW_COLUMN_LEFT_SPACING = $1200;


TCDLISTVIEW_COLUMN_RIGHT_SPACING

Declaration

Source position: customdrawndrawers.pas line 42

const TCDLISTVIEW_COLUMN_RIGHT_SPACING = $1201;


TCDLISTVIEW_COLUMN_TEXT_LEFT_SPACING

Declaration

Source position: customdrawndrawers.pas line 43

const TCDLISTVIEW_COLUMN_TEXT_LEFT_SPACING = $1202;


TCDLISTVIEW_LINE_BOTTOM_SPACING

Declaration

Source position: customdrawndrawers.pas line 45

const TCDLISTVIEW_LINE_BOTTOM_SPACING = $1204;


TCDLISTVIEW_LINE_TOP_SPACING

Declaration

Source position: customdrawndrawers.pas line 44

const TCDLISTVIEW_LINE_TOP_SPACING = $1203;


TCDPaletteKind

Declaration

Source position: customdrawndrawers.pas line 304

type TCDPaletteKind = (

  palDefault,

  palNative,

  palFallback,

  palUserConfig,

  palCustom

);


TCDRADIOBUTTON_CIRCLE_HEIGHT

Declaration

Source position: customdrawndrawers.pas line 26

const TCDRADIOBUTTON_CIRCLE_HEIGHT = $601;


TCDSCROLLBAR_BUTTON_WIDTH

Declaration

Source position: customdrawndrawers.pas line 30

const TCDSCROLLBAR_BUTTON_WIDTH = $900;


TCDSCROLLBAR_LEFT_BUTTON_POS

Declaration

Source position: customdrawndrawers.pas line 33

const TCDSCROLLBAR_LEFT_BUTTON_POS = $903;


TCDSCROLLBAR_LEFT_SPACING

Declaration

Source position: customdrawndrawers.pas line 31

const TCDSCROLLBAR_LEFT_SPACING = $901;


TCDSCROLLBAR_RIGHT_BUTTON_POS

Declaration

Source position: customdrawndrawers.pas line 34

const TCDSCROLLBAR_RIGHT_BUTTON_POS = $904;


TCDSCROLLBAR_RIGHT_SPACING

Declaration

Source position: customdrawndrawers.pas line 32

const TCDSCROLLBAR_RIGHT_SPACING = $902;


TCDTOOLBAR_DEFAULT_HEIGHT

Declaration

Source position: customdrawndrawers.pas line 52

const TCDTOOLBAR_DEFAULT_HEIGHT = $1306;


TCDTOOLBAR_ITEM_ARROW_RESERVED_WIDTH

Declaration

Source position: customdrawndrawers.pas line 50

const TCDTOOLBAR_ITEM_ARROW_RESERVED_WIDTH = $1304;


TCDTOOLBAR_ITEM_ARROW_WIDTH

Declaration

Source position: customdrawndrawers.pas line 48

const TCDTOOLBAR_ITEM_ARROW_WIDTH = $1301;


TCDTOOLBAR_ITEM_BUTTON_DEFAULT_WIDTH

Declaration

Source position: customdrawndrawers.pas line 49

const TCDTOOLBAR_ITEM_BUTTON_DEFAULT_WIDTH = $1303;


TCDTOOLBAR_ITEM_SEPARATOR_DEFAULT_WIDTH

Declaration

Source position: customdrawndrawers.pas line 51

const TCDTOOLBAR_ITEM_SEPARATOR_DEFAULT_WIDTH = $1305;


TCDTOOLBAR_ITEM_SPACING

Declaration

Source position: customdrawndrawers.pas line 47

const TCDTOOLBAR_ITEM_SPACING = $1300;


TCDTRACKBAR_FRAME_HEIGHT

Declaration

Source position: customdrawndrawers.pas line 39

const TCDTRACKBAR_FRAME_HEIGHT = $1003;


TCDTRACKBAR_LEFT_SPACING

Declaration

Source position: customdrawndrawers.pas line 36

const TCDTRACKBAR_LEFT_SPACING = $1000;


TCDTRACKBAR_RIGHT_SPACING

Declaration

Source position: customdrawndrawers.pas line 37

const TCDTRACKBAR_RIGHT_SPACING = $1001;


TCDTRACKBAR_TOP_SPACING

Declaration

Source position: customdrawndrawers.pas line 38

const TCDTRACKBAR_TOP_SPACING = $1002;


Reference for unit 'CustomTimer'

Contains definition of base class for TTimer

uses
System,
Classes,
sysutils,
LCLProc, | Useful lower level helper functions and classes
LCLStrConsts, | This unit contains all resource strings of the LCL
LCLType, | This unit is being created specifically for compatibility with Delphi. It should only be used for constants and type definitions that are included in the Delphi Windows unit. This is only done for compatibiltiy.
InterfaceBase; | Provides an platform independent widgetset and helper functions.


Reference for unit 'CustomTimer': Classes

TCustomTimer

TCustomTimer - base class for TTimer


Index of all identifiers in unit 'CustomTimer'

T

T

TCustomTimer


Reference for unit 'DBActns'

Standard actions to be used for navigating and manipulating datasets derived from external databases

uses

  System,

  Classes,

  db,

  ActnList;

Defines classes for Actions and Lists of actions to be used with LCL components


Reference for unit 'DBActns': Classes

TDataSetAction | TDataSetAction - base class for all other standard TDataSet actions
TDataSetCancel | TDataSetCancel - cancel the previous operation on the DataSet
TDataSetDelete | TDataSetDelete - delete the current record in the DataSet
TDataSetEdit | TDataSetEdit - edit the current record in the DataSet
TDataSetFirst | TDataSetFirst - move to first record in the DataSet
TDataSetInsert | TDataSetInsert - insert (append) a new record into the DataSet
TDataSetLast | TDataSetLast - move to last record in the DataSet
TDataSetNext | TDataSetNext - move to next record in the DataSet
TDataSetPost | TDataSetPost - post the editing changes on the current record permanently into the DataSet (may need a separate action to make changes permanently in external database)
TDataSetPrior | TDataSetPrior - move to previous (prior) record in the DataSet
TDataSetRefresh | TDataSetRefresh - refresh the DataSet by reference to the external database


Reference for unit 'DBActns': Procedures and functions

Register


Index of all identifiers in unit 'DBActns'

R T

R

Register

T

TDataSetAction | TDataSetFirst | TDataSetPost
TDataSetCancel | TDataSetInsert | TDataSetPrior
TDataSetDelete | TDataSetLast | TDataSetRefresh
TDataSetEdit | TDataSetNext |


DBNavButtonResourceName

Declaration

Source position: dbctrls.pp line 1293

const DBNavButtonResourceName: array [TDBNavButtonType] of string = ('DBNavFirst', 'DBNavPrior', 'DBNavNext', 'DBNavLast', 'DBNavInsert', 'DBNavDelete', 'DBNavEdit', 'DBNavPost', 'DBNavCancel', 'DBNavRefresh');


DefaultDBNavigatorButtons

Declaration

Source position: dbctrls.pp line 1291

const DefaultDBNavigatorButtons = [nbFirst, nbPrior, nbNext, nbLast, nbInsert, nbDelete, nbEdit, nbPost, nbCancel, nbRefresh];


[Up] Reference for unit 'DBCtrls' (#lcl)

HowToUseDataAwareControls - Hints for accessing databases

HowToUseDataAwareControls - Hints for accessing databases. A set of Data-Aware components is provided, to make it easier to access information held in databases.

Before using Data-Aware components, it is necessary to make a connection with a database, and this should be done either using a TSQLConnection or a TDBf component, depending on the type of database that is being used. In any case, the components for connection with the database need to be found in $Lazdir/components/sqldb/, $Lazdir/components/tdbf/ or whatever other source is appropriate. They need to be added using the Components Menu Item of the IDE, and compiled ready for adding. The IDE needs to be re-built to include the new components.

To make the connection with the database: first place a DataBase Connection on the Form (invisible at run-time, so put it anywhere convenient); set its properties to connect the user (with name and password) to the appropriate server, database and table (the connection component should deal with all the user-authentication issues, opening and closing the database etc). Then put on a TDataSource from the Data Access tab of the Component Palette, and perhaps items such as TSQLTransaction and TSQLQuery, depending on the particular database you are using. The various database components need to be linked to each other, for example by setting the Transaction property of a database connector to the appropriate transaction component, and linking the DataBase property of the Transaction component back to the database connector; link the DataSource's DataSet property to the appropriate SQLQuery or other set of data, and its Transaction property to the transaction component

Each Data-Aware control (on the Data Controls tab of the Component Palette) has the usual set of properties to determine its shape and size, position, colour and font etc. But there are also special properties to define the data to be displayed or modified. These include the DataSource property which must be set to link to the defined set of data, and often a Field component to determine which of the columns in the database is to be displayed.

Most of the components operate on a single Row or record of the database, but the TDBGrid is capable of displaying and operating on multiple rows and columns, in a StringGrid format, allowing the user to get an overview of what is in the database. The DBGrid will display the contents of the DataSet even at design time, provided the various components are enabled or rendered active; this allows the designer to ensure that all the connections to the database have been correctly made.

The TDBNavigator component is used in conjunction with the Data-Aware components. It consists of a series of buttons to allow browsing through the DataSet, displaying the first, previous, next or last record (or Row), inserting or deleting records, committing the changes back to the database or refreshing the DataSet from the database.

The way database programming works is typically as follows:

  • a database is opened for access by the user (Database Connection)
  • a command is issued (eg by TSQLQuery) to select or extract some or all of the records which are then stored locally in the DataSet
  • the contents of the DataSet are acted on by the Data-Aware components, displaying one Row or record at a time from selected Columns, or perhaps the whole DataSet in a DBGrid, editing records, inserting or deleting records, or using the data to perform statistical tests or calculations
  • at intervals usually prescribed by the user (sometimes after every change, sometimes after a whole series of changes), the contents of the local DataSet are sent back to the database, causing an update of the database's contents. This process is referred to as 'Commit' or 'Post' or sometimes as 'Update'

The programmer can determine which events are associated with a Commit action by supplying suitable event handlers for OnClick, OnChange, OnFinishedEdit etc.

The following table shows the approximate correspondence between conventional and data-aware control classes

Standard Control | Data-Aware Control | Comment
TCalendar | TDBCalendar | Select a date from pop-up calendar
TCheckBox | TDBCheckBox | Check a box to show an option has been selected
TComboBox | TDBComboBox | Select an option from a list and return it (or some custom text) in the main edit box
TEdit | TDBEdit | Single-line text editing box
TGroupBox | TDBGroupBox | A container for several related controls
TImage | TDBImage | A Picture
TListBox | TDBListBox | A list of string items
TMemo | TDBMemo | Multiple-line text editing box
TRadioGroup | TDBRadioGroup | A group of mutually exclusive Radio Buttons; only one at a time may be checked and selected. Note there is no data-aware equivalent of the isolated TRadioButton
TText | TDBText | A simple text-string, usually read-only
TStringGrid | TdbGrid | A grid to display information in Rows and Columns

Standard Controls can, of course, be used to display information from a database, but they lack the direct link with the DataSet and its Navigation aids, so the programmer must write explicit code to extract data from the DataSet and put it in the Standard Control


Reference for unit 'DBCtrls'

Data-Aware controls commonly used for viewing and operating on information held in databases

uses
System,
Types,
Classes,
sysutils,
db,
Variants,
LazTracer,
LazUtilities,
LCLStrConsts, | This unit contains all resource strings of the LCL
LMessages, |
LCLType, | This unit is being created specifically for compatibility with Delphi. It should only be used for constants and type definitions that are included in the Delphi Windows unit. This is only done for compatibiltiy.
LCLIntf, | Contains winapi like functions for Delphi compatibility.
LResources, | This unit maintains and stores all standard Lazarus resources in the global LazarusResources list and provides methods and types for component streaming.
GraphType, |
Controls, | This unit contains basic classes for visual controls.
Graphics, | Unit contains definitions for many fundamental classes and types used in graphic applications
Dialogs, | Some dialogs commonly used in Lazarus applications. Look at the Procedures as well as the Classes
StdCtrls, | Several standard controls used in most Lazarus forms
Buttons, | Defines several specialist button classes
MaskEdit, | Defines classes for Mask Editing, ie editing with a masking string in place to obscure the text being entered
ExtCtrls, | Some extra controls commonly used in Lazarus forms
Calendar, | Classes defining Calendar, a graphic allowing the user to select a date
ImgList; | Contains definitions for TCustomImageList, the base class for TImageList.

Related topics

HowToUseDataAwareControls

HowToUseDataAwareControls - Hints for accessing databases


Reference for unit 'DBCtrls': Constants

DBNavButtonResourceName

DefaultDBNavigatorButtons


Reference for unit 'DBCtrls': Types

TDBNavButtonDirection |
TDBNavButtonSet |
TDBNavButtonStyle |
TDBNavButtonType | TDBNavButtonType
TDBNavClickEvent |
TDBNavGlyph |
TDBNavigatorOption
TDBNavigatorOptions
TNavigateBtn |
TOnDBImageRead
TOnDBImageWrite


Reference for unit 'DBCtrls': Classes

TCustomDBComboBox | TCustomDBComboBox - a Data-aware Combo Box for displaying information from a Database
TCustomDBListBox | TCustomDBListBox - base class for TDBListBox, a data-aware listbox for presenting list information from a database
TDBCalendar | TDBCalendar - a data-aware version of TCalendar, for selecting a date to put in a database field
TDBCheckBox | TDBCheckBox - a data-aware checkbox for use with logical fields in a database
TDBComboBox | TDBComboBox - a data-aware version of TComboBox to allow selection of a value from a list of entries into a database field
TDBCustomNavigator | TDBCustomNavigator - the base class for TDBNavigator, a tool for navigating through the records of a dataset
TDBEdit | TDBEdit - a data-aware edit box for processing a single text-string from a dataset
TDBGroupBox | TDBGroupBox - a data-aware version of TGroupBox, allowing a number of data-aware objects to be grouped together on a form
TDBImage | TDBImage - a data-aware Image box to display a single image from a dataset
TDBListBox | TDBListBox - a data-aware version of TListBox, for displaying lists of entries from a field in a database
TDBLookup | TDBLookup - used as source of data by TDBLookupListBox or TDBLookupComboBox, to find data from a lookup table
TDBLookupComboBox | TDBLookupComboBox - a dataware ComboBox for examining a lookup table from a database
TDBLookupListBox | TDBLookupListBox, a data-aware listbox for presenting lookup list information from a database
TDBMemo | TDBMemo - a data-aware Memo box to process the multi-line text of a single field in a dataset
TDBNavButton | TDBNavButton - one of the SpeedButtons on a TDBNavigator tool
TDBNavDataLink | TDBNavDataLink - provides a link between a Database Navigator and a DataSet
TDBNavFocusableButton
TDBNavigator | TDBNavigator - a data-aware Button-Bar to facilitate navigating between records of a dataset
TDBRadioGroup | TDBRadioGroup - a data-aware version of TRadioGroup, providing a series of mutually exclusive buttons to select an entry to insert into a database field
TDBText | TDBText - a data-aware text component to display a single text-string from a dataset
TFieldDataLink | TFieldDataLink - forms a link between a database field and an action


Reference for unit 'DBCtrls': Procedures and functions

ChangeDataSource

Register


Index of all identifiers in unit 'DBCtrls'

C D N R T

C

ChangeDataSource

D

DBNavButtonResourceName DefaultDBNavigatorButtons

N

navFocusableButtons | nbEdit | nbPost
nbCancel | nbFirst | nbPrior
nbDelete | nbInsert | nbRefresh
nbdHorizontal | nbLast | ngDisabled
nbdVertical | nbNext | ngEnabled

R

Register

T

TCustomDBComboBox | TDBLookupComboBox | TDBNavGlyph
TCustomDBListBox | TDBLookupListBox | TDBNavigator
TDBCalendar | TDBMemo | TDBNavigatorOption
TDBCheckBox | TDBNavButton | TDBNavigatorOptions
TDBComboBox | TDBNavButtonDirection | TDBRadioGroup
TDBCustomNavigator | TDBNavButtonSet | TDBText
TDBEdit | TDBNavButtonStyle | TFieldDataLink
TDBGroupBox | TDBNavButtonType | TNavigateBtn
TDBImage | TDBNavClickEvent | TOnDBImageRead
TDBListBox | TDBNavDataLink | TOnDBImageWrite
TDBLookup | TDBNavFocusableButton |


TDBNavClickEvent

Declaration

Source position: dbctrls.pp line 1287

type TDBNavClickEvent = procedure(

  Sender: TObject;

  Button: TDBNavButtonType

) of object;


TDBNavGlyph

Declaration

Source position: dbctrls.pp line 1275

type TDBNavGlyph = (

  ngEnabled,

  ngDisabled

);


TNavigateBtn

Declaration

Source position: dbctrls.pp line 1285

type TNavigateBtn = TDBNavButtonType;


TOnDBImageRead

Declaration

Source position: dbctrls.pp line 1122

type TOnDBImageRead = procedure(

  Sender: TObject;

  S: TStream;

  var GraphExt: string

) of object;


TOnDBImageWrite

Declaration

Source position: dbctrls.pp line 1123

type TOnDBImageWrite = procedure(

  Sender: TObject;

  S: TStream;

  GraphExt: string

) of object;


Reference for unit 'DBExtCtrls'

dbextctrls.pp contains extended database controls

uses
System,
Classes,
sysutils,
LCLType, | This unit is being created specifically for compatibility with Delphi. It should only be used for constants and type definitions that are included in the Delphi Windows unit. This is only done for compatibiltiy.
LMessages, |
db,
DBCtrls, | Data-Aware controls commonly used for viewing and operating on information held in databases
EditBtn; | Defines some special Edit Boxes with attached Speed Buttons


Reference for unit 'DBExtCtrls': Classes

TDBDateEdit

TDateEdit - an EditBox to hold a date, with an attached SpeedButton that will summon a date selection (calendar) dialog


Reference for unit 'DBExtCtrls': Procedures and functions

Register


Index of all identifiers in unit 'DBExtCtrls'

R T

R

Register

T

TDBDateEdit


DEFINDICATORCOLWIDTH

Declaration

Source position: dbgrids.pas line 44

const DEFINDICATORCOLWIDTH = 12;


Reference for unit 'DBGrids'

Data-aware grids to display and operate on information in a database

uses
System,
Classes,
sysutils,
Math,
FileUtil,
db,
LazUTF8,
LazLoggerBase,
LCLStrConsts, | This unit contains all resource strings of the LCL
LCLIntf, | Contains winapi like functions for Delphi compatibility.
LCLType, | This unit is being created specifically for compatibility with Delphi. It should only be used for constants and type definitions that are included in the Delphi Windows unit. This is only done for compatibiltiy.
LMessages, |
LResources, | This unit maintains and stores all standard Lazarus resources in the global LazarusResources list and provides methods and types for component streaming.
Controls, | This unit contains basic classes for visual controls.
StdCtrls, | Several standard controls used in most Lazarus forms
Graphics, | Unit contains definitions for many fundamental classes and types used in graphic applications
Grids, | Classes for displaying tabular data in the form of a grid of rows and columns
Dialogs, | Some dialogs commonly used in Lazarus applications. Look at the Procedures as well as the Classes
Themes, | For manipulation of display Themes, mostly in a Windows XP (and later) environment
Variants,
Clipbrd, | Definitions for the Clipboard to hold Cut or Copied data for Pasting
ImgList, | Contains definitions for TCustomImageList, the base class for TImageList.
Laz2_XMLCfg;

Overview

dbgrids.pas contains classes and types needed to implement a database-aware grid control.


Reference for unit 'DBGrids': Constants

DEFINDICATORCOLWIDTH


Reference for unit 'DBGrids': Types

TBookmarkedRecordEnumeratorOptions | Enumeration with option values for the bookmarked record enumerator
TColumnOrder | Enumerated type defining alternate ordering for columns
TDataSetScrolledEvent | Specifies an event handler signalled after scrolling a dataset
TDbGridCellHintEvent
TDbGridCheckBoxBitmapEvent
TDbGridCheckboxStateEvent
TDBGridClickEvent | Specifies an event handler signalled when a grid column in is clicked
TDbGridExtraOption | Enumerated type that specifies extra options available in a database grid
TDbGridExtraOptions | TDbGridExtraOptions is a set of values from the TDbGridExtraOption enumeration
TDBGridOption | Enumerated type containing options available for a database grid
TDbGridOptions | Stores values from the TDbGridOption enumeration
TDbGridSelEditorEvent | Specifies an event handler used to select a cell editor in a database grid
TDbGridStatus | Set type used to store TDbGridStatusItem enumeration values
TDbGridStatusItem | Enumerated type with values for status messages in a database grid
TDrawColumnCellEvent | Specifies an event handler for drawing a cell in a grid control
TFocusControlEvent | Event handler signalled to coordinate Field selection and control focus
TGetDbEditMaskEvent | Specifies an event handler used to get the Edit Mask for a cell in a grid
TMovedEvent | Specifies an event handler signalled when the display order of rows or columns is changed
TPrepareDbGridCanvasEvent | Specifies an event handler which prepares the canvas for drawing a database grid


Reference for unit 'DBGrids': Classes

EInvalidGridOperation | Exception raised for an invalid grid operation
TBookmarkedRecordEnumerator | Defines a bookmarked record enumeration class
TBookmarkList | TBookmarkList implements a list of Bookmarks in a database grid
TColumn | Implements a display column for the TDBGrid control
TColumnTitle | TColumnTitle is a TGridColumnTitle descendant
TComponentDataLink | Maintains an association between a component and a dataset
TCustomDBGrid | TCustomDBGrid is the base class for TDBGrid
TDBGrid | Data-aware grid control for display and editing rows and columns in a dataset
TDBGridColumns | Implements a collection for columns in a database grid


Reference for unit 'DBGrids': Procedures and functions

Register


Index of all identifiers in unit 'DBGrids'

C D E G R T

C

coDesignOrder coFieldIndexOrder

D

DEFINDICATORCOLWIDTH | dgConfirmDelete | dgMultiselect
dgAlwaysShowEditor | dgDblClickAutoSize | dgPersistentMultiSelect
dgAlwaysShowSelection | dgDisableDelete | dgRowHighlight
dgAnyButtonCanSelect | dgDisableInsert | dgRowLines
dgAutoSizeColumns | dgDisplayMemoText | dgRowSelect
dgCancelOnExit | dgeAutoColumns | dgTabs
dgCellEllipsis | dgeCheckboxColumn | dgThumbTracking
dgCellHints | dgEditing | dgTitles
dgColLines | dgHeaderHotTracking | dgTruncCellHints
dgColumnMove | dgHeaderPushedLook |
dgColumnResize | dgIndicator |

E

EInvalidGridOperation

G

gsAddingAutoColumns | gsLoadingGrid | gsStartEditing
gsAutoSized | gsRemovingAutoColumns | gsUpdatingData

R

Register

T

TBookmarkedRecordEnumerator | TDBGrid | TDbGridOptions
TBookmarkedRecordEnumeratorOptions | TDbGridCellHintEvent | TDbGridSelEditorEvent
TBookmarkList | TDbGridCheckBoxBitmapEvent | TDbGridStatus
TColumn | TDbGridCheckboxStateEvent | TDbGridStatusItem
TColumnOrder | TDBGridClickEvent | TDrawColumnCellEvent
TColumnTitle | TDBGridColumns | TFocusControlEvent
TComponentDataLink | TDbGridExtraOption | TGetDbEditMaskEvent
TCustomDBGrid | TDbGridExtraOptions | TMovedEvent
TDataSetScrolledEvent | TDBGridOption | TPrepareDbGridCanvasEvent


TDataSetScrolledEvent

Specifies an event handler signalled after scrolling a dataset

Declaration

Source position: dbgrids.pas line 94

type TDataSetScrolledEvent = procedure(

  DataSet: TDataSet;

  Distance: Integer

) of object;

Arguments

DataSet | Dataset for the event
Distance | Number of rows and direction for the event

Description

TDatasetScrolledEvent specifies an event handler signalled after scrolling a dataset.TDatasetScrolledEvent can be used to perform actions required when the position in the DataSet has changed.

DataSet is the TDataset instance for the event notification.

Distance indictates both the number of rows and the direction for the event notification, for example:

Value
Meaning
<0
Scroll toward the beginning of the DataSet
0
Current row in the DataSet has been refreshed
>0
Scroll toward the end of the DataSet

TDatasetScrolledEvent is the type used for the OnDataSetScrolled property in TComponentDataLink.

See the TCustomDBGrid.OnDataSetScrolled procedure for an example implementation of TDatasetScrolledEvent.


TDbGridExtraOption

Enumerated type that specifies extra options available in a database grid

Declaration

Source position: dbgrids.pas line 84

type TDbGridExtraOption = (
dgeAutoColumns, | Indicates if Fields in the dataset are automatically added as columns in the database grid
dgeCheckboxColumn | Indicates that checkbox controls are used to edit Boolean Fields in the grid dataset
);

Description

TDbGridExtraOption is an enumerated type that specifies extra options available in a database grid. Values from TDbGridExtraOption are stored in the TDbGridExtraOptions set type, and used in the TDBGrid.OptionsExtra property.

See also

#lcl.DBGrids.TCustomDBGrid.OptionsExtra | Contains the extra options enabled for the grid control
#lcl.DBGrids.TDBGrid.OptionsExtra | Contains the extra options enabled for the grid control


TDbGridExtraOptions

TDbGridExtraOptions is a set of values from the TDbGridExtraOption enumeration

Declaration

Source position: dbgrids.pas line 88

type TDbGridExtraOptions = set of (
dgeAutoColumns, | Indicates if Fields in the dataset are automatically added as columns in the database grid
dgeCheckboxColumn | Indicates that checkbox controls are used to edit Boolean Fields in the grid dataset
);


TDBGridOption

Enumerated type containing options available for a database grid

Declaration

Source position: dbgrids.pas line 52

type TDBGridOption = (
dgEditing, | Indicates cells in the grid can be edited
dgTitles, | Indicates titles are displayed for columns in the grid
dgIndicator, | Enables drawing of the row indicator for the currently selected row in the grid
dgColumnResize, | Indicates columns in the grid can be resized
dgColumnMove, | Indicates the order of columns in the grid can be changed
dgColLines, | Indicates vertical lines are drawn between columns in the grid
dgRowLines, | Indicates horizontal lines are drawn between rows in the grid
dgTabs, | Indicates the Tab key can be used to navigate between cells in the grid
dgAlwaysShowEditor, | Indicates an edit control is always displayed for the current cell in the grid
dgRowSelect, | Indicates the entire row is highlighted when selected
dgAlwaysShowSelection, | Indicates the current selection is displayed even when the control loses focus
dgConfirmDelete, | Indicates a confirmation dialog is required when deleting a record in the grid
dgCancelOnExit, | Indicates an active editing operation is cancelled when the control loses focus
dgMultiselect, | Indicates more than one cell or row can be selected in the grid
dgHeaderHotTracking, | Indicates column headers are highlighted when the column has mouse focus
dgHeaderPushedLook, | Indicates column headers are drawn with a button down appearance
dgPersistentMultiSelect, | Indicates multiple selections are retained even when the control loses focus
dgAutoSizeColumns, | Indicates columns are automatically resized to fit their content
dgAnyButtonCanSelect, | Indicates that any mouse button can change the selection in the grid
dgDisableDelete, | Indicates if deleting records with is disabled
dgDisableInsert, | Indicates if inserting (or appending) records is disabled
dgCellHints, | Indicates if displaying a hint for an individual cell is enabled
dgTruncCellHints, | Indicates if cell hints are truncated when they are too long
dgCellEllipsis, | Indicates if an Ellipsis character is added to the end of cells longer than the display area for the cell
dgRowHighlight, | Indicates if the current row in the grid is higlighted instead of the current cell
dgThumbTracking, | Indicates if the current selection is changed when the mouse thumb wheel is scrolled
dgDblClickAutoSize, | Indicates if double clicking on borders or headers for a column causes it to be automatically resized to its contents
dgDisplayMemoText | Indicates if memo content is displayed instead of the '(Memo)' string literal for ftMemo Fields
);

Description

TDBGridOption is an enumerated type containing options available for a database grid control. Each enumeration value indicates if the associated feature or behavior is enabled in a database grid control.

Values from the enumeration are store in the TDBGridOptions set type, and are used in the TDBGrid.Options property.

See also

#lcl.DBGrids.TDBGridOptions | Stores values from the TDbGridOption enumeration
#lcl.DBGrids.TDBGrid.Options | Enables or disables optional features or behaviors in the grid control


TDbGridOptions

Stores values from the TDbGridOption enumeration

Declaration

Source position: dbgrids.pas line 82

type TDbGridOptions = set of (
dgEditing, | Indicates cells in the grid can be edited
dgTitles, | Indicates titles are displayed for columns in the grid
dgIndicator, | Enables drawing of the row indicator for the currently selected row in the grid
dgColumnResize, | Indicates columns in the grid can be resized
dgColumnMove, | Indicates the order of columns in the grid can be changed
dgColLines, | Indicates vertical lines are drawn between columns in the grid
dgRowLines, | Indicates horizontal lines are drawn between rows in the grid
dgTabs, | Indicates the Tab key can be used to navigate between cells in the grid
dgAlwaysShowEditor, | Indicates an edit control is always displayed for the current cell in the grid
dgRowSelect, | Indicates the entire row is highlighted when selected
dgAlwaysShowSelection, | Indicates the current selection is displayed even when the control loses focus
dgConfirmDelete, | Indicates a confirmation dialog is required when deleting a record in the grid
dgCancelOnExit, | Indicates an active editing operation is cancelled when the control loses focus
dgMultiselect, | Indicates more than one cell or row can be selected in the grid
dgHeaderHotTracking, | Indicates column headers are highlighted when the column has mouse focus
dgHeaderPushedLook, | Indicates column headers are drawn with a button down appearance
dgPersistentMultiSelect, | Indicates multiple selections are retained even when the control loses focus
dgAutoSizeColumns, | Indicates columns are automatically resized to fit their content
dgAnyButtonCanSelect, | Indicates that any mouse button can change the selection in the grid
dgDisableDelete, | Indicates if deleting records with is disabled
dgDisableInsert, | Indicates if inserting (or appending) records is disabled
dgCellHints, | Indicates if displaying a hint for an individual cell is enabled
dgTruncCellHints, | Indicates if cell hints are truncated when they are too long
dgCellEllipsis, | Indicates if an Ellipsis character is added to the end of cells longer than the display area for the cell
dgRowHighlight, | Indicates if the current row in the grid is higlighted instead of the current cell
dgThumbTracking, | Indicates if the current selection is changed when the mouse thumb wheel is scrolled
dgDblClickAutoSize, | Indicates if double clicking on borders or headers for a column causes it to be automatically resized to its contents
dgDisplayMemoText | Indicates if memo content is displayed instead of the '(Memo)' string literal for ftMemo Fields
);

Description

TDbGridOptions is a set type used to store values from the TDbGridOption enumeration. TDbGridOptions is the trype used for the TDBGrid.Options property.

See also

TCustomDBGrid.Options | Stores values from the TDbGridOption enumeration
TDBGrid.Options | Enables or disables optional features or behaviors in the grid control


TDbGridSelEditorEvent

Specifies an event handler used to select a cell editor in a database grid

Declaration

Source position: dbgrids.pas line 114

type TDbGridSelEditorEvent = procedure(

  Sender: TObject;

  Column: TColumn;

  var Editor: TWinControl

) of object;

Arguments

Sender | Control signalling the event
Column | Column for the control
Editor | Editor for the specified column

Description

TDbGridSelEditorEvent specifies an event handler used to select an editor for a cell in a database grid.

See also

#lcl.DBGrids.TDBGrid.OnSelectEditor

Event handler signalled when the editor is selected for a Field in the grid

#lcl.DBGrids.TDBGrid.SelectEditor


TDbGridStatus

Set type used to store TDbGridStatusItem enumeration values

Declaration

Source position: dbgrids.pas line 92

type TDbGridStatus = set of (
gsUpdatingData, | Indicates the grid is updating after a change in data
gsAddingAutoColumns, | Indicates automatic columns are being added for the grid control
gsRemovingAutoColumns, | Indicates automatic columns are being removed from the grid control
gsAutoSized, | Indicates automatically sized columns are currently in use in the grid control
gsStartEditing, | Indicates the data link for a grid control is updating the value in its Editing property
gsLoadingGrid | Indicates the grid control is loading its settings from a file or stream
);

Description

TDbGridStatus is a set type used to store TDbGridStatusItem enumeration values. Values added to TDbGridStatus indicate that a feature or behavior has been enabled in a TDBGrid control.

TDbGridStatus is used to implement the TDBGrid.GridStatus property.

See also

#lcl.DBGrids.TDbGridStatusItem | Enumerated type with values for status messages in a database grid
#lcl.DBGrids.TCustomDBGrid.GridStatus | Stores status information about operations active for the grid control
#lcl.DBGrids.TDBGrid.GridStatus


TDbGridStatusItem

Enumerated type with values for status messages in a database grid

Declaration

Source position: dbgrids.pas line 90

type TDbGridStatusItem = (
gsUpdatingData, | Indicates the grid is updating after a change in data
gsAddingAutoColumns, | Indicates automatic columns are being added for the grid control
gsRemovingAutoColumns, | Indicates automatic columns are being removed from the grid control
gsAutoSized, | Indicates automatically sized columns are currently in use in the grid control
gsStartEditing, | Indicates the data link for a grid control is updating the value in its Editing property
gsLoadingGrid | Indicates the grid control is loading its settings from a file or stream
);

Description

TDbGridStatusItem is an enumerated type with values for status messages used in a database grid. Values from TDbGridStatusItem are stored in TDbGridStatus, and used in the TDBGrid.GridStatus property.

See also

#lcl.DBGrids.TDbGridStatus | Set type used to store TDbGridStatusItem enumeration values
#lcl.DBGrids.TCustomDBGrid.GridStatus | Stores status information about operations active for the grid control
#lcl.DBGrids.TDBGrid.GridStatus


TDrawColumnCellEvent

Specifies an event handler for drawing a cell in a grid control

Declaration

Source position: dbgrids.pas line 106

type TDrawColumnCellEvent = procedure(

  Sender: TObject;

  const Rect: TRect;

  DataCol: Integer;

  Column: TColumn;

  State: TGridDrawState

) of object;

Arguments

Sender | Grid control for the event`
Rect | Canvas rectangle where the cell is drawn
DataCol | Position of the Field used to get data for the event
Column | Column definition for the event`
State | Drawing state for the event

Description

TDrawColumnCellEvent specifies an event handler used to draw a cell in a column for a grid control. TDrawColumnCellEvent is the type used for the OnDrawColumnCell property in TDBGrid, snd signalled from its DrawCell method.

See also

#lcl.DBGrids.TCustomDBGrid.OnDrawColumnCell | Event handler signalled when a cell needs to be drawn
#lcl.DBGrids.TCustomDBGrid.DrawCell | DrawCell renders the specified grid cell in the supplied drawing state


TFocusControlEvent

Event handler signalled to coordinate Field selection and control focus

Declaration

Source position: dbgrids.pas line 97

type TFocusControlEvent = procedure(

  aField: TFieldRef

) of object;

Arguments

aField

Field reference for the focus event

Description

TFocusControlEvent specifies an event handler signalled to coordinate Field selection and control focus.

See also

#lcl.DBGrids.TComponentDataLink.OnFocusControl

#lcl.DBGrids.TCustomDBGrid.OnFocusControl

Implements an event handler signalled when a control gets focus


TGetDbEditMaskEvent

Specifies an event handler used to get the Edit Mask for a cell in a grid

Declaration

Source position: dbgrids.pas line 110

type TGetDbEditMaskEvent = procedure(

  Sender: TObject;

  const Field: TField;

  var Value: string

) of object;

Arguments

Sender | Grid control for the event
Field | Field for the event
Value | Default value for the edit mask

Description

TGetDbEditMaskEvent specifies an event handler used to get the Edit Mask for a cell in a database grid control. TGetDbEditMaskEvent can be used to provide an edit mask for the specified Field. TGetDbEditMaskEvent is the type used for the OnFieldEditMask property in TDBGrid.

See also

#lcl.DBGrids.TCustomDBGrid.OnFieldEditMask

Event handler signalled to get the edit mask for a Field


TMovedEvent

Specifies an event handler signalled when the display order of rows or columns is changed

Declaration

Source position: dbgrids.pas line 103

type TMovedEvent = procedure(

  Sender: TObject;

  FromIndex: Integer;

  ToIndex: Integer

) of object;

Arguments

Sender | Grid control for the event
FromIndex | Previous ordinal position for the event
ToIndex | New ordinal position for the event

Description

TMovedEvent specifies an event handler signalled when the display order of rows or columns is changed. TMovedEvent is the type used for the OnColumnMoved and OnRowMoved properties in TDBGrid.


TPrepareDbGridCanvasEvent

Specifies an event handler which prepares the canvas for drawing a database grid

Declaration

Source position: dbgrids.pas line 118

type TPrepareDbGridCanvasEvent = procedure(

  sender: TObject;

  DataCol: Integer;

  Column: TColumn;

  AState: TGridDrawState

) of object;

Arguments

sender | Control signalling the event
AState | Drawing state for the selection

Description

TPrepareDbGridCanvasEvent specifies an event handler used to prepare the canvas which draws the content in a database grid. TPrepareDbGridCanvasEvent allows an application to override or enhance the drawing behavior of cells in a database grid.

See also

#lcl.DBGrids.TDBGrid.OnPrepareCanvas

Event handler signalled to prepare the grid canvas for drawing a cell


Reference for unit 'DefaultTranslator'

uses

  System,

  LCLTranslator;


Index of all identifiers in unit 'DefaultTranslator'

The latest version of this document can be found at lazarus-ccr.sourceforge.net .


BitBtnKindToMsgDlgBtn

A constant array used to convert the kind of BitButton to the kind of message buttons.

Declaration

Source position: dialogs.pp line 71

const BitBtnKindToMsgDlgBtn: array [TBitBtnKind] of TMsgDlgBtn = (mbOk, mbOK, mbCancel, mbHelp, mbYes, mbNo, mbClose, mbAbort, mbRetry, mbIgnore, mbAll, mbNoToALl, mbYesToAll);

Description

This array gives you for each BitButton the corresponding type of button on a message dialog. For instance BitBtnKindToMsgDlgBtn[bkOK] has the value of mbOK. It is the reverse if MsgDlgBtnToBitBtnKind.


cInputQueryEditSizePercents

Declaration

Source position: dialogs.pp line 745

const cInputQueryEditSizePercents: Integer = 25;


cInputQueryEditSizePixels

Declaration

Source position: dialogs.pp line 744

const cInputQueryEditSizePixels: Integer = 260;


cInputQuerySpacingSize

Declaration

Source position: dialogs.pp line 746

const cInputQuerySpacingSize: Integer = 6;


DefaultOpenDialogOptions

Declaration

Source position: dialogs.pp line 216

const DefaultOpenDialogOptions = [ofEnableSizing, ofViewDetail];


Reference for unit 'Dialogs'

Some dialogs commonly used in Lazarus applications. Look at the Procedures as well as the Classes

uses
System,
Types,
typinfo,
Classes,
sysutils,
LMessages, |
LResources, | This unit maintains and stores all standard Lazarus resources in the global LazarusResources list and provides methods and types for component streaming.
LCLIntf, | Contains winapi like functions for Delphi compatibility.
InterfaceBase, | Provides an platform independent widgetset and helper functions.
LCLStrConsts, | This unit contains all resource strings of the LCL
LCLType, | This unit is being created specifically for compatibility with Delphi. It should only be used for constants and type definitions that are included in the Delphi Windows unit. This is only done for compatibiltiy.
Forms, | Contains definitions and descriptions for constructing the Forms which are the basis of the Lazarus Graphical User Interface
Controls, | This unit contains basic classes for visual controls.
Themes, | For manipulation of display Themes, mostly in a Windows XP (and later) environment
GraphType, |
Graphics, | Unit contains definitions for many fundamental classes and types used in graphic applications
Buttons, | Defines several specialist button classes
ButtonPanel, | A special panel containing a row of BitButtons
StdCtrls, | Several standard controls used in most Lazarus forms
ExtCtrls, | Some extra controls commonly used in Lazarus forms
LCLClasses, | Defines the base class for all LCL TComponents including controls
Clipbrd, | Definitions for the Clipboard to hold Cut or Copied data for Pasting
Menus, | Menus to be used in Forms created with the Lazarus IDE
LCLTaskDialog, |
UITypes,
FileUtil,
LazFileUtils,
LazStringUtils,
LazLoggerBase;


Reference for unit 'Dialogs': Constants

BitBtnKindToMsgDlgBtn | A constant array used to convert the kind of BitButton to the kind of message buttons.
cInputQueryEditSizePercents
cInputQueryEditSizePixels
cInputQuerySpacingSize
DefaultOpenDialogOptions |
mbAbort
mbAbortRetryIgnore | A "set" constant to show an Abort, a Retry and an Ignore button on a messagedialog.
mbAll
mbCancel
mbClose
mbHelp
mbIgnore
mbNo
mbNoToAll
mbOK
mbOKCancel | A "set" constant to show an OK and a Cancel button on a messagedialog.
mbRetry
mbYes
mbYesNo | A "set" constant to show a Yes and a No button on a messagedialog.
mbYesNoCancel | A "set" constant to show a Yes, a No and a Cancel button on a messagedialog.
mbYesToAll
MsgDlgBtnToBitBtnKind | A constant array used to convert the kind of message buttons to the kind of BitButton.
mtConfirmation
mtCustom
mtError
mtInformation
mtWarning


Reference for unit 'Dialogs': Types

TCDWSEventCapabilities
TCDWSEventCapability
TDialogResultEvent
TFindOption | A list of possible options which can be used in Find-dialogs.
TFindOptions | A set of TFindOption
TFontDialogOption | An enumerated list of constants to set the options of a Font dialog.
TFontDialogOptions | A set of options for font dialogs
TInputCloseQueryEvent
TMsgDlgBtn | Constants to define possible buttons on a dialog.
TMsgDlgButtons | Set of button messages for dialogs
TMsgDlgType | Constants to define the types of message dialogs.
TOpenOption | TOpenOption - a list of possible options which can be used in OpenDialog
TOpenOptions | TOpenOptions - set of TOpenOption
TPrintDialogOption | Enumerated type for available options for print dialogs
TPrintDialogOptions | A set of options for the print dialog
TPrintRange | Enumerated type for range of pages to print.
TSelectDirOpt | List of options available when selecting a directory
TSelectDirOpts | Set of directory selection options
TTaskDialogCommonButton
TTaskDialogCommonButtons
TTaskDialogFlag
TTaskDialogFlags
TTaskDialogIcon
TTaskDlgClickEvent


Reference for unit 'Dialogs': Classes

TColorButton | TColorButton - a SpeedButton designed to be used with the Color dialog, allowing a colour to be selected for text or graphics
TColorDialog | TColorDialog - dialog for selecting a colour to use in graphics and text
TCommonDialog | TCommonDialog : the base type from which other dialogs are derived
TCustomCopyToClipboardDialog
TCustomPrintDialog | TCustomPrintDialog - base class for TPrintDialog.
TCustomPrinterSetupDialog | Base class for TPrinterSetupDialog and TPageSetupDialog.
TCustomTaskDialog
TFileDialog | TFileDialog : allows selection of a file from the current directory.
TFindDialog | TFindDialog - a dialog used for finding text within the current editor or text buffer
TFontDialog | Font Dialog
TOpenDialog | TOpenDialog : open a file in the current directory, selected by File Dialog.
TReplaceDialog | A dialog allowing the user to replace text
TSaveDialog | TSaveDialog - Dialog for saving the current buffer to a file
TSelectDirectoryDialog | Select Directory Dialog
TTaskDialog | Creates full-features modal dialogs at runtime.
TTaskDialogBaseButtonItem
TTaskDialogButtonItem
TTaskDialogButtons
TTaskDialogButtonsEnumerator
TTaskDialogRadioButtonItem


Reference for unit 'Dialogs': Procedures and functions

CreateMessageDialog
dbgs
DefaultInputDialog
DefaultMessageBox
DefaultPromptDialog
DefaultQuestionDialog
DialogCopyToClipboard
ExtractColorIndexAndColor
GetDialogCaption
GetDialogIcon
InputBox | Displays a box with defined title and prompt, and expects user input in a text box
InputCombo
InputComboEx
InputQuery | Use InputQuery to show a dialog box to get some input from the user
MessageDlg | Message Dialog
MessageDlgPos | An extended MessageDlg function.
MessageDlgPosHelp | An extended MessageDlgPos function.
PasswordBox | Password Box
QuestionDlg | Show a question to the user and get a response
Register | Register the components used in the current application, so that they can be recognised
RegisterDialogForCopyToClipboard
SelectDirectory | A function that allows one to user to select a directory.
ShowMessage | Show Message
ShowMessageFmt | Shows a message assembled from a format string and an array of arguments.
ShowMessagePos | Shows a message box at a given screen position.


Reference for unit 'Dialogs': Variables

MinimumDialogButtonHeight

MinimumDialogButtonWidth


Index of all identifiers in unit 'Dialogs'

B C D E F G I M O P Q R S T

B

BitBtnKindToMsgDlgBtn

C

cdecWSNOCanCloseSupport | cdecWSPerformsDoShow | cInputQuerySpacingSize
cdecWSPerformsDoCanClose | cInputQueryEditSizePercents | CreateMessageDialog
cdecWSPerformsDoClose | cInputQueryEditSizePixels |

D

dbgs | DefaultOpenDialogOptions | DialogCopyToClipboard
DefaultInputDialog | DefaultPromptDialog |
DefaultMessageBox | DefaultQuestionDialog |

E

ExtractColorIndexAndColor

F

fdAnsiOnly | fdScalableOnly | frHideMatchCase
fdApplyButton | fdShowHelp | frHidePromptOnReplace
fdEffects | fdTrueTypeOnly | frHideUpDown
fdFixedPitchOnly | fdWysiwyg | frHideWholeWord
fdForceFontExist | frButtonsAtBottom | frMatchCase
fdLimitSize | frDisableMatchCase | frPromptOnReplace
fdNoFaceSel | frDisableUpDown | frReplace
fdNoOEMFonts | frDisableWholeWord | frReplaceAll
fdNoSimulations | frDown | frShowHelp
fdNoSizeSel | frEntireScope | frWholeWord
fdNoStyleSel | frFindNext |
fdNoVectorFonts | frHideEntireScope |

G

GetDialogCaption GetDialogIcon

I

InputBox | InputComboEx
InputCombo | InputQuery

M

mbAbort | mbOK | MessageDlgPosHelp
mbAbortRetryIgnore | mbOKCancel | MinimumDialogButtonHeight
mbAll | mbRetry | MinimumDialogButtonWidth
mbCancel | mbYes | MsgDlgBtnToBitBtnKind
mbClose | mbYesNo | mtConfirmation
mbHelp | mbYesNoCancel | mtCustom
mbIgnore | mbYesToAll | mtError
mbNo | MessageDlg | mtInformation
mbNoToAll | MessageDlgPos | mtWarning

O

ofAllowMultiSelect | ofHideReadOnly | ofOldStyleDialog
ofAutoPreview | ofNoChangeDir | ofOverwritePrompt
ofCreatePrompt | ofNoDereferenceLinks | ofPathMustExist
ofDontAddToRecent | ofNoLongNames | ofReadOnly
ofEnableIncludeNotify | ofNoNetworkButton | ofShareAware
ofEnableSizing | ofNoReadOnlyReturn | ofShowHelp
ofExtensionDifferent | ofNoResolveLinks | ofViewDetail
ofFileMustExist | ofNoTestFileCreate |
ofForceShowHidden | ofNoValidate |

P

PasswordBox | poPageNums | prAllPages
poBeforeBeginDoc | poPrintToFile | prCurrentPage
poDisablePrintToFile | poSelection | prPageNums
poHelp | poWarning | prSelection

Q

QuestionDlg

R

Register RegisterDialogForCopyToClipboard

S

sdAllowCreate | SelectDirectory | ShowMessagePos
sdPerformCreate | ShowMessage |
sdPrompt | ShowMessageFmt |

T

tcbCancel | tfCanBeMinimized | TMsgDlgType
tcbClose | tfEnableHyperlinks | TOpenDialog
tcbNo | tfExpandedByDefault | TOpenOption
tcbOk | tfExpandFooterArea | TOpenOptions
tcbRetry | TFileDialog | TPrintDialogOption
tcbYes | TFindDialog | TPrintDialogOptions
TCDWSEventCapabilities | TFindOption | TPrintRange
TCDWSEventCapability | TFindOptions | TReplaceDialog
TColorButton | tfNoDefaultRadioButton | TSaveDialog
TColorDialog | TFontDialog | TSelectDirectoryDialog
TCommonDialog | TFontDialogOption | TSelectDirOpt
TCustomCopyToClipboardDialog | TFontDialogOptions | TSelectDirOpts
TCustomPrintDialog | tfPositionRelativeToWindow | TTaskDialog
TCustomPrinterSetupDialog | tfRtlLayout | TTaskDialogBaseButtonItem
TCustomTaskDialog | tfShowMarqueeProgressBar | TTaskDialogButtonItem
TDialogResultEvent | tfShowProgressBar | TTaskDialogButtons
tdiError | tfUseCommandLinks | TTaskDialogButtonsEnumerator
tdiInformation | tfUseCommandLinksNoIcon | TTaskDialogCommonButton
tdiNone | tfUseHiconFooter | TTaskDialogCommonButtons
tdiQuestion | tfUseHiconMain | TTaskDialogFlag
tdiShield | tfVerificationFlagChecked | TTaskDialogFlags
tdiWarning | TInputCloseQueryEvent | TTaskDialogIcon
tfAllowDialogCancellation | TMsgDlgBtn | TTaskDialogRadioButtonItem
tfCallbackTimer | TMsgDlgButtons | TTaskDlgClickEvent


mbAbort

Declaration

Source position: dialogs.pp line 51

const mbAbort = UITypes.TMsgDlgBtn.mbAbort;


mbAbortRetryIgnore

A "set" constant to show an Abort, a Retry and an Ignore button on a messagedialog.

Declaration

Source position: dialogs.pp line 64

const mbAbortRetryIgnore = [mbAbort, mbRetry, mbIgnore];

Description

A "set" constant to show an Abort, a Retry and an Ignore button on a messagedialog.


mbAll

Declaration

Source position: dialogs.pp line 54

const mbAll = UITypes.TMsgDlgBtn.mbAll;


mbCancel

Declaration

Source position: dialogs.pp line 50

const mbCancel = UITypes.TMsgDlgBtn.mbCancel;


mbClose

Declaration

Source position: dialogs.pp line 58

const mbClose = UITypes.TMsgDlgBtn.mbClose;


mbHelp

Declaration

Source position: dialogs.pp line 57

const mbHelp = UITypes.TMsgDlgBtn.mbHelp;


mbIgnore

Declaration

Source position: dialogs.pp line 53

const mbIgnore = UITypes.TMsgDlgBtn.mbIgnore;


mbNo

Declaration

Source position: dialogs.pp line 48

const mbNo = UITypes.TMsgDlgBtn.mbNo;


mbNoToAll

Declaration

Source position: dialogs.pp line 55

const mbNoToAll = UITypes.TMsgDlgBtn.mbNoToAll;


mbOK

Declaration

Source position: dialogs.pp line 49

const mbOK = UITypes.TMsgDlgBtn.mbOK;


mbOKCancel

A "set" constant to show an OK and a Cancel button on a messagedialog.

Declaration

Source position: dialogs.pp line 63

const mbOKCancel = [mbOK, mbCancel];

Description

A "set" constant to show an OK and a Cancel button on a messagedialog.


mbRetry

Declaration

Source position: dialogs.pp line 52

const mbRetry = UITypes.TMsgDlgBtn.mbRetry;


mbYes

Declaration

Source position: dialogs.pp line 47

const mbYes = UITypes.TMsgDlgBtn.mbYes;


mbYesNo

A "set" constant to show a Yes and a No button on a messagedialog.

Declaration

Source position: dialogs.pp line 62

const mbYesNo = [mbYes, mbNo];

Description

A "set" constant to show a Yes and a No button on a messagedialog.


mbYesNoCancel

A "set" constant to show a Yes, a No and a Cancel button on a messagedialog.

Declaration

Source position: dialogs.pp line 61

const mbYesNoCancel = [mbYes, mbNo, mbCancel];

Description

A "set" constant to show a Yes, a No and a Cancel button on a messagedialog.


mbYesToAll

Declaration

Source position: dialogs.pp line 56

const mbYesToAll = UITypes.TMsgDlgBtn.mbYesToAll;


MinimumDialogButtonHeight

Declaration

Source position: dialogs.pp line 687

var MinimumDialogButtonHeight: Integer = 25;


MinimumDialogButtonWidth

Declaration

Source position: dialogs.pp line 686

var MinimumDialogButtonWidth: Integer = 75;


MsgDlgBtnToBitBtnKind

A constant array used to convert the kind of message buttons to the kind of BitButton.

Declaration

Source position: dialogs.pp line 66

const MsgDlgBtnToBitBtnKind: array [TMsgDlgBtn] of TBitBtnKind = (bkYes, bkNo, bkOK, bkCancel, bkAbort, bkRetry, bkIgnore, bkAll, bkNoToAll, bkYesToAll, bkHelp, bkClose);

Description

This array gives you for each possible button type in a messagebox the corresponding kind of BitButton.
For instance MsgDlgBtnToBitBtnKind[mbYes] has the value of bkYes.
It is the reverse of BitBtnKindToMsgDlgBtn.


mtConfirmation

Declaration

Source position: dialogs.pp line 44

const mtConfirmation = UITypes.TMsgDlgType.mtConfirmation;


mtCustom

Declaration

Source position: dialogs.pp line 45

const mtCustom = UITypes.TMsgDlgType.mtCustom;


mtError

Declaration

Source position: dialogs.pp line 42

const mtError = UITypes.TMsgDlgType.mtError;


mtInformation

Declaration

Source position: dialogs.pp line 43

const mtInformation = UITypes.TMsgDlgType.mtInformation;


mtWarning

Declaration

Source position: dialogs.pp line 41

const mtWarning = UITypes.TMsgDlgType.mtWarning;


TCDWSEventCapabilities

Declaration

Source position: dialogs.pp line 82

type TCDWSEventCapabilities = set of (

  cdecWSPerformsDoShow,

  cdecWSPerformsDoCanClose,

  cdecWSPerformsDoClose,

  cdecWSNOCanCloseSupport

);


TCDWSEventCapability

Declaration

Source position: dialogs.pp line 80

type TCDWSEventCapability = (

  cdecWSPerformsDoShow,

  cdecWSPerformsDoCanClose,

  cdecWSPerformsDoClose,

  cdecWSNOCanCloseSupport

);


TDialogResultEvent

Declaration

Source position: dialogs.pp line 84

type TDialogResultEvent = procedure(

  sender: TObject;

  Success: Boolean

) of object;


TFindOption

A list of possible options which can be used in Find-dialogs.

Declaration

Source position: dialogs.pp line 408

type TFindOption = (
frDown, | If set the "Down" radiobutton is selected.
frFindNext, | This option will be set when the user presses "Find Next"
frHideMatchCase, | If set the "Match case" checkbox is hidden from the Find dialog
frHideWholeWord, | If set the "Whole word" checkbox is hidden from the Find dialog
frHideUpDown, | If set the "Up" and "Down" radiobuttons are hidden from the Find dialog
frMatchCase, | This flag is set when the user checks the "Match case" checkbox.
frDisableMatchCase, | If set the "Match case" checkbox is disabled in the Find dialog
frDisableUpDown, | If set the "Up" and "Down" radiobuttons are disabled in the Find dialog
frDisableWholeWord, | If set the "Whole word" checkbox is disabled in the Find dialog
frReplace, | This flag is set if only the first occurence of the search string is to be replaced with the replace string.
frReplaceAll, | This flag is set if all occurences of the search string are to be replaced with the replace string.
frWholeWord, | This flag is set when the user checks the "Whole word" checkbox.
frShowHelp, | If set the dialog will display a help button.
frEntireScope,
frHideEntireScope,
frPromptOnReplace, | This flag is set when the user checks the "Prompt on replace" checkbox.
frHidePromptOnReplace, | If set the "Prompt on replace" checkbox is hidden from the Find dialog.
frButtonsAtBottom
);

Description

A list of possible options which can be used in Find-dialogs.


TFindOptions

A set of TFindOption

Declaration

Source position: dialogs.pp line 413

type TFindOptions = set of (
frDown, | If set the "Down" radiobutton is selected.
frFindNext, | This option will be set when the user presses "Find Next"
frHideMatchCase, | If set the "Match case" checkbox is hidden from the Find dialog
frHideWholeWord, | If set the "Whole word" checkbox is hidden from the Find dialog
frHideUpDown, | If set the "Up" and "Down" radiobuttons are hidden from the Find dialog
frMatchCase, | This flag is set when the user checks the "Match case" checkbox.
frDisableMatchCase, | If set the "Match case" checkbox is disabled in the Find dialog
frDisableUpDown, | If set the "Up" and "Down" radiobuttons are disabled in the Find dialog
frDisableWholeWord, | If set the "Whole word" checkbox is disabled in the Find dialog
frReplace, | This flag is set if only the first occurence of the search string is to be replaced with the replace string.
frReplaceAll, | This flag is set if all occurences of the search string are to be replaced with the replace string.
frWholeWord, | This flag is set when the user checks the "Whole word" checkbox.
frShowHelp, | If set the dialog will display a help button.
frEntireScope,
frHideEntireScope,
frPromptOnReplace, | This flag is set when the user checks the "Prompt on replace" checkbox.
frHidePromptOnReplace, | If set the "Prompt on replace" checkbox is hidden from the Find dialog.
frButtonsAtBottom
);


TInputCloseQueryEvent

Declaration

Source position: dialogs.pp line 751

type TInputCloseQueryEvent = procedure(

  Sender: TObject;

  const AValues: array of string;

  var ACanClose: Boolean

) of object;


TMsgDlgBtn

Constants to define possible buttons on a dialog.

Declaration

Source position: dialogs.pp line 36

type TMsgDlgBtn = UITypes.TMsgDlgBtn;


TMsgDlgButtons

Set of button messages for dialogs

Declaration

Source position: dialogs.pp line 37

type TMsgDlgButtons = UITypes.TMsgDlgButtons;


TMsgDlgType

Constants to define the types of message dialogs.

Declaration

Source position: dialogs.pp line 35

type TMsgDlgType = UITypes.TMsgDlgType;


TOpenOption

TOpenOption - a list of possible options which can be used in OpenDialog

Declaration

Source position: dialogs.pp line 185

type TOpenOption = (

  ofReadOnly,

  ofOverwritePrompt,

  ofHideReadOnly,

  ofNoChangeDir,

  ofShowHelp,

  ofNoValidate,

  ofAllowMultiSelect,

  ofExtensionDifferent,

  ofPathMustExist,

  ofFileMustExist,

  ofCreatePrompt,

  ofShareAware,

  ofNoReadOnlyReturn,

  ofNoTestFileCreate,

  ofNoNetworkButton,

  ofNoLongNames,

  ofOldStyleDialog,

  ofNoDereferenceLinks,

  ofNoResolveLinks,

  ofEnableIncludeNotify,

  ofEnableSizing,

  ofDontAddToRecent,

  ofForceShowHidden,

  ofViewDetail,

  ofAutoPreview

);

Description

TOpenOption - a list of possible options which can be used in OpenDialog

ofReadOnly,
    ofOverwritePrompt, // if selected file exists shows a message, that file
                       // will be overwritten
    ofHideReadOnly,    // hide read only file
    ofNoChangeDir,     // do not change current directory
    ofShowHelp,        // show a help button
    ofNoValidate,
    ofAllowMultiSelect,// allow multiselection
    ofExtensionDifferent,
    ofPathMustExist,   // shows an error message if selected path does not exist
    ofFileMustExist,   // shows an error message if selected file does not exist
    ofCreatePrompt,
    ofShareAware,
    ofNoReadOnlyReturn,// do not return filenames that are readonly
    ofNoTestFileCreate,
    ofNoNetworkButton,
    ofNoLongNames,
    ofOldStyleDialog,
    ofNoDereferenceLinks,// do not resolve links while dialog is shown (only on Windows, see OFN_NODEREFERENCELINKS)
    ofNoResolveLinks,  // do not resolve links after Execute
    ofEnableIncludeNotify,
    ofEnableSizing,    // dialog can be resized, e.g. via the mouse
    ofDontAddToRecent, // do not add the path to the history list
    ofForceShowHidden, // show hidden files
    ofViewDetail,      // details are OS and interface dependent
    ofAutoPreview      // details are OS and interface dependent


TOpenOptions

TOpenOptions - set of TOpenOption

Declaration

Source position: dialogs.pp line 213

type TOpenOptions = set of (

  ofReadOnly,

  ofOverwritePrompt,

  ofHideReadOnly,

  ofNoChangeDir,

  ofShowHelp,

  ofNoValidate,

  ofAllowMultiSelect,

  ofExtensionDifferent,

  ofPathMustExist,

  ofFileMustExist,

  ofCreatePrompt,

  ofShareAware,

  ofNoReadOnlyReturn,

  ofNoTestFileCreate,

  ofNoNetworkButton,

  ofNoLongNames,

  ofOldStyleDialog,

  ofNoDereferenceLinks,

  ofNoResolveLinks,

  ofEnableIncludeNotify,

  ofEnableSizing,

  ofDontAddToRecent,

  ofForceShowHidden,

  ofViewDetail,

  ofAutoPreview

);


TPrintDialogOption

Enumerated type for available options for print dialogs

Declaration

Source position: dialogs.pp line 502

type TPrintDialogOption = (

  poPrintToFile,

  poPageNums,

  poSelection,

  poWarning,

  poHelp,

  poDisablePrintToFile,

  poBeforeBeginDoc

);


TPrintDialogOptions

A set of options for the print dialog

Declaration

Source position: dialogs.pp line 504

type TPrintDialogOptions = set of (

  poPrintToFile,

  poPageNums,

  poSelection,

  poWarning,

  poHelp,

  poDisablePrintToFile,

  poBeforeBeginDoc

);


TPrintRange

Enumerated type for range of pages to print.

Declaration

Source position: dialogs.pp line 501

type TPrintRange = (
prAllPages, | Print all pages.
prSelection, | Print the selected range of pages.
prPageNums, | Print the selection of individual pages.
prCurrentPage | Print the current page.
);


TSelectDirOpt

List of options available when selecting a directory

Declaration

Source position: dialogs.pp line 749

type TSelectDirOpt = (

  sdAllowCreate,

  sdPerformCreate,

  sdPrompt

);


TSelectDirOpts

Set of directory selection options

Declaration

Source position: dialogs.pp line 750

type TSelectDirOpts = set of (

  sdAllowCreate,

  sdPerformCreate,

  sdPrompt

);


TTaskDialogCommonButton

Declaration

Source position: dialogs.pp line 546

type TTaskDialogCommonButton = (

  tcbOk,

  tcbYes,

  tcbNo,

  tcbCancel,

  tcbRetry,

  tcbClose

);


TTaskDialogCommonButtons

Declaration

Source position: dialogs.pp line 547

type TTaskDialogCommonButtons = set of (

  tcbOk,

  tcbYes,

  tcbNo,

  tcbCancel,

  tcbRetry,

  tcbClose

);


TTaskDialogFlag

Declaration

Source position: dialogs.pp line 536

type TTaskDialogFlag = (
tfEnableHyperlinks, | Allow HTML-like hyperlinks in the dialog (in Text, Footer, and ExpandedText) using HTML tag "a href=...".
tfUseHiconMain, | Use custom main icon with CustomMainIcon property.
tfUseHiconFooter, | Use custom footer icon with CustomFooterIcon property.
tfAllowDialogCancellation, | Allow canceling the dialog by Esc key, or Alt+F4 (ie OS default hotkey).
tfUseCommandLinks, | Custom buttons will be shown as big buttons in the middle of the dialog. Use "\n" to add info to buttons (shown in hint in emulated dialog).
tfUseCommandLinksNoIcon, | Don't show glyphs for custom buttons in the "command links" mode.
tfExpandFooterArea, | Show ExpandedText in the footer, instead of near the main text.
tfExpandedByDefault, | Initially show dialog in expanded state.
tfVerificationFlagChecked, | Bottom check-box (verification) shows in the checked state.
tfShowProgressBar, | Show additional progress-bar.
tfShowMarqueeProgressBar, | Show additional progress-bar, in the marquee style, never ending progress.
tfCallbackTimer, | Execute the timer callback event every 200 milliseconds.
tfPositionRelativeToWindow, | Form position will be poOwnerFormCenter, instead of poScreenCenter.
tfRtlLayout, | Use Right-to-Left layout for texts.
tfNoDefaultRadioButton, | Don't check any of radio-buttons.
tfCanBeMinimized | Allow minimizing the dialog.
);


TTaskDialogFlags

Declaration

Source position: dialogs.pp line 544

type TTaskDialogFlags = set of (
tfEnableHyperlinks, | Allow HTML-like hyperlinks in the dialog (in Text, Footer, and ExpandedText) using HTML tag "a href=...".
tfUseHiconMain, | Use custom main icon with CustomMainIcon property.
tfUseHiconFooter, | Use custom footer icon with CustomFooterIcon property.
tfAllowDialogCancellation, | Allow canceling the dialog by Esc key, or Alt+F4 (ie OS default hotkey).
tfUseCommandLinks, | Custom buttons will be shown as big buttons in the middle of the dialog. Use "\n" to add info to buttons (shown in hint in emulated dialog).
tfUseCommandLinksNoIcon, | Don't show glyphs for custom buttons in the "command links" mode.
tfExpandFooterArea, | Show ExpandedText in the footer, instead of near the main text.
tfExpandedByDefault, | Initially show dialog in expanded state.
tfVerificationFlagChecked, | Bottom check-box (verification) shows in the checked state.
tfShowProgressBar, | Show additional progress-bar.
tfShowMarqueeProgressBar, | Show additional progress-bar, in the marquee style, never ending progress.
tfCallbackTimer, | Execute the timer callback event every 200 milliseconds.
tfPositionRelativeToWindow, | Form position will be poOwnerFormCenter, instead of poScreenCenter.
tfRtlLayout, | Use Right-to-Left layout for texts.
tfNoDefaultRadioButton, | Don't check any of radio-buttons.
tfCanBeMinimized | Allow minimizing the dialog.
);


TTaskDialogIcon

Declaration

Source position: dialogs.pp line 551

type TTaskDialogIcon = (

  tdiNone,

  tdiWarning,

  tdiError,

  tdiInformation,

  tdiShield,

  tdiQuestion

);


TTaskDlgClickEvent

Declaration

Source position: dialogs.pp line 549

type TTaskDlgClickEvent = procedure(

  Sender: TObject;

  AModalResult: TModalResult;

  var ACanClose: Boolean

) of object;


Reference for unit 'EditBtn'

Defines some special Edit Boxes with attached Speed Buttons

uses
System,
Classes,
sysutils,
LCLProc, | Useful lower level helper functions and classes
LResources, | This unit maintains and stores all standard Lazarus resources in the global LazarusResources list and provides methods and types for component streaming.
LCLStrConsts, | This unit contains all resource strings of the LCL
Types,
LCLType, | This unit is being created specifically for compatibility with Delphi. It should only be used for constants and type definitions that are included in the Delphi Windows unit. This is only done for compatibiltiy.
LMessages, |
Graphics, | Unit contains definitions for many fundamental classes and types used in graphic applications
Controls, | This unit contains basic classes for visual controls.
Forms, | Contains definitions and descriptions for constructing the Forms which are the basis of the Lazarus Graphical User Interface
LazFileUtils,
LazUTF8,
Dialogs, | Some dialogs commonly used in Lazarus applications. Look at the Procedures as well as the Classes
StdCtrls, | Several standard controls used in most Lazarus forms
Buttons, | Defines several specialist button classes
Calendar, | Classes defining Calendar, a graphic allowing the user to select a date
ExtDlgs, | Some useful extra dialogs such as Calendar, Calculator and Open/Save Picture
GroupedEdit, |
CalendarPopup,
MaskEdit, | Defines classes for Mask Editing, ie editing with a masking string in place to obscure the text being entered
Menus, | Menus to be used in Forms created with the Lazarus IDE
StrUtils,
DateUtils,
TimePopup,
CalcForm,
ImgList; | Contains definitions for TCustomImageList, the base class for TImageList.


Reference for unit 'EditBtn': Constants

NullDate

ResBtnCalculator

ResBtnCalendar

ResBtnFileOpen

ResBtnListFilter

ResBtnSelDir

ResBtnTime


Reference for unit 'EditBtn': Types

TAcceptDateEvent | TAcceptDateEvent - generic event handling method for accepting a date from a dialog
TAcceptFileNameEvent | TAcceptFileNameEvent - generic event handling method to accept a filename from a dialog
TAcceptTimeEvent
TAcceptValueEvent | TAcceptValueEvent - generic event handling method for accepting a value from a (calculator) dialog
TCheckItemEvent
TCustomDateEvent | TCustomDateEvent - generic event handler method for date-related events
TCustomTimeEvent
TDateOrder
TDialogKind | TDialogKind - enumerated type for kind of dialog: open, save, pictureopen or picturesave
TFilterItemEvent
TFilterItemExEvent
TFilterStringOption
TFilterStringOptions


Reference for unit 'EditBtn': Classes

TCalcEdit | TCalcEdit - an EditBox to hold a numeric value, with an attached SpeedButton that will summon a calculator dialog
TCustomControlFilterEdit | Base class for filter controls which associate to a container control like Listbox or Treeview.
TCustomEditButton | TCustomEditButton - base class for TEditButton, an Edit Box with attached Speed Button
TDateEdit | TDateEdit - an EditBox to hold a date, with an attached SpeedButton that will summon a date selection (calendar) dialog
TDirectoryEdit | TDirectoryEdit - an EditBox to hold a directory name, with an attached SpeedButton that will summon a Directory Open dialog
TEbEdit
TEditButton | TEditButton, an Edit Box with attached Speed Button
TEditSpeedButton
TFileNameEdit | TFileNameEdit - an EditBox to hold a filename, with an attached SpeedButton that will summon a File Open dialog
TTimeEdit


Reference for unit 'EditBtn': Procedures and functions

Register


Index of all identifiers in unit 'EditBtn'

D F N R T

D

dkOpen | dkSave | doNone
dkPictureOpen | doDMY | doYMd
dkPictureSave | doMDY |

F

fsoCaseSensitive fsoMatchOnlyAtStart

N

NullDate

R

Register | ResBtnFileOpen | ResBtnTime
ResBtnCalculator | ResBtnListFilter |
ResBtnCalendar | ResBtnSelDir |

T

TAcceptDateEvent | TCustomEditButton | TEditSpeedButton
TAcceptFileNameEvent | TCustomTimeEvent | TFileNameEdit
TAcceptTimeEvent | TDateEdit | TFilterItemEvent
TAcceptValueEvent | TDateOrder | TFilterItemExEvent
TCalcEdit | TDialogKind | TFilterStringOption
TCheckItemEvent | TDirectoryEdit | TFilterStringOptions
TCustomControlFilterEdit | TEbEdit | TTimeEdit
TCustomDateEvent | TEditButton |


NullDate

Declaration

Source position: editbtn.pas line 39

const NullDate: TDateTime = 0;


ResBtnCalculator

Declaration

Source position: editbtn.pas line 892

const ResBtnCalculator = 'btncalculator';


ResBtnCalendar

Declaration

Source position: editbtn.pas line 891

const ResBtnCalendar = 'btncalendar';


ResBtnFileOpen

Declaration

Source position: editbtn.pas line 889

const ResBtnFileOpen = 'btnselfile';


ResBtnListFilter

Declaration

Source position: editbtn.pas line 888

const ResBtnListFilter = 'btnfiltercancel';


ResBtnSelDir

Declaration

Source position: editbtn.pas line 890

const ResBtnSelDir = 'btnseldir';


ResBtnTime

Declaration

Source position: editbtn.pas line 893

const ResBtnTime = 'btntime';


TAcceptDateEvent

TAcceptDateEvent - generic event handling method for accepting a date from a dialog

Declaration

Source position: editbtn.pas line 565

type TAcceptDateEvent = procedure(

  Sender: TObject;

  var ADate: TDateTime;

  var AcceptDate: Boolean

) of object;


TAcceptFileNameEvent

TAcceptFileNameEvent - generic event handling method to accept a filename from a dialog

Declaration

Source position: editbtn.pas line 351

type TAcceptFileNameEvent = procedure(

  Sender: TObject;

  var Value: string

) of object;


TAcceptTimeEvent

Declaration

Source position: editbtn.pas line 681

type TAcceptTimeEvent = procedure(

  Sender: TObject;

  var ATime: TDateTime;

  var AcceptTime: Boolean

) of object;


TAcceptValueEvent

TAcceptValueEvent - generic event handling method for accepting a value from a (calculator) dialog

Declaration

Source position: editbtn.pas line 786

type TAcceptValueEvent = procedure(

  Sender: TObject;

  var AValue: Double;

  var Accept: Boolean

) of object;


TCheckItemEvent

Declaration

Source position: editbtn.pas line 214

type TCheckItemEvent = function(

  Item: TObject

):Boolean of object;


TCustomDateEvent

TCustomDateEvent - generic event handler method for date-related events

Declaration

Source position: editbtn.pas line 567

type TCustomDateEvent = procedure(

  Sender: TObject;

  var ADate: string

) of object;


TCustomTimeEvent

Declaration

Source position: editbtn.pas line 682

type TCustomTimeEvent = procedure(

  Sender: TObject;

  var ATime: TDateTime

) of object;


TDateOrder

Declaration

Source position: editbtn.pas line 568

type TDateOrder = (

  doNone,

  doMDY,

  doDMY,

  doYMd

);


TDialogKind

TDialogKind - enumerated type for kind of dialog: open, save, pictureopen or picturesave

Declaration

Source position: editbtn.pas line 352

type TDialogKind = (

  dkOpen,

  dkSave,

  dkPictureOpen,

  dkPictureSave

);


TFilterItemEvent

Declaration

Source position: editbtn.pas line 209

type TFilterItemEvent = function(

  ItemData: Pointer;

  out Done: Boolean

):Boolean of object;


TFilterItemExEvent

Declaration

Source position: editbtn.pas line 210

type TFilterItemExEvent = function(

  const ACaption: string;

  ItemData: Pointer;

  out Done: Boolean

):Boolean of object;


TFilterStringOption

Declaration

Source position: editbtn.pas line 203

type TFilterStringOption = (

  fsoCaseSensitive,

  fsoMatchOnlyAtStart

);


TFilterStringOptions

Declaration

Source position: editbtn.pas line 204

type TFilterStringOptions = set of (

  fsoCaseSensitive,

  fsoMatchOnlyAtStart

);


Reference for unit 'ExtCtrls'

Some extra controls commonly used in Lazarus forms

uses
System,
sysutils,
Types,
Classes,
contnrs,
fgl,
LCLStrConsts, | This unit contains all resource strings of the LCL
LCLType, | This unit is being created specifically for compatibility with Delphi. It should only be used for constants and type definitions that are included in the Delphi Windows unit. This is only done for compatibiltiy.
LCLProc, | Useful lower level helper functions and classes
LResources, | This unit maintains and stores all standard Lazarus resources in the global LazarusResources list and provides methods and types for component streaming.
LMessages, |
Controls, | This unit contains basic classes for visual controls.
Forms, | Contains definitions and descriptions for constructing the Forms which are the basis of the Lazarus Graphical User Interface
StdCtrls, | Several standard controls used in most Lazarus forms
GraphType, |
Graphics, | Unit contains definitions for many fundamental classes and types used in graphic applications
LCLIntf, | Contains winapi like functions for Delphi compatibility.
CustomTimer, | Contains definition of base class for TTimer
Themes, | For manipulation of display Themes, mostly in a Windows XP (and later) environment
LCLClasses, | Defines the base class for all LCL TComponents including controls
Menus, | Menus to be used in Forms created with the Lazarus IDE
PopupNotifier, | Contains the TPopupNotifier visual component
ImgList, | Contains definitions for TCustomImageList, the base class for TImageList.
LazLoggerBase,
LazUtilities;

Related topics

Multi-PageControls

Multi-PageControls - controls that offer a selection of alternative pages for display


Reference for unit 'ExtCtrls': Types

TBalloonFlags | TBalloonFlags enumerated type for flags on Tray Icon balloons
TBandDragEvent
TBandDrawingStyle
TBandInfoEvent
TBandMove
TBandMoveEvent
TBandPaintEvent
TBandPaintOption
TBandPaintOptions
TBeforeShowPageEvent
TBevelShape | TBevelShape - enumerated type for shape of bevel
TBevelStyle | TBevelStyle - enumerated type for bevel style: lowered or raised
TBevelWidth |
TCanOffsetEvent
TCanResizeEvent | TCanResizeEvent - generic event handling method for resizing using splitter
TCheckGroupClicked | TCheckGroupClicked - generic event handler method for a click in a check group
TColumnLayout | TColumnLayout - enumerated type for layout where data are arranged in columns
TCursorDesign
TFlowStyle
TIdleTimerAutoEvent | TIdleTimerAutoEvent - enumerated class containing events relevant to a timer
TIdleTimerAutoEvents | TIdleTimerAutoEvents - set of TIdleTimerAutoEvent
TImagePaintBackgroundEvent
TLabelPosition | TLabelPosition - enumerated type for position of a label relative to an edit box: above, below, left, right
TPanelBevel |
TResizeStyle | TResizeStyle - enumerated type for style of resizing using splitters
TRowSize
TShapeType | TShapeType - enumerated type containing several standard geometric shapes
TWrapAfter


Reference for unit 'ExtCtrls': Classes

TBevel | A bevel placed around the edge of buttons and other components
TBoundLabel | TBoundLabel: A label bound to another object, for example in TLabeledEdit
TCheckGroup | TCheckGroup : A group of Check Boxes physically and logically grouped together on a form
TControlBar
TCtrlBand
TCtrlBands
TCustomCheckGroup | TCustomCheckGroup: The base type for TCheckGroup
TCustomControlBar
TCustomFlowPanel | The base class for TFlowPanel
TCustomIdleTimer | TCustomIdleTimer - base class for TIdleTimer
TCustomImage | TCustomImage - the base type for TImage
TCustomLabeledEdit | Custom Labelled Edit
TCustomPanel | The base class for a general container which can hold other objects. It has a customizable border and a central text.
TCustomRadioGroup | TCustomRadioGroup: the base type for TRadioGroup
TCustomSplitter | TCustomSplitter : the base type for TSplitter
TCustomTrayIcon | TCustomTrayIcon - the base class for TTrayIcon, a multiplatform System Tray component.
TFlowPanel | Container with flow layout of controls placed in it.
TFlowPanelControl
TFlowPanelControlList
TIdleTimer | TIdleTimer : A timer to measure idle time between processes
TImage | TImage - a graphic image placed on the form; usually loaded from a picture file.
TLabeledEdit | Labelled Edit: An Edit Box with a permanently attached Label
TNotebook | TNotebook is a container for a series of pages placed together
TPage | TPage: One of the pages in a tabbed Notebook
TPaintBox | TPaintBox: a painted rectangular box with defined size and color
TPanel | The main class for a general container which can hold other objects. It has a customizable border and a central text.
TRadioGroup | TRadioGroup : A group of related but mutually exclusive radio buttons, requiring the user to select one af a set of alternatives
TShape | TShape - An arbitrary graphic geometrical shape placed on the Form. It may be one of a series of standard shapes defined by TShapeType
TSplitter | TSplitter : A vertical or horizontal bar placed on a panel or form, to separate sub-panels functionally
TTimer | TTimer: An elapsed timer useful in many applications
TTrayIcon | TTrayIcon is a multiplatform System Tray component. It adds an icon to the tray and signifies an application that is inactive but ready to be activated. Under Windows the System tray is usually located on the bottom-right corner of the screen, but it may be elsewhere. On other operating systems this position varies.
TUNBPages


Reference for unit 'ExtCtrls': Procedures and functions

Frame3D

Register


Index of all identifiers in unit 'ExtCtrls'

B C D F I L R S T W

B

bfError | bpoFrame | bsLeftLine
bfInfo | bpoGrabber | bsLowered
bfNone | bpoGradient | bsRaised
bfWarning | bpoRoundRect | bsRightLine
bmMoving | bsBottomLine | bsSpacer
bmNone | bsBox | bsTopLine
bmReady | bsFrame |

C

cdDefault | cdRestricted | clVerticalThenHorizontal
cdGrabber | clHorizontalThenVertical |

D

dsGradient dsNormal

F

Frame3D | fsLeftRightBottomTop | fsRightLeftTopBottom
fsBottomTopLeftRight | fsLeftRightTopBottom | fsTopBottomLeftRight
fsBottomTopRightLeft | fsRightLeftBottomTop | fsTopBottomRightLeft

I

itaOnIdle itaOnIdleEnd itaOnUserInput

L

lpAbove | lpLeft
lpBelow | lpRight

R

Register | rsNone | rsUpdate
rsLine | rsPattern |

S

stCircle | stRoundSquare | stTriangle
stDiamond | stSquare | stTriangleDown
stEllipse | stSquaredDiamond | stTriangleLeft
stRectangle | stStar | stTriangleRight
stRoundRect | stStarDown |

T

TBalloonFlags | TControlBar | TIdleTimerAutoEvents
TBandDragEvent | TCtrlBand | TImage
TBandDrawingStyle | TCtrlBands | TImagePaintBackgroundEvent
TBandInfoEvent | TCursorDesign | TLabeledEdit
TBandMove | TCustomCheckGroup | TLabelPosition
TBandMoveEvent | TCustomControlBar | TNotebook
TBandPaintEvent | TCustomFlowPanel | TPage
TBandPaintOption | TCustomIdleTimer | TPaintBox
TBandPaintOptions | TCustomImage | TPanel
TBeforeShowPageEvent | TCustomLabeledEdit | TPanelBevel
TBevel | TCustomPanel | TRadioGroup
TBevelShape | TCustomRadioGroup | TResizeStyle
TBevelStyle | TCustomSplitter | TRowSize
TBevelWidth | TCustomTrayIcon | TShape
TBoundLabel | TFlowPanel | TShapeType
TCanOffsetEvent | TFlowPanelControl | TSplitter
TCanResizeEvent | TFlowPanelControlList | TTimer
TCheckGroup | TFlowStyle | TTrayIcon
TCheckGroupClicked | TIdleTimer | TUNBPages
TColumnLayout | TIdleTimerAutoEvent | TWrapAfter

W

waAuto | waForbid
waAvoid | waForce


[Up] Reference for unit 'ExtCtrls' (#lcl)

Multi-PageControls - controls that offer a selection of alternative pages for display

Multi-PageControls - controls that offer a selection of alternative pages for display

A number of controls, found in Units ExtCtrls and ComCtrls, offer the ability to create multi-page forms with a series of Tabs along one edge that allow the user to select one of the Pages for display and interaction.

These include: TPageControl, TNoteBook, TTabControl and THeaderControl (the Header Control components have a very different structure and function). Icons for all of these exist on the Additional or Common Controls tabs of the Component Palette in the Lazarus IDE.

While the various components may look superficially similar, they differ in properties, inheritance, method of adding additional pages, behaviour at run-time, methods for referencing pages and so on.

We have to be very clear when using the various properties, to distinguish between the word 'Tab' as referring to a Tab indicating an identifier for a page, and 'Tab' as referring to the TAB key on the standard keyboard. In common with most Lazarus components, it is possible to enable each control to be included in the TabOrder of TabStops for a Form, so that the component can be reached by repeated pressing of the TAB key, and we must not confuse this use of 'Tab' with the use to denote a Page.

The properties CanTab, TabStop and TabOrder refer to the use of the TAB key to navigate to the relevant control.

Properties such as Tabs, TabIndex, IndexOfTabAt(), TabIndexAtClientPos(), TabPosition, TabHeight, TabWidth, TabVisible, OnCloseTabClicked refer to the use for Page selection.

TTabControl and TPageControl are both descended from TCustomNoteBook (which is in turn descended from TWinControl) and have many inherited properties in common. TPageControl has, in general, more advanced features and is probably intended to replace TNoteBook.

The following table summarises the main differences between the two components.

Property or method | TNoteBook | TPageControl
Pages, ActivePage | String, TPage | TTabSheet, a more advanced version of TPage
Drag/Drop/Dock | Drag properties, but minimal Dock or Drop | Full Drag, Drop, Dock properties and methods
Indexing | PageIndex | ActivePageIndex, TabIndex
Showing/Hiding Tabs | ShowTabs | TabVisible in TTabSheet
Hints | No Hinting methods | ShowHint, ParentShowHint
Font | No Font properties | Font, ParentFont
Sensing position of Tab | None | TabPosition, OnGetSiteInfo
Options | Published property Options, include nboShowCloseButtons, nboMultiLine | No published Options property, but inherits Options (public property) from TCustomNoteBook, so they could be set explicitly in code

The individual Pages in both of the above controls (descended from TCustomNoteBook) are separate and can have their own specific collections of widgets which appear only when the relevant Page is selected by its Tab.

In contrast, the TTabControl component (descended from TCustomTabControl) has only one display area (Protected property DisplayRect), but the image displayed in it is determined by which tab has been selected. Each Tab has an index value which is used to select the appropriate image from an indexed ImageList and display it in the Display Rectangle.

The properties of the Tabs in TTabControl are very configurable compared with those in the controls derived from TCustomNoteBook, allowing for instance the creation of multi-line captions, the placement of images on Tabs, the possibility of the Owner routine determining the drawing of the tab, the configuration of Tab size, the selection of multiple tabs. The trade-off is that the display area is restricted in what it can display, and is essentially confined to display of images.

To use any of the above controls, select them from the relevant tab on the IDE Component Palette and drop them on the form in the required position. Fill in as many relevant properties as you can in the Object Inspector.

To add Tabs or Pages to the controls, select the control with a left mouse click or by selecting from the Component menu in the Object Inspector, then right-click on the component to get a pop-up menu, whose first item will be 'Add Page' or 'Add Tab'.

The Tabs in TTabControl can be edited by selecting 'Tabs' in the Object Inspector, clicking on the ellipsis (...) and using the string editor that pops up.

The pages inTNoteBook or TPageControl can be edited by selecting the ActivePage in the Object Inspector and then editing the properties of the individual page.

THeaderControl offers a widget that could be placed along the edge of a Panel or Form, allowing a highly customised mechanism for selection. However, there are no intrinsically associated display areas, and it is the developer's responsibility to supply an index associated with the selection from the THeaderControl and determining what action is to occur or what is to be displayed in any attached Panel or Form.

When the control is first selected from the Component Palette and placed on a Form, it consists of an unadorned rectangle. However, selecting the control and right-clicking (or selecting the 'Sections' property in the Object Inspector) gives access to a Sections editor (a StringList editor) and Sections can be added to the control. The sections are separated by vertical lines, and each section can have a string inserted as a label, associated with an Index value. The Sections can be rearranged, re-ordered, or be individually painted.

In a typical application a THeaderControl and a TPanel or TForm would be docked together, and code would be written to find which Section of the Header had been selected, then use its index to control the display in the other docked control.


TBalloonFlags

TBalloonFlags enumerated type for flags on Tray Icon balloons

Declaration

Source position: extctrls.pp line 1328

type TBalloonFlags = (

  bfNone,

  bfInfo,

  bfWarning,

  bfError

);


TBandDragEvent

Declaration

Source position: extctrls.pp line 1426

type TBandDragEvent = procedure(

  Sender: TObject;

  Control: TControl;

  var Drag: Boolean

) of object;


TBandDrawingStyle

Declaration

Source position: extctrls.pp line 1422

type TBandDrawingStyle = (

  dsNormal,

  dsGradient

);


TBandInfoEvent

Declaration

Source position: extctrls.pp line 1427

type TBandInfoEvent = procedure(

  Sender: TObject;

  Control: TControl;

  var Insets: TRect;

  var PreferredSize: Integer;

  var RowCount: Integer

) of object;


TBandMove

Declaration

Source position: extctrls.pp line 1435

type TBandMove = (

  bmNone,

  bmReady,

  bmMoving

);


TBandMoveEvent

Declaration

Source position: extctrls.pp line 1429

type TBandMoveEvent = procedure(

  Sender: TObject;

  Control: TControl;

  var ARect: TRect

) of object;


TBandPaintEvent

Declaration

Source position: extctrls.pp line 1430

type TBandPaintEvent = procedure(

  Sender: TObject;

  Control: TControl;

  ACanvas: TCanvas;

  var ARect: TRect;

  var Options: TBandPaintOptions

) of object;


TBandPaintOption

Declaration

Source position: extctrls.pp line 1423

type TBandPaintOption = (

  bpoGrabber,

  bpoFrame,

  bpoGradient,

  bpoRoundRect

);


TBandPaintOptions

Declaration

Source position: extctrls.pp line 1424

type TBandPaintOptions = set of (

  bpoGrabber,

  bpoFrame,

  bpoGradient,

  bpoRoundRect

);


TBeforeShowPageEvent

Declaration

Source position: extctrls.pp line 43

type TBeforeShowPageEvent = procedure(

  ASender: TObject;

  ANewPage: TPage;

  ANewIndex: Integer

) of object;


TCanOffsetEvent

Declaration

Source position: extctrls.pp line 332

type TCanOffsetEvent = procedure(

  Sender: TObject;

  var NewOffset: Integer;

  var Accept: Boolean

) of object;


TCanResizeEvent

TCanResizeEvent - generic event handling method for resizing using splitter

Declaration

Source position: extctrls.pp line 334

type TCanResizeEvent = procedure(

  Sender: TObject;

  var NewSize: Integer;

  var Accept: Boolean

) of object;


TColumnLayout

TColumnLayout - enumerated type for layout where data are arranged in columns

Declaration

Source position: extctrls.pp line 668

type TColumnLayout = (

  clHorizontalThenVertical,

  clVerticalThenHorizontal

);


TCursorDesign

Declaration

Source position: extctrls.pp line 1436

type TCursorDesign = (

  cdDefault,

  cdGrabber,

  cdRestricted

);


TFlowStyle

Declaration

Source position: extctrls.pp line 1179

type TFlowStyle = (

  fsLeftRightTopBottom,

  fsRightLeftTopBottom,

  fsLeftRightBottomTop,

  fsRightLeftBottomTop,

  fsTopBottomLeftRight,

  fsBottomTopLeftRight,

  fsTopBottomRightLeft,

  fsBottomTopRightLeft

);


TLabelPosition

TLabelPosition - enumerated type for position of a label relative to an edit box: above, below, left, right

Declaration

Source position: extctrls.pp line 957

type TLabelPosition = (

  lpAbove,

  lpBelow,

  lpLeft,

  lpRight

);


TResizeStyle

TResizeStyle - enumerated type for style of resizing using splitters

Declaration

Source position: extctrls.pp line 325

type TResizeStyle = (

  rsLine,

  rsNone,

  rsPattern,

  rsUpdate

);

Description

rsLine - draw a line, don't update splitter position during moving rsNone - draw nothing and don't update splitter position during moving rsPattern - draw a dot pattern, don't update splitter position during moving rsUpdate - draw nothing, update splitter position during moving


TRowSize

Declaration

Source position: extctrls.pp line 1433

type TRowSize = 1..MaxInt;


TWrapAfter

Declaration

Source position: extctrls.pp line 1182

type TWrapAfter = (

  waAuto,

  waForce,

  waAvoid,

  waForbid

);


Reference for unit 'ExtDlgs'

Some useful extra dialogs such as Calendar, Calculator and Open/Save Picture

uses
System,
Types,
Classes,
sysutils,
LCLProc, | Useful lower level helper functions and classes
LResources, | This unit maintains and stores all standard Lazarus resources in the global LazarusResources list and provides methods and types for component streaming.
LCLType, | This unit is being created specifically for compatibility with Delphi. It should only be used for constants and type definitions that are included in the Delphi Windows unit. This is only done for compatibiltiy.
LCLStrConsts, | This unit contains all resource strings of the LCL
FileUtil,
LazFileUtils,
Controls, | This unit contains basic classes for visual controls.
Dialogs, | Some dialogs commonly used in Lazarus applications. Look at the Procedures as well as the Classes
GraphType, |
Graphics, | Unit contains definitions for many fundamental classes and types used in graphic applications
ExtCtrls, | Some extra controls commonly used in Lazarus forms
StdCtrls, | Several standard controls used in most Lazarus forms
Forms, | Contains definitions and descriptions for constructing the Forms which are the basis of the Lazarus Graphical User Interface
Calendar, | Classes defining Calendar, a graphic allowing the user to select a date
Buttons, | Defines several specialist button classes
Masks,
CalcForm;


Reference for unit 'ExtDlgs': Classes

TCalculatorDialog | TCalculatorDialog - a small calculator window that pops up, allowing the user to perform simple calculations and return the value to the calling Component
TCalendarDialog | TCalendarDialog - a popup calendar dialog that allows a date to be selected and returned to the main program
TExtCommonDialog
TOpenPictureDialog | TOpenPictureDialog - a preview dialog that shows a preview of a picture before opening the file
TPreviewFileControl | TPreviewFileControl - a windowed control allowing the contents of a file to be previewed before opening
TPreviewFileDialog | TPreviewFileDialog - a dialog that allows the file contents to be inspected before opening the file
TSavePictureDialog | TSavePictureDialog - a dialog for saving the picture in the current buffer to a file


Reference for unit 'ExtDlgs': Procedures and functions

Register


Index of all identifiers in unit 'ExtDlgs'

R T

R

Register

T

TCalculatorDialog | TOpenPictureDialog | TSavePictureDialog
TCalendarDialog | TPreviewFileControl |
TExtCommonDialog | TPreviewFileDialog |


Reference for unit 'ExtGraphics'

uses
System,
Types,
Classes,
LCLProc, | Useful lower level helper functions and classes
Graphics, | Unit contains definitions for many fundamental classes and types used in graphic applications
Math, |
GraphMath; | A Set of Mathematical Helper routines to simply Cross-Platfrom Canvas drawing etc


Reference for unit 'ExtGraphics': Types

TInitShapeProc

TShapeDirection


Reference for unit 'ExtGraphics': Procedures and functions

CalculatePentagonPoints

InitPolygon

LinesPointOfIntersection

Paint2HeadArrow

PaintBarbadosTrident

PaintBigI

PaintBoldArrow

PaintCanadianMaple

PaintChevronArrow

PaintCross

PaintFivePointLineStar

PaintFivePointStar

PaintHalfEllipse

PaintHexagon

PaintNotchedArrow

PaintOctogon

PaintPentagon

PaintPlus

PaintQuadrangle

PaintRightTriangle

PaintStarN

PaintTriangle

PaintTriangular

PaintValve

PaintVArrow


Index of all identifiers in unit 'ExtGraphics'

A C I L P T

A

atDown | atRight
atLeft | atUp

C

CalculatePentagonPoints

I

InitPolygon

L

LinesPointOfIntersection

P

Paint2HeadArrow | PaintFivePointStar | PaintRightTriangle
PaintBarbadosTrident | PaintHalfEllipse | PaintStarN
PaintBigI | PaintHexagon | PaintTriangle
PaintBoldArrow | PaintNotchedArrow | PaintTriangular
PaintCanadianMaple | PaintOctogon | PaintValve
PaintChevronArrow | PaintPentagon | PaintVArrow
PaintCross | PaintPlus |
PaintFivePointLineStar | PaintQuadrangle |

T

TInitShapeProc TShapeDirection


TInitShapeProc

Declaration

Source position: extgraphics.pas line 26

type TInitShapeProc = procedure(

  var P: array of TPoint;

  const R: TRect;

  var NumPts: Integer

);


TShapeDirection

Declaration

Source position: extgraphics.pas line 25

type TShapeDirection = (

  atUp,

  atDown,

  atLeft,

  atRight

);


Reference for unit 'FileCtrl'

Class definitions for a box with a list of files for selection

uses
System,
Classes,
sysutils,
StdCtrls, | Several standard controls used in most Lazarus forms
FileUtil,
LazFileUtils,
Masks,
Graphics, | Unit contains definitions for many fundamental classes and types used in graphic applications
ShellCtrls; | Controls which display files and directories


Reference for unit 'FileCtrl': Types

TFileAttr | TFileAttr - enumerated type listing file attributes for a file list box
TFileType | TFileType - set of file attributes


Reference for unit 'FileCtrl': Classes

TCustomFileListBox | TCustomFileListBox : base type for TFileListBox - a tool for listing files for selection
TCustomFilterComboBox | A combobox to select filename filters
TFileListBox | TFileListBox - a tool for listing files for selection
TFilterComboBox | A combobox to select filename filters


Reference for unit 'FileCtrl': Procedures and functions

MiniMizeName | Returns a shortened version of a file name, so that it fits on the given MaxWidth
Register |


Index of all identifiers in unit 'FileCtrl'

F M R T

F

ftArchive | ftNormal | ftVolumeID
ftDirectory | ftReadOnly |
ftHidden | ftSystem |

M

MiniMizeName

R

Register

T

TCustomFileListBox | TFileAttr | TFileType
TCustomFilterComboBox | TFileListBox | TFilterComboBox


TFileAttr

TFileAttr - enumerated type listing file attributes for a file list box

Declaration

Source position: filectrl.pp line 39

type TFileAttr = (

  ftReadOnly,

  ftHidden,

  ftSystem,

  ftVolumeID,

  ftDirectory,

  ftArchive,

  ftNormal

);


TFileType

TFileType - set of file attributes

Declaration

Source position: filectrl.pp line 42

type TFileType = set of (

  ftReadOnly,

  ftHidden,

  ftSystem,

  ftVolumeID,

  ftDirectory,

  ftArchive,

  ftNormal

);


Application

The TApplication singleton.

Declaration

Source position: forms.pp line 1848

var Application: TApplication = Nil;


DefaultApplicationBiDiMode

Declaration

Source position: forms.pp line 1646

const DefaultApplicationBiDiMode: TBiDiMode = bdLeftToRight;


DefaultBorderIcons

Maps form border styles into their border icons.

Declaration

Source position: forms.pp line 1860

const DefaultBorderIcons: array [TFormBorderStyle] of TBorderIcons = ([], [biSystemMenu, biMinimize], [biSystemMenu, biMinimize, biMaximize], [biSystemMenu], [biSystemMenu, biMinimize], [biSystemMenu, biMinimize, biMaximize]);


DefHintColor

The default hint window color.

Declaration

Source position: forms.pp line 1648

const DefHintColor = clInfoBk;


DefHintHidePause

The default pause before hint is hidden (ms).

Declaration

Source position: forms.pp line 1651

const DefHintHidePause = 5 * DefHintPause;


DefHintHidePausePerChar

The default pause added to DefHintHidePause (ms).

Declaration

Source position: forms.pp line 1652

const DefHintHidePausePerChar = 200;


DefHintPause

The default pause before hint window displays (ms).

Declaration

Source position: forms.pp line 1649

const DefHintPause = 500;


DefHintShortPause

The default Hint reshow pause.

Declaration

Source position: forms.pp line 1650

const DefHintShortPause = 0;


ExceptionObject

The current exception object

Declaration

Source position: forms.pp line 1850

var ExceptionObject: TExceptObject = ;


HintWindowClass

The class to be used for hints

Declaration

Source position: forms.pp line 1851

var HintWindowClass: THintWindowClass = THintWindow;


Reference for unit 'Forms'

Contains definitions and descriptions for constructing the Forms which are the basis of the Lazarus Graphical User Interface

uses
System,
Classes,
sysutils,
Types,
typinfo,
Math, |
CustApp,
LCLStrConsts, | This unit contains all resource strings of the LCL
LCLType, | This unit is being created specifically for compatibility with Delphi. It should only be used for constants and type definitions that are included in the Delphi Windows unit. This is only done for compatibiltiy.
LCLProc, | Useful lower level helper functions and classes
LCLIntf, | Contains winapi like functions for Delphi compatibility.
LCLVersion, | Contains the version number constants of the LCL.
LCLClasses, | Defines the base class for all LCL TComponents including controls
InterfaceBase, | Provides an platform independent widgetset and helper functions.
LResources, | This unit maintains and stores all standard Lazarus resources in the global LazarusResources list and provides methods and types for component streaming.
GraphType, |
Graphics, | Unit contains definitions for many fundamental classes and types used in graphic applications
Menus, | Menus to be used in Forms created with the Lazarus IDE
LMessages, |
CustomTimer, | Contains definition of base class for TTimer
ActnList, | Defines classes for Actions and Lists of actions to be used with LCL components
Clipbrd, | Definitions for the Clipboard to hold Cut or Copied data for Pasting
HelpIntfs, |
Controls, | This unit contains basic classes for visual controls.
ImgList, | Contains definitions for TCustomImageList, the base class for TImageList.
Themes, | For manipulation of display Themes, mostly in a Windows XP (and later) environment
LazFileUtils,
LazUTF8,
Maps,
IntegerList,
LazMethodList,
LazLoggerBase,
LazUtilities,
UITypes,
gettext;


Reference for unit 'Forms': Constants

DefaultApplicationBiDiMode
DefaultBorderIcons | Maps form border styles into their border icons.
DefHintColor | The default hint window color.
DefHintHidePause | The default pause before hint is hidden (ms).
DefHintHidePausePerChar | The default pause added to DefHintHidePause (ms).
DefHintPause | The default pause before hint window displays (ms).
DefHintShortPause | The default Hint reshow pause.


Reference for unit 'Forms': Types

PAsyncCallQueueItem | A queued asynchronous callback request node.
PCursorRec
PModalResult
TAppHintTimerType | The TApplication hint timer state.
TApplicationDoubleBuffered
TApplicationExceptionDlg
TApplicationFlag | Application state flags.
TApplicationFlags
TApplicationHandlerType | Types of Application notification handlers.
TApplicationNavigationOption | Which keys can be used for the navigation within a form
TApplicationNavigationOptions
TApplicationShowGlyphs | Describes the policy for the application of how to show menu and button glyphs
TApplicationType |
TAsyncCallQueue | The queue head for asynchronous callbacks.
TAsyncCallQueueItem | A queued asynchronous callback request node.
TAsyncCallQueues | Management information for asynchronous callbacks.
TBorderIcon | Visual elements in window title bars - depending on window manager support.
TBorderIcons
TCloseAction | What should happen when a form is closed.
TCloseEvent | Type of an form OnClose handler.
TCloseQueryEvent | Type of an form OnCloseQuery handler.
TCMHintShow |
TCMHintShowPause |
TCursorRec | An element of the Cursor list.
TCustomFormClass
TCustomFrameClass
TDataEvent | The type of an asynchronous callback method.
TDefaultMonitor | The preferred monitor for showing a form.
TDropFilesEvent | Type of an OnDropFiles event handler.
TExceptionEvent |
TFocusState |
TFormClass | Class of TForm
TFormHandlerType | TForm Notification handler types.
TFormState | The set of form state flags.
TFormStateType | Form state flags.
TGetDesignerFormEvent |
TGetHandleEvent |
THelpEvent | Type of an OnHelp event handler.
THintInfoAtMouse |
THintWindowClass | Class of THintWindow.
TIdleEvent | Type of an Idle event handler.
TIsFormDesignFunction
TMessageBoxFunction | The type of a MessageBox function.
TModalDialogFinished
TModalResult | Dummy type for the values that can be returned as a modal result.
TMonitorDefaultTo | The monitor to choose when screen coordinates are out of the screen bounds.
TOnUserInputEvent |
TPopupMode | Defines the parent handling for forms and dialogs.
TPosition | Represents the Position and Size of a Form on Screen.
TProcedure | The type of a procedure that takes no arguments.
TProcedureOfObject | The type of a method that takes no arguments.
TQueryEndSessionEvent | The type of an TApplication.OnQueryEndSession handler.
TScreenControlEvent | Type of an screen notification handler, for control related events.
TScreenFormEvent | Type of an screen notification handler, for form related events.
TScreenNotification | Screen notification events and handler types.
TScrollBarInc | The range of scrollbar increments.
TScrollBarKind | The orientation of a ScrollBar.
TScrollBarStyle | Scrollbar style flags.
TShortCutEvent | Type of an OnShortcut event handler.
TShowHintEvent |
TShowInTaskbar | How a form is represented in the TaskBar.
TTaskBarBehavior | How forms are represented in the TaskBar
TWindowState | Represents the actual State of the window on the screen.


Reference for unit 'Forms': Classes

EScrollBar | Class for exception in TControlScrollBar.
TApplication | Application management and configuration for a GUI application.
TApplicationProperties | A component that simplifies access to the properties of the current application.
TControlScrollBar | Type of a scrollbar in a #lcl.Forms.TScrollingWinControl.
TCustomDesignControl
TCustomDockForm | A floating DockSite, usable to make TControls float.
TCustomForm | The base type for TForm.
TCustomFrame | The base type for TFrame.
TCustomHintAction | Action taken when a new value is assigned to #lcl.Forms.TApplication.Hint, and no OnHint handler is available.
TForm
TFormPropertyStorage | TFormPropertyStorage - class for storage of a Form's properties
TFrame | Frames can be designed like Forms and used like custom controls, without much coding or installation in the IDE.
THintWindow | The popup box containing helpful information that appears when the mouse pointer hovers over an object.
THintWindowRendered
TIDesigner | The abstract base class for visual Form Designers
TMonitor | Information about an phyiscal monitor.
TMonitorList | A list of all available monitors.
TScreen | Provides information about the display and related objects.
TScrollBox | A windowed control with scroll bars.
TScrollingWinControl | Class of a windowed control with incorporated scroll bars.


Reference for unit 'Forms': Procedures and functions

CreateWidgetset | Creates the widgetset
dbgs | Formats various typed values into readable text.
FindRootDesigner |
FreeWidgetSet | Destroys almost all singletons
GetDesignerForm |
GetFirstParentForm | Does a recursive search for the first Parent of type TCustomForm.
GetLongHint | Returns the long version of an Hint string.
GetParentDesignControl
GetParentForm | The topmost Form containing Control.
GetShortHint | Returns the short version of an Hint string.
GetTopFormSkipNonDocked
IsAccel | Searches for the given virtual key, used as an accelerator.
KeyboardStateToShiftState
KeyDataToShiftState | Converts modifier keys from the LParam of a keyboard message (WM_KEYUP for example) to a TShiftState
KeysToShiftState | Converts modifier keys from the LParam of a mouse message to a TShiftState.
NeedParentDesignControl
NotifyApplicationUserInput | Invokes all application user input handlers.
Register | Registers a few components, declared in this unit.
RestoreFocusState | Remembers the control in LastFocusedControl.
SaveFocusState | Returns the remembered control
ShiftStateToKeys | Converts a shift state into a key state value compatible with the key state of a Windows API LParam
StrToWindowState | StrToWindowState - converts a string to a Window state
ValidParentForm
WindowStateToStr | WindowStateToStr - converts a Window state to a string


Reference for unit 'Forms': Variables

Application | The TApplication singleton.
ExceptionObject | The current exception object
HintWindowClass | The class to be used for hints
IsFormDesign
MessageBoxFunction |
OnGetDesignerForm |
RequireDerivedFormResource | When True every form must have a resource (e.g. a .res file). An exception is raised if the resource is missing when creating a form.
Screen | The TScreen singleton.


Index of all identifiers in unit 'Forms'

A B C D E F G H I K M N O P R S T V W

A

adbDefault | ahtKeyDownBefore | anoTabToSelectNext
adbFalse | ahtMinimize | AppActive
adbTrue | ahtModalBegin | AppDestroying
aedOkCancelDialog | ahtModalEnd | AppDoNotCallAsyncQueue
aedOkMessageBox | ahtQueryEndSession | AppIdleEndSent
ahtActivate | ahtRestore | AppInitialized
ahtDeactivate | ahtShowHint | Application
ahtDropFiles | ahttHideHint | AppNoExceptionMessages
ahtEndSession | ahttNone | AppWaiting
ahtException | ahttReshowHint | atDefault
ahtGetMainFormHandle | ahttShowHint | atDesktop
ahtHelp | ahtUserInput | atKeyPadDevice
ahtHint | anoArrowToSelectNextInParent | atMobileEmulator
ahtIdle | anoEscapeForCancelControl | atPDA
ahtIdleEnd | anoF1ForHelp | atTablet
ahtKeyDownAfter | anoReturnForDefaultControl | atTV

B

biHelp | biMinimize
biMaximize | biSystemMenu

C

caFree | caMinimize | CreateWidgetset
caHide | caNone |

D

dbgs | DefHintHidePause | dmActiveForm
DefaultApplicationBiDiMode | DefHintHidePausePerChar | dmDesktop
DefaultBorderIcons | DefHintPause | dmMainForm
DefHintColor | DefHintShortPause | dmPrimary

E

EScrollBar ExceptionObject

F

fhtClose | fsBorderStyleChanged | fsFormStyleChanged
fhtCreate | fsCreatedMDIChild | fsModal
fhtFirstShow | fsCreating | fsShowing
FindRootDesigner | fsDisableAutoSize | fsVisible
FreeWidgetSet | fsFirstShow |

G

GetDesignerForm | GetParentDesignControl | GetTopFormSkipNonDocked
GetFirstParentForm | GetParentForm |
GetLongHint | GetShortHint |

H

HintWindowClass

I

IsAccel IsFormDesign

K

KeyboardStateToShiftState KeyDataToShiftState KeysToShiftState

M

mdNearest | mdPrimary
mdNull | MessageBoxFunction

N

NeedParentDesignControl NotifyApplicationUserInput

O

OnGetDesignerForm

P

PAsyncCallQueueItem | PModalResult | poDesktopCenter
PCursorRec | poDefault | poMainFormCenter
pmAuto | poDefaultPosOnly | poOwnerFormCenter
pmExplicit | poDefaultSizeOnly | poScreenCenter
pmNone | poDesigned | poWorkAreaCenter

R

Register RequireDerivedFormResource RestoreFocusState

S

SaveFocusState | ShiftStateToKeys | ssHotTrack
sbgAlways | snActiveControlChanged | ssRegular
sbgNever | snActiveFormChanged | stAlways
sbgSystem | snFormAdded | stDefault
sbHorizontal | snFormVisibleChanged | stNever
sbVertical | snRemoveForm | StrToWindowState
Screen | ssFlat |

T

TAppHintTimerType | TCustomDockForm | TMessageBoxFunction
TApplication | TCustomForm | TModalDialogFinished
TApplicationDoubleBuffered | TCustomFormClass | TModalResult
TApplicationExceptionDlg | TCustomFrame | TMonitor
TApplicationFlag | TCustomFrameClass | TMonitorDefaultTo
TApplicationFlags | TCustomHintAction | TMonitorList
TApplicationHandlerType | TDataEvent | TOnUserInputEvent
TApplicationNavigationOption | TDefaultMonitor | TPopupMode
TApplicationNavigationOptions | TDropFilesEvent | TPosition
TApplicationProperties | TExceptionEvent | TProcedure
TApplicationShowGlyphs | TFocusState | TProcedureOfObject
TApplicationType | TForm | TQueryEndSessionEvent
TAsyncCallQueue | TFormClass | TScreen
TAsyncCallQueueItem | TFormHandlerType | TScreenControlEvent
TAsyncCallQueues | TFormPropertyStorage | TScreenFormEvent
tbDefault | TFormState | TScreenNotification
tbMultiButton | TFormStateType | TScrollBarInc
TBorderIcon | TFrame | TScrollBarKind
TBorderIcons | TGetDesignerFormEvent | TScrollBarStyle
tbSingleButton | TGetHandleEvent | TScrollBox
TCloseAction | THelpEvent | TScrollingWinControl
TCloseEvent | THintInfoAtMouse | TShortCutEvent
TCloseQueryEvent | THintWindow | TShowHintEvent
TCMHintShow | THintWindowClass | TShowInTaskbar
TCMHintShowPause | THintWindowRendered | TTaskBarBehavior
TControlScrollBar | TIDesigner | TWindowState
TCursorRec | TIdleEvent |
TCustomDesignControl | TIsFormDesignFunction |

V

ValidParentForm

W

WindowStateToStr | wsMaximized | wsNormal
wsFullScreen | wsMinimized |


IsFormDesign

Declaration

Source position: forms.pp line 1827

var IsFormDesign: TIsFormDesignFunction = Nil;


MessageBoxFunction

Declaration

Source position: forms.pp line 1857

var MessageBoxFunction: TMessageBoxFunction = Nil;


OnGetDesignerForm

Declaration

Source position: forms.pp line 1826

var OnGetDesignerForm: TGetDesignerFormEvent = Nil;


PAsyncCallQueueItem

A queued asynchronous callback request node.

Declaration

Source position: forms.pp line 1282

type PAsyncCallQueueItem = ^TAsyncCallQueueItem;


PCursorRec

Declaration

Source position: forms.pp line 1009

type PCursorRec = ^TCursorRec;


PModalResult

Declaration

Source position: forms.pp line 417

type PModalResult = ^UITypes.TModalResult;


RequireDerivedFormResource

When True every form must have a resource (e.g. a .res file). An exception is raised if the resource is missing when creating a form.

Declaration

Source position: forms.pp line 1852

var RequireDerivedFormResource: Boolean = False;

Description

The form resource is the lfm file compiled into the executable of your application. For this flag it does not matter if it was compiled via an lrs file or via fpcres. The resource is automatically loaded by TForm and therfore any descendant when it is created via Create(Owner). If the resource is missing there is something wrong with either a resource or the unit which contains the faulty form. If the flag is false you will see a blank form and probably search a long time what is wrong. If you set this flag to true you get an exception.

For creating forms without resources you have 3 options:

  • Create a TForm class (not a descendant).
  • Construct your form using the CreateNew() constructor.
  • It is also possible to disable the exception by setting the global variable RequireDerivedFormResource to False.

History: Before 0.9.31 there was no exception. Therefore some resourceless forms might use the standard constructor Create(Owner) and will now get exceptions. This change is Delphi compatible and compatible with TFrame and TDataModule components.


Screen

The TScreen singleton.

Declaration

Source position: forms.pp line 1849

var Screen: TScreen = Nil;


TAppHintTimerType

The TApplication hint timer state.

Declaration

Source position: forms.pp line 1229

type TAppHintTimerType = (
ahttNone, | The hint timer is off.
ahttShowHint, | Waiting to show an hint
ahttHideHint, | Waiting to hide an hint
ahttReshowHint | Waiting to show the next hint
);


TApplicationShowGlyphs

Describes the policy for the application of how to show menu and button glyphs

Declaration

Source position: forms.pp line 1316

type TApplicationShowGlyphs = (
sbgAlways, | Show glyphs always.
sbgNever, | Show glyphs never.
sbgSystem | Show glyphs according to the platform default.
);

Description

sbgAlways - show glyphs always (inspite of system preferences)

sbgNever - show glyphs never (inspite of system preferences)

sbgSystem - use system preferences for glyphs showing

See also

#LCL.Menus.TGlyphShowMode

TGlyphShowMode indicates if the glyph image of a menu or button should shown or not and in which circunstances


TApplicationType

Declaration

Source position: forms.pp line 1300

type TApplicationType = (

  atDefault,

  atDesktop,

  atPDA,

  atKeyPadDevice,

  atTablet,

  atTV,

  atMobileEmulator

);


TAsyncCallQueue

The queue head for asynchronous callbacks.

Declaration

Source position: forms.pp line 1288

type TAsyncCallQueue = record
Top: PAsyncCallQueueItem; | The first queued method.
Last: PAsyncCallQueueItem; | The last queued method.
end;

See also

TApplication.QueueAsyncCall

Inserts an asynchronous call into the queue.


TAsyncCallQueueItem

A queued asynchronous callback request node.

Declaration

Source position: forms.pp line 1283

type TAsyncCallQueueItem = record
Method: TDataEvent; | The callback method.
Data: PtrInt; | The method call argument.
NextItem: PAsyncCallQueueItem; | The next list node.
PrevItem: PAsyncCallQueueItem; | The preceding list node.
end;

See also

TApplication.QueueAsyncCall

Inserts an asynchronous call into the queue.


TAsyncCallQueues

Management information for asynchronous callbacks.

Declaration

Source position: forms.pp line 1291

type TAsyncCallQueues = record
CritSec: TRTLCriticalSection; | The critical section for adding and removing queue elements.
Cur: TAsyncCallQueue; | The currently processed queue. Processed entries are removed.
Next: TAsyncCallQueue; | New calls are added to this queue.
end;

Description

Two queues are used:

New calls are added to the Next queue.

When the application starts processing the calls, the Next queue becomes the Cur queue, and a new Next queue is created. This simplifies thread-safe addition of further calls.

See also

TApplication.QueueAsyncCall

Inserts an asynchronous call into the queue.


TBorderIcon

Visual elements in window title bars - depending on window manager support.

Declaration

Source position: forms.pp line 388

type TBorderIcon = (
biSystemMenu, | Window has a system menu.
biMinimize, | Window has an Minimize button.
biMaximize, | Window has an Maximize button.
biHelp | Window has an Help button.
);

Description

biSystemMenu - The form has a System menu (Maybe not all windowmanager supports this)
biMinimize - The form has an minimize button
biMaximize - The form has a maximize button
biHelp - When you click this button a Question Cursor appears and the help routines are called if you click on an control


TBorderIcons

Declaration

Source position: forms.pp line 394

type TBorderIcons = set of (
biSystemMenu, | Window has a system menu.
biMinimize, | Window has an Minimize button.
biMaximize, | Window has an Maximize button.
biHelp | Window has an Help button.
);


TCloseAction

What should happen when a form is closed.

Declaration

Source position: forms.pp line 70

type TCloseAction = (
caNone, | Do nothing.
caHide, | The form is hidden.
caFree, | The form is destroyed.
caMinimize | The form is minimized.
);

See also

TCustomForm.OnClose

Handler called when the form is closed. It determines what happens to the form (destroy, hide...).


TCloseEvent

Type of an form OnClose handler.

Declaration

Source position: forms.pp line 437

type TCloseEvent = procedure(

  Sender: TObject;

  var CloseAction: TCloseAction

) of object;

Arguments

Sender | The form that received an Close request.
CloseAction | Set this to caNone, to prevent the form from closing.

Description

Closing a form can have several meanings:

  • caNone: do nothing (don't close).
  • caHide: hide the form (default for modal forms).
  • caFree: destroy the form.
  • caMinimize: minimize the form (MDI child default).

The handler can set CloseAction to the desired action.


TCloseQueryEvent

Type of an form OnCloseQuery handler.

Declaration

Source position: forms.pp line 438

type TCloseQueryEvent = procedure(

  Sender: TObject;

  var CanClose: Boolean

) of object;

Arguments

Sender | The form that received an Close request.
CanClose | Set to False to deny closing


TCMHintShow

Declaration

Source position: forms.pp line 1215

type TCMHintShow = record

  Msg: Cardinal;

  Reserved: WPARAM;

  HintInfo: PHintInfo;

  Result: LRESULT;

end;


TCMHintShowPause

Declaration

Source position: forms.pp line 1222

type TCMHintShowPause = record

  Msg: Cardinal;

  WasActive: Integer;

  Pause: PInteger;

  Result: LRESULT;

end;


TCursorRec

An element of the Cursor list.

Declaration

Source position: forms.pp line 1010

type TCursorRec = record
Next: PCursorRec; | The next list element.
Index: Integer; | The list index.
Handle: HCURSOR; | The OS identifier for this cursor.
end;


TDataEvent

The type of an asynchronous callback method.

Declaration

Source position: forms.pp line 1212

type TDataEvent = procedure(

  Data: PtrInt

) of object;

Arguments

Data

The argument passed to the method.

See also

TApplication.QueueAsyncCall

Inserts an asynchronous call into the queue.


TDefaultMonitor

The preferred monitor for showing a form.

Declaration

Source position: forms.pp line 396

type TDefaultMonitor = (
dmDesktop, | Place the form on the full desktop.
dmPrimary, | Place the form on the primary monitor.
dmMainForm, | Place the form on the same monitor as the main form. If there is no such form then use the primary monitor.
dmActiveForm | Place the form on the same monitor as the currently active form. If there is no such form then use the primary monitor.
);

Description

When a form is not assigned to a specific monitor, assume the following display context:

  • dmDesktop - no attempt to choose specific monitor.
  • dmPrimary - on the primary monitor.
  • dmMainForm - on the same monitor as the main form. If there is no main form then use dmPrimary behavior.
  • dmActiveForm - on the same monitor as the currently active form. If there is no active form use dmMainForm behavior.


TDropFilesEvent

Type of an OnDropFiles event handler.

Declaration

Source position: forms.pp line 439

type TDropFilesEvent = procedure(

  Sender: TObject;

  const FileNames: array of string

) of object;

Arguments

Sender | The control that received the dropped files
FileNames | The list of the dropped files


TExceptionEvent

Declaration

Source position: forms.pp line 1208

type TExceptionEvent = procedure(

  Sender: TObject;

  E: Exception

) of object;


TFocusState

Declaration

Source position: forms.pp line 1816

type TFocusState = Pointer;


TFormState

The set of form state flags.

Declaration

Source position: forms.pp line 414

type TFormState = set of (
fsCreating, | initializing (form streaming)
fsVisible, | form should be shown
fsShowing, | form handling WM_SHOWWINDOW message
fsModal, | form is modal
fsCreatedMDIChild, | not yet implemented
fsBorderStyleChanged, | border style changed before window handle creation
fsFormStyleChanged, | form style is changed before window handle creation
fsFirstShow, | form is shown for the first time
fsDisableAutoSize | disable autosize
);


TFormStateType

Form state flags.

Declaration

Source position: forms.pp line 403

type TFormStateType = (
fsCreating, | initializing (form streaming)
fsVisible, | form should be shown
fsShowing, | form handling WM_SHOWWINDOW message
fsModal, | form is modal
fsCreatedMDIChild, | not yet implemented
fsBorderStyleChanged, | border style changed before window handle creation
fsFormStyleChanged, | form style is changed before window handle creation
fsFirstShow, | form is shown for the first time
fsDisableAutoSize | disable autosize
);

Description

The states are:

fsCreating,  // initializing (form streaming)
    fsVisible,   // form should be shown
    fsShowing,
    fsModal,     // form is modal
    fsCreatedMDIChild,
    fsBorderStyleChanged,
    fsFormStyleChanged,
    fsFirstShow,  // form is shown for the first time
    fsDisableAutoSize


TGetDesignerFormEvent

Declaration

Source position: forms.pp line 1822

type TGetDesignerFormEvent = function(

  APersistent: TPersistent

):TCustomForm of object;


TGetHandleEvent

Declaration

Source position: forms.pp line 1209

type TGetHandleEvent = procedure(

  var Handle: HWND

) of object;


THelpEvent

Type of an OnHelp event handler.

Declaration

Source position: forms.pp line 440

type THelpEvent = function(

  Command: Word;

  Data: PtrInt;

  var CallHelp: Boolean

):Boolean of object;

Arguments

CallHelp

False means: do not show any help.

Function result

False means: use the default procedure


THintInfoAtMouse

Declaration

Source position: forms.pp line 1234

type THintInfoAtMouse = record

  MousePos: TPoint;

  Control: TControl;

  ControlHasHint: Boolean;

end;


TIdleEvent

Type of an Idle event handler.

Declaration

Source position: forms.pp line 1210

type TIdleEvent = procedure(

  Sender: TObject;

  var Done: Boolean

) of object;

Arguments

Done

Set to True when everything is done.

Description

Lengthy operations should be broken into parts, to keep the application responsive. The handlers are called repeatedly, until all signal Done.


TIsFormDesignFunction

Declaration

Source position: forms.pp line 1823

type TIsFormDesignFunction = function(

  AForm: TWinControl

):Boolean;


TMessageBoxFunction

The type of a MessageBox function.

Declaration

Source position: forms.pp line 1855

type TMessageBoxFunction = function(

  Text: PChar;

  Caption: PChar;

  Flags: LongInt

):Integer;


TModalDialogFinished

Declaration

Source position: forms.pp line 442

type TModalDialogFinished = procedure(

  Sender: TObject;

  AResult: Integer

) of object;


TModalResult

Dummy type for the values that can be returned as a modal result.

Declaration

Source position: forms.pp line 416

type TModalResult = UITypes.TModalResult;

Description

Even though the type is defined as an integer, only the defined constant values should be used (mrOK...).

See also

controls.mrNone | Modal dialog left with None button.
controls.mrOK | Modal dialog left with OK button.
controls.mrCancel | Modal dialog left with Cancel button.
controls.mrAbort | Modal dialog aborted.
controls.mrRetry | Modal dialog left with Retry button.
controls.mrIgnore | Modal dialog left with Ignore button.
controls.mrYes | Modal dialog left with Yes button.
controls.mrNo | Modal dialog left with No button.
controls.mrAll | Modal dialog left with All button.


TOnUserInputEvent

Declaration

Source position: forms.pp line 1211

type TOnUserInputEvent = procedure(

  Sender: TObject;

  Msg: Cardinal

) of object;


TPopupMode

Defines the parent handling for forms and dialogs.

Declaration

Source position: forms.pp line 431

type TPopupMode = (
pmNone, | modal: popup to active form or if not available, to main form; non-modal: no window parent
pmAuto, | modal & non-modal: popup to active form or if not available, to main form
pmExplicit | modal & non-modal: popup to PopupParent or if not available, to main form
);


TPosition

Represents the Position and Size of a Form on Screen.

Declaration

Source position: forms.pp line 57

type TPosition = (
poDesigned, | The Form appears exactly as it is positioned and sized in the Form Designer.
poDefault, | The window manager decides how the form is to appear, in a default position and size.
poDefaultPosOnly, | Keeps the designed form size, but position determined by windowmanager.
poDefaultSizeOnly, | Keeps the designed form position, but size determined by windowmanager.
poScreenCenter, | Centers the form on screen.
poDesktopCenter, | Centers the form on the desktop (not recommended, use poScreenCenter).
poMainFormCenter, | Centers the form on the Main Form.
poOwnerFormCenter, | Centers the form on its Owner form.
poWorkAreaCenter
);

Description

poDesigned - The Form appears exactly as it is positioned and sized in the Form Designer

poDefault - The window manager decides how the form is to appear, in a default position and size

poDefaultPosOnly - keeps the Designed size, but position determined by windowmanager

poDefaultSizeOnly - keeps the Designed position, but size determined by windowmanager

poScreenCenter - Centers the form on screen

poDeskTopCenter - Centers the form on desktop

poMainFormCenter - Centers the Form on the Main Form

poOwnerFormCenter - Centers the Form on Owner form

poWorkAreaCenter - Centers the Form on working area


TProcedure

The type of a procedure that takes no arguments.

Declaration

Source position: forms.pp line 53

type TProcedure = procedure;


TProcedureOfObject

The type of a method that takes no arguments.

Declaration

Source position: forms.pp line 54

type TProcedureOfObject = procedure of object;


TQueryEndSessionEvent

The type of an TApplication.OnQueryEndSession handler.

Declaration

Source position: forms.pp line 1207

type TQueryEndSessionEvent = procedure(

  var Cancel: Boolean

) of object;

Arguments

Cancel

Set Cancel to True to prevent an logoff.


TScrollBarInc

The range of scrollbar increments.

Declaration

Source position: forms.pp line 83

type TScrollBarInc = 1..32768;


TScrollBarKind

The orientation of a ScrollBar.

Declaration

Source position: forms.pp line 82

type TScrollBarKind = (
sbHorizontal, | Horizontal scrollbar.
sbVertical | Vertical scrollbar.
);


TScrollBarStyle

Scrollbar style flags.

Declaration

Source position: forms.pp line 84

type TScrollBarStyle = (
ssRegular, | Default
ssFlat, | Scrollbar appears flat
ssHotTrack | Scrollbar sends HotTrack messages
);


TShortCutEvent

Type of an OnShortcut event handler.

Declaration

Source position: forms.pp line 441

type TShortCutEvent = procedure(

  var Msg: TLMKey;

  var Handled: Boolean

) of object;

Arguments

Msg | The key event message.
Handled | Set Handled to True to prevent further processing of the key.

Description

A shortcut handler is invoked when a key is pressed, before any other processing.

It can interpret the key as an shortcut and act accordingly. In this case Handled should be set to True, to prevent further processing of the key.


TShowHintEvent

Declaration

Source position: forms.pp line 1231

type TShowHintEvent = procedure(

  var HintStr: string;

  var CanShow: Boolean;

  var HintInfo: THintInfo

) of object;


TShowInTaskbar

How a form is represented in the TaskBar.

Declaration

Source position: forms.pp line 425

type TShowInTaskbar = (
stDefault, | Uses the default rules from the platform for showing the form in the TaskBar.
stAlways, | Always show the form in the TaskBar.
stNever | Never show the form in the TaskBar.
);


TTaskBarBehavior

How forms are represented in the TaskBar

Declaration

Source position: forms.pp line 1322

type TTaskBarBehavior = (
tbDefault, | Show TaskBar buttons according to the platform default.
tbMultiButton, | Show buttons for Forms with ShowInTaskBar=stDefault.
tbSingleButton | Hide buttons for Forms with ShowInTaskBar=stDefault.
);


TWindowState

Represents the actual State of the window on the screen.

Declaration

Source position: forms.pp line 69

type TWindowState = (
wsNormal, | Neither maximized nor minimized.
wsMinimized, | The window is minimized and is not shown in the screen, but only in the taskbar.
wsMaximized, | The window appears maximized. The exact behavior is up to the window manager, but usually the window appear occupying all of the work area of a monitor.
wsFullScreen | The window appears in full screen mode, as much as allowed by the platform. It will, for example, attempt to appear on the top of taskbars and other static platform user interface elements.
);

Description

The actual meaning of each value depends on the platform:

Windows and Mac OS X - These operating systems support all values.

X11 - The window state is a hint sent to the Window Manager, so more primitive Window Managers might ignore this hints.

Windows CE - In Windows CE platforms where Application.ApplicationType = atKeyPadDevice or atPDA (like in Windows Phone, PocketPC and Windows Mobile), wsMinimized and wsNormal are understood as wsMaximized, which is the normal state for windows in this platform. An exception are windows with BorderStyle=bsDialog or bsNone, which are allowed to have a custom position and size. For more information please read http://wiki.lazarus.freepascal.org/Windows_CE_Development_Notes#Positioning_and_size_of_Dialogs_and_Forms

Android - In this platform windows are always fullscreen.

The valid values for this enumerated type are:

wsNormal - The window appears normal

wsMinimized - The window is minimized and is not shown in the screen, but only in the taskbar

wsMaximized - The window appears maximized

wsFullScreen - The window appears in full screen mode, as much as allowed by the platform.


BrushResourceCache

Declaration

Source position: graphics.pp line 1992

var BrushResourceCache: TBrushHandleCache = ;


bsBDiagonal

Declaration

Source position: graphics.pp line 177

const bsBDiagonal = FPCanvas.bsBDiagonal;


bsClear

Declaration

Source position: graphics.pp line 173

const bsClear = FPCanvas.bsClear;


bsCross

Declaration

Source position: graphics.pp line 178

const bsCross = FPCanvas.bsCross;


bsDiagCross

Declaration

Source position: graphics.pp line 179

const bsDiagCross = FPCanvas.bsDiagCross;


bsFDiagonal

Declaration

Source position: graphics.pp line 176

const bsFDiagonal = FPCanvas.bsFDiagonal;


bsHorizontal

Declaration

Source position: graphics.pp line 174

const bsHorizontal = FPCanvas.bsHorizontal;


bsSolid

Declaration

Source position: graphics.pp line 172

const bsSolid = FPCanvas.bsSolid;


bsVertical

Declaration

Source position: graphics.pp line 175

const bsVertical = FPCanvas.bsVertical;


cl3DDkShadow

Declaration

Source position: graphics.pp line 292

const cl3DDkShadow = TColor(SYS_COLOR_BASE or COLOR_3DDKSHADOW);


cl3DFace

Declaration

Source position: graphics.pp line 306

const cl3DFace = TColor(SYS_COLOR_BASE or COLOR_3DFACE);


cl3DHiLight

Declaration

Source position: graphics.pp line 308

const cl3DHiLight = TColor(SYS_COLOR_BASE or COLOR_3DHIGHLIGHT);


cl3DLight

Declaration

Source position: graphics.pp line 293

const cl3DLight = TColor(SYS_COLOR_BASE or COLOR_3DLIGHT);


cl3DShadow

Declaration

Source position: graphics.pp line 307

const cl3DShadow = TColor(SYS_COLOR_BASE or COLOR_3DSHADOW);


clActiveBorder

Declaration

Source position: graphics.pp line 281

const clActiveBorder = TColor(SYS_COLOR_BASE or COLOR_ACTIVEBORDER);


clActiveCaption

Declaration

Source position: graphics.pp line 273

const clActiveCaption = TColor(SYS_COLOR_BASE or COLOR_ACTIVECAPTION);


clAppWorkspace

Declaration

Source position: graphics.pp line 283

const clAppWorkspace = TColor(SYS_COLOR_BASE or COLOR_APPWORKSPACE);


clAqua

Declaration

Source position: graphics.pp line 253

const clAqua = TColor($FFFF00);


clBackground

Declaration

Source position: graphics.pp line 272

const clBackground = TColor(SYS_COLOR_BASE or COLOR_BACKGROUND);


clBlack

Declaration

Source position: graphics.pp line 239

const clBlack = TColor($000000);


clBlue

Declaration

Source position: graphics.pp line 251

const clBlue = TColor($FF0000);


clBtnFace

The color of the face of a button. This color is also utilized in many other places for raised areas such as a panel.

Declaration

Source position: graphics.pp line 286

const clBtnFace = TColor(SYS_COLOR_BASE or COLOR_BTNFACE);


clBtnHighlight

Declaration

Source position: graphics.pp line 291

const clBtnHighlight = TColor(SYS_COLOR_BASE or COLOR_BTNHIGHLIGHT);


clBtnHiLight

Declaration

Source position: graphics.pp line 309

const clBtnHiLight = TColor(SYS_COLOR_BASE or COLOR_BTNHILIGHT);


clBtnShadow

Declaration

Source position: graphics.pp line 287

const clBtnShadow = TColor(SYS_COLOR_BASE or COLOR_BTNSHADOW);


clBtnText

The color that the text in a button or other raised area should have.

Declaration

Source position: graphics.pp line 289

const clBtnText = TColor(SYS_COLOR_BASE or COLOR_BTNTEXT);


clCaptionText

Declaration

Source position: graphics.pp line 280

const clCaptionText = TColor(SYS_COLOR_BASE or COLOR_CAPTIONTEXT);


clColorDesktop

Declaration

Source position: graphics.pp line 305

const clColorDesktop = TColor(SYS_COLOR_BASE or COLOR_DESKTOP);


clCream

Declaration

Source position: graphics.pp line 262

const clCream = TColor($F0FBFF);


clDefault

The main color of a given control. This color does not mean anything alone and needs to be resolved using a control instance and for example TControl.GetDefaultColor, TControl.GetColorResolvingParent or TControl.GetRGBColorResolvingParent

Declaration

Source position: graphics.pp line 268

const clDefault = TColor($20000000);

See also

#LCL.Controls.TControl.GetDefaultColor | Get the default color for this widget, from Parent or color type.
#LCL.Controls.TControl.GetColorResolvingParent | Returns the color of the control while resolving clDefault and ParentColor
#LCL.Controls.TControl.GetRGBColorResolvingParent | Returns a RGB value for the color of the control


clDkGray

Declaration

Source position: graphics.pp line 255

const clDkGray = TColor($808080);


clDontMask

Declaration

Source position: graphics.pp line 314

const clDontMask = clBlack;


clFirstSpecialColor

Declaration

Source position: graphics.pp line 311

const clFirstSpecialColor = clBtnHiLight;


clForm

Represents the color of the background of a form

Declaration

Source position: graphics.pp line 302

const clForm = TColor(SYS_COLOR_BASE or COLOR_FORM);


clFuchsia

Declaration

Source position: graphics.pp line 252

const clFuchsia = TColor($FF00FF);


clGradientActiveCaption

Declaration

Source position: graphics.pp line 298

const clGradientActiveCaption = TColor(SYS_COLOR_BASE or COLOR_GRADIENTACTIVECAPTION);


clGradientInactiveCaption

Declaration

Source position: graphics.pp line 299

const clGradientInactiveCaption = TColor(SYS_COLOR_BASE or COLOR_GRADIENTINACTIVECAPTION);


clGray

Declaration

Source position: graphics.pp line 246

const clGray = TColor($808080);


clGrayText

Declaration

Source position: graphics.pp line 288

const clGrayText = TColor(SYS_COLOR_BASE or COLOR_GRAYTEXT);


clGreen

Declaration

Source position: graphics.pp line 241

const clGreen = TColor($008000);


clHighlight

Declaration

Source position: graphics.pp line 284

const clHighlight = TColor(SYS_COLOR_BASE or COLOR_HIGHLIGHT);


clHighlightText

Declaration

Source position: graphics.pp line 285

const clHighlightText = TColor(SYS_COLOR_BASE or COLOR_HIGHLIGHTTEXT);


clHotLight

Declaration

Source position: graphics.pp line 297

const clHotLight = TColor(SYS_COLOR_BASE or COLOR_HOTLIGHT);


clInactiveBorder

Declaration

Source position: graphics.pp line 282

const clInactiveBorder = TColor(SYS_COLOR_BASE or COLOR_INACTIVEBORDER);


clInactiveCaption

Declaration

Source position: graphics.pp line 274

const clInactiveCaption = TColor(SYS_COLOR_BASE or COLOR_INACTIVECAPTION);


clInactiveCaptionText

Declaration

Source position: graphics.pp line 290

const clInactiveCaptionText = TColor(SYS_COLOR_BASE or COLOR_INACTIVECAPTIONTEXT);


clInfoBk

Declaration

Source position: graphics.pp line 295

const clInfoBk = TColor(SYS_COLOR_BASE or COLOR_INFOBK);


clInfoText

Declaration

Source position: graphics.pp line 294

const clInfoText = TColor(SYS_COLOR_BASE or COLOR_INFOTEXT);


clLime

Declaration

Source position: graphics.pp line 249

const clLime = TColor($00FF00);


clLtGray

Declaration

Source position: graphics.pp line 254

const clLtGray = TColor($C0C0C0);


clMaroon

Declaration

Source position: graphics.pp line 240

const clMaroon = TColor($000080);


clMask

Declaration

Source position: graphics.pp line 313

const clMask = clWhite;


clMedGray

Declaration

Source position: graphics.pp line 263

const clMedGray = TColor($A4A0A0);


clMenu

Declaration

Source position: graphics.pp line 275

const clMenu = TColor(SYS_COLOR_BASE or COLOR_MENU);


clMenuBar

Declaration

Source position: graphics.pp line 301

const clMenuBar = TColor(SYS_COLOR_BASE or COLOR_MENUBAR);


clMenuHighlight

Declaration

Source position: graphics.pp line 300

const clMenuHighlight = TColor(SYS_COLOR_BASE or COLOR_MENUHILIGHT);


clMenuText

The color of the text in menus

Declaration

Source position: graphics.pp line 278

const clMenuText = TColor(SYS_COLOR_BASE or COLOR_MENUTEXT);


clMoneyGreen

Declaration

Source position: graphics.pp line 260

const clMoneyGreen = TColor($C0DCC0);


clNavy

Declaration

Source position: graphics.pp line 243

const clNavy = TColor($800000);


clNone

Declaration

Source position: graphics.pp line 267

const clNone = TColor($1FFFFFFF);


clOlive

Declaration

Source position: graphics.pp line 242

const clOlive = TColor($008080);


clPurple

Declaration

Source position: graphics.pp line 244

const clPurple = TColor($800080);


clRed

Declaration

Source position: graphics.pp line 248

const clRed = TColor($0000FF);


clScrollBar

Declaration

Source position: graphics.pp line 271

const clScrollBar = TColor(SYS_COLOR_BASE or COLOR_SCROLLBAR);


clSilver

Declaration

Source position: graphics.pp line 247

const clSilver = TColor($C0C0C0);


clSkyBlue

Declaration

Source position: graphics.pp line 261

const clSkyBlue = TColor($F0CAA6);


clTeal

Declaration

Source position: graphics.pp line 245

const clTeal = TColor($808000);


clWhite

Declaration

Source position: graphics.pp line 256

const clWhite = TColor($FFFFFF);


clWindow

The color of the background of a widget, for example a TEdit. This is usually white. Don't confuse this with the background of a window, or form, which is given by clForm

Declaration

Source position: graphics.pp line 276

const clWindow = TColor(SYS_COLOR_BASE or COLOR_WINDOW);


clWindowFrame

Declaration

Source position: graphics.pp line 277

const clWindowFrame = TColor(SYS_COLOR_BASE or COLOR_WINDOWFRAME);


clWindowText

The color of the text in a widget, such as for example TEdit. This is usually black. Don't confuse with the color of the window decoration caption or of a raised control such as buttons or anything else.

Declaration

Source position: graphics.pp line 279

const clWindowText = TColor(SYS_COLOR_BASE or COLOR_WINDOWTEXT);

See also

clWindow | The color of the background of a widget, for example a TEdit. This is usually white. Don't confuse this with the background of a window, or form, which is given by clForm
clBtnText | The color that the text in a button or other raised area should have.


clYellow

Declaration

Source position: graphics.pp line 250

const clYellow = TColor($00FFFF);


cmBlackness

Ternary raster operation (Dst op Src op Pattern): Fills the destination area with all black.

Declaration

Source position: graphics.pp line 397

const cmBlackness = BLACKNESS;


cmDstInvert

Ternary raster operation (Dst op Src op Pattern): Fills the destination area with (not Dst)

Declaration

Source position: graphics.pp line 398

const cmDstInvert = DSTINVERT;


cmMergeCopy

Ternary raster operation (Dst op Src op Pattern): Fills the destination area with (Src and Pattern)

Declaration

Source position: graphics.pp line 399

const cmMergeCopy = MERGECOPY;


cmMergePaint

Ternary raster operation (Dst op Src op Pattern): Fills the destination area with (Dst or not Src)

Declaration

Source position: graphics.pp line 400

const cmMergePaint = MERGEPAINT;


cmNotSrcCopy

Ternary raster operation (Dst op Src op Pattern): Fills the destination area with (not Src)

Declaration

Source position: graphics.pp line 401

const cmNotSrcCopy = NOTSRCCOPY;


cmNotSrcErase

Ternary raster operation (Dst op Src op Pattern): Fills the destination area with (not (Dst or Src))

Declaration

Source position: graphics.pp line 402

const cmNotSrcErase = NOTSRCERASE;


cmPatCopy

Ternary raster operation (Dst op Src op Pattern): Fills the destination area with (Pattern)

Declaration

Source position: graphics.pp line 403

const cmPatCopy = PATCOPY;


cmPatInvert

Ternary raster operation (Dst op Src op Pattern): Fills the destination area with (Dst xor Pattern)

Declaration

Source position: graphics.pp line 404

const cmPatInvert = PATINVERT;


cmPatPaint

Ternary raster operation (Dst op Src op Pattern): Fills the destination area with (Dst or (not Src) or Pattern)

Declaration

Source position: graphics.pp line 405

const cmPatPaint = PATPAINT;


cmSrcAnd

Ternary raster operation (Dst op Src op Pattern): Fills the destination area with (Dst and Src)

Declaration

Source position: graphics.pp line 406

const cmSrcAnd = SRCAND;


cmSrcCopy

Ternary raster operation (Dst op Src op Pattern): Fills the destination area with Src.

Declaration

Source position: graphics.pp line 407

const cmSrcCopy = SRCCOPY;


cmSrcErase

Ternary raster operation (Dst op Src op Pattern): Fills the destination area with ((not Dst) and Src)

Declaration

Source position: graphics.pp line 408

const cmSrcErase = SRCERASE;


cmSrcInvert

Ternary raster operation (Dst op Src op Pattern): Fills the destination area with (Dst xor Src)

Declaration

Source position: graphics.pp line 409

const cmSrcInvert = SRCINVERT;


cmSrcPaint

Ternary raster operation (Dst op Src op Pattern): Fills the destination area with (Dst or Src)

Declaration

Source position: graphics.pp line 410

const cmSrcPaint = SRCPAINT;


cmWhiteness

Ternary raster operation (Dst op Src op Pattern): Fills the destination area with all white.

Declaration

Source position: graphics.pp line 411

const cmWhiteness = WHITENESS;


DefFontData

Default Data for any new Font

Declaration

Source position: graphics.pp line 94

const DefFontData: TFontData = (Handle: 0; Height: 0; Pitch: fpDefault; Style: []; Charset: DEFAULT_CHARSET; Quality: fqDefault; Name: 'default'; Orientation: 0);

Description

New TFont instances are initialized with the values in this structure.

About font default values: The default font is chosen by the interfaces depending on the context.

For example, there can be a different default font for a button and a groupbox.

See also

TFontData

A record holding Data about the current Font


ExtendedColorCount

Declaration

Source position: graphics.pp line 264

const ExtendedColorCount = 4;


FontCharsets

Declaration

Source position: graphics.pp line 1995

const FontCharsets: array [0..18] of TIdentMapEntry = ((Value: ANSI_CHARSET; Name: 'ANSI_CHARSET'), (Value: DEFAULT_CHARSET; Name: 'DEFAULT_CHARSET'), (Value: SYMBOL_CHARSET; Name: 'SYMBOL_CHARSET'), (Value: MAC_CHARSET; Name: 'MAC_CHARSET'), (Value: SHIFTJIS_CHARSET; Name: 'SHIFTJIS_CHARSET'), (Value: HANGEUL_CHARSET; Name: 'HANGEUL_CHARSET'), (Value: JOHAB_CHARSET; Name: 'JOHAB_CHARSET'), (Value: GB2312_CHARSET; Name: 'GB2312_CHARSET'), (Value: CHINESEBIG5_CHARSET; Name: 'CHINESEBIG5_CHARSET'), (Value: GREEK_CHARSET; Name: 'GREEK_CHARSET'), (Value: TURKISH_CHARSET; Name: 'TURKISH_CHARSET'), (Value: VIETNAMESE_CHARSET; Name: 'VIETNAMESE_CHARSET'), (Value: HEBREW_CHARSET; Name: 'HEBREW_CHARSET'), (Value: ARABIC_CHARSET; Name: 'ARABIC_CHARSET'), (Value: BALTIC_CHARSET; Name: 'BALTIC_CHARSET'), (Value: RUSSIAN_CHARSET; Name: 'RUSSIAN_CHARSET'), (Value: THAI_CHARSET; Name: 'THAI_CHARSET'), (Value: EASTEUROPE_CHARSET; Name: 'EASTEUROPE_CHARSET'), (Value: OEM_CHARSET; Name: 'OEM_CHARSET'));


FontResourceCache

Declaration

Source position: graphics.pp line 1990

var FontResourceCache: TFontHandleCache = ;


Reference for unit 'Graphics'

Unit contains definitions for many fundamental classes and types used in graphic applications

uses
System,
sysutils,
Math,
Types,
Classes,
contnrs,
Laz_AVL_Tree,
FPImage, |
FPCanvas,
FPWriteBMP, |
FPWritePNG, |
PNGComn,
FPReadPNM,
FPWritePNM,
FPReadJpeg,
FPWriteJpeg,
FPReadTiff,
FPTiffCmn,
FPReadGif,
FPCAdds, |
LazUTF8Classes,
LazLoggerBase,
LazUtilities,
LCLVersion, | Contains the version number constants of the LCL.
LCLStrConsts, | This unit contains all resource strings of the LCL
LCLType, | This unit is being created specifically for compatibility with Delphi. It should only be used for constants and type definitions that are included in the Delphi Windows unit. This is only done for compatibiltiy.
LCLProc, | Useful lower level helper functions and classes
LMessages, |
LResources, | This unit maintains and stores all standard Lazarus resources in the global LazarusResources list and provides methods and types for component streaming.
LCLResCache, | Types and methods to cache interface resources
IntfGraphics, | Classes and functions for easy handling of raw images (interface images)
GraphType, |
IcnsTypes, |
GraphMath, | A Set of Mathematical Helper routines to simply Cross-Platfrom Canvas drawing etc
WSReferences;

Related topics

Progress

Monitoring the progress of drawing a complicated Graphic


Reference for unit 'Graphics': Constants

bsBDiagonal |
bsClear |
bsCross |
bsDiagCross |
bsFDiagonal |
bsHorizontal |
bsSolid |
bsVertical |
cl3DDkShadow |
cl3DFace |
cl3DHiLight |
cl3DLight |
cl3DShadow |
clActiveBorder |
clActiveCaption |
clAppWorkspace |
clAqua |
clBackground |
clBlack |
clBlue |
clBtnFace | The color of the face of a button. This color is also utilized in many other places for raised areas such as a panel.
clBtnHighlight |
clBtnHiLight |
clBtnShadow |
clBtnText | The color that the text in a button or other raised area should have.
clCaptionText |
clColorDesktop |
clCream |
clDefault | The main color of a given control. This color does not mean anything alone and needs to be resolved using a control instance and for example TControl.GetDefaultColor, TControl.GetColorResolvingParent or TControl.GetRGBColorResolvingParent
clDkGray |
clDontMask |
clFirstSpecialColor |
clForm | Represents the color of the background of a form
clFuchsia |
clGradientActiveCaption |
clGradientInactiveCaption |
clGray |
clGrayText |
clGreen |
clHighlight |
clHighlightText |
clHotLight |
clInactiveBorder |
clInactiveCaption |
clInactiveCaptionText |
clInfoBk |
clInfoText |
clLime |
clLtGray |
clMaroon |
clMask |
clMedGray |
clMenu |
clMenuBar
clMenuHighlight
clMenuText | The color of the text in menus
clMoneyGreen |
clNavy |
clNone |
clOlive |
clPurple |
clRed |
clScrollBar |
clSilver |
clSkyBlue |
clTeal |
clWhite |
clWindow | The color of the background of a widget, for example a TEdit. This is usually white. Don't confuse this with the background of a window, or form, which is given by clForm
clWindowFrame |
clWindowText | The color of the text in a widget, such as for example TEdit. This is usually black. Don't confuse with the color of the window decoration caption or of a raised control such as buttons or anything else.
clYellow |
cmBlackness | Ternary raster operation (Dst op Src op Pattern): Fills the destination area with all black.
cmDstInvert | Ternary raster operation (Dst op Src op Pattern): Fills the destination area with (not Dst)
cmMergeCopy | Ternary raster operation (Dst op Src op Pattern): Fills the destination area with (Src and Pattern)
cmMergePaint | Ternary raster operation (Dst op Src op Pattern): Fills the destination area with (Dst or not Src)
cmNotSrcCopy | Ternary raster operation (Dst op Src op Pattern): Fills the destination area with (not Src)
cmNotSrcErase | Ternary raster operation (Dst op Src op Pattern): Fills the destination area with (not (Dst or Src))
cmPatCopy | Ternary raster operation (Dst op Src op Pattern): Fills the destination area with (Pattern)
cmPatInvert | Ternary raster operation (Dst op Src op Pattern): Fills the destination area with (Dst xor Pattern)
cmPatPaint | Ternary raster operation (Dst op Src op Pattern): Fills the destination area with (Dst or (not Src) or Pattern)
cmSrcAnd | Ternary raster operation (Dst op Src op Pattern): Fills the destination area with (Dst and Src)
cmSrcCopy | Ternary raster operation (Dst op Src op Pattern): Fills the destination area with Src.
cmSrcErase | Ternary raster operation (Dst op Src op Pattern): Fills the destination area with ((not Dst) and Src)
cmSrcInvert | Ternary raster operation (Dst op Src op Pattern): Fills the destination area with (Dst xor Src)
cmSrcPaint | Ternary raster operation (Dst op Src op Pattern): Fills the destination area with (Dst or Src)
cmWhiteness | Ternary raster operation (Dst op Src op Pattern): Fills the destination area with all white.
DefFontData | Default Data for any new Font
ExtendedColorCount
FontCharsets |
PIXELFORMAT_BPP
pmBlack |
pmCopy |
pmMask |
pmMaskNotPen |
pmMaskPenNot |
pmMerge |
pmMergeNotPen |
pmMergePenNot |
pmNop |
pmNot |
pmNotCopy |
pmNotMask |
pmNotMerge |
pmNotXor |
pmWhite |
pmXor |
psClear |
psDash |
psDashDot |
psDashDotDot |
psDot |
psInsideframe |
psPattern
psSolid |
StandardColorsCount


Reference for unit 'Graphics': Types

PColor |
PIcnsRec
TAntialiasingMode
TBitmapHandleType |
TBrushStyle | Style of Brush to be used
TCanvasOrientation |
TCanvasState |
TCanvasStates |
TColor | A color type used by most LCL drawing functions
TCopymode |
TCustomBitmapClass |
TDefaultColorType
TFillMode |
TFillStyle |
TFontCharSet |
TFontData | A record holding Data about the current Font
TFontDataName |
TFontName |
TFontPitch |
TFontQuality | Output font quality, such as antialiasing
TFontStyle |
TFontStyles |
TFontStylesbase |
TFPImageBitmapClass | TFPImageBitmapClass - class of TFPImageBitmap
TGetColorStringProc |
TGradientDirection |
TGraphicClass | TGraphicClass - class of TGraphic
TIcnsRec
TIconImageClass |
TJPEGPerformance |
TJPEGQualityRange |
TLCLTextMetric
TOnGetSystemFont
TOnLoadGraphicFromClipboardFormat |
TOnSaveGraphicToClipboardFormat |
TPenEndCap
TPenJoinStyle
TPenMode |
TPenPattern
TPenStyle |
TPixelFormat |
TProgressEvent | TProgressEvent - for monitoring the progress of a drawing process
TProgressStage |
TRasterImageClass
TRegionCombineMode
TRegionOperation
TRegionOperations
TRegionOperationType
TSharedRasterImageClass | TSharedRasterImageClass - class of TSharedRasterImage
TTextLayout | How the Text is to be laid out in the Text Rectangle
TTextStyle | The Style of the Text to be drawn in a rectangle
TTiffUnit
TTransparentMode |


Reference for unit 'Graphics': Classes

EGraphicException | EGraphicException - exception handler for error in graphics
EInvalidGraphic | EInvalidGraphic - exception handler for an invalid graphic
EInvalidGraphicOperation | EInvalidGraphicOperation - exception handler for invalid graphic operation
TBitmap | TBitmap is the data of an image, and can be loaded from a file, stream or resource in .bmp or .xpm format
TBrush | The Brush to be used to Paint on the current Canvas
TBrushHandleCache | TBrushHandleCache - resource cache for Brush Handles
TCanvas | TCanvas represents a drawing surface which might be attached to a visual control which might be displayed on the screen or to an offscreen bitmap. It contains a number of drawing functions.
TCursorImage | TCursorImage - an Icon to be used to represent a cursor
TCursorImageImage | TCursorImageImage - the image for a cursor, stored as an Icon
TCustomBitmap | TCustomBitMap - the base class for TBitmap
TCustomIcon | TCustomIcon - base class for TIcon
TFont | The Font to be used for drawing Text
TFontHandleCache | TFontHandleCache - a resource cache for font handles
TFontHandleCacheDescriptor | TFontHandleCacheDescriptor - descriptor for items in Font Handle Cache
TFPImageBitmap | A class of Bitmap using the FPImage reader and writer (ie customised for FreePascal)
TGIFImage
TGraphic | TGraphic - Base class for dealing with Graphic images
TGraphicsObject | TGraphicsObject - Primitive ancestor class, mainly for Delphi compatibility
TIcnsIcon
TIcnsList
TIcon | TIcon - icons, small images typically associated with applications, controls, etc.
TIconImage | TIconImage - a primitive Icon class with handles for the Bitmap, Mask and Palette
TJPEGImage | TJPEGImage - a class for handling images stored in JPEG (compressed) format
TPen | The current Pen for drawing on the current Canvas
TPenHandleCache | TPenHandleCache - Resource Cache for Pen Handles
TPenHandleCacheDescriptor | TPenHandleCacheDescriptor - a cache descriptor for Pen Handles
TPicture | TPicture is a TGraphic container, used in place of a TGraphic if the graphic can be of any TGraphic class.
TPixmap | PixMap - a class derived from TBitMap , with wrapper to deal specifically with PixMaps (ie using 'XPM' format)
TPortableAnyMapGraphic | TPortableAnyMapGraphic - a PAM graphic image
TPortableNetworkGraphic | TPortableNetworkGraphic - a PNG image
TRasterImage | TRasterImage - base class for a number of graphic controls, including TCustomBitmap and TCustomIcon, which use a raster of dots to display graphic information
TRegion | A defined Region on the screen, in which text is written
TSharedBitmap | TSharedBitmap - a reference counted Bitmap graphic
TSharedCursorImage | TSharedCursorImage - a reference counted shared image to be used for cursors
TSharedCustomBitmap | TSharedCustomBitmap - a reference counted base class for TSharedBitmap, TSharedPixmap, TSharedJPEGImage, TSharedPortableNetworkGraphic and TSharedPortableAnyMapGraphic
TSharedGIFImage
TSharedIcnsIcon
TSharedIcon | TSharedIcon - a reference counted shared Icon
TSharedImage | TSharedImage - base class for reference counted images
TSharedJpegImage | TSharedJpegImage - a reference counted shared image of type JPEG
TSharedPixmap | TSharedPixmap - a reference counted Pixmap graphic
TSharedPortableAnyMapGraphic | TSharedPortableAnyMapGraphic - a reference counted shared PAMG
TSharedPortableNetworkGraphic | TSharedPortableNetworkGraphic - a reference counted PNG Image
TSharedRasterImage | TSharedRasterImage - a reference counted raster image (may be shared between several controls)
TSharedTiffImage
TTiffImage


Reference for unit 'Graphics': Procedures and functions

AllocPatternBitmap
Blue | Finds the Blue component of the supplied colour
CharsetToIdent |
ClearXLFDHeight |
ClearXLFDItem |
ClearXLFDPitch |
ClearXLFDStyle |
ColorIndex
ColorToIdent | ColorToIdent - given a Color value, find its name (Ident) in the look-up table of Colors
ColorToRGB | ColorToRGB - given a Color value, converts into RGB
ColorToString | ColorToString - given a colour value, returns a corresponding colour name like 'Green'
CreateBitmapFromFPImage
CreateBitmapFromLazarusResource | CreateBitmapFromLazarusResource - creates a bitmap image using data read into a stream from a Lazarus Resource (.LRS)
CreateBitmapFromResourceName
CreateCompatibleBitmaps
CreateGraphicFromResourceName
DbgS |
DecColor | DecColor - decrease the component RGBs of a colour by the quantity specified (usually results in a darker colour overall)
ExtractFamilyFromXLFDName |
ExtractXLFDItem |
FontNameToPangoFontDescStr |
FPColorToTColor | FPColorToTColor - converts a colour specified as a FPColor to a colour of type TColor
FPColorToTColorRef
GetCharsetValues |
GetColorValues |
GetDefFontCharSet |
GetFontData
GetGraphicClassForFileExtension |
GraphicExtension |
GraphicFileMask |
GraphicFilter |
Green | Finds the Green component of the supplied colour
IdentEntry | IdentEntry - checks that a given Entry exists in a Map of colour names
IdentToCharset |
IdentToColor | IdentToColor - given a colour identifier (name) returns the colour value
InvertColor | InvertColor - returns the complementary colour to the supplied value - helps to produce a 'negative' image
IsFontNameXLogicalFontDesc |
IsSysColor
LazResourceXPMToPPChar |
LoadBitmapFromLazarusResource | Deprecated - technically a bitmap is created, not loaded
LoadBitmapFromLazarusResourceHandle | Deprecated - technically a bitmap is created, not loaded
LoadCursorFromLazarusResource | LoadCursorFromLazarusResource - loads a named cursor handle from the Lazarus Resource (.LRS)
ReadXPMFromStream |
ReadXPMSize |
Red | Finds the Red component of the supplied colour
RedGreenBlue | RedGreenBlue - decomposes a composite colour into its component Red, Green and Blue values
Register |
RGBToColor | RGBToColor - assembles the supplied values for Red, Green and Blue into a composite colour
ScaleX
ScaleY
StringToColor | StringToColor - given a colour name like 'clBlue', returns the corresponding colour value
StringToColorDef
SysColorToSysColorIndex | SysColorToSysColorIndex - if Color is one of the system colours, returns the Index of the system colour
TColorToFPColor | TColorToFPColor - converts a colour of type TColor to one specified as a FPColor
TestStreamIsBMP |
TestStreamIsCursor |
TestStreamIsIcon |
TestStreamIsXPM |
UpdateHandleObjects |
XLFDHeightIsSet |
XLFDNameToLogFont |
XPMToPPChar |


Reference for unit 'Graphics': Variables

BrushResourceCache

FontResourceCache

OnGetSystemFont

OnLoadGraphicFromClipboardFormat

OnLoadSaveClipBrdGraphicValid

OnSaveGraphicToClipboardFormat

PenResourceCache

ScreenInfo


Index of all identifiers in unit 'Graphics'

A B C D E F G I L O P R S T U X

A

AllocPatternBitmap | amOff
amDontCare | amOn

B

Blue | bsBDiagonal | bsFDiagonal
bmDDB | bsClear | bsHorizontal
bmDIB | bsCross | bsSolid
BrushResourceCache | bsDiagCross | bsVertical

C

CharsetToIdent | clGray | clWindowText
cl3DDkShadow | clGrayText | clYellow
cl3DFace | clGreen | cmBlackness
cl3DHiLight | clHighlight | cmDstInvert
cl3DLight | clHighlightText | cmMergeCopy
cl3DShadow | clHotLight | cmMergePaint
clActiveBorder | clInactiveBorder | cmNotSrcCopy
clActiveCaption | clInactiveCaption | cmNotSrcErase
clAppWorkspace | clInactiveCaptionText | cmPatCopy
clAqua | clInfoBk | cmPatInvert
clBackground | clInfoText | cmPatPaint
clBlack | clLime | cmSrcAnd
clBlue | clLtGray | cmSrcCopy
clBtnFace | clMaroon | cmSrcErase
clBtnHighlight | clMask | cmSrcInvert
clBtnHiLight | clMedGray | cmSrcPaint
clBtnShadow | clMenu | cmWhiteness
clBtnText | clMenuBar | ColorIndex
clCaptionText | clMenuHighlight | ColorToIdent
clColorDesktop | clMenuText | ColorToRGB
clCream | clMoneyGreen | ColorToString
clDefault | clNavy | coRighttoLeft
clDkGray | clNone | CreateBitmapFromFPImage
clDontMask | clOlive | CreateBitmapFromLazarusResource
ClearXLFDHeight | clPurple | CreateBitmapFromResourceName
ClearXLFDItem | clRed | CreateCompatibleBitmaps
ClearXLFDPitch | clScrollBar | CreateGraphicFromResourceName
ClearXLFDStyle | clSilver | csBrushValid
clFirstSpecialColor | clSkyBlue | csFontValid
clForm | clTeal | csHandleValid
clFuchsia | clWhite | csLefttoRight
clGradientActiveCaption | clWindow | csPenvalid
clGradientInactiveCaption | clWindowFrame | csRegionValid

D

DbgS | dctFont | DefFontData
dctBrush | DecColor |

E

EGraphicException | EInvalidGraphicOperation | ExtractFamilyFromXLFDName
EInvalidGraphic | ExtendedColorCount | ExtractXLFDItem

F

fmAlternate | fpDefault | fqDraft
fmWinding | fpFixed | fqNonAntialiased
FontCharsets | fpVariable | fqProof
FontNameToPangoFontDescStr | fqAntialiased | fsBold
FontResourceCache | fqCleartype | fsItalic
FPColorToTColor | fqCleartypeNatural | fsStrikeOut
FPColorToTColorRef | fqDefault | fsUnderline

G

gdHorizontal | GetDefFontCharSet | GraphicFileMask
gdVertical | GetFontData | GraphicFilter
GetCharsetValues | GetGraphicClassForFileExtension | Green
GetColorValues | GraphicExtension |

I

IdentEntry | IdentToColor | IsFontNameXLogicalFontDesc
IdentToCharset | InvertColor | IsSysColor

L

LazResourceXPMToPPChar | LoadBitmapFromLazarusResourceHandle
LoadBitmapFromLazarusResource | LoadCursorFromLazarusResource

O

OnGetSystemFont | OnLoadSaveClipBrdGraphicValid
OnLoadGraphicFromClipboardFormat | OnSaveGraphicToClipboardFormat

P

PColor | PIXELFORMAT_BPP | pmNotMask
pecFlat | pjsBevel | pmNotMerge
pecRound | pjsMiter | pmNotXor
pecSquare | pjsRound | pmWhite
PenResourceCache | pmBlack | pmXor
pf15bit | pmCopy | psClear
pf16bit | pmMask | psDash
pf1bit | pmMaskNotPen | psDashDot
pf24bit | pmMaskPenNot | psDashDotDot
pf32bit | pmMerge | psDot
pf4bit | pmMergeNotPen | psInsideframe
pf8bit | pmMergePenNot | psPattern
pfCustom | pmNop | psSolid
pfDevice | pmNot |
PIcnsRec | pmNotCopy |

R

ReadXPMFromStream | RGBToColor | rgnNewRect
ReadXPMSize | rgnAnd | rgnOr
Red | rgnCombine | rgnXOR
RedGreenBlue | rgnCopy |
Register | rgnDiff |

S

ScaleX | StandardColorsCount | SysColorToSysColorIndex
ScaleY | StringToColor |
ScreenInfo | StringToColorDef |

T

TAntialiasingMode | TFontStylesbase | TPixelFormat
TBitmap | TFPImageBitmap | TPixmap
TBitmapHandleType | TFPImageBitmapClass | TPortableAnyMapGraphic
TBrush | TGetColorStringProc | TPortableNetworkGraphic
TBrushHandleCache | TGIFImage | TProgressEvent
TBrushStyle | TGradientDirection | TProgressStage
TCanvas | TGraphic | TRasterImage
TCanvasOrientation | TGraphicClass | TRasterImageClass
TCanvasState | TGraphicsObject | TRegion
TCanvasStates | TIcnsIcon | TRegionCombineMode
TColor | TIcnsList | TRegionOperation
TColorToFPColor | TIcnsRec | TRegionOperations
TCopymode | TIcon | TRegionOperationType
TCursorImage | TIconImage | TSharedBitmap
TCursorImageImage | TIconImageClass | TSharedCursorImage
TCustomBitmap | TJPEGImage | TSharedCustomBitmap
TCustomBitmapClass | TJPEGPerformance | TSharedGIFImage
TCustomIcon | TJPEGQualityRange | TSharedIcnsIcon
TDefaultColorType | tlBottom | TSharedIcon
TestStreamIsBMP | tlCenter | TSharedImage
TestStreamIsCursor | TLCLTextMetric | TSharedJpegImage
TestStreamIsIcon | tlTop | TSharedPixmap
TestStreamIsXPM | tmAuto | TSharedPortableAnyMapGraphic
TFillMode | tmFixed | TSharedPortableNetworkGraphic
TFillStyle | TOnGetSystemFont | TSharedRasterImage
TFont | TOnLoadGraphicFromClipboardFormat | TSharedRasterImageClass
TFontCharSet | TOnSaveGraphicToClipboardFormat | TSharedTiffImage
TFontData | TPen | TTextLayout
TFontDataName | TPenEndCap | TTextStyle
TFontHandleCache | TPenHandleCache | TTiffImage
TFontHandleCacheDescriptor | TPenHandleCacheDescriptor | TTiffUnit
TFontName | TPenJoinStyle | TTransparentMode
TFontPitch | TPenMode | tuCentimeter
TFontQuality | TPenPattern | tuInch
TFontStyle | TPenStyle | tuNone
TFontStyles | TPicture | tuUnknown

U

UpdateHandleObjects

X

XLFDHeightIsSet XLFDNameToLogFont XPMToPPChar


OnGetSystemFont

Declaration

Source position: graphics.pp line 1951

var OnGetSystemFont: TOnGetSystemFont = Nil;


OnLoadGraphicFromClipboardFormat

Declaration

Source position: graphics.pp line 1949

var OnLoadGraphicFromClipboardFormat: TOnLoadGraphicFromClipboardFormat = Nil;


OnLoadSaveClipBrdGraphicValid

Declaration

Source position: graphics.pp line 1948

var OnLoadSaveClipBrdGraphicValid: Boolean = False;


OnSaveGraphicToClipboardFormat

Declaration

Source position: graphics.pp line 1950

var OnSaveGraphicToClipboardFormat: TOnSaveGraphicToClipboardFormat = Nil;


PColor

Declaration

Source position: graphics.pp line 65

type PColor = ^TColor;


PenResourceCache

Declaration

Source position: graphics.pp line 1991

var PenResourceCache: TPenHandleCache = ;


PIcnsRec

Declaration

Source position: graphics.pp line 1666

type PIcnsRec = ^TIcnsRec;


PIXELFORMAT_BPP

Declaration

Source position: graphics.pp line 224

const PIXELFORMAT_BPP: array [TPixelFormat] of Byte = (0, 1, 4, 8, 15, 16, 24, 32, 0);


pmBlack

Declaration

Source position: graphics.pp line 155

const pmBlack = FPCanvas.pmBlack;


pmCopy

Declaration

Source position: graphics.pp line 159

const pmCopy = FPCanvas.pmCopy;


pmMask

Declaration

Source position: graphics.pp line 167

const pmMask = FPCanvas.pmMask;


pmMaskNotPen

Declaration

Source position: graphics.pp line 164

const pmMaskNotPen = FPCanvas.pmMaskNotPen;


pmMaskPenNot

Declaration

Source position: graphics.pp line 162

const pmMaskPenNot = FPCanvas.pmMaskPenNot;


pmMerge

Declaration

Source position: graphics.pp line 165

const pmMerge = FPCanvas.pmMerge;


pmMergeNotPen

Declaration

Source position: graphics.pp line 163

const pmMergeNotPen = FPCanvas.pmMergeNotPen;


pmMergePenNot

Declaration

Source position: graphics.pp line 161

const pmMergePenNot = FPCanvas.pmMergePenNot;


pmNop

Declaration

Source position: graphics.pp line 157

const pmNop = FPCanvas.pmNop;


pmNot

Declaration

Source position: graphics.pp line 158

const pmNot = FPCanvas.pmNot;


pmNotCopy

Declaration

Source position: graphics.pp line 160

const pmNotCopy = FPCanvas.pmNotCopy;


pmNotMask

Declaration

Source position: graphics.pp line 168

const pmNotMask = FPCanvas.pmNotMask;


pmNotMerge

Declaration

Source position: graphics.pp line 166

const pmNotMerge = FPCanvas.pmNotMerge;


pmNotXor

Declaration

Source position: graphics.pp line 170

const pmNotXor = FPCanvas.pmNotXor;


pmWhite

Declaration

Source position: graphics.pp line 156

const pmWhite = FPCanvas.pmWhite;


pmXor

Declaration

Source position: graphics.pp line 169

const pmXor = FPCanvas.pmXor;


Monitoring the progress of drawing a complicated Graphic

TProgressEvent is a generic progress notification event which may be used by TGraphic classes with computationally intensive (slow) operations, such as loading, storing, or transforming image data.

Event params:
Stage | Indicates whether this call to the OnProgress event is to prepare for, process, or clean up after a graphic operation. If OnProgress is called at all, the first call for a graphic operation will be with Stage = psStarting, to allow the OnProgress event handler to allocate whatever resources it needs to process subsequent progress notifications. After Stage = psStarting, you are guaranteed that OnProgress will be called again with Stage = psEnding to allow you to free those resources, even if the graphic operation is aborted by an exception. Zero or more calls to OnProgress with Stage = psRunning may occur between the psStarting and psEnding calls.
PercentDone | The ratio of work done to work remaining, on a scale of 0 to 100. Values may repeat or even regress (get smaller) in successive calls. PercentDone is usually only a guess, and the guess may be dramatically altered as new information is discovered in decoding the image. The value of this property could usefully be passed to a ProgressBar to show the user how drawing is progressing
RedrawNow | Indicates whether the graphic can be/should be redrawn immediately. Useful for showing successive approximations of an image as data is available instead of waiting for all the data to arrive before drawing anything. Since there is no message loop activity during graphic operations, you should call Update to force a control to be redrawn immediately in the OnProgress event handler. Redrawing a graphic when RedrawNow = False could corrupt the image and/or cause exceptions.
Rect | Area of image that has changed and needs to be redrawn.
Msg | Optional text describing in one or two words what the graphic class is currently working on. Ex: "Loading" "Storing" "Reducing colors". The Msg string can also be empty. Msg strings should be resourced for translation, should not contain trailing periods, and should be used only for display purposes. (Do not use the construct: if Msg = 'Loading' then...)


psClear

Declaration

Source position: graphics.pp line 151

const psClear = FPCanvas.psClear;


psDash

Declaration

Source position: graphics.pp line 147

const psDash = FPCanvas.psDash;


psDashDot

Declaration

Source position: graphics.pp line 149

const psDashDot = FPCanvas.psDashDot;


psDashDotDot

Declaration

Source position: graphics.pp line 150

const psDashDotDot = FPCanvas.psDashDotDot;


psDot

Declaration

Source position: graphics.pp line 148

const psDot = FPCanvas.psDot;


psInsideframe

Declaration

Source position: graphics.pp line 152

const psInsideframe = FPCanvas.psInsideframe;


psPattern

Declaration

Source position: graphics.pp line 153

const psPattern = FPCanvas.psPattern;


psSolid

Declaration

Source position: graphics.pp line 146

const psSolid = FPCanvas.psSolid;


ScreenInfo

Declaration

Source position: graphics.pp line 1983

var ScreenInfo: TScreenInfo = (PixelsPerInchX: 72; PixelsPerInchY: 72; ColorDepth: 24; Initialized: False);


StandardColorsCount

Declaration

Source position: graphics.pp line 257

const StandardColorsCount = 16;


TAntialiasingMode

Declaration

Source position: graphics.pp line 947

type TAntialiasingMode = (

  amDontCare,

  amOn,

  amOff

);


TBrushStyle

Style of Brush to be used

Declaration

Source position: graphics.pp line 677

type TBrushStyle = TFPBrushStyle;


TColor

A color type used by most LCL drawing functions

Declaration

Source position: graphics.pp line 66

type TColor = TGraphicsColor;

Description

Format is $00bbggrr - blue, green, red. There are some predefined color constants like TMaroon. See ColorToRGB and RGBToColor. Additionally there are "system colors", like clWindowText, which have a color or pattern depending on the users theme, the LCL control and the drawing tool (Pen, Brush, Font).


TCopymode

Declaration

Source position: graphics.pp line 197

type TCopymode = LongInt;


TDefaultColorType

Declaration

Source position: graphics.pp line 959

type TDefaultColorType = (

  dctBrush,

  dctFont

);


TFillMode

Declaration

Source position: graphics.pp line 195

type TFillMode = (

  fmAlternate,

  fmWinding

);


TFillStyle

Declaration

Source position: graphics.pp line 194

type TFillStyle = TGraphicsFillStyle;


TFontName

Declaration

Source position: graphics.pp line 69

type TFontName = String;


TFontPitch

Declaration

Source position: graphics.pp line 68

type TFontPitch = (

  fpDefault,

  fpVariable,

  fpFixed

);


TFontQuality

Output font quality, such as antialiasing

Declaration

Source position: graphics.pp line 75

type TFontQuality = (
fqDefault, | Default font quality
fqDraft, | Prefer other font features (size, style) against output quality
fqProof, | Prefer output quality against other font features (size, style)
fqNonAntialiased, | Disable font antialiasing
fqAntialiased, | Use font antialiasing
fqCleartype,
fqCleartypeNatural
);


TFontStyle

Declaration

Source position: graphics.pp line 71

type TFontStyle = (

  fsBold,

  fsItalic,

  fsUnderline,

  fsStrikeOut

);


TFontStyles

Declaration

Source position: graphics.pp line 72

type TFontStyles = set of (

  fsBold,

  fsItalic,

  fsUnderline,

  fsStrikeOut

);


TFontStylesbase

Declaration

Source position: graphics.pp line 73

type TFontStylesbase = set of (

  fsBold,

  fsItalic,

  fsUnderline,

  fsStrikeOut

);


TGetColorStringProc

Declaration

Source position: graphics.pp line 1892

type TGetColorStringProc = procedure(

  const s: AnsiString

) of object;


TGradientDirection

Declaration

Source position: graphics.pp line 942

type TGradientDirection = (

  gdVertical,

  gdHorizontal

);


TIcnsRec

Declaration

Source position: graphics.pp line 1662

type TIcnsRec = record

  IconType: TicnsIconType;

  RawImage: TRawImage;

end;


TJPEGPerformance

Declaration

Source position: graphics.pp line 1758

type TJPEGPerformance = TJPEGReadPerformance;


TJPEGQualityRange

Declaration

Source position: graphics.pp line 1757

type TJPEGQualityRange = TFPJPEGCompressionQuality;


TLCLTextMetric

Declaration

Source position: graphics.pp line 953

type TLCLTextMetric = record

  Ascender: Integer;

  Descender: Integer;

  Height: Integer;

end;


TOnGetSystemFont

Declaration

Source position: graphics.pp line 1945

type TOnGetSystemFont = function: HFONT;


TOnLoadGraphicFromClipboardFormat

Declaration

Source position: graphics.pp line 1939

type TOnLoadGraphicFromClipboardFormat = procedure(

  Dest: TGraphic;

  ClipboardType: TClipboardType;

  FormatID: TClipboardFormat

);


TOnSaveGraphicToClipboardFormat

Declaration

Source position: graphics.pp line 1942

type TOnSaveGraphicToClipboardFormat = procedure(

  Src: TGraphic;

  ClipboardType: TClipboardType;

  FormatID: TClipboardFormat

);


TPenJoinStyle

Declaration

Source position: graphics.pp line 585

type TPenJoinStyle = (

  pjsRound,

  pjsBevel,

  pjsMiter

);


TPenMode

Declaration

Source position: graphics.pp line 568

type TPenMode = TFPPenMode;


TPenPattern

Declaration

Source position: graphics.pp line 592

type TPenPattern = array of LongWord;


TPenStyle

Declaration

Source position: graphics.pp line 567

type TPenStyle = TFPPenStyle;


TPixelFormat

Declaration

Source position: graphics.pp line 211

type TPixelFormat = (

  pfDevice,

  pf1bit,

  pf4bit,

  pf8bit,

  pf15bit,

  pf16bit,

  pf24bit,

  pf32bit,

  pfCustom

);


TProgressEvent

TProgressEvent - for monitoring the progress of a drawing process

Declaration

Source position: graphics.pp line 208

type TProgressEvent = TFPImgProgressEvent;


TProgressStage

Declaration

Source position: graphics.pp line 207

type TProgressStage = TFPImgProgressStage;


TTextLayout

How the Text is to be laid out in the Text Rectangle

Declaration

Source position: graphics.pp line 108

type TTextLayout = (

  tlTop,

  tlCenter,

  tlBottom

);

Description

At the Bottom, Centre or Top of the available window or box


TTextStyle

The Style of the Text to be drawn in a rectangle

Declaration

Source position: graphics.pp line 109

type TTextStyle = packed record

  Alignment: TAlignment;

  Layout: TTextLayout;

  SingleLine: Boolean;

  Clipping: Boolean;

  ExpandTabs: Boolean;

  ShowPrefix: Boolean;

  Wordbreak: Boolean;

  Opaque: Boolean;

  SystemFont: Boolean;

  RightToLeft: Boolean;

  EndEllipsis: Boolean;

end;

Description

The Style of the Text to be drawn in a rectangle

  • Alignment : TextRect Only: horizontal alignment
  • Layout : TextRect Only: vertical alignment
  • SingleLine: boolean; If WordBreak is false then process #13, #10 as standard chars and perform no Line breaking.
  • Clipping : boolean; TextRect Only: Clip Text to passed Rectangle
  • ExpandTabs: boolean; currently ignored
  • ShowPrefix: boolean; TextRect Only: Process first single ampersand per line as an underscore and draw double ampersand as a single ampersand
  • Wordbreak : boolean; TextRect Only: If line of text is too long to fit between left and right boundaries, try to break into multiple lines between words
  • Opaque : boolean; TextRect: Fills background with current Brush
  • Opaque : TextOut : Fills background with current foreground color
  • SystemFont: Boolean; Use the system font instead of Canvas Font
  • RightToLeft: Boolean; For RightToLeft text reading (Text Direction)


TTiffUnit

Declaration

Source position: graphics.pp line 1805

type TTiffUnit = (

  tuUnknown,

  tuNone,

  tuInch,

  tuCentimeter

);


TTransparentMode

Declaration

Source position: graphics.pp line 230

type TTransparentMode = (

  tmAuto,

  tmFixed

);


[Up] Reference for unit 'GraphMath' (#lcl)

GraphMath Operators

This Unit contains a number of routines for calculating and converting series of graphic points from one coordinate system to another.

A fundamental type is introduced, called TFloatPoint. It is an extended precision record containg an X and a Y coordinate for a graphic point. Its structure is as follows:

Type
  TFloatPoint = Record
    X, Y : Extended;
  end;

The Unit contains definitions for mathematical operators which extend the normal definitions of addition, subtraction, multiplication, division and comparison to cover manipulations with TFloatPoints, allowing, for example, addition or multiplication of two TFloatPoints, a TFloatPoint and a TPoint, or a TFloatPoint and an Extended Precision number.


Reference for unit 'GraphMath'

A Set of Mathematical Helper routines to simply Cross-Platfrom Canvas drawing etc

uses
System,
Types,
Classes,
sysutils,
Math, |
LCLProc; | Useful lower level helper functions and classes

Related topics

GraphMath Operators

GraphMath Operators


Reference for unit 'GraphMath': Types

PPoint |
TBezier |
TFloatPoint | TFloatPoint - an extended precision record specifying the X and Y coordinates of a point in a graphic environment


Reference for unit 'GraphMath': Procedures and functions

add(Extended,TFloatPoint):TFloatPoint
add(TFloatPoint,Extended):TFloatPoint
add(TFloatPoint,TFloatPoint):TFloatPoint
add(TFloatPoint,TPoint):TFloatPoint
add(TPoint,TFloatPoint):TFloatPoint
Angles2Coords | Angles2Coords - convert an Eccentric Angle and an Angle-Length, into the coords for Start and End Radial-Points
Arc2Bezier | Arc2Bezier - convert an Arc and ArcLength into a Bezier Aproximation of the Arc.
assign(TFloatPoint):TPoint
assign(TPoint):TFloatPoint
Bezier |
Bezier2Polyline | Bezier2Polyline - convert a 4-Point Bezier into a Pointer Array of TPoint and a Count variable
BezierArcPoints | BezierArcPoints - convert an Arc and ArcLength into a Pointer Array of TPoints for use with Polyline or Polygon
BezierMidPoint | BezierMidPoint - get the Mid-Point of any 4-Point Bezier. It is primarily for use in SplitBezier.
Coords2Angles | Coords2Angles - convert the coords for Start and End Radial-Points into an Eccentric counter clockwise Angle and an Angle-Length
Distance |
divide(TFloatPoint,Extended):TFloatPoint
divide(TFloatPoint,TFloatPoint):TFloatPoint
divide(TFloatPoint,TPoint):TFloatPoint
divide(TPoint,TFloatPoint):TFloatPoint
EccentricAngle | EccentricAngle - get the Eccentric Angle of a given point on any non-rotated ellipse
EllipseRadialLength | EllipseRadialLength - Radial-Length of non-rotated ellipse at any given Eccentric Angle
equal(TFloatPoint,TFloatPoint):Boolean
equal(TPoint,TPoint):Boolean
equal(TRect,TRect):Boolean
FloatPoint | FloatPoint - it is essentialy like Classes.Point in use, except that it accepts Extended Parameters. It is Primarily for use with and in Bezier routines.
LineEndPoint | LineEndPoint - get the End-Point of a line of any given Length at any given angle with any given Start-Point
multiply(Extended,TFloatPoint):TFloatPoint
multiply(TFloatPoint,Extended):TFloatPoint
multiply(TFloatPoint,TFloatPoint):TFloatPoint
multiply(TFloatPoint,TPoint):TFloatPoint
multiply(TPoint,TFloatPoint):TFloatPoint
PolyBezier2Polyline |
PolyBezierArcPoints | PolyBezierArcPoints - convert an Arc and ArcLength into a Pointer Array of TPoints for use with Polyline or Polygon
Quadrant | Determine the Quadrant of any point, given the Center
RadialPoint | Get the RadialPoint at any given Eccentric angle on any non-rotated ellipse
SplitBezier | SplitBezier - split any 4-Point Bezier into two 4-Point Beziers: a 'Left' and a 'Right'
subtract(TFloatPoint,Extended):TFloatPoint
subtract(TFloatPoint,TFloatPoint):TFloatPoint
subtract(TFloatPoint,TPoint):TFloatPoint
subtract(TPoint,TFloatPoint):TFloatPoint


Index of all identifiers in unit 'GraphMath'

A B C D E F L M P Q R S T

A

add(Extended,TFloatPoint):TFloatPoint | add(TFloatPoint,TPoint):TFloatPoint | Arc2Bezier
add(TFloatPoint,Extended):TFloatPoint | add(TPoint,TFloatPoint):TFloatPoint | assign(TFloatPoint):TPoint
add(TFloatPoint,TFloatPoint):TFloatPoint | Angles2Coords | assign(TPoint):TFloatPoint

B

Bezier | BezierArcPoints
Bezier2Polyline | BezierMidPoint

C

Coords2Angles

D

Distance | divide(TFloatPoint,TFloatPoint):TFloatPoint | divide(TPoint,TFloatPoint):TFloatPoint
divide(TFloatPoint,Extended):TFloatPoint | divide(TFloatPoint,TPoint):TFloatPoint |

E

EccentricAngle | equal(TFloatPoint,TFloatPoint):Boolean | equal(TRect,TRect):Boolean
EllipseRadialLength | equal(TPoint,TPoint):Boolean |

F

FloatPoint

L

LineEndPoint

M

multiply(Extended,TFloatPoint):TFloatPoint | multiply(TFloatPoint,TFloatPoint):TFloatPoint | multiply(TPoint,TFloatPoint):TFloatPoint
multiply(TFloatPoint,Extended):TFloatPoint | multiply(TFloatPoint,TPoint):TFloatPoint |

P

PolyBezier2Polyline PolyBezierArcPoints PPoint

Q

Quadrant

R

RadialPoint

S

SplitBezier | subtract(TFloatPoint,TFloatPoint):TFloatPoint | subtract(TPoint,TFloatPoint):TFloatPoint
subtract(TFloatPoint,Extended):TFloatPoint | subtract(TFloatPoint,TPoint):TFloatPoint |

T

TBezier TFloatPoint


PPoint

Declaration

Source position: graphmath.pp line 43

type PPoint = ^TPoint;


TBezier

Declaration

Source position: graphmath.pp line 41

type TBezier = array [0..3] of TFloatPoint;


TFloatPoint

TFloatPoint - an extended precision record specifying the X and Y coordinates of a point in a graphic environment

Declaration

Source position: graphmath.pp line 37

type TFloatPoint = record

  X: Extended;

  Y: Extended;

end;


Reference for unit 'GraphUtil'

uses
System,
Types,
Math, |
Graphics, | Unit contains definitions for many fundamental classes and types used in graphic applications
GraphType,
LCLType, | This unit is being created specifically for compatibility with Delphi. It should only be used for constants and type definitions that are included in the Delphi Windows unit. This is only done for compatibiltiy.
LCLIntf; | Contains winapi like functions for Delphi compatibility.


Reference for unit 'GraphUtil': Constants

NiceArrowAngle


Reference for unit 'GraphUtil': Types

TArrowType

TScrollDirection


Reference for unit 'GraphUtil': Procedures and functions

AntiAliasedStretchDrawBitmap

ColorAdjustLuma

ColorHLSToRGB

ColorRGBToHLS

ColorToGray

ColorToHLS

DrawArrow

DrawGradientWindow

DrawVerticalGradient

FloodFill

GetHighLightColor

GetShadowColor

HLStoColor

HLStoRGB

NormalizeRect

RGBtoHLS

WaveTo


Index of all identifiers in unit 'GraphUtil'

A C D F G H N R S T W

A

AntiAliasedStretchDrawBitmap atArrows atSolid

C

ColorAdjustLuma | ColorRGBToHLS | ColorToHLS
ColorHLSToRGB | ColorToGray |

D

DrawArrow DrawGradientWindow DrawVerticalGradient

F

FloodFill

G

GetHighLightColor GetShadowColor

H

HLStoColor HLStoRGB

N

NiceArrowAngle NormalizeRect

R

RGBtoHLS

S

sdDown | sdRight
sdLeft | sdUp

T

TArrowType TScrollDirection

W

WaveTo


NiceArrowAngle

Declaration

Source position: graphutil.pp line 48

const NiceArrowAngle = 45 * pi / 180;


TArrowType

Declaration

Source position: graphutil.pp line 47

type TArrowType = (

  atSolid,

  atArrows

);


TScrollDirection

Declaration

Source position: graphutil.pp line 46

type TScrollDirection = (

  sdLeft,

  sdRight,

  sdUp,

  sdDown

);


constCellPadding

Declaration

Source position: grids.pas line 190

const constCellPadding: Byte = 3;


constColRowBorderTolerance

Declaration

Source position: grids.pas line 191

const constColRowBorderTolerance: Byte = 3;


constRubberSpace

Declaration

Source position: grids.pas line 189

const constRubberSpace: Byte = 2;


DefaultGridOptions

Declaration

Source position: grids.pas line 185

const DefaultGridOptions = [goFixedVertLine, goFixedHorzLine, goVertLine, goHorzLine, goRangeSelect, goSmoothScroll];


DefaultGridOptions2

Declaration

Source position: grids.pas line 187

const DefaultGridOptions2 = [];


DEFAUTOADJPADDING

Declaration

Source position: grids.pas line 78

const DEFAUTOADJPADDING = 8;


DEFBUTTONWIDTH

Declaration

Source position: grids.pas line 76

const DEFBUTTONWIDTH = 25;


DEFCOLWIDTH

Declaration

Source position: grids.pas line 75

const DEFCOLWIDTH = 64;


DEFIMAGEPADDING

Declaration

Source position: grids.pas line 77

const DEFIMAGEPADDING = 2;


EO_AUTOSIZE

Declaration

Source position: grids.pas line 67

const EO_AUTOSIZE = $1;


EO_HOOKKEYDOWN

Declaration

Source position: grids.pas line 68

const EO_HOOKKEYDOWN = $2;


EO_HOOKKEYPRESS

Declaration

Source position: grids.pas line 69

const EO_HOOKKEYPRESS = $4;


EO_HOOKKEYUP

Declaration

Source position: grids.pas line 70

const EO_HOOKKEYUP = $8;


EO_IMPLEMENTED

Declaration

Source position: grids.pas line 72

const EO_IMPLEMENTED = $20;


EO_SELECTALL

Declaration

Source position: grids.pas line 71

const EO_SELECTALL = $10;


GM_GETGRID

Declaration

Source position: grids.pas line 63

const GM_GETGRID = LM_INTERFACELAST + 108;


GM_GETVALUE

Declaration

Source position: grids.pas line 56

const GM_GETVALUE = LM_INTERFACELAST + 101;


GM_READY

Declaration

Source position: grids.pas line 62

const GM_READY = LM_INTERFACELAST + 107;


GM_SELECTALL

Declaration

Source position: grids.pas line 59

const GM_SELECTALL = LM_INTERFACELAST + 104;


GM_SETBOUNDS

Declaration

Source position: grids.pas line 58

const GM_SETBOUNDS = LM_INTERFACELAST + 103;


GM_SETGRID

Declaration

Source position: grids.pas line 57

const GM_SETGRID = LM_INTERFACELAST + 102;


GM_SETMASK

Declaration

Source position: grids.pas line 60

const GM_SETMASK = LM_INTERFACELAST + 105;


GM_SETPOS

Declaration

Source position: grids.pas line 61

const GM_SETPOS = LM_INTERFACELAST + 106;


GM_SETVALUE

Declaration

Source position: grids.pas line 55

const GM_SETVALUE = LM_INTERFACELAST + 100;


GRIDFILEVERSION

Declaration

Source position: grids.pas line 52

const GRIDFILEVERSION = 3;


How to use

[Up] Reference for unit 'Grids' (#lcl)

How to use Grids including StringGrids, DrawGrids and DbGrids

Customizing grids

Grid are components derived from the TCustomControl class and don't have a native widget associated with them, so they are not restricted by the look of the current interface theme. This can be both an advantage and a disadvantage: usually programmers want to create a uniform-look application. Lazarus grids are flexible enough to allow programmers to make them look similar to other native controls; alternatively they can customize the grid to obtain almost the same look in any platform or widget interface (with the exception of scrollbars, whose look is still determined by the current theme).

Some properties can affect the way the grid looks by acting when the cell is about to be painted in PrepareCanvas/OnPrepareCanvas by changing default canvas properties like brush color or font. Following is a list of such properties:

Properties and Events for customizing grids
Property | Meaning
AlternateColor | The user can change the background color that appears on alternate rows. This is to allow easy reading of grid rows data.
Color | Sets the primary color used to draw non fixed cells' background.
FixedColor | The color used to draw fixed cells' background.
Flat | Eliminates the 3d look of fixed cells.
TitleFont | Font used to draw the text in fixed cells.
TitleStyle

Changes the 3D look of fixed cells. There are 3 settings:

  • tsLazarus The default look
  • tsNative Tries to set a look that is in concordance with current widgetset theme.
  • tsStandard A more contrasted look, like Delphi grids.
AltColorStartNormal | (Boolean). If true, alternate color is always in the second row after fixed rows; the first row after fixed rows will always be the default color. If false, default color is set to the first row as if there were no fixed rows.
BorderColor | Sets the grid's border color used when Flat=True and BorderStyle=bsSingle;
EditorBorderStyle | If set to bsNone under Windows the cell editors will not have the border, like in Delphi; set to bsSingle by default because the border can be theme specific in some widgetsets and to allow a uniform look.
FocusColor | The color used to draw the current focused cell if UseXORFeatures is not set; by default this is clRed.
FocusRectVisible | Turns on/off the drawing of focused cell.
GridLineColor | Color of grid lines in non fixed area.
GridLineStyle | Pen style used to draw lines in non fixed area, possible choices are: psSolid, psDash, psDot, psDashDot, psDashDotDot, psinsideFrame, psPattern, psClear; default is psSolid.
SelectedColor | Color used to draw cell background on selected cells.
UseXORFeatures | If set, focus rect is drawn using XOR mode so it should make visible the focus rect in combination with any cell color background. It also affects the way that moving columns look.
DefaultDrawing | (Boolean). Normally the grids prepare the grid canvas using some properties according to the kind of cell that is being painted. If the user has written an OnDrawCell event handler, DefaultDrawing (if set) also paints the cell background; if the user is taking full responsibility for drawing the cell it is better to turn off this property so painting is not duplicated. In a StringGrid, if DefaultDrawing is set it draws the text in each cell.
AutoAdvance | Where the cell cursor will go when pressing enter or tab/shift tab, or after editing.
ExtendedColSizing | If true, the user can resize columns, not just at the headers, but anywhere along the column's height.

Other properties that also affect the grid's look:

Options: This property is a set of zero or more choices, with some elements that enable diverse functionality but others that are related directly with grid's look. Options can be set at designtime or runtime.

  • goFixedVertLine, goFixedHorzLine: draws a vertical or horizontal line respectively, delimiting cells or columns in the fixed area; active by default.
  • goVertLine, goHorzLine: the same as previous, but for the normal browseable area. A grid can be made to simulate a listbox by unsetting both of these options.
  • goDrawFocusSelected: if this option is enabled, a selection background is painted in the focused cell in addition to the focused dotted rectangle (note this doesn't work yet when the goRowSelect option is set; in such case the row is always painted as if goDrawFocusSelected is set)
  • goRowSelect: selects the full row instead of individual cells
  • goFixedRowNumbering: if set, grid will do numbering of rows in first fixed column
  • goHeaderHotTracking: if set, the grid will try to show a different look when the mouse cursor is over any fixed cell. In order for this to work, desired cell zone needs to be enabled with the property HeaderHotZones. Try combining this option with property TitleStyle= tsNative to get themed hot tracking look.
  • goHeaderPushedLook: if set, this option enables a pushed look when clicking any fixed cell. The zone of "pushable" cells is enabled using HeaderPushedZones property.

Description of grid's drawing process

Like other custom controls, the grid is drawn using the paint method. In general terms the grid is drawn by painting all rows, and each row by painting its individual cells.

The process is as follow:

  • First the visible cells area is determined: each row is tested to see if it intersects the canvas clipping region; if it's ok, then the visible area is painted by drawing columns of each row.
  • The column and row values are used to identify the cell that is about to be painted and again each column is tested for intersection with the clippling region; if everything is ok, some additional properties like the cell's rectangular extent and visual state are passed as arguments to the DrawCell method.

  • As the drawing process is running, the visual state of each cell is adjusted according to grid options and position within grid. The visual state is retained in a variable of type TGridDrawState which is a set with following elements:

    gdSelected | The cell will have a selected look.
    gdFocused | The cell will have a focused look.
    gdFixed | Cell have to be painted with fixed cell look.
    gdHot | the mouse is over this cell, so paint it with hot tracking look
    gdPushed | the cell is being clicked, paint it with pushed look

  • DrawCell. The DrawCell method is virtual and may be overriden in descendent grids to do custom drawing. The information passed to DrawCell helps to identify which particular cell is being painted, the physical area occupied on the screen and its visible status. See DrawCell reference for details. For each cell the following occurs:

    • PrepareCanvas. If the DefaultDrawing property is set, the grid canvas is setup with default properties for brush and font based on current visual state. For several design and runtime properties, the text alignment is set to match programmer selection in custom columns if they exists. If DefaultDrawing is false, brush color is set to clWindow and Font color to clWindowText, the text alignment is set with grids defaultTextStyle property value.
    • OnPrepareCanvas. If the programmer wrote an event handler for the OnPrepareCanvas event, it is called at this point. This event can be used for doing simple customization like changing a cell's background color, font's properties like color, fontface and style, Text layout like different combinations of left, center, top, bottom, right alignment, etc. Any change made to the canvas for a particular cell in this event would be lost, because the next cell drawing will reset canvas again to a default state. So it's safe doing changes only for a particular cell or cells and forget about it for the rest. Using this event sometimes helps to avoid using the OnDrawCell grid event, where users would be forced to duplicate the grid's drawing code.
    • OnDrawCell. Next, if no handler for the OnDrawCell event was specified, the grid calls the DefaultDrawCell method which simply paints the cell background using the current canvas brush color and style. If the OnDrawCell handler exists, the grid first paints the cell background, but only if the DefaultDrawing property was set; then it calls the OnDrawCell event to do custom cell painting. Usually programmers want to do custom drawing only for particular cells, but standard drawing for others: in this case, they can restrict custom operation to certain cell or cells by looking into ACol, ARow and AState arguments, and for other cells simply call the DefaultDrawCell method and let the grid to take care of it.
    • Text. At this point, if the DefaultDrawing property is true, the cell's text content is painted (only for TStringGrid) .
    • Grid lines The last step for each cell is to paint the grid lines: if grid options goVertLine, goHorzLine, goFixedVertLine and goFixedHorzLine are specified the cell grid is drawn at this point. Grids with only rows or only cols can be obtained by changing these options. If the programmer elected to have a "themed" look it is done at this point also (see property TitleStyle).
    • FocusRect When all columns of the current row have been painted it is time to draw the focus rectangle for the current selected cell or for the whole row if the goRowSelect option is set.

Grid's cell selection

The location of a grid's current (focused) cell (or row) can be changed using keyboard, mouse or through code. In order to change cell focus successfully to another position, we must test the target position to see if it is allowed to receive cell focus. When using the keyboard, AutoAdvance performs part of the process by finding what should be the next focused cell. When using mouse clicks or moving by code, focus will not move from the current cell unless the target cell is permitted to receive focus.

The grid calls SelectCell to see if a cell is focusable: if this function returns true, then the target cell identified with arguments aCol and aRow is focusable (the current implementation of TCustomGrid simply returns true). TCustomDrawGrid and hence TDrawGrid and TStringGrid override this method and check first if a cell is any wider than 0; normally you don't want a 0 width cell selected so a cell with this characteristics is skipped automatically in the process of finding a suitable cell. The overriden method SelectCell also calls the user configurable event OnSelectCell: this event receives the cell coordinates as arguments and always returns a default result of True.

Once a cell is known to be focusable and we are sure a movement will take place, the method BeforeMoveSelection is called; this in turns triggers the OnBeforeSelection event. This method's arguments are the coordinates for the new focused cell; at this point any visible editor is hidden too. The "before" word means that selection is not yet changed and current focused coordinates can be accessed with grid.Col and grid.Row properties.

After that, the internal focused cell coordinates are changed and MoveSelection is called; this method's purpose (if set) is to trigger the OnSelection event (this is a notification that the focused cell has changed and the new cell coordinates are available through grid.row and grid.col properties).

Note that is not good to use the OnSelectCell event to detect cell focus changes, as this event will be triggered several times even for the same cell in the process of finding a suitable cell. Is better to use OnBeforeSelection or OnSelection events for this purpose.

Using cell editors

Users can specify what editor will be used for a cell using one of two methods.

  1. Using a custom column and selecting the ButtonStyle property of the column. In this method the user can select the style of the editor that will be shown. Available values are: cbsAuto, cbsEllipsis, cbsNone, cbsPickList, cbsCheckboxColumn.
  2. Using the OnSelectEditor grid event. Here the user specifies in the Editor parameter which editor to use for a cell identified by aCol, ARow in a TCustomDrawGrid derived grid or TColumn in TCustomDBGrid. The public EditorByStyle() function takes as parameter one of the following values: cbsAuto, cbsEllipsis, cbsNone, cbsPickList, cbsCheckboxColumn.
    This method takes precedence over the first one using custom columns. A Custom cell editor can be specified here, with values specific to the cell, row or column.

Description of editor styles

The following is a description of the editor styles. They are enumerated values of type TColumnButtonStyle and so they are prefixed by 'cbs'. This type was used to remain compatible with Delphi's DBGrid.

  • cbsAuto This is the default editor style for TCustomGrid derived grids. The TStringCellEditor derived from TCustomMaskEdit is specialized to edit single line strings and is used by default in TStringGrid and TDrawGrid. When using Custom Columns, if the programmer filled the Column's PickList property, this behaves as if cbsPickList editor style was set. For a TCustomDBGrid that has a field of type boolean, it behaves as if cbsCheckBoxColumn editor style was specified. This is the recommended value for Custom Cell Editors. TODO: related OnEditingDone.

  • cbsEllipsis This editor style is the most generic one. A button with ellipsis (...) appears in the editing cell and the programmer can use the OnEditButtonClick grid event to take any programmed action when the user presses the button. For example a calendar dialog could pop up to allow the user to select a specific date, a file open dialog could appear to find files, or a calculator could appear so the user could enter the numeric result of calculations, etc.

    • OnEditButtonClick is just a notification, to find out in which cell a button has been clicked by taking a look at the grid.Row and grid.Col properties.
    • A DBGrid has specific properties to retrieve the active column or field and because this event occurs in the active record, it could update the information in the active field.
    • This editor style is implemented using TButtonCellEditor, a direct descendant of TButton.
  • cbsNone This editor style instructs the grid not to use any editor for a specific cell or column; it behaves then, as if the grid were readonly for such a cell or column.
  • cbsPickList Used to present the user with a list of values that can be entered. This editor style is implemented using TPickListCellEditor, a component derived from TCustomComboBox. The list of values that are shown is filled in one of two ways depending on the method used to select the editor style.
    When using custom columns, programmers can enter a list of values using the column's PickList property. [FOR BEGINNERS: TODO: exact procedure to edit the list]

  • cbsCheckboxColumn This editor style is at the moment only available in TDBGrid. If a field's contents associated with the column are restricted to a pair of values, for example, yes-no, true-false, on-off, 1-0, etc then cbsCheckboxColumn is used to modify the apearance of a column by using a checkbox representation that the user can toggle by using a mouse click or pressing the SPACE key.

    • If a columns' ButtonStyle property is set to cbsAuto and DBGrid detects that the field associated with the column is a boolean field, then the grid uses this editor style automatically. This automatic selection can be disabled or enabled using DBGrid's OptionsExtra property; setting dgeCheckboxColumn element to false disables this feature.
    • The values that are used to recognize the checked or unchecked states are set in a column's properties ValueChecked and ValueUnchecked.
    • At any moment, the field value can be in one to three states: Unchecked, Checked or Grayed.


Reference for unit 'Grids'

Classes for displaying tabular data in the form of a grid of rows and columns

uses
System,
Classes,
sysutils,
Types,
typinfo,
Math,
FPCanvas,
HtmlDefs,
LCLStrConsts, | This unit contains all resource strings of the LCL
LCLType, | This unit is being created specifically for compatibility with Delphi. It should only be used for constants and type definitions that are included in the Delphi Windows unit. This is only done for compatibiltiy.
LCLIntf, | Contains winapi like functions for Delphi compatibility.
Controls, | This unit contains basic classes for visual controls.
Graphics, | Unit contains definitions for many fundamental classes and types used in graphic applications
Forms, | Contains definitions and descriptions for constructing the Forms which are the basis of the Lazarus Graphical User Interface
LMessages, |
StdCtrls, | Several standard controls used in most Lazarus forms
LResources, | This unit maintains and stores all standard Lazarus resources in the global LazarusResources list and provides methods and types for component streaming.
MaskEdit, | Defines classes for Mask Editing, ie editing with a masking string in place to obscure the text being entered
Buttons, | Defines several specialist button classes
Clipbrd, | Definitions for the Clipboard to hold Cut or Copied data for Pasting
Themes, | For manipulation of display Themes, mostly in a Windows XP (and later) environment
ImgList, | Contains definitions for TCustomImageList, the base class for TImageList.
LazFileUtils,
DynamicArray,
Maps,
LazUTF8,
LazUTF8Classes,
Laz2_XMLCfg,
LazLoggerBase,
LazUtilities,
LCSVUtils,
IntegerList;

Related topics

HowToUseGrids

How to use Grids including StringGrids, DrawGrids and DbGrids


Reference for unit 'Grids': Constants

constCellPadding

constColRowBorderTolerance

constRubberSpace

DefaultGridOptions

DefaultGridOptions2

DEFAUTOADJPADDING

DEFBUTTONWIDTH

DEFCOLWIDTH

DEFIMAGEPADDING

EO_AUTOSIZE

EO_HOOKKEYDOWN

EO_HOOKKEYPRESS

EO_HOOKKEYUP

EO_IMPLEMENTED

EO_SELECTALL

GM_GETGRID

GM_GETVALUE

GM_READY

GM_SELECTALL

GM_SETBOUNDS

GM_SETGRID

GM_SETMASK

GM_SETPOS

GM_SETVALUE

GRIDFILEVERSION

soAll


Reference for unit 'Grids': Types

PCellProps |
PColRowProps |
PGridMessage |
TAutoAdvance |
TCellHintPriority
TCellProcessEvent
TCellProcessType
TCellProps |
TColRowProps |
TColumnButtonStyle |
TEditorItem | TEditorItem - a single item on which a Composite Cell Editor operates
TGetCellHintEvent | Event for cell hints
TGetCheckboxStateEvent
TGetEditEvent |
TGridCoord |
TGridDataCache |
TGridDrawState |
TGridFlags |
TGridFlagsOption |
TGridMessage |
TGridOperationEvent |
TGridOption |
TGridOption2
TGridOptions |
TGridOptions2
TGridPropertyBackup |
TGridRect |
TGridRectArray
TGridSaveOptions |
TGridState |
TGridZone |
TGridZoneSet |
THdrEvent |
THeaderSizingEvent
TItemType |
TMouseWheelOption
TOnCompareCells |
TOnDrawCell |
TOnPrepareCanvasEvent |
TOnSelectCellEvent |
TOnSelectEvent |
TPrefixOption
TRangeSelectMode
TSaveColumnEvent
TSaveOptions |
TSelectEditorEvent |
TSetCheckboxStateEvent
TSetEditEvent |
TSizingRec
TSortOrder |
TTitleStyle |
TToggledCheckboxEvent
TUserCheckBoxBitmapEvent
TValidateEntryEvent


Reference for unit 'Grids': Classes

EGridException | EGridException - exception handler for an error in a Grid class
TButtonCellEditor | TButtonCellEditor - the editor for button cells in a grid
TCompositeCellEditor | TCompositeCellEditor - a general purpose editor for cells in a grid
TCustomDrawGrid | TCustomDrawGrid - Base Class for drawn grids including TDrawGrid and TStringGrid
TCustomGrid | TCustomGrid - the base class for all grid controls
TCustomStringGrid | TCustomStringGrid - base class for TStringGrid
TDrawGrid | TDrawGrid - a drawn grid. May contain images in its cells
TGridColumn | TGridColumn - a column of similar data items in a grid
TGridColumns | TGridColumns - the group of columns in the grid
TGridColumnTitle | TGridColumnTitle - the title for a column in a grid
TPickListCellEditor | TPickListCellEditor - the editor for a picklist cell in a grid
TStringCellEditor | TStringCellEditor - the default editor for TStringGrid
TStringGrid | TStringGrid - a specialised grid for displaying strings (text material) in a matrix of columns and rows
TStringGridStrings | TStringGridStrings - the strings that populate the cells of a TStringGrid
TVirtualGrid | TVirtualGrid - an array of rows and columns containing data, which never gets displayed


Reference for unit 'Grids': Procedures and functions

DrawRubberRect | Draw rubberband rect
FreeWorkingCanvas
GetWorkingCanvas
Register |


Reference for unit 'Grids': Variables

varCellpadding

varColRowBorderTolerance

varRubberSpace


Index of all identifiers in unit 'Grids'

A C D E F G I M P R S T V

A

aaDown | aaLeftUp | aaRightDown
aaLeft | aaNone | aaRightUp
aaLeftDown | aaRight |

C

cbsAuto | cbsNone | constCellPadding
cbsButton | cbsPickList | constColRowBorderTolerance
cbsButtonColumn | chpAll | constRubberSpace
cbsCheckboxColumn | chpAllNoDefault | cpCopy
cbsEllipsis | chpTruncOnly | cpPaste

D

DefaultGridOptions | DEFBUTTONWIDTH | DrawRubberRect
DefaultGridOptions2 | DEFCOLWIDTH |
DEFAUTOADJPADDING | DEFIMAGEPADDING |

E

EGridException | EO_HOOKKEYPRESS | EO_SELECTALL
EO_AUTOSIZE | EO_HOOKKEYUP |
EO_HOOKKEYDOWN | EO_IMPLEMENTED |

F

FreeWorkingCanvas

G

GetWorkingCanvas | goAutoAddRows | goScrollKeepVisible
gfAutoEditPending | goAutoAddRowsSkipContentCheck | goScrollToLastCol
gfClientRectChange | goCellEllipsis | goScrollToLastRow
gfColumnsLocked | goCellHints | goSelectionActive
gfEditingDone | goColMoving | goSmoothScroll
gfEditorTab | goColSizing | goTabs
gfEditorUpdateLock | goColSpanning | goThumbTracking
gfNeedsSelectActive | goDblClickAutoSize | goTruncCellHints
gfPainting | goDontScrollPartCell | goVertLine
gfRevEditorTab | goDrawFocusSelected | GRIDFILEVERSION
gfSizingStarted | goEditing | gsButtonColumnClicking
gfUpdatingScrollbar | goFixedColSizing | gsColMoving
gfUpdatingSize | goFixedHorzLine | gsColSizing
gfVisualChange | goFixedRowNumbering | gsHeaderClicking
GM_GETGRID | goFixedVertLine | gsNormal
GM_GETVALUE | goHeaderHotTracking | gsRowMoving
GM_READY | goHeaderPushedLook | gsRowSizing
GM_SELECTALL | goHorzLine | gsSelecting
GM_SETBOUNDS | goRangeSelect | gzFixedCells
GM_SETGRID | goRelaxedRowSelect | gzFixedCols
GM_SETMASK | goRowHighlight | gzFixedRows
GM_SETPOS | goRowMoving | gzInvalid
GM_SETVALUE | goRowSelect | gzNormal
goAlwaysShowEditor | goRowSizing |

I

itCell | itFixedColumn | itRow
itColumn | itFixedRow | itSelected
itFixed | itNormal |

M

mwCursor mwGrid

P

PCellProps | PGridMessage | poNone
PColRowProps | poHeaderClick |

R

Register rsmMulti rsmSingle

S

soAll | soContent | soPosition
soAscending | soDescending |
soAttributes | soDesign |

T

TAutoAdvance | TGridFlags | TOnSelectEvent
TButtonCellEditor | TGridFlagsOption | TPickListCellEditor
TCellHintPriority | TGridMessage | TPrefixOption
TCellProcessEvent | TGridOperationEvent | TRangeSelectMode
TCellProcessType | TGridOption | TSaveColumnEvent
TCellProps | TGridOption2 | TSaveOptions
TColRowProps | TGridOptions | TSelectEditorEvent
TColumnButtonStyle | TGridOptions2 | TSetCheckboxStateEvent
TCompositeCellEditor | TGridPropertyBackup | TSetEditEvent
TCustomDrawGrid | TGridRect | TSizingRec
TCustomGrid | TGridRectArray | tsLazarus
TCustomStringGrid | TGridSaveOptions | tsNative
TDrawGrid | TGridState | TSortOrder
TEditorItem | TGridZone | tsStandard
TGetCellHintEvent | TGridZoneSet | TStringCellEditor
TGetCheckboxStateEvent | THdrEvent | TStringGrid
TGetEditEvent | THeaderSizingEvent | TStringGridStrings
TGridColumn | TItemType | TTitleStyle
TGridColumns | TMouseWheelOption | TToggledCheckboxEvent
TGridColumnTitle | TOnCompareCells | TUserCheckBoxBitmapEvent
TGridCoord | TOnDrawCell | TValidateEntryEvent
TGridDataCache | TOnPrepareCanvasEvent | TVirtualGrid
TGridDrawState | TOnSelectCellEvent |

V

varCellpadding varColRowBorderTolerance varRubberSpace


PCellProps

Declaration

Source position: grids.pas line 204

type PCellProps = ^TCellProps;


PColRowProps

Declaration

Source position: grids.pas line 211

type PColRowProps = ^TColRowProps;


PGridMessage

Declaration

Source position: grids.pas line 218

type PGridMessage = ^TGridMessage;


soAll

Declaration

Source position: grids.pas line 183

const soAll: TSaveOptions = [soDesign, soAttributes, soContent, soPosition];


TAutoAdvance

Declaration

Source position: grids.pas line 142

type TAutoAdvance = (

  aaNone,

  aaDown,

  aaRight,

  aaLeft,

  aaRightDown,

  aaLeftDown,

  aaRightUp,

  aaLeftUp

);


TCellHintPriority

Declaration

Source position: grids.pas line 174

type TCellHintPriority = (

  chpAll,

  chpAllNoDefault,

  chpTruncOnly

);


TCellProcessEvent

Declaration

Source position: grids.pas line 381

type TCellProcessEvent = procedure(

  Sender: TObject;

  aCol: Integer;

  aRow: Integer;

  processType: TCellProcessType;

  var aValue: string

) of object;


TCellProcessType

Declaration

Source position: grids.pas line 180

type TCellProcessType = (

  cpCopy,

  cpPaste

);


TCellProps

Declaration

Source position: grids.pas line 205

type TCellProps = record

  Attr: pointer;

  Data: TObject;

  Text: pchar;

end;


TColRowProps

Declaration

Source position: grids.pas line 212

type TColRowProps = record

  Size: Integer;

  FixedAttr: pointer;

  NormalAttr: pointer;

end;


TColumnButtonStyle

Declaration

Source position: grids.pas line 150

type TColumnButtonStyle = (

  cbsAuto,

  cbsEllipsis,

  cbsNone,

  cbsPickList,

  cbsCheckboxColumn,

  cbsButton,

  cbsButtonColumn

);


TEditorItem

TEditorItem - a single item on which a Composite Cell Editor operates

Declaration

Source position: grids.pas line 297

type TEditorItem = record
Editor: TWinControl; | The Editor to be used for this item
Align: TAlign; | Align - how this item is to be aligned
ActiveControl: Boolean; | ActiveControl - returns True if this item is part of an active control
end;


TGetCellHintEvent

Event for cell hints

Declaration

Source position: grids.pas line 385

type TGetCellHintEvent = procedure(

  Sender: TObject;

  ACol: Integer;

  ARow: Integer;

  var HintText: string

) of object;

Arguments

Sender | The grid
ACol | column index
ARow | row index
HintText | Hint text


TGetCheckboxStateEvent

Declaration

Source position: grids.pas line 1318

type TGetCheckboxStateEvent = procedure(

  Sender: TObject;

  ACol: Integer;

  ARow: Integer;

  var Value: TCheckBoxState

) of object;


TGetEditEvent

Declaration

Source position: grids.pas line 1316

type TGetEditEvent = procedure(

  Sender: TObject;

  ACol: Integer;

  ARow: Integer;

  var Value: string

) of object;


TGridCoord

Declaration

Source position: grids.pas line 656

type TGridCoord = TPoint;


TGridDataCache

Declaration

Source position: grids.pas line 668

type TGridDataCache = record

  FixedWidth: Integer;

  FixedHeight: Integer;

  GridWidth: Integer;

  GridHeight: Integer;

  ClientWidth: Integer;

  ClientHeight: Integer;

  ClientRect: TRect;

  ScrollWidth: Integer;

  ScrollHeight: Integer;

  HScrollBarNetRange: Integer;

  VisibleGrid: TRect;

  MaxClientXY: Tpoint;

  ValidRows: Boolean;

  ValidCols: Boolean;

  ValidGrid: Boolean;

  AccumWidth: TIntegerList;

  AccumHeight: TIntegerList;

  TLColOff: Integer;

  TLRowOff: Integer;

  MaxTopLeft: TPoint;

  MaxTLOffset: TPoint;

  HotCell: TPoint;

  HotCellPainted: Boolean;

  HotGridZone: TGridZone;

  ClickCell: TPoint;

  ClickMouse: TPoint;

  PushedCell: TPoint;

  PushedMouse: TPoint;

  ClickCellPushed: Boolean;

  FullVisibleGrid: TRect;

  MouseCell: TPoint;

  OldMaxTopLeft: TPoint;

end;


TGridDrawState

Declaration

Source position: grids.pas line 135

type TGridDrawState = set of (

  gdSelected,

  gdFocused,

  gdFixed,

  gdHot,

  gdPushed,

  gdRowHighlight

);


TGridFlags

Declaration

Source position: grids.pas line 166

type TGridFlags = set of (

  gfEditorUpdateLock,

  gfNeedsSelectActive,

  gfEditorTab,

  gfRevEditorTab,

  gfVisualChange,

  gfColumnsLocked,

  gfEditingDone,

  gfSizingStarted,

  gfPainting,

  gfUpdatingSize,

  gfClientRectChange,

  gfAutoEditPending,

  gfUpdatingScrollbar

);


TGridFlagsOption

Declaration

Source position: grids.pas line 162

type TGridFlagsOption = (

  gfEditorUpdateLock,

  gfNeedsSelectActive,

  gfEditorTab,

  gfRevEditorTab,

  gfVisualChange,

  gfColumnsLocked,

  gfEditingDone,

  gfSizingStarted,

  gfPainting,

  gfUpdatingSize,

  gfClientRectChange,

  gfAutoEditPending,

  gfUpdatingScrollbar

);


TGridMessage

Declaration

Source position: grids.pas line 219

type TGridMessage = record

  LclMsg: TLMessage;

  Grid: TCustomGrid;

  Col: Integer;

  Row: Integer;

  Value: string;

  CellRect: TRect;

  Options: Integer;

end;


TGridOperationEvent

Declaration

Source position: grids.pas line 347

type TGridOperationEvent = procedure(

  Sender: TObject;

  IsColumn: Boolean;

  sIndex: Integer;

  tIndex: Integer

) of object;


TGridOption

Declaration

Source position: grids.pas line 84

type TGridOption = (
goFixedVertLine, |
goFixedHorzLine, |
goVertLine, | Show vertical lines
goHorzLine, | Show horizontal lines
goRangeSelect, |
goDrawFocusSelected, |
goRowSizing, | Allow user to change row height
goColSizing, | Allow user to change column width
goRowMoving, |
goColMoving, |
goEditing, | Allow editing
goAutoAddRows, | Automatically add new rows
goTabs, | Move with tab key inside grid
goRowSelect, | Select the whole row instead of only one cell
goAlwaysShowEditor, | Always show editor
goThumbTracking, |
goColSpanning, | Enable cellextent calcs
goRelaxedRowSelect, | User can see focused cell on goRowSelect
goDblClickAutoSize, | Double clicking column's borders (on headers) resize colmn
goSmoothScroll, | Switch scrolling mode
goFixedRowNumbering, | Show row numbers in first fixed column
goScrollKeepVisible, | Keeps focused cell visible while scrolling
goHeaderHotTracking, | Header cells change look when mouse is over them
goHeaderPushedLook, | Header cells looks pushed when clicked
goSelectionActive, | Setting grid.Selection moves also cell cursor
goFixedColSizing, | Allow to resize fixed columns
goDontScrollPartCell, | Clicking partially visible cells will not scroll
goCellHints, | Show individual cell hints
goTruncCellHints, | Show cell hints if cell text is too long
goCellEllipsis, | Show "..." if cell text is too long
goAutoAddRowsSkipContentCheck, | Also add a row if last row is empty
goRowHighlight | Highlight the current Row
);


TGridOption2

Declaration

Source position: grids.pas line 121

type TGridOption2 = (

  goScrollToLastCol,

  goScrollToLastRow

);


TGridOptions

Declaration

Source position: grids.pas line 119

type TGridOptions = set of (
goFixedVertLine, |
goFixedHorzLine, |
goVertLine, | Show vertical lines
goHorzLine, | Show horizontal lines
goRangeSelect, |
goDrawFocusSelected, |
goRowSizing, | Allow user to change row height
goColSizing, | Allow user to change column width
goRowMoving, |
goColMoving, |
goEditing, | Allow editing
goAutoAddRows, | Automatically add new rows
goTabs, | Move with tab key inside grid
goRowSelect, | Select the whole row instead of only one cell
goAlwaysShowEditor, | Always show editor
goThumbTracking, |
goColSpanning, | Enable cellextent calcs
goRelaxedRowSelect, | User can see focused cell on goRowSelect
goDblClickAutoSize, | Double clicking column's borders (on headers) resize colmn
goSmoothScroll, | Switch scrolling mode
goFixedRowNumbering, | Show row numbers in first fixed column
goScrollKeepVisible, | Keeps focused cell visible while scrolling
goHeaderHotTracking, | Header cells change look when mouse is over them
goHeaderPushedLook, | Header cells looks pushed when clicked
goSelectionActive, | Setting grid.Selection moves also cell cursor
goFixedColSizing, | Allow to resize fixed columns
goDontScrollPartCell, | Clicking partially visible cells will not scroll
goCellHints, | Show individual cell hints
goTruncCellHints, | Show cell hints if cell text is too long
goCellEllipsis, | Show "..." if cell text is too long
goAutoAddRowsSkipContentCheck, | Also add a row if last row is empty
goRowHighlight | Highlight the current Row
);


TGridOptions2

Declaration

Source position: grids.pas line 125

type TGridOptions2 = set of (

  goScrollToLastCol,

  goScrollToLastRow

);


TGridPropertyBackup

Declaration

Source position: grids.pas line 614

type TGridPropertyBackup = record

  ValidData: Boolean;

  FixedRowCount: Integer;

  FixedColCount: Integer;

  RowCount: Integer;

  ColCount: Integer;

end;


TGridRect

Declaration

Source position: grids.pas line 657

type TGridRect = TRect;


TGridRectArray

Declaration

Source position: grids.pas line 658

type TGridRectArray = array of TGridRect;


TGridSaveOptions

Declaration

Source position: grids.pas line 127

type TGridSaveOptions = (

  soDesign,

  soAttributes,

  soContent,

  soPosition

);


TGridState

Declaration

Source position: grids.pas line 136

type TGridState = (

  gsNormal,

  gsSelecting,

  gsRowSizing,

  gsColSizing,

  gsRowMoving,

  gsColMoving,

  gsHeaderClicking,

  gsButtonColumnClicking

);


TGridZone

Declaration

Source position: grids.pas line 139

type TGridZone = (

  gzNormal,

  gzFixedCols,

  gzFixedRows,

  gzFixedCells,

  gzInvalid

);


TGridZoneSet

Declaration

Source position: grids.pas line 140

type TGridZoneSet = set of (

  gzNormal,

  gzFixedCols,

  gzFixedRows,

  gzFixedCells,

  gzInvalid

);


THdrEvent

Declaration

Source position: grids.pas line 351

type THdrEvent = procedure(

  Sender: TObject;

  IsColumn: Boolean;

  Index: Integer

) of object;


THeaderSizingEvent

Declaration

Source position: grids.pas line 378

type THeaderSizingEvent = procedure(

  sender: TObject;

  const IsColumn: Boolean;

  const aIndex: Integer;

  const aSize: Integer

) of object;


TItemType

Declaration

Source position: grids.pas line 148

type TItemType = (

  itNormal,

  itCell,

  itColumn,

  itRow,

  itFixed,

  itFixedColumn,

  itFixedRow,

  itSelected

);


TMouseWheelOption

Declaration

Source position: grids.pas line 172

type TMouseWheelOption = (

  mwCursor,

  mwGrid

);


TOnCompareCells

Declaration

Source position: grids.pas line 354

type TOnCompareCells = procedure(

  Sender: TObject;

  ACol: Integer;

  ARow: Integer;

  BCol: Integer;

  BRow: Integer;

  var Result: Integer

) of object;


TOnDrawCell

Declaration

Source position: grids.pas line 336

type TOnDrawCell = procedure(

  Sender: TObject;

  aCol: Integer;

  aRow: Integer;

  aRect: TRect;

  aState: TGridDrawState

) of object;


TOnPrepareCanvasEvent

Declaration

Source position: grids.pas line 362

type TOnPrepareCanvasEvent = procedure(

  sender: TObject;

  aCol: Integer;

  aRow: Integer;

  aState: TGridDrawState

) of object;


TOnSelectCellEvent

Declaration

Source position: grids.pas line 340

type TOnSelectCellEvent = procedure(

  Sender: TObject;

  aCol: Integer;

  aRow: Integer;

  var CanSelect: Boolean

) of object;


TOnSelectEvent

Declaration

Source position: grids.pas line 344

type TOnSelectEvent = procedure(

  Sender: TObject;

  aCol: Integer;

  aRow: Integer

) of object;


TPrefixOption

Declaration

Source position: grids.pas line 170

type TPrefixOption = (

  poNone,

  poHeaderClick

);


TRangeSelectMode

Declaration

Source position: grids.pas line 146

type TRangeSelectMode = (

  rsmSingle,

  rsmMulti

);


TSaveColumnEvent

Declaration

Source position: grids.pas line 388

type TSaveColumnEvent = procedure(

  Sender: TObject;

  aColumn: TObject;

  aColIndex: Integer;

  aCfg: TXMLConfig;

  const aVersion: Integer;

  const aPath: string

) of object;


TSaveOptions

Declaration

Source position: grids.pas line 133

type TSaveOptions = set of (

  soDesign,

  soAttributes,

  soContent,

  soPosition

);


TSelectEditorEvent

Declaration

Source position: grids.pas line 358

type TSelectEditorEvent = procedure(

  Sender: TObject;

  aCol: Integer;

  aRow: Integer;

  var Editor: TWinControl

) of object;


TSetCheckboxStateEvent

Declaration

Source position: grids.pas line 1319

type TSetCheckboxStateEvent = procedure(

  Sender: TObject;

  ACol: Integer;

  ARow: Integer;

  const Value: TCheckBoxState

) of object;


TSetEditEvent

Declaration

Source position: grids.pas line 1317

type TSetEditEvent = procedure(

  Sender: TObject;

  ACol: Integer;

  ARow: Integer;

  const Value: string

) of object;


TSizingRec

Declaration

Source position: grids.pas line 660

type TSizingRec = record

  Index: Integer;

  OffIni: Integer;

  OffEnd: Integer;

  DeltaOff: Integer;

  PrevLine: Boolean;

  PrevOffset: Integer;

end;


TSortOrder

Declaration

Source position: grids.pas line 168

type TSortOrder = (

  soAscending,

  soDescending

);


TTitleStyle

Declaration

Source position: grids.pas line 160

type TTitleStyle = (

  tsLazarus,

  tsStandard,

  tsNative

);


TToggledCheckboxEvent

Declaration

Source position: grids.pas line 375

type TToggledCheckboxEvent = procedure(

  sender: TObject;

  aCol: Integer;

  aRow: Integer;

  aState: TCheckBoxState

) of object;


TUserCheckBoxBitmapEvent

Declaration

Source position: grids.pas line 366

type TUserCheckBoxBitmapEvent = procedure(

  Sender: TObject;

  const aCol: Integer;

  const aRow: Integer;

  const CheckedState: TCheckBoxState;

  var ABitmap: TBitmap

) of object;


TValidateEntryEvent

Declaration

Source position: grids.pas line 371

type TValidateEntryEvent = procedure(

  sender: TObject;

  aCol: Integer;

  aRow: Integer;

  const OldValue: string;

  var NewValue: string

) of object;


varCellpadding

Declaration

Source position: grids.pas line 196

var varCellpadding: Byte = ;


varColRowBorderTolerance

Declaration

Source position: grids.pas line 197

var varColRowBorderTolerance: Byte = ;


varRubberSpace

Declaration

Source position: grids.pas line 195

var varRubberSpace: Byte = ;


Reference for unit 'GroupedEdit'

uses
System,
Classes,
sysutils,
LCLProc, | Useful lower level helper functions and classes
LResources, | This unit maintains and stores all standard Lazarus resources in the global LazarusResources list and provides methods and types for component streaming.
LCLStrConsts, | This unit contains all resource strings of the LCL
Types,
LCLType, | This unit is being created specifically for compatibility with Delphi. It should only be used for constants and type definitions that are included in the Delphi Windows unit. This is only done for compatibiltiy.
LMessages, |
Graphics, | Unit contains definitions for many fundamental classes and types used in graphic applications
Controls, | This unit contains basic classes for visual controls.
Forms, | Contains definitions and descriptions for constructing the Forms which are the basis of the Lazarus Graphical User Interface
LazFileUtils,
Dialogs, | Some dialogs commonly used in Lazarus applications. Look at the Procedures as well as the Classes
StdCtrls, | Several standard controls used in most Lazarus forms
Buttons, | Defines several specialist button classes
Menus, | Menus to be used in Forms created with the Lazarus IDE
MaskEdit; | Defines classes for Mask Editing, ie editing with a masking string in place to obscure the text being entered


Reference for unit 'GroupedEdit': Types

TGEEditClass


Reference for unit 'GroupedEdit': Classes

TAbstractGroupedEdit

TCustomAbstractGroupedEdit

TGEEdit


Index of all identifiers in unit 'GroupedEdit'

T

T

TAbstractGroupedEdit | TGEEdit
TCustomAbstractGroupedEdit | TGEEditClass


HelpManager

Declaration

Source position: helpintfs.pas line 228

var HelpManager: THelpManager = Nil;


Reference for unit 'HelpIntfs'

uses

  System,

  Classes,

  sysutils,

  LCLProc;

Useful lower level helper functions and classes


Reference for unit 'HelpIntfs': Types

THelpDatabaseID

TShowHelpResult

TShowHelpResults


Reference for unit 'HelpIntfs': Classes

EHelpSystemException

THelpManager

THelpQuery

THelpQueryClass

THelpQueryContext

THelpQueryDirective

THelpQueryKeyword

THelpQueryMessage

THelpQueryPascalContexts

THelpQuerySourcePosition

THelpQueryTOC


Reference for unit 'HelpIntfs': Procedures and functions

dbgs

ShowHelp

ShowHelpFile

ShowHelpFileOrError

ShowHelpForContext

ShowHelpForDirective

ShowHelpForKeyword

ShowHelpForMessageLine

ShowHelpForPascalContexts

ShowHelpOrError

ShowHelpOrErrorForContext

ShowHelpOrErrorForKeyword

ShowHelpOrErrorForMessageLine

ShowHelpOrErrorForSourcePosition

ShowTableOfContents


Reference for unit 'HelpIntfs': Variables

HelpManager


Index of all identifiers in unit 'HelpIntfs'

D E H S T

D

dbgs

E

EHelpSystemException

H

HelpManager

S

ShowHelp | ShowHelpOrError | shrDatabaseNotFound
ShowHelpFile | ShowHelpOrErrorForContext | shrHelpNotFound
ShowHelpFileOrError | ShowHelpOrErrorForKeyword | shrNone
ShowHelpForContext | ShowHelpOrErrorForMessageLine | shrSelectorError
ShowHelpForDirective | ShowHelpOrErrorForSourcePosition | shrSuccess
ShowHelpForKeyword | ShowTableOfContents | shrViewerError
ShowHelpForMessageLine | shrCancel | shrViewerNotFound
ShowHelpForPascalContexts | shrContextNotFound |

T

THelpDatabaseID | THelpQueryDirective | THelpQueryTOC
THelpManager | THelpQueryKeyword | TShowHelpResult
THelpQuery | THelpQueryMessage | TShowHelpResults
THelpQueryClass | THelpQueryPascalContexts |
THelpQueryContext | THelpQuerySourcePosition |


THelpDatabaseID

Declaration

Source position: helpintfs.pas line 54

type THelpDatabaseID = String;


TShowHelpResult

Declaration

Source position: helpintfs.pas line 41

type TShowHelpResult = (

  shrNone,

  shrSuccess,

  shrCancel,

  shrDatabaseNotFound,

  shrContextNotFound,

  shrViewerNotFound,

  shrHelpNotFound,

  shrViewerError,

  shrSelectorError

);


TShowHelpResults

Declaration

Source position: helpintfs.pas line 52

type TShowHelpResults = set of (

  shrNone,

  shrSuccess,

  shrCancel,

  shrDatabaseNotFound,

  shrContextNotFound,

  shrViewerNotFound,

  shrHelpNotFound,

  shrViewerError,

  shrSelectorError

);


FourCharCode

Declaration

Source position: icnstypes.pas line 29

type FourCharCode = array [0..3] of Char;


icnsDataTypes

Declaration

Source position: icnstypes.pas line 111

const icnsDataTypes = [iitMini4BitData, iitMini8BitData, iitSmall4BitData, iitSmall8BitData, iitSmall32BitData, iitLarge4BitData, iitLarge8BitData, iitLarge32BitData, iitHuge4BitData, iitHuge8BitData, iitHuge32BitData, iitThumbnail32BitData];


icnsIconTypeInfo

Declaration

Source position: icnstypes.pas line 131

const icnsIconTypeInfo: array [TicnsIconType] of TicnsIconInfo = ((Width: 000; Height: 000; Depth: 00), (Width: 016; Height: 012; Depth: 04), (Width: 016; Height: 012; Depth: 08), (Width: 016; Height: 016; Depth: 04), (Width: 016; Height: 016; Depth: 08), (Width: 016; Height: 016; Depth: 32), (Width: 032; Height: 032; Depth: 04), (Width: 032; Height: 032; Depth: 08), (Width: 032; Height: 032; Depth: 32), (Width: 048; Height: 048; Depth: 04), (Width: 048; Height: 048; Depth: 08), (Width: 048; Height: 048; Depth: 32), (Width: 128; Height: 128; Depth: 32), (Width: 016; Height: 012; Depth: 01), (Width: 016; Height: 016; Depth: 01), (Width: 016; Height: 016; Depth: 08), (Width: 032; Height: 032; Depth: 01), (Width: 032; Height: 032; Depth: 08), (Width: 048; Height: 048; Depth: 01), (Width: 048; Height: 048; Depth: 08), (Width: 128; Height: 128; Depth: 08), (Width: 256; Height: 256; Depth: 32), (Width: 512; Height: 512; Depth: 32));


icnsMaskToImageMap

Declaration

Source position: icnstypes.pas line 158

const icnsMaskToImageMap: array [iitMini1BitMask..iitThumbnail8BitMask] of TicnsIconTypes = ([iitMini4BitData, iitMini8BitData], [iitSmall4BitData, iitSmall8BitData, iitSmall32BitData], [iitSmall4BitData, iitSmall8BitData, iitSmall32BitData], [iitLarge4BitData, iitLarge8BitData, iitLarge32BitData], [iitLarge4BitData, iitLarge8BitData, iitLarge32BitData], [iitHuge4BitData, iitHuge8BitData, iitHuge32BitData], [iitHuge4BitData, iitHuge8BitData, iitHuge32BitData], [iitThumbnail32BitData]);


icnsMaskTypes

Declaration

Source position: icnstypes.pas line 117

const icnsMaskTypes = [iitMini1BitMask, iitSmall1BitMask, iitSmall8BitMask, iitLarge1BitMask, iitLarge8BitMask, iitHuge1BitMask, iitHuge8BitMask, iitThumbnail8BitMask];


icnsRGB

Declaration

Source position: icnstypes.pas line 122

const icnsRGB = [iitSmall32BitData, iitLarge32BitData, iitHuge32BitData, iitThumbnail32BitData];


icnsWithAlpha

Declaration

Source position: icnstypes.pas line 126

const icnsWithAlpha = [iit256PixelDataARGB, iit512PixelDataARGB];


Reference for unit 'IcnsTypes'

uses

  System;


Reference for unit 'IcnsTypes': Constants

icnsDataTypes

icnsIconTypeInfo

icnsMaskToImageMap

icnsMaskTypes

icnsRGB

icnsWithAlpha

kHuge1BitMask

kHuge32BitData

kHuge4BitData

kHuge8BitData

kHuge8BitMask

kIconFamilyType

kIconServices256PixelDataARGB

kIconServices512PixelDataARGB

kLarge1BitMask

kLarge32BitData

kLarge4BitData

kLarge8BitData

kLarge8BitMask

kMini1BitMask

kMini4BitData

kMini8BitData

kSmall1BitMask

kSmall32BitData

kSmall4BitData

kSmall8BitData

kSmall8BitMask

kThumbnail32BitData

kThumbnail8BitMask


Reference for unit 'IcnsTypes': Types

FourCharCode

TicnsIconInfo

TicnsIconType

TicnsIconTypes

TIconFamilyElement

TIconFamilyResource


Reference for unit 'IcnsTypes': Procedures and functions

GetDataTypeRGB

GetIcnsIconType

GetMaskType8bit


Index of all identifiers in unit 'IcnsTypes'

F G I K T

F

FourCharCode

G

GetDataTypeRGB GetIcnsIconType GetMaskType8bit

I

icnsDataTypes | iitHuge4BitData | iitMini8BitData
icnsIconTypeInfo | iitHuge8BitData | iitNone
icnsMaskToImageMap | iitHuge8BitMask | iitSmall1BitMask
icnsMaskTypes | iitLarge1BitMask | iitSmall32BitData
icnsRGB | iitLarge32BitData | iitSmall4BitData
icnsWithAlpha | iitLarge4BitData | iitSmall8BitData
iit256PixelDataARGB | iitLarge8BitData | iitSmall8BitMask
iit512PixelDataARGB | iitLarge8BitMask | iitThumbnail32BitData
iitHuge1BitMask | iitMini1BitMask | iitThumbnail8BitMask
iitHuge32BitData | iitMini4BitData |

K

kHuge1BitMask | kLarge1BitMask | kSmall1BitMask
kHuge32BitData | kLarge32BitData | kSmall32BitData
kHuge4BitData | kLarge4BitData | kSmall4BitData
kHuge8BitData | kLarge8BitData | kSmall8BitData
kHuge8BitMask | kLarge8BitMask | kSmall8BitMask
kIconFamilyType | kMini1BitMask | kThumbnail32BitData
kIconServices256PixelDataARGB | kMini4BitData | kThumbnail8BitMask
kIconServices512PixelDataARGB | kMini8BitData |

T

TicnsIconInfo | TicnsIconTypes | TIconFamilyResource
TicnsIconType | TIconFamilyElement |


kHuge1BitMask

Declaration

Source position: icnstypes.pas line 49

const kHuge1BitMask: FourCharCode = 'ich#';


kHuge4BitData

Declaration

Source position: icnstypes.pas line 50

const kHuge4BitData: FourCharCode = 'ich4';


kHuge8BitData

Declaration

Source position: icnstypes.pas line 51

const kHuge8BitData: FourCharCode = 'ich8';


kHuge8BitMask

Declaration

Source position: icnstypes.pas line 53

const kHuge8BitMask: FourCharCode = 'h8mk';


kHuge32BitData

Declaration

Source position: icnstypes.pas line 52

const kHuge32BitData: FourCharCode = 'ih32';


kIconFamilyType

Declaration

Source position: icnstypes.pas line 43

const kIconFamilyType = 'icns';


kIconServices256PixelDataARGB

Declaration

Source position: icnstypes.pas line 46

const kIconServices256PixelDataARGB: FourCharCode = 'ic08';


kIconServices512PixelDataARGB

Declaration

Source position: icnstypes.pas line 45

const kIconServices512PixelDataARGB: FourCharCode = 'ic09';


kLarge1BitMask

Declaration

Source position: icnstypes.pas line 56

const kLarge1BitMask: FourCharCode = 'ICN#';


kLarge4BitData

Declaration

Source position: icnstypes.pas line 57

const kLarge4BitData: FourCharCode = 'icl4';


kLarge8BitData

Declaration

Source position: icnstypes.pas line 58

const kLarge8BitData: FourCharCode = 'icl8';


kLarge8BitMask

Declaration

Source position: icnstypes.pas line 60

const kLarge8BitMask: FourCharCode = 'l8mk';


kLarge32BitData

Declaration

Source position: icnstypes.pas line 59

const kLarge32BitData: FourCharCode = 'il32';


kMini1BitMask

Declaration

Source position: icnstypes.pas line 66

const kMini1BitMask: FourCharCode = 'icm#';


kMini4BitData

Declaration

Source position: icnstypes.pas line 67

const kMini4BitData: FourCharCode = 'icm4';


kMini8BitData

Declaration

Source position: icnstypes.pas line 68

const kMini8BitData: FourCharCode = 'icm8';


kSmall1BitMask

Declaration

Source position: icnstypes.pas line 61

const kSmall1BitMask: FourCharCode = 'ics#';


kSmall4BitData

Declaration

Source position: icnstypes.pas line 62

const kSmall4BitData: FourCharCode = 'ics4';


kSmall8BitData

Declaration

Source position: icnstypes.pas line 63

const kSmall8BitData: FourCharCode = 'ics8';


kSmall8BitMask

Declaration

Source position: icnstypes.pas line 65

const kSmall8BitMask: FourCharCode = 's8mk';


kSmall32BitData

Declaration

Source position: icnstypes.pas line 64

const kSmall32BitData: FourCharCode = 'is32';


kThumbnail8BitMask

Declaration

Source position: icnstypes.pas line 48

const kThumbnail8BitMask: FourCharCode = 't8mk';


kThumbnail32BitData

Declaration

Source position: icnstypes.pas line 47

const kThumbnail32BitData: FourCharCode = 'it32';


TicnsIconInfo

Declaration

Source position: icnstypes.pas line 104

type TicnsIconInfo = record

  Width: Integer;

  Height: Integer;

  Depth: Integer;

end;


TicnsIconType

Declaration

Source position: icnstypes.pas line 72

type TicnsIconType = (

  iitNone,

  iitMini4BitData,

  iitMini8BitData,

  iitSmall4BitData,

  iitSmall8BitData,

  iitSmall32BitData,

  iitLarge4BitData,

  iitLarge8BitData,

  iitLarge32BitData,

  iitHuge4BitData,

  iitHuge8BitData,

  iitHuge32BitData,

  iitThumbnail32BitData,

  iitMini1BitMask,

  iitSmall1BitMask,

  iitSmall8BitMask,

  iitLarge1BitMask,

  iitLarge8BitMask,

  iitHuge1BitMask,

  iitHuge8BitMask,

  iitThumbnail8BitMask,

  iit256PixelDataARGB,

  iit512PixelDataARGB

);


TicnsIconTypes

Declaration

Source position: icnstypes.pas line 102

type TicnsIconTypes = set of (

  iitNone,

  iitMini4BitData,

  iitMini8BitData,

  iitSmall4BitData,

  iitSmall8BitData,

  iitSmall32BitData,

  iitLarge4BitData,

  iitLarge8BitData,

  iitLarge32BitData,

  iitHuge4BitData,

  iitHuge8BitData,

  iitHuge32BitData,

  iitThumbnail32BitData,

  iitMini1BitMask,

  iitSmall1BitMask,

  iitSmall8BitMask,

  iitLarge1BitMask,

  iitLarge8BitMask,

  iitHuge1BitMask,

  iitHuge8BitMask,

  iitThumbnail8BitMask,

  iit256PixelDataARGB,

  iit512PixelDataARGB

);


TIconFamilyElement

Declaration

Source position: icnstypes.pas line 32

type TIconFamilyElement = record

  elementType: FourCharCode;

  elementSize: LongInt;

end;


TIconFamilyResource

Declaration

Source position: icnstypes.pas line 37

type TIconFamilyResource = record

  resourceType: FourCharCode;

  resourceSize: LongInt;

end;


Reference for unit 'ImageListCache'

uses
System,
Classes,
sysutils,
Graphics, | Unit contains definitions for many fundamental classes and types used in graphic applications
ImgList, | Contains definitions for TCustomImageList, the base class for TImageList.
LCLProc, | Useful lower level helper functions and classes
Forms; | Contains definitions and descriptions for constructing the Forms which are the basis of the Lazarus Graphical User Interface


Reference for unit 'ImageListCache': Types

PImageCacheItem

TImageCacheItem


Reference for unit 'ImageListCache': Classes

IImageCacheListener

TImageCacheItems

TImageListCache


Reference for unit 'ImageListCache': Procedures and functions

GetImageListCache


Index of all identifiers in unit 'ImageListCache'

G I P T

G

GetImageListCache

I

IImageCacheListener

P

PImageCacheItem

T

TImageCacheItem TImageCacheItems TImageListCache


PImageCacheItem

Declaration

Source position: imagelistcache.pas line 41

type PImageCacheItem = ^TImageCacheItem;


TImageCacheItem

Declaration

Source position: imagelistcache.pas line 36

type TImageCacheItem = record

  FImageList: TCustomImageList;

  FListener: IImageCacheListener;

  FImageIndexes: array of Integer;

end;


Reference for unit 'ImgList'

Contains definitions for TCustomImageList, the base class for TImageList.

uses
System,
Types,
math,
sysutils,
Classes,
FPReadBMP,
FPimage,
FPImgCanv,
FPCanvas,
contnrs,
zstream,
Laz_AVL_Tree,
FPCAdds,
LazLoggerBase,
LazUtilities,
AvgLvlTree,
LCLStrConsts, | This unit contains all resource strings of the LCL
LCLIntf, | Contains winapi like functions for Delphi compatibility.
LResources, | This unit maintains and stores all standard Lazarus resources in the global LazarusResources list and provides methods and types for component streaming.
LCLType, | This unit is being created specifically for compatibility with Delphi. It should only be used for constants and type definitions that are included in the Delphi Windows unit. This is only done for compatibiltiy.
LCLProc, | Useful lower level helper functions and classes
Graphics, | Unit contains definitions for many fundamental classes and types used in graphic applications
GraphType,
LCLClasses, | Defines the base class for all LCL TComponents including controls
IntfGraphics, | Classes and functions for easy handling of raw images (interface images)
WSReferences,
RtlConsts;


Reference for unit 'ImgList': Types

TCustomImageListGetWidthForPPI
TCustomImageListResolutionClass
TDestroyResolutionHandleEvent
TDrawingStyle | Defines transparency and blending of rendered images.
TImageIndex | Type of an ImageList index (integer), unused!
TImageType | Indicates whether a mask shall be used in rendering an image.
TLCLGlyphsMissingResources
TOverlay
TScaledImageListResolution


Reference for unit 'ImgList': Classes

TChangeLink | Use a TChangelink to get notified of imagelist changes.
TCustomImageList | Base class for TImageList (not the same as a TBitmap collection)
TCustomImageListResolution
TCustomImageListResolutionEnumerator
TCustomImageListResolutions
TLCLGlyphs


Reference for unit 'ImgList': Procedures and functions

GetDefaultGlyph

LCLGlyphs


Index of all identifiers in unit 'ImgList'

D G I L T

D

dsFocus | dsSelected
dsNormal | dsTransparent

G

GetDefaultGlyph | gmrIgnoreAll
gmrAllMustExist | gmrOneMustExist

I

itImage itMask

L

LCLGlyphs

T

TChangeLink | TCustomImageListResolutionEnumerator | TImageType
TCustomImageList | TCustomImageListResolutions | TLCLGlyphs
TCustomImageListGetWidthForPPI | TDestroyResolutionHandleEvent | TLCLGlyphsMissingResources
TCustomImageListResolution | TDrawingStyle | TOverlay
TCustomImageListResolutionClass | TImageIndex | TScaledImageListResolution


TDestroyResolutionHandleEvent

Declaration

Source position: imglist.pp line 70

type TDestroyResolutionHandleEvent = procedure(

  Sender: TCustomImageList;

  AWidth: Integer;

  AReferenceHandle: TLCLHandle

) of object;


TDrawingStyle

Defines transparency and blending of rendered images.

Declaration

Source position: imglist.pp line 111

type TDrawingStyle = (
dsFocus, | Applies 25% of BlendColor.
dsSelected, | Applies 50% of BlendColor.
dsNormal, | Draw using BkColor for the background, transparent if BkColor is clNone.
dsTransparent | Always draw transparently, ignore BkColor and BlendColor.
);

Description

Blending means that the Color is merged with the previous contents of the destination area by a degree defined by an alpha value.


TImageIndex

Type of an ImageList index (integer), unused!

Declaration

Source position: imglist.pp line 59

type TImageIndex = type Integer;

Description

Exists for Delphi compatibility only, but is unused there as well.


TImageType

Indicates whether a mask shall be used in rendering an image.

Declaration

Source position: imglist.pp line 112

type TImageType = (
itImage, | Don't apply a mask.
itMask | Apply the mask.
);

Description

The mask specifies the transparent part of the image


TOverlay

Declaration

Source position: imglist.pp line 113

type TOverlay = 0..14;


TScaledImageListResolution

Declaration

Source position: imglist.pp line 187

type TScaledImageListResolution = record

public

  class function Create();

  procedure GetBitmap(); overload;

  procedure GetBitmap(); overload;

  procedure Draw(); overload;

  procedure Draw(); overload;

  procedure Draw(); overload;

  procedure Draw(); overload;

  procedure StretchDraw();

  procedure DrawOverlay(); overload;

  procedure DrawOverlay(); overload;

  procedure DrawOverlay(); overload;

  property Width: Integer; [r]

  property Height: Integer; [r]

  property Size: TSize; [r]

  property Resolution: TCustomImageListResolution; [r]

  property Count: Integer; [r]

  property Valid: Boolean; [r]

end;


Reference for unit 'IndustrialBase'

uses
System,
Classes,
sysutils,
Controls, | This unit contains basic classes for visual controls.
Graphics; | Unit contains definitions for many fundamental classes and types used in graphic applications


Reference for unit 'IndustrialBase': Classes

TIndustrialBase


Index of all identifiers in unit 'IndustrialBase'

T

T

TIndustrialBase


Reference for unit 'IniPropStorage'

Contains a component that stores Form Session Properties in INI format.

uses
System,
Classes,
sysutils,
IniFiles,
LazUtf8, |
Forms; | Contains definitions and descriptions for constructing the Forms which are the basis of the Lazarus Graphical User Interface

Overview

In this unit you can find an implementation of a name/value pair storage container in INI format.

This container will get the Form's Session Properties that you setup in TForm.SessionProperties and read/write them on the file you specify on TINIPropStorage.INIFileName.


Reference for unit 'IniPropStorage': Types

TIniFileClass

Class of TCustomIniFile


Reference for unit 'IniPropStorage': Classes

TCustomIniPropStorage | Implements the base class for the INI Form's Session Properties.
TIniPropStorage | Implements the final class for the INI Form Session Properties storage.


Reference for unit 'IniPropStorage': Procedures and functions

Register

Registers TIniPropStorage on the 'Misc' tab of the component pallete.


Index of all identifiers in unit 'IniPropStorage'

R T

R

Register

T

TCustomIniPropStorage TIniFileClass TIniPropStorage


TIniFileClass

Class of TCustomIniFile

Declaration

Source position: inipropstorage.pas line 26

type TIniFileClass = class of TCustomIniFile;


Reference for unit 'InterfaceBase'

Provides an platform independent widgetset and helper functions.

uses
System,
Types,
Classes,
sysutils,
Math, |
FPImage,
LazUTF8,
IntegerList,
LCLType, | This unit is being created specifically for compatibility with Delphi. It should only be used for constants and type definitions that are included in the Delphi Windows unit. This is only done for compatibiltiy.
LCLProc, | Useful lower level helper functions and classes
LMessages, |
LCLPlatformDef, |
GraphType, |
GraphMath, | A Set of Mathematical Helper routines to simply Cross-Platfrom Canvas drawing etc
IntfGraphics, | Classes and functions for easy handling of raw images (interface images)
Themes; | For manipulation of display Themes, mostly in a Windows XP (and later) environment


Reference for unit 'InterfaceBase': Constants

LCL_CAPABILITY_NO

LCL_CAPABILITY_YES


Reference for unit 'InterfaceBase': Types

PEventHandler |
PPipeEventHandler |
PProcessEventHandler |
PSocketEventHandler |
TApplicationMainLoop |
TChildExitEvent |
TChildExitReason | Reasons for child process exit.
TInputDialogFunction |
TLCLCapability | Capabilities of the (current) platform.
TLCLWndMethod | The type of all LCL message handlers.
TLoadBitmapFunction
TLoadCursorFunction
TLoadIconFunction
TPipeEvent |
TPipeReason |
TPipeReasons
TPromptDialogFunction |
TQuestionDialogFunction |
TSocketEvent |
TWaitHandleEvent |
TWidgetSetClass
TWSTimerProc | Type of a timer callback procedure


Reference for unit 'InterfaceBase': Classes

EInterfaceCritical |
EInterfaceError |
EInterfaceException |
EInterfaceWarning |
TDialogButton | Description of standard dialog buttons.
TDialogButtons | Collection of TDialogButton descriptions.
TWidgetSet | Application helper class (platform and drawing interface).


Reference for unit 'InterfaceBase': Procedures and functions

GetDefaultLCLWidgetType

GetLCLWidgetTypeName


Reference for unit 'InterfaceBase': Variables

InputDialogFunction

LoadBitmapFunction

LoadCursorFunction

LoadIconFunction

PromptDialogFunction

QuestionDialogFunction

WidgetSet


Index of all identifiers in unit 'InterfaceBase'

C E G I L P Q T W

C

cerExit cerSignal

E

EInterfaceCritical | EInterfaceException
EInterfaceError | EInterfaceWarning

G

GetDefaultLCLWidgetType GetLCLWidgetTypeName

I

InputDialogFunction

L

lcAccessibilitySupport | lcEmulatedMDI | lcReceivesLMClearCutCopyPasteReliably
lcAllowChildControlsInNativeControls | lcFormIcon | lcSendsUTF8KeyPress
lcAntialiasingEnabledByDefault | LCL_CAPABILITY_NO | lcTextHint
lcApplicationTitle | LCL_CAPABILITY_YES | lcTransparentWindow
lcApplicationWindow | lcLMHelpSupport | LoadBitmapFunction
lcAsyncProcess | lcModalWindow | LoadCursorFunction
lcCanDrawOutsideOnPaint | lcNeedMininimizeAppWithMainForm | LoadIconFunction
lcDragDockStartOnTitleClick | lcRadialGradientBrush |

P

PEventHandler | prBroken | PromptDialogFunction
PPipeEventHandler | prCanWrite | PSocketEventHandler
PProcessEventHandler | prDataAvailable |

Q

QuestionDialogFunction

T

TApplicationMainLoop | TLCLWndMethod | TPromptDialogFunction
TChildExitEvent | TLoadBitmapFunction | TQuestionDialogFunction
TChildExitReason | TLoadCursorFunction | TSocketEvent
TDialogButton | TLoadIconFunction | TWaitHandleEvent
TDialogButtons | TPipeEvent | TWidgetSet
TInputDialogFunction | TPipeReason | TWidgetSetClass
TLCLCapability | TPipeReasons | TWSTimerProc

W

WidgetSet


InputDialogFunction

Declaration

Source position: interfacebase.pp line 203

var InputDialogFunction: TInputDialogFunction = Nil;


LCL_CAPABILITY_NO

Declaration

Source position: interfacebase.pp line 179

const LCL_CAPABILITY_NO = 0;


LCL_CAPABILITY_YES

Declaration

Source position: interfacebase.pp line 180

const LCL_CAPABILITY_YES = 1;


LoadBitmapFunction

Declaration

Source position: interfacebase.pp line 206

var LoadBitmapFunction: TLoadBitmapFunction = Nil;


LoadCursorFunction

Declaration

Source position: interfacebase.pp line 207

var LoadCursorFunction: TLoadCursorFunction = Nil;


LoadIconFunction

Declaration

Source position: interfacebase.pp line 208

var LoadIconFunction: TLoadIconFunction = Nil;


PEventHandler

Declaration

Source position: interfacebase.pp line 38

type PEventHandler = type Pointer;


PPipeEventHandler

Declaration

Source position: interfacebase.pp line 40

type PPipeEventHandler = type Pointer;


PProcessEventHandler

Declaration

Source position: interfacebase.pp line 39

type PProcessEventHandler = type Pointer;


PromptDialogFunction

Declaration

Source position: interfacebase.pp line 204

var PromptDialogFunction: TPromptDialogFunction = Nil;


PSocketEventHandler

Declaration

Source position: interfacebase.pp line 41

type PSocketEventHandler = type Pointer;


QuestionDialogFunction

Declaration

Source position: interfacebase.pp line 205

var QuestionDialogFunction: TQuestionDialogFunction = Nil;


TApplicationMainLoop

Declaration

Source position: interfacebase.pp line 47

type TApplicationMainLoop = procedure of object;


TChildExitEvent

Declaration

Source position: interfacebase.pp line 49

type TChildExitEvent = procedure(

  AData: PtrInt;

  AReason: TChildExitReason;

  AInfo: dword

) of object;


TChildExitReason

Reasons for child process exit.

Declaration

Source position: interfacebase.pp line 43

type TChildExitReason = (
cerExit, | Normal exit
cerSignal | Killed
);


TInputDialogFunction

Declaration

Source position: interfacebase.pp line 189

type TInputDialogFunction = function(

  const InputCaption: string;

  const InputPrompt: string;

  MaskInput: Boolean;

  var Value: string

):Boolean;


TLCLCapability

Capabilities of the (current) platform.

Declaration

Source position: interfacebase.pp line 55

type TLCLCapability = (
lcAsyncProcess, | Supports async process.
lcCanDrawOutsideOnPaint, | Supports drawing outside OnPaint event of an control.
lcNeedMininimizeAppWithMainForm, | When main form is minimized, then minimize also app.
lcApplicationTitle, | Can change application title at runtime.
lcApplicationWindow, | Application has a special root window.
lcFormIcon, | Forms have icon.
lcModalWindow, | Native modal window support.
lcDragDockStartOnTitleClick, | Can drag-dock forms from the title bar.
lcAntialiasingEnabledByDefault, | Is amDontCare = amOn for the widgetset.
lcLMHelpSupport, | Support for LM_HELP command.
lcReceivesLMClearCutCopyPasteReliably, | In Carbon we do not receive LM_CLEAR, CUT, COPY, PASTE etc. reliably, and this affects DB controls.
lcSendsUTF8KeyPress,
lcAllowChildControlsInNativeControls,
lcEmulatedMDI,
lcAccessibilitySupport,
lcRadialGradientBrush,
lcTransparentWindow,
lcTextHint
);


TLCLWndMethod

The type of all LCL message handlers.

Declaration

Source position: interfacebase.pp line 53

type TLCLWndMethod = procedure(

  var TheMessage: TLMessage

) of object;


TLoadBitmapFunction

Declaration

Source position: interfacebase.pp line 198

type TLoadBitmapFunction = function(

  hInstance: THandle;

  lpBitmapName: PChar

):HBITMAP;


TLoadCursorFunction

Declaration

Source position: interfacebase.pp line 199

type TLoadCursorFunction = function(

  hInstance: THandle;

  lpCursorName: PChar

):HCURSOR;


TLoadIconFunction

Declaration

Source position: interfacebase.pp line 200

type TLoadIconFunction = function(

  hInstance: THandle;

  lpIconName: PChar

):HICON;


TPipeEvent

Declaration

Source position: interfacebase.pp line 50

type TPipeEvent = procedure(

  AData: PtrInt;

  AReasons: TPipeReasons

) of object;


TPipeReason

Declaration

Source position: interfacebase.pp line 44

type TPipeReason = (

  prDataAvailable,

  prBroken,

  prCanWrite

);


TPipeReasons

Declaration

Source position: interfacebase.pp line 45

type TPipeReasons = set of (

  prDataAvailable,

  prBroken,

  prCanWrite

);


TPromptDialogFunction

Declaration

Source position: interfacebase.pp line 191

type TPromptDialogFunction = function(

  const DialogCaption: string;

  const DialogMessage: string;

  DialogType: LongInt;

  Buttons: PLongint;

  ButtonCount: LongInt;

  DefaultIndex: LongInt;

  EscapeResult: LongInt;

  UseDefaultPos: Boolean;

  X: LongInt;

  Y: LongInt

):LongInt;


TQuestionDialogFunction

Declaration

Source position: interfacebase.pp line 196

type TQuestionDialogFunction = function(

  const aCaption: string;

  const aMsg: string;

  DlgType: LongInt;

  Buttons: TDialogButtons;

  HelpCtx: LongInt

):LongInt;


TSocketEvent

Declaration

Source position: interfacebase.pp line 51

type TSocketEvent = procedure(

  AData: PtrInt;

  AFlags: dword

) of object;


TWaitHandleEvent

Declaration

Source position: interfacebase.pp line 48

type TWaitHandleEvent = procedure(

  AData: PtrInt;

  AFlags: dword

) of object;


TWSTimerProc

Type of a timer callback procedure

Declaration

Source position: interfacebase.pp line 118

type TWSTimerProc = procedure of object;


WidgetSet

Declaration

Source position: interfacebase.pp line 211

var WidgetSet: TWidgetSet = Nil;


Reference for unit 'IntfGraphics'

Classes and functions for easy handling of raw images (interface images)

uses
System,
Classes,
sysutils,
Math,
fpImage, |
FPReadBMP, |
FPWriteBMP,
BMPComn, |
FPReadPNG,
FPWritePNG,
FPReadTiff,
FPWriteTiff,
FPTiffCmn,
Laz_AVL_Tree,
FPCAdds, |
LazLoggerBase,
LazTracer,
LCLType, | This unit is being created specifically for compatibility with Delphi. It should only be used for constants and type definitions that are included in the Delphi Windows unit. This is only done for compatibiltiy.
LCLVersion, | Contains the version number constants of the LCL.
GraphType, |
IcnsTypes; |


Reference for unit 'IntfGraphics': Constants

LazTiffExtraPrefix

LazTiffHostComputer

LazTiffMake

LazTiffModel

LazTiffSoftware


Reference for unit 'IntfGraphics': Types

PArrayNode

TLazIntfImageGetPixelProc

TLazIntfImageSetPixelProc

TLazReaderDIBEncoding

TLazReaderDIBInfo

TLazReaderMaskMode

TOnReadRawImageBits

TOnWriteRawImageBits


Reference for unit 'IntfGraphics': Classes

ILazImageReader | ILazImageReader - extension to TFPCustomImageReader to initialize a TRawImgeDescription based on the image to be read
ILazImageWriter
TArrayNode |
TArrayNodesTree |
TLazAVLPalette | TLazAVLPalette - this descendant of TFPPalette uses an AVL tree for speed up
TLazIntfImage | Represents a graphical image.
TLazIntfImageMask | TLazIntfImageMask - applying a mask at the Raw Image level
TLazReaderBMP | TLazReaderBMP - This is an improved FPImage reader for bmp images
TLazReaderDIB
TLazReaderIcnsPart
TLazReaderIconDIB | TLazReaderIconDIB - this is a FPImage reader for a single DIB from an icon file
TLazReaderPNG
TLazReaderTiff
TLazReaderXPM | TLazReaderXPM - this is a FPImage reader for xpm images
TLazWriterBMP
TLazWriterPNG
TLazWriterTiff
TLazWriterXPM | TLazWriterXPM - this is a FPImage writer for xpm images


Reference for unit 'IntfGraphics': Procedures and functions

AddAlphaToDescription

dbgs

DefaultReaderDescription

GetDescriptionFromBitmap

GetDescriptionFromDevice

QueryDescription

ReadCompleteStreamToStream

ReadCompleteStreamToString


Index of all identifiers in unit 'IntfGraphics'

A D G I L P Q R T

A

AddAlphaToDescription

D

dbgs DefaultReaderDescription

G

GetDescriptionFromBitmap GetDescriptionFromDevice

I

ILazImageReader ILazImageWriter

L

LazTiffExtraPrefix | lrdeBitfield | lrdeRLE
LazTiffHostComputer | lrdeHuffman | lrmmAuto
LazTiffMake | lrdeJpeg | lrmmColor
LazTiffModel | lrdePng | lrmmNone
LazTiffSoftware | lrdeRGB |

P

PArrayNode

Q

QueryDescription

R

ReadCompleteStreamToStream ReadCompleteStreamToString

T

TArrayNode | TLazReaderDIB | TLazReaderXPM
TArrayNodesTree | TLazReaderDIBEncoding | TLazWriterBMP
TLazAVLPalette | TLazReaderDIBInfo | TLazWriterPNG
TLazIntfImage | TLazReaderIcnsPart | TLazWriterTiff
TLazIntfImageGetPixelProc | TLazReaderIconDIB | TLazWriterXPM
TLazIntfImageMask | TLazReaderMaskMode | TOnReadRawImageBits
TLazIntfImageSetPixelProc | TLazReaderPNG | TOnWriteRawImageBits
TLazReaderBMP | TLazReaderTiff |


LazTiffExtraPrefix

Declaration

Source position: intfgraphics.pas line 587

const LazTiffExtraPrefix = 'LazTiff';


LazTiffHostComputer

Declaration

Source position: intfgraphics.pas line 588

const LazTiffHostComputer = LazTiffExtraPrefix + 'HostComputer';


LazTiffMake

Declaration

Source position: intfgraphics.pas line 589

const LazTiffMake = LazTiffExtraPrefix + 'Make';


LazTiffModel

Declaration

Source position: intfgraphics.pas line 590

const LazTiffModel = LazTiffExtraPrefix + 'Model';


LazTiffSoftware

Declaration

Source position: intfgraphics.pas line 591

const LazTiffSoftware = LazTiffExtraPrefix + 'Software';


PArrayNode

Declaration

Source position: intfgraphics.pas line 311

type PArrayNode = ^TArrayNode;


TLazIntfImageSetPixelProc

Declaration

Source position: intfgraphics.pas line 97

type TLazIntfImageSetPixelProc = procedure(

  x: Integer;

  y: Integer;

  const Color: TFPColor

) of object;


TLazReaderMaskMode

Declaration

Source position: intfgraphics.pas line 432

type TLazReaderMaskMode = (

  lrmmNone,

  lrmmAuto,

  lrmmColor

);


TOnReadRawImageBits

Declaration

Source position: intfgraphics.pas line 99

type TOnReadRawImageBits = procedure(

  TheData: PByte;

  const Position: TRawImagePosition;

  Prec: Cardinal;

  Shift: Cardinal;

  var Bits: Word

);


TOnWriteRawImageBits

Declaration

Source position: intfgraphics.pas line 103

type TOnWriteRawImageBits = procedure(

  TheData: PByte;

  const Position: TRawImagePosition;

  Prec: Cardinal;

  Shift: Cardinal;

  Bits: Word

);


Reference for unit 'JSONPropStorage'

Contains a component that stores Form Session Properties in JSON format.

uses
System,
Classes,
sysutils,
Forms, | Contains definitions and descriptions for constructing the Forms which are the basis of the Lazarus Graphical User Interface
JSONConf, | This unit contains the implementation of a path/value pair generic container in JSON format. See package: fcl-json.
LazUTF8; |

Overview

In this unit you can find an implementation of a name/value pair storage container in JSON format.

This container will get the Form's Session Properties that you setup in TForm.SessionProperties and read/write them on the file you specify on TJSONPropStorage.JSONFileName.


Reference for unit 'JSONPropStorage': Classes

TCustomJSONPropStorage | Implements the base class for the JSON Form's Session Properties Storage.
TJSONPropStorage | Implements the final class for the JSON Form Session Properties storage.


Reference for unit 'JSONPropStorage': Procedures and functions

Register

Registers TJSONPropStorage on the 'Misc' tab of the component pallete.


Index of all identifiers in unit 'JSONPropStorage'

R T

R

Register

T

TCustomJSONPropStorage TJSONPropStorage


Reference for unit 'LazCanvas'

uses
System,
Classes,
sysutils,
contnrs,
Math,
fpimgcanv,
fpcanvas,
fpimage,
clipping,
pixtools,
fppixlcanv,
IntfGraphics, | Classes and functions for easy handling of raw images (interface images)
LazRegions; |


Reference for unit 'LazCanvas': Types

TLazCanvasImageFormat


Reference for unit 'LazCanvas': Classes

TFPSharpInterpolation

TLazCanvas

TLazCanvasState


Index of all identifiers in unit 'LazCanvas'

C T

C

clfARGB32 | clfOther | clfRGB24UpsideDown
clfBGR24 | clfRGB16_R5G6B5 | clfRGBA32
clfBGRA32 | clfRGB24 |

T

TFPSharpInterpolation | TLazCanvasImageFormat
TLazCanvas | TLazCanvasState


Accelerometer

A global object representing the accelerometer of the device

Declaration

Source position: lazdeviceapis.pas line 143

var Accelerometer: TLazAccelerometer = ;


Device

A global object which represents the device hardware in a general way, except for those elements which already have their own object, like Screen, PositionInfo, Accelerometer, etc.

Declaration

Source position: lazdeviceapis.pas line 146

var Device: TLazDevice = ;


Reference for unit 'LazDeviceApis'

LCL APIs for accessing hardware sensors (such as Accelerometer, GPS, etc) and integrated elements of the system (such as Calendar, Contacts, etc)

uses
System,
sysutils,
Classes,
LCLIntf, | Contains winapi like functions for Delphi compatibility.
LCLType; | This unit is being created specifically for compatibility with Delphi. It should only be used for constants and type definitions that are included in the Delphi Windows unit. This is only done for compatibiltiy.


Reference for unit 'LazDeviceApis': Types

TLazDeviceMessageKind | Indicates the type of message (for example: SMS, MMS, EMail)
TLazMessagingStatus | Indicates the current stage of a message sending operation
TLazPositionMethod | A list of possible positioning methods
TOnMessagingStatus | A produral type to receive the events of the status of sending a message
TScreenRotation


Reference for unit 'LazDeviceApis': Classes

TLazAccelerometer | Represents the hardware accelerometer
TLazDevice | Represents the device itself in a general way and hardware elements which don't have a exclusive object to represent them
TLazDeviceMessage | Represents a message
TLazMessaging | A class which manages messages
TLazPositionInfo | Represents the hardware GPS device


Reference for unit 'LazDeviceApis': Variables

Accelerometer | A global object representing the accelerometer of the device
Device | A global object which represents the device hardware in a general way, except for those elements which already have their own object, like Screen, PositionInfo, Accelerometer, etc.
Messaging | A global object to manage message
PositionInfo | A global object which represents the positioning sensor of the device


Index of all identifiers in unit 'LazDeviceApis'

A D M P S T

A

Accelerometer

D

Device | dmkMMS
dmkEMail | dmkSMS

M

Messaging | mssReceivedSuccessfully | mssSentSuccessfully
mssNoService | mssReceivingGeneralError |
mssRadioOff | mssSendingGeneralError |

P

pmGPS pmNetwork PositionInfo

S

srRotation_0 | srRotation_270
srRotation_180 | srRotation_90

T

TLazAccelerometer | TLazMessaging | TOnMessagingStatus
TLazDevice | TLazMessagingStatus | TScreenRotation
TLazDeviceMessage | TLazPositionInfo |
TLazDeviceMessageKind | TLazPositionMethod |


Messaging

A global object to manage message

Declaration

Source position: lazdeviceapis.pas line 144

var Messaging: TLazMessaging = ;


PositionInfo

A global object which represents the positioning sensor of the device

Declaration

Source position: lazdeviceapis.pas line 145

var PositionInfo: TLazPositionInfo = ;


TLazPositionMethod

A list of possible positioning methods

Declaration

Source position: lazdeviceapis.pas line 107

type TLazPositionMethod = (
pmGPS, | The GPS positioning method
pmNetwork | Detects the position via the network connection
);


TOnMessagingStatus

A produral type to receive the events of the status of sending a message

Declaration

Source position: lazdeviceapis.pas line 86

type TOnMessagingStatus = procedure(

  AMessage: TLazDeviceMessage;

  AStatus: TLazMessagingStatus

) of object;


TScreenRotation

Declaration

Source position: lazdeviceapis.pas line 129

type TScreenRotation = (

  srRotation_0,

  srRotation_90,

  srRotation_180,

  srRotation_270

);


Reference for unit 'LazDialogs'

uses
System,
Classes,
sysutils,
math,
Graphics, | Unit contains definitions for many fundamental classes and types used in graphic applications
Forms, | Contains definitions and descriptions for constructing the Forms which are the basis of the Lazarus Graphical User Interface
ShellCtrls, | Controls which display files and directories
Buttons, | Defines several specialist button classes
StdCtrls, | Several standard controls used in most Lazarus forms
ExtCtrls, | Some extra controls commonly used in Lazarus forms
FileCtrl, | Class definitions for a box with a list of files for selection
ComCtrls, | Several controls commonly used in Lazarus forms
Dialogs, | Some dialogs commonly used in Lazarus applications. Look at the Procedures as well as the Classes
ButtonPanel, | A special panel containing a row of BitButtons
LCLStrConsts, | This unit contains all resource strings of the LCL
FileUtil,
Controls; | This unit contains basic classes for visual controls.


Reference for unit 'LazDialogs': Types

TLazFileDialogKind


Reference for unit 'LazDialogs': Classes

TLazarusFileDialogForm

TLazMessageDialog

TLazOpenDialog

TLazSaveDialog

TLazSelectDirectoryDialog


Reference for unit 'LazDialogs': Procedures and functions

LazMessageDlg


Index of all identifiers in unit 'LazDialogs'

L T

L

LazMessageDlg | ldkOpenPDA | ldkSavePDA
ldkOpenDesktop | ldkSaveDesktop | ldkSelectDirectory

T

TLazarusFileDialogForm | TLazMessageDialog | TLazSaveDialog
TLazFileDialogKind | TLazOpenDialog | TLazSelectDirectoryDialog


TLazFileDialogKind

Declaration

Source position: lazdialogs.pas line 15

type TLazFileDialogKind = (

  ldkOpenDesktop,

  ldkSaveDesktop,

  ldkOpenPDA,

  ldkSavePDA,

  ldkSelectDirectory

);


Reference for unit 'LazFreeTypeIntfDrawer'

uses
System,
Classes,
sysutils,
FPimage,
EasyLazFreeType,
GraphType,
Graphics, | Unit contains definitions for many fundamental classes and types used in graphic applications
IntfGraphics; | Classes and functions for easy handling of raw images (interface images)


Reference for unit 'LazFreeTypeIntfDrawer': Types

TLazIntfHorizLineProc

TLazIntfImageGetPixelAtProc

TLazIntfImageSetPixelAtProc


Reference for unit 'LazFreeTypeIntfDrawer': Classes

TIntfFreeTypeDrawer


Index of all identifiers in unit 'LazFreeTypeIntfDrawer'

T

T

TIntfFreeTypeDrawer | TLazIntfImageGetPixelAtProc
TLazIntfHorizLineProc | TLazIntfImageSetPixelAtProc


TLazIntfHorizLineProc

Declaration

Source position: lazfreetypeintfdrawer.pas line 17

type TLazIntfHorizLineProc = procedure(

  x1: Integer;

  y: Integer;

  x2: Integer;

  const Color: TFPColor

) of object;


TLazIntfImageGetPixelAtProc

Declaration

Source position: lazfreetypeintfdrawer.pas line 15

type TLazIntfImageGetPixelAtProc = procedure(

  p: pointer;

  out Color: TFPColor

);


TLazIntfImageSetPixelAtProc

Declaration

Source position: lazfreetypeintfdrawer.pas line 16

type TLazIntfImageSetPixelAtProc = procedure(

  p: pointer;

  const Color: TFPColor

);


Reference for unit 'LazHelpHTML'

uses
System,
Classes,
sysutils,
LazFileUtils,
UTF8Process,
LazUTF8,
LazConfigStorage,
LCLProc, | Useful lower level helper functions and classes
LCLIntf, | Contains winapi like functions for Delphi compatibility.
LCLStrConsts, | This unit contains all resource strings of the LCL
HelpIntfs, |
LazHelpIntf; |


Reference for unit 'LazHelpHTML': Types

TOnFindDefaultBrowser


Reference for unit 'LazHelpHTML': Classes

THTMLBrowserHelpViewer

THTMLHelpDatabase


Reference for unit 'LazHelpHTML': Procedures and functions

Register


Index of all identifiers in unit 'LazHelpHTML'

R T

R

Register

T

THTMLBrowserHelpViewer THTMLHelpDatabase TOnFindDefaultBrowser


TOnFindDefaultBrowser

Declaration

Source position: lazhelphtml.pas line 88

type TOnFindDefaultBrowser = procedure(

  var DefaultBrowser: string;

  var Params: string

) of object;


HelpDatabases

Declaration

Source position: lazhelpintf.pas line 573

var HelpDatabases: THelpDatabases = Nil;


HelpViewers

Declaration

Source position: lazhelpintf.pas line 574

var HelpViewers: THelpViewers = Nil;


Reference for unit 'LazHelpIntf'

uses
System,
Classes,
sysutils,
FileUtil,
LazFileUtils,
LazUtilities,
LazUTF8,
LazConfigStorage,
Masks,
LCLProc, | Useful lower level helper functions and classes
LCLStrConsts, | This unit contains all resource strings of the LCL
Dialogs, | Some dialogs commonly used in Lazarus applications. Look at the Procedures as well as the Classes
HelpIntfs; |


Reference for unit 'LazHelpIntf': Types

THelpDatabaseClass

THelpNodeType

THelpViewerClass

TOnHelpDBFindViewer

TPascalHelpContext

TPascalHelpContextPtr

TPascalHelpContextType


Reference for unit 'LazHelpIntf': Classes

THelpBasePathObject

THelpBaseURLObject

THelpDatabase

THelpDatabases

THelpDBIClass

THelpDBIMessage

THelpDBISourceDirectories

THelpDBISourceDirectory

THelpDBISourceFile

THelpDBItem

THelpNode

THelpNodeQuery

THelpNodeQueryList

THelpQueryItem

THelpQueryNode

THelpViewer

THelpViewers

TPascalHelpContextList


Reference for unit 'LazHelpIntf': Procedures and functions

AppendURLPathDelim

ChompURLParams

CombineURL

CreateLCLHelpSystem

CreateListAndAdd

CreateNodeQueryListAndAdd

ExtractURLDirectory

ExtractURLPath

FilenameToURL

FilenameToURLPath

FindURLPathEnd

FindURLPathStart

FreeLCLHelpSystem

FreeUnusedLCLHelpSystem

IsFileURL

SplitURL

TrimUrl

TrimURLPath

URLFilenameIsAbsolute

URLPathToFilename


Reference for unit 'LazHelpIntf': Variables

HelpDatabases

HelpViewers


Index of all identifiers in unit 'LazHelpIntf'

A C E F H I P S T U

A

AppendURLPathDelim

C

ChompURLParams | CreateLCLHelpSystem | CreateNodeQueryListAndAdd
CombineURL | CreateListAndAdd |

E

ExtractURLDirectory ExtractURLPath

F

FilenameToURL | FindURLPathEnd | FreeLCLHelpSystem
FilenameToURLPath | FindURLPathStart | FreeUnusedLCLHelpSystem

H

HelpDatabases | hntID | hntURLID
HelpViewers | hntURL | hntURLIDContext
hntContext | hntURLContext |

I

IsFileURL

P

pihcConst | pihcProcedure | pihcType
pihcFilename | pihcProperty | pihcVariable
pihcParameterList | pihcSourceName |

S

SplitURL

T

THelpBasePathObject | THelpDBISourceFile | THelpViewerClass
THelpBaseURLObject | THelpDBItem | THelpViewers
THelpDatabase | THelpNode | TOnHelpDBFindViewer
THelpDatabaseClass | THelpNodeQuery | TPascalHelpContext
THelpDatabases | THelpNodeQueryList | TPascalHelpContextList
THelpDBIClass | THelpNodeType | TPascalHelpContextPtr
THelpDBIMessage | THelpQueryItem | TPascalHelpContextType
THelpDBISourceDirectories | THelpQueryNode | TrimUrl
THelpDBISourceDirectory | THelpViewer | TrimURLPath

U

URLFilenameIsAbsolute URLPathToFilename


THelpNodeType

Declaration

Source position: lazhelpintf.pas line 88

type THelpNodeType = (

  hntURLIDContext,

  hntURL,

  hntURLID,

  hntID,

  hntContext,

  hntURLContext

);


TOnHelpDBFindViewer

Declaration

Source position: lazhelpintf.pas line 310

type TOnHelpDBFindViewer = function(

  HelpDB: THelpDatabase;

  const MimeType: string;

  var ErrMsg: string;

  out Viewer: THelpViewer

):TShowHelpResult of object;


TPascalHelpContext

Declaration

Source position: lazhelpintf.pas line 55

type TPascalHelpContext = record

  Descriptor: TPascalHelpContextType;

  Context: string;

end;


TPascalHelpContextPtr

Declaration

Source position: lazhelpintf.pas line 59

type TPascalHelpContextPtr = ^TPascalHelpContext;


TPascalHelpContextType

Declaration

Source position: lazhelpintf.pas line 45

type TPascalHelpContextType = (

  pihcFilename,

  pihcSourceName,

  pihcProperty,

  pihcProcedure,

  pihcParameterList,

  pihcVariable,

  pihcType,

  pihcConst

);


Reference for unit 'LazRegions'

uses

  System,

  Classes,

  sysutils,

  fpcanvas,

  LCLType;

This unit is being created specifically for compatibility with Delphi. It should only be used for constants and type definitions that are included in the Delphi Windows unit. This is only done for compatibiltiy.


Reference for unit 'LazRegions': Types

TLazRegionFillMode

TPointArray


Reference for unit 'LazRegions': Classes

TLazRegion

TLazRegionEllipse

TLazRegionPart

TLazRegionPolygon

TLazRegionRect

TLazRegionWithChilds


Reference for unit 'LazRegions': Procedures and functions

IsPointInPolygon


Index of all identifiers in unit 'LazRegions'

I R T

I

IsPointInPolygon

R

rfmOddEven rfmWinding

T

TLazRegion | TLazRegionPart | TLazRegionWithChilds
TLazRegionEllipse | TLazRegionPolygon | TPointArray
TLazRegionFillMode | TLazRegionRect |


TLazRegionFillMode

Declaration

Source position: lazregions.pas line 17

type TLazRegionFillMode = (

  rfmOddEven,

  rfmWinding

);


TPointArray

Declaration

Source position: lazregions.pas line 19

type TPointArray = array of TPoint;


Reference for unit 'LCL'

uses

  System,

  AllLCLIntfUnits,

  LazarusPackageIntf;


Index of all identifiers in unit 'LCL'

The latest version of this document can be found at lazarus-ccr.sourceforge.net .


Reference for unit 'LCLClasses'

Defines the base class for all LCL TComponents including controls

uses
System,
Classes,
WSLCLClasses, |
WSReferences,
LCLType, | This unit is being created specifically for compatibility with Delphi. It should only be used for constants and type definitions that are included in the Delphi Windows unit. This is only done for compatibiltiy.
LCLProc; | Useful lower level helper functions and classes


Reference for unit 'LCLClasses': Types

LazLongRec


Reference for unit 'LCLClasses': Classes

TLCLComponent | The base class for LCL components associated with widgets.
TLCLReferenceComponent | Base class for all components having an associated widget.


Index of all identifiers in unit 'LCLClasses'

L T

L

LazLongRec

T

TLCLComponent TLCLReferenceComponent


LazLongRec

Declaration

Source position: lclclasses.pp line 32

type LazLongRec = packed record

  Hi: SmallInt;

  Lo: SmallInt;

end;


Reference for unit 'LCLIntf'

Contains winapi like functions for Delphi compatibility.

uses
System,
Unix,
Math, |
Classes,
sysutils,
Types,
LCLType, | This unit is being created specifically for compatibility with Delphi. It should only be used for constants and type definitions that are included in the Delphi Windows unit. This is only done for compatibiltiy.
LCLProc, | Useful lower level helper functions and classes
LMessages, |
LCLStrConsts, | This unit contains all resource strings of the LCL
GraphType, |
InterfaceBase, | Provides an platform independent widgetset and helper functions.
FileUtil,
LazFileUtils,
UTF8Process,
LazUTF8,
LazSysUtils,
Maps;

Overview

This unit was created for Delphi compatibility. It contains selected functions from the Delphi Windows unit, which finally are implemented in the widgetsets.

For LCL users:
The functions can be used to make porting of Delphi applications easier, and are not 100% emulating winapi functions, not even under windows. They were implemented and tested with some common Delphi libraries. The LCL contains many extra functions that the Delphi VCL does not have.

Remark: Some functions are not exactly Delphi or WinAPI compatible.

For example:
Instead of using the common Windows functions SaveDC and RestoreDC use the Canvas.SaveHandleState and Canvas.RestoreHandleState.


Reference for unit 'LCLIntf': Types

TOpenParamStringProc


Reference for unit 'LCLIntf': Procedures and functions

AddEventHandler |
AddPipeEventHandler |
AddProcessEventHandler |
AdjustWindowRectEx |
AllocateHWnd |
AngleChord | Draws a filled Chord described by two angles.
Arc | Draws an elliptical curve.
AskUser |
BeginPaint | Start painting in a window.
BitBlt | Copies a section of a Canvas to another one, performing a raster operation (ROP).
CallDefaultWndHandler |
CallNextHookEx | Calls the next procedure in the hook chain.
CallWindowProc | Calls another Window procedure, to handle a message.
CharLower |
CharLowerBuff |
CharUpper |
CharUpperBuff
ClientToScreen | Converts (relative) Client coordinates into absolute Screen coordinates.
ClipboardFormatNeedsNullByte
ClipboardFormatToMimeType |
ClipboardGetData |
ClipboardGetFormats |
ClipboardGetOwnerShip |
ClipboardRegisterFormat |
CombineRgn | Combines two regions.
CopyRect |
CreateBitmap | Creates a bitmap object.
CreateBrushIndirect | Creates a brush object (bitmap).
CreateBrushWithRadialGradient
CreateCaret | Creates a Caret (text cursor).
CreateCompatibleBitmap | Creates a bitmap that is compatible with the given DC.
CreateCompatibleDC | Creates an memory Device Context, compatible with the device of the given DC.
CreateDIBitmap | Creates a Device Dependent Bitmap (DDB) from a Device Independent Bitmap (DIB).
CreateDIBSection | Creates a bitmap into which the application can write.
CreateEllipticRgn | Creates an elliptic region.
CreateEllipticRgnIndirect |
CreateEmptyRegion |
CreateFont |
CreateFontIndirect | Creates an logical font, selectable into any DC.
CreateFontIndirectEx | Creates an logical font, selectable into any DC. Allows for an long fontname.
CreateIconIndirect | Creates an icon or cursor.
CreatePalette | Creates a logical palette, selectable into any DC.
CreatePatternBrush | Creates a logical brush, selectable into any DC.
CreatePen |
CreatePenIndirect | Creates an logical Pen, selectable into any DC.
CreatePixmapIndirect |
CreatePolygonRgn | Creates a polygonial region.
CreateRectRgn | Creates a rectangular region.
CreateRectRgnIndirect |
CreateRegionCopy |
CreateRoundRectRgn | Creates a rectangular region with rounded corners. All parameters in logical units.
CreateRubberBand |
CreateSolidBrush |
CreateStandardCursor |
DCClipRegionValid |
DeallocateHWnd |
DeleteCriticalSection | Deletes an unowned crititcal section.
DeleteDC | Deletes an Device Context, created by CreateDC.
DeleteObject | Frees an GDI object.
DestroyCaret | Destroys the caret but doesn't free the bitmap.
DestroyCursor | Destroys an mouse cursor.
DestroyIcon | Destroys an icon.
DestroyRubberBand |
DPtoLP | Converts an array of Device Points (coordinates) into Logical Points.
DrawDefaultDockImage |
DrawEdge | Draws one or more edges of a rectangle.
DrawFocusRect | Shows or hides a floating rectangle.
DrawFrameControl | Draws a window frame control, of the specified type and style.
DrawGrid |
DrawText | Draws formatted text within a rectangle.
Ellipse | Draws a filled circle or ellipse, bounded by a rectangle.
EnableScrollBar | Enables or disables the arrows of a scrollbar control, or of the scrollbars of a window.
EnableWindow | Enables or disables mouse and keyboard input to the specified window or control.
EndPaint | Ends painting a window, started with BeginPaint.
EnterCriticalSection | Enters a critical section.
EnumDisplayMonitors | Invokes a callback function for every available display monitor.
EnumFontFamilies | Invokes a callback function for every font available on a specified device.
EnumFontFamiliesEx | Invokes a callback function for every available font that matches certain criteria.
EqualRect | Returns True when the rectangles are identical.
EqualRgn
ExcludeClipRect | Excludes a rectangle from the clipping region, i.e. allows one to paint within the rectangle.
ExcludeClipRgn |
ExtCreatePen | Creates an logical pen, selectable into any DC.
ExtSelectClipRGN | Combines the passed Region with the current clipping region.
ExtTextOut | Draws an string without formatting (single line).
ExtUTF8Out |
FillRect | Fills a rectangle by using the specified brush.
FillRgn | Fills a region using the specified brush.
FindDefaultBrowser |
FloodFill | Fills an area of the display surface with the current brush.
FontCanUTF8 |
FontIsMonoSpace |
Frame3d |
FrameRect | Draws a border around a rectangle.
GetAcceleratorString |
GetActiveWindow | Returns the Handle of the active window of the calling thread.
GetAvailableNativeCanvasTypes
GetAvailableNativeHandleTypes
GetBitmapBits | Fills an buffer with the bitmap bits.
GetBkColor | Returns the background color of an device context.
GetBValue | Extracts the blue color value from a COLORREF.
GetCapture | Returns the window that captures mouse messages.
GetCaretPos | Returns the caret position, in client coordinates.
GetCaretRespondToFocus |
GetCharABCWidths | Returns the ABC widths of an range of character codes.
GetClientBounds |
GetClientRect | Returns the client rectangle of a control. Left and Top are always 0.
GetClipBox | Returns the smallest rectangle which includes the entire clipping region of an device context.
GetClipRGN | Returns the clipping region of an device context.
GetCmdLineParamDescForInterface |
GetControlConstraints |
GetCurrentObject | Returns an currently selected object in an device context.
GetCursorPos |
GetDC | Returns the handle of an Device Context (DC) for the client area of a window.
GetDCOriginRelativeToWindow |
GetDesignerDC |
GetDeviceCaps | Returns various device specific informations.
GetDeviceSize |
GetDIBits | Fills an buffer with the bitmap bits.
GetDoubleClickTime | Returns the double-click time, in milliseconds.
GetDpiForMonitor
GetFocus | Returns the handle of the window that has the focus in the current thread.
GetFontLanguageInfo | Returns language information about the currently selected font.
GetForegroundWindow | Returns the window that the user is currently working with, session wide.
GetGValue | Extracts the green color value from a COLORREF.
GetIconInfo | Returns information about an Icon or Cursor.
GetKeyState | The status of a virtual key.
GetLCLOwnerObject |
GetMapMode | Returns the mapping mode of an device context.
GetMonitorInfo | Returns information about an display monitor.
GetNativeCanvas
GetNativeHandle
GetObject | Returns information about a graphics object.
GetPaletteEntries | Retrieves an range of color entries from a logical palette.
GetParent | Returns the parent window of a window.
GetProp | Retrieves an property value for a window.
GetRGBIntValues | Extracts the red, green and blue color values from a COLORREF.
GetRGBValues | Extracts the red, green and blue color values from a COLORREF.
GetRgnBox | Returns the bounding rectangle of a region, containing the entire region.
GetROP2 | The current Foreground Mixing Mode in an device context.
GetRValue | Extracts the red color value from a COLORREF.
GetScrollBarSize |
GetScrollbarVisible |
GetScrollInfo | Returns all or selected information about a ScrollBar.
GetScrollPos | Returns the scollbar position.
GetScrollRange | Returns the minimum and maximum Position values of a ScrollBar.
GetStockObject | Retrieves a handle to one of the predefined graphic objects.
GetSysColor | Retrieves the system color for standard display elements.
GetSysColorBrush | Retrieves a system brush for standard display elements.
GetSystemMetrics | Retrieves various system metrics.
GetSystemPaletteEntries | Retrieves an range of color entries from the system palette for a device.
GetTextColor | The current text color in an device context.
GetTextExtentExPoint | Calculates the number of characters, that fit into some horizontal space.
GetTextExtentPoint | Computes the display width and height of an string.
GetTextExtentPoint32 | Computes the display width and height of an string.
GetTextMetrics | Retrieves the metrics for the currently selected font.
GetTickCount |
GetTickCount64 |
GetViewPortExtEx | Returns the size of the viewport of an device context.
GetViewPortOrgEx | Returns the origin of the viewport of an device context.
GetWindowExtEx | Returns the extent of a window, in logical units.
GetWindowLong | Returns attributes of a window.
GetWindowOrgEx | Retrieves the window origin of an device context, in logical units.
GetWindowRect | Retrieves the bounding rectangle of a window, including the window decoration in screen coordinates.
GetWindowRelativePosition |
GetWindowSize | Returns the Width and Height of a window, including the window decoration.
GradientFill | Fills rectangle or triangle areas with gradient colors.
HideCaret | Removes the caret from the screen.
IndexToOverlayMask | Converts an imagelist index into an overlay index.
InflateRect | Inflates the rectangle in all directions.
InitializeCriticalSection | Initializes a Critical Section object.
IntersectClipRect | Shrinks the clipping region of an Device Context to a rectangular boundary, e.g. a text area.
IntersectRect | Intersects SrcRect1 and SrcRect2 into DestRect.
IntfSendsUTF8KeyPress |
InvalidateFrame |
InvalidateRect | Marks a display area for repaint.
InvalidateRgn | Marks a display area for repaint.
IsCDIntfControl
IsCharAlphaNumeric | Checks for ASCII letter or digit characters.
IsDBCSLeadByte |
IsDesignerDC |
IsIconic | True when the window is minimized.
IsMobilePlatform
IsRectEmpty | Returns True if the rectangle is empty.
IsWindow | Checks whether a handle refers to a window.
IsWindowEnabled | Determines whether a window can receive mouse and keyboard input.
IsWindowVisible | The definite Visible state of a window.
IsZoomed | True when the window is maximized.
KillTimer | Removes an timer.
LeaveCriticalSection | Releases a critical section, for use by other threads.
LineTo | Draws a line from the current position up to, but not including, the specified point.
LoadBitmap
LoadCursor
LoadIcon
LPtoDP | Converts logical coordinates into device coordinates.
MakeLong | Copies two words into a double word.
MakeLParam | Copies two words into a double word, usable as a message lParam.
MakeLResult | Copies two words into a double word, usable as a message Result.
MakeROP4 |
MakeWord | Copies two bytes into a word.
MakeWParam | Copies two words into a double word, usable as a message wParam.
MaskBlt | Copies part of an source DC into an destination DC, using the specified foreground and background raster operations.
MessageBox | The MessageBox function displays an modal dialog, with the given text, caption, icon and buttons.
MonitorFromPoint | Finds an monitor from screen coordinates.
MonitorFromRect
MonitorFromWindow | Finds the monitor covering most of a window.
MoveToEx | Moves the current position to the specified point.
MoveWindowOrgEx |
MsgKeyDataToShiftState |
NotifyUser |
NotifyUserAtXY |
OffsetRect | Move Left/Right by dx, Top/Bottom by dy. Return Top and Left are >= 0.
OffsetRgn | Moves a region relative.
OpenDocument |
OpenURL | Open a given URL with the default browser
PaintRgn
PeekMessage |
Pie | Draws a filled pie-shaped wedge, from an ellipse and two radials.
PointToSmallPoint |
PointToSmallPointNoChecks
PolyBezier | Draws Bézier curves
Polygon | Draws a Polygon
Polyline | Draws a sequence of lines
PostMessage | Sends a message to a window.
PredefinedClipboardFormat |
PromptUser |
PromptUserAtXY |
PtInRect | Checks whether a Point is within a Rect.
PtInRegion |
RadialArc |
RadialChord |
RadialPie |
RawImage_CreateBitmaps |
RawImage_DescriptionFromBitmap |
RawImage_DescriptionFromDevice |
RawImage_FromBitmap |
RawImage_FromDevice |
RawImage_QueryDescription |
RealizePalette |
Rectangle |
RectInRegion
RectVisible |
RedrawWindow | Redraws (part of) a window.
RegroupMenuItem |
ReleaseCapture | Restores normal mouse input processing, after SetCapture.
ReleaseDC | Releases an Device Context obtained by GetDC.
ReleaseDesignerDC |
RemoveEventHandler |
RemovePipeEventHandler |
RemoveProcessEventHandler |
RemoveProp | Removes a named property from a window.
RequestInput |
RestoreDC | Restores an Device Context (DC) to an previously saved state.
RGB | Combines Red, Green and Blue values into an TColorRef value.
RoundRect |
SaveDC | Saves the state of an Device Context in the context stack.
ScreenToClient | Converts absolute Screen coordinates into Client relative coordinates.
ScrollWindow | Scrolls the content of a window, by a number of pixels.
ScrollWindowEx |
SelectClipRGN | Sets the ClipRegion of an DeviceContext.
SelectObject | Selects an object into an device context.
SelectPalette |
SendCachedLCLMessages |
SendMessage | Sends a message directed to a window to the message pool of the application
SetActiveWindow | Sets focus to the specified window, if the application is on top.
SetBkColor | Sets the current background color of an decice context.
SetBkMode | Sets the background mix mode (transparency) of an device context.
SetCapture | Sets the mouse capture to the specified window.
SetCaretPos | Moves the Caret to the specified coordinates.
SetCaretPosEx | Moves the Caret into a window.
SetCaretRespondToFocus |
SetComboMinDropDownSize |
SetCursor | Changes the shape of the mouse cursor.
SetCursorPos | Changes the position of the mouse cursor.
SetEventHandlerFlags |
SetFocus | Sets the keyboard input focus to the specified window.
SetForegroundWindow | Moves a window in front of all other windows, and activates it.
SetMapMode | Sets the mapping mode of an device context.
SetMenu | Assigns a menu to a window.
SetParent | Changes the parent of a window.
SetProp | Adds a property to a window.
SetRect | Copies coordinates into a rectangle.
SetRectEmpty | Clears the rectangle to all zero coordinates.
SetRectRgn
SetROP2 | Sets the Foreground Mixing Mode in an device context.
SetRubberBandRect |
SetScrollInfo |
SetScrollPos | Changes the Position of an ScrollBar slider.
SetScrollRange | Sets the minimum and maximum position values of an ScrollBar.
SetStretchBltMode | Sets the StrechBlt mode for an device context.
SetSysColors | Sets the colors for one or more display elements of window borders and desktop.
SetTextCharacterExtra | Sets extra intercharacter spacing in text output.
SetTextColor | Sets the text color in an device context.
SetTimer | Creates or resets an timer for the given time interval.
SetViewPortExtEx | Sets the extent of the viewport for a device context.
SetViewPortOrgEx | Sets the device origin corresponding to the window origin (0,0) in an device context.
SetWindowExtEx | Sets the extent of the window for an device context.
SetWindowLong | Sets an attribute of a window.
SetWindowOrgEx | Specifies which window point maps to the viewport origin (0,0).
SetWindowPos | Changes the size, position, and Z order of a window.
SetWindowRgn | Defines the visible region of a window or control
ShowCaret | Shows the Caret (text cursor).
ShowScrollBar | Shows or hides a ScrollBar.
ShowSelectItemDialog
ShowWindow | Shows a window in an specific state.
SmallPointToPoint | Converts an TSmallPoint into an TPoint.
StretchBlt | Copies a rectangular region into an device context, shrinking or stretching it as required.
StretchDIBits | Copies a rectangular region from a DIB into an device context, shrinking or stretching it as required.
StretchMaskBlt |
SubtractRect | Computes the bounding box of the geometric difference of two rectangles.
SystemParametersInfo | Retrieves or sets one of the system-wide parameters.
TextOut | Draws an string without formatting (single line).
TextUTF8Out |
UnionRect | Computes the bounding box of the union of two rectangles.
UpdateWindow | Forces an immediate repaint of a window, if required.
WindowFromPoint | Finds the window containing the specified point.


Reference for unit 'LCLIntf': Variables

OnListViewDialogResult

OnShowSelectItemDialogResult

OpenDocumentWidgetsetImplementation

OpenURLWidgetsetImplementation


Index of all identifiers in unit 'LCLIntf'

A B C D E F G H I K L M N O P R S T U W

A

AddEventHandler | AdjustWindowRectEx | Arc
AddPipeEventHandler | AllocateHWnd | AskUser
AddProcessEventHandler | AngleChord |

B

BeginPaint BitBlt

C

CallDefaultWndHandler | CopyRect | CreateIconIndirect
CallNextHookEx | CreateBitmap | CreatePalette
CallWindowProc | CreateBrushIndirect | CreatePatternBrush
CharLower | CreateBrushWithRadialGradient | CreatePen
CharLowerBuff | CreateCaret | CreatePenIndirect
CharUpper | CreateCompatibleBitmap | CreatePixmapIndirect
CharUpperBuff | CreateCompatibleDC | CreatePolygonRgn
ClientToScreen | CreateDIBitmap | CreateRectRgn
ClipboardFormatNeedsNullByte | CreateDIBSection | CreateRectRgnIndirect
ClipboardFormatToMimeType | CreateEllipticRgn | CreateRegionCopy
ClipboardGetData | CreateEllipticRgnIndirect | CreateRoundRectRgn
ClipboardGetFormats | CreateEmptyRegion | CreateRubberBand
ClipboardGetOwnerShip | CreateFont | CreateSolidBrush
ClipboardRegisterFormat | CreateFontIndirect | CreateStandardCursor
CombineRgn | CreateFontIndirectEx |

D

DCClipRegionValid | DestroyCursor | DrawFocusRect
DeallocateHWnd | DestroyIcon | DrawFrameControl
DeleteCriticalSection | DestroyRubberBand | DrawGrid
DeleteDC | DPtoLP | DrawText
DeleteObject | DrawDefaultDockImage |
DestroyCaret | DrawEdge |

E

Ellipse | EnumFontFamilies | ExtCreatePen
EnableScrollBar | EnumFontFamiliesEx | ExtSelectClipRGN
EnableWindow | EqualRect | ExtTextOut
EndPaint | EqualRgn | ExtUTF8Out
EnterCriticalSection | ExcludeClipRect |
EnumDisplayMonitors | ExcludeClipRgn |

F

FillRect | FloodFill | Frame3d
FillRgn | FontCanUTF8 | FrameRect
FindDefaultBrowser | FontIsMonoSpace |

G

GetAcceleratorString | GetDoubleClickTime | GetScrollPos
GetActiveWindow | GetDpiForMonitor | GetScrollRange
GetAvailableNativeCanvasTypes | GetFocus | GetStockObject
GetAvailableNativeHandleTypes | GetFontLanguageInfo | GetSysColor
GetBitmapBits | GetForegroundWindow | GetSysColorBrush
GetBkColor | GetGValue | GetSystemMetrics
GetBValue | GetIconInfo | GetSystemPaletteEntries
GetCapture | GetKeyState | GetTextColor
GetCaretPos | GetLCLOwnerObject | GetTextExtentExPoint
GetCaretRespondToFocus | GetMapMode | GetTextExtentPoint
GetCharABCWidths | GetMonitorInfo | GetTextExtentPoint32
GetClientBounds | GetNativeCanvas | GetTextMetrics
GetClientRect | GetNativeHandle | GetTickCount
GetClipBox | GetObject | GetTickCount64
GetClipRGN | GetPaletteEntries | GetViewPortExtEx
GetCmdLineParamDescForInterface | GetParent | GetViewPortOrgEx
GetControlConstraints | GetProp | GetWindowExtEx
GetCurrentObject | GetRGBIntValues | GetWindowLong
GetCursorPos | GetRGBValues | GetWindowOrgEx
GetDC | GetRgnBox | GetWindowRect
GetDCOriginRelativeToWindow | GetROP2 | GetWindowRelativePosition
GetDesignerDC | GetRValue | GetWindowSize
GetDeviceCaps | GetScrollBarSize | GradientFill
GetDeviceSize | GetScrollbarVisible |
GetDIBits | GetScrollInfo |

H

HideCaret

I

IndexToOverlayMask | InvalidateRect | IsMobilePlatform
InflateRect | InvalidateRgn | IsRectEmpty
InitializeCriticalSection | IsCDIntfControl | IsWindow
IntersectClipRect | IsCharAlphaNumeric | IsWindowEnabled
IntersectRect | IsDBCSLeadByte | IsWindowVisible
IntfSendsUTF8KeyPress | IsDesignerDC | IsZoomed
InvalidateFrame | IsIconic |

K

KillTimer

L

LeaveCriticalSection | LoadBitmap | LoadIcon
LineTo | LoadCursor | LPtoDP

M

MakeLong | MakeWParam | MonitorFromWindow
MakeLParam | MaskBlt | MoveToEx
MakeLResult | MessageBox | MoveWindowOrgEx
MakeROP4 | MonitorFromPoint | MsgKeyDataToShiftState
MakeWord | MonitorFromRect |

N

NotifyUser NotifyUserAtXY

O

OffsetRect | OnShowSelectItemDialogResult | OpenURL
OffsetRgn | OpenDocument | OpenURLWidgetsetImplementation
OnListViewDialogResult | OpenDocumentWidgetsetImplementation |

P

PaintRgn | PolyBezier | PromptUser
PeekMessage | Polygon | PromptUserAtXY
Pie | Polyline | PtInRect
PointToSmallPoint | PostMessage | PtInRegion
PointToSmallPointNoChecks | PredefinedClipboardFormat |

R

RadialArc | RealizePalette | RemoveEventHandler
RadialChord | Rectangle | RemovePipeEventHandler
RadialPie | RectInRegion | RemoveProcessEventHandler
RawImage_CreateBitmaps | RectVisible | RemoveProp
RawImage_DescriptionFromBitmap | RedrawWindow | RequestInput
RawImage_DescriptionFromDevice | RegroupMenuItem | RestoreDC
RawImage_FromBitmap | ReleaseCapture | RGB
RawImage_FromDevice | ReleaseDC | RoundRect
RawImage_QueryDescription | ReleaseDesignerDC |

S

SaveDC | SetEventHandlerFlags | SetTimer
ScreenToClient | SetFocus | SetViewPortExtEx
ScrollWindow | SetForegroundWindow | SetViewPortOrgEx
ScrollWindowEx | SetMapMode | SetWindowExtEx
SelectClipRGN | SetMenu | SetWindowLong
SelectObject | SetParent | SetWindowOrgEx
SelectPalette | SetProp | SetWindowPos
SendCachedLCLMessages | SetRect | SetWindowRgn
SendMessage | SetRectEmpty | ShowCaret
SetActiveWindow | SetRectRgn | ShowScrollBar
SetBkColor | SetROP2 | ShowSelectItemDialog
SetBkMode | SetRubberBandRect | ShowWindow
SetCapture | SetScrollInfo | SmallPointToPoint
SetCaretPos | SetScrollPos | StretchBlt
SetCaretPosEx | SetScrollRange | StretchDIBits
SetCaretRespondToFocus | SetStretchBltMode | StretchMaskBlt
SetComboMinDropDownSize | SetSysColors | SubtractRect
SetCursor | SetTextCharacterExtra | SystemParametersInfo
SetCursorPos | SetTextColor |

T

TextOut TextUTF8Out TOpenParamStringProc

U

UnionRect UpdateWindow

W

WindowFromPoint


OnListViewDialogResult

Declaration

Source position: lclintf.pas line 90

var OnListViewDialogResult: TOnShowSelectItemDialogResult = Nil;


OnShowSelectItemDialogResult

Declaration

Source position: lclintf.pas line 89

var OnShowSelectItemDialogResult: TOnShowSelectItemDialogResult = Nil;


TOpenParamStringProc

Declaration

Source position: lclintf.pas line 86

type TOpenParamStringProc = function(

  AString: string

):Boolean of object;


Reference for unit 'LCLMemManager'

uses

  System,

  Classes,

  Math;


Reference for unit 'LCLMemManager': Types

PLCLMemManagerItem

TLCLEnumItemsMethod

TLCLMemManagerItem

TStreamSizeType


Reference for unit 'LCLMemManager': Classes

TExtMemoryStream

TLCLMemManager

TLCLNonFreeMemManager


Index of all identifiers in unit 'LCLMemManager'

P T

P

PLCLMemManagerItem

T

TExtMemoryStream | TLCLMemManager | TLCLNonFreeMemManager
TLCLEnumItemsMethod | TLCLMemManagerItem | TStreamSizeType


PLCLMemManagerItem

Declaration

Source position: lclmemmanager.pas line 27

type PLCLMemManagerItem = ^TLCLMemManagerItem;


TLCLEnumItemsMethod

Declaration

Source position: lclmemmanager.pas line 65

type TLCLEnumItemsMethod = procedure(

  Item: Pointer

) of object;


TStreamSizeType

Declaration

Source position: lclmemmanager.pas line 90

type TStreamSizeType = LongInt;


Reference for unit 'LCLMessageGlue'

uses
System,
Classes,
Forms, | Contains definitions and descriptions for constructing the Forms which are the basis of the Lazarus Graphical User Interface
LCLClasses, | Defines the base class for all LCL TComponents including controls
LCLProc, | Useful lower level helper functions and classes
Controls, | This unit contains basic classes for visual controls.
Messages,
LMessages, |
LCLType; | This unit is being created specifically for compatibility with Delphi. It should only be used for constants and type definitions that are included in the Delphi Windows unit. This is only done for compatibiltiy.


Reference for unit 'LCLMessageGlue': Procedures and functions

DeliverMessage

LCLSendActivateMsg

LCLSendCaptureChangedMsg

LCLSendChangedMsg

LCLSendCharEvent

LCLSendClickedMsg

LCLSendCloseQueryMsg

LCLSendCloseUpMsg

LCLSendConfigureEventMsg

LCLSendCopyToClipboardMsg

LCLSendCutToClipboardMsg

LCLSendDayChangedMsg

LCLSendDestroyMsg

LCLSendDragStartMsg

LCLSendDrawListItemMsg

LCLSendDropDownMsg

LCLSendEraseBackgroundMsg

LCLSendExitMsg

LCLSendKeyDownEvent

LCLSendKeyUpEvent

LCLSendKillCharMsg

LCLSendKillFocusMsg

LCLSendKillLineMsg

LCLSendKillWordMsg

LCLSendMonthChangedMsg

LCLSendMouseDownMsg

LCLSendMouseEnterMsg

LCLSendMouseLeaveMsg

LCLSendMouseMoveMsg

LCLSendMouseMultiClickMsg

LCLSendMouseUpMsg

LCLSendMouseWheelMsg

LCLSendMoveMsg

LCLSendMovePageMsg

LCLSendMoveToColumnMsg

LCLSendMoveToRowMsg

LCLSendMoveWordMsg

LCLSendPaintMsg

LCLSendPasteFromClipboardMsg

LCLSendSelectionChangedMsg

LCLSendSetEditableMsg

LCLSendSetFocusMsg

LCLSendShowWindowMsg

LCLSendSizeMsg

LCLSendTimerMsg

LCLSendUTF8KeyPress

LCLSendYearChangedMsg

SendSimpleMessage


Index of all identifiers in unit 'LCLMessageGlue'

D L S

D

DeliverMessage

L

LCLSendActivateMsg | LCLSendExitMsg | LCLSendMovePageMsg
LCLSendCaptureChangedMsg | LCLSendKeyDownEvent | LCLSendMoveToColumnMsg
LCLSendChangedMsg | LCLSendKeyUpEvent | LCLSendMoveToRowMsg
LCLSendCharEvent | LCLSendKillCharMsg | LCLSendMoveWordMsg
LCLSendClickedMsg | LCLSendKillFocusMsg | LCLSendPaintMsg
LCLSendCloseQueryMsg | LCLSendKillLineMsg | LCLSendPasteFromClipboardMsg
LCLSendCloseUpMsg | LCLSendKillWordMsg | LCLSendSelectionChangedMsg
LCLSendConfigureEventMsg | LCLSendMonthChangedMsg | LCLSendSetEditableMsg
LCLSendCopyToClipboardMsg | LCLSendMouseDownMsg | LCLSendSetFocusMsg
LCLSendCutToClipboardMsg | LCLSendMouseEnterMsg | LCLSendShowWindowMsg
LCLSendDayChangedMsg | LCLSendMouseLeaveMsg | LCLSendSizeMsg
LCLSendDestroyMsg | LCLSendMouseMoveMsg | LCLSendTimerMsg
LCLSendDragStartMsg | LCLSendMouseMultiClickMsg | LCLSendUTF8KeyPress
LCLSendDrawListItemMsg | LCLSendMouseUpMsg | LCLSendYearChangedMsg
LCLSendDropDownMsg | LCLSendMouseWheelMsg |
LCLSendEraseBackgroundMsg | LCLSendMoveMsg |

S

SendSimpleMessage


BuildLCLWidgetType

Declaration

Source position: lclplatformdef.pas line 78

var BuildLCLWidgetType: TLCLPlatform = lpGtk2;


Reference for unit 'LCLPlatformDef'

uses

  System,

  sysutils;


Reference for unit 'LCLPlatformDef': Constants

LCLPlatformDirNames

LCLPlatformDisplayNames


Reference for unit 'LCLPlatformDef': Types

TLCLPlatform

TLCLPlatforms


Reference for unit 'LCLPlatformDef': Procedures and functions

DirNameToLCLPlatform

GetBuildLCLWidgetType


Reference for unit 'LCLPlatformDef': Variables

BuildLCLWidgetType


Index of all identifiers in unit 'LCLPlatformDef'

B D G L T

B

BuildLCLWidgetType

D

DirNameToLCLPlatform

G

GetBuildLCLWidgetType

L

LCLPlatformDirNames | lpfpGUI | lpNoGUI
LCLPlatformDisplayNames | lpGtk | lpQT
lpCarbon | lpGtk2 | lpQt5
lpCocoa | lpGtk3 | lpWin32
lpCustomDrawn | lpMUI | lpWinCE

T

TLCLPlatform TLCLPlatforms


LCLPlatformDirNames

Declaration

Source position: lclplatformdef.pas line 44

const LCLPlatformDirNames: array [TLCLPlatform] of string = ('gtk', 'gtk2', 'gtk3', 'win32', 'wince', 'carbon', 'qt', 'qt5', 'fpgui', 'nogui', 'cocoa', 'customdrawn', 'mui');


LCLPlatformDisplayNames

Declaration

Source position: lclplatformdef.pas line 60

const LCLPlatformDisplayNames: array [TLCLPlatform] of string = ('gtk (deprecated)', 'gtk2', 'gtk3 (alpha)', 'win32/win64', 'wince', 'carbon', 'qt', 'qt5', 'fpGUI (alpha)', 'NoGUI', 'cocoa (alpha)', 'customdrawn (alpha)', 'MUI');


TLCLPlatform

Declaration

Source position: lclplatformdef.pas line 22

type TLCLPlatform = (

  lpGtk,

  lpGtk2,

  lpGtk3,

  lpWin32,

  lpWinCE,

  lpCarbon,

  lpQT,

  lpQt5,

  lpfpGUI,

  lpNoGUI,

  lpCocoa,

  lpCustomDrawn,

  lpMUI

);


TLCLPlatforms

Declaration

Source position: lclplatformdef.pas line 38

type TLCLPlatforms = set of (

  lpGtk,

  lpGtk2,

  lpGtk3,

  lpWin32,

  lpWinCE,

  lpCarbon,

  lpQT,

  lpQt5,

  lpfpGUI,

  lpNoGUI,

  lpCocoa,

  lpCustomDrawn,

  lpMUI

);


Reference for unit 'LCLProc'

Useful lower level helper functions and classes

uses
System,
Classes,
sysutils,
Math, |
typinfo,
Types,
Laz_AVL_Tree,
FPCAdds,
LazFileUtils,
LazUtilities,
LazMethodList,
LazUTF8,
LazUTF8Classes,
LazLoggerBase,
LazTracer,
LCLStrConsts, | This unit contains all resource strings of the LCL
LCLType; | This unit is being created specifically for compatibility with Delphi. It should only be used for constants and type definitions that are included in the Delphi Windows unit. This is only done for compatibiltiy.


Reference for unit 'LCLProc': Types

PUTF16String | Deprecated, see #LazUtils.LazUTF8 for replacements.
TMethodList | A list for method references.
TOwnerFormDesignerModifiedProc |
TSendApplicationMessageFunction |
TStringsSortCompare | Compare function type for TStrings Strings[].
UTF16String | Deprecated, see #LazUtils.LazUTF8 for replacements.


Reference for unit 'LCLProc': Classes

TDebugLCLItemInfo | A node in TDebugLCLItems, holding information about a heap object.
TDebugLCLItems | A list describing dynamically allocated (and destroyed) memory objects.


Reference for unit 'LCLProc': Procedures and functions

CalculateLeftTopWidthHeight | Converts coordinates into kind of a rectangle with positive Width and Height.
CallInterfaceFinalizationHandlers | Invokes the registered handlers.
CallInterfaceInitializationHandlers | Invokes the registered handlers.
ClassCase |
CloseDebugOutput |
CompareCaret
CompareDebugLCLItemInfos | Compare function for the TDebugLCLItems AVL tree
CompareHandles | Compares two Handles, returning the Sign of the difference.
CompareItemWithDebugLCLItemInfo | Compare function for TDebugLCLItems.FindInfo.
CompareMethods | Returns true when both method references are equal.
ComparePointers | Compares two pointers, returning the Sign of the difference.
ComparePoints | Compares the coordinates (y first) and returns the Sign of the difference.
CompareRect | Returns True when the two rectangles are equal.
CreateFirstIdentifier | Replaces last digits with 1
CreateNextIdentifier | Deprecated, see #LazUtils.LazUTF8 for replacements.
DbgAppendToFile | Appends a line to the given file
DbgAppendToFileWithoutLn | Appends (preformatted) text to an file
dbgHex | Provides an hex dump of an Int64, (sign + absolute value).
dbgMemRange | Provides an hex dump of a memory section.
dbgMemStream | Provides an hex dump of an memory stream.
dbgObjMem | Provides an hex dump of an TObject.
DbgOut |
DbgOutThreadLog |
DbgS | Formats debug output for various argument types (overloaded).
DbgSaveData | Writes data into an file
DbgSName | Returns the component or class name.
DbgStr | Converts control characters or above #126 into #hex format.
DbgsVKCode | Translates an virtual key code into its VK_... name.
DbgSWindowPosFlags | Provides an dump of SetWindowPosition flags.
DbgWideStr | Converts control characters or above #126 into #hex format.
DebugLn | Writes a number of strings (heavily overloaded) to the debug output
DebugLnEnter |
DebugLnExit |
DebuglnThreadLog |
DeleteAmpersands | Replaces all '&x' with 'x', and returns the position of the first adjusted letter in the resulting string.
FreeThenNil | Free the TObject, before setting the reference to Nil.
GetCompleteText | Find an string in a list, given its first few characters.
GetEnumValueDef | Finds an enum member by name
GetPart |
IsEditableTextKey |
IsFontNameDefault
KeyAndShiftStateToKeyString
KeyStringIsIrregular
MakeMinMax | Eventually swaps the variable contents, so that i1 is not higher than i2.
MergeSort | Sorting TStrings or TFPList.
MoveRect | Makes the rectangle originate at the given coordinates.
MoveRectToFit | Adjusts an rectangle to fit entirely into another one.
OffsetRect | Increments the TopLeft and BottomRight coordinates of the rectangle.
OwnerFormDesignerModified |
RaiseGDBException | Raises an exception.
RegisterInterfaceFinalizationHandler |
RegisterInterfaceInitializationHandler |
RoundToCardinal | Returns the rounded value as an Cardinal.
RoundToInt | Returns the rounded value as an Integer.
SendApplicationMessage |
ShortCutToText | Returns the textual representation of an shortcut
ShortCutToTextRaw
StringCase |
StripLN | Strips everything after (and including) an CR or LF.
StrToDouble | Converts an numeric string into an Double value.
SwapCase | Toggles the case of all ASCII characters in an string.
TextToShortCut | Converts the textual representation of an shortcut into an shortcut
TextToShortCutRaw
TextToSingleLine | Compresses multi-line text into a single line.
TruncToCardinal | Returns the rounded value as an Cardinal.
TruncToInt | Returns the truncated value as an Integer.
UnicodeToUTF16 | Deprecated, see #LazUtils.LazUTF8 for replacements.
UTF16CharacterLength | Deprecated, see #LazUtils.LazUTF8 for replacements.
UTF16CharacterToUnicode | Deprecated, see #LazUtils.LazUTF8 for replacements.
UTF16Length | Deprecated, see #LazUtils.LazUTF8 for replacements.


Reference for unit 'LCLProc': Variables

OwnerFormDesignerModifiedProc

SendApplicationMessageFunction


Index of all identifiers in unit 'LCLProc'

C D F G I K M O P R S T U

C

CalculateLeftTopWidthHeight | CompareCaret | ComparePointers
CallInterfaceFinalizationHandlers | CompareDebugLCLItemInfos | ComparePoints
CallInterfaceInitializationHandlers | CompareHandles | CompareRect
ClassCase | CompareItemWithDebugLCLItemInfo | CreateFirstIdentifier
CloseDebugOutput | CompareMethods | CreateNextIdentifier

D

DbgAppendToFile | DbgOutThreadLog | DbgWideStr
DbgAppendToFileWithoutLn | DbgS | DebugLn
dbgHex | DbgSaveData | DebugLnEnter
dbgMemRange | DbgSName | DebugLnExit
dbgMemStream | DbgStr | DebuglnThreadLog
dbgObjMem | DbgsVKCode | DeleteAmpersands
DbgOut | DbgSWindowPosFlags |

F

FreeThenNil

G

GetCompleteText GetEnumValueDef GetPart

I

IsEditableTextKey IsFontNameDefault

K

KeyAndShiftStateToKeyString KeyStringIsIrregular

M

MakeMinMax | MoveRect
MergeSort | MoveRectToFit

O

OffsetRect OwnerFormDesignerModified OwnerFormDesignerModifiedProc

P

PUTF16String

R

RaiseGDBException | RegisterInterfaceInitializationHandler | RoundToInt
RegisterInterfaceFinalizationHandler | RoundToCardinal |

S

SendApplicationMessage | ShortCutToTextRaw | StrToDouble
SendApplicationMessageFunction | StringCase | SwapCase
ShortCutToText | StripLN |

T

TDebugLCLItemInfo | TextToSingleLine | TruncToInt
TDebugLCLItems | TMethodList | TSendApplicationMessageFunction
TextToShortCut | TOwnerFormDesignerModifiedProc | TStringsSortCompare
TextToShortCutRaw | TruncToCardinal |

U

UnicodeToUTF16 | UTF16CharacterToUnicode | UTF16String
UTF16CharacterLength | UTF16Length |


PUTF16String

Deprecated, see #LazUtils.LazUTF8 for replacements.

Declaration

Source position: lclproc.pas line 307

type PUTF16String = ^UTF16String;


TMethodList

A list for method references.

Declaration

Source position: lclproc.pas line 37

type TMethodList = LazMethodList.TMethodList;


TOwnerFormDesignerModifiedProc

Declaration

Source position: lclproc.pas line 105

type TOwnerFormDesignerModifiedProc = procedure(

  AComponent: TComponent

);


TSendApplicationMessageFunction

Declaration

Source position: lclproc.pas line 103

type TSendApplicationMessageFunction = function(

  Msg: Cardinal;

  WParam: WPARAM;

  LParam: LPARAM

):LongInt;


TStringsSortCompare

Compare function type for TStrings Strings[].

Declaration

Source position: lclproc.pas line 81

type TStringsSortCompare = function(

  const Item1: string;

  const Item2: string

):Integer;


UTF16String

Deprecated, see #LazUtils.LazUTF8 for replacements.

Declaration

Source position: lclproc.pas line 306

type UTF16String = type UnicodeString;


Reference for unit 'LCLResCache'

Types and methods to cache interface resources

uses
System,
Classes,
sysutils,
Types,
Laz_AVL_Tree,
FPCAdds, |
LazLoggerBase,
LazTracer,
LCLType, | This unit is being created specifically for compatibility with Delphi. It should only be used for constants and type definitions that are included in the Delphi Windows unit. This is only done for compatibiltiy.
WSReferences,
syncobjs;


Reference for unit 'LCLResCache': Types

TResourceCacheDescriptorClass

TResourceCacheItemClass


Reference for unit 'LCLResCache': Classes

TBlockResourceCache | TBlockResourceCache - a cache for Block resources
TBlockResourceCacheDescriptor | TBlockResourceCacheDescriptor - descriptor for a Block Resource Cache
THandleResourceCache | THandleResourceCache - a Resource Cache for Handles
TResourceCache | TResourceCache - a cache (linked list) for storing Resources
TResourceCacheDescriptor | TResourceCacheDescriptor - a class of descriptors for ResourceCache Items
TResourceCacheItem | TResourceCacheItem - an item in a list (TResourceCache)


Reference for unit 'LCLResCache': Procedures and functions

CompareDescPtrWithBlockResDesc

ComparePHandleWithResourceCacheItem


Index of all identifiers in unit 'LCLResCache'

C T

C

CompareDescPtrWithBlockResDesc ComparePHandleWithResourceCacheItem

T

TBlockResourceCache | TResourceCache | TResourceCacheItem
TBlockResourceCacheDescriptor | TResourceCacheDescriptor | TResourceCacheItemClass
THandleResourceCache | TResourceCacheDescriptorClass |


Reference for unit 'LCLStrConsts'

This unit contains all resource strings of the LCL

uses

  System;


Reference for unit 'LCLStrConsts': Resource strings

rsMbYes
'&Yes'

rsMbNo
'&No'

rsMbOK
'&OK'

rsMbCancel
'Cancel'

rsMbAbort
'Abort'

rsMbRetry
'&Retry'

rsMbIgnore
'&Ignore'

rsMbAll
'&All'

rsMbNoToAll
'No to all'

rsMbYesToAll
'Yes to &All'

rsMbHelp
'&Help'

rsMbClose
'&Close'

rsmbOpen
'&Open'

rsmbSave
'&Save'

rsmbUnlock
'&Unlock'

rsMtWarning
'Warning'

rsMtError
'Error'

rsMtInformation
'Information'

rsMtConfirmation
'Confirmation'

rsMtAuthentication
'Authentication'

rsMtCustom
'Custom'

rsfdOpenFile
'Open existing file'

rsfdOverwriteFile
'Overwrite file ?'

rsfdFileAlreadyExists
'The file "%s" already exists. Overwrite ?'

rsfdPathMustExist
'Path must exist'

rsfdPathNoExist
'The path "%s" does not exist.'

rsfdFileMustExist
'File must exist'

rsfdDirectoryMustExist
'Directory must exist'

rsfdFileNotExist
'The file "%s" does not exist.'

rsfdDirectoryNotExist
'The directory "%s" does not exist.'

rsFind
'Find'

rsfdFileReadOnlyTitle
'File is not writable'

rsfdFileReadOnly
'The file "%s" is not writable.'

rsfdFileSaveAs
'Save file as'

rsAllFiles
'All files (%s)|%s|%s'

rsfdSelectDirectory
'Select Directory'

rsDirectory
'&Directory'

rsSelectcolorTitle
'Select color'

rsSelectFontTitle
'Select a font'

rsFindMore
'Find more'

rsReplace
'Replace'

rsReplaceAll
'Replace all'

rsHelp
'Help'

rsDeleteRecord
'Delete record?'

rsFirstRecordHint
'First'

rsPriorRecordHint
'Prior'

rsNextRecordHint
'Next'

rsLastRecordHint
'Last'

rsInsertRecordHint
'Insert'

rsDeleteRecordHint
'Delete'

rsEditRecordHint
'Edit'

rsPostRecordHint
'Post'

rsCancelRecordHint
'Cancel'

rsRefreshRecordsHint
'Refresh'

rsWarningUnremovedPaintMessages
' WARNING: There are %s unremoved LM_' + 'PAINT/LM_GtkPAINT message links left.'

rsWarningUnreleasedDCsDump
' WARNING: There are %d unreleased DCs, a ' + 'detailed dump follows:'

rsWarningUnreleasedGDIObjectsDump
' WARNING: There are %d unreleased ' + 'GDIObjects, a detailed dump follows:'

rsWarningUnreleasedMessagesInQueue
' WARNING: There are %d messages left ' + 'in the queue! I''ll free them'

rsWarningUnreleasedTimerInfos
' WARNING: There are %d TimerInfo ' + 'structures left, I''ll free them'

rsFileInformation
'File information'

rsgtkFilter
'Filter:'

rsgtkHistory
'History:'

rsDefaultFileInfoValue
'permissions user group size date time'

rsBlank
'Blank'

rsUnableToLoadDefaultFont
'Unable to load default font'

rsFileInfoFileNotFound
'(file not found: "%s")'

rsgtkOptionNoTransient
'--lcl-no-transient Do not set transient order for' + ' modal forms'

rsgtkOptionModule
'--gtk-module module Load the specified module at ' + 'startup.'

rsgOptionFatalWarnings
'--g-fatal-warnings Warnings and errors ' + 'generated by Gtk+/GDK will halt the application.'

rsgtkOptionDebug
'--gtk-debug flags Turn on specific Gtk+ trace/' + 'debug messages.'

rsgtkOptionNoDebug
'--gtk-no-debug flags Turn off specific Gtk+ trace/' + 'debug messages.'

rsgdkOptionDebug
'--gdk-debug flags Turn on specific GDK trace/debug ' + 'messages.'

rsgdkOptionNoDebug
'--gdk-no-debug flags Turn off specific GDK trace/' + 'debug messages.'

rsgtkOptionDisplay
'--display h:s:d Connect to the specified X ' + 'server, where "h" is the hostname, "s" is the server number (usually 0), ' + 'and "d" is the display number (typically omitted). If --display is not ' + 'specified, the DISPLAY environment variable is used.'

rsgtkOptionSync
'--sync Call XSynchronize (display, True) ' + 'after the Xserver connection has been established. This makes debugging ' + 'X protocol errors easier, because X request buffering will be disabled ' + 'and X errors will be received immediately after the protocol request that ' + 'generated the error has been processed by the X server.'

rsgtkOptionNoXshm
'--no-xshm Disable use of the X Shared ' + 'Memory Extension.'

rsgtkOptionName
'--name programe Set program name to "progname". ' + 'If not specified, program name will be set to ParamStrUTF8(0).'

rsgtkOptionClass
'--class classname Following Xt conventions, the ' + 'class of a program is the program name with the initial character ' + 'capitalized. For example, the classname for gimp is "Gimp". If --class ' + 'is specified, the class of the program will be set to "classname".'

rsqtOptionNoGrab
'-nograb, tells Qt that it must never grab ' + 'the mouse or the keyboard. Need QT_DEBUG.'

rsqtOptionDoGrab
'-dograb (only under X11), running under a debugger can ' + 'cause an implicit -nograb, use -dograb to override. Need QT_DEBUG.'

rsqtOptionSync
'-sync (only under X11), switches to synchronous mode ' + 'for debugging.'

rsqtOptionStyle
'-style style or -style=style, sets the application GUI ' + 'style. Possible values are motif, windows, and platinum. If you compiled ' + 'Qt with additional styles or have additional styles as plugins these ' + 'will be available to the -style command line option. NOTE: Not all ' + 'styles are available on all platforms. If style param does not exist ' + 'Qt will start an application with default common style (windows).'

rsqtOptionStyleSheet
'-stylesheet stylesheet or -stylesheet=stylesheet, ' + 'sets the application Style Sheet. ' + 'The value must be a path to a file that contains the Style Sheet. ' + 'Note: Relative URLs in the Style Sheet file are relative ' + 'to the Style Sheet file''s path.'

rsqtOptionGraphicsStyle
'-graphicssystem param, sets the backend to be ' + 'used for on-screen widgets and QPixmaps. ' + 'Available options are native, raster and opengl. OpenGL is still unstable.'

rsqtOptionSession
'-session session, restores the application from an ' + 'earlier session.'

rsqtOptionWidgetCount
'-widgetcount, prints debug message at the end about ' + 'number of widgets left undestroyed and maximum number of widgets existed ' + 'at the same time.'

rsqtOptionReverse
'-reverse, sets the application''s layout direction ' + 'to Qt::RightToLeft.'

rsqtOptionX11Display
'-display display, sets the X display (default is $DISPLAY).'

rsqtOptionX11Geometry
'-geometry geometry, sets the client geometry of ' + 'the first window that is shown.'

rsqtOptionX11Font
'-fn or -font font, defines the application font. The ' + 'font should be specified using an X logical font description.'

rsqtOptionX11BgColor
'-bg or -background color, sets the default background ' + 'color and an application palette (light and dark shades are calculated).'

rsqtOptionX11FgColor
'-fg or -foreground color, sets the default foreground color.'

rsqtOptionX11BtnColor
'-btn or -button color, sets the default button color.'

rsqtOptionX11Name
'-name name, sets the application name.'

rsqtOptionX11Title
'-title title, sets the application title.'

rsqtOptionX11Visual
'-visual TrueColor, forces the application to use a ' + 'TrueColor visual on an 8-bit display.'

rsqtOptionX11NCols
'-ncols count, limits the number of colors allocated ' + 'in the color cube on an 8-bit display, if the application is using the ' + 'QApplication::ManyColor color specification. If count is 216 then a ' + '6x6x6 color cube is used (i.e. 6 levels of red, 6 of green, and 6 of ' + 'blue); for other values, a cube approximately proportional to a 2x3x1 ' + 'cube is used.'

rsqtOptionX11CMap
'-cmap, causes the application to install a private ' + 'color map on an 8-bit display.'

rsqtOptionX11IM
'-im, sets the input method server (equivalent to setting ' + 'the XMODIFIERS environment variable).'

rsqtOptionX11InputStyle
'-inputstyle, defines how the input is inserted ' + 'into the given widget, e.g. onTheSpot makes the input appear directly ' + 'in the widget, while overTheSpot makes the input appear in a box ' + 'floating over the widget and is not inserted until the editing is done.'

rsWin32Warning
'Warning:'

rsWin32Error
'Error:'

sInvalidActionRegistration
'Invalid action registration'

sInvalidActionUnregistration
'Invalid action unregistration'

sInvalidActionEnumeration
'Invalid action enumeration'

sInvalidActionCreation
'Invalid action creation'

sMenuNotFound
'Sub-menu is not in menu'

sMenuIndexError
'Menu index out of range'

sMenuItemIsNil
'MenuItem is nil'

sNoTimers
'No timers available'

sInvalidIndex
'Invalid ImageList Index'

sInvalidImageSize
'Invalid image size'

sDuplicateMenus
'Duplicate menus'

sCannotFocus
'Cannot focus a disabled or invisible window'

sCannotSetDesignTimePPI
'Cannot set design time PPI.'

sParentRequired
'Control "%s" has no parent window.'

sInvalidCharSet
'The char set in mask "%s" is not valid!'

SMaskEditNoMatch
'The current text does not match the specified mask.'

rsInvalidPropertyValue
'Invalid property value'

rsPropertyDoesNotExist
'Property %s does not exist'

rsInvalidStreamFormat
'Invalid stream format'

rsInvalidFormObjectStream
'invalid Form object stream'

rsScrollBarOutOfRange
'ScrollBar property out of range'

rsInvalidDate
'Invalid Date : %s'

rsInvalidDateRangeHint
'Invalid Date: %s. Must be between %s and %s'

rsErrorOccurredInAtAddressFrame
'Error occurred in %s at %sAddress %s%s' + ' Frame %s'

rsException
'Exception'

rsFormStreamingError
'Form streaming "%s" error: %s'

rsFixedColsTooBig
'FixedCols can''t be > ColCount'

rsFixedRowsTooBig
'FixedRows can''t be > RowCount'

rsGridFileDoesNotExist
'Grid file doesn''t exist'

rsNotAValidGridFile
'Not a valid grid file'

rsIndexOutOfRange
'Index Out of range Cell[Col=%d Row=%d]'

rsGridIndexOutOfRange
'Grid index out of range.'

rsGridHasNoRows
'Cannot insert columns into a grid when it has no rows'

rsGridHasNoCols
'Cannot insert rows into a grid when it has no columns'

rsAControlCanNotHaveItselfAsParent
'A control can''t have itself as a parent'

rsControlHasNoParentWindow
'Control ''%s'' has no parent window'

rsControlHasNoParentFormOrFrame
'Control ''%s'' has no parent form or frame'

rsControlIsNotAParent
'''%s'' is not a parent of ''%s'''

rsControlClassCantContainChildClass
'Control of class ''%s'' can''t have control of class ''%s'' as a child'

rsASCannotHaveAsParent
'Class %s cannot have %s as parent.'

lisLCLResourceSNotFound
'Resource %s not found'

rsFormResourceSNotFoundForResourcelessFormsCreateNew
'Form resource %s ' + 'not found. For resourceless forms CreateNew constructor must be used.' + ' See the global variable RequireDerivedFormResource.'

rsErrorCreatingDeviceContext
'Error creating device context for %s.%s'

rsIndexOutOfBounds
'%s Index %d out of bounds 0 .. %d'

rsUnknownPictureExtension
'Unknown picture extension'

rsUnknownPictureFormat
'Unknown picture format'

rsBitmaps
'Bitmaps'

rsPixmap
'Pixmap'

rsPortableNetworkGraphic
'Portable Network Graphic'

rsPortableBitmap
'Portable BitMap'

rsPortableGrayMap
'Portable GrayMap'

rsPortablePixmap
'Portable PixMap'

rsIcon
'Icon'

rsIcns
'Mac OS X Icon'

rsCursor
'Cursor'

rsJpeg
'Joint Picture Expert Group'

rsTiff
'Tagged Image File Format'

rsGIF
'Graphics Interchange Format'

rsGraphic
'Graphic'

rsUnsupportedClipboardFormat
'Unsupported clipboard format: %s'

rsGroupIndexCannotBeLessThanPrevious
'GroupIndex cannot be less than a ' + 'previous menu item''s GroupIndex'

rsIsAlreadyAssociatedWith
'%s is already associated with %s'

rsCanvasDoesNotAllowDrawing
'Canvas does not allow drawing'

rsUnsupportedBitmapFormat
'Unsupported bitmap format.'

rsErrorWhileSavingBitmap
'Error while saving bitmap.'

rsDuplicateIconFormat
'Duplicate icon format.'

rsIconImageEmpty
'Icon image cannot be empty'

rsIconImageSize
'Icon image must have the same size'

rsIconNoCurrent
'Icon has no current image'

rsIconImageFormat
'Icon image must have the same format'

rsIconImageFormatChange
'Cannot change format of icon image'

rsIconImageSizeChange
'Cannot change size of icon image'

rsRasterImageUpdateAll
'Cannot begin update all when canvas only update in progress'

rsRasterImageEndUpdate
'Endupdate while no update in progress'

rsRasterImageSaveInUpdate
'Cannot save image while update in progress'

rsNoWidgetSet
'No widgetset object. ' + 'Please check if the unit "interfaces" was added to the programs uses clause.'

rsPressOkToIgnoreAndRiskDataCorruptionPressAbortToK
'%s' + '%sPress OK to ignore and risk data corruption.' + '%sPress Abort to kill the program.'

rsCanNotFocus
'Can not focus'

rsListIndexExceedsBounds
'List index exceeds bounds (%d)'

rsResourceNotFound
'Resource %s not found'

rsCalculator
'Calculator'

rsError
'Error'

rsPickDate
'Select a date'

rsSize
' size '

rsModified
' modified '

rsDoCopy
'Copy'

rsDoPaste
'Paste'

sShellCtrlsName
'Name'

sShellCtrlsSize
'Size'

sShellCtrlsType
'Type'

sShellCtrlsMB
'%s MB'

sShellCtrlsKB
'%s kB'

sShellCtrlsBytes
'%s bytes'

sShellCtrlsInvalidRoot
'Invalid pathname:'#13'"%s"'

sShellCtrlsSelectedItemDoesNotExists
'The selected item does not exist on disk:'#13'"%s"'

sShellCtrlsInvalidPath
'Invalid pathname:'#13'"%s"'

sShellCtrlsInvalidPathRelative
'Invalid relative pathname:'#13'"%s"'#13 + 'in relation to rootpath:'#13'"%s"'

ifsVK_UNKNOWN
'Unknown'

ifsVK_SHIFT
'Shift'

ifsVK_META
'Meta'

ifsVK_CMD
'Cmd'

ifsVK_SUPER
'Super'

ifsVK_HELP
'Help'

ifsCtrl
'Ctrl'

ifsAlt
'Alt'

rsWholeWordsOnly
'Whole words only'

rsCaseSensitive
'Case sensitive'

rsPromptOnReplace
'Prompt on replace'

rsEntireScope
'Search entire file'

rsText
'Text'

rsDirection
'Direction'

rsForward
'Forward'

rsBackward
'Backward'

SmkcBkSp
'BkSp'

SmkcTab
'Tab'

SmkcEsc
'Esc'

SmkcEnter
'Enter'

SmkcSpace
'Space'

SmkcPgUp
'PgUp'

SmkcPgDn
'PgDn'

SmkcEnd
'End'

SmkcHome
'Home'

SmkcLeft
'Left'

SmkcUp
'Up'

SmkcRight
'Right'

SmkcDown
'Down'

SmkcIns
'Ins'

SmkcDel
'Del'

SmkcShift
'Shift+'

SmkcCtrl
'Ctrl+'

SmkcAlt
'Alt+'

SmkcMeta
'Meta+'

rsHelpHelpNodeHasNoHelpDatabase
'Help node "%s" has no Help Database'

rsHelpThereIsNoViewerForHelpType
'There is no viewer for help type "%s"'

rsHelpHelpDatabaseDidNotFoundAViewerForAHelpPageOfType
'Help Database "%s" ' + 'did not find a viewer for a help page of type %s'

rsHelpAlreadyRegistered
'%s: Already registered'

rsHelpNotRegistered
'%s: Not registered'

rsHelpHelpDatabaseNotFound
'Help Database "%s" not found'

rsHelpHelpKeywordNotFoundInDatabase
'Help keyword "%s" not found in Database "%s".'

rsHelpHelpKeywordNotFound
'Help keyword "%s" not found.'

rsHelpHelpForDirectiveNotFoundInDatabase
'Help for directive "%s" not found in ' + 'Database "%s".'

rsHelpHelpForDirectiveNotFound
'Help for directive "%s" not found.'

rsHelpHelpContextNotFoundInDatabase
'Help context %s not found in Database "%s".'

rsHelpHelpContextNotFound
'Help context %s not found.'

rsHelpNoHelpFoundForSource
'No help found for line %d, column %d of %s.'

rsHelpNoHelpNodesAvailable
'No help entries available for this topic'

rsHelpError
'Help Error'

rsHelpDatabaseNotFound
'There is no help database installed for this topic'

rsHelpContextNotFound
'A help database was found for this topic, but this topic was not found'

rsHelpViewerNotFound
'No viewer was found for this type of help content'

rsHelpNotFound
'No help found for this topic'

rsHelpViewerError
'Help Viewer Error'

rsHelpSelectorError
'Help Selector Error'

rsUnknownErrorPleaseReportThisBug
'Unknown Error, please report this bug'

hhsHelpTheHelpDatabaseWasUnableToFindFile
'The help database "%s" was ' + 'unable to find file "%s".'

rsTheBuiltInURLIsReadOnlyChangeTheBaseURLInstead
'The built-in URL is read' + ' only. Change the BaseURL instead.'

hhsHelpTheMacroSInBrowserParamsWillBeReplacedByTheURL
'The macro %s in ' + 'BrowserParams will be replaced by the URL.'

hhsHelpNoHTMLBrowserFoundPleaseDefineOne
'No HTML Browser found.' + '%sPlease define one in Tools -> Options -> Help -> Help Options'

hhsHelpNoHTMLBrowserFound
'Unable to find a HTML browser.'

hhsHelpBrowserNotFound
'Browser "%s" not found.'

hhsHelpBrowserNotExecutable
'Browser "%s" not executable.'

hhsHelpErrorWhileExecuting
'Error while executing "%s":%s%s'

SParExpected
'Wrong token type: %s expected'

SParInvalidInteger
'Invalid integer number: %s'

SParWrongTokenType
'Wrong token type: %s expected but %s found'

SParInvalidFloat
'Invalid floating point number: %s'

SParWrongTokenSymbol
'Wrong token symbol: %s expected but %s found'

SParUnterminatedString
'Unterminated string'

SParLocInfo
' (at %d,%d, stream offset %d)'

SParUnterminatedBinValue
'Unterminated byte value'

rsCustomColorCaption
'Custom ...'

rsBlackColorCaption
'Black'

rsMaroonColorCaption
'Maroon'

rsGreenColorCaption
'Green'

rsOliveColorCaption
'Olive'

rsNavyColorCaption
'Navy'

rsPurpleColorCaption
'Purple'

rsTealColorCaption
'Teal'

rsGrayColorCaption
'Gray'

rsSilverColorCaption
'Silver'

rsRedColorCaption
'Red'

rsLimeColorCaption
'Lime'

rsYellowColorCaption
'Yellow'

rsBlueColorCaption
'Blue'

rsFuchsiaColorCaption
'Fuchsia'

rsAquaColorCaption
'Aqua'

rsWhiteColorCaption
'White'

rsMoneyGreenColorCaption
'Money Green'

rsSkyBlueColorCaption
'Sky Blue'

rsCreamColorCaption
'Cream'

rsMedGrayColorCaption
'Medium Gray'

rsNoneColorCaption
'None'

rsDefaultColorCaption
'Default'

rsScrollBarColorCaption
'ScrollBar'

rsBackgroundColorCaption
'Desktop'

rsActiveCaptionColorCaption
'Active Caption'

rsInactiveCaptionColorCaption
'Inactive Caption'

rsMenuColorCaption
'Menu'

rsWindowColorCaption
'Window'

rsWindowFrameColorCaption
'Window Frame'

rsMenuTextColorCaption
'Menu Text'

rsWindowTextColorCaption
'Window Text'

rsCaptionTextColorCaption
'Caption Text'

rsActiveBorderColorCaption
'Active Border'

rsInactiveBorderColorCaption
'Inactive Border'

rsAppWorkspaceColorCaption
'Application Workspace'

rsHighlightColorCaption
'Highlight'

rsHighlightTextColorCaption
'Highlight Text'

rsBtnFaceColorCaption
'Button Face'

rsBtnShadowColorCaption
'Button Shadow'

rsGrayTextColorCaption
'Gray Text'

rsBtnTextColorCaption
'Button Text'

rsInactiveCaptionText
'Inactive Caption'

rsBtnHighlightColorCaption
'Button Highlight'

rs3DDkShadowColorCaption
'3D Dark Shadow'

rs3DLightColorCaption
'3D Light'

rsInfoTextColorCaption
'Info Text'

rsInfoBkColorCaption
'Info Background'

rsHotLightColorCaption
'Hot Light'

rsGradientActiveCaptionColorCaption
'Gradient Active Caption'

rsGradientInactiveCaptionColorCaption
'Gradient Inactive Caption'

rsMenuHighlightColorCaption
'Menu Highlight'

rsMenuBarColorCaption
'Menu Bar'

rsFormColorCaption
'Form'

rsFilter
'(filter)'

rsTTreeViewAccessibilityDescription
'A tree of items'

rsTPanelAccessibilityDescription
'Panel'

rsTSplitterAccessibilityDescription
'A grip to control how much size to give two parts of an area'

rsTCustomTabControlAccessibilityDescription
'A control with tabs'


Index of all identifiers in unit 'LCLStrConsts'

H I L R S

H

hhsHelpBrowserNotExecutable | hhsHelpNoHTMLBrowserFound | hhsHelpTheMacroSInBrowserParamsWillBeReplacedByTheURL
hhsHelpBrowserNotFound | hhsHelpNoHTMLBrowserFoundPleaseDefineOne |
hhsHelpErrorWhileExecuting | hhsHelpTheHelpDatabaseWasUnableToFindFile |

I

ifsAlt | ifsVK_HELP | ifsVK_SUPER
ifsCtrl | ifsVK_META | ifsVK_UNKNOWN
ifsVK_CMD | ifsVK_SHIFT |

L

lisLCLResourceSNotFound

R

rs3DDkShadowColorCaption | rsGroupIndexCannotBeLessThanPrevious | rsMtCustom
rs3DLightColorCaption | rsgtkFilter | rsMtError
rsAControlCanNotHaveItselfAsParent | rsgtkHistory | rsMtInformation
rsActiveBorderColorCaption | rsgtkOptionClass | rsMtWarning
rsActiveCaptionColorCaption | rsgtkOptionDebug | rsNavyColorCaption
rsAllFiles | rsgtkOptionDisplay | rsNextRecordHint
rsAppWorkspaceColorCaption | rsgtkOptionModule | rsNoneColorCaption
rsAquaColorCaption | rsgtkOptionName | rsNotAValidGridFile
rsASCannotHaveAsParent | rsgtkOptionNoDebug | rsNoWidgetSet
rsBackgroundColorCaption | rsgtkOptionNoTransient | rsOliveColorCaption
rsBackward | rsgtkOptionNoXshm | rsPickDate
rsBitmaps | rsgtkOptionSync | rsPixmap
rsBlackColorCaption | rsHelp | rsPortableBitmap
rsBlank | rsHelpAlreadyRegistered | rsPortableGrayMap
rsBlueColorCaption | rsHelpContextNotFound | rsPortableNetworkGraphic
rsBtnFaceColorCaption | rsHelpDatabaseNotFound | rsPortablePixmap
rsBtnHighlightColorCaption | rsHelpError | rsPostRecordHint
rsBtnShadowColorCaption | rsHelpHelpContextNotFound | rsPressOkToIgnoreAndRiskDataCorruptionPressAbortToK
rsBtnTextColorCaption | rsHelpHelpContextNotFoundInDatabase | rsPriorRecordHint
rsCalculator | rsHelpHelpDatabaseDidNotFoundAViewerForAHelpPageOfType | rsPromptOnReplace
rsCancelRecordHint | rsHelpHelpDatabaseNotFound | rsPropertyDoesNotExist
rsCanNotFocus | rsHelpHelpForDirectiveNotFound | rsPurpleColorCaption
rsCanvasDoesNotAllowDrawing | rsHelpHelpForDirectiveNotFoundInDatabase | rsqtOptionDoGrab
rsCaptionTextColorCaption | rsHelpHelpKeywordNotFound | rsqtOptionGraphicsStyle
rsCaseSensitive | rsHelpHelpKeywordNotFoundInDatabase | rsqtOptionNoGrab
rsControlClassCantContainChildClass | rsHelpHelpNodeHasNoHelpDatabase | rsqtOptionReverse
rsControlHasNoParentFormOrFrame | rsHelpNoHelpFoundForSource | rsqtOptionSession
rsControlHasNoParentWindow | rsHelpNoHelpNodesAvailable | rsqtOptionStyle
rsControlIsNotAParent | rsHelpNotFound | rsqtOptionStyleSheet
rsCreamColorCaption | rsHelpNotRegistered | rsqtOptionSync
rsCursor | rsHelpSelectorError | rsqtOptionWidgetCount
rsCustomColorCaption | rsHelpThereIsNoViewerForHelpType | rsqtOptionX11BgColor
rsDefaultColorCaption | rsHelpViewerError | rsqtOptionX11BtnColor
rsDefaultFileInfoValue | rsHelpViewerNotFound | rsqtOptionX11CMap
rsDeleteRecord | rsHighlightColorCaption | rsqtOptionX11Display
rsDeleteRecordHint | rsHighlightTextColorCaption | rsqtOptionX11FgColor
rsDirection | rsHotLightColorCaption | rsqtOptionX11Font
rsDirectory | rsIcns | rsqtOptionX11Geometry
rsDoCopy | rsIcon | rsqtOptionX11IM
rsDoPaste | rsIconImageEmpty | rsqtOptionX11InputStyle
rsDuplicateIconFormat | rsIconImageFormat | rsqtOptionX11Name
rsEditRecordHint | rsIconImageFormatChange | rsqtOptionX11NCols
rsEntireScope | rsIconImageSize | rsqtOptionX11Title
rsError | rsIconImageSizeChange | rsqtOptionX11Visual
rsErrorCreatingDeviceContext | rsIconNoCurrent | rsRasterImageEndUpdate
rsErrorOccurredInAtAddressFrame | rsInactiveBorderColorCaption | rsRasterImageSaveInUpdate
rsErrorWhileSavingBitmap | rsInactiveCaptionColorCaption | rsRasterImageUpdateAll
rsException | rsInactiveCaptionText | rsRedColorCaption
rsfdDirectoryMustExist | rsIndexOutOfBounds | rsRefreshRecordsHint
rsfdDirectoryNotExist | rsIndexOutOfRange | rsReplace
rsfdFileAlreadyExists | rsInfoBkColorCaption | rsReplaceAll
rsfdFileMustExist | rsInfoTextColorCaption | rsResourceNotFound
rsfdFileNotExist | rsInsertRecordHint | rsScrollBarColorCaption
rsfdFileReadOnly | rsInvalidDate | rsScrollBarOutOfRange
rsfdFileReadOnlyTitle | rsInvalidDateRangeHint | rsSelectcolorTitle
rsfdFileSaveAs | rsInvalidFormObjectStream | rsSelectFontTitle
rsfdOpenFile | rsInvalidPropertyValue | rsSilverColorCaption
rsfdOverwriteFile | rsInvalidStreamFormat | rsSize
rsfdPathMustExist | rsIsAlreadyAssociatedWith | rsSkyBlueColorCaption
rsfdPathNoExist | rsJpeg | rsTCustomTabControlAccessibilityDescription
rsfdSelectDirectory | rsLastRecordHint | rsTealColorCaption
rsFileInfoFileNotFound | rsLimeColorCaption | rsText
rsFileInformation | rsListIndexExceedsBounds | rsTheBuiltInURLIsReadOnlyChangeTheBaseURLInstead
rsFilter | rsMaroonColorCaption | rsTiff
rsFind | rsMbAbort | rsTPanelAccessibilityDescription
rsFindMore | rsMbAll | rsTSplitterAccessibilityDescription
rsFirstRecordHint | rsMbCancel | rsTTreeViewAccessibilityDescription
rsFixedColsTooBig | rsMbClose | rsUnableToLoadDefaultFont
rsFixedRowsTooBig | rsMbHelp | rsUnknownErrorPleaseReportThisBug
rsFormColorCaption | rsMbIgnore | rsUnknownPictureExtension
rsFormResourceSNotFoundForResourcelessFormsCreateNew | rsMbNo | rsUnknownPictureFormat
rsFormStreamingError | rsMbNoToAll | rsUnsupportedBitmapFormat
rsForward | rsMbOK | rsUnsupportedClipboardFormat
rsFuchsiaColorCaption | rsmbOpen | rsWarningUnreleasedDCsDump
rsgdkOptionDebug | rsMbRetry | rsWarningUnreleasedGDIObjectsDump
rsgdkOptionNoDebug | rsmbSave | rsWarningUnreleasedMessagesInQueue
rsGIF | rsmbUnlock | rsWarningUnreleasedTimerInfos
rsgOptionFatalWarnings | rsMbYes | rsWarningUnremovedPaintMessages
rsGradientActiveCaptionColorCaption | rsMbYesToAll | rsWhiteColorCaption
rsGradientInactiveCaptionColorCaption | rsMedGrayColorCaption | rsWholeWordsOnly
rsGraphic | rsMenuBarColorCaption | rsWin32Error
rsGrayColorCaption | rsMenuColorCaption | rsWin32Warning
rsGrayTextColorCaption | rsMenuHighlightColorCaption | rsWindowColorCaption
rsGreenColorCaption | rsMenuTextColorCaption | rsWindowFrameColorCaption
rsGridFileDoesNotExist | rsModified | rsWindowTextColorCaption
rsGridHasNoCols | rsMoneyGreenColorCaption | rsYellowColorCaption
rsGridHasNoRows | rsMtAuthentication |
rsGridIndexOutOfRange | rsMtConfirmation |

S

sCannotFocus | SmkcDown | SParInvalidFloat
sCannotSetDesignTimePPI | SmkcEnd | SParInvalidInteger
sDuplicateMenus | SmkcEnter | SParLocInfo
sInvalidActionCreation | SmkcEsc | SParUnterminatedBinValue
sInvalidActionEnumeration | SmkcHome | SParUnterminatedString
sInvalidActionRegistration | SmkcIns | SParWrongTokenSymbol
sInvalidActionUnregistration | SmkcLeft | SParWrongTokenType
sInvalidCharSet | SmkcMeta | sShellCtrlsBytes
sInvalidImageSize | SmkcPgDn | sShellCtrlsInvalidPath
sInvalidIndex | SmkcPgUp | sShellCtrlsInvalidPathRelative
SMaskEditNoMatch | SmkcRight | sShellCtrlsInvalidRoot
sMenuIndexError | SmkcShift | sShellCtrlsKB
sMenuItemIsNil | SmkcSpace | sShellCtrlsMB
sMenuNotFound | SmkcTab | sShellCtrlsName
SmkcAlt | SmkcUp | sShellCtrlsSelectedItemDoesNotExists
SmkcBkSp | sNoTimers | sShellCtrlsSize
SmkcCtrl | sParentRequired | sShellCtrlsType
SmkcDel | SParExpected |


DefaultTaskDialog

Declaration

Source position: lcltaskdialog.pas line 404

var DefaultTaskDialog: TTaskDialogEx = (DialogIcon: tiInformation; FooterIcon: tfiWarning);


Reference for unit 'LCLTaskDialog'

uses
System,
LCLType, | This unit is being created specifically for compatibility with Delphi. It should only be used for constants and type definitions that are included in the Delphi Windows unit. This is only done for compatibiltiy.
LCLStrConsts, | This unit contains all resource strings of the LCL
LCLIntf, | Contains winapi like functions for Delphi compatibility.
LResources, | This unit maintains and stores all standard Lazarus resources in the global LazarusResources list and provides methods and types for component streaming.
Classes,
sysutils,
Menus, | Menus to be used in Forms created with the Lazarus IDE
Graphics, | Unit contains definitions for many fundamental classes and types used in graphic applications
Forms, | Contains definitions and descriptions for constructing the Forms which are the basis of the Lazarus Graphical User Interface
Controls, | This unit contains basic classes for visual controls.
StdCtrls, | Several standard controls used in most Lazarus forms
ExtCtrls, | Some extra controls commonly used in Lazarus forms
Buttons; | Defines several specialist button classes


Reference for unit 'LCLTaskDialog': Types

PTaskDialog

TCommonButton

TCommonButtons

TTaskDialog

TTaskDialogButtonClickedEvent

TTaskDialogElement

TTaskDialogEx

TTaskDialogFlag

TTaskDialogFlags

TTaskDialogFooterIcon

TTaskDialogIcon

TTaskDialogImplementation

TTaskDialogTranslate


Reference for unit 'LCLTaskDialog': Classes

TEmulatedTaskDialog


Reference for unit 'LCLTaskDialog': Procedures and functions

DefaultFont

UnAmp


Reference for unit 'LCLTaskDialog': Variables

DefaultTaskDialog

TaskDialog_Translate


Index of all identifiers in unit 'LCLTaskDialog'

C D P T U

C

cbCancel | cbNo | cbRetry
cbClose | cbOK | cbYes

D

DefaultFont DefaultTaskDialog

P

PTaskDialog

T

TaskDialog_Translate | tdfQueryFieldFocused | tiError
TCommonButton | tdfQueryMasked | tiInformation
TCommonButtons | tdfRtlLayout | tiNotUsed
tdeContent | tdfShowMarqueeProgressBar | tiQuestion
tdeEdit | tdfShowProgressBar | tiShield
tdeExpandedInfo | tdfUseCommandLinks | tiWarning
tdeFooter | tdfUseCommandLinksNoIcon | TTaskDialog
tdeMainInstruction | tdfUseHIconFooter | TTaskDialogButtonClickedEvent
tdeVerif | tdfUseHIconMain | TTaskDialogElement
tdfAllowDialogCancellation | tdfVerificationFlagChecked | TTaskDialogEx
tdfCallbackTimer | TEmulatedTaskDialog | TTaskDialogFlag
tdfCanBeMinimized | tfiBlank | TTaskDialogFlags
tdfEnableHyperLinks | tfiError | TTaskDialogFooterIcon
tdfExpandByDefault | tfiInformation | TTaskDialogIcon
tdfExpandFooterArea | tfiQuestion | TTaskDialogImplementation
tdfNoDefaultRadioButton | tfiShield | TTaskDialogTranslate
tdfPositionRelativeToWindow | tfiWarning |
tdfQuery | tiBlank |

U

UnAmp


PTaskDialog

Declaration

Source position: lcltaskdialog.pas line 179

type PTaskDialog = ^TTaskDialog;


TaskDialog_Translate

Declaration

Source position: lcltaskdialog.pas line 412

var TaskDialog_Translate: TTaskDialogTranslate = ;


TCommonButton

Declaration

Source position: lcltaskdialog.pas line 146

type TCommonButton = (

  cbOK,

  cbYes,

  cbNo,

  cbCancel,

  cbRetry,

  cbClose

);


TCommonButtons

Declaration

Source position: lcltaskdialog.pas line 150

type TCommonButtons = set of (

  cbOK,

  cbYes,

  cbNo,

  cbCancel,

  cbRetry,

  cbClose

);


TTaskDialog

Declaration

Source position: lcltaskdialog.pas line 253

type TTaskDialog = record

  Title: string;

  Inst: string;

  Content: string;

  Buttons: string;

  Radios: string;

  Info: string;

  InfoExpanded: string;

  InfoCollapse: string;

  Footer: string;

  Verify: string;

  Selection: string;

  Query: string;

  RadioRes: Integer;

  SelectionRes: Integer;

  VerifyChecked: Boolean;

  Dialog: TTaskDialogImplementation;

  function Execute();

  procedure SetElementText();

end;


Execute

Declaration

Source position: lcltaskdialog.pas line 335

function TTaskDialog.Execute(

  aCommonButtons: TCommonButtons = [];

  aButtonDef: Integer = 0;

  aFlags: TTaskDialogFlags = [];

  aDialogIcon: TTaskDialogIcon = tiInformation;

  aFooterIcon: TTaskDialogFooterIcon = tfiWarning;

  aRadioDef: Integer = 0;

  aWidth: Integer = 0;

  aParent: HWND = 0;

  aNonNative: Boolean = False;

  aEmulateClassicStyle: Boolean = False;

  aOnButtonClicked: TTaskDialogButtonClickedEvent = Nil

):Integer;


SetElementText

Declaration

Source position: lcltaskdialog.pas line 347

procedure TTaskDialog.SetElementText(

  element: TTaskDialogElement;

  const Text: string

);


TTaskDialogButtonClickedEvent

Declaration

Source position: lcltaskdialog.pas line 185

type TTaskDialogButtonClickedEvent = procedure(

  Sender: PTaskDialog;

  AButtonID: Integer;

  var ACanClose: Boolean

) of object;


TTaskDialogElement

Declaration

Source position: lcltaskdialog.pas line 193

type TTaskDialogElement = (

  tdeContent,

  tdeExpandedInfo,

  tdeFooter,

  tdeMainInstruction,

  tdeEdit,

  tdeVerif

);


TTaskDialogEx

Declaration

Source position: lcltaskdialog.pas line 352

type TTaskDialogEx = record

  Base: TTaskDialog;

  CommonButtons: TCommonButtons;

  ButtonDef: Integer;

  Flags: TTaskDialogFlags;

  DialogIcon: TTaskDialogIcon;

  FooterIcon: TTaskDialogFooterIcon;

  RadioDef: Integer;

  Width: Integer;

  NonNative: Boolean;

  EmulateClassicStyle: Boolean;

  OnButtonClicked: TTaskDialogButtonClickedEvent;

  procedure Init;

  function Execute();

end;


Execute

Declaration

Source position: lcltaskdialog.pas line 388

function TTaskDialogEx.Execute(

  aParent: HWND = 0

):Integer;


Init

Declaration

Source position: lcltaskdialog.pas line 385

procedure TTaskDialogEx.Init;


TTaskDialogFlag

Declaration

Source position: lcltaskdialog.pas line 168

type TTaskDialogFlag = (

  tdfEnableHyperLinks,

  tdfUseHIconMain,

  tdfUseHIconFooter,

  tdfAllowDialogCancellation,

  tdfUseCommandLinks,

  tdfUseCommandLinksNoIcon,

  tdfExpandFooterArea,

  tdfExpandByDefault,

  tdfVerificationFlagChecked,

  tdfShowProgressBar,

  tdfShowMarqueeProgressBar,

  tdfCallbackTimer,

  tdfPositionRelativeToWindow,

  tdfRtlLayout,

  tdfNoDefaultRadioButton,

  tdfCanBeMinimized,

  tdfQuery,

  tdfQueryMasked,

  tdfQueryFieldFocused

);


TTaskDialogFlags

Declaration

Source position: lcltaskdialog.pas line 177

type TTaskDialogFlags = set of (

  tdfEnableHyperLinks,

  tdfUseHIconMain,

  tdfUseHIconFooter,

  tdfAllowDialogCancellation,

  tdfUseCommandLinks,

  tdfUseCommandLinksNoIcon,

  tdfExpandFooterArea,

  tdfExpandByDefault,

  tdfVerificationFlagChecked,

  tdfShowProgressBar,

  tdfShowMarqueeProgressBar,

  tdfCallbackTimer,

  tdfPositionRelativeToWindow,

  tdfRtlLayout,

  tdfNoDefaultRadioButton,

  tdfCanBeMinimized,

  tdfQuery,

  tdfQueryMasked,

  tdfQueryFieldFocused

);


TTaskDialogFooterIcon

Declaration

Source position: lcltaskdialog.pas line 157

type TTaskDialogFooterIcon = (

  tfiBlank,

  tfiWarning,

  tfiQuestion,

  tfiError,

  tfiInformation,

  tfiShield

);


TTaskDialogIcon

Declaration

Source position: lcltaskdialog.pas line 153

type TTaskDialogIcon = (

  tiBlank,

  tiWarning,

  tiQuestion,

  tiError,

  tiInformation,

  tiNotUsed,

  tiShield

);


TTaskDialogImplementation

Declaration

Source position: lcltaskdialog.pas line 221

type TTaskDialogImplementation = record

  OnButtonClicked: TTaskDialogButtonClickedEvent;

  case Emulated: Boolean of

    False: (

        Wnd: HWND;

      );

    True: (

        Form: TEmulatedTaskDialog;

      );

end;


TTaskDialogTranslate

Declaration

Source position: lcltaskdialog.pas line 410

type TTaskDialogTranslate = function(

  const aString: string

):string;


Reference for unit 'LCLTranslator'

uses
System,
Classes,
sysutils,
typinfo,
gettext,
LResources, | This unit maintains and stores all standard Lazarus resources in the global LazarusResources list and provides methods and types for component streaming.
Forms, | Contains definitions and descriptions for constructing the Forms which are the basis of the Lazarus Graphical User Interface
LCLType, | This unit is being created specifically for compatibility with Delphi. It should only be used for constants and type definitions that are included in the Delphi Windows unit. This is only done for compatibiltiy.
Translations,
LazFileUtils,
LazUTF8;


Reference for unit 'LCLTranslator': Classes

TDefaultTranslator

TPOTranslator

TUpdateTranslator


Reference for unit 'LCLTranslator': Procedures and functions

GetDefaultLang

SetDefaultLang


Index of all identifiers in unit 'LCLTranslator'

G S T

G

GetDefaultLang

S

SetDefaultLang

T

TDefaultTranslator TPOTranslator TUpdateTranslator


_ABC

Record describing the width of a TrueType character.

Declaration

Source position: lcltype.pp line 216

type _ABC = record
abcA: Integer; | The (possibly negative) distance to add to the current position before drawing the character glyph.
abcB: UINT; | The width of the character glyph.
abcC: Integer; | The (possibly negative) distance to add to the current position after drawing the character glyph.
end;

Description

The effective display width for a single character is A+B+C.

The width of multiple characters should exclude the first A and last C value.

Negative A and C values allow for underhangs or overhangs, e.g. italics.


_MSG

Declaration

Source position: lcltype.pp line 2646

type _MSG = tagMSG;


_NM_LISTVIEW

Declaration

Source position: lcltype.pp line 2964

type _NM_LISTVIEW = TNMListView;


ALTERNATE

Declaration

Source position: lcltype.pp line 2165

const ALTERNATE = 1;


ANSI_CHARSET

Declaration

Source position: lcltype.pp line 1450

const ANSI_CHARSET = 0;


ANSI_FIXED_FONT

Declaration

Source position: lcltype.pp line 1790

const ANSI_FIXED_FONT = 11;


ANSI_VAR_FONT

Declaration

Source position: lcltype.pp line 1791

const ANSI_VAR_FONT = 12;


ANTIALIASED_QUALITY

Declaration

Source position: lcltype.pp line 1440

const ANTIALIASED_QUALITY = 4;


ARABIC_CHARSET

Declaration

Source position: lcltype.pp line 1482

const ARABIC_CHARSET = 178;


BALTIC_CHARSET

Declaration

Source position: lcltype.pp line 1483

const BALTIC_CHARSET = 186;


BDR_INNER

Declaration

Source position: lcltype.pp line 668

const BDR_INNER = 12;


BDR_OUTER

Declaration

Source position: lcltype.pp line 667

const BDR_OUTER = 3;


BDR_RAISED

Declaration

Source position: lcltype.pp line 669

const BDR_RAISED = 5;


BDR_RAISEDINNER

Declaration

Source position: lcltype.pp line 664

const BDR_RAISEDINNER = 4;


BDR_RAISEDOUTER

Declaration

Source position: lcltype.pp line 662

const BDR_RAISEDOUTER = 1;


BDR_SUNKEN

Declaration

Source position: lcltype.pp line 670

const BDR_SUNKEN = 10;


BDR_SUNKENINNER

Declaration

Source position: lcltype.pp line 665

const BDR_SUNKENINNER = 8;


BDR_SUNKENOUTER

Declaration

Source position: lcltype.pp line 663

const BDR_SUNKENOUTER = 2;


BF_ADJUST

Declaration

Source position: lcltype.pp line 697

const BF_ADJUST = $2000;


BF_BOTTOM

Declaration

Source position: lcltype.pp line 681

const BF_BOTTOM = 8;


BF_BOTTOMLEFT

Declaration

Source position: lcltype.pp line 685

const BF_BOTTOMLEFT = BF_BOTTOM or BF_LEFT;


BF_BOTTOMRIGHT

Declaration

Source position: lcltype.pp line 686

const BF_BOTTOMRIGHT = BF_BOTTOM or BF_RIGHT;


BF_DIAGONAL

Declaration

Source position: lcltype.pp line 688

const BF_DIAGONAL = $10;


BF_DIAGONAL_ENDBOTTOMLEFT

Declaration

Source position: lcltype.pp line 692

const BF_DIAGONAL_ENDBOTTOMLEFT = BF_DIAGONAL or BF_BOTTOM or BF_LEFT;


BF_DIAGONAL_ENDBOTTOMRIGHT

Declaration

Source position: lcltype.pp line 693

const BF_DIAGONAL_ENDBOTTOMRIGHT = BF_DIAGONAL or BF_BOTTOM or BF_RIGHT;


BF_DIAGONAL_ENDTOPLEFT

Declaration

Source position: lcltype.pp line 691

const BF_DIAGONAL_ENDTOPLEFT = BF_DIAGONAL or BF_TOP or BF_LEFT;


BF_DIAGONAL_ENDTOPRIGHT

Declaration

Source position: lcltype.pp line 690

const BF_DIAGONAL_ENDTOPRIGHT = BF_DIAGONAL or BF_TOP or BF_RIGHT;


BF_FLAT

Declaration

Source position: lcltype.pp line 698

const BF_FLAT = $4000;


BF_LEFT

Declaration

Source position: lcltype.pp line 678

const BF_LEFT = 1;


BF_MIDDLE

Declaration

Source position: lcltype.pp line 695

const BF_MIDDLE = $800;


BF_MONO

Declaration

Source position: lcltype.pp line 699

const BF_MONO = $8000;


BF_RECT

Declaration

Source position: lcltype.pp line 687

const BF_RECT = BF_LEFT or BF_TOP or BF_RIGHT or BF_BOTTOM;


BF_RIGHT

Declaration

Source position: lcltype.pp line 680

const BF_RIGHT = 4;


BF_SOFT

Declaration

Source position: lcltype.pp line 696

const BF_SOFT = $1000;


BF_TOP

Declaration

Source position: lcltype.pp line 679

const BF_TOP = 2;


BF_TOPLEFT

Declaration

Source position: lcltype.pp line 683

const BF_TOPLEFT = BF_TOP or BF_LEFT;


BF_TOPRIGHT

Declaration

Source position: lcltype.pp line 684

const BF_TOPRIGHT = BF_TOP or BF_RIGHT;


BI_BITFIELDS

Declaration

Source position: lcltype.pp line 2132

const BI_BITFIELDS = 3;


BI_RGB

Declaration

Source position: lcltype.pp line 2129

const BI_RGB = 0;


BI_RLE4

Declaration

Source position: lcltype.pp line 2131

const BI_RLE4 = 2;


BI_RLE8

Declaration

Source position: lcltype.pp line 2130

const BI_RLE8 = 1;


BITMAP

Declaration

Source position: lcltype.pp line 1271

type BITMAP = tagBITMAP;


BITMAPCOREHEADER

Declaration

Source position: lcltype.pp line 1283

type BITMAPCOREHEADER = tagBITMAPCOREHEADER;


BITMAPCOREINFO

Declaration

Source position: lcltype.pp line 1348

type BITMAPCOREINFO = tagBITMAPCOREINFO;


BITMAPFILEHEADER

Declaration

Source position: lcltype.pp line 1360

type BITMAPFILEHEADER = tagBITMAPFILEHEADER;


BITMAPINFO

Declaration

Source position: lcltype.pp line 1339

type BITMAPINFO = tagBITMAPINFO;


BITMAPINFOHEADER

Declaration

Source position: lcltype.pp line 1301

type BITMAPINFOHEADER = tagBITMAPINFOHEADER;


BITSPIXEL

Number of bits per pixel

Declaration

Source position: lcltype.pp line 2139

const BITSPIXEL = 12;


BKMODE_LAST

Declaration

Source position: lcltype.pp line 1405

const BKMODE_LAST = 2;


BLACK_BRUSH

Declaration

Source position: lcltype.pp line 1783

const BLACK_BRUSH = 4;


BLACK_PEN

Declaration

Source position: lcltype.pp line 1787

const BLACK_PEN = 7;


BLACKNESS

Ternary raster operation (Dst op Src op Pattern): Fills the destination area with all black.

Declaration

Source position: lcltype.pp line 208

const BLACKNESS = $00000042;

See also

#lcl.LCLIntf.BitBlt

Copies a section of a Canvas to another one, performing a raster operation (ROP).


BLACKONWHITE

Declaration

Source position: lcltype.pp line 2173

const BLACKONWHITE = 1;


Bool

A LongBool, distinct from the Boolean type.

Declaration

Source position: lcltype.pp line 113

type Bool = LongBool;


BS_3STATE

Declaration

Source position: lcltype.pp line 954

const BS_3STATE = $00000005;


BS_AUTOCHECKBOX

Declaration

Source position: lcltype.pp line 952

const BS_AUTOCHECKBOX = $00000003;


BS_DEFPUSHBUTTON

Declaration

Source position: lcltype.pp line 951

const BS_DEFPUSHBUTTON = $00000001;


BS_DIBPATTERN

Declaration

Source position: lcltype.pp line 1577

const BS_DIBPATTERN = 5;


BS_DIBPATTERN8X8

Declaration

Source position: lcltype.pp line 1580

const BS_DIBPATTERN8X8 = 8;


BS_DIBPATTERNPT

Declaration

Source position: lcltype.pp line 1578

const BS_DIBPATTERNPT = 6;


BS_GROUPBOX

Declaration

Source position: lcltype.pp line 955

const BS_GROUPBOX = $00000007;


BS_HATCHED

Declaration

Source position: lcltype.pp line 1574

const BS_HATCHED = 2;


BS_HOLLOW

Declaration

Source position: lcltype.pp line 1573

const BS_HOLLOW = BS_NULL;


BS_INDEXED

Declaration

Source position: lcltype.pp line 1576

const BS_INDEXED = 4;


BS_MONOPATTERN

Declaration

Source position: lcltype.pp line 1581

const BS_MONOPATTERN = 9;


BS_NULL

Declaration

Source position: lcltype.pp line 1572

const BS_NULL = 1;


BS_OWNERDRAW

Declaration

Source position: lcltype.pp line 956

const BS_OWNERDRAW = $0000000B;


BS_PATTERN

Declaration

Source position: lcltype.pp line 1575

const BS_PATTERN = 3;


BS_PATTERN8X8

Declaration

Source position: lcltype.pp line 1579

const BS_PATTERN8X8 = 7;


BS_PUSHBUTTON

Declaration

Source position: lcltype.pp line 950

const BS_PUSHBUTTON = $00000000;


BS_PUSHLIKE

Declaration

Source position: lcltype.pp line 958

const BS_PUSHLIKE = $00001000;


BS_RADIOBUTTON

Declaration

Source position: lcltype.pp line 953

const BS_RADIOBUTTON = $00000004;


BS_RIGHTBUTTON

Declaration

Source position: lcltype.pp line 957

const BS_RIGHTBUTTON = $00000020;


BS_SOLID

Declaration

Source position: lcltype.pp line 1571

const BS_SOLID = 0;


CBM_INIT

Declaration

Source position: lcltype.pp line 2181

const CBM_INIT = 4;


CBS_AUTOHSCROLL

Declaration

Source position: lcltype.pp line 978

const CBS_AUTOHSCROLL = $0040;


CBS_DROPDOWN

Declaration

Source position: lcltype.pp line 974

const CBS_DROPDOWN = $0002;


CBS_DROPDOWNLIST

Declaration

Source position: lcltype.pp line 975

const CBS_DROPDOWNLIST = $0003;


CBS_HASSTRINGS

Declaration

Source position: lcltype.pp line 980

const CBS_HASSTRINGS = $0200;


CBS_OWNERDRAWFIXED

Declaration

Source position: lcltype.pp line 976

const CBS_OWNERDRAWFIXED = $0010;


CBS_OWNERDRAWVARIABLE

Declaration

Source position: lcltype.pp line 977

const CBS_OWNERDRAWVARIABLE = $0020;


CBS_SIMPLE

Declaration

Source position: lcltype.pp line 973

const CBS_SIMPLE = $0001;


CBS_SORT

Declaration

Source position: lcltype.pp line 979

const CBS_SORT = $0100;


CCHDEVICENAME

Declaration

Source position: lcltype.pp line 1085

const CCHDEVICENAME = 32;


CCS_ADJUSTABLE

Declaration

Source position: lcltype.pp line 2900

const CCS_ADJUSTABLE = $00000020;


CCS_BOTTOM

Declaration

Source position: lcltype.pp line 2897

const CCS_BOTTOM = $00000003;


CCS_LEFT

Declaration

Source position: lcltype.pp line 2903

const CCS_LEFT = CCS_VERT or CCS_TOP;


CCS_NODIVIDER

Declaration

Source position: lcltype.pp line 2901

const CCS_NODIVIDER = $00000040;


CCS_NOMOVEX

Declaration

Source position: lcltype.pp line 2905

const CCS_NOMOVEX = CCS_VERT or CCS_NOMOVEY;


CCS_NOMOVEY

Declaration

Source position: lcltype.pp line 2896

const CCS_NOMOVEY = $00000002;


CCS_NOPARENTALIGN

Declaration

Source position: lcltype.pp line 2899

const CCS_NOPARENTALIGN = $00000008;


CCS_NORESIZE

Declaration

Source position: lcltype.pp line 2898

const CCS_NORESIZE = $00000004;


CCS_RIGHT

Declaration

Source position: lcltype.pp line 2904

const CCS_RIGHT = CCS_VERT or CCS_BOTTOM;


CCS_TOP

Declaration

Source position: lcltype.pp line 2895

const CCS_TOP = $00000001;


CCS_VERT

Declaration

Source position: lcltype.pp line 2902

const CCS_VERT = $00000080;


CHINESEBIG5_CHARSET

Declaration

Source position: lcltype.pp line 1477

const CHINESEBIG5_CHARSET = 136;


CLEARTYPE_NATURAL_QUALITY

Declaration

Source position: lcltype.pp line 1442

const CLEARTYPE_NATURAL_QUALITY = 6;


CLEARTYPE_QUALITY

Declaration

Source position: lcltype.pp line 1441

const CLEARTYPE_QUALITY = 5;


CLIP_CHARACTER_PRECIS

Declaration

Source position: lcltype.pp line 1429

const CLIP_CHARACTER_PRECIS = 1;


CLIP_DEFAULT_PRECIS

Declaration

Source position: lcltype.pp line 1428

const CLIP_DEFAULT_PRECIS = 0;


CLIP_EMBEDDED

Declaration

Source position: lcltype.pp line 1434

const CLIP_EMBEDDED = 8 shl 4;


CLIP_LH_ANGLES

Declaration

Source position: lcltype.pp line 1432

const CLIP_LH_ANGLES = 1 shl 4;


CLIP_MASK

Declaration

Source position: lcltype.pp line 1431

const CLIP_MASK = 15;


CLIP_STROKE_PRECIS

Declaration

Source position: lcltype.pp line 1430

const CLIP_STROKE_PRECIS = 2;


CLIP_TT_ALWAYS

Declaration

Source position: lcltype.pp line 1433

const CLIP_TT_ALWAYS = 2 shl 4;


ClipboardTypeName

Declaration

Source position: lcltype.pp line 2708

const ClipboardTypeName: array [TClipboardType] of string = ('primary selection', 'secondary selection', 'clipboard');


CLR_DEFAULT

Declaration

Source position: lcltype.pp line 1657

const CLR_DEFAULT = TColorRef($FF000000);


CLR_INVALID

Declaration

Source position: lcltype.pp line 1658

const CLR_INVALID = TColorRef($FFFFFFFF);


CLR_NONE

Declaration

Source position: lcltype.pp line 1656

const CLR_NONE = TColorRef($FFFFFFFF);


COLOR_3DDKSHADOW

Declaration

Source position: lcltype.pp line 1681

const COLOR_3DDKSHADOW = 21;


COLOR_3DFACE

Declaration

Source position: lcltype.pp line 1699

const COLOR_3DFACE = COLOR_BTNFACE;


COLOR_3DHIGHLIGHT

Declaration

Source position: lcltype.pp line 1701

const COLOR_3DHIGHLIGHT = COLOR_BTNHIGHLIGHT;


COLOR_3DHILIGHT

Declaration

Source position: lcltype.pp line 1702

const COLOR_3DHILIGHT = COLOR_BTNHIGHLIGHT;


COLOR_3DLIGHT

Declaration

Source position: lcltype.pp line 1682

const COLOR_3DLIGHT = 22;


COLOR_3DSHADOW

Declaration

Source position: lcltype.pp line 1700

const COLOR_3DSHADOW = COLOR_BTNSHADOW;


COLOR_ACTIVEBORDER

Declaration

Source position: lcltype.pp line 1670

const COLOR_ACTIVEBORDER = 10;


COLOR_ACTIVECAPTION

Declaration

Source position: lcltype.pp line 1662

const COLOR_ACTIVECAPTION = 2;


COLOR_APPWORKSPACE

Declaration

Source position: lcltype.pp line 1672

const COLOR_APPWORKSPACE = 12;


COLOR_BACKGROUND

Declaration

Source position: lcltype.pp line 1661

const COLOR_BACKGROUND = 1;


COLOR_BTNFACE

Declaration

Source position: lcltype.pp line 1675

const COLOR_BTNFACE = 15;


COLOR_BTNHIGHLIGHT

Declaration

Source position: lcltype.pp line 1680

const COLOR_BTNHIGHLIGHT = 20;


COLOR_BTNHILIGHT

Declaration

Source position: lcltype.pp line 1703

const COLOR_BTNHILIGHT = COLOR_BTNHIGHLIGHT;


COLOR_BTNSHADOW

Declaration

Source position: lcltype.pp line 1676

const COLOR_BTNSHADOW = 16;


COLOR_BTNTEXT

Declaration

Source position: lcltype.pp line 1678

const COLOR_BTNTEXT = 18;


COLOR_CAPTIONTEXT

Declaration

Source position: lcltype.pp line 1669

const COLOR_CAPTIONTEXT = 9;


COLOR_DESKTOP

Declaration

Source position: lcltype.pp line 1698

const COLOR_DESKTOP = COLOR_BACKGROUND;


COLOR_ENDCOLORS

Declaration

Source position: lcltype.pp line 1696

const COLOR_ENDCOLORS = COLOR_FORM;


COLOR_FORM

Declaration

Source position: lcltype.pp line 1694

const COLOR_FORM = 31;


COLOR_GRADIENTACTIVECAPTION

Declaration

Source position: lcltype.pp line 1689

const COLOR_GRADIENTACTIVECAPTION = 27;


COLOR_GRADIENTINACTIVECAPTION

Declaration

Source position: lcltype.pp line 1690

const COLOR_GRADIENTINACTIVECAPTION = 28;


COLOR_GRAYTEXT

Declaration

Source position: lcltype.pp line 1677

const COLOR_GRAYTEXT = 17;


COLOR_HIGHLIGHT

Declaration

Source position: lcltype.pp line 1673

const COLOR_HIGHLIGHT = 13;


COLOR_HIGHLIGHTTEXT

Declaration

Source position: lcltype.pp line 1674

const COLOR_HIGHLIGHTTEXT = 14;


COLOR_HOTLIGHT

Declaration

Source position: lcltype.pp line 1688

const COLOR_HOTLIGHT = 26;


COLOR_INACTIVEBORDER

Declaration

Source position: lcltype.pp line 1671

const COLOR_INACTIVEBORDER = 11;


COLOR_INACTIVECAPTION

Declaration

Source position: lcltype.pp line 1663

const COLOR_INACTIVECAPTION = 3;


COLOR_INACTIVECAPTIONTEXT

Declaration

Source position: lcltype.pp line 1679

const COLOR_INACTIVECAPTIONTEXT = 19;


COLOR_INFOBK

Declaration

Source position: lcltype.pp line 1684

const COLOR_INFOBK = 24;


COLOR_INFOTEXT

Declaration

Source position: lcltype.pp line 1683

const COLOR_INFOTEXT = 23;


COLOR_MENU

Declaration

Source position: lcltype.pp line 1664

const COLOR_MENU = 4;


COLOR_MENUBAR

Declaration

Source position: lcltype.pp line 1692

const COLOR_MENUBAR = 30;


COLOR_MENUHILIGHT

Declaration

Source position: lcltype.pp line 1691

const COLOR_MENUHILIGHT = 29;


COLOR_MENUTEXT

Declaration

Source position: lcltype.pp line 1667

const COLOR_MENUTEXT = 7;


COLOR_SCROLLBAR

Declaration

Source position: lcltype.pp line 1660

const COLOR_SCROLLBAR = 0;


COLOR_WINDOW

Declaration

Source position: lcltype.pp line 1665

const COLOR_WINDOW = 5;


COLOR_WINDOWFRAME

Declaration

Source position: lcltype.pp line 1666

const COLOR_WINDOWFRAME = 6;


COLOR_WINDOWTEXT

Declaration

Source position: lcltype.pp line 1668

const COLOR_WINDOWTEXT = 8;


COLORONCOLOR

Declaration

Source position: lcltype.pp line 2175

const COLORONCOLOR = 3;


COLORREF

Declaration

Source position: lcltype.pp line 1652

type COLORREF = Cardinal;


ComplexRegion

Declaration

Source position: lcltype.pp line 798

const ComplexRegion = 3;


CS_HREDRAW

Declaration

Source position: lcltype.pp line 230

const CS_HREDRAW = dword(2);


CS_VREDRAW

Declaration

Source position: lcltype.pp line 229

const CS_VREDRAW = dword(1);


csArrow

Declaration

Source position: lcltype.pp line 2809

const csArrow = 50;


csBitBtn

Declaration

Source position: lcltype.pp line 2801

const csBitBtn = 44;


csButton

Declaration

Source position: lcltype.pp line 2757

const csButton = 3;


csCalendar

Declaration

Source position: lcltype.pp line 2807

const csCalendar = 49;


csCheckbox

Declaration

Source position: lcltype.pp line 2759

const csCheckbox = 5;


csCheckListBox

Declaration

Source position: lcltype.pp line 2813

const csCheckListBox = 53;


csCListBox

Declaration

Source position: lcltype.pp line 2802

const csCListBox = 45;


csColorDialog

Declaration

Source position: lcltype.pp line 2791

const csColorDialog = 35;


csComboBox

Declaration

Source position: lcltype.pp line 2758

const csComboBox = 4;


csEdit

Declaration

Source position: lcltype.pp line 2760

const csEdit = 6;


csFileDialog

Declaration

Source position: lcltype.pp line 2772

const csFileDialog = 18;


csFixed

Declaration

Source position: lcltype.pp line 2797

const csFixed = csWinControl;


csFontDialog

Declaration

Source position: lcltype.pp line 2793

const csFontDialog = 37;


csForm

Declaration

Source position: lcltype.pp line 2761

const csForm = 7;


csGroupBox

Declaration

Source position: lcltype.pp line 2783

const csGroupBox = 29;


csHintWindow

Declaration

Source position: lcltype.pp line 2805

const csHintWindow = 48;


csListBox

Declaration

Source position: lcltype.pp line 2792

const csListBox = 36;


csListView

Declaration

Source position: lcltype.pp line 2765

const csListView = 11;


csMainMenu

Declaration

Source position: lcltype.pp line 2768

const csMainMenu = 14;


csMemo

Declaration

Source position: lcltype.pp line 2767

const csMemo = 13;


csMenuBar

Declaration

Source position: lcltype.pp line 2769

const csMenuBar = 15;


csMenuItem

Declaration

Source position: lcltype.pp line 2770

const csMenuItem = 16;


csNone

Declaration

Source position: lcltype.pp line 2754

const csNone = 0;


csNonLCL

Declaration

Source position: lcltype.pp line 2823

const csNonLCL = 61;


csNotebook

Declaration

Source position: lcltype.pp line 2771

const csNotebook = 17;


csOpenFileDialog

Declaration

Source position: lcltype.pp line 2817

const csOpenFileDialog = 56;


csPage

Declaration

Source position: lcltype.pp line 2789

const csPage = 34;


csPairSplitter

Declaration

Source position: lcltype.pp line 2814

const csPairSplitter = 54;


csPairSplitterSide

Declaration

Source position: lcltype.pp line 2815

const csPairSplitterSide = 55;


csPanel

Declaration

Source position: lcltype.pp line 2810

const csPanel = 51;


csPopupMenu

Declaration

Source position: lcltype.pp line 2804

const csPopupMenu = 47;


csPreviewFileControl

Declaration

Source position: lcltype.pp line 2820

const csPreviewFileControl = 59;


csPreviewFileDialog

Declaration

Source position: lcltype.pp line 2821

const csPreviewFileDialog = 60;


csProgressBar

Declaration

Source position: lcltype.pp line 2794

const csProgressBar = 38;


csRadioButton

Declaration

Source position: lcltype.pp line 2773

const csRadioButton = 19;


csSaveFileDialog

Declaration

Source position: lcltype.pp line 2818

const csSaveFileDialog = 57;


csScrollBar

Declaration

Source position: lcltype.pp line 2764

const csScrollBar = 10;


csScrollBox

Declaration

Source position: lcltype.pp line 2811

const csScrollBox = 52;


csScrolledWindow

Declaration

Source position: lcltype.pp line 2774

const csScrolledWindow = 20;


csSelectDirectoryDialog

Declaration

Source position: lcltype.pp line 2819

const csSelectDirectoryDialog = 58;


csSpinedit

Declaration

Source position: lcltype.pp line 2775

const csSpinedit = 21;


csStaticText

Declaration

Source position: lcltype.pp line 2762

const csStaticText = 8;


csStatusBar

Declaration

Source position: lcltype.pp line 2776

const csStatusBar = 22;


csToggleBox

Declaration

Source position: lcltype.pp line 2778

const csToggleBox = 24;


csTrackBar

Declaration

Source position: lcltype.pp line 2795

const csTrackBar = 39;


csWinControl

Declaration

Source position: lcltype.pp line 2796

const csWinControl = 40;


DC_BRUSH

Declaration

Source position: lcltype.pp line 1797

const DC_BRUSH = 18;


DC_PEN

Declaration

Source position: lcltype.pp line 1798

const DC_PEN = 19;


DEFAULT_CHARSET

Declaration

Source position: lcltype.pp line 1451

const DEFAULT_CHARSET = 1;


DEFAULT_GUI_FONT

Declaration

Source position: lcltype.pp line 1796

const DEFAULT_GUI_FONT = 17;


DEFAULT_PALETTE

Declaration

Source position: lcltype.pp line 1794

const DEFAULT_PALETTE = 15;


DEFAULT_PITCH

Declaration

Source position: lcltype.pp line 1444

const DEFAULT_PITCH = 0;


DEFAULT_QUALITY

Declaration

Source position: lcltype.pp line 1436

const DEFAULT_QUALITY = 0;


DefaultLogFont

Declaration

Source position: lcltype.pp line 2619

const DefaultLogFont: TLogFont = (lfHeight: 0; lfWidth: 0; lfEscapement: 0; lfOrientation: 0; lfWeight: 0; lfItalic: 0; lfUnderline: 0; lfStrikeOut: 0; lfCharSet: 0; lfOutPrecision: 0; lfClipPrecision: 0; lfQuality: 0; lfPitchAndFamily: 0; lfFaceName: 'default');


DEVICE_DEFAULT_FONT

Declaration

Source position: lcltype.pp line 1793

const DEVICE_DEFAULT_FONT = 14;


DEVICE_FONTTYPE

Declaration

Source position: lcltype.pp line 1387

const DEVICE_FONTTYPE = 2;


DFC_BUTTON

DrawFrameControl control type: button.

Declaration

Source position: lcltype.pp line 272

const DFC_BUTTON = $04;


DFC_CAPTION

DrawFrameControl control type: title bar.

Declaration

Source position: lcltype.pp line 269

const DFC_CAPTION = $01;


DFC_MENU

DrawFrameControl control type: menu bar.

Declaration

Source position: lcltype.pp line 270

const DFC_MENU = $02;


DFC_SCROLL

DrawFrameControl control type: scroll bar.

Declaration

Source position: lcltype.pp line 271

const DFC_SCROLL = $03;


DFCS_ADJUSTRECT

DrawFrameControl button control style: exclude frame.

Declaration

Source position: lcltype.pp line 306

const DFCS_ADJUSTRECT = 8192;


DFCS_BUTTON3STATE

DrawFrameControl button control style: three-state button.

Declaration

Source position: lcltype.pp line 281

const DFCS_BUTTON3STATE = 8;


DFCS_BUTTONCHECK

DrawFrameControl button control style: checkbox.

Declaration

Source position: lcltype.pp line 277

const DFCS_BUTTONCHECK = 0;


DFCS_BUTTONPUSH

DrawFrameControl button control style: push button.

Declaration

Source position: lcltype.pp line 282

const DFCS_BUTTONPUSH = 16;


DFCS_BUTTONRADIO

DrawFrameControl button control style: radio button.

Declaration

Source position: lcltype.pp line 280

const DFCS_BUTTONRADIO = 4;


DFCS_BUTTONRADIOIMAGE

DrawFrameControl button control style: radio button image.

Declaration

Source position: lcltype.pp line 278

const DFCS_BUTTONRADIOIMAGE = 1;


DFCS_BUTTONRADIOMASK

DrawFrameControl button control style: radio button mask.

Declaration

Source position: lcltype.pp line 279

const DFCS_BUTTONRADIOMASK = 2;


DFCS_CAPTIONCLOSE

DrawFrameControl caption control style: Close button.

Declaration

Source position: lcltype.pp line 284

const DFCS_CAPTIONCLOSE = 0;


DFCS_CAPTIONHELP

DrawFrameControl caption control style: Help button.

Declaration

Source position: lcltype.pp line 288

const DFCS_CAPTIONHELP = 4;


DFCS_CAPTIONMAX

DrawFrameControl caption control style: Maximize button.

Declaration

Source position: lcltype.pp line 286

const DFCS_CAPTIONMAX = 2;


DFCS_CAPTIONMIN

DrawFrameControl caption control style: Minimize button.

Declaration

Source position: lcltype.pp line 285

const DFCS_CAPTIONMIN = 1;


DFCS_CAPTIONRESTORE

DrawFrameControl caption control style: Restore button.

Declaration

Source position: lcltype.pp line 287

const DFCS_CAPTIONRESTORE = 3;


DFCS_CHECKED

DrawFrameControl button control state: button checked.

Declaration

Source position: lcltype.pp line 303

const DFCS_CHECKED = 1024;


DFCS_FLAT

DrawFrameControl button control style: flat.

Declaration

Source position: lcltype.pp line 307

const DFCS_FLAT = 16384;


DFCS_HOT

DrawFrameControl scrollbar control state: button hot-tracked.

Declaration

Source position: lcltype.pp line 305

const DFCS_HOT = 4096;


DFCS_INACTIVE

DrawFrameControl control state: inactive (grayed).

Declaration

Source position: lcltype.pp line 301

const DFCS_INACTIVE = 256;


DFCS_MENUARROW

DrawFrameControl menubar control style: submenu arrow.

Declaration

Source position: lcltype.pp line 290

const DFCS_MENUARROW = 0;


DFCS_MENUBULLET

DrawFrameControl menubar control style: bullet.

Declaration

Source position: lcltype.pp line 292

const DFCS_MENUBULLET = 2;


DFCS_MENUCHECK

DrawFrameControl menubar control style: check mark.

Declaration

Source position: lcltype.pp line 291

const DFCS_MENUCHECK = 1;


DFCS_MONO

DrawFrameControl button control style: monochrome border.

Declaration

Source position: lcltype.pp line 308

const DFCS_MONO = 32768;


DFCS_PUSHED

DrawFrameControl button control state: button pushed.

Declaration

Source position: lcltype.pp line 302

const DFCS_PUSHED = 512;


DFCS_SCROLLCOMBOBOX

DrawFrameControl scrollbar control style: combobox scrollbar.

Declaration

Source position: lcltype.pp line 297

const DFCS_SCROLLCOMBOBOX = 5;


DFCS_SCROLLDOWN

DrawFrameControl scrollbar control style: down arrow.

Declaration

Source position: lcltype.pp line 294

const DFCS_SCROLLDOWN = 1;


DFCS_SCROLLLEFT

DrawFrameControl scrollbar control style: left arrow.

Declaration

Source position: lcltype.pp line 295

const DFCS_SCROLLLEFT = 2;


DFCS_SCROLLRIGHT

DrawFrameControl scrollbar control style: right arrow.

Declaration

Source position: lcltype.pp line 296

const DFCS_SCROLLRIGHT = 3;


DFCS_SCROLLSIZEGRIP

DrawFrameControl scrollbar control style: size grip in the bottom-right window corner.

Declaration

Source position: lcltype.pp line 298

const DFCS_SCROLLSIZEGRIP = 8;


DFCS_SCROLLUP

DrawFrameControl scrollbar control style: up arrow.

Declaration

Source position: lcltype.pp line 299

const DFCS_SCROLLUP = 0;


DFCS_TRANSPARENT

DrawFrameControl control style: transparent (title bar...).

Declaration

Source position: lcltype.pp line 304

const DFCS_TRANSPARENT = 2048;


DIB_PAL_COLORS

Declaration

Source position: lcltype.pp line 1049

const DIB_PAL_COLORS = 1;


DIB_RGB_COLORS

Declaration

Source position: lcltype.pp line 1048

const DIB_RGB_COLORS = 0;


DIBSECTION

Declaration

Source position: lcltype.pp line 1372

type DIBSECTION = tagDIBSECTION;


DKGRAY_BRUSH

Declaration

Source position: lcltype.pp line 1782

const DKGRAY_BRUSH = 3;


DLGC_WANTALLKEYS

Declaration

Source position: lcltype.pp line 704

const DLGC_WANTALLKEYS = 4;


DLGC_WANTARROWS

Declaration

Source position: lcltype.pp line 702

const DLGC_WANTARROWS = 1;


DLGC_WANTCHARS

Declaration

Source position: lcltype.pp line 706

const DLGC_WANTCHARS = $80;


DLGC_WANTTAB

Declaration

Source position: lcltype.pp line 703

const DLGC_WANTTAB = 2;


DRAFT_QUALITY

Declaration

Source position: lcltype.pp line 1437

const DRAFT_QUALITY = 1;


DrawItemStruct

Declaration

Source position: lcltype.pp line 1139

type DrawItemStruct = tagDrawItemStruct;


DSTINVERT

Ternary raster operation (Dst op Src op Pattern): Fills the destination area with (not Dst)

Declaration

Source position: lcltype.pp line 207

const DSTINVERT = $00550009;

See also

#lcl.LCLIntf.BitBlt

Copies a section of a Canvas to another one, performing a raster operation (ROP).


DT_BOTTOM

DrawText formatting: text justified to the bottom of the rectangle.

Declaration

Source position: lcltype.pp line 249

const DT_BOTTOM = $8;


DT_CALCRECT

DrawText formatting: returns the required rectangle, without actually drawing.

Declaration

Source position: lcltype.pp line 254

const DT_CALCRECT = $400;


DT_CENTER

DrawText formatting: text centered horizontally within the rectangle.

Declaration

Source position: lcltype.pp line 246

const DT_CENTER = $1;


DT_EDITCONTROL

DrawText formatting: emulate behaviour of a multiline EDIT control.

Declaration

Source position: lcltype.pp line 257

const DT_EDITCONTROL = $2000;


DT_END_ELLIPSIS

DrawText formatting: appends an ellipsis when the text is truncated.

Declaration

Source position: lcltype.pp line 258

const DT_END_ELLIPSIS = $8000;


DT_EXPANDTABS

DrawText formatting: expand tab characters.

Declaration

Source position: lcltype.pp line 252

const DT_EXPANDTABS = $40;


DT_INTERNAL

DrawText formatting: uses the system font for calculations.

Declaration

Source position: lcltype.pp line 256

const DT_INTERNAL = $1000;


DT_LEFT

DrawText formatting: text justified to the left of the rectangle.

Declaration

Source position: lcltype.pp line 245

const DT_LEFT = $0;


DT_MODIFYSTRING

DrawText formatting: update the string to match the displayed text (possibly truncated).

Declaration

Source position: lcltype.pp line 259

const DT_MODIFYSTRING = $10000;


DT_NOCLIP

DrawText formatting: text is drawn without clipping.

Declaration

Source position: lcltype.pp line 253

const DT_NOCLIP = $100;


DT_NOPREFIX

DrawText formatting: show embedded '&' characters.

Declaration

Source position: lcltype.pp line 255

const DT_NOPREFIX = $800;


DT_RIGHT

DrawText formatting: text justified to the right of the rectangle.

Declaration

Source position: lcltype.pp line 247

const DT_RIGHT = $2;


DT_RTLREADING

DrawText formatting: use right-to-left reading layout for bidirectional text.

Declaration

Source position: lcltype.pp line 260

const DT_RTLREADING = $20000;


DT_SINGLELINE

DrawText formatting: text is drawn in a single line, regardless of embedded line endings.

Declaration

Source position: lcltype.pp line 251

const DT_SINGLELINE = $20;


DT_TOP

DrawText formatting: text justified to the top of the rectangle.

Declaration

Source position: lcltype.pp line 244

const DT_TOP = $0;


DT_VCENTER

DrawText formatting: text centered vertically within the rectangle.

Declaration

Source position: lcltype.pp line 248

const DT_VCENTER = $4;


DT_WORDBREAK

DrawText formatting: text can wrap into multiple lines.

Declaration

Source position: lcltype.pp line 250

const DT_WORDBREAK = $10;


EASTEUROPE_CHARSET

Declaration

Source position: lcltype.pp line 1486

const EASTEUROPE_CHARSET = 238;


EDGE_BUMP

Declaration

Source position: lcltype.pp line 672

const EDGE_BUMP = BDR_RAISEDOUTER or BDR_SUNKENINNER;


EDGE_ETCHED

Declaration

Source position: lcltype.pp line 673

const EDGE_ETCHED = BDR_SUNKENOUTER or BDR_RAISEDINNER;


EDGE_RAISED

Declaration

Source position: lcltype.pp line 674

const EDGE_RAISED = BDR_RAISEDOUTER or BDR_RAISEDINNER;


EDGE_SUNKEN

Declaration

Source position: lcltype.pp line 675

const EDGE_SUNKEN = BDR_SUNKENOUTER or BDR_SUNKENINNER;


ENUMLOGFONT

Declaration

Source position: lcltype.pp line 2377

type ENUMLOGFONT = ENUMLOGFONTA;


ENUMLOGFONTA

Declaration

Source position: lcltype.pp line 2373

type ENUMLOGFONTA = tagENUMLOGFONTA;


ENUMLOGFONTEX

Declaration

Source position: lcltype.pp line 2406

type ENUMLOGFONTEX = ENUMLOGFONTEXA;


ENUMLOGFONTEXA

Declaration

Source position: lcltype.pp line 2402

type ENUMLOGFONTEXA = tagENUMLOGFONTEXA;


ENUMLOGFONTEXW

Declaration

Source position: lcltype.pp line 2404

type ENUMLOGFONTEXW = tagENUMLOGFONTEXW;


ENUMLOGFONTW

Declaration

Source position: lcltype.pp line 2375

type ENUMLOGFONTW = tagENUMLOGFONTW;


Error

Declaration

Source position: lcltype.pp line 795

const Error = 0;


ES_AUTOHSCROLL

Declaration

Source position: lcltype.pp line 966

const ES_AUTOHSCROLL = $0080;


ES_AUTOVSCROLL

Declaration

Source position: lcltype.pp line 965

const ES_AUTOVSCROLL = $0040;


ES_CENTER

Declaration

Source position: lcltype.pp line 962

const ES_CENTER = $0001;


ES_LEFT

Declaration

Source position: lcltype.pp line 961

const ES_LEFT = $0000;


ES_MULTILINE

Declaration

Source position: lcltype.pp line 964

const ES_MULTILINE = $0004;


ES_NOHIDESEL

Declaration

Source position: lcltype.pp line 967

const ES_NOHIDESEL = $0100;


ES_NUMBER

Declaration

Source position: lcltype.pp line 968

const ES_NUMBER = $2000;


ES_READONLY

Declaration

Source position: lcltype.pp line 969

const ES_READONLY = $0800;


ES_RIGHT

Declaration

Source position: lcltype.pp line 963

const ES_RIGHT = $0002;


ES_WANTRETURN

Declaration

Source position: lcltype.pp line 970

const ES_WANTRETURN = $1000;


ETO_CLIPPED

Clipped ExtTextOut mode, clipping the text at the rectangle boundaries.

Declaration

Source position: lcltype.pp line 226

const ETO_CLIPPED = 4;

See also

ExtTextOut

Draws an string without formatting (single line).


ETO_OPAQUE

Opaque ExtTextOut mode, filling the rectangle with the background Color before painting the text.

Declaration

Source position: lcltype.pp line 225

const ETO_OPAQUE = 2;

See also

ExtTextOut

Draws an string without formatting (single line).


ETO_RTLREADING

Declaration

Source position: lcltype.pp line 227

const ETO_RTLREADING = 128;


EXTLOGPEN

Declaration

Source position: lcltype.pp line 2428

type EXTLOGPEN = tagEXTLOGPEN;


FCS_ISO_8859_1

Declaration

Source position: lcltype.pp line 1455

const FCS_ISO_8859_1 = 5;


FCS_ISO_8859_2

Declaration

Source position: lcltype.pp line 1456

const FCS_ISO_8859_2 = 6;


FCS_ISO_8859_3

Declaration

Source position: lcltype.pp line 1457

const FCS_ISO_8859_3 = 7;


FCS_ISO_8859_4

Declaration

Source position: lcltype.pp line 1458

const FCS_ISO_8859_4 = 8;


FCS_ISO_8859_5

Declaration

Source position: lcltype.pp line 1459

const FCS_ISO_8859_5 = 9;


FCS_ISO_8859_6

Declaration

Source position: lcltype.pp line 1460

const FCS_ISO_8859_6 = 10;


FCS_ISO_8859_7

Declaration

Source position: lcltype.pp line 1461

const FCS_ISO_8859_7 = 11;


FCS_ISO_8859_8

Declaration

Source position: lcltype.pp line 1462

const FCS_ISO_8859_8 = 12;


FCS_ISO_8859_9

Declaration

Source position: lcltype.pp line 1463

const FCS_ISO_8859_9 = 13;


FCS_ISO_8859_10

Declaration

Source position: lcltype.pp line 1464

const FCS_ISO_8859_10 = 14;


FCS_ISO_8859_15

Declaration

Source position: lcltype.pp line 1465

const FCS_ISO_8859_15 = 15;


FCS_ISO_10646_1

Declaration

Source position: lcltype.pp line 1454

const FCS_ISO_10646_1 = 4;


FF_DECORATIVE

Declaration

Source position: lcltype.pp line 1518

const FF_DECORATIVE = 5 shl 4;


FF_DONTCARE

Declaration

Source position: lcltype.pp line 1513

const FF_DONTCARE = 0 shl 4;


FF_MODERN

Declaration

Source position: lcltype.pp line 1516

const FF_MODERN = 3 shl 4;


FF_ROMAN

Declaration

Source position: lcltype.pp line 1514

const FF_ROMAN = 1 shl 4;


FF_SCRIPT

Declaration

Source position: lcltype.pp line 1517

const FF_SCRIPT = 4 shl 4;


FF_SWISS

Declaration

Source position: lcltype.pp line 1515

const FF_SWISS = 2 shl 4;


FIXED_PITCH

Declaration

Source position: lcltype.pp line 1445

const FIXED_PITCH = 1;


FontEnumExProc

Declaration

Source position: lcltype.pp line 2532

type FontEnumExProc = function(

  var ELogFont: TEnumLogFontEx;

  var Metric: TNewTextMetricEx;

  FontType: LongInt;

  Data: LPARAM

):LongInt;


FontEnumProc

Declaration

Source position: lcltype.pp line 2529

type FontEnumProc = function(

  var ELogFont: TEnumLogFont;

  var Metric: TNewTextMetric;

  FontType: LongInt;

  Data: LPARAM

):LongInt;


FOUNDRYCHAR_CLOSE

Declaration

Source position: lcltype.pp line 1540

const FOUNDRYCHAR_CLOSE = ']';


FOUNDRYCHAR_OPEN

Declaration

Source position: lcltype.pp line 1539

const FOUNDRYCHAR_OPEN = '[';


FS_ARABIC

Declaration

Source position: lcltype.pp line 1499

const FS_ARABIC = $40;


FS_BALTIC

Declaration

Source position: lcltype.pp line 1500

const FS_BALTIC = $80;


FS_CHINESESIMP

Declaration

Source position: lcltype.pp line 1504

const FS_CHINESESIMP = $40000;


FS_CHINESETRAD

Declaration

Source position: lcltype.pp line 1506

const FS_CHINESETRAD = $100000;


FS_CYRILLIC

Declaration

Source position: lcltype.pp line 1495

const FS_CYRILLIC = 4;


FS_GREEK

Declaration

Source position: lcltype.pp line 1496

const FS_GREEK = 8;


FS_HEBREW

Declaration

Source position: lcltype.pp line 1498

const FS_HEBREW = $20;


FS_JISJAPAN

Declaration

Source position: lcltype.pp line 1503

const FS_JISJAPAN = $20000;


FS_JOHAB

Declaration

Source position: lcltype.pp line 1507

const FS_JOHAB = $200000;


FS_LATIN1

Declaration

Source position: lcltype.pp line 1493

const FS_LATIN1 = 1;


FS_LATIN2

Declaration

Source position: lcltype.pp line 1494

const FS_LATIN2 = 2;


FS_SYMBOL

Declaration

Source position: lcltype.pp line 1508

const FS_SYMBOL = DWORD($80000000);


FS_THAI

Declaration

Source position: lcltype.pp line 1502

const FS_THAI = $10000;


FS_TURKISH

Declaration

Source position: lcltype.pp line 1497

const FS_TURKISH = $10;


FS_VIETNAMESE

Declaration

Source position: lcltype.pp line 1501

const FS_VIETNAMESE = $00000100;


FS_WANSUNG

Declaration

Source position: lcltype.pp line 1505

const FS_WANSUNG = $80000;


FW_BLACK

Declaration

Source position: lcltype.pp line 1537

const FW_BLACK = FW_HEAVY;


FW_BOLD

Declaration

Source position: lcltype.pp line 1530

const FW_BOLD = 700;


FW_DEMIBOLD

Declaration

Source position: lcltype.pp line 1535

const FW_DEMIBOLD = FW_SEMIBOLD;


FW_DONTCARE

Declaration

Source position: lcltype.pp line 1523

const FW_DONTCARE = 0;


FW_EXTRABOLD

Declaration

Source position: lcltype.pp line 1531

const FW_EXTRABOLD = 800;


FW_EXTRALIGHT

Declaration

Source position: lcltype.pp line 1525

const FW_EXTRALIGHT = 200;


FW_HEAVY

Declaration

Source position: lcltype.pp line 1532

const FW_HEAVY = 900;


FW_LIGHT

Declaration

Source position: lcltype.pp line 1526

const FW_LIGHT = 300;


FW_MEDIUM

Declaration

Source position: lcltype.pp line 1528

const FW_MEDIUM = 500;


FW_NORMAL

Declaration

Source position: lcltype.pp line 1527

const FW_NORMAL = 400;


FW_REGULAR

Declaration

Source position: lcltype.pp line 1534

const FW_REGULAR = FW_NORMAL;


FW_SEMIBOLD

Declaration

Source position: lcltype.pp line 1529

const FW_SEMIBOLD = 600;


FW_THIN

Declaration

Source position: lcltype.pp line 1524

const FW_THIN = 100;


FW_ULTRABOLD

Declaration

Source position: lcltype.pp line 1536

const FW_ULTRABOLD = FW_EXTRABOLD;


FW_ULTRALIGHT

Declaration

Source position: lcltype.pp line 1533

const FW_ULTRALIGHT = FW_EXTRALIGHT;


GB2312_CHARSET

Declaration

Source position: lcltype.pp line 1476

const GB2312_CHARSET = 134;


GCP_DBCS

Declaration

Source position: lcltype.pp line 1390

const GCP_DBCS = 1;


GRADIENT_FILL_RECT_H

Declaration

Source position: lcltype.pp line 1053

const GRADIENT_FILL_RECT_H = 0;


GRADIENT_FILL_RECT_V

Declaration

Source position: lcltype.pp line 1054

const GRADIENT_FILL_RECT_V = 1;


GRADIENT_FILL_TRIANGLE

Declaration

Source position: lcltype.pp line 1055

const GRADIENT_FILL_TRIANGLE = 2;


GRADIENTRECT

Declaration

Source position: lcltype.pp line 1254

type GRADIENTRECT = tagGRADIENTRECT;


GRADIENTTRIANGLE

Declaration

Source position: lcltype.pp line 1246

type GRADIENTTRIANGLE = tagGRADIENTTRIANGLE;


GRAY_BRUSH

Declaration

Source position: lcltype.pp line 1781

const GRAY_BRUSH = 2;


GREEK_CHARSET

Declaration

Source position: lcltype.pp line 1478

const GREEK_CHARSET = 161;


GWL_EXSTYLE

Declaration

Source position: lcltype.pp line 756

const GWL_EXSTYLE = - 20;


GWL_HINSTANCE

Declaration

Source position: lcltype.pp line 753

const GWL_HINSTANCE = - 6;


GWL_HWNDPARENT

Declaration

Source position: lcltype.pp line 754

const GWL_HWNDPARENT = - 8;


GWL_ID

Declaration

Source position: lcltype.pp line 758

const GWL_ID = - 12;


GWL_STYLE

Declaration

Source position: lcltype.pp line 755

const GWL_STYLE = - 16;


GWL_USERDATA

Declaration

Source position: lcltype.pp line 757

const GWL_USERDATA = - 21;


GWL_WNDPROC

Declaration

Source position: lcltype.pp line 752

const GWL_WNDPROC = - 4;


HALFTONE

Declaration

Source position: lcltype.pp line 2176

const HALFTONE = 4;


HANDLE

Declaration

Source position: lcltype.pp line 90

type HANDLE = THandle;


HANGEUL_CHARSET

Declaration

Source position: lcltype.pp line 1474

const HANGEUL_CHARSET = 129;


HBITMAP

The type of a Bitmap Handle.

Declaration

Source position: lcltype.pp line 108

type HBITMAP = type THandle;


HBRUSH

The type of a painting Brush Handle.

Declaration

Source position: lcltype.pp line 110

type HBRUSH = type THandle;

Description

A brush is used to fill image areas. Typical brush properties are color, pattern and fill style.


HCURSOR

The type of a mouse Cursor Handle.

Declaration

Source position: lcltype.pp line 104

type HCURSOR = HICON;


HDC

The type of a Device Context Handle.

Declaration

Source position: lcltype.pp line 95

type HDC = type THandle;


HDN_FIRST

Declaration

Source position: lcltype.pp line 2875

const HDN_FIRST = - 300;


HDN_LAST

Declaration

Source position: lcltype.pp line 2876

const HDN_LAST = - 399;


HEBREW_CHARSET

Declaration

Source position: lcltype.pp line 1481

const HEBREW_CHARSET = 177;


HELP_COMMAND

Declaration

Source position: lcltype.pp line 1398

const HELP_COMMAND = 258;


HELP_CONTEXT

Declaration

Source position: lcltype.pp line 1397

const HELP_CONTEXT = 1;


HELPINFO_MENUITEM

Declaration

Source position: lcltype.pp line 1394

const HELPINFO_MENUITEM = $0002;


HELPINFO_WINDOW

Declaration

Source position: lcltype.pp line 1393

const HELPINFO_WINDOW = $0001;


HFONT

The type of a Font Handle.

Declaration

Source position: lcltype.pp line 97

type HFONT = type THandle;


HGDIOBJ

The type of a general GraphicsDeviceInterface Object Handle.

Declaration

Source position: lcltype.pp line 98

type HGDIOBJ = type THandle;

Description

GDI objects are e.g. fonts or brushes, used in GDI drawing operations.


HGLOBAL

The type of a Global memory block Handle.

Declaration

Source position: lcltype.pp line 105

type HGLOBAL = type THandle;

Description

Global memory blocks are managed by the platform, used e.g. for data shared across multiple processes.


HHOOK

Declaration

Source position: lcltype.pp line 96

type HHOOK = type THandle;


HICON

The type of an Icon Handle.

Declaration

Source position: lcltype.pp line 102

type HICON = type THandle;


HIMAGELIST

The type of an Image List Handle.

Declaration

Source position: lcltype.pp line 103

type HIMAGELIST = type THandle;

Description

Image lists are frequently used with controls, whose display items (list entries...) can also show an image. Then every item refers to its image by an index into the shared image list, instead of holding a copy of the image.


HINST

The type of a (process) Instance Handle.

Declaration

Source position: lcltype.pp line 101

type HINST = type THandle;


HKEY

Declaration

Source position: lcltype.pp line 94

type HKEY = Integer;


HMENU

The type of a Menu Handle.

Declaration

Source position: lcltype.pp line 107

type HMENU = type THandle;


HMONITOR

The type of a display Monitor (CRT...) Handle.

Declaration

Source position: lcltype.pp line 111

type HMONITOR = type THandle;


HOLLOW_BRUSH

Declaration

Source position: lcltype.pp line 1785

const HOLLOW_BRUSH = NULL_BRUSH;


HORZRES

Horizontal width in pixels

Declaration

Source position: lcltype.pp line 2137

const HORZRES = 8;


HORZSIZE

Horizontal size in millimeters

Declaration

Source position: lcltype.pp line 2135

const HORZSIZE = 4;


HPALETTE

The type of a color Palette Handle.

Declaration

Source position: lcltype.pp line 109

type HPALETTE = type THandle;

Description

A color palette is frequently used in compressed bitmaps, which contain short (1..8 bit) palette indices instead of RGB colors, for every pixel.


HPEN

The type of a line drawing Pen Handle.

Declaration

Source position: lcltype.pp line 99

type HPEN = type THandle;


HRGN

The type of a display Region Handle.

Declaration

Source position: lcltype.pp line 100

type HRGN = type THandle;

Description

A region can be as simple as a rectangle, or can be composed of multiple shapes.

Regions are almost used to restrict painting to certain areas of the screen (clipping).


HS_BDIAGONAL

Declaration

Source position: lcltype.pp line 1590

const HS_BDIAGONAL = 3;


HS_CROSS

Declaration

Source position: lcltype.pp line 1591

const HS_CROSS = 4;


HS_DIAGCROSS

Declaration

Source position: lcltype.pp line 1592

const HS_DIAGCROSS = 5;


HS_FDIAGONAL

Declaration

Source position: lcltype.pp line 1589

const HS_FDIAGONAL = 2;


HS_HORIZONTAL

Declaration

Source position: lcltype.pp line 1587

const HS_HORIZONTAL = 0;


HS_VERTICAL

Declaration

Source position: lcltype.pp line 1588

const HS_VERTICAL = 1;


HTCAPTION

Hit test: caption background.

Declaration

Source position: lcltype.pp line 314

const HTCAPTION = 2;


HTCLIENT

Hit test: client area.

Declaration

Source position: lcltype.pp line 313

const HTCLIENT = 1;


HTERROR

Declaration

Source position: lcltype.pp line 310

const HTERROR = - 2;


HTNOWHERE

Hit test: outside control.

Declaration

Source position: lcltype.pp line 312

const HTNOWHERE = 0;


HTTRANSPARENT

Hit test: transparent area

Declaration

Source position: lcltype.pp line 311

const HTTRANSPARENT = - 1;


HWND

The type of a Window Handle.

Declaration

Source position: lcltype.pp line 106

type HWND = type THandle;

Description

Windows are managed by the platform's window manager. A window can be stand-alone (TForm) or embeddable (TWinControl).


HWND_BOTTOM

Declaration

Source position: lcltype.pp line 1005

const HWND_BOTTOM = 1;


HWND_NOTOPMOST

Declaration

Source position: lcltype.pp line 1007

const HWND_NOTOPMOST = HWND(- 2);


HWND_TOP

Declaration

Source position: lcltype.pp line 1004

const HWND_TOP = 0;


HWND_TOPMOST

Declaration

Source position: lcltype.pp line 1006

const HWND_TOPMOST = HWND(- 1);


ID_ABORT

Declaration

Source position: lcltype.pp line 781

const ID_ABORT = IDABORT;


ID_CANCEL

Declaration

Source position: lcltype.pp line 780

const ID_CANCEL = IDCANCEL;


ID_CLOSE

Declaration

Source position: lcltype.pp line 786

const ID_CLOSE = IDCLOSE;


ID_HELP

Declaration

Source position: lcltype.pp line 787

const ID_HELP = IDHELP;


ID_IGNORE

Declaration

Source position: lcltype.pp line 783

const ID_IGNORE = IDIGNORE;


ID_NO

Declaration

Source position: lcltype.pp line 785

const ID_NO = IDNO;


ID_OK

Declaration

Source position: lcltype.pp line 779

const ID_OK = IDOK;


ID_RETRY

Declaration

Source position: lcltype.pp line 782

const ID_RETRY = IDRETRY;


ID_YES

Declaration

Source position: lcltype.pp line 784

const ID_YES = IDYES;


IDABORT

Declaration

Source position: lcltype.pp line 781

const IDABORT = 3;


idButtonAbort

Declaration

Source position: lcltype.pp line 1811

const idButtonAbort = idButtonBase + 7;


idButtonAll

Declaration

Source position: lcltype.pp line 1814

const idButtonAll = idButtonBase + 10;


idButtonBase

Declaration

Source position: lcltype.pp line 1804

const idButtonBase = 0;


idButtonCancel

Declaration

Source position: lcltype.pp line 1806

const idButtonCancel = idButtonBase + 2;


idButtonClose

Declaration

Source position: lcltype.pp line 1810

const idButtonClose = idButtonBase + 6;


idButtonHelp

Declaration

Source position: lcltype.pp line 1807

const idButtonHelp = idButtonBase + 3;


idButtonIgnore

Declaration

Source position: lcltype.pp line 1813

const idButtonIgnore = idButtonBase + 9;


idButtonNo

Declaration

Source position: lcltype.pp line 1809

const idButtonNo = idButtonBase + 5;


idButtonNoToAll

Declaration

Source position: lcltype.pp line 1816

const idButtonNoToAll = idButtonBase + 12;


idButtonOk

Declaration

Source position: lcltype.pp line 1805

const idButtonOk = idButtonBase + 1;


idButtonOpen

Declaration

Source position: lcltype.pp line 1817

const idButtonOpen = idButtonBase + 13;


idButtonRetry

Declaration

Source position: lcltype.pp line 1812

const idButtonRetry = idButtonBase + 8;


idButtonSave

Declaration

Source position: lcltype.pp line 1818

const idButtonSave = idButtonBase + 14;


idButtonShield

Declaration

Source position: lcltype.pp line 1819

const idButtonShield = idButtonBase + 15;


idButtonYes

Declaration

Source position: lcltype.pp line 1808

const idButtonYes = idButtonBase + 4;


idButtonYesToAll

Declaration

Source position: lcltype.pp line 1815

const idButtonYesToAll = idButtonBase + 11;


IDCANCEL

Declaration

Source position: lcltype.pp line 780

const IDCANCEL = 2;


IDCLOSE

Declaration

Source position: lcltype.pp line 786

const IDCLOSE = 8;


idDialogBase

Declaration

Source position: lcltype.pp line 1821

const idDialogBase = $FF;


idDialogConfirm

Declaration

Source position: lcltype.pp line 1825

const idDialogConfirm = idDialogBase + 4;


idDialogError

Declaration

Source position: lcltype.pp line 1823

const idDialogError = idDialogBase + 2;


idDialogInfo

Declaration

Source position: lcltype.pp line 1824

const idDialogInfo = idDialogBase + 3;


idDialogShield

Declaration

Source position: lcltype.pp line 1826

const idDialogShield = idDialogBase + 5;


idDialogWarning

Declaration

Source position: lcltype.pp line 1822

const idDialogWarning = idDialogBase + 1;


IDHELP

Declaration

Source position: lcltype.pp line 787

const IDHELP = 9;


IDIGNORE

Declaration

Source position: lcltype.pp line 783

const IDIGNORE = 5;


IDNO

Declaration

Source position: lcltype.pp line 785

const IDNO = 7;


IDOK

Declaration

Source position: lcltype.pp line 779

const IDOK = 1;


IDRETRY

Declaration

Source position: lcltype.pp line 782

const IDRETRY = 4;


IDYES

Declaration

Source position: lcltype.pp line 784

const IDYES = 6;


IMAGE_BITMAP

Declaration

Source position: lcltype.pp line 2243

const IMAGE_BITMAP = 0;


IMAGE_CURSOR

Declaration

Source position: lcltype.pp line 2245

const IMAGE_CURSOR = 2;


IMAGE_ENHMETAFILE

Declaration

Source position: lcltype.pp line 2246

const IMAGE_ENHMETAFILE = 3;


IMAGE_ICON

Declaration

Source position: lcltype.pp line 2244

const IMAGE_ICON = 1;


Reference for unit 'LCLType'

This unit is being created specifically for compatibility with Delphi. It should only be used for constants and type definitions that are included in the Delphi Windows unit. This is only done for compatibiltiy.

uses

  System,

  Classes,

  sysutils;


Reference for unit 'LCLType': Constants

ALTERNATE |
ANSI_CHARSET |
ANSI_FIXED_FONT |
ANSI_VAR_FONT |
ANTIALIASED_QUALITY |
ARABIC_CHARSET |
BALTIC_CHARSET |
BDR_INNER |
BDR_OUTER |
BDR_RAISED |
BDR_RAISEDINNER |
BDR_RAISEDOUTER |
BDR_SUNKEN |
BDR_SUNKENINNER |
BDR_SUNKENOUTER |
BF_ADJUST |
BF_BOTTOM |
BF_BOTTOMLEFT |
BF_BOTTOMRIGHT |
BF_DIAGONAL |
BF_DIAGONAL_ENDBOTTOMLEFT |
BF_DIAGONAL_ENDBOTTOMRIGHT |
BF_DIAGONAL_ENDTOPLEFT |
BF_DIAGONAL_ENDTOPRIGHT |
BF_FLAT |
BF_LEFT |
BF_MIDDLE |
BF_MONO |
BF_RECT |
BF_RIGHT |
BF_SOFT |
BF_TOP |
BF_TOPLEFT |
BF_TOPRIGHT |
BITSPIXEL | Number of bits per pixel
BI_BITFIELDS |
BI_RGB |
BI_RLE4 |
BI_RLE8 |
BKMODE_LAST |
BLACKNESS | Ternary raster operation (Dst op Src op Pattern): Fills the destination area with all black.
BLACKONWHITE |
BLACK_BRUSH |
BLACK_PEN |
BS_3STATE |
BS_AUTOCHECKBOX |
BS_DEFPUSHBUTTON |
BS_DIBPATTERN |
BS_DIBPATTERN8X8 |
BS_DIBPATTERNPT |
BS_GROUPBOX |
BS_HATCHED |
BS_HOLLOW |
BS_INDEXED |
BS_MONOPATTERN |
BS_NULL |
BS_OWNERDRAW |
BS_PATTERN |
BS_PATTERN8X8 |
BS_PUSHBUTTON |
BS_PUSHLIKE |
BS_RADIOBUTTON |
BS_RIGHTBUTTON
BS_SOLID |
CBM_INIT |
CBS_AUTOHSCROLL |
CBS_DROPDOWN |
CBS_DROPDOWNLIST |
CBS_HASSTRINGS |
CBS_OWNERDRAWFIXED |
CBS_OWNERDRAWVARIABLE |
CBS_SIMPLE |
CBS_SORT |
CCHDEVICENAME |
CCS_ADJUSTABLE |
CCS_BOTTOM |
CCS_LEFT |
CCS_NODIVIDER |
CCS_NOMOVEX |
CCS_NOMOVEY |
CCS_NOPARENTALIGN |
CCS_NORESIZE |
CCS_RIGHT |
CCS_TOP |
CCS_VERT |
CHINESEBIG5_CHARSET |
CLEARTYPE_NATURAL_QUALITY |
CLEARTYPE_QUALITY |
ClipboardTypeName |
CLIP_CHARACTER_PRECIS |
CLIP_DEFAULT_PRECIS |
CLIP_EMBEDDED |
CLIP_LH_ANGLES |
CLIP_MASK |
CLIP_STROKE_PRECIS |
CLIP_TT_ALWAYS |
CLR_DEFAULT |
CLR_INVALID |
CLR_NONE |
COLORONCOLOR |
COLOR_3DDKSHADOW |
COLOR_3DFACE |
COLOR_3DHIGHLIGHT |
COLOR_3DHILIGHT |
COLOR_3DLIGHT |
COLOR_3DSHADOW |
COLOR_ACTIVEBORDER |
COLOR_ACTIVECAPTION |
COLOR_APPWORKSPACE |
COLOR_BACKGROUND |
COLOR_BTNFACE |
COLOR_BTNHIGHLIGHT |
COLOR_BTNHILIGHT |
COLOR_BTNSHADOW |
COLOR_BTNTEXT |
COLOR_CAPTIONTEXT |
COLOR_DESKTOP |
COLOR_ENDCOLORS |
COLOR_FORM |
COLOR_GRADIENTACTIVECAPTION |
COLOR_GRADIENTINACTIVECAPTION |
COLOR_GRAYTEXT |
COLOR_HIGHLIGHT |
COLOR_HIGHLIGHTTEXT |
COLOR_HOTLIGHT |
COLOR_INACTIVEBORDER |
COLOR_INACTIVECAPTION |
COLOR_INACTIVECAPTIONTEXT |
COLOR_INFOBK |
COLOR_INFOTEXT |
COLOR_MENU |
COLOR_MENUBAR |
COLOR_MENUHILIGHT |
COLOR_MENUTEXT |
COLOR_SCROLLBAR |
COLOR_WINDOW |
COLOR_WINDOWFRAME |
COLOR_WINDOWTEXT |
ComplexRegion |
csArrow |
csBitBtn |
csButton |
csCalendar |
csCheckbox |
csCheckListBox |
csCListBox |
csColorDialog |
csComboBox |
csEdit |
csFileDialog |
csFixed |
csFontDialog |
csForm |
csGroupBox |
csHintWindow |
csListBox |
csListView |
csMainMenu |
csMemo |
csMenuBar |
csMenuItem |
csNone |
csNonLCL |
csNotebook |
csOpenFileDialog |
csPage |
csPairSplitter |
csPairSplitterSide |
csPanel |
csPopupMenu |
csPreviewFileControl |
csPreviewFileDialog |
csProgressBar |
csRadioButton |
csSaveFileDialog |
csScrollBar |
csScrollBox |
csScrolledWindow |
csSelectDirectoryDialog |
csSpinedit |
csStaticText |
csStatusBar |
csToggleBox |
csTrackBar |
csWinControl |
CS_HREDRAW |
CS_VREDRAW |
DC_BRUSH |
DC_PEN |
DefaultLogFont |
DEFAULT_CHARSET |
DEFAULT_GUI_FONT |
DEFAULT_PALETTE |
DEFAULT_PITCH |
DEFAULT_QUALITY |
DEVICE_DEFAULT_FONT |
DEVICE_FONTTYPE |
DFCS_ADJUSTRECT | DrawFrameControl button control style: exclude frame.
DFCS_BUTTON3STATE | DrawFrameControl button control style: three-state button.
DFCS_BUTTONCHECK | DrawFrameControl button control style: checkbox.
DFCS_BUTTONPUSH | DrawFrameControl button control style: push button.
DFCS_BUTTONRADIO | DrawFrameControl button control style: radio button.
DFCS_BUTTONRADIOIMAGE | DrawFrameControl button control style: radio button image.
DFCS_BUTTONRADIOMASK | DrawFrameControl button control style: radio button mask.
DFCS_CAPTIONCLOSE | DrawFrameControl caption control style: Close button.
DFCS_CAPTIONHELP | DrawFrameControl caption control style: Help button.
DFCS_CAPTIONMAX | DrawFrameControl caption control style: Maximize button.
DFCS_CAPTIONMIN | DrawFrameControl caption control style: Minimize button.
DFCS_CAPTIONRESTORE | DrawFrameControl caption control style: Restore button.
DFCS_CHECKED | DrawFrameControl button control state: button checked.
DFCS_FLAT | DrawFrameControl button control style: flat.
DFCS_HOT | DrawFrameControl scrollbar control state: button hot-tracked.
DFCS_INACTIVE | DrawFrameControl control state: inactive (grayed).
DFCS_MENUARROW | DrawFrameControl menubar control style: submenu arrow.
DFCS_MENUBULLET | DrawFrameControl menubar control style: bullet.
DFCS_MENUCHECK | DrawFrameControl menubar control style: check mark.
DFCS_MONO | DrawFrameControl button control style: monochrome border.
DFCS_PUSHED | DrawFrameControl button control state: button pushed.
DFCS_SCROLLCOMBOBOX | DrawFrameControl scrollbar control style: combobox scrollbar.
DFCS_SCROLLDOWN | DrawFrameControl scrollbar control style: down arrow.
DFCS_SCROLLLEFT | DrawFrameControl scrollbar control style: left arrow.
DFCS_SCROLLRIGHT | DrawFrameControl scrollbar control style: right arrow.
DFCS_SCROLLSIZEGRIP | DrawFrameControl scrollbar control style: size grip in the bottom-right window corner.
DFCS_SCROLLUP | DrawFrameControl scrollbar control style: up arrow.
DFCS_TRANSPARENT | DrawFrameControl control style: transparent (title bar...).
DFC_BUTTON | DrawFrameControl control type: button.
DFC_CAPTION | DrawFrameControl control type: title bar.
DFC_MENU | DrawFrameControl control type: menu bar.
DFC_SCROLL | DrawFrameControl control type: scroll bar.
DIB_PAL_COLORS |
DIB_RGB_COLORS |
DKGRAY_BRUSH |
DLGC_WANTALLKEYS |
DLGC_WANTARROWS |
DLGC_WANTCHARS |
DLGC_WANTTAB |
DRAFT_QUALITY |
DSTINVERT | Ternary raster operation (Dst op Src op Pattern): Fills the destination area with (not Dst)
DT_BOTTOM | DrawText formatting: text justified to the bottom of the rectangle.
DT_CALCRECT | DrawText formatting: returns the required rectangle, without actually drawing.
DT_CENTER | DrawText formatting: text centered horizontally within the rectangle.
DT_EDITCONTROL | DrawText formatting: emulate behaviour of a multiline EDIT control.
DT_END_ELLIPSIS | DrawText formatting: appends an ellipsis when the text is truncated.
DT_EXPANDTABS | DrawText formatting: expand tab characters.
DT_INTERNAL | DrawText formatting: uses the system font for calculations.
DT_LEFT | DrawText formatting: text justified to the left of the rectangle.
DT_MODIFYSTRING | DrawText formatting: update the string to match the displayed text (possibly truncated).
DT_NOCLIP | DrawText formatting: text is drawn without clipping.
DT_NOPREFIX | DrawText formatting: show embedded '&' characters.
DT_RIGHT | DrawText formatting: text justified to the right of the rectangle.
DT_RTLREADING | DrawText formatting: use right-to-left reading layout for bidirectional text.
DT_SINGLELINE | DrawText formatting: text is drawn in a single line, regardless of embedded line endings.
DT_TOP | DrawText formatting: text justified to the top of the rectangle.
DT_VCENTER | DrawText formatting: text centered vertically within the rectangle.
DT_WORDBREAK | DrawText formatting: text can wrap into multiple lines.
EASTEUROPE_CHARSET |
EDGE_BUMP |
EDGE_ETCHED |
EDGE_RAISED |
EDGE_SUNKEN |
Error |
ES_AUTOHSCROLL |
ES_AUTOVSCROLL |
ES_CENTER |
ES_LEFT |
ES_MULTILINE |
ES_NOHIDESEL |
ES_NUMBER
ES_READONLY |
ES_RIGHT |
ES_WANTRETURN |
ETO_CLIPPED | Clipped ExtTextOut mode, clipping the text at the rectangle boundaries.
ETO_OPAQUE | Opaque ExtTextOut mode, filling the rectangle with the background Color before painting the text.
ETO_RTLREADING
FCS_ISO_10646_1 |
FCS_ISO_8859_1 |
FCS_ISO_8859_10 |
FCS_ISO_8859_15 |
FCS_ISO_8859_2 |
FCS_ISO_8859_3 |
FCS_ISO_8859_4 |
FCS_ISO_8859_5 |
FCS_ISO_8859_6 |
FCS_ISO_8859_7 |
FCS_ISO_8859_8 |
FCS_ISO_8859_9 |
FF_DECORATIVE |
FF_DONTCARE |
FF_MODERN |
FF_ROMAN |
FF_SCRIPT |
FF_SWISS |
FIXED_PITCH |
FOUNDRYCHAR_CLOSE |
FOUNDRYCHAR_OPEN |
FS_ARABIC |
FS_BALTIC |
FS_CHINESESIMP |
FS_CHINESETRAD |
FS_CYRILLIC |
FS_GREEK |
FS_HEBREW |
FS_JISJAPAN |
FS_JOHAB |
FS_LATIN1 |
FS_LATIN2 |
FS_SYMBOL |
FS_THAI |
FS_TURKISH |
FS_VIETNAMESE |
FS_WANSUNG |
FW_BLACK |
FW_BOLD |
FW_DEMIBOLD |
FW_DONTCARE |
FW_EXTRABOLD |
FW_EXTRALIGHT |
FW_HEAVY |
FW_LIGHT |
FW_MEDIUM |
FW_NORMAL |
FW_REGULAR |
FW_SEMIBOLD |
FW_THIN |
FW_ULTRABOLD |
FW_ULTRALIGHT |
GB2312_CHARSET |
GCP_DBCS |
GRADIENT_FILL_RECT_H |
GRADIENT_FILL_RECT_V |
GRADIENT_FILL_TRIANGLE |
GRAY_BRUSH |
GREEK_CHARSET |
GWL_EXSTYLE |
GWL_HINSTANCE |
GWL_HWNDPARENT |
GWL_ID |
GWL_STYLE |
GWL_USERDATA |
GWL_WNDPROC |
HALFTONE |
HANGEUL_CHARSET |
HDN_FIRST |
HDN_LAST |
HEBREW_CHARSET |
HELPINFO_MENUITEM |
HELPINFO_WINDOW |
HELP_COMMAND |
HELP_CONTEXT |
HOLLOW_BRUSH |
HORZRES | Horizontal width in pixels
HORZSIZE | Horizontal size in millimeters
HS_BDIAGONAL |
HS_CROSS |
HS_DIAGCROSS |
HS_FDIAGONAL |
HS_HORIZONTAL |
HS_VERTICAL |
HTCAPTION | Hit test: caption background.
HTCLIENT | Hit test: client area.
HTERROR |
HTNOWHERE | Hit test: outside control.
HTTRANSPARENT | Hit test: transparent area
HWND_BOTTOM |
HWND_NOTOPMOST |
HWND_TOP |
HWND_TOPMOST |
IDABORT |
idButtonAbort |
idButtonAll |
idButtonBase |
idButtonCancel |
idButtonClose |
idButtonHelp |
idButtonIgnore |
idButtonNo |
idButtonNoToAll |
idButtonOk |
idButtonOpen |
idButtonRetry |
idButtonSave |
idButtonShield |
idButtonYes |
idButtonYesToAll |
IDCANCEL |
IDCLOSE |
idDialogBase |
idDialogConfirm |
idDialogError |
idDialogInfo |
idDialogShield |
idDialogWarning |
IDHELP |
IDIGNORE |
IDNO |
IDOK |
IDRETRY |
IDYES |
ID_ABORT |
ID_CANCEL |
ID_CLOSE |
ID_HELP |
ID_IGNORE |
ID_NO |
ID_OK |
ID_RETRY |
ID_YES |
IMAGE_BITMAP |
IMAGE_CURSOR |
IMAGE_ENHMETAFILE |
IMAGE_ICON |
INVALID_HANDLE_VALUE | Value representing an invalid (unassigned...) Handle.
JOHAB_CHARSET |
KF_ALTDOWN |
KF_DLGMODE |
KF_EXTENDED |
KF_MENUMODE |
KF_REPEAT |
KF_UP |
LBS_DISABLENOSCROLL |
LBS_EXTENDEDSEL |
LBS_HASSTRINGS |
LBS_MULTICOLUMN |
LBS_MULTIPLESEL |
LBS_NODATA |
LBS_NOINTEGRALHEIGHT |
LBS_NOREDRAW |
LBS_NOSEL |
LBS_NOTIFY |
LBS_OWNERDRAWFIXED |
LBS_OWNERDRAWVARIABLE |
LBS_SORT |
LBS_STANDARD |
LBS_USETABSTOPS |
LBS_WANTKEYBOARDINPUT |
LF_FACESIZE |
LF_FULLFACESIZE |
LOGPIXELSX | The number of pixels per logical inch, in X (horizontal) direction.
LOGPIXELSY | The number of pixels per logical inch, in Y (vertical) direction.
LR_COLOR |
LR_COPYDELETEORG |
LR_COPYFROMRESOURCE |
LR_COPYRETURNORG |
LR_CREATEDIBSECTION |
LR_DEFAULTCOLOR |
LR_DEFAULTSIZE |
LR_LOADFROMFILE |
LR_LOADMAP3DCOLORS |
LR_LOADTRANSPARENT |
LR_MONOCHROME |
LR_SHARED |
LR_VGACOLOR |
LTGRAY_BRUSH |
LVIF_IMAGE |
LVIF_INDENT |
LVIF_NORECOMPUTE |
LVIF_PARAM |
LVIF_STATE |
LVIF_TEXT |
LVIS_ACTIVATING |
LVIS_CUT |
LVIS_DROPHILITED |
LVIS_FOCUSED |
LVIS_OVERLAYMASK |
LVIS_SELECTED |
LVIS_STATEIMAGEMASK |
LVN_BEGINDRAG |
LVN_BEGINLABELEDIT
LVN_BEGINRDRAG |
LVN_BEGINSCROLL
LVN_COLUMNCLICK |
LVN_DELETEALLITEMS |
LVN_DELETEITEM |
LVN_ENDLABELEDIT
LVN_ENDSCROLL
LVN_FIRST |
LVN_GETDISPINFO
LVN_GETINFOTIP
LVN_HOTTRACK
LVN_INCREMENTALSEARCH
LVN_INSERTITEM |
LVN_ITEMACTIVATE
LVN_ITEMCHANGED |
LVN_ITEMCHANGING |
LVN_KEYDOWN
LVN_LAST |
LVN_MARQUEEBEGIN
LVN_ODCACHEHINT
LVN_ODFINDITEM
LVN_ODSTATECHANGED
LVN_SETDISPINFO
MAC_CHARSET |
MAXBYTE | Maximal value of the WinAPI BYTE type ($FF).
MAXCHAR | Maximal value of the WinAPI CHAR type ($7F).
MAXDWORD | Maximal value of the WinAPI DWORD type ($FFFF FFFF).
MAXLONG | Maximal value of the WinAPI LONG type ($7FFF FFFF).
MAXSHORT | Maximal value of the WinAPI SHORT type ($7FFF).
MAXSTRETCHBLTMODE |
MAXWORD | Maximal value of the WinAPI WORD type ($FFFF).
MAX_SYS_COLORS |
MB_ABORTRETRYIGNORE |
MB_CANCELTRYCONTINUE
MB_DEFBUTTON1 |
MB_DEFBUTTON2 |
MB_DEFBUTTON3 |
MB_DEFBUTTON4 |
MB_HELP
MB_ICONASTERISK
MB_ICONERROR |
MB_ICONEXCLAMATION |
MB_ICONHAND |
MB_ICONINFORMATION |
MB_ICONQUESTION |
MB_ICONSTOP |
MB_ICONWARNING |
MB_OK |
MB_OKCANCEL |
MB_RETRYCANCEL |
MB_YESNO |
MB_YESNOCANCEL |
MERGECOPY | Ternary raster operation (Dst op Src op Pattern): Fills the destination area with (Src and Pattern)
MERGEPAINT | Ternary raster operation (Dst op Src op Pattern): Fills the destination area with (Dst or not Src)
MF_BITMAP |
MF_BYCOMMAND | Find menu item by command ID.
MF_BYHANDLE |
MF_BYPOSITION | Find menu item by position number.
MF_CHECKED |
MF_DEFAULT |
MF_DISABLED |
MF_ENABLED |
MF_GRAYED |
MF_HELP |
MF_HILITE |
MF_MENUBARBREAK |
MF_MENUBREAK |
MF_MOUSESELECT |
MF_OWNERDRAW |
MF_POPUP |
MF_RIGHTJUSTIFY |
MF_SEPARATOR |
MF_STRING |
MF_SYSMENU |
MF_UNCHECKED |
MF_UNHILITE |
MF_UNSUPPORTED |
MF_USECHECKBITMAPS |
MINCHAR | Minimal value of the WinAPI CHAR type ($80).
MINLONG | Minimal value of the WinAPI LONG type ($8000 0000).
MINSHORT | Minimal value of the WinAPI SHORT type ($8000).
MK_ALT
MK_CONTROL | A key state constant to represent the control key, equivalent to ssCtrl from TShiftState
MK_DOUBLECLICK
MK_LBUTTON | A key state constant to represent the left mouse button, equivalent to ssLeft from TShiftState
MK_MBUTTON | A key state constant to represent the middle mouse button, equivalent to ssMiddle from TShiftState
MK_QUADCLICK
MK_RBUTTON | A key state constant to represent the right mouse button, equivalent to ssRight from TShiftState
MK_SHIFT | A key state constant to represent the shift key, equivalent to ssShift from TShiftState
MK_TRIPLECLICK
MK_XBUTTON1 | A key state constant to represent the first extra mouse button, equivalent to ssExtra1 from TShiftState
MK_XBUTTON2 | A key state constant to represent the second extra mouse button, equivalent to ssExtra2 from TShiftState
MM_ANISOTROPIC |
MM_HIENGLISH |
MM_HIMETRIC |
MM_ISOTROPIC |
MM_LOENGLISH |
MM_LOMETRIC |
MM_TEXT |
MM_TWIPS |
MONITORINFOF_PRIMARY |
MONITOR_DEFAULTTONEAREST |
MONITOR_DEFAULTTONULL |
MONITOR_DEFAULTTOPRIMARY |
MONITOR_UNIMPL |
MONO_FONT |
Move_Default |
Move_SourceIsInterface |
MSGF_DIALOGBOX |
MSGF_MENU |
MSGF_MESSAGEBOX |
MSGF_MOVE |
MSGF_NEXTWINDOW |
MSGF_SCROLLBAR |
MSGF_SIZE |
NM_CHAR |
NM_CLICK |
NM_CUSTOMDRAW |
NM_DBLCLK |
NM_FIRST |
NM_HOVER |
NM_KEYDOWN |
NM_KILLFOCUS |
NM_LAST |
NM_NCHITTEST |
NM_OUTOFMEMORY |
NM_RCLICK |
NM_RDBLCLK |
NM_RELEASEDCAPTURE |
NM_RETURN |
NM_SETCURSOR |
NM_SETFOCUS |
NONANTIALIASED_QUALITY |
NOTSRCCOPY | Ternary raster operation (Dst op Src op Pattern): Fills the destination area with (not Src)
NOTSRCERASE | Ternary raster operation (Dst op Src op Pattern): Fills the destination area with (not (Dst or Src))
NullRegion |
NULL_BRUSH |
NULL_PEN |
NUMCOLORS
NUMRESERVED | Number of reserved entries in the color palette
OBJ_BITMAP |
OBJ_BRUSH |
OBJ_COLORSPACE |
OBJ_DC |
OBJ_ENHMETADC |
OBJ_ENHMETAFILE |
OBJ_EXTPEN |
OBJ_FONT |
OBJ_MEMDC |
OBJ_METADC |
OBJ_METAFILE |
OBJ_PAL |
OBJ_PEN |
OBJ_REGION |
ODA_DRAWENTIRE |
ODA_FOCUS |
ODA_SELECT |
ODS_CHECKED |
ODS_COMBOBOXEDIT |
ODS_DEFAULT |
ODS_DISABLED |
ODS_FOCUS |
ODS_GRAYED |
ODS_HOTLIGHT |
ODS_INACTIVE |
ODS_NOACCEL |
ODS_NOFOCUSRECT |
ODS_SELECTED |
ODT_BUTTON |
ODT_COMBOBOX |
ODT_HEADER |
ODT_LISTBOX |
ODT_LISTVIEW |
ODT_MENU |
ODT_STATIC |
ODT_TAB |
OEM_CHARSET |
OEM_FIXED_FONT |
OPAQUE |
OUT_CHARACTER_PRECIS |
OUT_DEFAULT_PRECIS |
OUT_DEVICE_PRECIS |
OUT_OUTLINE_PRECIS |
OUT_RASTER_PRECIS |
OUT_SCREEN_OUTLINE_PRECIS |
OUT_STRING_PRECIS |
OUT_STROKE_PRECIS |
OUT_TT_ONLY_PRECIS |
OUT_TT_PRECIS |
PATCOPY | Ternary raster operation (Dst op Src op Pattern): Fills the destination area with (Pattern)
PATINVERT | Ternary raster operation (Dst op Src op Pattern): Fills the destination area with (Dst xor Pattern)
PATPAINT | Ternary raster operation (Dst op Src op Pattern): Fills the destination area with (Dst or (not Src) or Pattern)
PLANES | Number of color planes.
PM_Noremove | PeekMessage flag: don't remove peeked message.
PM_Remove | PeekMessage flag: remove peeked message.
POLYFILL_LAST |
PredefinedClipboardMimeTypes |
PROOF_QUALITY |
PS_ALTERNATE |
PS_COSMETIC |
PS_DASH |
PS_DASHDOT |
PS_DASHDOTDOT |
PS_DOT |
PS_ENDCAP_FLAT |
PS_ENDCAP_MASK |
PS_ENDCAP_ROUND |
PS_ENDCAP_SQUARE |
PS_GEOMETRIC |
PS_INSIDEFRAME |
PS_JOIN_BEVEL |
PS_JOIN_MASK |
PS_JOIN_MITER |
PS_JOIN_ROUND |
PS_NULL |
PS_SOLID |
PS_STYLE_MASK |
PS_TYPE_MASK |
PS_USERSTYLE |
R2_BLACK | Binary raster operation (Dst op Pen): all black.
R2_COPYPEN | Binary raster operation (Dst op Pen): Pen.
R2_LAST | Highest binary raster operation code.
R2_MASKNOTPEN | Binary raster operation (Dst op Pen): Dst and not Pen.
R2_MASKPEN | Binary raster operation (Dst op Pen): Dst and Pen.
R2_MASKPENNOT | Binary raster operation (Dst op Pen): (not Dst) and Pen.
R2_MERGENOTPEN | Binary raster operation (Dst op Pen): Dst or not Pen.
R2_MERGEPEN | Binary raster operation (Dst op Pen): Dst or Pen.
R2_MERGEPENNOT | Binary raster operation (Dst op Pen): (not Dst) or Pen.
R2_NOP | Binary raster operation (Dst op Pen): Dst.
R2_NOT | Binary raster operation (Dst op Pen): not Dst.
R2_NOTCOPYPEN | Binary raster operation (Dst op Pen): not Pen.
R2_NOTMASKPEN | Binary raster operation (Dst op Pen): not (Dst and Pen).
R2_NOTMERGEPEN | Binary raster operation (Dst op Pen): not (Dst or Pen).
R2_NOTXORPEN | Binary raster operation (Dst op Pen): not (Dst xor Pen).
R2_WHITE | Binary raster operation (Dst op Pen): all white.
R2_XORPEN | Binary raster operation (Dst op Pen): Dst xor Pen.
RASTER_FONTTYPE |
RDW_ALLCHILDREN |
RDW_ERASE |
RDW_ERASENOW |
RDW_FRAME |
RDW_INTERNALPAINT |
RDW_INVALIDATE |
RDW_NOCHILDREN |
RDW_NOERASE |
RDW_NOFRAME |
RDW_NOINTERNALPAINT |
RDW_UPDATENOW |
RDW_VALIDATE |
Region_Error |
RGN_AND | CombineRgn mode: intersection (r1 AND r2).
RGN_COPY | CombineRgn mode: copy of r1.
RGN_DIFF | CombineRgn mode: arithmetic difference (r1 - r2).
RGN_OR | CombineRgn mode: union (r1 OR r2).
RGN_XOR | CombineRgn mode: logical difference (r1 XOR r2).
RT_ACCELERATOR |
RT_ANICURSOR |
RT_ANIICON |
RT_BITMAP |
RT_CURSOR |
RT_DIALOG |
RT_FONT |
RT_FONTDIR |
RT_GROUP_CURSOR |
RT_GROUP_ICON |
RT_HTML |
RT_ICON |
RT_MANIFEST |
RT_MENU |
RT_MESSAGETABLE |
RT_RCDATA |
RT_STRING |
RT_VERSION |
RUSSIAN_CHARSET |
SBS_BOTTOMALIGN |
SBS_HORZ |
SBS_LEFTALIGN |
SBS_RIGHTALIGN |
SBS_SIZEBOX |
SBS_SIZEBOXBOTTOMRIGHTALIGN |
SBS_SIZEBOXTOPLEFTALIGN |
SBS_SIZEGRIP |
SBS_TOPALIGN |
SBS_VERT |
SB_BOTH |
SB_BOTTOM |
SB_CTL |
SB_ENDSCROLL |
SB_Horz |
SB_LEFT |
SB_LINEDOWN |
SB_LINELEFT |
SB_LINERIGHT |
SB_LINEUP |
SB_PAGEDOWN |
SB_PAGELEFT |
SB_PAGERIGHT |
SB_PAGEUP |
SB_POLICY_CONTINUOUS |
SB_POLICY_DELAYED |
SB_POLICY_DISCONTINUOUS |
SB_RIGHT |
SB_THUMBPOSITION |
SB_THUMBTRACK |
SB_TOP |
SB_Vert |
scMeta |
SHIFTJIS_CHARSET |
SIF_ALL | Request all scrollbar properties.
SIF_DISABLENOSCROLL | Disable the scrollbar if not needed.
SIF_PAGE | Request for the scrollbar page size.
SIF_POS | Request for the scrollbar position.
SIF_RANGE | Request for the scrollbar range.
SIF_TRACKPOS | Request for the scrollbar tracking position.
SIF_UPDATEPOLICY |
SimpleRegion |
SIZEFULLSCREEN |
SIZEICONIC |
SIZENORMAL |
SIZEPALETTE | Number of entries in the color palette
SIZEZOOMHIDE |
SIZEZOOMSHOW |
SIZE_FULLSCREEN
SIZE_MAXHIDE |
SIZE_MAXIMIZED |
SIZE_MAXSHOW |
SIZE_MINIMIZED |
SIZE_RESTORED |
Size_SourceIsInterface |
SM_ARRANGE |
SM_CLEANBOOT |
SM_CMETRICS |
SM_CMONITORS |
SM_CMOUSEBUTTONS |
SM_CXBORDER |
SM_CXCURSOR |
SM_CXDLGFRAME |
SM_CXDOUBLECLK |
SM_CXDRAG |
SM_CXEDGE |
SM_CXFIXEDFRAME |
SM_CXFRAME |
SM_CXFULLSCREEN |
SM_CXHSCROLL |
SM_CXHTHUMB |
SM_CXICON |
SM_CXICONSPACING |
SM_CXMAXIMIZED |
SM_CXMAXTRACK |
SM_CXMENUCHECK |
SM_CXMENUSIZE |
SM_CXMIN |
SM_CXMINIMIZED |
SM_CXMINSPACING |
SM_CXMINTRACK |
SM_CXSCREEN |
SM_CXSIZE |
SM_CXSIZEFRAME |
SM_CXSMICON |
SM_CXSMSIZE |
SM_CXVIRTUALSCREEN |
SM_CXVSCROLL |
SM_CYBORDER |
SM_CYCAPTION |
SM_CYCURSOR |
SM_CYDLGFRAME |
SM_CYDOUBLECLK |
SM_CYDRAG |
SM_CYEDGE |
SM_CYFIXEDFRAME |
SM_CYFRAME |
SM_CYFULLSCREEN |
SM_CYHSCROLL |
SM_CYICON |
SM_CYICONSPACING |
SM_CYKANJIWINDOW |
SM_CYMAXIMIZED |
SM_CYMAXTRACK |
SM_CYMENU |
SM_CYMENUCHECK |
SM_CYMENUSIZE |
SM_CYMIN |
SM_CYMINIMIZED |
SM_CYMINSPACING |
SM_CYMINTRACK |
SM_CYSCREEN |
SM_CYSIZE |
SM_CYSIZEFRAME |
SM_CYSMCAPTION |
SM_CYSMICON |
SM_CYSMSIZE |
SM_CYVIRTUALSCREEN |
SM_CYVSCROLL |
SM_CYVTHUMB |
SM_DBCSENABLED |
SM_DEBUG |
SM_LCLHasFormAlphaBlend
SM_LCLMAXIMIZEDHEIGHT
SM_LCLMAXIMIZEDWIDTH
SM_MENUDROPALIGNMENT |
SM_MIDEASTENABLED |
SM_MOUSEPRESENT |
SM_MOUSEWHEELPRESENT |
SM_NETWORK |
SM_PENWINDOWS |
SM_REMOTESESSION
SM_RESERVED1 |
SM_RESERVED2 |
SM_RESERVED3 |
SM_RESERVED4 |
SM_SAMEDISPLAYFORMAT |
SM_SECURE |
SM_SHOWSOUNDS |
SM_SLOWMACHINE |
SM_SWAPBUTTON |
SM_SWSCROLLBARSPACING |
SM_XVIRTUALSCREEN |
SM_YVIRTUALSCREEN |
SPI_GETACCESSTIMEOUT |
SPI_GETACTIVEWINDOWTRACKING |
SPI_GETACTIVEWNDTRKTIMEOUT |
SPI_GETACTIVEWNDTRKZORDER |
SPI_GETANIMATION |
SPI_GETBEEP |
SPI_GETBLOCKSENDINPUTRESETS |
SPI_GETBORDER |
SPI_GETCARETWIDTH |
SPI_GETCOMBOBOXANIMATION |
SPI_GETCURSORSHADOW |
SPI_GETDEFAULTINPUTLANG |
SPI_GETDESKWALLPAPER |
SPI_GETDRAGFULLWINDOWS |
SPI_GETDROPSHADOW |
SPI_GETFASTTASKSWITCH |
SPI_GETFILTERKEYS |
SPI_GETFLATMENU |
SPI_GETFOCUSBORDERHEIGHT |
SPI_GETFOCUSBORDERWIDTH |
SPI_GETFONTSMOOTHING |
SPI_GETFONTSMOOTHINGCONTRAST |
SPI_GETFONTSMOOTHINGORIENTATION |
SPI_GETFONTSMOOTHINGTYPE |
SPI_GETFOREGROUNDFLASHCOUNT |
SPI_GETFOREGROUNDLOCKTIMEOUT |
SPI_GETGRADIENTCAPTIONS |
SPI_GETGRIDGRANULARITY |
SPI_GETHIGHCONTRAST |
SPI_GETHOTTRACKING |
SPI_GETICONMETRICS |
SPI_GETICONTITLELOGFONT |
SPI_GETICONTITLEWRAP |
SPI_GETKEYBOARDCUES |
SPI_GETKEYBOARDDELAY |
SPI_GETKEYBOARDPREF |
SPI_GETKEYBOARDSPEED |
SPI_GETLISTBOXSMOOTHSCROLLING |
SPI_GETLOWPOWERACTIVE |
SPI_GETLOWPOWERTIMEOUT |
SPI_GETMENUANIMATION |
SPI_GETMENUDROPALIGNMENT |
SPI_GETMENUFADE |
SPI_GETMENUSHOWDELAY |
SPI_GETMENUUNDERLINES |
SPI_GETMINIMIZEDMETRICS |
SPI_GETMOUSE |
SPI_GETMOUSECLICKLOCK |
SPI_GETMOUSECLICKLOCKTIME |
SPI_GETMOUSEHOVERHEIGHT |
SPI_GETMOUSEHOVERTIME |
SPI_GETMOUSEHOVERWIDTH |
SPI_GETMOUSEKEYS |
SPI_GETMOUSESONAR |
SPI_GETMOUSESPEED |
SPI_GETMOUSETRAILS |
SPI_GETMOUSEVANISH |
SPI_GETNONCLIENTMETRICS |
SPI_GETPOWEROFFACTIVE |
SPI_GETPOWEROFFTIMEOUT |
SPI_GETSCREENREADER |
SPI_GETSCREENSAVEACTIVE |
SPI_GETSCREENSAVERRUNNING |
SPI_GETSCREENSAVETIMEOUT |
SPI_GETSELECTIONFADE |
SPI_GETSERIALKEYS |
SPI_GETSHOWIMEUI |
SPI_GETSHOWSOUNDS |
SPI_GETSNAPTODEFBUTTON |
SPI_GETSOUNDSENTRY |
SPI_GETSTICKYKEYS |
SPI_GETTOGGLEKEYS |
SPI_GETTOOLTIPANIMATION |
SPI_GETTOOLTIPFADE |
SPI_GETUIEFFECTS |
SPI_GETWHEELSCROLLLINES |
SPI_GETWINDOWSEXTENSION |
SPI_GETWORKAREA |
SPI_ICONHORIZONTALSPACING |
SPI_ICONVERTICALSPACING |
SPI_LANGDRIVER |
SPI_SCREENSAVERRUNNING |
SPI_SETACCESSTIMEOUT |
SPI_SETACTIVEWINDOWTRACKING |
SPI_SETACTIVEWNDTRKTIMEOUT |
SPI_SETACTIVEWNDTRKZORDER |
SPI_SETANIMATION |
SPI_SETBEEP |
SPI_SETBLOCKSENDINPUTRESETS |
SPI_SETBORDER |
SPI_SETCARETWIDTH |
SPI_SETCOMBOBOXANIMATION |
SPI_SETCURSORS |
SPI_SETCURSORSHADOW |
SPI_SETDEFAULTINPUTLANG |
SPI_SETDESKPATTERN |
SPI_SETDESKWALLPAPER |
SPI_SETDOUBLECLICKTIME |
SPI_SETDOUBLECLKHEIGHT |
SPI_SETDOUBLECLKWIDTH |
SPI_SETDRAGFULLWINDOWS |
SPI_SETDRAGHEIGHT |
SPI_SETDRAGWIDTH |
SPI_SETDROPSHADOW |
SPI_SETFASTTASKSWITCH |
SPI_SETFILTERKEYS |
SPI_SETFLATMENU |
SPI_SETFOCUSBORDERHEIGHT |
SPI_SETFOCUSBORDERWIDTH |
SPI_SETFONTSMOOTHING |
SPI_SETFONTSMOOTHINGCONTRAST |
SPI_SETFONTSMOOTHINGORIENTATION |
SPI_SETFONTSMOOTHINGTYPE |
SPI_SETFOREGROUNDFLASHCOUNT |
SPI_SETFOREGROUNDLOCKTIMEOUT |
SPI_SETGRADIENTCAPTIONS |
SPI_SETGRIDGRANULARITY |
SPI_SETHANDHELD |
SPI_SETHIGHCONTRAST |
SPI_SETHOTTRACKING |
SPI_SETICONMETRICS |
SPI_SETICONS |
SPI_SETICONTITLELOGFONT |
SPI_SETICONTITLEWRAP |
SPI_SETKEYBOARDCUES |
SPI_SETKEYBOARDDELAY |
SPI_SETKEYBOARDPREF |
SPI_SETKEYBOARDSPEED |
SPI_SETLANGTOGGLE |
SPI_SETLISTBOXSMOOTHSCROLLING |
SPI_SETLOWPOWERACTIVE |
SPI_SETLOWPOWERTIMEOUT |
SPI_SETMENUANIMATION |
SPI_SETMENUDROPALIGNMENT |
SPI_SETMENUFADE |
SPI_SETMENUSHOWDELAY |
SPI_SETMENUUNDERLINES |
SPI_SETMINIMIZEDMETRICS |
SPI_SETMOUSE |
SPI_SETMOUSEBUTTONSWAP |
SPI_SETMOUSECLICKLOCK |
SPI_SETMOUSECLICKLOCKTIME |
SPI_SETMOUSEHOVERHEIGHT |
SPI_SETMOUSEHOVERTIME |
SPI_SETMOUSEHOVERWIDTH |
SPI_SETMOUSEKEYS |
SPI_SETMOUSESONAR |
SPI_SETMOUSESPEED |
SPI_SETMOUSETRAILS |
SPI_SETMOUSEVANISH |
SPI_SETNONCLIENTMETRICS |
SPI_SETPENWINDOWS |
SPI_SETPOWEROFFACTIVE |
SPI_SETPOWEROFFTIMEOUT |
SPI_SETSCREENREADER |
SPI_SETSCREENSAVEACTIVE |
SPI_SETSCREENSAVERRUNNING |
SPI_SETSCREENSAVETIMEOUT |
SPI_SETSELECTIONFADE |
SPI_SETSERIALKEYS |
SPI_SETSHOWIMEUI |
SPI_SETSHOWSOUNDS |
SPI_SETSNAPTODEFBUTTON |
SPI_SETSOUNDSENTRY |
SPI_SETSTICKYKEYS |
SPI_SETTOGGLEKEYS |
SPI_SETTOOLTIPANIMATION |
SPI_SETTOOLTIPFADE |
SPI_SETUIEFFECTS |
SPI_SETWHEELSCROLLLINES |
SPI_SETWORKAREA |
SRCAND | Ternary raster operation (Dst op Src op Pattern): Fills the destination area with (Dst and Src)
SRCCOPY | Ternary raster operation (Dst op Src op Pattern): Fills the destination area with Src.
SRCERASE | Ternary raster operation (Dst op Src op Pattern): Fills the destination area with ((not Dst) and Src)
SRCINVERT | Ternary raster operation (Dst op Src op Pattern): Fills the destination area with (Dst xor Src)
SRCPAINT | Ternary raster operation (Dst op Src op Pattern): Fills the destination area with (Dst or Src)
STOCK_LAST |
SWP_ASYNCWINDOWPOS |
SWP_DEFERERASE |
SWP_DRAWFRAME |
SWP_FRAMECHANGED |
SWP_HIDEWINDOW |
SWP_NOACTIVATE |
SWP_NOCOPYBITS |
SWP_NOMOVE |
SWP_NOOWNERZORDER |
SWP_NOREDRAW |
SWP_NOREPOSITION |
SWP_NOSENDCHANGING |
SWP_NOSIZE |
SWP_NOZORDER |
SWP_SHOWWINDOW |
SWP_SourceIsInterface |
SWP_STATECHANGED |
SW_ERASE |
SW_HIDE |
SW_INVALIDATE |
SW_MAX |
SW_MAXIMIZE |
SW_MINIMIZE |
SW_NORMAL |
SW_RESTORE |
SW_SCROLLCHILDREN |
SW_SHOW |
SW_SHOWDEFAULT |
SW_SHOWFULLSCREEN |
SW_SHOWMAXIMIZED |
SW_SHOWMINIMIZED |
SW_SHOWMINNOACTIVE |
SW_SHOWNA |
SW_SHOWNOACTIVATE |
SW_SHOWNORMAL |
SW_SMOOTHSCROLL |
SYMBOL_CHARSET |
SYSTEM_FIXED_FONT |
SYSTEM_FONT |
SYS_COLOR_BASE |
TA_BASELINE |
TA_BOTTOM |
TA_CENTER |
TA_LEFT |
TA_MASK |
TA_NOUPDATECP |
TA_RIGHT |
TA_RTLREADING |
TA_TOP |
TA_UPDATECP |
TBN_First |
TBN_Last |
TCN_FIRST |
TCN_LAST |
THAI_CHARSET |
TRANSPARENT |
TRUETYPE_FONTTYPE |
TTN_FIRST |
TTN_LAST |
TURKISH_CHARSET |
TVN_FIRST |
TVN_LAST |
VARIABLE_PITCH |
VERTRES | Vertical height in pixels
VERTSIZE | Vertical size in millimeters.
VIETNAMESE_CHARSET |
VK_0 |
VK_1 |
VK_2 |
VK_3 |
VK_4 |
VK_5 |
VK_6 |
VK_7 |
VK_8 |
VK_9 |
VK_A |
VK_ACCEPT |
VK_ADD |
VK_APPS |
VK_ATTN |
VK_B |
VK_BACK |
VK_BROWSER_BACK |
VK_BROWSER_FAVORITES |
VK_BROWSER_FORWARD |
VK_BROWSER_HOME |
VK_BROWSER_REFRESH |
VK_BROWSER_SEARCH |
VK_BROWSER_STOP |
VK_C |
VK_CANCEL |
VK_CAPITAL |
VK_CLEAR |
VK_CONTROL |
VK_CONVERT |
VK_CRSEL |
VK_D |
VK_DECIMAL |
VK_DELETE |
VK_DIVIDE |
VK_DOWN |
VK_E |
VK_END |
VK_EREOF |
VK_ESCAPE |
VK_EXECUTE |
VK_EXSEL |
VK_F |
VK_F1 |
VK_F10 |
VK_F11 |
VK_F12 |
VK_F13 |
VK_F14 |
VK_F15 |
VK_F16 |
VK_F17 |
VK_F18 |
VK_F19 |
VK_F2 |
VK_F20 |
VK_F21 |
VK_F22 |
VK_F23 |
VK_F24 |
VK_F3 |
VK_F4 |
VK_F5 |
VK_F6 |
VK_F7 |
VK_F8 |
VK_F9 |
VK_FINAL |
VK_G |
VK_H |
VK_HANGUL |
VK_HANJA |
VK_HELP |
VK_HIGHESTVALUE |
VK_HOME |
VK_I |
VK_INSERT |
VK_J |
VK_JUNJA |
VK_K |
VK_KANA |
VK_KANJI |
VK_L |
VK_LAUNCH_APP1 |
VK_LAUNCH_APP2 |
VK_LAUNCH_MAIL |
VK_LAUNCH_MEDIA_SELECT |
VK_LBUTTON |
VK_LCL_ALT
VK_LCL_AT
VK_LCL_BACKSLASH
VK_LCL_CALL
VK_LCL_CAPSLOCK
VK_LCL_CLOSE_BRAKET
VK_LCL_COMMA
VK_LCL_ENDCALL
VK_LCL_EQUAL
VK_LCL_LALT
VK_LCL_MINUS
VK_LCL_OPEN_BRAKET
VK_LCL_POINT
VK_LCL_POWER
VK_LCL_QUOTE
VK_LCL_RALT
VK_LCL_SEMI_COMMA
VK_LCL_SLASH
VK_LCL_TILDE
VK_LCONTROL |
VK_LEFT |
VK_LMENU |
VK_LSHIFT |
VK_LWIN |
VK_M |
VK_MBUTTON |
VK_MEDIA_NEXT_TRACK |
VK_MEDIA_PLAY_PAUSE |
VK_MEDIA_PREV_TRACK |
VK_MEDIA_STOP |
VK_MENU |
VK_MODECHANGE |
VK_MULTIPLY |
VK_N |
VK_NEXT |
VK_NONAME |
VK_NONCONVERT |
VK_NUMLOCK |
VK_NUMPAD0 |
VK_NUMPAD1 |
VK_NUMPAD2 |
VK_NUMPAD3 |
VK_NUMPAD4 |
VK_NUMPAD5 |
VK_NUMPAD6 |
VK_NUMPAD7 |
VK_NUMPAD8 |
VK_NUMPAD9 |
VK_O |
VK_OEM_1 |
VK_OEM_102 |
VK_OEM_2 |
VK_OEM_3 |
VK_OEM_4 |
VK_OEM_5 |
VK_OEM_6 |
VK_OEM_7 |
VK_OEM_8 |
VK_OEM_CLEAR |
VK_OEM_COMMA |
VK_OEM_MINUS |
VK_OEM_PERIOD |
VK_OEM_PLUS |
VK_P |
VK_PA1 |
VK_PAUSE |
VK_PLAY |
VK_PRINT |
VK_PRIOR |
VK_PROCESSKEY |
VK_Q |
VK_R |
VK_RBUTTON |
VK_RCONTROL |
VK_RETURN |
VK_RIGHT |
VK_RMENU |
VK_RSHIFT |
VK_RWIN |
VK_S |
VK_SCROLL |
VK_SELECT |
VK_SEPARATOR |
VK_SHIFT |
VK_SLEEP |
VK_SNAPSHOT |
VK_SPACE |
VK_SUBTRACT |
VK_T |
VK_TAB |
VK_U |
VK_UNDEFINED |
VK_UNKNOWN |
VK_UP |
VK_V |
VK_VOLUME_DOWN |
VK_VOLUME_MUTE |
VK_VOLUME_UP |
VK_W |
VK_X |
VK_XBUTTON1 |
VK_XBUTTON2 |
VK_Y |
VK_Z |
VK_ZOOM |
WHITENESS | Ternary raster operation (Dst op Src op Pattern): Fills the destination area with all white.
WHITEONBLACK |
WHITE_BRUSH |
WHITE_PEN |
WINDING |
WS_BORDER |
WS_CAPTION |
WS_CHILD |
WS_CHILDWINDOW |
WS_CLIPCHILDREN |
WS_CLIPSIBLINGS |
WS_DISABLED |
WS_DLGFRAME |
WS_EX_ACCEPTFILES |
WS_EX_APPWINDOW |
WS_EX_CLIENTEDGE |
WS_EX_CONTEXTHELP |
WS_EX_CONTROLPARENT |
WS_EX_DLGMODALFRAME |
WS_EX_LEFT |
WS_EX_LEFTSCROLLBAR |
WS_EX_LTRREADING |
WS_EX_MDICHILD |
WS_EX_NOPARENTNOTIFY |
WS_EX_OVERLAPPEDWINDOW |
WS_EX_PALETTEWINDOW |
WS_EX_RIGHT |
WS_EX_RIGHTSCROLLBAR |
WS_EX_RTLREADING |
WS_EX_STATICEDGE |
WS_EX_TOOLWINDOW |
WS_EX_TOPMOST |
WS_EX_TRANSPARENT |
WS_EX_WINDOWEDGE |
WS_GROUP |
WS_HSCROLL |
WS_ICONIC |
WS_MAXIMIZE |
WS_MAXIMIZEBOX |
WS_MINIMIZE |
WS_MINIMIZEBOX |
WS_OVERLAPPED |
WS_OVERLAPPEDWINDOW |
WS_POPUP |
WS_POPUPWINDOW |
WS_SIZEBOX |
WS_SYSMENU |
WS_TABSTOP |
WS_THICKFRAME |
WS_TILED |
WS_TILEDWINDOW |
WS_VISIBLE |
WS_VSCROLL |
XLFD_AVG_WIDTH |
XLFD_CHARSET_COD |
XLFD_CHARSET_REG |
XLFD_FAMILY |
XLFD_FONTNAME_REG |
XLFD_FOUNDRY |
XLFD_PIXELSIZE |
XLFD_POINTSIZE |
XLFD_RESX |
XLFD_RESY |
XLFD_SLANT |
XLFD_SPACING |
XLFD_STYLENAME |
XLFD_WEIGHTNAME |
XLFD_WIDTHNAME |


Reference for unit 'LCLType': Types

BITMAP |
BITMAPCOREHEADER |
BITMAPCOREINFO |
BITMAPFILEHEADER |
BITMAPINFO |
BITMAPINFOHEADER |
Bool | A LongBool, distinct from the Boolean type.
COLORREF |
DIBSECTION |
DrawItemStruct |
ENUMLOGFONT |
ENUMLOGFONTA |
ENUMLOGFONTEX |
ENUMLOGFONTEXA |
ENUMLOGFONTEXW |
ENUMLOGFONTW |
EXTLOGPEN |
FontEnumExProc |
FontEnumProc |
GRADIENTRECT |
GRADIENTTRIANGLE |
HANDLE
HBITMAP | The type of a Bitmap Handle.
HBRUSH | The type of a painting Brush Handle.
HCURSOR | The type of a mouse Cursor Handle.
HDC | The type of a Device Context Handle.
HFONT | The type of a Font Handle.
HGDIOBJ | The type of a general GraphicsDeviceInterface Object Handle.
HGLOBAL | The type of a Global memory block Handle.
HHOOK |
HICON | The type of an Icon Handle.
HIMAGELIST | The type of an Image List Handle.
HINST | The type of a (process) Instance Handle.
HKEY |
HMENU | The type of a Menu Handle.
HMONITOR | The type of a display Monitor (CRT...) Handle.
HPALETTE | The type of a color Palette Handle.
HPEN | The type of a line drawing Pen Handle.
HRGN | The type of a display Region Handle.
HWND | The type of a Window Handle.
LOGBRUSH
LOGFONT |
LOGFONTA |
LOGFONTW |
LOGPALETTE |
LOGPEN |
LPARAM | Type of the second message argument (pointer-sized).
LPLOGFONT |
LRESULT | Type of a message result (pointer-sized).
MonitorEnumProc |
MONITOR_DPI_TYPE
NMHDR |
NM_LISTVIEW |
PABC
PAINTSTRUCT |
PALETTEENTRY |
PBitmap |
PBitmapCoreHeader |
PBitmapCoreInfo |
PBitmapFileHeader |
PBitmapInfo |
PBitmapInfoHeader |
PClipboardFormat |
PCriticalSection
PDIBSection |
PDrawItemStruct |
PDrawListItemStruct |
PEnumLogFont |
PEnumLogFontA |
PEnumLogFontEx |
PEnumLogFontExA |
PEnumLogFontExW |
PEnumLogFontW |
PExtLogPen |
PGradientRect |
PGradientTriangle |
PHandle
PHelpInfo |
PHKEY
PIconInfo |
PInt
PLogBrush
PLogFont |
PLogFontA |
PLogFontW |
PLogPalette |
PLogPen |
PMaxLogPalette |
PMeasureItemStruct |
PMonitorInfo |
PMonitorInfoEx |
PMonitorInfoExW |
PMsg |
PNMHdr |
PNMListView |
PPaintStruct |
PPaletteEntry
PRect | A pointer to TRect.
PRGBAQuad |
PRGBQUAD |
PRGBTriple |
PScreenInfo |
PScrollInfo
PTextMetric |
PTextMetricA |
PTextMetricW |
PTriVertex |
PWindowPos |
PWndClass |
PWndClassA |
PWndClassEx |
PWndClassExA |
PWndClassExW |
PWndClassW |
RGBQUAD |
RGBTRIPLE |
Short |
TABC
tagBITMAP |
tagBITMAPCOREHEADER |
tagBITMAPCOREINFO |
tagBITMAPFILEHEADER |
tagBITMAPINFO |
tagBITMAPINFOHEADER |
tagDIBSECTION |
tagDrawItemStruct |
tagENUMLOGFONT |
tagENUMLOGFONTA |
tagENUMLOGFONTEX |
tagENUMLOGFONTEXA |
tagENUMLOGFONTEXW |
tagENUMLOGFONTW |
tagEXTLOGPEN |
tagGRADIENTRECT |
tagGRADIENTTRIANGLE |
tagHELPINFO |
tagLOGBRUSH | Description of a Brush.
tagLOGFONT |
tagLOGFONTA
tagLOGFONTW
tagLOGPALETTE |
tagLOGPEN |
tagMonitorInfo |
tagMonitorInfoEx |
tagMonitorInfoExW |
tagMSG |
tagNMHDR |
tagNMLISTVIEW |
tagPAINTSTRUCT |
tagPALETTEENTRY |
tagRGBQUAD |
tagRGBTRIPLE |
tagScrollInfo | The Scrollbar properties parameter record.
tagTEXTMETRIC |
tagTextMetricA |
tagTEXTMETRICW |
tagTRIVERTEX |
tagWindowPos |
tagWNDCLASS |
tagWNDCLASSA |
tagWNDCLASSEX |
tagWNDCLASSEXA |
tagWNDCLASSEXW |
tagWNDCLASSW |
TBitmapCoreHeader |
TBitmapCoreInfo |
TBitmapFileHeader |
TBitmapInfo |
TBitmapInfoHeader |
TClipboardFormat |
TClipboardRequestEvent |
TClipboardType |
TColorRef | TColor, TColorRef
TCreateParams |
TCriticalSection |
TDIBSection |
TDockImageOperation | Actions occuring while dragging an image.
TDrawItemStruct |
TDrawListItemStruct |
TEnumLogFont |
TEnumLogFontA |
TEnumLogFontEx |
TEnumLogFontExA |
TEnumLogFontExW |
TEnumLogFontW |
TExtLogPen |
TEXTMETRIC |
TEXTMETRICA |
TEXTMETRICW |
TFarProc |
TFNTimerProc |
TFNWndProc |
TFontSignature |
TGradientRect |
TGradientTriangle |
THandle |
THelpInfo |
TIconInfo |
TKeyBoardState | State array of 256 possible (virtual) keys.
TLCLIntfHandle |
TListChangeEvent |
TLMTimer |
TLogBrush
TLogFont |
TLogFontA |
TLogFontW |
TLogGradientStop
TLOGPALETTE |
TLogPen |
TLogRadialGradient
TMaxLogPalette |
TMeasureItemStruct |
TMonitorDpiType
TMonitorInfo |
TMonitorInfoEx |
TMonitorInfoExW |
TMsg |
TNativeCanvasType
TNativeCanvasTypes
TNativeHandleType
TNativeHandleTypes
TNewTextMetric |
TNewTextMetricEx |
TNMHdr |
TNMListView |
TOnShowSelectItemDialogResult
TOwnerDrawState |
TOwnerDrawStateType |
TPaintStruct |
TPaletteEntry |
TPredefinedClipboardFormat |
TResourceType |
TRGBAQuad |
TRGBAQuadArray
TRGBQuad |
TRGBTriple |
TRIVERTEX |
TScreenInfo |
TScrollInfo
TStockFont |
TTextMetric |
TTextMetricA |
TTextMetricW |
TTimerProc |
TTranslateString |
TTriVertex |
TUTF8Char | A type that can hold an UTF-8 encoded character.
TWindowPos |
TWndClass |
TWndClassA |
TWndClassEx |
TWndClassExA |
TWndClassExW |
TWndClassW |
UINT | A 32 bit unsigned integer.
UINT_PTR | Unsigned integer type with same size as Pointer.
ULONG_PTR |
WindowPos |
WNDCLASS |
WNDCLASSA |
WNDCLASSEX |
WNDCLASSEXA |
WNDCLASSEXW |
WNDCLASSW |
WPARAM | Type of the first message argument (pointer-sized).
_ABC | Record describing the width of a TrueType character.
_MSG |
_NM_LISTVIEW |


Reference for unit 'LCLType': Classes

TListWithEvent


Reference for unit 'LCLType': Procedures and functions

Char2VK

CharSetToString

CS_To_String

HiWord

KeyToShortCut

LoWord

MathRound

MulDiv

StringToCharset

VK2Char


Index of all identifiers in unit 'LCLType'

A B C D E F G H I J K L M N O P R S T U V W X

A

_ABC | ANSI_FIXED_FONT | ARABIC_CHARSET
ALTERNATE | ANSI_VAR_FONT |
ANSI_CHARSET | ANTIALIASED_QUALITY |

B

BALTIC_CHARSET | BF_RECT | Bool
BDR_INNER | BF_RIGHT | BS_3STATE
BDR_OUTER | BF_SOFT | BS_AUTOCHECKBOX
BDR_RAISED | BF_TOP | BS_DEFPUSHBUTTON
BDR_RAISEDINNER | BF_TOPLEFT | BS_DIBPATTERN
BDR_RAISEDOUTER | BF_TOPRIGHT | BS_DIBPATTERN8X8
BDR_SUNKEN | BI_BITFIELDS | BS_DIBPATTERNPT
BDR_SUNKENINNER | BI_RGB | BS_GROUPBOX
BDR_SUNKENOUTER | BI_RLE4 | BS_HATCHED
BF_ADJUST | BI_RLE8 | BS_HOLLOW
BF_BOTTOM | BITMAP | BS_INDEXED
BF_BOTTOMLEFT | BITMAPCOREHEADER | BS_MONOPATTERN
BF_BOTTOMRIGHT | BITMAPCOREINFO | BS_NULL
BF_DIAGONAL | BITMAPFILEHEADER | BS_OWNERDRAW
BF_DIAGONAL_ENDBOTTOMLEFT | BITMAPINFO | BS_PATTERN
BF_DIAGONAL_ENDBOTTOMRIGHT | BITMAPINFOHEADER | BS_PATTERN8X8
BF_DIAGONAL_ENDTOPLEFT | BITSPIXEL | BS_PUSHBUTTON
BF_DIAGONAL_ENDTOPRIGHT | BKMODE_LAST | BS_PUSHLIKE
BF_FLAT | BLACK_BRUSH | BS_RADIOBUTTON
BF_LEFT | BLACKNESS | BS_RIGHTBUTTON
BF_MIDDLE | BLACKONWHITE | BS_SOLID
BF_MONO | BLACK_PEN |

C

CBM_INIT | COLOR_ACTIVECAPTION | csFileDialog
CBS_AUTOHSCROLL | COLOR_APPWORKSPACE | csFixed
CBS_DROPDOWN | COLOR_BACKGROUND | csFontDialog
CBS_DROPDOWNLIST | COLOR_BTNFACE | csForm
CBS_HASSTRINGS | COLOR_BTNHIGHLIGHT | csGroupBox
CBS_OWNERDRAWFIXED | COLOR_BTNHILIGHT | csHintWindow
CBS_OWNERDRAWVARIABLE | COLOR_BTNSHADOW | CS_HREDRAW
CBS_SIMPLE | COLOR_BTNTEXT | csListBox
CBS_SORT | COLOR_CAPTIONTEXT | csListView
CCHDEVICENAME | COLOR_DESKTOP | csMainMenu
CCS_ADJUSTABLE | COLOR_ENDCOLORS | csMemo
CCS_BOTTOM | COLOR_FORM | csMenuBar
CCS_LEFT | COLOR_GRADIENTACTIVECAPTION | csMenuItem
CCS_NODIVIDER | COLOR_GRADIENTINACTIVECAPTION | csNone
CCS_NOMOVEX | COLOR_GRAYTEXT | csNonLCL
CCS_NOMOVEY | COLOR_HIGHLIGHT | csNotebook
CCS_NOPARENTALIGN | COLOR_HIGHLIGHTTEXT | csOpenFileDialog
CCS_NORESIZE | COLOR_HOTLIGHT | csPage
CCS_RIGHT | COLOR_INACTIVEBORDER | csPairSplitter
CCS_TOP | COLOR_INACTIVECAPTION | csPairSplitterSide
CCS_VERT | COLOR_INACTIVECAPTIONTEXT | csPanel
Char2VK | COLOR_INFOBK | csPopupMenu
CharSetToString | COLOR_INFOTEXT | csPreviewFileControl
CHINESEBIG5_CHARSET | COLOR_MENU | csPreviewFileDialog
CLEARTYPE_NATURAL_QUALITY | COLOR_MENUBAR | csProgressBar
CLEARTYPE_QUALITY | COLOR_MENUHILIGHT | csRadioButton
ClipboardTypeName | COLOR_MENUTEXT | csSaveFileDialog
CLIP_CHARACTER_PRECIS | COLORONCOLOR | csScrollBar
CLIP_DEFAULT_PRECIS | COLORREF | csScrollBox
CLIP_EMBEDDED | COLOR_SCROLLBAR | csScrolledWindow
CLIP_LH_ANGLES | COLOR_WINDOW | csSelectDirectoryDialog
CLIP_MASK | COLOR_WINDOWFRAME | csSpinedit
CLIP_STROKE_PRECIS | COLOR_WINDOWTEXT | csStaticText
CLIP_TT_ALWAYS | ComplexRegion | csStatusBar
CLR_DEFAULT | csArrow | csToggleBox
CLR_INVALID | csBitBtn | CS_To_String
CLR_NONE | csButton | csTrackBar
COLOR_3DDKSHADOW | csCalendar | CS_VREDRAW
COLOR_3DFACE | csCheckbox | csWinControl
COLOR_3DHIGHLIGHT | csCheckListBox | ctClipboard
COLOR_3DHILIGHT | csCListBox | ctPrimarySelection
COLOR_3DLIGHT | csColorDialog | ctSecondarySelection
COLOR_3DSHADOW | csComboBox |
COLOR_ACTIVEBORDER | csEdit |

D

DC_BRUSH | DFCS_CHECKED | DLGC_WANTARROWS
DC_PEN | DFC_SCROLL | DLGC_WANTCHARS
DEFAULT_CHARSET | DFCS_FLAT | DLGC_WANTTAB
DEFAULT_GUI_FONT | DFCS_HOT | DRAFT_QUALITY
DefaultLogFont | DFCS_INACTIVE | DrawItemStruct
DEFAULT_PALETTE | DFCS_MENUARROW | DSTINVERT
DEFAULT_PITCH | DFCS_MENUBULLET | DT_BOTTOM
DEFAULT_QUALITY | DFCS_MENUCHECK | DT_CALCRECT
DEVICE_DEFAULT_FONT | DFCS_MONO | DT_CENTER
DEVICE_FONTTYPE | DFCS_PUSHED | DT_EDITCONTROL
DFC_BUTTON | DFCS_SCROLLCOMBOBOX | DT_END_ELLIPSIS
DFC_CAPTION | DFCS_SCROLLDOWN | DT_EXPANDTABS
DFC_MENU | DFCS_SCROLLLEFT | DT_INTERNAL
DFCS_ADJUSTRECT | DFCS_SCROLLRIGHT | DT_LEFT
DFCS_BUTTON3STATE | DFCS_SCROLLSIZEGRIP | DT_MODIFYSTRING
DFCS_BUTTONCHECK | DFCS_SCROLLUP | DT_NOCLIP
DFCS_BUTTONPUSH | DFCS_TRANSPARENT | DT_NOPREFIX
DFCS_BUTTONRADIO | DIB_PAL_COLORS | DT_RIGHT
DFCS_BUTTONRADIOIMAGE | DIB_RGB_COLORS | DT_RTLREADING
DFCS_BUTTONRADIOMASK | DIBSECTION | DT_SINGLELINE
DFCS_CAPTIONCLOSE | disHide | DT_TOP
DFCS_CAPTIONHELP | disMove | DT_VCENTER
DFCS_CAPTIONMAX | disShow | DT_WORDBREAK
DFCS_CAPTIONMIN | DKGRAY_BRUSH |
DFCS_CAPTIONRESTORE | DLGC_WANTALLKEYS |

E

EASTEUROPE_CHARSET | ENUMLOGFONTEXW | ES_NUMBER
EDGE_BUMP | ENUMLOGFONTW | ES_READONLY
EDGE_ETCHED | Error | ES_RIGHT
EDGE_RAISED | ES_AUTOHSCROLL | ES_WANTRETURN
EDGE_SUNKEN | ES_AUTOVSCROLL | ETO_CLIPPED
ENUMLOGFONT | ES_CENTER | ETO_OPAQUE
ENUMLOGFONTA | ES_LEFT | ETO_RTLREADING
ENUMLOGFONTEX | ES_MULTILINE | EXTLOGPEN
ENUMLOGFONTEXA | ES_NOHIDESEL |

F

FCS_ISO_10646_1 | FIXED_PITCH | FS_TURKISH
FCS_ISO_8859_1 | FontEnumExProc | FS_VIETNAMESE
FCS_ISO_8859_10 | FontEnumProc | FS_WANSUNG
FCS_ISO_8859_15 | FOUNDRYCHAR_CLOSE | FW_BLACK
FCS_ISO_8859_2 | FOUNDRYCHAR_OPEN | FW_BOLD
FCS_ISO_8859_3 | FS_ARABIC | FW_DEMIBOLD
FCS_ISO_8859_4 | FS_BALTIC | FW_DONTCARE
FCS_ISO_8859_5 | FS_CHINESESIMP | FW_EXTRABOLD
FCS_ISO_8859_6 | FS_CHINESETRAD | FW_EXTRALIGHT
FCS_ISO_8859_7 | FS_CYRILLIC | FW_HEAVY
FCS_ISO_8859_8 | FS_GREEK | FW_LIGHT
FCS_ISO_8859_9 | FS_HEBREW | FW_MEDIUM
FF_DECORATIVE | FS_JISJAPAN | FW_NORMAL
FF_DONTCARE | FS_JOHAB | FW_REGULAR
FF_MODERN | FS_LATIN1 | FW_SEMIBOLD
FF_ROMAN | FS_LATIN2 | FW_THIN
FF_SCRIPT | FS_SYMBOL | FW_ULTRABOLD
FF_SWISS | FS_THAI | FW_ULTRALIGHT

G

GB2312_CHARSET | GRADIENTTRIANGLE | GWL_ID
GCP_DBCS | GRAY_BRUSH | GWL_STYLE
GRADIENT_FILL_RECT_H | GREEK_CHARSET | GWL_USERDATA
GRADIENT_FILL_RECT_V | GWL_EXSTYLE | GWL_WNDPROC
GRADIENT_FILL_TRIANGLE | GWL_HINSTANCE |
GRADIENTRECT | GWL_HWNDPARENT |

H

HALFTONE | HGLOBAL | HS_CROSS
HANDLE | HHOOK | HS_DIAGCROSS
HANGEUL_CHARSET | HICON | HS_FDIAGONAL
HBITMAP | HIMAGELIST | HS_HORIZONTAL
HBRUSH | HINST | HS_VERTICAL
HCURSOR | HiWord | HTCAPTION
HDC | HKEY | HTCLIENT
HDN_FIRST | HMENU | HTERROR
HDN_LAST | HMONITOR | HTNOWHERE
HEBREW_CHARSET | HOLLOW_BRUSH | HTTRANSPARENT
HELP_COMMAND | HORZRES | HWND
HELP_CONTEXT | HORZSIZE | HWND_BOTTOM
HELPINFO_MENUITEM | HPALETTE | HWND_NOTOPMOST
HELPINFO_WINDOW | HPEN | HWND_TOP
HFONT | HRGN | HWND_TOPMOST
HGDIOBJ | HS_BDIAGONAL |

I

IDABORT | idButtonShield | IDIGNORE
ID_ABORT | idButtonYes | ID_IGNORE
idButtonAbort | idButtonYesToAll | IDNO
idButtonAll | IDCANCEL | ID_NO
idButtonBase | ID_CANCEL | IDOK
idButtonCancel | IDCLOSE | ID_OK
idButtonClose | ID_CLOSE | IDRETRY
idButtonHelp | idDialogBase | ID_RETRY
idButtonIgnore | idDialogConfirm | IDYES
idButtonNo | idDialogError | ID_YES
idButtonNoToAll | idDialogInfo | IMAGE_BITMAP
idButtonOk | idDialogShield | IMAGE_CURSOR
idButtonOpen | idDialogWarning | IMAGE_ENHMETAFILE
idButtonRetry | IDHELP | IMAGE_ICON
idButtonSave | ID_HELP | INVALID_HANDLE_VALUE

J

JOHAB_CHARSET

K

KeyToShortCut | KF_EXTENDED | KF_UP
KF_ALTDOWN | KF_MENUMODE |
KF_DLGMODE | KF_REPEAT |

L

LBS_DISABLENOSCROLL | LPLOGFONT | LVIS_STATEIMAGEMASK
LBS_EXTENDEDSEL | LR_COLOR | LVN_BEGINDRAG
LBS_HASSTRINGS | LR_COPYDELETEORG | LVN_BEGINLABELEDIT
LBS_MULTICOLUMN | LR_COPYFROMRESOURCE | LVN_BEGINRDRAG
LBS_MULTIPLESEL | LR_COPYRETURNORG | LVN_BEGINSCROLL
LBS_NODATA | LR_CREATEDIBSECTION | LVN_COLUMNCLICK
LBS_NOINTEGRALHEIGHT | LR_DEFAULTCOLOR | LVN_DELETEALLITEMS
LBS_NOREDRAW | LR_DEFAULTSIZE | LVN_DELETEITEM
LBS_NOSEL | LRESULT | LVN_ENDLABELEDIT
LBS_NOTIFY | LR_LOADFROMFILE | LVN_ENDSCROLL
LBS_OWNERDRAWFIXED | LR_LOADMAP3DCOLORS | LVN_FIRST
LBS_OWNERDRAWVARIABLE | LR_LOADTRANSPARENT | LVN_GETDISPINFO
LBS_SORT | LR_MONOCHROME | LVN_GETINFOTIP
LBS_STANDARD | LR_SHARED | LVN_HOTTRACK
LBS_USETABSTOPS | LR_VGACOLOR | LVN_INCREMENTALSEARCH
LBS_WANTKEYBOARDINPUT | LTGRAY_BRUSH | LVN_INSERTITEM
LF_FACESIZE | LVIF_IMAGE | LVN_ITEMACTIVATE
LF_FULLFACESIZE | LVIF_INDENT | LVN_ITEMCHANGED
LOGBRUSH | LVIF_NORECOMPUTE | LVN_ITEMCHANGING
LOGFONT | LVIF_PARAM | LVN_KEYDOWN
LOGFONTA | LVIF_STATE | LVN_LAST
LOGFONTW | LVIF_TEXT | LVN_MARQUEEBEGIN
LOGPALETTE | LVIS_ACTIVATING | LVN_ODCACHEHINT
LOGPEN | LVIS_CUT | LVN_ODFINDITEM
LOGPIXELSX | LVIS_DROPHILITED | LVN_ODSTATECHANGED
LOGPIXELSY | LVIS_FOCUSED | LVN_SETDISPINFO
LoWord | LVIS_OVERLAYMASK |
LPARAM | LVIS_SELECTED |

M

MAC_CHARSET | MERGECOPY | MK_QUADCLICK
MathRound | MERGEPAINT | MK_RBUTTON
MAXBYTE | MF_BITMAP | MK_SHIFT
MAXCHAR | MF_BYCOMMAND | MK_TRIPLECLICK
MAXDWORD | MF_BYHANDLE | MK_XBUTTON1
MAXLONG | MF_BYPOSITION | MK_XBUTTON2
MAXSHORT | MF_CHECKED | MM_ANISOTROPIC
MAXSTRETCHBLTMODE | MF_DEFAULT | MM_HIENGLISH
MAX_SYS_COLORS | MF_DISABLED | MM_HIMETRIC
MAXWORD | MF_ENABLED | MM_ISOTROPIC
MB_ABORTRETRYIGNORE | MF_GRAYED | MM_LOENGLISH
MB_CANCELTRYCONTINUE | MF_HELP | MM_LOMETRIC
MB_DEFBUTTON1 | MF_HILITE | MM_TEXT
MB_DEFBUTTON2 | MF_MENUBARBREAK | MM_TWIPS
MB_DEFBUTTON3 | MF_MENUBREAK | MONITOR_DEFAULTTONEAREST
MB_DEFBUTTON4 | MF_MOUSESELECT | MONITOR_DEFAULTTONULL
MB_HELP | MF_OWNERDRAW | MONITOR_DEFAULTTOPRIMARY
MB_ICONASTERISK | MF_POPUP | MONITOR_DPI_TYPE
MB_ICONERROR | MF_RIGHTJUSTIFY | MonitorEnumProc
MB_ICONEXCLAMATION | MF_SEPARATOR | MONITORINFOF_PRIMARY
MB_ICONHAND | MF_STRING | MONITOR_UNIMPL
MB_ICONINFORMATION | MF_SYSMENU | MONO_FONT
MB_ICONQUESTION | MF_UNCHECKED | Move_Default
MB_ICONSTOP | MF_UNHILITE | Move_SourceIsInterface
MB_ICONWARNING | MF_UNSUPPORTED | _MSG
MB_OK | MF_USECHECKBITMAPS | MSGF_DIALOGBOX
MB_OKCANCEL | MINCHAR | MSGF_MENU
MB_RETRYCANCEL | MINLONG | MSGF_MESSAGEBOX
MB_YESNO | MINSHORT | MSGF_MOVE
MB_YESNOCANCEL | MK_ALT | MSGF_NEXTWINDOW
MDT_ANGULAR_DPI | MK_CONTROL | MSGF_SCROLLBAR
MDT_DEFAULT | MK_DOUBLECLICK | MSGF_SIZE
MDT_EFFECTIVE_DPI | MK_LBUTTON | MulDiv
MDT_RAW_DPI | MK_MBUTTON |

N

nctLazCanvas | NM_HOVER | NM_SETCURSOR
nctWindowsDC | NM_KEYDOWN | NM_SETFOCUS
nhtCocoaNSWindow | NM_KILLFOCUS | NONANTIALIASED_QUALITY
nhtQtQWidget | NM_LAST | NOTSRCCOPY
nhtWindowsHWND | _NM_LISTVIEW | NOTSRCERASE
nhtX11TWindow | NM_LISTVIEW | NULL_BRUSH
NM_CHAR | NM_NCHITTEST | NULL_PEN
NM_CLICK | NM_OUTOFMEMORY | NullRegion
NM_CUSTOMDRAW | NM_RCLICK | NUMCOLORS
NM_DBLCLK | NM_RDBLCLK | NUMRESERVED
NM_FIRST | NM_RELEASEDCAPTURE |
NMHDR | NM_RETURN |

O

OBJ_BITMAP | odDisabled | ODT_BUTTON
OBJ_BRUSH | odFocused | ODT_COMBOBOX
OBJ_COLORSPACE | odGrayed | ODT_HEADER
OBJ_DC | odHotLight | ODT_LISTBOX
OBJ_ENHMETADC | odInactive | ODT_LISTVIEW
OBJ_ENHMETAFILE | odNoAccel | ODT_MENU
OBJ_EXTPEN | odNoFocusRect | ODT_STATIC
OBJ_FONT | odReserved1 | ODT_TAB
OBJ_MEMDC | odReserved2 | OEM_CHARSET
OBJ_METADC | ODS_CHECKED | OEM_FIXED_FONT
OBJ_METAFILE | ODS_COMBOBOXEDIT | OPAQUE
OBJ_PAL | ODS_DEFAULT | OUT_CHARACTER_PRECIS
OBJ_PEN | ODS_DISABLED | OUT_DEFAULT_PRECIS
OBJ_REGION | odSelected | OUT_DEVICE_PRECIS
ODA_DRAWENTIRE | ODS_FOCUS | OUT_OUTLINE_PRECIS
ODA_FOCUS | ODS_GRAYED | OUT_RASTER_PRECIS
ODA_SELECT | ODS_HOTLIGHT | OUT_SCREEN_OUTLINE_PRECIS
odBackgroundPainted | ODS_INACTIVE | OUT_STRING_PRECIS
odChecked | ODS_NOACCEL | OUT_STROKE_PRECIS
odComboBoxEdit | ODS_NOFOCUSRECT | OUT_TT_ONLY_PRECIS
odDefault | ODS_SELECTED | OUT_TT_PRECIS

P

PABC | PGradientTriangle | PScreenInfo
PAINTSTRUCT | PHandle | PScrollInfo
PALETTEENTRY | PHelpInfo | PS_DASH
PATCOPY | PHKEY | PS_DASHDOT
PATINVERT | PIconInfo | PS_DASHDOTDOT
PATPAINT | PInt | PS_DOT
PBitmap | PLANES | PS_ENDCAP_FLAT
PBitmapCoreHeader | PLogBrush | PS_ENDCAP_MASK
PBitmapCoreInfo | PLogFont | PS_ENDCAP_ROUND
PBitmapFileHeader | PLogFontA | PS_ENDCAP_SQUARE
PBitmapInfo | PLogFontW | PS_GEOMETRIC
PBitmapInfoHeader | PLogPalette | PS_INSIDEFRAME
pcfBitmap | PLogPen | PS_JOIN_BEVEL
pcfComponent | PMaxLogPalette | PS_JOIN_MASK
pcfCustomData | PMeasureItemStruct | PS_JOIN_MITER
pcfIcon | PM_Noremove | PS_JOIN_ROUND
pcfMetaFilePict | PMonitorInfo | PS_NULL
pcfObject | PMonitorInfoEx | PS_SOLID
pcfPicture | PMonitorInfoExW | PS_STYLE_MASK
pcfPixmap | PM_Remove | PS_TYPE_MASK
pcfText | PMsg | PS_USERSTYLE
PClipboardFormat | PNMHdr | PTextMetric
PCriticalSection | PNMListView | PTextMetricA
PDIBSection | POLYFILL_LAST | PTextMetricW
PDrawItemStruct | PPaintStruct | PTriVertex
PDrawListItemStruct | PPaletteEntry | PWindowPos
PEnumLogFont | PRect | PWndClass
PEnumLogFontA | PredefinedClipboardMimeTypes | PWndClassA
PEnumLogFontEx | PRGBAQuad | PWndClassEx
PEnumLogFontExA | PRGBQUAD | PWndClassExA
PEnumLogFontExW | PRGBTriple | PWndClassExW
PEnumLogFontW | PROOF_QUALITY | PWndClassW
PExtLogPen | PS_ALTERNATE |
PGradientRect | PS_COSMETIC |

R

R2_BLACK | RDW_ERASE | RT_ACCELERATOR
R2_COPYPEN | RDW_ERASENOW | RT_ANICURSOR
R2_LAST | RDW_FRAME | RT_ANIICON
R2_MASKNOTPEN | RDW_INTERNALPAINT | RT_BITMAP
R2_MASKPEN | RDW_INVALIDATE | RT_CURSOR
R2_MASKPENNOT | RDW_NOCHILDREN | RT_DIALOG
R2_MERGENOTPEN | RDW_NOERASE | RT_FONT
R2_MERGEPEN | RDW_NOFRAME | RT_FONTDIR
R2_MERGEPENNOT | RDW_NOINTERNALPAINT | RT_GROUP_CURSOR
R2_NOP | RDW_UPDATENOW | RT_GROUP_ICON
R2_NOT | RDW_VALIDATE | RT_HTML
R2_NOTCOPYPEN | Region_Error | RT_ICON
R2_NOTMASKPEN | RGBQUAD | RT_MANIFEST
R2_NOTMERGEPEN | RGBTRIPLE | RT_MENU
R2_NOTXORPEN | RGN_AND | RT_MESSAGETABLE
R2_WHITE | RGN_COPY | RT_RCDATA
R2_XORPEN | RGN_DIFF | RT_STRING
RASTER_FONTTYPE | RGN_OR | RT_VERSION
RDW_ALLCHILDREN | RGN_XOR | RUSSIAN_CHARSET

S

SB_BOTH | SM_CYVSCROLL | SPI_SETDOUBLECLICKTIME
SB_BOTTOM | SM_CYVTHUMB | SPI_SETDOUBLECLKHEIGHT
SB_CTL | SM_DBCSENABLED | SPI_SETDOUBLECLKWIDTH
SB_ENDSCROLL | SM_DEBUG | SPI_SETDRAGFULLWINDOWS
SB_Horz | SM_LCLHasFormAlphaBlend | SPI_SETDRAGHEIGHT
SB_LEFT | SM_LCLMAXIMIZEDHEIGHT | SPI_SETDRAGWIDTH
SB_LINEDOWN | SM_LCLMAXIMIZEDWIDTH | SPI_SETDROPSHADOW
SB_LINELEFT | SM_MENUDROPALIGNMENT | SPI_SETFASTTASKSWITCH
SB_LINERIGHT | SM_MIDEASTENABLED | SPI_SETFILTERKEYS
SB_LINEUP | SM_MOUSEPRESENT | SPI_SETFLATMENU
SB_PAGEDOWN | SM_MOUSEWHEELPRESENT | SPI_SETFOCUSBORDERHEIGHT
SB_PAGELEFT | SM_NETWORK | SPI_SETFOCUSBORDERWIDTH
SB_PAGERIGHT | SM_PENWINDOWS | SPI_SETFONTSMOOTHING
SB_PAGEUP | SM_REMOTESESSION | SPI_SETFONTSMOOTHINGCONTRAST
SB_POLICY_CONTINUOUS | SM_RESERVED1 | SPI_SETFONTSMOOTHINGORIENTATION
SB_POLICY_DELAYED | SM_RESERVED2 | SPI_SETFONTSMOOTHINGTYPE
SB_POLICY_DISCONTINUOUS | SM_RESERVED3 | SPI_SETFOREGROUNDFLASHCOUNT
SB_RIGHT | SM_RESERVED4 | SPI_SETFOREGROUNDLOCKTIMEOUT
SBS_BOTTOMALIGN | SM_SAMEDISPLAYFORMAT | SPI_SETGRADIENTCAPTIONS
SBS_HORZ | SM_SECURE | SPI_SETGRIDGRANULARITY
SBS_LEFTALIGN | SM_SHOWSOUNDS | SPI_SETHANDHELD
SBS_RIGHTALIGN | SM_SLOWMACHINE | SPI_SETHIGHCONTRAST
SBS_SIZEBOX | SM_SWAPBUTTON | SPI_SETHOTTRACKING
SBS_SIZEBOXBOTTOMRIGHTALIGN | SM_SWSCROLLBARSPACING | SPI_SETICONMETRICS
SBS_SIZEBOXTOPLEFTALIGN | SM_XVIRTUALSCREEN | SPI_SETICONS
SBS_SIZEGRIP | SM_YVIRTUALSCREEN | SPI_SETICONTITLELOGFONT
SBS_TOPALIGN | SPI_GETACCESSTIMEOUT | SPI_SETICONTITLEWRAP
SBS_VERT | SPI_GETACTIVEWINDOWTRACKING | SPI_SETKEYBOARDCUES
SB_THUMBPOSITION | SPI_GETACTIVEWNDTRKTIMEOUT | SPI_SETKEYBOARDDELAY
SB_THUMBTRACK | SPI_GETACTIVEWNDTRKZORDER | SPI_SETKEYBOARDPREF
SB_TOP | SPI_GETANIMATION | SPI_SETKEYBOARDSPEED
SB_Vert | SPI_GETBEEP | SPI_SETLANGTOGGLE
scMeta | SPI_GETBLOCKSENDINPUTRESETS | SPI_SETLISTBOXSMOOTHSCROLLING
sfHint | SPI_GETBORDER | SPI_SETLOWPOWERACTIVE
sfIcon | SPI_GETCARETWIDTH | SPI_SETLOWPOWERTIMEOUT
sfMenu | SPI_GETCOMBOBOXANIMATION | SPI_SETMENUANIMATION
sfSystem | SPI_GETCURSORSHADOW | SPI_SETMENUDROPALIGNMENT
SHIFTJIS_CHARSET | SPI_GETDEFAULTINPUTLANG | SPI_SETMENUFADE
Short | SPI_GETDESKWALLPAPER | SPI_SETMENUSHOWDELAY
SIF_ALL | SPI_GETDRAGFULLWINDOWS | SPI_SETMENUUNDERLINES
SIF_DISABLENOSCROLL | SPI_GETDROPSHADOW | SPI_SETMINIMIZEDMETRICS
SIF_PAGE | SPI_GETFASTTASKSWITCH | SPI_SETMOUSE
SIF_POS | SPI_GETFILTERKEYS | SPI_SETMOUSEBUTTONSWAP
SIF_RANGE | SPI_GETFLATMENU | SPI_SETMOUSECLICKLOCK
SIF_TRACKPOS | SPI_GETFOCUSBORDERHEIGHT | SPI_SETMOUSECLICKLOCKTIME
SIF_UPDATEPOLICY | SPI_GETFOCUSBORDERWIDTH | SPI_SETMOUSEHOVERHEIGHT
SimpleRegion | SPI_GETFONTSMOOTHING | SPI_SETMOUSEHOVERTIME
SIZEFULLSCREEN | SPI_GETFONTSMOOTHINGCONTRAST | SPI_SETMOUSEHOVERWIDTH
SIZE_FULLSCREEN | SPI_GETFONTSMOOTHINGORIENTATION | SPI_SETMOUSEKEYS
SIZEICONIC | SPI_GETFONTSMOOTHINGTYPE | SPI_SETMOUSESONAR
SIZE_MAXHIDE | SPI_GETFOREGROUNDFLASHCOUNT | SPI_SETMOUSESPEED
SIZE_MAXIMIZED | SPI_GETFOREGROUNDLOCKTIMEOUT | SPI_SETMOUSETRAILS
SIZE_MAXSHOW | SPI_GETGRADIENTCAPTIONS | SPI_SETMOUSEVANISH
SIZE_MINIMIZED | SPI_GETGRIDGRANULARITY | SPI_SETNONCLIENTMETRICS
SIZENORMAL | SPI_GETHIGHCONTRAST | SPI_SETPENWINDOWS
SIZEPALETTE | SPI_GETHOTTRACKING | SPI_SETPOWEROFFACTIVE
SIZE_RESTORED | SPI_GETICONMETRICS | SPI_SETPOWEROFFTIMEOUT
Size_SourceIsInterface | SPI_GETICONTITLELOGFONT | SPI_SETSCREENREADER
SIZEZOOMHIDE | SPI_GETICONTITLEWRAP | SPI_SETSCREENSAVEACTIVE
SIZEZOOMSHOW | SPI_GETKEYBOARDCUES | SPI_SETSCREENSAVERRUNNING
SM_ARRANGE | SPI_GETKEYBOARDDELAY | SPI_SETSCREENSAVETIMEOUT
SM_CLEANBOOT | SPI_GETKEYBOARDPREF | SPI_SETSELECTIONFADE
SM_CMETRICS | SPI_GETKEYBOARDSPEED | SPI_SETSERIALKEYS
SM_CMONITORS | SPI_GETLISTBOXSMOOTHSCROLLING | SPI_SETSHOWIMEUI
SM_CMOUSEBUTTONS | SPI_GETLOWPOWERACTIVE | SPI_SETSHOWSOUNDS
SM_CXBORDER | SPI_GETLOWPOWERTIMEOUT | SPI_SETSNAPTODEFBUTTON
SM_CXCURSOR | SPI_GETMENUANIMATION | SPI_SETSOUNDSENTRY
SM_CXDLGFRAME | SPI_GETMENUDROPALIGNMENT | SPI_SETSTICKYKEYS
SM_CXDOUBLECLK | SPI_GETMENUFADE | SPI_SETTOGGLEKEYS
SM_CXDRAG | SPI_GETMENUSHOWDELAY | SPI_SETTOOLTIPANIMATION
SM_CXEDGE | SPI_GETMENUUNDERLINES | SPI_SETTOOLTIPFADE
SM_CXFIXEDFRAME | SPI_GETMINIMIZEDMETRICS | SPI_SETUIEFFECTS
SM_CXFRAME | SPI_GETMOUSE | SPI_SETWHEELSCROLLLINES
SM_CXFULLSCREEN | SPI_GETMOUSECLICKLOCK | SPI_SETWORKAREA
SM_CXHSCROLL | SPI_GETMOUSECLICKLOCKTIME | SRCAND
SM_CXHTHUMB | SPI_GETMOUSEHOVERHEIGHT | SRCCOPY
SM_CXICON | SPI_GETMOUSEHOVERTIME | SRCERASE
SM_CXICONSPACING | SPI_GETMOUSEHOVERWIDTH | SRCINVERT
SM_CXMAXIMIZED | SPI_GETMOUSEKEYS | SRCPAINT
SM_CXMAXTRACK | SPI_GETMOUSESONAR | STOCK_LAST
SM_CXMENUCHECK | SPI_GETMOUSESPEED | StringToCharset
SM_CXMENUSIZE | SPI_GETMOUSETRAILS | SW_ERASE
SM_CXMIN | SPI_GETMOUSEVANISH | SW_HIDE
SM_CXMINIMIZED | SPI_GETNONCLIENTMETRICS | SW_INVALIDATE
SM_CXMINSPACING | SPI_GETPOWEROFFACTIVE | SW_MAX
SM_CXMINTRACK | SPI_GETPOWEROFFTIMEOUT | SW_MAXIMIZE
SM_CXSCREEN | SPI_GETSCREENREADER | SW_MINIMIZE
SM_CXSIZE | SPI_GETSCREENSAVEACTIVE | SW_NORMAL
SM_CXSIZEFRAME | SPI_GETSCREENSAVERRUNNING | SWP_ASYNCWINDOWPOS
SM_CXSMICON | SPI_GETSCREENSAVETIMEOUT | SWP_DEFERERASE
SM_CXSMSIZE | SPI_GETSELECTIONFADE | SWP_DRAWFRAME
SM_CXVIRTUALSCREEN | SPI_GETSERIALKEYS | SWP_FRAMECHANGED
SM_CXVSCROLL | SPI_GETSHOWIMEUI | SWP_HIDEWINDOW
SM_CYBORDER | SPI_GETSHOWSOUNDS | SWP_NOACTIVATE
SM_CYCAPTION | SPI_GETSNAPTODEFBUTTON | SWP_NOCOPYBITS
SM_CYCURSOR | SPI_GETSOUNDSENTRY | SWP_NOMOVE
SM_CYDLGFRAME | SPI_GETSTICKYKEYS | SWP_NOOWNERZORDER
SM_CYDOUBLECLK | SPI_GETTOGGLEKEYS | SWP_NOREDRAW
SM_CYDRAG | SPI_GETTOOLTIPANIMATION | SWP_NOREPOSITION
SM_CYEDGE | SPI_GETTOOLTIPFADE | SWP_NOSENDCHANGING
SM_CYFIXEDFRAME | SPI_GETUIEFFECTS | SWP_NOSIZE
SM_CYFRAME | SPI_GETWHEELSCROLLLINES | SWP_NOZORDER
SM_CYFULLSCREEN | SPI_GETWINDOWSEXTENSION | SWP_SHOWWINDOW
SM_CYHSCROLL | SPI_GETWORKAREA | SWP_SourceIsInterface
SM_CYICON | SPI_ICONHORIZONTALSPACING | SWP_STATECHANGED
SM_CYICONSPACING | SPI_ICONVERTICALSPACING | SW_RESTORE
SM_CYKANJIWINDOW | SPI_LANGDRIVER | SW_SCROLLCHILDREN
SM_CYMAXIMIZED | SPI_SCREENSAVERRUNNING | SW_SHOW
SM_CYMAXTRACK | SPI_SETACCESSTIMEOUT | SW_SHOWDEFAULT
SM_CYMENU | SPI_SETACTIVEWINDOWTRACKING | SW_SHOWFULLSCREEN
SM_CYMENUCHECK | SPI_SETACTIVEWNDTRKTIMEOUT | SW_SHOWMAXIMIZED
SM_CYMENUSIZE | SPI_SETACTIVEWNDTRKZORDER | SW_SHOWMINIMIZED
SM_CYMIN | SPI_SETANIMATION | SW_SHOWMINNOACTIVE
SM_CYMINIMIZED | SPI_SETBEEP | SW_SHOWNA
SM_CYMINSPACING | SPI_SETBLOCKSENDINPUTRESETS | SW_SHOWNOACTIVATE
SM_CYMINTRACK | SPI_SETBORDER | SW_SHOWNORMAL
SM_CYSCREEN | SPI_SETCARETWIDTH | SW_SMOOTHSCROLL
SM_CYSIZE | SPI_SETCOMBOBOXANIMATION | SYMBOL_CHARSET
SM_CYSIZEFRAME | SPI_SETCURSORS | SYS_COLOR_BASE
SM_CYSMCAPTION | SPI_SETCURSORSHADOW | SYSTEM_FIXED_FONT
SM_CYSMICON | SPI_SETDEFAULTINPUTLANG | SYSTEM_FONT
SM_CYSMSIZE | SPI_SETDESKPATTERN |
SM_CYVIRTUALSCREEN | SPI_SETDESKWALLPAPER |

T

TA_BASELINE | TA_RTLREADING | TLogRadialGradient
TABC | TA_TOP | TMaxLogPalette
TA_BOTTOM | TA_UPDATECP | TMeasureItemStruct
TA_CENTER | TBitmapCoreHeader | TMonitorDpiType
tagBITMAP | TBitmapCoreInfo | TMonitorInfo
tagBITMAPCOREHEADER | TBitmapFileHeader | TMonitorInfoEx
tagBITMAPCOREINFO | TBitmapInfo | TMonitorInfoExW
tagBITMAPFILEHEADER | TBitmapInfoHeader | TMsg
tagBITMAPINFO | TBN_First | TNativeCanvasType
tagBITMAPINFOHEADER | TBN_Last | TNativeCanvasTypes
tagDIBSECTION | TClipboardFormat | TNativeHandleType
tagDrawItemStruct | TClipboardRequestEvent | TNativeHandleTypes
tagENUMLOGFONT | TClipboardType | TNewTextMetric
tagENUMLOGFONTA | TCN_FIRST | TNewTextMetricEx
tagENUMLOGFONTEX | TCN_LAST | TNMHdr
tagENUMLOGFONTEXA | TColorRef | TNMListView
tagENUMLOGFONTEXW | TCreateParams | TOnShowSelectItemDialogResult
tagENUMLOGFONTW | TCriticalSection | TOwnerDrawState
tagEXTLOGPEN | TDIBSection | TOwnerDrawStateType
tagGRADIENTRECT | TDockImageOperation | TPaintStruct
tagGRADIENTTRIANGLE | TDrawItemStruct | TPaletteEntry
tagHELPINFO | TDrawListItemStruct | TPredefinedClipboardFormat
tagLOGBRUSH | TEnumLogFont | TRANSPARENT
tagLOGFONT | TEnumLogFontA | TResourceType
tagLOGFONTA | TEnumLogFontEx | TRGBAQuad
tagLOGFONTW | TEnumLogFontExA | TRGBAQuadArray
tagLOGPALETTE | TEnumLogFontExW | TRGBQuad
tagLOGPEN | TEnumLogFontW | TRGBTriple
tagMonitorInfo | TExtLogPen | TRIVERTEX
tagMonitorInfoEx | TEXTMETRIC | TRUETYPE_FONTTYPE
tagMonitorInfoExW | TEXTMETRICA | TScreenInfo
tagMSG | TEXTMETRICW | TScrollInfo
tagNMHDR | TFarProc | TStockFont
tagNMLISTVIEW | TFNTimerProc | TTextMetric
tagPAINTSTRUCT | TFNWndProc | TTextMetricA
tagPALETTEENTRY | TFontSignature | TTextMetricW
tagRGBQUAD | TGradientRect | TTimerProc
tagRGBTRIPLE | TGradientTriangle | TTN_FIRST
tagScrollInfo | THAI_CHARSET | TTN_LAST
tagTEXTMETRIC | THandle | TTranslateString
tagTextMetricA | THelpInfo | TTriVertex
tagTEXTMETRICW | TIconInfo | TURKISH_CHARSET
tagTRIVERTEX | TKeyBoardState | TUTF8Char
tagWindowPos | TLCLIntfHandle | TVN_FIRST
tagWNDCLASS | TListChangeEvent | TVN_LAST
tagWNDCLASSA | TListWithEvent | TWindowPos
tagWNDCLASSEX | TLMTimer | TWndClass
tagWNDCLASSEXA | TLogBrush | TWndClassA
tagWNDCLASSEXW | TLogFont | TWndClassEx
tagWNDCLASSW | TLogFontA | TWndClassExA
TA_LEFT | TLogFontW | TWndClassExW
TA_MASK | TLogGradientStop | TWndClassW
TA_NOUPDATECP | TLOGPALETTE |
TA_RIGHT | TLogPen |

U

UINT UINT_PTR ULONG_PTR

V

VARIABLE_PITCH | VK_F4 | VK_NUMPAD1
VERTRES | VK_F5 | VK_NUMPAD2
VERTSIZE | VK_F6 | VK_NUMPAD3
VIETNAMESE_CHARSET | VK_F7 | VK_NUMPAD4
VK_0 | VK_F8 | VK_NUMPAD5
VK_1 | VK_F9 | VK_NUMPAD6
VK_2 | VK_FINAL | VK_NUMPAD7
VK2Char | VK_G | VK_NUMPAD8
VK_3 | VK_H | VK_NUMPAD9
VK_4 | VK_HANGUL | VK_O
VK_5 | VK_HANJA | VK_OEM_1
VK_6 | VK_HELP | VK_OEM_102
VK_7 | VK_HIGHESTVALUE | VK_OEM_2
VK_8 | VK_HOME | VK_OEM_3
VK_9 | VK_I | VK_OEM_4
VK_A | VK_INSERT | VK_OEM_5
VK_ACCEPT | VK_J | VK_OEM_6
VK_ADD | VK_JUNJA | VK_OEM_7
VK_APPS | VK_K | VK_OEM_8
VK_ATTN | VK_KANA | VK_OEM_CLEAR
VK_B | VK_KANJI | VK_OEM_COMMA
VK_BACK | VK_L | VK_OEM_MINUS
VK_BROWSER_BACK | VK_LAUNCH_APP1 | VK_OEM_PERIOD
VK_BROWSER_FAVORITES | VK_LAUNCH_APP2 | VK_OEM_PLUS
VK_BROWSER_FORWARD | VK_LAUNCH_MAIL | VK_P
VK_BROWSER_HOME | VK_LAUNCH_MEDIA_SELECT | VK_PA1
VK_BROWSER_REFRESH | VK_LBUTTON | VK_PAUSE
VK_BROWSER_SEARCH | VK_LCL_ALT | VK_PLAY
VK_BROWSER_STOP | VK_LCL_AT | VK_PRINT
VK_C | VK_LCL_BACKSLASH | VK_PRIOR
VK_CANCEL | VK_LCL_CALL | VK_PROCESSKEY
VK_CAPITAL | VK_LCL_CAPSLOCK | VK_Q
VK_CLEAR | VK_LCL_CLOSE_BRAKET | VK_R
VK_CONTROL | VK_LCL_COMMA | VK_RBUTTON
VK_CONVERT | VK_LCL_ENDCALL | VK_RCONTROL
VK_CRSEL | VK_LCL_EQUAL | VK_RETURN
VK_D | VK_LCL_LALT | VK_RIGHT
VK_DECIMAL | VK_LCL_MINUS | VK_RMENU
VK_DELETE | VK_LCL_OPEN_BRAKET | VK_RSHIFT
VK_DIVIDE | VK_LCL_POINT | VK_RWIN
VK_DOWN | VK_LCL_POWER | VK_S
VK_E | VK_LCL_QUOTE | VK_SCROLL
VK_END | VK_LCL_RALT | VK_SELECT
VK_EREOF | VK_LCL_SEMI_COMMA | VK_SEPARATOR
VK_ESCAPE | VK_LCL_SLASH | VK_SHIFT
VK_EXECUTE | VK_LCL_TILDE | VK_SLEEP
VK_EXSEL | VK_LCONTROL | VK_SNAPSHOT
VK_F | VK_LEFT | VK_SPACE
VK_F1 | VK_LMENU | VK_SUBTRACT
VK_F10 | VK_LSHIFT | VK_T
VK_F11 | VK_LWIN | VK_TAB
VK_F12 | VK_M | VK_U
VK_F13 | VK_MBUTTON | VK_UNDEFINED
VK_F14 | VK_MEDIA_NEXT_TRACK | VK_UNKNOWN
VK_F15 | VK_MEDIA_PLAY_PAUSE | VK_UP
VK_F16 | VK_MEDIA_PREV_TRACK | VK_V
VK_F17 | VK_MEDIA_STOP | VK_VOLUME_DOWN
VK_F18 | VK_MENU | VK_VOLUME_MUTE
VK_F19 | VK_MODECHANGE | VK_VOLUME_UP
VK_F2 | VK_MULTIPLY | VK_W
VK_F20 | VK_N | VK_X
VK_F21 | VK_NEXT | VK_XBUTTON1
VK_F22 | VK_NONAME | VK_XBUTTON2
VK_F23 | VK_NONCONVERT | VK_Y
VK_F24 | VK_NUMLOCK | VK_Z
VK_F3 | VK_NUMPAD0 | VK_ZOOM

W

WHITE_BRUSH | WS_EX_ACCEPTFILES | WS_GROUP
WHITENESS | WS_EX_APPWINDOW | WS_HSCROLL
WHITEONBLACK | WS_EX_CLIENTEDGE | WS_ICONIC
WHITE_PEN | WS_EX_CONTEXTHELP | WS_MAXIMIZE
WINDING | WS_EX_CONTROLPARENT | WS_MAXIMIZEBOX
WindowPos | WS_EX_DLGMODALFRAME | WS_MINIMIZE
WNDCLASS | WS_EX_LEFT | WS_MINIMIZEBOX
WNDCLASSA | WS_EX_LEFTSCROLLBAR | WS_OVERLAPPED
WNDCLASSEX | WS_EX_LTRREADING | WS_OVERLAPPEDWINDOW
WNDCLASSEXA | WS_EX_MDICHILD | WS_POPUP
WNDCLASSEXW | WS_EX_NOPARENTNOTIFY | WS_POPUPWINDOW
WNDCLASSW | WS_EX_OVERLAPPEDWINDOW | WS_SIZEBOX
WPARAM | WS_EX_PALETTEWINDOW | WS_SYSMENU
WS_BORDER | WS_EX_RIGHT | WS_TABSTOP
WS_CAPTION | WS_EX_RIGHTSCROLLBAR | WS_THICKFRAME
WS_CHILD | WS_EX_RTLREADING | WS_TILED
WS_CHILDWINDOW | WS_EX_STATICEDGE | WS_TILEDWINDOW
WS_CLIPCHILDREN | WS_EX_TOOLWINDOW | WS_VISIBLE
WS_CLIPSIBLINGS | WS_EX_TOPMOST | WS_VSCROLL
WS_DISABLED | WS_EX_TRANSPARENT |
WS_DLGFRAME | WS_EX_WINDOWEDGE |

X

XLFD_AVG_WIDTH | XLFD_FOUNDRY | XLFD_SLANT
XLFD_CHARSET_COD | XLFD_PIXELSIZE | XLFD_SPACING
XLFD_CHARSET_REG | XLFD_POINTSIZE | XLFD_STYLENAME
XLFD_FAMILY | XLFD_RESX | XLFD_WEIGHTNAME
XLFD_FONTNAME_REG | XLFD_RESY | XLFD_WIDTHNAME


INVALID_HANDLE_VALUE

Value representing an invalid (unassigned...) Handle.

Declaration

Source position: lcltype.pp line 156

const INVALID_HANDLE_VALUE = HANDLE(- 1);


JOHAB_CHARSET

Declaration

Source position: lcltype.pp line 1475

const JOHAB_CHARSET = 130;


KF_ALTDOWN

Declaration

Source position: lcltype.pp line 377

const KF_ALTDOWN = $2000;


KF_DLGMODE

Declaration

Source position: lcltype.pp line 375

const KF_DLGMODE = $800;


KF_EXTENDED

Declaration

Source position: lcltype.pp line 374

const KF_EXTENDED = $100;


KF_MENUMODE

Declaration

Source position: lcltype.pp line 376

const KF_MENUMODE = $1000;


KF_REPEAT

Declaration

Source position: lcltype.pp line 378

const KF_REPEAT = $4000;


KF_UP

Declaration

Source position: lcltype.pp line 379

const KF_UP = $8000;


LBS_DISABLENOSCROLL

Declaration

Source position: lcltype.pp line 995

const LBS_DISABLENOSCROLL = $1000;


LBS_EXTENDEDSEL

Declaration

Source position: lcltype.pp line 994

const LBS_EXTENDEDSEL = $0800;


LBS_HASSTRINGS

Declaration

Source position: lcltype.pp line 989

const LBS_HASSTRINGS = $0040;


LBS_MULTICOLUMN

Declaration

Source position: lcltype.pp line 992

const LBS_MULTICOLUMN = $0200;


LBS_MULTIPLESEL

Declaration

Source position: lcltype.pp line 986

const LBS_MULTIPLESEL = $0008;


LBS_NODATA

Declaration

Source position: lcltype.pp line 996

const LBS_NODATA = $2000;


LBS_NOINTEGRALHEIGHT

Declaration

Source position: lcltype.pp line 991

const LBS_NOINTEGRALHEIGHT = $0100;


LBS_NOREDRAW

Declaration

Source position: lcltype.pp line 985

const LBS_NOREDRAW = $0004;


LBS_NOSEL

Declaration

Source position: lcltype.pp line 997

const LBS_NOSEL = $4000;


LBS_NOTIFY

Declaration

Source position: lcltype.pp line 983

const LBS_NOTIFY = $0001;


LBS_OWNERDRAWFIXED

Declaration

Source position: lcltype.pp line 987

const LBS_OWNERDRAWFIXED = $0010;


LBS_OWNERDRAWVARIABLE

Declaration

Source position: lcltype.pp line 988

const LBS_OWNERDRAWVARIABLE = $0020;


LBS_SORT

Declaration

Source position: lcltype.pp line 984

const LBS_SORT = $0002;


LBS_STANDARD

Declaration

Source position: lcltype.pp line 998

const LBS_STANDARD = $A00003;


LBS_USETABSTOPS

Declaration

Source position: lcltype.pp line 990

const LBS_USETABSTOPS = $0080;


LBS_WANTKEYBOARDINPUT

Declaration

Source position: lcltype.pp line 993

const LBS_WANTKEYBOARDINPUT = $0400;


LF_FACESIZE

Declaration

Source position: lcltype.pp line 1415

const LF_FACESIZE = 32;


LF_FULLFACESIZE

Declaration

Source position: lcltype.pp line 1414

const LF_FULLFACESIZE = 64;


LOGBRUSH

Declaration

Source position: lcltype.pp line 2333

type LOGBRUSH = tagLOGBRUSH;


LOGFONT

Declaration

Source position: lcltype.pp line 2323

type LOGFONT = LOGFONTA;


LOGFONTA

Declaration

Source position: lcltype.pp line 2280

type LOGFONTA = record

  lfHeight: LongInt;

  lfWidth: LongInt;

  lfEscapement: LongInt;

  lfOrientation: LongInt;

  lfWeight: LongInt;

  lfItalic: Byte;

  lfUnderline: Byte;

  lfStrikeOut: Byte;

  lfCharSet: Byte;

  lfOutPrecision: Byte;

  lfClipPrecision: Byte;

  lfQuality: Byte;

  lfPitchAndFamily: Byte;

  lfFaceName: array [0..LF_FACESIZE-1] of AnsiChar;

end;


LOGFONTW

Declaration

Source position: lcltype.pp line 2297

type LOGFONTW = record

  lfHeight: LongInt;

  lfWidth: LongInt;

  lfEscapement: LongInt;

  lfOrientation: LongInt;

  lfWeight: LongInt;

  lfItalic: Byte;

  lfUnderline: Byte;

  lfStrikeOut: Byte;

  lfCharSet: Byte;

  lfOutPrecision: Byte;

  lfClipPrecision: Byte;

  lfQuality: Byte;

  lfPitchAndFamily: Byte;

  lfFaceName: array [0..LF_FACESIZE-1] of WideChar;

end;


LOGPALETTE

Declaration

Source position: lcltype.pp line 1224

type LOGPALETTE = tagLOGPALETTE;


LOGPEN

Declaration

Source position: lcltype.pp line 2415

type LOGPEN = tagLOGPEN;


LOGPIXELSX

The number of pixels per logical inch, in X (horizontal) direction.

Declaration

Source position: lcltype.pp line 2142

const LOGPIXELSX = 88;


LOGPIXELSY

The number of pixels per logical inch, in Y (vertical) direction.

Declaration

Source position: lcltype.pp line 2143

const LOGPIXELSY = 90;


LPARAM

Type of the second message argument (pointer-sized).

Declaration

Source position: lcltype.pp line 118

type LPARAM = type PtrInt;


LPLOGFONT

Declaration

Source position: lcltype.pp line 2324

type LPLOGFONT = ^LOGFONT;


LR_COLOR

Declaration

Source position: lcltype.pp line 2251

const LR_COLOR = $0002;


LR_COPYDELETEORG

Declaration

Source position: lcltype.pp line 2253

const LR_COPYDELETEORG = $0008;


LR_COPYFROMRESOURCE

Declaration

Source position: lcltype.pp line 2260

const LR_COPYFROMRESOURCE = $4000;


LR_COPYRETURNORG

Declaration

Source position: lcltype.pp line 2252

const LR_COPYRETURNORG = $0004;


LR_CREATEDIBSECTION

Declaration

Source position: lcltype.pp line 2259

const LR_CREATEDIBSECTION = $2000;


LR_DEFAULTCOLOR

Declaration

Source position: lcltype.pp line 2249

const LR_DEFAULTCOLOR = $0000;


LR_DEFAULTSIZE

Declaration

Source position: lcltype.pp line 2256

const LR_DEFAULTSIZE = $0040;


LR_LOADFROMFILE

Declaration

Source position: lcltype.pp line 2254

const LR_LOADFROMFILE = $0010;


LR_LOADMAP3DCOLORS

Declaration

Source position: lcltype.pp line 2258

const LR_LOADMAP3DCOLORS = $1000;


LR_LOADTRANSPARENT

Declaration

Source position: lcltype.pp line 2255

const LR_LOADTRANSPARENT = $0020;


LR_MONOCHROME

Declaration

Source position: lcltype.pp line 2250

const LR_MONOCHROME = $0001;


LR_SHARED

Declaration

Source position: lcltype.pp line 2261

const LR_SHARED = $8000;


LR_VGACOLOR

Declaration

Source position: lcltype.pp line 2257

const LR_VGACOLOR = $0080;


LRESULT

Type of a message result (pointer-sized).

Declaration

Source position: lcltype.pp line 119

type LRESULT = type PtrInt;


LTGRAY_BRUSH

Declaration

Source position: lcltype.pp line 1780

const LTGRAY_BRUSH = 1;


LVIF_IMAGE

Declaration

Source position: lcltype.pp line 2937

const LVIF_IMAGE = $0002;


LVIF_INDENT

Declaration

Source position: lcltype.pp line 2940

const LVIF_INDENT = $0010;


LVIF_NORECOMPUTE

Declaration

Source position: lcltype.pp line 2941

const LVIF_NORECOMPUTE = $0800;


LVIF_PARAM

Declaration

Source position: lcltype.pp line 2938

const LVIF_PARAM = $0004;


LVIF_STATE

Declaration

Source position: lcltype.pp line 2939

const LVIF_STATE = $0008;


LVIF_TEXT

Declaration

Source position: lcltype.pp line 2936

const LVIF_TEXT = $0001;


LVIS_ACTIVATING

Declaration

Source position: lcltype.pp line 2947

const LVIS_ACTIVATING = $0020;


LVIS_CUT

Declaration

Source position: lcltype.pp line 2945

const LVIS_CUT = $0004;


LVIS_DROPHILITED

Declaration

Source position: lcltype.pp line 2946

const LVIS_DROPHILITED = $0008;


LVIS_FOCUSED

Declaration

Source position: lcltype.pp line 2943

const LVIS_FOCUSED = $0001;


LVIS_OVERLAYMASK

Declaration

Source position: lcltype.pp line 2949

const LVIS_OVERLAYMASK = $0F00;


LVIS_SELECTED

Declaration

Source position: lcltype.pp line 2944

const LVIS_SELECTED = $0002;


LVIS_STATEIMAGEMASK

Declaration

Source position: lcltype.pp line 2950

const LVIS_STATEIMAGEMASK = $F000;


LVN_BEGINDRAG

Declaration

Source position: lcltype.pp line 2917

const LVN_BEGINDRAG = LVN_FIRST - 9;


LVN_BEGINLABELEDIT

Declaration

Source position: lcltype.pp line 2927

const LVN_BEGINLABELEDIT = LVN_FIRST - 75;


LVN_BEGINRDRAG

Declaration

Source position: lcltype.pp line 2918

const LVN_BEGINRDRAG = LVN_FIRST - 11;


LVN_BEGINSCROLL

Declaration

Source position: lcltype.pp line 2932

const LVN_BEGINSCROLL = LVN_FIRST - 80;


LVN_COLUMNCLICK

Declaration

Source position: lcltype.pp line 2916

const LVN_COLUMNCLICK = LVN_FIRST - 8;


LVN_DELETEALLITEMS

Declaration

Source position: lcltype.pp line 2915

const LVN_DELETEALLITEMS = LVN_FIRST - 4;


LVN_DELETEITEM

Declaration

Source position: lcltype.pp line 2914

const LVN_DELETEITEM = LVN_FIRST - 3;


LVN_ENDLABELEDIT

Declaration

Source position: lcltype.pp line 2928

const LVN_ENDLABELEDIT = LVN_FIRST - 76;


LVN_ENDSCROLL

Declaration

Source position: lcltype.pp line 2933

const LVN_ENDSCROLL = LVN_FIRST - 81;


LVN_FIRST

Declaration

Source position: lcltype.pp line 2871

const LVN_FIRST = - 100;


LVN_GETDISPINFO

Declaration

Source position: lcltype.pp line 2929

const LVN_GETDISPINFO = LVN_FIRST - 77;


LVN_GETINFOTIP

Declaration

Source position: lcltype.pp line 2925

const LVN_GETINFOTIP = LVN_FIRST - 58;


LVN_HOTTRACK

Declaration

Source position: lcltype.pp line 2922

const LVN_HOTTRACK = LVN_FIRST - 21;


LVN_INCREMENTALSEARCH

Declaration

Source position: lcltype.pp line 2926

const LVN_INCREMENTALSEARCH = LVN_FIRST - 63;


LVN_INSERTITEM

Declaration

Source position: lcltype.pp line 2913

const LVN_INSERTITEM = LVN_FIRST - 2;


LVN_ITEMACTIVATE

Declaration

Source position: lcltype.pp line 2920

const LVN_ITEMACTIVATE = LVN_FIRST - 14;


LVN_ITEMCHANGED

Declaration

Source position: lcltype.pp line 2912

const LVN_ITEMCHANGED = LVN_FIRST - 1;


LVN_ITEMCHANGING

Declaration

Source position: lcltype.pp line 2911

const LVN_ITEMCHANGING = LVN_FIRST - 0;


LVN_KEYDOWN

Declaration

Source position: lcltype.pp line 2923

const LVN_KEYDOWN = LVN_FIRST - 55;


LVN_LAST

Declaration

Source position: lcltype.pp line 2872

const LVN_LAST = - 199;


LVN_MARQUEEBEGIN

Declaration

Source position: lcltype.pp line 2924

const LVN_MARQUEEBEGIN = LVN_FIRST - 56;


LVN_ODCACHEHINT

Declaration

Source position: lcltype.pp line 2919

const LVN_ODCACHEHINT = LVN_FIRST - 13;


LVN_ODFINDITEM

Declaration

Source position: lcltype.pp line 2931

const LVN_ODFINDITEM = LVN_FIRST - 79;


LVN_ODSTATECHANGED

Declaration

Source position: lcltype.pp line 2921

const LVN_ODSTATECHANGED = LVN_FIRST - 15;


LVN_SETDISPINFO

Declaration

Source position: lcltype.pp line 2930

const LVN_SETDISPINFO = LVN_FIRST - 78;


MAC_CHARSET

Declaration

Source position: lcltype.pp line 1472

const MAC_CHARSET = 77;


MAX_SYS_COLORS

Declaration

Source position: lcltype.pp line 1705

const MAX_SYS_COLORS = COLOR_ENDCOLORS;


MAXBYTE

Maximal value of the WinAPI BYTE type ($FF).

Declaration

Source position: lcltype.pp line 158

const MAXBYTE = Byte($FF);


MAXCHAR

Maximal value of the WinAPI CHAR type ($7F).

Declaration

Source position: lcltype.pp line 163

const MAXCHAR = $7F;


MAXDWORD

Maximal value of the WinAPI DWORD type ($FFFF FFFF).

Declaration

Source position: lcltype.pp line 160

const MAXDWORD = DWord($FFFFFFFF);


MAXLONG

Maximal value of the WinAPI LONG type ($7FFF FFFF).

Declaration

Source position: lcltype.pp line 167

const MAXLONG = $7FFFFFFF;


MAXSHORT

Maximal value of the WinAPI SHORT type ($7FFF).

Declaration

Source position: lcltype.pp line 165

const MAXSHORT = $7FFF;


MAXSTRETCHBLTMODE

Declaration

Source position: lcltype.pp line 2177

const MAXSTRETCHBLTMODE = 4;


MAXWORD

Maximal value of the WinAPI WORD type ($FFFF).

Declaration

Source position: lcltype.pp line 159

const MAXWORD = Word($FFFF);


MB_ABORTRETRYIGNORE

Declaration

Source position: lcltype.pp line 762

const MB_ABORTRETRYIGNORE = $00000002;


MB_CANCELTRYCONTINUE

Declaration

Source position: lcltype.pp line 766

const MB_CANCELTRYCONTINUE = $00000006;


MB_DEFBUTTON1

Declaration

Source position: lcltype.pp line 789

const MB_DEFBUTTON1 = $00000000;


MB_DEFBUTTON2

Declaration

Source position: lcltype.pp line 790

const MB_DEFBUTTON2 = $00000100;


MB_DEFBUTTON3

Declaration

Source position: lcltype.pp line 791

const MB_DEFBUTTON3 = $00000200;


MB_DEFBUTTON4

Declaration

Source position: lcltype.pp line 792

const MB_DEFBUTTON4 = $00000300;


MB_HELP

Declaration

Source position: lcltype.pp line 768

const MB_HELP = $00004000;


MB_ICONASTERISK

Declaration

Source position: lcltype.pp line 773

const MB_ICONASTERISK = $00000040;


MB_ICONERROR

Declaration

Source position: lcltype.pp line 775

const MB_ICONERROR = MB_ICONHAND;


MB_ICONEXCLAMATION

Declaration

Source position: lcltype.pp line 772

const MB_ICONEXCLAMATION = $00000030;


MB_ICONHAND

Declaration

Source position: lcltype.pp line 770

const MB_ICONHAND = $00000010;


MB_ICONINFORMATION

Declaration

Source position: lcltype.pp line 777

const MB_ICONINFORMATION = MB_ICONASTERISK;


MB_ICONQUESTION

Declaration

Source position: lcltype.pp line 771

const MB_ICONQUESTION = $00000020;


MB_ICONSTOP

Declaration

Source position: lcltype.pp line 776

const MB_ICONSTOP = MB_ICONHAND;


MB_ICONWARNING

Declaration

Source position: lcltype.pp line 774

const MB_ICONWARNING = MB_ICONEXCLAMATION;


MB_OK

Declaration

Source position: lcltype.pp line 760

const MB_OK = $00000000;


MB_OKCANCEL

Declaration

Source position: lcltype.pp line 761

const MB_OKCANCEL = $00000001;


MB_RETRYCANCEL

Declaration

Source position: lcltype.pp line 765

const MB_RETRYCANCEL = $00000005;


MB_YESNO

Declaration

Source position: lcltype.pp line 764

const MB_YESNO = $00000004;


MB_YESNOCANCEL

Declaration

Source position: lcltype.pp line 763

const MB_YESNOCANCEL = $00000003;


MERGECOPY

Ternary raster operation (Dst op Src op Pattern): Fills the destination area with (Src and Pattern)

Declaration

Source position: lcltype.pp line 202

const MERGECOPY = $00C000CA;

See also

#lcl.LCLIntf.BitBlt

Copies a section of a Canvas to another one, performing a raster operation (ROP).


MERGEPAINT

Ternary raster operation (Dst op Src op Pattern): Fills the destination area with (Dst or not Src)

Declaration

Source position: lcltype.pp line 203

const MERGEPAINT = $00BB0226;

See also

#lcl.LCLIntf.BitBlt

Copies a section of a Canvas to another one, performing a raster operation (ROP).


MF_BITMAP

Declaration

Source position: lcltype.pp line 348

const MF_BITMAP = 4;


MF_BYCOMMAND

Find menu item by command ID.

Declaration

Source position: lcltype.pp line 333

const MF_BYCOMMAND = 0;


MF_BYHANDLE

Declaration

Source position: lcltype.pp line 335

const MF_BYHANDLE = $800;


MF_BYPOSITION

Find menu item by position number.

Declaration

Source position: lcltype.pp line 334

const MF_BYPOSITION = $400;


MF_CHECKED

Declaration

Source position: lcltype.pp line 344

const MF_CHECKED = 8;


MF_DEFAULT

Declaration

Source position: lcltype.pp line 358

const MF_DEFAULT = $1000;


MF_DISABLED

Declaration

Source position: lcltype.pp line 341

const MF_DISABLED = 2;


MF_ENABLED

Declaration

Source position: lcltype.pp line 339

const MF_ENABLED = 0;


MF_GRAYED

Declaration

Source position: lcltype.pp line 340

const MF_GRAYED = 1;


MF_HELP

Declaration

Source position: lcltype.pp line 360

const MF_HELP = $4000;


MF_HILITE

Declaration

Source position: lcltype.pp line 356

const MF_HILITE = $80;


MF_MENUBARBREAK

Declaration

Source position: lcltype.pp line 352

const MF_MENUBARBREAK = $20;


MF_MENUBREAK

Declaration

Source position: lcltype.pp line 353

const MF_MENUBREAK = $40;


MF_MOUSESELECT

Declaration

Source position: lcltype.pp line 363

const MF_MOUSESELECT = $8000;


MF_OWNERDRAW

Declaration

Source position: lcltype.pp line 349

const MF_OWNERDRAW = $100;


MF_POPUP

Declaration

Source position: lcltype.pp line 351

const MF_POPUP = $10;


MF_RIGHTJUSTIFY

Declaration

Source position: lcltype.pp line 361

const MF_RIGHTJUSTIFY = $4000;


MF_SEPARATOR

Declaration

Source position: lcltype.pp line 337

const MF_SEPARATOR = $800;


MF_STRING

Declaration

Source position: lcltype.pp line 347

const MF_STRING = 0;


MF_SYSMENU

Declaration

Source position: lcltype.pp line 359

const MF_SYSMENU = $2000;


MF_UNCHECKED

Declaration

Source position: lcltype.pp line 343

const MF_UNCHECKED = 0;


MF_UNHILITE

Declaration

Source position: lcltype.pp line 355

const MF_UNHILITE = 0;


MF_UNSUPPORTED

Declaration

Source position: lcltype.pp line 365

const MF_UNSUPPORTED = $FFFFFFFF;


MF_USECHECKBITMAPS

Declaration

Source position: lcltype.pp line 345

const MF_USECHECKBITMAPS = $200;


MINCHAR

Minimal value of the WinAPI CHAR type ($80).

Declaration

Source position: lcltype.pp line 162

const MINCHAR = $80;


MINLONG

Minimal value of the WinAPI LONG type ($8000 0000).

Declaration

Source position: lcltype.pp line 166

const MINLONG = DWord($80000000);


MINSHORT

Minimal value of the WinAPI SHORT type ($8000).

Declaration

Source position: lcltype.pp line 164

const MINSHORT = $8000;


MK_ALT

Declaration

Source position: lcltype.pp line 2839

const MK_ALT = $20000000;


MK_CONTROL

A key state constant to represent the control key, equivalent to ssCtrl from TShiftState

Declaration

Source position: lcltype.pp line 2831

const MK_CONTROL = 8;

See also

#RTL.Classes.TShiftState
#LCL.Forms.ShiftStateToKeys | Converts a shift state into a key state value compatible with the key state of a Windows API LParam
#LCL.Forms.KeyDataToShiftState | Converts modifier keys from the LParam of a keyboard message (WM_KEYUP for example) to a TShiftState
#LCL.Forms.ShiftStateToKeys | Converts a shift state into a key state value compatible with the key state of a Windows API LParam
MK_Shift | A key state constant to represent the shift key, equivalent to ssShift from TShiftState
MK_LButton | A key state constant to represent the left mouse button, equivalent to ssLeft from TShiftState
MK_RButton | A key state constant to represent the right mouse button, equivalent to ssRight from TShiftState
MK_MButton | A key state constant to represent the middle mouse button, equivalent to ssMiddle from TShiftState
MK_XBUTTON1 | A key state constant to represent the first extra mouse button, equivalent to ssExtra1 from TShiftState
MK_XBUTTON2 | A key state constant to represent the second extra mouse button, equivalent to ssExtra2 from TShiftState


MK_DOUBLECLICK

Declaration

Source position: lcltype.pp line 2836

const MK_DOUBLECLICK = $80;


MK_LBUTTON

A key state constant to represent the left mouse button, equivalent to ssLeft from TShiftState

Declaration

Source position: lcltype.pp line 2828

const MK_LBUTTON = 1;

See also

#RTL.Classes.TShiftState
#LCL.Forms.ShiftStateToKeys | Converts a shift state into a key state value compatible with the key state of a Windows API LParam
#LCL.Forms.KeyDataToShiftState | Converts modifier keys from the LParam of a keyboard message (WM_KEYUP for example) to a TShiftState
#LCL.Forms.ShiftStateToKeys | Converts a shift state into a key state value compatible with the key state of a Windows API LParam
MK_Shift | A key state constant to represent the shift key, equivalent to ssShift from TShiftState
MK_Control | A key state constant to represent the control key, equivalent to ssCtrl from TShiftState
MK_RButton | A key state constant to represent the right mouse button, equivalent to ssRight from TShiftState
MK_MButton | A key state constant to represent the middle mouse button, equivalent to ssMiddle from TShiftState
MK_XBUTTON1 | A key state constant to represent the first extra mouse button, equivalent to ssExtra1 from TShiftState
MK_XBUTTON2 | A key state constant to represent the second extra mouse button, equivalent to ssExtra2 from TShiftState


MK_MBUTTON

A key state constant to represent the middle mouse button, equivalent to ssMiddle from TShiftState

Declaration

Source position: lcltype.pp line 2832

const MK_MBUTTON = $10;

See also

#RTL.Classes.TShiftState
#LCL.Forms.ShiftStateToKeys | Converts a shift state into a key state value compatible with the key state of a Windows API LParam
#LCL.Forms.KeyDataToShiftState | Converts modifier keys from the LParam of a keyboard message (WM_KEYUP for example) to a TShiftState
#LCL.Forms.ShiftStateToKeys | Converts a shift state into a key state value compatible with the key state of a Windows API LParam
MK_Shift | A key state constant to represent the shift key, equivalent to ssShift from TShiftState
MK_Control | A key state constant to represent the control key, equivalent to ssCtrl from TShiftState
MK_LButton | A key state constant to represent the left mouse button, equivalent to ssLeft from TShiftState
MK_RButton | A key state constant to represent the right mouse button, equivalent to ssRight from TShiftState
MK_XBUTTON1 | A key state constant to represent the first extra mouse button, equivalent to ssExtra1 from TShiftState
MK_XBUTTON2 | A key state constant to represent the second extra mouse button, equivalent to ssExtra2 from TShiftState


MK_QUADCLICK

Declaration

Source position: lcltype.pp line 2838

const MK_QUADCLICK = $200;


MK_RBUTTON

A key state constant to represent the right mouse button, equivalent to ssRight from TShiftState

Declaration

Source position: lcltype.pp line 2829

const MK_RBUTTON = 2;

See also

#RTL.Classes.TShiftState
#LCL.Forms.ShiftStateToKeys | Converts a shift state into a key state value compatible with the key state of a Windows API LParam
#LCL.Forms.KeyDataToShiftState | Converts modifier keys from the LParam of a keyboard message (WM_KEYUP for example) to a TShiftState
#LCL.Forms.ShiftStateToKeys | Converts a shift state into a key state value compatible with the key state of a Windows API LParam
MK_Shift | A key state constant to represent the shift key, equivalent to ssShift from TShiftState
MK_Control | A key state constant to represent the control key, equivalent to ssCtrl from TShiftState
MK_LButton | A key state constant to represent the left mouse button, equivalent to ssLeft from TShiftState
MK_MButton | A key state constant to represent the middle mouse button, equivalent to ssMiddle from TShiftState
MK_XBUTTON1 | A key state constant to represent the first extra mouse button, equivalent to ssExtra1 from TShiftState
MK_XBUTTON2 | A key state constant to represent the second extra mouse button, equivalent to ssExtra2 from TShiftState


MK_SHIFT

A key state constant to represent the shift key, equivalent to ssShift from TShiftState

Declaration

Source position: lcltype.pp line 2830

const MK_SHIFT = 4;

See also

#RTL.Classes.TShiftState
#LCL.Forms.ShiftStateToKeys | Converts a shift state into a key state value compatible with the key state of a Windows API LParam
#LCL.Forms.KeyDataToShiftState | Converts modifier keys from the LParam of a keyboard message (WM_KEYUP for example) to a TShiftState
#LCL.Forms.ShiftStateToKeys | Converts a shift state into a key state value compatible with the key state of a Windows API LParam
MK_Control | A key state constant to represent the control key, equivalent to ssCtrl from TShiftState
MK_LButton | A key state constant to represent the left mouse button, equivalent to ssLeft from TShiftState
MK_RButton | A key state constant to represent the right mouse button, equivalent to ssRight from TShiftState
MK_MButton | A key state constant to represent the middle mouse button, equivalent to ssMiddle from TShiftState
MK_XBUTTON1 | A key state constant to represent the first extra mouse button, equivalent to ssExtra1 from TShiftState
MK_XBUTTON2 | A key state constant to represent the second extra mouse button, equivalent to ssExtra2 from TShiftState


MK_TRIPLECLICK

Declaration

Source position: lcltype.pp line 2837

const MK_TRIPLECLICK = $100;


MK_XBUTTON1

A key state constant to represent the first extra mouse button, equivalent to ssExtra1 from TShiftState

Declaration

Source position: lcltype.pp line 2833

const MK_XBUTTON1 = $20;

See also

#RTL.Classes.TShiftState
#LCL.Forms.ShiftStateToKeys | Converts a shift state into a key state value compatible with the key state of a Windows API LParam
#LCL.Forms.KeyDataToShiftState | Converts modifier keys from the LParam of a keyboard message (WM_KEYUP for example) to a TShiftState
#LCL.Forms.ShiftStateToKeys | Converts a shift state into a key state value compatible with the key state of a Windows API LParam
MK_Shift | A key state constant to represent the shift key, equivalent to ssShift from TShiftState
MK_Control | A key state constant to represent the control key, equivalent to ssCtrl from TShiftState
MK_LButton | A key state constant to represent the left mouse button, equivalent to ssLeft from TShiftState
MK_RButton | A key state constant to represent the right mouse button, equivalent to ssRight from TShiftState
MK_MButton | A key state constant to represent the middle mouse button, equivalent to ssMiddle from TShiftState
MK_XBUTTON2 | A key state constant to represent the second extra mouse button, equivalent to ssExtra2 from TShiftState


MK_XBUTTON2

A key state constant to represent the second extra mouse button, equivalent to ssExtra2 from TShiftState

Declaration

Source position: lcltype.pp line 2834

const MK_XBUTTON2 = $40;

See also

#RTL.Classes.TShiftState
#LCL.Forms.ShiftStateToKeys | Converts a shift state into a key state value compatible with the key state of a Windows API LParam
#LCL.Forms.KeyDataToShiftState | Converts modifier keys from the LParam of a keyboard message (WM_KEYUP for example) to a TShiftState
#LCL.Forms.ShiftStateToKeys | Converts a shift state into a key state value compatible with the key state of a Windows API LParam
MK_Shift | A key state constant to represent the shift key, equivalent to ssShift from TShiftState
MK_Control | A key state constant to represent the control key, equivalent to ssCtrl from TShiftState
MK_LButton | A key state constant to represent the left mouse button, equivalent to ssLeft from TShiftState
MK_RButton | A key state constant to represent the right mouse button, equivalent to ssRight from TShiftState
MK_MButton | A key state constant to represent the middle mouse button, equivalent to ssMiddle from TShiftState
MK_XBUTTON1 | A key state constant to represent the first extra mouse button, equivalent to ssExtra1 from TShiftState


MM_ANISOTROPIC

Declaration

Source position: lcltype.pp line 1639

const MM_ANISOTROPIC = 8;


MM_HIENGLISH

Declaration

Source position: lcltype.pp line 1636

const MM_HIENGLISH = 5;


MM_HIMETRIC

Declaration

Source position: lcltype.pp line 1634

const MM_HIMETRIC = 3;


MM_ISOTROPIC

Declaration

Source position: lcltype.pp line 1638

const MM_ISOTROPIC = 7;


MM_LOENGLISH

Declaration

Source position: lcltype.pp line 1635

const MM_LOENGLISH = 4;


MM_LOMETRIC

Declaration

Source position: lcltype.pp line 1633

const MM_LOMETRIC = 2;


MM_TEXT

Declaration

Source position: lcltype.pp line 1632

const MM_TEXT = 1;


MM_TWIPS

Declaration

Source position: lcltype.pp line 1637

const MM_TWIPS = 6;


MONITOR_DEFAULTTONEAREST

Declaration

Source position: lcltype.pp line 1082

const MONITOR_DEFAULTTONEAREST = $00000002;


MONITOR_DEFAULTTONULL

Declaration

Source position: lcltype.pp line 1080

const MONITOR_DEFAULTTONULL = $00000000;


MONITOR_DEFAULTTOPRIMARY

Declaration

Source position: lcltype.pp line 1081

const MONITOR_DEFAULTTOPRIMARY = $00000001;


MONITOR_DPI_TYPE

Declaration

Source position: lcltype.pp line 1117

type MONITOR_DPI_TYPE = (

  MDT_EFFECTIVE_DPI = 0,

  MDT_ANGULAR_DPI = 1,

  MDT_RAW_DPI = 2,

  MDT_DEFAULT = MDT_EFFECTIVE_DPI

);


MONITOR_UNIMPL

Declaration

Source position: lcltype.pp line 1078

const MONITOR_UNIMPL = HMONITOR(- 1);


MonitorEnumProc

Declaration

Source position: lcltype.pp line 2535

type MonitorEnumProc = function(

  hMonitor: HMONITOR;

  hdcMonitor: HDC;

  lprcMonitor: PRect;

  dwData: LPARAM

):LongBool;


MONITORINFOF_PRIMARY

Declaration

Source position: lcltype.pp line 1084

const MONITORINFOF_PRIMARY = $00000001;


MONO_FONT

Declaration

Source position: lcltype.pp line 1447

const MONO_FONT = 8;


Move_Default

Declaration

Source position: lcltype.pp line 883

const Move_Default = 0;


Move_SourceIsInterface

Declaration

Source position: lcltype.pp line 884

const Move_SourceIsInterface = 128;


MSGF_DIALOGBOX

Declaration

Source position: lcltype.pp line 316

const MSGF_DIALOGBOX = 0;


MSGF_MENU

Declaration

Source position: lcltype.pp line 318

const MSGF_MENU = 2;


MSGF_MESSAGEBOX

Declaration

Source position: lcltype.pp line 317

const MSGF_MESSAGEBOX = 1;


MSGF_MOVE

Declaration

Source position: lcltype.pp line 319

const MSGF_MOVE = 3;


MSGF_NEXTWINDOW

Declaration

Source position: lcltype.pp line 322

const MSGF_NEXTWINDOW = 6;


MSGF_SCROLLBAR

Declaration

Source position: lcltype.pp line 321

const MSGF_SCROLLBAR = 5;


MSGF_SIZE

Declaration

Source position: lcltype.pp line 320

const MSGF_SIZE = 4;


NM_CHAR

Declaration

Source position: lcltype.pp line 2866

const NM_CHAR = NM_FIRST - 18;


NM_CLICK

Declaration

Source position: lcltype.pp line 2853

const NM_CLICK = NM_FIRST - 2;


NM_CUSTOMDRAW

Declaration

Source position: lcltype.pp line 2860

const NM_CUSTOMDRAW = NM_FIRST - 12;


NM_DBLCLK

Declaration

Source position: lcltype.pp line 2854

const NM_DBLCLK = NM_FIRST - 3;


NM_FIRST

Declaration

Source position: lcltype.pp line 2851

const NM_FIRST = 0;


NM_HOVER

Declaration

Source position: lcltype.pp line 2861

const NM_HOVER = NM_FIRST - 13;


NM_KEYDOWN

Declaration

Source position: lcltype.pp line 2863

const NM_KEYDOWN = NM_FIRST - 15;


NM_KILLFOCUS

Declaration

Source position: lcltype.pp line 2859

const NM_KILLFOCUS = NM_FIRST - 8;


NM_LAST

Declaration

Source position: lcltype.pp line 2868

const NM_LAST = NM_FIRST - 99;


NM_LISTVIEW

Declaration

Source position: lcltype.pp line 2965

type NM_LISTVIEW = TNMListView;


NM_NCHITTEST

Declaration

Source position: lcltype.pp line 2862

const NM_NCHITTEST = NM_FIRST - 14;


NM_OUTOFMEMORY

Declaration

Source position: lcltype.pp line 2852

const NM_OUTOFMEMORY = NM_FIRST - 1;


NM_RCLICK

Declaration

Source position: lcltype.pp line 2856

const NM_RCLICK = NM_FIRST - 5;


NM_RDBLCLK

Declaration

Source position: lcltype.pp line 2857

const NM_RDBLCLK = NM_FIRST - 6;


NM_RELEASEDCAPTURE

Declaration

Source position: lcltype.pp line 2864

const NM_RELEASEDCAPTURE = NM_FIRST - 16;


NM_RETURN

Declaration

Source position: lcltype.pp line 2855

const NM_RETURN = NM_FIRST - 4;


NM_SETCURSOR

Declaration

Source position: lcltype.pp line 2865

const NM_SETCURSOR = NM_FIRST - 17;


NM_SETFOCUS

Declaration

Source position: lcltype.pp line 2858

const NM_SETFOCUS = NM_FIRST - 7;


NMHDR

Declaration

Source position: lcltype.pp line 1066

type NMHDR = tagNMHDR;


NONANTIALIASED_QUALITY

Declaration

Source position: lcltype.pp line 1439

const NONANTIALIASED_QUALITY = 3;


NOTSRCCOPY

Ternary raster operation (Dst op Src op Pattern): Fills the destination area with (not Src)

Declaration

Source position: lcltype.pp line 200

const NOTSRCCOPY = $00330008;

See also

#lcl.LCLIntf.BitBlt

Copies a section of a Canvas to another one, performing a raster operation (ROP).


NOTSRCERASE

Ternary raster operation (Dst op Src op Pattern): Fills the destination area with (not (Dst or Src))

Declaration

Source position: lcltype.pp line 201

const NOTSRCERASE = $001100A6;

See also

#lcl.LCLIntf.BitBlt

Copies a section of a Canvas to another one, performing a raster operation (ROP).


NULL_BRUSH

Declaration

Source position: lcltype.pp line 1784

const NULL_BRUSH = 5;


NULL_PEN

Declaration

Source position: lcltype.pp line 1788

const NULL_PEN = 8;


NullRegion

Declaration

Source position: lcltype.pp line 796

const NullRegion = 1;


NUMCOLORS

Declaration

Source position: lcltype.pp line 2141

const NUMCOLORS = 24;


NUMRESERVED

Number of reserved entries in the color palette

Declaration

Source position: lcltype.pp line 2145

const NUMRESERVED = 106;


OBJ_BITMAP

Declaration

Source position: lcltype.pp line 1838

const OBJ_BITMAP = 7;


OBJ_BRUSH

Declaration

Source position: lcltype.pp line 1833

const OBJ_BRUSH = 2;


OBJ_COLORSPACE

Declaration

Source position: lcltype.pp line 1845

const OBJ_COLORSPACE = 14;


OBJ_DC

Declaration

Source position: lcltype.pp line 1834

const OBJ_DC = 3;


OBJ_ENHMETADC

Declaration

Source position: lcltype.pp line 1843

const OBJ_ENHMETADC = 12;


OBJ_ENHMETAFILE

Declaration

Source position: lcltype.pp line 1844

const OBJ_ENHMETAFILE = 13;


OBJ_EXTPEN

Declaration

Source position: lcltype.pp line 1842

const OBJ_EXTPEN = 11;


OBJ_FONT

Declaration

Source position: lcltype.pp line 1837

const OBJ_FONT = 6;


OBJ_MEMDC

Declaration

Source position: lcltype.pp line 1841

const OBJ_MEMDC = 10;


OBJ_METADC

Declaration

Source position: lcltype.pp line 1835

const OBJ_METADC = 4;


OBJ_METAFILE

Declaration

Source position: lcltype.pp line 1840

const OBJ_METAFILE = 9;


OBJ_PAL

Declaration

Source position: lcltype.pp line 1836

const OBJ_PAL = 5;


OBJ_PEN

Declaration

Source position: lcltype.pp line 1832

const OBJ_PEN = 1;


OBJ_REGION

Declaration

Source position: lcltype.pp line 1839

const OBJ_REGION = 8;


ODA_DRAWENTIRE

Declaration

Source position: lcltype.pp line 730

const ODA_DRAWENTIRE = 1;


ODA_FOCUS

Declaration

Source position: lcltype.pp line 732

const ODA_FOCUS = 4;


ODA_SELECT

Declaration

Source position: lcltype.pp line 731

const ODA_SELECT = 2;


ODS_CHECKED

Declaration

Source position: lcltype.pp line 738

const ODS_CHECKED = $0008;


ODS_COMBOBOXEDIT

Declaration

Source position: lcltype.pp line 745

const ODS_COMBOBOXEDIT = $1000;


ODS_DEFAULT

Declaration

Source position: lcltype.pp line 740

const ODS_DEFAULT = $0020;


ODS_DISABLED

Declaration

Source position: lcltype.pp line 737

const ODS_DISABLED = $0004;


ODS_FOCUS

Declaration

Source position: lcltype.pp line 739

const ODS_FOCUS = $0010;


ODS_GRAYED

Declaration

Source position: lcltype.pp line 736

const ODS_GRAYED = $0002;


ODS_HOTLIGHT

Declaration

Source position: lcltype.pp line 741

const ODS_HOTLIGHT = $0040;


ODS_INACTIVE

Declaration

Source position: lcltype.pp line 742

const ODS_INACTIVE = $0080;


ODS_NOACCEL

Declaration

Source position: lcltype.pp line 743

const ODS_NOACCEL = $0100;


ODS_NOFOCUSRECT

Declaration

Source position: lcltype.pp line 744

const ODS_NOFOCUSRECT = $0200;


ODS_SELECTED

Declaration

Source position: lcltype.pp line 735

const ODS_SELECTED = $0001;


ODT_BUTTON

Declaration

Source position: lcltype.pp line 722

const ODT_BUTTON = 4;


ODT_COMBOBOX

Declaration

Source position: lcltype.pp line 721

const ODT_COMBOBOX = 3;


ODT_HEADER

Declaration

Source position: lcltype.pp line 725

const ODT_HEADER = 100;


ODT_LISTBOX

Declaration

Source position: lcltype.pp line 720

const ODT_LISTBOX = 2;


ODT_LISTVIEW

Declaration

Source position: lcltype.pp line 727

const ODT_LISTVIEW = 102;


ODT_MENU

Declaration

Source position: lcltype.pp line 719

const ODT_MENU = 1;


ODT_STATIC

Declaration

Source position: lcltype.pp line 723

const ODT_STATIC = 5;


ODT_TAB

Declaration

Source position: lcltype.pp line 726

const ODT_TAB = 101;


OEM_CHARSET

Declaration

Source position: lcltype.pp line 1487

const OEM_CHARSET = 255;


OEM_FIXED_FONT

Declaration

Source position: lcltype.pp line 1789

const OEM_FIXED_FONT = 10;


OPAQUE

Declaration

Source position: lcltype.pp line 1404

const OPAQUE = 2;


OUT_CHARACTER_PRECIS

Declaration

Source position: lcltype.pp line 1419

const OUT_CHARACTER_PRECIS = 2;


OUT_DEFAULT_PRECIS

Declaration

Source position: lcltype.pp line 1417

const OUT_DEFAULT_PRECIS = 0;


OUT_DEVICE_PRECIS

Declaration

Source position: lcltype.pp line 1422

const OUT_DEVICE_PRECIS = 5;


OUT_OUTLINE_PRECIS

Declaration

Source position: lcltype.pp line 1425

const OUT_OUTLINE_PRECIS = 8;


OUT_RASTER_PRECIS

Declaration

Source position: lcltype.pp line 1423

const OUT_RASTER_PRECIS = 6;


OUT_SCREEN_OUTLINE_PRECIS

Declaration

Source position: lcltype.pp line 1426

const OUT_SCREEN_OUTLINE_PRECIS = 9;


OUT_STRING_PRECIS

Declaration

Source position: lcltype.pp line 1418

const OUT_STRING_PRECIS = 1;


OUT_STROKE_PRECIS

Declaration

Source position: lcltype.pp line 1420

const OUT_STROKE_PRECIS = 3;


OUT_TT_ONLY_PRECIS

Declaration

Source position: lcltype.pp line 1424

const OUT_TT_ONLY_PRECIS = 7;


OUT_TT_PRECIS

Declaration

Source position: lcltype.pp line 1421

const OUT_TT_PRECIS = 4;


PABC

Declaration

Source position: lcltype.pp line 214

type PABC = ^TABC;


PAINTSTRUCT

Declaration

Source position: lcltype.pp line 1179

type PAINTSTRUCT = tagPAINTSTRUCT;


PALETTEENTRY

Declaration

Source position: lcltype.pp line 1216

type PALETTEENTRY = tagPALETTEENTRY;


PATCOPY

Ternary raster operation (Dst op Src op Pattern): Fills the destination area with (Pattern)

Declaration

Source position: lcltype.pp line 204

const PATCOPY = $00F00021;

See also

#lcl.LCLIntf.BitBlt

Copies a section of a Canvas to another one, performing a raster operation (ROP).


PATINVERT

Ternary raster operation (Dst op Src op Pattern): Fills the destination area with (Dst xor Pattern)

Declaration

Source position: lcltype.pp line 206

const PATINVERT = $005A0049;

See also

#lcl.LCLIntf.BitBlt

Copies a section of a Canvas to another one, performing a raster operation (ROP).


PATPAINT

Ternary raster operation (Dst op Src op Pattern): Fills the destination area with (Dst or (not Src) or Pattern)

Declaration

Source position: lcltype.pp line 205

const PATPAINT = $00FB0A09;

See also

#lcl.LCLIntf.BitBlt

Copies a section of a Canvas to another one, performing a raster operation (ROP).


PBitmap

Declaration

Source position: lcltype.pp line 1261

type PBitmap = ^TagBitmap;


PBitmapCoreHeader

Declaration

Source position: lcltype.pp line 1274

type PBitmapCoreHeader = ^TBitmapCoreHeader;


PBitmapCoreInfo

Declaration

Source position: lcltype.pp line 1341

type PBitmapCoreInfo = ^TBitmapCoreInfo;


PBitmapFileHeader

Declaration

Source position: lcltype.pp line 1351

type PBitmapFileHeader = ^TBitmapFileHeader;


PBitmapInfo

Declaration

Source position: lcltype.pp line 1333

type PBitmapInfo = ^TBitmapInfo;


PBitmapInfoHeader

Declaration

Source position: lcltype.pp line 1286

type PBitmapInfoHeader = ^TBitmapInfoHeader;


PClipboardFormat

Declaration

Source position: lcltype.pp line 2700

type PClipboardFormat = ^TClipboardFormat;


PCriticalSection

Declaration

Source position: lcltype.pp line 69

type PCriticalSection = ^TCriticalSection;


PDIBSection

Declaration

Source position: lcltype.pp line 1363

type PDIBSection = ^TDIBSection;


PDrawItemStruct

Declaration

Source position: lcltype.pp line 1126

type PDrawItemStruct = ^TDrawItemStruct;


PDrawListItemStruct

Declaration

Source position: lcltype.pp line 1150

type PDrawListItemStruct = ^TDrawListItemStruct;


PEnumLogFont

Declaration

Source position: lcltype.pp line 2354

type PEnumLogFont = PEnumLogFontA;


PEnumLogFontA

Declaration

Source position: lcltype.pp line 2352

type PEnumLogFontA = ^TEnumLogFontA;


PEnumLogFontEx

Declaration

Source position: lcltype.pp line 2381

type PEnumLogFontEx = PEnumLogFontExA;


PEnumLogFontExA

Declaration

Source position: lcltype.pp line 2379

type PEnumLogFontExA = ^TEnumLogFontExA;


PEnumLogFontExW

Declaration

Source position: lcltype.pp line 2380

type PEnumLogFontExW = ^TEnumLogFontExW;


PEnumLogFontW

Declaration

Source position: lcltype.pp line 2353

type PEnumLogFontW = ^TEnumLogFontW;


PExtLogPen

Declaration

Source position: lcltype.pp line 2417

type PExtLogPen = ^TExtLogPen;


PGradientRect

Declaration

Source position: lcltype.pp line 1249

type PGradientRect = ^tagGradientRect;


PGradientTriangle

Declaration

Source position: lcltype.pp line 1240

type PGradientTriangle = ^tagGradientTriangle;


PHandle

Declaration

Source position: lcltype.pp line 91

type PHandle = ^THandle;


PHelpInfo

Declaration

Source position: lcltype.pp line 1383

type PHelpInfo = ^THelpInfo;


PHKEY

Declaration

Source position: lcltype.pp line 153

type PHKEY = ^HKEY;


PIconInfo

Declaration

Source position: lcltype.pp line 2676

type PIconInfo = ^TIconInfo;


PInt

Declaration

Source position: lcltype.pp line 88

type PInt = ^Integer;


PLANES

Number of color planes.

Declaration

Source position: lcltype.pp line 2140

const PLANES = 14;


PLogBrush

Declaration

Source position: lcltype.pp line 2326

type PLogBrush = ^TLogBrush;


PLogFont

Declaration

Source position: lcltype.pp line 2272

type PLogFont = PLogFontA;


PLogFontA

Declaration

Source position: lcltype.pp line 2270

type PLogFontA = ^TLogFontA;


PLogFontW

Declaration

Source position: lcltype.pp line 2271

type PLogFontW = ^TLogFontW;


PLogPalette

Declaration

Source position: lcltype.pp line 1218

type PLogPalette = ^tagLogPalette;


PLogPen

Declaration

Source position: lcltype.pp line 2408

type PLogPen = ^TLogPen;


PM_Noremove

PeekMessage flag: don't remove peeked message.

Declaration

Source position: lcltype.pp line 326

const PM_Noremove = 0;


PM_Remove

PeekMessage flag: remove peeked message.

Declaration

Source position: lcltype.pp line 327

const PM_Remove = 1;


PMaxLogPalette

Declaration

Source position: lcltype.pp line 2345

type PMaxLogPalette = ^TMaxLogPalette;


PMeasureItemStruct

Declaration

Source position: lcltype.pp line 1158

type PMeasureItemStruct = ^TMeasureItemStruct;


PMonitorInfo

Declaration

Source position: lcltype.pp line 1094

type PMonitorInfo = ^TMonitorInfo;


PMonitorInfoEx

Declaration

Source position: lcltype.pp line 1104

type PMonitorInfoEx = ^TMonitorInfoEx;


PMonitorInfoExW

Declaration

Source position: lcltype.pp line 1114

type PMonitorInfoExW = ^TMonitorInfoExW;


PMsg

Declaration

Source position: lcltype.pp line 2636

type PMsg = ^TMsg;


PNMHdr

Declaration

Source position: lcltype.pp line 1059

type PNMHdr = ^TNMHdr;


PNMListView

Declaration

Source position: lcltype.pp line 2953

type PNMListView = ^TNMListView;


POLYFILL_LAST

Declaration

Source position: lcltype.pp line 2167

const POLYFILL_LAST = 2;


PPaintStruct

Declaration

Source position: lcltype.pp line 1168

type PPaintStruct = ^TPaintStruct;


PPaletteEntry

Declaration

Source position: lcltype.pp line 1208

type PPaletteEntry = ^tagPaletteEntry;


PRect

A pointer to TRect.

Declaration

Source position: lcltype.pp line 115

type PRect = ^TRect;


PredefinedClipboardMimeTypes

Declaration

Source position: lcltype.pp line 2726

const PredefinedClipboardMimeTypes: array [TPredefinedClipboardFormat] of string = ('text/plain', 'image/bmp', 'image/xpm', 'image/lcl.icon', 'image/lcl.picture', 'image/lcl.metafilepict', 'application/lcl.object', 'application/lcl.component', 'application/lcl.customdata');


PRGBAQuad

Declaration

Source position: lcltype.pp line 1329

type PRGBAQuad = ^TRGBAQuad;


PRGBQUAD

Declaration

Source position: lcltype.pp line 1313

type PRGBQUAD = ^TRGBQUAD;


PRGBTriple

Declaration

Source position: lcltype.pp line 1304

type PRGBTriple = ^TRGBTriple;


PROOF_QUALITY

Declaration

Source position: lcltype.pp line 1438

const PROOF_QUALITY = 2;


PS_ALTERNATE

Declaration

Source position: lcltype.pp line 1610

const PS_ALTERNATE = 8;


PS_COSMETIC

Declaration

Source position: lcltype.pp line 1623

const PS_COSMETIC = 0;


PS_DASH

Declaration

Source position: lcltype.pp line 1603

const PS_DASH = 1;


PS_DASHDOT

Declaration

Source position: lcltype.pp line 1605

const PS_DASHDOT = 3;


PS_DASHDOTDOT

Declaration

Source position: lcltype.pp line 1606

const PS_DASHDOTDOT = 4;


PS_DOT

Declaration

Source position: lcltype.pp line 1604

const PS_DOT = 2;


PS_ENDCAP_FLAT

Declaration

Source position: lcltype.pp line 1615

const PS_ENDCAP_FLAT = $200;


PS_ENDCAP_MASK

Declaration

Source position: lcltype.pp line 1616

const PS_ENDCAP_MASK = 3840;


PS_ENDCAP_ROUND

Declaration

Source position: lcltype.pp line 1613

const PS_ENDCAP_ROUND = 0;


PS_ENDCAP_SQUARE

Declaration

Source position: lcltype.pp line 1614

const PS_ENDCAP_SQUARE = $100;


PS_GEOMETRIC

Declaration

Source position: lcltype.pp line 1624

const PS_GEOMETRIC = $10000;


PS_INSIDEFRAME

Declaration

Source position: lcltype.pp line 1608

const PS_INSIDEFRAME = 6;


PS_JOIN_BEVEL

Declaration

Source position: lcltype.pp line 1619

const PS_JOIN_BEVEL = $1000;


PS_JOIN_MASK

Declaration

Source position: lcltype.pp line 1621

const PS_JOIN_MASK = 61440;


PS_JOIN_MITER

Declaration

Source position: lcltype.pp line 1620

const PS_JOIN_MITER = $2000;


PS_JOIN_ROUND

Declaration

Source position: lcltype.pp line 1618

const PS_JOIN_ROUND = 0;


PS_NULL

Declaration

Source position: lcltype.pp line 1607

const PS_NULL = 5;


PS_SOLID

Declaration

Source position: lcltype.pp line 1602

const PS_SOLID = 0;


PS_STYLE_MASK

Declaration

Source position: lcltype.pp line 1611

const PS_STYLE_MASK = 15;


PS_TYPE_MASK

Declaration

Source position: lcltype.pp line 1625

const PS_TYPE_MASK = $F0000;


PS_USERSTYLE

Declaration

Source position: lcltype.pp line 1609

const PS_USERSTYLE = 7;


PScreenInfo

Declaration

Source position: lcltype.pp line 1068

type PScreenInfo = ^TScreenInfo;


PScrollInfo

Declaration

Source position: lcltype.pp line 1204

type PScrollInfo = ^TScrollInfo;


PTextMetric

Declaration

Source position: lcltype.pp line 2435

type PTextMetric = PTextMetricA;


PTextMetricA

Declaration

Source position: lcltype.pp line 2433

type PTextMetricA = ^TTextMetricA;


PTextMetricW

Declaration

Source position: lcltype.pp line 2434

type PTextMetricW = ^TTextMetricW;


PTriVertex

Declaration

Source position: lcltype.pp line 1228

type PTriVertex = ^tagTriVertex;


PWindowPos

Declaration

Source position: lcltype.pp line 1182

type PWindowPos = ^TWIndowPos;


PWndClass

Declaration

Source position: lcltype.pp line 2582

type PWndClass = PWndClassA;


PWndClassA

Declaration

Source position: lcltype.pp line 2580

type PWndClassA = ^TWndClassA;


PWndClassEx

Declaration

Source position: lcltype.pp line 2540

type PWndClassEx = PWndClassExA;


PWndClassExA

Declaration

Source position: lcltype.pp line 2538

type PWndClassExA = ^TWndClassExA;


PWndClassExW

Declaration

Source position: lcltype.pp line 2539

type PWndClassExW = ^TWndClassExW;


PWndClassW

Declaration

Source position: lcltype.pp line 2581

type PWndClassW = ^TWndClassW;


R2_BLACK

Binary raster operation (Dst op Pen): all black.

Declaration

Source position: lcltype.pp line 174

const R2_BLACK = 1;


R2_COPYPEN

Binary raster operation (Dst op Pen): Pen.

Declaration

Source position: lcltype.pp line 186

const R2_COPYPEN = 13;


R2_LAST

Highest binary raster operation code.

Declaration

Source position: lcltype.pp line 190

const R2_LAST = 16;


R2_MASKNOTPEN

Binary raster operation (Dst op Pen): Dst and not Pen.

Declaration

Source position: lcltype.pp line 176

const R2_MASKNOTPEN = 3;


R2_MASKPEN

Binary raster operation (Dst op Pen): Dst and Pen.

Declaration

Source position: lcltype.pp line 182

const R2_MASKPEN = 9;


R2_MASKPENNOT

Binary raster operation (Dst op Pen): (not Dst) and Pen.

Declaration

Source position: lcltype.pp line 178

const R2_MASKPENNOT = 5;


R2_MERGENOTPEN

Binary raster operation (Dst op Pen): Dst or not Pen.

Declaration

Source position: lcltype.pp line 185

const R2_MERGENOTPEN = 12;


R2_MERGEPEN

Binary raster operation (Dst op Pen): Dst or Pen.

Declaration

Source position: lcltype.pp line 188

const R2_MERGEPEN = 15;


R2_MERGEPENNOT

Binary raster operation (Dst op Pen): (not Dst) or Pen.

Declaration

Source position: lcltype.pp line 187

const R2_MERGEPENNOT = 14;


R2_NOP

Binary raster operation (Dst op Pen): Dst.

Declaration

Source position: lcltype.pp line 184

const R2_NOP = 11;


R2_NOT

Binary raster operation (Dst op Pen): not Dst.

Declaration

Source position: lcltype.pp line 179

const R2_NOT = 6;


R2_NOTCOPYPEN

Binary raster operation (Dst op Pen): not Pen.

Declaration

Source position: lcltype.pp line 177

const R2_NOTCOPYPEN = 4;


R2_NOTMASKPEN

Binary raster operation (Dst op Pen): not (Dst and Pen).

Declaration

Source position: lcltype.pp line 181

const R2_NOTMASKPEN = 8;


R2_NOTMERGEPEN

Binary raster operation (Dst op Pen): not (Dst or Pen).

Declaration

Source position: lcltype.pp line 175

const R2_NOTMERGEPEN = 2;


R2_NOTXORPEN

Binary raster operation (Dst op Pen): not (Dst xor Pen).

Declaration

Source position: lcltype.pp line 183

const R2_NOTXORPEN = 10;


R2_WHITE

Binary raster operation (Dst op Pen): all white.

Declaration

Source position: lcltype.pp line 189

const R2_WHITE = 16;


R2_XORPEN

Binary raster operation (Dst op Pen): Dst xor Pen.

Declaration

Source position: lcltype.pp line 180

const R2_XORPEN = 7;


RASTER_FONTTYPE

Declaration

Source position: lcltype.pp line 1386

const RASTER_FONTTYPE = 1;


RDW_ALLCHILDREN

Declaration

Source position: lcltype.pp line 1038

const RDW_ALLCHILDREN = $0080;


RDW_ERASE

Declaration

Source position: lcltype.pp line 1033

const RDW_ERASE = $0004;


RDW_ERASENOW

Declaration

Source position: lcltype.pp line 1040

const RDW_ERASENOW = $0200;


RDW_FRAME

Declaration

Source position: lcltype.pp line 1041

const RDW_FRAME = $0400;


RDW_INTERNALPAINT

Declaration

Source position: lcltype.pp line 1032

const RDW_INTERNALPAINT = $0002;


RDW_INVALIDATE

Declaration

Source position: lcltype.pp line 1031

const RDW_INVALIDATE = $0001;


RDW_NOCHILDREN

Declaration

Source position: lcltype.pp line 1037

const RDW_NOCHILDREN = $0040;


RDW_NOERASE

Declaration

Source position: lcltype.pp line 1036

const RDW_NOERASE = $0020;


RDW_NOFRAME

Declaration

Source position: lcltype.pp line 1042

const RDW_NOFRAME = $0800;


RDW_NOINTERNALPAINT

Declaration

Source position: lcltype.pp line 1035

const RDW_NOINTERNALPAINT = $0010;


RDW_UPDATENOW

Declaration

Source position: lcltype.pp line 1039

const RDW_UPDATENOW = $0100;


RDW_VALIDATE

Declaration

Source position: lcltype.pp line 1034

const RDW_VALIDATE = $0008;


Region_Error

Declaration

Source position: lcltype.pp line 799

const Region_Error = Error;


RGBQUAD

Declaration

Source position: lcltype.pp line 1321

type RGBQUAD = tagRGBQUAD;


RGBTRIPLE

Declaration

Source position: lcltype.pp line 1311

type RGBTRIPLE = tagRGBTRIPLE;


RGN_AND

CombineRgn mode: intersection (r1 AND r2).

Declaration

Source position: lcltype.pp line 235

const RGN_AND = 1;


RGN_COPY

CombineRgn mode: copy of r1.

Declaration

Source position: lcltype.pp line 239

const RGN_COPY = 5;


RGN_DIFF

CombineRgn mode: arithmetic difference (r1 - r2).

Declaration

Source position: lcltype.pp line 238

const RGN_DIFF = 4;


RGN_OR

CombineRgn mode: union (r1 OR r2).

Declaration

Source position: lcltype.pp line 236

const RGN_OR = 2;


RGN_XOR

CombineRgn mode: logical difference (r1 XOR r2).

Declaration

Source position: lcltype.pp line 237

const RGN_XOR = 3;


RT_ACCELERATOR

Declaration

Source position: lcltype.pp line 2217

const RT_ACCELERATOR = TResourceType(9);


RT_ANICURSOR

Declaration

Source position: lcltype.pp line 2232

const RT_ANICURSOR = TResourceType(21);


RT_ANIICON

Declaration

Source position: lcltype.pp line 2233

const RT_ANIICON = TResourceType(22);


RT_BITMAP

Declaration

Source position: lcltype.pp line 2210

const RT_BITMAP = TResourceType(2);


RT_CURSOR

Declaration

Source position: lcltype.pp line 2209

const RT_CURSOR = TResourceType(1);


RT_DIALOG

Declaration

Source position: lcltype.pp line 2213

const RT_DIALOG = TResourceType(5);


RT_FONT

Declaration

Source position: lcltype.pp line 2216

const RT_FONT = TResourceType(8);


RT_FONTDIR

Declaration

Source position: lcltype.pp line 2215

const RT_FONTDIR = TResourceType(7);


RT_GROUP_CURSOR

Declaration

Source position: lcltype.pp line 2220

const RT_GROUP_CURSOR = TResourceType(12);


RT_GROUP_ICON

Declaration

Source position: lcltype.pp line 2221

const RT_GROUP_ICON = TResourceType(14);


RT_HTML

Declaration

Source position: lcltype.pp line 2234

const RT_HTML = TResourceType(23);


RT_ICON

Declaration

Source position: lcltype.pp line 2211

const RT_ICON = TResourceType(3);


RT_MANIFEST

Declaration

Source position: lcltype.pp line 2235

const RT_MANIFEST = TResourceType(24);


RT_MENU

Declaration

Source position: lcltype.pp line 2212

const RT_MENU = TResourceType(4);


RT_MESSAGETABLE

Declaration

Source position: lcltype.pp line 2219

const RT_MESSAGETABLE = TResourceType(11);


RT_RCDATA

Declaration

Source position: lcltype.pp line 2218

const RT_RCDATA = TResourceType(10);


RT_STRING

Declaration

Source position: lcltype.pp line 2214

const RT_STRING = TResourceType(6);


RT_VERSION

Declaration

Source position: lcltype.pp line 2222

const RT_VERSION = TResourceType(16);


RUSSIAN_CHARSET

Declaration

Source position: lcltype.pp line 1484

const RUSSIAN_CHARSET = 204;


SB_BOTH

Declaration

Source position: lcltype.pp line 806

const SB_BOTH = 3;


SB_BOTTOM

Declaration

Source position: lcltype.pp line 821

const SB_BOTTOM = 7;


SB_CTL

Declaration

Source position: lcltype.pp line 805

const SB_CTL = 2;


SB_ENDSCROLL

Declaration

Source position: lcltype.pp line 823

const SB_ENDSCROLL = 8;


SB_Horz

Declaration

Source position: lcltype.pp line 803

const SB_Horz = 0;


SB_LEFT

Declaration

Source position: lcltype.pp line 820

const SB_LEFT = 6;


SB_LINEDOWN

Declaration

Source position: lcltype.pp line 811

const SB_LINEDOWN = 1;


SB_LINELEFT

Declaration

Source position: lcltype.pp line 810

const SB_LINELEFT = 0;


SB_LINERIGHT

Declaration

Source position: lcltype.pp line 812

const SB_LINERIGHT = 1;


SB_LINEUP

Declaration

Source position: lcltype.pp line 809

const SB_LINEUP = 0;


SB_PAGEDOWN

Declaration

Source position: lcltype.pp line 815

const SB_PAGEDOWN = 3;


SB_PAGELEFT

Declaration

Source position: lcltype.pp line 814

const SB_PAGELEFT = 2;


SB_PAGERIGHT

Declaration

Source position: lcltype.pp line 816

const SB_PAGERIGHT = 3;


SB_PAGEUP

Declaration

Source position: lcltype.pp line 813

const SB_PAGEUP = 2;


SB_POLICY_CONTINUOUS

Declaration

Source position: lcltype.pp line 824

const SB_POLICY_CONTINUOUS = 10;


SB_POLICY_DELAYED

Declaration

Source position: lcltype.pp line 826

const SB_POLICY_DELAYED = 12;


SB_POLICY_DISCONTINUOUS

Declaration

Source position: lcltype.pp line 825

const SB_POLICY_DISCONTINUOUS = 11;


SB_RIGHT

Declaration

Source position: lcltype.pp line 822

const SB_RIGHT = 7;


SB_THUMBPOSITION

Declaration

Source position: lcltype.pp line 817

const SB_THUMBPOSITION = 4;


SB_THUMBTRACK

Declaration

Source position: lcltype.pp line 818

const SB_THUMBTRACK = 5;


SB_TOP

Declaration

Source position: lcltype.pp line 819

const SB_TOP = 6;


SB_Vert

Declaration

Source position: lcltype.pp line 804

const SB_Vert = 1;


SBS_BOTTOMALIGN

Declaration

Source position: lcltype.pp line 832

const SBS_BOTTOMALIGN = 4;


SBS_HORZ

Declaration

Source position: lcltype.pp line 828

const SBS_HORZ = 0;


SBS_LEFTALIGN

Declaration

Source position: lcltype.pp line 831

const SBS_LEFTALIGN = 2;


SBS_RIGHTALIGN

Declaration

Source position: lcltype.pp line 833

const SBS_RIGHTALIGN = 4;


SBS_SIZEBOX

Declaration

Source position: lcltype.pp line 836

const SBS_SIZEBOX = 8;


SBS_SIZEBOXBOTTOMRIGHTALIGN

Declaration

Source position: lcltype.pp line 835

const SBS_SIZEBOXBOTTOMRIGHTALIGN = 4;


SBS_SIZEBOXTOPLEFTALIGN

Declaration

Source position: lcltype.pp line 834

const SBS_SIZEBOXTOPLEFTALIGN = 2;


SBS_SIZEGRIP

Declaration

Source position: lcltype.pp line 837

const SBS_SIZEGRIP = $10;


SBS_TOPALIGN

Declaration

Source position: lcltype.pp line 830

const SBS_TOPALIGN = 2;


SBS_VERT

Declaration

Source position: lcltype.pp line 829

const SBS_VERT = 1;


scMeta

Declaration

Source position: lcltype.pp line 382

const scMeta = $1000;


SHIFTJIS_CHARSET

Declaration

Source position: lcltype.pp line 1473

const SHIFTJIS_CHARSET = 128;


Short

Declaration

Source position: lcltype.pp line 114

type Short = SmallInt;


SIF_ALL

Request all scrollbar properties.

Declaration

Source position: lcltype.pp line 844

const SIF_ALL = SIF_RANGE or SIF_PAGE or SIF_POS or SIF_TRACKPOS;

See also

tagScrollInfo

The Scrollbar properties parameter record.


SIF_DISABLENOSCROLL

Disable the scrollbar if not needed.

Declaration

Source position: lcltype.pp line 842

const SIF_DISABLENOSCROLL = 8;

See also

tagScrollInfo

The Scrollbar properties parameter record.


SIF_PAGE

Request for the scrollbar page size.

Declaration

Source position: lcltype.pp line 840

const SIF_PAGE = 2;

See also

tagScrollInfo

The Scrollbar properties parameter record.


SIF_POS

Request for the scrollbar position.

Declaration

Source position: lcltype.pp line 841

const SIF_POS = 4;

See also

tagScrollInfo

The Scrollbar properties parameter record.


SIF_RANGE

Request for the scrollbar range.

Declaration

Source position: lcltype.pp line 839

const SIF_RANGE = 1;

See also

tagScrollInfo

The Scrollbar properties parameter record.


SIF_TRACKPOS

Request for the scrollbar tracking position.

Declaration

Source position: lcltype.pp line 843

const SIF_TRACKPOS = $10;

See also

tagScrollInfo

The Scrollbar properties parameter record.


SIF_UPDATEPOLICY

Declaration

Source position: lcltype.pp line 845

const SIF_UPDATEPOLICY = $100;

See also

tagScrollInfo

The Scrollbar properties parameter record.


SimpleRegion

Declaration

Source position: lcltype.pp line 797

const SimpleRegion = 2;


SIZE_FULLSCREEN

Declaration

Source position: lcltype.pp line 873

const SIZE_FULLSCREEN = 16;


SIZE_MAXHIDE

Declaration

Source position: lcltype.pp line 872

const SIZE_MAXHIDE = 4;


SIZE_MAXIMIZED

Declaration

Source position: lcltype.pp line 870

const SIZE_MAXIMIZED = 2;


SIZE_MAXSHOW

Declaration

Source position: lcltype.pp line 871

const SIZE_MAXSHOW = 3;


SIZE_MINIMIZED

Declaration

Source position: lcltype.pp line 869

const SIZE_MINIMIZED = 1;


SIZE_RESTORED

Declaration

Source position: lcltype.pp line 868

const SIZE_RESTORED = 0;


Size_SourceIsInterface

Declaration

Source position: lcltype.pp line 874

const Size_SourceIsInterface = 128;


SIZEFULLSCREEN

Declaration

Source position: lcltype.pp line 878

const SIZEFULLSCREEN = SIZE_MAXIMIZED;


SIZEICONIC

Declaration

Source position: lcltype.pp line 877

const SIZEICONIC = SIZE_MINIMIZED;


SIZENORMAL

Declaration

Source position: lcltype.pp line 876

const SIZENORMAL = SIZE_RESTORED;


SIZEPALETTE

Number of entries in the color palette

Declaration

Source position: lcltype.pp line 2144

const SIZEPALETTE = 104;


SIZEZOOMHIDE

Declaration

Source position: lcltype.pp line 880

const SIZEZOOMHIDE = SIZE_MAXHIDE;


SIZEZOOMSHOW

Declaration

Source position: lcltype.pp line 879

const SIZEZOOMSHOW = SIZE_MAXSHOW;


SM_ARRANGE

Declaration

Source position: lcltype.pp line 1914

const SM_ARRANGE = 56;


SM_CLEANBOOT

Declaration

Source position: lcltype.pp line 1922

const SM_CLEANBOOT = 67;


SM_CMETRICS

Declaration

Source position: lcltype.pp line 1931

const SM_CMETRICS = 76;


SM_CMONITORS

Declaration

Source position: lcltype.pp line 1937

const SM_CMONITORS = 80;


SM_CMOUSEBUTTONS

Declaration

Source position: lcltype.pp line 1895

const SM_CMOUSEBUTTONS = 43;


SM_CXBORDER

Declaration

Source position: lcltype.pp line 1857

const SM_CXBORDER = 5;


SM_CXCURSOR

Declaration

Source position: lcltype.pp line 1865

const SM_CXCURSOR = 13;


SM_CXDLGFRAME

Declaration

Source position: lcltype.pp line 1859

const SM_CXDLGFRAME = 7;


SM_CXDOUBLECLK

Declaration

Source position: lcltype.pp line 1888

const SM_CXDOUBLECLK = 36;


SM_CXDRAG

Declaration

Source position: lcltype.pp line 1923

const SM_CXDRAG = 68;


SM_CXEDGE

Declaration

Source position: lcltype.pp line 1903

const SM_CXEDGE = 45;


SM_CXFIXEDFRAME

Declaration

Source position: lcltype.pp line 1897

const SM_CXFIXEDFRAME = SM_CXDLGFRAME;


SM_CXFRAME

Declaration

Source position: lcltype.pp line 1884

const SM_CXFRAME = 32;


SM_CXFULLSCREEN

Declaration

Source position: lcltype.pp line 1868

const SM_CXFULLSCREEN = 16;


SM_CXHSCROLL

Declaration

Source position: lcltype.pp line 1873

const SM_CXHSCROLL = 21;


SM_CXHTHUMB

Declaration

Source position: lcltype.pp line 1862

const SM_CXHTHUMB = 10;


SM_CXICON

Declaration

Source position: lcltype.pp line 1863

const SM_CXICON = 11;


SM_CXICONSPACING

Declaration

Source position: lcltype.pp line 1890

const SM_CXICONSPACING = 38;


SM_CXMAXIMIZED

Declaration

Source position: lcltype.pp line 1919

const SM_CXMAXIMIZED = 61;


SM_CXMAXTRACK

Declaration

Source position: lcltype.pp line 1917

const SM_CXMAXTRACK = 59;


SM_CXMENUCHECK

Declaration

Source position: lcltype.pp line 1926

const SM_CXMENUCHECK = 71;


SM_CXMENUSIZE

Declaration

Source position: lcltype.pp line 1912

const SM_CXMENUSIZE = 54;


SM_CXMIN

Declaration

Source position: lcltype.pp line 1880

const SM_CXMIN = 28;


SM_CXMINIMIZED

Declaration

Source position: lcltype.pp line 1915

const SM_CXMINIMIZED = 57;


SM_CXMINSPACING

Declaration

Source position: lcltype.pp line 1905

const SM_CXMINSPACING = 47;


SM_CXMINTRACK

Declaration

Source position: lcltype.pp line 1886

const SM_CXMINTRACK = 34;


SM_CXSCREEN

Declaration

Source position: lcltype.pp line 1852

const SM_CXSCREEN = 0;


SM_CXSIZE

Declaration

Source position: lcltype.pp line 1882

const SM_CXSIZE = 30;


SM_CXSIZEFRAME

Declaration

Source position: lcltype.pp line 1899

const SM_CXSIZEFRAME = SM_CXFRAME;


SM_CXSMICON

Declaration

Source position: lcltype.pp line 1907

const SM_CXSMICON = 49;


SM_CXSMSIZE

Declaration

Source position: lcltype.pp line 1910

const SM_CXSMSIZE = 52;


SM_CXVIRTUALSCREEN

Declaration

Source position: lcltype.pp line 1935

const SM_CXVIRTUALSCREEN = 78;


SM_CXVSCROLL

Declaration

Source position: lcltype.pp line 1854

const SM_CXVSCROLL = 2;


SM_CYBORDER

Declaration

Source position: lcltype.pp line 1858

const SM_CYBORDER = 6;


SM_CYCAPTION

Declaration

Source position: lcltype.pp line 1856

const SM_CYCAPTION = 4;


SM_CYCURSOR

Declaration

Source position: lcltype.pp line 1866

const SM_CYCURSOR = 14;


SM_CYDLGFRAME

Declaration

Source position: lcltype.pp line 1860

const SM_CYDLGFRAME = 8;


SM_CYDOUBLECLK

Declaration

Source position: lcltype.pp line 1889

const SM_CYDOUBLECLK = 37;


SM_CYDRAG

Declaration

Source position: lcltype.pp line 1924

const SM_CYDRAG = 69;


SM_CYEDGE

Declaration

Source position: lcltype.pp line 1904

const SM_CYEDGE = 46;


SM_CYFIXEDFRAME

Declaration

Source position: lcltype.pp line 1898

const SM_CYFIXEDFRAME = SM_CYDLGFRAME;


SM_CYFRAME

Declaration

Source position: lcltype.pp line 1885

const SM_CYFRAME = 33;


SM_CYFULLSCREEN

Declaration

Source position: lcltype.pp line 1869

const SM_CYFULLSCREEN = 17;


SM_CYHSCROLL

Declaration

Source position: lcltype.pp line 1855

const SM_CYHSCROLL = 3;


SM_CYICON

Declaration

Source position: lcltype.pp line 1864

const SM_CYICON = 12;


SM_CYICONSPACING

Declaration

Source position: lcltype.pp line 1891

const SM_CYICONSPACING = 39;


SM_CYKANJIWINDOW

Declaration

Source position: lcltype.pp line 1870

const SM_CYKANJIWINDOW = 18;


SM_CYMAXIMIZED

Declaration

Source position: lcltype.pp line 1920

const SM_CYMAXIMIZED = 62;


SM_CYMAXTRACK

Declaration

Source position: lcltype.pp line 1918

const SM_CYMAXTRACK = 60;


SM_CYMENU

Declaration

Source position: lcltype.pp line 1867

const SM_CYMENU = 15;


SM_CYMENUCHECK

Declaration

Source position: lcltype.pp line 1927

const SM_CYMENUCHECK = 72;


SM_CYMENUSIZE

Declaration

Source position: lcltype.pp line 1913

const SM_CYMENUSIZE = 55;


SM_CYMIN

Declaration

Source position: lcltype.pp line 1881

const SM_CYMIN = 29;


SM_CYMINIMIZED

Declaration

Source position: lcltype.pp line 1916

const SM_CYMINIMIZED = 58;


SM_CYMINSPACING

Declaration

Source position: lcltype.pp line 1906

const SM_CYMINSPACING = 48;


SM_CYMINTRACK

Declaration

Source position: lcltype.pp line 1887

const SM_CYMINTRACK = 35;


SM_CYSCREEN

Declaration

Source position: lcltype.pp line 1853

const SM_CYSCREEN = 1;


SM_CYSIZE

Declaration

Source position: lcltype.pp line 1883

const SM_CYSIZE = 31;


SM_CYSIZEFRAME

Declaration

Source position: lcltype.pp line 1900

const SM_CYSIZEFRAME = SM_CYFRAME;


SM_CYSMCAPTION

Declaration

Source position: lcltype.pp line 1909

const SM_CYSMCAPTION = 51;


SM_CYSMICON

Declaration

Source position: lcltype.pp line 1908

const SM_CYSMICON = 50;


SM_CYSMSIZE

Declaration

Source position: lcltype.pp line 1911

const SM_CYSMSIZE = 53;


SM_CYVIRTUALSCREEN

Declaration

Source position: lcltype.pp line 1936

const SM_CYVIRTUALSCREEN = 79;


SM_CYVSCROLL

Declaration

Source position: lcltype.pp line 1872

const SM_CYVSCROLL = 20;


SM_CYVTHUMB

Declaration

Source position: lcltype.pp line 1861

const SM_CYVTHUMB = 9;


SM_DBCSENABLED

Declaration

Source position: lcltype.pp line 1894

const SM_DBCSENABLED = 42;


SM_DEBUG

Declaration

Source position: lcltype.pp line 1874

const SM_DEBUG = 22;


SM_LCLHasFormAlphaBlend

Declaration

Source position: lcltype.pp line 1947

const SM_LCLHasFormAlphaBlend = 123;


SM_LCLMAXIMIZEDHEIGHT

Declaration

Source position: lcltype.pp line 1945

const SM_LCLMAXIMIZEDHEIGHT = 122;


SM_LCLMAXIMIZEDWIDTH

Declaration

Source position: lcltype.pp line 1944

const SM_LCLMAXIMIZEDWIDTH = 121;


SM_MENUDROPALIGNMENT

Declaration

Source position: lcltype.pp line 1892

const SM_MENUDROPALIGNMENT = 40;


SM_MIDEASTENABLED

Declaration

Source position: lcltype.pp line 1929

const SM_MIDEASTENABLED = 74;


SM_MOUSEPRESENT

Declaration

Source position: lcltype.pp line 1871

const SM_MOUSEPRESENT = 19;


SM_MOUSEWHEELPRESENT

Declaration

Source position: lcltype.pp line 1930

const SM_MOUSEWHEELPRESENT = 75;


SM_NETWORK

Declaration

Source position: lcltype.pp line 1921

const SM_NETWORK = 63;


SM_PENWINDOWS

Declaration

Source position: lcltype.pp line 1893

const SM_PENWINDOWS = 41;


SM_REMOTESESSION

Declaration

Source position: lcltype.pp line 1949

const SM_REMOTESESSION = $1000;


SM_RESERVED1

Declaration

Source position: lcltype.pp line 1876

const SM_RESERVED1 = 24;


SM_RESERVED2

Declaration

Source position: lcltype.pp line 1877

const SM_RESERVED2 = 25;


SM_RESERVED3

Declaration

Source position: lcltype.pp line 1878

const SM_RESERVED3 = 26;


SM_RESERVED4

Declaration

Source position: lcltype.pp line 1879

const SM_RESERVED4 = 27;


SM_SAMEDISPLAYFORMAT

Declaration

Source position: lcltype.pp line 1938

const SM_SAMEDISPLAYFORMAT = 81;


SM_SECURE

Declaration

Source position: lcltype.pp line 1902

const SM_SECURE = 44;


SM_SHOWSOUNDS

Declaration

Source position: lcltype.pp line 1925

const SM_SHOWSOUNDS = 70;


SM_SLOWMACHINE

Declaration

Source position: lcltype.pp line 1928

const SM_SLOWMACHINE = 73;


SM_SWAPBUTTON

Declaration

Source position: lcltype.pp line 1875

const SM_SWAPBUTTON = 23;


SM_SWSCROLLBARSPACING

Declaration

Source position: lcltype.pp line 1940

const SM_SWSCROLLBARSPACING = 120;


SM_XVIRTUALSCREEN

Declaration

Source position: lcltype.pp line 1933

const SM_XVIRTUALSCREEN = 76;


SM_YVIRTUALSCREEN

Declaration

Source position: lcltype.pp line 1934

const SM_YVIRTUALSCREEN = 77;


SPI_GETACCESSTIMEOUT

Declaration

Source position: lcltype.pp line 2008

const SPI_GETACCESSTIMEOUT = 60;


SPI_GETACTIVEWINDOWTRACKING

Declaration

Source position: lcltype.pp line 2063

const SPI_GETACTIVEWINDOWTRACKING = 4096;


SPI_GETACTIVEWNDTRKTIMEOUT

Declaration

Source position: lcltype.pp line 2095

const SPI_GETACTIVEWNDTRKTIMEOUT = 8194;


SPI_GETACTIVEWNDTRKZORDER

Declaration

Source position: lcltype.pp line 2077

const SPI_GETACTIVEWNDTRKZORDER = 4108;


SPI_GETANIMATION

Declaration

Source position: lcltype.pp line 2020

const SPI_GETANIMATION = 72;


SPI_GETBEEP

Declaration

Source position: lcltype.pp line 1954

const SPI_GETBEEP = 1;


SPI_GETBLOCKSENDINPUTRESETS

Declaration

Source position: lcltype.pp line 2111

const SPI_GETBLOCKSENDINPUTRESETS = 4134;


SPI_GETBORDER

Declaration

Source position: lcltype.pp line 1958

const SPI_GETBORDER = 5;


SPI_GETCARETWIDTH

Declaration

Source position: lcltype.pp line 2099

const SPI_GETCARETWIDTH = 8198;


SPI_GETCOMBOBOXANIMATION

Declaration

Source position: lcltype.pp line 2067

const SPI_GETCOMBOBOXANIMATION = 4100;


SPI_GETCURSORSHADOW

Declaration

Source position: lcltype.pp line 2089

const SPI_GETCURSORSHADOW = 4122;


SPI_GETDEFAULTINPUTLANG

Declaration

Source position: lcltype.pp line 2037

const SPI_GETDEFAULTINPUTLANG = 89;


SPI_GETDESKWALLPAPER

Declaration

Source position: lcltype.pp line 2062

const SPI_GETDESKWALLPAPER = 115;


SPI_GETDRAGFULLWINDOWS

Declaration

Source position: lcltype.pp line 1988

const SPI_GETDRAGFULLWINDOWS = 38;


SPI_GETDROPSHADOW

Declaration

Source position: lcltype.pp line 2109

const SPI_GETDROPSHADOW = 4132;


SPI_GETFASTTASKSWITCH

Declaration

Source position: lcltype.pp line 1985

const SPI_GETFASTTASKSWITCH = 35;


SPI_GETFILTERKEYS

Declaration

Source position: lcltype.pp line 1998

const SPI_GETFILTERKEYS = 50;


SPI_GETFLATMENU

Declaration

Source position: lcltype.pp line 2107

const SPI_GETFLATMENU = 4130;


SPI_GETFOCUSBORDERHEIGHT

Declaration

Source position: lcltype.pp line 2121

const SPI_GETFOCUSBORDERHEIGHT = 8208;


SPI_GETFOCUSBORDERWIDTH

Declaration

Source position: lcltype.pp line 2119

const SPI_GETFOCUSBORDERWIDTH = 8206;


SPI_GETFONTSMOOTHING

Declaration

Source position: lcltype.pp line 2022

const SPI_GETFONTSMOOTHING = 74;


SPI_GETFONTSMOOTHINGCONTRAST

Declaration

Source position: lcltype.pp line 2117

const SPI_GETFONTSMOOTHINGCONTRAST = 8204;


SPI_GETFONTSMOOTHINGORIENTATION

Declaration

Source position: lcltype.pp line 2123

const SPI_GETFONTSMOOTHINGORIENTATION = 8210;


SPI_GETFONTSMOOTHINGTYPE

Declaration

Source position: lcltype.pp line 2115

const SPI_GETFONTSMOOTHINGTYPE = 8202;


SPI_GETFOREGROUNDFLASHCOUNT

Declaration

Source position: lcltype.pp line 2097

const SPI_GETFOREGROUNDFLASHCOUNT = 8196;


SPI_GETFOREGROUNDLOCKTIMEOUT

Declaration

Source position: lcltype.pp line 2093

const SPI_GETFOREGROUNDLOCKTIMEOUT = 8192;


SPI_GETGRADIENTCAPTIONS

Declaration

Source position: lcltype.pp line 2071

const SPI_GETGRADIENTCAPTIONS = 4104;


SPI_GETGRIDGRANULARITY

Declaration

Source position: lcltype.pp line 1968

const SPI_GETGRIDGRANULARITY = 18;


SPI_GETHIGHCONTRAST

Declaration

Source position: lcltype.pp line 2014

const SPI_GETHIGHCONTRAST = 66;


SPI_GETHOTTRACKING

Declaration

Source position: lcltype.pp line 2079

const SPI_GETHOTTRACKING = 4110;


SPI_GETICONMETRICS

Declaration

Source position: lcltype.pp line 1993

const SPI_GETICONMETRICS = 45;


SPI_GETICONTITLELOGFONT

Declaration

Source position: lcltype.pp line 1981

const SPI_GETICONTITLELOGFONT = 31;


SPI_GETICONTITLEWRAP

Declaration

Source position: lcltype.pp line 1975

const SPI_GETICONTITLEWRAP = 25;


SPI_GETKEYBOARDCUES

Declaration

Source position: lcltype.pp line 2073

const SPI_GETKEYBOARDCUES = 4106;


SPI_GETKEYBOARDDELAY

Declaration

Source position: lcltype.pp line 1972

const SPI_GETKEYBOARDDELAY = 22;


SPI_GETKEYBOARDPREF

Declaration

Source position: lcltype.pp line 2016

const SPI_GETKEYBOARDPREF = 68;


SPI_GETKEYBOARDSPEED

Declaration

Source position: lcltype.pp line 1960

const SPI_GETKEYBOARDSPEED = 10;


SPI_GETLISTBOXSMOOTHSCROLLING

Declaration

Source position: lcltype.pp line 2069

const SPI_GETLISTBOXSMOOTHSCROLLING = 4102;


SPI_GETLOWPOWERACTIVE

Declaration

Source position: lcltype.pp line 2031

const SPI_GETLOWPOWERACTIVE = 83;


SPI_GETLOWPOWERTIMEOUT

Declaration

Source position: lcltype.pp line 2027

const SPI_GETLOWPOWERTIMEOUT = 79;


SPI_GETMENUANIMATION

Declaration

Source position: lcltype.pp line 2065

const SPI_GETMENUANIMATION = 4098;


SPI_GETMENUDROPALIGNMENT

Declaration

Source position: lcltype.pp line 1977

const SPI_GETMENUDROPALIGNMENT = 27;


SPI_GETMENUFADE

Declaration

Source position: lcltype.pp line 2081

const SPI_GETMENUFADE = 4114;


SPI_GETMENUSHOWDELAY

Declaration

Source position: lcltype.pp line 2055

const SPI_GETMENUSHOWDELAY = 106;


SPI_GETMENUUNDERLINES

Declaration

Source position: lcltype.pp line 2075

const SPI_GETMENUUNDERLINES = 4106;


SPI_GETMINIMIZEDMETRICS

Declaration

Source position: lcltype.pp line 1991

const SPI_GETMINIMIZEDMETRICS = 43;


SPI_GETMOUSE

Declaration

Source position: lcltype.pp line 1956

const SPI_GETMOUSE = 3;


SPI_GETMOUSECLICKLOCK

Declaration

Source position: lcltype.pp line 2103

const SPI_GETMOUSECLICKLOCK = 4126;


SPI_GETMOUSECLICKLOCKTIME

Declaration

Source position: lcltype.pp line 2113

const SPI_GETMOUSECLICKLOCKTIME = 8200;


SPI_GETMOUSEHOVERHEIGHT

Declaration

Source position: lcltype.pp line 2049

const SPI_GETMOUSEHOVERHEIGHT = 100;


SPI_GETMOUSEHOVERTIME

Declaration

Source position: lcltype.pp line 2051

const SPI_GETMOUSEHOVERTIME = 102;


SPI_GETMOUSEHOVERWIDTH

Declaration

Source position: lcltype.pp line 2047

const SPI_GETMOUSEHOVERWIDTH = 98;


SPI_GETMOUSEKEYS

Declaration

Source position: lcltype.pp line 2002

const SPI_GETMOUSEKEYS = 54;


SPI_GETMOUSESONAR

Declaration

Source position: lcltype.pp line 2101

const SPI_GETMOUSESONAR = 4124;


SPI_GETMOUSESPEED

Declaration

Source position: lcltype.pp line 2059

const SPI_GETMOUSESPEED = 112;


SPI_GETMOUSETRAILS

Declaration

Source position: lcltype.pp line 2042

const SPI_GETMOUSETRAILS = 94;


SPI_GETMOUSEVANISH

Declaration

Source position: lcltype.pp line 2105

const SPI_GETMOUSEVANISH = 4128;


SPI_GETNONCLIENTMETRICS

Declaration

Source position: lcltype.pp line 1989

const SPI_GETNONCLIENTMETRICS = 41;


SPI_GETPOWEROFFACTIVE

Declaration

Source position: lcltype.pp line 2032

const SPI_GETPOWEROFFACTIVE = 84;


SPI_GETPOWEROFFTIMEOUT

Declaration

Source position: lcltype.pp line 2028

const SPI_GETPOWEROFFTIMEOUT = 80;


SPI_GETSCREENREADER

Declaration

Source position: lcltype.pp line 2018

const SPI_GETSCREENREADER = 70;


SPI_GETSCREENSAVEACTIVE

Declaration

Source position: lcltype.pp line 1966

const SPI_GETSCREENSAVEACTIVE = 16;


SPI_GETSCREENSAVERRUNNING

Declaration

Source position: lcltype.pp line 2061

const SPI_GETSCREENSAVERRUNNING = 114;


SPI_GETSCREENSAVETIMEOUT

Declaration

Source position: lcltype.pp line 1964

const SPI_GETSCREENSAVETIMEOUT = 14;


SPI_GETSELECTIONFADE

Declaration

Source position: lcltype.pp line 2083

const SPI_GETSELECTIONFADE = 4116;


SPI_GETSERIALKEYS

Declaration

Source position: lcltype.pp line 2010

const SPI_GETSERIALKEYS = 62;


SPI_GETSHOWIMEUI

Declaration

Source position: lcltype.pp line 2057

const SPI_GETSHOWIMEUI = 110;


SPI_GETSHOWSOUNDS

Declaration

Source position: lcltype.pp line 2004

const SPI_GETSHOWSOUNDS = 56;


SPI_GETSNAPTODEFBUTTON

Declaration

Source position: lcltype.pp line 2043

const SPI_GETSNAPTODEFBUTTON = 95;


SPI_GETSOUNDSENTRY

Declaration

Source position: lcltype.pp line 2012

const SPI_GETSOUNDSENTRY = 64;


SPI_GETSTICKYKEYS

Declaration

Source position: lcltype.pp line 2006

const SPI_GETSTICKYKEYS = 58;


SPI_GETTOGGLEKEYS

Declaration

Source position: lcltype.pp line 2000

const SPI_GETTOGGLEKEYS = 52;


SPI_GETTOOLTIPANIMATION

Declaration

Source position: lcltype.pp line 2085

const SPI_GETTOOLTIPANIMATION = 4118;


SPI_GETTOOLTIPFADE

Declaration

Source position: lcltype.pp line 2087

const SPI_GETTOOLTIPFADE = 4120;


SPI_GETUIEFFECTS

Declaration

Source position: lcltype.pp line 2091

const SPI_GETUIEFFECTS = 4158;


SPI_GETWHEELSCROLLLINES

Declaration

Source position: lcltype.pp line 2053

const SPI_GETWHEELSCROLLLINES = 104;


SPI_GETWINDOWSEXTENSION

Declaration

Source position: lcltype.pp line 2040

const SPI_GETWINDOWSEXTENSION = 92;


SPI_GETWORKAREA

Declaration

Source position: lcltype.pp line 1996

const SPI_GETWORKAREA = 48;


SPI_ICONHORIZONTALSPACING

Declaration

Source position: lcltype.pp line 1963

const SPI_ICONHORIZONTALSPACING = 13;


SPI_ICONVERTICALSPACING

Declaration

Source position: lcltype.pp line 1974

const SPI_ICONVERTICALSPACING = 24;


SPI_LANGDRIVER

Declaration

Source position: lcltype.pp line 1962

const SPI_LANGDRIVER = 12;


SPI_SCREENSAVERRUNNING

Declaration

Source position: lcltype.pp line 2045

const SPI_SCREENSAVERRUNNING = 97;


SPI_SETACCESSTIMEOUT

Declaration

Source position: lcltype.pp line 2009

const SPI_SETACCESSTIMEOUT = 61;


SPI_SETACTIVEWINDOWTRACKING

Declaration

Source position: lcltype.pp line 2064

const SPI_SETACTIVEWINDOWTRACKING = 4097;


SPI_SETACTIVEWNDTRKTIMEOUT

Declaration

Source position: lcltype.pp line 2096

const SPI_SETACTIVEWNDTRKTIMEOUT = 8195;


SPI_SETACTIVEWNDTRKZORDER

Declaration

Source position: lcltype.pp line 2078

const SPI_SETACTIVEWNDTRKZORDER = 4109;


SPI_SETANIMATION

Declaration

Source position: lcltype.pp line 2021

const SPI_SETANIMATION = 73;


SPI_SETBEEP

Declaration

Source position: lcltype.pp line 1955

const SPI_SETBEEP = 2;


SPI_SETBLOCKSENDINPUTRESETS

Declaration

Source position: lcltype.pp line 2112

const SPI_SETBLOCKSENDINPUTRESETS = 4135;


SPI_SETBORDER

Declaration

Source position: lcltype.pp line 1959

const SPI_SETBORDER = 6;


SPI_SETCARETWIDTH

Declaration

Source position: lcltype.pp line 2100

const SPI_SETCARETWIDTH = 8199;


SPI_SETCOMBOBOXANIMATION

Declaration

Source position: lcltype.pp line 2068

const SPI_SETCOMBOBOXANIMATION = 4101;


SPI_SETCURSORS

Declaration

Source position: lcltype.pp line 2035

const SPI_SETCURSORS = 87;


SPI_SETCURSORSHADOW

Declaration

Source position: lcltype.pp line 2090

const SPI_SETCURSORSHADOW = 4123;


SPI_SETDEFAULTINPUTLANG

Declaration

Source position: lcltype.pp line 2038

const SPI_SETDEFAULTINPUTLANG = 90;


SPI_SETDESKPATTERN

Declaration

Source position: lcltype.pp line 1971

const SPI_SETDESKPATTERN = 21;


SPI_SETDESKWALLPAPER

Declaration

Source position: lcltype.pp line 1970

const SPI_SETDESKWALLPAPER = 20;


SPI_SETDOUBLECLICKTIME

Declaration

Source position: lcltype.pp line 1982

const SPI_SETDOUBLECLICKTIME = 32;


SPI_SETDOUBLECLKHEIGHT

Declaration

Source position: lcltype.pp line 1980

const SPI_SETDOUBLECLKHEIGHT = 30;


SPI_SETDOUBLECLKWIDTH

Declaration

Source position: lcltype.pp line 1979

const SPI_SETDOUBLECLKWIDTH = 29;


SPI_SETDRAGFULLWINDOWS

Declaration

Source position: lcltype.pp line 1987

const SPI_SETDRAGFULLWINDOWS = 37;


SPI_SETDRAGHEIGHT

Declaration

Source position: lcltype.pp line 2025

const SPI_SETDRAGHEIGHT = 77;


SPI_SETDRAGWIDTH

Declaration

Source position: lcltype.pp line 2024

const SPI_SETDRAGWIDTH = 76;


SPI_SETDROPSHADOW

Declaration

Source position: lcltype.pp line 2110

const SPI_SETDROPSHADOW = 4133;


SPI_SETFASTTASKSWITCH

Declaration

Source position: lcltype.pp line 1986

const SPI_SETFASTTASKSWITCH = 36;


SPI_SETFILTERKEYS

Declaration

Source position: lcltype.pp line 1999

const SPI_SETFILTERKEYS = 51;


SPI_SETFLATMENU

Declaration

Source position: lcltype.pp line 2108

const SPI_SETFLATMENU = 4131;


SPI_SETFOCUSBORDERHEIGHT

Declaration

Source position: lcltype.pp line 2122

const SPI_SETFOCUSBORDERHEIGHT = 8209;


SPI_SETFOCUSBORDERWIDTH

Declaration

Source position: lcltype.pp line 2120

const SPI_SETFOCUSBORDERWIDTH = 8207;


SPI_SETFONTSMOOTHING

Declaration

Source position: lcltype.pp line 2023

const SPI_SETFONTSMOOTHING = 75;


SPI_SETFONTSMOOTHINGCONTRAST

Declaration

Source position: lcltype.pp line 2118

const SPI_SETFONTSMOOTHINGCONTRAST = 8205;


SPI_SETFONTSMOOTHINGORIENTATION

Declaration

Source position: lcltype.pp line 2124

const SPI_SETFONTSMOOTHINGORIENTATION = 8211;


SPI_SETFONTSMOOTHINGTYPE

Declaration

Source position: lcltype.pp line 2116

const SPI_SETFONTSMOOTHINGTYPE = 8203;


SPI_SETFOREGROUNDFLASHCOUNT

Declaration

Source position: lcltype.pp line 2098

const SPI_SETFOREGROUNDFLASHCOUNT = 8197;


SPI_SETFOREGROUNDLOCKTIMEOUT

Declaration

Source position: lcltype.pp line 2094

const SPI_SETFOREGROUNDLOCKTIMEOUT = 8193;


SPI_SETGRADIENTCAPTIONS

Declaration

Source position: lcltype.pp line 2072

const SPI_SETGRADIENTCAPTIONS = 4105;


SPI_SETGRIDGRANULARITY

Declaration

Source position: lcltype.pp line 1969

const SPI_SETGRIDGRANULARITY = 19;


SPI_SETHANDHELD

Declaration

Source position: lcltype.pp line 2026

const SPI_SETHANDHELD = 78;


SPI_SETHIGHCONTRAST

Declaration

Source position: lcltype.pp line 2015

const SPI_SETHIGHCONTRAST = 67;


SPI_SETHOTTRACKING

Declaration

Source position: lcltype.pp line 2080

const SPI_SETHOTTRACKING = 4111;


SPI_SETICONMETRICS

Declaration

Source position: lcltype.pp line 1994

const SPI_SETICONMETRICS = 46;


SPI_SETICONS

Declaration

Source position: lcltype.pp line 2036

const SPI_SETICONS = 88;


SPI_SETICONTITLELOGFONT

Declaration

Source position: lcltype.pp line 1984

const SPI_SETICONTITLELOGFONT = 34;


SPI_SETICONTITLEWRAP

Declaration

Source position: lcltype.pp line 1976

const SPI_SETICONTITLEWRAP = 26;


SPI_SETKEYBOARDCUES

Declaration

Source position: lcltype.pp line 2074

const SPI_SETKEYBOARDCUES = 4107;


SPI_SETKEYBOARDDELAY

Declaration

Source position: lcltype.pp line 1973

const SPI_SETKEYBOARDDELAY = 23;


SPI_SETKEYBOARDPREF

Declaration

Source position: lcltype.pp line 2017

const SPI_SETKEYBOARDPREF = 69;


SPI_SETKEYBOARDSPEED

Declaration

Source position: lcltype.pp line 1961

const SPI_SETKEYBOARDSPEED = 11;


SPI_SETLANGTOGGLE

Declaration

Source position: lcltype.pp line 2039

const SPI_SETLANGTOGGLE = 91;


SPI_SETLISTBOXSMOOTHSCROLLING

Declaration

Source position: lcltype.pp line 2070

const SPI_SETLISTBOXSMOOTHSCROLLING = 4103;


SPI_SETLOWPOWERACTIVE

Declaration

Source position: lcltype.pp line 2033

const SPI_SETLOWPOWERACTIVE = 85;


SPI_SETLOWPOWERTIMEOUT

Declaration

Source position: lcltype.pp line 2029

const SPI_SETLOWPOWERTIMEOUT = 81;


SPI_SETMENUANIMATION

Declaration

Source position: lcltype.pp line 2066

const SPI_SETMENUANIMATION = 4099;


SPI_SETMENUDROPALIGNMENT

Declaration

Source position: lcltype.pp line 1978

const SPI_SETMENUDROPALIGNMENT = 28;


SPI_SETMENUFADE

Declaration

Source position: lcltype.pp line 2082

const SPI_SETMENUFADE = 4115;


SPI_SETMENUSHOWDELAY

Declaration

Source position: lcltype.pp line 2056

const SPI_SETMENUSHOWDELAY = 107;


SPI_SETMENUUNDERLINES

Declaration

Source position: lcltype.pp line 2076

const SPI_SETMENUUNDERLINES = 4107;


SPI_SETMINIMIZEDMETRICS

Declaration

Source position: lcltype.pp line 1992

const SPI_SETMINIMIZEDMETRICS = 44;


SPI_SETMOUSE

Declaration

Source position: lcltype.pp line 1957

const SPI_SETMOUSE = 4;


SPI_SETMOUSEBUTTONSWAP

Declaration

Source position: lcltype.pp line 1983

const SPI_SETMOUSEBUTTONSWAP = 33;


SPI_SETMOUSECLICKLOCK

Declaration

Source position: lcltype.pp line 2104

const SPI_SETMOUSECLICKLOCK = 4127;


SPI_SETMOUSECLICKLOCKTIME

Declaration

Source position: lcltype.pp line 2114

const SPI_SETMOUSECLICKLOCKTIME = 8201;


SPI_SETMOUSEHOVERHEIGHT

Declaration

Source position: lcltype.pp line 2050

const SPI_SETMOUSEHOVERHEIGHT = 101;


SPI_SETMOUSEHOVERTIME

Declaration

Source position: lcltype.pp line 2052

const SPI_SETMOUSEHOVERTIME = 103;


SPI_SETMOUSEHOVERWIDTH

Declaration

Source position: lcltype.pp line 2048

const SPI_SETMOUSEHOVERWIDTH = 99;


SPI_SETMOUSEKEYS

Declaration

Source position: lcltype.pp line 2003

const SPI_SETMOUSEKEYS = 55;


SPI_SETMOUSESONAR

Declaration

Source position: lcltype.pp line 2102

const SPI_SETMOUSESONAR = 4125;


SPI_SETMOUSESPEED

Declaration

Source position: lcltype.pp line 2060

const SPI_SETMOUSESPEED = 113;


SPI_SETMOUSETRAILS

Declaration

Source position: lcltype.pp line 2041

const SPI_SETMOUSETRAILS = 93;


SPI_SETMOUSEVANISH

Declaration

Source position: lcltype.pp line 2106

const SPI_SETMOUSEVANISH = 4129;


SPI_SETNONCLIENTMETRICS

Declaration

Source position: lcltype.pp line 1990

const SPI_SETNONCLIENTMETRICS = 42;


SPI_SETPENWINDOWS

Declaration

Source position: lcltype.pp line 1997

const SPI_SETPENWINDOWS = 49;


SPI_SETPOWEROFFACTIVE

Declaration

Source position: lcltype.pp line 2034

const SPI_SETPOWEROFFACTIVE = 86;


SPI_SETPOWEROFFTIMEOUT

Declaration

Source position: lcltype.pp line 2030

const SPI_SETPOWEROFFTIMEOUT = 82;


SPI_SETSCREENREADER

Declaration

Source position: lcltype.pp line 2019

const SPI_SETSCREENREADER = 71;


SPI_SETSCREENSAVEACTIVE

Declaration

Source position: lcltype.pp line 1967

const SPI_SETSCREENSAVEACTIVE = 17;


SPI_SETSCREENSAVERRUNNING

Declaration

Source position: lcltype.pp line 2046

const SPI_SETSCREENSAVERRUNNING = 97;


SPI_SETSCREENSAVETIMEOUT

Declaration

Source position: lcltype.pp line 1965

const SPI_SETSCREENSAVETIMEOUT = 15;


SPI_SETSELECTIONFADE

Declaration

Source position: lcltype.pp line 2084

const SPI_SETSELECTIONFADE = 4117;


SPI_SETSERIALKEYS

Declaration

Source position: lcltype.pp line 2011

const SPI_SETSERIALKEYS = 63;


SPI_SETSHOWIMEUI

Declaration

Source position: lcltype.pp line 2058

const SPI_SETSHOWIMEUI = 111;


SPI_SETSHOWSOUNDS

Declaration

Source position: lcltype.pp line 2005

const SPI_SETSHOWSOUNDS = 57;


SPI_SETSNAPTODEFBUTTON

Declaration

Source position: lcltype.pp line 2044

const SPI_SETSNAPTODEFBUTTON = 96;


SPI_SETSOUNDSENTRY

Declaration

Source position: lcltype.pp line 2013

const SPI_SETSOUNDSENTRY = 65;


SPI_SETSTICKYKEYS

Declaration

Source position: lcltype.pp line 2007

const SPI_SETSTICKYKEYS = 59;


SPI_SETTOGGLEKEYS

Declaration

Source position: lcltype.pp line 2001

const SPI_SETTOGGLEKEYS = 53;


SPI_SETTOOLTIPANIMATION

Declaration

Source position: lcltype.pp line 2086

const SPI_SETTOOLTIPANIMATION = 4119;


SPI_SETTOOLTIPFADE

Declaration

Source position: lcltype.pp line 2088

const SPI_SETTOOLTIPFADE = 4121;


SPI_SETUIEFFECTS

Declaration

Source position: lcltype.pp line 2092

const SPI_SETUIEFFECTS = 4159;


SPI_SETWHEELSCROLLLINES

Declaration

Source position: lcltype.pp line 2054

const SPI_SETWHEELSCROLLLINES = 105;


SPI_SETWORKAREA

Declaration

Source position: lcltype.pp line 1995

const SPI_SETWORKAREA = 47;


SRCAND

Ternary raster operation (Dst op Src op Pattern): Fills the destination area with (Dst and Src)

Declaration

Source position: lcltype.pp line 197

const SRCAND = $008800C6;

See also

#lcl.LCLIntf.BitBlt

Copies a section of a Canvas to another one, performing a raster operation (ROP).


SRCCOPY

Ternary raster operation (Dst op Src op Pattern): Fills the destination area with Src.

Declaration

Source position: lcltype.pp line 195

const SRCCOPY = $00CC0020;

See also

#lcl.LCLIntf.BitBlt | Copies a section of a Canvas to another one, performing a raster operation (ROP).
#lcl.Graphics.cmSrcCopy | Ternary raster operation (Dst op Src op Pattern): Fills the destination area with Src.


SRCERASE

Ternary raster operation (Dst op Src op Pattern): Fills the destination area with ((not Dst) and Src)

Declaration

Source position: lcltype.pp line 199

const SRCERASE = $00440328;

See also

#lcl.LCLIntf.BitBlt

Copies a section of a Canvas to another one, performing a raster operation (ROP).


SRCINVERT

Ternary raster operation (Dst op Src op Pattern): Fills the destination area with (Dst xor Src)

Declaration

Source position: lcltype.pp line 198

const SRCINVERT = $00660046;

See also

#lcl.LCLIntf.BitBlt

Copies a section of a Canvas to another one, performing a raster operation (ROP).


SRCPAINT

Ternary raster operation (Dst op Src op Pattern): Fills the destination area with (Dst or Src)

Declaration

Source position: lcltype.pp line 196

const SRCPAINT = $00EE0086;

See also

#lcl.LCLIntf.BitBlt

Copies a section of a Canvas to another one, performing a raster operation (ROP).


STOCK_LAST

Declaration

Source position: lcltype.pp line 1799

const STOCK_LAST = 19;


SW_ERASE

Declaration

Source position: lcltype.pp line 710

const SW_ERASE = 4;


SW_HIDE

Declaration

Source position: lcltype.pp line 1012

const SW_HIDE = 0;


SW_INVALIDATE

Declaration

Source position: lcltype.pp line 711

const SW_INVALIDATE = 2;


SW_MAX

Declaration

Source position: lcltype.pp line 1025

const SW_MAX = 10;


SW_MAXIMIZE

Declaration

Source position: lcltype.pp line 1017

const SW_MAXIMIZE = 3;


SW_MINIMIZE

Declaration

Source position: lcltype.pp line 1020

const SW_MINIMIZE = 6;


SW_NORMAL

Declaration

Source position: lcltype.pp line 1014

const SW_NORMAL = 1;


SW_RESTORE

Declaration

Source position: lcltype.pp line 1023

const SW_RESTORE = 9;


SW_SCROLLCHILDREN

Declaration

Source position: lcltype.pp line 712

const SW_SCROLLCHILDREN = 1;


SW_SHOW

Declaration

Source position: lcltype.pp line 1019

const SW_SHOW = 5;


SW_SHOWDEFAULT

Declaration

Source position: lcltype.pp line 1024

const SW_SHOWDEFAULT = 10;


SW_SHOWFULLSCREEN

Declaration

Source position: lcltype.pp line 1026

const SW_SHOWFULLSCREEN = 11;


SW_SHOWMAXIMIZED

Declaration

Source position: lcltype.pp line 1016

const SW_SHOWMAXIMIZED = 3;


SW_SHOWMINIMIZED

Declaration

Source position: lcltype.pp line 1015

const SW_SHOWMINIMIZED = 2;


SW_SHOWMINNOACTIVE

Declaration

Source position: lcltype.pp line 1021

const SW_SHOWMINNOACTIVE = 7;


SW_SHOWNA

Declaration

Source position: lcltype.pp line 1022

const SW_SHOWNA = 8;


SW_SHOWNOACTIVATE

Declaration

Source position: lcltype.pp line 1018

const SW_SHOWNOACTIVATE = 4;


SW_SHOWNORMAL

Declaration

Source position: lcltype.pp line 1013

const SW_SHOWNORMAL = 1;


SW_SMOOTHSCROLL

Declaration

Source position: lcltype.pp line 709

const SW_SMOOTHSCROLL = 16;


SWP_ASYNCWINDOWPOS

Declaration

Source position: lcltype.pp line 863

const SWP_ASYNCWINDOWPOS = $04000;


SWP_DEFERERASE

Declaration

Source position: lcltype.pp line 862

const SWP_DEFERERASE = $02000;


SWP_DRAWFRAME

Declaration

Source position: lcltype.pp line 854

const SWP_DRAWFRAME = $00020;


SWP_FRAMECHANGED

Declaration

Source position: lcltype.pp line 855

const SWP_FRAMECHANGED = $00020;


SWP_HIDEWINDOW

Declaration

Source position: lcltype.pp line 857

const SWP_HIDEWINDOW = $00080;


SWP_NOACTIVATE

Declaration

Source position: lcltype.pp line 853

const SWP_NOACTIVATE = $00010;


SWP_NOCOPYBITS

Declaration

Source position: lcltype.pp line 858

const SWP_NOCOPYBITS = $00100;


SWP_NOMOVE

Declaration

Source position: lcltype.pp line 850

const SWP_NOMOVE = $00002;


SWP_NOOWNERZORDER

Declaration

Source position: lcltype.pp line 859

const SWP_NOOWNERZORDER = $00200;


SWP_NOREDRAW

Declaration

Source position: lcltype.pp line 852

const SWP_NOREDRAW = $00008;


SWP_NOREPOSITION

Declaration

Source position: lcltype.pp line 860

const SWP_NOREPOSITION = $00200;


SWP_NOSENDCHANGING

Declaration

Source position: lcltype.pp line 861

const SWP_NOSENDCHANGING = $00400;


SWP_NOSIZE

Declaration

Source position: lcltype.pp line 849

const SWP_NOSIZE = $00001;


SWP_NOZORDER

Declaration

Source position: lcltype.pp line 851

const SWP_NOZORDER = $00004;


SWP_SHOWWINDOW

Declaration

Source position: lcltype.pp line 856

const SWP_SHOWWINDOW = $00040;


SWP_SourceIsInterface

Declaration

Source position: lcltype.pp line 865

const SWP_SourceIsInterface = $10000;


SWP_STATECHANGED

Declaration

Source position: lcltype.pp line 864

const SWP_STATECHANGED = $08000;


SYMBOL_CHARSET

Declaration

Source position: lcltype.pp line 1452

const SYMBOL_CHARSET = 2;


SYS_COLOR_BASE

Declaration

Source position: lcltype.pp line 1706

const SYS_COLOR_BASE = TColorRef($80000000);


SYSTEM_FIXED_FONT

Declaration

Source position: lcltype.pp line 1795

const SYSTEM_FIXED_FONT = 16;


SYSTEM_FONT

Declaration

Source position: lcltype.pp line 1792

const SYSTEM_FONT = 13;


TA_BASELINE

Declaration

Source position: lcltype.pp line 2158

const TA_BASELINE = $18;


TA_BOTTOM

Declaration

Source position: lcltype.pp line 2157

const TA_BOTTOM = 8;


TA_CENTER

Declaration

Source position: lcltype.pp line 2155

const TA_CENTER = 6;


TA_LEFT

Declaration

Source position: lcltype.pp line 2153

const TA_LEFT = 0;


TA_MASK

Declaration

Source position: lcltype.pp line 2160

const TA_MASK = TA_BASELINE + TA_CENTER + TA_UPDATECP + TA_RTLREADING;


TA_NOUPDATECP

Declaration

Source position: lcltype.pp line 2151

const TA_NOUPDATECP = 0;


TA_RIGHT

Declaration

Source position: lcltype.pp line 2154

const TA_RIGHT = 2;


TA_RTLREADING

Declaration

Source position: lcltype.pp line 2159

const TA_RTLREADING = $100;


TA_TOP

Declaration

Source position: lcltype.pp line 2156

const TA_TOP = 0;


TA_UPDATECP

Declaration

Source position: lcltype.pp line 2152

const TA_UPDATECP = 1;


TABC

Declaration

Source position: lcltype.pp line 221

type TABC = _ABC;


tagBITMAP

Declaration

Source position: lcltype.pp line 1262

type tagBITMAP = record

  bmType: LongInt;

  bmWidth: LongInt;

  bmHeight: LongInt;

  bmWidthBytes: LongInt;

  bmPlanes: Word;

  bmBitsPixel: Word;

  bmBits: Pointer;

end;


tagBITMAPCOREHEADER

Declaration

Source position: lcltype.pp line 1275

type tagBITMAPCOREHEADER = packed record

  bcSize: DWORD;

  bcWidth: Word;

  bcHeight: Word;

  bcPlanes: Word;

  bcBitCount: Word;

end;


tagBITMAPCOREINFO

Declaration

Source position: lcltype.pp line 1342

type tagBITMAPCOREINFO = record

  bmciHeader: TBitmapCoreHeader;

  bmciColors: array [0..0] of TRGBTriple;

  Reserved: array [0..0] of Char;

end;


tagBITMAPFILEHEADER

Declaration

Source position: lcltype.pp line 1352

type tagBITMAPFILEHEADER = packed record

  bfType: Word;

  bfSize: DWORD;

  bfReserved1: Word;

  bfReserved2: Word;

  bfOffBits: DWORD;

end;


tagBITMAPINFO

Declaration

Source position: lcltype.pp line 1334

type tagBITMAPINFO = record

  bmiHeader: TBitmapInfoHeader;

  bmiColors: array [0..0] of TRGBQuad;

end;


tagBITMAPINFOHEADER

Declaration

Source position: lcltype.pp line 1287

type tagBITMAPINFOHEADER = packed record

  biSize: DWORD;

  biWidth: LongInt;

  biHeight: LongInt;

  biPlanes: Word;

  biBitCount: Word;

  biCompression: DWORD;

  biSizeImage: DWORD;

  biXPelsPerMeter: LongInt;

  biYPelsPerMeter: LongInt;

  biClrUsed: DWORD;

  biClrImportant: DWORD;

end;


tagDIBSECTION

Declaration

Source position: lcltype.pp line 1364

type tagDIBSECTION = record

  dsBm: tagBITMAP;

  dsBmih: tagBITMAPINFOHEADER;

  dsBitfields: array [0..2] of DWORD;

  dshSection: THandle;

  dsOffset: DWORD;

end;


tagDrawItemStruct

Declaration

Source position: lcltype.pp line 1127

type tagDrawItemStruct = record

  ctlType: UINT;

  ctlID: UINT;

  itemID: UINT;

  itemAction: UINT;

  itemState: UINT;

  hwndItem: HWND;

  _hDC: HDC;

  rcItem: TRect;

  itemData: ULONG_PTR;

end;


tagENUMLOGFONT

Declaration

Source position: lcltype.pp line 2368

type tagENUMLOGFONT = tagENUMLOGFONTA;


tagENUMLOGFONTA

Declaration

Source position: lcltype.pp line 2356

type tagENUMLOGFONTA = record

  elfLogFont: TLogFontA;

  elfFullName: array [0..LF_FULLFACESIZE-1] of AnsiChar;

  elfStyle: array [0..LF_FACESIZE-1] of AnsiChar;

end;


tagENUMLOGFONTEX

Declaration

Source position: lcltype.pp line 2397

type tagENUMLOGFONTEX = tagENUMLOGFONTEXA;


tagENUMLOGFONTEXA

Declaration

Source position: lcltype.pp line 2383

type tagENUMLOGFONTEXA = record

  elfLogFont: TLogFontA;

  elfFullName: array [0..LF_FULLFACESIZE-1] of AnsiChar;

  elfStyle: array [0..LF_FACESIZE-1] of AnsiChar;

  elfScript: array [0..LF_FACESIZE-1] of AnsiChar;

end;


tagENUMLOGFONTEXW

Declaration

Source position: lcltype.pp line 2390

type tagENUMLOGFONTEXW = record

  elfLogFont: TLogFontW;

  elfFullName: array [0..LF_FULLFACESIZE-1] of WideChar;

  elfStyle: array [0..LF_FACESIZE-1] of WideChar;

  elfScript: array [0..LF_FACESIZE-1] of WideChar;

end;


tagENUMLOGFONTW

Declaration

Source position: lcltype.pp line 2362

type tagENUMLOGFONTW = record

  elfLogFont: TLogFontW;

  elfFullName: array [0..LF_FULLFACESIZE-1] of WideChar;

  elfStyle: array [0..LF_FACESIZE-1] of WideChar;

end;


tagEXTLOGPEN

Declaration

Source position: lcltype.pp line 2418

type tagEXTLOGPEN = record

  elpPenStyle: LongWord;

  elpWidth: LongWord;

  elpBrushStyle: LongWord;

  elpColor: TColorRef;

  elpHatch: PtrInt;

  elpNumEntries: DWORD;

  elpStyleEntry: array [0..0] of DWORD;

end;


tagGRADIENTRECT

Declaration

Source position: lcltype.pp line 1250

type tagGRADIENTRECT = record

  UpperLeft: Cardinal;

  LowerRight: Cardinal;

end;


tagGRADIENTTRIANGLE

Declaration

Source position: lcltype.pp line 1241

type tagGRADIENTTRIANGLE = record

  Vertex1: Cardinal;

  Vertex2: Cardinal;

  Vertex3: Cardinal;

end;


tagHELPINFO

Declaration

Source position: lcltype.pp line 1374

type tagHELPINFO = record

  cbSize: DWORD;

  iContextType: Integer;

  iCtrlId: Integer;

  hItemHandle: THandle;

  dwContextId: DWORD;

  MousePos: TPOINT;

end;


tagLOGBRUSH

Description of a Brush.

Declaration

Source position: lcltype.pp line 2327

type tagLOGBRUSH = record
lbStyle: LongWord; | The brush style, e.g. BS_SOLID or BS_HATCHED.
lbColor: TColorRef; | The brush color, a TColorRef for BS_SOLID or BS_HATCHED.
lbHatch: PtrUInt; | Polymorphic, depending on lbStyle. With style BS_HATCHED lbHatch is a pattern constant, e.g. HS_VERTICAL.
end;

Description

A brush has a color and a pattern.

The content of lbColor and lbHatch varies, depending on lbStyle.

When a drawing function fills an area, using the current brush, a BS_HOLLOW brush can be used to suppress filling.

See also

#lcl.LCLIntf.CreateBrushIndirect | Creates a brush object (bitmap).
BS_SOLID |
HS_HORIZONTAL |


tagLOGFONT

Declaration

Source position: lcltype.pp line 2316

type tagLOGFONT = tagLOGFONTA;


tagLOGFONTA

Declaration

Source position: lcltype.pp line 2314

type tagLOGFONTA = LOGFONTA;


tagLOGFONTW

Declaration

Source position: lcltype.pp line 2315

type tagLOGFONTW = LOGFONTW;


tagLOGPALETTE

Declaration

Source position: lcltype.pp line 1219

type tagLOGPALETTE = record

  palVersion: Word;

  palNumEntries: Word;

  palPalEntry: array [0..0] of tagPALETTEENTRY;

end;


tagLOGPEN

Declaration

Source position: lcltype.pp line 2409

type tagLOGPEN = record

  lopnStyle: LongWord;

  lopnWidth: TPoint;

  lopnColor: TColorRef;

end;


tagMonitorInfo

Declaration

Source position: lcltype.pp line 1088

type tagMonitorInfo = record

  cbSize: DWord;

  rcMonitor: TRect;

  rcWork: TRect;

  dwFlags: DWord;

end;


tagMonitorInfoEx

Declaration

Source position: lcltype.pp line 1097

type tagMonitorInfoEx = record

  cbSize: DWord;

  rcMonitor: TRect;

  rcWork: TRect;

  dwFlags: DWord;

  szDevice: array [0..CCHDEVICENAME-1] of Char;

end;


tagMonitorInfoExW

Declaration

Source position: lcltype.pp line 1107

type tagMonitorInfoExW = record

  cbSize: DWord;

  rcMonitor: TRect;

  rcWork: TRect;

  dwFlags: DWord;

  szDevice: array [0..CCHDEVICENAME-1] of WideChar;

end;


tagMSG

Declaration

Source position: lcltype.pp line 2637

type tagMSG = record

  hwnd: HWND;

  message: LongWord;

  wParam: WPARAM;

  lParam: LPARAM;

  time: DWORD;

  pt: TPoint;

end;


tagNMHDR

Declaration

Source position: lcltype.pp line 1060

type tagNMHDR = record

  hwndFrom: HWND;

  idFrom: PtrUInt;

  code: Integer;

end;


tagNMLISTVIEW

Declaration

Source position: lcltype.pp line 2966

type tagNMLISTVIEW = TNMListView;


tagPAINTSTRUCT

Declaration

Source position: lcltype.pp line 1169

type tagPAINTSTRUCT = record

  hdc: HDC;

  fErase: Bool;

  rcPaint: TRect;

  fRestore: Bool;

  fIncUpdate: Bool;

  rgbReserved: array [0..31] of Byte;

end;


tagPALETTEENTRY

Declaration

Source position: lcltype.pp line 1209

type tagPALETTEENTRY = record

  peRed: Byte;

  peGreen: Byte;

  peBlue: Byte;

  peFlags: Byte;

end;


tagRGBQUAD

Declaration

Source position: lcltype.pp line 1314

type tagRGBQUAD = record

  rgbBlue: Byte;

  rgbGreen: Byte;

  rgbRed: Byte;

  rgbReserved: Byte;

end;


tagRGBTRIPLE

Declaration

Source position: lcltype.pp line 1305

type tagRGBTRIPLE = record

  rgbtBlue: Byte;

  rgbtGreen: Byte;

  rgbtRed: Byte;

end;


tagScrollInfo

The Scrollbar properties parameter record.

Declaration

Source position: lcltype.pp line 1195

type tagScrollInfo = record
cbSize: UINT; | Must be initialized to sizeof(TScrollInfo).
fMask: UINT; | Contains the flags for the desired values.
nMin: Integer; | The minimum Position value.
nMax: Integer; | The maximum Position value.
nPage: UINT; | The page size, equivalent to the slider size.
nPos: Integer; | The slider position.
nTrackPos: Integer; | The current position while the user is dragging the slider.
end;

Description

This record is used with the GetScrollInfo and SetScrollInfo procedures. before every call fMask must be initialized with the flags for the desired values:

  • SIF_DISABLENOSCROLL: when the new parameters make the scrollbar unnecessary, the scrollbar is only disabled, not removed. (write only)
  • SIF_PAGE: nPage contains the page size.
  • SIF_POS: nPos contains the slider position.
  • SIF_RANGE: nMin and nMax contain the scroll limits.
  • SIF_TRACKPOS: nTrackPos contains the current slider position, while the user is dragging the slider. (read only)

See also

GetScrollInfo | Returns all or selected information about a ScrollBar.
SetScrollInfo |


tagTEXTMETRIC

Declaration

Source position: lcltype.pp line 2483

type tagTEXTMETRIC = tagTextMetricA;


tagTextMetricA

Declaration

Source position: lcltype.pp line 2437

type tagTextMetricA = record

  tmHeight: LongInt;

  tmAscent: LongInt;

  tmDescent: LongInt;

  tmInternalLeading: LongInt;

  tmExternalLeading: LongInt;

  tmAveCharWidth: LongInt;

  tmMaxCharWidth: LongInt;

  tmWeight: LongInt;

  tmOverhang: LongInt;

  tmDigitizedAspectX: LongInt;

  tmDigitizedAspectY: LongInt;

  tmFirstChar: AnsiChar;

  tmLastChar: AnsiChar;

  tmDefaultChar: AnsiChar;

  tmBreakChar: AnsiChar;

  tmItalic: Byte;

  tmUnderlined: Byte;

  tmStruckOut: Byte;

  tmPitchAndFamily: Byte;

  tmCharSet: Byte;

end;


tagTEXTMETRICW

Declaration

Source position: lcltype.pp line 2461

type tagTEXTMETRICW = record

  tmHeight: LongInt;

  tmAscent: LongInt;

  tmDescent: LongInt;

  tmInternalLeading: LongInt;

  tmExternalLeading: LongInt;

  tmAveCharWidth: LongInt;

  tmMaxCharWidth: LongInt;

  tmWeight: LongInt;

  tmOverhang: LongInt;

  tmDigitizedAspectX: LongInt;

  tmDigitizedAspectY: LongInt;

  tmFirstChar: WideChar;

  tmLastChar: WideChar;

  tmDefaultChar: WideChar;

  tmBreakChar: WideChar;

  tmItalic: Byte;

  tmUnderlined: Byte;

  tmStruckOut: Byte;

  tmPitchAndFamily: Byte;

  tmCharSet: Byte;

end;


tagTRIVERTEX

Declaration

Source position: lcltype.pp line 1229

type tagTRIVERTEX = record

  x: LongInt;

  y: LongInt;

  Red: Word;

  Green: Word;

  Blue: Word;

  Alpha: Word;

end;


tagWindowPos

Declaration

Source position: lcltype.pp line 1183

type tagWindowPos = record

  _hwnd: HWND;

  hwndInsertAfter: HWND;

  x: Integer;

  y: Integer;

  cx: Integer;

  cy: Integer;

  flags: UINT;

end;


tagWNDCLASS

Declaration

Source position: lcltype.pp line 2610

type tagWNDCLASS = tagWNDCLASSA;


tagWNDCLASSA

Declaration

Source position: lcltype.pp line 2584

type tagWNDCLASSA = record

  style: UINT;

  lpfnWndProc: TFNWndProc;

  cbClsExtra: Integer;

  cbWndExtra: Integer;

  hInstance: HINST;

  hIcon: HICON;

  hCursor: HCURSOR;

  hbrBackground: HBRUSH;

  lpszMenuName: PAnsiChar;

  lpszClassName: PAnsiChar;

end;


tagWNDCLASSEX

Declaration

Source position: lcltype.pp line 2572

type tagWNDCLASSEX = tagWNDCLASSEXA;


tagWNDCLASSEXA

Declaration

Source position: lcltype.pp line 2542

type tagWNDCLASSEXA = record

  cbSize: UINT;

  style: UINT;

  lpfnWndProc: TFNWndProc;

  cbClsExtra: Integer;

  cbWndExtra: Integer;

  hInstance: HINST;

  _hIcon: HICON;

  hCursor: HCURSOR;

  hbrBackground: HBRUSH;

  lpszMenuName: PAnsiChar;

  lpszClassName: PAnsiChar;

  hIconSm: HICON;

end;


tagWNDCLASSEXW

Declaration

Source position: lcltype.pp line 2557

type tagWNDCLASSEXW = record

  cbSize: UINT;

  style: UINT;

  lpfnWndProc: TFNWndProc;

  cbClsExtra: Integer;

  cbWndExtra: Integer;

  hInstance: HINST;

  _hIcon: HICON;

  hCursor: HCURSOR;

  hbrBackground: HBRUSH;

  lpszMenuName: PWideChar;

  lpszClassName: PWideChar;

  hIconSm: HICON;

end;


tagWNDCLASSW

Declaration

Source position: lcltype.pp line 2597

type tagWNDCLASSW = record

  style: UINT;

  lpfnWndProc: TFNWndProc;

  cbClsExtra: Integer;

  cbWndExtra: Integer;

  hInstance: HINST;

  hIcon: HICON;

  hCursor: HCURSOR;

  hbrBackground: HBRUSH;

  lpszMenuName: PWideChar;

  lpszClassName: PWideChar;

end;


TBitmapCoreHeader

Declaration

Source position: lcltype.pp line 1282

type TBitmapCoreHeader = tagBITMAPCOREHEADER;


TBitmapCoreInfo

Declaration

Source position: lcltype.pp line 1347

type TBitmapCoreInfo = tagBITMAPCOREINFO;


TBitmapFileHeader

Declaration

Source position: lcltype.pp line 1359

type TBitmapFileHeader = tagBITMAPFILEHEADER;


TBitmapInfo

Declaration

Source position: lcltype.pp line 1338

type TBitmapInfo = tagBITMAPINFO;


TBitmapInfoHeader

Declaration

Source position: lcltype.pp line 1300

type TBitmapInfoHeader = tagBITMAPINFOHEADER;


TBN_First

Declaration

Source position: lcltype.pp line 2891

const TBN_First = - 700;


TBN_Last

Declaration

Source position: lcltype.pp line 2892

const TBN_Last = - 720;


TClipboardFormat

Declaration

Source position: lcltype.pp line 2699

type TClipboardFormat = PtrUInt;


TClipboardRequestEvent

Declaration

Source position: lcltype.pp line 2702

type TClipboardRequestEvent = procedure(

  const RequestedFormatID: TClipboardFormat;

  Data: TStream

) of object;


TClipboardType

Declaration

Source position: lcltype.pp line 2705

type TClipboardType = (

  ctPrimarySelection,

  ctSecondarySelection,

  ctClipboard

);


TCN_FIRST

Declaration

Source position: lcltype.pp line 2887

const TCN_FIRST = - 550;


TCN_LAST

Declaration

Source position: lcltype.pp line 2888

const TCN_LAST = - 580;


TColorRef

TColor, TColorRef

Declaration

Source position: lcltype.pp line 1653

type TColorRef = COLORREF;

Description

Values from 0..$FFFFFF are BGR colors. The lowest 8 bit are the blue component, the middle 8 bit the green component and the highest 8 bit the red component. Use the functions Red, Green, Blue to extract the components, RedGreenBlue to extract all three components and RGBToColor to convert the three colors to a TColor. Values with highest bit set are system colors or themed colors. For example clNone, clBackground, clButton, clWindowText. Their actual value depend on the context (i.e. the used Canvas) and they are not valid in all contexts. For example clWindowText might only work for Font.Color, not for Brush.Color or Pen.Color. clBackground might be a color, gradient, pattern or image, depending on theme and control type. A system color can change during runtime, so do not store them. Use system colors only on LCL control Canvas. They probably are not defined for printer canvas and some are not defined on bitmap canvas.


TCreateParams

Declaration

Source position: lcltype.pp line 2652

type TCreateParams = record

  Caption: PChar;

  Style: Cardinal;

  ExStyle: Cardinal;

  X: Integer;

  Y: Integer;

  Width: Integer;

  Height: Integer;

  WndParent: HWND;

  Param: Pointer;

  WindowClass: TWndClass;

  WinClassName: array [0..63] of Char;

end;


TCriticalSection

Declaration

Source position: lcltype.pp line 68

type TCriticalSection = PtrUInt;


TDIBSection

Declaration

Source position: lcltype.pp line 1371

type TDIBSection = tagDIBSECTION;


TDockImageOperation

Actions occuring while dragging an image.

Declaration

Source position: lcltype.pp line 71

type TDockImageOperation = (
disShow, | Show the image.
disMove, | Move the already visible image.
disHide | Hide the image.
);


TDrawItemStruct

Declaration

Source position: lcltype.pp line 1138

type TDrawItemStruct = tagDrawItemStruct;


TDrawListItemStruct

Declaration

Source position: lcltype.pp line 1151

type TDrawListItemStruct = record

  ItemID: UINT;

  Area: TRect;

  DC: HDC;

  ItemState: TOwnerDrawState;

end;


TEnumLogFont

Declaration

Source position: lcltype.pp line 2371

type TEnumLogFont = TEnumLogFontA;


TEnumLogFontA

Declaration

Source position: lcltype.pp line 2369

type TEnumLogFontA = tagENUMLOGFONTA;


TEnumLogFontEx

Declaration

Source position: lcltype.pp line 2400

type TEnumLogFontEx = TEnumLogFontExA;


TEnumLogFontExA

Declaration

Source position: lcltype.pp line 2398

type TEnumLogFontExA = tagENUMLOGFONTEXA;


TEnumLogFontExW

Declaration

Source position: lcltype.pp line 2399

type TEnumLogFontExW = tagENUMLOGFONTEXW;


TEnumLogFontW

Declaration

Source position: lcltype.pp line 2370

type TEnumLogFontW = tagENUMLOGFONTW;


TExtLogPen

Declaration

Source position: lcltype.pp line 2427

type TExtLogPen = tagEXTLOGPEN;


TEXTMETRIC

Declaration

Source position: lcltype.pp line 2489

type TEXTMETRIC = TEXTMETRICA;


TEXTMETRICA

Declaration

Source position: lcltype.pp line 2487

type TEXTMETRICA = tagTextMetricA;


TEXTMETRICW

Declaration

Source position: lcltype.pp line 2488

type TEXTMETRICW = tagTEXTMETRICW;


TFarProc

Declaration

Source position: lcltype.pp line 2266

type TFarProc = Pointer;


TFNTimerProc

Declaration

Source position: lcltype.pp line 2693

type TFNTimerProc = TFarProc;


TFNWndProc

Declaration

Source position: lcltype.pp line 2268

type TFNWndProc = TFarProc;


TFontSignature

Declaration

Source position: lcltype.pp line 2519

type TFontSignature = record

  fsUsb: array [0..3] of DWORD;

  fsCsb: array [0..1] of DWORD;

end;


TGradientRect

Declaration

Source position: lcltype.pp line 1255

type TGradientRect = GRADIENTRECT;


TGradientTriangle

Declaration

Source position: lcltype.pp line 1247

type TGradientTriangle = GRADIENTTRIANGLE;


THAI_CHARSET

Declaration

Source position: lcltype.pp line 1485

const THAI_CHARSET = 222;


THandle

Declaration

Source position: lcltype.pp line 89

type THandle = type PtrUInt;


THelpInfo

Declaration

Source position: lcltype.pp line 1382

type THelpInfo = tagHELPINFO;


TIconInfo

Declaration

Source position: lcltype.pp line 2669

type TIconInfo = record

  fIcon: Bool;

  xHotspot: DWORD;

  yHotspot: DWORD;

  hbmMask: HBITMAP;

  hbmColor: HBITMAP;

end;


TKeyBoardState

State array of 256 possible (virtual) keys.

Declaration

Source position: lcltype.pp line 212

type TKeyBoardState = array [0..255] of Byte;


TLCLIntfHandle

Declaration

Source position: lcltype.pp line 151

type TLCLIntfHandle = type THandle;


TListChangeEvent

Declaration

Source position: lcltype.pp line 2740

type TListChangeEvent = procedure(

  Ptr: Pointer;

  AnAction: TListNotification

) of object;


TLMTimer

Declaration

Source position: lcltype.pp line 2685

type TLMTimer = record

  Msg: Cardinal;

  TimerID: PtrUInt;

  TimerProc: TFarProc;

  Result: LRESULT;

end;


TLogBrush

Declaration

Source position: lcltype.pp line 2332

type TLogBrush = tagLOGBRUSH;


TLogFont

Declaration

Source position: lcltype.pp line 2320

type TLogFont = TLogFontA;


TLogFontA

Declaration

Source position: lcltype.pp line 2318

type TLogFontA = tagLOGFONTA;


TLogFontW

Declaration

Source position: lcltype.pp line 2319

type TLogFontW = tagLOGFONTW;


TLogGradientStop

Declaration

Source position: lcltype.pp line 2336

type TLogGradientStop = record

  radColorR: Word;

  radColorG: Word;

  radColorB: Word;

  radColorA: Word;

  radPosition: Double;

end;


TLOGPALETTE

Declaration

Source position: lcltype.pp line 1225

type TLOGPALETTE = tagLOGPALETTE;


TLogPen

Declaration

Source position: lcltype.pp line 2414

type TLogPen = tagLOGPEN;


TLogRadialGradient

Declaration

Source position: lcltype.pp line 2340

type TLogRadialGradient = record

  radCenterX: Integer;

  radCenterY: Integer;

  radRadius: Integer;

  radFocalX: Integer;

  radFocalY: Integer;

  radStops: array of TLogGradientStop;

end;


TMaxLogPalette

Declaration

Source position: lcltype.pp line 2346

type TMaxLogPalette = record

  palVersion: Word;

  palNumEntries: Word;

  palPalEntry: array [Byte] of TPaletteEntry;

end;


TMeasureItemStruct

Declaration

Source position: lcltype.pp line 1159

type TMeasureItemStruct = record

  CtlType: UINT;

  CtlID: UINT;

  itemID: UINT;

  itemWidth: UINT;

  itemHeight: UINT;

  itemData: ULONG_PTR;

end;


TMonitorDpiType

Declaration

Source position: lcltype.pp line 1122

type TMonitorDpiType = MONITOR_DPI_TYPE;


TMonitorInfo

Declaration

Source position: lcltype.pp line 1095

type TMonitorInfo = tagMonitorInfo;


TMonitorInfoEx

Declaration

Source position: lcltype.pp line 1105

type TMonitorInfoEx = tagMonitorInfoEx;


TMonitorInfoExW

Declaration

Source position: lcltype.pp line 1115

type TMonitorInfoExW = tagMonitorInfoExW;


TMsg

Declaration

Source position: lcltype.pp line 2645

type TMsg = tagMSG;


TNativeCanvasType

Declaration

Source position: lcltype.pp line 79

type TNativeCanvasType = (

  nctWindowsDC,

  nctLazCanvas

);


TNativeCanvasTypes

Declaration

Source position: lcltype.pp line 80

type TNativeCanvasTypes = set of (

  nctWindowsDC,

  nctLazCanvas

);


TNativeHandleType

Declaration

Source position: lcltype.pp line 75

type TNativeHandleType = (

  nhtWindowsHWND,

  nhtX11TWindow,

  nhtCocoaNSWindow,

  nhtQtQWidget

);


TNativeHandleTypes

Declaration

Source position: lcltype.pp line 77

type TNativeHandleTypes = set of (

  nhtWindowsHWND,

  nhtX11TWindow,

  nhtCocoaNSWindow,

  nhtQtQWidget

);


TNewTextMetric

Declaration

Source position: lcltype.pp line 2492

type TNewTextMetric = record

  tmHeight: LongInt;

  tmAscent: LongInt;

  tmDescent: LongInt;

  tmInternalLeading: LongInt;

  tmExternalLeading: LongInt;

  tmAveCharWidth: LongInt;

  tmMaxCharWidth: LongInt;

  tmWeight: LongInt;

  tmOverhang: LongInt;

  tmDigitizedAspectX: LongInt;

  tmDigitizedAspectY: LongInt;

  tmFirstChar: AnsiChar;

  tmLastChar: AnsiChar;

  tmDefaultChar: AnsiChar;

  tmBreakChar: AnsiChar;

  tmItalic: Byte;

  tmUnderlined: Byte;

  tmStruckOut: Byte;

  tmPitchAndFamily: Byte;

  tmCharSet: Byte;

  ntmFlags: DWORD;

  ntmSizeEM: UINT;

  ntmCellHeight: UINT;

  ntmAvgWidth: UINT;

end;


TNewTextMetricEx

Declaration

Source position: lcltype.pp line 2524

type TNewTextMetricEx = record

  ntmentm: TNewTextMetric;

  ntmeFontSignature: TFontSignature;

end;


TNMHdr

Declaration

Source position: lcltype.pp line 1065

type TNMHdr = tagNMHDR;


TNMListView

Declaration

Source position: lcltype.pp line 2954

type TNMListView = packed record

  hdr: TNMHdr;

  iItem: Integer;

  iSubItem: Integer;

  uNewState: UINT;

  uOldState: UINT;

  uChanged: UINT;

  ptAction: TPoint;

  lParam: LPARAM;

end;


TOnShowSelectItemDialogResult

Declaration

Source position: lcltype.pp line 85

type TOnShowSelectItemDialogResult = procedure(

  ASelectedItem: Integer

) of object;


TOwnerDrawState

Declaration

Source position: lcltype.pp line 1148

type TOwnerDrawState = set of (

  odSelected,

  odGrayed,

  odDisabled,

  odChecked,

  odFocused,

  odDefault,

  odHotLight,

  odInactive,

  odNoAccel,

  odNoFocusRect,

  odReserved1,

  odReserved2,

  odComboBoxEdit,

  odBackgroundPainted

);


TOwnerDrawStateType

Declaration

Source position: lcltype.pp line 1142

type TOwnerDrawStateType = (

  odSelected,

  odGrayed,

  odDisabled,

  odChecked,

  odFocused,

  odDefault,

  odHotLight,

  odInactive,

  odNoAccel,

  odNoFocusRect,

  odReserved1,

  odReserved2,

  odComboBoxEdit,

  odBackgroundPainted

);


TPaintStruct

Declaration

Source position: lcltype.pp line 1177

type TPaintStruct = tagPAINTSTRUCT;


TPaletteEntry

Declaration

Source position: lcltype.pp line 1215

type TPaletteEntry = tagPALETTEENTRY;


TPredefinedClipboardFormat

Declaration

Source position: lcltype.pp line 2713

type TPredefinedClipboardFormat = (

  pcfText,

  pcfBitmap,

  pcfPixmap,

  pcfIcon,

  pcfPicture,

  pcfMetaFilePict,

  pcfObject,

  pcfComponent,

  pcfCustomData

);


TRANSPARENT

Declaration

Source position: lcltype.pp line 1403

const TRANSPARENT = 1;


TResourceType

Declaration

Source position: lcltype.pp line 2190

type TResourceType = PChar;


TRGBAQuad

Declaration

Source position: lcltype.pp line 1323

type TRGBAQuad = record

  Blue: Byte;

  Green: Byte;

  Red: Byte;

  Alpha: Byte;

end;


TRGBAQuadArray

Declaration

Source position: lcltype.pp line 1330

type TRGBAQuadArray = array of TRGBAQuad;


TRGBQuad

Declaration

Source position: lcltype.pp line 1320

type TRGBQuad = tagRGBQUAD;


TRGBTriple

Declaration

Source position: lcltype.pp line 1310

type TRGBTriple = tagRGBTRIPLE;


TRIVERTEX

Declaration

Source position: lcltype.pp line 1237

type TRIVERTEX = tagTRIVERTEX;


TRUETYPE_FONTTYPE

Declaration

Source position: lcltype.pp line 1388

const TRUETYPE_FONTTYPE = 4;


TScreenInfo

Declaration

Source position: lcltype.pp line 1069

type TScreenInfo = record

  PixelsPerInchX: Integer;

  PixelsPerInchY: Integer;

  ColorDepth: Integer;

  Initialized: Boolean;

end;


TScrollInfo

Declaration

Source position: lcltype.pp line 1205

type TScrollInfo = tagScrollInfo;


TStockFont

Declaration

Source position: lcltype.pp line 2969

type TStockFont = (

  sfSystem,

  sfHint,

  sfIcon,

  sfMenu

);


TTextMetric

Declaration

Source position: lcltype.pp line 2486

type TTextMetric = TTextMetricA;


TTextMetricA

Declaration

Source position: lcltype.pp line 2484

type TTextMetricA = tagTextMetricA;


TTextMetricW

Declaration

Source position: lcltype.pp line 2485

type TTextMetricW = tagTEXTMETRICW;


TTimerProc

Declaration

Source position: lcltype.pp line 2683

type TTimerProc = procedure(

  hWnd: HWND;

  uMsg: UINT;

  idEvent: UINT_PTR;

  dwTime: DWORD

);


TTN_FIRST

Declaration

Source position: lcltype.pp line 2883

const TTN_FIRST = - 520;


TTN_LAST

Declaration

Source position: lcltype.pp line 2884

const TTN_LAST = - 549;


TTranslateString

Declaration

Source position: lcltype.pp line 66

type TTranslateString = type string;


TTriVertex

Declaration

Source position: lcltype.pp line 1238

type TTriVertex = TRIVERTEX;


TURKISH_CHARSET

Declaration

Source position: lcltype.pp line 1479

const TURKISH_CHARSET = 162;


TUTF8Char

A type that can hold an UTF-8 encoded character.

Declaration

Source position: lcltype.pp line 61

type TUTF8Char = string;


TVN_FIRST

Declaration

Source position: lcltype.pp line 2879

const TVN_FIRST = - 400;


TVN_LAST

Declaration

Source position: lcltype.pp line 2880

const TVN_LAST = - 499;


TWindowPos

Declaration

Source position: lcltype.pp line 1192

type TWindowPos = tagWindowPos;


TWndClass

Declaration

Source position: lcltype.pp line 2613

type TWndClass = TWndClassA;


TWndClassA

Declaration

Source position: lcltype.pp line 2611

type TWndClassA = tagWNDCLASSA;


TWndClassEx

Declaration

Source position: lcltype.pp line 2575

type TWndClassEx = TWndClassExA;


TWndClassExA

Declaration

Source position: lcltype.pp line 2573

type TWndClassExA = tagWNDCLASSEXA;


TWndClassExW

Declaration

Source position: lcltype.pp line 2574

type TWndClassExW = tagWNDCLASSEXW;


TWndClassW

Declaration

Source position: lcltype.pp line 2612

type TWndClassW = tagWNDCLASSW;


UINT

A 32 bit unsigned integer.

Declaration

Source position: lcltype.pp line 63

type UINT = LongWord;


UINT_PTR

Unsigned integer type with same size as Pointer.

Declaration

Source position: lcltype.pp line 64

type UINT_PTR = PtrUInt;


ULONG_PTR

Declaration

Source position: lcltype.pp line 121

type ULONG_PTR = type PtrUInt;


VARIABLE_PITCH

Declaration

Source position: lcltype.pp line 1446

const VARIABLE_PITCH = 2;


VERTRES

Vertical height in pixels

Declaration

Source position: lcltype.pp line 2138

const VERTRES = 10;


VERTSIZE

Vertical size in millimeters.

Declaration

Source position: lcltype.pp line 2136

const VERTSIZE = 6;


VIETNAMESE_CHARSET

Declaration

Source position: lcltype.pp line 1480

const VIETNAMESE_CHARSET = 163;


VK_0

Declaration

Source position: lcltype.pp line 437

const VK_0 = $30;


VK_1

Declaration

Source position: lcltype.pp line 438

const VK_1 = $31;


VK_2

Declaration

Source position: lcltype.pp line 439

const VK_2 = $32;


VK_3

Declaration

Source position: lcltype.pp line 440

const VK_3 = $33;


VK_4

Declaration

Source position: lcltype.pp line 441

const VK_4 = $34;


VK_5

Declaration

Source position: lcltype.pp line 442

const VK_5 = $35;


VK_6

Declaration

Source position: lcltype.pp line 443

const VK_6 = $36;


VK_7

Declaration

Source position: lcltype.pp line 444

const VK_7 = $37;


VK_8

Declaration

Source position: lcltype.pp line 445

const VK_8 = $38;


VK_9

Declaration

Source position: lcltype.pp line 446

const VK_9 = $39;


VK_A

Declaration

Source position: lcltype.pp line 448

const VK_A = $41;


VK_ACCEPT

Declaration

Source position: lcltype.pp line 419

const VK_ACCEPT = 30;


VK_ADD

Declaration

Source position: lcltype.pp line 492

const VK_ADD = 107;


VK_APPS

Declaration

Source position: lcltype.pp line 477

const VK_APPS = $5D;


VK_ATTN

Declaration

Source position: lcltype.pp line 610

const VK_ATTN = $F6;


VK_B

Declaration

Source position: lcltype.pp line 449

const VK_B = $42;


VK_BACK

Declaration

Source position: lcltype.pp line 400

const VK_BACK = 8;


VK_BROWSER_BACK

Declaration

Source position: lcltype.pp line 555

const VK_BROWSER_BACK = $A6;


VK_BROWSER_FAVORITES

Declaration

Source position: lcltype.pp line 560

const VK_BROWSER_FAVORITES = $AB;


VK_BROWSER_FORWARD

Declaration

Source position: lcltype.pp line 556

const VK_BROWSER_FORWARD = $A7;


VK_BROWSER_HOME

Declaration

Source position: lcltype.pp line 561

const VK_BROWSER_HOME = $AC;


VK_BROWSER_REFRESH

Declaration

Source position: lcltype.pp line 557

const VK_BROWSER_REFRESH = $A8;


VK_BROWSER_SEARCH

Declaration

Source position: lcltype.pp line 559

const VK_BROWSER_SEARCH = $AA;


VK_BROWSER_STOP

Declaration

Source position: lcltype.pp line 558

const VK_BROWSER_STOP = $A9;


VK_C

Declaration

Source position: lcltype.pp line 450

const VK_C = $43;


VK_CANCEL

Declaration

Source position: lcltype.pp line 396

const VK_CANCEL = 3;


VK_CAPITAL

Declaration

Source position: lcltype.pp line 409

const VK_CAPITAL = 20;


VK_CLEAR

Declaration

Source position: lcltype.pp line 403

const VK_CLEAR = 12;


VK_CONTROL

Declaration

Source position: lcltype.pp line 406

const VK_CONTROL = 17;


VK_CONVERT

Declaration

Source position: lcltype.pp line 417

const VK_CONVERT = 28;


VK_CRSEL

Declaration

Source position: lcltype.pp line 611

const VK_CRSEL = $F7;


VK_D

Declaration

Source position: lcltype.pp line 451

const VK_D = $44;


VK_DECIMAL

Declaration

Source position: lcltype.pp line 495

const VK_DECIMAL = 110;


VK_DELETE

Declaration

Source position: lcltype.pp line 435

const VK_DELETE = 46;


VK_DIVIDE

Declaration

Source position: lcltype.pp line 496

const VK_DIVIDE = 111;


VK_DOWN

Declaration

Source position: lcltype.pp line 429

const VK_DOWN = 40;


VK_E

Declaration

Source position: lcltype.pp line 452

const VK_E = $45;


VK_END

Declaration

Source position: lcltype.pp line 424

const VK_END = 35;


VK_EREOF

Declaration

Source position: lcltype.pp line 613

const VK_EREOF = $F9;


VK_ESCAPE

Declaration

Source position: lcltype.pp line 416

const VK_ESCAPE = 27;


VK_EXECUTE

Declaration

Source position: lcltype.pp line 432

const VK_EXECUTE = 43;


VK_EXSEL

Declaration

Source position: lcltype.pp line 612

const VK_EXSEL = $F8;


VK_F

Declaration

Source position: lcltype.pp line 453

const VK_F = $46;


VK_F1

Declaration

Source position: lcltype.pp line 497

const VK_F1 = 112;


VK_F2

Declaration

Source position: lcltype.pp line 498

const VK_F2 = 113;


VK_F3

Declaration

Source position: lcltype.pp line 499

const VK_F3 = 114;


VK_F4

Declaration

Source position: lcltype.pp line 500

const VK_F4 = 115;


VK_F5

Declaration

Source position: lcltype.pp line 501

const VK_F5 = 116;


VK_F6

Declaration

Source position: lcltype.pp line 502

const VK_F6 = 117;


VK_F7

Declaration

Source position: lcltype.pp line 503

const VK_F7 = 118;


VK_F8

Declaration

Source position: lcltype.pp line 504

const VK_F8 = 119;


VK_F9

Declaration

Source position: lcltype.pp line 505

const VK_F9 = 120;


VK_F10

Declaration

Source position: lcltype.pp line 506

const VK_F10 = 121;


VK_F11

Declaration

Source position: lcltype.pp line 507

const VK_F11 = 122;


VK_F12

Declaration

Source position: lcltype.pp line 508

const VK_F12 = 123;


VK_F13

Declaration

Source position: lcltype.pp line 509

const VK_F13 = 124;


VK_F14

Declaration

Source position: lcltype.pp line 510

const VK_F14 = 125;


VK_F15

Declaration

Source position: lcltype.pp line 511

const VK_F15 = 126;


VK_F16

Declaration

Source position: lcltype.pp line 512

const VK_F16 = 127;


VK_F17

Declaration

Source position: lcltype.pp line 513

const VK_F17 = 128;


VK_F18

Declaration

Source position: lcltype.pp line 514

const VK_F18 = 129;


VK_F19

Declaration

Source position: lcltype.pp line 515

const VK_F19 = 130;


VK_F20

Declaration

Source position: lcltype.pp line 516

const VK_F20 = 131;


VK_F21

Declaration

Source position: lcltype.pp line 517

const VK_F21 = 132;


VK_F22

Declaration

Source position: lcltype.pp line 518

const VK_F22 = 133;


VK_F23

Declaration

Source position: lcltype.pp line 519

const VK_F23 = 134;


VK_F24

Declaration

Source position: lcltype.pp line 520

const VK_F24 = 135;


VK_FINAL

Declaration

Source position: lcltype.pp line 413

const VK_FINAL = 24;


VK_G

Declaration

Source position: lcltype.pp line 454

const VK_G = $47;


VK_H

Declaration

Source position: lcltype.pp line 455

const VK_H = $48;


VK_HANGUL

Declaration

Source position: lcltype.pp line 411

const VK_HANGUL = 21;


VK_HANJA

Declaration

Source position: lcltype.pp line 414

const VK_HANJA = 25;


VK_HELP

Declaration

Source position: lcltype.pp line 436

const VK_HELP = 47;


VK_HIGHESTVALUE

Declaration

Source position: lcltype.pp line 620

const VK_HIGHESTVALUE = $FFFF;


VK_HOME

Declaration

Source position: lcltype.pp line 425

const VK_HOME = 36;


VK_I

Declaration

Source position: lcltype.pp line 456

const VK_I = $49;


VK_INSERT

Declaration

Source position: lcltype.pp line 434

const VK_INSERT = 45;


VK_J

Declaration

Source position: lcltype.pp line 457

const VK_J = $4A;


VK_JUNJA

Declaration

Source position: lcltype.pp line 412

const VK_JUNJA = 23;


VK_K

Declaration

Source position: lcltype.pp line 458

const VK_K = $4B;


VK_KANA

Declaration

Source position: lcltype.pp line 410

const VK_KANA = 21;


VK_KANJI

Declaration

Source position: lcltype.pp line 415

const VK_KANJI = 25;


VK_L

Declaration

Source position: lcltype.pp line 459

const VK_L = $4C;


VK_LAUNCH_APP1

Declaration

Source position: lcltype.pp line 571

const VK_LAUNCH_APP1 = $B6;


VK_LAUNCH_APP2

Declaration

Source position: lcltype.pp line 572

const VK_LAUNCH_APP2 = $B7;


VK_LAUNCH_MAIL

Declaration

Source position: lcltype.pp line 569

const VK_LAUNCH_MAIL = $B4;


VK_LAUNCH_MEDIA_SELECT

Declaration

Source position: lcltype.pp line 570

const VK_LAUNCH_MEDIA_SELECT = $B5;


VK_LBUTTON

Declaration

Source position: lcltype.pp line 394

const VK_LBUTTON = 1;


VK_LCL_ALT

Declaration

Source position: lcltype.pp line 639

const VK_LCL_ALT = VK_MENU;


VK_LCL_AT

Declaration

Source position: lcltype.pp line 652

const VK_LCL_AT = $103;


VK_LCL_BACKSLASH

Declaration

Source position: lcltype.pp line 635

const VK_LCL_BACKSLASH = VK_OEM_5;


VK_LCL_CALL

Declaration

Source position: lcltype.pp line 650

const VK_LCL_CALL = $101;


VK_LCL_CAPSLOCK

Declaration

Source position: lcltype.pp line 643

const VK_LCL_CAPSLOCK = VK_CAPITAL;


VK_LCL_CLOSE_BRAKET

Declaration

Source position: lcltype.pp line 634

const VK_LCL_CLOSE_BRAKET = VK_OEM_6;


VK_LCL_COMMA

Declaration

Source position: lcltype.pp line 628

const VK_LCL_COMMA = VK_OEM_COMMA;


VK_LCL_ENDCALL

Declaration

Source position: lcltype.pp line 651

const VK_LCL_ENDCALL = $102;


VK_LCL_EQUAL

Declaration

Source position: lcltype.pp line 627

const VK_LCL_EQUAL = VK_OEM_PLUS;


VK_LCL_LALT

Declaration

Source position: lcltype.pp line 640

const VK_LCL_LALT = VK_LMENU;


VK_LCL_MINUS

Declaration

Source position: lcltype.pp line 632

const VK_LCL_MINUS = VK_OEM_MINUS;


VK_LCL_OPEN_BRAKET

Declaration

Source position: lcltype.pp line 633

const VK_LCL_OPEN_BRAKET = VK_OEM_4;


VK_LCL_POINT

Declaration

Source position: lcltype.pp line 629

const VK_LCL_POINT = VK_OEM_PERIOD;


VK_LCL_POWER

Declaration

Source position: lcltype.pp line 649

const VK_LCL_POWER = $100;


VK_LCL_QUOTE

Declaration

Source position: lcltype.pp line 637

const VK_LCL_QUOTE = VK_OEM_7;


VK_LCL_RALT

Declaration

Source position: lcltype.pp line 641

const VK_LCL_RALT = VK_RMENU;


VK_LCL_SEMI_COMMA

Declaration

Source position: lcltype.pp line 631

const VK_LCL_SEMI_COMMA = VK_OEM_1;


VK_LCL_SLASH

Declaration

Source position: lcltype.pp line 630

const VK_LCL_SLASH = VK_OEM_2;


VK_LCL_TILDE

Declaration

Source position: lcltype.pp line 636

const VK_LCL_TILDE = VK_OEM_3;


VK_LCONTROL

Declaration

Source position: lcltype.pp line 550

const VK_LCONTROL = $A2;


VK_LEFT

Declaration

Source position: lcltype.pp line 426

const VK_LEFT = 37;


VK_LMENU

Declaration

Source position: lcltype.pp line 552

const VK_LMENU = $A4;


VK_LSHIFT

Declaration

Source position: lcltype.pp line 548

const VK_LSHIFT = $A0;


VK_LWIN

Declaration

Source position: lcltype.pp line 475

const VK_LWIN = $5B;


VK_M

Declaration

Source position: lcltype.pp line 460

const VK_M = $4D;


VK_MBUTTON

Declaration

Source position: lcltype.pp line 397

const VK_MBUTTON = 4;


VK_MEDIA_NEXT_TRACK

Declaration

Source position: lcltype.pp line 565

const VK_MEDIA_NEXT_TRACK = $B0;


VK_MEDIA_PLAY_PAUSE

Declaration

Source position: lcltype.pp line 568

const VK_MEDIA_PLAY_PAUSE = $B3;


VK_MEDIA_PREV_TRACK

Declaration

Source position: lcltype.pp line 566

const VK_MEDIA_PREV_TRACK = $B1;


VK_MEDIA_STOP

Declaration

Source position: lcltype.pp line 567

const VK_MEDIA_STOP = $B2;


VK_MENU

Declaration

Source position: lcltype.pp line 407

const VK_MENU = 18;


VK_MODECHANGE

Declaration

Source position: lcltype.pp line 420

const VK_MODECHANGE = 31;


VK_MULTIPLY

Declaration

Source position: lcltype.pp line 491

const VK_MULTIPLY = 106;


VK_N

Declaration

Source position: lcltype.pp line 461

const VK_N = $4E;


VK_NEXT

Declaration

Source position: lcltype.pp line 423

const VK_NEXT = 34;


VK_NONAME

Declaration

Source position: lcltype.pp line 616

const VK_NONAME = $FC;


VK_NONCONVERT

Declaration

Source position: lcltype.pp line 418

const VK_NONCONVERT = 29;


VK_NUMLOCK

Declaration

Source position: lcltype.pp line 524

const VK_NUMLOCK = $90;


VK_NUMPAD0

Declaration

Source position: lcltype.pp line 481

const VK_NUMPAD0 = 96;


VK_NUMPAD1

Declaration

Source position: lcltype.pp line 482

const VK_NUMPAD1 = 97;


VK_NUMPAD2

Declaration

Source position: lcltype.pp line 483

const VK_NUMPAD2 = 98;


VK_NUMPAD3

Declaration

Source position: lcltype.pp line 484

const VK_NUMPAD3 = 99;


VK_NUMPAD4

Declaration

Source position: lcltype.pp line 485

const VK_NUMPAD4 = 100;


VK_NUMPAD5

Declaration

Source position: lcltype.pp line 486

const VK_NUMPAD5 = 101;


VK_NUMPAD6

Declaration

Source position: lcltype.pp line 487

const VK_NUMPAD6 = 102;


VK_NUMPAD7

Declaration

Source position: lcltype.pp line 488

const VK_NUMPAD7 = 103;


VK_NUMPAD8

Declaration

Source position: lcltype.pp line 489

const VK_NUMPAD8 = 104;


VK_NUMPAD9

Declaration

Source position: lcltype.pp line 490

const VK_NUMPAD9 = 105;


VK_O

Declaration

Source position: lcltype.pp line 462

const VK_O = $4F;


VK_OEM_1

Declaration

Source position: lcltype.pp line 577

const VK_OEM_1 = $BA;


VK_OEM_2

Declaration

Source position: lcltype.pp line 583

const VK_OEM_2 = $BF;


VK_OEM_3

Declaration

Source position: lcltype.pp line 585

const VK_OEM_3 = $C0;


VK_OEM_4

Declaration

Source position: lcltype.pp line 589

const VK_OEM_4 = $DB;


VK_OEM_5

Declaration

Source position: lcltype.pp line 591

const VK_OEM_5 = $DC;


VK_OEM_6

Declaration

Source position: lcltype.pp line 593

const VK_OEM_6 = $DD;


VK_OEM_7

Declaration

Source position: lcltype.pp line 595

const VK_OEM_7 = $DE;


VK_OEM_8

Declaration

Source position: lcltype.pp line 597

const VK_OEM_8 = $DF;


VK_OEM_102

Declaration

Source position: lcltype.pp line 601

const VK_OEM_102 = $E2;


VK_OEM_CLEAR

Declaration

Source position: lcltype.pp line 618

const VK_OEM_CLEAR = $FE;


VK_OEM_COMMA

Declaration

Source position: lcltype.pp line 580

const VK_OEM_COMMA = $BC;


VK_OEM_MINUS

Declaration

Source position: lcltype.pp line 581

const VK_OEM_MINUS = $BD;


VK_OEM_PERIOD

Declaration

Source position: lcltype.pp line 582

const VK_OEM_PERIOD = $BE;


VK_OEM_PLUS

Declaration

Source position: lcltype.pp line 579

const VK_OEM_PLUS = $BB;


VK_P

Declaration

Source position: lcltype.pp line 463

const VK_P = $50;


VK_PA1

Declaration

Source position: lcltype.pp line 617

const VK_PA1 = $FD;


VK_PAUSE

Declaration

Source position: lcltype.pp line 408

const VK_PAUSE = 19;


VK_PLAY

Declaration

Source position: lcltype.pp line 614

const VK_PLAY = $FA;


VK_PRINT

Declaration

Source position: lcltype.pp line 431

const VK_PRINT = 42;


VK_PRIOR

Declaration

Source position: lcltype.pp line 422

const VK_PRIOR = 33;


VK_PROCESSKEY

Declaration

Source position: lcltype.pp line 605

const VK_PROCESSKEY = $E7;


VK_Q

Declaration

Source position: lcltype.pp line 464

const VK_Q = $51;


VK_R

Declaration

Source position: lcltype.pp line 465

const VK_R = $52;


VK_RBUTTON

Declaration

Source position: lcltype.pp line 395

const VK_RBUTTON = 2;


VK_RCONTROL

Declaration

Source position: lcltype.pp line 551

const VK_RCONTROL = $A3;


VK_RETURN

Declaration

Source position: lcltype.pp line 404

const VK_RETURN = 13;


VK_RIGHT

Declaration

Source position: lcltype.pp line 428

const VK_RIGHT = 39;


VK_RMENU

Declaration

Source position: lcltype.pp line 553

const VK_RMENU = $A5;


VK_RSHIFT

Declaration

Source position: lcltype.pp line 549

const VK_RSHIFT = $A1;


VK_RWIN

Declaration

Source position: lcltype.pp line 476

const VK_RWIN = $5C;


VK_S

Declaration

Source position: lcltype.pp line 466

const VK_S = $53;


VK_SCROLL

Declaration

Source position: lcltype.pp line 525

const VK_SCROLL = $91;


VK_SELECT

Declaration

Source position: lcltype.pp line 430

const VK_SELECT = 41;


VK_SEPARATOR

Declaration

Source position: lcltype.pp line 493

const VK_SEPARATOR = 108;


VK_SHIFT

Declaration

Source position: lcltype.pp line 405

const VK_SHIFT = 16;


VK_SLEEP

Declaration

Source position: lcltype.pp line 479

const VK_SLEEP = $5F;


VK_SNAPSHOT

Declaration

Source position: lcltype.pp line 433

const VK_SNAPSHOT = 44;


VK_SPACE

Declaration

Source position: lcltype.pp line 421

const VK_SPACE = 32;


VK_SUBTRACT

Declaration

Source position: lcltype.pp line 494

const VK_SUBTRACT = 109;


VK_T

Declaration

Source position: lcltype.pp line 467

const VK_T = $54;


VK_TAB

Declaration

Source position: lcltype.pp line 402

const VK_TAB = 9;


VK_U

Declaration

Source position: lcltype.pp line 468

const VK_U = $55;


VK_UNDEFINED

Declaration

Source position: lcltype.pp line 621

const VK_UNDEFINED = $FF;


VK_UNKNOWN

Declaration

Source position: lcltype.pp line 393

const VK_UNKNOWN = 0;


VK_UP

Declaration

Source position: lcltype.pp line 427

const VK_UP = 38;


VK_V

Declaration

Source position: lcltype.pp line 469

const VK_V = $56;


VK_VOLUME_DOWN

Declaration

Source position: lcltype.pp line 563

const VK_VOLUME_DOWN = $AE;


VK_VOLUME_MUTE

Declaration

Source position: lcltype.pp line 562

const VK_VOLUME_MUTE = $AD;


VK_VOLUME_UP

Declaration

Source position: lcltype.pp line 564

const VK_VOLUME_UP = $AF;


VK_W

Declaration

Source position: lcltype.pp line 470

const VK_W = $57;


VK_X

Declaration

Source position: lcltype.pp line 471

const VK_X = $58;


VK_XBUTTON1

Declaration

Source position: lcltype.pp line 398

const VK_XBUTTON1 = 5;


VK_XBUTTON2

Declaration

Source position: lcltype.pp line 399

const VK_XBUTTON2 = 6;


VK_Y

Declaration

Source position: lcltype.pp line 472

const VK_Y = $59;


VK_Z

Declaration

Source position: lcltype.pp line 473

const VK_Z = $5A;


VK_ZOOM

Declaration

Source position: lcltype.pp line 615

const VK_ZOOM = $FB;


WHITE_BRUSH

Declaration

Source position: lcltype.pp line 1779

const WHITE_BRUSH = 0;


WHITE_PEN

Declaration

Source position: lcltype.pp line 1786

const WHITE_PEN = 6;


WHITENESS

Ternary raster operation (Dst op Src op Pattern): Fills the destination area with all white.

Declaration

Source position: lcltype.pp line 209

const WHITENESS = $00FF0062;

See also

#lcl.LCLIntf.BitBlt

Copies a section of a Canvas to another one, performing a raster operation (ROP).


WHITEONBLACK

Declaration

Source position: lcltype.pp line 2174

const WHITEONBLACK = 2;


WINDING

Declaration

Source position: lcltype.pp line 2166

const WINDING = 2;


WindowPos

Declaration

Source position: lcltype.pp line 1193

type WindowPos = tagWindowPos;


WNDCLASS

Declaration

Source position: lcltype.pp line 2616

type WNDCLASS = WNDCLASSA;


WNDCLASSA

Declaration

Source position: lcltype.pp line 2614

type WNDCLASSA = tagWNDCLASSA;


WNDCLASSEX

Declaration

Source position: lcltype.pp line 2578

type WNDCLASSEX = WNDCLASSEXA;


WNDCLASSEXA

Declaration

Source position: lcltype.pp line 2576

type WNDCLASSEXA = tagWNDCLASSEXA;


WNDCLASSEXW

Declaration

Source position: lcltype.pp line 2577

type WNDCLASSEXW = tagWNDCLASSEXW;


WNDCLASSW

Declaration

Source position: lcltype.pp line 2615

type WNDCLASSW = tagWNDCLASSW;


WPARAM

Type of the first message argument (pointer-sized).

Declaration

Source position: lcltype.pp line 117

type WPARAM = type PtrInt;


WS_BORDER

Declaration

Source position: lcltype.pp line 898

const WS_BORDER = DWORD($800000);


WS_CAPTION

Declaration

Source position: lcltype.pp line 900

const WS_CAPTION = DWORD(WS_BORDER or WS_DLGFRAME);


WS_CHILD

Declaration

Source position: lcltype.pp line 891

const WS_CHILD = DWORD($40000000);


WS_CHILDWINDOW

Declaration

Source position: lcltype.pp line 922

const WS_CHILDWINDOW = WS_CHILD;


WS_CLIPCHILDREN

Declaration

Source position: lcltype.pp line 896

const WS_CLIPCHILDREN = DWORD($2000000);


WS_CLIPSIBLINGS

Declaration

Source position: lcltype.pp line 895

const WS_CLIPSIBLINGS = DWORD($4000000);


WS_DISABLED

Declaration

Source position: lcltype.pp line 894

const WS_DISABLED = DWORD($8000000);


WS_DLGFRAME

Declaration

Source position: lcltype.pp line 899

const WS_DLGFRAME = DWORD($400000);


WS_EX_ACCEPTFILES

Declaration

Source position: lcltype.pp line 928

const WS_EX_ACCEPTFILES = $10;


WS_EX_APPWINDOW

Declaration

Source position: lcltype.pp line 945

const WS_EX_APPWINDOW = $40000;


WS_EX_CLIENTEDGE

Declaration

Source position: lcltype.pp line 933

const WS_EX_CLIENTEDGE = $200;


WS_EX_CONTEXTHELP

Declaration

Source position: lcltype.pp line 934

const WS_EX_CONTEXTHELP = $400;


WS_EX_CONTROLPARENT

Declaration

Source position: lcltype.pp line 943

const WS_EX_CONTROLPARENT = $10000;


WS_EX_DLGMODALFRAME

Declaration

Source position: lcltype.pp line 925

const WS_EX_DLGMODALFRAME = 1;


WS_EX_LEFT

Declaration

Source position: lcltype.pp line 937

const WS_EX_LEFT = 0;


WS_EX_LEFTSCROLLBAR

Declaration

Source position: lcltype.pp line 940

const WS_EX_LEFTSCROLLBAR = $4000;


WS_EX_LTRREADING

Declaration

Source position: lcltype.pp line 939

const WS_EX_LTRREADING = 0;


WS_EX_MDICHILD

Declaration

Source position: lcltype.pp line 930

const WS_EX_MDICHILD = $40;


WS_EX_NOPARENTNOTIFY

Declaration

Source position: lcltype.pp line 926

const WS_EX_NOPARENTNOTIFY = 4;


WS_EX_OVERLAPPEDWINDOW

Declaration

Source position: lcltype.pp line 946

const WS_EX_OVERLAPPEDWINDOW = WS_EX_WINDOWEDGE or WS_EX_CLIENTEDGE;


WS_EX_PALETTEWINDOW

Declaration

Source position: lcltype.pp line 947

const WS_EX_PALETTEWINDOW = WS_EX_WINDOWEDGE or WS_EX_TOOLWINDOW or WS_EX_TOPMOST;


WS_EX_RIGHT

Declaration

Source position: lcltype.pp line 936

const WS_EX_RIGHT = $1000;


WS_EX_RIGHTSCROLLBAR

Declaration

Source position: lcltype.pp line 941

const WS_EX_RIGHTSCROLLBAR = 0;


WS_EX_RTLREADING

Declaration

Source position: lcltype.pp line 938

const WS_EX_RTLREADING = $2000;


WS_EX_STATICEDGE

Declaration

Source position: lcltype.pp line 944

const WS_EX_STATICEDGE = $20000;


WS_EX_TOOLWINDOW

Declaration

Source position: lcltype.pp line 931

const WS_EX_TOOLWINDOW = $80;


WS_EX_TOPMOST

Declaration

Source position: lcltype.pp line 927

const WS_EX_TOPMOST = 8;


WS_EX_TRANSPARENT

Declaration

Source position: lcltype.pp line 929

const WS_EX_TRANSPARENT = $20;


WS_EX_WINDOWEDGE

Declaration

Source position: lcltype.pp line 932

const WS_EX_WINDOWEDGE = $100;


WS_GROUP

Declaration

Source position: lcltype.pp line 905

const WS_GROUP = DWORD($20000);


WS_HSCROLL

Declaration

Source position: lcltype.pp line 902

const WS_HSCROLL = DWORD($100000);


WS_ICONIC

Declaration

Source position: lcltype.pp line 913

const WS_ICONIC = WS_MINIMIZE;


WS_MAXIMIZE

Declaration

Source position: lcltype.pp line 897

const WS_MAXIMIZE = DWORD($1000000);


WS_MAXIMIZEBOX

Declaration

Source position: lcltype.pp line 909

const WS_MAXIMIZEBOX = DWORD($10000);


WS_MINIMIZE

Declaration

Source position: lcltype.pp line 892

const WS_MINIMIZE = DWORD($20000000);


WS_MINIMIZEBOX

Declaration

Source position: lcltype.pp line 908

const WS_MINIMIZEBOX = DWORD($20000);


WS_OVERLAPPED

Declaration

Source position: lcltype.pp line 889

const WS_OVERLAPPED = 0;


WS_OVERLAPPEDWINDOW

Declaration

Source position: lcltype.pp line 918

const WS_OVERLAPPEDWINDOW = WS_OVERLAPPED or WS_CAPTION or WS_SYSMENU or WS_THICKFRAME or WS_MINIMIZEBOX or WS_MAXIMIZEBOX;


WS_POPUP

Declaration

Source position: lcltype.pp line 890

const WS_POPUP = DWORD($80000000);


WS_POPUPWINDOW

Declaration

Source position: lcltype.pp line 921

const WS_POPUPWINDOW = WS_POPUP or WS_BORDER or WS_SYSMENU;


WS_SIZEBOX

Declaration

Source position: lcltype.pp line 915

const WS_SIZEBOX = WS_THICKFRAME;


WS_SYSMENU

Declaration

Source position: lcltype.pp line 903

const WS_SYSMENU = DWORD($80000);


WS_TABSTOP

Declaration

Source position: lcltype.pp line 906

const WS_TABSTOP = DWORD($10000);


WS_THICKFRAME

Declaration

Source position: lcltype.pp line 904

const WS_THICKFRAME = DWORD($40000);


WS_TILED

Declaration

Source position: lcltype.pp line 911

const WS_TILED = WS_OVERLAPPED;


WS_TILEDWINDOW

Declaration

Source position: lcltype.pp line 920

const WS_TILEDWINDOW = WS_OVERLAPPEDWINDOW;


WS_VISIBLE

Declaration

Source position: lcltype.pp line 893

const WS_VISIBLE = DWORD($10000000);


WS_VSCROLL

Declaration

Source position: lcltype.pp line 901

const WS_VSCROLL = DWORD($200000);


XLFD_AVG_WIDTH

Declaration

Source position: lcltype.pp line 1557

const XLFD_AVG_WIDTH = 12;


XLFD_CHARSET_COD

Declaration

Source position: lcltype.pp line 1559

const XLFD_CHARSET_COD = 14;


XLFD_CHARSET_REG

Declaration

Source position: lcltype.pp line 1558

const XLFD_CHARSET_REG = 13;


XLFD_FAMILY

Declaration

Source position: lcltype.pp line 1547

const XLFD_FAMILY = 2;


XLFD_FONTNAME_REG

Declaration

Source position: lcltype.pp line 1545

const XLFD_FONTNAME_REG = 0;


XLFD_FOUNDRY

Declaration

Source position: lcltype.pp line 1546

const XLFD_FOUNDRY = 1;


XLFD_PIXELSIZE

Declaration

Source position: lcltype.pp line 1552

const XLFD_PIXELSIZE = 7;


XLFD_POINTSIZE

Declaration

Source position: lcltype.pp line 1553

const XLFD_POINTSIZE = 8;


XLFD_RESX

Declaration

Source position: lcltype.pp line 1554

const XLFD_RESX = 9;


XLFD_RESY

Declaration

Source position: lcltype.pp line 1555

const XLFD_RESY = 10;


XLFD_SLANT

Declaration

Source position: lcltype.pp line 1549

const XLFD_SLANT = 4;


XLFD_SPACING

Declaration

Source position: lcltype.pp line 1556

const XLFD_SPACING = 11;


XLFD_STYLENAME

Declaration

Source position: lcltype.pp line 1551

const XLFD_STYLENAME = 6;


XLFD_WEIGHTNAME

Declaration

Source position: lcltype.pp line 1548

const XLFD_WEIGHTNAME = 3;


XLFD_WIDTHNAME

Declaration

Source position: lcltype.pp line 1550

const XLFD_WIDTHNAME = 5;


Reference for unit 'LCLUnicodeData'

Container for Unicode, Inc copyrighted data.

uses

  System;

Overview

See http://unicode.org/copyright.html for details.


Reference for unit 'LCLUnicodeData': Constants

MaxUnicodeBlocks |
UnicodeBlocks | This is an adapted version for ide/charactermapdlg.pas. See the comments in the source. Original data: http://www.unicode.org/Public/UNIDATA/Blocks.txt


Reference for unit 'LCLUnicodeData': Types

TUnicodeBlock


Index of all identifiers in unit 'LCLUnicodeData'

M T U

M

MaxUnicodeBlocks

T

TUnicodeBlock

U

UnicodeBlocks


MaxUnicodeBlocks

Declaration

Source position: lclunicodedata.pas line 72

const MaxUnicodeBlocks = 151;


TUnicodeBlock

Declaration

Source position: lclunicodedata.pas line 65

type TUnicodeBlock = record

  S: LongInt;

  E: LongInt;

  PG: string;

end;


UnicodeBlocks

This is an adapted version for ide/charactermapdlg.pas. See the comments in the source. Original data: http://www.unicode.org/Public/UNIDATA/Blocks.txt

Declaration

Source position: lclunicodedata.pas line 73

const UnicodeBlocks: array [0..MaxUnicodeBlocks] of TUnicodeBlock = ((S: $0020; E: $007F; PG: 'Basic Latin'), (S: $00A0; E: $00FF; PG: 'Latin-1 Supplement'), (S: $0100; E: $017F; PG: 'Latin Extended-A'), (S: $0180; E: $024F; PG: 'Latin Extended-B'), (S: $0250; E: $02AF; PG: 'IPA Extensions'), (S: $02B0; E: $02FF; PG: 'Spacing Modifier Letters'), (S: $0300; E: $036F; PG: 'Combining Diacritical Marks'), (S: $0370; E: $03FF; PG: 'Greek and Coptic'), (S: $0400; E: $04FF; PG: 'Cyrillic'), (S: $0500; E: $052F; PG: 'Cyrillic Supplement'), (S: $0530; E: $058F; PG: 'Armenian'), (S: $0590; E: $05FF; PG: 'Hebrew'), (S: $0600; E: $06FF; PG: 'Arabic'), (S: $0700; E: $074F; PG: 'Syriac'), (S: $0750; E: $077F; PG: 'Arabic Supplement'), (S: $0780; E: $07BF; PG: 'Thaana'), (S: $07C0; E: $07FF; PG: 'NKo'), (S: $0900; E: $097F; PG: 'Devanagari'), (S: $0980; E: $09FF; PG: 'Bengali'), (S: $0A00; E: $0A7F; PG: 'Gurmukhi'), (S: $0A80; E: $0AFF; PG: 'Gujarati'), (S: $0B00; E: $0B7F; PG: 'Oriya'), (S: $0B80; E: $0BFF; PG: 'Tamil'), (S: $0C00; E: $0C7F; PG: 'Telugu'), (S: $0C80; E: $0CFF; PG: 'Kannada'), (S: $0D00; E: $0D7F; PG: 'Malayalam'), (S: $0D80; E: $0DFF; PG: 'Sinhala'), (S: $0E00; E: $0E7F; PG: 'Thai'), (S: $0E80; E: $0EFF; PG: 'Lao'), (S: $0F00; E: $0FFF; PG: 'Tibetan'), (S: $1000; E: $109F; PG: 'Myanmar'), (S: $10A0; E: $10FF; PG: 'Georgian'), (S: $1100; E: $11FF; PG: 'Hangul Jamo'), (S: $1200; E: $137F; PG: 'Ethiopic'), (S: $1380; E: $139F; PG: 'Ethiopic Supplement'), (S: $13A0; E: $13FF; PG: 'Cherokee'), (S: $1400; E: $167F; PG: 'Unified Canadian Aboriginal Syllabics'), (S: $1680; E: $169F; PG: 'Ogham'), (S: $16A0; E: $16FF; PG: 'Runic'), (S: $1700; E: $171F; PG: 'Tagalog'), (S: $1720; E: $173F; PG: 'Hanunoo'), (S: $1740; E: $175F; PG: 'Buhid'), (S: $1760; E: $177F; PG: 'Tagbanwa'), (S: $1780; E: $17FF; PG: 'Khmer'), (S: $1800; E: $18AF; PG: 'Mongolian'), (S: $1900; E: $194F; PG: 'Limbu'), (S: $1950; E: $197F; PG: 'Tai Le'), (S: $1980; E: $19DF; PG: 'New Tai Lue'), (S: $19E0; E: $19FF; PG: 'Khmer Symbols'), (S: $1A00; E: $1A1F; PG: 'Buginese'), (S: $1B00; E: $1B7F; PG: 'Balinese'), (S: $1D00; E: $1D7F; PG: 'Phonetic Extensions'), (S: $1D80; E: $1DBF; PG: 'Phonetic Extensions Supplement'), (S: $1DC0; E: $1DFF; PG: 'Combining Diacritical Marks Supplement'), (S: $1E00; E: $1EFF; PG: 'Latin Extended Additional'), (S: $1F00; E: $1FFF; PG: 'Greek Extended'), (S: $2000; E: $206F; PG: 'General Punctuation'), (S: $2070; E: $209F; PG: 'Superscripts and Subscripts'), (S: $20A0; E: $20CF; PG: 'Currency Symbols'), (S: $20D0; E: $20FF; PG: 'Combining Diacritical Marks for Symbols'), (S: $2100; E: $214F; PG: 'Letterlike Symbols'), (S: $2150; E: $218F; PG: 'Number Forms'), (S: $2190; E: $21FF; PG: 'Arrows'), (S: $2200; E: $22FF; PG: 'Mathematical Operators'), (S: $2300; E: $23FF; PG: 'Miscellaneous Technical'), (S: $2400; E: $243F; PG: 'Control Pictures'), (S: $2440; E: $245F; PG: 'Optical Character Recognition'), (S: $2460; E: $24FF; PG: 'Enclosed Alphanumerics'), (S: $2500; E: $257F; PG: 'Box Drawing'), (S: $2580; E: $259F; PG: 'Block Elements'), (S: $25A0; E: $25FF; PG: 'Geometric Shapes'), (S: $2600; E: $26FF; PG: 'Miscellaneous Symbols'), (S: $2700; E: $27BF; PG: 'Dingbats'), (S: $27C0; E: $27EF; PG: 'Miscellaneous Mathematical Symbols-A'), (S: $27F0; E: $27FF; PG: 'Supplemental Arrows-A'), (S: $2800; E: $28FF; PG: 'Braille Patterns'), (S: $2900; E: $297F; PG: 'Supplemental Arrows-B'), (S: $2980; E: $29FF; PG: 'Miscellaneous Mathematical Symbols-B'), (S: $2A00; E: $2AFF; PG: 'Supplemental Mathematical Operators'), (S: $2B00; E: $2BFF; PG: 'Miscellaneous Symbols and Arrows'), (S: $2C00; E: $2C5F; PG: 'Glagolitic'), (S: $2C60; E: $2C7F; PG: 'Latin Extended-C'), (S: $2C80; E: $2CFF; PG: 'Coptic'), (S: $2D00; E: $2D2F; PG: 'Georgian Supplement'), (S: $2D30; E: $2D7F; PG: 'Tifinagh'), (S: $2D80; E: $2DDF; PG: 'Ethiopic Extended'), (S: $2E00; E: $2E7F; PG: 'Supplemental Punctuation'), (S: $2E80; E: $2EFF; PG: 'CJK Radicals Supplement'), (S: $2F00; E: $2FDF; PG: 'Kangxi Radicals'), (S: $2FF0; E: $2FFF; PG: 'Ideographic Description Characters'), (S: $3000; E: $303F; PG: 'CJK Symbols and Punctuation'), (S: $3040; E: $309F; PG: 'Hiragana'), (S: $30A0; E: $30FF; PG: 'Katakana'), (S: $3100; E: $312F; PG: 'Bopomofo'), (S: $3130; E: $318F; PG: 'Hangul Compatibility Jamo'), (S: $3190; E: $319F; PG: 'Kanbun'), (S: $31A0; E: $31BF; PG: 'Bopomofo Extended'), (S: $31C0; E: $31EF; PG: 'CJK Strokes'), (S: $31F0; E: $31FF; PG: 'Katakana Phonetic Extensions'), (S: $3200; E: $32FF; PG: 'Enclosed CJK Letters and Months'), (S: $3300; E: $33FF; PG: 'CJK Compatibility'), (S: $3400; E: $4DBF; PG: 'CJK Unified Ideographs Extension A'), (S: $4DC0; E: $4DFF; PG: 'Yijing Hexagram Symbols'), (S: $4E00; E: $9FFF; PG: 'CJK Unified Ideographs'), (S: $A000; E: $A48F; PG: 'Yi Syllables'), (S: $A490; E: $A4CF; PG: 'Yi Radicals'), (S: $A700; E: $A71F; PG: 'Modifier Tone Letters'), (S: $A720; E: $A7FF; PG: 'Latin Extended-D'), (S: $A800; E: $A82F; PG: 'Syloti Nagri'), (S: $A840; E: $A87F; PG: 'Phags-pa'), (S: $AC00; E: $D7AF; PG: 'Hangul Syllables'), (S: $D800; E: $DB7F; PG: 'High Surrogates'), (S: $DB80; E: $DBFF; PG: 'High Private Use Surrogates'), (S: $DC00; E: $DFFF; PG: 'Low Surrogates'), (S: $E000; E: $F8FF; PG: 'Private Use Area'), (S: $F900; E: $FAFF; PG: 'CJK Compatibility Ideographs'), (S: $FB00; E: $FB4F; PG: 'Alphabetic Presentation Forms'), (S: $FB50; E: $FDFF; PG: 'Arabic Presentation Forms-A'), (S: $FE00; E: $FE0F; PG: 'Variation Selectors'), (S: $FE10; E: $FE1F; PG: 'Vertical Forms'), (S: $FE20; E: $FE2F; PG: 'Combining Half Marks'), (S: $FE30; E: $FE4F; PG: 'CJK Compatibility Forms'), (S: $FE50; E: $FE6F; PG: 'Small Form Variants'), (S: $FE70; E: $FEFF; PG: 'Arabic Presentation Forms-B'), (S: $FF00; E: $FFEF; PG: 'Halfwidth and Fullwidth Forms'), (S: $FFF0; E: $FFFF; PG: 'Specials'), (S: $10000; E: $1007F; PG: 'Linear B Syllabary'), (S: $10080; E: $100FF; PG: 'Linear B Ideograms'), (S: $10100; E: $1013F; PG: 'Aegean Numbers'), (S: $10140; E: $1018F; PG: 'Ancient Greek Numbers'), (S: $10300; E: $1032F; PG: 'Old Italic'), (S: $10330; E: $1034F; PG: 'Gothic'), (S: $10380; E: $1039F; PG: 'Ugaritic'), (S: $103A0; E: $103DF; PG: 'Old Persian'), (S: $10400; E: $1044F; PG: 'Deseret'), (S: $10450; E: $1047F; PG: 'Shavian'), (S: $10480; E: $104AF; PG: 'Osmanya'), (S: $10800; E: $1083F; PG: 'Cypriot Syllabary'), (S: $10900; E: $1091F; PG: 'Phoenician'), (S: $10A00; E: $10A5F; PG: 'Kharoshthi'), (S: $12000; E: $123FF; PG: 'Cuneiform'), (S: $12400; E: $1247F; PG: 'Cuneiform Numbers and Punctuation'), (S: $1D000; E: $1D0FF; PG: 'Byzantine Musical Symbols'), (S: $1D100; E: $1D1FF; PG: 'Musical Symbols'), (S: $1D200; E: $1D24F; PG: 'Ancient Greek Musical Notation'), (S: $1D300; E: $1D35F; PG: 'Tai Xuan Jing Symbols'), (S: $1D360; E: $1D37F; PG: 'Counting Rod Numerals'), (S: $1D400; E: $1D7FF; PG: 'Mathematical Alphanumeric Symbols'), (S: $20000; E: $2A6DF; PG: 'CJK Unified Ideographs Extension B'), (S: $2F800; E: $2FA1F; PG: 'CJK Compatibility Ideographs Supplement'), (S: $E0000; E: $E007F; PG: 'Tags'), (S: $E0100; E: $E01EF; PG: 'Variation Selectors Supplement'));


Reference for unit 'LCLVersion'

Contains the version number constants of the LCL.

uses

  System,

  LazVersion;

Overview

The LCLVersion unit contains the version number constants of the LCL. They can be used at runtime to determine the LCL version, so LCL application writers and component writers can offer different functionality or workarounds for bugs and take the LCL version into account while choosing their algorithms at run-time.

Likewise, these version constants can be used at compile time in conditional expressions, such as {$IF lcl_major>0}. These kinds of expressions are supported in {$mode delphi} and {$mode objfpc}.


Reference for unit 'LCLVersion': Constants

lcl_fullversion | LCL full version
lcl_major | LCL major version
lcl_minor | LCL minor version
lcl_patch | LCL patch version
lcl_release | LCL release number
lcl_version | LCL version string


Reference for unit 'LCLVersion': Types

TStringFunc


Reference for unit 'LCLVersion': Variables

lcl_revision_func


Index of all identifiers in unit 'LCLVersion'

L T

L

lcl_fullversion | lcl_patch | lcl_version
lcl_major | lcl_release |
lcl_minor | lcl_revision_func |

T

TStringFunc


lcl_fullversion

LCL full version

Declaration

Source position: lclversion.pas line 45

const lcl_fullversion = laz_fullversion;

Description

The lcl_fullversion constant contains all version numbers, formatted with 2 digits and conatenated (leading zeros are omitted).

For example, if the LCL version is 1.2.4.6, lcl_fullversion will be 1020406


lcl_major

LCL major version

Declaration

Source position: lclversion.pas line 41

const lcl_major = laz_major;

Description

Given a complete version string like 0.9.25, the lcl_major constant contains the first number.


lcl_minor

LCL minor version

Declaration

Source position: lclversion.pas line 42

const lcl_minor = laz_minor;

Description

Given a version string like 0.9.25, the lcl_minor constant contains the second number.


lcl_patch

LCL patch version

Declaration

Source position: lclversion.pas line 44

const lcl_patch = laz_patch;

Description

Given a complete version string like 0.9.24.1, the lcl_patch constant contains the last number. If there is no fourth number, for example when the version string is 0.9.25, then lcl_patch is 0.


lcl_release

LCL release number

Declaration

Source position: lclversion.pas line 43

const lcl_release = laz_release;

Description

Given a version string like 0.9.25, the lcl_release constant contains the third number.


lcl_revision_func

Declaration

Source position: lclversion.pas line 49

var lcl_revision_func: TStringFunc = ;


lcl_version

LCL version string

Declaration

Source position: lclversion.pas line 46

const lcl_version = laz_version;

Description

Contains the LCL version string, e.g. 1.0.12.


TStringFunc

Declaration

Source position: lclversion.pas line 38

type TStringFunc = function: string;


DockAlignOrientations

Declaration

Source position: ldocktree.pas line 192

const DockAlignOrientations: array [TAlign] of TDockOrientation = (doPages, doHorizontal, doHorizontal, doVertical, doVertical, doPages, doPages);


Reference for unit 'LDockTree'

This unit defines TLazDockTree, the default TDockTree for the LCL

uses
System,
Math,
Types,
Classes,
sysutils,
typinfo,
LazLoggerBase,
LCLProc, | Useful lower level helper functions and classes
LCLType, | This unit is being created specifically for compatibility with Delphi. It should only be used for constants and type definitions that are included in the Delphi Windows unit. This is only done for compatibiltiy.
LCLIntf, | Contains winapi like functions for Delphi compatibility.
LCLStrConsts, | This unit contains all resource strings of the LCL
Graphics, | Unit contains definitions for many fundamental classes and types used in graphic applications
Controls, | This unit contains basic classes for visual controls.
ExtCtrls, | Some extra controls commonly used in Lazarus forms
Forms, | Contains definitions and descriptions for constructing the Forms which are the basis of the Lazarus Graphical User Interface
Menus, | Menus to be used in Forms created with the Lazarus IDE
Themes, | For manipulation of display Themes, mostly in a Windows XP (and later) environment
ComCtrls, | Several controls commonly used in Lazarus forms
LMessages, |
LResources; | This unit maintains and stores all standard Lazarus resources in the global LazarusResources list and provides methods and types for component streaming.


Reference for unit 'LDockTree': Constants

DockAlignOrientations


Reference for unit 'LDockTree': Types

TAnchorControlsRect

TDockHeaderImageKind

TDockHeaderImages

TDockHeaderMouseState

TLazDockHeaderPart


Reference for unit 'LDockTree': Classes

TLazDockForm | TLazDockForm - the default DockSite for a TLazDockTree and for TCustomAnchoredDockManager
TLazDockPage | TLazDockPage - an entity similar to a TLazDockForm, but forming a page in a notebook of TLazDockPages
TLazDockPages | TLazDockPages a notebook in which each page is a TLazDockPage
TLazDockSplitter | TLazDockSplitter - a splitter used with Lazarus Docking components
TLazDockTree | TLazDockTree - a tree of TLazDockZones found in a docked window
TLazDockZone | TLazDockZone - a zone for docking in a Lazarus form


Reference for unit 'LDockTree': Procedures and functions

ControlIsAnchoredIndirectly

CountAnchoredControls

GetAnchorControlsRect

GetEnclosedControls

GetEnclosingControlRect

GetLazDockSplitter

GetLazDockSplitterOrParent

NeighbourCanBeShrinked


Index of all identifiers in unit 'LDockTree'

C D G L N T

C

ControlIsAnchoredIndirectly CountAnchoredControls

D

dhiClose dhiRestore DockAlignOrientations

G

GetAnchorControlsRect | GetEnclosingControlRect | GetLazDockSplitterOrParent
GetEnclosedControls | GetLazDockSplitter |

L

ldhpAll | ldhpCloseButton
ldhpCaption | ldhpRestoreButton

N

NeighbourCanBeShrinked

T

TAnchorControlsRect | TLazDockForm | TLazDockSplitter
TDockHeaderImageKind | TLazDockHeaderPart | TLazDockTree
TDockHeaderImages | TLazDockPage | TLazDockZone
TDockHeaderMouseState | TLazDockPages |


TAnchorControlsRect

Declaration

Source position: ldocktree.pas line 204

type TAnchorControlsRect = array [TAnchorKind] of TControl;


TDockHeaderImageKind

Declaration

Source position: ldocktree.pas line 62

type TDockHeaderImageKind = (

  dhiRestore,

  dhiClose

);


TDockHeaderImages

Declaration

Source position: ldocktree.pas line 68

type TDockHeaderImages = array [TDockHeaderImageKind] of TCustomBitmap;


TDockHeaderMouseState

Declaration

Source position: ldocktree.pas line 57

type TDockHeaderMouseState = record

  Rect: TRect;

  IsMouseDown: Boolean;

end;


TLazDockHeaderPart

Declaration

Source position: ldocktree.pas line 106

type TLazDockHeaderPart = (

  ldhpAll,

  ldhpCaption,

  ldhpRestoreButton,

  ldhpCloseButton

);


CBN_CLOSEUP

Declaration

Source position: lmessages.pp line 859

const CBN_CLOSEUP = 8;


CBN_DBLCLK

Declaration

Source position: lmessages.pp line 853

const CBN_DBLCLK = 2;


CBN_DROPDOWN

Declaration

Source position: lmessages.pp line 858

const CBN_DROPDOWN = 7;


CBN_EDITCHANGE

Declaration

Source position: lmessages.pp line 856

const CBN_EDITCHANGE = 5;


CBN_EDITUPDATE

Declaration

Source position: lmessages.pp line 857

const CBN_EDITUPDATE = 6;


CBN_ERRSPACE

Declaration

Source position: lmessages.pp line 851

const CBN_ERRSPACE = - 1;


CBN_KILLFOCUS

Declaration

Source position: lmessages.pp line 855

const CBN_KILLFOCUS = 4;


CBN_SELCHANGE

Declaration

Source position: lmessages.pp line 852

const CBN_SELCHANGE = 1;


CBN_SELENDCANCEL

Declaration

Source position: lmessages.pp line 861

const CBN_SELENDCANCEL = 10;


CBN_SELENDOK

Declaration

Source position: lmessages.pp line 860

const CBN_SELENDOK = 9;


CBN_SETFOCUS

Declaration

Source position: lmessages.pp line 854

const CBN_SETFOCUS = 3;


CM_APPKEYDOWN

[Overview][Constants][Types][Procedures and functions][Index] Reference for unit 'LMessages' (#lcl)

CM_APPKEYDOWN (unimplemented)

Declaration

Source position: controlconsts.inc line 36

const CM_APPKEYDOWN = CM_BASE + 22;


CM_BUFFEREDPRINTCLIENT

[Overview][Constants][Types][Procedures and functions][Index] Reference for unit 'LMessages' (#lcl)

CM_BUFFEREDPRINTCLIENT (unimplemented)

Declaration

Source position: controlconsts.inc line 91

const CM_BUFFEREDPRINTCLIENT = CM_BASE + 77;


CM_CANCELMODE

[Overview][Constants][Types][Procedures and functions][Index] Reference for unit 'LMessages' (#lcl)

CM_CANCELMODE (unimplemented)

Declaration

Source position: controlconsts.inc line 18

const CM_CANCELMODE = CM_BASE + 4;


CM_CONTROLLISTCHANGING

[Overview][Constants][Types][Procedures and functions][Index] Reference for unit 'LMessages' (#lcl)

CM_CONTROLLISTCHANGING (unimplemented)

Declaration

Source position: controlconsts.inc line 90

const CM_CONTROLLISTCHANGING = CM_BASE + 76;


CM_CREATEPOPUP

[Overview][Constants][Types][Procedures and functions][Index] Reference for unit 'LMessages' (#lcl)

CM_CREATEPOPUP (unimplemented)

Declaration

Source position: controlconsts.inc line 87

const CM_CREATEPOPUP = CM_BASE + 73;


CM_CTL3DCHANGED

[Overview][Constants][Types][Procedures and functions][Index] Reference for unit 'LMessages' (#lcl)

CM_CTL3DCHANGED (unimplemented)

Declaration

Source position: controlconsts.inc line 30

const CM_CTL3DCHANGED = CM_BASE + 16;


CM_CUSTOMGESTURESCHANGED

[Overview][Constants][Types][Procedures and functions][Index] Reference for unit 'LMessages' (#lcl)

CM_CUSTOMGESTURESCHANGED (unimplemented)

Declaration

Source position: controlconsts.inc line 97

const CM_CUSTOMGESTURESCHANGED = CM_BASE + 83;


CM_DESTROYHANDLE

[Overview][Constants][Types][Procedures and functions][Index] Reference for unit 'LMessages' (#lcl)

CM_DESTROYHANDLE (unimplemented)

Declaration

Source position: controlconsts.inc line 88

const CM_DESTROYHANDLE = CM_BASE + 74;


CM_DIALOGCHAR

[Overview][Constants][Types][Procedures and functions][Index] Reference for unit 'LMessages' (#lcl)

CM_DIALOGCHAR (unimplemented)

Declaration

Source position: controlconsts.inc line 20

const CM_DIALOGCHAR = CM_BASE + 6;


CM_DIALOGHANDLE

[Overview][Constants][Types][Procedures and functions][Index] Reference for unit 'LMessages' (#lcl)

CM_DIALOGHANDLE (unimplemented)

Declaration

Source position: controlconsts.inc line 63

const CM_DIALOGHANDLE = CM_BASE + 49;


CM_DIALOGKEY

[Overview][Constants][Types][Procedures and functions][Index] Reference for unit 'LMessages' (#lcl)

CM_DIALOGKEY (unimplemented)

Declaration

Source position: controlconsts.inc line 19

const CM_DIALOGKEY = CM_BASE + 5;


CM_DOCKCLIENT

[Overview][Constants][Types][Procedures and functions][Index] Reference for unit 'LMessages' (#lcl)

CM_DOCKCLIENT (unimplemented)

Declaration

Source position: controlconsts.inc line 70

const CM_DOCKCLIENT = CM_BASE + 56;


CM_DOCWINDOWACTIVATE

[Overview][Constants][Types][Procedures and functions][Index] Reference for unit 'LMessages' (#lcl)

CM_DOCWINDOWACTIVATE (unimplemented)

Declaration

Source position: controlconsts.inc line 57

const CM_DOCWINDOWACTIVATE = CM_BASE + 43;


CM_DRAG

[Overview][Constants][Types][Procedures and functions][Index] Reference for unit 'LMessages' (#lcl)

CM_DRAG (unimplemented)

Declaration

Source position: controlconsts.inc line 61

const CM_DRAG = CM_BASE + 47;


CM_FLOAT

[Overview][Constants][Types][Procedures and functions][Index] Reference for unit 'LMessages' (#lcl)

CM_FLOAT (unimplemented)

Declaration

Source position: controlconsts.inc line 72

const CM_FLOAT = CM_BASE + 58;


CM_GESTURE

[Overview][Constants][Types][Procedures and functions][Index] Reference for unit 'LMessages' (#lcl)

CM_GESTURE (unimplemented)

Declaration

Source position: controlconsts.inc line 96

const CM_GESTURE = CM_BASE + 82;


CM_GESTUREMANAGERCHANGED

[Overview][Constants][Types][Procedures and functions][Index] Reference for unit 'LMessages' (#lcl)

CM_GESTUREMANAGERCHANGED (unimplemented)

Declaration

Source position: controlconsts.inc line 98

const CM_GESTUREMANAGERCHANGED = CM_BASE + 84;


CM_GOTFOCUS

[Overview][Constants][Types][Procedures and functions][Index] Reference for unit 'LMessages' (#lcl)

CM_GOTFOCUS (unimplemented)

Declaration

Source position: controlconsts.inc line 16

const CM_GOTFOCUS = CM_BASE + 2;


CM_INPUTLANGCHANGE

[Overview][Constants][Types][Procedures and functions][Index] Reference for unit 'LMessages' (#lcl)

CM_INPUTLANGCHANGE (unimplemented)

Declaration

Source position: controlconsts.inc line 100

const CM_INPUTLANGCHANGE = CM_BASE + 86;


CM_INVALIDATE

[Overview][Constants][Types][Procedures and functions][Index] Reference for unit 'LMessages' (#lcl)

CM_INVALIDATE (unimplemented)

Declaration

Source position: controlconsts.inc line 66

const CM_INVALIDATE = CM_BASE + 52;


CM_INVALIDATEDOCKHOST

[Overview][Constants][Types][Procedures and functions][Index] Reference for unit 'LMessages' (#lcl)

CM_INVALIDATEDOCKHOST (unimplemented)

Declaration

Source position: controlconsts.inc line 84

const CM_INVALIDATEDOCKHOST = CM_BASE + 70;


CM_INVOKEHELP

[Overview][Constants][Types][Procedures and functions][Index] Reference for unit 'LMessages' (#lcl)

CM_INVOKEHELP (unimplemented)

Declaration

Source position: controlconsts.inc line 45

const CM_INVOKEHELP = CM_BASE + 31;


CM_ISSHORTCUT

[Overview][Constants][Types][Procedures and functions][Index] Reference for unit 'LMessages' (#lcl)

CM_ISSHORTCUT (unimplemented)

Declaration

Source position: controlconsts.inc line 82

const CM_ISSHORTCUT = CM_BASE + 68;


CM_ISTOOLCONTROL

[Overview][Constants][Types][Procedures and functions][Index] Reference for unit 'LMessages' (#lcl)

CM_ISTOOLCONTROL (unimplemented)

Declaration

Source position: controlconsts.inc line 64

const CM_ISTOOLCONTROL = CM_BASE + 50;


CM_LOSTFOCUS

[Overview][Constants][Types][Procedures and functions][Index] Reference for unit 'LMessages' (#lcl)

CM_LOSTFOCUS (unimplemented)

Declaration

Source position: controlconsts.inc line 17

const CM_LOSTFOCUS = CM_BASE + 3;


CM_MOUSEACTIVATE

[Overview][Constants][Types][Procedures and functions][Index] Reference for unit 'LMessages' (#lcl)

CM_MOUSEACTIVATE (unimplemented)

Declaration

Source position: controlconsts.inc line 89

const CM_MOUSEACTIVATE = CM_BASE + 75;


CM_PARENTCTL3DCHANGED

[Overview][Constants][Types][Procedures and functions][Index] Reference for unit 'LMessages' (#lcl)

CM_PARENTCTL3DCHANGED (unimplemented)

Declaration

Source position: controlconsts.inc line 31

const CM_PARENTCTL3DCHANGED = CM_BASE + 17;


CM_PARENTTABLETOPTIONSCHANGED

[Overview][Constants][Types][Procedures and functions][Index] Reference for unit 'LMessages' (#lcl)

CM_PARENTTABLETOPTIONSCHANGED (unimplemented)

Declaration

Source position: controlconsts.inc line 102

const CM_PARENTTABLETOPTIONSCHANGED = CM_BASE + 88;


CM_POPUPHWNDDESTROY

[Overview][Constants][Types][Procedures and functions][Index] Reference for unit 'LMessages' (#lcl)

CM_POPUPHWNDDESTROY (unimplemented)

Declaration

Source position: controlconsts.inc line 86

const CM_POPUPHWNDDESTROY = CM_BASE + 72;


CM_RECREATEWND

[Overview][Constants][Types][Procedures and functions][Index] Reference for unit 'LMessages' (#lcl)

CM_RECREATEWND (unimplemented)

Declaration

Source position: controlconsts.inc line 65

const CM_RECREATEWND = CM_BASE + 51;


CM_SETACTIVECONTROL

[Overview][Constants][Types][Procedures and functions][Index] Reference for unit 'LMessages' (#lcl)

CM_SETACTIVECONTROL (unimplemented)

Declaration

Source position: controlconsts.inc line 85

const CM_SETACTIVECONTROL = CM_BASE + 71;


CM_STANDARDGESTURESCHANGED

[Overview][Constants][Types][Procedures and functions][Index] Reference for unit 'LMessages' (#lcl)

CM_STANDARDGESTURESCHANGED (unimplemented)

Declaration

Source position: controlconsts.inc line 99

const CM_STANDARDGESTURESCHANGED = CM_BASE + 85;


CM_SYSCOLORCHANGE

[Overview][Constants][Types][Procedures and functions][Index] Reference for unit 'LMessages' (#lcl)

CM_SYSCOLORCHANGE (unimplemented)

Declaration

Source position: controlconsts.inc line 50

const CM_SYSCOLORCHANGE = CM_BASE + 36;


CM_TABLETOPTIONSCHANGED

[Overview][Constants][Types][Procedures and functions][Index] Reference for unit 'LMessages' (#lcl)

CM_TABLETOPTIONSCHANGED (unimplemented)

Declaration

Source position: controlconsts.inc line 101

const CM_TABLETOPTIONSCHANGED = CM_BASE + 87;


CM_THEMECHANGED

[Overview][Constants][Types][Procedures and functions][Index] Reference for unit 'LMessages' (#lcl)

CM_THEMECHANGED (unimplemented)

Declaration

Source position: controlconsts.inc line 95

const CM_THEMECHANGED = CM_BASE + 81;


CM_TIMECHANGE

[Overview][Constants][Types][Procedures and functions][Index] Reference for unit 'LMessages' (#lcl)

CM_TIMECHANGE (unimplemented)

Declaration

Source position: controlconsts.inc line 53

const CM_TIMECHANGE = CM_BASE + 39;


CM_UIDEACTIVATE

[Overview][Constants][Types][Procedures and functions][Index] Reference for unit 'LMessages' (#lcl)

CM_UIDEACTIVATE (unimplemented)

Declaration

Source position: controlconsts.inc line 56

const CM_UIDEACTIVATE = CM_BASE + 42;


CM_UNDOCKCLIENT

[Overview][Constants][Types][Procedures and functions][Index] Reference for unit 'LMessages' (#lcl)

CM_UNDOCKCLIENT (unimplemented)

Declaration

Source position: controlconsts.inc line 71

const CM_UNDOCKCLIENT = CM_BASE + 57;


CM_UNTHEMECONTROL

[Overview][Constants][Types][Procedures and functions][Index] Reference for unit 'LMessages' (#lcl)

CM_UNTHEMECONTROL (unimplemented)

Declaration

Source position: controlconsts.inc line 92

const CM_UNTHEMECONTROL = CM_BASE + 78;


CM_UPDATEACTIONS

[Overview][Constants][Types][Procedures and functions][Index] Reference for unit 'LMessages' (#lcl)

CM_UPDATEACTIONS (unimplemented)

Declaration

Source position: controlconsts.inc line 83

const CM_UPDATEACTIONS = CM_BASE + 69;


CM_WINDOWHOOK

[Overview][Constants][Types][Procedures and functions][Index] Reference for unit 'LMessages' (#lcl)

CM_WINDOWHOOK (unimplemented)

Declaration

Source position: controlconsts.inc line 46

const CM_WINDOWHOOK = CM_BASE + 32;


CM_WININICHANGE

[Overview][Constants][Types][Procedures and functions][Index] Reference for unit 'LMessages' (#lcl)

CM_WININICHANGE (unimplemented)

Declaration

Source position: controlconsts.inc line 51

const CM_WININICHANGE = CM_BASE + 37;


Reference for unit 'LMessages'

uses
System,
Classes,
sysutils,
Types,
LCLType, | This unit is being created specifically for compatibility with Delphi. It should only be used for constants and type definitions that are included in the Delphi Windows unit. This is only done for compatibiltiy.
GraphType; |


Reference for unit 'LMessages': Constants

CBN_CLOSEUP

CBN_DBLCLK

CBN_DROPDOWN

CBN_EDITCHANGE

CBN_EDITUPDATE

CBN_ERRSPACE

CBN_KILLFOCUS

CBN_SELCHANGE

CBN_SELENDCANCEL

CBN_SELENDOK

CBN_SETFOCUS

CM_ACTIONEXECUTE

CM_ACTIONUPDATE

CM_ACTIVATE

CM_ALLCHILDRENFLIPPED

CM_APPKEYDOWN

CM_APPSHOWBTNGLYPHCHANGED

CM_APPSHOWMENUGLYPHCHANGED

CM_APPSYSCOMMAND

CM_BASE

CM_BIDIMODECHANGED

CM_BORDERCHANGED

CM_BUFFEREDPRINTCLIENT

CM_BUTTONPRESSED

CM_CANCELMODE

CM_CHANGED

CM_CHILDKEY

CM_COLORCHANGED

CM_CONTROLCHANGE

CM_CONTROLLISTCHANGE

CM_CONTROLLISTCHANGING

CM_CREATEPOPUP

CM_CTL3DCHANGED

CM_CURSORCHANGED

CM_CUSTOMGESTURESCHANGED

CM_DEACTIVATE

CM_DESIGNHITTEST

CM_DESTROYHANDLE

CM_DIALOGCHAR

CM_DIALOGHANDLE

CM_DIALOGKEY

CM_DOCKCLIENT

CM_DOCKNOTIFICATION

CM_DOCWINDOWACTIVATE

CM_DOUBLEBUFFEREDCHANGED

CM_DRAG

CM_ENABLEDCHANGED

CM_ENTER

CM_EXIT

CM_FLOAT

CM_FOCUSCHANGED

CM_FONTCHANGE

CM_FONTCHANGED

CM_GESTURE

CM_GESTUREMANAGERCHANGED

CM_GETDATALINK

CM_GOTFOCUS

CM_HINTSHOW

CM_HINTSHOWPAUSE

CM_HITTEST

CM_ICONCHANGED

CM_INPUTLANGCHANGE

CM_INVALIDATE

CM_INVALIDATEDOCKHOST

CM_INVOKEHELP

CM_ISSHORTCUT

CM_ISTOOLCONTROL

CM_LCLOFFSET

CM_LOSTFOCUS

CM_MENUCHANGED

CM_MOUSEACTIVATE

CM_MOUSEENTER

CM_MOUSELEAVE

CM_MOUSEWHEEL

CM_PARENTBIDIMODECHANGED

CM_PARENTCOLORCHANGED

CM_PARENTCTL3DCHANGED

CM_PARENTDOUBLEBUFFEREDCHANGED

CM_PARENTFONTCHANGED

CM_PARENTSHOWHINTCHANGED

CM_PARENTTABLETOPTIONSCHANGED

CM_POPUPHWNDDESTROY

CM_RECREATEWND

CM_RELEASE

CM_SETACTIVECONTROL

CM_SHOWHINTCHANGED

CM_SHOWINGCHANGED

CM_STANDARDGESTURESCHANGED

CM_SYSCOLORCHANGE

CM_SYSFONTCHANGED

CM_TABLETOPTIONSCHANGED

CM_TABSTOPCHANGED

CM_TEXTCHANGED

CM_THEMECHANGED

CM_TIMECHANGE

CM_UIACTIVATE

CM_UIDEACTIVATE

CM_UNDOCKCLIENT

CM_UNTHEMECONTROL

CM_UPDATEACTIONS

CM_VISIBLECHANGED

CM_WANTSPECIALKEY

CM_WINDOWHOOK

CM_WININICHANGE

CN_BASE

CN_CHAR

CN_CHARTOITEM

CN_COMMAND

CN_COMPAREITEM

CN_CTLCOLORBTN

CN_CTLCOLORDLG

CN_CTLCOLOREDIT

CN_CTLCOLORLISTBOX

CN_CTLCOLORMSGBOX

CN_CTLCOLORSCROLLBAR

CN_CTLCOLORSTATIC

CN_DELETEITEM

CN_DRAWITEM

CN_HSCROLL

CN_KEYDOWN

CN_KEYUP

CN_MEASUREITEM

CN_NOTIFY

CN_PARENTNOTIFY

CN_SYSCHAR

CN_SYSKEYDOWN

CN_SYSKEYUP

CN_VKEYTOITEM

CN_VSCROLL

LM_ACTIVATE

LM_ACTIVATEITEM

LM_CANCELMODE

LM_CAPTURECHANGED

LM_CHANGED

LM_CHAR

LM_CHARTOITEM

LM_CHECKRESIZE

LM_CLEAR

LM_CLICKED

LM_CLOSEQUERY

LM_COMMAND

LM_COMPAREITEM

LM_CONFIGUREEVENT

LM_CONTEXTMENU

LM_COPY

LM_CREATE

LM_CTLCOLORBTN

LM_CTLCOLORDLG

LM_CTLCOLOREDIT

LM_CTLCOLORLISTBOX

LM_CTLCOLORMSGBOX

LM_CTLCOLORSCROLLBAR

LM_CTLCOLORSTATIC

LM_CUT

LM_DAYCHANGED

LM_DEFERREDEDIT

LM_DELETEITEM

LM_DESTROY

LM_DPICHANGED

LM_DRAGSTART

LM_DRAWITEM

LM_DRAWLISTITEM

LM_DROPFILES

LM_ENABLE

LM_ENTER

LM_ERASEBKGND

LM_EXIT

LM_FOCUS

LM_GETDLGCODE

LM_GETTEXTLENGTH

LM_GRABFOCUS

LM_HELP

LM_HSCROLL

LM_INTERFACEFIRST

LM_INTERFACELAST

LM_KEYDOWN

LM_KEYFIRST

LM_KEYLAST

LM_KEYUP

LM_KILLCHAR

LM_KILLFOCUS

LM_KILLLINE

LM_KILLWORD

LM_LBUTTONDBLCLK

LM_LBUTTONDOWN

LM_LBUTTONQUADCLK

LM_LBUTTONTRIPLECLK

LM_LBUTTONUP

LM_LCL

LM_LEAVE

LM_MBUTTONDBLCLK

LM_MBUTTONDOWN

LM_MBUTTONQUADCLK

LM_MBUTTONTRIPLECLK

LM_MBUTTONUP

LM_MEASUREITEM

LM_MONTHCHANGED

LM_MOUSEENTER

LM_MOUSEFIRST

LM_MOUSEFIRST2

LM_MOUSEHWHEEL

LM_MOUSELAST

LM_MOUSELAST2

LM_MOUSELEAVE

LM_MOUSEMOVE

LM_MOUSEWHEEL

LM_MOVE

LM_MOVEPAGE

LM_MOVETOCOLUMN

LM_MOVETOROW

LM_MOVEWORD

LM_NCACTIVATE

LM_NCCALCSIZE

LM_NCHITTEST

LM_NCLBUTTONDBLCLK

LM_NCLBUTTONDOWN

LM_NCLBUTTONUP

LM_NCMOUSEMOVE

LM_NCPAINT

LM_NOTIFY

LM_NOTIFYFORMAT

LM_NULL

LM_PAINT

LM_PARENTNOTIFY

LM_PASTE

LM_QUIT

LM_RBUTTONDBLCLK

LM_RBUTTONDOWN

LM_RBUTTONQUADCLK

LM_RBUTTONTRIPLECLK

LM_RBUTTONUP

LM_RELEASED

LM_SELCHANGE

LM_SETCURSOR

LM_SETEDITABLE

LM_SETFOCUS

LM_SETFONT

LM_SHOWWINDOW

LM_SIZE

LM_SYSCHAR

LM_SYSCOMMAND

LM_SYSKEYDOWN

LM_SYSKEYUP

LM_TIMER

LM_UNKNOWN

LM_USER

LM_VKEYTOITEM

LM_VSCROLL

LM_WINDOWPOSCHANGED

LM_WINDOWPOSCHANGING

LM_XBUTTONDBLCLK

LM_XBUTTONDOWN

LM_XBUTTONQUADCLK

LM_XBUTTONTRIPLECLK

LM_XBUTTONUP

LM_YEARCHANGED

SC_ARRANGE

SC_CLOSE

SC_CONTEXTHELP

SC_DEFAULT

SC_HOTKEY

SC_HSCROLL

SC_KEYMENU

SC_MAXIMIZE

SC_MINIMIZE

SC_MONITORPOWER

SC_MOUSEMENU

SC_MOVE

SC_NEXTWINDOW

SC_PREVWINDOW

SC_RESTORE

SC_SCREENSAVE

SC_SEPARATOR

SC_SIZE

SC_TASKLIST

SC_VSCROLL

WA_ACTIVE

WA_CLICKACTIVE

WA_INACTIVE

WM_USER


Reference for unit 'LMessages': Types

ncCalcSizeParams

PLMessage

PLMMouseEvent

PNCCalcSizeParams

PWindowPos

tagNCCalcSize_Params

tagWINDOWPOS

TCMWantSpecialKey

TLastMouseInfo

TLMActivate

TLMChar

TLMCommand

TLMContextMenu

TLMCopy

TLMCut

TLMDestroy

TLMDrawItems

TLMDrawListItem

TLMEnter

TLMEraseBkgnd

TLMessage

TLMExit

TLMGetDlgCode

TLMGetText

TLMGetTextLength

TLMHelp

TLMHScroll

TLMKey

TLMKeyDown

TLMKeyUp

TLMKILLFOCUS

TLMLButtonDblClk

TLMLButtonDown

TLMLButtonQuadClk

TLMLButtonTripleClk

TLMLButtonUp

TLMMButtonDblClk

TLMMButtonDown

TLMMButtonQuadClk

TLMMButtonTripleClk

TLMMButtonUp

TLMMeasureItem

TLMMouse

TLMMouseEvent

TLMMouseMove

TLMMove

TLMNCActivate

TLMNCCalcSize

TLMNCHITTEST

TLMNoParams

TLMNotify

TLMNotifyFormat

TLMPaint

TLMPaste

TLMRButtonDblClk

TLMRButtonDown

TLMRButtonQuadClk

TLMRButtonTripleClk

TLMRButtonUp

TLMScroll

TLMSetCursor

TLMSetFocus

TLMSetText

TLMShowWindow

TLMSize

TLMSysChar

TLMSysColorChange

TLMSysCommand

TLMSysDeadChar

TLMSysKeyDown

TLMSysKeyUp

TLMSystemError

TLMTimeChange

TLMVScroll

TLMWindowPosChanged

TLMWindowPosChanging

TLMWindowPosMsg

TLMXButtonDblClk

TLMXButtonDown

TLMXButtonQuadClk

TLMXButtonTripleClk

TLMXButtonUp

TNCCalcSizeParams

TWindowPos

WINDOWPOS


Reference for unit 'LMessages': Procedures and functions

GetMessageName


Index of all identifiers in unit 'LMessages'

C G L N P S T W

C

CBN_CLOSEUP | CM_DOCWINDOWACTIVATE | CM_SHOWINGCHANGED
CBN_DBLCLK | CM_DOUBLEBUFFEREDCHANGED | CM_STANDARDGESTURESCHANGED
CBN_DROPDOWN | CM_DRAG | CM_SYSCOLORCHANGE
CBN_EDITCHANGE | CM_ENABLEDCHANGED | CM_SYSFONTCHANGED
CBN_EDITUPDATE | CM_ENTER | CM_TABLETOPTIONSCHANGED
CBN_ERRSPACE | CM_EXIT | CM_TABSTOPCHANGED
CBN_KILLFOCUS | CM_FLOAT | CM_TEXTCHANGED
CBN_SELCHANGE | CM_FOCUSCHANGED | CM_THEMECHANGED
CBN_SELENDCANCEL | CM_FONTCHANGE | CM_TIMECHANGE
CBN_SELENDOK | CM_FONTCHANGED | CM_UIACTIVATE
CBN_SETFOCUS | CM_GESTURE | CM_UIDEACTIVATE
CM_ACTIONEXECUTE | CM_GESTUREMANAGERCHANGED | CM_UNDOCKCLIENT
CM_ACTIONUPDATE | CM_GETDATALINK | CM_UNTHEMECONTROL
CM_ACTIVATE | CM_GOTFOCUS | CM_UPDATEACTIONS
CM_ALLCHILDRENFLIPPED | CM_HINTSHOW | CM_VISIBLECHANGED
CM_APPKEYDOWN | CM_HINTSHOWPAUSE | CM_WANTSPECIALKEY
CM_APPSHOWBTNGLYPHCHANGED | CM_HITTEST | CM_WINDOWHOOK
CM_APPSHOWMENUGLYPHCHANGED | CM_ICONCHANGED | CM_WININICHANGE
CM_APPSYSCOMMAND | CM_INPUTLANGCHANGE | CN_BASE
CM_BASE | CM_INVALIDATE | CN_CHAR
CM_BIDIMODECHANGED | CM_INVALIDATEDOCKHOST | CN_CHARTOITEM
CM_BORDERCHANGED | CM_INVOKEHELP | CN_COMMAND
CM_BUFFEREDPRINTCLIENT | CM_ISSHORTCUT | CN_COMPAREITEM
CM_BUTTONPRESSED | CM_ISTOOLCONTROL | CN_CTLCOLORBTN
CM_CANCELMODE | CM_LCLOFFSET | CN_CTLCOLORDLG
CM_CHANGED | CM_LOSTFOCUS | CN_CTLCOLOREDIT
CM_CHILDKEY | CM_MENUCHANGED | CN_CTLCOLORLISTBOX
CM_COLORCHANGED | CM_MOUSEACTIVATE | CN_CTLCOLORMSGBOX
CM_CONTROLCHANGE | CM_MOUSEENTER | CN_CTLCOLORSCROLLBAR
CM_CONTROLLISTCHANGE | CM_MOUSELEAVE | CN_CTLCOLORSTATIC
CM_CONTROLLISTCHANGING | CM_MOUSEWHEEL | CN_DELETEITEM
CM_CREATEPOPUP | CM_PARENTBIDIMODECHANGED | CN_DRAWITEM
CM_CTL3DCHANGED | CM_PARENTCOLORCHANGED | CN_HSCROLL
CM_CURSORCHANGED | CM_PARENTCTL3DCHANGED | CN_KEYDOWN
CM_CUSTOMGESTURESCHANGED | CM_PARENTDOUBLEBUFFEREDCHANGED | CN_KEYUP
CM_DEACTIVATE | CM_PARENTFONTCHANGED | CN_MEASUREITEM
CM_DESIGNHITTEST | CM_PARENTSHOWHINTCHANGED | CN_NOTIFY
CM_DESTROYHANDLE | CM_PARENTTABLETOPTIONSCHANGED | CN_PARENTNOTIFY
CM_DIALOGCHAR | CM_POPUPHWNDDESTROY | CN_SYSCHAR
CM_DIALOGHANDLE | CM_RECREATEWND | CN_SYSKEYDOWN
CM_DIALOGKEY | CM_RELEASE | CN_SYSKEYUP
CM_DOCKCLIENT | CM_SETACTIVECONTROL | CN_VKEYTOITEM
CM_DOCKNOTIFICATION | CM_SHOWHINTCHANGED | CN_VSCROLL

G

GetMessageName

L

LM_ACTIVATE | LM_HSCROLL | LM_NCLBUTTONDOWN
LM_ACTIVATEITEM | LM_INTERFACEFIRST | LM_NCLBUTTONUP
LM_CANCELMODE | LM_INTERFACELAST | LM_NCMOUSEMOVE
LM_CAPTURECHANGED | LM_KEYDOWN | LM_NCPAINT
LM_CHANGED | LM_KEYFIRST | LM_NOTIFY
LM_CHAR | LM_KEYLAST | LM_NOTIFYFORMAT
LM_CHARTOITEM | LM_KEYUP | LM_NULL
LM_CHECKRESIZE | LM_KILLCHAR | LM_PAINT
LM_CLEAR | LM_KILLFOCUS | LM_PARENTNOTIFY
LM_CLICKED | LM_KILLLINE | LM_PASTE
LM_CLOSEQUERY | LM_KILLWORD | LM_QUIT
LM_COMMAND | LM_LBUTTONDBLCLK | LM_RBUTTONDBLCLK
LM_COMPAREITEM | LM_LBUTTONDOWN | LM_RBUTTONDOWN
LM_CONFIGUREEVENT | LM_LBUTTONQUADCLK | LM_RBUTTONQUADCLK
LM_CONTEXTMENU | LM_LBUTTONTRIPLECLK | LM_RBUTTONTRIPLECLK
LM_COPY | LM_LBUTTONUP | LM_RBUTTONUP
LM_CREATE | LM_LCL | LM_RELEASED
LM_CTLCOLORBTN | LM_LEAVE | LM_SELCHANGE
LM_CTLCOLORDLG | LM_MBUTTONDBLCLK | LM_SETCURSOR
LM_CTLCOLOREDIT | LM_MBUTTONDOWN | LM_SETEDITABLE
LM_CTLCOLORLISTBOX | LM_MBUTTONQUADCLK | LM_SETFOCUS
LM_CTLCOLORMSGBOX | LM_MBUTTONTRIPLECLK | LM_SETFONT
LM_CTLCOLORSCROLLBAR | LM_MBUTTONUP | LM_SHOWWINDOW
LM_CTLCOLORSTATIC | LM_MEASUREITEM | LM_SIZE
LM_CUT | LM_MONTHCHANGED | LM_SYSCHAR
LM_DAYCHANGED | LM_MOUSEENTER | LM_SYSCOMMAND
LM_DEFERREDEDIT | LM_MOUSEFIRST | LM_SYSKEYDOWN
LM_DELETEITEM | LM_MOUSEFIRST2 | LM_SYSKEYUP
LM_DESTROY | LM_MOUSEHWHEEL | LM_TIMER
LM_DPICHANGED | LM_MOUSELAST | LM_UNKNOWN
LM_DRAGSTART | LM_MOUSELAST2 | LM_USER
LM_DRAWITEM | LM_MOUSELEAVE | LM_VKEYTOITEM
LM_DRAWLISTITEM | LM_MOUSEMOVE | LM_VSCROLL
LM_DROPFILES | LM_MOUSEWHEEL | LM_WINDOWPOSCHANGED
LM_ENABLE | LM_MOVE | LM_WINDOWPOSCHANGING
LM_ENTER | LM_MOVEPAGE | LM_XBUTTONDBLCLK
LM_ERASEBKGND | LM_MOVETOCOLUMN | LM_XBUTTONDOWN
LM_EXIT | LM_MOVETOROW | LM_XBUTTONQUADCLK
LM_FOCUS | LM_MOVEWORD | LM_XBUTTONTRIPLECLK
LM_GETDLGCODE | LM_NCACTIVATE | LM_XBUTTONUP
LM_GETTEXTLENGTH | LM_NCCALCSIZE | LM_YEARCHANGED
LM_GRABFOCUS | LM_NCHITTEST |
LM_HELP | LM_NCLBUTTONDBLCLK |

N

ncCalcSizeParams

P

PLMessage | PNCCalcSizeParams
PLMMouseEvent | PWindowPos

S

SC_ARRANGE | SC_MAXIMIZE | SC_RESTORE
SC_CLOSE | SC_MINIMIZE | SC_SCREENSAVE
SC_CONTEXTHELP | SC_MONITORPOWER | SC_SEPARATOR
SC_DEFAULT | SC_MOUSEMENU | SC_SIZE
SC_HOTKEY | SC_MOVE | SC_TASKLIST
SC_HSCROLL | SC_NEXTWINDOW | SC_VSCROLL
SC_KEYMENU | SC_PREVWINDOW |

T

tagNCCalcSize_Params | TLMLButtonDown | TLMScroll
tagWINDOWPOS | TLMLButtonQuadClk | TLMSetCursor
TCMWantSpecialKey | TLMLButtonTripleClk | TLMSetFocus
TLastMouseInfo | TLMLButtonUp | TLMSetText
TLMActivate | TLMMButtonDblClk | TLMShowWindow
TLMChar | TLMMButtonDown | TLMSize
TLMCommand | TLMMButtonQuadClk | TLMSysChar
TLMContextMenu | TLMMButtonTripleClk | TLMSysColorChange
TLMCopy | TLMMButtonUp | TLMSysCommand
TLMCut | TLMMeasureItem | TLMSysDeadChar
TLMDestroy | TLMMouse | TLMSysKeyDown
TLMDrawItems | TLMMouseEvent | TLMSysKeyUp
TLMDrawListItem | TLMMouseMove | TLMSystemError
TLMEnter | TLMMove | TLMTimeChange
TLMEraseBkgnd | TLMNCActivate | TLMVScroll
TLMessage | TLMNCCalcSize | TLMWindowPosChanged
TLMExit | TLMNCHITTEST | TLMWindowPosChanging
TLMGetDlgCode | TLMNoParams | TLMWindowPosMsg
TLMGetText | TLMNotify | TLMXButtonDblClk
TLMGetTextLength | TLMNotifyFormat | TLMXButtonDown
TLMHelp | TLMPaint | TLMXButtonQuadClk
TLMHScroll | TLMPaste | TLMXButtonTripleClk
TLMKey | TLMRButtonDblClk | TLMXButtonUp
TLMKeyDown | TLMRButtonDown | TNCCalcSizeParams
TLMKeyUp | TLMRButtonQuadClk | TWindowPos
TLMKILLFOCUS | TLMRButtonTripleClk |
TLMLButtonDblClk | TLMRButtonUp |

W

WA_ACTIVE | WA_INACTIVE | WM_USER
WA_CLICKACTIVE | WINDOWPOS |


LM_ACTIVATE

Declaration

Source position: lmessages.pp line 142

const LM_ACTIVATE = $0006;


LM_ACTIVATEITEM

Declaration

Source position: lmessages.pp line 52

const LM_ACTIVATEITEM = LM_LCL + 04;


LM_CANCELMODE

Declaration

Source position: lmessages.pp line 152

const LM_CANCELMODE = $001F;


LM_CAPTURECHANGED

Declaration

Source position: lmessages.pp line 222

const LM_CAPTURECHANGED = $0215;


LM_CHANGED

Declaration

Source position: lmessages.pp line 53

const LM_CHANGED = LM_LCL + 05;


LM_CHAR

Declaration

Source position: lmessages.pp line 182

const LM_CHAR = $0102;


LM_CHARTOITEM

Declaration

Source position: lmessages.pp line 158

const LM_CHARTOITEM = $002F;


LM_CHECKRESIZE

Declaration

Source position: lmessages.pp line 59

const LM_CHECKRESIZE = LM_LCL + 14;


LM_CLEAR

Declaration

Source position: lmessages.pp line 230

const LM_CLEAR = $0303;


LM_CLICKED

Declaration

Source position: lmessages.pp line 55

const LM_CLICKED = LM_LCL + 07;


LM_CLOSEQUERY

Declaration

Source position: lmessages.pp line 70

const LM_CLOSEQUERY = LM_LCL + 62;


LM_COMMAND

Declaration

Source position: lmessages.pp line 190

const LM_COMMAND = $0111;


LM_COMPAREITEM

Declaration

Source position: lmessages.pp line 161

const LM_COMPAREITEM = $0039;


LM_CONFIGUREEVENT

Declaration

Source position: lmessages.pp line 68

const LM_CONFIGUREEVENT = LM_LCL + 31;


LM_CONTEXTMENU

Declaration

Source position: lmessages.pp line 167

const LM_CONTEXTMENU = $007B;


LM_COPY

Declaration

Source position: lmessages.pp line 228

const LM_COPY = $0301;


LM_CREATE

Declaration

Source position: lmessages.pp line 137

const LM_CREATE = $0001;


LM_CTLCOLORBTN

Declaration

Source position: lmessages.pp line 198

const LM_CTLCOLORBTN = $0135;


LM_CTLCOLORDLG

Declaration

Source position: lmessages.pp line 199

const LM_CTLCOLORDLG = $0136;


LM_CTLCOLOREDIT

Declaration

Source position: lmessages.pp line 196

const LM_CTLCOLOREDIT = $0133;


LM_CTLCOLORLISTBOX

Declaration

Source position: lmessages.pp line 197

const LM_CTLCOLORLISTBOX = $0134;


LM_CTLCOLORMSGBOX

Declaration

Source position: lmessages.pp line 195

const LM_CTLCOLORMSGBOX = $0132;


LM_CTLCOLORSCROLLBAR

Declaration

Source position: lmessages.pp line 200

const LM_CTLCOLORSCROLLBAR = $0137;


LM_CTLCOLORSTATIC

Declaration

Source position: lmessages.pp line 201

const LM_CTLCOLORSTATIC = $0138;


LM_CUT

Declaration

Source position: lmessages.pp line 227

const LM_CUT = $0300;


LM_DAYCHANGED

Declaration

Source position: lmessages.pp line 75

const LM_DAYCHANGED = LM_LCL + 68;


LM_DEFERREDEDIT

Declaration

Source position: lmessages.pp line 93

const LM_DEFERREDEDIT = LM_LCL + 82;


LM_DELETEITEM

Declaration

Source position: lmessages.pp line 156

const LM_DELETEITEM = $002D;


LM_DESTROY

Declaration

Source position: lmessages.pp line 138

const LM_DESTROY = $0002;


LM_DPICHANGED

Declaration

Source position: lmessages.pp line 226

const LM_DPICHANGED = $02E0;


LM_DRAGSTART

Declaration

Source position: lmessages.pp line 71

const LM_DRAGSTART = LM_LCL + 63;


LM_DRAWITEM

Declaration

Source position: lmessages.pp line 154

const LM_DRAWITEM = $002B;


LM_DRAWLISTITEM

Declaration

Source position: lmessages.pp line 92

const LM_DRAWLISTITEM = LM_LCL + 81;


LM_DROPFILES

Declaration

Source position: lmessages.pp line 223

const LM_DROPFILES = $0233;


LM_ENABLE

Declaration

Source position: lmessages.pp line 145

const LM_ENABLE = $000A;


LM_ENTER

Declaration

Source position: lmessages.pp line 57

const LM_ENTER = LM_LCL + 11;


LM_ERASEBKGND

Declaration

Source position: lmessages.pp line 148

const LM_ERASEBKGND = $0014;


LM_EXIT

Declaration

Source position: lmessages.pp line 69

const LM_EXIT = LM_LCL + 60;


LM_FOCUS

Declaration

Source position: lmessages.pp line 54

const LM_FOCUS = LM_LCL + 06;


LM_GETDLGCODE

Declaration

Source position: lmessages.pp line 173

const LM_GETDLGCODE = $0087;


LM_GETTEXTLENGTH

Declaration

Source position: lmessages.pp line 146

const LM_GETTEXTLENGTH = $000E;


LM_GRABFOCUS

Declaration

Source position: lmessages.pp line 91

const LM_GRABFOCUS = LM_LCL + 80;


LM_HELP

Declaration

Source position: lmessages.pp line 165

const LM_HELP = $0053;


LM_HSCROLL

Declaration

Source position: lmessages.pp line 193

const LM_HSCROLL = $0114;


LM_INTERFACEFIRST

Declaration

Source position: lmessages.pp line 96

const LM_INTERFACEFIRST = LM_LCL + 99;


LM_INTERFACELAST

Declaration

Source position: lmessages.pp line 97

const LM_INTERFACELAST = LM_LCL + 199;


LM_KEYDOWN

Declaration

Source position: lmessages.pp line 180

const LM_KEYDOWN = $0100;


LM_KEYFIRST

Declaration

Source position: lmessages.pp line 179

const LM_KEYFIRST = $0100;


LM_KEYLAST

Declaration

Source position: lmessages.pp line 188

const LM_KEYLAST = $0108;


LM_KEYUP

Declaration

Source position: lmessages.pp line 181

const LM_KEYUP = $0101;


LM_KILLCHAR

Declaration

Source position: lmessages.pp line 65

const LM_KILLCHAR = LM_LCL + 23;


LM_KILLFOCUS

Declaration

Source position: lmessages.pp line 144

const LM_KILLFOCUS = $0008;


LM_KILLLINE

Declaration

Source position: lmessages.pp line 67

const LM_KILLLINE = LM_LCL + 25;


LM_KILLWORD

Declaration

Source position: lmessages.pp line 66

const LM_KILLWORD = LM_LCL + 24;


LM_LBUTTONDBLCLK

Declaration

Source position: lmessages.pp line 207

const LM_LBUTTONDBLCLK = $0203;


LM_LBUTTONDOWN

Declaration

Source position: lmessages.pp line 205

const LM_LBUTTONDOWN = $0201;


LM_LBUTTONQUADCLK

Declaration

Source position: lmessages.pp line 79

const LM_LBUTTONQUADCLK = LM_MOUSEFIRST2 + 1;


LM_LBUTTONTRIPLECLK

Declaration

Source position: lmessages.pp line 78

const LM_LBUTTONTRIPLECLK = LM_MOUSEFIRST2 + 0;


LM_LBUTTONUP

Declaration

Source position: lmessages.pp line 206

const LM_LBUTTONUP = $0202;


LM_LCL

Declaration

Source position: lmessages.pp line 50

const LM_LCL = LM_USER + $10000;


LM_LEAVE

Declaration

Source position: lmessages.pp line 58

const LM_LEAVE = LM_LCL + 12;


LM_MBUTTONDBLCLK

Declaration

Source position: lmessages.pp line 213

const LM_MBUTTONDBLCLK = $0209;


LM_MBUTTONDOWN

Declaration

Source position: lmessages.pp line 211

const LM_MBUTTONDOWN = $0207;


LM_MBUTTONQUADCLK

Declaration

Source position: lmessages.pp line 81

const LM_MBUTTONQUADCLK = LM_MOUSEFIRST2 + 3;


LM_MBUTTONTRIPLECLK

Declaration

Source position: lmessages.pp line 80

const LM_MBUTTONTRIPLECLK = LM_MOUSEFIRST2 + 2;


LM_MBUTTONUP

Declaration

Source position: lmessages.pp line 212

const LM_MBUTTONUP = $0208;


LM_MEASUREITEM

Declaration

Source position: lmessages.pp line 155

const LM_MEASUREITEM = $002C;


LM_MONTHCHANGED

Declaration

Source position: lmessages.pp line 73

const LM_MONTHCHANGED = LM_LCL + 66;


LM_MOUSEENTER

Declaration

Source position: lmessages.pp line 84

const LM_MOUSEENTER = LM_MOUSEFIRST2 + 6;


LM_MOUSEFIRST

Declaration

Source position: lmessages.pp line 203

const LM_MOUSEFIRST = $0200;


LM_MOUSEFIRST2

Declaration

Source position: lmessages.pp line 77

const LM_MOUSEFIRST2 = LM_LCL + 70;


LM_MOUSEHWHEEL

Declaration

Source position: lmessages.pp line 218

const LM_MOUSEHWHEEL = $020E;


LM_MOUSELAST

Declaration

Source position: lmessages.pp line 219

const LM_MOUSELAST = $020E;


LM_MOUSELAST2

Declaration

Source position: lmessages.pp line 88

const LM_MOUSELAST2 = LM_XBUTTONQUADCLK;


LM_MOUSELEAVE

Declaration

Source position: lmessages.pp line 85

const LM_MOUSELEAVE = LM_MOUSEFIRST2 + 7;


LM_MOUSEMOVE

Declaration

Source position: lmessages.pp line 204

const LM_MOUSEMOVE = $0200;


LM_MOUSEWHEEL

Declaration

Source position: lmessages.pp line 214

const LM_MOUSEWHEEL = $020A;


LM_MOVE

Declaration

Source position: lmessages.pp line 139

const LM_MOVE = $0003;


LM_MOVEPAGE

Declaration

Source position: lmessages.pp line 62

const LM_MOVEPAGE = LM_LCL + 20;


LM_MOVETOCOLUMN

Declaration

Source position: lmessages.pp line 64

const LM_MOVETOCOLUMN = LM_LCL + 22;


LM_MOVETOROW

Declaration

Source position: lmessages.pp line 63

const LM_MOVETOROW = LM_LCL + 21;


LM_MOVEWORD

Declaration

Source position: lmessages.pp line 61

const LM_MOVEWORD = LM_LCL + 19;


LM_NCACTIVATE

Declaration

Source position: lmessages.pp line 172

const LM_NCACTIVATE = $0086;


LM_NCCALCSIZE

Declaration

Source position: lmessages.pp line 169

const LM_NCCALCSIZE = $0083;


LM_NCHITTEST

Declaration

Source position: lmessages.pp line 170

const LM_NCHITTEST = $0084;


LM_NCLBUTTONDBLCLK

Declaration

Source position: lmessages.pp line 177

const LM_NCLBUTTONDBLCLK = $00A3;


LM_NCLBUTTONDOWN

Declaration

Source position: lmessages.pp line 175

const LM_NCLBUTTONDOWN = $00A1;


LM_NCLBUTTONUP

Declaration

Source position: lmessages.pp line 176

const LM_NCLBUTTONUP = $00A2;


LM_NCMOUSEMOVE

Declaration

Source position: lmessages.pp line 174

const LM_NCMOUSEMOVE = $00A0;


LM_NCPAINT

Declaration

Source position: lmessages.pp line 171

const LM_NCPAINT = $0085;


LM_NOTIFY

Declaration

Source position: lmessages.pp line 164

const LM_NOTIFY = $004E;


LM_NOTIFYFORMAT

Declaration

Source position: lmessages.pp line 166

const LM_NOTIFYFORMAT = $0055;


LM_NULL

Declaration

Source position: lmessages.pp line 136

const LM_NULL = $0000;


LM_PAINT

Declaration

Source position: lmessages.pp line 147

const LM_PAINT = $000F;


LM_PARENTNOTIFY

Declaration

Source position: lmessages.pp line 221

const LM_PARENTNOTIFY = $0210;


LM_PASTE

Declaration

Source position: lmessages.pp line 229

const LM_PASTE = $0302;


LM_QUIT

Declaration

Source position: lmessages.pp line 72

const LM_QUIT = LM_LCL + 65;


LM_RBUTTONDBLCLK

Declaration

Source position: lmessages.pp line 210

const LM_RBUTTONDBLCLK = $0206;


LM_RBUTTONDOWN

Declaration

Source position: lmessages.pp line 208

const LM_RBUTTONDOWN = $0204;


LM_RBUTTONQUADCLK

Declaration

Source position: lmessages.pp line 83

const LM_RBUTTONQUADCLK = LM_MOUSEFIRST2 + 5;


LM_RBUTTONTRIPLECLK

Declaration

Source position: lmessages.pp line 82

const LM_RBUTTONTRIPLECLK = LM_MOUSEFIRST2 + 4;


LM_RBUTTONUP

Declaration

Source position: lmessages.pp line 209

const LM_RBUTTONUP = $0205;


LM_RELEASED

Declaration

Source position: lmessages.pp line 56

const LM_RELEASED = LM_LCL + 09;


LM_SELCHANGE

Declaration

Source position: lmessages.pp line 225

const LM_SELCHANGE = $0234;


LM_SETCURSOR

Declaration

Source position: lmessages.pp line 153

const LM_SETCURSOR = $0020;


LM_SETEDITABLE

Declaration

Source position: lmessages.pp line 60

const LM_SETEDITABLE = LM_LCL + 18;


LM_SETFOCUS

Declaration

Source position: lmessages.pp line 143

const LM_SETFOCUS = $0007;


LM_SETFONT

Declaration

Source position: lmessages.pp line 159

const LM_SETFONT = $0030;


LM_SHOWWINDOW

Declaration

Source position: lmessages.pp line 150

const LM_SHOWWINDOW = $0018;


LM_SIZE

Declaration

Source position: lmessages.pp line 141

const LM_SIZE = $0005;


LM_SYSCHAR

Declaration

Source position: lmessages.pp line 186

const LM_SYSCHAR = $0106;


LM_SYSCOMMAND

Declaration

Source position: lmessages.pp line 191

const LM_SYSCOMMAND = $0112;


LM_SYSKEYDOWN

Declaration

Source position: lmessages.pp line 184

const LM_SYSKEYDOWN = $0104;


LM_SYSKEYUP

Declaration

Source position: lmessages.pp line 185

const LM_SYSKEYUP = $0105;


LM_TIMER

Declaration

Source position: lmessages.pp line 192

const LM_TIMER = $0113;


LM_UNKNOWN

Declaration

Source position: lmessages.pp line 99

const LM_UNKNOWN = LM_INTERFACELAST + 1;


LM_USER

Declaration

Source position: lmessages.pp line 46

const LM_USER = $400;


LM_VKEYTOITEM

Declaration

Source position: lmessages.pp line 157

const LM_VKEYTOITEM = $002E;


LM_VSCROLL

Declaration

Source position: lmessages.pp line 194

const LM_VSCROLL = $0115;


LM_WINDOWPOSCHANGED

Declaration

Source position: lmessages.pp line 163

const LM_WINDOWPOSCHANGED = $0047;


LM_WINDOWPOSCHANGING

Declaration

Source position: lmessages.pp line 162

const LM_WINDOWPOSCHANGING = $0046;


LM_XBUTTONDBLCLK

Declaration

Source position: lmessages.pp line 217

const LM_XBUTTONDBLCLK = $020D;


LM_XBUTTONDOWN

Declaration

Source position: lmessages.pp line 215

const LM_XBUTTONDOWN = $020B;


LM_XBUTTONQUADCLK

Declaration

Source position: lmessages.pp line 87

const LM_XBUTTONQUADCLK = LM_MOUSEFIRST2 + 9;


LM_XBUTTONTRIPLECLK

Declaration

Source position: lmessages.pp line 86

const LM_XBUTTONTRIPLECLK = LM_MOUSEFIRST2 + 8;


LM_XBUTTONUP

Declaration

Source position: lmessages.pp line 216

const LM_XBUTTONUP = $020C;


LM_YEARCHANGED

Declaration

Source position: lmessages.pp line 74

const LM_YEARCHANGED = LM_LCL + 67;


ncCalcSizeParams

Declaration

Source position: lmessages.pp line 509

type ncCalcSizeParams = tagNCCalcSize_Params;


PLMessage

Declaration

Source position: lmessages.pp line 690

type PLMessage = ^TLMessage;


PLMMouseEvent

Declaration

Source position: lmessages.pp line 605

type PLMMouseEvent = ^TLMMouseEvent;


PNCCalcSizeParams

Declaration

Source position: lmessages.pp line 503

type PNCCalcSizeParams = ^TNCCalcSizeParams;


PWindowPos

Declaration

Source position: lmessages.pp line 476

type PWindowPos = ^TWindowPos;


SC_ARRANGE

Declaration

Source position: lmessages.pp line 121

const SC_ARRANGE = 61712;


SC_CLOSE

Declaration

Source position: lmessages.pp line 116

const SC_CLOSE = 61536;


SC_CONTEXTHELP

Declaration

Source position: lmessages.pp line 128

const SC_CONTEXTHELP = 61824;


SC_DEFAULT

Declaration

Source position: lmessages.pp line 126

const SC_DEFAULT = 61792;


SC_HOTKEY

Declaration

Source position: lmessages.pp line 125

const SC_HOTKEY = 61776;


SC_HSCROLL

Declaration

Source position: lmessages.pp line 118

const SC_HSCROLL = 61568;


SC_KEYMENU

Declaration

Source position: lmessages.pp line 120

const SC_KEYMENU = 61696;


SC_MAXIMIZE

Declaration

Source position: lmessages.pp line 113

const SC_MAXIMIZE = 61488;


SC_MINIMIZE

Declaration

Source position: lmessages.pp line 112

const SC_MINIMIZE = 61472;


SC_MONITORPOWER

Declaration

Source position: lmessages.pp line 127

const SC_MONITORPOWER = 61808;


SC_MOUSEMENU

Declaration

Source position: lmessages.pp line 119

const SC_MOUSEMENU = 61584;


SC_MOVE

Declaration

Source position: lmessages.pp line 111

const SC_MOVE = 61456;


SC_NEXTWINDOW

Declaration

Source position: lmessages.pp line 114

const SC_NEXTWINDOW = 61504;


SC_PREVWINDOW

Declaration

Source position: lmessages.pp line 115

const SC_PREVWINDOW = 61520;


SC_RESTORE

Declaration

Source position: lmessages.pp line 122

const SC_RESTORE = 61728;


SC_SCREENSAVE

Declaration

Source position: lmessages.pp line 124

const SC_SCREENSAVE = 61760;


SC_SEPARATOR

Declaration

Source position: lmessages.pp line 129

const SC_SEPARATOR = 61455;


SC_SIZE

Declaration

Source position: lmessages.pp line 110

const SC_SIZE = 61440;


SC_TASKLIST

Declaration

Source position: lmessages.pp line 123

const SC_TASKLIST = 61744;


SC_VSCROLL

Declaration

Source position: lmessages.pp line 117

const SC_VSCROLL = 61552;


tagNCCalcSize_Params

Declaration

Source position: lmessages.pp line 504

type tagNCCalcSize_Params = record

  rgrc: array [0..2] of TRect;

  lpPos: PWindowPos;

end;


tagWINDOWPOS

Declaration

Source position: lmessages.pp line 477

type tagWINDOWPOS = record

  hwnd: THandle;

  hwndInsertAfter: THandle;

  x: Integer;

  y: Integer;

  cx: Integer;

  cy: Integer;

  flags: Cardinal;

end;


TCMWantSpecialKey

Declaration

Source position: lmessages.pp line 333

type TCMWantSpecialKey = TLMKey;


TLastMouseInfo

Declaration

Source position: lmessages.pp line 652

type TLastMouseInfo = record

  WinHandle: THandle;

  WinControl: TObject;

  MousePos: TPoint;

  Time: QWord;

  ClickCount: Integer;

  Button: Byte;

  Down: Boolean;

end;


TLMActivate

Declaration

Source position: lmessages.pp line 414

type TLMActivate = record

  Msg: Cardinal;

  UnusedMsg: Cardinal;

  Minimized: WordBool;

  Active: Word;

  Unused: LongInt;

  ActiveWindow: HWND;

  Result: LRESULT;

end;


TLMChar

Declaration

Source position: lmessages.pp line 327

type TLMChar = TLMKey;


TLMCommand

Declaration

Source position: lmessages.pp line 800

type TLMCommand = record

  Msg: Cardinal;

  UnusedMsg: Cardinal;

  NotifyCode: Word;

  ItemID: Word;

  Unused: LongInt;

  Ctl: HWND;

  Result: LRESULT;

end;


TLMContextMenu

Declaration

Source position: lmessages.pp line 819

type TLMContextMenu = record

  Msg: Cardinal;

  UnusedMsg: Cardinal;

  hWnd: HWND;

  case Integer of

    0: (

        XPos: SmallInt;

        YPos: SmallInt;

      );

    1: (

        Pos: TSmallPoint;

      );

    2: (

        Dummy: LPARAM;

        Result: LRESULT;

      );

end;


TLMCopy

Declaration

Source position: lmessages.pp line 353

type TLMCopy = TLMNoParams;


TLMCut

Declaration

Source position: lmessages.pp line 352

type TLMCut = TLMNoParams;


TLMDestroy

Declaration

Source position: lmessages.pp line 798

type TLMDestroy = TLMNoParams;


TLMDrawItems

Declaration

Source position: lmessages.pp line 241

type TLMDrawItems = record

  Msg: Cardinal;

  UnusedMsg: Cardinal;

  Ctl: HWND;

  DrawItemStruct: PDrawItemStruct;

  Result: LRESULT;

end;


TLMDrawListItem

Declaration

Source position: lmessages.pp line 251

type TLMDrawListItem = record

  Msg: Cardinal;

  UnusedMsg: Cardinal;

  Unused: PtrInt;

  DrawListItemStruct: PDrawListItemStruct;

  Result: LRESULT;

end;


TLMEnter

Declaration

Source position: lmessages.pp line 726

type TLMEnter = TLMNoParams;


TLMEraseBkgnd

Declaration

Source position: lmessages.pp line 286

type TLMEraseBkgnd = record

  Msg: Cardinal;

  UnusedMsg: Cardinal;

  DC: HDC;

  Unused: PtrInt;

  Result: LRESULT;

end;


TLMessage

Declaration

Source position: lmessages.pp line 692

type TLMessage = record

  Msg: Cardinal;

  UnusedMsg: Cardinal;

  case Integer of

    0: (

        WParam: LclType.WPARAM;

        LParam: LclType.LPARAM;

        Result: LclType.LRESULT;

      );

end;


TLMExit

Declaration

Source position: lmessages.pp line 727

type TLMExit = TLMNoParams;


TLMGetDlgCode

Declaration

Source position: lmessages.pp line 335

type TLMGetDlgCode = record

  Msg: Cardinal;

  UnusedMsg: Cardinal;

  Unused: Word;

  CharCode: Word;

  UnusedL: LPARAM;

  Result: LRESULT;

end;


TLMGetText

Declaration

Source position: lmessages.pp line 296

type TLMGetText = record

  Msg: Cardinal;

  UnusedMsg: Cardinal;

  TextMax: PtrInt;

  Text: PChar;

  Result: LRESULT;

end;


TLMGetTextLength

Declaration

Source position: lmessages.pp line 306

type TLMGetTextLength = TLMNoParams;


TLMHelp

Declaration

Source position: lmessages.pp line 838

type TLMHelp = record

  Msg: Cardinal;

  UnusedMsg: Cardinal;

  Unused: LCLType.WPARAM;

  HelpInfo: PHelpInfo;

  Result: LRESULT;

end;


TLMHScroll

Declaration

Source position: lmessages.pp line 755

type TLMHScroll = TLMScroll;


TLMKey

Declaration

Source position: lmessages.pp line 308

type TLMKey = record

  Msg: Cardinal;

  UnusedMsg: Cardinal;

  Unused: Word;

  CharCode: Word;

  Unused2: LongInt;

  KeyData: PtrInt;

  Result: LRESULT;

end;


TLMKeyDown

Declaration

Source position: lmessages.pp line 328

type TLMKeyDown = TLMKey;


TLMKeyUp

Declaration

Source position: lmessages.pp line 329

type TLMKeyUp = TLMKey;


TLMKILLFOCUS

Declaration

Source position: lmessages.pp line 776

type TLMKILLFOCUS = TLMSetFocus;


TLMLButtonDblClk

Declaration

Source position: lmessages.pp line 635

type TLMLButtonDblClk = TLMMouse;


TLMLButtonDown

Declaration

Source position: lmessages.pp line 631

type TLMLButtonDown = TLMMouse;


TLMLButtonQuadClk

Declaration

Source position: lmessages.pp line 643

type TLMLButtonQuadClk = TLMMouse;


TLMLButtonTripleClk

Declaration

Source position: lmessages.pp line 639

type TLMLButtonTripleClk = TLMMouse;


TLMLButtonUp

Declaration

Source position: lmessages.pp line 647

type TLMLButtonUp = TLMMouse;


TLMMButtonDblClk

Declaration

Source position: lmessages.pp line 637

type TLMMButtonDblClk = TLMMouse;


TLMMButtonDown

Declaration

Source position: lmessages.pp line 633

type TLMMButtonDown = TLMMouse;


TLMMButtonQuadClk

Declaration

Source position: lmessages.pp line 645

type TLMMButtonQuadClk = TLMMouse;


TLMMButtonTripleClk

Declaration

Source position: lmessages.pp line 641

type TLMMButtonTripleClk = TLMMouse;


TLMMButtonUp

Declaration

Source position: lmessages.pp line 649

type TLMMButtonUp = TLMMouse;


TLMMeasureItem

Declaration

Source position: lmessages.pp line 262

type TLMMeasureItem = record

  Msg: Cardinal;

  UnusedMsg: Cardinal;

  idCtl: PtrUint;

  MeasureItemStruct: PMeasureItemStruct;

  Result: LRESULT;

end;


TLMMouse

Declaration

Source position: lmessages.pp line 373

type TLMMouse = record

  Msg: Cardinal;

  Keys: PtrInt;

  case Integer of

    0: (

        XPos: SmallInt;

        YPos: SmallInt;

      );

    1: (

        Pos: TSmallPoint;

      );

    2: (

        Dummy: LPARAM;

        Result: LRESULT;

      );

end;


TLMMouseEvent

Declaration

Source position: lmessages.pp line 606

type TLMMouseEvent = record

  Msg: Cardinal;

  UnusedMsg: Cardinal;

  WheelDelta: SmallInt;

  Button: Word;

  Unused1: LongInt;

  X: SmallInt;

  Y: SmallInt;

  Unused2: LongInt;

  Result: LRESULT;

  UserData: pointer;

  State: TShiftState;

end;


TLMMouseMove

Declaration

Source position: lmessages.pp line 387

type TLMMouseMove = TLMMouse;


TLMMove

Declaration

Source position: lmessages.pp line 389

type TLMMove = record

  Msg: Cardinal;

  UnusedMsg: Cardinal;

  MoveType: PtrInt;

  case Integer of

    0: (

        XPos: SmallInt;

        YPos: SmallInt;

      );

    1: (

        Pos: TSmallPoint;

      );

    2: (

        Dummy: LPARAM;

        Result: LRESULT;

      );

end;


TLMNCActivate

Declaration

Source position: lmessages.pp line 433

type TLMNCActivate = record

  Msg: Cardinal;

  UnusedMsg: Cardinal;

  Active: LongBool;

  Unused2: LongInt;

  Unused: LPARAM;

  Result: LRESULT;

end;


TLMNCCalcSize

Declaration

Source position: lmessages.pp line 512

type TLMNCCalcSize = record

  Msg: Cardinal;

  UnusedMsg: Cardinal;

  CalcValidRects: LongBool;

  Unused: LongInt;

  CalcSize_Params: PNCCalcSizeParams;

  Result: LRESULT;

end;


TLMNCHITTEST

Declaration

Source position: lmessages.pp line 781

type TLMNCHITTEST = record

  Msg: Cardinal;

  UnusedMsg: Cardinal;

  Unused: WPARAM;

  case Integer of

    0: (

        XPos: SmallInt;

        YPos: SmallInt;

      );

    1: (

        Pos: TSmallPoint;

      );

    2: (

        Dummy: LPARAM;

        Result: LRESULT;

      );

end;


TLMNoParams

Declaration

Source position: lmessages.pp line 274

type TLMNoParams = record

  Msg: Cardinal;

  UnusedMsg: Cardinal;

  Unused: array [0..1] of PtrInt;

  Result: LRESULT;

end;


TLMNotify

Declaration

Source position: lmessages.pp line 446

type TLMNotify = record

  Msg: Cardinal;

  UnusedMsg: Cardinal;

  IDCtrl: PtrInt;

  NMHdr: PNMHdr;

  Result: LRESULT;

end;


TLMNotifyFormat

Declaration

Source position: lmessages.pp line 456

type TLMNotifyFormat = record

  Msg: Cardinal;

  UnusedMsg: Cardinal;

  From: HWND;

  Command: LPARAM;

  Result: LRESULT;

end;


TLMPaint

Declaration

Source position: lmessages.pp line 466

type TLMPaint = record

  Msg: Cardinal;

  UnusedMsg: Cardinal;

  DC: HDC;

  PaintStruct: PPaintStruct;

  Result: LRESULT;

end;


TLMPaste

Declaration

Source position: lmessages.pp line 354

type TLMPaste = TLMNoParams;


TLMRButtonDblClk

Declaration

Source position: lmessages.pp line 636

type TLMRButtonDblClk = TLMMouse;


TLMRButtonDown

Declaration

Source position: lmessages.pp line 632

type TLMRButtonDown = TLMMouse;


TLMRButtonQuadClk

Declaration

Source position: lmessages.pp line 644

type TLMRButtonQuadClk = TLMMouse;


TLMRButtonTripleClk

Declaration

Source position: lmessages.pp line 640

type TLMRButtonTripleClk = TLMMouse;


TLMRButtonUp

Declaration

Source position: lmessages.pp line 648

type TLMRButtonUp = TLMMouse;


TLMScroll

Declaration

Source position: lmessages.pp line 735

type TLMScroll = record

  Msg: Cardinal;

  UnusedMsg: Cardinal;

  SmallPos: SmallInt;

  ScrollCode: SmallInt;

  Unused: LongInt;

  ScrollBar: HWND;

  Result: LRESULT;

  Pos: LongInt;

end;


TLMSetCursor

Declaration

Source position: lmessages.pp line 356

type TLMSetCursor = record

  Msg: Cardinal;

  UnusedMsg: Cardinal;

  CursorWnd: HWND;

  case Boolean of

    False: (

        HitTest: SmallInt;

        MouseMsg: Word;

      );

    True: (

        Dummy: LPARAM;

        Result: LRESULT;

      );

end;


TLMSetFocus

Declaration

Source position: lmessages.pp line 662

type TLMSetFocus = record

  Msg: Cardinal;

  UnusedMsg: Cardinal;

  FocusedWnd: HWND;

  Unused: LPARAM;

  Result: LRESULT;

end;


TLMSetText

Declaration

Source position: lmessages.pp line 592

type TLMSetText = record

  Msg: Cardinal;

  UnusedMsg: Cardinal;

  Unused: WPARAM;

  Text: PChar;

  Result: LRESULT;

end;


TLMShowWindow

Declaration

Source position: lmessages.pp line 759

type TLMShowWindow = record

  Msg: Cardinal;

  UnusedMsg: Cardinal;

  Show: LongBool;

  Unused: LongInt;

  Status: LPARAM;

  Result: LRESULT;

end;


TLMSize

Declaration

Source position: lmessages.pp line 673

type TLMSize = record

  Msg: Cardinal;

  UnusedMsg: Cardinal;

  SizeType: PtrInt;

  Width: Word;

  Height: Word;

  Unused: LongInt;

  Result: LRESULT;

end;


TLMSysChar

Declaration

Source position: lmessages.pp line 330

type TLMSysChar = TLMKey;


TLMSysColorChange

Declaration

Source position: lmessages.pp line 525

type TLMSysColorChange = TLMNoParams;


TLMSysCommand

Declaration

Source position: lmessages.pp line 527

type TLMSysCommand = record

  Msg: Cardinal;

  UnusedMsg: Cardinal;

  case CmdType: PtrInt of

    SC_HOTKEY: (

        ActivateWnd: HWND;

        Result: LRESULT;

      );

    SC_KEYMENU: (

        Unused: Word;

        Key: Word;

      );

    SC_CLOSE, SC_HSCROLL, SC_MAXIMIZE, SC_MINIMIZE, SC_MOUSEMENU, SC_MOVE, SC_NEXTWINDOW, SC_PREVWINDOW, SC_RESTORE, SC_SCREENSAVE, SC_SIZE, SC_TASKLIST, SC_VSCROLL: (

        XPos: SmallInt;

        YPos: SmallInt;

      );

end;


TLMSysDeadChar

Declaration

Source position: lmessages.pp line 550

type TLMSysDeadChar = record

  Msg: Cardinal;

  UnusedMsg: Cardinal;

  Unused: Word;

  CharCode: Word;

  Unused2: LongInt;

  KeyData: LPARAM;

  Result: LRESULT;

end;


TLMSysKeyDown

Declaration

Source position: lmessages.pp line 331

type TLMSysKeyDown = TLMKey;


TLMSysKeyUp

Declaration

Source position: lmessages.pp line 332

type TLMSysKeyUp = TLMKey;


TLMSystemError

Declaration

Source position: lmessages.pp line 570

type TLMSystemError = record

  Msg: Cardinal;

  UnusedMsg: Cardinal;

  Unused1: Word;

  ErrSpec: Word;

  Unused2: LongInt;

  Unused: LPARAM;

  Result: LRESULT;

end;


TLMTimeChange

Declaration

Source position: lmessages.pp line 589

type TLMTimeChange = TLMNoParams;


TLMVScroll

Declaration

Source position: lmessages.pp line 756

type TLMVScroll = TLMScroll;


TLMWindowPosChanged

Declaration

Source position: lmessages.pp line 499

type TLMWindowPosChanged = TLMWindowPosMsg;


TLMWindowPosChanging

Declaration

Source position: lmessages.pp line 500

type TLMWindowPosChanging = TLMWindowPosMsg;


TLMWindowPosMsg

Declaration

Source position: lmessages.pp line 489

type TLMWindowPosMsg = record

  Msg: Cardinal;

  UnusedMsg: Cardinal;

  Unused: WPARAM;

  WindowPos: PWindowPos;

  Result: LPARAM;

end;


TLMXButtonDblClk

Declaration

Source position: lmessages.pp line 638

type TLMXButtonDblClk = TLMMouse;


TLMXButtonDown

Declaration

Source position: lmessages.pp line 634

type TLMXButtonDown = TLMMouse;


TLMXButtonQuadClk

Declaration

Source position: lmessages.pp line 646

type TLMXButtonQuadClk = TLMMouse;


TLMXButtonTripleClk

Declaration

Source position: lmessages.pp line 642

type TLMXButtonTripleClk = TLMMouse;


TLMXButtonUp

Declaration

Source position: lmessages.pp line 650

type TLMXButtonUp = TLMMouse;


TNCCalcSizeParams

Declaration

Source position: lmessages.pp line 508

type TNCCalcSizeParams = tagNCCalcSize_Params;


TWindowPos

Declaration

Source position: lmessages.pp line 486

type TWindowPos = tagWINDOWPOS;


WA_ACTIVE

Declaration

Source position: lmessages.pp line 410

const WA_ACTIVE = 1;


WA_CLICKACTIVE

Declaration

Source position: lmessages.pp line 411

const WA_CLICKACTIVE = 2;


WA_INACTIVE

Declaration

Source position: lmessages.pp line 409

const WA_INACTIVE = 0;


WINDOWPOS

Declaration

Source position: lmessages.pp line 487

type WINDOWPOS = tagWINDOWPOS;


WM_USER

Declaration

Source position: lmessages.pp line 47

const WM_USER = LM_USER;


Reference for unit 'LResources'

This unit maintains and stores all standard Lazarus resources in the global LazarusResources list and provides methods and types for component streaming.

uses
System,
Classes,
sysutils,
Types,
RtlConsts,
typinfo,
variants,
LCLProc, | Useful lower level helper functions and classes
LCLStrConsts, | This unit contains all resource strings of the LCL
LazConfigStorage,
FPCAdds,
DynQueue,
LazUTF8,
LazUTF8Classes,
LazLoggerBase;

Overview

A Lazarus resource is streamed as an UTF-8 string, with a name, value and valuetype.

Lazarus resources are normally included via an include directive in the initialization part of a unit. To create such include files use the BinaryToLazarusResourceCode procedure.

To create an LRS file from an LFM file use the LFMtoLRSfile function which transforms the LFM text to binary format and stores it as Lazarus resource include file.


Reference for unit 'LResources': Constants

LRSComment | Text of the "automatically generated..." warning in resource files.
ObjStreamMaskChildPos |
ObjStreamMaskInherited |
ObjStreamMaskInline |


Reference for unit 'LResources': Types

PLRPositionLink
PLRSORStackItem
PLRSOWStackItem
PRemovedProperty
TFilerSignature |
TLRPositionLink |
TLRSItemType | Stack item type for the nested resource reader/writer.
TLRSObjectReaderClass
TLRSObjectWriterClass
TLRSORStackItem | Stack item for the nested resource reader.
TLRSOWStackItem | Stack item for the nested resource writer.
TLRSOWStackItemState | Tracking what already has been stored or written.
TLRSStreamOriginalFormat |
TPropertyToSkip | Item of TPropertiesToSkip


Reference for unit 'LResources': Classes

TAbstractTranslator | Abstract base class for translators
TCustomLazComponentQueue | A queue to stream components, used for multithreading or network.
TLazarusResourceStream | Helper class for streaming resources (read only).
TLazComponentQueue |
TLResource | The Lazarus resource descriptor class.
TLResourceList | The container class for all Lazarus resources.
TLRPositionLinks |
TLRSObjectReader | Reader for resource streams.
TLRSObjectWriter | Object writer for Lazarus Resource Streams.
TPropertiesToSkip |
TUTF8Parser | Parser for identifiers, and string and number literals.


Reference for unit 'LResources': Procedures and functions

BinaryToLazarusResourceCode |
CompareComponents |
CompareLRPositionLinkWithLFMPosition |
CompareLRPositionLinkWithLRSPosition |
CompareMemStreams |
ConvertEndianBigDoubleToLRSExtended |
ConvertLEDoubleToLRSExtended |
ConvertLRSExtendedToDouble |
CreateLFMFile |
CreateLRSReader |
CreateLRSWriter |
DefineRectProperty |
FindLFMClassName |
FindResourceLFM
FloatToLFMStr |
FormDataToText |
GetClassNameFromLRSStream |
GetComponentInfoFromLRSStream |
InitLazResourceComponent |
InitResourceComponent |
LFMtoLRSfile |
LFMtoLRSstream |
LoadComponentFromConfig |
LRSObjectBinaryToText |
LRSObjectResourceToText |
LRSObjectResToText |
LRSObjectTextToBinary |
LRSObjectToText |
ReadComponentFromBinaryStream |
ReadComponentFromTextStream |
ReadLFMHeader |
ReadLFMHeaderFromFile |
ReadLRSByte |
ReadLRSCardinal |
ReadLRSCurrency |
ReadLRSDouble |
ReadLRSEndianLittleExtendedAsDouble |
ReadLRSExtended |
ReadLRSInt64 |
ReadLRSInt64MB |
ReadLRSInteger |
ReadLRSShortInt |
ReadLRSSingle |
ReadLRSSmallInt |
ReadLRSValueType |
ReadLRSWideString |
ReadLRSWord |
Register | Registers the component TLazComponentQueue.
RegisterPropertyToSkip |
ReverseByteOrderInWords |
ReverseBytes |
SaveComponentToConfig |
TestFormStreamFormat |
WriteComponentAsBinaryToStream |
WriteComponentAsTextToStream |
WriteLRS10BytesReversed |
WriteLRS4BytesReversed |
WriteLRS8BytesReversed |
WriteLRSCardinal |
WriteLRSCurrency |
WriteLRSDouble |
WriteLRSDoubleAsExtended |
WriteLRSEndianBigDoubleAsEndianLittleExtended |
WriteLRSExtended |
WriteLRSInt64 |
WriteLRSInt64MB | Writes an integer value, using the smallest possible representation.
WriteLRSInteger |
WriteLRSNull |
WriteLRSReversedWord |
WriteLRSReversedWords |
WriteLRSSingle |
WriteLRSSmallInt |
WriteLRSWideStringContent |
WriteLRSWord |


Reference for unit 'LResources': Variables

LazarusResources | The list of all loaded standard resources.
LRSObjectReaderClass |
LRSObjectWriterClass |
LRSTranslator | The default translator instance to use in CreateLRSReader.
PropertiesToSkip |


Index of all identifiers in unit 'LResources'

B C D F G I L O P R S T W

B

BinaryToLazarusResourceCode

C

CompareComponents | ConvertEndianBigDoubleToLRSExtended | CreateLRSReader
CompareLRPositionLinkWithLFMPosition | ConvertLEDoubleToLRSExtended | CreateLRSWriter
CompareLRPositionLinkWithLRSPosition | ConvertLRSExtendedToDouble |
CompareMemStreams | CreateLFMFile |

D

DefineRectProperty

F

FindLFMClassName | FloatToLFMStr
FindResourceLFM | FormDataToText

G

GetClassNameFromLRSStream GetComponentInfoFromLRSStream

I

InitLazResourceComponent InitResourceComponent

L

LazarusResources | lrsitList | LRSObjectToText
LFMtoLRSfile | lrsitProperty | LRSObjectWriterClass
LFMtoLRSstream | LRSObjectBinaryToText | lrsowsisDataWritten
LoadComponentFromConfig | LRSObjectReaderClass | lrsowsisHeaderWritten
LRSComment | LRSObjectResourceToText | lrsowsisStarted
lrsitCollection | LRSObjectResToText | LRSTranslator
lrsitComponent | LRSObjectTextToBinary |

O

ObjStreamMaskChildPos ObjStreamMaskInherited ObjStreamMaskInline

P

PLRPositionLink | PLRSOWStackItem | PropertiesToSkip
PLRSORStackItem | PRemovedProperty |

R

ReadComponentFromBinaryStream | ReadLRSEndianLittleExtendedAsDouble | ReadLRSValueType
ReadComponentFromTextStream | ReadLRSExtended | ReadLRSWideString
ReadLFMHeader | ReadLRSInt64 | ReadLRSWord
ReadLFMHeaderFromFile | ReadLRSInt64MB | Register
ReadLRSByte | ReadLRSInteger | RegisterPropertyToSkip
ReadLRSCardinal | ReadLRSShortInt | ReverseByteOrderInWords
ReadLRSCurrency | ReadLRSSingle | ReverseBytes
ReadLRSDouble | ReadLRSSmallInt |

S

SaveComponentToConfig | sofText
sofBinary | sofUnknown

T

TAbstractTranslator | TLRPositionLink | TLRSOWStackItem
TCustomLazComponentQueue | TLRPositionLinks | TLRSOWStackItemState
TestFormStreamFormat | TLRSItemType | TLRSStreamOriginalFormat
TFilerSignature | TLRSObjectReader | TPropertiesToSkip
TLazarusResourceStream | TLRSObjectReaderClass | TPropertyToSkip
TLazComponentQueue | TLRSObjectWriter | TUTF8Parser
TLResource | TLRSObjectWriterClass |
TLResourceList | TLRSORStackItem |

W

WriteComponentAsBinaryToStream | WriteLRSDouble | WriteLRSNull
WriteComponentAsTextToStream | WriteLRSDoubleAsExtended | WriteLRSReversedWord
WriteLRS10BytesReversed | WriteLRSEndianBigDoubleAsEndianLittleExtended | WriteLRSReversedWords
WriteLRS4BytesReversed | WriteLRSExtended | WriteLRSSingle
WriteLRS8BytesReversed | WriteLRSInt64 | WriteLRSSmallInt
WriteLRSCardinal | WriteLRSInt64MB | WriteLRSWideStringContent
WriteLRSCurrency | WriteLRSInteger | WriteLRSWord


LazarusResources

The list of all loaded standard resources.

Declaration

Source position: lresources.pp line 471

var LazarusResources: TLResourceList = ;


LRSComment

Text of the "automatically generated..." warning in resource files.

Declaration

Source position: lresources.pp line 46

const LRSComment = 'This is an automatically generated lazarus resource file';


LRSObjectReaderClass

Declaration

Source position: lresources.pp line 474

var LRSObjectReaderClass: TLRSObjectReaderClass = TLRSObjectReader;


LRSObjectWriterClass

Declaration

Source position: lresources.pp line 475

var LRSObjectWriterClass: TLRSObjectWriterClass = TLRSObjectWriter;


LRSTranslator

The default translator instance to use in CreateLRSReader.

Declaration

Source position: lresources.pp line 112

var LRSTranslator: TAbstractTranslator = ;


ObjStreamMaskChildPos

Declaration

Source position: lresources.pp line 467

const ObjStreamMaskChildPos = 2;


ObjStreamMaskInherited

Declaration

Source position: lresources.pp line 466

const ObjStreamMaskInherited = 1;


ObjStreamMaskInline

Declaration

Source position: lresources.pp line 468

const ObjStreamMaskInline = 4;


PLRPositionLink

Declaration

Source position: lresources.pp line 313

type PLRPositionLink = ^TLRPositionLink;


PLRSORStackItem

Declaration

Source position: lresources.pp line 129

type PLRSORStackItem = ^TLRSORStackItem;


PLRSOWStackItem

Declaration

Source position: lresources.pp line 229

type PLRSOWStackItem = ^TLRSOWStackItem;


PRemovedProperty

Declaration

Source position: lresources.pp line 445

type PRemovedProperty = ^TPropertyToSkip;


PropertiesToSkip

Declaration

Source position: lresources.pp line 472

var PropertiesToSkip: TPropertiesToSkip = Nil;


TFilerSignature

Declaration

Source position: lresources.pp line 49

type TFilerSignature = array [1..4] of Char;


TLRPositionLink

Declaration

Source position: lresources.pp line 308

type TLRPositionLink = record

  LFMPosition: Int64;

  LRSPosition: Int64;

  Data: Pointer;

end;


TLRSItemType

Stack item type for the nested resource reader/writer.

Declaration

Source position: lresources.pp line 115

type TLRSItemType = (
lrsitCollection, | A list terminated by an EndList.
lrsitComponent, | A component has two lists: properties and children.
lrsitList, | A list with a known (stored) number of entries.
lrsitProperty |
);


TLRSORStackItem

Stack item for the nested resource reader.

Declaration

Source position: lresources.pp line 122

type TLRSORStackItem = record
Name: string; |
ItemType: TLRSItemType; |
Root: TComponent; |
PushCount: Integer; | The number of contained collections, needing an EndList.
ItemNr: Integer; |
end;


TLRSOWStackItem

Stack item for the nested resource writer.

Declaration

Source position: lresources.pp line 217

type TLRSOWStackItem = record
Name: string; |
ItemType: TLRSItemType; |
Root: TComponent; |
PushCount: Integer; | waiting for this number of Pops
ItemNr: Integer; | Index in a collection or list.
SkipIfEmpty: Boolean; |
State: TLRSOWStackItemState; |
Buffer: Pointer; |
BufCount: PtrInt; |
BufCapacity: PtrInt; |
end;


TLRSOWStackItemState

Tracking what already has been stored or written.

Declaration

Source position: lresources.pp line 211

type TLRSOWStackItemState = (
lrsowsisStarted, | now writing header
lrsowsisHeaderWritten, | header saved on stack, not yet written to stream, waiting for data
lrsowsisDataWritten | header written to stream, data written
);


TLRSStreamOriginalFormat

Declaration

Source position: lresources.pp line 531

type TLRSStreamOriginalFormat = (

  sofUnknown,

  sofBinary,

  sofText

);


TPropertyToSkip

Item of TPropertiesToSkip

Declaration

Source position: lresources.pp line 439

type TPropertyToSkip = record

  PersistentClass: TPersistentClass;

  PropertyName: string;

  Note: string;

  HelpKeyword: string;

end;


cMask_AllChars

Declaration

Source position: maskedit.pp line 70

const cMask_AllChars = 'c';


cMask_AllCharsFixed

Declaration

Source position: maskedit.pp line 71

const cMask_AllCharsFixed = 'C';


cMask_AlphaNum

Declaration

Source position: maskedit.pp line 68

const cMask_AlphaNum = 'a';


cMask_AlphaNumFixed

Declaration

Source position: maskedit.pp line 69

const cMask_AlphaNumFixed = 'A';


cMask_Binary

Declaration

Source position: maskedit.pp line 79

const cMask_Binary = 'b';


cMask_BinaryFixed

Declaration

Source position: maskedit.pp line 80

const cMask_BinaryFixed = 'B';


cMask_DateSeparator

Declaration

Source position: maskedit.pp line 76

const cMask_DateSeparator = '/';


cMask_Hex

Declaration

Source position: maskedit.pp line 77

const cMask_Hex = 'h';


cMask_HexFixed

Declaration

Source position: maskedit.pp line 78

const cMask_HexFixed = 'H';


cMask_HourSeparator

Declaration

Source position: maskedit.pp line 75

const cMask_HourSeparator = ':';


cMask_Letter

Declaration

Source position: maskedit.pp line 66

const cMask_Letter = 'l';


cMask_LetterFixed

Declaration

Source position: maskedit.pp line 67

const cMask_LetterFixed = 'L';


cMask_LowerCase

Declaration

Source position: maskedit.pp line 65

const cMask_LowerCase = '<';


cMask_NoLeadingBlanks

Declaration

Source position: maskedit.pp line 81

const cMask_NoLeadingBlanks = '!';


cMask_Number

Declaration

Source position: maskedit.pp line 72

const cMask_Number = '9';


cMask_NumberFixed

Declaration

Source position: maskedit.pp line 73

const cMask_NumberFixed = '0';


cMask_NumberPlusMin

Declaration

Source position: maskedit.pp line 74

const cMask_NumberPlusMin = '#';


cMask_SpecialChar

Declaration

Source position: maskedit.pp line 63

const cMask_SpecialChar = '\';


cMask_UpperCase

Declaration

Source position: maskedit.pp line 64

const cMask_UpperCase = '>';


DefaultBlank

Declaration

Source position: maskedit.pp line 84

const DefaultBlank: Char = '_';


Reference for unit 'MaskEdit'

Defines classes for Mask Editing, ie editing with a masking string in place to obscure the text being entered

uses
System,
Classes,
sysutils,
LResources, | This unit maintains and stores all standard Lazarus resources in the global LazarusResources list and provides methods and types for component streaming.
Forms, | Contains definitions and descriptions for constructing the Forms which are the basis of the Lazarus Graphical User Interface
Controls, | This unit contains basic classes for visual controls.
Graphics, | Unit contains definitions for many fundamental classes and types used in graphic applications
Dialogs, | Some dialogs commonly used in Lazarus applications. Look at the Procedures as well as the Classes
ExtCtrls, | Some extra controls commonly used in Lazarus forms
StdCtrls, | Several standard controls used in most Lazarus forms
LMessages, |
Clipbrd, | Definitions for the Clipboard to hold Cut or Copied data for Pasting
LCLType, | This unit is being created specifically for compatibility with Delphi. It should only be used for constants and type definitions that are included in the Delphi Windows unit. This is only done for compatibiltiy.
LCLProc, | Useful lower level helper functions and classes
LCLStrConsts, | This unit contains all resource strings of the LCL
LazUtf8;


Reference for unit 'MaskEdit': Constants

cMask_AllChars

cMask_AllCharsFixed

cMask_AlphaNum

cMask_AlphaNumFixed

cMask_Binary

cMask_BinaryFixed

cMask_DateSeparator

cMask_Hex

cMask_HexFixed

cMask_HourSeparator

cMask_Letter

cMask_LetterFixed

cMask_LowerCase

cMask_NoLeadingBlanks

cMask_Number

cMask_NumberFixed

cMask_NumberPlusMin

cMask_SpecialChar

cMask_UpperCase

DefaultBlank

MaskFieldSeparator

MaskNoSave

SInvalidCodePoint


Reference for unit 'MaskEdit': Types

TInternalMask

TMaskeditTrimType

tMaskedType


Reference for unit 'MaskEdit': Classes

EDBEditError | EDBEditError - Exception class for handling an error in a data-aware Edit box
EInvalidCodePoint
EInvalidUtf8
TCustomMaskEdit | TCustomMaskEdit - base class for TMaskEdit, an Edit box with characters masked out to avoid unauthorised reading
TMaskEdit | TMaskEdit - an Edit box with characters masked out to avoid unauthorised reading


Reference for unit 'MaskEdit': Procedures and functions

FormatMaskText

Register

SplitEditMask


Index of all identifiers in unit 'MaskEdit'

C D E F M R S T

C

Char_All | Char_HexFixedDownCase | cMask_AlphaNumFixed
Char_AllDownCase | Char_HexFixedUpCase | cMask_Binary
Char_AllFixed | Char_HexUpCase | cMask_BinaryFixed
Char_AllFixedDownCase | Char_HourSeparator | cMask_DateSeparator
Char_AllFixedUpCase | Char_Letter | cMask_Hex
Char_AllUpCase | Char_LetterDownCase | cMask_HexFixed
Char_AlphaNum | Char_LetterFixed | cMask_HourSeparator
Char_AlphaNumDownCase | Char_LetterFixedDownCase | cMask_Letter
Char_AlphaNumFixed | Char_LetterFixedUpCase | cMask_LetterFixed
Char_AlphaNumFixedDownCase | Char_LetterUpCase | cMask_LowerCase
Char_AlphaNumFixedUpCase | Char_Number | cMask_NoLeadingBlanks
Char_AlphaNumUpCase | Char_NumberFixed | cMask_Number
Char_Binary | Char_NumberPlusMin | cMask_NumberFixed
Char_BinaryFixed | Char_Start | cMask_NumberPlusMin
Char_DateSeparator | Char_Stop | cMask_SpecialChar
Char_Hex | cMask_AllChars | cMask_UpperCase
Char_HexDownCase | cMask_AllCharsFixed |
Char_HexFixed | cMask_AlphaNum |

D

DefaultBlank

E

EDBEditError EInvalidCodePoint EInvalidUtf8

F

FormatMaskText

M

MaskFieldSeparator | metTrimLeft
MaskNoSave | metTrimRight

R

Register

S

SInvalidCodePoint SplitEditMask

T

TCustomMaskEdit | TMaskEdit | tMaskedType
TInternalMask | TMaskeditTrimType |


MaskFieldSeparator

Declaration

Source position: maskedit.pp line 85

const MaskFieldSeparator: Char = ';';


MaskNoSave

Declaration

Source position: maskedit.pp line 86

const MaskNoSave: Char = '0';


SInvalidCodePoint

Declaration

Source position: maskedit.pp line 137

const SInvalidCodePoint = 'The (hexadecimal) sequence %s is not a valid UTF8 codepoint.';


TInternalMask

Declaration

Source position: maskedit.pp line 126

type TInternalMask = array [1..255] of TUTF8Char;


tMaskedType

Declaration

Source position: maskedit.pp line 90

type tMaskedType = (

  Char_Start,

  Char_Number,

  Char_NumberFixed,

  Char_NumberPlusMin,

  Char_Letter,

  Char_LetterFixed,

  Char_LetterUpCase,

  Char_LetterDownCase,

  Char_LetterFixedUpCase,

  Char_LetterFixedDownCase,

  Char_AlphaNum,

  Char_AlphaNumFixed,

  Char_AlphaNumUpCase,

  Char_AlphaNumDownCase,

  Char_AlphaNumFixedUpCase,

  Char_AlphaNumFixedDownCase,

  Char_All,

  Char_AllFixed,

  Char_AllUpCase,

  Char_AllDownCase,

  Char_AllFixedUpCase,

  Char_AllFixedDownCase,

  Char_HourSeparator,

  Char_DateSeparator,

  Char_Hex,

  Char_HexFixed,

  Char_HexUpCase,

  Char_HexDownCase,

  Char_HexFixedUpCase,

  Char_HexFixedDownCase,

  Char_Binary,

  Char_BinaryFixed,

  Char_Stop

);


ActivePopupMenu

Declaration

Source position: menus.pp line 449

var ActivePopupMenu: TPopupMenu = Nil;


cDialogSuffix

Declaration

Source position: menus.pp line 473

const cDialogSuffix = '...';


cHotkeyPrefix

Declaration

Source position: menus.pp line 471

const cHotkeyPrefix = '&';


cLineCaption

Declaration

Source position: menus.pp line 472

const cLineCaption = '-';


DesignerMenuItemClick

Declaration

Source position: menus.pp line 448

var DesignerMenuItemClick: TNotifyEvent = Nil;


[Up] Reference for unit 'Menus' (#lcl)

HowToUseMenus - hints for creating Menus for your Forms

HowToUseMenus - hints for creating Menus for your Forms

TMainMenu is the Main Menu that appears at the top of most forms; form designers can customise by choosing various menu items. TPopupMenu is a menu window that pops up with pertinent, usually context-sensitive, details and choices when the right mouse button is clicked near a control

Main Menu is a non-visible component : that is, if the icon is selected from the Component Palette and placed on the Form, it will not appear at Run-time. Instead, a Menu bar with a structure defined by the Menu Editor will appear. Popup menus, placed on the form by selecting the icon from the Component Palette, do not appear at all unless the right mouse button is clicked on a control that owns such a menu.

To see the Menu Editor, right-click on the Main Menu or Popup Menu icon on your Form. A pop-up box appears, that invites you to enter items into the Menu bar.

An Edit box is displayed, containing a Button labelled New Item1. If you right-click on that box, a pop-up menu is displayed that allows you to add a new item before or after (along the same level) or create a sub-menu with the opportunity to add further items below (or above) the new item in a downward column.

Any or all of the MenuItems that you add can be configured using the Object Inspector.

At the least you should give each item a Caption which will appear on the Menu Bar (you may also wish to give it a more meaningful Name). The caption should indicate the activity to be selected, such as "File Open" or "Close", "Run" or "Quit"

If you want a particular letter in the Caption to be associated with a shortcut key, that letter should be preceded by an ampersand. The Menu item at run-time will appear with the shortcut letter underlined, and hitting that letter key will have the same effect as selecting the menu item. Alternatively you can choose a shortcut key sequence (such as Ctrl-C for Copy or Ctrl-V for Paste - the standard Keyboard shortcuts) with the ShortCut property of the MenuItem.

It is often helpful to use the Menu controls in conjuction with an ActionList which contains a series of standard or customised Actions. Menu Items can be linked in the Object Inspector to Actions on the list, and the same actions can be linked to Buttons, ToolBar Buttons, SpeedButtons etc. It is obviously economic of effort to re-use the same code to respond to the various events, rather than writing separate OnClick event handlers for each individual control.

By default a number of standard actions is pre-loaded from StdActns or, if DataAware controls are being used, from DBActns, and these can be chosen using the ActionList editor which appears when you right-click on the ActionList icon on the Form Designer.


Reference for unit 'Menus'

Menus to be used in Forms created with the Lazarus IDE

uses
System,
Types,
Classes,
sysutils,
LCLStrConsts, | This unit contains all resource strings of the LCL
LCLType, | This unit is being created specifically for compatibility with Delphi. It should only be used for constants and type definitions that are included in the Delphi Windows unit. This is only done for compatibiltiy.
LCLProc, | Useful lower level helper functions and classes
LCLIntf, | Contains winapi like functions for Delphi compatibility.
LCLClasses, | Defines the base class for all LCL TComponents including controls
LResources, | This unit maintains and stores all standard Lazarus resources in the global LazarusResources list and provides methods and types for component streaming.
LMessages, |
ActnList, | Defines classes for Actions and Lists of actions to be used with LCL components
Graphics, | Unit contains definitions for many fundamental classes and types used in graphic applications
ImgList, | Contains definitions for TCustomImageList, the base class for TImageList.
Themes, | For manipulation of display Themes, mostly in a Windows XP (and later) environment
LazMethodList,
LazLoggerBase;

Related topics

HowToUseMenus

HowToUseMenus - hints for creating Menus for your Forms


Reference for unit 'Menus': Constants

cDialogSuffix

cHotkeyPrefix

cLineCaption

ValidMenuHotkeys


Reference for unit 'Menus': Types

TFindItemKind | TFindItemKind - enumerated type for kind of item in search operation: a command, a handle or a shortcut
TGlyphShowMode | TGlyphShowMode indicates if the glyph image of a menu or button should shown or not and in which circunstances
TMenuActionLinkClass | TMenuActionLinkClass - class of TMenuActionLink
TMenuChangeEvent | TMenuChangeEvent - generic event handling procedure for a change in a menu
TMenuDrawItemEvent
TMenuItemClass | TMenuItemClass - class of TMenuItem
TMenuItemHandlerType | TMenuItemHandlerType - enumerated type for menu item handlers
TMenuMeasureItemEvent
TPopupAlignment | TPopupAlignment - enumerated type to describe the position of popup menu relative to the popup coordinate
TTrackButton | TTrackButton - enumerated type described which mouse buttons can be used to activate (click) menu items


Reference for unit 'Menus': Classes

EMenuError | EMenuError - Exception handler for error in Menu access
TMainMenu | TMainMenu - the Main Menu that appears at the top of most windows
TMenu | TMenu : The base class for all menus
TMenuActionLink | TMenuActionLink: defines the link between a selected menu item and its corresponding action
TMenuItem | TMenuItem - The base structure of each item in a Menu.
TMenuItemEnumerator
TPopupMenu | TPopupMenu - a menu panel that pops up on the desktop when the right mouse button is clicked


Reference for unit 'Menus': Procedures and functions

NewItem

NewLine

NewMenu

NewPopupMenu

NewSubMenu

Register

ShortCut

ShortCutToKey

StripHotkey


Reference for unit 'Menus': Variables

ActivePopupMenu

DesignerMenuItemClick

OnMenuPopupHandler


Index of all identifiers in unit 'Menus'

A C D E F G M N O P R S T V

A

ActivePopupMenu

C

cDialogSuffix cHotkeyPrefix cLineCaption

D

DesignerMenuItemClick

E

EMenuError

F

fkCommand fkHandle fkShortCut

G

gsmAlways | gsmNever
gsmApplication | gsmSystem

M

mihtDestroy

N

NewItem | NewMenu | NewSubMenu
NewLine | NewPopupMenu |

O

OnMenuPopupHandler

P

paCenter paLeft paRight

R

Register

S

ShortCut ShortCutToKey StripHotkey

T

tbLeftButton | TMenuActionLink | TMenuItemEnumerator
tbRightButton | TMenuActionLinkClass | TMenuItemHandlerType
TFindItemKind | TMenuChangeEvent | TMenuMeasureItemEvent
TGlyphShowMode | TMenuDrawItemEvent | TPopupAlignment
TMainMenu | TMenuItem | TPopupMenu
TMenu | TMenuItemClass | TTrackButton

V

ValidMenuHotkeys


OnMenuPopupHandler

Declaration

Source position: menus.pp line 450

var OnMenuPopupHandler: TNotifyEvent = Nil;


TFindItemKind

TFindItemKind - enumerated type for kind of item in search operation: a command, a handle or a shortcut

Declaration

Source position: menus.pp line 312

type TFindItemKind = (

  fkCommand,

  fkHandle,

  fkShortCut

);


TGlyphShowMode

TGlyphShowMode indicates if the glyph image of a menu or button should shown or not and in which circunstances

Declaration

Source position: menus.pp line 53

type TGlyphShowMode = (
gsmAlways, | Always show the glyph image
gsmNever, | Never show the glyph image
gsmApplication, | This setting will be read from the global Application variable, from the field Application.ShowMenuGlyphs
gsmSystem | Will show or not depending on the the system
);

See also

#LCL.Forms.TApplication.ShowMenuGlyphs | Sets the default policy for showing or hiding glyph images in menus
#LCL.Forms.TApplicationShowGlyphs | Describes the policy for the application of how to show menu and button glyphs
#LCL.Buttons.TCustomBitBtn.GlyphShowMode | Indicates the policy for showing or hiding the glyph image of this button


TMenuChangeEvent

TMenuChangeEvent - generic event handling procedure for a change in a menu

Declaration

Source position: menus.pp line 60

type TMenuChangeEvent = procedure(

  Sender: TObject;

  Source: TMenuItem;

  Rebuild: Boolean

) of object;


TMenuDrawItemEvent

Declaration

Source position: menus.pp line 115

type TMenuDrawItemEvent = procedure(

  Sender: TObject;

  ACanvas: TCanvas;

  ARect: TRect;

  AState: TOwnerDrawState

) of object;


TMenuItemHandlerType

TMenuItemHandlerType - enumerated type for menu item handlers

Declaration

Source position: menus.pp line 111

type TMenuItemHandlerType = (

  mihtDestroy

);

Description

Currently has only one member - mihtDestroy


TMenuMeasureItemEvent

Declaration

Source position: menus.pp line 117

type TMenuMeasureItemEvent = procedure(

  Sender: TObject;

  ACanvas: TCanvas;

  var AWidth: Integer;

  var AHeight: Integer

) of object;


TPopupAlignment

TPopupAlignment - enumerated type to describe the position of popup menu relative to the popup coordinate

Declaration

Source position: menus.pp line 408

type TPopupAlignment = (

  paLeft,

  paRight,

  paCenter

);

Description

paLeft - position popup menu so it left corner is at the popup coordinate
    paRight - position popup menu menu so it right corner is at the popup corrdinate
    paCenter - center popup menu around popup corrdinate


TTrackButton

TTrackButton - enumerated type described which mouse buttons can be used to activate (click) menu items

Declaration

Source position: menus.pp line 409

type TTrackButton = (

  tbRightButton,

  tbLeftButton

);

Description

tbRightButton - both left and right buttons are used to activate a menu item
tbLeftButton - only left button is used to activate a menu item


ValidMenuHotkeys

Declaration

Source position: menus.pp line 475

const ValidMenuHotkeys: string = '1234567890ABCDEFGHIJKLMNOPQRSTUVWXYZ';


Reference for unit 'PairSplitter'

uses
System,
Types,
Classes,
sysutils,
LazTracer,
LCLType, | This unit is being created specifically for compatibility with Delphi. It should only be used for constants and type definitions that are included in the Delphi Windows unit. This is only done for compatibiltiy.
LCLIntf, | Contains winapi like functions for Delphi compatibility.
LMessages, |
Graphics, | Unit contains definitions for many fundamental classes and types used in graphic applications
Controls, | This unit contains basic classes for visual controls.
ExtCtrls; | Some extra controls commonly used in Lazarus forms


Reference for unit 'PairSplitter': Types

TPairSplitterType


Reference for unit 'PairSplitter': Classes

TCustomPairSplitter

TPairSplitter

TPairSplitterSide


Reference for unit 'PairSplitter': Procedures and functions

Register


Index of all identifiers in unit 'PairSplitter'

P R T

P

pstHorizontal pstVertical

R

Register

T

TCustomPairSplitter | TPairSplitterSide
TPairSplitter | TPairSplitterType


TPairSplitterType

Declaration

Source position: pairsplitter.pas line 87

type TPairSplitterType = (

  pstHorizontal,

  pstVertical

);


BGDrawn

Not used in the current implementation

Declaration

Source position: popupnotifier.pas line 110

const BGDrawn: Boolean = False;

Description

BGDrawn is a Boolean constant with the value False.

Remark: BGDrawn is not used in the current implementation.


Reference for unit 'PopupNotifier'

Contains the TPopupNotifier visual component

uses
System,
Classes,
sysutils,
Forms, | Contains definitions and descriptions for constructing the Forms which are the basis of the Lazarus Graphical User Interface
Controls, | This unit contains basic classes for visual controls.
Graphics, | Unit contains definitions for many fundamental classes and types used in graphic applications
StdCtrls; | Several standard controls used in most Lazarus forms

Overview

Remark: Please note that ExtCtrls has a dependency on the popupnotifier unit; circular dependencies between popupnotifier and other units should be avoided.


Reference for unit 'PopupNotifier': Constants

BGDrawn

Not used in the current implementation


Reference for unit 'PopupNotifier': Types

TNotifierXButtonButtonState

Button states for the popup notifier buttons


Reference for unit 'PopupNotifier': Classes

TNotifierForm | Implements the form used for TPopupNotifier
TNotifierXButton | Implements the button for TNotifierForm
TPopupNotifier | Implements a popup notification component


Reference for unit 'PopupNotifier': Procedures and functions

Register


Index of all identifiers in unit 'PopupNotifier'

B N R T

B

BGDrawn

N

nbsDown nbsHot nbsUp

R

Register

T

TNotifierForm | TNotifierXButtonButtonState
TNotifierXButton | TPopupNotifier


Reference for unit 'PostScriptCanvas'

uses
System,
Classes,
sysutils,
strutils,
Math, |
Types,
FPImage, |
Graphics, | Unit contains definitions for many fundamental classes and types used in graphic applications
Forms, | Contains definitions and descriptions for constructing the Forms which are the basis of the Lazarus Graphical User Interface
GraphMath, | A Set of Mathematical Helper routines to simply Cross-Platfrom Canvas drawing etc
GraphType, |
IntfGraphics, | Classes and functions for easy handling of raw images (interface images)
Printers, | Defines Printers to be used as output from Lazarus applications
LCLType, | This unit is being created specifically for compatibility with Delphi. It should only be used for constants and type definitions that are included in the Delphi Windows unit. This is only done for compatibiltiy.
LCLIntf, | Contains winapi like functions for Delphi compatibility.
LCLProc, | Useful lower level helper functions and classes
PostScriptUnicode,
LazFileUtils,
IntegerList,
LazUTF8,
LazUTF8Classes;


Reference for unit 'PostScriptCanvas': Types

TpsBounds

TPsCanvasState

TPsCanvasStatus

TpsPoint


Reference for unit 'PostScriptCanvas': Classes

TPostScriptCanvas

TPostScriptPrinterCanvas


Index of all identifiers in unit 'PostScriptCanvas'

P T

P

pcsClipping pcsClipSaved pcsPosValid

T

TPostScriptCanvas | TpsBounds | TPsCanvasStatus
TPostScriptPrinterCanvas | TPsCanvasState | TpsPoint


TpsBounds

Declaration

Source position: postscriptcanvas.pas line 59

type TpsBounds = record

  fx: single;

  fy: single;

  fwidth: single;

  fheight: single;

end;


TPsCanvasState

Declaration

Source position: postscriptcanvas.pas line 63

type TPsCanvasState = (

  pcsPosValid,

  pcsClipping,

  pcsClipSaved

);


TPsCanvasStatus

Declaration

Source position: postscriptcanvas.pas line 64

type TPsCanvasStatus = set of (

  pcsPosValid,

  pcsClipping,

  pcsClipSaved

);


TpsPoint

Declaration

Source position: postscriptcanvas.pas line 56

type TpsPoint = record

  fx: single;

  fy: single;

end;


Reference for unit 'PostScriptPrinter'

uses
System,
Classes,
sysutils,
LCLProc, | Useful lower level helper functions and classes
Graphics, | Unit contains definitions for many fundamental classes and types used in graphic applications
GraphMath, | A Set of Mathematical Helper routines to simply Cross-Platfrom Canvas drawing etc
LCLIntf, | Contains winapi like functions for Delphi compatibility.
Forms; | Contains definitions and descriptions for constructing the Forms which are the basis of the Lazarus Graphical User Interface


Reference for unit 'PostScriptPrinter': Types

PPSPattern

TPSPaintType

TPSTileType


Reference for unit 'PostScriptPrinter': Classes

TPostScript

TPostScriptCanvas

TPSObject

TPSPattern

TPSPen


Index of all identifiers in unit 'PostScriptPrinter'

P T

P

PPSPattern ptColored ptUncolored

T

TPostScript | TPSPattern | ttFast
TPostScriptCanvas | TPSPen | ttNoDistortion
TPSObject | TPSTileType |
TPSPaintType | ttConstant |


PPSPattern

Declaration

Source position: postscriptprinter.pas line 90

type PPSPattern = ^TPSPattern;


TPSPaintType

Declaration

Source position: postscriptprinter.pas line 50

type TPSPaintType = (

  ptColored,

  ptUncolored

);


TPSTileType

Declaration

Source position: postscriptprinter.pas line 51

type TPSTileType = (

  ttConstant,

  ttNoDistortion,

  ttFast

);


GLYPHCOUNT

Declaration

Source position: glyphlist.inc line 3

const GLYPHCOUNT = 1051;


GlyphsArr

Declaration

Source position: glyphlist.inc line 4

const GlyphsArr: array [0..1050] of TGlyph = ((Code: $20; Name: 'space'), (Code: $21; Name: 'exclam'), (Code: $22; Name: 'quotedbl'), (Code: $23; Name: 'numbersign'), (Code: $24; Name: 'dollar'), (Code: $25; Name: 'percent'), (Code: $26; Name: 'ampersand'), (Code: $27; Name: 'quotesingle'), (Code: $28; Name: 'parenleft'), (Code: $29; Name: 'parenright'), (Code: $2A; Name: 'asterisk'), (Code: $2B; Name: 'plus'), (Code: $2C; Name: 'comma'), (Code: $2D; Name: 'hyphen'), (Code: $2E; Name: 'period'), (Code: $2F; Name: 'slash'), (Code: $30; Name: 'zero'), (Code: $31; Name: 'one'), (Code: $32; Name: 'two'), (Code: $33; Name: 'three'), (Code: $34; Name: 'four'), (Code: $35; Name: 'five'), (Code: $36; Name: 'six'), (Code: $37; Name: 'seven'), (Code: $38; Name: 'eight'), (Code: $39; Name: 'nine'), (Code: $3A; Name: 'colon'), (Code: $3B; Name: 'semicolon'), (Code: $3C; Name: 'less'), (Code: $3D; Name: 'equal'), (Code: $3E; Name: 'greater'), (Code: $3F; Name: 'question'), (Code: $40; Name: 'at'), (Code: $41; Name: 'A'), (Code: $42; Name: 'B'), (Code: $43; Name: 'C'), (Code: $44; Name: 'D'), (Code: $45; Name: 'E'), (Code: $46; Name: 'F'), (Code: $47; Name: 'G'), (Code: $48; Name: 'H'), (Code: $49; Name: 'I'), (Code: $4A; Name: 'J'), (Code: $4B; Name: 'K'), (Code: $4C; Name: 'L'), (Code: $4D; Name: 'M'), (Code: $4E; Name: 'N'), (Code: $4F; Name: 'O'), (Code: $50; Name: 'P'), (Code: $51; Name: 'Q'), (Code: $52; Name: 'R'), (Code: $53; Name: 'S'), (Code: $54; Name: 'T'), (Code: $55; Name: 'U'), (Code: $56; Name: 'V'), (Code: $57; Name: 'W'), (Code: $58; Name: 'X'), (Code: $59; Name: 'Y'), (Code: $5A; Name: 'Z'), (Code: $5B; Name: 'bracketleft'), (Code: $5C; Name: 'backslash'), (Code: $5D; Name: 'bracketright'), (Code: $5E; Name: 'asciicircum'), (Code: $5F; Name: 'underscore'), (Code: $60; Name: 'grave'), (Code: $61; Name: 'a'), (Code: $62; Name: 'b'), (Code: $63; Name: 'c'), (Code: $64; Name: 'd'), (Code: $65; Name: 'e'), (Code: $66; Name: 'f'), (Code: $67; Name: 'g'), (Code: $68; Name: 'h'), (Code: $69; Name: 'i'), (Code: $6A; Name: 'j'), (Code: $6B; Name: 'k'), (Code: $6C; Name: 'l'), (Code: $6D; Name: 'm'), (Code: $6E; Name: 'n'), (Code: $6F; Name: 'o'), (Code: $70; Name: 'p'), (Code: $71; Name: 'q'), (Code: $72; Name: 'r'), (Code: $73; Name: 's'), (Code: $74; Name: 't'), (Code: $75; Name: 'u'), (Code: $76; Name: 'v'), (Code: $77; Name: 'w'), (Code: $78; Name: 'x'), (Code: $79; Name: 'y'), (Code: $7A; Name: 'z'), (Code: $7B; Name: 'braceleft'), (Code: $7C; Name: 'bar'), (Code: $7D; Name: 'braceright'), (Code: $7E; Name: 'asciitilde'), (Code: $A0; Name: 'space'), (Code: $A1; Name: 'exclamdown'), (Code: $A2; Name: 'cent'), (Code: $A3; Name: 'sterling'), (Code: $A4; Name: 'currency'), (Code: $A5; Name: 'yen'), (Code: $A6; Name: 'brokenbar'), (Code: $A7; Name: 'section'), (Code: $A8; Name: 'dieresis'), (Code: $A9; Name: 'copyright'), (Code: $AA; Name: 'ordfeminine'), (Code: $AB; Name: 'guillemotleft'), (Code: $AC; Name: 'logicalnot'), (Code: $AD; Name: 'hyphen'), (Code: $AE; Name: 'registered'), (Code: $AF; Name: 'macron'), (Code: $B0; Name: 'degree'), (Code: $B1; Name: 'plusminus'), (Code: $B2; Name: 'twosuperior'), (Code: $B3; Name: 'threesuperior'), (Code: $B4; Name: 'acute'), (Code: $B5; Name: 'mu'), (Code: $B6; Name: 'paragraph'), (Code: $B7; Name: 'periodcentered'), (Code: $B8; Name: 'cedilla'), (Code: $B9; Name: 'onesuperior'), (Code: $BA; Name: 'ordmasculine'), (Code: $BB; Name: 'guillemotright'), (Code: $BC; Name: 'onequarter'), (Code: $BD; Name: 'onehalf'), (Code: $BE; Name: 'threequarters'), (Code: $BF; Name: 'questiondown'), (Code: $C0; Name: 'Agrave'), (Code: $C1; Name: 'Aacute'), (Code: $C2; Name: 'Acircumflex'), (Code: $C3; Name: 'Atilde'), (Code: $C4; Name: 'Adieresis'), (Code: $C5; Name: 'Aring'), (Code: $C6; Name: 'AE'), (Code: $C7; Name: 'Ccedilla'), (Code: $C8; Name: 'Egrave'), (Code: $C9; Name: 'Eacute'), (Code: $CA; Name: 'Ecircumflex'), (Code: $CB; Name: 'Edieresis'), (Code: $CC; Name: 'Igrave'), (Code: $CD; Name: 'Iacute'), (Code: $CE; Name: 'Icircumflex'), (Code: $CF; Name: 'Idieresis'), (Code: $D0; Name: 'Eth'), (Code: $D1; Name: 'Ntilde'), (Code: $D2; Name: 'Ograve'), (Code: $D3; Name: 'Oacute'), (Code: $D4; Name: 'Ocircumflex'), (Code: $D5; Name: 'Otilde'), (Code: $D6; Name: 'Odieresis'), (Code: $D7; Name: 'multiply'), (Code: $D8; Name: 'Oslash'), (Code: $D9; Name: 'Ugrave'), (Code: $DA; Name: 'Uacute'), (Code: $DB; Name: 'Ucircumflex'), (Code: $DC; Name: 'Udieresis'), (Code: $DD; Name: 'Yacute'), (Code: $DE; Name: 'Thorn'), (Code: $DF; Name: 'germandbls'), (Code: $E0; Name: 'agrave'), (Code: $E1; Name: 'aacute'), (Code: $E2; Name: 'acircumflex'), (Code: $E3; Name: 'atilde'), (Code: $E4; Name: 'adieresis'), (Code: $E5; Name: 'aring'), (Code: $E6; Name: 'ae'), (Code: $E7; Name: 'ccedilla'), (Code: $E8; Name: 'egrave'), (Code: $E9; Name: 'eacute'), (Code: $EA; Name: 'ecircumflex'), (Code: $EB; Name: 'edieresis'), (Code: $EC; Name: 'igrave'), (Code: $ED; Name: 'iacute'), (Code: $EE; Name: 'icircumflex'), (Code: $EF; Name: 'idieresis'), (Code: $F0; Name: 'eth'), (Code: $F1; Name: 'ntilde'), (Code: $F2; Name: 'ograve'), (Code: $F3; Name: 'oacute'), (Code: $F4; Name: 'ocircumflex'), (Code: $F5; Name: 'otilde'), (Code: $F6; Name: 'odieresis'), (Code: $F7; Name: 'divide'), (Code: $F8; Name: 'oslash'), (Code: $F9; Name: 'ugrave'), (Code: $FA; Name: 'uacute'), (Code: $FB; Name: 'ucircumflex'), (Code: $FC; Name: 'udieresis'), (Code: $FD; Name: 'yacute'), (Code: $FE; Name: 'thorn'), (Code: $FF; Name: 'ydieresis'), (Code: $100; Name: 'Amacron'), (Code: $101; Name: 'amacron'), (Code: $102; Name: 'Abreve'), (Code: $103; Name: 'abreve'), (Code: $104; Name: 'Aogonek'), (Code: $105; Name: 'aogonek'), (Code: $106; Name: 'Cacute'), (Code: $107; Name: 'cacute'), (Code: $108; Name: 'Ccircumflex'), (Code: $109; Name: 'ccircumflex'), (Code: $10A; Name: 'Cdotaccent'), (Code: $10B; Name: 'cdotaccent'), (Code: $10C; Name: 'Ccaron'), (Code: $10D; Name: 'ccaron'), (Code: $10E; Name: 'Dcaron'), (Code: $10F; Name: 'dcaron'), (Code: $110; Name: 'Dcroat'), (Code: $111; Name: 'dcroat'), (Code: $112; Name: 'Emacron'), (Code: $113; Name: 'emacron'), (Code: $114; Name: 'Ebreve'), (Code: $115; Name: 'ebreve'), (Code: $116; Name: 'Edotaccent'), (Code: $117; Name: 'edotaccent'), (Code: $118; Name: 'Eogonek'), (Code: $119; Name: 'eogonek'), (Code: $11A; Name: 'Ecaron'), (Code: $11B; Name: 'ecaron'), (Code: $11C; Name: 'Gcircumflex'), (Code: $11D; Name: 'gcircumflex'), (Code: $11E; Name: 'Gbreve'), (Code: $11F; Name: 'gbreve'), (Code: $120; Name: 'Gdotaccent'), (Code: $121; Name: 'gdotaccent'), (Code: $122; Name: 'Gcommaaccent'), (Code: $123; Name: 'gcommaaccent'), (Code: $124; Name: 'Hcircumflex'), (Code: $125; Name: 'hcircumflex'), (Code: $126; Name: 'Hbar'), (Code: $127; Name: 'hbar'), (Code: $128; Name: 'Itilde'), (Code: $129; Name: 'itilde'), (Code: $12A; Name: 'Imacron'), (Code: $12B; Name: 'imacron'), (Code: $12C; Name: 'Ibreve'), (Code: $12D; Name: 'ibreve'), (Code: $12E; Name: 'Iogonek'), (Code: $12F; Name: 'iogonek'), (Code: $130; Name: 'Idotaccent'), (Code: $131; Name: 'dotlessi'), (Code: $132; Name: 'IJ'), (Code: $133; Name: 'ij'), (Code: $134; Name: 'Jcircumflex'), (Code: $135; Name: 'jcircumflex'), (Code: $136; Name: 'Kcommaaccent'), (Code: $137; Name: 'kcommaaccent'), (Code: $138; Name: 'kgreenlandic'), (Code: $139; Name: 'Lacute'), (Code: $13A; Name: 'lacute'), (Code: $13B; Name: 'Lcommaaccent'), (Code: $13C; Name: 'lcommaaccent'), (Code: $13D; Name: 'Lcaron'), (Code: $13E; Name: 'lcaron'), (Code: $13F; Name: 'Ldot'), (Code: $140; Name: 'ldot'), (Code: $141; Name: 'Lslash'), (Code: $142; Name: 'lslash'), (Code: $143; Name: 'Nacute'), (Code: $144; Name: 'nacute'), (Code: $145; Name: 'Ncommaaccent'), (Code: $146; Name: 'ncommaaccent'), (Code: $147; Name: 'Ncaron'), (Code: $148; Name: 'ncaron'), (Code: $149; Name: 'napostrophe'), (Code: $14A; Name: 'Eng'), (Code: $14B; Name: 'eng'), (Code: $14C; Name: 'Omacron'), (Code: $14D; Name: 'omacron'), (Code: $14E; Name: 'Obreve'), (Code: $14F; Name: 'obreve'), (Code: $150; Name: 'Ohungarumlaut'), (Code: $151; Name: 'ohungarumlaut'), (Code: $152; Name: 'OE'), (Code: $153; Name: 'oe'), (Code: $154; Name: 'Racute'), (Code: $155; Name: 'racute'), (Code: $156; Name: 'Rcommaaccent'), (Code: $157; Name: 'rcommaaccent'), (Code: $158; Name: 'Rcaron'), (Code: $159; Name: 'rcaron'), (Code: $15A; Name: 'Sacute'), (Code: $15B; Name: 'sacute'), (Code: $15C; Name: 'Scircumflex'), (Code: $15D; Name: 'scircumflex'), (Code: $15E; Name: 'Scedilla'), (Code: $15F; Name: 'scedilla'), (Code: $160; Name: 'Scaron'), (Code: $161; Name: 'scaron'), (Code: $162; Name: 'Tcommaaccent'), (Code: $163; Name: 'tcommaaccent'), (Code: $164; Name: 'Tcaron'), (Code: $165; Name: 'tcaron'), (Code: $166; Name: 'Tbar'), (Code: $167; Name: 'tbar'), (Code: $168; Name: 'Utilde'), (Code: $169; Name: 'utilde'), (Code: $16A; Name: 'Umacron'), (Code: $16B; Name: 'umacron'), (Code: $16C; Name: 'Ubreve'), (Code: $16D; Name: 'ubreve'), (Code: $16E; Name: 'Uring'), (Code: $16F; Name: 'uring'), (Code: $170; Name: 'Uhungarumlaut'), (Code: $171; Name: 'uhungarumlaut'), (Code: $172; Name: 'Uogonek'), (Code: $173; Name: 'uogonek'), (Code: $174; Name: 'Wcircumflex'), (Code: $175; Name: 'wcircumflex'), (Code: $176; Name: 'Ycircumflex'), (Code: $177; Name: 'ycircumflex'), (Code: $178; Name: 'Ydieresis'), (Code: $179; Name: 'Zacute'), (Code: $17A; Name: 'zacute'), (Code: $17B; Name: 'Zdotaccent'), (Code: $17C; Name: 'zdotaccent'), (Code: $17D; Name: 'Zcaron'), (Code: $17E; Name: 'zcaron'), (Code: $17F; Name: 'longs'), (Code: $192; Name: 'florin'), (Code: $1A0; Name: 'Ohorn'), (Code: $1A1; Name: 'ohorn'), (Code: $1AF; Name: 'Uhorn'), (Code: $1B0; Name: 'uhorn'), (Code: $1E6; Name: 'Gcaron'), (Code: $1E7; Name: 'gcaron'), (Code: $1FA; Name: 'Aringacute'), (Code: $1FB; Name: 'aringacute'), (Code: $1FC; Name: 'AEacute'), (Code: $1FD; Name: 'aeacute'), (Code: $1FE; Name: 'Oslashacute'), (Code: $1FF; Name: 'oslashacute'), (Code: $218; Name: 'Scommaaccent'), (Code: $219; Name: 'scommaaccent'), (Code: $21A; Name: 'Tcommaaccent'), (Code: $21B; Name: 'tcommaaccent'), (Code: $2BC; Name: 'afii57929'), (Code: $2BD; Name: 'afii64937'), (Code: $2C6; Name: 'circumflex'), (Code: $2C7; Name: 'caron'), (Code: $2C9; Name: 'macron'), (Code: $2D8; Name: 'breve'), (Code: $2D9; Name: 'dotaccent'), (Code: $2DA; Name: 'ring'), (Code: $2DB; Name: 'ogonek'), (Code: $2DC; Name: 'tilde'), (Code: $2DD; Name: 'hungarumlaut'), (Code: $300; Name: 'gravecomb'), (Code: $301; Name: 'acutecomb'), (Code: $303; Name: 'tildecomb'), (Code: $309; Name: 'hookabovecomb'), (Code: $323; Name: 'dotbelowcomb'), (Code: $384; Name: 'tonos'), (Code: $385; Name: 'dieresistonos'), (Code: $386; Name: 'Alphatonos'), (Code: $387; Name: 'anoteleia'), (Code: $388; Name: 'Epsilontonos'), (Code: $389; Name: 'Etatonos'), (Code: $38A; Name: 'Iotatonos'), (Code: $38C; Name: 'Omicrontonos'), (Code: $38E; Name: 'Upsilontonos'), (Code: $38F; Name: 'Omegatonos'), (Code: $390; Name: 'iotadieresistonos'), (Code: $391; Name: 'Alpha'), (Code: $392; Name: 'Beta'), (Code: $393; Name: 'Gamma'), (Code: $394; Name: 'Delta'), (Code: $395; Name: 'Epsilon'), (Code: $396; Name: 'Zeta'), (Code: $397; Name: 'Eta'), (Code: $398; Name: 'Theta'), (Code: $399; Name: 'Iota'), (Code: $39A; Name: 'Kappa'), (Code: $39B; Name: 'Lambda'), (Code: $39C; Name: 'Mu'), (Code: $39D; Name: 'Nu'), (Code: $39E; Name: 'Xi'), (Code: $39F; Name: 'Omicron'), (Code: $3A0; Name: 'Pi'), (Code: $3A1; Name: 'Rho'), (Code: $3A3; Name: 'Sigma'), (Code: $3A4; Name: 'Tau'), (Code: $3A5; Name: 'Upsilon'), (Code: $3A6; Name: 'Phi'), (Code: $3A7; Name: 'Chi'), (Code: $3A8; Name: 'Psi'), (Code: $3A9; Name: 'Omega'), (Code: $3AA; Name: 'Iotadieresis'), (Code: $3AB; Name: 'Upsilondieresis'), (Code: $3AC; Name: 'alphatonos'), (Code: $3AD; Name: 'epsilontonos'), (Code: $3AE; Name: 'etatonos'), (Code: $3AF; Name: 'iotatonos'), (Code: $3B0; Name: 'upsilondieresistonos'), (Code: $3B1; Name: 'alpha'), (Code: $3B2; Name: 'beta'), (Code: $3B3; Name: 'gamma'), (Code: $3B4; Name: 'delta'), (Code: $3B5; Name: 'epsilon'), (Code: $3B6; Name: 'zeta'), (Code: $3B7; Name: 'eta'), (Code: $3B8; Name: 'theta'), (Code: $3B9; Name: 'iota'), (Code: $3BA; Name: 'kappa'), (Code: $3BB; Name: 'lambda'), (Code: $3BC; Name: 'mu'), (Code: $3BD; Name: 'nu'), (Code: $3BE; Name: 'xi'), (Code: $3BF; Name: 'omicron'), (Code: $3C0; Name: 'pi'), (Code: $3C1; Name: 'rho'), (Code: $3C2; Name: 'sigma1'), (Code: $3C3; Name: 'sigma'), (Code: $3C4; Name: 'tau'), (Code: $3C5; Name: 'upsilon'), (Code: $3C6; Name: 'phi'), (Code: $3C7; Name: 'chi'), (Code: $3C8; Name: 'psi'), (Code: $3C9; Name: 'omega'), (Code: $3CA; Name: 'iotadieresis'), (Code: $3CB; Name: 'upsilondieresis'), (Code: $3CC; Name: 'omicrontonos'), (Code: $3CD; Name: 'upsilontonos'), (Code: $3CE; Name: 'omegatonos'), (Code: $3D1; Name: 'theta1'), (Code: $3D2; Name: 'Upsilon1'), (Code: $3D5; Name: 'phi1'), (Code: $3D6; Name: 'omega1'), (Code: $401; Name: 'afii10023'), (Code: $402; Name: 'afii10051'), (Code: $403; Name: 'afii10052'), (Code: $404; Name: 'afii10053'), (Code: $405; Name: 'afii10054'), (Code: $406; Name: 'afii10055'), (Code: $407; Name: 'afii10056'), (Code: $408; Name: 'afii10057'), (Code: $409; Name: 'afii10058'), (Code: $40A; Name: 'afii10059'), (Code: $40B; Name: 'afii10060'), (Code: $40C; Name: 'afii10061'), (Code: $40E; Name: 'afii10062'), (Code: $40F; Name: 'afii10145'), (Code: $410; Name: 'afii10017'), (Code: $411; Name: 'afii10018'), (Code: $412; Name: 'afii10019'), (Code: $413; Name: 'afii10020'), (Code: $414; Name: 'afii10021'), (Code: $415; Name: 'afii10022'), (Code: $416; Name: 'afii10024'), (Code: $417; Name: 'afii10025'), (Code: $418; Name: 'afii10026'), (Code: $419; Name: 'afii10027'), (Code: $41A; Name: 'afii10028'), (Code: $41B; Name: 'afii10029'), (Code: $41C; Name: 'afii10030'), (Code: $41D; Name: 'afii10031'), (Code: $41E; Name: 'afii10032'), (Code: $41F; Name: 'afii10033'), (Code: $420; Name: 'afii10034'), (Code: $421; Name: 'afii10035'), (Code: $422; Name: 'afii10036'), (Code: $423; Name: 'afii10037'), (Code: $424; Name: 'afii10038'), (Code: $425; Name: 'afii10039'), (Code: $426; Name: 'afii10040'), (Code: $427; Name: 'afii10041'), (Code: $428; Name: 'afii10042'), (Code: $429; Name: 'afii10043'), (Code: $42A; Name: 'afii10044'), (Code: $42B; Name: 'afii10045'), (Code: $42C; Name: 'afii10046'), (Code: $42D; Name: 'afii10047'), (Code: $42E; Name: 'afii10048'), (Code: $42F; Name: 'afii10049'), (Code: $430; Name: 'afii10065'), (Code: $431; Name: 'afii10066'), (Code: $432; Name: 'afii10067'), (Code: $433; Name: 'afii10068'), (Code: $434; Name: 'afii10069'), (Code: $435; Name: 'afii10070'), (Code: $436; Name: 'afii10072'), (Code: $437; Name: 'afii10073'), (Code: $438; Name: 'afii10074'), (Code: $439; Name: 'afii10075'), (Code: $43A; Name: 'afii10076'), (Code: $43B; Name: 'afii10077'), (Code: $43C; Name: 'afii10078'), (Code: $43D; Name: 'afii10079'), (Code: $43E; Name: 'afii10080'), (Code: $43F; Name: 'afii10081'), (Code: $440; Name: 'afii10082'), (Code: $441; Name: 'afii10083'), (Code: $442; Name: 'afii10084'), (Code: $443; Name: 'afii10085'), (Code: $444; Name: 'afii10086'), (Code: $445; Name: 'afii10087'), (Code: $446; Name: 'afii10088'), (Code: $447; Name: 'afii10089'), (Code: $448; Name: 'afii10090'), (Code: $449; Name: 'afii10091'), (Code: $44A; Name: 'afii10092'), (Code: $44B; Name: 'afii10093'), (Code: $44C; Name: 'afii10094'), (Code: $44D; Name: 'afii10095'), (Code: $44E; Name: 'afii10096'), (Code: $44F; Name: 'afii10097'), (Code: $451; Name: 'afii10071'), (Code: $452; Name: 'afii10099'), (Code: $453; Name: 'afii10100'), (Code: $454; Name: 'afii10101'), (Code: $455; Name: 'afii10102'), (Code: $456; Name: 'afii10103'), (Code: $457; Name: 'afii10104'), (Code: $458; Name: 'afii10105'), (Code: $459; Name: 'afii10106'), (Code: $45A; Name: 'afii10107'), (Code: $45B; Name: 'afii10108'), (Code: $45C; Name: 'afii10109'), (Code: $45E; Name: 'afii10110'), (Code: $45F; Name: 'afii10193'), (Code: $462; Name: 'afii10146'), (Code: $463; Name: 'afii10194'), (Code: $472; Name: 'afii10147'), (Code: $473; Name: 'afii10195'), (Code: $474; Name: 'afii10148'), (Code: $475; Name: 'afii10196'), (Code: $490; Name: 'afii10050'), (Code: $491; Name: 'afii10098'), (Code: $4D9; Name: 'afii10846'), (Code: $5B0; Name: 'afii57799'), (Code: $5B1; Name: 'afii57801'), (Code: $5B2; Name: 'afii57800'), (Code: $5B3; Name: 'afii57802'), (Code: $5B4; Name: 'afii57793'), (Code: $5B5; Name: 'afii57794'), (Code: $5B6; Name: 'afii57795'), (Code: $5B7; Name: 'afii57798'), (Code: $5B8; Name: 'afii57797'), (Code: $5B9; Name: 'afii57806'), (Code: $5BB; Name: 'afii57796'), (Code: $5BC; Name: 'afii57807'), (Code: $5BD; Name: 'afii57839'), (Code: $5BE; Name: 'afii57645'), (Code: $5BF; Name: 'afii57841'), (Code: $5C0; Name: 'afii57842'), (Code: $5C1; Name: 'afii57804'), (Code: $5C2; Name: 'afii57803'), (Code: $5C3; Name: 'afii57658'), (Code: $5D0; Name: 'afii57664'), (Code: $5D1; Name: 'afii57665'), (Code: $5D2; Name: 'afii57666'), (Code: $5D3; Name: 'afii57667'), (Code: $5D4; Name: 'afii57668'), (Code: $5D5; Name: 'afii57669'), (Code: $5D6; Name: 'afii57670'), (Code: $5D7; Name: 'afii57671'), (Code: $5D8; Name: 'afii57672'), (Code: $5D9; Name: 'afii57673'), (Code: $5DA; Name: 'afii57674'), (Code: $5DB; Name: 'afii57675'), (Code: $5DC; Name: 'afii57676'), (Code: $5DD; Name: 'afii57677'), (Code: $5DE; Name: 'afii57678'), (Code: $5DF; Name: 'afii57679'), (Code: $5E0; Name: 'afii57680'), (Code: $5E1; Name: 'afii57681'), (Code: $5E2; Name: 'afii57682'), (Code: $5E3; Name: 'afii57683'), (Code: $5E4; Name: 'afii57684'), (Code: $5E5; Name: 'afii57685'), (Code: $5E6; Name: 'afii57686'), (Code: $5E7; Name: 'afii57687'), (Code: $5E8; Name: 'afii57688'), (Code: $5E9; Name: 'afii57689'), (Code: $5EA; Name: 'afii57690'), (Code: $5F0; Name: 'afii57716'), (Code: $5F1; Name: 'afii57717'), (Code: $5F2; Name: 'afii57718'), (Code: $60C; Name: 'afii57388'), (Code: $61B; Name: 'afii57403'), (Code: $61F; Name: 'afii57407'), (Code: $621; Name: 'afii57409'), (Code: $622; Name: 'afii57410'), (Code: $623; Name: 'afii57411'), (Code: $624; Name: 'afii57412'), (Code: $625; Name: 'afii57413'), (Code: $626; Name: 'afii57414'), (Code: $627; Name: 'afii57415'), (Code: $628; Name: 'afii57416'), (Code: $629; Name: 'afii57417'), (Code: $62A; Name: 'afii57418'), (Code: $62B; Name: 'afii57419'), (Code: $62C; Name: 'afii57420'), (Code: $62D; Name: 'afii57421'), (Code: $62E; Name: 'afii57422'), (Code: $62F; Name: 'afii57423'), (Code: $630; Name: 'afii57424'), (Code: $631; Name: 'afii57425'), (Code: $632; Name: 'afii57426'), (Code: $633; Name: 'afii57427'), (Code: $634; Name: 'afii57428'), (Code: $635; Name: 'afii57429'), (Code: $636; Name: 'afii57430'), (Code: $637; Name: 'afii57431'), (Code: $638; Name: 'afii57432'), (Code: $639; Name: 'afii57433'), (Code: $63A; Name: 'afii57434'), (Code: $640; Name: 'afii57440'), (Code: $641; Name: 'afii57441'), (Code: $642; Name: 'afii57442'), (Code: $643; Name: 'afii57443'), (Code: $644; Name: 'afii57444'), (Code: $645; Name: 'afii57445'), (Code: $646; Name: 'afii57446'), (Code: $647; Name: 'afii57470'), (Code: $648; Name: 'afii57448'), (Code: $649; Name: 'afii57449'), (Code: $64A; Name: 'afii57450'), (Code: $64B; Name: 'afii57451'), (Code: $64C; Name: 'afii57452'), (Code: $64D; Name: 'afii57453'), (Code: $64E; Name: 'afii57454'), (Code: $64F; Name: 'afii57455'), (Code: $650; Name: 'afii57456'), (Code: $651; Name: 'afii57457'), (Code: $652; Name: 'afii57458'), (Code: $660; Name: 'afii57392'), (Code: $661; Name: 'afii57393'), (Code: $662; Name: 'afii57394'), (Code: $663; Name: 'afii57395'), (Code: $664; Name: 'afii57396'), (Code: $665; Name: 'afii57397'), (Code: $666; Name: 'afii57398'), (Code: $667; Name: 'afii57399'), (Code: $668; Name: 'afii57400'), (Code: $669; Name: 'afii57401'), (Code: $66A; Name: 'afii57381'), (Code: $66D; Name: 'afii63167'), (Code: $679; Name: 'afii57511'), (Code: $67E; Name: 'afii57506'), (Code: $686; Name: 'afii57507'), (Code: $688; Name: 'afii57512'), (Code: $691; Name: 'afii57513'), (Code: $698; Name: 'afii57508'), (Code: $6A4; Name: 'afii57505'), (Code: $6AF; Name: 'afii57509'), (Code: $6BA; Name: 'afii57514'), (Code: $6D2; Name: 'afii57519'), (Code: $6D5; Name: 'afii57534'), (Code: $1E80; Name: 'Wgrave'), (Code: $1E81; Name: 'wgrave'), (Code: $1E82; Name: 'Wacute'), (Code: $1E83; Name: 'wacute'), (Code: $1E84; Name: 'Wdieresis'), (Code: $1E85; Name: 'wdieresis'), (Code: $1EF2; Name: 'Ygrave'), (Code: $1EF3; Name: 'ygrave'), (Code: $200C; Name: 'afii61664'), (Code: $200D; Name: 'afii301'), (Code: $200E; Name: 'afii299'), (Code: $200F; Name: 'afii300'), (Code: $2012; Name: 'figuredash'), (Code: $2013; Name: 'endash'), (Code: $2014; Name: 'emdash'), (Code: $2015; Name: 'afii00208'), (Code: $2017; Name: 'underscoredbl'), (Code: $2018; Name: 'quoteleft'), (Code: $2019; Name: 'quoteright'), (Code: $201A; Name: 'quotesinglbase'), (Code: $201B; Name: 'quotereversed'), (Code: $201C; Name: 'quotedblleft'), (Code: $201D; Name: 'quotedblright'), (Code: $201E; Name: 'quotedblbase'), (Code: $2020; Name: 'dagger'), (Code: $2021; Name: 'daggerdbl'), (Code: $2022; Name: 'bullet'), (Code: $2024; Name: 'onedotenleader'), (Code: $2025; Name: 'twodotenleader'), (Code: $2026; Name: 'ellipsis'), (Code: $202C; Name: 'afii61573'), (Code: $202D; Name: 'afii61574'), (Code: $202E; Name: 'afii61575'), (Code: $2030; Name: 'perthousand'), (Code: $2032; Name: 'minute'), (Code: $2033; Name: 'second'), (Code: $2039; Name: 'guilsinglleft'), (Code: $203A; Name: 'guilsinglright'), (Code: $203C; Name: 'exclamdbl'), (Code: $2044; Name: 'fraction'), (Code: $2070; Name: 'zerosuperior'), (Code: $2074; Name: 'foursuperior'), (Code: $2075; Name: 'fivesuperior'), (Code: $2076; Name: 'sixsuperior'), (Code: $2077; Name: 'sevensuperior'), (Code: $2078; Name: 'eightsuperior'), (Code: $2079; Name: 'ninesuperior'), (Code: $207D; Name: 'parenleftsuperior'), (Code: $207E; Name: 'parenrightsuperior'), (Code: $207F; Name: 'nsuperior'), (Code: $2080; Name: 'zeroinferior'), (Code: $2081; Name: 'oneinferior'), (Code: $2082; Name: 'twoinferior'), (Code: $2083; Name: 'threeinferior'), (Code: $2084; Name: 'fourinferior'), (Code: $2085; Name: 'fiveinferior'), (Code: $2086; Name: 'sixinferior'), (Code: $2087; Name: 'seveninferior'), (Code: $2088; Name: 'eightinferior'), (Code: $2089; Name: 'nineinferior'), (Code: $208D; Name: 'parenleftinferior'), (Code: $208E; Name: 'parenrightinferior'), (Code: $20A1; Name: 'colonmonetary'), (Code: $20A3; Name: 'franc'), (Code: $20A4; Name: 'lira'), (Code: $20A7; Name: 'peseta'), (Code: $20AA; Name: 'afii57636'), (Code: $20AB; Name: 'dong'), (Code: $20AC; Name: 'Euro'), (Code: $2105; Name: 'afii61248'), (Code: $2111; Name: 'Ifraktur'), (Code: $2113; Name: 'afii61289'), (Code: $2116; Name: 'afii61352'), (Code: $2118; Name: 'weierstrass'), (Code: $211C; Name: 'Rfraktur'), (Code: $211E; Name: 'prescription'), (Code: $2122; Name: 'trademark'), (Code: $2126; Name: 'Omega'), (Code: $212E; Name: 'estimated'), (Code: $2135; Name: 'aleph'), (Code: $2153; Name: 'onethird'), (Code: $2154; Name: 'twothirds'), (Code: $215B; Name: 'oneeighth'), (Code: $215C; Name: 'threeeighths'), (Code: $215D; Name: 'fiveeighths'), (Code: $215E; Name: 'seveneighths'), (Code: $2190; Name: 'arrowleft'), (Code: $2191; Name: 'arrowup'), (Code: $2192; Name: 'arrowright'), (Code: $2193; Name: 'arrowdown'), (Code: $2194; Name: 'arrowboth'), (Code: $2195; Name: 'arrowupdn'), (Code: $21A8; Name: 'arrowupdnbse'), (Code: $21B5; Name: 'carriagereturn'), (Code: $21D0; Name: 'arrowdblleft'), (Code: $21D1; Name: 'arrowdblup'), (Code: $21D2; Name: 'arrowdblright'), (Code: $21D3; Name: 'arrowdbldown'), (Code: $21D4; Name: 'arrowdblboth'), (Code: $2200; Name: 'universal'), (Code: $2202; Name: 'partialdiff'), (Code: $2203; Name: 'existential'), (Code: $2205; Name: 'emptyset'), (Code: $2206; Name: 'Delta'), (Code: $2207; Name: 'gradient'), (Code: $2208; Name: 'element'), (Code: $2209; Name: 'notelement'), (Code: $220B; Name: 'suchthat'), (Code: $220F; Name: 'product'), (Code: $2211; Name: 'summation'), (Code: $2212; Name: 'minus'), (Code: $2215; Name: 'fraction'), (Code: $2217; Name: 'asteriskmath'), (Code: $2219; Name: 'periodcentered'), (Code: $221A; Name: 'radical'), (Code: $221D; Name: 'proportional'), (Code: $221E; Name: 'infinity'), (Code: $221F; Name: 'orthogonal'), (Code: $2220; Name: 'angle'), (Code: $2227; Name: 'logicaland'), (Code: $2228; Name: 'logicalor'), (Code: $2229; Name: 'intersection'), (Code: $222A; Name: 'union'), (Code: $222B; Name: 'integral'), (Code: $2234; Name: 'therefore'), (Code: $223C; Name: 'similar'), (Code: $2245; Name: 'congruent'), (Code: $2248; Name: 'approxequal'), (Code: $2260; Name: 'notequal'), (Code: $2261; Name: 'equivalence'), (Code: $2264; Name: 'lessequal'), (Code: $2265; Name: 'greaterequal'), (Code: $2282; Name: 'propersubset'), (Code: $2283; Name: 'propersuperset'), (Code: $2284; Name: 'notsubset'), (Code: $2286; Name: 'reflexsubset'), (Code: $2287; Name: 'reflexsuperset'), (Code: $2295; Name: 'circleplus'), (Code: $2297; Name: 'circlemultiply'), (Code: $22A5; Name: 'perpendicular'), (Code: $22C5; Name: 'dotmath'), (Code: $2302; Name: 'house'), (Code: $2310; Name: 'revlogicalnot'), (Code: $2320; Name: 'integraltp'), (Code: $2321; Name: 'integralbt'), (Code: $2329; Name: 'angleleft'), (Code: $232A; Name: 'angleright'), (Code: $2500; Name: 'SF100000'), (Code: $2502; Name: 'SF110000'), (Code: $250C; Name: 'SF010000'), (Code: $2510; Name: 'SF030000'), (Code: $2514; Name: 'SF020000'), (Code: $2518; Name: 'SF040000'), (Code: $251C; Name: 'SF080000'), (Code: $2524; Name: 'SF090000'), (Code: $252C; Name: 'SF060000'), (Code: $2534; Name: 'SF070000'), (Code: $253C; Name: 'SF050000'), (Code: $2550; Name: 'SF430000'), (Code: $2551; Name: 'SF240000'), (Code: $2552; Name: 'SF510000'), (Code: $2553; Name: 'SF520000'), (Code: $2554; Name: 'SF390000'), (Code: $2555; Name: 'SF220000'), (Code: $2556; Name: 'SF210000'), (Code: $2557; Name: 'SF250000'), (Code: $2558; Name: 'SF500000'), (Code: $2559; Name: 'SF490000'), (Code: $255A; Name: 'SF380000'), (Code: $255B; Name: 'SF280000'), (Code: $255C; Name: 'SF270000'), (Code: $255D; Name: 'SF260000'), (Code: $255E; Name: 'SF360000'), (Code: $255F; Name: 'SF370000'), (Code: $2560; Name: 'SF420000'), (Code: $2561; Name: 'SF190000'), (Code: $2562; Name: 'SF200000'), (Code: $2563; Name: 'SF230000'), (Code: $2564; Name: 'SF470000'), (Code: $2565; Name: 'SF480000'), (Code: $2566; Name: 'SF410000'), (Code: $2567; Name: 'SF450000'), (Code: $2568; Name: 'SF460000'), (Code: $2569; Name: 'SF400000'), (Code: $256A; Name: 'SF540000'), (Code: $256B; Name: 'SF530000'), (Code: $256C; Name: 'SF440000'), (Code: $2580; Name: 'upblock'), (Code: $2584; Name: 'dnblock'), (Code: $2588; Name: 'block'), (Code: $258C; Name: 'lfblock'), (Code: $2590; Name: 'rtblock'), (Code: $2591; Name: 'ltshade'), (Code: $2592; Name: 'shade'), (Code: $2593; Name: 'dkshade'), (Code: $25A0; Name: 'filledbox'), (Code: $25A1; Name: 'H22073'), (Code: $25AA; Name: 'H18543'), (Code: $25AB; Name: 'H18551'), (Code: $25AC; Name: 'filledrect'), (Code: $25B2; Name: 'triagup'), (Code: $25BA; Name: 'triagrt'), (Code: $25BC; Name: 'triagdn'), (Code: $25C4; Name: 'triaglf'), (Code: $25CA; Name: 'lozenge'), (Code: $25CB; Name: 'circle'), (Code: $25CF; Name: 'H18533'), (Code: $25D8; Name: 'invbullet'), (Code: $25D9; Name: 'invcircle'), (Code: $25E6; Name: 'openbullet'), (Code: $263A; Name: 'smileface'), (Code: $263B; Name: 'invsmileface'), (Code: $263C; Name: 'sun'), (Code: $2640; Name: 'female'), (Code: $2642; Name: 'male'), (Code: $2660; Name: 'spade'), (Code: $2663; Name: 'club'), (Code: $2665; Name: 'heart'), (Code: $2666; Name: 'diamond'), (Code: $266A; Name: 'musicalnote'), (Code: $266B; Name: 'musicalnotedbl'), (Code: $F6BE; Name: 'dotlessj'), (Code: $F6BF; Name: 'LL'), (Code: $F6C0; Name: 'll'), (Code: $F6C1; Name: 'Scedilla'), (Code: $F6C2; Name: 'scedilla'), (Code: $F6C3; Name: 'commaaccent'), (Code: $F6C4; Name: 'afii10063'), (Code: $F6C5; Name: 'afii10064'), (Code: $F6C6; Name: 'afii10192'), (Code: $F6C7; Name: 'afii10831'), (Code: $F6C8; Name: 'afii10832'), (Code: $F6C9; Name: 'Acute'), (Code: $F6CA; Name: 'Caron'), (Code: $F6CB; Name: 'Dieresis'), (Code: $F6CC; Name: 'DieresisAcute'), (Code: $F6CD; Name: 'DieresisGrave'), (Code: $F6CE; Name: 'Grave'), (Code: $F6CF; Name: 'Hungarumlaut'), (Code: $F6D0; Name: 'Macron'), (Code: $F6D1; Name: 'cyrBreve'), (Code: $F6D2; Name: 'cyrFlex'), (Code: $F6D3; Name: 'dblGrave'), (Code: $F6D4; Name: 'cyrbreve'), (Code: $F6D5; Name: 'cyrflex'), (Code: $F6D6; Name: 'dblgrave'), (Code: $F6D7; Name: 'dieresisacute'), (Code: $F6D8; Name: 'dieresisgrave'), (Code: $F6D9; Name: 'copyrightserif'), (Code: $F6DA; Name: 'registerserif'), (Code: $F6DB; Name: 'trademarkserif'), (Code: $F6DC; Name: 'onefitted'), (Code: $F6DD; Name: 'rupiah'), (Code: $F6DE; Name: 'threequartersemdash'), (Code: $F6DF; Name: 'centinferior'), (Code: $F6E0; Name: 'centsuperior'), (Code: $F6E1; Name: 'commainferior'), (Code: $F6E2; Name: 'commasuperior'), (Code: $F6E3; Name: 'dollarinferior'), (Code: $F6E4; Name: 'dollarsuperior'), (Code: $F6E5; Name: 'hypheninferior'), (Code: $F6E6; Name: 'hyphensuperior'), (Code: $F6E7; Name: 'periodinferior'), (Code: $F6E8; Name: 'periodsuperior'), (Code: $F6E9; Name: 'asuperior'), (Code: $F6EA; Name: 'bsuperior'), (Code: $F6EB; Name: 'dsuperior'), (Code: $F6EC; Name: 'esuperior'), (Code: $F6ED; Name: 'isuperior'), (Code: $F6EE; Name: 'lsuperior'), (Code: $F6EF; Name: 'msuperior'), (Code: $F6F0; Name: 'osuperior'), (Code: $F6F1; Name: 'rsuperior'), (Code: $F6F2; Name: 'ssuperior'), (Code: $F6F3; Name: 'tsuperior'), (Code: $F6F4; Name: 'Brevesmall'), (Code: $F6F5; Name: 'Caronsmall'), (Code: $F6F6; Name: 'Circumflexsmall'), (Code: $F6F7; Name: 'Dotaccentsmall'), (Code: $F6F8; Name: 'Hungarumlautsmall'), (Code: $F6F9; Name: 'Lslashsmall'), (Code: $F6FA; Name: 'OEsmall'), (Code: $F6FB; Name: 'Ogoneksmall'), (Code: $F6FC; Name: 'Ringsmall'), (Code: $F6FD; Name: 'Scaronsmall'), (Code: $F6FE; Name: 'Tildesmall'), (Code: $F6FF; Name: 'Zcaronsmall'), (Code: $F721; Name: 'exclamsmall'), (Code: $F724; Name: 'dollaroldstyle'), (Code: $F726; Name: 'ampersandsmall'), (Code: $F730; Name: 'zerooldstyle'), (Code: $F731; Name: 'oneoldstyle'), (Code: $F732; Name: 'twooldstyle'), (Code: $F733; Name: 'threeoldstyle'), (Code: $F734; Name: 'fouroldstyle'), (Code: $F735; Name: 'fiveoldstyle'), (Code: $F736; Name: 'sixoldstyle'), (Code: $F737; Name: 'sevenoldstyle'), (Code: $F738; Name: 'eightoldstyle'), (Code: $F739; Name: 'nineoldstyle'), (Code: $F73F; Name: 'questionsmall'), (Code: $F760; Name: 'Gravesmall'), (Code: $F761; Name: 'Asmall'), (Code: $F762; Name: 'Bsmall'), (Code: $F763; Name: 'Csmall'), (Code: $F764; Name: 'Dsmall'), (Code: $F765; Name: 'Esmall'), (Code: $F766; Name: 'Fsmall'), (Code: $F767; Name: 'Gsmall'), (Code: $F768; Name: 'Hsmall'), (Code: $F769; Name: 'Ismall'), (Code: $F76A; Name: 'Jsmall'), (Code: $F76B; Name: 'Ksmall'), (Code: $F76C; Name: 'Lsmall'), (Code: $F76D; Name: 'Msmall'), (Code: $F76E; Name: 'Nsmall'), (Code: $F76F; Name: 'Osmall'), (Code: $F770; Name: 'Psmall'), (Code: $F771; Name: 'Qsmall'), (Code: $F772; Name: 'Rsmall'), (Code: $F773; Name: 'Ssmall'), (Code: $F774; Name: 'Tsmall'), (Code: $F775; Name: 'Usmall'), (Code: $F776; Name: 'Vsmall'), (Code: $F777; Name: 'Wsmall'), (Code: $F778; Name: 'Xsmall'), (Code: $F779; Name: 'Ysmall'), (Code: $F77A; Name: 'Zsmall'), (Code: $F7A1; Name: 'exclamdownsmall'), (Code: $F7A2; Name: 'centoldstyle'), (Code: $F7A8; Name: 'Dieresissmall'), (Code: $F7AF; Name: 'Macronsmall'), (Code: $F7B4; Name: 'Acutesmall'), (Code: $F7B8; Name: 'Cedillasmall'), (Code: $F7BF; Name: 'questiondownsmall'), (Code: $F7E0; Name: 'Agravesmall'), (Code: $F7E1; Name: 'Aacutesmall'), (Code: $F7E2; Name: 'Acircumflexsmall'), (Code: $F7E3; Name: 'Atildesmall'), (Code: $F7E4; Name: 'Adieresissmall'), (Code: $F7E5; Name: 'Aringsmall'), (Code: $F7E6; Name: 'AEsmall'), (Code: $F7E7; Name: 'Ccedillasmall'), (Code: $F7E8; Name: 'Egravesmall'), (Code: $F7E9; Name: 'Eacutesmall'), (Code: $F7EA; Name: 'Ecircumflexsmall'), (Code: $F7EB; Name: 'Edieresissmall'), (Code: $F7EC; Name: 'Igravesmall'), (Code: $F7ED; Name: 'Iacutesmall'), (Code: $F7EE; Name: 'Icircumflexsmall'), (Code: $F7EF; Name: 'Idieresissmall'), (Code: $F7F0; Name: 'Ethsmall'), (Code: $F7F1; Name: 'Ntildesmall'), (Code: $F7F2; Name: 'Ogravesmall'), (Code: $F7F3; Name: 'Oacutesmall'), (Code: $F7F4; Name: 'Ocircumflexsmall'), (Code: $F7F5; Name: 'Otildesmall'), (Code: $F7F6; Name: 'Odieresissmall'), (Code: $F7F8; Name: 'Oslashsmall'), (Code: $F7F9; Name: 'Ugravesmall'), (Code: $F7FA; Name: 'Uacutesmall'), (Code: $F7FB; Name: 'Ucircumflexsmall'), (Code: $F7FC; Name: 'Udieresissmall'), (Code: $F7FD; Name: 'Yacutesmall'), (Code: $F7FE; Name: 'Thornsmall'), (Code: $F7FF; Name: 'Ydieresissmall'), (Code: $F8E5; Name: 'radicalex'), (Code: $F8E6; Name: 'arrowvertex'), (Code: $F8E7; Name: 'arrowhorizex'), (Code: $F8E8; Name: 'registersans'), (Code: $F8E9; Name: 'copyrightsans'), (Code: $F8EA; Name: 'trademarksans'), (Code: $F8EB; Name: 'parenlefttp'), (Code: $F8EC; Name: 'parenleftex'), (Code: $F8ED; Name: 'parenleftbt'), (Code: $F8EE; Name: 'bracketlefttp'), (Code: $F8EF; Name: 'bracketleftex'), (Code: $F8F0; Name: 'bracketleftbt'), (Code: $F8F1; Name: 'bracelefttp'), (Code: $F8F2; Name: 'braceleftmid'), (Code: $F8F3; Name: 'braceleftbt'), (Code: $F8F4; Name: 'braceex'), (Code: $F8F5; Name: 'integralex'), (Code: $F8F6; Name: 'parenrighttp'), (Code: $F8F7; Name: 'parenrightex'), (Code: $F8F8; Name: 'parenrightbt'), (Code: $F8F9; Name: 'bracketrighttp'), (Code: $F8FA; Name: 'bracketrightex'), (Code: $F8FB; Name: 'bracketrightbt'), (Code: $F8FC; Name: 'bracerighttp'), (Code: $F8FD; Name: 'bracerightmid'), (Code: $F8FE; Name: 'bracerightbt'), (Code: $FB00; Name: 'ff'), (Code: $FB01; Name: 'fi'), (Code: $FB02; Name: 'fl'), (Code: $FB03; Name: 'ffi'), (Code: $FB04; Name: 'ffl'), (Code: $FB1F; Name: 'afii57705'), (Code: $FB2A; Name: 'afii57694'), (Code: $FB2B; Name: 'afii57695'), (Code: $FB35; Name: 'afii57723'), (Code: $FB4B; Name: 'afii57700'));


Reference for unit 'PostScriptUnicode'

uses

  System,

  Classes,

  sysutils,

  Math,

  Maps;


Reference for unit 'PostScriptUnicode': Constants

GLYPHCOUNT

GlyphsArr


Reference for unit 'PostScriptUnicode': Types

PGlyph

TGlyph

TUnicodeBlock


Reference for unit 'PostScriptUnicode': Classes

TPsUnicode


Index of all identifiers in unit 'PostScriptUnicode'

G P T

G

GLYPHCOUNT GlyphsArr

P

PGlyph

T

TGlyph TPsUnicode TUnicodeBlock


PGlyph

Declaration

Source position: postscriptunicode.pas line 27

type PGlyph = ^TGlyph;


TGlyph

Declaration

Source position: postscriptunicode.pas line 28

type TGlyph = record

  Code: Word;

  Name: string;

end;


TUnicodeBlock

Declaration

Source position: postscriptunicode.pas line 23

type TUnicodeBlock = record

  Ini: Integer;

  Fin: Integer;

  PSCount: Integer;

end;


Reference for unit 'Printers'

Defines Printers to be used as output from Lazarus applications

uses
System,
Classes,
sysutils,
LCLProc, | Useful lower level helper functions and classes
Graphics; | Unit contains definitions for many fundamental classes and types used in graphic applications


Reference for unit 'Printers': Types

TFilePrinterCanvasClass
TPaperItem
TPaperRect | TPaperRect - a record holding details of physical and working dimensions for paper
TPrinterCanvasRef | TPrinterCanvasRef - class of TPrinterCanvas: referenced class
TPrinterCapabilities |
TPrinterCapability |
TPrinterFlags
TPrinterOrientation |
TPrinterState |
TPrinterType |


Reference for unit 'Printers': Classes

EPrinter | EPrinter - Exception handler for printer error
TFilePrinterCanvas
TPaperSize | TPaperSize - the size of the paper to be used for the current document with the current printer
TPrinter | TPrinter - class defining printer to be used in Lazarus applications
TPrinterCanvas | TPrinterCanvas - instance of TCanvas specially designed for printers


Reference for unit 'Printers': Variables

Printer


Index of all identifiers in unit 'Printers'

E P T

E

EPrinter

P

pcCollation | poReverseLandscape | psReady
pcCopies | poReversePortrait | psStopped
pcOrientation | Printer | ptLocal
poLandscape | psNoDefine | ptNetWork
poPortrait | psPrinting |

T

TFilePrinterCanvas | TPrinter | TPrinterFlags
TFilePrinterCanvasClass | TPrinterCanvas | TPrinterOrientation
TPaperItem | TPrinterCanvasRef | TPrinterState
TPaperRect | TPrinterCapabilities | TPrinterType
TPaperSize | TPrinterCapability |


Printer

Declaration

Source position: printers.pas line 319

var Printer: TPrinter = Nil;


TPaperItem

Declaration

Source position: printers.pas line 130

type TPaperItem = record

  PaperName: string;

  PaperRect: TPaperRect;

end;


TPaperRect

TPaperRect - a record holding details of physical and working dimensions for paper

Declaration

Source position: printers.pas line 125

type TPaperRect = record

  PhysicalRect: TRect;

  WorkRect: TRect;

end;


TPrinterCapabilities

Declaration

Source position: printers.pas line 32

type TPrinterCapabilities = set of (

  pcCopies,

  pcOrientation,

  pcCollation

);


TPrinterCapability

Declaration

Source position: printers.pas line 31

type TPrinterCapability = (

  pcCopies,

  pcOrientation,

  pcCollation

);


TPrinterFlags

Declaration

Source position: printers.pas line 179

type TPrinterFlags = set of (

  pfPrinting,

  pfAborted,

  pfDestroying,

  pfPrintersValid,

  pfRawMode

);


TPrinterOrientation

Declaration

Source position: printers.pas line 30

type TPrinterOrientation = (

  poPortrait,

  poLandscape,

  poReverseLandscape,

  poReversePortrait

);


TPrinterState

Declaration

Source position: printers.pas line 33

type TPrinterState = (

  psNoDefine,

  psReady,

  psPrinting,

  psStopped

);


TPrinterType

Declaration

Source position: printers.pas line 34

type TPrinterType = (

  ptLocal,

  ptNetWork

);


Reference for unit 'PropertyStorage'

uses

  System,

  Classes,

  sysutils,

  RTLConsts,

  rttiutils;


Reference for unit 'PropertyStorage': Types

TPlacementOperation | Enum indicating property save or restore operation.
TPropertyStorageSaveExceptionEvent
TStoredType | An AnsiString or Variant, holding the property values.
TStoredValueEvent | Type of an TStoredValue.OnSave and OnRestore notification handler.


Reference for unit 'PropertyStorage': Classes

TCustomPropertyStorage | Provides abstract means to Save/Restore properties.
TPropertyStorageLink | Links a storage object to a property collection.
TStoredValue | A key/value pair, representing an property value, with added Save/Restore features.
TStoredValues | A collection of property name/value pairs.


Index of all identifiers in unit 'PropertyStorage'

P T

P

poRestore poSave

T

TCustomPropertyStorage | TPropertyStorageSaveExceptionEvent | TStoredValueEvent
TPlacementOperation | TStoredType | TStoredValues
TPropertyStorageLink | TStoredValue |


TPlacementOperation

Enum indicating property save or restore operation.

Declaration

Source position: propertystorage.pas line 21

type TPlacementOperation = (
poSave, | The property is being saved.
poRestore | The property is being restored.
);


TPropertyStorageSaveExceptionEvent

Declaration

Source position: propertystorage.pas line 110

type TPropertyStorageSaveExceptionEvent = procedure(

  Sender: TObject;

  const ExClassName: string;

  const ExMessage: string

) of object;


TStoredType

An AnsiString or Variant, holding the property values.

Declaration

Source position: propertystorage.pas line 31

type TStoredType = AnsiString;


Reference for unit 'RegisterLCL'

uses
System,
LazarusPackageIntf,
Menus, | Menus to be used in Forms created with the Lazarus IDE
Buttons, | Defines several specialist button classes
StdCtrls, | Several standard controls used in most Lazarus forms
ExtCtrls, | Some extra controls commonly used in Lazarus forms
ComCtrls, | Several controls commonly used in Lazarus forms
MaskEdit, | Defines classes for Mask Editing, ie editing with a masking string in place to obscure the text being entered
CheckLst, | Classes defining the CheckBox placed beside list items in a CheckList
Forms, | Contains definitions and descriptions for constructing the Forms which are the basis of the Lazarus Graphical User Interface
Grids, | Classes for displaying tabular data in the form of a grid of rows and columns
Controls, | This unit contains basic classes for visual controls.
Dialogs, | Some dialogs commonly used in Lazarus applications. Look at the Procedures as well as the Classes
Spin, | This unit contains classes for spin edit controls.
Arrow, | Defines the Arrow symbol widely used in Forms
Calendar, | Classes defining Calendar, a graphic allowing the user to select a date
PairSplitter, |
ExtDlgs, | Some useful extra dialogs such as Calendar, Calculator and Open/Save Picture
StdActns, | Defines some standard actions to be used in Action Lists in the LCL
DBCtrls, | Data-Aware controls commonly used for viewing and operating on information held in databases
DBExtCtrls, | dbextctrls.pp contains extended database controls
DBGrids, | Data-aware grids to display and operate on information in a database
DBActns, | Standard actions to be used for navigating and manipulating datasets derived from external databases
EditBtn, | Defines some special Edit Boxes with attached Speed Buttons
ActnList, | Defines classes for Actions and Lists of actions to be used with LCL components
FileCtrl, | Class definitions for a box with a list of files for selection
Graphics, | Unit contains definitions for many fundamental classes and types used in graphic applications
XMLPropStorage, | Contains a component that stores Form Session Properties in XML format.
IniPropStorage, | Contains a component that stores Form Session Properties in INI format.
JSONPropStorage, | Contains a component that stores Form Session Properties in JSON format.
ColorBox, | Defines Classes for selecting colour from a list or ComboBox
ButtonPanel, | A special panel containing a row of BitButtons
LResources, | This unit maintains and stores all standard Lazarus resources in the global LazarusResources list and provides methods and types for component streaming.
LazHelpHTML, |
PopupNotifier, | Contains the TPopupNotifier visual component
AsyncProcess, |
UTF8Process,
ShellCtrls, | Controls which display files and directories
ValEdit, |
ComboEx; |


Reference for unit 'RegisterLCL': Procedures and functions

Register

RegisterLCLBase


Index of all identifiers in unit 'RegisterLCL'

R

R

Register RegisterLCLBase


Reference for unit 'RubberBand'

Describes TRubberBand, for drawing a ring resembling a rubber band around a selection

uses

  System,

  Classes,

  Controls;

This unit contains basic classes for visual controls.


Reference for unit 'RubberBand': Types

TRubberBandShape


Reference for unit 'RubberBand': Classes

TCustomRubberBand | TCustomRubberBand - base class for TRubberBand, for drawing a ring resembling a rubber band around a selection
TRubberBand | TRubberBand for drawing a ring resembling a rubber band around a selection


Index of all identifiers in unit 'RubberBand'

R T

R

rbsLine rbsRectangle

T

TCustomRubberBand TRubberBand TRubberBandShape


Reference for unit 'ShellCtrls'

Controls which display files and directories

uses
System,
Classes,
sysutils,
Laz_AVL_Tree,
Forms, | Contains definitions and descriptions for constructing the Forms which are the basis of the Lazarus Graphical User Interface
Graphics, | Unit contains definitions for many fundamental classes and types used in graphic applications
ComCtrls, | Several controls commonly used in Lazarus forms
LCLProc, | Useful lower level helper functions and classes
LCLStrConsts, | This unit contains all resource strings of the LCL
FileUtil,
LazFileUtils,
LazUTF8;


Reference for unit 'ShellCtrls': Types

TCSLVFileAddedEvent
TFileSortType | Ways in which the shell control should sort its contents
TObjectType | Indicates which objects should be visible in a shell control
TObjectTypes | Indicates which objects should be visible in a shell control


Reference for unit 'ShellCtrls': Classes

EInvalidPath
EShellCtrl
TCustomShellListView | The base class for list view control to display the files, directories and other objects (such as devices) from the file system structure
TCustomShellTreeView | The base class for tree view control to display the files, directories and other objects (such as devices) from the file system structure
TShellListView | The main class for list view control to display the files, directories and other objects (such as devices) from the file system structure
TShellTreeNode
TShellTreeView | The main class for tree view control to display the files, directories and other objects (such as devices) from the file system structure


Reference for unit 'ShellCtrls': Procedures and functions

DbgS

Register


Index of all identifiers in unit 'ShellCtrls'

D E F O R T

D

DbgS

E

EInvalidPath EShellCtrl

F

fstAlphabet fstFoldersFirst fstNone

O

otFolders otHidden otNonFolders

R

Register

T

TCSLVFileAddedEvent | TFileSortType | TShellListView
TCustomShellListView | TObjectType | TShellTreeNode
TCustomShellTreeView | TObjectTypes | TShellTreeView


TCSLVFileAddedEvent

Declaration

Source position: shellctrls.pas line 194

type TCSLVFileAddedEvent = procedure(

  Sender: TObject;

  Item: TListItem

) of object;


TFileSortType

Ways in which the shell control should sort its contents

Declaration

Source position: shellctrls.pas line 46

type TFileSortType = (
fstNone, | No special sorting is done, items will appear in whatever order the file system provides
fstAlphabet, | Items are sorted alfabetically with folders and files mixed
fstFoldersFirst | Items are sorted alfabetically and folders are placed in the beginning of the list
);


TObjectType

Indicates which objects should be visible in a shell control

Declaration

Source position: shellctrls.pas line 42

type TObjectType = (
otFolders, | Indicates that folders, also known as directories, should be visible. This include folders which represent virtual objects such as hard drives. Hidden folders are shown only if otHidden is also present.
otNonFolders, | Indicates that non-folder objects should be shown, which are usually files. Hidden files will be shown if otHidden is also present.
otHidden | Indicates that hidden objects should be shown. This value is meaningful together with one of the other values.
);


TObjectTypes

Indicates which objects should be visible in a shell control

Declaration

Source position: shellctrls.pas line 44

type TObjectTypes = set of (
otFolders, | Indicates that folders, also known as directories, should be visible. This include folders which represent virtual objects such as hard drives. Hidden folders are shown only if otHidden is also present.
otNonFolders, | Indicates that non-folder objects should be shown, which are usually files. Hidden files will be shown if otHidden is also present.
otHidden | Indicates that hidden objects should be shown. This value is meaningful together with one of the other values.
);


Reference for unit 'Spin'

This unit contains classes for spin edit controls.

uses
System,
Types,
Classes,
Controls, | This unit contains basic classes for visual controls.
sysutils,
LCLType, | This unit is being created specifically for compatibility with Delphi. It should only be used for constants and type definitions that are included in the Delphi Windows unit. This is only done for compatibiltiy.
LCLProc, | Useful lower level helper functions and classes
StdCtrls, | Several standard controls used in most Lazarus forms
Math;


Reference for unit 'Spin': Classes

TCustomFloatSpinEdit | The base class for the float-based spin control
TCustomSpinEdit | The base class for the integer-based spin control
TFloatSpinEdit | The main class for the float-based spin control
TSpinEdit | The main class for the integer-based spin control


Reference for unit 'Spin': Procedures and functions

Register


Index of all identifiers in unit 'Spin'

R T

R

Register

T

TCustomFloatSpinEdit | TFloatSpinEdit
TCustomSpinEdit | TSpinEdit


Reference for unit 'StdActns'

Defines some standard actions to be used in Action Lists in the LCL

uses
System,
Classes,
sysutils,
ActnList, | Defines classes for Actions and Lists of actions to be used with LCL components
Forms, | Contains definitions and descriptions for constructing the Forms which are the basis of the Lazarus Graphical User Interface
Dialogs, | Some dialogs commonly used in Lazarus applications. Look at the Procedures as well as the Classes
StdCtrls, | Several standard controls used in most Lazarus forms
Clipbrd; | Definitions for the Clipboard to hold Cut or Copied data for Pasting


Reference for unit 'StdActns': Types

TCommonDialogClass

TCommonDialogClass - class of TCommonDialog


Reference for unit 'StdActns': Classes

TColorSelect | TColorSelect - standard action for opening a Colour Selection dialog
TCommonDialogAction | TCommonDialogAction - base class for providing actions associated with Dialogs
TEditAction | TEditAction - base class for actions associated with the various Edit menu options
TEditCopy | TEditCopy - standard action associated with the Edit Copy menu option
TEditCut | TEditCut- standard action associated with the Edit Cut menu option
TEditDelete | TEditDelete - standard action associated with the Edit Delete menu option
TEditPaste | TEditPaste - standard action associated with the Edit Paste menu option
TEditSelectAll | TEditSelectAll - standard action associated with the Edit Select All menu option
TEditUndo | TEditUndo - standard action associated with the Edit Undo menu option
TFileAction | TFileAction - base class for providing actions associated with various file dialogs and menu options
TFileExit | TFileExit - standard action (closing file and terminating application) associated with the File Exit menu option
TFileOpen | TFileOpen - standard action (including opening a dialog) associated with the File Open menu option
TFileOpenWith | TFileOpenWith - standard action (including opening a dialog) associated with the File Open With menu option
TFileSaveAs | TFileSaveAs - standard action (including opening a dialog) associated with the File Save As menu option
TFontEdit | TFontEdit - standard action for opening a Font Edit dialog
THelpAction | THelpAction - base class for actions associated with the various Help menu options
THelpContents | THelpContents - standard action associated with the Help Contents menu option
THelpContextAction | THelpContextAction - standard action for providing context-sensitive Help
THelpOnHelp | THelpOnHelp - standard action associated with the Help On Help menu item (ie how to get help)
THelpTopicSearch | THelpTopicSearch - standard action associated with the Help Topic Search menu option
THintAction | THintAction - standard action for dealing with requests for a Hint
TSearchAction | TSearchAction - base class for the actions associated with the various Search menu options
TSearchFind | TSearchFind - the action associated with a Search and Find dialog (as opposed to search and replace)
TSearchFindFirst | TSearchFindFirst - Search action to find the first match
TSearchFindNext | TSearchFindNext - search action to find the next match
TSearchReplace | TSearchReplace - action associated with the Search and Replace menu option and dialogs


Reference for unit 'StdActns': Procedures and functions

Register


Index of all identifiers in unit 'StdActns'

R T

R

Register

T

TColorSelect | TEditUndo | THelpContextAction
TCommonDialogAction | TFileAction | THelpOnHelp
TCommonDialogClass | TFileExit | THelpTopicSearch
TEditAction | TFileOpen | THintAction
TEditCopy | TFileOpenWith | TSearchAction
TEditCut | TFileSaveAs | TSearchFind
TEditDelete | TFontEdit | TSearchFindFirst
TEditPaste | THelpAction | TSearchFindNext
TEditSelectAll | THelpContents | TSearchReplace


TCommonDialogClass

TCommonDialogClass - class of TCommonDialog

Declaration

Source position: stdactns.pas line 122

type TCommonDialogClass = class of TCommonDialog;


DefaultComboBoxAutoCompleteText

Set of [cbactEndOfLineComplete, cbactSearchAscending]

Declaration

Source position: stdctrls.pp line 247

const DefaultComboBoxAutoCompleteText = [cbactEndOfLineComplete, cbactSearchAscending];

See also

TComboBoxAutoCompleteTextOption

Defines the behavior of the AutoComplete feature in a combobox control.


How to use

[Up] Reference for unit 'StdCtrls' (#lcl)

How to use StdCtrls, ComCtrls or ExtCtrls

The Units StdCtrls, ComCtrls and ExtCtrls contain definitions and descriptions of many of the most commonly used controls for constructing Forms and other objects in Lazarus GUI applications.

Most controls are split into a final class, such as TButton, TMemo, TScrollBar etc., and a corresponding ancestor class such as TCustomButton, TCustomMemo or TCustomScrollBar. The final class is designed for immediate use, it almost only publishes the properties of the control. The corresponding custom ancestor class (TCustomXXX) can be used to derive controls with special (customized) appearance or behaviour.

If you drop a component from the component palette on the form editor you don't need to add code explicitly to create it. The component is automatically created by the IDE together with the form, and destroyed when the form is destroyed.

However, if you create the component yourself by code, and don't specify an Owner for it (Create(Nil)), you are responsible for freeing the component when it is no longer needed. You better construct it with Create(Self), where Self means the containing Form or Parent control.

A control also must have a Parent control, maybe the Form, so that it can become visible within the client area of its Parent. The Top and Left properties specify the placement of the control within its Parent. The Object Tree reflects the Parent-Client relationships of all controls on the form.

Unlike controls, mere components are invisible at runtime (Open Dialogs...). Controls can be made invisible at runtime as well, by setting their Visible property to False.

If you place a component on the Form Designer and look at the Object Inspector, you can observe the Top and Left properties change as you move the component around. The same for the Width and Height properties, when you resize a control by dragging it's size grips.

When you modify the properties in the Object Inspector, the control on the form will reflect the changes as well.

You can also explicitly change the properties of the object in code by typing (in the appropriate Implementation section of the Source editor), for example

Form1.Button1.Height := 48;

In summary, there are usually about three different ways to determine each property of a component:

  • by using the mouse,
  • by setting the values in the Object Inspector,
  • or explicitly by writing code.

The components defined in these Units have several properties that are common to most of them, and other properties that are specific to the individual components. We shall describe the most common ones here. Unusual or control-specific properties will be described for the individual controls.

Additional Help can always be obtained by selecting a property or keyword, in either the Object Inspector or the Source Editor, and pressing F1. You will be taken by your Help browser to the appropriate page in the documentation.

If the description of a property on that page is insufficient, you can navigate to the corresponding description in the ancestor classes, by selecting the links in the Inheritance listing or by selecting the ancestor Type in the declaration of the object.

Some commonly listed properties
Property | Meaning
Action | Use Action when e.g. a button and a menu entry shall perform the same task, e.g. the Close action.
Align | Defines how a control is lined up within its parent control. Possible values are alTop, alBottom (stacked at the top or bottom, using the full available width), alLeft, alRight (placed at the left or right, using the full available height), alNone (place anywhere on parent control) or alClient (takes all available space left over by other controls).
Anchor | Used to keep a control at a fixed distance from the edges of its Parent control, when the Parent is resized. For example [akBottom, akRight] will keep the control a fixed distance from the bottom right corner. Anchoring both [akLeft, akRight] will make the control extend or shrink in Width, together with its Parent.
AutoSelect | When True, a text control will select all its text when it receives focus or when the Enter key is pressed.
AutoSelected | True indicate that the edit or combobox control has performed an AutoSelect operation, so that subsequent mouse-clicks and keystrokes proceed normally without selecting the text.
BorderSpacing | The space around the edge between an control and its siblings.
Caption | The text that is displayed on the control; it should preferably give some clue as to the function of the control, or an instruction such as 'Close' or 'Execute'. By default Caption is set to be the same as the 'Name' property, and the application designer should substitute meaningful text instead of the default values.
CharCase | Indicates how text is displayed in a text editing control: Normal (retaining the case of the letters typed by the user), converted to uppercase, or converted to lowercase
Constraints | Sets the minimum and maximum sizes for a control. If a control is resized the new dimensions are always within the ranges given here. You should take care when setting these options that they do not conflict with the Anchors and Align settings.
Color | The Color to be used to draw the control's background.
Enabled | Determines whether a control can be selected or perform an action. If it is not Enabled, it is often Grayed out on the Form.
Font | The Font to be used for writing the text associated with the control - either the caption or label, or the text-strings contained within the control. The entry on the Object Inspector usually has a (+) box on the left, and selecting this box reveals further options such as character set, color and size.
Hint | A short informative pop-up text that appears when the mouse-cursor moves over the control.
Items | The list of 'Things' that the object contains, such as a group of images, a series of lines of text, a number of actions in an actionlist, etc
Lines | An array of strings, containing the paragraph texts in Memo controls. The array index is zero-based, ie the lines are numbered [0..numLines-1]
Name | The identifier by which the control is known in the program. The IDE gives it a default name based on the underlying type, for example successive instances of TBitButton would be named Form1.BitBitton1 and Form1.BitButton2; it is up to the application programmer to give them more meaningful names such as ExitButton or OKButton. By default the Name of the control is applied to the Caption for the control, but the text of the Caption may be changed separately.
PopUpMenu | A window containing context-sensitive menu entries, that pops up when the right mouse button is clicked on the object.
Position (or Top, Left) | Determines where the control is located on the parent form or control.
ReadOnly | If True, the user cannot change the text in the control.
ShowHint | Allows to enable or suppress Hints.
Size (or Height and Width) | The dimensions of the control
Style | The options available for Style depend upon the sort of Control being considered: for instance the Style may be defined by TFormStyle, TBorderStyle, TButtonStyle etc.
TabOrder | Specifies the sequence of controls, that are entered when the user presses the Tab key.
TabStop | Specifies whether the control can be reached (or is skipped) by pressing the Tab key.
Text | Like Caption, the user editable text that appears in the control. Applies particularly to Edit, Memo and ComboBox types of controls. Most of the editing operations (such as Select, Clear, Cut, Copy) are performed in this property. If the control contains more than a single line of text, then the textual elements are arranged as a zero-based array of strings in Lines (TMemo) or Items (TListBox, TComboBox).
Visible | If true, the control can be seen on the Form; if False, it is hidden.
WordWrap | Allows to wrap the Text into multiple lines. When False, the text is clipped at the right margin of the control, but it still can be inspected by moving the caret within the text.

The 'Events' tab in the Object Inspector contains a list with events, which can occur for this control. If you select an entry in the list, a ComboBox appears with a DropDown list showing any event handlers that have aleady been defined, and allowing you to choose one for this event. Alternatively you can select the ellipsis (three dots ...) and you will be taken to the Source Editor, where the Object Inspector created an new event handler method for you. You also can type the name of your handler in the Object Inspector and press Enter, to create a new handler method.

While a large number of events is available for any given control, in practice it is only necessary to populate a few of them. For most controls, it is sufficient to provide coding for 'OnClick'; for more complex controls it may be necessary also to provide for 'OnEntry' (when the control receives the focus) and 'OnExit' (when the control looses the focus); or you may need to write an event handler for 'OnChange' or 'OnScroll', depending on the nature of the particular control with which you are dealing.

Many controls have a default event, usually OnClick, for which an handler is created with a double click on the control. Or right click on the control, and select the first entry: 'Create default event'.

A common strategy in Object-Oriented programming is to provide an ActionList with the facility for entering, removing or editing a number of pre-defined actions, from which the most appropriate can be selected to use in any particular instance.

Some commonly listed Actions
Event | Meaning
OnChange | Action to be taken if any change is detected (e.g. by mouse click, key press, edit text, etc)
OnClick | Action to be taken when the (left) mouse button is clicked. This is usually the main or default action of the control; for example clicking on a button or checkbox initiates the action associated with the checkbox. It may alternatively initate a process of selection, for instance in a TextBox or Memo.
Click | A method to emulate in code the effect of clicking on a control. This method is most often found in Button-type controls (TButton, TBitBtn, TSpeedButton etc). A procedure can be written that calls the same code as the OnClick action. This facility can be particularly useful if the activation of one control by clicking causes a cascade of other controls to be activated, and the Click method can be used to initiate the action rather than having the user explicitly click on a lot of controls.
OnDragDrop | Action to be taken when a dragged control has been dropped onto this control.
OnEntry | Action to be taken when the control receives the focus. This might include changes in the appearance of the object such as highlighting or raising the border.
OnExit | Action to be taken when control is about to loose the focus. This is the right place for validity checks of user input, with a chance to disallow moving to a different control when the input is invalid.
OnKeyPress | Action to be taken on an entered character. Checks...
OnKeyDown | Action to be taken if a key is down while focus is in this control. This allows one to filter or process control characters in a special way.
OnKeyUp | Action to be taken if a key goes up. This event occurs only once, while auto-repeated keystrokes trigger multiple OnKeyDown or OnKeyPress events.
OnMouseMove | Action to be taken if the mouse cursor moves over the control. This event fires with every small move, while OnMouseEnter and OnMouseLeave occur only when the mouse enters or leaves the control.
OnMouseDown | Action to be taken when a mouse button is pressed over the control.
OnMouseUp | Action to be taken if a mouse button goes up over the control.
OnResize | Action to be taken when the control is resized. Might include re-alignment of text or selection of a different font size etc. Do not mix up with AutoSize, or you ask for trouble!

Constructors such as Create allocate memory and system resources needed by the object. They also call the constructor of any sub-objects present in the class.

Destructors: remove the object and de-allocate memory and other resources. If you call Destroy for an object which hasn't being initialized yet it will generate an error. Always use the Free method to deallocate objects, because it checks whether an object's value is nil before invoking Destroy.

Take the following precautions when creating your own Destroy method:

  • Declare Destroy with the override directive, because it is a virtual method.
  • Always call 'inherited Destroy;' as the last thing on the destructor code.
  • Be aware that an exception may be raised on the constructor in case there is not enough memory to create an object, or something else goes wrong. If the exception is not handled inside the constructor, the object will destroyed immediately. In this case Destroy will be called with a partially initialized object, so your destructor must check if the resources were really allocated before disposing of them.
  • Remember to call Free for all objects created on the constructor.


Reference for unit 'StdCtrls'

Several standard controls used in most Lazarus forms

uses
System,
Classes,
sysutils,
Types,
LCLStrConsts, | This unit contains all resource strings of the LCL
LCLType, | This unit is being created specifically for compatibility with Delphi. It should only be used for constants and type definitions that are included in the Delphi Windows unit. This is only done for compatibiltiy.
LCLProc, | Useful lower level helper functions and classes
LCLIntf, | Contains winapi like functions for Delphi compatibility.
LMessages, |
LResources, | This unit maintains and stores all standard Lazarus resources in the global LazarusResources list and provides methods and types for component streaming.
Graphics, | Unit contains definitions for many fundamental classes and types used in graphic applications
ActnList, | Defines classes for Actions and Lists of actions to be used with LCL components
Controls, | This unit contains basic classes for visual controls.
Forms, | Contains definitions and descriptions for constructing the Forms which are the basis of the Lazarus Graphical User Interface
Menus, | Menus to be used in Forms created with the Lazarus IDE
Themes, | For manipulation of display Themes, mostly in a Windows XP (and later) environment
TextStrings,
ExtendedStrings,
LazUTF8,
LazMethodList,
LazLoggerBase,
LazUtilities;

Related topics

HowToUseStdCtrls

How to use StdCtrls, ComCtrls or ExtCtrls


Reference for unit 'StdCtrls': Constants

DefaultComboBoxAutoCompleteText

Set of [cbactEndOfLineComplete, cbactSearchAscending]


Reference for unit 'StdCtrls': Types

TButtonActionLinkClass | class of TButtonActionLink
TCheckBoxState | The states of a checkbox - Unchecked, Checked or Greyed.
TComboBoxAutoCompleteText | Set of TComboBoxAutoCompleteTextOption.
TComboBoxAutoCompleteTextOption | Defines the behavior of the AutoComplete feature in a combobox control.
TComboBoxStyle | The styles of a combobox.
TDrawItemEvent | The handler type for painting a single item of owner-draw list and combo boxes.
TEchoMode | How text in the edit box is displayed.
TEditCharCase | The case of text displayed in an edit box or combobox.
TListBoxOption
TListBoxOptions
TListBoxStyle | Determines how items are drawn in a ListBox.
TMeasureItemEvent | The handler type for the determination of the Height of a single item in owner-draw list and combo boxes.
TOwnerDrawState |
TScrollCode | The scroll action type, as reported by the widget.
TScrollEvent | Handler type for scrolling events.
TScrollStyle | The appearance of scroll bars on a control.
TSelectionChangeEvent | Handler type for change notifications from a ListBox.
TStaticBorderStyle | The border style of static text controls.


Reference for unit 'StdCtrls': Classes

TButton | A push button control.
TButtonActionLink | Links an button to an action.
TButtonControl | The base class for various button controls.
TCheckBox | A label with a box which can contain a check mark.
TComboBox | A combination of an edit box and a (drop-down) list allowing one of several options to be chosen.
TCustomButton | The base class for clickable buttons (TButton and TBitBtn).
TCustomCheckBox | The base class for checkbox components.
TCustomComboBox | The base class for ComboBox components.
TCustomEdit | The base class for controls presenting editable text.
TCustomGroupBox | The base class for TGroupBox, TRadioGroup and TCheckGroup.
TCustomLabel | The base class for TLabel.
TCustomListBox | The base class for TListBox.
TCustomMemo | The base class for multi-line text controls.
TCustomScrollBar | The base class for TScrollBar.
TCustomStaticText | The base class for TStaticText.
TEdit | A control with a single line of editable text.
TGroupBox | A container that allows a number of objects to be grouped physically and conceptually on a form.
TLabel | Control to show static text, possibly in multiple lines.
TListBox | A scrollable list of strings.
TMemo | Control for editable multi-line text.
TMemoScrollbar | A ScrollBar for use in Memo Boxes.
TRadioButton | A selection button that works with other Radio Buttons in a mutually exclusive way - if one button is selected, none of the others in the group can be selected.
TScrollBar | A control that allows the user to scroll the content of an associated control by moving an slider.
TStaticText | Control to display an constant text.
TToggleBox | A labelled box capable of being checked or unchecked


Reference for unit 'StdCtrls': Procedures and functions

Register

Registers the components declared in this unit.


Index of all identifiers in unit 'StdCtrls'

C D E L R S T

C

cbactEnabled | cbChecked | csOwnerDrawEditableFixed
cbactEndOfLineComplete | cbGrayed | csOwnerDrawEditableVariable
cbactRetainPrefixCase | cbUnchecked | csOwnerDrawFixed
cbactSearchAscending | csDropDown | csOwnerDrawVariable
cbactSearchCaseSensitive | csDropDownList | csSimple

D

DefaultComboBoxAutoCompleteText

E

ecLowerCase | ecUppercase | emNormal
ecNormal | emNone | emPassword

L

lboDrawFocusRect | lbOwnerDrawVariable | lbVirtual
lbOwnerDrawFixed | lbStandard |

R

Register

S

sbsNone | scPageDown | ssAutoVertical
sbsSingle | scPageUp | ssBoth
sbsSunken | scPosition | ssHorizontal
scBottom | scTop | ssNone
scEndScroll | scTrack | ssVertical
scLineDown | ssAutoBoth |
scLineUp | ssAutoHorizontal |

T

TButton | TCustomLabel | TMeasureItemEvent
TButtonActionLink | TCustomListBox | TMemo
TButtonActionLinkClass | TCustomMemo | TMemoScrollbar
TButtonControl | TCustomScrollBar | TOwnerDrawState
TCheckBox | TCustomStaticText | TRadioButton
TCheckBoxState | TDrawItemEvent | TScrollBar
TComboBox | TEchoMode | TScrollCode
TComboBoxAutoCompleteText | TEdit | TScrollEvent
TComboBoxAutoCompleteTextOption | TEditCharCase | TScrollStyle
TComboBoxStyle | TGroupBox | TSelectionChangeEvent
TCustomButton | TLabel | TStaticBorderStyle
TCustomCheckBox | TListBox | TStaticText
TCustomComboBox | TListBoxOption | TToggleBox
TCustomEdit | TListBoxOptions |
TCustomGroupBox | TListBoxStyle |


TDrawItemEvent

The handler type for painting a single item of owner-draw list and combo boxes.

Declaration

Source position: stdctrls.pp line 262

type TDrawItemEvent = procedure(

  Control: TWinControl;

  Index: Integer;

  ARect: TRect;

  State: TOwnerDrawState

) of object;

Arguments

Control | The control to draw.
Index | Index of the item to draw.
ARect | The item rectangle in the Canvas.
State | Flags describing the item state to draw (selected...).


TEchoMode

How text in the edit box is displayed.

Declaration

Source position: stdctrls.pp line 39

type TEchoMode = (
emNormal, | Characters are shown unmodified.
emNone, | All characters shown as spaces.
emPassword | All characters shown as PasswordChar.
);


TMeasureItemEvent

The handler type for the determination of the Height of a single item in owner-draw list and combo boxes.

Declaration

Source position: stdctrls.pp line 264

type TMeasureItemEvent = procedure(

  Control: TWinControl;

  Index: Integer;

  var AHeight: Integer

) of object;

Arguments

Control | The list or combo box.
Index | Index of the item to measure.
AHeight | Here the handler returns the Height of the item (in pixels).


TOwnerDrawState

Declaration

Source position: stdctrls.pp line 260

type TOwnerDrawState = LCLType.TOwnerDrawState;


TScrollCode

The scroll action type, as reported by the widget.

Declaration

Source position: stdctrls.pp line 46

type TScrollCode = (
scLineUp, | Scroll one line up (column left).
scLineDown, | Scroll one line down (column right).
scPageUp, | Scroll one page up (left).
scPageDown, | Scroll one page down (right).
scPosition, | Scroll to the specified position.
scTrack, | Scroll tracking to the specified position.
scTop, | Scroll to the top (left) end.
scBottom, | Scroll to the bottom (right) end.
scEndScroll | Scrolling finished.
);

Description

These values must correspond to the SB_xxx values in LCLType.


TScrollEvent

Handler type for scrolling events.

Declaration

Source position: stdctrls.pp line 62

type TScrollEvent = procedure(

  Sender: TObject;

  ScrollCode: TScrollCode;

  var ScrollPos: Integer

) of object;

Arguments

Sender | The scrollbar
ScrollCode | The scroll action.
ScrollPos | The suggested new scroll position. Change this value to implement custom scroll behaviour.

Description

The handler is called before the new Position is set. It can adjust the new position, based on the parameters and the (old) scrollbar.Position.


TScrollStyle

The appearance of scroll bars on a control.

Declaration

Source position: stdctrls.pp line 43

type TScrollStyle = (
ssNone, | No scrollbars.
ssHorizontal, | A horizontal scrollbar is shown.
ssVertical, | A vertical scrollbar is shown.
ssBoth, | Both horizontal and vertical scrollbars are shown.
ssAutoHorizontal, | A horizontal scrollbar is shown when needed.
ssAutoVertical, | A vertical scrollbar is shown when needed.
ssAutoBoth | Both scrollbars are shown as needed.
);


TSelectionChangeEvent

Handler type for change notifications from a ListBox.

Declaration

Source position: stdctrls.pp line 497

type TSelectionChangeEvent = procedure(

  Sender: TObject;

  User: Boolean

) of object;

Arguments

Sender | The ListBox control.
User | True if the user changed the selection, False if changed by code.


TStaticBorderStyle

The border style of static text controls.

Declaration

Source position: stdctrls.pp line 1054

type TStaticBorderStyle = (
sbsNone, | No border.
sbsSingle, | Single line border.
sbsSunken | Sunken 3-D border.
);


Reference for unit 'Themes'

For manipulation of display Themes, mostly in a Windows XP (and later) environment

uses
System,
Classes,
sysutils,
Types,
Math,
LCLProc, | Useful lower level helper functions and classes
LCLType, | This unit is being created specifically for compatibility with Delphi. It should only be used for constants and type definitions that are included in the Delphi Windows unit. This is only done for compatibiltiy.
GraphType,
Graphics, | Unit contains definitions for many fundamental classes and types used in graphic applications
TmSchema; |


Reference for unit 'Themes': Constants

ThemeManagerCopyright


Reference for unit 'Themes': Types

PThemedElementDetails

TThemedButton

TThemedClock

TThemedComboBox

TThemedEdit

TThemedElement

TThemedElementDetails

TThemedExplorerBar

TThemedHeader

TThemedListview

TThemedMenu

TThemedPage

TThemedProgress

TThemedRebar

TThemedScrollBar

TThemedSpin

TThemedStartPanel

TThemedStatus

TThemedTab

TThemedTaskBand

TThemedTaskBar

TThemedToolBar

TThemedToolTip

TThemedTrackBar

TThemedTrayNotify

TThemedTreeview

TThemedWindow

TThemeOption

TThemesImageDrawEvent


Reference for unit 'Themes': Classes

TThemeServices


Reference for unit 'Themes': Procedures and functions

ThemedElementDetailsEqual

ThemeServices


Reference for unit 'Themes': Variables

ThemesImageDrawEvent


Index of all identifiers in unit 'Themes'

P T

P

PThemedElementDetails

T

tbButtonDontCare | trBandDisabled | TThemedScrollBar
tbButtonRoot | trBandHot | TThemedSpin
tbCheckBoxCheckedDisabled | trBandHotChecked | TThemedStartPanel
tbCheckBoxCheckedHot | trBandNormal | TThemedStatus
tbCheckBoxCheckedNormal | trBandPressed | TThemedTab
tbCheckBoxCheckedPressed | trChevronDisabled | TThemedTaskBand
tbCheckBoxMixedDisabled | trChevronHot | TThemedTaskBar
tbCheckBoxMixedHot | trChevronNormal | TThemedToolBar
tbCheckBoxMixedNormal | trChevronPressed | TThemedToolTip
tbCheckBoxMixedPressed | trChevronVertDisabled | TThemedTrackBar
tbCheckBoxUncheckedDisabled | trChevronVertHot | TThemedTrayNotify
tbCheckBoxUncheckedHot | trChevronVertNormal | TThemedTreeview
tbCheckBoxUncheckedNormal | trChevronVertPressed | TThemedWindow
tbCheckBoxUncheckedPressed | trGripper | TThemeOption
tbGroupBoxDisabled | trGripperVert | TThemeServices
tbGroupBoxNormal | trRebarDontCare | TThemesImageDrawEvent
tbPushButtonDefaulted | trRebarRoot | ttHotGlyphClosed
tbPushButtonDisabled | tsArrowBtnDownDisabled | ttHotGlyphOpened
tbPushButtonHot | tsArrowBtnDownHot | ttItemDisabled
tbPushButtonNormal | tsArrowBtnDownNormal | ttItemHot
tbPushButtonPressed | tsArrowBtnDownPressed | ttItemNormal
tbRadioButtonCheckedDisabled | tsArrowBtnLeftDisabled | ttItemSelected
tbRadioButtonCheckedHot | tsArrowBtnLeftHot | ttItemSelectedNotFocus
tbRadioButtonCheckedNormal | tsArrowBtnLeftNormal | ttnAnimBackground
tbRadioButtonCheckedPressed | tsArrowBtnLeftPressed | ttnBackground
tbRadioButtonUncheckedDisabled | tsArrowBtnRightDisabled | ttnTrayNotifyDontCare
tbRadioButtonUncheckedHot | tsArrowBtnRightHot | ttnTrayNotifyRoot
tbRadioButtonUncheckedNormal | tsArrowBtnRightNormal | ttPane
tbRadioButtonUncheckedPressed | tsArrowBtnRightPressed | ttpFlashButtonGroupMenu
tbUserButton | tsArrowBtnUpDisabled | ttTabDontCare
tcClockDontCare | tsArrowBtnUpHot | ttTabItemBothEdgeDisabled
tcClockRoot | tsArrowBtnUpNormal | ttTabItemBothEdgeFocused
tcComboBoxDontCare | tsArrowBtnUpPressed | ttTabItemBothEdgeHot
tcComboBoxRoot | tsDownDisabled | ttTabItemBothEdgeNormal
tcDropDownButtonDisabled | tsDownHorzDisabled | ttTabItemBothEdgeSelected
tcDropDownButtonHot | tsDownHorzHot | ttTabItemDisabled
tcDropDownButtonNormal | tsDownHorzNormal | ttTabItemFocused
tcDropDownButtonPressed | tsDownHorzPressed | ttTabItemHot
tcTimeNormal | tsDownHot | ttTabItemLeftEdgeDisabled
tebExplorerBarDontCare | tsDownNormal | ttTabItemLeftEdgeFocused
tebExplorerBarRoot | tsDownPressed | ttTabItemLeftEdgeHot
tebHeaderBackgroundHot | tsGripper | ttTabItemLeftEdgeNormal
tebHeaderBackgroundNormal | tsGripperHorzDisabled | ttTabItemLeftEdgeSelected
tebHeaderBackgroundPressed | tsGripperHorzHot | ttTabItemNormal
tebHeaderCloseHot | tsGripperHorzNormal | ttTabItemRightEdgeDisabled
tebHeaderCloseNormal | tsGripperHorzPressed | ttTabItemRightEdgeFocused
tebHeaderClosePressed | tsGripperPane | ttTabItemRightEdgeHot
tebHeaderPinHot | tsGripperVertDisabled | ttTabItemRightEdgeNormal
tebHeaderPinNormal | tsGripperVertHot | ttTabItemRightEdgeSelected
tebHeaderPinPressed | tsGripperVertNormal | ttTabItemSelected
tebHeaderPinSelectedHot | tsGripperVertPressed | ttTabRoot
tebHeaderPinSelectedNormal | tsLowerTrackHorzDisabled | ttTaskBarDontCare
tebHeaderPinSelectedPressed | tsLowerTrackHorzHot | ttTaskBarRoot
tebIEBarMenuHot | tsLowerTrackHorzNormal | tttBaloonLink
tebIEBarMenuNormal | tsLowerTrackHorzPressed | tttBaloonNormal
tebIEBarMenuPressed | tsLowerTrackVertDisabled | tttBaloonTitleLink
tebNormalGroupBackground | tsLowerTrackVertHot | tttBaloonTitleNormal
tebNormalGroupCollapseHot | tsLowerTrackVertNormal | tttCloseHot
tebNormalGroupCollapseNormal | tsLowerTrackVertPressed | tttCloseNormal
tebNormalGroupCollapsePressed | tsPane | tttClosePressed
tebNormalGroupExpandHot | tspLogOff | ttTopTabItemBothEdgeDisabled
tebNormalGroupExpandNormal | tspLogOffButtonsHot | ttTopTabItemBothEdgeFocused
tebNormalGroupExpandPressed | tspLogOffButtonsNormal | ttTopTabItemBothEdgeHot
tebNormalGroupHead | tspLogOffButtonsPressed | ttTopTabItemBothEdgeNormal
tebSpecialGroupBackground | tspMorePrograms | ttTopTabItemBothEdgeSelected
tebSpecialGroupCollapseHot | tspMoreProgramsArrowHot | ttTopTabItemDisabled
tebSpecialGroupCollapsePressed | tspMoreProgramsArrowNormal | ttTopTabItemFocused
tebSpecialGroupCollapseSpecial | tspMoreProgramsArrowPressed | ttTopTabItemHot
tebSpecialGroupExpandHot | tspPlacesList | ttTopTabItemLeftEdgeDisabled
tebSpecialGroupExpandPressed | tspPlacesListSeparator | ttTopTabItemLeftEdgeFocused
tebSpecialGroupExpandSpecial | tspPreview | ttTopTabItemLeftEdgeHot
tebSpecialGroupHead | tspProgList | ttTopTabItemLeftEdgeNormal
teButton | tspProgListSeparator | ttTopTabItemLeftEdgeSelected
teClock | tspStartPanelDontCare | ttTopTabItemNormal
teComboBox | tspStartPanelRoot | ttTopTabItemRightEdgeDisabled
teEdit | tspUserPane | ttTopTabItemRightEdgeFocused
teEditCaret | tspUserPicture | ttTopTabItemRightEdgeHot
teEditDontCare | tsScrollBarDontCare | ttTopTabItemRightEdgeNormal
teEditRoot | tsScrollBarRoot | ttTopTabItemRightEdgeSelected
teEditTextAssist | tsSizeBoxLeftAlign | ttTopTabItemSelected
teEditTextDisabled | tsSizeBoxRightAlign | ttTreeviewDontCare
teEditTextFocused | tsSpinDontCare | ttTreeviewRoot
teEditTextHot | tsSpinRoot | tttStandardLink
teEditTextNormal | tsStatusDontCare | tttStandardNormal
teEditTextReadOnly | tsStatusRoot | tttStandardTitleLink
teEditTextSelected | tsThumbBtnHorzDisabled | tttStandardTitleNormal
teExplorerBar | tsThumbBtnHorzHot | tttToolTipDontCare
teHeader | tsThumbBtnHorzNormal | tttToolTipRoot
teListView | tsThumbBtnHorzPressed | twCaptionActive
teMenu | tsThumbBtnVertDisabled | twCaptionDisabled
tePage | tsThumbBtnVertHot | twCaptionInactive
teProgress | tsThumbBtnVertNormal | twCaptionSizingTemplate
teRebar | tsThumbBtnVertPressed | twCloseButtonDisabled
teScrollBar | tsUpDisabled | twCloseButtonHot
teSpin | tsUpHorzDisabled | twCloseButtonInactive
teStartPanel | tsUpHorzHot | twCloseButtonNormal
teStatus | tsUpHorzNormal | twCloseButtonPushed
teTab | tsUpHorzPressed | twDialog
teTaskBand | tsUpHot | twFrameBottomActive
teTaskBar | tsUpNormal | twFrameBottomInactive
teToolBar | tsUpperTrackHorzDisabled | twFrameBottomSizingTemplate
teToolTip | tsUpperTrackHorzHot | twFrameLeftActive
teTrackBar | tsUpperTrackHorzNormal | twFrameLeftInactive
teTrayNotify | tsUpperTrackHorzPressed | twFrameLeftSizingTemplate
teTreeview | tsUpperTrackVertDisabled | twFrameRightActive
teWindow | tsUpperTrackVertHot | twFrameRightInactive
ThemedElementDetailsEqual | tsUpperTrackVertNormal | twFrameRightSizingTemplate
ThemeManagerCopyright | tsUpperTrackVertPressed | twHelpButtonDisabled
ThemeServices | tsUpPressed | twHelpButtonHot
ThemesImageDrawEvent | ttbButtonChecked | twHelpButtonInactive
thHeaderDontCare | ttbButtonCheckedHot | twHelpButtonNormal
thHeaderItemHot | ttbButtonDisabled | twHelpButtonPushed
thHeaderItemLeftHot | ttbButtonHot | twHorzScrollDisabled
thHeaderItemLeftNormal | ttbButtonNormal | twHorzScrollHot
thHeaderItemLeftPressed | ttbButtonPressed | twHorzScrollNormal
thHeaderItemNormal | ttbDropDownButtonChecked | twHorzScrollPushed
thHeaderItemPressed | ttbDropDownButtonCheckedHot | twHorzThumbDisabled
thHeaderItemRightHot | ttbDropDownButtonDisabled | twHorzThumbHot
thHeaderItemRightNormal | ttbDropDownButtonHot | twHorzThumbNormal
thHeaderItemRightPressed | ttbDropDownButtonNormal | twHorzThumbPushed
thHeaderRoot | ttbDropDownButtonPressed | twMaxButtonDisabled
thHeaderSortArrowSortedDown | ttbFlashButton | twMaxButtonHot
thHeaderSortArrowSortedUp | ttbGroupCount | twMaxButtonInactive
tlEmptyText | ttBody | twMaxButtonNormal
tlListDetail | ttBranch | twMaxButtonPushed
tlListGroup | ttbSeparatorChecked | twMaxCaptionActive
tlListItemDisabled | ttbSeparatorCheckedHot | twMaxCaptionDisabled
tlListItemHot | ttbSeparatorDisabled | twMaxCaptionInactive
tlListItemNormal | ttbSeparatorHot | twMDICloseButtonDisabled
tlListItemSelected | ttbSeparatorNormal | twMDICloseButtonHot
tlListItemSelectedNotFocus | ttbSeparatorPressed | twMDICloseButtonInactive
tlListSortDetail | ttbSeparatorVertChecked | twMDICloseButtonNormal
tlListviewDontCare | ttbSeparatorVertCheckedHot | twMDICloseButtonPushed
tlListviewRoot | ttbSeparatorVertDisabled | twMDIHelpButtonDisabled
tmBarBackgroundActive | ttbSeparatorVertHot | twMDIHelpButtonHot
tmBarBackgroundInactive | ttbSeparatorVertNormal | twMDIHelpButtonInactive
tmBarItemDisabled | ttbSeparatorVertPressed | twMDIHelpButtonNormal
tmBarItemDisabledHot | ttbSplitButtonChecked | twMDIHelpButtonPushed
tmBarItemDisabledPushed | ttbSplitButtonCheckedHot | twMDIMinButtonDisabled
tmBarItemHot | ttbSplitButtonDisabled | twMDIMinButtonHot
tmBarItemNormal | ttbSplitButtonDropDownChecked | twMDIMinButtonInactive
tmBarItemPushed | ttbSplitButtonDropDownCheckedHot | twMDIMinButtonNormal
tmChevron | ttbSplitButtonDropDownDisabled | twMDIMinButtonPushed
tmMenuBarDropDown | ttbSplitButtonDropDownHot | twMDIRestoreButtonDisabled
tmMenuBarItem | ttbSplitButtonDropDownNormal | twMDIRestoreButtonHot
tmMenuDontCare | ttbSplitButtonDropDownPressed | twMDIRestoreButtonInactive
tmMenuDropDown | ttbSplitButtonHot | twMDIRestoreButtonNormal
tmMenuItemDemoted | ttbSplitButtonNormal | twMDIRestoreButtonPushed
tmMenuItemNormal | ttbSplitButtonPressed | twMDISysButtonDisabled
tmMenuItemSelected | ttbTaskBandDontCare | twMDISysButtonHot
tmMenuRoot | ttbTaskBandRoot | twMDISysButtonInactive
tmPopupBackground | ttbThumbBottomDisabled | twMDISysButtonNormal
tmPopupBorders | ttbThumbBottomFocused | twMDISysButtonPushed
tmPopupBulletDisabled | ttbThumbBottomHot | twMinButtonDisabled
tmPopupBulletNormal | ttbThumbBottomNormal | twMinButtonHot
tmPopupCheckBackgroundBitmap | ttbThumbBottomPressed | twMinButtonInactive
tmPopupCheckBackgroundDisabled | ttbThumbDisabled | twMinButtonNormal
tmPopupCheckBackgroundNormal | ttbThumbFocused | twMinButtonPushed
tmPopupCheckMarkDisabled | ttbThumbHot | twMinCaptionActive
tmPopupCheckMarkNormal | ttbThumbLeftDisabled | twMinCaptionDisabled
tmPopupGutter | ttbThumbLeftFocused | twMinCaptionInactive
tmPopupItemDisabled | ttbThumbLeftHot | twRestoreButtonDisabled
tmPopupItemDisabledHot | ttbThumbLeftNormal | twRestoreButtonHot
tmPopupItemHot | ttbThumbLeftPressed | twRestoreButtonInactive
tmPopupItemNormal | ttbThumbNormal | twRestoreButtonNormal
tmPopupSeparator | ttbThumbPressed | twRestoreButtonPushed
tmPopupSubmenuDisabled | ttbThumbRightDisabled | twSmallCaptionActive
tmPopupSubmenuNormal | ttbThumbRightFocused | twSmallCaptionDisabled
tmSeparator | ttbThumbRightHot | twSmallCaptionInactive
tmSystemCloseDisabled | ttbThumbRightNormal | twSmallCaptionSizingTemplate
tmSystemCloseNormal | ttbThumbRightPressed | twSmallCloseButtonDisabled
tmSystemMaximizeDisabled | ttbThumbTics | twSmallCloseButtonHot
tmSystemMaximizeNormal | ttbThumbTicsVert | twSmallCloseButtonInactive
tmSystemMinimizeDisabled | ttbThumbTopDisabled | twSmallCloseButtonNormal
tmSystemMinimizeNormal | ttbThumbTopFocused | twSmallCloseButtonPushed
tmSystemRestoreDisabled | ttbThumbTopHot | twSmallFrameBottomActive
tmSystemRestoreNormal | ttbThumbTopNormal | twSmallFrameBottomInactive
toShowButtonImages | ttbThumbTopPressed | twSmallFrameBottomSizingTemplate
toShowMenuImages | ttbThumbVertDisabled | twSmallFrameLeftActive
toUseGlyphEffects | ttbThumbVertFocused | twSmallFrameLeftInactive
tpBar | ttbThumbVertHot | twSmallFrameLeftSizingTemplate
tpBarVert | ttbThumbVertNormal | twSmallFrameRightActive
tpChunk | ttbThumbVertPressed | twSmallFrameRightInactive
tpChunkVert | ttbTimeNormal | twSmallFrameRightSizingTemplate
tpDownDisabled | ttbToolBarDontCare | twSmallMaxCaptionActive
tpDownHorzDisabled | ttbToolBarRoot | twSmallMaxCaptionDisabled
tpDownHorzHot | ttbTrack | twSmallMaxCaptionInactive
tpDownHorzNormal | ttbTrackBarDontCare | twSmallMinCaptionActive
tpDownHorzPressed | ttbTrackBarRoot | twSmallMinCaptionDisabled
tpDownHot | ttbTrackVert | twSmallMinCaptionInactive
tpDownNormal | ttGlyphClosed | twSysButtonDisabled
tpDownPressed | ttGlyphOpened | twSysButtonHot
tpPageDontCare | TThemedButton | twSysButtonInactive
tpPageRoot | TThemedClock | twSysButtonNormal
tpProgressDontCare | TThemedComboBox | twSysButtonPushed
tpProgressRoot | TThemedEdit | twVertScrollDisabled
tpUpDisabled | TThemedElement | twVertScrollHot
tpUpHorzDisabled | TThemedElementDetails | twVertScrollNormal
tpUpHorzHot | TThemedExplorerBar | twVertScrollPushed
tpUpHorzNormal | TThemedHeader | twVertThumbDisabled
tpUpHorzPressed | TThemedListview | twVertThumbHot
tpUpHot | TThemedMenu | twVertThumbNormal
tpUpNormal | TThemedPage | twVertThumbPushed
tpUpPressed | TThemedProgress | twWindowDontCare
trBandChecked | TThemedRebar | twWindowRoot


PThemedElementDetails

Declaration

Source position: themes.pas line 407

type PThemedElementDetails = ^TThemedElementDetails;


ThemeManagerCopyright

Declaration

Source position: themes.pas line 515

const ThemeManagerCopyright: string = 'Theme manager © 2001-2005 Mike Lischke';


ThemesImageDrawEvent

Declaration

Source position: themes.pas line 521

var ThemesImageDrawEvent: TThemesImageDrawEvent = Nil;


TThemedButton

Declaration

Source position: themes.pas line 83

type TThemedButton = (

  tbButtonDontCare,

  tbButtonRoot,

  tbPushButtonNormal,

  tbPushButtonHot,

  tbPushButtonPressed,

  tbPushButtonDisabled,

  tbPushButtonDefaulted,

  tbRadioButtonUncheckedNormal,

  tbRadioButtonUncheckedHot,

  tbRadioButtonUncheckedPressed,

  tbRadioButtonUncheckedDisabled,

  tbRadioButtonCheckedNormal,

  tbRadioButtonCheckedHot,

  tbRadioButtonCheckedPressed,

  tbRadioButtonCheckedDisabled,

  tbCheckBoxUncheckedNormal,

  tbCheckBoxUncheckedHot,

  tbCheckBoxUncheckedPressed,

  tbCheckBoxUncheckedDisabled,

  tbCheckBoxCheckedNormal,

  tbCheckBoxCheckedHot,

  tbCheckBoxCheckedPressed,

  tbCheckBoxCheckedDisabled,

  tbCheckBoxMixedNormal,

  tbCheckBoxMixedHot,

  tbCheckBoxMixedPressed,

  tbCheckBoxMixedDisabled,

  tbGroupBoxNormal,

  tbGroupBoxDisabled,

  tbUserButton

);


TThemedClock

Declaration

Source position: themes.pas line 98

type TThemedClock = (

  tcClockDontCare,

  tcClockRoot,

  tcTimeNormal

);


TThemedComboBox

Declaration

Source position: themes.pas line 105

type TThemedComboBox = (

  tcComboBoxDontCare,

  tcComboBoxRoot,

  tcDropDownButtonNormal,

  tcDropDownButtonHot,

  tcDropDownButtonPressed,

  tcDropDownButtonDisabled

);


TThemedEdit

Declaration

Source position: themes.pas line 112

type TThemedEdit = (

  teEditDontCare,

  teEditRoot,

  teEditTextNormal,

  teEditTextHot,

  teEditTextSelected,

  teEditTextDisabled,

  teEditTextFocused,

  teEditTextReadOnly,

  teEditTextAssist,

  teEditCaret

);


TThemedElement

Declaration

Source position: themes.pas line 55

type TThemedElement = (

  teButton,

  teClock,

  teComboBox,

  teEdit,

  teExplorerBar,

  teHeader,

  teListView,

  teMenu,

  tePage,

  teProgress,

  teRebar,

  teScrollBar,

  teSpin,

  teStartPanel,

  teStatus,

  teTab,

  teTaskBand,

  teTaskBar,

  teToolBar,

  teToolTip,

  teTrackBar,

  teTrayNotify,

  teTreeview,

  teWindow

);


TThemedElementDetails

Declaration

Source position: themes.pas line 408

type TThemedElementDetails = record

  Element: TThemedElement;

  Part: Integer;

  State: Integer;

end;


TThemedExplorerBar

Declaration

Source position: themes.pas line 120

type TThemedExplorerBar = (

  tebExplorerBarDontCare,

  tebExplorerBarRoot,

  tebHeaderBackgroundNormal,

  tebHeaderBackgroundHot,

  tebHeaderBackgroundPressed,

  tebHeaderCloseNormal,

  tebHeaderCloseHot,

  tebHeaderClosePressed,

  tebHeaderPinNormal,

  tebHeaderPinHot,

  tebHeaderPinPressed,

  tebHeaderPinSelectedNormal,

  tebHeaderPinSelectedHot,

  tebHeaderPinSelectedPressed,

  tebIEBarMenuNormal,

  tebIEBarMenuHot,

  tebIEBarMenuPressed,

  tebNormalGroupBackground,

  tebNormalGroupCollapseNormal,

  tebNormalGroupCollapseHot,

  tebNormalGroupCollapsePressed,

  tebNormalGroupExpandNormal,

  tebNormalGroupExpandHot,

  tebNormalGroupExpandPressed,

  tebNormalGroupHead,

  tebSpecialGroupBackground,

  tebSpecialGroupCollapseSpecial,

  tebSpecialGroupCollapseHot,

  tebSpecialGroupCollapsePressed,

  tebSpecialGroupExpandSpecial,

  tebSpecialGroupExpandHot,

  tebSpecialGroupExpandPressed,

  tebSpecialGroupHead

);


TThemedHeader

Declaration

Source position: themes.pas line 139

type TThemedHeader = (

  thHeaderDontCare,

  thHeaderRoot,

  thHeaderItemNormal,

  thHeaderItemHot,

  thHeaderItemPressed,

  thHeaderItemLeftNormal,

  thHeaderItemLeftHot,

  thHeaderItemLeftPressed,

  thHeaderItemRightNormal,

  thHeaderItemRightHot,

  thHeaderItemRightPressed,

  thHeaderSortArrowSortedUp,

  thHeaderSortArrowSortedDown

);


TThemedListview

Declaration

Source position: themes.pas line 149

type TThemedListview = (

  tlListviewDontCare,

  tlListviewRoot,

  tlListItemNormal,

  tlListItemHot,

  tlListItemSelected,

  tlListItemDisabled,

  tlListItemSelectedNotFocus,

  tlListGroup,

  tlListDetail,

  tlListSortDetail,

  tlEmptyText

);


TThemedMenu

Declaration

Source position: themes.pas line 160

type TThemedMenu = (

  tmMenuDontCare,

  tmMenuRoot,

  tmMenuItemNormal,

  tmMenuItemSelected,

  tmMenuItemDemoted,

  tmMenuDropDown,

  tmMenuBarItem,

  tmMenuBarDropDown,

  tmChevron,

  tmSeparator,

  tmBarBackgroundActive,

  tmBarBackgroundInactive,

  tmBarItemNormal,

  tmBarItemHot,

  tmBarItemPushed,

  tmBarItemDisabled,

  tmBarItemDisabledHot,

  tmBarItemDisabledPushed,

  tmPopupBackground,

  tmPopupBorders,

  tmPopupCheckMarkNormal,

  tmPopupCheckMarkDisabled,

  tmPopupBulletNormal,

  tmPopupBulletDisabled,

  tmPopupCheckBackgroundDisabled,

  tmPopupCheckBackgroundNormal,

  tmPopupCheckBackgroundBitmap,

  tmPopupGutter,

  tmPopupItemNormal,

  tmPopupItemHot,

  tmPopupItemDisabled,

  tmPopupItemDisabledHot,

  tmPopupSeparator,

  tmPopupSubmenuNormal,

  tmPopupSubmenuDisabled,

  tmSystemCloseNormal,

  tmSystemCloseDisabled,

  tmSystemMaximizeNormal,

  tmSystemMaximizeDisabled,

  tmSystemMinimizeNormal,

  tmSystemMinimizeDisabled,

  tmSystemRestoreNormal,

  tmSystemRestoreDisabled

);


TThemedPage

Declaration

Source position: themes.pas line 186

type TThemedPage = (

  tpPageDontCare,

  tpPageRoot,

  tpUpNormal,

  tpUpHot,

  tpUpPressed,

  tpUpDisabled,

  tpDownNormal,

  tpDownHot,

  tpDownPressed,

  tpDownDisabled,

  tpUpHorzNormal,

  tpUpHorzHot,

  tpUpHorzPressed,

  tpUpHorzDisabled,

  tpDownHorzNormal,

  tpDownHorzHot,

  tpDownHorzPressed,

  tpDownHorzDisabled

);


TThemedProgress

Declaration

Source position: themes.pas line 196

type TThemedProgress = (

  tpProgressDontCare,

  tpProgressRoot,

  tpBar,

  tpBarVert,

  tpChunk,

  tpChunkVert

);


TThemedRebar

Declaration

Source position: themes.pas line 206

type TThemedRebar = (

  trRebarDontCare,

  trRebarRoot,

  trGripper,

  trGripperVert,

  trBandNormal,

  trBandHot,

  trBandPressed,

  trBandDisabled,

  trBandChecked,

  trBandHotChecked,

  trChevronNormal,

  trChevronHot,

  trChevronPressed,

  trChevronDisabled,

  trChevronVertNormal,

  trChevronVertHot,

  trChevronVertPressed,

  trChevronVertDisabled

);


TThemedScrollBar

Declaration

Source position: themes.pas line 217

type TThemedScrollBar = (

  tsScrollBarDontCare,

  tsScrollBarRoot,

  tsArrowBtnUpNormal,

  tsArrowBtnUpHot,

  tsArrowBtnUpPressed,

  tsArrowBtnUpDisabled,

  tsArrowBtnDownNormal,

  tsArrowBtnDownHot,

  tsArrowBtnDownPressed,

  tsArrowBtnDownDisabled,

  tsArrowBtnLeftNormal,

  tsArrowBtnLeftHot,

  tsArrowBtnLeftPressed,

  tsArrowBtnLeftDisabled,

  tsArrowBtnRightNormal,

  tsArrowBtnRightHot,

  tsArrowBtnRightPressed,

  tsArrowBtnRightDisabled,

  tsThumbBtnHorzNormal,

  tsThumbBtnHorzHot,

  tsThumbBtnHorzPressed,

  tsThumbBtnHorzDisabled,

  tsThumbBtnVertNormal,

  tsThumbBtnVertHot,

  tsThumbBtnVertPressed,

  tsThumbBtnVertDisabled,

  tsLowerTrackHorzNormal,

  tsLowerTrackHorzHot,

  tsLowerTrackHorzPressed,

  tsLowerTrackHorzDisabled,

  tsUpperTrackHorzNormal,

  tsUpperTrackHorzHot,

  tsUpperTrackHorzPressed,

  tsUpperTrackHorzDisabled,

  tsLowerTrackVertNormal,

  tsLowerTrackVertHot,

  tsLowerTrackVertPressed,

  tsLowerTrackVertDisabled,

  tsUpperTrackVertNormal,

  tsUpperTrackVertHot,

  tsUpperTrackVertPressed,

  tsUpperTrackVertDisabled,

  tsGripperHorzNormal,

  tsGripperHorzHot,

  tsGripperHorzPressed,

  tsGripperHorzDisabled,

  tsGripperVertNormal,

  tsGripperVertHot,

  tsGripperVertPressed,

  tsGripperVertDisabled,

  tsSizeBoxRightAlign,

  tsSizeBoxLeftAlign

);


TThemedSpin

Declaration

Source position: themes.pas line 236

type TThemedSpin = (

  tsSpinDontCare,

  tsSpinRoot,

  tsUpNormal,

  tsUpHot,

  tsUpPressed,

  tsUpDisabled,

  tsDownNormal,

  tsDownHot,

  tsDownPressed,

  tsDownDisabled,

  tsUpHorzNormal,

  tsUpHorzHot,

  tsUpHorzPressed,

  tsUpHorzDisabled,

  tsDownHorzNormal,

  tsDownHorzHot,

  tsDownHorzPressed,

  tsDownHorzDisabled

);


TThemedStartPanel

Declaration

Source position: themes.pas line 246

type TThemedStartPanel = (

  tspStartPanelDontCare,

  tspStartPanelRoot,

  tspUserPane,

  tspMorePrograms,

  tspMoreProgramsArrowNormal,

  tspMoreProgramsArrowHot,

  tspMoreProgramsArrowPressed,

  tspProgList,

  tspProgListSeparator,

  tspPlacesList,

  tspPlacesListSeparator,

  tspLogOff,

  tspLogOffButtonsNormal,

  tspLogOffButtonsHot,

  tspLogOffButtonsPressed,

  tspUserPicture,

  tspPreview

);


TThemedStatus

Declaration

Source position: themes.pas line 263

type TThemedStatus = (

  tsStatusDontCare,

  tsStatusRoot,

  tsPane,

  tsGripperPane,

  tsGripper

);


TThemedTab

Declaration

Source position: themes.pas line 272

type TThemedTab = (

  ttTabDontCare,

  ttTabRoot,

  ttTabItemNormal,

  ttTabItemHot,

  ttTabItemSelected,

  ttTabItemDisabled,

  ttTabItemFocused,

  ttTabItemLeftEdgeNormal,

  ttTabItemLeftEdgeHot,

  ttTabItemLeftEdgeSelected,

  ttTabItemLeftEdgeDisabled,

  ttTabItemLeftEdgeFocused,

  ttTabItemRightEdgeNormal,

  ttTabItemRightEdgeHot,

  ttTabItemRightEdgeSelected,

  ttTabItemRightEdgeDisabled,

  ttTabItemRightEdgeFocused,

  ttTabItemBothEdgeNormal,

  ttTabItemBothEdgeHot,

  ttTabItemBothEdgeSelected,

  ttTabItemBothEdgeDisabled,

  ttTabItemBothEdgeFocused,

  ttTopTabItemNormal,

  ttTopTabItemHot,

  ttTopTabItemSelected,

  ttTopTabItemDisabled,

  ttTopTabItemFocused,

  ttTopTabItemLeftEdgeNormal,

  ttTopTabItemLeftEdgeHot,

  ttTopTabItemLeftEdgeSelected,

  ttTopTabItemLeftEdgeDisabled,

  ttTopTabItemLeftEdgeFocused,

  ttTopTabItemRightEdgeNormal,

  ttTopTabItemRightEdgeHot,

  ttTopTabItemRightEdgeSelected,

  ttTopTabItemRightEdgeDisabled,

  ttTopTabItemRightEdgeFocused,

  ttTopTabItemBothEdgeNormal,

  ttTopTabItemBothEdgeHot,

  ttTopTabItemBothEdgeSelected,

  ttTopTabItemBothEdgeDisabled,

  ttTopTabItemBothEdgeFocused,

  ttPane,

  ttBody

);


TThemedTaskBand

Declaration

Source position: themes.pas line 288

type TThemedTaskBand = (

  ttbTaskBandDontCare,

  ttbTaskBandRoot,

  ttbGroupCount,

  ttbFlashButton,

  ttpFlashButtonGroupMenu

);


TThemedTaskBar

Declaration

Source position: themes.pas line 297

type TThemedTaskBar = (

  ttTaskBarDontCare,

  ttTaskBarRoot,

  ttbTimeNormal

);


TThemedToolBar

Declaration

Source position: themes.pas line 304

type TThemedToolBar = (

  ttbToolBarDontCare,

  ttbToolBarRoot,

  ttbButtonNormal,

  ttbButtonHot,

  ttbButtonPressed,

  ttbButtonDisabled,

  ttbButtonChecked,

  ttbButtonCheckedHot,

  ttbDropDownButtonNormal,

  ttbDropDownButtonHot,

  ttbDropDownButtonPressed,

  ttbDropDownButtonDisabled,

  ttbDropDownButtonChecked,

  ttbDropDownButtonCheckedHot,

  ttbSplitButtonNormal,

  ttbSplitButtonHot,

  ttbSplitButtonPressed,

  ttbSplitButtonDisabled,

  ttbSplitButtonChecked,

  ttbSplitButtonCheckedHot,

  ttbSplitButtonDropDownNormal,

  ttbSplitButtonDropDownHot,

  ttbSplitButtonDropDownPressed,

  ttbSplitButtonDropDownDisabled,

  ttbSplitButtonDropDownChecked,

  ttbSplitButtonDropDownCheckedHot,

  ttbSeparatorNormal,

  ttbSeparatorHot,

  ttbSeparatorPressed,

  ttbSeparatorDisabled,

  ttbSeparatorChecked,

  ttbSeparatorCheckedHot,

  ttbSeparatorVertNormal,

  ttbSeparatorVertHot,

  ttbSeparatorVertPressed,

  ttbSeparatorVertDisabled,

  ttbSeparatorVertChecked,

  ttbSeparatorVertCheckedHot

);


TThemedToolTip

Declaration

Source position: themes.pas line 316

type TThemedToolTip = (

  tttToolTipDontCare,

  tttToolTipRoot,

  tttStandardNormal,

  tttStandardLink,

  tttStandardTitleNormal,

  tttStandardTitleLink,

  tttBaloonNormal,

  tttBaloonLink,

  tttBaloonTitleNormal,

  tttBaloonTitleLink,

  tttCloseNormal,

  tttCloseHot,

  tttClosePressed

);


TThemedTrackBar

Declaration

Source position: themes.pas line 327

type TThemedTrackBar = (

  ttbTrackBarDontCare,

  ttbTrackBarRoot,

  ttbTrack,

  ttbTrackVert,

  ttbThumbNormal,

  ttbThumbHot,

  ttbThumbPressed,

  ttbThumbFocused,

  ttbThumbDisabled,

  ttbThumbBottomNormal,

  ttbThumbBottomHot,

  ttbThumbBottomPressed,

  ttbThumbBottomFocused,

  ttbThumbBottomDisabled,

  ttbThumbTopNormal,

  ttbThumbTopHot,

  ttbThumbTopPressed,

  ttbThumbTopFocused,

  ttbThumbTopDisabled,

  ttbThumbVertNormal,

  ttbThumbVertHot,

  ttbThumbVertPressed,

  ttbThumbVertFocused,

  ttbThumbVertDisabled,

  ttbThumbLeftNormal,

  ttbThumbLeftHot,

  ttbThumbLeftPressed,

  ttbThumbLeftFocused,

  ttbThumbLeftDisabled,

  ttbThumbRightNormal,

  ttbThumbRightHot,

  ttbThumbRightPressed,

  ttbThumbRightFocused,

  ttbThumbRightDisabled,

  ttbThumbTics,

  ttbThumbTicsVert

);


TThemedTrayNotify

Declaration

Source position: themes.pas line 343

type TThemedTrayNotify = (

  ttnTrayNotifyDontCare,

  ttnTrayNotifyRoot,

  ttnBackground,

  ttnAnimBackground

);


TThemedTreeview

Declaration

Source position: themes.pas line 351

type TThemedTreeview = (

  ttTreeviewDontCare,

  ttTreeviewRoot,

  ttItemNormal,

  ttItemHot,

  ttItemSelected,

  ttItemDisabled,

  ttItemSelectedNotFocus,

  ttGlyphClosed,

  ttGlyphOpened,

  ttBranch,

  ttHotGlyphClosed,

  ttHotGlyphOpened

);


TThemedWindow

Declaration

Source position: themes.pas line 361

type TThemedWindow = (

  twWindowDontCare,

  twWindowRoot,

  twCaptionActive,

  twCaptionInactive,

  twCaptionDisabled,

  twSmallCaptionActive,

  twSmallCaptionInactive,

  twSmallCaptionDisabled,

  twMinCaptionActive,

  twMinCaptionInactive,

  twMinCaptionDisabled,

  twSmallMinCaptionActive,

  twSmallMinCaptionInactive,

  twSmallMinCaptionDisabled,

  twMaxCaptionActive,

  twMaxCaptionInactive,

  twMaxCaptionDisabled,

  twSmallMaxCaptionActive,

  twSmallMaxCaptionInactive,

  twSmallMaxCaptionDisabled,

  twFrameLeftActive,

  twFrameLeftInactive,

  twFrameRightActive,

  twFrameRightInactive,

  twFrameBottomActive,

  twFrameBottomInactive,

  twSmallFrameLeftActive,

  twSmallFrameLeftInactive,

  twSmallFrameRightActive,

  twSmallFrameRightInactive,

  twSmallFrameBottomActive,

  twSmallFrameBottomInactive,

  twSysButtonNormal,

  twSysButtonHot,

  twSysButtonPushed,

  twSysButtonDisabled,

  twSysButtonInactive,

  twMDISysButtonNormal,

  twMDISysButtonHot,

  twMDISysButtonPushed,

  twMDISysButtonDisabled,

  twMDISysButtonInactive,

  twMinButtonNormal,

  twMinButtonHot,

  twMinButtonPushed,

  twMinButtonDisabled,

  twMinButtonInactive,

  twMDIMinButtonNormal,

  twMDIMinButtonHot,

  twMDIMinButtonPushed,

  twMDIMinButtonDisabled,

  twMDIMinButtonInactive,

  twMaxButtonNormal,

  twMaxButtonHot,

  twMaxButtonPushed,

  twMaxButtonDisabled,

  twMaxButtonInactive,

  twCloseButtonNormal,

  twCloseButtonHot,

  twCloseButtonPushed,

  twCloseButtonDisabled,

  twCloseButtonInactive,

  twSmallCloseButtonNormal,

  twSmallCloseButtonHot,

  twSmallCloseButtonPushed,

  twSmallCloseButtonDisabled,

  twSmallCloseButtonInactive,

  twMDICloseButtonNormal,

  twMDICloseButtonHot,

  twMDICloseButtonPushed,

  twMDICloseButtonDisabled,

  twMDICloseButtonInactive,

  twRestoreButtonNormal,

  twRestoreButtonHot,

  twRestoreButtonPushed,

  twRestoreButtonDisabled,

  twRestoreButtonInactive,

  twMDIRestoreButtonNormal,

  twMDIRestoreButtonHot,

  twMDIRestoreButtonPushed,

  twMDIRestoreButtonDisabled,

  twMDIRestoreButtonInactive,

  twHelpButtonNormal,

  twHelpButtonHot,

  twHelpButtonPushed,

  twHelpButtonDisabled,

  twHelpButtonInactive,

  twMDIHelpButtonNormal,

  twMDIHelpButtonHot,

  twMDIHelpButtonPushed,

  twMDIHelpButtonDisabled,

  twMDIHelpButtonInactive,

  twHorzScrollNormal,

  twHorzScrollHot,

  twHorzScrollPushed,

  twHorzScrollDisabled,

  twHorzThumbNormal,

  twHorzThumbHot,

  twHorzThumbPushed,

  twHorzThumbDisabled,

  twVertScrollNormal,

  twVertScrollHot,

  twVertScrollPushed,

  twVertScrollDisabled,

  twVertThumbNormal,

  twVertThumbHot,

  twVertThumbPushed,

  twVertThumbDisabled,

  twDialog,

  twCaptionSizingTemplate,

  twSmallCaptionSizingTemplate,

  twFrameLeftSizingTemplate,

  twSmallFrameLeftSizingTemplate,

  twFrameRightSizingTemplate,

  twSmallFrameRightSizingTemplate,

  twFrameBottomSizingTemplate,

  twSmallFrameBottomSizingTemplate

);


TThemeOption

Declaration

Source position: themes.pas line 414

type TThemeOption = (

  toShowButtonImages,

  toShowMenuImages,

  toUseGlyphEffects

);


TThemesImageDrawEvent

Declaration

Source position: themes.pas line 517

type TThemesImageDrawEvent = procedure(

  AImageList: TPersistent;

  ACanvas: TPersistent;

  AX: Integer;

  AY: Integer;

  AIndex: Integer;

  ADrawEffect: TGraphicsDrawEffect;

  AImageWidth: Integer;

  ARefControl: TPersistent

);


ABS_DOWNDISABLED

Declaration

Source position: tmschema.pas line 1280

const ABS_DOWNDISABLED = 8;


ABS_DOWNHOT

Declaration

Source position: tmschema.pas line 1278

const ABS_DOWNHOT = 6;


ABS_DOWNHOVER

Declaration

Source position: tmschema.pas line 1290

const ABS_DOWNHOVER = 18;


ABS_DOWNNORMAL

Declaration

Source position: tmschema.pas line 1277

const ABS_DOWNNORMAL = 5;


ABS_DOWNPRESSED

Declaration

Source position: tmschema.pas line 1279

const ABS_DOWNPRESSED = 7;


ABS_LEFTDISABLED

Declaration

Source position: tmschema.pas line 1284

const ABS_LEFTDISABLED = 12;


ABS_LEFTHOT

Declaration

Source position: tmschema.pas line 1282

const ABS_LEFTHOT = 10;


ABS_LEFTHOVER

Declaration

Source position: tmschema.pas line 1291

const ABS_LEFTHOVER = 19;


ABS_LEFTNORMAL

Declaration

Source position: tmschema.pas line 1281

const ABS_LEFTNORMAL = 9;


ABS_LEFTPRESSED

Declaration

Source position: tmschema.pas line 1283

const ABS_LEFTPRESSED = 11;


ABS_RIGHTDISABLED

Declaration

Source position: tmschema.pas line 1288

const ABS_RIGHTDISABLED = 16;


ABS_RIGHTHOT

Declaration

Source position: tmschema.pas line 1286

const ABS_RIGHTHOT = 14;


ABS_RIGHTHOVER

Declaration

Source position: tmschema.pas line 1292

const ABS_RIGHTHOVER = 20;


ABS_RIGHTNORMAL

Declaration

Source position: tmschema.pas line 1285

const ABS_RIGHTNORMAL = 13;


ABS_RIGHTPRESSED

Declaration

Source position: tmschema.pas line 1287

const ABS_RIGHTPRESSED = 15;


ABS_UPDISABLED

Declaration

Source position: tmschema.pas line 1276

const ABS_UPDISABLED = 4;


ABS_UPHOT

Declaration

Source position: tmschema.pas line 1274

const ABS_UPHOT = 2;


ABS_UPHOVER

Declaration

Source position: tmschema.pas line 1289

const ABS_UPHOVER = 17;


ABS_UPNORMAL

Declaration

Source position: tmschema.pas line 1273

const ABS_UPNORMAL = 1;


ABS_UPPRESSED

Declaration

Source position: tmschema.pas line 1275

const ABS_UPPRESSED = 3;


AEROWIZARDPARTS

Declaration

Source position: tmschema.pas line 20

type AEROWIZARDPARTS = LongInt;


AEROWIZARDSTYLEPARTS

Declaration

Source position: tmschema.pas line 30

type AEROWIZARDSTYLEPARTS = AEROWIZARDPARTS;


ARROWBTNSTATES

Declaration

Source position: tmschema.pas line 1270

type ARROWBTNSTATES = LongInt;


AW_BUTTON

Declaration

Source position: tmschema.pas line 27

const AW_BUTTON = 5;


AW_COMMANDAREA

Declaration

Source position: tmschema.pas line 26

const AW_COMMANDAREA = 4;


AW_CONTENTAREA

Declaration

Source position: tmschema.pas line 25

const AW_CONTENTAREA = 3;


AW_HEADERAREA

Declaration

Source position: tmschema.pas line 24

const AW_HEADERAREA = 2;


AW_S_CONTENTAREA_NOMARGIN

Declaration

Source position: tmschema.pas line 51

const AW_S_CONTENTAREA_NOMARGIN = 1;


AW_S_HEADERAREA_NOMARGIN

Declaration

Source position: tmschema.pas line 44

const AW_S_HEADERAREA_NOMARGIN = 1;


AW_S_TITLEBAR_ACTIVE

Declaration

Source position: tmschema.pas line 36

const AW_S_TITLEBAR_ACTIVE = 1;


AW_S_TITLEBAR_INACTIVE

Declaration

Source position: tmschema.pas line 37

const AW_S_TITLEBAR_INACTIVE = 2;


AW_TITLEBAR

Declaration

Source position: tmschema.pas line 23

const AW_TITLEBAR = 1;


BACKGROUNDSTATES

Declaration

Source position: tmschema.pas line 493

type BACKGROUNDSTATES = LongInt;


BACKGROUNDWITHBORDERSTATES

Declaration

Source position: tmschema.pas line 505

type BACKGROUNDWITHBORDERSTATES = LongInt;


BALLOONSTATES

Declaration

Source position: tmschema.pas line 1667

type BALLOONSTATES = LongInt;


BALLOONSTEMSTATES

Declaration

Source position: tmschema.pas line 1675

type BALLOONSTEMSTATES = LongInt;


BARBACKGROUNDSTATES

Declaration

Source position: tmschema.pas line 997

type BARBACKGROUNDSTATES = LongInt;


BARITEMSTATES

Declaration

Source position: tmschema.pas line 1005

type BARITEMSTATES = LongInt;


BGTYPE

Declaration

Source position: tmschema.pas line 2059

type BGTYPE = LongInt;


BODYSTATES

Declaration

Source position: tmschema.pas line 685

type BODYSTATES = LongInt;


BORDER_HSCROLLSTATES

Declaration

Source position: tmschema.pas line 817

type BORDER_HSCROLLSTATES = LongInt;


BORDER_HVSCROLLSTATES

Declaration

Source position: tmschema.pas line 827

type BORDER_HVSCROLLSTATES = LongInt;


BORDER_NOSCROLLSTATES

Declaration

Source position: tmschema.pas line 837

type BORDER_NOSCROLLSTATES = LongInt;


BORDER_VSCROLLSTATES

Declaration

Source position: tmschema.pas line 847

type BORDER_VSCROLLSTATES = LongInt;


BORDERSTATES

Declaration

Source position: tmschema.pas line 219

type BORDERSTATES = LongInt;


BORDERTYPE

Declaration

Source position: tmschema.pas line 2080

type BORDERTYPE = LongInt;


BP_CHECKBOX

Declaration

Source position: tmschema.pas line 65

const BP_CHECKBOX = 3;


BP_COMMANDLINK

Declaration

Source position: tmschema.pas line 68

const BP_COMMANDLINK = 6;


BP_COMMANDLINKGLYPH

Declaration

Source position: tmschema.pas line 69

const BP_COMMANDLINKGLYPH = 7;


BP_GROUPBOX

Declaration

Source position: tmschema.pas line 66

const BP_GROUPBOX = 4;


BP_PUSHBUTTON

Declaration

Source position: tmschema.pas line 63

const BP_PUSHBUTTON = 1;


BP_RADIOBUTTON

Declaration

Source position: tmschema.pas line 64

const BP_RADIOBUTTON = 2;


BP_USERBUTTON

Declaration

Source position: tmschema.pas line 67

const BP_USERBUTTON = 5;


BT_BORDERFILL

Declaration

Source position: tmschema.pas line 2063

const BT_BORDERFILL = 1;


BT_ELLIPSE

Declaration

Source position: tmschema.pas line 2085

const BT_ELLIPSE = 2;


BT_IMAGEFILE

Declaration

Source position: tmschema.pas line 2062

const BT_IMAGEFILE = 0;


BT_NONE

Declaration

Source position: tmschema.pas line 2064

const BT_NONE = 2;


BT_RECT

Declaration

Source position: tmschema.pas line 2083

const BT_RECT = 0;


BT_ROUNDRECT

Declaration

Source position: tmschema.pas line 2084

const BT_ROUNDRECT = 1;


BUTTONPARTS

Declaration

Source position: tmschema.pas line 60

type BUTTONPARTS = LongInt;


BUTTONSTYLEPARTS

Declaration

Source position: tmschema.pas line 72

type BUTTONSTYLEPARTS = BUTTONPARTS;


CA_CENTER

Declaration

Source position: tmschema.pas line 2133

const CA_CENTER = 1;


CA_LEFT

Declaration

Source position: tmschema.pas line 2132

const CA_LEFT = 0;


CA_RIGHT

Declaration

Source position: tmschema.pas line 2134

const CA_RIGHT = 2;


CAPTIONSTATES

Declaration

Source position: tmschema.pas line 1924

type CAPTIONSTATES = LongInt;


CBB_DISABLED

Declaration

Source position: tmschema.pas line 225

const CBB_DISABLED = 4;


CBB_FOCUSED

Declaration

Source position: tmschema.pas line 224

const CBB_FOCUSED = 3;


CBB_HOT

Declaration

Source position: tmschema.pas line 223

const CBB_HOT = 2;


CBB_NORMAL

Declaration

Source position: tmschema.pas line 222

const CBB_NORMAL = 1;


CBCB_DISABLED

Declaration

Source position: tmschema.pas line 245

const CBCB_DISABLED = 4;


CBCB_HOT

Declaration

Source position: tmschema.pas line 243

const CBCB_HOT = 2;


CBCB_NORMAL

Declaration

Source position: tmschema.pas line 242

const CBCB_NORMAL = 1;


CBCB_PRESSED

Declaration

Source position: tmschema.pas line 244

const CBCB_PRESSED = 3;


CBRO_DISABLED

Declaration

Source position: tmschema.pas line 235

const CBRO_DISABLED = 4;


CBRO_HOT

Declaration

Source position: tmschema.pas line 233

const CBRO_HOT = 2;


CBRO_NORMAL

Declaration

Source position: tmschema.pas line 232

const CBRO_NORMAL = 1;


CBRO_PRESSED

Declaration

Source position: tmschema.pas line 234

const CBRO_PRESSED = 3;


CBS_CHECKEDDISABLED

Declaration

Source position: tmschema.pas line 111

const CBS_CHECKEDDISABLED = 8;


CBS_CHECKEDHOT

Declaration

Source position: tmschema.pas line 109

const CBS_CHECKEDHOT = 6;


CBS_CHECKEDNORMAL

Declaration

Source position: tmschema.pas line 108

const CBS_CHECKEDNORMAL = 5;


CBS_CHECKEDPRESSED

Declaration

Source position: tmschema.pas line 110

const CBS_CHECKEDPRESSED = 7;


CBS_DISABLED

Declaration

Source position: tmschema.pas line 2047

const CBS_DISABLED = 4;


CBS_EXCLUDEDDISABLED

Declaration

Source position: tmschema.pas line 123

const CBS_EXCLUDEDDISABLED = 20;


CBS_EXCLUDEDHOT

Declaration

Source position: tmschema.pas line 121

const CBS_EXCLUDEDHOT = 18;


CBS_EXCLUDEDNORMAL

Declaration

Source position: tmschema.pas line 120

const CBS_EXCLUDEDNORMAL = 17;


CBS_EXCLUDEDPRESSED

Declaration

Source position: tmschema.pas line 122

const CBS_EXCLUDEDPRESSED = 19;


CBS_HOT

Declaration

Source position: tmschema.pas line 2045

const CBS_HOT = 2;


CBS_IMPLICITDISABLED

Declaration

Source position: tmschema.pas line 119

const CBS_IMPLICITDISABLED = 16;


CBS_IMPLICITHOT

Declaration

Source position: tmschema.pas line 117

const CBS_IMPLICITHOT = 14;


CBS_IMPLICITNORMAL

Declaration

Source position: tmschema.pas line 116

const CBS_IMPLICITNORMAL = 13;


CBS_IMPLICITPRESSED

Declaration

Source position: tmschema.pas line 118

const CBS_IMPLICITPRESSED = 15;


CBS_MIXEDDISABLED

Declaration

Source position: tmschema.pas line 115

const CBS_MIXEDDISABLED = 12;


CBS_MIXEDHOT

Declaration

Source position: tmschema.pas line 113

const CBS_MIXEDHOT = 10;


CBS_MIXEDNORMAL

Declaration

Source position: tmschema.pas line 112

const CBS_MIXEDNORMAL = 9;


CBS_MIXEDPRESSED

Declaration

Source position: tmschema.pas line 114

const CBS_MIXEDPRESSED = 11;


CBS_NORMAL

Declaration

Source position: tmschema.pas line 2044

const CBS_NORMAL = 1;


CBS_PUSHED

Declaration

Source position: tmschema.pas line 2046

const CBS_PUSHED = 3;


CBS_UNCHECKEDDISABLED

Declaration

Source position: tmschema.pas line 107

const CBS_UNCHECKEDDISABLED = 4;


CBS_UNCHECKEDHOT

Declaration

Source position: tmschema.pas line 105

const CBS_UNCHECKEDHOT = 2;


CBS_UNCHECKEDNORMAL

Declaration

Source position: tmschema.pas line 104

const CBS_UNCHECKEDNORMAL = 1;


CBS_UNCHECKEDPRESSED

Declaration

Source position: tmschema.pas line 106

const CBS_UNCHECKEDPRESSED = 3;


CBTBS_DISABLED

Declaration

Source position: tmschema.pas line 214

const CBTBS_DISABLED = 3;


CBTBS_FOCUSED

Declaration

Source position: tmschema.pas line 215

const CBTBS_FOCUSED = 4;


CBTBS_HOT

Declaration

Source position: tmschema.pas line 213

const CBTBS_HOT = 2;


CBTBS_NORMAL

Declaration

Source position: tmschema.pas line 212

const CBTBS_NORMAL = 1;


CBXS_DISABLED

Declaration

Source position: tmschema.pas line 185

const CBXS_DISABLED = 4;


CBXS_HOT

Declaration

Source position: tmschema.pas line 183

const CBXS_HOT = 2;


CBXS_NORMAL

Declaration

Source position: tmschema.pas line 182

const CBXS_NORMAL = 1;


CBXS_PRESSED

Declaration

Source position: tmschema.pas line 184

const CBXS_PRESSED = 3;


CBXSL_DISABLED

Declaration

Source position: tmschema.pas line 205

const CBXSL_DISABLED = 4;


CBXSL_HOT

Declaration

Source position: tmschema.pas line 203

const CBXSL_HOT = 2;


CBXSL_NORMAL

Declaration

Source position: tmschema.pas line 202

const CBXSL_NORMAL = 1;


CBXSL_PRESSED

Declaration

Source position: tmschema.pas line 204

const CBXSL_PRESSED = 3;


CBXSR_DISABLED

Declaration

Source position: tmschema.pas line 195

const CBXSR_DISABLED = 4;


CBXSR_HOT

Declaration

Source position: tmschema.pas line 193

const CBXSR_HOT = 2;


CBXSR_NORMAL

Declaration

Source position: tmschema.pas line 192

const CBXSR_NORMAL = 1;


CBXSR_PRESSED

Declaration

Source position: tmschema.pas line 194

const CBXSR_PRESSED = 3;


CHECKBOXSTATES

Declaration

Source position: tmschema.pas line 101

type CHECKBOXSTATES = LongInt;


CHEVRONSTATES

Declaration

Source position: tmschema.pas line 1211

type CHEVRONSTATES = LongInt;


CHEVRONVERTSTATES

Declaration

Source position: tmschema.pas line 1220

type CHEVRONVERTSTATES = LongInt;


CHEVS_HOT

Declaration

Source position: tmschema.pas line 1215

const CHEVS_HOT = 2;


CHEVS_NORMAL

Declaration

Source position: tmschema.pas line 1214

const CHEVS_NORMAL = 1;


CHEVS_PRESSED

Declaration

Source position: tmschema.pas line 1216

const CHEVS_PRESSED = 3;


CHEVSV_HOT

Declaration

Source position: tmschema.pas line 1224

const CHEVSV_HOT = 2;


CHEVSV_NORMAL

Declaration

Source position: tmschema.pas line 1223

const CHEVSV_NORMAL = 1;


CHEVSV_PRESSED

Declaration

Source position: tmschema.pas line 1225

const CHEVSV_PRESSED = 3;


CLOCKPARTS

Declaration

Source position: tmschema.pas line 2656

type CLOCKPARTS = LongInt;


CLOCKSTATES

Declaration

Source position: tmschema.pas line 2663

type CLOCKSTATES = LongInt;


CLOSEBUTTONSTATES

Declaration

Source position: tmschema.pas line 2041

type CLOSEBUTTONSTATES = LongInt;


CLOSESTATES

Declaration

Source position: tmschema.pas line 1650

type CLOSESTATES = LongInt;


CLP_TIME

Declaration

Source position: tmschema.pas line 2659

const CLP_TIME = 1;


CLS_HOT

Declaration

Source position: tmschema.pas line 2667

const CLS_HOT = 2;


CLS_NORMAL

Declaration

Source position: tmschema.pas line 2666

const CLS_NORMAL = 1;


CLS_PRESSED

Declaration

Source position: tmschema.pas line 2668

const CLS_PRESSED = 3;


CMDLGS_DEFAULTED

Declaration

Source position: tmschema.pas line 154

const CMDLGS_DEFAULTED = 5;


CMDLGS_DISABLED

Declaration

Source position: tmschema.pas line 153

const CMDLGS_DISABLED = 4;


CMDLGS_HOT

Declaration

Source position: tmschema.pas line 151

const CMDLGS_HOT = 2;


CMDLGS_NORMAL

Declaration

Source position: tmschema.pas line 150

const CMDLGS_NORMAL = 1;


CMDLGS_PRESSED

Declaration

Source position: tmschema.pas line 152

const CMDLGS_PRESSED = 3;


CMDLS_DEFAULTED

Declaration

Source position: tmschema.pas line 142

const CMDLS_DEFAULTED = 5;


CMDLS_DEFAULTED_ANIMATING

Declaration

Source position: tmschema.pas line 143

const CMDLS_DEFAULTED_ANIMATING = 6;


CMDLS_DISABLED

Declaration

Source position: tmschema.pas line 141

const CMDLS_DISABLED = 4;


CMDLS_HOT

Declaration

Source position: tmschema.pas line 139

const CMDLS_HOT = 2;


CMDLS_NORMAL

Declaration

Source position: tmschema.pas line 138

const CMDLS_NORMAL = 1;


CMDLS_PRESSED

Declaration

Source position: tmschema.pas line 140

const CMDLS_PRESSED = 3;


COLLAPSEBUTTONSTATES

Declaration

Source position: tmschema.pas line 955

type COLLAPSEBUTTONSTATES = LongInt;


COMBOBOXPARTS

Declaration

Source position: tmschema.pas line 163

type COMBOBOXPARTS = LongInt;


COMBOBOXSTYLEPARTS

Declaration

Source position: tmschema.pas line 176

type COMBOBOXSTYLEPARTS = COMBOBOXPARTS;


COMBOBOXSTYLESTATES

Declaration

Source position: tmschema.pas line 179

type COMBOBOXSTYLESTATES = LongInt;


COMMANDLINKGLYPHSTATES

Declaration

Source position: tmschema.pas line 147

type COMMANDLINKGLYPHSTATES = LongInt;


COMMANDLINKSTATES

Declaration

Source position: tmschema.pas line 135

type COMMANDLINKSTATES = LongInt;


COMMUNICATIONSPARTS

Declaration

Source position: tmschema.pas line 254

type COMMUNICATIONSPARTS = LongInt;


COMMUNICATIONSSTYLEPARTS

Declaration

Source position: tmschema.pas line 260

type COMMUNICATIONSSTYLEPARTS = COMMUNICATIONSPARTS;


CONTENTALIGNMENT

Declaration

Source position: tmschema.pas line 2129

type CONTENTALIGNMENT = LongInt;


CONTENTAREASTATES

Declaration

Source position: tmschema.pas line 48

type CONTENTAREASTATES = LongInt;


CONTENTLINKSTATES

Declaration

Source position: tmschema.pas line 325

type CONTENTLINKSTATES = LongInt;


CONTENTPANESTATES

Declaration

Source position: tmschema.pas line 1540

type CONTENTPANESTATES = LongInt;


CONTROLLABELSTATES

Declaration

Source position: tmschema.pas line 1588

type CONTROLLABELSTATES = LongInt;


CONTROLPANELPARTS

Declaration

Source position: tmschema.pas line 277

type CONTROLPANELPARTS = LongInt;


CONTROLPANELSTYLEPARTS

Declaration

Source position: tmschema.pas line 301

type CONTROLPANELSTYLEPARTS = CONTROLPANELPARTS;


COPYSTATES

Declaration

Source position: tmschema.pas line 409

type COPYSTATES = LongInt;


CP_BACKGROUND

Declaration

Source position: tmschema.pas line 167

const CP_BACKGROUND = 2;


CP_BORDER

Declaration

Source position: tmschema.pas line 169

const CP_BORDER = 4;


CP_CUEBANNER

Declaration

Source position: tmschema.pas line 173

const CP_CUEBANNER = 8;


CP_DROPDOWNBUTTON

Declaration

Source position: tmschema.pas line 166

const CP_DROPDOWNBUTTON = 1;


CP_DROPDOWNBUTTONLEFT

Declaration

Source position: tmschema.pas line 172

const CP_DROPDOWNBUTTONLEFT = 7;


CP_DROPDOWNBUTTONRIGHT

Declaration

Source position: tmschema.pas line 171

const CP_DROPDOWNBUTTONRIGHT = 6;


CP_READONLY

Declaration

Source position: tmschema.pas line 170

const CP_READONLY = 5;


CP_TRANSPARENTBACKGROUND

Declaration

Source position: tmschema.pas line 168

const CP_TRANSPARENTBACKGROUND = 3;


CPANEL_BANNERAREA

Declaration

Source position: tmschema.pas line 297

const CPANEL_BANNERAREA = 18;


CPANEL_BODYTEXT

Declaration

Source position: tmschema.pas line 285

const CPANEL_BODYTEXT = 6;


CPANEL_BODYTITLE

Declaration

Source position: tmschema.pas line 298

const CPANEL_BODYTITLE = 19;


CPANEL_BUTTON

Declaration

Source position: tmschema.pas line 293

const CPANEL_BUTTON = 14;


CPANEL_CONTENTLINK

Declaration

Source position: tmschema.pas line 289

const CPANEL_CONTENTLINK = 10;


CPANEL_CONTENTPANE

Declaration

Source position: tmschema.pas line 281

const CPANEL_CONTENTPANE = 2;


CPANEL_CONTENTPANELABEL

Declaration

Source position: tmschema.pas line 283

const CPANEL_CONTENTPANELABEL = 4;


CPANEL_CONTENTPANELINE

Declaration

Source position: tmschema.pas line 296

const CPANEL_CONTENTPANELINE = 17;


CPANEL_GROUPTEXT

Declaration

Source position: tmschema.pas line 288

const CPANEL_GROUPTEXT = 9;


CPANEL_HELPLINK

Declaration

Source position: tmschema.pas line 286

const CPANEL_HELPLINK = 7;


CPANEL_LARGECOMMANDAREA

Declaration

Source position: tmschema.pas line 291

const CPANEL_LARGECOMMANDAREA = 12;


CPANEL_MESSAGETEXT

Declaration

Source position: tmschema.pas line 294

const CPANEL_MESSAGETEXT = 15;


CPANEL_NAVIGATIONPANE

Declaration

Source position: tmschema.pas line 280

const CPANEL_NAVIGATIONPANE = 1;


CPANEL_NAVIGATIONPANELABEL

Declaration

Source position: tmschema.pas line 282

const CPANEL_NAVIGATIONPANELABEL = 3;


CPANEL_NAVIGATIONPANELINE

Declaration

Source position: tmschema.pas line 295

const CPANEL_NAVIGATIONPANELINE = 16;


CPANEL_SECTIONTITLELINK

Declaration

Source position: tmschema.pas line 290

const CPANEL_SECTIONTITLELINK = 11;


CPANEL_SMALLCOMMANDAREA

Declaration

Source position: tmschema.pas line 292

const CPANEL_SMALLCOMMANDAREA = 13;


CPANEL_TASKLINK

Declaration

Source position: tmschema.pas line 287

const CPANEL_TASKLINK = 8;


CPANEL_TITLE

Declaration

Source position: tmschema.pas line 284

const CPANEL_TITLE = 5;


CPCL_DISABLED

Declaration

Source position: tmschema.pas line 331

const CPCL_DISABLED = 4;


CPCL_HOT

Declaration

Source position: tmschema.pas line 329

const CPCL_HOT = 2;


CPCL_NORMAL

Declaration

Source position: tmschema.pas line 328

const CPCL_NORMAL = 1;


CPCL_PRESSED

Declaration

Source position: tmschema.pas line 330

const CPCL_PRESSED = 3;


CPHL_DISABLED

Declaration

Source position: tmschema.pas line 310

const CPHL_DISABLED = 4;


CPHL_HOT

Declaration

Source position: tmschema.pas line 308

const CPHL_HOT = 2;


CPHL_NORMAL

Declaration

Source position: tmschema.pas line 307

const CPHL_NORMAL = 1;


CPHL_PRESSED

Declaration

Source position: tmschema.pas line 309

const CPHL_PRESSED = 3;


CPSTL_HOT

Declaration

Source position: tmschema.pas line 339

const CPSTL_HOT = 2;


CPSTL_NORMAL

Declaration

Source position: tmschema.pas line 338

const CPSTL_NORMAL = 1;


CPTL_DISABLED

Declaration

Source position: tmschema.pas line 320

const CPTL_DISABLED = 4;


CPTL_HOT

Declaration

Source position: tmschema.pas line 318

const CPTL_HOT = 2;


CPTL_NORMAL

Declaration

Source position: tmschema.pas line 317

const CPTL_NORMAL = 1;


CPTL_PAGE

Declaration

Source position: tmschema.pas line 321

const CPTL_PAGE = 5;


CPTL_PRESSED

Declaration

Source position: tmschema.pas line 319

const CPTL_PRESSED = 3;


CREATELINKSTATES

Declaration

Source position: tmschema.pas line 433

type CREATELINKSTATES = LongInt;


CS_ACTIVE

Declaration

Source position: tmschema.pas line 1927

const CS_ACTIVE = 1;


CS_DISABLED

Declaration

Source position: tmschema.pas line 1929

const CS_DISABLED = 3;


CS_INACTIVE

Declaration

Source position: tmschema.pas line 1928

const CS_INACTIVE = 2;


CSST_TAB

Declaration

Source position: tmschema.pas line 257

const CSST_TAB = 1;


CSTB_HOT

Declaration

Source position: tmschema.pas line 267

const CSTB_HOT = 2;


CSTB_NORMAL

Declaration

Source position: tmschema.pas line 266

const CSTB_NORMAL = 1;


CSTB_SELECTED

Declaration

Source position: tmschema.pas line 268

const CSTB_SELECTED = 3;


CUEBANNERSTATES

Declaration

Source position: tmschema.pas line 239

type CUEBANNERSTATES = LongInt;


DATEBORDERSTATES

Declaration

Source position: tmschema.pas line 368

type DATEBORDERSTATES = LongInt;


DATEPICKERPARTS

Declaration

Source position: tmschema.pas line 348

type DATEPICKERPARTS = LongInt;


DATEPICKERSTYLEPARTS

Declaration

Source position: tmschema.pas line 356

type DATEPICKERSTYLEPARTS = DATEPICKERPARTS;


DATETEXTSTATES

Declaration

Source position: tmschema.pas line 359

type DATETEXTSTATES = LongInt;


DD_COPY

Declaration

Source position: tmschema.pas line 396

const DD_COPY = 1;


DD_CREATELINK

Declaration

Source position: tmschema.pas line 399

const DD_CREATELINK = 4;


DD_IMAGEBG

Declaration

Source position: tmschema.pas line 402

const DD_IMAGEBG = 7;


DD_MOVE

Declaration

Source position: tmschema.pas line 397

const DD_MOVE = 2;


DD_NONE

Declaration

Source position: tmschema.pas line 401

const DD_NONE = 6;


DD_TEXTBG

Declaration

Source position: tmschema.pas line 403

const DD_TEXTBG = 8;


DD_UPDATEMETADATA

Declaration

Source position: tmschema.pas line 398

const DD_UPDATEMETADATA = 3;


DD_WARNING

Declaration

Source position: tmschema.pas line 400

const DD_WARNING = 5;


DDCOPY_HIGHLIGHT

Declaration

Source position: tmschema.pas line 412

const DDCOPY_HIGHLIGHT = 1;


DDCOPY_NOHIGHLIGHT

Declaration

Source position: tmschema.pas line 413

const DDCOPY_NOHIGHLIGHT = 2;


DDCREATELINK_HIGHLIGHT

Declaration

Source position: tmschema.pas line 436

const DDCREATELINK_HIGHLIGHT = 1;


DDCREATELINK_NOHIGHLIGHT

Declaration

Source position: tmschema.pas line 437

const DDCREATELINK_NOHIGHLIGHT = 2;


DDMOVE_HIGHLIGHT

Declaration

Source position: tmschema.pas line 420

const DDMOVE_HIGHLIGHT = 1;


DDMOVE_NOHIGHLIGHT

Declaration

Source position: tmschema.pas line 421

const DDMOVE_NOHIGHLIGHT = 2;


DDNONE_HIGHLIGHT

Declaration

Source position: tmschema.pas line 452

const DDNONE_HIGHLIGHT = 1;


DDNONE_NOHIGHLIGHT

Declaration

Source position: tmschema.pas line 453

const DDNONE_NOHIGHLIGHT = 2;


DDUPDATEMETADATA_HIGHLIGHT

Declaration

Source position: tmschema.pas line 428

const DDUPDATEMETADATA_HIGHLIGHT = 1;


DDUPDATEMETADATA_NOHIGHLIGHT

Declaration

Source position: tmschema.pas line 429

const DDUPDATEMETADATA_NOHIGHLIGHT = 2;


DDWARNING_HIGHLIGHT

Declaration

Source position: tmschema.pas line 444

const DDWARNING_HIGHLIGHT = 1;


DDWARNING_NOHIGHLIGHT

Declaration

Source position: tmschema.pas line 445

const DDWARNING_NOHIGHLIGHT = 2;


DNHZS_DISABLED

Declaration

Source position: tmschema.pas line 1374

const DNHZS_DISABLED = 4;


DNHZS_HOT

Declaration

Source position: tmschema.pas line 1372

const DNHZS_HOT = 2;


DNHZS_NORMAL

Declaration

Source position: tmschema.pas line 1371

const DNHZS_NORMAL = 1;


DNHZS_PRESSED

Declaration

Source position: tmschema.pas line 1373

const DNHZS_PRESSED = 3;


DNS_DISABLED

Declaration

Source position: tmschema.pas line 1354

const DNS_DISABLED = 4;


DNS_HOT

Declaration

Source position: tmschema.pas line 1352

const DNS_HOT = 2;


DNS_NORMAL

Declaration

Source position: tmschema.pas line 1351

const DNS_NORMAL = 1;


DNS_PRESSED

Declaration

Source position: tmschema.pas line 1353

const DNS_PRESSED = 3;


DOWNHORZSTATES

Declaration

Source position: tmschema.pas line 1368

type DOWNHORZSTATES = LongInt;


DOWNSTATES

Declaration

Source position: tmschema.pas line 1348

type DOWNSTATES = LongInt;


DP_DATEBORDER

Declaration

Source position: tmschema.pas line 352

const DP_DATEBORDER = 2;


DP_DATETEXT

Declaration

Source position: tmschema.pas line 351

const DP_DATETEXT = 1;


DP_SHOWCALENDARBUTTONRIGHT

Declaration

Source position: tmschema.pas line 353

const DP_SHOWCALENDARBUTTONRIGHT = 3;


DPDB_DISABLED

Declaration

Source position: tmschema.pas line 374

const DPDB_DISABLED = 4;


DPDB_FOCUSED

Declaration

Source position: tmschema.pas line 373

const DPDB_FOCUSED = 3;


DPDB_HOT

Declaration

Source position: tmschema.pas line 372

const DPDB_HOT = 2;


DPDB_NORMAL

Declaration

Source position: tmschema.pas line 371

const DPDB_NORMAL = 1;


DPDT_DISABLED

Declaration

Source position: tmschema.pas line 363

const DPDT_DISABLED = 2;


DPDT_NORMAL

Declaration

Source position: tmschema.pas line 362

const DPDT_NORMAL = 1;


DPDT_SELECTED

Declaration

Source position: tmschema.pas line 364

const DPDT_SELECTED = 3;


DPSCBR_DISABLED

Declaration

Source position: tmschema.pas line 384

const DPSCBR_DISABLED = 4;


DPSCBR_HOT

Declaration

Source position: tmschema.pas line 382

const DPSCBR_HOT = 2;


DPSCBR_NORMAL

Declaration

Source position: tmschema.pas line 381

const DPSCBR_NORMAL = 1;


DPSCBR_PRESSED

Declaration

Source position: tmschema.pas line 383

const DPSCBR_PRESSED = 3;


DRAGDROPPARTS

Declaration

Source position: tmschema.pas line 393

type DRAGDROPPARTS = LongInt;


DRAGDROPSTYLEPARTS

Declaration

Source position: tmschema.pas line 406

type DRAGDROPSTYLEPARTS = DRAGDROPPARTS;


DROPDOWNBUTTONLEFTSTATES

Declaration

Source position: tmschema.pas line 199

type DROPDOWNBUTTONLEFTSTATES = LongInt;


DROPDOWNBUTTONRIGHTSTATES

Declaration

Source position: tmschema.pas line 189

type DROPDOWNBUTTONRIGHTSTATES = LongInt;


EBHC_HOT

Declaration

Source position: tmschema.pas line 584

const EBHC_HOT = 2;


EBHC_NORMAL

Declaration

Source position: tmschema.pas line 583

const EBHC_NORMAL = 1;


EBHC_PRESSED

Declaration

Source position: tmschema.pas line 585

const EBHC_PRESSED = 3;


EBHP_HOT

Declaration

Source position: tmschema.pas line 593

const EBHP_HOT = 2;


EBHP_NORMAL

Declaration

Source position: tmschema.pas line 592

const EBHP_NORMAL = 1;


EBHP_PRESSED

Declaration

Source position: tmschema.pas line 594

const EBHP_PRESSED = 3;


EBHP_SELECTEDHOT

Declaration

Source position: tmschema.pas line 596

const EBHP_SELECTEDHOT = 5;


EBHP_SELECTEDNORMAL

Declaration

Source position: tmschema.pas line 595

const EBHP_SELECTEDNORMAL = 4;


EBHP_SELECTEDPRESSED

Declaration

Source position: tmschema.pas line 597

const EBHP_SELECTEDPRESSED = 6;


EBM_HOT

Declaration

Source position: tmschema.pas line 605

const EBM_HOT = 2;


EBM_NORMAL

Declaration

Source position: tmschema.pas line 604

const EBM_NORMAL = 1;


EBM_PRESSED

Declaration

Source position: tmschema.pas line 606

const EBM_PRESSED = 3;


EBNGC_HOT

Declaration

Source position: tmschema.pas line 614

const EBNGC_HOT = 2;


EBNGC_NORMAL

Declaration

Source position: tmschema.pas line 613

const EBNGC_NORMAL = 1;


EBNGC_PRESSED

Declaration

Source position: tmschema.pas line 615

const EBNGC_PRESSED = 3;


EBNGE_HOT

Declaration

Source position: tmschema.pas line 623

const EBNGE_HOT = 2;


EBNGE_NORMAL

Declaration

Source position: tmschema.pas line 622

const EBNGE_NORMAL = 1;


EBNGE_PRESSED

Declaration

Source position: tmschema.pas line 624

const EBNGE_PRESSED = 3;


EBP_HEADERBACKGROUND

Declaration

Source position: tmschema.pas line 563

const EBP_HEADERBACKGROUND = 1;


EBP_HEADERCLOSE

Declaration

Source position: tmschema.pas line 564

const EBP_HEADERCLOSE = 2;


EBP_HEADERPIN

Declaration

Source position: tmschema.pas line 565

const EBP_HEADERPIN = 3;


EBP_IEBARMENU

Declaration

Source position: tmschema.pas line 566

const EBP_IEBARMENU = 4;


EBP_NORMALGROUPBACKGROUND

Declaration

Source position: tmschema.pas line 567

const EBP_NORMALGROUPBACKGROUND = 5;


EBP_NORMALGROUPCOLLAPSE

Declaration

Source position: tmschema.pas line 568

const EBP_NORMALGROUPCOLLAPSE = 6;


EBP_NORMALGROUPEXPAND

Declaration

Source position: tmschema.pas line 569

const EBP_NORMALGROUPEXPAND = 7;


EBP_NORMALGROUPHEAD

Declaration

Source position: tmschema.pas line 570

const EBP_NORMALGROUPHEAD = 8;


EBP_SPECIALGROUPBACKGROUND

Declaration

Source position: tmschema.pas line 571

const EBP_SPECIALGROUPBACKGROUND = 9;


EBP_SPECIALGROUPCOLLAPSE

Declaration

Source position: tmschema.pas line 572

const EBP_SPECIALGROUPCOLLAPSE = 10;


EBP_SPECIALGROUPEXPAND

Declaration

Source position: tmschema.pas line 573

const EBP_SPECIALGROUPEXPAND = 11;


EBP_SPECIALGROUPHEAD

Declaration

Source position: tmschema.pas line 574

const EBP_SPECIALGROUPHEAD = 12;


EBS_ASSIST

Declaration

Source position: tmschema.pas line 501

const EBS_ASSIST = 6;


EBS_DISABLED

Declaration

Source position: tmschema.pas line 498

const EBS_DISABLED = 3;


EBS_FOCUSED

Declaration

Source position: tmschema.pas line 499

const EBS_FOCUSED = 4;


EBS_HOT

Declaration

Source position: tmschema.pas line 497

const EBS_HOT = 2;


EBS_NORMAL

Declaration

Source position: tmschema.pas line 496

const EBS_NORMAL = 1;


EBS_READONLY

Declaration

Source position: tmschema.pas line 500

const EBS_READONLY = 5;


EBSGC_HOT

Declaration

Source position: tmschema.pas line 632

const EBSGC_HOT = 2;


EBSGC_NORMAL

Declaration

Source position: tmschema.pas line 631

const EBSGC_NORMAL = 1;


EBSGC_PRESSED

Declaration

Source position: tmschema.pas line 633

const EBSGC_PRESSED = 3;


EBSGE_HOT

Declaration

Source position: tmschema.pas line 641

const EBSGE_HOT = 2;


EBSGE_NORMAL

Declaration

Source position: tmschema.pas line 640

const EBSGE_NORMAL = 1;


EBSGE_PRESSED

Declaration

Source position: tmschema.pas line 642

const EBSGE_PRESSED = 3;


EBWBS_DISABLED

Declaration

Source position: tmschema.pas line 510

const EBWBS_DISABLED = 3;


EBWBS_FOCUSED

Declaration

Source position: tmschema.pas line 511

const EBWBS_FOCUSED = 4;


EBWBS_HOT

Declaration

Source position: tmschema.pas line 509

const EBWBS_HOT = 2;


EBWBS_NORMAL

Declaration

Source position: tmschema.pas line 508

const EBWBS_NORMAL = 1;


EDITBORDER_HSCROLLSTATES

Declaration

Source position: tmschema.pas line 525

type EDITBORDER_HSCROLLSTATES = LongInt;


EDITBORDER_HVSCROLLSTATES

Declaration

Source position: tmschema.pas line 545

type EDITBORDER_HVSCROLLSTATES = LongInt;


EDITBORDER_NOSCROLLSTATES

Declaration

Source position: tmschema.pas line 515

type EDITBORDER_NOSCROLLSTATES = LongInt;


EDITBORDER_VSCROLLSTATES

Declaration

Source position: tmschema.pas line 535

type EDITBORDER_VSCROLLSTATES = LongInt;


EDITPARTS

Declaration

Source position: tmschema.pas line 462

type EDITPARTS = LongInt;


EDITSTYLEPARTS

Declaration

Source position: tmschema.pas line 476

type EDITSTYLEPARTS = EDITPARTS;


EDITTEXTSTATES

Declaration

Source position: tmschema.pas line 479

type EDITTEXTSTATES = LongInt;


EMP_MARKUPTEXT

Declaration

Source position: tmschema.pas line 2525

const EMP_MARKUPTEXT = 1;


EMPTYMARKUPPARTS

Declaration

Source position: tmschema.pas line 2522

type EMPTYMARKUPPARTS = LongInt;


EMT_LINKTEXT

Declaration

Source position: tmschema.pas line 2533

const EMT_LINKTEXT = 2;


EMT_NORMALTEXT

Declaration

Source position: tmschema.pas line 2532

const EMT_NORMALTEXT = 1;


EP_BACKGROUND

Declaration

Source position: tmschema.pas line 467

const EP_BACKGROUND = 3;


EP_BACKGROUNDWITHBORDER

Declaration

Source position: tmschema.pas line 469

const EP_BACKGROUNDWITHBORDER = 5;


EP_CARET

Declaration

Source position: tmschema.pas line 466

const EP_CARET = 2;


EP_EDITBORDER_HSCROLL

Declaration

Source position: tmschema.pas line 471

const EP_EDITBORDER_HSCROLL = 7;


EP_EDITBORDER_HVSCROLL

Declaration

Source position: tmschema.pas line 473

const EP_EDITBORDER_HVSCROLL = 9;


EP_EDITBORDER_NOSCROLL

Declaration

Source position: tmschema.pas line 470

const EP_EDITBORDER_NOSCROLL = 6;


EP_EDITBORDER_VSCROLL

Declaration

Source position: tmschema.pas line 472

const EP_EDITBORDER_VSCROLL = 8;


EP_EDITTEXT

Declaration

Source position: tmschema.pas line 465

const EP_EDITTEXT = 1;


EP_PASSWORD

Declaration

Source position: tmschema.pas line 468

const EP_PASSWORD = 4;


EPSH_DISABLED

Declaration

Source position: tmschema.pas line 531

const EPSH_DISABLED = 4;


EPSH_FOCUSED

Declaration

Source position: tmschema.pas line 530

const EPSH_FOCUSED = 3;


EPSH_HOT

Declaration

Source position: tmschema.pas line 529

const EPSH_HOT = 2;


EPSH_NORMAL

Declaration

Source position: tmschema.pas line 528

const EPSH_NORMAL = 1;


EPSHV_DISABLED

Declaration

Source position: tmschema.pas line 551

const EPSHV_DISABLED = 4;


EPSHV_FOCUSED

Declaration

Source position: tmschema.pas line 550

const EPSHV_FOCUSED = 3;


EPSHV_HOT

Declaration

Source position: tmschema.pas line 549

const EPSHV_HOT = 2;


EPSHV_NORMAL

Declaration

Source position: tmschema.pas line 548

const EPSHV_NORMAL = 1;


EPSN_DISABLED

Declaration

Source position: tmschema.pas line 521

const EPSN_DISABLED = 4;


EPSN_FOCUSED

Declaration

Source position: tmschema.pas line 520

const EPSN_FOCUSED = 3;


EPSN_HOT

Declaration

Source position: tmschema.pas line 519

const EPSN_HOT = 2;


EPSN_NORMAL

Declaration

Source position: tmschema.pas line 518

const EPSN_NORMAL = 1;


EPSV_DISABLED

Declaration

Source position: tmschema.pas line 541

const EPSV_DISABLED = 4;


EPSV_FOCUSED

Declaration

Source position: tmschema.pas line 540

const EPSV_FOCUSED = 3;


EPSV_HOT

Declaration

Source position: tmschema.pas line 539

const EPSV_HOT = 2;


EPSV_NORMAL

Declaration

Source position: tmschema.pas line 538

const EPSV_NORMAL = 1;


ETS_ASSIST

Declaration

Source position: tmschema.pas line 488

const ETS_ASSIST = 7;


ETS_CUEBANNER

Declaration

Source position: tmschema.pas line 489

const ETS_CUEBANNER = 8;


ETS_DISABLED

Declaration

Source position: tmschema.pas line 485

const ETS_DISABLED = 4;


ETS_FOCUSED

Declaration

Source position: tmschema.pas line 486

const ETS_FOCUSED = 5;


ETS_HOT

Declaration

Source position: tmschema.pas line 483

const ETS_HOT = 2;


ETS_NORMAL

Declaration

Source position: tmschema.pas line 482

const ETS_NORMAL = 1;


ETS_READONLY

Declaration

Source position: tmschema.pas line 487

const ETS_READONLY = 6;


ETS_SELECTED

Declaration

Source position: tmschema.pas line 484

const ETS_SELECTED = 3;


EXPANDBUTTONSTATES

Declaration

Source position: tmschema.pas line 946

type EXPANDBUTTONSTATES = LongInt;


EXPANDOBUTTONSTATES

Declaration

Source position: tmschema.pas line 1547

type EXPANDOBUTTONSTATES = LongInt;


EXPLORERBARPARTS

Declaration

Source position: tmschema.pas line 560

type EXPLORERBARPARTS = LongInt;


EXPLORERBARSTYLEPARTS

Declaration

Source position: tmschema.pas line 577

type EXPLORERBARSTYLEPARTS = EXPLORERBARPARTS;


FBS_EMPHASIZED

Declaration

Source position: tmschema.pas line 689

const FBS_EMPHASIZED = 2;


FBS_NORMAL

Declaration

Source position: tmschema.pas line 688

const FBS_NORMAL = 1;


FILLSTATES

Declaration

Source position: tmschema.pas line 1170

type FILLSTATES = LongInt;


FILLTYPE

Declaration

Source position: tmschema.pas line 2091

type FILLTYPE = LongInt;


FILLVERTSTATES

Declaration

Source position: tmschema.pas line 1180

type FILLVERTSTATES = LongInt;


FLH_HOVER

Declaration

Source position: tmschema.pas line 697

const FLH_HOVER = 2;


FLH_NORMAL

Declaration

Source position: tmschema.pas line 696

const FLH_NORMAL = 1;


FLS_DISABLED

Declaration

Source position: tmschema.pas line 673

const FLS_DISABLED = 4;


FLS_EMPHASIZED

Declaration

Source position: tmschema.pas line 672

const FLS_EMPHASIZED = 3;


FLS_NORMAL

Declaration

Source position: tmschema.pas line 670

const FLS_NORMAL = 1;


FLS_SELECTED

Declaration

Source position: tmschema.pas line 671

const FLS_SELECTED = 2;


FLYOUT_BODY

Declaration

Source position: tmschema.pas line 655

const FLYOUT_BODY = 2;


FLYOUT_DIVIDER

Declaration

Source position: tmschema.pas line 658

const FLYOUT_DIVIDER = 5;


FLYOUT_HEADER

Declaration

Source position: tmschema.pas line 654

const FLYOUT_HEADER = 1;


FLYOUT_LABEL

Declaration

Source position: tmschema.pas line 656

const FLYOUT_LABEL = 3;


FLYOUT_LINK

Declaration

Source position: tmschema.pas line 657

const FLYOUT_LINK = 4;


FLYOUT_LINKAREA

Declaration

Source position: tmschema.pas line 660

const FLYOUT_LINKAREA = 7;


FLYOUT_LINKHEADER

Declaration

Source position: tmschema.pas line 661

const FLYOUT_LINKHEADER = 8;


FLYOUT_WINDOW

Declaration

Source position: tmschema.pas line 659

const FLYOUT_WINDOW = 6;


FLYOUTLINK_HOVER

Declaration

Source position: tmschema.pas line 681

const FLYOUTLINK_HOVER = 2;


FLYOUTLINK_NORMAL

Declaration

Source position: tmschema.pas line 680

const FLYOUTLINK_NORMAL = 1;


FLYOUTPARTS

Declaration

Source position: tmschema.pas line 651

type FLYOUTPARTS = LongInt;


FLYOUTSTYLEPARTS

Declaration

Source position: tmschema.pas line 664

type FLYOUTSTYLEPARTS = FLYOUTPARTS;


FRAMESTATES

Declaration

Source position: tmschema.pas line 1916

type FRAMESTATES = LongInt;


FS_ACTIVE

Declaration

Source position: tmschema.pas line 1919

const FS_ACTIVE = 1;


FS_INACTIVE

Declaration

Source position: tmschema.pas line 1920

const FS_INACTIVE = 2;


FT_HORZGRADIENT

Declaration

Source position: tmschema.pas line 2096

const FT_HORZGRADIENT = 2;


FT_RADIALGRADIENT

Declaration

Source position: tmschema.pas line 2097

const FT_RADIALGRADIENT = 3;


FT_SOLID

Declaration

Source position: tmschema.pas line 2094

const FT_SOLID = 0;


FT_TILEIMAGE

Declaration

Source position: tmschema.pas line 2098

const FT_TILEIMAGE = 4;


FT_VERTGRADIENT

Declaration

Source position: tmschema.pas line 2095

const FT_VERTGRADIENT = 1;


GBS_DISABLED

Declaration

Source position: tmschema.pas line 131

const GBS_DISABLED = 2;


GBS_NORMAL

Declaration

Source position: tmschema.pas line 130

const GBS_NORMAL = 1;


GFST_DPI

Declaration

Source position: tmschema.pas line 2243

const GFST_DPI = 2;


GFST_NONE

Declaration

Source position: tmschema.pas line 2241

const GFST_NONE = 0;


GFST_SIZE

Declaration

Source position: tmschema.pas line 2242

const GFST_SIZE = 1;


GLPS_CLOSED

Declaration

Source position: tmschema.pas line 1852

const GLPS_CLOSED = 1;


GLPS_OPENED

Declaration

Source position: tmschema.pas line 1853

const GLPS_OPENED = 2;


GLYPHFONTSIZINGTYPE

Declaration

Source position: tmschema.pas line 2238

type GLYPHFONTSIZINGTYPE = LongInt;


GLYPHSTATES

Declaration

Source position: tmschema.pas line 1849

type GLYPHSTATES = LongInt;


GLYPHTYPE

Declaration

Source position: tmschema.pas line 2202

type GLYPHTYPE = LongInt;


GRIDCELLBACKGROUNDSTATES

Declaration

Source position: tmschema.pas line 2583

type GRIDCELLBACKGROUNDSTATES = LongInt;


GRIDCELLSTATES

Declaration

Source position: tmschema.pas line 2594

type GRIDCELLSTATES = LongInt;


GRIDCELLUPPERSTATES

Declaration

Source position: tmschema.pas line 2604

type GRIDCELLUPPERSTATES = LongInt;


GROUPBOXSTATES

Declaration

Source position: tmschema.pas line 127

type GROUPBOXSTATES = LongInt;


GROUPHEADERLINESTATES

Declaration

Source position: tmschema.pas line 924

type GROUPHEADERLINESTATES = LongInt;


GROUPHEADERSTATES

Declaration

Source position: tmschema.pas line 902

type GROUPHEADERSTATES = LongInt;


GT_FONTGLYPH

Declaration

Source position: tmschema.pas line 2207

const GT_FONTGLYPH = 2;


GT_IMAGEGLYPH

Declaration

Source position: tmschema.pas line 2206

const GT_IMAGEGLYPH = 1;


GT_NONE

Declaration

Source position: tmschema.pas line 2205

const GT_NONE = 0;


HA_CENTER

Declaration

Source position: tmschema.pas line 2121

const HA_CENTER = 1;


HA_LEFT

Declaration

Source position: tmschema.pas line 2120

const HA_LEFT = 0;


HA_RIGHT

Declaration

Source position: tmschema.pas line 2122

const HA_RIGHT = 2;


HALIGN

Declaration

Source position: tmschema.pas line 2117

type HALIGN = LongInt;


HBG_DETAILS

Declaration

Source position: tmschema.pas line 724

const HBG_DETAILS = 1;


HBG_ICON

Declaration

Source position: tmschema.pas line 725

const HBG_ICON = 2;


HBS_DISABLED

Declaration

Source position: tmschema.pas line 2037

const HBS_DISABLED = 4;


HBS_HOT

Declaration

Source position: tmschema.pas line 2035

const HBS_HOT = 2;


HBS_NORMAL

Declaration

Source position: tmschema.pas line 2034

const HBS_NORMAL = 1;


HBS_PUSHED

Declaration

Source position: tmschema.pas line 2036

const HBS_PUSHED = 3;


HDDFS_HOT

Declaration

Source position: tmschema.pas line 787

const HDDFS_HOT = 3;


HDDFS_NORMAL

Declaration

Source position: tmschema.pas line 785

const HDDFS_NORMAL = 1;


HDDFS_SOFTHOT

Declaration

Source position: tmschema.pas line 786

const HDDFS_SOFTHOT = 2;


HDDS_HOT

Declaration

Source position: tmschema.pas line 778

const HDDS_HOT = 3;


HDDS_NORMAL

Declaration

Source position: tmschema.pas line 776

const HDDS_NORMAL = 1;


HDDS_SOFTHOT

Declaration

Source position: tmschema.pas line 777

const HDDS_SOFTHOT = 2;


HEADERAREASTATES

Declaration

Source position: tmschema.pas line 41

type HEADERAREASTATES = LongInt;


HEADERCLOSESTATES

Declaration

Source position: tmschema.pas line 580

type HEADERCLOSESTATES = LongInt;


HEADERDROPDOWNFILTERSTATES

Declaration

Source position: tmschema.pas line 782

type HEADERDROPDOWNFILTERSTATES = LongInt;


HEADERDROPDOWNSTATES

Declaration

Source position: tmschema.pas line 773

type HEADERDROPDOWNSTATES = LongInt;


HEADERITEMLEFTSTATES

Declaration

Source position: tmschema.pas line 747

type HEADERITEMLEFTSTATES = LongInt;


HEADERITEMRIGHTSTATES

Declaration

Source position: tmschema.pas line 756

type HEADERITEMRIGHTSTATES = LongInt;


HEADERITEMSTATES

Declaration

Source position: tmschema.pas line 729

type HEADERITEMSTATES = LongInt;


HEADEROVERFLOWSTATES

Declaration

Source position: tmschema.pas line 791

type HEADEROVERFLOWSTATES = LongInt;


HEADERPARTS

Declaration

Source position: tmschema.pas line 706

type HEADERPARTS = LongInt;


HEADERPINSTATES

Declaration

Source position: tmschema.pas line 589

type HEADERPINSTATES = LongInt;


HEADERSORTARROWSTATES

Declaration

Source position: tmschema.pas line 765

type HEADERSORTARROWSTATES = LongInt;


HEADERSTYLEPARTS

Declaration

Source position: tmschema.pas line 718

type HEADERSTYLEPARTS = HEADERPARTS;


HEADERSTYLESTATES

Declaration

Source position: tmschema.pas line 721

type HEADERSTYLESTATES = LongInt;


HELPBUTTONSTATES

Declaration

Source position: tmschema.pas line 2031

type HELPBUTTONSTATES = LongInt;


HELPLINKSTATES

Declaration

Source position: tmschema.pas line 304

type HELPLINKSTATES = LongInt;


HGLPS_CLOSED

Declaration

Source position: tmschema.pas line 1860

const HGLPS_CLOSED = 1;


HGLPS_OPENED

Declaration

Source position: tmschema.pas line 1861

const HGLPS_OPENED = 2;


HILS_HOT

Declaration

Source position: tmschema.pas line 751

const HILS_HOT = 2;


HILS_NORMAL

Declaration

Source position: tmschema.pas line 750

const HILS_NORMAL = 1;


HILS_PRESSED

Declaration

Source position: tmschema.pas line 752

const HILS_PRESSED = 3;


HIRS_HOT

Declaration

Source position: tmschema.pas line 760

const HIRS_HOT = 2;


HIRS_NORMAL

Declaration

Source position: tmschema.pas line 759

const HIRS_NORMAL = 1;


HIRS_PRESSED

Declaration

Source position: tmschema.pas line 761

const HIRS_PRESSED = 3;


HIS_HOT

Declaration

Source position: tmschema.pas line 733

const HIS_HOT = 2;


HIS_ICONHOT

Declaration

Source position: tmschema.pas line 739

const HIS_ICONHOT = 8;


HIS_ICONNORMAL

Declaration

Source position: tmschema.pas line 738

const HIS_ICONNORMAL = 7;


HIS_ICONPRESSED

Declaration

Source position: tmschema.pas line 740

const HIS_ICONPRESSED = 9;


HIS_ICONSORTEDHOT

Declaration

Source position: tmschema.pas line 742

const HIS_ICONSORTEDHOT = 11;


HIS_ICONSORTEDNORMAL

Declaration

Source position: tmschema.pas line 741

const HIS_ICONSORTEDNORMAL = 10;


HIS_ICONSORTEDPRESSED

Declaration

Source position: tmschema.pas line 743

const HIS_ICONSORTEDPRESSED = 12;


HIS_NORMAL

Declaration

Source position: tmschema.pas line 732

const HIS_NORMAL = 1;


HIS_PRESSED

Declaration

Source position: tmschema.pas line 734

const HIS_PRESSED = 3;


HIS_SORTEDHOT

Declaration

Source position: tmschema.pas line 736

const HIS_SORTEDHOT = 5;


HIS_SORTEDNORMAL

Declaration

Source position: tmschema.pas line 735

const HIS_SORTEDNORMAL = 4;


HIS_SORTEDPRESSED

Declaration

Source position: tmschema.pas line 737

const HIS_SORTEDPRESSED = 6;


HLS_LINKTEXT

Declaration

Source position: tmschema.pas line 2514

const HLS_LINKTEXT = 2;


HLS_NORMALTEXT

Declaration

Source position: tmschema.pas line 2513

const HLS_NORMALTEXT = 1;


HOFS_HOT

Declaration

Source position: tmschema.pas line 795

const HOFS_HOT = 2;


HOFS_NORMAL

Declaration

Source position: tmschema.pas line 794

const HOFS_NORMAL = 1;


HORZSCROLLSTATES

Declaration

Source position: tmschema.pas line 1951

type HORZSCROLLSTATES = LongInt;


HORZTHUMBSTATES

Declaration

Source position: tmschema.pas line 1961

type HORZTHUMBSTATES = LongInt;


HOTGLYPHSTATES

Declaration

Source position: tmschema.pas line 1857

type HOTGLYPHSTATES = LongInt;


HP_HEADERDROPDOWN

Declaration

Source position: tmschema.pas line 713

const HP_HEADERDROPDOWN = 5;


HP_HEADERDROPDOWNFILTER

Declaration

Source position: tmschema.pas line 714

const HP_HEADERDROPDOWNFILTER = 6;


HP_HEADERITEM

Declaration

Source position: tmschema.pas line 709

const HP_HEADERITEM = 1;


HP_HEADERITEMLEFT

Declaration

Source position: tmschema.pas line 710

const HP_HEADERITEMLEFT = 2;


HP_HEADERITEMRIGHT

Declaration

Source position: tmschema.pas line 711

const HP_HEADERITEMRIGHT = 3;


HP_HEADEROVERFLOW

Declaration

Source position: tmschema.pas line 715

const HP_HEADEROVERFLOW = 7;


HP_HEADERSORTARROW

Declaration

Source position: tmschema.pas line 712

const HP_HEADERSORTARROW = 4;


HSAS_SORTEDDOWN

Declaration

Source position: tmschema.pas line 769

const HSAS_SORTEDDOWN = 2;


HSAS_SORTEDUP

Declaration

Source position: tmschema.pas line 768

const HSAS_SORTEDUP = 1;


HSS_DISABLED

Declaration

Source position: tmschema.pas line 1957

const HSS_DISABLED = 4;


HSS_HOT

Declaration

Source position: tmschema.pas line 1955

const HSS_HOT = 2;


HSS_NORMAL

Declaration

Source position: tmschema.pas line 1954

const HSS_NORMAL = 1;


HSS_PUSHED

Declaration

Source position: tmschema.pas line 1956

const HSS_PUSHED = 3;


HTS_DISABLED

Declaration

Source position: tmschema.pas line 1967

const HTS_DISABLED = 4;


HTS_HOT

Declaration

Source position: tmschema.pas line 1965

const HTS_HOT = 2;


HTS_NORMAL

Declaration

Source position: tmschema.pas line 1964

const HTS_NORMAL = 1;


HTS_PUSHED

Declaration

Source position: tmschema.pas line 1966

const HTS_PUSHED = 3;


HYPERLINKSTATES

Declaration

Source position: tmschema.pas line 2510

type HYPERLINKSTATES = LongInt;


HYPERLINKTEXTSTATES

Declaration

Source position: tmschema.pas line 1578

type HYPERLINKTEXTSTATES = LongInt;


ICE_ALPHA

Declaration

Source position: tmschema.pas line 2183

const ICE_ALPHA = 4;


ICE_GLOW

Declaration

Source position: tmschema.pas line 2180

const ICE_GLOW = 1;


ICE_NONE

Declaration

Source position: tmschema.pas line 2179

const ICE_NONE = 0;


ICE_PULSE

Declaration

Source position: tmschema.pas line 2182

const ICE_PULSE = 3;


ICE_SHADOW

Declaration

Source position: tmschema.pas line 2181

const ICE_SHADOW = 2;


ICONEFFECT

Declaration

Source position: tmschema.pas line 2176

type ICONEFFECT = LongInt;


IEBARMENUSTATES

Declaration

Source position: tmschema.pas line 601

type IEBARMENUSTATES = LongInt;


IL_HORIZONTAL

Declaration

Source position: tmschema.pas line 2074

const IL_HORIZONTAL = 1;


IL_VERTICAL

Declaration

Source position: tmschema.pas line 2073

const IL_VERTICAL = 0;


IMAGELAYOUT

Declaration

Source position: tmschema.pas line 2070

type IMAGELAYOUT = LongInt;


IMAGESELECTTYPE

Declaration

Source position: tmschema.pas line 2214

type IMAGESELECTTYPE = LongInt;


Reference for unit 'TmSchema'

uses

  System;


Reference for unit 'TmSchema': Constants

ABS_DOWNDISABLED

ABS_DOWNHOT

ABS_DOWNHOVER

ABS_DOWNNORMAL

ABS_DOWNPRESSED

ABS_LEFTDISABLED

ABS_LEFTHOT

ABS_LEFTHOVER

ABS_LEFTNORMAL

ABS_LEFTPRESSED

ABS_RIGHTDISABLED

ABS_RIGHTHOT

ABS_RIGHTHOVER

ABS_RIGHTNORMAL

ABS_RIGHTPRESSED

ABS_UPDISABLED

ABS_UPHOT

ABS_UPHOVER

ABS_UPNORMAL

ABS_UPPRESSED

AW_BUTTON

AW_COMMANDAREA

AW_CONTENTAREA

AW_HEADERAREA

AW_S_CONTENTAREA_NOMARGIN

AW_S_HEADERAREA_NOMARGIN

AW_S_TITLEBAR_ACTIVE

AW_S_TITLEBAR_INACTIVE

AW_TITLEBAR

BP_CHECKBOX

BP_COMMANDLINK

BP_COMMANDLINKGLYPH

BP_GROUPBOX

BP_PUSHBUTTON

BP_RADIOBUTTON

BP_USERBUTTON

BT_BORDERFILL

BT_ELLIPSE

BT_IMAGEFILE

BT_NONE

BT_RECT

BT_ROUNDRECT

CA_CENTER

CA_LEFT

CA_RIGHT

CBB_DISABLED

CBB_FOCUSED

CBB_HOT

CBB_NORMAL

CBCB_DISABLED

CBCB_HOT

CBCB_NORMAL

CBCB_PRESSED

CBRO_DISABLED

CBRO_HOT

CBRO_NORMAL

CBRO_PRESSED

CBS_CHECKEDDISABLED

CBS_CHECKEDHOT

CBS_CHECKEDNORMAL

CBS_CHECKEDPRESSED

CBS_DISABLED

CBS_EXCLUDEDDISABLED

CBS_EXCLUDEDHOT

CBS_EXCLUDEDNORMAL

CBS_EXCLUDEDPRESSED

CBS_HOT

CBS_IMPLICITDISABLED

CBS_IMPLICITHOT

CBS_IMPLICITNORMAL

CBS_IMPLICITPRESSED

CBS_MIXEDDISABLED

CBS_MIXEDHOT

CBS_MIXEDNORMAL

CBS_MIXEDPRESSED

CBS_NORMAL

CBS_PUSHED

CBS_UNCHECKEDDISABLED

CBS_UNCHECKEDHOT

CBS_UNCHECKEDNORMAL

CBS_UNCHECKEDPRESSED

CBTBS_DISABLED

CBTBS_FOCUSED

CBTBS_HOT

CBTBS_NORMAL

CBXSL_DISABLED

CBXSL_HOT

CBXSL_NORMAL

CBXSL_PRESSED

CBXSR_DISABLED

CBXSR_HOT

CBXSR_NORMAL

CBXSR_PRESSED

CBXS_DISABLED

CBXS_HOT

CBXS_NORMAL

CBXS_PRESSED

CHEVSV_HOT

CHEVSV_NORMAL

CHEVSV_PRESSED

CHEVS_HOT

CHEVS_NORMAL

CHEVS_PRESSED

CLP_TIME

CLS_HOT

CLS_NORMAL

CLS_PRESSED

CMDLGS_DEFAULTED

CMDLGS_DISABLED

CMDLGS_HOT

CMDLGS_NORMAL

CMDLGS_PRESSED

CMDLS_DEFAULTED

CMDLS_DEFAULTED_ANIMATING

CMDLS_DISABLED

CMDLS_HOT

CMDLS_NORMAL

CMDLS_PRESSED

CPANEL_BANNERAREA

CPANEL_BODYTEXT

CPANEL_BODYTITLE

CPANEL_BUTTON

CPANEL_CONTENTLINK

CPANEL_CONTENTPANE

CPANEL_CONTENTPANELABEL

CPANEL_CONTENTPANELINE

CPANEL_GROUPTEXT

CPANEL_HELPLINK

CPANEL_LARGECOMMANDAREA

CPANEL_MESSAGETEXT

CPANEL_NAVIGATIONPANE

CPANEL_NAVIGATIONPANELABEL

CPANEL_NAVIGATIONPANELINE

CPANEL_SECTIONTITLELINK

CPANEL_SMALLCOMMANDAREA

CPANEL_TASKLINK

CPANEL_TITLE

CPCL_DISABLED

CPCL_HOT

CPCL_NORMAL

CPCL_PRESSED

CPHL_DISABLED

CPHL_HOT

CPHL_NORMAL

CPHL_PRESSED

CPSTL_HOT

CPSTL_NORMAL

CPTL_DISABLED

CPTL_HOT

CPTL_NORMAL

CPTL_PAGE

CPTL_PRESSED

CP_BACKGROUND

CP_BORDER

CP_CUEBANNER

CP_DROPDOWNBUTTON

CP_DROPDOWNBUTTONLEFT

CP_DROPDOWNBUTTONRIGHT

CP_READONLY

CP_TRANSPARENTBACKGROUND

CSST_TAB

CSTB_HOT

CSTB_NORMAL

CSTB_SELECTED

CS_ACTIVE

CS_DISABLED

CS_INACTIVE

DDCOPY_HIGHLIGHT

DDCOPY_NOHIGHLIGHT

DDCREATELINK_HIGHLIGHT

DDCREATELINK_NOHIGHLIGHT

DDMOVE_HIGHLIGHT

DDMOVE_NOHIGHLIGHT

DDNONE_HIGHLIGHT

DDNONE_NOHIGHLIGHT

DDUPDATEMETADATA_HIGHLIGHT

DDUPDATEMETADATA_NOHIGHLIGHT

DDWARNING_HIGHLIGHT

DDWARNING_NOHIGHLIGHT

DD_COPY

DD_CREATELINK

DD_IMAGEBG

DD_MOVE

DD_NONE

DD_TEXTBG

DD_UPDATEMETADATA

DD_WARNING

DNHZS_DISABLED

DNHZS_HOT

DNHZS_NORMAL

DNHZS_PRESSED

DNS_DISABLED

DNS_HOT

DNS_NORMAL

DNS_PRESSED

DPDB_DISABLED

DPDB_FOCUSED

DPDB_HOT

DPDB_NORMAL

DPDT_DISABLED

DPDT_NORMAL

DPDT_SELECTED

DPSCBR_DISABLED

DPSCBR_HOT

DPSCBR_NORMAL

DPSCBR_PRESSED

DP_DATEBORDER

DP_DATETEXT

DP_SHOWCALENDARBUTTONRIGHT

EBHC_HOT

EBHC_NORMAL

EBHC_PRESSED

EBHP_HOT

EBHP_NORMAL

EBHP_PRESSED

EBHP_SELECTEDHOT

EBHP_SELECTEDNORMAL

EBHP_SELECTEDPRESSED

EBM_HOT

EBM_NORMAL

EBM_PRESSED

EBNGC_HOT

EBNGC_NORMAL

EBNGC_PRESSED

EBNGE_HOT

EBNGE_NORMAL

EBNGE_PRESSED

EBP_HEADERBACKGROUND

EBP_HEADERCLOSE

EBP_HEADERPIN

EBP_IEBARMENU

EBP_NORMALGROUPBACKGROUND

EBP_NORMALGROUPCOLLAPSE

EBP_NORMALGROUPEXPAND

EBP_NORMALGROUPHEAD

EBP_SPECIALGROUPBACKGROUND

EBP_SPECIALGROUPCOLLAPSE

EBP_SPECIALGROUPEXPAND

EBP_SPECIALGROUPHEAD

EBSGC_HOT

EBSGC_NORMAL

EBSGC_PRESSED

EBSGE_HOT

EBSGE_NORMAL

EBSGE_PRESSED

EBS_ASSIST

EBS_DISABLED

EBS_FOCUSED

EBS_HOT

EBS_NORMAL

EBS_READONLY

EBWBS_DISABLED

EBWBS_FOCUSED

EBWBS_HOT

EBWBS_NORMAL

EMP_MARKUPTEXT

EMT_LINKTEXT

EMT_NORMALTEXT

EPSHV_DISABLED

EPSHV_FOCUSED

EPSHV_HOT

EPSHV_NORMAL

EPSH_DISABLED

EPSH_FOCUSED

EPSH_HOT

EPSH_NORMAL

EPSN_DISABLED

EPSN_FOCUSED

EPSN_HOT

EPSN_NORMAL

EPSV_DISABLED

EPSV_FOCUSED

EPSV_HOT

EPSV_NORMAL

EP_BACKGROUND

EP_BACKGROUNDWITHBORDER

EP_CARET

EP_EDITBORDER_HSCROLL

EP_EDITBORDER_HVSCROLL

EP_EDITBORDER_NOSCROLL

EP_EDITBORDER_VSCROLL

EP_EDITTEXT

EP_PASSWORD

ETS_ASSIST

ETS_CUEBANNER

ETS_DISABLED

ETS_FOCUSED

ETS_HOT

ETS_NORMAL

ETS_READONLY

ETS_SELECTED

FBS_EMPHASIZED

FBS_NORMAL

FLH_HOVER

FLH_NORMAL

FLS_DISABLED

FLS_EMPHASIZED

FLS_NORMAL

FLS_SELECTED

FLYOUTLINK_HOVER

FLYOUTLINK_NORMAL

FLYOUT_BODY

FLYOUT_DIVIDER

FLYOUT_HEADER

FLYOUT_LABEL

FLYOUT_LINK

FLYOUT_LINKAREA

FLYOUT_LINKHEADER

FLYOUT_WINDOW

FS_ACTIVE

FS_INACTIVE

FT_HORZGRADIENT

FT_RADIALGRADIENT

FT_SOLID

FT_TILEIMAGE

FT_VERTGRADIENT

GBS_DISABLED

GBS_NORMAL

GFST_DPI

GFST_NONE

GFST_SIZE

GLPS_CLOSED

GLPS_OPENED

GT_FONTGLYPH

GT_IMAGEGLYPH

GT_NONE

HA_CENTER

HA_LEFT

HA_RIGHT

HBG_DETAILS

HBG_ICON

HBS_DISABLED

HBS_HOT

HBS_NORMAL

HBS_PUSHED

HDDFS_HOT

HDDFS_NORMAL

HDDFS_SOFTHOT

HDDS_HOT

HDDS_NORMAL

HDDS_SOFTHOT

HGLPS_CLOSED

HGLPS_OPENED

HILS_HOT

HILS_NORMAL

HILS_PRESSED

HIRS_HOT

HIRS_NORMAL

HIRS_PRESSED

HIS_HOT

HIS_ICONHOT

HIS_ICONNORMAL

HIS_ICONPRESSED

HIS_ICONSORTEDHOT

HIS_ICONSORTEDNORMAL

HIS_ICONSORTEDPRESSED

HIS_NORMAL

HIS_PRESSED

HIS_SORTEDHOT

HIS_SORTEDNORMAL

HIS_SORTEDPRESSED

HLS_LINKTEXT

HLS_NORMALTEXT

HOFS_HOT

HOFS_NORMAL

HP_HEADERDROPDOWN

HP_HEADERDROPDOWNFILTER

HP_HEADERITEM

HP_HEADERITEMLEFT

HP_HEADERITEMRIGHT

HP_HEADEROVERFLOW

HP_HEADERSORTARROW

HSAS_SORTEDDOWN

HSAS_SORTEDUP

HSS_DISABLED

HSS_HOT

HSS_NORMAL

HSS_PUSHED

HTS_DISABLED

HTS_HOT

HTS_NORMAL

HTS_PUSHED

ICE_ALPHA

ICE_GLOW

ICE_NONE

ICE_PULSE

ICE_SHADOW

IL_HORIZONTAL

IL_VERTICAL

IST_DPI

IST_NONE

IST_SIZE

LBCP_BORDER_HSCROLL

LBCP_BORDER_HVSCROLL

LBCP_BORDER_NOSCROLL

LBCP_BORDER_VSCROLL

LBCP_ITEM

LBPSHV_DISABLED

LBPSHV_FOCUSED

LBPSHV_HOT

LBPSHV_NORMAL

LBPSH_DISABLED

LBPSH_FOCUSED

LBPSH_HOT

LBPSH_NORMAL

LBPSI_HOT

LBPSI_HOTSELECTED

LBPSI_SELECTED

LBPSI_SELECTEDNOTFOCUS

LBPSN_DISABLED

LBPSN_FOCUSED

LBPSN_HOT

LBPSN_NORMAL

LBPSV_DISABLED

LBPSV_FOCUSED

LBPSV_HOT

LBPSV_NORMAL

LISS_DISABLED

LISS_HOT

LISS_HOTSELECTED

LISS_NORMAL

LISS_SELECTED

LISS_SELECTEDNOTFOCUS

LP_HYPERLINK

LVCB_HOVER

LVCB_NORMAL

LVCB_PUSHED

LVEB_HOVER

LVEB_NORMAL

LVEB_PUSHED

LVGHL_CLOSE

LVGHL_CLOSEHOT

LVGHL_CLOSEMIXEDSELECTION

LVGHL_CLOSEMIXEDSELECTIONHOT

LVGHL_CLOSESELECTED

LVGHL_CLOSESELECTEDHOT

LVGHL_CLOSESELECTEDNOTFOCUSED

LVGHL_CLOSESELECTEDNOTFOCUSEDHOT

LVGHL_OPEN

LVGHL_OPENHOT

LVGHL_OPENMIXEDSELECTION

LVGHL_OPENMIXEDSELECTIONHOT

LVGHL_OPENSELECTED

LVGHL_OPENSELECTEDHOT

LVGHL_OPENSELECTEDNOTFOCUSED

LVGHL_OPENSELECTEDNOTFOCUSEDHOT

LVGH_CLOSE

LVGH_CLOSEHOT

LVGH_CLOSEMIXEDSELECTION

LVGH_CLOSEMIXEDSELECTIONHOT

LVGH_CLOSESELECTED

LVGH_CLOSESELECTEDHOT

LVGH_CLOSESELECTEDNOTFOCUSED

LVGH_CLOSESELECTEDNOTFOCUSEDHOT

LVGH_OPEN

LVGH_OPENHOT

LVGH_OPENMIXEDSELECTION

LVGH_OPENMIXEDSELECTIONHOT

LVGH_OPENSELECTED

LVGH_OPENSELECTEDHOT

LVGH_OPENSELECTEDNOTFOCUSED

LVGH_OPENSELECTEDNOTFOCUSEDHOT

LVP_COLLAPSEBUTTON

LVP_COLUMNDETAIL

LVP_EMPTYTEXT

LVP_EXPANDBUTTON

LVP_GROUPHEADER

LVP_GROUPHEADERLINE

LVP_LISTDETAIL

LVP_LISTGROUP

LVP_LISTITEM

LVP_LISTSORTEDDETAIL

MAXBS_DISABLED

MAXBS_HOT

MAXBS_NORMAL

MAXBS_PUSHED

MBI_DISABLED

MBI_DISABLEDHOT

MBI_DISABLEDPUSHED

MBI_HOT

MBI_NORMAL

MBI_PUSHED

MB_ACTIVE

MB_INACTIVE

MCB_BITMAP

MCB_DISABLED

MCB_NORMAL

MCGCB_HOT

MCGCB_SELECTED

MCGCB_SELECTEDHOT

MCGCB_SELECTEDNOTFOCUSED

MCGCB_TODAY

MCGCU_HASSTATE

MCGCU_HASSTATEHOT

MCGCU_HOT

MCGC_HASSTATE

MCGC_HASSTATEHOT

MCGC_HOT

MCGC_TODAY

MCNN_DISABLED

MCNN_HOT

MCNN_NORMAL

MCNN_PRESSED

MCNP_DISABLED

MCNP_HOT

MCNP_NORMAL

MCNP_PRESSED

MCTGCU_HASSTATE

MCTGCU_HASSTATEHOT

MCTGCU_HOT

MCTGC_HASSTATE

MCTGC_HASSTATEHOT

MCTGC_HOT

MCTGC_TODAY

MC_BACKGROUND

MC_BORDERS

MC_BULLETDISABLED

MC_BULLETNORMAL

MC_CHECKMARKDISABLED

MC_CHECKMARKNORMAL

MC_COLHEADERSPLITTER

MC_GRIDBACKGROUND

MC_GRIDCELL

MC_GRIDCELLBACKGROUND

MC_GRIDCELLUPPER

MC_NAVNEXT

MC_NAVPREV

MC_TRAILINGGRIDCELL

MC_TRAILINGGRIDCELLUPPER

MDP_NEWAPPBUTTON

MDP_SEPERATOR

MDS_CHECKED

MDS_DISABLED

MDS_HOT

MDS_HOTCHECKED

MDS_NORMAL

MDS_PRESSED

MENU_BARBACKGROUND

MENU_BARITEM

MENU_CHEVRON_TMSCHEMA

MENU_MENUBARDROPDOWN_TMSCHEMA

MENU_MENUBARITEM_TMSCHEMA

MENU_MENUDROPDOWN_TMSCHEMA

MENU_MENUITEM_TMSCHEMA

MENU_POPUPBACKGROUND

MENU_POPUPBORDERS

MENU_POPUPCHECK

MENU_POPUPCHECKBACKGROUND

MENU_POPUPGUTTER

MENU_POPUPITEM

MENU_POPUPSEPARATOR

MENU_POPUPSUBMENU

MENU_SEPARATOR_TMSCHEMA

MENU_SYSTEMCLOSE

MENU_SYSTEMMAXIMIZE

MENU_SYSTEMMINIMIZE

MENU_SYSTEMRESTORE

MINBS_DISABLED

MINBS_HOT

MINBS_NORMAL

MINBS_PUSHED

MNCS_ACTIVE

MNCS_DISABLED

MNCS_INACTIVE

MPI_DISABLED

MPI_DISABLEDHOT

MPI_HOT

MPI_NORMAL

MSM_DISABLED

MSM_NORMAL

MSYSC_DISABLED

MSYSC_NORMAL

MSYSMN_DISABLED

MSYSMN_NORMAL

MSYSMX_DISABLED

MSYSMX_NORMAL

MSYSR_DISABLED

MSYSR_NORMAL

MXCS_ACTIVE

MXCS_DISABLED

MXCS_INACTIVE

NAV_BACKBUTTON

NAV_BB_DISABLED

NAV_BB_HOT

NAV_BB_NORMAL

NAV_BB_PRESSED

NAV_FB_DISABLED

NAV_FB_HOT

NAV_FB_NORMAL

NAV_FB_PRESSED

NAV_FORWARDBUTTON

NAV_MB_DISABLED

NAV_MB_HOT

NAV_MB_NORMAL

NAV_MB_PRESSED

NAV_MENUBUTTON

OT_ABOVELASTBUTTON

OT_BELOWLASTBUTTON

OT_BOTTOMLEFT

OT_BOTTOMMIDDLE

OT_BOTTOMRIGHT

OT_LEFTOFCAPTION

OT_LEFTOFLASTBUTTON

OT_MIDDLELEFT

OT_MIDDLERIGHT

OT_RIGHTOFCAPTION

OT_RIGHTOFLASTBUTTON

OT_TOPLEFT

OT_TOPMIDDLE

OT_TOPRIGHT

PBBS_NORMAL

PBBS_PARTIAL

PBBVS_NORMAL

PBBVS_PARTIAL

PBFS_ERROR

PBFS_NORMAL

PBFS_PARTIAL

PBFS_PAUSED

PBFVS_ERROR

PBFVS_NORMAL

PBFVS_PARTIAL

PBFVS_PAUSED

PBS_DEFAULTED

PBS_DEFAULTED_ANIMATING

PBS_DISABLED

PBS_HOT

PBS_NORMAL

PBS_PRESSED

PGRP_DOWN

PGRP_DOWNHORZ

PGRP_UP

PGRP_UPHORZ

PP_BAR

PP_BARVERT

PP_CHUNK

PP_CHUNKVERT

PP_FILL

PP_FILLVERT

PP_MOVEOVERLAY

PP_MOVEOVERLAYVERT

PP_PULSEOVERLAY

PP_PULSEOVERLAYVERT

PP_TRANSPARENTBAR

PP_TRANSPARENTBARVERT

RBS_CHECKEDDISABLED

RBS_CHECKEDHOT

RBS_CHECKEDNORMAL

RBS_CHECKEDPRESSED

RBS_DISABLED

RBS_HOT

RBS_NORMAL

RBS_PUSHED

RBS_UNCHECKEDDISABLED

RBS_UNCHECKEDHOT

RBS_UNCHECKEDNORMAL

RBS_UNCHECKEDPRESSED

RP_BACKGROUND

RP_BAND

RP_CHEVRON

RP_CHEVRONVERT

RP_GRIPPER

RP_GRIPPERVERT

RP_SPLITTER

RP_SPLITTERVERT

SBP_ARROWBTN

SBP_GRIPPERHORZ

SBP_GRIPPERVERT

SBP_LOWERTRACKHORZ

SBP_LOWERTRACKVERT

SBP_SIZEBOX

SBP_THUMBBTNHORZ

SBP_THUMBBTNVERT

SBP_UPPERTRACKHORZ

SBP_UPPERTRACKVERT

SBS_DISABLED

SBS_HOT

SBS_NORMAL

SBS_PUSHED

SCRBS_DISABLED

SCRBS_HOT

SCRBS_HOVER

SCRBS_NORMAL

SCRBS_PRESSED

SPLITSV_HOT

SPLITSV_NORMAL

SPLITSV_PRESSED

SPLITS_HOT

SPLITS_NORMAL

SPLITS_PRESSED

SPLS_HOT

SPLS_NORMAL

SPLS_PRESSED

SPMPT_DISABLED

SPMPT_FOCUSED

SPMPT_HOT

SPMPT_NORMAL

SPMPT_SELECTED

SPNP_DOWN

SPNP_DOWNHORZ

SPNP_UP

SPNP_UPHORZ

SPOB_DISABLED

SPOB_FOCUSED

SPOB_HOT

SPOB_NORMAL

SPOB_SELECTED

SPP_LOGOFF

SPP_LOGOFFBUTTONS

SPP_LOGOFFSPLITBUTTONDROPDOWN

SPP_MOREPROGRAMS

SPP_MOREPROGRAMSARROW

SPP_MOREPROGRAMSARROWBACK

SPP_MOREPROGRAMSTAB

SPP_NSCHOST

SPP_OPENBOX

SPP_PLACESLIST

SPP_PLACESLISTSEPARATOR

SPP_PREVIEW

SPP_PROGLIST

SPP_PROGLISTSEPARATOR

SPP_SEARCHVIEW

SPP_SOFTWAREEXPLORER

SPP_TOPMATCH

SPP_USERPANE

SPP_USERPICTURE

SPSB_HOT

SPSB_NORMAL

SPSB_PRESSED

SPSE_DISABLED

SPSE_FOCUSED

SPSE_HOT

SPSE_NORMAL

SPSE_SELECTED

SPS_HOT

SPS_NORMAL

SPS_PRESSED

SP_GRIPPER

SP_GRIPPERPANE

SP_PANE

STAT_TEXT

ST_STRETCH

ST_TILE

ST_TRUESIZE

SZB_HALFBOTTOMLEFTALIGN

SZB_HALFBOTTOMRIGHTALIGN

SZB_HALFTOPLEFTALIGN

SZB_HALFTOPRIGHTALIGN

SZB_LEFTALIGN

SZB_RIGHTALIGN

SZB_TOPLEFTALIGN

SZB_TOPRIGHTALIGN

TABP_AEROWIZARDBODY

TABP_BODY

TABP_PANE

TABP_TABITEM

TABP_TABITEMBOTHEDGE

TABP_TABITEMLEFTEDGE

TABP_TABITEMRIGHTEDGE

TABP_TOPTABITEM

TABP_TOPTABITEMBOTHEDGE

TABP_TOPTABITEMLEFTEDGE

TABP_TOPTABITEMRIGHTEDGE

TBP_BACKGROUNDBOTTOM

TBP_BACKGROUNDLEFT

TBP_BACKGROUNDRIGHT

TBP_BACKGROUNDTOP

TBP_SIZINGBARBOTTOM

TBP_SIZINGBARLEFT

TBP_SIZINGBARRIGHT

TBP_SIZINGBARTOP

TDLGCPS_STANDALONE

TDLGEBS_EXPANDEDHOVER

TDLGEBS_EXPANDEDNORMAL

TDLGEBS_EXPANDEDPRESSED

TDLGEBS_HOVER

TDLGEBS_NORMAL

TDLGEBS_PRESSED

TDLG_BUTTONSECTION

TDLG_BUTTONWRAPPER

TDLG_COMMANDLINKPANE

TDLG_CONTENTICON

TDLG_CONTENTPANE

TDLG_CONTROLPANE

TDLG_EXPANDEDCONTENT

TDLG_EXPANDEDFOOTERAREA

TDLG_EXPANDOBUTTON

TDLG_EXPANDOTEXT

TDLG_FOOTNOTEAREA

TDLG_FOOTNOTEPANE

TDLG_FOOTNOTESEPARATOR

TDLG_IMAGEALIGNMENT

TDLG_MAINICON

TDLG_MAININSTRUCTIONPANE

TDLG_PRIMARYPANEL

TDLG_PROGRESSBAR

TDLG_RADIOBUTTONPANE

TDLG_SECONDARYPANEL

TDLG_VERIFICATIONTEXT

TDP_FLASHBUTTON

TDP_FLASHBUTTONGROUPMENU

TDP_GROUPCOUNT

TEXT_BODYTEXT

TEXT_BODYTITLE

TEXT_CONTROLLABEL

TEXT_EXPANDED

TEXT_HYPERLINKTEXT

TEXT_INSTRUCTION

TEXT_LABEL

TEXT_MAININSTRUCTION

TEXT_SECONDARYTEXT

TIBES_DISABLED

TIBES_FOCUSED

TIBES_HOT

TIBES_NORMAL

TIBES_SELECTED

TILES_DISABLED

TILES_FOCUSED

TILES_HOT

TILES_NORMAL

TILES_SELECTED

TIRES_DISABLED

TIRES_FOCUSED

TIRES_HOT

TIRES_NORMAL

TIRES_SELECTED

TIS_DISABLED

TIS_FOCUSED

TIS_HOT

TIS_NORMAL

TIS_SELECTED

TKP_THUMB

TKP_THUMBBOTTOM

TKP_THUMBLEFT

TKP_THUMBRIGHT

TKP_THUMBTOP

TKP_THUMBVERT

TKP_TICS

TKP_TICSVERT

TKP_TRACK

TKP_TRACKVERT

TKS_NORMAL

TMTVS_RESERVEDHIGH

TMTVS_RESERVEDLOW

TMT_ACCENTCOLORHINT

TMT_ACTIVEBORDER

TMT_ACTIVECAPTION

TMT_ALIAS

TMT_ALPHALEVEL

TMT_ALPHATHRESHOLD

TMT_ALWAYSSHOWSIZINGBAR

TMT_ANIMATIONBUTTONRECT

TMT_ANIMATIONDELAY

TMT_ANIMATIONDURATION

TMT_APPWORKSPACE

TMT_ATLASIMAGE

TMT_ATLASINPUTIMAGE

TMT_ATLASRECT

TMT_AUTHOR

TMT_AUTOSIZE

TMT_BACKGROUND

TMT_BGFILL

TMT_BGTYPE

TMT_BITMAPREF

TMT_BLENDCOLOR

TMT_BODYFONT

TMT_BODYTEXTCOLOR

TMT_BOOL

TMT_BORDERCOLOR

TMT_BORDERCOLORHINT

TMT_BORDERONLY

TMT_BORDERSIZE

TMT_BORDERTYPE

TMT_BTNFACE

TMT_BTNHIGHLIGHT

TMT_BTNSHADOW

TMT_BTNTEXT

TMT_BUTTONALTERNATEFACE

TMT_CAPTIONBARHEIGHT

TMT_CAPTIONBARWIDTH

TMT_CAPTIONFONT

TMT_CAPTIONMARGINS

TMT_CAPTIONTEXT

TMT_CHARSET

TMT_CLASSICVALUE

TMT_COLOR

TMT_COLORIZATIONCOLOR

TMT_COLORIZATIONOPACITY

TMT_COLORSCHEMES

TMT_COMPANY

TMT_COMPOSITED

TMT_COMPOSITEDOPAQUE

TMT_CONTENTALIGNMENT

TMT_CONTENTMARGINS

TMT_COPYRIGHT

TMT_CSSNAME

TMT_CUSTOMSPLITRECT

TMT_DEFAULTPANESIZE

TMT_DESCRIPTION

TMT_DIBDATA

TMT_DISKSTREAM

TMT_DISPLAYNAME

TMT_DKSHADOW3D

TMT_DRAWBORDERS

TMT_EDGEDKSHADOWCOLOR

TMT_EDGEFILLCOLOR

TMT_EDGEHIGHLIGHTCOLOR

TMT_EDGELIGHTCOLOR

TMT_EDGESHADOWCOLOR

TMT_ENUM

TMT_FILENAME

TMT_FILLCOLOR

TMT_FILLCOLORHINT

TMT_FILLTYPE

TMT_FIRSTBOOL

TMT_FIRSTCOLOR

TMT_FIRSTFONT

TMT_FIRSTINT

TMT_FIRSTSIZE

TMT_FIRSTSTRING

TMT_FIRST_RCSTRING_NAME

TMT_FLATMENUS

TMT_FONT

TMT_FRAMESPERSECOND

TMT_FROMCOLOR1

TMT_FROMCOLOR2

TMT_FROMCOLOR3

TMT_FROMCOLOR4

TMT_FROMCOLOR5

TMT_FROMHUE1

TMT_FROMHUE2

TMT_FROMHUE3

TMT_FROMHUE4

TMT_FROMHUE5

TMT_GLOWCOLOR

TMT_GLOWINTENSITY

TMT_GLYPHDIBDATA

TMT_GLYPHFONT

TMT_GLYPHFONTSIZINGTYPE

TMT_GLYPHIMAGEFILE

TMT_GLYPHINDEX

TMT_GLYPHONLY

TMT_GLYPHTEXTCOLOR

TMT_GLYPHTRANSPARENT

TMT_GLYPHTRANSPARENTCOLOR

TMT_GLYPHTYPE

TMT_GRADIENTACTIVECAPTION

TMT_GRADIENTCOLOR1

TMT_GRADIENTCOLOR2

TMT_GRADIENTCOLOR3

TMT_GRADIENTCOLOR4

TMT_GRADIENTCOLOR5

TMT_GRADIENTINACTIVECAPTION

TMT_GRADIENTRATIO1

TMT_GRADIENTRATIO2

TMT_GRADIENTRATIO3

TMT_GRADIENTRATIO4

TMT_GRADIENTRATIO5

TMT_GRAYTEXT

TMT_HALIGN

TMT_HBITMAP

TMT_HEADING1FONT

TMT_HEADING1TEXTCOLOR

TMT_HEADING2FONT

TMT_HEADING2TEXTCOLOR

TMT_HEIGHT

TMT_HIGHLIGHT

TMT_HIGHLIGHTTEXT

TMT_HOTTRACKING

TMT_ICONEFFECT

TMT_ICONTITLEFONT

TMT_IMAGECOUNT

TMT_IMAGEFILE

TMT_IMAGEFILE1

TMT_IMAGEFILE2

TMT_IMAGEFILE3

TMT_IMAGEFILE4

TMT_IMAGEFILE5

TMT_IMAGELAYOUT

TMT_IMAGESELECTTYPE

TMT_INACTIVEBORDER

TMT_INACTIVECAPTION

TMT_INACTIVECAPTIONTEXT

TMT_INFOBK

TMT_INFOTEXT

TMT_INT

TMT_INTEGRALSIZING

TMT_INTLIST

TMT_LASTBOOL

TMT_LASTCOLOR

TMT_LASTFONT

TMT_LASTINT

TMT_LASTSIZE

TMT_LASTSTRING

TMT_LASTUPDATED

TMT_LAST_RCSTRING_NAME

TMT_LIGHT3D

TMT_LOCALIZEDMIRRORIMAGE

TMT_MARGINS

TMT_MENU

TMT_MENUBAR

TMT_MENUBARHEIGHT

TMT_MENUBARWIDTH

TMT_MENUFONT

TMT_MENUHILIGHT

TMT_MENUTEXT

TMT_MINCOLORDEPTH

TMT_MINDPI1

TMT_MINDPI2

TMT_MINDPI3

TMT_MINDPI4

TMT_MINDPI5

TMT_MINSIZE

TMT_MINSIZE1

TMT_MINSIZE2

TMT_MINSIZE3

TMT_MINSIZE4

TMT_MINSIZE5

TMT_MIRRORIMAGE

TMT_MSGBOXFONT

TMT_NAME

TMT_NOETCHEDEFFECT

TMT_NORMALSIZE

TMT_OFFSET

TMT_OFFSETTYPE

TMT_OPACITY

TMT_PADDEDBORDERWIDTH

TMT_PIXELSPERFRAME

TMT_POSITION

TMT_PROGRESSCHUNKSIZE

TMT_PROGRESSSPACESIZE

TMT_RECT

TMT_RESERVEDHIGH

TMT_RESERVEDLOW

TMT_ROUNDCORNERHEIGHT

TMT_ROUNDCORNERWIDTH

TMT_SATURATION

TMT_SCALEDBACKGROUND

TMT_SCROLLBAR

TMT_SCROLLBARHEIGHT

TMT_SCROLLBARWIDTH

TMT_SHADOWCOLOR

TMT_SIZE

TMT_SIZES

TMT_SIZINGBORDERWIDTH

TMT_SIZINGMARGINS

TMT_SIZINGTYPE

TMT_SMALLCAPTIONFONT

TMT_SMCAPTIONBARHEIGHT

TMT_SMCAPTIONBARWIDTH

TMT_SOURCEGROW

TMT_SOURCESHRINK

TMT_STATUSFONT

TMT_STREAM

TMT_STRING

TMT_TEXT

TMT_TEXTAPPLYOVERLAY

TMT_TEXTBORDERCOLOR

TMT_TEXTBORDERSIZE

TMT_TEXTCOLOR

TMT_TEXTCOLORHINT

TMT_TEXTGLOW

TMT_TEXTGLOWSIZE

TMT_TEXTITALIC

TMT_TEXTSHADOWCOLOR

TMT_TEXTSHADOWOFFSET

TMT_TEXTSHADOWTYPE

TMT_TOCOLOR1

TMT_TOCOLOR2

TMT_TOCOLOR3

TMT_TOCOLOR4

TMT_TOCOLOR5

TMT_TOHUE1

TMT_TOHUE2

TMT_TOHUE3

TMT_TOHUE4

TMT_TOHUE5

TMT_TOOLTIP

TMT_TRANSITIONDURATIONS

TMT_TRANSPARENT

TMT_TRANSPARENTCOLOR

TMT_TRUESIZESCALINGTYPE

TMT_TRUESIZESTRETCHMARK

TMT_UNIFORMSIZING

TMT_URL

TMT_USERPICTURE

TMT_VALIGN

TMT_VERSION

TMT_WIDTH

TMT_WINDOW

TMT_WINDOWFRAME

TMT_WINDOWTEXT

TMT_XMLNAME

TNP_ANIMBACKGROUND

TNP_BACKGROUND

TP_BUTTON

TP_DROPDOWNBUTTON

TP_DROPDOWNBUTTONGLYPH

TP_SEPARATOR

TP_SEPARATORVERT

TP_SPLITBUTTON

TP_SPLITBUTTONDROPDOWN

TREIS_DISABLED

TREIS_HOT

TREIS_HOTSELECTED

TREIS_NORMAL

TREIS_SELECTED

TREIS_SELECTEDNOTFOCUS

TRS_NORMAL

TRVS_NORMAL

TSST_DPI

TSST_NONE

TSST_SIZE

TSS_NORMAL

TST_CONTINUOUS

TST_NONE

TST_SINGLE

TSVS_NORMAL

TS_CHECKED

TS_CONTROLLABEL_DISABLED

TS_CONTROLLABEL_NORMAL

TS_DISABLED

TS_HOT

TS_HOTCHECKED

TS_HYPERLINK_DISABLED

TS_HYPERLINK_HOT

TS_HYPERLINK_NORMAL

TS_HYPERLINK_PRESSED

TS_NEARHOT

TS_NORMAL

TS_OTHERSIDEHOT

TS_PRESSED

TTBSS_POINTINGDOWNCENTERED

TTBSS_POINTINGDOWNLEFTWALL

TTBSS_POINTINGDOWNRIGHTWALL

TTBSS_POINTINGUPCENTERED

TTBSS_POINTINGUPLEFTWALL

TTBSS_POINTINGUPRIGHTWALL

TTBS_LINK

TTBS_NORMAL

TTCS_HOT

TTCS_NORMAL

TTCS_PRESSED

TTIBES_DISABLED

TTIBES_FOCUSED

TTIBES_HOT

TTIBES_NORMAL

TTIBES_SELECTED

TTILES_DISABLED

TTILES_FOCUSED

TTILES_HOT

TTILES_NORMAL

TTILES_SELECTED

TTIRES_DISABLED

TTIRES_FOCUSED

TTIRES_HOT

TTIRES_NORMAL

TTIRES_SELECTED

TTIS_DISABLED

TTIS_FOCUSED

TTIS_HOT

TTIS_NORMAL

TTIS_SELECTED

TTP_BALLOON

TTP_BALLOONSTEM

TTP_BALLOONTITLE

TTP_CLOSE

TTP_STANDARD

TTP_STANDARDTITLE

TTP_WRENCH

TTSS_LINK

TTSS_NORMAL

TTWS_HOT

TTWS_NORMAL

TTWS_PRESSED

TUBS_DISABLED

TUBS_FOCUSED

TUBS_HOT

TUBS_NORMAL

TUBS_PRESSED

TUS_DISABLED

TUS_FOCUSED

TUS_HOT

TUS_NORMAL

TUS_PRESSED

TUTS_DISABLED

TUTS_FOCUSED

TUTS_HOT

TUTS_NORMAL

TUTS_PRESSED

TUVLS_DISABLED

TUVLS_FOCUSED

TUVLS_HOT

TUVLS_NORMAL

TUVLS_PRESSED

TUVRS_DISABLED

TUVRS_FOCUSED

TUVRS_HOT

TUVRS_NORMAL

TUVRS_PRESSED

TUVS_DISABLED

TUVS_FOCUSED

TUVS_HOT

TUVS_NORMAL

TUVS_PRESSED

TVP_BRANCH

TVP_GLYPH

TVP_HOTGLYPH

TVP_TREEITEM

UPHZS_DISABLED

UPHZS_HOT

UPHZS_NORMAL

UPHZS_PRESSED

UPS_DISABLED

UPS_HOT

UPS_NORMAL

UPS_PRESSED

VA_BOTTOM

VA_CENTER

VA_TOP

VSCLASS_AEROWIZARD

VSCLASS_AEROWIZARDSTYLE

VSCLASS_BUTTON

VSCLASS_BUTTONSTYLE

VSCLASS_CLOCK

VSCLASS_COMBOBOX

VSCLASS_COMBOBOXSTYLE

VSCLASS_COMMUNICATIONS

VSCLASS_COMMUNICATIONSSTYLE

VSCLASS_CONTROLPANEL

VSCLASS_CONTROLPANELSTYLE

VSCLASS_DATEPICKER

VSCLASS_DATEPICKERSTYLE

VSCLASS_DRAGDROP

VSCLASS_DRAGDROPSTYLE

VSCLASS_EDIT

VSCLASS_EDITSTYLE

VSCLASS_EMPTYMARKUP

VSCLASS_EXPLORERBAR

VSCLASS_EXPLORERBARSTYLE

VSCLASS_FLYOUT

VSCLASS_FLYOUTSTYLE

VSCLASS_HEADER

VSCLASS_HEADERSTYLE

VSCLASS_LINK

VSCLASS_LISTBOX

VSCLASS_LISTBOXSTYLE

VSCLASS_LISTVIEW

VSCLASS_LISTVIEWSTYLE

VSCLASS_MENU

VSCLASS_MENUBAND

VSCLASS_MENUSTYLE

VSCLASS_MONTHCAL

VSCLASS_NAVIGATION

VSCLASS_PAGE

VSCLASS_PROGRESS

VSCLASS_PROGRESSSTYLE

VSCLASS_REBAR

VSCLASS_REBARSTYLE

VSCLASS_SCROLLBAR

VSCLASS_SCROLLBARSTYLE

VSCLASS_SPIN

VSCLASS_SPINSTYLE

VSCLASS_STARTPANEL

VSCLASS_STATIC

VSCLASS_STATUS

VSCLASS_STATUSSTYLE

VSCLASS_TAB

VSCLASS_TABSTYLE

VSCLASS_TASKBAND

VSCLASS_TASKBAR

VSCLASS_TASKDIALOG

VSCLASS_TASKDIALOGSTYLE

VSCLASS_TEXTSTYLE

VSCLASS_TOOLBAR

VSCLASS_TOOLBARSTYLE

VSCLASS_TOOLTIP

VSCLASS_TOOLTIPSTYLE

VSCLASS_TRACKBAR

VSCLASS_TRACKBARSTYLE

VSCLASS_TRAYNOTIFY

VSCLASS_TREEVIEW

VSCLASS_TREEVIEWSTYLE

VSCLASS_WINDOW

VSCLASS_WINDOWSTYLE

VSS_DISABLED

VSS_HOT

VSS_NORMAL

VSS_PUSHED

VTS_DISABLED

VTS_HOT

VTS_NORMAL

VTS_PUSHED

WP_CAPTION

WP_CAPTIONSIZINGTEMPLATE

WP_CLOSEBUTTON

WP_DIALOG

WP_FRAME

WP_FRAMEBOTTOM

WP_FRAMEBOTTOMSIZINGTEMPLATE

WP_FRAMELEFT

WP_FRAMELEFTSIZINGTEMPLATE

WP_FRAMERIGHT

WP_FRAMERIGHTSIZINGTEMPLATE

WP_HELPBUTTON

WP_HORZSCROLL

WP_HORZTHUMB

WP_MAXBUTTON

WP_MAXCAPTION

WP_MDICLOSEBUTTON

WP_MDIHELPBUTTON

WP_MDIMINBUTTON

WP_MDIRESTOREBUTTON

WP_MDISYSBUTTON

WP_MINBUTTON

WP_MINCAPTION

WP_RESTOREBUTTON

WP_SMALLCAPTION

WP_SMALLCAPTIONSIZINGTEMPLATE

WP_SMALLCLOSEBUTTON

WP_SMALLFRAMEBOTTOM

WP_SMALLFRAMEBOTTOMSIZINGTEMPLATE

WP_SMALLFRAMELEFT

WP_SMALLFRAMELEFTSIZINGTEMPLATE

WP_SMALLFRAMERIGHT

WP_SMALLFRAMERIGHTSIZINGTEMPLATE

WP_SMALLMAXCAPTION

WP_SMALLMINCAPTION

WP_SYSBUTTON

WP_VERTSCROLL

WP_VERTTHUMB


Reference for unit 'TmSchema': Types

AEROWIZARDPARTS

AEROWIZARDSTYLEPARTS

ARROWBTNSTATES

BACKGROUNDSTATES

BACKGROUNDWITHBORDERSTATES

BALLOONSTATES

BALLOONSTEMSTATES

BARBACKGROUNDSTATES

BARITEMSTATES

BGTYPE

BODYSTATES

BORDERSTATES

BORDERTYPE

BORDER_HSCROLLSTATES

BORDER_HVSCROLLSTATES

BORDER_NOSCROLLSTATES

BORDER_VSCROLLSTATES

BUTTONPARTS

BUTTONSTYLEPARTS

CAPTIONSTATES

CHECKBOXSTATES

CHEVRONSTATES

CHEVRONVERTSTATES

CLOCKPARTS

CLOCKSTATES

CLOSEBUTTONSTATES

CLOSESTATES

COLLAPSEBUTTONSTATES

COMBOBOXPARTS

COMBOBOXSTYLEPARTS

COMBOBOXSTYLESTATES

COMMANDLINKGLYPHSTATES

COMMANDLINKSTATES

COMMUNICATIONSPARTS

COMMUNICATIONSSTYLEPARTS

CONTENTALIGNMENT

CONTENTAREASTATES

CONTENTLINKSTATES

CONTENTPANESTATES

CONTROLLABELSTATES

CONTROLPANELPARTS

CONTROLPANELSTYLEPARTS

COPYSTATES

CREATELINKSTATES

CUEBANNERSTATES

DATEBORDERSTATES

DATEPICKERPARTS

DATEPICKERSTYLEPARTS

DATETEXTSTATES

DOWNHORZSTATES

DOWNSTATES

DRAGDROPPARTS

DRAGDROPSTYLEPARTS

DROPDOWNBUTTONLEFTSTATES

DROPDOWNBUTTONRIGHTSTATES

EDITBORDER_HSCROLLSTATES

EDITBORDER_HVSCROLLSTATES

EDITBORDER_NOSCROLLSTATES

EDITBORDER_VSCROLLSTATES

EDITPARTS

EDITSTYLEPARTS

EDITTEXTSTATES

EMPTYMARKUPPARTS

EXPANDBUTTONSTATES

EXPANDOBUTTONSTATES

EXPLORERBARPARTS

EXPLORERBARSTYLEPARTS

FILLSTATES

FILLTYPE

FILLVERTSTATES

FLYOUTPARTS

FLYOUTSTYLEPARTS

FRAMESTATES

GLYPHFONTSIZINGTYPE

GLYPHSTATES

GLYPHTYPE

GRIDCELLBACKGROUNDSTATES

GRIDCELLSTATES

GRIDCELLUPPERSTATES

GROUPBOXSTATES

GROUPHEADERLINESTATES

GROUPHEADERSTATES

HALIGN

HEADERAREASTATES

HEADERCLOSESTATES

HEADERDROPDOWNFILTERSTATES

HEADERDROPDOWNSTATES

HEADERITEMLEFTSTATES

HEADERITEMRIGHTSTATES

HEADERITEMSTATES

HEADEROVERFLOWSTATES

HEADERPARTS

HEADERPINSTATES

HEADERSORTARROWSTATES

HEADERSTYLEPARTS

HEADERSTYLESTATES

HELPBUTTONSTATES

HELPLINKSTATES

HORZSCROLLSTATES

HORZTHUMBSTATES

HOTGLYPHSTATES

HYPERLINKSTATES

HYPERLINKTEXTSTATES

ICONEFFECT

IEBARMENUSTATES

IMAGELAYOUT

IMAGESELECTTYPE

ITEMSTATES

LABELSTATES

LINKHEADERSTATES

LINKPARTS

LINKSTATES

LISTBOXPARTS

LISTBOXSTYLEPARTS

LISTITEMSTATES

LISTVIEWPARTS

LISTVIEWSTYLEPARTS

LOGOFFBUTTONSSTATES

MARKUPTEXTSTATES

MAXBUTTONSTATES

MAXCAPTIONSTATES

MENUBANDPARTS

MENUBANDSTATES

MENUPARTS

MENUSTYLEPARTS

MINBUTTONSTATES

MINCAPTIONSTATES

MONTHCALPARTS

MOREPROGRAMSARROWBACKSTATES

MOREPROGRAMSARROWSTATES

MOREPROGRAMSTABSTATES

MOVESTATES

NAVIGATIONPARTS

NAVNEXTSTATES

NAVPREVSTATES

NAV_BACKBUTTONSTATES

NAV_FORWARDBUTTONSTATES

NAV_MENUBUTTONSTATES

NONESTATES

NORMALGROUPCOLLAPSESTATES

NORMALGROUPEXPANDSTATES

OFFSETTYPE

OPENBOXSTATES

PAGEPARTS

POPUPCHECKBACKGROUNDSTATES

POPUPCHECKSTATES

POPUPITEMSTATES

POPUPSUBMENUSTATES

PROGRESSPARTS

PROGRESSSTYLEPARTS

PUSHBUTTONSTATES

RADIOBUTTONSTATES

READONLYSTATES

REBARPARTS

REBARSTYLEPARTS

RESTOREBUTTONSTATES

SCROLLBARPARTS

SCROLLBARSTYLEPARTS

SCROLLBARSTYLESTATES

SECTIONTITLELINKSTATES

SHOWCALENDARBUTTONRIGHTSTATES

SIZEBOXSTATES

SIZINGTYPE

SOFTWAREEXPLORERSTATES

SPECIALGROUPCOLLAPSESTATES

SPECIALGROUPEXPANDSTATES

SPINPARTS

SPINSTYLEPARTS

SPLITTERSTATES

SPLITTERVERTSTATES

STANDARDSTATES

STARTPANELPARTS

STATICPARTS

STATUSPARTS

STATUSSTYLEPARTS

SYSBUTTONSTATES

SYSTEMCLOSESTATES

SYSTEMMAXIMIZESTATES

SYSTEMMINIMIZESTATES

SYSTEMRESTORESTATES

TABITEMBOTHEDGESTATES

TABITEMLEFTEDGESTATES

TABITEMRIGHTEDGESTATES

TABITEMSTATES

TABPARTS

TABSTATES

TABSTYLEPARTS

TASKBANDPARTS

TASKBARPARTS

TASKDIALOGPARTS

TASKDIALOGSTYLEPARTS

TASKLINKSTATES

TEXTSHADOWTYPE

TEXTSTYLEPARTS

THUMBBOTTOMSTATES

THUMBLEFTSTATES

THUMBRIGHTSTATES

THUMBSTATES

THUMBTOPSTATES

THUMBVERTSTATES

TICSSTATES

TICSVERTSTATES

TITLEBARSTATES

TOOLBARPARTS

TOOLBARSTYLEPARTS

TOOLBARSTYLESTATES

TOOLTIPPARTS

TOOLTIPSTYLEPARTS

TOPTABITEMBOTHEDGESTATES

TOPTABITEMLEFTEDGESTATES

TOPTABITEMRIGHTEDGESTATES

TOPTABITEMSTATES

TRACKBARPARTS

TRACKBARSTYLEPARTS

TRACKBARSTYLESTATES

TRACKSTATES

TRACKVERTSTATES

TRAILINGGRIDCELLSTATES

TRAILINGGRIDCELLUPPERSTATES

TRANSPARENTBACKGROUNDSTATES

TRANSPARENTBARSTATES

TRANSPARENTBARVERTSTATES

TRAYNOTIFYPARTS

TREEITEMSTATES

TREEVIEWPARTS

TREEVIEWSTYLEPARTS

TRUESIZESCALINGTYPE

UPDATEMETADATASTATES

UPHORZSTATES

UPSTATES

VALIGN

VERTSCROLLSTATES

VERTTHUMBSTATES

WARNINGSTATES

WINDOWPARTS

WINDOWSTYLEPARTS

WRENCHSTATES


Index of all identifiers in unit 'TmSchema'

A B C D E F G H I L M N O P R S T U V W

A

ABS_DOWNDISABLED | ABS_RIGHTHOT | ARROWBTNSTATES
ABS_DOWNHOT | ABS_RIGHTHOVER | AW_BUTTON
ABS_DOWNHOVER | ABS_RIGHTNORMAL | AW_COMMANDAREA
ABS_DOWNNORMAL | ABS_RIGHTPRESSED | AW_CONTENTAREA
ABS_DOWNPRESSED | ABS_UPDISABLED | AW_HEADERAREA
ABS_LEFTDISABLED | ABS_UPHOT | AW_S_CONTENTAREA_NOMARGIN
ABS_LEFTHOT | ABS_UPHOVER | AW_S_HEADERAREA_NOMARGIN
ABS_LEFTHOVER | ABS_UPNORMAL | AW_S_TITLEBAR_ACTIVE
ABS_LEFTNORMAL | ABS_UPPRESSED | AW_S_TITLEBAR_INACTIVE
ABS_LEFTPRESSED | AEROWIZARDPARTS | AW_TITLEBAR
ABS_RIGHTDISABLED | AEROWIZARDSTYLEPARTS |

B

BACKGROUNDSTATES | BORDER_NOSCROLLSTATES | BP_USERBUTTON
BACKGROUNDWITHBORDERSTATES | BORDERSTATES | BT_BORDERFILL
BALLOONSTATES | BORDERTYPE | BT_ELLIPSE
BALLOONSTEMSTATES | BORDER_VSCROLLSTATES | BT_IMAGEFILE
BARBACKGROUNDSTATES | BP_CHECKBOX | BT_NONE
BARITEMSTATES | BP_COMMANDLINK | BT_RECT
BGTYPE | BP_COMMANDLINKGLYPH | BT_ROUNDRECT
BODYSTATES | BP_GROUPBOX | BUTTONPARTS
BORDER_HSCROLLSTATES | BP_PUSHBUTTON | BUTTONSTYLEPARTS
BORDER_HVSCROLLSTATES | BP_RADIOBUTTON |

C

CA_CENTER | CBXS_PRESSED | CPANEL_BODYTITLE
CA_LEFT | CBXSR_DISABLED | CPANEL_BUTTON
CAPTIONSTATES | CBXSR_HOT | CPANEL_CONTENTLINK
CA_RIGHT | CBXSR_NORMAL | CPANEL_CONTENTPANE
CBB_DISABLED | CBXSR_PRESSED | CPANEL_CONTENTPANELABEL
CBB_FOCUSED | CHECKBOXSTATES | CPANEL_CONTENTPANELINE
CBB_HOT | CHEVRONSTATES | CPANEL_GROUPTEXT
CBB_NORMAL | CHEVRONVERTSTATES | CPANEL_HELPLINK
CBCB_DISABLED | CHEVS_HOT | CPANEL_LARGECOMMANDAREA
CBCB_HOT | CHEVS_NORMAL | CPANEL_MESSAGETEXT
CBCB_NORMAL | CHEVS_PRESSED | CPANEL_NAVIGATIONPANE
CBCB_PRESSED | CHEVSV_HOT | CPANEL_NAVIGATIONPANELABEL
CBRO_DISABLED | CHEVSV_NORMAL | CPANEL_NAVIGATIONPANELINE
CBRO_HOT | CHEVSV_PRESSED | CPANEL_SECTIONTITLELINK
CBRO_NORMAL | CLOCKPARTS | CPANEL_SMALLCOMMANDAREA
CBRO_PRESSED | CLOCKSTATES | CPANEL_TASKLINK
CBS_CHECKEDDISABLED | CLOSEBUTTONSTATES | CPANEL_TITLE
CBS_CHECKEDHOT | CLOSESTATES | CP_BACKGROUND
CBS_CHECKEDNORMAL | CLP_TIME | CP_BORDER
CBS_CHECKEDPRESSED | CLS_HOT | CPCL_DISABLED
CBS_DISABLED | CLS_NORMAL | CPCL_HOT
CBS_EXCLUDEDDISABLED | CLS_PRESSED | CPCL_NORMAL
CBS_EXCLUDEDHOT | CMDLGS_DEFAULTED | CPCL_PRESSED
CBS_EXCLUDEDNORMAL | CMDLGS_DISABLED | CP_CUEBANNER
CBS_EXCLUDEDPRESSED | CMDLGS_HOT | CP_DROPDOWNBUTTON
CBS_HOT | CMDLGS_NORMAL | CP_DROPDOWNBUTTONLEFT
CBS_IMPLICITDISABLED | CMDLGS_PRESSED | CP_DROPDOWNBUTTONRIGHT
CBS_IMPLICITHOT | CMDLS_DEFAULTED | CPHL_DISABLED
CBS_IMPLICITNORMAL | CMDLS_DEFAULTED_ANIMATING | CPHL_HOT
CBS_IMPLICITPRESSED | CMDLS_DISABLED | CPHL_NORMAL
CBS_MIXEDDISABLED | CMDLS_HOT | CPHL_PRESSED
CBS_MIXEDHOT | CMDLS_NORMAL | CP_READONLY
CBS_MIXEDNORMAL | CMDLS_PRESSED | CPSTL_HOT
CBS_MIXEDPRESSED | COLLAPSEBUTTONSTATES | CPSTL_NORMAL
CBS_NORMAL | COMBOBOXPARTS | CPTL_DISABLED
CBS_PUSHED | COMBOBOXSTYLEPARTS | CPTL_HOT
CBS_UNCHECKEDDISABLED | COMBOBOXSTYLESTATES | CPTL_NORMAL
CBS_UNCHECKEDHOT | COMMANDLINKGLYPHSTATES | CPTL_PAGE
CBS_UNCHECKEDNORMAL | COMMANDLINKSTATES | CPTL_PRESSED
CBS_UNCHECKEDPRESSED | COMMUNICATIONSPARTS | CP_TRANSPARENTBACKGROUND
CBTBS_DISABLED | COMMUNICATIONSSTYLEPARTS | CREATELINKSTATES
CBTBS_FOCUSED | CONTENTALIGNMENT | CS_ACTIVE
CBTBS_HOT | CONTENTAREASTATES | CS_DISABLED
CBTBS_NORMAL | CONTENTLINKSTATES | CS_INACTIVE
CBXS_DISABLED | CONTENTPANESTATES | CSST_TAB
CBXS_HOT | CONTROLLABELSTATES | CSTB_HOT
CBXSL_DISABLED | CONTROLPANELPARTS | CSTB_NORMAL
CBXSL_HOT | CONTROLPANELSTYLEPARTS | CSTB_SELECTED
CBXSL_NORMAL | COPYSTATES | CUEBANNERSTATES
CBXSL_PRESSED | CPANEL_BANNERAREA |
CBXS_NORMAL | CPANEL_BODYTEXT |

D

DATEBORDERSTATES | DD_UPDATEMETADATA | DPDB_DISABLED
DATEPICKERPARTS | DDUPDATEMETADATA_HIGHLIGHT | DPDB_FOCUSED
DATEPICKERSTYLEPARTS | DDUPDATEMETADATA_NOHIGHLIGHT | DPDB_HOT
DATETEXTSTATES | DD_WARNING | DPDB_NORMAL
DD_COPY | DDWARNING_HIGHLIGHT | DPDT_DISABLED
DDCOPY_HIGHLIGHT | DDWARNING_NOHIGHLIGHT | DPDT_NORMAL
DDCOPY_NOHIGHLIGHT | DNHZS_DISABLED | DPDT_SELECTED
DD_CREATELINK | DNHZS_HOT | DPSCBR_DISABLED
DDCREATELINK_HIGHLIGHT | DNHZS_NORMAL | DPSCBR_HOT
DDCREATELINK_NOHIGHLIGHT | DNHZS_PRESSED | DPSCBR_NORMAL
DD_IMAGEBG | DNS_DISABLED | DPSCBR_PRESSED
DD_MOVE | DNS_HOT | DP_SHOWCALENDARBUTTONRIGHT
DDMOVE_HIGHLIGHT | DNS_NORMAL | DRAGDROPPARTS
DDMOVE_NOHIGHLIGHT | DNS_PRESSED | DRAGDROPSTYLEPARTS
DD_NONE | DOWNHORZSTATES | DROPDOWNBUTTONLEFTSTATES
DDNONE_HIGHLIGHT | DOWNSTATES | DROPDOWNBUTTONRIGHTSTATES
DDNONE_NOHIGHLIGHT | DP_DATEBORDER |
DD_TEXTBG | DP_DATETEXT |

E

EBHC_HOT | EBS_FOCUSED | EP_EDITTEXT
EBHC_NORMAL | EBSGC_HOT | EP_PASSWORD
EBHC_PRESSED | EBSGC_NORMAL | EPSH_DISABLED
EBHP_HOT | EBSGC_PRESSED | EPSH_FOCUSED
EBHP_NORMAL | EBSGE_HOT | EPSH_HOT
EBHP_PRESSED | EBSGE_NORMAL | EPSH_NORMAL
EBHP_SELECTEDHOT | EBSGE_PRESSED | EPSHV_DISABLED
EBHP_SELECTEDNORMAL | EBS_HOT | EPSHV_FOCUSED
EBHP_SELECTEDPRESSED | EBS_NORMAL | EPSHV_HOT
EBM_HOT | EBS_READONLY | EPSHV_NORMAL
EBM_NORMAL | EBWBS_DISABLED | EPSN_DISABLED
EBM_PRESSED | EBWBS_FOCUSED | EPSN_FOCUSED
EBNGC_HOT | EBWBS_HOT | EPSN_HOT
EBNGC_NORMAL | EBWBS_NORMAL | EPSN_NORMAL
EBNGC_PRESSED | EDITBORDER_HSCROLLSTATES | EPSV_DISABLED
EBNGE_HOT | EDITBORDER_HVSCROLLSTATES | EPSV_FOCUSED
EBNGE_NORMAL | EDITBORDER_NOSCROLLSTATES | EPSV_HOT
EBNGE_PRESSED | EDITBORDER_VSCROLLSTATES | EPSV_NORMAL
EBP_HEADERBACKGROUND | EDITPARTS | ETS_ASSIST
EBP_HEADERCLOSE | EDITSTYLEPARTS | ETS_CUEBANNER
EBP_HEADERPIN | EDITTEXTSTATES | ETS_DISABLED
EBP_IEBARMENU | EMP_MARKUPTEXT | ETS_FOCUSED
EBP_NORMALGROUPBACKGROUND | EMPTYMARKUPPARTS | ETS_HOT
EBP_NORMALGROUPCOLLAPSE | EMT_LINKTEXT | ETS_NORMAL
EBP_NORMALGROUPEXPAND | EMT_NORMALTEXT | ETS_READONLY
EBP_NORMALGROUPHEAD | EP_BACKGROUND | ETS_SELECTED
EBP_SPECIALGROUPBACKGROUND | EP_BACKGROUNDWITHBORDER | EXPANDBUTTONSTATES
EBP_SPECIALGROUPCOLLAPSE | EP_CARET | EXPANDOBUTTONSTATES
EBP_SPECIALGROUPEXPAND | EP_EDITBORDER_HSCROLL | EXPLORERBARPARTS
EBP_SPECIALGROUPHEAD | EP_EDITBORDER_HVSCROLL | EXPLORERBARSTYLEPARTS
EBS_ASSIST | EP_EDITBORDER_NOSCROLL |
EBS_DISABLED | EP_EDITBORDER_VSCROLL |

F

FBS_EMPHASIZED | FLYOUT_BODY | FLYOUT_WINDOW
FBS_NORMAL | FLYOUT_DIVIDER | FRAMESTATES
FILLSTATES | FLYOUT_HEADER | FS_ACTIVE
FILLTYPE | FLYOUT_LABEL | FS_INACTIVE
FILLVERTSTATES | FLYOUT_LINK | FT_HORZGRADIENT
FLH_HOVER | FLYOUT_LINKAREA | FT_RADIALGRADIENT
FLH_NORMAL | FLYOUT_LINKHEADER | FT_SOLID
FLS_DISABLED | FLYOUTLINK_HOVER | FT_TILEIMAGE
FLS_EMPHASIZED | FLYOUTLINK_NORMAL | FT_VERTGRADIENT
FLS_NORMAL | FLYOUTPARTS |
FLS_SELECTED | FLYOUTSTYLEPARTS |

G

GBS_DISABLED | GLYPHFONTSIZINGTYPE | GROUPHEADERLINESTATES
GBS_NORMAL | GLYPHSTATES | GROUPHEADERSTATES
GFST_DPI | GLYPHTYPE | GT_FONTGLYPH
GFST_NONE | GRIDCELLBACKGROUNDSTATES | GT_IMAGEGLYPH
GFST_SIZE | GRIDCELLSTATES | GT_NONE
GLPS_CLOSED | GRIDCELLUPPERSTATES |
GLPS_OPENED | GROUPBOXSTATES |

H

HA_CENTER | HEADERSORTARROWSTATES | HLS_NORMALTEXT
HA_LEFT | HEADERSTYLEPARTS | HOFS_HOT
HALIGN | HEADERSTYLESTATES | HOFS_NORMAL
HA_RIGHT | HELPBUTTONSTATES | HORZSCROLLSTATES
HBG_DETAILS | HELPLINKSTATES | HORZTHUMBSTATES
HBG_ICON | HGLPS_CLOSED | HOTGLYPHSTATES
HBS_DISABLED | HGLPS_OPENED | HP_HEADERDROPDOWN
HBS_HOT | HILS_HOT | HP_HEADERDROPDOWNFILTER
HBS_NORMAL | HILS_NORMAL | HP_HEADERITEM
HBS_PUSHED | HILS_PRESSED | HP_HEADERITEMLEFT
HDDFS_HOT | HIRS_HOT | HP_HEADERITEMRIGHT
HDDFS_NORMAL | HIRS_NORMAL | HP_HEADEROVERFLOW
HDDFS_SOFTHOT | HIRS_PRESSED | HP_HEADERSORTARROW
HDDS_HOT | HIS_HOT | HSAS_SORTEDDOWN
HDDS_NORMAL | HIS_ICONHOT | HSAS_SORTEDUP
HDDS_SOFTHOT | HIS_ICONNORMAL | HSS_DISABLED
HEADERAREASTATES | HIS_ICONPRESSED | HSS_HOT
HEADERCLOSESTATES | HIS_ICONSORTEDHOT | HSS_NORMAL
HEADERDROPDOWNFILTERSTATES | HIS_ICONSORTEDNORMAL | HSS_PUSHED
HEADERDROPDOWNSTATES | HIS_ICONSORTEDPRESSED | HTS_DISABLED
HEADERITEMLEFTSTATES | HIS_NORMAL | HTS_HOT
HEADERITEMRIGHTSTATES | HIS_PRESSED | HTS_NORMAL
HEADERITEMSTATES | HIS_SORTEDHOT | HTS_PUSHED
HEADEROVERFLOWSTATES | HIS_SORTEDNORMAL | HYPERLINKSTATES
HEADERPARTS | HIS_SORTEDPRESSED | HYPERLINKTEXTSTATES
HEADERPINSTATES | HLS_LINKTEXT |

I

ICE_ALPHA | ICONEFFECT | IMAGESELECTTYPE
ICE_GLOW | IEBARMENUSTATES | IST_DPI
ICE_NONE | IL_HORIZONTAL | IST_NONE
ICE_PULSE | IL_VERTICAL | IST_SIZE
ICE_SHADOW | IMAGELAYOUT | ITEMSTATES

L

LABELSTATES | LISS_HOT | LVGHL_CLOSESELECTED
LBCP_BORDER_HSCROLL | LISS_HOTSELECTED | LVGHL_CLOSESELECTEDHOT
LBCP_BORDER_HVSCROLL | LISS_NORMAL | LVGHL_CLOSESELECTEDNOTFOCUSED
LBCP_BORDER_NOSCROLL | LISS_SELECTED | LVGHL_CLOSESELECTEDNOTFOCUSEDHOT
LBCP_BORDER_VSCROLL | LISS_SELECTEDNOTFOCUS | LVGHL_OPEN
LBCP_ITEM | LISTBOXPARTS | LVGHL_OPENHOT
LBPSH_DISABLED | LISTBOXSTYLEPARTS | LVGHL_OPENMIXEDSELECTION
LBPSH_FOCUSED | LISTITEMSTATES | LVGHL_OPENMIXEDSELECTIONHOT
LBPSH_HOT | LISTVIEWPARTS | LVGHL_OPENSELECTED
LBPSH_NORMAL | LISTVIEWSTYLEPARTS | LVGHL_OPENSELECTEDHOT
LBPSHV_DISABLED | LOGOFFBUTTONSSTATES | LVGHL_OPENSELECTEDNOTFOCUSED
LBPSHV_FOCUSED | LP_HYPERLINK | LVGHL_OPENSELECTEDNOTFOCUSEDHOT
LBPSHV_HOT | LVCB_HOVER | LVGH_OPEN
LBPSHV_NORMAL | LVCB_NORMAL | LVGH_OPENHOT
LBPSI_HOT | LVCB_PUSHED | LVGH_OPENMIXEDSELECTION
LBPSI_HOTSELECTED | LVEB_HOVER | LVGH_OPENMIXEDSELECTIONHOT
LBPSI_SELECTED | LVEB_NORMAL | LVGH_OPENSELECTED
LBPSI_SELECTEDNOTFOCUS | LVEB_PUSHED | LVGH_OPENSELECTEDHOT
LBPSN_DISABLED | LVGH_CLOSE | LVGH_OPENSELECTEDNOTFOCUSED
LBPSN_FOCUSED | LVGH_CLOSEHOT | LVGH_OPENSELECTEDNOTFOCUSEDHOT
LBPSN_HOT | LVGH_CLOSEMIXEDSELECTION | LVP_COLLAPSEBUTTON
LBPSN_NORMAL | LVGH_CLOSEMIXEDSELECTIONHOT | LVP_COLUMNDETAIL
LBPSV_DISABLED | LVGH_CLOSESELECTED | LVP_EMPTYTEXT
LBPSV_FOCUSED | LVGH_CLOSESELECTEDHOT | LVP_EXPANDBUTTON
LBPSV_HOT | LVGH_CLOSESELECTEDNOTFOCUSED | LVP_GROUPHEADER
LBPSV_NORMAL | LVGH_CLOSESELECTEDNOTFOCUSEDHOT | LVP_GROUPHEADERLINE
LINKHEADERSTATES | LVGHL_CLOSE | LVP_LISTDETAIL
LINKPARTS | LVGHL_CLOSEHOT | LVP_LISTGROUP
LINKSTATES | LVGHL_CLOSEMIXEDSELECTION | LVP_LISTITEM
LISS_DISABLED | LVGHL_CLOSEMIXEDSELECTIONHOT | LVP_LISTSORTEDDETAIL

M

MARKUPTEXTSTATES | MC_NAVNEXT | MENU_POPUPGUTTER
MAXBS_DISABLED | MC_NAVPREV | MENU_POPUPITEM
MAXBS_HOT | MCNN_DISABLED | MENU_POPUPSEPARATOR
MAXBS_NORMAL | MCNN_HOT | MENU_POPUPSUBMENU
MAXBS_PUSHED | MCNN_NORMAL | MENU_SEPARATOR_TMSCHEMA
MAXBUTTONSTATES | MCNN_PRESSED | MENUSTYLEPARTS
MAXCAPTIONSTATES | MCNP_DISABLED | MENU_SYSTEMCLOSE
MB_ACTIVE | MCNP_HOT | MENU_SYSTEMMAXIMIZE
MBI_DISABLED | MCNP_NORMAL | MENU_SYSTEMMINIMIZE
MBI_DISABLEDHOT | MCNP_PRESSED | MENU_SYSTEMRESTORE
MBI_DISABLEDPUSHED | MCTGC_HASSTATE | MINBS_DISABLED
MBI_HOT | MCTGC_HASSTATEHOT | MINBS_HOT
MB_INACTIVE | MCTGC_HOT | MINBS_NORMAL
MBI_NORMAL | MCTGC_TODAY | MINBS_PUSHED
MBI_PUSHED | MCTGCU_HASSTATE | MINBUTTONSTATES
MC_BACKGROUND | MCTGCU_HASSTATEHOT | MINCAPTIONSTATES
MCB_BITMAP | MCTGCU_HOT | MNCS_ACTIVE
MCB_DISABLED | MC_TRAILINGGRIDCELL | MNCS_DISABLED
MCB_NORMAL | MC_TRAILINGGRIDCELLUPPER | MNCS_INACTIVE
MC_BORDERS | MDP_NEWAPPBUTTON | MONTHCALPARTS
MC_BULLETDISABLED | MDP_SEPERATOR | MOREPROGRAMSARROWBACKSTATES
MC_BULLETNORMAL | MDS_CHECKED | MOREPROGRAMSARROWSTATES
MC_CHECKMARKDISABLED | MDS_DISABLED | MOREPROGRAMSTABSTATES
MC_CHECKMARKNORMAL | MDS_HOT | MOVESTATES
MC_COLHEADERSPLITTER | MDS_HOTCHECKED | MPI_DISABLED
MCGCB_HOT | MDS_NORMAL | MPI_DISABLEDHOT
MCGCB_SELECTED | MDS_PRESSED | MPI_HOT
MCGCB_SELECTEDHOT | MENUBANDPARTS | MPI_NORMAL
MCGCB_SELECTEDNOTFOCUSED | MENUBANDSTATES | MSM_DISABLED
MCGCB_TODAY | MENU_BARBACKGROUND | MSM_NORMAL
MCGC_HASSTATE | MENU_BARITEM | MSYSC_DISABLED
MCGC_HASSTATEHOT | MENU_CHEVRON_TMSCHEMA | MSYSC_NORMAL
MCGC_HOT | MENU_MENUBARDROPDOWN_TMSCHEMA | MSYSMN_DISABLED
MCGC_TODAY | MENU_MENUBARITEM_TMSCHEMA | MSYSMN_NORMAL
MCGCU_HASSTATE | MENU_MENUDROPDOWN_TMSCHEMA | MSYSMX_DISABLED
MCGCU_HASSTATEHOT | MENU_MENUITEM_TMSCHEMA | MSYSMX_NORMAL
MCGCU_HOT | MENUPARTS | MSYSR_DISABLED
MC_GRIDBACKGROUND | MENU_POPUPBACKGROUND | MSYSR_NORMAL
MC_GRIDCELL | MENU_POPUPBORDERS | MXCS_ACTIVE
MC_GRIDCELLBACKGROUND | MENU_POPUPCHECK | MXCS_DISABLED
MC_GRIDCELLUPPER | MENU_POPUPCHECKBACKGROUND | MXCS_INACTIVE

N

NAV_BACKBUTTON | NAV_FB_NORMAL | NAV_MB_PRESSED
NAV_BACKBUTTONSTATES | NAV_FB_PRESSED | NAV_MENUBUTTON
NAV_BB_DISABLED | NAV_FORWARDBUTTON | NAV_MENUBUTTONSTATES
NAV_BB_HOT | NAV_FORWARDBUTTONSTATES | NAVNEXTSTATES
NAV_BB_NORMAL | NAVIGATIONPARTS | NAVPREVSTATES
NAV_BB_PRESSED | NAV_MB_DISABLED | NONESTATES
NAV_FB_DISABLED | NAV_MB_HOT | NORMALGROUPCOLLAPSESTATES
NAV_FB_HOT | NAV_MB_NORMAL | NORMALGROUPEXPANDSTATES

O

OFFSETTYPE | OT_BOTTOMRIGHT | OT_RIGHTOFLASTBUTTON
OPENBOXSTATES | OT_LEFTOFCAPTION | OT_TOPLEFT
OT_ABOVELASTBUTTON | OT_LEFTOFLASTBUTTON | OT_TOPMIDDLE
OT_BELOWLASTBUTTON | OT_MIDDLELEFT | OT_TOPRIGHT
OT_BOTTOMLEFT | OT_MIDDLERIGHT |
OT_BOTTOMMIDDLE | OT_RIGHTOFCAPTION |

P

PAGEPARTS | PBS_DEFAULTED_ANIMATING | PP_BARVERT
PBBS_NORMAL | PBS_DISABLED | PP_CHUNK
PBBS_PARTIAL | PBS_HOT | PP_CHUNKVERT
PBBVS_NORMAL | PBS_NORMAL | PP_FILL
PBBVS_PARTIAL | PBS_PRESSED | PP_FILLVERT
PBFS_ERROR | PGRP_DOWN | PP_MOVEOVERLAY
PBFS_NORMAL | PGRP_DOWNHORZ | PP_MOVEOVERLAYVERT
PBFS_PARTIAL | PGRP_UP | PP_PULSEOVERLAY
PBFS_PAUSED | PGRP_UPHORZ | PP_PULSEOVERLAYVERT
PBFVS_ERROR | POPUPCHECKBACKGROUNDSTATES | PP_TRANSPARENTBAR
PBFVS_NORMAL | POPUPCHECKSTATES | PP_TRANSPARENTBARVERT
PBFVS_PARTIAL | POPUPITEMSTATES | PROGRESSPARTS
PBFVS_PAUSED | POPUPSUBMENUSTATES | PROGRESSSTYLEPARTS
PBS_DEFAULTED | PP_BAR | PUSHBUTTONSTATES

R

RADIOBUTTONSTATES | RBS_UNCHECKEDDISABLED | RP_BAND
RBS_CHECKEDDISABLED | RBS_UNCHECKEDHOT | RP_CHEVRON
RBS_CHECKEDHOT | RBS_UNCHECKEDNORMAL | RP_CHEVRONVERT
RBS_CHECKEDNORMAL | RBS_UNCHECKEDPRESSED | RP_GRIPPER
RBS_CHECKEDPRESSED | READONLYSTATES | RP_GRIPPERVERT
RBS_DISABLED | REBARPARTS | RP_SPLITTER
RBS_HOT | REBARSTYLEPARTS | RP_SPLITTERVERT
RBS_NORMAL | RESTOREBUTTONSTATES |
RBS_PUSHED | RP_BACKGROUND |

S

SBP_ARROWBTN | SPLITSV_NORMAL | SPP_SOFTWAREEXPLORER
SBP_GRIPPERHORZ | SPLITSV_PRESSED | SPP_TOPMATCH
SBP_GRIPPERVERT | SPLITTERSTATES | SPP_USERPANE
SBP_LOWERTRACKHORZ | SPLITTERVERTSTATES | SPP_USERPICTURE
SBP_LOWERTRACKVERT | SPLS_HOT | SPSB_HOT
SBP_SIZEBOX | SPLS_NORMAL | SPSB_NORMAL
SBP_THUMBBTNHORZ | SPLS_PRESSED | SPSB_PRESSED
SBP_THUMBBTNVERT | SPMPT_DISABLED | SPSE_DISABLED
SBP_UPPERTRACKHORZ | SPMPT_FOCUSED | SPSE_FOCUSED
SBP_UPPERTRACKVERT | SPMPT_HOT | SPSE_HOT
SBS_DISABLED | SPMPT_NORMAL | SPSE_NORMAL
SBS_HOT | SPMPT_SELECTED | SPSE_SELECTED
SBS_NORMAL | SPNP_DOWN | SPS_HOT
SBS_PUSHED | SPNP_DOWNHORZ | SPS_NORMAL
SCRBS_DISABLED | SPNP_UP | SPS_PRESSED
SCRBS_HOT | SPNP_UPHORZ | STANDARDSTATES
SCRBS_HOVER | SPOB_DISABLED | STARTPANELPARTS
SCRBS_NORMAL | SPOB_FOCUSED | STATICPARTS
SCRBS_PRESSED | SPOB_HOT | STAT_TEXT
SCROLLBARPARTS | SPOB_NORMAL | STATUSPARTS
SCROLLBARSTYLEPARTS | SPOB_SELECTED | STATUSSTYLEPARTS
SCROLLBARSTYLESTATES | SP_PANE | ST_STRETCH
SECTIONTITLELINKSTATES | SPP_LOGOFF | ST_TILE
SHOWCALENDARBUTTONRIGHTSTATES | SPP_LOGOFFBUTTONS | ST_TRUESIZE
SIZEBOXSTATES | SPP_LOGOFFSPLITBUTTONDROPDOWN | SYSBUTTONSTATES
SIZINGTYPE | SPP_MOREPROGRAMS | SYSTEMCLOSESTATES
SOFTWAREEXPLORERSTATES | SPP_MOREPROGRAMSARROW | SYSTEMMAXIMIZESTATES
SPECIALGROUPCOLLAPSESTATES | SPP_MOREPROGRAMSARROWBACK | SYSTEMMINIMIZESTATES
SPECIALGROUPEXPANDSTATES | SPP_MOREPROGRAMSTAB | SYSTEMRESTORESTATES
SP_GRIPPER | SPP_NSCHOST | SZB_HALFBOTTOMLEFTALIGN
SP_GRIPPERPANE | SPP_OPENBOX | SZB_HALFBOTTOMRIGHTALIGN
SPINPARTS | SPP_PLACESLIST | SZB_HALFTOPLEFTALIGN
SPINSTYLEPARTS | SPP_PLACESLISTSEPARATOR | SZB_HALFTOPRIGHTALIGN
SPLITS_HOT | SPP_PREVIEW | SZB_LEFTALIGN
SPLITS_NORMAL | SPP_PROGLIST | SZB_RIGHTALIGN
SPLITS_PRESSED | SPP_PROGLISTSEPARATOR | SZB_TOPLEFTALIGN
SPLITSV_HOT | SPP_SEARCHVIEW | SZB_TOPRIGHTALIGN

T

TABITEMBOTHEDGESTATES | TMT_DIBDATA | TMT_TOCOLOR1
TABITEMLEFTEDGESTATES | TMT_DISKSTREAM | TMT_TOCOLOR2
TABITEMRIGHTEDGESTATES | TMT_DISPLAYNAME | TMT_TOCOLOR3
TABITEMSTATES | TMT_DKSHADOW3D | TMT_TOCOLOR4
TABP_AEROWIZARDBODY | TMT_DRAWBORDERS | TMT_TOCOLOR5
TABPARTS | TMT_EDGEDKSHADOWCOLOR | TMT_TOHUE1
TABP_BODY | TMT_EDGEFILLCOLOR | TMT_TOHUE2
TABP_PANE | TMT_EDGEHIGHLIGHTCOLOR | TMT_TOHUE3
TABP_TABITEM | TMT_EDGELIGHTCOLOR | TMT_TOHUE4
TABP_TABITEMBOTHEDGE | TMT_EDGESHADOWCOLOR | TMT_TOHUE5
TABP_TABITEMLEFTEDGE | TMT_ENUM | TMT_TOOLTIP
TABP_TABITEMRIGHTEDGE | TMT_FILENAME | TMT_TRANSITIONDURATIONS
TABP_TOPTABITEM | TMT_FILLCOLOR | TMT_TRANSPARENT
TABP_TOPTABITEMBOTHEDGE | TMT_FILLCOLORHINT | TMT_TRANSPARENTCOLOR
TABP_TOPTABITEMLEFTEDGE | TMT_FILLTYPE | TMT_TRUESIZESCALINGTYPE
TABP_TOPTABITEMRIGHTEDGE | TMT_FIRSTBOOL | TMT_TRUESIZESTRETCHMARK
TABSTATES | TMT_FIRSTCOLOR | TMT_UNIFORMSIZING
TABSTYLEPARTS | TMT_FIRSTFONT | TMT_URL
TASKBANDPARTS | TMT_FIRSTINT | TMT_USERPICTURE
TASKBARPARTS | TMT_FIRST_RCSTRING_NAME | TMT_VALIGN
TASKDIALOGPARTS | TMT_FIRSTSIZE | TMT_VERSION
TASKDIALOGSTYLEPARTS | TMT_FIRSTSTRING | TMTVS_RESERVEDHIGH
TASKLINKSTATES | TMT_FLATMENUS | TMTVS_RESERVEDLOW
TBP_BACKGROUNDBOTTOM | TMT_FONT | TMT_WIDTH
TBP_BACKGROUNDLEFT | TMT_FRAMESPERSECOND | TMT_WINDOW
TBP_BACKGROUNDRIGHT | TMT_FROMCOLOR1 | TMT_WINDOWFRAME
TBP_BACKGROUNDTOP | TMT_FROMCOLOR2 | TMT_WINDOWTEXT
TBP_SIZINGBARBOTTOM | TMT_FROMCOLOR3 | TMT_XMLNAME
TBP_SIZINGBARLEFT | TMT_FROMCOLOR4 | TNP_ANIMBACKGROUND
TBP_SIZINGBARRIGHT | TMT_FROMCOLOR5 | TNP_BACKGROUND
TBP_SIZINGBARTOP | TMT_FROMHUE1 | TOOLBARPARTS
TDLG_BUTTONSECTION | TMT_FROMHUE2 | TOOLBARSTYLEPARTS
TDLG_BUTTONWRAPPER | TMT_FROMHUE3 | TOOLBARSTYLESTATES
TDLG_COMMANDLINKPANE | TMT_FROMHUE4 | TOOLTIPPARTS
TDLG_CONTENTICON | TMT_FROMHUE5 | TOOLTIPSTYLEPARTS
TDLG_CONTENTPANE | TMT_GLOWCOLOR | TOPTABITEMBOTHEDGESTATES
TDLG_CONTROLPANE | TMT_GLOWINTENSITY | TOPTABITEMLEFTEDGESTATES
TDLGCPS_STANDALONE | TMT_GLYPHDIBDATA | TOPTABITEMRIGHTEDGESTATES
TDLGEBS_EXPANDEDHOVER | TMT_GLYPHFONT | TOPTABITEMSTATES
TDLGEBS_EXPANDEDNORMAL | TMT_GLYPHFONTSIZINGTYPE | TP_BUTTON
TDLGEBS_EXPANDEDPRESSED | TMT_GLYPHIMAGEFILE | TP_DROPDOWNBUTTON
TDLGEBS_HOVER | TMT_GLYPHINDEX | TP_DROPDOWNBUTTONGLYPH
TDLGEBS_NORMAL | TMT_GLYPHONLY | TP_SEPARATOR
TDLGEBS_PRESSED | TMT_GLYPHTEXTCOLOR | TP_SEPARATORVERT
TDLG_EXPANDEDCONTENT | TMT_GLYPHTRANSPARENT | TP_SPLITBUTTON
TDLG_EXPANDEDFOOTERAREA | TMT_GLYPHTRANSPARENTCOLOR | TP_SPLITBUTTONDROPDOWN
TDLG_EXPANDOBUTTON | TMT_GLYPHTYPE | TRACKBARPARTS
TDLG_EXPANDOTEXT | TMT_GRADIENTACTIVECAPTION | TRACKBARSTYLEPARTS
TDLG_FOOTNOTEAREA | TMT_GRADIENTCOLOR1 | TRACKBARSTYLESTATES
TDLG_FOOTNOTEPANE | TMT_GRADIENTCOLOR2 | TRACKSTATES
TDLG_FOOTNOTESEPARATOR | TMT_GRADIENTCOLOR3 | TRACKVERTSTATES
TDLG_IMAGEALIGNMENT | TMT_GRADIENTCOLOR4 | TRAILINGGRIDCELLSTATES
TDLG_MAINICON | TMT_GRADIENTCOLOR5 | TRAILINGGRIDCELLUPPERSTATES
TDLG_MAININSTRUCTIONPANE | TMT_GRADIENTINACTIVECAPTION | TRANSPARENTBACKGROUNDSTATES
TDLG_PRIMARYPANEL | TMT_GRADIENTRATIO1 | TRANSPARENTBARSTATES
TDLG_PROGRESSBAR | TMT_GRADIENTRATIO2 | TRANSPARENTBARVERTSTATES
TDLG_RADIOBUTTONPANE | TMT_GRADIENTRATIO3 | TRAYNOTIFYPARTS
TDLG_SECONDARYPANEL | TMT_GRADIENTRATIO4 | TREEITEMSTATES
TDLG_VERIFICATIONTEXT | TMT_GRADIENTRATIO5 | TREEVIEWPARTS
TDP_FLASHBUTTON | TMT_GRAYTEXT | TREEVIEWSTYLEPARTS
TDP_FLASHBUTTONGROUPMENU | TMT_HALIGN | TREIS_DISABLED
TDP_GROUPCOUNT | TMT_HBITMAP | TREIS_HOT
TEXT_BODYTEXT | TMT_HEADING1FONT | TREIS_HOTSELECTED
TEXT_BODYTITLE | TMT_HEADING1TEXTCOLOR | TREIS_NORMAL
TEXT_CONTROLLABEL | TMT_HEADING2FONT | TREIS_SELECTED
TEXT_EXPANDED | TMT_HEADING2TEXTCOLOR | TREIS_SELECTEDNOTFOCUS
TEXT_HYPERLINKTEXT | TMT_HEIGHT | TRS_NORMAL
TEXT_INSTRUCTION | TMT_HIGHLIGHT | TRUESIZESCALINGTYPE
TEXT_LABEL | TMT_HIGHLIGHTTEXT | TRVS_NORMAL
TEXT_MAININSTRUCTION | TMT_HOTTRACKING | TS_CHECKED
TEXT_SECONDARYTEXT | TMT_ICONEFFECT | TS_CONTROLLABEL_DISABLED
TEXTSHADOWTYPE | TMT_ICONTITLEFONT | TS_CONTROLLABEL_NORMAL
TEXTSTYLEPARTS | TMT_IMAGECOUNT | TS_DISABLED
THUMBBOTTOMSTATES | TMT_IMAGEFILE | TS_HOT
THUMBLEFTSTATES | TMT_IMAGEFILE1 | TS_HOTCHECKED
THUMBRIGHTSTATES | TMT_IMAGEFILE2 | TS_HYPERLINK_DISABLED
THUMBSTATES | TMT_IMAGEFILE3 | TS_HYPERLINK_HOT
THUMBTOPSTATES | TMT_IMAGEFILE4 | TS_HYPERLINK_NORMAL
THUMBVERTSTATES | TMT_IMAGEFILE5 | TS_HYPERLINK_PRESSED
TIBES_DISABLED | TMT_IMAGELAYOUT | TS_NEARHOT
TIBES_FOCUSED | TMT_IMAGESELECTTYPE | TS_NORMAL
TIBES_HOT | TMT_INACTIVEBORDER | TS_OTHERSIDEHOT
TIBES_NORMAL | TMT_INACTIVECAPTION | TS_PRESSED
TIBES_SELECTED | TMT_INACTIVECAPTIONTEXT | TSS_NORMAL
TICSSTATES | TMT_INFOBK | TSST_DPI
TICSVERTSTATES | TMT_INFOTEXT | TSST_NONE
TILES_DISABLED | TMT_INT | TSST_SIZE
TILES_FOCUSED | TMT_INTEGRALSIZING | TST_CONTINUOUS
TILES_HOT | TMT_INTLIST | TST_NONE
TILES_NORMAL | TMT_LASTBOOL | TST_SINGLE
TILES_SELECTED | TMT_LASTCOLOR | TSVS_NORMAL
TIRES_DISABLED | TMT_LASTFONT | TTBS_LINK
TIRES_FOCUSED | TMT_LASTINT | TTBS_NORMAL
TIRES_HOT | TMT_LAST_RCSTRING_NAME | TTBSS_POINTINGDOWNCENTERED
TIRES_NORMAL | TMT_LASTSIZE | TTBSS_POINTINGDOWNLEFTWALL
TIRES_SELECTED | TMT_LASTSTRING | TTBSS_POINTINGDOWNRIGHTWALL
TIS_DISABLED | TMT_LASTUPDATED | TTBSS_POINTINGUPCENTERED
TIS_FOCUSED | TMT_LIGHT3D | TTBSS_POINTINGUPLEFTWALL
TIS_HOT | TMT_LOCALIZEDMIRRORIMAGE | TTBSS_POINTINGUPRIGHTWALL
TIS_NORMAL | TMT_MARGINS | TTCS_HOT
TIS_SELECTED | TMT_MENU | TTCS_NORMAL
TITLEBARSTATES | TMT_MENUBAR | TTCS_PRESSED
TKP_THUMB | TMT_MENUBARHEIGHT | TTIBES_DISABLED
TKP_THUMBBOTTOM | TMT_MENUBARWIDTH | TTIBES_FOCUSED
TKP_THUMBLEFT | TMT_MENUFONT | TTIBES_HOT
TKP_THUMBRIGHT | TMT_MENUHILIGHT | TTIBES_NORMAL
TKP_THUMBTOP | TMT_MENUTEXT | TTIBES_SELECTED
TKP_THUMBVERT | TMT_MINCOLORDEPTH | TTILES_DISABLED
TKP_TICS | TMT_MINDPI1 | TTILES_FOCUSED
TKP_TICSVERT | TMT_MINDPI2 | TTILES_HOT
TKP_TRACK | TMT_MINDPI3 | TTILES_NORMAL
TKP_TRACKVERT | TMT_MINDPI4 | TTILES_SELECTED
TKS_NORMAL | TMT_MINDPI5 | TTIRES_DISABLED
TMT_ACCENTCOLORHINT | TMT_MINSIZE | TTIRES_FOCUSED
TMT_ACTIVEBORDER | TMT_MINSIZE1 | TTIRES_HOT
TMT_ACTIVECAPTION | TMT_MINSIZE2 | TTIRES_NORMAL
TMT_ALIAS | TMT_MINSIZE3 | TTIRES_SELECTED
TMT_ALPHALEVEL | TMT_MINSIZE4 | TTIS_DISABLED
TMT_ALPHATHRESHOLD | TMT_MINSIZE5 | TTIS_FOCUSED
TMT_ALWAYSSHOWSIZINGBAR | TMT_MIRRORIMAGE | TTIS_HOT
TMT_ANIMATIONBUTTONRECT | TMT_MSGBOXFONT | TTIS_NORMAL
TMT_ANIMATIONDELAY | TMT_NAME | TTIS_SELECTED
TMT_ANIMATIONDURATION | TMT_NOETCHEDEFFECT | TTP_BALLOON
TMT_APPWORKSPACE | TMT_NORMALSIZE | TTP_BALLOONSTEM
TMT_ATLASIMAGE | TMT_OFFSET | TTP_BALLOONTITLE
TMT_ATLASINPUTIMAGE | TMT_OFFSETTYPE | TTP_CLOSE
TMT_ATLASRECT | TMT_OPACITY | TTP_STANDARD
TMT_AUTHOR | TMT_PADDEDBORDERWIDTH | TTP_STANDARDTITLE
TMT_AUTOSIZE | TMT_PIXELSPERFRAME | TTP_WRENCH
TMT_BACKGROUND | TMT_POSITION | TTSS_LINK
TMT_BGFILL | TMT_PROGRESSCHUNKSIZE | TTSS_NORMAL
TMT_BGTYPE | TMT_PROGRESSSPACESIZE | TTWS_HOT
TMT_BITMAPREF | TMT_RECT | TTWS_NORMAL
TMT_BLENDCOLOR | TMT_RESERVEDHIGH | TTWS_PRESSED
TMT_BODYFONT | TMT_RESERVEDLOW | TUBS_DISABLED
TMT_BODYTEXTCOLOR | TMT_ROUNDCORNERHEIGHT | TUBS_FOCUSED
TMT_BOOL | TMT_ROUNDCORNERWIDTH | TUBS_HOT
TMT_BORDERCOLOR | TMT_SATURATION | TUBS_NORMAL
TMT_BORDERCOLORHINT | TMT_SCALEDBACKGROUND | TUBS_PRESSED
TMT_BORDERONLY | TMT_SCROLLBAR | TUS_DISABLED
TMT_BORDERSIZE | TMT_SCROLLBARHEIGHT | TUS_FOCUSED
TMT_BORDERTYPE | TMT_SCROLLBARWIDTH | TUS_HOT
TMT_BTNFACE | TMT_SHADOWCOLOR | TUS_NORMAL
TMT_BTNHIGHLIGHT | TMT_SIZE | TUS_PRESSED
TMT_BTNSHADOW | TMT_SIZES | TUTS_DISABLED
TMT_BTNTEXT | TMT_SIZINGBORDERWIDTH | TUTS_FOCUSED
TMT_BUTTONALTERNATEFACE | TMT_SIZINGMARGINS | TUTS_HOT
TMT_CAPTIONBARHEIGHT | TMT_SIZINGTYPE | TUTS_NORMAL
TMT_CAPTIONBARWIDTH | TMT_SMALLCAPTIONFONT | TUTS_PRESSED
TMT_CAPTIONFONT | TMT_SMCAPTIONBARHEIGHT | TUVLS_DISABLED
TMT_CAPTIONMARGINS | TMT_SMCAPTIONBARWIDTH | TUVLS_FOCUSED
TMT_CAPTIONTEXT | TMT_SOURCEGROW | TUVLS_HOT
TMT_CHARSET | TMT_SOURCESHRINK | TUVLS_NORMAL
TMT_CLASSICVALUE | TMT_STATUSFONT | TUVLS_PRESSED
TMT_COLOR | TMT_STREAM | TUVRS_DISABLED
TMT_COLORIZATIONCOLOR | TMT_STRING | TUVRS_FOCUSED
TMT_COLORIZATIONOPACITY | TMT_TEXT | TUVRS_HOT
TMT_COLORSCHEMES | TMT_TEXTAPPLYOVERLAY | TUVRS_NORMAL
TMT_COMPANY | TMT_TEXTBORDERCOLOR | TUVRS_PRESSED
TMT_COMPOSITED | TMT_TEXTBORDERSIZE | TUVS_DISABLED
TMT_COMPOSITEDOPAQUE | TMT_TEXTCOLOR | TUVS_FOCUSED
TMT_CONTENTALIGNMENT | TMT_TEXTCOLORHINT | TUVS_HOT
TMT_CONTENTMARGINS | TMT_TEXTGLOW | TUVS_NORMAL
TMT_COPYRIGHT | TMT_TEXTGLOWSIZE | TUVS_PRESSED
TMT_CSSNAME | TMT_TEXTITALIC | TVP_BRANCH
TMT_CUSTOMSPLITRECT | TMT_TEXTSHADOWCOLOR | TVP_GLYPH
TMT_DEFAULTPANESIZE | TMT_TEXTSHADOWOFFSET | TVP_HOTGLYPH
TMT_DESCRIPTION | TMT_TEXTSHADOWTYPE | TVP_TREEITEM

U

UPDATEMETADATASTATES | UPHZS_NORMAL | UPS_NORMAL
UPHORZSTATES | UPHZS_PRESSED | UPS_PRESSED
UPHZS_DISABLED | UPS_DISABLED | UPSTATES
UPHZS_HOT | UPS_HOT |

V

VA_BOTTOM | VSCLASS_FLYOUTSTYLE | VSCLASS_TABSTYLE
VA_CENTER | VSCLASS_HEADER | VSCLASS_TASKBAND
VALIGN | VSCLASS_HEADERSTYLE | VSCLASS_TASKBAR
VA_TOP | VSCLASS_LINK | VSCLASS_TASKDIALOG
VERTSCROLLSTATES | VSCLASS_LISTBOX | VSCLASS_TASKDIALOGSTYLE
VERTTHUMBSTATES | VSCLASS_LISTBOXSTYLE | VSCLASS_TEXTSTYLE
VSCLASS_AEROWIZARD | VSCLASS_LISTVIEW | VSCLASS_TOOLBAR
VSCLASS_AEROWIZARDSTYLE | VSCLASS_LISTVIEWSTYLE | VSCLASS_TOOLBARSTYLE
VSCLASS_BUTTON | VSCLASS_MENU | VSCLASS_TOOLTIP
VSCLASS_BUTTONSTYLE | VSCLASS_MENUBAND | VSCLASS_TOOLTIPSTYLE
VSCLASS_CLOCK | VSCLASS_MENUSTYLE | VSCLASS_TRACKBAR
VSCLASS_COMBOBOX | VSCLASS_MONTHCAL | VSCLASS_TRACKBARSTYLE
VSCLASS_COMBOBOXSTYLE | VSCLASS_NAVIGATION | VSCLASS_TRAYNOTIFY
VSCLASS_COMMUNICATIONS | VSCLASS_PAGE | VSCLASS_TREEVIEW
VSCLASS_COMMUNICATIONSSTYLE | VSCLASS_PROGRESS | VSCLASS_TREEVIEWSTYLE
VSCLASS_CONTROLPANEL | VSCLASS_PROGRESSSTYLE | VSCLASS_WINDOW
VSCLASS_CONTROLPANELSTYLE | VSCLASS_REBAR | VSCLASS_WINDOWSTYLE
VSCLASS_DATEPICKER | VSCLASS_REBARSTYLE | VSS_DISABLED
VSCLASS_DATEPICKERSTYLE | VSCLASS_SCROLLBAR | VSS_HOT
VSCLASS_DRAGDROP | VSCLASS_SCROLLBARSTYLE | VSS_NORMAL
VSCLASS_DRAGDROPSTYLE | VSCLASS_SPIN | VSS_PUSHED
VSCLASS_EDIT | VSCLASS_SPINSTYLE | VTS_DISABLED
VSCLASS_EDITSTYLE | VSCLASS_STARTPANEL | VTS_HOT
VSCLASS_EMPTYMARKUP | VSCLASS_STATIC | VTS_NORMAL
VSCLASS_EXPLORERBAR | VSCLASS_STATUS | VTS_PUSHED
VSCLASS_EXPLORERBARSTYLE | VSCLASS_STATUSSTYLE |
VSCLASS_FLYOUT | VSCLASS_TAB |

W

WARNINGSTATES | WP_HELPBUTTON | WP_SMALLCAPTIONSIZINGTEMPLATE
WINDOWPARTS | WP_HORZSCROLL | WP_SMALLCLOSEBUTTON
WINDOWSTYLEPARTS | WP_HORZTHUMB | WP_SMALLFRAMEBOTTOM
WP_CAPTION | WP_MAXBUTTON | WP_SMALLFRAMEBOTTOMSIZINGTEMPLATE
WP_CAPTIONSIZINGTEMPLATE | WP_MAXCAPTION | WP_SMALLFRAMELEFT
WP_CLOSEBUTTON | WP_MDICLOSEBUTTON | WP_SMALLFRAMELEFTSIZINGTEMPLATE
WP_DIALOG | WP_MDIHELPBUTTON | WP_SMALLFRAMERIGHT
WP_FRAME | WP_MDIMINBUTTON | WP_SMALLFRAMERIGHTSIZINGTEMPLATE
WP_FRAMEBOTTOM | WP_MDIRESTOREBUTTON | WP_SMALLMAXCAPTION
WP_FRAMEBOTTOMSIZINGTEMPLATE | WP_MDISYSBUTTON | WP_SMALLMINCAPTION
WP_FRAMELEFT | WP_MINBUTTON | WP_SYSBUTTON
WP_FRAMELEFTSIZINGTEMPLATE | WP_MINCAPTION | WP_VERTSCROLL
WP_FRAMERIGHT | WP_RESTOREBUTTON | WP_VERTTHUMB
WP_FRAMERIGHTSIZINGTEMPLATE | WP_SMALLCAPTION | WRENCHSTATES


IST_DPI

Declaration

Source position: tmschema.pas line 2219

const IST_DPI = 2;


IST_NONE

Declaration

Source position: tmschema.pas line 2217

const IST_NONE = 0;


IST_SIZE

Declaration

Source position: tmschema.pas line 2218

const IST_SIZE = 1;


ITEMSTATES

Declaration

Source position: tmschema.pas line 857

type ITEMSTATES = LongInt;


LABELSTATES

Declaration

Source position: tmschema.pas line 667

type LABELSTATES = LongInt;


LBCP_BORDER_HSCROLL

Declaration

Source position: tmschema.pas line 807

const LBCP_BORDER_HSCROLL = 1;


LBCP_BORDER_HVSCROLL

Declaration

Source position: tmschema.pas line 808

const LBCP_BORDER_HVSCROLL = 2;


LBCP_BORDER_NOSCROLL

Declaration

Source position: tmschema.pas line 809

const LBCP_BORDER_NOSCROLL = 3;


LBCP_BORDER_VSCROLL

Declaration

Source position: tmschema.pas line 810

const LBCP_BORDER_VSCROLL = 4;


LBCP_ITEM

Declaration

Source position: tmschema.pas line 811

const LBCP_ITEM = 5;


LBPSH_DISABLED

Declaration

Source position: tmschema.pas line 823

const LBPSH_DISABLED = 4;


LBPSH_FOCUSED

Declaration

Source position: tmschema.pas line 821

const LBPSH_FOCUSED = 2;


LBPSH_HOT

Declaration

Source position: tmschema.pas line 822

const LBPSH_HOT = 3;


LBPSH_NORMAL

Declaration

Source position: tmschema.pas line 820

const LBPSH_NORMAL = 1;


LBPSHV_DISABLED

Declaration

Source position: tmschema.pas line 833

const LBPSHV_DISABLED = 4;


LBPSHV_FOCUSED

Declaration

Source position: tmschema.pas line 831

const LBPSHV_FOCUSED = 2;


LBPSHV_HOT

Declaration

Source position: tmschema.pas line 832

const LBPSHV_HOT = 3;


LBPSHV_NORMAL

Declaration

Source position: tmschema.pas line 830

const LBPSHV_NORMAL = 1;


LBPSI_HOT

Declaration

Source position: tmschema.pas line 860

const LBPSI_HOT = 1;


LBPSI_HOTSELECTED

Declaration

Source position: tmschema.pas line 861

const LBPSI_HOTSELECTED = 2;


LBPSI_SELECTED

Declaration

Source position: tmschema.pas line 862

const LBPSI_SELECTED = 3;


LBPSI_SELECTEDNOTFOCUS

Declaration

Source position: tmschema.pas line 863

const LBPSI_SELECTEDNOTFOCUS = 4;


LBPSN_DISABLED

Declaration

Source position: tmschema.pas line 843

const LBPSN_DISABLED = 4;


LBPSN_FOCUSED

Declaration

Source position: tmschema.pas line 841

const LBPSN_FOCUSED = 2;


LBPSN_HOT

Declaration

Source position: tmschema.pas line 842

const LBPSN_HOT = 3;


LBPSN_NORMAL

Declaration

Source position: tmschema.pas line 840

const LBPSN_NORMAL = 1;


LBPSV_DISABLED

Declaration

Source position: tmschema.pas line 853

const LBPSV_DISABLED = 4;


LBPSV_FOCUSED

Declaration

Source position: tmschema.pas line 851

const LBPSV_FOCUSED = 2;


LBPSV_HOT

Declaration

Source position: tmschema.pas line 852

const LBPSV_HOT = 3;


LBPSV_NORMAL

Declaration

Source position: tmschema.pas line 850

const LBPSV_NORMAL = 1;


LINKHEADERSTATES

Declaration

Source position: tmschema.pas line 693

type LINKHEADERSTATES = LongInt;


LINKPARTS

Declaration

Source position: tmschema.pas line 2503

type LINKPARTS = LongInt;


LINKSTATES

Declaration

Source position: tmschema.pas line 677

type LINKSTATES = LongInt;


LISS_DISABLED

Declaration

Source position: tmschema.pas line 896

const LISS_DISABLED = 4;


LISS_HOT

Declaration

Source position: tmschema.pas line 894

const LISS_HOT = 2;


LISS_HOTSELECTED

Declaration

Source position: tmschema.pas line 898

const LISS_HOTSELECTED = 6;


LISS_NORMAL

Declaration

Source position: tmschema.pas line 893

const LISS_NORMAL = 1;


LISS_SELECTED

Declaration

Source position: tmschema.pas line 895

const LISS_SELECTED = 3;


LISS_SELECTEDNOTFOCUS

Declaration

Source position: tmschema.pas line 897

const LISS_SELECTEDNOTFOCUS = 5;


LISTBOXPARTS

Declaration

Source position: tmschema.pas line 804

type LISTBOXPARTS = LongInt;


LISTBOXSTYLEPARTS

Declaration

Source position: tmschema.pas line 814

type LISTBOXSTYLEPARTS = LISTBOXPARTS;


LISTITEMSTATES

Declaration

Source position: tmschema.pas line 890

type LISTITEMSTATES = LongInt;


LISTVIEWPARTS

Declaration

Source position: tmschema.pas line 872

type LISTVIEWPARTS = LongInt;


LISTVIEWSTYLEPARTS

Declaration

Source position: tmschema.pas line 887

type LISTVIEWSTYLEPARTS = LISTVIEWPARTS;


LOGOFFBUTTONSSTATES

Declaration

Source position: tmschema.pas line 2795

type LOGOFFBUTTONSSTATES = LongInt;


LP_HYPERLINK

Declaration

Source position: tmschema.pas line 2506

const LP_HYPERLINK = 1;


LVCB_HOVER

Declaration

Source position: tmschema.pas line 959

const LVCB_HOVER = 2;


LVCB_NORMAL

Declaration

Source position: tmschema.pas line 958

const LVCB_NORMAL = 1;


LVCB_PUSHED

Declaration

Source position: tmschema.pas line 960

const LVCB_PUSHED = 3;


LVEB_HOVER

Declaration

Source position: tmschema.pas line 950

const LVEB_HOVER = 2;


LVEB_NORMAL

Declaration

Source position: tmschema.pas line 949

const LVEB_NORMAL = 1;


LVEB_PUSHED

Declaration

Source position: tmschema.pas line 951

const LVEB_PUSHED = 3;


LVGH_CLOSE

Declaration

Source position: tmschema.pas line 913

const LVGH_CLOSE = 9;


LVGH_CLOSEHOT

Declaration

Source position: tmschema.pas line 914

const LVGH_CLOSEHOT = 10;


LVGH_CLOSEMIXEDSELECTION

Declaration

Source position: tmschema.pas line 919

const LVGH_CLOSEMIXEDSELECTION = 15;


LVGH_CLOSEMIXEDSELECTIONHOT

Declaration

Source position: tmschema.pas line 920

const LVGH_CLOSEMIXEDSELECTIONHOT = 16;


LVGH_CLOSESELECTED

Declaration

Source position: tmschema.pas line 915

const LVGH_CLOSESELECTED = 11;


LVGH_CLOSESELECTEDHOT

Declaration

Source position: tmschema.pas line 916

const LVGH_CLOSESELECTEDHOT = 12;


LVGH_CLOSESELECTEDNOTFOCUSED

Declaration

Source position: tmschema.pas line 917

const LVGH_CLOSESELECTEDNOTFOCUSED = 13;


LVGH_CLOSESELECTEDNOTFOCUSEDHOT

Declaration

Source position: tmschema.pas line 918

const LVGH_CLOSESELECTEDNOTFOCUSEDHOT = 14;


LVGH_OPEN

Declaration

Source position: tmschema.pas line 905

const LVGH_OPEN = 1;


LVGH_OPENHOT

Declaration

Source position: tmschema.pas line 906

const LVGH_OPENHOT = 2;


LVGH_OPENMIXEDSELECTION

Declaration

Source position: tmschema.pas line 911

const LVGH_OPENMIXEDSELECTION = 7;


LVGH_OPENMIXEDSELECTIONHOT

Declaration

Source position: tmschema.pas line 912

const LVGH_OPENMIXEDSELECTIONHOT = 8;


LVGH_OPENSELECTED

Declaration

Source position: tmschema.pas line 907

const LVGH_OPENSELECTED = 3;


LVGH_OPENSELECTEDHOT

Declaration

Source position: tmschema.pas line 908

const LVGH_OPENSELECTEDHOT = 4;


LVGH_OPENSELECTEDNOTFOCUSED

Declaration

Source position: tmschema.pas line 909

const LVGH_OPENSELECTEDNOTFOCUSED = 5;


LVGH_OPENSELECTEDNOTFOCUSEDHOT

Declaration

Source position: tmschema.pas line 910

const LVGH_OPENSELECTEDNOTFOCUSEDHOT = 6;


LVGHL_CLOSE

Declaration

Source position: tmschema.pas line 935

const LVGHL_CLOSE = 9;


LVGHL_CLOSEHOT

Declaration

Source position: tmschema.pas line 936

const LVGHL_CLOSEHOT = 10;


LVGHL_CLOSEMIXEDSELECTION

Declaration

Source position: tmschema.pas line 941

const LVGHL_CLOSEMIXEDSELECTION = 15;


LVGHL_CLOSEMIXEDSELECTIONHOT

Declaration

Source position: tmschema.pas line 942

const LVGHL_CLOSEMIXEDSELECTIONHOT = 16;


LVGHL_CLOSESELECTED

Declaration

Source position: tmschema.pas line 937

const LVGHL_CLOSESELECTED = 11;


LVGHL_CLOSESELECTEDHOT

Declaration

Source position: tmschema.pas line 938

const LVGHL_CLOSESELECTEDHOT = 12;


LVGHL_CLOSESELECTEDNOTFOCUSED

Declaration

Source position: tmschema.pas line 939

const LVGHL_CLOSESELECTEDNOTFOCUSED = 13;


LVGHL_CLOSESELECTEDNOTFOCUSEDHOT

Declaration

Source position: tmschema.pas line 940

const LVGHL_CLOSESELECTEDNOTFOCUSEDHOT = 14;


LVGHL_OPEN

Declaration

Source position: tmschema.pas line 927

const LVGHL_OPEN = 1;


LVGHL_OPENHOT

Declaration

Source position: tmschema.pas line 928

const LVGHL_OPENHOT = 2;


LVGHL_OPENMIXEDSELECTION

Declaration

Source position: tmschema.pas line 933

const LVGHL_OPENMIXEDSELECTION = 7;


LVGHL_OPENMIXEDSELECTIONHOT

Declaration

Source position: tmschema.pas line 934

const LVGHL_OPENMIXEDSELECTIONHOT = 8;


LVGHL_OPENSELECTED

Declaration

Source position: tmschema.pas line 929

const LVGHL_OPENSELECTED = 3;


LVGHL_OPENSELECTEDHOT

Declaration

Source position: tmschema.pas line 930

const LVGHL_OPENSELECTEDHOT = 4;


LVGHL_OPENSELECTEDNOTFOCUSED

Declaration

Source position: tmschema.pas line 931

const LVGHL_OPENSELECTEDNOTFOCUSED = 5;


LVGHL_OPENSELECTEDNOTFOCUSEDHOT

Declaration

Source position: tmschema.pas line 932

const LVGHL_OPENSELECTEDNOTFOCUSEDHOT = 6;


LVP_COLLAPSEBUTTON

Declaration

Source position: tmschema.pas line 883

const LVP_COLLAPSEBUTTON = 9;


LVP_COLUMNDETAIL

Declaration

Source position: tmschema.pas line 884

const LVP_COLUMNDETAIL = 10;


LVP_EMPTYTEXT

Declaration

Source position: tmschema.pas line 879

const LVP_EMPTYTEXT = 5;


LVP_EXPANDBUTTON

Declaration

Source position: tmschema.pas line 882

const LVP_EXPANDBUTTON = 8;


LVP_GROUPHEADER

Declaration

Source position: tmschema.pas line 880

const LVP_GROUPHEADER = 6;


LVP_GROUPHEADERLINE

Declaration

Source position: tmschema.pas line 881

const LVP_GROUPHEADERLINE = 7;


LVP_LISTDETAIL

Declaration

Source position: tmschema.pas line 877

const LVP_LISTDETAIL = 3;


LVP_LISTGROUP

Declaration

Source position: tmschema.pas line 876

const LVP_LISTGROUP = 2;


LVP_LISTITEM

Declaration

Source position: tmschema.pas line 875

const LVP_LISTITEM = 1;


LVP_LISTSORTEDDETAIL

Declaration

Source position: tmschema.pas line 878

const LVP_LISTSORTEDDETAIL = 4;


MARKUPTEXTSTATES

Declaration

Source position: tmschema.pas line 2529

type MARKUPTEXTSTATES = LongInt;


MAXBS_DISABLED

Declaration

Source position: tmschema.pas line 2017

const MAXBS_DISABLED = 4;


MAXBS_HOT

Declaration

Source position: tmschema.pas line 2015

const MAXBS_HOT = 2;


MAXBS_NORMAL

Declaration

Source position: tmschema.pas line 2014

const MAXBS_NORMAL = 1;


MAXBS_PUSHED

Declaration

Source position: tmschema.pas line 2016

const MAXBS_PUSHED = 3;


MAXBUTTONSTATES

Declaration

Source position: tmschema.pas line 2011

type MAXBUTTONSTATES = LongInt;


MAXCAPTIONSTATES

Declaration

Source position: tmschema.pas line 1933

type MAXCAPTIONSTATES = LongInt;


MB_ACTIVE

Declaration

Source position: tmschema.pas line 1000

const MB_ACTIVE = 1;


MB_INACTIVE

Declaration

Source position: tmschema.pas line 1001

const MB_INACTIVE = 2;


MBI_DISABLED

Declaration

Source position: tmschema.pas line 1011

const MBI_DISABLED = 4;


MBI_DISABLEDHOT

Declaration

Source position: tmschema.pas line 1012

const MBI_DISABLEDHOT = 5;


MBI_DISABLEDPUSHED

Declaration

Source position: tmschema.pas line 1013

const MBI_DISABLEDPUSHED = 6;


MBI_HOT

Declaration

Source position: tmschema.pas line 1009

const MBI_HOT = 2;


MBI_NORMAL

Declaration

Source position: tmschema.pas line 1008

const MBI_NORMAL = 1;


MBI_PUSHED

Declaration

Source position: tmschema.pas line 1010

const MBI_PUSHED = 3;


MC_BACKGROUND

Declaration

Source position: tmschema.pas line 2569

const MC_BACKGROUND = 1;


MC_BORDERS

Declaration

Source position: tmschema.pas line 2570

const MC_BORDERS = 2;


MC_BULLETDISABLED

Declaration

Source position: tmschema.pas line 1023

const MC_BULLETDISABLED = 4;


MC_BULLETNORMAL

Declaration

Source position: tmschema.pas line 1022

const MC_BULLETNORMAL = 3;


MC_CHECKMARKDISABLED

Declaration

Source position: tmschema.pas line 1021

const MC_CHECKMARKDISABLED = 2;


MC_CHECKMARKNORMAL

Declaration

Source position: tmschema.pas line 1020

const MC_CHECKMARKNORMAL = 1;


MC_COLHEADERSPLITTER

Declaration

Source position: tmschema.pas line 2572

const MC_COLHEADERSPLITTER = 4;


MC_GRIDBACKGROUND

Declaration

Source position: tmschema.pas line 2571

const MC_GRIDBACKGROUND = 3;


MC_GRIDCELL

Declaration

Source position: tmschema.pas line 2574

const MC_GRIDCELL = 6;


MC_GRIDCELLBACKGROUND

Declaration

Source position: tmschema.pas line 2573

const MC_GRIDCELLBACKGROUND = 5;


MC_GRIDCELLUPPER

Declaration

Source position: tmschema.pas line 2575

const MC_GRIDCELLUPPER = 7;


MC_NAVNEXT

Declaration

Source position: tmschema.pas line 2578

const MC_NAVNEXT = 10;


MC_NAVPREV

Declaration

Source position: tmschema.pas line 2579

const MC_NAVPREV = 11;


MC_TRAILINGGRIDCELL

Declaration

Source position: tmschema.pas line 2576

const MC_TRAILINGGRIDCELL = 8;


MC_TRAILINGGRIDCELLUPPER

Declaration

Source position: tmschema.pas line 2577

const MC_TRAILINGGRIDCELLUPPER = 9;


MCB_BITMAP

Declaration

Source position: tmschema.pas line 1032

const MCB_BITMAP = 3;


MCB_DISABLED

Declaration

Source position: tmschema.pas line 1030

const MCB_DISABLED = 1;


MCB_NORMAL

Declaration

Source position: tmschema.pas line 1031

const MCB_NORMAL = 2;


MCGC_HASSTATE

Declaration

Source position: tmschema.pas line 2598

const MCGC_HASSTATE = 2;


MCGC_HASSTATEHOT

Declaration

Source position: tmschema.pas line 2599

const MCGC_HASSTATEHOT = 3;


MCGC_HOT

Declaration

Source position: tmschema.pas line 2597

const MCGC_HOT = 1;


MCGC_TODAY

Declaration

Source position: tmschema.pas line 2600

const MCGC_TODAY = 4;


MCGCB_HOT

Declaration

Source position: tmschema.pas line 2587

const MCGCB_HOT = 2;


MCGCB_SELECTED

Declaration

Source position: tmschema.pas line 2586

const MCGCB_SELECTED = 1;


MCGCB_SELECTEDHOT

Declaration

Source position: tmschema.pas line 2588

const MCGCB_SELECTEDHOT = 3;


MCGCB_SELECTEDNOTFOCUSED

Declaration

Source position: tmschema.pas line 2589

const MCGCB_SELECTEDNOTFOCUSED = 4;


MCGCB_TODAY

Declaration

Source position: tmschema.pas line 2590

const MCGCB_TODAY = 5;


MCGCU_HASSTATE

Declaration

Source position: tmschema.pas line 2608

const MCGCU_HASSTATE = 2;


MCGCU_HASSTATEHOT

Declaration

Source position: tmschema.pas line 2609

const MCGCU_HASSTATEHOT = 3;


MCGCU_HOT

Declaration

Source position: tmschema.pas line 2607

const MCGCU_HOT = 1;


MCNN_DISABLED

Declaration

Source position: tmschema.pas line 2638

const MCNN_DISABLED = 4;


MCNN_HOT

Declaration

Source position: tmschema.pas line 2636

const MCNN_HOT = 2;


MCNN_NORMAL

Declaration

Source position: tmschema.pas line 2635

const MCNN_NORMAL = 1;


MCNN_PRESSED

Declaration

Source position: tmschema.pas line 2637

const MCNN_PRESSED = 3;


MCNP_DISABLED

Declaration

Source position: tmschema.pas line 2648

const MCNP_DISABLED = 4;


MCNP_HOT

Declaration

Source position: tmschema.pas line 2646

const MCNP_HOT = 2;


MCNP_NORMAL

Declaration

Source position: tmschema.pas line 2645

const MCNP_NORMAL = 1;


MCNP_PRESSED

Declaration

Source position: tmschema.pas line 2647

const MCNP_PRESSED = 3;


MCTGC_HASSTATE

Declaration

Source position: tmschema.pas line 2617

const MCTGC_HASSTATE = 2;


MCTGC_HASSTATEHOT

Declaration

Source position: tmschema.pas line 2618

const MCTGC_HASSTATEHOT = 3;


MCTGC_HOT

Declaration

Source position: tmschema.pas line 2616

const MCTGC_HOT = 1;


MCTGC_TODAY

Declaration

Source position: tmschema.pas line 2619

const MCTGC_TODAY = 4;


MCTGCU_HASSTATE

Declaration

Source position: tmschema.pas line 2627

const MCTGCU_HASSTATE = 2;


MCTGCU_HASSTATEHOT

Declaration

Source position: tmschema.pas line 2628

const MCTGCU_HASSTATEHOT = 3;


MCTGCU_HOT

Declaration

Source position: tmschema.pas line 2626

const MCTGCU_HOT = 1;


MDP_NEWAPPBUTTON

Declaration

Source position: tmschema.pas line 2811

const MDP_NEWAPPBUTTON = 1;


MDP_SEPERATOR

Declaration

Source position: tmschema.pas line 2812

const MDP_SEPERATOR = 2;


MDS_CHECKED

Declaration

Source position: tmschema.pas line 2823

const MDS_CHECKED = 5;


MDS_DISABLED

Declaration

Source position: tmschema.pas line 2822

const MDS_DISABLED = 4;


MDS_HOT

Declaration

Source position: tmschema.pas line 2820

const MDS_HOT = 2;


MDS_HOTCHECKED

Declaration

Source position: tmschema.pas line 2824

const MDS_HOTCHECKED = 6;


MDS_NORMAL

Declaration

Source position: tmschema.pas line 2819

const MDS_NORMAL = 1;


MDS_PRESSED

Declaration

Source position: tmschema.pas line 2821

const MDS_PRESSED = 3;


MENU_BARBACKGROUND

Declaration

Source position: tmschema.pas line 978

const MENU_BARBACKGROUND = 7;


MENU_BARITEM

Declaration

Source position: tmschema.pas line 979

const MENU_BARITEM = 8;


MENU_CHEVRON_TMSCHEMA

Declaration

Source position: tmschema.pas line 976

const MENU_CHEVRON_TMSCHEMA = 5;


MENU_MENUBARDROPDOWN_TMSCHEMA

Declaration

Source position: tmschema.pas line 975

const MENU_MENUBARDROPDOWN_TMSCHEMA = 4;


MENU_MENUBARITEM_TMSCHEMA

Declaration

Source position: tmschema.pas line 974

const MENU_MENUBARITEM_TMSCHEMA = 3;


MENU_MENUDROPDOWN_TMSCHEMA

Declaration

Source position: tmschema.pas line 973

const MENU_MENUDROPDOWN_TMSCHEMA = 2;


MENU_MENUITEM_TMSCHEMA

Declaration

Source position: tmschema.pas line 972

const MENU_MENUITEM_TMSCHEMA = 1;


MENU_POPUPBACKGROUND

Declaration

Source position: tmschema.pas line 980

const MENU_POPUPBACKGROUND = 9;


MENU_POPUPBORDERS

Declaration

Source position: tmschema.pas line 981

const MENU_POPUPBORDERS = 10;


MENU_POPUPCHECK

Declaration

Source position: tmschema.pas line 982

const MENU_POPUPCHECK = 11;


MENU_POPUPCHECKBACKGROUND

Declaration

Source position: tmschema.pas line 983

const MENU_POPUPCHECKBACKGROUND = 12;


MENU_POPUPGUTTER

Declaration

Source position: tmschema.pas line 984

const MENU_POPUPGUTTER = 13;


MENU_POPUPITEM

Declaration

Source position: tmschema.pas line 985

const MENU_POPUPITEM = 14;


MENU_POPUPSEPARATOR

Declaration

Source position: tmschema.pas line 986

const MENU_POPUPSEPARATOR = 15;


MENU_POPUPSUBMENU

Declaration

Source position: tmschema.pas line 987

const MENU_POPUPSUBMENU = 16;


MENU_SEPARATOR_TMSCHEMA

Declaration

Source position: tmschema.pas line 977

const MENU_SEPARATOR_TMSCHEMA = 6;


MENU_SYSTEMCLOSE

Declaration

Source position: tmschema.pas line 988

const MENU_SYSTEMCLOSE = 17;


MENU_SYSTEMMAXIMIZE

Declaration

Source position: tmschema.pas line 989

const MENU_SYSTEMMAXIMIZE = 18;


MENU_SYSTEMMINIMIZE

Declaration

Source position: tmschema.pas line 990

const MENU_SYSTEMMINIMIZE = 19;


MENU_SYSTEMRESTORE

Declaration

Source position: tmschema.pas line 991

const MENU_SYSTEMRESTORE = 20;


MENUBANDPARTS

Declaration

Source position: tmschema.pas line 2808

type MENUBANDPARTS = LongInt;


MENUBANDSTATES

Declaration

Source position: tmschema.pas line 2816

type MENUBANDSTATES = LongInt;


MENUPARTS

Declaration

Source position: tmschema.pas line 969

type MENUPARTS = LongInt;


MENUSTYLEPARTS

Declaration

Source position: tmschema.pas line 994

type MENUSTYLEPARTS = MENUPARTS;


MINBS_DISABLED

Declaration

Source position: tmschema.pas line 2007

const MINBS_DISABLED = 4;


MINBS_HOT

Declaration

Source position: tmschema.pas line 2005

const MINBS_HOT = 2;


MINBS_NORMAL

Declaration

Source position: tmschema.pas line 2004

const MINBS_NORMAL = 1;


MINBS_PUSHED

Declaration

Source position: tmschema.pas line 2006

const MINBS_PUSHED = 3;


MINBUTTONSTATES

Declaration

Source position: tmschema.pas line 2001

type MINBUTTONSTATES = LongInt;


MINCAPTIONSTATES

Declaration

Source position: tmschema.pas line 1942

type MINCAPTIONSTATES = LongInt;


MNCS_ACTIVE

Declaration

Source position: tmschema.pas line 1945

const MNCS_ACTIVE = 1;


MNCS_DISABLED

Declaration

Source position: tmschema.pas line 1947

const MNCS_DISABLED = 3;


MNCS_INACTIVE

Declaration

Source position: tmschema.pas line 1946

const MNCS_INACTIVE = 2;


MONTHCALPARTS

Declaration

Source position: tmschema.pas line 2566

type MONTHCALPARTS = LongInt;


MOREPROGRAMSARROWBACKSTATES

Declaration

Source position: tmschema.pas line 2786

type MOREPROGRAMSARROWBACKSTATES = LongInt;


MOREPROGRAMSARROWSTATES

Declaration

Source position: tmschema.pas line 2777

type MOREPROGRAMSARROWSTATES = LongInt;


MOREPROGRAMSTABSTATES

Declaration

Source position: tmschema.pas line 2744

type MOREPROGRAMSTABSTATES = LongInt;


MOVESTATES

Declaration

Source position: tmschema.pas line 417

type MOVESTATES = LongInt;


MPI_DISABLED

Declaration

Source position: tmschema.pas line 1041

const MPI_DISABLED = 3;


MPI_DISABLEDHOT

Declaration

Source position: tmschema.pas line 1042

const MPI_DISABLEDHOT = 4;


MPI_HOT

Declaration

Source position: tmschema.pas line 1040

const MPI_HOT = 2;


MPI_NORMAL

Declaration

Source position: tmschema.pas line 1039

const MPI_NORMAL = 1;


MSM_DISABLED

Declaration

Source position: tmschema.pas line 1050

const MSM_DISABLED = 2;


MSM_NORMAL

Declaration

Source position: tmschema.pas line 1049

const MSM_NORMAL = 1;


MSYSC_DISABLED

Declaration

Source position: tmschema.pas line 1058

const MSYSC_DISABLED = 2;


MSYSC_NORMAL

Declaration

Source position: tmschema.pas line 1057

const MSYSC_NORMAL = 1;


MSYSMN_DISABLED

Declaration

Source position: tmschema.pas line 1074

const MSYSMN_DISABLED = 2;


MSYSMN_NORMAL

Declaration

Source position: tmschema.pas line 1073

const MSYSMN_NORMAL = 1;


MSYSMX_DISABLED

Declaration

Source position: tmschema.pas line 1066

const MSYSMX_DISABLED = 2;


MSYSMX_NORMAL

Declaration

Source position: tmschema.pas line 1065

const MSYSMX_NORMAL = 1;


MSYSR_DISABLED

Declaration

Source position: tmschema.pas line 1082

const MSYSR_DISABLED = 2;


MSYSR_NORMAL

Declaration

Source position: tmschema.pas line 1081

const MSYSR_NORMAL = 1;


MXCS_ACTIVE

Declaration

Source position: tmschema.pas line 1936

const MXCS_ACTIVE = 1;


MXCS_DISABLED

Declaration

Source position: tmschema.pas line 1938

const MXCS_DISABLED = 3;


MXCS_INACTIVE

Declaration

Source position: tmschema.pas line 1937

const MXCS_INACTIVE = 2;


NAV_BACKBUTTON

Declaration

Source position: tmschema.pas line 1093

const NAV_BACKBUTTON = 1;


NAV_BACKBUTTONSTATES

Declaration

Source position: tmschema.pas line 1099

type NAV_BACKBUTTONSTATES = LongInt;


NAV_BB_DISABLED

Declaration

Source position: tmschema.pas line 1105

const NAV_BB_DISABLED = 4;


NAV_BB_HOT

Declaration

Source position: tmschema.pas line 1103

const NAV_BB_HOT = 2;


NAV_BB_NORMAL

Declaration

Source position: tmschema.pas line 1102

const NAV_BB_NORMAL = 1;


NAV_BB_PRESSED

Declaration

Source position: tmschema.pas line 1104

const NAV_BB_PRESSED = 3;


NAV_FB_DISABLED

Declaration

Source position: tmschema.pas line 1115

const NAV_FB_DISABLED = 4;


NAV_FB_HOT

Declaration

Source position: tmschema.pas line 1113

const NAV_FB_HOT = 2;


NAV_FB_NORMAL

Declaration

Source position: tmschema.pas line 1112

const NAV_FB_NORMAL = 1;


NAV_FB_PRESSED

Declaration

Source position: tmschema.pas line 1114

const NAV_FB_PRESSED = 3;


NAV_FORWARDBUTTON

Declaration

Source position: tmschema.pas line 1094

const NAV_FORWARDBUTTON = 2;


NAV_FORWARDBUTTONSTATES

Declaration

Source position: tmschema.pas line 1109

type NAV_FORWARDBUTTONSTATES = LongInt;


NAV_MB_DISABLED

Declaration

Source position: tmschema.pas line 1125

const NAV_MB_DISABLED = 4;


NAV_MB_HOT

Declaration

Source position: tmschema.pas line 1123

const NAV_MB_HOT = 2;


NAV_MB_NORMAL

Declaration

Source position: tmschema.pas line 1122

const NAV_MB_NORMAL = 1;


NAV_MB_PRESSED

Declaration

Source position: tmschema.pas line 1124

const NAV_MB_PRESSED = 3;


NAV_MENUBUTTON

Declaration

Source position: tmschema.pas line 1095

const NAV_MENUBUTTON = 3;


NAV_MENUBUTTONSTATES

Declaration

Source position: tmschema.pas line 1119

type NAV_MENUBUTTONSTATES = LongInt;


NAVIGATIONPARTS

Declaration

Source position: tmschema.pas line 1090

type NAVIGATIONPARTS = LongInt;


NAVNEXTSTATES

Declaration

Source position: tmschema.pas line 2632

type NAVNEXTSTATES = LongInt;


NAVPREVSTATES

Declaration

Source position: tmschema.pas line 2642

type NAVPREVSTATES = LongInt;


NONESTATES

Declaration

Source position: tmschema.pas line 449

type NONESTATES = LongInt;


NORMALGROUPCOLLAPSESTATES

Declaration

Source position: tmschema.pas line 610

type NORMALGROUPCOLLAPSESTATES = LongInt;


NORMALGROUPEXPANDSTATES

Declaration

Source position: tmschema.pas line 619

type NORMALGROUPEXPANDSTATES = LongInt;


OFFSETTYPE

Declaration

Source position: tmschema.pas line 2153

type OFFSETTYPE = LongInt;


OPENBOXSTATES

Declaration

Source position: tmschema.pas line 2766

type OPENBOXSTATES = LongInt;


OT_ABOVELASTBUTTON

Declaration

Source position: tmschema.pas line 2168

const OT_ABOVELASTBUTTON = 12;


OT_BELOWLASTBUTTON

Declaration

Source position: tmschema.pas line 2169

const OT_BELOWLASTBUTTON = 13;


OT_BOTTOMLEFT

Declaration

Source position: tmschema.pas line 2159

const OT_BOTTOMLEFT = 3;


OT_BOTTOMMIDDLE

Declaration

Source position: tmschema.pas line 2161

const OT_BOTTOMMIDDLE = 5;


OT_BOTTOMRIGHT

Declaration

Source position: tmschema.pas line 2160

const OT_BOTTOMRIGHT = 4;


OT_LEFTOFCAPTION

Declaration

Source position: tmschema.pas line 2164

const OT_LEFTOFCAPTION = 8;


OT_LEFTOFLASTBUTTON

Declaration

Source position: tmschema.pas line 2166

const OT_LEFTOFLASTBUTTON = 10;


OT_MIDDLELEFT

Declaration

Source position: tmschema.pas line 2162

const OT_MIDDLELEFT = 6;


OT_MIDDLERIGHT

Declaration

Source position: tmschema.pas line 2163

const OT_MIDDLERIGHT = 7;


OT_RIGHTOFCAPTION

Declaration

Source position: tmschema.pas line 2165

const OT_RIGHTOFCAPTION = 9;


OT_RIGHTOFLASTBUTTON

Declaration

Source position: tmschema.pas line 2167

const OT_RIGHTOFLASTBUTTON = 11;


OT_TOPLEFT

Declaration

Source position: tmschema.pas line 2156

const OT_TOPLEFT = 0;


OT_TOPMIDDLE

Declaration

Source position: tmschema.pas line 2158

const OT_TOPMIDDLE = 2;


OT_TOPRIGHT

Declaration

Source position: tmschema.pas line 2157

const OT_TOPRIGHT = 1;


PAGEPARTS

Declaration

Source position: tmschema.pas line 2552

type PAGEPARTS = LongInt;


PBBS_NORMAL

Declaration

Source position: tmschema.pas line 1157

const PBBS_NORMAL = 1;


PBBS_PARTIAL

Declaration

Source position: tmschema.pas line 1158

const PBBS_PARTIAL = 2;


PBBVS_NORMAL

Declaration

Source position: tmschema.pas line 1165

const PBBVS_NORMAL = 1;


PBBVS_PARTIAL

Declaration

Source position: tmschema.pas line 1166

const PBBVS_PARTIAL = 2;


PBFS_ERROR

Declaration

Source position: tmschema.pas line 1174

const PBFS_ERROR = 2;


PBFS_NORMAL

Declaration

Source position: tmschema.pas line 1173

const PBFS_NORMAL = 1;


PBFS_PARTIAL

Declaration

Source position: tmschema.pas line 1176

const PBFS_PARTIAL = 4;


PBFS_PAUSED

Declaration

Source position: tmschema.pas line 1175

const PBFS_PAUSED = 3;


PBFVS_ERROR

Declaration

Source position: tmschema.pas line 1184

const PBFVS_ERROR = 2;


PBFVS_NORMAL

Declaration

Source position: tmschema.pas line 1183

const PBFVS_NORMAL = 1;


PBFVS_PARTIAL

Declaration

Source position: tmschema.pas line 1186

const PBFVS_PARTIAL = 4;


PBFVS_PAUSED

Declaration

Source position: tmschema.pas line 1185

const PBFVS_PAUSED = 3;


PBS_DEFAULTED

Declaration

Source position: tmschema.pas line 82

const PBS_DEFAULTED = 5;


PBS_DEFAULTED_ANIMATING

Declaration

Source position: tmschema.pas line 83

const PBS_DEFAULTED_ANIMATING = 6;


PBS_DISABLED

Declaration

Source position: tmschema.pas line 81

const PBS_DISABLED = 4;


PBS_HOT

Declaration

Source position: tmschema.pas line 79

const PBS_HOT = 2;


PBS_NORMAL

Declaration

Source position: tmschema.pas line 78

const PBS_NORMAL = 1;


PBS_PRESSED

Declaration

Source position: tmschema.pas line 80

const PBS_PRESSED = 3;


PGRP_DOWN

Declaration

Source position: tmschema.pas line 2556

const PGRP_DOWN = 2;


PGRP_DOWNHORZ

Declaration

Source position: tmschema.pas line 2558

const PGRP_DOWNHORZ = 4;


PGRP_UP

Declaration

Source position: tmschema.pas line 2555

const PGRP_UP = 1;


PGRP_UPHORZ

Declaration

Source position: tmschema.pas line 2557

const PGRP_UPHORZ = 3;


POPUPCHECKBACKGROUNDSTATES

Declaration

Source position: tmschema.pas line 1027

type POPUPCHECKBACKGROUNDSTATES = LongInt;


POPUPCHECKSTATES

Declaration

Source position: tmschema.pas line 1017

type POPUPCHECKSTATES = LongInt;


POPUPITEMSTATES

Declaration

Source position: tmschema.pas line 1036

type POPUPITEMSTATES = LongInt;


POPUPSUBMENUSTATES

Declaration

Source position: tmschema.pas line 1046

type POPUPSUBMENUSTATES = LongInt;


PP_BAR

Declaration

Source position: tmschema.pas line 1137

const PP_BAR = 1;


PP_BARVERT

Declaration

Source position: tmschema.pas line 1138

const PP_BARVERT = 2;


PP_CHUNK

Declaration

Source position: tmschema.pas line 1139

const PP_CHUNK = 3;


PP_CHUNKVERT

Declaration

Source position: tmschema.pas line 1140

const PP_CHUNKVERT = 4;


PP_FILL

Declaration

Source position: tmschema.pas line 1141

const PP_FILL = 5;


PP_FILLVERT

Declaration

Source position: tmschema.pas line 1142

const PP_FILLVERT = 6;


PP_MOVEOVERLAY

Declaration

Source position: tmschema.pas line 1144

const PP_MOVEOVERLAY = 8;


PP_MOVEOVERLAYVERT

Declaration

Source position: tmschema.pas line 1146

const PP_MOVEOVERLAYVERT = 10;


PP_PULSEOVERLAY

Declaration

Source position: tmschema.pas line 1143

const PP_PULSEOVERLAY = 7;


PP_PULSEOVERLAYVERT

Declaration

Source position: tmschema.pas line 1145

const PP_PULSEOVERLAYVERT = 9;


PP_TRANSPARENTBAR

Declaration

Source position: tmschema.pas line 1147

const PP_TRANSPARENTBAR = 11;


PP_TRANSPARENTBARVERT

Declaration

Source position: tmschema.pas line 1148

const PP_TRANSPARENTBARVERT = 12;


PROGRESSPARTS

Declaration

Source position: tmschema.pas line 1134

type PROGRESSPARTS = LongInt;


PROGRESSSTYLEPARTS

Declaration

Source position: tmschema.pas line 1151

type PROGRESSSTYLEPARTS = PROGRESSPARTS;


PUSHBUTTONSTATES

Declaration

Source position: tmschema.pas line 75

type PUSHBUTTONSTATES = LongInt;


RADIOBUTTONSTATES

Declaration

Source position: tmschema.pas line 87

type RADIOBUTTONSTATES = LongInt;


RBS_CHECKEDDISABLED

Declaration

Source position: tmschema.pas line 97

const RBS_CHECKEDDISABLED = 8;


RBS_CHECKEDHOT

Declaration

Source position: tmschema.pas line 95

const RBS_CHECKEDHOT = 6;


RBS_CHECKEDNORMAL

Declaration

Source position: tmschema.pas line 94

const RBS_CHECKEDNORMAL = 5;


RBS_CHECKEDPRESSED

Declaration

Source position: tmschema.pas line 96

const RBS_CHECKEDPRESSED = 7;


RBS_DISABLED

Declaration

Source position: tmschema.pas line 2027

const RBS_DISABLED = 4;


RBS_HOT

Declaration

Source position: tmschema.pas line 2025

const RBS_HOT = 2;


RBS_NORMAL

Declaration

Source position: tmschema.pas line 2024

const RBS_NORMAL = 1;


RBS_PUSHED

Declaration

Source position: tmschema.pas line 2026

const RBS_PUSHED = 3;


RBS_UNCHECKEDDISABLED

Declaration

Source position: tmschema.pas line 93

const RBS_UNCHECKEDDISABLED = 4;


RBS_UNCHECKEDHOT

Declaration

Source position: tmschema.pas line 91

const RBS_UNCHECKEDHOT = 2;


RBS_UNCHECKEDNORMAL

Declaration

Source position: tmschema.pas line 90

const RBS_UNCHECKEDNORMAL = 1;


RBS_UNCHECKEDPRESSED

Declaration

Source position: tmschema.pas line 92

const RBS_UNCHECKEDPRESSED = 3;


READONLYSTATES

Declaration

Source position: tmschema.pas line 229

type READONLYSTATES = LongInt;


REBARPARTS

Declaration

Source position: tmschema.pas line 1195

type REBARPARTS = LongInt;


REBARSTYLEPARTS

Declaration

Source position: tmschema.pas line 1208

type REBARSTYLEPARTS = REBARPARTS;


RESTOREBUTTONSTATES

Declaration

Source position: tmschema.pas line 2021

type RESTOREBUTTONSTATES = LongInt;


RP_BACKGROUND

Declaration

Source position: tmschema.pas line 1203

const RP_BACKGROUND = 6;


RP_BAND

Declaration

Source position: tmschema.pas line 1200

const RP_BAND = 3;


RP_CHEVRON

Declaration

Source position: tmschema.pas line 1201

const RP_CHEVRON = 4;


RP_CHEVRONVERT

Declaration

Source position: tmschema.pas line 1202

const RP_CHEVRONVERT = 5;


RP_GRIPPER

Declaration

Source position: tmschema.pas line 1198

const RP_GRIPPER = 1;


RP_GRIPPERVERT

Declaration

Source position: tmschema.pas line 1199

const RP_GRIPPERVERT = 2;


RP_SPLITTER

Declaration

Source position: tmschema.pas line 1204

const RP_SPLITTER = 7;


RP_SPLITTERVERT

Declaration

Source position: tmschema.pas line 1205

const RP_SPLITTERVERT = 8;


SBP_ARROWBTN

Declaration

Source position: tmschema.pas line 1255

const SBP_ARROWBTN = 1;


SBP_GRIPPERHORZ

Declaration

Source position: tmschema.pas line 1262

const SBP_GRIPPERHORZ = 8;


SBP_GRIPPERVERT

Declaration

Source position: tmschema.pas line 1263

const SBP_GRIPPERVERT = 9;


SBP_LOWERTRACKHORZ

Declaration

Source position: tmschema.pas line 1258

const SBP_LOWERTRACKHORZ = 4;


SBP_LOWERTRACKVERT

Declaration

Source position: tmschema.pas line 1260

const SBP_LOWERTRACKVERT = 6;


SBP_SIZEBOX

Declaration

Source position: tmschema.pas line 1264

const SBP_SIZEBOX = 10;


SBP_THUMBBTNHORZ

Declaration

Source position: tmschema.pas line 1256

const SBP_THUMBBTNHORZ = 2;


SBP_THUMBBTNVERT

Declaration

Source position: tmschema.pas line 1257

const SBP_THUMBBTNVERT = 3;


SBP_UPPERTRACKHORZ

Declaration

Source position: tmschema.pas line 1259

const SBP_UPPERTRACKHORZ = 5;


SBP_UPPERTRACKVERT

Declaration

Source position: tmschema.pas line 1261

const SBP_UPPERTRACKVERT = 7;


SBS_DISABLED

Declaration

Source position: tmschema.pas line 1997

const SBS_DISABLED = 4;


SBS_HOT

Declaration

Source position: tmschema.pas line 1995

const SBS_HOT = 2;


SBS_NORMAL

Declaration

Source position: tmschema.pas line 1994

const SBS_NORMAL = 1;


SBS_PUSHED

Declaration

Source position: tmschema.pas line 1996

const SBS_PUSHED = 3;


SCRBS_DISABLED

Declaration

Source position: tmschema.pas line 1302

const SCRBS_DISABLED = 4;


SCRBS_HOT

Declaration

Source position: tmschema.pas line 1300

const SCRBS_HOT = 2;


SCRBS_HOVER

Declaration

Source position: tmschema.pas line 1303

const SCRBS_HOVER = 5;


SCRBS_NORMAL

Declaration

Source position: tmschema.pas line 1299

const SCRBS_NORMAL = 1;


SCRBS_PRESSED

Declaration

Source position: tmschema.pas line 1301

const SCRBS_PRESSED = 3;


SCROLLBARPARTS

Declaration

Source position: tmschema.pas line 1252

type SCROLLBARPARTS = LongInt;


SCROLLBARSTYLEPARTS

Declaration

Source position: tmschema.pas line 1267

type SCROLLBARSTYLEPARTS = SCROLLBARPARTS;


SCROLLBARSTYLESTATES

Declaration

Source position: tmschema.pas line 1296

type SCROLLBARSTYLESTATES = LongInt;


SECTIONTITLELINKSTATES

Declaration

Source position: tmschema.pas line 335

type SECTIONTITLELINKSTATES = LongInt;


SHOWCALENDARBUTTONRIGHTSTATES

Declaration

Source position: tmschema.pas line 378

type SHOWCALENDARBUTTONRIGHTSTATES = LongInt;


SIZEBOXSTATES

Declaration

Source position: tmschema.pas line 1307

type SIZEBOXSTATES = LongInt;


SIZINGTYPE

Declaration

Source position: tmschema.pas line 2105

type SIZINGTYPE = LongInt;


SOFTWAREEXPLORERSTATES

Declaration

Source position: tmschema.pas line 2755

type SOFTWAREEXPLORERSTATES = LongInt;


SP_GRIPPER

Declaration

Source position: tmschema.pas line 1388

const SP_GRIPPER = 3;


SP_GRIPPERPANE

Declaration

Source position: tmschema.pas line 1387

const SP_GRIPPERPANE = 2;


SP_PANE

Declaration

Source position: tmschema.pas line 1386

const SP_PANE = 1;


SPECIALGROUPCOLLAPSESTATES

Declaration

Source position: tmschema.pas line 628

type SPECIALGROUPCOLLAPSESTATES = LongInt;


SPECIALGROUPEXPANDSTATES

Declaration

Source position: tmschema.pas line 637

type SPECIALGROUPEXPANDSTATES = LongInt;


SPINPARTS

Declaration

Source position: tmschema.pas line 1326

type SPINPARTS = LongInt;


SPINSTYLEPARTS

Declaration

Source position: tmschema.pas line 1335

type SPINSTYLEPARTS = SPINPARTS;


SPLITS_HOT

Declaration

Source position: tmschema.pas line 1233

const SPLITS_HOT = 2;


SPLITS_NORMAL

Declaration

Source position: tmschema.pas line 1232

const SPLITS_NORMAL = 1;


SPLITS_PRESSED

Declaration

Source position: tmschema.pas line 1234

const SPLITS_PRESSED = 3;


SPLITSV_HOT

Declaration

Source position: tmschema.pas line 1242

const SPLITSV_HOT = 2;


SPLITSV_NORMAL

Declaration

Source position: tmschema.pas line 1241

const SPLITSV_NORMAL = 1;


SPLITSV_PRESSED

Declaration

Source position: tmschema.pas line 1243

const SPLITSV_PRESSED = 3;


SPLITTERSTATES

Declaration

Source position: tmschema.pas line 1229

type SPLITTERSTATES = LongInt;


SPLITTERVERTSTATES

Declaration

Source position: tmschema.pas line 1238

type SPLITTERVERTSTATES = LongInt;


SPLS_HOT

Declaration

Source position: tmschema.pas line 2799

const SPLS_HOT = 2;


SPLS_NORMAL

Declaration

Source position: tmschema.pas line 2798

const SPLS_NORMAL = 1;


SPLS_PRESSED

Declaration

Source position: tmschema.pas line 2800

const SPLS_PRESSED = 3;


SPMPT_DISABLED

Declaration

Source position: tmschema.pas line 2750

const SPMPT_DISABLED = 4;


SPMPT_FOCUSED

Declaration

Source position: tmschema.pas line 2751

const SPMPT_FOCUSED = 5;


SPMPT_HOT

Declaration

Source position: tmschema.pas line 2748

const SPMPT_HOT = 2;


SPMPT_NORMAL

Declaration

Source position: tmschema.pas line 2747

const SPMPT_NORMAL = 1;


SPMPT_SELECTED

Declaration

Source position: tmschema.pas line 2749

const SPMPT_SELECTED = 3;


SPNP_DOWN

Declaration

Source position: tmschema.pas line 1330

const SPNP_DOWN = 2;


SPNP_DOWNHORZ

Declaration

Source position: tmschema.pas line 1332

const SPNP_DOWNHORZ = 4;


SPNP_UP

Declaration

Source position: tmschema.pas line 1329

const SPNP_UP = 1;


SPNP_UPHORZ

Declaration

Source position: tmschema.pas line 1331

const SPNP_UPHORZ = 3;


SPOB_DISABLED

Declaration

Source position: tmschema.pas line 2772

const SPOB_DISABLED = 4;


SPOB_FOCUSED

Declaration

Source position: tmschema.pas line 2773

const SPOB_FOCUSED = 5;


SPOB_HOT

Declaration

Source position: tmschema.pas line 2770

const SPOB_HOT = 2;


SPOB_NORMAL

Declaration

Source position: tmschema.pas line 2769

const SPOB_NORMAL = 1;


SPOB_SELECTED

Declaration

Source position: tmschema.pas line 2771

const SPOB_SELECTED = 3;


SPP_LOGOFF

Declaration

Source position: tmschema.pas line 2729

const SPP_LOGOFF = 8;


SPP_LOGOFFBUTTONS

Declaration

Source position: tmschema.pas line 2730

const SPP_LOGOFFBUTTONS = 9;


SPP_LOGOFFSPLITBUTTONDROPDOWN

Declaration

Source position: tmschema.pas line 2740

const SPP_LOGOFFSPLITBUTTONDROPDOWN = 19;


SPP_MOREPROGRAMS

Declaration

Source position: tmschema.pas line 2723

const SPP_MOREPROGRAMS = 2;


SPP_MOREPROGRAMSARROW

Declaration

Source position: tmschema.pas line 2724

const SPP_MOREPROGRAMSARROW = 3;


SPP_MOREPROGRAMSARROWBACK

Declaration

Source position: tmschema.pas line 2738

const SPP_MOREPROGRAMSARROWBACK = 17;


SPP_MOREPROGRAMSTAB

Declaration

Source position: tmschema.pas line 2733

const SPP_MOREPROGRAMSTAB = 12;


SPP_NSCHOST

Declaration

Source position: tmschema.pas line 2734

const SPP_NSCHOST = 13;


SPP_OPENBOX

Declaration

Source position: tmschema.pas line 2736

const SPP_OPENBOX = 15;


SPP_PLACESLIST

Declaration

Source position: tmschema.pas line 2727

const SPP_PLACESLIST = 6;


SPP_PLACESLISTSEPARATOR

Declaration

Source position: tmschema.pas line 2728

const SPP_PLACESLISTSEPARATOR = 7;


SPP_PREVIEW

Declaration

Source position: tmschema.pas line 2732

const SPP_PREVIEW = 11;


SPP_PROGLIST

Declaration

Source position: tmschema.pas line 2725

const SPP_PROGLIST = 4;


SPP_PROGLISTSEPARATOR

Declaration

Source position: tmschema.pas line 2726

const SPP_PROGLISTSEPARATOR = 5;


SPP_SEARCHVIEW

Declaration

Source position: tmschema.pas line 2737

const SPP_SEARCHVIEW = 16;


SPP_SOFTWAREEXPLORER

Declaration

Source position: tmschema.pas line 2735

const SPP_SOFTWAREEXPLORER = 14;


SPP_TOPMATCH

Declaration

Source position: tmschema.pas line 2739

const SPP_TOPMATCH = 18;


SPP_USERPANE

Declaration

Source position: tmschema.pas line 2722

const SPP_USERPANE = 1;


SPP_USERPICTURE

Declaration

Source position: tmschema.pas line 2731

const SPP_USERPICTURE = 10;


SPS_HOT

Declaration

Source position: tmschema.pas line 2781

const SPS_HOT = 2;


SPS_NORMAL

Declaration

Source position: tmschema.pas line 2780

const SPS_NORMAL = 1;


SPS_PRESSED

Declaration

Source position: tmschema.pas line 2782

const SPS_PRESSED = 3;


SPSB_HOT

Declaration

Source position: tmschema.pas line 2790

const SPSB_HOT = 2;


SPSB_NORMAL

Declaration

Source position: tmschema.pas line 2789

const SPSB_NORMAL = 1;


SPSB_PRESSED

Declaration

Source position: tmschema.pas line 2791

const SPSB_PRESSED = 3;


SPSE_DISABLED

Declaration

Source position: tmschema.pas line 2761

const SPSE_DISABLED = 4;


SPSE_FOCUSED

Declaration

Source position: tmschema.pas line 2762

const SPSE_FOCUSED = 5;


SPSE_HOT

Declaration

Source position: tmschema.pas line 2759

const SPSE_HOT = 2;


SPSE_NORMAL

Declaration

Source position: tmschema.pas line 2758

const SPSE_NORMAL = 1;


SPSE_SELECTED

Declaration

Source position: tmschema.pas line 2760

const SPSE_SELECTED = 3;


ST_STRETCH

Declaration

Source position: tmschema.pas line 2109

const ST_STRETCH = 1;


ST_TILE

Declaration

Source position: tmschema.pas line 2110

const ST_TILE = 2;


ST_TRUESIZE

Declaration

Source position: tmschema.pas line 2108

const ST_TRUESIZE = 0;


STANDARDSTATES

Declaration

Source position: tmschema.pas line 1659

type STANDARDSTATES = LongInt;


STARTPANELPARTS

Declaration

Source position: tmschema.pas line 2719

type STARTPANELPARTS = LongInt;


STAT_TEXT

Declaration

Source position: tmschema.pas line 2544

const STAT_TEXT = 1;


STATICPARTS

Declaration

Source position: tmschema.pas line 2541

type STATICPARTS = LongInt;


STATUSPARTS

Declaration

Source position: tmschema.pas line 1383

type STATUSPARTS = LongInt;


STATUSSTYLEPARTS

Declaration

Source position: tmschema.pas line 1391

type STATUSSTYLEPARTS = STATUSPARTS;


SYSBUTTONSTATES

Declaration

Source position: tmschema.pas line 1991

type SYSBUTTONSTATES = LongInt;


SYSTEMCLOSESTATES

Declaration

Source position: tmschema.pas line 1054

type SYSTEMCLOSESTATES = LongInt;


SYSTEMMAXIMIZESTATES

Declaration

Source position: tmschema.pas line 1062

type SYSTEMMAXIMIZESTATES = LongInt;


SYSTEMMINIMIZESTATES

Declaration

Source position: tmschema.pas line 1070

type SYSTEMMINIMIZESTATES = LongInt;


SYSTEMRESTORESTATES

Declaration

Source position: tmschema.pas line 1078

type SYSTEMRESTORESTATES = LongInt;


SZB_HALFBOTTOMLEFTALIGN

Declaration

Source position: tmschema.pas line 1315

const SZB_HALFBOTTOMLEFTALIGN = 6;


SZB_HALFBOTTOMRIGHTALIGN

Declaration

Source position: tmschema.pas line 1314

const SZB_HALFBOTTOMRIGHTALIGN = 5;


SZB_HALFTOPLEFTALIGN

Declaration

Source position: tmschema.pas line 1317

const SZB_HALFTOPLEFTALIGN = 8;


SZB_HALFTOPRIGHTALIGN

Declaration

Source position: tmschema.pas line 1316

const SZB_HALFTOPRIGHTALIGN = 7;


SZB_LEFTALIGN

Declaration

Source position: tmschema.pas line 1311

const SZB_LEFTALIGN = 2;


SZB_RIGHTALIGN

Declaration

Source position: tmschema.pas line 1310

const SZB_RIGHTALIGN = 1;


SZB_TOPLEFTALIGN

Declaration

Source position: tmschema.pas line 1313

const SZB_TOPLEFTALIGN = 4;


SZB_TOPRIGHTALIGN

Declaration

Source position: tmschema.pas line 1312

const SZB_TOPRIGHTALIGN = 3;


TABITEMBOTHEDGESTATES

Declaration

Source position: tmschema.pas line 1451

type TABITEMBOTHEDGESTATES = LongInt;


TABITEMLEFTEDGESTATES

Declaration

Source position: tmschema.pas line 1429

type TABITEMLEFTEDGESTATES = LongInt;


TABITEMRIGHTEDGESTATES

Declaration

Source position: tmschema.pas line 1440

type TABITEMRIGHTEDGESTATES = LongInt;


TABITEMSTATES

Declaration

Source position: tmschema.pas line 1418

type TABITEMSTATES = LongInt;


TABP_AEROWIZARDBODY

Declaration

Source position: tmschema.pas line 1412

const TABP_AEROWIZARDBODY = 11;


TABP_BODY

Declaration

Source position: tmschema.pas line 1411

const TABP_BODY = 10;


TABP_PANE

Declaration

Source position: tmschema.pas line 1410

const TABP_PANE = 9;


TABP_TABITEM

Declaration

Source position: tmschema.pas line 1402

const TABP_TABITEM = 1;


TABP_TABITEMBOTHEDGE

Declaration

Source position: tmschema.pas line 1405

const TABP_TABITEMBOTHEDGE = 4;


TABP_TABITEMLEFTEDGE

Declaration

Source position: tmschema.pas line 1403

const TABP_TABITEMLEFTEDGE = 2;


TABP_TABITEMRIGHTEDGE

Declaration

Source position: tmschema.pas line 1404

const TABP_TABITEMRIGHTEDGE = 3;


TABP_TOPTABITEM

Declaration

Source position: tmschema.pas line 1406

const TABP_TOPTABITEM = 5;


TABP_TOPTABITEMBOTHEDGE

Declaration

Source position: tmschema.pas line 1409

const TABP_TOPTABITEMBOTHEDGE = 8;


TABP_TOPTABITEMLEFTEDGE

Declaration

Source position: tmschema.pas line 1407

const TABP_TOPTABITEMLEFTEDGE = 6;


TABP_TOPTABITEMRIGHTEDGE

Declaration

Source position: tmschema.pas line 1408

const TABP_TOPTABITEMRIGHTEDGE = 7;


TABPARTS

Declaration

Source position: tmschema.pas line 1399

type TABPARTS = LongInt;


TABSTATES

Declaration

Source position: tmschema.pas line 263

type TABSTATES = LongInt;


TABSTYLEPARTS

Declaration

Source position: tmschema.pas line 1415

type TABSTYLEPARTS = TABPARTS;


TASKBANDPARTS

Declaration

Source position: tmschema.pas line 2706

type TASKBANDPARTS = LongInt;


TASKBARPARTS

Declaration

Source position: tmschema.pas line 2688

type TASKBARPARTS = LongInt;


TASKDIALOGPARTS

Declaration

Source position: tmschema.pas line 1511

type TASKDIALOGPARTS = LongInt;


TASKDIALOGSTYLEPARTS

Declaration

Source position: tmschema.pas line 1537

type TASKDIALOGSTYLEPARTS = TASKDIALOGPARTS;


TASKLINKSTATES

Declaration

Source position: tmschema.pas line 314

type TASKLINKSTATES = LongInt;


TBP_BACKGROUNDBOTTOM

Declaration

Source position: tmschema.pas line 2691

const TBP_BACKGROUNDBOTTOM = 1;


TBP_BACKGROUNDLEFT

Declaration

Source position: tmschema.pas line 2694

const TBP_BACKGROUNDLEFT = 4;


TBP_BACKGROUNDRIGHT

Declaration

Source position: tmschema.pas line 2692

const TBP_BACKGROUNDRIGHT = 2;


TBP_BACKGROUNDTOP

Declaration

Source position: tmschema.pas line 2693

const TBP_BACKGROUNDTOP = 3;


TBP_SIZINGBARBOTTOM

Declaration

Source position: tmschema.pas line 2695

const TBP_SIZINGBARBOTTOM = 5;


TBP_SIZINGBARLEFT

Declaration

Source position: tmschema.pas line 2698

const TBP_SIZINGBARLEFT = 8;


TBP_SIZINGBARRIGHT

Declaration

Source position: tmschema.pas line 2696

const TBP_SIZINGBARRIGHT = 6;


TBP_SIZINGBARTOP

Declaration

Source position: tmschema.pas line 2697

const TBP_SIZINGBARTOP = 7;


TDLG_BUTTONSECTION

Declaration

Source position: tmschema.pas line 1523

const TDLG_BUTTONSECTION = 10;


TDLG_BUTTONWRAPPER

Declaration

Source position: tmschema.pas line 1524

const TDLG_BUTTONWRAPPER = 11;


TDLG_COMMANDLINKPANE

Declaration

Source position: tmschema.pas line 1520

const TDLG_COMMANDLINKPANE = 7;


TDLG_CONTENTICON

Declaration

Source position: tmschema.pas line 1518

const TDLG_CONTENTICON = 5;


TDLG_CONTENTPANE

Declaration

Source position: tmschema.pas line 1517

const TDLG_CONTENTPANE = 4;


TDLG_CONTROLPANE

Declaration

Source position: tmschema.pas line 1522

const TDLG_CONTROLPANE = 9;


TDLG_EXPANDEDCONTENT

Declaration

Source position: tmschema.pas line 1519

const TDLG_EXPANDEDCONTENT = 6;


TDLG_EXPANDEDFOOTERAREA

Declaration

Source position: tmschema.pas line 1531

const TDLG_EXPANDEDFOOTERAREA = 18;


TDLG_EXPANDOBUTTON

Declaration

Source position: tmschema.pas line 1526

const TDLG_EXPANDOBUTTON = 13;


TDLG_EXPANDOTEXT

Declaration

Source position: tmschema.pas line 1525

const TDLG_EXPANDOTEXT = 12;


TDLG_FOOTNOTEAREA

Declaration

Source position: tmschema.pas line 1529

const TDLG_FOOTNOTEAREA = 16;


TDLG_FOOTNOTEPANE

Declaration

Source position: tmschema.pas line 1528

const TDLG_FOOTNOTEPANE = 15;


TDLG_FOOTNOTESEPARATOR

Declaration

Source position: tmschema.pas line 1530

const TDLG_FOOTNOTESEPARATOR = 17;


TDLG_IMAGEALIGNMENT

Declaration

Source position: tmschema.pas line 1533

const TDLG_IMAGEALIGNMENT = 20;


TDLG_MAINICON

Declaration

Source position: tmschema.pas line 1516

const TDLG_MAINICON = 3;


TDLG_MAININSTRUCTIONPANE

Declaration

Source position: tmschema.pas line 1515

const TDLG_MAININSTRUCTIONPANE = 2;


TDLG_PRIMARYPANEL

Declaration

Source position: tmschema.pas line 1514

const TDLG_PRIMARYPANEL = 1;


TDLG_PROGRESSBAR

Declaration

Source position: tmschema.pas line 1532

const TDLG_PROGRESSBAR = 19;


TDLG_RADIOBUTTONPANE

Declaration

Source position: tmschema.pas line 1534

const TDLG_RADIOBUTTONPANE = 21;


TDLG_SECONDARYPANEL

Declaration

Source position: tmschema.pas line 1521

const TDLG_SECONDARYPANEL = 8;


TDLG_VERIFICATIONTEXT

Declaration

Source position: tmschema.pas line 1527

const TDLG_VERIFICATIONTEXT = 14;


TDLGCPS_STANDALONE

Declaration

Source position: tmschema.pas line 1543

const TDLGCPS_STANDALONE = 1;


TDLGEBS_EXPANDEDHOVER

Declaration

Source position: tmschema.pas line 1554

const TDLGEBS_EXPANDEDHOVER = 5;


TDLGEBS_EXPANDEDNORMAL

Declaration

Source position: tmschema.pas line 1553

const TDLGEBS_EXPANDEDNORMAL = 4;


TDLGEBS_EXPANDEDPRESSED

Declaration

Source position: tmschema.pas line 1555

const TDLGEBS_EXPANDEDPRESSED = 6;


TDLGEBS_HOVER

Declaration

Source position: tmschema.pas line 1551

const TDLGEBS_HOVER = 2;


TDLGEBS_NORMAL

Declaration

Source position: tmschema.pas line 1550

const TDLGEBS_NORMAL = 1;


TDLGEBS_PRESSED

Declaration

Source position: tmschema.pas line 1552

const TDLGEBS_PRESSED = 3;


TDP_FLASHBUTTON

Declaration

Source position: tmschema.pas line 2710

const TDP_FLASHBUTTON = 2;


TDP_FLASHBUTTONGROUPMENU

Declaration

Source position: tmschema.pas line 2711

const TDP_FLASHBUTTONGROUPMENU = 3;


TDP_GROUPCOUNT

Declaration

Source position: tmschema.pas line 2709

const TDP_GROUPCOUNT = 1;


TEXT_BODYTEXT

Declaration

Source position: tmschema.pas line 1569

const TEXT_BODYTEXT = 4;


TEXT_BODYTITLE

Declaration

Source position: tmschema.pas line 1568

const TEXT_BODYTITLE = 3;


TEXT_CONTROLLABEL

Declaration

Source position: tmschema.pas line 1574

const TEXT_CONTROLLABEL = 9;


TEXT_EXPANDED

Declaration

Source position: tmschema.pas line 1572

const TEXT_EXPANDED = 7;


TEXT_HYPERLINKTEXT

Declaration

Source position: tmschema.pas line 1571

const TEXT_HYPERLINKTEXT = 6;


TEXT_INSTRUCTION

Declaration

Source position: tmschema.pas line 1567

const TEXT_INSTRUCTION = 2;


TEXT_LABEL

Declaration

Source position: tmschema.pas line 1573

const TEXT_LABEL = 8;


TEXT_MAININSTRUCTION

Declaration

Source position: tmschema.pas line 1566

const TEXT_MAININSTRUCTION = 1;


TEXT_SECONDARYTEXT

Declaration

Source position: tmschema.pas line 1570

const TEXT_SECONDARYTEXT = 5;


TEXTSHADOWTYPE

Declaration

Source position: tmschema.pas line 2190

type TEXTSHADOWTYPE = LongInt;


TEXTSTYLEPARTS

Declaration

Source position: tmschema.pas line 1563

type TEXTSTYLEPARTS = LongInt;


THUMBBOTTOMSTATES

Declaration

Source position: tmschema.pas line 1751

type THUMBBOTTOMSTATES = LongInt;


THUMBLEFTSTATES

Declaration

Source position: tmschema.pas line 1784

type THUMBLEFTSTATES = LongInt;


THUMBRIGHTSTATES

Declaration

Source position: tmschema.pas line 1795

type THUMBRIGHTSTATES = LongInt;


THUMBSTATES

Declaration

Source position: tmschema.pas line 1740

type THUMBSTATES = LongInt;


THUMBTOPSTATES

Declaration

Source position: tmschema.pas line 1762

type THUMBTOPSTATES = LongInt;


THUMBVERTSTATES

Declaration

Source position: tmschema.pas line 1773

type THUMBVERTSTATES = LongInt;


TIBES_DISABLED

Declaration

Source position: tmschema.pas line 1457

const TIBES_DISABLED = 4;


TIBES_FOCUSED

Declaration

Source position: tmschema.pas line 1458

const TIBES_FOCUSED = 5;


TIBES_HOT

Declaration

Source position: tmschema.pas line 1455

const TIBES_HOT = 2;


TIBES_NORMAL

Declaration

Source position: tmschema.pas line 1454

const TIBES_NORMAL = 1;


TIBES_SELECTED

Declaration

Source position: tmschema.pas line 1456

const TIBES_SELECTED = 3;


TICSSTATES

Declaration

Source position: tmschema.pas line 1806

type TICSSTATES = LongInt;


TICSVERTSTATES

Declaration

Source position: tmschema.pas line 1813

type TICSVERTSTATES = LongInt;


TILES_DISABLED

Declaration

Source position: tmschema.pas line 1435

const TILES_DISABLED = 4;


TILES_FOCUSED

Declaration

Source position: tmschema.pas line 1436

const TILES_FOCUSED = 5;


TILES_HOT

Declaration

Source position: tmschema.pas line 1433

const TILES_HOT = 2;


TILES_NORMAL

Declaration

Source position: tmschema.pas line 1432

const TILES_NORMAL = 1;


TILES_SELECTED

Declaration

Source position: tmschema.pas line 1434

const TILES_SELECTED = 3;


TIRES_DISABLED

Declaration

Source position: tmschema.pas line 1446

const TIRES_DISABLED = 4;


TIRES_FOCUSED

Declaration

Source position: tmschema.pas line 1447

const TIRES_FOCUSED = 5;


TIRES_HOT

Declaration

Source position: tmschema.pas line 1444

const TIRES_HOT = 2;


TIRES_NORMAL

Declaration

Source position: tmschema.pas line 1443

const TIRES_NORMAL = 1;


TIRES_SELECTED

Declaration

Source position: tmschema.pas line 1445

const TIRES_SELECTED = 3;


TIS_DISABLED

Declaration

Source position: tmschema.pas line 1424

const TIS_DISABLED = 4;


TIS_FOCUSED

Declaration

Source position: tmschema.pas line 1425

const TIS_FOCUSED = 5;


TIS_HOT

Declaration

Source position: tmschema.pas line 1422

const TIS_HOT = 2;


TIS_NORMAL

Declaration

Source position: tmschema.pas line 1421

const TIS_NORMAL = 1;


TIS_SELECTED

Declaration

Source position: tmschema.pas line 1423

const TIS_SELECTED = 3;


TITLEBARSTATES

Declaration

Source position: tmschema.pas line 33

type TITLEBARSTATES = LongInt;


TKP_THUMB

Declaration

Source position: tmschema.pas line 1706

const TKP_THUMB = 3;


TKP_THUMBBOTTOM

Declaration

Source position: tmschema.pas line 1707

const TKP_THUMBBOTTOM = 4;


TKP_THUMBLEFT

Declaration

Source position: tmschema.pas line 1710

const TKP_THUMBLEFT = 7;


TKP_THUMBRIGHT

Declaration

Source position: tmschema.pas line 1711

const TKP_THUMBRIGHT = 8;


TKP_THUMBTOP

Declaration

Source position: tmschema.pas line 1708

const TKP_THUMBTOP = 5;


TKP_THUMBVERT

Declaration

Source position: tmschema.pas line 1709

const TKP_THUMBVERT = 6;


TKP_TICS

Declaration

Source position: tmschema.pas line 1712

const TKP_TICS = 9;


TKP_TICSVERT

Declaration

Source position: tmschema.pas line 1713

const TKP_TICSVERT = 10;


TKP_TRACK

Declaration

Source position: tmschema.pas line 1704

const TKP_TRACK = 1;


TKP_TRACKVERT

Declaration

Source position: tmschema.pas line 1705

const TKP_TRACKVERT = 2;


TKS_NORMAL

Declaration

Source position: tmschema.pas line 1722

const TKS_NORMAL = 1;


TMT_ACCENTCOLORHINT

Declaration

Source position: tmschema.pas line 2466

const TMT_ACCENTCOLORHINT = 3823;


TMT_ACTIVEBORDER

Declaration

Source position: tmschema.pas line 2327

const TMT_ACTIVEBORDER = 1611;


TMT_ACTIVECAPTION

Declaration

Source position: tmschema.pas line 2319

const TMT_ACTIVECAPTION = 1603;


TMT_ALIAS

Declaration

Source position: tmschema.pas line 2314

const TMT_ALIAS = 1404;


TMT_ALPHALEVEL

Declaration

Source position: tmschema.pas line 2391

const TMT_ALPHALEVEL = 2402;


TMT_ALPHATHRESHOLD

Declaration

Source position: tmschema.pas line 2404

const TMT_ALPHATHRESHOLD = 2415;


TMT_ALWAYSSHOWSIZINGBAR

Declaration

Source position: tmschema.pas line 2377

const TMT_ALWAYSSHOWSIZINGBAR = 2208;


TMT_ANIMATIONBUTTONRECT

Declaration

Source position: tmschema.pas line 2490

const TMT_ANIMATIONBUTTONRECT = 5005;


TMT_ANIMATIONDELAY

Declaration

Source position: tmschema.pas line 2417

const TMT_ANIMATIONDELAY = 2428;


TMT_ANIMATIONDURATION

Declaration

Source position: tmschema.pas line 2491

const TMT_ANIMATIONDURATION = 5006;


TMT_APPWORKSPACE

Declaration

Source position: tmschema.pas line 2329

const TMT_APPWORKSPACE = 1613;


TMT_ATLASIMAGE

Declaration

Source position: tmschema.pas line 2494

const TMT_ATLASIMAGE = 8000;


TMT_ATLASINPUTIMAGE

Declaration

Source position: tmschema.pas line 2495

const TMT_ATLASINPUTIMAGE = 8001;


TMT_ATLASRECT

Declaration

Source position: tmschema.pas line 2496

const TMT_ATLASRECT = 8002;


TMT_AUTHOR

Declaration

Source position: tmschema.pas line 2275

const TMT_AUTHOR = 604;


TMT_AUTOSIZE

Declaration

Source position: tmschema.pas line 2371

const TMT_AUTOSIZE = 2202;


TMT_BACKGROUND

Declaration

Source position: tmschema.pas line 2318

const TMT_BACKGROUND = 1602;


TMT_BGFILL

Declaration

Source position: tmschema.pas line 2374

const TMT_BGFILL = 2205;


TMT_BGTYPE

Declaration

Source position: tmschema.pas line 2471

const TMT_BGTYPE = 4001;


TMT_BITMAPREF

Declaration

Source position: tmschema.pas line 2267

const TMT_BITMAPREF = 215;


TMT_BLENDCOLOR

Declaration

Source position: tmschema.pas line 2488

const TMT_BLENDCOLOR = 5003;


TMT_BODYFONT

Declaration

Source position: tmschema.pas line 2290

const TMT_BODYFONT = 809;


TMT_BODYTEXTCOLOR

Declaration

Source position: tmschema.pas line 2470

const TMT_BODYTEXTCOLOR = 3827;


TMT_BOOL

Declaration

Source position: tmschema.pas line 2255

const TMT_BOOL = 203;


TMT_BORDERCOLOR

Declaration

Source position: tmschema.pas line 2444

const TMT_BORDERCOLOR = 3801;


TMT_BORDERCOLORHINT

Declaration

Source position: tmschema.pas line 2465

const TMT_BORDERCOLORHINT = 3822;


TMT_BORDERONLY

Declaration

Source position: tmschema.pas line 2372

const TMT_BORDERONLY = 2203;


TMT_BORDERSIZE

Declaration

Source position: tmschema.pas line 2392

const TMT_BORDERSIZE = 2403;


TMT_BORDERTYPE

Declaration

Source position: tmschema.pas line 2472

const TMT_BORDERTYPE = 4002;


TMT_BTNFACE

Declaration

Source position: tmschema.pas line 2332

const TMT_BTNFACE = 1616;


TMT_BTNHIGHLIGHT

Declaration

Source position: tmschema.pas line 2337

const TMT_BTNHIGHLIGHT = 1621;


TMT_BTNSHADOW

Declaration

Source position: tmschema.pas line 2333

const TMT_BTNSHADOW = 1617;


TMT_BTNTEXT

Declaration

Source position: tmschema.pas line 2335

const TMT_BTNTEXT = 1619;


TMT_BUTTONALTERNATEFACE

Declaration

Source position: tmschema.pas line 2342

const TMT_BUTTONALTERNATEFACE = 1626;


TMT_CAPTIONBARHEIGHT

Declaration

Source position: tmschema.pas line 2300

const TMT_CAPTIONBARHEIGHT = 1205;


TMT_CAPTIONBARWIDTH

Declaration

Source position: tmschema.pas line 2299

const TMT_CAPTIONBARWIDTH = 1204;


TMT_CAPTIONFONT

Declaration

Source position: tmschema.pas line 2282

const TMT_CAPTIONFONT = 801;


TMT_CAPTIONMARGINS

Declaration

Source position: tmschema.pas line 2443

const TMT_CAPTIONMARGINS = 3603;


TMT_CAPTIONTEXT

Declaration

Source position: tmschema.pas line 2326

const TMT_CAPTIONTEXT = 1610;


TMT_CHARSET

Declaration

Source position: tmschema.pas line 2270

const TMT_CHARSET = 403;


TMT_CLASSICVALUE

Declaration

Source position: tmschema.pas line 2431

const TMT_CLASSICVALUE = 3202;


TMT_COLOR

Declaration

Source position: tmschema.pas line 2256

const TMT_COLOR = 204;


TMT_COLORIZATIONCOLOR

Declaration

Source position: tmschema.pas line 2420

const TMT_COLORIZATIONCOLOR = 2431;


TMT_COLORIZATIONOPACITY

Declaration

Source position: tmschema.pas line 2421

const TMT_COLORIZATIONOPACITY = 2432;


TMT_COLORSCHEMES

Declaration

Source position: tmschema.pas line 2268

const TMT_COLORSCHEMES = 401;


TMT_COMPANY

Declaration

Source position: tmschema.pas line 2274

const TMT_COMPANY = 603;


TMT_COMPOSITED

Declaration

Source position: tmschema.pas line 2373

const TMT_COMPOSITED = 2204;


TMT_COMPOSITEDOPAQUE

Declaration

Source position: tmschema.pas line 2388

const TMT_COMPOSITEDOPAQUE = 2219;


TMT_CONTENTALIGNMENT

Declaration

Source position: tmschema.pas line 2476

const TMT_CONTENTALIGNMENT = 4006;


TMT_CONTENTMARGINS

Declaration

Source position: tmschema.pas line 2442

const TMT_CONTENTMARGINS = 3602;


TMT_COPYRIGHT

Declaration

Source position: tmschema.pas line 2276

const TMT_COPYRIGHT = 605;


TMT_CSSNAME

Declaration

Source position: tmschema.pas line 2311

const TMT_CSSNAME = 1401;


TMT_CUSTOMSPLITRECT

Declaration

Source position: tmschema.pas line 2489

const TMT_CUSTOMSPLITRECT = 5004;


TMT_DEFAULTPANESIZE

Declaration

Source position: tmschema.pas line 2487

const TMT_DEFAULTPANESIZE = 5002;


TMT_DESCRIPTION

Declaration

Source position: tmschema.pas line 2279

const TMT_DESCRIPTION = 608;


TMT_DIBDATA

Declaration

Source position: tmschema.pas line 2250

const TMT_DIBDATA = 2;


TMT_DISKSTREAM

Declaration

Source position: tmschema.pas line 2265

const TMT_DISKSTREAM = 213;


TMT_DISPLAYNAME

Declaration

Source position: tmschema.pas line 2272

const TMT_DISPLAYNAME = 601;


TMT_DKSHADOW3D

Declaration

Source position: tmschema.pas line 2338

const TMT_DKSHADOW3D = 1622;


TMT_DRAWBORDERS

Declaration

Source position: tmschema.pas line 2383

const TMT_DRAWBORDERS = 2214;


TMT_EDGEDKSHADOWCOLOR

Declaration

Source position: tmschema.pas line 2450

const TMT_EDGEDKSHADOWCOLOR = 3807;


TMT_EDGEFILLCOLOR

Declaration

Source position: tmschema.pas line 2451

const TMT_EDGEFILLCOLOR = 3808;


TMT_EDGEHIGHLIGHTCOLOR

Declaration

Source position: tmschema.pas line 2448

const TMT_EDGEHIGHLIGHTCOLOR = 3805;


TMT_EDGELIGHTCOLOR

Declaration

Source position: tmschema.pas line 2447

const TMT_EDGELIGHTCOLOR = 3804;


TMT_EDGESHADOWCOLOR

Declaration

Source position: tmschema.pas line 2449

const TMT_EDGESHADOWCOLOR = 3806;


TMT_ENUM

Declaration

Source position: tmschema.pas line 2252

const TMT_ENUM = 200;


TMT_FILENAME

Declaration

Source position: tmschema.pas line 2258

const TMT_FILENAME = 206;


TMT_FILLCOLOR

Declaration

Source position: tmschema.pas line 2445

const TMT_FILLCOLOR = 3802;


TMT_FILLCOLORHINT

Declaration

Source position: tmschema.pas line 2464

const TMT_FILLCOLORHINT = 3821;


TMT_FILLTYPE

Declaration

Source position: tmschema.pas line 2473

const TMT_FILLTYPE = 4003;


TMT_FIRST_RCSTRING_NAME

Declaration

Source position: tmschema.pas line 2280

const TMT_FIRST_RCSTRING_NAME = TMT_DISPLAYNAME;


TMT_FIRSTBOOL

Declaration

Source position: tmschema.pas line 2294

const TMT_FIRSTBOOL = TMT_FLATMENUS;


TMT_FIRSTCOLOR

Declaration

Source position: tmschema.pas line 2348

const TMT_FIRSTCOLOR = TMT_SCROLLBAR;


TMT_FIRSTFONT

Declaration

Source position: tmschema.pas line 2291

const TMT_FIRSTFONT = TMT_CAPTIONFONT;


TMT_FIRSTINT

Declaration

Source position: tmschema.pas line 2309

const TMT_FIRSTINT = TMT_MINCOLORDEPTH;


TMT_FIRSTSIZE

Declaration

Source position: tmschema.pas line 2306

const TMT_FIRSTSIZE = TMT_SIZINGBORDERWIDTH;


TMT_FIRSTSTRING

Declaration

Source position: tmschema.pas line 2315

const TMT_FIRSTSTRING = TMT_CSSNAME;


TMT_FLATMENUS

Declaration

Source position: tmschema.pas line 2293

const TMT_FLATMENUS = 1001;


TMT_FONT

Declaration

Source position: tmschema.pas line 2262

const TMT_FONT = 210;


TMT_FRAMESPERSECOND

Declaration

Source position: tmschema.pas line 2415

const TMT_FRAMESPERSECOND = 2426;


TMT_FROMCOLOR1

Declaration

Source position: tmschema.pas line 2360

const TMT_FROMCOLOR1 = 2001;


TMT_FROMCOLOR2

Declaration

Source position: tmschema.pas line 2361

const TMT_FROMCOLOR2 = 2002;


TMT_FROMCOLOR3

Declaration

Source position: tmschema.pas line 2362

const TMT_FROMCOLOR3 = 2003;


TMT_FROMCOLOR4

Declaration

Source position: tmschema.pas line 2363

const TMT_FROMCOLOR4 = 2004;


TMT_FROMCOLOR5

Declaration

Source position: tmschema.pas line 2364

const TMT_FROMCOLOR5 = 2005;


TMT_FROMHUE1

Declaration

Source position: tmschema.pas line 2350

const TMT_FROMHUE1 = 1801;


TMT_FROMHUE2

Declaration

Source position: tmschema.pas line 2351

const TMT_FROMHUE2 = 1802;


TMT_FROMHUE3

Declaration

Source position: tmschema.pas line 2352

const TMT_FROMHUE3 = 1803;


TMT_FROMHUE4

Declaration

Source position: tmschema.pas line 2353

const TMT_FROMHUE4 = 1804;


TMT_FROMHUE5

Declaration

Source position: tmschema.pas line 2354

const TMT_FROMHUE5 = 1805;


TMT_GLOWCOLOR

Declaration

Source position: tmschema.pas line 2459

const TMT_GLOWCOLOR = 3816;


TMT_GLOWINTENSITY

Declaration

Source position: tmschema.pas line 2418

const TMT_GLOWINTENSITY = 2429;


TMT_GLYPHDIBDATA

Declaration

Source position: tmschema.pas line 2251

const TMT_GLYPHDIBDATA = 8;


TMT_GLYPHFONT

Declaration

Source position: tmschema.pas line 2422

const TMT_GLYPHFONT = 2601;


TMT_GLYPHFONTSIZINGTYPE

Declaration

Source position: tmschema.pas line 2484

const TMT_GLYPHFONTSIZINGTYPE = 4014;


TMT_GLYPHIMAGEFILE

Declaration

Source position: tmschema.pas line 2429

const TMT_GLYPHIMAGEFILE = 3008;


TMT_GLYPHINDEX

Declaration

Source position: tmschema.pas line 2407

const TMT_GLYPHINDEX = 2418;


TMT_GLYPHONLY

Declaration

Source position: tmschema.pas line 2376

const TMT_GLYPHONLY = 2207;


TMT_GLYPHTEXTCOLOR

Declaration

Source position: tmschema.pas line 2462

const TMT_GLYPHTEXTCOLOR = 3819;


TMT_GLYPHTRANSPARENT

Declaration

Source position: tmschema.pas line 2375

const TMT_GLYPHTRANSPARENT = 2206;


TMT_GLYPHTRANSPARENTCOLOR

Declaration

Source position: tmschema.pas line 2463

const TMT_GLYPHTRANSPARENTCOLOR = 3820;


TMT_GLYPHTYPE

Declaration

Source position: tmschema.pas line 2482

const TMT_GLYPHTYPE = 4012;


TMT_GRADIENTACTIVECAPTION

Declaration

Source position: tmschema.pas line 2344

const TMT_GRADIENTACTIVECAPTION = 1628;


TMT_GRADIENTCOLOR1

Declaration

Source position: tmschema.pas line 2453

const TMT_GRADIENTCOLOR1 = 3810;


TMT_GRADIENTCOLOR2

Declaration

Source position: tmschema.pas line 2454

const TMT_GRADIENTCOLOR2 = 3811;


TMT_GRADIENTCOLOR3

Declaration

Source position: tmschema.pas line 2455

const TMT_GRADIENTCOLOR3 = 3812;


TMT_GRADIENTCOLOR4

Declaration

Source position: tmschema.pas line 2456

const TMT_GRADIENTCOLOR4 = 3813;


TMT_GRADIENTCOLOR5

Declaration

Source position: tmschema.pas line 2457

const TMT_GRADIENTCOLOR5 = 3814;


TMT_GRADIENTINACTIVECAPTION

Declaration

Source position: tmschema.pas line 2345

const TMT_GRADIENTINACTIVECAPTION = 1629;


TMT_GRADIENTRATIO1

Declaration

Source position: tmschema.pas line 2395

const TMT_GRADIENTRATIO1 = 2406;


TMT_GRADIENTRATIO2

Declaration

Source position: tmschema.pas line 2396

const TMT_GRADIENTRATIO2 = 2407;


TMT_GRADIENTRATIO3

Declaration

Source position: tmschema.pas line 2397

const TMT_GRADIENTRATIO3 = 2408;


TMT_GRADIENTRATIO4

Declaration

Source position: tmschema.pas line 2398

const TMT_GRADIENTRATIO4 = 2409;


TMT_GRADIENTRATIO5

Declaration

Source position: tmschema.pas line 2399

const TMT_GRADIENTRATIO5 = 2410;


TMT_GRAYTEXT

Declaration

Source position: tmschema.pas line 2334

const TMT_GRAYTEXT = 1618;


TMT_HALIGN

Declaration

Source position: tmschema.pas line 2475

const TMT_HALIGN = 4005;


TMT_HBITMAP

Declaration

Source position: tmschema.pas line 2264

const TMT_HBITMAP = 212;


TMT_HEADING1FONT

Declaration

Source position: tmschema.pas line 2288

const TMT_HEADING1FONT = 807;


TMT_HEADING1TEXTCOLOR

Declaration

Source position: tmschema.pas line 2468

const TMT_HEADING1TEXTCOLOR = 3825;


TMT_HEADING2FONT

Declaration

Source position: tmschema.pas line 2289

const TMT_HEADING2FONT = 808;


TMT_HEADING2TEXTCOLOR

Declaration

Source position: tmschema.pas line 2469

const TMT_HEADING2TEXTCOLOR = 3826;


TMT_HEIGHT

Declaration

Source position: tmschema.pas line 2406

const TMT_HEIGHT = 2417;


TMT_HIGHLIGHT

Declaration

Source position: tmschema.pas line 2330

const TMT_HIGHLIGHT = 1614;


TMT_HIGHLIGHTTEXT

Declaration

Source position: tmschema.pas line 2331

const TMT_HIGHLIGHTTEXT = 1615;


TMT_HOTTRACKING

Declaration

Source position: tmschema.pas line 2343

const TMT_HOTTRACKING = 1627;


TMT_ICONEFFECT

Declaration

Source position: tmschema.pas line 2479

const TMT_ICONEFFECT = 4009;


TMT_ICONTITLEFONT

Declaration

Source position: tmschema.pas line 2287

const TMT_ICONTITLEFONT = 806;


TMT_IMAGECOUNT

Declaration

Source position: tmschema.pas line 2390

const TMT_IMAGECOUNT = 2401;


TMT_IMAGEFILE

Declaration

Source position: tmschema.pas line 2423

const TMT_IMAGEFILE = 3001;


TMT_IMAGEFILE1

Declaration

Source position: tmschema.pas line 2424

const TMT_IMAGEFILE1 = 3002;


TMT_IMAGEFILE2

Declaration

Source position: tmschema.pas line 2425

const TMT_IMAGEFILE2 = 3003;


TMT_IMAGEFILE3

Declaration

Source position: tmschema.pas line 2426

const TMT_IMAGEFILE3 = 3004;


TMT_IMAGEFILE4

Declaration

Source position: tmschema.pas line 2427

const TMT_IMAGEFILE4 = 3005;


TMT_IMAGEFILE5

Declaration

Source position: tmschema.pas line 2428

const TMT_IMAGEFILE5 = 3006;


TMT_IMAGELAYOUT

Declaration

Source position: tmschema.pas line 2481

const TMT_IMAGELAYOUT = 4011;


TMT_IMAGESELECTTYPE

Declaration

Source position: tmschema.pas line 2483

const TMT_IMAGESELECTTYPE = 4013;


TMT_INACTIVEBORDER

Declaration

Source position: tmschema.pas line 2328

const TMT_INACTIVEBORDER = 1612;


TMT_INACTIVECAPTION

Declaration

Source position: tmschema.pas line 2320

const TMT_INACTIVECAPTION = 1604;


TMT_INACTIVECAPTIONTEXT

Declaration

Source position: tmschema.pas line 2336

const TMT_INACTIVECAPTIONTEXT = 1620;


TMT_INFOBK

Declaration

Source position: tmschema.pas line 2341

const TMT_INFOBK = 1625;


TMT_INFOTEXT

Declaration

Source position: tmschema.pas line 2340

const TMT_INFOTEXT = 1624;


TMT_INT

Declaration

Source position: tmschema.pas line 2254

const TMT_INT = 202;


TMT_INTEGRALSIZING

Declaration

Source position: tmschema.pas line 2380

const TMT_INTEGRALSIZING = 2211;


TMT_INTLIST

Declaration

Source position: tmschema.pas line 2263

const TMT_INTLIST = 211;


TMT_LAST_RCSTRING_NAME

Declaration

Source position: tmschema.pas line 2281

const TMT_LAST_RCSTRING_NAME = TMT_DESCRIPTION;


TMT_LASTBOOL

Declaration

Source position: tmschema.pas line 2295

const TMT_LASTBOOL = TMT_FLATMENUS;


TMT_LASTCOLOR

Declaration

Source position: tmschema.pas line 2349

const TMT_LASTCOLOR = TMT_MENUBAR;


TMT_LASTFONT

Declaration

Source position: tmschema.pas line 2292

const TMT_LASTFONT = TMT_BODYFONT;


TMT_LASTINT

Declaration

Source position: tmschema.pas line 2310

const TMT_LASTINT = TMT_MINCOLORDEPTH;


TMT_LASTSIZE

Declaration

Source position: tmschema.pas line 2307

const TMT_LASTSIZE = TMT_PADDEDBORDERWIDTH;


TMT_LASTSTRING

Declaration

Source position: tmschema.pas line 2316

const TMT_LASTSTRING = TMT_ALIAS;


TMT_LASTUPDATED

Declaration

Source position: tmschema.pas line 2313

const TMT_LASTUPDATED = 1403;


TMT_LIGHT3D

Declaration

Source position: tmschema.pas line 2339

const TMT_LIGHT3D = 1623;


TMT_LOCALIZEDMIRRORIMAGE

Declaration

Source position: tmschema.pas line 2389

const TMT_LOCALIZEDMIRRORIMAGE = 2220;


TMT_MARGINS

Declaration

Source position: tmschema.pas line 2257

const TMT_MARGINS = 205;


TMT_MENU

Declaration

Source position: tmschema.pas line 2321

const TMT_MENU = 1605;


TMT_MENUBAR

Declaration

Source position: tmschema.pas line 2347

const TMT_MENUBAR = 1631;


TMT_MENUBARHEIGHT

Declaration

Source position: tmschema.pas line 2304

const TMT_MENUBARHEIGHT = 1209;


TMT_MENUBARWIDTH

Declaration

Source position: tmschema.pas line 2303

const TMT_MENUBARWIDTH = 1208;


TMT_MENUFONT

Declaration

Source position: tmschema.pas line 2284

const TMT_MENUFONT = 803;


TMT_MENUHILIGHT

Declaration

Source position: tmschema.pas line 2346

const TMT_MENUHILIGHT = 1630;


TMT_MENUTEXT

Declaration

Source position: tmschema.pas line 2324

const TMT_MENUTEXT = 1608;


TMT_MINCOLORDEPTH

Declaration

Source position: tmschema.pas line 2308

const TMT_MINCOLORDEPTH = 1301;


TMT_MINDPI1

Declaration

Source position: tmschema.pas line 2409

const TMT_MINDPI1 = 2420;


TMT_MINDPI2

Declaration

Source position: tmschema.pas line 2410

const TMT_MINDPI2 = 2421;


TMT_MINDPI3

Declaration

Source position: tmschema.pas line 2411

const TMT_MINDPI3 = 2422;


TMT_MINDPI4

Declaration

Source position: tmschema.pas line 2412

const TMT_MINDPI4 = 2423;


TMT_MINDPI5

Declaration

Source position: tmschema.pas line 2413

const TMT_MINDPI5 = 2424;


TMT_MINSIZE

Declaration

Source position: tmschema.pas line 2434

const TMT_MINSIZE = 3403;


TMT_MINSIZE1

Declaration

Source position: tmschema.pas line 2435

const TMT_MINSIZE1 = 3404;


TMT_MINSIZE2

Declaration

Source position: tmschema.pas line 2436

const TMT_MINSIZE2 = 3405;


TMT_MINSIZE3

Declaration

Source position: tmschema.pas line 2437

const TMT_MINSIZE3 = 3406;


TMT_MINSIZE4

Declaration

Source position: tmschema.pas line 2438

const TMT_MINSIZE4 = 3407;


TMT_MINSIZE5

Declaration

Source position: tmschema.pas line 2439

const TMT_MINSIZE5 = 3408;


TMT_MIRRORIMAGE

Declaration

Source position: tmschema.pas line 2378

const TMT_MIRRORIMAGE = 2209;


TMT_MSGBOXFONT

Declaration

Source position: tmschema.pas line 2286

const TMT_MSGBOXFONT = 805;


TMT_NAME

Declaration

Source position: tmschema.pas line 2271

const TMT_NAME = 600;


TMT_NOETCHEDEFFECT

Declaration

Source position: tmschema.pas line 2384

const TMT_NOETCHEDEFFECT = 2215;


TMT_NORMALSIZE

Declaration

Source position: tmschema.pas line 2440

const TMT_NORMALSIZE = 3409;


TMT_OFFSET

Declaration

Source position: tmschema.pas line 2432

const TMT_OFFSET = 3401;


TMT_OFFSETTYPE

Declaration

Source position: tmschema.pas line 2478

const TMT_OFFSETTYPE = 4008;


TMT_OPACITY

Declaration

Source position: tmschema.pas line 2419

const TMT_OPACITY = 2430;


TMT_PADDEDBORDERWIDTH

Declaration

Source position: tmschema.pas line 2305

const TMT_PADDEDBORDERWIDTH = 1210;


TMT_PIXELSPERFRAME

Declaration

Source position: tmschema.pas line 2416

const TMT_PIXELSPERFRAME = 2427;


TMT_POSITION

Declaration

Source position: tmschema.pas line 2260

const TMT_POSITION = 208;


TMT_PROGRESSCHUNKSIZE

Declaration

Source position: tmschema.pas line 2400

const TMT_PROGRESSCHUNKSIZE = 2411;


TMT_PROGRESSSPACESIZE

Declaration

Source position: tmschema.pas line 2401

const TMT_PROGRESSSPACESIZE = 2412;


TMT_RECT

Declaration

Source position: tmschema.pas line 2261

const TMT_RECT = 209;


TMT_RESERVEDHIGH

Declaration

Source position: tmschema.pas line 2249

const TMT_RESERVEDHIGH = 7999;


TMT_RESERVEDLOW

Declaration

Source position: tmschema.pas line 2248

const TMT_RESERVEDLOW = 0;


TMT_ROUNDCORNERHEIGHT

Declaration

Source position: tmschema.pas line 2394

const TMT_ROUNDCORNERHEIGHT = 2405;


TMT_ROUNDCORNERWIDTH

Declaration

Source position: tmschema.pas line 2393

const TMT_ROUNDCORNERWIDTH = 2404;


TMT_SATURATION

Declaration

Source position: tmschema.pas line 2402

const TMT_SATURATION = 2413;


TMT_SCALEDBACKGROUND

Declaration

Source position: tmschema.pas line 2493

const TMT_SCALEDBACKGROUND = 7001;


TMT_SCROLLBAR

Declaration

Source position: tmschema.pas line 2317

const TMT_SCROLLBAR = 1601;


TMT_SCROLLBARHEIGHT

Declaration

Source position: tmschema.pas line 2298

const TMT_SCROLLBARHEIGHT = 1203;


TMT_SCROLLBARWIDTH

Declaration

Source position: tmschema.pas line 2297

const TMT_SCROLLBARWIDTH = 1202;


TMT_SHADOWCOLOR

Declaration

Source position: tmschema.pas line 2458

const TMT_SHADOWCOLOR = 3815;


TMT_SIZE

Declaration

Source position: tmschema.pas line 2259

const TMT_SIZE = 207;


TMT_SIZES

Declaration

Source position: tmschema.pas line 2269

const TMT_SIZES = 402;


TMT_SIZINGBORDERWIDTH

Declaration

Source position: tmschema.pas line 2296

const TMT_SIZINGBORDERWIDTH = 1201;


TMT_SIZINGMARGINS

Declaration

Source position: tmschema.pas line 2441

const TMT_SIZINGMARGINS = 3601;


TMT_SIZINGTYPE

Declaration

Source position: tmschema.pas line 2474

const TMT_SIZINGTYPE = 4004;


TMT_SMALLCAPTIONFONT

Declaration

Source position: tmschema.pas line 2283

const TMT_SMALLCAPTIONFONT = 802;


TMT_SMCAPTIONBARHEIGHT

Declaration

Source position: tmschema.pas line 2302

const TMT_SMCAPTIONBARHEIGHT = 1207;


TMT_SMCAPTIONBARWIDTH

Declaration

Source position: tmschema.pas line 2301

const TMT_SMCAPTIONBARWIDTH = 1206;


TMT_SOURCEGROW

Declaration

Source position: tmschema.pas line 2381

const TMT_SOURCEGROW = 2212;


TMT_SOURCESHRINK

Declaration

Source position: tmschema.pas line 2382

const TMT_SOURCESHRINK = 2213;


TMT_STATUSFONT

Declaration

Source position: tmschema.pas line 2285

const TMT_STATUSFONT = 804;


TMT_STREAM

Declaration

Source position: tmschema.pas line 2266

const TMT_STREAM = 214;


TMT_STRING

Declaration

Source position: tmschema.pas line 2253

const TMT_STRING = 201;


TMT_TEXT

Declaration

Source position: tmschema.pas line 2430

const TMT_TEXT = 3201;


TMT_TEXTAPPLYOVERLAY

Declaration

Source position: tmschema.pas line 2385

const TMT_TEXTAPPLYOVERLAY = 2216;


TMT_TEXTBORDERCOLOR

Declaration

Source position: tmschema.pas line 2460

const TMT_TEXTBORDERCOLOR = 3817;


TMT_TEXTBORDERSIZE

Declaration

Source position: tmschema.pas line 2403

const TMT_TEXTBORDERSIZE = 2414;


TMT_TEXTCOLOR

Declaration

Source position: tmschema.pas line 2446

const TMT_TEXTCOLOR = 3803;


TMT_TEXTCOLORHINT

Declaration

Source position: tmschema.pas line 2467

const TMT_TEXTCOLORHINT = 3824;


TMT_TEXTGLOW

Declaration

Source position: tmschema.pas line 2386

const TMT_TEXTGLOW = 2217;


TMT_TEXTGLOWSIZE

Declaration

Source position: tmschema.pas line 2414

const TMT_TEXTGLOWSIZE = 2425;


TMT_TEXTITALIC

Declaration

Source position: tmschema.pas line 2387

const TMT_TEXTITALIC = 2218;


TMT_TEXTSHADOWCOLOR

Declaration

Source position: tmschema.pas line 2461

const TMT_TEXTSHADOWCOLOR = 3818;


TMT_TEXTSHADOWOFFSET

Declaration

Source position: tmschema.pas line 2433

const TMT_TEXTSHADOWOFFSET = 3402;


TMT_TEXTSHADOWTYPE

Declaration

Source position: tmschema.pas line 2480

const TMT_TEXTSHADOWTYPE = 4010;


TMT_TOCOLOR1

Declaration

Source position: tmschema.pas line 2365

const TMT_TOCOLOR1 = 2006;


TMT_TOCOLOR2

Declaration

Source position: tmschema.pas line 2366

const TMT_TOCOLOR2 = 2007;


TMT_TOCOLOR3

Declaration

Source position: tmschema.pas line 2367

const TMT_TOCOLOR3 = 2008;


TMT_TOCOLOR4

Declaration

Source position: tmschema.pas line 2368

const TMT_TOCOLOR4 = 2009;


TMT_TOCOLOR5

Declaration

Source position: tmschema.pas line 2369

const TMT_TOCOLOR5 = 2010;


TMT_TOHUE1

Declaration

Source position: tmschema.pas line 2355

const TMT_TOHUE1 = 1806;


TMT_TOHUE2

Declaration

Source position: tmschema.pas line 2356

const TMT_TOHUE2 = 1807;


TMT_TOHUE3

Declaration

Source position: tmschema.pas line 2357

const TMT_TOHUE3 = 1808;


TMT_TOHUE4

Declaration

Source position: tmschema.pas line 2358

const TMT_TOHUE4 = 1809;


TMT_TOHUE5

Declaration

Source position: tmschema.pas line 2359

const TMT_TOHUE5 = 1810;


TMT_TOOLTIP

Declaration

Source position: tmschema.pas line 2273

const TMT_TOOLTIP = 602;


TMT_TRANSITIONDURATIONS

Declaration

Source position: tmschema.pas line 2492

const TMT_TRANSITIONDURATIONS = 6000;


TMT_TRANSPARENT

Declaration

Source position: tmschema.pas line 2370

const TMT_TRANSPARENT = 2201;


TMT_TRANSPARENTCOLOR

Declaration

Source position: tmschema.pas line 2452

const TMT_TRANSPARENTCOLOR = 3809;


TMT_TRUESIZESCALINGTYPE

Declaration

Source position: tmschema.pas line 2485

const TMT_TRUESIZESCALINGTYPE = 4015;


TMT_TRUESIZESTRETCHMARK

Declaration

Source position: tmschema.pas line 2408

const TMT_TRUESIZESTRETCHMARK = 2419;


TMT_UNIFORMSIZING

Declaration

Source position: tmschema.pas line 2379

const TMT_UNIFORMSIZING = 2210;


TMT_URL

Declaration

Source position: tmschema.pas line 2277

const TMT_URL = 606;


TMT_USERPICTURE

Declaration

Source position: tmschema.pas line 2486

const TMT_USERPICTURE = 5001;


TMT_VALIGN

Declaration

Source position: tmschema.pas line 2477

const TMT_VALIGN = 4007;


TMT_VERSION

Declaration

Source position: tmschema.pas line 2278

const TMT_VERSION = 607;


TMT_WIDTH

Declaration

Source position: tmschema.pas line 2405

const TMT_WIDTH = 2416;


TMT_WINDOW

Declaration

Source position: tmschema.pas line 2322

const TMT_WINDOW = 1606;


TMT_WINDOWFRAME

Declaration

Source position: tmschema.pas line 2323

const TMT_WINDOWFRAME = 1607;


TMT_WINDOWTEXT

Declaration

Source position: tmschema.pas line 2325

const TMT_WINDOWTEXT = 1609;


TMT_XMLNAME

Declaration

Source position: tmschema.pas line 2312

const TMT_XMLNAME = 1402;


TMTVS_RESERVEDHIGH

Declaration

Source position: tmschema.pas line 12

const TMTVS_RESERVEDHIGH = 19999;


TMTVS_RESERVEDLOW

Declaration

Source position: tmschema.pas line 11

const TMTVS_RESERVEDLOW = 100000;


TNP_ANIMBACKGROUND

Declaration

Source position: tmschema.pas line 2680

const TNP_ANIMBACKGROUND = 2;


TNP_BACKGROUND

Declaration

Source position: tmschema.pas line 2679

const TNP_BACKGROUND = 1;


TOOLBARPARTS

Declaration

Source position: tmschema.pas line 1601

type TOOLBARPARTS = LongInt;


TOOLBARSTYLEPARTS

Declaration

Source position: tmschema.pas line 1613

type TOOLBARSTYLEPARTS = TOOLBARPARTS;


TOOLBARSTYLESTATES

Declaration

Source position: tmschema.pas line 1616

type TOOLBARSTYLESTATES = LongInt;


TOOLTIPPARTS

Declaration

Source position: tmschema.pas line 1635

type TOOLTIPPARTS = LongInt;


TOOLTIPSTYLEPARTS

Declaration

Source position: tmschema.pas line 1647

type TOOLTIPSTYLEPARTS = TOOLTIPPARTS;


TOPTABITEMBOTHEDGESTATES

Declaration

Source position: tmschema.pas line 1495

type TOPTABITEMBOTHEDGESTATES = LongInt;


TOPTABITEMLEFTEDGESTATES

Declaration

Source position: tmschema.pas line 1473

type TOPTABITEMLEFTEDGESTATES = LongInt;


TOPTABITEMRIGHTEDGESTATES

Declaration

Source position: tmschema.pas line 1484

type TOPTABITEMRIGHTEDGESTATES = LongInt;


TOPTABITEMSTATES

Declaration

Source position: tmschema.pas line 1462

type TOPTABITEMSTATES = LongInt;


TP_BUTTON

Declaration

Source position: tmschema.pas line 1604

const TP_BUTTON = 1;


TP_DROPDOWNBUTTON

Declaration

Source position: tmschema.pas line 1605

const TP_DROPDOWNBUTTON = 2;


TP_DROPDOWNBUTTONGLYPH

Declaration

Source position: tmschema.pas line 1610

const TP_DROPDOWNBUTTONGLYPH = 7;


TP_SEPARATOR

Declaration

Source position: tmschema.pas line 1608

const TP_SEPARATOR = 5;


TP_SEPARATORVERT

Declaration

Source position: tmschema.pas line 1609

const TP_SEPARATORVERT = 6;


TP_SPLITBUTTON

Declaration

Source position: tmschema.pas line 1606

const TP_SPLITBUTTON = 3;


TP_SPLITBUTTONDROPDOWN

Declaration

Source position: tmschema.pas line 1607

const TP_SPLITBUTTONDROPDOWN = 4;


TRACKBARPARTS

Declaration

Source position: tmschema.pas line 1701

type TRACKBARPARTS = LongInt;


TRACKBARSTYLEPARTS

Declaration

Source position: tmschema.pas line 1716

type TRACKBARSTYLEPARTS = TRACKBARPARTS;


TRACKBARSTYLESTATES

Declaration

Source position: tmschema.pas line 1719

type TRACKBARSTYLESTATES = LongInt;


TRACKSTATES

Declaration

Source position: tmschema.pas line 1726

type TRACKSTATES = LongInt;


TRACKVERTSTATES

Declaration

Source position: tmschema.pas line 1733

type TRACKVERTSTATES = LongInt;


TRAILINGGRIDCELLSTATES

Declaration

Source position: tmschema.pas line 2613

type TRAILINGGRIDCELLSTATES = LongInt;


TRAILINGGRIDCELLUPPERSTATES

Declaration

Source position: tmschema.pas line 2623

type TRAILINGGRIDCELLUPPERSTATES = LongInt;


TRANSPARENTBACKGROUNDSTATES

Declaration

Source position: tmschema.pas line 209

type TRANSPARENTBACKGROUNDSTATES = LongInt;


TRANSPARENTBARSTATES

Declaration

Source position: tmschema.pas line 1154

type TRANSPARENTBARSTATES = LongInt;


TRANSPARENTBARVERTSTATES

Declaration

Source position: tmschema.pas line 1162

type TRANSPARENTBARVERTSTATES = LongInt;


TRAYNOTIFYPARTS

Declaration

Source position: tmschema.pas line 2676

type TRAYNOTIFYPARTS = LongInt;


TREEITEMSTATES

Declaration

Source position: tmschema.pas line 1837

type TREEITEMSTATES = LongInt;


TREEVIEWPARTS

Declaration

Source position: tmschema.pas line 1825

type TREEVIEWPARTS = LongInt;


TREEVIEWSTYLEPARTS

Declaration

Source position: tmschema.pas line 1834

type TREEVIEWSTYLEPARTS = TREEVIEWPARTS;


TREIS_DISABLED

Declaration

Source position: tmschema.pas line 1843

const TREIS_DISABLED = 4;


TREIS_HOT

Declaration

Source position: tmschema.pas line 1841

const TREIS_HOT = 2;


TREIS_HOTSELECTED

Declaration

Source position: tmschema.pas line 1845

const TREIS_HOTSELECTED = 6;


TREIS_NORMAL

Declaration

Source position: tmschema.pas line 1840

const TREIS_NORMAL = 1;


TREIS_SELECTED

Declaration

Source position: tmschema.pas line 1842

const TREIS_SELECTED = 3;


TREIS_SELECTEDNOTFOCUS

Declaration

Source position: tmschema.pas line 1844

const TREIS_SELECTEDNOTFOCUS = 5;


TRS_NORMAL

Declaration

Source position: tmschema.pas line 1729

const TRS_NORMAL = 1;


TRUESIZESCALINGTYPE

Declaration

Source position: tmschema.pas line 2226

type TRUESIZESCALINGTYPE = LongInt;


TRVS_NORMAL

Declaration

Source position: tmschema.pas line 1736

const TRVS_NORMAL = 1;


TS_CHECKED

Declaration

Source position: tmschema.pas line 1623

const TS_CHECKED = 5;


TS_CONTROLLABEL_DISABLED

Declaration

Source position: tmschema.pas line 1592

const TS_CONTROLLABEL_DISABLED = 2;


TS_CONTROLLABEL_NORMAL

Declaration

Source position: tmschema.pas line 1591

const TS_CONTROLLABEL_NORMAL = 1;


TS_DISABLED

Declaration

Source position: tmschema.pas line 1622

const TS_DISABLED = 4;


TS_HOT

Declaration

Source position: tmschema.pas line 1620

const TS_HOT = 2;


TS_HOTCHECKED

Declaration

Source position: tmschema.pas line 1624

const TS_HOTCHECKED = 6;


TS_HYPERLINK_DISABLED

Declaration

Source position: tmschema.pas line 1584

const TS_HYPERLINK_DISABLED = 4;


TS_HYPERLINK_HOT

Declaration

Source position: tmschema.pas line 1582

const TS_HYPERLINK_HOT = 2;


TS_HYPERLINK_NORMAL

Declaration

Source position: tmschema.pas line 1581

const TS_HYPERLINK_NORMAL = 1;


TS_HYPERLINK_PRESSED

Declaration

Source position: tmschema.pas line 1583

const TS_HYPERLINK_PRESSED = 3;


TS_NEARHOT

Declaration

Source position: tmschema.pas line 1625

const TS_NEARHOT = 7;


TS_NORMAL

Declaration

Source position: tmschema.pas line 1619

const TS_NORMAL = 1;


TS_OTHERSIDEHOT

Declaration

Source position: tmschema.pas line 1626

const TS_OTHERSIDEHOT = 8;


TS_PRESSED

Declaration

Source position: tmschema.pas line 1621

const TS_PRESSED = 3;


TSS_NORMAL

Declaration

Source position: tmschema.pas line 1809

const TSS_NORMAL = 1;


TSST_DPI

Declaration

Source position: tmschema.pas line 2231

const TSST_DPI = 2;


TSST_NONE

Declaration

Source position: tmschema.pas line 2229

const TSST_NONE = 0;


TSST_SIZE

Declaration

Source position: tmschema.pas line 2230

const TSST_SIZE = 1;


TST_CONTINUOUS

Declaration

Source position: tmschema.pas line 2195

const TST_CONTINUOUS = 2;


TST_NONE

Declaration

Source position: tmschema.pas line 2193

const TST_NONE = 0;


TST_SINGLE

Declaration

Source position: tmschema.pas line 2194

const TST_SINGLE = 1;


TSVS_NORMAL

Declaration

Source position: tmschema.pas line 1816

const TSVS_NORMAL = 1;


TTBS_LINK

Declaration

Source position: tmschema.pas line 1671

const TTBS_LINK = 2;


TTBS_NORMAL

Declaration

Source position: tmschema.pas line 1670

const TTBS_NORMAL = 1;


TTBSS_POINTINGDOWNCENTERED

Declaration

Source position: tmschema.pas line 1682

const TTBSS_POINTINGDOWNCENTERED = 5;


TTBSS_POINTINGDOWNLEFTWALL

Declaration

Source position: tmschema.pas line 1683

const TTBSS_POINTINGDOWNLEFTWALL = 6;


TTBSS_POINTINGDOWNRIGHTWALL

Declaration

Source position: tmschema.pas line 1681

const TTBSS_POINTINGDOWNRIGHTWALL = 4;


TTBSS_POINTINGUPCENTERED

Declaration

Source position: tmschema.pas line 1679

const TTBSS_POINTINGUPCENTERED = 2;


TTBSS_POINTINGUPLEFTWALL

Declaration

Source position: tmschema.pas line 1678

const TTBSS_POINTINGUPLEFTWALL = 1;


TTBSS_POINTINGUPRIGHTWALL

Declaration

Source position: tmschema.pas line 1680

const TTBSS_POINTINGUPRIGHTWALL = 3;


TTCS_HOT

Declaration

Source position: tmschema.pas line 1654

const TTCS_HOT = 2;


TTCS_NORMAL

Declaration

Source position: tmschema.pas line 1653

const TTCS_NORMAL = 1;


TTCS_PRESSED

Declaration

Source position: tmschema.pas line 1655

const TTCS_PRESSED = 3;


TTIBES_DISABLED

Declaration

Source position: tmschema.pas line 1501

const TTIBES_DISABLED = 4;


TTIBES_FOCUSED

Declaration

Source position: tmschema.pas line 1502

const TTIBES_FOCUSED = 5;


TTIBES_HOT

Declaration

Source position: tmschema.pas line 1499

const TTIBES_HOT = 2;


TTIBES_NORMAL

Declaration

Source position: tmschema.pas line 1498

const TTIBES_NORMAL = 1;


TTIBES_SELECTED

Declaration

Source position: tmschema.pas line 1500

const TTIBES_SELECTED = 3;


TTILES_DISABLED

Declaration

Source position: tmschema.pas line 1479

const TTILES_DISABLED = 4;


TTILES_FOCUSED

Declaration

Source position: tmschema.pas line 1480

const TTILES_FOCUSED = 5;


TTILES_HOT

Declaration

Source position: tmschema.pas line 1477

const TTILES_HOT = 2;


TTILES_NORMAL

Declaration

Source position: tmschema.pas line 1476

const TTILES_NORMAL = 1;


TTILES_SELECTED

Declaration

Source position: tmschema.pas line 1478

const TTILES_SELECTED = 3;


TTIRES_DISABLED

Declaration

Source position: tmschema.pas line 1490

const TTIRES_DISABLED = 4;


TTIRES_FOCUSED

Declaration

Source position: tmschema.pas line 1491

const TTIRES_FOCUSED = 5;


TTIRES_HOT

Declaration

Source position: tmschema.pas line 1488

const TTIRES_HOT = 2;


TTIRES_NORMAL

Declaration

Source position: tmschema.pas line 1487

const TTIRES_NORMAL = 1;


TTIRES_SELECTED

Declaration

Source position: tmschema.pas line 1489

const TTIRES_SELECTED = 3;


TTIS_DISABLED

Declaration

Source position: tmschema.pas line 1468

const TTIS_DISABLED = 4;


TTIS_FOCUSED

Declaration

Source position: tmschema.pas line 1469

const TTIS_FOCUSED = 5;


TTIS_HOT

Declaration

Source position: tmschema.pas line 1466

const TTIS_HOT = 2;


TTIS_NORMAL

Declaration

Source position: tmschema.pas line 1465

const TTIS_NORMAL = 1;


TTIS_SELECTED

Declaration

Source position: tmschema.pas line 1467

const TTIS_SELECTED = 3;


TTP_BALLOON

Declaration

Source position: tmschema.pas line 1640

const TTP_BALLOON = 3;


TTP_BALLOONSTEM

Declaration

Source position: tmschema.pas line 1643

const TTP_BALLOONSTEM = 6;


TTP_BALLOONTITLE

Declaration

Source position: tmschema.pas line 1641

const TTP_BALLOONTITLE = 4;


TTP_CLOSE

Declaration

Source position: tmschema.pas line 1642

const TTP_CLOSE = 5;


TTP_STANDARD

Declaration

Source position: tmschema.pas line 1638

const TTP_STANDARD = 1;


TTP_STANDARDTITLE

Declaration

Source position: tmschema.pas line 1639

const TTP_STANDARDTITLE = 2;


TTP_WRENCH

Declaration

Source position: tmschema.pas line 1644

const TTP_WRENCH = 7;


TTSS_LINK

Declaration

Source position: tmschema.pas line 1663

const TTSS_LINK = 2;


TTSS_NORMAL

Declaration

Source position: tmschema.pas line 1662

const TTSS_NORMAL = 1;


TTWS_HOT

Declaration

Source position: tmschema.pas line 1691

const TTWS_HOT = 2;


TTWS_NORMAL

Declaration

Source position: tmschema.pas line 1690

const TTWS_NORMAL = 1;


TTWS_PRESSED

Declaration

Source position: tmschema.pas line 1692

const TTWS_PRESSED = 3;


TUBS_DISABLED

Declaration

Source position: tmschema.pas line 1758

const TUBS_DISABLED = 5;


TUBS_FOCUSED

Declaration

Source position: tmschema.pas line 1757

const TUBS_FOCUSED = 4;


TUBS_HOT

Declaration

Source position: tmschema.pas line 1755

const TUBS_HOT = 2;


TUBS_NORMAL

Declaration

Source position: tmschema.pas line 1754

const TUBS_NORMAL = 1;


TUBS_PRESSED

Declaration

Source position: tmschema.pas line 1756

const TUBS_PRESSED = 3;


TUS_DISABLED

Declaration

Source position: tmschema.pas line 1747

const TUS_DISABLED = 5;


TUS_FOCUSED

Declaration

Source position: tmschema.pas line 1746

const TUS_FOCUSED = 4;


TUS_HOT

Declaration

Source position: tmschema.pas line 1744

const TUS_HOT = 2;


TUS_NORMAL

Declaration

Source position: tmschema.pas line 1743

const TUS_NORMAL = 1;


TUS_PRESSED

Declaration

Source position: tmschema.pas line 1745

const TUS_PRESSED = 3;


TUTS_DISABLED

Declaration

Source position: tmschema.pas line 1769

const TUTS_DISABLED = 5;


TUTS_FOCUSED

Declaration

Source position: tmschema.pas line 1768

const TUTS_FOCUSED = 4;


TUTS_HOT

Declaration

Source position: tmschema.pas line 1766

const TUTS_HOT = 2;


TUTS_NORMAL

Declaration

Source position: tmschema.pas line 1765

const TUTS_NORMAL = 1;


TUTS_PRESSED

Declaration

Source position: tmschema.pas line 1767

const TUTS_PRESSED = 3;


TUVLS_DISABLED

Declaration

Source position: tmschema.pas line 1791

const TUVLS_DISABLED = 5;


TUVLS_FOCUSED

Declaration

Source position: tmschema.pas line 1790

const TUVLS_FOCUSED = 4;


TUVLS_HOT

Declaration

Source position: tmschema.pas line 1788

const TUVLS_HOT = 2;


TUVLS_NORMAL

Declaration

Source position: tmschema.pas line 1787

const TUVLS_NORMAL = 1;


TUVLS_PRESSED

Declaration

Source position: tmschema.pas line 1789

const TUVLS_PRESSED = 3;


TUVRS_DISABLED

Declaration

Source position: tmschema.pas line 1802

const TUVRS_DISABLED = 5;


TUVRS_FOCUSED

Declaration

Source position: tmschema.pas line 1801

const TUVRS_FOCUSED = 4;


TUVRS_HOT

Declaration

Source position: tmschema.pas line 1799

const TUVRS_HOT = 2;


TUVRS_NORMAL

Declaration

Source position: tmschema.pas line 1798

const TUVRS_NORMAL = 1;


TUVRS_PRESSED

Declaration

Source position: tmschema.pas line 1800

const TUVRS_PRESSED = 3;


TUVS_DISABLED

Declaration

Source position: tmschema.pas line 1780

const TUVS_DISABLED = 5;


TUVS_FOCUSED

Declaration

Source position: tmschema.pas line 1779

const TUVS_FOCUSED = 4;


TUVS_HOT

Declaration

Source position: tmschema.pas line 1777

const TUVS_HOT = 2;


TUVS_NORMAL

Declaration

Source position: tmschema.pas line 1776

const TUVS_NORMAL = 1;


TUVS_PRESSED

Declaration

Source position: tmschema.pas line 1778

const TUVS_PRESSED = 3;


TVP_BRANCH

Declaration

Source position: tmschema.pas line 1830

const TVP_BRANCH = 3;


TVP_GLYPH

Declaration

Source position: tmschema.pas line 1829

const TVP_GLYPH = 2;


TVP_HOTGLYPH

Declaration

Source position: tmschema.pas line 1831

const TVP_HOTGLYPH = 4;


TVP_TREEITEM

Declaration

Source position: tmschema.pas line 1828

const TVP_TREEITEM = 1;


UPDATEMETADATASTATES

Declaration

Source position: tmschema.pas line 425

type UPDATEMETADATASTATES = LongInt;


UPHORZSTATES

Declaration

Source position: tmschema.pas line 1358

type UPHORZSTATES = LongInt;


UPHZS_DISABLED

Declaration

Source position: tmschema.pas line 1364

const UPHZS_DISABLED = 4;


UPHZS_HOT

Declaration

Source position: tmschema.pas line 1362

const UPHZS_HOT = 2;


UPHZS_NORMAL

Declaration

Source position: tmschema.pas line 1361

const UPHZS_NORMAL = 1;


UPHZS_PRESSED

Declaration

Source position: tmschema.pas line 1363

const UPHZS_PRESSED = 3;


UPS_DISABLED

Declaration

Source position: tmschema.pas line 1344

const UPS_DISABLED = 4;


UPS_HOT

Declaration

Source position: tmschema.pas line 1342

const UPS_HOT = 2;


UPS_NORMAL

Declaration

Source position: tmschema.pas line 1341

const UPS_NORMAL = 1;


UPS_PRESSED

Declaration

Source position: tmschema.pas line 1343

const UPS_PRESSED = 3;


UPSTATES

Declaration

Source position: tmschema.pas line 1338

type UPSTATES = LongInt;


VA_BOTTOM

Declaration

Source position: tmschema.pas line 2146

const VA_BOTTOM = 2;


VA_CENTER

Declaration

Source position: tmschema.pas line 2145

const VA_CENTER = 1;


VA_TOP

Declaration

Source position: tmschema.pas line 2144

const VA_TOP = 0;


VALIGN

Declaration

Source position: tmschema.pas line 2141

type VALIGN = LongInt;


VERTSCROLLSTATES

Declaration

Source position: tmschema.pas line 1971

type VERTSCROLLSTATES = LongInt;


VERTTHUMBSTATES

Declaration

Source position: tmschema.pas line 1981

type VERTTHUMBSTATES = LongInt;


VSCLASS_AEROWIZARD

Declaration

Source position: tmschema.pas line 17

const VSCLASS_AEROWIZARD = 'AEROWIZARD';


VSCLASS_AEROWIZARDSTYLE

Declaration

Source position: tmschema.pas line 16

const VSCLASS_AEROWIZARDSTYLE = 'AEROWIZARDSTYLE';


VSCLASS_BUTTON

Declaration

Source position: tmschema.pas line 57

const VSCLASS_BUTTON = 'BUTTON';


VSCLASS_BUTTONSTYLE

Declaration

Source position: tmschema.pas line 56

const VSCLASS_BUTTONSTYLE = 'BUTTONSTYLE';


VSCLASS_CLOCK

Declaration

Source position: tmschema.pas line 2653

const VSCLASS_CLOCK = 'CLOCK';


VSCLASS_COMBOBOX

Declaration

Source position: tmschema.pas line 160

const VSCLASS_COMBOBOX = 'COMBOBOX';


VSCLASS_COMBOBOXSTYLE

Declaration

Source position: tmschema.pas line 159

const VSCLASS_COMBOBOXSTYLE = 'COMBOBOXSTYLE';


VSCLASS_COMMUNICATIONS

Declaration

Source position: tmschema.pas line 251

const VSCLASS_COMMUNICATIONS = 'COMMUNICATIONS';


VSCLASS_COMMUNICATIONSSTYLE

Declaration

Source position: tmschema.pas line 250

const VSCLASS_COMMUNICATIONSSTYLE = 'COMMUNICATIONSSTYLE';


VSCLASS_CONTROLPANEL

Declaration

Source position: tmschema.pas line 274

const VSCLASS_CONTROLPANEL = 'CONTROLPANEL';


VSCLASS_CONTROLPANELSTYLE

Declaration

Source position: tmschema.pas line 273

const VSCLASS_CONTROLPANELSTYLE = 'CONTROLPANELSTYLE';


VSCLASS_DATEPICKER

Declaration

Source position: tmschema.pas line 345

const VSCLASS_DATEPICKER = 'DATEPICKER';


VSCLASS_DATEPICKERSTYLE

Declaration

Source position: tmschema.pas line 344

const VSCLASS_DATEPICKERSTYLE = 'DATEPICKERSTYLE';


VSCLASS_DRAGDROP

Declaration

Source position: tmschema.pas line 390

const VSCLASS_DRAGDROP = 'DRAGDROP';


VSCLASS_DRAGDROPSTYLE

Declaration

Source position: tmschema.pas line 389

const VSCLASS_DRAGDROPSTYLE = 'DRAGDROPSTYLE';


VSCLASS_EDIT

Declaration

Source position: tmschema.pas line 459

const VSCLASS_EDIT = 'EDIT';


VSCLASS_EDITSTYLE

Declaration

Source position: tmschema.pas line 458

const VSCLASS_EDITSTYLE = 'EDITSTYLE';


VSCLASS_EMPTYMARKUP

Declaration

Source position: tmschema.pas line 2519

const VSCLASS_EMPTYMARKUP = 'EMPTYMARKUP';


VSCLASS_EXPLORERBAR

Declaration

Source position: tmschema.pas line 557

const VSCLASS_EXPLORERBAR = 'EXPLORERBAR';


VSCLASS_EXPLORERBARSTYLE

Declaration

Source position: tmschema.pas line 556

const VSCLASS_EXPLORERBARSTYLE = 'EXPLORERBARSTYLE';